"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __commonJS = (cb, mod) => function __require() {
  return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// node_modules/aws-sdk/lib/json/builder.js
var require_builder = __commonJS({
  "node_modules/aws-sdk/lib/json/builder.js"(exports, module2) {
    var util = require_util();
    function JsonBuilder() {
    }
    JsonBuilder.prototype.build = function(value, shape) {
      return JSON.stringify(translate(value, shape));
    };
    function translate(value, shape) {
      if (!shape || value === void 0 || value === null)
        return void 0;
      switch (shape.type) {
        case "structure":
          return translateStructure(value, shape);
        case "map":
          return translateMap(value, shape);
        case "list":
          return translateList(value, shape);
        default:
          return translateScalar(value, shape);
      }
    }
    function translateStructure(structure, shape) {
      if (shape.isDocument) {
        return structure;
      }
      var struct = {};
      util.each(structure, function(name, value) {
        var memberShape = shape.members[name];
        if (memberShape) {
          if (memberShape.location !== "body")
            return;
          var locationName = memberShape.isLocationName ? memberShape.name : name;
          var result = translate(value, memberShape);
          if (result !== void 0)
            struct[locationName] = result;
        }
      });
      return struct;
    }
    function translateList(list, shape) {
      var out = [];
      util.arrayEach(list, function(value) {
        var result = translate(value, shape.member);
        if (result !== void 0)
          out.push(result);
      });
      return out;
    }
    function translateMap(map, shape) {
      var out = {};
      util.each(map, function(key, value) {
        var result = translate(value, shape.value);
        if (result !== void 0)
          out[key] = result;
      });
      return out;
    }
    function translateScalar(value, shape) {
      return shape.toWireFormat(value);
    }
    module2.exports = JsonBuilder;
  }
});

// node_modules/aws-sdk/lib/json/parser.js
var require_parser = __commonJS({
  "node_modules/aws-sdk/lib/json/parser.js"(exports, module2) {
    var util = require_util();
    function JsonParser() {
    }
    JsonParser.prototype.parse = function(value, shape) {
      return translate(JSON.parse(value), shape);
    };
    function translate(value, shape) {
      if (!shape || value === void 0)
        return void 0;
      switch (shape.type) {
        case "structure":
          return translateStructure(value, shape);
        case "map":
          return translateMap(value, shape);
        case "list":
          return translateList(value, shape);
        default:
          return translateScalar(value, shape);
      }
    }
    function translateStructure(structure, shape) {
      if (structure == null)
        return void 0;
      if (shape.isDocument)
        return structure;
      var struct = {};
      var shapeMembers = shape.members;
      util.each(shapeMembers, function(name, memberShape) {
        var locationName = memberShape.isLocationName ? memberShape.name : name;
        if (Object.prototype.hasOwnProperty.call(structure, locationName)) {
          var value = structure[locationName];
          var result = translate(value, memberShape);
          if (result !== void 0)
            struct[name] = result;
        }
      });
      return struct;
    }
    function translateList(list, shape) {
      if (list == null)
        return void 0;
      var out = [];
      util.arrayEach(list, function(value) {
        var result = translate(value, shape.member);
        if (result === void 0)
          out.push(null);
        else
          out.push(result);
      });
      return out;
    }
    function translateMap(map, shape) {
      if (map == null)
        return void 0;
      var out = {};
      util.each(map, function(key, value) {
        var result = translate(value, shape.value);
        if (result === void 0)
          out[key] = null;
        else
          out[key] = result;
      });
      return out;
    }
    function translateScalar(value, shape) {
      return shape.toType(value);
    }
    module2.exports = JsonParser;
  }
});

// node_modules/aws-sdk/lib/protocol/helpers.js
var require_helpers = __commonJS({
  "node_modules/aws-sdk/lib/protocol/helpers.js"(exports, module2) {
    var util = require_util();
    var AWS2 = require_core();
    function populateHostPrefix(request) {
      var enabled = request.service.config.hostPrefixEnabled;
      if (!enabled)
        return request;
      var operationModel = request.service.api.operations[request.operation];
      if (hasEndpointDiscover(request))
        return request;
      if (operationModel.endpoint && operationModel.endpoint.hostPrefix) {
        var hostPrefixNotation = operationModel.endpoint.hostPrefix;
        var hostPrefix = expandHostPrefix(hostPrefixNotation, request.params, operationModel.input);
        prependEndpointPrefix(request.httpRequest.endpoint, hostPrefix);
        validateHostname(request.httpRequest.endpoint.hostname);
      }
      return request;
    }
    function hasEndpointDiscover(request) {
      var api = request.service.api;
      var operationModel = api.operations[request.operation];
      var isEndpointOperation = api.endpointOperation && api.endpointOperation === util.string.lowerFirst(operationModel.name);
      return operationModel.endpointDiscoveryRequired !== "NULL" || isEndpointOperation === true;
    }
    function expandHostPrefix(hostPrefixNotation, params, shape) {
      util.each(shape.members, function(name, member) {
        if (member.hostLabel === true) {
          if (typeof params[name] !== "string" || params[name] === "") {
            throw util.error(new Error(), {
              message: "Parameter " + name + " should be a non-empty string.",
              code: "InvalidParameter"
            });
          }
          var regex = new RegExp("\\{" + name + "\\}", "g");
          hostPrefixNotation = hostPrefixNotation.replace(regex, params[name]);
        }
      });
      return hostPrefixNotation;
    }
    function prependEndpointPrefix(endpoint, prefix) {
      if (endpoint.host) {
        endpoint.host = prefix + endpoint.host;
      }
      if (endpoint.hostname) {
        endpoint.hostname = prefix + endpoint.hostname;
      }
    }
    function validateHostname(hostname) {
      var labels = hostname.split(".");
      var hostPattern = /^[a-zA-Z0-9]{1}$|^[a-zA-Z0-9][a-zA-Z0-9\-]*[a-zA-Z0-9]$/;
      util.arrayEach(labels, function(label) {
        if (!label.length || label.length < 1 || label.length > 63) {
          throw util.error(new Error(), {
            code: "ValidationError",
            message: "Hostname label length should be between 1 to 63 characters, inclusive."
          });
        }
        if (!hostPattern.test(label)) {
          throw AWS2.util.error(
            new Error(),
            { code: "ValidationError", message: label + " is not hostname compatible." }
          );
        }
      });
    }
    module2.exports = {
      populateHostPrefix
    };
  }
});

// node_modules/aws-sdk/lib/protocol/json.js
var require_json = __commonJS({
  "node_modules/aws-sdk/lib/protocol/json.js"(exports, module2) {
    var util = require_util();
    var JsonBuilder = require_builder();
    var JsonParser = require_parser();
    var populateHostPrefix = require_helpers().populateHostPrefix;
    function buildRequest(req) {
      var httpRequest = req.httpRequest;
      var api = req.service.api;
      var target = api.targetPrefix + "." + api.operations[req.operation].name;
      var version = api.jsonVersion || "1.0";
      var input = api.operations[req.operation].input;
      var builder = new JsonBuilder();
      if (version === 1)
        version = "1.0";
      if (api.awsQueryCompatible) {
        if (!httpRequest.params) {
          httpRequest.params = {};
        }
        Object.assign(httpRequest.params, req.params);
      }
      httpRequest.body = builder.build(req.params || {}, input);
      httpRequest.headers["Content-Type"] = "application/x-amz-json-" + version;
      httpRequest.headers["X-Amz-Target"] = target;
      populateHostPrefix(req);
    }
    function extractError(resp) {
      var error = {};
      var httpResponse = resp.httpResponse;
      error.code = httpResponse.headers["x-amzn-errortype"] || "UnknownError";
      if (typeof error.code === "string") {
        error.code = error.code.split(":")[0];
      }
      if (httpResponse.body.length > 0) {
        try {
          var e = JSON.parse(httpResponse.body.toString());
          var code = e.__type || e.code || e.Code;
          if (code) {
            error.code = code.split("#").pop();
          }
          if (error.code === "RequestEntityTooLarge") {
            error.message = "Request body must be less than 1 MB";
          } else {
            error.message = e.message || e.Message || null;
          }
          for (var key in e || {}) {
            if (key === "code" || key === "message") {
              continue;
            }
            error["[" + key + "]"] = "See error." + key + " for details.";
            Object.defineProperty(error, key, {
              value: e[key],
              enumerable: false,
              writable: true
            });
          }
        } catch (e2) {
          error.statusCode = httpResponse.statusCode;
          error.message = httpResponse.statusMessage;
        }
      } else {
        error.statusCode = httpResponse.statusCode;
        error.message = httpResponse.statusCode.toString();
      }
      resp.error = util.error(new Error(), error);
    }
    function extractData(resp) {
      var body = resp.httpResponse.body.toString() || "{}";
      if (resp.request.service.config.convertResponseTypes === false) {
        resp.data = JSON.parse(body);
      } else {
        var operation = resp.request.service.api.operations[resp.request.operation];
        var shape = operation.output || {};
        var parser = new JsonParser();
        resp.data = parser.parse(body, shape);
      }
    }
    module2.exports = {
      buildRequest,
      extractError,
      extractData
    };
  }
});

// node_modules/aws-sdk/lib/query/query_param_serializer.js
var require_query_param_serializer = __commonJS({
  "node_modules/aws-sdk/lib/query/query_param_serializer.js"(exports, module2) {
    var util = require_util();
    function QueryParamSerializer() {
    }
    QueryParamSerializer.prototype.serialize = function(params, shape, fn) {
      serializeStructure("", params, shape, fn);
    };
    function ucfirst(shape) {
      if (shape.isQueryName || shape.api.protocol !== "ec2") {
        return shape.name;
      } else {
        return shape.name[0].toUpperCase() + shape.name.substr(1);
      }
    }
    function serializeStructure(prefix, struct, rules, fn) {
      util.each(rules.members, function(name, member) {
        var value = struct[name];
        if (value === null || value === void 0)
          return;
        var memberName = ucfirst(member);
        memberName = prefix ? prefix + "." + memberName : memberName;
        serializeMember(memberName, value, member, fn);
      });
    }
    function serializeMap(name, map, rules, fn) {
      var i = 1;
      util.each(map, function(key, value) {
        var prefix = rules.flattened ? "." : ".entry.";
        var position = prefix + i++ + ".";
        var keyName = position + (rules.key.name || "key");
        var valueName = position + (rules.value.name || "value");
        serializeMember(name + keyName, key, rules.key, fn);
        serializeMember(name + valueName, value, rules.value, fn);
      });
    }
    function serializeList(name, list, rules, fn) {
      var memberRules = rules.member || {};
      if (list.length === 0) {
        fn.call(this, name, null);
        return;
      }
      util.arrayEach(list, function(v, n) {
        var suffix = "." + (n + 1);
        if (rules.api.protocol === "ec2") {
          suffix = suffix + "";
        } else if (rules.flattened) {
          if (memberRules.name) {
            var parts = name.split(".");
            parts.pop();
            parts.push(ucfirst(memberRules));
            name = parts.join(".");
          }
        } else {
          suffix = "." + (memberRules.name ? memberRules.name : "member") + suffix;
        }
        serializeMember(name + suffix, v, memberRules, fn);
      });
    }
    function serializeMember(name, value, rules, fn) {
      if (value === null || value === void 0)
        return;
      if (rules.type === "structure") {
        serializeStructure(name, value, rules, fn);
      } else if (rules.type === "list") {
        serializeList(name, value, rules, fn);
      } else if (rules.type === "map") {
        serializeMap(name, value, rules, fn);
      } else {
        fn(name, rules.toWireFormat(value).toString());
      }
    }
    module2.exports = QueryParamSerializer;
  }
});

// node_modules/aws-sdk/lib/model/collection.js
var require_collection = __commonJS({
  "node_modules/aws-sdk/lib/model/collection.js"(exports, module2) {
    var memoizedProperty = require_util().memoizedProperty;
    function memoize(name, value, factory, nameTr) {
      memoizedProperty(this, nameTr(name), function() {
        return factory(name, value);
      });
    }
    function Collection(iterable, options, factory, nameTr, callback) {
      nameTr = nameTr || String;
      var self = this;
      for (var id in iterable) {
        if (Object.prototype.hasOwnProperty.call(iterable, id)) {
          memoize.call(self, id, iterable[id], factory, nameTr);
          if (callback)
            callback(id, iterable[id]);
        }
      }
    }
    module2.exports = Collection;
  }
});

// node_modules/aws-sdk/lib/model/shape.js
var require_shape = __commonJS({
  "node_modules/aws-sdk/lib/model/shape.js"(exports, module2) {
    var Collection = require_collection();
    var util = require_util();
    function property(obj, name, value) {
      if (value !== null && value !== void 0) {
        util.property.apply(this, arguments);
      }
    }
    function memoizedProperty(obj, name) {
      if (!obj.constructor.prototype[name]) {
        util.memoizedProperty.apply(this, arguments);
      }
    }
    function Shape(shape, options, memberName) {
      options = options || {};
      property(this, "shape", shape.shape);
      property(this, "api", options.api, false);
      property(this, "type", shape.type);
      property(this, "enum", shape.enum);
      property(this, "min", shape.min);
      property(this, "max", shape.max);
      property(this, "pattern", shape.pattern);
      property(this, "location", shape.location || this.location || "body");
      property(this, "name", this.name || shape.xmlName || shape.queryName || shape.locationName || memberName);
      property(this, "isStreaming", shape.streaming || this.isStreaming || false);
      property(this, "requiresLength", shape.requiresLength, false);
      property(this, "isComposite", shape.isComposite || false);
      property(this, "isShape", true, false);
      property(this, "isQueryName", Boolean(shape.queryName), false);
      property(this, "isLocationName", Boolean(shape.locationName), false);
      property(this, "isIdempotent", shape.idempotencyToken === true);
      property(this, "isJsonValue", shape.jsonvalue === true);
      property(this, "isSensitive", shape.sensitive === true || shape.prototype && shape.prototype.sensitive === true);
      property(this, "isEventStream", Boolean(shape.eventstream), false);
      property(this, "isEvent", Boolean(shape.event), false);
      property(this, "isEventPayload", Boolean(shape.eventpayload), false);
      property(this, "isEventHeader", Boolean(shape.eventheader), false);
      property(this, "isTimestampFormatSet", Boolean(shape.timestampFormat) || shape.prototype && shape.prototype.isTimestampFormatSet === true, false);
      property(this, "endpointDiscoveryId", Boolean(shape.endpointdiscoveryid), false);
      property(this, "hostLabel", Boolean(shape.hostLabel), false);
      if (options.documentation) {
        property(this, "documentation", shape.documentation);
        property(this, "documentationUrl", shape.documentationUrl);
      }
      if (shape.xmlAttribute) {
        property(this, "isXmlAttribute", shape.xmlAttribute || false);
      }
      property(this, "defaultValue", null);
      this.toWireFormat = function(value) {
        if (value === null || value === void 0)
          return "";
        return value;
      };
      this.toType = function(value) {
        return value;
      };
    }
    Shape.normalizedTypes = {
      character: "string",
      double: "float",
      long: "integer",
      short: "integer",
      biginteger: "integer",
      bigdecimal: "float",
      blob: "binary"
    };
    Shape.types = {
      "structure": StructureShape,
      "list": ListShape,
      "map": MapShape,
      "boolean": BooleanShape,
      "timestamp": TimestampShape,
      "float": FloatShape,
      "integer": IntegerShape,
      "string": StringShape,
      "base64": Base64Shape,
      "binary": BinaryShape
    };
    Shape.resolve = function resolve(shape, options) {
      if (shape.shape) {
        var refShape = options.api.shapes[shape.shape];
        if (!refShape) {
          throw new Error("Cannot find shape reference: " + shape.shape);
        }
        return refShape;
      } else {
        return null;
      }
    };
    Shape.create = function create(shape, options, memberName) {
      if (shape.isShape)
        return shape;
      var refShape = Shape.resolve(shape, options);
      if (refShape) {
        var filteredKeys = Object.keys(shape);
        if (!options.documentation) {
          filteredKeys = filteredKeys.filter(function(name) {
            return !name.match(/documentation/);
          });
        }
        var InlineShape = function() {
          refShape.constructor.call(this, shape, options, memberName);
        };
        InlineShape.prototype = refShape;
        return new InlineShape();
      } else {
        if (!shape.type) {
          if (shape.members)
            shape.type = "structure";
          else if (shape.member)
            shape.type = "list";
          else if (shape.key)
            shape.type = "map";
          else
            shape.type = "string";
        }
        var origType = shape.type;
        if (Shape.normalizedTypes[shape.type]) {
          shape.type = Shape.normalizedTypes[shape.type];
        }
        if (Shape.types[shape.type]) {
          return new Shape.types[shape.type](shape, options, memberName);
        } else {
          throw new Error("Unrecognized shape type: " + origType);
        }
      }
    };
    function CompositeShape(shape) {
      Shape.apply(this, arguments);
      property(this, "isComposite", true);
      if (shape.flattened) {
        property(this, "flattened", shape.flattened || false);
      }
    }
    function StructureShape(shape, options) {
      var self = this;
      var requiredMap = null, firstInit = !this.isShape;
      CompositeShape.apply(this, arguments);
      if (firstInit) {
        property(this, "defaultValue", function() {
          return {};
        });
        property(this, "members", {});
        property(this, "memberNames", []);
        property(this, "required", []);
        property(this, "isRequired", function() {
          return false;
        });
        property(this, "isDocument", Boolean(shape.document));
      }
      if (shape.members) {
        property(this, "members", new Collection(shape.members, options, function(name, member) {
          return Shape.create(member, options, name);
        }));
        memoizedProperty(this, "memberNames", function() {
          return shape.xmlOrder || Object.keys(shape.members);
        });
        if (shape.event) {
          memoizedProperty(this, "eventPayloadMemberName", function() {
            var members = self.members;
            var memberNames = self.memberNames;
            for (var i = 0, iLen = memberNames.length; i < iLen; i++) {
              if (members[memberNames[i]].isEventPayload) {
                return memberNames[i];
              }
            }
          });
          memoizedProperty(this, "eventHeaderMemberNames", function() {
            var members = self.members;
            var memberNames = self.memberNames;
            var eventHeaderMemberNames = [];
            for (var i = 0, iLen = memberNames.length; i < iLen; i++) {
              if (members[memberNames[i]].isEventHeader) {
                eventHeaderMemberNames.push(memberNames[i]);
              }
            }
            return eventHeaderMemberNames;
          });
        }
      }
      if (shape.required) {
        property(this, "required", shape.required);
        property(this, "isRequired", function(name) {
          if (!requiredMap) {
            requiredMap = {};
            for (var i = 0; i < shape.required.length; i++) {
              requiredMap[shape.required[i]] = true;
            }
          }
          return requiredMap[name];
        }, false, true);
      }
      property(this, "resultWrapper", shape.resultWrapper || null);
      if (shape.payload) {
        property(this, "payload", shape.payload);
      }
      if (typeof shape.xmlNamespace === "string") {
        property(this, "xmlNamespaceUri", shape.xmlNamespace);
      } else if (typeof shape.xmlNamespace === "object") {
        property(this, "xmlNamespacePrefix", shape.xmlNamespace.prefix);
        property(this, "xmlNamespaceUri", shape.xmlNamespace.uri);
      }
    }
    function ListShape(shape, options) {
      var self = this, firstInit = !this.isShape;
      CompositeShape.apply(this, arguments);
      if (firstInit) {
        property(this, "defaultValue", function() {
          return [];
        });
      }
      if (shape.member) {
        memoizedProperty(this, "member", function() {
          return Shape.create(shape.member, options);
        });
      }
      if (this.flattened) {
        var oldName = this.name;
        memoizedProperty(this, "name", function() {
          return self.member.name || oldName;
        });
      }
    }
    function MapShape(shape, options) {
      var firstInit = !this.isShape;
      CompositeShape.apply(this, arguments);
      if (firstInit) {
        property(this, "defaultValue", function() {
          return {};
        });
        property(this, "key", Shape.create({ type: "string" }, options));
        property(this, "value", Shape.create({ type: "string" }, options));
      }
      if (shape.key) {
        memoizedProperty(this, "key", function() {
          return Shape.create(shape.key, options);
        });
      }
      if (shape.value) {
        memoizedProperty(this, "value", function() {
          return Shape.create(shape.value, options);
        });
      }
    }
    function TimestampShape(shape) {
      var self = this;
      Shape.apply(this, arguments);
      if (shape.timestampFormat) {
        property(this, "timestampFormat", shape.timestampFormat);
      } else if (self.isTimestampFormatSet && this.timestampFormat) {
        property(this, "timestampFormat", this.timestampFormat);
      } else if (this.location === "header") {
        property(this, "timestampFormat", "rfc822");
      } else if (this.location === "querystring") {
        property(this, "timestampFormat", "iso8601");
      } else if (this.api) {
        switch (this.api.protocol) {
          case "json":
          case "rest-json":
            property(this, "timestampFormat", "unixTimestamp");
            break;
          case "rest-xml":
          case "query":
          case "ec2":
            property(this, "timestampFormat", "iso8601");
            break;
        }
      }
      this.toType = function(value) {
        if (value === null || value === void 0)
          return null;
        if (typeof value.toUTCString === "function")
          return value;
        return typeof value === "string" || typeof value === "number" ? util.date.parseTimestamp(value) : null;
      };
      this.toWireFormat = function(value) {
        return util.date.format(value, self.timestampFormat);
      };
    }
    function StringShape() {
      Shape.apply(this, arguments);
      var nullLessProtocols = ["rest-xml", "query", "ec2"];
      this.toType = function(value) {
        value = this.api && nullLessProtocols.indexOf(this.api.protocol) > -1 ? value || "" : value;
        if (this.isJsonValue) {
          return JSON.parse(value);
        }
        return value && typeof value.toString === "function" ? value.toString() : value;
      };
      this.toWireFormat = function(value) {
        return this.isJsonValue ? JSON.stringify(value) : value;
      };
    }
    function FloatShape() {
      Shape.apply(this, arguments);
      this.toType = function(value) {
        if (value === null || value === void 0)
          return null;
        return parseFloat(value);
      };
      this.toWireFormat = this.toType;
    }
    function IntegerShape() {
      Shape.apply(this, arguments);
      this.toType = function(value) {
        if (value === null || value === void 0)
          return null;
        return parseInt(value, 10);
      };
      this.toWireFormat = this.toType;
    }
    function BinaryShape() {
      Shape.apply(this, arguments);
      this.toType = function(value) {
        var buf = util.base64.decode(value);
        if (this.isSensitive && util.isNode() && typeof util.Buffer.alloc === "function") {
          var secureBuf = util.Buffer.alloc(buf.length, buf);
          buf.fill(0);
          buf = secureBuf;
        }
        return buf;
      };
      this.toWireFormat = util.base64.encode;
    }
    function Base64Shape() {
      BinaryShape.apply(this, arguments);
    }
    function BooleanShape() {
      Shape.apply(this, arguments);
      this.toType = function(value) {
        if (typeof value === "boolean")
          return value;
        if (value === null || value === void 0)
          return null;
        return value === "true";
      };
    }
    Shape.shapes = {
      StructureShape,
      ListShape,
      MapShape,
      StringShape,
      BooleanShape,
      Base64Shape
    };
    module2.exports = Shape;
  }
});

// node_modules/aws-sdk/lib/protocol/query.js
var require_query = __commonJS({
  "node_modules/aws-sdk/lib/protocol/query.js"(exports, module2) {
    var AWS2 = require_core();
    var util = require_util();
    var QueryParamSerializer = require_query_param_serializer();
    var Shape = require_shape();
    var populateHostPrefix = require_helpers().populateHostPrefix;
    function buildRequest(req) {
      var operation = req.service.api.operations[req.operation];
      var httpRequest = req.httpRequest;
      httpRequest.headers["Content-Type"] = "application/x-www-form-urlencoded; charset=utf-8";
      httpRequest.params = {
        Version: req.service.api.apiVersion,
        Action: operation.name
      };
      var builder = new QueryParamSerializer();
      builder.serialize(req.params, operation.input, function(name, value) {
        httpRequest.params[name] = value;
      });
      httpRequest.body = util.queryParamsToString(httpRequest.params);
      populateHostPrefix(req);
    }
    function extractError(resp) {
      var data, body = resp.httpResponse.body.toString();
      if (body.match("<UnknownOperationException")) {
        data = {
          Code: "UnknownOperation",
          Message: "Unknown operation " + resp.request.operation
        };
      } else {
        try {
          data = new AWS2.XML.Parser().parse(body);
        } catch (e) {
          data = {
            Code: resp.httpResponse.statusCode,
            Message: resp.httpResponse.statusMessage
          };
        }
      }
      if (data.requestId && !resp.requestId)
        resp.requestId = data.requestId;
      if (data.Errors)
        data = data.Errors;
      if (data.Error)
        data = data.Error;
      if (data.Code) {
        resp.error = util.error(new Error(), {
          code: data.Code,
          message: data.Message
        });
      } else {
        resp.error = util.error(new Error(), {
          code: resp.httpResponse.statusCode,
          message: null
        });
      }
    }
    function extractData(resp) {
      var req = resp.request;
      var operation = req.service.api.operations[req.operation];
      var shape = operation.output || {};
      var origRules = shape;
      if (origRules.resultWrapper) {
        var tmp = Shape.create({ type: "structure" });
        tmp.members[origRules.resultWrapper] = shape;
        tmp.memberNames = [origRules.resultWrapper];
        util.property(shape, "name", shape.resultWrapper);
        shape = tmp;
      }
      var parser = new AWS2.XML.Parser();
      if (shape && shape.members && !shape.members._XAMZRequestId) {
        var requestIdShape = Shape.create(
          { type: "string" },
          { api: { protocol: "query" } },
          "requestId"
        );
        shape.members._XAMZRequestId = requestIdShape;
      }
      var data = parser.parse(resp.httpResponse.body.toString(), shape);
      resp.requestId = data._XAMZRequestId || data.requestId;
      if (data._XAMZRequestId)
        delete data._XAMZRequestId;
      if (origRules.resultWrapper) {
        if (data[origRules.resultWrapper]) {
          util.update(data, data[origRules.resultWrapper]);
          delete data[origRules.resultWrapper];
        }
      }
      resp.data = data;
    }
    module2.exports = {
      buildRequest,
      extractError,
      extractData
    };
  }
});

// node_modules/aws-sdk/lib/protocol/rest.js
var require_rest = __commonJS({
  "node_modules/aws-sdk/lib/protocol/rest.js"(exports, module2) {
    var util = require_util();
    var populateHostPrefix = require_helpers().populateHostPrefix;
    function populateMethod(req) {
      req.httpRequest.method = req.service.api.operations[req.operation].httpMethod;
    }
    function generateURI(endpointPath, operationPath, input, params) {
      var uri = [endpointPath, operationPath].join("/");
      uri = uri.replace(/\/+/g, "/");
      var queryString = {}, queryStringSet = false;
      util.each(input.members, function(name, member) {
        var paramValue = params[name];
        if (paramValue === null || paramValue === void 0)
          return;
        if (member.location === "uri") {
          var regex = new RegExp("\\{" + member.name + "(\\+)?\\}");
          uri = uri.replace(regex, function(_, plus) {
            var fn = plus ? util.uriEscapePath : util.uriEscape;
            return fn(String(paramValue));
          });
        } else if (member.location === "querystring") {
          queryStringSet = true;
          if (member.type === "list") {
            queryString[member.name] = paramValue.map(function(val) {
              return util.uriEscape(member.member.toWireFormat(val).toString());
            });
          } else if (member.type === "map") {
            util.each(paramValue, function(key, value) {
              if (Array.isArray(value)) {
                queryString[key] = value.map(function(val) {
                  return util.uriEscape(String(val));
                });
              } else {
                queryString[key] = util.uriEscape(String(value));
              }
            });
          } else {
            queryString[member.name] = util.uriEscape(member.toWireFormat(paramValue).toString());
          }
        }
      });
      if (queryStringSet) {
        uri += uri.indexOf("?") >= 0 ? "&" : "?";
        var parts = [];
        util.arrayEach(Object.keys(queryString).sort(), function(key) {
          if (!Array.isArray(queryString[key])) {
            queryString[key] = [queryString[key]];
          }
          for (var i = 0; i < queryString[key].length; i++) {
            parts.push(util.uriEscape(String(key)) + "=" + queryString[key][i]);
          }
        });
        uri += parts.join("&");
      }
      return uri;
    }
    function populateURI(req) {
      var operation = req.service.api.operations[req.operation];
      var input = operation.input;
      var uri = generateURI(req.httpRequest.endpoint.path, operation.httpPath, input, req.params);
      req.httpRequest.path = uri;
    }
    function populateHeaders(req) {
      var operation = req.service.api.operations[req.operation];
      util.each(operation.input.members, function(name, member) {
        var value = req.params[name];
        if (value === null || value === void 0)
          return;
        if (member.location === "headers" && member.type === "map") {
          util.each(value, function(key, memberValue) {
            req.httpRequest.headers[member.name + key] = memberValue;
          });
        } else if (member.location === "header") {
          value = member.toWireFormat(value).toString();
          if (member.isJsonValue) {
            value = util.base64.encode(value);
          }
          req.httpRequest.headers[member.name] = value;
        }
      });
    }
    function buildRequest(req) {
      populateMethod(req);
      populateURI(req);
      populateHeaders(req);
      populateHostPrefix(req);
    }
    function extractError() {
    }
    function extractData(resp) {
      var req = resp.request;
      var data = {};
      var r = resp.httpResponse;
      var operation = req.service.api.operations[req.operation];
      var output = operation.output;
      var headers = {};
      util.each(r.headers, function(k, v) {
        headers[k.toLowerCase()] = v;
      });
      util.each(output.members, function(name, member) {
        var header = (member.name || name).toLowerCase();
        if (member.location === "headers" && member.type === "map") {
          data[name] = {};
          var location = member.isLocationName ? member.name : "";
          var pattern = new RegExp("^" + location + "(.+)", "i");
          util.each(r.headers, function(k, v) {
            var result = k.match(pattern);
            if (result !== null) {
              data[name][result[1]] = v;
            }
          });
        } else if (member.location === "header") {
          if (headers[header] !== void 0) {
            var value = member.isJsonValue ? util.base64.decode(headers[header]) : headers[header];
            data[name] = member.toType(value);
          }
        } else if (member.location === "statusCode") {
          data[name] = parseInt(r.statusCode, 10);
        }
      });
      resp.data = data;
    }
    module2.exports = {
      buildRequest,
      extractError,
      extractData,
      generateURI
    };
  }
});

// node_modules/aws-sdk/lib/protocol/rest_json.js
var require_rest_json = __commonJS({
  "node_modules/aws-sdk/lib/protocol/rest_json.js"(exports, module2) {
    var util = require_util();
    var Rest = require_rest();
    var Json = require_json();
    var JsonBuilder = require_builder();
    var JsonParser = require_parser();
    var METHODS_WITHOUT_BODY = ["GET", "HEAD", "DELETE"];
    function unsetContentLength(req) {
      var payloadMember = util.getRequestPayloadShape(req);
      if (payloadMember === void 0 && METHODS_WITHOUT_BODY.indexOf(req.httpRequest.method) >= 0) {
        delete req.httpRequest.headers["Content-Length"];
      }
    }
    function populateBody(req) {
      var builder = new JsonBuilder();
      var input = req.service.api.operations[req.operation].input;
      if (input.payload) {
        var params = {};
        var payloadShape = input.members[input.payload];
        params = req.params[input.payload];
        if (payloadShape.type === "structure") {
          req.httpRequest.body = builder.build(params || {}, payloadShape);
          applyContentTypeHeader(req);
        } else if (params !== void 0) {
          req.httpRequest.body = params;
          if (payloadShape.type === "binary" || payloadShape.isStreaming) {
            applyContentTypeHeader(req, true);
          }
        }
      } else {
        req.httpRequest.body = builder.build(req.params, input);
        applyContentTypeHeader(req);
      }
    }
    function applyContentTypeHeader(req, isBinary) {
      if (!req.httpRequest.headers["Content-Type"]) {
        var type = isBinary ? "binary/octet-stream" : "application/json";
        req.httpRequest.headers["Content-Type"] = type;
      }
    }
    function buildRequest(req) {
      Rest.buildRequest(req);
      if (METHODS_WITHOUT_BODY.indexOf(req.httpRequest.method) < 0) {
        populateBody(req);
      }
    }
    function extractError(resp) {
      Json.extractError(resp);
    }
    function extractData(resp) {
      Rest.extractData(resp);
      var req = resp.request;
      var operation = req.service.api.operations[req.operation];
      var rules = req.service.api.operations[req.operation].output || {};
      var parser;
      var hasEventOutput = operation.hasEventOutput;
      if (rules.payload) {
        var payloadMember = rules.members[rules.payload];
        var body = resp.httpResponse.body;
        if (payloadMember.isEventStream) {
          parser = new JsonParser();
          resp.data[payload] = util.createEventStream(
            AWS.HttpClient.streamsApiVersion === 2 ? resp.httpResponse.stream : body,
            parser,
            payloadMember
          );
        } else if (payloadMember.type === "structure" || payloadMember.type === "list") {
          var parser = new JsonParser();
          resp.data[rules.payload] = parser.parse(body, payloadMember);
        } else if (payloadMember.type === "binary" || payloadMember.isStreaming) {
          resp.data[rules.payload] = body;
        } else {
          resp.data[rules.payload] = payloadMember.toType(body);
        }
      } else {
        var data = resp.data;
        Json.extractData(resp);
        resp.data = util.merge(data, resp.data);
      }
    }
    module2.exports = {
      buildRequest,
      extractError,
      extractData,
      unsetContentLength
    };
  }
});

// node_modules/aws-sdk/lib/protocol/rest_xml.js
var require_rest_xml = __commonJS({
  "node_modules/aws-sdk/lib/protocol/rest_xml.js"(exports, module2) {
    var AWS2 = require_core();
    var util = require_util();
    var Rest = require_rest();
    function populateBody(req) {
      var input = req.service.api.operations[req.operation].input;
      var builder = new AWS2.XML.Builder();
      var params = req.params;
      var payload2 = input.payload;
      if (payload2) {
        var payloadMember = input.members[payload2];
        params = params[payload2];
        if (params === void 0)
          return;
        if (payloadMember.type === "structure") {
          var rootElement = payloadMember.name;
          req.httpRequest.body = builder.toXML(params, payloadMember, rootElement, true);
        } else {
          req.httpRequest.body = params;
        }
      } else {
        req.httpRequest.body = builder.toXML(params, input, input.name || input.shape || util.string.upperFirst(req.operation) + "Request");
      }
    }
    function buildRequest(req) {
      Rest.buildRequest(req);
      if (["GET", "HEAD"].indexOf(req.httpRequest.method) < 0) {
        populateBody(req);
      }
    }
    function extractError(resp) {
      Rest.extractError(resp);
      var data;
      try {
        data = new AWS2.XML.Parser().parse(resp.httpResponse.body.toString());
      } catch (e) {
        data = {
          Code: resp.httpResponse.statusCode,
          Message: resp.httpResponse.statusMessage
        };
      }
      if (data.Errors)
        data = data.Errors;
      if (data.Error)
        data = data.Error;
      if (data.Code) {
        resp.error = util.error(new Error(), {
          code: data.Code,
          message: data.Message
        });
      } else {
        resp.error = util.error(new Error(), {
          code: resp.httpResponse.statusCode,
          message: null
        });
      }
    }
    function extractData(resp) {
      Rest.extractData(resp);
      var parser;
      var req = resp.request;
      var body = resp.httpResponse.body;
      var operation = req.service.api.operations[req.operation];
      var output = operation.output;
      var hasEventOutput = operation.hasEventOutput;
      var payload2 = output.payload;
      if (payload2) {
        var payloadMember = output.members[payload2];
        if (payloadMember.isEventStream) {
          parser = new AWS2.XML.Parser();
          resp.data[payload2] = util.createEventStream(
            AWS2.HttpClient.streamsApiVersion === 2 ? resp.httpResponse.stream : resp.httpResponse.body,
            parser,
            payloadMember
          );
        } else if (payloadMember.type === "structure") {
          parser = new AWS2.XML.Parser();
          resp.data[payload2] = parser.parse(body.toString(), payloadMember);
        } else if (payloadMember.type === "binary" || payloadMember.isStreaming) {
          resp.data[payload2] = body;
        } else {
          resp.data[payload2] = payloadMember.toType(body);
        }
      } else if (body.length > 0) {
        parser = new AWS2.XML.Parser();
        var data = parser.parse(body.toString(), output);
        util.update(resp.data, data);
      }
    }
    module2.exports = {
      buildRequest,
      extractError,
      extractData
    };
  }
});

// node_modules/aws-sdk/lib/xml/escape-attribute.js
var require_escape_attribute = __commonJS({
  "node_modules/aws-sdk/lib/xml/escape-attribute.js"(exports, module2) {
    function escapeAttribute(value) {
      return value.replace(/&/g, "&amp;").replace(/'/g, "&apos;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;");
    }
    module2.exports = {
      escapeAttribute
    };
  }
});

// node_modules/aws-sdk/lib/xml/xml-node.js
var require_xml_node = __commonJS({
  "node_modules/aws-sdk/lib/xml/xml-node.js"(exports, module2) {
    var escapeAttribute = require_escape_attribute().escapeAttribute;
    function XmlNode(name, children2) {
      if (children2 === void 0) {
        children2 = [];
      }
      this.name = name;
      this.children = children2;
      this.attributes = {};
    }
    XmlNode.prototype.addAttribute = function(name, value) {
      this.attributes[name] = value;
      return this;
    };
    XmlNode.prototype.addChildNode = function(child) {
      this.children.push(child);
      return this;
    };
    XmlNode.prototype.removeAttribute = function(name) {
      delete this.attributes[name];
      return this;
    };
    XmlNode.prototype.toString = function() {
      var hasChildren = Boolean(this.children.length);
      var xmlText = "<" + this.name;
      var attributes = this.attributes;
      for (var i = 0, attributeNames = Object.keys(attributes); i < attributeNames.length; i++) {
        var attributeName = attributeNames[i];
        var attribute = attributes[attributeName];
        if (typeof attribute !== "undefined" && attribute !== null) {
          xmlText += " " + attributeName + '="' + escapeAttribute("" + attribute) + '"';
        }
      }
      return xmlText += !hasChildren ? "/>" : ">" + this.children.map(function(c) {
        return c.toString();
      }).join("") + "</" + this.name + ">";
    };
    module2.exports = {
      XmlNode
    };
  }
});

// node_modules/aws-sdk/lib/xml/escape-element.js
var require_escape_element = __commonJS({
  "node_modules/aws-sdk/lib/xml/escape-element.js"(exports, module2) {
    function escapeElement(value) {
      return value.replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/\r/g, "&#x0D;").replace(/\n/g, "&#x0A;").replace(/\u0085/g, "&#x85;").replace(/\u2028/, "&#x2028;");
    }
    module2.exports = {
      escapeElement
    };
  }
});

// node_modules/aws-sdk/lib/xml/xml-text.js
var require_xml_text = __commonJS({
  "node_modules/aws-sdk/lib/xml/xml-text.js"(exports, module2) {
    var escapeElement = require_escape_element().escapeElement;
    function XmlText(value) {
      this.value = value;
    }
    XmlText.prototype.toString = function() {
      return escapeElement("" + this.value);
    };
    module2.exports = {
      XmlText
    };
  }
});

// node_modules/aws-sdk/lib/xml/builder.js
var require_builder2 = __commonJS({
  "node_modules/aws-sdk/lib/xml/builder.js"(exports, module2) {
    var util = require_util();
    var XmlNode = require_xml_node().XmlNode;
    var XmlText = require_xml_text().XmlText;
    function XmlBuilder() {
    }
    XmlBuilder.prototype.toXML = function(params, shape, rootElement, noEmpty) {
      var xml = new XmlNode(rootElement);
      applyNamespaces(xml, shape, true);
      serialize(xml, params, shape);
      return xml.children.length > 0 || noEmpty ? xml.toString() : "";
    };
    function serialize(xml, value, shape) {
      switch (shape.type) {
        case "structure":
          return serializeStructure(xml, value, shape);
        case "map":
          return serializeMap(xml, value, shape);
        case "list":
          return serializeList(xml, value, shape);
        default:
          return serializeScalar(xml, value, shape);
      }
    }
    function serializeStructure(xml, params, shape) {
      util.arrayEach(shape.memberNames, function(memberName) {
        var memberShape = shape.members[memberName];
        if (memberShape.location !== "body")
          return;
        var value = params[memberName];
        var name = memberShape.name;
        if (value !== void 0 && value !== null) {
          if (memberShape.isXmlAttribute) {
            xml.addAttribute(name, value);
          } else if (memberShape.flattened) {
            serialize(xml, value, memberShape);
          } else {
            var element = new XmlNode(name);
            xml.addChildNode(element);
            applyNamespaces(element, memberShape);
            serialize(element, value, memberShape);
          }
        }
      });
    }
    function serializeMap(xml, map, shape) {
      var xmlKey = shape.key.name || "key";
      var xmlValue = shape.value.name || "value";
      util.each(map, function(key, value) {
        var entry = new XmlNode(shape.flattened ? shape.name : "entry");
        xml.addChildNode(entry);
        var entryKey = new XmlNode(xmlKey);
        var entryValue = new XmlNode(xmlValue);
        entry.addChildNode(entryKey);
        entry.addChildNode(entryValue);
        serialize(entryKey, key, shape.key);
        serialize(entryValue, value, shape.value);
      });
    }
    function serializeList(xml, list, shape) {
      if (shape.flattened) {
        util.arrayEach(list, function(value) {
          var name = shape.member.name || shape.name;
          var element = new XmlNode(name);
          xml.addChildNode(element);
          serialize(element, value, shape.member);
        });
      } else {
        util.arrayEach(list, function(value) {
          var name = shape.member.name || "member";
          var element = new XmlNode(name);
          xml.addChildNode(element);
          serialize(element, value, shape.member);
        });
      }
    }
    function serializeScalar(xml, value, shape) {
      xml.addChildNode(
        new XmlText(shape.toWireFormat(value))
      );
    }
    function applyNamespaces(xml, shape, isRoot) {
      var uri, prefix = "xmlns";
      if (shape.xmlNamespaceUri) {
        uri = shape.xmlNamespaceUri;
        if (shape.xmlNamespacePrefix)
          prefix += ":" + shape.xmlNamespacePrefix;
      } else if (isRoot && shape.api.xmlNamespaceUri) {
        uri = shape.api.xmlNamespaceUri;
      }
      if (uri)
        xml.addAttribute(prefix, uri);
    }
    module2.exports = XmlBuilder;
  }
});

// node_modules/aws-sdk/lib/model/operation.js
var require_operation = __commonJS({
  "node_modules/aws-sdk/lib/model/operation.js"(exports, module2) {
    var Shape = require_shape();
    var util = require_util();
    var property = util.property;
    var memoizedProperty = util.memoizedProperty;
    function Operation(name, operation, options) {
      var self = this;
      options = options || {};
      property(this, "name", operation.name || name);
      property(this, "api", options.api, false);
      operation.http = operation.http || {};
      property(this, "endpoint", operation.endpoint);
      property(this, "httpMethod", operation.http.method || "POST");
      property(this, "httpPath", operation.http.requestUri || "/");
      property(this, "authtype", operation.authtype || "");
      property(
        this,
        "endpointDiscoveryRequired",
        operation.endpointdiscovery ? operation.endpointdiscovery.required ? "REQUIRED" : "OPTIONAL" : "NULL"
      );
      var httpChecksumRequired = operation.httpChecksumRequired || operation.httpChecksum && operation.httpChecksum.requestChecksumRequired;
      property(this, "httpChecksumRequired", httpChecksumRequired, false);
      memoizedProperty(this, "input", function() {
        if (!operation.input) {
          return new Shape.create({ type: "structure" }, options);
        }
        return Shape.create(operation.input, options);
      });
      memoizedProperty(this, "output", function() {
        if (!operation.output) {
          return new Shape.create({ type: "structure" }, options);
        }
        return Shape.create(operation.output, options);
      });
      memoizedProperty(this, "errors", function() {
        var list = [];
        if (!operation.errors)
          return null;
        for (var i = 0; i < operation.errors.length; i++) {
          list.push(Shape.create(operation.errors[i], options));
        }
        return list;
      });
      memoizedProperty(this, "paginator", function() {
        return options.api.paginators[name];
      });
      if (options.documentation) {
        property(this, "documentation", operation.documentation);
        property(this, "documentationUrl", operation.documentationUrl);
      }
      memoizedProperty(this, "idempotentMembers", function() {
        var idempotentMembers = [];
        var input = self.input;
        var members = input.members;
        if (!input.members) {
          return idempotentMembers;
        }
        for (var name2 in members) {
          if (!members.hasOwnProperty(name2)) {
            continue;
          }
          if (members[name2].isIdempotent === true) {
            idempotentMembers.push(name2);
          }
        }
        return idempotentMembers;
      });
      memoizedProperty(this, "hasEventOutput", function() {
        var output = self.output;
        return hasEventStream(output);
      });
    }
    function hasEventStream(topLevelShape) {
      var members = topLevelShape.members;
      var payload2 = topLevelShape.payload;
      if (!topLevelShape.members) {
        return false;
      }
      if (payload2) {
        var payloadMember = members[payload2];
        return payloadMember.isEventStream;
      }
      for (var name in members) {
        if (!members.hasOwnProperty(name)) {
          if (members[name].isEventStream === true) {
            return true;
          }
        }
      }
      return false;
    }
    module2.exports = Operation;
  }
});

// node_modules/aws-sdk/lib/model/paginator.js
var require_paginator = __commonJS({
  "node_modules/aws-sdk/lib/model/paginator.js"(exports, module2) {
    var property = require_util().property;
    function Paginator(name, paginator) {
      property(this, "inputToken", paginator.input_token);
      property(this, "limitKey", paginator.limit_key);
      property(this, "moreResults", paginator.more_results);
      property(this, "outputToken", paginator.output_token);
      property(this, "resultKey", paginator.result_key);
    }
    module2.exports = Paginator;
  }
});

// node_modules/aws-sdk/lib/model/resource_waiter.js
var require_resource_waiter = __commonJS({
  "node_modules/aws-sdk/lib/model/resource_waiter.js"(exports, module2) {
    var util = require_util();
    var property = util.property;
    function ResourceWaiter(name, waiter, options) {
      options = options || {};
      property(this, "name", name);
      property(this, "api", options.api, false);
      if (waiter.operation) {
        property(this, "operation", util.string.lowerFirst(waiter.operation));
      }
      var self = this;
      var keys = [
        "type",
        "description",
        "delay",
        "maxAttempts",
        "acceptors"
      ];
      keys.forEach(function(key) {
        var value = waiter[key];
        if (value) {
          property(self, key, value);
        }
      });
    }
    module2.exports = ResourceWaiter;
  }
});

// node_modules/aws-sdk/apis/metadata.json
var require_metadata = __commonJS({
  "node_modules/aws-sdk/apis/metadata.json"(exports, module2) {
    module2.exports = {
      acm: {
        name: "ACM",
        cors: true
      },
      apigateway: {
        name: "APIGateway",
        cors: true
      },
      applicationautoscaling: {
        prefix: "application-autoscaling",
        name: "ApplicationAutoScaling",
        cors: true
      },
      appstream: {
        name: "AppStream"
      },
      autoscaling: {
        name: "AutoScaling",
        cors: true
      },
      batch: {
        name: "Batch"
      },
      budgets: {
        name: "Budgets"
      },
      clouddirectory: {
        name: "CloudDirectory",
        versions: [
          "2016-05-10*"
        ]
      },
      cloudformation: {
        name: "CloudFormation",
        cors: true
      },
      cloudfront: {
        name: "CloudFront",
        versions: [
          "2013-05-12*",
          "2013-11-11*",
          "2014-05-31*",
          "2014-10-21*",
          "2014-11-06*",
          "2015-04-17*",
          "2015-07-27*",
          "2015-09-17*",
          "2016-01-13*",
          "2016-01-28*",
          "2016-08-01*",
          "2016-08-20*",
          "2016-09-07*",
          "2016-09-29*",
          "2016-11-25*",
          "2017-03-25*",
          "2017-10-30*",
          "2018-06-18*",
          "2018-11-05*",
          "2019-03-26*"
        ],
        cors: true
      },
      cloudhsm: {
        name: "CloudHSM",
        cors: true
      },
      cloudsearch: {
        name: "CloudSearch"
      },
      cloudsearchdomain: {
        name: "CloudSearchDomain"
      },
      cloudtrail: {
        name: "CloudTrail",
        cors: true
      },
      cloudwatch: {
        prefix: "monitoring",
        name: "CloudWatch",
        cors: true
      },
      cloudwatchevents: {
        prefix: "events",
        name: "CloudWatchEvents",
        versions: [
          "2014-02-03*"
        ],
        cors: true
      },
      cloudwatchlogs: {
        prefix: "logs",
        name: "CloudWatchLogs",
        cors: true
      },
      codebuild: {
        name: "CodeBuild",
        cors: true
      },
      codecommit: {
        name: "CodeCommit",
        cors: true
      },
      codedeploy: {
        name: "CodeDeploy",
        cors: true
      },
      codepipeline: {
        name: "CodePipeline",
        cors: true
      },
      cognitoidentity: {
        prefix: "cognito-identity",
        name: "CognitoIdentity",
        cors: true
      },
      cognitoidentityserviceprovider: {
        prefix: "cognito-idp",
        name: "CognitoIdentityServiceProvider",
        cors: true
      },
      cognitosync: {
        prefix: "cognito-sync",
        name: "CognitoSync",
        cors: true
      },
      configservice: {
        prefix: "config",
        name: "ConfigService",
        cors: true
      },
      cur: {
        name: "CUR",
        cors: true
      },
      datapipeline: {
        name: "DataPipeline"
      },
      devicefarm: {
        name: "DeviceFarm",
        cors: true
      },
      directconnect: {
        name: "DirectConnect",
        cors: true
      },
      directoryservice: {
        prefix: "ds",
        name: "DirectoryService"
      },
      discovery: {
        name: "Discovery"
      },
      dms: {
        name: "DMS"
      },
      dynamodb: {
        name: "DynamoDB",
        cors: true
      },
      dynamodbstreams: {
        prefix: "streams.dynamodb",
        name: "DynamoDBStreams",
        cors: true
      },
      ec2: {
        name: "EC2",
        versions: [
          "2013-06-15*",
          "2013-10-15*",
          "2014-02-01*",
          "2014-05-01*",
          "2014-06-15*",
          "2014-09-01*",
          "2014-10-01*",
          "2015-03-01*",
          "2015-04-15*",
          "2015-10-01*",
          "2016-04-01*",
          "2016-09-15*"
        ],
        cors: true
      },
      ecr: {
        name: "ECR",
        cors: true
      },
      ecs: {
        name: "ECS",
        cors: true
      },
      efs: {
        prefix: "elasticfilesystem",
        name: "EFS",
        cors: true
      },
      elasticache: {
        name: "ElastiCache",
        versions: [
          "2012-11-15*",
          "2014-03-24*",
          "2014-07-15*",
          "2014-09-30*"
        ],
        cors: true
      },
      elasticbeanstalk: {
        name: "ElasticBeanstalk",
        cors: true
      },
      elb: {
        prefix: "elasticloadbalancing",
        name: "ELB",
        cors: true
      },
      elbv2: {
        prefix: "elasticloadbalancingv2",
        name: "ELBv2",
        cors: true
      },
      emr: {
        prefix: "elasticmapreduce",
        name: "EMR",
        cors: true
      },
      es: {
        name: "ES"
      },
      elastictranscoder: {
        name: "ElasticTranscoder",
        cors: true
      },
      firehose: {
        name: "Firehose",
        cors: true
      },
      gamelift: {
        name: "GameLift",
        cors: true
      },
      glacier: {
        name: "Glacier"
      },
      health: {
        name: "Health"
      },
      iam: {
        name: "IAM",
        cors: true
      },
      importexport: {
        name: "ImportExport"
      },
      inspector: {
        name: "Inspector",
        versions: [
          "2015-08-18*"
        ],
        cors: true
      },
      iot: {
        name: "Iot",
        cors: true
      },
      iotdata: {
        prefix: "iot-data",
        name: "IotData",
        cors: true
      },
      kinesis: {
        name: "Kinesis",
        cors: true
      },
      kinesisanalytics: {
        name: "KinesisAnalytics"
      },
      kms: {
        name: "KMS",
        cors: true
      },
      lambda: {
        name: "Lambda",
        cors: true
      },
      lexruntime: {
        prefix: "runtime.lex",
        name: "LexRuntime",
        cors: true
      },
      lightsail: {
        name: "Lightsail"
      },
      machinelearning: {
        name: "MachineLearning",
        cors: true
      },
      marketplacecommerceanalytics: {
        name: "MarketplaceCommerceAnalytics",
        cors: true
      },
      marketplacemetering: {
        prefix: "meteringmarketplace",
        name: "MarketplaceMetering"
      },
      mturk: {
        prefix: "mturk-requester",
        name: "MTurk",
        cors: true
      },
      mobileanalytics: {
        name: "MobileAnalytics",
        cors: true
      },
      opsworks: {
        name: "OpsWorks",
        cors: true
      },
      opsworkscm: {
        name: "OpsWorksCM"
      },
      organizations: {
        name: "Organizations"
      },
      pinpoint: {
        name: "Pinpoint"
      },
      polly: {
        name: "Polly",
        cors: true
      },
      rds: {
        name: "RDS",
        versions: [
          "2014-09-01*"
        ],
        cors: true
      },
      redshift: {
        name: "Redshift",
        cors: true
      },
      rekognition: {
        name: "Rekognition",
        cors: true
      },
      resourcegroupstaggingapi: {
        name: "ResourceGroupsTaggingAPI"
      },
      route53: {
        name: "Route53",
        cors: true
      },
      route53domains: {
        name: "Route53Domains",
        cors: true
      },
      s3: {
        name: "S3",
        dualstackAvailable: true,
        cors: true
      },
      s3control: {
        name: "S3Control",
        dualstackAvailable: true,
        xmlNoDefaultLists: true
      },
      servicecatalog: {
        name: "ServiceCatalog",
        cors: true
      },
      ses: {
        prefix: "email",
        name: "SES",
        cors: true
      },
      shield: {
        name: "Shield"
      },
      simpledb: {
        prefix: "sdb",
        name: "SimpleDB"
      },
      sms: {
        name: "SMS"
      },
      snowball: {
        name: "Snowball"
      },
      sns: {
        name: "SNS",
        cors: true
      },
      sqs: {
        name: "SQS",
        cors: true
      },
      ssm: {
        name: "SSM",
        cors: true
      },
      storagegateway: {
        name: "StorageGateway",
        cors: true
      },
      stepfunctions: {
        prefix: "states",
        name: "StepFunctions"
      },
      sts: {
        name: "STS",
        cors: true
      },
      support: {
        name: "Support"
      },
      swf: {
        name: "SWF"
      },
      xray: {
        name: "XRay",
        cors: true
      },
      waf: {
        name: "WAF",
        cors: true
      },
      wafregional: {
        prefix: "waf-regional",
        name: "WAFRegional"
      },
      workdocs: {
        name: "WorkDocs",
        cors: true
      },
      workspaces: {
        name: "WorkSpaces"
      },
      codestar: {
        name: "CodeStar"
      },
      lexmodelbuildingservice: {
        prefix: "lex-models",
        name: "LexModelBuildingService",
        cors: true
      },
      marketplaceentitlementservice: {
        prefix: "entitlement.marketplace",
        name: "MarketplaceEntitlementService"
      },
      athena: {
        name: "Athena",
        cors: true
      },
      greengrass: {
        name: "Greengrass"
      },
      dax: {
        name: "DAX"
      },
      migrationhub: {
        prefix: "AWSMigrationHub",
        name: "MigrationHub"
      },
      cloudhsmv2: {
        name: "CloudHSMV2",
        cors: true
      },
      glue: {
        name: "Glue"
      },
      mobile: {
        name: "Mobile"
      },
      pricing: {
        name: "Pricing",
        cors: true
      },
      costexplorer: {
        prefix: "ce",
        name: "CostExplorer",
        cors: true
      },
      mediaconvert: {
        name: "MediaConvert"
      },
      medialive: {
        name: "MediaLive"
      },
      mediapackage: {
        name: "MediaPackage"
      },
      mediastore: {
        name: "MediaStore"
      },
      mediastoredata: {
        prefix: "mediastore-data",
        name: "MediaStoreData",
        cors: true
      },
      appsync: {
        name: "AppSync"
      },
      guardduty: {
        name: "GuardDuty"
      },
      mq: {
        name: "MQ"
      },
      comprehend: {
        name: "Comprehend",
        cors: true
      },
      iotjobsdataplane: {
        prefix: "iot-jobs-data",
        name: "IoTJobsDataPlane"
      },
      kinesisvideoarchivedmedia: {
        prefix: "kinesis-video-archived-media",
        name: "KinesisVideoArchivedMedia",
        cors: true
      },
      kinesisvideomedia: {
        prefix: "kinesis-video-media",
        name: "KinesisVideoMedia",
        cors: true
      },
      kinesisvideo: {
        name: "KinesisVideo",
        cors: true
      },
      sagemakerruntime: {
        prefix: "runtime.sagemaker",
        name: "SageMakerRuntime"
      },
      sagemaker: {
        name: "SageMaker"
      },
      translate: {
        name: "Translate",
        cors: true
      },
      resourcegroups: {
        prefix: "resource-groups",
        name: "ResourceGroups",
        cors: true
      },
      alexaforbusiness: {
        name: "AlexaForBusiness"
      },
      cloud9: {
        name: "Cloud9"
      },
      serverlessapplicationrepository: {
        prefix: "serverlessrepo",
        name: "ServerlessApplicationRepository"
      },
      servicediscovery: {
        name: "ServiceDiscovery"
      },
      workmail: {
        name: "WorkMail"
      },
      autoscalingplans: {
        prefix: "autoscaling-plans",
        name: "AutoScalingPlans"
      },
      transcribeservice: {
        prefix: "transcribe",
        name: "TranscribeService"
      },
      connect: {
        name: "Connect",
        cors: true
      },
      acmpca: {
        prefix: "acm-pca",
        name: "ACMPCA"
      },
      fms: {
        name: "FMS"
      },
      secretsmanager: {
        name: "SecretsManager",
        cors: true
      },
      iotanalytics: {
        name: "IoTAnalytics",
        cors: true
      },
      iot1clickdevicesservice: {
        prefix: "iot1click-devices",
        name: "IoT1ClickDevicesService"
      },
      iot1clickprojects: {
        prefix: "iot1click-projects",
        name: "IoT1ClickProjects"
      },
      pi: {
        name: "PI"
      },
      neptune: {
        name: "Neptune"
      },
      mediatailor: {
        name: "MediaTailor"
      },
      eks: {
        name: "EKS"
      },
      macie: {
        name: "Macie"
      },
      dlm: {
        name: "DLM"
      },
      signer: {
        name: "Signer"
      },
      chime: {
        name: "Chime"
      },
      pinpointemail: {
        prefix: "pinpoint-email",
        name: "PinpointEmail"
      },
      ram: {
        name: "RAM"
      },
      route53resolver: {
        name: "Route53Resolver"
      },
      pinpointsmsvoice: {
        prefix: "sms-voice",
        name: "PinpointSMSVoice"
      },
      quicksight: {
        name: "QuickSight"
      },
      rdsdataservice: {
        prefix: "rds-data",
        name: "RDSDataService"
      },
      amplify: {
        name: "Amplify"
      },
      datasync: {
        name: "DataSync"
      },
      robomaker: {
        name: "RoboMaker"
      },
      transfer: {
        name: "Transfer"
      },
      globalaccelerator: {
        name: "GlobalAccelerator"
      },
      comprehendmedical: {
        name: "ComprehendMedical",
        cors: true
      },
      kinesisanalyticsv2: {
        name: "KinesisAnalyticsV2"
      },
      mediaconnect: {
        name: "MediaConnect"
      },
      fsx: {
        name: "FSx"
      },
      securityhub: {
        name: "SecurityHub"
      },
      appmesh: {
        name: "AppMesh",
        versions: [
          "2018-10-01*"
        ]
      },
      licensemanager: {
        prefix: "license-manager",
        name: "LicenseManager"
      },
      kafka: {
        name: "Kafka"
      },
      apigatewaymanagementapi: {
        name: "ApiGatewayManagementApi"
      },
      apigatewayv2: {
        name: "ApiGatewayV2"
      },
      docdb: {
        name: "DocDB"
      },
      backup: {
        name: "Backup"
      },
      worklink: {
        name: "WorkLink"
      },
      textract: {
        name: "Textract"
      },
      managedblockchain: {
        name: "ManagedBlockchain"
      },
      mediapackagevod: {
        prefix: "mediapackage-vod",
        name: "MediaPackageVod"
      },
      groundstation: {
        name: "GroundStation"
      },
      iotthingsgraph: {
        name: "IoTThingsGraph"
      },
      iotevents: {
        name: "IoTEvents"
      },
      ioteventsdata: {
        prefix: "iotevents-data",
        name: "IoTEventsData"
      },
      personalize: {
        name: "Personalize",
        cors: true
      },
      personalizeevents: {
        prefix: "personalize-events",
        name: "PersonalizeEvents",
        cors: true
      },
      personalizeruntime: {
        prefix: "personalize-runtime",
        name: "PersonalizeRuntime",
        cors: true
      },
      applicationinsights: {
        prefix: "application-insights",
        name: "ApplicationInsights"
      },
      servicequotas: {
        prefix: "service-quotas",
        name: "ServiceQuotas"
      },
      ec2instanceconnect: {
        prefix: "ec2-instance-connect",
        name: "EC2InstanceConnect"
      },
      eventbridge: {
        name: "EventBridge"
      },
      lakeformation: {
        name: "LakeFormation"
      },
      forecastservice: {
        prefix: "forecast",
        name: "ForecastService",
        cors: true
      },
      forecastqueryservice: {
        prefix: "forecastquery",
        name: "ForecastQueryService",
        cors: true
      },
      qldb: {
        name: "QLDB"
      },
      qldbsession: {
        prefix: "qldb-session",
        name: "QLDBSession"
      },
      workmailmessageflow: {
        name: "WorkMailMessageFlow"
      },
      codestarnotifications: {
        prefix: "codestar-notifications",
        name: "CodeStarNotifications"
      },
      savingsplans: {
        name: "SavingsPlans"
      },
      sso: {
        name: "SSO"
      },
      ssooidc: {
        prefix: "sso-oidc",
        name: "SSOOIDC"
      },
      marketplacecatalog: {
        prefix: "marketplace-catalog",
        name: "MarketplaceCatalog",
        cors: true
      },
      dataexchange: {
        name: "DataExchange"
      },
      sesv2: {
        name: "SESV2"
      },
      migrationhubconfig: {
        prefix: "migrationhub-config",
        name: "MigrationHubConfig"
      },
      connectparticipant: {
        name: "ConnectParticipant"
      },
      appconfig: {
        name: "AppConfig"
      },
      iotsecuretunneling: {
        name: "IoTSecureTunneling"
      },
      wafv2: {
        name: "WAFV2"
      },
      elasticinference: {
        prefix: "elastic-inference",
        name: "ElasticInference"
      },
      imagebuilder: {
        name: "Imagebuilder"
      },
      schemas: {
        name: "Schemas"
      },
      accessanalyzer: {
        name: "AccessAnalyzer"
      },
      codegurureviewer: {
        prefix: "codeguru-reviewer",
        name: "CodeGuruReviewer"
      },
      codeguruprofiler: {
        name: "CodeGuruProfiler"
      },
      computeoptimizer: {
        prefix: "compute-optimizer",
        name: "ComputeOptimizer"
      },
      frauddetector: {
        name: "FraudDetector"
      },
      kendra: {
        name: "Kendra"
      },
      networkmanager: {
        name: "NetworkManager"
      },
      outposts: {
        name: "Outposts"
      },
      augmentedairuntime: {
        prefix: "sagemaker-a2i-runtime",
        name: "AugmentedAIRuntime"
      },
      ebs: {
        name: "EBS"
      },
      kinesisvideosignalingchannels: {
        prefix: "kinesis-video-signaling",
        name: "KinesisVideoSignalingChannels",
        cors: true
      },
      detective: {
        name: "Detective"
      },
      codestarconnections: {
        prefix: "codestar-connections",
        name: "CodeStarconnections"
      },
      synthetics: {
        name: "Synthetics"
      },
      iotsitewise: {
        name: "IoTSiteWise"
      },
      macie2: {
        name: "Macie2"
      },
      codeartifact: {
        name: "CodeArtifact"
      },
      honeycode: {
        name: "Honeycode"
      },
      ivs: {
        name: "IVS"
      },
      braket: {
        name: "Braket"
      },
      identitystore: {
        name: "IdentityStore"
      },
      appflow: {
        name: "Appflow"
      },
      redshiftdata: {
        prefix: "redshift-data",
        name: "RedshiftData"
      },
      ssoadmin: {
        prefix: "sso-admin",
        name: "SSOAdmin"
      },
      timestreamquery: {
        prefix: "timestream-query",
        name: "TimestreamQuery"
      },
      timestreamwrite: {
        prefix: "timestream-write",
        name: "TimestreamWrite"
      },
      s3outposts: {
        name: "S3Outposts"
      },
      databrew: {
        name: "DataBrew"
      },
      servicecatalogappregistry: {
        prefix: "servicecatalog-appregistry",
        name: "ServiceCatalogAppRegistry"
      },
      networkfirewall: {
        prefix: "network-firewall",
        name: "NetworkFirewall"
      },
      mwaa: {
        name: "MWAA"
      },
      amplifybackend: {
        name: "AmplifyBackend"
      },
      appintegrations: {
        name: "AppIntegrations"
      },
      connectcontactlens: {
        prefix: "connect-contact-lens",
        name: "ConnectContactLens"
      },
      devopsguru: {
        prefix: "devops-guru",
        name: "DevOpsGuru"
      },
      ecrpublic: {
        prefix: "ecr-public",
        name: "ECRPUBLIC"
      },
      lookoutvision: {
        name: "LookoutVision"
      },
      sagemakerfeaturestoreruntime: {
        prefix: "sagemaker-featurestore-runtime",
        name: "SageMakerFeatureStoreRuntime"
      },
      customerprofiles: {
        prefix: "customer-profiles",
        name: "CustomerProfiles"
      },
      auditmanager: {
        name: "AuditManager"
      },
      emrcontainers: {
        prefix: "emr-containers",
        name: "EMRcontainers"
      },
      healthlake: {
        name: "HealthLake"
      },
      sagemakeredge: {
        prefix: "sagemaker-edge",
        name: "SagemakerEdge"
      },
      amp: {
        name: "Amp",
        cors: true
      },
      greengrassv2: {
        name: "GreengrassV2"
      },
      iotdeviceadvisor: {
        name: "IotDeviceAdvisor"
      },
      iotfleethub: {
        name: "IoTFleetHub"
      },
      iotwireless: {
        name: "IoTWireless"
      },
      location: {
        name: "Location",
        cors: true
      },
      wellarchitected: {
        name: "WellArchitected"
      },
      lexmodelsv2: {
        prefix: "models.lex.v2",
        name: "LexModelsV2"
      },
      lexruntimev2: {
        prefix: "runtime.lex.v2",
        name: "LexRuntimeV2",
        cors: true
      },
      fis: {
        name: "Fis"
      },
      lookoutmetrics: {
        name: "LookoutMetrics"
      },
      mgn: {
        name: "Mgn"
      },
      lookoutequipment: {
        name: "LookoutEquipment"
      },
      nimble: {
        name: "Nimble"
      },
      finspace: {
        name: "Finspace"
      },
      finspacedata: {
        prefix: "finspace-data",
        name: "Finspacedata"
      },
      ssmcontacts: {
        prefix: "ssm-contacts",
        name: "SSMContacts"
      },
      ssmincidents: {
        prefix: "ssm-incidents",
        name: "SSMIncidents"
      },
      applicationcostprofiler: {
        name: "ApplicationCostProfiler"
      },
      apprunner: {
        name: "AppRunner"
      },
      proton: {
        name: "Proton"
      },
      route53recoverycluster: {
        prefix: "route53-recovery-cluster",
        name: "Route53RecoveryCluster"
      },
      route53recoverycontrolconfig: {
        prefix: "route53-recovery-control-config",
        name: "Route53RecoveryControlConfig"
      },
      route53recoveryreadiness: {
        prefix: "route53-recovery-readiness",
        name: "Route53RecoveryReadiness"
      },
      chimesdkidentity: {
        prefix: "chime-sdk-identity",
        name: "ChimeSDKIdentity"
      },
      chimesdkmessaging: {
        prefix: "chime-sdk-messaging",
        name: "ChimeSDKMessaging"
      },
      snowdevicemanagement: {
        prefix: "snow-device-management",
        name: "SnowDeviceManagement"
      },
      memorydb: {
        name: "MemoryDB"
      },
      opensearch: {
        name: "OpenSearch"
      },
      kafkaconnect: {
        name: "KafkaConnect"
      },
      voiceid: {
        prefix: "voice-id",
        name: "VoiceID"
      },
      wisdom: {
        name: "Wisdom"
      },
      account: {
        name: "Account"
      },
      cloudcontrol: {
        name: "CloudControl"
      },
      grafana: {
        name: "Grafana"
      },
      panorama: {
        name: "Panorama"
      },
      chimesdkmeetings: {
        prefix: "chime-sdk-meetings",
        name: "ChimeSDKMeetings"
      },
      resiliencehub: {
        name: "Resiliencehub"
      },
      migrationhubstrategy: {
        name: "MigrationHubStrategy"
      },
      appconfigdata: {
        name: "AppConfigData"
      },
      drs: {
        name: "Drs"
      },
      migrationhubrefactorspaces: {
        prefix: "migration-hub-refactor-spaces",
        name: "MigrationHubRefactorSpaces"
      },
      evidently: {
        name: "Evidently"
      },
      inspector2: {
        name: "Inspector2"
      },
      rbin: {
        name: "Rbin"
      },
      rum: {
        name: "RUM"
      },
      backupgateway: {
        prefix: "backup-gateway",
        name: "BackupGateway"
      },
      iottwinmaker: {
        name: "IoTTwinMaker"
      },
      workspacesweb: {
        prefix: "workspaces-web",
        name: "WorkSpacesWeb"
      },
      amplifyuibuilder: {
        name: "AmplifyUIBuilder"
      },
      keyspaces: {
        name: "Keyspaces"
      },
      billingconductor: {
        name: "Billingconductor"
      },
      gamesparks: {
        name: "GameSparks"
      },
      pinpointsmsvoicev2: {
        prefix: "pinpoint-sms-voice-v2",
        name: "PinpointSMSVoiceV2"
      },
      ivschat: {
        name: "Ivschat"
      },
      chimesdkmediapipelines: {
        prefix: "chime-sdk-media-pipelines",
        name: "ChimeSDKMediaPipelines"
      },
      emrserverless: {
        prefix: "emr-serverless",
        name: "EMRServerless"
      },
      m2: {
        name: "M2"
      },
      connectcampaigns: {
        name: "ConnectCampaigns"
      },
      redshiftserverless: {
        prefix: "redshift-serverless",
        name: "RedshiftServerless"
      },
      rolesanywhere: {
        name: "RolesAnywhere"
      },
      licensemanagerusersubscriptions: {
        prefix: "license-manager-user-subscriptions",
        name: "LicenseManagerUserSubscriptions"
      },
      backupstorage: {
        name: "BackupStorage"
      },
      privatenetworks: {
        name: "PrivateNetworks"
      },
      supportapp: {
        prefix: "support-app",
        name: "SupportApp"
      },
      controltower: {
        name: "ControlTower"
      },
      iotfleetwise: {
        name: "IoTFleetWise"
      },
      migrationhuborchestrator: {
        name: "MigrationHubOrchestrator"
      },
      connectcases: {
        name: "ConnectCases"
      },
      resourceexplorer2: {
        prefix: "resource-explorer-2",
        name: "ResourceExplorer2"
      },
      scheduler: {
        name: "Scheduler"
      },
      chimesdkvoice: {
        prefix: "chime-sdk-voice",
        name: "ChimeSDKVoice"
      },
      iotroborunner: {
        prefix: "iot-roborunner",
        name: "IoTRoboRunner"
      },
      ssmsap: {
        prefix: "ssm-sap",
        name: "SsmSap"
      },
      oam: {
        name: "OAM"
      },
      arczonalshift: {
        prefix: "arc-zonal-shift",
        name: "ARCZonalShift"
      },
      omics: {
        name: "Omics"
      },
      opensearchserverless: {
        name: "OpenSearchServerless"
      },
      securitylake: {
        name: "SecurityLake"
      },
      simspaceweaver: {
        name: "SimSpaceWeaver"
      },
      docdbelastic: {
        prefix: "docdb-elastic",
        name: "DocDBElastic"
      },
      sagemakergeospatial: {
        prefix: "sagemaker-geospatial",
        name: "SageMakerGeospatial"
      },
      codecatalyst: {
        name: "CodeCatalyst"
      },
      pipes: {
        name: "Pipes"
      },
      sagemakermetrics: {
        prefix: "sagemaker-metrics",
        name: "SageMakerMetrics"
      },
      kinesisvideowebrtcstorage: {
        prefix: "kinesis-video-webrtc-storage",
        name: "KinesisVideoWebRTCStorage"
      },
      licensemanagerlinuxsubscriptions: {
        prefix: "license-manager-linux-subscriptions",
        name: "LicenseManagerLinuxSubscriptions"
      },
      kendraranking: {
        prefix: "kendra-ranking",
        name: "KendraRanking"
      },
      cleanrooms: {
        name: "CleanRooms"
      },
      cloudtraildata: {
        prefix: "cloudtrail-data",
        name: "CloudTrailData"
      },
      tnb: {
        name: "Tnb"
      },
      internetmonitor: {
        name: "InternetMonitor"
      },
      ivsrealtime: {
        prefix: "ivs-realtime",
        name: "IVSRealTime"
      },
      vpclattice: {
        prefix: "vpc-lattice",
        name: "VPCLattice"
      },
      osis: {
        name: "OSIS"
      },
      mediapackagev2: {
        name: "MediaPackageV2"
      },
      paymentcryptography: {
        prefix: "payment-cryptography",
        name: "PaymentCryptography"
      },
      paymentcryptographydata: {
        prefix: "payment-cryptography-data",
        name: "PaymentCryptographyData"
      },
      codegurusecurity: {
        prefix: "codeguru-security",
        name: "CodeGuruSecurity"
      },
      verifiedpermissions: {
        name: "VerifiedPermissions"
      },
      appfabric: {
        name: "AppFabric"
      }
    };
  }
});

// node_modules/aws-sdk/lib/model/api.js
var require_api = __commonJS({
  "node_modules/aws-sdk/lib/model/api.js"(exports, module2) {
    var Collection = require_collection();
    var Operation = require_operation();
    var Shape = require_shape();
    var Paginator = require_paginator();
    var ResourceWaiter = require_resource_waiter();
    var metadata = require_metadata();
    var util = require_util();
    var property = util.property;
    var memoizedProperty = util.memoizedProperty;
    function Api(api, options) {
      var self = this;
      api = api || {};
      options = options || {};
      options.api = this;
      api.metadata = api.metadata || {};
      var serviceIdentifier = options.serviceIdentifier;
      delete options.serviceIdentifier;
      property(this, "isApi", true, false);
      property(this, "apiVersion", api.metadata.apiVersion);
      property(this, "endpointPrefix", api.metadata.endpointPrefix);
      property(this, "signingName", api.metadata.signingName);
      property(this, "globalEndpoint", api.metadata.globalEndpoint);
      property(this, "signatureVersion", api.metadata.signatureVersion);
      property(this, "jsonVersion", api.metadata.jsonVersion);
      property(this, "targetPrefix", api.metadata.targetPrefix);
      property(this, "protocol", api.metadata.protocol);
      property(this, "timestampFormat", api.metadata.timestampFormat);
      property(this, "xmlNamespaceUri", api.metadata.xmlNamespace);
      property(this, "abbreviation", api.metadata.serviceAbbreviation);
      property(this, "fullName", api.metadata.serviceFullName);
      property(this, "serviceId", api.metadata.serviceId);
      if (serviceIdentifier && metadata[serviceIdentifier]) {
        property(this, "xmlNoDefaultLists", metadata[serviceIdentifier].xmlNoDefaultLists, false);
      }
      memoizedProperty(this, "className", function() {
        var name = api.metadata.serviceAbbreviation || api.metadata.serviceFullName;
        if (!name)
          return null;
        name = name.replace(/^Amazon|AWS\s*|\(.*|\s+|\W+/g, "");
        if (name === "ElasticLoadBalancing")
          name = "ELB";
        return name;
      });
      function addEndpointOperation(name, operation) {
        if (operation.endpointoperation === true) {
          property(self, "endpointOperation", util.string.lowerFirst(name));
        }
        if (operation.endpointdiscovery && !self.hasRequiredEndpointDiscovery) {
          property(
            self,
            "hasRequiredEndpointDiscovery",
            operation.endpointdiscovery.required === true
          );
        }
      }
      property(this, "operations", new Collection(api.operations, options, function(name, operation) {
        return new Operation(name, operation, options);
      }, util.string.lowerFirst, addEndpointOperation));
      property(this, "shapes", new Collection(api.shapes, options, function(name, shape) {
        return Shape.create(shape, options);
      }));
      property(this, "paginators", new Collection(api.paginators, options, function(name, paginator) {
        return new Paginator(name, paginator, options);
      }));
      property(this, "waiters", new Collection(api.waiters, options, function(name, waiter) {
        return new ResourceWaiter(name, waiter, options);
      }, util.string.lowerFirst));
      if (options.documentation) {
        property(this, "documentation", api.documentation);
        property(this, "documentationUrl", api.documentationUrl);
      }
      property(this, "awsQueryCompatible", api.metadata.awsQueryCompatible);
    }
    module2.exports = Api;
  }
});

// node_modules/aws-sdk/lib/api_loader.js
var require_api_loader = __commonJS({
  "node_modules/aws-sdk/lib/api_loader.js"(exports, module2) {
    function apiLoader(svc, version) {
      if (!apiLoader.services.hasOwnProperty(svc)) {
        throw new Error("InvalidService: Failed to load api for " + svc);
      }
      return apiLoader.services[svc][version];
    }
    apiLoader.services = {};
    module2.exports = apiLoader;
  }
});

// node_modules/aws-sdk/vendor/endpoint-cache/utils/LRU.js
var require_LRU = __commonJS({
  "node_modules/aws-sdk/vendor/endpoint-cache/utils/LRU.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var LinkedListNode = (
      /** @class */
      function() {
        function LinkedListNode2(key, value) {
          this.key = key;
          this.value = value;
        }
        return LinkedListNode2;
      }()
    );
    var LRUCache = (
      /** @class */
      function() {
        function LRUCache2(size) {
          this.nodeMap = {};
          this.size = 0;
          if (typeof size !== "number" || size < 1) {
            throw new Error("Cache size can only be positive number");
          }
          this.sizeLimit = size;
        }
        Object.defineProperty(LRUCache2.prototype, "length", {
          get: function() {
            return this.size;
          },
          enumerable: true,
          configurable: true
        });
        LRUCache2.prototype.prependToList = function(node) {
          if (!this.headerNode) {
            this.tailNode = node;
          } else {
            this.headerNode.prev = node;
            node.next = this.headerNode;
          }
          this.headerNode = node;
          this.size++;
        };
        LRUCache2.prototype.removeFromTail = function() {
          if (!this.tailNode) {
            return void 0;
          }
          var node = this.tailNode;
          var prevNode = node.prev;
          if (prevNode) {
            prevNode.next = void 0;
          }
          node.prev = void 0;
          this.tailNode = prevNode;
          this.size--;
          return node;
        };
        LRUCache2.prototype.detachFromList = function(node) {
          if (this.headerNode === node) {
            this.headerNode = node.next;
          }
          if (this.tailNode === node) {
            this.tailNode = node.prev;
          }
          if (node.prev) {
            node.prev.next = node.next;
          }
          if (node.next) {
            node.next.prev = node.prev;
          }
          node.next = void 0;
          node.prev = void 0;
          this.size--;
        };
        LRUCache2.prototype.get = function(key) {
          if (this.nodeMap[key]) {
            var node = this.nodeMap[key];
            this.detachFromList(node);
            this.prependToList(node);
            return node.value;
          }
        };
        LRUCache2.prototype.remove = function(key) {
          if (this.nodeMap[key]) {
            var node = this.nodeMap[key];
            this.detachFromList(node);
            delete this.nodeMap[key];
          }
        };
        LRUCache2.prototype.put = function(key, value) {
          if (this.nodeMap[key]) {
            this.remove(key);
          } else if (this.size === this.sizeLimit) {
            var tailNode = this.removeFromTail();
            var key_1 = tailNode.key;
            delete this.nodeMap[key_1];
          }
          var newNode = new LinkedListNode(key, value);
          this.nodeMap[key] = newNode;
          this.prependToList(newNode);
        };
        LRUCache2.prototype.empty = function() {
          var keys = Object.keys(this.nodeMap);
          for (var i = 0; i < keys.length; i++) {
            var key = keys[i];
            var node = this.nodeMap[key];
            this.detachFromList(node);
            delete this.nodeMap[key];
          }
        };
        return LRUCache2;
      }()
    );
    exports.LRUCache = LRUCache;
  }
});

// node_modules/aws-sdk/vendor/endpoint-cache/index.js
var require_endpoint_cache = __commonJS({
  "node_modules/aws-sdk/vendor/endpoint-cache/index.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var LRU_1 = require_LRU();
    var CACHE_SIZE = 1e3;
    var EndpointCache = (
      /** @class */
      function() {
        function EndpointCache2(maxSize) {
          if (maxSize === void 0) {
            maxSize = CACHE_SIZE;
          }
          this.maxSize = maxSize;
          this.cache = new LRU_1.LRUCache(maxSize);
        }
        ;
        Object.defineProperty(EndpointCache2.prototype, "size", {
          get: function() {
            return this.cache.length;
          },
          enumerable: true,
          configurable: true
        });
        EndpointCache2.prototype.put = function(key, value) {
          var keyString = typeof key !== "string" ? EndpointCache2.getKeyString(key) : key;
          var endpointRecord = this.populateValue(value);
          this.cache.put(keyString, endpointRecord);
        };
        EndpointCache2.prototype.get = function(key) {
          var keyString = typeof key !== "string" ? EndpointCache2.getKeyString(key) : key;
          var now = Date.now();
          var records = this.cache.get(keyString);
          if (records) {
            for (var i = records.length - 1; i >= 0; i--) {
              var record = records[i];
              if (record.Expire < now) {
                records.splice(i, 1);
              }
            }
            if (records.length === 0) {
              this.cache.remove(keyString);
              return void 0;
            }
          }
          return records;
        };
        EndpointCache2.getKeyString = function(key) {
          var identifiers = [];
          var identifierNames = Object.keys(key).sort();
          for (var i = 0; i < identifierNames.length; i++) {
            var identifierName = identifierNames[i];
            if (key[identifierName] === void 0)
              continue;
            identifiers.push(key[identifierName]);
          }
          return identifiers.join(" ");
        };
        EndpointCache2.prototype.populateValue = function(endpoints) {
          var now = Date.now();
          return endpoints.map(function(endpoint) {
            return {
              Address: endpoint.Address || "",
              Expire: now + (endpoint.CachePeriodInMinutes || 1) * 60 * 1e3
            };
          });
        };
        EndpointCache2.prototype.empty = function() {
          this.cache.empty();
        };
        EndpointCache2.prototype.remove = function(key) {
          var keyString = typeof key !== "string" ? EndpointCache2.getKeyString(key) : key;
          this.cache.remove(keyString);
        };
        return EndpointCache2;
      }()
    );
    exports.EndpointCache = EndpointCache;
  }
});

// node_modules/aws-sdk/lib/sequential_executor.js
var require_sequential_executor = __commonJS({
  "node_modules/aws-sdk/lib/sequential_executor.js"(exports, module2) {
    var AWS2 = require_core();
    AWS2.SequentialExecutor = AWS2.util.inherit({
      constructor: function SequentialExecutor() {
        this._events = {};
      },
      /**
       * @api private
       */
      listeners: function listeners(eventName) {
        return this._events[eventName] ? this._events[eventName].slice(0) : [];
      },
      on: function on(eventName, listener, toHead) {
        if (this._events[eventName]) {
          toHead ? this._events[eventName].unshift(listener) : this._events[eventName].push(listener);
        } else {
          this._events[eventName] = [listener];
        }
        return this;
      },
      onAsync: function onAsync(eventName, listener, toHead) {
        listener._isAsync = true;
        return this.on(eventName, listener, toHead);
      },
      removeListener: function removeListener(eventName, listener) {
        var listeners = this._events[eventName];
        if (listeners) {
          var length = listeners.length;
          var position = -1;
          for (var i = 0; i < length; ++i) {
            if (listeners[i] === listener) {
              position = i;
            }
          }
          if (position > -1) {
            listeners.splice(position, 1);
          }
        }
        return this;
      },
      removeAllListeners: function removeAllListeners(eventName) {
        if (eventName) {
          delete this._events[eventName];
        } else {
          this._events = {};
        }
        return this;
      },
      /**
       * @api private
       */
      emit: function emit(eventName, eventArgs, doneCallback) {
        if (!doneCallback)
          doneCallback = function() {
          };
        var listeners = this.listeners(eventName);
        var count = listeners.length;
        this.callListeners(listeners, eventArgs, doneCallback);
        return count > 0;
      },
      /**
       * @api private
       */
      callListeners: function callListeners(listeners, args, doneCallback, prevError) {
        var self = this;
        var error = prevError || null;
        function callNextListener(err) {
          if (err) {
            error = AWS2.util.error(error || new Error(), err);
            if (self._haltHandlersOnError) {
              return doneCallback.call(self, error);
            }
          }
          self.callListeners(listeners, args, doneCallback, error);
        }
        while (listeners.length > 0) {
          var listener = listeners.shift();
          if (listener._isAsync) {
            listener.apply(self, args.concat([callNextListener]));
            return;
          } else {
            try {
              listener.apply(self, args);
            } catch (err) {
              error = AWS2.util.error(error || new Error(), err);
            }
            if (error && self._haltHandlersOnError) {
              doneCallback.call(self, error);
              return;
            }
          }
        }
        doneCallback.call(self, error);
      },
      /**
       * Adds or copies a set of listeners from another list of
       * listeners or SequentialExecutor object.
       *
       * @param listeners [map<String,Array<Function>>, AWS.SequentialExecutor]
       *   a list of events and callbacks, or an event emitter object
       *   containing listeners to add to this emitter object.
       * @return [AWS.SequentialExecutor] the emitter object, for chaining.
       * @example Adding listeners from a map of listeners
       *   emitter.addListeners({
       *     event1: [function() { ... }, function() { ... }],
       *     event2: [function() { ... }]
       *   });
       *   emitter.emit('event1'); // emitter has event1
       *   emitter.emit('event2'); // emitter has event2
       * @example Adding listeners from another emitter object
       *   var emitter1 = new AWS.SequentialExecutor();
       *   emitter1.on('event1', function() { ... });
       *   emitter1.on('event2', function() { ... });
       *   var emitter2 = new AWS.SequentialExecutor();
       *   emitter2.addListeners(emitter1);
       *   emitter2.emit('event1'); // emitter2 has event1
       *   emitter2.emit('event2'); // emitter2 has event2
       */
      addListeners: function addListeners(listeners) {
        var self = this;
        if (listeners._events)
          listeners = listeners._events;
        AWS2.util.each(listeners, function(event, callbacks) {
          if (typeof callbacks === "function")
            callbacks = [callbacks];
          AWS2.util.arrayEach(callbacks, function(callback) {
            self.on(event, callback);
          });
        });
        return self;
      },
      /**
       * Registers an event with {on} and saves the callback handle function
       * as a property on the emitter object using a given `name`.
       *
       * @param name [String] the property name to set on this object containing
       *   the callback function handle so that the listener can be removed in
       *   the future.
       * @param (see on)
       * @return (see on)
       * @example Adding a named listener DATA_CALLBACK
       *   var listener = function() { doSomething(); };
       *   emitter.addNamedListener('DATA_CALLBACK', 'data', listener);
       *
       *   // the following prints: true
       *   console.log(emitter.DATA_CALLBACK == listener);
       */
      addNamedListener: function addNamedListener(name, eventName, callback, toHead) {
        this[name] = callback;
        this.addListener(eventName, callback, toHead);
        return this;
      },
      /**
       * @api private
       */
      addNamedAsyncListener: function addNamedAsyncListener(name, eventName, callback, toHead) {
        callback._isAsync = true;
        return this.addNamedListener(name, eventName, callback, toHead);
      },
      /**
       * Helper method to add a set of named listeners using
       * {addNamedListener}. The callback contains a parameter
       * with a handle to the `addNamedListener` method.
       *
       * @callback callback function(add)
       *   The callback function is called immediately in order to provide
       *   the `add` function to the block. This simplifies the addition of
       *   a large group of named listeners.
       *   @param add [Function] the {addNamedListener} function to call
       *     when registering listeners.
       * @example Adding a set of named listeners
       *   emitter.addNamedListeners(function(add) {
       *     add('DATA_CALLBACK', 'data', function() { ... });
       *     add('OTHER', 'otherEvent', function() { ... });
       *     add('LAST', 'lastEvent', function() { ... });
       *   });
       *
       *   // these properties are now set:
       *   emitter.DATA_CALLBACK;
       *   emitter.OTHER;
       *   emitter.LAST;
       */
      addNamedListeners: function addNamedListeners(callback) {
        var self = this;
        callback(
          function() {
            self.addNamedListener.apply(self, arguments);
          },
          function() {
            self.addNamedAsyncListener.apply(self, arguments);
          }
        );
        return this;
      }
    });
    AWS2.SequentialExecutor.prototype.addListener = AWS2.SequentialExecutor.prototype.on;
    module2.exports = AWS2.SequentialExecutor;
  }
});

// node_modules/aws-sdk/lib/region_config_data.json
var require_region_config_data = __commonJS({
  "node_modules/aws-sdk/lib/region_config_data.json"(exports, module2) {
    module2.exports = {
      rules: {
        "*/*": {
          endpoint: "{service}.{region}.amazonaws.com"
        },
        "cn-*/*": {
          endpoint: "{service}.{region}.amazonaws.com.cn"
        },
        "us-iso-*/*": "usIso",
        "us-isob-*/*": "usIsob",
        "*/budgets": "globalSSL",
        "*/cloudfront": "globalSSL",
        "*/sts": "globalSSL",
        "*/importexport": {
          endpoint: "{service}.amazonaws.com",
          signatureVersion: "v2",
          globalEndpoint: true
        },
        "*/route53": "globalSSL",
        "cn-*/route53": {
          endpoint: "{service}.amazonaws.com.cn",
          globalEndpoint: true,
          signingRegion: "cn-northwest-1"
        },
        "us-gov-*/route53": "globalGovCloud",
        "us-iso-*/route53": {
          endpoint: "{service}.c2s.ic.gov",
          globalEndpoint: true,
          signingRegion: "us-iso-east-1"
        },
        "us-isob-*/route53": {
          endpoint: "{service}.sc2s.sgov.gov",
          globalEndpoint: true,
          signingRegion: "us-isob-east-1"
        },
        "*/waf": "globalSSL",
        "*/iam": "globalSSL",
        "cn-*/iam": {
          endpoint: "{service}.cn-north-1.amazonaws.com.cn",
          globalEndpoint: true,
          signingRegion: "cn-north-1"
        },
        "us-iso-*/iam": {
          endpoint: "{service}.us-iso-east-1.c2s.ic.gov",
          globalEndpoint: true,
          signingRegion: "us-iso-east-1"
        },
        "us-gov-*/iam": "globalGovCloud",
        "*/ce": {
          endpoint: "{service}.us-east-1.amazonaws.com",
          globalEndpoint: true,
          signingRegion: "us-east-1"
        },
        "cn-*/ce": {
          endpoint: "{service}.cn-northwest-1.amazonaws.com.cn",
          globalEndpoint: true,
          signingRegion: "cn-northwest-1"
        },
        "us-gov-*/sts": {
          endpoint: "{service}.{region}.amazonaws.com"
        },
        "us-gov-west-1/s3": "s3signature",
        "us-west-1/s3": "s3signature",
        "us-west-2/s3": "s3signature",
        "eu-west-1/s3": "s3signature",
        "ap-southeast-1/s3": "s3signature",
        "ap-southeast-2/s3": "s3signature",
        "ap-northeast-1/s3": "s3signature",
        "sa-east-1/s3": "s3signature",
        "us-east-1/s3": {
          endpoint: "{service}.amazonaws.com",
          signatureVersion: "s3"
        },
        "us-east-1/sdb": {
          endpoint: "{service}.amazonaws.com",
          signatureVersion: "v2"
        },
        "*/sdb": {
          endpoint: "{service}.{region}.amazonaws.com",
          signatureVersion: "v2"
        },
        "*/resource-explorer-2": "dualstackByDefault",
        "*/kendra-ranking": "dualstackByDefault",
        "*/internetmonitor": "dualstackByDefault",
        "*/codecatalyst": "globalDualstackByDefault"
      },
      fipsRules: {
        "*/*": "fipsStandard",
        "us-gov-*/*": "fipsStandard",
        "us-iso-*/*": {
          endpoint: "{service}-fips.{region}.c2s.ic.gov"
        },
        "us-iso-*/dms": "usIso",
        "us-isob-*/*": {
          endpoint: "{service}-fips.{region}.sc2s.sgov.gov"
        },
        "us-isob-*/dms": "usIsob",
        "cn-*/*": {
          endpoint: "{service}-fips.{region}.amazonaws.com.cn"
        },
        "*/api.ecr": "fips.api.ecr",
        "*/api.sagemaker": "fips.api.sagemaker",
        "*/batch": "fipsDotPrefix",
        "*/eks": "fipsDotPrefix",
        "*/models.lex": "fips.models.lex",
        "*/runtime.lex": "fips.runtime.lex",
        "*/runtime.sagemaker": {
          endpoint: "runtime-fips.sagemaker.{region}.amazonaws.com"
        },
        "*/iam": "fipsWithoutRegion",
        "*/route53": "fipsWithoutRegion",
        "*/transcribe": "fipsDotPrefix",
        "*/waf": "fipsWithoutRegion",
        "us-gov-*/transcribe": "fipsDotPrefix",
        "us-gov-*/api.ecr": "fips.api.ecr",
        "us-gov-*/api.sagemaker": "fips.api.sagemaker",
        "us-gov-*/models.lex": "fips.models.lex",
        "us-gov-*/runtime.lex": "fips.runtime.lex",
        "us-gov-*/acm-pca": "fipsWithServiceOnly",
        "us-gov-*/batch": "fipsWithServiceOnly",
        "us-gov-*/cloudformation": "fipsWithServiceOnly",
        "us-gov-*/config": "fipsWithServiceOnly",
        "us-gov-*/eks": "fipsWithServiceOnly",
        "us-gov-*/elasticmapreduce": "fipsWithServiceOnly",
        "us-gov-*/identitystore": "fipsWithServiceOnly",
        "us-gov-*/dynamodb": "fipsWithServiceOnly",
        "us-gov-*/elasticloadbalancing": "fipsWithServiceOnly",
        "us-gov-*/guardduty": "fipsWithServiceOnly",
        "us-gov-*/monitoring": "fipsWithServiceOnly",
        "us-gov-*/resource-groups": "fipsWithServiceOnly",
        "us-gov-*/runtime.sagemaker": "fipsWithServiceOnly",
        "us-gov-*/servicecatalog-appregistry": "fipsWithServiceOnly",
        "us-gov-*/servicequotas": "fipsWithServiceOnly",
        "us-gov-*/ssm": "fipsWithServiceOnly",
        "us-gov-*/sts": "fipsWithServiceOnly",
        "us-gov-*/support": "fipsWithServiceOnly",
        "us-gov-west-1/states": "fipsWithServiceOnly",
        "us-iso-east-1/elasticfilesystem": {
          endpoint: "elasticfilesystem-fips.{region}.c2s.ic.gov"
        },
        "us-gov-west-1/organizations": "fipsWithServiceOnly",
        "us-gov-west-1/route53": {
          endpoint: "route53.us-gov.amazonaws.com"
        },
        "*/resource-explorer-2": "fipsDualstackByDefault",
        "*/kendra-ranking": "dualstackByDefault",
        "*/internetmonitor": "dualstackByDefault",
        "*/codecatalyst": "fipsGlobalDualstackByDefault"
      },
      dualstackRules: {
        "*/*": {
          endpoint: "{service}.{region}.api.aws"
        },
        "cn-*/*": {
          endpoint: "{service}.{region}.api.amazonwebservices.com.cn"
        },
        "*/s3": "dualstackLegacy",
        "cn-*/s3": "dualstackLegacyCn",
        "*/s3-control": "dualstackLegacy",
        "cn-*/s3-control": "dualstackLegacyCn",
        "ap-south-1/ec2": "dualstackLegacyEc2",
        "eu-west-1/ec2": "dualstackLegacyEc2",
        "sa-east-1/ec2": "dualstackLegacyEc2",
        "us-east-1/ec2": "dualstackLegacyEc2",
        "us-east-2/ec2": "dualstackLegacyEc2",
        "us-west-2/ec2": "dualstackLegacyEc2"
      },
      dualstackFipsRules: {
        "*/*": {
          endpoint: "{service}-fips.{region}.api.aws"
        },
        "cn-*/*": {
          endpoint: "{service}-fips.{region}.api.amazonwebservices.com.cn"
        },
        "*/s3": "dualstackFipsLegacy",
        "cn-*/s3": "dualstackFipsLegacyCn",
        "*/s3-control": "dualstackFipsLegacy",
        "cn-*/s3-control": "dualstackFipsLegacyCn"
      },
      patterns: {
        globalSSL: {
          endpoint: "https://{service}.amazonaws.com",
          globalEndpoint: true,
          signingRegion: "us-east-1"
        },
        globalGovCloud: {
          endpoint: "{service}.us-gov.amazonaws.com",
          globalEndpoint: true,
          signingRegion: "us-gov-west-1"
        },
        s3signature: {
          endpoint: "{service}.{region}.amazonaws.com",
          signatureVersion: "s3"
        },
        usIso: {
          endpoint: "{service}.{region}.c2s.ic.gov"
        },
        usIsob: {
          endpoint: "{service}.{region}.sc2s.sgov.gov"
        },
        fipsStandard: {
          endpoint: "{service}-fips.{region}.amazonaws.com"
        },
        fipsDotPrefix: {
          endpoint: "fips.{service}.{region}.amazonaws.com"
        },
        fipsWithoutRegion: {
          endpoint: "{service}-fips.amazonaws.com"
        },
        "fips.api.ecr": {
          endpoint: "ecr-fips.{region}.amazonaws.com"
        },
        "fips.api.sagemaker": {
          endpoint: "api-fips.sagemaker.{region}.amazonaws.com"
        },
        "fips.models.lex": {
          endpoint: "models-fips.lex.{region}.amazonaws.com"
        },
        "fips.runtime.lex": {
          endpoint: "runtime-fips.lex.{region}.amazonaws.com"
        },
        fipsWithServiceOnly: {
          endpoint: "{service}.{region}.amazonaws.com"
        },
        dualstackLegacy: {
          endpoint: "{service}.dualstack.{region}.amazonaws.com"
        },
        dualstackLegacyCn: {
          endpoint: "{service}.dualstack.{region}.amazonaws.com.cn"
        },
        dualstackFipsLegacy: {
          endpoint: "{service}-fips.dualstack.{region}.amazonaws.com"
        },
        dualstackFipsLegacyCn: {
          endpoint: "{service}-fips.dualstack.{region}.amazonaws.com.cn"
        },
        dualstackLegacyEc2: {
          endpoint: "api.ec2.{region}.aws"
        },
        dualstackByDefault: {
          endpoint: "{service}.{region}.api.aws"
        },
        fipsDualstackByDefault: {
          endpoint: "{service}-fips.{region}.api.aws"
        },
        globalDualstackByDefault: {
          endpoint: "{service}.global.api.aws"
        },
        fipsGlobalDualstackByDefault: {
          endpoint: "{service}-fips.global.api.aws"
        }
      }
    };
  }
});

// node_modules/aws-sdk/lib/region_config.js
var require_region_config = __commonJS({
  "node_modules/aws-sdk/lib/region_config.js"(exports, module2) {
    var util = require_util();
    var regionConfig = require_region_config_data();
    function generateRegionPrefix(region) {
      if (!region)
        return null;
      var parts = region.split("-");
      if (parts.length < 3)
        return null;
      return parts.slice(0, parts.length - 2).join("-") + "-*";
    }
    function derivedKeys(service) {
      var region = service.config.region;
      var regionPrefix = generateRegionPrefix(region);
      var endpointPrefix = service.api.endpointPrefix;
      return [
        [region, endpointPrefix],
        [regionPrefix, endpointPrefix],
        [region, "*"],
        [regionPrefix, "*"],
        ["*", endpointPrefix],
        [region, "internal-*"],
        ["*", "*"]
      ].map(function(item) {
        return item[0] && item[1] ? item.join("/") : null;
      });
    }
    function applyConfig(service, config) {
      util.each(config, function(key, value) {
        if (key === "globalEndpoint")
          return;
        if (service.config[key] === void 0 || service.config[key] === null) {
          service.config[key] = value;
        }
      });
    }
    function configureEndpoint(service) {
      var keys = derivedKeys(service);
      var useFipsEndpoint = service.config.useFipsEndpoint;
      var useDualstackEndpoint = service.config.useDualstackEndpoint;
      for (var i = 0; i < keys.length; i++) {
        var key = keys[i];
        if (!key)
          continue;
        var rules = useFipsEndpoint ? useDualstackEndpoint ? regionConfig.dualstackFipsRules : regionConfig.fipsRules : useDualstackEndpoint ? regionConfig.dualstackRules : regionConfig.rules;
        if (Object.prototype.hasOwnProperty.call(rules, key)) {
          var config = rules[key];
          if (typeof config === "string") {
            config = regionConfig.patterns[config];
          }
          service.isGlobalEndpoint = !!config.globalEndpoint;
          if (config.signingRegion) {
            service.signingRegion = config.signingRegion;
          }
          if (!config.signatureVersion) {
            config.signatureVersion = "v4";
          }
          var useBearer = (service.api && service.api.signatureVersion) === "bearer";
          applyConfig(service, Object.assign(
            {},
            config,
            { signatureVersion: useBearer ? "bearer" : config.signatureVersion }
          ));
          return;
        }
      }
    }
    function getEndpointSuffix(region) {
      var regionRegexes = {
        "^(us|eu|ap|sa|ca|me)\\-\\w+\\-\\d+$": "amazonaws.com",
        "^cn\\-\\w+\\-\\d+$": "amazonaws.com.cn",
        "^us\\-gov\\-\\w+\\-\\d+$": "amazonaws.com",
        "^us\\-iso\\-\\w+\\-\\d+$": "c2s.ic.gov",
        "^us\\-isob\\-\\w+\\-\\d+$": "sc2s.sgov.gov"
      };
      var defaultSuffix = "amazonaws.com";
      var regexes = Object.keys(regionRegexes);
      for (var i = 0; i < regexes.length; i++) {
        var regionPattern = RegExp(regexes[i]);
        var dnsSuffix = regionRegexes[regexes[i]];
        if (regionPattern.test(region))
          return dnsSuffix;
      }
      return defaultSuffix;
    }
    module2.exports = {
      configureEndpoint,
      getEndpointSuffix
    };
  }
});

// node_modules/aws-sdk/lib/region/utils.js
var require_utils = __commonJS({
  "node_modules/aws-sdk/lib/region/utils.js"(exports, module2) {
    function isFipsRegion(region) {
      return typeof region === "string" && (region.startsWith("fips-") || region.endsWith("-fips"));
    }
    function isGlobalRegion(region) {
      return typeof region === "string" && ["aws-global", "aws-us-gov-global"].includes(region);
    }
    function getRealRegion(region) {
      return ["fips-aws-global", "aws-fips", "aws-global"].includes(region) ? "us-east-1" : ["fips-aws-us-gov-global", "aws-us-gov-global"].includes(region) ? "us-gov-west-1" : region.replace(/fips-(dkr-|prod-)?|-fips/, "");
    }
    module2.exports = {
      isFipsRegion,
      isGlobalRegion,
      getRealRegion
    };
  }
});

// node_modules/aws-sdk/lib/service.js
var require_service = __commonJS({
  "node_modules/aws-sdk/lib/service.js"(exports, module2) {
    var AWS2 = require_core();
    var Api = require_api();
    var regionConfig = require_region_config();
    var inherit = AWS2.util.inherit;
    var clientCount = 0;
    var region_utils = require_utils();
    AWS2.Service = inherit({
      /**
       * Create a new service object with a configuration object
       *
       * @param config [map] a map of configuration options
       */
      constructor: function Service(config) {
        if (!this.loadServiceClass) {
          throw AWS2.util.error(
            new Error(),
            "Service must be constructed with `new' operator"
          );
        }
        if (config) {
          if (config.region) {
            var region = config.region;
            if (region_utils.isFipsRegion(region)) {
              config.region = region_utils.getRealRegion(region);
              config.useFipsEndpoint = true;
            }
            if (region_utils.isGlobalRegion(region)) {
              config.region = region_utils.getRealRegion(region);
            }
          }
          if (typeof config.useDualstack === "boolean" && typeof config.useDualstackEndpoint !== "boolean") {
            config.useDualstackEndpoint = config.useDualstack;
          }
        }
        var ServiceClass = this.loadServiceClass(config || {});
        if (ServiceClass) {
          var originalConfig = AWS2.util.copy(config);
          var svc = new ServiceClass(config);
          Object.defineProperty(svc, "_originalConfig", {
            get: function() {
              return originalConfig;
            },
            enumerable: false,
            configurable: true
          });
          svc._clientId = ++clientCount;
          return svc;
        }
        this.initialize(config);
      },
      /**
       * @api private
       */
      initialize: function initialize(config) {
        var svcConfig = AWS2.config[this.serviceIdentifier];
        this.config = new AWS2.Config(AWS2.config);
        if (svcConfig)
          this.config.update(svcConfig, true);
        if (config)
          this.config.update(config, true);
        this.validateService();
        if (!this.config.endpoint)
          regionConfig.configureEndpoint(this);
        this.config.endpoint = this.endpointFromTemplate(this.config.endpoint);
        this.setEndpoint(this.config.endpoint);
        AWS2.SequentialExecutor.call(this);
        AWS2.Service.addDefaultMonitoringListeners(this);
        if ((this.config.clientSideMonitoring || AWS2.Service._clientSideMonitoring) && this.publisher) {
          var publisher = this.publisher;
          this.addNamedListener("PUBLISH_API_CALL", "apiCall", function PUBLISH_API_CALL(event) {
            process.nextTick(function() {
              publisher.eventHandler(event);
            });
          });
          this.addNamedListener("PUBLISH_API_ATTEMPT", "apiCallAttempt", function PUBLISH_API_ATTEMPT(event) {
            process.nextTick(function() {
              publisher.eventHandler(event);
            });
          });
        }
      },
      /**
       * @api private
       */
      validateService: function validateService() {
      },
      /**
       * @api private
       */
      loadServiceClass: function loadServiceClass(serviceConfig) {
        var config = serviceConfig;
        if (!AWS2.util.isEmpty(this.api)) {
          return null;
        } else if (config.apiConfig) {
          return AWS2.Service.defineServiceApi(this.constructor, config.apiConfig);
        } else if (!this.constructor.services) {
          return null;
        } else {
          config = new AWS2.Config(AWS2.config);
          config.update(serviceConfig, true);
          var version = config.apiVersions[this.constructor.serviceIdentifier];
          version = version || config.apiVersion;
          return this.getLatestServiceClass(version);
        }
      },
      /**
       * @api private
       */
      getLatestServiceClass: function getLatestServiceClass(version) {
        version = this.getLatestServiceVersion(version);
        if (this.constructor.services[version] === null) {
          AWS2.Service.defineServiceApi(this.constructor, version);
        }
        return this.constructor.services[version];
      },
      /**
       * @api private
       */
      getLatestServiceVersion: function getLatestServiceVersion(version) {
        if (!this.constructor.services || this.constructor.services.length === 0) {
          throw new Error("No services defined on " + this.constructor.serviceIdentifier);
        }
        if (!version) {
          version = "latest";
        } else if (AWS2.util.isType(version, Date)) {
          version = AWS2.util.date.iso8601(version).split("T")[0];
        }
        if (Object.hasOwnProperty(this.constructor.services, version)) {
          return version;
        }
        var keys = Object.keys(this.constructor.services).sort();
        var selectedVersion = null;
        for (var i = keys.length - 1; i >= 0; i--) {
          if (keys[i][keys[i].length - 1] !== "*") {
            selectedVersion = keys[i];
          }
          if (keys[i].substr(0, 10) <= version) {
            return selectedVersion;
          }
        }
        throw new Error("Could not find " + this.constructor.serviceIdentifier + " API to satisfy version constraint `" + version + "'");
      },
      /**
       * @api private
       */
      api: {},
      /**
       * @api private
       */
      defaultRetryCount: 3,
      /**
       * @api private
       */
      customizeRequests: function customizeRequests(callback) {
        if (!callback) {
          this.customRequestHandler = null;
        } else if (typeof callback === "function") {
          this.customRequestHandler = callback;
        } else {
          throw new Error("Invalid callback type '" + typeof callback + "' provided in customizeRequests");
        }
      },
      /**
       * Calls an operation on a service with the given input parameters.
       *
       * @param operation [String] the name of the operation to call on the service.
       * @param params [map] a map of input options for the operation
       * @callback callback function(err, data)
       *   If a callback is supplied, it is called when a response is returned
       *   from the service.
       *   @param err [Error] the error object returned from the request.
       *     Set to `null` if the request is successful.
       *   @param data [Object] the de-serialized data returned from
       *     the request. Set to `null` if a request error occurs.
       */
      makeRequest: function makeRequest(operation, params, callback) {
        if (typeof params === "function") {
          callback = params;
          params = null;
        }
        params = params || {};
        if (this.config.params) {
          var rules = this.api.operations[operation];
          if (rules) {
            params = AWS2.util.copy(params);
            AWS2.util.each(this.config.params, function(key, value) {
              if (rules.input.members[key]) {
                if (params[key] === void 0 || params[key] === null) {
                  params[key] = value;
                }
              }
            });
          }
        }
        var request = new AWS2.Request(this, operation, params);
        this.addAllRequestListeners(request);
        this.attachMonitoringEmitter(request);
        if (callback)
          request.send(callback);
        return request;
      },
      /**
       * Calls an operation on a service with the given input parameters, without
       * any authentication data. This method is useful for "public" API operations.
       *
       * @param operation [String] the name of the operation to call on the service.
       * @param params [map] a map of input options for the operation
       * @callback callback function(err, data)
       *   If a callback is supplied, it is called when a response is returned
       *   from the service.
       *   @param err [Error] the error object returned from the request.
       *     Set to `null` if the request is successful.
       *   @param data [Object] the de-serialized data returned from
       *     the request. Set to `null` if a request error occurs.
       */
      makeUnauthenticatedRequest: function makeUnauthenticatedRequest(operation, params, callback) {
        if (typeof params === "function") {
          callback = params;
          params = {};
        }
        var request = this.makeRequest(operation, params).toUnauthenticated();
        return callback ? request.send(callback) : request;
      },
      /**
       * Waits for a given state
       *
       * @param state [String] the state on the service to wait for
       * @param params [map] a map of parameters to pass with each request
       * @option params $waiter [map] a map of configuration options for the waiter
       * @option params $waiter.delay [Number] The number of seconds to wait between
       *                                       requests
       * @option params $waiter.maxAttempts [Number] The maximum number of requests
       *                                             to send while waiting
       * @callback callback function(err, data)
       *   If a callback is supplied, it is called when a response is returned
       *   from the service.
       *   @param err [Error] the error object returned from the request.
       *     Set to `null` if the request is successful.
       *   @param data [Object] the de-serialized data returned from
       *     the request. Set to `null` if a request error occurs.
       */
      waitFor: function waitFor(state, params, callback) {
        var waiter = new AWS2.ResourceWaiter(this, state);
        return waiter.wait(params, callback);
      },
      /**
       * @api private
       */
      addAllRequestListeners: function addAllRequestListeners(request) {
        var list = [
          AWS2.events,
          AWS2.EventListeners.Core,
          this.serviceInterface(),
          AWS2.EventListeners.CorePost
        ];
        for (var i = 0; i < list.length; i++) {
          if (list[i])
            request.addListeners(list[i]);
        }
        if (!this.config.paramValidation) {
          request.removeListener(
            "validate",
            AWS2.EventListeners.Core.VALIDATE_PARAMETERS
          );
        }
        if (this.config.logger) {
          request.addListeners(AWS2.EventListeners.Logger);
        }
        this.setupRequestListeners(request);
        if (typeof this.constructor.prototype.customRequestHandler === "function") {
          this.constructor.prototype.customRequestHandler(request);
        }
        if (Object.prototype.hasOwnProperty.call(this, "customRequestHandler") && typeof this.customRequestHandler === "function") {
          this.customRequestHandler(request);
        }
      },
      /**
       * Event recording metrics for a whole API call.
       * @returns {object} a subset of api call metrics
       * @api private
       */
      apiCallEvent: function apiCallEvent(request) {
        var api = request.service.api.operations[request.operation];
        var monitoringEvent = {
          Type: "ApiCall",
          Api: api ? api.name : request.operation,
          Version: 1,
          Service: request.service.api.serviceId || request.service.api.endpointPrefix,
          Region: request.httpRequest.region,
          MaxRetriesExceeded: 0,
          UserAgent: request.httpRequest.getUserAgent()
        };
        var response = request.response;
        if (response.httpResponse.statusCode) {
          monitoringEvent.FinalHttpStatusCode = response.httpResponse.statusCode;
        }
        if (response.error) {
          var error = response.error;
          var statusCode = response.httpResponse.statusCode;
          if (statusCode > 299) {
            if (error.code)
              monitoringEvent.FinalAwsException = error.code;
            if (error.message)
              monitoringEvent.FinalAwsExceptionMessage = error.message;
          } else {
            if (error.code || error.name)
              monitoringEvent.FinalSdkException = error.code || error.name;
            if (error.message)
              monitoringEvent.FinalSdkExceptionMessage = error.message;
          }
        }
        return monitoringEvent;
      },
      /**
       * Event recording metrics for an API call attempt.
       * @returns {object} a subset of api call attempt metrics
       * @api private
       */
      apiAttemptEvent: function apiAttemptEvent(request) {
        var api = request.service.api.operations[request.operation];
        var monitoringEvent = {
          Type: "ApiCallAttempt",
          Api: api ? api.name : request.operation,
          Version: 1,
          Service: request.service.api.serviceId || request.service.api.endpointPrefix,
          Fqdn: request.httpRequest.endpoint.hostname,
          UserAgent: request.httpRequest.getUserAgent()
        };
        var response = request.response;
        if (response.httpResponse.statusCode) {
          monitoringEvent.HttpStatusCode = response.httpResponse.statusCode;
        }
        if (!request._unAuthenticated && request.service.config.credentials && request.service.config.credentials.accessKeyId) {
          monitoringEvent.AccessKey = request.service.config.credentials.accessKeyId;
        }
        if (!response.httpResponse.headers)
          return monitoringEvent;
        if (request.httpRequest.headers["x-amz-security-token"]) {
          monitoringEvent.SessionToken = request.httpRequest.headers["x-amz-security-token"];
        }
        if (response.httpResponse.headers["x-amzn-requestid"]) {
          monitoringEvent.XAmznRequestId = response.httpResponse.headers["x-amzn-requestid"];
        }
        if (response.httpResponse.headers["x-amz-request-id"]) {
          monitoringEvent.XAmzRequestId = response.httpResponse.headers["x-amz-request-id"];
        }
        if (response.httpResponse.headers["x-amz-id-2"]) {
          monitoringEvent.XAmzId2 = response.httpResponse.headers["x-amz-id-2"];
        }
        return monitoringEvent;
      },
      /**
       * Add metrics of failed request.
       * @api private
       */
      attemptFailEvent: function attemptFailEvent(request) {
        var monitoringEvent = this.apiAttemptEvent(request);
        var response = request.response;
        var error = response.error;
        if (response.httpResponse.statusCode > 299) {
          if (error.code)
            monitoringEvent.AwsException = error.code;
          if (error.message)
            monitoringEvent.AwsExceptionMessage = error.message;
        } else {
          if (error.code || error.name)
            monitoringEvent.SdkException = error.code || error.name;
          if (error.message)
            monitoringEvent.SdkExceptionMessage = error.message;
        }
        return monitoringEvent;
      },
      /**
       * Attach listeners to request object to fetch metrics of each request
       * and emit data object through \'ApiCall\' and \'ApiCallAttempt\' events.
       * @api private
       */
      attachMonitoringEmitter: function attachMonitoringEmitter(request) {
        var attemptTimestamp;
        var attemptStartRealTime;
        var attemptLatency;
        var callStartRealTime;
        var attemptCount = 0;
        var region;
        var callTimestamp;
        var self = this;
        var addToHead = true;
        request.on("validate", function() {
          callStartRealTime = AWS2.util.realClock.now();
          callTimestamp = Date.now();
        }, addToHead);
        request.on("sign", function() {
          attemptStartRealTime = AWS2.util.realClock.now();
          attemptTimestamp = Date.now();
          region = request.httpRequest.region;
          attemptCount++;
        }, addToHead);
        request.on("validateResponse", function() {
          attemptLatency = Math.round(AWS2.util.realClock.now() - attemptStartRealTime);
        });
        request.addNamedListener("API_CALL_ATTEMPT", "success", function API_CALL_ATTEMPT() {
          var apiAttemptEvent = self.apiAttemptEvent(request);
          apiAttemptEvent.Timestamp = attemptTimestamp;
          apiAttemptEvent.AttemptLatency = attemptLatency >= 0 ? attemptLatency : 0;
          apiAttemptEvent.Region = region;
          self.emit("apiCallAttempt", [apiAttemptEvent]);
        });
        request.addNamedListener("API_CALL_ATTEMPT_RETRY", "retry", function API_CALL_ATTEMPT_RETRY() {
          var apiAttemptEvent = self.attemptFailEvent(request);
          apiAttemptEvent.Timestamp = attemptTimestamp;
          attemptLatency = attemptLatency || Math.round(AWS2.util.realClock.now() - attemptStartRealTime);
          apiAttemptEvent.AttemptLatency = attemptLatency >= 0 ? attemptLatency : 0;
          apiAttemptEvent.Region = region;
          self.emit("apiCallAttempt", [apiAttemptEvent]);
        });
        request.addNamedListener("API_CALL", "complete", function API_CALL() {
          var apiCallEvent = self.apiCallEvent(request);
          apiCallEvent.AttemptCount = attemptCount;
          if (apiCallEvent.AttemptCount <= 0)
            return;
          apiCallEvent.Timestamp = callTimestamp;
          var latency = Math.round(AWS2.util.realClock.now() - callStartRealTime);
          apiCallEvent.Latency = latency >= 0 ? latency : 0;
          var response = request.response;
          if (response.error && response.error.retryable && typeof response.retryCount === "number" && typeof response.maxRetries === "number" && response.retryCount >= response.maxRetries) {
            apiCallEvent.MaxRetriesExceeded = 1;
          }
          self.emit("apiCall", [apiCallEvent]);
        });
      },
      /**
       * Override this method to setup any custom request listeners for each
       * new request to the service.
       *
       * @method_abstract This is an abstract method.
       */
      setupRequestListeners: function setupRequestListeners(request) {
      },
      /**
       * Gets the signing name for a given request
       * @api private
       */
      getSigningName: function getSigningName() {
        return this.api.signingName || this.api.endpointPrefix;
      },
      /**
       * Gets the signer class for a given request
       * @api private
       */
      getSignerClass: function getSignerClass(request) {
        var version;
        var operation = null;
        var authtype = "";
        if (request) {
          var operations = request.service.api.operations || {};
          operation = operations[request.operation] || null;
          authtype = operation ? operation.authtype : "";
        }
        if (this.config.signatureVersion) {
          version = this.config.signatureVersion;
        } else if (authtype === "v4" || authtype === "v4-unsigned-body") {
          version = "v4";
        } else if (authtype === "bearer") {
          version = "bearer";
        } else {
          version = this.api.signatureVersion;
        }
        return AWS2.Signers.RequestSigner.getVersion(version);
      },
      /**
       * @api private
       */
      serviceInterface: function serviceInterface() {
        switch (this.api.protocol) {
          case "ec2":
            return AWS2.EventListeners.Query;
          case "query":
            return AWS2.EventListeners.Query;
          case "json":
            return AWS2.EventListeners.Json;
          case "rest-json":
            return AWS2.EventListeners.RestJson;
          case "rest-xml":
            return AWS2.EventListeners.RestXml;
        }
        if (this.api.protocol) {
          throw new Error("Invalid service `protocol' " + this.api.protocol + " in API config");
        }
      },
      /**
       * @api private
       */
      successfulResponse: function successfulResponse(resp) {
        return resp.httpResponse.statusCode < 300;
      },
      /**
       * How many times a failed request should be retried before giving up.
       * the defaultRetryCount can be overriden by service classes.
       *
       * @api private
       */
      numRetries: function numRetries() {
        if (this.config.maxRetries !== void 0) {
          return this.config.maxRetries;
        } else {
          return this.defaultRetryCount;
        }
      },
      /**
       * @api private
       */
      retryDelays: function retryDelays(retryCount, err) {
        return AWS2.util.calculateRetryDelay(retryCount, this.config.retryDelayOptions, err);
      },
      /**
       * @api private
       */
      retryableError: function retryableError(error) {
        if (this.timeoutError(error))
          return true;
        if (this.networkingError(error))
          return true;
        if (this.expiredCredentialsError(error))
          return true;
        if (this.throttledError(error))
          return true;
        if (error.statusCode >= 500)
          return true;
        return false;
      },
      /**
       * @api private
       */
      networkingError: function networkingError(error) {
        return error.code === "NetworkingError";
      },
      /**
       * @api private
       */
      timeoutError: function timeoutError(error) {
        return error.code === "TimeoutError";
      },
      /**
       * @api private
       */
      expiredCredentialsError: function expiredCredentialsError(error) {
        return error.code === "ExpiredTokenException";
      },
      /**
       * @api private
       */
      clockSkewError: function clockSkewError(error) {
        switch (error.code) {
          case "RequestTimeTooSkewed":
          case "RequestExpired":
          case "InvalidSignatureException":
          case "SignatureDoesNotMatch":
          case "AuthFailure":
          case "RequestInTheFuture":
            return true;
          default:
            return false;
        }
      },
      /**
       * @api private
       */
      getSkewCorrectedDate: function getSkewCorrectedDate() {
        return new Date(Date.now() + this.config.systemClockOffset);
      },
      /**
       * @api private
       */
      applyClockOffset: function applyClockOffset(newServerTime) {
        if (newServerTime) {
          this.config.systemClockOffset = newServerTime - Date.now();
        }
      },
      /**
       * @api private
       */
      isClockSkewed: function isClockSkewed(newServerTime) {
        if (newServerTime) {
          return Math.abs(this.getSkewCorrectedDate().getTime() - newServerTime) >= 3e5;
        }
      },
      /**
       * @api private
       */
      throttledError: function throttledError(error) {
        if (error.statusCode === 429)
          return true;
        switch (error.code) {
          case "ProvisionedThroughputExceededException":
          case "Throttling":
          case "ThrottlingException":
          case "RequestLimitExceeded":
          case "RequestThrottled":
          case "RequestThrottledException":
          case "TooManyRequestsException":
          case "TransactionInProgressException":
          case "EC2ThrottledException":
            return true;
          default:
            return false;
        }
      },
      /**
       * @api private
       */
      endpointFromTemplate: function endpointFromTemplate(endpoint) {
        if (typeof endpoint !== "string")
          return endpoint;
        var e = endpoint;
        e = e.replace(/\{service\}/g, this.api.endpointPrefix);
        e = e.replace(/\{region\}/g, this.config.region);
        e = e.replace(/\{scheme\}/g, this.config.sslEnabled ? "https" : "http");
        return e;
      },
      /**
       * @api private
       */
      setEndpoint: function setEndpoint(endpoint) {
        this.endpoint = new AWS2.Endpoint(endpoint, this.config);
      },
      /**
       * @api private
       */
      paginationConfig: function paginationConfig(operation, throwException) {
        var paginator = this.api.operations[operation].paginator;
        if (!paginator) {
          if (throwException) {
            var e = new Error();
            throw AWS2.util.error(e, "No pagination configuration for " + operation);
          }
          return null;
        }
        return paginator;
      }
    });
    AWS2.util.update(AWS2.Service, {
      /**
       * Adds one method for each operation described in the api configuration
       *
       * @api private
       */
      defineMethods: function defineMethods(svc) {
        AWS2.util.each(svc.prototype.api.operations, function iterator(method) {
          if (svc.prototype[method])
            return;
          var operation = svc.prototype.api.operations[method];
          if (operation.authtype === "none") {
            svc.prototype[method] = function(params, callback) {
              return this.makeUnauthenticatedRequest(method, params, callback);
            };
          } else {
            svc.prototype[method] = function(params, callback) {
              return this.makeRequest(method, params, callback);
            };
          }
        });
      },
      /**
       * Defines a new Service class using a service identifier and list of versions
       * including an optional set of features (functions) to apply to the class
       * prototype.
       *
       * @param serviceIdentifier [String] the identifier for the service
       * @param versions [Array<String>] a list of versions that work with this
       *   service
       * @param features [Object] an object to attach to the prototype
       * @return [Class<Service>] the service class defined by this function.
       */
      defineService: function defineService(serviceIdentifier, versions, features) {
        AWS2.Service._serviceMap[serviceIdentifier] = true;
        if (!Array.isArray(versions)) {
          features = versions;
          versions = [];
        }
        var svc = inherit(AWS2.Service, features || {});
        if (typeof serviceIdentifier === "string") {
          AWS2.Service.addVersions(svc, versions);
          var identifier = svc.serviceIdentifier || serviceIdentifier;
          svc.serviceIdentifier = identifier;
        } else {
          svc.prototype.api = serviceIdentifier;
          AWS2.Service.defineMethods(svc);
        }
        AWS2.SequentialExecutor.call(this.prototype);
        if (!this.prototype.publisher && AWS2.util.clientSideMonitoring) {
          var Publisher = AWS2.util.clientSideMonitoring.Publisher;
          var configProvider = AWS2.util.clientSideMonitoring.configProvider;
          var publisherConfig = configProvider();
          this.prototype.publisher = new Publisher(publisherConfig);
          if (publisherConfig.enabled) {
            AWS2.Service._clientSideMonitoring = true;
          }
        }
        AWS2.SequentialExecutor.call(svc.prototype);
        AWS2.Service.addDefaultMonitoringListeners(svc.prototype);
        return svc;
      },
      /**
       * @api private
       */
      addVersions: function addVersions(svc, versions) {
        if (!Array.isArray(versions))
          versions = [versions];
        svc.services = svc.services || {};
        for (var i = 0; i < versions.length; i++) {
          if (svc.services[versions[i]] === void 0) {
            svc.services[versions[i]] = null;
          }
        }
        svc.apiVersions = Object.keys(svc.services).sort();
      },
      /**
       * @api private
       */
      defineServiceApi: function defineServiceApi(superclass, version, apiConfig) {
        var svc = inherit(superclass, {
          serviceIdentifier: superclass.serviceIdentifier
        });
        function setApi(api) {
          if (api.isApi) {
            svc.prototype.api = api;
          } else {
            svc.prototype.api = new Api(api, {
              serviceIdentifier: superclass.serviceIdentifier
            });
          }
        }
        if (typeof version === "string") {
          if (apiConfig) {
            setApi(apiConfig);
          } else {
            try {
              setApi(AWS2.apiLoader(superclass.serviceIdentifier, version));
            } catch (err) {
              throw AWS2.util.error(err, {
                message: "Could not find API configuration " + superclass.serviceIdentifier + "-" + version
              });
            }
          }
          if (!Object.prototype.hasOwnProperty.call(superclass.services, version)) {
            superclass.apiVersions = superclass.apiVersions.concat(version).sort();
          }
          superclass.services[version] = svc;
        } else {
          setApi(version);
        }
        AWS2.Service.defineMethods(svc);
        return svc;
      },
      /**
       * @api private
       */
      hasService: function(identifier) {
        return Object.prototype.hasOwnProperty.call(AWS2.Service._serviceMap, identifier);
      },
      /**
       * @param attachOn attach default monitoring listeners to object
       *
       * Each monitoring event should be emitted from service client to service constructor prototype and then
       * to global service prototype like bubbling up. These default monitoring events listener will transfer
       * the monitoring events to the upper layer.
       * @api private
       */
      addDefaultMonitoringListeners: function addDefaultMonitoringListeners(attachOn) {
        attachOn.addNamedListener("MONITOR_EVENTS_BUBBLE", "apiCallAttempt", function EVENTS_BUBBLE(event) {
          var baseClass = Object.getPrototypeOf(attachOn);
          if (baseClass._events)
            baseClass.emit("apiCallAttempt", [event]);
        });
        attachOn.addNamedListener("CALL_EVENTS_BUBBLE", "apiCall", function CALL_EVENTS_BUBBLE(event) {
          var baseClass = Object.getPrototypeOf(attachOn);
          if (baseClass._events)
            baseClass.emit("apiCall", [event]);
        });
      },
      /**
       * @api private
       */
      _serviceMap: {}
    });
    AWS2.util.mixin(AWS2.Service, AWS2.SequentialExecutor);
    module2.exports = AWS2.Service;
  }
});

// node_modules/aws-sdk/lib/credentials.js
var require_credentials = __commonJS({
  "node_modules/aws-sdk/lib/credentials.js"() {
    var AWS2 = require_core();
    AWS2.Credentials = AWS2.util.inherit({
      /**
       * A credentials object can be created using positional arguments or an options
       * hash.
       *
       * @overload AWS.Credentials(accessKeyId, secretAccessKey, sessionToken=null)
       *   Creates a Credentials object with a given set of credential information
       *   as positional arguments.
       *   @param accessKeyId [String] the AWS access key ID
       *   @param secretAccessKey [String] the AWS secret access key
       *   @param sessionToken [String] the optional AWS session token
       *   @example Create a credentials object with AWS credentials
       *     var creds = new AWS.Credentials('akid', 'secret', 'session');
       * @overload AWS.Credentials(options)
       *   Creates a Credentials object with a given set of credential information
       *   as an options hash.
       *   @option options accessKeyId [String] the AWS access key ID
       *   @option options secretAccessKey [String] the AWS secret access key
       *   @option options sessionToken [String] the optional AWS session token
       *   @example Create a credentials object with AWS credentials
       *     var creds = new AWS.Credentials({
       *       accessKeyId: 'akid', secretAccessKey: 'secret', sessionToken: 'session'
       *     });
       */
      constructor: function Credentials() {
        AWS2.util.hideProperties(this, ["secretAccessKey"]);
        this.expired = false;
        this.expireTime = null;
        this.refreshCallbacks = [];
        if (arguments.length === 1 && typeof arguments[0] === "object") {
          var creds = arguments[0].credentials || arguments[0];
          this.accessKeyId = creds.accessKeyId;
          this.secretAccessKey = creds.secretAccessKey;
          this.sessionToken = creds.sessionToken;
        } else {
          this.accessKeyId = arguments[0];
          this.secretAccessKey = arguments[1];
          this.sessionToken = arguments[2];
        }
      },
      /**
       * @return [Integer] the number of seconds before {expireTime} during which
       *   the credentials will be considered expired.
       */
      expiryWindow: 15,
      /**
       * @return [Boolean] whether the credentials object should call {refresh}
       * @note Subclasses should override this method to provide custom refresh
       *   logic.
       */
      needsRefresh: function needsRefresh() {
        var currentTime = AWS2.util.date.getDate().getTime();
        var adjustedTime = new Date(currentTime + this.expiryWindow * 1e3);
        if (this.expireTime && adjustedTime > this.expireTime) {
          return true;
        } else {
          return this.expired || !this.accessKeyId || !this.secretAccessKey;
        }
      },
      /**
       * Gets the existing credentials, refreshing them if they are not yet loaded
       * or have expired. Users should call this method before using {refresh},
       * as this will not attempt to reload credentials when they are already
       * loaded into the object.
       *
       * @callback callback function(err)
       *   When this callback is called with no error, it means either credentials
       *   do not need to be refreshed or refreshed credentials information has
       *   been loaded into the object (as the `accessKeyId`, `secretAccessKey`,
       *   and `sessionToken` properties).
       *   @param err [Error] if an error occurred, this value will be filled
       */
      get: function get(callback) {
        var self = this;
        if (this.needsRefresh()) {
          this.refresh(function(err) {
            if (!err)
              self.expired = false;
            if (callback)
              callback(err);
          });
        } else if (callback) {
          callback();
        }
      },
      /**
       * @!method  getPromise()
       *   Returns a 'thenable' promise.
       *   Gets the existing credentials, refreshing them if they are not yet loaded
       *   or have expired. Users should call this method before using {refresh},
       *   as this will not attempt to reload credentials when they are already
       *   loaded into the object.
       *
       *   Two callbacks can be provided to the `then` method on the returned promise.
       *   The first callback will be called if the promise is fulfilled, and the second
       *   callback will be called if the promise is rejected.
       *   @callback fulfilledCallback function()
       *     Called if the promise is fulfilled. When this callback is called, it
       *     means either credentials do not need to be refreshed or refreshed
       *     credentials information has been loaded into the object (as the
       *     `accessKeyId`, `secretAccessKey`, and `sessionToken` properties).
       *   @callback rejectedCallback function(err)
       *     Called if the promise is rejected.
       *     @param err [Error] if an error occurred, this value will be filled
       *   @return [Promise] A promise that represents the state of the `get` call.
       *   @example Calling the `getPromise` method.
       *     var promise = credProvider.getPromise();
       *     promise.then(function() { ... }, function(err) { ... });
       */
      /**
       * @!method  refreshPromise()
       *   Returns a 'thenable' promise.
       *   Refreshes the credentials. Users should call {get} before attempting
       *   to forcibly refresh credentials.
       *
       *   Two callbacks can be provided to the `then` method on the returned promise.
       *   The first callback will be called if the promise is fulfilled, and the second
       *   callback will be called if the promise is rejected.
       *   @callback fulfilledCallback function()
       *     Called if the promise is fulfilled. When this callback is called, it
       *     means refreshed credentials information has been loaded into the object
       *     (as the `accessKeyId`, `secretAccessKey`, and `sessionToken` properties).
       *   @callback rejectedCallback function(err)
       *     Called if the promise is rejected.
       *     @param err [Error] if an error occurred, this value will be filled
       *   @return [Promise] A promise that represents the state of the `refresh` call.
       *   @example Calling the `refreshPromise` method.
       *     var promise = credProvider.refreshPromise();
       *     promise.then(function() { ... }, function(err) { ... });
       */
      /**
       * Refreshes the credentials. Users should call {get} before attempting
       * to forcibly refresh credentials.
       *
       * @callback callback function(err)
       *   When this callback is called with no error, it means refreshed
       *   credentials information has been loaded into the object (as the
       *   `accessKeyId`, `secretAccessKey`, and `sessionToken` properties).
       *   @param err [Error] if an error occurred, this value will be filled
       * @note Subclasses should override this class to reset the
       *   {accessKeyId}, {secretAccessKey} and optional {sessionToken}
       *   on the credentials object and then call the callback with
       *   any error information.
       * @see get
       */
      refresh: function refresh(callback) {
        this.expired = false;
        callback();
      },
      /**
       * @api private
       * @param callback
       */
      coalesceRefresh: function coalesceRefresh(callback, sync) {
        var self = this;
        if (self.refreshCallbacks.push(callback) === 1) {
          self.load(function onLoad(err) {
            AWS2.util.arrayEach(self.refreshCallbacks, function(callback2) {
              if (sync) {
                callback2(err);
              } else {
                AWS2.util.defer(function() {
                  callback2(err);
                });
              }
            });
            self.refreshCallbacks.length = 0;
          });
        }
      },
      /**
       * @api private
       * @param callback
       */
      load: function load(callback) {
        callback();
      }
    });
    AWS2.Credentials.addPromisesToClass = function addPromisesToClass(PromiseDependency) {
      this.prototype.getPromise = AWS2.util.promisifyMethod("get", PromiseDependency);
      this.prototype.refreshPromise = AWS2.util.promisifyMethod("refresh", PromiseDependency);
    };
    AWS2.Credentials.deletePromisesFromClass = function deletePromisesFromClass() {
      delete this.prototype.getPromise;
      delete this.prototype.refreshPromise;
    };
    AWS2.util.addPromises(AWS2.Credentials);
  }
});

// node_modules/aws-sdk/lib/credentials/credential_provider_chain.js
var require_credential_provider_chain = __commonJS({
  "node_modules/aws-sdk/lib/credentials/credential_provider_chain.js"() {
    var AWS2 = require_core();
    AWS2.CredentialProviderChain = AWS2.util.inherit(AWS2.Credentials, {
      /**
       * Creates a new CredentialProviderChain with a default set of providers
       * specified by {defaultProviders}.
       */
      constructor: function CredentialProviderChain(providers) {
        if (providers) {
          this.providers = providers;
        } else {
          this.providers = AWS2.CredentialProviderChain.defaultProviders.slice(0);
        }
        this.resolveCallbacks = [];
      },
      /**
       * @!method  resolvePromise()
       *   Returns a 'thenable' promise.
       *   Resolves the provider chain by searching for the first set of
       *   credentials in {providers}.
       *
       *   Two callbacks can be provided to the `then` method on the returned promise.
       *   The first callback will be called if the promise is fulfilled, and the second
       *   callback will be called if the promise is rejected.
       *   @callback fulfilledCallback function(credentials)
       *     Called if the promise is fulfilled and the provider resolves the chain
       *     to a credentials object
       *     @param credentials [AWS.Credentials] the credentials object resolved
       *       by the provider chain.
       *   @callback rejectedCallback function(error)
       *     Called if the promise is rejected.
       *     @param err [Error] the error object returned if no credentials are found.
       *   @return [Promise] A promise that represents the state of the `resolve` method call.
       *   @example Calling the `resolvePromise` method.
       *     var promise = chain.resolvePromise();
       *     promise.then(function(credentials) { ... }, function(err) { ... });
       */
      /**
       * Resolves the provider chain by searching for the first set of
       * credentials in {providers}.
       *
       * @callback callback function(err, credentials)
       *   Called when the provider resolves the chain to a credentials object
       *   or null if no credentials can be found.
       *
       *   @param err [Error] the error object returned if no credentials are
       *     found.
       *   @param credentials [AWS.Credentials] the credentials object resolved
       *     by the provider chain.
       * @return [AWS.CredentialProviderChain] the provider, for chaining.
       */
      resolve: function resolve(callback) {
        var self = this;
        if (self.providers.length === 0) {
          callback(new Error("No providers"));
          return self;
        }
        if (self.resolveCallbacks.push(callback) === 1) {
          let resolveNext2 = function(err, creds) {
            if (!err && creds || index === providers.length) {
              AWS2.util.arrayEach(self.resolveCallbacks, function(callback2) {
                callback2(err, creds);
              });
              self.resolveCallbacks.length = 0;
              return;
            }
            var provider = providers[index++];
            if (typeof provider === "function") {
              creds = provider.call();
            } else {
              creds = provider;
            }
            if (creds.get) {
              creds.get(function(getErr) {
                resolveNext2(getErr, getErr ? null : creds);
              });
            } else {
              resolveNext2(null, creds);
            }
          };
          var resolveNext = resolveNext2;
          var index = 0;
          var providers = self.providers.slice(0);
          resolveNext2();
        }
        return self;
      }
    });
    AWS2.CredentialProviderChain.defaultProviders = [];
    AWS2.CredentialProviderChain.addPromisesToClass = function addPromisesToClass(PromiseDependency) {
      this.prototype.resolvePromise = AWS2.util.promisifyMethod("resolve", PromiseDependency);
    };
    AWS2.CredentialProviderChain.deletePromisesFromClass = function deletePromisesFromClass() {
      delete this.prototype.resolvePromise;
    };
    AWS2.util.addPromises(AWS2.CredentialProviderChain);
  }
});

// node_modules/aws-sdk/lib/config.js
var require_config = __commonJS({
  "node_modules/aws-sdk/lib/config.js"() {
    var AWS2 = require_core();
    require_credentials();
    require_credential_provider_chain();
    var PromisesDependency;
    AWS2.Config = AWS2.util.inherit({
      /**
       * @!endgroup
       */
      /**
       * Creates a new configuration object. This is the object that passes
       * option data along to service requests, including credentials, security,
       * region information, and some service specific settings.
       *
       * @example Creating a new configuration object with credentials and region
       *   var config = new AWS.Config({
       *     accessKeyId: 'AKID', secretAccessKey: 'SECRET', region: 'us-west-2'
       *   });
       * @option options accessKeyId [String] your AWS access key ID.
       * @option options secretAccessKey [String] your AWS secret access key.
       * @option options sessionToken [AWS.Credentials] the optional AWS
       *   session token to sign requests with.
       * @option options credentials [AWS.Credentials] the AWS credentials
       *   to sign requests with. You can either specify this object, or
       *   specify the accessKeyId and secretAccessKey options directly.
       * @option options credentialProvider [AWS.CredentialProviderChain] the
       *   provider chain used to resolve credentials if no static `credentials`
       *   property is set.
       * @option options region [String] the region to send service requests to.
       *   See {region} for more information.
       * @option options maxRetries [Integer] the maximum amount of retries to
       *   attempt with a request. See {maxRetries} for more information.
       * @option options maxRedirects [Integer] the maximum amount of redirects to
       *   follow with a request. See {maxRedirects} for more information.
       * @option options sslEnabled [Boolean] whether to enable SSL for
       *   requests.
       * @option options paramValidation [Boolean|map] whether input parameters
       *   should be validated against the operation description before sending
       *   the request. Defaults to true. Pass a map to enable any of the
       *   following specific validation features:
       *
       *   * **min** [Boolean] &mdash; Validates that a value meets the min
       *     constraint. This is enabled by default when paramValidation is set
       *     to `true`.
       *   * **max** [Boolean] &mdash; Validates that a value meets the max
       *     constraint.
       *   * **pattern** [Boolean] &mdash; Validates that a string value matches a
       *     regular expression.
       *   * **enum** [Boolean] &mdash; Validates that a string value matches one
       *     of the allowable enum values.
       * @option options computeChecksums [Boolean] whether to compute checksums
       *   for payload bodies when the service accepts it (currently supported
       *   in S3 only)
       * @option options convertResponseTypes [Boolean] whether types are converted
       *     when parsing response data. Currently only supported for JSON based
       *     services. Turning this off may improve performance on large response
       *     payloads. Defaults to `true`.
       * @option options correctClockSkew [Boolean] whether to apply a clock skew
       *     correction and retry requests that fail because of an skewed client
       *     clock. Defaults to `false`.
       * @option options s3ForcePathStyle [Boolean] whether to force path
       *   style URLs for S3 objects.
       * @option options s3BucketEndpoint [Boolean] whether the provided endpoint
       *   addresses an individual bucket (false if it addresses the root API
       *   endpoint). Note that setting this configuration option requires an
       *   `endpoint` to be provided explicitly to the service constructor.
       * @option options s3DisableBodySigning [Boolean] whether S3 body signing
       *   should be disabled when using signature version `v4`. Body signing
       *   can only be disabled when using https. Defaults to `true`.
       * @option options s3UsEast1RegionalEndpoint ['legacy'|'regional'] when region
       *   is set to 'us-east-1', whether to send s3 request to global endpoints or
       *   'us-east-1' regional endpoints. This config is only applicable to S3 client.
       *   Defaults to `legacy`
       * @option options s3UseArnRegion [Boolean] whether to override the request region
       *   with the region inferred from requested resource's ARN. Only available for S3 buckets
       *   Defaults to `true`
       *
       * @option options retryDelayOptions [map] A set of options to configure
       *   the retry delay on retryable errors. Currently supported options are:
       *
       *   * **base** [Integer] &mdash; The base number of milliseconds to use in the
       *     exponential backoff for operation retries. Defaults to 100 ms for all
       *     services except DynamoDB, where it defaults to 50ms.
       *   * **customBackoff ** [function] &mdash; A custom function that accepts a
       *     retry count and error and returns the amount of time to delay in
       *     milliseconds. If the result is a non-zero negative value, no further
       *     retry attempts will be made. The `base` option will be ignored if this
       *     option is supplied. The function is only called for retryable errors.
       * @option options httpOptions [map] A set of options to pass to the low-level
       *   HTTP request. Currently supported options are:
       *
       *   * **proxy** [String] &mdash; the URL to proxy requests through
       *   * **agent** [http.Agent, https.Agent] &mdash; the Agent object to perform
       *     HTTP requests with. Used for connection pooling. Defaults to the global
       *     agent (`http.globalAgent`) for non-SSL connections. Note that for
       *     SSL connections, a special Agent object is used in order to enable
       *     peer certificate verification. This feature is only available in the
       *     Node.js environment.
       *   * **connectTimeout** [Integer] &mdash; Sets the socket to timeout after
       *     failing to establish a connection with the server after
       *     `connectTimeout` milliseconds. This timeout has no effect once a socket
       *     connection has been established.
       *   * **timeout** [Integer] &mdash; Sets the socket to timeout after timeout
       *     milliseconds of inactivity on the socket. Defaults to two minutes
       *     (120000).
       *   * **xhrAsync** [Boolean] &mdash; Whether the SDK will send asynchronous
       *     HTTP requests. Used in the browser environment only. Set to false to
       *     send requests synchronously. Defaults to true (async on).
       *   * **xhrWithCredentials** [Boolean] &mdash; Sets the "withCredentials"
       *     property of an XMLHttpRequest object. Used in the browser environment
       *     only. Defaults to false.
       * @option options apiVersion [String, Date] a String in YYYY-MM-DD format
       *   (or a date) that represents the latest possible API version that can be
       *   used in all services (unless overridden by `apiVersions`). Specify
       *   'latest' to use the latest possible version.
       * @option options apiVersions [map<String, String|Date>] a map of service
       *   identifiers (the lowercase service class name) with the API version to
       *   use when instantiating a service. Specify 'latest' for each individual
       *   that can use the latest available version.
       * @option options logger [#write,#log] an object that responds to .write()
       *   (like a stream) or .log() (like the console object) in order to log
       *   information about requests
       * @option options systemClockOffset [Number] an offset value in milliseconds
       *   to apply to all signing times. Use this to compensate for clock skew
       *   when your system may be out of sync with the service time. Note that
       *   this configuration option can only be applied to the global `AWS.config`
       *   object and cannot be overridden in service-specific configuration.
       *   Defaults to 0 milliseconds.
       * @option options signatureVersion [String] the signature version to sign
       *   requests with (overriding the API configuration). Possible values are:
       *   'v2', 'v3', 'v4'.
       * @option options signatureCache [Boolean] whether the signature to sign
       *   requests with (overriding the API configuration) is cached. Only applies
       *   to the signature version 'v4'. Defaults to `true`.
       * @option options dynamoDbCrc32 [Boolean] whether to validate the CRC32
       *   checksum of HTTP response bodies returned by DynamoDB. Default: `true`.
       * @option options useAccelerateEndpoint [Boolean] Whether to use the
       *   S3 Transfer Acceleration endpoint with the S3 service. Default: `false`.
       * @option options clientSideMonitoring [Boolean] whether to collect and
       *   publish this client's performance metrics of all its API requests.
       * @option options endpointDiscoveryEnabled [Boolean|undefined] whether to
       *   call operations with endpoints given by service dynamically. Setting this
       * config to `true` will enable endpoint discovery for all applicable operations.
       *   Setting it to `false` will explicitly disable endpoint discovery even though
       *   operations that require endpoint discovery will presumably fail. Leaving it
       *   to `undefined` means SDK will only do endpoint discovery when it's required.
       *   Defaults to `undefined`
       * @option options endpointCacheSize [Number] the size of the global cache storing
       *   endpoints from endpoint discovery operations. Once endpoint cache is created,
       *   updating this setting cannot change existing cache size.
       *   Defaults to 1000
       * @option options hostPrefixEnabled [Boolean] whether to marshal request
       *   parameters to the prefix of hostname.
       *   Defaults to `true`.
       * @option options stsRegionalEndpoints ['legacy'|'regional'] whether to send sts request
       *   to global endpoints or regional endpoints.
       *   Defaults to 'legacy'.
       * @option options useFipsEndpoint [Boolean] Enables FIPS compatible endpoints.
       *   Defaults to `false`.
       * @option options useDualstackEndpoint [Boolean] Enables IPv6 dualstack endpoint.
       *   Defaults to `false`.
       */
      constructor: function Config(options) {
        if (options === void 0)
          options = {};
        options = this.extractCredentials(options);
        AWS2.util.each.call(this, this.keys, function(key, value) {
          this.set(key, options[key], value);
        });
      },
      /**
       * @!group Managing Credentials
       */
      /**
       * Loads credentials from the configuration object. This is used internally
       * by the SDK to ensure that refreshable {Credentials} objects are properly
       * refreshed and loaded when sending a request. If you want to ensure that
       * your credentials are loaded prior to a request, you can use this method
       * directly to provide accurate credential data stored in the object.
       *
       * @note If you configure the SDK with static or environment credentials,
       *   the credential data should already be present in {credentials} attribute.
       *   This method is primarily necessary to load credentials from asynchronous
       *   sources, or sources that can refresh credentials periodically.
       * @example Getting your access key
       *   AWS.config.getCredentials(function(err) {
       *     if (err) console.log(err.stack); // credentials not loaded
       *     else console.log("Access Key:", AWS.config.credentials.accessKeyId);
       *   })
       * @callback callback function(err)
       *   Called when the {credentials} have been properly set on the configuration
       *   object.
       *
       *   @param err [Error] if this is set, credentials were not successfully
       *     loaded and this error provides information why.
       * @see credentials
       * @see Credentials
       */
      getCredentials: function getCredentials(callback) {
        var self = this;
        function finish(err) {
          callback(err, err ? null : self.credentials);
        }
        function credError(msg, err) {
          return new AWS2.util.error(err || new Error(), {
            code: "CredentialsError",
            message: msg,
            name: "CredentialsError"
          });
        }
        function getAsyncCredentials() {
          self.credentials.get(function(err) {
            if (err) {
              var msg = "Could not load credentials from " + self.credentials.constructor.name;
              err = credError(msg, err);
            }
            finish(err);
          });
        }
        function getStaticCredentials() {
          var err = null;
          if (!self.credentials.accessKeyId || !self.credentials.secretAccessKey) {
            err = credError("Missing credentials");
          }
          finish(err);
        }
        if (self.credentials) {
          if (typeof self.credentials.get === "function") {
            getAsyncCredentials();
          } else {
            getStaticCredentials();
          }
        } else if (self.credentialProvider) {
          self.credentialProvider.resolve(function(err, creds) {
            if (err) {
              err = credError("Could not load credentials from any providers", err);
            }
            self.credentials = creds;
            finish(err);
          });
        } else {
          finish(credError("No credentials to load"));
        }
      },
      /**
       * Loads token from the configuration object. This is used internally
       * by the SDK to ensure that refreshable {Token} objects are properly
       * refreshed and loaded when sending a request. If you want to ensure that
       * your token is loaded prior to a request, you can use this method
       * directly to provide accurate token data stored in the object.
       *
       * @note If you configure the SDK with static token, the token data should
       *   already be present in {token} attribute. This method is primarily necessary
       *   to load token from asynchronous sources, or sources that can refresh
       *   token periodically.
       * @example Getting your access token
       *   AWS.config.getToken(function(err) {
       *     if (err) console.log(err.stack); // token not loaded
       *     else console.log("Token:", AWS.config.token.token);
       *   })
       * @callback callback function(err)
       *   Called when the {token} have been properly set on the configuration object.
       *
       *   @param err [Error] if this is set, token was not successfully loaded and
       *     this error provides information why.
       * @see token
       */
      getToken: function getToken(callback) {
        var self = this;
        function finish(err) {
          callback(err, err ? null : self.token);
        }
        function tokenError(msg, err) {
          return new AWS2.util.error(err || new Error(), {
            code: "TokenError",
            message: msg,
            name: "TokenError"
          });
        }
        function getAsyncToken() {
          self.token.get(function(err) {
            if (err) {
              var msg = "Could not load token from " + self.token.constructor.name;
              err = tokenError(msg, err);
            }
            finish(err);
          });
        }
        function getStaticToken() {
          var err = null;
          if (!self.token.token) {
            err = tokenError("Missing token");
          }
          finish(err);
        }
        if (self.token) {
          if (typeof self.token.get === "function") {
            getAsyncToken();
          } else {
            getStaticToken();
          }
        } else if (self.tokenProvider) {
          self.tokenProvider.resolve(function(err, token) {
            if (err) {
              err = tokenError("Could not load token from any providers", err);
            }
            self.token = token;
            finish(err);
          });
        } else {
          finish(tokenError("No token to load"));
        }
      },
      /**
       * @!group Loading and Setting Configuration Options
       */
      /**
       * @overload update(options, allowUnknownKeys = false)
       *   Updates the current configuration object with new options.
       *
       *   @example Update maxRetries property of a configuration object
       *     config.update({maxRetries: 10});
       *   @param [Object] options a map of option keys and values.
       *   @param [Boolean] allowUnknownKeys whether unknown keys can be set on
       *     the configuration object. Defaults to `false`.
       *   @see constructor
       */
      update: function update(options, allowUnknownKeys) {
        allowUnknownKeys = allowUnknownKeys || false;
        options = this.extractCredentials(options);
        AWS2.util.each.call(this, options, function(key, value) {
          if (allowUnknownKeys || Object.prototype.hasOwnProperty.call(this.keys, key) || AWS2.Service.hasService(key)) {
            this.set(key, value);
          }
        });
      },
      /**
       * Loads configuration data from a JSON file into this config object.
       * @note Loading configuration will reset all existing configuration
       *   on the object.
       * @!macro nobrowser
       * @param path [String] the path relative to your process's current
       *    working directory to load configuration from.
       * @return [AWS.Config] the same configuration object
       */
      loadFromPath: function loadFromPath(path) {
        this.clear();
        var options = JSON.parse(AWS2.util.readFileSync(path));
        var fileSystemCreds = new AWS2.FileSystemCredentials(path);
        var chain = new AWS2.CredentialProviderChain();
        chain.providers.unshift(fileSystemCreds);
        chain.resolve(function(err, creds) {
          if (err)
            throw err;
          else
            options.credentials = creds;
        });
        this.constructor(options);
        return this;
      },
      /**
       * Clears configuration data on this object
       *
       * @api private
       */
      clear: function clear() {
        AWS2.util.each.call(this, this.keys, function(key) {
          delete this[key];
        });
        this.set("credentials", void 0);
        this.set("credentialProvider", void 0);
      },
      /**
       * Sets a property on the configuration object, allowing for a
       * default value
       * @api private
       */
      set: function set(property, value, defaultValue) {
        if (value === void 0) {
          if (defaultValue === void 0) {
            defaultValue = this.keys[property];
          }
          if (typeof defaultValue === "function") {
            this[property] = defaultValue.call(this);
          } else {
            this[property] = defaultValue;
          }
        } else if (property === "httpOptions" && this[property]) {
          this[property] = AWS2.util.merge(this[property], value);
        } else {
          this[property] = value;
        }
      },
      /**
       * All of the keys with their default values.
       *
       * @constant
       * @api private
       */
      keys: {
        credentials: null,
        credentialProvider: null,
        region: null,
        logger: null,
        apiVersions: {},
        apiVersion: null,
        endpoint: void 0,
        httpOptions: {
          timeout: 12e4
        },
        maxRetries: void 0,
        maxRedirects: 10,
        paramValidation: true,
        sslEnabled: true,
        s3ForcePathStyle: false,
        s3BucketEndpoint: false,
        s3DisableBodySigning: true,
        s3UsEast1RegionalEndpoint: "legacy",
        s3UseArnRegion: void 0,
        computeChecksums: true,
        convertResponseTypes: true,
        correctClockSkew: false,
        customUserAgent: null,
        dynamoDbCrc32: true,
        systemClockOffset: 0,
        signatureVersion: null,
        signatureCache: true,
        retryDelayOptions: {},
        useAccelerateEndpoint: false,
        clientSideMonitoring: false,
        endpointDiscoveryEnabled: void 0,
        endpointCacheSize: 1e3,
        hostPrefixEnabled: true,
        stsRegionalEndpoints: "legacy",
        useFipsEndpoint: false,
        useDualstackEndpoint: false,
        token: null
      },
      /**
       * Extracts accessKeyId, secretAccessKey and sessionToken
       * from a configuration hash.
       *
       * @api private
       */
      extractCredentials: function extractCredentials(options) {
        if (options.accessKeyId && options.secretAccessKey) {
          options = AWS2.util.copy(options);
          options.credentials = new AWS2.Credentials(options);
        }
        return options;
      },
      /**
       * Sets the promise dependency the SDK will use wherever Promises are returned.
       * Passing `null` will force the SDK to use native Promises if they are available.
       * If native Promises are not available, passing `null` will have no effect.
       * @param [Constructor] dep A reference to a Promise constructor
       */
      setPromisesDependency: function setPromisesDependency(dep) {
        PromisesDependency = dep;
        if (dep === null && typeof Promise === "function") {
          PromisesDependency = Promise;
        }
        var constructors = [AWS2.Request, AWS2.Credentials, AWS2.CredentialProviderChain];
        if (AWS2.S3) {
          constructors.push(AWS2.S3);
          if (AWS2.S3.ManagedUpload) {
            constructors.push(AWS2.S3.ManagedUpload);
          }
        }
        AWS2.util.addPromises(constructors, PromisesDependency);
      },
      /**
       * Gets the promise dependency set by `AWS.config.setPromisesDependency`.
       */
      getPromisesDependency: function getPromisesDependency() {
        return PromisesDependency;
      }
    });
    AWS2.config = new AWS2.Config();
  }
});

// node_modules/aws-sdk/lib/http.js
var require_http = __commonJS({
  "node_modules/aws-sdk/lib/http.js"() {
    var AWS2 = require_core();
    var inherit = AWS2.util.inherit;
    AWS2.Endpoint = inherit({
      /**
       * @overload Endpoint(endpoint)
       *   Constructs a new endpoint given an endpoint URL. If the
       *   URL omits a protocol (http or https), the default protocol
       *   set in the global {AWS.config} will be used.
       *   @param endpoint [String] the URL to construct an endpoint from
       */
      constructor: function Endpoint(endpoint, config) {
        AWS2.util.hideProperties(this, ["slashes", "auth", "hash", "search", "query"]);
        if (typeof endpoint === "undefined" || endpoint === null) {
          throw new Error("Invalid endpoint: " + endpoint);
        } else if (typeof endpoint !== "string") {
          return AWS2.util.copy(endpoint);
        }
        if (!endpoint.match(/^http/)) {
          var useSSL = config && config.sslEnabled !== void 0 ? config.sslEnabled : AWS2.config.sslEnabled;
          endpoint = (useSSL ? "https" : "http") + "://" + endpoint;
        }
        AWS2.util.update(this, AWS2.util.urlParse(endpoint));
        if (this.port) {
          this.port = parseInt(this.port, 10);
        } else {
          this.port = this.protocol === "https:" ? 443 : 80;
        }
      }
    });
    AWS2.HttpRequest = inherit({
      /**
       * @api private
       */
      constructor: function HttpRequest(endpoint, region) {
        endpoint = new AWS2.Endpoint(endpoint);
        this.method = "POST";
        this.path = endpoint.path || "/";
        this.headers = {};
        this.body = "";
        this.endpoint = endpoint;
        this.region = region;
        this._userAgent = "";
        this.setUserAgent();
      },
      /**
       * @api private
       */
      setUserAgent: function setUserAgent() {
        this._userAgent = this.headers[this.getUserAgentHeaderName()] = AWS2.util.userAgent();
      },
      getUserAgentHeaderName: function getUserAgentHeaderName() {
        var prefix = AWS2.util.isBrowser() ? "X-Amz-" : "";
        return prefix + "User-Agent";
      },
      /**
       * @api private
       */
      appendToUserAgent: function appendToUserAgent(agentPartial) {
        if (typeof agentPartial === "string" && agentPartial) {
          this._userAgent += " " + agentPartial;
        }
        this.headers[this.getUserAgentHeaderName()] = this._userAgent;
      },
      /**
       * @api private
       */
      getUserAgent: function getUserAgent() {
        return this._userAgent;
      },
      /**
       * @return [String] the part of the {path} excluding the
       *   query string
       */
      pathname: function pathname() {
        return this.path.split("?", 1)[0];
      },
      /**
       * @return [String] the query string portion of the {path}
       */
      search: function search() {
        var query = this.path.split("?", 2)[1];
        if (query) {
          query = AWS2.util.queryStringParse(query);
          return AWS2.util.queryParamsToString(query);
        }
        return "";
      },
      /**
       * @api private
       * update httpRequest endpoint with endpoint string
       */
      updateEndpoint: function updateEndpoint(endpointStr) {
        var newEndpoint = new AWS2.Endpoint(endpointStr);
        this.endpoint = newEndpoint;
        this.path = newEndpoint.path || "/";
        if (this.headers["Host"]) {
          this.headers["Host"] = newEndpoint.host;
        }
      }
    });
    AWS2.HttpResponse = inherit({
      /**
       * @api private
       */
      constructor: function HttpResponse() {
        this.statusCode = void 0;
        this.headers = {};
        this.body = void 0;
        this.streaming = false;
        this.stream = null;
      },
      /**
       * Disables buffering on the HTTP response and returns the stream for reading.
       * @return [Stream, XMLHttpRequest, null] the underlying stream object.
       *   Use this object to directly read data off of the stream.
       * @note This object is only available after the {AWS.Request~httpHeaders}
       *   event has fired. This method must be called prior to
       *   {AWS.Request~httpData}.
       * @example Taking control of a stream
       *   request.on('httpHeaders', function(statusCode, headers) {
       *     if (statusCode < 300) {
       *       if (headers.etag === 'xyz') {
       *         // pipe the stream, disabling buffering
       *         var stream = this.response.httpResponse.createUnbufferedStream();
       *         stream.pipe(process.stdout);
       *       } else { // abort this request and set a better error message
       *         this.abort();
       *         this.response.error = new Error('Invalid ETag');
       *       }
       *     }
       *   }).send(console.log);
       */
      createUnbufferedStream: function createUnbufferedStream() {
        this.streaming = true;
        return this.stream;
      }
    });
    AWS2.HttpClient = inherit({});
    AWS2.HttpClient.getInstance = function getInstance() {
      if (this.singleton === void 0) {
        this.singleton = new this();
      }
      return this.singleton;
    };
  }
});

// node_modules/aws-sdk/lib/discover_endpoint.js
var require_discover_endpoint = __commonJS({
  "node_modules/aws-sdk/lib/discover_endpoint.js"(exports, module2) {
    var AWS2 = require_core();
    var util = require_util();
    var endpointDiscoveryEnabledEnvs = ["AWS_ENABLE_ENDPOINT_DISCOVERY", "AWS_ENDPOINT_DISCOVERY_ENABLED"];
    function getCacheKey(request) {
      var service = request.service;
      var api = service.api || {};
      var operations = api.operations;
      var identifiers = {};
      if (service.config.region) {
        identifiers.region = service.config.region;
      }
      if (api.serviceId) {
        identifiers.serviceId = api.serviceId;
      }
      if (service.config.credentials.accessKeyId) {
        identifiers.accessKeyId = service.config.credentials.accessKeyId;
      }
      return identifiers;
    }
    function marshallCustomIdentifiersHelper(result, params, shape) {
      if (!shape || params === void 0 || params === null)
        return;
      if (shape.type === "structure" && shape.required && shape.required.length > 0) {
        util.arrayEach(shape.required, function(name) {
          var memberShape = shape.members[name];
          if (memberShape.endpointDiscoveryId === true) {
            var locationName = memberShape.isLocationName ? memberShape.name : name;
            result[locationName] = String(params[name]);
          } else {
            marshallCustomIdentifiersHelper(result, params[name], memberShape);
          }
        });
      }
    }
    function marshallCustomIdentifiers(request, shape) {
      var identifiers = {};
      marshallCustomIdentifiersHelper(identifiers, request.params, shape);
      return identifiers;
    }
    function optionalDiscoverEndpoint(request) {
      var service = request.service;
      var api = service.api;
      var operationModel = api.operations ? api.operations[request.operation] : void 0;
      var inputShape = operationModel ? operationModel.input : void 0;
      var identifiers = marshallCustomIdentifiers(request, inputShape);
      var cacheKey = getCacheKey(request);
      if (Object.keys(identifiers).length > 0) {
        cacheKey = util.update(cacheKey, identifiers);
        if (operationModel)
          cacheKey.operation = operationModel.name;
      }
      var endpoints = AWS2.endpointCache.get(cacheKey);
      if (endpoints && endpoints.length === 1 && endpoints[0].Address === "") {
        return;
      } else if (endpoints && endpoints.length > 0) {
        request.httpRequest.updateEndpoint(endpoints[0].Address);
      } else {
        var endpointRequest = service.makeRequest(api.endpointOperation, {
          Operation: operationModel.name,
          Identifiers: identifiers
        });
        addApiVersionHeader(endpointRequest);
        endpointRequest.removeListener("validate", AWS2.EventListeners.Core.VALIDATE_PARAMETERS);
        endpointRequest.removeListener("retry", AWS2.EventListeners.Core.RETRY_CHECK);
        AWS2.endpointCache.put(cacheKey, [{
          Address: "",
          CachePeriodInMinutes: 1
        }]);
        endpointRequest.send(function(err, data) {
          if (data && data.Endpoints) {
            AWS2.endpointCache.put(cacheKey, data.Endpoints);
          } else if (err) {
            AWS2.endpointCache.put(cacheKey, [{
              Address: "",
              CachePeriodInMinutes: 1
              //not to make more endpoint operation in next 1 minute
            }]);
          }
        });
      }
    }
    var requestQueue = {};
    function requiredDiscoverEndpoint(request, done) {
      var service = request.service;
      var api = service.api;
      var operationModel = api.operations ? api.operations[request.operation] : void 0;
      var inputShape = operationModel ? operationModel.input : void 0;
      var identifiers = marshallCustomIdentifiers(request, inputShape);
      var cacheKey = getCacheKey(request);
      if (Object.keys(identifiers).length > 0) {
        cacheKey = util.update(cacheKey, identifiers);
        if (operationModel)
          cacheKey.operation = operationModel.name;
      }
      var cacheKeyStr = AWS2.EndpointCache.getKeyString(cacheKey);
      var endpoints = AWS2.endpointCache.get(cacheKeyStr);
      if (endpoints && endpoints.length === 1 && endpoints[0].Address === "") {
        if (!requestQueue[cacheKeyStr])
          requestQueue[cacheKeyStr] = [];
        requestQueue[cacheKeyStr].push({ request, callback: done });
        return;
      } else if (endpoints && endpoints.length > 0) {
        request.httpRequest.updateEndpoint(endpoints[0].Address);
        done();
      } else {
        var endpointRequest = service.makeRequest(api.endpointOperation, {
          Operation: operationModel.name,
          Identifiers: identifiers
        });
        endpointRequest.removeListener("validate", AWS2.EventListeners.Core.VALIDATE_PARAMETERS);
        addApiVersionHeader(endpointRequest);
        AWS2.endpointCache.put(cacheKeyStr, [{
          Address: "",
          CachePeriodInMinutes: 60
          //long-live cache
        }]);
        endpointRequest.send(function(err, data) {
          if (err) {
            request.response.error = util.error(err, { retryable: false });
            AWS2.endpointCache.remove(cacheKey);
            if (requestQueue[cacheKeyStr]) {
              var pendingRequests = requestQueue[cacheKeyStr];
              util.arrayEach(pendingRequests, function(requestContext) {
                requestContext.request.response.error = util.error(err, { retryable: false });
                requestContext.callback();
              });
              delete requestQueue[cacheKeyStr];
            }
          } else if (data) {
            AWS2.endpointCache.put(cacheKeyStr, data.Endpoints);
            request.httpRequest.updateEndpoint(data.Endpoints[0].Address);
            if (requestQueue[cacheKeyStr]) {
              var pendingRequests = requestQueue[cacheKeyStr];
              util.arrayEach(pendingRequests, function(requestContext) {
                requestContext.request.httpRequest.updateEndpoint(data.Endpoints[0].Address);
                requestContext.callback();
              });
              delete requestQueue[cacheKeyStr];
            }
          }
          done();
        });
      }
    }
    function addApiVersionHeader(endpointRequest) {
      var api = endpointRequest.service.api;
      var apiVersion = api.apiVersion;
      if (apiVersion && !endpointRequest.httpRequest.headers["x-amz-api-version"]) {
        endpointRequest.httpRequest.headers["x-amz-api-version"] = apiVersion;
      }
    }
    function invalidateCachedEndpoints(response) {
      var error = response.error;
      var httpResponse = response.httpResponse;
      if (error && (error.code === "InvalidEndpointException" || httpResponse.statusCode === 421)) {
        var request = response.request;
        var operations = request.service.api.operations || {};
        var inputShape = operations[request.operation] ? operations[request.operation].input : void 0;
        var identifiers = marshallCustomIdentifiers(request, inputShape);
        var cacheKey = getCacheKey(request);
        if (Object.keys(identifiers).length > 0) {
          cacheKey = util.update(cacheKey, identifiers);
          if (operations[request.operation])
            cacheKey.operation = operations[request.operation].name;
        }
        AWS2.endpointCache.remove(cacheKey);
      }
    }
    function hasCustomEndpoint(client) {
      if (client._originalConfig && client._originalConfig.endpoint && client._originalConfig.endpointDiscoveryEnabled === true) {
        throw util.error(new Error(), {
          code: "ConfigurationException",
          message: "Custom endpoint is supplied; endpointDiscoveryEnabled must not be true."
        });
      }
      ;
      var svcConfig = AWS2.config[client.serviceIdentifier] || {};
      return Boolean(AWS2.config.endpoint || svcConfig.endpoint || client._originalConfig && client._originalConfig.endpoint);
    }
    function isFalsy(value) {
      return ["false", "0"].indexOf(value) >= 0;
    }
    function resolveEndpointDiscoveryConfig(request) {
      var service = request.service || {};
      if (service.config.endpointDiscoveryEnabled !== void 0) {
        return service.config.endpointDiscoveryEnabled;
      }
      if (util.isBrowser())
        return void 0;
      for (var i = 0; i < endpointDiscoveryEnabledEnvs.length; i++) {
        var env = endpointDiscoveryEnabledEnvs[i];
        if (Object.prototype.hasOwnProperty.call(process.env, env)) {
          if (process.env[env] === "" || process.env[env] === void 0) {
            throw util.error(new Error(), {
              code: "ConfigurationException",
              message: "environmental variable " + env + " cannot be set to nothing"
            });
          }
          return !isFalsy(process.env[env]);
        }
      }
      var configFile = {};
      try {
        configFile = AWS2.util.iniLoader ? AWS2.util.iniLoader.loadFrom({
          isConfig: true,
          filename: process.env[AWS2.util.sharedConfigFileEnv]
        }) : {};
      } catch (e) {
      }
      var sharedFileConfig = configFile[process.env.AWS_PROFILE || AWS2.util.defaultProfile] || {};
      if (Object.prototype.hasOwnProperty.call(sharedFileConfig, "endpoint_discovery_enabled")) {
        if (sharedFileConfig.endpoint_discovery_enabled === void 0) {
          throw util.error(new Error(), {
            code: "ConfigurationException",
            message: "config file entry 'endpoint_discovery_enabled' cannot be set to nothing"
          });
        }
        return !isFalsy(sharedFileConfig.endpoint_discovery_enabled);
      }
      return void 0;
    }
    function discoverEndpoint(request, done) {
      var service = request.service || {};
      if (hasCustomEndpoint(service) || request.isPresigned())
        return done();
      var operations = service.api.operations || {};
      var operationModel = operations[request.operation];
      var isEndpointDiscoveryRequired = operationModel ? operationModel.endpointDiscoveryRequired : "NULL";
      var isEnabled = resolveEndpointDiscoveryConfig(request);
      var hasRequiredEndpointDiscovery = service.api.hasRequiredEndpointDiscovery;
      if (isEnabled || hasRequiredEndpointDiscovery) {
        request.httpRequest.appendToUserAgent("endpoint-discovery");
      }
      switch (isEndpointDiscoveryRequired) {
        case "OPTIONAL":
          if (isEnabled || hasRequiredEndpointDiscovery) {
            optionalDiscoverEndpoint(request);
            request.addNamedListener("INVALIDATE_CACHED_ENDPOINTS", "extractError", invalidateCachedEndpoints);
          }
          done();
          break;
        case "REQUIRED":
          if (isEnabled === false) {
            request.response.error = util.error(new Error(), {
              code: "ConfigurationException",
              message: "Endpoint Discovery is disabled but " + service.api.className + "." + request.operation + "() requires it. Please check your configurations."
            });
            done();
            break;
          }
          request.addNamedListener("INVALIDATE_CACHED_ENDPOINTS", "extractError", invalidateCachedEndpoints);
          requiredDiscoverEndpoint(request, done);
          break;
        case "NULL":
        default:
          done();
          break;
      }
    }
    module2.exports = {
      discoverEndpoint,
      requiredDiscoverEndpoint,
      optionalDiscoverEndpoint,
      marshallCustomIdentifiers,
      getCacheKey,
      invalidateCachedEndpoint: invalidateCachedEndpoints
    };
  }
});

// node_modules/aws-sdk/lib/event_listeners.js
var require_event_listeners = __commonJS({
  "node_modules/aws-sdk/lib/event_listeners.js"() {
    var AWS2 = require_core();
    var SequentialExecutor = require_sequential_executor();
    var DISCOVER_ENDPOINT = require_discover_endpoint().discoverEndpoint;
    AWS2.EventListeners = {
      /**
       * @!attribute VALIDATE_CREDENTIALS
       *   A request listener that validates whether the request is being
       *   sent with credentials.
       *   Handles the {AWS.Request~validate 'validate' Request event}
       *   @example Sending a request without validating credentials
       *     var listener = AWS.EventListeners.Core.VALIDATE_CREDENTIALS;
       *     request.removeListener('validate', listener);
       *   @readonly
       *   @return [Function]
       * @!attribute VALIDATE_REGION
       *   A request listener that validates whether the region is set
       *   for a request.
       *   Handles the {AWS.Request~validate 'validate' Request event}
       *   @example Sending a request without validating region configuration
       *     var listener = AWS.EventListeners.Core.VALIDATE_REGION;
       *     request.removeListener('validate', listener);
       *   @readonly
       *   @return [Function]
       * @!attribute VALIDATE_PARAMETERS
       *   A request listener that validates input parameters in a request.
       *   Handles the {AWS.Request~validate 'validate' Request event}
       *   @example Sending a request without validating parameters
       *     var listener = AWS.EventListeners.Core.VALIDATE_PARAMETERS;
       *     request.removeListener('validate', listener);
       *   @example Disable parameter validation globally
       *     AWS.EventListeners.Core.removeListener('validate',
       *       AWS.EventListeners.Core.VALIDATE_REGION);
       *   @readonly
       *   @return [Function]
       * @!attribute SEND
       *   A request listener that initiates the HTTP connection for a
       *   request being sent. Handles the {AWS.Request~send 'send' Request event}
       *   @example Replacing the HTTP handler
       *     var listener = AWS.EventListeners.Core.SEND;
       *     request.removeListener('send', listener);
       *     request.on('send', function(response) {
       *       customHandler.send(response);
       *     });
       *   @return [Function]
       *   @readonly
       * @!attribute HTTP_DATA
       *   A request listener that reads data from the HTTP connection in order
       *   to build the response data.
       *   Handles the {AWS.Request~httpData 'httpData' Request event}.
       *   Remove this handler if you are overriding the 'httpData' event and
       *   do not want extra data processing and buffering overhead.
       *   @example Disabling default data processing
       *     var listener = AWS.EventListeners.Core.HTTP_DATA;
       *     request.removeListener('httpData', listener);
       *   @return [Function]
       *   @readonly
       */
      Core: {}
      /* doc hack */
    };
    function getOperationAuthtype(req) {
      if (!req.service.api.operations) {
        return "";
      }
      var operation = req.service.api.operations[req.operation];
      return operation ? operation.authtype : "";
    }
    function getIdentityType(req) {
      var service = req.service;
      if (service.config.signatureVersion) {
        return service.config.signatureVersion;
      }
      if (service.api.signatureVersion) {
        return service.api.signatureVersion;
      }
      return getOperationAuthtype(req);
    }
    AWS2.EventListeners = {
      Core: new SequentialExecutor().addNamedListeners(function(add, addAsync) {
        addAsync(
          "VALIDATE_CREDENTIALS",
          "validate",
          function VALIDATE_CREDENTIALS(req, done) {
            if (!req.service.api.signatureVersion && !req.service.config.signatureVersion)
              return done();
            var identityType = getIdentityType(req);
            if (identityType === "bearer") {
              req.service.config.getToken(function(err) {
                if (err) {
                  req.response.error = AWS2.util.error(err, { code: "TokenError" });
                }
                done();
              });
              return;
            }
            req.service.config.getCredentials(function(err) {
              if (err) {
                req.response.error = AWS2.util.error(
                  err,
                  {
                    code: "CredentialsError",
                    message: "Missing credentials in config, if using AWS_CONFIG_FILE, set AWS_SDK_LOAD_CONFIG=1"
                  }
                );
              }
              done();
            });
          }
        );
        add("VALIDATE_REGION", "validate", function VALIDATE_REGION(req) {
          if (!req.service.isGlobalEndpoint) {
            var dnsHostRegex = new RegExp(/^([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9-]{0,61}[a-zA-Z0-9])$/);
            if (!req.service.config.region) {
              req.response.error = AWS2.util.error(
                new Error(),
                { code: "ConfigError", message: "Missing region in config" }
              );
            } else if (!dnsHostRegex.test(req.service.config.region)) {
              req.response.error = AWS2.util.error(
                new Error(),
                { code: "ConfigError", message: "Invalid region in config" }
              );
            }
          }
        });
        add("BUILD_IDEMPOTENCY_TOKENS", "validate", function BUILD_IDEMPOTENCY_TOKENS(req) {
          if (!req.service.api.operations) {
            return;
          }
          var operation = req.service.api.operations[req.operation];
          if (!operation) {
            return;
          }
          var idempotentMembers = operation.idempotentMembers;
          if (!idempotentMembers.length) {
            return;
          }
          var params = AWS2.util.copy(req.params);
          for (var i = 0, iLen = idempotentMembers.length; i < iLen; i++) {
            if (!params[idempotentMembers[i]]) {
              params[idempotentMembers[i]] = AWS2.util.uuid.v4();
            }
          }
          req.params = params;
        });
        add("VALIDATE_PARAMETERS", "validate", function VALIDATE_PARAMETERS(req) {
          if (!req.service.api.operations) {
            return;
          }
          var rules = req.service.api.operations[req.operation].input;
          var validation = req.service.config.paramValidation;
          new AWS2.ParamValidator(validation).validate(rules, req.params);
        });
        add("COMPUTE_CHECKSUM", "afterBuild", function COMPUTE_CHECKSUM(req) {
          if (!req.service.api.operations) {
            return;
          }
          var operation = req.service.api.operations[req.operation];
          if (!operation) {
            return;
          }
          var body = req.httpRequest.body;
          var isNonStreamingPayload = body && (AWS2.util.Buffer.isBuffer(body) || typeof body === "string");
          var headers = req.httpRequest.headers;
          if (operation.httpChecksumRequired && req.service.config.computeChecksums && isNonStreamingPayload && !headers["Content-MD5"]) {
            var md5 = AWS2.util.crypto.md5(body, "base64");
            headers["Content-MD5"] = md5;
          }
        });
        addAsync("COMPUTE_SHA256", "afterBuild", function COMPUTE_SHA256(req, done) {
          req.haltHandlersOnError();
          if (!req.service.api.operations) {
            return;
          }
          var operation = req.service.api.operations[req.operation];
          var authtype = operation ? operation.authtype : "";
          if (!req.service.api.signatureVersion && !authtype && !req.service.config.signatureVersion)
            return done();
          if (req.service.getSignerClass(req) === AWS2.Signers.V4) {
            var body = req.httpRequest.body || "";
            if (authtype.indexOf("unsigned-body") >= 0) {
              req.httpRequest.headers["X-Amz-Content-Sha256"] = "UNSIGNED-PAYLOAD";
              return done();
            }
            AWS2.util.computeSha256(body, function(err, sha) {
              if (err) {
                done(err);
              } else {
                req.httpRequest.headers["X-Amz-Content-Sha256"] = sha;
                done();
              }
            });
          } else {
            done();
          }
        });
        add("SET_CONTENT_LENGTH", "afterBuild", function SET_CONTENT_LENGTH(req) {
          var authtype = getOperationAuthtype(req);
          var payloadMember = AWS2.util.getRequestPayloadShape(req);
          if (req.httpRequest.headers["Content-Length"] === void 0) {
            try {
              var length = AWS2.util.string.byteLength(req.httpRequest.body);
              req.httpRequest.headers["Content-Length"] = length;
            } catch (err) {
              if (payloadMember && payloadMember.isStreaming) {
                if (payloadMember.requiresLength) {
                  throw err;
                } else if (authtype.indexOf("unsigned-body") >= 0) {
                  req.httpRequest.headers["Transfer-Encoding"] = "chunked";
                  return;
                } else {
                  throw err;
                }
              }
              throw err;
            }
          }
        });
        add("SET_HTTP_HOST", "afterBuild", function SET_HTTP_HOST(req) {
          req.httpRequest.headers["Host"] = req.httpRequest.endpoint.host;
        });
        add("SET_TRACE_ID", "afterBuild", function SET_TRACE_ID(req) {
          var traceIdHeaderName = "X-Amzn-Trace-Id";
          if (AWS2.util.isNode() && !Object.hasOwnProperty.call(req.httpRequest.headers, traceIdHeaderName)) {
            var ENV_LAMBDA_FUNCTION_NAME = "AWS_LAMBDA_FUNCTION_NAME";
            var ENV_TRACE_ID = "_X_AMZN_TRACE_ID";
            var functionName = process.env[ENV_LAMBDA_FUNCTION_NAME];
            var traceId = process.env[ENV_TRACE_ID];
            if (typeof functionName === "string" && functionName.length > 0 && typeof traceId === "string" && traceId.length > 0) {
              req.httpRequest.headers[traceIdHeaderName] = traceId;
            }
          }
        });
        add("RESTART", "restart", function RESTART() {
          var err = this.response.error;
          if (!err || !err.retryable)
            return;
          this.httpRequest = new AWS2.HttpRequest(
            this.service.endpoint,
            this.service.region
          );
          if (this.response.retryCount < this.service.config.maxRetries) {
            this.response.retryCount++;
          } else {
            this.response.error = null;
          }
        });
        var addToHead = true;
        addAsync("DISCOVER_ENDPOINT", "sign", DISCOVER_ENDPOINT, addToHead);
        addAsync("SIGN", "sign", function SIGN(req, done) {
          var service = req.service;
          var identityType = getIdentityType(req);
          if (!identityType || identityType.length === 0)
            return done();
          if (identityType === "bearer") {
            service.config.getToken(function(err, token) {
              if (err) {
                req.response.error = err;
                return done();
              }
              try {
                var SignerClass = service.getSignerClass(req);
                var signer = new SignerClass(req.httpRequest);
                signer.addAuthorization(token);
              } catch (e) {
                req.response.error = e;
              }
              done();
            });
          } else {
            service.config.getCredentials(function(err, credentials) {
              if (err) {
                req.response.error = err;
                return done();
              }
              try {
                var date = service.getSkewCorrectedDate();
                var SignerClass = service.getSignerClass(req);
                var operations = req.service.api.operations || {};
                var operation = operations[req.operation];
                var signer = new SignerClass(
                  req.httpRequest,
                  service.getSigningName(req),
                  {
                    signatureCache: service.config.signatureCache,
                    operation,
                    signatureVersion: service.api.signatureVersion
                  }
                );
                signer.setServiceClientId(service._clientId);
                delete req.httpRequest.headers["Authorization"];
                delete req.httpRequest.headers["Date"];
                delete req.httpRequest.headers["X-Amz-Date"];
                signer.addAuthorization(credentials, date);
                req.signedAt = date;
              } catch (e) {
                req.response.error = e;
              }
              done();
            });
          }
        });
        add("VALIDATE_RESPONSE", "validateResponse", function VALIDATE_RESPONSE(resp) {
          if (this.service.successfulResponse(resp, this)) {
            resp.data = {};
            resp.error = null;
          } else {
            resp.data = null;
            resp.error = AWS2.util.error(
              new Error(),
              { code: "UnknownError", message: "An unknown error occurred." }
            );
          }
        });
        add("ERROR", "error", function ERROR(err, resp) {
          var awsQueryCompatible = resp.request.service.api.awsQueryCompatible;
          if (awsQueryCompatible) {
            var headers = resp.httpResponse.headers;
            var queryErrorCode = headers ? headers["x-amzn-query-error"] : void 0;
            if (queryErrorCode && queryErrorCode.includes(";")) {
              resp.error.code = queryErrorCode.split(";")[0];
            }
          }
        }, true);
        addAsync("SEND", "send", function SEND(resp, done) {
          resp.httpResponse._abortCallback = done;
          resp.error = null;
          resp.data = null;
          function callback(httpResp) {
            resp.httpResponse.stream = httpResp;
            var stream = resp.request.httpRequest.stream;
            var service = resp.request.service;
            var api = service.api;
            var operationName = resp.request.operation;
            var operation = api.operations[operationName] || {};
            httpResp.on("headers", function onHeaders(statusCode, headers, statusMessage) {
              resp.request.emit(
                "httpHeaders",
                [statusCode, headers, resp, statusMessage]
              );
              if (!resp.httpResponse.streaming) {
                if (AWS2.HttpClient.streamsApiVersion === 2) {
                  if (operation.hasEventOutput && service.successfulResponse(resp)) {
                    resp.request.emit("httpDone");
                    done();
                    return;
                  }
                  httpResp.on("readable", function onReadable() {
                    var data = httpResp.read();
                    if (data !== null) {
                      resp.request.emit("httpData", [data, resp]);
                    }
                  });
                } else {
                  httpResp.on("data", function onData(data) {
                    resp.request.emit("httpData", [data, resp]);
                  });
                }
              }
            });
            httpResp.on("end", function onEnd() {
              if (!stream || !stream.didCallback) {
                if (AWS2.HttpClient.streamsApiVersion === 2 && (operation.hasEventOutput && service.successfulResponse(resp))) {
                  return;
                }
                resp.request.emit("httpDone");
                done();
              }
            });
          }
          function progress(httpResp) {
            httpResp.on("sendProgress", function onSendProgress(value) {
              resp.request.emit("httpUploadProgress", [value, resp]);
            });
            httpResp.on("receiveProgress", function onReceiveProgress(value) {
              resp.request.emit("httpDownloadProgress", [value, resp]);
            });
          }
          function error(err) {
            if (err.code !== "RequestAbortedError") {
              var errCode = err.code === "TimeoutError" ? err.code : "NetworkingError";
              err = AWS2.util.error(err, {
                code: errCode,
                region: resp.request.httpRequest.region,
                hostname: resp.request.httpRequest.endpoint.hostname,
                retryable: true
              });
            }
            resp.error = err;
            resp.request.emit("httpError", [resp.error, resp], function() {
              done();
            });
          }
          function executeSend() {
            var http = AWS2.HttpClient.getInstance();
            var httpOptions = resp.request.service.config.httpOptions || {};
            try {
              var stream = http.handleRequest(
                resp.request.httpRequest,
                httpOptions,
                callback,
                error
              );
              progress(stream);
            } catch (err) {
              error(err);
            }
          }
          var timeDiff = (resp.request.service.getSkewCorrectedDate() - this.signedAt) / 1e3;
          if (timeDiff >= 60 * 10) {
            this.emit("sign", [this], function(err) {
              if (err)
                done(err);
              else
                executeSend();
            });
          } else {
            executeSend();
          }
        });
        add(
          "HTTP_HEADERS",
          "httpHeaders",
          function HTTP_HEADERS(statusCode, headers, resp, statusMessage) {
            resp.httpResponse.statusCode = statusCode;
            resp.httpResponse.statusMessage = statusMessage;
            resp.httpResponse.headers = headers;
            resp.httpResponse.body = AWS2.util.buffer.toBuffer("");
            resp.httpResponse.buffers = [];
            resp.httpResponse.numBytes = 0;
            var dateHeader = headers.date || headers.Date;
            var service = resp.request.service;
            if (dateHeader) {
              var serverTime = Date.parse(dateHeader);
              if (service.config.correctClockSkew && service.isClockSkewed(serverTime)) {
                service.applyClockOffset(serverTime);
              }
            }
          }
        );
        add("HTTP_DATA", "httpData", function HTTP_DATA(chunk, resp) {
          if (chunk) {
            if (AWS2.util.isNode()) {
              resp.httpResponse.numBytes += chunk.length;
              var total = resp.httpResponse.headers["content-length"];
              var progress = { loaded: resp.httpResponse.numBytes, total };
              resp.request.emit("httpDownloadProgress", [progress, resp]);
            }
            resp.httpResponse.buffers.push(AWS2.util.buffer.toBuffer(chunk));
          }
        });
        add("HTTP_DONE", "httpDone", function HTTP_DONE(resp) {
          if (resp.httpResponse.buffers && resp.httpResponse.buffers.length > 0) {
            var body = AWS2.util.buffer.concat(resp.httpResponse.buffers);
            resp.httpResponse.body = body;
          }
          delete resp.httpResponse.numBytes;
          delete resp.httpResponse.buffers;
        });
        add("FINALIZE_ERROR", "retry", function FINALIZE_ERROR(resp) {
          if (resp.httpResponse.statusCode) {
            resp.error.statusCode = resp.httpResponse.statusCode;
            if (resp.error.retryable === void 0) {
              resp.error.retryable = this.service.retryableError(resp.error, this);
            }
          }
        });
        add("INVALIDATE_CREDENTIALS", "retry", function INVALIDATE_CREDENTIALS(resp) {
          if (!resp.error)
            return;
          switch (resp.error.code) {
            case "RequestExpired":
            case "ExpiredTokenException":
            case "ExpiredToken":
              resp.error.retryable = true;
              resp.request.service.config.credentials.expired = true;
          }
        });
        add("EXPIRED_SIGNATURE", "retry", function EXPIRED_SIGNATURE(resp) {
          var err = resp.error;
          if (!err)
            return;
          if (typeof err.code === "string" && typeof err.message === "string") {
            if (err.code.match(/Signature/) && err.message.match(/expired/)) {
              resp.error.retryable = true;
            }
          }
        });
        add("CLOCK_SKEWED", "retry", function CLOCK_SKEWED(resp) {
          if (!resp.error)
            return;
          if (this.service.clockSkewError(resp.error) && this.service.config.correctClockSkew) {
            resp.error.retryable = true;
          }
        });
        add("REDIRECT", "retry", function REDIRECT(resp) {
          if (resp.error && resp.error.statusCode >= 300 && resp.error.statusCode < 400 && resp.httpResponse.headers["location"]) {
            this.httpRequest.endpoint = new AWS2.Endpoint(resp.httpResponse.headers["location"]);
            this.httpRequest.headers["Host"] = this.httpRequest.endpoint.host;
            resp.error.redirect = true;
            resp.error.retryable = true;
          }
        });
        add("RETRY_CHECK", "retry", function RETRY_CHECK(resp) {
          if (resp.error) {
            if (resp.error.redirect && resp.redirectCount < resp.maxRedirects) {
              resp.error.retryDelay = 0;
            } else if (resp.retryCount < resp.maxRetries) {
              resp.error.retryDelay = this.service.retryDelays(resp.retryCount, resp.error) || 0;
            }
          }
        });
        addAsync("RESET_RETRY_STATE", "afterRetry", function RESET_RETRY_STATE(resp, done) {
          var delay, willRetry = false;
          if (resp.error) {
            delay = resp.error.retryDelay || 0;
            if (resp.error.retryable && resp.retryCount < resp.maxRetries) {
              resp.retryCount++;
              willRetry = true;
            } else if (resp.error.redirect && resp.redirectCount < resp.maxRedirects) {
              resp.redirectCount++;
              willRetry = true;
            }
          }
          if (willRetry && delay >= 0) {
            resp.error = null;
            setTimeout(done, delay);
          } else {
            done();
          }
        });
      }),
      CorePost: new SequentialExecutor().addNamedListeners(function(add) {
        add("EXTRACT_REQUEST_ID", "extractData", AWS2.util.extractRequestId);
        add("EXTRACT_REQUEST_ID", "extractError", AWS2.util.extractRequestId);
        add("ENOTFOUND_ERROR", "httpError", function ENOTFOUND_ERROR(err) {
          function isDNSError(err2) {
            return err2.errno === "ENOTFOUND" || typeof err2.errno === "number" && typeof AWS2.util.getSystemErrorName === "function" && ["EAI_NONAME", "EAI_NODATA"].indexOf(AWS2.util.getSystemErrorName(err2.errno) >= 0);
          }
          if (err.code === "NetworkingError" && isDNSError(err)) {
            var message = "Inaccessible host: `" + err.hostname + "' at port `" + err.port + "'. This service may not be available in the `" + err.region + "' region.";
            this.response.error = AWS2.util.error(new Error(message), {
              code: "UnknownEndpoint",
              region: err.region,
              hostname: err.hostname,
              retryable: true,
              originalError: err
            });
          }
        });
      }),
      Logger: new SequentialExecutor().addNamedListeners(function(add) {
        add("LOG_REQUEST", "complete", function LOG_REQUEST(resp) {
          var req = resp.request;
          var logger = req.service.config.logger;
          if (!logger)
            return;
          function filterSensitiveLog(inputShape, shape) {
            if (!shape) {
              return shape;
            }
            if (inputShape.isSensitive) {
              return "***SensitiveInformation***";
            }
            switch (inputShape.type) {
              case "structure":
                var struct = {};
                AWS2.util.each(shape, function(subShapeName, subShape) {
                  if (Object.prototype.hasOwnProperty.call(inputShape.members, subShapeName)) {
                    struct[subShapeName] = filterSensitiveLog(inputShape.members[subShapeName], subShape);
                  } else {
                    struct[subShapeName] = subShape;
                  }
                });
                return struct;
              case "list":
                var list = [];
                AWS2.util.arrayEach(shape, function(subShape, index) {
                  list.push(filterSensitiveLog(inputShape.member, subShape));
                });
                return list;
              case "map":
                var map = {};
                AWS2.util.each(shape, function(key, value) {
                  map[key] = filterSensitiveLog(inputShape.value, value);
                });
                return map;
              default:
                return shape;
            }
          }
          function buildMessage() {
            var time = resp.request.service.getSkewCorrectedDate().getTime();
            var delta = (time - req.startTime.getTime()) / 1e3;
            var ansi = logger.isTTY ? true : false;
            var status = resp.httpResponse.statusCode;
            var censoredParams = req.params;
            if (req.service.api.operations && req.service.api.operations[req.operation] && req.service.api.operations[req.operation].input) {
              var inputShape = req.service.api.operations[req.operation].input;
              censoredParams = filterSensitiveLog(inputShape, req.params);
            }
            var params = require("util").inspect(censoredParams, true, null);
            var message = "";
            if (ansi)
              message += "\x1B[33m";
            message += "[AWS " + req.service.serviceIdentifier + " " + status;
            message += " " + delta.toString() + "s " + resp.retryCount + " retries]";
            if (ansi)
              message += "\x1B[0;1m";
            message += " " + AWS2.util.string.lowerFirst(req.operation);
            message += "(" + params + ")";
            if (ansi)
              message += "\x1B[0m";
            return message;
          }
          var line = buildMessage();
          if (typeof logger.log === "function") {
            logger.log(line);
          } else if (typeof logger.write === "function") {
            logger.write(line + "\n");
          }
        });
      }),
      Json: new SequentialExecutor().addNamedListeners(function(add) {
        var svc = require_json();
        add("BUILD", "build", svc.buildRequest);
        add("EXTRACT_DATA", "extractData", svc.extractData);
        add("EXTRACT_ERROR", "extractError", svc.extractError);
      }),
      Rest: new SequentialExecutor().addNamedListeners(function(add) {
        var svc = require_rest();
        add("BUILD", "build", svc.buildRequest);
        add("EXTRACT_DATA", "extractData", svc.extractData);
        add("EXTRACT_ERROR", "extractError", svc.extractError);
      }),
      RestJson: new SequentialExecutor().addNamedListeners(function(add) {
        var svc = require_rest_json();
        add("BUILD", "build", svc.buildRequest);
        add("EXTRACT_DATA", "extractData", svc.extractData);
        add("EXTRACT_ERROR", "extractError", svc.extractError);
        add("UNSET_CONTENT_LENGTH", "afterBuild", svc.unsetContentLength);
      }),
      RestXml: new SequentialExecutor().addNamedListeners(function(add) {
        var svc = require_rest_xml();
        add("BUILD", "build", svc.buildRequest);
        add("EXTRACT_DATA", "extractData", svc.extractData);
        add("EXTRACT_ERROR", "extractError", svc.extractError);
      }),
      Query: new SequentialExecutor().addNamedListeners(function(add) {
        var svc = require_query();
        add("BUILD", "build", svc.buildRequest);
        add("EXTRACT_DATA", "extractData", svc.extractData);
        add("EXTRACT_ERROR", "extractError", svc.extractError);
      })
    };
  }
});

// node_modules/aws-sdk/lib/state_machine.js
var require_state_machine = __commonJS({
  "node_modules/aws-sdk/lib/state_machine.js"(exports, module2) {
    function AcceptorStateMachine(states, state) {
      this.currentState = state || null;
      this.states = states || {};
    }
    AcceptorStateMachine.prototype.runTo = function runTo(finalState, done, bindObject, inputError) {
      if (typeof finalState === "function") {
        inputError = bindObject;
        bindObject = done;
        done = finalState;
        finalState = null;
      }
      var self = this;
      var state = self.states[self.currentState];
      state.fn.call(bindObject || self, inputError, function(err) {
        if (err) {
          if (state.fail)
            self.currentState = state.fail;
          else
            return done ? done.call(bindObject, err) : null;
        } else {
          if (state.accept)
            self.currentState = state.accept;
          else
            return done ? done.call(bindObject) : null;
        }
        if (self.currentState === finalState) {
          return done ? done.call(bindObject, err) : null;
        }
        self.runTo(finalState, done, bindObject, err);
      });
    };
    AcceptorStateMachine.prototype.addState = function addState(name, acceptState, failState, fn) {
      if (typeof acceptState === "function") {
        fn = acceptState;
        acceptState = null;
        failState = null;
      } else if (typeof failState === "function") {
        fn = failState;
        failState = null;
      }
      if (!this.currentState)
        this.currentState = name;
      this.states[name] = { accept: acceptState, fail: failState, fn };
      return this;
    };
    module2.exports = AcceptorStateMachine;
  }
});

// node_modules/jmespath/jmespath.js
var require_jmespath = __commonJS({
  "node_modules/jmespath/jmespath.js"(exports) {
    (function(exports2) {
      "use strict";
      function isArray(obj) {
        if (obj !== null) {
          return Object.prototype.toString.call(obj) === "[object Array]";
        } else {
          return false;
        }
      }
      function isObject(obj) {
        if (obj !== null) {
          return Object.prototype.toString.call(obj) === "[object Object]";
        } else {
          return false;
        }
      }
      function strictDeepEqual(first, second) {
        if (first === second) {
          return true;
        }
        var firstType = Object.prototype.toString.call(first);
        if (firstType !== Object.prototype.toString.call(second)) {
          return false;
        }
        if (isArray(first) === true) {
          if (first.length !== second.length) {
            return false;
          }
          for (var i = 0; i < first.length; i++) {
            if (strictDeepEqual(first[i], second[i]) === false) {
              return false;
            }
          }
          return true;
        }
        if (isObject(first) === true) {
          var keysSeen = {};
          for (var key in first) {
            if (hasOwnProperty.call(first, key)) {
              if (strictDeepEqual(first[key], second[key]) === false) {
                return false;
              }
              keysSeen[key] = true;
            }
          }
          for (var key2 in second) {
            if (hasOwnProperty.call(second, key2)) {
              if (keysSeen[key2] !== true) {
                return false;
              }
            }
          }
          return true;
        }
        return false;
      }
      function isFalse(obj) {
        if (obj === "" || obj === false || obj === null) {
          return true;
        } else if (isArray(obj) && obj.length === 0) {
          return true;
        } else if (isObject(obj)) {
          for (var key in obj) {
            if (obj.hasOwnProperty(key)) {
              return false;
            }
          }
          return true;
        } else {
          return false;
        }
      }
      function objValues(obj) {
        var keys = Object.keys(obj);
        var values = [];
        for (var i = 0; i < keys.length; i++) {
          values.push(obj[keys[i]]);
        }
        return values;
      }
      function merge(a, b) {
        var merged = {};
        for (var key in a) {
          merged[key] = a[key];
        }
        for (var key2 in b) {
          merged[key2] = b[key2];
        }
        return merged;
      }
      var trimLeft;
      if (typeof String.prototype.trimLeft === "function") {
        trimLeft = function(str) {
          return str.trimLeft();
        };
      } else {
        trimLeft = function(str) {
          return str.match(/^\s*(.*)/)[1];
        };
      }
      var TYPE_NUMBER = 0;
      var TYPE_ANY = 1;
      var TYPE_STRING = 2;
      var TYPE_ARRAY = 3;
      var TYPE_OBJECT = 4;
      var TYPE_BOOLEAN = 5;
      var TYPE_EXPREF = 6;
      var TYPE_NULL = 7;
      var TYPE_ARRAY_NUMBER = 8;
      var TYPE_ARRAY_STRING = 9;
      var TYPE_NAME_TABLE = {
        0: "number",
        1: "any",
        2: "string",
        3: "array",
        4: "object",
        5: "boolean",
        6: "expression",
        7: "null",
        8: "Array<number>",
        9: "Array<string>"
      };
      var TOK_EOF = "EOF";
      var TOK_UNQUOTEDIDENTIFIER = "UnquotedIdentifier";
      var TOK_QUOTEDIDENTIFIER = "QuotedIdentifier";
      var TOK_RBRACKET = "Rbracket";
      var TOK_RPAREN = "Rparen";
      var TOK_COMMA = "Comma";
      var TOK_COLON = "Colon";
      var TOK_RBRACE = "Rbrace";
      var TOK_NUMBER = "Number";
      var TOK_CURRENT = "Current";
      var TOK_EXPREF = "Expref";
      var TOK_PIPE = "Pipe";
      var TOK_OR = "Or";
      var TOK_AND = "And";
      var TOK_EQ = "EQ";
      var TOK_GT = "GT";
      var TOK_LT = "LT";
      var TOK_GTE = "GTE";
      var TOK_LTE = "LTE";
      var TOK_NE = "NE";
      var TOK_FLATTEN = "Flatten";
      var TOK_STAR = "Star";
      var TOK_FILTER = "Filter";
      var TOK_DOT = "Dot";
      var TOK_NOT = "Not";
      var TOK_LBRACE = "Lbrace";
      var TOK_LBRACKET = "Lbracket";
      var TOK_LPAREN = "Lparen";
      var TOK_LITERAL = "Literal";
      var basicTokens = {
        ".": TOK_DOT,
        "*": TOK_STAR,
        ",": TOK_COMMA,
        ":": TOK_COLON,
        "{": TOK_LBRACE,
        "}": TOK_RBRACE,
        "]": TOK_RBRACKET,
        "(": TOK_LPAREN,
        ")": TOK_RPAREN,
        "@": TOK_CURRENT
      };
      var operatorStartToken = {
        "<": true,
        ">": true,
        "=": true,
        "!": true
      };
      var skipChars = {
        " ": true,
        "	": true,
        "\n": true
      };
      function isAlpha(ch) {
        return ch >= "a" && ch <= "z" || ch >= "A" && ch <= "Z" || ch === "_";
      }
      function isNum(ch) {
        return ch >= "0" && ch <= "9" || ch === "-";
      }
      function isAlphaNum(ch) {
        return ch >= "a" && ch <= "z" || ch >= "A" && ch <= "Z" || ch >= "0" && ch <= "9" || ch === "_";
      }
      function Lexer() {
      }
      Lexer.prototype = {
        tokenize: function(stream) {
          var tokens = [];
          this._current = 0;
          var start;
          var identifier;
          var token;
          while (this._current < stream.length) {
            if (isAlpha(stream[this._current])) {
              start = this._current;
              identifier = this._consumeUnquotedIdentifier(stream);
              tokens.push({
                type: TOK_UNQUOTEDIDENTIFIER,
                value: identifier,
                start
              });
            } else if (basicTokens[stream[this._current]] !== void 0) {
              tokens.push({
                type: basicTokens[stream[this._current]],
                value: stream[this._current],
                start: this._current
              });
              this._current++;
            } else if (isNum(stream[this._current])) {
              token = this._consumeNumber(stream);
              tokens.push(token);
            } else if (stream[this._current] === "[") {
              token = this._consumeLBracket(stream);
              tokens.push(token);
            } else if (stream[this._current] === '"') {
              start = this._current;
              identifier = this._consumeQuotedIdentifier(stream);
              tokens.push({
                type: TOK_QUOTEDIDENTIFIER,
                value: identifier,
                start
              });
            } else if (stream[this._current] === "'") {
              start = this._current;
              identifier = this._consumeRawStringLiteral(stream);
              tokens.push({
                type: TOK_LITERAL,
                value: identifier,
                start
              });
            } else if (stream[this._current] === "`") {
              start = this._current;
              var literal = this._consumeLiteral(stream);
              tokens.push({
                type: TOK_LITERAL,
                value: literal,
                start
              });
            } else if (operatorStartToken[stream[this._current]] !== void 0) {
              tokens.push(this._consumeOperator(stream));
            } else if (skipChars[stream[this._current]] !== void 0) {
              this._current++;
            } else if (stream[this._current] === "&") {
              start = this._current;
              this._current++;
              if (stream[this._current] === "&") {
                this._current++;
                tokens.push({ type: TOK_AND, value: "&&", start });
              } else {
                tokens.push({ type: TOK_EXPREF, value: "&", start });
              }
            } else if (stream[this._current] === "|") {
              start = this._current;
              this._current++;
              if (stream[this._current] === "|") {
                this._current++;
                tokens.push({ type: TOK_OR, value: "||", start });
              } else {
                tokens.push({ type: TOK_PIPE, value: "|", start });
              }
            } else {
              var error = new Error("Unknown character:" + stream[this._current]);
              error.name = "LexerError";
              throw error;
            }
          }
          return tokens;
        },
        _consumeUnquotedIdentifier: function(stream) {
          var start = this._current;
          this._current++;
          while (this._current < stream.length && isAlphaNum(stream[this._current])) {
            this._current++;
          }
          return stream.slice(start, this._current);
        },
        _consumeQuotedIdentifier: function(stream) {
          var start = this._current;
          this._current++;
          var maxLength = stream.length;
          while (stream[this._current] !== '"' && this._current < maxLength) {
            var current = this._current;
            if (stream[current] === "\\" && (stream[current + 1] === "\\" || stream[current + 1] === '"')) {
              current += 2;
            } else {
              current++;
            }
            this._current = current;
          }
          this._current++;
          return JSON.parse(stream.slice(start, this._current));
        },
        _consumeRawStringLiteral: function(stream) {
          var start = this._current;
          this._current++;
          var maxLength = stream.length;
          while (stream[this._current] !== "'" && this._current < maxLength) {
            var current = this._current;
            if (stream[current] === "\\" && (stream[current + 1] === "\\" || stream[current + 1] === "'")) {
              current += 2;
            } else {
              current++;
            }
            this._current = current;
          }
          this._current++;
          var literal = stream.slice(start + 1, this._current - 1);
          return literal.replace("\\'", "'");
        },
        _consumeNumber: function(stream) {
          var start = this._current;
          this._current++;
          var maxLength = stream.length;
          while (isNum(stream[this._current]) && this._current < maxLength) {
            this._current++;
          }
          var value = parseInt(stream.slice(start, this._current));
          return { type: TOK_NUMBER, value, start };
        },
        _consumeLBracket: function(stream) {
          var start = this._current;
          this._current++;
          if (stream[this._current] === "?") {
            this._current++;
            return { type: TOK_FILTER, value: "[?", start };
          } else if (stream[this._current] === "]") {
            this._current++;
            return { type: TOK_FLATTEN, value: "[]", start };
          } else {
            return { type: TOK_LBRACKET, value: "[", start };
          }
        },
        _consumeOperator: function(stream) {
          var start = this._current;
          var startingChar = stream[start];
          this._current++;
          if (startingChar === "!") {
            if (stream[this._current] === "=") {
              this._current++;
              return { type: TOK_NE, value: "!=", start };
            } else {
              return { type: TOK_NOT, value: "!", start };
            }
          } else if (startingChar === "<") {
            if (stream[this._current] === "=") {
              this._current++;
              return { type: TOK_LTE, value: "<=", start };
            } else {
              return { type: TOK_LT, value: "<", start };
            }
          } else if (startingChar === ">") {
            if (stream[this._current] === "=") {
              this._current++;
              return { type: TOK_GTE, value: ">=", start };
            } else {
              return { type: TOK_GT, value: ">", start };
            }
          } else if (startingChar === "=") {
            if (stream[this._current] === "=") {
              this._current++;
              return { type: TOK_EQ, value: "==", start };
            }
          }
        },
        _consumeLiteral: function(stream) {
          this._current++;
          var start = this._current;
          var maxLength = stream.length;
          var literal;
          while (stream[this._current] !== "`" && this._current < maxLength) {
            var current = this._current;
            if (stream[current] === "\\" && (stream[current + 1] === "\\" || stream[current + 1] === "`")) {
              current += 2;
            } else {
              current++;
            }
            this._current = current;
          }
          var literalString = trimLeft(stream.slice(start, this._current));
          literalString = literalString.replace("\\`", "`");
          if (this._looksLikeJSON(literalString)) {
            literal = JSON.parse(literalString);
          } else {
            literal = JSON.parse('"' + literalString + '"');
          }
          this._current++;
          return literal;
        },
        _looksLikeJSON: function(literalString) {
          var startingChars = '[{"';
          var jsonLiterals = ["true", "false", "null"];
          var numberLooking = "-0123456789";
          if (literalString === "") {
            return false;
          } else if (startingChars.indexOf(literalString[0]) >= 0) {
            return true;
          } else if (jsonLiterals.indexOf(literalString) >= 0) {
            return true;
          } else if (numberLooking.indexOf(literalString[0]) >= 0) {
            try {
              JSON.parse(literalString);
              return true;
            } catch (ex) {
              return false;
            }
          } else {
            return false;
          }
        }
      };
      var bindingPower = {};
      bindingPower[TOK_EOF] = 0;
      bindingPower[TOK_UNQUOTEDIDENTIFIER] = 0;
      bindingPower[TOK_QUOTEDIDENTIFIER] = 0;
      bindingPower[TOK_RBRACKET] = 0;
      bindingPower[TOK_RPAREN] = 0;
      bindingPower[TOK_COMMA] = 0;
      bindingPower[TOK_RBRACE] = 0;
      bindingPower[TOK_NUMBER] = 0;
      bindingPower[TOK_CURRENT] = 0;
      bindingPower[TOK_EXPREF] = 0;
      bindingPower[TOK_PIPE] = 1;
      bindingPower[TOK_OR] = 2;
      bindingPower[TOK_AND] = 3;
      bindingPower[TOK_EQ] = 5;
      bindingPower[TOK_GT] = 5;
      bindingPower[TOK_LT] = 5;
      bindingPower[TOK_GTE] = 5;
      bindingPower[TOK_LTE] = 5;
      bindingPower[TOK_NE] = 5;
      bindingPower[TOK_FLATTEN] = 9;
      bindingPower[TOK_STAR] = 20;
      bindingPower[TOK_FILTER] = 21;
      bindingPower[TOK_DOT] = 40;
      bindingPower[TOK_NOT] = 45;
      bindingPower[TOK_LBRACE] = 50;
      bindingPower[TOK_LBRACKET] = 55;
      bindingPower[TOK_LPAREN] = 60;
      function Parser() {
      }
      Parser.prototype = {
        parse: function(expression) {
          this._loadTokens(expression);
          this.index = 0;
          var ast = this.expression(0);
          if (this._lookahead(0) !== TOK_EOF) {
            var t = this._lookaheadToken(0);
            var error = new Error(
              "Unexpected token type: " + t.type + ", value: " + t.value
            );
            error.name = "ParserError";
            throw error;
          }
          return ast;
        },
        _loadTokens: function(expression) {
          var lexer = new Lexer();
          var tokens = lexer.tokenize(expression);
          tokens.push({ type: TOK_EOF, value: "", start: expression.length });
          this.tokens = tokens;
        },
        expression: function(rbp) {
          var leftToken = this._lookaheadToken(0);
          this._advance();
          var left = this.nud(leftToken);
          var currentToken = this._lookahead(0);
          while (rbp < bindingPower[currentToken]) {
            this._advance();
            left = this.led(currentToken, left);
            currentToken = this._lookahead(0);
          }
          return left;
        },
        _lookahead: function(number) {
          return this.tokens[this.index + number].type;
        },
        _lookaheadToken: function(number) {
          return this.tokens[this.index + number];
        },
        _advance: function() {
          this.index++;
        },
        nud: function(token) {
          var left;
          var right;
          var expression;
          switch (token.type) {
            case TOK_LITERAL:
              return { type: "Literal", value: token.value };
            case TOK_UNQUOTEDIDENTIFIER:
              return { type: "Field", name: token.value };
            case TOK_QUOTEDIDENTIFIER:
              var node = { type: "Field", name: token.value };
              if (this._lookahead(0) === TOK_LPAREN) {
                throw new Error("Quoted identifier not allowed for function names.");
              }
              return node;
            case TOK_NOT:
              right = this.expression(bindingPower.Not);
              return { type: "NotExpression", children: [right] };
            case TOK_STAR:
              left = { type: "Identity" };
              right = null;
              if (this._lookahead(0) === TOK_RBRACKET) {
                right = { type: "Identity" };
              } else {
                right = this._parseProjectionRHS(bindingPower.Star);
              }
              return { type: "ValueProjection", children: [left, right] };
            case TOK_FILTER:
              return this.led(token.type, { type: "Identity" });
            case TOK_LBRACE:
              return this._parseMultiselectHash();
            case TOK_FLATTEN:
              left = { type: TOK_FLATTEN, children: [{ type: "Identity" }] };
              right = this._parseProjectionRHS(bindingPower.Flatten);
              return { type: "Projection", children: [left, right] };
            case TOK_LBRACKET:
              if (this._lookahead(0) === TOK_NUMBER || this._lookahead(0) === TOK_COLON) {
                right = this._parseIndexExpression();
                return this._projectIfSlice({ type: "Identity" }, right);
              } else if (this._lookahead(0) === TOK_STAR && this._lookahead(1) === TOK_RBRACKET) {
                this._advance();
                this._advance();
                right = this._parseProjectionRHS(bindingPower.Star);
                return {
                  type: "Projection",
                  children: [{ type: "Identity" }, right]
                };
              }
              return this._parseMultiselectList();
            case TOK_CURRENT:
              return { type: TOK_CURRENT };
            case TOK_EXPREF:
              expression = this.expression(bindingPower.Expref);
              return { type: "ExpressionReference", children: [expression] };
            case TOK_LPAREN:
              var args = [];
              while (this._lookahead(0) !== TOK_RPAREN) {
                if (this._lookahead(0) === TOK_CURRENT) {
                  expression = { type: TOK_CURRENT };
                  this._advance();
                } else {
                  expression = this.expression(0);
                }
                args.push(expression);
              }
              this._match(TOK_RPAREN);
              return args[0];
            default:
              this._errorToken(token);
          }
        },
        led: function(tokenName, left) {
          var right;
          switch (tokenName) {
            case TOK_DOT:
              var rbp = bindingPower.Dot;
              if (this._lookahead(0) !== TOK_STAR) {
                right = this._parseDotRHS(rbp);
                return { type: "Subexpression", children: [left, right] };
              }
              this._advance();
              right = this._parseProjectionRHS(rbp);
              return { type: "ValueProjection", children: [left, right] };
            case TOK_PIPE:
              right = this.expression(bindingPower.Pipe);
              return { type: TOK_PIPE, children: [left, right] };
            case TOK_OR:
              right = this.expression(bindingPower.Or);
              return { type: "OrExpression", children: [left, right] };
            case TOK_AND:
              right = this.expression(bindingPower.And);
              return { type: "AndExpression", children: [left, right] };
            case TOK_LPAREN:
              var name = left.name;
              var args = [];
              var expression, node;
              while (this._lookahead(0) !== TOK_RPAREN) {
                if (this._lookahead(0) === TOK_CURRENT) {
                  expression = { type: TOK_CURRENT };
                  this._advance();
                } else {
                  expression = this.expression(0);
                }
                if (this._lookahead(0) === TOK_COMMA) {
                  this._match(TOK_COMMA);
                }
                args.push(expression);
              }
              this._match(TOK_RPAREN);
              node = { type: "Function", name, children: args };
              return node;
            case TOK_FILTER:
              var condition = this.expression(0);
              this._match(TOK_RBRACKET);
              if (this._lookahead(0) === TOK_FLATTEN) {
                right = { type: "Identity" };
              } else {
                right = this._parseProjectionRHS(bindingPower.Filter);
              }
              return { type: "FilterProjection", children: [left, right, condition] };
            case TOK_FLATTEN:
              var leftNode = { type: TOK_FLATTEN, children: [left] };
              var rightNode = this._parseProjectionRHS(bindingPower.Flatten);
              return { type: "Projection", children: [leftNode, rightNode] };
            case TOK_EQ:
            case TOK_NE:
            case TOK_GT:
            case TOK_GTE:
            case TOK_LT:
            case TOK_LTE:
              return this._parseComparator(left, tokenName);
            case TOK_LBRACKET:
              var token = this._lookaheadToken(0);
              if (token.type === TOK_NUMBER || token.type === TOK_COLON) {
                right = this._parseIndexExpression();
                return this._projectIfSlice(left, right);
              }
              this._match(TOK_STAR);
              this._match(TOK_RBRACKET);
              right = this._parseProjectionRHS(bindingPower.Star);
              return { type: "Projection", children: [left, right] };
            default:
              this._errorToken(this._lookaheadToken(0));
          }
        },
        _match: function(tokenType) {
          if (this._lookahead(0) === tokenType) {
            this._advance();
          } else {
            var t = this._lookaheadToken(0);
            var error = new Error("Expected " + tokenType + ", got: " + t.type);
            error.name = "ParserError";
            throw error;
          }
        },
        _errorToken: function(token) {
          var error = new Error("Invalid token (" + token.type + '): "' + token.value + '"');
          error.name = "ParserError";
          throw error;
        },
        _parseIndexExpression: function() {
          if (this._lookahead(0) === TOK_COLON || this._lookahead(1) === TOK_COLON) {
            return this._parseSliceExpression();
          } else {
            var node = {
              type: "Index",
              value: this._lookaheadToken(0).value
            };
            this._advance();
            this._match(TOK_RBRACKET);
            return node;
          }
        },
        _projectIfSlice: function(left, right) {
          var indexExpr = { type: "IndexExpression", children: [left, right] };
          if (right.type === "Slice") {
            return {
              type: "Projection",
              children: [indexExpr, this._parseProjectionRHS(bindingPower.Star)]
            };
          } else {
            return indexExpr;
          }
        },
        _parseSliceExpression: function() {
          var parts = [null, null, null];
          var index = 0;
          var currentToken = this._lookahead(0);
          while (currentToken !== TOK_RBRACKET && index < 3) {
            if (currentToken === TOK_COLON) {
              index++;
              this._advance();
            } else if (currentToken === TOK_NUMBER) {
              parts[index] = this._lookaheadToken(0).value;
              this._advance();
            } else {
              var t = this._lookahead(0);
              var error = new Error("Syntax error, unexpected token: " + t.value + "(" + t.type + ")");
              error.name = "Parsererror";
              throw error;
            }
            currentToken = this._lookahead(0);
          }
          this._match(TOK_RBRACKET);
          return {
            type: "Slice",
            children: parts
          };
        },
        _parseComparator: function(left, comparator) {
          var right = this.expression(bindingPower[comparator]);
          return { type: "Comparator", name: comparator, children: [left, right] };
        },
        _parseDotRHS: function(rbp) {
          var lookahead = this._lookahead(0);
          var exprTokens = [TOK_UNQUOTEDIDENTIFIER, TOK_QUOTEDIDENTIFIER, TOK_STAR];
          if (exprTokens.indexOf(lookahead) >= 0) {
            return this.expression(rbp);
          } else if (lookahead === TOK_LBRACKET) {
            this._match(TOK_LBRACKET);
            return this._parseMultiselectList();
          } else if (lookahead === TOK_LBRACE) {
            this._match(TOK_LBRACE);
            return this._parseMultiselectHash();
          }
        },
        _parseProjectionRHS: function(rbp) {
          var right;
          if (bindingPower[this._lookahead(0)] < 10) {
            right = { type: "Identity" };
          } else if (this._lookahead(0) === TOK_LBRACKET) {
            right = this.expression(rbp);
          } else if (this._lookahead(0) === TOK_FILTER) {
            right = this.expression(rbp);
          } else if (this._lookahead(0) === TOK_DOT) {
            this._match(TOK_DOT);
            right = this._parseDotRHS(rbp);
          } else {
            var t = this._lookaheadToken(0);
            var error = new Error("Sytanx error, unexpected token: " + t.value + "(" + t.type + ")");
            error.name = "ParserError";
            throw error;
          }
          return right;
        },
        _parseMultiselectList: function() {
          var expressions = [];
          while (this._lookahead(0) !== TOK_RBRACKET) {
            var expression = this.expression(0);
            expressions.push(expression);
            if (this._lookahead(0) === TOK_COMMA) {
              this._match(TOK_COMMA);
              if (this._lookahead(0) === TOK_RBRACKET) {
                throw new Error("Unexpected token Rbracket");
              }
            }
          }
          this._match(TOK_RBRACKET);
          return { type: "MultiSelectList", children: expressions };
        },
        _parseMultiselectHash: function() {
          var pairs = [];
          var identifierTypes = [TOK_UNQUOTEDIDENTIFIER, TOK_QUOTEDIDENTIFIER];
          var keyToken, keyName, value, node;
          for (; ; ) {
            keyToken = this._lookaheadToken(0);
            if (identifierTypes.indexOf(keyToken.type) < 0) {
              throw new Error("Expecting an identifier token, got: " + keyToken.type);
            }
            keyName = keyToken.value;
            this._advance();
            this._match(TOK_COLON);
            value = this.expression(0);
            node = { type: "KeyValuePair", name: keyName, value };
            pairs.push(node);
            if (this._lookahead(0) === TOK_COMMA) {
              this._match(TOK_COMMA);
            } else if (this._lookahead(0) === TOK_RBRACE) {
              this._match(TOK_RBRACE);
              break;
            }
          }
          return { type: "MultiSelectHash", children: pairs };
        }
      };
      function TreeInterpreter(runtime) {
        this.runtime = runtime;
      }
      TreeInterpreter.prototype = {
        search: function(node, value) {
          return this.visit(node, value);
        },
        visit: function(node, value) {
          var matched, current, result, first, second, field, left, right, collected, i;
          switch (node.type) {
            case "Field":
              if (value !== null && isObject(value)) {
                field = value[node.name];
                if (field === void 0) {
                  return null;
                } else {
                  return field;
                }
              }
              return null;
            case "Subexpression":
              result = this.visit(node.children[0], value);
              for (i = 1; i < node.children.length; i++) {
                result = this.visit(node.children[1], result);
                if (result === null) {
                  return null;
                }
              }
              return result;
            case "IndexExpression":
              left = this.visit(node.children[0], value);
              right = this.visit(node.children[1], left);
              return right;
            case "Index":
              if (!isArray(value)) {
                return null;
              }
              var index = node.value;
              if (index < 0) {
                index = value.length + index;
              }
              result = value[index];
              if (result === void 0) {
                result = null;
              }
              return result;
            case "Slice":
              if (!isArray(value)) {
                return null;
              }
              var sliceParams = node.children.slice(0);
              var computed = this.computeSliceParams(value.length, sliceParams);
              var start = computed[0];
              var stop = computed[1];
              var step = computed[2];
              result = [];
              if (step > 0) {
                for (i = start; i < stop; i += step) {
                  result.push(value[i]);
                }
              } else {
                for (i = start; i > stop; i += step) {
                  result.push(value[i]);
                }
              }
              return result;
            case "Projection":
              var base = this.visit(node.children[0], value);
              if (!isArray(base)) {
                return null;
              }
              collected = [];
              for (i = 0; i < base.length; i++) {
                current = this.visit(node.children[1], base[i]);
                if (current !== null) {
                  collected.push(current);
                }
              }
              return collected;
            case "ValueProjection":
              base = this.visit(node.children[0], value);
              if (!isObject(base)) {
                return null;
              }
              collected = [];
              var values = objValues(base);
              for (i = 0; i < values.length; i++) {
                current = this.visit(node.children[1], values[i]);
                if (current !== null) {
                  collected.push(current);
                }
              }
              return collected;
            case "FilterProjection":
              base = this.visit(node.children[0], value);
              if (!isArray(base)) {
                return null;
              }
              var filtered = [];
              var finalResults = [];
              for (i = 0; i < base.length; i++) {
                matched = this.visit(node.children[2], base[i]);
                if (!isFalse(matched)) {
                  filtered.push(base[i]);
                }
              }
              for (var j = 0; j < filtered.length; j++) {
                current = this.visit(node.children[1], filtered[j]);
                if (current !== null) {
                  finalResults.push(current);
                }
              }
              return finalResults;
            case "Comparator":
              first = this.visit(node.children[0], value);
              second = this.visit(node.children[1], value);
              switch (node.name) {
                case TOK_EQ:
                  result = strictDeepEqual(first, second);
                  break;
                case TOK_NE:
                  result = !strictDeepEqual(first, second);
                  break;
                case TOK_GT:
                  result = first > second;
                  break;
                case TOK_GTE:
                  result = first >= second;
                  break;
                case TOK_LT:
                  result = first < second;
                  break;
                case TOK_LTE:
                  result = first <= second;
                  break;
                default:
                  throw new Error("Unknown comparator: " + node.name);
              }
              return result;
            case TOK_FLATTEN:
              var original = this.visit(node.children[0], value);
              if (!isArray(original)) {
                return null;
              }
              var merged = [];
              for (i = 0; i < original.length; i++) {
                current = original[i];
                if (isArray(current)) {
                  merged.push.apply(merged, current);
                } else {
                  merged.push(current);
                }
              }
              return merged;
            case "Identity":
              return value;
            case "MultiSelectList":
              if (value === null) {
                return null;
              }
              collected = [];
              for (i = 0; i < node.children.length; i++) {
                collected.push(this.visit(node.children[i], value));
              }
              return collected;
            case "MultiSelectHash":
              if (value === null) {
                return null;
              }
              collected = {};
              var child;
              for (i = 0; i < node.children.length; i++) {
                child = node.children[i];
                collected[child.name] = this.visit(child.value, value);
              }
              return collected;
            case "OrExpression":
              matched = this.visit(node.children[0], value);
              if (isFalse(matched)) {
                matched = this.visit(node.children[1], value);
              }
              return matched;
            case "AndExpression":
              first = this.visit(node.children[0], value);
              if (isFalse(first) === true) {
                return first;
              }
              return this.visit(node.children[1], value);
            case "NotExpression":
              first = this.visit(node.children[0], value);
              return isFalse(first);
            case "Literal":
              return node.value;
            case TOK_PIPE:
              left = this.visit(node.children[0], value);
              return this.visit(node.children[1], left);
            case TOK_CURRENT:
              return value;
            case "Function":
              var resolvedArgs = [];
              for (i = 0; i < node.children.length; i++) {
                resolvedArgs.push(this.visit(node.children[i], value));
              }
              return this.runtime.callFunction(node.name, resolvedArgs);
            case "ExpressionReference":
              var refNode = node.children[0];
              refNode.jmespathType = TOK_EXPREF;
              return refNode;
            default:
              throw new Error("Unknown node type: " + node.type);
          }
        },
        computeSliceParams: function(arrayLength, sliceParams) {
          var start = sliceParams[0];
          var stop = sliceParams[1];
          var step = sliceParams[2];
          var computed = [null, null, null];
          if (step === null) {
            step = 1;
          } else if (step === 0) {
            var error = new Error("Invalid slice, step cannot be 0");
            error.name = "RuntimeError";
            throw error;
          }
          var stepValueNegative = step < 0 ? true : false;
          if (start === null) {
            start = stepValueNegative ? arrayLength - 1 : 0;
          } else {
            start = this.capSliceRange(arrayLength, start, step);
          }
          if (stop === null) {
            stop = stepValueNegative ? -1 : arrayLength;
          } else {
            stop = this.capSliceRange(arrayLength, stop, step);
          }
          computed[0] = start;
          computed[1] = stop;
          computed[2] = step;
          return computed;
        },
        capSliceRange: function(arrayLength, actualValue, step) {
          if (actualValue < 0) {
            actualValue += arrayLength;
            if (actualValue < 0) {
              actualValue = step < 0 ? -1 : 0;
            }
          } else if (actualValue >= arrayLength) {
            actualValue = step < 0 ? arrayLength - 1 : arrayLength;
          }
          return actualValue;
        }
      };
      function Runtime(interpreter) {
        this._interpreter = interpreter;
        this.functionTable = {
          // name: [function, <signature>]
          // The <signature> can be:
          //
          // {
          //   args: [[type1, type2], [type1, type2]],
          //   variadic: true|false
          // }
          //
          // Each arg in the arg list is a list of valid types
          // (if the function is overloaded and supports multiple
          // types.  If the type is "any" then no type checking
          // occurs on the argument.  Variadic is optional
          // and if not provided is assumed to be false.
          abs: { _func: this._functionAbs, _signature: [{ types: [TYPE_NUMBER] }] },
          avg: { _func: this._functionAvg, _signature: [{ types: [TYPE_ARRAY_NUMBER] }] },
          ceil: { _func: this._functionCeil, _signature: [{ types: [TYPE_NUMBER] }] },
          contains: {
            _func: this._functionContains,
            _signature: [
              { types: [TYPE_STRING, TYPE_ARRAY] },
              { types: [TYPE_ANY] }
            ]
          },
          "ends_with": {
            _func: this._functionEndsWith,
            _signature: [{ types: [TYPE_STRING] }, { types: [TYPE_STRING] }]
          },
          floor: { _func: this._functionFloor, _signature: [{ types: [TYPE_NUMBER] }] },
          length: {
            _func: this._functionLength,
            _signature: [{ types: [TYPE_STRING, TYPE_ARRAY, TYPE_OBJECT] }]
          },
          map: {
            _func: this._functionMap,
            _signature: [{ types: [TYPE_EXPREF] }, { types: [TYPE_ARRAY] }]
          },
          max: {
            _func: this._functionMax,
            _signature: [{ types: [TYPE_ARRAY_NUMBER, TYPE_ARRAY_STRING] }]
          },
          "merge": {
            _func: this._functionMerge,
            _signature: [{ types: [TYPE_OBJECT], variadic: true }]
          },
          "max_by": {
            _func: this._functionMaxBy,
            _signature: [{ types: [TYPE_ARRAY] }, { types: [TYPE_EXPREF] }]
          },
          sum: { _func: this._functionSum, _signature: [{ types: [TYPE_ARRAY_NUMBER] }] },
          "starts_with": {
            _func: this._functionStartsWith,
            _signature: [{ types: [TYPE_STRING] }, { types: [TYPE_STRING] }]
          },
          min: {
            _func: this._functionMin,
            _signature: [{ types: [TYPE_ARRAY_NUMBER, TYPE_ARRAY_STRING] }]
          },
          "min_by": {
            _func: this._functionMinBy,
            _signature: [{ types: [TYPE_ARRAY] }, { types: [TYPE_EXPREF] }]
          },
          type: { _func: this._functionType, _signature: [{ types: [TYPE_ANY] }] },
          keys: { _func: this._functionKeys, _signature: [{ types: [TYPE_OBJECT] }] },
          values: { _func: this._functionValues, _signature: [{ types: [TYPE_OBJECT] }] },
          sort: { _func: this._functionSort, _signature: [{ types: [TYPE_ARRAY_STRING, TYPE_ARRAY_NUMBER] }] },
          "sort_by": {
            _func: this._functionSortBy,
            _signature: [{ types: [TYPE_ARRAY] }, { types: [TYPE_EXPREF] }]
          },
          join: {
            _func: this._functionJoin,
            _signature: [
              { types: [TYPE_STRING] },
              { types: [TYPE_ARRAY_STRING] }
            ]
          },
          reverse: {
            _func: this._functionReverse,
            _signature: [{ types: [TYPE_STRING, TYPE_ARRAY] }]
          },
          "to_array": { _func: this._functionToArray, _signature: [{ types: [TYPE_ANY] }] },
          "to_string": { _func: this._functionToString, _signature: [{ types: [TYPE_ANY] }] },
          "to_number": { _func: this._functionToNumber, _signature: [{ types: [TYPE_ANY] }] },
          "not_null": {
            _func: this._functionNotNull,
            _signature: [{ types: [TYPE_ANY], variadic: true }]
          }
        };
      }
      Runtime.prototype = {
        callFunction: function(name, resolvedArgs) {
          var functionEntry = this.functionTable[name];
          if (functionEntry === void 0) {
            throw new Error("Unknown function: " + name + "()");
          }
          this._validateArgs(name, resolvedArgs, functionEntry._signature);
          return functionEntry._func.call(this, resolvedArgs);
        },
        _validateArgs: function(name, args, signature) {
          var pluralized;
          if (signature[signature.length - 1].variadic) {
            if (args.length < signature.length) {
              pluralized = signature.length === 1 ? " argument" : " arguments";
              throw new Error("ArgumentError: " + name + "() takes at least" + signature.length + pluralized + " but received " + args.length);
            }
          } else if (args.length !== signature.length) {
            pluralized = signature.length === 1 ? " argument" : " arguments";
            throw new Error("ArgumentError: " + name + "() takes " + signature.length + pluralized + " but received " + args.length);
          }
          var currentSpec;
          var actualType;
          var typeMatched;
          for (var i = 0; i < signature.length; i++) {
            typeMatched = false;
            currentSpec = signature[i].types;
            actualType = this._getTypeName(args[i]);
            for (var j = 0; j < currentSpec.length; j++) {
              if (this._typeMatches(actualType, currentSpec[j], args[i])) {
                typeMatched = true;
                break;
              }
            }
            if (!typeMatched) {
              var expected = currentSpec.map(function(typeIdentifier) {
                return TYPE_NAME_TABLE[typeIdentifier];
              }).join(",");
              throw new Error("TypeError: " + name + "() expected argument " + (i + 1) + " to be type " + expected + " but received type " + TYPE_NAME_TABLE[actualType] + " instead.");
            }
          }
        },
        _typeMatches: function(actual, expected, argValue) {
          if (expected === TYPE_ANY) {
            return true;
          }
          if (expected === TYPE_ARRAY_STRING || expected === TYPE_ARRAY_NUMBER || expected === TYPE_ARRAY) {
            if (expected === TYPE_ARRAY) {
              return actual === TYPE_ARRAY;
            } else if (actual === TYPE_ARRAY) {
              var subtype;
              if (expected === TYPE_ARRAY_NUMBER) {
                subtype = TYPE_NUMBER;
              } else if (expected === TYPE_ARRAY_STRING) {
                subtype = TYPE_STRING;
              }
              for (var i = 0; i < argValue.length; i++) {
                if (!this._typeMatches(
                  this._getTypeName(argValue[i]),
                  subtype,
                  argValue[i]
                )) {
                  return false;
                }
              }
              return true;
            }
          } else {
            return actual === expected;
          }
        },
        _getTypeName: function(obj) {
          switch (Object.prototype.toString.call(obj)) {
            case "[object String]":
              return TYPE_STRING;
            case "[object Number]":
              return TYPE_NUMBER;
            case "[object Array]":
              return TYPE_ARRAY;
            case "[object Boolean]":
              return TYPE_BOOLEAN;
            case "[object Null]":
              return TYPE_NULL;
            case "[object Object]":
              if (obj.jmespathType === TOK_EXPREF) {
                return TYPE_EXPREF;
              } else {
                return TYPE_OBJECT;
              }
          }
        },
        _functionStartsWith: function(resolvedArgs) {
          return resolvedArgs[0].lastIndexOf(resolvedArgs[1]) === 0;
        },
        _functionEndsWith: function(resolvedArgs) {
          var searchStr = resolvedArgs[0];
          var suffix = resolvedArgs[1];
          return searchStr.indexOf(suffix, searchStr.length - suffix.length) !== -1;
        },
        _functionReverse: function(resolvedArgs) {
          var typeName = this._getTypeName(resolvedArgs[0]);
          if (typeName === TYPE_STRING) {
            var originalStr = resolvedArgs[0];
            var reversedStr = "";
            for (var i = originalStr.length - 1; i >= 0; i--) {
              reversedStr += originalStr[i];
            }
            return reversedStr;
          } else {
            var reversedArray = resolvedArgs[0].slice(0);
            reversedArray.reverse();
            return reversedArray;
          }
        },
        _functionAbs: function(resolvedArgs) {
          return Math.abs(resolvedArgs[0]);
        },
        _functionCeil: function(resolvedArgs) {
          return Math.ceil(resolvedArgs[0]);
        },
        _functionAvg: function(resolvedArgs) {
          var sum = 0;
          var inputArray = resolvedArgs[0];
          for (var i = 0; i < inputArray.length; i++) {
            sum += inputArray[i];
          }
          return sum / inputArray.length;
        },
        _functionContains: function(resolvedArgs) {
          return resolvedArgs[0].indexOf(resolvedArgs[1]) >= 0;
        },
        _functionFloor: function(resolvedArgs) {
          return Math.floor(resolvedArgs[0]);
        },
        _functionLength: function(resolvedArgs) {
          if (!isObject(resolvedArgs[0])) {
            return resolvedArgs[0].length;
          } else {
            return Object.keys(resolvedArgs[0]).length;
          }
        },
        _functionMap: function(resolvedArgs) {
          var mapped = [];
          var interpreter = this._interpreter;
          var exprefNode = resolvedArgs[0];
          var elements = resolvedArgs[1];
          for (var i = 0; i < elements.length; i++) {
            mapped.push(interpreter.visit(exprefNode, elements[i]));
          }
          return mapped;
        },
        _functionMerge: function(resolvedArgs) {
          var merged = {};
          for (var i = 0; i < resolvedArgs.length; i++) {
            var current = resolvedArgs[i];
            for (var key in current) {
              merged[key] = current[key];
            }
          }
          return merged;
        },
        _functionMax: function(resolvedArgs) {
          if (resolvedArgs[0].length > 0) {
            var typeName = this._getTypeName(resolvedArgs[0][0]);
            if (typeName === TYPE_NUMBER) {
              return Math.max.apply(Math, resolvedArgs[0]);
            } else {
              var elements = resolvedArgs[0];
              var maxElement = elements[0];
              for (var i = 1; i < elements.length; i++) {
                if (maxElement.localeCompare(elements[i]) < 0) {
                  maxElement = elements[i];
                }
              }
              return maxElement;
            }
          } else {
            return null;
          }
        },
        _functionMin: function(resolvedArgs) {
          if (resolvedArgs[0].length > 0) {
            var typeName = this._getTypeName(resolvedArgs[0][0]);
            if (typeName === TYPE_NUMBER) {
              return Math.min.apply(Math, resolvedArgs[0]);
            } else {
              var elements = resolvedArgs[0];
              var minElement = elements[0];
              for (var i = 1; i < elements.length; i++) {
                if (elements[i].localeCompare(minElement) < 0) {
                  minElement = elements[i];
                }
              }
              return minElement;
            }
          } else {
            return null;
          }
        },
        _functionSum: function(resolvedArgs) {
          var sum = 0;
          var listToSum = resolvedArgs[0];
          for (var i = 0; i < listToSum.length; i++) {
            sum += listToSum[i];
          }
          return sum;
        },
        _functionType: function(resolvedArgs) {
          switch (this._getTypeName(resolvedArgs[0])) {
            case TYPE_NUMBER:
              return "number";
            case TYPE_STRING:
              return "string";
            case TYPE_ARRAY:
              return "array";
            case TYPE_OBJECT:
              return "object";
            case TYPE_BOOLEAN:
              return "boolean";
            case TYPE_EXPREF:
              return "expref";
            case TYPE_NULL:
              return "null";
          }
        },
        _functionKeys: function(resolvedArgs) {
          return Object.keys(resolvedArgs[0]);
        },
        _functionValues: function(resolvedArgs) {
          var obj = resolvedArgs[0];
          var keys = Object.keys(obj);
          var values = [];
          for (var i = 0; i < keys.length; i++) {
            values.push(obj[keys[i]]);
          }
          return values;
        },
        _functionJoin: function(resolvedArgs) {
          var joinChar = resolvedArgs[0];
          var listJoin = resolvedArgs[1];
          return listJoin.join(joinChar);
        },
        _functionToArray: function(resolvedArgs) {
          if (this._getTypeName(resolvedArgs[0]) === TYPE_ARRAY) {
            return resolvedArgs[0];
          } else {
            return [resolvedArgs[0]];
          }
        },
        _functionToString: function(resolvedArgs) {
          if (this._getTypeName(resolvedArgs[0]) === TYPE_STRING) {
            return resolvedArgs[0];
          } else {
            return JSON.stringify(resolvedArgs[0]);
          }
        },
        _functionToNumber: function(resolvedArgs) {
          var typeName = this._getTypeName(resolvedArgs[0]);
          var convertedValue;
          if (typeName === TYPE_NUMBER) {
            return resolvedArgs[0];
          } else if (typeName === TYPE_STRING) {
            convertedValue = +resolvedArgs[0];
            if (!isNaN(convertedValue)) {
              return convertedValue;
            }
          }
          return null;
        },
        _functionNotNull: function(resolvedArgs) {
          for (var i = 0; i < resolvedArgs.length; i++) {
            if (this._getTypeName(resolvedArgs[i]) !== TYPE_NULL) {
              return resolvedArgs[i];
            }
          }
          return null;
        },
        _functionSort: function(resolvedArgs) {
          var sortedArray = resolvedArgs[0].slice(0);
          sortedArray.sort();
          return sortedArray;
        },
        _functionSortBy: function(resolvedArgs) {
          var sortedArray = resolvedArgs[0].slice(0);
          if (sortedArray.length === 0) {
            return sortedArray;
          }
          var interpreter = this._interpreter;
          var exprefNode = resolvedArgs[1];
          var requiredType = this._getTypeName(
            interpreter.visit(exprefNode, sortedArray[0])
          );
          if ([TYPE_NUMBER, TYPE_STRING].indexOf(requiredType) < 0) {
            throw new Error("TypeError");
          }
          var that = this;
          var decorated = [];
          for (var i = 0; i < sortedArray.length; i++) {
            decorated.push([i, sortedArray[i]]);
          }
          decorated.sort(function(a, b) {
            var exprA = interpreter.visit(exprefNode, a[1]);
            var exprB = interpreter.visit(exprefNode, b[1]);
            if (that._getTypeName(exprA) !== requiredType) {
              throw new Error(
                "TypeError: expected " + requiredType + ", received " + that._getTypeName(exprA)
              );
            } else if (that._getTypeName(exprB) !== requiredType) {
              throw new Error(
                "TypeError: expected " + requiredType + ", received " + that._getTypeName(exprB)
              );
            }
            if (exprA > exprB) {
              return 1;
            } else if (exprA < exprB) {
              return -1;
            } else {
              return a[0] - b[0];
            }
          });
          for (var j = 0; j < decorated.length; j++) {
            sortedArray[j] = decorated[j][1];
          }
          return sortedArray;
        },
        _functionMaxBy: function(resolvedArgs) {
          var exprefNode = resolvedArgs[1];
          var resolvedArray = resolvedArgs[0];
          var keyFunction = this.createKeyFunction(exprefNode, [TYPE_NUMBER, TYPE_STRING]);
          var maxNumber = -Infinity;
          var maxRecord;
          var current;
          for (var i = 0; i < resolvedArray.length; i++) {
            current = keyFunction(resolvedArray[i]);
            if (current > maxNumber) {
              maxNumber = current;
              maxRecord = resolvedArray[i];
            }
          }
          return maxRecord;
        },
        _functionMinBy: function(resolvedArgs) {
          var exprefNode = resolvedArgs[1];
          var resolvedArray = resolvedArgs[0];
          var keyFunction = this.createKeyFunction(exprefNode, [TYPE_NUMBER, TYPE_STRING]);
          var minNumber = Infinity;
          var minRecord;
          var current;
          for (var i = 0; i < resolvedArray.length; i++) {
            current = keyFunction(resolvedArray[i]);
            if (current < minNumber) {
              minNumber = current;
              minRecord = resolvedArray[i];
            }
          }
          return minRecord;
        },
        createKeyFunction: function(exprefNode, allowedTypes) {
          var that = this;
          var interpreter = this._interpreter;
          var keyFunc = function(x) {
            var current = interpreter.visit(exprefNode, x);
            if (allowedTypes.indexOf(that._getTypeName(current)) < 0) {
              var msg = "TypeError: expected one of " + allowedTypes + ", received " + that._getTypeName(current);
              throw new Error(msg);
            }
            return current;
          };
          return keyFunc;
        }
      };
      function compile(stream) {
        var parser = new Parser();
        var ast = parser.parse(stream);
        return ast;
      }
      function tokenize(stream) {
        var lexer = new Lexer();
        return lexer.tokenize(stream);
      }
      function search(data, expression) {
        var parser = new Parser();
        var runtime = new Runtime();
        var interpreter = new TreeInterpreter(runtime);
        runtime._interpreter = interpreter;
        var node = parser.parse(expression);
        return interpreter.search(node, data);
      }
      exports2.tokenize = tokenize;
      exports2.compile = compile;
      exports2.search = search;
      exports2.strictDeepEqual = strictDeepEqual;
    })(typeof exports === "undefined" ? exports.jmespath = {} : exports);
  }
});

// node_modules/aws-sdk/lib/request.js
var require_request = __commonJS({
  "node_modules/aws-sdk/lib/request.js"() {
    var AWS2 = require_core();
    var AcceptorStateMachine = require_state_machine();
    var inherit = AWS2.util.inherit;
    var domain = AWS2.util.domain;
    var jmespath = require_jmespath();
    var hardErrorStates = { success: 1, error: 1, complete: 1 };
    function isTerminalState(machine) {
      return Object.prototype.hasOwnProperty.call(hardErrorStates, machine._asm.currentState);
    }
    var fsm = new AcceptorStateMachine();
    fsm.setupStates = function() {
      var transition = function(_, done) {
        var self = this;
        self._haltHandlersOnError = false;
        self.emit(self._asm.currentState, function(err) {
          if (err) {
            if (isTerminalState(self)) {
              if (domain && self.domain instanceof domain.Domain) {
                err.domainEmitter = self;
                err.domain = self.domain;
                err.domainThrown = false;
                self.domain.emit("error", err);
              } else {
                throw err;
              }
            } else {
              self.response.error = err;
              done(err);
            }
          } else {
            done(self.response.error);
          }
        });
      };
      this.addState("validate", "build", "error", transition);
      this.addState("build", "afterBuild", "restart", transition);
      this.addState("afterBuild", "sign", "restart", transition);
      this.addState("sign", "send", "retry", transition);
      this.addState("retry", "afterRetry", "afterRetry", transition);
      this.addState("afterRetry", "sign", "error", transition);
      this.addState("send", "validateResponse", "retry", transition);
      this.addState("validateResponse", "extractData", "extractError", transition);
      this.addState("extractError", "extractData", "retry", transition);
      this.addState("extractData", "success", "retry", transition);
      this.addState("restart", "build", "error", transition);
      this.addState("success", "complete", "complete", transition);
      this.addState("error", "complete", "complete", transition);
      this.addState("complete", null, null, transition);
    };
    fsm.setupStates();
    AWS2.Request = inherit({
      /**
       * Creates a request for an operation on a given service with
       * a set of input parameters.
       *
       * @param service [AWS.Service] the service to perform the operation on
       * @param operation [String] the operation to perform on the service
       * @param params [Object] parameters to send to the operation.
       *   See the operation's documentation for the format of the
       *   parameters.
       */
      constructor: function Request(service, operation, params) {
        var endpoint = service.endpoint;
        var region = service.config.region;
        var customUserAgent = service.config.customUserAgent;
        if (service.signingRegion) {
          region = service.signingRegion;
        } else if (service.isGlobalEndpoint) {
          region = "us-east-1";
        }
        this.domain = domain && domain.active;
        this.service = service;
        this.operation = operation;
        this.params = params || {};
        this.httpRequest = new AWS2.HttpRequest(endpoint, region);
        this.httpRequest.appendToUserAgent(customUserAgent);
        this.startTime = service.getSkewCorrectedDate();
        this.response = new AWS2.Response(this);
        this._asm = new AcceptorStateMachine(fsm.states, "validate");
        this._haltHandlersOnError = false;
        AWS2.SequentialExecutor.call(this);
        this.emit = this.emitEvent;
      },
      /**
       * @!group Sending a Request
       */
      /**
       * @overload send(callback = null)
       *   Sends the request object.
       *
       *   @callback callback function(err, data)
       *     If a callback is supplied, it is called when a response is returned
       *     from the service.
       *     @context [AWS.Request] the request object being sent.
       *     @param err [Error] the error object returned from the request.
       *       Set to `null` if the request is successful.
       *     @param data [Object] the de-serialized data returned from
       *       the request. Set to `null` if a request error occurs.
       *   @example Sending a request with a callback
       *     request = s3.putObject({Bucket: 'bucket', Key: 'key'});
       *     request.send(function(err, data) { console.log(err, data); });
       *   @example Sending a request with no callback (using event handlers)
       *     request = s3.putObject({Bucket: 'bucket', Key: 'key'});
       *     request.on('complete', function(response) { ... }); // register a callback
       *     request.send();
       */
      send: function send(callback) {
        if (callback) {
          this.httpRequest.appendToUserAgent("callback");
          this.on("complete", function(resp) {
            callback.call(resp, resp.error, resp.data);
          });
        }
        this.runTo();
        return this.response;
      },
      /**
       * @!method  promise()
       *   Sends the request and returns a 'thenable' promise.
       *
       *   Two callbacks can be provided to the `then` method on the returned promise.
       *   The first callback will be called if the promise is fulfilled, and the second
       *   callback will be called if the promise is rejected.
       *   @callback fulfilledCallback function(data)
       *     Called if the promise is fulfilled.
       *     @param data [Object] the de-serialized data returned from the request.
       *   @callback rejectedCallback function(error)
       *     Called if the promise is rejected.
       *     @param error [Error] the error object returned from the request.
       *   @return [Promise] A promise that represents the state of the request.
       *   @example Sending a request using promises.
       *     var request = s3.putObject({Bucket: 'bucket', Key: 'key'});
       *     var result = request.promise();
       *     result.then(function(data) { ... }, function(error) { ... });
       */
      /**
       * @api private
       */
      build: function build(callback) {
        return this.runTo("send", callback);
      },
      /**
       * @api private
       */
      runTo: function runTo(state, done) {
        this._asm.runTo(state, done, this);
        return this;
      },
      /**
       * Aborts a request, emitting the error and complete events.
       *
       * @!macro nobrowser
       * @example Aborting a request after sending
       *   var params = {
       *     Bucket: 'bucket', Key: 'key',
       *     Body: Buffer.alloc(1024 * 1024 * 5) // 5MB payload
       *   };
       *   var request = s3.putObject(params);
       *   request.send(function (err, data) {
       *     if (err) console.log("Error:", err.code, err.message);
       *     else console.log(data);
       *   });
       *
       *   // abort request in 1 second
       *   setTimeout(request.abort.bind(request), 1000);
       *
       *   // prints "Error: RequestAbortedError Request aborted by user"
       * @return [AWS.Request] the same request object, for chaining.
       * @since v1.4.0
       */
      abort: function abort() {
        this.removeAllListeners("validateResponse");
        this.removeAllListeners("extractError");
        this.on("validateResponse", function addAbortedError(resp) {
          resp.error = AWS2.util.error(new Error("Request aborted by user"), {
            code: "RequestAbortedError",
            retryable: false
          });
        });
        if (this.httpRequest.stream && !this.httpRequest.stream.didCallback) {
          this.httpRequest.stream.abort();
          if (this.httpRequest._abortCallback) {
            this.httpRequest._abortCallback();
          } else {
            this.removeAllListeners("send");
          }
        }
        return this;
      },
      /**
       * Iterates over each page of results given a pageable request, calling
       * the provided callback with each page of data. After all pages have been
       * retrieved, the callback is called with `null` data.
       *
       * @note This operation can generate multiple requests to a service.
       * @example Iterating over multiple pages of objects in an S3 bucket
       *   var pages = 1;
       *   s3.listObjects().eachPage(function(err, data) {
       *     if (err) return;
       *     console.log("Page", pages++);
       *     console.log(data);
       *   });
       * @example Iterating over multiple pages with an asynchronous callback
       *   s3.listObjects(params).eachPage(function(err, data, done) {
       *     doSomethingAsyncAndOrExpensive(function() {
       *       // The next page of results isn't fetched until done is called
       *       done();
       *     });
       *   });
       * @callback callback function(err, data, [doneCallback])
       *   Called with each page of resulting data from the request. If the
       *   optional `doneCallback` is provided in the function, it must be called
       *   when the callback is complete.
       *
       *   @param err [Error] an error object, if an error occurred.
       *   @param data [Object] a single page of response data. If there is no
       *     more data, this object will be `null`.
       *   @param doneCallback [Function] an optional done callback. If this
       *     argument is defined in the function declaration, it should be called
       *     when the next page is ready to be retrieved. This is useful for
       *     controlling serial pagination across asynchronous operations.
       *   @return [Boolean] if the callback returns `false`, pagination will
       *     stop.
       *
       * @see AWS.Request.eachItem
       * @see AWS.Response.nextPage
       * @since v1.4.0
       */
      eachPage: function eachPage(callback) {
        callback = AWS2.util.fn.makeAsync(callback, 3);
        function wrappedCallback(response) {
          callback.call(response, response.error, response.data, function(result) {
            if (result === false)
              return;
            if (response.hasNextPage()) {
              response.nextPage().on("complete", wrappedCallback).send();
            } else {
              callback.call(response, null, null, AWS2.util.fn.noop);
            }
          });
        }
        this.on("complete", wrappedCallback).send();
      },
      /**
       * Enumerates over individual items of a request, paging the responses if
       * necessary.
       *
       * @api experimental
       * @since v1.4.0
       */
      eachItem: function eachItem(callback) {
        var self = this;
        function wrappedCallback(err, data) {
          if (err)
            return callback(err, null);
          if (data === null)
            return callback(null, null);
          var config = self.service.paginationConfig(self.operation);
          var resultKey = config.resultKey;
          if (Array.isArray(resultKey))
            resultKey = resultKey[0];
          var items = jmespath.search(data, resultKey);
          var continueIteration = true;
          AWS2.util.arrayEach(items, function(item) {
            continueIteration = callback(null, item);
            if (continueIteration === false) {
              return AWS2.util.abort;
            }
          });
          return continueIteration;
        }
        this.eachPage(wrappedCallback);
      },
      /**
       * @return [Boolean] whether the operation can return multiple pages of
       *   response data.
       * @see AWS.Response.eachPage
       * @since v1.4.0
       */
      isPageable: function isPageable() {
        return this.service.paginationConfig(this.operation) ? true : false;
      },
      /**
       * Sends the request and converts the request object into a readable stream
       * that can be read from or piped into a writable stream.
       *
       * @note The data read from a readable stream contains only
       *   the raw HTTP body contents.
       * @example Manually reading from a stream
       *   request.createReadStream().on('data', function(data) {
       *     console.log("Got data:", data.toString());
       *   });
       * @example Piping a request body into a file
       *   var out = fs.createWriteStream('/path/to/outfile.jpg');
       *   s3.service.getObject(params).createReadStream().pipe(out);
       * @return [Stream] the readable stream object that can be piped
       *   or read from (by registering 'data' event listeners).
       * @!macro nobrowser
       */
      createReadStream: function createReadStream() {
        var streams = AWS2.util.stream;
        var req = this;
        var stream = null;
        if (AWS2.HttpClient.streamsApiVersion === 2) {
          stream = new streams.PassThrough();
          process.nextTick(function() {
            req.send();
          });
        } else {
          stream = new streams.Stream();
          stream.readable = true;
          stream.sent = false;
          stream.on("newListener", function(event) {
            if (!stream.sent && event === "data") {
              stream.sent = true;
              process.nextTick(function() {
                req.send();
              });
            }
          });
        }
        this.on("error", function(err) {
          stream.emit("error", err);
        });
        this.on("httpHeaders", function streamHeaders(statusCode, headers, resp) {
          if (statusCode < 300) {
            req.removeListener("httpData", AWS2.EventListeners.Core.HTTP_DATA);
            req.removeListener("httpError", AWS2.EventListeners.Core.HTTP_ERROR);
            req.on("httpError", function streamHttpError(error) {
              resp.error = error;
              resp.error.retryable = false;
            });
            var shouldCheckContentLength = false;
            var expectedLen;
            if (req.httpRequest.method !== "HEAD") {
              expectedLen = parseInt(headers["content-length"], 10);
            }
            if (expectedLen !== void 0 && !isNaN(expectedLen) && expectedLen >= 0) {
              shouldCheckContentLength = true;
              var receivedLen = 0;
            }
            var checkContentLengthAndEmit = function checkContentLengthAndEmit2() {
              if (shouldCheckContentLength && receivedLen !== expectedLen) {
                stream.emit("error", AWS2.util.error(
                  new Error("Stream content length mismatch. Received " + receivedLen + " of " + expectedLen + " bytes."),
                  { code: "StreamContentLengthMismatch" }
                ));
              } else if (AWS2.HttpClient.streamsApiVersion === 2) {
                stream.end();
              } else {
                stream.emit("end");
              }
            };
            var httpStream = resp.httpResponse.createUnbufferedStream();
            if (AWS2.HttpClient.streamsApiVersion === 2) {
              if (shouldCheckContentLength) {
                var lengthAccumulator = new streams.PassThrough();
                lengthAccumulator._write = function(chunk) {
                  if (chunk && chunk.length) {
                    receivedLen += chunk.length;
                  }
                  return streams.PassThrough.prototype._write.apply(this, arguments);
                };
                lengthAccumulator.on("end", checkContentLengthAndEmit);
                stream.on("error", function(err) {
                  shouldCheckContentLength = false;
                  httpStream.unpipe(lengthAccumulator);
                  lengthAccumulator.emit("end");
                  lengthAccumulator.end();
                });
                httpStream.pipe(lengthAccumulator).pipe(stream, { end: false });
              } else {
                httpStream.pipe(stream);
              }
            } else {
              if (shouldCheckContentLength) {
                httpStream.on("data", function(arg) {
                  if (arg && arg.length) {
                    receivedLen += arg.length;
                  }
                });
              }
              httpStream.on("data", function(arg) {
                stream.emit("data", arg);
              });
              httpStream.on("end", checkContentLengthAndEmit);
            }
            httpStream.on("error", function(err) {
              shouldCheckContentLength = false;
              stream.emit("error", err);
            });
          }
        });
        return stream;
      },
      /**
       * @param [Array,Response] args This should be the response object,
       *   or an array of args to send to the event.
       * @api private
       */
      emitEvent: function emit(eventName, args, done) {
        if (typeof args === "function") {
          done = args;
          args = null;
        }
        if (!done)
          done = function() {
          };
        if (!args)
          args = this.eventParameters(eventName, this.response);
        var origEmit = AWS2.SequentialExecutor.prototype.emit;
        origEmit.call(this, eventName, args, function(err) {
          if (err)
            this.response.error = err;
          done.call(this, err);
        });
      },
      /**
       * @api private
       */
      eventParameters: function eventParameters(eventName) {
        switch (eventName) {
          case "restart":
          case "validate":
          case "sign":
          case "build":
          case "afterValidate":
          case "afterBuild":
            return [this];
          case "error":
            return [this.response.error, this.response];
          default:
            return [this.response];
        }
      },
      /**
       * @api private
       */
      presign: function presign(expires, callback) {
        if (!callback && typeof expires === "function") {
          callback = expires;
          expires = null;
        }
        return new AWS2.Signers.Presign().sign(this.toGet(), expires, callback);
      },
      /**
       * @api private
       */
      isPresigned: function isPresigned() {
        return Object.prototype.hasOwnProperty.call(this.httpRequest.headers, "presigned-expires");
      },
      /**
       * @api private
       */
      toUnauthenticated: function toUnauthenticated() {
        this._unAuthenticated = true;
        this.removeListener("validate", AWS2.EventListeners.Core.VALIDATE_CREDENTIALS);
        this.removeListener("sign", AWS2.EventListeners.Core.SIGN);
        return this;
      },
      /**
       * @api private
       */
      toGet: function toGet() {
        if (this.service.api.protocol === "query" || this.service.api.protocol === "ec2") {
          this.removeListener("build", this.buildAsGet);
          this.addListener("build", this.buildAsGet);
        }
        return this;
      },
      /**
       * @api private
       */
      buildAsGet: function buildAsGet(request) {
        request.httpRequest.method = "GET";
        request.httpRequest.path = request.service.endpoint.path + "?" + request.httpRequest.body;
        request.httpRequest.body = "";
        delete request.httpRequest.headers["Content-Length"];
        delete request.httpRequest.headers["Content-Type"];
      },
      /**
       * @api private
       */
      haltHandlersOnError: function haltHandlersOnError() {
        this._haltHandlersOnError = true;
      }
    });
    AWS2.Request.addPromisesToClass = function addPromisesToClass(PromiseDependency) {
      this.prototype.promise = function promise() {
        var self = this;
        this.httpRequest.appendToUserAgent("promise");
        return new PromiseDependency(function(resolve, reject) {
          self.on("complete", function(resp) {
            if (resp.error) {
              reject(resp.error);
            } else {
              resolve(Object.defineProperty(
                resp.data || {},
                "$response",
                { value: resp }
              ));
            }
          });
          self.runTo();
        });
      };
    };
    AWS2.Request.deletePromisesFromClass = function deletePromisesFromClass() {
      delete this.prototype.promise;
    };
    AWS2.util.addPromises(AWS2.Request);
    AWS2.util.mixin(AWS2.Request, AWS2.SequentialExecutor);
  }
});

// node_modules/aws-sdk/lib/response.js
var require_response = __commonJS({
  "node_modules/aws-sdk/lib/response.js"() {
    var AWS2 = require_core();
    var inherit = AWS2.util.inherit;
    var jmespath = require_jmespath();
    AWS2.Response = inherit({
      /**
       * @api private
       */
      constructor: function Response(request) {
        this.request = request;
        this.data = null;
        this.error = null;
        this.retryCount = 0;
        this.redirectCount = 0;
        this.httpResponse = new AWS2.HttpResponse();
        if (request) {
          this.maxRetries = request.service.numRetries();
          this.maxRedirects = request.service.config.maxRedirects;
        }
      },
      /**
       * Creates a new request for the next page of response data, calling the
       * callback with the page data if a callback is provided.
       *
       * @callback callback function(err, data)
       *   Called when a page of data is returned from the next request.
       *
       *   @param err [Error] an error object, if an error occurred in the request
       *   @param data [Object] the next page of data, or null, if there are no
       *     more pages left.
       * @return [AWS.Request] the request object for the next page of data
       * @return [null] if no callback is provided and there are no pages left
       *   to retrieve.
       * @since v1.4.0
       */
      nextPage: function nextPage(callback) {
        var config;
        var service = this.request.service;
        var operation = this.request.operation;
        try {
          config = service.paginationConfig(operation, true);
        } catch (e) {
          this.error = e;
        }
        if (!this.hasNextPage()) {
          if (callback)
            callback(this.error, null);
          else if (this.error)
            throw this.error;
          return null;
        }
        var params = AWS2.util.copy(this.request.params);
        if (!this.nextPageTokens) {
          return callback ? callback(null, null) : null;
        } else {
          var inputTokens = config.inputToken;
          if (typeof inputTokens === "string")
            inputTokens = [inputTokens];
          for (var i = 0; i < inputTokens.length; i++) {
            params[inputTokens[i]] = this.nextPageTokens[i];
          }
          return service.makeRequest(this.request.operation, params, callback);
        }
      },
      /**
       * @return [Boolean] whether more pages of data can be returned by further
       *   requests
       * @since v1.4.0
       */
      hasNextPage: function hasNextPage() {
        this.cacheNextPageTokens();
        if (this.nextPageTokens)
          return true;
        if (this.nextPageTokens === void 0)
          return void 0;
        else
          return false;
      },
      /**
       * @api private
       */
      cacheNextPageTokens: function cacheNextPageTokens() {
        if (Object.prototype.hasOwnProperty.call(this, "nextPageTokens"))
          return this.nextPageTokens;
        this.nextPageTokens = void 0;
        var config = this.request.service.paginationConfig(this.request.operation);
        if (!config)
          return this.nextPageTokens;
        this.nextPageTokens = null;
        if (config.moreResults) {
          if (!jmespath.search(this.data, config.moreResults)) {
            return this.nextPageTokens;
          }
        }
        var exprs = config.outputToken;
        if (typeof exprs === "string")
          exprs = [exprs];
        AWS2.util.arrayEach.call(this, exprs, function(expr) {
          var output = jmespath.search(this.data, expr);
          if (output) {
            this.nextPageTokens = this.nextPageTokens || [];
            this.nextPageTokens.push(output);
          }
        });
        return this.nextPageTokens;
      }
    });
  }
});

// node_modules/aws-sdk/lib/resource_waiter.js
var require_resource_waiter2 = __commonJS({
  "node_modules/aws-sdk/lib/resource_waiter.js"() {
    var AWS2 = require_core();
    var inherit = AWS2.util.inherit;
    var jmespath = require_jmespath();
    function CHECK_ACCEPTORS(resp) {
      var waiter = resp.request._waiter;
      var acceptors = waiter.config.acceptors;
      var acceptorMatched = false;
      var state = "retry";
      acceptors.forEach(function(acceptor) {
        if (!acceptorMatched) {
          var matcher = waiter.matchers[acceptor.matcher];
          if (matcher && matcher(resp, acceptor.expected, acceptor.argument)) {
            acceptorMatched = true;
            state = acceptor.state;
          }
        }
      });
      if (!acceptorMatched && resp.error)
        state = "failure";
      if (state === "success") {
        waiter.setSuccess(resp);
      } else {
        waiter.setError(resp, state === "retry");
      }
    }
    AWS2.ResourceWaiter = inherit({
      /**
       * Waits for a given state on a service object
       * @param service [Service] the service object to wait on
       * @param state [String] the state (defined in waiter configuration) to wait
       *   for.
       * @example Create a waiter for running EC2 instances
       *   var ec2 = new AWS.EC2;
       *   var waiter = new AWS.ResourceWaiter(ec2, 'instanceRunning');
       */
      constructor: function constructor(service, state) {
        this.service = service;
        this.state = state;
        this.loadWaiterConfig(this.state);
      },
      service: null,
      state: null,
      config: null,
      matchers: {
        path: function(resp, expected, argument) {
          try {
            var result = jmespath.search(resp.data, argument);
          } catch (err) {
            return false;
          }
          return jmespath.strictDeepEqual(result, expected);
        },
        pathAll: function(resp, expected, argument) {
          try {
            var results = jmespath.search(resp.data, argument);
          } catch (err) {
            return false;
          }
          if (!Array.isArray(results))
            results = [results];
          var numResults = results.length;
          if (!numResults)
            return false;
          for (var ind = 0; ind < numResults; ind++) {
            if (!jmespath.strictDeepEqual(results[ind], expected)) {
              return false;
            }
          }
          return true;
        },
        pathAny: function(resp, expected, argument) {
          try {
            var results = jmespath.search(resp.data, argument);
          } catch (err) {
            return false;
          }
          if (!Array.isArray(results))
            results = [results];
          var numResults = results.length;
          for (var ind = 0; ind < numResults; ind++) {
            if (jmespath.strictDeepEqual(results[ind], expected)) {
              return true;
            }
          }
          return false;
        },
        status: function(resp, expected) {
          var statusCode = resp.httpResponse.statusCode;
          return typeof statusCode === "number" && statusCode === expected;
        },
        error: function(resp, expected) {
          if (typeof expected === "string" && resp.error) {
            return expected === resp.error.code;
          }
          return expected === !!resp.error;
        }
      },
      listeners: new AWS2.SequentialExecutor().addNamedListeners(function(add) {
        add("RETRY_CHECK", "retry", function(resp) {
          var waiter = resp.request._waiter;
          if (resp.error && resp.error.code === "ResourceNotReady") {
            resp.error.retryDelay = (waiter.config.delay || 0) * 1e3;
          }
        });
        add("CHECK_OUTPUT", "extractData", CHECK_ACCEPTORS);
        add("CHECK_ERROR", "extractError", CHECK_ACCEPTORS);
      }),
      /**
       * @return [AWS.Request]
       */
      wait: function wait(params, callback) {
        if (typeof params === "function") {
          callback = params;
          params = void 0;
        }
        if (params && params.$waiter) {
          params = AWS2.util.copy(params);
          if (typeof params.$waiter.delay === "number") {
            this.config.delay = params.$waiter.delay;
          }
          if (typeof params.$waiter.maxAttempts === "number") {
            this.config.maxAttempts = params.$waiter.maxAttempts;
          }
          delete params.$waiter;
        }
        var request = this.service.makeRequest(this.config.operation, params);
        request._waiter = this;
        request.response.maxRetries = this.config.maxAttempts;
        request.addListeners(this.listeners);
        if (callback)
          request.send(callback);
        return request;
      },
      setSuccess: function setSuccess(resp) {
        resp.error = null;
        resp.data = resp.data || {};
        resp.request.removeAllListeners("extractData");
      },
      setError: function setError(resp, retryable) {
        resp.data = null;
        resp.error = AWS2.util.error(resp.error || new Error(), {
          code: "ResourceNotReady",
          message: "Resource is not in the state " + this.state,
          retryable
        });
      },
      /**
       * Loads waiter configuration from API configuration
       *
       * @api private
       */
      loadWaiterConfig: function loadWaiterConfig(state) {
        if (!this.service.api.waiters[state]) {
          throw new AWS2.util.error(new Error(), {
            code: "StateNotFoundError",
            message: "State " + state + " not found."
          });
        }
        this.config = AWS2.util.copy(this.service.api.waiters[state]);
      }
    });
  }
});

// node_modules/aws-sdk/lib/signers/v2.js
var require_v2 = __commonJS({
  "node_modules/aws-sdk/lib/signers/v2.js"(exports, module2) {
    var AWS2 = require_core();
    var inherit = AWS2.util.inherit;
    AWS2.Signers.V2 = inherit(AWS2.Signers.RequestSigner, {
      addAuthorization: function addAuthorization(credentials, date) {
        if (!date)
          date = AWS2.util.date.getDate();
        var r = this.request;
        r.params.Timestamp = AWS2.util.date.iso8601(date);
        r.params.SignatureVersion = "2";
        r.params.SignatureMethod = "HmacSHA256";
        r.params.AWSAccessKeyId = credentials.accessKeyId;
        if (credentials.sessionToken) {
          r.params.SecurityToken = credentials.sessionToken;
        }
        delete r.params.Signature;
        r.params.Signature = this.signature(credentials);
        r.body = AWS2.util.queryParamsToString(r.params);
        r.headers["Content-Length"] = r.body.length;
      },
      signature: function signature(credentials) {
        return AWS2.util.crypto.hmac(credentials.secretAccessKey, this.stringToSign(), "base64");
      },
      stringToSign: function stringToSign() {
        var parts = [];
        parts.push(this.request.method);
        parts.push(this.request.endpoint.host.toLowerCase());
        parts.push(this.request.pathname());
        parts.push(AWS2.util.queryParamsToString(this.request.params));
        return parts.join("\n");
      }
    });
    module2.exports = AWS2.Signers.V2;
  }
});

// node_modules/aws-sdk/lib/signers/v3.js
var require_v3 = __commonJS({
  "node_modules/aws-sdk/lib/signers/v3.js"(exports, module2) {
    var AWS2 = require_core();
    var inherit = AWS2.util.inherit;
    AWS2.Signers.V3 = inherit(AWS2.Signers.RequestSigner, {
      addAuthorization: function addAuthorization(credentials, date) {
        var datetime = AWS2.util.date.rfc822(date);
        this.request.headers["X-Amz-Date"] = datetime;
        if (credentials.sessionToken) {
          this.request.headers["x-amz-security-token"] = credentials.sessionToken;
        }
        this.request.headers["X-Amzn-Authorization"] = this.authorization(credentials, datetime);
      },
      authorization: function authorization(credentials) {
        return "AWS3 AWSAccessKeyId=" + credentials.accessKeyId + ",Algorithm=HmacSHA256,SignedHeaders=" + this.signedHeaders() + ",Signature=" + this.signature(credentials);
      },
      signedHeaders: function signedHeaders() {
        var headers = [];
        AWS2.util.arrayEach(this.headersToSign(), function iterator(h) {
          headers.push(h.toLowerCase());
        });
        return headers.sort().join(";");
      },
      canonicalHeaders: function canonicalHeaders() {
        var headers = this.request.headers;
        var parts = [];
        AWS2.util.arrayEach(this.headersToSign(), function iterator(h) {
          parts.push(h.toLowerCase().trim() + ":" + String(headers[h]).trim());
        });
        return parts.sort().join("\n") + "\n";
      },
      headersToSign: function headersToSign() {
        var headers = [];
        AWS2.util.each(this.request.headers, function iterator(k) {
          if (k === "Host" || k === "Content-Encoding" || k.match(/^X-Amz/i)) {
            headers.push(k);
          }
        });
        return headers;
      },
      signature: function signature(credentials) {
        return AWS2.util.crypto.hmac(credentials.secretAccessKey, this.stringToSign(), "base64");
      },
      stringToSign: function stringToSign() {
        var parts = [];
        parts.push(this.request.method);
        parts.push("/");
        parts.push("");
        parts.push(this.canonicalHeaders());
        parts.push(this.request.body);
        return AWS2.util.crypto.sha256(parts.join("\n"));
      }
    });
    module2.exports = AWS2.Signers.V3;
  }
});

// node_modules/aws-sdk/lib/signers/v3https.js
var require_v3https = __commonJS({
  "node_modules/aws-sdk/lib/signers/v3https.js"(exports, module2) {
    var AWS2 = require_core();
    var inherit = AWS2.util.inherit;
    require_v3();
    AWS2.Signers.V3Https = inherit(AWS2.Signers.V3, {
      authorization: function authorization(credentials) {
        return "AWS3-HTTPS AWSAccessKeyId=" + credentials.accessKeyId + ",Algorithm=HmacSHA256,Signature=" + this.signature(credentials);
      },
      stringToSign: function stringToSign() {
        return this.request.headers["X-Amz-Date"];
      }
    });
    module2.exports = AWS2.Signers.V3Https;
  }
});

// node_modules/aws-sdk/lib/signers/v4_credentials.js
var require_v4_credentials = __commonJS({
  "node_modules/aws-sdk/lib/signers/v4_credentials.js"(exports, module2) {
    var AWS2 = require_core();
    var cachedSecret = {};
    var cacheQueue = [];
    var maxCacheEntries = 50;
    var v4Identifier = "aws4_request";
    module2.exports = {
      /**
       * @api private
       *
       * @param date [String]
       * @param region [String]
       * @param serviceName [String]
       * @return [String]
       */
      createScope: function createScope(date, region, serviceName) {
        return [
          date.substr(0, 8),
          region,
          serviceName,
          v4Identifier
        ].join("/");
      },
      /**
       * @api private
       *
       * @param credentials [Credentials]
       * @param date [String]
       * @param region [String]
       * @param service [String]
       * @param shouldCache [Boolean]
       * @return [String]
       */
      getSigningKey: function getSigningKey(credentials, date, region, service, shouldCache) {
        var credsIdentifier = AWS2.util.crypto.hmac(credentials.secretAccessKey, credentials.accessKeyId, "base64");
        var cacheKey = [credsIdentifier, date, region, service].join("_");
        shouldCache = shouldCache !== false;
        if (shouldCache && cacheKey in cachedSecret) {
          return cachedSecret[cacheKey];
        }
        var kDate = AWS2.util.crypto.hmac(
          "AWS4" + credentials.secretAccessKey,
          date,
          "buffer"
        );
        var kRegion = AWS2.util.crypto.hmac(kDate, region, "buffer");
        var kService = AWS2.util.crypto.hmac(kRegion, service, "buffer");
        var signingKey = AWS2.util.crypto.hmac(kService, v4Identifier, "buffer");
        if (shouldCache) {
          cachedSecret[cacheKey] = signingKey;
          cacheQueue.push(cacheKey);
          if (cacheQueue.length > maxCacheEntries) {
            delete cachedSecret[cacheQueue.shift()];
          }
        }
        return signingKey;
      },
      /**
       * @api private
       *
       * Empties the derived signing key cache. Made available for testing purposes
       * only.
       */
      emptyCache: function emptyCache() {
        cachedSecret = {};
        cacheQueue = [];
      }
    };
  }
});

// node_modules/aws-sdk/lib/signers/v4.js
var require_v4 = __commonJS({
  "node_modules/aws-sdk/lib/signers/v4.js"(exports, module2) {
    var AWS2 = require_core();
    var v4Credentials = require_v4_credentials();
    var inherit = AWS2.util.inherit;
    var expiresHeader = "presigned-expires";
    AWS2.Signers.V4 = inherit(AWS2.Signers.RequestSigner, {
      constructor: function V4(request, serviceName, options) {
        AWS2.Signers.RequestSigner.call(this, request);
        this.serviceName = serviceName;
        options = options || {};
        this.signatureCache = typeof options.signatureCache === "boolean" ? options.signatureCache : true;
        this.operation = options.operation;
        this.signatureVersion = options.signatureVersion;
      },
      algorithm: "AWS4-HMAC-SHA256",
      addAuthorization: function addAuthorization(credentials, date) {
        var datetime = AWS2.util.date.iso8601(date).replace(/[:\-]|\.\d{3}/g, "");
        if (this.isPresigned()) {
          this.updateForPresigned(credentials, datetime);
        } else {
          this.addHeaders(credentials, datetime);
        }
        this.request.headers["Authorization"] = this.authorization(credentials, datetime);
      },
      addHeaders: function addHeaders(credentials, datetime) {
        this.request.headers["X-Amz-Date"] = datetime;
        if (credentials.sessionToken) {
          this.request.headers["x-amz-security-token"] = credentials.sessionToken;
        }
      },
      updateForPresigned: function updateForPresigned(credentials, datetime) {
        var credString = this.credentialString(datetime);
        var qs = {
          "X-Amz-Date": datetime,
          "X-Amz-Algorithm": this.algorithm,
          "X-Amz-Credential": credentials.accessKeyId + "/" + credString,
          "X-Amz-Expires": this.request.headers[expiresHeader],
          "X-Amz-SignedHeaders": this.signedHeaders()
        };
        if (credentials.sessionToken) {
          qs["X-Amz-Security-Token"] = credentials.sessionToken;
        }
        if (this.request.headers["Content-Type"]) {
          qs["Content-Type"] = this.request.headers["Content-Type"];
        }
        if (this.request.headers["Content-MD5"]) {
          qs["Content-MD5"] = this.request.headers["Content-MD5"];
        }
        if (this.request.headers["Cache-Control"]) {
          qs["Cache-Control"] = this.request.headers["Cache-Control"];
        }
        AWS2.util.each.call(this, this.request.headers, function(key, value) {
          if (key === expiresHeader)
            return;
          if (this.isSignableHeader(key)) {
            var lowerKey = key.toLowerCase();
            if (lowerKey.indexOf("x-amz-meta-") === 0) {
              qs[lowerKey] = value;
            } else if (lowerKey.indexOf("x-amz-") === 0) {
              qs[key] = value;
            }
          }
        });
        var sep = this.request.path.indexOf("?") >= 0 ? "&" : "?";
        this.request.path += sep + AWS2.util.queryParamsToString(qs);
      },
      authorization: function authorization(credentials, datetime) {
        var parts = [];
        var credString = this.credentialString(datetime);
        parts.push(this.algorithm + " Credential=" + credentials.accessKeyId + "/" + credString);
        parts.push("SignedHeaders=" + this.signedHeaders());
        parts.push("Signature=" + this.signature(credentials, datetime));
        return parts.join(", ");
      },
      signature: function signature(credentials, datetime) {
        var signingKey = v4Credentials.getSigningKey(
          credentials,
          datetime.substr(0, 8),
          this.request.region,
          this.serviceName,
          this.signatureCache
        );
        return AWS2.util.crypto.hmac(signingKey, this.stringToSign(datetime), "hex");
      },
      stringToSign: function stringToSign(datetime) {
        var parts = [];
        parts.push("AWS4-HMAC-SHA256");
        parts.push(datetime);
        parts.push(this.credentialString(datetime));
        parts.push(this.hexEncodedHash(this.canonicalString()));
        return parts.join("\n");
      },
      canonicalString: function canonicalString() {
        var parts = [], pathname = this.request.pathname();
        if (this.serviceName !== "s3" && this.signatureVersion !== "s3v4")
          pathname = AWS2.util.uriEscapePath(pathname);
        parts.push(this.request.method);
        parts.push(pathname);
        parts.push(this.request.search());
        parts.push(this.canonicalHeaders() + "\n");
        parts.push(this.signedHeaders());
        parts.push(this.hexEncodedBodyHash());
        return parts.join("\n");
      },
      canonicalHeaders: function canonicalHeaders() {
        var headers = [];
        AWS2.util.each.call(this, this.request.headers, function(key, item) {
          headers.push([key, item]);
        });
        headers.sort(function(a, b) {
          return a[0].toLowerCase() < b[0].toLowerCase() ? -1 : 1;
        });
        var parts = [];
        AWS2.util.arrayEach.call(this, headers, function(item) {
          var key = item[0].toLowerCase();
          if (this.isSignableHeader(key)) {
            var value = item[1];
            if (typeof value === "undefined" || value === null || typeof value.toString !== "function") {
              throw AWS2.util.error(new Error("Header " + key + " contains invalid value"), {
                code: "InvalidHeader"
              });
            }
            parts.push(key + ":" + this.canonicalHeaderValues(value.toString()));
          }
        });
        return parts.join("\n");
      },
      canonicalHeaderValues: function canonicalHeaderValues(values) {
        return values.replace(/\s+/g, " ").replace(/^\s+|\s+$/g, "");
      },
      signedHeaders: function signedHeaders() {
        var keys = [];
        AWS2.util.each.call(this, this.request.headers, function(key) {
          key = key.toLowerCase();
          if (this.isSignableHeader(key))
            keys.push(key);
        });
        return keys.sort().join(";");
      },
      credentialString: function credentialString(datetime) {
        return v4Credentials.createScope(
          datetime.substr(0, 8),
          this.request.region,
          this.serviceName
        );
      },
      hexEncodedHash: function hash(string) {
        return AWS2.util.crypto.sha256(string, "hex");
      },
      hexEncodedBodyHash: function hexEncodedBodyHash() {
        var request = this.request;
        if (this.isPresigned() && ["s3", "s3-object-lambda"].indexOf(this.serviceName) > -1 && !request.body) {
          return "UNSIGNED-PAYLOAD";
        } else if (request.headers["X-Amz-Content-Sha256"]) {
          return request.headers["X-Amz-Content-Sha256"];
        } else {
          return this.hexEncodedHash(this.request.body || "");
        }
      },
      unsignableHeaders: [
        "authorization",
        "content-type",
        "content-length",
        "user-agent",
        expiresHeader,
        "expect",
        "x-amzn-trace-id"
      ],
      isSignableHeader: function isSignableHeader(key) {
        if (key.toLowerCase().indexOf("x-amz-") === 0)
          return true;
        return this.unsignableHeaders.indexOf(key) < 0;
      },
      isPresigned: function isPresigned() {
        return this.request.headers[expiresHeader] ? true : false;
      }
    });
    module2.exports = AWS2.Signers.V4;
  }
});

// node_modules/aws-sdk/lib/signers/s3.js
var require_s3 = __commonJS({
  "node_modules/aws-sdk/lib/signers/s3.js"(exports, module2) {
    var AWS2 = require_core();
    var inherit = AWS2.util.inherit;
    AWS2.Signers.S3 = inherit(AWS2.Signers.RequestSigner, {
      /**
       * When building the stringToSign, these sub resource params should be
       * part of the canonical resource string with their NON-decoded values
       */
      subResources: {
        "acl": 1,
        "accelerate": 1,
        "analytics": 1,
        "cors": 1,
        "lifecycle": 1,
        "delete": 1,
        "inventory": 1,
        "location": 1,
        "logging": 1,
        "metrics": 1,
        "notification": 1,
        "partNumber": 1,
        "policy": 1,
        "requestPayment": 1,
        "replication": 1,
        "restore": 1,
        "tagging": 1,
        "torrent": 1,
        "uploadId": 1,
        "uploads": 1,
        "versionId": 1,
        "versioning": 1,
        "versions": 1,
        "website": 1
      },
      // when building the stringToSign, these querystring params should be
      // part of the canonical resource string with their NON-encoded values
      responseHeaders: {
        "response-content-type": 1,
        "response-content-language": 1,
        "response-expires": 1,
        "response-cache-control": 1,
        "response-content-disposition": 1,
        "response-content-encoding": 1
      },
      addAuthorization: function addAuthorization(credentials, date) {
        if (!this.request.headers["presigned-expires"]) {
          this.request.headers["X-Amz-Date"] = AWS2.util.date.rfc822(date);
        }
        if (credentials.sessionToken) {
          this.request.headers["x-amz-security-token"] = credentials.sessionToken;
        }
        var signature = this.sign(credentials.secretAccessKey, this.stringToSign());
        var auth = "AWS " + credentials.accessKeyId + ":" + signature;
        this.request.headers["Authorization"] = auth;
      },
      stringToSign: function stringToSign() {
        var r = this.request;
        var parts = [];
        parts.push(r.method);
        parts.push(r.headers["Content-MD5"] || "");
        parts.push(r.headers["Content-Type"] || "");
        parts.push(r.headers["presigned-expires"] || "");
        var headers = this.canonicalizedAmzHeaders();
        if (headers)
          parts.push(headers);
        parts.push(this.canonicalizedResource());
        return parts.join("\n");
      },
      canonicalizedAmzHeaders: function canonicalizedAmzHeaders() {
        var amzHeaders = [];
        AWS2.util.each(this.request.headers, function(name) {
          if (name.match(/^x-amz-/i))
            amzHeaders.push(name);
        });
        amzHeaders.sort(function(a, b) {
          return a.toLowerCase() < b.toLowerCase() ? -1 : 1;
        });
        var parts = [];
        AWS2.util.arrayEach.call(this, amzHeaders, function(name) {
          parts.push(name.toLowerCase() + ":" + String(this.request.headers[name]));
        });
        return parts.join("\n");
      },
      canonicalizedResource: function canonicalizedResource() {
        var r = this.request;
        var parts = r.path.split("?");
        var path = parts[0];
        var querystring = parts[1];
        var resource = "";
        if (r.virtualHostedBucket)
          resource += "/" + r.virtualHostedBucket;
        resource += path;
        if (querystring) {
          var resources = [];
          AWS2.util.arrayEach.call(this, querystring.split("&"), function(param) {
            var name = param.split("=")[0];
            var value = param.split("=")[1];
            if (this.subResources[name] || this.responseHeaders[name]) {
              var subresource = { name };
              if (value !== void 0) {
                if (this.subResources[name]) {
                  subresource.value = value;
                } else {
                  subresource.value = decodeURIComponent(value);
                }
              }
              resources.push(subresource);
            }
          });
          resources.sort(function(a, b) {
            return a.name < b.name ? -1 : 1;
          });
          if (resources.length) {
            querystring = [];
            AWS2.util.arrayEach(resources, function(res) {
              if (res.value === void 0) {
                querystring.push(res.name);
              } else {
                querystring.push(res.name + "=" + res.value);
              }
            });
            resource += "?" + querystring.join("&");
          }
        }
        return resource;
      },
      sign: function sign(secret, string) {
        return AWS2.util.crypto.hmac(secret, string, "base64", "sha1");
      }
    });
    module2.exports = AWS2.Signers.S3;
  }
});

// node_modules/aws-sdk/lib/signers/presign.js
var require_presign = __commonJS({
  "node_modules/aws-sdk/lib/signers/presign.js"(exports, module2) {
    var AWS2 = require_core();
    var inherit = AWS2.util.inherit;
    var expiresHeader = "presigned-expires";
    function signedUrlBuilder(request) {
      var expires = request.httpRequest.headers[expiresHeader];
      var signerClass = request.service.getSignerClass(request);
      delete request.httpRequest.headers["User-Agent"];
      delete request.httpRequest.headers["X-Amz-User-Agent"];
      if (signerClass === AWS2.Signers.V4) {
        if (expires > 604800) {
          var message = "Presigning does not support expiry time greater than a week with SigV4 signing.";
          throw AWS2.util.error(new Error(), {
            code: "InvalidExpiryTime",
            message,
            retryable: false
          });
        }
        request.httpRequest.headers[expiresHeader] = expires;
      } else if (signerClass === AWS2.Signers.S3) {
        var now = request.service ? request.service.getSkewCorrectedDate() : AWS2.util.date.getDate();
        request.httpRequest.headers[expiresHeader] = parseInt(
          AWS2.util.date.unixTimestamp(now) + expires,
          10
        ).toString();
      } else {
        throw AWS2.util.error(new Error(), {
          message: "Presigning only supports S3 or SigV4 signing.",
          code: "UnsupportedSigner",
          retryable: false
        });
      }
    }
    function signedUrlSigner(request) {
      var endpoint = request.httpRequest.endpoint;
      var parsedUrl = AWS2.util.urlParse(request.httpRequest.path);
      var queryParams = {};
      if (parsedUrl.search) {
        queryParams = AWS2.util.queryStringParse(parsedUrl.search.substr(1));
      }
      var auth = request.httpRequest.headers["Authorization"].split(" ");
      if (auth[0] === "AWS") {
        auth = auth[1].split(":");
        queryParams["Signature"] = auth.pop();
        queryParams["AWSAccessKeyId"] = auth.join(":");
        AWS2.util.each(request.httpRequest.headers, function(key, value) {
          if (key === expiresHeader)
            key = "Expires";
          if (key.indexOf("x-amz-meta-") === 0) {
            delete queryParams[key];
            key = key.toLowerCase();
          }
          queryParams[key] = value;
        });
        delete request.httpRequest.headers[expiresHeader];
        delete queryParams["Authorization"];
        delete queryParams["Host"];
      } else if (auth[0] === "AWS4-HMAC-SHA256") {
        auth.shift();
        var rest = auth.join(" ");
        var signature = rest.match(/Signature=(.*?)(?:,|\s|\r?\n|$)/)[1];
        queryParams["X-Amz-Signature"] = signature;
        delete queryParams["Expires"];
      }
      endpoint.pathname = parsedUrl.pathname;
      endpoint.search = AWS2.util.queryParamsToString(queryParams);
    }
    AWS2.Signers.Presign = inherit({
      /**
       * @api private
       */
      sign: function sign(request, expireTime, callback) {
        request.httpRequest.headers[expiresHeader] = expireTime || 3600;
        request.on("build", signedUrlBuilder);
        request.on("sign", signedUrlSigner);
        request.removeListener(
          "afterBuild",
          AWS2.EventListeners.Core.SET_CONTENT_LENGTH
        );
        request.removeListener(
          "afterBuild",
          AWS2.EventListeners.Core.COMPUTE_SHA256
        );
        request.emit("beforePresign", [request]);
        if (callback) {
          request.build(function() {
            if (this.response.error)
              callback(this.response.error);
            else {
              callback(null, AWS2.util.urlFormat(request.httpRequest.endpoint));
            }
          });
        } else {
          request.build();
          if (request.response.error)
            throw request.response.error;
          return AWS2.util.urlFormat(request.httpRequest.endpoint);
        }
      }
    });
    module2.exports = AWS2.Signers.Presign;
  }
});

// node_modules/aws-sdk/lib/signers/bearer.js
var require_bearer = __commonJS({
  "node_modules/aws-sdk/lib/signers/bearer.js"() {
    var AWS2 = require_core();
    AWS2.Signers.Bearer = AWS2.util.inherit(AWS2.Signers.RequestSigner, {
      constructor: function Bearer(request) {
        AWS2.Signers.RequestSigner.call(this, request);
      },
      addAuthorization: function addAuthorization(token) {
        this.request.headers["Authorization"] = "Bearer " + token.token;
      }
    });
  }
});

// node_modules/aws-sdk/lib/signers/request_signer.js
var require_request_signer = __commonJS({
  "node_modules/aws-sdk/lib/signers/request_signer.js"() {
    var AWS2 = require_core();
    var inherit = AWS2.util.inherit;
    AWS2.Signers.RequestSigner = inherit({
      constructor: function RequestSigner(request) {
        this.request = request;
      },
      setServiceClientId: function setServiceClientId(id) {
        this.serviceClientId = id;
      },
      getServiceClientId: function getServiceClientId() {
        return this.serviceClientId;
      }
    });
    AWS2.Signers.RequestSigner.getVersion = function getVersion(version) {
      switch (version) {
        case "v2":
          return AWS2.Signers.V2;
        case "v3":
          return AWS2.Signers.V3;
        case "s3v4":
          return AWS2.Signers.V4;
        case "v4":
          return AWS2.Signers.V4;
        case "s3":
          return AWS2.Signers.S3;
        case "v3https":
          return AWS2.Signers.V3Https;
        case "bearer":
          return AWS2.Signers.Bearer;
      }
      throw new Error("Unknown signing version " + version);
    };
    require_v2();
    require_v3();
    require_v3https();
    require_v4();
    require_s3();
    require_presign();
    require_bearer();
  }
});

// node_modules/aws-sdk/lib/param_validator.js
var require_param_validator = __commonJS({
  "node_modules/aws-sdk/lib/param_validator.js"() {
    var AWS2 = require_core();
    AWS2.ParamValidator = AWS2.util.inherit({
      /**
       * Create a new validator object.
       *
       * @param validation [Boolean|map] whether input parameters should be
       *     validated against the operation description before sending the
       *     request. Pass a map to enable any of the following specific
       *     validation features:
       *
       *     * **min** [Boolean] &mdash; Validates that a value meets the min
       *       constraint. This is enabled by default when paramValidation is set
       *       to `true`.
       *     * **max** [Boolean] &mdash; Validates that a value meets the max
       *       constraint.
       *     * **pattern** [Boolean] &mdash; Validates that a string value matches a
       *       regular expression.
       *     * **enum** [Boolean] &mdash; Validates that a string value matches one
       *       of the allowable enum values.
       */
      constructor: function ParamValidator(validation) {
        if (validation === true || validation === void 0) {
          validation = { "min": true };
        }
        this.validation = validation;
      },
      validate: function validate(shape, params, context) {
        this.errors = [];
        this.validateMember(shape, params || {}, context || "params");
        if (this.errors.length > 1) {
          var msg = this.errors.join("\n* ");
          msg = "There were " + this.errors.length + " validation errors:\n* " + msg;
          throw AWS2.util.error(
            new Error(msg),
            { code: "MultipleValidationErrors", errors: this.errors }
          );
        } else if (this.errors.length === 1) {
          throw this.errors[0];
        } else {
          return true;
        }
      },
      fail: function fail(code, message) {
        this.errors.push(AWS2.util.error(new Error(message), { code }));
      },
      validateStructure: function validateStructure(shape, params, context) {
        if (shape.isDocument)
          return true;
        this.validateType(params, context, ["object"], "structure");
        var paramName;
        for (var i = 0; shape.required && i < shape.required.length; i++) {
          paramName = shape.required[i];
          var value = params[paramName];
          if (value === void 0 || value === null) {
            this.fail(
              "MissingRequiredParameter",
              "Missing required key '" + paramName + "' in " + context
            );
          }
        }
        for (paramName in params) {
          if (!Object.prototype.hasOwnProperty.call(params, paramName))
            continue;
          var paramValue = params[paramName], memberShape = shape.members[paramName];
          if (memberShape !== void 0) {
            var memberContext = [context, paramName].join(".");
            this.validateMember(memberShape, paramValue, memberContext);
          } else if (paramValue !== void 0 && paramValue !== null) {
            this.fail(
              "UnexpectedParameter",
              "Unexpected key '" + paramName + "' found in " + context
            );
          }
        }
        return true;
      },
      validateMember: function validateMember(shape, param, context) {
        switch (shape.type) {
          case "structure":
            return this.validateStructure(shape, param, context);
          case "list":
            return this.validateList(shape, param, context);
          case "map":
            return this.validateMap(shape, param, context);
          default:
            return this.validateScalar(shape, param, context);
        }
      },
      validateList: function validateList(shape, params, context) {
        if (this.validateType(params, context, [Array])) {
          this.validateRange(shape, params.length, context, "list member count");
          for (var i = 0; i < params.length; i++) {
            this.validateMember(shape.member, params[i], context + "[" + i + "]");
          }
        }
      },
      validateMap: function validateMap(shape, params, context) {
        if (this.validateType(params, context, ["object"], "map")) {
          var mapCount = 0;
          for (var param in params) {
            if (!Object.prototype.hasOwnProperty.call(params, param))
              continue;
            this.validateMember(
              shape.key,
              param,
              context + "[key='" + param + "']"
            );
            this.validateMember(
              shape.value,
              params[param],
              context + "['" + param + "']"
            );
            mapCount++;
          }
          this.validateRange(shape, mapCount, context, "map member count");
        }
      },
      validateScalar: function validateScalar(shape, value, context) {
        switch (shape.type) {
          case null:
          case void 0:
          case "string":
            return this.validateString(shape, value, context);
          case "base64":
          case "binary":
            return this.validatePayload(value, context);
          case "integer":
          case "float":
            return this.validateNumber(shape, value, context);
          case "boolean":
            return this.validateType(value, context, ["boolean"]);
          case "timestamp":
            return this.validateType(
              value,
              context,
              [
                Date,
                /^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d+)?Z$/,
                "number"
              ],
              "Date object, ISO-8601 string, or a UNIX timestamp"
            );
          default:
            return this.fail("UnkownType", "Unhandled type " + shape.type + " for " + context);
        }
      },
      validateString: function validateString(shape, value, context) {
        var validTypes = ["string"];
        if (shape.isJsonValue) {
          validTypes = validTypes.concat(["number", "object", "boolean"]);
        }
        if (value !== null && this.validateType(value, context, validTypes)) {
          this.validateEnum(shape, value, context);
          this.validateRange(shape, value.length, context, "string length");
          this.validatePattern(shape, value, context);
          this.validateUri(shape, value, context);
        }
      },
      validateUri: function validateUri(shape, value, context) {
        if (shape["location"] === "uri") {
          if (value.length === 0) {
            this.fail("UriParameterError", 'Expected uri parameter to have length >= 1, but found "' + value + '" for ' + context);
          }
        }
      },
      validatePattern: function validatePattern(shape, value, context) {
        if (this.validation["pattern"] && shape["pattern"] !== void 0) {
          if (!new RegExp(shape["pattern"]).test(value)) {
            this.fail("PatternMatchError", 'Provided value "' + value + '" does not match regex pattern /' + shape["pattern"] + "/ for " + context);
          }
        }
      },
      validateRange: function validateRange(shape, value, context, descriptor) {
        if (this.validation["min"]) {
          if (shape["min"] !== void 0 && value < shape["min"]) {
            this.fail("MinRangeError", "Expected " + descriptor + " >= " + shape["min"] + ", but found " + value + " for " + context);
          }
        }
        if (this.validation["max"]) {
          if (shape["max"] !== void 0 && value > shape["max"]) {
            this.fail("MaxRangeError", "Expected " + descriptor + " <= " + shape["max"] + ", but found " + value + " for " + context);
          }
        }
      },
      validateEnum: function validateRange(shape, value, context) {
        if (this.validation["enum"] && shape["enum"] !== void 0) {
          if (shape["enum"].indexOf(value) === -1) {
            this.fail("EnumError", "Found string value of " + value + ", but expected " + shape["enum"].join("|") + " for " + context);
          }
        }
      },
      validateType: function validateType(value, context, acceptedTypes, type) {
        if (value === null || value === void 0)
          return false;
        var foundInvalidType = false;
        for (var i = 0; i < acceptedTypes.length; i++) {
          if (typeof acceptedTypes[i] === "string") {
            if (typeof value === acceptedTypes[i])
              return true;
          } else if (acceptedTypes[i] instanceof RegExp) {
            if ((value || "").toString().match(acceptedTypes[i]))
              return true;
          } else {
            if (value instanceof acceptedTypes[i])
              return true;
            if (AWS2.util.isType(value, acceptedTypes[i]))
              return true;
            if (!type && !foundInvalidType)
              acceptedTypes = acceptedTypes.slice();
            acceptedTypes[i] = AWS2.util.typeName(acceptedTypes[i]);
          }
          foundInvalidType = true;
        }
        var acceptedType = type;
        if (!acceptedType) {
          acceptedType = acceptedTypes.join(", ").replace(/,([^,]+)$/, ", or$1");
        }
        var vowel = acceptedType.match(/^[aeiou]/i) ? "n" : "";
        this.fail("InvalidParameterType", "Expected " + context + " to be a" + vowel + " " + acceptedType);
        return false;
      },
      validateNumber: function validateNumber(shape, value, context) {
        if (value === null || value === void 0)
          return;
        if (typeof value === "string") {
          var castedValue = parseFloat(value);
          if (castedValue.toString() === value)
            value = castedValue;
        }
        if (this.validateType(value, context, ["number"])) {
          this.validateRange(shape, value, context, "numeric value");
        }
      },
      validatePayload: function validatePayload(value, context) {
        if (value === null || value === void 0)
          return;
        if (typeof value === "string")
          return;
        if (value && typeof value.byteLength === "number")
          return;
        if (AWS2.util.isNode()) {
          var Stream = AWS2.util.stream.Stream;
          if (AWS2.util.Buffer.isBuffer(value) || value instanceof Stream)
            return;
        } else {
          if (typeof Blob !== void 0 && value instanceof Blob)
            return;
        }
        var types = ["Buffer", "Stream", "File", "Blob", "ArrayBuffer", "DataView"];
        if (value) {
          for (var i = 0; i < types.length; i++) {
            if (AWS2.util.isType(value, types[i]))
              return;
            if (AWS2.util.typeName(value.constructor) === types[i])
              return;
          }
        }
        this.fail("InvalidParameterType", "Expected " + context + " to be a string, Buffer, Stream, Blob, or typed array object");
      }
    });
  }
});

// node_modules/aws-sdk/lib/maintenance_mode_message.js
var require_maintenance_mode_message = __commonJS({
  "node_modules/aws-sdk/lib/maintenance_mode_message.js"(exports, module2) {
    var warning = [
      "We are formalizing our plans to enter AWS SDK for JavaScript (v2) into maintenance mode in 2023.\n",
      "Please migrate your code to use AWS SDK for JavaScript (v3).",
      "For more information, check the migration guide at https://a.co/7PzMCcy"
    ].join("\n");
    module2.exports = {
      suppress: false
    };
    function emitWarning() {
      if (typeof process === "undefined")
        return;
      if (typeof process.env === "object" && typeof process.env.AWS_EXECUTION_ENV !== "undefined" && process.env.AWS_EXECUTION_ENV.indexOf("AWS_Lambda_") === 0) {
        return;
      }
      if (typeof process.env === "object" && typeof process.env.AWS_SDK_JS_SUPPRESS_MAINTENANCE_MODE_MESSAGE !== "undefined") {
        return;
      }
      if (typeof process.emitWarning === "function") {
        process.emitWarning(warning, {
          type: "NOTE"
        });
      }
    }
    setTimeout(function() {
      if (!module2.exports.suppress) {
        emitWarning();
      }
    }, 0);
  }
});

// node_modules/aws-sdk/lib/core.js
var require_core = __commonJS({
  "node_modules/aws-sdk/lib/core.js"(exports, module2) {
    var AWS2 = { util: require_util() };
    var _hidden = {};
    _hidden.toString();
    module2.exports = AWS2;
    AWS2.util.update(AWS2, {
      /**
       * @constant
       */
      VERSION: "2.1413.0",
      /**
       * @api private
       */
      Signers: {},
      /**
       * @api private
       */
      Protocol: {
        Json: require_json(),
        Query: require_query(),
        Rest: require_rest(),
        RestJson: require_rest_json(),
        RestXml: require_rest_xml()
      },
      /**
       * @api private
       */
      XML: {
        Builder: require_builder2(),
        Parser: null
        // conditionally set based on environment
      },
      /**
       * @api private
       */
      JSON: {
        Builder: require_builder(),
        Parser: require_parser()
      },
      /**
       * @api private
       */
      Model: {
        Api: require_api(),
        Operation: require_operation(),
        Shape: require_shape(),
        Paginator: require_paginator(),
        ResourceWaiter: require_resource_waiter()
      },
      /**
       * @api private
       */
      apiLoader: require_api_loader(),
      /**
       * @api private
       */
      EndpointCache: require_endpoint_cache().EndpointCache
    });
    require_sequential_executor();
    require_service();
    require_config();
    require_http();
    require_event_listeners();
    require_request();
    require_response();
    require_resource_waiter2();
    require_request_signer();
    require_param_validator();
    require_maintenance_mode_message();
    AWS2.events = new AWS2.SequentialExecutor();
    AWS2.util.memoizedProperty(AWS2, "endpointCache", function() {
      return new AWS2.EndpointCache(AWS2.config.endpointCacheSize);
    }, true);
  }
});

// node_modules/uuid/dist/rng.js
var require_rng = __commonJS({
  "node_modules/uuid/dist/rng.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = rng;
    var _crypto = _interopRequireDefault(require("crypto"));
    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }
    function rng() {
      return _crypto.default.randomBytes(16);
    }
  }
});

// node_modules/uuid/dist/bytesToUuid.js
var require_bytesToUuid = __commonJS({
  "node_modules/uuid/dist/bytesToUuid.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;
    var byteToHex = [];
    for (i = 0; i < 256; ++i) {
      byteToHex[i] = (i + 256).toString(16).substr(1);
    }
    var i;
    function bytesToUuid(buf, offset) {
      var i2 = offset || 0;
      var bth = byteToHex;
      return [bth[buf[i2++]], bth[buf[i2++]], bth[buf[i2++]], bth[buf[i2++]], "-", bth[buf[i2++]], bth[buf[i2++]], "-", bth[buf[i2++]], bth[buf[i2++]], "-", bth[buf[i2++]], bth[buf[i2++]], "-", bth[buf[i2++]], bth[buf[i2++]], bth[buf[i2++]], bth[buf[i2++]], bth[buf[i2++]], bth[buf[i2++]]].join("");
    }
    var _default = bytesToUuid;
    exports.default = _default;
  }
});

// node_modules/uuid/dist/v1.js
var require_v1 = __commonJS({
  "node_modules/uuid/dist/v1.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;
    var _rng = _interopRequireDefault(require_rng());
    var _bytesToUuid = _interopRequireDefault(require_bytesToUuid());
    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }
    var _nodeId;
    var _clockseq;
    var _lastMSecs = 0;
    var _lastNSecs = 0;
    function v1(options, buf, offset) {
      var i = buf && offset || 0;
      var b = buf || [];
      options = options || {};
      var node = options.node || _nodeId;
      var clockseq = options.clockseq !== void 0 ? options.clockseq : _clockseq;
      if (node == null || clockseq == null) {
        var seedBytes = options.random || (options.rng || _rng.default)();
        if (node == null) {
          node = _nodeId = [seedBytes[0] | 1, seedBytes[1], seedBytes[2], seedBytes[3], seedBytes[4], seedBytes[5]];
        }
        if (clockseq == null) {
          clockseq = _clockseq = (seedBytes[6] << 8 | seedBytes[7]) & 16383;
        }
      }
      var msecs = options.msecs !== void 0 ? options.msecs : (/* @__PURE__ */ new Date()).getTime();
      var nsecs = options.nsecs !== void 0 ? options.nsecs : _lastNSecs + 1;
      var dt = msecs - _lastMSecs + (nsecs - _lastNSecs) / 1e4;
      if (dt < 0 && options.clockseq === void 0) {
        clockseq = clockseq + 1 & 16383;
      }
      if ((dt < 0 || msecs > _lastMSecs) && options.nsecs === void 0) {
        nsecs = 0;
      }
      if (nsecs >= 1e4) {
        throw new Error("uuid.v1(): Can't create more than 10M uuids/sec");
      }
      _lastMSecs = msecs;
      _lastNSecs = nsecs;
      _clockseq = clockseq;
      msecs += 122192928e5;
      var tl = ((msecs & 268435455) * 1e4 + nsecs) % 4294967296;
      b[i++] = tl >>> 24 & 255;
      b[i++] = tl >>> 16 & 255;
      b[i++] = tl >>> 8 & 255;
      b[i++] = tl & 255;
      var tmh = msecs / 4294967296 * 1e4 & 268435455;
      b[i++] = tmh >>> 8 & 255;
      b[i++] = tmh & 255;
      b[i++] = tmh >>> 24 & 15 | 16;
      b[i++] = tmh >>> 16 & 255;
      b[i++] = clockseq >>> 8 | 128;
      b[i++] = clockseq & 255;
      for (var n = 0; n < 6; ++n) {
        b[i + n] = node[n];
      }
      return buf ? buf : (0, _bytesToUuid.default)(b);
    }
    var _default = v1;
    exports.default = _default;
  }
});

// node_modules/uuid/dist/v35.js
var require_v35 = __commonJS({
  "node_modules/uuid/dist/v35.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = _default;
    exports.URL = exports.DNS = void 0;
    var _bytesToUuid = _interopRequireDefault(require_bytesToUuid());
    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }
    function uuidToBytes(uuid) {
      var bytes = [];
      uuid.replace(/[a-fA-F0-9]{2}/g, function(hex) {
        bytes.push(parseInt(hex, 16));
      });
      return bytes;
    }
    function stringToBytes(str) {
      str = unescape(encodeURIComponent(str));
      var bytes = new Array(str.length);
      for (var i = 0; i < str.length; i++) {
        bytes[i] = str.charCodeAt(i);
      }
      return bytes;
    }
    var DNS = "6ba7b810-9dad-11d1-80b4-00c04fd430c8";
    exports.DNS = DNS;
    var URL = "6ba7b811-9dad-11d1-80b4-00c04fd430c8";
    exports.URL = URL;
    function _default(name, version, hashfunc) {
      var generateUUID = function(value, namespace, buf, offset) {
        var off = buf && offset || 0;
        if (typeof value == "string")
          value = stringToBytes(value);
        if (typeof namespace == "string")
          namespace = uuidToBytes(namespace);
        if (!Array.isArray(value))
          throw TypeError("value must be an array of bytes");
        if (!Array.isArray(namespace) || namespace.length !== 16)
          throw TypeError("namespace must be uuid string or an Array of 16 byte values");
        var bytes = hashfunc(namespace.concat(value));
        bytes[6] = bytes[6] & 15 | version;
        bytes[8] = bytes[8] & 63 | 128;
        if (buf) {
          for (var idx = 0; idx < 16; ++idx) {
            buf[off + idx] = bytes[idx];
          }
        }
        return buf || (0, _bytesToUuid.default)(bytes);
      };
      try {
        generateUUID.name = name;
      } catch (err) {
      }
      generateUUID.DNS = DNS;
      generateUUID.URL = URL;
      return generateUUID;
    }
  }
});

// node_modules/uuid/dist/md5.js
var require_md5 = __commonJS({
  "node_modules/uuid/dist/md5.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;
    var _crypto = _interopRequireDefault(require("crypto"));
    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }
    function md5(bytes) {
      if (Array.isArray(bytes)) {
        bytes = Buffer.from(bytes);
      } else if (typeof bytes === "string") {
        bytes = Buffer.from(bytes, "utf8");
      }
      return _crypto.default.createHash("md5").update(bytes).digest();
    }
    var _default = md5;
    exports.default = _default;
  }
});

// node_modules/uuid/dist/v3.js
var require_v32 = __commonJS({
  "node_modules/uuid/dist/v3.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;
    var _v = _interopRequireDefault(require_v35());
    var _md = _interopRequireDefault(require_md5());
    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }
    var v3 = (0, _v.default)("v3", 48, _md.default);
    var _default = v3;
    exports.default = _default;
  }
});

// node_modules/uuid/dist/v4.js
var require_v42 = __commonJS({
  "node_modules/uuid/dist/v4.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;
    var _rng = _interopRequireDefault(require_rng());
    var _bytesToUuid = _interopRequireDefault(require_bytesToUuid());
    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }
    function v4(options, buf, offset) {
      var i = buf && offset || 0;
      if (typeof options == "string") {
        buf = options === "binary" ? new Array(16) : null;
        options = null;
      }
      options = options || {};
      var rnds = options.random || (options.rng || _rng.default)();
      rnds[6] = rnds[6] & 15 | 64;
      rnds[8] = rnds[8] & 63 | 128;
      if (buf) {
        for (var ii = 0; ii < 16; ++ii) {
          buf[i + ii] = rnds[ii];
        }
      }
      return buf || (0, _bytesToUuid.default)(rnds);
    }
    var _default = v4;
    exports.default = _default;
  }
});

// node_modules/uuid/dist/sha1.js
var require_sha1 = __commonJS({
  "node_modules/uuid/dist/sha1.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;
    var _crypto = _interopRequireDefault(require("crypto"));
    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }
    function sha1(bytes) {
      if (Array.isArray(bytes)) {
        bytes = Buffer.from(bytes);
      } else if (typeof bytes === "string") {
        bytes = Buffer.from(bytes, "utf8");
      }
      return _crypto.default.createHash("sha1").update(bytes).digest();
    }
    var _default = sha1;
    exports.default = _default;
  }
});

// node_modules/uuid/dist/v5.js
var require_v5 = __commonJS({
  "node_modules/uuid/dist/v5.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;
    var _v = _interopRequireDefault(require_v35());
    var _sha = _interopRequireDefault(require_sha1());
    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }
    var v5 = (0, _v.default)("v5", 80, _sha.default);
    var _default = v5;
    exports.default = _default;
  }
});

// node_modules/uuid/dist/index.js
var require_dist = __commonJS({
  "node_modules/uuid/dist/index.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    Object.defineProperty(exports, "v1", {
      enumerable: true,
      get: function() {
        return _v.default;
      }
    });
    Object.defineProperty(exports, "v3", {
      enumerable: true,
      get: function() {
        return _v2.default;
      }
    });
    Object.defineProperty(exports, "v4", {
      enumerable: true,
      get: function() {
        return _v3.default;
      }
    });
    Object.defineProperty(exports, "v5", {
      enumerable: true,
      get: function() {
        return _v4.default;
      }
    });
    var _v = _interopRequireDefault(require_v1());
    var _v2 = _interopRequireDefault(require_v32());
    var _v3 = _interopRequireDefault(require_v42());
    var _v4 = _interopRequireDefault(require_v5());
    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }
  }
});

// node_modules/aws-sdk/lib/util.js
var require_util = __commonJS({
  "node_modules/aws-sdk/lib/util.js"(exports, module2) {
    var AWS2;
    var util = {
      environment: "nodejs",
      engine: function engine() {
        if (util.isBrowser() && typeof navigator !== "undefined") {
          return navigator.userAgent;
        } else {
          var engine2 = process.platform + "/" + process.version;
          if (process.env.AWS_EXECUTION_ENV) {
            engine2 += " exec-env/" + process.env.AWS_EXECUTION_ENV;
          }
          return engine2;
        }
      },
      userAgent: function userAgent() {
        var name = util.environment;
        var agent = "aws-sdk-" + name + "/" + require_core().VERSION;
        if (name === "nodejs")
          agent += " " + util.engine();
        return agent;
      },
      uriEscape: function uriEscape(string) {
        var output = encodeURIComponent(string);
        output = output.replace(/[^A-Za-z0-9_.~\-%]+/g, escape);
        output = output.replace(/[*]/g, function(ch) {
          return "%" + ch.charCodeAt(0).toString(16).toUpperCase();
        });
        return output;
      },
      uriEscapePath: function uriEscapePath(string) {
        var parts = [];
        util.arrayEach(string.split("/"), function(part) {
          parts.push(util.uriEscape(part));
        });
        return parts.join("/");
      },
      urlParse: function urlParse(url) {
        return util.url.parse(url);
      },
      urlFormat: function urlFormat(url) {
        return util.url.format(url);
      },
      queryStringParse: function queryStringParse(qs) {
        return util.querystring.parse(qs);
      },
      queryParamsToString: function queryParamsToString(params) {
        var items = [];
        var escape2 = util.uriEscape;
        var sortedKeys = Object.keys(params).sort();
        util.arrayEach(sortedKeys, function(name) {
          var value = params[name];
          var ename = escape2(name);
          var result = ename + "=";
          if (Array.isArray(value)) {
            var vals = [];
            util.arrayEach(value, function(item) {
              vals.push(escape2(item));
            });
            result = ename + "=" + vals.sort().join("&" + ename + "=");
          } else if (value !== void 0 && value !== null) {
            result = ename + "=" + escape2(value);
          }
          items.push(result);
        });
        return items.join("&");
      },
      readFileSync: function readFileSync(path) {
        if (util.isBrowser())
          return null;
        return require("fs").readFileSync(path, "utf-8");
      },
      base64: {
        encode: function encode64(string) {
          if (typeof string === "number") {
            throw util.error(new Error("Cannot base64 encode number " + string));
          }
          if (string === null || typeof string === "undefined") {
            return string;
          }
          var buf = util.buffer.toBuffer(string);
          return buf.toString("base64");
        },
        decode: function decode64(string) {
          if (typeof string === "number") {
            throw util.error(new Error("Cannot base64 decode number " + string));
          }
          if (string === null || typeof string === "undefined") {
            return string;
          }
          return util.buffer.toBuffer(string, "base64");
        }
      },
      buffer: {
        /**
         * Buffer constructor for Node buffer and buffer pollyfill
         */
        toBuffer: function(data, encoding) {
          return typeof util.Buffer.from === "function" && util.Buffer.from !== Uint8Array.from ? util.Buffer.from(data, encoding) : new util.Buffer(data, encoding);
        },
        alloc: function(size, fill, encoding) {
          if (typeof size !== "number") {
            throw new Error("size passed to alloc must be a number.");
          }
          if (typeof util.Buffer.alloc === "function") {
            return util.Buffer.alloc(size, fill, encoding);
          } else {
            var buf = new util.Buffer(size);
            if (fill !== void 0 && typeof buf.fill === "function") {
              buf.fill(fill, void 0, void 0, encoding);
            }
            return buf;
          }
        },
        toStream: function toStream(buffer) {
          if (!util.Buffer.isBuffer(buffer))
            buffer = util.buffer.toBuffer(buffer);
          var readable = new util.stream.Readable();
          var pos = 0;
          readable._read = function(size) {
            if (pos >= buffer.length)
              return readable.push(null);
            var end = pos + size;
            if (end > buffer.length)
              end = buffer.length;
            readable.push(buffer.slice(pos, end));
            pos = end;
          };
          return readable;
        },
        /**
         * Concatenates a list of Buffer objects.
         */
        concat: function(buffers) {
          var length = 0, offset = 0, buffer = null, i;
          for (i = 0; i < buffers.length; i++) {
            length += buffers[i].length;
          }
          buffer = util.buffer.alloc(length);
          for (i = 0; i < buffers.length; i++) {
            buffers[i].copy(buffer, offset);
            offset += buffers[i].length;
          }
          return buffer;
        }
      },
      string: {
        byteLength: function byteLength(string) {
          if (string === null || string === void 0)
            return 0;
          if (typeof string === "string")
            string = util.buffer.toBuffer(string);
          if (typeof string.byteLength === "number") {
            return string.byteLength;
          } else if (typeof string.length === "number") {
            return string.length;
          } else if (typeof string.size === "number") {
            return string.size;
          } else if (typeof string.path === "string") {
            return require("fs").lstatSync(string.path).size;
          } else {
            throw util.error(
              new Error("Cannot determine length of " + string),
              { object: string }
            );
          }
        },
        upperFirst: function upperFirst(string) {
          return string[0].toUpperCase() + string.substr(1);
        },
        lowerFirst: function lowerFirst(string) {
          return string[0].toLowerCase() + string.substr(1);
        }
      },
      ini: {
        parse: function string(ini) {
          var currentSection, map = {};
          util.arrayEach(ini.split(/\r?\n/), function(line) {
            line = line.split(/(^|\s)[;#]/)[0].trim();
            var isSection = line[0] === "[" && line[line.length - 1] === "]";
            if (isSection) {
              currentSection = line.substring(1, line.length - 1);
              if (currentSection === "__proto__" || currentSection.split(/\s/)[1] === "__proto__") {
                throw util.error(
                  new Error("Cannot load profile name '" + currentSection + "' from shared ini file.")
                );
              }
            } else if (currentSection) {
              var indexOfEqualsSign = line.indexOf("=");
              var start = 0;
              var end = line.length - 1;
              var isAssignment = indexOfEqualsSign !== -1 && indexOfEqualsSign !== start && indexOfEqualsSign !== end;
              if (isAssignment) {
                var name = line.substring(0, indexOfEqualsSign).trim();
                var value = line.substring(indexOfEqualsSign + 1).trim();
                map[currentSection] = map[currentSection] || {};
                map[currentSection][name] = value;
              }
            }
          });
          return map;
        }
      },
      fn: {
        noop: function() {
        },
        callback: function(err) {
          if (err)
            throw err;
        },
        /**
         * Turn a synchronous function into as "async" function by making it call
         * a callback. The underlying function is called with all but the last argument,
         * which is treated as the callback. The callback is passed passed a first argument
         * of null on success to mimick standard node callbacks.
         */
        makeAsync: function makeAsync(fn, expectedArgs) {
          if (expectedArgs && expectedArgs <= fn.length) {
            return fn;
          }
          return function() {
            var args = Array.prototype.slice.call(arguments, 0);
            var callback = args.pop();
            var result = fn.apply(null, args);
            callback(result);
          };
        }
      },
      /**
       * Date and time utility functions.
       */
      date: {
        /**
         * @return [Date] the current JavaScript date object. Since all
         *   AWS services rely on this date object, you can override
         *   this function to provide a special time value to AWS service
         *   requests.
         */
        getDate: function getDate() {
          if (!AWS2)
            AWS2 = require_core();
          if (AWS2.config.systemClockOffset) {
            return new Date((/* @__PURE__ */ new Date()).getTime() + AWS2.config.systemClockOffset);
          } else {
            return /* @__PURE__ */ new Date();
          }
        },
        /**
         * @return [String] the date in ISO-8601 format
         */
        iso8601: function iso8601(date) {
          if (date === void 0) {
            date = util.date.getDate();
          }
          return date.toISOString().replace(/\.\d{3}Z$/, "Z");
        },
        /**
         * @return [String] the date in RFC 822 format
         */
        rfc822: function rfc822(date) {
          if (date === void 0) {
            date = util.date.getDate();
          }
          return date.toUTCString();
        },
        /**
         * @return [Integer] the UNIX timestamp value for the current time
         */
        unixTimestamp: function unixTimestamp(date) {
          if (date === void 0) {
            date = util.date.getDate();
          }
          return date.getTime() / 1e3;
        },
        /**
         * @param [String,number,Date] date
         * @return [Date]
         */
        from: function format(date) {
          if (typeof date === "number") {
            return new Date(date * 1e3);
          } else {
            return new Date(date);
          }
        },
        /**
         * Given a Date or date-like value, this function formats the
         * date into a string of the requested value.
         * @param [String,number,Date] date
         * @param [String] formatter Valid formats are:
         #   * 'iso8601'
         #   * 'rfc822'
         #   * 'unixTimestamp'
         * @return [String]
         */
        format: function format(date, formatter) {
          if (!formatter)
            formatter = "iso8601";
          return util.date[formatter](util.date.from(date));
        },
        parseTimestamp: function parseTimestamp(value) {
          if (typeof value === "number") {
            return new Date(value * 1e3);
          } else if (value.match(/^\d+$/)) {
            return new Date(value * 1e3);
          } else if (value.match(/^\d{4}/)) {
            return new Date(value);
          } else if (value.match(/^\w{3},/)) {
            return new Date(value);
          } else {
            throw util.error(
              new Error("unhandled timestamp format: " + value),
              { code: "TimestampParserError" }
            );
          }
        }
      },
      crypto: {
        crc32Table: [
          0,
          1996959894,
          3993919788,
          2567524794,
          124634137,
          1886057615,
          3915621685,
          2657392035,
          249268274,
          2044508324,
          3772115230,
          2547177864,
          162941995,
          2125561021,
          3887607047,
          2428444049,
          498536548,
          1789927666,
          4089016648,
          2227061214,
          450548861,
          1843258603,
          4107580753,
          2211677639,
          325883990,
          1684777152,
          4251122042,
          2321926636,
          335633487,
          1661365465,
          4195302755,
          2366115317,
          997073096,
          1281953886,
          3579855332,
          2724688242,
          1006888145,
          1258607687,
          3524101629,
          2768942443,
          901097722,
          1119000684,
          3686517206,
          2898065728,
          853044451,
          1172266101,
          3705015759,
          2882616665,
          651767980,
          1373503546,
          3369554304,
          3218104598,
          565507253,
          1454621731,
          3485111705,
          3099436303,
          671266974,
          1594198024,
          3322730930,
          2970347812,
          795835527,
          1483230225,
          3244367275,
          3060149565,
          1994146192,
          31158534,
          2563907772,
          4023717930,
          1907459465,
          112637215,
          2680153253,
          3904427059,
          2013776290,
          251722036,
          2517215374,
          3775830040,
          2137656763,
          141376813,
          2439277719,
          3865271297,
          1802195444,
          476864866,
          2238001368,
          4066508878,
          1812370925,
          453092731,
          2181625025,
          4111451223,
          1706088902,
          314042704,
          2344532202,
          4240017532,
          1658658271,
          366619977,
          2362670323,
          4224994405,
          1303535960,
          984961486,
          2747007092,
          3569037538,
          1256170817,
          1037604311,
          2765210733,
          3554079995,
          1131014506,
          879679996,
          2909243462,
          3663771856,
          1141124467,
          855842277,
          2852801631,
          3708648649,
          1342533948,
          654459306,
          3188396048,
          3373015174,
          1466479909,
          544179635,
          3110523913,
          3462522015,
          1591671054,
          702138776,
          2966460450,
          3352799412,
          1504918807,
          783551873,
          3082640443,
          3233442989,
          3988292384,
          2596254646,
          62317068,
          1957810842,
          3939845945,
          2647816111,
          81470997,
          1943803523,
          3814918930,
          2489596804,
          225274430,
          2053790376,
          3826175755,
          2466906013,
          167816743,
          2097651377,
          4027552580,
          2265490386,
          503444072,
          1762050814,
          4150417245,
          2154129355,
          426522225,
          1852507879,
          4275313526,
          2312317920,
          282753626,
          1742555852,
          4189708143,
          2394877945,
          397917763,
          1622183637,
          3604390888,
          2714866558,
          953729732,
          1340076626,
          3518719985,
          2797360999,
          1068828381,
          1219638859,
          3624741850,
          2936675148,
          906185462,
          1090812512,
          3747672003,
          2825379669,
          829329135,
          1181335161,
          3412177804,
          3160834842,
          628085408,
          1382605366,
          3423369109,
          3138078467,
          570562233,
          1426400815,
          3317316542,
          2998733608,
          733239954,
          1555261956,
          3268935591,
          3050360625,
          752459403,
          1541320221,
          2607071920,
          3965973030,
          1969922972,
          40735498,
          2617837225,
          3943577151,
          1913087877,
          83908371,
          2512341634,
          3803740692,
          2075208622,
          213261112,
          2463272603,
          3855990285,
          2094854071,
          198958881,
          2262029012,
          4057260610,
          1759359992,
          534414190,
          2176718541,
          4139329115,
          1873836001,
          414664567,
          2282248934,
          4279200368,
          1711684554,
          285281116,
          2405801727,
          4167216745,
          1634467795,
          376229701,
          2685067896,
          3608007406,
          1308918612,
          956543938,
          2808555105,
          3495958263,
          1231636301,
          1047427035,
          2932959818,
          3654703836,
          1088359270,
          936918e3,
          2847714899,
          3736837829,
          1202900863,
          817233897,
          3183342108,
          3401237130,
          1404277552,
          615818150,
          3134207493,
          3453421203,
          1423857449,
          601450431,
          3009837614,
          3294710456,
          1567103746,
          711928724,
          3020668471,
          3272380065,
          1510334235,
          755167117
        ],
        crc32: function crc32(data) {
          var tbl = util.crypto.crc32Table;
          var crc = 0 ^ -1;
          if (typeof data === "string") {
            data = util.buffer.toBuffer(data);
          }
          for (var i = 0; i < data.length; i++) {
            var code = data.readUInt8(i);
            crc = crc >>> 8 ^ tbl[(crc ^ code) & 255];
          }
          return (crc ^ -1) >>> 0;
        },
        hmac: function hmac(key, string, digest, fn) {
          if (!digest)
            digest = "binary";
          if (digest === "buffer") {
            digest = void 0;
          }
          if (!fn)
            fn = "sha256";
          if (typeof string === "string")
            string = util.buffer.toBuffer(string);
          return util.crypto.lib.createHmac(fn, key).update(string).digest(digest);
        },
        md5: function md5(data, digest, callback) {
          return util.crypto.hash("md5", data, digest, callback);
        },
        sha256: function sha256(data, digest, callback) {
          return util.crypto.hash("sha256", data, digest, callback);
        },
        hash: function(algorithm, data, digest, callback) {
          var hash = util.crypto.createHash(algorithm);
          if (!digest) {
            digest = "binary";
          }
          if (digest === "buffer") {
            digest = void 0;
          }
          if (typeof data === "string")
            data = util.buffer.toBuffer(data);
          var sliceFn = util.arraySliceFn(data);
          var isBuffer = util.Buffer.isBuffer(data);
          if (util.isBrowser() && typeof ArrayBuffer !== "undefined" && data && data.buffer instanceof ArrayBuffer)
            isBuffer = true;
          if (callback && typeof data === "object" && typeof data.on === "function" && !isBuffer) {
            data.on("data", function(chunk) {
              hash.update(chunk);
            });
            data.on("error", function(err) {
              callback(err);
            });
            data.on("end", function() {
              callback(null, hash.digest(digest));
            });
          } else if (callback && sliceFn && !isBuffer && typeof FileReader !== "undefined") {
            var index = 0, size = 1024 * 512;
            var reader = new FileReader();
            reader.onerror = function() {
              callback(new Error("Failed to read data."));
            };
            reader.onload = function() {
              var buf = new util.Buffer(new Uint8Array(reader.result));
              hash.update(buf);
              index += buf.length;
              reader._continueReading();
            };
            reader._continueReading = function() {
              if (index >= data.size) {
                callback(null, hash.digest(digest));
                return;
              }
              var back = index + size;
              if (back > data.size)
                back = data.size;
              reader.readAsArrayBuffer(sliceFn.call(data, index, back));
            };
            reader._continueReading();
          } else {
            if (util.isBrowser() && typeof data === "object" && !isBuffer) {
              data = new util.Buffer(new Uint8Array(data));
            }
            var out = hash.update(data).digest(digest);
            if (callback)
              callback(null, out);
            return out;
          }
        },
        toHex: function toHex(data) {
          var out = [];
          for (var i = 0; i < data.length; i++) {
            out.push(("0" + data.charCodeAt(i).toString(16)).substr(-2, 2));
          }
          return out.join("");
        },
        createHash: function createHash(algorithm) {
          return util.crypto.lib.createHash(algorithm);
        }
      },
      /** @!ignore */
      /* Abort constant */
      abort: {},
      each: function each(object, iterFunction) {
        for (var key in object) {
          if (Object.prototype.hasOwnProperty.call(object, key)) {
            var ret = iterFunction.call(this, key, object[key]);
            if (ret === util.abort)
              break;
          }
        }
      },
      arrayEach: function arrayEach(array, iterFunction) {
        for (var idx in array) {
          if (Object.prototype.hasOwnProperty.call(array, idx)) {
            var ret = iterFunction.call(this, array[idx], parseInt(idx, 10));
            if (ret === util.abort)
              break;
          }
        }
      },
      update: function update(obj1, obj2) {
        util.each(obj2, function iterator(key, item) {
          obj1[key] = item;
        });
        return obj1;
      },
      merge: function merge(obj1, obj2) {
        return util.update(util.copy(obj1), obj2);
      },
      copy: function copy(object) {
        if (object === null || object === void 0)
          return object;
        var dupe = {};
        for (var key in object) {
          dupe[key] = object[key];
        }
        return dupe;
      },
      isEmpty: function isEmpty(obj) {
        for (var prop in obj) {
          if (Object.prototype.hasOwnProperty.call(obj, prop)) {
            return false;
          }
        }
        return true;
      },
      arraySliceFn: function arraySliceFn(obj) {
        var fn = obj.slice || obj.webkitSlice || obj.mozSlice;
        return typeof fn === "function" ? fn : null;
      },
      isType: function isType(obj, type) {
        if (typeof type === "function")
          type = util.typeName(type);
        return Object.prototype.toString.call(obj) === "[object " + type + "]";
      },
      typeName: function typeName(type) {
        if (Object.prototype.hasOwnProperty.call(type, "name"))
          return type.name;
        var str = type.toString();
        var match = str.match(/^\s*function (.+)\(/);
        return match ? match[1] : str;
      },
      error: function error(err, options) {
        var originalError = null;
        if (typeof err.message === "string" && err.message !== "") {
          if (typeof options === "string" || options && options.message) {
            originalError = util.copy(err);
            originalError.message = err.message;
          }
        }
        err.message = err.message || null;
        if (typeof options === "string") {
          err.message = options;
        } else if (typeof options === "object" && options !== null) {
          util.update(err, options);
          if (options.message)
            err.message = options.message;
          if (options.code || options.name)
            err.code = options.code || options.name;
          if (options.stack)
            err.stack = options.stack;
        }
        if (typeof Object.defineProperty === "function") {
          Object.defineProperty(err, "name", { writable: true, enumerable: false });
          Object.defineProperty(err, "message", { enumerable: true });
        }
        err.name = String(options && options.name || err.name || err.code || "Error");
        err.time = /* @__PURE__ */ new Date();
        if (originalError) {
          err.originalError = originalError;
        }
        for (var key in options || {}) {
          if (key[0] === "[" && key[key.length - 1] === "]") {
            key = key.slice(1, -1);
            if (key === "code" || key === "message") {
              continue;
            }
            err["[" + key + "]"] = "See error." + key + " for details.";
            Object.defineProperty(err, key, {
              value: err[key] || options && options[key] || originalError && originalError[key],
              enumerable: false,
              writable: true
            });
          }
        }
        return err;
      },
      /**
       * @api private
       */
      inherit: function inherit(klass, features) {
        var newObject = null;
        if (features === void 0) {
          features = klass;
          klass = Object;
          newObject = {};
        } else {
          var ctor = function ConstructorWrapper() {
          };
          ctor.prototype = klass.prototype;
          newObject = new ctor();
        }
        if (features.constructor === Object) {
          features.constructor = function() {
            if (klass !== Object) {
              return klass.apply(this, arguments);
            }
          };
        }
        features.constructor.prototype = newObject;
        util.update(features.constructor.prototype, features);
        features.constructor.__super__ = klass;
        return features.constructor;
      },
      /**
       * @api private
       */
      mixin: function mixin() {
        var klass = arguments[0];
        for (var i = 1; i < arguments.length; i++) {
          for (var prop in arguments[i].prototype) {
            var fn = arguments[i].prototype[prop];
            if (prop !== "constructor") {
              klass.prototype[prop] = fn;
            }
          }
        }
        return klass;
      },
      /**
       * @api private
       */
      hideProperties: function hideProperties(obj, props) {
        if (typeof Object.defineProperty !== "function")
          return;
        util.arrayEach(props, function(key) {
          Object.defineProperty(obj, key, {
            enumerable: false,
            writable: true,
            configurable: true
          });
        });
      },
      /**
       * @api private
       */
      property: function property(obj, name, value, enumerable, isValue) {
        var opts = {
          configurable: true,
          enumerable: enumerable !== void 0 ? enumerable : true
        };
        if (typeof value === "function" && !isValue) {
          opts.get = value;
        } else {
          opts.value = value;
          opts.writable = true;
        }
        Object.defineProperty(obj, name, opts);
      },
      /**
       * @api private
       */
      memoizedProperty: function memoizedProperty(obj, name, get, enumerable) {
        var cachedValue = null;
        util.property(obj, name, function() {
          if (cachedValue === null) {
            cachedValue = get();
          }
          return cachedValue;
        }, enumerable);
      },
      /**
       * TODO Remove in major version revision
       * This backfill populates response data without the
       * top-level payload name.
       *
       * @api private
       */
      hoistPayloadMember: function hoistPayloadMember(resp) {
        var req = resp.request;
        var operationName = req.operation;
        var operation = req.service.api.operations[operationName];
        var output = operation.output;
        if (output.payload && !operation.hasEventOutput) {
          var payloadMember = output.members[output.payload];
          var responsePayload = resp.data[output.payload];
          if (payloadMember.type === "structure") {
            util.each(responsePayload, function(key, value) {
              util.property(resp.data, key, value, false);
            });
          }
        }
      },
      /**
       * Compute SHA-256 checksums of streams
       *
       * @api private
       */
      computeSha256: function computeSha256(body, done) {
        if (util.isNode()) {
          var Stream = util.stream.Stream;
          var fs = require("fs");
          if (typeof Stream === "function" && body instanceof Stream) {
            if (typeof body.path === "string") {
              var settings = {};
              if (typeof body.start === "number") {
                settings.start = body.start;
              }
              if (typeof body.end === "number") {
                settings.end = body.end;
              }
              body = fs.createReadStream(body.path, settings);
            } else {
              return done(new Error("Non-file stream objects are not supported with SigV4"));
            }
          }
        }
        util.crypto.sha256(body, "hex", function(err, sha) {
          if (err)
            done(err);
          else
            done(null, sha);
        });
      },
      /**
       * @api private
       */
      isClockSkewed: function isClockSkewed(serverTime) {
        if (serverTime) {
          util.property(
            AWS2.config,
            "isClockSkewed",
            Math.abs((/* @__PURE__ */ new Date()).getTime() - serverTime) >= 3e5,
            false
          );
          return AWS2.config.isClockSkewed;
        }
      },
      applyClockOffset: function applyClockOffset(serverTime) {
        if (serverTime)
          AWS2.config.systemClockOffset = serverTime - (/* @__PURE__ */ new Date()).getTime();
      },
      /**
       * @api private
       */
      extractRequestId: function extractRequestId(resp) {
        var requestId = resp.httpResponse.headers["x-amz-request-id"] || resp.httpResponse.headers["x-amzn-requestid"];
        if (!requestId && resp.data && resp.data.ResponseMetadata) {
          requestId = resp.data.ResponseMetadata.RequestId;
        }
        if (requestId) {
          resp.requestId = requestId;
        }
        if (resp.error) {
          resp.error.requestId = requestId;
        }
      },
      /**
       * @api private
       */
      addPromises: function addPromises(constructors, PromiseDependency) {
        var deletePromises = false;
        if (PromiseDependency === void 0 && AWS2 && AWS2.config) {
          PromiseDependency = AWS2.config.getPromisesDependency();
        }
        if (PromiseDependency === void 0 && typeof Promise !== "undefined") {
          PromiseDependency = Promise;
        }
        if (typeof PromiseDependency !== "function")
          deletePromises = true;
        if (!Array.isArray(constructors))
          constructors = [constructors];
        for (var ind = 0; ind < constructors.length; ind++) {
          var constructor = constructors[ind];
          if (deletePromises) {
            if (constructor.deletePromisesFromClass) {
              constructor.deletePromisesFromClass();
            }
          } else if (constructor.addPromisesToClass) {
            constructor.addPromisesToClass(PromiseDependency);
          }
        }
      },
      /**
       * @api private
       * Return a function that will return a promise whose fate is decided by the
       * callback behavior of the given method with `methodName`. The method to be
       * promisified should conform to node.js convention of accepting a callback as
       * last argument and calling that callback with error as the first argument
       * and success value on the second argument.
       */
      promisifyMethod: function promisifyMethod(methodName, PromiseDependency) {
        return function promise() {
          var self = this;
          var args = Array.prototype.slice.call(arguments);
          return new PromiseDependency(function(resolve, reject) {
            args.push(function(err, data) {
              if (err) {
                reject(err);
              } else {
                resolve(data);
              }
            });
            self[methodName].apply(self, args);
          });
        };
      },
      /**
       * @api private
       */
      isDualstackAvailable: function isDualstackAvailable(service) {
        if (!service)
          return false;
        var metadata = require_metadata();
        if (typeof service !== "string")
          service = service.serviceIdentifier;
        if (typeof service !== "string" || !metadata.hasOwnProperty(service))
          return false;
        return !!metadata[service].dualstackAvailable;
      },
      /**
       * @api private
       */
      calculateRetryDelay: function calculateRetryDelay(retryCount, retryDelayOptions, err) {
        if (!retryDelayOptions)
          retryDelayOptions = {};
        var customBackoff = retryDelayOptions.customBackoff || null;
        if (typeof customBackoff === "function") {
          return customBackoff(retryCount, err);
        }
        var base = typeof retryDelayOptions.base === "number" ? retryDelayOptions.base : 100;
        var delay = Math.random() * (Math.pow(2, retryCount) * base);
        return delay;
      },
      /**
       * @api private
       */
      handleRequestWithRetries: function handleRequestWithRetries(httpRequest, options, cb) {
        if (!options)
          options = {};
        var http = AWS2.HttpClient.getInstance();
        var httpOptions = options.httpOptions || {};
        var retryCount = 0;
        var errCallback = function(err) {
          var maxRetries = options.maxRetries || 0;
          if (err && err.code === "TimeoutError")
            err.retryable = true;
          if (err && err.retryable && retryCount < maxRetries) {
            var delay = util.calculateRetryDelay(retryCount, options.retryDelayOptions, err);
            if (delay >= 0) {
              retryCount++;
              setTimeout(sendRequest, delay + (err.retryAfter || 0));
              return;
            }
          }
          cb(err);
        };
        var sendRequest = function() {
          var data = "";
          http.handleRequest(httpRequest, httpOptions, function(httpResponse) {
            httpResponse.on("data", function(chunk) {
              data += chunk.toString();
            });
            httpResponse.on("end", function() {
              var statusCode = httpResponse.statusCode;
              if (statusCode < 300) {
                cb(null, data);
              } else {
                var retryAfter = parseInt(httpResponse.headers["retry-after"], 10) * 1e3 || 0;
                var err = util.error(
                  new Error(),
                  {
                    statusCode,
                    retryable: statusCode >= 500 || statusCode === 429
                  }
                );
                if (retryAfter && err.retryable)
                  err.retryAfter = retryAfter;
                errCallback(err);
              }
            });
          }, errCallback);
        };
        AWS2.util.defer(sendRequest);
      },
      /**
       * @api private
       */
      uuid: {
        v4: function uuidV4() {
          return require_dist().v4();
        }
      },
      /**
       * @api private
       */
      convertPayloadToString: function convertPayloadToString(resp) {
        var req = resp.request;
        var operation = req.operation;
        var rules = req.service.api.operations[operation].output || {};
        if (rules.payload && resp.data[rules.payload]) {
          resp.data[rules.payload] = resp.data[rules.payload].toString();
        }
      },
      /**
       * @api private
       */
      defer: function defer(callback) {
        if (typeof process === "object" && typeof process.nextTick === "function") {
          process.nextTick(callback);
        } else if (typeof setImmediate === "function") {
          setImmediate(callback);
        } else {
          setTimeout(callback, 0);
        }
      },
      /**
       * @api private
       */
      getRequestPayloadShape: function getRequestPayloadShape(req) {
        var operations = req.service.api.operations;
        if (!operations)
          return void 0;
        var operation = (operations || {})[req.operation];
        if (!operation || !operation.input || !operation.input.payload)
          return void 0;
        return operation.input.members[operation.input.payload];
      },
      getProfilesFromSharedConfig: function getProfilesFromSharedConfig(iniLoader, filename) {
        var profiles = {};
        var profilesFromConfig = {};
        if (process.env[util.configOptInEnv]) {
          var profilesFromConfig = iniLoader.loadFrom({
            isConfig: true,
            filename: process.env[util.sharedConfigFileEnv]
          });
        }
        var profilesFromCreds = {};
        try {
          var profilesFromCreds = iniLoader.loadFrom({
            filename: filename || process.env[util.configOptInEnv] && process.env[util.sharedCredentialsFileEnv]
          });
        } catch (error) {
          if (!process.env[util.configOptInEnv])
            throw error;
        }
        for (var i = 0, profileNames = Object.keys(profilesFromConfig); i < profileNames.length; i++) {
          profiles[profileNames[i]] = objectAssign(profiles[profileNames[i]] || {}, profilesFromConfig[profileNames[i]]);
        }
        for (var i = 0, profileNames = Object.keys(profilesFromCreds); i < profileNames.length; i++) {
          profiles[profileNames[i]] = objectAssign(profiles[profileNames[i]] || {}, profilesFromCreds[profileNames[i]]);
        }
        return profiles;
        function objectAssign(target, source) {
          for (var i2 = 0, keys = Object.keys(source); i2 < keys.length; i2++) {
            target[keys[i2]] = source[keys[i2]];
          }
          return target;
        }
      },
      /**
       * @api private
       */
      ARN: {
        validate: function validateARN(str) {
          return str && str.indexOf("arn:") === 0 && str.split(":").length >= 6;
        },
        parse: function parseARN(arn) {
          var matched = arn.split(":");
          return {
            partition: matched[1],
            service: matched[2],
            region: matched[3],
            accountId: matched[4],
            resource: matched.slice(5).join(":")
          };
        },
        build: function buildARN(arnObject) {
          if (arnObject.service === void 0 || arnObject.region === void 0 || arnObject.accountId === void 0 || arnObject.resource === void 0)
            throw util.error(new Error("Input ARN object is invalid"));
          return "arn:" + (arnObject.partition || "aws") + ":" + arnObject.service + ":" + arnObject.region + ":" + arnObject.accountId + ":" + arnObject.resource;
        }
      },
      /**
       * @api private
       */
      defaultProfile: "default",
      /**
       * @api private
       */
      configOptInEnv: "AWS_SDK_LOAD_CONFIG",
      /**
       * @api private
       */
      sharedCredentialsFileEnv: "AWS_SHARED_CREDENTIALS_FILE",
      /**
       * @api private
       */
      sharedConfigFileEnv: "AWS_CONFIG_FILE",
      /**
       * @api private
       */
      imdsDisabledEnv: "AWS_EC2_METADATA_DISABLED"
    };
    module2.exports = util;
  }
});

// node_modules/aws-sdk/lib/event-stream/event-message-chunker-stream.js
var require_event_message_chunker_stream = __commonJS({
  "node_modules/aws-sdk/lib/event-stream/event-message-chunker-stream.js"(exports, module2) {
    var util = require_core().util;
    var Transform = require("stream").Transform;
    var allocBuffer = util.buffer.alloc;
    function EventMessageChunkerStream(options) {
      Transform.call(this, options);
      this.currentMessageTotalLength = 0;
      this.currentMessagePendingLength = 0;
      this.currentMessage = null;
      this.messageLengthBuffer = null;
    }
    EventMessageChunkerStream.prototype = Object.create(Transform.prototype);
    EventMessageChunkerStream.prototype._transform = function(chunk, encoding, callback) {
      var chunkLength = chunk.length;
      var currentOffset = 0;
      while (currentOffset < chunkLength) {
        if (!this.currentMessage) {
          var bytesRemaining = chunkLength - currentOffset;
          if (!this.messageLengthBuffer) {
            this.messageLengthBuffer = allocBuffer(4);
          }
          var numBytesForTotal = Math.min(
            4 - this.currentMessagePendingLength,
            // remaining bytes to fill the messageLengthBuffer
            bytesRemaining
            // bytes left in chunk
          );
          chunk.copy(
            this.messageLengthBuffer,
            this.currentMessagePendingLength,
            currentOffset,
            currentOffset + numBytesForTotal
          );
          this.currentMessagePendingLength += numBytesForTotal;
          currentOffset += numBytesForTotal;
          if (this.currentMessagePendingLength < 4) {
            break;
          }
          this.allocateMessage(this.messageLengthBuffer.readUInt32BE(0));
          this.messageLengthBuffer = null;
        }
        var numBytesToWrite = Math.min(
          this.currentMessageTotalLength - this.currentMessagePendingLength,
          // number of bytes left to complete message
          chunkLength - currentOffset
          // number of bytes left in the original chunk
        );
        chunk.copy(
          this.currentMessage,
          // target buffer
          this.currentMessagePendingLength,
          // target offset
          currentOffset,
          // chunk offset
          currentOffset + numBytesToWrite
          // chunk end to write
        );
        this.currentMessagePendingLength += numBytesToWrite;
        currentOffset += numBytesToWrite;
        if (this.currentMessageTotalLength && this.currentMessageTotalLength === this.currentMessagePendingLength) {
          this.push(this.currentMessage);
          this.currentMessage = null;
          this.currentMessageTotalLength = 0;
          this.currentMessagePendingLength = 0;
        }
      }
      callback();
    };
    EventMessageChunkerStream.prototype._flush = function(callback) {
      if (this.currentMessageTotalLength) {
        if (this.currentMessageTotalLength === this.currentMessagePendingLength) {
          callback(null, this.currentMessage);
        } else {
          callback(new Error("Truncated event message received."));
        }
      } else {
        callback();
      }
    };
    EventMessageChunkerStream.prototype.allocateMessage = function(size) {
      if (typeof size !== "number") {
        throw new Error("Attempted to allocate an event message where size was not a number: " + size);
      }
      this.currentMessageTotalLength = size;
      this.currentMessagePendingLength = 4;
      this.currentMessage = allocBuffer(size);
      this.currentMessage.writeUInt32BE(size, 0);
    };
    module2.exports = {
      EventMessageChunkerStream
    };
  }
});

// node_modules/aws-sdk/lib/event-stream/int64.js
var require_int64 = __commonJS({
  "node_modules/aws-sdk/lib/event-stream/int64.js"(exports, module2) {
    var util = require_core().util;
    var toBuffer = util.buffer.toBuffer;
    function Int64(bytes) {
      if (bytes.length !== 8) {
        throw new Error("Int64 buffers must be exactly 8 bytes");
      }
      if (!util.Buffer.isBuffer(bytes))
        bytes = toBuffer(bytes);
      this.bytes = bytes;
    }
    Int64.fromNumber = function(number) {
      if (number > 9223372036854776e3 || number < -9223372036854776e3) {
        throw new Error(
          number + " is too large (or, if negative, too small) to represent as an Int64"
        );
      }
      var bytes = new Uint8Array(8);
      for (var i = 7, remaining = Math.abs(Math.round(number)); i > -1 && remaining > 0; i--, remaining /= 256) {
        bytes[i] = remaining;
      }
      if (number < 0) {
        negate(bytes);
      }
      return new Int64(bytes);
    };
    Int64.prototype.valueOf = function() {
      var bytes = this.bytes.slice(0);
      var negative = bytes[0] & 128;
      if (negative) {
        negate(bytes);
      }
      return parseInt(bytes.toString("hex"), 16) * (negative ? -1 : 1);
    };
    Int64.prototype.toString = function() {
      return String(this.valueOf());
    };
    function negate(bytes) {
      for (var i = 0; i < 8; i++) {
        bytes[i] ^= 255;
      }
      for (var i = 7; i > -1; i--) {
        bytes[i]++;
        if (bytes[i] !== 0) {
          break;
        }
      }
    }
    module2.exports = {
      Int64
    };
  }
});

// node_modules/aws-sdk/lib/event-stream/split-message.js
var require_split_message = __commonJS({
  "node_modules/aws-sdk/lib/event-stream/split-message.js"(exports, module2) {
    var util = require_core().util;
    var toBuffer = util.buffer.toBuffer;
    var PRELUDE_MEMBER_LENGTH = 4;
    var PRELUDE_LENGTH = PRELUDE_MEMBER_LENGTH * 2;
    var CHECKSUM_LENGTH = 4;
    var MINIMUM_MESSAGE_LENGTH = PRELUDE_LENGTH + CHECKSUM_LENGTH * 2;
    function splitMessage(message) {
      if (!util.Buffer.isBuffer(message))
        message = toBuffer(message);
      if (message.length < MINIMUM_MESSAGE_LENGTH) {
        throw new Error("Provided message too short to accommodate event stream message overhead");
      }
      if (message.length !== message.readUInt32BE(0)) {
        throw new Error("Reported message length does not match received message length");
      }
      var expectedPreludeChecksum = message.readUInt32BE(PRELUDE_LENGTH);
      if (expectedPreludeChecksum !== util.crypto.crc32(
        message.slice(0, PRELUDE_LENGTH)
      )) {
        throw new Error(
          "The prelude checksum specified in the message (" + expectedPreludeChecksum + ") does not match the calculated CRC32 checksum."
        );
      }
      var expectedMessageChecksum = message.readUInt32BE(message.length - CHECKSUM_LENGTH);
      if (expectedMessageChecksum !== util.crypto.crc32(
        message.slice(0, message.length - CHECKSUM_LENGTH)
      )) {
        throw new Error(
          "The message checksum did not match the expected value of " + expectedMessageChecksum
        );
      }
      var headersStart = PRELUDE_LENGTH + CHECKSUM_LENGTH;
      var headersEnd = headersStart + message.readUInt32BE(PRELUDE_MEMBER_LENGTH);
      return {
        headers: message.slice(headersStart, headersEnd),
        body: message.slice(headersEnd, message.length - CHECKSUM_LENGTH)
      };
    }
    module2.exports = {
      splitMessage
    };
  }
});

// node_modules/aws-sdk/lib/event-stream/parse-message.js
var require_parse_message = __commonJS({
  "node_modules/aws-sdk/lib/event-stream/parse-message.js"(exports, module2) {
    var Int64 = require_int64().Int64;
    var splitMessage = require_split_message().splitMessage;
    var BOOLEAN_TAG = "boolean";
    var BYTE_TAG = "byte";
    var SHORT_TAG = "short";
    var INT_TAG = "integer";
    var LONG_TAG = "long";
    var BINARY_TAG = "binary";
    var STRING_TAG = "string";
    var TIMESTAMP_TAG = "timestamp";
    var UUID_TAG = "uuid";
    function parseHeaders(headers) {
      var out = {};
      var position = 0;
      while (position < headers.length) {
        var nameLength = headers.readUInt8(position++);
        var name = headers.slice(position, position + nameLength).toString();
        position += nameLength;
        switch (headers.readUInt8(position++)) {
          case 0:
            out[name] = {
              type: BOOLEAN_TAG,
              value: true
            };
            break;
          case 1:
            out[name] = {
              type: BOOLEAN_TAG,
              value: false
            };
            break;
          case 2:
            out[name] = {
              type: BYTE_TAG,
              value: headers.readInt8(position++)
            };
            break;
          case 3:
            out[name] = {
              type: SHORT_TAG,
              value: headers.readInt16BE(position)
            };
            position += 2;
            break;
          case 4:
            out[name] = {
              type: INT_TAG,
              value: headers.readInt32BE(position)
            };
            position += 4;
            break;
          case 5:
            out[name] = {
              type: LONG_TAG,
              value: new Int64(headers.slice(position, position + 8))
            };
            position += 8;
            break;
          case 6:
            var binaryLength = headers.readUInt16BE(position);
            position += 2;
            out[name] = {
              type: BINARY_TAG,
              value: headers.slice(position, position + binaryLength)
            };
            position += binaryLength;
            break;
          case 7:
            var stringLength = headers.readUInt16BE(position);
            position += 2;
            out[name] = {
              type: STRING_TAG,
              value: headers.slice(
                position,
                position + stringLength
              ).toString()
            };
            position += stringLength;
            break;
          case 8:
            out[name] = {
              type: TIMESTAMP_TAG,
              value: new Date(
                new Int64(headers.slice(position, position + 8)).valueOf()
              )
            };
            position += 8;
            break;
          case 9:
            var uuidChars = headers.slice(position, position + 16).toString("hex");
            position += 16;
            out[name] = {
              type: UUID_TAG,
              value: uuidChars.substr(0, 8) + "-" + uuidChars.substr(8, 4) + "-" + uuidChars.substr(12, 4) + "-" + uuidChars.substr(16, 4) + "-" + uuidChars.substr(20)
            };
            break;
          default:
            throw new Error("Unrecognized header type tag");
        }
      }
      return out;
    }
    function parseMessage(message) {
      var parsed = splitMessage(message);
      return { headers: parseHeaders(parsed.headers), body: parsed.body };
    }
    module2.exports = {
      parseMessage
    };
  }
});

// node_modules/aws-sdk/lib/event-stream/parse-event.js
var require_parse_event = __commonJS({
  "node_modules/aws-sdk/lib/event-stream/parse-event.js"(exports, module2) {
    var parseMessage = require_parse_message().parseMessage;
    function parseEvent(parser, message, shape) {
      var parsedMessage = parseMessage(message);
      var messageType = parsedMessage.headers[":message-type"];
      if (messageType) {
        if (messageType.value === "error") {
          throw parseError(parsedMessage);
        } else if (messageType.value !== "event") {
          return;
        }
      }
      var eventType = parsedMessage.headers[":event-type"];
      var eventModel = shape.members[eventType.value];
      if (!eventModel) {
        return;
      }
      var result = {};
      var eventPayloadMemberName = eventModel.eventPayloadMemberName;
      if (eventPayloadMemberName) {
        var payloadShape = eventModel.members[eventPayloadMemberName];
        if (payloadShape.type === "binary") {
          result[eventPayloadMemberName] = parsedMessage.body;
        } else {
          result[eventPayloadMemberName] = parser.parse(parsedMessage.body.toString(), payloadShape);
        }
      }
      var eventHeaderNames = eventModel.eventHeaderMemberNames;
      for (var i = 0; i < eventHeaderNames.length; i++) {
        var name = eventHeaderNames[i];
        if (parsedMessage.headers[name]) {
          result[name] = eventModel.members[name].toType(parsedMessage.headers[name].value);
        }
      }
      var output = {};
      output[eventType.value] = result;
      return output;
    }
    function parseError(message) {
      var errorCode = message.headers[":error-code"];
      var errorMessage = message.headers[":error-message"];
      var error = new Error(errorMessage.value || errorMessage);
      error.code = error.name = errorCode.value || errorCode;
      return error;
    }
    module2.exports = {
      parseEvent
    };
  }
});

// node_modules/aws-sdk/lib/event-stream/event-message-unmarshaller-stream.js
var require_event_message_unmarshaller_stream = __commonJS({
  "node_modules/aws-sdk/lib/event-stream/event-message-unmarshaller-stream.js"(exports, module2) {
    var Transform = require("stream").Transform;
    var parseEvent = require_parse_event().parseEvent;
    function EventUnmarshallerStream(options) {
      options = options || {};
      options.readableObjectMode = true;
      Transform.call(this, options);
      this._readableState.objectMode = true;
      this.parser = options.parser;
      this.eventStreamModel = options.eventStreamModel;
    }
    EventUnmarshallerStream.prototype = Object.create(Transform.prototype);
    EventUnmarshallerStream.prototype._transform = function(chunk, encoding, callback) {
      try {
        var event = parseEvent(this.parser, chunk, this.eventStreamModel);
        this.push(event);
        return callback();
      } catch (err) {
        callback(err);
      }
    };
    module2.exports = {
      EventUnmarshallerStream
    };
  }
});

// node_modules/aws-sdk/lib/event-stream/streaming-create-event-stream.js
var require_streaming_create_event_stream = __commonJS({
  "node_modules/aws-sdk/lib/event-stream/streaming-create-event-stream.js"(exports, module2) {
    var EventMessageChunkerStream = require_event_message_chunker_stream().EventMessageChunkerStream;
    var EventUnmarshallerStream = require_event_message_unmarshaller_stream().EventUnmarshallerStream;
    function createEventStream(stream, parser, model) {
      var eventStream = new EventUnmarshallerStream({
        parser,
        eventStreamModel: model
      });
      var eventMessageChunker = new EventMessageChunkerStream();
      stream.pipe(
        eventMessageChunker
      ).pipe(eventStream);
      stream.on("error", function(err) {
        eventMessageChunker.emit("error", err);
      });
      eventMessageChunker.on("error", function(err) {
        eventStream.emit("error", err);
      });
      return eventStream;
    }
    module2.exports = {
      createEventStream
    };
  }
});

// node_modules/aws-sdk/lib/event-stream/event-message-chunker.js
var require_event_message_chunker = __commonJS({
  "node_modules/aws-sdk/lib/event-stream/event-message-chunker.js"(exports, module2) {
    function eventMessageChunker(buffer) {
      var messages = [];
      var offset = 0;
      while (offset < buffer.length) {
        var totalLength = buffer.readInt32BE(offset);
        var message = buffer.slice(offset, totalLength + offset);
        offset += totalLength;
        messages.push(message);
      }
      return messages;
    }
    module2.exports = {
      eventMessageChunker
    };
  }
});

// node_modules/aws-sdk/lib/event-stream/buffered-create-event-stream.js
var require_buffered_create_event_stream = __commonJS({
  "node_modules/aws-sdk/lib/event-stream/buffered-create-event-stream.js"(exports, module2) {
    var eventMessageChunker = require_event_message_chunker().eventMessageChunker;
    var parseEvent = require_parse_event().parseEvent;
    function createEventStream(body, parser, model) {
      var eventMessages = eventMessageChunker(body);
      var events = [];
      for (var i = 0; i < eventMessages.length; i++) {
        events.push(parseEvent(parser, eventMessages[i], model));
      }
      return events;
    }
    module2.exports = {
      createEventStream
    };
  }
});

// node_modules/aws-sdk/lib/realclock/nodeClock.js
var require_nodeClock = __commonJS({
  "node_modules/aws-sdk/lib/realclock/nodeClock.js"(exports, module2) {
    module2.exports = {
      //provide realtime clock for performance measurement
      now: function now() {
        var second = process.hrtime();
        return second[0] * 1e3 + second[1] / 1e6;
      }
    };
  }
});

// node_modules/aws-sdk/lib/publisher/index.js
var require_publisher = __commonJS({
  "node_modules/aws-sdk/lib/publisher/index.js"(exports, module2) {
    var util = require_core().util;
    var dgram = require("dgram");
    var stringToBuffer = util.buffer.toBuffer;
    var MAX_MESSAGE_SIZE = 1024 * 8;
    function Publisher(options) {
      options = options || {};
      this.enabled = options.enabled || false;
      this.port = options.port || 31e3;
      this.clientId = options.clientId || "";
      this.address = options.host || "127.0.0.1";
      if (this.clientId.length > 255) {
        this.clientId = this.clientId.substr(0, 255);
      }
      this.messagesInFlight = 0;
    }
    Publisher.prototype.fieldsToTrim = {
      UserAgent: 256,
      SdkException: 128,
      SdkExceptionMessage: 512,
      AwsException: 128,
      AwsExceptionMessage: 512,
      FinalSdkException: 128,
      FinalSdkExceptionMessage: 512,
      FinalAwsException: 128,
      FinalAwsExceptionMessage: 512
    };
    Publisher.prototype.trimFields = function(event) {
      var trimmableFields = Object.keys(this.fieldsToTrim);
      for (var i = 0, iLen = trimmableFields.length; i < iLen; i++) {
        var field = trimmableFields[i];
        if (event.hasOwnProperty(field)) {
          var maxLength = this.fieldsToTrim[field];
          var value = event[field];
          if (value && value.length > maxLength) {
            event[field] = value.substr(0, maxLength);
          }
        }
      }
      return event;
    };
    Publisher.prototype.eventHandler = function(event) {
      event.ClientId = this.clientId;
      this.trimFields(event);
      var message = stringToBuffer(JSON.stringify(event));
      if (!this.enabled || message.length > MAX_MESSAGE_SIZE) {
        return;
      }
      this.publishDatagram(message);
    };
    Publisher.prototype.publishDatagram = function(message) {
      var self = this;
      var client = this.getClient();
      this.messagesInFlight++;
      this.client.send(message, 0, message.length, this.port, this.address, function(err, bytes) {
        if (--self.messagesInFlight <= 0) {
          self.destroyClient();
        }
      });
    };
    Publisher.prototype.getClient = function() {
      if (!this.client) {
        this.client = dgram.createSocket("udp4");
      }
      return this.client;
    };
    Publisher.prototype.destroyClient = function() {
      if (this.client) {
        this.client.close();
        this.client = void 0;
      }
    };
    module2.exports = {
      Publisher
    };
  }
});

// node_modules/aws-sdk/lib/publisher/configuration.js
var require_configuration = __commonJS({
  "node_modules/aws-sdk/lib/publisher/configuration.js"(exports, module2) {
    var AWS2 = require_core();
    function resolveMonitoringConfig() {
      var config = {
        port: void 0,
        clientId: void 0,
        enabled: void 0,
        host: void 0
      };
      if (fromEnvironment(config) || fromConfigFile(config))
        return toJSType(config);
      return toJSType(config);
    }
    function fromEnvironment(config) {
      config.port = config.port || process.env.AWS_CSM_PORT;
      config.enabled = config.enabled || process.env.AWS_CSM_ENABLED;
      config.clientId = config.clientId || process.env.AWS_CSM_CLIENT_ID;
      config.host = config.host || process.env.AWS_CSM_HOST;
      return config.port && config.enabled && config.clientId && config.host || ["false", "0"].indexOf(config.enabled) >= 0;
    }
    function fromConfigFile(config) {
      var sharedFileConfig;
      try {
        var configFile = AWS2.util.iniLoader.loadFrom({
          isConfig: true,
          filename: process.env[AWS2.util.sharedConfigFileEnv]
        });
        var sharedFileConfig = configFile[process.env.AWS_PROFILE || AWS2.util.defaultProfile];
      } catch (err) {
        return false;
      }
      if (!sharedFileConfig)
        return config;
      config.port = config.port || sharedFileConfig.csm_port;
      config.enabled = config.enabled || sharedFileConfig.csm_enabled;
      config.clientId = config.clientId || sharedFileConfig.csm_client_id;
      config.host = config.host || sharedFileConfig.csm_host;
      return config.port && config.enabled && config.clientId && config.host;
    }
    function toJSType(config) {
      var falsyNotations = ["false", "0", void 0];
      if (!config.enabled || falsyNotations.indexOf(config.enabled.toLowerCase()) >= 0) {
        config.enabled = false;
      } else {
        config.enabled = true;
      }
      config.port = config.port ? parseInt(config.port, 10) : void 0;
      return config;
    }
    module2.exports = resolveMonitoringConfig;
  }
});

// node_modules/aws-sdk/lib/shared-ini/ini-loader.js
var require_ini_loader = __commonJS({
  "node_modules/aws-sdk/lib/shared-ini/ini-loader.js"(exports, module2) {
    var AWS2 = require_core();
    var os = require("os");
    var path = require("path");
    function parseFile(filename) {
      return AWS2.util.ini.parse(AWS2.util.readFileSync(filename));
    }
    function getProfiles(fileContent) {
      var tmpContent = {};
      Object.keys(fileContent).forEach(function(sectionName) {
        if (/^sso-session\s/.test(sectionName))
          return;
        Object.defineProperty(tmpContent, sectionName.replace(/^profile\s/, ""), {
          value: fileContent[sectionName],
          enumerable: true
        });
      });
      return tmpContent;
    }
    function getSsoSessions(fileContent) {
      var tmpContent = {};
      Object.keys(fileContent).forEach(function(sectionName) {
        if (!/^sso-session\s/.test(sectionName))
          return;
        Object.defineProperty(tmpContent, sectionName.replace(/^sso-session\s/, ""), {
          value: fileContent[sectionName],
          enumerable: true
        });
      });
      return tmpContent;
    }
    AWS2.IniLoader = AWS2.util.inherit({
      constructor: function IniLoader2() {
        this.resolvedProfiles = {};
        this.resolvedSsoSessions = {};
      },
      /** Remove all cached files. Used after config files are updated. */
      clearCachedFiles: function clearCachedFiles() {
        this.resolvedProfiles = {};
        this.resolvedSsoSessions = {};
      },
      /**
       * Load configurations from config/credentials files and cache them
       * for later use. If no file is specified it will try to load default files.
       *
       * @param options [map] information describing the file
       * @option options filename [String] ('~/.aws/credentials' or defined by
       *   AWS_SHARED_CREDENTIALS_FILE process env var or '~/.aws/config' if
       *   isConfig is set to true)
       *   path to the file to be read.
       * @option options isConfig [Boolean] (false) True to read config file.
       * @return [map<String,String>] object containing contents from file in key-value
       *   pairs.
       */
      loadFrom: function loadFrom(options) {
        options = options || {};
        var isConfig = options.isConfig === true;
        var filename = options.filename || this.getDefaultFilePath(isConfig);
        if (!this.resolvedProfiles[filename]) {
          var fileContent = parseFile(filename);
          if (isConfig) {
            Object.defineProperty(this.resolvedProfiles, filename, {
              value: getProfiles(fileContent)
            });
          } else {
            Object.defineProperty(this.resolvedProfiles, filename, { value: fileContent });
          }
        }
        return this.resolvedProfiles[filename];
      },
      /**
       * Load sso sessions from config/credentials files and cache them
       * for later use. If no file is specified it will try to load default file.
       *
       * @param options [map] information describing the file
       * @option options filename [String] ('~/.aws/config' or defined by
       *   AWS_CONFIG_FILE process env var)
       * @return [map<String,String>] object containing contents from file in key-value
       *   pairs.
       */
      loadSsoSessionsFrom: function loadSsoSessionsFrom(options) {
        options = options || {};
        var filename = options.filename || this.getDefaultFilePath(true);
        if (!this.resolvedSsoSessions[filename]) {
          var fileContent = parseFile(filename);
          Object.defineProperty(this.resolvedSsoSessions, filename, {
            value: getSsoSessions(fileContent)
          });
        }
        return this.resolvedSsoSessions[filename];
      },
      /**
       * @api private
       */
      getDefaultFilePath: function getDefaultFilePath(isConfig) {
        return path.join(
          this.getHomeDir(),
          ".aws",
          isConfig ? "config" : "credentials"
        );
      },
      /**
       * @api private
       */
      getHomeDir: function getHomeDir() {
        var env = process.env;
        var home = env.HOME || env.USERPROFILE || (env.HOMEPATH ? (env.HOMEDRIVE || "C:/") + env.HOMEPATH : null);
        if (home) {
          return home;
        }
        if (typeof os.homedir === "function") {
          return os.homedir();
        }
        throw AWS2.util.error(
          new Error("Cannot load credentials, HOME path not set")
        );
      }
    });
    var IniLoader = AWS2.IniLoader;
    module2.exports = {
      IniLoader
    };
  }
});

// node_modules/aws-sdk/lib/shared-ini/index.js
var require_shared_ini = __commonJS({
  "node_modules/aws-sdk/lib/shared-ini/index.js"(exports, module2) {
    var IniLoader = require_ini_loader().IniLoader;
    module2.exports.iniLoader = new IniLoader();
  }
});

// node_modules/aws-sdk/lib/config_regional_endpoint.js
var require_config_regional_endpoint = __commonJS({
  "node_modules/aws-sdk/lib/config_regional_endpoint.js"(exports, module2) {
    var AWS2 = require_core();
    function validateRegionalEndpointsFlagValue(configValue, errorOptions) {
      if (typeof configValue !== "string")
        return void 0;
      else if (["legacy", "regional"].indexOf(configValue.toLowerCase()) >= 0) {
        return configValue.toLowerCase();
      } else {
        throw AWS2.util.error(new Error(), errorOptions);
      }
    }
    function resolveRegionalEndpointsFlag(originalConfig, options) {
      originalConfig = originalConfig || {};
      var resolved;
      if (originalConfig[options.clientConfig]) {
        resolved = validateRegionalEndpointsFlagValue(originalConfig[options.clientConfig], {
          code: "InvalidConfiguration",
          message: 'invalid "' + options.clientConfig + '" configuration. Expect "legacy"  or "regional". Got "' + originalConfig[options.clientConfig] + '".'
        });
        if (resolved)
          return resolved;
      }
      if (!AWS2.util.isNode())
        return resolved;
      if (Object.prototype.hasOwnProperty.call(process.env, options.env)) {
        var envFlag = process.env[options.env];
        resolved = validateRegionalEndpointsFlagValue(envFlag, {
          code: "InvalidEnvironmentalVariable",
          message: "invalid " + options.env + ' environmental variable. Expect "legacy"  or "regional". Got "' + process.env[options.env] + '".'
        });
        if (resolved)
          return resolved;
      }
      var profile = {};
      try {
        var profiles = AWS2.util.getProfilesFromSharedConfig(AWS2.util.iniLoader);
        profile = profiles[process.env.AWS_PROFILE || AWS2.util.defaultProfile];
      } catch (e) {
      }
      ;
      if (profile && Object.prototype.hasOwnProperty.call(profile, options.sharedConfig)) {
        var fileFlag = profile[options.sharedConfig];
        resolved = validateRegionalEndpointsFlagValue(fileFlag, {
          code: "InvalidConfiguration",
          message: "invalid " + options.sharedConfig + ' profile config. Expect "legacy"  or "regional". Got "' + profile[options.sharedConfig] + '".'
        });
        if (resolved)
          return resolved;
      }
      return resolved;
    }
    module2.exports = resolveRegionalEndpointsFlag;
  }
});

// node_modules/aws-sdk/lib/services/sts.js
var require_sts = __commonJS({
  "node_modules/aws-sdk/lib/services/sts.js"() {
    var AWS2 = require_core();
    var resolveRegionalEndpointsFlag = require_config_regional_endpoint();
    var ENV_REGIONAL_ENDPOINT_ENABLED = "AWS_STS_REGIONAL_ENDPOINTS";
    var CONFIG_REGIONAL_ENDPOINT_ENABLED = "sts_regional_endpoints";
    AWS2.util.update(AWS2.STS.prototype, {
      /**
       * @overload credentialsFrom(data, credentials = null)
       *   Creates a credentials object from STS response data containing
       *   credentials information. Useful for quickly setting AWS credentials.
       *
       *   @note This is a low-level utility function. If you want to load temporary
       *     credentials into your process for subsequent requests to AWS resources,
       *     you should use {AWS.TemporaryCredentials} instead.
       *   @param data [map] data retrieved from a call to {getFederatedToken},
       *     {getSessionToken}, {assumeRole}, or {assumeRoleWithWebIdentity}.
       *   @param credentials [AWS.Credentials] an optional credentials object to
       *     fill instead of creating a new object. Useful when modifying an
       *     existing credentials object from a refresh call.
       *   @return [AWS.TemporaryCredentials] the set of temporary credentials
       *     loaded from a raw STS operation response.
       *   @example Using credentialsFrom to load global AWS credentials
       *     var sts = new AWS.STS();
       *     sts.getSessionToken(function (err, data) {
       *       if (err) console.log("Error getting credentials");
       *       else {
       *         AWS.config.credentials = sts.credentialsFrom(data);
       *       }
       *     });
       *   @see AWS.TemporaryCredentials
       */
      credentialsFrom: function credentialsFrom(data, credentials) {
        if (!data)
          return null;
        if (!credentials)
          credentials = new AWS2.TemporaryCredentials();
        credentials.expired = false;
        credentials.accessKeyId = data.Credentials.AccessKeyId;
        credentials.secretAccessKey = data.Credentials.SecretAccessKey;
        credentials.sessionToken = data.Credentials.SessionToken;
        credentials.expireTime = data.Credentials.Expiration;
        return credentials;
      },
      assumeRoleWithWebIdentity: function assumeRoleWithWebIdentity(params, callback) {
        return this.makeUnauthenticatedRequest("assumeRoleWithWebIdentity", params, callback);
      },
      assumeRoleWithSAML: function assumeRoleWithSAML(params, callback) {
        return this.makeUnauthenticatedRequest("assumeRoleWithSAML", params, callback);
      },
      /**
       * @api private
       */
      setupRequestListeners: function setupRequestListeners(request) {
        request.addListener("validate", this.optInRegionalEndpoint, true);
      },
      /**
       * @api private
       */
      optInRegionalEndpoint: function optInRegionalEndpoint(req) {
        var service = req.service;
        var config = service.config;
        config.stsRegionalEndpoints = resolveRegionalEndpointsFlag(service._originalConfig, {
          env: ENV_REGIONAL_ENDPOINT_ENABLED,
          sharedConfig: CONFIG_REGIONAL_ENDPOINT_ENABLED,
          clientConfig: "stsRegionalEndpoints"
        });
        if (config.stsRegionalEndpoints === "regional" && service.isGlobalEndpoint) {
          if (!config.region) {
            throw AWS2.util.error(
              new Error(),
              { code: "ConfigError", message: "Missing region in config" }
            );
          }
          var insertPoint = config.endpoint.indexOf(".amazonaws.com");
          var regionalEndpoint2 = config.endpoint.substring(0, insertPoint) + "." + config.region + config.endpoint.substring(insertPoint);
          req.httpRequest.updateEndpoint(regionalEndpoint2);
          req.httpRequest.region = config.region;
        }
      }
    });
  }
});

// node_modules/aws-sdk/apis/sts-2011-06-15.min.json
var require_sts_2011_06_15_min = __commonJS({
  "node_modules/aws-sdk/apis/sts-2011-06-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2011-06-15",
        endpointPrefix: "sts",
        globalEndpoint: "sts.amazonaws.com",
        protocol: "query",
        serviceAbbreviation: "AWS STS",
        serviceFullName: "AWS Security Token Service",
        serviceId: "STS",
        signatureVersion: "v4",
        uid: "sts-2011-06-15",
        xmlNamespace: "https://sts.amazonaws.com/doc/2011-06-15/"
      },
      operations: {
        AssumeRole: {
          input: {
            type: "structure",
            required: [
              "RoleArn",
              "RoleSessionName"
            ],
            members: {
              RoleArn: {},
              RoleSessionName: {},
              PolicyArns: {
                shape: "S4"
              },
              Policy: {},
              DurationSeconds: {
                type: "integer"
              },
              Tags: {
                shape: "S8"
              },
              TransitiveTagKeys: {
                type: "list",
                member: {}
              },
              ExternalId: {},
              SerialNumber: {},
              TokenCode: {},
              SourceIdentity: {}
            }
          },
          output: {
            resultWrapper: "AssumeRoleResult",
            type: "structure",
            members: {
              Credentials: {
                shape: "Si"
              },
              AssumedRoleUser: {
                shape: "Sn"
              },
              PackedPolicySize: {
                type: "integer"
              },
              SourceIdentity: {}
            }
          }
        },
        AssumeRoleWithSAML: {
          input: {
            type: "structure",
            required: [
              "RoleArn",
              "PrincipalArn",
              "SAMLAssertion"
            ],
            members: {
              RoleArn: {},
              PrincipalArn: {},
              SAMLAssertion: {
                type: "string",
                sensitive: true
              },
              PolicyArns: {
                shape: "S4"
              },
              Policy: {},
              DurationSeconds: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "AssumeRoleWithSAMLResult",
            type: "structure",
            members: {
              Credentials: {
                shape: "Si"
              },
              AssumedRoleUser: {
                shape: "Sn"
              },
              PackedPolicySize: {
                type: "integer"
              },
              Subject: {},
              SubjectType: {},
              Issuer: {},
              Audience: {},
              NameQualifier: {},
              SourceIdentity: {}
            }
          }
        },
        AssumeRoleWithWebIdentity: {
          input: {
            type: "structure",
            required: [
              "RoleArn",
              "RoleSessionName",
              "WebIdentityToken"
            ],
            members: {
              RoleArn: {},
              RoleSessionName: {},
              WebIdentityToken: {
                type: "string",
                sensitive: true
              },
              ProviderId: {},
              PolicyArns: {
                shape: "S4"
              },
              Policy: {},
              DurationSeconds: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "AssumeRoleWithWebIdentityResult",
            type: "structure",
            members: {
              Credentials: {
                shape: "Si"
              },
              SubjectFromWebIdentityToken: {},
              AssumedRoleUser: {
                shape: "Sn"
              },
              PackedPolicySize: {
                type: "integer"
              },
              Provider: {},
              Audience: {},
              SourceIdentity: {}
            }
          }
        },
        DecodeAuthorizationMessage: {
          input: {
            type: "structure",
            required: [
              "EncodedMessage"
            ],
            members: {
              EncodedMessage: {}
            }
          },
          output: {
            resultWrapper: "DecodeAuthorizationMessageResult",
            type: "structure",
            members: {
              DecodedMessage: {}
            }
          }
        },
        GetAccessKeyInfo: {
          input: {
            type: "structure",
            required: [
              "AccessKeyId"
            ],
            members: {
              AccessKeyId: {}
            }
          },
          output: {
            resultWrapper: "GetAccessKeyInfoResult",
            type: "structure",
            members: {
              Account: {}
            }
          }
        },
        GetCallerIdentity: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            resultWrapper: "GetCallerIdentityResult",
            type: "structure",
            members: {
              UserId: {},
              Account: {},
              Arn: {}
            }
          }
        },
        GetFederationToken: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Policy: {},
              PolicyArns: {
                shape: "S4"
              },
              DurationSeconds: {
                type: "integer"
              },
              Tags: {
                shape: "S8"
              }
            }
          },
          output: {
            resultWrapper: "GetFederationTokenResult",
            type: "structure",
            members: {
              Credentials: {
                shape: "Si"
              },
              FederatedUser: {
                type: "structure",
                required: [
                  "FederatedUserId",
                  "Arn"
                ],
                members: {
                  FederatedUserId: {},
                  Arn: {}
                }
              },
              PackedPolicySize: {
                type: "integer"
              }
            }
          }
        },
        GetSessionToken: {
          input: {
            type: "structure",
            members: {
              DurationSeconds: {
                type: "integer"
              },
              SerialNumber: {},
              TokenCode: {}
            }
          },
          output: {
            resultWrapper: "GetSessionTokenResult",
            type: "structure",
            members: {
              Credentials: {
                shape: "Si"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "list",
          member: {
            type: "structure",
            members: {
              arn: {}
            }
          }
        },
        S8: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Si: {
          type: "structure",
          required: [
            "AccessKeyId",
            "SecretAccessKey",
            "SessionToken",
            "Expiration"
          ],
          members: {
            AccessKeyId: {},
            SecretAccessKey: {
              type: "string",
              sensitive: true
            },
            SessionToken: {},
            Expiration: {
              type: "timestamp"
            }
          }
        },
        Sn: {
          type: "structure",
          required: [
            "AssumedRoleId",
            "Arn"
          ],
          members: {
            AssumedRoleId: {},
            Arn: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/sts-2011-06-15.paginators.json
var require_sts_2011_06_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/sts-2011-06-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/sts.js
var require_sts2 = __commonJS({
  "node_modules/aws-sdk/clients/sts.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["sts"] = {};
    AWS2.STS = Service.defineService("sts", ["2011-06-15"]);
    require_sts();
    Object.defineProperty(apiLoader.services["sts"], "2011-06-15", {
      get: function get() {
        var model = require_sts_2011_06_15_min();
        model.paginators = require_sts_2011_06_15_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.STS;
  }
});

// node_modules/aws-sdk/lib/credentials/temporary_credentials.js
var require_temporary_credentials = __commonJS({
  "node_modules/aws-sdk/lib/credentials/temporary_credentials.js"() {
    var AWS2 = require_core();
    var STS = require_sts2();
    AWS2.TemporaryCredentials = AWS2.util.inherit(AWS2.Credentials, {
      /**
       * Creates a new temporary credentials object.
       *
       * @note In order to create temporary credentials, you first need to have
       *   "master" credentials configured in {AWS.Config.credentials}. These
       *   master credentials are necessary to retrieve the temporary credentials,
       *   as well as refresh the credentials when they expire.
       * @param params [map] a map of options that are passed to the
       *   {AWS.STS.assumeRole} or {AWS.STS.getSessionToken} operations.
       *   If a `RoleArn` parameter is passed in, credentials will be based on the
       *   IAM role.
       * @param masterCredentials [AWS.Credentials] the master (non-temporary) credentials
       *  used to get and refresh temporary credentials from AWS STS.
       * @example Creating a new credentials object for generic temporary credentials
       *   AWS.config.credentials = new AWS.TemporaryCredentials();
       * @example Creating a new credentials object for an IAM role
       *   AWS.config.credentials = new AWS.TemporaryCredentials({
       *     RoleArn: 'arn:aws:iam::1234567890:role/TemporaryCredentials',
       *   });
       * @see AWS.STS.assumeRole
       * @see AWS.STS.getSessionToken
       */
      constructor: function TemporaryCredentials(params, masterCredentials) {
        AWS2.Credentials.call(this);
        this.loadMasterCredentials(masterCredentials);
        this.expired = true;
        this.params = params || {};
        if (this.params.RoleArn) {
          this.params.RoleSessionName = this.params.RoleSessionName || "temporary-credentials";
        }
      },
      /**
       * Refreshes credentials using {AWS.STS.assumeRole} or
       * {AWS.STS.getSessionToken}, depending on whether an IAM role ARN was passed
       * to the credentials {constructor}.
       *
       * @callback callback function(err)
       *   Called when the STS service responds (or fails). When
       *   this callback is called with no error, it means that the credentials
       *   information has been loaded into the object (as the `accessKeyId`,
       *   `secretAccessKey`, and `sessionToken` properties).
       *   @param err [Error] if an error occurred, this value will be filled
       * @see get
       */
      refresh: function refresh(callback) {
        this.coalesceRefresh(callback || AWS2.util.fn.callback);
      },
      /**
       * @api private
       */
      load: function load(callback) {
        var self = this;
        self.createClients();
        self.masterCredentials.get(function() {
          self.service.config.credentials = self.masterCredentials;
          var operation = self.params.RoleArn ? self.service.assumeRole : self.service.getSessionToken;
          operation.call(self.service, function(err, data) {
            if (!err) {
              self.service.credentialsFrom(data, self);
            }
            callback(err);
          });
        });
      },
      /**
       * @api private
       */
      loadMasterCredentials: function loadMasterCredentials(masterCredentials) {
        this.masterCredentials = masterCredentials || AWS2.config.credentials;
        while (this.masterCredentials.masterCredentials) {
          this.masterCredentials = this.masterCredentials.masterCredentials;
        }
        if (typeof this.masterCredentials.get !== "function") {
          this.masterCredentials = new AWS2.Credentials(this.masterCredentials);
        }
      },
      /**
       * @api private
       */
      createClients: function() {
        this.service = this.service || new STS({ params: this.params });
      }
    });
  }
});

// node_modules/aws-sdk/lib/credentials/chainable_temporary_credentials.js
var require_chainable_temporary_credentials = __commonJS({
  "node_modules/aws-sdk/lib/credentials/chainable_temporary_credentials.js"() {
    var AWS2 = require_core();
    var STS = require_sts2();
    AWS2.ChainableTemporaryCredentials = AWS2.util.inherit(AWS2.Credentials, {
      /**
       * Creates a new temporary credentials object.
       *
       * @param options [map] a set of options
       * @option options params [map] ({}) a map of options that are passed to the
       *   {AWS.STS.assumeRole} or {AWS.STS.getSessionToken} operations.
       *   If a `RoleArn` parameter is passed in, credentials will be based on the
       *   IAM role. If a `SerialNumber` parameter is passed in, {tokenCodeFn} must
       *   also be passed in or an error will be thrown.
       * @option options masterCredentials [AWS.Credentials] the master credentials
       *   used to get and refresh temporary credentials from AWS STS. By default,
       *   AWS.config.credentials or AWS.config.credentialProvider will be used.
       * @option options tokenCodeFn [Function] (null) Function to provide
       *   `TokenCode`, if `SerialNumber` is provided for profile in {params}. Function
       *   is called with value of `SerialNumber` and `callback`, and should provide
       *   the `TokenCode` or an error to the callback in the format
       *   `callback(err, token)`.
       * @example Creating a new credentials object for generic temporary credentials
       *   AWS.config.credentials = new AWS.ChainableTemporaryCredentials();
       * @example Creating a new credentials object for an IAM role
       *   AWS.config.credentials = new AWS.ChainableTemporaryCredentials({
       *     params: {
       *       RoleArn: 'arn:aws:iam::1234567890:role/TemporaryCredentials'
       *     }
       *   });
       * @see AWS.STS.assumeRole
       * @see AWS.STS.getSessionToken
       */
      constructor: function ChainableTemporaryCredentials(options) {
        AWS2.Credentials.call(this);
        options = options || {};
        this.errorCode = "ChainableTemporaryCredentialsProviderFailure";
        this.expired = true;
        this.tokenCodeFn = null;
        var params = AWS2.util.copy(options.params) || {};
        if (params.RoleArn) {
          params.RoleSessionName = params.RoleSessionName || "temporary-credentials";
        }
        if (params.SerialNumber) {
          if (!options.tokenCodeFn || typeof options.tokenCodeFn !== "function") {
            throw new AWS2.util.error(
              new Error("tokenCodeFn must be a function when params.SerialNumber is given"),
              { code: this.errorCode }
            );
          } else {
            this.tokenCodeFn = options.tokenCodeFn;
          }
        }
        var config = AWS2.util.merge(
          {
            params,
            credentials: options.masterCredentials || AWS2.config.credentials
          },
          options.stsConfig || {}
        );
        this.service = new STS(config);
      },
      /**
       * Refreshes credentials using {AWS.STS.assumeRole} or
       * {AWS.STS.getSessionToken}, depending on whether an IAM role ARN was passed
       * to the credentials {constructor}.
       *
       * @callback callback function(err)
       *   Called when the STS service responds (or fails). When
       *   this callback is called with no error, it means that the credentials
       *   information has been loaded into the object (as the `accessKeyId`,
       *   `secretAccessKey`, and `sessionToken` properties).
       *   @param err [Error] if an error occurred, this value will be filled
       * @see AWS.Credentials.get
       */
      refresh: function refresh(callback) {
        this.coalesceRefresh(callback || AWS2.util.fn.callback);
      },
      /**
       * @api private
       * @param callback
       */
      load: function load(callback) {
        var self = this;
        var operation = self.service.config.params.RoleArn ? "assumeRole" : "getSessionToken";
        this.getTokenCode(function(err, tokenCode) {
          var params = {};
          if (err) {
            callback(err);
            return;
          }
          if (tokenCode) {
            params.TokenCode = tokenCode;
          }
          self.service[operation](params, function(err2, data) {
            if (!err2) {
              self.service.credentialsFrom(data, self);
            }
            callback(err2);
          });
        });
      },
      /**
       * @api private
       */
      getTokenCode: function getTokenCode(callback) {
        var self = this;
        if (this.tokenCodeFn) {
          this.tokenCodeFn(this.service.config.params.SerialNumber, function(err, token) {
            if (err) {
              var message = err;
              if (err instanceof Error) {
                message = err.message;
              }
              callback(
                AWS2.util.error(
                  new Error("Error fetching MFA token: " + message),
                  { code: self.errorCode }
                )
              );
              return;
            }
            callback(null, token);
          });
        } else {
          callback(null);
        }
      }
    });
  }
});

// node_modules/aws-sdk/lib/credentials/web_identity_credentials.js
var require_web_identity_credentials = __commonJS({
  "node_modules/aws-sdk/lib/credentials/web_identity_credentials.js"() {
    var AWS2 = require_core();
    var STS = require_sts2();
    AWS2.WebIdentityCredentials = AWS2.util.inherit(AWS2.Credentials, {
      /**
       * Creates a new credentials object.
       * @param (see AWS.STS.assumeRoleWithWebIdentity)
       * @example Creating a new credentials object
       *   AWS.config.credentials = new AWS.WebIdentityCredentials({
       *     RoleArn: 'arn:aws:iam::1234567890:role/WebIdentity',
       *     WebIdentityToken: 'ABCDEFGHIJKLMNOP', // token from identity service
       *     RoleSessionName: 'web' // optional name, defaults to web-identity
       *   }, {
       *     // optionally provide configuration to apply to the underlying AWS.STS service client
       *     // if configuration is not provided, then configuration will be pulled from AWS.config
       *
       *     // specify timeout options
       *     httpOptions: {
       *       timeout: 100
       *     }
       *   });
       * @see AWS.STS.assumeRoleWithWebIdentity
       * @see AWS.Config
       */
      constructor: function WebIdentityCredentials(params, clientConfig) {
        AWS2.Credentials.call(this);
        this.expired = true;
        this.params = params;
        this.params.RoleSessionName = this.params.RoleSessionName || "web-identity";
        this.data = null;
        this._clientConfig = AWS2.util.copy(clientConfig || {});
      },
      /**
       * Refreshes credentials using {AWS.STS.assumeRoleWithWebIdentity}
       *
       * @callback callback function(err)
       *   Called when the STS service responds (or fails). When
       *   this callback is called with no error, it means that the credentials
       *   information has been loaded into the object (as the `accessKeyId`,
       *   `secretAccessKey`, and `sessionToken` properties).
       *   @param err [Error] if an error occurred, this value will be filled
       * @see get
       */
      refresh: function refresh(callback) {
        this.coalesceRefresh(callback || AWS2.util.fn.callback);
      },
      /**
       * @api private
       */
      load: function load(callback) {
        var self = this;
        self.createClients();
        self.service.assumeRoleWithWebIdentity(function(err, data) {
          self.data = null;
          if (!err) {
            self.data = data;
            self.service.credentialsFrom(data, self);
          }
          callback(err);
        });
      },
      /**
       * @api private
       */
      createClients: function() {
        if (!this.service) {
          var stsConfig = AWS2.util.merge({}, this._clientConfig);
          stsConfig.params = this.params;
          this.service = new STS(stsConfig);
        }
      }
    });
  }
});

// node_modules/aws-sdk/apis/cognito-identity-2014-06-30.min.json
var require_cognito_identity_2014_06_30_min = __commonJS({
  "node_modules/aws-sdk/apis/cognito-identity-2014-06-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2014-06-30",
        endpointPrefix: "cognito-identity",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Cognito Identity",
        serviceId: "Cognito Identity",
        signatureVersion: "v4",
        targetPrefix: "AWSCognitoIdentityService",
        uid: "cognito-identity-2014-06-30"
      },
      operations: {
        CreateIdentityPool: {
          input: {
            type: "structure",
            required: [
              "IdentityPoolName",
              "AllowUnauthenticatedIdentities"
            ],
            members: {
              IdentityPoolName: {},
              AllowUnauthenticatedIdentities: {
                type: "boolean"
              },
              AllowClassicFlow: {
                type: "boolean"
              },
              SupportedLoginProviders: {
                shape: "S5"
              },
              DeveloperProviderName: {},
              OpenIdConnectProviderARNs: {
                shape: "S9"
              },
              CognitoIdentityProviders: {
                shape: "Sb"
              },
              SamlProviderARNs: {
                shape: "Sg"
              },
              IdentityPoolTags: {
                shape: "Sh"
              }
            }
          },
          output: {
            shape: "Sk"
          }
        },
        DeleteIdentities: {
          input: {
            type: "structure",
            required: [
              "IdentityIdsToDelete"
            ],
            members: {
              IdentityIdsToDelete: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UnprocessedIdentityIds: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    IdentityId: {},
                    ErrorCode: {}
                  }
                }
              }
            }
          }
        },
        DeleteIdentityPool: {
          input: {
            type: "structure",
            required: [
              "IdentityPoolId"
            ],
            members: {
              IdentityPoolId: {}
            }
          }
        },
        DescribeIdentity: {
          input: {
            type: "structure",
            required: [
              "IdentityId"
            ],
            members: {
              IdentityId: {}
            }
          },
          output: {
            shape: "Sv"
          }
        },
        DescribeIdentityPool: {
          input: {
            type: "structure",
            required: [
              "IdentityPoolId"
            ],
            members: {
              IdentityPoolId: {}
            }
          },
          output: {
            shape: "Sk"
          }
        },
        GetCredentialsForIdentity: {
          input: {
            type: "structure",
            required: [
              "IdentityId"
            ],
            members: {
              IdentityId: {},
              Logins: {
                shape: "S10"
              },
              CustomRoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityId: {},
              Credentials: {
                type: "structure",
                members: {
                  AccessKeyId: {},
                  SecretKey: {},
                  SessionToken: {},
                  Expiration: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          authtype: "none"
        },
        GetId: {
          input: {
            type: "structure",
            required: [
              "IdentityPoolId"
            ],
            members: {
              AccountId: {},
              IdentityPoolId: {},
              Logins: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityId: {}
            }
          },
          authtype: "none"
        },
        GetIdentityPoolRoles: {
          input: {
            type: "structure",
            required: [
              "IdentityPoolId"
            ],
            members: {
              IdentityPoolId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityPoolId: {},
              Roles: {
                shape: "S1c"
              },
              RoleMappings: {
                shape: "S1e"
              }
            }
          }
        },
        GetOpenIdToken: {
          input: {
            type: "structure",
            required: [
              "IdentityId"
            ],
            members: {
              IdentityId: {},
              Logins: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityId: {},
              Token: {}
            }
          },
          authtype: "none"
        },
        GetOpenIdTokenForDeveloperIdentity: {
          input: {
            type: "structure",
            required: [
              "IdentityPoolId",
              "Logins"
            ],
            members: {
              IdentityPoolId: {},
              IdentityId: {},
              Logins: {
                shape: "S10"
              },
              PrincipalTags: {
                shape: "S1s"
              },
              TokenDuration: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityId: {},
              Token: {}
            }
          }
        },
        GetPrincipalTagAttributeMap: {
          input: {
            type: "structure",
            required: [
              "IdentityPoolId",
              "IdentityProviderName"
            ],
            members: {
              IdentityPoolId: {},
              IdentityProviderName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityPoolId: {},
              IdentityProviderName: {},
              UseDefaults: {
                type: "boolean"
              },
              PrincipalTags: {
                shape: "S1s"
              }
            }
          }
        },
        ListIdentities: {
          input: {
            type: "structure",
            required: [
              "IdentityPoolId",
              "MaxResults"
            ],
            members: {
              IdentityPoolId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              HideDisabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityPoolId: {},
              Identities: {
                type: "list",
                member: {
                  shape: "Sv"
                }
              },
              NextToken: {}
            }
          }
        },
        ListIdentityPools: {
          input: {
            type: "structure",
            required: [
              "MaxResults"
            ],
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityPools: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    IdentityPoolId: {},
                    IdentityPoolName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sh"
              }
            }
          }
        },
        LookupDeveloperIdentity: {
          input: {
            type: "structure",
            required: [
              "IdentityPoolId"
            ],
            members: {
              IdentityPoolId: {},
              IdentityId: {},
              DeveloperUserIdentifier: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityId: {},
              DeveloperUserIdentifierList: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        MergeDeveloperIdentities: {
          input: {
            type: "structure",
            required: [
              "SourceUserIdentifier",
              "DestinationUserIdentifier",
              "DeveloperProviderName",
              "IdentityPoolId"
            ],
            members: {
              SourceUserIdentifier: {},
              DestinationUserIdentifier: {},
              DeveloperProviderName: {},
              IdentityPoolId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityId: {}
            }
          }
        },
        SetIdentityPoolRoles: {
          input: {
            type: "structure",
            required: [
              "IdentityPoolId",
              "Roles"
            ],
            members: {
              IdentityPoolId: {},
              Roles: {
                shape: "S1c"
              },
              RoleMappings: {
                shape: "S1e"
              }
            }
          }
        },
        SetPrincipalTagAttributeMap: {
          input: {
            type: "structure",
            required: [
              "IdentityPoolId",
              "IdentityProviderName"
            ],
            members: {
              IdentityPoolId: {},
              IdentityProviderName: {},
              UseDefaults: {
                type: "boolean"
              },
              PrincipalTags: {
                shape: "S1s"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityPoolId: {},
              IdentityProviderName: {},
              UseDefaults: {
                type: "boolean"
              },
              PrincipalTags: {
                shape: "S1s"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sh"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UnlinkDeveloperIdentity: {
          input: {
            type: "structure",
            required: [
              "IdentityId",
              "IdentityPoolId",
              "DeveloperProviderName",
              "DeveloperUserIdentifier"
            ],
            members: {
              IdentityId: {},
              IdentityPoolId: {},
              DeveloperProviderName: {},
              DeveloperUserIdentifier: {}
            }
          }
        },
        UnlinkIdentity: {
          input: {
            type: "structure",
            required: [
              "IdentityId",
              "Logins",
              "LoginsToRemove"
            ],
            members: {
              IdentityId: {},
              Logins: {
                shape: "S10"
              },
              LoginsToRemove: {
                shape: "Sw"
              }
            }
          },
          authtype: "none"
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateIdentityPool: {
          input: {
            shape: "Sk"
          },
          output: {
            shape: "Sk"
          }
        }
      },
      shapes: {
        S5: {
          type: "map",
          key: {},
          value: {}
        },
        S9: {
          type: "list",
          member: {}
        },
        Sb: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ProviderName: {},
              ClientId: {},
              ServerSideTokenCheck: {
                type: "boolean"
              }
            }
          }
        },
        Sg: {
          type: "list",
          member: {}
        },
        Sh: {
          type: "map",
          key: {},
          value: {}
        },
        Sk: {
          type: "structure",
          required: [
            "IdentityPoolId",
            "IdentityPoolName",
            "AllowUnauthenticatedIdentities"
          ],
          members: {
            IdentityPoolId: {},
            IdentityPoolName: {},
            AllowUnauthenticatedIdentities: {
              type: "boolean"
            },
            AllowClassicFlow: {
              type: "boolean"
            },
            SupportedLoginProviders: {
              shape: "S5"
            },
            DeveloperProviderName: {},
            OpenIdConnectProviderARNs: {
              shape: "S9"
            },
            CognitoIdentityProviders: {
              shape: "Sb"
            },
            SamlProviderARNs: {
              shape: "Sg"
            },
            IdentityPoolTags: {
              shape: "Sh"
            }
          }
        },
        Sv: {
          type: "structure",
          members: {
            IdentityId: {},
            Logins: {
              shape: "Sw"
            },
            CreationDate: {
              type: "timestamp"
            },
            LastModifiedDate: {
              type: "timestamp"
            }
          }
        },
        Sw: {
          type: "list",
          member: {}
        },
        S10: {
          type: "map",
          key: {},
          value: {}
        },
        S1c: {
          type: "map",
          key: {},
          value: {}
        },
        S1e: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "Type"
            ],
            members: {
              Type: {},
              AmbiguousRoleResolution: {},
              RulesConfiguration: {
                type: "structure",
                required: [
                  "Rules"
                ],
                members: {
                  Rules: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Claim",
                        "MatchType",
                        "Value",
                        "RoleARN"
                      ],
                      members: {
                        Claim: {},
                        MatchType: {},
                        Value: {},
                        RoleARN: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S1s: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cognito-identity-2014-06-30.paginators.json
var require_cognito_identity_2014_06_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cognito-identity-2014-06-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListIdentityPools: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "IdentityPools"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/cognitoidentity.js
var require_cognitoidentity = __commonJS({
  "node_modules/aws-sdk/clients/cognitoidentity.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cognitoidentity"] = {};
    AWS2.CognitoIdentity = Service.defineService("cognitoidentity", ["2014-06-30"]);
    Object.defineProperty(apiLoader.services["cognitoidentity"], "2014-06-30", {
      get: function get() {
        var model = require_cognito_identity_2014_06_30_min();
        model.paginators = require_cognito_identity_2014_06_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CognitoIdentity;
  }
});

// node_modules/aws-sdk/lib/credentials/cognito_identity_credentials.js
var require_cognito_identity_credentials = __commonJS({
  "node_modules/aws-sdk/lib/credentials/cognito_identity_credentials.js"() {
    var AWS2 = require_core();
    var CognitoIdentity = require_cognitoidentity();
    var STS = require_sts2();
    AWS2.CognitoIdentityCredentials = AWS2.util.inherit(AWS2.Credentials, {
      /**
       * @api private
       */
      localStorageKey: {
        id: "aws.cognito.identity-id.",
        providers: "aws.cognito.identity-providers."
      },
      /**
       * Creates a new credentials object.
       * @example Creating a new credentials object
       *   AWS.config.credentials = new AWS.CognitoIdentityCredentials({
       *
       *     // either IdentityPoolId or IdentityId is required
       *     // See the IdentityPoolId param for AWS.CognitoIdentity.getID (linked below)
       *     // See the IdentityId param for AWS.CognitoIdentity.getCredentialsForIdentity
       *     // or AWS.CognitoIdentity.getOpenIdToken (linked below)
       *     IdentityPoolId: 'us-east-1:1699ebc0-7900-4099-b910-2df94f52a030',
       *     IdentityId: 'us-east-1:128d0a74-c82f-4553-916d-90053e4a8b0f'
       *
       *     // optional, only necessary when the identity pool is not configured
       *     // to use IAM roles in the Amazon Cognito Console
       *     // See the RoleArn param for AWS.STS.assumeRoleWithWebIdentity (linked below)
       *     RoleArn: 'arn:aws:iam::1234567890:role/MYAPP-CognitoIdentity',
       *
       *     // optional tokens, used for authenticated login
       *     // See the Logins param for AWS.CognitoIdentity.getID (linked below)
       *     Logins: {
       *       'graph.facebook.com': 'FBTOKEN',
       *       'www.amazon.com': 'AMAZONTOKEN',
       *       'accounts.google.com': 'GOOGLETOKEN',
       *       'api.twitter.com': 'TWITTERTOKEN',
       *       'www.digits.com': 'DIGITSTOKEN'
       *     },
       *
       *     // optional name, defaults to web-identity
       *     // See the RoleSessionName param for AWS.STS.assumeRoleWithWebIdentity (linked below)
       *     RoleSessionName: 'web',
       *
       *     // optional, only necessary when application runs in a browser
       *     // and multiple users are signed in at once, used for caching
       *     LoginId: 'example@gmail.com'
       *
       *   }, {
       *      // optionally provide configuration to apply to the underlying service clients
       *      // if configuration is not provided, then configuration will be pulled from AWS.config
       *
       *      // region should match the region your identity pool is located in
       *      region: 'us-east-1',
       *
       *      // specify timeout options
       *      httpOptions: {
       *        timeout: 100
       *      }
       *   });
       * @see AWS.CognitoIdentity.getId
       * @see AWS.CognitoIdentity.getCredentialsForIdentity
       * @see AWS.STS.assumeRoleWithWebIdentity
       * @see AWS.CognitoIdentity.getOpenIdToken
       * @see AWS.Config
       * @note If a region is not provided in the global AWS.config, or
       *   specified in the `clientConfig` to the CognitoIdentityCredentials
       *   constructor, you may encounter a 'Missing credentials in config' error
       *   when calling making a service call.
       */
      constructor: function CognitoIdentityCredentials(params, clientConfig) {
        AWS2.Credentials.call(this);
        this.expired = true;
        this.params = params;
        this.data = null;
        this._identityId = null;
        this._clientConfig = AWS2.util.copy(clientConfig || {});
        this.loadCachedId();
        var self = this;
        Object.defineProperty(this, "identityId", {
          get: function() {
            self.loadCachedId();
            return self._identityId || self.params.IdentityId;
          },
          set: function(identityId) {
            self._identityId = identityId;
          }
        });
      },
      /**
       * Refreshes credentials using {AWS.CognitoIdentity.getCredentialsForIdentity},
       * or {AWS.STS.assumeRoleWithWebIdentity}.
       *
       * @callback callback function(err)
       *   Called when the STS service responds (or fails). When
       *   this callback is called with no error, it means that the credentials
       *   information has been loaded into the object (as the `accessKeyId`,
       *   `secretAccessKey`, and `sessionToken` properties).
       *   @param err [Error] if an error occurred, this value will be filled
       * @see AWS.Credentials.get
       */
      refresh: function refresh(callback) {
        this.coalesceRefresh(callback || AWS2.util.fn.callback);
      },
      /**
       * @api private
       * @param callback
       */
      load: function load(callback) {
        var self = this;
        self.createClients();
        self.data = null;
        self._identityId = null;
        self.getId(function(err) {
          if (!err) {
            if (!self.params.RoleArn) {
              self.getCredentialsForIdentity(callback);
            } else {
              self.getCredentialsFromSTS(callback);
            }
          } else {
            self.clearIdOnNotAuthorized(err);
            callback(err);
          }
        });
      },
      /**
       * Clears the cached Cognito ID associated with the currently configured
       * identity pool ID. Use this to manually invalidate your cache if
       * the identity pool ID was deleted.
       */
      clearCachedId: function clearCache() {
        this._identityId = null;
        delete this.params.IdentityId;
        var poolId = this.params.IdentityPoolId;
        var loginId = this.params.LoginId || "";
        delete this.storage[this.localStorageKey.id + poolId + loginId];
        delete this.storage[this.localStorageKey.providers + poolId + loginId];
      },
      /**
       * @api private
       */
      clearIdOnNotAuthorized: function clearIdOnNotAuthorized(err) {
        var self = this;
        if (err.code == "NotAuthorizedException") {
          self.clearCachedId();
        }
      },
      /**
       * Retrieves a Cognito ID, loading from cache if it was already retrieved
       * on this device.
       *
       * @callback callback function(err, identityId)
       *   @param err [Error, null] an error object if the call failed or null if
       *     it succeeded.
       *   @param identityId [String, null] if successful, the callback will return
       *     the Cognito ID.
       * @note If not loaded explicitly, the Cognito ID is loaded and stored in
       *   localStorage in the browser environment of a device.
       * @api private
       */
      getId: function getId(callback) {
        var self = this;
        if (typeof self.params.IdentityId === "string") {
          return callback(null, self.params.IdentityId);
        }
        self.cognito.getId(function(err, data) {
          if (!err && data.IdentityId) {
            self.params.IdentityId = data.IdentityId;
            callback(null, data.IdentityId);
          } else {
            callback(err);
          }
        });
      },
      /**
       * @api private
       */
      loadCredentials: function loadCredentials(data, credentials) {
        if (!data || !credentials)
          return;
        credentials.expired = false;
        credentials.accessKeyId = data.Credentials.AccessKeyId;
        credentials.secretAccessKey = data.Credentials.SecretKey;
        credentials.sessionToken = data.Credentials.SessionToken;
        credentials.expireTime = data.Credentials.Expiration;
      },
      /**
       * @api private
       */
      getCredentialsForIdentity: function getCredentialsForIdentity(callback) {
        var self = this;
        self.cognito.getCredentialsForIdentity(function(err, data) {
          if (!err) {
            self.cacheId(data);
            self.data = data;
            self.loadCredentials(self.data, self);
          } else {
            self.clearIdOnNotAuthorized(err);
          }
          callback(err);
        });
      },
      /**
       * @api private
       */
      getCredentialsFromSTS: function getCredentialsFromSTS(callback) {
        var self = this;
        self.cognito.getOpenIdToken(function(err, data) {
          if (!err) {
            self.cacheId(data);
            self.params.WebIdentityToken = data.Token;
            self.webIdentityCredentials.refresh(function(webErr) {
              if (!webErr) {
                self.data = self.webIdentityCredentials.data;
                self.sts.credentialsFrom(self.data, self);
              }
              callback(webErr);
            });
          } else {
            self.clearIdOnNotAuthorized(err);
            callback(err);
          }
        });
      },
      /**
       * @api private
       */
      loadCachedId: function loadCachedId() {
        var self = this;
        if (AWS2.util.isBrowser() && !self.params.IdentityId) {
          var id = self.getStorage("id");
          if (id && self.params.Logins) {
            var actualProviders = Object.keys(self.params.Logins);
            var cachedProviders = (self.getStorage("providers") || "").split(",");
            var intersect = cachedProviders.filter(function(n) {
              return actualProviders.indexOf(n) !== -1;
            });
            if (intersect.length !== 0) {
              self.params.IdentityId = id;
            }
          } else if (id) {
            self.params.IdentityId = id;
          }
        }
      },
      /**
       * @api private
       */
      createClients: function() {
        var clientConfig = this._clientConfig;
        this.webIdentityCredentials = this.webIdentityCredentials || new AWS2.WebIdentityCredentials(this.params, clientConfig);
        if (!this.cognito) {
          var cognitoConfig = AWS2.util.merge({}, clientConfig);
          cognitoConfig.params = this.params;
          this.cognito = new CognitoIdentity(cognitoConfig);
        }
        this.sts = this.sts || new STS(clientConfig);
      },
      /**
       * @api private
       */
      cacheId: function cacheId(data) {
        this._identityId = data.IdentityId;
        this.params.IdentityId = this._identityId;
        if (AWS2.util.isBrowser()) {
          this.setStorage("id", data.IdentityId);
          if (this.params.Logins) {
            this.setStorage("providers", Object.keys(this.params.Logins).join(","));
          }
        }
      },
      /**
       * @api private
       */
      getStorage: function getStorage(key) {
        return this.storage[this.localStorageKey[key] + this.params.IdentityPoolId + (this.params.LoginId || "")];
      },
      /**
       * @api private
       */
      setStorage: function setStorage(key, val) {
        try {
          this.storage[this.localStorageKey[key] + this.params.IdentityPoolId + (this.params.LoginId || "")] = val;
        } catch (_) {
        }
      },
      /**
       * @api private
       */
      storage: function() {
        try {
          var storage = AWS2.util.isBrowser() && window.localStorage !== null && typeof window.localStorage === "object" ? window.localStorage : {};
          storage["aws.test-storage"] = "foobar";
          delete storage["aws.test-storage"];
          return storage;
        } catch (_) {
          return {};
        }
      }()
    });
  }
});

// node_modules/aws-sdk/lib/credentials/saml_credentials.js
var require_saml_credentials = __commonJS({
  "node_modules/aws-sdk/lib/credentials/saml_credentials.js"() {
    var AWS2 = require_core();
    var STS = require_sts2();
    AWS2.SAMLCredentials = AWS2.util.inherit(AWS2.Credentials, {
      /**
       * Creates a new credentials object.
       * @param (see AWS.STS.assumeRoleWithSAML)
       * @example Creating a new credentials object
       *   AWS.config.credentials = new AWS.SAMLCredentials({
       *     RoleArn: 'arn:aws:iam::1234567890:role/SAMLRole',
       *     PrincipalArn: 'arn:aws:iam::1234567890:role/SAMLPrincipal',
       *     SAMLAssertion: 'base64-token', // base64-encoded token from IdP
       *   });
       * @see AWS.STS.assumeRoleWithSAML
       */
      constructor: function SAMLCredentials(params) {
        AWS2.Credentials.call(this);
        this.expired = true;
        this.params = params;
      },
      /**
       * Refreshes credentials using {AWS.STS.assumeRoleWithSAML}
       *
       * @callback callback function(err)
       *   Called when the STS service responds (or fails). When
       *   this callback is called with no error, it means that the credentials
       *   information has been loaded into the object (as the `accessKeyId`,
       *   `secretAccessKey`, and `sessionToken` properties).
       *   @param err [Error] if an error occurred, this value will be filled
       * @see get
       */
      refresh: function refresh(callback) {
        this.coalesceRefresh(callback || AWS2.util.fn.callback);
      },
      /**
       * @api private
       */
      load: function load(callback) {
        var self = this;
        self.createClients();
        self.service.assumeRoleWithSAML(function(err, data) {
          if (!err) {
            self.service.credentialsFrom(data, self);
          }
          callback(err);
        });
      },
      /**
       * @api private
       */
      createClients: function() {
        this.service = this.service || new STS({ params: this.params });
      }
    });
  }
});

// node_modules/aws-sdk/lib/credentials/process_credentials.js
var require_process_credentials = __commonJS({
  "node_modules/aws-sdk/lib/credentials/process_credentials.js"() {
    var AWS2 = require_core();
    var proc = require("child_process");
    var iniLoader = AWS2.util.iniLoader;
    AWS2.ProcessCredentials = AWS2.util.inherit(AWS2.Credentials, {
      /**
       * Creates a new ProcessCredentials object.
       *
       * @param options [map] a set of options
       * @option options profile [String] (AWS_PROFILE env var or 'default')
       *   the name of the profile to load.
       * @option options filename [String] ('~/.aws/credentials' or defined by
       *   AWS_SHARED_CREDENTIALS_FILE process env var)
       *   the filename to use when loading credentials.
       * @option options callback [Function] (err) Credentials are eagerly loaded
       *   by the constructor. When the callback is called with no error, the
       *   credentials have been loaded successfully.
       */
      constructor: function ProcessCredentials(options) {
        AWS2.Credentials.call(this);
        options = options || {};
        this.filename = options.filename;
        this.profile = options.profile || process.env.AWS_PROFILE || AWS2.util.defaultProfile;
        this.get(options.callback || AWS2.util.fn.noop);
      },
      /**
       * @api private
       */
      load: function load(callback) {
        var self = this;
        try {
          var profiles = AWS2.util.getProfilesFromSharedConfig(iniLoader, this.filename);
          var profile = profiles[this.profile] || {};
          if (Object.keys(profile).length === 0) {
            throw AWS2.util.error(
              new Error("Profile " + this.profile + " not found"),
              { code: "ProcessCredentialsProviderFailure" }
            );
          }
          if (profile["credential_process"]) {
            this.loadViaCredentialProcess(profile, function(err, data) {
              if (err) {
                callback(err, null);
              } else {
                self.expired = false;
                self.accessKeyId = data.AccessKeyId;
                self.secretAccessKey = data.SecretAccessKey;
                self.sessionToken = data.SessionToken;
                if (data.Expiration) {
                  self.expireTime = new Date(data.Expiration);
                }
                callback(null);
              }
            });
          } else {
            throw AWS2.util.error(
              new Error("Profile " + this.profile + " did not include credential process"),
              { code: "ProcessCredentialsProviderFailure" }
            );
          }
        } catch (err) {
          callback(err);
        }
      },
      /**
      * Executes the credential_process and retrieves
      * credentials from the output
      * @api private
      * @param profile [map] credentials profile
      * @throws ProcessCredentialsProviderFailure
      */
      loadViaCredentialProcess: function loadViaCredentialProcess(profile, callback) {
        proc.exec(profile["credential_process"], { env: process.env }, function(err, stdOut, stdErr) {
          if (err) {
            callback(AWS2.util.error(
              new Error("credential_process returned error"),
              { code: "ProcessCredentialsProviderFailure" }
            ), null);
          } else {
            try {
              var credData = JSON.parse(stdOut);
              if (credData.Expiration) {
                var currentTime = AWS2.util.date.getDate();
                var expireTime = new Date(credData.Expiration);
                if (expireTime < currentTime) {
                  throw Error("credential_process returned expired credentials");
                }
              }
              if (credData.Version !== 1) {
                throw Error("credential_process does not return Version == 1");
              }
              callback(null, credData);
            } catch (err2) {
              callback(AWS2.util.error(
                new Error(err2.message),
                { code: "ProcessCredentialsProviderFailure" }
              ), null);
            }
          }
        });
      },
      /**
       * Loads the credentials from the credential process
       *
       * @callback callback function(err)
       *   Called after the credential process has been executed. When this
       *   callback is called with no error, it means that the credentials
       *   information has been loaded into the object (as the `accessKeyId`,
       *   `secretAccessKey`, and `sessionToken` properties).
       *   @param err [Error] if an error occurred, this value will be filled
       * @see get
       */
      refresh: function refresh(callback) {
        iniLoader.clearCachedFiles();
        this.coalesceRefresh(callback || AWS2.util.fn.callback);
      }
    });
  }
});

// node_modules/xml2js/lib/defaults.js
var require_defaults = __commonJS({
  "node_modules/xml2js/lib/defaults.js"(exports) {
    (function() {
      exports.defaults = {
        "0.1": {
          explicitCharkey: false,
          trim: true,
          normalize: true,
          normalizeTags: false,
          attrkey: "@",
          charkey: "#",
          explicitArray: false,
          ignoreAttrs: false,
          mergeAttrs: false,
          explicitRoot: false,
          validator: null,
          xmlns: false,
          explicitChildren: false,
          childkey: "@@",
          charsAsChildren: false,
          includeWhiteChars: false,
          async: false,
          strict: true,
          attrNameProcessors: null,
          attrValueProcessors: null,
          tagNameProcessors: null,
          valueProcessors: null,
          emptyTag: ""
        },
        "0.2": {
          explicitCharkey: false,
          trim: false,
          normalize: false,
          normalizeTags: false,
          attrkey: "$",
          charkey: "_",
          explicitArray: true,
          ignoreAttrs: false,
          mergeAttrs: false,
          explicitRoot: true,
          validator: null,
          xmlns: false,
          explicitChildren: false,
          preserveChildrenOrder: false,
          childkey: "$$",
          charsAsChildren: false,
          includeWhiteChars: false,
          async: false,
          strict: true,
          attrNameProcessors: null,
          attrValueProcessors: null,
          tagNameProcessors: null,
          valueProcessors: null,
          rootName: "root",
          xmldec: {
            "version": "1.0",
            "encoding": "UTF-8",
            "standalone": true
          },
          doctype: null,
          renderOpts: {
            "pretty": true,
            "indent": "  ",
            "newline": "\n"
          },
          headless: false,
          chunkSize: 1e4,
          emptyTag: "",
          cdata: false
        }
      };
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/Utility.js
var require_Utility = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/Utility.js"(exports, module2) {
    (function() {
      var assign, getValue, isArray, isEmpty, isFunction, isObject, isPlainObject, slice = [].slice, hasProp = {}.hasOwnProperty;
      assign = function() {
        var i, key, len, source, sources, target;
        target = arguments[0], sources = 2 <= arguments.length ? slice.call(arguments, 1) : [];
        if (isFunction(Object.assign)) {
          Object.assign.apply(null, arguments);
        } else {
          for (i = 0, len = sources.length; i < len; i++) {
            source = sources[i];
            if (source != null) {
              for (key in source) {
                if (!hasProp.call(source, key))
                  continue;
                target[key] = source[key];
              }
            }
          }
        }
        return target;
      };
      isFunction = function(val) {
        return !!val && Object.prototype.toString.call(val) === "[object Function]";
      };
      isObject = function(val) {
        var ref;
        return !!val && ((ref = typeof val) === "function" || ref === "object");
      };
      isArray = function(val) {
        if (isFunction(Array.isArray)) {
          return Array.isArray(val);
        } else {
          return Object.prototype.toString.call(val) === "[object Array]";
        }
      };
      isEmpty = function(val) {
        var key;
        if (isArray(val)) {
          return !val.length;
        } else {
          for (key in val) {
            if (!hasProp.call(val, key))
              continue;
            return false;
          }
          return true;
        }
      };
      isPlainObject = function(val) {
        var ctor, proto;
        return isObject(val) && (proto = Object.getPrototypeOf(val)) && (ctor = proto.constructor) && typeof ctor === "function" && ctor instanceof ctor && Function.prototype.toString.call(ctor) === Function.prototype.toString.call(Object);
      };
      getValue = function(obj) {
        if (isFunction(obj.valueOf)) {
          return obj.valueOf();
        } else {
          return obj;
        }
      };
      module2.exports.assign = assign;
      module2.exports.isFunction = isFunction;
      module2.exports.isObject = isObject;
      module2.exports.isArray = isArray;
      module2.exports.isEmpty = isEmpty;
      module2.exports.isPlainObject = isPlainObject;
      module2.exports.getValue = getValue;
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDOMImplementation.js
var require_XMLDOMImplementation = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDOMImplementation.js"(exports, module2) {
    (function() {
      var XMLDOMImplementation;
      module2.exports = XMLDOMImplementation = function() {
        function XMLDOMImplementation2() {
        }
        XMLDOMImplementation2.prototype.hasFeature = function(feature, version) {
          return true;
        };
        XMLDOMImplementation2.prototype.createDocumentType = function(qualifiedName, publicId, systemId) {
          throw new Error("This DOM method is not implemented.");
        };
        XMLDOMImplementation2.prototype.createDocument = function(namespaceURI, qualifiedName, doctype) {
          throw new Error("This DOM method is not implemented.");
        };
        XMLDOMImplementation2.prototype.createHTMLDocument = function(title) {
          throw new Error("This DOM method is not implemented.");
        };
        XMLDOMImplementation2.prototype.getFeature = function(feature, version) {
          throw new Error("This DOM method is not implemented.");
        };
        return XMLDOMImplementation2;
      }();
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDOMErrorHandler.js
var require_XMLDOMErrorHandler = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDOMErrorHandler.js"(exports, module2) {
    (function() {
      var XMLDOMErrorHandler;
      module2.exports = XMLDOMErrorHandler = function() {
        function XMLDOMErrorHandler2() {
        }
        XMLDOMErrorHandler2.prototype.handleError = function(error) {
          throw new Error(error);
        };
        return XMLDOMErrorHandler2;
      }();
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDOMStringList.js
var require_XMLDOMStringList = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDOMStringList.js"(exports, module2) {
    (function() {
      var XMLDOMStringList;
      module2.exports = XMLDOMStringList = function() {
        function XMLDOMStringList2(arr) {
          this.arr = arr || [];
        }
        Object.defineProperty(XMLDOMStringList2.prototype, "length", {
          get: function() {
            return this.arr.length;
          }
        });
        XMLDOMStringList2.prototype.item = function(index) {
          return this.arr[index] || null;
        };
        XMLDOMStringList2.prototype.contains = function(str) {
          return this.arr.indexOf(str) !== -1;
        };
        return XMLDOMStringList2;
      }();
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDOMConfiguration.js
var require_XMLDOMConfiguration = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDOMConfiguration.js"(exports, module2) {
    (function() {
      var XMLDOMConfiguration, XMLDOMErrorHandler, XMLDOMStringList;
      XMLDOMErrorHandler = require_XMLDOMErrorHandler();
      XMLDOMStringList = require_XMLDOMStringList();
      module2.exports = XMLDOMConfiguration = function() {
        function XMLDOMConfiguration2() {
          var clonedSelf;
          this.defaultParams = {
            "canonical-form": false,
            "cdata-sections": false,
            "comments": false,
            "datatype-normalization": false,
            "element-content-whitespace": true,
            "entities": true,
            "error-handler": new XMLDOMErrorHandler(),
            "infoset": true,
            "validate-if-schema": false,
            "namespaces": true,
            "namespace-declarations": true,
            "normalize-characters": false,
            "schema-location": "",
            "schema-type": "",
            "split-cdata-sections": true,
            "validate": false,
            "well-formed": true
          };
          this.params = clonedSelf = Object.create(this.defaultParams);
        }
        Object.defineProperty(XMLDOMConfiguration2.prototype, "parameterNames", {
          get: function() {
            return new XMLDOMStringList(Object.keys(this.defaultParams));
          }
        });
        XMLDOMConfiguration2.prototype.getParameter = function(name) {
          if (this.params.hasOwnProperty(name)) {
            return this.params[name];
          } else {
            return null;
          }
        };
        XMLDOMConfiguration2.prototype.canSetParameter = function(name, value) {
          return true;
        };
        XMLDOMConfiguration2.prototype.setParameter = function(name, value) {
          if (value != null) {
            return this.params[name] = value;
          } else {
            return delete this.params[name];
          }
        };
        return XMLDOMConfiguration2;
      }();
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/NodeType.js
var require_NodeType = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/NodeType.js"(exports, module2) {
    (function() {
      module2.exports = {
        Element: 1,
        Attribute: 2,
        Text: 3,
        CData: 4,
        EntityReference: 5,
        EntityDeclaration: 6,
        ProcessingInstruction: 7,
        Comment: 8,
        Document: 9,
        DocType: 10,
        DocumentFragment: 11,
        NotationDeclaration: 12,
        Declaration: 201,
        Raw: 202,
        AttributeDeclaration: 203,
        ElementDeclaration: 204,
        Dummy: 205
      };
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLAttribute.js
var require_XMLAttribute = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLAttribute.js"(exports, module2) {
    (function() {
      var NodeType, XMLAttribute, XMLNode;
      NodeType = require_NodeType();
      XMLNode = require_XMLNode();
      module2.exports = XMLAttribute = function() {
        function XMLAttribute2(parent, name, value) {
          this.parent = parent;
          if (this.parent) {
            this.options = this.parent.options;
            this.stringify = this.parent.stringify;
          }
          if (name == null) {
            throw new Error("Missing attribute name. " + this.debugInfo(name));
          }
          this.name = this.stringify.name(name);
          this.value = this.stringify.attValue(value);
          this.type = NodeType.Attribute;
          this.isId = false;
          this.schemaTypeInfo = null;
        }
        Object.defineProperty(XMLAttribute2.prototype, "nodeType", {
          get: function() {
            return this.type;
          }
        });
        Object.defineProperty(XMLAttribute2.prototype, "ownerElement", {
          get: function() {
            return this.parent;
          }
        });
        Object.defineProperty(XMLAttribute2.prototype, "textContent", {
          get: function() {
            return this.value;
          },
          set: function(value) {
            return this.value = value || "";
          }
        });
        Object.defineProperty(XMLAttribute2.prototype, "namespaceURI", {
          get: function() {
            return "";
          }
        });
        Object.defineProperty(XMLAttribute2.prototype, "prefix", {
          get: function() {
            return "";
          }
        });
        Object.defineProperty(XMLAttribute2.prototype, "localName", {
          get: function() {
            return this.name;
          }
        });
        Object.defineProperty(XMLAttribute2.prototype, "specified", {
          get: function() {
            return true;
          }
        });
        XMLAttribute2.prototype.clone = function() {
          return Object.create(this);
        };
        XMLAttribute2.prototype.toString = function(options) {
          return this.options.writer.attribute(this, this.options.writer.filterOptions(options));
        };
        XMLAttribute2.prototype.debugInfo = function(name) {
          name = name || this.name;
          if (name == null) {
            return "parent: <" + this.parent.name + ">";
          } else {
            return "attribute: {" + name + "}, parent: <" + this.parent.name + ">";
          }
        };
        XMLAttribute2.prototype.isEqualNode = function(node) {
          if (node.namespaceURI !== this.namespaceURI) {
            return false;
          }
          if (node.prefix !== this.prefix) {
            return false;
          }
          if (node.localName !== this.localName) {
            return false;
          }
          if (node.value !== this.value) {
            return false;
          }
          return true;
        };
        return XMLAttribute2;
      }();
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLNamedNodeMap.js
var require_XMLNamedNodeMap = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLNamedNodeMap.js"(exports, module2) {
    (function() {
      var XMLNamedNodeMap;
      module2.exports = XMLNamedNodeMap = function() {
        function XMLNamedNodeMap2(nodes) {
          this.nodes = nodes;
        }
        Object.defineProperty(XMLNamedNodeMap2.prototype, "length", {
          get: function() {
            return Object.keys(this.nodes).length || 0;
          }
        });
        XMLNamedNodeMap2.prototype.clone = function() {
          return this.nodes = null;
        };
        XMLNamedNodeMap2.prototype.getNamedItem = function(name) {
          return this.nodes[name];
        };
        XMLNamedNodeMap2.prototype.setNamedItem = function(node) {
          var oldNode;
          oldNode = this.nodes[node.nodeName];
          this.nodes[node.nodeName] = node;
          return oldNode || null;
        };
        XMLNamedNodeMap2.prototype.removeNamedItem = function(name) {
          var oldNode;
          oldNode = this.nodes[name];
          delete this.nodes[name];
          return oldNode || null;
        };
        XMLNamedNodeMap2.prototype.item = function(index) {
          return this.nodes[Object.keys(this.nodes)[index]] || null;
        };
        XMLNamedNodeMap2.prototype.getNamedItemNS = function(namespaceURI, localName) {
          throw new Error("This DOM method is not implemented.");
        };
        XMLNamedNodeMap2.prototype.setNamedItemNS = function(node) {
          throw new Error("This DOM method is not implemented.");
        };
        XMLNamedNodeMap2.prototype.removeNamedItemNS = function(namespaceURI, localName) {
          throw new Error("This DOM method is not implemented.");
        };
        return XMLNamedNodeMap2;
      }();
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLElement.js
var require_XMLElement = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLElement.js"(exports, module2) {
    (function() {
      var NodeType, XMLAttribute, XMLElement, XMLNamedNodeMap, XMLNode, getValue, isFunction, isObject, ref, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      ref = require_Utility(), isObject = ref.isObject, isFunction = ref.isFunction, getValue = ref.getValue;
      XMLNode = require_XMLNode();
      NodeType = require_NodeType();
      XMLAttribute = require_XMLAttribute();
      XMLNamedNodeMap = require_XMLNamedNodeMap();
      module2.exports = XMLElement = function(superClass) {
        extend(XMLElement2, superClass);
        function XMLElement2(parent, name, attributes) {
          var child, j, len, ref1;
          XMLElement2.__super__.constructor.call(this, parent);
          if (name == null) {
            throw new Error("Missing element name. " + this.debugInfo());
          }
          this.name = this.stringify.name(name);
          this.type = NodeType.Element;
          this.attribs = {};
          this.schemaTypeInfo = null;
          if (attributes != null) {
            this.attribute(attributes);
          }
          if (parent.type === NodeType.Document) {
            this.isRoot = true;
            this.documentObject = parent;
            parent.rootObject = this;
            if (parent.children) {
              ref1 = parent.children;
              for (j = 0, len = ref1.length; j < len; j++) {
                child = ref1[j];
                if (child.type === NodeType.DocType) {
                  child.name = this.name;
                  break;
                }
              }
            }
          }
        }
        Object.defineProperty(XMLElement2.prototype, "tagName", {
          get: function() {
            return this.name;
          }
        });
        Object.defineProperty(XMLElement2.prototype, "namespaceURI", {
          get: function() {
            return "";
          }
        });
        Object.defineProperty(XMLElement2.prototype, "prefix", {
          get: function() {
            return "";
          }
        });
        Object.defineProperty(XMLElement2.prototype, "localName", {
          get: function() {
            return this.name;
          }
        });
        Object.defineProperty(XMLElement2.prototype, "id", {
          get: function() {
            throw new Error("This DOM method is not implemented." + this.debugInfo());
          }
        });
        Object.defineProperty(XMLElement2.prototype, "className", {
          get: function() {
            throw new Error("This DOM method is not implemented." + this.debugInfo());
          }
        });
        Object.defineProperty(XMLElement2.prototype, "classList", {
          get: function() {
            throw new Error("This DOM method is not implemented." + this.debugInfo());
          }
        });
        Object.defineProperty(XMLElement2.prototype, "attributes", {
          get: function() {
            if (!this.attributeMap || !this.attributeMap.nodes) {
              this.attributeMap = new XMLNamedNodeMap(this.attribs);
            }
            return this.attributeMap;
          }
        });
        XMLElement2.prototype.clone = function() {
          var att, attName, clonedSelf, ref1;
          clonedSelf = Object.create(this);
          if (clonedSelf.isRoot) {
            clonedSelf.documentObject = null;
          }
          clonedSelf.attribs = {};
          ref1 = this.attribs;
          for (attName in ref1) {
            if (!hasProp.call(ref1, attName))
              continue;
            att = ref1[attName];
            clonedSelf.attribs[attName] = att.clone();
          }
          clonedSelf.children = [];
          this.children.forEach(function(child) {
            var clonedChild;
            clonedChild = child.clone();
            clonedChild.parent = clonedSelf;
            return clonedSelf.children.push(clonedChild);
          });
          return clonedSelf;
        };
        XMLElement2.prototype.attribute = function(name, value) {
          var attName, attValue;
          if (name != null) {
            name = getValue(name);
          }
          if (isObject(name)) {
            for (attName in name) {
              if (!hasProp.call(name, attName))
                continue;
              attValue = name[attName];
              this.attribute(attName, attValue);
            }
          } else {
            if (isFunction(value)) {
              value = value.apply();
            }
            if (this.options.keepNullAttributes && value == null) {
              this.attribs[name] = new XMLAttribute(this, name, "");
            } else if (value != null) {
              this.attribs[name] = new XMLAttribute(this, name, value);
            }
          }
          return this;
        };
        XMLElement2.prototype.removeAttribute = function(name) {
          var attName, j, len;
          if (name == null) {
            throw new Error("Missing attribute name. " + this.debugInfo());
          }
          name = getValue(name);
          if (Array.isArray(name)) {
            for (j = 0, len = name.length; j < len; j++) {
              attName = name[j];
              delete this.attribs[attName];
            }
          } else {
            delete this.attribs[name];
          }
          return this;
        };
        XMLElement2.prototype.toString = function(options) {
          return this.options.writer.element(this, this.options.writer.filterOptions(options));
        };
        XMLElement2.prototype.att = function(name, value) {
          return this.attribute(name, value);
        };
        XMLElement2.prototype.a = function(name, value) {
          return this.attribute(name, value);
        };
        XMLElement2.prototype.getAttribute = function(name) {
          if (this.attribs.hasOwnProperty(name)) {
            return this.attribs[name].value;
          } else {
            return null;
          }
        };
        XMLElement2.prototype.setAttribute = function(name, value) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLElement2.prototype.getAttributeNode = function(name) {
          if (this.attribs.hasOwnProperty(name)) {
            return this.attribs[name];
          } else {
            return null;
          }
        };
        XMLElement2.prototype.setAttributeNode = function(newAttr) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLElement2.prototype.removeAttributeNode = function(oldAttr) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLElement2.prototype.getElementsByTagName = function(name) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLElement2.prototype.getAttributeNS = function(namespaceURI, localName) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLElement2.prototype.setAttributeNS = function(namespaceURI, qualifiedName, value) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLElement2.prototype.removeAttributeNS = function(namespaceURI, localName) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLElement2.prototype.getAttributeNodeNS = function(namespaceURI, localName) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLElement2.prototype.setAttributeNodeNS = function(newAttr) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLElement2.prototype.getElementsByTagNameNS = function(namespaceURI, localName) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLElement2.prototype.hasAttribute = function(name) {
          return this.attribs.hasOwnProperty(name);
        };
        XMLElement2.prototype.hasAttributeNS = function(namespaceURI, localName) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLElement2.prototype.setIdAttribute = function(name, isId) {
          if (this.attribs.hasOwnProperty(name)) {
            return this.attribs[name].isId;
          } else {
            return isId;
          }
        };
        XMLElement2.prototype.setIdAttributeNS = function(namespaceURI, localName, isId) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLElement2.prototype.setIdAttributeNode = function(idAttr, isId) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLElement2.prototype.getElementsByTagName = function(tagname) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLElement2.prototype.getElementsByTagNameNS = function(namespaceURI, localName) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLElement2.prototype.getElementsByClassName = function(classNames) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLElement2.prototype.isEqualNode = function(node) {
          var i, j, ref1;
          if (!XMLElement2.__super__.isEqualNode.apply(this, arguments).isEqualNode(node)) {
            return false;
          }
          if (node.namespaceURI !== this.namespaceURI) {
            return false;
          }
          if (node.prefix !== this.prefix) {
            return false;
          }
          if (node.localName !== this.localName) {
            return false;
          }
          if (node.attribs.length !== this.attribs.length) {
            return false;
          }
          for (i = j = 0, ref1 = this.attribs.length - 1; 0 <= ref1 ? j <= ref1 : j >= ref1; i = 0 <= ref1 ? ++j : --j) {
            if (!this.attribs[i].isEqualNode(node.attribs[i])) {
              return false;
            }
          }
          return true;
        };
        return XMLElement2;
      }(XMLNode);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLCharacterData.js
var require_XMLCharacterData = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLCharacterData.js"(exports, module2) {
    (function() {
      var XMLCharacterData, XMLNode, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      XMLNode = require_XMLNode();
      module2.exports = XMLCharacterData = function(superClass) {
        extend(XMLCharacterData2, superClass);
        function XMLCharacterData2(parent) {
          XMLCharacterData2.__super__.constructor.call(this, parent);
          this.value = "";
        }
        Object.defineProperty(XMLCharacterData2.prototype, "data", {
          get: function() {
            return this.value;
          },
          set: function(value) {
            return this.value = value || "";
          }
        });
        Object.defineProperty(XMLCharacterData2.prototype, "length", {
          get: function() {
            return this.value.length;
          }
        });
        Object.defineProperty(XMLCharacterData2.prototype, "textContent", {
          get: function() {
            return this.value;
          },
          set: function(value) {
            return this.value = value || "";
          }
        });
        XMLCharacterData2.prototype.clone = function() {
          return Object.create(this);
        };
        XMLCharacterData2.prototype.substringData = function(offset, count) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLCharacterData2.prototype.appendData = function(arg) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLCharacterData2.prototype.insertData = function(offset, arg) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLCharacterData2.prototype.deleteData = function(offset, count) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLCharacterData2.prototype.replaceData = function(offset, count, arg) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLCharacterData2.prototype.isEqualNode = function(node) {
          if (!XMLCharacterData2.__super__.isEqualNode.apply(this, arguments).isEqualNode(node)) {
            return false;
          }
          if (node.data !== this.data) {
            return false;
          }
          return true;
        };
        return XMLCharacterData2;
      }(XMLNode);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLCData.js
var require_XMLCData = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLCData.js"(exports, module2) {
    (function() {
      var NodeType, XMLCData, XMLCharacterData, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      NodeType = require_NodeType();
      XMLCharacterData = require_XMLCharacterData();
      module2.exports = XMLCData = function(superClass) {
        extend(XMLCData2, superClass);
        function XMLCData2(parent, text) {
          XMLCData2.__super__.constructor.call(this, parent);
          if (text == null) {
            throw new Error("Missing CDATA text. " + this.debugInfo());
          }
          this.name = "#cdata-section";
          this.type = NodeType.CData;
          this.value = this.stringify.cdata(text);
        }
        XMLCData2.prototype.clone = function() {
          return Object.create(this);
        };
        XMLCData2.prototype.toString = function(options) {
          return this.options.writer.cdata(this, this.options.writer.filterOptions(options));
        };
        return XMLCData2;
      }(XMLCharacterData);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLComment.js
var require_XMLComment = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLComment.js"(exports, module2) {
    (function() {
      var NodeType, XMLCharacterData, XMLComment, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      NodeType = require_NodeType();
      XMLCharacterData = require_XMLCharacterData();
      module2.exports = XMLComment = function(superClass) {
        extend(XMLComment2, superClass);
        function XMLComment2(parent, text) {
          XMLComment2.__super__.constructor.call(this, parent);
          if (text == null) {
            throw new Error("Missing comment text. " + this.debugInfo());
          }
          this.name = "#comment";
          this.type = NodeType.Comment;
          this.value = this.stringify.comment(text);
        }
        XMLComment2.prototype.clone = function() {
          return Object.create(this);
        };
        XMLComment2.prototype.toString = function(options) {
          return this.options.writer.comment(this, this.options.writer.filterOptions(options));
        };
        return XMLComment2;
      }(XMLCharacterData);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDeclaration.js
var require_XMLDeclaration = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDeclaration.js"(exports, module2) {
    (function() {
      var NodeType, XMLDeclaration, XMLNode, isObject, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      isObject = require_Utility().isObject;
      XMLNode = require_XMLNode();
      NodeType = require_NodeType();
      module2.exports = XMLDeclaration = function(superClass) {
        extend(XMLDeclaration2, superClass);
        function XMLDeclaration2(parent, version, encoding, standalone) {
          var ref;
          XMLDeclaration2.__super__.constructor.call(this, parent);
          if (isObject(version)) {
            ref = version, version = ref.version, encoding = ref.encoding, standalone = ref.standalone;
          }
          if (!version) {
            version = "1.0";
          }
          this.type = NodeType.Declaration;
          this.version = this.stringify.xmlVersion(version);
          if (encoding != null) {
            this.encoding = this.stringify.xmlEncoding(encoding);
          }
          if (standalone != null) {
            this.standalone = this.stringify.xmlStandalone(standalone);
          }
        }
        XMLDeclaration2.prototype.toString = function(options) {
          return this.options.writer.declaration(this, this.options.writer.filterOptions(options));
        };
        return XMLDeclaration2;
      }(XMLNode);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDTDAttList.js
var require_XMLDTDAttList = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDTDAttList.js"(exports, module2) {
    (function() {
      var NodeType, XMLDTDAttList, XMLNode, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      XMLNode = require_XMLNode();
      NodeType = require_NodeType();
      module2.exports = XMLDTDAttList = function(superClass) {
        extend(XMLDTDAttList2, superClass);
        function XMLDTDAttList2(parent, elementName, attributeName, attributeType, defaultValueType, defaultValue) {
          XMLDTDAttList2.__super__.constructor.call(this, parent);
          if (elementName == null) {
            throw new Error("Missing DTD element name. " + this.debugInfo());
          }
          if (attributeName == null) {
            throw new Error("Missing DTD attribute name. " + this.debugInfo(elementName));
          }
          if (!attributeType) {
            throw new Error("Missing DTD attribute type. " + this.debugInfo(elementName));
          }
          if (!defaultValueType) {
            throw new Error("Missing DTD attribute default. " + this.debugInfo(elementName));
          }
          if (defaultValueType.indexOf("#") !== 0) {
            defaultValueType = "#" + defaultValueType;
          }
          if (!defaultValueType.match(/^(#REQUIRED|#IMPLIED|#FIXED|#DEFAULT)$/)) {
            throw new Error("Invalid default value type; expected: #REQUIRED, #IMPLIED, #FIXED or #DEFAULT. " + this.debugInfo(elementName));
          }
          if (defaultValue && !defaultValueType.match(/^(#FIXED|#DEFAULT)$/)) {
            throw new Error("Default value only applies to #FIXED or #DEFAULT. " + this.debugInfo(elementName));
          }
          this.elementName = this.stringify.name(elementName);
          this.type = NodeType.AttributeDeclaration;
          this.attributeName = this.stringify.name(attributeName);
          this.attributeType = this.stringify.dtdAttType(attributeType);
          if (defaultValue) {
            this.defaultValue = this.stringify.dtdAttDefault(defaultValue);
          }
          this.defaultValueType = defaultValueType;
        }
        XMLDTDAttList2.prototype.toString = function(options) {
          return this.options.writer.dtdAttList(this, this.options.writer.filterOptions(options));
        };
        return XMLDTDAttList2;
      }(XMLNode);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDTDEntity.js
var require_XMLDTDEntity = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDTDEntity.js"(exports, module2) {
    (function() {
      var NodeType, XMLDTDEntity, XMLNode, isObject, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      isObject = require_Utility().isObject;
      XMLNode = require_XMLNode();
      NodeType = require_NodeType();
      module2.exports = XMLDTDEntity = function(superClass) {
        extend(XMLDTDEntity2, superClass);
        function XMLDTDEntity2(parent, pe, name, value) {
          XMLDTDEntity2.__super__.constructor.call(this, parent);
          if (name == null) {
            throw new Error("Missing DTD entity name. " + this.debugInfo(name));
          }
          if (value == null) {
            throw new Error("Missing DTD entity value. " + this.debugInfo(name));
          }
          this.pe = !!pe;
          this.name = this.stringify.name(name);
          this.type = NodeType.EntityDeclaration;
          if (!isObject(value)) {
            this.value = this.stringify.dtdEntityValue(value);
            this.internal = true;
          } else {
            if (!value.pubID && !value.sysID) {
              throw new Error("Public and/or system identifiers are required for an external entity. " + this.debugInfo(name));
            }
            if (value.pubID && !value.sysID) {
              throw new Error("System identifier is required for a public external entity. " + this.debugInfo(name));
            }
            this.internal = false;
            if (value.pubID != null) {
              this.pubID = this.stringify.dtdPubID(value.pubID);
            }
            if (value.sysID != null) {
              this.sysID = this.stringify.dtdSysID(value.sysID);
            }
            if (value.nData != null) {
              this.nData = this.stringify.dtdNData(value.nData);
            }
            if (this.pe && this.nData) {
              throw new Error("Notation declaration is not allowed in a parameter entity. " + this.debugInfo(name));
            }
          }
        }
        Object.defineProperty(XMLDTDEntity2.prototype, "publicId", {
          get: function() {
            return this.pubID;
          }
        });
        Object.defineProperty(XMLDTDEntity2.prototype, "systemId", {
          get: function() {
            return this.sysID;
          }
        });
        Object.defineProperty(XMLDTDEntity2.prototype, "notationName", {
          get: function() {
            return this.nData || null;
          }
        });
        Object.defineProperty(XMLDTDEntity2.prototype, "inputEncoding", {
          get: function() {
            return null;
          }
        });
        Object.defineProperty(XMLDTDEntity2.prototype, "xmlEncoding", {
          get: function() {
            return null;
          }
        });
        Object.defineProperty(XMLDTDEntity2.prototype, "xmlVersion", {
          get: function() {
            return null;
          }
        });
        XMLDTDEntity2.prototype.toString = function(options) {
          return this.options.writer.dtdEntity(this, this.options.writer.filterOptions(options));
        };
        return XMLDTDEntity2;
      }(XMLNode);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDTDElement.js
var require_XMLDTDElement = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDTDElement.js"(exports, module2) {
    (function() {
      var NodeType, XMLDTDElement, XMLNode, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      XMLNode = require_XMLNode();
      NodeType = require_NodeType();
      module2.exports = XMLDTDElement = function(superClass) {
        extend(XMLDTDElement2, superClass);
        function XMLDTDElement2(parent, name, value) {
          XMLDTDElement2.__super__.constructor.call(this, parent);
          if (name == null) {
            throw new Error("Missing DTD element name. " + this.debugInfo());
          }
          if (!value) {
            value = "(#PCDATA)";
          }
          if (Array.isArray(value)) {
            value = "(" + value.join(",") + ")";
          }
          this.name = this.stringify.name(name);
          this.type = NodeType.ElementDeclaration;
          this.value = this.stringify.dtdElementValue(value);
        }
        XMLDTDElement2.prototype.toString = function(options) {
          return this.options.writer.dtdElement(this, this.options.writer.filterOptions(options));
        };
        return XMLDTDElement2;
      }(XMLNode);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDTDNotation.js
var require_XMLDTDNotation = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDTDNotation.js"(exports, module2) {
    (function() {
      var NodeType, XMLDTDNotation, XMLNode, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      XMLNode = require_XMLNode();
      NodeType = require_NodeType();
      module2.exports = XMLDTDNotation = function(superClass) {
        extend(XMLDTDNotation2, superClass);
        function XMLDTDNotation2(parent, name, value) {
          XMLDTDNotation2.__super__.constructor.call(this, parent);
          if (name == null) {
            throw new Error("Missing DTD notation name. " + this.debugInfo(name));
          }
          if (!value.pubID && !value.sysID) {
            throw new Error("Public or system identifiers are required for an external entity. " + this.debugInfo(name));
          }
          this.name = this.stringify.name(name);
          this.type = NodeType.NotationDeclaration;
          if (value.pubID != null) {
            this.pubID = this.stringify.dtdPubID(value.pubID);
          }
          if (value.sysID != null) {
            this.sysID = this.stringify.dtdSysID(value.sysID);
          }
        }
        Object.defineProperty(XMLDTDNotation2.prototype, "publicId", {
          get: function() {
            return this.pubID;
          }
        });
        Object.defineProperty(XMLDTDNotation2.prototype, "systemId", {
          get: function() {
            return this.sysID;
          }
        });
        XMLDTDNotation2.prototype.toString = function(options) {
          return this.options.writer.dtdNotation(this, this.options.writer.filterOptions(options));
        };
        return XMLDTDNotation2;
      }(XMLNode);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDocType.js
var require_XMLDocType = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDocType.js"(exports, module2) {
    (function() {
      var NodeType, XMLDTDAttList, XMLDTDElement, XMLDTDEntity, XMLDTDNotation, XMLDocType, XMLNamedNodeMap, XMLNode, isObject, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      isObject = require_Utility().isObject;
      XMLNode = require_XMLNode();
      NodeType = require_NodeType();
      XMLDTDAttList = require_XMLDTDAttList();
      XMLDTDEntity = require_XMLDTDEntity();
      XMLDTDElement = require_XMLDTDElement();
      XMLDTDNotation = require_XMLDTDNotation();
      XMLNamedNodeMap = require_XMLNamedNodeMap();
      module2.exports = XMLDocType = function(superClass) {
        extend(XMLDocType2, superClass);
        function XMLDocType2(parent, pubID, sysID) {
          var child, i, len, ref, ref1, ref2;
          XMLDocType2.__super__.constructor.call(this, parent);
          this.type = NodeType.DocType;
          if (parent.children) {
            ref = parent.children;
            for (i = 0, len = ref.length; i < len; i++) {
              child = ref[i];
              if (child.type === NodeType.Element) {
                this.name = child.name;
                break;
              }
            }
          }
          this.documentObject = parent;
          if (isObject(pubID)) {
            ref1 = pubID, pubID = ref1.pubID, sysID = ref1.sysID;
          }
          if (sysID == null) {
            ref2 = [pubID, sysID], sysID = ref2[0], pubID = ref2[1];
          }
          if (pubID != null) {
            this.pubID = this.stringify.dtdPubID(pubID);
          }
          if (sysID != null) {
            this.sysID = this.stringify.dtdSysID(sysID);
          }
        }
        Object.defineProperty(XMLDocType2.prototype, "entities", {
          get: function() {
            var child, i, len, nodes, ref;
            nodes = {};
            ref = this.children;
            for (i = 0, len = ref.length; i < len; i++) {
              child = ref[i];
              if (child.type === NodeType.EntityDeclaration && !child.pe) {
                nodes[child.name] = child;
              }
            }
            return new XMLNamedNodeMap(nodes);
          }
        });
        Object.defineProperty(XMLDocType2.prototype, "notations", {
          get: function() {
            var child, i, len, nodes, ref;
            nodes = {};
            ref = this.children;
            for (i = 0, len = ref.length; i < len; i++) {
              child = ref[i];
              if (child.type === NodeType.NotationDeclaration) {
                nodes[child.name] = child;
              }
            }
            return new XMLNamedNodeMap(nodes);
          }
        });
        Object.defineProperty(XMLDocType2.prototype, "publicId", {
          get: function() {
            return this.pubID;
          }
        });
        Object.defineProperty(XMLDocType2.prototype, "systemId", {
          get: function() {
            return this.sysID;
          }
        });
        Object.defineProperty(XMLDocType2.prototype, "internalSubset", {
          get: function() {
            throw new Error("This DOM method is not implemented." + this.debugInfo());
          }
        });
        XMLDocType2.prototype.element = function(name, value) {
          var child;
          child = new XMLDTDElement(this, name, value);
          this.children.push(child);
          return this;
        };
        XMLDocType2.prototype.attList = function(elementName, attributeName, attributeType, defaultValueType, defaultValue) {
          var child;
          child = new XMLDTDAttList(this, elementName, attributeName, attributeType, defaultValueType, defaultValue);
          this.children.push(child);
          return this;
        };
        XMLDocType2.prototype.entity = function(name, value) {
          var child;
          child = new XMLDTDEntity(this, false, name, value);
          this.children.push(child);
          return this;
        };
        XMLDocType2.prototype.pEntity = function(name, value) {
          var child;
          child = new XMLDTDEntity(this, true, name, value);
          this.children.push(child);
          return this;
        };
        XMLDocType2.prototype.notation = function(name, value) {
          var child;
          child = new XMLDTDNotation(this, name, value);
          this.children.push(child);
          return this;
        };
        XMLDocType2.prototype.toString = function(options) {
          return this.options.writer.docType(this, this.options.writer.filterOptions(options));
        };
        XMLDocType2.prototype.ele = function(name, value) {
          return this.element(name, value);
        };
        XMLDocType2.prototype.att = function(elementName, attributeName, attributeType, defaultValueType, defaultValue) {
          return this.attList(elementName, attributeName, attributeType, defaultValueType, defaultValue);
        };
        XMLDocType2.prototype.ent = function(name, value) {
          return this.entity(name, value);
        };
        XMLDocType2.prototype.pent = function(name, value) {
          return this.pEntity(name, value);
        };
        XMLDocType2.prototype.not = function(name, value) {
          return this.notation(name, value);
        };
        XMLDocType2.prototype.up = function() {
          return this.root() || this.documentObject;
        };
        XMLDocType2.prototype.isEqualNode = function(node) {
          if (!XMLDocType2.__super__.isEqualNode.apply(this, arguments).isEqualNode(node)) {
            return false;
          }
          if (node.name !== this.name) {
            return false;
          }
          if (node.publicId !== this.publicId) {
            return false;
          }
          if (node.systemId !== this.systemId) {
            return false;
          }
          return true;
        };
        return XMLDocType2;
      }(XMLNode);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLRaw.js
var require_XMLRaw = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLRaw.js"(exports, module2) {
    (function() {
      var NodeType, XMLNode, XMLRaw, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      NodeType = require_NodeType();
      XMLNode = require_XMLNode();
      module2.exports = XMLRaw = function(superClass) {
        extend(XMLRaw2, superClass);
        function XMLRaw2(parent, text) {
          XMLRaw2.__super__.constructor.call(this, parent);
          if (text == null) {
            throw new Error("Missing raw text. " + this.debugInfo());
          }
          this.type = NodeType.Raw;
          this.value = this.stringify.raw(text);
        }
        XMLRaw2.prototype.clone = function() {
          return Object.create(this);
        };
        XMLRaw2.prototype.toString = function(options) {
          return this.options.writer.raw(this, this.options.writer.filterOptions(options));
        };
        return XMLRaw2;
      }(XMLNode);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLText.js
var require_XMLText = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLText.js"(exports, module2) {
    (function() {
      var NodeType, XMLCharacterData, XMLText, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      NodeType = require_NodeType();
      XMLCharacterData = require_XMLCharacterData();
      module2.exports = XMLText = function(superClass) {
        extend(XMLText2, superClass);
        function XMLText2(parent, text) {
          XMLText2.__super__.constructor.call(this, parent);
          if (text == null) {
            throw new Error("Missing element text. " + this.debugInfo());
          }
          this.name = "#text";
          this.type = NodeType.Text;
          this.value = this.stringify.text(text);
        }
        Object.defineProperty(XMLText2.prototype, "isElementContentWhitespace", {
          get: function() {
            throw new Error("This DOM method is not implemented." + this.debugInfo());
          }
        });
        Object.defineProperty(XMLText2.prototype, "wholeText", {
          get: function() {
            var next, prev, str;
            str = "";
            prev = this.previousSibling;
            while (prev) {
              str = prev.data + str;
              prev = prev.previousSibling;
            }
            str += this.data;
            next = this.nextSibling;
            while (next) {
              str = str + next.data;
              next = next.nextSibling;
            }
            return str;
          }
        });
        XMLText2.prototype.clone = function() {
          return Object.create(this);
        };
        XMLText2.prototype.toString = function(options) {
          return this.options.writer.text(this, this.options.writer.filterOptions(options));
        };
        XMLText2.prototype.splitText = function(offset) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLText2.prototype.replaceWholeText = function(content) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        return XMLText2;
      }(XMLCharacterData);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLProcessingInstruction.js
var require_XMLProcessingInstruction = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLProcessingInstruction.js"(exports, module2) {
    (function() {
      var NodeType, XMLCharacterData, XMLProcessingInstruction, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      NodeType = require_NodeType();
      XMLCharacterData = require_XMLCharacterData();
      module2.exports = XMLProcessingInstruction = function(superClass) {
        extend(XMLProcessingInstruction2, superClass);
        function XMLProcessingInstruction2(parent, target, value) {
          XMLProcessingInstruction2.__super__.constructor.call(this, parent);
          if (target == null) {
            throw new Error("Missing instruction target. " + this.debugInfo());
          }
          this.type = NodeType.ProcessingInstruction;
          this.target = this.stringify.insTarget(target);
          this.name = this.target;
          if (value) {
            this.value = this.stringify.insValue(value);
          }
        }
        XMLProcessingInstruction2.prototype.clone = function() {
          return Object.create(this);
        };
        XMLProcessingInstruction2.prototype.toString = function(options) {
          return this.options.writer.processingInstruction(this, this.options.writer.filterOptions(options));
        };
        XMLProcessingInstruction2.prototype.isEqualNode = function(node) {
          if (!XMLProcessingInstruction2.__super__.isEqualNode.apply(this, arguments).isEqualNode(node)) {
            return false;
          }
          if (node.target !== this.target) {
            return false;
          }
          return true;
        };
        return XMLProcessingInstruction2;
      }(XMLCharacterData);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDummy.js
var require_XMLDummy = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDummy.js"(exports, module2) {
    (function() {
      var NodeType, XMLDummy, XMLNode, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      XMLNode = require_XMLNode();
      NodeType = require_NodeType();
      module2.exports = XMLDummy = function(superClass) {
        extend(XMLDummy2, superClass);
        function XMLDummy2(parent) {
          XMLDummy2.__super__.constructor.call(this, parent);
          this.type = NodeType.Dummy;
        }
        XMLDummy2.prototype.clone = function() {
          return Object.create(this);
        };
        XMLDummy2.prototype.toString = function(options) {
          return "";
        };
        return XMLDummy2;
      }(XMLNode);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLNodeList.js
var require_XMLNodeList = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLNodeList.js"(exports, module2) {
    (function() {
      var XMLNodeList;
      module2.exports = XMLNodeList = function() {
        function XMLNodeList2(nodes) {
          this.nodes = nodes;
        }
        Object.defineProperty(XMLNodeList2.prototype, "length", {
          get: function() {
            return this.nodes.length || 0;
          }
        });
        XMLNodeList2.prototype.clone = function() {
          return this.nodes = null;
        };
        XMLNodeList2.prototype.item = function(index) {
          return this.nodes[index] || null;
        };
        return XMLNodeList2;
      }();
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/DocumentPosition.js
var require_DocumentPosition = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/DocumentPosition.js"(exports, module2) {
    (function() {
      module2.exports = {
        Disconnected: 1,
        Preceding: 2,
        Following: 4,
        Contains: 8,
        ContainedBy: 16,
        ImplementationSpecific: 32
      };
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLNode.js
var require_XMLNode = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLNode.js"(exports, module2) {
    (function() {
      var DocumentPosition, NodeType, XMLCData, XMLComment, XMLDeclaration, XMLDocType, XMLDummy, XMLElement, XMLNamedNodeMap, XMLNode, XMLNodeList, XMLProcessingInstruction, XMLRaw, XMLText, getValue, isEmpty, isFunction, isObject, ref1, hasProp = {}.hasOwnProperty;
      ref1 = require_Utility(), isObject = ref1.isObject, isFunction = ref1.isFunction, isEmpty = ref1.isEmpty, getValue = ref1.getValue;
      XMLElement = null;
      XMLCData = null;
      XMLComment = null;
      XMLDeclaration = null;
      XMLDocType = null;
      XMLRaw = null;
      XMLText = null;
      XMLProcessingInstruction = null;
      XMLDummy = null;
      NodeType = null;
      XMLNodeList = null;
      XMLNamedNodeMap = null;
      DocumentPosition = null;
      module2.exports = XMLNode = function() {
        function XMLNode2(parent1) {
          this.parent = parent1;
          if (this.parent) {
            this.options = this.parent.options;
            this.stringify = this.parent.stringify;
          }
          this.value = null;
          this.children = [];
          this.baseURI = null;
          if (!XMLElement) {
            XMLElement = require_XMLElement();
            XMLCData = require_XMLCData();
            XMLComment = require_XMLComment();
            XMLDeclaration = require_XMLDeclaration();
            XMLDocType = require_XMLDocType();
            XMLRaw = require_XMLRaw();
            XMLText = require_XMLText();
            XMLProcessingInstruction = require_XMLProcessingInstruction();
            XMLDummy = require_XMLDummy();
            NodeType = require_NodeType();
            XMLNodeList = require_XMLNodeList();
            XMLNamedNodeMap = require_XMLNamedNodeMap();
            DocumentPosition = require_DocumentPosition();
          }
        }
        Object.defineProperty(XMLNode2.prototype, "nodeName", {
          get: function() {
            return this.name;
          }
        });
        Object.defineProperty(XMLNode2.prototype, "nodeType", {
          get: function() {
            return this.type;
          }
        });
        Object.defineProperty(XMLNode2.prototype, "nodeValue", {
          get: function() {
            return this.value;
          }
        });
        Object.defineProperty(XMLNode2.prototype, "parentNode", {
          get: function() {
            return this.parent;
          }
        });
        Object.defineProperty(XMLNode2.prototype, "childNodes", {
          get: function() {
            if (!this.childNodeList || !this.childNodeList.nodes) {
              this.childNodeList = new XMLNodeList(this.children);
            }
            return this.childNodeList;
          }
        });
        Object.defineProperty(XMLNode2.prototype, "firstChild", {
          get: function() {
            return this.children[0] || null;
          }
        });
        Object.defineProperty(XMLNode2.prototype, "lastChild", {
          get: function() {
            return this.children[this.children.length - 1] || null;
          }
        });
        Object.defineProperty(XMLNode2.prototype, "previousSibling", {
          get: function() {
            var i;
            i = this.parent.children.indexOf(this);
            return this.parent.children[i - 1] || null;
          }
        });
        Object.defineProperty(XMLNode2.prototype, "nextSibling", {
          get: function() {
            var i;
            i = this.parent.children.indexOf(this);
            return this.parent.children[i + 1] || null;
          }
        });
        Object.defineProperty(XMLNode2.prototype, "ownerDocument", {
          get: function() {
            return this.document() || null;
          }
        });
        Object.defineProperty(XMLNode2.prototype, "textContent", {
          get: function() {
            var child, j, len, ref2, str;
            if (this.nodeType === NodeType.Element || this.nodeType === NodeType.DocumentFragment) {
              str = "";
              ref2 = this.children;
              for (j = 0, len = ref2.length; j < len; j++) {
                child = ref2[j];
                if (child.textContent) {
                  str += child.textContent;
                }
              }
              return str;
            } else {
              return null;
            }
          },
          set: function(value) {
            throw new Error("This DOM method is not implemented." + this.debugInfo());
          }
        });
        XMLNode2.prototype.setParent = function(parent) {
          var child, j, len, ref2, results;
          this.parent = parent;
          if (parent) {
            this.options = parent.options;
            this.stringify = parent.stringify;
          }
          ref2 = this.children;
          results = [];
          for (j = 0, len = ref2.length; j < len; j++) {
            child = ref2[j];
            results.push(child.setParent(this));
          }
          return results;
        };
        XMLNode2.prototype.element = function(name, attributes, text) {
          var childNode, item, j, k, key, lastChild, len, len1, ref2, ref3, val;
          lastChild = null;
          if (attributes === null && text == null) {
            ref2 = [{}, null], attributes = ref2[0], text = ref2[1];
          }
          if (attributes == null) {
            attributes = {};
          }
          attributes = getValue(attributes);
          if (!isObject(attributes)) {
            ref3 = [attributes, text], text = ref3[0], attributes = ref3[1];
          }
          if (name != null) {
            name = getValue(name);
          }
          if (Array.isArray(name)) {
            for (j = 0, len = name.length; j < len; j++) {
              item = name[j];
              lastChild = this.element(item);
            }
          } else if (isFunction(name)) {
            lastChild = this.element(name.apply());
          } else if (isObject(name)) {
            for (key in name) {
              if (!hasProp.call(name, key))
                continue;
              val = name[key];
              if (isFunction(val)) {
                val = val.apply();
              }
              if (!this.options.ignoreDecorators && this.stringify.convertAttKey && key.indexOf(this.stringify.convertAttKey) === 0) {
                lastChild = this.attribute(key.substr(this.stringify.convertAttKey.length), val);
              } else if (!this.options.separateArrayItems && Array.isArray(val) && isEmpty(val)) {
                lastChild = this.dummy();
              } else if (isObject(val) && isEmpty(val)) {
                lastChild = this.element(key);
              } else if (!this.options.keepNullNodes && val == null) {
                lastChild = this.dummy();
              } else if (!this.options.separateArrayItems && Array.isArray(val)) {
                for (k = 0, len1 = val.length; k < len1; k++) {
                  item = val[k];
                  childNode = {};
                  childNode[key] = item;
                  lastChild = this.element(childNode);
                }
              } else if (isObject(val)) {
                if (!this.options.ignoreDecorators && this.stringify.convertTextKey && key.indexOf(this.stringify.convertTextKey) === 0) {
                  lastChild = this.element(val);
                } else {
                  lastChild = this.element(key);
                  lastChild.element(val);
                }
              } else {
                lastChild = this.element(key, val);
              }
            }
          } else if (!this.options.keepNullNodes && text === null) {
            lastChild = this.dummy();
          } else {
            if (!this.options.ignoreDecorators && this.stringify.convertTextKey && name.indexOf(this.stringify.convertTextKey) === 0) {
              lastChild = this.text(text);
            } else if (!this.options.ignoreDecorators && this.stringify.convertCDataKey && name.indexOf(this.stringify.convertCDataKey) === 0) {
              lastChild = this.cdata(text);
            } else if (!this.options.ignoreDecorators && this.stringify.convertCommentKey && name.indexOf(this.stringify.convertCommentKey) === 0) {
              lastChild = this.comment(text);
            } else if (!this.options.ignoreDecorators && this.stringify.convertRawKey && name.indexOf(this.stringify.convertRawKey) === 0) {
              lastChild = this.raw(text);
            } else if (!this.options.ignoreDecorators && this.stringify.convertPIKey && name.indexOf(this.stringify.convertPIKey) === 0) {
              lastChild = this.instruction(name.substr(this.stringify.convertPIKey.length), text);
            } else {
              lastChild = this.node(name, attributes, text);
            }
          }
          if (lastChild == null) {
            throw new Error("Could not create any elements with: " + name + ". " + this.debugInfo());
          }
          return lastChild;
        };
        XMLNode2.prototype.insertBefore = function(name, attributes, text) {
          var child, i, newChild, refChild, removed;
          if (name != null ? name.type : void 0) {
            newChild = name;
            refChild = attributes;
            newChild.setParent(this);
            if (refChild) {
              i = children.indexOf(refChild);
              removed = children.splice(i);
              children.push(newChild);
              Array.prototype.push.apply(children, removed);
            } else {
              children.push(newChild);
            }
            return newChild;
          } else {
            if (this.isRoot) {
              throw new Error("Cannot insert elements at root level. " + this.debugInfo(name));
            }
            i = this.parent.children.indexOf(this);
            removed = this.parent.children.splice(i);
            child = this.parent.element(name, attributes, text);
            Array.prototype.push.apply(this.parent.children, removed);
            return child;
          }
        };
        XMLNode2.prototype.insertAfter = function(name, attributes, text) {
          var child, i, removed;
          if (this.isRoot) {
            throw new Error("Cannot insert elements at root level. " + this.debugInfo(name));
          }
          i = this.parent.children.indexOf(this);
          removed = this.parent.children.splice(i + 1);
          child = this.parent.element(name, attributes, text);
          Array.prototype.push.apply(this.parent.children, removed);
          return child;
        };
        XMLNode2.prototype.remove = function() {
          var i, ref2;
          if (this.isRoot) {
            throw new Error("Cannot remove the root element. " + this.debugInfo());
          }
          i = this.parent.children.indexOf(this);
          [].splice.apply(this.parent.children, [i, i - i + 1].concat(ref2 = [])), ref2;
          return this.parent;
        };
        XMLNode2.prototype.node = function(name, attributes, text) {
          var child, ref2;
          if (name != null) {
            name = getValue(name);
          }
          attributes || (attributes = {});
          attributes = getValue(attributes);
          if (!isObject(attributes)) {
            ref2 = [attributes, text], text = ref2[0], attributes = ref2[1];
          }
          child = new XMLElement(this, name, attributes);
          if (text != null) {
            child.text(text);
          }
          this.children.push(child);
          return child;
        };
        XMLNode2.prototype.text = function(value) {
          var child;
          if (isObject(value)) {
            this.element(value);
          }
          child = new XMLText(this, value);
          this.children.push(child);
          return this;
        };
        XMLNode2.prototype.cdata = function(value) {
          var child;
          child = new XMLCData(this, value);
          this.children.push(child);
          return this;
        };
        XMLNode2.prototype.comment = function(value) {
          var child;
          child = new XMLComment(this, value);
          this.children.push(child);
          return this;
        };
        XMLNode2.prototype.commentBefore = function(value) {
          var child, i, removed;
          i = this.parent.children.indexOf(this);
          removed = this.parent.children.splice(i);
          child = this.parent.comment(value);
          Array.prototype.push.apply(this.parent.children, removed);
          return this;
        };
        XMLNode2.prototype.commentAfter = function(value) {
          var child, i, removed;
          i = this.parent.children.indexOf(this);
          removed = this.parent.children.splice(i + 1);
          child = this.parent.comment(value);
          Array.prototype.push.apply(this.parent.children, removed);
          return this;
        };
        XMLNode2.prototype.raw = function(value) {
          var child;
          child = new XMLRaw(this, value);
          this.children.push(child);
          return this;
        };
        XMLNode2.prototype.dummy = function() {
          var child;
          child = new XMLDummy(this);
          return child;
        };
        XMLNode2.prototype.instruction = function(target, value) {
          var insTarget, insValue, instruction, j, len;
          if (target != null) {
            target = getValue(target);
          }
          if (value != null) {
            value = getValue(value);
          }
          if (Array.isArray(target)) {
            for (j = 0, len = target.length; j < len; j++) {
              insTarget = target[j];
              this.instruction(insTarget);
            }
          } else if (isObject(target)) {
            for (insTarget in target) {
              if (!hasProp.call(target, insTarget))
                continue;
              insValue = target[insTarget];
              this.instruction(insTarget, insValue);
            }
          } else {
            if (isFunction(value)) {
              value = value.apply();
            }
            instruction = new XMLProcessingInstruction(this, target, value);
            this.children.push(instruction);
          }
          return this;
        };
        XMLNode2.prototype.instructionBefore = function(target, value) {
          var child, i, removed;
          i = this.parent.children.indexOf(this);
          removed = this.parent.children.splice(i);
          child = this.parent.instruction(target, value);
          Array.prototype.push.apply(this.parent.children, removed);
          return this;
        };
        XMLNode2.prototype.instructionAfter = function(target, value) {
          var child, i, removed;
          i = this.parent.children.indexOf(this);
          removed = this.parent.children.splice(i + 1);
          child = this.parent.instruction(target, value);
          Array.prototype.push.apply(this.parent.children, removed);
          return this;
        };
        XMLNode2.prototype.declaration = function(version, encoding, standalone) {
          var doc, xmldec;
          doc = this.document();
          xmldec = new XMLDeclaration(doc, version, encoding, standalone);
          if (doc.children.length === 0) {
            doc.children.unshift(xmldec);
          } else if (doc.children[0].type === NodeType.Declaration) {
            doc.children[0] = xmldec;
          } else {
            doc.children.unshift(xmldec);
          }
          return doc.root() || doc;
        };
        XMLNode2.prototype.dtd = function(pubID, sysID) {
          var child, doc, doctype, i, j, k, len, len1, ref2, ref3;
          doc = this.document();
          doctype = new XMLDocType(doc, pubID, sysID);
          ref2 = doc.children;
          for (i = j = 0, len = ref2.length; j < len; i = ++j) {
            child = ref2[i];
            if (child.type === NodeType.DocType) {
              doc.children[i] = doctype;
              return doctype;
            }
          }
          ref3 = doc.children;
          for (i = k = 0, len1 = ref3.length; k < len1; i = ++k) {
            child = ref3[i];
            if (child.isRoot) {
              doc.children.splice(i, 0, doctype);
              return doctype;
            }
          }
          doc.children.push(doctype);
          return doctype;
        };
        XMLNode2.prototype.up = function() {
          if (this.isRoot) {
            throw new Error("The root node has no parent. Use doc() if you need to get the document object.");
          }
          return this.parent;
        };
        XMLNode2.prototype.root = function() {
          var node;
          node = this;
          while (node) {
            if (node.type === NodeType.Document) {
              return node.rootObject;
            } else if (node.isRoot) {
              return node;
            } else {
              node = node.parent;
            }
          }
        };
        XMLNode2.prototype.document = function() {
          var node;
          node = this;
          while (node) {
            if (node.type === NodeType.Document) {
              return node;
            } else {
              node = node.parent;
            }
          }
        };
        XMLNode2.prototype.end = function(options) {
          return this.document().end(options);
        };
        XMLNode2.prototype.prev = function() {
          var i;
          i = this.parent.children.indexOf(this);
          if (i < 1) {
            throw new Error("Already at the first node. " + this.debugInfo());
          }
          return this.parent.children[i - 1];
        };
        XMLNode2.prototype.next = function() {
          var i;
          i = this.parent.children.indexOf(this);
          if (i === -1 || i === this.parent.children.length - 1) {
            throw new Error("Already at the last node. " + this.debugInfo());
          }
          return this.parent.children[i + 1];
        };
        XMLNode2.prototype.importDocument = function(doc) {
          var clonedRoot;
          clonedRoot = doc.root().clone();
          clonedRoot.parent = this;
          clonedRoot.isRoot = false;
          this.children.push(clonedRoot);
          return this;
        };
        XMLNode2.prototype.debugInfo = function(name) {
          var ref2, ref3;
          name = name || this.name;
          if (name == null && !((ref2 = this.parent) != null ? ref2.name : void 0)) {
            return "";
          } else if (name == null) {
            return "parent: <" + this.parent.name + ">";
          } else if (!((ref3 = this.parent) != null ? ref3.name : void 0)) {
            return "node: <" + name + ">";
          } else {
            return "node: <" + name + ">, parent: <" + this.parent.name + ">";
          }
        };
        XMLNode2.prototype.ele = function(name, attributes, text) {
          return this.element(name, attributes, text);
        };
        XMLNode2.prototype.nod = function(name, attributes, text) {
          return this.node(name, attributes, text);
        };
        XMLNode2.prototype.txt = function(value) {
          return this.text(value);
        };
        XMLNode2.prototype.dat = function(value) {
          return this.cdata(value);
        };
        XMLNode2.prototype.com = function(value) {
          return this.comment(value);
        };
        XMLNode2.prototype.ins = function(target, value) {
          return this.instruction(target, value);
        };
        XMLNode2.prototype.doc = function() {
          return this.document();
        };
        XMLNode2.prototype.dec = function(version, encoding, standalone) {
          return this.declaration(version, encoding, standalone);
        };
        XMLNode2.prototype.e = function(name, attributes, text) {
          return this.element(name, attributes, text);
        };
        XMLNode2.prototype.n = function(name, attributes, text) {
          return this.node(name, attributes, text);
        };
        XMLNode2.prototype.t = function(value) {
          return this.text(value);
        };
        XMLNode2.prototype.d = function(value) {
          return this.cdata(value);
        };
        XMLNode2.prototype.c = function(value) {
          return this.comment(value);
        };
        XMLNode2.prototype.r = function(value) {
          return this.raw(value);
        };
        XMLNode2.prototype.i = function(target, value) {
          return this.instruction(target, value);
        };
        XMLNode2.prototype.u = function() {
          return this.up();
        };
        XMLNode2.prototype.importXMLBuilder = function(doc) {
          return this.importDocument(doc);
        };
        XMLNode2.prototype.replaceChild = function(newChild, oldChild) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLNode2.prototype.removeChild = function(oldChild) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLNode2.prototype.appendChild = function(newChild) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLNode2.prototype.hasChildNodes = function() {
          return this.children.length !== 0;
        };
        XMLNode2.prototype.cloneNode = function(deep) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLNode2.prototype.normalize = function() {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLNode2.prototype.isSupported = function(feature, version) {
          return true;
        };
        XMLNode2.prototype.hasAttributes = function() {
          return this.attribs.length !== 0;
        };
        XMLNode2.prototype.compareDocumentPosition = function(other) {
          var ref, res;
          ref = this;
          if (ref === other) {
            return 0;
          } else if (this.document() !== other.document()) {
            res = DocumentPosition.Disconnected | DocumentPosition.ImplementationSpecific;
            if (Math.random() < 0.5) {
              res |= DocumentPosition.Preceding;
            } else {
              res |= DocumentPosition.Following;
            }
            return res;
          } else if (ref.isAncestor(other)) {
            return DocumentPosition.Contains | DocumentPosition.Preceding;
          } else if (ref.isDescendant(other)) {
            return DocumentPosition.Contains | DocumentPosition.Following;
          } else if (ref.isPreceding(other)) {
            return DocumentPosition.Preceding;
          } else {
            return DocumentPosition.Following;
          }
        };
        XMLNode2.prototype.isSameNode = function(other) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLNode2.prototype.lookupPrefix = function(namespaceURI) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLNode2.prototype.isDefaultNamespace = function(namespaceURI) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLNode2.prototype.lookupNamespaceURI = function(prefix) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLNode2.prototype.isEqualNode = function(node) {
          var i, j, ref2;
          if (node.nodeType !== this.nodeType) {
            return false;
          }
          if (node.children.length !== this.children.length) {
            return false;
          }
          for (i = j = 0, ref2 = this.children.length - 1; 0 <= ref2 ? j <= ref2 : j >= ref2; i = 0 <= ref2 ? ++j : --j) {
            if (!this.children[i].isEqualNode(node.children[i])) {
              return false;
            }
          }
          return true;
        };
        XMLNode2.prototype.getFeature = function(feature, version) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLNode2.prototype.setUserData = function(key, data, handler2) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLNode2.prototype.getUserData = function(key) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLNode2.prototype.contains = function(other) {
          if (!other) {
            return false;
          }
          return other === this || this.isDescendant(other);
        };
        XMLNode2.prototype.isDescendant = function(node) {
          var child, isDescendantChild, j, len, ref2;
          ref2 = this.children;
          for (j = 0, len = ref2.length; j < len; j++) {
            child = ref2[j];
            if (node === child) {
              return true;
            }
            isDescendantChild = child.isDescendant(node);
            if (isDescendantChild) {
              return true;
            }
          }
          return false;
        };
        XMLNode2.prototype.isAncestor = function(node) {
          return node.isDescendant(this);
        };
        XMLNode2.prototype.isPreceding = function(node) {
          var nodePos, thisPos;
          nodePos = this.treePosition(node);
          thisPos = this.treePosition(this);
          if (nodePos === -1 || thisPos === -1) {
            return false;
          } else {
            return nodePos < thisPos;
          }
        };
        XMLNode2.prototype.isFollowing = function(node) {
          var nodePos, thisPos;
          nodePos = this.treePosition(node);
          thisPos = this.treePosition(this);
          if (nodePos === -1 || thisPos === -1) {
            return false;
          } else {
            return nodePos > thisPos;
          }
        };
        XMLNode2.prototype.treePosition = function(node) {
          var found, pos;
          pos = 0;
          found = false;
          this.foreachTreeNode(this.document(), function(childNode) {
            pos++;
            if (!found && childNode === node) {
              return found = true;
            }
          });
          if (found) {
            return pos;
          } else {
            return -1;
          }
        };
        XMLNode2.prototype.foreachTreeNode = function(node, func) {
          var child, j, len, ref2, res;
          node || (node = this.document());
          ref2 = node.children;
          for (j = 0, len = ref2.length; j < len; j++) {
            child = ref2[j];
            if (res = func(child)) {
              return res;
            } else {
              res = this.foreachTreeNode(child, func);
              if (res) {
                return res;
              }
            }
          }
        };
        return XMLNode2;
      }();
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLStringifier.js
var require_XMLStringifier = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLStringifier.js"(exports, module2) {
    (function() {
      var XMLStringifier, bind = function(fn, me) {
        return function() {
          return fn.apply(me, arguments);
        };
      }, hasProp = {}.hasOwnProperty;
      module2.exports = XMLStringifier = function() {
        function XMLStringifier2(options) {
          this.assertLegalName = bind(this.assertLegalName, this);
          this.assertLegalChar = bind(this.assertLegalChar, this);
          var key, ref, value;
          options || (options = {});
          this.options = options;
          if (!this.options.version) {
            this.options.version = "1.0";
          }
          ref = options.stringify || {};
          for (key in ref) {
            if (!hasProp.call(ref, key))
              continue;
            value = ref[key];
            this[key] = value;
          }
        }
        XMLStringifier2.prototype.name = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          return this.assertLegalName("" + val || "");
        };
        XMLStringifier2.prototype.text = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          return this.assertLegalChar(this.textEscape("" + val || ""));
        };
        XMLStringifier2.prototype.cdata = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          val = "" + val || "";
          val = val.replace("]]>", "]]]]><![CDATA[>");
          return this.assertLegalChar(val);
        };
        XMLStringifier2.prototype.comment = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          val = "" + val || "";
          if (val.match(/--/)) {
            throw new Error("Comment text cannot contain double-hypen: " + val);
          }
          return this.assertLegalChar(val);
        };
        XMLStringifier2.prototype.raw = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          return "" + val || "";
        };
        XMLStringifier2.prototype.attValue = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          return this.assertLegalChar(this.attEscape(val = "" + val || ""));
        };
        XMLStringifier2.prototype.insTarget = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          return this.assertLegalChar("" + val || "");
        };
        XMLStringifier2.prototype.insValue = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          val = "" + val || "";
          if (val.match(/\?>/)) {
            throw new Error("Invalid processing instruction value: " + val);
          }
          return this.assertLegalChar(val);
        };
        XMLStringifier2.prototype.xmlVersion = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          val = "" + val || "";
          if (!val.match(/1\.[0-9]+/)) {
            throw new Error("Invalid version number: " + val);
          }
          return val;
        };
        XMLStringifier2.prototype.xmlEncoding = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          val = "" + val || "";
          if (!val.match(/^[A-Za-z](?:[A-Za-z0-9._-])*$/)) {
            throw new Error("Invalid encoding: " + val);
          }
          return this.assertLegalChar(val);
        };
        XMLStringifier2.prototype.xmlStandalone = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          if (val) {
            return "yes";
          } else {
            return "no";
          }
        };
        XMLStringifier2.prototype.dtdPubID = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          return this.assertLegalChar("" + val || "");
        };
        XMLStringifier2.prototype.dtdSysID = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          return this.assertLegalChar("" + val || "");
        };
        XMLStringifier2.prototype.dtdElementValue = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          return this.assertLegalChar("" + val || "");
        };
        XMLStringifier2.prototype.dtdAttType = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          return this.assertLegalChar("" + val || "");
        };
        XMLStringifier2.prototype.dtdAttDefault = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          return this.assertLegalChar("" + val || "");
        };
        XMLStringifier2.prototype.dtdEntityValue = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          return this.assertLegalChar("" + val || "");
        };
        XMLStringifier2.prototype.dtdNData = function(val) {
          if (this.options.noValidation) {
            return val;
          }
          return this.assertLegalChar("" + val || "");
        };
        XMLStringifier2.prototype.convertAttKey = "@";
        XMLStringifier2.prototype.convertPIKey = "?";
        XMLStringifier2.prototype.convertTextKey = "#text";
        XMLStringifier2.prototype.convertCDataKey = "#cdata";
        XMLStringifier2.prototype.convertCommentKey = "#comment";
        XMLStringifier2.prototype.convertRawKey = "#raw";
        XMLStringifier2.prototype.assertLegalChar = function(str) {
          var regex, res;
          if (this.options.noValidation) {
            return str;
          }
          regex = "";
          if (this.options.version === "1.0") {
            regex = /[\0-\x08\x0B\f\x0E-\x1F\uFFFE\uFFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
            if (res = str.match(regex)) {
              throw new Error("Invalid character in string: " + str + " at index " + res.index);
            }
          } else if (this.options.version === "1.1") {
            regex = /[\0\uFFFE\uFFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
            if (res = str.match(regex)) {
              throw new Error("Invalid character in string: " + str + " at index " + res.index);
            }
          }
          return str;
        };
        XMLStringifier2.prototype.assertLegalName = function(str) {
          var regex;
          if (this.options.noValidation) {
            return str;
          }
          this.assertLegalChar(str);
          regex = /^([:A-Z_a-z\xC0-\xD6\xD8-\xF6\xF8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uDB7F][\uDC00-\uDFFF])([\x2D\.0-:A-Z_a-z\xB7\xC0-\xD6\xD8-\xF6\xF8-\u037D\u037F-\u1FFF\u200C\u200D\u203F\u2040\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uDB7F][\uDC00-\uDFFF])*$/;
          if (!str.match(regex)) {
            throw new Error("Invalid character in name");
          }
          return str;
        };
        XMLStringifier2.prototype.textEscape = function(str) {
          var ampregex;
          if (this.options.noValidation) {
            return str;
          }
          ampregex = this.options.noDoubleEncoding ? /(?!&\S+;)&/g : /&/g;
          return str.replace(ampregex, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/\r/g, "&#xD;");
        };
        XMLStringifier2.prototype.attEscape = function(str) {
          var ampregex;
          if (this.options.noValidation) {
            return str;
          }
          ampregex = this.options.noDoubleEncoding ? /(?!&\S+;)&/g : /&/g;
          return str.replace(ampregex, "&amp;").replace(/</g, "&lt;").replace(/"/g, "&quot;").replace(/\t/g, "&#x9;").replace(/\n/g, "&#xA;").replace(/\r/g, "&#xD;");
        };
        return XMLStringifier2;
      }();
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/WriterState.js
var require_WriterState = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/WriterState.js"(exports, module2) {
    (function() {
      module2.exports = {
        None: 0,
        OpenTag: 1,
        InsideTag: 2,
        CloseTag: 3
      };
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLWriterBase.js
var require_XMLWriterBase = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLWriterBase.js"(exports, module2) {
    (function() {
      var NodeType, WriterState, XMLCData, XMLComment, XMLDTDAttList, XMLDTDElement, XMLDTDEntity, XMLDTDNotation, XMLDeclaration, XMLDocType, XMLDummy, XMLElement, XMLProcessingInstruction, XMLRaw, XMLText, XMLWriterBase, assign, hasProp = {}.hasOwnProperty;
      assign = require_Utility().assign;
      NodeType = require_NodeType();
      XMLDeclaration = require_XMLDeclaration();
      XMLDocType = require_XMLDocType();
      XMLCData = require_XMLCData();
      XMLComment = require_XMLComment();
      XMLElement = require_XMLElement();
      XMLRaw = require_XMLRaw();
      XMLText = require_XMLText();
      XMLProcessingInstruction = require_XMLProcessingInstruction();
      XMLDummy = require_XMLDummy();
      XMLDTDAttList = require_XMLDTDAttList();
      XMLDTDElement = require_XMLDTDElement();
      XMLDTDEntity = require_XMLDTDEntity();
      XMLDTDNotation = require_XMLDTDNotation();
      WriterState = require_WriterState();
      module2.exports = XMLWriterBase = function() {
        function XMLWriterBase2(options) {
          var key, ref, value;
          options || (options = {});
          this.options = options;
          ref = options.writer || {};
          for (key in ref) {
            if (!hasProp.call(ref, key))
              continue;
            value = ref[key];
            this["_" + key] = this[key];
            this[key] = value;
          }
        }
        XMLWriterBase2.prototype.filterOptions = function(options) {
          var filteredOptions, ref, ref1, ref2, ref3, ref4, ref5, ref6;
          options || (options = {});
          options = assign({}, this.options, options);
          filteredOptions = {
            writer: this
          };
          filteredOptions.pretty = options.pretty || false;
          filteredOptions.allowEmpty = options.allowEmpty || false;
          filteredOptions.indent = (ref = options.indent) != null ? ref : "  ";
          filteredOptions.newline = (ref1 = options.newline) != null ? ref1 : "\n";
          filteredOptions.offset = (ref2 = options.offset) != null ? ref2 : 0;
          filteredOptions.dontPrettyTextNodes = (ref3 = (ref4 = options.dontPrettyTextNodes) != null ? ref4 : options.dontprettytextnodes) != null ? ref3 : 0;
          filteredOptions.spaceBeforeSlash = (ref5 = (ref6 = options.spaceBeforeSlash) != null ? ref6 : options.spacebeforeslash) != null ? ref5 : "";
          if (filteredOptions.spaceBeforeSlash === true) {
            filteredOptions.spaceBeforeSlash = " ";
          }
          filteredOptions.suppressPrettyCount = 0;
          filteredOptions.user = {};
          filteredOptions.state = WriterState.None;
          return filteredOptions;
        };
        XMLWriterBase2.prototype.indent = function(node, options, level) {
          var indentLevel;
          if (!options.pretty || options.suppressPrettyCount) {
            return "";
          } else if (options.pretty) {
            indentLevel = (level || 0) + options.offset + 1;
            if (indentLevel > 0) {
              return new Array(indentLevel).join(options.indent);
            }
          }
          return "";
        };
        XMLWriterBase2.prototype.endline = function(node, options, level) {
          if (!options.pretty || options.suppressPrettyCount) {
            return "";
          } else {
            return options.newline;
          }
        };
        XMLWriterBase2.prototype.attribute = function(att, options, level) {
          var r;
          this.openAttribute(att, options, level);
          r = " " + att.name + '="' + att.value + '"';
          this.closeAttribute(att, options, level);
          return r;
        };
        XMLWriterBase2.prototype.cdata = function(node, options, level) {
          var r;
          this.openNode(node, options, level);
          options.state = WriterState.OpenTag;
          r = this.indent(node, options, level) + "<![CDATA[";
          options.state = WriterState.InsideTag;
          r += node.value;
          options.state = WriterState.CloseTag;
          r += "]]>" + this.endline(node, options, level);
          options.state = WriterState.None;
          this.closeNode(node, options, level);
          return r;
        };
        XMLWriterBase2.prototype.comment = function(node, options, level) {
          var r;
          this.openNode(node, options, level);
          options.state = WriterState.OpenTag;
          r = this.indent(node, options, level) + "<!-- ";
          options.state = WriterState.InsideTag;
          r += node.value;
          options.state = WriterState.CloseTag;
          r += " -->" + this.endline(node, options, level);
          options.state = WriterState.None;
          this.closeNode(node, options, level);
          return r;
        };
        XMLWriterBase2.prototype.declaration = function(node, options, level) {
          var r;
          this.openNode(node, options, level);
          options.state = WriterState.OpenTag;
          r = this.indent(node, options, level) + "<?xml";
          options.state = WriterState.InsideTag;
          r += ' version="' + node.version + '"';
          if (node.encoding != null) {
            r += ' encoding="' + node.encoding + '"';
          }
          if (node.standalone != null) {
            r += ' standalone="' + node.standalone + '"';
          }
          options.state = WriterState.CloseTag;
          r += options.spaceBeforeSlash + "?>";
          r += this.endline(node, options, level);
          options.state = WriterState.None;
          this.closeNode(node, options, level);
          return r;
        };
        XMLWriterBase2.prototype.docType = function(node, options, level) {
          var child, i, len, r, ref;
          level || (level = 0);
          this.openNode(node, options, level);
          options.state = WriterState.OpenTag;
          r = this.indent(node, options, level);
          r += "<!DOCTYPE " + node.root().name;
          if (node.pubID && node.sysID) {
            r += ' PUBLIC "' + node.pubID + '" "' + node.sysID + '"';
          } else if (node.sysID) {
            r += ' SYSTEM "' + node.sysID + '"';
          }
          if (node.children.length > 0) {
            r += " [";
            r += this.endline(node, options, level);
            options.state = WriterState.InsideTag;
            ref = node.children;
            for (i = 0, len = ref.length; i < len; i++) {
              child = ref[i];
              r += this.writeChildNode(child, options, level + 1);
            }
            options.state = WriterState.CloseTag;
            r += "]";
          }
          options.state = WriterState.CloseTag;
          r += options.spaceBeforeSlash + ">";
          r += this.endline(node, options, level);
          options.state = WriterState.None;
          this.closeNode(node, options, level);
          return r;
        };
        XMLWriterBase2.prototype.element = function(node, options, level) {
          var att, child, childNodeCount, firstChildNode, i, j, len, len1, name, prettySuppressed, r, ref, ref1, ref2;
          level || (level = 0);
          prettySuppressed = false;
          r = "";
          this.openNode(node, options, level);
          options.state = WriterState.OpenTag;
          r += this.indent(node, options, level) + "<" + node.name;
          ref = node.attribs;
          for (name in ref) {
            if (!hasProp.call(ref, name))
              continue;
            att = ref[name];
            r += this.attribute(att, options, level);
          }
          childNodeCount = node.children.length;
          firstChildNode = childNodeCount === 0 ? null : node.children[0];
          if (childNodeCount === 0 || node.children.every(function(e) {
            return (e.type === NodeType.Text || e.type === NodeType.Raw) && e.value === "";
          })) {
            if (options.allowEmpty) {
              r += ">";
              options.state = WriterState.CloseTag;
              r += "</" + node.name + ">" + this.endline(node, options, level);
            } else {
              options.state = WriterState.CloseTag;
              r += options.spaceBeforeSlash + "/>" + this.endline(node, options, level);
            }
          } else if (options.pretty && childNodeCount === 1 && (firstChildNode.type === NodeType.Text || firstChildNode.type === NodeType.Raw) && firstChildNode.value != null) {
            r += ">";
            options.state = WriterState.InsideTag;
            options.suppressPrettyCount++;
            prettySuppressed = true;
            r += this.writeChildNode(firstChildNode, options, level + 1);
            options.suppressPrettyCount--;
            prettySuppressed = false;
            options.state = WriterState.CloseTag;
            r += "</" + node.name + ">" + this.endline(node, options, level);
          } else {
            if (options.dontPrettyTextNodes) {
              ref1 = node.children;
              for (i = 0, len = ref1.length; i < len; i++) {
                child = ref1[i];
                if ((child.type === NodeType.Text || child.type === NodeType.Raw) && child.value != null) {
                  options.suppressPrettyCount++;
                  prettySuppressed = true;
                  break;
                }
              }
            }
            r += ">" + this.endline(node, options, level);
            options.state = WriterState.InsideTag;
            ref2 = node.children;
            for (j = 0, len1 = ref2.length; j < len1; j++) {
              child = ref2[j];
              r += this.writeChildNode(child, options, level + 1);
            }
            options.state = WriterState.CloseTag;
            r += this.indent(node, options, level) + "</" + node.name + ">";
            if (prettySuppressed) {
              options.suppressPrettyCount--;
            }
            r += this.endline(node, options, level);
            options.state = WriterState.None;
          }
          this.closeNode(node, options, level);
          return r;
        };
        XMLWriterBase2.prototype.writeChildNode = function(node, options, level) {
          switch (node.type) {
            case NodeType.CData:
              return this.cdata(node, options, level);
            case NodeType.Comment:
              return this.comment(node, options, level);
            case NodeType.Element:
              return this.element(node, options, level);
            case NodeType.Raw:
              return this.raw(node, options, level);
            case NodeType.Text:
              return this.text(node, options, level);
            case NodeType.ProcessingInstruction:
              return this.processingInstruction(node, options, level);
            case NodeType.Dummy:
              return "";
            case NodeType.Declaration:
              return this.declaration(node, options, level);
            case NodeType.DocType:
              return this.docType(node, options, level);
            case NodeType.AttributeDeclaration:
              return this.dtdAttList(node, options, level);
            case NodeType.ElementDeclaration:
              return this.dtdElement(node, options, level);
            case NodeType.EntityDeclaration:
              return this.dtdEntity(node, options, level);
            case NodeType.NotationDeclaration:
              return this.dtdNotation(node, options, level);
            default:
              throw new Error("Unknown XML node type: " + node.constructor.name);
          }
        };
        XMLWriterBase2.prototype.processingInstruction = function(node, options, level) {
          var r;
          this.openNode(node, options, level);
          options.state = WriterState.OpenTag;
          r = this.indent(node, options, level) + "<?";
          options.state = WriterState.InsideTag;
          r += node.target;
          if (node.value) {
            r += " " + node.value;
          }
          options.state = WriterState.CloseTag;
          r += options.spaceBeforeSlash + "?>";
          r += this.endline(node, options, level);
          options.state = WriterState.None;
          this.closeNode(node, options, level);
          return r;
        };
        XMLWriterBase2.prototype.raw = function(node, options, level) {
          var r;
          this.openNode(node, options, level);
          options.state = WriterState.OpenTag;
          r = this.indent(node, options, level);
          options.state = WriterState.InsideTag;
          r += node.value;
          options.state = WriterState.CloseTag;
          r += this.endline(node, options, level);
          options.state = WriterState.None;
          this.closeNode(node, options, level);
          return r;
        };
        XMLWriterBase2.prototype.text = function(node, options, level) {
          var r;
          this.openNode(node, options, level);
          options.state = WriterState.OpenTag;
          r = this.indent(node, options, level);
          options.state = WriterState.InsideTag;
          r += node.value;
          options.state = WriterState.CloseTag;
          r += this.endline(node, options, level);
          options.state = WriterState.None;
          this.closeNode(node, options, level);
          return r;
        };
        XMLWriterBase2.prototype.dtdAttList = function(node, options, level) {
          var r;
          this.openNode(node, options, level);
          options.state = WriterState.OpenTag;
          r = this.indent(node, options, level) + "<!ATTLIST";
          options.state = WriterState.InsideTag;
          r += " " + node.elementName + " " + node.attributeName + " " + node.attributeType;
          if (node.defaultValueType !== "#DEFAULT") {
            r += " " + node.defaultValueType;
          }
          if (node.defaultValue) {
            r += ' "' + node.defaultValue + '"';
          }
          options.state = WriterState.CloseTag;
          r += options.spaceBeforeSlash + ">" + this.endline(node, options, level);
          options.state = WriterState.None;
          this.closeNode(node, options, level);
          return r;
        };
        XMLWriterBase2.prototype.dtdElement = function(node, options, level) {
          var r;
          this.openNode(node, options, level);
          options.state = WriterState.OpenTag;
          r = this.indent(node, options, level) + "<!ELEMENT";
          options.state = WriterState.InsideTag;
          r += " " + node.name + " " + node.value;
          options.state = WriterState.CloseTag;
          r += options.spaceBeforeSlash + ">" + this.endline(node, options, level);
          options.state = WriterState.None;
          this.closeNode(node, options, level);
          return r;
        };
        XMLWriterBase2.prototype.dtdEntity = function(node, options, level) {
          var r;
          this.openNode(node, options, level);
          options.state = WriterState.OpenTag;
          r = this.indent(node, options, level) + "<!ENTITY";
          options.state = WriterState.InsideTag;
          if (node.pe) {
            r += " %";
          }
          r += " " + node.name;
          if (node.value) {
            r += ' "' + node.value + '"';
          } else {
            if (node.pubID && node.sysID) {
              r += ' PUBLIC "' + node.pubID + '" "' + node.sysID + '"';
            } else if (node.sysID) {
              r += ' SYSTEM "' + node.sysID + '"';
            }
            if (node.nData) {
              r += " NDATA " + node.nData;
            }
          }
          options.state = WriterState.CloseTag;
          r += options.spaceBeforeSlash + ">" + this.endline(node, options, level);
          options.state = WriterState.None;
          this.closeNode(node, options, level);
          return r;
        };
        XMLWriterBase2.prototype.dtdNotation = function(node, options, level) {
          var r;
          this.openNode(node, options, level);
          options.state = WriterState.OpenTag;
          r = this.indent(node, options, level) + "<!NOTATION";
          options.state = WriterState.InsideTag;
          r += " " + node.name;
          if (node.pubID && node.sysID) {
            r += ' PUBLIC "' + node.pubID + '" "' + node.sysID + '"';
          } else if (node.pubID) {
            r += ' PUBLIC "' + node.pubID + '"';
          } else if (node.sysID) {
            r += ' SYSTEM "' + node.sysID + '"';
          }
          options.state = WriterState.CloseTag;
          r += options.spaceBeforeSlash + ">" + this.endline(node, options, level);
          options.state = WriterState.None;
          this.closeNode(node, options, level);
          return r;
        };
        XMLWriterBase2.prototype.openNode = function(node, options, level) {
        };
        XMLWriterBase2.prototype.closeNode = function(node, options, level) {
        };
        XMLWriterBase2.prototype.openAttribute = function(att, options, level) {
        };
        XMLWriterBase2.prototype.closeAttribute = function(att, options, level) {
        };
        return XMLWriterBase2;
      }();
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLStringWriter.js
var require_XMLStringWriter = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLStringWriter.js"(exports, module2) {
    (function() {
      var XMLStringWriter, XMLWriterBase, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      XMLWriterBase = require_XMLWriterBase();
      module2.exports = XMLStringWriter = function(superClass) {
        extend(XMLStringWriter2, superClass);
        function XMLStringWriter2(options) {
          XMLStringWriter2.__super__.constructor.call(this, options);
        }
        XMLStringWriter2.prototype.document = function(doc, options) {
          var child, i, len, r, ref;
          options = this.filterOptions(options);
          r = "";
          ref = doc.children;
          for (i = 0, len = ref.length; i < len; i++) {
            child = ref[i];
            r += this.writeChildNode(child, options, 0);
          }
          if (options.pretty && r.slice(-options.newline.length) === options.newline) {
            r = r.slice(0, -options.newline.length);
          }
          return r;
        };
        return XMLStringWriter2;
      }(XMLWriterBase);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDocument.js
var require_XMLDocument = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDocument.js"(exports, module2) {
    (function() {
      var NodeType, XMLDOMConfiguration, XMLDOMImplementation, XMLDocument, XMLNode, XMLStringWriter, XMLStringifier, isPlainObject, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      isPlainObject = require_Utility().isPlainObject;
      XMLDOMImplementation = require_XMLDOMImplementation();
      XMLDOMConfiguration = require_XMLDOMConfiguration();
      XMLNode = require_XMLNode();
      NodeType = require_NodeType();
      XMLStringifier = require_XMLStringifier();
      XMLStringWriter = require_XMLStringWriter();
      module2.exports = XMLDocument = function(superClass) {
        extend(XMLDocument2, superClass);
        function XMLDocument2(options) {
          XMLDocument2.__super__.constructor.call(this, null);
          this.name = "#document";
          this.type = NodeType.Document;
          this.documentURI = null;
          this.domConfig = new XMLDOMConfiguration();
          options || (options = {});
          if (!options.writer) {
            options.writer = new XMLStringWriter();
          }
          this.options = options;
          this.stringify = new XMLStringifier(options);
        }
        Object.defineProperty(XMLDocument2.prototype, "implementation", {
          value: new XMLDOMImplementation()
        });
        Object.defineProperty(XMLDocument2.prototype, "doctype", {
          get: function() {
            var child, i, len, ref;
            ref = this.children;
            for (i = 0, len = ref.length; i < len; i++) {
              child = ref[i];
              if (child.type === NodeType.DocType) {
                return child;
              }
            }
            return null;
          }
        });
        Object.defineProperty(XMLDocument2.prototype, "documentElement", {
          get: function() {
            return this.rootObject || null;
          }
        });
        Object.defineProperty(XMLDocument2.prototype, "inputEncoding", {
          get: function() {
            return null;
          }
        });
        Object.defineProperty(XMLDocument2.prototype, "strictErrorChecking", {
          get: function() {
            return false;
          }
        });
        Object.defineProperty(XMLDocument2.prototype, "xmlEncoding", {
          get: function() {
            if (this.children.length !== 0 && this.children[0].type === NodeType.Declaration) {
              return this.children[0].encoding;
            } else {
              return null;
            }
          }
        });
        Object.defineProperty(XMLDocument2.prototype, "xmlStandalone", {
          get: function() {
            if (this.children.length !== 0 && this.children[0].type === NodeType.Declaration) {
              return this.children[0].standalone === "yes";
            } else {
              return false;
            }
          }
        });
        Object.defineProperty(XMLDocument2.prototype, "xmlVersion", {
          get: function() {
            if (this.children.length !== 0 && this.children[0].type === NodeType.Declaration) {
              return this.children[0].version;
            } else {
              return "1.0";
            }
          }
        });
        Object.defineProperty(XMLDocument2.prototype, "URL", {
          get: function() {
            return this.documentURI;
          }
        });
        Object.defineProperty(XMLDocument2.prototype, "origin", {
          get: function() {
            return null;
          }
        });
        Object.defineProperty(XMLDocument2.prototype, "compatMode", {
          get: function() {
            return null;
          }
        });
        Object.defineProperty(XMLDocument2.prototype, "characterSet", {
          get: function() {
            return null;
          }
        });
        Object.defineProperty(XMLDocument2.prototype, "contentType", {
          get: function() {
            return null;
          }
        });
        XMLDocument2.prototype.end = function(writer) {
          var writerOptions;
          writerOptions = {};
          if (!writer) {
            writer = this.options.writer;
          } else if (isPlainObject(writer)) {
            writerOptions = writer;
            writer = this.options.writer;
          }
          return writer.document(this, writer.filterOptions(writerOptions));
        };
        XMLDocument2.prototype.toString = function(options) {
          return this.options.writer.document(this, this.options.writer.filterOptions(options));
        };
        XMLDocument2.prototype.createElement = function(tagName) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.createDocumentFragment = function() {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.createTextNode = function(data) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.createComment = function(data) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.createCDATASection = function(data) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.createProcessingInstruction = function(target, data) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.createAttribute = function(name) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.createEntityReference = function(name) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.getElementsByTagName = function(tagname) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.importNode = function(importedNode, deep) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.createElementNS = function(namespaceURI, qualifiedName) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.createAttributeNS = function(namespaceURI, qualifiedName) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.getElementsByTagNameNS = function(namespaceURI, localName) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.getElementById = function(elementId) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.adoptNode = function(source) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.normalizeDocument = function() {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.renameNode = function(node, namespaceURI, qualifiedName) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.getElementsByClassName = function(classNames) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.createEvent = function(eventInterface) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.createRange = function() {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.createNodeIterator = function(root, whatToShow, filter) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        XMLDocument2.prototype.createTreeWalker = function(root, whatToShow, filter) {
          throw new Error("This DOM method is not implemented." + this.debugInfo());
        };
        return XMLDocument2;
      }(XMLNode);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDocumentCB.js
var require_XMLDocumentCB = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLDocumentCB.js"(exports, module2) {
    (function() {
      var NodeType, WriterState, XMLAttribute, XMLCData, XMLComment, XMLDTDAttList, XMLDTDElement, XMLDTDEntity, XMLDTDNotation, XMLDeclaration, XMLDocType, XMLDocument, XMLDocumentCB, XMLElement, XMLProcessingInstruction, XMLRaw, XMLStringWriter, XMLStringifier, XMLText, getValue, isFunction, isObject, isPlainObject, ref, hasProp = {}.hasOwnProperty;
      ref = require_Utility(), isObject = ref.isObject, isFunction = ref.isFunction, isPlainObject = ref.isPlainObject, getValue = ref.getValue;
      NodeType = require_NodeType();
      XMLDocument = require_XMLDocument();
      XMLElement = require_XMLElement();
      XMLCData = require_XMLCData();
      XMLComment = require_XMLComment();
      XMLRaw = require_XMLRaw();
      XMLText = require_XMLText();
      XMLProcessingInstruction = require_XMLProcessingInstruction();
      XMLDeclaration = require_XMLDeclaration();
      XMLDocType = require_XMLDocType();
      XMLDTDAttList = require_XMLDTDAttList();
      XMLDTDEntity = require_XMLDTDEntity();
      XMLDTDElement = require_XMLDTDElement();
      XMLDTDNotation = require_XMLDTDNotation();
      XMLAttribute = require_XMLAttribute();
      XMLStringifier = require_XMLStringifier();
      XMLStringWriter = require_XMLStringWriter();
      WriterState = require_WriterState();
      module2.exports = XMLDocumentCB = function() {
        function XMLDocumentCB2(options, onData, onEnd) {
          var writerOptions;
          this.name = "?xml";
          this.type = NodeType.Document;
          options || (options = {});
          writerOptions = {};
          if (!options.writer) {
            options.writer = new XMLStringWriter();
          } else if (isPlainObject(options.writer)) {
            writerOptions = options.writer;
            options.writer = new XMLStringWriter();
          }
          this.options = options;
          this.writer = options.writer;
          this.writerOptions = this.writer.filterOptions(writerOptions);
          this.stringify = new XMLStringifier(options);
          this.onDataCallback = onData || function() {
          };
          this.onEndCallback = onEnd || function() {
          };
          this.currentNode = null;
          this.currentLevel = -1;
          this.openTags = {};
          this.documentStarted = false;
          this.documentCompleted = false;
          this.root = null;
        }
        XMLDocumentCB2.prototype.createChildNode = function(node) {
          var att, attName, attributes, child, i, len, ref1, ref2;
          switch (node.type) {
            case NodeType.CData:
              this.cdata(node.value);
              break;
            case NodeType.Comment:
              this.comment(node.value);
              break;
            case NodeType.Element:
              attributes = {};
              ref1 = node.attribs;
              for (attName in ref1) {
                if (!hasProp.call(ref1, attName))
                  continue;
                att = ref1[attName];
                attributes[attName] = att.value;
              }
              this.node(node.name, attributes);
              break;
            case NodeType.Dummy:
              this.dummy();
              break;
            case NodeType.Raw:
              this.raw(node.value);
              break;
            case NodeType.Text:
              this.text(node.value);
              break;
            case NodeType.ProcessingInstruction:
              this.instruction(node.target, node.value);
              break;
            default:
              throw new Error("This XML node type is not supported in a JS object: " + node.constructor.name);
          }
          ref2 = node.children;
          for (i = 0, len = ref2.length; i < len; i++) {
            child = ref2[i];
            this.createChildNode(child);
            if (child.type === NodeType.Element) {
              this.up();
            }
          }
          return this;
        };
        XMLDocumentCB2.prototype.dummy = function() {
          return this;
        };
        XMLDocumentCB2.prototype.node = function(name, attributes, text) {
          var ref1;
          if (name == null) {
            throw new Error("Missing node name.");
          }
          if (this.root && this.currentLevel === -1) {
            throw new Error("Document can only have one root node. " + this.debugInfo(name));
          }
          this.openCurrent();
          name = getValue(name);
          if (attributes == null) {
            attributes = {};
          }
          attributes = getValue(attributes);
          if (!isObject(attributes)) {
            ref1 = [attributes, text], text = ref1[0], attributes = ref1[1];
          }
          this.currentNode = new XMLElement(this, name, attributes);
          this.currentNode.children = false;
          this.currentLevel++;
          this.openTags[this.currentLevel] = this.currentNode;
          if (text != null) {
            this.text(text);
          }
          return this;
        };
        XMLDocumentCB2.prototype.element = function(name, attributes, text) {
          var child, i, len, oldValidationFlag, ref1, root;
          if (this.currentNode && this.currentNode.type === NodeType.DocType) {
            this.dtdElement.apply(this, arguments);
          } else {
            if (Array.isArray(name) || isObject(name) || isFunction(name)) {
              oldValidationFlag = this.options.noValidation;
              this.options.noValidation = true;
              root = new XMLDocument(this.options).element("TEMP_ROOT");
              root.element(name);
              this.options.noValidation = oldValidationFlag;
              ref1 = root.children;
              for (i = 0, len = ref1.length; i < len; i++) {
                child = ref1[i];
                this.createChildNode(child);
                if (child.type === NodeType.Element) {
                  this.up();
                }
              }
            } else {
              this.node(name, attributes, text);
            }
          }
          return this;
        };
        XMLDocumentCB2.prototype.attribute = function(name, value) {
          var attName, attValue;
          if (!this.currentNode || this.currentNode.children) {
            throw new Error("att() can only be used immediately after an ele() call in callback mode. " + this.debugInfo(name));
          }
          if (name != null) {
            name = getValue(name);
          }
          if (isObject(name)) {
            for (attName in name) {
              if (!hasProp.call(name, attName))
                continue;
              attValue = name[attName];
              this.attribute(attName, attValue);
            }
          } else {
            if (isFunction(value)) {
              value = value.apply();
            }
            if (this.options.keepNullAttributes && value == null) {
              this.currentNode.attribs[name] = new XMLAttribute(this, name, "");
            } else if (value != null) {
              this.currentNode.attribs[name] = new XMLAttribute(this, name, value);
            }
          }
          return this;
        };
        XMLDocumentCB2.prototype.text = function(value) {
          var node;
          this.openCurrent();
          node = new XMLText(this, value);
          this.onData(this.writer.text(node, this.writerOptions, this.currentLevel + 1), this.currentLevel + 1);
          return this;
        };
        XMLDocumentCB2.prototype.cdata = function(value) {
          var node;
          this.openCurrent();
          node = new XMLCData(this, value);
          this.onData(this.writer.cdata(node, this.writerOptions, this.currentLevel + 1), this.currentLevel + 1);
          return this;
        };
        XMLDocumentCB2.prototype.comment = function(value) {
          var node;
          this.openCurrent();
          node = new XMLComment(this, value);
          this.onData(this.writer.comment(node, this.writerOptions, this.currentLevel + 1), this.currentLevel + 1);
          return this;
        };
        XMLDocumentCB2.prototype.raw = function(value) {
          var node;
          this.openCurrent();
          node = new XMLRaw(this, value);
          this.onData(this.writer.raw(node, this.writerOptions, this.currentLevel + 1), this.currentLevel + 1);
          return this;
        };
        XMLDocumentCB2.prototype.instruction = function(target, value) {
          var i, insTarget, insValue, len, node;
          this.openCurrent();
          if (target != null) {
            target = getValue(target);
          }
          if (value != null) {
            value = getValue(value);
          }
          if (Array.isArray(target)) {
            for (i = 0, len = target.length; i < len; i++) {
              insTarget = target[i];
              this.instruction(insTarget);
            }
          } else if (isObject(target)) {
            for (insTarget in target) {
              if (!hasProp.call(target, insTarget))
                continue;
              insValue = target[insTarget];
              this.instruction(insTarget, insValue);
            }
          } else {
            if (isFunction(value)) {
              value = value.apply();
            }
            node = new XMLProcessingInstruction(this, target, value);
            this.onData(this.writer.processingInstruction(node, this.writerOptions, this.currentLevel + 1), this.currentLevel + 1);
          }
          return this;
        };
        XMLDocumentCB2.prototype.declaration = function(version, encoding, standalone) {
          var node;
          this.openCurrent();
          if (this.documentStarted) {
            throw new Error("declaration() must be the first node.");
          }
          node = new XMLDeclaration(this, version, encoding, standalone);
          this.onData(this.writer.declaration(node, this.writerOptions, this.currentLevel + 1), this.currentLevel + 1);
          return this;
        };
        XMLDocumentCB2.prototype.doctype = function(root, pubID, sysID) {
          this.openCurrent();
          if (root == null) {
            throw new Error("Missing root node name.");
          }
          if (this.root) {
            throw new Error("dtd() must come before the root node.");
          }
          this.currentNode = new XMLDocType(this, pubID, sysID);
          this.currentNode.rootNodeName = root;
          this.currentNode.children = false;
          this.currentLevel++;
          this.openTags[this.currentLevel] = this.currentNode;
          return this;
        };
        XMLDocumentCB2.prototype.dtdElement = function(name, value) {
          var node;
          this.openCurrent();
          node = new XMLDTDElement(this, name, value);
          this.onData(this.writer.dtdElement(node, this.writerOptions, this.currentLevel + 1), this.currentLevel + 1);
          return this;
        };
        XMLDocumentCB2.prototype.attList = function(elementName, attributeName, attributeType, defaultValueType, defaultValue) {
          var node;
          this.openCurrent();
          node = new XMLDTDAttList(this, elementName, attributeName, attributeType, defaultValueType, defaultValue);
          this.onData(this.writer.dtdAttList(node, this.writerOptions, this.currentLevel + 1), this.currentLevel + 1);
          return this;
        };
        XMLDocumentCB2.prototype.entity = function(name, value) {
          var node;
          this.openCurrent();
          node = new XMLDTDEntity(this, false, name, value);
          this.onData(this.writer.dtdEntity(node, this.writerOptions, this.currentLevel + 1), this.currentLevel + 1);
          return this;
        };
        XMLDocumentCB2.prototype.pEntity = function(name, value) {
          var node;
          this.openCurrent();
          node = new XMLDTDEntity(this, true, name, value);
          this.onData(this.writer.dtdEntity(node, this.writerOptions, this.currentLevel + 1), this.currentLevel + 1);
          return this;
        };
        XMLDocumentCB2.prototype.notation = function(name, value) {
          var node;
          this.openCurrent();
          node = new XMLDTDNotation(this, name, value);
          this.onData(this.writer.dtdNotation(node, this.writerOptions, this.currentLevel + 1), this.currentLevel + 1);
          return this;
        };
        XMLDocumentCB2.prototype.up = function() {
          if (this.currentLevel < 0) {
            throw new Error("The document node has no parent.");
          }
          if (this.currentNode) {
            if (this.currentNode.children) {
              this.closeNode(this.currentNode);
            } else {
              this.openNode(this.currentNode);
            }
            this.currentNode = null;
          } else {
            this.closeNode(this.openTags[this.currentLevel]);
          }
          delete this.openTags[this.currentLevel];
          this.currentLevel--;
          return this;
        };
        XMLDocumentCB2.prototype.end = function() {
          while (this.currentLevel >= 0) {
            this.up();
          }
          return this.onEnd();
        };
        XMLDocumentCB2.prototype.openCurrent = function() {
          if (this.currentNode) {
            this.currentNode.children = true;
            return this.openNode(this.currentNode);
          }
        };
        XMLDocumentCB2.prototype.openNode = function(node) {
          var att, chunk, name, ref1;
          if (!node.isOpen) {
            if (!this.root && this.currentLevel === 0 && node.type === NodeType.Element) {
              this.root = node;
            }
            chunk = "";
            if (node.type === NodeType.Element) {
              this.writerOptions.state = WriterState.OpenTag;
              chunk = this.writer.indent(node, this.writerOptions, this.currentLevel) + "<" + node.name;
              ref1 = node.attribs;
              for (name in ref1) {
                if (!hasProp.call(ref1, name))
                  continue;
                att = ref1[name];
                chunk += this.writer.attribute(att, this.writerOptions, this.currentLevel);
              }
              chunk += (node.children ? ">" : "/>") + this.writer.endline(node, this.writerOptions, this.currentLevel);
              this.writerOptions.state = WriterState.InsideTag;
            } else {
              this.writerOptions.state = WriterState.OpenTag;
              chunk = this.writer.indent(node, this.writerOptions, this.currentLevel) + "<!DOCTYPE " + node.rootNodeName;
              if (node.pubID && node.sysID) {
                chunk += ' PUBLIC "' + node.pubID + '" "' + node.sysID + '"';
              } else if (node.sysID) {
                chunk += ' SYSTEM "' + node.sysID + '"';
              }
              if (node.children) {
                chunk += " [";
                this.writerOptions.state = WriterState.InsideTag;
              } else {
                this.writerOptions.state = WriterState.CloseTag;
                chunk += ">";
              }
              chunk += this.writer.endline(node, this.writerOptions, this.currentLevel);
            }
            this.onData(chunk, this.currentLevel);
            return node.isOpen = true;
          }
        };
        XMLDocumentCB2.prototype.closeNode = function(node) {
          var chunk;
          if (!node.isClosed) {
            chunk = "";
            this.writerOptions.state = WriterState.CloseTag;
            if (node.type === NodeType.Element) {
              chunk = this.writer.indent(node, this.writerOptions, this.currentLevel) + "</" + node.name + ">" + this.writer.endline(node, this.writerOptions, this.currentLevel);
            } else {
              chunk = this.writer.indent(node, this.writerOptions, this.currentLevel) + "]>" + this.writer.endline(node, this.writerOptions, this.currentLevel);
            }
            this.writerOptions.state = WriterState.None;
            this.onData(chunk, this.currentLevel);
            return node.isClosed = true;
          }
        };
        XMLDocumentCB2.prototype.onData = function(chunk, level) {
          this.documentStarted = true;
          return this.onDataCallback(chunk, level + 1);
        };
        XMLDocumentCB2.prototype.onEnd = function() {
          this.documentCompleted = true;
          return this.onEndCallback();
        };
        XMLDocumentCB2.prototype.debugInfo = function(name) {
          if (name == null) {
            return "";
          } else {
            return "node: <" + name + ">";
          }
        };
        XMLDocumentCB2.prototype.ele = function() {
          return this.element.apply(this, arguments);
        };
        XMLDocumentCB2.prototype.nod = function(name, attributes, text) {
          return this.node(name, attributes, text);
        };
        XMLDocumentCB2.prototype.txt = function(value) {
          return this.text(value);
        };
        XMLDocumentCB2.prototype.dat = function(value) {
          return this.cdata(value);
        };
        XMLDocumentCB2.prototype.com = function(value) {
          return this.comment(value);
        };
        XMLDocumentCB2.prototype.ins = function(target, value) {
          return this.instruction(target, value);
        };
        XMLDocumentCB2.prototype.dec = function(version, encoding, standalone) {
          return this.declaration(version, encoding, standalone);
        };
        XMLDocumentCB2.prototype.dtd = function(root, pubID, sysID) {
          return this.doctype(root, pubID, sysID);
        };
        XMLDocumentCB2.prototype.e = function(name, attributes, text) {
          return this.element(name, attributes, text);
        };
        XMLDocumentCB2.prototype.n = function(name, attributes, text) {
          return this.node(name, attributes, text);
        };
        XMLDocumentCB2.prototype.t = function(value) {
          return this.text(value);
        };
        XMLDocumentCB2.prototype.d = function(value) {
          return this.cdata(value);
        };
        XMLDocumentCB2.prototype.c = function(value) {
          return this.comment(value);
        };
        XMLDocumentCB2.prototype.r = function(value) {
          return this.raw(value);
        };
        XMLDocumentCB2.prototype.i = function(target, value) {
          return this.instruction(target, value);
        };
        XMLDocumentCB2.prototype.att = function() {
          if (this.currentNode && this.currentNode.type === NodeType.DocType) {
            return this.attList.apply(this, arguments);
          } else {
            return this.attribute.apply(this, arguments);
          }
        };
        XMLDocumentCB2.prototype.a = function() {
          if (this.currentNode && this.currentNode.type === NodeType.DocType) {
            return this.attList.apply(this, arguments);
          } else {
            return this.attribute.apply(this, arguments);
          }
        };
        XMLDocumentCB2.prototype.ent = function(name, value) {
          return this.entity(name, value);
        };
        XMLDocumentCB2.prototype.pent = function(name, value) {
          return this.pEntity(name, value);
        };
        XMLDocumentCB2.prototype.not = function(name, value) {
          return this.notation(name, value);
        };
        return XMLDocumentCB2;
      }();
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/XMLStreamWriter.js
var require_XMLStreamWriter = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/XMLStreamWriter.js"(exports, module2) {
    (function() {
      var NodeType, WriterState, XMLStreamWriter, XMLWriterBase, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      NodeType = require_NodeType();
      XMLWriterBase = require_XMLWriterBase();
      WriterState = require_WriterState();
      module2.exports = XMLStreamWriter = function(superClass) {
        extend(XMLStreamWriter2, superClass);
        function XMLStreamWriter2(stream, options) {
          this.stream = stream;
          XMLStreamWriter2.__super__.constructor.call(this, options);
        }
        XMLStreamWriter2.prototype.endline = function(node, options, level) {
          if (node.isLastRootNode && options.state === WriterState.CloseTag) {
            return "";
          } else {
            return XMLStreamWriter2.__super__.endline.call(this, node, options, level);
          }
        };
        XMLStreamWriter2.prototype.document = function(doc, options) {
          var child, i, j, k, len, len1, ref, ref1, results;
          ref = doc.children;
          for (i = j = 0, len = ref.length; j < len; i = ++j) {
            child = ref[i];
            child.isLastRootNode = i === doc.children.length - 1;
          }
          options = this.filterOptions(options);
          ref1 = doc.children;
          results = [];
          for (k = 0, len1 = ref1.length; k < len1; k++) {
            child = ref1[k];
            results.push(this.writeChildNode(child, options, 0));
          }
          return results;
        };
        XMLStreamWriter2.prototype.attribute = function(att, options, level) {
          return this.stream.write(XMLStreamWriter2.__super__.attribute.call(this, att, options, level));
        };
        XMLStreamWriter2.prototype.cdata = function(node, options, level) {
          return this.stream.write(XMLStreamWriter2.__super__.cdata.call(this, node, options, level));
        };
        XMLStreamWriter2.prototype.comment = function(node, options, level) {
          return this.stream.write(XMLStreamWriter2.__super__.comment.call(this, node, options, level));
        };
        XMLStreamWriter2.prototype.declaration = function(node, options, level) {
          return this.stream.write(XMLStreamWriter2.__super__.declaration.call(this, node, options, level));
        };
        XMLStreamWriter2.prototype.docType = function(node, options, level) {
          var child, j, len, ref;
          level || (level = 0);
          this.openNode(node, options, level);
          options.state = WriterState.OpenTag;
          this.stream.write(this.indent(node, options, level));
          this.stream.write("<!DOCTYPE " + node.root().name);
          if (node.pubID && node.sysID) {
            this.stream.write(' PUBLIC "' + node.pubID + '" "' + node.sysID + '"');
          } else if (node.sysID) {
            this.stream.write(' SYSTEM "' + node.sysID + '"');
          }
          if (node.children.length > 0) {
            this.stream.write(" [");
            this.stream.write(this.endline(node, options, level));
            options.state = WriterState.InsideTag;
            ref = node.children;
            for (j = 0, len = ref.length; j < len; j++) {
              child = ref[j];
              this.writeChildNode(child, options, level + 1);
            }
            options.state = WriterState.CloseTag;
            this.stream.write("]");
          }
          options.state = WriterState.CloseTag;
          this.stream.write(options.spaceBeforeSlash + ">");
          this.stream.write(this.endline(node, options, level));
          options.state = WriterState.None;
          return this.closeNode(node, options, level);
        };
        XMLStreamWriter2.prototype.element = function(node, options, level) {
          var att, child, childNodeCount, firstChildNode, j, len, name, prettySuppressed, ref, ref1;
          level || (level = 0);
          this.openNode(node, options, level);
          options.state = WriterState.OpenTag;
          this.stream.write(this.indent(node, options, level) + "<" + node.name);
          ref = node.attribs;
          for (name in ref) {
            if (!hasProp.call(ref, name))
              continue;
            att = ref[name];
            this.attribute(att, options, level);
          }
          childNodeCount = node.children.length;
          firstChildNode = childNodeCount === 0 ? null : node.children[0];
          if (childNodeCount === 0 || node.children.every(function(e) {
            return (e.type === NodeType.Text || e.type === NodeType.Raw) && e.value === "";
          })) {
            if (options.allowEmpty) {
              this.stream.write(">");
              options.state = WriterState.CloseTag;
              this.stream.write("</" + node.name + ">");
            } else {
              options.state = WriterState.CloseTag;
              this.stream.write(options.spaceBeforeSlash + "/>");
            }
          } else if (options.pretty && childNodeCount === 1 && (firstChildNode.type === NodeType.Text || firstChildNode.type === NodeType.Raw) && firstChildNode.value != null) {
            this.stream.write(">");
            options.state = WriterState.InsideTag;
            options.suppressPrettyCount++;
            prettySuppressed = true;
            this.writeChildNode(firstChildNode, options, level + 1);
            options.suppressPrettyCount--;
            prettySuppressed = false;
            options.state = WriterState.CloseTag;
            this.stream.write("</" + node.name + ">");
          } else {
            this.stream.write(">" + this.endline(node, options, level));
            options.state = WriterState.InsideTag;
            ref1 = node.children;
            for (j = 0, len = ref1.length; j < len; j++) {
              child = ref1[j];
              this.writeChildNode(child, options, level + 1);
            }
            options.state = WriterState.CloseTag;
            this.stream.write(this.indent(node, options, level) + "</" + node.name + ">");
          }
          this.stream.write(this.endline(node, options, level));
          options.state = WriterState.None;
          return this.closeNode(node, options, level);
        };
        XMLStreamWriter2.prototype.processingInstruction = function(node, options, level) {
          return this.stream.write(XMLStreamWriter2.__super__.processingInstruction.call(this, node, options, level));
        };
        XMLStreamWriter2.prototype.raw = function(node, options, level) {
          return this.stream.write(XMLStreamWriter2.__super__.raw.call(this, node, options, level));
        };
        XMLStreamWriter2.prototype.text = function(node, options, level) {
          return this.stream.write(XMLStreamWriter2.__super__.text.call(this, node, options, level));
        };
        XMLStreamWriter2.prototype.dtdAttList = function(node, options, level) {
          return this.stream.write(XMLStreamWriter2.__super__.dtdAttList.call(this, node, options, level));
        };
        XMLStreamWriter2.prototype.dtdElement = function(node, options, level) {
          return this.stream.write(XMLStreamWriter2.__super__.dtdElement.call(this, node, options, level));
        };
        XMLStreamWriter2.prototype.dtdEntity = function(node, options, level) {
          return this.stream.write(XMLStreamWriter2.__super__.dtdEntity.call(this, node, options, level));
        };
        XMLStreamWriter2.prototype.dtdNotation = function(node, options, level) {
          return this.stream.write(XMLStreamWriter2.__super__.dtdNotation.call(this, node, options, level));
        };
        return XMLStreamWriter2;
      }(XMLWriterBase);
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/xmlbuilder/lib/index.js
var require_lib = __commonJS({
  "node_modules/xml2js/node_modules/xmlbuilder/lib/index.js"(exports, module2) {
    (function() {
      var NodeType, WriterState, XMLDOMImplementation, XMLDocument, XMLDocumentCB, XMLStreamWriter, XMLStringWriter, assign, isFunction, ref;
      ref = require_Utility(), assign = ref.assign, isFunction = ref.isFunction;
      XMLDOMImplementation = require_XMLDOMImplementation();
      XMLDocument = require_XMLDocument();
      XMLDocumentCB = require_XMLDocumentCB();
      XMLStringWriter = require_XMLStringWriter();
      XMLStreamWriter = require_XMLStreamWriter();
      NodeType = require_NodeType();
      WriterState = require_WriterState();
      module2.exports.create = function(name, xmldec, doctype, options) {
        var doc, root;
        if (name == null) {
          throw new Error("Root element needs a name.");
        }
        options = assign({}, xmldec, doctype, options);
        doc = new XMLDocument(options);
        root = doc.element(name);
        if (!options.headless) {
          doc.declaration(options);
          if (options.pubID != null || options.sysID != null) {
            doc.dtd(options);
          }
        }
        return root;
      };
      module2.exports.begin = function(options, onData, onEnd) {
        var ref1;
        if (isFunction(options)) {
          ref1 = [options, onData], onData = ref1[0], onEnd = ref1[1];
          options = {};
        }
        if (onData) {
          return new XMLDocumentCB(options, onData, onEnd);
        } else {
          return new XMLDocument(options);
        }
      };
      module2.exports.stringWriter = function(options) {
        return new XMLStringWriter(options);
      };
      module2.exports.streamWriter = function(stream, options) {
        return new XMLStreamWriter(stream, options);
      };
      module2.exports.implementation = new XMLDOMImplementation();
      module2.exports.nodeType = NodeType;
      module2.exports.writerState = WriterState;
    }).call(exports);
  }
});

// node_modules/xml2js/lib/builder.js
var require_builder3 = __commonJS({
  "node_modules/xml2js/lib/builder.js"(exports) {
    (function() {
      "use strict";
      var builder, defaults, escapeCDATA, requiresCDATA, wrapCDATA, hasProp = {}.hasOwnProperty;
      builder = require_lib();
      defaults = require_defaults().defaults;
      requiresCDATA = function(entry) {
        return typeof entry === "string" && (entry.indexOf("&") >= 0 || entry.indexOf(">") >= 0 || entry.indexOf("<") >= 0);
      };
      wrapCDATA = function(entry) {
        return "<![CDATA[" + escapeCDATA(entry) + "]]>";
      };
      escapeCDATA = function(entry) {
        return entry.replace("]]>", "]]]]><![CDATA[>");
      };
      exports.Builder = function() {
        function Builder(opts) {
          var key, ref, value;
          this.options = {};
          ref = defaults["0.2"];
          for (key in ref) {
            if (!hasProp.call(ref, key))
              continue;
            value = ref[key];
            this.options[key] = value;
          }
          for (key in opts) {
            if (!hasProp.call(opts, key))
              continue;
            value = opts[key];
            this.options[key] = value;
          }
        }
        Builder.prototype.buildObject = function(rootObj) {
          var attrkey, charkey, render, rootElement, rootName;
          attrkey = this.options.attrkey;
          charkey = this.options.charkey;
          if (Object.keys(rootObj).length === 1 && this.options.rootName === defaults["0.2"].rootName) {
            rootName = Object.keys(rootObj)[0];
            rootObj = rootObj[rootName];
          } else {
            rootName = this.options.rootName;
          }
          render = function(_this) {
            return function(element, obj) {
              var attr, child, entry, index, key, value;
              if (typeof obj !== "object") {
                if (_this.options.cdata && requiresCDATA(obj)) {
                  element.raw(wrapCDATA(obj));
                } else {
                  element.txt(obj);
                }
              } else if (Array.isArray(obj)) {
                for (index in obj) {
                  if (!hasProp.call(obj, index))
                    continue;
                  child = obj[index];
                  for (key in child) {
                    entry = child[key];
                    element = render(element.ele(key), entry).up();
                  }
                }
              } else {
                for (key in obj) {
                  if (!hasProp.call(obj, key))
                    continue;
                  child = obj[key];
                  if (key === attrkey) {
                    if (typeof child === "object") {
                      for (attr in child) {
                        value = child[attr];
                        element = element.att(attr, value);
                      }
                    }
                  } else if (key === charkey) {
                    if (_this.options.cdata && requiresCDATA(child)) {
                      element = element.raw(wrapCDATA(child));
                    } else {
                      element = element.txt(child);
                    }
                  } else if (Array.isArray(child)) {
                    for (index in child) {
                      if (!hasProp.call(child, index))
                        continue;
                      entry = child[index];
                      if (typeof entry === "string") {
                        if (_this.options.cdata && requiresCDATA(entry)) {
                          element = element.ele(key).raw(wrapCDATA(entry)).up();
                        } else {
                          element = element.ele(key, entry).up();
                        }
                      } else {
                        element = render(element.ele(key), entry).up();
                      }
                    }
                  } else if (typeof child === "object") {
                    element = render(element.ele(key), child).up();
                  } else {
                    if (typeof child === "string" && _this.options.cdata && requiresCDATA(child)) {
                      element = element.ele(key).raw(wrapCDATA(child)).up();
                    } else {
                      if (child == null) {
                        child = "";
                      }
                      element = element.ele(key, child.toString()).up();
                    }
                  }
                }
              }
              return element;
            };
          }(this);
          rootElement = builder.create(rootName, this.options.xmldec, this.options.doctype, {
            headless: this.options.headless,
            allowSurrogateChars: this.options.allowSurrogateChars
          });
          return render(rootElement, rootObj).end(this.options.renderOpts);
        };
        return Builder;
      }();
    }).call(exports);
  }
});

// node_modules/xml2js/node_modules/sax/lib/sax.js
var require_sax = __commonJS({
  "node_modules/xml2js/node_modules/sax/lib/sax.js"(exports) {
    (function(sax) {
      sax.parser = function(strict, opt) {
        return new SAXParser(strict, opt);
      };
      sax.SAXParser = SAXParser;
      sax.SAXStream = SAXStream;
      sax.createStream = createStream;
      sax.MAX_BUFFER_LENGTH = 64 * 1024;
      var buffers = [
        "comment",
        "sgmlDecl",
        "textNode",
        "tagName",
        "doctype",
        "procInstName",
        "procInstBody",
        "entity",
        "attribName",
        "attribValue",
        "cdata",
        "script"
      ];
      sax.EVENTS = [
        "text",
        "processinginstruction",
        "sgmldeclaration",
        "doctype",
        "comment",
        "opentagstart",
        "attribute",
        "opentag",
        "closetag",
        "opencdata",
        "cdata",
        "closecdata",
        "error",
        "end",
        "ready",
        "script",
        "opennamespace",
        "closenamespace"
      ];
      function SAXParser(strict, opt) {
        if (!(this instanceof SAXParser)) {
          return new SAXParser(strict, opt);
        }
        var parser = this;
        clearBuffers(parser);
        parser.q = parser.c = "";
        parser.bufferCheckPosition = sax.MAX_BUFFER_LENGTH;
        parser.opt = opt || {};
        parser.opt.lowercase = parser.opt.lowercase || parser.opt.lowercasetags;
        parser.looseCase = parser.opt.lowercase ? "toLowerCase" : "toUpperCase";
        parser.tags = [];
        parser.closed = parser.closedRoot = parser.sawRoot = false;
        parser.tag = parser.error = null;
        parser.strict = !!strict;
        parser.noscript = !!(strict || parser.opt.noscript);
        parser.state = S.BEGIN;
        parser.strictEntities = parser.opt.strictEntities;
        parser.ENTITIES = parser.strictEntities ? Object.create(sax.XML_ENTITIES) : Object.create(sax.ENTITIES);
        parser.attribList = [];
        if (parser.opt.xmlns) {
          parser.ns = Object.create(rootNS);
        }
        parser.trackPosition = parser.opt.position !== false;
        if (parser.trackPosition) {
          parser.position = parser.line = parser.column = 0;
        }
        emit(parser, "onready");
      }
      if (!Object.create) {
        Object.create = function(o) {
          function F() {
          }
          F.prototype = o;
          var newf = new F();
          return newf;
        };
      }
      if (!Object.keys) {
        Object.keys = function(o) {
          var a = [];
          for (var i in o)
            if (o.hasOwnProperty(i))
              a.push(i);
          return a;
        };
      }
      function checkBufferLength(parser) {
        var maxAllowed = Math.max(sax.MAX_BUFFER_LENGTH, 10);
        var maxActual = 0;
        for (var i = 0, l = buffers.length; i < l; i++) {
          var len = parser[buffers[i]].length;
          if (len > maxAllowed) {
            switch (buffers[i]) {
              case "textNode":
                closeText(parser);
                break;
              case "cdata":
                emitNode(parser, "oncdata", parser.cdata);
                parser.cdata = "";
                break;
              case "script":
                emitNode(parser, "onscript", parser.script);
                parser.script = "";
                break;
              default:
                error(parser, "Max buffer length exceeded: " + buffers[i]);
            }
          }
          maxActual = Math.max(maxActual, len);
        }
        var m = sax.MAX_BUFFER_LENGTH - maxActual;
        parser.bufferCheckPosition = m + parser.position;
      }
      function clearBuffers(parser) {
        for (var i = 0, l = buffers.length; i < l; i++) {
          parser[buffers[i]] = "";
        }
      }
      function flushBuffers(parser) {
        closeText(parser);
        if (parser.cdata !== "") {
          emitNode(parser, "oncdata", parser.cdata);
          parser.cdata = "";
        }
        if (parser.script !== "") {
          emitNode(parser, "onscript", parser.script);
          parser.script = "";
        }
      }
      SAXParser.prototype = {
        end: function() {
          end(this);
        },
        write,
        resume: function() {
          this.error = null;
          return this;
        },
        close: function() {
          return this.write(null);
        },
        flush: function() {
          flushBuffers(this);
        }
      };
      var Stream;
      try {
        Stream = require("stream").Stream;
      } catch (ex) {
        Stream = function() {
        };
      }
      var streamWraps = sax.EVENTS.filter(function(ev) {
        return ev !== "error" && ev !== "end";
      });
      function createStream(strict, opt) {
        return new SAXStream(strict, opt);
      }
      function SAXStream(strict, opt) {
        if (!(this instanceof SAXStream)) {
          return new SAXStream(strict, opt);
        }
        Stream.apply(this);
        this._parser = new SAXParser(strict, opt);
        this.writable = true;
        this.readable = true;
        var me = this;
        this._parser.onend = function() {
          me.emit("end");
        };
        this._parser.onerror = function(er) {
          me.emit("error", er);
          me._parser.error = null;
        };
        this._decoder = null;
        streamWraps.forEach(function(ev) {
          Object.defineProperty(me, "on" + ev, {
            get: function() {
              return me._parser["on" + ev];
            },
            set: function(h) {
              if (!h) {
                me.removeAllListeners(ev);
                me._parser["on" + ev] = h;
                return h;
              }
              me.on(ev, h);
            },
            enumerable: true,
            configurable: false
          });
        });
      }
      SAXStream.prototype = Object.create(Stream.prototype, {
        constructor: {
          value: SAXStream
        }
      });
      SAXStream.prototype.write = function(data) {
        if (typeof Buffer === "function" && typeof Buffer.isBuffer === "function" && Buffer.isBuffer(data)) {
          if (!this._decoder) {
            var SD = require("string_decoder").StringDecoder;
            this._decoder = new SD("utf8");
          }
          data = this._decoder.write(data);
        }
        this._parser.write(data.toString());
        this.emit("data", data);
        return true;
      };
      SAXStream.prototype.end = function(chunk) {
        if (chunk && chunk.length) {
          this.write(chunk);
        }
        this._parser.end();
        return true;
      };
      SAXStream.prototype.on = function(ev, handler2) {
        var me = this;
        if (!me._parser["on" + ev] && streamWraps.indexOf(ev) !== -1) {
          me._parser["on" + ev] = function() {
            var args = arguments.length === 1 ? [arguments[0]] : Array.apply(null, arguments);
            args.splice(0, 0, ev);
            me.emit.apply(me, args);
          };
        }
        return Stream.prototype.on.call(me, ev, handler2);
      };
      var CDATA = "[CDATA[";
      var DOCTYPE = "DOCTYPE";
      var XML_NAMESPACE = "http://www.w3.org/XML/1998/namespace";
      var XMLNS_NAMESPACE = "http://www.w3.org/2000/xmlns/";
      var rootNS = { xml: XML_NAMESPACE, xmlns: XMLNS_NAMESPACE };
      var nameStart = /[:_A-Za-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]/;
      var nameBody = /[:_A-Za-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD\u00B7\u0300-\u036F\u203F-\u2040.\d-]/;
      var entityStart = /[#:_A-Za-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]/;
      var entityBody = /[#:_A-Za-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD\u00B7\u0300-\u036F\u203F-\u2040.\d-]/;
      function isWhitespace(c) {
        return c === " " || c === "\n" || c === "\r" || c === "	";
      }
      function isQuote(c) {
        return c === '"' || c === "'";
      }
      function isAttribEnd(c) {
        return c === ">" || isWhitespace(c);
      }
      function isMatch(regex, c) {
        return regex.test(c);
      }
      function notMatch(regex, c) {
        return !isMatch(regex, c);
      }
      var S = 0;
      sax.STATE = {
        BEGIN: S++,
        // leading byte order mark or whitespace
        BEGIN_WHITESPACE: S++,
        // leading whitespace
        TEXT: S++,
        // general stuff
        TEXT_ENTITY: S++,
        // &amp and such.
        OPEN_WAKA: S++,
        // <
        SGML_DECL: S++,
        // <!BLARG
        SGML_DECL_QUOTED: S++,
        // <!BLARG foo "bar
        DOCTYPE: S++,
        // <!DOCTYPE
        DOCTYPE_QUOTED: S++,
        // <!DOCTYPE "//blah
        DOCTYPE_DTD: S++,
        // <!DOCTYPE "//blah" [ ...
        DOCTYPE_DTD_QUOTED: S++,
        // <!DOCTYPE "//blah" [ "foo
        COMMENT_STARTING: S++,
        // <!-
        COMMENT: S++,
        // <!--
        COMMENT_ENDING: S++,
        // <!-- blah -
        COMMENT_ENDED: S++,
        // <!-- blah --
        CDATA: S++,
        // <![CDATA[ something
        CDATA_ENDING: S++,
        // ]
        CDATA_ENDING_2: S++,
        // ]]
        PROC_INST: S++,
        // <?hi
        PROC_INST_BODY: S++,
        // <?hi there
        PROC_INST_ENDING: S++,
        // <?hi "there" ?
        OPEN_TAG: S++,
        // <strong
        OPEN_TAG_SLASH: S++,
        // <strong /
        ATTRIB: S++,
        // <a
        ATTRIB_NAME: S++,
        // <a foo
        ATTRIB_NAME_SAW_WHITE: S++,
        // <a foo _
        ATTRIB_VALUE: S++,
        // <a foo=
        ATTRIB_VALUE_QUOTED: S++,
        // <a foo="bar
        ATTRIB_VALUE_CLOSED: S++,
        // <a foo="bar"
        ATTRIB_VALUE_UNQUOTED: S++,
        // <a foo=bar
        ATTRIB_VALUE_ENTITY_Q: S++,
        // <foo bar="&quot;"
        ATTRIB_VALUE_ENTITY_U: S++,
        // <foo bar=&quot
        CLOSE_TAG: S++,
        // </a
        CLOSE_TAG_SAW_WHITE: S++,
        // </a   >
        SCRIPT: S++,
        // <script> ...
        SCRIPT_ENDING: S++
        // <script> ... <
      };
      sax.XML_ENTITIES = {
        "amp": "&",
        "gt": ">",
        "lt": "<",
        "quot": '"',
        "apos": "'"
      };
      sax.ENTITIES = {
        "amp": "&",
        "gt": ">",
        "lt": "<",
        "quot": '"',
        "apos": "'",
        "AElig": 198,
        "Aacute": 193,
        "Acirc": 194,
        "Agrave": 192,
        "Aring": 197,
        "Atilde": 195,
        "Auml": 196,
        "Ccedil": 199,
        "ETH": 208,
        "Eacute": 201,
        "Ecirc": 202,
        "Egrave": 200,
        "Euml": 203,
        "Iacute": 205,
        "Icirc": 206,
        "Igrave": 204,
        "Iuml": 207,
        "Ntilde": 209,
        "Oacute": 211,
        "Ocirc": 212,
        "Ograve": 210,
        "Oslash": 216,
        "Otilde": 213,
        "Ouml": 214,
        "THORN": 222,
        "Uacute": 218,
        "Ucirc": 219,
        "Ugrave": 217,
        "Uuml": 220,
        "Yacute": 221,
        "aacute": 225,
        "acirc": 226,
        "aelig": 230,
        "agrave": 224,
        "aring": 229,
        "atilde": 227,
        "auml": 228,
        "ccedil": 231,
        "eacute": 233,
        "ecirc": 234,
        "egrave": 232,
        "eth": 240,
        "euml": 235,
        "iacute": 237,
        "icirc": 238,
        "igrave": 236,
        "iuml": 239,
        "ntilde": 241,
        "oacute": 243,
        "ocirc": 244,
        "ograve": 242,
        "oslash": 248,
        "otilde": 245,
        "ouml": 246,
        "szlig": 223,
        "thorn": 254,
        "uacute": 250,
        "ucirc": 251,
        "ugrave": 249,
        "uuml": 252,
        "yacute": 253,
        "yuml": 255,
        "copy": 169,
        "reg": 174,
        "nbsp": 160,
        "iexcl": 161,
        "cent": 162,
        "pound": 163,
        "curren": 164,
        "yen": 165,
        "brvbar": 166,
        "sect": 167,
        "uml": 168,
        "ordf": 170,
        "laquo": 171,
        "not": 172,
        "shy": 173,
        "macr": 175,
        "deg": 176,
        "plusmn": 177,
        "sup1": 185,
        "sup2": 178,
        "sup3": 179,
        "acute": 180,
        "micro": 181,
        "para": 182,
        "middot": 183,
        "cedil": 184,
        "ordm": 186,
        "raquo": 187,
        "frac14": 188,
        "frac12": 189,
        "frac34": 190,
        "iquest": 191,
        "times": 215,
        "divide": 247,
        "OElig": 338,
        "oelig": 339,
        "Scaron": 352,
        "scaron": 353,
        "Yuml": 376,
        "fnof": 402,
        "circ": 710,
        "tilde": 732,
        "Alpha": 913,
        "Beta": 914,
        "Gamma": 915,
        "Delta": 916,
        "Epsilon": 917,
        "Zeta": 918,
        "Eta": 919,
        "Theta": 920,
        "Iota": 921,
        "Kappa": 922,
        "Lambda": 923,
        "Mu": 924,
        "Nu": 925,
        "Xi": 926,
        "Omicron": 927,
        "Pi": 928,
        "Rho": 929,
        "Sigma": 931,
        "Tau": 932,
        "Upsilon": 933,
        "Phi": 934,
        "Chi": 935,
        "Psi": 936,
        "Omega": 937,
        "alpha": 945,
        "beta": 946,
        "gamma": 947,
        "delta": 948,
        "epsilon": 949,
        "zeta": 950,
        "eta": 951,
        "theta": 952,
        "iota": 953,
        "kappa": 954,
        "lambda": 955,
        "mu": 956,
        "nu": 957,
        "xi": 958,
        "omicron": 959,
        "pi": 960,
        "rho": 961,
        "sigmaf": 962,
        "sigma": 963,
        "tau": 964,
        "upsilon": 965,
        "phi": 966,
        "chi": 967,
        "psi": 968,
        "omega": 969,
        "thetasym": 977,
        "upsih": 978,
        "piv": 982,
        "ensp": 8194,
        "emsp": 8195,
        "thinsp": 8201,
        "zwnj": 8204,
        "zwj": 8205,
        "lrm": 8206,
        "rlm": 8207,
        "ndash": 8211,
        "mdash": 8212,
        "lsquo": 8216,
        "rsquo": 8217,
        "sbquo": 8218,
        "ldquo": 8220,
        "rdquo": 8221,
        "bdquo": 8222,
        "dagger": 8224,
        "Dagger": 8225,
        "bull": 8226,
        "hellip": 8230,
        "permil": 8240,
        "prime": 8242,
        "Prime": 8243,
        "lsaquo": 8249,
        "rsaquo": 8250,
        "oline": 8254,
        "frasl": 8260,
        "euro": 8364,
        "image": 8465,
        "weierp": 8472,
        "real": 8476,
        "trade": 8482,
        "alefsym": 8501,
        "larr": 8592,
        "uarr": 8593,
        "rarr": 8594,
        "darr": 8595,
        "harr": 8596,
        "crarr": 8629,
        "lArr": 8656,
        "uArr": 8657,
        "rArr": 8658,
        "dArr": 8659,
        "hArr": 8660,
        "forall": 8704,
        "part": 8706,
        "exist": 8707,
        "empty": 8709,
        "nabla": 8711,
        "isin": 8712,
        "notin": 8713,
        "ni": 8715,
        "prod": 8719,
        "sum": 8721,
        "minus": 8722,
        "lowast": 8727,
        "radic": 8730,
        "prop": 8733,
        "infin": 8734,
        "ang": 8736,
        "and": 8743,
        "or": 8744,
        "cap": 8745,
        "cup": 8746,
        "int": 8747,
        "there4": 8756,
        "sim": 8764,
        "cong": 8773,
        "asymp": 8776,
        "ne": 8800,
        "equiv": 8801,
        "le": 8804,
        "ge": 8805,
        "sub": 8834,
        "sup": 8835,
        "nsub": 8836,
        "sube": 8838,
        "supe": 8839,
        "oplus": 8853,
        "otimes": 8855,
        "perp": 8869,
        "sdot": 8901,
        "lceil": 8968,
        "rceil": 8969,
        "lfloor": 8970,
        "rfloor": 8971,
        "lang": 9001,
        "rang": 9002,
        "loz": 9674,
        "spades": 9824,
        "clubs": 9827,
        "hearts": 9829,
        "diams": 9830
      };
      Object.keys(sax.ENTITIES).forEach(function(key) {
        var e = sax.ENTITIES[key];
        var s2 = typeof e === "number" ? String.fromCharCode(e) : e;
        sax.ENTITIES[key] = s2;
      });
      for (var s in sax.STATE) {
        sax.STATE[sax.STATE[s]] = s;
      }
      S = sax.STATE;
      function emit(parser, event, data) {
        parser[event] && parser[event](data);
      }
      function emitNode(parser, nodeType, data) {
        if (parser.textNode)
          closeText(parser);
        emit(parser, nodeType, data);
      }
      function closeText(parser) {
        parser.textNode = textopts(parser.opt, parser.textNode);
        if (parser.textNode)
          emit(parser, "ontext", parser.textNode);
        parser.textNode = "";
      }
      function textopts(opt, text) {
        if (opt.trim)
          text = text.trim();
        if (opt.normalize)
          text = text.replace(/\s+/g, " ");
        return text;
      }
      function error(parser, er) {
        closeText(parser);
        if (parser.trackPosition) {
          er += "\nLine: " + parser.line + "\nColumn: " + parser.column + "\nChar: " + parser.c;
        }
        er = new Error(er);
        parser.error = er;
        emit(parser, "onerror", er);
        return parser;
      }
      function end(parser) {
        if (parser.sawRoot && !parser.closedRoot)
          strictFail(parser, "Unclosed root tag");
        if (parser.state !== S.BEGIN && parser.state !== S.BEGIN_WHITESPACE && parser.state !== S.TEXT) {
          error(parser, "Unexpected end");
        }
        closeText(parser);
        parser.c = "";
        parser.closed = true;
        emit(parser, "onend");
        SAXParser.call(parser, parser.strict, parser.opt);
        return parser;
      }
      function strictFail(parser, message) {
        if (typeof parser !== "object" || !(parser instanceof SAXParser)) {
          throw new Error("bad call to strictFail");
        }
        if (parser.strict) {
          error(parser, message);
        }
      }
      function newTag(parser) {
        if (!parser.strict)
          parser.tagName = parser.tagName[parser.looseCase]();
        var parent = parser.tags[parser.tags.length - 1] || parser;
        var tag = parser.tag = { name: parser.tagName, attributes: {} };
        if (parser.opt.xmlns) {
          tag.ns = parent.ns;
        }
        parser.attribList.length = 0;
        emitNode(parser, "onopentagstart", tag);
      }
      function qname(name, attribute) {
        var i = name.indexOf(":");
        var qualName = i < 0 ? ["", name] : name.split(":");
        var prefix = qualName[0];
        var local = qualName[1];
        if (attribute && name === "xmlns") {
          prefix = "xmlns";
          local = "";
        }
        return { prefix, local };
      }
      function attrib(parser) {
        if (!parser.strict) {
          parser.attribName = parser.attribName[parser.looseCase]();
        }
        if (parser.attribList.indexOf(parser.attribName) !== -1 || parser.tag.attributes.hasOwnProperty(parser.attribName)) {
          parser.attribName = parser.attribValue = "";
          return;
        }
        if (parser.opt.xmlns) {
          var qn = qname(parser.attribName, true);
          var prefix = qn.prefix;
          var local = qn.local;
          if (prefix === "xmlns") {
            if (local === "xml" && parser.attribValue !== XML_NAMESPACE) {
              strictFail(
                parser,
                "xml: prefix must be bound to " + XML_NAMESPACE + "\nActual: " + parser.attribValue
              );
            } else if (local === "xmlns" && parser.attribValue !== XMLNS_NAMESPACE) {
              strictFail(
                parser,
                "xmlns: prefix must be bound to " + XMLNS_NAMESPACE + "\nActual: " + parser.attribValue
              );
            } else {
              var tag = parser.tag;
              var parent = parser.tags[parser.tags.length - 1] || parser;
              if (tag.ns === parent.ns) {
                tag.ns = Object.create(parent.ns);
              }
              tag.ns[local] = parser.attribValue;
            }
          }
          parser.attribList.push([parser.attribName, parser.attribValue]);
        } else {
          parser.tag.attributes[parser.attribName] = parser.attribValue;
          emitNode(parser, "onattribute", {
            name: parser.attribName,
            value: parser.attribValue
          });
        }
        parser.attribName = parser.attribValue = "";
      }
      function openTag(parser, selfClosing) {
        if (parser.opt.xmlns) {
          var tag = parser.tag;
          var qn = qname(parser.tagName);
          tag.prefix = qn.prefix;
          tag.local = qn.local;
          tag.uri = tag.ns[qn.prefix] || "";
          if (tag.prefix && !tag.uri) {
            strictFail(parser, "Unbound namespace prefix: " + JSON.stringify(parser.tagName));
            tag.uri = qn.prefix;
          }
          var parent = parser.tags[parser.tags.length - 1] || parser;
          if (tag.ns && parent.ns !== tag.ns) {
            Object.keys(tag.ns).forEach(function(p) {
              emitNode(parser, "onopennamespace", {
                prefix: p,
                uri: tag.ns[p]
              });
            });
          }
          for (var i = 0, l = parser.attribList.length; i < l; i++) {
            var nv = parser.attribList[i];
            var name = nv[0];
            var value = nv[1];
            var qualName = qname(name, true);
            var prefix = qualName.prefix;
            var local = qualName.local;
            var uri = prefix === "" ? "" : tag.ns[prefix] || "";
            var a = {
              name,
              value,
              prefix,
              local,
              uri
            };
            if (prefix && prefix !== "xmlns" && !uri) {
              strictFail(parser, "Unbound namespace prefix: " + JSON.stringify(prefix));
              a.uri = prefix;
            }
            parser.tag.attributes[name] = a;
            emitNode(parser, "onattribute", a);
          }
          parser.attribList.length = 0;
        }
        parser.tag.isSelfClosing = !!selfClosing;
        parser.sawRoot = true;
        parser.tags.push(parser.tag);
        emitNode(parser, "onopentag", parser.tag);
        if (!selfClosing) {
          if (!parser.noscript && parser.tagName.toLowerCase() === "script") {
            parser.state = S.SCRIPT;
          } else {
            parser.state = S.TEXT;
          }
          parser.tag = null;
          parser.tagName = "";
        }
        parser.attribName = parser.attribValue = "";
        parser.attribList.length = 0;
      }
      function closeTag(parser) {
        if (!parser.tagName) {
          strictFail(parser, "Weird empty close tag.");
          parser.textNode += "</>";
          parser.state = S.TEXT;
          return;
        }
        if (parser.script) {
          if (parser.tagName !== "script") {
            parser.script += "</" + parser.tagName + ">";
            parser.tagName = "";
            parser.state = S.SCRIPT;
            return;
          }
          emitNode(parser, "onscript", parser.script);
          parser.script = "";
        }
        var t = parser.tags.length;
        var tagName = parser.tagName;
        if (!parser.strict) {
          tagName = tagName[parser.looseCase]();
        }
        var closeTo = tagName;
        while (t--) {
          var close = parser.tags[t];
          if (close.name !== closeTo) {
            strictFail(parser, "Unexpected close tag");
          } else {
            break;
          }
        }
        if (t < 0) {
          strictFail(parser, "Unmatched closing tag: " + parser.tagName);
          parser.textNode += "</" + parser.tagName + ">";
          parser.state = S.TEXT;
          return;
        }
        parser.tagName = tagName;
        var s2 = parser.tags.length;
        while (s2-- > t) {
          var tag = parser.tag = parser.tags.pop();
          parser.tagName = parser.tag.name;
          emitNode(parser, "onclosetag", parser.tagName);
          var x = {};
          for (var i in tag.ns) {
            x[i] = tag.ns[i];
          }
          var parent = parser.tags[parser.tags.length - 1] || parser;
          if (parser.opt.xmlns && tag.ns !== parent.ns) {
            Object.keys(tag.ns).forEach(function(p) {
              var n = tag.ns[p];
              emitNode(parser, "onclosenamespace", { prefix: p, uri: n });
            });
          }
        }
        if (t === 0)
          parser.closedRoot = true;
        parser.tagName = parser.attribValue = parser.attribName = "";
        parser.attribList.length = 0;
        parser.state = S.TEXT;
      }
      function parseEntity(parser) {
        var entity = parser.entity;
        var entityLC = entity.toLowerCase();
        var num;
        var numStr = "";
        if (parser.ENTITIES[entity]) {
          return parser.ENTITIES[entity];
        }
        if (parser.ENTITIES[entityLC]) {
          return parser.ENTITIES[entityLC];
        }
        entity = entityLC;
        if (entity.charAt(0) === "#") {
          if (entity.charAt(1) === "x") {
            entity = entity.slice(2);
            num = parseInt(entity, 16);
            numStr = num.toString(16);
          } else {
            entity = entity.slice(1);
            num = parseInt(entity, 10);
            numStr = num.toString(10);
          }
        }
        entity = entity.replace(/^0+/, "");
        if (isNaN(num) || numStr.toLowerCase() !== entity) {
          strictFail(parser, "Invalid character entity");
          return "&" + parser.entity + ";";
        }
        return String.fromCodePoint(num);
      }
      function beginWhiteSpace(parser, c) {
        if (c === "<") {
          parser.state = S.OPEN_WAKA;
          parser.startTagPosition = parser.position;
        } else if (!isWhitespace(c)) {
          strictFail(parser, "Non-whitespace before first tag.");
          parser.textNode = c;
          parser.state = S.TEXT;
        }
      }
      function charAt(chunk, i) {
        var result = "";
        if (i < chunk.length) {
          result = chunk.charAt(i);
        }
        return result;
      }
      function write(chunk) {
        var parser = this;
        if (this.error) {
          throw this.error;
        }
        if (parser.closed) {
          return error(
            parser,
            "Cannot write after close. Assign an onready handler."
          );
        }
        if (chunk === null) {
          return end(parser);
        }
        if (typeof chunk === "object") {
          chunk = chunk.toString();
        }
        var i = 0;
        var c = "";
        while (true) {
          c = charAt(chunk, i++);
          parser.c = c;
          if (!c) {
            break;
          }
          if (parser.trackPosition) {
            parser.position++;
            if (c === "\n") {
              parser.line++;
              parser.column = 0;
            } else {
              parser.column++;
            }
          }
          switch (parser.state) {
            case S.BEGIN:
              parser.state = S.BEGIN_WHITESPACE;
              if (c === "\uFEFF") {
                continue;
              }
              beginWhiteSpace(parser, c);
              continue;
            case S.BEGIN_WHITESPACE:
              beginWhiteSpace(parser, c);
              continue;
            case S.TEXT:
              if (parser.sawRoot && !parser.closedRoot) {
                var starti = i - 1;
                while (c && c !== "<" && c !== "&") {
                  c = charAt(chunk, i++);
                  if (c && parser.trackPosition) {
                    parser.position++;
                    if (c === "\n") {
                      parser.line++;
                      parser.column = 0;
                    } else {
                      parser.column++;
                    }
                  }
                }
                parser.textNode += chunk.substring(starti, i - 1);
              }
              if (c === "<" && !(parser.sawRoot && parser.closedRoot && !parser.strict)) {
                parser.state = S.OPEN_WAKA;
                parser.startTagPosition = parser.position;
              } else {
                if (!isWhitespace(c) && (!parser.sawRoot || parser.closedRoot)) {
                  strictFail(parser, "Text data outside of root node.");
                }
                if (c === "&") {
                  parser.state = S.TEXT_ENTITY;
                } else {
                  parser.textNode += c;
                }
              }
              continue;
            case S.SCRIPT:
              if (c === "<") {
                parser.state = S.SCRIPT_ENDING;
              } else {
                parser.script += c;
              }
              continue;
            case S.SCRIPT_ENDING:
              if (c === "/") {
                parser.state = S.CLOSE_TAG;
              } else {
                parser.script += "<" + c;
                parser.state = S.SCRIPT;
              }
              continue;
            case S.OPEN_WAKA:
              if (c === "!") {
                parser.state = S.SGML_DECL;
                parser.sgmlDecl = "";
              } else if (isWhitespace(c)) {
              } else if (isMatch(nameStart, c)) {
                parser.state = S.OPEN_TAG;
                parser.tagName = c;
              } else if (c === "/") {
                parser.state = S.CLOSE_TAG;
                parser.tagName = "";
              } else if (c === "?") {
                parser.state = S.PROC_INST;
                parser.procInstName = parser.procInstBody = "";
              } else {
                strictFail(parser, "Unencoded <");
                if (parser.startTagPosition + 1 < parser.position) {
                  var pad = parser.position - parser.startTagPosition;
                  c = new Array(pad).join(" ") + c;
                }
                parser.textNode += "<" + c;
                parser.state = S.TEXT;
              }
              continue;
            case S.SGML_DECL:
              if ((parser.sgmlDecl + c).toUpperCase() === CDATA) {
                emitNode(parser, "onopencdata");
                parser.state = S.CDATA;
                parser.sgmlDecl = "";
                parser.cdata = "";
              } else if (parser.sgmlDecl + c === "--") {
                parser.state = S.COMMENT;
                parser.comment = "";
                parser.sgmlDecl = "";
              } else if ((parser.sgmlDecl + c).toUpperCase() === DOCTYPE) {
                parser.state = S.DOCTYPE;
                if (parser.doctype || parser.sawRoot) {
                  strictFail(
                    parser,
                    "Inappropriately located doctype declaration"
                  );
                }
                parser.doctype = "";
                parser.sgmlDecl = "";
              } else if (c === ">") {
                emitNode(parser, "onsgmldeclaration", parser.sgmlDecl);
                parser.sgmlDecl = "";
                parser.state = S.TEXT;
              } else if (isQuote(c)) {
                parser.state = S.SGML_DECL_QUOTED;
                parser.sgmlDecl += c;
              } else {
                parser.sgmlDecl += c;
              }
              continue;
            case S.SGML_DECL_QUOTED:
              if (c === parser.q) {
                parser.state = S.SGML_DECL;
                parser.q = "";
              }
              parser.sgmlDecl += c;
              continue;
            case S.DOCTYPE:
              if (c === ">") {
                parser.state = S.TEXT;
                emitNode(parser, "ondoctype", parser.doctype);
                parser.doctype = true;
              } else {
                parser.doctype += c;
                if (c === "[") {
                  parser.state = S.DOCTYPE_DTD;
                } else if (isQuote(c)) {
                  parser.state = S.DOCTYPE_QUOTED;
                  parser.q = c;
                }
              }
              continue;
            case S.DOCTYPE_QUOTED:
              parser.doctype += c;
              if (c === parser.q) {
                parser.q = "";
                parser.state = S.DOCTYPE;
              }
              continue;
            case S.DOCTYPE_DTD:
              parser.doctype += c;
              if (c === "]") {
                parser.state = S.DOCTYPE;
              } else if (isQuote(c)) {
                parser.state = S.DOCTYPE_DTD_QUOTED;
                parser.q = c;
              }
              continue;
            case S.DOCTYPE_DTD_QUOTED:
              parser.doctype += c;
              if (c === parser.q) {
                parser.state = S.DOCTYPE_DTD;
                parser.q = "";
              }
              continue;
            case S.COMMENT:
              if (c === "-") {
                parser.state = S.COMMENT_ENDING;
              } else {
                parser.comment += c;
              }
              continue;
            case S.COMMENT_ENDING:
              if (c === "-") {
                parser.state = S.COMMENT_ENDED;
                parser.comment = textopts(parser.opt, parser.comment);
                if (parser.comment) {
                  emitNode(parser, "oncomment", parser.comment);
                }
                parser.comment = "";
              } else {
                parser.comment += "-" + c;
                parser.state = S.COMMENT;
              }
              continue;
            case S.COMMENT_ENDED:
              if (c !== ">") {
                strictFail(parser, "Malformed comment");
                parser.comment += "--" + c;
                parser.state = S.COMMENT;
              } else {
                parser.state = S.TEXT;
              }
              continue;
            case S.CDATA:
              if (c === "]") {
                parser.state = S.CDATA_ENDING;
              } else {
                parser.cdata += c;
              }
              continue;
            case S.CDATA_ENDING:
              if (c === "]") {
                parser.state = S.CDATA_ENDING_2;
              } else {
                parser.cdata += "]" + c;
                parser.state = S.CDATA;
              }
              continue;
            case S.CDATA_ENDING_2:
              if (c === ">") {
                if (parser.cdata) {
                  emitNode(parser, "oncdata", parser.cdata);
                }
                emitNode(parser, "onclosecdata");
                parser.cdata = "";
                parser.state = S.TEXT;
              } else if (c === "]") {
                parser.cdata += "]";
              } else {
                parser.cdata += "]]" + c;
                parser.state = S.CDATA;
              }
              continue;
            case S.PROC_INST:
              if (c === "?") {
                parser.state = S.PROC_INST_ENDING;
              } else if (isWhitespace(c)) {
                parser.state = S.PROC_INST_BODY;
              } else {
                parser.procInstName += c;
              }
              continue;
            case S.PROC_INST_BODY:
              if (!parser.procInstBody && isWhitespace(c)) {
                continue;
              } else if (c === "?") {
                parser.state = S.PROC_INST_ENDING;
              } else {
                parser.procInstBody += c;
              }
              continue;
            case S.PROC_INST_ENDING:
              if (c === ">") {
                emitNode(parser, "onprocessinginstruction", {
                  name: parser.procInstName,
                  body: parser.procInstBody
                });
                parser.procInstName = parser.procInstBody = "";
                parser.state = S.TEXT;
              } else {
                parser.procInstBody += "?" + c;
                parser.state = S.PROC_INST_BODY;
              }
              continue;
            case S.OPEN_TAG:
              if (isMatch(nameBody, c)) {
                parser.tagName += c;
              } else {
                newTag(parser);
                if (c === ">") {
                  openTag(parser);
                } else if (c === "/") {
                  parser.state = S.OPEN_TAG_SLASH;
                } else {
                  if (!isWhitespace(c)) {
                    strictFail(parser, "Invalid character in tag name");
                  }
                  parser.state = S.ATTRIB;
                }
              }
              continue;
            case S.OPEN_TAG_SLASH:
              if (c === ">") {
                openTag(parser, true);
                closeTag(parser);
              } else {
                strictFail(parser, "Forward-slash in opening tag not followed by >");
                parser.state = S.ATTRIB;
              }
              continue;
            case S.ATTRIB:
              if (isWhitespace(c)) {
                continue;
              } else if (c === ">") {
                openTag(parser);
              } else if (c === "/") {
                parser.state = S.OPEN_TAG_SLASH;
              } else if (isMatch(nameStart, c)) {
                parser.attribName = c;
                parser.attribValue = "";
                parser.state = S.ATTRIB_NAME;
              } else {
                strictFail(parser, "Invalid attribute name");
              }
              continue;
            case S.ATTRIB_NAME:
              if (c === "=") {
                parser.state = S.ATTRIB_VALUE;
              } else if (c === ">") {
                strictFail(parser, "Attribute without value");
                parser.attribValue = parser.attribName;
                attrib(parser);
                openTag(parser);
              } else if (isWhitespace(c)) {
                parser.state = S.ATTRIB_NAME_SAW_WHITE;
              } else if (isMatch(nameBody, c)) {
                parser.attribName += c;
              } else {
                strictFail(parser, "Invalid attribute name");
              }
              continue;
            case S.ATTRIB_NAME_SAW_WHITE:
              if (c === "=") {
                parser.state = S.ATTRIB_VALUE;
              } else if (isWhitespace(c)) {
                continue;
              } else {
                strictFail(parser, "Attribute without value");
                parser.tag.attributes[parser.attribName] = "";
                parser.attribValue = "";
                emitNode(parser, "onattribute", {
                  name: parser.attribName,
                  value: ""
                });
                parser.attribName = "";
                if (c === ">") {
                  openTag(parser);
                } else if (isMatch(nameStart, c)) {
                  parser.attribName = c;
                  parser.state = S.ATTRIB_NAME;
                } else {
                  strictFail(parser, "Invalid attribute name");
                  parser.state = S.ATTRIB;
                }
              }
              continue;
            case S.ATTRIB_VALUE:
              if (isWhitespace(c)) {
                continue;
              } else if (isQuote(c)) {
                parser.q = c;
                parser.state = S.ATTRIB_VALUE_QUOTED;
              } else {
                strictFail(parser, "Unquoted attribute value");
                parser.state = S.ATTRIB_VALUE_UNQUOTED;
                parser.attribValue = c;
              }
              continue;
            case S.ATTRIB_VALUE_QUOTED:
              if (c !== parser.q) {
                if (c === "&") {
                  parser.state = S.ATTRIB_VALUE_ENTITY_Q;
                } else {
                  parser.attribValue += c;
                }
                continue;
              }
              attrib(parser);
              parser.q = "";
              parser.state = S.ATTRIB_VALUE_CLOSED;
              continue;
            case S.ATTRIB_VALUE_CLOSED:
              if (isWhitespace(c)) {
                parser.state = S.ATTRIB;
              } else if (c === ">") {
                openTag(parser);
              } else if (c === "/") {
                parser.state = S.OPEN_TAG_SLASH;
              } else if (isMatch(nameStart, c)) {
                strictFail(parser, "No whitespace between attributes");
                parser.attribName = c;
                parser.attribValue = "";
                parser.state = S.ATTRIB_NAME;
              } else {
                strictFail(parser, "Invalid attribute name");
              }
              continue;
            case S.ATTRIB_VALUE_UNQUOTED:
              if (!isAttribEnd(c)) {
                if (c === "&") {
                  parser.state = S.ATTRIB_VALUE_ENTITY_U;
                } else {
                  parser.attribValue += c;
                }
                continue;
              }
              attrib(parser);
              if (c === ">") {
                openTag(parser);
              } else {
                parser.state = S.ATTRIB;
              }
              continue;
            case S.CLOSE_TAG:
              if (!parser.tagName) {
                if (isWhitespace(c)) {
                  continue;
                } else if (notMatch(nameStart, c)) {
                  if (parser.script) {
                    parser.script += "</" + c;
                    parser.state = S.SCRIPT;
                  } else {
                    strictFail(parser, "Invalid tagname in closing tag.");
                  }
                } else {
                  parser.tagName = c;
                }
              } else if (c === ">") {
                closeTag(parser);
              } else if (isMatch(nameBody, c)) {
                parser.tagName += c;
              } else if (parser.script) {
                parser.script += "</" + parser.tagName;
                parser.tagName = "";
                parser.state = S.SCRIPT;
              } else {
                if (!isWhitespace(c)) {
                  strictFail(parser, "Invalid tagname in closing tag");
                }
                parser.state = S.CLOSE_TAG_SAW_WHITE;
              }
              continue;
            case S.CLOSE_TAG_SAW_WHITE:
              if (isWhitespace(c)) {
                continue;
              }
              if (c === ">") {
                closeTag(parser);
              } else {
                strictFail(parser, "Invalid characters in closing tag");
              }
              continue;
            case S.TEXT_ENTITY:
            case S.ATTRIB_VALUE_ENTITY_Q:
            case S.ATTRIB_VALUE_ENTITY_U:
              var returnState;
              var buffer;
              switch (parser.state) {
                case S.TEXT_ENTITY:
                  returnState = S.TEXT;
                  buffer = "textNode";
                  break;
                case S.ATTRIB_VALUE_ENTITY_Q:
                  returnState = S.ATTRIB_VALUE_QUOTED;
                  buffer = "attribValue";
                  break;
                case S.ATTRIB_VALUE_ENTITY_U:
                  returnState = S.ATTRIB_VALUE_UNQUOTED;
                  buffer = "attribValue";
                  break;
              }
              if (c === ";") {
                parser[buffer] += parseEntity(parser);
                parser.entity = "";
                parser.state = returnState;
              } else if (isMatch(parser.entity.length ? entityBody : entityStart, c)) {
                parser.entity += c;
              } else {
                strictFail(parser, "Invalid character in entity name");
                parser[buffer] += "&" + parser.entity + c;
                parser.entity = "";
                parser.state = returnState;
              }
              continue;
            default:
              throw new Error(parser, "Unknown state: " + parser.state);
          }
        }
        if (parser.position >= parser.bufferCheckPosition) {
          checkBufferLength(parser);
        }
        return parser;
      }
      if (!String.fromCodePoint) {
        (function() {
          var stringFromCharCode = String.fromCharCode;
          var floor = Math.floor;
          var fromCodePoint = function() {
            var MAX_SIZE = 16384;
            var codeUnits = [];
            var highSurrogate;
            var lowSurrogate;
            var index = -1;
            var length = arguments.length;
            if (!length) {
              return "";
            }
            var result = "";
            while (++index < length) {
              var codePoint = Number(arguments[index]);
              if (!isFinite(codePoint) || // `NaN`, `+Infinity`, or `-Infinity`
              codePoint < 0 || // not a valid Unicode code point
              codePoint > 1114111 || // not a valid Unicode code point
              floor(codePoint) !== codePoint) {
                throw RangeError("Invalid code point: " + codePoint);
              }
              if (codePoint <= 65535) {
                codeUnits.push(codePoint);
              } else {
                codePoint -= 65536;
                highSurrogate = (codePoint >> 10) + 55296;
                lowSurrogate = codePoint % 1024 + 56320;
                codeUnits.push(highSurrogate, lowSurrogate);
              }
              if (index + 1 === length || codeUnits.length > MAX_SIZE) {
                result += stringFromCharCode.apply(null, codeUnits);
                codeUnits.length = 0;
              }
            }
            return result;
          };
          if (Object.defineProperty) {
            Object.defineProperty(String, "fromCodePoint", {
              value: fromCodePoint,
              configurable: true,
              writable: true
            });
          } else {
            String.fromCodePoint = fromCodePoint;
          }
        })();
      }
    })(typeof exports === "undefined" ? exports.sax = {} : exports);
  }
});

// node_modules/xml2js/lib/bom.js
var require_bom = __commonJS({
  "node_modules/xml2js/lib/bom.js"(exports) {
    (function() {
      "use strict";
      exports.stripBOM = function(str) {
        if (str[0] === "\uFEFF") {
          return str.substring(1);
        } else {
          return str;
        }
      };
    }).call(exports);
  }
});

// node_modules/xml2js/lib/processors.js
var require_processors = __commonJS({
  "node_modules/xml2js/lib/processors.js"(exports) {
    (function() {
      "use strict";
      var prefixMatch;
      prefixMatch = new RegExp(/(?!xmlns)^.*:/);
      exports.normalize = function(str) {
        return str.toLowerCase();
      };
      exports.firstCharLowerCase = function(str) {
        return str.charAt(0).toLowerCase() + str.slice(1);
      };
      exports.stripPrefix = function(str) {
        return str.replace(prefixMatch, "");
      };
      exports.parseNumbers = function(str) {
        if (!isNaN(str)) {
          str = str % 1 === 0 ? parseInt(str, 10) : parseFloat(str);
        }
        return str;
      };
      exports.parseBooleans = function(str) {
        if (/^(?:true|false)$/i.test(str)) {
          str = str.toLowerCase() === "true";
        }
        return str;
      };
    }).call(exports);
  }
});

// node_modules/xml2js/lib/parser.js
var require_parser2 = __commonJS({
  "node_modules/xml2js/lib/parser.js"(exports) {
    (function() {
      "use strict";
      var bom, defaults, events, isEmpty, processItem, processors, sax, setImmediate2, bind = function(fn, me) {
        return function() {
          return fn.apply(me, arguments);
        };
      }, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      sax = require_sax();
      events = require("events");
      bom = require_bom();
      processors = require_processors();
      setImmediate2 = require("timers").setImmediate;
      defaults = require_defaults().defaults;
      isEmpty = function(thing) {
        return typeof thing === "object" && thing != null && Object.keys(thing).length === 0;
      };
      processItem = function(processors2, item, key) {
        var i, len, process2;
        for (i = 0, len = processors2.length; i < len; i++) {
          process2 = processors2[i];
          item = process2(item, key);
        }
        return item;
      };
      exports.Parser = function(superClass) {
        extend(Parser, superClass);
        function Parser(opts) {
          this.parseStringPromise = bind(this.parseStringPromise, this);
          this.parseString = bind(this.parseString, this);
          this.reset = bind(this.reset, this);
          this.assignOrPush = bind(this.assignOrPush, this);
          this.processAsync = bind(this.processAsync, this);
          var key, ref, value;
          if (!(this instanceof exports.Parser)) {
            return new exports.Parser(opts);
          }
          this.options = {};
          ref = defaults["0.2"];
          for (key in ref) {
            if (!hasProp.call(ref, key))
              continue;
            value = ref[key];
            this.options[key] = value;
          }
          for (key in opts) {
            if (!hasProp.call(opts, key))
              continue;
            value = opts[key];
            this.options[key] = value;
          }
          if (this.options.xmlns) {
            this.options.xmlnskey = this.options.attrkey + "ns";
          }
          if (this.options.normalizeTags) {
            if (!this.options.tagNameProcessors) {
              this.options.tagNameProcessors = [];
            }
            this.options.tagNameProcessors.unshift(processors.normalize);
          }
          this.reset();
        }
        Parser.prototype.processAsync = function() {
          var chunk, err;
          try {
            if (this.remaining.length <= this.options.chunkSize) {
              chunk = this.remaining;
              this.remaining = "";
              this.saxParser = this.saxParser.write(chunk);
              return this.saxParser.close();
            } else {
              chunk = this.remaining.substr(0, this.options.chunkSize);
              this.remaining = this.remaining.substr(this.options.chunkSize, this.remaining.length);
              this.saxParser = this.saxParser.write(chunk);
              return setImmediate2(this.processAsync);
            }
          } catch (error1) {
            err = error1;
            if (!this.saxParser.errThrown) {
              this.saxParser.errThrown = true;
              return this.emit(err);
            }
          }
        };
        Parser.prototype.assignOrPush = function(obj, key, newValue) {
          if (!(key in obj)) {
            if (!this.options.explicitArray) {
              return obj[key] = newValue;
            } else {
              return obj[key] = [newValue];
            }
          } else {
            if (!(obj[key] instanceof Array)) {
              obj[key] = [obj[key]];
            }
            return obj[key].push(newValue);
          }
        };
        Parser.prototype.reset = function() {
          var attrkey, charkey, ontext, stack;
          this.removeAllListeners();
          this.saxParser = sax.parser(this.options.strict, {
            trim: false,
            normalize: false,
            xmlns: this.options.xmlns
          });
          this.saxParser.errThrown = false;
          this.saxParser.onerror = function(_this) {
            return function(error) {
              _this.saxParser.resume();
              if (!_this.saxParser.errThrown) {
                _this.saxParser.errThrown = true;
                return _this.emit("error", error);
              }
            };
          }(this);
          this.saxParser.onend = function(_this) {
            return function() {
              if (!_this.saxParser.ended) {
                _this.saxParser.ended = true;
                return _this.emit("end", _this.resultObject);
              }
            };
          }(this);
          this.saxParser.ended = false;
          this.EXPLICIT_CHARKEY = this.options.explicitCharkey;
          this.resultObject = null;
          stack = [];
          attrkey = this.options.attrkey;
          charkey = this.options.charkey;
          this.saxParser.onopentag = function(_this) {
            return function(node) {
              var key, newValue, obj, processedKey, ref;
              obj = /* @__PURE__ */ Object.create(null);
              obj[charkey] = "";
              if (!_this.options.ignoreAttrs) {
                ref = node.attributes;
                for (key in ref) {
                  if (!hasProp.call(ref, key))
                    continue;
                  if (!(attrkey in obj) && !_this.options.mergeAttrs) {
                    obj[attrkey] = /* @__PURE__ */ Object.create(null);
                  }
                  newValue = _this.options.attrValueProcessors ? processItem(_this.options.attrValueProcessors, node.attributes[key], key) : node.attributes[key];
                  processedKey = _this.options.attrNameProcessors ? processItem(_this.options.attrNameProcessors, key) : key;
                  if (_this.options.mergeAttrs) {
                    _this.assignOrPush(obj, processedKey, newValue);
                  } else {
                    obj[attrkey][processedKey] = newValue;
                  }
                }
              }
              obj["#name"] = _this.options.tagNameProcessors ? processItem(_this.options.tagNameProcessors, node.name) : node.name;
              if (_this.options.xmlns) {
                obj[_this.options.xmlnskey] = {
                  uri: node.uri,
                  local: node.local
                };
              }
              return stack.push(obj);
            };
          }(this);
          this.saxParser.onclosetag = function(_this) {
            return function() {
              var cdata, emptyStr, key, node, nodeName, obj, objClone, old, s, xpath;
              obj = stack.pop();
              nodeName = obj["#name"];
              if (!_this.options.explicitChildren || !_this.options.preserveChildrenOrder) {
                delete obj["#name"];
              }
              if (obj.cdata === true) {
                cdata = obj.cdata;
                delete obj.cdata;
              }
              s = stack[stack.length - 1];
              if (obj[charkey].match(/^\s*$/) && !cdata) {
                emptyStr = obj[charkey];
                delete obj[charkey];
              } else {
                if (_this.options.trim) {
                  obj[charkey] = obj[charkey].trim();
                }
                if (_this.options.normalize) {
                  obj[charkey] = obj[charkey].replace(/\s{2,}/g, " ").trim();
                }
                obj[charkey] = _this.options.valueProcessors ? processItem(_this.options.valueProcessors, obj[charkey], nodeName) : obj[charkey];
                if (Object.keys(obj).length === 1 && charkey in obj && !_this.EXPLICIT_CHARKEY) {
                  obj = obj[charkey];
                }
              }
              if (isEmpty(obj)) {
                if (typeof _this.options.emptyTag === "function") {
                  obj = _this.options.emptyTag();
                } else {
                  obj = _this.options.emptyTag !== "" ? _this.options.emptyTag : emptyStr;
                }
              }
              if (_this.options.validator != null) {
                xpath = "/" + function() {
                  var i, len, results;
                  results = [];
                  for (i = 0, len = stack.length; i < len; i++) {
                    node = stack[i];
                    results.push(node["#name"]);
                  }
                  return results;
                }().concat(nodeName).join("/");
                (function() {
                  var err;
                  try {
                    return obj = _this.options.validator(xpath, s && s[nodeName], obj);
                  } catch (error1) {
                    err = error1;
                    return _this.emit("error", err);
                  }
                })();
              }
              if (_this.options.explicitChildren && !_this.options.mergeAttrs && typeof obj === "object") {
                if (!_this.options.preserveChildrenOrder) {
                  node = /* @__PURE__ */ Object.create(null);
                  if (_this.options.attrkey in obj) {
                    node[_this.options.attrkey] = obj[_this.options.attrkey];
                    delete obj[_this.options.attrkey];
                  }
                  if (!_this.options.charsAsChildren && _this.options.charkey in obj) {
                    node[_this.options.charkey] = obj[_this.options.charkey];
                    delete obj[_this.options.charkey];
                  }
                  if (Object.getOwnPropertyNames(obj).length > 0) {
                    node[_this.options.childkey] = obj;
                  }
                  obj = node;
                } else if (s) {
                  s[_this.options.childkey] = s[_this.options.childkey] || [];
                  objClone = /* @__PURE__ */ Object.create(null);
                  for (key in obj) {
                    if (!hasProp.call(obj, key))
                      continue;
                    objClone[key] = obj[key];
                  }
                  s[_this.options.childkey].push(objClone);
                  delete obj["#name"];
                  if (Object.keys(obj).length === 1 && charkey in obj && !_this.EXPLICIT_CHARKEY) {
                    obj = obj[charkey];
                  }
                }
              }
              if (stack.length > 0) {
                return _this.assignOrPush(s, nodeName, obj);
              } else {
                if (_this.options.explicitRoot) {
                  old = obj;
                  obj = /* @__PURE__ */ Object.create(null);
                  obj[nodeName] = old;
                }
                _this.resultObject = obj;
                _this.saxParser.ended = true;
                return _this.emit("end", _this.resultObject);
              }
            };
          }(this);
          ontext = function(_this) {
            return function(text) {
              var charChild, s;
              s = stack[stack.length - 1];
              if (s) {
                s[charkey] += text;
                if (_this.options.explicitChildren && _this.options.preserveChildrenOrder && _this.options.charsAsChildren && (_this.options.includeWhiteChars || text.replace(/\\n/g, "").trim() !== "")) {
                  s[_this.options.childkey] = s[_this.options.childkey] || [];
                  charChild = {
                    "#name": "__text__"
                  };
                  charChild[charkey] = text;
                  if (_this.options.normalize) {
                    charChild[charkey] = charChild[charkey].replace(/\s{2,}/g, " ").trim();
                  }
                  s[_this.options.childkey].push(charChild);
                }
                return s;
              }
            };
          }(this);
          this.saxParser.ontext = ontext;
          return this.saxParser.oncdata = function(_this) {
            return function(text) {
              var s;
              s = ontext(text);
              if (s) {
                return s.cdata = true;
              }
            };
          }(this);
        };
        Parser.prototype.parseString = function(str, cb) {
          var err;
          if (cb != null && typeof cb === "function") {
            this.on("end", function(result) {
              this.reset();
              return cb(null, result);
            });
            this.on("error", function(err2) {
              this.reset();
              return cb(err2);
            });
          }
          try {
            str = str.toString();
            if (str.trim() === "") {
              this.emit("end", null);
              return true;
            }
            str = bom.stripBOM(str);
            if (this.options.async) {
              this.remaining = str;
              setImmediate2(this.processAsync);
              return this.saxParser;
            }
            return this.saxParser.write(str).close();
          } catch (error1) {
            err = error1;
            if (!(this.saxParser.errThrown || this.saxParser.ended)) {
              this.emit("error", err);
              return this.saxParser.errThrown = true;
            } else if (this.saxParser.ended) {
              throw err;
            }
          }
        };
        Parser.prototype.parseStringPromise = function(str) {
          return new Promise(function(_this) {
            return function(resolve, reject) {
              return _this.parseString(str, function(err, value) {
                if (err) {
                  return reject(err);
                } else {
                  return resolve(value);
                }
              });
            };
          }(this));
        };
        return Parser;
      }(events);
      exports.parseString = function(str, a, b) {
        var cb, options, parser;
        if (b != null) {
          if (typeof b === "function") {
            cb = b;
          }
          if (typeof a === "object") {
            options = a;
          }
        } else {
          if (typeof a === "function") {
            cb = a;
          }
          options = {};
        }
        parser = new exports.Parser(options);
        return parser.parseString(str, cb);
      };
      exports.parseStringPromise = function(str, a) {
        var options, parser;
        if (typeof a === "object") {
          options = a;
        }
        parser = new exports.Parser(options);
        return parser.parseStringPromise(str);
      };
    }).call(exports);
  }
});

// node_modules/xml2js/lib/xml2js.js
var require_xml2js = __commonJS({
  "node_modules/xml2js/lib/xml2js.js"(exports) {
    (function() {
      "use strict";
      var builder, defaults, parser, processors, extend = function(child, parent) {
        for (var key in parent) {
          if (hasProp.call(parent, key))
            child[key] = parent[key];
        }
        function ctor() {
          this.constructor = child;
        }
        ctor.prototype = parent.prototype;
        child.prototype = new ctor();
        child.__super__ = parent.prototype;
        return child;
      }, hasProp = {}.hasOwnProperty;
      defaults = require_defaults();
      builder = require_builder3();
      parser = require_parser2();
      processors = require_processors();
      exports.defaults = defaults.defaults;
      exports.processors = processors;
      exports.ValidationError = function(superClass) {
        extend(ValidationError, superClass);
        function ValidationError(message) {
          this.message = message;
        }
        return ValidationError;
      }(Error);
      exports.Builder = builder.Builder;
      exports.Parser = parser.Parser;
      exports.parseString = parser.parseString;
      exports.parseStringPromise = parser.parseStringPromise;
    }).call(exports);
  }
});

// node_modules/aws-sdk/lib/xml/node_parser.js
var require_node_parser = __commonJS({
  "node_modules/aws-sdk/lib/xml/node_parser.js"(exports, module2) {
    var AWS2 = require_core();
    var util = AWS2.util;
    var Shape = AWS2.Model.Shape;
    var xml2js = require_xml2js();
    var options = {
      // options passed to xml2js parser
      explicitCharkey: false,
      // undocumented
      trim: false,
      // trim the leading/trailing whitespace from text nodes
      normalize: false,
      // trim interior whitespace inside text nodes
      explicitRoot: false,
      // return the root node in the resulting object?
      emptyTag: null,
      // the default value for empty nodes
      explicitArray: true,
      // always put child nodes in an array
      ignoreAttrs: false,
      // ignore attributes, only create text nodes
      mergeAttrs: false,
      // merge attributes and child elements
      validator: null
      // a callable validator
    };
    function NodeXmlParser() {
    }
    NodeXmlParser.prototype.parse = function(xml, shape) {
      shape = shape || {};
      var result = null;
      var error = null;
      var parser = new xml2js.Parser(options);
      parser.parseString(xml, function(e, r) {
        error = e;
        result = r;
      });
      if (result) {
        var data = parseXml(result, shape);
        if (result.ResponseMetadata) {
          data.ResponseMetadata = parseXml(result.ResponseMetadata[0], {});
        }
        return data;
      } else if (error) {
        throw util.error(error, { code: "XMLParserError", retryable: true });
      } else {
        return parseXml({}, shape);
      }
    };
    function parseXml(xml, shape) {
      switch (shape.type) {
        case "structure":
          return parseStructure(xml, shape);
        case "map":
          return parseMap(xml, shape);
        case "list":
          return parseList(xml, shape);
        case void 0:
        case null:
          return parseUnknown(xml);
        default:
          return parseScalar(xml, shape);
      }
    }
    function parseStructure(xml, shape) {
      var data = {};
      if (xml === null)
        return data;
      util.each(shape.members, function(memberName, memberShape) {
        var xmlName = memberShape.name;
        if (Object.prototype.hasOwnProperty.call(xml, xmlName) && Array.isArray(xml[xmlName])) {
          var xmlChild = xml[xmlName];
          if (!memberShape.flattened)
            xmlChild = xmlChild[0];
          data[memberName] = parseXml(xmlChild, memberShape);
        } else if (memberShape.isXmlAttribute && xml.$ && Object.prototype.hasOwnProperty.call(xml.$, xmlName)) {
          data[memberName] = parseScalar(xml.$[xmlName], memberShape);
        } else if (memberShape.type === "list" && !shape.api.xmlNoDefaultLists) {
          data[memberName] = memberShape.defaultValue;
        }
      });
      return data;
    }
    function parseMap(xml, shape) {
      var data = {};
      if (xml === null)
        return data;
      var xmlKey = shape.key.name || "key";
      var xmlValue = shape.value.name || "value";
      var iterable = shape.flattened ? xml : xml.entry;
      if (Array.isArray(iterable)) {
        util.arrayEach(iterable, function(child) {
          data[child[xmlKey][0]] = parseXml(child[xmlValue][0], shape.value);
        });
      }
      return data;
    }
    function parseList(xml, shape) {
      var data = [];
      var name = shape.member.name || "member";
      if (shape.flattened) {
        util.arrayEach(xml, function(xmlChild) {
          data.push(parseXml(xmlChild, shape.member));
        });
      } else if (xml && Array.isArray(xml[name])) {
        util.arrayEach(xml[name], function(child) {
          data.push(parseXml(child, shape.member));
        });
      }
      return data;
    }
    function parseScalar(text, shape) {
      if (text && text.$ && text.$.encoding === "base64") {
        shape = new Shape.create({ type: text.$.encoding });
      }
      if (text && text._)
        text = text._;
      if (typeof shape.toType === "function") {
        return shape.toType(text);
      } else {
        return text;
      }
    }
    function parseUnknown(xml) {
      if (xml === void 0 || xml === null)
        return "";
      if (typeof xml === "string")
        return xml;
      if (Array.isArray(xml)) {
        var arr = [];
        for (i = 0; i < xml.length; i++) {
          arr.push(parseXml(xml[i], {}));
        }
        return arr;
      }
      var keys = Object.keys(xml), i;
      if (keys.length === 0 || keys.length === 1 && keys[0] === "$") {
        return {};
      }
      var data = {};
      for (i = 0; i < keys.length; i++) {
        var key = keys[i], value = xml[key];
        if (key === "$")
          continue;
        if (value.length > 1) {
          data[key] = parseList(value, { member: {} });
        } else {
          data[key] = parseXml(value[0], {});
        }
      }
      return data;
    }
    module2.exports = NodeXmlParser;
  }
});

// node_modules/aws-sdk/lib/http/node.js
var require_node = __commonJS({
  "node_modules/aws-sdk/lib/http/node.js"() {
    var AWS2 = require_core();
    var Stream = AWS2.util.stream.Stream;
    var TransformStream = AWS2.util.stream.Transform;
    var ReadableStream = AWS2.util.stream.Readable;
    require_http();
    var CONNECTION_REUSE_ENV_NAME = "AWS_NODEJS_CONNECTION_REUSE_ENABLED";
    AWS2.NodeHttpClient = AWS2.util.inherit({
      handleRequest: function handleRequest(httpRequest, httpOptions, callback, errCallback) {
        var self = this;
        var endpoint = httpRequest.endpoint;
        var pathPrefix = "";
        if (!httpOptions)
          httpOptions = {};
        if (httpOptions.proxy) {
          pathPrefix = endpoint.protocol + "//" + endpoint.hostname;
          if (endpoint.port !== 80 && endpoint.port !== 443) {
            pathPrefix += ":" + endpoint.port;
          }
          endpoint = new AWS2.Endpoint(httpOptions.proxy);
        }
        var useSSL = endpoint.protocol === "https:";
        var http = useSSL ? require("https") : require("http");
        var options = {
          host: endpoint.hostname,
          port: endpoint.port,
          method: httpRequest.method,
          headers: httpRequest.headers,
          path: pathPrefix + httpRequest.path
        };
        if (!httpOptions.agent) {
          options.agent = this.getAgent(useSSL, {
            keepAlive: process.env[CONNECTION_REUSE_ENV_NAME] === "1" ? true : false
          });
        }
        AWS2.util.update(options, httpOptions);
        delete options.proxy;
        delete options.timeout;
        var stream = http.request(options, function(httpResp) {
          if (stream.didCallback)
            return;
          callback(httpResp);
          httpResp.emit(
            "headers",
            httpResp.statusCode,
            httpResp.headers,
            httpResp.statusMessage
          );
        });
        httpRequest.stream = stream;
        stream.didCallback = false;
        if (httpOptions.connectTimeout) {
          var connectTimeoutId;
          stream.on("socket", function(socket) {
            if (socket.connecting) {
              connectTimeoutId = setTimeout(function connectTimeout() {
                if (stream.didCallback)
                  return;
                stream.didCallback = true;
                stream.abort();
                errCallback(AWS2.util.error(
                  new Error("Socket timed out without establishing a connection"),
                  { code: "TimeoutError" }
                ));
              }, httpOptions.connectTimeout);
              socket.on("connect", function() {
                clearTimeout(connectTimeoutId);
                connectTimeoutId = null;
              });
            }
          });
        }
        stream.setTimeout(httpOptions.timeout || 0, function() {
          if (stream.didCallback)
            return;
          stream.didCallback = true;
          var msg = "Connection timed out after " + httpOptions.timeout + "ms";
          errCallback(AWS2.util.error(new Error(msg), { code: "TimeoutError" }));
          stream.abort();
        });
        stream.on("error", function(err) {
          if (connectTimeoutId) {
            clearTimeout(connectTimeoutId);
            connectTimeoutId = null;
          }
          if (stream.didCallback)
            return;
          stream.didCallback = true;
          if ("ECONNRESET" === err.code || "EPIPE" === err.code || "ETIMEDOUT" === err.code) {
            errCallback(AWS2.util.error(err, { code: "TimeoutError" }));
          } else {
            errCallback(err);
          }
        });
        var expect = httpRequest.headers.Expect || httpRequest.headers.expect;
        if (expect === "100-continue") {
          stream.once("continue", function() {
            self.writeBody(stream, httpRequest);
          });
        } else {
          this.writeBody(stream, httpRequest);
        }
        return stream;
      },
      writeBody: function writeBody(stream, httpRequest) {
        var body = httpRequest.body;
        var totalBytes = parseInt(httpRequest.headers["Content-Length"], 10);
        if (body instanceof Stream) {
          var progressStream = this.progressStream(stream, totalBytes);
          if (progressStream) {
            body.pipe(progressStream).pipe(stream);
          } else {
            body.pipe(stream);
          }
        } else if (body) {
          stream.once("finish", function() {
            stream.emit("sendProgress", {
              loaded: totalBytes,
              total: totalBytes
            });
          });
          stream.end(body);
        } else {
          stream.end();
        }
      },
      /**
       * Create the https.Agent or http.Agent according to the request schema.
       */
      getAgent: function getAgent(useSSL, agentOptions) {
        var http = useSSL ? require("https") : require("http");
        if (useSSL) {
          if (!AWS2.NodeHttpClient.sslAgent) {
            AWS2.NodeHttpClient.sslAgent = new http.Agent(AWS2.util.merge({
              rejectUnauthorized: process.env.NODE_TLS_REJECT_UNAUTHORIZED === "0" ? false : true
            }, agentOptions || {}));
            AWS2.NodeHttpClient.sslAgent.setMaxListeners(0);
            Object.defineProperty(AWS2.NodeHttpClient.sslAgent, "maxSockets", {
              enumerable: true,
              get: function() {
                var defaultMaxSockets = 50;
                var globalAgent = http.globalAgent;
                if (globalAgent && globalAgent.maxSockets !== Infinity && typeof globalAgent.maxSockets === "number") {
                  return globalAgent.maxSockets;
                }
                return defaultMaxSockets;
              }
            });
          }
          return AWS2.NodeHttpClient.sslAgent;
        } else {
          if (!AWS2.NodeHttpClient.agent) {
            AWS2.NodeHttpClient.agent = new http.Agent(agentOptions);
          }
          return AWS2.NodeHttpClient.agent;
        }
      },
      progressStream: function progressStream(stream, totalBytes) {
        if (typeof TransformStream === "undefined") {
          return;
        }
        var loadedBytes = 0;
        var reporter = new TransformStream();
        reporter._transform = function(chunk, encoding, callback) {
          if (chunk) {
            loadedBytes += chunk.length;
            stream.emit("sendProgress", {
              loaded: loadedBytes,
              total: totalBytes
            });
          }
          callback(null, chunk);
        };
        return reporter;
      },
      emitter: null
    });
    AWS2.HttpClient.prototype = AWS2.NodeHttpClient.prototype;
    AWS2.HttpClient.streamsApiVersion = ReadableStream ? 2 : 1;
  }
});

// node_modules/aws-sdk/lib/credentials/token_file_web_identity_credentials.js
var require_token_file_web_identity_credentials = __commonJS({
  "node_modules/aws-sdk/lib/credentials/token_file_web_identity_credentials.js"() {
    var AWS2 = require_core();
    var fs = require("fs");
    var STS = require_sts2();
    var iniLoader = AWS2.util.iniLoader;
    AWS2.TokenFileWebIdentityCredentials = AWS2.util.inherit(AWS2.Credentials, {
      /**
       * @example Creating a new credentials object
       *  AWS.config.credentials = new AWS.TokenFileWebIdentityCredentials(
       *   // optionally provide configuration to apply to the underlying AWS.STS service client
       *   // if configuration is not provided, then configuration will be pulled from AWS.config
       *   {
       *     // specify timeout options
       *     httpOptions: {
       *       timeout: 100
       *     }
       *   });
       * @see AWS.Config
       */
      constructor: function TokenFileWebIdentityCredentials(clientConfig) {
        AWS2.Credentials.call(this);
        this.data = null;
        this.clientConfig = AWS2.util.copy(clientConfig || {});
      },
      /**
       * Returns params from environment variables
       *
       * @api private
       */
      getParamsFromEnv: function getParamsFromEnv() {
        var ENV_TOKEN_FILE = "AWS_WEB_IDENTITY_TOKEN_FILE", ENV_ROLE_ARN = "AWS_ROLE_ARN";
        if (process.env[ENV_TOKEN_FILE] && process.env[ENV_ROLE_ARN]) {
          return [{
            envTokenFile: process.env[ENV_TOKEN_FILE],
            roleArn: process.env[ENV_ROLE_ARN],
            roleSessionName: process.env["AWS_ROLE_SESSION_NAME"]
          }];
        }
      },
      /**
       * Returns params from shared config variables
       *
       * @api private
       */
      getParamsFromSharedConfig: function getParamsFromSharedConfig() {
        var profiles = AWS2.util.getProfilesFromSharedConfig(iniLoader);
        var profileName2 = process.env.AWS_PROFILE || AWS2.util.defaultProfile;
        var profile = profiles[profileName2] || {};
        if (Object.keys(profile).length === 0) {
          throw AWS2.util.error(
            new Error("Profile " + profileName2 + " not found"),
            { code: "TokenFileWebIdentityCredentialsProviderFailure" }
          );
        }
        var paramsArray = [];
        while (!profile["web_identity_token_file"] && profile["source_profile"]) {
          paramsArray.unshift({
            roleArn: profile["role_arn"],
            roleSessionName: profile["role_session_name"]
          });
          var sourceProfile = profile["source_profile"];
          profile = profiles[sourceProfile];
        }
        paramsArray.unshift({
          envTokenFile: profile["web_identity_token_file"],
          roleArn: profile["role_arn"],
          roleSessionName: profile["role_session_name"]
        });
        return paramsArray;
      },
      /**
       * Refreshes credentials using {AWS.STS.assumeRoleWithWebIdentity}
       *
       * @callback callback function(err)
       *   Called when the STS service responds (or fails). When
       *   this callback is called with no error, it means that the credentials
       *   information has been loaded into the object (as the `accessKeyId`,
       *   `secretAccessKey`, and `sessionToken` properties).
       *   @param err [Error] if an error occurred, this value will be filled
       * @see AWS.Credentials.get
       */
      refresh: function refresh(callback) {
        this.coalesceRefresh(callback || AWS2.util.fn.callback);
      },
      /**
       * @api private
      */
      assumeRoleChaining: function assumeRoleChaining(paramsArray, callback) {
        var self = this;
        if (paramsArray.length === 0) {
          self.service.credentialsFrom(self.data, self);
          callback();
        } else {
          var params = paramsArray.shift();
          self.service.config.credentials = self.service.credentialsFrom(self.data, self);
          self.service.assumeRole(
            {
              RoleArn: params.roleArn,
              RoleSessionName: params.roleSessionName || "token-file-web-identity"
            },
            function(err, data) {
              self.data = null;
              if (err) {
                callback(err);
              } else {
                self.data = data;
                self.assumeRoleChaining(paramsArray, callback);
              }
            }
          );
        }
      },
      /**
       * @api private
       */
      load: function load(callback) {
        var self = this;
        try {
          var paramsArray = self.getParamsFromEnv();
          if (!paramsArray) {
            paramsArray = self.getParamsFromSharedConfig();
          }
          if (paramsArray) {
            var params = paramsArray.shift();
            var oidcToken = fs.readFileSync(params.envTokenFile, { encoding: "ascii" });
            if (!self.service) {
              self.createClients();
            }
            self.service.assumeRoleWithWebIdentity(
              {
                WebIdentityToken: oidcToken,
                RoleArn: params.roleArn,
                RoleSessionName: params.roleSessionName || "token-file-web-identity"
              },
              function(err, data) {
                self.data = null;
                if (err) {
                  callback(err);
                } else {
                  self.data = data;
                  self.assumeRoleChaining(paramsArray, callback);
                }
              }
            );
          }
        } catch (err) {
          callback(err);
        }
      },
      /**
       * @api private
       */
      createClients: function() {
        if (!this.service) {
          var stsConfig = AWS2.util.merge({}, this.clientConfig);
          this.service = new STS(stsConfig);
          this.service.retryableError = function(error) {
            if (error.code === "IDPCommunicationErrorException" || error.code === "InvalidIdentityToken") {
              return true;
            } else {
              return AWS2.Service.prototype.retryableError.call(this, error);
            }
          };
        }
      }
    });
  }
});

// node_modules/aws-sdk/lib/metadata_service/get_endpoint.js
var require_get_endpoint = __commonJS({
  "node_modules/aws-sdk/lib/metadata_service/get_endpoint.js"(exports, module2) {
    var getEndpoint = function() {
      return {
        IPv4: "http://169.254.169.254",
        IPv6: "http://[fd00:ec2::254]"
      };
    };
    module2.exports = getEndpoint;
  }
});

// node_modules/aws-sdk/lib/metadata_service/get_endpoint_mode.js
var require_get_endpoint_mode = __commonJS({
  "node_modules/aws-sdk/lib/metadata_service/get_endpoint_mode.js"(exports, module2) {
    var getEndpointMode = function() {
      return {
        IPv4: "IPv4",
        IPv6: "IPv6"
      };
    };
    module2.exports = getEndpointMode;
  }
});

// node_modules/aws-sdk/lib/metadata_service/get_endpoint_config_options.js
var require_get_endpoint_config_options = __commonJS({
  "node_modules/aws-sdk/lib/metadata_service/get_endpoint_config_options.js"(exports, module2) {
    var ENV_ENDPOINT_NAME = "AWS_EC2_METADATA_SERVICE_ENDPOINT";
    var CONFIG_ENDPOINT_NAME = "ec2_metadata_service_endpoint";
    var getEndpointConfigOptions = function() {
      return {
        environmentVariableSelector: function(env) {
          return env[ENV_ENDPOINT_NAME];
        },
        configFileSelector: function(profile) {
          return profile[CONFIG_ENDPOINT_NAME];
        },
        default: void 0
      };
    };
    module2.exports = getEndpointConfigOptions;
  }
});

// node_modules/aws-sdk/lib/metadata_service/get_endpoint_mode_config_options.js
var require_get_endpoint_mode_config_options = __commonJS({
  "node_modules/aws-sdk/lib/metadata_service/get_endpoint_mode_config_options.js"(exports, module2) {
    var EndpointMode = require_get_endpoint_mode()();
    var ENV_ENDPOINT_MODE_NAME = "AWS_EC2_METADATA_SERVICE_ENDPOINT_MODE";
    var CONFIG_ENDPOINT_MODE_NAME = "ec2_metadata_service_endpoint_mode";
    var getEndpointModeConfigOptions = function() {
      return {
        environmentVariableSelector: function(env) {
          return env[ENV_ENDPOINT_MODE_NAME];
        },
        configFileSelector: function(profile) {
          return profile[CONFIG_ENDPOINT_MODE_NAME];
        },
        default: EndpointMode.IPv4
      };
    };
    module2.exports = getEndpointModeConfigOptions;
  }
});

// node_modules/aws-sdk/lib/metadata_service/get_metadata_service_endpoint.js
var require_get_metadata_service_endpoint = __commonJS({
  "node_modules/aws-sdk/lib/metadata_service/get_metadata_service_endpoint.js"(exports, module2) {
    var AWS2 = require_core();
    var Endpoint = require_get_endpoint()();
    var EndpointMode = require_get_endpoint_mode()();
    var ENDPOINT_CONFIG_OPTIONS = require_get_endpoint_config_options()();
    var ENDPOINT_MODE_CONFIG_OPTIONS = require_get_endpoint_mode_config_options()();
    var getMetadataServiceEndpoint = function() {
      var endpoint = AWS2.util.loadConfig(ENDPOINT_CONFIG_OPTIONS);
      if (endpoint !== void 0)
        return endpoint;
      var endpointMode = AWS2.util.loadConfig(ENDPOINT_MODE_CONFIG_OPTIONS);
      switch (endpointMode) {
        case EndpointMode.IPv4:
          return Endpoint.IPv4;
        case EndpointMode.IPv6:
          return Endpoint.IPv6;
        default:
          throw new Error("Unsupported endpoint mode: " + endpointMode);
      }
    };
    module2.exports = getMetadataServiceEndpoint;
  }
});

// node_modules/aws-sdk/lib/metadata_service.js
var require_metadata_service = __commonJS({
  "node_modules/aws-sdk/lib/metadata_service.js"(exports, module2) {
    var AWS2 = require_core();
    require_http();
    var inherit = AWS2.util.inherit;
    var getMetadataServiceEndpoint = require_get_metadata_service_endpoint();
    var URL = require("url").URL;
    AWS2.MetadataService = inherit({
      /**
       * @return [String] the endpoint of the instance metadata service
       */
      endpoint: getMetadataServiceEndpoint(),
      /**
       * @!ignore
       */
      /**
       * Default HTTP options. By default, the metadata service is set to not
       * timeout on long requests. This means that on non-EC2 machines, this
       * request will never return. If you are calling this operation from an
       * environment that may not always run on EC2, set a `timeout` value so
       * the SDK will abort the request after a given number of milliseconds.
       */
      httpOptions: { timeout: 0 },
      /**
       * when enabled, metadata service will not fetch token
       */
      disableFetchToken: false,
      /**
       * Creates a new MetadataService object with a given set of options.
       *
       * @option options host [String] the hostname of the instance metadata
       *   service
       * @option options httpOptions [map] a map of options to pass to the
       *   underlying HTTP request:
       *
       *   * **timeout** (Number) &mdash; a timeout value in milliseconds to wait
       *     before aborting the connection. Set to 0 for no timeout.
       * @option options maxRetries [Integer] the maximum number of retries to
       *   perform for timeout errors
       * @option options retryDelayOptions [map] A set of options to configure the
       *   retry delay on retryable errors. See AWS.Config for details.
       */
      constructor: function MetadataService(options) {
        if (options && options.host) {
          options.endpoint = "http://" + options.host;
          delete options.host;
        }
        AWS2.util.update(this, options);
      },
      /**
       * Sends a request to the instance metadata service for a given resource.
       *
       * @param path [String] the path of the resource to get
       *
       * @param options [map] an optional map used to make request
       *
       *   * **method** (String) &mdash; HTTP request method
       *
       *   * **headers** (map<String,String>) &mdash; a map of response header keys and their respective values
       *
       * @callback callback function(err, data)
       *   Called when a response is available from the service.
       *   @param err [Error, null] if an error occurred, this value will be set
       *   @param data [String, null] if the request was successful, the body of
       *     the response
       */
      request: function request(path, options, callback) {
        if (arguments.length === 2) {
          callback = options;
          options = {};
        }
        if (process.env[AWS2.util.imdsDisabledEnv]) {
          callback(new Error("EC2 Instance Metadata Service access disabled"));
          return;
        }
        path = path || "/";
        if (URL) {
          new URL(this.endpoint);
        }
        var httpRequest = new AWS2.HttpRequest(this.endpoint + path);
        httpRequest.method = options.method || "GET";
        if (options.headers) {
          httpRequest.headers = options.headers;
        }
        AWS2.util.handleRequestWithRetries(httpRequest, this, callback);
      },
      /**
      * @api private
      */
      loadCredentialsCallbacks: [],
      /**
       * Fetches metadata token used for getting credentials
       *
       * @api private
       * @callback callback function(err, token)
       *   Called when token is loaded from the resource
       */
      fetchMetadataToken: function fetchMetadataToken(callback) {
        var self = this;
        var tokenFetchPath = "/latest/api/token";
        self.request(
          tokenFetchPath,
          {
            "method": "PUT",
            "headers": {
              "x-aws-ec2-metadata-token-ttl-seconds": "21600"
            }
          },
          callback
        );
      },
      /**
       * Fetches credentials
       *
       * @api private
       * @callback cb function(err, creds)
       *   Called when credentials are loaded from the resource
       */
      fetchCredentials: function fetchCredentials(options, cb) {
        var self = this;
        var basePath = "/latest/meta-data/iam/security-credentials/";
        self.request(basePath, options, function(err, roleName) {
          if (err) {
            self.disableFetchToken = !(err.statusCode === 401);
            cb(AWS2.util.error(
              err,
              {
                message: "EC2 Metadata roleName request returned error"
              }
            ));
            return;
          }
          roleName = roleName.split("\n")[0];
          self.request(basePath + roleName, options, function(credErr, credData) {
            if (credErr) {
              self.disableFetchToken = !(credErr.statusCode === 401);
              cb(AWS2.util.error(
                credErr,
                {
                  message: "EC2 Metadata creds request returned error"
                }
              ));
              return;
            }
            try {
              var credentials = JSON.parse(credData);
              cb(null, credentials);
            } catch (parseError) {
              cb(parseError);
            }
          });
        });
      },
      /**
       * Loads a set of credentials stored in the instance metadata service
       *
       * @api private
       * @callback callback function(err, credentials)
       *   Called when credentials are loaded from the resource
       *   @param err [Error] if an error occurred, this value will be set
       *   @param credentials [Object] the raw JSON object containing all
       *     metadata from the credentials resource
       */
      loadCredentials: function loadCredentials(callback) {
        var self = this;
        self.loadCredentialsCallbacks.push(callback);
        if (self.loadCredentialsCallbacks.length > 1) {
          return;
        }
        function callbacks(err, creds) {
          var cb;
          while ((cb = self.loadCredentialsCallbacks.shift()) !== void 0) {
            cb(err, creds);
          }
        }
        if (self.disableFetchToken) {
          self.fetchCredentials({}, callbacks);
        } else {
          self.fetchMetadataToken(function(tokenError, token) {
            if (tokenError) {
              if (tokenError.code === "TimeoutError") {
                self.disableFetchToken = true;
              } else if (tokenError.retryable === true) {
                callbacks(AWS2.util.error(
                  tokenError,
                  {
                    message: "EC2 Metadata token request returned error"
                  }
                ));
                return;
              } else if (tokenError.statusCode === 400) {
                callbacks(AWS2.util.error(
                  tokenError,
                  {
                    message: "EC2 Metadata token request returned 400"
                  }
                ));
                return;
              }
            }
            var options = {};
            if (token) {
              options.headers = {
                "x-aws-ec2-metadata-token": token
              };
            }
            self.fetchCredentials(options, callbacks);
          });
        }
      }
    });
    module2.exports = AWS2.MetadataService;
  }
});

// node_modules/aws-sdk/lib/credentials/ec2_metadata_credentials.js
var require_ec2_metadata_credentials = __commonJS({
  "node_modules/aws-sdk/lib/credentials/ec2_metadata_credentials.js"() {
    var AWS2 = require_core();
    require_metadata_service();
    AWS2.EC2MetadataCredentials = AWS2.util.inherit(AWS2.Credentials, {
      constructor: function EC2MetadataCredentials(options) {
        AWS2.Credentials.call(this);
        options = options ? AWS2.util.copy(options) : {};
        options = AWS2.util.merge(
          { maxRetries: this.defaultMaxRetries },
          options
        );
        if (!options.httpOptions)
          options.httpOptions = {};
        options.httpOptions = AWS2.util.merge(
          {
            timeout: this.defaultTimeout,
            connectTimeout: this.defaultConnectTimeout
          },
          options.httpOptions
        );
        this.metadataService = new AWS2.MetadataService(options);
        this.logger = options.logger || AWS2.config && AWS2.config.logger;
      },
      /**
       * @api private
       */
      defaultTimeout: 1e3,
      /**
      * @api private
      */
      defaultConnectTimeout: 1e3,
      /**
       * @api private
       */
      defaultMaxRetries: 3,
      /**
       * The original expiration of the current credential. In case of AWS
       * outage, the EC2 metadata will extend expiration of the existing
       * credential.
       */
      originalExpiration: void 0,
      /**
       * Loads the credentials from the instance metadata service
       *
       * @callback callback function(err)
       *   Called when the instance metadata service responds (or fails). When
       *   this callback is called with no error, it means that the credentials
       *   information has been loaded into the object (as the `accessKeyId`,
       *   `secretAccessKey`, and `sessionToken` properties).
       *   @param err [Error] if an error occurred, this value will be filled
       * @see get
       */
      refresh: function refresh(callback) {
        this.coalesceRefresh(callback || AWS2.util.fn.callback);
      },
      /**
       * @api private
       * @param callback
       */
      load: function load(callback) {
        var self = this;
        self.metadataService.loadCredentials(function(err, creds) {
          if (err) {
            if (self.hasLoadedCredentials()) {
              self.extendExpirationIfExpired();
              callback();
            } else {
              callback(err);
            }
          } else {
            self.setCredentials(creds);
            self.extendExpirationIfExpired();
            callback();
          }
        });
      },
      /**
       * Whether this credential has been loaded.
       * @api private
       */
      hasLoadedCredentials: function hasLoadedCredentials() {
        return this.AccessKeyId && this.secretAccessKey;
      },
      /**
       * if expired, extend the expiration by 15 minutes base plus a jitter of 5
       * minutes range.
       * @api private
       */
      extendExpirationIfExpired: function extendExpirationIfExpired() {
        if (this.needsRefresh()) {
          this.originalExpiration = this.originalExpiration || this.expireTime;
          this.expired = false;
          var nextTimeout = 15 * 60 + Math.floor(Math.random() * 5 * 60);
          var currentTime = AWS2.util.date.getDate().getTime();
          this.expireTime = new Date(currentTime + nextTimeout * 1e3);
          this.logger.warn("Attempting credential expiration extension due to a credential service availability issue. A refresh of these credentials will be attempted again at " + this.expireTime + "\nFor more information, please visit: https://docs.aws.amazon.com/sdkref/latest/guide/feature-static-credentials.html");
        }
      },
      /**
       * Update the credential with new credential responded from EC2 metadata
       * service.
       * @api private
       */
      setCredentials: function setCredentials(creds) {
        var currentTime = AWS2.util.date.getDate().getTime();
        var expireTime = new Date(creds.Expiration);
        this.expired = currentTime >= expireTime ? true : false;
        this.metadata = creds;
        this.accessKeyId = creds.AccessKeyId;
        this.secretAccessKey = creds.SecretAccessKey;
        this.sessionToken = creds.Token;
        this.expireTime = expireTime;
      }
    });
  }
});

// node_modules/aws-sdk/lib/credentials/remote_credentials.js
var require_remote_credentials = __commonJS({
  "node_modules/aws-sdk/lib/credentials/remote_credentials.js"() {
    var AWS2 = require_core();
    var ENV_RELATIVE_URI = "AWS_CONTAINER_CREDENTIALS_RELATIVE_URI";
    var ENV_FULL_URI = "AWS_CONTAINER_CREDENTIALS_FULL_URI";
    var ENV_AUTH_TOKEN = "AWS_CONTAINER_AUTHORIZATION_TOKEN";
    var FULL_URI_UNRESTRICTED_PROTOCOLS = ["https:"];
    var FULL_URI_ALLOWED_PROTOCOLS = ["http:", "https:"];
    var FULL_URI_ALLOWED_HOSTNAMES = ["localhost", "127.0.0.1"];
    var RELATIVE_URI_HOST = "169.254.170.2";
    AWS2.RemoteCredentials = AWS2.util.inherit(AWS2.Credentials, {
      constructor: function RemoteCredentials(options) {
        AWS2.Credentials.call(this);
        options = options ? AWS2.util.copy(options) : {};
        if (!options.httpOptions)
          options.httpOptions = {};
        options.httpOptions = AWS2.util.merge(
          this.httpOptions,
          options.httpOptions
        );
        AWS2.util.update(this, options);
      },
      /**
       * @api private
       */
      httpOptions: { timeout: 1e3 },
      /**
       * @api private
       */
      maxRetries: 3,
      /**
       * @api private
       */
      isConfiguredForEcsCredentials: function isConfiguredForEcsCredentials() {
        return Boolean(
          process && process.env && (process.env[ENV_RELATIVE_URI] || process.env[ENV_FULL_URI])
        );
      },
      /**
       * @api private
       */
      getECSFullUri: function getECSFullUri() {
        if (process && process.env) {
          var relative = process.env[ENV_RELATIVE_URI], full = process.env[ENV_FULL_URI];
          if (relative) {
            return "http://" + RELATIVE_URI_HOST + relative;
          } else if (full) {
            var parsed = AWS2.util.urlParse(full);
            if (FULL_URI_ALLOWED_PROTOCOLS.indexOf(parsed.protocol) < 0) {
              throw AWS2.util.error(
                new Error("Unsupported protocol:  AWS.RemoteCredentials supports " + FULL_URI_ALLOWED_PROTOCOLS.join(",") + " only; " + parsed.protocol + " requested."),
                { code: "ECSCredentialsProviderFailure" }
              );
            }
            if (FULL_URI_UNRESTRICTED_PROTOCOLS.indexOf(parsed.protocol) < 0 && FULL_URI_ALLOWED_HOSTNAMES.indexOf(parsed.hostname) < 0) {
              throw AWS2.util.error(
                new Error("Unsupported hostname: AWS.RemoteCredentials only supports " + FULL_URI_ALLOWED_HOSTNAMES.join(",") + " for " + parsed.protocol + "; " + parsed.protocol + "//" + parsed.hostname + " requested."),
                { code: "ECSCredentialsProviderFailure" }
              );
            }
            return full;
          } else {
            throw AWS2.util.error(
              new Error("Variable " + ENV_RELATIVE_URI + " or " + ENV_FULL_URI + " must be set to use AWS.RemoteCredentials."),
              { code: "ECSCredentialsProviderFailure" }
            );
          }
        } else {
          throw AWS2.util.error(
            new Error("No process info available"),
            { code: "ECSCredentialsProviderFailure" }
          );
        }
      },
      /**
       * @api private
       */
      getECSAuthToken: function getECSAuthToken() {
        if (process && process.env && process.env[ENV_FULL_URI]) {
          return process.env[ENV_AUTH_TOKEN];
        }
      },
      /**
       * @api private
       */
      credsFormatIsValid: function credsFormatIsValid(credData) {
        return !!credData.accessKeyId && !!credData.secretAccessKey && !!credData.sessionToken && !!credData.expireTime;
      },
      /**
       * @api private
       */
      formatCreds: function formatCreds(credData) {
        if (!!credData.credentials) {
          credData = credData.credentials;
        }
        return {
          expired: false,
          accessKeyId: credData.accessKeyId || credData.AccessKeyId,
          secretAccessKey: credData.secretAccessKey || credData.SecretAccessKey,
          sessionToken: credData.sessionToken || credData.Token,
          expireTime: new Date(credData.expiration || credData.Expiration)
        };
      },
      /**
       * @api private
       */
      request: function request(url, callback) {
        var httpRequest = new AWS2.HttpRequest(url);
        httpRequest.method = "GET";
        httpRequest.headers.Accept = "application/json";
        var token = this.getECSAuthToken();
        if (token) {
          httpRequest.headers.Authorization = token;
        }
        AWS2.util.handleRequestWithRetries(httpRequest, this, callback);
      },
      /**
       * Loads the credentials from the relative URI specified by container
       *
       * @callback callback function(err)
       *   Called when the request to the relative URI responds (or fails). When
       *   this callback is called with no error, it means that the credentials
       *   information has been loaded into the object (as the `accessKeyId`,
       *   `secretAccessKey`, `sessionToken`, and `expireTime` properties).
       *   @param err [Error] if an error occurred, this value will be filled
       * @see get
       */
      refresh: function refresh(callback) {
        this.coalesceRefresh(callback || AWS2.util.fn.callback);
      },
      /**
       * @api private
       */
      load: function load(callback) {
        var self = this;
        var fullUri;
        try {
          fullUri = this.getECSFullUri();
        } catch (err) {
          callback(err);
          return;
        }
        this.request(fullUri, function(err, data) {
          if (!err) {
            try {
              data = JSON.parse(data);
              var creds = self.formatCreds(data);
              if (!self.credsFormatIsValid(creds)) {
                throw AWS2.util.error(
                  new Error("Response data is not in valid format"),
                  { code: "ECSCredentialsProviderFailure" }
                );
              }
              AWS2.util.update(self, creds);
            } catch (dataError) {
              err = dataError;
            }
          }
          callback(err, creds);
        });
      }
    });
  }
});

// node_modules/aws-sdk/lib/credentials/ecs_credentials.js
var require_ecs_credentials = __commonJS({
  "node_modules/aws-sdk/lib/credentials/ecs_credentials.js"() {
    var AWS2 = require_core();
    AWS2.ECSCredentials = AWS2.RemoteCredentials;
  }
});

// node_modules/aws-sdk/lib/credentials/environment_credentials.js
var require_environment_credentials = __commonJS({
  "node_modules/aws-sdk/lib/credentials/environment_credentials.js"() {
    var AWS2 = require_core();
    AWS2.EnvironmentCredentials = AWS2.util.inherit(AWS2.Credentials, {
      /**
       * Creates a new EnvironmentCredentials class with a given variable
       * prefix {envPrefix}. For example, to load credentials using the 'AWS'
       * prefix:
       *
       * ```javascript
       * var creds = new AWS.EnvironmentCredentials('AWS');
       * creds.accessKeyId == 'AKID' // from AWS_ACCESS_KEY_ID env var
       * ```
       *
       * @param envPrefix [String] the prefix to use (e.g., 'AWS') for environment
       *   variables. Do not include the separating underscore.
       */
      constructor: function EnvironmentCredentials(envPrefix) {
        AWS2.Credentials.call(this);
        this.envPrefix = envPrefix;
        this.get(function() {
        });
      },
      /**
       * Loads credentials from the environment using the prefixed
       * environment variables.
       *
       * @callback callback function(err)
       *   Called after the (prefixed) ACCESS_KEY_ID, SECRET_ACCESS_KEY, and
       *   SESSION_TOKEN environment variables are read. When this callback is
       *   called with no error, it means that the credentials information has
       *   been loaded into the object (as the `accessKeyId`, `secretAccessKey`,
       *   and `sessionToken` properties).
       *   @param err [Error] if an error occurred, this value will be filled
       * @see get
       */
      refresh: function refresh(callback) {
        if (!callback)
          callback = AWS2.util.fn.callback;
        if (!process || !process.env) {
          callback(AWS2.util.error(
            new Error("No process info or environment variables available"),
            { code: "EnvironmentCredentialsProviderFailure" }
          ));
          return;
        }
        var keys = ["ACCESS_KEY_ID", "SECRET_ACCESS_KEY", "SESSION_TOKEN"];
        var values = [];
        for (var i = 0; i < keys.length; i++) {
          var prefix = "";
          if (this.envPrefix)
            prefix = this.envPrefix + "_";
          values[i] = process.env[prefix + keys[i]];
          if (!values[i] && keys[i] !== "SESSION_TOKEN") {
            callback(AWS2.util.error(
              new Error("Variable " + prefix + keys[i] + " not set."),
              { code: "EnvironmentCredentialsProviderFailure" }
            ));
            return;
          }
        }
        this.expired = false;
        AWS2.Credentials.apply(this, values);
        callback();
      }
    });
  }
});

// node_modules/aws-sdk/lib/credentials/file_system_credentials.js
var require_file_system_credentials = __commonJS({
  "node_modules/aws-sdk/lib/credentials/file_system_credentials.js"() {
    var AWS2 = require_core();
    AWS2.FileSystemCredentials = AWS2.util.inherit(AWS2.Credentials, {
      /**
       * @overload AWS.FileSystemCredentials(filename)
       *   Creates a new FileSystemCredentials object from a filename
       *
       *   @param filename [String] the path on disk to the JSON file to load.
       */
      constructor: function FileSystemCredentials(filename) {
        AWS2.Credentials.call(this);
        this.filename = filename;
        this.get(function() {
        });
      },
      /**
       * Loads the credentials from the {filename} on disk.
       *
       * @callback callback function(err)
       *   Called after the JSON file on disk is read and parsed. When this callback
       *   is called with no error, it means that the credentials information
       *   has been loaded into the object (as the `accessKeyId`, `secretAccessKey`,
       *   and `sessionToken` properties).
       *   @param err [Error] if an error occurred, this value will be filled
       * @see get
       */
      refresh: function refresh(callback) {
        if (!callback)
          callback = AWS2.util.fn.callback;
        try {
          var creds = JSON.parse(AWS2.util.readFileSync(this.filename));
          AWS2.Credentials.call(this, creds);
          if (!this.accessKeyId || !this.secretAccessKey) {
            throw AWS2.util.error(
              new Error("Credentials not set in " + this.filename),
              { code: "FileSystemCredentialsProviderFailure" }
            );
          }
          this.expired = false;
          callback();
        } catch (err) {
          callback(err);
        }
      }
    });
  }
});

// node_modules/aws-sdk/lib/credentials/shared_ini_file_credentials.js
var require_shared_ini_file_credentials = __commonJS({
  "node_modules/aws-sdk/lib/credentials/shared_ini_file_credentials.js"() {
    var AWS2 = require_core();
    var STS = require_sts2();
    var iniLoader = AWS2.util.iniLoader;
    var ASSUME_ROLE_DEFAULT_REGION = "us-east-1";
    AWS2.SharedIniFileCredentials = AWS2.util.inherit(AWS2.Credentials, {
      /**
       * Creates a new SharedIniFileCredentials object.
       *
       * @param options [map] a set of options
       * @option options profile [String] (AWS_PROFILE env var or 'default')
       *   the name of the profile to load.
       * @option options filename [String] ('~/.aws/credentials' or defined by
       *   AWS_SHARED_CREDENTIALS_FILE process env var)
       *   the filename to use when loading credentials.
       * @option options disableAssumeRole [Boolean] (false) True to disable
       *   support for profiles that assume an IAM role. If true, and an assume
       *   role profile is selected, an error is raised.
       * @option options preferStaticCredentials [Boolean] (false) True to
       *   prefer static credentials to role_arn if both are present.
       * @option options tokenCodeFn [Function] (null) Function to provide
       *   STS Assume Role TokenCode, if mfa_serial is provided for profile in ini
       *   file. Function is called with value of mfa_serial and callback, and
       *   should provide the TokenCode or an error to the callback in the format
       *   callback(err, token)
       * @option options callback [Function] (err) Credentials are eagerly loaded
       *   by the constructor. When the callback is called with no error, the
       *   credentials have been loaded successfully.
       * @option options httpOptions [map] A set of options to pass to the low-level
       *   HTTP request. Currently supported options are:
       *   * **proxy** [String] &mdash; the URL to proxy requests through
       *   * **agent** [http.Agent, https.Agent] &mdash; the Agent object to perform
       *     HTTP requests with. Used for connection pooling. Defaults to the global
       *     agent (`http.globalAgent`) for non-SSL connections. Note that for
       *     SSL connections, a special Agent object is used in order to enable
       *     peer certificate verification. This feature is only available in the
       *     Node.js environment.
       *   * **connectTimeout** [Integer] &mdash; Sets the socket to timeout after
       *     failing to establish a connection with the server after
       *     `connectTimeout` milliseconds. This timeout has no effect once a socket
       *     connection has been established.
       *   * **timeout** [Integer] &mdash; The number of milliseconds a request can
       *     take before automatically being terminated.
       *     Defaults to two minutes (120000).
       */
      constructor: function SharedIniFileCredentials(options) {
        AWS2.Credentials.call(this);
        options = options || {};
        this.filename = options.filename;
        this.profile = options.profile || process.env.AWS_PROFILE || AWS2.util.defaultProfile;
        this.disableAssumeRole = Boolean(options.disableAssumeRole);
        this.preferStaticCredentials = Boolean(options.preferStaticCredentials);
        this.tokenCodeFn = options.tokenCodeFn || null;
        this.httpOptions = options.httpOptions || null;
        this.get(options.callback || AWS2.util.fn.noop);
      },
      /**
       * @api private
       */
      load: function load(callback) {
        var self = this;
        try {
          var profiles = AWS2.util.getProfilesFromSharedConfig(iniLoader, this.filename);
          var profile = profiles[this.profile] || {};
          if (Object.keys(profile).length === 0) {
            throw AWS2.util.error(
              new Error("Profile " + this.profile + " not found"),
              { code: "SharedIniFileCredentialsProviderFailure" }
            );
          }
          var preferStaticCredentialsToRoleArn = Boolean(
            this.preferStaticCredentials && profile["aws_access_key_id"] && profile["aws_secret_access_key"]
          );
          if (profile["role_arn"] && !preferStaticCredentialsToRoleArn) {
            this.loadRoleProfile(profiles, profile, function(err, data) {
              if (err) {
                callback(err);
              } else {
                self.expired = false;
                self.accessKeyId = data.Credentials.AccessKeyId;
                self.secretAccessKey = data.Credentials.SecretAccessKey;
                self.sessionToken = data.Credentials.SessionToken;
                self.expireTime = data.Credentials.Expiration;
                callback(null);
              }
            });
            return;
          }
          this.accessKeyId = profile["aws_access_key_id"];
          this.secretAccessKey = profile["aws_secret_access_key"];
          this.sessionToken = profile["aws_session_token"];
          if (!this.accessKeyId || !this.secretAccessKey) {
            throw AWS2.util.error(
              new Error("Credentials not set for profile " + this.profile),
              { code: "SharedIniFileCredentialsProviderFailure" }
            );
          }
          this.expired = false;
          callback(null);
        } catch (err) {
          callback(err);
        }
      },
      /**
       * Loads the credentials from the shared credentials file
       *
       * @callback callback function(err)
       *   Called after the shared INI file on disk is read and parsed. When this
       *   callback is called with no error, it means that the credentials
       *   information has been loaded into the object (as the `accessKeyId`,
       *   `secretAccessKey`, and `sessionToken` properties).
       *   @param err [Error] if an error occurred, this value will be filled
       * @see get
       */
      refresh: function refresh(callback) {
        iniLoader.clearCachedFiles();
        this.coalesceRefresh(
          callback || AWS2.util.fn.callback,
          this.disableAssumeRole
        );
      },
      /**
       * @api private
       */
      loadRoleProfile: function loadRoleProfile(creds, roleProfile, callback) {
        if (this.disableAssumeRole) {
          throw AWS2.util.error(
            new Error("Role assumption profiles are disabled. Failed to load profile " + this.profile + " from " + creds.filename),
            { code: "SharedIniFileCredentialsProviderFailure" }
          );
        }
        var self = this;
        var roleArn = roleProfile["role_arn"];
        var roleSessionName = roleProfile["role_session_name"];
        var externalId = roleProfile["external_id"];
        var mfaSerial = roleProfile["mfa_serial"];
        var sourceProfileName = roleProfile["source_profile"];
        var durationSeconds = parseInt(roleProfile["duration_seconds"], 10) || void 0;
        var profileRegion = roleProfile["region"] || ASSUME_ROLE_DEFAULT_REGION;
        if (!sourceProfileName) {
          throw AWS2.util.error(
            new Error("source_profile is not set using profile " + this.profile),
            { code: "SharedIniFileCredentialsProviderFailure" }
          );
        }
        var sourceProfileExistanceTest = creds[sourceProfileName];
        if (typeof sourceProfileExistanceTest !== "object") {
          throw AWS2.util.error(
            new Error("source_profile " + sourceProfileName + " using profile " + this.profile + " does not exist"),
            { code: "SharedIniFileCredentialsProviderFailure" }
          );
        }
        var sourceCredentials = new AWS2.SharedIniFileCredentials(
          AWS2.util.merge(this.options || {}, {
            profile: sourceProfileName,
            preferStaticCredentials: true
          })
        );
        this.roleArn = roleArn;
        var sts = new STS({
          credentials: sourceCredentials,
          region: profileRegion,
          httpOptions: this.httpOptions
        });
        var roleParams = {
          DurationSeconds: durationSeconds,
          RoleArn: roleArn,
          RoleSessionName: roleSessionName || "aws-sdk-js-" + Date.now()
        };
        if (externalId) {
          roleParams.ExternalId = externalId;
        }
        if (mfaSerial && self.tokenCodeFn) {
          roleParams.SerialNumber = mfaSerial;
          self.tokenCodeFn(mfaSerial, function(err, token) {
            if (err) {
              var message;
              if (err instanceof Error) {
                message = err.message;
              } else {
                message = err;
              }
              callback(
                AWS2.util.error(
                  new Error("Error fetching MFA token: " + message),
                  { code: "SharedIniFileCredentialsProviderFailure" }
                )
              );
              return;
            }
            roleParams.TokenCode = token;
            sts.assumeRole(roleParams, callback);
          });
          return;
        }
        sts.assumeRole(roleParams, callback);
      }
    });
  }
});

// node_modules/aws-sdk/lib/credentials/sso_credentials.js
var require_sso_credentials = __commonJS({
  "node_modules/aws-sdk/lib/credentials/sso_credentials.js"() {
    var AWS2 = require_core();
    var path = require("path");
    var crypto = require("crypto");
    var iniLoader = AWS2.util.iniLoader;
    AWS2.SsoCredentials = AWS2.util.inherit(AWS2.Credentials, {
      /**
       * Creates a new SsoCredentials object.
       *
       * @param options [map] a set of options
       * @option options profile [String] (AWS_PROFILE env var or 'default')
       *   the name of the profile to load.
       * @option options filename [String] ('~/.aws/credentials' or defined by
       *   AWS_SHARED_CREDENTIALS_FILE process env var)
       *   the filename to use when loading credentials.
       * @option options callback [Function] (err) Credentials are eagerly loaded
       *   by the constructor. When the callback is called with no error, the
       *   credentials have been loaded successfully.
       */
      constructor: function SsoCredentials(options) {
        AWS2.Credentials.call(this);
        options = options || {};
        this.errorCode = "SsoCredentialsProviderFailure";
        this.expired = true;
        this.filename = options.filename;
        this.profile = options.profile || process.env.AWS_PROFILE || AWS2.util.defaultProfile;
        this.service = options.ssoClient;
        this.httpOptions = options.httpOptions || null;
        this.get(options.callback || AWS2.util.fn.noop);
      },
      /**
       * @api private
       */
      load: function load(callback) {
        var self = this;
        try {
          var profiles = AWS2.util.getProfilesFromSharedConfig(iniLoader, this.filename);
          var profile = profiles[this.profile] || {};
          if (Object.keys(profile).length === 0) {
            throw AWS2.util.error(
              new Error("Profile " + this.profile + " not found"),
              { code: self.errorCode }
            );
          }
          if (profile.sso_session) {
            if (!profile.sso_account_id || !profile.sso_role_name) {
              throw AWS2.util.error(
                new Error("Profile " + this.profile + " with session " + profile.sso_session + ' does not have valid SSO credentials. Required parameters "sso_account_id", "sso_session", "sso_role_name". Reference: https://docs.aws.amazon.com/cli/latest/userguide/cli-configure-sso.html'),
                { code: self.errorCode }
              );
            }
          } else {
            if (!profile.sso_start_url || !profile.sso_account_id || !profile.sso_region || !profile.sso_role_name) {
              throw AWS2.util.error(
                new Error("Profile " + this.profile + ' does not have valid SSO credentials. Required parameters "sso_account_id", "sso_region", "sso_role_name", "sso_start_url". Reference: https://docs.aws.amazon.com/cli/latest/userguide/cli-configure-sso.html'),
                { code: self.errorCode }
              );
            }
          }
          this.getToken(this.profile, profile, function(err, token) {
            if (err) {
              return callback(err);
            }
            var request = {
              accessToken: token,
              accountId: profile.sso_account_id,
              roleName: profile.sso_role_name
            };
            if (!self.service || self.service.config.region !== profile.sso_region) {
              self.service = new AWS2.SSO({
                region: profile.sso_region,
                httpOptions: self.httpOptions
              });
            }
            self.service.getRoleCredentials(request, function(err2, data) {
              if (err2 || !data || !data.roleCredentials) {
                callback(AWS2.util.error(
                  err2 || new Error('Please log in using "aws sso login"'),
                  { code: self.errorCode }
                ), null);
              } else if (!data.roleCredentials.accessKeyId || !data.roleCredentials.secretAccessKey || !data.roleCredentials.sessionToken || !data.roleCredentials.expiration) {
                throw AWS2.util.error(new Error(
                  "SSO returns an invalid temporary credential."
                ));
              } else {
                self.expired = false;
                self.accessKeyId = data.roleCredentials.accessKeyId;
                self.secretAccessKey = data.roleCredentials.secretAccessKey;
                self.sessionToken = data.roleCredentials.sessionToken;
                self.expireTime = new Date(data.roleCredentials.expiration);
                callback(null);
              }
            });
          });
        } catch (err) {
          callback(err);
        }
      },
      /**
       * @private
       * Uses legacy file system retrieval or if sso-session is set,
       * use the SSOTokenProvider.
       *
       * @param {string} profileName - name of the profile.
       * @param {object} profile - profile data containing sso_session or sso_start_url etc.
       * @param {function} callback - called with (err, (string) token).
       *
       * @returns {void}
       */
      getToken: function getToken(profileName2, profile, callback) {
        var self = this;
        if (profile.sso_session) {
          var _iniLoader = AWS2.util.iniLoader;
          var ssoSessions = _iniLoader.loadSsoSessionsFrom();
          var ssoSession = ssoSessions[profile.sso_session];
          Object.assign(profile, ssoSession);
          var ssoTokenProvider = new AWS2.SSOTokenProvider({
            profile: profileName2
          });
          ssoTokenProvider.load(function(err) {
            if (err) {
              return callback(err);
            }
            return callback(null, ssoTokenProvider.token);
          });
          return;
        }
        try {
          var EXPIRE_WINDOW_MS = 15 * 60 * 1e3;
          var hasher = crypto.createHash("sha1");
          var fileName = hasher.update(profile.sso_start_url).digest("hex") + ".json";
          var cachePath = path.join(
            iniLoader.getHomeDir(),
            ".aws",
            "sso",
            "cache",
            fileName
          );
          var cacheFile = AWS2.util.readFileSync(cachePath);
          var cacheContent = null;
          if (cacheFile) {
            cacheContent = JSON.parse(cacheFile);
          }
          if (!cacheContent) {
            throw AWS2.util.error(
              new Error("Cached credentials not found under " + this.profile + " profile. Please make sure you log in with aws sso login first"),
              { code: self.errorCode }
            );
          }
          if (!cacheContent.startUrl || !cacheContent.region || !cacheContent.accessToken || !cacheContent.expiresAt) {
            throw AWS2.util.error(
              new Error("Cached credentials are missing required properties. Try running aws sso login.")
            );
          }
          if (new Date(cacheContent.expiresAt).getTime() - Date.now() <= EXPIRE_WINDOW_MS) {
            throw AWS2.util.error(new Error(
              "The SSO session associated with this profile has expired. To refresh this SSO session run aws sso login with the corresponding profile."
            ));
          }
          return callback(null, cacheContent.accessToken);
        } catch (err) {
          return callback(err, null);
        }
      },
      /**
       * Loads the credentials from the AWS SSO process
       *
       * @callback callback function(err)
       *   Called after the AWS SSO process has been executed. When this
       *   callback is called with no error, it means that the credentials
       *   information has been loaded into the object (as the `accessKeyId`,
       *   `secretAccessKey`, and `sessionToken` properties).
       *   @param err [Error] if an error occurred, this value will be filled
       * @see get
       */
      refresh: function refresh(callback) {
        iniLoader.clearCachedFiles();
        this.coalesceRefresh(callback || AWS2.util.fn.callback);
      }
    });
  }
});

// node_modules/aws-sdk/lib/token.js
var require_token = __commonJS({
  "node_modules/aws-sdk/lib/token.js"() {
    var AWS2 = require_core();
    AWS2.Token = AWS2.util.inherit({
      /**
       * Creates a Token object with a given set of information in options hash.
       * @option options token [String] represents the literal token string.
       * @option options expireTime [Date] field representing the time at which
       *   the token expires.
       * @example Create a token object
       *   var token = new AWS.Token({ token: 'token' });
       */
      constructor: function Token(options) {
        AWS2.util.hideProperties(this, ["token"]);
        this.expired = false;
        this.expireTime = null;
        this.refreshCallbacks = [];
        if (arguments.length === 1) {
          var options = arguments[0];
          this.token = options.token;
          this.expireTime = options.expireTime;
        }
      },
      /**
       * @return [Integer] the number of seconds before {expireTime} during which
       *   the token will be considered expired.
       */
      expiryWindow: 15,
      /**
       * @return [Boolean] whether the Token object should call {refresh}
       * @note Subclasses should override this method to provide custom refresh
       *   logic.
       */
      needsRefresh: function needsRefresh() {
        var currentTime = AWS2.util.date.getDate().getTime();
        var adjustedTime = new Date(currentTime + this.expiryWindow * 1e3);
        if (this.expireTime && adjustedTime > this.expireTime)
          return true;
        return this.expired || !this.token;
      },
      /**
       * Gets the existing token, refreshing them if they are not yet loaded
       * or have expired. Users should call this method before using {refresh},
       * as this will not attempt to reload token when they are already
       * loaded into the object.
       *
       * @callback callback function(err)
       *   When this callback is called with no error, it means either token
       *   do not need to be refreshed or refreshed token information has
       *   been loaded into the object (as the `token` property).
       *   @param err [Error] if an error occurred, this value will be filled
       */
      get: function get(callback) {
        var self = this;
        if (this.needsRefresh()) {
          this.refresh(function(err) {
            if (!err)
              self.expired = false;
            if (callback)
              callback(err);
          });
        } else if (callback) {
          callback();
        }
      },
      /**
       * @!method  getPromise()
       *   Returns a 'thenable' promise.
       *   Gets the existing token, refreshing it if it's not yet loaded
       *   or have expired. Users should call this method before using {refresh},
       *   as this will not attempt to reload token when it's already
       *   loaded into the object.
       *
       *   Two callbacks can be provided to the `then` method on the returned promise.
       *   The first callback will be called if the promise is fulfilled, and the second
       *   callback will be called if the promise is rejected.
       *   @callback fulfilledCallback function()
       *     Called if the promise is fulfilled. When this callback is called, it means
       *     either token does not need to be refreshed or refreshed token information
       *     has been loaded into the object (as the `token` property).
       *   @callback rejectedCallback function(err)
       *     Called if the promise is rejected.
       *     @param err [Error] if an error occurred, this value will be filled.
       *   @return [Promise] A promise that represents the state of the `get` call.
       *   @example Calling the `getPromise` method.
       *     var promise = tokenProvider.getPromise();
       *     promise.then(function() { ... }, function(err) { ... });
       */
      /**
       * @!method  refreshPromise()
       *   Returns a 'thenable' promise.
       *   Refreshes the token. Users should call {get} before attempting
       *   to forcibly refresh token.
       *
       *   Two callbacks can be provided to the `then` method on the returned promise.
       *   The first callback will be called if the promise is fulfilled, and the second
       *   callback will be called if the promise is rejected.
       *   @callback fulfilledCallback function()
       *     Called if the promise is fulfilled. When this callback is called, it
       *     means refreshed token information has been loaded into the object
       *     (as the `token` property).
       *   @callback rejectedCallback function(err)
       *     Called if the promise is rejected.
       *     @param err [Error] if an error occurred, this value will be filled.
       *   @return [Promise] A promise that represents the state of the `refresh` call.
       *   @example Calling the `refreshPromise` method.
       *     var promise = tokenProvider.refreshPromise();
       *     promise.then(function() { ... }, function(err) { ... });
       */
      /**
       * Refreshes the token. Users should call {get} before attempting
       * to forcibly refresh token.
       *
       * @callback callback function(err)
       *   When this callback is called with no error, it means refreshed
       *   token information has been loaded into the object (as the
       *   `token` property).
       *   @param err [Error] if an error occurred, this value will be filled
       * @note Subclasses should override this class to reset the
       *   {token} on the token object and then call the callback with
       *   any error information.
       * @see get
       */
      refresh: function refresh(callback) {
        this.expired = false;
        callback();
      },
      /**
       * @api private
       * @param callback
       */
      coalesceRefresh: function coalesceRefresh(callback, sync) {
        var self = this;
        if (self.refreshCallbacks.push(callback) === 1) {
          self.load(function onLoad(err) {
            AWS2.util.arrayEach(self.refreshCallbacks, function(callback2) {
              if (sync) {
                callback2(err);
              } else {
                AWS2.util.defer(function() {
                  callback2(err);
                });
              }
            });
            self.refreshCallbacks.length = 0;
          });
        }
      },
      /**
       * @api private
       * @param callback
       */
      load: function load(callback) {
        callback();
      }
    });
    AWS2.Token.addPromisesToClass = function addPromisesToClass(PromiseDependency) {
      this.prototype.getPromise = AWS2.util.promisifyMethod("get", PromiseDependency);
      this.prototype.refreshPromise = AWS2.util.promisifyMethod("refresh", PromiseDependency);
    };
    AWS2.Token.deletePromisesFromClass = function deletePromisesFromClass() {
      delete this.prototype.getPromise;
      delete this.prototype.refreshPromise;
    };
    AWS2.util.addPromises(AWS2.Token);
  }
});

// node_modules/aws-sdk/lib/token/token_provider_chain.js
var require_token_provider_chain = __commonJS({
  "node_modules/aws-sdk/lib/token/token_provider_chain.js"() {
    var AWS2 = require_core();
    AWS2.TokenProviderChain = AWS2.util.inherit(AWS2.Token, {
      /**
       * Creates a new TokenProviderChain with a default set of providers
       * specified by {defaultProviders}.
       */
      constructor: function TokenProviderChain(providers) {
        if (providers) {
          this.providers = providers;
        } else {
          this.providers = AWS2.TokenProviderChain.defaultProviders.slice(0);
        }
        this.resolveCallbacks = [];
      },
      /**
       * @!method  resolvePromise()
       *   Returns a 'thenable' promise.
       *   Resolves the provider chain by searching for the first token in {providers}.
       *
       *   Two callbacks can be provided to the `then` method on the returned promise.
       *   The first callback will be called if the promise is fulfilled, and the second
       *   callback will be called if the promise is rejected.
       *   @callback fulfilledCallback function(token)
       *     Called if the promise is fulfilled and the provider resolves the chain
       *     to a token object
       *     @param token [AWS.Token] the token object resolved by the provider chain.
       *   @callback rejectedCallback function(error)
       *     Called if the promise is rejected.
       *     @param err [Error] the error object returned if no token is found.
       *   @return [Promise] A promise that represents the state of the `resolve` method call.
       *   @example Calling the `resolvePromise` method.
       *     var promise = chain.resolvePromise();
       *     promise.then(function(token) { ... }, function(err) { ... });
       */
      /**
       * Resolves the provider chain by searching for the first token in {providers}.
       *
       * @callback callback function(err, token)
       *   Called when the provider resolves the chain to a token object
       *   or null if no token can be found.
       *
       *   @param err [Error] the error object returned if no token is found.
       *   @param token [AWS.Token] the token object resolved by the provider chain.
       * @return [AWS.TokenProviderChain] the provider, for chaining.
       */
      resolve: function resolve(callback) {
        var self = this;
        if (self.providers.length === 0) {
          callback(new Error("No providers"));
          return self;
        }
        if (self.resolveCallbacks.push(callback) === 1) {
          let resolveNext2 = function(err, token) {
            if (!err && token || index === providers.length) {
              AWS2.util.arrayEach(self.resolveCallbacks, function(callback2) {
                callback2(err, token);
              });
              self.resolveCallbacks.length = 0;
              return;
            }
            var provider = providers[index++];
            if (typeof provider === "function") {
              token = provider.call();
            } else {
              token = provider;
            }
            if (token.get) {
              token.get(function(getErr) {
                resolveNext2(getErr, getErr ? null : token);
              });
            } else {
              resolveNext2(null, token);
            }
          };
          var resolveNext = resolveNext2;
          var index = 0;
          var providers = self.providers.slice(0);
          resolveNext2();
        }
        return self;
      }
    });
    AWS2.TokenProviderChain.defaultProviders = [];
    AWS2.TokenProviderChain.addPromisesToClass = function addPromisesToClass(PromiseDependency) {
      this.prototype.resolvePromise = AWS2.util.promisifyMethod("resolve", PromiseDependency);
    };
    AWS2.TokenProviderChain.deletePromisesFromClass = function deletePromisesFromClass() {
      delete this.prototype.resolvePromise;
    };
    AWS2.util.addPromises(AWS2.TokenProviderChain);
  }
});

// node_modules/aws-sdk/lib/token/sso_token_provider.js
var require_sso_token_provider = __commonJS({
  "node_modules/aws-sdk/lib/token/sso_token_provider.js"() {
    var AWS2 = require_core();
    var crypto = require("crypto");
    var fs = require("fs");
    var path = require("path");
    var iniLoader = AWS2.util.iniLoader;
    var lastRefreshAttemptTime = 0;
    var validateTokenKey = function validateTokenKey2(token, key) {
      if (!token[key]) {
        throw AWS2.util.error(
          new Error('Key "' + key + '" not present in SSO Token'),
          { code: "SSOTokenProviderFailure" }
        );
      }
    };
    var refreshUnsuccessful = function refreshUnsuccessful2(currentTime, tokenExpireTime, callback) {
      if (tokenExpireTime > currentTime) {
        callback(null);
      } else {
        throw AWS2.util.error(
          new Error('SSO Token refresh failed. Please log in using "aws sso login"'),
          { code: "SSOTokenProviderFailure" }
        );
      }
    };
    AWS2.SSOTokenProvider = AWS2.util.inherit(AWS2.Token, {
      /**
       * Expiry window of five minutes.
       */
      expiryWindow: 5 * 60,
      /**
       * Creates a new token object from cached access token.
       *
       * @param options [map] a set of options
       * @option options profile [String] (AWS_PROFILE env var or 'default')
       *   the name of the profile to load.
       * @option options callback [Function] (err) Token is eagerly loaded
       *   by the constructor. When the callback is called with no error, the
       *   token has been loaded successfully.
       */
      constructor: function SSOTokenProvider(options) {
        AWS2.Token.call(this);
        options = options || {};
        this.expired = true;
        this.profile = options.profile || process.env.AWS_PROFILE || AWS2.util.defaultProfile;
        this.get(options.callback || AWS2.util.fn.noop);
      },
      /**
       * Reads sso_start_url from provided profile, and reads token from
       * ~/.aws/sso/cache/<sha1-of-utf8-encoded-value-from-sso_start_url>.json
       *
       * Throws an error if required fields token and expiresAt are missing.
       * Throws an error if token has expired and metadata to perform refresh is
       * not available.
       * Attempts to refresh the token if it's within 5 minutes before expiry time.
       *
       * @api private
       */
      load: function load(callback) {
        var self = this;
        var profiles = iniLoader.loadFrom({ isConfig: true });
        var profile = profiles[this.profile] || {};
        if (Object.keys(profile).length === 0) {
          throw AWS2.util.error(
            new Error('Profile "' + this.profile + '" not found'),
            { code: "SSOTokenProviderFailure" }
          );
        } else if (!profile["sso_session"]) {
          throw AWS2.util.error(
            new Error('Profile "' + profileName + '" is missing required property "sso_session".'),
            { code: "SSOTokenProviderFailure" }
          );
        }
        var ssoSessionName = profile["sso_session"];
        var ssoSessions = iniLoader.loadSsoSessionsFrom();
        var ssoSession = ssoSessions[ssoSessionName];
        if (!ssoSession) {
          throw AWS2.util.error(
            new Error('Sso session "' + ssoSessionName + '" not found'),
            { code: "SSOTokenProviderFailure" }
          );
        } else if (!ssoSession["sso_start_url"]) {
          throw AWS2.util.error(
            new Error('Sso session "' + profileName + '" is missing required property "sso_start_url".'),
            { code: "SSOTokenProviderFailure" }
          );
        } else if (!ssoSession["sso_region"]) {
          throw AWS2.util.error(
            new Error('Sso session "' + profileName + '" is missing required property "sso_region".'),
            { code: "SSOTokenProviderFailure" }
          );
        }
        var hasher = crypto.createHash("sha1");
        var fileName = hasher.update(ssoSessionName).digest("hex") + ".json";
        var cachePath = path.join(iniLoader.getHomeDir(), ".aws", "sso", "cache", fileName);
        var tokenFromCache = JSON.parse(fs.readFileSync(cachePath));
        if (!tokenFromCache) {
          throw AWS2.util.error(
            new Error('Cached token not found. Please log in using "aws sso login" for profile "' + this.profile + '".'),
            { code: "SSOTokenProviderFailure" }
          );
        }
        validateTokenKey(tokenFromCache, "accessToken");
        validateTokenKey(tokenFromCache, "expiresAt");
        var currentTime = AWS2.util.date.getDate().getTime();
        var adjustedTime = new Date(currentTime + this.expiryWindow * 1e3);
        var tokenExpireTime = new Date(tokenFromCache["expiresAt"]);
        if (tokenExpireTime > adjustedTime) {
          self.token = tokenFromCache.accessToken;
          self.expireTime = tokenExpireTime;
          self.expired = false;
          callback(null);
          return;
        }
        if (currentTime - lastRefreshAttemptTime < 30 * 1e3) {
          refreshUnsuccessful(currentTime, tokenExpireTime, callback);
          return;
        }
        validateTokenKey(tokenFromCache, "clientId");
        validateTokenKey(tokenFromCache, "clientSecret");
        validateTokenKey(tokenFromCache, "refreshToken");
        if (!self.service || self.service.config.region !== ssoSession.sso_region) {
          self.service = new AWS2.SSOOIDC({ region: ssoSession.sso_region });
        }
        var params = {
          clientId: tokenFromCache.clientId,
          clientSecret: tokenFromCache.clientSecret,
          refreshToken: tokenFromCache.refreshToken,
          grantType: "refresh_token"
        };
        lastRefreshAttemptTime = AWS2.util.date.getDate().getTime();
        self.service.createToken(params, function(err, data) {
          if (err || !data) {
            refreshUnsuccessful(currentTime, tokenExpireTime, callback);
          } else {
            try {
              validateTokenKey(data, "accessToken");
              validateTokenKey(data, "expiresIn");
              self.expired = false;
              self.token = data.accessToken;
              self.expireTime = new Date(Date.now() + data.expiresIn * 1e3);
              callback(null);
              try {
                tokenFromCache.accessToken = data.accessToken;
                tokenFromCache.expiresAt = self.expireTime.toISOString();
                tokenFromCache.refreshToken = data.refreshToken;
                fs.writeFileSync(cachePath, JSON.stringify(tokenFromCache, null, 2));
              } catch (error) {
              }
            } catch (error) {
              refreshUnsuccessful(currentTime, tokenExpireTime, callback);
            }
          }
        });
      },
      /**
       * Loads the cached access token from disk.
       *
       * @callback callback function(err)
       *   Called after the AWS SSO process has been executed. When this
       *   callback is called with no error, it means that the token information
       *   has been loaded into the object (as the `token` property).
       *   @param err [Error] if an error occurred, this value will be filled.
       * @see get
       */
      refresh: function refresh(callback) {
        iniLoader.clearCachedFiles();
        this.coalesceRefresh(callback || AWS2.util.fn.callback);
      }
    });
  }
});

// node_modules/aws-sdk/lib/node_loader.js
var require_node_loader = __commonJS({
  "node_modules/aws-sdk/lib/node_loader.js"(exports, module2) {
    var util = require_util();
    var region_utils = require_utils();
    var isFipsRegion = region_utils.isFipsRegion;
    var getRealRegion = region_utils.getRealRegion;
    util.isBrowser = function() {
      return false;
    };
    util.isNode = function() {
      return true;
    };
    util.crypto.lib = require("crypto");
    util.Buffer = require("buffer").Buffer;
    util.domain = require("domain");
    util.stream = require("stream");
    util.url = require("url");
    util.querystring = require("querystring");
    util.environment = "nodejs";
    util.createEventStream = util.stream.Readable ? require_streaming_create_event_stream().createEventStream : require_buffered_create_event_stream().createEventStream;
    util.realClock = require_nodeClock();
    util.clientSideMonitoring = {
      Publisher: require_publisher().Publisher,
      configProvider: require_configuration()
    };
    util.iniLoader = require_shared_ini().iniLoader;
    util.getSystemErrorName = require("util").getSystemErrorName;
    util.loadConfig = function(options) {
      var envValue = options.environmentVariableSelector(process.env);
      if (envValue !== void 0) {
        return envValue;
      }
      var configFile = {};
      try {
        configFile = util.iniLoader ? util.iniLoader.loadFrom({
          isConfig: true,
          filename: process.env[util.sharedConfigFileEnv]
        }) : {};
      } catch (e) {
      }
      var sharedFileConfig = configFile[process.env.AWS_PROFILE || util.defaultProfile] || {};
      var configValue = options.configFileSelector(sharedFileConfig);
      if (configValue !== void 0) {
        return configValue;
      }
      if (typeof options.default === "function") {
        return options.default();
      }
      return options.default;
    };
    var AWS2;
    module2.exports = AWS2 = require_core();
    require_credentials();
    require_credential_provider_chain();
    require_temporary_credentials();
    require_chainable_temporary_credentials();
    require_web_identity_credentials();
    require_cognito_identity_credentials();
    require_saml_credentials();
    require_process_credentials();
    AWS2.XML.Parser = require_node_parser();
    require_node();
    require_ini_loader();
    require_token_file_web_identity_credentials();
    require_ec2_metadata_credentials();
    require_remote_credentials();
    require_ecs_credentials();
    require_environment_credentials();
    require_file_system_credentials();
    require_shared_ini_file_credentials();
    require_process_credentials();
    require_sso_credentials();
    AWS2.CredentialProviderChain.defaultProviders = [
      function() {
        return new AWS2.EnvironmentCredentials("AWS");
      },
      function() {
        return new AWS2.EnvironmentCredentials("AMAZON");
      },
      function() {
        return new AWS2.SsoCredentials();
      },
      function() {
        return new AWS2.SharedIniFileCredentials();
      },
      function() {
        return new AWS2.ECSCredentials();
      },
      function() {
        return new AWS2.ProcessCredentials();
      },
      function() {
        return new AWS2.TokenFileWebIdentityCredentials();
      },
      function() {
        return new AWS2.EC2MetadataCredentials();
      }
    ];
    require_token();
    require_token_provider_chain();
    require_sso_token_provider();
    AWS2.TokenProviderChain.defaultProviders = [
      function() {
        return new AWS2.SSOTokenProvider();
      }
    ];
    var getRegion = function() {
      var env = process.env;
      var region = env.AWS_REGION || env.AMAZON_REGION;
      if (env[AWS2.util.configOptInEnv]) {
        var toCheck = [
          { filename: env[AWS2.util.sharedCredentialsFileEnv] },
          { isConfig: true, filename: env[AWS2.util.sharedConfigFileEnv] }
        ];
        var iniLoader = AWS2.util.iniLoader;
        while (!region && toCheck.length) {
          var configFile = {};
          var fileInfo = toCheck.shift();
          try {
            configFile = iniLoader.loadFrom(fileInfo);
          } catch (err) {
            if (fileInfo.isConfig)
              throw err;
          }
          var profile = configFile[env.AWS_PROFILE || AWS2.util.defaultProfile];
          region = profile && profile.region;
        }
      }
      return region;
    };
    var getBooleanValue = function(value) {
      return value === "true" ? true : value === "false" ? false : void 0;
    };
    var USE_FIPS_ENDPOINT_CONFIG_OPTIONS = {
      environmentVariableSelector: function(env) {
        return getBooleanValue(env["AWS_USE_FIPS_ENDPOINT"]);
      },
      configFileSelector: function(profile) {
        return getBooleanValue(profile["use_fips_endpoint"]);
      },
      default: false
    };
    var USE_DUALSTACK_ENDPOINT_CONFIG_OPTIONS = {
      environmentVariableSelector: function(env) {
        return getBooleanValue(env["AWS_USE_DUALSTACK_ENDPOINT"]);
      },
      configFileSelector: function(profile) {
        return getBooleanValue(profile["use_dualstack_endpoint"]);
      },
      default: false
    };
    AWS2.util.update(AWS2.Config.prototype.keys, {
      credentials: function() {
        var credentials = null;
        new AWS2.CredentialProviderChain([
          function() {
            return new AWS2.EnvironmentCredentials("AWS");
          },
          function() {
            return new AWS2.EnvironmentCredentials("AMAZON");
          },
          function() {
            return new AWS2.SharedIniFileCredentials({ disableAssumeRole: true });
          }
        ]).resolve(function(err, creds) {
          if (!err)
            credentials = creds;
        });
        return credentials;
      },
      credentialProvider: function() {
        return new AWS2.CredentialProviderChain();
      },
      logger: function() {
        return process.env.AWSJS_DEBUG ? console : null;
      },
      region: function() {
        var region = getRegion();
        return region ? getRealRegion(region) : void 0;
      },
      tokenProvider: function() {
        return new AWS2.TokenProviderChain();
      },
      useFipsEndpoint: function() {
        var region = getRegion();
        return isFipsRegion(region) ? true : util.loadConfig(USE_FIPS_ENDPOINT_CONFIG_OPTIONS);
      },
      useDualstackEndpoint: function() {
        return util.loadConfig(USE_DUALSTACK_ENDPOINT_CONFIG_OPTIONS);
      }
    });
    AWS2.config = new AWS2.Config();
  }
});

// node_modules/aws-sdk/apis/acm-2015-12-08.min.json
var require_acm_2015_12_08_min = __commonJS({
  "node_modules/aws-sdk/apis/acm-2015-12-08.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-12-08",
        endpointPrefix: "acm",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "ACM",
        serviceFullName: "AWS Certificate Manager",
        serviceId: "ACM",
        signatureVersion: "v4",
        targetPrefix: "CertificateManager",
        uid: "acm-2015-12-08"
      },
      operations: {
        AddTagsToCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateArn",
              "Tags"
            ],
            members: {
              CertificateArn: {},
              Tags: {
                shape: "S3"
              }
            }
          }
        },
        DeleteCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateArn"
            ],
            members: {
              CertificateArn: {}
            }
          }
        },
        DescribeCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateArn"
            ],
            members: {
              CertificateArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Certificate: {
                type: "structure",
                members: {
                  CertificateArn: {},
                  DomainName: {},
                  SubjectAlternativeNames: {
                    shape: "Sc"
                  },
                  DomainValidationOptions: {
                    shape: "Sd"
                  },
                  Serial: {},
                  Subject: {},
                  Issuer: {},
                  CreatedAt: {
                    type: "timestamp"
                  },
                  IssuedAt: {
                    type: "timestamp"
                  },
                  ImportedAt: {
                    type: "timestamp"
                  },
                  Status: {},
                  RevokedAt: {
                    type: "timestamp"
                  },
                  RevocationReason: {},
                  NotBefore: {
                    type: "timestamp"
                  },
                  NotAfter: {
                    type: "timestamp"
                  },
                  KeyAlgorithm: {},
                  SignatureAlgorithm: {},
                  InUseBy: {
                    type: "list",
                    member: {}
                  },
                  FailureReason: {},
                  Type: {},
                  RenewalSummary: {
                    type: "structure",
                    required: [
                      "RenewalStatus",
                      "DomainValidationOptions",
                      "UpdatedAt"
                    ],
                    members: {
                      RenewalStatus: {},
                      DomainValidationOptions: {
                        shape: "Sd"
                      },
                      RenewalStatusReason: {},
                      UpdatedAt: {
                        type: "timestamp"
                      }
                    }
                  },
                  KeyUsages: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {}
                      }
                    }
                  },
                  ExtendedKeyUsages: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {},
                        OID: {}
                      }
                    }
                  },
                  CertificateAuthorityArn: {},
                  RenewalEligibility: {},
                  Options: {
                    shape: "S11"
                  }
                }
              }
            }
          }
        },
        ExportCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateArn",
              "Passphrase"
            ],
            members: {
              CertificateArn: {},
              Passphrase: {
                type: "blob",
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Certificate: {},
              CertificateChain: {},
              PrivateKey: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        GetAccountConfiguration: {
          output: {
            type: "structure",
            members: {
              ExpiryEvents: {
                shape: "S1a"
              }
            }
          }
        },
        GetCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateArn"
            ],
            members: {
              CertificateArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Certificate: {},
              CertificateChain: {}
            }
          }
        },
        ImportCertificate: {
          input: {
            type: "structure",
            required: [
              "Certificate",
              "PrivateKey"
            ],
            members: {
              CertificateArn: {},
              Certificate: {
                type: "blob"
              },
              PrivateKey: {
                type: "blob",
                sensitive: true
              },
              CertificateChain: {
                type: "blob"
              },
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CertificateArn: {}
            }
          }
        },
        ListCertificates: {
          input: {
            type: "structure",
            members: {
              CertificateStatuses: {
                type: "list",
                member: {}
              },
              Includes: {
                type: "structure",
                members: {
                  extendedKeyUsage: {
                    type: "list",
                    member: {}
                  },
                  keyUsage: {
                    type: "list",
                    member: {}
                  },
                  keyTypes: {
                    type: "list",
                    member: {}
                  }
                }
              },
              NextToken: {},
              MaxItems: {
                type: "integer"
              },
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              CertificateSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CertificateArn: {},
                    DomainName: {},
                    SubjectAlternativeNameSummaries: {
                      shape: "Sc"
                    },
                    HasAdditionalSubjectAlternativeNames: {
                      type: "boolean"
                    },
                    Status: {},
                    Type: {},
                    KeyAlgorithm: {},
                    KeyUsages: {
                      type: "list",
                      member: {}
                    },
                    ExtendedKeyUsages: {
                      type: "list",
                      member: {}
                    },
                    InUse: {
                      type: "boolean"
                    },
                    Exported: {
                      type: "boolean"
                    },
                    RenewalEligibility: {},
                    NotBefore: {
                      type: "timestamp"
                    },
                    NotAfter: {
                      type: "timestamp"
                    },
                    CreatedAt: {
                      type: "timestamp"
                    },
                    IssuedAt: {
                      type: "timestamp"
                    },
                    ImportedAt: {
                      type: "timestamp"
                    },
                    RevokedAt: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateArn"
            ],
            members: {
              CertificateArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S3"
              }
            }
          }
        },
        PutAccountConfiguration: {
          input: {
            type: "structure",
            required: [
              "IdempotencyToken"
            ],
            members: {
              ExpiryEvents: {
                shape: "S1a"
              },
              IdempotencyToken: {}
            }
          }
        },
        RemoveTagsFromCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateArn",
              "Tags"
            ],
            members: {
              CertificateArn: {},
              Tags: {
                shape: "S3"
              }
            }
          }
        },
        RenewCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateArn"
            ],
            members: {
              CertificateArn: {}
            }
          }
        },
        RequestCertificate: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              ValidationMethod: {},
              SubjectAlternativeNames: {
                shape: "Sc"
              },
              IdempotencyToken: {},
              DomainValidationOptions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "DomainName",
                    "ValidationDomain"
                  ],
                  members: {
                    DomainName: {},
                    ValidationDomain: {}
                  }
                }
              },
              Options: {
                shape: "S11"
              },
              CertificateAuthorityArn: {},
              Tags: {
                shape: "S3"
              },
              KeyAlgorithm: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CertificateArn: {}
            }
          }
        },
        ResendValidationEmail: {
          input: {
            type: "structure",
            required: [
              "CertificateArn",
              "Domain",
              "ValidationDomain"
            ],
            members: {
              CertificateArn: {},
              Domain: {},
              ValidationDomain: {}
            }
          }
        },
        UpdateCertificateOptions: {
          input: {
            type: "structure",
            required: [
              "CertificateArn",
              "Options"
            ],
            members: {
              CertificateArn: {},
              Options: {
                shape: "S11"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sc: {
          type: "list",
          member: {}
        },
        Sd: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              ValidationEmails: {
                type: "list",
                member: {}
              },
              ValidationDomain: {},
              ValidationStatus: {},
              ResourceRecord: {
                type: "structure",
                required: [
                  "Name",
                  "Type",
                  "Value"
                ],
                members: {
                  Name: {},
                  Type: {},
                  Value: {}
                }
              },
              ValidationMethod: {}
            }
          }
        },
        S11: {
          type: "structure",
          members: {
            CertificateTransparencyLoggingPreference: {}
          }
        },
        S1a: {
          type: "structure",
          members: {
            DaysBeforeExpiry: {
              type: "integer"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/acm-2015-12-08.paginators.json
var require_acm_2015_12_08_paginators = __commonJS({
  "node_modules/aws-sdk/apis/acm-2015-12-08.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListCertificates: {
          input_token: "NextToken",
          limit_key: "MaxItems",
          output_token: "NextToken",
          result_key: "CertificateSummaryList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/acm-2015-12-08.waiters2.json
var require_acm_2015_12_08_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/acm-2015-12-08.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        CertificateValidated: {
          delay: 60,
          maxAttempts: 40,
          operation: "DescribeCertificate",
          acceptors: [
            {
              matcher: "pathAll",
              expected: "SUCCESS",
              argument: "Certificate.DomainValidationOptions[].ValidationStatus",
              state: "success"
            },
            {
              matcher: "pathAny",
              expected: "PENDING_VALIDATION",
              argument: "Certificate.DomainValidationOptions[].ValidationStatus",
              state: "retry"
            },
            {
              matcher: "path",
              expected: "FAILED",
              argument: "Certificate.Status",
              state: "failure"
            },
            {
              matcher: "error",
              expected: "ResourceNotFoundException",
              state: "failure"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/acm.js
var require_acm = __commonJS({
  "node_modules/aws-sdk/clients/acm.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["acm"] = {};
    AWS2.ACM = Service.defineService("acm", ["2015-12-08"]);
    Object.defineProperty(apiLoader.services["acm"], "2015-12-08", {
      get: function get() {
        var model = require_acm_2015_12_08_min();
        model.paginators = require_acm_2015_12_08_paginators().pagination;
        model.waiters = require_acm_2015_12_08_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ACM;
  }
});

// node_modules/aws-sdk/lib/services/apigateway.js
var require_apigateway = __commonJS({
  "node_modules/aws-sdk/lib/services/apigateway.js"() {
    var AWS2 = require_core();
    AWS2.util.update(AWS2.APIGateway.prototype, {
      /**
       * Sets the Accept header to application/json.
       *
       * @api private
       */
      setAcceptHeader: function setAcceptHeader(req) {
        var httpRequest = req.httpRequest;
        if (!httpRequest.headers.Accept) {
          httpRequest.headers["Accept"] = "application/json";
        }
      },
      /**
       * @api private
       */
      setupRequestListeners: function setupRequestListeners(request) {
        request.addListener("build", this.setAcceptHeader);
        if (request.operation === "getExport") {
          var params = request.params || {};
          if (params.exportType === "swagger") {
            request.addListener("extractData", AWS2.util.convertPayloadToString);
          }
        }
      }
    });
  }
});

// node_modules/aws-sdk/apis/apigateway-2015-07-09.min.json
var require_apigateway_2015_07_09_min = __commonJS({
  "node_modules/aws-sdk/apis/apigateway-2015-07-09.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-07-09",
        endpointPrefix: "apigateway",
        protocol: "rest-json",
        serviceFullName: "Amazon API Gateway",
        serviceId: "API Gateway",
        signatureVersion: "v4",
        uid: "apigateway-2015-07-09"
      },
      operations: {
        CreateApiKey: {
          http: {
            requestUri: "/apikeys",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              name: {},
              description: {},
              enabled: {
                type: "boolean"
              },
              generateDistinctId: {
                type: "boolean"
              },
              value: {},
              stageKeys: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    restApiId: {},
                    stageName: {}
                  }
                }
              },
              customerId: {},
              tags: {
                shape: "S6"
              }
            }
          },
          output: {
            shape: "S7"
          }
        },
        CreateAuthorizer: {
          http: {
            requestUri: "/restapis/{restapi_id}/authorizers",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "name",
              "type"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              name: {},
              type: {},
              providerARNs: {
                shape: "Sc"
              },
              authType: {},
              authorizerUri: {},
              authorizerCredentials: {},
              identitySource: {},
              identityValidationExpression: {},
              authorizerResultTtlInSeconds: {
                type: "integer"
              }
            }
          },
          output: {
            shape: "Sf"
          }
        },
        CreateBasePathMapping: {
          http: {
            requestUri: "/domainnames/{domain_name}/basepathmappings",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "domainName",
              "restApiId"
            ],
            members: {
              domainName: {
                location: "uri",
                locationName: "domain_name"
              },
              basePath: {},
              restApiId: {},
              stage: {}
            }
          },
          output: {
            shape: "Sh"
          }
        },
        CreateDeployment: {
          http: {
            requestUri: "/restapis/{restapi_id}/deployments",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "restApiId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              stageName: {},
              stageDescription: {},
              description: {},
              cacheClusterEnabled: {
                type: "boolean"
              },
              cacheClusterSize: {},
              variables: {
                shape: "S6"
              },
              canarySettings: {
                type: "structure",
                members: {
                  percentTraffic: {
                    type: "double"
                  },
                  stageVariableOverrides: {
                    shape: "S6"
                  },
                  useStageCache: {
                    type: "boolean"
                  }
                }
              },
              tracingEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "Sn"
          }
        },
        CreateDocumentationPart: {
          http: {
            requestUri: "/restapis/{restapi_id}/documentation/parts",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "location",
              "properties"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              location: {
                shape: "Ss"
              },
              properties: {}
            }
          },
          output: {
            shape: "Sv"
          }
        },
        CreateDocumentationVersion: {
          http: {
            requestUri: "/restapis/{restapi_id}/documentation/versions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "documentationVersion"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              documentationVersion: {},
              stageName: {},
              description: {}
            }
          },
          output: {
            shape: "Sx"
          }
        },
        CreateDomainName: {
          http: {
            requestUri: "/domainnames",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "domainName"
            ],
            members: {
              domainName: {},
              certificateName: {},
              certificateBody: {},
              certificatePrivateKey: {},
              certificateChain: {},
              certificateArn: {},
              regionalCertificateName: {},
              regionalCertificateArn: {},
              endpointConfiguration: {
                shape: "Sz"
              },
              tags: {
                shape: "S6"
              },
              securityPolicy: {},
              mutualTlsAuthentication: {
                type: "structure",
                members: {
                  truststoreUri: {},
                  truststoreVersion: {}
                }
              },
              ownershipVerificationCertificateArn: {}
            }
          },
          output: {
            shape: "S14"
          }
        },
        CreateModel: {
          http: {
            requestUri: "/restapis/{restapi_id}/models",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "name",
              "contentType"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              name: {},
              description: {},
              schema: {},
              contentType: {}
            }
          },
          output: {
            shape: "S18"
          }
        },
        CreateRequestValidator: {
          http: {
            requestUri: "/restapis/{restapi_id}/requestvalidators",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "restApiId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              name: {},
              validateRequestBody: {
                type: "boolean"
              },
              validateRequestParameters: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S1a"
          }
        },
        CreateResource: {
          http: {
            requestUri: "/restapis/{restapi_id}/resources/{parent_id}",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "parentId",
              "pathPart"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              parentId: {
                location: "uri",
                locationName: "parent_id"
              },
              pathPart: {}
            }
          },
          output: {
            shape: "S1c"
          }
        },
        CreateRestApi: {
          http: {
            requestUri: "/restapis",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              version: {},
              cloneFrom: {},
              binaryMediaTypes: {
                shape: "S9"
              },
              minimumCompressionSize: {
                type: "integer"
              },
              apiKeySource: {},
              endpointConfiguration: {
                shape: "Sz"
              },
              policy: {},
              tags: {
                shape: "S6"
              },
              disableExecuteApiEndpoint: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S1t"
          }
        },
        CreateStage: {
          http: {
            requestUri: "/restapis/{restapi_id}/stages",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "stageName",
              "deploymentId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              stageName: {},
              deploymentId: {},
              description: {},
              cacheClusterEnabled: {
                type: "boolean"
              },
              cacheClusterSize: {},
              variables: {
                shape: "S6"
              },
              documentationVersion: {},
              canarySettings: {
                shape: "S1v"
              },
              tracingEnabled: {
                type: "boolean"
              },
              tags: {
                shape: "S6"
              }
            }
          },
          output: {
            shape: "S1w"
          }
        },
        CreateUsagePlan: {
          http: {
            requestUri: "/usageplans",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              apiStages: {
                shape: "S23"
              },
              throttle: {
                shape: "S26"
              },
              quota: {
                shape: "S27"
              },
              tags: {
                shape: "S6"
              }
            }
          },
          output: {
            shape: "S29"
          }
        },
        CreateUsagePlanKey: {
          http: {
            requestUri: "/usageplans/{usageplanId}/keys",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "usagePlanId",
              "keyId",
              "keyType"
            ],
            members: {
              usagePlanId: {
                location: "uri",
                locationName: "usageplanId"
              },
              keyId: {},
              keyType: {}
            }
          },
          output: {
            shape: "S2b"
          }
        },
        CreateVpcLink: {
          http: {
            requestUri: "/vpclinks",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "name",
              "targetArns"
            ],
            members: {
              name: {},
              description: {},
              targetArns: {
                shape: "S9"
              },
              tags: {
                shape: "S6"
              }
            }
          },
          output: {
            shape: "S2d"
          }
        },
        DeleteApiKey: {
          http: {
            method: "DELETE",
            requestUri: "/apikeys/{api_Key}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "apiKey"
            ],
            members: {
              apiKey: {
                location: "uri",
                locationName: "api_Key"
              }
            }
          }
        },
        DeleteAuthorizer: {
          http: {
            method: "DELETE",
            requestUri: "/restapis/{restapi_id}/authorizers/{authorizer_id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "authorizerId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              authorizerId: {
                location: "uri",
                locationName: "authorizer_id"
              }
            }
          }
        },
        DeleteBasePathMapping: {
          http: {
            method: "DELETE",
            requestUri: "/domainnames/{domain_name}/basepathmappings/{base_path}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "domainName",
              "basePath"
            ],
            members: {
              domainName: {
                location: "uri",
                locationName: "domain_name"
              },
              basePath: {
                location: "uri",
                locationName: "base_path"
              }
            }
          }
        },
        DeleteClientCertificate: {
          http: {
            method: "DELETE",
            requestUri: "/clientcertificates/{clientcertificate_id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "clientCertificateId"
            ],
            members: {
              clientCertificateId: {
                location: "uri",
                locationName: "clientcertificate_id"
              }
            }
          }
        },
        DeleteDeployment: {
          http: {
            method: "DELETE",
            requestUri: "/restapis/{restapi_id}/deployments/{deployment_id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "deploymentId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              deploymentId: {
                location: "uri",
                locationName: "deployment_id"
              }
            }
          }
        },
        DeleteDocumentationPart: {
          http: {
            method: "DELETE",
            requestUri: "/restapis/{restapi_id}/documentation/parts/{part_id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "documentationPartId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              documentationPartId: {
                location: "uri",
                locationName: "part_id"
              }
            }
          }
        },
        DeleteDocumentationVersion: {
          http: {
            method: "DELETE",
            requestUri: "/restapis/{restapi_id}/documentation/versions/{doc_version}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "documentationVersion"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              documentationVersion: {
                location: "uri",
                locationName: "doc_version"
              }
            }
          }
        },
        DeleteDomainName: {
          http: {
            method: "DELETE",
            requestUri: "/domainnames/{domain_name}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "domainName"
            ],
            members: {
              domainName: {
                location: "uri",
                locationName: "domain_name"
              }
            }
          }
        },
        DeleteGatewayResponse: {
          http: {
            method: "DELETE",
            requestUri: "/restapis/{restapi_id}/gatewayresponses/{response_type}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "responseType"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              responseType: {
                location: "uri",
                locationName: "response_type"
              }
            }
          }
        },
        DeleteIntegration: {
          http: {
            method: "DELETE",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              }
            }
          }
        },
        DeleteIntegrationResponse: {
          http: {
            method: "DELETE",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration/responses/{status_code}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod",
              "statusCode"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              },
              statusCode: {
                location: "uri",
                locationName: "status_code"
              }
            }
          }
        },
        DeleteMethod: {
          http: {
            method: "DELETE",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              }
            }
          }
        },
        DeleteMethodResponse: {
          http: {
            method: "DELETE",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod",
              "statusCode"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              },
              statusCode: {
                location: "uri",
                locationName: "status_code"
              }
            }
          }
        },
        DeleteModel: {
          http: {
            method: "DELETE",
            requestUri: "/restapis/{restapi_id}/models/{model_name}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "modelName"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              modelName: {
                location: "uri",
                locationName: "model_name"
              }
            }
          }
        },
        DeleteRequestValidator: {
          http: {
            method: "DELETE",
            requestUri: "/restapis/{restapi_id}/requestvalidators/{requestvalidator_id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "requestValidatorId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              requestValidatorId: {
                location: "uri",
                locationName: "requestvalidator_id"
              }
            }
          }
        },
        DeleteResource: {
          http: {
            method: "DELETE",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              }
            }
          }
        },
        DeleteRestApi: {
          http: {
            method: "DELETE",
            requestUri: "/restapis/{restapi_id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "restApiId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              }
            }
          }
        },
        DeleteStage: {
          http: {
            method: "DELETE",
            requestUri: "/restapis/{restapi_id}/stages/{stage_name}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "stageName"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              stageName: {
                location: "uri",
                locationName: "stage_name"
              }
            }
          }
        },
        DeleteUsagePlan: {
          http: {
            method: "DELETE",
            requestUri: "/usageplans/{usageplanId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "usagePlanId"
            ],
            members: {
              usagePlanId: {
                location: "uri",
                locationName: "usageplanId"
              }
            }
          }
        },
        DeleteUsagePlanKey: {
          http: {
            method: "DELETE",
            requestUri: "/usageplans/{usageplanId}/keys/{keyId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "usagePlanId",
              "keyId"
            ],
            members: {
              usagePlanId: {
                location: "uri",
                locationName: "usageplanId"
              },
              keyId: {
                location: "uri",
                locationName: "keyId"
              }
            }
          }
        },
        DeleteVpcLink: {
          http: {
            method: "DELETE",
            requestUri: "/vpclinks/{vpclink_id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "vpcLinkId"
            ],
            members: {
              vpcLinkId: {
                location: "uri",
                locationName: "vpclink_id"
              }
            }
          }
        },
        FlushStageAuthorizersCache: {
          http: {
            method: "DELETE",
            requestUri: "/restapis/{restapi_id}/stages/{stage_name}/cache/authorizers",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "stageName"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              stageName: {
                location: "uri",
                locationName: "stage_name"
              }
            }
          }
        },
        FlushStageCache: {
          http: {
            method: "DELETE",
            requestUri: "/restapis/{restapi_id}/stages/{stage_name}/cache/data",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "stageName"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              stageName: {
                location: "uri",
                locationName: "stage_name"
              }
            }
          }
        },
        GenerateClientCertificate: {
          http: {
            requestUri: "/clientcertificates",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              description: {},
              tags: {
                shape: "S6"
              }
            }
          },
          output: {
            shape: "S34"
          }
        },
        GetAccount: {
          http: {
            method: "GET",
            requestUri: "/account"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            shape: "S36"
          }
        },
        GetApiKey: {
          http: {
            method: "GET",
            requestUri: "/apikeys/{api_Key}"
          },
          input: {
            type: "structure",
            required: [
              "apiKey"
            ],
            members: {
              apiKey: {
                location: "uri",
                locationName: "api_Key"
              },
              includeValue: {
                location: "querystring",
                locationName: "includeValue",
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S7"
          }
        },
        GetApiKeys: {
          http: {
            method: "GET",
            requestUri: "/apikeys"
          },
          input: {
            type: "structure",
            members: {
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              nameQuery: {
                location: "querystring",
                locationName: "name"
              },
              customerId: {
                location: "querystring",
                locationName: "customerId"
              },
              includeValues: {
                location: "querystring",
                locationName: "includeValues",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              warnings: {
                shape: "S9"
              },
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "S7"
                }
              }
            }
          }
        },
        GetAuthorizer: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/authorizers/{authorizer_id}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "authorizerId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              authorizerId: {
                location: "uri",
                locationName: "authorizer_id"
              }
            }
          },
          output: {
            shape: "Sf"
          }
        },
        GetAuthorizers: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/authorizers"
          },
          input: {
            type: "structure",
            required: [
              "restApiId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "Sf"
                }
              }
            }
          }
        },
        GetBasePathMapping: {
          http: {
            method: "GET",
            requestUri: "/domainnames/{domain_name}/basepathmappings/{base_path}"
          },
          input: {
            type: "structure",
            required: [
              "domainName",
              "basePath"
            ],
            members: {
              domainName: {
                location: "uri",
                locationName: "domain_name"
              },
              basePath: {
                location: "uri",
                locationName: "base_path"
              }
            }
          },
          output: {
            shape: "Sh"
          }
        },
        GetBasePathMappings: {
          http: {
            method: "GET",
            requestUri: "/domainnames/{domain_name}/basepathmappings"
          },
          input: {
            type: "structure",
            required: [
              "domainName"
            ],
            members: {
              domainName: {
                location: "uri",
                locationName: "domain_name"
              },
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "Sh"
                }
              }
            }
          }
        },
        GetClientCertificate: {
          http: {
            method: "GET",
            requestUri: "/clientcertificates/{clientcertificate_id}"
          },
          input: {
            type: "structure",
            required: [
              "clientCertificateId"
            ],
            members: {
              clientCertificateId: {
                location: "uri",
                locationName: "clientcertificate_id"
              }
            }
          },
          output: {
            shape: "S34"
          }
        },
        GetClientCertificates: {
          http: {
            method: "GET",
            requestUri: "/clientcertificates"
          },
          input: {
            type: "structure",
            members: {
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "S34"
                }
              }
            }
          }
        },
        GetDeployment: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/deployments/{deployment_id}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "deploymentId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              deploymentId: {
                location: "uri",
                locationName: "deployment_id"
              },
              embed: {
                shape: "S9",
                location: "querystring",
                locationName: "embed"
              }
            }
          },
          output: {
            shape: "Sn"
          }
        },
        GetDeployments: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/deployments"
          },
          input: {
            type: "structure",
            required: [
              "restApiId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "Sn"
                }
              }
            }
          }
        },
        GetDocumentationPart: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/documentation/parts/{part_id}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "documentationPartId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              documentationPartId: {
                location: "uri",
                locationName: "part_id"
              }
            }
          },
          output: {
            shape: "Sv"
          }
        },
        GetDocumentationParts: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/documentation/parts"
          },
          input: {
            type: "structure",
            required: [
              "restApiId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              type: {
                location: "querystring",
                locationName: "type"
              },
              nameQuery: {
                location: "querystring",
                locationName: "name"
              },
              path: {
                location: "querystring",
                locationName: "path"
              },
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              locationStatus: {
                location: "querystring",
                locationName: "locationStatus"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "Sv"
                }
              }
            }
          }
        },
        GetDocumentationVersion: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/documentation/versions/{doc_version}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "documentationVersion"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              documentationVersion: {
                location: "uri",
                locationName: "doc_version"
              }
            }
          },
          output: {
            shape: "Sx"
          }
        },
        GetDocumentationVersions: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/documentation/versions"
          },
          input: {
            type: "structure",
            required: [
              "restApiId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "Sx"
                }
              }
            }
          }
        },
        GetDomainName: {
          http: {
            method: "GET",
            requestUri: "/domainnames/{domain_name}"
          },
          input: {
            type: "structure",
            required: [
              "domainName"
            ],
            members: {
              domainName: {
                location: "uri",
                locationName: "domain_name"
              }
            }
          },
          output: {
            shape: "S14"
          }
        },
        GetDomainNames: {
          http: {
            method: "GET",
            requestUri: "/domainnames"
          },
          input: {
            type: "structure",
            members: {
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "S14"
                }
              }
            }
          }
        },
        GetExport: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/stages/{stage_name}/exports/{export_type}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "stageName",
              "exportType"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              stageName: {
                location: "uri",
                locationName: "stage_name"
              },
              exportType: {
                location: "uri",
                locationName: "export_type"
              },
              parameters: {
                shape: "S6",
                location: "querystring"
              },
              accepts: {
                location: "header",
                locationName: "Accept"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              contentDisposition: {
                location: "header",
                locationName: "Content-Disposition"
              },
              body: {
                type: "blob"
              }
            },
            payload: "body"
          }
        },
        GetGatewayResponse: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/gatewayresponses/{response_type}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "responseType"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              responseType: {
                location: "uri",
                locationName: "response_type"
              }
            }
          },
          output: {
            shape: "S48"
          }
        },
        GetGatewayResponses: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/gatewayresponses"
          },
          input: {
            type: "structure",
            required: [
              "restApiId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "S48"
                }
              }
            }
          }
        },
        GetIntegration: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              }
            }
          },
          output: {
            shape: "S1j"
          }
        },
        GetIntegrationResponse: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration/responses/{status_code}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod",
              "statusCode"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              },
              statusCode: {
                location: "uri",
                locationName: "status_code"
              }
            }
          },
          output: {
            shape: "S1p"
          }
        },
        GetMethod: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              }
            }
          },
          output: {
            shape: "S1e"
          }
        },
        GetMethodResponse: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod",
              "statusCode"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              },
              statusCode: {
                location: "uri",
                locationName: "status_code"
              }
            }
          },
          output: {
            shape: "S1h"
          }
        },
        GetModel: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/models/{model_name}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "modelName"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              modelName: {
                location: "uri",
                locationName: "model_name"
              },
              flatten: {
                location: "querystring",
                locationName: "flatten",
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S18"
          }
        },
        GetModelTemplate: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/models/{model_name}/default_template"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "modelName"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              modelName: {
                location: "uri",
                locationName: "model_name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              value: {}
            }
          }
        },
        GetModels: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/models"
          },
          input: {
            type: "structure",
            required: [
              "restApiId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "S18"
                }
              }
            }
          }
        },
        GetRequestValidator: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/requestvalidators/{requestvalidator_id}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "requestValidatorId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              requestValidatorId: {
                location: "uri",
                locationName: "requestvalidator_id"
              }
            }
          },
          output: {
            shape: "S1a"
          }
        },
        GetRequestValidators: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/requestvalidators"
          },
          input: {
            type: "structure",
            required: [
              "restApiId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "S1a"
                }
              }
            }
          }
        },
        GetResource: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              embed: {
                shape: "S9",
                location: "querystring",
                locationName: "embed"
              }
            }
          },
          output: {
            shape: "S1c"
          }
        },
        GetResources: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/resources"
          },
          input: {
            type: "structure",
            required: [
              "restApiId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              embed: {
                shape: "S9",
                location: "querystring",
                locationName: "embed"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "S1c"
                }
              }
            }
          }
        },
        GetRestApi: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              }
            }
          },
          output: {
            shape: "S1t"
          }
        },
        GetRestApis: {
          http: {
            method: "GET",
            requestUri: "/restapis"
          },
          input: {
            type: "structure",
            members: {
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "S1t"
                }
              }
            }
          }
        },
        GetSdk: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/stages/{stage_name}/sdks/{sdk_type}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "stageName",
              "sdkType"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              stageName: {
                location: "uri",
                locationName: "stage_name"
              },
              sdkType: {
                location: "uri",
                locationName: "sdk_type"
              },
              parameters: {
                shape: "S6",
                location: "querystring"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              contentDisposition: {
                location: "header",
                locationName: "Content-Disposition"
              },
              body: {
                type: "blob"
              }
            },
            payload: "body"
          }
        },
        GetSdkType: {
          http: {
            method: "GET",
            requestUri: "/sdktypes/{sdktype_id}"
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "sdktype_id"
              }
            }
          },
          output: {
            shape: "S51"
          }
        },
        GetSdkTypes: {
          http: {
            method: "GET",
            requestUri: "/sdktypes"
          },
          input: {
            type: "structure",
            members: {
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "S51"
                }
              }
            }
          }
        },
        GetStage: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/stages/{stage_name}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "stageName"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              stageName: {
                location: "uri",
                locationName: "stage_name"
              }
            }
          },
          output: {
            shape: "S1w"
          }
        },
        GetStages: {
          http: {
            method: "GET",
            requestUri: "/restapis/{restapi_id}/stages"
          },
          input: {
            type: "structure",
            required: [
              "restApiId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              deploymentId: {
                location: "querystring",
                locationName: "deploymentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              item: {
                type: "list",
                member: {
                  shape: "S1w"
                }
              }
            }
          }
        },
        GetTags: {
          http: {
            method: "GET",
            requestUri: "/tags/{resource_arn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resource_arn"
              },
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S6"
              }
            }
          }
        },
        GetUsage: {
          http: {
            method: "GET",
            requestUri: "/usageplans/{usageplanId}/usage"
          },
          input: {
            type: "structure",
            required: [
              "usagePlanId",
              "startDate",
              "endDate"
            ],
            members: {
              usagePlanId: {
                location: "uri",
                locationName: "usageplanId"
              },
              keyId: {
                location: "querystring",
                locationName: "keyId"
              },
              startDate: {
                location: "querystring",
                locationName: "startDate"
              },
              endDate: {
                location: "querystring",
                locationName: "endDate"
              },
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            shape: "S5e"
          }
        },
        GetUsagePlan: {
          http: {
            method: "GET",
            requestUri: "/usageplans/{usageplanId}"
          },
          input: {
            type: "structure",
            required: [
              "usagePlanId"
            ],
            members: {
              usagePlanId: {
                location: "uri",
                locationName: "usageplanId"
              }
            }
          },
          output: {
            shape: "S29"
          }
        },
        GetUsagePlanKey: {
          http: {
            method: "GET",
            requestUri: "/usageplans/{usageplanId}/keys/{keyId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "usagePlanId",
              "keyId"
            ],
            members: {
              usagePlanId: {
                location: "uri",
                locationName: "usageplanId"
              },
              keyId: {
                location: "uri",
                locationName: "keyId"
              }
            }
          },
          output: {
            shape: "S2b"
          }
        },
        GetUsagePlanKeys: {
          http: {
            method: "GET",
            requestUri: "/usageplans/{usageplanId}/keys"
          },
          input: {
            type: "structure",
            required: [
              "usagePlanId"
            ],
            members: {
              usagePlanId: {
                location: "uri",
                locationName: "usageplanId"
              },
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              nameQuery: {
                location: "querystring",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "S2b"
                }
              }
            }
          }
        },
        GetUsagePlans: {
          http: {
            method: "GET",
            requestUri: "/usageplans"
          },
          input: {
            type: "structure",
            members: {
              position: {
                location: "querystring",
                locationName: "position"
              },
              keyId: {
                location: "querystring",
                locationName: "keyId"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "S29"
                }
              }
            }
          }
        },
        GetVpcLink: {
          http: {
            method: "GET",
            requestUri: "/vpclinks/{vpclink_id}"
          },
          input: {
            type: "structure",
            required: [
              "vpcLinkId"
            ],
            members: {
              vpcLinkId: {
                location: "uri",
                locationName: "vpclink_id"
              }
            }
          },
          output: {
            shape: "S2d"
          }
        },
        GetVpcLinks: {
          http: {
            method: "GET",
            requestUri: "/vpclinks"
          },
          input: {
            type: "structure",
            members: {
              position: {
                location: "querystring",
                locationName: "position"
              },
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              position: {},
              items: {
                locationName: "item",
                type: "list",
                member: {
                  shape: "S2d"
                }
              }
            }
          }
        },
        ImportApiKeys: {
          http: {
            requestUri: "/apikeys?mode=import",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "body",
              "format"
            ],
            members: {
              body: {
                type: "blob"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              failOnWarnings: {
                location: "querystring",
                locationName: "failonwarnings",
                type: "boolean"
              }
            },
            payload: "body"
          },
          output: {
            type: "structure",
            members: {
              ids: {
                shape: "S9"
              },
              warnings: {
                shape: "S9"
              }
            }
          }
        },
        ImportDocumentationParts: {
          http: {
            method: "PUT",
            requestUri: "/restapis/{restapi_id}/documentation/parts"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "body"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              mode: {
                location: "querystring",
                locationName: "mode"
              },
              failOnWarnings: {
                location: "querystring",
                locationName: "failonwarnings",
                type: "boolean"
              },
              body: {
                type: "blob"
              }
            },
            payload: "body"
          },
          output: {
            type: "structure",
            members: {
              ids: {
                shape: "S9"
              },
              warnings: {
                shape: "S9"
              }
            }
          }
        },
        ImportRestApi: {
          http: {
            requestUri: "/restapis?mode=import",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "body"
            ],
            members: {
              failOnWarnings: {
                location: "querystring",
                locationName: "failonwarnings",
                type: "boolean"
              },
              parameters: {
                shape: "S6",
                location: "querystring"
              },
              body: {
                type: "blob"
              }
            },
            payload: "body"
          },
          output: {
            shape: "S1t"
          }
        },
        PutGatewayResponse: {
          http: {
            method: "PUT",
            requestUri: "/restapis/{restapi_id}/gatewayresponses/{response_type}",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "responseType"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              responseType: {
                location: "uri",
                locationName: "response_type"
              },
              statusCode: {},
              responseParameters: {
                shape: "S6"
              },
              responseTemplates: {
                shape: "S6"
              }
            }
          },
          output: {
            shape: "S48"
          }
        },
        PutIntegration: {
          http: {
            method: "PUT",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod",
              "type"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              },
              type: {},
              integrationHttpMethod: {
                locationName: "httpMethod"
              },
              uri: {},
              connectionType: {},
              connectionId: {},
              credentials: {},
              requestParameters: {
                shape: "S6"
              },
              requestTemplates: {
                shape: "S6"
              },
              passthroughBehavior: {},
              cacheNamespace: {},
              cacheKeyParameters: {
                shape: "S9"
              },
              contentHandling: {},
              timeoutInMillis: {
                type: "integer"
              },
              tlsConfig: {
                shape: "S1q"
              }
            }
          },
          output: {
            shape: "S1j"
          }
        },
        PutIntegrationResponse: {
          http: {
            method: "PUT",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration/responses/{status_code}",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod",
              "statusCode"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              },
              statusCode: {
                location: "uri",
                locationName: "status_code"
              },
              selectionPattern: {},
              responseParameters: {
                shape: "S6"
              },
              responseTemplates: {
                shape: "S6"
              },
              contentHandling: {}
            }
          },
          output: {
            shape: "S1p"
          }
        },
        PutMethod: {
          http: {
            method: "PUT",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod",
              "authorizationType"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              },
              authorizationType: {},
              authorizerId: {},
              apiKeyRequired: {
                type: "boolean"
              },
              operationName: {},
              requestParameters: {
                shape: "S1f"
              },
              requestModels: {
                shape: "S6"
              },
              requestValidatorId: {},
              authorizationScopes: {
                shape: "S9"
              }
            }
          },
          output: {
            shape: "S1e"
          }
        },
        PutMethodResponse: {
          http: {
            method: "PUT",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod",
              "statusCode"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              },
              statusCode: {
                location: "uri",
                locationName: "status_code"
              },
              responseParameters: {
                shape: "S1f"
              },
              responseModels: {
                shape: "S6"
              }
            }
          },
          output: {
            shape: "S1h"
          }
        },
        PutRestApi: {
          http: {
            method: "PUT",
            requestUri: "/restapis/{restapi_id}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "body"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              mode: {
                location: "querystring",
                locationName: "mode"
              },
              failOnWarnings: {
                location: "querystring",
                locationName: "failonwarnings",
                type: "boolean"
              },
              parameters: {
                shape: "S6",
                location: "querystring"
              },
              body: {
                type: "blob"
              }
            },
            payload: "body"
          },
          output: {
            shape: "S1t"
          }
        },
        TagResource: {
          http: {
            method: "PUT",
            requestUri: "/tags/{resource_arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resource_arn"
              },
              tags: {
                shape: "S6"
              }
            }
          }
        },
        TestInvokeAuthorizer: {
          http: {
            requestUri: "/restapis/{restapi_id}/authorizers/{authorizer_id}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "authorizerId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              authorizerId: {
                location: "uri",
                locationName: "authorizer_id"
              },
              headers: {
                shape: "S6"
              },
              multiValueHeaders: {
                shape: "S6a"
              },
              pathWithQueryString: {},
              body: {},
              stageVariables: {
                shape: "S6"
              },
              additionalContext: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              clientStatus: {
                type: "integer"
              },
              log: {},
              latency: {
                type: "long"
              },
              principalId: {},
              policy: {},
              authorization: {
                shape: "S6a"
              },
              claims: {
                shape: "S6"
              }
            }
          }
        },
        TestInvokeMethod: {
          http: {
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              },
              pathWithQueryString: {},
              body: {},
              headers: {
                shape: "S6"
              },
              multiValueHeaders: {
                shape: "S6a"
              },
              clientCertificateId: {},
              stageVariables: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              status: {
                type: "integer"
              },
              body: {},
              headers: {
                shape: "S6"
              },
              multiValueHeaders: {
                shape: "S6a"
              },
              log: {},
              latency: {
                type: "long"
              }
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resource_arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resource_arn"
              },
              tagKeys: {
                shape: "S9",
                location: "querystring",
                locationName: "tagKeys"
              }
            }
          }
        },
        UpdateAccount: {
          http: {
            method: "PATCH",
            requestUri: "/account"
          },
          input: {
            type: "structure",
            members: {
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S36"
          }
        },
        UpdateApiKey: {
          http: {
            method: "PATCH",
            requestUri: "/apikeys/{api_Key}"
          },
          input: {
            type: "structure",
            required: [
              "apiKey"
            ],
            members: {
              apiKey: {
                location: "uri",
                locationName: "api_Key"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S7"
          }
        },
        UpdateAuthorizer: {
          http: {
            method: "PATCH",
            requestUri: "/restapis/{restapi_id}/authorizers/{authorizer_id}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "authorizerId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              authorizerId: {
                location: "uri",
                locationName: "authorizer_id"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "Sf"
          }
        },
        UpdateBasePathMapping: {
          http: {
            method: "PATCH",
            requestUri: "/domainnames/{domain_name}/basepathmappings/{base_path}"
          },
          input: {
            type: "structure",
            required: [
              "domainName",
              "basePath"
            ],
            members: {
              domainName: {
                location: "uri",
                locationName: "domain_name"
              },
              basePath: {
                location: "uri",
                locationName: "base_path"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "Sh"
          }
        },
        UpdateClientCertificate: {
          http: {
            method: "PATCH",
            requestUri: "/clientcertificates/{clientcertificate_id}"
          },
          input: {
            type: "structure",
            required: [
              "clientCertificateId"
            ],
            members: {
              clientCertificateId: {
                location: "uri",
                locationName: "clientcertificate_id"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S34"
          }
        },
        UpdateDeployment: {
          http: {
            method: "PATCH",
            requestUri: "/restapis/{restapi_id}/deployments/{deployment_id}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "deploymentId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              deploymentId: {
                location: "uri",
                locationName: "deployment_id"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "Sn"
          }
        },
        UpdateDocumentationPart: {
          http: {
            method: "PATCH",
            requestUri: "/restapis/{restapi_id}/documentation/parts/{part_id}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "documentationPartId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              documentationPartId: {
                location: "uri",
                locationName: "part_id"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "Sv"
          }
        },
        UpdateDocumentationVersion: {
          http: {
            method: "PATCH",
            requestUri: "/restapis/{restapi_id}/documentation/versions/{doc_version}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "documentationVersion"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              documentationVersion: {
                location: "uri",
                locationName: "doc_version"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "Sx"
          }
        },
        UpdateDomainName: {
          http: {
            method: "PATCH",
            requestUri: "/domainnames/{domain_name}"
          },
          input: {
            type: "structure",
            required: [
              "domainName"
            ],
            members: {
              domainName: {
                location: "uri",
                locationName: "domain_name"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S14"
          }
        },
        UpdateGatewayResponse: {
          http: {
            method: "PATCH",
            requestUri: "/restapis/{restapi_id}/gatewayresponses/{response_type}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "responseType"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              responseType: {
                location: "uri",
                locationName: "response_type"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S48"
          }
        },
        UpdateIntegration: {
          http: {
            method: "PATCH",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S1j"
          }
        },
        UpdateIntegrationResponse: {
          http: {
            method: "PATCH",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration/responses/{status_code}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod",
              "statusCode"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              },
              statusCode: {
                location: "uri",
                locationName: "status_code"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S1p"
          }
        },
        UpdateMethod: {
          http: {
            method: "PATCH",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S1e"
          }
        },
        UpdateMethodResponse: {
          http: {
            method: "PATCH",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId",
              "httpMethod",
              "statusCode"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              httpMethod: {
                location: "uri",
                locationName: "http_method"
              },
              statusCode: {
                location: "uri",
                locationName: "status_code"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S1h"
          }
        },
        UpdateModel: {
          http: {
            method: "PATCH",
            requestUri: "/restapis/{restapi_id}/models/{model_name}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "modelName"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              modelName: {
                location: "uri",
                locationName: "model_name"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S18"
          }
        },
        UpdateRequestValidator: {
          http: {
            method: "PATCH",
            requestUri: "/restapis/{restapi_id}/requestvalidators/{requestvalidator_id}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "requestValidatorId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              requestValidatorId: {
                location: "uri",
                locationName: "requestvalidator_id"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S1a"
          }
        },
        UpdateResource: {
          http: {
            method: "PATCH",
            requestUri: "/restapis/{restapi_id}/resources/{resource_id}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "resourceId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              resourceId: {
                location: "uri",
                locationName: "resource_id"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S1c"
          }
        },
        UpdateRestApi: {
          http: {
            method: "PATCH",
            requestUri: "/restapis/{restapi_id}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S1t"
          }
        },
        UpdateStage: {
          http: {
            method: "PATCH",
            requestUri: "/restapis/{restapi_id}/stages/{stage_name}"
          },
          input: {
            type: "structure",
            required: [
              "restApiId",
              "stageName"
            ],
            members: {
              restApiId: {
                location: "uri",
                locationName: "restapi_id"
              },
              stageName: {
                location: "uri",
                locationName: "stage_name"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S1w"
          }
        },
        UpdateUsage: {
          http: {
            method: "PATCH",
            requestUri: "/usageplans/{usageplanId}/keys/{keyId}/usage"
          },
          input: {
            type: "structure",
            required: [
              "usagePlanId",
              "keyId"
            ],
            members: {
              usagePlanId: {
                location: "uri",
                locationName: "usageplanId"
              },
              keyId: {
                location: "uri",
                locationName: "keyId"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S5e"
          }
        },
        UpdateUsagePlan: {
          http: {
            method: "PATCH",
            requestUri: "/usageplans/{usageplanId}"
          },
          input: {
            type: "structure",
            required: [
              "usagePlanId"
            ],
            members: {
              usagePlanId: {
                location: "uri",
                locationName: "usageplanId"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S29"
          }
        },
        UpdateVpcLink: {
          http: {
            method: "PATCH",
            requestUri: "/vpclinks/{vpclink_id}"
          },
          input: {
            type: "structure",
            required: [
              "vpcLinkId"
            ],
            members: {
              vpcLinkId: {
                location: "uri",
                locationName: "vpclink_id"
              },
              patchOperations: {
                shape: "S6g"
              }
            }
          },
          output: {
            shape: "S2d"
          }
        }
      },
      shapes: {
        S6: {
          type: "map",
          key: {},
          value: {}
        },
        S7: {
          type: "structure",
          members: {
            id: {},
            value: {},
            name: {},
            customerId: {},
            description: {},
            enabled: {
              type: "boolean"
            },
            createdDate: {
              type: "timestamp"
            },
            lastUpdatedDate: {
              type: "timestamp"
            },
            stageKeys: {
              shape: "S9"
            },
            tags: {
              shape: "S6"
            }
          }
        },
        S9: {
          type: "list",
          member: {}
        },
        Sc: {
          type: "list",
          member: {}
        },
        Sf: {
          type: "structure",
          members: {
            id: {},
            name: {},
            type: {},
            providerARNs: {
              shape: "Sc"
            },
            authType: {},
            authorizerUri: {},
            authorizerCredentials: {},
            identitySource: {},
            identityValidationExpression: {},
            authorizerResultTtlInSeconds: {
              type: "integer"
            }
          }
        },
        Sh: {
          type: "structure",
          members: {
            basePath: {},
            restApiId: {},
            stage: {}
          }
        },
        Sn: {
          type: "structure",
          members: {
            id: {},
            description: {},
            createdDate: {
              type: "timestamp"
            },
            apiSummary: {
              type: "map",
              key: {},
              value: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    authorizationType: {},
                    apiKeyRequired: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        Ss: {
          type: "structure",
          required: [
            "type"
          ],
          members: {
            type: {},
            path: {},
            method: {},
            statusCode: {},
            name: {}
          }
        },
        Sv: {
          type: "structure",
          members: {
            id: {},
            location: {
              shape: "Ss"
            },
            properties: {}
          }
        },
        Sx: {
          type: "structure",
          members: {
            version: {},
            createdDate: {
              type: "timestamp"
            },
            description: {}
          }
        },
        Sz: {
          type: "structure",
          members: {
            types: {
              type: "list",
              member: {}
            },
            vpcEndpointIds: {
              shape: "S9"
            }
          }
        },
        S14: {
          type: "structure",
          members: {
            domainName: {},
            certificateName: {},
            certificateArn: {},
            certificateUploadDate: {
              type: "timestamp"
            },
            regionalDomainName: {},
            regionalHostedZoneId: {},
            regionalCertificateName: {},
            regionalCertificateArn: {},
            distributionDomainName: {},
            distributionHostedZoneId: {},
            endpointConfiguration: {
              shape: "Sz"
            },
            domainNameStatus: {},
            domainNameStatusMessage: {},
            securityPolicy: {},
            tags: {
              shape: "S6"
            },
            mutualTlsAuthentication: {
              type: "structure",
              members: {
                truststoreUri: {},
                truststoreVersion: {},
                truststoreWarnings: {
                  shape: "S9"
                }
              }
            },
            ownershipVerificationCertificateArn: {}
          }
        },
        S18: {
          type: "structure",
          members: {
            id: {},
            name: {},
            description: {},
            schema: {},
            contentType: {}
          }
        },
        S1a: {
          type: "structure",
          members: {
            id: {},
            name: {},
            validateRequestBody: {
              type: "boolean"
            },
            validateRequestParameters: {
              type: "boolean"
            }
          }
        },
        S1c: {
          type: "structure",
          members: {
            id: {},
            parentId: {},
            pathPart: {},
            path: {},
            resourceMethods: {
              type: "map",
              key: {},
              value: {
                shape: "S1e"
              }
            }
          }
        },
        S1e: {
          type: "structure",
          members: {
            httpMethod: {},
            authorizationType: {},
            authorizerId: {},
            apiKeyRequired: {
              type: "boolean"
            },
            requestValidatorId: {},
            operationName: {},
            requestParameters: {
              shape: "S1f"
            },
            requestModels: {
              shape: "S6"
            },
            methodResponses: {
              type: "map",
              key: {},
              value: {
                shape: "S1h"
              }
            },
            methodIntegration: {
              shape: "S1j"
            },
            authorizationScopes: {
              shape: "S9"
            }
          }
        },
        S1f: {
          type: "map",
          key: {},
          value: {
            type: "boolean"
          }
        },
        S1h: {
          type: "structure",
          members: {
            statusCode: {},
            responseParameters: {
              shape: "S1f"
            },
            responseModels: {
              shape: "S6"
            }
          }
        },
        S1j: {
          type: "structure",
          members: {
            type: {},
            httpMethod: {},
            uri: {},
            connectionType: {},
            connectionId: {},
            credentials: {},
            requestParameters: {
              shape: "S6"
            },
            requestTemplates: {
              shape: "S6"
            },
            passthroughBehavior: {},
            contentHandling: {},
            timeoutInMillis: {
              type: "integer"
            },
            cacheNamespace: {},
            cacheKeyParameters: {
              shape: "S9"
            },
            integrationResponses: {
              type: "map",
              key: {},
              value: {
                shape: "S1p"
              }
            },
            tlsConfig: {
              shape: "S1q"
            }
          }
        },
        S1p: {
          type: "structure",
          members: {
            statusCode: {},
            selectionPattern: {},
            responseParameters: {
              shape: "S6"
            },
            responseTemplates: {
              shape: "S6"
            },
            contentHandling: {}
          }
        },
        S1q: {
          type: "structure",
          members: {
            insecureSkipVerification: {
              type: "boolean"
            }
          }
        },
        S1t: {
          type: "structure",
          members: {
            id: {},
            name: {},
            description: {},
            createdDate: {
              type: "timestamp"
            },
            version: {},
            warnings: {
              shape: "S9"
            },
            binaryMediaTypes: {
              shape: "S9"
            },
            minimumCompressionSize: {
              type: "integer"
            },
            apiKeySource: {},
            endpointConfiguration: {
              shape: "Sz"
            },
            policy: {},
            tags: {
              shape: "S6"
            },
            disableExecuteApiEndpoint: {
              type: "boolean"
            }
          }
        },
        S1v: {
          type: "structure",
          members: {
            percentTraffic: {
              type: "double"
            },
            deploymentId: {},
            stageVariableOverrides: {
              shape: "S6"
            },
            useStageCache: {
              type: "boolean"
            }
          }
        },
        S1w: {
          type: "structure",
          members: {
            deploymentId: {},
            clientCertificateId: {},
            stageName: {},
            description: {},
            cacheClusterEnabled: {
              type: "boolean"
            },
            cacheClusterSize: {},
            cacheClusterStatus: {},
            methodSettings: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                members: {
                  metricsEnabled: {
                    type: "boolean"
                  },
                  loggingLevel: {},
                  dataTraceEnabled: {
                    type: "boolean"
                  },
                  throttlingBurstLimit: {
                    type: "integer"
                  },
                  throttlingRateLimit: {
                    type: "double"
                  },
                  cachingEnabled: {
                    type: "boolean"
                  },
                  cacheTtlInSeconds: {
                    type: "integer"
                  },
                  cacheDataEncrypted: {
                    type: "boolean"
                  },
                  requireAuthorizationForCacheControl: {
                    type: "boolean"
                  },
                  unauthorizedCacheControlHeaderStrategy: {}
                }
              }
            },
            variables: {
              shape: "S6"
            },
            documentationVersion: {},
            accessLogSettings: {
              type: "structure",
              members: {
                format: {},
                destinationArn: {}
              }
            },
            canarySettings: {
              shape: "S1v"
            },
            tracingEnabled: {
              type: "boolean"
            },
            webAclArn: {},
            tags: {
              shape: "S6"
            },
            createdDate: {
              type: "timestamp"
            },
            lastUpdatedDate: {
              type: "timestamp"
            }
          }
        },
        S23: {
          type: "list",
          member: {
            type: "structure",
            members: {
              apiId: {},
              stage: {},
              throttle: {
                type: "map",
                key: {},
                value: {
                  shape: "S26"
                }
              }
            }
          }
        },
        S26: {
          type: "structure",
          members: {
            burstLimit: {
              type: "integer"
            },
            rateLimit: {
              type: "double"
            }
          }
        },
        S27: {
          type: "structure",
          members: {
            limit: {
              type: "integer"
            },
            offset: {
              type: "integer"
            },
            period: {}
          }
        },
        S29: {
          type: "structure",
          members: {
            id: {},
            name: {},
            description: {},
            apiStages: {
              shape: "S23"
            },
            throttle: {
              shape: "S26"
            },
            quota: {
              shape: "S27"
            },
            productCode: {},
            tags: {
              shape: "S6"
            }
          }
        },
        S2b: {
          type: "structure",
          members: {
            id: {},
            type: {},
            value: {},
            name: {}
          }
        },
        S2d: {
          type: "structure",
          members: {
            id: {},
            name: {},
            description: {},
            targetArns: {
              shape: "S9"
            },
            status: {},
            statusMessage: {},
            tags: {
              shape: "S6"
            }
          }
        },
        S34: {
          type: "structure",
          members: {
            clientCertificateId: {},
            description: {},
            pemEncodedCertificate: {},
            createdDate: {
              type: "timestamp"
            },
            expirationDate: {
              type: "timestamp"
            },
            tags: {
              shape: "S6"
            }
          }
        },
        S36: {
          type: "structure",
          members: {
            cloudwatchRoleArn: {},
            throttleSettings: {
              shape: "S26"
            },
            features: {
              shape: "S9"
            },
            apiKeyVersion: {}
          }
        },
        S48: {
          type: "structure",
          members: {
            responseType: {},
            statusCode: {},
            responseParameters: {
              shape: "S6"
            },
            responseTemplates: {
              shape: "S6"
            },
            defaultResponse: {
              type: "boolean"
            }
          }
        },
        S51: {
          type: "structure",
          members: {
            id: {},
            friendlyName: {},
            description: {},
            configurationProperties: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  name: {},
                  friendlyName: {},
                  description: {},
                  required: {
                    type: "boolean"
                  },
                  defaultValue: {}
                }
              }
            }
          }
        },
        S5e: {
          type: "structure",
          members: {
            usagePlanId: {},
            startDate: {},
            endDate: {},
            position: {},
            items: {
              locationName: "values",
              type: "map",
              key: {},
              value: {
                type: "list",
                member: {
                  type: "list",
                  member: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        S6a: {
          type: "map",
          key: {},
          value: {
            shape: "S9"
          }
        },
        S6g: {
          type: "list",
          member: {
            type: "structure",
            members: {
              op: {},
              path: {},
              value: {},
              from: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/apigateway-2015-07-09.paginators.json
var require_apigateway_2015_07_09_paginators = __commonJS({
  "node_modules/aws-sdk/apis/apigateway-2015-07-09.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetApiKeys: {
          input_token: "position",
          limit_key: "limit",
          output_token: "position",
          result_key: "items"
        },
        GetBasePathMappings: {
          input_token: "position",
          limit_key: "limit",
          output_token: "position",
          result_key: "items"
        },
        GetClientCertificates: {
          input_token: "position",
          limit_key: "limit",
          output_token: "position",
          result_key: "items"
        },
        GetDeployments: {
          input_token: "position",
          limit_key: "limit",
          output_token: "position",
          result_key: "items"
        },
        GetDomainNames: {
          input_token: "position",
          limit_key: "limit",
          output_token: "position",
          result_key: "items"
        },
        GetModels: {
          input_token: "position",
          limit_key: "limit",
          output_token: "position",
          result_key: "items"
        },
        GetResources: {
          input_token: "position",
          limit_key: "limit",
          output_token: "position",
          result_key: "items"
        },
        GetRestApis: {
          input_token: "position",
          limit_key: "limit",
          output_token: "position",
          result_key: "items"
        },
        GetUsage: {
          input_token: "position",
          limit_key: "limit",
          non_aggregate_keys: [
            "usagePlanId",
            "startDate",
            "endDate"
          ],
          output_token: "position",
          result_key: "items"
        },
        GetUsagePlanKeys: {
          input_token: "position",
          limit_key: "limit",
          output_token: "position",
          result_key: "items"
        },
        GetUsagePlans: {
          input_token: "position",
          limit_key: "limit",
          output_token: "position",
          result_key: "items"
        },
        GetVpcLinks: {
          input_token: "position",
          limit_key: "limit",
          output_token: "position",
          result_key: "items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/apigateway.js
var require_apigateway2 = __commonJS({
  "node_modules/aws-sdk/clients/apigateway.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["apigateway"] = {};
    AWS2.APIGateway = Service.defineService("apigateway", ["2015-07-09"]);
    require_apigateway();
    Object.defineProperty(apiLoader.services["apigateway"], "2015-07-09", {
      get: function get() {
        var model = require_apigateway_2015_07_09_min();
        model.paginators = require_apigateway_2015_07_09_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.APIGateway;
  }
});

// node_modules/aws-sdk/apis/application-autoscaling-2016-02-06.min.json
var require_application_autoscaling_2016_02_06_min = __commonJS({
  "node_modules/aws-sdk/apis/application-autoscaling-2016-02-06.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-02-06",
        endpointPrefix: "application-autoscaling",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Application Auto Scaling",
        serviceId: "Application Auto Scaling",
        signatureVersion: "v4",
        signingName: "application-autoscaling",
        targetPrefix: "AnyScaleFrontendService",
        uid: "application-autoscaling-2016-02-06"
      },
      operations: {
        DeleteScalingPolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyName",
              "ServiceNamespace",
              "ResourceId",
              "ScalableDimension"
            ],
            members: {
              PolicyName: {},
              ServiceNamespace: {},
              ResourceId: {},
              ScalableDimension: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteScheduledAction: {
          input: {
            type: "structure",
            required: [
              "ServiceNamespace",
              "ScheduledActionName",
              "ResourceId",
              "ScalableDimension"
            ],
            members: {
              ServiceNamespace: {},
              ScheduledActionName: {},
              ResourceId: {},
              ScalableDimension: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeregisterScalableTarget: {
          input: {
            type: "structure",
            required: [
              "ServiceNamespace",
              "ResourceId",
              "ScalableDimension"
            ],
            members: {
              ServiceNamespace: {},
              ResourceId: {},
              ScalableDimension: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeScalableTargets: {
          input: {
            type: "structure",
            required: [
              "ServiceNamespace"
            ],
            members: {
              ServiceNamespace: {},
              ResourceIds: {
                shape: "Sb"
              },
              ScalableDimension: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ScalableTargets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ServiceNamespace",
                    "ResourceId",
                    "ScalableDimension",
                    "MinCapacity",
                    "MaxCapacity",
                    "RoleARN",
                    "CreationTime"
                  ],
                  members: {
                    ServiceNamespace: {},
                    ResourceId: {},
                    ScalableDimension: {},
                    MinCapacity: {
                      type: "integer"
                    },
                    MaxCapacity: {
                      type: "integer"
                    },
                    RoleARN: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    SuspendedState: {
                      shape: "Sj"
                    },
                    ScalableTargetARN: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeScalingActivities: {
          input: {
            type: "structure",
            required: [
              "ServiceNamespace"
            ],
            members: {
              ServiceNamespace: {},
              ResourceId: {},
              ScalableDimension: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              IncludeNotScaledActivities: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ScalingActivities: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ActivityId",
                    "ServiceNamespace",
                    "ResourceId",
                    "ScalableDimension",
                    "Description",
                    "Cause",
                    "StartTime",
                    "StatusCode"
                  ],
                  members: {
                    ActivityId: {},
                    ServiceNamespace: {},
                    ResourceId: {},
                    ScalableDimension: {},
                    Description: {},
                    Cause: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    StatusCode: {},
                    StatusMessage: {},
                    Details: {},
                    NotScaledReasons: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "Code"
                        ],
                        members: {
                          Code: {},
                          MaxCapacity: {
                            type: "integer"
                          },
                          MinCapacity: {
                            type: "integer"
                          },
                          CurrentCapacity: {
                            type: "integer"
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeScalingPolicies: {
          input: {
            type: "structure",
            required: [
              "ServiceNamespace"
            ],
            members: {
              PolicyNames: {
                shape: "Sb"
              },
              ServiceNamespace: {},
              ResourceId: {},
              ScalableDimension: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ScalingPolicies: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "PolicyARN",
                    "PolicyName",
                    "ServiceNamespace",
                    "ResourceId",
                    "ScalableDimension",
                    "PolicyType",
                    "CreationTime"
                  ],
                  members: {
                    PolicyARN: {},
                    PolicyName: {},
                    ServiceNamespace: {},
                    ResourceId: {},
                    ScalableDimension: {},
                    PolicyType: {},
                    StepScalingPolicyConfiguration: {
                      shape: "S10"
                    },
                    TargetTrackingScalingPolicyConfiguration: {
                      shape: "S19"
                    },
                    Alarms: {
                      shape: "S21"
                    },
                    CreationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeScheduledActions: {
          input: {
            type: "structure",
            required: [
              "ServiceNamespace"
            ],
            members: {
              ScheduledActionNames: {
                shape: "Sb"
              },
              ServiceNamespace: {},
              ResourceId: {},
              ScalableDimension: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ScheduledActions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ScheduledActionName",
                    "ScheduledActionARN",
                    "ServiceNamespace",
                    "Schedule",
                    "ResourceId",
                    "CreationTime"
                  ],
                  members: {
                    ScheduledActionName: {},
                    ScheduledActionARN: {},
                    ServiceNamespace: {},
                    Schedule: {},
                    Timezone: {},
                    ResourceId: {},
                    ScalableDimension: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    ScalableTargetAction: {
                      shape: "S28"
                    },
                    CreationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S2c"
              }
            }
          }
        },
        PutScalingPolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyName",
              "ServiceNamespace",
              "ResourceId",
              "ScalableDimension"
            ],
            members: {
              PolicyName: {},
              ServiceNamespace: {},
              ResourceId: {},
              ScalableDimension: {},
              PolicyType: {},
              StepScalingPolicyConfiguration: {
                shape: "S10"
              },
              TargetTrackingScalingPolicyConfiguration: {
                shape: "S19"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "PolicyARN"
            ],
            members: {
              PolicyARN: {},
              Alarms: {
                shape: "S21"
              }
            }
          }
        },
        PutScheduledAction: {
          input: {
            type: "structure",
            required: [
              "ServiceNamespace",
              "ScheduledActionName",
              "ResourceId",
              "ScalableDimension"
            ],
            members: {
              ServiceNamespace: {},
              Schedule: {},
              Timezone: {},
              ScheduledActionName: {},
              ResourceId: {},
              ScalableDimension: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              ScalableTargetAction: {
                shape: "S28"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RegisterScalableTarget: {
          input: {
            type: "structure",
            required: [
              "ServiceNamespace",
              "ResourceId",
              "ScalableDimension"
            ],
            members: {
              ServiceNamespace: {},
              ResourceId: {},
              ScalableDimension: {},
              MinCapacity: {
                type: "integer"
              },
              MaxCapacity: {
                type: "integer"
              },
              RoleARN: {},
              SuspendedState: {
                shape: "Sj"
              },
              Tags: {
                shape: "S2c"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ScalableTargetARN: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S2c"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        Sb: {
          type: "list",
          member: {}
        },
        Sj: {
          type: "structure",
          members: {
            DynamicScalingInSuspended: {
              type: "boolean"
            },
            DynamicScalingOutSuspended: {
              type: "boolean"
            },
            ScheduledScalingSuspended: {
              type: "boolean"
            }
          }
        },
        S10: {
          type: "structure",
          members: {
            AdjustmentType: {},
            StepAdjustments: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "ScalingAdjustment"
                ],
                members: {
                  MetricIntervalLowerBound: {
                    type: "double"
                  },
                  MetricIntervalUpperBound: {
                    type: "double"
                  },
                  ScalingAdjustment: {
                    type: "integer"
                  }
                }
              }
            },
            MinAdjustmentMagnitude: {
              type: "integer"
            },
            Cooldown: {
              type: "integer"
            },
            MetricAggregationType: {}
          }
        },
        S19: {
          type: "structure",
          required: [
            "TargetValue"
          ],
          members: {
            TargetValue: {
              type: "double"
            },
            PredefinedMetricSpecification: {
              type: "structure",
              required: [
                "PredefinedMetricType"
              ],
              members: {
                PredefinedMetricType: {},
                ResourceLabel: {}
              }
            },
            CustomizedMetricSpecification: {
              type: "structure",
              members: {
                MetricName: {},
                Namespace: {},
                Dimensions: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "Name",
                      "Value"
                    ],
                    members: {
                      Name: {},
                      Value: {}
                    }
                  }
                },
                Statistic: {},
                Unit: {},
                Metrics: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "Id"
                    ],
                    members: {
                      Expression: {},
                      Id: {},
                      Label: {},
                      MetricStat: {
                        type: "structure",
                        required: [
                          "Metric",
                          "Stat"
                        ],
                        members: {
                          Metric: {
                            type: "structure",
                            members: {
                              Dimensions: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  required: [
                                    "Name",
                                    "Value"
                                  ],
                                  members: {
                                    Name: {},
                                    Value: {}
                                  }
                                }
                              },
                              MetricName: {},
                              Namespace: {}
                            }
                          },
                          Stat: {},
                          Unit: {}
                        }
                      },
                      ReturnData: {
                        type: "boolean"
                      }
                    }
                  }
                }
              }
            },
            ScaleOutCooldown: {
              type: "integer"
            },
            ScaleInCooldown: {
              type: "integer"
            },
            DisableScaleIn: {
              type: "boolean"
            }
          }
        },
        S21: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AlarmName",
              "AlarmARN"
            ],
            members: {
              AlarmName: {},
              AlarmARN: {}
            }
          }
        },
        S28: {
          type: "structure",
          members: {
            MinCapacity: {
              type: "integer"
            },
            MaxCapacity: {
              type: "integer"
            }
          }
        },
        S2c: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/application-autoscaling-2016-02-06.paginators.json
var require_application_autoscaling_2016_02_06_paginators = __commonJS({
  "node_modules/aws-sdk/apis/application-autoscaling-2016-02-06.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeScalableTargets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ScalableTargets"
        },
        DescribeScalingActivities: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ScalingActivities"
        },
        DescribeScalingPolicies: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ScalingPolicies"
        },
        DescribeScheduledActions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ScheduledActions"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/applicationautoscaling.js
var require_applicationautoscaling = __commonJS({
  "node_modules/aws-sdk/clients/applicationautoscaling.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["applicationautoscaling"] = {};
    AWS2.ApplicationAutoScaling = Service.defineService("applicationautoscaling", ["2016-02-06"]);
    Object.defineProperty(apiLoader.services["applicationautoscaling"], "2016-02-06", {
      get: function get() {
        var model = require_application_autoscaling_2016_02_06_min();
        model.paginators = require_application_autoscaling_2016_02_06_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ApplicationAutoScaling;
  }
});

// node_modules/aws-sdk/apis/appstream-2016-12-01.min.json
var require_appstream_2016_12_01_min = __commonJS({
  "node_modules/aws-sdk/apis/appstream-2016-12-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-12-01",
        endpointPrefix: "appstream2",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon AppStream",
        serviceId: "AppStream",
        signatureVersion: "v4",
        signingName: "appstream",
        targetPrefix: "PhotonAdminProxyService",
        uid: "appstream-2016-12-01"
      },
      operations: {
        AssociateAppBlockBuilderAppBlock: {
          input: {
            type: "structure",
            required: [
              "AppBlockArn",
              "AppBlockBuilderName"
            ],
            members: {
              AppBlockArn: {},
              AppBlockBuilderName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AppBlockBuilderAppBlockAssociation: {
                shape: "S5"
              }
            }
          }
        },
        AssociateApplicationFleet: {
          input: {
            type: "structure",
            required: [
              "FleetName",
              "ApplicationArn"
            ],
            members: {
              FleetName: {},
              ApplicationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationFleetAssociation: {
                shape: "S8"
              }
            }
          }
        },
        AssociateApplicationToEntitlement: {
          input: {
            type: "structure",
            required: [
              "StackName",
              "EntitlementName",
              "ApplicationIdentifier"
            ],
            members: {
              StackName: {},
              EntitlementName: {},
              ApplicationIdentifier: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateFleet: {
          input: {
            type: "structure",
            required: [
              "FleetName",
              "StackName"
            ],
            members: {
              FleetName: {},
              StackName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        BatchAssociateUserStack: {
          input: {
            type: "structure",
            required: [
              "UserStackAssociations"
            ],
            members: {
              UserStackAssociations: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errors: {
                shape: "Sl"
              }
            }
          }
        },
        BatchDisassociateUserStack: {
          input: {
            type: "structure",
            required: [
              "UserStackAssociations"
            ],
            members: {
              UserStackAssociations: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errors: {
                shape: "Sl"
              }
            }
          }
        },
        CopyImage: {
          input: {
            type: "structure",
            required: [
              "SourceImageName",
              "DestinationImageName",
              "DestinationRegion"
            ],
            members: {
              SourceImageName: {},
              DestinationImageName: {},
              DestinationRegion: {},
              DestinationImageDescription: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DestinationImageName: {}
            }
          }
        },
        CreateAppBlock: {
          input: {
            type: "structure",
            required: [
              "Name",
              "SourceS3Location"
            ],
            members: {
              Name: {},
              Description: {},
              DisplayName: {},
              SourceS3Location: {
                shape: "Sw"
              },
              SetupScriptDetails: {
                shape: "Sz"
              },
              Tags: {
                shape: "S11"
              },
              PostSetupScriptDetails: {
                shape: "Sz"
              },
              PackagingType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AppBlock: {
                shape: "S16"
              }
            }
          }
        },
        CreateAppBlockBuilder: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Platform",
              "InstanceType",
              "VpcConfig"
            ],
            members: {
              Name: {},
              Description: {},
              DisplayName: {},
              Tags: {
                shape: "S11"
              },
              Platform: {},
              InstanceType: {},
              VpcConfig: {
                shape: "S1d"
              },
              EnableDefaultInternetAccess: {
                type: "boolean"
              },
              IamRoleArn: {},
              AccessEndpoints: {
                shape: "S1h"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppBlockBuilder: {
                shape: "S1l"
              }
            }
          }
        },
        CreateAppBlockBuilderStreamingURL: {
          input: {
            type: "structure",
            required: [
              "AppBlockBuilderName"
            ],
            members: {
              AppBlockBuilderName: {},
              Validity: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingURL: {},
              Expires: {
                type: "timestamp"
              }
            }
          }
        },
        CreateApplication: {
          input: {
            type: "structure",
            required: [
              "Name",
              "IconS3Location",
              "LaunchPath",
              "Platforms",
              "InstanceFamilies",
              "AppBlockArn"
            ],
            members: {
              Name: {},
              DisplayName: {},
              Description: {},
              IconS3Location: {
                shape: "Sw"
              },
              LaunchPath: {},
              WorkingDirectory: {},
              LaunchParameters: {},
              Platforms: {
                shape: "S1w"
              },
              InstanceFamilies: {
                shape: "S1y"
              },
              AppBlockArn: {},
              Tags: {
                shape: "S11"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Application: {
                shape: "S20"
              }
            }
          }
        },
        CreateDirectoryConfig: {
          input: {
            type: "structure",
            required: [
              "DirectoryName",
              "OrganizationalUnitDistinguishedNames"
            ],
            members: {
              DirectoryName: {},
              OrganizationalUnitDistinguishedNames: {
                shape: "S24"
              },
              ServiceAccountCredentials: {
                shape: "S26"
              },
              CertificateBasedAuthProperties: {
                shape: "S29"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DirectoryConfig: {
                shape: "S2c"
              }
            }
          }
        },
        CreateEntitlement: {
          input: {
            type: "structure",
            required: [
              "Name",
              "StackName",
              "AppVisibility",
              "Attributes"
            ],
            members: {
              Name: {},
              StackName: {},
              Description: {},
              AppVisibility: {},
              Attributes: {
                shape: "S2f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Entitlement: {
                shape: "S2i"
              }
            }
          }
        },
        CreateFleet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "InstanceType"
            ],
            members: {
              Name: {},
              ImageName: {},
              ImageArn: {},
              InstanceType: {},
              FleetType: {},
              ComputeCapacity: {
                shape: "S2l"
              },
              VpcConfig: {
                shape: "S1d"
              },
              MaxUserDurationInSeconds: {
                type: "integer"
              },
              DisconnectTimeoutInSeconds: {
                type: "integer"
              },
              Description: {},
              DisplayName: {},
              EnableDefaultInternetAccess: {
                type: "boolean"
              },
              DomainJoinInfo: {
                shape: "S2m"
              },
              Tags: {
                shape: "S11"
              },
              IdleDisconnectTimeoutInSeconds: {
                type: "integer"
              },
              IamRoleArn: {},
              StreamView: {},
              Platform: {},
              MaxConcurrentSessions: {
                type: "integer"
              },
              UsbDeviceFilterStrings: {
                shape: "S2o"
              },
              SessionScriptS3Location: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Fleet: {
                shape: "S2r"
              }
            }
          }
        },
        CreateImageBuilder: {
          input: {
            type: "structure",
            required: [
              "Name",
              "InstanceType"
            ],
            members: {
              Name: {},
              ImageName: {},
              ImageArn: {},
              InstanceType: {},
              Description: {},
              DisplayName: {},
              VpcConfig: {
                shape: "S1d"
              },
              IamRoleArn: {},
              EnableDefaultInternetAccess: {
                type: "boolean"
              },
              DomainJoinInfo: {
                shape: "S2m"
              },
              AppstreamAgentVersion: {},
              Tags: {
                shape: "S11"
              },
              AccessEndpoints: {
                shape: "S1h"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ImageBuilder: {
                shape: "S2z"
              }
            }
          }
        },
        CreateImageBuilderStreamingURL: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Validity: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingURL: {},
              Expires: {
                type: "timestamp"
              }
            }
          }
        },
        CreateStack: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              DisplayName: {},
              StorageConnectors: {
                shape: "S37"
              },
              RedirectURL: {},
              FeedbackURL: {},
              UserSettings: {
                shape: "S3f"
              },
              ApplicationSettings: {
                shape: "S3j"
              },
              Tags: {
                shape: "S11"
              },
              AccessEndpoints: {
                shape: "S1h"
              },
              EmbedHostDomains: {
                shape: "S3l"
              },
              StreamingExperienceSettings: {
                shape: "S3n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Stack: {
                shape: "S3q"
              }
            }
          }
        },
        CreateStreamingURL: {
          input: {
            type: "structure",
            required: [
              "StackName",
              "FleetName",
              "UserId"
            ],
            members: {
              StackName: {},
              FleetName: {},
              UserId: {},
              ApplicationId: {},
              Validity: {
                type: "long"
              },
              SessionContext: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingURL: {},
              Expires: {
                type: "timestamp"
              }
            }
          }
        },
        CreateUpdatedImage: {
          input: {
            type: "structure",
            required: [
              "existingImageName",
              "newImageName"
            ],
            members: {
              existingImageName: {},
              newImageName: {},
              newImageDescription: {},
              newImageDisplayName: {},
              newImageTags: {
                shape: "S11"
              },
              dryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              image: {
                shape: "S40"
              },
              canUpdateImage: {
                type: "boolean"
              }
            }
          }
        },
        CreateUsageReportSubscription: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              S3BucketName: {},
              Schedule: {}
            }
          }
        },
        CreateUser: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "AuthenticationType"
            ],
            members: {
              UserName: {
                shape: "Sh"
              },
              MessageAction: {},
              FirstName: {
                shape: "S4c"
              },
              LastName: {
                shape: "S4c"
              },
              AuthenticationType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAppBlock: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAppBlockBuilder: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteApplication: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDirectoryConfig: {
          input: {
            type: "structure",
            required: [
              "DirectoryName"
            ],
            members: {
              DirectoryName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEntitlement: {
          input: {
            type: "structure",
            required: [
              "Name",
              "StackName"
            ],
            members: {
              Name: {},
              StackName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteFleet: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteImage: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Image: {
                shape: "S40"
              }
            }
          }
        },
        DeleteImageBuilder: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImageBuilder: {
                shape: "S2z"
              }
            }
          }
        },
        DeleteImagePermissions: {
          input: {
            type: "structure",
            required: [
              "Name",
              "SharedAccountId"
            ],
            members: {
              Name: {},
              SharedAccountId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteStack: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteUsageReportSubscription: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteUser: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "AuthenticationType"
            ],
            members: {
              UserName: {
                shape: "Sh"
              },
              AuthenticationType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeAppBlockBuilderAppBlockAssociations: {
          input: {
            type: "structure",
            members: {
              AppBlockArn: {},
              AppBlockBuilderName: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AppBlockBuilderAppBlockAssociations: {
                type: "list",
                member: {
                  shape: "S5"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeAppBlockBuilders: {
          input: {
            type: "structure",
            members: {
              Names: {
                shape: "S1y"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppBlockBuilders: {
                type: "list",
                member: {
                  shape: "S1l"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeAppBlocks: {
          input: {
            type: "structure",
            members: {
              Arns: {
                shape: "S5a"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppBlocks: {
                type: "list",
                member: {
                  shape: "S16"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeApplicationFleetAssociations: {
          input: {
            type: "structure",
            members: {
              FleetName: {},
              ApplicationArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationFleetAssociations: {
                type: "list",
                member: {
                  shape: "S8"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeApplications: {
          input: {
            type: "structure",
            members: {
              Arns: {
                shape: "S5a"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Applications: {
                shape: "S45"
              },
              NextToken: {}
            }
          }
        },
        DescribeDirectoryConfigs: {
          input: {
            type: "structure",
            members: {
              DirectoryNames: {
                type: "list",
                member: {}
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DirectoryConfigs: {
                type: "list",
                member: {
                  shape: "S2c"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeEntitlements: {
          input: {
            type: "structure",
            required: [
              "StackName"
            ],
            members: {
              Name: {},
              StackName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Entitlements: {
                type: "list",
                member: {
                  shape: "S2i"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeFleets: {
          input: {
            type: "structure",
            members: {
              Names: {
                shape: "S1y"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Fleets: {
                type: "list",
                member: {
                  shape: "S2r"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeImageBuilders: {
          input: {
            type: "structure",
            members: {
              Names: {
                shape: "S1y"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImageBuilders: {
                type: "list",
                member: {
                  shape: "S2z"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeImagePermissions: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              MaxResults: {
                type: "integer"
              },
              SharedAwsAccountIds: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              SharedImagePermissionsList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "sharedAccountId",
                    "imagePermissions"
                  ],
                  members: {
                    sharedAccountId: {},
                    imagePermissions: {
                      shape: "S46"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeImages: {
          input: {
            type: "structure",
            members: {
              Names: {
                shape: "S1y"
              },
              Arns: {
                shape: "S5a"
              },
              Type: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Images: {
                type: "list",
                member: {
                  shape: "S40"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeSessions: {
          input: {
            type: "structure",
            required: [
              "StackName",
              "FleetName"
            ],
            members: {
              StackName: {},
              FleetName: {},
              UserId: {},
              NextToken: {},
              Limit: {
                type: "integer"
              },
              AuthenticationType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Sessions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Id",
                    "UserId",
                    "StackName",
                    "FleetName",
                    "State"
                  ],
                  members: {
                    Id: {},
                    UserId: {},
                    StackName: {},
                    FleetName: {},
                    State: {},
                    ConnectionState: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    MaxExpirationTime: {
                      type: "timestamp"
                    },
                    AuthenticationType: {},
                    NetworkAccessConfiguration: {
                      shape: "S33"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeStacks: {
          input: {
            type: "structure",
            members: {
              Names: {
                shape: "S1y"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Stacks: {
                type: "list",
                member: {
                  shape: "S3q"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeUsageReportSubscriptions: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UsageReportSubscriptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    S3BucketName: {},
                    Schedule: {},
                    LastGeneratedReportDate: {
                      type: "timestamp"
                    },
                    SubscriptionErrors: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ErrorCode: {},
                          ErrorMessage: {}
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeUserStackAssociations: {
          input: {
            type: "structure",
            members: {
              StackName: {},
              UserName: {
                shape: "Sh"
              },
              AuthenticationType: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UserStackAssociations: {
                shape: "Sf"
              },
              NextToken: {}
            }
          }
        },
        DescribeUsers: {
          input: {
            type: "structure",
            required: [
              "AuthenticationType"
            ],
            members: {
              AuthenticationType: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Users: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AuthenticationType"
                  ],
                  members: {
                    Arn: {},
                    UserName: {
                      shape: "Sh"
                    },
                    Enabled: {
                      type: "boolean"
                    },
                    Status: {},
                    FirstName: {
                      shape: "S4c"
                    },
                    LastName: {
                      shape: "S4c"
                    },
                    CreatedTime: {
                      type: "timestamp"
                    },
                    AuthenticationType: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DisableUser: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "AuthenticationType"
            ],
            members: {
              UserName: {
                shape: "Sh"
              },
              AuthenticationType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateAppBlockBuilderAppBlock: {
          input: {
            type: "structure",
            required: [
              "AppBlockArn",
              "AppBlockBuilderName"
            ],
            members: {
              AppBlockArn: {},
              AppBlockBuilderName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateApplicationFleet: {
          input: {
            type: "structure",
            required: [
              "FleetName",
              "ApplicationArn"
            ],
            members: {
              FleetName: {},
              ApplicationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateApplicationFromEntitlement: {
          input: {
            type: "structure",
            required: [
              "StackName",
              "EntitlementName",
              "ApplicationIdentifier"
            ],
            members: {
              StackName: {},
              EntitlementName: {},
              ApplicationIdentifier: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateFleet: {
          input: {
            type: "structure",
            required: [
              "FleetName",
              "StackName"
            ],
            members: {
              FleetName: {},
              StackName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        EnableUser: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "AuthenticationType"
            ],
            members: {
              UserName: {
                shape: "Sh"
              },
              AuthenticationType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ExpireSession: {
          input: {
            type: "structure",
            required: [
              "SessionId"
            ],
            members: {
              SessionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ListAssociatedFleets: {
          input: {
            type: "structure",
            required: [
              "StackName"
            ],
            members: {
              StackName: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Names: {
                shape: "S1y"
              },
              NextToken: {}
            }
          }
        },
        ListAssociatedStacks: {
          input: {
            type: "structure",
            required: [
              "FleetName"
            ],
            members: {
              FleetName: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Names: {
                shape: "S1y"
              },
              NextToken: {}
            }
          }
        },
        ListEntitledApplications: {
          input: {
            type: "structure",
            required: [
              "StackName",
              "EntitlementName"
            ],
            members: {
              StackName: {},
              EntitlementName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EntitledApplications: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ApplicationIdentifier"
                  ],
                  members: {
                    ApplicationIdentifier: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S11"
              }
            }
          }
        },
        StartAppBlockBuilder: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AppBlockBuilder: {
                shape: "S1l"
              }
            }
          }
        },
        StartFleet: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartImageBuilder: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              AppstreamAgentVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImageBuilder: {
                shape: "S2z"
              }
            }
          }
        },
        StopAppBlockBuilder: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AppBlockBuilder: {
                shape: "S1l"
              }
            }
          }
        },
        StopFleet: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StopImageBuilder: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImageBuilder: {
                shape: "S2z"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S11"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAppBlockBuilder: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              DisplayName: {},
              Platform: {},
              InstanceType: {},
              VpcConfig: {
                shape: "S1d"
              },
              EnableDefaultInternetAccess: {
                type: "boolean"
              },
              IamRoleArn: {},
              AccessEndpoints: {
                shape: "S1h"
              },
              AttributesToDelete: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppBlockBuilder: {
                shape: "S1l"
              }
            }
          }
        },
        UpdateApplication: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              DisplayName: {},
              Description: {},
              IconS3Location: {
                shape: "Sw"
              },
              LaunchPath: {},
              WorkingDirectory: {},
              LaunchParameters: {},
              AppBlockArn: {},
              AttributesToDelete: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Application: {
                shape: "S20"
              }
            }
          }
        },
        UpdateDirectoryConfig: {
          input: {
            type: "structure",
            required: [
              "DirectoryName"
            ],
            members: {
              DirectoryName: {},
              OrganizationalUnitDistinguishedNames: {
                shape: "S24"
              },
              ServiceAccountCredentials: {
                shape: "S26"
              },
              CertificateBasedAuthProperties: {
                shape: "S29"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DirectoryConfig: {
                shape: "S2c"
              }
            }
          }
        },
        UpdateEntitlement: {
          input: {
            type: "structure",
            required: [
              "Name",
              "StackName"
            ],
            members: {
              Name: {},
              StackName: {},
              Description: {},
              AppVisibility: {},
              Attributes: {
                shape: "S2f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Entitlement: {
                shape: "S2i"
              }
            }
          }
        },
        UpdateFleet: {
          input: {
            type: "structure",
            members: {
              ImageName: {},
              ImageArn: {},
              Name: {},
              InstanceType: {},
              ComputeCapacity: {
                shape: "S2l"
              },
              VpcConfig: {
                shape: "S1d"
              },
              MaxUserDurationInSeconds: {
                type: "integer"
              },
              DisconnectTimeoutInSeconds: {
                type: "integer"
              },
              DeleteVpcConfig: {
                deprecated: true,
                type: "boolean"
              },
              Description: {},
              DisplayName: {},
              EnableDefaultInternetAccess: {
                type: "boolean"
              },
              DomainJoinInfo: {
                shape: "S2m"
              },
              IdleDisconnectTimeoutInSeconds: {
                type: "integer"
              },
              AttributesToDelete: {
                type: "list",
                member: {}
              },
              IamRoleArn: {},
              StreamView: {},
              Platform: {},
              MaxConcurrentSessions: {
                type: "integer"
              },
              UsbDeviceFilterStrings: {
                shape: "S2o"
              },
              SessionScriptS3Location: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Fleet: {
                shape: "S2r"
              }
            }
          }
        },
        UpdateImagePermissions: {
          input: {
            type: "structure",
            required: [
              "Name",
              "SharedAccountId",
              "ImagePermissions"
            ],
            members: {
              Name: {},
              SharedAccountId: {},
              ImagePermissions: {
                shape: "S46"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateStack: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              DisplayName: {},
              Description: {},
              Name: {},
              StorageConnectors: {
                shape: "S37"
              },
              DeleteStorageConnectors: {
                deprecated: true,
                type: "boolean"
              },
              RedirectURL: {},
              FeedbackURL: {},
              AttributesToDelete: {
                type: "list",
                member: {}
              },
              UserSettings: {
                shape: "S3f"
              },
              ApplicationSettings: {
                shape: "S3j"
              },
              AccessEndpoints: {
                shape: "S1h"
              },
              EmbedHostDomains: {
                shape: "S3l"
              },
              StreamingExperienceSettings: {
                shape: "S3n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Stack: {
                shape: "S3q"
              }
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          required: [
            "AppBlockArn",
            "AppBlockBuilderName"
          ],
          members: {
            AppBlockArn: {},
            AppBlockBuilderName: {}
          }
        },
        S8: {
          type: "structure",
          required: [
            "FleetName",
            "ApplicationArn"
          ],
          members: {
            FleetName: {},
            ApplicationArn: {}
          }
        },
        Sf: {
          type: "list",
          member: {
            shape: "Sg"
          }
        },
        Sg: {
          type: "structure",
          required: [
            "StackName",
            "UserName",
            "AuthenticationType"
          ],
          members: {
            StackName: {},
            UserName: {
              shape: "Sh"
            },
            AuthenticationType: {},
            SendEmailNotification: {
              type: "boolean"
            }
          }
        },
        Sh: {
          type: "string",
          sensitive: true
        },
        Sl: {
          type: "list",
          member: {
            type: "structure",
            members: {
              UserStackAssociation: {
                shape: "Sg"
              },
              ErrorCode: {},
              ErrorMessage: {}
            }
          }
        },
        Sw: {
          type: "structure",
          required: [
            "S3Bucket"
          ],
          members: {
            S3Bucket: {},
            S3Key: {}
          }
        },
        Sz: {
          type: "structure",
          required: [
            "ScriptS3Location",
            "ExecutablePath",
            "TimeoutInSeconds"
          ],
          members: {
            ScriptS3Location: {
              shape: "Sw"
            },
            ExecutablePath: {},
            ExecutableParameters: {},
            TimeoutInSeconds: {
              type: "integer"
            }
          }
        },
        S11: {
          type: "map",
          key: {},
          value: {}
        },
        S16: {
          type: "structure",
          required: [
            "Name",
            "Arn"
          ],
          members: {
            Name: {},
            Arn: {},
            Description: {},
            DisplayName: {},
            SourceS3Location: {
              shape: "Sw"
            },
            SetupScriptDetails: {
              shape: "Sz"
            },
            CreatedTime: {
              type: "timestamp"
            },
            PostSetupScriptDetails: {
              shape: "Sz"
            },
            PackagingType: {},
            State: {},
            AppBlockErrors: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  ErrorCode: {},
                  ErrorMessage: {}
                }
              }
            }
          }
        },
        S1d: {
          type: "structure",
          members: {
            SubnetIds: {
              type: "list",
              member: {}
            },
            SecurityGroupIds: {
              type: "list",
              member: {}
            }
          }
        },
        S1h: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "EndpointType"
            ],
            members: {
              EndpointType: {},
              VpceId: {}
            }
          }
        },
        S1l: {
          type: "structure",
          required: [
            "Arn",
            "Name",
            "Platform",
            "InstanceType",
            "VpcConfig",
            "State"
          ],
          members: {
            Arn: {},
            Name: {},
            DisplayName: {},
            Description: {},
            Platform: {},
            InstanceType: {},
            EnableDefaultInternetAccess: {
              type: "boolean"
            },
            IamRoleArn: {},
            VpcConfig: {
              shape: "S1d"
            },
            State: {},
            CreatedTime: {
              type: "timestamp"
            },
            AppBlockBuilderErrors: {
              shape: "S1n"
            },
            StateChangeReason: {
              type: "structure",
              members: {
                Code: {},
                Message: {}
              }
            },
            AccessEndpoints: {
              shape: "S1h"
            }
          }
        },
        S1n: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ErrorCode: {},
              ErrorMessage: {},
              ErrorTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        S1w: {
          type: "list",
          member: {}
        },
        S1y: {
          type: "list",
          member: {}
        },
        S20: {
          type: "structure",
          members: {
            Name: {},
            DisplayName: {},
            IconURL: {},
            LaunchPath: {},
            LaunchParameters: {},
            Enabled: {
              type: "boolean"
            },
            Metadata: {
              type: "map",
              key: {},
              value: {}
            },
            WorkingDirectory: {},
            Description: {},
            Arn: {},
            AppBlockArn: {},
            IconS3Location: {
              shape: "Sw"
            },
            Platforms: {
              shape: "S1w"
            },
            InstanceFamilies: {
              shape: "S1y"
            },
            CreatedTime: {
              type: "timestamp"
            }
          }
        },
        S24: {
          type: "list",
          member: {}
        },
        S26: {
          type: "structure",
          required: [
            "AccountName",
            "AccountPassword"
          ],
          members: {
            AccountName: {
              type: "string",
              sensitive: true
            },
            AccountPassword: {
              type: "string",
              sensitive: true
            }
          }
        },
        S29: {
          type: "structure",
          members: {
            Status: {},
            CertificateAuthorityArn: {}
          }
        },
        S2c: {
          type: "structure",
          required: [
            "DirectoryName"
          ],
          members: {
            DirectoryName: {},
            OrganizationalUnitDistinguishedNames: {
              shape: "S24"
            },
            ServiceAccountCredentials: {
              shape: "S26"
            },
            CreatedTime: {
              type: "timestamp"
            },
            CertificateBasedAuthProperties: {
              shape: "S29"
            }
          }
        },
        S2f: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Value"
            ],
            members: {
              Name: {},
              Value: {}
            }
          }
        },
        S2i: {
          type: "structure",
          required: [
            "Name",
            "StackName",
            "AppVisibility",
            "Attributes"
          ],
          members: {
            Name: {},
            StackName: {},
            Description: {},
            AppVisibility: {},
            Attributes: {
              shape: "S2f"
            },
            CreatedTime: {
              type: "timestamp"
            },
            LastModifiedTime: {
              type: "timestamp"
            }
          }
        },
        S2l: {
          type: "structure",
          required: [
            "DesiredInstances"
          ],
          members: {
            DesiredInstances: {
              type: "integer"
            }
          }
        },
        S2m: {
          type: "structure",
          members: {
            DirectoryName: {},
            OrganizationalUnitDistinguishedName: {}
          }
        },
        S2o: {
          type: "list",
          member: {}
        },
        S2r: {
          type: "structure",
          required: [
            "Arn",
            "Name",
            "InstanceType",
            "ComputeCapacityStatus",
            "State"
          ],
          members: {
            Arn: {},
            Name: {},
            DisplayName: {},
            Description: {},
            ImageName: {},
            ImageArn: {},
            InstanceType: {},
            FleetType: {},
            ComputeCapacityStatus: {
              type: "structure",
              required: [
                "Desired"
              ],
              members: {
                Desired: {
                  type: "integer"
                },
                Running: {
                  type: "integer"
                },
                InUse: {
                  type: "integer"
                },
                Available: {
                  type: "integer"
                }
              }
            },
            MaxUserDurationInSeconds: {
              type: "integer"
            },
            DisconnectTimeoutInSeconds: {
              type: "integer"
            },
            State: {},
            VpcConfig: {
              shape: "S1d"
            },
            CreatedTime: {
              type: "timestamp"
            },
            FleetErrors: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  ErrorCode: {},
                  ErrorMessage: {}
                }
              }
            },
            EnableDefaultInternetAccess: {
              type: "boolean"
            },
            DomainJoinInfo: {
              shape: "S2m"
            },
            IdleDisconnectTimeoutInSeconds: {
              type: "integer"
            },
            IamRoleArn: {},
            StreamView: {},
            Platform: {},
            MaxConcurrentSessions: {
              type: "integer"
            },
            UsbDeviceFilterStrings: {
              shape: "S2o"
            },
            SessionScriptS3Location: {
              shape: "Sw"
            }
          }
        },
        S2z: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            Arn: {},
            ImageArn: {},
            Description: {},
            DisplayName: {},
            VpcConfig: {
              shape: "S1d"
            },
            InstanceType: {},
            Platform: {},
            IamRoleArn: {},
            State: {},
            StateChangeReason: {
              type: "structure",
              members: {
                Code: {},
                Message: {}
              }
            },
            CreatedTime: {
              type: "timestamp"
            },
            EnableDefaultInternetAccess: {
              type: "boolean"
            },
            DomainJoinInfo: {
              shape: "S2m"
            },
            NetworkAccessConfiguration: {
              shape: "S33"
            },
            ImageBuilderErrors: {
              shape: "S1n"
            },
            AppstreamAgentVersion: {},
            AccessEndpoints: {
              shape: "S1h"
            }
          }
        },
        S33: {
          type: "structure",
          members: {
            EniPrivateIpAddress: {},
            EniId: {}
          }
        },
        S37: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ConnectorType"
            ],
            members: {
              ConnectorType: {},
              ResourceIdentifier: {},
              Domains: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S3f: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Action",
              "Permission"
            ],
            members: {
              Action: {},
              Permission: {}
            }
          }
        },
        S3j: {
          type: "structure",
          required: [
            "Enabled"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            SettingsGroup: {}
          }
        },
        S3l: {
          type: "list",
          member: {}
        },
        S3n: {
          type: "structure",
          members: {
            PreferredProtocol: {}
          }
        },
        S3q: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Arn: {},
            Name: {},
            Description: {},
            DisplayName: {},
            CreatedTime: {
              type: "timestamp"
            },
            StorageConnectors: {
              shape: "S37"
            },
            RedirectURL: {},
            FeedbackURL: {},
            StackErrors: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  ErrorCode: {},
                  ErrorMessage: {}
                }
              }
            },
            UserSettings: {
              shape: "S3f"
            },
            ApplicationSettings: {
              type: "structure",
              members: {
                Enabled: {
                  type: "boolean"
                },
                SettingsGroup: {},
                S3BucketName: {}
              }
            },
            AccessEndpoints: {
              shape: "S1h"
            },
            EmbedHostDomains: {
              shape: "S3l"
            },
            StreamingExperienceSettings: {
              shape: "S3n"
            }
          }
        },
        S40: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            Arn: {},
            BaseImageArn: {},
            DisplayName: {},
            State: {},
            Visibility: {},
            ImageBuilderSupported: {
              type: "boolean"
            },
            ImageBuilderName: {},
            Platform: {},
            Description: {},
            StateChangeReason: {
              type: "structure",
              members: {
                Code: {},
                Message: {}
              }
            },
            Applications: {
              shape: "S45"
            },
            CreatedTime: {
              type: "timestamp"
            },
            PublicBaseImageReleasedDate: {
              type: "timestamp"
            },
            AppstreamAgentVersion: {},
            ImagePermissions: {
              shape: "S46"
            },
            ImageErrors: {
              shape: "S1n"
            }
          }
        },
        S45: {
          type: "list",
          member: {
            shape: "S20"
          }
        },
        S46: {
          type: "structure",
          members: {
            allowFleet: {
              type: "boolean"
            },
            allowImageBuilder: {
              type: "boolean"
            }
          }
        },
        S4c: {
          type: "string",
          sensitive: true
        },
        S5a: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/appstream-2016-12-01.paginators.json
var require_appstream_2016_12_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/appstream-2016-12-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeAppBlockBuilderAppBlockAssociations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeAppBlockBuilders: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeImagePermissions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeImages: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/appstream-2016-12-01.waiters2.json
var require_appstream_2016_12_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/appstream-2016-12-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        FleetStarted: {
          delay: 30,
          maxAttempts: 40,
          operation: "DescribeFleets",
          acceptors: [
            {
              state: "success",
              matcher: "pathAll",
              argument: "Fleets[].State",
              expected: "RUNNING"
            },
            {
              state: "failure",
              matcher: "pathAny",
              argument: "Fleets[].State",
              expected: "STOPPING"
            },
            {
              state: "failure",
              matcher: "pathAny",
              argument: "Fleets[].State",
              expected: "STOPPED"
            }
          ]
        },
        FleetStopped: {
          delay: 30,
          maxAttempts: 40,
          operation: "DescribeFleets",
          acceptors: [
            {
              state: "success",
              matcher: "pathAll",
              argument: "Fleets[].State",
              expected: "STOPPED"
            },
            {
              state: "failure",
              matcher: "pathAny",
              argument: "Fleets[].State",
              expected: "STARTING"
            },
            {
              state: "failure",
              matcher: "pathAny",
              argument: "Fleets[].State",
              expected: "RUNNING"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/appstream.js
var require_appstream = __commonJS({
  "node_modules/aws-sdk/clients/appstream.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["appstream"] = {};
    AWS2.AppStream = Service.defineService("appstream", ["2016-12-01"]);
    Object.defineProperty(apiLoader.services["appstream"], "2016-12-01", {
      get: function get() {
        var model = require_appstream_2016_12_01_min();
        model.paginators = require_appstream_2016_12_01_paginators().pagination;
        model.waiters = require_appstream_2016_12_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.AppStream;
  }
});

// node_modules/aws-sdk/apis/autoscaling-2011-01-01.min.json
var require_autoscaling_2011_01_01_min = __commonJS({
  "node_modules/aws-sdk/apis/autoscaling-2011-01-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2011-01-01",
        endpointPrefix: "autoscaling",
        protocol: "query",
        serviceFullName: "Auto Scaling",
        serviceId: "Auto Scaling",
        signatureVersion: "v4",
        uid: "autoscaling-2011-01-01",
        xmlNamespace: "http://autoscaling.amazonaws.com/doc/2011-01-01/"
      },
      operations: {
        AttachInstances: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName"
            ],
            members: {
              InstanceIds: {
                shape: "S2"
              },
              AutoScalingGroupName: {}
            }
          }
        },
        AttachLoadBalancerTargetGroups: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "TargetGroupARNs"
            ],
            members: {
              AutoScalingGroupName: {},
              TargetGroupARNs: {
                shape: "S6"
              }
            }
          },
          output: {
            resultWrapper: "AttachLoadBalancerTargetGroupsResult",
            type: "structure",
            members: {}
          }
        },
        AttachLoadBalancers: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "LoadBalancerNames"
            ],
            members: {
              AutoScalingGroupName: {},
              LoadBalancerNames: {
                shape: "Sa"
              }
            }
          },
          output: {
            resultWrapper: "AttachLoadBalancersResult",
            type: "structure",
            members: {}
          }
        },
        AttachTrafficSources: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "TrafficSources"
            ],
            members: {
              AutoScalingGroupName: {},
              TrafficSources: {
                shape: "Sd"
              }
            }
          },
          output: {
            resultWrapper: "AttachTrafficSourcesResult",
            type: "structure",
            members: {}
          }
        },
        BatchDeleteScheduledAction: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "ScheduledActionNames"
            ],
            members: {
              AutoScalingGroupName: {},
              ScheduledActionNames: {
                shape: "Sh"
              }
            }
          },
          output: {
            resultWrapper: "BatchDeleteScheduledActionResult",
            type: "structure",
            members: {
              FailedScheduledActions: {
                shape: "Sj"
              }
            }
          }
        },
        BatchPutScheduledUpdateGroupAction: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "ScheduledUpdateGroupActions"
            ],
            members: {
              AutoScalingGroupName: {},
              ScheduledUpdateGroupActions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ScheduledActionName"
                  ],
                  members: {
                    ScheduledActionName: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    Recurrence: {},
                    MinSize: {
                      type: "integer"
                    },
                    MaxSize: {
                      type: "integer"
                    },
                    DesiredCapacity: {
                      type: "integer"
                    },
                    TimeZone: {}
                  }
                }
              }
            }
          },
          output: {
            resultWrapper: "BatchPutScheduledUpdateGroupActionResult",
            type: "structure",
            members: {
              FailedScheduledUpdateGroupActions: {
                shape: "Sj"
              }
            }
          }
        },
        CancelInstanceRefresh: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName"
            ],
            members: {
              AutoScalingGroupName: {}
            }
          },
          output: {
            resultWrapper: "CancelInstanceRefreshResult",
            type: "structure",
            members: {
              InstanceRefreshId: {}
            }
          }
        },
        CompleteLifecycleAction: {
          input: {
            type: "structure",
            required: [
              "LifecycleHookName",
              "AutoScalingGroupName",
              "LifecycleActionResult"
            ],
            members: {
              LifecycleHookName: {},
              AutoScalingGroupName: {},
              LifecycleActionToken: {},
              LifecycleActionResult: {},
              InstanceId: {}
            }
          },
          output: {
            resultWrapper: "CompleteLifecycleActionResult",
            type: "structure",
            members: {}
          }
        },
        CreateAutoScalingGroup: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "MinSize",
              "MaxSize"
            ],
            members: {
              AutoScalingGroupName: {},
              LaunchConfigurationName: {},
              LaunchTemplate: {
                shape: "S14"
              },
              MixedInstancesPolicy: {
                shape: "S16"
              },
              InstanceId: {},
              MinSize: {
                type: "integer"
              },
              MaxSize: {
                type: "integer"
              },
              DesiredCapacity: {
                type: "integer"
              },
              DefaultCooldown: {
                type: "integer"
              },
              AvailabilityZones: {
                shape: "S2d"
              },
              LoadBalancerNames: {
                shape: "Sa"
              },
              TargetGroupARNs: {
                shape: "S6"
              },
              HealthCheckType: {},
              HealthCheckGracePeriod: {
                type: "integer"
              },
              PlacementGroup: {},
              VPCZoneIdentifier: {},
              TerminationPolicies: {
                shape: "S2g"
              },
              NewInstancesProtectedFromScaleIn: {
                type: "boolean"
              },
              CapacityRebalance: {
                type: "boolean"
              },
              LifecycleHookSpecificationList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "LifecycleHookName",
                    "LifecycleTransition"
                  ],
                  members: {
                    LifecycleHookName: {},
                    LifecycleTransition: {},
                    NotificationMetadata: {},
                    HeartbeatTimeout: {
                      type: "integer"
                    },
                    DefaultResult: {},
                    NotificationTargetARN: {},
                    RoleARN: {}
                  }
                }
              },
              Tags: {
                shape: "S2q"
              },
              ServiceLinkedRoleARN: {},
              MaxInstanceLifetime: {
                type: "integer"
              },
              Context: {},
              DesiredCapacityType: {},
              DefaultInstanceWarmup: {
                type: "integer"
              },
              TrafficSources: {
                shape: "Sd"
              }
            }
          }
        },
        CreateLaunchConfiguration: {
          input: {
            type: "structure",
            required: [
              "LaunchConfigurationName"
            ],
            members: {
              LaunchConfigurationName: {},
              ImageId: {},
              KeyName: {},
              SecurityGroups: {
                shape: "S2z"
              },
              ClassicLinkVPCId: {},
              ClassicLinkVPCSecurityGroups: {
                shape: "S30"
              },
              UserData: {},
              InstanceId: {},
              InstanceType: {},
              KernelId: {},
              RamdiskId: {},
              BlockDeviceMappings: {
                shape: "S32"
              },
              InstanceMonitoring: {
                shape: "S3c"
              },
              SpotPrice: {},
              IamInstanceProfile: {},
              EbsOptimized: {
                type: "boolean"
              },
              AssociatePublicIpAddress: {
                type: "boolean"
              },
              PlacementTenancy: {},
              MetadataOptions: {
                shape: "S3h"
              }
            }
          }
        },
        CreateOrUpdateTags: {
          input: {
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "S2q"
              }
            }
          }
        },
        DeleteAutoScalingGroup: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName"
            ],
            members: {
              AutoScalingGroupName: {},
              ForceDelete: {
                type: "boolean"
              }
            }
          }
        },
        DeleteLaunchConfiguration: {
          input: {
            type: "structure",
            required: [
              "LaunchConfigurationName"
            ],
            members: {
              LaunchConfigurationName: {}
            }
          }
        },
        DeleteLifecycleHook: {
          input: {
            type: "structure",
            required: [
              "LifecycleHookName",
              "AutoScalingGroupName"
            ],
            members: {
              LifecycleHookName: {},
              AutoScalingGroupName: {}
            }
          },
          output: {
            resultWrapper: "DeleteLifecycleHookResult",
            type: "structure",
            members: {}
          }
        },
        DeleteNotificationConfiguration: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "TopicARN"
            ],
            members: {
              AutoScalingGroupName: {},
              TopicARN: {}
            }
          }
        },
        DeletePolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyName"
            ],
            members: {
              AutoScalingGroupName: {},
              PolicyName: {}
            }
          }
        },
        DeleteScheduledAction: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "ScheduledActionName"
            ],
            members: {
              AutoScalingGroupName: {},
              ScheduledActionName: {}
            }
          }
        },
        DeleteTags: {
          input: {
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "S2q"
              }
            }
          }
        },
        DeleteWarmPool: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName"
            ],
            members: {
              AutoScalingGroupName: {},
              ForceDelete: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DeleteWarmPoolResult",
            type: "structure",
            members: {}
          }
        },
        DescribeAccountLimits: {
          output: {
            resultWrapper: "DescribeAccountLimitsResult",
            type: "structure",
            members: {
              MaxNumberOfAutoScalingGroups: {
                type: "integer"
              },
              MaxNumberOfLaunchConfigurations: {
                type: "integer"
              },
              NumberOfAutoScalingGroups: {
                type: "integer"
              },
              NumberOfLaunchConfigurations: {
                type: "integer"
              }
            }
          }
        },
        DescribeAdjustmentTypes: {
          output: {
            resultWrapper: "DescribeAdjustmentTypesResult",
            type: "structure",
            members: {
              AdjustmentTypes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AdjustmentType: {}
                  }
                }
              }
            }
          }
        },
        DescribeAutoScalingGroups: {
          input: {
            type: "structure",
            members: {
              AutoScalingGroupNames: {
                shape: "S46"
              },
              NextToken: {},
              MaxRecords: {
                type: "integer"
              },
              Filters: {
                shape: "S48"
              }
            }
          },
          output: {
            resultWrapper: "DescribeAutoScalingGroupsResult",
            type: "structure",
            required: [
              "AutoScalingGroups"
            ],
            members: {
              AutoScalingGroups: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AutoScalingGroupName",
                    "MinSize",
                    "MaxSize",
                    "DesiredCapacity",
                    "DefaultCooldown",
                    "AvailabilityZones",
                    "HealthCheckType",
                    "CreatedTime"
                  ],
                  members: {
                    AutoScalingGroupName: {},
                    AutoScalingGroupARN: {},
                    LaunchConfigurationName: {},
                    LaunchTemplate: {
                      shape: "S14"
                    },
                    MixedInstancesPolicy: {
                      shape: "S16"
                    },
                    MinSize: {
                      type: "integer"
                    },
                    MaxSize: {
                      type: "integer"
                    },
                    DesiredCapacity: {
                      type: "integer"
                    },
                    PredictedCapacity: {
                      type: "integer"
                    },
                    DefaultCooldown: {
                      type: "integer"
                    },
                    AvailabilityZones: {
                      shape: "S2d"
                    },
                    LoadBalancerNames: {
                      shape: "Sa"
                    },
                    TargetGroupARNs: {
                      shape: "S6"
                    },
                    HealthCheckType: {},
                    HealthCheckGracePeriod: {
                      type: "integer"
                    },
                    Instances: {
                      shape: "S4f"
                    },
                    CreatedTime: {
                      type: "timestamp"
                    },
                    SuspendedProcesses: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ProcessName: {},
                          SuspensionReason: {}
                        }
                      }
                    },
                    PlacementGroup: {},
                    VPCZoneIdentifier: {},
                    EnabledMetrics: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Metric: {},
                          Granularity: {}
                        }
                      }
                    },
                    Status: {},
                    Tags: {
                      shape: "S4m"
                    },
                    TerminationPolicies: {
                      shape: "S2g"
                    },
                    NewInstancesProtectedFromScaleIn: {
                      type: "boolean"
                    },
                    ServiceLinkedRoleARN: {},
                    MaxInstanceLifetime: {
                      type: "integer"
                    },
                    CapacityRebalance: {
                      type: "boolean"
                    },
                    WarmPoolConfiguration: {
                      shape: "S4o"
                    },
                    WarmPoolSize: {
                      type: "integer"
                    },
                    Context: {},
                    DesiredCapacityType: {},
                    DefaultInstanceWarmup: {
                      type: "integer"
                    },
                    TrafficSources: {
                      shape: "Sd"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeAutoScalingInstances: {
          input: {
            type: "structure",
            members: {
              InstanceIds: {
                shape: "S2"
              },
              MaxRecords: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "DescribeAutoScalingInstancesResult",
            type: "structure",
            members: {
              AutoScalingInstances: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "InstanceId",
                    "AutoScalingGroupName",
                    "AvailabilityZone",
                    "LifecycleState",
                    "HealthStatus",
                    "ProtectedFromScaleIn"
                  ],
                  members: {
                    InstanceId: {},
                    InstanceType: {},
                    AutoScalingGroupName: {},
                    AvailabilityZone: {},
                    LifecycleState: {},
                    HealthStatus: {},
                    LaunchConfigurationName: {},
                    LaunchTemplate: {
                      shape: "S14"
                    },
                    ProtectedFromScaleIn: {
                      type: "boolean"
                    },
                    WeightedCapacity: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeAutoScalingNotificationTypes: {
          output: {
            resultWrapper: "DescribeAutoScalingNotificationTypesResult",
            type: "structure",
            members: {
              AutoScalingNotificationTypes: {
                shape: "S51"
              }
            }
          }
        },
        DescribeInstanceRefreshes: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName"
            ],
            members: {
              AutoScalingGroupName: {},
              InstanceRefreshIds: {
                type: "list",
                member: {}
              },
              NextToken: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeInstanceRefreshesResult",
            type: "structure",
            members: {
              InstanceRefreshes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InstanceRefreshId: {},
                    AutoScalingGroupName: {},
                    Status: {},
                    StatusReason: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    PercentageComplete: {
                      type: "integer"
                    },
                    InstancesToUpdate: {
                      type: "integer"
                    },
                    ProgressDetails: {
                      shape: "S5a"
                    },
                    Preferences: {
                      shape: "S5d"
                    },
                    DesiredConfiguration: {
                      shape: "S5m"
                    },
                    RollbackDetails: {
                      type: "structure",
                      members: {
                        RollbackReason: {},
                        RollbackStartTime: {
                          type: "timestamp"
                        },
                        PercentageCompleteOnRollback: {
                          type: "integer"
                        },
                        InstancesToUpdateOnRollback: {
                          type: "integer"
                        },
                        ProgressDetailsOnRollback: {
                          shape: "S5a"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeLaunchConfigurations: {
          input: {
            type: "structure",
            members: {
              LaunchConfigurationNames: {
                type: "list",
                member: {}
              },
              NextToken: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeLaunchConfigurationsResult",
            type: "structure",
            required: [
              "LaunchConfigurations"
            ],
            members: {
              LaunchConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "LaunchConfigurationName",
                    "ImageId",
                    "InstanceType",
                    "CreatedTime"
                  ],
                  members: {
                    LaunchConfigurationName: {},
                    LaunchConfigurationARN: {},
                    ImageId: {},
                    KeyName: {},
                    SecurityGroups: {
                      shape: "S2z"
                    },
                    ClassicLinkVPCId: {},
                    ClassicLinkVPCSecurityGroups: {
                      shape: "S30"
                    },
                    UserData: {},
                    InstanceType: {},
                    KernelId: {},
                    RamdiskId: {},
                    BlockDeviceMappings: {
                      shape: "S32"
                    },
                    InstanceMonitoring: {
                      shape: "S3c"
                    },
                    SpotPrice: {},
                    IamInstanceProfile: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    EbsOptimized: {
                      type: "boolean"
                    },
                    AssociatePublicIpAddress: {
                      type: "boolean"
                    },
                    PlacementTenancy: {},
                    MetadataOptions: {
                      shape: "S3h"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeLifecycleHookTypes: {
          output: {
            resultWrapper: "DescribeLifecycleHookTypesResult",
            type: "structure",
            members: {
              LifecycleHookTypes: {
                shape: "S51"
              }
            }
          }
        },
        DescribeLifecycleHooks: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName"
            ],
            members: {
              AutoScalingGroupName: {},
              LifecycleHookNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "DescribeLifecycleHooksResult",
            type: "structure",
            members: {
              LifecycleHooks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LifecycleHookName: {},
                    AutoScalingGroupName: {},
                    LifecycleTransition: {},
                    NotificationTargetARN: {},
                    RoleARN: {},
                    NotificationMetadata: {},
                    HeartbeatTimeout: {
                      type: "integer"
                    },
                    GlobalTimeout: {
                      type: "integer"
                    },
                    DefaultResult: {}
                  }
                }
              }
            }
          }
        },
        DescribeLoadBalancerTargetGroups: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName"
            ],
            members: {
              AutoScalingGroupName: {},
              NextToken: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeLoadBalancerTargetGroupsResult",
            type: "structure",
            members: {
              LoadBalancerTargetGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LoadBalancerTargetGroupARN: {},
                    State: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeLoadBalancers: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName"
            ],
            members: {
              AutoScalingGroupName: {},
              NextToken: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeLoadBalancersResult",
            type: "structure",
            members: {
              LoadBalancers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LoadBalancerName: {},
                    State: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeMetricCollectionTypes: {
          output: {
            resultWrapper: "DescribeMetricCollectionTypesResult",
            type: "structure",
            members: {
              Metrics: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Metric: {}
                  }
                }
              },
              Granularities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Granularity: {}
                  }
                }
              }
            }
          }
        },
        DescribeNotificationConfigurations: {
          input: {
            type: "structure",
            members: {
              AutoScalingGroupNames: {
                shape: "S46"
              },
              NextToken: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeNotificationConfigurationsResult",
            type: "structure",
            required: [
              "NotificationConfigurations"
            ],
            members: {
              NotificationConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AutoScalingGroupName: {},
                    TopicARN: {},
                    NotificationType: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribePolicies: {
          input: {
            type: "structure",
            members: {
              AutoScalingGroupName: {},
              PolicyNames: {
                type: "list",
                member: {}
              },
              PolicyTypes: {
                type: "list",
                member: {}
              },
              NextToken: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribePoliciesResult",
            type: "structure",
            members: {
              ScalingPolicies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AutoScalingGroupName: {},
                    PolicyName: {},
                    PolicyARN: {},
                    PolicyType: {},
                    AdjustmentType: {},
                    MinAdjustmentStep: {
                      shape: "S6n"
                    },
                    MinAdjustmentMagnitude: {
                      type: "integer"
                    },
                    ScalingAdjustment: {
                      type: "integer"
                    },
                    Cooldown: {
                      type: "integer"
                    },
                    StepAdjustments: {
                      shape: "S6q"
                    },
                    MetricAggregationType: {},
                    EstimatedInstanceWarmup: {
                      type: "integer"
                    },
                    Alarms: {
                      shape: "S6u"
                    },
                    TargetTrackingConfiguration: {
                      shape: "S6w"
                    },
                    Enabled: {
                      type: "boolean"
                    },
                    PredictiveScalingConfiguration: {
                      shape: "S7h"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeScalingActivities: {
          input: {
            type: "structure",
            members: {
              ActivityIds: {
                type: "list",
                member: {}
              },
              AutoScalingGroupName: {},
              IncludeDeletedGroups: {
                type: "boolean"
              },
              MaxRecords: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "DescribeScalingActivitiesResult",
            type: "structure",
            required: [
              "Activities"
            ],
            members: {
              Activities: {
                shape: "S84"
              },
              NextToken: {}
            }
          }
        },
        DescribeScalingProcessTypes: {
          output: {
            resultWrapper: "DescribeScalingProcessTypesResult",
            type: "structure",
            members: {
              Processes: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ProcessName"
                  ],
                  members: {
                    ProcessName: {}
                  }
                }
              }
            }
          }
        },
        DescribeScheduledActions: {
          input: {
            type: "structure",
            members: {
              AutoScalingGroupName: {},
              ScheduledActionNames: {
                shape: "Sh"
              },
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              NextToken: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeScheduledActionsResult",
            type: "structure",
            members: {
              ScheduledUpdateGroupActions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AutoScalingGroupName: {},
                    ScheduledActionName: {},
                    ScheduledActionARN: {},
                    Time: {
                      type: "timestamp"
                    },
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    Recurrence: {},
                    MinSize: {
                      type: "integer"
                    },
                    MaxSize: {
                      type: "integer"
                    },
                    DesiredCapacity: {
                      type: "integer"
                    },
                    TimeZone: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeTags: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S48"
              },
              NextToken: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeTagsResult",
            type: "structure",
            members: {
              Tags: {
                shape: "S4m"
              },
              NextToken: {}
            }
          }
        },
        DescribeTerminationPolicyTypes: {
          output: {
            resultWrapper: "DescribeTerminationPolicyTypesResult",
            type: "structure",
            members: {
              TerminationPolicyTypes: {
                shape: "S2g"
              }
            }
          }
        },
        DescribeTrafficSources: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName"
            ],
            members: {
              AutoScalingGroupName: {},
              TrafficSourceType: {},
              NextToken: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeTrafficSourcesResult",
            type: "structure",
            members: {
              TrafficSources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TrafficSource: {
                      deprecated: true,
                      deprecatedMessage: "TrafficSource has been replaced by Identifier"
                    },
                    State: {},
                    Identifier: {},
                    Type: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeWarmPool: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName"
            ],
            members: {
              AutoScalingGroupName: {},
              MaxRecords: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "DescribeWarmPoolResult",
            type: "structure",
            members: {
              WarmPoolConfiguration: {
                shape: "S4o"
              },
              Instances: {
                shape: "S4f"
              },
              NextToken: {}
            }
          }
        },
        DetachInstances: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "ShouldDecrementDesiredCapacity"
            ],
            members: {
              InstanceIds: {
                shape: "S2"
              },
              AutoScalingGroupName: {},
              ShouldDecrementDesiredCapacity: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DetachInstancesResult",
            type: "structure",
            members: {
              Activities: {
                shape: "S84"
              }
            }
          }
        },
        DetachLoadBalancerTargetGroups: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "TargetGroupARNs"
            ],
            members: {
              AutoScalingGroupName: {},
              TargetGroupARNs: {
                shape: "S6"
              }
            }
          },
          output: {
            resultWrapper: "DetachLoadBalancerTargetGroupsResult",
            type: "structure",
            members: {}
          }
        },
        DetachLoadBalancers: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "LoadBalancerNames"
            ],
            members: {
              AutoScalingGroupName: {},
              LoadBalancerNames: {
                shape: "Sa"
              }
            }
          },
          output: {
            resultWrapper: "DetachLoadBalancersResult",
            type: "structure",
            members: {}
          }
        },
        DetachTrafficSources: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "TrafficSources"
            ],
            members: {
              AutoScalingGroupName: {},
              TrafficSources: {
                shape: "Sd"
              }
            }
          },
          output: {
            resultWrapper: "DetachTrafficSourcesResult",
            type: "structure",
            members: {}
          }
        },
        DisableMetricsCollection: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName"
            ],
            members: {
              AutoScalingGroupName: {},
              Metrics: {
                shape: "S8z"
              }
            }
          }
        },
        EnableMetricsCollection: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "Granularity"
            ],
            members: {
              AutoScalingGroupName: {},
              Metrics: {
                shape: "S8z"
              },
              Granularity: {}
            }
          }
        },
        EnterStandby: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "ShouldDecrementDesiredCapacity"
            ],
            members: {
              InstanceIds: {
                shape: "S2"
              },
              AutoScalingGroupName: {},
              ShouldDecrementDesiredCapacity: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "EnterStandbyResult",
            type: "structure",
            members: {
              Activities: {
                shape: "S84"
              }
            }
          }
        },
        ExecutePolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyName"
            ],
            members: {
              AutoScalingGroupName: {},
              PolicyName: {},
              HonorCooldown: {
                type: "boolean"
              },
              MetricValue: {
                type: "double"
              },
              BreachThreshold: {
                type: "double"
              }
            }
          }
        },
        ExitStandby: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName"
            ],
            members: {
              InstanceIds: {
                shape: "S2"
              },
              AutoScalingGroupName: {}
            }
          },
          output: {
            resultWrapper: "ExitStandbyResult",
            type: "structure",
            members: {
              Activities: {
                shape: "S84"
              }
            }
          }
        },
        GetPredictiveScalingForecast: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "PolicyName",
              "StartTime",
              "EndTime"
            ],
            members: {
              AutoScalingGroupName: {},
              PolicyName: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              }
            }
          },
          output: {
            resultWrapper: "GetPredictiveScalingForecastResult",
            type: "structure",
            required: [
              "LoadForecast",
              "CapacityForecast",
              "UpdateTime"
            ],
            members: {
              LoadForecast: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Timestamps",
                    "Values",
                    "MetricSpecification"
                  ],
                  members: {
                    Timestamps: {
                      shape: "S9b"
                    },
                    Values: {
                      shape: "S9c"
                    },
                    MetricSpecification: {
                      shape: "S7j"
                    }
                  }
                }
              },
              CapacityForecast: {
                type: "structure",
                required: [
                  "Timestamps",
                  "Values"
                ],
                members: {
                  Timestamps: {
                    shape: "S9b"
                  },
                  Values: {
                    shape: "S9c"
                  }
                }
              },
              UpdateTime: {
                type: "timestamp"
              }
            }
          }
        },
        PutLifecycleHook: {
          input: {
            type: "structure",
            required: [
              "LifecycleHookName",
              "AutoScalingGroupName"
            ],
            members: {
              LifecycleHookName: {},
              AutoScalingGroupName: {},
              LifecycleTransition: {},
              RoleARN: {},
              NotificationTargetARN: {},
              NotificationMetadata: {},
              HeartbeatTimeout: {
                type: "integer"
              },
              DefaultResult: {}
            }
          },
          output: {
            resultWrapper: "PutLifecycleHookResult",
            type: "structure",
            members: {}
          }
        },
        PutNotificationConfiguration: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "TopicARN",
              "NotificationTypes"
            ],
            members: {
              AutoScalingGroupName: {},
              TopicARN: {},
              NotificationTypes: {
                shape: "S51"
              }
            }
          }
        },
        PutScalingPolicy: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "PolicyName"
            ],
            members: {
              AutoScalingGroupName: {},
              PolicyName: {},
              PolicyType: {},
              AdjustmentType: {},
              MinAdjustmentStep: {
                shape: "S6n"
              },
              MinAdjustmentMagnitude: {
                type: "integer"
              },
              ScalingAdjustment: {
                type: "integer"
              },
              Cooldown: {
                type: "integer"
              },
              MetricAggregationType: {},
              StepAdjustments: {
                shape: "S6q"
              },
              EstimatedInstanceWarmup: {
                type: "integer"
              },
              TargetTrackingConfiguration: {
                shape: "S6w"
              },
              Enabled: {
                type: "boolean"
              },
              PredictiveScalingConfiguration: {
                shape: "S7h"
              }
            }
          },
          output: {
            resultWrapper: "PutScalingPolicyResult",
            type: "structure",
            members: {
              PolicyARN: {},
              Alarms: {
                shape: "S6u"
              }
            }
          }
        },
        PutScheduledUpdateGroupAction: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "ScheduledActionName"
            ],
            members: {
              AutoScalingGroupName: {},
              ScheduledActionName: {},
              Time: {
                type: "timestamp"
              },
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Recurrence: {},
              MinSize: {
                type: "integer"
              },
              MaxSize: {
                type: "integer"
              },
              DesiredCapacity: {
                type: "integer"
              },
              TimeZone: {}
            }
          }
        },
        PutWarmPool: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName"
            ],
            members: {
              AutoScalingGroupName: {},
              MaxGroupPreparedCapacity: {
                type: "integer"
              },
              MinSize: {
                type: "integer"
              },
              PoolState: {},
              InstanceReusePolicy: {
                shape: "S4t"
              }
            }
          },
          output: {
            resultWrapper: "PutWarmPoolResult",
            type: "structure",
            members: {}
          }
        },
        RecordLifecycleActionHeartbeat: {
          input: {
            type: "structure",
            required: [
              "LifecycleHookName",
              "AutoScalingGroupName"
            ],
            members: {
              LifecycleHookName: {},
              AutoScalingGroupName: {},
              LifecycleActionToken: {},
              InstanceId: {}
            }
          },
          output: {
            resultWrapper: "RecordLifecycleActionHeartbeatResult",
            type: "structure",
            members: {}
          }
        },
        ResumeProcesses: {
          input: {
            shape: "S9o"
          }
        },
        RollbackInstanceRefresh: {
          input: {
            type: "structure",
            members: {
              AutoScalingGroupName: {}
            }
          },
          output: {
            resultWrapper: "RollbackInstanceRefreshResult",
            type: "structure",
            members: {
              InstanceRefreshId: {}
            }
          }
        },
        SetDesiredCapacity: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName",
              "DesiredCapacity"
            ],
            members: {
              AutoScalingGroupName: {},
              DesiredCapacity: {
                type: "integer"
              },
              HonorCooldown: {
                type: "boolean"
              }
            }
          }
        },
        SetInstanceHealth: {
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "HealthStatus"
            ],
            members: {
              InstanceId: {},
              HealthStatus: {},
              ShouldRespectGracePeriod: {
                type: "boolean"
              }
            }
          }
        },
        SetInstanceProtection: {
          input: {
            type: "structure",
            required: [
              "InstanceIds",
              "AutoScalingGroupName",
              "ProtectedFromScaleIn"
            ],
            members: {
              InstanceIds: {
                shape: "S2"
              },
              AutoScalingGroupName: {},
              ProtectedFromScaleIn: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "SetInstanceProtectionResult",
            type: "structure",
            members: {}
          }
        },
        StartInstanceRefresh: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName"
            ],
            members: {
              AutoScalingGroupName: {},
              Strategy: {},
              DesiredConfiguration: {
                shape: "S5m"
              },
              Preferences: {
                shape: "S5d"
              }
            }
          },
          output: {
            resultWrapper: "StartInstanceRefreshResult",
            type: "structure",
            members: {
              InstanceRefreshId: {}
            }
          }
        },
        SuspendProcesses: {
          input: {
            shape: "S9o"
          }
        },
        TerminateInstanceInAutoScalingGroup: {
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ShouldDecrementDesiredCapacity"
            ],
            members: {
              InstanceId: {},
              ShouldDecrementDesiredCapacity: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "TerminateInstanceInAutoScalingGroupResult",
            type: "structure",
            members: {
              Activity: {
                shape: "S85"
              }
            }
          }
        },
        UpdateAutoScalingGroup: {
          input: {
            type: "structure",
            required: [
              "AutoScalingGroupName"
            ],
            members: {
              AutoScalingGroupName: {},
              LaunchConfigurationName: {},
              LaunchTemplate: {
                shape: "S14"
              },
              MixedInstancesPolicy: {
                shape: "S16"
              },
              MinSize: {
                type: "integer"
              },
              MaxSize: {
                type: "integer"
              },
              DesiredCapacity: {
                type: "integer"
              },
              DefaultCooldown: {
                type: "integer"
              },
              AvailabilityZones: {
                shape: "S2d"
              },
              HealthCheckType: {},
              HealthCheckGracePeriod: {
                type: "integer"
              },
              PlacementGroup: {},
              VPCZoneIdentifier: {},
              TerminationPolicies: {
                shape: "S2g"
              },
              NewInstancesProtectedFromScaleIn: {
                type: "boolean"
              },
              ServiceLinkedRoleARN: {},
              MaxInstanceLifetime: {
                type: "integer"
              },
              CapacityRebalance: {
                type: "boolean"
              },
              Context: {},
              DesiredCapacityType: {},
              DefaultInstanceWarmup: {
                type: "integer"
              }
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "list",
          member: {}
        },
        S6: {
          type: "list",
          member: {}
        },
        Sa: {
          type: "list",
          member: {}
        },
        Sd: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {},
              Type: {}
            }
          }
        },
        Sh: {
          type: "list",
          member: {}
        },
        Sj: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ScheduledActionName"
            ],
            members: {
              ScheduledActionName: {},
              ErrorCode: {},
              ErrorMessage: {}
            }
          }
        },
        S14: {
          type: "structure",
          members: {
            LaunchTemplateId: {},
            LaunchTemplateName: {},
            Version: {}
          }
        },
        S16: {
          type: "structure",
          members: {
            LaunchTemplate: {
              type: "structure",
              members: {
                LaunchTemplateSpecification: {
                  shape: "S14"
                },
                Overrides: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      InstanceType: {},
                      WeightedCapacity: {},
                      LaunchTemplateSpecification: {
                        shape: "S14"
                      },
                      InstanceRequirements: {
                        type: "structure",
                        required: [
                          "VCpuCount",
                          "MemoryMiB"
                        ],
                        members: {
                          VCpuCount: {
                            type: "structure",
                            required: [
                              "Min"
                            ],
                            members: {
                              Min: {
                                type: "integer"
                              },
                              Max: {
                                type: "integer"
                              }
                            }
                          },
                          MemoryMiB: {
                            type: "structure",
                            required: [
                              "Min"
                            ],
                            members: {
                              Min: {
                                type: "integer"
                              },
                              Max: {
                                type: "integer"
                              }
                            }
                          },
                          CpuManufacturers: {
                            type: "list",
                            member: {}
                          },
                          MemoryGiBPerVCpu: {
                            type: "structure",
                            members: {
                              Min: {
                                type: "double"
                              },
                              Max: {
                                type: "double"
                              }
                            }
                          },
                          ExcludedInstanceTypes: {
                            type: "list",
                            member: {}
                          },
                          InstanceGenerations: {
                            type: "list",
                            member: {}
                          },
                          SpotMaxPricePercentageOverLowestPrice: {
                            type: "integer"
                          },
                          OnDemandMaxPricePercentageOverLowestPrice: {
                            type: "integer"
                          },
                          BareMetal: {},
                          BurstablePerformance: {},
                          RequireHibernateSupport: {
                            type: "boolean"
                          },
                          NetworkInterfaceCount: {
                            type: "structure",
                            members: {
                              Min: {
                                type: "integer"
                              },
                              Max: {
                                type: "integer"
                              }
                            }
                          },
                          LocalStorage: {},
                          LocalStorageTypes: {
                            type: "list",
                            member: {}
                          },
                          TotalLocalStorageGB: {
                            type: "structure",
                            members: {
                              Min: {
                                type: "double"
                              },
                              Max: {
                                type: "double"
                              }
                            }
                          },
                          BaselineEbsBandwidthMbps: {
                            type: "structure",
                            members: {
                              Min: {
                                type: "integer"
                              },
                              Max: {
                                type: "integer"
                              }
                            }
                          },
                          AcceleratorTypes: {
                            type: "list",
                            member: {}
                          },
                          AcceleratorCount: {
                            type: "structure",
                            members: {
                              Min: {
                                type: "integer"
                              },
                              Max: {
                                type: "integer"
                              }
                            }
                          },
                          AcceleratorManufacturers: {
                            type: "list",
                            member: {}
                          },
                          AcceleratorNames: {
                            type: "list",
                            member: {}
                          },
                          AcceleratorTotalMemoryMiB: {
                            type: "structure",
                            members: {
                              Min: {
                                type: "integer"
                              },
                              Max: {
                                type: "integer"
                              }
                            }
                          },
                          NetworkBandwidthGbps: {
                            type: "structure",
                            members: {
                              Min: {
                                type: "double"
                              },
                              Max: {
                                type: "double"
                              }
                            }
                          },
                          AllowedInstanceTypes: {
                            type: "list",
                            member: {}
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            InstancesDistribution: {
              type: "structure",
              members: {
                OnDemandAllocationStrategy: {},
                OnDemandBaseCapacity: {
                  type: "integer"
                },
                OnDemandPercentageAboveBaseCapacity: {
                  type: "integer"
                },
                SpotAllocationStrategy: {},
                SpotInstancePools: {
                  type: "integer"
                },
                SpotMaxPrice: {}
              }
            }
          }
        },
        S2d: {
          type: "list",
          member: {}
        },
        S2g: {
          type: "list",
          member: {}
        },
        S2q: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              ResourceId: {},
              ResourceType: {},
              Key: {},
              Value: {},
              PropagateAtLaunch: {
                type: "boolean"
              }
            }
          }
        },
        S2z: {
          type: "list",
          member: {}
        },
        S30: {
          type: "list",
          member: {}
        },
        S32: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DeviceName"
            ],
            members: {
              VirtualName: {},
              DeviceName: {},
              Ebs: {
                type: "structure",
                members: {
                  SnapshotId: {},
                  VolumeSize: {
                    type: "integer"
                  },
                  VolumeType: {},
                  DeleteOnTermination: {
                    type: "boolean"
                  },
                  Iops: {
                    type: "integer"
                  },
                  Encrypted: {
                    type: "boolean"
                  },
                  Throughput: {
                    type: "integer"
                  }
                }
              },
              NoDevice: {
                type: "boolean"
              }
            }
          }
        },
        S3c: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            }
          }
        },
        S3h: {
          type: "structure",
          members: {
            HttpTokens: {},
            HttpPutResponseHopLimit: {
              type: "integer"
            },
            HttpEndpoint: {}
          }
        },
        S46: {
          type: "list",
          member: {}
        },
        S48: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Values: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S4f: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "InstanceId",
              "AvailabilityZone",
              "LifecycleState",
              "HealthStatus",
              "ProtectedFromScaleIn"
            ],
            members: {
              InstanceId: {},
              InstanceType: {},
              AvailabilityZone: {},
              LifecycleState: {},
              HealthStatus: {},
              LaunchConfigurationName: {},
              LaunchTemplate: {
                shape: "S14"
              },
              ProtectedFromScaleIn: {
                type: "boolean"
              },
              WeightedCapacity: {}
            }
          }
        },
        S4m: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ResourceId: {},
              ResourceType: {},
              Key: {},
              Value: {},
              PropagateAtLaunch: {
                type: "boolean"
              }
            }
          }
        },
        S4o: {
          type: "structure",
          members: {
            MaxGroupPreparedCapacity: {
              type: "integer"
            },
            MinSize: {
              type: "integer"
            },
            PoolState: {},
            Status: {},
            InstanceReusePolicy: {
              shape: "S4t"
            }
          }
        },
        S4t: {
          type: "structure",
          members: {
            ReuseOnScaleIn: {
              type: "boolean"
            }
          }
        },
        S51: {
          type: "list",
          member: {}
        },
        S5a: {
          type: "structure",
          members: {
            LivePoolProgress: {
              type: "structure",
              members: {
                PercentageComplete: {
                  type: "integer"
                },
                InstancesToUpdate: {
                  type: "integer"
                }
              }
            },
            WarmPoolProgress: {
              type: "structure",
              members: {
                PercentageComplete: {
                  type: "integer"
                },
                InstancesToUpdate: {
                  type: "integer"
                }
              }
            }
          }
        },
        S5d: {
          type: "structure",
          members: {
            MinHealthyPercentage: {
              type: "integer"
            },
            InstanceWarmup: {
              type: "integer"
            },
            CheckpointPercentages: {
              type: "list",
              member: {
                type: "integer"
              }
            },
            CheckpointDelay: {
              type: "integer"
            },
            SkipMatching: {
              type: "boolean"
            },
            AutoRollback: {
              type: "boolean"
            },
            ScaleInProtectedInstances: {},
            StandbyInstances: {}
          }
        },
        S5m: {
          type: "structure",
          members: {
            LaunchTemplate: {
              shape: "S14"
            },
            MixedInstancesPolicy: {
              shape: "S16"
            }
          }
        },
        S6n: {
          type: "integer",
          deprecated: true
        },
        S6q: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ScalingAdjustment"
            ],
            members: {
              MetricIntervalLowerBound: {
                type: "double"
              },
              MetricIntervalUpperBound: {
                type: "double"
              },
              ScalingAdjustment: {
                type: "integer"
              }
            }
          }
        },
        S6u: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AlarmName: {},
              AlarmARN: {}
            }
          }
        },
        S6w: {
          type: "structure",
          required: [
            "TargetValue"
          ],
          members: {
            PredefinedMetricSpecification: {
              type: "structure",
              required: [
                "PredefinedMetricType"
              ],
              members: {
                PredefinedMetricType: {},
                ResourceLabel: {}
              }
            },
            CustomizedMetricSpecification: {
              type: "structure",
              members: {
                MetricName: {},
                Namespace: {},
                Dimensions: {
                  shape: "S72"
                },
                Statistic: {},
                Unit: {},
                Metrics: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "Id"
                    ],
                    members: {
                      Id: {},
                      Expression: {},
                      MetricStat: {
                        type: "structure",
                        required: [
                          "Metric",
                          "Stat"
                        ],
                        members: {
                          Metric: {
                            shape: "S7b"
                          },
                          Stat: {},
                          Unit: {}
                        }
                      },
                      Label: {},
                      ReturnData: {
                        type: "boolean"
                      }
                    }
                  }
                }
              }
            },
            TargetValue: {
              type: "double"
            },
            DisableScaleIn: {
              type: "boolean"
            }
          }
        },
        S72: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Value"
            ],
            members: {
              Name: {},
              Value: {}
            }
          }
        },
        S7b: {
          type: "structure",
          required: [
            "Namespace",
            "MetricName"
          ],
          members: {
            Namespace: {},
            MetricName: {},
            Dimensions: {
              shape: "S72"
            }
          }
        },
        S7h: {
          type: "structure",
          required: [
            "MetricSpecifications"
          ],
          members: {
            MetricSpecifications: {
              type: "list",
              member: {
                shape: "S7j"
              }
            },
            Mode: {},
            SchedulingBufferTime: {
              type: "integer"
            },
            MaxCapacityBreachBehavior: {},
            MaxCapacityBuffer: {
              type: "integer"
            }
          }
        },
        S7j: {
          type: "structure",
          required: [
            "TargetValue"
          ],
          members: {
            TargetValue: {
              type: "double"
            },
            PredefinedMetricPairSpecification: {
              type: "structure",
              required: [
                "PredefinedMetricType"
              ],
              members: {
                PredefinedMetricType: {},
                ResourceLabel: {}
              }
            },
            PredefinedScalingMetricSpecification: {
              type: "structure",
              required: [
                "PredefinedMetricType"
              ],
              members: {
                PredefinedMetricType: {},
                ResourceLabel: {}
              }
            },
            PredefinedLoadMetricSpecification: {
              type: "structure",
              required: [
                "PredefinedMetricType"
              ],
              members: {
                PredefinedMetricType: {},
                ResourceLabel: {}
              }
            },
            CustomizedScalingMetricSpecification: {
              type: "structure",
              required: [
                "MetricDataQueries"
              ],
              members: {
                MetricDataQueries: {
                  shape: "S7r"
                }
              }
            },
            CustomizedLoadMetricSpecification: {
              type: "structure",
              required: [
                "MetricDataQueries"
              ],
              members: {
                MetricDataQueries: {
                  shape: "S7r"
                }
              }
            },
            CustomizedCapacityMetricSpecification: {
              type: "structure",
              required: [
                "MetricDataQueries"
              ],
              members: {
                MetricDataQueries: {
                  shape: "S7r"
                }
              }
            }
          }
        },
        S7r: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {},
              Expression: {},
              MetricStat: {
                type: "structure",
                required: [
                  "Metric",
                  "Stat"
                ],
                members: {
                  Metric: {
                    shape: "S7b"
                  },
                  Stat: {},
                  Unit: {}
                }
              },
              Label: {},
              ReturnData: {
                type: "boolean"
              }
            }
          }
        },
        S84: {
          type: "list",
          member: {
            shape: "S85"
          }
        },
        S85: {
          type: "structure",
          required: [
            "ActivityId",
            "AutoScalingGroupName",
            "Cause",
            "StartTime",
            "StatusCode"
          ],
          members: {
            ActivityId: {},
            AutoScalingGroupName: {},
            Description: {},
            Cause: {},
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            StatusCode: {},
            StatusMessage: {},
            Progress: {
              type: "integer"
            },
            Details: {},
            AutoScalingGroupState: {},
            AutoScalingGroupARN: {}
          }
        },
        S8z: {
          type: "list",
          member: {}
        },
        S9b: {
          type: "list",
          member: {
            type: "timestamp"
          }
        },
        S9c: {
          type: "list",
          member: {
            type: "double"
          }
        },
        S9o: {
          type: "structure",
          required: [
            "AutoScalingGroupName"
          ],
          members: {
            AutoScalingGroupName: {},
            ScalingProcesses: {
              type: "list",
              member: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/autoscaling-2011-01-01.paginators.json
var require_autoscaling_2011_01_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/autoscaling-2011-01-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeAutoScalingGroups: {
          input_token: "NextToken",
          limit_key: "MaxRecords",
          output_token: "NextToken",
          result_key: "AutoScalingGroups"
        },
        DescribeAutoScalingInstances: {
          input_token: "NextToken",
          limit_key: "MaxRecords",
          output_token: "NextToken",
          result_key: "AutoScalingInstances"
        },
        DescribeLaunchConfigurations: {
          input_token: "NextToken",
          limit_key: "MaxRecords",
          output_token: "NextToken",
          result_key: "LaunchConfigurations"
        },
        DescribeNotificationConfigurations: {
          input_token: "NextToken",
          limit_key: "MaxRecords",
          output_token: "NextToken",
          result_key: "NotificationConfigurations"
        },
        DescribePolicies: {
          input_token: "NextToken",
          limit_key: "MaxRecords",
          output_token: "NextToken",
          result_key: "ScalingPolicies"
        },
        DescribeScalingActivities: {
          input_token: "NextToken",
          limit_key: "MaxRecords",
          output_token: "NextToken",
          result_key: "Activities"
        },
        DescribeScheduledActions: {
          input_token: "NextToken",
          limit_key: "MaxRecords",
          output_token: "NextToken",
          result_key: "ScheduledUpdateGroupActions"
        },
        DescribeTags: {
          input_token: "NextToken",
          limit_key: "MaxRecords",
          output_token: "NextToken",
          result_key: "Tags"
        },
        DescribeTrafficSources: {
          input_token: "NextToken",
          limit_key: "MaxRecords",
          output_token: "NextToken"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/autoscaling.js
var require_autoscaling = __commonJS({
  "node_modules/aws-sdk/clients/autoscaling.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["autoscaling"] = {};
    AWS2.AutoScaling = Service.defineService("autoscaling", ["2011-01-01"]);
    Object.defineProperty(apiLoader.services["autoscaling"], "2011-01-01", {
      get: function get() {
        var model = require_autoscaling_2011_01_01_min();
        model.paginators = require_autoscaling_2011_01_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.AutoScaling;
  }
});

// node_modules/aws-sdk/apis/batch-2016-08-10.min.json
var require_batch_2016_08_10_min = __commonJS({
  "node_modules/aws-sdk/apis/batch-2016-08-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-08-10",
        endpointPrefix: "batch",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "AWS Batch",
        serviceFullName: "AWS Batch",
        serviceId: "Batch",
        signatureVersion: "v4",
        uid: "batch-2016-08-10"
      },
      operations: {
        CancelJob: {
          http: {
            requestUri: "/v1/canceljob"
          },
          input: {
            type: "structure",
            required: [
              "jobId",
              "reason"
            ],
            members: {
              jobId: {},
              reason: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateComputeEnvironment: {
          http: {
            requestUri: "/v1/createcomputeenvironment"
          },
          input: {
            type: "structure",
            required: [
              "computeEnvironmentName",
              "type"
            ],
            members: {
              computeEnvironmentName: {},
              type: {},
              state: {},
              unmanagedvCpus: {
                type: "integer"
              },
              computeResources: {
                shape: "S8"
              },
              serviceRole: {},
              tags: {
                shape: "Sj"
              },
              eksConfiguration: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              computeEnvironmentName: {},
              computeEnvironmentArn: {}
            }
          }
        },
        CreateJobQueue: {
          http: {
            requestUri: "/v1/createjobqueue"
          },
          input: {
            type: "structure",
            required: [
              "jobQueueName",
              "priority",
              "computeEnvironmentOrder"
            ],
            members: {
              jobQueueName: {},
              state: {},
              schedulingPolicyArn: {},
              priority: {
                type: "integer"
              },
              computeEnvironmentOrder: {
                shape: "Sq"
              },
              tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobQueueName",
              "jobQueueArn"
            ],
            members: {
              jobQueueName: {},
              jobQueueArn: {}
            }
          }
        },
        CreateSchedulingPolicy: {
          http: {
            requestUri: "/v1/createschedulingpolicy"
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              fairsharePolicy: {
                shape: "Su"
              },
              tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn"
            ],
            members: {
              name: {},
              arn: {}
            }
          }
        },
        DeleteComputeEnvironment: {
          http: {
            requestUri: "/v1/deletecomputeenvironment"
          },
          input: {
            type: "structure",
            required: [
              "computeEnvironment"
            ],
            members: {
              computeEnvironment: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteJobQueue: {
          http: {
            requestUri: "/v1/deletejobqueue"
          },
          input: {
            type: "structure",
            required: [
              "jobQueue"
            ],
            members: {
              jobQueue: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSchedulingPolicy: {
          http: {
            requestUri: "/v1/deleteschedulingpolicy"
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeregisterJobDefinition: {
          http: {
            requestUri: "/v1/deregisterjobdefinition"
          },
          input: {
            type: "structure",
            required: [
              "jobDefinition"
            ],
            members: {
              jobDefinition: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeComputeEnvironments: {
          http: {
            requestUri: "/v1/describecomputeenvironments"
          },
          input: {
            type: "structure",
            members: {
              computeEnvironments: {
                shape: "Sb"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              computeEnvironments: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "computeEnvironmentName",
                    "computeEnvironmentArn"
                  ],
                  members: {
                    computeEnvironmentName: {},
                    computeEnvironmentArn: {},
                    unmanagedvCpus: {
                      type: "integer"
                    },
                    ecsClusterArn: {},
                    tags: {
                      shape: "Sj"
                    },
                    type: {},
                    state: {},
                    status: {},
                    statusReason: {},
                    computeResources: {
                      shape: "S8"
                    },
                    serviceRole: {},
                    updatePolicy: {
                      shape: "S1c"
                    },
                    eksConfiguration: {
                      shape: "Sm"
                    },
                    containerOrchestrationType: {},
                    uuid: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeJobDefinitions: {
          http: {
            requestUri: "/v1/describejobdefinitions"
          },
          input: {
            type: "structure",
            members: {
              jobDefinitions: {
                shape: "Sb"
              },
              maxResults: {
                type: "integer"
              },
              jobDefinitionName: {},
              status: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              jobDefinitions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "jobDefinitionName",
                    "jobDefinitionArn",
                    "revision",
                    "type"
                  ],
                  members: {
                    jobDefinitionName: {},
                    jobDefinitionArn: {},
                    revision: {
                      type: "integer"
                    },
                    status: {},
                    type: {},
                    schedulingPriority: {
                      type: "integer"
                    },
                    parameters: {
                      shape: "S1k"
                    },
                    retryStrategy: {
                      shape: "S1l"
                    },
                    containerProperties: {
                      shape: "S1p"
                    },
                    timeout: {
                      shape: "S2n"
                    },
                    nodeProperties: {
                      shape: "S2o"
                    },
                    tags: {
                      shape: "Sj"
                    },
                    propagateTags: {
                      type: "boolean"
                    },
                    platformCapabilities: {
                      shape: "S2r"
                    },
                    eksProperties: {
                      shape: "S2t"
                    },
                    containerOrchestrationType: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeJobQueues: {
          http: {
            requestUri: "/v1/describejobqueues"
          },
          input: {
            type: "structure",
            members: {
              jobQueues: {
                shape: "Sb"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              jobQueues: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "jobQueueName",
                    "jobQueueArn",
                    "state",
                    "priority",
                    "computeEnvironmentOrder"
                  ],
                  members: {
                    jobQueueName: {},
                    jobQueueArn: {},
                    state: {},
                    schedulingPolicyArn: {},
                    status: {},
                    statusReason: {},
                    priority: {
                      type: "integer"
                    },
                    computeEnvironmentOrder: {
                      shape: "Sq"
                    },
                    tags: {
                      shape: "Sj"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeJobs: {
          http: {
            requestUri: "/v1/describejobs"
          },
          input: {
            type: "structure",
            required: [
              "jobs"
            ],
            members: {
              jobs: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobs: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "jobName",
                    "jobId",
                    "jobQueue",
                    "status",
                    "startedAt",
                    "jobDefinition"
                  ],
                  members: {
                    jobArn: {},
                    jobName: {},
                    jobId: {},
                    jobQueue: {},
                    status: {},
                    shareIdentifier: {},
                    schedulingPriority: {
                      type: "integer"
                    },
                    attempts: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          container: {
                            type: "structure",
                            members: {
                              containerInstanceArn: {},
                              taskArn: {},
                              exitCode: {
                                type: "integer"
                              },
                              reason: {},
                              logStreamName: {},
                              networkInterfaces: {
                                shape: "S3r"
                              }
                            }
                          },
                          startedAt: {
                            type: "long"
                          },
                          stoppedAt: {
                            type: "long"
                          },
                          statusReason: {}
                        }
                      }
                    },
                    statusReason: {},
                    createdAt: {
                      type: "long"
                    },
                    retryStrategy: {
                      shape: "S1l"
                    },
                    startedAt: {
                      type: "long"
                    },
                    stoppedAt: {
                      type: "long"
                    },
                    dependsOn: {
                      shape: "S3t"
                    },
                    jobDefinition: {},
                    parameters: {
                      shape: "S1k"
                    },
                    container: {
                      type: "structure",
                      members: {
                        image: {},
                        vcpus: {
                          type: "integer"
                        },
                        memory: {
                          type: "integer"
                        },
                        command: {
                          shape: "Sb"
                        },
                        jobRoleArn: {},
                        executionRoleArn: {},
                        volumes: {
                          shape: "S1q"
                        },
                        environment: {
                          shape: "S1x"
                        },
                        mountPoints: {
                          shape: "S1z"
                        },
                        readonlyRootFilesystem: {
                          type: "boolean"
                        },
                        ulimits: {
                          shape: "S21"
                        },
                        privileged: {
                          type: "boolean"
                        },
                        user: {},
                        exitCode: {
                          type: "integer"
                        },
                        reason: {},
                        containerInstanceArn: {},
                        taskArn: {},
                        logStreamName: {},
                        instanceType: {},
                        networkInterfaces: {
                          shape: "S3r"
                        },
                        resourceRequirements: {
                          shape: "S23"
                        },
                        linuxParameters: {
                          shape: "S26"
                        },
                        logConfiguration: {
                          shape: "S2d"
                        },
                        secrets: {
                          shape: "S2g"
                        },
                        networkConfiguration: {
                          shape: "S2i"
                        },
                        fargatePlatformConfiguration: {
                          shape: "S2k"
                        },
                        ephemeralStorage: {
                          shape: "S2l"
                        },
                        runtimePlatform: {
                          shape: "S2m"
                        }
                      }
                    },
                    nodeDetails: {
                      type: "structure",
                      members: {
                        nodeIndex: {
                          type: "integer"
                        },
                        isMainNode: {
                          type: "boolean"
                        }
                      }
                    },
                    nodeProperties: {
                      shape: "S2o"
                    },
                    arrayProperties: {
                      type: "structure",
                      members: {
                        statusSummary: {
                          type: "map",
                          key: {},
                          value: {
                            type: "integer"
                          }
                        },
                        size: {
                          type: "integer"
                        },
                        index: {
                          type: "integer"
                        }
                      }
                    },
                    timeout: {
                      shape: "S2n"
                    },
                    tags: {
                      shape: "Sj"
                    },
                    propagateTags: {
                      type: "boolean"
                    },
                    platformCapabilities: {
                      shape: "S2r"
                    },
                    eksProperties: {
                      type: "structure",
                      members: {
                        podProperties: {
                          type: "structure",
                          members: {
                            serviceAccountName: {},
                            hostNetwork: {
                              type: "boolean"
                            },
                            dnsPolicy: {},
                            containers: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  name: {},
                                  image: {},
                                  imagePullPolicy: {},
                                  command: {
                                    shape: "Sb"
                                  },
                                  args: {
                                    shape: "Sb"
                                  },
                                  env: {
                                    shape: "S2x"
                                  },
                                  resources: {
                                    shape: "S2z"
                                  },
                                  exitCode: {
                                    type: "integer"
                                  },
                                  reason: {},
                                  volumeMounts: {
                                    shape: "S33"
                                  },
                                  securityContext: {
                                    shape: "S35"
                                  }
                                }
                              }
                            },
                            volumes: {
                              shape: "S37"
                            },
                            podName: {},
                            nodeName: {},
                            metadata: {
                              shape: "S3c"
                            }
                          }
                        }
                      }
                    },
                    eksAttempts: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          containers: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                exitCode: {
                                  type: "integer"
                                },
                                reason: {}
                              }
                            }
                          },
                          podName: {},
                          nodeName: {},
                          startedAt: {
                            type: "long"
                          },
                          stoppedAt: {
                            type: "long"
                          },
                          statusReason: {}
                        }
                      }
                    },
                    isCancelled: {
                      type: "boolean"
                    },
                    isTerminated: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeSchedulingPolicies: {
          http: {
            requestUri: "/v1/describeschedulingpolicies"
          },
          input: {
            type: "structure",
            required: [
              "arns"
            ],
            members: {
              arns: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              schedulingPolicies: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "arn"
                  ],
                  members: {
                    name: {},
                    arn: {},
                    fairsharePolicy: {
                      shape: "Su"
                    },
                    tags: {
                      shape: "Sj"
                    }
                  }
                }
              }
            }
          }
        },
        ListJobs: {
          http: {
            requestUri: "/v1/listjobs"
          },
          input: {
            type: "structure",
            members: {
              jobQueue: {},
              arrayJobId: {},
              multiNodeJobId: {},
              jobStatus: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    values: {
                      shape: "Sb"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobSummaryList"
            ],
            members: {
              jobSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "jobId",
                    "jobName"
                  ],
                  members: {
                    jobArn: {},
                    jobId: {},
                    jobName: {},
                    createdAt: {
                      type: "long"
                    },
                    status: {},
                    statusReason: {},
                    startedAt: {
                      type: "long"
                    },
                    stoppedAt: {
                      type: "long"
                    },
                    container: {
                      type: "structure",
                      members: {
                        exitCode: {
                          type: "integer"
                        },
                        reason: {}
                      }
                    },
                    arrayProperties: {
                      type: "structure",
                      members: {
                        size: {
                          type: "integer"
                        },
                        index: {
                          type: "integer"
                        }
                      }
                    },
                    nodeProperties: {
                      type: "structure",
                      members: {
                        isMainNode: {
                          type: "boolean"
                        },
                        numNodes: {
                          type: "integer"
                        },
                        nodeIndex: {
                          type: "integer"
                        }
                      }
                    },
                    jobDefinition: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSchedulingPolicies: {
          http: {
            requestUri: "/v1/listschedulingpolicies"
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              schedulingPolicies: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn"
                  ],
                  members: {
                    arn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/v1/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sj"
              }
            }
          }
        },
        RegisterJobDefinition: {
          http: {
            requestUri: "/v1/registerjobdefinition"
          },
          input: {
            type: "structure",
            required: [
              "jobDefinitionName",
              "type"
            ],
            members: {
              jobDefinitionName: {},
              type: {},
              parameters: {
                shape: "S1k"
              },
              schedulingPriority: {
                type: "integer"
              },
              containerProperties: {
                shape: "S1p"
              },
              nodeProperties: {
                shape: "S2o"
              },
              retryStrategy: {
                shape: "S1l"
              },
              propagateTags: {
                type: "boolean"
              },
              timeout: {
                shape: "S2n"
              },
              tags: {
                shape: "Sj"
              },
              platformCapabilities: {
                shape: "S2r"
              },
              eksProperties: {
                shape: "S2t"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobDefinitionName",
              "jobDefinitionArn",
              "revision"
            ],
            members: {
              jobDefinitionName: {},
              jobDefinitionArn: {},
              revision: {
                type: "integer"
              }
            }
          }
        },
        SubmitJob: {
          http: {
            requestUri: "/v1/submitjob"
          },
          input: {
            type: "structure",
            required: [
              "jobName",
              "jobQueue",
              "jobDefinition"
            ],
            members: {
              jobName: {},
              jobQueue: {},
              shareIdentifier: {},
              schedulingPriorityOverride: {
                type: "integer"
              },
              arrayProperties: {
                type: "structure",
                members: {
                  size: {
                    type: "integer"
                  }
                }
              },
              dependsOn: {
                shape: "S3t"
              },
              jobDefinition: {},
              parameters: {
                shape: "S1k"
              },
              containerOverrides: {
                shape: "S4w"
              },
              nodeOverrides: {
                type: "structure",
                members: {
                  numNodes: {
                    type: "integer"
                  },
                  nodePropertyOverrides: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "targetNodes"
                      ],
                      members: {
                        targetNodes: {},
                        containerOverrides: {
                          shape: "S4w"
                        }
                      }
                    }
                  }
                }
              },
              retryStrategy: {
                shape: "S1l"
              },
              propagateTags: {
                type: "boolean"
              },
              timeout: {
                shape: "S2n"
              },
              tags: {
                shape: "Sj"
              },
              eksPropertiesOverride: {
                type: "structure",
                members: {
                  podProperties: {
                    type: "structure",
                    members: {
                      containers: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            image: {},
                            command: {
                              shape: "Sb"
                            },
                            args: {
                              shape: "Sb"
                            },
                            env: {
                              shape: "S2x"
                            },
                            resources: {
                              shape: "S2z"
                            }
                          }
                        }
                      },
                      metadata: {
                        shape: "S3c"
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobName",
              "jobId"
            ],
            members: {
              jobArn: {},
              jobName: {},
              jobId: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/v1/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TerminateJob: {
          http: {
            requestUri: "/v1/terminatejob"
          },
          input: {
            type: "structure",
            required: [
              "jobId",
              "reason"
            ],
            members: {
              jobId: {},
              reason: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/v1/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateComputeEnvironment: {
          http: {
            requestUri: "/v1/updatecomputeenvironment"
          },
          input: {
            type: "structure",
            required: [
              "computeEnvironment"
            ],
            members: {
              computeEnvironment: {},
              state: {},
              unmanagedvCpus: {
                type: "integer"
              },
              computeResources: {
                type: "structure",
                members: {
                  minvCpus: {
                    type: "integer"
                  },
                  maxvCpus: {
                    type: "integer"
                  },
                  desiredvCpus: {
                    type: "integer"
                  },
                  subnets: {
                    shape: "Sb"
                  },
                  securityGroupIds: {
                    shape: "Sb"
                  },
                  allocationStrategy: {},
                  instanceTypes: {
                    shape: "Sb"
                  },
                  ec2KeyPair: {},
                  instanceRole: {},
                  tags: {
                    shape: "Sc"
                  },
                  placementGroup: {},
                  bidPercentage: {
                    type: "integer"
                  },
                  launchTemplate: {
                    shape: "Sd"
                  },
                  ec2Configuration: {
                    shape: "Se"
                  },
                  updateToLatestImageVersion: {
                    type: "boolean"
                  },
                  type: {},
                  imageId: {}
                }
              },
              serviceRole: {},
              updatePolicy: {
                shape: "S1c"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              computeEnvironmentName: {},
              computeEnvironmentArn: {}
            }
          }
        },
        UpdateJobQueue: {
          http: {
            requestUri: "/v1/updatejobqueue"
          },
          input: {
            type: "structure",
            required: [
              "jobQueue"
            ],
            members: {
              jobQueue: {},
              state: {},
              schedulingPolicyArn: {},
              priority: {
                type: "integer"
              },
              computeEnvironmentOrder: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobQueueName: {},
              jobQueueArn: {}
            }
          }
        },
        UpdateSchedulingPolicy: {
          http: {
            requestUri: "/v1/updateschedulingpolicy"
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              fairsharePolicy: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S8: {
          type: "structure",
          required: [
            "type",
            "maxvCpus",
            "subnets"
          ],
          members: {
            type: {},
            allocationStrategy: {},
            minvCpus: {
              type: "integer"
            },
            maxvCpus: {
              type: "integer"
            },
            desiredvCpus: {
              type: "integer"
            },
            instanceTypes: {
              shape: "Sb"
            },
            imageId: {
              deprecated: true,
              deprecatedMessage: "This field is deprecated, use ec2Configuration[].imageIdOverride instead."
            },
            subnets: {
              shape: "Sb"
            },
            securityGroupIds: {
              shape: "Sb"
            },
            ec2KeyPair: {},
            instanceRole: {},
            tags: {
              shape: "Sc"
            },
            placementGroup: {},
            bidPercentage: {
              type: "integer"
            },
            spotIamFleetRole: {},
            launchTemplate: {
              shape: "Sd"
            },
            ec2Configuration: {
              shape: "Se"
            }
          }
        },
        Sb: {
          type: "list",
          member: {}
        },
        Sc: {
          type: "map",
          key: {},
          value: {}
        },
        Sd: {
          type: "structure",
          members: {
            launchTemplateId: {},
            launchTemplateName: {},
            version: {}
          }
        },
        Se: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "imageType"
            ],
            members: {
              imageType: {},
              imageIdOverride: {},
              imageKubernetesVersion: {}
            }
          }
        },
        Sj: {
          type: "map",
          key: {},
          value: {}
        },
        Sm: {
          type: "structure",
          required: [
            "eksClusterArn",
            "kubernetesNamespace"
          ],
          members: {
            eksClusterArn: {},
            kubernetesNamespace: {}
          }
        },
        Sq: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "order",
              "computeEnvironment"
            ],
            members: {
              order: {
                type: "integer"
              },
              computeEnvironment: {}
            }
          }
        },
        Su: {
          type: "structure",
          members: {
            shareDecaySeconds: {
              type: "integer"
            },
            computeReservation: {
              type: "integer"
            },
            shareDistribution: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "shareIdentifier"
                ],
                members: {
                  shareIdentifier: {},
                  weightFactor: {
                    type: "float"
                  }
                }
              }
            }
          }
        },
        S1c: {
          type: "structure",
          members: {
            terminateJobsOnUpdate: {
              type: "boolean"
            },
            jobExecutionTimeoutMinutes: {
              type: "long"
            }
          }
        },
        S1k: {
          type: "map",
          key: {},
          value: {}
        },
        S1l: {
          type: "structure",
          members: {
            attempts: {
              type: "integer"
            },
            evaluateOnExit: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "action"
                ],
                members: {
                  onStatusReason: {},
                  onReason: {},
                  onExitCode: {},
                  action: {}
                }
              }
            }
          }
        },
        S1p: {
          type: "structure",
          members: {
            image: {},
            vcpus: {
              deprecated: true,
              deprecatedMessage: "This field is deprecated, use resourceRequirements instead.",
              type: "integer"
            },
            memory: {
              deprecated: true,
              deprecatedMessage: "This field is deprecated, use resourceRequirements instead.",
              type: "integer"
            },
            command: {
              shape: "Sb"
            },
            jobRoleArn: {},
            executionRoleArn: {},
            volumes: {
              shape: "S1q"
            },
            environment: {
              shape: "S1x"
            },
            mountPoints: {
              shape: "S1z"
            },
            readonlyRootFilesystem: {
              type: "boolean"
            },
            privileged: {
              type: "boolean"
            },
            ulimits: {
              shape: "S21"
            },
            user: {},
            instanceType: {},
            resourceRequirements: {
              shape: "S23"
            },
            linuxParameters: {
              shape: "S26"
            },
            logConfiguration: {
              shape: "S2d"
            },
            secrets: {
              shape: "S2g"
            },
            networkConfiguration: {
              shape: "S2i"
            },
            fargatePlatformConfiguration: {
              shape: "S2k"
            },
            ephemeralStorage: {
              shape: "S2l"
            },
            runtimePlatform: {
              shape: "S2m"
            }
          }
        },
        S1q: {
          type: "list",
          member: {
            type: "structure",
            members: {
              host: {
                type: "structure",
                members: {
                  sourcePath: {}
                }
              },
              name: {},
              efsVolumeConfiguration: {
                type: "structure",
                required: [
                  "fileSystemId"
                ],
                members: {
                  fileSystemId: {},
                  rootDirectory: {},
                  transitEncryption: {},
                  transitEncryptionPort: {
                    type: "integer"
                  },
                  authorizationConfig: {
                    type: "structure",
                    members: {
                      accessPointId: {},
                      iam: {}
                    }
                  }
                }
              }
            }
          }
        },
        S1x: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              value: {}
            }
          }
        },
        S1z: {
          type: "list",
          member: {
            type: "structure",
            members: {
              containerPath: {},
              readOnly: {
                type: "boolean"
              },
              sourceVolume: {}
            }
          }
        },
        S21: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "hardLimit",
              "name",
              "softLimit"
            ],
            members: {
              hardLimit: {
                type: "integer"
              },
              name: {},
              softLimit: {
                type: "integer"
              }
            }
          }
        },
        S23: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "value",
              "type"
            ],
            members: {
              value: {},
              type: {}
            }
          }
        },
        S26: {
          type: "structure",
          members: {
            devices: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "hostPath"
                ],
                members: {
                  hostPath: {},
                  containerPath: {},
                  permissions: {
                    type: "list",
                    member: {}
                  }
                }
              }
            },
            initProcessEnabled: {
              type: "boolean"
            },
            sharedMemorySize: {
              type: "integer"
            },
            tmpfs: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "containerPath",
                  "size"
                ],
                members: {
                  containerPath: {},
                  size: {
                    type: "integer"
                  },
                  mountOptions: {
                    shape: "Sb"
                  }
                }
              }
            },
            maxSwap: {
              type: "integer"
            },
            swappiness: {
              type: "integer"
            }
          }
        },
        S2d: {
          type: "structure",
          required: [
            "logDriver"
          ],
          members: {
            logDriver: {},
            options: {
              type: "map",
              key: {},
              value: {}
            },
            secretOptions: {
              shape: "S2g"
            }
          }
        },
        S2g: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "valueFrom"
            ],
            members: {
              name: {},
              valueFrom: {}
            }
          }
        },
        S2i: {
          type: "structure",
          members: {
            assignPublicIp: {}
          }
        },
        S2k: {
          type: "structure",
          members: {
            platformVersion: {}
          }
        },
        S2l: {
          type: "structure",
          required: [
            "sizeInGiB"
          ],
          members: {
            sizeInGiB: {
              type: "integer"
            }
          }
        },
        S2m: {
          type: "structure",
          members: {
            operatingSystemFamily: {},
            cpuArchitecture: {}
          }
        },
        S2n: {
          type: "structure",
          members: {
            attemptDurationSeconds: {
              type: "integer"
            }
          }
        },
        S2o: {
          type: "structure",
          required: [
            "numNodes",
            "mainNode",
            "nodeRangeProperties"
          ],
          members: {
            numNodes: {
              type: "integer"
            },
            mainNode: {
              type: "integer"
            },
            nodeRangeProperties: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "targetNodes"
                ],
                members: {
                  targetNodes: {},
                  container: {
                    shape: "S1p"
                  }
                }
              }
            }
          }
        },
        S2r: {
          type: "list",
          member: {}
        },
        S2t: {
          type: "structure",
          members: {
            podProperties: {
              type: "structure",
              members: {
                serviceAccountName: {},
                hostNetwork: {
                  type: "boolean"
                },
                dnsPolicy: {},
                containers: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "image"
                    ],
                    members: {
                      name: {},
                      image: {},
                      imagePullPolicy: {},
                      command: {
                        shape: "Sb"
                      },
                      args: {
                        shape: "Sb"
                      },
                      env: {
                        shape: "S2x"
                      },
                      resources: {
                        shape: "S2z"
                      },
                      volumeMounts: {
                        shape: "S33"
                      },
                      securityContext: {
                        shape: "S35"
                      }
                    }
                  }
                },
                volumes: {
                  shape: "S37"
                },
                metadata: {
                  shape: "S3c"
                }
              }
            }
          }
        },
        S2x: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              value: {}
            }
          }
        },
        S2z: {
          type: "structure",
          members: {
            limits: {
              type: "map",
              key: {},
              value: {}
            },
            requests: {
              type: "map",
              key: {},
              value: {}
            }
          }
        },
        S33: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              mountPath: {},
              readOnly: {
                type: "boolean"
              }
            }
          }
        },
        S35: {
          type: "structure",
          members: {
            runAsUser: {
              type: "long"
            },
            runAsGroup: {
              type: "long"
            },
            privileged: {
              type: "boolean"
            },
            readOnlyRootFilesystem: {
              type: "boolean"
            },
            runAsNonRoot: {
              type: "boolean"
            }
          }
        },
        S37: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              hostPath: {
                type: "structure",
                members: {
                  path: {}
                }
              },
              emptyDir: {
                type: "structure",
                members: {
                  medium: {},
                  sizeLimit: {}
                }
              },
              secret: {
                type: "structure",
                required: [
                  "secretName"
                ],
                members: {
                  secretName: {},
                  optional: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        S3c: {
          type: "structure",
          members: {
            labels: {
              type: "map",
              key: {},
              value: {}
            }
          }
        },
        S3r: {
          type: "list",
          member: {
            type: "structure",
            members: {
              attachmentId: {},
              ipv6Address: {},
              privateIpv4Address: {}
            }
          }
        },
        S3t: {
          type: "list",
          member: {
            type: "structure",
            members: {
              jobId: {},
              type: {}
            }
          }
        },
        S4w: {
          type: "structure",
          members: {
            vcpus: {
              deprecated: true,
              deprecatedMessage: "This field is deprecated, use resourceRequirements instead.",
              type: "integer"
            },
            memory: {
              deprecated: true,
              deprecatedMessage: "This field is deprecated, use resourceRequirements instead.",
              type: "integer"
            },
            command: {
              shape: "Sb"
            },
            instanceType: {},
            environment: {
              shape: "S1x"
            },
            resourceRequirements: {
              shape: "S23"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/batch-2016-08-10.paginators.json
var require_batch_2016_08_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/batch-2016-08-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeComputeEnvironments: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "computeEnvironments"
        },
        DescribeJobDefinitions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "jobDefinitions"
        },
        DescribeJobQueues: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "jobQueues"
        },
        ListJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "jobSummaryList"
        },
        ListSchedulingPolicies: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "schedulingPolicies"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/batch.js
var require_batch = __commonJS({
  "node_modules/aws-sdk/clients/batch.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["batch"] = {};
    AWS2.Batch = Service.defineService("batch", ["2016-08-10"]);
    Object.defineProperty(apiLoader.services["batch"], "2016-08-10", {
      get: function get() {
        var model = require_batch_2016_08_10_min();
        model.paginators = require_batch_2016_08_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Batch;
  }
});

// node_modules/aws-sdk/apis/budgets-2016-10-20.min.json
var require_budgets_2016_10_20_min = __commonJS({
  "node_modules/aws-sdk/apis/budgets-2016-10-20.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-10-20",
        endpointPrefix: "budgets",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "AWSBudgets",
        serviceFullName: "AWS Budgets",
        serviceId: "Budgets",
        signatureVersion: "v4",
        targetPrefix: "AWSBudgetServiceGateway",
        uid: "budgets-2016-10-20"
      },
      operations: {
        CreateBudget: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Budget"
            ],
            members: {
              AccountId: {},
              Budget: {
                shape: "S3"
              },
              NotificationsWithSubscribers: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Notification",
                    "Subscribers"
                  ],
                  members: {
                    Notification: {
                      shape: "Sq"
                    },
                    Subscribers: {
                      shape: "Sw"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateBudgetAction: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "NotificationType",
              "ActionType",
              "ActionThreshold",
              "Definition",
              "ExecutionRoleArn",
              "ApprovalModel",
              "Subscribers"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              NotificationType: {},
              ActionType: {},
              ActionThreshold: {
                shape: "S13"
              },
              Definition: {
                shape: "S14"
              },
              ExecutionRoleArn: {},
              ApprovalModel: {},
              Subscribers: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "ActionId"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              ActionId: {}
            }
          }
        },
        CreateNotification: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "Notification",
              "Subscribers"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              Notification: {
                shape: "Sq"
              },
              Subscribers: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateSubscriber: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "Notification",
              "Subscriber"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              Notification: {
                shape: "Sq"
              },
              Subscriber: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteBudget: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName"
            ],
            members: {
              AccountId: {},
              BudgetName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteBudgetAction: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "ActionId"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              ActionId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "Action"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              Action: {
                shape: "S1y"
              }
            }
          }
        },
        DeleteNotification: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "Notification"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              Notification: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSubscriber: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "Notification",
              "Subscriber"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              Notification: {
                shape: "Sq"
              },
              Subscriber: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeBudget: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName"
            ],
            members: {
              AccountId: {},
              BudgetName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Budget: {
                shape: "S3"
              }
            }
          }
        },
        DescribeBudgetAction: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "ActionId"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              ActionId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "Action"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              Action: {
                shape: "S1y"
              }
            }
          }
        },
        DescribeBudgetActionHistories: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "ActionId"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              ActionId: {},
              TimePeriod: {
                shape: "Sg"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ActionHistories"
            ],
            members: {
              ActionHistories: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Timestamp",
                    "Status",
                    "EventType",
                    "ActionHistoryDetails"
                  ],
                  members: {
                    Timestamp: {
                      type: "timestamp"
                    },
                    Status: {},
                    EventType: {},
                    ActionHistoryDetails: {
                      type: "structure",
                      required: [
                        "Message",
                        "Action"
                      ],
                      members: {
                        Message: {},
                        Action: {
                          shape: "S1y"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeBudgetActionsForAccount: {
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Actions"
            ],
            members: {
              Actions: {
                shape: "S2h"
              },
              NextToken: {}
            }
          }
        },
        DescribeBudgetActionsForBudget: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Actions"
            ],
            members: {
              Actions: {
                shape: "S2h"
              },
              NextToken: {}
            }
          }
        },
        DescribeBudgetNotificationsForAccount: {
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BudgetNotificationsForAccount: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Notifications: {
                      shape: "S2p"
                    },
                    BudgetName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeBudgetPerformanceHistory: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              TimePeriod: {
                shape: "Sg"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BudgetPerformanceHistory: {
                type: "structure",
                members: {
                  BudgetName: {},
                  BudgetType: {},
                  CostFilters: {
                    shape: "Sa"
                  },
                  CostTypes: {
                    shape: "Sd"
                  },
                  TimeUnit: {},
                  BudgetedAndActualAmountsList: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        BudgetedAmount: {
                          shape: "S5"
                        },
                        ActualAmount: {
                          shape: "S5"
                        },
                        TimePeriod: {
                          shape: "Sg"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeBudgets: {
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Budgets: {
                type: "list",
                member: {
                  shape: "S3"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeNotificationsForBudget: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Notifications: {
                shape: "S2p"
              },
              NextToken: {}
            }
          }
        },
        DescribeSubscribersForNotification: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "Notification"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              Notification: {
                shape: "Sq"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Subscribers: {
                shape: "Sw"
              },
              NextToken: {}
            }
          }
        },
        ExecuteBudgetAction: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "ActionId",
              "ExecutionType"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              ActionId: {},
              ExecutionType: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "ActionId",
              "ExecutionType"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              ActionId: {},
              ExecutionType: {}
            }
          }
        },
        UpdateBudget: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "NewBudget"
            ],
            members: {
              AccountId: {},
              NewBudget: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateBudgetAction: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "ActionId"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              ActionId: {},
              NotificationType: {},
              ActionThreshold: {
                shape: "S13"
              },
              Definition: {
                shape: "S14"
              },
              ExecutionRoleArn: {},
              ApprovalModel: {},
              Subscribers: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "OldAction",
              "NewAction"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              OldAction: {
                shape: "S1y"
              },
              NewAction: {
                shape: "S1y"
              }
            }
          }
        },
        UpdateNotification: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "OldNotification",
              "NewNotification"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              OldNotification: {
                shape: "Sq"
              },
              NewNotification: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateSubscriber: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BudgetName",
              "Notification",
              "OldSubscriber",
              "NewSubscriber"
            ],
            members: {
              AccountId: {},
              BudgetName: {},
              Notification: {
                shape: "Sq"
              },
              OldSubscriber: {
                shape: "Sx"
              },
              NewSubscriber: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S3: {
          type: "structure",
          required: [
            "BudgetName",
            "TimeUnit",
            "BudgetType"
          ],
          members: {
            BudgetName: {},
            BudgetLimit: {
              shape: "S5"
            },
            PlannedBudgetLimits: {
              type: "map",
              key: {},
              value: {
                shape: "S5"
              }
            },
            CostFilters: {
              shape: "Sa"
            },
            CostTypes: {
              shape: "Sd"
            },
            TimeUnit: {},
            TimePeriod: {
              shape: "Sg"
            },
            CalculatedSpend: {
              type: "structure",
              required: [
                "ActualSpend"
              ],
              members: {
                ActualSpend: {
                  shape: "S5"
                },
                ForecastedSpend: {
                  shape: "S5"
                }
              }
            },
            BudgetType: {},
            LastUpdatedTime: {
              type: "timestamp"
            },
            AutoAdjustData: {
              type: "structure",
              required: [
                "AutoAdjustType"
              ],
              members: {
                AutoAdjustType: {},
                HistoricalOptions: {
                  type: "structure",
                  required: [
                    "BudgetAdjustmentPeriod"
                  ],
                  members: {
                    BudgetAdjustmentPeriod: {
                      type: "integer"
                    },
                    LookBackAvailablePeriods: {
                      type: "integer"
                    }
                  }
                },
                LastAutoAdjustTime: {
                  type: "timestamp"
                }
              }
            }
          }
        },
        S5: {
          type: "structure",
          required: [
            "Amount",
            "Unit"
          ],
          members: {
            Amount: {},
            Unit: {}
          }
        },
        Sa: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {}
          }
        },
        Sd: {
          type: "structure",
          members: {
            IncludeTax: {
              type: "boolean"
            },
            IncludeSubscription: {
              type: "boolean"
            },
            UseBlended: {
              type: "boolean"
            },
            IncludeRefund: {
              type: "boolean"
            },
            IncludeCredit: {
              type: "boolean"
            },
            IncludeUpfront: {
              type: "boolean"
            },
            IncludeRecurring: {
              type: "boolean"
            },
            IncludeOtherSubscription: {
              type: "boolean"
            },
            IncludeSupport: {
              type: "boolean"
            },
            IncludeDiscount: {
              type: "boolean"
            },
            UseAmortized: {
              type: "boolean"
            }
          }
        },
        Sg: {
          type: "structure",
          members: {
            Start: {
              type: "timestamp"
            },
            End: {
              type: "timestamp"
            }
          }
        },
        Sq: {
          type: "structure",
          required: [
            "NotificationType",
            "ComparisonOperator",
            "Threshold"
          ],
          members: {
            NotificationType: {},
            ComparisonOperator: {},
            Threshold: {
              type: "double"
            },
            ThresholdType: {},
            NotificationState: {}
          }
        },
        Sw: {
          type: "list",
          member: {
            shape: "Sx"
          }
        },
        Sx: {
          type: "structure",
          required: [
            "SubscriptionType",
            "Address"
          ],
          members: {
            SubscriptionType: {},
            Address: {
              type: "string",
              sensitive: true
            }
          }
        },
        S13: {
          type: "structure",
          required: [
            "ActionThresholdValue",
            "ActionThresholdType"
          ],
          members: {
            ActionThresholdValue: {
              type: "double"
            },
            ActionThresholdType: {}
          }
        },
        S14: {
          type: "structure",
          members: {
            IamActionDefinition: {
              type: "structure",
              required: [
                "PolicyArn"
              ],
              members: {
                PolicyArn: {},
                Roles: {
                  type: "list",
                  member: {}
                },
                Groups: {
                  type: "list",
                  member: {}
                },
                Users: {
                  type: "list",
                  member: {}
                }
              }
            },
            ScpActionDefinition: {
              type: "structure",
              required: [
                "PolicyId",
                "TargetIds"
              ],
              members: {
                PolicyId: {},
                TargetIds: {
                  type: "list",
                  member: {}
                }
              }
            },
            SsmActionDefinition: {
              type: "structure",
              required: [
                "ActionSubType",
                "Region",
                "InstanceIds"
              ],
              members: {
                ActionSubType: {},
                Region: {},
                InstanceIds: {
                  type: "list",
                  member: {}
                }
              }
            }
          }
        },
        S1y: {
          type: "structure",
          required: [
            "ActionId",
            "BudgetName",
            "NotificationType",
            "ActionType",
            "ActionThreshold",
            "Definition",
            "ExecutionRoleArn",
            "ApprovalModel",
            "Status",
            "Subscribers"
          ],
          members: {
            ActionId: {},
            BudgetName: {},
            NotificationType: {},
            ActionType: {},
            ActionThreshold: {
              shape: "S13"
            },
            Definition: {
              shape: "S14"
            },
            ExecutionRoleArn: {},
            ApprovalModel: {},
            Status: {},
            Subscribers: {
              shape: "Sw"
            }
          }
        },
        S2h: {
          type: "list",
          member: {
            shape: "S1y"
          }
        },
        S2p: {
          type: "list",
          member: {
            shape: "Sq"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/budgets-2016-10-20.paginators.json
var require_budgets_2016_10_20_paginators = __commonJS({
  "node_modules/aws-sdk/apis/budgets-2016-10-20.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeBudgetActionHistories: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ActionHistories"
        },
        DescribeBudgetActionsForAccount: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Actions"
        },
        DescribeBudgetActionsForBudget: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Actions"
        },
        DescribeBudgetNotificationsForAccount: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "BudgetNotificationsForAccount"
        },
        DescribeBudgetPerformanceHistory: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "BudgetPerformanceHistory"
        },
        DescribeBudgets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Budgets"
        },
        DescribeNotificationsForBudget: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Notifications"
        },
        DescribeSubscribersForNotification: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Subscribers"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/budgets.js
var require_budgets = __commonJS({
  "node_modules/aws-sdk/clients/budgets.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["budgets"] = {};
    AWS2.Budgets = Service.defineService("budgets", ["2016-10-20"]);
    Object.defineProperty(apiLoader.services["budgets"], "2016-10-20", {
      get: function get() {
        var model = require_budgets_2016_10_20_min();
        model.paginators = require_budgets_2016_10_20_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Budgets;
  }
});

// node_modules/aws-sdk/apis/clouddirectory-2016-05-10.min.json
var require_clouddirectory_2016_05_10_min = __commonJS({
  "node_modules/aws-sdk/apis/clouddirectory-2016-05-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-05-10",
        endpointPrefix: "clouddirectory",
        protocol: "rest-json",
        serviceFullName: "Amazon CloudDirectory",
        serviceId: "CloudDirectory",
        signatureVersion: "v4",
        signingName: "clouddirectory",
        uid: "clouddirectory-2016-05-10"
      },
      operations: {
        AddFacetToObject: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/object/facets",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "SchemaFacet",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              SchemaFacet: {
                shape: "S3"
              },
              ObjectAttributeList: {
                shape: "S5"
              },
              ObjectReference: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ApplySchema: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/schema/apply",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PublishedSchemaArn",
              "DirectoryArn"
            ],
            members: {
              PublishedSchemaArn: {},
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppliedSchemaArn: {},
              DirectoryArn: {}
            }
          }
        },
        AttachObject: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/object/attach",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ParentReference",
              "ChildReference",
              "LinkName"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ParentReference: {
                shape: "Sf"
              },
              ChildReference: {
                shape: "Sf"
              },
              LinkName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AttachedObjectIdentifier: {}
            }
          }
        },
        AttachPolicy: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/policy/attach",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "PolicyReference",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              PolicyReference: {
                shape: "Sf"
              },
              ObjectReference: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AttachToIndex: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/index/attach",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "IndexReference",
              "TargetReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              IndexReference: {
                shape: "Sf"
              },
              TargetReference: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AttachedObjectIdentifier: {}
            }
          }
        },
        AttachTypedLink: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/attach",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "SourceObjectReference",
              "TargetObjectReference",
              "TypedLinkFacet",
              "Attributes"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              SourceObjectReference: {
                shape: "Sf"
              },
              TargetObjectReference: {
                shape: "Sf"
              },
              TypedLinkFacet: {
                shape: "St"
              },
              Attributes: {
                shape: "Sv"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TypedLinkSpecifier: {
                shape: "Sy"
              }
            }
          }
        },
        BatchRead: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/batchread",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "Operations"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Operations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ListObjectAttributes: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        },
                        FacetFilter: {
                          shape: "S3"
                        }
                      }
                    },
                    ListObjectChildren: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    ListAttachedIndices: {
                      type: "structure",
                      required: [
                        "TargetReference"
                      ],
                      members: {
                        TargetReference: {
                          shape: "Sf"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    ListObjectParentPaths: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    GetObjectInformation: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        }
                      }
                    },
                    GetObjectAttributes: {
                      type: "structure",
                      required: [
                        "ObjectReference",
                        "SchemaFacet",
                        "AttributeNames"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        SchemaFacet: {
                          shape: "S3"
                        },
                        AttributeNames: {
                          shape: "S1a"
                        }
                      }
                    },
                    ListObjectPolicies: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    ListPolicyAttachments: {
                      type: "structure",
                      required: [
                        "PolicyReference"
                      ],
                      members: {
                        PolicyReference: {
                          shape: "Sf"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    LookupPolicy: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    ListIndex: {
                      type: "structure",
                      required: [
                        "IndexReference"
                      ],
                      members: {
                        RangesOnIndexedValues: {
                          shape: "S1f"
                        },
                        IndexReference: {
                          shape: "Sf"
                        },
                        MaxResults: {
                          type: "integer"
                        },
                        NextToken: {}
                      }
                    },
                    ListOutgoingTypedLinks: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        FilterAttributeRanges: {
                          shape: "S1k"
                        },
                        FilterTypedLink: {
                          shape: "St"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    ListIncomingTypedLinks: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        FilterAttributeRanges: {
                          shape: "S1k"
                        },
                        FilterTypedLink: {
                          shape: "St"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    GetLinkAttributes: {
                      type: "structure",
                      required: [
                        "TypedLinkSpecifier",
                        "AttributeNames"
                      ],
                      members: {
                        TypedLinkSpecifier: {
                          shape: "Sy"
                        },
                        AttributeNames: {
                          shape: "S1a"
                        }
                      }
                    }
                  }
                }
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Responses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SuccessfulResponse: {
                      type: "structure",
                      members: {
                        ListObjectAttributes: {
                          type: "structure",
                          members: {
                            Attributes: {
                              shape: "S5"
                            },
                            NextToken: {}
                          }
                        },
                        ListObjectChildren: {
                          type: "structure",
                          members: {
                            Children: {
                              shape: "S1v"
                            },
                            NextToken: {}
                          }
                        },
                        GetObjectInformation: {
                          type: "structure",
                          members: {
                            SchemaFacets: {
                              shape: "S1x"
                            },
                            ObjectIdentifier: {}
                          }
                        },
                        GetObjectAttributes: {
                          type: "structure",
                          members: {
                            Attributes: {
                              shape: "S5"
                            }
                          }
                        },
                        ListAttachedIndices: {
                          type: "structure",
                          members: {
                            IndexAttachments: {
                              shape: "S20"
                            },
                            NextToken: {}
                          }
                        },
                        ListObjectParentPaths: {
                          type: "structure",
                          members: {
                            PathToObjectIdentifiersList: {
                              shape: "S23"
                            },
                            NextToken: {}
                          }
                        },
                        ListObjectPolicies: {
                          type: "structure",
                          members: {
                            AttachedPolicyIds: {
                              shape: "S26"
                            },
                            NextToken: {}
                          }
                        },
                        ListPolicyAttachments: {
                          type: "structure",
                          members: {
                            ObjectIdentifiers: {
                              shape: "S26"
                            },
                            NextToken: {}
                          }
                        },
                        LookupPolicy: {
                          type: "structure",
                          members: {
                            PolicyToPathList: {
                              shape: "S2a"
                            },
                            NextToken: {}
                          }
                        },
                        ListIndex: {
                          type: "structure",
                          members: {
                            IndexAttachments: {
                              shape: "S20"
                            },
                            NextToken: {}
                          }
                        },
                        ListOutgoingTypedLinks: {
                          type: "structure",
                          members: {
                            TypedLinkSpecifiers: {
                              shape: "S2h"
                            },
                            NextToken: {}
                          }
                        },
                        ListIncomingTypedLinks: {
                          type: "structure",
                          members: {
                            LinkSpecifiers: {
                              shape: "S2h"
                            },
                            NextToken: {}
                          }
                        },
                        GetLinkAttributes: {
                          type: "structure",
                          members: {
                            Attributes: {
                              shape: "S5"
                            }
                          }
                        }
                      }
                    },
                    ExceptionResponse: {
                      type: "structure",
                      members: {
                        Type: {},
                        Message: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        BatchWrite: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/batchwrite",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "Operations"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Operations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreateObject: {
                      type: "structure",
                      required: [
                        "SchemaFacet",
                        "ObjectAttributeList"
                      ],
                      members: {
                        SchemaFacet: {
                          shape: "S1x"
                        },
                        ObjectAttributeList: {
                          shape: "S5"
                        },
                        ParentReference: {
                          shape: "Sf"
                        },
                        LinkName: {},
                        BatchReferenceName: {}
                      }
                    },
                    AttachObject: {
                      type: "structure",
                      required: [
                        "ParentReference",
                        "ChildReference",
                        "LinkName"
                      ],
                      members: {
                        ParentReference: {
                          shape: "Sf"
                        },
                        ChildReference: {
                          shape: "Sf"
                        },
                        LinkName: {}
                      }
                    },
                    DetachObject: {
                      type: "structure",
                      required: [
                        "ParentReference",
                        "LinkName"
                      ],
                      members: {
                        ParentReference: {
                          shape: "Sf"
                        },
                        LinkName: {},
                        BatchReferenceName: {}
                      }
                    },
                    UpdateObjectAttributes: {
                      type: "structure",
                      required: [
                        "ObjectReference",
                        "AttributeUpdates"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        AttributeUpdates: {
                          shape: "S2v"
                        }
                      }
                    },
                    DeleteObject: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        }
                      }
                    },
                    AddFacetToObject: {
                      type: "structure",
                      required: [
                        "SchemaFacet",
                        "ObjectAttributeList",
                        "ObjectReference"
                      ],
                      members: {
                        SchemaFacet: {
                          shape: "S3"
                        },
                        ObjectAttributeList: {
                          shape: "S5"
                        },
                        ObjectReference: {
                          shape: "Sf"
                        }
                      }
                    },
                    RemoveFacetFromObject: {
                      type: "structure",
                      required: [
                        "SchemaFacet",
                        "ObjectReference"
                      ],
                      members: {
                        SchemaFacet: {
                          shape: "S3"
                        },
                        ObjectReference: {
                          shape: "Sf"
                        }
                      }
                    },
                    AttachPolicy: {
                      type: "structure",
                      required: [
                        "PolicyReference",
                        "ObjectReference"
                      ],
                      members: {
                        PolicyReference: {
                          shape: "Sf"
                        },
                        ObjectReference: {
                          shape: "Sf"
                        }
                      }
                    },
                    DetachPolicy: {
                      type: "structure",
                      required: [
                        "PolicyReference",
                        "ObjectReference"
                      ],
                      members: {
                        PolicyReference: {
                          shape: "Sf"
                        },
                        ObjectReference: {
                          shape: "Sf"
                        }
                      }
                    },
                    CreateIndex: {
                      type: "structure",
                      required: [
                        "OrderedIndexedAttributeList",
                        "IsUnique"
                      ],
                      members: {
                        OrderedIndexedAttributeList: {
                          shape: "S35"
                        },
                        IsUnique: {
                          type: "boolean"
                        },
                        ParentReference: {
                          shape: "Sf"
                        },
                        LinkName: {},
                        BatchReferenceName: {}
                      }
                    },
                    AttachToIndex: {
                      type: "structure",
                      required: [
                        "IndexReference",
                        "TargetReference"
                      ],
                      members: {
                        IndexReference: {
                          shape: "Sf"
                        },
                        TargetReference: {
                          shape: "Sf"
                        }
                      }
                    },
                    DetachFromIndex: {
                      type: "structure",
                      required: [
                        "IndexReference",
                        "TargetReference"
                      ],
                      members: {
                        IndexReference: {
                          shape: "Sf"
                        },
                        TargetReference: {
                          shape: "Sf"
                        }
                      }
                    },
                    AttachTypedLink: {
                      type: "structure",
                      required: [
                        "SourceObjectReference",
                        "TargetObjectReference",
                        "TypedLinkFacet",
                        "Attributes"
                      ],
                      members: {
                        SourceObjectReference: {
                          shape: "Sf"
                        },
                        TargetObjectReference: {
                          shape: "Sf"
                        },
                        TypedLinkFacet: {
                          shape: "St"
                        },
                        Attributes: {
                          shape: "Sv"
                        }
                      }
                    },
                    DetachTypedLink: {
                      type: "structure",
                      required: [
                        "TypedLinkSpecifier"
                      ],
                      members: {
                        TypedLinkSpecifier: {
                          shape: "Sy"
                        }
                      }
                    },
                    UpdateLinkAttributes: {
                      type: "structure",
                      required: [
                        "TypedLinkSpecifier",
                        "AttributeUpdates"
                      ],
                      members: {
                        TypedLinkSpecifier: {
                          shape: "Sy"
                        },
                        AttributeUpdates: {
                          shape: "S3c"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Responses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreateObject: {
                      type: "structure",
                      members: {
                        ObjectIdentifier: {}
                      }
                    },
                    AttachObject: {
                      type: "structure",
                      members: {
                        attachedObjectIdentifier: {}
                      }
                    },
                    DetachObject: {
                      type: "structure",
                      members: {
                        detachedObjectIdentifier: {}
                      }
                    },
                    UpdateObjectAttributes: {
                      type: "structure",
                      members: {
                        ObjectIdentifier: {}
                      }
                    },
                    DeleteObject: {
                      type: "structure",
                      members: {}
                    },
                    AddFacetToObject: {
                      type: "structure",
                      members: {}
                    },
                    RemoveFacetFromObject: {
                      type: "structure",
                      members: {}
                    },
                    AttachPolicy: {
                      type: "structure",
                      members: {}
                    },
                    DetachPolicy: {
                      type: "structure",
                      members: {}
                    },
                    CreateIndex: {
                      type: "structure",
                      members: {
                        ObjectIdentifier: {}
                      }
                    },
                    AttachToIndex: {
                      type: "structure",
                      members: {
                        AttachedObjectIdentifier: {}
                      }
                    },
                    DetachFromIndex: {
                      type: "structure",
                      members: {
                        DetachedObjectIdentifier: {}
                      }
                    },
                    AttachTypedLink: {
                      type: "structure",
                      members: {
                        TypedLinkSpecifier: {
                          shape: "Sy"
                        }
                      }
                    },
                    DetachTypedLink: {
                      type: "structure",
                      members: {}
                    },
                    UpdateLinkAttributes: {
                      type: "structure",
                      members: {}
                    }
                  }
                }
              }
            }
          }
        },
        CreateDirectory: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/directory/create",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "SchemaArn"
            ],
            members: {
              Name: {},
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DirectoryArn",
              "Name",
              "ObjectIdentifier",
              "AppliedSchemaArn"
            ],
            members: {
              DirectoryArn: {},
              Name: {},
              ObjectIdentifier: {},
              AppliedSchemaArn: {}
            }
          }
        },
        CreateFacet: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/facet/create",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name",
              "ObjectType"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {},
              Attributes: {
                shape: "S42"
              },
              ObjectType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateIndex: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/index",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "OrderedIndexedAttributeList",
              "IsUnique"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              OrderedIndexedAttributeList: {
                shape: "S35"
              },
              IsUnique: {
                type: "boolean"
              },
              ParentReference: {
                shape: "Sf"
              },
              LinkName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ObjectIdentifier: {}
            }
          }
        },
        CreateObject: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/object",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "SchemaFacets"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              SchemaFacets: {
                shape: "S1x"
              },
              ObjectAttributeList: {
                shape: "S5"
              },
              ParentReference: {
                shape: "Sf"
              },
              LinkName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ObjectIdentifier: {}
            }
          }
        },
        CreateSchema: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/schema/create",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArn: {}
            }
          }
        },
        CreateTypedLinkFacet: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/facet/create",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Facet"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Facet: {
                type: "structure",
                required: [
                  "Name",
                  "Attributes",
                  "IdentityAttributeOrder"
                ],
                members: {
                  Name: {},
                  Attributes: {
                    shape: "S4q"
                  },
                  IdentityAttributeOrder: {
                    shape: "S1a"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDirectory: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/directory",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DirectoryArn"
            ],
            members: {
              DirectoryArn: {}
            }
          }
        },
        DeleteFacet: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/facet/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteObject: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/object/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSchema: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/schema",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArn: {}
            }
          }
        },
        DeleteTypedLinkFacet: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/facet/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DetachFromIndex: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/index/detach",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "IndexReference",
              "TargetReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              IndexReference: {
                shape: "Sf"
              },
              TargetReference: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DetachedObjectIdentifier: {}
            }
          }
        },
        DetachObject: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/object/detach",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ParentReference",
              "LinkName"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ParentReference: {
                shape: "Sf"
              },
              LinkName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DetachedObjectIdentifier: {}
            }
          }
        },
        DetachPolicy: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/policy/detach",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "PolicyReference",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              PolicyReference: {
                shape: "Sf"
              },
              ObjectReference: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DetachTypedLink: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/detach",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "TypedLinkSpecifier"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              TypedLinkSpecifier: {
                shape: "Sy"
              }
            }
          }
        },
        DisableDirectory: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/directory/disable",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DirectoryArn"
            ],
            members: {
              DirectoryArn: {}
            }
          }
        },
        EnableDirectory: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/directory/enable",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DirectoryArn"
            ],
            members: {
              DirectoryArn: {}
            }
          }
        },
        GetAppliedSchemaVersion: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/schema/getappliedschema",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn"
            ],
            members: {
              SchemaArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AppliedSchemaArn: {}
            }
          }
        },
        GetDirectory: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/directory/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Directory"
            ],
            members: {
              Directory: {
                shape: "S5i"
              }
            }
          }
        },
        GetFacet: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/facet",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Facet: {
                type: "structure",
                members: {
                  Name: {},
                  ObjectType: {}
                }
              }
            }
          }
        },
        GetLinkAttributes: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/attributes/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "TypedLinkSpecifier",
              "AttributeNames"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              TypedLinkSpecifier: {
                shape: "Sy"
              },
              AttributeNames: {
                shape: "S1a"
              },
              ConsistencyLevel: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "S5"
              }
            }
          }
        },
        GetObjectAttributes: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/object/attributes/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference",
              "SchemaFacet",
              "AttributeNames"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              },
              SchemaFacet: {
                shape: "S3"
              },
              AttributeNames: {
                shape: "S1a"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "S5"
              }
            }
          }
        },
        GetObjectInformation: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/object/information",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaFacets: {
                shape: "S1x"
              },
              ObjectIdentifier: {}
            }
          }
        },
        GetSchemaAsJson: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/schema/json",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Document: {}
            }
          }
        },
        GetTypedLinkFacetInformation: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/facet/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityAttributeOrder: {
                shape: "S1a"
              }
            }
          }
        },
        ListAppliedSchemaArns: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/schema/applied",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn"
            ],
            members: {
              DirectoryArn: {},
              SchemaArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArns: {
                shape: "S61"
              },
              NextToken: {}
            }
          }
        },
        ListAttachedIndices: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/object/indices",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "TargetReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              TargetReference: {
                shape: "Sf"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IndexAttachments: {
                shape: "S20"
              },
              NextToken: {}
            }
          }
        },
        ListDevelopmentSchemaArns: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/schema/development",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArns: {
                shape: "S61"
              },
              NextToken: {}
            }
          }
        },
        ListDirectories: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/directory/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              state: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Directories"
            ],
            members: {
              Directories: {
                type: "list",
                member: {
                  shape: "S5i"
                }
              },
              NextToken: {}
            }
          }
        },
        ListFacetAttributes: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/facet/attributes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "S42"
              },
              NextToken: {}
            }
          }
        },
        ListFacetNames: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/facet/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FacetNames: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListIncomingTypedLinks: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/incoming",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              FilterAttributeRanges: {
                shape: "S1k"
              },
              FilterTypedLink: {
                shape: "St"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ConsistencyLevel: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LinkSpecifiers: {
                shape: "S2h"
              },
              NextToken: {}
            }
          }
        },
        ListIndex: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/index/targets",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "IndexReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              RangesOnIndexedValues: {
                shape: "S1f"
              },
              IndexReference: {
                shape: "Sf"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IndexAttachments: {
                shape: "S20"
              },
              NextToken: {}
            }
          }
        },
        ListObjectAttributes: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/object/attributes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              },
              FacetFilter: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "S5"
              },
              NextToken: {}
            }
          }
        },
        ListObjectChildren: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/object/children",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Children: {
                shape: "S1v"
              },
              NextToken: {}
            }
          }
        },
        ListObjectParentPaths: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/object/parentpaths",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PathToObjectIdentifiersList: {
                shape: "S23"
              },
              NextToken: {}
            }
          }
        },
        ListObjectParents: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/object/parent",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Parents: {
                type: "map",
                key: {},
                value: {}
              },
              NextToken: {}
            }
          }
        },
        ListObjectPolicies: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/object/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AttachedPolicyIds: {
                shape: "S26"
              },
              NextToken: {}
            }
          }
        },
        ListOutgoingTypedLinks: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/outgoing",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              FilterAttributeRanges: {
                shape: "S1k"
              },
              FilterTypedLink: {
                shape: "St"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ConsistencyLevel: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TypedLinkSpecifiers: {
                shape: "S2h"
              },
              NextToken: {}
            }
          }
        },
        ListPolicyAttachments: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/policy/attachment",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "PolicyReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              PolicyReference: {
                shape: "Sf"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ObjectIdentifiers: {
                shape: "S26"
              },
              NextToken: {}
            }
          }
        },
        ListPublishedSchemaArns: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/schema/published",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              SchemaArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArns: {
                shape: "S61"
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/tags",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S72"
              },
              NextToken: {}
            }
          }
        },
        ListTypedLinkFacetAttributes: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/facet/attributes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "S4q"
              },
              NextToken: {}
            }
          }
        },
        ListTypedLinkFacetNames: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/facet/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FacetNames: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        LookupPolicy: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/policy/lookup",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyToPathList: {
                shape: "S2a"
              },
              NextToken: {}
            }
          }
        },
        PublishSchema: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/schema/publish",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DevelopmentSchemaArn",
              "Version"
            ],
            members: {
              DevelopmentSchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Version: {},
              MinorVersion: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PublishedSchemaArn: {}
            }
          }
        },
        PutSchemaFromJson: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/schema/json",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Document"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Document: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          }
        },
        RemoveFacetFromObject: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/object/facets/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "SchemaFacet",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              SchemaFacet: {
                shape: "S3"
              },
              ObjectReference: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/tags/add",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S72"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/tags/remove",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateFacet: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/facet",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {},
              AttributeUpdates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Attribute: {
                      shape: "S43"
                    },
                    Action: {}
                  }
                }
              },
              ObjectType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateLinkAttributes: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/attributes/update",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "TypedLinkSpecifier",
              "AttributeUpdates"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              TypedLinkSpecifier: {
                shape: "Sy"
              },
              AttributeUpdates: {
                shape: "S3c"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateObjectAttributes: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/object/update",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference",
              "AttributeUpdates"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              AttributeUpdates: {
                shape: "S2v"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ObjectIdentifier: {}
            }
          }
        },
        UpdateSchema: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/schema/update",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArn: {}
            }
          }
        },
        UpdateTypedLinkFacet: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/facet",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name",
              "AttributeUpdates",
              "IdentityAttributeOrder"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {},
              AttributeUpdates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Attribute",
                    "Action"
                  ],
                  members: {
                    Attribute: {
                      shape: "S4r"
                    },
                    Action: {}
                  }
                }
              },
              IdentityAttributeOrder: {
                shape: "S1a"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpgradeAppliedSchema: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/schema/upgradeapplied",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PublishedSchemaArn",
              "DirectoryArn"
            ],
            members: {
              PublishedSchemaArn: {},
              DirectoryArn: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UpgradedSchemaArn: {},
              DirectoryArn: {}
            }
          }
        },
        UpgradePublishedSchema: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/schema/upgradepublished",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DevelopmentSchemaArn",
              "PublishedSchemaArn",
              "MinorVersion"
            ],
            members: {
              DevelopmentSchemaArn: {},
              PublishedSchemaArn: {},
              MinorVersion: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UpgradedSchemaArn: {}
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "structure",
          members: {
            SchemaArn: {},
            FacetName: {}
          }
        },
        S5: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {
                shape: "S7"
              },
              Value: {
                shape: "S9"
              }
            }
          }
        },
        S7: {
          type: "structure",
          required: [
            "SchemaArn",
            "FacetName",
            "Name"
          ],
          members: {
            SchemaArn: {},
            FacetName: {},
            Name: {}
          }
        },
        S9: {
          type: "structure",
          members: {
            StringValue: {},
            BinaryValue: {
              type: "blob"
            },
            BooleanValue: {
              type: "boolean"
            },
            NumberValue: {},
            DatetimeValue: {
              type: "timestamp"
            }
          }
        },
        Sf: {
          type: "structure",
          members: {
            Selector: {}
          }
        },
        St: {
          type: "structure",
          required: [
            "SchemaArn",
            "TypedLinkName"
          ],
          members: {
            SchemaArn: {},
            TypedLinkName: {}
          }
        },
        Sv: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AttributeName",
              "Value"
            ],
            members: {
              AttributeName: {},
              Value: {
                shape: "S9"
              }
            }
          }
        },
        Sy: {
          type: "structure",
          required: [
            "TypedLinkFacet",
            "SourceObjectReference",
            "TargetObjectReference",
            "IdentityAttributeValues"
          ],
          members: {
            TypedLinkFacet: {
              shape: "St"
            },
            SourceObjectReference: {
              shape: "Sf"
            },
            TargetObjectReference: {
              shape: "Sf"
            },
            IdentityAttributeValues: {
              shape: "Sv"
            }
          }
        },
        S1a: {
          type: "list",
          member: {}
        },
        S1f: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AttributeKey: {
                shape: "S7"
              },
              Range: {
                shape: "S1h"
              }
            }
          }
        },
        S1h: {
          type: "structure",
          required: [
            "StartMode",
            "EndMode"
          ],
          members: {
            StartMode: {},
            StartValue: {
              shape: "S9"
            },
            EndMode: {},
            EndValue: {
              shape: "S9"
            }
          }
        },
        S1k: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Range"
            ],
            members: {
              AttributeName: {},
              Range: {
                shape: "S1h"
              }
            }
          }
        },
        S1v: {
          type: "map",
          key: {},
          value: {}
        },
        S1x: {
          type: "list",
          member: {
            shape: "S3"
          }
        },
        S20: {
          type: "list",
          member: {
            type: "structure",
            members: {
              IndexedAttributes: {
                shape: "S5"
              },
              ObjectIdentifier: {}
            }
          }
        },
        S23: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Path: {},
              ObjectIdentifiers: {
                shape: "S26"
              }
            }
          }
        },
        S26: {
          type: "list",
          member: {}
        },
        S2a: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Path: {},
              Policies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PolicyId: {},
                    ObjectIdentifier: {},
                    PolicyType: {}
                  }
                }
              }
            }
          }
        },
        S2h: {
          type: "list",
          member: {
            shape: "Sy"
          }
        },
        S2v: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ObjectAttributeKey: {
                shape: "S7"
              },
              ObjectAttributeAction: {
                type: "structure",
                members: {
                  ObjectAttributeActionType: {},
                  ObjectAttributeUpdateValue: {
                    shape: "S9"
                  }
                }
              }
            }
          }
        },
        S35: {
          type: "list",
          member: {
            shape: "S7"
          }
        },
        S3c: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AttributeKey: {
                shape: "S7"
              },
              AttributeAction: {
                type: "structure",
                members: {
                  AttributeActionType: {},
                  AttributeUpdateValue: {
                    shape: "S9"
                  }
                }
              }
            }
          }
        },
        S42: {
          type: "list",
          member: {
            shape: "S43"
          }
        },
        S43: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            AttributeDefinition: {
              type: "structure",
              required: [
                "Type"
              ],
              members: {
                Type: {},
                DefaultValue: {
                  shape: "S9"
                },
                IsImmutable: {
                  type: "boolean"
                },
                Rules: {
                  shape: "S46"
                }
              }
            },
            AttributeReference: {
              type: "structure",
              required: [
                "TargetFacetName",
                "TargetAttributeName"
              ],
              members: {
                TargetFacetName: {},
                TargetAttributeName: {}
              }
            },
            RequiredBehavior: {}
          }
        },
        S46: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              Type: {},
              Parameters: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        S4q: {
          type: "list",
          member: {
            shape: "S4r"
          }
        },
        S4r: {
          type: "structure",
          required: [
            "Name",
            "Type",
            "RequiredBehavior"
          ],
          members: {
            Name: {},
            Type: {},
            DefaultValue: {
              shape: "S9"
            },
            IsImmutable: {
              type: "boolean"
            },
            Rules: {
              shape: "S46"
            },
            RequiredBehavior: {}
          }
        },
        S5i: {
          type: "structure",
          members: {
            Name: {},
            DirectoryArn: {},
            State: {},
            CreationDateTime: {
              type: "timestamp"
            }
          }
        },
        S61: {
          type: "list",
          member: {}
        },
        S72: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/clouddirectory-2016-05-10.paginators.json
var require_clouddirectory_2016_05_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/clouddirectory-2016-05-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAppliedSchemaArns: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAttachedIndices: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDevelopmentSchemaArns: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDirectories: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListFacetAttributes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListFacetNames: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListIndex: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListObjectAttributes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListObjectChildren: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListObjectParentPaths: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListObjectParents: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListObjectPolicies: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListPolicyAttachments: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListPublishedSchemaArns: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListTypedLinkFacetAttributes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListTypedLinkFacetNames: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        LookupPolicy: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/clouddirectory-2017-01-11.min.json
var require_clouddirectory_2017_01_11_min = __commonJS({
  "node_modules/aws-sdk/apis/clouddirectory-2017-01-11.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-01-11",
        endpointPrefix: "clouddirectory",
        protocol: "rest-json",
        serviceFullName: "Amazon CloudDirectory",
        serviceId: "CloudDirectory",
        signatureVersion: "v4",
        signingName: "clouddirectory",
        uid: "clouddirectory-2017-01-11"
      },
      operations: {
        AddFacetToObject: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/object/facets",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "SchemaFacet",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              SchemaFacet: {
                shape: "S3"
              },
              ObjectAttributeList: {
                shape: "S5"
              },
              ObjectReference: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ApplySchema: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/schema/apply",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PublishedSchemaArn",
              "DirectoryArn"
            ],
            members: {
              PublishedSchemaArn: {},
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppliedSchemaArn: {},
              DirectoryArn: {}
            }
          }
        },
        AttachObject: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/object/attach",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ParentReference",
              "ChildReference",
              "LinkName"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ParentReference: {
                shape: "Sf"
              },
              ChildReference: {
                shape: "Sf"
              },
              LinkName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AttachedObjectIdentifier: {}
            }
          }
        },
        AttachPolicy: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/policy/attach",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "PolicyReference",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              PolicyReference: {
                shape: "Sf"
              },
              ObjectReference: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AttachToIndex: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/index/attach",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "IndexReference",
              "TargetReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              IndexReference: {
                shape: "Sf"
              },
              TargetReference: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AttachedObjectIdentifier: {}
            }
          }
        },
        AttachTypedLink: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/attach",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "SourceObjectReference",
              "TargetObjectReference",
              "TypedLinkFacet",
              "Attributes"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              SourceObjectReference: {
                shape: "Sf"
              },
              TargetObjectReference: {
                shape: "Sf"
              },
              TypedLinkFacet: {
                shape: "St"
              },
              Attributes: {
                shape: "Sv"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TypedLinkSpecifier: {
                shape: "Sy"
              }
            }
          }
        },
        BatchRead: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/batchread",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "Operations"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Operations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ListObjectAttributes: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        },
                        FacetFilter: {
                          shape: "S3"
                        }
                      }
                    },
                    ListObjectChildren: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    ListAttachedIndices: {
                      type: "structure",
                      required: [
                        "TargetReference"
                      ],
                      members: {
                        TargetReference: {
                          shape: "Sf"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    ListObjectParentPaths: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    GetObjectInformation: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        }
                      }
                    },
                    GetObjectAttributes: {
                      type: "structure",
                      required: [
                        "ObjectReference",
                        "SchemaFacet",
                        "AttributeNames"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        SchemaFacet: {
                          shape: "S3"
                        },
                        AttributeNames: {
                          shape: "S1a"
                        }
                      }
                    },
                    ListObjectParents: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    ListObjectPolicies: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    ListPolicyAttachments: {
                      type: "structure",
                      required: [
                        "PolicyReference"
                      ],
                      members: {
                        PolicyReference: {
                          shape: "Sf"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    LookupPolicy: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    ListIndex: {
                      type: "structure",
                      required: [
                        "IndexReference"
                      ],
                      members: {
                        RangesOnIndexedValues: {
                          shape: "S1g"
                        },
                        IndexReference: {
                          shape: "Sf"
                        },
                        MaxResults: {
                          type: "integer"
                        },
                        NextToken: {}
                      }
                    },
                    ListOutgoingTypedLinks: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        FilterAttributeRanges: {
                          shape: "S1l"
                        },
                        FilterTypedLink: {
                          shape: "St"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    ListIncomingTypedLinks: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        FilterAttributeRanges: {
                          shape: "S1l"
                        },
                        FilterTypedLink: {
                          shape: "St"
                        },
                        NextToken: {},
                        MaxResults: {
                          type: "integer"
                        }
                      }
                    },
                    GetLinkAttributes: {
                      type: "structure",
                      required: [
                        "TypedLinkSpecifier",
                        "AttributeNames"
                      ],
                      members: {
                        TypedLinkSpecifier: {
                          shape: "Sy"
                        },
                        AttributeNames: {
                          shape: "S1a"
                        }
                      }
                    }
                  }
                }
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Responses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SuccessfulResponse: {
                      type: "structure",
                      members: {
                        ListObjectAttributes: {
                          type: "structure",
                          members: {
                            Attributes: {
                              shape: "S5"
                            },
                            NextToken: {}
                          }
                        },
                        ListObjectChildren: {
                          type: "structure",
                          members: {
                            Children: {
                              shape: "S1w"
                            },
                            NextToken: {}
                          }
                        },
                        GetObjectInformation: {
                          type: "structure",
                          members: {
                            SchemaFacets: {
                              shape: "S1y"
                            },
                            ObjectIdentifier: {}
                          }
                        },
                        GetObjectAttributes: {
                          type: "structure",
                          members: {
                            Attributes: {
                              shape: "S5"
                            }
                          }
                        },
                        ListAttachedIndices: {
                          type: "structure",
                          members: {
                            IndexAttachments: {
                              shape: "S21"
                            },
                            NextToken: {}
                          }
                        },
                        ListObjectParentPaths: {
                          type: "structure",
                          members: {
                            PathToObjectIdentifiersList: {
                              shape: "S24"
                            },
                            NextToken: {}
                          }
                        },
                        ListObjectPolicies: {
                          type: "structure",
                          members: {
                            AttachedPolicyIds: {
                              shape: "S27"
                            },
                            NextToken: {}
                          }
                        },
                        ListPolicyAttachments: {
                          type: "structure",
                          members: {
                            ObjectIdentifiers: {
                              shape: "S27"
                            },
                            NextToken: {}
                          }
                        },
                        LookupPolicy: {
                          type: "structure",
                          members: {
                            PolicyToPathList: {
                              shape: "S2b"
                            },
                            NextToken: {}
                          }
                        },
                        ListIndex: {
                          type: "structure",
                          members: {
                            IndexAttachments: {
                              shape: "S21"
                            },
                            NextToken: {}
                          }
                        },
                        ListOutgoingTypedLinks: {
                          type: "structure",
                          members: {
                            TypedLinkSpecifiers: {
                              shape: "S2i"
                            },
                            NextToken: {}
                          }
                        },
                        ListIncomingTypedLinks: {
                          type: "structure",
                          members: {
                            LinkSpecifiers: {
                              shape: "S2i"
                            },
                            NextToken: {}
                          }
                        },
                        GetLinkAttributes: {
                          type: "structure",
                          members: {
                            Attributes: {
                              shape: "S5"
                            }
                          }
                        },
                        ListObjectParents: {
                          type: "structure",
                          members: {
                            ParentLinks: {
                              shape: "S2m"
                            },
                            NextToken: {}
                          }
                        }
                      }
                    },
                    ExceptionResponse: {
                      type: "structure",
                      members: {
                        Type: {},
                        Message: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        BatchWrite: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/batchwrite",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "Operations"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Operations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreateObject: {
                      type: "structure",
                      required: [
                        "SchemaFacet",
                        "ObjectAttributeList"
                      ],
                      members: {
                        SchemaFacet: {
                          shape: "S1y"
                        },
                        ObjectAttributeList: {
                          shape: "S5"
                        },
                        ParentReference: {
                          shape: "Sf"
                        },
                        LinkName: {},
                        BatchReferenceName: {}
                      }
                    },
                    AttachObject: {
                      type: "structure",
                      required: [
                        "ParentReference",
                        "ChildReference",
                        "LinkName"
                      ],
                      members: {
                        ParentReference: {
                          shape: "Sf"
                        },
                        ChildReference: {
                          shape: "Sf"
                        },
                        LinkName: {}
                      }
                    },
                    DetachObject: {
                      type: "structure",
                      required: [
                        "ParentReference",
                        "LinkName"
                      ],
                      members: {
                        ParentReference: {
                          shape: "Sf"
                        },
                        LinkName: {},
                        BatchReferenceName: {}
                      }
                    },
                    UpdateObjectAttributes: {
                      type: "structure",
                      required: [
                        "ObjectReference",
                        "AttributeUpdates"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        },
                        AttributeUpdates: {
                          shape: "S2z"
                        }
                      }
                    },
                    DeleteObject: {
                      type: "structure",
                      required: [
                        "ObjectReference"
                      ],
                      members: {
                        ObjectReference: {
                          shape: "Sf"
                        }
                      }
                    },
                    AddFacetToObject: {
                      type: "structure",
                      required: [
                        "SchemaFacet",
                        "ObjectAttributeList",
                        "ObjectReference"
                      ],
                      members: {
                        SchemaFacet: {
                          shape: "S3"
                        },
                        ObjectAttributeList: {
                          shape: "S5"
                        },
                        ObjectReference: {
                          shape: "Sf"
                        }
                      }
                    },
                    RemoveFacetFromObject: {
                      type: "structure",
                      required: [
                        "SchemaFacet",
                        "ObjectReference"
                      ],
                      members: {
                        SchemaFacet: {
                          shape: "S3"
                        },
                        ObjectReference: {
                          shape: "Sf"
                        }
                      }
                    },
                    AttachPolicy: {
                      type: "structure",
                      required: [
                        "PolicyReference",
                        "ObjectReference"
                      ],
                      members: {
                        PolicyReference: {
                          shape: "Sf"
                        },
                        ObjectReference: {
                          shape: "Sf"
                        }
                      }
                    },
                    DetachPolicy: {
                      type: "structure",
                      required: [
                        "PolicyReference",
                        "ObjectReference"
                      ],
                      members: {
                        PolicyReference: {
                          shape: "Sf"
                        },
                        ObjectReference: {
                          shape: "Sf"
                        }
                      }
                    },
                    CreateIndex: {
                      type: "structure",
                      required: [
                        "OrderedIndexedAttributeList",
                        "IsUnique"
                      ],
                      members: {
                        OrderedIndexedAttributeList: {
                          shape: "S39"
                        },
                        IsUnique: {
                          type: "boolean"
                        },
                        ParentReference: {
                          shape: "Sf"
                        },
                        LinkName: {},
                        BatchReferenceName: {}
                      }
                    },
                    AttachToIndex: {
                      type: "structure",
                      required: [
                        "IndexReference",
                        "TargetReference"
                      ],
                      members: {
                        IndexReference: {
                          shape: "Sf"
                        },
                        TargetReference: {
                          shape: "Sf"
                        }
                      }
                    },
                    DetachFromIndex: {
                      type: "structure",
                      required: [
                        "IndexReference",
                        "TargetReference"
                      ],
                      members: {
                        IndexReference: {
                          shape: "Sf"
                        },
                        TargetReference: {
                          shape: "Sf"
                        }
                      }
                    },
                    AttachTypedLink: {
                      type: "structure",
                      required: [
                        "SourceObjectReference",
                        "TargetObjectReference",
                        "TypedLinkFacet",
                        "Attributes"
                      ],
                      members: {
                        SourceObjectReference: {
                          shape: "Sf"
                        },
                        TargetObjectReference: {
                          shape: "Sf"
                        },
                        TypedLinkFacet: {
                          shape: "St"
                        },
                        Attributes: {
                          shape: "Sv"
                        }
                      }
                    },
                    DetachTypedLink: {
                      type: "structure",
                      required: [
                        "TypedLinkSpecifier"
                      ],
                      members: {
                        TypedLinkSpecifier: {
                          shape: "Sy"
                        }
                      }
                    },
                    UpdateLinkAttributes: {
                      type: "structure",
                      required: [
                        "TypedLinkSpecifier",
                        "AttributeUpdates"
                      ],
                      members: {
                        TypedLinkSpecifier: {
                          shape: "Sy"
                        },
                        AttributeUpdates: {
                          shape: "S3g"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Responses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreateObject: {
                      type: "structure",
                      members: {
                        ObjectIdentifier: {}
                      }
                    },
                    AttachObject: {
                      type: "structure",
                      members: {
                        attachedObjectIdentifier: {}
                      }
                    },
                    DetachObject: {
                      type: "structure",
                      members: {
                        detachedObjectIdentifier: {}
                      }
                    },
                    UpdateObjectAttributes: {
                      type: "structure",
                      members: {
                        ObjectIdentifier: {}
                      }
                    },
                    DeleteObject: {
                      type: "structure",
                      members: {}
                    },
                    AddFacetToObject: {
                      type: "structure",
                      members: {}
                    },
                    RemoveFacetFromObject: {
                      type: "structure",
                      members: {}
                    },
                    AttachPolicy: {
                      type: "structure",
                      members: {}
                    },
                    DetachPolicy: {
                      type: "structure",
                      members: {}
                    },
                    CreateIndex: {
                      type: "structure",
                      members: {
                        ObjectIdentifier: {}
                      }
                    },
                    AttachToIndex: {
                      type: "structure",
                      members: {
                        AttachedObjectIdentifier: {}
                      }
                    },
                    DetachFromIndex: {
                      type: "structure",
                      members: {
                        DetachedObjectIdentifier: {}
                      }
                    },
                    AttachTypedLink: {
                      type: "structure",
                      members: {
                        TypedLinkSpecifier: {
                          shape: "Sy"
                        }
                      }
                    },
                    DetachTypedLink: {
                      type: "structure",
                      members: {}
                    },
                    UpdateLinkAttributes: {
                      type: "structure",
                      members: {}
                    }
                  }
                }
              }
            }
          }
        },
        CreateDirectory: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/directory/create",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "SchemaArn"
            ],
            members: {
              Name: {},
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DirectoryArn",
              "Name",
              "ObjectIdentifier",
              "AppliedSchemaArn"
            ],
            members: {
              DirectoryArn: {},
              Name: {},
              ObjectIdentifier: {},
              AppliedSchemaArn: {}
            }
          }
        },
        CreateFacet: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/facet/create",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {},
              Attributes: {
                shape: "S46"
              },
              ObjectType: {},
              FacetStyle: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateIndex: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/index",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "OrderedIndexedAttributeList",
              "IsUnique"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              OrderedIndexedAttributeList: {
                shape: "S39"
              },
              IsUnique: {
                type: "boolean"
              },
              ParentReference: {
                shape: "Sf"
              },
              LinkName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ObjectIdentifier: {}
            }
          }
        },
        CreateObject: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/object",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "SchemaFacets"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              SchemaFacets: {
                shape: "S1y"
              },
              ObjectAttributeList: {
                shape: "S5"
              },
              ParentReference: {
                shape: "Sf"
              },
              LinkName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ObjectIdentifier: {}
            }
          }
        },
        CreateSchema: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/schema/create",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArn: {}
            }
          }
        },
        CreateTypedLinkFacet: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/facet/create",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Facet"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Facet: {
                type: "structure",
                required: [
                  "Name",
                  "Attributes",
                  "IdentityAttributeOrder"
                ],
                members: {
                  Name: {},
                  Attributes: {
                    shape: "S4v"
                  },
                  IdentityAttributeOrder: {
                    shape: "S1a"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDirectory: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/directory",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DirectoryArn"
            ],
            members: {
              DirectoryArn: {}
            }
          }
        },
        DeleteFacet: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/facet/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteObject: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/object/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSchema: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/schema",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArn: {}
            }
          }
        },
        DeleteTypedLinkFacet: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/facet/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DetachFromIndex: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/index/detach",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "IndexReference",
              "TargetReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              IndexReference: {
                shape: "Sf"
              },
              TargetReference: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DetachedObjectIdentifier: {}
            }
          }
        },
        DetachObject: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/object/detach",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ParentReference",
              "LinkName"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ParentReference: {
                shape: "Sf"
              },
              LinkName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DetachedObjectIdentifier: {}
            }
          }
        },
        DetachPolicy: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/policy/detach",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "PolicyReference",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              PolicyReference: {
                shape: "Sf"
              },
              ObjectReference: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DetachTypedLink: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/detach",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "TypedLinkSpecifier"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              TypedLinkSpecifier: {
                shape: "Sy"
              }
            }
          }
        },
        DisableDirectory: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/directory/disable",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DirectoryArn"
            ],
            members: {
              DirectoryArn: {}
            }
          }
        },
        EnableDirectory: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/directory/enable",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DirectoryArn"
            ],
            members: {
              DirectoryArn: {}
            }
          }
        },
        GetAppliedSchemaVersion: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/schema/getappliedschema",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn"
            ],
            members: {
              SchemaArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AppliedSchemaArn: {}
            }
          }
        },
        GetDirectory: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/directory/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Directory"
            ],
            members: {
              Directory: {
                shape: "S5n"
              }
            }
          }
        },
        GetFacet: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/facet",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Facet: {
                type: "structure",
                members: {
                  Name: {},
                  ObjectType: {},
                  FacetStyle: {}
                }
              }
            }
          }
        },
        GetLinkAttributes: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/attributes/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "TypedLinkSpecifier",
              "AttributeNames"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              TypedLinkSpecifier: {
                shape: "Sy"
              },
              AttributeNames: {
                shape: "S1a"
              },
              ConsistencyLevel: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "S5"
              }
            }
          }
        },
        GetObjectAttributes: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/object/attributes/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference",
              "SchemaFacet",
              "AttributeNames"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              },
              SchemaFacet: {
                shape: "S3"
              },
              AttributeNames: {
                shape: "S1a"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "S5"
              }
            }
          }
        },
        GetObjectInformation: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/object/information",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaFacets: {
                shape: "S1y"
              },
              ObjectIdentifier: {}
            }
          }
        },
        GetSchemaAsJson: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/schema/json",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Document: {}
            }
          }
        },
        GetTypedLinkFacetInformation: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/facet/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityAttributeOrder: {
                shape: "S1a"
              }
            }
          }
        },
        ListAppliedSchemaArns: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/schema/applied",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn"
            ],
            members: {
              DirectoryArn: {},
              SchemaArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArns: {
                shape: "S66"
              },
              NextToken: {}
            }
          }
        },
        ListAttachedIndices: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/object/indices",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "TargetReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              TargetReference: {
                shape: "Sf"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IndexAttachments: {
                shape: "S21"
              },
              NextToken: {}
            }
          }
        },
        ListDevelopmentSchemaArns: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/schema/development",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArns: {
                shape: "S66"
              },
              NextToken: {}
            }
          }
        },
        ListDirectories: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/directory/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              state: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Directories"
            ],
            members: {
              Directories: {
                type: "list",
                member: {
                  shape: "S5n"
                }
              },
              NextToken: {}
            }
          }
        },
        ListFacetAttributes: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/facet/attributes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "S46"
              },
              NextToken: {}
            }
          }
        },
        ListFacetNames: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/facet/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FacetNames: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListIncomingTypedLinks: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/incoming",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              FilterAttributeRanges: {
                shape: "S1l"
              },
              FilterTypedLink: {
                shape: "St"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ConsistencyLevel: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LinkSpecifiers: {
                shape: "S2i"
              },
              NextToken: {}
            }
          }
        },
        ListIndex: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/index/targets",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "IndexReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              RangesOnIndexedValues: {
                shape: "S1g"
              },
              IndexReference: {
                shape: "Sf"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IndexAttachments: {
                shape: "S21"
              },
              NextToken: {}
            }
          }
        },
        ListManagedSchemaArns: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/schema/managed",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              SchemaArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArns: {
                shape: "S66"
              },
              NextToken: {}
            }
          }
        },
        ListObjectAttributes: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/object/attributes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              },
              FacetFilter: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "S5"
              },
              NextToken: {}
            }
          }
        },
        ListObjectChildren: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/object/children",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Children: {
                shape: "S1w"
              },
              NextToken: {}
            }
          }
        },
        ListObjectParentPaths: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/object/parentpaths",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PathToObjectIdentifiersList: {
                shape: "S24"
              },
              NextToken: {}
            }
          }
        },
        ListObjectParents: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/object/parent",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              },
              IncludeAllLinksToEachParent: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Parents: {
                type: "map",
                key: {},
                value: {}
              },
              NextToken: {},
              ParentLinks: {
                shape: "S2m"
              }
            }
          }
        },
        ListObjectPolicies: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/object/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AttachedPolicyIds: {
                shape: "S27"
              },
              NextToken: {}
            }
          }
        },
        ListOutgoingTypedLinks: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/outgoing",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              FilterAttributeRanges: {
                shape: "S1l"
              },
              FilterTypedLink: {
                shape: "St"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ConsistencyLevel: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TypedLinkSpecifiers: {
                shape: "S2i"
              },
              NextToken: {}
            }
          }
        },
        ListPolicyAttachments: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/policy/attachment",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "PolicyReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              PolicyReference: {
                shape: "Sf"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ConsistencyLevel: {
                location: "header",
                locationName: "x-amz-consistency-level"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ObjectIdentifiers: {
                shape: "S27"
              },
              NextToken: {}
            }
          }
        },
        ListPublishedSchemaArns: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/schema/published",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              SchemaArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArns: {
                shape: "S66"
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/tags",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S79"
              },
              NextToken: {}
            }
          }
        },
        ListTypedLinkFacetAttributes: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/facet/attributes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "S4v"
              },
              NextToken: {}
            }
          }
        },
        ListTypedLinkFacetNames: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/facet/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FacetNames: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        LookupPolicy: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/policy/lookup",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyToPathList: {
                shape: "S2b"
              },
              NextToken: {}
            }
          }
        },
        PublishSchema: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/schema/publish",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DevelopmentSchemaArn",
              "Version"
            ],
            members: {
              DevelopmentSchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Version: {},
              MinorVersion: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PublishedSchemaArn: {}
            }
          }
        },
        PutSchemaFromJson: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/schema/json",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Document"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Document: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          }
        },
        RemoveFacetFromObject: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/object/facets/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "SchemaFacet",
              "ObjectReference"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              SchemaFacet: {
                shape: "S3"
              },
              ObjectReference: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/tags/add",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S79"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/tags/remove",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateFacet: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/facet",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {},
              AttributeUpdates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Attribute: {
                      shape: "S47"
                    },
                    Action: {}
                  }
                }
              },
              ObjectType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateLinkAttributes: {
          http: {
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/attributes/update",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "TypedLinkSpecifier",
              "AttributeUpdates"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              TypedLinkSpecifier: {
                shape: "Sy"
              },
              AttributeUpdates: {
                shape: "S3g"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateObjectAttributes: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/object/update",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DirectoryArn",
              "ObjectReference",
              "AttributeUpdates"
            ],
            members: {
              DirectoryArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              ObjectReference: {
                shape: "Sf"
              },
              AttributeUpdates: {
                shape: "S2z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ObjectIdentifier: {}
            }
          }
        },
        UpdateSchema: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/schema/update",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArn: {}
            }
          }
        },
        UpdateTypedLinkFacet: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/typedlink/facet",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SchemaArn",
              "Name",
              "AttributeUpdates",
              "IdentityAttributeOrder"
            ],
            members: {
              SchemaArn: {
                location: "header",
                locationName: "x-amz-data-partition"
              },
              Name: {},
              AttributeUpdates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Attribute",
                    "Action"
                  ],
                  members: {
                    Attribute: {
                      shape: "S4w"
                    },
                    Action: {}
                  }
                }
              },
              IdentityAttributeOrder: {
                shape: "S1a"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpgradeAppliedSchema: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/schema/upgradeapplied",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PublishedSchemaArn",
              "DirectoryArn"
            ],
            members: {
              PublishedSchemaArn: {},
              DirectoryArn: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UpgradedSchemaArn: {},
              DirectoryArn: {}
            }
          }
        },
        UpgradePublishedSchema: {
          http: {
            method: "PUT",
            requestUri: "/amazonclouddirectory/2017-01-11/schema/upgradepublished",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DevelopmentSchemaArn",
              "PublishedSchemaArn",
              "MinorVersion"
            ],
            members: {
              DevelopmentSchemaArn: {},
              PublishedSchemaArn: {},
              MinorVersion: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UpgradedSchemaArn: {}
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "structure",
          members: {
            SchemaArn: {},
            FacetName: {}
          }
        },
        S5: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {
                shape: "S7"
              },
              Value: {
                shape: "S9"
              }
            }
          }
        },
        S7: {
          type: "structure",
          required: [
            "SchemaArn",
            "FacetName",
            "Name"
          ],
          members: {
            SchemaArn: {},
            FacetName: {},
            Name: {}
          }
        },
        S9: {
          type: "structure",
          members: {
            StringValue: {},
            BinaryValue: {
              type: "blob"
            },
            BooleanValue: {
              type: "boolean"
            },
            NumberValue: {},
            DatetimeValue: {
              type: "timestamp"
            }
          }
        },
        Sf: {
          type: "structure",
          members: {
            Selector: {}
          }
        },
        St: {
          type: "structure",
          required: [
            "SchemaArn",
            "TypedLinkName"
          ],
          members: {
            SchemaArn: {},
            TypedLinkName: {}
          }
        },
        Sv: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AttributeName",
              "Value"
            ],
            members: {
              AttributeName: {},
              Value: {
                shape: "S9"
              }
            }
          }
        },
        Sy: {
          type: "structure",
          required: [
            "TypedLinkFacet",
            "SourceObjectReference",
            "TargetObjectReference",
            "IdentityAttributeValues"
          ],
          members: {
            TypedLinkFacet: {
              shape: "St"
            },
            SourceObjectReference: {
              shape: "Sf"
            },
            TargetObjectReference: {
              shape: "Sf"
            },
            IdentityAttributeValues: {
              shape: "Sv"
            }
          }
        },
        S1a: {
          type: "list",
          member: {}
        },
        S1g: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AttributeKey: {
                shape: "S7"
              },
              Range: {
                shape: "S1i"
              }
            }
          }
        },
        S1i: {
          type: "structure",
          required: [
            "StartMode",
            "EndMode"
          ],
          members: {
            StartMode: {},
            StartValue: {
              shape: "S9"
            },
            EndMode: {},
            EndValue: {
              shape: "S9"
            }
          }
        },
        S1l: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Range"
            ],
            members: {
              AttributeName: {},
              Range: {
                shape: "S1i"
              }
            }
          }
        },
        S1w: {
          type: "map",
          key: {},
          value: {}
        },
        S1y: {
          type: "list",
          member: {
            shape: "S3"
          }
        },
        S21: {
          type: "list",
          member: {
            type: "structure",
            members: {
              IndexedAttributes: {
                shape: "S5"
              },
              ObjectIdentifier: {}
            }
          }
        },
        S24: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Path: {},
              ObjectIdentifiers: {
                shape: "S27"
              }
            }
          }
        },
        S27: {
          type: "list",
          member: {}
        },
        S2b: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Path: {},
              Policies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PolicyId: {},
                    ObjectIdentifier: {},
                    PolicyType: {}
                  }
                }
              }
            }
          }
        },
        S2i: {
          type: "list",
          member: {
            shape: "Sy"
          }
        },
        S2m: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ObjectIdentifier: {},
              LinkName: {}
            }
          }
        },
        S2z: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ObjectAttributeKey: {
                shape: "S7"
              },
              ObjectAttributeAction: {
                type: "structure",
                members: {
                  ObjectAttributeActionType: {},
                  ObjectAttributeUpdateValue: {
                    shape: "S9"
                  }
                }
              }
            }
          }
        },
        S39: {
          type: "list",
          member: {
            shape: "S7"
          }
        },
        S3g: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AttributeKey: {
                shape: "S7"
              },
              AttributeAction: {
                type: "structure",
                members: {
                  AttributeActionType: {},
                  AttributeUpdateValue: {
                    shape: "S9"
                  }
                }
              }
            }
          }
        },
        S46: {
          type: "list",
          member: {
            shape: "S47"
          }
        },
        S47: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            AttributeDefinition: {
              type: "structure",
              required: [
                "Type"
              ],
              members: {
                Type: {},
                DefaultValue: {
                  shape: "S9"
                },
                IsImmutable: {
                  type: "boolean"
                },
                Rules: {
                  shape: "S4a"
                }
              }
            },
            AttributeReference: {
              type: "structure",
              required: [
                "TargetFacetName",
                "TargetAttributeName"
              ],
              members: {
                TargetFacetName: {},
                TargetAttributeName: {}
              }
            },
            RequiredBehavior: {}
          }
        },
        S4a: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              Type: {},
              Parameters: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        S4v: {
          type: "list",
          member: {
            shape: "S4w"
          }
        },
        S4w: {
          type: "structure",
          required: [
            "Name",
            "Type",
            "RequiredBehavior"
          ],
          members: {
            Name: {},
            Type: {},
            DefaultValue: {
              shape: "S9"
            },
            IsImmutable: {
              type: "boolean"
            },
            Rules: {
              shape: "S4a"
            },
            RequiredBehavior: {}
          }
        },
        S5n: {
          type: "structure",
          members: {
            Name: {},
            DirectoryArn: {},
            State: {},
            CreationDateTime: {
              type: "timestamp"
            }
          }
        },
        S66: {
          type: "list",
          member: {}
        },
        S79: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/clouddirectory-2017-01-11.paginators.json
var require_clouddirectory_2017_01_11_paginators = __commonJS({
  "node_modules/aws-sdk/apis/clouddirectory-2017-01-11.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAppliedSchemaArns: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAttachedIndices: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDevelopmentSchemaArns: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDirectories: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListFacetAttributes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListFacetNames: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListIndex: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListManagedSchemaArns: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListObjectAttributes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListObjectChildren: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListObjectParentPaths: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListObjectParents: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListObjectPolicies: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListPolicyAttachments: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListPublishedSchemaArns: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListTypedLinkFacetAttributes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListTypedLinkFacetNames: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        LookupPolicy: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/clouddirectory.js
var require_clouddirectory = __commonJS({
  "node_modules/aws-sdk/clients/clouddirectory.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["clouddirectory"] = {};
    AWS2.CloudDirectory = Service.defineService("clouddirectory", ["2016-05-10", "2016-05-10*", "2017-01-11"]);
    Object.defineProperty(apiLoader.services["clouddirectory"], "2016-05-10", {
      get: function get() {
        var model = require_clouddirectory_2016_05_10_min();
        model.paginators = require_clouddirectory_2016_05_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(apiLoader.services["clouddirectory"], "2017-01-11", {
      get: function get() {
        var model = require_clouddirectory_2017_01_11_min();
        model.paginators = require_clouddirectory_2017_01_11_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CloudDirectory;
  }
});

// node_modules/aws-sdk/apis/cloudformation-2010-05-15.min.json
var require_cloudformation_2010_05_15_min = __commonJS({
  "node_modules/aws-sdk/apis/cloudformation-2010-05-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2010-05-15",
        endpointPrefix: "cloudformation",
        protocol: "query",
        serviceFullName: "AWS CloudFormation",
        serviceId: "CloudFormation",
        signatureVersion: "v4",
        uid: "cloudformation-2010-05-15",
        xmlNamespace: "http://cloudformation.amazonaws.com/doc/2010-05-15/"
      },
      operations: {
        ActivateOrganizationsAccess: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            resultWrapper: "ActivateOrganizationsAccessResult",
            type: "structure",
            members: {}
          }
        },
        ActivateType: {
          input: {
            type: "structure",
            members: {
              Type: {},
              PublicTypeArn: {},
              PublisherId: {},
              TypeName: {},
              TypeNameAlias: {},
              AutoUpdate: {
                type: "boolean"
              },
              LoggingConfig: {
                shape: "S9"
              },
              ExecutionRoleArn: {},
              VersionBump: {},
              MajorVersion: {
                type: "long"
              }
            }
          },
          output: {
            resultWrapper: "ActivateTypeResult",
            type: "structure",
            members: {
              Arn: {}
            }
          },
          idempotent: true
        },
        BatchDescribeTypeConfigurations: {
          input: {
            type: "structure",
            required: [
              "TypeConfigurationIdentifiers"
            ],
            members: {
              TypeConfigurationIdentifiers: {
                type: "list",
                member: {
                  shape: "Si"
                }
              }
            }
          },
          output: {
            resultWrapper: "BatchDescribeTypeConfigurationsResult",
            type: "structure",
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ErrorCode: {},
                    ErrorMessage: {},
                    TypeConfigurationIdentifier: {
                      shape: "Si"
                    }
                  }
                }
              },
              UnprocessedTypeConfigurations: {
                type: "list",
                member: {
                  shape: "Si"
                }
              },
              TypeConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Alias: {},
                    Configuration: {},
                    LastUpdated: {
                      type: "timestamp"
                    },
                    TypeArn: {},
                    TypeName: {},
                    IsDefaultConfiguration: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        CancelUpdateStack: {
          input: {
            type: "structure",
            required: [
              "StackName"
            ],
            members: {
              StackName: {},
              ClientRequestToken: {}
            }
          }
        },
        ContinueUpdateRollback: {
          input: {
            type: "structure",
            required: [
              "StackName"
            ],
            members: {
              StackName: {},
              RoleARN: {},
              ResourcesToSkip: {
                type: "list",
                member: {}
              },
              ClientRequestToken: {}
            }
          },
          output: {
            resultWrapper: "ContinueUpdateRollbackResult",
            type: "structure",
            members: {}
          }
        },
        CreateChangeSet: {
          input: {
            type: "structure",
            required: [
              "StackName",
              "ChangeSetName"
            ],
            members: {
              StackName: {},
              TemplateBody: {},
              TemplateURL: {},
              UsePreviousTemplate: {
                type: "boolean"
              },
              Parameters: {
                shape: "S1a"
              },
              Capabilities: {
                shape: "S1f"
              },
              ResourceTypes: {
                shape: "S1h"
              },
              RoleARN: {},
              RollbackConfiguration: {
                shape: "S1j"
              },
              NotificationARNs: {
                shape: "S1p"
              },
              Tags: {
                shape: "S1r"
              },
              ChangeSetName: {},
              ClientToken: {},
              Description: {},
              ChangeSetType: {},
              ResourcesToImport: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ResourceType",
                    "LogicalResourceId",
                    "ResourceIdentifier"
                  ],
                  members: {
                    ResourceType: {},
                    LogicalResourceId: {},
                    ResourceIdentifier: {
                      type: "map",
                      key: {},
                      value: {}
                    }
                  }
                }
              },
              IncludeNestedStacks: {
                type: "boolean"
              },
              OnStackFailure: {}
            }
          },
          output: {
            resultWrapper: "CreateChangeSetResult",
            type: "structure",
            members: {
              Id: {},
              StackId: {}
            }
          }
        },
        CreateStack: {
          input: {
            type: "structure",
            required: [
              "StackName"
            ],
            members: {
              StackName: {},
              TemplateBody: {},
              TemplateURL: {},
              Parameters: {
                shape: "S1a"
              },
              DisableRollback: {
                type: "boolean"
              },
              RollbackConfiguration: {
                shape: "S1j"
              },
              TimeoutInMinutes: {
                type: "integer"
              },
              NotificationARNs: {
                shape: "S1p"
              },
              Capabilities: {
                shape: "S1f"
              },
              ResourceTypes: {
                shape: "S1h"
              },
              RoleARN: {},
              OnFailure: {},
              StackPolicyBody: {},
              StackPolicyURL: {},
              Tags: {
                shape: "S1r"
              },
              ClientRequestToken: {},
              EnableTerminationProtection: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "CreateStackResult",
            type: "structure",
            members: {
              StackId: {}
            }
          }
        },
        CreateStackInstances: {
          input: {
            type: "structure",
            required: [
              "StackSetName",
              "Regions"
            ],
            members: {
              StackSetName: {},
              Accounts: {
                shape: "S2k"
              },
              DeploymentTargets: {
                shape: "S2m"
              },
              Regions: {
                shape: "S2r"
              },
              ParameterOverrides: {
                shape: "S1a"
              },
              OperationPreferences: {
                shape: "S2t"
              },
              OperationId: {
                idempotencyToken: true
              },
              CallAs: {}
            }
          },
          output: {
            resultWrapper: "CreateStackInstancesResult",
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        CreateStackSet: {
          input: {
            type: "structure",
            required: [
              "StackSetName"
            ],
            members: {
              StackSetName: {},
              Description: {},
              TemplateBody: {},
              TemplateURL: {},
              StackId: {},
              Parameters: {
                shape: "S1a"
              },
              Capabilities: {
                shape: "S1f"
              },
              Tags: {
                shape: "S1r"
              },
              AdministrationRoleARN: {},
              ExecutionRoleName: {},
              PermissionModel: {},
              AutoDeployment: {
                shape: "S34"
              },
              CallAs: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              ManagedExecution: {
                shape: "S37"
              }
            }
          },
          output: {
            resultWrapper: "CreateStackSetResult",
            type: "structure",
            members: {
              StackSetId: {}
            }
          }
        },
        DeactivateOrganizationsAccess: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            resultWrapper: "DeactivateOrganizationsAccessResult",
            type: "structure",
            members: {}
          }
        },
        DeactivateType: {
          input: {
            type: "structure",
            members: {
              TypeName: {},
              Type: {},
              Arn: {}
            }
          },
          output: {
            resultWrapper: "DeactivateTypeResult",
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteChangeSet: {
          input: {
            type: "structure",
            required: [
              "ChangeSetName"
            ],
            members: {
              ChangeSetName: {},
              StackName: {}
            }
          },
          output: {
            resultWrapper: "DeleteChangeSetResult",
            type: "structure",
            members: {}
          }
        },
        DeleteStack: {
          input: {
            type: "structure",
            required: [
              "StackName"
            ],
            members: {
              StackName: {},
              RetainResources: {
                type: "list",
                member: {}
              },
              RoleARN: {},
              ClientRequestToken: {}
            }
          }
        },
        DeleteStackInstances: {
          input: {
            type: "structure",
            required: [
              "StackSetName",
              "Regions",
              "RetainStacks"
            ],
            members: {
              StackSetName: {},
              Accounts: {
                shape: "S2k"
              },
              DeploymentTargets: {
                shape: "S2m"
              },
              Regions: {
                shape: "S2r"
              },
              OperationPreferences: {
                shape: "S2t"
              },
              RetainStacks: {
                type: "boolean"
              },
              OperationId: {
                idempotencyToken: true
              },
              CallAs: {}
            }
          },
          output: {
            resultWrapper: "DeleteStackInstancesResult",
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        DeleteStackSet: {
          input: {
            type: "structure",
            required: [
              "StackSetName"
            ],
            members: {
              StackSetName: {},
              CallAs: {}
            }
          },
          output: {
            resultWrapper: "DeleteStackSetResult",
            type: "structure",
            members: {}
          }
        },
        DeregisterType: {
          input: {
            type: "structure",
            members: {
              Arn: {},
              Type: {},
              TypeName: {},
              VersionId: {}
            }
          },
          output: {
            resultWrapper: "DeregisterTypeResult",
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DescribeAccountLimits: {
          input: {
            type: "structure",
            members: {
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "DescribeAccountLimitsResult",
            type: "structure",
            members: {
              AccountLimits: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Value: {
                      type: "integer"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeChangeSet: {
          input: {
            type: "structure",
            required: [
              "ChangeSetName"
            ],
            members: {
              ChangeSetName: {},
              StackName: {},
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "DescribeChangeSetResult",
            type: "structure",
            members: {
              ChangeSetName: {},
              ChangeSetId: {},
              StackId: {},
              StackName: {},
              Description: {},
              Parameters: {
                shape: "S1a"
              },
              CreationTime: {
                type: "timestamp"
              },
              ExecutionStatus: {},
              Status: {},
              StatusReason: {},
              NotificationARNs: {
                shape: "S1p"
              },
              RollbackConfiguration: {
                shape: "S1j"
              },
              Capabilities: {
                shape: "S1f"
              },
              Tags: {
                shape: "S1r"
              },
              Changes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    HookInvocationCount: {
                      type: "integer"
                    },
                    ResourceChange: {
                      type: "structure",
                      members: {
                        Action: {},
                        LogicalResourceId: {},
                        PhysicalResourceId: {},
                        ResourceType: {},
                        Replacement: {},
                        Scope: {
                          type: "list",
                          member: {}
                        },
                        Details: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              Target: {
                                type: "structure",
                                members: {
                                  Attribute: {},
                                  Name: {},
                                  RequiresRecreation: {}
                                }
                              },
                              Evaluation: {},
                              ChangeSource: {},
                              CausingEntity: {}
                            }
                          }
                        },
                        ChangeSetId: {},
                        ModuleInfo: {
                          shape: "S4o"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {},
              IncludeNestedStacks: {
                type: "boolean"
              },
              ParentChangeSetId: {},
              RootChangeSetId: {},
              OnStackFailure: {}
            }
          }
        },
        DescribeChangeSetHooks: {
          input: {
            type: "structure",
            required: [
              "ChangeSetName"
            ],
            members: {
              ChangeSetName: {},
              StackName: {},
              NextToken: {},
              LogicalResourceId: {}
            }
          },
          output: {
            resultWrapper: "DescribeChangeSetHooksResult",
            type: "structure",
            members: {
              ChangeSetId: {},
              ChangeSetName: {},
              Hooks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InvocationPoint: {},
                    FailureMode: {},
                    TypeName: {},
                    TypeVersionId: {},
                    TypeConfigurationVersionId: {},
                    TargetDetails: {
                      type: "structure",
                      members: {
                        TargetType: {},
                        ResourceTargetDetails: {
                          type: "structure",
                          members: {
                            LogicalResourceId: {},
                            ResourceType: {},
                            ResourceAction: {}
                          }
                        }
                      }
                    }
                  }
                }
              },
              Status: {},
              NextToken: {},
              StackId: {},
              StackName: {}
            }
          }
        },
        DescribeOrganizationsAccess: {
          input: {
            type: "structure",
            members: {
              CallAs: {}
            }
          },
          output: {
            resultWrapper: "DescribeOrganizationsAccessResult",
            type: "structure",
            members: {
              Status: {}
            }
          }
        },
        DescribePublisher: {
          input: {
            type: "structure",
            members: {
              PublisherId: {}
            }
          },
          output: {
            resultWrapper: "DescribePublisherResult",
            type: "structure",
            members: {
              PublisherId: {},
              PublisherStatus: {},
              IdentityProvider: {},
              PublisherProfile: {}
            }
          },
          idempotent: true
        },
        DescribeStackDriftDetectionStatus: {
          input: {
            type: "structure",
            required: [
              "StackDriftDetectionId"
            ],
            members: {
              StackDriftDetectionId: {}
            }
          },
          output: {
            resultWrapper: "DescribeStackDriftDetectionStatusResult",
            type: "structure",
            required: [
              "StackId",
              "StackDriftDetectionId",
              "DetectionStatus",
              "Timestamp"
            ],
            members: {
              StackId: {},
              StackDriftDetectionId: {},
              StackDriftStatus: {},
              DetectionStatus: {},
              DetectionStatusReason: {},
              DriftedStackResourceCount: {
                type: "integer"
              },
              Timestamp: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeStackEvents: {
          input: {
            type: "structure",
            members: {
              StackName: {},
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "DescribeStackEventsResult",
            type: "structure",
            members: {
              StackEvents: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "StackId",
                    "EventId",
                    "StackName",
                    "Timestamp"
                  ],
                  members: {
                    StackId: {},
                    EventId: {},
                    StackName: {},
                    LogicalResourceId: {},
                    PhysicalResourceId: {},
                    ResourceType: {},
                    Timestamp: {
                      type: "timestamp"
                    },
                    ResourceStatus: {},
                    ResourceStatusReason: {},
                    ResourceProperties: {},
                    ClientRequestToken: {},
                    HookType: {},
                    HookStatus: {},
                    HookStatusReason: {},
                    HookInvocationPoint: {},
                    HookFailureMode: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeStackInstance: {
          input: {
            type: "structure",
            required: [
              "StackSetName",
              "StackInstanceAccount",
              "StackInstanceRegion"
            ],
            members: {
              StackSetName: {},
              StackInstanceAccount: {},
              StackInstanceRegion: {},
              CallAs: {}
            }
          },
          output: {
            resultWrapper: "DescribeStackInstanceResult",
            type: "structure",
            members: {
              StackInstance: {
                type: "structure",
                members: {
                  StackSetId: {},
                  Region: {},
                  Account: {},
                  StackId: {},
                  ParameterOverrides: {
                    shape: "S1a"
                  },
                  Status: {},
                  StackInstanceStatus: {
                    shape: "S5z"
                  },
                  StatusReason: {},
                  OrganizationalUnitId: {},
                  DriftStatus: {},
                  LastDriftCheckTimestamp: {
                    type: "timestamp"
                  },
                  LastOperationId: {}
                }
              }
            }
          }
        },
        DescribeStackResource: {
          input: {
            type: "structure",
            required: [
              "StackName",
              "LogicalResourceId"
            ],
            members: {
              StackName: {},
              LogicalResourceId: {}
            }
          },
          output: {
            resultWrapper: "DescribeStackResourceResult",
            type: "structure",
            members: {
              StackResourceDetail: {
                type: "structure",
                required: [
                  "LogicalResourceId",
                  "ResourceType",
                  "LastUpdatedTimestamp",
                  "ResourceStatus"
                ],
                members: {
                  StackName: {},
                  StackId: {},
                  LogicalResourceId: {},
                  PhysicalResourceId: {},
                  ResourceType: {},
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  },
                  ResourceStatus: {},
                  ResourceStatusReason: {},
                  Description: {},
                  Metadata: {},
                  DriftInformation: {
                    shape: "S66"
                  },
                  ModuleInfo: {
                    shape: "S4o"
                  }
                }
              }
            }
          }
        },
        DescribeStackResourceDrifts: {
          input: {
            type: "structure",
            required: [
              "StackName"
            ],
            members: {
              StackName: {},
              StackResourceDriftStatusFilters: {
                type: "list",
                member: {}
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeStackResourceDriftsResult",
            type: "structure",
            required: [
              "StackResourceDrifts"
            ],
            members: {
              StackResourceDrifts: {
                type: "list",
                member: {
                  shape: "S6d"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeStackResources: {
          input: {
            type: "structure",
            members: {
              StackName: {},
              LogicalResourceId: {},
              PhysicalResourceId: {}
            }
          },
          output: {
            resultWrapper: "DescribeStackResourcesResult",
            type: "structure",
            members: {
              StackResources: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "LogicalResourceId",
                    "ResourceType",
                    "Timestamp",
                    "ResourceStatus"
                  ],
                  members: {
                    StackName: {},
                    StackId: {},
                    LogicalResourceId: {},
                    PhysicalResourceId: {},
                    ResourceType: {},
                    Timestamp: {
                      type: "timestamp"
                    },
                    ResourceStatus: {},
                    ResourceStatusReason: {},
                    Description: {},
                    DriftInformation: {
                      shape: "S66"
                    },
                    ModuleInfo: {
                      shape: "S4o"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeStackSet: {
          input: {
            type: "structure",
            required: [
              "StackSetName"
            ],
            members: {
              StackSetName: {},
              CallAs: {}
            }
          },
          output: {
            resultWrapper: "DescribeStackSetResult",
            type: "structure",
            members: {
              StackSet: {
                type: "structure",
                members: {
                  StackSetName: {},
                  StackSetId: {},
                  Description: {},
                  Status: {},
                  TemplateBody: {},
                  Parameters: {
                    shape: "S1a"
                  },
                  Capabilities: {
                    shape: "S1f"
                  },
                  Tags: {
                    shape: "S1r"
                  },
                  StackSetARN: {},
                  AdministrationRoleARN: {},
                  ExecutionRoleName: {},
                  StackSetDriftDetectionDetails: {
                    shape: "S6x"
                  },
                  AutoDeployment: {
                    shape: "S34"
                  },
                  PermissionModel: {},
                  OrganizationalUnitIds: {
                    shape: "S2o"
                  },
                  ManagedExecution: {
                    shape: "S37"
                  },
                  Regions: {
                    shape: "S2r"
                  }
                }
              }
            }
          }
        },
        DescribeStackSetOperation: {
          input: {
            type: "structure",
            required: [
              "StackSetName",
              "OperationId"
            ],
            members: {
              StackSetName: {},
              OperationId: {},
              CallAs: {}
            }
          },
          output: {
            resultWrapper: "DescribeStackSetOperationResult",
            type: "structure",
            members: {
              StackSetOperation: {
                type: "structure",
                members: {
                  OperationId: {},
                  StackSetId: {},
                  Action: {},
                  Status: {},
                  OperationPreferences: {
                    shape: "S2t"
                  },
                  RetainStacks: {
                    type: "boolean"
                  },
                  AdministrationRoleARN: {},
                  ExecutionRoleName: {},
                  CreationTimestamp: {
                    type: "timestamp"
                  },
                  EndTimestamp: {
                    type: "timestamp"
                  },
                  DeploymentTargets: {
                    shape: "S2m"
                  },
                  StackSetDriftDetectionDetails: {
                    shape: "S6x"
                  },
                  StatusReason: {},
                  StatusDetails: {
                    shape: "S7c"
                  }
                }
              }
            }
          }
        },
        DescribeStacks: {
          input: {
            type: "structure",
            members: {
              StackName: {},
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "DescribeStacksResult",
            type: "structure",
            members: {
              Stacks: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "StackName",
                    "CreationTime",
                    "StackStatus"
                  ],
                  members: {
                    StackId: {},
                    StackName: {},
                    ChangeSetId: {},
                    Description: {},
                    Parameters: {
                      shape: "S1a"
                    },
                    CreationTime: {
                      type: "timestamp"
                    },
                    DeletionTime: {
                      type: "timestamp"
                    },
                    LastUpdatedTime: {
                      type: "timestamp"
                    },
                    RollbackConfiguration: {
                      shape: "S1j"
                    },
                    StackStatus: {},
                    StackStatusReason: {},
                    DisableRollback: {
                      type: "boolean"
                    },
                    NotificationARNs: {
                      shape: "S1p"
                    },
                    TimeoutInMinutes: {
                      type: "integer"
                    },
                    Capabilities: {
                      shape: "S1f"
                    },
                    Outputs: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          OutputKey: {},
                          OutputValue: {},
                          Description: {},
                          ExportName: {}
                        }
                      }
                    },
                    RoleARN: {},
                    Tags: {
                      shape: "S1r"
                    },
                    EnableTerminationProtection: {
                      type: "boolean"
                    },
                    ParentId: {},
                    RootId: {},
                    DriftInformation: {
                      type: "structure",
                      required: [
                        "StackDriftStatus"
                      ],
                      members: {
                        StackDriftStatus: {},
                        LastCheckTimestamp: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeType: {
          input: {
            type: "structure",
            members: {
              Type: {},
              TypeName: {},
              Arn: {},
              VersionId: {},
              PublisherId: {},
              PublicVersionNumber: {}
            }
          },
          output: {
            resultWrapper: "DescribeTypeResult",
            type: "structure",
            members: {
              Arn: {},
              Type: {},
              TypeName: {},
              DefaultVersionId: {},
              IsDefaultVersion: {
                type: "boolean"
              },
              TypeTestsStatus: {},
              TypeTestsStatusDescription: {},
              Description: {},
              Schema: {},
              ProvisioningType: {},
              DeprecatedStatus: {},
              LoggingConfig: {
                shape: "S9"
              },
              RequiredActivatedTypes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TypeNameAlias: {},
                    OriginalTypeName: {},
                    PublisherId: {},
                    SupportedMajorVersions: {
                      type: "list",
                      member: {
                        type: "integer"
                      }
                    }
                  }
                }
              },
              ExecutionRoleArn: {},
              Visibility: {},
              SourceUrl: {},
              DocumentationUrl: {},
              LastUpdated: {
                type: "timestamp"
              },
              TimeCreated: {
                type: "timestamp"
              },
              ConfigurationSchema: {},
              PublisherId: {},
              OriginalTypeName: {},
              OriginalTypeArn: {},
              PublicVersionNumber: {},
              LatestPublicVersion: {},
              IsActivated: {
                type: "boolean"
              },
              AutoUpdate: {
                type: "boolean"
              }
            }
          },
          idempotent: true
        },
        DescribeTypeRegistration: {
          input: {
            type: "structure",
            required: [
              "RegistrationToken"
            ],
            members: {
              RegistrationToken: {}
            }
          },
          output: {
            resultWrapper: "DescribeTypeRegistrationResult",
            type: "structure",
            members: {
              ProgressStatus: {},
              Description: {},
              TypeArn: {},
              TypeVersionArn: {}
            }
          },
          idempotent: true
        },
        DetectStackDrift: {
          input: {
            type: "structure",
            required: [
              "StackName"
            ],
            members: {
              StackName: {},
              LogicalResourceIds: {
                shape: "S8d"
              }
            }
          },
          output: {
            resultWrapper: "DetectStackDriftResult",
            type: "structure",
            required: [
              "StackDriftDetectionId"
            ],
            members: {
              StackDriftDetectionId: {}
            }
          }
        },
        DetectStackResourceDrift: {
          input: {
            type: "structure",
            required: [
              "StackName",
              "LogicalResourceId"
            ],
            members: {
              StackName: {},
              LogicalResourceId: {}
            }
          },
          output: {
            resultWrapper: "DetectStackResourceDriftResult",
            type: "structure",
            required: [
              "StackResourceDrift"
            ],
            members: {
              StackResourceDrift: {
                shape: "S6d"
              }
            }
          }
        },
        DetectStackSetDrift: {
          input: {
            type: "structure",
            required: [
              "StackSetName"
            ],
            members: {
              StackSetName: {},
              OperationPreferences: {
                shape: "S2t"
              },
              OperationId: {
                idempotencyToken: true
              },
              CallAs: {}
            }
          },
          output: {
            resultWrapper: "DetectStackSetDriftResult",
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        EstimateTemplateCost: {
          input: {
            type: "structure",
            members: {
              TemplateBody: {},
              TemplateURL: {},
              Parameters: {
                shape: "S1a"
              }
            }
          },
          output: {
            resultWrapper: "EstimateTemplateCostResult",
            type: "structure",
            members: {
              Url: {}
            }
          }
        },
        ExecuteChangeSet: {
          input: {
            type: "structure",
            required: [
              "ChangeSetName"
            ],
            members: {
              ChangeSetName: {},
              StackName: {},
              ClientRequestToken: {},
              DisableRollback: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ExecuteChangeSetResult",
            type: "structure",
            members: {}
          }
        },
        GetStackPolicy: {
          input: {
            type: "structure",
            required: [
              "StackName"
            ],
            members: {
              StackName: {}
            }
          },
          output: {
            resultWrapper: "GetStackPolicyResult",
            type: "structure",
            members: {
              StackPolicyBody: {}
            }
          }
        },
        GetTemplate: {
          input: {
            type: "structure",
            members: {
              StackName: {},
              ChangeSetName: {},
              TemplateStage: {}
            }
          },
          output: {
            resultWrapper: "GetTemplateResult",
            type: "structure",
            members: {
              TemplateBody: {},
              StagesAvailable: {
                type: "list",
                member: {}
              }
            }
          }
        },
        GetTemplateSummary: {
          input: {
            type: "structure",
            members: {
              TemplateBody: {},
              TemplateURL: {},
              StackName: {},
              StackSetName: {},
              CallAs: {}
            }
          },
          output: {
            resultWrapper: "GetTemplateSummaryResult",
            type: "structure",
            members: {
              Parameters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ParameterKey: {},
                    DefaultValue: {},
                    ParameterType: {},
                    NoEcho: {
                      type: "boolean"
                    },
                    Description: {},
                    ParameterConstraints: {
                      type: "structure",
                      members: {
                        AllowedValues: {
                          type: "list",
                          member: {}
                        }
                      }
                    }
                  }
                }
              },
              Description: {},
              Capabilities: {
                shape: "S1f"
              },
              CapabilitiesReason: {},
              ResourceTypes: {
                shape: "S1h"
              },
              Version: {},
              Metadata: {},
              DeclaredTransforms: {
                shape: "S96"
              },
              ResourceIdentifierSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceType: {},
                    LogicalResourceIds: {
                      shape: "S8d"
                    },
                    ResourceIdentifiers: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              }
            }
          }
        },
        ImportStacksToStackSet: {
          input: {
            type: "structure",
            required: [
              "StackSetName"
            ],
            members: {
              StackSetName: {},
              StackIds: {
                type: "list",
                member: {}
              },
              StackIdsUrl: {},
              OrganizationalUnitIds: {
                shape: "S2o"
              },
              OperationPreferences: {
                shape: "S2t"
              },
              OperationId: {
                idempotencyToken: true
              },
              CallAs: {}
            }
          },
          output: {
            resultWrapper: "ImportStacksToStackSetResult",
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        ListChangeSets: {
          input: {
            type: "structure",
            required: [
              "StackName"
            ],
            members: {
              StackName: {},
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "ListChangeSetsResult",
            type: "structure",
            members: {
              Summaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StackId: {},
                    StackName: {},
                    ChangeSetId: {},
                    ChangeSetName: {},
                    ExecutionStatus: {},
                    Status: {},
                    StatusReason: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    Description: {},
                    IncludeNestedStacks: {
                      type: "boolean"
                    },
                    ParentChangeSetId: {},
                    RootChangeSetId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListExports: {
          input: {
            type: "structure",
            members: {
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "ListExportsResult",
            type: "structure",
            members: {
              Exports: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ExportingStackId: {},
                    Name: {},
                    Value: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListImports: {
          input: {
            type: "structure",
            required: [
              "ExportName"
            ],
            members: {
              ExportName: {},
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "ListImportsResult",
            type: "structure",
            members: {
              Imports: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListStackInstances: {
          input: {
            type: "structure",
            required: [
              "StackSetName"
            ],
            members: {
              StackSetName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Values: {}
                  }
                }
              },
              StackInstanceAccount: {},
              StackInstanceRegion: {},
              CallAs: {}
            }
          },
          output: {
            resultWrapper: "ListStackInstancesResult",
            type: "structure",
            members: {
              Summaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StackSetId: {},
                    Region: {},
                    Account: {},
                    StackId: {},
                    Status: {},
                    StatusReason: {},
                    StackInstanceStatus: {
                      shape: "S5z"
                    },
                    OrganizationalUnitId: {},
                    DriftStatus: {},
                    LastDriftCheckTimestamp: {
                      type: "timestamp"
                    },
                    LastOperationId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListStackResources: {
          input: {
            type: "structure",
            required: [
              "StackName"
            ],
            members: {
              StackName: {},
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "ListStackResourcesResult",
            type: "structure",
            members: {
              StackResourceSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "LogicalResourceId",
                    "ResourceType",
                    "LastUpdatedTimestamp",
                    "ResourceStatus"
                  ],
                  members: {
                    LogicalResourceId: {},
                    PhysicalResourceId: {},
                    ResourceType: {},
                    LastUpdatedTimestamp: {
                      type: "timestamp"
                    },
                    ResourceStatus: {},
                    ResourceStatusReason: {},
                    DriftInformation: {
                      type: "structure",
                      required: [
                        "StackResourceDriftStatus"
                      ],
                      members: {
                        StackResourceDriftStatus: {},
                        LastCheckTimestamp: {
                          type: "timestamp"
                        }
                      }
                    },
                    ModuleInfo: {
                      shape: "S4o"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListStackSetOperationResults: {
          input: {
            type: "structure",
            required: [
              "StackSetName",
              "OperationId"
            ],
            members: {
              StackSetName: {},
              OperationId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              CallAs: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Values: {}
                  }
                }
              }
            }
          },
          output: {
            resultWrapper: "ListStackSetOperationResultsResult",
            type: "structure",
            members: {
              Summaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Account: {},
                    Region: {},
                    Status: {},
                    StatusReason: {},
                    AccountGateResult: {
                      type: "structure",
                      members: {
                        Status: {},
                        StatusReason: {}
                      }
                    },
                    OrganizationalUnitId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListStackSetOperations: {
          input: {
            type: "structure",
            required: [
              "StackSetName"
            ],
            members: {
              StackSetName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              CallAs: {}
            }
          },
          output: {
            resultWrapper: "ListStackSetOperationsResult",
            type: "structure",
            members: {
              Summaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    OperationId: {},
                    Action: {},
                    Status: {},
                    CreationTimestamp: {
                      type: "timestamp"
                    },
                    EndTimestamp: {
                      type: "timestamp"
                    },
                    StatusReason: {},
                    StatusDetails: {
                      shape: "S7c"
                    },
                    OperationPreferences: {
                      shape: "S2t"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListStackSets: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Status: {},
              CallAs: {}
            }
          },
          output: {
            resultWrapper: "ListStackSetsResult",
            type: "structure",
            members: {
              Summaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StackSetName: {},
                    StackSetId: {},
                    Description: {},
                    Status: {},
                    AutoDeployment: {
                      shape: "S34"
                    },
                    PermissionModel: {},
                    DriftStatus: {},
                    LastDriftCheckTimestamp: {
                      type: "timestamp"
                    },
                    ManagedExecution: {
                      shape: "S37"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListStacks: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              StackStatusFilter: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "ListStacksResult",
            type: "structure",
            members: {
              StackSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "StackName",
                    "CreationTime",
                    "StackStatus"
                  ],
                  members: {
                    StackId: {},
                    StackName: {},
                    TemplateDescription: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastUpdatedTime: {
                      type: "timestamp"
                    },
                    DeletionTime: {
                      type: "timestamp"
                    },
                    StackStatus: {},
                    StackStatusReason: {},
                    ParentId: {},
                    RootId: {},
                    DriftInformation: {
                      type: "structure",
                      required: [
                        "StackDriftStatus"
                      ],
                      members: {
                        StackDriftStatus: {},
                        LastCheckTimestamp: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTypeRegistrations: {
          input: {
            type: "structure",
            members: {
              Type: {},
              TypeName: {},
              TypeArn: {},
              RegistrationStatusFilter: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "ListTypeRegistrationsResult",
            type: "structure",
            members: {
              RegistrationTokenList: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListTypeVersions: {
          input: {
            type: "structure",
            members: {
              Type: {},
              TypeName: {},
              Arn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DeprecatedStatus: {},
              PublisherId: {}
            }
          },
          output: {
            resultWrapper: "ListTypeVersionsResult",
            type: "structure",
            members: {
              TypeVersionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    TypeName: {},
                    VersionId: {},
                    IsDefaultVersion: {
                      type: "boolean"
                    },
                    Arn: {},
                    TimeCreated: {
                      type: "timestamp"
                    },
                    Description: {},
                    PublicVersionNumber: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListTypes: {
          input: {
            type: "structure",
            members: {
              Visibility: {},
              ProvisioningType: {},
              DeprecatedStatus: {},
              Type: {},
              Filters: {
                type: "structure",
                members: {
                  Category: {},
                  PublisherId: {},
                  TypeNamePrefix: {}
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "ListTypesResult",
            type: "structure",
            members: {
              TypeSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    TypeName: {},
                    DefaultVersionId: {},
                    TypeArn: {},
                    LastUpdated: {
                      type: "timestamp"
                    },
                    Description: {},
                    PublisherId: {},
                    OriginalTypeName: {},
                    PublicVersionNumber: {},
                    LatestPublicVersion: {},
                    PublisherIdentity: {},
                    PublisherName: {},
                    IsActivated: {
                      type: "boolean"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        PublishType: {
          input: {
            type: "structure",
            members: {
              Type: {},
              Arn: {},
              TypeName: {},
              PublicVersionNumber: {}
            }
          },
          output: {
            resultWrapper: "PublishTypeResult",
            type: "structure",
            members: {
              PublicTypeArn: {}
            }
          },
          idempotent: true
        },
        RecordHandlerProgress: {
          input: {
            type: "structure",
            required: [
              "BearerToken",
              "OperationStatus"
            ],
            members: {
              BearerToken: {},
              OperationStatus: {},
              CurrentOperationStatus: {},
              StatusMessage: {},
              ErrorCode: {},
              ResourceModel: {},
              ClientRequestToken: {}
            }
          },
          output: {
            resultWrapper: "RecordHandlerProgressResult",
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        RegisterPublisher: {
          input: {
            type: "structure",
            members: {
              AcceptTermsAndConditions: {
                type: "boolean"
              },
              ConnectionArn: {}
            }
          },
          output: {
            resultWrapper: "RegisterPublisherResult",
            type: "structure",
            members: {
              PublisherId: {}
            }
          },
          idempotent: true
        },
        RegisterType: {
          input: {
            type: "structure",
            required: [
              "TypeName",
              "SchemaHandlerPackage"
            ],
            members: {
              Type: {},
              TypeName: {},
              SchemaHandlerPackage: {},
              LoggingConfig: {
                shape: "S9"
              },
              ExecutionRoleArn: {},
              ClientRequestToken: {}
            }
          },
          output: {
            resultWrapper: "RegisterTypeResult",
            type: "structure",
            members: {
              RegistrationToken: {}
            }
          },
          idempotent: true
        },
        RollbackStack: {
          input: {
            type: "structure",
            required: [
              "StackName"
            ],
            members: {
              StackName: {},
              RoleARN: {},
              ClientRequestToken: {}
            }
          },
          output: {
            resultWrapper: "RollbackStackResult",
            type: "structure",
            members: {
              StackId: {}
            }
          }
        },
        SetStackPolicy: {
          input: {
            type: "structure",
            required: [
              "StackName"
            ],
            members: {
              StackName: {},
              StackPolicyBody: {},
              StackPolicyURL: {}
            }
          }
        },
        SetTypeConfiguration: {
          input: {
            type: "structure",
            required: [
              "Configuration"
            ],
            members: {
              TypeArn: {},
              Configuration: {},
              ConfigurationAlias: {},
              TypeName: {},
              Type: {}
            }
          },
          output: {
            resultWrapper: "SetTypeConfigurationResult",
            type: "structure",
            members: {
              ConfigurationArn: {}
            }
          }
        },
        SetTypeDefaultVersion: {
          input: {
            type: "structure",
            members: {
              Arn: {},
              Type: {},
              TypeName: {},
              VersionId: {}
            }
          },
          output: {
            resultWrapper: "SetTypeDefaultVersionResult",
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        SignalResource: {
          input: {
            type: "structure",
            required: [
              "StackName",
              "LogicalResourceId",
              "UniqueId",
              "Status"
            ],
            members: {
              StackName: {},
              LogicalResourceId: {},
              UniqueId: {},
              Status: {}
            }
          }
        },
        StopStackSetOperation: {
          input: {
            type: "structure",
            required: [
              "StackSetName",
              "OperationId"
            ],
            members: {
              StackSetName: {},
              OperationId: {},
              CallAs: {}
            }
          },
          output: {
            resultWrapper: "StopStackSetOperationResult",
            type: "structure",
            members: {}
          }
        },
        TestType: {
          input: {
            type: "structure",
            members: {
              Arn: {},
              Type: {},
              TypeName: {},
              VersionId: {},
              LogDeliveryBucket: {}
            }
          },
          output: {
            resultWrapper: "TestTypeResult",
            type: "structure",
            members: {
              TypeVersionArn: {}
            }
          },
          idempotent: true
        },
        UpdateStack: {
          input: {
            type: "structure",
            required: [
              "StackName"
            ],
            members: {
              StackName: {},
              TemplateBody: {},
              TemplateURL: {},
              UsePreviousTemplate: {
                type: "boolean"
              },
              StackPolicyDuringUpdateBody: {},
              StackPolicyDuringUpdateURL: {},
              Parameters: {
                shape: "S1a"
              },
              Capabilities: {
                shape: "S1f"
              },
              ResourceTypes: {
                shape: "S1h"
              },
              RoleARN: {},
              RollbackConfiguration: {
                shape: "S1j"
              },
              StackPolicyBody: {},
              StackPolicyURL: {},
              NotificationARNs: {
                shape: "S1p"
              },
              Tags: {
                shape: "S1r"
              },
              DisableRollback: {
                type: "boolean"
              },
              ClientRequestToken: {}
            }
          },
          output: {
            resultWrapper: "UpdateStackResult",
            type: "structure",
            members: {
              StackId: {}
            }
          }
        },
        UpdateStackInstances: {
          input: {
            type: "structure",
            required: [
              "StackSetName",
              "Regions"
            ],
            members: {
              StackSetName: {},
              Accounts: {
                shape: "S2k"
              },
              DeploymentTargets: {
                shape: "S2m"
              },
              Regions: {
                shape: "S2r"
              },
              ParameterOverrides: {
                shape: "S1a"
              },
              OperationPreferences: {
                shape: "S2t"
              },
              OperationId: {
                idempotencyToken: true
              },
              CallAs: {}
            }
          },
          output: {
            resultWrapper: "UpdateStackInstancesResult",
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        UpdateStackSet: {
          input: {
            type: "structure",
            required: [
              "StackSetName"
            ],
            members: {
              StackSetName: {},
              Description: {},
              TemplateBody: {},
              TemplateURL: {},
              UsePreviousTemplate: {
                type: "boolean"
              },
              Parameters: {
                shape: "S1a"
              },
              Capabilities: {
                shape: "S1f"
              },
              Tags: {
                shape: "S1r"
              },
              OperationPreferences: {
                shape: "S2t"
              },
              AdministrationRoleARN: {},
              ExecutionRoleName: {},
              DeploymentTargets: {
                shape: "S2m"
              },
              PermissionModel: {},
              AutoDeployment: {
                shape: "S34"
              },
              OperationId: {
                idempotencyToken: true
              },
              Accounts: {
                shape: "S2k"
              },
              Regions: {
                shape: "S2r"
              },
              CallAs: {},
              ManagedExecution: {
                shape: "S37"
              }
            }
          },
          output: {
            resultWrapper: "UpdateStackSetResult",
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        UpdateTerminationProtection: {
          input: {
            type: "structure",
            required: [
              "EnableTerminationProtection",
              "StackName"
            ],
            members: {
              EnableTerminationProtection: {
                type: "boolean"
              },
              StackName: {}
            }
          },
          output: {
            resultWrapper: "UpdateTerminationProtectionResult",
            type: "structure",
            members: {
              StackId: {}
            }
          }
        },
        ValidateTemplate: {
          input: {
            type: "structure",
            members: {
              TemplateBody: {},
              TemplateURL: {}
            }
          },
          output: {
            resultWrapper: "ValidateTemplateResult",
            type: "structure",
            members: {
              Parameters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ParameterKey: {},
                    DefaultValue: {},
                    NoEcho: {
                      type: "boolean"
                    },
                    Description: {}
                  }
                }
              },
              Description: {},
              Capabilities: {
                shape: "S1f"
              },
              CapabilitiesReason: {},
              DeclaredTransforms: {
                shape: "S96"
              }
            }
          }
        }
      },
      shapes: {
        S9: {
          type: "structure",
          required: [
            "LogRoleArn",
            "LogGroupName"
          ],
          members: {
            LogRoleArn: {},
            LogGroupName: {}
          }
        },
        Si: {
          type: "structure",
          members: {
            TypeArn: {},
            TypeConfigurationAlias: {},
            TypeConfigurationArn: {},
            Type: {},
            TypeName: {}
          }
        },
        S1a: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ParameterKey: {},
              ParameterValue: {},
              UsePreviousValue: {
                type: "boolean"
              },
              ResolvedValue: {}
            }
          }
        },
        S1f: {
          type: "list",
          member: {}
        },
        S1h: {
          type: "list",
          member: {}
        },
        S1j: {
          type: "structure",
          members: {
            RollbackTriggers: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Arn",
                  "Type"
                ],
                members: {
                  Arn: {},
                  Type: {}
                }
              }
            },
            MonitoringTimeInMinutes: {
              type: "integer"
            }
          }
        },
        S1p: {
          type: "list",
          member: {}
        },
        S1r: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S2k: {
          type: "list",
          member: {}
        },
        S2m: {
          type: "structure",
          members: {
            Accounts: {
              shape: "S2k"
            },
            AccountsUrl: {},
            OrganizationalUnitIds: {
              shape: "S2o"
            },
            AccountFilterType: {}
          }
        },
        S2o: {
          type: "list",
          member: {}
        },
        S2r: {
          type: "list",
          member: {}
        },
        S2t: {
          type: "structure",
          members: {
            RegionConcurrencyType: {},
            RegionOrder: {
              shape: "S2r"
            },
            FailureToleranceCount: {
              type: "integer"
            },
            FailureTolerancePercentage: {
              type: "integer"
            },
            MaxConcurrentCount: {
              type: "integer"
            },
            MaxConcurrentPercentage: {
              type: "integer"
            }
          }
        },
        S34: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            RetainStacksOnAccountRemoval: {
              type: "boolean"
            }
          }
        },
        S37: {
          type: "structure",
          members: {
            Active: {
              type: "boolean"
            }
          }
        },
        S4o: {
          type: "structure",
          members: {
            TypeHierarchy: {},
            LogicalIdHierarchy: {}
          }
        },
        S5z: {
          type: "structure",
          members: {
            DetailedStatus: {}
          }
        },
        S66: {
          type: "structure",
          required: [
            "StackResourceDriftStatus"
          ],
          members: {
            StackResourceDriftStatus: {},
            LastCheckTimestamp: {
              type: "timestamp"
            }
          }
        },
        S6d: {
          type: "structure",
          required: [
            "StackId",
            "LogicalResourceId",
            "ResourceType",
            "StackResourceDriftStatus",
            "Timestamp"
          ],
          members: {
            StackId: {},
            LogicalResourceId: {},
            PhysicalResourceId: {},
            PhysicalResourceIdContext: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Key",
                  "Value"
                ],
                members: {
                  Key: {},
                  Value: {}
                }
              }
            },
            ResourceType: {},
            ExpectedProperties: {},
            ActualProperties: {},
            PropertyDifferences: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "PropertyPath",
                  "ExpectedValue",
                  "ActualValue",
                  "DifferenceType"
                ],
                members: {
                  PropertyPath: {},
                  ExpectedValue: {},
                  ActualValue: {},
                  DifferenceType: {}
                }
              }
            },
            StackResourceDriftStatus: {},
            Timestamp: {
              type: "timestamp"
            },
            ModuleInfo: {
              shape: "S4o"
            }
          }
        },
        S6x: {
          type: "structure",
          members: {
            DriftStatus: {},
            DriftDetectionStatus: {},
            LastDriftCheckTimestamp: {
              type: "timestamp"
            },
            TotalStackInstancesCount: {
              type: "integer"
            },
            DriftedStackInstancesCount: {
              type: "integer"
            },
            InSyncStackInstancesCount: {
              type: "integer"
            },
            InProgressStackInstancesCount: {
              type: "integer"
            },
            FailedStackInstancesCount: {
              type: "integer"
            }
          }
        },
        S7c: {
          type: "structure",
          members: {
            FailedStackInstancesCount: {
              type: "integer"
            }
          }
        },
        S8d: {
          type: "list",
          member: {}
        },
        S96: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudformation-2010-05-15.paginators.json
var require_cloudformation_2010_05_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cloudformation-2010-05-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeAccountLimits: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "AccountLimits"
        },
        DescribeStackEvents: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "StackEvents"
        },
        DescribeStackResourceDrifts: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        DescribeStackResources: {
          result_key: "StackResources"
        },
        DescribeStacks: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Stacks"
        },
        ListChangeSets: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Summaries"
        },
        ListExports: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Exports"
        },
        ListImports: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Imports"
        },
        ListStackInstances: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Summaries"
        },
        ListStackResources: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "StackResourceSummaries"
        },
        ListStackSetOperationResults: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Summaries"
        },
        ListStackSetOperations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Summaries"
        },
        ListStackSets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Summaries"
        },
        ListStacks: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "StackSummaries"
        },
        ListTypeRegistrations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListTypeVersions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListTypes: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TypeSummaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudformation-2010-05-15.waiters2.json
var require_cloudformation_2010_05_15_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/cloudformation-2010-05-15.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        StackExists: {
          delay: 5,
          operation: "DescribeStacks",
          maxAttempts: 20,
          acceptors: [
            {
              matcher: "status",
              expected: 200,
              state: "success"
            },
            {
              matcher: "error",
              expected: "ValidationError",
              state: "retry"
            }
          ]
        },
        StackCreateComplete: {
          delay: 30,
          operation: "DescribeStacks",
          maxAttempts: 120,
          description: "Wait until stack status is CREATE_COMPLETE.",
          acceptors: [
            {
              argument: "Stacks[].StackStatus",
              expected: "CREATE_COMPLETE",
              matcher: "pathAll",
              state: "success"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "CREATE_FAILED",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "DELETE_COMPLETE",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "DELETE_FAILED",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "ROLLBACK_FAILED",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "ROLLBACK_COMPLETE",
              matcher: "pathAny",
              state: "failure"
            },
            {
              expected: "ValidationError",
              matcher: "error",
              state: "failure"
            }
          ]
        },
        StackDeleteComplete: {
          delay: 30,
          operation: "DescribeStacks",
          maxAttempts: 120,
          description: "Wait until stack status is DELETE_COMPLETE.",
          acceptors: [
            {
              argument: "Stacks[].StackStatus",
              expected: "DELETE_COMPLETE",
              matcher: "pathAll",
              state: "success"
            },
            {
              expected: "ValidationError",
              matcher: "error",
              state: "success"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "DELETE_FAILED",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "CREATE_FAILED",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "ROLLBACK_FAILED",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "UPDATE_ROLLBACK_IN_PROGRESS",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "UPDATE_ROLLBACK_FAILED",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "UPDATE_ROLLBACK_COMPLETE",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "UPDATE_COMPLETE",
              matcher: "pathAny",
              state: "failure"
            }
          ]
        },
        StackUpdateComplete: {
          delay: 30,
          maxAttempts: 120,
          operation: "DescribeStacks",
          description: "Wait until stack status is UPDATE_COMPLETE.",
          acceptors: [
            {
              argument: "Stacks[].StackStatus",
              expected: "UPDATE_COMPLETE",
              matcher: "pathAll",
              state: "success"
            },
            {
              expected: "UPDATE_FAILED",
              matcher: "pathAny",
              state: "failure",
              argument: "Stacks[].StackStatus"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "UPDATE_ROLLBACK_FAILED",
              matcher: "pathAny",
              state: "failure"
            },
            {
              expected: "UPDATE_ROLLBACK_COMPLETE",
              matcher: "pathAny",
              state: "failure",
              argument: "Stacks[].StackStatus"
            },
            {
              expected: "ValidationError",
              matcher: "error",
              state: "failure"
            }
          ]
        },
        StackImportComplete: {
          delay: 30,
          maxAttempts: 120,
          operation: "DescribeStacks",
          description: "Wait until stack status is IMPORT_COMPLETE.",
          acceptors: [
            {
              argument: "Stacks[].StackStatus",
              expected: "IMPORT_COMPLETE",
              matcher: "pathAll",
              state: "success"
            },
            {
              expected: "ROLLBACK_COMPLETE",
              matcher: "pathAny",
              state: "failure",
              argument: "Stacks[].StackStatus"
            },
            {
              expected: "ROLLBACK_FAILED",
              matcher: "pathAny",
              state: "failure",
              argument: "Stacks[].StackStatus"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "IMPORT_ROLLBACK_IN_PROGRESS",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "IMPORT_ROLLBACK_FAILED",
              matcher: "pathAny",
              state: "failure"
            },
            {
              expected: "IMPORT_ROLLBACK_COMPLETE",
              matcher: "pathAny",
              state: "failure",
              argument: "Stacks[].StackStatus"
            },
            {
              expected: "ValidationError",
              matcher: "error",
              state: "failure"
            }
          ]
        },
        StackRollbackComplete: {
          delay: 30,
          operation: "DescribeStacks",
          maxAttempts: 120,
          description: "Wait until stack status is UPDATE_ROLLBACK_COMPLETE.",
          acceptors: [
            {
              argument: "Stacks[].StackStatus",
              expected: "UPDATE_ROLLBACK_COMPLETE",
              matcher: "pathAll",
              state: "success"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "UPDATE_FAILED",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "UPDATE_ROLLBACK_FAILED",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "Stacks[].StackStatus",
              expected: "DELETE_FAILED",
              matcher: "pathAny",
              state: "failure"
            },
            {
              expected: "ValidationError",
              matcher: "error",
              state: "failure"
            }
          ]
        },
        ChangeSetCreateComplete: {
          delay: 30,
          operation: "DescribeChangeSet",
          maxAttempts: 120,
          description: "Wait until change set status is CREATE_COMPLETE.",
          acceptors: [
            {
              argument: "Status",
              expected: "CREATE_COMPLETE",
              matcher: "path",
              state: "success"
            },
            {
              argument: "Status",
              expected: "FAILED",
              matcher: "path",
              state: "failure"
            },
            {
              expected: "ValidationError",
              matcher: "error",
              state: "failure"
            }
          ]
        },
        TypeRegistrationComplete: {
          delay: 30,
          operation: "DescribeTypeRegistration",
          maxAttempts: 120,
          description: "Wait until type registration is COMPLETE.",
          acceptors: [
            {
              argument: "ProgressStatus",
              expected: "COMPLETE",
              matcher: "path",
              state: "success"
            },
            {
              argument: "ProgressStatus",
              expected: "FAILED",
              matcher: "path",
              state: "failure"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/cloudformation.js
var require_cloudformation = __commonJS({
  "node_modules/aws-sdk/clients/cloudformation.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cloudformation"] = {};
    AWS2.CloudFormation = Service.defineService("cloudformation", ["2010-05-15"]);
    Object.defineProperty(apiLoader.services["cloudformation"], "2010-05-15", {
      get: function get() {
        var model = require_cloudformation_2010_05_15_min();
        model.paginators = require_cloudformation_2010_05_15_paginators().pagination;
        model.waiters = require_cloudformation_2010_05_15_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CloudFormation;
  }
});

// node_modules/aws-sdk/lib/cloudfront/signer.js
var require_signer = __commonJS({
  "node_modules/aws-sdk/lib/cloudfront/signer.js"(exports, module2) {
    var AWS2 = require_core();
    var url = AWS2.util.url;
    var crypto = AWS2.util.crypto.lib;
    var base64Encode = AWS2.util.base64.encode;
    var inherit = AWS2.util.inherit;
    var queryEncode = function(string) {
      var replacements = {
        "+": "-",
        "=": "_",
        "/": "~"
      };
      return string.replace(/[\+=\/]/g, function(match) {
        return replacements[match];
      });
    };
    var signPolicy = function(policy, privateKey) {
      var sign = crypto.createSign("RSA-SHA1");
      sign.write(policy);
      return queryEncode(sign.sign(privateKey, "base64"));
    };
    var signWithCannedPolicy = function(url2, expires, keyPairId, privateKey) {
      var policy = JSON.stringify({
        Statement: [
          {
            Resource: url2,
            Condition: { DateLessThan: { "AWS:EpochTime": expires } }
          }
        ]
      });
      return {
        Expires: expires,
        "Key-Pair-Id": keyPairId,
        Signature: signPolicy(policy.toString(), privateKey)
      };
    };
    var signWithCustomPolicy = function(policy, keyPairId, privateKey) {
      policy = policy.replace(/\s/mg, "");
      return {
        Policy: queryEncode(base64Encode(policy)),
        "Key-Pair-Id": keyPairId,
        Signature: signPolicy(policy, privateKey)
      };
    };
    var determineScheme = function(url2) {
      var parts = url2.split("://");
      if (parts.length < 2) {
        throw new Error("Invalid URL.");
      }
      return parts[0].replace("*", "");
    };
    var getRtmpUrl = function(rtmpUrl) {
      var parsed = url.parse(rtmpUrl);
      return parsed.path.replace(/^\//, "") + (parsed.hash || "");
    };
    var getResource = function(url2) {
      switch (determineScheme(url2)) {
        case "http":
        case "https":
          return url2;
        case "rtmp":
          return getRtmpUrl(url2);
        default:
          throw new Error("Invalid URI scheme. Scheme must be one of http, https, or rtmp");
      }
    };
    var handleError = function(err, callback) {
      if (!callback || typeof callback !== "function") {
        throw err;
      }
      callback(err);
    };
    var handleSuccess = function(result, callback) {
      if (!callback || typeof callback !== "function") {
        return result;
      }
      callback(null, result);
    };
    AWS2.CloudFront.Signer = inherit({
      /**
       * A signer object can be used to generate signed URLs and cookies for granting
       * access to content on restricted CloudFront distributions.
       *
       * @see http://docs.aws.amazon.com/AmazonCloudFront/latest/DeveloperGuide/PrivateContent.html
       *
       * @param keyPairId [String]    (Required) The ID of the CloudFront key pair
       *                              being used.
       * @param privateKey [String]   (Required) A private key in RSA format.
       */
      constructor: function Signer(keyPairId, privateKey) {
        if (keyPairId === void 0 || privateKey === void 0) {
          throw new Error("A key pair ID and private key are required");
        }
        this.keyPairId = keyPairId;
        this.privateKey = privateKey;
      },
      /**
       * Create a signed Amazon CloudFront Cookie.
       *
       * @param options [Object]            The options to create a signed cookie.
       * @option options url [String]     The URL to which the signature will grant
       *                                  access. Required unless you pass in a full
       *                                  policy.
       * @option options expires [Number] A Unix UTC timestamp indicating when the
       *                                  signature should expire. Required unless you
       *                                  pass in a full policy.
       * @option options policy [String]  A CloudFront JSON policy. Required unless
       *                                  you pass in a url and an expiry time.
       *
       * @param cb [Function] if a callback is provided, this function will
       *   pass the hash as the second parameter (after the error parameter) to
       *   the callback function.
       *
       * @return [Object] if called synchronously (with no callback), returns the
       *   signed cookie parameters.
       * @return [null] nothing is returned if a callback is provided.
       */
      getSignedCookie: function(options, cb) {
        var signatureHash = "policy" in options ? signWithCustomPolicy(options.policy, this.keyPairId, this.privateKey) : signWithCannedPolicy(options.url, options.expires, this.keyPairId, this.privateKey);
        var cookieHash = {};
        for (var key in signatureHash) {
          if (Object.prototype.hasOwnProperty.call(signatureHash, key)) {
            cookieHash["CloudFront-" + key] = signatureHash[key];
          }
        }
        return handleSuccess(cookieHash, cb);
      },
      /**
       * Create a signed Amazon CloudFront URL.
       *
       * Keep in mind that URLs meant for use in media/flash players may have
       * different requirements for URL formats (e.g. some require that the
       * extension be removed, some require the file name to be prefixed
       * - mp4:<path>, some require you to add "/cfx/st" into your URL).
       *
       * @param options [Object]          The options to create a signed URL.
       * @option options url [String]     The URL to which the signature will grant
       *                                  access. Any query params included with
       *                                  the URL should be encoded. Required.
       * @option options expires [Number] A Unix UTC timestamp indicating when the
       *                                  signature should expire. Required unless you
       *                                  pass in a full policy.
       * @option options policy [String]  A CloudFront JSON policy. Required unless
       *                                  you pass in a url and an expiry time.
       *
       * @param cb [Function] if a callback is provided, this function will
       *   pass the URL as the second parameter (after the error parameter) to
       *   the callback function.
       *
       * @return [String] if called synchronously (with no callback), returns the
       *   signed URL.
       * @return [null] nothing is returned if a callback is provided.
       */
      getSignedUrl: function(options, cb) {
        try {
          var resource = getResource(options.url);
        } catch (err) {
          return handleError(err, cb);
        }
        var parsedUrl = url.parse(options.url, true), signatureHash = Object.prototype.hasOwnProperty.call(options, "policy") ? signWithCustomPolicy(options.policy, this.keyPairId, this.privateKey) : signWithCannedPolicy(resource, options.expires, this.keyPairId, this.privateKey);
        parsedUrl.search = null;
        for (var key in signatureHash) {
          if (Object.prototype.hasOwnProperty.call(signatureHash, key)) {
            parsedUrl.query[key] = signatureHash[key];
          }
        }
        try {
          var signedUrl = determineScheme(options.url) === "rtmp" ? getRtmpUrl(url.format(parsedUrl)) : url.format(parsedUrl);
        } catch (err) {
          return handleError(err, cb);
        }
        return handleSuccess(signedUrl, cb);
      }
    });
    module2.exports = AWS2.CloudFront.Signer;
  }
});

// node_modules/aws-sdk/lib/services/cloudfront.js
var require_cloudfront = __commonJS({
  "node_modules/aws-sdk/lib/services/cloudfront.js"() {
    var AWS2 = require_core();
    require_signer();
    AWS2.util.update(AWS2.CloudFront.prototype, {
      setupRequestListeners: function setupRequestListeners(request) {
        request.addListener("extractData", AWS2.util.hoistPayloadMember);
      }
    });
  }
});

// node_modules/aws-sdk/apis/cloudfront-2016-11-25.min.json
var require_cloudfront_2016_11_25_min = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2016-11-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-11-25",
        endpointPrefix: "cloudfront",
        globalEndpoint: "cloudfront.amazonaws.com",
        protocol: "rest-xml",
        serviceAbbreviation: "CloudFront",
        serviceFullName: "Amazon CloudFront",
        serviceId: "CloudFront",
        signatureVersion: "v4",
        uid: "cloudfront-2016-11-25"
      },
      operations: {
        CreateCloudFrontOriginAccessIdentity: {
          http: {
            requestUri: "/2016-11-25/origin-access-identity/cloudfront",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "CloudFrontOriginAccessIdentityConfig"
            ],
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2",
                locationName: "CloudFrontOriginAccessIdentityConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2016-11-25/"
                }
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        CreateDistribution: {
          http: {
            requestUri: "/2016-11-25/distribution",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfig"
            ],
            members: {
              DistributionConfig: {
                shape: "S7",
                locationName: "DistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2016-11-25/"
                }
              }
            },
            payload: "DistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S1s"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        CreateDistributionWithTags: {
          http: {
            requestUri: "/2016-11-25/distribution?WithTags",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfigWithTags"
            ],
            members: {
              DistributionConfigWithTags: {
                locationName: "DistributionConfigWithTags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2016-11-25/"
                },
                type: "structure",
                required: [
                  "DistributionConfig",
                  "Tags"
                ],
                members: {
                  DistributionConfig: {
                    shape: "S7"
                  },
                  Tags: {
                    shape: "S21"
                  }
                }
              }
            },
            payload: "DistributionConfigWithTags"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S1s"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        CreateInvalidation: {
          http: {
            requestUri: "/2016-11-25/distribution/{DistributionId}/invalidation",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionId",
              "InvalidationBatch"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              InvalidationBatch: {
                shape: "S28",
                locationName: "InvalidationBatch",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2016-11-25/"
                }
              }
            },
            payload: "InvalidationBatch"
          },
          output: {
            type: "structure",
            members: {
              Location: {
                location: "header",
                locationName: "Location"
              },
              Invalidation: {
                shape: "S2c"
              }
            },
            payload: "Invalidation"
          }
        },
        CreateStreamingDistribution: {
          http: {
            requestUri: "/2016-11-25/streaming-distribution",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfig"
            ],
            members: {
              StreamingDistributionConfig: {
                shape: "S2e",
                locationName: "StreamingDistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2016-11-25/"
                }
              }
            },
            payload: "StreamingDistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S2i"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        CreateStreamingDistributionWithTags: {
          http: {
            requestUri: "/2016-11-25/streaming-distribution?WithTags",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfigWithTags"
            ],
            members: {
              StreamingDistributionConfigWithTags: {
                locationName: "StreamingDistributionConfigWithTags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2016-11-25/"
                },
                type: "structure",
                required: [
                  "StreamingDistributionConfig",
                  "Tags"
                ],
                members: {
                  StreamingDistributionConfig: {
                    shape: "S2e"
                  },
                  Tags: {
                    shape: "S21"
                  }
                }
              }
            },
            payload: "StreamingDistributionConfigWithTags"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S2i"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        DeleteCloudFrontOriginAccessIdentity: {
          http: {
            method: "DELETE",
            requestUri: "/2016-11-25/origin-access-identity/cloudfront/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteDistribution: {
          http: {
            method: "DELETE",
            requestUri: "/2016-11-25/distribution/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteStreamingDistribution: {
          http: {
            method: "DELETE",
            requestUri: "/2016-11-25/streaming-distribution/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        GetCloudFrontOriginAccessIdentity: {
          http: {
            method: "GET",
            requestUri: "/2016-11-25/origin-access-identity/cloudfront/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        GetCloudFrontOriginAccessIdentityConfig: {
          http: {
            method: "GET",
            requestUri: "/2016-11-25/origin-access-identity/cloudfront/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          }
        },
        GetDistribution: {
          http: {
            method: "GET",
            requestUri: "/2016-11-25/distribution/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S1s"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        GetDistributionConfig: {
          http: {
            method: "GET",
            requestUri: "/2016-11-25/distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionConfig: {
                shape: "S7"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "DistributionConfig"
          }
        },
        GetInvalidation: {
          http: {
            method: "GET",
            requestUri: "/2016-11-25/distribution/{DistributionId}/invalidation/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "DistributionId",
              "Id"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Invalidation: {
                shape: "S2c"
              }
            },
            payload: "Invalidation"
          }
        },
        GetStreamingDistribution: {
          http: {
            method: "GET",
            requestUri: "/2016-11-25/streaming-distribution/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S2i"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        GetStreamingDistributionConfig: {
          http: {
            method: "GET",
            requestUri: "/2016-11-25/streaming-distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistributionConfig: {
                shape: "S2e"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistributionConfig"
          }
        },
        ListCloudFrontOriginAccessIdentities: {
          http: {
            method: "GET",
            requestUri: "/2016-11-25/origin-access-identity/cloudfront"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentityList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "CloudFrontOriginAccessIdentitySummary",
                      type: "structure",
                      required: [
                        "Id",
                        "S3CanonicalUserId",
                        "Comment"
                      ],
                      members: {
                        Id: {},
                        S3CanonicalUserId: {},
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "CloudFrontOriginAccessIdentityList"
          }
        },
        ListDistributions: {
          http: {
            method: "GET",
            requestUri: "/2016-11-25/distribution"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionList: {
                shape: "S3a"
              }
            },
            payload: "DistributionList"
          }
        },
        ListDistributionsByWebACLId: {
          http: {
            method: "GET",
            requestUri: "/2016-11-25/distributionsByWebACLId/{WebACLId}"
          },
          input: {
            type: "structure",
            required: [
              "WebACLId"
            ],
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              },
              WebACLId: {
                location: "uri",
                locationName: "WebACLId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionList: {
                shape: "S3a"
              }
            },
            payload: "DistributionList"
          }
        },
        ListInvalidations: {
          http: {
            method: "GET",
            requestUri: "/2016-11-25/distribution/{DistributionId}/invalidation"
          },
          input: {
            type: "structure",
            required: [
              "DistributionId"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InvalidationList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "InvalidationSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "CreateTime",
                        "Status"
                      ],
                      members: {
                        Id: {},
                        CreateTime: {
                          type: "timestamp"
                        },
                        Status: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "InvalidationList"
          }
        },
        ListStreamingDistributions: {
          http: {
            method: "GET",
            requestUri: "/2016-11-25/streaming-distribution"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistributionList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "StreamingDistributionSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "ARN",
                        "Status",
                        "LastModifiedTime",
                        "DomainName",
                        "S3Origin",
                        "Aliases",
                        "TrustedSigners",
                        "Comment",
                        "PriceClass",
                        "Enabled"
                      ],
                      members: {
                        Id: {},
                        ARN: {},
                        Status: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        DomainName: {},
                        S3Origin: {
                          shape: "S2f"
                        },
                        Aliases: {
                          shape: "S8"
                        },
                        TrustedSigners: {
                          shape: "Sy"
                        },
                        Comment: {},
                        PriceClass: {},
                        Enabled: {
                          type: "boolean"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "StreamingDistributionList"
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/2016-11-25/tagging"
          },
          input: {
            type: "structure",
            required: [
              "Resource"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "S21"
              }
            },
            payload: "Tags"
          }
        },
        TagResource: {
          http: {
            requestUri: "/2016-11-25/tagging?Operation=Tag",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "Tags"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              },
              Tags: {
                shape: "S21",
                locationName: "Tags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2016-11-25/"
                }
              }
            },
            payload: "Tags"
          }
        },
        UntagResource: {
          http: {
            requestUri: "/2016-11-25/tagging?Operation=Untag",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "TagKeys"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              },
              TagKeys: {
                locationName: "TagKeys",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2016-11-25/"
                },
                type: "structure",
                members: {
                  Items: {
                    type: "list",
                    member: {
                      locationName: "Key"
                    }
                  }
                }
              }
            },
            payload: "TagKeys"
          }
        },
        UpdateCloudFrontOriginAccessIdentity: {
          http: {
            method: "PUT",
            requestUri: "/2016-11-25/origin-access-identity/cloudfront/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "CloudFrontOriginAccessIdentityConfig",
              "Id"
            ],
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2",
                locationName: "CloudFrontOriginAccessIdentityConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2016-11-25/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        UpdateDistribution: {
          http: {
            method: "PUT",
            requestUri: "/2016-11-25/distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfig",
              "Id"
            ],
            members: {
              DistributionConfig: {
                shape: "S7",
                locationName: "DistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2016-11-25/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "DistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S1s"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        UpdateStreamingDistribution: {
          http: {
            method: "PUT",
            requestUri: "/2016-11-25/streaming-distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfig",
              "Id"
            ],
            members: {
              StreamingDistributionConfig: {
                shape: "S2e",
                locationName: "StreamingDistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2016-11-25/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "StreamingDistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S2i"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        }
      },
      shapes: {
        S2: {
          type: "structure",
          required: [
            "CallerReference",
            "Comment"
          ],
          members: {
            CallerReference: {},
            Comment: {}
          }
        },
        S5: {
          type: "structure",
          required: [
            "Id",
            "S3CanonicalUserId"
          ],
          members: {
            Id: {},
            S3CanonicalUserId: {},
            CloudFrontOriginAccessIdentityConfig: {
              shape: "S2"
            }
          }
        },
        S7: {
          type: "structure",
          required: [
            "CallerReference",
            "Origins",
            "DefaultCacheBehavior",
            "Comment",
            "Enabled"
          ],
          members: {
            CallerReference: {},
            Aliases: {
              shape: "S8"
            },
            DefaultRootObject: {},
            Origins: {
              shape: "Sb"
            },
            DefaultCacheBehavior: {
              shape: "Sn"
            },
            CacheBehaviors: {
              shape: "S1a"
            },
            CustomErrorResponses: {
              shape: "S1d"
            },
            Comment: {},
            Logging: {
              type: "structure",
              required: [
                "Enabled",
                "IncludeCookies",
                "Bucket",
                "Prefix"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                IncludeCookies: {
                  type: "boolean"
                },
                Bucket: {},
                Prefix: {}
              }
            },
            PriceClass: {},
            Enabled: {
              type: "boolean"
            },
            ViewerCertificate: {
              shape: "S1i"
            },
            Restrictions: {
              shape: "S1m"
            },
            WebACLId: {},
            HttpVersion: {},
            IsIPV6Enabled: {
              type: "boolean"
            }
          }
        },
        S8: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CNAME"
              }
            }
          }
        },
        Sb: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Origin",
                type: "structure",
                required: [
                  "Id",
                  "DomainName"
                ],
                members: {
                  Id: {},
                  DomainName: {},
                  OriginPath: {},
                  CustomHeaders: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "OriginCustomHeader",
                          type: "structure",
                          required: [
                            "HeaderName",
                            "HeaderValue"
                          ],
                          members: {
                            HeaderName: {},
                            HeaderValue: {}
                          }
                        }
                      }
                    }
                  },
                  S3OriginConfig: {
                    type: "structure",
                    required: [
                      "OriginAccessIdentity"
                    ],
                    members: {
                      OriginAccessIdentity: {}
                    }
                  },
                  CustomOriginConfig: {
                    type: "structure",
                    required: [
                      "HTTPPort",
                      "HTTPSPort",
                      "OriginProtocolPolicy"
                    ],
                    members: {
                      HTTPPort: {
                        type: "integer"
                      },
                      HTTPSPort: {
                        type: "integer"
                      },
                      OriginProtocolPolicy: {},
                      OriginSslProtocols: {
                        type: "structure",
                        required: [
                          "Quantity",
                          "Items"
                        ],
                        members: {
                          Quantity: {
                            type: "integer"
                          },
                          Items: {
                            type: "list",
                            member: {
                              locationName: "SslProtocol"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sn: {
          type: "structure",
          required: [
            "TargetOriginId",
            "ForwardedValues",
            "TrustedSigners",
            "ViewerProtocolPolicy",
            "MinTTL"
          ],
          members: {
            TargetOriginId: {},
            ForwardedValues: {
              shape: "So"
            },
            TrustedSigners: {
              shape: "Sy"
            },
            ViewerProtocolPolicy: {},
            MinTTL: {
              type: "long"
            },
            AllowedMethods: {
              shape: "S12"
            },
            SmoothStreaming: {
              type: "boolean"
            },
            DefaultTTL: {
              type: "long"
            },
            MaxTTL: {
              type: "long"
            },
            Compress: {
              type: "boolean"
            },
            LambdaFunctionAssociations: {
              shape: "S16"
            }
          }
        },
        So: {
          type: "structure",
          required: [
            "QueryString",
            "Cookies"
          ],
          members: {
            QueryString: {
              type: "boolean"
            },
            Cookies: {
              type: "structure",
              required: [
                "Forward"
              ],
              members: {
                Forward: {},
                WhitelistedNames: {
                  type: "structure",
                  required: [
                    "Quantity"
                  ],
                  members: {
                    Quantity: {
                      type: "integer"
                    },
                    Items: {
                      type: "list",
                      member: {
                        locationName: "Name"
                      }
                    }
                  }
                }
              }
            },
            Headers: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Name"
                  }
                }
              }
            },
            QueryStringCacheKeys: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Name"
                  }
                }
              }
            }
          }
        },
        Sy: {
          type: "structure",
          required: [
            "Enabled",
            "Quantity"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "AwsAccountNumber"
              }
            }
          }
        },
        S12: {
          type: "structure",
          required: [
            "Quantity",
            "Items"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              shape: "S13"
            },
            CachedMethods: {
              type: "structure",
              required: [
                "Quantity",
                "Items"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  shape: "S13"
                }
              }
            }
          }
        },
        S13: {
          type: "list",
          member: {
            locationName: "Method"
          }
        },
        S16: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "LambdaFunctionAssociation",
                type: "structure",
                members: {
                  LambdaFunctionARN: {},
                  EventType: {}
                }
              }
            }
          }
        },
        S1a: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CacheBehavior",
                type: "structure",
                required: [
                  "PathPattern",
                  "TargetOriginId",
                  "ForwardedValues",
                  "TrustedSigners",
                  "ViewerProtocolPolicy",
                  "MinTTL"
                ],
                members: {
                  PathPattern: {},
                  TargetOriginId: {},
                  ForwardedValues: {
                    shape: "So"
                  },
                  TrustedSigners: {
                    shape: "Sy"
                  },
                  ViewerProtocolPolicy: {},
                  MinTTL: {
                    type: "long"
                  },
                  AllowedMethods: {
                    shape: "S12"
                  },
                  SmoothStreaming: {
                    type: "boolean"
                  },
                  DefaultTTL: {
                    type: "long"
                  },
                  MaxTTL: {
                    type: "long"
                  },
                  Compress: {
                    type: "boolean"
                  },
                  LambdaFunctionAssociations: {
                    shape: "S16"
                  }
                }
              }
            }
          }
        },
        S1d: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CustomErrorResponse",
                type: "structure",
                required: [
                  "ErrorCode"
                ],
                members: {
                  ErrorCode: {
                    type: "integer"
                  },
                  ResponsePagePath: {},
                  ResponseCode: {},
                  ErrorCachingMinTTL: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        S1i: {
          type: "structure",
          members: {
            CloudFrontDefaultCertificate: {
              type: "boolean"
            },
            IAMCertificateId: {},
            ACMCertificateArn: {},
            SSLSupportMethod: {},
            MinimumProtocolVersion: {},
            Certificate: {
              deprecated: true
            },
            CertificateSource: {
              deprecated: true
            }
          }
        },
        S1m: {
          type: "structure",
          required: [
            "GeoRestriction"
          ],
          members: {
            GeoRestriction: {
              type: "structure",
              required: [
                "RestrictionType",
                "Quantity"
              ],
              members: {
                RestrictionType: {},
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Location"
                  }
                }
              }
            }
          }
        },
        S1s: {
          type: "structure",
          required: [
            "Id",
            "ARN",
            "Status",
            "LastModifiedTime",
            "InProgressInvalidationBatches",
            "DomainName",
            "ActiveTrustedSigners",
            "DistributionConfig"
          ],
          members: {
            Id: {},
            ARN: {},
            Status: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            InProgressInvalidationBatches: {
              type: "integer"
            },
            DomainName: {},
            ActiveTrustedSigners: {
              shape: "S1u"
            },
            DistributionConfig: {
              shape: "S7"
            }
          }
        },
        S1u: {
          type: "structure",
          required: [
            "Enabled",
            "Quantity"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Signer",
                type: "structure",
                members: {
                  AwsAccountNumber: {},
                  KeyPairIds: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "KeyPairId"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S21: {
          type: "structure",
          members: {
            Items: {
              type: "list",
              member: {
                locationName: "Tag",
                type: "structure",
                required: [
                  "Key"
                ],
                members: {
                  Key: {},
                  Value: {}
                }
              }
            }
          }
        },
        S28: {
          type: "structure",
          required: [
            "Paths",
            "CallerReference"
          ],
          members: {
            Paths: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Path"
                  }
                }
              }
            },
            CallerReference: {}
          }
        },
        S2c: {
          type: "structure",
          required: [
            "Id",
            "Status",
            "CreateTime",
            "InvalidationBatch"
          ],
          members: {
            Id: {},
            Status: {},
            CreateTime: {
              type: "timestamp"
            },
            InvalidationBatch: {
              shape: "S28"
            }
          }
        },
        S2e: {
          type: "structure",
          required: [
            "CallerReference",
            "S3Origin",
            "Comment",
            "TrustedSigners",
            "Enabled"
          ],
          members: {
            CallerReference: {},
            S3Origin: {
              shape: "S2f"
            },
            Aliases: {
              shape: "S8"
            },
            Comment: {},
            Logging: {
              type: "structure",
              required: [
                "Enabled",
                "Bucket",
                "Prefix"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                Bucket: {},
                Prefix: {}
              }
            },
            TrustedSigners: {
              shape: "Sy"
            },
            PriceClass: {},
            Enabled: {
              type: "boolean"
            }
          }
        },
        S2f: {
          type: "structure",
          required: [
            "DomainName",
            "OriginAccessIdentity"
          ],
          members: {
            DomainName: {},
            OriginAccessIdentity: {}
          }
        },
        S2i: {
          type: "structure",
          required: [
            "Id",
            "ARN",
            "Status",
            "DomainName",
            "ActiveTrustedSigners",
            "StreamingDistributionConfig"
          ],
          members: {
            Id: {},
            ARN: {},
            Status: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            DomainName: {},
            ActiveTrustedSigners: {
              shape: "S1u"
            },
            StreamingDistributionConfig: {
              shape: "S2e"
            }
          }
        },
        S3a: {
          type: "structure",
          required: [
            "Marker",
            "MaxItems",
            "IsTruncated",
            "Quantity"
          ],
          members: {
            Marker: {},
            NextMarker: {},
            MaxItems: {
              type: "integer"
            },
            IsTruncated: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "DistributionSummary",
                type: "structure",
                required: [
                  "Id",
                  "ARN",
                  "Status",
                  "LastModifiedTime",
                  "DomainName",
                  "Aliases",
                  "Origins",
                  "DefaultCacheBehavior",
                  "CacheBehaviors",
                  "CustomErrorResponses",
                  "Comment",
                  "PriceClass",
                  "Enabled",
                  "ViewerCertificate",
                  "Restrictions",
                  "WebACLId",
                  "HttpVersion",
                  "IsIPV6Enabled"
                ],
                members: {
                  Id: {},
                  ARN: {},
                  Status: {},
                  LastModifiedTime: {
                    type: "timestamp"
                  },
                  DomainName: {},
                  Aliases: {
                    shape: "S8"
                  },
                  Origins: {
                    shape: "Sb"
                  },
                  DefaultCacheBehavior: {
                    shape: "Sn"
                  },
                  CacheBehaviors: {
                    shape: "S1a"
                  },
                  CustomErrorResponses: {
                    shape: "S1d"
                  },
                  Comment: {},
                  PriceClass: {},
                  Enabled: {
                    type: "boolean"
                  },
                  ViewerCertificate: {
                    shape: "S1i"
                  },
                  Restrictions: {
                    shape: "S1m"
                  },
                  WebACLId: {},
                  HttpVersion: {},
                  IsIPV6Enabled: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2016-11-25.paginators.json
var require_cloudfront_2016_11_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2016-11-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListCloudFrontOriginAccessIdentities: {
          input_token: "Marker",
          output_token: "CloudFrontOriginAccessIdentityList.NextMarker",
          limit_key: "MaxItems",
          more_results: "CloudFrontOriginAccessIdentityList.IsTruncated",
          result_key: "CloudFrontOriginAccessIdentityList.Items"
        },
        ListDistributions: {
          input_token: "Marker",
          output_token: "DistributionList.NextMarker",
          limit_key: "MaxItems",
          more_results: "DistributionList.IsTruncated",
          result_key: "DistributionList.Items"
        },
        ListInvalidations: {
          input_token: "Marker",
          output_token: "InvalidationList.NextMarker",
          limit_key: "MaxItems",
          more_results: "InvalidationList.IsTruncated",
          result_key: "InvalidationList.Items"
        },
        ListStreamingDistributions: {
          input_token: "Marker",
          output_token: "StreamingDistributionList.NextMarker",
          limit_key: "MaxItems",
          more_results: "StreamingDistributionList.IsTruncated",
          result_key: "StreamingDistributionList.Items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2016-11-25.waiters2.json
var require_cloudfront_2016_11_25_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2016-11-25.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        DistributionDeployed: {
          delay: 60,
          operation: "GetDistribution",
          maxAttempts: 25,
          description: "Wait until a distribution is deployed.",
          acceptors: [
            {
              expected: "Deployed",
              matcher: "path",
              state: "success",
              argument: "Distribution.Status"
            }
          ]
        },
        InvalidationCompleted: {
          delay: 20,
          operation: "GetInvalidation",
          maxAttempts: 30,
          description: "Wait until an invalidation has completed.",
          acceptors: [
            {
              expected: "Completed",
              matcher: "path",
              state: "success",
              argument: "Invalidation.Status"
            }
          ]
        },
        StreamingDistributionDeployed: {
          delay: 60,
          operation: "GetStreamingDistribution",
          maxAttempts: 25,
          description: "Wait until a streaming distribution is deployed.",
          acceptors: [
            {
              expected: "Deployed",
              matcher: "path",
              state: "success",
              argument: "StreamingDistribution.Status"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2017-03-25.min.json
var require_cloudfront_2017_03_25_min = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2017-03-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-03-25",
        endpointPrefix: "cloudfront",
        globalEndpoint: "cloudfront.amazonaws.com",
        protocol: "rest-xml",
        serviceAbbreviation: "CloudFront",
        serviceFullName: "Amazon CloudFront",
        serviceId: "CloudFront",
        signatureVersion: "v4",
        uid: "cloudfront-2017-03-25"
      },
      operations: {
        CreateCloudFrontOriginAccessIdentity: {
          http: {
            requestUri: "/2017-03-25/origin-access-identity/cloudfront",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "CloudFrontOriginAccessIdentityConfig"
            ],
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2",
                locationName: "CloudFrontOriginAccessIdentityConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-03-25/"
                }
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        CreateDistribution: {
          http: {
            requestUri: "/2017-03-25/distribution",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfig"
            ],
            members: {
              DistributionConfig: {
                shape: "S7",
                locationName: "DistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-03-25/"
                }
              }
            },
            payload: "DistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S1s"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        CreateDistributionWithTags: {
          http: {
            requestUri: "/2017-03-25/distribution?WithTags",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfigWithTags"
            ],
            members: {
              DistributionConfigWithTags: {
                locationName: "DistributionConfigWithTags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-03-25/"
                },
                type: "structure",
                required: [
                  "DistributionConfig",
                  "Tags"
                ],
                members: {
                  DistributionConfig: {
                    shape: "S7"
                  },
                  Tags: {
                    shape: "S21"
                  }
                }
              }
            },
            payload: "DistributionConfigWithTags"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S1s"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        CreateInvalidation: {
          http: {
            requestUri: "/2017-03-25/distribution/{DistributionId}/invalidation",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionId",
              "InvalidationBatch"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              InvalidationBatch: {
                shape: "S28",
                locationName: "InvalidationBatch",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-03-25/"
                }
              }
            },
            payload: "InvalidationBatch"
          },
          output: {
            type: "structure",
            members: {
              Location: {
                location: "header",
                locationName: "Location"
              },
              Invalidation: {
                shape: "S2c"
              }
            },
            payload: "Invalidation"
          }
        },
        CreateStreamingDistribution: {
          http: {
            requestUri: "/2017-03-25/streaming-distribution",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfig"
            ],
            members: {
              StreamingDistributionConfig: {
                shape: "S2e",
                locationName: "StreamingDistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-03-25/"
                }
              }
            },
            payload: "StreamingDistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S2i"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        CreateStreamingDistributionWithTags: {
          http: {
            requestUri: "/2017-03-25/streaming-distribution?WithTags",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfigWithTags"
            ],
            members: {
              StreamingDistributionConfigWithTags: {
                locationName: "StreamingDistributionConfigWithTags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-03-25/"
                },
                type: "structure",
                required: [
                  "StreamingDistributionConfig",
                  "Tags"
                ],
                members: {
                  StreamingDistributionConfig: {
                    shape: "S2e"
                  },
                  Tags: {
                    shape: "S21"
                  }
                }
              }
            },
            payload: "StreamingDistributionConfigWithTags"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S2i"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        DeleteCloudFrontOriginAccessIdentity: {
          http: {
            method: "DELETE",
            requestUri: "/2017-03-25/origin-access-identity/cloudfront/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteDistribution: {
          http: {
            method: "DELETE",
            requestUri: "/2017-03-25/distribution/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteServiceLinkedRole: {
          http: {
            method: "DELETE",
            requestUri: "/2017-03-25/service-linked-role/{RoleName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "RoleName"
            ],
            members: {
              RoleName: {
                location: "uri",
                locationName: "RoleName"
              }
            }
          }
        },
        DeleteStreamingDistribution: {
          http: {
            method: "DELETE",
            requestUri: "/2017-03-25/streaming-distribution/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        GetCloudFrontOriginAccessIdentity: {
          http: {
            method: "GET",
            requestUri: "/2017-03-25/origin-access-identity/cloudfront/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        GetCloudFrontOriginAccessIdentityConfig: {
          http: {
            method: "GET",
            requestUri: "/2017-03-25/origin-access-identity/cloudfront/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          }
        },
        GetDistribution: {
          http: {
            method: "GET",
            requestUri: "/2017-03-25/distribution/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S1s"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        GetDistributionConfig: {
          http: {
            method: "GET",
            requestUri: "/2017-03-25/distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionConfig: {
                shape: "S7"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "DistributionConfig"
          }
        },
        GetInvalidation: {
          http: {
            method: "GET",
            requestUri: "/2017-03-25/distribution/{DistributionId}/invalidation/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "DistributionId",
              "Id"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Invalidation: {
                shape: "S2c"
              }
            },
            payload: "Invalidation"
          }
        },
        GetStreamingDistribution: {
          http: {
            method: "GET",
            requestUri: "/2017-03-25/streaming-distribution/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S2i"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        GetStreamingDistributionConfig: {
          http: {
            method: "GET",
            requestUri: "/2017-03-25/streaming-distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistributionConfig: {
                shape: "S2e"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistributionConfig"
          }
        },
        ListCloudFrontOriginAccessIdentities: {
          http: {
            method: "GET",
            requestUri: "/2017-03-25/origin-access-identity/cloudfront"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentityList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "CloudFrontOriginAccessIdentitySummary",
                      type: "structure",
                      required: [
                        "Id",
                        "S3CanonicalUserId",
                        "Comment"
                      ],
                      members: {
                        Id: {},
                        S3CanonicalUserId: {},
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "CloudFrontOriginAccessIdentityList"
          }
        },
        ListDistributions: {
          http: {
            method: "GET",
            requestUri: "/2017-03-25/distribution"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionList: {
                shape: "S3b"
              }
            },
            payload: "DistributionList"
          }
        },
        ListDistributionsByWebACLId: {
          http: {
            method: "GET",
            requestUri: "/2017-03-25/distributionsByWebACLId/{WebACLId}"
          },
          input: {
            type: "structure",
            required: [
              "WebACLId"
            ],
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              },
              WebACLId: {
                location: "uri",
                locationName: "WebACLId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionList: {
                shape: "S3b"
              }
            },
            payload: "DistributionList"
          }
        },
        ListInvalidations: {
          http: {
            method: "GET",
            requestUri: "/2017-03-25/distribution/{DistributionId}/invalidation"
          },
          input: {
            type: "structure",
            required: [
              "DistributionId"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InvalidationList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "InvalidationSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "CreateTime",
                        "Status"
                      ],
                      members: {
                        Id: {},
                        CreateTime: {
                          type: "timestamp"
                        },
                        Status: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "InvalidationList"
          }
        },
        ListStreamingDistributions: {
          http: {
            method: "GET",
            requestUri: "/2017-03-25/streaming-distribution"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistributionList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "StreamingDistributionSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "ARN",
                        "Status",
                        "LastModifiedTime",
                        "DomainName",
                        "S3Origin",
                        "Aliases",
                        "TrustedSigners",
                        "Comment",
                        "PriceClass",
                        "Enabled"
                      ],
                      members: {
                        Id: {},
                        ARN: {},
                        Status: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        DomainName: {},
                        S3Origin: {
                          shape: "S2f"
                        },
                        Aliases: {
                          shape: "S8"
                        },
                        TrustedSigners: {
                          shape: "Sy"
                        },
                        Comment: {},
                        PriceClass: {},
                        Enabled: {
                          type: "boolean"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "StreamingDistributionList"
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/2017-03-25/tagging"
          },
          input: {
            type: "structure",
            required: [
              "Resource"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "S21"
              }
            },
            payload: "Tags"
          }
        },
        TagResource: {
          http: {
            requestUri: "/2017-03-25/tagging?Operation=Tag",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "Tags"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              },
              Tags: {
                shape: "S21",
                locationName: "Tags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-03-25/"
                }
              }
            },
            payload: "Tags"
          }
        },
        UntagResource: {
          http: {
            requestUri: "/2017-03-25/tagging?Operation=Untag",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "TagKeys"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              },
              TagKeys: {
                locationName: "TagKeys",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-03-25/"
                },
                type: "structure",
                members: {
                  Items: {
                    type: "list",
                    member: {
                      locationName: "Key"
                    }
                  }
                }
              }
            },
            payload: "TagKeys"
          }
        },
        UpdateCloudFrontOriginAccessIdentity: {
          http: {
            method: "PUT",
            requestUri: "/2017-03-25/origin-access-identity/cloudfront/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "CloudFrontOriginAccessIdentityConfig",
              "Id"
            ],
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2",
                locationName: "CloudFrontOriginAccessIdentityConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-03-25/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        UpdateDistribution: {
          http: {
            method: "PUT",
            requestUri: "/2017-03-25/distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfig",
              "Id"
            ],
            members: {
              DistributionConfig: {
                shape: "S7",
                locationName: "DistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-03-25/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "DistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S1s"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        UpdateStreamingDistribution: {
          http: {
            method: "PUT",
            requestUri: "/2017-03-25/streaming-distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfig",
              "Id"
            ],
            members: {
              StreamingDistributionConfig: {
                shape: "S2e",
                locationName: "StreamingDistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-03-25/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "StreamingDistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S2i"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        }
      },
      shapes: {
        S2: {
          type: "structure",
          required: [
            "CallerReference",
            "Comment"
          ],
          members: {
            CallerReference: {},
            Comment: {}
          }
        },
        S5: {
          type: "structure",
          required: [
            "Id",
            "S3CanonicalUserId"
          ],
          members: {
            Id: {},
            S3CanonicalUserId: {},
            CloudFrontOriginAccessIdentityConfig: {
              shape: "S2"
            }
          }
        },
        S7: {
          type: "structure",
          required: [
            "CallerReference",
            "Origins",
            "DefaultCacheBehavior",
            "Comment",
            "Enabled"
          ],
          members: {
            CallerReference: {},
            Aliases: {
              shape: "S8"
            },
            DefaultRootObject: {},
            Origins: {
              shape: "Sb"
            },
            DefaultCacheBehavior: {
              shape: "Sn"
            },
            CacheBehaviors: {
              shape: "S1a"
            },
            CustomErrorResponses: {
              shape: "S1d"
            },
            Comment: {},
            Logging: {
              type: "structure",
              required: [
                "Enabled",
                "IncludeCookies",
                "Bucket",
                "Prefix"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                IncludeCookies: {
                  type: "boolean"
                },
                Bucket: {},
                Prefix: {}
              }
            },
            PriceClass: {},
            Enabled: {
              type: "boolean"
            },
            ViewerCertificate: {
              shape: "S1i"
            },
            Restrictions: {
              shape: "S1m"
            },
            WebACLId: {},
            HttpVersion: {},
            IsIPV6Enabled: {
              type: "boolean"
            }
          }
        },
        S8: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CNAME"
              }
            }
          }
        },
        Sb: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Origin",
                type: "structure",
                required: [
                  "Id",
                  "DomainName"
                ],
                members: {
                  Id: {},
                  DomainName: {},
                  OriginPath: {},
                  CustomHeaders: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "OriginCustomHeader",
                          type: "structure",
                          required: [
                            "HeaderName",
                            "HeaderValue"
                          ],
                          members: {
                            HeaderName: {},
                            HeaderValue: {}
                          }
                        }
                      }
                    }
                  },
                  S3OriginConfig: {
                    type: "structure",
                    required: [
                      "OriginAccessIdentity"
                    ],
                    members: {
                      OriginAccessIdentity: {}
                    }
                  },
                  CustomOriginConfig: {
                    type: "structure",
                    required: [
                      "HTTPPort",
                      "HTTPSPort",
                      "OriginProtocolPolicy"
                    ],
                    members: {
                      HTTPPort: {
                        type: "integer"
                      },
                      HTTPSPort: {
                        type: "integer"
                      },
                      OriginProtocolPolicy: {},
                      OriginSslProtocols: {
                        type: "structure",
                        required: [
                          "Quantity",
                          "Items"
                        ],
                        members: {
                          Quantity: {
                            type: "integer"
                          },
                          Items: {
                            type: "list",
                            member: {
                              locationName: "SslProtocol"
                            }
                          }
                        }
                      },
                      OriginReadTimeout: {
                        type: "integer"
                      },
                      OriginKeepaliveTimeout: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sn: {
          type: "structure",
          required: [
            "TargetOriginId",
            "ForwardedValues",
            "TrustedSigners",
            "ViewerProtocolPolicy",
            "MinTTL"
          ],
          members: {
            TargetOriginId: {},
            ForwardedValues: {
              shape: "So"
            },
            TrustedSigners: {
              shape: "Sy"
            },
            ViewerProtocolPolicy: {},
            MinTTL: {
              type: "long"
            },
            AllowedMethods: {
              shape: "S12"
            },
            SmoothStreaming: {
              type: "boolean"
            },
            DefaultTTL: {
              type: "long"
            },
            MaxTTL: {
              type: "long"
            },
            Compress: {
              type: "boolean"
            },
            LambdaFunctionAssociations: {
              shape: "S16"
            }
          }
        },
        So: {
          type: "structure",
          required: [
            "QueryString",
            "Cookies"
          ],
          members: {
            QueryString: {
              type: "boolean"
            },
            Cookies: {
              type: "structure",
              required: [
                "Forward"
              ],
              members: {
                Forward: {},
                WhitelistedNames: {
                  type: "structure",
                  required: [
                    "Quantity"
                  ],
                  members: {
                    Quantity: {
                      type: "integer"
                    },
                    Items: {
                      type: "list",
                      member: {
                        locationName: "Name"
                      }
                    }
                  }
                }
              }
            },
            Headers: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Name"
                  }
                }
              }
            },
            QueryStringCacheKeys: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Name"
                  }
                }
              }
            }
          }
        },
        Sy: {
          type: "structure",
          required: [
            "Enabled",
            "Quantity"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "AwsAccountNumber"
              }
            }
          }
        },
        S12: {
          type: "structure",
          required: [
            "Quantity",
            "Items"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              shape: "S13"
            },
            CachedMethods: {
              type: "structure",
              required: [
                "Quantity",
                "Items"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  shape: "S13"
                }
              }
            }
          }
        },
        S13: {
          type: "list",
          member: {
            locationName: "Method"
          }
        },
        S16: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "LambdaFunctionAssociation",
                type: "structure",
                members: {
                  LambdaFunctionARN: {},
                  EventType: {}
                }
              }
            }
          }
        },
        S1a: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CacheBehavior",
                type: "structure",
                required: [
                  "PathPattern",
                  "TargetOriginId",
                  "ForwardedValues",
                  "TrustedSigners",
                  "ViewerProtocolPolicy",
                  "MinTTL"
                ],
                members: {
                  PathPattern: {},
                  TargetOriginId: {},
                  ForwardedValues: {
                    shape: "So"
                  },
                  TrustedSigners: {
                    shape: "Sy"
                  },
                  ViewerProtocolPolicy: {},
                  MinTTL: {
                    type: "long"
                  },
                  AllowedMethods: {
                    shape: "S12"
                  },
                  SmoothStreaming: {
                    type: "boolean"
                  },
                  DefaultTTL: {
                    type: "long"
                  },
                  MaxTTL: {
                    type: "long"
                  },
                  Compress: {
                    type: "boolean"
                  },
                  LambdaFunctionAssociations: {
                    shape: "S16"
                  }
                }
              }
            }
          }
        },
        S1d: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CustomErrorResponse",
                type: "structure",
                required: [
                  "ErrorCode"
                ],
                members: {
                  ErrorCode: {
                    type: "integer"
                  },
                  ResponsePagePath: {},
                  ResponseCode: {},
                  ErrorCachingMinTTL: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        S1i: {
          type: "structure",
          members: {
            CloudFrontDefaultCertificate: {
              type: "boolean"
            },
            IAMCertificateId: {},
            ACMCertificateArn: {},
            SSLSupportMethod: {},
            MinimumProtocolVersion: {},
            Certificate: {
              deprecated: true
            },
            CertificateSource: {
              deprecated: true
            }
          }
        },
        S1m: {
          type: "structure",
          required: [
            "GeoRestriction"
          ],
          members: {
            GeoRestriction: {
              type: "structure",
              required: [
                "RestrictionType",
                "Quantity"
              ],
              members: {
                RestrictionType: {},
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Location"
                  }
                }
              }
            }
          }
        },
        S1s: {
          type: "structure",
          required: [
            "Id",
            "ARN",
            "Status",
            "LastModifiedTime",
            "InProgressInvalidationBatches",
            "DomainName",
            "ActiveTrustedSigners",
            "DistributionConfig"
          ],
          members: {
            Id: {},
            ARN: {},
            Status: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            InProgressInvalidationBatches: {
              type: "integer"
            },
            DomainName: {},
            ActiveTrustedSigners: {
              shape: "S1u"
            },
            DistributionConfig: {
              shape: "S7"
            }
          }
        },
        S1u: {
          type: "structure",
          required: [
            "Enabled",
            "Quantity"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Signer",
                type: "structure",
                members: {
                  AwsAccountNumber: {},
                  KeyPairIds: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "KeyPairId"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S21: {
          type: "structure",
          members: {
            Items: {
              type: "list",
              member: {
                locationName: "Tag",
                type: "structure",
                required: [
                  "Key"
                ],
                members: {
                  Key: {},
                  Value: {}
                }
              }
            }
          }
        },
        S28: {
          type: "structure",
          required: [
            "Paths",
            "CallerReference"
          ],
          members: {
            Paths: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Path"
                  }
                }
              }
            },
            CallerReference: {}
          }
        },
        S2c: {
          type: "structure",
          required: [
            "Id",
            "Status",
            "CreateTime",
            "InvalidationBatch"
          ],
          members: {
            Id: {},
            Status: {},
            CreateTime: {
              type: "timestamp"
            },
            InvalidationBatch: {
              shape: "S28"
            }
          }
        },
        S2e: {
          type: "structure",
          required: [
            "CallerReference",
            "S3Origin",
            "Comment",
            "TrustedSigners",
            "Enabled"
          ],
          members: {
            CallerReference: {},
            S3Origin: {
              shape: "S2f"
            },
            Aliases: {
              shape: "S8"
            },
            Comment: {},
            Logging: {
              type: "structure",
              required: [
                "Enabled",
                "Bucket",
                "Prefix"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                Bucket: {},
                Prefix: {}
              }
            },
            TrustedSigners: {
              shape: "Sy"
            },
            PriceClass: {},
            Enabled: {
              type: "boolean"
            }
          }
        },
        S2f: {
          type: "structure",
          required: [
            "DomainName",
            "OriginAccessIdentity"
          ],
          members: {
            DomainName: {},
            OriginAccessIdentity: {}
          }
        },
        S2i: {
          type: "structure",
          required: [
            "Id",
            "ARN",
            "Status",
            "DomainName",
            "ActiveTrustedSigners",
            "StreamingDistributionConfig"
          ],
          members: {
            Id: {},
            ARN: {},
            Status: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            DomainName: {},
            ActiveTrustedSigners: {
              shape: "S1u"
            },
            StreamingDistributionConfig: {
              shape: "S2e"
            }
          }
        },
        S3b: {
          type: "structure",
          required: [
            "Marker",
            "MaxItems",
            "IsTruncated",
            "Quantity"
          ],
          members: {
            Marker: {},
            NextMarker: {},
            MaxItems: {
              type: "integer"
            },
            IsTruncated: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "DistributionSummary",
                type: "structure",
                required: [
                  "Id",
                  "ARN",
                  "Status",
                  "LastModifiedTime",
                  "DomainName",
                  "Aliases",
                  "Origins",
                  "DefaultCacheBehavior",
                  "CacheBehaviors",
                  "CustomErrorResponses",
                  "Comment",
                  "PriceClass",
                  "Enabled",
                  "ViewerCertificate",
                  "Restrictions",
                  "WebACLId",
                  "HttpVersion",
                  "IsIPV6Enabled"
                ],
                members: {
                  Id: {},
                  ARN: {},
                  Status: {},
                  LastModifiedTime: {
                    type: "timestamp"
                  },
                  DomainName: {},
                  Aliases: {
                    shape: "S8"
                  },
                  Origins: {
                    shape: "Sb"
                  },
                  DefaultCacheBehavior: {
                    shape: "Sn"
                  },
                  CacheBehaviors: {
                    shape: "S1a"
                  },
                  CustomErrorResponses: {
                    shape: "S1d"
                  },
                  Comment: {},
                  PriceClass: {},
                  Enabled: {
                    type: "boolean"
                  },
                  ViewerCertificate: {
                    shape: "S1i"
                  },
                  Restrictions: {
                    shape: "S1m"
                  },
                  WebACLId: {},
                  HttpVersion: {},
                  IsIPV6Enabled: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2017-03-25.paginators.json
var require_cloudfront_2017_03_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2017-03-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListCloudFrontOriginAccessIdentities: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "CloudFrontOriginAccessIdentityList.IsTruncated",
          output_token: "CloudFrontOriginAccessIdentityList.NextMarker",
          result_key: "CloudFrontOriginAccessIdentityList.Items"
        },
        ListDistributions: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "DistributionList.IsTruncated",
          output_token: "DistributionList.NextMarker",
          result_key: "DistributionList.Items"
        },
        ListInvalidations: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "InvalidationList.IsTruncated",
          output_token: "InvalidationList.NextMarker",
          result_key: "InvalidationList.Items"
        },
        ListStreamingDistributions: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "StreamingDistributionList.IsTruncated",
          output_token: "StreamingDistributionList.NextMarker",
          result_key: "StreamingDistributionList.Items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2017-03-25.waiters2.json
var require_cloudfront_2017_03_25_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2017-03-25.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        DistributionDeployed: {
          delay: 60,
          operation: "GetDistribution",
          maxAttempts: 25,
          description: "Wait until a distribution is deployed.",
          acceptors: [
            {
              expected: "Deployed",
              matcher: "path",
              state: "success",
              argument: "Distribution.Status"
            }
          ]
        },
        InvalidationCompleted: {
          delay: 20,
          operation: "GetInvalidation",
          maxAttempts: 30,
          description: "Wait until an invalidation has completed.",
          acceptors: [
            {
              expected: "Completed",
              matcher: "path",
              state: "success",
              argument: "Invalidation.Status"
            }
          ]
        },
        StreamingDistributionDeployed: {
          delay: 60,
          operation: "GetStreamingDistribution",
          maxAttempts: 25,
          description: "Wait until a streaming distribution is deployed.",
          acceptors: [
            {
              expected: "Deployed",
              matcher: "path",
              state: "success",
              argument: "StreamingDistribution.Status"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2017-10-30.min.json
var require_cloudfront_2017_10_30_min = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2017-10-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-10-30",
        endpointPrefix: "cloudfront",
        globalEndpoint: "cloudfront.amazonaws.com",
        protocol: "rest-xml",
        serviceAbbreviation: "CloudFront",
        serviceFullName: "Amazon CloudFront",
        serviceId: "CloudFront",
        signatureVersion: "v4",
        uid: "cloudfront-2017-10-30"
      },
      operations: {
        CreateCloudFrontOriginAccessIdentity: {
          http: {
            requestUri: "/2017-10-30/origin-access-identity/cloudfront",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "CloudFrontOriginAccessIdentityConfig"
            ],
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2",
                locationName: "CloudFrontOriginAccessIdentityConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                }
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        CreateDistribution: {
          http: {
            requestUri: "/2017-10-30/distribution",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfig"
            ],
            members: {
              DistributionConfig: {
                shape: "S7",
                locationName: "DistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                }
              }
            },
            payload: "DistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S1t"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        CreateDistributionWithTags: {
          http: {
            requestUri: "/2017-10-30/distribution?WithTags",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfigWithTags"
            ],
            members: {
              DistributionConfigWithTags: {
                locationName: "DistributionConfigWithTags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                },
                type: "structure",
                required: [
                  "DistributionConfig",
                  "Tags"
                ],
                members: {
                  DistributionConfig: {
                    shape: "S7"
                  },
                  Tags: {
                    shape: "S22"
                  }
                }
              }
            },
            payload: "DistributionConfigWithTags"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S1t"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        CreateFieldLevelEncryptionConfig: {
          http: {
            requestUri: "/2017-10-30/field-level-encryption",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionConfig"
            ],
            members: {
              FieldLevelEncryptionConfig: {
                shape: "S29",
                locationName: "FieldLevelEncryptionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                }
              }
            },
            payload: "FieldLevelEncryptionConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryption: {
                shape: "S2k"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryption"
          }
        },
        CreateFieldLevelEncryptionProfile: {
          http: {
            requestUri: "/2017-10-30/field-level-encryption-profile",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionProfileConfig"
            ],
            members: {
              FieldLevelEncryptionProfileConfig: {
                shape: "S2m",
                locationName: "FieldLevelEncryptionProfileConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                }
              }
            },
            payload: "FieldLevelEncryptionProfileConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfile: {
                shape: "S2t"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfile"
          }
        },
        CreateInvalidation: {
          http: {
            requestUri: "/2017-10-30/distribution/{DistributionId}/invalidation",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionId",
              "InvalidationBatch"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              InvalidationBatch: {
                shape: "S2v",
                locationName: "InvalidationBatch",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                }
              }
            },
            payload: "InvalidationBatch"
          },
          output: {
            type: "structure",
            members: {
              Location: {
                location: "header",
                locationName: "Location"
              },
              Invalidation: {
                shape: "S2z"
              }
            },
            payload: "Invalidation"
          }
        },
        CreatePublicKey: {
          http: {
            requestUri: "/2017-10-30/public-key",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "PublicKeyConfig"
            ],
            members: {
              PublicKeyConfig: {
                shape: "S31",
                locationName: "PublicKeyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                }
              }
            },
            payload: "PublicKeyConfig"
          },
          output: {
            type: "structure",
            members: {
              PublicKey: {
                shape: "S33"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKey"
          }
        },
        CreateStreamingDistribution: {
          http: {
            requestUri: "/2017-10-30/streaming-distribution",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfig"
            ],
            members: {
              StreamingDistributionConfig: {
                shape: "S35",
                locationName: "StreamingDistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                }
              }
            },
            payload: "StreamingDistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S39"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        CreateStreamingDistributionWithTags: {
          http: {
            requestUri: "/2017-10-30/streaming-distribution?WithTags",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfigWithTags"
            ],
            members: {
              StreamingDistributionConfigWithTags: {
                locationName: "StreamingDistributionConfigWithTags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                },
                type: "structure",
                required: [
                  "StreamingDistributionConfig",
                  "Tags"
                ],
                members: {
                  StreamingDistributionConfig: {
                    shape: "S35"
                  },
                  Tags: {
                    shape: "S22"
                  }
                }
              }
            },
            payload: "StreamingDistributionConfigWithTags"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S39"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        DeleteCloudFrontOriginAccessIdentity: {
          http: {
            method: "DELETE",
            requestUri: "/2017-10-30/origin-access-identity/cloudfront/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteDistribution: {
          http: {
            method: "DELETE",
            requestUri: "/2017-10-30/distribution/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteFieldLevelEncryptionConfig: {
          http: {
            method: "DELETE",
            requestUri: "/2017-10-30/field-level-encryption/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteFieldLevelEncryptionProfile: {
          http: {
            method: "DELETE",
            requestUri: "/2017-10-30/field-level-encryption-profile/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeletePublicKey: {
          http: {
            method: "DELETE",
            requestUri: "/2017-10-30/public-key/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteStreamingDistribution: {
          http: {
            method: "DELETE",
            requestUri: "/2017-10-30/streaming-distribution/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        GetCloudFrontOriginAccessIdentity: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/origin-access-identity/cloudfront/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        GetCloudFrontOriginAccessIdentityConfig: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/origin-access-identity/cloudfront/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          }
        },
        GetDistribution: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/distribution/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S1t"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        GetDistributionConfig: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionConfig: {
                shape: "S7"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "DistributionConfig"
          }
        },
        GetFieldLevelEncryption: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/field-level-encryption/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryption: {
                shape: "S2k"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryption"
          }
        },
        GetFieldLevelEncryptionConfig: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/field-level-encryption/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionConfig: {
                shape: "S29"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionConfig"
          }
        },
        GetFieldLevelEncryptionProfile: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/field-level-encryption-profile/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfile: {
                shape: "S2t"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfile"
          }
        },
        GetFieldLevelEncryptionProfileConfig: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/field-level-encryption-profile/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfileConfig: {
                shape: "S2m"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfileConfig"
          }
        },
        GetInvalidation: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/distribution/{DistributionId}/invalidation/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "DistributionId",
              "Id"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Invalidation: {
                shape: "S2z"
              }
            },
            payload: "Invalidation"
          }
        },
        GetPublicKey: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/public-key/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKey: {
                shape: "S33"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKey"
          }
        },
        GetPublicKeyConfig: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/public-key/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKeyConfig: {
                shape: "S31"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKeyConfig"
          }
        },
        GetStreamingDistribution: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/streaming-distribution/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S39"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        GetStreamingDistributionConfig: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/streaming-distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistributionConfig: {
                shape: "S35"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistributionConfig"
          }
        },
        ListCloudFrontOriginAccessIdentities: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/origin-access-identity/cloudfront"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentityList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "CloudFrontOriginAccessIdentitySummary",
                      type: "structure",
                      required: [
                        "Id",
                        "S3CanonicalUserId",
                        "Comment"
                      ],
                      members: {
                        Id: {},
                        S3CanonicalUserId: {},
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "CloudFrontOriginAccessIdentityList"
          }
        },
        ListDistributions: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/distribution"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionList: {
                shape: "S4g"
              }
            },
            payload: "DistributionList"
          }
        },
        ListDistributionsByWebACLId: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/distributionsByWebACLId/{WebACLId}"
          },
          input: {
            type: "structure",
            required: [
              "WebACLId"
            ],
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              },
              WebACLId: {
                location: "uri",
                locationName: "WebACLId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionList: {
                shape: "S4g"
              }
            },
            payload: "DistributionList"
          }
        },
        ListFieldLevelEncryptionConfigs: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/field-level-encryption"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "FieldLevelEncryptionSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "LastModifiedTime"
                      ],
                      members: {
                        Id: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        Comment: {},
                        QueryArgProfileConfig: {
                          shape: "S2a"
                        },
                        ContentTypeProfileConfig: {
                          shape: "S2e"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "FieldLevelEncryptionList"
          }
        },
        ListFieldLevelEncryptionProfiles: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/field-level-encryption-profile"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfileList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "FieldLevelEncryptionProfileSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "LastModifiedTime",
                        "Name",
                        "EncryptionEntities"
                      ],
                      members: {
                        Id: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        Name: {},
                        EncryptionEntities: {
                          shape: "S2n"
                        },
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "FieldLevelEncryptionProfileList"
          }
        },
        ListInvalidations: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/distribution/{DistributionId}/invalidation"
          },
          input: {
            type: "structure",
            required: [
              "DistributionId"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InvalidationList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "InvalidationSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "CreateTime",
                        "Status"
                      ],
                      members: {
                        Id: {},
                        CreateTime: {
                          type: "timestamp"
                        },
                        Status: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "InvalidationList"
          }
        },
        ListPublicKeys: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/public-key"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKeyList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "PublicKeySummary",
                      type: "structure",
                      required: [
                        "Id",
                        "Name",
                        "CreatedTime",
                        "EncodedKey"
                      ],
                      members: {
                        Id: {},
                        Name: {},
                        CreatedTime: {
                          type: "timestamp"
                        },
                        EncodedKey: {},
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "PublicKeyList"
          }
        },
        ListStreamingDistributions: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/streaming-distribution"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistributionList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "StreamingDistributionSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "ARN",
                        "Status",
                        "LastModifiedTime",
                        "DomainName",
                        "S3Origin",
                        "Aliases",
                        "TrustedSigners",
                        "Comment",
                        "PriceClass",
                        "Enabled"
                      ],
                      members: {
                        Id: {},
                        ARN: {},
                        Status: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        DomainName: {},
                        S3Origin: {
                          shape: "S36"
                        },
                        Aliases: {
                          shape: "S8"
                        },
                        TrustedSigners: {
                          shape: "Sy"
                        },
                        Comment: {},
                        PriceClass: {},
                        Enabled: {
                          type: "boolean"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "StreamingDistributionList"
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/2017-10-30/tagging"
          },
          input: {
            type: "structure",
            required: [
              "Resource"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "S22"
              }
            },
            payload: "Tags"
          }
        },
        TagResource: {
          http: {
            requestUri: "/2017-10-30/tagging?Operation=Tag",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "Tags"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              },
              Tags: {
                shape: "S22",
                locationName: "Tags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                }
              }
            },
            payload: "Tags"
          }
        },
        UntagResource: {
          http: {
            requestUri: "/2017-10-30/tagging?Operation=Untag",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "TagKeys"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              },
              TagKeys: {
                locationName: "TagKeys",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                },
                type: "structure",
                members: {
                  Items: {
                    type: "list",
                    member: {
                      locationName: "Key"
                    }
                  }
                }
              }
            },
            payload: "TagKeys"
          }
        },
        UpdateCloudFrontOriginAccessIdentity: {
          http: {
            method: "PUT",
            requestUri: "/2017-10-30/origin-access-identity/cloudfront/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "CloudFrontOriginAccessIdentityConfig",
              "Id"
            ],
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2",
                locationName: "CloudFrontOriginAccessIdentityConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        UpdateDistribution: {
          http: {
            method: "PUT",
            requestUri: "/2017-10-30/distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfig",
              "Id"
            ],
            members: {
              DistributionConfig: {
                shape: "S7",
                locationName: "DistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "DistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S1t"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        UpdateFieldLevelEncryptionConfig: {
          http: {
            method: "PUT",
            requestUri: "/2017-10-30/field-level-encryption/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionConfig",
              "Id"
            ],
            members: {
              FieldLevelEncryptionConfig: {
                shape: "S29",
                locationName: "FieldLevelEncryptionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "FieldLevelEncryptionConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryption: {
                shape: "S2k"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryption"
          }
        },
        UpdateFieldLevelEncryptionProfile: {
          http: {
            method: "PUT",
            requestUri: "/2017-10-30/field-level-encryption-profile/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionProfileConfig",
              "Id"
            ],
            members: {
              FieldLevelEncryptionProfileConfig: {
                shape: "S2m",
                locationName: "FieldLevelEncryptionProfileConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "FieldLevelEncryptionProfileConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfile: {
                shape: "S2t"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfile"
          }
        },
        UpdatePublicKey: {
          http: {
            method: "PUT",
            requestUri: "/2017-10-30/public-key/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "PublicKeyConfig",
              "Id"
            ],
            members: {
              PublicKeyConfig: {
                shape: "S31",
                locationName: "PublicKeyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "PublicKeyConfig"
          },
          output: {
            type: "structure",
            members: {
              PublicKey: {
                shape: "S33"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKey"
          }
        },
        UpdateStreamingDistribution: {
          http: {
            method: "PUT",
            requestUri: "/2017-10-30/streaming-distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfig",
              "Id"
            ],
            members: {
              StreamingDistributionConfig: {
                shape: "S35",
                locationName: "StreamingDistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2017-10-30/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "StreamingDistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S39"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        }
      },
      shapes: {
        S2: {
          type: "structure",
          required: [
            "CallerReference",
            "Comment"
          ],
          members: {
            CallerReference: {},
            Comment: {}
          }
        },
        S5: {
          type: "structure",
          required: [
            "Id",
            "S3CanonicalUserId"
          ],
          members: {
            Id: {},
            S3CanonicalUserId: {},
            CloudFrontOriginAccessIdentityConfig: {
              shape: "S2"
            }
          }
        },
        S7: {
          type: "structure",
          required: [
            "CallerReference",
            "Origins",
            "DefaultCacheBehavior",
            "Comment",
            "Enabled"
          ],
          members: {
            CallerReference: {},
            Aliases: {
              shape: "S8"
            },
            DefaultRootObject: {},
            Origins: {
              shape: "Sb"
            },
            DefaultCacheBehavior: {
              shape: "Sn"
            },
            CacheBehaviors: {
              shape: "S1b"
            },
            CustomErrorResponses: {
              shape: "S1e"
            },
            Comment: {},
            Logging: {
              type: "structure",
              required: [
                "Enabled",
                "IncludeCookies",
                "Bucket",
                "Prefix"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                IncludeCookies: {
                  type: "boolean"
                },
                Bucket: {},
                Prefix: {}
              }
            },
            PriceClass: {},
            Enabled: {
              type: "boolean"
            },
            ViewerCertificate: {
              shape: "S1j"
            },
            Restrictions: {
              shape: "S1n"
            },
            WebACLId: {},
            HttpVersion: {},
            IsIPV6Enabled: {
              type: "boolean"
            }
          }
        },
        S8: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CNAME"
              }
            }
          }
        },
        Sb: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Origin",
                type: "structure",
                required: [
                  "Id",
                  "DomainName"
                ],
                members: {
                  Id: {},
                  DomainName: {},
                  OriginPath: {},
                  CustomHeaders: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "OriginCustomHeader",
                          type: "structure",
                          required: [
                            "HeaderName",
                            "HeaderValue"
                          ],
                          members: {
                            HeaderName: {},
                            HeaderValue: {}
                          }
                        }
                      }
                    }
                  },
                  S3OriginConfig: {
                    type: "structure",
                    required: [
                      "OriginAccessIdentity"
                    ],
                    members: {
                      OriginAccessIdentity: {}
                    }
                  },
                  CustomOriginConfig: {
                    type: "structure",
                    required: [
                      "HTTPPort",
                      "HTTPSPort",
                      "OriginProtocolPolicy"
                    ],
                    members: {
                      HTTPPort: {
                        type: "integer"
                      },
                      HTTPSPort: {
                        type: "integer"
                      },
                      OriginProtocolPolicy: {},
                      OriginSslProtocols: {
                        type: "structure",
                        required: [
                          "Quantity",
                          "Items"
                        ],
                        members: {
                          Quantity: {
                            type: "integer"
                          },
                          Items: {
                            type: "list",
                            member: {
                              locationName: "SslProtocol"
                            }
                          }
                        }
                      },
                      OriginReadTimeout: {
                        type: "integer"
                      },
                      OriginKeepaliveTimeout: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sn: {
          type: "structure",
          required: [
            "TargetOriginId",
            "ForwardedValues",
            "TrustedSigners",
            "ViewerProtocolPolicy",
            "MinTTL"
          ],
          members: {
            TargetOriginId: {},
            ForwardedValues: {
              shape: "So"
            },
            TrustedSigners: {
              shape: "Sy"
            },
            ViewerProtocolPolicy: {},
            MinTTL: {
              type: "long"
            },
            AllowedMethods: {
              shape: "S12"
            },
            SmoothStreaming: {
              type: "boolean"
            },
            DefaultTTL: {
              type: "long"
            },
            MaxTTL: {
              type: "long"
            },
            Compress: {
              type: "boolean"
            },
            LambdaFunctionAssociations: {
              shape: "S16"
            },
            FieldLevelEncryptionId: {}
          }
        },
        So: {
          type: "structure",
          required: [
            "QueryString",
            "Cookies"
          ],
          members: {
            QueryString: {
              type: "boolean"
            },
            Cookies: {
              type: "structure",
              required: [
                "Forward"
              ],
              members: {
                Forward: {},
                WhitelistedNames: {
                  type: "structure",
                  required: [
                    "Quantity"
                  ],
                  members: {
                    Quantity: {
                      type: "integer"
                    },
                    Items: {
                      type: "list",
                      member: {
                        locationName: "Name"
                      }
                    }
                  }
                }
              }
            },
            Headers: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Name"
                  }
                }
              }
            },
            QueryStringCacheKeys: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Name"
                  }
                }
              }
            }
          }
        },
        Sy: {
          type: "structure",
          required: [
            "Enabled",
            "Quantity"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "AwsAccountNumber"
              }
            }
          }
        },
        S12: {
          type: "structure",
          required: [
            "Quantity",
            "Items"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              shape: "S13"
            },
            CachedMethods: {
              type: "structure",
              required: [
                "Quantity",
                "Items"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  shape: "S13"
                }
              }
            }
          }
        },
        S13: {
          type: "list",
          member: {
            locationName: "Method"
          }
        },
        S16: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "LambdaFunctionAssociation",
                type: "structure",
                required: [
                  "LambdaFunctionARN",
                  "EventType"
                ],
                members: {
                  LambdaFunctionARN: {},
                  EventType: {}
                }
              }
            }
          }
        },
        S1b: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CacheBehavior",
                type: "structure",
                required: [
                  "PathPattern",
                  "TargetOriginId",
                  "ForwardedValues",
                  "TrustedSigners",
                  "ViewerProtocolPolicy",
                  "MinTTL"
                ],
                members: {
                  PathPattern: {},
                  TargetOriginId: {},
                  ForwardedValues: {
                    shape: "So"
                  },
                  TrustedSigners: {
                    shape: "Sy"
                  },
                  ViewerProtocolPolicy: {},
                  MinTTL: {
                    type: "long"
                  },
                  AllowedMethods: {
                    shape: "S12"
                  },
                  SmoothStreaming: {
                    type: "boolean"
                  },
                  DefaultTTL: {
                    type: "long"
                  },
                  MaxTTL: {
                    type: "long"
                  },
                  Compress: {
                    type: "boolean"
                  },
                  LambdaFunctionAssociations: {
                    shape: "S16"
                  },
                  FieldLevelEncryptionId: {}
                }
              }
            }
          }
        },
        S1e: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CustomErrorResponse",
                type: "structure",
                required: [
                  "ErrorCode"
                ],
                members: {
                  ErrorCode: {
                    type: "integer"
                  },
                  ResponsePagePath: {},
                  ResponseCode: {},
                  ErrorCachingMinTTL: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        S1j: {
          type: "structure",
          members: {
            CloudFrontDefaultCertificate: {
              type: "boolean"
            },
            IAMCertificateId: {},
            ACMCertificateArn: {},
            SSLSupportMethod: {},
            MinimumProtocolVersion: {},
            Certificate: {
              deprecated: true
            },
            CertificateSource: {
              deprecated: true
            }
          }
        },
        S1n: {
          type: "structure",
          required: [
            "GeoRestriction"
          ],
          members: {
            GeoRestriction: {
              type: "structure",
              required: [
                "RestrictionType",
                "Quantity"
              ],
              members: {
                RestrictionType: {},
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Location"
                  }
                }
              }
            }
          }
        },
        S1t: {
          type: "structure",
          required: [
            "Id",
            "ARN",
            "Status",
            "LastModifiedTime",
            "InProgressInvalidationBatches",
            "DomainName",
            "ActiveTrustedSigners",
            "DistributionConfig"
          ],
          members: {
            Id: {},
            ARN: {},
            Status: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            InProgressInvalidationBatches: {
              type: "integer"
            },
            DomainName: {},
            ActiveTrustedSigners: {
              shape: "S1v"
            },
            DistributionConfig: {
              shape: "S7"
            }
          }
        },
        S1v: {
          type: "structure",
          required: [
            "Enabled",
            "Quantity"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Signer",
                type: "structure",
                members: {
                  AwsAccountNumber: {},
                  KeyPairIds: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "KeyPairId"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S22: {
          type: "structure",
          members: {
            Items: {
              type: "list",
              member: {
                locationName: "Tag",
                type: "structure",
                required: [
                  "Key"
                ],
                members: {
                  Key: {},
                  Value: {}
                }
              }
            }
          }
        },
        S29: {
          type: "structure",
          required: [
            "CallerReference"
          ],
          members: {
            CallerReference: {},
            Comment: {},
            QueryArgProfileConfig: {
              shape: "S2a"
            },
            ContentTypeProfileConfig: {
              shape: "S2e"
            }
          }
        },
        S2a: {
          type: "structure",
          required: [
            "ForwardWhenQueryArgProfileIsUnknown"
          ],
          members: {
            ForwardWhenQueryArgProfileIsUnknown: {
              type: "boolean"
            },
            QueryArgProfiles: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "QueryArgProfile",
                    type: "structure",
                    required: [
                      "QueryArg",
                      "ProfileId"
                    ],
                    members: {
                      QueryArg: {},
                      ProfileId: {}
                    }
                  }
                }
              }
            }
          }
        },
        S2e: {
          type: "structure",
          required: [
            "ForwardWhenContentTypeIsUnknown"
          ],
          members: {
            ForwardWhenContentTypeIsUnknown: {
              type: "boolean"
            },
            ContentTypeProfiles: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "ContentTypeProfile",
                    type: "structure",
                    required: [
                      "Format",
                      "ContentType"
                    ],
                    members: {
                      Format: {},
                      ProfileId: {},
                      ContentType: {}
                    }
                  }
                }
              }
            }
          }
        },
        S2k: {
          type: "structure",
          required: [
            "Id",
            "LastModifiedTime",
            "FieldLevelEncryptionConfig"
          ],
          members: {
            Id: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            FieldLevelEncryptionConfig: {
              shape: "S29"
            }
          }
        },
        S2m: {
          type: "structure",
          required: [
            "Name",
            "CallerReference",
            "EncryptionEntities"
          ],
          members: {
            Name: {},
            CallerReference: {},
            Comment: {},
            EncryptionEntities: {
              shape: "S2n"
            }
          }
        },
        S2n: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "EncryptionEntity",
                type: "structure",
                required: [
                  "PublicKeyId",
                  "ProviderId",
                  "FieldPatterns"
                ],
                members: {
                  PublicKeyId: {},
                  ProviderId: {},
                  FieldPatterns: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "FieldPattern"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S2t: {
          type: "structure",
          required: [
            "Id",
            "LastModifiedTime",
            "FieldLevelEncryptionProfileConfig"
          ],
          members: {
            Id: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            FieldLevelEncryptionProfileConfig: {
              shape: "S2m"
            }
          }
        },
        S2v: {
          type: "structure",
          required: [
            "Paths",
            "CallerReference"
          ],
          members: {
            Paths: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Path"
                  }
                }
              }
            },
            CallerReference: {}
          }
        },
        S2z: {
          type: "structure",
          required: [
            "Id",
            "Status",
            "CreateTime",
            "InvalidationBatch"
          ],
          members: {
            Id: {},
            Status: {},
            CreateTime: {
              type: "timestamp"
            },
            InvalidationBatch: {
              shape: "S2v"
            }
          }
        },
        S31: {
          type: "structure",
          required: [
            "CallerReference",
            "Name",
            "EncodedKey"
          ],
          members: {
            CallerReference: {},
            Name: {},
            EncodedKey: {},
            Comment: {}
          }
        },
        S33: {
          type: "structure",
          required: [
            "Id",
            "CreatedTime",
            "PublicKeyConfig"
          ],
          members: {
            Id: {},
            CreatedTime: {
              type: "timestamp"
            },
            PublicKeyConfig: {
              shape: "S31"
            }
          }
        },
        S35: {
          type: "structure",
          required: [
            "CallerReference",
            "S3Origin",
            "Comment",
            "TrustedSigners",
            "Enabled"
          ],
          members: {
            CallerReference: {},
            S3Origin: {
              shape: "S36"
            },
            Aliases: {
              shape: "S8"
            },
            Comment: {},
            Logging: {
              type: "structure",
              required: [
                "Enabled",
                "Bucket",
                "Prefix"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                Bucket: {},
                Prefix: {}
              }
            },
            TrustedSigners: {
              shape: "Sy"
            },
            PriceClass: {},
            Enabled: {
              type: "boolean"
            }
          }
        },
        S36: {
          type: "structure",
          required: [
            "DomainName",
            "OriginAccessIdentity"
          ],
          members: {
            DomainName: {},
            OriginAccessIdentity: {}
          }
        },
        S39: {
          type: "structure",
          required: [
            "Id",
            "ARN",
            "Status",
            "DomainName",
            "ActiveTrustedSigners",
            "StreamingDistributionConfig"
          ],
          members: {
            Id: {},
            ARN: {},
            Status: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            DomainName: {},
            ActiveTrustedSigners: {
              shape: "S1v"
            },
            StreamingDistributionConfig: {
              shape: "S35"
            }
          }
        },
        S4g: {
          type: "structure",
          required: [
            "Marker",
            "MaxItems",
            "IsTruncated",
            "Quantity"
          ],
          members: {
            Marker: {},
            NextMarker: {},
            MaxItems: {
              type: "integer"
            },
            IsTruncated: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "DistributionSummary",
                type: "structure",
                required: [
                  "Id",
                  "ARN",
                  "Status",
                  "LastModifiedTime",
                  "DomainName",
                  "Aliases",
                  "Origins",
                  "DefaultCacheBehavior",
                  "CacheBehaviors",
                  "CustomErrorResponses",
                  "Comment",
                  "PriceClass",
                  "Enabled",
                  "ViewerCertificate",
                  "Restrictions",
                  "WebACLId",
                  "HttpVersion",
                  "IsIPV6Enabled"
                ],
                members: {
                  Id: {},
                  ARN: {},
                  Status: {},
                  LastModifiedTime: {
                    type: "timestamp"
                  },
                  DomainName: {},
                  Aliases: {
                    shape: "S8"
                  },
                  Origins: {
                    shape: "Sb"
                  },
                  DefaultCacheBehavior: {
                    shape: "Sn"
                  },
                  CacheBehaviors: {
                    shape: "S1b"
                  },
                  CustomErrorResponses: {
                    shape: "S1e"
                  },
                  Comment: {},
                  PriceClass: {},
                  Enabled: {
                    type: "boolean"
                  },
                  ViewerCertificate: {
                    shape: "S1j"
                  },
                  Restrictions: {
                    shape: "S1n"
                  },
                  WebACLId: {},
                  HttpVersion: {},
                  IsIPV6Enabled: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2017-10-30.paginators.json
var require_cloudfront_2017_10_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2017-10-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListCloudFrontOriginAccessIdentities: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "CloudFrontOriginAccessIdentityList.IsTruncated",
          output_token: "CloudFrontOriginAccessIdentityList.NextMarker",
          result_key: "CloudFrontOriginAccessIdentityList.Items"
        },
        ListDistributions: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "DistributionList.IsTruncated",
          output_token: "DistributionList.NextMarker",
          result_key: "DistributionList.Items"
        },
        ListInvalidations: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "InvalidationList.IsTruncated",
          output_token: "InvalidationList.NextMarker",
          result_key: "InvalidationList.Items"
        },
        ListStreamingDistributions: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "StreamingDistributionList.IsTruncated",
          output_token: "StreamingDistributionList.NextMarker",
          result_key: "StreamingDistributionList.Items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2017-10-30.waiters2.json
var require_cloudfront_2017_10_30_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2017-10-30.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        DistributionDeployed: {
          delay: 60,
          operation: "GetDistribution",
          maxAttempts: 25,
          description: "Wait until a distribution is deployed.",
          acceptors: [
            {
              expected: "Deployed",
              matcher: "path",
              state: "success",
              argument: "Distribution.Status"
            }
          ]
        },
        InvalidationCompleted: {
          delay: 20,
          operation: "GetInvalidation",
          maxAttempts: 30,
          description: "Wait until an invalidation has completed.",
          acceptors: [
            {
              expected: "Completed",
              matcher: "path",
              state: "success",
              argument: "Invalidation.Status"
            }
          ]
        },
        StreamingDistributionDeployed: {
          delay: 60,
          operation: "GetStreamingDistribution",
          maxAttempts: 25,
          description: "Wait until a streaming distribution is deployed.",
          acceptors: [
            {
              expected: "Deployed",
              matcher: "path",
              state: "success",
              argument: "StreamingDistribution.Status"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2018-06-18.min.json
var require_cloudfront_2018_06_18_min = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2018-06-18.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-06-18",
        endpointPrefix: "cloudfront",
        globalEndpoint: "cloudfront.amazonaws.com",
        protocol: "rest-xml",
        serviceAbbreviation: "CloudFront",
        serviceFullName: "Amazon CloudFront",
        serviceId: "CloudFront",
        signatureVersion: "v4",
        uid: "cloudfront-2018-06-18"
      },
      operations: {
        CreateCloudFrontOriginAccessIdentity: {
          http: {
            requestUri: "/2018-06-18/origin-access-identity/cloudfront",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "CloudFrontOriginAccessIdentityConfig"
            ],
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2",
                locationName: "CloudFrontOriginAccessIdentityConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                }
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        CreateDistribution: {
          http: {
            requestUri: "/2018-06-18/distribution",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfig"
            ],
            members: {
              DistributionConfig: {
                shape: "S7",
                locationName: "DistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                }
              }
            },
            payload: "DistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S1t"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        CreateDistributionWithTags: {
          http: {
            requestUri: "/2018-06-18/distribution?WithTags",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfigWithTags"
            ],
            members: {
              DistributionConfigWithTags: {
                locationName: "DistributionConfigWithTags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                },
                type: "structure",
                required: [
                  "DistributionConfig",
                  "Tags"
                ],
                members: {
                  DistributionConfig: {
                    shape: "S7"
                  },
                  Tags: {
                    shape: "S22"
                  }
                }
              }
            },
            payload: "DistributionConfigWithTags"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S1t"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        CreateFieldLevelEncryptionConfig: {
          http: {
            requestUri: "/2018-06-18/field-level-encryption",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionConfig"
            ],
            members: {
              FieldLevelEncryptionConfig: {
                shape: "S29",
                locationName: "FieldLevelEncryptionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                }
              }
            },
            payload: "FieldLevelEncryptionConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryption: {
                shape: "S2k"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryption"
          }
        },
        CreateFieldLevelEncryptionProfile: {
          http: {
            requestUri: "/2018-06-18/field-level-encryption-profile",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionProfileConfig"
            ],
            members: {
              FieldLevelEncryptionProfileConfig: {
                shape: "S2m",
                locationName: "FieldLevelEncryptionProfileConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                }
              }
            },
            payload: "FieldLevelEncryptionProfileConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfile: {
                shape: "S2t"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfile"
          }
        },
        CreateInvalidation: {
          http: {
            requestUri: "/2018-06-18/distribution/{DistributionId}/invalidation",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionId",
              "InvalidationBatch"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              InvalidationBatch: {
                shape: "S2v",
                locationName: "InvalidationBatch",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                }
              }
            },
            payload: "InvalidationBatch"
          },
          output: {
            type: "structure",
            members: {
              Location: {
                location: "header",
                locationName: "Location"
              },
              Invalidation: {
                shape: "S2z"
              }
            },
            payload: "Invalidation"
          }
        },
        CreatePublicKey: {
          http: {
            requestUri: "/2018-06-18/public-key",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "PublicKeyConfig"
            ],
            members: {
              PublicKeyConfig: {
                shape: "S31",
                locationName: "PublicKeyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                }
              }
            },
            payload: "PublicKeyConfig"
          },
          output: {
            type: "structure",
            members: {
              PublicKey: {
                shape: "S33"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKey"
          }
        },
        CreateStreamingDistribution: {
          http: {
            requestUri: "/2018-06-18/streaming-distribution",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfig"
            ],
            members: {
              StreamingDistributionConfig: {
                shape: "S35",
                locationName: "StreamingDistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                }
              }
            },
            payload: "StreamingDistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S39"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        CreateStreamingDistributionWithTags: {
          http: {
            requestUri: "/2018-06-18/streaming-distribution?WithTags",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfigWithTags"
            ],
            members: {
              StreamingDistributionConfigWithTags: {
                locationName: "StreamingDistributionConfigWithTags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                },
                type: "structure",
                required: [
                  "StreamingDistributionConfig",
                  "Tags"
                ],
                members: {
                  StreamingDistributionConfig: {
                    shape: "S35"
                  },
                  Tags: {
                    shape: "S22"
                  }
                }
              }
            },
            payload: "StreamingDistributionConfigWithTags"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S39"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        DeleteCloudFrontOriginAccessIdentity: {
          http: {
            method: "DELETE",
            requestUri: "/2018-06-18/origin-access-identity/cloudfront/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteDistribution: {
          http: {
            method: "DELETE",
            requestUri: "/2018-06-18/distribution/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteFieldLevelEncryptionConfig: {
          http: {
            method: "DELETE",
            requestUri: "/2018-06-18/field-level-encryption/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteFieldLevelEncryptionProfile: {
          http: {
            method: "DELETE",
            requestUri: "/2018-06-18/field-level-encryption-profile/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeletePublicKey: {
          http: {
            method: "DELETE",
            requestUri: "/2018-06-18/public-key/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteStreamingDistribution: {
          http: {
            method: "DELETE",
            requestUri: "/2018-06-18/streaming-distribution/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        GetCloudFrontOriginAccessIdentity: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/origin-access-identity/cloudfront/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        GetCloudFrontOriginAccessIdentityConfig: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/origin-access-identity/cloudfront/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          }
        },
        GetDistribution: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/distribution/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S1t"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        GetDistributionConfig: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionConfig: {
                shape: "S7"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "DistributionConfig"
          }
        },
        GetFieldLevelEncryption: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/field-level-encryption/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryption: {
                shape: "S2k"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryption"
          }
        },
        GetFieldLevelEncryptionConfig: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/field-level-encryption/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionConfig: {
                shape: "S29"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionConfig"
          }
        },
        GetFieldLevelEncryptionProfile: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/field-level-encryption-profile/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfile: {
                shape: "S2t"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfile"
          }
        },
        GetFieldLevelEncryptionProfileConfig: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/field-level-encryption-profile/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfileConfig: {
                shape: "S2m"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfileConfig"
          }
        },
        GetInvalidation: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/distribution/{DistributionId}/invalidation/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "DistributionId",
              "Id"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Invalidation: {
                shape: "S2z"
              }
            },
            payload: "Invalidation"
          }
        },
        GetPublicKey: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/public-key/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKey: {
                shape: "S33"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKey"
          }
        },
        GetPublicKeyConfig: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/public-key/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKeyConfig: {
                shape: "S31"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKeyConfig"
          }
        },
        GetStreamingDistribution: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/streaming-distribution/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S39"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        GetStreamingDistributionConfig: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/streaming-distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistributionConfig: {
                shape: "S35"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistributionConfig"
          }
        },
        ListCloudFrontOriginAccessIdentities: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/origin-access-identity/cloudfront"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentityList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "CloudFrontOriginAccessIdentitySummary",
                      type: "structure",
                      required: [
                        "Id",
                        "S3CanonicalUserId",
                        "Comment"
                      ],
                      members: {
                        Id: {},
                        S3CanonicalUserId: {},
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "CloudFrontOriginAccessIdentityList"
          }
        },
        ListDistributions: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/distribution"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionList: {
                shape: "S4g"
              }
            },
            payload: "DistributionList"
          }
        },
        ListDistributionsByWebACLId: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/distributionsByWebACLId/{WebACLId}"
          },
          input: {
            type: "structure",
            required: [
              "WebACLId"
            ],
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              },
              WebACLId: {
                location: "uri",
                locationName: "WebACLId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionList: {
                shape: "S4g"
              }
            },
            payload: "DistributionList"
          }
        },
        ListFieldLevelEncryptionConfigs: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/field-level-encryption"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "FieldLevelEncryptionSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "LastModifiedTime"
                      ],
                      members: {
                        Id: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        Comment: {},
                        QueryArgProfileConfig: {
                          shape: "S2a"
                        },
                        ContentTypeProfileConfig: {
                          shape: "S2e"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "FieldLevelEncryptionList"
          }
        },
        ListFieldLevelEncryptionProfiles: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/field-level-encryption-profile"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfileList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "FieldLevelEncryptionProfileSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "LastModifiedTime",
                        "Name",
                        "EncryptionEntities"
                      ],
                      members: {
                        Id: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        Name: {},
                        EncryptionEntities: {
                          shape: "S2n"
                        },
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "FieldLevelEncryptionProfileList"
          }
        },
        ListInvalidations: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/distribution/{DistributionId}/invalidation"
          },
          input: {
            type: "structure",
            required: [
              "DistributionId"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InvalidationList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "InvalidationSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "CreateTime",
                        "Status"
                      ],
                      members: {
                        Id: {},
                        CreateTime: {
                          type: "timestamp"
                        },
                        Status: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "InvalidationList"
          }
        },
        ListPublicKeys: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/public-key"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKeyList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "PublicKeySummary",
                      type: "structure",
                      required: [
                        "Id",
                        "Name",
                        "CreatedTime",
                        "EncodedKey"
                      ],
                      members: {
                        Id: {},
                        Name: {},
                        CreatedTime: {
                          type: "timestamp"
                        },
                        EncodedKey: {},
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "PublicKeyList"
          }
        },
        ListStreamingDistributions: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/streaming-distribution"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistributionList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "StreamingDistributionSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "ARN",
                        "Status",
                        "LastModifiedTime",
                        "DomainName",
                        "S3Origin",
                        "Aliases",
                        "TrustedSigners",
                        "Comment",
                        "PriceClass",
                        "Enabled"
                      ],
                      members: {
                        Id: {},
                        ARN: {},
                        Status: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        DomainName: {},
                        S3Origin: {
                          shape: "S36"
                        },
                        Aliases: {
                          shape: "S8"
                        },
                        TrustedSigners: {
                          shape: "Sy"
                        },
                        Comment: {},
                        PriceClass: {},
                        Enabled: {
                          type: "boolean"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "StreamingDistributionList"
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/2018-06-18/tagging"
          },
          input: {
            type: "structure",
            required: [
              "Resource"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "S22"
              }
            },
            payload: "Tags"
          }
        },
        TagResource: {
          http: {
            requestUri: "/2018-06-18/tagging?Operation=Tag",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "Tags"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              },
              Tags: {
                shape: "S22",
                locationName: "Tags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                }
              }
            },
            payload: "Tags"
          }
        },
        UntagResource: {
          http: {
            requestUri: "/2018-06-18/tagging?Operation=Untag",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "TagKeys"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              },
              TagKeys: {
                locationName: "TagKeys",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                },
                type: "structure",
                members: {
                  Items: {
                    type: "list",
                    member: {
                      locationName: "Key"
                    }
                  }
                }
              }
            },
            payload: "TagKeys"
          }
        },
        UpdateCloudFrontOriginAccessIdentity: {
          http: {
            method: "PUT",
            requestUri: "/2018-06-18/origin-access-identity/cloudfront/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "CloudFrontOriginAccessIdentityConfig",
              "Id"
            ],
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2",
                locationName: "CloudFrontOriginAccessIdentityConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        UpdateDistribution: {
          http: {
            method: "PUT",
            requestUri: "/2018-06-18/distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfig",
              "Id"
            ],
            members: {
              DistributionConfig: {
                shape: "S7",
                locationName: "DistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "DistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S1t"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        UpdateFieldLevelEncryptionConfig: {
          http: {
            method: "PUT",
            requestUri: "/2018-06-18/field-level-encryption/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionConfig",
              "Id"
            ],
            members: {
              FieldLevelEncryptionConfig: {
                shape: "S29",
                locationName: "FieldLevelEncryptionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "FieldLevelEncryptionConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryption: {
                shape: "S2k"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryption"
          }
        },
        UpdateFieldLevelEncryptionProfile: {
          http: {
            method: "PUT",
            requestUri: "/2018-06-18/field-level-encryption-profile/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionProfileConfig",
              "Id"
            ],
            members: {
              FieldLevelEncryptionProfileConfig: {
                shape: "S2m",
                locationName: "FieldLevelEncryptionProfileConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "FieldLevelEncryptionProfileConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfile: {
                shape: "S2t"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfile"
          }
        },
        UpdatePublicKey: {
          http: {
            method: "PUT",
            requestUri: "/2018-06-18/public-key/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "PublicKeyConfig",
              "Id"
            ],
            members: {
              PublicKeyConfig: {
                shape: "S31",
                locationName: "PublicKeyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "PublicKeyConfig"
          },
          output: {
            type: "structure",
            members: {
              PublicKey: {
                shape: "S33"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKey"
          }
        },
        UpdateStreamingDistribution: {
          http: {
            method: "PUT",
            requestUri: "/2018-06-18/streaming-distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfig",
              "Id"
            ],
            members: {
              StreamingDistributionConfig: {
                shape: "S35",
                locationName: "StreamingDistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-06-18/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "StreamingDistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S39"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        }
      },
      shapes: {
        S2: {
          type: "structure",
          required: [
            "CallerReference",
            "Comment"
          ],
          members: {
            CallerReference: {},
            Comment: {}
          }
        },
        S5: {
          type: "structure",
          required: [
            "Id",
            "S3CanonicalUserId"
          ],
          members: {
            Id: {},
            S3CanonicalUserId: {},
            CloudFrontOriginAccessIdentityConfig: {
              shape: "S2"
            }
          }
        },
        S7: {
          type: "structure",
          required: [
            "CallerReference",
            "Origins",
            "DefaultCacheBehavior",
            "Comment",
            "Enabled"
          ],
          members: {
            CallerReference: {},
            Aliases: {
              shape: "S8"
            },
            DefaultRootObject: {},
            Origins: {
              shape: "Sb"
            },
            DefaultCacheBehavior: {
              shape: "Sn"
            },
            CacheBehaviors: {
              shape: "S1b"
            },
            CustomErrorResponses: {
              shape: "S1e"
            },
            Comment: {},
            Logging: {
              type: "structure",
              required: [
                "Enabled",
                "IncludeCookies",
                "Bucket",
                "Prefix"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                IncludeCookies: {
                  type: "boolean"
                },
                Bucket: {},
                Prefix: {}
              }
            },
            PriceClass: {},
            Enabled: {
              type: "boolean"
            },
            ViewerCertificate: {
              shape: "S1j"
            },
            Restrictions: {
              shape: "S1n"
            },
            WebACLId: {},
            HttpVersion: {},
            IsIPV6Enabled: {
              type: "boolean"
            }
          }
        },
        S8: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CNAME"
              }
            }
          }
        },
        Sb: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Origin",
                type: "structure",
                required: [
                  "Id",
                  "DomainName"
                ],
                members: {
                  Id: {},
                  DomainName: {},
                  OriginPath: {},
                  CustomHeaders: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "OriginCustomHeader",
                          type: "structure",
                          required: [
                            "HeaderName",
                            "HeaderValue"
                          ],
                          members: {
                            HeaderName: {},
                            HeaderValue: {}
                          }
                        }
                      }
                    }
                  },
                  S3OriginConfig: {
                    type: "structure",
                    required: [
                      "OriginAccessIdentity"
                    ],
                    members: {
                      OriginAccessIdentity: {}
                    }
                  },
                  CustomOriginConfig: {
                    type: "structure",
                    required: [
                      "HTTPPort",
                      "HTTPSPort",
                      "OriginProtocolPolicy"
                    ],
                    members: {
                      HTTPPort: {
                        type: "integer"
                      },
                      HTTPSPort: {
                        type: "integer"
                      },
                      OriginProtocolPolicy: {},
                      OriginSslProtocols: {
                        type: "structure",
                        required: [
                          "Quantity",
                          "Items"
                        ],
                        members: {
                          Quantity: {
                            type: "integer"
                          },
                          Items: {
                            type: "list",
                            member: {
                              locationName: "SslProtocol"
                            }
                          }
                        }
                      },
                      OriginReadTimeout: {
                        type: "integer"
                      },
                      OriginKeepaliveTimeout: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sn: {
          type: "structure",
          required: [
            "TargetOriginId",
            "ForwardedValues",
            "TrustedSigners",
            "ViewerProtocolPolicy",
            "MinTTL"
          ],
          members: {
            TargetOriginId: {},
            ForwardedValues: {
              shape: "So"
            },
            TrustedSigners: {
              shape: "Sy"
            },
            ViewerProtocolPolicy: {},
            MinTTL: {
              type: "long"
            },
            AllowedMethods: {
              shape: "S12"
            },
            SmoothStreaming: {
              type: "boolean"
            },
            DefaultTTL: {
              type: "long"
            },
            MaxTTL: {
              type: "long"
            },
            Compress: {
              type: "boolean"
            },
            LambdaFunctionAssociations: {
              shape: "S16"
            },
            FieldLevelEncryptionId: {}
          }
        },
        So: {
          type: "structure",
          required: [
            "QueryString",
            "Cookies"
          ],
          members: {
            QueryString: {
              type: "boolean"
            },
            Cookies: {
              type: "structure",
              required: [
                "Forward"
              ],
              members: {
                Forward: {},
                WhitelistedNames: {
                  type: "structure",
                  required: [
                    "Quantity"
                  ],
                  members: {
                    Quantity: {
                      type: "integer"
                    },
                    Items: {
                      type: "list",
                      member: {
                        locationName: "Name"
                      }
                    }
                  }
                }
              }
            },
            Headers: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Name"
                  }
                }
              }
            },
            QueryStringCacheKeys: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Name"
                  }
                }
              }
            }
          }
        },
        Sy: {
          type: "structure",
          required: [
            "Enabled",
            "Quantity"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "AwsAccountNumber"
              }
            }
          }
        },
        S12: {
          type: "structure",
          required: [
            "Quantity",
            "Items"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              shape: "S13"
            },
            CachedMethods: {
              type: "structure",
              required: [
                "Quantity",
                "Items"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  shape: "S13"
                }
              }
            }
          }
        },
        S13: {
          type: "list",
          member: {
            locationName: "Method"
          }
        },
        S16: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "LambdaFunctionAssociation",
                type: "structure",
                required: [
                  "LambdaFunctionARN",
                  "EventType"
                ],
                members: {
                  LambdaFunctionARN: {},
                  EventType: {},
                  IncludeBody: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        S1b: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CacheBehavior",
                type: "structure",
                required: [
                  "PathPattern",
                  "TargetOriginId",
                  "ForwardedValues",
                  "TrustedSigners",
                  "ViewerProtocolPolicy",
                  "MinTTL"
                ],
                members: {
                  PathPattern: {},
                  TargetOriginId: {},
                  ForwardedValues: {
                    shape: "So"
                  },
                  TrustedSigners: {
                    shape: "Sy"
                  },
                  ViewerProtocolPolicy: {},
                  MinTTL: {
                    type: "long"
                  },
                  AllowedMethods: {
                    shape: "S12"
                  },
                  SmoothStreaming: {
                    type: "boolean"
                  },
                  DefaultTTL: {
                    type: "long"
                  },
                  MaxTTL: {
                    type: "long"
                  },
                  Compress: {
                    type: "boolean"
                  },
                  LambdaFunctionAssociations: {
                    shape: "S16"
                  },
                  FieldLevelEncryptionId: {}
                }
              }
            }
          }
        },
        S1e: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CustomErrorResponse",
                type: "structure",
                required: [
                  "ErrorCode"
                ],
                members: {
                  ErrorCode: {
                    type: "integer"
                  },
                  ResponsePagePath: {},
                  ResponseCode: {},
                  ErrorCachingMinTTL: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        S1j: {
          type: "structure",
          members: {
            CloudFrontDefaultCertificate: {
              type: "boolean"
            },
            IAMCertificateId: {},
            ACMCertificateArn: {},
            SSLSupportMethod: {},
            MinimumProtocolVersion: {},
            Certificate: {
              deprecated: true
            },
            CertificateSource: {
              deprecated: true
            }
          }
        },
        S1n: {
          type: "structure",
          required: [
            "GeoRestriction"
          ],
          members: {
            GeoRestriction: {
              type: "structure",
              required: [
                "RestrictionType",
                "Quantity"
              ],
              members: {
                RestrictionType: {},
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Location"
                  }
                }
              }
            }
          }
        },
        S1t: {
          type: "structure",
          required: [
            "Id",
            "ARN",
            "Status",
            "LastModifiedTime",
            "InProgressInvalidationBatches",
            "DomainName",
            "ActiveTrustedSigners",
            "DistributionConfig"
          ],
          members: {
            Id: {},
            ARN: {},
            Status: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            InProgressInvalidationBatches: {
              type: "integer"
            },
            DomainName: {},
            ActiveTrustedSigners: {
              shape: "S1v"
            },
            DistributionConfig: {
              shape: "S7"
            }
          }
        },
        S1v: {
          type: "structure",
          required: [
            "Enabled",
            "Quantity"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Signer",
                type: "structure",
                members: {
                  AwsAccountNumber: {},
                  KeyPairIds: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "KeyPairId"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S22: {
          type: "structure",
          members: {
            Items: {
              type: "list",
              member: {
                locationName: "Tag",
                type: "structure",
                required: [
                  "Key"
                ],
                members: {
                  Key: {},
                  Value: {}
                }
              }
            }
          }
        },
        S29: {
          type: "structure",
          required: [
            "CallerReference"
          ],
          members: {
            CallerReference: {},
            Comment: {},
            QueryArgProfileConfig: {
              shape: "S2a"
            },
            ContentTypeProfileConfig: {
              shape: "S2e"
            }
          }
        },
        S2a: {
          type: "structure",
          required: [
            "ForwardWhenQueryArgProfileIsUnknown"
          ],
          members: {
            ForwardWhenQueryArgProfileIsUnknown: {
              type: "boolean"
            },
            QueryArgProfiles: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "QueryArgProfile",
                    type: "structure",
                    required: [
                      "QueryArg",
                      "ProfileId"
                    ],
                    members: {
                      QueryArg: {},
                      ProfileId: {}
                    }
                  }
                }
              }
            }
          }
        },
        S2e: {
          type: "structure",
          required: [
            "ForwardWhenContentTypeIsUnknown"
          ],
          members: {
            ForwardWhenContentTypeIsUnknown: {
              type: "boolean"
            },
            ContentTypeProfiles: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "ContentTypeProfile",
                    type: "structure",
                    required: [
                      "Format",
                      "ContentType"
                    ],
                    members: {
                      Format: {},
                      ProfileId: {},
                      ContentType: {}
                    }
                  }
                }
              }
            }
          }
        },
        S2k: {
          type: "structure",
          required: [
            "Id",
            "LastModifiedTime",
            "FieldLevelEncryptionConfig"
          ],
          members: {
            Id: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            FieldLevelEncryptionConfig: {
              shape: "S29"
            }
          }
        },
        S2m: {
          type: "structure",
          required: [
            "Name",
            "CallerReference",
            "EncryptionEntities"
          ],
          members: {
            Name: {},
            CallerReference: {},
            Comment: {},
            EncryptionEntities: {
              shape: "S2n"
            }
          }
        },
        S2n: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "EncryptionEntity",
                type: "structure",
                required: [
                  "PublicKeyId",
                  "ProviderId",
                  "FieldPatterns"
                ],
                members: {
                  PublicKeyId: {},
                  ProviderId: {},
                  FieldPatterns: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "FieldPattern"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S2t: {
          type: "structure",
          required: [
            "Id",
            "LastModifiedTime",
            "FieldLevelEncryptionProfileConfig"
          ],
          members: {
            Id: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            FieldLevelEncryptionProfileConfig: {
              shape: "S2m"
            }
          }
        },
        S2v: {
          type: "structure",
          required: [
            "Paths",
            "CallerReference"
          ],
          members: {
            Paths: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Path"
                  }
                }
              }
            },
            CallerReference: {}
          }
        },
        S2z: {
          type: "structure",
          required: [
            "Id",
            "Status",
            "CreateTime",
            "InvalidationBatch"
          ],
          members: {
            Id: {},
            Status: {},
            CreateTime: {
              type: "timestamp"
            },
            InvalidationBatch: {
              shape: "S2v"
            }
          }
        },
        S31: {
          type: "structure",
          required: [
            "CallerReference",
            "Name",
            "EncodedKey"
          ],
          members: {
            CallerReference: {},
            Name: {},
            EncodedKey: {},
            Comment: {}
          }
        },
        S33: {
          type: "structure",
          required: [
            "Id",
            "CreatedTime",
            "PublicKeyConfig"
          ],
          members: {
            Id: {},
            CreatedTime: {
              type: "timestamp"
            },
            PublicKeyConfig: {
              shape: "S31"
            }
          }
        },
        S35: {
          type: "structure",
          required: [
            "CallerReference",
            "S3Origin",
            "Comment",
            "TrustedSigners",
            "Enabled"
          ],
          members: {
            CallerReference: {},
            S3Origin: {
              shape: "S36"
            },
            Aliases: {
              shape: "S8"
            },
            Comment: {},
            Logging: {
              type: "structure",
              required: [
                "Enabled",
                "Bucket",
                "Prefix"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                Bucket: {},
                Prefix: {}
              }
            },
            TrustedSigners: {
              shape: "Sy"
            },
            PriceClass: {},
            Enabled: {
              type: "boolean"
            }
          }
        },
        S36: {
          type: "structure",
          required: [
            "DomainName",
            "OriginAccessIdentity"
          ],
          members: {
            DomainName: {},
            OriginAccessIdentity: {}
          }
        },
        S39: {
          type: "structure",
          required: [
            "Id",
            "ARN",
            "Status",
            "DomainName",
            "ActiveTrustedSigners",
            "StreamingDistributionConfig"
          ],
          members: {
            Id: {},
            ARN: {},
            Status: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            DomainName: {},
            ActiveTrustedSigners: {
              shape: "S1v"
            },
            StreamingDistributionConfig: {
              shape: "S35"
            }
          }
        },
        S4g: {
          type: "structure",
          required: [
            "Marker",
            "MaxItems",
            "IsTruncated",
            "Quantity"
          ],
          members: {
            Marker: {},
            NextMarker: {},
            MaxItems: {
              type: "integer"
            },
            IsTruncated: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "DistributionSummary",
                type: "structure",
                required: [
                  "Id",
                  "ARN",
                  "Status",
                  "LastModifiedTime",
                  "DomainName",
                  "Aliases",
                  "Origins",
                  "DefaultCacheBehavior",
                  "CacheBehaviors",
                  "CustomErrorResponses",
                  "Comment",
                  "PriceClass",
                  "Enabled",
                  "ViewerCertificate",
                  "Restrictions",
                  "WebACLId",
                  "HttpVersion",
                  "IsIPV6Enabled"
                ],
                members: {
                  Id: {},
                  ARN: {},
                  Status: {},
                  LastModifiedTime: {
                    type: "timestamp"
                  },
                  DomainName: {},
                  Aliases: {
                    shape: "S8"
                  },
                  Origins: {
                    shape: "Sb"
                  },
                  DefaultCacheBehavior: {
                    shape: "Sn"
                  },
                  CacheBehaviors: {
                    shape: "S1b"
                  },
                  CustomErrorResponses: {
                    shape: "S1e"
                  },
                  Comment: {},
                  PriceClass: {},
                  Enabled: {
                    type: "boolean"
                  },
                  ViewerCertificate: {
                    shape: "S1j"
                  },
                  Restrictions: {
                    shape: "S1n"
                  },
                  WebACLId: {},
                  HttpVersion: {},
                  IsIPV6Enabled: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2018-06-18.paginators.json
var require_cloudfront_2018_06_18_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2018-06-18.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListCloudFrontOriginAccessIdentities: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "CloudFrontOriginAccessIdentityList.IsTruncated",
          output_token: "CloudFrontOriginAccessIdentityList.NextMarker",
          result_key: "CloudFrontOriginAccessIdentityList.Items"
        },
        ListDistributions: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "DistributionList.IsTruncated",
          output_token: "DistributionList.NextMarker",
          result_key: "DistributionList.Items"
        },
        ListInvalidations: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "InvalidationList.IsTruncated",
          output_token: "InvalidationList.NextMarker",
          result_key: "InvalidationList.Items"
        },
        ListStreamingDistributions: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "StreamingDistributionList.IsTruncated",
          output_token: "StreamingDistributionList.NextMarker",
          result_key: "StreamingDistributionList.Items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2018-06-18.waiters2.json
var require_cloudfront_2018_06_18_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2018-06-18.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        DistributionDeployed: {
          delay: 60,
          operation: "GetDistribution",
          maxAttempts: 25,
          description: "Wait until a distribution is deployed.",
          acceptors: [
            {
              expected: "Deployed",
              matcher: "path",
              state: "success",
              argument: "Distribution.Status"
            }
          ]
        },
        InvalidationCompleted: {
          delay: 20,
          operation: "GetInvalidation",
          maxAttempts: 30,
          description: "Wait until an invalidation has completed.",
          acceptors: [
            {
              expected: "Completed",
              matcher: "path",
              state: "success",
              argument: "Invalidation.Status"
            }
          ]
        },
        StreamingDistributionDeployed: {
          delay: 60,
          operation: "GetStreamingDistribution",
          maxAttempts: 25,
          description: "Wait until a streaming distribution is deployed.",
          acceptors: [
            {
              expected: "Deployed",
              matcher: "path",
              state: "success",
              argument: "StreamingDistribution.Status"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2018-11-05.min.json
var require_cloudfront_2018_11_05_min = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2018-11-05.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-11-05",
        endpointPrefix: "cloudfront",
        globalEndpoint: "cloudfront.amazonaws.com",
        protocol: "rest-xml",
        serviceAbbreviation: "CloudFront",
        serviceFullName: "Amazon CloudFront",
        serviceId: "CloudFront",
        signatureVersion: "v4",
        uid: "cloudfront-2018-11-05"
      },
      operations: {
        CreateCloudFrontOriginAccessIdentity: {
          http: {
            requestUri: "/2018-11-05/origin-access-identity/cloudfront",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "CloudFrontOriginAccessIdentityConfig"
            ],
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2",
                locationName: "CloudFrontOriginAccessIdentityConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                }
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        CreateDistribution: {
          http: {
            requestUri: "/2018-11-05/distribution",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfig"
            ],
            members: {
              DistributionConfig: {
                shape: "S7",
                locationName: "DistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                }
              }
            },
            payload: "DistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S22"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        CreateDistributionWithTags: {
          http: {
            requestUri: "/2018-11-05/distribution?WithTags",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfigWithTags"
            ],
            members: {
              DistributionConfigWithTags: {
                locationName: "DistributionConfigWithTags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                },
                type: "structure",
                required: [
                  "DistributionConfig",
                  "Tags"
                ],
                members: {
                  DistributionConfig: {
                    shape: "S7"
                  },
                  Tags: {
                    shape: "S2b"
                  }
                }
              }
            },
            payload: "DistributionConfigWithTags"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S22"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        CreateFieldLevelEncryptionConfig: {
          http: {
            requestUri: "/2018-11-05/field-level-encryption",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionConfig"
            ],
            members: {
              FieldLevelEncryptionConfig: {
                shape: "S2i",
                locationName: "FieldLevelEncryptionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                }
              }
            },
            payload: "FieldLevelEncryptionConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryption: {
                shape: "S2t"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryption"
          }
        },
        CreateFieldLevelEncryptionProfile: {
          http: {
            requestUri: "/2018-11-05/field-level-encryption-profile",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionProfileConfig"
            ],
            members: {
              FieldLevelEncryptionProfileConfig: {
                shape: "S2v",
                locationName: "FieldLevelEncryptionProfileConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                }
              }
            },
            payload: "FieldLevelEncryptionProfileConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfile: {
                shape: "S32"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfile"
          }
        },
        CreateInvalidation: {
          http: {
            requestUri: "/2018-11-05/distribution/{DistributionId}/invalidation",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionId",
              "InvalidationBatch"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              InvalidationBatch: {
                shape: "S34",
                locationName: "InvalidationBatch",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                }
              }
            },
            payload: "InvalidationBatch"
          },
          output: {
            type: "structure",
            members: {
              Location: {
                location: "header",
                locationName: "Location"
              },
              Invalidation: {
                shape: "S38"
              }
            },
            payload: "Invalidation"
          }
        },
        CreatePublicKey: {
          http: {
            requestUri: "/2018-11-05/public-key",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "PublicKeyConfig"
            ],
            members: {
              PublicKeyConfig: {
                shape: "S3a",
                locationName: "PublicKeyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                }
              }
            },
            payload: "PublicKeyConfig"
          },
          output: {
            type: "structure",
            members: {
              PublicKey: {
                shape: "S3c"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKey"
          }
        },
        CreateStreamingDistribution: {
          http: {
            requestUri: "/2018-11-05/streaming-distribution",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfig"
            ],
            members: {
              StreamingDistributionConfig: {
                shape: "S3e",
                locationName: "StreamingDistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                }
              }
            },
            payload: "StreamingDistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S3i"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        CreateStreamingDistributionWithTags: {
          http: {
            requestUri: "/2018-11-05/streaming-distribution?WithTags",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfigWithTags"
            ],
            members: {
              StreamingDistributionConfigWithTags: {
                locationName: "StreamingDistributionConfigWithTags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                },
                type: "structure",
                required: [
                  "StreamingDistributionConfig",
                  "Tags"
                ],
                members: {
                  StreamingDistributionConfig: {
                    shape: "S3e"
                  },
                  Tags: {
                    shape: "S2b"
                  }
                }
              }
            },
            payload: "StreamingDistributionConfigWithTags"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S3i"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        DeleteCloudFrontOriginAccessIdentity: {
          http: {
            method: "DELETE",
            requestUri: "/2018-11-05/origin-access-identity/cloudfront/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteDistribution: {
          http: {
            method: "DELETE",
            requestUri: "/2018-11-05/distribution/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteFieldLevelEncryptionConfig: {
          http: {
            method: "DELETE",
            requestUri: "/2018-11-05/field-level-encryption/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteFieldLevelEncryptionProfile: {
          http: {
            method: "DELETE",
            requestUri: "/2018-11-05/field-level-encryption-profile/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeletePublicKey: {
          http: {
            method: "DELETE",
            requestUri: "/2018-11-05/public-key/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteStreamingDistribution: {
          http: {
            method: "DELETE",
            requestUri: "/2018-11-05/streaming-distribution/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        GetCloudFrontOriginAccessIdentity: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/origin-access-identity/cloudfront/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        GetCloudFrontOriginAccessIdentityConfig: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/origin-access-identity/cloudfront/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          }
        },
        GetDistribution: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/distribution/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S22"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        GetDistributionConfig: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionConfig: {
                shape: "S7"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "DistributionConfig"
          }
        },
        GetFieldLevelEncryption: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/field-level-encryption/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryption: {
                shape: "S2t"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryption"
          }
        },
        GetFieldLevelEncryptionConfig: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/field-level-encryption/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionConfig: {
                shape: "S2i"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionConfig"
          }
        },
        GetFieldLevelEncryptionProfile: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/field-level-encryption-profile/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfile: {
                shape: "S32"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfile"
          }
        },
        GetFieldLevelEncryptionProfileConfig: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/field-level-encryption-profile/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfileConfig: {
                shape: "S2v"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfileConfig"
          }
        },
        GetInvalidation: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/distribution/{DistributionId}/invalidation/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "DistributionId",
              "Id"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Invalidation: {
                shape: "S38"
              }
            },
            payload: "Invalidation"
          }
        },
        GetPublicKey: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/public-key/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKey: {
                shape: "S3c"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKey"
          }
        },
        GetPublicKeyConfig: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/public-key/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKeyConfig: {
                shape: "S3a"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKeyConfig"
          }
        },
        GetStreamingDistribution: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/streaming-distribution/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S3i"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        GetStreamingDistributionConfig: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/streaming-distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistributionConfig: {
                shape: "S3e"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistributionConfig"
          }
        },
        ListCloudFrontOriginAccessIdentities: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/origin-access-identity/cloudfront"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentityList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "CloudFrontOriginAccessIdentitySummary",
                      type: "structure",
                      required: [
                        "Id",
                        "S3CanonicalUserId",
                        "Comment"
                      ],
                      members: {
                        Id: {},
                        S3CanonicalUserId: {},
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "CloudFrontOriginAccessIdentityList"
          }
        },
        ListDistributions: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/distribution"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionList: {
                shape: "S4p"
              }
            },
            payload: "DistributionList"
          }
        },
        ListDistributionsByWebACLId: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/distributionsByWebACLId/{WebACLId}"
          },
          input: {
            type: "structure",
            required: [
              "WebACLId"
            ],
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              },
              WebACLId: {
                location: "uri",
                locationName: "WebACLId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionList: {
                shape: "S4p"
              }
            },
            payload: "DistributionList"
          }
        },
        ListFieldLevelEncryptionConfigs: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/field-level-encryption"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "FieldLevelEncryptionSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "LastModifiedTime"
                      ],
                      members: {
                        Id: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        Comment: {},
                        QueryArgProfileConfig: {
                          shape: "S2j"
                        },
                        ContentTypeProfileConfig: {
                          shape: "S2n"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "FieldLevelEncryptionList"
          }
        },
        ListFieldLevelEncryptionProfiles: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/field-level-encryption-profile"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfileList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "FieldLevelEncryptionProfileSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "LastModifiedTime",
                        "Name",
                        "EncryptionEntities"
                      ],
                      members: {
                        Id: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        Name: {},
                        EncryptionEntities: {
                          shape: "S2w"
                        },
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "FieldLevelEncryptionProfileList"
          }
        },
        ListInvalidations: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/distribution/{DistributionId}/invalidation"
          },
          input: {
            type: "structure",
            required: [
              "DistributionId"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InvalidationList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "InvalidationSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "CreateTime",
                        "Status"
                      ],
                      members: {
                        Id: {},
                        CreateTime: {
                          type: "timestamp"
                        },
                        Status: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "InvalidationList"
          }
        },
        ListPublicKeys: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/public-key"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKeyList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "PublicKeySummary",
                      type: "structure",
                      required: [
                        "Id",
                        "Name",
                        "CreatedTime",
                        "EncodedKey"
                      ],
                      members: {
                        Id: {},
                        Name: {},
                        CreatedTime: {
                          type: "timestamp"
                        },
                        EncodedKey: {},
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "PublicKeyList"
          }
        },
        ListStreamingDistributions: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/streaming-distribution"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistributionList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "StreamingDistributionSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "ARN",
                        "Status",
                        "LastModifiedTime",
                        "DomainName",
                        "S3Origin",
                        "Aliases",
                        "TrustedSigners",
                        "Comment",
                        "PriceClass",
                        "Enabled"
                      ],
                      members: {
                        Id: {},
                        ARN: {},
                        Status: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        DomainName: {},
                        S3Origin: {
                          shape: "S3f"
                        },
                        Aliases: {
                          shape: "S8"
                        },
                        TrustedSigners: {
                          shape: "S17"
                        },
                        Comment: {},
                        PriceClass: {},
                        Enabled: {
                          type: "boolean"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "StreamingDistributionList"
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/2018-11-05/tagging"
          },
          input: {
            type: "structure",
            required: [
              "Resource"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "S2b"
              }
            },
            payload: "Tags"
          }
        },
        TagResource: {
          http: {
            requestUri: "/2018-11-05/tagging?Operation=Tag",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "Tags"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              },
              Tags: {
                shape: "S2b",
                locationName: "Tags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                }
              }
            },
            payload: "Tags"
          }
        },
        UntagResource: {
          http: {
            requestUri: "/2018-11-05/tagging?Operation=Untag",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "TagKeys"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              },
              TagKeys: {
                locationName: "TagKeys",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                },
                type: "structure",
                members: {
                  Items: {
                    type: "list",
                    member: {
                      locationName: "Key"
                    }
                  }
                }
              }
            },
            payload: "TagKeys"
          }
        },
        UpdateCloudFrontOriginAccessIdentity: {
          http: {
            method: "PUT",
            requestUri: "/2018-11-05/origin-access-identity/cloudfront/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "CloudFrontOriginAccessIdentityConfig",
              "Id"
            ],
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2",
                locationName: "CloudFrontOriginAccessIdentityConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        UpdateDistribution: {
          http: {
            method: "PUT",
            requestUri: "/2018-11-05/distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfig",
              "Id"
            ],
            members: {
              DistributionConfig: {
                shape: "S7",
                locationName: "DistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "DistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S22"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        UpdateFieldLevelEncryptionConfig: {
          http: {
            method: "PUT",
            requestUri: "/2018-11-05/field-level-encryption/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionConfig",
              "Id"
            ],
            members: {
              FieldLevelEncryptionConfig: {
                shape: "S2i",
                locationName: "FieldLevelEncryptionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "FieldLevelEncryptionConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryption: {
                shape: "S2t"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryption"
          }
        },
        UpdateFieldLevelEncryptionProfile: {
          http: {
            method: "PUT",
            requestUri: "/2018-11-05/field-level-encryption-profile/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionProfileConfig",
              "Id"
            ],
            members: {
              FieldLevelEncryptionProfileConfig: {
                shape: "S2v",
                locationName: "FieldLevelEncryptionProfileConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "FieldLevelEncryptionProfileConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfile: {
                shape: "S32"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfile"
          }
        },
        UpdatePublicKey: {
          http: {
            method: "PUT",
            requestUri: "/2018-11-05/public-key/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "PublicKeyConfig",
              "Id"
            ],
            members: {
              PublicKeyConfig: {
                shape: "S3a",
                locationName: "PublicKeyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "PublicKeyConfig"
          },
          output: {
            type: "structure",
            members: {
              PublicKey: {
                shape: "S3c"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKey"
          }
        },
        UpdateStreamingDistribution: {
          http: {
            method: "PUT",
            requestUri: "/2018-11-05/streaming-distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfig",
              "Id"
            ],
            members: {
              StreamingDistributionConfig: {
                shape: "S3e",
                locationName: "StreamingDistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2018-11-05/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "StreamingDistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S3i"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        }
      },
      shapes: {
        S2: {
          type: "structure",
          required: [
            "CallerReference",
            "Comment"
          ],
          members: {
            CallerReference: {},
            Comment: {}
          }
        },
        S5: {
          type: "structure",
          required: [
            "Id",
            "S3CanonicalUserId"
          ],
          members: {
            Id: {},
            S3CanonicalUserId: {},
            CloudFrontOriginAccessIdentityConfig: {
              shape: "S2"
            }
          }
        },
        S7: {
          type: "structure",
          required: [
            "CallerReference",
            "Origins",
            "DefaultCacheBehavior",
            "Comment",
            "Enabled"
          ],
          members: {
            CallerReference: {},
            Aliases: {
              shape: "S8"
            },
            DefaultRootObject: {},
            Origins: {
              shape: "Sb"
            },
            OriginGroups: {
              shape: "Sn"
            },
            DefaultCacheBehavior: {
              shape: "Sw"
            },
            CacheBehaviors: {
              shape: "S1k"
            },
            CustomErrorResponses: {
              shape: "S1n"
            },
            Comment: {},
            Logging: {
              type: "structure",
              required: [
                "Enabled",
                "IncludeCookies",
                "Bucket",
                "Prefix"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                IncludeCookies: {
                  type: "boolean"
                },
                Bucket: {},
                Prefix: {}
              }
            },
            PriceClass: {},
            Enabled: {
              type: "boolean"
            },
            ViewerCertificate: {
              shape: "S1s"
            },
            Restrictions: {
              shape: "S1w"
            },
            WebACLId: {},
            HttpVersion: {},
            IsIPV6Enabled: {
              type: "boolean"
            }
          }
        },
        S8: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CNAME"
              }
            }
          }
        },
        Sb: {
          type: "structure",
          required: [
            "Quantity",
            "Items"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Origin",
                type: "structure",
                required: [
                  "Id",
                  "DomainName"
                ],
                members: {
                  Id: {},
                  DomainName: {},
                  OriginPath: {},
                  CustomHeaders: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "OriginCustomHeader",
                          type: "structure",
                          required: [
                            "HeaderName",
                            "HeaderValue"
                          ],
                          members: {
                            HeaderName: {},
                            HeaderValue: {}
                          }
                        }
                      }
                    }
                  },
                  S3OriginConfig: {
                    type: "structure",
                    required: [
                      "OriginAccessIdentity"
                    ],
                    members: {
                      OriginAccessIdentity: {}
                    }
                  },
                  CustomOriginConfig: {
                    type: "structure",
                    required: [
                      "HTTPPort",
                      "HTTPSPort",
                      "OriginProtocolPolicy"
                    ],
                    members: {
                      HTTPPort: {
                        type: "integer"
                      },
                      HTTPSPort: {
                        type: "integer"
                      },
                      OriginProtocolPolicy: {},
                      OriginSslProtocols: {
                        type: "structure",
                        required: [
                          "Quantity",
                          "Items"
                        ],
                        members: {
                          Quantity: {
                            type: "integer"
                          },
                          Items: {
                            type: "list",
                            member: {
                              locationName: "SslProtocol"
                            }
                          }
                        }
                      },
                      OriginReadTimeout: {
                        type: "integer"
                      },
                      OriginKeepaliveTimeout: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sn: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "OriginGroup",
                type: "structure",
                required: [
                  "Id",
                  "FailoverCriteria",
                  "Members"
                ],
                members: {
                  Id: {},
                  FailoverCriteria: {
                    type: "structure",
                    required: [
                      "StatusCodes"
                    ],
                    members: {
                      StatusCodes: {
                        type: "structure",
                        required: [
                          "Quantity",
                          "Items"
                        ],
                        members: {
                          Quantity: {
                            type: "integer"
                          },
                          Items: {
                            type: "list",
                            member: {
                              locationName: "StatusCode",
                              type: "integer"
                            }
                          }
                        }
                      }
                    }
                  },
                  Members: {
                    type: "structure",
                    required: [
                      "Quantity",
                      "Items"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "OriginGroupMember",
                          type: "structure",
                          required: [
                            "OriginId"
                          ],
                          members: {
                            OriginId: {}
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sw: {
          type: "structure",
          required: [
            "TargetOriginId",
            "ForwardedValues",
            "TrustedSigners",
            "ViewerProtocolPolicy",
            "MinTTL"
          ],
          members: {
            TargetOriginId: {},
            ForwardedValues: {
              shape: "Sx"
            },
            TrustedSigners: {
              shape: "S17"
            },
            ViewerProtocolPolicy: {},
            MinTTL: {
              type: "long"
            },
            AllowedMethods: {
              shape: "S1b"
            },
            SmoothStreaming: {
              type: "boolean"
            },
            DefaultTTL: {
              type: "long"
            },
            MaxTTL: {
              type: "long"
            },
            Compress: {
              type: "boolean"
            },
            LambdaFunctionAssociations: {
              shape: "S1f"
            },
            FieldLevelEncryptionId: {}
          }
        },
        Sx: {
          type: "structure",
          required: [
            "QueryString",
            "Cookies"
          ],
          members: {
            QueryString: {
              type: "boolean"
            },
            Cookies: {
              type: "structure",
              required: [
                "Forward"
              ],
              members: {
                Forward: {},
                WhitelistedNames: {
                  type: "structure",
                  required: [
                    "Quantity"
                  ],
                  members: {
                    Quantity: {
                      type: "integer"
                    },
                    Items: {
                      type: "list",
                      member: {
                        locationName: "Name"
                      }
                    }
                  }
                }
              }
            },
            Headers: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Name"
                  }
                }
              }
            },
            QueryStringCacheKeys: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Name"
                  }
                }
              }
            }
          }
        },
        S17: {
          type: "structure",
          required: [
            "Enabled",
            "Quantity"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "AwsAccountNumber"
              }
            }
          }
        },
        S1b: {
          type: "structure",
          required: [
            "Quantity",
            "Items"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              shape: "S1c"
            },
            CachedMethods: {
              type: "structure",
              required: [
                "Quantity",
                "Items"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  shape: "S1c"
                }
              }
            }
          }
        },
        S1c: {
          type: "list",
          member: {
            locationName: "Method"
          }
        },
        S1f: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "LambdaFunctionAssociation",
                type: "structure",
                required: [
                  "LambdaFunctionARN",
                  "EventType"
                ],
                members: {
                  LambdaFunctionARN: {},
                  EventType: {},
                  IncludeBody: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        S1k: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CacheBehavior",
                type: "structure",
                required: [
                  "PathPattern",
                  "TargetOriginId",
                  "ForwardedValues",
                  "TrustedSigners",
                  "ViewerProtocolPolicy",
                  "MinTTL"
                ],
                members: {
                  PathPattern: {},
                  TargetOriginId: {},
                  ForwardedValues: {
                    shape: "Sx"
                  },
                  TrustedSigners: {
                    shape: "S17"
                  },
                  ViewerProtocolPolicy: {},
                  MinTTL: {
                    type: "long"
                  },
                  AllowedMethods: {
                    shape: "S1b"
                  },
                  SmoothStreaming: {
                    type: "boolean"
                  },
                  DefaultTTL: {
                    type: "long"
                  },
                  MaxTTL: {
                    type: "long"
                  },
                  Compress: {
                    type: "boolean"
                  },
                  LambdaFunctionAssociations: {
                    shape: "S1f"
                  },
                  FieldLevelEncryptionId: {}
                }
              }
            }
          }
        },
        S1n: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CustomErrorResponse",
                type: "structure",
                required: [
                  "ErrorCode"
                ],
                members: {
                  ErrorCode: {
                    type: "integer"
                  },
                  ResponsePagePath: {},
                  ResponseCode: {},
                  ErrorCachingMinTTL: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        S1s: {
          type: "structure",
          members: {
            CloudFrontDefaultCertificate: {
              type: "boolean"
            },
            IAMCertificateId: {},
            ACMCertificateArn: {},
            SSLSupportMethod: {},
            MinimumProtocolVersion: {},
            Certificate: {
              deprecated: true
            },
            CertificateSource: {
              deprecated: true
            }
          }
        },
        S1w: {
          type: "structure",
          required: [
            "GeoRestriction"
          ],
          members: {
            GeoRestriction: {
              type: "structure",
              required: [
                "RestrictionType",
                "Quantity"
              ],
              members: {
                RestrictionType: {},
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Location"
                  }
                }
              }
            }
          }
        },
        S22: {
          type: "structure",
          required: [
            "Id",
            "ARN",
            "Status",
            "LastModifiedTime",
            "InProgressInvalidationBatches",
            "DomainName",
            "ActiveTrustedSigners",
            "DistributionConfig"
          ],
          members: {
            Id: {},
            ARN: {},
            Status: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            InProgressInvalidationBatches: {
              type: "integer"
            },
            DomainName: {},
            ActiveTrustedSigners: {
              shape: "S24"
            },
            DistributionConfig: {
              shape: "S7"
            }
          }
        },
        S24: {
          type: "structure",
          required: [
            "Enabled",
            "Quantity"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Signer",
                type: "structure",
                members: {
                  AwsAccountNumber: {},
                  KeyPairIds: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "KeyPairId"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S2b: {
          type: "structure",
          members: {
            Items: {
              type: "list",
              member: {
                locationName: "Tag",
                type: "structure",
                required: [
                  "Key"
                ],
                members: {
                  Key: {},
                  Value: {}
                }
              }
            }
          }
        },
        S2i: {
          type: "structure",
          required: [
            "CallerReference"
          ],
          members: {
            CallerReference: {},
            Comment: {},
            QueryArgProfileConfig: {
              shape: "S2j"
            },
            ContentTypeProfileConfig: {
              shape: "S2n"
            }
          }
        },
        S2j: {
          type: "structure",
          required: [
            "ForwardWhenQueryArgProfileIsUnknown"
          ],
          members: {
            ForwardWhenQueryArgProfileIsUnknown: {
              type: "boolean"
            },
            QueryArgProfiles: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "QueryArgProfile",
                    type: "structure",
                    required: [
                      "QueryArg",
                      "ProfileId"
                    ],
                    members: {
                      QueryArg: {},
                      ProfileId: {}
                    }
                  }
                }
              }
            }
          }
        },
        S2n: {
          type: "structure",
          required: [
            "ForwardWhenContentTypeIsUnknown"
          ],
          members: {
            ForwardWhenContentTypeIsUnknown: {
              type: "boolean"
            },
            ContentTypeProfiles: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "ContentTypeProfile",
                    type: "structure",
                    required: [
                      "Format",
                      "ContentType"
                    ],
                    members: {
                      Format: {},
                      ProfileId: {},
                      ContentType: {}
                    }
                  }
                }
              }
            }
          }
        },
        S2t: {
          type: "structure",
          required: [
            "Id",
            "LastModifiedTime",
            "FieldLevelEncryptionConfig"
          ],
          members: {
            Id: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            FieldLevelEncryptionConfig: {
              shape: "S2i"
            }
          }
        },
        S2v: {
          type: "structure",
          required: [
            "Name",
            "CallerReference",
            "EncryptionEntities"
          ],
          members: {
            Name: {},
            CallerReference: {},
            Comment: {},
            EncryptionEntities: {
              shape: "S2w"
            }
          }
        },
        S2w: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "EncryptionEntity",
                type: "structure",
                required: [
                  "PublicKeyId",
                  "ProviderId",
                  "FieldPatterns"
                ],
                members: {
                  PublicKeyId: {},
                  ProviderId: {},
                  FieldPatterns: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "FieldPattern"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S32: {
          type: "structure",
          required: [
            "Id",
            "LastModifiedTime",
            "FieldLevelEncryptionProfileConfig"
          ],
          members: {
            Id: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            FieldLevelEncryptionProfileConfig: {
              shape: "S2v"
            }
          }
        },
        S34: {
          type: "structure",
          required: [
            "Paths",
            "CallerReference"
          ],
          members: {
            Paths: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Path"
                  }
                }
              }
            },
            CallerReference: {}
          }
        },
        S38: {
          type: "structure",
          required: [
            "Id",
            "Status",
            "CreateTime",
            "InvalidationBatch"
          ],
          members: {
            Id: {},
            Status: {},
            CreateTime: {
              type: "timestamp"
            },
            InvalidationBatch: {
              shape: "S34"
            }
          }
        },
        S3a: {
          type: "structure",
          required: [
            "CallerReference",
            "Name",
            "EncodedKey"
          ],
          members: {
            CallerReference: {},
            Name: {},
            EncodedKey: {},
            Comment: {}
          }
        },
        S3c: {
          type: "structure",
          required: [
            "Id",
            "CreatedTime",
            "PublicKeyConfig"
          ],
          members: {
            Id: {},
            CreatedTime: {
              type: "timestamp"
            },
            PublicKeyConfig: {
              shape: "S3a"
            }
          }
        },
        S3e: {
          type: "structure",
          required: [
            "CallerReference",
            "S3Origin",
            "Comment",
            "TrustedSigners",
            "Enabled"
          ],
          members: {
            CallerReference: {},
            S3Origin: {
              shape: "S3f"
            },
            Aliases: {
              shape: "S8"
            },
            Comment: {},
            Logging: {
              type: "structure",
              required: [
                "Enabled",
                "Bucket",
                "Prefix"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                Bucket: {},
                Prefix: {}
              }
            },
            TrustedSigners: {
              shape: "S17"
            },
            PriceClass: {},
            Enabled: {
              type: "boolean"
            }
          }
        },
        S3f: {
          type: "structure",
          required: [
            "DomainName",
            "OriginAccessIdentity"
          ],
          members: {
            DomainName: {},
            OriginAccessIdentity: {}
          }
        },
        S3i: {
          type: "structure",
          required: [
            "Id",
            "ARN",
            "Status",
            "DomainName",
            "ActiveTrustedSigners",
            "StreamingDistributionConfig"
          ],
          members: {
            Id: {},
            ARN: {},
            Status: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            DomainName: {},
            ActiveTrustedSigners: {
              shape: "S24"
            },
            StreamingDistributionConfig: {
              shape: "S3e"
            }
          }
        },
        S4p: {
          type: "structure",
          required: [
            "Marker",
            "MaxItems",
            "IsTruncated",
            "Quantity"
          ],
          members: {
            Marker: {},
            NextMarker: {},
            MaxItems: {
              type: "integer"
            },
            IsTruncated: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "DistributionSummary",
                type: "structure",
                required: [
                  "Id",
                  "ARN",
                  "Status",
                  "LastModifiedTime",
                  "DomainName",
                  "Aliases",
                  "Origins",
                  "DefaultCacheBehavior",
                  "CacheBehaviors",
                  "CustomErrorResponses",
                  "Comment",
                  "PriceClass",
                  "Enabled",
                  "ViewerCertificate",
                  "Restrictions",
                  "WebACLId",
                  "HttpVersion",
                  "IsIPV6Enabled"
                ],
                members: {
                  Id: {},
                  ARN: {},
                  Status: {},
                  LastModifiedTime: {
                    type: "timestamp"
                  },
                  DomainName: {},
                  Aliases: {
                    shape: "S8"
                  },
                  Origins: {
                    shape: "Sb"
                  },
                  OriginGroups: {
                    shape: "Sn"
                  },
                  DefaultCacheBehavior: {
                    shape: "Sw"
                  },
                  CacheBehaviors: {
                    shape: "S1k"
                  },
                  CustomErrorResponses: {
                    shape: "S1n"
                  },
                  Comment: {},
                  PriceClass: {},
                  Enabled: {
                    type: "boolean"
                  },
                  ViewerCertificate: {
                    shape: "S1s"
                  },
                  Restrictions: {
                    shape: "S1w"
                  },
                  WebACLId: {},
                  HttpVersion: {},
                  IsIPV6Enabled: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2018-11-05.paginators.json
var require_cloudfront_2018_11_05_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2018-11-05.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListCloudFrontOriginAccessIdentities: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "CloudFrontOriginAccessIdentityList.IsTruncated",
          output_token: "CloudFrontOriginAccessIdentityList.NextMarker",
          result_key: "CloudFrontOriginAccessIdentityList.Items"
        },
        ListDistributions: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "DistributionList.IsTruncated",
          output_token: "DistributionList.NextMarker",
          result_key: "DistributionList.Items"
        },
        ListInvalidations: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "InvalidationList.IsTruncated",
          output_token: "InvalidationList.NextMarker",
          result_key: "InvalidationList.Items"
        },
        ListStreamingDistributions: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "StreamingDistributionList.IsTruncated",
          output_token: "StreamingDistributionList.NextMarker",
          result_key: "StreamingDistributionList.Items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2018-11-05.waiters2.json
var require_cloudfront_2018_11_05_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2018-11-05.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        DistributionDeployed: {
          delay: 60,
          operation: "GetDistribution",
          maxAttempts: 25,
          description: "Wait until a distribution is deployed.",
          acceptors: [
            {
              expected: "Deployed",
              matcher: "path",
              state: "success",
              argument: "Distribution.Status"
            }
          ]
        },
        InvalidationCompleted: {
          delay: 20,
          operation: "GetInvalidation",
          maxAttempts: 30,
          description: "Wait until an invalidation has completed.",
          acceptors: [
            {
              expected: "Completed",
              matcher: "path",
              state: "success",
              argument: "Invalidation.Status"
            }
          ]
        },
        StreamingDistributionDeployed: {
          delay: 60,
          operation: "GetStreamingDistribution",
          maxAttempts: 25,
          description: "Wait until a streaming distribution is deployed.",
          acceptors: [
            {
              expected: "Deployed",
              matcher: "path",
              state: "success",
              argument: "StreamingDistribution.Status"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2019-03-26.min.json
var require_cloudfront_2019_03_26_min = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2019-03-26.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-03-26",
        endpointPrefix: "cloudfront",
        globalEndpoint: "cloudfront.amazonaws.com",
        protocol: "rest-xml",
        serviceAbbreviation: "CloudFront",
        serviceFullName: "Amazon CloudFront",
        serviceId: "CloudFront",
        signatureVersion: "v4",
        uid: "cloudfront-2019-03-26"
      },
      operations: {
        CreateCloudFrontOriginAccessIdentity: {
          http: {
            requestUri: "/2019-03-26/origin-access-identity/cloudfront",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "CloudFrontOriginAccessIdentityConfig"
            ],
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2",
                locationName: "CloudFrontOriginAccessIdentityConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                }
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        CreateDistribution: {
          http: {
            requestUri: "/2019-03-26/distribution",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfig"
            ],
            members: {
              DistributionConfig: {
                shape: "S7",
                locationName: "DistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                }
              }
            },
            payload: "DistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S23"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        CreateDistributionWithTags: {
          http: {
            requestUri: "/2019-03-26/distribution?WithTags",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfigWithTags"
            ],
            members: {
              DistributionConfigWithTags: {
                locationName: "DistributionConfigWithTags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                },
                type: "structure",
                required: [
                  "DistributionConfig",
                  "Tags"
                ],
                members: {
                  DistributionConfig: {
                    shape: "S7"
                  },
                  Tags: {
                    shape: "S2f"
                  }
                }
              }
            },
            payload: "DistributionConfigWithTags"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S23"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        CreateFieldLevelEncryptionConfig: {
          http: {
            requestUri: "/2019-03-26/field-level-encryption",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionConfig"
            ],
            members: {
              FieldLevelEncryptionConfig: {
                shape: "S2m",
                locationName: "FieldLevelEncryptionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                }
              }
            },
            payload: "FieldLevelEncryptionConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryption: {
                shape: "S2x"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryption"
          }
        },
        CreateFieldLevelEncryptionProfile: {
          http: {
            requestUri: "/2019-03-26/field-level-encryption-profile",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionProfileConfig"
            ],
            members: {
              FieldLevelEncryptionProfileConfig: {
                shape: "S2z",
                locationName: "FieldLevelEncryptionProfileConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                }
              }
            },
            payload: "FieldLevelEncryptionProfileConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfile: {
                shape: "S36"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfile"
          }
        },
        CreateInvalidation: {
          http: {
            requestUri: "/2019-03-26/distribution/{DistributionId}/invalidation",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionId",
              "InvalidationBatch"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              InvalidationBatch: {
                shape: "S38",
                locationName: "InvalidationBatch",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                }
              }
            },
            payload: "InvalidationBatch"
          },
          output: {
            type: "structure",
            members: {
              Location: {
                location: "header",
                locationName: "Location"
              },
              Invalidation: {
                shape: "S3c"
              }
            },
            payload: "Invalidation"
          }
        },
        CreatePublicKey: {
          http: {
            requestUri: "/2019-03-26/public-key",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "PublicKeyConfig"
            ],
            members: {
              PublicKeyConfig: {
                shape: "S3e",
                locationName: "PublicKeyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                }
              }
            },
            payload: "PublicKeyConfig"
          },
          output: {
            type: "structure",
            members: {
              PublicKey: {
                shape: "S3g"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKey"
          }
        },
        CreateStreamingDistribution: {
          http: {
            requestUri: "/2019-03-26/streaming-distribution",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfig"
            ],
            members: {
              StreamingDistributionConfig: {
                shape: "S3i",
                locationName: "StreamingDistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                }
              }
            },
            payload: "StreamingDistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S3m"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        CreateStreamingDistributionWithTags: {
          http: {
            requestUri: "/2019-03-26/streaming-distribution?WithTags",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfigWithTags"
            ],
            members: {
              StreamingDistributionConfigWithTags: {
                locationName: "StreamingDistributionConfigWithTags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                },
                type: "structure",
                required: [
                  "StreamingDistributionConfig",
                  "Tags"
                ],
                members: {
                  StreamingDistributionConfig: {
                    shape: "S3i"
                  },
                  Tags: {
                    shape: "S2f"
                  }
                }
              }
            },
            payload: "StreamingDistributionConfigWithTags"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S3m"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        DeleteCloudFrontOriginAccessIdentity: {
          http: {
            method: "DELETE",
            requestUri: "/2019-03-26/origin-access-identity/cloudfront/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteDistribution: {
          http: {
            method: "DELETE",
            requestUri: "/2019-03-26/distribution/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteFieldLevelEncryptionConfig: {
          http: {
            method: "DELETE",
            requestUri: "/2019-03-26/field-level-encryption/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteFieldLevelEncryptionProfile: {
          http: {
            method: "DELETE",
            requestUri: "/2019-03-26/field-level-encryption-profile/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeletePublicKey: {
          http: {
            method: "DELETE",
            requestUri: "/2019-03-26/public-key/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteStreamingDistribution: {
          http: {
            method: "DELETE",
            requestUri: "/2019-03-26/streaming-distribution/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        GetCloudFrontOriginAccessIdentity: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/origin-access-identity/cloudfront/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        GetCloudFrontOriginAccessIdentityConfig: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/origin-access-identity/cloudfront/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          }
        },
        GetDistribution: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/distribution/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S23"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        GetDistributionConfig: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionConfig: {
                shape: "S7"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "DistributionConfig"
          }
        },
        GetFieldLevelEncryption: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/field-level-encryption/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryption: {
                shape: "S2x"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryption"
          }
        },
        GetFieldLevelEncryptionConfig: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/field-level-encryption/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionConfig: {
                shape: "S2m"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionConfig"
          }
        },
        GetFieldLevelEncryptionProfile: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/field-level-encryption-profile/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfile: {
                shape: "S36"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfile"
          }
        },
        GetFieldLevelEncryptionProfileConfig: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/field-level-encryption-profile/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfileConfig: {
                shape: "S2z"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfileConfig"
          }
        },
        GetInvalidation: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/distribution/{DistributionId}/invalidation/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "DistributionId",
              "Id"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Invalidation: {
                shape: "S3c"
              }
            },
            payload: "Invalidation"
          }
        },
        GetPublicKey: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/public-key/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKey: {
                shape: "S3g"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKey"
          }
        },
        GetPublicKeyConfig: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/public-key/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKeyConfig: {
                shape: "S3e"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKeyConfig"
          }
        },
        GetStreamingDistribution: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/streaming-distribution/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S3m"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        GetStreamingDistributionConfig: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/streaming-distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistributionConfig: {
                shape: "S3i"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistributionConfig"
          }
        },
        ListCloudFrontOriginAccessIdentities: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/origin-access-identity/cloudfront"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentityList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "CloudFrontOriginAccessIdentitySummary",
                      type: "structure",
                      required: [
                        "Id",
                        "S3CanonicalUserId",
                        "Comment"
                      ],
                      members: {
                        Id: {},
                        S3CanonicalUserId: {},
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "CloudFrontOriginAccessIdentityList"
          }
        },
        ListDistributions: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/distribution"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionList: {
                shape: "S4t"
              }
            },
            payload: "DistributionList"
          }
        },
        ListDistributionsByWebACLId: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/distributionsByWebACLId/{WebACLId}"
          },
          input: {
            type: "structure",
            required: [
              "WebACLId"
            ],
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              },
              WebACLId: {
                location: "uri",
                locationName: "WebACLId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionList: {
                shape: "S4t"
              }
            },
            payload: "DistributionList"
          }
        },
        ListFieldLevelEncryptionConfigs: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/field-level-encryption"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "FieldLevelEncryptionSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "LastModifiedTime"
                      ],
                      members: {
                        Id: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        Comment: {},
                        QueryArgProfileConfig: {
                          shape: "S2n"
                        },
                        ContentTypeProfileConfig: {
                          shape: "S2r"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "FieldLevelEncryptionList"
          }
        },
        ListFieldLevelEncryptionProfiles: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/field-level-encryption-profile"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfileList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "FieldLevelEncryptionProfileSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "LastModifiedTime",
                        "Name",
                        "EncryptionEntities"
                      ],
                      members: {
                        Id: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        Name: {},
                        EncryptionEntities: {
                          shape: "S30"
                        },
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "FieldLevelEncryptionProfileList"
          }
        },
        ListInvalidations: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/distribution/{DistributionId}/invalidation"
          },
          input: {
            type: "structure",
            required: [
              "DistributionId"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InvalidationList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "InvalidationSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "CreateTime",
                        "Status"
                      ],
                      members: {
                        Id: {},
                        CreateTime: {
                          type: "timestamp"
                        },
                        Status: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "InvalidationList"
          }
        },
        ListPublicKeys: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/public-key"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKeyList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "PublicKeySummary",
                      type: "structure",
                      required: [
                        "Id",
                        "Name",
                        "CreatedTime",
                        "EncodedKey"
                      ],
                      members: {
                        Id: {},
                        Name: {},
                        CreatedTime: {
                          type: "timestamp"
                        },
                        EncodedKey: {},
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "PublicKeyList"
          }
        },
        ListStreamingDistributions: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/streaming-distribution"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistributionList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "StreamingDistributionSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "ARN",
                        "Status",
                        "LastModifiedTime",
                        "DomainName",
                        "S3Origin",
                        "Aliases",
                        "TrustedSigners",
                        "Comment",
                        "PriceClass",
                        "Enabled"
                      ],
                      members: {
                        Id: {},
                        ARN: {},
                        Status: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        DomainName: {},
                        S3Origin: {
                          shape: "S3j"
                        },
                        Aliases: {
                          shape: "S8"
                        },
                        TrustedSigners: {
                          shape: "S17"
                        },
                        Comment: {},
                        PriceClass: {},
                        Enabled: {
                          type: "boolean"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "StreamingDistributionList"
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/2019-03-26/tagging"
          },
          input: {
            type: "structure",
            required: [
              "Resource"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "S2f"
              }
            },
            payload: "Tags"
          }
        },
        TagResource: {
          http: {
            requestUri: "/2019-03-26/tagging?Operation=Tag",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "Tags"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              },
              Tags: {
                shape: "S2f",
                locationName: "Tags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                }
              }
            },
            payload: "Tags"
          }
        },
        UntagResource: {
          http: {
            requestUri: "/2019-03-26/tagging?Operation=Untag",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "TagKeys"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              },
              TagKeys: {
                locationName: "TagKeys",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                },
                type: "structure",
                members: {
                  Items: {
                    type: "list",
                    member: {
                      locationName: "Key"
                    }
                  }
                }
              }
            },
            payload: "TagKeys"
          }
        },
        UpdateCloudFrontOriginAccessIdentity: {
          http: {
            method: "PUT",
            requestUri: "/2019-03-26/origin-access-identity/cloudfront/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "CloudFrontOriginAccessIdentityConfig",
              "Id"
            ],
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S2",
                locationName: "CloudFrontOriginAccessIdentityConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S5"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        UpdateDistribution: {
          http: {
            method: "PUT",
            requestUri: "/2019-03-26/distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfig",
              "Id"
            ],
            members: {
              DistributionConfig: {
                shape: "S7",
                locationName: "DistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "DistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S23"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        UpdateFieldLevelEncryptionConfig: {
          http: {
            method: "PUT",
            requestUri: "/2019-03-26/field-level-encryption/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionConfig",
              "Id"
            ],
            members: {
              FieldLevelEncryptionConfig: {
                shape: "S2m",
                locationName: "FieldLevelEncryptionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "FieldLevelEncryptionConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryption: {
                shape: "S2x"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryption"
          }
        },
        UpdateFieldLevelEncryptionProfile: {
          http: {
            method: "PUT",
            requestUri: "/2019-03-26/field-level-encryption-profile/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionProfileConfig",
              "Id"
            ],
            members: {
              FieldLevelEncryptionProfileConfig: {
                shape: "S2z",
                locationName: "FieldLevelEncryptionProfileConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "FieldLevelEncryptionProfileConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfile: {
                shape: "S36"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfile"
          }
        },
        UpdatePublicKey: {
          http: {
            method: "PUT",
            requestUri: "/2019-03-26/public-key/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "PublicKeyConfig",
              "Id"
            ],
            members: {
              PublicKeyConfig: {
                shape: "S3e",
                locationName: "PublicKeyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "PublicKeyConfig"
          },
          output: {
            type: "structure",
            members: {
              PublicKey: {
                shape: "S3g"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKey"
          }
        },
        UpdateStreamingDistribution: {
          http: {
            method: "PUT",
            requestUri: "/2019-03-26/streaming-distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfig",
              "Id"
            ],
            members: {
              StreamingDistributionConfig: {
                shape: "S3i",
                locationName: "StreamingDistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2019-03-26/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "StreamingDistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S3m"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        }
      },
      shapes: {
        S2: {
          type: "structure",
          required: [
            "CallerReference",
            "Comment"
          ],
          members: {
            CallerReference: {},
            Comment: {}
          }
        },
        S5: {
          type: "structure",
          required: [
            "Id",
            "S3CanonicalUserId"
          ],
          members: {
            Id: {},
            S3CanonicalUserId: {},
            CloudFrontOriginAccessIdentityConfig: {
              shape: "S2"
            }
          }
        },
        S7: {
          type: "structure",
          required: [
            "CallerReference",
            "Origins",
            "DefaultCacheBehavior",
            "Comment",
            "Enabled"
          ],
          members: {
            CallerReference: {},
            Aliases: {
              shape: "S8"
            },
            DefaultRootObject: {},
            Origins: {
              shape: "Sb"
            },
            OriginGroups: {
              shape: "Sn"
            },
            DefaultCacheBehavior: {
              shape: "Sw"
            },
            CacheBehaviors: {
              shape: "S1k"
            },
            CustomErrorResponses: {
              shape: "S1n"
            },
            Comment: {
              type: "string",
              sensitive: true
            },
            Logging: {
              type: "structure",
              required: [
                "Enabled",
                "IncludeCookies",
                "Bucket",
                "Prefix"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                IncludeCookies: {
                  type: "boolean"
                },
                Bucket: {},
                Prefix: {}
              }
            },
            PriceClass: {},
            Enabled: {
              type: "boolean"
            },
            ViewerCertificate: {
              shape: "S1t"
            },
            Restrictions: {
              shape: "S1x"
            },
            WebACLId: {},
            HttpVersion: {},
            IsIPV6Enabled: {
              type: "boolean"
            }
          }
        },
        S8: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CNAME"
              }
            }
          }
        },
        Sb: {
          type: "structure",
          required: [
            "Quantity",
            "Items"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Origin",
                type: "structure",
                required: [
                  "Id",
                  "DomainName"
                ],
                members: {
                  Id: {},
                  DomainName: {},
                  OriginPath: {},
                  CustomHeaders: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "OriginCustomHeader",
                          type: "structure",
                          required: [
                            "HeaderName",
                            "HeaderValue"
                          ],
                          members: {
                            HeaderName: {},
                            HeaderValue: {}
                          }
                        }
                      }
                    }
                  },
                  S3OriginConfig: {
                    type: "structure",
                    required: [
                      "OriginAccessIdentity"
                    ],
                    members: {
                      OriginAccessIdentity: {}
                    }
                  },
                  CustomOriginConfig: {
                    type: "structure",
                    required: [
                      "HTTPPort",
                      "HTTPSPort",
                      "OriginProtocolPolicy"
                    ],
                    members: {
                      HTTPPort: {
                        type: "integer"
                      },
                      HTTPSPort: {
                        type: "integer"
                      },
                      OriginProtocolPolicy: {},
                      OriginSslProtocols: {
                        type: "structure",
                        required: [
                          "Quantity",
                          "Items"
                        ],
                        members: {
                          Quantity: {
                            type: "integer"
                          },
                          Items: {
                            type: "list",
                            member: {
                              locationName: "SslProtocol"
                            }
                          }
                        }
                      },
                      OriginReadTimeout: {
                        type: "integer"
                      },
                      OriginKeepaliveTimeout: {
                        type: "integer"
                      }
                    }
                  },
                  ConnectionAttempts: {
                    type: "integer"
                  },
                  ConnectionTimeout: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        Sn: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "OriginGroup",
                type: "structure",
                required: [
                  "Id",
                  "FailoverCriteria",
                  "Members"
                ],
                members: {
                  Id: {},
                  FailoverCriteria: {
                    type: "structure",
                    required: [
                      "StatusCodes"
                    ],
                    members: {
                      StatusCodes: {
                        type: "structure",
                        required: [
                          "Quantity",
                          "Items"
                        ],
                        members: {
                          Quantity: {
                            type: "integer"
                          },
                          Items: {
                            type: "list",
                            member: {
                              locationName: "StatusCode",
                              type: "integer"
                            }
                          }
                        }
                      }
                    }
                  },
                  Members: {
                    type: "structure",
                    required: [
                      "Quantity",
                      "Items"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "OriginGroupMember",
                          type: "structure",
                          required: [
                            "OriginId"
                          ],
                          members: {
                            OriginId: {}
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sw: {
          type: "structure",
          required: [
            "TargetOriginId",
            "ForwardedValues",
            "TrustedSigners",
            "ViewerProtocolPolicy",
            "MinTTL"
          ],
          members: {
            TargetOriginId: {},
            ForwardedValues: {
              shape: "Sx"
            },
            TrustedSigners: {
              shape: "S17"
            },
            ViewerProtocolPolicy: {},
            MinTTL: {
              type: "long"
            },
            AllowedMethods: {
              shape: "S1b"
            },
            SmoothStreaming: {
              type: "boolean"
            },
            DefaultTTL: {
              type: "long"
            },
            MaxTTL: {
              type: "long"
            },
            Compress: {
              type: "boolean"
            },
            LambdaFunctionAssociations: {
              shape: "S1f"
            },
            FieldLevelEncryptionId: {}
          }
        },
        Sx: {
          type: "structure",
          required: [
            "QueryString",
            "Cookies"
          ],
          members: {
            QueryString: {
              type: "boolean"
            },
            Cookies: {
              type: "structure",
              required: [
                "Forward"
              ],
              members: {
                Forward: {},
                WhitelistedNames: {
                  type: "structure",
                  required: [
                    "Quantity"
                  ],
                  members: {
                    Quantity: {
                      type: "integer"
                    },
                    Items: {
                      type: "list",
                      member: {
                        locationName: "Name"
                      }
                    }
                  }
                }
              }
            },
            Headers: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Name"
                  }
                }
              }
            },
            QueryStringCacheKeys: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Name"
                  }
                }
              }
            }
          }
        },
        S17: {
          type: "structure",
          required: [
            "Enabled",
            "Quantity"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "AwsAccountNumber"
              }
            }
          }
        },
        S1b: {
          type: "structure",
          required: [
            "Quantity",
            "Items"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              shape: "S1c"
            },
            CachedMethods: {
              type: "structure",
              required: [
                "Quantity",
                "Items"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  shape: "S1c"
                }
              }
            }
          }
        },
        S1c: {
          type: "list",
          member: {
            locationName: "Method"
          }
        },
        S1f: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "LambdaFunctionAssociation",
                type: "structure",
                required: [
                  "LambdaFunctionARN",
                  "EventType"
                ],
                members: {
                  LambdaFunctionARN: {},
                  EventType: {},
                  IncludeBody: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        S1k: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CacheBehavior",
                type: "structure",
                required: [
                  "PathPattern",
                  "TargetOriginId",
                  "ForwardedValues",
                  "TrustedSigners",
                  "ViewerProtocolPolicy",
                  "MinTTL"
                ],
                members: {
                  PathPattern: {},
                  TargetOriginId: {},
                  ForwardedValues: {
                    shape: "Sx"
                  },
                  TrustedSigners: {
                    shape: "S17"
                  },
                  ViewerProtocolPolicy: {},
                  MinTTL: {
                    type: "long"
                  },
                  AllowedMethods: {
                    shape: "S1b"
                  },
                  SmoothStreaming: {
                    type: "boolean"
                  },
                  DefaultTTL: {
                    type: "long"
                  },
                  MaxTTL: {
                    type: "long"
                  },
                  Compress: {
                    type: "boolean"
                  },
                  LambdaFunctionAssociations: {
                    shape: "S1f"
                  },
                  FieldLevelEncryptionId: {}
                }
              }
            }
          }
        },
        S1n: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CustomErrorResponse",
                type: "structure",
                required: [
                  "ErrorCode"
                ],
                members: {
                  ErrorCode: {
                    type: "integer"
                  },
                  ResponsePagePath: {},
                  ResponseCode: {},
                  ErrorCachingMinTTL: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        S1t: {
          type: "structure",
          members: {
            CloudFrontDefaultCertificate: {
              type: "boolean"
            },
            IAMCertificateId: {},
            ACMCertificateArn: {},
            SSLSupportMethod: {},
            MinimumProtocolVersion: {},
            Certificate: {
              deprecated: true
            },
            CertificateSource: {
              deprecated: true
            }
          }
        },
        S1x: {
          type: "structure",
          required: [
            "GeoRestriction"
          ],
          members: {
            GeoRestriction: {
              type: "structure",
              required: [
                "RestrictionType",
                "Quantity"
              ],
              members: {
                RestrictionType: {},
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Location"
                  }
                }
              }
            }
          }
        },
        S23: {
          type: "structure",
          required: [
            "Id",
            "ARN",
            "Status",
            "LastModifiedTime",
            "InProgressInvalidationBatches",
            "DomainName",
            "ActiveTrustedSigners",
            "DistributionConfig"
          ],
          members: {
            Id: {},
            ARN: {},
            Status: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            InProgressInvalidationBatches: {
              type: "integer"
            },
            DomainName: {},
            ActiveTrustedSigners: {
              shape: "S25"
            },
            DistributionConfig: {
              shape: "S7"
            },
            AliasICPRecordals: {
              shape: "S2a"
            }
          }
        },
        S25: {
          type: "structure",
          required: [
            "Enabled",
            "Quantity"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Signer",
                type: "structure",
                members: {
                  AwsAccountNumber: {},
                  KeyPairIds: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "KeyPairId"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S2a: {
          type: "list",
          member: {
            locationName: "AliasICPRecordal",
            type: "structure",
            members: {
              CNAME: {},
              ICPRecordalStatus: {}
            }
          }
        },
        S2f: {
          type: "structure",
          members: {
            Items: {
              type: "list",
              member: {
                locationName: "Tag",
                type: "structure",
                required: [
                  "Key"
                ],
                members: {
                  Key: {},
                  Value: {}
                }
              }
            }
          }
        },
        S2m: {
          type: "structure",
          required: [
            "CallerReference"
          ],
          members: {
            CallerReference: {},
            Comment: {},
            QueryArgProfileConfig: {
              shape: "S2n"
            },
            ContentTypeProfileConfig: {
              shape: "S2r"
            }
          }
        },
        S2n: {
          type: "structure",
          required: [
            "ForwardWhenQueryArgProfileIsUnknown"
          ],
          members: {
            ForwardWhenQueryArgProfileIsUnknown: {
              type: "boolean"
            },
            QueryArgProfiles: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "QueryArgProfile",
                    type: "structure",
                    required: [
                      "QueryArg",
                      "ProfileId"
                    ],
                    members: {
                      QueryArg: {},
                      ProfileId: {}
                    }
                  }
                }
              }
            }
          }
        },
        S2r: {
          type: "structure",
          required: [
            "ForwardWhenContentTypeIsUnknown"
          ],
          members: {
            ForwardWhenContentTypeIsUnknown: {
              type: "boolean"
            },
            ContentTypeProfiles: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "ContentTypeProfile",
                    type: "structure",
                    required: [
                      "Format",
                      "ContentType"
                    ],
                    members: {
                      Format: {},
                      ProfileId: {},
                      ContentType: {}
                    }
                  }
                }
              }
            }
          }
        },
        S2x: {
          type: "structure",
          required: [
            "Id",
            "LastModifiedTime",
            "FieldLevelEncryptionConfig"
          ],
          members: {
            Id: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            FieldLevelEncryptionConfig: {
              shape: "S2m"
            }
          }
        },
        S2z: {
          type: "structure",
          required: [
            "Name",
            "CallerReference",
            "EncryptionEntities"
          ],
          members: {
            Name: {},
            CallerReference: {},
            Comment: {},
            EncryptionEntities: {
              shape: "S30"
            }
          }
        },
        S30: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "EncryptionEntity",
                type: "structure",
                required: [
                  "PublicKeyId",
                  "ProviderId",
                  "FieldPatterns"
                ],
                members: {
                  PublicKeyId: {},
                  ProviderId: {},
                  FieldPatterns: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "FieldPattern"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S36: {
          type: "structure",
          required: [
            "Id",
            "LastModifiedTime",
            "FieldLevelEncryptionProfileConfig"
          ],
          members: {
            Id: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            FieldLevelEncryptionProfileConfig: {
              shape: "S2z"
            }
          }
        },
        S38: {
          type: "structure",
          required: [
            "Paths",
            "CallerReference"
          ],
          members: {
            Paths: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Path"
                  }
                }
              }
            },
            CallerReference: {}
          }
        },
        S3c: {
          type: "structure",
          required: [
            "Id",
            "Status",
            "CreateTime",
            "InvalidationBatch"
          ],
          members: {
            Id: {},
            Status: {},
            CreateTime: {
              type: "timestamp"
            },
            InvalidationBatch: {
              shape: "S38"
            }
          }
        },
        S3e: {
          type: "structure",
          required: [
            "CallerReference",
            "Name",
            "EncodedKey"
          ],
          members: {
            CallerReference: {},
            Name: {},
            EncodedKey: {},
            Comment: {}
          }
        },
        S3g: {
          type: "structure",
          required: [
            "Id",
            "CreatedTime",
            "PublicKeyConfig"
          ],
          members: {
            Id: {},
            CreatedTime: {
              type: "timestamp"
            },
            PublicKeyConfig: {
              shape: "S3e"
            }
          }
        },
        S3i: {
          type: "structure",
          required: [
            "CallerReference",
            "S3Origin",
            "Comment",
            "TrustedSigners",
            "Enabled"
          ],
          members: {
            CallerReference: {},
            S3Origin: {
              shape: "S3j"
            },
            Aliases: {
              shape: "S8"
            },
            Comment: {},
            Logging: {
              type: "structure",
              required: [
                "Enabled",
                "Bucket",
                "Prefix"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                Bucket: {},
                Prefix: {}
              }
            },
            TrustedSigners: {
              shape: "S17"
            },
            PriceClass: {},
            Enabled: {
              type: "boolean"
            }
          }
        },
        S3j: {
          type: "structure",
          required: [
            "DomainName",
            "OriginAccessIdentity"
          ],
          members: {
            DomainName: {},
            OriginAccessIdentity: {}
          }
        },
        S3m: {
          type: "structure",
          required: [
            "Id",
            "ARN",
            "Status",
            "DomainName",
            "ActiveTrustedSigners",
            "StreamingDistributionConfig"
          ],
          members: {
            Id: {},
            ARN: {},
            Status: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            DomainName: {},
            ActiveTrustedSigners: {
              shape: "S25"
            },
            StreamingDistributionConfig: {
              shape: "S3i"
            }
          }
        },
        S4t: {
          type: "structure",
          required: [
            "Marker",
            "MaxItems",
            "IsTruncated",
            "Quantity"
          ],
          members: {
            Marker: {},
            NextMarker: {},
            MaxItems: {
              type: "integer"
            },
            IsTruncated: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "DistributionSummary",
                type: "structure",
                required: [
                  "Id",
                  "ARN",
                  "Status",
                  "LastModifiedTime",
                  "DomainName",
                  "Aliases",
                  "Origins",
                  "DefaultCacheBehavior",
                  "CacheBehaviors",
                  "CustomErrorResponses",
                  "Comment",
                  "PriceClass",
                  "Enabled",
                  "ViewerCertificate",
                  "Restrictions",
                  "WebACLId",
                  "HttpVersion",
                  "IsIPV6Enabled"
                ],
                members: {
                  Id: {},
                  ARN: {},
                  Status: {},
                  LastModifiedTime: {
                    type: "timestamp"
                  },
                  DomainName: {},
                  Aliases: {
                    shape: "S8"
                  },
                  Origins: {
                    shape: "Sb"
                  },
                  OriginGroups: {
                    shape: "Sn"
                  },
                  DefaultCacheBehavior: {
                    shape: "Sw"
                  },
                  CacheBehaviors: {
                    shape: "S1k"
                  },
                  CustomErrorResponses: {
                    shape: "S1n"
                  },
                  Comment: {},
                  PriceClass: {},
                  Enabled: {
                    type: "boolean"
                  },
                  ViewerCertificate: {
                    shape: "S1t"
                  },
                  Restrictions: {
                    shape: "S1x"
                  },
                  WebACLId: {},
                  HttpVersion: {},
                  IsIPV6Enabled: {
                    type: "boolean"
                  },
                  AliasICPRecordals: {
                    shape: "S2a"
                  }
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2019-03-26.paginators.json
var require_cloudfront_2019_03_26_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2019-03-26.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListCloudFrontOriginAccessIdentities: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "CloudFrontOriginAccessIdentityList.IsTruncated",
          output_token: "CloudFrontOriginAccessIdentityList.NextMarker",
          result_key: "CloudFrontOriginAccessIdentityList.Items"
        },
        ListDistributions: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "DistributionList.IsTruncated",
          output_token: "DistributionList.NextMarker",
          result_key: "DistributionList.Items"
        },
        ListInvalidations: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "InvalidationList.IsTruncated",
          output_token: "InvalidationList.NextMarker",
          result_key: "InvalidationList.Items"
        },
        ListStreamingDistributions: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "StreamingDistributionList.IsTruncated",
          output_token: "StreamingDistributionList.NextMarker",
          result_key: "StreamingDistributionList.Items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2019-03-26.waiters2.json
var require_cloudfront_2019_03_26_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2019-03-26.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        DistributionDeployed: {
          delay: 60,
          operation: "GetDistribution",
          maxAttempts: 35,
          description: "Wait until a distribution is deployed.",
          acceptors: [
            {
              expected: "Deployed",
              matcher: "path",
              state: "success",
              argument: "Distribution.Status"
            }
          ]
        },
        InvalidationCompleted: {
          delay: 20,
          operation: "GetInvalidation",
          maxAttempts: 30,
          description: "Wait until an invalidation has completed.",
          acceptors: [
            {
              expected: "Completed",
              matcher: "path",
              state: "success",
              argument: "Invalidation.Status"
            }
          ]
        },
        StreamingDistributionDeployed: {
          delay: 60,
          operation: "GetStreamingDistribution",
          maxAttempts: 25,
          description: "Wait until a streaming distribution is deployed.",
          acceptors: [
            {
              expected: "Deployed",
              matcher: "path",
              state: "success",
              argument: "StreamingDistribution.Status"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2020-05-31.min.json
var require_cloudfront_2020_05_31_min = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2020-05-31.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-05-31",
        endpointPrefix: "cloudfront",
        globalEndpoint: "cloudfront.amazonaws.com",
        protocol: "rest-xml",
        serviceAbbreviation: "CloudFront",
        serviceFullName: "Amazon CloudFront",
        serviceId: "CloudFront",
        signatureVersion: "v4",
        uid: "cloudfront-2020-05-31"
      },
      operations: {
        AssociateAlias: {
          http: {
            method: "PUT",
            requestUri: "/2020-05-31/distribution/{TargetDistributionId}/associate-alias",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "TargetDistributionId",
              "Alias"
            ],
            members: {
              TargetDistributionId: {
                location: "uri",
                locationName: "TargetDistributionId"
              },
              Alias: {
                location: "querystring",
                locationName: "Alias"
              }
            }
          }
        },
        CopyDistribution: {
          http: {
            requestUri: "/2020-05-31/distribution/{PrimaryDistributionId}/copy",
            responseCode: 201
          },
          input: {
            locationName: "CopyDistributionRequest",
            xmlNamespace: {
              uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
            },
            type: "structure",
            required: [
              "PrimaryDistributionId",
              "CallerReference"
            ],
            members: {
              PrimaryDistributionId: {
                location: "uri",
                locationName: "PrimaryDistributionId"
              },
              Staging: {
                location: "header",
                locationName: "Staging",
                type: "boolean"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              },
              CallerReference: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S6"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        CreateCachePolicy: {
          http: {
            requestUri: "/2020-05-31/cache-policy",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "CachePolicyConfig"
            ],
            members: {
              CachePolicyConfig: {
                shape: "S2n",
                locationName: "CachePolicyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              }
            },
            payload: "CachePolicyConfig"
          },
          output: {
            type: "structure",
            members: {
              CachePolicy: {
                shape: "S2y"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CachePolicy"
          }
        },
        CreateCloudFrontOriginAccessIdentity: {
          http: {
            requestUri: "/2020-05-31/origin-access-identity/cloudfront",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "CloudFrontOriginAccessIdentityConfig"
            ],
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S30",
                locationName: "CloudFrontOriginAccessIdentityConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S32"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        CreateContinuousDeploymentPolicy: {
          http: {
            requestUri: "/2020-05-31/continuous-deployment-policy",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ContinuousDeploymentPolicyConfig"
            ],
            members: {
              ContinuousDeploymentPolicyConfig: {
                shape: "S34",
                locationName: "ContinuousDeploymentPolicyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              }
            },
            payload: "ContinuousDeploymentPolicyConfig"
          },
          output: {
            type: "structure",
            members: {
              ContinuousDeploymentPolicy: {
                shape: "S3e"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "ContinuousDeploymentPolicy"
          }
        },
        CreateDistribution: {
          http: {
            requestUri: "/2020-05-31/distribution",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfig"
            ],
            members: {
              DistributionConfig: {
                shape: "Sh",
                locationName: "DistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              }
            },
            payload: "DistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S6"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        CreateDistributionWithTags: {
          http: {
            requestUri: "/2020-05-31/distribution?WithTags",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfigWithTags"
            ],
            members: {
              DistributionConfigWithTags: {
                locationName: "DistributionConfigWithTags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                },
                type: "structure",
                required: [
                  "DistributionConfig",
                  "Tags"
                ],
                members: {
                  DistributionConfig: {
                    shape: "Sh"
                  },
                  Tags: {
                    shape: "S3j"
                  }
                }
              }
            },
            payload: "DistributionConfigWithTags"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S6"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        CreateFieldLevelEncryptionConfig: {
          http: {
            requestUri: "/2020-05-31/field-level-encryption",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionConfig"
            ],
            members: {
              FieldLevelEncryptionConfig: {
                shape: "S3q",
                locationName: "FieldLevelEncryptionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              }
            },
            payload: "FieldLevelEncryptionConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryption: {
                shape: "S41"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryption"
          }
        },
        CreateFieldLevelEncryptionProfile: {
          http: {
            requestUri: "/2020-05-31/field-level-encryption-profile",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionProfileConfig"
            ],
            members: {
              FieldLevelEncryptionProfileConfig: {
                shape: "S43",
                locationName: "FieldLevelEncryptionProfileConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              }
            },
            payload: "FieldLevelEncryptionProfileConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfile: {
                shape: "S4a"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfile"
          }
        },
        CreateFunction: {
          http: {
            requestUri: "/2020-05-31/function",
            responseCode: 201
          },
          input: {
            locationName: "CreateFunctionRequest",
            xmlNamespace: {
              uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
            },
            type: "structure",
            required: [
              "Name",
              "FunctionConfig",
              "FunctionCode"
            ],
            members: {
              Name: {},
              FunctionConfig: {
                shape: "S4d"
              },
              FunctionCode: {
                shape: "S4f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FunctionSummary: {
                shape: "S4h"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FunctionSummary"
          }
        },
        CreateInvalidation: {
          http: {
            requestUri: "/2020-05-31/distribution/{DistributionId}/invalidation",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DistributionId",
              "InvalidationBatch"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              InvalidationBatch: {
                shape: "S4l",
                locationName: "InvalidationBatch",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              }
            },
            payload: "InvalidationBatch"
          },
          output: {
            type: "structure",
            members: {
              Location: {
                location: "header",
                locationName: "Location"
              },
              Invalidation: {
                shape: "S4p"
              }
            },
            payload: "Invalidation"
          }
        },
        CreateKeyGroup: {
          http: {
            requestUri: "/2020-05-31/key-group",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "KeyGroupConfig"
            ],
            members: {
              KeyGroupConfig: {
                shape: "S4r",
                locationName: "KeyGroupConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              }
            },
            payload: "KeyGroupConfig"
          },
          output: {
            type: "structure",
            members: {
              KeyGroup: {
                shape: "S4u"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "KeyGroup"
          }
        },
        CreateMonitoringSubscription: {
          http: {
            requestUri: "/2020-05-31/distributions/{DistributionId}/monitoring-subscription/"
          },
          input: {
            type: "structure",
            required: [
              "MonitoringSubscription",
              "DistributionId"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              MonitoringSubscription: {
                shape: "S4w",
                locationName: "MonitoringSubscription",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              }
            },
            payload: "MonitoringSubscription"
          },
          output: {
            type: "structure",
            members: {
              MonitoringSubscription: {
                shape: "S4w"
              }
            },
            payload: "MonitoringSubscription"
          }
        },
        CreateOriginAccessControl: {
          http: {
            requestUri: "/2020-05-31/origin-access-control",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "OriginAccessControlConfig"
            ],
            members: {
              OriginAccessControlConfig: {
                shape: "S51",
                locationName: "OriginAccessControlConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              }
            },
            payload: "OriginAccessControlConfig"
          },
          output: {
            type: "structure",
            members: {
              OriginAccessControl: {
                shape: "S56"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "OriginAccessControl"
          }
        },
        CreateOriginRequestPolicy: {
          http: {
            requestUri: "/2020-05-31/origin-request-policy",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "OriginRequestPolicyConfig"
            ],
            members: {
              OriginRequestPolicyConfig: {
                shape: "S58",
                locationName: "OriginRequestPolicyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              }
            },
            payload: "OriginRequestPolicyConfig"
          },
          output: {
            type: "structure",
            members: {
              OriginRequestPolicy: {
                shape: "S5g"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "OriginRequestPolicy"
          }
        },
        CreatePublicKey: {
          http: {
            requestUri: "/2020-05-31/public-key",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "PublicKeyConfig"
            ],
            members: {
              PublicKeyConfig: {
                shape: "S5i",
                locationName: "PublicKeyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              }
            },
            payload: "PublicKeyConfig"
          },
          output: {
            type: "structure",
            members: {
              PublicKey: {
                shape: "S5k"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKey"
          }
        },
        CreateRealtimeLogConfig: {
          http: {
            requestUri: "/2020-05-31/realtime-log-config",
            responseCode: 201
          },
          input: {
            locationName: "CreateRealtimeLogConfigRequest",
            xmlNamespace: {
              uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
            },
            type: "structure",
            required: [
              "EndPoints",
              "Fields",
              "Name",
              "SamplingRate"
            ],
            members: {
              EndPoints: {
                shape: "S5m"
              },
              Fields: {
                shape: "S5p"
              },
              Name: {},
              SamplingRate: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RealtimeLogConfig: {
                shape: "S5r"
              }
            }
          }
        },
        CreateResponseHeadersPolicy: {
          http: {
            requestUri: "/2020-05-31/response-headers-policy",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ResponseHeadersPolicyConfig"
            ],
            members: {
              ResponseHeadersPolicyConfig: {
                shape: "S5t",
                locationName: "ResponseHeadersPolicyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              }
            },
            payload: "ResponseHeadersPolicyConfig"
          },
          output: {
            type: "structure",
            members: {
              ResponseHeadersPolicy: {
                shape: "S6m"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "ResponseHeadersPolicy"
          }
        },
        CreateStreamingDistribution: {
          http: {
            requestUri: "/2020-05-31/streaming-distribution",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfig"
            ],
            members: {
              StreamingDistributionConfig: {
                shape: "S6o",
                locationName: "StreamingDistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              }
            },
            payload: "StreamingDistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S6s"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        CreateStreamingDistributionWithTags: {
          http: {
            requestUri: "/2020-05-31/streaming-distribution?WithTags",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfigWithTags"
            ],
            members: {
              StreamingDistributionConfigWithTags: {
                locationName: "StreamingDistributionConfigWithTags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                },
                type: "structure",
                required: [
                  "StreamingDistributionConfig",
                  "Tags"
                ],
                members: {
                  StreamingDistributionConfig: {
                    shape: "S6o"
                  },
                  Tags: {
                    shape: "S3j"
                  }
                }
              }
            },
            payload: "StreamingDistributionConfigWithTags"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S6s"
              },
              Location: {
                location: "header",
                locationName: "Location"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        DeleteCachePolicy: {
          http: {
            method: "DELETE",
            requestUri: "/2020-05-31/cache-policy/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteCloudFrontOriginAccessIdentity: {
          http: {
            method: "DELETE",
            requestUri: "/2020-05-31/origin-access-identity/cloudfront/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteContinuousDeploymentPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/2020-05-31/continuous-deployment-policy/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteDistribution: {
          http: {
            method: "DELETE",
            requestUri: "/2020-05-31/distribution/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteFieldLevelEncryptionConfig: {
          http: {
            method: "DELETE",
            requestUri: "/2020-05-31/field-level-encryption/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteFieldLevelEncryptionProfile: {
          http: {
            method: "DELETE",
            requestUri: "/2020-05-31/field-level-encryption-profile/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteFunction: {
          http: {
            method: "DELETE",
            requestUri: "/2020-05-31/function/{Name}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "IfMatch",
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteKeyGroup: {
          http: {
            method: "DELETE",
            requestUri: "/2020-05-31/key-group/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteMonitoringSubscription: {
          http: {
            method: "DELETE",
            requestUri: "/2020-05-31/distributions/{DistributionId}/monitoring-subscription/"
          },
          input: {
            type: "structure",
            required: [
              "DistributionId"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteOriginAccessControl: {
          http: {
            method: "DELETE",
            requestUri: "/2020-05-31/origin-access-control/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteOriginRequestPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/2020-05-31/origin-request-policy/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeletePublicKey: {
          http: {
            method: "DELETE",
            requestUri: "/2020-05-31/public-key/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteRealtimeLogConfig: {
          http: {
            requestUri: "/2020-05-31/delete-realtime-log-config/",
            responseCode: 204
          },
          input: {
            locationName: "DeleteRealtimeLogConfigRequest",
            xmlNamespace: {
              uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
            },
            type: "structure",
            members: {
              Name: {},
              ARN: {}
            }
          }
        },
        DeleteResponseHeadersPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/2020-05-31/response-headers-policy/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DeleteStreamingDistribution: {
          http: {
            method: "DELETE",
            requestUri: "/2020-05-31/streaming-distribution/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          }
        },
        DescribeFunction: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/function/{Name}/describe"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              },
              Stage: {
                location: "querystring",
                locationName: "Stage"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FunctionSummary: {
                shape: "S4h"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FunctionSummary"
          }
        },
        GetCachePolicy: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/cache-policy/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CachePolicy: {
                shape: "S2y"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CachePolicy"
          }
        },
        GetCachePolicyConfig: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/cache-policy/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CachePolicyConfig: {
                shape: "S2n"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CachePolicyConfig"
          }
        },
        GetCloudFrontOriginAccessIdentity: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/origin-access-identity/cloudfront/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S32"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        GetCloudFrontOriginAccessIdentityConfig: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/origin-access-identity/cloudfront/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S30"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          }
        },
        GetContinuousDeploymentPolicy: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/continuous-deployment-policy/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContinuousDeploymentPolicy: {
                shape: "S3e"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "ContinuousDeploymentPolicy"
          }
        },
        GetContinuousDeploymentPolicyConfig: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/continuous-deployment-policy/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContinuousDeploymentPolicyConfig: {
                shape: "S34"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "ContinuousDeploymentPolicyConfig"
          }
        },
        GetDistribution: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/distribution/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S6"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        GetDistributionConfig: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionConfig: {
                shape: "Sh"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "DistributionConfig"
          }
        },
        GetFieldLevelEncryption: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/field-level-encryption/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryption: {
                shape: "S41"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryption"
          }
        },
        GetFieldLevelEncryptionConfig: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/field-level-encryption/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionConfig: {
                shape: "S3q"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionConfig"
          }
        },
        GetFieldLevelEncryptionProfile: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/field-level-encryption-profile/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfile: {
                shape: "S4a"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfile"
          }
        },
        GetFieldLevelEncryptionProfileConfig: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/field-level-encryption-profile/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfileConfig: {
                shape: "S43"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfileConfig"
          }
        },
        GetFunction: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/function/{Name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              },
              Stage: {
                location: "querystring",
                locationName: "Stage"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FunctionCode: {
                shape: "S4f"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              }
            },
            payload: "FunctionCode"
          }
        },
        GetInvalidation: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/distribution/{DistributionId}/invalidation/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "DistributionId",
              "Id"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Invalidation: {
                shape: "S4p"
              }
            },
            payload: "Invalidation"
          }
        },
        GetKeyGroup: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/key-group/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KeyGroup: {
                shape: "S4u"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "KeyGroup"
          }
        },
        GetKeyGroupConfig: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/key-group/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KeyGroupConfig: {
                shape: "S4r"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "KeyGroupConfig"
          }
        },
        GetMonitoringSubscription: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/distributions/{DistributionId}/monitoring-subscription/"
          },
          input: {
            type: "structure",
            required: [
              "DistributionId"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MonitoringSubscription: {
                shape: "S4w"
              }
            },
            payload: "MonitoringSubscription"
          }
        },
        GetOriginAccessControl: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/origin-access-control/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OriginAccessControl: {
                shape: "S56"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "OriginAccessControl"
          }
        },
        GetOriginAccessControlConfig: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/origin-access-control/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OriginAccessControlConfig: {
                shape: "S51"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "OriginAccessControlConfig"
          }
        },
        GetOriginRequestPolicy: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/origin-request-policy/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OriginRequestPolicy: {
                shape: "S5g"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "OriginRequestPolicy"
          }
        },
        GetOriginRequestPolicyConfig: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/origin-request-policy/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OriginRequestPolicyConfig: {
                shape: "S58"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "OriginRequestPolicyConfig"
          }
        },
        GetPublicKey: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/public-key/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKey: {
                shape: "S5k"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKey"
          }
        },
        GetPublicKeyConfig: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/public-key/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKeyConfig: {
                shape: "S5i"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKeyConfig"
          }
        },
        GetRealtimeLogConfig: {
          http: {
            requestUri: "/2020-05-31/get-realtime-log-config/"
          },
          input: {
            locationName: "GetRealtimeLogConfigRequest",
            xmlNamespace: {
              uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
            },
            type: "structure",
            members: {
              Name: {},
              ARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RealtimeLogConfig: {
                shape: "S5r"
              }
            }
          }
        },
        GetResponseHeadersPolicy: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/response-headers-policy/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResponseHeadersPolicy: {
                shape: "S6m"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "ResponseHeadersPolicy"
          }
        },
        GetResponseHeadersPolicyConfig: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/response-headers-policy/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResponseHeadersPolicyConfig: {
                shape: "S5t"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "ResponseHeadersPolicyConfig"
          }
        },
        GetStreamingDistribution: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/streaming-distribution/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S6s"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        },
        GetStreamingDistributionConfig: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/streaming-distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistributionConfig: {
                shape: "S6o"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistributionConfig"
          }
        },
        ListCachePolicies: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/cache-policy"
          },
          input: {
            type: "structure",
            members: {
              Type: {
                location: "querystring",
                locationName: "Type"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CachePolicyList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "CachePolicySummary",
                      type: "structure",
                      required: [
                        "Type",
                        "CachePolicy"
                      ],
                      members: {
                        Type: {},
                        CachePolicy: {
                          shape: "S2y"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "CachePolicyList"
          }
        },
        ListCloudFrontOriginAccessIdentities: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/origin-access-identity/cloudfront"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentityList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "CloudFrontOriginAccessIdentitySummary",
                      type: "structure",
                      required: [
                        "Id",
                        "S3CanonicalUserId",
                        "Comment"
                      ],
                      members: {
                        Id: {},
                        S3CanonicalUserId: {},
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "CloudFrontOriginAccessIdentityList"
          }
        },
        ListConflictingAliases: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/conflicting-alias",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DistributionId",
              "Alias"
            ],
            members: {
              DistributionId: {
                location: "querystring",
                locationName: "DistributionId"
              },
              Alias: {
                location: "querystring",
                locationName: "Alias"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConflictingAliasesList: {
                type: "structure",
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "ConflictingAlias",
                      type: "structure",
                      members: {
                        Alias: {},
                        DistributionId: {},
                        AccountId: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "ConflictingAliasesList"
          }
        },
        ListContinuousDeploymentPolicies: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/continuous-deployment-policy"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContinuousDeploymentPolicyList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "ContinuousDeploymentPolicySummary",
                      type: "structure",
                      required: [
                        "ContinuousDeploymentPolicy"
                      ],
                      members: {
                        ContinuousDeploymentPolicy: {
                          shape: "S3e"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "ContinuousDeploymentPolicyList"
          }
        },
        ListDistributions: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/distribution"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionList: {
                shape: "S9o"
              }
            },
            payload: "DistributionList"
          }
        },
        ListDistributionsByCachePolicyId: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/distributionsByCachePolicyId/{CachePolicyId}"
          },
          input: {
            type: "structure",
            required: [
              "CachePolicyId"
            ],
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              },
              CachePolicyId: {
                location: "uri",
                locationName: "CachePolicyId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionIdList: {
                shape: "S9t"
              }
            },
            payload: "DistributionIdList"
          }
        },
        ListDistributionsByKeyGroup: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/distributionsByKeyGroupId/{KeyGroupId}"
          },
          input: {
            type: "structure",
            required: [
              "KeyGroupId"
            ],
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              },
              KeyGroupId: {
                location: "uri",
                locationName: "KeyGroupId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionIdList: {
                shape: "S9t"
              }
            },
            payload: "DistributionIdList"
          }
        },
        ListDistributionsByOriginRequestPolicyId: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/distributionsByOriginRequestPolicyId/{OriginRequestPolicyId}"
          },
          input: {
            type: "structure",
            required: [
              "OriginRequestPolicyId"
            ],
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              },
              OriginRequestPolicyId: {
                location: "uri",
                locationName: "OriginRequestPolicyId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionIdList: {
                shape: "S9t"
              }
            },
            payload: "DistributionIdList"
          }
        },
        ListDistributionsByRealtimeLogConfig: {
          http: {
            requestUri: "/2020-05-31/distributionsByRealtimeLogConfig/"
          },
          input: {
            locationName: "ListDistributionsByRealtimeLogConfigRequest",
            xmlNamespace: {
              uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
            },
            type: "structure",
            members: {
              Marker: {},
              MaxItems: {},
              RealtimeLogConfigName: {},
              RealtimeLogConfigArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionList: {
                shape: "S9o"
              }
            },
            payload: "DistributionList"
          }
        },
        ListDistributionsByResponseHeadersPolicyId: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/distributionsByResponseHeadersPolicyId/{ResponseHeadersPolicyId}"
          },
          input: {
            type: "structure",
            required: [
              "ResponseHeadersPolicyId"
            ],
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              },
              ResponseHeadersPolicyId: {
                location: "uri",
                locationName: "ResponseHeadersPolicyId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionIdList: {
                shape: "S9t"
              }
            },
            payload: "DistributionIdList"
          }
        },
        ListDistributionsByWebACLId: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/distributionsByWebACLId/{WebACLId}"
          },
          input: {
            type: "structure",
            required: [
              "WebACLId"
            ],
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              },
              WebACLId: {
                location: "uri",
                locationName: "WebACLId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DistributionList: {
                shape: "S9o"
              }
            },
            payload: "DistributionList"
          }
        },
        ListFieldLevelEncryptionConfigs: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/field-level-encryption"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "FieldLevelEncryptionSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "LastModifiedTime"
                      ],
                      members: {
                        Id: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        Comment: {},
                        QueryArgProfileConfig: {
                          shape: "S3r"
                        },
                        ContentTypeProfileConfig: {
                          shape: "S3v"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "FieldLevelEncryptionList"
          }
        },
        ListFieldLevelEncryptionProfiles: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/field-level-encryption-profile"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfileList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "FieldLevelEncryptionProfileSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "LastModifiedTime",
                        "Name",
                        "EncryptionEntities"
                      ],
                      members: {
                        Id: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        Name: {},
                        EncryptionEntities: {
                          shape: "S44"
                        },
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "FieldLevelEncryptionProfileList"
          }
        },
        ListFunctions: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/function"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              },
              Stage: {
                location: "querystring",
                locationName: "Stage"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FunctionList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      shape: "S4h",
                      locationName: "FunctionSummary"
                    }
                  }
                }
              }
            },
            payload: "FunctionList"
          }
        },
        ListInvalidations: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/distribution/{DistributionId}/invalidation"
          },
          input: {
            type: "structure",
            required: [
              "DistributionId"
            ],
            members: {
              DistributionId: {
                location: "uri",
                locationName: "DistributionId"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InvalidationList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "InvalidationSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "CreateTime",
                        "Status"
                      ],
                      members: {
                        Id: {},
                        CreateTime: {
                          type: "timestamp"
                        },
                        Status: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "InvalidationList"
          }
        },
        ListKeyGroups: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/key-group"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KeyGroupList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "KeyGroupSummary",
                      type: "structure",
                      required: [
                        "KeyGroup"
                      ],
                      members: {
                        KeyGroup: {
                          shape: "S4u"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "KeyGroupList"
          }
        },
        ListOriginAccessControls: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/origin-access-control"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OriginAccessControlList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "OriginAccessControlSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "Description",
                        "Name",
                        "SigningProtocol",
                        "SigningBehavior",
                        "OriginAccessControlOriginType"
                      ],
                      members: {
                        Id: {},
                        Description: {},
                        Name: {},
                        SigningProtocol: {},
                        SigningBehavior: {},
                        OriginAccessControlOriginType: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "OriginAccessControlList"
          }
        },
        ListOriginRequestPolicies: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/origin-request-policy"
          },
          input: {
            type: "structure",
            members: {
              Type: {
                location: "querystring",
                locationName: "Type"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OriginRequestPolicyList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "OriginRequestPolicySummary",
                      type: "structure",
                      required: [
                        "Type",
                        "OriginRequestPolicy"
                      ],
                      members: {
                        Type: {},
                        OriginRequestPolicy: {
                          shape: "S5g"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "OriginRequestPolicyList"
          }
        },
        ListPublicKeys: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/public-key"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKeyList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "PublicKeySummary",
                      type: "structure",
                      required: [
                        "Id",
                        "Name",
                        "CreatedTime",
                        "EncodedKey"
                      ],
                      members: {
                        Id: {},
                        Name: {},
                        CreatedTime: {
                          type: "timestamp"
                        },
                        EncodedKey: {},
                        Comment: {}
                      }
                    }
                  }
                }
              }
            },
            payload: "PublicKeyList"
          }
        },
        ListRealtimeLogConfigs: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/realtime-log-config"
          },
          input: {
            type: "structure",
            members: {
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RealtimeLogConfigs: {
                type: "structure",
                required: [
                  "MaxItems",
                  "IsTruncated",
                  "Marker"
                ],
                members: {
                  MaxItems: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      shape: "S5r"
                    }
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Marker: {},
                  NextMarker: {}
                }
              }
            },
            payload: "RealtimeLogConfigs"
          }
        },
        ListResponseHeadersPolicies: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/response-headers-policy"
          },
          input: {
            type: "structure",
            members: {
              Type: {
                location: "querystring",
                locationName: "Type"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResponseHeadersPolicyList: {
                type: "structure",
                required: [
                  "MaxItems",
                  "Quantity"
                ],
                members: {
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "ResponseHeadersPolicySummary",
                      type: "structure",
                      required: [
                        "Type",
                        "ResponseHeadersPolicy"
                      ],
                      members: {
                        Type: {},
                        ResponseHeadersPolicy: {
                          shape: "S6m"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "ResponseHeadersPolicyList"
          }
        },
        ListStreamingDistributions: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/streaming-distribution"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingDistributionList: {
                type: "structure",
                required: [
                  "Marker",
                  "MaxItems",
                  "IsTruncated",
                  "Quantity"
                ],
                members: {
                  Marker: {},
                  NextMarker: {},
                  MaxItems: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Quantity: {
                    type: "integer"
                  },
                  Items: {
                    type: "list",
                    member: {
                      locationName: "StreamingDistributionSummary",
                      type: "structure",
                      required: [
                        "Id",
                        "ARN",
                        "Status",
                        "LastModifiedTime",
                        "DomainName",
                        "S3Origin",
                        "Aliases",
                        "TrustedSigners",
                        "Comment",
                        "PriceClass",
                        "Enabled"
                      ],
                      members: {
                        Id: {},
                        ARN: {},
                        Status: {},
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        DomainName: {},
                        S3Origin: {
                          shape: "S6p"
                        },
                        Aliases: {
                          shape: "Si"
                        },
                        TrustedSigners: {
                          shape: "S19"
                        },
                        Comment: {},
                        PriceClass: {},
                        Enabled: {
                          type: "boolean"
                        }
                      }
                    }
                  }
                }
              }
            },
            payload: "StreamingDistributionList"
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/2020-05-31/tagging"
          },
          input: {
            type: "structure",
            required: [
              "Resource"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "S3j"
              }
            },
            payload: "Tags"
          }
        },
        PublishFunction: {
          http: {
            requestUri: "/2020-05-31/function/{Name}/publish"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "IfMatch"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FunctionSummary: {
                shape: "S4h"
              }
            },
            payload: "FunctionSummary"
          }
        },
        TagResource: {
          http: {
            requestUri: "/2020-05-31/tagging?Operation=Tag",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "Tags"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              },
              Tags: {
                shape: "S3j",
                locationName: "Tags",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              }
            },
            payload: "Tags"
          }
        },
        TestFunction: {
          http: {
            requestUri: "/2020-05-31/function/{Name}/test"
          },
          input: {
            locationName: "TestFunctionRequest",
            xmlNamespace: {
              uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
            },
            type: "structure",
            required: [
              "Name",
              "IfMatch",
              "EventObject"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              },
              Stage: {},
              EventObject: {
                type: "blob",
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TestResult: {
                type: "structure",
                members: {
                  FunctionSummary: {
                    shape: "S4h"
                  },
                  ComputeUtilization: {},
                  FunctionExecutionLogs: {
                    type: "list",
                    member: {},
                    sensitive: true
                  },
                  FunctionErrorMessage: {
                    shape: "Sq"
                  },
                  FunctionOutput: {
                    shape: "Sq"
                  }
                }
              }
            },
            payload: "TestResult"
          }
        },
        UntagResource: {
          http: {
            requestUri: "/2020-05-31/tagging?Operation=Untag",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "TagKeys"
            ],
            members: {
              Resource: {
                location: "querystring",
                locationName: "Resource"
              },
              TagKeys: {
                locationName: "TagKeys",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                },
                type: "structure",
                members: {
                  Items: {
                    type: "list",
                    member: {
                      locationName: "Key"
                    }
                  }
                }
              }
            },
            payload: "TagKeys"
          }
        },
        UpdateCachePolicy: {
          http: {
            method: "PUT",
            requestUri: "/2020-05-31/cache-policy/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "CachePolicyConfig",
              "Id"
            ],
            members: {
              CachePolicyConfig: {
                shape: "S2n",
                locationName: "CachePolicyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "CachePolicyConfig"
          },
          output: {
            type: "structure",
            members: {
              CachePolicy: {
                shape: "S2y"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CachePolicy"
          }
        },
        UpdateCloudFrontOriginAccessIdentity: {
          http: {
            method: "PUT",
            requestUri: "/2020-05-31/origin-access-identity/cloudfront/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "CloudFrontOriginAccessIdentityConfig",
              "Id"
            ],
            members: {
              CloudFrontOriginAccessIdentityConfig: {
                shape: "S30",
                locationName: "CloudFrontOriginAccessIdentityConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "CloudFrontOriginAccessIdentityConfig"
          },
          output: {
            type: "structure",
            members: {
              CloudFrontOriginAccessIdentity: {
                shape: "S32"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "CloudFrontOriginAccessIdentity"
          }
        },
        UpdateContinuousDeploymentPolicy: {
          http: {
            method: "PUT",
            requestUri: "/2020-05-31/continuous-deployment-policy/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "ContinuousDeploymentPolicyConfig",
              "Id"
            ],
            members: {
              ContinuousDeploymentPolicyConfig: {
                shape: "S34",
                locationName: "ContinuousDeploymentPolicyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "ContinuousDeploymentPolicyConfig"
          },
          output: {
            type: "structure",
            members: {
              ContinuousDeploymentPolicy: {
                shape: "S3e"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "ContinuousDeploymentPolicy"
          }
        },
        UpdateDistribution: {
          http: {
            method: "PUT",
            requestUri: "/2020-05-31/distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "DistributionConfig",
              "Id"
            ],
            members: {
              DistributionConfig: {
                shape: "Sh",
                locationName: "DistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "DistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S6"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        UpdateDistributionWithStagingConfig: {
          http: {
            method: "PUT",
            requestUri: "/2020-05-31/distribution/{Id}/promote-staging-config"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              StagingDistributionId: {
                location: "querystring",
                locationName: "StagingDistributionId"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Distribution: {
                shape: "S6"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "Distribution"
          }
        },
        UpdateFieldLevelEncryptionConfig: {
          http: {
            method: "PUT",
            requestUri: "/2020-05-31/field-level-encryption/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionConfig",
              "Id"
            ],
            members: {
              FieldLevelEncryptionConfig: {
                shape: "S3q",
                locationName: "FieldLevelEncryptionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "FieldLevelEncryptionConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryption: {
                shape: "S41"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryption"
          }
        },
        UpdateFieldLevelEncryptionProfile: {
          http: {
            method: "PUT",
            requestUri: "/2020-05-31/field-level-encryption-profile/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "FieldLevelEncryptionProfileConfig",
              "Id"
            ],
            members: {
              FieldLevelEncryptionProfileConfig: {
                shape: "S43",
                locationName: "FieldLevelEncryptionProfileConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "FieldLevelEncryptionProfileConfig"
          },
          output: {
            type: "structure",
            members: {
              FieldLevelEncryptionProfile: {
                shape: "S4a"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "FieldLevelEncryptionProfile"
          }
        },
        UpdateFunction: {
          http: {
            method: "PUT",
            requestUri: "/2020-05-31/function/{Name}"
          },
          input: {
            locationName: "UpdateFunctionRequest",
            xmlNamespace: {
              uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
            },
            type: "structure",
            required: [
              "IfMatch",
              "FunctionConfig",
              "FunctionCode",
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              },
              FunctionConfig: {
                shape: "S4d"
              },
              FunctionCode: {
                shape: "S4f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FunctionSummary: {
                shape: "S4h"
              },
              ETag: {
                location: "header",
                locationName: "ETtag"
              }
            },
            payload: "FunctionSummary"
          }
        },
        UpdateKeyGroup: {
          http: {
            method: "PUT",
            requestUri: "/2020-05-31/key-group/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "KeyGroupConfig",
              "Id"
            ],
            members: {
              KeyGroupConfig: {
                shape: "S4r",
                locationName: "KeyGroupConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "KeyGroupConfig"
          },
          output: {
            type: "structure",
            members: {
              KeyGroup: {
                shape: "S4u"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "KeyGroup"
          }
        },
        UpdateOriginAccessControl: {
          http: {
            method: "PUT",
            requestUri: "/2020-05-31/origin-access-control/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "OriginAccessControlConfig",
              "Id"
            ],
            members: {
              OriginAccessControlConfig: {
                shape: "S51",
                locationName: "OriginAccessControlConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "OriginAccessControlConfig"
          },
          output: {
            type: "structure",
            members: {
              OriginAccessControl: {
                shape: "S56"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "OriginAccessControl"
          }
        },
        UpdateOriginRequestPolicy: {
          http: {
            method: "PUT",
            requestUri: "/2020-05-31/origin-request-policy/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "OriginRequestPolicyConfig",
              "Id"
            ],
            members: {
              OriginRequestPolicyConfig: {
                shape: "S58",
                locationName: "OriginRequestPolicyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "OriginRequestPolicyConfig"
          },
          output: {
            type: "structure",
            members: {
              OriginRequestPolicy: {
                shape: "S5g"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "OriginRequestPolicy"
          }
        },
        UpdatePublicKey: {
          http: {
            method: "PUT",
            requestUri: "/2020-05-31/public-key/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "PublicKeyConfig",
              "Id"
            ],
            members: {
              PublicKeyConfig: {
                shape: "S5i",
                locationName: "PublicKeyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "PublicKeyConfig"
          },
          output: {
            type: "structure",
            members: {
              PublicKey: {
                shape: "S5k"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "PublicKey"
          }
        },
        UpdateRealtimeLogConfig: {
          http: {
            method: "PUT",
            requestUri: "/2020-05-31/realtime-log-config/"
          },
          input: {
            locationName: "UpdateRealtimeLogConfigRequest",
            xmlNamespace: {
              uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
            },
            type: "structure",
            members: {
              EndPoints: {
                shape: "S5m"
              },
              Fields: {
                shape: "S5p"
              },
              Name: {},
              ARN: {},
              SamplingRate: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RealtimeLogConfig: {
                shape: "S5r"
              }
            }
          }
        },
        UpdateResponseHeadersPolicy: {
          http: {
            method: "PUT",
            requestUri: "/2020-05-31/response-headers-policy/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "ResponseHeadersPolicyConfig",
              "Id"
            ],
            members: {
              ResponseHeadersPolicyConfig: {
                shape: "S5t",
                locationName: "ResponseHeadersPolicyConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "ResponseHeadersPolicyConfig"
          },
          output: {
            type: "structure",
            members: {
              ResponseHeadersPolicy: {
                shape: "S6m"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "ResponseHeadersPolicy"
          }
        },
        UpdateStreamingDistribution: {
          http: {
            method: "PUT",
            requestUri: "/2020-05-31/streaming-distribution/{Id}/config"
          },
          input: {
            type: "structure",
            required: [
              "StreamingDistributionConfig",
              "Id"
            ],
            members: {
              StreamingDistributionConfig: {
                shape: "S6o",
                locationName: "StreamingDistributionConfig",
                xmlNamespace: {
                  uri: "http://cloudfront.amazonaws.com/doc/2020-05-31/"
                }
              },
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              }
            },
            payload: "StreamingDistributionConfig"
          },
          output: {
            type: "structure",
            members: {
              StreamingDistribution: {
                shape: "S6s"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              }
            },
            payload: "StreamingDistribution"
          }
        }
      },
      shapes: {
        S6: {
          type: "structure",
          required: [
            "Id",
            "ARN",
            "Status",
            "LastModifiedTime",
            "InProgressInvalidationBatches",
            "DomainName",
            "DistributionConfig"
          ],
          members: {
            Id: {},
            ARN: {},
            Status: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            InProgressInvalidationBatches: {
              type: "integer"
            },
            DomainName: {},
            ActiveTrustedSigners: {
              shape: "S9"
            },
            ActiveTrustedKeyGroups: {
              type: "structure",
              required: [
                "Enabled",
                "Quantity"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "KeyGroup",
                    type: "structure",
                    members: {
                      KeyGroupId: {},
                      KeyPairIds: {
                        shape: "Sc"
                      }
                    }
                  }
                }
              }
            },
            DistributionConfig: {
              shape: "Sh"
            },
            AliasICPRecordals: {
              shape: "S2j"
            }
          }
        },
        S9: {
          type: "structure",
          required: [
            "Enabled",
            "Quantity"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Signer",
                type: "structure",
                members: {
                  AwsAccountNumber: {},
                  KeyPairIds: {
                    shape: "Sc"
                  }
                }
              }
            }
          }
        },
        Sc: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "KeyPairId"
              }
            }
          }
        },
        Sh: {
          type: "structure",
          required: [
            "CallerReference",
            "Origins",
            "DefaultCacheBehavior",
            "Comment",
            "Enabled"
          ],
          members: {
            CallerReference: {},
            Aliases: {
              shape: "Si"
            },
            DefaultRootObject: {},
            Origins: {
              shape: "Sk"
            },
            OriginGroups: {
              shape: "Sz"
            },
            DefaultCacheBehavior: {
              shape: "S18"
            },
            CacheBehaviors: {
              shape: "S21"
            },
            CustomErrorResponses: {
              shape: "S24"
            },
            Comment: {
              type: "string",
              sensitive: true
            },
            Logging: {
              type: "structure",
              required: [
                "Enabled",
                "IncludeCookies",
                "Bucket",
                "Prefix"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                IncludeCookies: {
                  type: "boolean"
                },
                Bucket: {},
                Prefix: {}
              }
            },
            PriceClass: {},
            Enabled: {
              type: "boolean"
            },
            ViewerCertificate: {
              shape: "S2a"
            },
            Restrictions: {
              shape: "S2e"
            },
            WebACLId: {},
            HttpVersion: {},
            IsIPV6Enabled: {
              type: "boolean"
            },
            ContinuousDeploymentPolicyId: {},
            Staging: {
              type: "boolean"
            }
          }
        },
        Si: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CNAME"
              }
            }
          }
        },
        Sk: {
          type: "structure",
          required: [
            "Quantity",
            "Items"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Origin",
                type: "structure",
                required: [
                  "Id",
                  "DomainName"
                ],
                members: {
                  Id: {},
                  DomainName: {},
                  OriginPath: {},
                  CustomHeaders: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "OriginCustomHeader",
                          type: "structure",
                          required: [
                            "HeaderName",
                            "HeaderValue"
                          ],
                          members: {
                            HeaderName: {},
                            HeaderValue: {
                              shape: "Sq"
                            }
                          }
                        }
                      }
                    }
                  },
                  S3OriginConfig: {
                    type: "structure",
                    required: [
                      "OriginAccessIdentity"
                    ],
                    members: {
                      OriginAccessIdentity: {}
                    }
                  },
                  CustomOriginConfig: {
                    type: "structure",
                    required: [
                      "HTTPPort",
                      "HTTPSPort",
                      "OriginProtocolPolicy"
                    ],
                    members: {
                      HTTPPort: {
                        type: "integer"
                      },
                      HTTPSPort: {
                        type: "integer"
                      },
                      OriginProtocolPolicy: {},
                      OriginSslProtocols: {
                        type: "structure",
                        required: [
                          "Quantity",
                          "Items"
                        ],
                        members: {
                          Quantity: {
                            type: "integer"
                          },
                          Items: {
                            type: "list",
                            member: {
                              locationName: "SslProtocol"
                            }
                          }
                        }
                      },
                      OriginReadTimeout: {
                        type: "integer"
                      },
                      OriginKeepaliveTimeout: {
                        type: "integer"
                      }
                    }
                  },
                  ConnectionAttempts: {
                    type: "integer"
                  },
                  ConnectionTimeout: {
                    type: "integer"
                  },
                  OriginShield: {
                    type: "structure",
                    required: [
                      "Enabled"
                    ],
                    members: {
                      Enabled: {
                        type: "boolean"
                      },
                      OriginShieldRegion: {}
                    }
                  },
                  OriginAccessControlId: {}
                }
              }
            }
          }
        },
        Sq: {
          type: "string",
          sensitive: true
        },
        Sz: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "OriginGroup",
                type: "structure",
                required: [
                  "Id",
                  "FailoverCriteria",
                  "Members"
                ],
                members: {
                  Id: {},
                  FailoverCriteria: {
                    type: "structure",
                    required: [
                      "StatusCodes"
                    ],
                    members: {
                      StatusCodes: {
                        type: "structure",
                        required: [
                          "Quantity",
                          "Items"
                        ],
                        members: {
                          Quantity: {
                            type: "integer"
                          },
                          Items: {
                            type: "list",
                            member: {
                              locationName: "StatusCode",
                              type: "integer"
                            }
                          }
                        }
                      }
                    }
                  },
                  Members: {
                    type: "structure",
                    required: [
                      "Quantity",
                      "Items"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "OriginGroupMember",
                          type: "structure",
                          required: [
                            "OriginId"
                          ],
                          members: {
                            OriginId: {}
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S18: {
          type: "structure",
          required: [
            "TargetOriginId",
            "ViewerProtocolPolicy"
          ],
          members: {
            TargetOriginId: {},
            TrustedSigners: {
              shape: "S19"
            },
            TrustedKeyGroups: {
              shape: "S1b"
            },
            ViewerProtocolPolicy: {},
            AllowedMethods: {
              shape: "S1e"
            },
            SmoothStreaming: {
              type: "boolean"
            },
            Compress: {
              type: "boolean"
            },
            LambdaFunctionAssociations: {
              shape: "S1i"
            },
            FunctionAssociations: {
              shape: "S1n"
            },
            FieldLevelEncryptionId: {},
            RealtimeLogConfigArn: {},
            CachePolicyId: {},
            OriginRequestPolicyId: {},
            ResponseHeadersPolicyId: {},
            ForwardedValues: {
              shape: "S1r",
              deprecated: true
            },
            MinTTL: {
              deprecated: true,
              type: "long"
            },
            DefaultTTL: {
              deprecated: true,
              type: "long"
            },
            MaxTTL: {
              deprecated: true,
              type: "long"
            }
          }
        },
        S19: {
          type: "structure",
          required: [
            "Enabled",
            "Quantity"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "AwsAccountNumber"
              }
            }
          }
        },
        S1b: {
          type: "structure",
          required: [
            "Enabled",
            "Quantity"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "KeyGroup"
              }
            }
          }
        },
        S1e: {
          type: "structure",
          required: [
            "Quantity",
            "Items"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              shape: "S1f"
            },
            CachedMethods: {
              type: "structure",
              required: [
                "Quantity",
                "Items"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  shape: "S1f"
                }
              }
            }
          }
        },
        S1f: {
          type: "list",
          member: {
            locationName: "Method"
          }
        },
        S1i: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "LambdaFunctionAssociation",
                type: "structure",
                required: [
                  "LambdaFunctionARN",
                  "EventType"
                ],
                members: {
                  LambdaFunctionARN: {},
                  EventType: {},
                  IncludeBody: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        S1n: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "FunctionAssociation",
                type: "structure",
                required: [
                  "FunctionARN",
                  "EventType"
                ],
                members: {
                  FunctionARN: {},
                  EventType: {}
                }
              }
            }
          }
        },
        S1r: {
          type: "structure",
          required: [
            "QueryString",
            "Cookies"
          ],
          members: {
            QueryString: {
              type: "boolean"
            },
            Cookies: {
              type: "structure",
              required: [
                "Forward"
              ],
              members: {
                Forward: {},
                WhitelistedNames: {
                  shape: "S1u"
                }
              }
            },
            Headers: {
              shape: "S1w"
            },
            QueryStringCacheKeys: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Name"
                  }
                }
              }
            }
          }
        },
        S1u: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Name"
              }
            }
          }
        },
        S1w: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Name"
              }
            }
          }
        },
        S21: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CacheBehavior",
                type: "structure",
                required: [
                  "PathPattern",
                  "TargetOriginId",
                  "ViewerProtocolPolicy"
                ],
                members: {
                  PathPattern: {},
                  TargetOriginId: {},
                  TrustedSigners: {
                    shape: "S19"
                  },
                  TrustedKeyGroups: {
                    shape: "S1b"
                  },
                  ViewerProtocolPolicy: {},
                  AllowedMethods: {
                    shape: "S1e"
                  },
                  SmoothStreaming: {
                    type: "boolean"
                  },
                  Compress: {
                    type: "boolean"
                  },
                  LambdaFunctionAssociations: {
                    shape: "S1i"
                  },
                  FunctionAssociations: {
                    shape: "S1n"
                  },
                  FieldLevelEncryptionId: {},
                  RealtimeLogConfigArn: {},
                  CachePolicyId: {},
                  OriginRequestPolicyId: {},
                  ResponseHeadersPolicyId: {},
                  ForwardedValues: {
                    shape: "S1r",
                    deprecated: true
                  },
                  MinTTL: {
                    deprecated: true,
                    type: "long"
                  },
                  DefaultTTL: {
                    deprecated: true,
                    type: "long"
                  },
                  MaxTTL: {
                    deprecated: true,
                    type: "long"
                  }
                }
              }
            }
          }
        },
        S24: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "CustomErrorResponse",
                type: "structure",
                required: [
                  "ErrorCode"
                ],
                members: {
                  ErrorCode: {
                    type: "integer"
                  },
                  ResponsePagePath: {},
                  ResponseCode: {},
                  ErrorCachingMinTTL: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        S2a: {
          type: "structure",
          members: {
            CloudFrontDefaultCertificate: {
              type: "boolean"
            },
            IAMCertificateId: {},
            ACMCertificateArn: {},
            SSLSupportMethod: {},
            MinimumProtocolVersion: {},
            Certificate: {
              deprecated: true
            },
            CertificateSource: {
              deprecated: true
            }
          }
        },
        S2e: {
          type: "structure",
          required: [
            "GeoRestriction"
          ],
          members: {
            GeoRestriction: {
              type: "structure",
              required: [
                "RestrictionType",
                "Quantity"
              ],
              members: {
                RestrictionType: {},
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Location"
                  }
                }
              }
            }
          }
        },
        S2j: {
          type: "list",
          member: {
            locationName: "AliasICPRecordal",
            type: "structure",
            members: {
              CNAME: {},
              ICPRecordalStatus: {}
            }
          }
        },
        S2n: {
          type: "structure",
          required: [
            "Name",
            "MinTTL"
          ],
          members: {
            Comment: {},
            Name: {},
            DefaultTTL: {
              type: "long"
            },
            MaxTTL: {
              type: "long"
            },
            MinTTL: {
              type: "long"
            },
            ParametersInCacheKeyAndForwardedToOrigin: {
              type: "structure",
              required: [
                "EnableAcceptEncodingGzip",
                "HeadersConfig",
                "CookiesConfig",
                "QueryStringsConfig"
              ],
              members: {
                EnableAcceptEncodingGzip: {
                  type: "boolean"
                },
                EnableAcceptEncodingBrotli: {
                  type: "boolean"
                },
                HeadersConfig: {
                  type: "structure",
                  required: [
                    "HeaderBehavior"
                  ],
                  members: {
                    HeaderBehavior: {},
                    Headers: {
                      shape: "S1w"
                    }
                  }
                },
                CookiesConfig: {
                  type: "structure",
                  required: [
                    "CookieBehavior"
                  ],
                  members: {
                    CookieBehavior: {},
                    Cookies: {
                      shape: "S1u"
                    }
                  }
                },
                QueryStringsConfig: {
                  type: "structure",
                  required: [
                    "QueryStringBehavior"
                  ],
                  members: {
                    QueryStringBehavior: {},
                    QueryStrings: {
                      shape: "S2v"
                    }
                  }
                }
              }
            }
          }
        },
        S2v: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "Name"
              }
            }
          }
        },
        S2y: {
          type: "structure",
          required: [
            "Id",
            "LastModifiedTime",
            "CachePolicyConfig"
          ],
          members: {
            Id: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            CachePolicyConfig: {
              shape: "S2n"
            }
          }
        },
        S30: {
          type: "structure",
          required: [
            "CallerReference",
            "Comment"
          ],
          members: {
            CallerReference: {},
            Comment: {}
          }
        },
        S32: {
          type: "structure",
          required: [
            "Id",
            "S3CanonicalUserId"
          ],
          members: {
            Id: {},
            S3CanonicalUserId: {},
            CloudFrontOriginAccessIdentityConfig: {
              shape: "S30"
            }
          }
        },
        S34: {
          type: "structure",
          required: [
            "StagingDistributionDnsNames",
            "Enabled"
          ],
          members: {
            StagingDistributionDnsNames: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "DnsName"
                  }
                }
              }
            },
            Enabled: {
              type: "boolean"
            },
            TrafficConfig: {
              type: "structure",
              required: [
                "Type"
              ],
              members: {
                SingleWeightConfig: {
                  type: "structure",
                  required: [
                    "Weight"
                  ],
                  members: {
                    Weight: {
                      type: "float"
                    },
                    SessionStickinessConfig: {
                      type: "structure",
                      required: [
                        "IdleTTL",
                        "MaximumTTL"
                      ],
                      members: {
                        IdleTTL: {
                          type: "integer"
                        },
                        MaximumTTL: {
                          type: "integer"
                        }
                      }
                    }
                  }
                },
                SingleHeaderConfig: {
                  type: "structure",
                  required: [
                    "Header",
                    "Value"
                  ],
                  members: {
                    Header: {},
                    Value: {}
                  }
                },
                Type: {}
              }
            }
          }
        },
        S3e: {
          type: "structure",
          required: [
            "Id",
            "LastModifiedTime",
            "ContinuousDeploymentPolicyConfig"
          ],
          members: {
            Id: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            ContinuousDeploymentPolicyConfig: {
              shape: "S34"
            }
          }
        },
        S3j: {
          type: "structure",
          members: {
            Items: {
              type: "list",
              member: {
                locationName: "Tag",
                type: "structure",
                required: [
                  "Key"
                ],
                members: {
                  Key: {},
                  Value: {}
                }
              }
            }
          }
        },
        S3q: {
          type: "structure",
          required: [
            "CallerReference"
          ],
          members: {
            CallerReference: {},
            Comment: {},
            QueryArgProfileConfig: {
              shape: "S3r"
            },
            ContentTypeProfileConfig: {
              shape: "S3v"
            }
          }
        },
        S3r: {
          type: "structure",
          required: [
            "ForwardWhenQueryArgProfileIsUnknown"
          ],
          members: {
            ForwardWhenQueryArgProfileIsUnknown: {
              type: "boolean"
            },
            QueryArgProfiles: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "QueryArgProfile",
                    type: "structure",
                    required: [
                      "QueryArg",
                      "ProfileId"
                    ],
                    members: {
                      QueryArg: {},
                      ProfileId: {}
                    }
                  }
                }
              }
            }
          }
        },
        S3v: {
          type: "structure",
          required: [
            "ForwardWhenContentTypeIsUnknown"
          ],
          members: {
            ForwardWhenContentTypeIsUnknown: {
              type: "boolean"
            },
            ContentTypeProfiles: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "ContentTypeProfile",
                    type: "structure",
                    required: [
                      "Format",
                      "ContentType"
                    ],
                    members: {
                      Format: {},
                      ProfileId: {},
                      ContentType: {}
                    }
                  }
                }
              }
            }
          }
        },
        S41: {
          type: "structure",
          required: [
            "Id",
            "LastModifiedTime",
            "FieldLevelEncryptionConfig"
          ],
          members: {
            Id: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            FieldLevelEncryptionConfig: {
              shape: "S3q"
            }
          }
        },
        S43: {
          type: "structure",
          required: [
            "Name",
            "CallerReference",
            "EncryptionEntities"
          ],
          members: {
            Name: {},
            CallerReference: {},
            Comment: {},
            EncryptionEntities: {
              shape: "S44"
            }
          }
        },
        S44: {
          type: "structure",
          required: [
            "Quantity"
          ],
          members: {
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "EncryptionEntity",
                type: "structure",
                required: [
                  "PublicKeyId",
                  "ProviderId",
                  "FieldPatterns"
                ],
                members: {
                  PublicKeyId: {},
                  ProviderId: {},
                  FieldPatterns: {
                    type: "structure",
                    required: [
                      "Quantity"
                    ],
                    members: {
                      Quantity: {
                        type: "integer"
                      },
                      Items: {
                        type: "list",
                        member: {
                          locationName: "FieldPattern"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S4a: {
          type: "structure",
          required: [
            "Id",
            "LastModifiedTime",
            "FieldLevelEncryptionProfileConfig"
          ],
          members: {
            Id: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            FieldLevelEncryptionProfileConfig: {
              shape: "S43"
            }
          }
        },
        S4d: {
          type: "structure",
          required: [
            "Comment",
            "Runtime"
          ],
          members: {
            Comment: {},
            Runtime: {}
          }
        },
        S4f: {
          type: "blob",
          sensitive: true
        },
        S4h: {
          type: "structure",
          required: [
            "Name",
            "FunctionConfig",
            "FunctionMetadata"
          ],
          members: {
            Name: {},
            Status: {},
            FunctionConfig: {
              shape: "S4d"
            },
            FunctionMetadata: {
              type: "structure",
              required: [
                "FunctionARN",
                "LastModifiedTime"
              ],
              members: {
                FunctionARN: {},
                Stage: {},
                CreatedTime: {
                  type: "timestamp"
                },
                LastModifiedTime: {
                  type: "timestamp"
                }
              }
            }
          }
        },
        S4l: {
          type: "structure",
          required: [
            "Paths",
            "CallerReference"
          ],
          members: {
            Paths: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "Path"
                  }
                }
              }
            },
            CallerReference: {}
          }
        },
        S4p: {
          type: "structure",
          required: [
            "Id",
            "Status",
            "CreateTime",
            "InvalidationBatch"
          ],
          members: {
            Id: {},
            Status: {},
            CreateTime: {
              type: "timestamp"
            },
            InvalidationBatch: {
              shape: "S4l"
            }
          }
        },
        S4r: {
          type: "structure",
          required: [
            "Name",
            "Items"
          ],
          members: {
            Name: {},
            Items: {
              type: "list",
              member: {
                locationName: "PublicKey"
              }
            },
            Comment: {}
          }
        },
        S4u: {
          type: "structure",
          required: [
            "Id",
            "LastModifiedTime",
            "KeyGroupConfig"
          ],
          members: {
            Id: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            KeyGroupConfig: {
              shape: "S4r"
            }
          }
        },
        S4w: {
          type: "structure",
          members: {
            RealtimeMetricsSubscriptionConfig: {
              type: "structure",
              required: [
                "RealtimeMetricsSubscriptionStatus"
              ],
              members: {
                RealtimeMetricsSubscriptionStatus: {}
              }
            }
          }
        },
        S51: {
          type: "structure",
          required: [
            "Name",
            "SigningProtocol",
            "SigningBehavior",
            "OriginAccessControlOriginType"
          ],
          members: {
            Name: {},
            Description: {},
            SigningProtocol: {},
            SigningBehavior: {},
            OriginAccessControlOriginType: {}
          }
        },
        S56: {
          type: "structure",
          required: [
            "Id"
          ],
          members: {
            Id: {},
            OriginAccessControlConfig: {
              shape: "S51"
            }
          }
        },
        S58: {
          type: "structure",
          required: [
            "Name",
            "HeadersConfig",
            "CookiesConfig",
            "QueryStringsConfig"
          ],
          members: {
            Comment: {},
            Name: {},
            HeadersConfig: {
              type: "structure",
              required: [
                "HeaderBehavior"
              ],
              members: {
                HeaderBehavior: {},
                Headers: {
                  shape: "S1w"
                }
              }
            },
            CookiesConfig: {
              type: "structure",
              required: [
                "CookieBehavior"
              ],
              members: {
                CookieBehavior: {},
                Cookies: {
                  shape: "S1u"
                }
              }
            },
            QueryStringsConfig: {
              type: "structure",
              required: [
                "QueryStringBehavior"
              ],
              members: {
                QueryStringBehavior: {},
                QueryStrings: {
                  shape: "S2v"
                }
              }
            }
          }
        },
        S5g: {
          type: "structure",
          required: [
            "Id",
            "LastModifiedTime",
            "OriginRequestPolicyConfig"
          ],
          members: {
            Id: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            OriginRequestPolicyConfig: {
              shape: "S58"
            }
          }
        },
        S5i: {
          type: "structure",
          required: [
            "CallerReference",
            "Name",
            "EncodedKey"
          ],
          members: {
            CallerReference: {},
            Name: {},
            EncodedKey: {},
            Comment: {}
          }
        },
        S5k: {
          type: "structure",
          required: [
            "Id",
            "CreatedTime",
            "PublicKeyConfig"
          ],
          members: {
            Id: {},
            CreatedTime: {
              type: "timestamp"
            },
            PublicKeyConfig: {
              shape: "S5i"
            }
          }
        },
        S5m: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "StreamType"
            ],
            members: {
              StreamType: {},
              KinesisStreamConfig: {
                type: "structure",
                required: [
                  "RoleARN",
                  "StreamARN"
                ],
                members: {
                  RoleARN: {},
                  StreamARN: {}
                }
              }
            }
          }
        },
        S5p: {
          type: "list",
          member: {
            locationName: "Field"
          }
        },
        S5r: {
          type: "structure",
          required: [
            "ARN",
            "Name",
            "SamplingRate",
            "EndPoints",
            "Fields"
          ],
          members: {
            ARN: {},
            Name: {},
            SamplingRate: {
              type: "long"
            },
            EndPoints: {
              shape: "S5m"
            },
            Fields: {
              shape: "S5p"
            }
          }
        },
        S5t: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Comment: {},
            Name: {},
            CorsConfig: {
              type: "structure",
              required: [
                "AccessControlAllowOrigins",
                "AccessControlAllowHeaders",
                "AccessControlAllowMethods",
                "AccessControlAllowCredentials",
                "OriginOverride"
              ],
              members: {
                AccessControlAllowOrigins: {
                  type: "structure",
                  required: [
                    "Quantity",
                    "Items"
                  ],
                  members: {
                    Quantity: {
                      type: "integer"
                    },
                    Items: {
                      type: "list",
                      member: {
                        locationName: "Origin"
                      }
                    }
                  }
                },
                AccessControlAllowHeaders: {
                  type: "structure",
                  required: [
                    "Quantity",
                    "Items"
                  ],
                  members: {
                    Quantity: {
                      type: "integer"
                    },
                    Items: {
                      type: "list",
                      member: {
                        locationName: "Header"
                      }
                    }
                  }
                },
                AccessControlAllowMethods: {
                  type: "structure",
                  required: [
                    "Quantity",
                    "Items"
                  ],
                  members: {
                    Quantity: {
                      type: "integer"
                    },
                    Items: {
                      type: "list",
                      member: {
                        locationName: "Method"
                      }
                    }
                  }
                },
                AccessControlAllowCredentials: {
                  type: "boolean"
                },
                AccessControlExposeHeaders: {
                  type: "structure",
                  required: [
                    "Quantity"
                  ],
                  members: {
                    Quantity: {
                      type: "integer"
                    },
                    Items: {
                      type: "list",
                      member: {
                        locationName: "Header"
                      }
                    }
                  }
                },
                AccessControlMaxAgeSec: {
                  type: "integer"
                },
                OriginOverride: {
                  type: "boolean"
                }
              }
            },
            SecurityHeadersConfig: {
              type: "structure",
              members: {
                XSSProtection: {
                  type: "structure",
                  required: [
                    "Override",
                    "Protection"
                  ],
                  members: {
                    Override: {
                      type: "boolean"
                    },
                    Protection: {
                      type: "boolean"
                    },
                    ModeBlock: {
                      type: "boolean"
                    },
                    ReportUri: {}
                  }
                },
                FrameOptions: {
                  type: "structure",
                  required: [
                    "Override",
                    "FrameOption"
                  ],
                  members: {
                    Override: {
                      type: "boolean"
                    },
                    FrameOption: {}
                  }
                },
                ReferrerPolicy: {
                  type: "structure",
                  required: [
                    "Override",
                    "ReferrerPolicy"
                  ],
                  members: {
                    Override: {
                      type: "boolean"
                    },
                    ReferrerPolicy: {}
                  }
                },
                ContentSecurityPolicy: {
                  type: "structure",
                  required: [
                    "Override",
                    "ContentSecurityPolicy"
                  ],
                  members: {
                    Override: {
                      type: "boolean"
                    },
                    ContentSecurityPolicy: {}
                  }
                },
                ContentTypeOptions: {
                  type: "structure",
                  required: [
                    "Override"
                  ],
                  members: {
                    Override: {
                      type: "boolean"
                    }
                  }
                },
                StrictTransportSecurity: {
                  type: "structure",
                  required: [
                    "Override",
                    "AccessControlMaxAgeSec"
                  ],
                  members: {
                    Override: {
                      type: "boolean"
                    },
                    IncludeSubdomains: {
                      type: "boolean"
                    },
                    Preload: {
                      type: "boolean"
                    },
                    AccessControlMaxAgeSec: {
                      type: "integer"
                    }
                  }
                }
              }
            },
            ServerTimingHeadersConfig: {
              type: "structure",
              required: [
                "Enabled"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                SamplingRate: {
                  type: "double"
                }
              }
            },
            CustomHeadersConfig: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "ResponseHeadersPolicyCustomHeader",
                    type: "structure",
                    required: [
                      "Header",
                      "Value",
                      "Override"
                    ],
                    members: {
                      Header: {},
                      Value: {},
                      Override: {
                        type: "boolean"
                      }
                    }
                  }
                }
              }
            },
            RemoveHeadersConfig: {
              type: "structure",
              required: [
                "Quantity"
              ],
              members: {
                Quantity: {
                  type: "integer"
                },
                Items: {
                  type: "list",
                  member: {
                    locationName: "ResponseHeadersPolicyRemoveHeader",
                    type: "structure",
                    required: [
                      "Header"
                    ],
                    members: {
                      Header: {}
                    }
                  }
                }
              }
            }
          }
        },
        S6m: {
          type: "structure",
          required: [
            "Id",
            "LastModifiedTime",
            "ResponseHeadersPolicyConfig"
          ],
          members: {
            Id: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            ResponseHeadersPolicyConfig: {
              shape: "S5t"
            }
          }
        },
        S6o: {
          type: "structure",
          required: [
            "CallerReference",
            "S3Origin",
            "Comment",
            "TrustedSigners",
            "Enabled"
          ],
          members: {
            CallerReference: {},
            S3Origin: {
              shape: "S6p"
            },
            Aliases: {
              shape: "Si"
            },
            Comment: {},
            Logging: {
              type: "structure",
              required: [
                "Enabled",
                "Bucket",
                "Prefix"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                Bucket: {},
                Prefix: {}
              }
            },
            TrustedSigners: {
              shape: "S19"
            },
            PriceClass: {},
            Enabled: {
              type: "boolean"
            }
          }
        },
        S6p: {
          type: "structure",
          required: [
            "DomainName",
            "OriginAccessIdentity"
          ],
          members: {
            DomainName: {},
            OriginAccessIdentity: {}
          }
        },
        S6s: {
          type: "structure",
          required: [
            "Id",
            "ARN",
            "Status",
            "DomainName",
            "ActiveTrustedSigners",
            "StreamingDistributionConfig"
          ],
          members: {
            Id: {},
            ARN: {},
            Status: {},
            LastModifiedTime: {
              type: "timestamp"
            },
            DomainName: {},
            ActiveTrustedSigners: {
              shape: "S9"
            },
            StreamingDistributionConfig: {
              shape: "S6o"
            }
          }
        },
        S9o: {
          type: "structure",
          required: [
            "Marker",
            "MaxItems",
            "IsTruncated",
            "Quantity"
          ],
          members: {
            Marker: {},
            NextMarker: {},
            MaxItems: {
              type: "integer"
            },
            IsTruncated: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "DistributionSummary",
                type: "structure",
                required: [
                  "Id",
                  "ARN",
                  "Status",
                  "LastModifiedTime",
                  "DomainName",
                  "Aliases",
                  "Origins",
                  "DefaultCacheBehavior",
                  "CacheBehaviors",
                  "CustomErrorResponses",
                  "Comment",
                  "PriceClass",
                  "Enabled",
                  "ViewerCertificate",
                  "Restrictions",
                  "WebACLId",
                  "HttpVersion",
                  "IsIPV6Enabled",
                  "Staging"
                ],
                members: {
                  Id: {},
                  ARN: {},
                  Status: {},
                  LastModifiedTime: {
                    type: "timestamp"
                  },
                  DomainName: {},
                  Aliases: {
                    shape: "Si"
                  },
                  Origins: {
                    shape: "Sk"
                  },
                  OriginGroups: {
                    shape: "Sz"
                  },
                  DefaultCacheBehavior: {
                    shape: "S18"
                  },
                  CacheBehaviors: {
                    shape: "S21"
                  },
                  CustomErrorResponses: {
                    shape: "S24"
                  },
                  Comment: {},
                  PriceClass: {},
                  Enabled: {
                    type: "boolean"
                  },
                  ViewerCertificate: {
                    shape: "S2a"
                  },
                  Restrictions: {
                    shape: "S2e"
                  },
                  WebACLId: {},
                  HttpVersion: {},
                  IsIPV6Enabled: {
                    type: "boolean"
                  },
                  AliasICPRecordals: {
                    shape: "S2j"
                  },
                  Staging: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        S9t: {
          type: "structure",
          required: [
            "Marker",
            "MaxItems",
            "IsTruncated",
            "Quantity"
          ],
          members: {
            Marker: {},
            NextMarker: {},
            MaxItems: {
              type: "integer"
            },
            IsTruncated: {
              type: "boolean"
            },
            Quantity: {
              type: "integer"
            },
            Items: {
              type: "list",
              member: {
                locationName: "DistributionId"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2020-05-31.paginators.json
var require_cloudfront_2020_05_31_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2020-05-31.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListCloudFrontOriginAccessIdentities: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "CloudFrontOriginAccessIdentityList.IsTruncated",
          output_token: "CloudFrontOriginAccessIdentityList.NextMarker",
          result_key: "CloudFrontOriginAccessIdentityList.Items"
        },
        ListDistributions: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "DistributionList.IsTruncated",
          output_token: "DistributionList.NextMarker",
          result_key: "DistributionList.Items"
        },
        ListInvalidations: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "InvalidationList.IsTruncated",
          output_token: "InvalidationList.NextMarker",
          result_key: "InvalidationList.Items"
        },
        ListStreamingDistributions: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "StreamingDistributionList.IsTruncated",
          output_token: "StreamingDistributionList.NextMarker",
          result_key: "StreamingDistributionList.Items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudfront-2020-05-31.waiters2.json
var require_cloudfront_2020_05_31_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/cloudfront-2020-05-31.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        DistributionDeployed: {
          delay: 60,
          operation: "GetDistribution",
          maxAttempts: 35,
          description: "Wait until a distribution is deployed.",
          acceptors: [
            {
              expected: "Deployed",
              matcher: "path",
              state: "success",
              argument: "Distribution.Status"
            }
          ]
        },
        InvalidationCompleted: {
          delay: 20,
          operation: "GetInvalidation",
          maxAttempts: 30,
          description: "Wait until an invalidation has completed.",
          acceptors: [
            {
              expected: "Completed",
              matcher: "path",
              state: "success",
              argument: "Invalidation.Status"
            }
          ]
        },
        StreamingDistributionDeployed: {
          delay: 60,
          operation: "GetStreamingDistribution",
          maxAttempts: 25,
          description: "Wait until a streaming distribution is deployed.",
          acceptors: [
            {
              expected: "Deployed",
              matcher: "path",
              state: "success",
              argument: "StreamingDistribution.Status"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/cloudfront.js
var require_cloudfront2 = __commonJS({
  "node_modules/aws-sdk/clients/cloudfront.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cloudfront"] = {};
    AWS2.CloudFront = Service.defineService("cloudfront", ["2013-05-12*", "2013-11-11*", "2014-05-31*", "2014-10-21*", "2014-11-06*", "2015-04-17*", "2015-07-27*", "2015-09-17*", "2016-01-13*", "2016-01-28*", "2016-08-01*", "2016-08-20*", "2016-09-07*", "2016-09-29*", "2016-11-25", "2016-11-25*", "2017-03-25", "2017-03-25*", "2017-10-30", "2017-10-30*", "2018-06-18", "2018-06-18*", "2018-11-05", "2018-11-05*", "2019-03-26", "2019-03-26*", "2020-05-31"]);
    require_cloudfront();
    Object.defineProperty(apiLoader.services["cloudfront"], "2016-11-25", {
      get: function get() {
        var model = require_cloudfront_2016_11_25_min();
        model.paginators = require_cloudfront_2016_11_25_paginators().pagination;
        model.waiters = require_cloudfront_2016_11_25_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(apiLoader.services["cloudfront"], "2017-03-25", {
      get: function get() {
        var model = require_cloudfront_2017_03_25_min();
        model.paginators = require_cloudfront_2017_03_25_paginators().pagination;
        model.waiters = require_cloudfront_2017_03_25_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(apiLoader.services["cloudfront"], "2017-10-30", {
      get: function get() {
        var model = require_cloudfront_2017_10_30_min();
        model.paginators = require_cloudfront_2017_10_30_paginators().pagination;
        model.waiters = require_cloudfront_2017_10_30_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(apiLoader.services["cloudfront"], "2018-06-18", {
      get: function get() {
        var model = require_cloudfront_2018_06_18_min();
        model.paginators = require_cloudfront_2018_06_18_paginators().pagination;
        model.waiters = require_cloudfront_2018_06_18_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(apiLoader.services["cloudfront"], "2018-11-05", {
      get: function get() {
        var model = require_cloudfront_2018_11_05_min();
        model.paginators = require_cloudfront_2018_11_05_paginators().pagination;
        model.waiters = require_cloudfront_2018_11_05_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(apiLoader.services["cloudfront"], "2019-03-26", {
      get: function get() {
        var model = require_cloudfront_2019_03_26_min();
        model.paginators = require_cloudfront_2019_03_26_paginators().pagination;
        model.waiters = require_cloudfront_2019_03_26_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(apiLoader.services["cloudfront"], "2020-05-31", {
      get: function get() {
        var model = require_cloudfront_2020_05_31_min();
        model.paginators = require_cloudfront_2020_05_31_paginators().pagination;
        model.waiters = require_cloudfront_2020_05_31_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CloudFront;
  }
});

// node_modules/aws-sdk/apis/cloudhsm-2014-05-30.min.json
var require_cloudhsm_2014_05_30_min = __commonJS({
  "node_modules/aws-sdk/apis/cloudhsm-2014-05-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2014-05-30",
        endpointPrefix: "cloudhsm",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "CloudHSM",
        serviceFullName: "Amazon CloudHSM",
        serviceId: "CloudHSM",
        signatureVersion: "v4",
        targetPrefix: "CloudHsmFrontendService",
        uid: "cloudhsm-2014-05-30"
      },
      operations: {
        AddTagsToResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagList"
            ],
            members: {
              ResourceArn: {},
              TagList: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Status"
            ],
            members: {
              Status: {}
            }
          }
        },
        CreateHapg: {
          input: {
            type: "structure",
            required: [
              "Label"
            ],
            members: {
              Label: {}
            }
          },
          output: {
            type: "structure",
            members: {
              HapgArn: {}
            }
          }
        },
        CreateHsm: {
          input: {
            type: "structure",
            required: [
              "SubnetId",
              "SshKey",
              "IamRoleArn",
              "SubscriptionType"
            ],
            members: {
              SubnetId: {},
              SshKey: {},
              EniIp: {},
              IamRoleArn: {},
              ExternalId: {},
              SubscriptionType: {},
              ClientToken: {},
              SyslogIp: {}
            }
          },
          output: {
            type: "structure",
            members: {
              HsmArn: {}
            }
          }
        },
        CreateLunaClient: {
          input: {
            type: "structure",
            required: [
              "Certificate"
            ],
            members: {
              Label: {},
              Certificate: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ClientArn: {}
            }
          }
        },
        DeleteHapg: {
          input: {
            type: "structure",
            required: [
              "HapgArn"
            ],
            members: {
              HapgArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Status"
            ],
            members: {
              Status: {}
            }
          }
        },
        DeleteHsm: {
          input: {
            type: "structure",
            required: [
              "HsmArn"
            ],
            members: {
              HsmArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Status"
            ],
            members: {
              Status: {}
            }
          }
        },
        DeleteLunaClient: {
          input: {
            type: "structure",
            required: [
              "ClientArn"
            ],
            members: {
              ClientArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Status"
            ],
            members: {
              Status: {}
            }
          }
        },
        DescribeHapg: {
          input: {
            type: "structure",
            required: [
              "HapgArn"
            ],
            members: {
              HapgArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              HapgArn: {},
              HapgSerial: {},
              HsmsLastActionFailed: {
                shape: "Sz"
              },
              HsmsPendingDeletion: {
                shape: "Sz"
              },
              HsmsPendingRegistration: {
                shape: "Sz"
              },
              Label: {},
              LastModifiedTimestamp: {},
              PartitionSerialList: {
                shape: "S11"
              },
              State: {}
            }
          }
        },
        DescribeHsm: {
          input: {
            type: "structure",
            members: {
              HsmArn: {},
              HsmSerialNumber: {}
            }
          },
          output: {
            type: "structure",
            members: {
              HsmArn: {},
              Status: {},
              StatusDetails: {},
              AvailabilityZone: {},
              EniId: {},
              EniIp: {},
              SubscriptionType: {},
              SubscriptionStartDate: {},
              SubscriptionEndDate: {},
              VpcId: {},
              SubnetId: {},
              IamRoleArn: {},
              SerialNumber: {},
              VendorName: {},
              HsmType: {},
              SoftwareVersion: {},
              SshPublicKey: {},
              SshKeyLastUpdated: {},
              ServerCertUri: {},
              ServerCertLastUpdated: {},
              Partitions: {
                type: "list",
                member: {}
              }
            }
          }
        },
        DescribeLunaClient: {
          input: {
            type: "structure",
            members: {
              ClientArn: {},
              CertificateFingerprint: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ClientArn: {},
              Certificate: {},
              CertificateFingerprint: {},
              LastModifiedTimestamp: {},
              Label: {}
            }
          }
        },
        GetConfig: {
          input: {
            type: "structure",
            required: [
              "ClientArn",
              "ClientVersion",
              "HapgList"
            ],
            members: {
              ClientArn: {},
              ClientVersion: {},
              HapgList: {
                shape: "S1i"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigType: {},
              ConfigFile: {},
              ConfigCred: {}
            }
          }
        },
        ListAvailableZones: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              AZList: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ListHapgs: {
          input: {
            type: "structure",
            members: {
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "HapgList"
            ],
            members: {
              HapgList: {
                shape: "S1i"
              },
              NextToken: {}
            }
          }
        },
        ListHsms: {
          input: {
            type: "structure",
            members: {
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              HsmList: {
                shape: "Sz"
              },
              NextToken: {}
            }
          }
        },
        ListLunaClients: {
          input: {
            type: "structure",
            members: {
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ClientList"
            ],
            members: {
              ClientList: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "TagList"
            ],
            members: {
              TagList: {
                shape: "S3"
              }
            }
          }
        },
        ModifyHapg: {
          input: {
            type: "structure",
            required: [
              "HapgArn"
            ],
            members: {
              HapgArn: {},
              Label: {},
              PartitionSerialList: {
                shape: "S11"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HapgArn: {}
            }
          }
        },
        ModifyHsm: {
          input: {
            type: "structure",
            required: [
              "HsmArn"
            ],
            members: {
              HsmArn: {},
              SubnetId: {},
              EniIp: {},
              IamRoleArn: {},
              ExternalId: {},
              SyslogIp: {}
            }
          },
          output: {
            type: "structure",
            members: {
              HsmArn: {}
            }
          }
        },
        ModifyLunaClient: {
          input: {
            type: "structure",
            required: [
              "ClientArn",
              "Certificate"
            ],
            members: {
              ClientArn: {},
              Certificate: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ClientArn: {}
            }
          }
        },
        RemoveTagsFromResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeyList"
            ],
            members: {
              ResourceArn: {},
              TagKeyList: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Status"
            ],
            members: {
              Status: {}
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sz: {
          type: "list",
          member: {}
        },
        S11: {
          type: "list",
          member: {}
        },
        S1i: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudhsm-2014-05-30.paginators.json
var require_cloudhsm_2014_05_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cloudhsm-2014-05-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/cloudhsm.js
var require_cloudhsm = __commonJS({
  "node_modules/aws-sdk/clients/cloudhsm.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cloudhsm"] = {};
    AWS2.CloudHSM = Service.defineService("cloudhsm", ["2014-05-30"]);
    Object.defineProperty(apiLoader.services["cloudhsm"], "2014-05-30", {
      get: function get() {
        var model = require_cloudhsm_2014_05_30_min();
        model.paginators = require_cloudhsm_2014_05_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CloudHSM;
  }
});

// node_modules/aws-sdk/apis/cloudsearch-2011-02-01.min.json
var require_cloudsearch_2011_02_01_min = __commonJS({
  "node_modules/aws-sdk/apis/cloudsearch-2011-02-01.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2011-02-01",
        endpointPrefix: "cloudsearch",
        serviceFullName: "Amazon CloudSearch",
        serviceId: "CloudSearch",
        signatureVersion: "v4",
        xmlNamespace: "http://cloudsearch.amazonaws.com/doc/2011-02-01/",
        protocol: "query"
      },
      operations: {
        CreateDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            resultWrapper: "CreateDomainResult",
            type: "structure",
            members: {
              DomainStatus: {
                shape: "S4"
              }
            }
          }
        },
        DefineIndexField: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "IndexField"
            ],
            members: {
              DomainName: {},
              IndexField: {
                shape: "Sf"
              }
            }
          },
          output: {
            resultWrapper: "DefineIndexFieldResult",
            type: "structure",
            required: [
              "IndexField"
            ],
            members: {
              IndexField: {
                shape: "Sx"
              }
            }
          }
        },
        DefineRankExpression: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "RankExpression"
            ],
            members: {
              DomainName: {},
              RankExpression: {
                shape: "S12"
              }
            }
          },
          output: {
            resultWrapper: "DefineRankExpressionResult",
            type: "structure",
            required: [
              "RankExpression"
            ],
            members: {
              RankExpression: {
                shape: "S15"
              }
            }
          }
        },
        DeleteDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            resultWrapper: "DeleteDomainResult",
            type: "structure",
            members: {
              DomainStatus: {
                shape: "S4"
              }
            }
          }
        },
        DeleteIndexField: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "IndexFieldName"
            ],
            members: {
              DomainName: {},
              IndexFieldName: {}
            }
          },
          output: {
            resultWrapper: "DeleteIndexFieldResult",
            type: "structure",
            required: [
              "IndexField"
            ],
            members: {
              IndexField: {
                shape: "Sx"
              }
            }
          }
        },
        DeleteRankExpression: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "RankName"
            ],
            members: {
              DomainName: {},
              RankName: {}
            }
          },
          output: {
            resultWrapper: "DeleteRankExpressionResult",
            type: "structure",
            required: [
              "RankExpression"
            ],
            members: {
              RankExpression: {
                shape: "S15"
              }
            }
          }
        },
        DescribeAvailabilityOptions: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            resultWrapper: "DescribeAvailabilityOptionsResult",
            type: "structure",
            members: {
              AvailabilityOptions: {
                shape: "S1e"
              }
            }
          }
        },
        DescribeDefaultSearchField: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            resultWrapper: "DescribeDefaultSearchFieldResult",
            type: "structure",
            required: [
              "DefaultSearchField"
            ],
            members: {
              DefaultSearchField: {
                shape: "S1i"
              }
            }
          }
        },
        DescribeDomains: {
          input: {
            type: "structure",
            members: {
              DomainNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "DescribeDomainsResult",
            type: "structure",
            required: [
              "DomainStatusList"
            ],
            members: {
              DomainStatusList: {
                type: "list",
                member: {
                  shape: "S4"
                }
              }
            }
          }
        },
        DescribeIndexFields: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              FieldNames: {
                shape: "S1o"
              }
            }
          },
          output: {
            resultWrapper: "DescribeIndexFieldsResult",
            type: "structure",
            required: [
              "IndexFields"
            ],
            members: {
              IndexFields: {
                type: "list",
                member: {
                  shape: "Sx"
                }
              }
            }
          }
        },
        DescribeRankExpressions: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              RankNames: {
                shape: "S1o"
              }
            }
          },
          output: {
            resultWrapper: "DescribeRankExpressionsResult",
            type: "structure",
            required: [
              "RankExpressions"
            ],
            members: {
              RankExpressions: {
                type: "list",
                member: {
                  shape: "S15"
                }
              }
            }
          }
        },
        DescribeServiceAccessPolicies: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            resultWrapper: "DescribeServiceAccessPoliciesResult",
            type: "structure",
            required: [
              "AccessPolicies"
            ],
            members: {
              AccessPolicies: {
                shape: "S1w"
              }
            }
          }
        },
        DescribeStemmingOptions: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            resultWrapper: "DescribeStemmingOptionsResult",
            type: "structure",
            required: [
              "Stems"
            ],
            members: {
              Stems: {
                shape: "S20"
              }
            }
          }
        },
        DescribeStopwordOptions: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            resultWrapper: "DescribeStopwordOptionsResult",
            type: "structure",
            required: [
              "Stopwords"
            ],
            members: {
              Stopwords: {
                shape: "S24"
              }
            }
          }
        },
        DescribeSynonymOptions: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            resultWrapper: "DescribeSynonymOptionsResult",
            type: "structure",
            required: [
              "Synonyms"
            ],
            members: {
              Synonyms: {
                shape: "S28"
              }
            }
          }
        },
        IndexDocuments: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            resultWrapper: "IndexDocumentsResult",
            type: "structure",
            members: {
              FieldNames: {
                shape: "S1o"
              }
            }
          }
        },
        UpdateAvailabilityOptions: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "MultiAZ"
            ],
            members: {
              DomainName: {},
              MultiAZ: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "UpdateAvailabilityOptionsResult",
            type: "structure",
            members: {
              AvailabilityOptions: {
                shape: "S1e"
              }
            }
          }
        },
        UpdateDefaultSearchField: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "DefaultSearchField"
            ],
            members: {
              DomainName: {},
              DefaultSearchField: {}
            }
          },
          output: {
            resultWrapper: "UpdateDefaultSearchFieldResult",
            type: "structure",
            required: [
              "DefaultSearchField"
            ],
            members: {
              DefaultSearchField: {
                shape: "S1i"
              }
            }
          }
        },
        UpdateServiceAccessPolicies: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "AccessPolicies"
            ],
            members: {
              DomainName: {},
              AccessPolicies: {}
            }
          },
          output: {
            resultWrapper: "UpdateServiceAccessPoliciesResult",
            type: "structure",
            required: [
              "AccessPolicies"
            ],
            members: {
              AccessPolicies: {
                shape: "S1w"
              }
            }
          }
        },
        UpdateStemmingOptions: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Stems"
            ],
            members: {
              DomainName: {},
              Stems: {}
            }
          },
          output: {
            resultWrapper: "UpdateStemmingOptionsResult",
            type: "structure",
            required: [
              "Stems"
            ],
            members: {
              Stems: {
                shape: "S20"
              }
            }
          }
        },
        UpdateStopwordOptions: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Stopwords"
            ],
            members: {
              DomainName: {},
              Stopwords: {}
            }
          },
          output: {
            resultWrapper: "UpdateStopwordOptionsResult",
            type: "structure",
            required: [
              "Stopwords"
            ],
            members: {
              Stopwords: {
                shape: "S24"
              }
            }
          }
        },
        UpdateSynonymOptions: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Synonyms"
            ],
            members: {
              DomainName: {},
              Synonyms: {}
            }
          },
          output: {
            resultWrapper: "UpdateSynonymOptionsResult",
            type: "structure",
            required: [
              "Synonyms"
            ],
            members: {
              Synonyms: {
                shape: "S28"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          required: [
            "DomainId",
            "DomainName",
            "RequiresIndexDocuments"
          ],
          members: {
            DomainId: {},
            DomainName: {},
            Created: {
              type: "boolean"
            },
            Deleted: {
              type: "boolean"
            },
            NumSearchableDocs: {
              type: "long"
            },
            DocService: {
              shape: "S8"
            },
            SearchService: {
              shape: "S8"
            },
            RequiresIndexDocuments: {
              type: "boolean"
            },
            Processing: {
              type: "boolean"
            },
            SearchInstanceType: {},
            SearchPartitionCount: {
              type: "integer"
            },
            SearchInstanceCount: {
              type: "integer"
            }
          }
        },
        S8: {
          type: "structure",
          members: {
            Arn: {},
            Endpoint: {}
          }
        },
        Sf: {
          type: "structure",
          required: [
            "IndexFieldName",
            "IndexFieldType"
          ],
          members: {
            IndexFieldName: {},
            IndexFieldType: {},
            UIntOptions: {
              type: "structure",
              members: {
                DefaultValue: {
                  type: "integer"
                }
              }
            },
            LiteralOptions: {
              type: "structure",
              members: {
                DefaultValue: {},
                SearchEnabled: {
                  type: "boolean"
                },
                FacetEnabled: {
                  type: "boolean"
                },
                ResultEnabled: {
                  type: "boolean"
                }
              }
            },
            TextOptions: {
              type: "structure",
              members: {
                DefaultValue: {},
                FacetEnabled: {
                  type: "boolean"
                },
                ResultEnabled: {
                  type: "boolean"
                },
                TextProcessor: {}
              }
            },
            SourceAttributes: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "SourceDataFunction"
                ],
                members: {
                  SourceDataFunction: {},
                  SourceDataCopy: {
                    type: "structure",
                    required: [
                      "SourceName"
                    ],
                    members: {
                      SourceName: {},
                      DefaultValue: {}
                    }
                  },
                  SourceDataTrimTitle: {
                    type: "structure",
                    required: [
                      "SourceName"
                    ],
                    members: {
                      SourceName: {},
                      DefaultValue: {},
                      Separator: {},
                      Language: {}
                    }
                  },
                  SourceDataMap: {
                    type: "structure",
                    required: [
                      "SourceName"
                    ],
                    members: {
                      SourceName: {},
                      DefaultValue: {},
                      Cases: {
                        type: "map",
                        key: {},
                        value: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sx: {
          type: "structure",
          required: [
            "Options",
            "Status"
          ],
          members: {
            Options: {
              shape: "Sf"
            },
            Status: {
              shape: "Sy"
            }
          }
        },
        Sy: {
          type: "structure",
          required: [
            "CreationDate",
            "UpdateDate",
            "State"
          ],
          members: {
            CreationDate: {
              type: "timestamp"
            },
            UpdateDate: {
              type: "timestamp"
            },
            UpdateVersion: {
              type: "integer"
            },
            State: {},
            PendingDeletion: {
              type: "boolean"
            }
          }
        },
        S12: {
          type: "structure",
          required: [
            "RankName",
            "RankExpression"
          ],
          members: {
            RankName: {},
            RankExpression: {}
          }
        },
        S15: {
          type: "structure",
          required: [
            "Options",
            "Status"
          ],
          members: {
            Options: {
              shape: "S12"
            },
            Status: {
              shape: "Sy"
            }
          }
        },
        S1e: {
          type: "structure",
          required: [
            "Options",
            "Status"
          ],
          members: {
            Options: {
              type: "boolean"
            },
            Status: {
              shape: "Sy"
            }
          }
        },
        S1i: {
          type: "structure",
          required: [
            "Options",
            "Status"
          ],
          members: {
            Options: {},
            Status: {
              shape: "Sy"
            }
          }
        },
        S1o: {
          type: "list",
          member: {}
        },
        S1w: {
          type: "structure",
          required: [
            "Options",
            "Status"
          ],
          members: {
            Options: {},
            Status: {
              shape: "Sy"
            }
          }
        },
        S20: {
          type: "structure",
          required: [
            "Options",
            "Status"
          ],
          members: {
            Options: {},
            Status: {
              shape: "Sy"
            }
          }
        },
        S24: {
          type: "structure",
          required: [
            "Options",
            "Status"
          ],
          members: {
            Options: {},
            Status: {
              shape: "Sy"
            }
          }
        },
        S28: {
          type: "structure",
          required: [
            "Options",
            "Status"
          ],
          members: {
            Options: {},
            Status: {
              shape: "Sy"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudsearch-2011-02-01.paginators.json
var require_cloudsearch_2011_02_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cloudsearch-2011-02-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeDomains: {
          result_key: "DomainStatusList"
        },
        DescribeIndexFields: {
          result_key: "IndexFields"
        },
        DescribeRankExpressions: {
          result_key: "RankExpressions"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudsearch-2013-01-01.min.json
var require_cloudsearch_2013_01_01_min = __commonJS({
  "node_modules/aws-sdk/apis/cloudsearch-2013-01-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2013-01-01",
        endpointPrefix: "cloudsearch",
        protocol: "query",
        serviceFullName: "Amazon CloudSearch",
        serviceId: "CloudSearch",
        signatureVersion: "v4",
        uid: "cloudsearch-2013-01-01",
        xmlNamespace: "http://cloudsearch.amazonaws.com/doc/2013-01-01/"
      },
      operations: {
        BuildSuggesters: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            resultWrapper: "BuildSuggestersResult",
            type: "structure",
            members: {
              FieldNames: {
                shape: "S4"
              }
            }
          }
        },
        CreateDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            resultWrapper: "CreateDomainResult",
            type: "structure",
            members: {
              DomainStatus: {
                shape: "S8"
              }
            }
          }
        },
        DefineAnalysisScheme: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "AnalysisScheme"
            ],
            members: {
              DomainName: {},
              AnalysisScheme: {
                shape: "Sl"
              }
            }
          },
          output: {
            resultWrapper: "DefineAnalysisSchemeResult",
            type: "structure",
            required: [
              "AnalysisScheme"
            ],
            members: {
              AnalysisScheme: {
                shape: "Ss"
              }
            }
          }
        },
        DefineExpression: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Expression"
            ],
            members: {
              DomainName: {},
              Expression: {
                shape: "Sy"
              }
            }
          },
          output: {
            resultWrapper: "DefineExpressionResult",
            type: "structure",
            required: [
              "Expression"
            ],
            members: {
              Expression: {
                shape: "S11"
              }
            }
          }
        },
        DefineIndexField: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "IndexField"
            ],
            members: {
              DomainName: {},
              IndexField: {
                shape: "S13"
              }
            }
          },
          output: {
            resultWrapper: "DefineIndexFieldResult",
            type: "structure",
            required: [
              "IndexField"
            ],
            members: {
              IndexField: {
                shape: "S1n"
              }
            }
          }
        },
        DefineSuggester: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Suggester"
            ],
            members: {
              DomainName: {},
              Suggester: {
                shape: "S1p"
              }
            }
          },
          output: {
            resultWrapper: "DefineSuggesterResult",
            type: "structure",
            required: [
              "Suggester"
            ],
            members: {
              Suggester: {
                shape: "S1t"
              }
            }
          }
        },
        DeleteAnalysisScheme: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "AnalysisSchemeName"
            ],
            members: {
              DomainName: {},
              AnalysisSchemeName: {}
            }
          },
          output: {
            resultWrapper: "DeleteAnalysisSchemeResult",
            type: "structure",
            required: [
              "AnalysisScheme"
            ],
            members: {
              AnalysisScheme: {
                shape: "Ss"
              }
            }
          }
        },
        DeleteDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            resultWrapper: "DeleteDomainResult",
            type: "structure",
            members: {
              DomainStatus: {
                shape: "S8"
              }
            }
          }
        },
        DeleteExpression: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "ExpressionName"
            ],
            members: {
              DomainName: {},
              ExpressionName: {}
            }
          },
          output: {
            resultWrapper: "DeleteExpressionResult",
            type: "structure",
            required: [
              "Expression"
            ],
            members: {
              Expression: {
                shape: "S11"
              }
            }
          }
        },
        DeleteIndexField: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "IndexFieldName"
            ],
            members: {
              DomainName: {},
              IndexFieldName: {}
            }
          },
          output: {
            resultWrapper: "DeleteIndexFieldResult",
            type: "structure",
            required: [
              "IndexField"
            ],
            members: {
              IndexField: {
                shape: "S1n"
              }
            }
          }
        },
        DeleteSuggester: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "SuggesterName"
            ],
            members: {
              DomainName: {},
              SuggesterName: {}
            }
          },
          output: {
            resultWrapper: "DeleteSuggesterResult",
            type: "structure",
            required: [
              "Suggester"
            ],
            members: {
              Suggester: {
                shape: "S1t"
              }
            }
          }
        },
        DescribeAnalysisSchemes: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              AnalysisSchemeNames: {
                shape: "S25"
              },
              Deployed: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeAnalysisSchemesResult",
            type: "structure",
            required: [
              "AnalysisSchemes"
            ],
            members: {
              AnalysisSchemes: {
                type: "list",
                member: {
                  shape: "Ss"
                }
              }
            }
          }
        },
        DescribeAvailabilityOptions: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              Deployed: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeAvailabilityOptionsResult",
            type: "structure",
            members: {
              AvailabilityOptions: {
                shape: "S2a"
              }
            }
          }
        },
        DescribeDomainEndpointOptions: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              Deployed: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeDomainEndpointOptionsResult",
            type: "structure",
            members: {
              DomainEndpointOptions: {
                shape: "S2e"
              }
            }
          }
        },
        DescribeDomains: {
          input: {
            type: "structure",
            members: {
              DomainNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "DescribeDomainsResult",
            type: "structure",
            required: [
              "DomainStatusList"
            ],
            members: {
              DomainStatusList: {
                type: "list",
                member: {
                  shape: "S8"
                }
              }
            }
          }
        },
        DescribeExpressions: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              ExpressionNames: {
                shape: "S25"
              },
              Deployed: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeExpressionsResult",
            type: "structure",
            required: [
              "Expressions"
            ],
            members: {
              Expressions: {
                type: "list",
                member: {
                  shape: "S11"
                }
              }
            }
          }
        },
        DescribeIndexFields: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              FieldNames: {
                type: "list",
                member: {}
              },
              Deployed: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeIndexFieldsResult",
            type: "structure",
            required: [
              "IndexFields"
            ],
            members: {
              IndexFields: {
                type: "list",
                member: {
                  shape: "S1n"
                }
              }
            }
          }
        },
        DescribeScalingParameters: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            resultWrapper: "DescribeScalingParametersResult",
            type: "structure",
            required: [
              "ScalingParameters"
            ],
            members: {
              ScalingParameters: {
                shape: "S2u"
              }
            }
          }
        },
        DescribeServiceAccessPolicies: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              Deployed: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeServiceAccessPoliciesResult",
            type: "structure",
            required: [
              "AccessPolicies"
            ],
            members: {
              AccessPolicies: {
                shape: "S2z"
              }
            }
          }
        },
        DescribeSuggesters: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              SuggesterNames: {
                shape: "S25"
              },
              Deployed: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeSuggestersResult",
            type: "structure",
            required: [
              "Suggesters"
            ],
            members: {
              Suggesters: {
                type: "list",
                member: {
                  shape: "S1t"
                }
              }
            }
          }
        },
        IndexDocuments: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            resultWrapper: "IndexDocumentsResult",
            type: "structure",
            members: {
              FieldNames: {
                shape: "S4"
              }
            }
          }
        },
        ListDomainNames: {
          output: {
            resultWrapper: "ListDomainNamesResult",
            type: "structure",
            members: {
              DomainNames: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        UpdateAvailabilityOptions: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "MultiAZ"
            ],
            members: {
              DomainName: {},
              MultiAZ: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "UpdateAvailabilityOptionsResult",
            type: "structure",
            members: {
              AvailabilityOptions: {
                shape: "S2a"
              }
            }
          }
        },
        UpdateDomainEndpointOptions: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "DomainEndpointOptions"
            ],
            members: {
              DomainName: {},
              DomainEndpointOptions: {
                shape: "S2f"
              }
            }
          },
          output: {
            resultWrapper: "UpdateDomainEndpointOptionsResult",
            type: "structure",
            members: {
              DomainEndpointOptions: {
                shape: "S2e"
              }
            }
          }
        },
        UpdateScalingParameters: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "ScalingParameters"
            ],
            members: {
              DomainName: {},
              ScalingParameters: {
                shape: "S2v"
              }
            }
          },
          output: {
            resultWrapper: "UpdateScalingParametersResult",
            type: "structure",
            required: [
              "ScalingParameters"
            ],
            members: {
              ScalingParameters: {
                shape: "S2u"
              }
            }
          }
        },
        UpdateServiceAccessPolicies: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "AccessPolicies"
            ],
            members: {
              DomainName: {},
              AccessPolicies: {}
            }
          },
          output: {
            resultWrapper: "UpdateServiceAccessPoliciesResult",
            type: "structure",
            required: [
              "AccessPolicies"
            ],
            members: {
              AccessPolicies: {
                shape: "S2z"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "list",
          member: {}
        },
        S8: {
          type: "structure",
          required: [
            "DomainId",
            "DomainName",
            "RequiresIndexDocuments"
          ],
          members: {
            DomainId: {},
            DomainName: {},
            ARN: {},
            Created: {
              type: "boolean"
            },
            Deleted: {
              type: "boolean"
            },
            DocService: {
              shape: "Sc"
            },
            SearchService: {
              shape: "Sc"
            },
            RequiresIndexDocuments: {
              type: "boolean"
            },
            Processing: {
              type: "boolean"
            },
            SearchInstanceType: {},
            SearchPartitionCount: {
              type: "integer"
            },
            SearchInstanceCount: {
              type: "integer"
            },
            Limits: {
              type: "structure",
              required: [
                "MaximumReplicationCount",
                "MaximumPartitionCount"
              ],
              members: {
                MaximumReplicationCount: {
                  type: "integer"
                },
                MaximumPartitionCount: {
                  type: "integer"
                }
              }
            }
          }
        },
        Sc: {
          type: "structure",
          members: {
            Endpoint: {}
          }
        },
        Sl: {
          type: "structure",
          required: [
            "AnalysisSchemeName",
            "AnalysisSchemeLanguage"
          ],
          members: {
            AnalysisSchemeName: {},
            AnalysisSchemeLanguage: {},
            AnalysisOptions: {
              type: "structure",
              members: {
                Synonyms: {},
                Stopwords: {},
                StemmingDictionary: {},
                JapaneseTokenizationDictionary: {},
                AlgorithmicStemming: {}
              }
            }
          }
        },
        Ss: {
          type: "structure",
          required: [
            "Options",
            "Status"
          ],
          members: {
            Options: {
              shape: "Sl"
            },
            Status: {
              shape: "St"
            }
          }
        },
        St: {
          type: "structure",
          required: [
            "CreationDate",
            "UpdateDate",
            "State"
          ],
          members: {
            CreationDate: {
              type: "timestamp"
            },
            UpdateDate: {
              type: "timestamp"
            },
            UpdateVersion: {
              type: "integer"
            },
            State: {},
            PendingDeletion: {
              type: "boolean"
            }
          }
        },
        Sy: {
          type: "structure",
          required: [
            "ExpressionName",
            "ExpressionValue"
          ],
          members: {
            ExpressionName: {},
            ExpressionValue: {}
          }
        },
        S11: {
          type: "structure",
          required: [
            "Options",
            "Status"
          ],
          members: {
            Options: {
              shape: "Sy"
            },
            Status: {
              shape: "St"
            }
          }
        },
        S13: {
          type: "structure",
          required: [
            "IndexFieldName",
            "IndexFieldType"
          ],
          members: {
            IndexFieldName: {},
            IndexFieldType: {},
            IntOptions: {
              type: "structure",
              members: {
                DefaultValue: {
                  type: "long"
                },
                SourceField: {},
                FacetEnabled: {
                  type: "boolean"
                },
                SearchEnabled: {
                  type: "boolean"
                },
                ReturnEnabled: {
                  type: "boolean"
                },
                SortEnabled: {
                  type: "boolean"
                }
              }
            },
            DoubleOptions: {
              type: "structure",
              members: {
                DefaultValue: {
                  type: "double"
                },
                SourceField: {},
                FacetEnabled: {
                  type: "boolean"
                },
                SearchEnabled: {
                  type: "boolean"
                },
                ReturnEnabled: {
                  type: "boolean"
                },
                SortEnabled: {
                  type: "boolean"
                }
              }
            },
            LiteralOptions: {
              type: "structure",
              members: {
                DefaultValue: {},
                SourceField: {},
                FacetEnabled: {
                  type: "boolean"
                },
                SearchEnabled: {
                  type: "boolean"
                },
                ReturnEnabled: {
                  type: "boolean"
                },
                SortEnabled: {
                  type: "boolean"
                }
              }
            },
            TextOptions: {
              type: "structure",
              members: {
                DefaultValue: {},
                SourceField: {},
                ReturnEnabled: {
                  type: "boolean"
                },
                SortEnabled: {
                  type: "boolean"
                },
                HighlightEnabled: {
                  type: "boolean"
                },
                AnalysisScheme: {}
              }
            },
            DateOptions: {
              type: "structure",
              members: {
                DefaultValue: {},
                SourceField: {},
                FacetEnabled: {
                  type: "boolean"
                },
                SearchEnabled: {
                  type: "boolean"
                },
                ReturnEnabled: {
                  type: "boolean"
                },
                SortEnabled: {
                  type: "boolean"
                }
              }
            },
            LatLonOptions: {
              type: "structure",
              members: {
                DefaultValue: {},
                SourceField: {},
                FacetEnabled: {
                  type: "boolean"
                },
                SearchEnabled: {
                  type: "boolean"
                },
                ReturnEnabled: {
                  type: "boolean"
                },
                SortEnabled: {
                  type: "boolean"
                }
              }
            },
            IntArrayOptions: {
              type: "structure",
              members: {
                DefaultValue: {
                  type: "long"
                },
                SourceFields: {},
                FacetEnabled: {
                  type: "boolean"
                },
                SearchEnabled: {
                  type: "boolean"
                },
                ReturnEnabled: {
                  type: "boolean"
                }
              }
            },
            DoubleArrayOptions: {
              type: "structure",
              members: {
                DefaultValue: {
                  type: "double"
                },
                SourceFields: {},
                FacetEnabled: {
                  type: "boolean"
                },
                SearchEnabled: {
                  type: "boolean"
                },
                ReturnEnabled: {
                  type: "boolean"
                }
              }
            },
            LiteralArrayOptions: {
              type: "structure",
              members: {
                DefaultValue: {},
                SourceFields: {},
                FacetEnabled: {
                  type: "boolean"
                },
                SearchEnabled: {
                  type: "boolean"
                },
                ReturnEnabled: {
                  type: "boolean"
                }
              }
            },
            TextArrayOptions: {
              type: "structure",
              members: {
                DefaultValue: {},
                SourceFields: {},
                ReturnEnabled: {
                  type: "boolean"
                },
                HighlightEnabled: {
                  type: "boolean"
                },
                AnalysisScheme: {}
              }
            },
            DateArrayOptions: {
              type: "structure",
              members: {
                DefaultValue: {},
                SourceFields: {},
                FacetEnabled: {
                  type: "boolean"
                },
                SearchEnabled: {
                  type: "boolean"
                },
                ReturnEnabled: {
                  type: "boolean"
                }
              }
            }
          }
        },
        S1n: {
          type: "structure",
          required: [
            "Options",
            "Status"
          ],
          members: {
            Options: {
              shape: "S13"
            },
            Status: {
              shape: "St"
            }
          }
        },
        S1p: {
          type: "structure",
          required: [
            "SuggesterName",
            "DocumentSuggesterOptions"
          ],
          members: {
            SuggesterName: {},
            DocumentSuggesterOptions: {
              type: "structure",
              required: [
                "SourceField"
              ],
              members: {
                SourceField: {},
                FuzzyMatching: {},
                SortExpression: {}
              }
            }
          }
        },
        S1t: {
          type: "structure",
          required: [
            "Options",
            "Status"
          ],
          members: {
            Options: {
              shape: "S1p"
            },
            Status: {
              shape: "St"
            }
          }
        },
        S25: {
          type: "list",
          member: {}
        },
        S2a: {
          type: "structure",
          required: [
            "Options",
            "Status"
          ],
          members: {
            Options: {
              type: "boolean"
            },
            Status: {
              shape: "St"
            }
          }
        },
        S2e: {
          type: "structure",
          required: [
            "Options",
            "Status"
          ],
          members: {
            Options: {
              shape: "S2f"
            },
            Status: {
              shape: "St"
            }
          }
        },
        S2f: {
          type: "structure",
          members: {
            EnforceHTTPS: {
              type: "boolean"
            },
            TLSSecurityPolicy: {}
          }
        },
        S2u: {
          type: "structure",
          required: [
            "Options",
            "Status"
          ],
          members: {
            Options: {
              shape: "S2v"
            },
            Status: {
              shape: "St"
            }
          }
        },
        S2v: {
          type: "structure",
          members: {
            DesiredInstanceType: {},
            DesiredReplicationCount: {
              type: "integer"
            },
            DesiredPartitionCount: {
              type: "integer"
            }
          }
        },
        S2z: {
          type: "structure",
          required: [
            "Options",
            "Status"
          ],
          members: {
            Options: {},
            Status: {
              shape: "St"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudsearch-2013-01-01.paginators.json
var require_cloudsearch_2013_01_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cloudsearch-2013-01-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeAnalysisSchemes: {
          result_key: "AnalysisSchemes"
        },
        DescribeDomains: {
          result_key: "DomainStatusList"
        },
        DescribeExpressions: {
          result_key: "Expressions"
        },
        DescribeIndexFields: {
          result_key: "IndexFields"
        },
        DescribeSuggesters: {
          result_key: "Suggesters"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/cloudsearch.js
var require_cloudsearch = __commonJS({
  "node_modules/aws-sdk/clients/cloudsearch.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cloudsearch"] = {};
    AWS2.CloudSearch = Service.defineService("cloudsearch", ["2011-02-01", "2013-01-01"]);
    Object.defineProperty(apiLoader.services["cloudsearch"], "2011-02-01", {
      get: function get() {
        var model = require_cloudsearch_2011_02_01_min();
        model.paginators = require_cloudsearch_2011_02_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(apiLoader.services["cloudsearch"], "2013-01-01", {
      get: function get() {
        var model = require_cloudsearch_2013_01_01_min();
        model.paginators = require_cloudsearch_2013_01_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CloudSearch;
  }
});

// node_modules/aws-sdk/lib/services/cloudsearchdomain.js
var require_cloudsearchdomain = __commonJS({
  "node_modules/aws-sdk/lib/services/cloudsearchdomain.js"() {
    var AWS2 = require_core();
    AWS2.util.update(AWS2.CloudSearchDomain.prototype, {
      /**
       * @api private
       */
      validateService: function validateService() {
        if (!this.config.endpoint || this.config.endpoint.indexOf("{") >= 0) {
          var msg = "AWS.CloudSearchDomain requires an explicit `endpoint' configuration option.";
          throw AWS2.util.error(
            new Error(),
            { name: "InvalidEndpoint", message: msg }
          );
        }
      },
      /**
       * @api private
       */
      setupRequestListeners: function setupRequestListeners(request) {
        request.removeListener(
          "validate",
          AWS2.EventListeners.Core.VALIDATE_CREDENTIALS
        );
        request.onAsync("validate", this.validateCredentials);
        request.addListener("validate", this.updateRegion);
        if (request.operation === "search") {
          request.addListener("build", this.convertGetToPost);
        }
      },
      /**
       * @api private
       */
      validateCredentials: function(req, done) {
        if (!req.service.api.signatureVersion)
          return done();
        req.service.config.getCredentials(function(err) {
          if (err) {
            req.removeListener("sign", AWS2.EventListeners.Core.SIGN);
          }
          done();
        });
      },
      /**
       * @api private
       */
      convertGetToPost: function(request) {
        var httpRequest = request.httpRequest;
        var path = httpRequest.path.split("?");
        httpRequest.method = "POST";
        httpRequest.path = path[0];
        httpRequest.body = path[1];
        httpRequest.headers["Content-Length"] = httpRequest.body.length;
        httpRequest.headers["Content-Type"] = "application/x-www-form-urlencoded";
      },
      /**
       * @api private
       */
      updateRegion: function updateRegion(request) {
        var endpoint = request.httpRequest.endpoint.hostname;
        var zones = endpoint.split(".");
        request.httpRequest.region = zones[1] || request.httpRequest.region;
      }
    });
  }
});

// node_modules/aws-sdk/apis/cloudsearchdomain-2013-01-01.min.json
var require_cloudsearchdomain_2013_01_01_min = __commonJS({
  "node_modules/aws-sdk/apis/cloudsearchdomain-2013-01-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2013-01-01",
        endpointPrefix: "cloudsearchdomain",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon CloudSearch Domain",
        serviceId: "CloudSearch Domain",
        signatureVersion: "v4",
        signingName: "cloudsearch",
        uid: "cloudsearchdomain-2013-01-01"
      },
      operations: {
        Search: {
          http: {
            method: "GET",
            requestUri: "/2013-01-01/search?format=sdk&pretty=true"
          },
          input: {
            type: "structure",
            required: [
              "query"
            ],
            members: {
              cursor: {
                location: "querystring",
                locationName: "cursor"
              },
              expr: {
                location: "querystring",
                locationName: "expr"
              },
              facet: {
                location: "querystring",
                locationName: "facet"
              },
              filterQuery: {
                location: "querystring",
                locationName: "fq"
              },
              highlight: {
                location: "querystring",
                locationName: "highlight"
              },
              partial: {
                location: "querystring",
                locationName: "partial",
                type: "boolean"
              },
              query: {
                location: "querystring",
                locationName: "q"
              },
              queryOptions: {
                location: "querystring",
                locationName: "q.options"
              },
              queryParser: {
                location: "querystring",
                locationName: "q.parser"
              },
              return: {
                location: "querystring",
                locationName: "return"
              },
              size: {
                location: "querystring",
                locationName: "size",
                type: "long"
              },
              sort: {
                location: "querystring",
                locationName: "sort"
              },
              start: {
                location: "querystring",
                locationName: "start",
                type: "long"
              },
              stats: {
                location: "querystring",
                locationName: "stats"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              status: {
                type: "structure",
                members: {
                  timems: {
                    type: "long"
                  },
                  rid: {}
                }
              },
              hits: {
                type: "structure",
                members: {
                  found: {
                    type: "long"
                  },
                  start: {
                    type: "long"
                  },
                  cursor: {},
                  hit: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        id: {},
                        fields: {
                          type: "map",
                          key: {},
                          value: {
                            type: "list",
                            member: {}
                          }
                        },
                        exprs: {
                          type: "map",
                          key: {},
                          value: {}
                        },
                        highlights: {
                          type: "map",
                          key: {},
                          value: {}
                        }
                      }
                    }
                  }
                }
              },
              facets: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    buckets: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          value: {},
                          count: {
                            type: "long"
                          }
                        }
                      }
                    }
                  }
                }
              },
              stats: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    min: {},
                    max: {},
                    count: {
                      type: "long"
                    },
                    missing: {
                      type: "long"
                    },
                    sum: {
                      type: "double"
                    },
                    sumOfSquares: {
                      type: "double"
                    },
                    mean: {},
                    stddev: {
                      type: "double"
                    }
                  }
                }
              }
            }
          }
        },
        Suggest: {
          http: {
            method: "GET",
            requestUri: "/2013-01-01/suggest?format=sdk&pretty=true"
          },
          input: {
            type: "structure",
            required: [
              "query",
              "suggester"
            ],
            members: {
              query: {
                location: "querystring",
                locationName: "q"
              },
              suggester: {
                location: "querystring",
                locationName: "suggester"
              },
              size: {
                location: "querystring",
                locationName: "size",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              status: {
                type: "structure",
                members: {
                  timems: {
                    type: "long"
                  },
                  rid: {}
                }
              },
              suggest: {
                type: "structure",
                members: {
                  query: {},
                  found: {
                    type: "long"
                  },
                  suggestions: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        suggestion: {},
                        score: {
                          type: "long"
                        },
                        id: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        UploadDocuments: {
          http: {
            requestUri: "/2013-01-01/documents/batch?format=sdk"
          },
          input: {
            type: "structure",
            required: [
              "documents",
              "contentType"
            ],
            members: {
              documents: {
                type: "blob",
                streaming: true
              },
              contentType: {
                location: "header",
                locationName: "Content-Type"
              }
            },
            payload: "documents"
          },
          output: {
            type: "structure",
            members: {
              status: {},
              adds: {
                type: "long"
              },
              deletes: {
                type: "long"
              },
              warnings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    message: {}
                  }
                }
              }
            }
          }
        }
      },
      shapes: {}
    };
  }
});

// node_modules/aws-sdk/clients/cloudsearchdomain.js
var require_cloudsearchdomain2 = __commonJS({
  "node_modules/aws-sdk/clients/cloudsearchdomain.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cloudsearchdomain"] = {};
    AWS2.CloudSearchDomain = Service.defineService("cloudsearchdomain", ["2013-01-01"]);
    require_cloudsearchdomain();
    Object.defineProperty(apiLoader.services["cloudsearchdomain"], "2013-01-01", {
      get: function get() {
        var model = require_cloudsearchdomain_2013_01_01_min();
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CloudSearchDomain;
  }
});

// node_modules/aws-sdk/apis/cloudtrail-2013-11-01.min.json
var require_cloudtrail_2013_11_01_min = __commonJS({
  "node_modules/aws-sdk/apis/cloudtrail-2013-11-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2013-11-01",
        endpointPrefix: "cloudtrail",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "CloudTrail",
        serviceFullName: "AWS CloudTrail",
        serviceId: "CloudTrail",
        signatureVersion: "v4",
        targetPrefix: "com.amazonaws.cloudtrail.v20131101.CloudTrail_20131101",
        uid: "cloudtrail-2013-11-01"
      },
      operations: {
        AddTags: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "TagsList"
            ],
            members: {
              ResourceId: {},
              TagsList: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        CancelQuery: {
          input: {
            type: "structure",
            required: [
              "QueryId"
            ],
            members: {
              EventDataStore: {
                deprecated: true,
                deprecatedMessage: "EventDataStore is no longer required by CancelQueryRequest"
              },
              QueryId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "QueryId",
              "QueryStatus"
            ],
            members: {
              QueryId: {},
              QueryStatus: {}
            }
          },
          idempotent: true
        },
        CreateChannel: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Source",
              "Destinations"
            ],
            members: {
              Name: {},
              Source: {},
              Destinations: {
                shape: "Sg"
              },
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              Name: {},
              Source: {},
              Destinations: {
                shape: "Sg"
              },
              Tags: {
                shape: "S3"
              }
            }
          }
        },
        CreateEventDataStore: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              AdvancedEventSelectors: {
                shape: "So"
              },
              MultiRegionEnabled: {
                type: "boolean"
              },
              OrganizationEnabled: {
                type: "boolean"
              },
              RetentionPeriod: {
                type: "integer"
              },
              TerminationProtectionEnabled: {
                type: "boolean"
              },
              TagsList: {
                shape: "S3"
              },
              KmsKeyId: {},
              StartIngestion: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventDataStoreArn: {},
              Name: {},
              Status: {},
              AdvancedEventSelectors: {
                shape: "So"
              },
              MultiRegionEnabled: {
                type: "boolean"
              },
              OrganizationEnabled: {
                type: "boolean"
              },
              RetentionPeriod: {
                type: "integer"
              },
              TerminationProtectionEnabled: {
                type: "boolean"
              },
              TagsList: {
                shape: "S3"
              },
              CreatedTimestamp: {
                type: "timestamp"
              },
              UpdatedTimestamp: {
                type: "timestamp"
              },
              KmsKeyId: {}
            }
          }
        },
        CreateTrail: {
          input: {
            type: "structure",
            required: [
              "Name",
              "S3BucketName"
            ],
            members: {
              Name: {},
              S3BucketName: {},
              S3KeyPrefix: {},
              SnsTopicName: {},
              IncludeGlobalServiceEvents: {
                type: "boolean"
              },
              IsMultiRegionTrail: {
                type: "boolean"
              },
              EnableLogFileValidation: {
                type: "boolean"
              },
              CloudWatchLogsLogGroupArn: {},
              CloudWatchLogsRoleArn: {},
              KmsKeyId: {},
              IsOrganizationTrail: {
                type: "boolean"
              },
              TagsList: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              S3BucketName: {},
              S3KeyPrefix: {},
              SnsTopicName: {
                deprecated: true
              },
              SnsTopicARN: {},
              IncludeGlobalServiceEvents: {
                type: "boolean"
              },
              IsMultiRegionTrail: {
                type: "boolean"
              },
              TrailARN: {},
              LogFileValidationEnabled: {
                type: "boolean"
              },
              CloudWatchLogsLogGroupArn: {},
              CloudWatchLogsRoleArn: {},
              KmsKeyId: {},
              IsOrganizationTrail: {
                type: "boolean"
              }
            }
          },
          idempotent: true
        },
        DeleteChannel: {
          input: {
            type: "structure",
            required: [
              "Channel"
            ],
            members: {
              Channel: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEventDataStore: {
          input: {
            type: "structure",
            required: [
              "EventDataStore"
            ],
            members: {
              EventDataStore: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteTrail: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeregisterOrganizationDelegatedAdmin: {
          input: {
            type: "structure",
            required: [
              "DelegatedAdminAccountId"
            ],
            members: {
              DelegatedAdminAccountId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DescribeQuery: {
          input: {
            type: "structure",
            members: {
              EventDataStore: {
                deprecated: true,
                deprecatedMessage: "EventDataStore is no longer required by DescribeQueryRequest"
              },
              QueryId: {},
              QueryAlias: {}
            }
          },
          output: {
            type: "structure",
            members: {
              QueryId: {},
              QueryString: {},
              QueryStatus: {},
              QueryStatistics: {
                type: "structure",
                members: {
                  EventsMatched: {
                    type: "long"
                  },
                  EventsScanned: {
                    type: "long"
                  },
                  BytesScanned: {
                    type: "long"
                  },
                  ExecutionTimeInMillis: {
                    type: "integer"
                  },
                  CreationTime: {
                    type: "timestamp"
                  }
                }
              },
              ErrorMessage: {},
              DeliveryS3Uri: {},
              DeliveryStatus: {}
            }
          },
          idempotent: true
        },
        DescribeTrails: {
          input: {
            type: "structure",
            members: {
              trailNameList: {
                type: "list",
                member: {}
              },
              includeShadowTrails: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              trailList: {
                type: "list",
                member: {
                  shape: "S1v"
                }
              }
            }
          },
          idempotent: true
        },
        GetChannel: {
          input: {
            type: "structure",
            required: [
              "Channel"
            ],
            members: {
              Channel: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              Name: {},
              Source: {},
              SourceConfig: {
                type: "structure",
                members: {
                  ApplyToAllRegions: {
                    type: "boolean"
                  },
                  AdvancedEventSelectors: {
                    shape: "So"
                  }
                }
              },
              Destinations: {
                shape: "Sg"
              },
              IngestionStatus: {
                type: "structure",
                members: {
                  LatestIngestionSuccessTime: {
                    type: "timestamp"
                  },
                  LatestIngestionSuccessEventID: {},
                  LatestIngestionErrorCode: {},
                  LatestIngestionAttemptTime: {
                    type: "timestamp"
                  },
                  LatestIngestionAttemptEventID: {}
                }
              }
            }
          },
          idempotent: true
        },
        GetEventDataStore: {
          input: {
            type: "structure",
            required: [
              "EventDataStore"
            ],
            members: {
              EventDataStore: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EventDataStoreArn: {},
              Name: {},
              Status: {},
              AdvancedEventSelectors: {
                shape: "So"
              },
              MultiRegionEnabled: {
                type: "boolean"
              },
              OrganizationEnabled: {
                type: "boolean"
              },
              RetentionPeriod: {
                type: "integer"
              },
              TerminationProtectionEnabled: {
                type: "boolean"
              },
              CreatedTimestamp: {
                type: "timestamp"
              },
              UpdatedTimestamp: {
                type: "timestamp"
              },
              KmsKeyId: {}
            }
          },
          idempotent: true
        },
        GetEventSelectors: {
          input: {
            type: "structure",
            required: [
              "TrailName"
            ],
            members: {
              TrailName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrailARN: {},
              EventSelectors: {
                shape: "S24"
              },
              AdvancedEventSelectors: {
                shape: "So"
              }
            }
          },
          idempotent: true
        },
        GetImport: {
          input: {
            type: "structure",
            required: [
              "ImportId"
            ],
            members: {
              ImportId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImportId: {},
              Destinations: {
                shape: "S2d"
              },
              ImportSource: {
                shape: "S2e"
              },
              StartEventTime: {
                type: "timestamp"
              },
              EndEventTime: {
                type: "timestamp"
              },
              ImportStatus: {},
              CreatedTimestamp: {
                type: "timestamp"
              },
              UpdatedTimestamp: {
                type: "timestamp"
              },
              ImportStatistics: {
                shape: "S2h"
              }
            }
          }
        },
        GetInsightSelectors: {
          input: {
            type: "structure",
            required: [
              "TrailName"
            ],
            members: {
              TrailName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrailARN: {},
              InsightSelectors: {
                shape: "S2k"
              }
            }
          },
          idempotent: true
        },
        GetQueryResults: {
          input: {
            type: "structure",
            required: [
              "QueryId"
            ],
            members: {
              EventDataStore: {
                deprecated: true,
                deprecatedMessage: "EventDataStore is no longer required by GetQueryResultsRequest"
              },
              QueryId: {},
              NextToken: {},
              MaxQueryResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              QueryStatus: {},
              QueryStatistics: {
                type: "structure",
                members: {
                  ResultsCount: {
                    type: "integer"
                  },
                  TotalResultsCount: {
                    type: "integer"
                  },
                  BytesScanned: {
                    type: "long"
                  }
                }
              },
              QueryResultRows: {
                type: "list",
                member: {
                  type: "list",
                  member: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                }
              },
              NextToken: {},
              ErrorMessage: {}
            }
          }
        },
        GetResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceArn: {},
              ResourcePolicy: {}
            }
          },
          idempotent: true
        },
        GetTrail: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Trail: {
                shape: "S1v"
              }
            }
          },
          idempotent: true
        },
        GetTrailStatus: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IsLogging: {
                type: "boolean"
              },
              LatestDeliveryError: {},
              LatestNotificationError: {},
              LatestDeliveryTime: {
                type: "timestamp"
              },
              LatestNotificationTime: {
                type: "timestamp"
              },
              StartLoggingTime: {
                type: "timestamp"
              },
              StopLoggingTime: {
                type: "timestamp"
              },
              LatestCloudWatchLogsDeliveryError: {},
              LatestCloudWatchLogsDeliveryTime: {
                type: "timestamp"
              },
              LatestDigestDeliveryTime: {
                type: "timestamp"
              },
              LatestDigestDeliveryError: {},
              LatestDeliveryAttemptTime: {},
              LatestNotificationAttemptTime: {},
              LatestNotificationAttemptSucceeded: {},
              LatestDeliveryAttemptSucceeded: {},
              TimeLoggingStarted: {},
              TimeLoggingStopped: {}
            }
          },
          idempotent: true
        },
        ListChannels: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Channels: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ChannelArn: {},
                    Name: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListEventDataStores: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventDataStores: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EventDataStoreArn: {},
                    Name: {},
                    TerminationProtectionEnabled: {
                      deprecated: true,
                      deprecatedMessage: "TerminationProtectionEnabled is no longer returned by ListEventDataStores",
                      type: "boolean"
                    },
                    Status: {
                      deprecated: true,
                      deprecatedMessage: "Status is no longer returned by ListEventDataStores"
                    },
                    AdvancedEventSelectors: {
                      shape: "So",
                      deprecated: true,
                      deprecatedMessage: "AdvancedEventSelectors is no longer returned by ListEventDataStores"
                    },
                    MultiRegionEnabled: {
                      deprecated: true,
                      deprecatedMessage: "MultiRegionEnabled is no longer returned by ListEventDataStores",
                      type: "boolean"
                    },
                    OrganizationEnabled: {
                      deprecated: true,
                      deprecatedMessage: "OrganizationEnabled is no longer returned by ListEventDataStores",
                      type: "boolean"
                    },
                    RetentionPeriod: {
                      deprecated: true,
                      deprecatedMessage: "RetentionPeriod is no longer returned by ListEventDataStores",
                      type: "integer"
                    },
                    CreatedTimestamp: {
                      deprecated: true,
                      deprecatedMessage: "CreatedTimestamp is no longer returned by ListEventDataStores",
                      type: "timestamp"
                    },
                    UpdatedTimestamp: {
                      deprecated: true,
                      deprecatedMessage: "UpdatedTimestamp is no longer returned by ListEventDataStores",
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListImportFailures: {
          input: {
            type: "structure",
            required: [
              "ImportId"
            ],
            members: {
              ImportId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Failures: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Location: {},
                    Status: {},
                    ErrorType: {},
                    ErrorMessage: {},
                    LastUpdatedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListImports: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              Destination: {},
              ImportStatus: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Imports: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ImportId: {},
                    ImportStatus: {},
                    Destinations: {
                      shape: "S2d"
                    },
                    CreatedTimestamp: {
                      type: "timestamp"
                    },
                    UpdatedTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListPublicKeys: {
          input: {
            type: "structure",
            members: {
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKeyList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Value: {
                      type: "blob"
                    },
                    ValidityStartTime: {
                      type: "timestamp"
                    },
                    ValidityEndTime: {
                      type: "timestamp"
                    },
                    Fingerprint: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListQueries: {
          input: {
            type: "structure",
            required: [
              "EventDataStore"
            ],
            members: {
              EventDataStore: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              QueryStatus: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Queries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    QueryId: {},
                    QueryStatus: {},
                    CreationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListTags: {
          input: {
            type: "structure",
            required: [
              "ResourceIdList"
            ],
            members: {
              ResourceIdList: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceTagList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceId: {},
                    TagsList: {
                      shape: "S3"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListTrails: {
          input: {
            type: "structure",
            members: {
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Trails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TrailARN: {},
                    Name: {},
                    HomeRegion: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        LookupEvents: {
          input: {
            type: "structure",
            members: {
              LookupAttributes: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AttributeKey",
                    "AttributeValue"
                  ],
                  members: {
                    AttributeKey: {},
                    AttributeValue: {}
                  }
                }
              },
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              EventCategory: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Events: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EventId: {},
                    EventName: {},
                    ReadOnly: {},
                    AccessKeyId: {},
                    EventTime: {
                      type: "timestamp"
                    },
                    EventSource: {},
                    Username: {},
                    Resources: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ResourceType: {},
                          ResourceName: {}
                        }
                      }
                    },
                    CloudTrailEvent: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        PutEventSelectors: {
          input: {
            type: "structure",
            required: [
              "TrailName"
            ],
            members: {
              TrailName: {},
              EventSelectors: {
                shape: "S24"
              },
              AdvancedEventSelectors: {
                shape: "So"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrailARN: {},
              EventSelectors: {
                shape: "S24"
              },
              AdvancedEventSelectors: {
                shape: "So"
              }
            }
          },
          idempotent: true
        },
        PutInsightSelectors: {
          input: {
            type: "structure",
            required: [
              "TrailName",
              "InsightSelectors"
            ],
            members: {
              TrailName: {},
              InsightSelectors: {
                shape: "S2k"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrailARN: {},
              InsightSelectors: {
                shape: "S2k"
              }
            }
          },
          idempotent: true
        },
        PutResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "ResourcePolicy"
            ],
            members: {
              ResourceArn: {},
              ResourcePolicy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceArn: {},
              ResourcePolicy: {}
            }
          },
          idempotent: true
        },
        RegisterOrganizationDelegatedAdmin: {
          input: {
            type: "structure",
            required: [
              "MemberAccountId"
            ],
            members: {
              MemberAccountId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        RemoveTags: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "TagsList"
            ],
            members: {
              ResourceId: {},
              TagsList: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        RestoreEventDataStore: {
          input: {
            type: "structure",
            required: [
              "EventDataStore"
            ],
            members: {
              EventDataStore: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EventDataStoreArn: {},
              Name: {},
              Status: {},
              AdvancedEventSelectors: {
                shape: "So"
              },
              MultiRegionEnabled: {
                type: "boolean"
              },
              OrganizationEnabled: {
                type: "boolean"
              },
              RetentionPeriod: {
                type: "integer"
              },
              TerminationProtectionEnabled: {
                type: "boolean"
              },
              CreatedTimestamp: {
                type: "timestamp"
              },
              UpdatedTimestamp: {
                type: "timestamp"
              },
              KmsKeyId: {}
            }
          }
        },
        StartEventDataStoreIngestion: {
          input: {
            type: "structure",
            required: [
              "EventDataStore"
            ],
            members: {
              EventDataStore: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartImport: {
          input: {
            type: "structure",
            members: {
              Destinations: {
                shape: "S2d"
              },
              ImportSource: {
                shape: "S2e"
              },
              StartEventTime: {
                type: "timestamp"
              },
              EndEventTime: {
                type: "timestamp"
              },
              ImportId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImportId: {},
              Destinations: {
                shape: "S2d"
              },
              ImportSource: {
                shape: "S2e"
              },
              StartEventTime: {
                type: "timestamp"
              },
              EndEventTime: {
                type: "timestamp"
              },
              ImportStatus: {},
              CreatedTimestamp: {
                type: "timestamp"
              },
              UpdatedTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        StartLogging: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        StartQuery: {
          input: {
            type: "structure",
            members: {
              QueryStatement: {},
              DeliveryS3Uri: {},
              QueryAlias: {},
              QueryParameters: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              QueryId: {}
            }
          },
          idempotent: true
        },
        StopEventDataStoreIngestion: {
          input: {
            type: "structure",
            required: [
              "EventDataStore"
            ],
            members: {
              EventDataStore: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StopImport: {
          input: {
            type: "structure",
            required: [
              "ImportId"
            ],
            members: {
              ImportId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImportId: {},
              ImportSource: {
                shape: "S2e"
              },
              Destinations: {
                shape: "S2d"
              },
              ImportStatus: {},
              CreatedTimestamp: {
                type: "timestamp"
              },
              UpdatedTimestamp: {
                type: "timestamp"
              },
              StartEventTime: {
                type: "timestamp"
              },
              EndEventTime: {
                type: "timestamp"
              },
              ImportStatistics: {
                shape: "S2h"
              }
            }
          }
        },
        StopLogging: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateChannel: {
          input: {
            type: "structure",
            required: [
              "Channel"
            ],
            members: {
              Channel: {},
              Destinations: {
                shape: "Sg"
              },
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              Name: {},
              Source: {},
              Destinations: {
                shape: "Sg"
              }
            }
          },
          idempotent: true
        },
        UpdateEventDataStore: {
          input: {
            type: "structure",
            required: [
              "EventDataStore"
            ],
            members: {
              EventDataStore: {},
              Name: {},
              AdvancedEventSelectors: {
                shape: "So"
              },
              MultiRegionEnabled: {
                type: "boolean"
              },
              OrganizationEnabled: {
                type: "boolean"
              },
              RetentionPeriod: {
                type: "integer"
              },
              TerminationProtectionEnabled: {
                type: "boolean"
              },
              KmsKeyId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EventDataStoreArn: {},
              Name: {},
              Status: {},
              AdvancedEventSelectors: {
                shape: "So"
              },
              MultiRegionEnabled: {
                type: "boolean"
              },
              OrganizationEnabled: {
                type: "boolean"
              },
              RetentionPeriod: {
                type: "integer"
              },
              TerminationProtectionEnabled: {
                type: "boolean"
              },
              CreatedTimestamp: {
                type: "timestamp"
              },
              UpdatedTimestamp: {
                type: "timestamp"
              },
              KmsKeyId: {}
            }
          },
          idempotent: true
        },
        UpdateTrail: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              S3BucketName: {},
              S3KeyPrefix: {},
              SnsTopicName: {},
              IncludeGlobalServiceEvents: {
                type: "boolean"
              },
              IsMultiRegionTrail: {
                type: "boolean"
              },
              EnableLogFileValidation: {
                type: "boolean"
              },
              CloudWatchLogsLogGroupArn: {},
              CloudWatchLogsRoleArn: {},
              KmsKeyId: {},
              IsOrganizationTrail: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              S3BucketName: {},
              S3KeyPrefix: {},
              SnsTopicName: {
                deprecated: true
              },
              SnsTopicARN: {},
              IncludeGlobalServiceEvents: {
                type: "boolean"
              },
              IsMultiRegionTrail: {
                type: "boolean"
              },
              TrailARN: {},
              LogFileValidationEnabled: {
                type: "boolean"
              },
              CloudWatchLogsLogGroupArn: {},
              CloudWatchLogsRoleArn: {},
              KmsKeyId: {},
              IsOrganizationTrail: {
                type: "boolean"
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sg: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Type",
              "Location"
            ],
            members: {
              Type: {},
              Location: {}
            }
          }
        },
        So: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "FieldSelectors"
            ],
            members: {
              Name: {},
              FieldSelectors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Field"
                  ],
                  members: {
                    Field: {},
                    Equals: {
                      shape: "Su"
                    },
                    StartsWith: {
                      shape: "Su"
                    },
                    EndsWith: {
                      shape: "Su"
                    },
                    NotEquals: {
                      shape: "Su"
                    },
                    NotStartsWith: {
                      shape: "Su"
                    },
                    NotEndsWith: {
                      shape: "Su"
                    }
                  }
                }
              }
            }
          }
        },
        Su: {
          type: "list",
          member: {}
        },
        S1v: {
          type: "structure",
          members: {
            Name: {},
            S3BucketName: {},
            S3KeyPrefix: {},
            SnsTopicName: {
              deprecated: true
            },
            SnsTopicARN: {},
            IncludeGlobalServiceEvents: {
              type: "boolean"
            },
            IsMultiRegionTrail: {
              type: "boolean"
            },
            HomeRegion: {},
            TrailARN: {},
            LogFileValidationEnabled: {
              type: "boolean"
            },
            CloudWatchLogsLogGroupArn: {},
            CloudWatchLogsRoleArn: {},
            KmsKeyId: {},
            HasCustomEventSelectors: {
              type: "boolean"
            },
            HasInsightSelectors: {
              type: "boolean"
            },
            IsOrganizationTrail: {
              type: "boolean"
            }
          }
        },
        S24: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ReadWriteType: {},
              IncludeManagementEvents: {
                type: "boolean"
              },
              DataResources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              ExcludeManagementEventSources: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S2d: {
          type: "list",
          member: {}
        },
        S2e: {
          type: "structure",
          required: [
            "S3"
          ],
          members: {
            S3: {
              type: "structure",
              required: [
                "S3LocationUri",
                "S3BucketRegion",
                "S3BucketAccessRoleArn"
              ],
              members: {
                S3LocationUri: {},
                S3BucketRegion: {},
                S3BucketAccessRoleArn: {}
              }
            }
          }
        },
        S2h: {
          type: "structure",
          members: {
            PrefixesFound: {
              type: "long"
            },
            PrefixesCompleted: {
              type: "long"
            },
            FilesCompleted: {
              type: "long"
            },
            EventsCompleted: {
              type: "long"
            },
            FailedEntries: {
              type: "long"
            }
          }
        },
        S2k: {
          type: "list",
          member: {
            type: "structure",
            members: {
              InsightType: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudtrail-2013-11-01.paginators.json
var require_cloudtrail_2013_11_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cloudtrail-2013-11-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeTrails: {
          result_key: "trailList"
        },
        GetQueryResults: {
          input_token: "NextToken",
          output_token: "NextToken"
        },
        ListChannels: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListEventDataStores: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListImportFailures: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Failures"
        },
        ListImports: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Imports"
        },
        ListPublicKeys: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "PublicKeyList"
        },
        ListQueries: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListTags: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "ResourceTagList"
        },
        ListTrails: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Trails"
        },
        LookupEvents: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Events"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/cloudtrail.js
var require_cloudtrail = __commonJS({
  "node_modules/aws-sdk/clients/cloudtrail.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cloudtrail"] = {};
    AWS2.CloudTrail = Service.defineService("cloudtrail", ["2013-11-01"]);
    Object.defineProperty(apiLoader.services["cloudtrail"], "2013-11-01", {
      get: function get() {
        var model = require_cloudtrail_2013_11_01_min();
        model.paginators = require_cloudtrail_2013_11_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CloudTrail;
  }
});

// node_modules/aws-sdk/apis/monitoring-2010-08-01.min.json
var require_monitoring_2010_08_01_min = __commonJS({
  "node_modules/aws-sdk/apis/monitoring-2010-08-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2010-08-01",
        endpointPrefix: "monitoring",
        protocol: "query",
        serviceAbbreviation: "CloudWatch",
        serviceFullName: "Amazon CloudWatch",
        serviceId: "CloudWatch",
        signatureVersion: "v4",
        uid: "monitoring-2010-08-01",
        xmlNamespace: "http://monitoring.amazonaws.com/doc/2010-08-01/"
      },
      operations: {
        DeleteAlarms: {
          input: {
            type: "structure",
            required: [
              "AlarmNames"
            ],
            members: {
              AlarmNames: {
                shape: "S2"
              }
            }
          }
        },
        DeleteAnomalyDetector: {
          input: {
            type: "structure",
            members: {
              Namespace: {
                deprecated: true,
                deprecatedMessage: "Use SingleMetricAnomalyDetector."
              },
              MetricName: {
                deprecated: true,
                deprecatedMessage: "Use SingleMetricAnomalyDetector."
              },
              Dimensions: {
                shape: "S7",
                deprecated: true,
                deprecatedMessage: "Use SingleMetricAnomalyDetector."
              },
              Stat: {
                deprecated: true,
                deprecatedMessage: "Use SingleMetricAnomalyDetector."
              },
              SingleMetricAnomalyDetector: {
                shape: "Sc"
              },
              MetricMathAnomalyDetector: {
                shape: "Sd"
              }
            }
          },
          output: {
            resultWrapper: "DeleteAnomalyDetectorResult",
            type: "structure",
            members: {}
          }
        },
        DeleteDashboards: {
          input: {
            type: "structure",
            required: [
              "DashboardNames"
            ],
            members: {
              DashboardNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "DeleteDashboardsResult",
            type: "structure",
            members: {}
          }
        },
        DeleteInsightRules: {
          input: {
            type: "structure",
            required: [
              "RuleNames"
            ],
            members: {
              RuleNames: {
                shape: "Sw"
              }
            }
          },
          output: {
            resultWrapper: "DeleteInsightRulesResult",
            type: "structure",
            members: {
              Failures: {
                shape: "Sz"
              }
            }
          }
        },
        DeleteMetricStream: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            resultWrapper: "DeleteMetricStreamResult",
            type: "structure",
            members: {}
          }
        },
        DescribeAlarmHistory: {
          input: {
            type: "structure",
            members: {
              AlarmName: {},
              AlarmTypes: {
                shape: "S19"
              },
              HistoryItemType: {},
              StartDate: {
                type: "timestamp"
              },
              EndDate: {
                type: "timestamp"
              },
              MaxRecords: {
                type: "integer"
              },
              NextToken: {},
              ScanBy: {}
            }
          },
          output: {
            resultWrapper: "DescribeAlarmHistoryResult",
            type: "structure",
            members: {
              AlarmHistoryItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AlarmName: {},
                    AlarmType: {},
                    Timestamp: {
                      type: "timestamp"
                    },
                    HistoryItemType: {},
                    HistorySummary: {},
                    HistoryData: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeAlarms: {
          input: {
            type: "structure",
            members: {
              AlarmNames: {
                shape: "S2"
              },
              AlarmNamePrefix: {},
              AlarmTypes: {
                shape: "S19"
              },
              ChildrenOfAlarmName: {},
              ParentsOfAlarmName: {},
              StateValue: {},
              ActionPrefix: {},
              MaxRecords: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "DescribeAlarmsResult",
            type: "structure",
            members: {
              CompositeAlarms: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ActionsEnabled: {
                      type: "boolean"
                    },
                    AlarmActions: {
                      shape: "S1t"
                    },
                    AlarmArn: {},
                    AlarmConfigurationUpdatedTimestamp: {
                      type: "timestamp"
                    },
                    AlarmDescription: {},
                    AlarmName: {},
                    AlarmRule: {},
                    InsufficientDataActions: {
                      shape: "S1t"
                    },
                    OKActions: {
                      shape: "S1t"
                    },
                    StateReason: {},
                    StateReasonData: {},
                    StateUpdatedTimestamp: {
                      type: "timestamp"
                    },
                    StateValue: {},
                    StateTransitionedTimestamp: {
                      type: "timestamp"
                    },
                    ActionsSuppressedBy: {},
                    ActionsSuppressedReason: {},
                    ActionsSuppressor: {},
                    ActionsSuppressorWaitPeriod: {
                      type: "integer"
                    },
                    ActionsSuppressorExtensionPeriod: {
                      type: "integer"
                    }
                  },
                  xmlOrder: [
                    "ActionsEnabled",
                    "AlarmActions",
                    "AlarmArn",
                    "AlarmConfigurationUpdatedTimestamp",
                    "AlarmDescription",
                    "AlarmName",
                    "AlarmRule",
                    "InsufficientDataActions",
                    "OKActions",
                    "StateReason",
                    "StateReasonData",
                    "StateUpdatedTimestamp",
                    "StateValue",
                    "StateTransitionedTimestamp",
                    "ActionsSuppressedBy",
                    "ActionsSuppressedReason",
                    "ActionsSuppressor",
                    "ActionsSuppressorWaitPeriod",
                    "ActionsSuppressorExtensionPeriod"
                  ]
                }
              },
              MetricAlarms: {
                shape: "S23"
              },
              NextToken: {}
            }
          }
        },
        DescribeAlarmsForMetric: {
          input: {
            type: "structure",
            required: [
              "MetricName",
              "Namespace"
            ],
            members: {
              MetricName: {},
              Namespace: {},
              Statistic: {},
              ExtendedStatistic: {},
              Dimensions: {
                shape: "S7"
              },
              Period: {
                type: "integer"
              },
              Unit: {}
            }
          },
          output: {
            resultWrapper: "DescribeAlarmsForMetricResult",
            type: "structure",
            members: {
              MetricAlarms: {
                shape: "S23"
              }
            }
          }
        },
        DescribeAnomalyDetectors: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Namespace: {},
              MetricName: {},
              Dimensions: {
                shape: "S7"
              },
              AnomalyDetectorTypes: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "DescribeAnomalyDetectorsResult",
            type: "structure",
            members: {
              AnomalyDetectors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Namespace: {
                      deprecated: true,
                      deprecatedMessage: "Use SingleMetricAnomalyDetector.Namespace property."
                    },
                    MetricName: {
                      deprecated: true,
                      deprecatedMessage: "Use SingleMetricAnomalyDetector.MetricName property."
                    },
                    Dimensions: {
                      shape: "S7",
                      deprecated: true,
                      deprecatedMessage: "Use SingleMetricAnomalyDetector.Dimensions property."
                    },
                    Stat: {
                      deprecated: true,
                      deprecatedMessage: "Use SingleMetricAnomalyDetector.Stat property."
                    },
                    Configuration: {
                      shape: "S2n"
                    },
                    StateValue: {},
                    SingleMetricAnomalyDetector: {
                      shape: "Sc"
                    },
                    MetricMathAnomalyDetector: {
                      shape: "Sd"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeInsightRules: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeInsightRulesResult",
            type: "structure",
            members: {
              NextToken: {},
              InsightRules: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "State",
                    "Schema",
                    "Definition"
                  ],
                  members: {
                    Name: {},
                    State: {},
                    Schema: {},
                    Definition: {},
                    ManagedRule: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        DisableAlarmActions: {
          input: {
            type: "structure",
            required: [
              "AlarmNames"
            ],
            members: {
              AlarmNames: {
                shape: "S2"
              }
            }
          }
        },
        DisableInsightRules: {
          input: {
            type: "structure",
            required: [
              "RuleNames"
            ],
            members: {
              RuleNames: {
                shape: "Sw"
              }
            }
          },
          output: {
            resultWrapper: "DisableInsightRulesResult",
            type: "structure",
            members: {
              Failures: {
                shape: "Sz"
              }
            }
          }
        },
        EnableAlarmActions: {
          input: {
            type: "structure",
            required: [
              "AlarmNames"
            ],
            members: {
              AlarmNames: {
                shape: "S2"
              }
            }
          }
        },
        EnableInsightRules: {
          input: {
            type: "structure",
            required: [
              "RuleNames"
            ],
            members: {
              RuleNames: {
                shape: "Sw"
              }
            }
          },
          output: {
            resultWrapper: "EnableInsightRulesResult",
            type: "structure",
            members: {
              Failures: {
                shape: "Sz"
              }
            }
          }
        },
        GetDashboard: {
          input: {
            type: "structure",
            required: [
              "DashboardName"
            ],
            members: {
              DashboardName: {}
            }
          },
          output: {
            resultWrapper: "GetDashboardResult",
            type: "structure",
            members: {
              DashboardArn: {},
              DashboardBody: {},
              DashboardName: {}
            }
          }
        },
        GetInsightRuleReport: {
          input: {
            type: "structure",
            required: [
              "RuleName",
              "StartTime",
              "EndTime",
              "Period"
            ],
            members: {
              RuleName: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Period: {
                type: "integer"
              },
              MaxContributorCount: {
                type: "integer"
              },
              Metrics: {
                type: "list",
                member: {}
              },
              OrderBy: {}
            }
          },
          output: {
            resultWrapper: "GetInsightRuleReportResult",
            type: "structure",
            members: {
              KeyLabels: {
                type: "list",
                member: {}
              },
              AggregationStatistic: {},
              AggregateValue: {
                type: "double"
              },
              ApproximateUniqueCount: {
                type: "long"
              },
              Contributors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Keys",
                    "ApproximateAggregateValue",
                    "Datapoints"
                  ],
                  members: {
                    Keys: {
                      type: "list",
                      member: {}
                    },
                    ApproximateAggregateValue: {
                      type: "double"
                    },
                    Datapoints: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "Timestamp",
                          "ApproximateValue"
                        ],
                        members: {
                          Timestamp: {
                            type: "timestamp"
                          },
                          ApproximateValue: {
                            type: "double"
                          }
                        }
                      }
                    }
                  }
                }
              },
              MetricDatapoints: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Timestamp"
                  ],
                  members: {
                    Timestamp: {
                      type: "timestamp"
                    },
                    UniqueContributors: {
                      type: "double"
                    },
                    MaxContributorValue: {
                      type: "double"
                    },
                    SampleCount: {
                      type: "double"
                    },
                    Average: {
                      type: "double"
                    },
                    Sum: {
                      type: "double"
                    },
                    Minimum: {
                      type: "double"
                    },
                    Maximum: {
                      type: "double"
                    }
                  }
                }
              }
            }
          }
        },
        GetMetricData: {
          input: {
            type: "structure",
            required: [
              "MetricDataQueries",
              "StartTime",
              "EndTime"
            ],
            members: {
              MetricDataQueries: {
                shape: "Se"
              },
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              NextToken: {},
              ScanBy: {},
              MaxDatapoints: {
                type: "integer"
              },
              LabelOptions: {
                type: "structure",
                members: {
                  Timezone: {}
                }
              }
            }
          },
          output: {
            resultWrapper: "GetMetricDataResult",
            type: "structure",
            members: {
              MetricDataResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Label: {},
                    Timestamps: {
                      type: "list",
                      member: {
                        type: "timestamp"
                      }
                    },
                    Values: {
                      type: "list",
                      member: {
                        type: "double"
                      }
                    },
                    StatusCode: {},
                    Messages: {
                      shape: "S45"
                    }
                  }
                }
              },
              NextToken: {},
              Messages: {
                shape: "S45"
              }
            }
          }
        },
        GetMetricStatistics: {
          input: {
            type: "structure",
            required: [
              "Namespace",
              "MetricName",
              "StartTime",
              "EndTime",
              "Period"
            ],
            members: {
              Namespace: {},
              MetricName: {},
              Dimensions: {
                shape: "S7"
              },
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Period: {
                type: "integer"
              },
              Statistics: {
                type: "list",
                member: {}
              },
              ExtendedStatistics: {
                type: "list",
                member: {}
              },
              Unit: {}
            }
          },
          output: {
            resultWrapper: "GetMetricStatisticsResult",
            type: "structure",
            members: {
              Label: {},
              Datapoints: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Timestamp: {
                      type: "timestamp"
                    },
                    SampleCount: {
                      type: "double"
                    },
                    Average: {
                      type: "double"
                    },
                    Sum: {
                      type: "double"
                    },
                    Minimum: {
                      type: "double"
                    },
                    Maximum: {
                      type: "double"
                    },
                    Unit: {},
                    ExtendedStatistics: {
                      type: "map",
                      key: {},
                      value: {
                        type: "double"
                      }
                    }
                  },
                  xmlOrder: [
                    "Timestamp",
                    "SampleCount",
                    "Average",
                    "Sum",
                    "Minimum",
                    "Maximum",
                    "Unit",
                    "ExtendedStatistics"
                  ]
                }
              }
            }
          }
        },
        GetMetricStream: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            resultWrapper: "GetMetricStreamResult",
            type: "structure",
            members: {
              Arn: {},
              Name: {},
              IncludeFilters: {
                shape: "S4j"
              },
              ExcludeFilters: {
                shape: "S4j"
              },
              FirehoseArn: {},
              RoleArn: {},
              State: {},
              CreationDate: {
                type: "timestamp"
              },
              LastUpdateDate: {
                type: "timestamp"
              },
              OutputFormat: {},
              StatisticsConfigurations: {
                shape: "S4o"
              },
              IncludeLinkedAccountsMetrics: {
                type: "boolean"
              }
            }
          }
        },
        GetMetricWidgetImage: {
          input: {
            type: "structure",
            required: [
              "MetricWidget"
            ],
            members: {
              MetricWidget: {},
              OutputFormat: {}
            }
          },
          output: {
            resultWrapper: "GetMetricWidgetImageResult",
            type: "structure",
            members: {
              MetricWidgetImage: {
                type: "blob"
              }
            }
          }
        },
        ListDashboards: {
          input: {
            type: "structure",
            members: {
              DashboardNamePrefix: {},
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "ListDashboardsResult",
            type: "structure",
            members: {
              DashboardEntries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DashboardName: {},
                    DashboardArn: {},
                    LastModified: {
                      type: "timestamp"
                    },
                    Size: {
                      type: "long"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListManagedInsightRules: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListManagedInsightRulesResult",
            type: "structure",
            members: {
              ManagedRules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TemplateName: {},
                    ResourceARN: {},
                    RuleState: {
                      type: "structure",
                      required: [
                        "RuleName",
                        "State"
                      ],
                      members: {
                        RuleName: {},
                        State: {}
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListMetricStreams: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListMetricStreamsResult",
            type: "structure",
            members: {
              NextToken: {},
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    CreationDate: {
                      type: "timestamp"
                    },
                    LastUpdateDate: {
                      type: "timestamp"
                    },
                    Name: {},
                    FirehoseArn: {},
                    State: {},
                    OutputFormat: {}
                  }
                }
              }
            }
          }
        },
        ListMetrics: {
          input: {
            type: "structure",
            members: {
              Namespace: {},
              MetricName: {},
              Dimensions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name"
                  ],
                  members: {
                    Name: {},
                    Value: {}
                  }
                }
              },
              NextToken: {},
              RecentlyActive: {},
              IncludeLinkedAccounts: {
                type: "boolean"
              },
              OwningAccount: {}
            }
          },
          output: {
            resultWrapper: "ListMetricsResult",
            type: "structure",
            members: {
              Metrics: {
                type: "list",
                member: {
                  shape: "Si"
                }
              },
              NextToken: {},
              OwningAccounts: {
                type: "list",
                member: {}
              }
            },
            xmlOrder: [
              "Metrics",
              "NextToken",
              "OwningAccounts"
            ]
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            resultWrapper: "ListTagsForResourceResult",
            type: "structure",
            members: {
              Tags: {
                shape: "S5s"
              }
            }
          }
        },
        PutAnomalyDetector: {
          input: {
            type: "structure",
            members: {
              Namespace: {
                deprecated: true,
                deprecatedMessage: "Use SingleMetricAnomalyDetector."
              },
              MetricName: {
                deprecated: true,
                deprecatedMessage: "Use SingleMetricAnomalyDetector."
              },
              Dimensions: {
                shape: "S7",
                deprecated: true,
                deprecatedMessage: "Use SingleMetricAnomalyDetector."
              },
              Stat: {
                deprecated: true,
                deprecatedMessage: "Use SingleMetricAnomalyDetector."
              },
              Configuration: {
                shape: "S2n"
              },
              SingleMetricAnomalyDetector: {
                shape: "Sc"
              },
              MetricMathAnomalyDetector: {
                shape: "Sd"
              }
            }
          },
          output: {
            resultWrapper: "PutAnomalyDetectorResult",
            type: "structure",
            members: {}
          }
        },
        PutCompositeAlarm: {
          input: {
            type: "structure",
            required: [
              "AlarmName",
              "AlarmRule"
            ],
            members: {
              ActionsEnabled: {
                type: "boolean"
              },
              AlarmActions: {
                shape: "S1t"
              },
              AlarmDescription: {},
              AlarmName: {},
              AlarmRule: {},
              InsufficientDataActions: {
                shape: "S1t"
              },
              OKActions: {
                shape: "S1t"
              },
              Tags: {
                shape: "S5s"
              },
              ActionsSuppressor: {},
              ActionsSuppressorWaitPeriod: {
                type: "integer"
              },
              ActionsSuppressorExtensionPeriod: {
                type: "integer"
              }
            }
          }
        },
        PutDashboard: {
          input: {
            type: "structure",
            required: [
              "DashboardName",
              "DashboardBody"
            ],
            members: {
              DashboardName: {},
              DashboardBody: {}
            }
          },
          output: {
            resultWrapper: "PutDashboardResult",
            type: "structure",
            members: {
              DashboardValidationMessages: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DataPath: {},
                    Message: {}
                  }
                }
              }
            }
          }
        },
        PutInsightRule: {
          input: {
            type: "structure",
            required: [
              "RuleName",
              "RuleDefinition"
            ],
            members: {
              RuleName: {},
              RuleState: {},
              RuleDefinition: {},
              Tags: {
                shape: "S5s"
              }
            }
          },
          output: {
            resultWrapper: "PutInsightRuleResult",
            type: "structure",
            members: {}
          }
        },
        PutManagedInsightRules: {
          input: {
            type: "structure",
            required: [
              "ManagedRules"
            ],
            members: {
              ManagedRules: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "TemplateName",
                    "ResourceARN"
                  ],
                  members: {
                    TemplateName: {},
                    ResourceARN: {},
                    Tags: {
                      shape: "S5s"
                    }
                  }
                }
              }
            }
          },
          output: {
            resultWrapper: "PutManagedInsightRulesResult",
            type: "structure",
            members: {
              Failures: {
                shape: "Sz"
              }
            }
          }
        },
        PutMetricAlarm: {
          input: {
            type: "structure",
            required: [
              "AlarmName",
              "EvaluationPeriods",
              "ComparisonOperator"
            ],
            members: {
              AlarmName: {},
              AlarmDescription: {},
              ActionsEnabled: {
                type: "boolean"
              },
              OKActions: {
                shape: "S1t"
              },
              AlarmActions: {
                shape: "S1t"
              },
              InsufficientDataActions: {
                shape: "S1t"
              },
              MetricName: {},
              Namespace: {},
              Statistic: {},
              ExtendedStatistic: {},
              Dimensions: {
                shape: "S7"
              },
              Period: {
                type: "integer"
              },
              Unit: {},
              EvaluationPeriods: {
                type: "integer"
              },
              DatapointsToAlarm: {
                type: "integer"
              },
              Threshold: {
                type: "double"
              },
              ComparisonOperator: {},
              TreatMissingData: {},
              EvaluateLowSampleCountPercentile: {},
              Metrics: {
                shape: "Se"
              },
              Tags: {
                shape: "S5s"
              },
              ThresholdMetricId: {}
            }
          }
        },
        PutMetricData: {
          input: {
            type: "structure",
            required: [
              "Namespace",
              "MetricData"
            ],
            members: {
              Namespace: {},
              MetricData: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "MetricName"
                  ],
                  members: {
                    MetricName: {},
                    Dimensions: {
                      shape: "S7"
                    },
                    Timestamp: {
                      type: "timestamp"
                    },
                    Value: {
                      type: "double"
                    },
                    StatisticValues: {
                      type: "structure",
                      required: [
                        "SampleCount",
                        "Sum",
                        "Minimum",
                        "Maximum"
                      ],
                      members: {
                        SampleCount: {
                          type: "double"
                        },
                        Sum: {
                          type: "double"
                        },
                        Minimum: {
                          type: "double"
                        },
                        Maximum: {
                          type: "double"
                        }
                      }
                    },
                    Values: {
                      type: "list",
                      member: {
                        type: "double"
                      }
                    },
                    Counts: {
                      type: "list",
                      member: {
                        type: "double"
                      }
                    },
                    Unit: {},
                    StorageResolution: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        PutMetricStream: {
          input: {
            type: "structure",
            required: [
              "Name",
              "FirehoseArn",
              "RoleArn",
              "OutputFormat"
            ],
            members: {
              Name: {},
              IncludeFilters: {
                shape: "S4j"
              },
              ExcludeFilters: {
                shape: "S4j"
              },
              FirehoseArn: {},
              RoleArn: {},
              OutputFormat: {},
              Tags: {
                shape: "S5s"
              },
              StatisticsConfigurations: {
                shape: "S4o"
              },
              IncludeLinkedAccountsMetrics: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "PutMetricStreamResult",
            type: "structure",
            members: {
              Arn: {}
            }
          }
        },
        SetAlarmState: {
          input: {
            type: "structure",
            required: [
              "AlarmName",
              "StateValue",
              "StateReason"
            ],
            members: {
              AlarmName: {},
              StateValue: {},
              StateReason: {},
              StateReasonData: {}
            }
          }
        },
        StartMetricStreams: {
          input: {
            type: "structure",
            required: [
              "Names"
            ],
            members: {
              Names: {
                shape: "S6n"
              }
            }
          },
          output: {
            resultWrapper: "StartMetricStreamsResult",
            type: "structure",
            members: {}
          }
        },
        StopMetricStreams: {
          input: {
            type: "structure",
            required: [
              "Names"
            ],
            members: {
              Names: {
                shape: "S6n"
              }
            }
          },
          output: {
            resultWrapper: "StopMetricStreamsResult",
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S5s"
              }
            }
          },
          output: {
            resultWrapper: "TagResourceResult",
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "UntagResourceResult",
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S2: {
          type: "list",
          member: {}
        },
        S7: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Value"
            ],
            members: {
              Name: {},
              Value: {}
            },
            xmlOrder: [
              "Name",
              "Value"
            ]
          }
        },
        Sc: {
          type: "structure",
          members: {
            Namespace: {},
            MetricName: {},
            Dimensions: {
              shape: "S7"
            },
            Stat: {}
          }
        },
        Sd: {
          type: "structure",
          members: {
            MetricDataQueries: {
              shape: "Se"
            }
          }
        },
        Se: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {},
              MetricStat: {
                type: "structure",
                required: [
                  "Metric",
                  "Period",
                  "Stat"
                ],
                members: {
                  Metric: {
                    shape: "Si"
                  },
                  Period: {
                    type: "integer"
                  },
                  Stat: {},
                  Unit: {}
                }
              },
              Expression: {},
              Label: {},
              ReturnData: {
                type: "boolean"
              },
              Period: {
                type: "integer"
              },
              AccountId: {}
            }
          }
        },
        Si: {
          type: "structure",
          members: {
            Namespace: {},
            MetricName: {},
            Dimensions: {
              shape: "S7"
            }
          },
          xmlOrder: [
            "Namespace",
            "MetricName",
            "Dimensions"
          ]
        },
        Sw: {
          type: "list",
          member: {}
        },
        Sz: {
          type: "list",
          member: {
            type: "structure",
            members: {
              FailureResource: {},
              ExceptionType: {},
              FailureCode: {},
              FailureDescription: {}
            }
          }
        },
        S19: {
          type: "list",
          member: {}
        },
        S1t: {
          type: "list",
          member: {}
        },
        S23: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AlarmName: {},
              AlarmArn: {},
              AlarmDescription: {},
              AlarmConfigurationUpdatedTimestamp: {
                type: "timestamp"
              },
              ActionsEnabled: {
                type: "boolean"
              },
              OKActions: {
                shape: "S1t"
              },
              AlarmActions: {
                shape: "S1t"
              },
              InsufficientDataActions: {
                shape: "S1t"
              },
              StateValue: {},
              StateReason: {},
              StateReasonData: {},
              StateUpdatedTimestamp: {
                type: "timestamp"
              },
              MetricName: {},
              Namespace: {},
              Statistic: {},
              ExtendedStatistic: {},
              Dimensions: {
                shape: "S7"
              },
              Period: {
                type: "integer"
              },
              Unit: {},
              EvaluationPeriods: {
                type: "integer"
              },
              DatapointsToAlarm: {
                type: "integer"
              },
              Threshold: {
                type: "double"
              },
              ComparisonOperator: {},
              TreatMissingData: {},
              EvaluateLowSampleCountPercentile: {},
              Metrics: {
                shape: "Se"
              },
              ThresholdMetricId: {},
              EvaluationState: {},
              StateTransitionedTimestamp: {
                type: "timestamp"
              }
            },
            xmlOrder: [
              "AlarmName",
              "AlarmArn",
              "AlarmDescription",
              "AlarmConfigurationUpdatedTimestamp",
              "ActionsEnabled",
              "OKActions",
              "AlarmActions",
              "InsufficientDataActions",
              "StateValue",
              "StateReason",
              "StateReasonData",
              "StateUpdatedTimestamp",
              "MetricName",
              "Namespace",
              "Statistic",
              "Dimensions",
              "Period",
              "Unit",
              "EvaluationPeriods",
              "Threshold",
              "ComparisonOperator",
              "ExtendedStatistic",
              "TreatMissingData",
              "EvaluateLowSampleCountPercentile",
              "DatapointsToAlarm",
              "Metrics",
              "ThresholdMetricId",
              "EvaluationState",
              "StateTransitionedTimestamp"
            ]
          }
        },
        S2n: {
          type: "structure",
          members: {
            ExcludedTimeRanges: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "StartTime",
                  "EndTime"
                ],
                members: {
                  StartTime: {
                    type: "timestamp"
                  },
                  EndTime: {
                    type: "timestamp"
                  }
                },
                xmlOrder: [
                  "StartTime",
                  "EndTime"
                ]
              }
            },
            MetricTimezone: {}
          }
        },
        S45: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Code: {},
              Value: {}
            }
          }
        },
        S4j: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Namespace: {},
              MetricNames: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S4o: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "IncludeMetrics",
              "AdditionalStatistics"
            ],
            members: {
              IncludeMetrics: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Namespace",
                    "MetricName"
                  ],
                  members: {
                    Namespace: {},
                    MetricName: {}
                  }
                }
              },
              AdditionalStatistics: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S5s: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S6n: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/monitoring-2010-08-01.paginators.json
var require_monitoring_2010_08_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/monitoring-2010-08-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeAlarmHistory: {
          input_token: "NextToken",
          limit_key: "MaxRecords",
          output_token: "NextToken",
          result_key: "AlarmHistoryItems"
        },
        DescribeAlarms: {
          input_token: "NextToken",
          limit_key: "MaxRecords",
          output_token: "NextToken",
          result_key: [
            "MetricAlarms",
            "CompositeAlarms"
          ]
        },
        DescribeAlarmsForMetric: {
          result_key: "MetricAlarms"
        },
        DescribeAnomalyDetectors: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AnomalyDetectors"
        },
        DescribeInsightRules: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetMetricData: {
          input_token: "NextToken",
          limit_key: "MaxDatapoints",
          output_token: "NextToken",
          result_key: [
            "MetricDataResults",
            "Messages"
          ]
        },
        ListDashboards: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "DashboardEntries"
        },
        ListManagedInsightRules: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListMetricStreams: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListMetrics: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: [
            "Metrics",
            "OwningAccounts"
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/monitoring-2010-08-01.waiters2.json
var require_monitoring_2010_08_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/monitoring-2010-08-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        AlarmExists: {
          delay: 5,
          maxAttempts: 40,
          operation: "DescribeAlarms",
          acceptors: [
            {
              matcher: "path",
              expected: true,
              argument: "length(MetricAlarms[]) > `0`",
              state: "success"
            }
          ]
        },
        CompositeAlarmExists: {
          delay: 5,
          maxAttempts: 40,
          operation: "DescribeAlarms",
          acceptors: [
            {
              matcher: "path",
              expected: true,
              argument: "length(CompositeAlarms[]) > `0`",
              state: "success"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/cloudwatch.js
var require_cloudwatch = __commonJS({
  "node_modules/aws-sdk/clients/cloudwatch.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cloudwatch"] = {};
    AWS2.CloudWatch = Service.defineService("cloudwatch", ["2010-08-01"]);
    Object.defineProperty(apiLoader.services["cloudwatch"], "2010-08-01", {
      get: function get() {
        var model = require_monitoring_2010_08_01_min();
        model.paginators = require_monitoring_2010_08_01_paginators().pagination;
        model.waiters = require_monitoring_2010_08_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CloudWatch;
  }
});

// node_modules/aws-sdk/apis/events-2015-10-07.min.json
var require_events_2015_10_07_min = __commonJS({
  "node_modules/aws-sdk/apis/events-2015-10-07.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-10-07",
        endpointPrefix: "events",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon CloudWatch Events",
        serviceId: "CloudWatch Events",
        signatureVersion: "v4",
        targetPrefix: "AWSEvents",
        uid: "events-2015-10-07"
      },
      operations: {
        ActivateEventSource: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        CancelReplay: {
          input: {
            type: "structure",
            required: [
              "ReplayName"
            ],
            members: {
              ReplayName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplayArn: {},
              State: {},
              StateReason: {}
            }
          }
        },
        CreateApiDestination: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ConnectionArn",
              "InvocationEndpoint",
              "HttpMethod"
            ],
            members: {
              Name: {},
              Description: {},
              ConnectionArn: {},
              InvocationEndpoint: {},
              HttpMethod: {},
              InvocationRateLimitPerSecond: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApiDestinationArn: {},
              ApiDestinationState: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              }
            }
          }
        },
        CreateArchive: {
          input: {
            type: "structure",
            required: [
              "ArchiveName",
              "EventSourceArn"
            ],
            members: {
              ArchiveName: {},
              EventSourceArn: {},
              Description: {},
              EventPattern: {},
              RetentionDays: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ArchiveArn: {},
              State: {},
              StateReason: {},
              CreationTime: {
                type: "timestamp"
              }
            }
          }
        },
        CreateConnection: {
          input: {
            type: "structure",
            required: [
              "Name",
              "AuthorizationType",
              "AuthParameters"
            ],
            members: {
              Name: {},
              Description: {},
              AuthorizationType: {},
              AuthParameters: {
                type: "structure",
                members: {
                  BasicAuthParameters: {
                    type: "structure",
                    required: [
                      "Username",
                      "Password"
                    ],
                    members: {
                      Username: {},
                      Password: {}
                    }
                  },
                  OAuthParameters: {
                    type: "structure",
                    required: [
                      "ClientParameters",
                      "AuthorizationEndpoint",
                      "HttpMethod"
                    ],
                    members: {
                      ClientParameters: {
                        type: "structure",
                        required: [
                          "ClientID",
                          "ClientSecret"
                        ],
                        members: {
                          ClientID: {},
                          ClientSecret: {}
                        }
                      },
                      AuthorizationEndpoint: {},
                      HttpMethod: {},
                      OAuthHttpParameters: {
                        shape: "S14"
                      }
                    }
                  },
                  ApiKeyAuthParameters: {
                    type: "structure",
                    required: [
                      "ApiKeyName",
                      "ApiKeyValue"
                    ],
                    members: {
                      ApiKeyName: {},
                      ApiKeyValue: {}
                    }
                  },
                  InvocationHttpParameters: {
                    shape: "S14"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionArn: {},
              ConnectionState: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              }
            }
          }
        },
        CreateEventBus: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              EventSourceName: {},
              Tags: {
                shape: "S1m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventBusArn: {}
            }
          }
        },
        CreatePartnerEventSource: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Account"
            ],
            members: {
              Name: {},
              Account: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EventSourceArn: {}
            }
          }
        },
        DeactivateEventSource: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        DeauthorizeConnection: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionArn: {},
              ConnectionState: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastAuthorizedTime: {
                type: "timestamp"
              }
            }
          }
        },
        DeleteApiDestination: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteArchive: {
          input: {
            type: "structure",
            required: [
              "ArchiveName"
            ],
            members: {
              ArchiveName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteConnection: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionArn: {},
              ConnectionState: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastAuthorizedTime: {
                type: "timestamp"
              }
            }
          }
        },
        DeleteEventBus: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        DeletePartnerEventSource: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Account"
            ],
            members: {
              Name: {},
              Account: {}
            }
          }
        },
        DeleteRule: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              EventBusName: {},
              Force: {
                type: "boolean"
              }
            }
          }
        },
        DescribeApiDestination: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApiDestinationArn: {},
              Name: {},
              Description: {},
              ApiDestinationState: {},
              ConnectionArn: {},
              InvocationEndpoint: {},
              HttpMethod: {},
              InvocationRateLimitPerSecond: {
                type: "integer"
              },
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeArchive: {
          input: {
            type: "structure",
            required: [
              "ArchiveName"
            ],
            members: {
              ArchiveName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ArchiveArn: {},
              ArchiveName: {},
              EventSourceArn: {},
              Description: {},
              EventPattern: {},
              State: {},
              StateReason: {},
              RetentionDays: {
                type: "integer"
              },
              SizeBytes: {
                type: "long"
              },
              EventCount: {
                type: "long"
              },
              CreationTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeConnection: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionArn: {},
              Name: {},
              Description: {},
              ConnectionState: {},
              StateReason: {},
              AuthorizationType: {},
              SecretArn: {},
              AuthParameters: {
                type: "structure",
                members: {
                  BasicAuthParameters: {
                    type: "structure",
                    members: {
                      Username: {}
                    }
                  },
                  OAuthParameters: {
                    type: "structure",
                    members: {
                      ClientParameters: {
                        type: "structure",
                        members: {
                          ClientID: {}
                        }
                      },
                      AuthorizationEndpoint: {},
                      HttpMethod: {},
                      OAuthHttpParameters: {
                        shape: "S14"
                      }
                    }
                  },
                  ApiKeyAuthParameters: {
                    type: "structure",
                    members: {
                      ApiKeyName: {}
                    }
                  },
                  InvocationHttpParameters: {
                    shape: "S14"
                  }
                }
              },
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastAuthorizedTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeEventBus: {
          input: {
            type: "structure",
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Arn: {},
              Policy: {}
            }
          }
        },
        DescribeEventSource: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreatedBy: {},
              CreationTime: {
                type: "timestamp"
              },
              ExpirationTime: {
                type: "timestamp"
              },
              Name: {},
              State: {}
            }
          }
        },
        DescribePartnerEventSource: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Name: {}
            }
          }
        },
        DescribeReplay: {
          input: {
            type: "structure",
            required: [
              "ReplayName"
            ],
            members: {
              ReplayName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplayName: {},
              ReplayArn: {},
              Description: {},
              State: {},
              StateReason: {},
              EventSourceArn: {},
              Destination: {
                shape: "S2w"
              },
              EventStartTime: {
                type: "timestamp"
              },
              EventEndTime: {
                type: "timestamp"
              },
              EventLastReplayedTime: {
                type: "timestamp"
              },
              ReplayStartTime: {
                type: "timestamp"
              },
              ReplayEndTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeRule: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              EventBusName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Arn: {},
              EventPattern: {},
              ScheduleExpression: {},
              State: {},
              Description: {},
              RoleArn: {},
              ManagedBy: {},
              EventBusName: {},
              CreatedBy: {}
            }
          }
        },
        DisableRule: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              EventBusName: {}
            }
          }
        },
        EnableRule: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              EventBusName: {}
            }
          }
        },
        ListApiDestinations: {
          input: {
            type: "structure",
            members: {
              NamePrefix: {},
              ConnectionArn: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApiDestinations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApiDestinationArn: {},
                    Name: {},
                    ApiDestinationState: {},
                    ConnectionArn: {},
                    InvocationEndpoint: {},
                    HttpMethod: {},
                    InvocationRateLimitPerSecond: {
                      type: "integer"
                    },
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListArchives: {
          input: {
            type: "structure",
            members: {
              NamePrefix: {},
              EventSourceArn: {},
              State: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Archives: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ArchiveName: {},
                    EventSourceArn: {},
                    State: {},
                    StateReason: {},
                    RetentionDays: {
                      type: "integer"
                    },
                    SizeBytes: {
                      type: "long"
                    },
                    EventCount: {
                      type: "long"
                    },
                    CreationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListConnections: {
          input: {
            type: "structure",
            members: {
              NamePrefix: {},
              ConnectionState: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Connections: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ConnectionArn: {},
                    Name: {},
                    ConnectionState: {},
                    StateReason: {},
                    AuthorizationType: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    LastAuthorizedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEventBuses: {
          input: {
            type: "structure",
            members: {
              NamePrefix: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventBuses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Arn: {},
                    Policy: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEventSources: {
          input: {
            type: "structure",
            members: {
              NamePrefix: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventSources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    CreatedBy: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    ExpirationTime: {
                      type: "timestamp"
                    },
                    Name: {},
                    State: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPartnerEventSourceAccounts: {
          input: {
            type: "structure",
            required: [
              "EventSourceName"
            ],
            members: {
              EventSourceName: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PartnerEventSourceAccounts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Account: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    ExpirationTime: {
                      type: "timestamp"
                    },
                    State: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPartnerEventSources: {
          input: {
            type: "structure",
            required: [
              "NamePrefix"
            ],
            members: {
              NamePrefix: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PartnerEventSources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Name: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListReplays: {
          input: {
            type: "structure",
            members: {
              NamePrefix: {},
              State: {},
              EventSourceArn: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Replays: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ReplayName: {},
                    EventSourceArn: {},
                    State: {},
                    StateReason: {},
                    EventStartTime: {
                      type: "timestamp"
                    },
                    EventEndTime: {
                      type: "timestamp"
                    },
                    EventLastReplayedTime: {
                      type: "timestamp"
                    },
                    ReplayStartTime: {
                      type: "timestamp"
                    },
                    ReplayEndTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListRuleNamesByTarget: {
          input: {
            type: "structure",
            required: [
              "TargetArn"
            ],
            members: {
              TargetArn: {},
              EventBusName: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RuleNames: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListRules: {
          input: {
            type: "structure",
            members: {
              NamePrefix: {},
              EventBusName: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Rules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Arn: {},
                    EventPattern: {},
                    State: {},
                    Description: {},
                    ScheduleExpression: {},
                    RoleArn: {},
                    ManagedBy: {},
                    EventBusName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S1m"
              }
            }
          }
        },
        ListTargetsByRule: {
          input: {
            type: "structure",
            required: [
              "Rule"
            ],
            members: {
              Rule: {},
              EventBusName: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Targets: {
                shape: "S4l"
              },
              NextToken: {}
            }
          }
        },
        PutEvents: {
          input: {
            type: "structure",
            required: [
              "Entries"
            ],
            members: {
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Time: {
                      type: "timestamp"
                    },
                    Source: {},
                    Resources: {
                      shape: "S6j"
                    },
                    DetailType: {},
                    Detail: {},
                    EventBusName: {},
                    TraceHeader: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedEntryCount: {
                type: "integer"
              },
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EventId: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        PutPartnerEvents: {
          input: {
            type: "structure",
            required: [
              "Entries"
            ],
            members: {
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Time: {
                      type: "timestamp"
                    },
                    Source: {},
                    Resources: {
                      shape: "S6j"
                    },
                    DetailType: {},
                    Detail: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedEntryCount: {
                type: "integer"
              },
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EventId: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        PutPermission: {
          input: {
            type: "structure",
            members: {
              EventBusName: {},
              Action: {},
              Principal: {},
              StatementId: {},
              Condition: {
                type: "structure",
                required: [
                  "Type",
                  "Key",
                  "Value"
                ],
                members: {
                  Type: {},
                  Key: {},
                  Value: {}
                }
              },
              Policy: {}
            }
          }
        },
        PutRule: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              ScheduleExpression: {},
              EventPattern: {},
              State: {},
              Description: {},
              RoleArn: {},
              Tags: {
                shape: "S1m"
              },
              EventBusName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RuleArn: {}
            }
          }
        },
        PutTargets: {
          input: {
            type: "structure",
            required: [
              "Rule",
              "Targets"
            ],
            members: {
              Rule: {},
              EventBusName: {},
              Targets: {
                shape: "S4l"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedEntryCount: {
                type: "integer"
              },
              FailedEntries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TargetId: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        RemovePermission: {
          input: {
            type: "structure",
            members: {
              StatementId: {},
              RemoveAllPermissions: {
                type: "boolean"
              },
              EventBusName: {}
            }
          }
        },
        RemoveTargets: {
          input: {
            type: "structure",
            required: [
              "Rule",
              "Ids"
            ],
            members: {
              Rule: {},
              EventBusName: {},
              Ids: {
                type: "list",
                member: {}
              },
              Force: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedEntryCount: {
                type: "integer"
              },
              FailedEntries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TargetId: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        StartReplay: {
          input: {
            type: "structure",
            required: [
              "ReplayName",
              "EventSourceArn",
              "EventStartTime",
              "EventEndTime",
              "Destination"
            ],
            members: {
              ReplayName: {},
              Description: {},
              EventSourceArn: {},
              EventStartTime: {
                type: "timestamp"
              },
              EventEndTime: {
                type: "timestamp"
              },
              Destination: {
                shape: "S2w"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReplayArn: {},
              State: {},
              StateReason: {},
              ReplayStartTime: {
                type: "timestamp"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S1m"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TestEventPattern: {
          input: {
            type: "structure",
            required: [
              "EventPattern",
              "Event"
            ],
            members: {
              EventPattern: {},
              Event: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Result: {
                type: "boolean"
              }
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateApiDestination: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              ConnectionArn: {},
              InvocationEndpoint: {},
              HttpMethod: {},
              InvocationRateLimitPerSecond: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApiDestinationArn: {},
              ApiDestinationState: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              }
            }
          }
        },
        UpdateArchive: {
          input: {
            type: "structure",
            required: [
              "ArchiveName"
            ],
            members: {
              ArchiveName: {},
              Description: {},
              EventPattern: {},
              RetentionDays: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ArchiveArn: {},
              State: {},
              StateReason: {},
              CreationTime: {
                type: "timestamp"
              }
            }
          }
        },
        UpdateConnection: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              AuthorizationType: {},
              AuthParameters: {
                type: "structure",
                members: {
                  BasicAuthParameters: {
                    type: "structure",
                    members: {
                      Username: {},
                      Password: {}
                    }
                  },
                  OAuthParameters: {
                    type: "structure",
                    members: {
                      ClientParameters: {
                        type: "structure",
                        members: {
                          ClientID: {},
                          ClientSecret: {}
                        }
                      },
                      AuthorizationEndpoint: {},
                      HttpMethod: {},
                      OAuthHttpParameters: {
                        shape: "S14"
                      }
                    }
                  },
                  ApiKeyAuthParameters: {
                    type: "structure",
                    members: {
                      ApiKeyName: {},
                      ApiKeyValue: {}
                    }
                  },
                  InvocationHttpParameters: {
                    shape: "S14"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionArn: {},
              ConnectionState: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastAuthorizedTime: {
                type: "timestamp"
              }
            }
          }
        }
      },
      shapes: {
        S14: {
          type: "structure",
          members: {
            HeaderParameters: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Key: {},
                  Value: {},
                  IsValueSecret: {
                    type: "boolean"
                  }
                }
              }
            },
            QueryStringParameters: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Key: {},
                  Value: {},
                  IsValueSecret: {
                    type: "boolean"
                  }
                }
              }
            },
            BodyParameters: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Key: {},
                  Value: {},
                  IsValueSecret: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        S1m: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S2w: {
          type: "structure",
          required: [
            "Arn"
          ],
          members: {
            Arn: {},
            FilterArns: {
              type: "list",
              member: {}
            }
          }
        },
        S4l: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Id",
              "Arn"
            ],
            members: {
              Id: {},
              Arn: {},
              RoleArn: {},
              Input: {},
              InputPath: {},
              InputTransformer: {
                type: "structure",
                required: [
                  "InputTemplate"
                ],
                members: {
                  InputPathsMap: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  InputTemplate: {}
                }
              },
              KinesisParameters: {
                type: "structure",
                required: [
                  "PartitionKeyPath"
                ],
                members: {
                  PartitionKeyPath: {}
                }
              },
              RunCommandParameters: {
                type: "structure",
                required: [
                  "RunCommandTargets"
                ],
                members: {
                  RunCommandTargets: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Key",
                        "Values"
                      ],
                      members: {
                        Key: {},
                        Values: {
                          type: "list",
                          member: {}
                        }
                      }
                    }
                  }
                }
              },
              EcsParameters: {
                type: "structure",
                required: [
                  "TaskDefinitionArn"
                ],
                members: {
                  TaskDefinitionArn: {},
                  TaskCount: {
                    type: "integer"
                  },
                  LaunchType: {},
                  NetworkConfiguration: {
                    type: "structure",
                    members: {
                      awsvpcConfiguration: {
                        type: "structure",
                        required: [
                          "Subnets"
                        ],
                        members: {
                          Subnets: {
                            shape: "S57"
                          },
                          SecurityGroups: {
                            shape: "S57"
                          },
                          AssignPublicIp: {}
                        }
                      }
                    }
                  },
                  PlatformVersion: {},
                  Group: {},
                  CapacityProviderStrategy: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "capacityProvider"
                      ],
                      members: {
                        capacityProvider: {},
                        weight: {
                          type: "integer"
                        },
                        base: {
                          type: "integer"
                        }
                      }
                    }
                  },
                  EnableECSManagedTags: {
                    type: "boolean"
                  },
                  EnableExecuteCommand: {
                    type: "boolean"
                  },
                  PlacementConstraints: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        type: {},
                        expression: {}
                      }
                    }
                  },
                  PlacementStrategy: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        type: {},
                        field: {}
                      }
                    }
                  },
                  PropagateTags: {},
                  ReferenceId: {},
                  Tags: {
                    shape: "S1m"
                  }
                }
              },
              BatchParameters: {
                type: "structure",
                required: [
                  "JobDefinition",
                  "JobName"
                ],
                members: {
                  JobDefinition: {},
                  JobName: {},
                  ArrayProperties: {
                    type: "structure",
                    members: {
                      Size: {
                        type: "integer"
                      }
                    }
                  },
                  RetryStrategy: {
                    type: "structure",
                    members: {
                      Attempts: {
                        type: "integer"
                      }
                    }
                  }
                }
              },
              SqsParameters: {
                type: "structure",
                members: {
                  MessageGroupId: {}
                }
              },
              HttpParameters: {
                type: "structure",
                members: {
                  PathParameterValues: {
                    type: "list",
                    member: {}
                  },
                  HeaderParameters: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  QueryStringParameters: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                }
              },
              RedshiftDataParameters: {
                type: "structure",
                required: [
                  "Database",
                  "Sql"
                ],
                members: {
                  SecretManagerArn: {},
                  Database: {},
                  DbUser: {},
                  Sql: {},
                  StatementName: {},
                  WithEvent: {
                    type: "boolean"
                  }
                }
              },
              SageMakerPipelineParameters: {
                type: "structure",
                members: {
                  PipelineParameterList: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Name",
                        "Value"
                      ],
                      members: {
                        Name: {},
                        Value: {}
                      }
                    }
                  }
                }
              },
              DeadLetterConfig: {
                type: "structure",
                members: {
                  Arn: {}
                }
              },
              RetryPolicy: {
                type: "structure",
                members: {
                  MaximumRetryAttempts: {
                    type: "integer"
                  },
                  MaximumEventAgeInSeconds: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        S57: {
          type: "list",
          member: {}
        },
        S6j: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/events-2015-10-07.paginators.json
var require_events_2015_10_07_paginators = __commonJS({
  "node_modules/aws-sdk/apis/events-2015-10-07.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/cloudwatchevents.js
var require_cloudwatchevents = __commonJS({
  "node_modules/aws-sdk/clients/cloudwatchevents.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cloudwatchevents"] = {};
    AWS2.CloudWatchEvents = Service.defineService("cloudwatchevents", ["2014-02-03*", "2015-10-07"]);
    Object.defineProperty(apiLoader.services["cloudwatchevents"], "2015-10-07", {
      get: function get() {
        var model = require_events_2015_10_07_min();
        model.paginators = require_events_2015_10_07_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CloudWatchEvents;
  }
});

// node_modules/aws-sdk/apis/logs-2014-03-28.min.json
var require_logs_2014_03_28_min = __commonJS({
  "node_modules/aws-sdk/apis/logs-2014-03-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2014-03-28",
        endpointPrefix: "logs",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon CloudWatch Logs",
        serviceId: "CloudWatch Logs",
        signatureVersion: "v4",
        targetPrefix: "Logs_20140328",
        uid: "logs-2014-03-28"
      },
      operations: {
        AssociateKmsKey: {
          input: {
            type: "structure",
            required: [
              "kmsKeyId"
            ],
            members: {
              logGroupName: {},
              kmsKeyId: {},
              resourceIdentifier: {}
            }
          }
        },
        CancelExportTask: {
          input: {
            type: "structure",
            required: [
              "taskId"
            ],
            members: {
              taskId: {}
            }
          }
        },
        CreateExportTask: {
          input: {
            type: "structure",
            required: [
              "logGroupName",
              "from",
              "to",
              "destination"
            ],
            members: {
              taskName: {},
              logGroupName: {},
              logStreamNamePrefix: {},
              from: {
                type: "long"
              },
              to: {
                type: "long"
              },
              destination: {},
              destinationPrefix: {}
            }
          },
          output: {
            type: "structure",
            members: {
              taskId: {}
            }
          }
        },
        CreateLogGroup: {
          input: {
            type: "structure",
            required: [
              "logGroupName"
            ],
            members: {
              logGroupName: {},
              kmsKeyId: {},
              tags: {
                shape: "Sf"
              }
            }
          }
        },
        CreateLogStream: {
          input: {
            type: "structure",
            required: [
              "logGroupName",
              "logStreamName"
            ],
            members: {
              logGroupName: {},
              logStreamName: {}
            }
          }
        },
        DeleteAccountPolicy: {
          input: {
            type: "structure",
            required: [
              "policyName",
              "policyType"
            ],
            members: {
              policyName: {},
              policyType: {}
            }
          }
        },
        DeleteDataProtectionPolicy: {
          input: {
            type: "structure",
            required: [
              "logGroupIdentifier"
            ],
            members: {
              logGroupIdentifier: {}
            }
          }
        },
        DeleteDestination: {
          input: {
            type: "structure",
            required: [
              "destinationName"
            ],
            members: {
              destinationName: {}
            }
          }
        },
        DeleteLogGroup: {
          input: {
            type: "structure",
            required: [
              "logGroupName"
            ],
            members: {
              logGroupName: {}
            }
          }
        },
        DeleteLogStream: {
          input: {
            type: "structure",
            required: [
              "logGroupName",
              "logStreamName"
            ],
            members: {
              logGroupName: {},
              logStreamName: {}
            }
          }
        },
        DeleteMetricFilter: {
          input: {
            type: "structure",
            required: [
              "logGroupName",
              "filterName"
            ],
            members: {
              logGroupName: {},
              filterName: {}
            }
          }
        },
        DeleteQueryDefinition: {
          input: {
            type: "structure",
            required: [
              "queryDefinitionId"
            ],
            members: {
              queryDefinitionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              success: {
                type: "boolean"
              }
            }
          }
        },
        DeleteResourcePolicy: {
          input: {
            type: "structure",
            members: {
              policyName: {}
            }
          }
        },
        DeleteRetentionPolicy: {
          input: {
            type: "structure",
            required: [
              "logGroupName"
            ],
            members: {
              logGroupName: {}
            }
          }
        },
        DeleteSubscriptionFilter: {
          input: {
            type: "structure",
            required: [
              "logGroupName",
              "filterName"
            ],
            members: {
              logGroupName: {},
              filterName: {}
            }
          }
        },
        DescribeAccountPolicies: {
          input: {
            type: "structure",
            required: [
              "policyType"
            ],
            members: {
              policyType: {},
              policyName: {},
              accountIdentifiers: {
                shape: "S12"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              accountPolicies: {
                type: "list",
                member: {
                  shape: "S16"
                }
              }
            }
          }
        },
        DescribeDestinations: {
          input: {
            type: "structure",
            members: {
              DestinationNamePrefix: {},
              nextToken: {},
              limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              destinations: {
                type: "list",
                member: {
                  shape: "S1e"
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeExportTasks: {
          input: {
            type: "structure",
            members: {
              taskId: {},
              statusCode: {},
              nextToken: {},
              limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              exportTasks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    taskId: {},
                    taskName: {},
                    logGroupName: {},
                    from: {
                      type: "long"
                    },
                    to: {
                      type: "long"
                    },
                    destination: {},
                    destinationPrefix: {},
                    status: {
                      type: "structure",
                      members: {
                        code: {},
                        message: {}
                      }
                    },
                    executionInfo: {
                      type: "structure",
                      members: {
                        creationTime: {
                          type: "long"
                        },
                        completionTime: {
                          type: "long"
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeLogGroups: {
          input: {
            type: "structure",
            members: {
              accountIdentifiers: {
                shape: "S12"
              },
              logGroupNamePrefix: {},
              logGroupNamePattern: {},
              nextToken: {},
              limit: {
                type: "integer"
              },
              includeLinkedAccounts: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              logGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    logGroupName: {},
                    creationTime: {
                      type: "long"
                    },
                    retentionInDays: {
                      type: "integer"
                    },
                    metricFilterCount: {
                      type: "integer"
                    },
                    arn: {},
                    storedBytes: {
                      type: "long"
                    },
                    kmsKeyId: {},
                    dataProtectionStatus: {},
                    inheritedProperties: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeLogStreams: {
          input: {
            type: "structure",
            members: {
              logGroupName: {},
              logGroupIdentifier: {},
              logStreamNamePrefix: {},
              orderBy: {},
              descending: {
                type: "boolean"
              },
              nextToken: {},
              limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              logStreams: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    logStreamName: {},
                    creationTime: {
                      type: "long"
                    },
                    firstEventTimestamp: {
                      type: "long"
                    },
                    lastEventTimestamp: {
                      type: "long"
                    },
                    lastIngestionTime: {
                      type: "long"
                    },
                    uploadSequenceToken: {},
                    arn: {},
                    storedBytes: {
                      deprecated: true,
                      deprecatedMessage: "Starting on June 17, 2019, this parameter will be deprecated for log streams, and will be reported as zero. This change applies only to log streams. The storedBytes parameter for log groups is not affected.",
                      type: "long"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeMetricFilters: {
          input: {
            type: "structure",
            members: {
              logGroupName: {},
              filterNamePrefix: {},
              nextToken: {},
              limit: {
                type: "integer"
              },
              metricName: {},
              metricNamespace: {}
            }
          },
          output: {
            type: "structure",
            members: {
              metricFilters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    filterName: {},
                    filterPattern: {},
                    metricTransformations: {
                      shape: "S2h"
                    },
                    creationTime: {
                      type: "long"
                    },
                    logGroupName: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeQueries: {
          input: {
            type: "structure",
            members: {
              logGroupName: {},
              status: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              queries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    queryId: {},
                    queryString: {},
                    status: {},
                    createTime: {
                      type: "long"
                    },
                    logGroupName: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeQueryDefinitions: {
          input: {
            type: "structure",
            members: {
              queryDefinitionNamePrefix: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              queryDefinitions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    queryDefinitionId: {},
                    name: {},
                    queryString: {},
                    lastModified: {
                      type: "long"
                    },
                    logGroupNames: {
                      shape: "S33"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeResourcePolicies: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resourcePolicies: {
                type: "list",
                member: {
                  shape: "S37"
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeSubscriptionFilters: {
          input: {
            type: "structure",
            required: [
              "logGroupName"
            ],
            members: {
              logGroupName: {},
              filterNamePrefix: {},
              nextToken: {},
              limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              subscriptionFilters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    filterName: {},
                    logGroupName: {},
                    filterPattern: {},
                    destinationArn: {},
                    roleArn: {},
                    distribution: {},
                    creationTime: {
                      type: "long"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DisassociateKmsKey: {
          input: {
            type: "structure",
            members: {
              logGroupName: {},
              resourceIdentifier: {}
            }
          }
        },
        FilterLogEvents: {
          input: {
            type: "structure",
            members: {
              logGroupName: {},
              logGroupIdentifier: {},
              logStreamNames: {
                type: "list",
                member: {}
              },
              logStreamNamePrefix: {},
              startTime: {
                type: "long"
              },
              endTime: {
                type: "long"
              },
              filterPattern: {},
              nextToken: {},
              limit: {
                type: "integer"
              },
              interleaved: {
                deprecated: true,
                deprecatedMessage: "Starting on June 17, 2019, this parameter will be ignored and the value will be assumed to be true. The response from this operation will always interleave events from multiple log streams within a log group.",
                type: "boolean"
              },
              unmask: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              events: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    logStreamName: {},
                    timestamp: {
                      type: "long"
                    },
                    message: {},
                    ingestionTime: {
                      type: "long"
                    },
                    eventId: {}
                  }
                }
              },
              searchedLogStreams: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    logStreamName: {},
                    searchedCompletely: {
                      type: "boolean"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetDataProtectionPolicy: {
          input: {
            type: "structure",
            required: [
              "logGroupIdentifier"
            ],
            members: {
              logGroupIdentifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              logGroupIdentifier: {},
              policyDocument: {},
              lastUpdatedTime: {
                type: "long"
              }
            }
          }
        },
        GetLogEvents: {
          input: {
            type: "structure",
            required: [
              "logStreamName"
            ],
            members: {
              logGroupName: {},
              logGroupIdentifier: {},
              logStreamName: {},
              startTime: {
                type: "long"
              },
              endTime: {
                type: "long"
              },
              nextToken: {},
              limit: {
                type: "integer"
              },
              startFromHead: {
                type: "boolean"
              },
              unmask: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              events: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    timestamp: {
                      type: "long"
                    },
                    message: {},
                    ingestionTime: {
                      type: "long"
                    }
                  }
                }
              },
              nextForwardToken: {},
              nextBackwardToken: {}
            }
          }
        },
        GetLogGroupFields: {
          input: {
            type: "structure",
            members: {
              logGroupName: {},
              time: {
                type: "long"
              },
              logGroupIdentifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              logGroupFields: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    percent: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        GetLogRecord: {
          input: {
            type: "structure",
            required: [
              "logRecordPointer"
            ],
            members: {
              logRecordPointer: {},
              unmask: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              logRecord: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        GetQueryResults: {
          input: {
            type: "structure",
            required: [
              "queryId"
            ],
            members: {
              queryId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              results: {
                type: "list",
                member: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      field: {},
                      value: {}
                    }
                  }
                }
              },
              statistics: {
                type: "structure",
                members: {
                  recordsMatched: {
                    type: "double"
                  },
                  recordsScanned: {
                    type: "double"
                  },
                  bytesScanned: {
                    type: "double"
                  }
                }
              },
              status: {},
              encryptionKey: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sf"
              }
            }
          }
        },
        ListTagsLogGroup: {
          input: {
            type: "structure",
            required: [
              "logGroupName"
            ],
            members: {
              logGroupName: {}
            },
            deprecated: true,
            deprecatedMessage: "Please use the generic tagging API model ListTagsForResourceRequest and ListTagsForResourceResponse"
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sf"
              }
            },
            deprecated: true,
            deprecatedMessage: "Please use the generic tagging API model ListTagsForResourceRequest and ListTagsForResourceResponse"
          },
          deprecated: true,
          deprecatedMessage: "Please use the generic tagging API ListTagsForResource"
        },
        PutAccountPolicy: {
          input: {
            type: "structure",
            required: [
              "policyName",
              "policyDocument",
              "policyType"
            ],
            members: {
              policyName: {},
              policyDocument: {},
              policyType: {},
              scope: {}
            }
          },
          output: {
            type: "structure",
            members: {
              accountPolicy: {
                shape: "S16"
              }
            }
          }
        },
        PutDataProtectionPolicy: {
          input: {
            type: "structure",
            required: [
              "logGroupIdentifier",
              "policyDocument"
            ],
            members: {
              logGroupIdentifier: {},
              policyDocument: {}
            }
          },
          output: {
            type: "structure",
            members: {
              logGroupIdentifier: {},
              policyDocument: {},
              lastUpdatedTime: {
                type: "long"
              }
            }
          }
        },
        PutDestination: {
          input: {
            type: "structure",
            required: [
              "destinationName",
              "targetArn",
              "roleArn"
            ],
            members: {
              destinationName: {},
              targetArn: {},
              roleArn: {},
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              destination: {
                shape: "S1e"
              }
            }
          }
        },
        PutDestinationPolicy: {
          input: {
            type: "structure",
            required: [
              "destinationName",
              "accessPolicy"
            ],
            members: {
              destinationName: {},
              accessPolicy: {},
              forceUpdate: {
                type: "boolean"
              }
            }
          }
        },
        PutLogEvents: {
          input: {
            type: "structure",
            required: [
              "logGroupName",
              "logStreamName",
              "logEvents"
            ],
            members: {
              logGroupName: {},
              logStreamName: {},
              logEvents: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "timestamp",
                    "message"
                  ],
                  members: {
                    timestamp: {
                      type: "long"
                    },
                    message: {}
                  }
                }
              },
              sequenceToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nextSequenceToken: {},
              rejectedLogEventsInfo: {
                type: "structure",
                members: {
                  tooNewLogEventStartIndex: {
                    type: "integer"
                  },
                  tooOldLogEventEndIndex: {
                    type: "integer"
                  },
                  expiredLogEventEndIndex: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        PutMetricFilter: {
          input: {
            type: "structure",
            required: [
              "logGroupName",
              "filterName",
              "filterPattern",
              "metricTransformations"
            ],
            members: {
              logGroupName: {},
              filterName: {},
              filterPattern: {},
              metricTransformations: {
                shape: "S2h"
              }
            }
          }
        },
        PutQueryDefinition: {
          input: {
            type: "structure",
            required: [
              "name",
              "queryString"
            ],
            members: {
              name: {},
              queryDefinitionId: {},
              logGroupNames: {
                shape: "S33"
              },
              queryString: {}
            }
          },
          output: {
            type: "structure",
            members: {
              queryDefinitionId: {}
            }
          }
        },
        PutResourcePolicy: {
          input: {
            type: "structure",
            members: {
              policyName: {},
              policyDocument: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resourcePolicy: {
                shape: "S37"
              }
            }
          }
        },
        PutRetentionPolicy: {
          input: {
            type: "structure",
            required: [
              "logGroupName",
              "retentionInDays"
            ],
            members: {
              logGroupName: {},
              retentionInDays: {
                type: "integer"
              }
            }
          }
        },
        PutSubscriptionFilter: {
          input: {
            type: "structure",
            required: [
              "logGroupName",
              "filterName",
              "filterPattern",
              "destinationArn"
            ],
            members: {
              logGroupName: {},
              filterName: {},
              filterPattern: {},
              destinationArn: {},
              roleArn: {},
              distribution: {}
            }
          }
        },
        StartQuery: {
          input: {
            type: "structure",
            required: [
              "startTime",
              "endTime",
              "queryString"
            ],
            members: {
              logGroupName: {},
              logGroupNames: {
                shape: "S33"
              },
              logGroupIdentifiers: {
                type: "list",
                member: {}
              },
              startTime: {
                type: "long"
              },
              endTime: {
                type: "long"
              },
              queryString: {},
              limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              queryId: {}
            }
          }
        },
        StopQuery: {
          input: {
            type: "structure",
            required: [
              "queryId"
            ],
            members: {
              queryId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              success: {
                type: "boolean"
              }
            }
          }
        },
        TagLogGroup: {
          input: {
            type: "structure",
            required: [
              "logGroupName",
              "tags"
            ],
            members: {
              logGroupName: {},
              tags: {
                shape: "Sf"
              }
            },
            deprecated: true,
            deprecatedMessage: "Please use the generic tagging API model TagResourceRequest"
          },
          deprecated: true,
          deprecatedMessage: "Please use the generic tagging API TagResource"
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "Sf"
              }
            }
          }
        },
        TestMetricFilter: {
          input: {
            type: "structure",
            required: [
              "filterPattern",
              "logEventMessages"
            ],
            members: {
              filterPattern: {},
              logEventMessages: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              matches: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    eventNumber: {
                      type: "long"
                    },
                    eventMessage: {},
                    extractedValues: {
                      type: "map",
                      key: {},
                      value: {}
                    }
                  }
                }
              }
            }
          }
        },
        UntagLogGroup: {
          input: {
            type: "structure",
            required: [
              "logGroupName",
              "tags"
            ],
            members: {
              logGroupName: {},
              tags: {
                type: "list",
                member: {}
              }
            },
            deprecated: true,
            deprecatedMessage: "Please use the generic tagging API model UntagResourceRequest"
          },
          deprecated: true,
          deprecatedMessage: "Please use the generic tagging API UntagResource"
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        }
      },
      shapes: {
        Sf: {
          type: "map",
          key: {},
          value: {}
        },
        S12: {
          type: "list",
          member: {}
        },
        S16: {
          type: "structure",
          members: {
            policyName: {},
            policyDocument: {},
            lastUpdatedTime: {
              type: "long"
            },
            policyType: {},
            scope: {},
            accountId: {}
          }
        },
        S1e: {
          type: "structure",
          members: {
            destinationName: {},
            targetArn: {},
            roleArn: {},
            accessPolicy: {},
            arn: {},
            creationTime: {
              type: "long"
            }
          }
        },
        S2h: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "metricName",
              "metricNamespace",
              "metricValue"
            ],
            members: {
              metricName: {},
              metricNamespace: {},
              metricValue: {},
              defaultValue: {
                type: "double"
              },
              dimensions: {
                type: "map",
                key: {},
                value: {}
              },
              unit: {}
            }
          }
        },
        S33: {
          type: "list",
          member: {}
        },
        S37: {
          type: "structure",
          members: {
            policyName: {},
            policyDocument: {},
            lastUpdatedTime: {
              type: "long"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/logs-2014-03-28.paginators.json
var require_logs_2014_03_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/logs-2014-03-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeDestinations: {
          input_token: "nextToken",
          limit_key: "limit",
          output_token: "nextToken",
          result_key: "destinations"
        },
        DescribeLogGroups: {
          input_token: "nextToken",
          limit_key: "limit",
          output_token: "nextToken",
          result_key: "logGroups"
        },
        DescribeLogStreams: {
          input_token: "nextToken",
          limit_key: "limit",
          output_token: "nextToken",
          result_key: "logStreams"
        },
        DescribeMetricFilters: {
          input_token: "nextToken",
          limit_key: "limit",
          output_token: "nextToken",
          result_key: "metricFilters"
        },
        DescribeSubscriptionFilters: {
          input_token: "nextToken",
          limit_key: "limit",
          output_token: "nextToken",
          result_key: "subscriptionFilters"
        },
        FilterLogEvents: {
          input_token: "nextToken",
          limit_key: "limit",
          output_token: "nextToken",
          result_key: [
            "events",
            "searchedLogStreams"
          ]
        },
        GetLogEvents: {
          input_token: "nextToken",
          limit_key: "limit",
          output_token: "nextForwardToken",
          result_key: "events"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/cloudwatchlogs.js
var require_cloudwatchlogs = __commonJS({
  "node_modules/aws-sdk/clients/cloudwatchlogs.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cloudwatchlogs"] = {};
    AWS2.CloudWatchLogs = Service.defineService("cloudwatchlogs", ["2014-03-28"]);
    Object.defineProperty(apiLoader.services["cloudwatchlogs"], "2014-03-28", {
      get: function get() {
        var model = require_logs_2014_03_28_min();
        model.paginators = require_logs_2014_03_28_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CloudWatchLogs;
  }
});

// node_modules/aws-sdk/apis/codebuild-2016-10-06.min.json
var require_codebuild_2016_10_06_min = __commonJS({
  "node_modules/aws-sdk/apis/codebuild-2016-10-06.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-10-06",
        endpointPrefix: "codebuild",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS CodeBuild",
        serviceId: "CodeBuild",
        signatureVersion: "v4",
        targetPrefix: "CodeBuild_20161006",
        uid: "codebuild-2016-10-06"
      },
      operations: {
        BatchDeleteBuilds: {
          input: {
            type: "structure",
            required: [
              "ids"
            ],
            members: {
              ids: {
                shape: "S2"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              buildsDeleted: {
                shape: "S2"
              },
              buildsNotDeleted: {
                shape: "S5"
              }
            }
          }
        },
        BatchGetBuildBatches: {
          input: {
            type: "structure",
            required: [
              "ids"
            ],
            members: {
              ids: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              buildBatches: {
                type: "list",
                member: {
                  shape: "Sc"
                }
              },
              buildBatchesNotFound: {
                shape: "S9"
              }
            }
          }
        },
        BatchGetBuilds: {
          input: {
            type: "structure",
            required: [
              "ids"
            ],
            members: {
              ids: {
                shape: "S2"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              builds: {
                type: "list",
                member: {
                  shape: "S23"
                }
              },
              buildsNotFound: {
                shape: "S2"
              }
            }
          }
        },
        BatchGetProjects: {
          input: {
            type: "structure",
            required: [
              "names"
            ],
            members: {
              names: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              projects: {
                type: "list",
                member: {
                  shape: "S2h"
                }
              },
              projectsNotFound: {
                shape: "S2e"
              }
            }
          }
        },
        BatchGetReportGroups: {
          input: {
            type: "structure",
            required: [
              "reportGroupArns"
            ],
            members: {
              reportGroupArns: {
                shape: "S32"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              reportGroups: {
                type: "list",
                member: {
                  shape: "S35"
                }
              },
              reportGroupsNotFound: {
                shape: "S32"
              }
            }
          }
        },
        BatchGetReports: {
          input: {
            type: "structure",
            required: [
              "reportArns"
            ],
            members: {
              reportArns: {
                shape: "S3e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              reports: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    type: {},
                    name: {},
                    reportGroupArn: {},
                    executionId: {},
                    status: {},
                    created: {
                      type: "timestamp"
                    },
                    expired: {
                      type: "timestamp"
                    },
                    exportConfig: {
                      shape: "S38"
                    },
                    truncated: {
                      type: "boolean"
                    },
                    testSummary: {
                      type: "structure",
                      required: [
                        "total",
                        "statusCounts",
                        "durationInNanoSeconds"
                      ],
                      members: {
                        total: {
                          type: "integer"
                        },
                        statusCounts: {
                          type: "map",
                          key: {},
                          value: {
                            type: "integer"
                          }
                        },
                        durationInNanoSeconds: {
                          type: "long"
                        }
                      }
                    },
                    codeCoverageSummary: {
                      type: "structure",
                      members: {
                        lineCoveragePercentage: {
                          type: "double"
                        },
                        linesCovered: {
                          type: "integer"
                        },
                        linesMissed: {
                          type: "integer"
                        },
                        branchCoveragePercentage: {
                          type: "double"
                        },
                        branchesCovered: {
                          type: "integer"
                        },
                        branchesMissed: {
                          type: "integer"
                        }
                      }
                    }
                  }
                }
              },
              reportsNotFound: {
                shape: "S3e"
              }
            }
          }
        },
        CreateProject: {
          input: {
            type: "structure",
            required: [
              "name",
              "source",
              "artifacts",
              "environment",
              "serviceRole"
            ],
            members: {
              name: {},
              description: {},
              source: {
                shape: "Sl"
              },
              secondarySources: {
                shape: "St"
              },
              sourceVersion: {},
              secondarySourceVersions: {
                shape: "Su"
              },
              artifacts: {
                shape: "S2k"
              },
              secondaryArtifacts: {
                shape: "S2n"
              },
              cache: {
                shape: "Sz"
              },
              environment: {
                shape: "S13"
              },
              serviceRole: {},
              timeoutInMinutes: {
                type: "integer"
              },
              queuedTimeoutInMinutes: {
                type: "integer"
              },
              encryptionKey: {},
              tags: {
                shape: "S2p"
              },
              vpcConfig: {
                shape: "S1i"
              },
              badgeEnabled: {
                type: "boolean"
              },
              logsConfig: {
                shape: "S1c"
              },
              fileSystemLocations: {
                shape: "S1l"
              },
              buildBatchConfig: {
                shape: "S1o"
              },
              concurrentBuildLimit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              project: {
                shape: "S2h"
              }
            }
          }
        },
        CreateReportGroup: {
          input: {
            type: "structure",
            required: [
              "name",
              "type",
              "exportConfig"
            ],
            members: {
              name: {},
              type: {},
              exportConfig: {
                shape: "S38"
              },
              tags: {
                shape: "S2p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              reportGroup: {
                shape: "S35"
              }
            }
          }
        },
        CreateWebhook: {
          input: {
            type: "structure",
            required: [
              "projectName"
            ],
            members: {
              projectName: {},
              branchFilter: {},
              filterGroups: {
                shape: "S2u"
              },
              buildType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              webhook: {
                shape: "S2t"
              }
            }
          }
        },
        DeleteBuildBatch: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              statusCode: {},
              buildsDeleted: {
                shape: "S2"
              },
              buildsNotDeleted: {
                shape: "S5"
              }
            }
          }
        },
        DeleteProject: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteReport: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteReportGroup: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              deleteReports: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSourceCredentials: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {}
            }
          }
        },
        DeleteWebhook: {
          input: {
            type: "structure",
            required: [
              "projectName"
            ],
            members: {
              projectName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeCodeCoverages: {
          input: {
            type: "structure",
            required: [
              "reportArn"
            ],
            members: {
              reportArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              sortOrder: {},
              sortBy: {},
              minLineCoveragePercentage: {
                type: "double"
              },
              maxLineCoveragePercentage: {
                type: "double"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              codeCoverages: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    reportARN: {},
                    filePath: {},
                    lineCoveragePercentage: {
                      type: "double"
                    },
                    linesCovered: {
                      type: "integer"
                    },
                    linesMissed: {
                      type: "integer"
                    },
                    branchCoveragePercentage: {
                      type: "double"
                    },
                    branchesCovered: {
                      type: "integer"
                    },
                    branchesMissed: {
                      type: "integer"
                    },
                    expired: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeTestCases: {
          input: {
            type: "structure",
            required: [
              "reportArn"
            ],
            members: {
              reportArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filter: {
                type: "structure",
                members: {
                  status: {},
                  keyword: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              testCases: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    reportArn: {},
                    testRawDataPath: {},
                    prefix: {},
                    name: {},
                    status: {},
                    durationInNanoSeconds: {
                      type: "long"
                    },
                    message: {},
                    expired: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        GetReportGroupTrend: {
          input: {
            type: "structure",
            required: [
              "reportGroupArn",
              "trendField"
            ],
            members: {
              reportGroupArn: {},
              numOfReports: {
                type: "integer"
              },
              trendField: {}
            }
          },
          output: {
            type: "structure",
            members: {
              stats: {
                type: "structure",
                members: {
                  average: {},
                  max: {},
                  min: {}
                }
              },
              rawData: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    reportArn: {},
                    data: {}
                  }
                }
              }
            }
          }
        },
        GetResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              policy: {}
            }
          }
        },
        ImportSourceCredentials: {
          input: {
            type: "structure",
            required: [
              "token",
              "serverType",
              "authType"
            ],
            members: {
              username: {},
              token: {
                type: "string",
                sensitive: true
              },
              serverType: {},
              authType: {},
              shouldOverwrite: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {}
            }
          }
        },
        InvalidateProjectCache: {
          input: {
            type: "structure",
            required: [
              "projectName"
            ],
            members: {
              projectName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ListBuildBatches: {
          input: {
            type: "structure",
            members: {
              filter: {
                shape: "S50"
              },
              maxResults: {
                type: "integer"
              },
              sortOrder: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ids: {
                shape: "S9"
              },
              nextToken: {}
            }
          }
        },
        ListBuildBatchesForProject: {
          input: {
            type: "structure",
            members: {
              projectName: {},
              filter: {
                shape: "S50"
              },
              maxResults: {
                type: "integer"
              },
              sortOrder: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ids: {
                shape: "S9"
              },
              nextToken: {}
            }
          }
        },
        ListBuilds: {
          input: {
            type: "structure",
            members: {
              sortOrder: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ids: {
                shape: "S2"
              },
              nextToken: {}
            }
          }
        },
        ListBuildsForProject: {
          input: {
            type: "structure",
            required: [
              "projectName"
            ],
            members: {
              projectName: {},
              sortOrder: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ids: {
                shape: "S2"
              },
              nextToken: {}
            }
          }
        },
        ListCuratedEnvironmentImages: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              platforms: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    platform: {},
                    languages: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          language: {},
                          images: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                name: {},
                                description: {},
                                versions: {
                                  type: "list",
                                  member: {}
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ListProjects: {
          input: {
            type: "structure",
            members: {
              sortBy: {},
              sortOrder: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              projects: {
                shape: "S2e"
              }
            }
          }
        },
        ListReportGroups: {
          input: {
            type: "structure",
            members: {
              sortOrder: {},
              sortBy: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              reportGroups: {
                shape: "S32"
              }
            }
          }
        },
        ListReports: {
          input: {
            type: "structure",
            members: {
              sortOrder: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filter: {
                shape: "S5q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              reports: {
                shape: "S3e"
              }
            }
          }
        },
        ListReportsForReportGroup: {
          input: {
            type: "structure",
            required: [
              "reportGroupArn"
            ],
            members: {
              reportGroupArn: {},
              nextToken: {},
              sortOrder: {},
              maxResults: {
                type: "integer"
              },
              filter: {
                shape: "S5q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              reports: {
                shape: "S3e"
              }
            }
          }
        },
        ListSharedProjects: {
          input: {
            type: "structure",
            members: {
              sortBy: {},
              sortOrder: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              projects: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ListSharedReportGroups: {
          input: {
            type: "structure",
            members: {
              sortOrder: {},
              sortBy: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              reportGroups: {
                shape: "S32"
              }
            }
          }
        },
        ListSourceCredentials: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              sourceCredentialsInfos: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    serverType: {},
                    authType: {}
                  }
                }
              }
            }
          }
        },
        PutResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "policy",
              "resourceArn"
            ],
            members: {
              policy: {},
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resourceArn: {}
            }
          }
        },
        RetryBuild: {
          input: {
            type: "structure",
            members: {
              id: {},
              idempotencyToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              build: {
                shape: "S23"
              }
            }
          }
        },
        RetryBuildBatch: {
          input: {
            type: "structure",
            members: {
              id: {},
              idempotencyToken: {},
              retryType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              buildBatch: {
                shape: "Sc"
              }
            }
          }
        },
        StartBuild: {
          input: {
            type: "structure",
            required: [
              "projectName"
            ],
            members: {
              projectName: {},
              secondarySourcesOverride: {
                shape: "St"
              },
              secondarySourcesVersionOverride: {
                shape: "Su"
              },
              sourceVersion: {},
              artifactsOverride: {
                shape: "S2k"
              },
              secondaryArtifactsOverride: {
                shape: "S2n"
              },
              environmentVariablesOverride: {
                shape: "S16"
              },
              sourceTypeOverride: {},
              sourceLocationOverride: {},
              sourceAuthOverride: {
                shape: "Sq"
              },
              gitCloneDepthOverride: {
                type: "integer"
              },
              gitSubmodulesConfigOverride: {
                shape: "So"
              },
              buildspecOverride: {},
              insecureSslOverride: {
                type: "boolean"
              },
              reportBuildStatusOverride: {
                type: "boolean"
              },
              buildStatusConfigOverride: {
                shape: "Ss"
              },
              environmentTypeOverride: {},
              imageOverride: {},
              computeTypeOverride: {},
              certificateOverride: {},
              cacheOverride: {
                shape: "Sz"
              },
              serviceRoleOverride: {},
              privilegedModeOverride: {
                type: "boolean"
              },
              timeoutInMinutesOverride: {
                type: "integer"
              },
              queuedTimeoutInMinutesOverride: {
                type: "integer"
              },
              encryptionKeyOverride: {},
              idempotencyToken: {},
              logsConfigOverride: {
                shape: "S1c"
              },
              registryCredentialOverride: {
                shape: "S19"
              },
              imagePullCredentialsTypeOverride: {},
              debugSessionEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              build: {
                shape: "S23"
              }
            }
          }
        },
        StartBuildBatch: {
          input: {
            type: "structure",
            required: [
              "projectName"
            ],
            members: {
              projectName: {},
              secondarySourcesOverride: {
                shape: "St"
              },
              secondarySourcesVersionOverride: {
                shape: "Su"
              },
              sourceVersion: {},
              artifactsOverride: {
                shape: "S2k"
              },
              secondaryArtifactsOverride: {
                shape: "S2n"
              },
              environmentVariablesOverride: {
                shape: "S16"
              },
              sourceTypeOverride: {},
              sourceLocationOverride: {},
              sourceAuthOverride: {
                shape: "Sq"
              },
              gitCloneDepthOverride: {
                type: "integer"
              },
              gitSubmodulesConfigOverride: {
                shape: "So"
              },
              buildspecOverride: {},
              insecureSslOverride: {
                type: "boolean"
              },
              reportBuildBatchStatusOverride: {
                type: "boolean"
              },
              environmentTypeOverride: {},
              imageOverride: {},
              computeTypeOverride: {},
              certificateOverride: {},
              cacheOverride: {
                shape: "Sz"
              },
              serviceRoleOverride: {},
              privilegedModeOverride: {
                type: "boolean"
              },
              buildTimeoutInMinutesOverride: {
                type: "integer"
              },
              queuedTimeoutInMinutesOverride: {
                type: "integer"
              },
              encryptionKeyOverride: {},
              idempotencyToken: {},
              logsConfigOverride: {
                shape: "S1c"
              },
              registryCredentialOverride: {
                shape: "S19"
              },
              imagePullCredentialsTypeOverride: {},
              buildBatchConfigOverride: {
                shape: "S1o"
              },
              debugSessionEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              buildBatch: {
                shape: "Sc"
              }
            }
          }
        },
        StopBuild: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              build: {
                shape: "S23"
              }
            }
          }
        },
        StopBuildBatch: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              buildBatch: {
                shape: "Sc"
              }
            }
          }
        },
        UpdateProject: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              source: {
                shape: "Sl"
              },
              secondarySources: {
                shape: "St"
              },
              sourceVersion: {},
              secondarySourceVersions: {
                shape: "Su"
              },
              artifacts: {
                shape: "S2k"
              },
              secondaryArtifacts: {
                shape: "S2n"
              },
              cache: {
                shape: "Sz"
              },
              environment: {
                shape: "S13"
              },
              serviceRole: {},
              timeoutInMinutes: {
                type: "integer"
              },
              queuedTimeoutInMinutes: {
                type: "integer"
              },
              encryptionKey: {},
              tags: {
                shape: "S2p"
              },
              vpcConfig: {
                shape: "S1i"
              },
              badgeEnabled: {
                type: "boolean"
              },
              logsConfig: {
                shape: "S1c"
              },
              fileSystemLocations: {
                shape: "S1l"
              },
              buildBatchConfig: {
                shape: "S1o"
              },
              concurrentBuildLimit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              project: {
                shape: "S2h"
              }
            }
          }
        },
        UpdateProjectVisibility: {
          input: {
            type: "structure",
            required: [
              "projectArn",
              "projectVisibility"
            ],
            members: {
              projectArn: {},
              projectVisibility: {},
              resourceAccessRole: {}
            }
          },
          output: {
            type: "structure",
            members: {
              projectArn: {},
              publicProjectAlias: {},
              projectVisibility: {}
            }
          }
        },
        UpdateReportGroup: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              exportConfig: {
                shape: "S38"
              },
              tags: {
                shape: "S2p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              reportGroup: {
                shape: "S35"
              }
            }
          }
        },
        UpdateWebhook: {
          input: {
            type: "structure",
            required: [
              "projectName"
            ],
            members: {
              projectName: {},
              branchFilter: {},
              rotateSecret: {
                type: "boolean"
              },
              filterGroups: {
                shape: "S2u"
              },
              buildType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              webhook: {
                shape: "S2t"
              }
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "list",
          member: {}
        },
        S5: {
          type: "list",
          member: {
            type: "structure",
            members: {
              id: {},
              statusCode: {}
            }
          }
        },
        S9: {
          type: "list",
          member: {}
        },
        Sc: {
          type: "structure",
          members: {
            id: {},
            arn: {},
            startTime: {
              type: "timestamp"
            },
            endTime: {
              type: "timestamp"
            },
            currentPhase: {},
            buildBatchStatus: {},
            sourceVersion: {},
            resolvedSourceVersion: {},
            projectName: {},
            phases: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  phaseType: {},
                  phaseStatus: {},
                  startTime: {
                    type: "timestamp"
                  },
                  endTime: {
                    type: "timestamp"
                  },
                  durationInSeconds: {
                    type: "long"
                  },
                  contexts: {
                    shape: "Sj"
                  }
                }
              }
            },
            source: {
              shape: "Sl"
            },
            secondarySources: {
              shape: "St"
            },
            secondarySourceVersions: {
              shape: "Su"
            },
            artifacts: {
              shape: "Sw"
            },
            secondaryArtifacts: {
              shape: "Sy"
            },
            cache: {
              shape: "Sz"
            },
            environment: {
              shape: "S13"
            },
            serviceRole: {},
            logConfig: {
              shape: "S1c"
            },
            buildTimeoutInMinutes: {
              type: "integer"
            },
            queuedTimeoutInMinutes: {
              type: "integer"
            },
            complete: {
              type: "boolean"
            },
            initiator: {},
            vpcConfig: {
              shape: "S1i"
            },
            encryptionKey: {},
            buildBatchNumber: {
              type: "long"
            },
            fileSystemLocations: {
              shape: "S1l"
            },
            buildBatchConfig: {
              shape: "S1o"
            },
            buildGroups: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  identifier: {},
                  dependsOn: {
                    type: "list",
                    member: {}
                  },
                  ignoreFailure: {
                    type: "boolean"
                  },
                  currentBuildSummary: {
                    shape: "S1v"
                  },
                  priorBuildSummaryList: {
                    type: "list",
                    member: {
                      shape: "S1v"
                    }
                  }
                }
              }
            },
            debugSessionEnabled: {
              type: "boolean"
            }
          }
        },
        Sj: {
          type: "list",
          member: {
            type: "structure",
            members: {
              statusCode: {},
              message: {}
            }
          }
        },
        Sl: {
          type: "structure",
          required: [
            "type"
          ],
          members: {
            type: {},
            location: {},
            gitCloneDepth: {
              type: "integer"
            },
            gitSubmodulesConfig: {
              shape: "So"
            },
            buildspec: {},
            auth: {
              shape: "Sq"
            },
            reportBuildStatus: {
              type: "boolean"
            },
            buildStatusConfig: {
              shape: "Ss"
            },
            insecureSsl: {
              type: "boolean"
            },
            sourceIdentifier: {}
          }
        },
        So: {
          type: "structure",
          required: [
            "fetchSubmodules"
          ],
          members: {
            fetchSubmodules: {
              type: "boolean"
            }
          }
        },
        Sq: {
          type: "structure",
          required: [
            "type"
          ],
          members: {
            type: {},
            resource: {}
          }
        },
        Ss: {
          type: "structure",
          members: {
            context: {},
            targetUrl: {}
          }
        },
        St: {
          type: "list",
          member: {
            shape: "Sl"
          }
        },
        Su: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "sourceIdentifier",
              "sourceVersion"
            ],
            members: {
              sourceIdentifier: {},
              sourceVersion: {}
            }
          }
        },
        Sw: {
          type: "structure",
          members: {
            location: {},
            sha256sum: {},
            md5sum: {},
            overrideArtifactName: {
              type: "boolean"
            },
            encryptionDisabled: {
              type: "boolean"
            },
            artifactIdentifier: {},
            bucketOwnerAccess: {}
          }
        },
        Sy: {
          type: "list",
          member: {
            shape: "Sw"
          }
        },
        Sz: {
          type: "structure",
          required: [
            "type"
          ],
          members: {
            type: {},
            location: {},
            modes: {
              type: "list",
              member: {}
            }
          }
        },
        S13: {
          type: "structure",
          required: [
            "type",
            "image",
            "computeType"
          ],
          members: {
            type: {},
            image: {},
            computeType: {},
            environmentVariables: {
              shape: "S16"
            },
            privilegedMode: {
              type: "boolean"
            },
            certificate: {},
            registryCredential: {
              shape: "S19"
            },
            imagePullCredentialsType: {}
          }
        },
        S16: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "value"
            ],
            members: {
              name: {},
              value: {},
              type: {}
            }
          }
        },
        S19: {
          type: "structure",
          required: [
            "credential",
            "credentialProvider"
          ],
          members: {
            credential: {},
            credentialProvider: {}
          }
        },
        S1c: {
          type: "structure",
          members: {
            cloudWatchLogs: {
              shape: "S1d"
            },
            s3Logs: {
              shape: "S1f"
            }
          }
        },
        S1d: {
          type: "structure",
          required: [
            "status"
          ],
          members: {
            status: {},
            groupName: {},
            streamName: {}
          }
        },
        S1f: {
          type: "structure",
          required: [
            "status"
          ],
          members: {
            status: {},
            location: {},
            encryptionDisabled: {
              type: "boolean"
            },
            bucketOwnerAccess: {}
          }
        },
        S1i: {
          type: "structure",
          members: {
            vpcId: {},
            subnets: {
              type: "list",
              member: {}
            },
            securityGroupIds: {
              type: "list",
              member: {}
            }
          }
        },
        S1l: {
          type: "list",
          member: {
            type: "structure",
            members: {
              type: {},
              location: {},
              mountPoint: {},
              identifier: {},
              mountOptions: {}
            }
          }
        },
        S1o: {
          type: "structure",
          members: {
            serviceRole: {},
            combineArtifacts: {
              type: "boolean"
            },
            restrictions: {
              type: "structure",
              members: {
                maximumBuildsAllowed: {
                  type: "integer"
                },
                computeTypesAllowed: {
                  type: "list",
                  member: {}
                }
              }
            },
            timeoutInMins: {
              type: "integer"
            },
            batchReportMode: {}
          }
        },
        S1v: {
          type: "structure",
          members: {
            arn: {},
            requestedOn: {
              type: "timestamp"
            },
            buildStatus: {},
            primaryArtifact: {
              shape: "S1w"
            },
            secondaryArtifacts: {
              type: "list",
              member: {
                shape: "S1w"
              }
            }
          }
        },
        S1w: {
          type: "structure",
          members: {
            type: {},
            location: {},
            identifier: {}
          }
        },
        S23: {
          type: "structure",
          members: {
            id: {},
            arn: {},
            buildNumber: {
              type: "long"
            },
            startTime: {
              type: "timestamp"
            },
            endTime: {
              type: "timestamp"
            },
            currentPhase: {},
            buildStatus: {},
            sourceVersion: {},
            resolvedSourceVersion: {},
            projectName: {},
            phases: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  phaseType: {},
                  phaseStatus: {},
                  startTime: {
                    type: "timestamp"
                  },
                  endTime: {
                    type: "timestamp"
                  },
                  durationInSeconds: {
                    type: "long"
                  },
                  contexts: {
                    shape: "Sj"
                  }
                }
              }
            },
            source: {
              shape: "Sl"
            },
            secondarySources: {
              shape: "St"
            },
            secondarySourceVersions: {
              shape: "Su"
            },
            artifacts: {
              shape: "Sw"
            },
            secondaryArtifacts: {
              shape: "Sy"
            },
            cache: {
              shape: "Sz"
            },
            environment: {
              shape: "S13"
            },
            serviceRole: {},
            logs: {
              type: "structure",
              members: {
                groupName: {},
                streamName: {},
                deepLink: {},
                s3DeepLink: {},
                cloudWatchLogsArn: {},
                s3LogsArn: {},
                cloudWatchLogs: {
                  shape: "S1d"
                },
                s3Logs: {
                  shape: "S1f"
                }
              }
            },
            timeoutInMinutes: {
              type: "integer"
            },
            queuedTimeoutInMinutes: {
              type: "integer"
            },
            buildComplete: {
              type: "boolean"
            },
            initiator: {},
            vpcConfig: {
              shape: "S1i"
            },
            networkInterface: {
              type: "structure",
              members: {
                subnetId: {},
                networkInterfaceId: {}
              }
            },
            encryptionKey: {},
            exportedEnvironmentVariables: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  name: {},
                  value: {}
                }
              }
            },
            reportArns: {
              type: "list",
              member: {}
            },
            fileSystemLocations: {
              shape: "S1l"
            },
            debugSession: {
              type: "structure",
              members: {
                sessionEnabled: {
                  type: "boolean"
                },
                sessionTarget: {}
              }
            },
            buildBatchArn: {}
          }
        },
        S2e: {
          type: "list",
          member: {}
        },
        S2h: {
          type: "structure",
          members: {
            name: {},
            arn: {},
            description: {},
            source: {
              shape: "Sl"
            },
            secondarySources: {
              shape: "St"
            },
            sourceVersion: {},
            secondarySourceVersions: {
              shape: "Su"
            },
            artifacts: {
              shape: "S2k"
            },
            secondaryArtifacts: {
              shape: "S2n"
            },
            cache: {
              shape: "Sz"
            },
            environment: {
              shape: "S13"
            },
            serviceRole: {},
            timeoutInMinutes: {
              type: "integer"
            },
            queuedTimeoutInMinutes: {
              type: "integer"
            },
            encryptionKey: {},
            tags: {
              shape: "S2p"
            },
            created: {
              type: "timestamp"
            },
            lastModified: {
              type: "timestamp"
            },
            webhook: {
              shape: "S2t"
            },
            vpcConfig: {
              shape: "S1i"
            },
            badge: {
              type: "structure",
              members: {
                badgeEnabled: {
                  type: "boolean"
                },
                badgeRequestUrl: {}
              }
            },
            logsConfig: {
              shape: "S1c"
            },
            fileSystemLocations: {
              shape: "S1l"
            },
            buildBatchConfig: {
              shape: "S1o"
            },
            concurrentBuildLimit: {
              type: "integer"
            },
            projectVisibility: {},
            publicProjectAlias: {},
            resourceAccessRole: {}
          }
        },
        S2k: {
          type: "structure",
          required: [
            "type"
          ],
          members: {
            type: {},
            location: {},
            path: {},
            namespaceType: {},
            name: {},
            packaging: {},
            overrideArtifactName: {
              type: "boolean"
            },
            encryptionDisabled: {
              type: "boolean"
            },
            artifactIdentifier: {},
            bucketOwnerAccess: {}
          }
        },
        S2n: {
          type: "list",
          member: {
            shape: "S2k"
          }
        },
        S2p: {
          type: "list",
          member: {
            type: "structure",
            members: {
              key: {},
              value: {}
            }
          }
        },
        S2t: {
          type: "structure",
          members: {
            url: {},
            payloadUrl: {},
            secret: {},
            branchFilter: {},
            filterGroups: {
              shape: "S2u"
            },
            buildType: {},
            lastModifiedSecret: {
              type: "timestamp"
            }
          }
        },
        S2u: {
          type: "list",
          member: {
            type: "list",
            member: {
              type: "structure",
              required: [
                "type",
                "pattern"
              ],
              members: {
                type: {},
                pattern: {},
                excludeMatchedPattern: {
                  type: "boolean"
                }
              }
            }
          }
        },
        S32: {
          type: "list",
          member: {}
        },
        S35: {
          type: "structure",
          members: {
            arn: {},
            name: {},
            type: {},
            exportConfig: {
              shape: "S38"
            },
            created: {
              type: "timestamp"
            },
            lastModified: {
              type: "timestamp"
            },
            tags: {
              shape: "S2p"
            },
            status: {}
          }
        },
        S38: {
          type: "structure",
          members: {
            exportConfigType: {},
            s3Destination: {
              type: "structure",
              members: {
                bucket: {},
                bucketOwner: {},
                path: {},
                packaging: {},
                encryptionKey: {},
                encryptionDisabled: {
                  type: "boolean"
                }
              }
            }
          }
        },
        S3e: {
          type: "list",
          member: {}
        },
        S50: {
          type: "structure",
          members: {
            status: {}
          }
        },
        S5q: {
          type: "structure",
          members: {
            status: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/codebuild-2016-10-06.paginators.json
var require_codebuild_2016_10_06_paginators = __commonJS({
  "node_modules/aws-sdk/apis/codebuild-2016-10-06.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeCodeCoverages: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "codeCoverages"
        },
        DescribeTestCases: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "testCases"
        },
        ListBuildBatches: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "ids"
        },
        ListBuildBatchesForProject: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "ids"
        },
        ListBuilds: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "ids"
        },
        ListBuildsForProject: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "ids"
        },
        ListProjects: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "projects"
        },
        ListReportGroups: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "reportGroups"
        },
        ListReports: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "reports"
        },
        ListReportsForReportGroup: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "reports"
        },
        ListSharedProjects: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "projects"
        },
        ListSharedReportGroups: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "reportGroups"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/codebuild.js
var require_codebuild = __commonJS({
  "node_modules/aws-sdk/clients/codebuild.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["codebuild"] = {};
    AWS2.CodeBuild = Service.defineService("codebuild", ["2016-10-06"]);
    Object.defineProperty(apiLoader.services["codebuild"], "2016-10-06", {
      get: function get() {
        var model = require_codebuild_2016_10_06_min();
        model.paginators = require_codebuild_2016_10_06_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CodeBuild;
  }
});

// node_modules/aws-sdk/apis/codecommit-2015-04-13.min.json
var require_codecommit_2015_04_13_min = __commonJS({
  "node_modules/aws-sdk/apis/codecommit-2015-04-13.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-04-13",
        endpointPrefix: "codecommit",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "CodeCommit",
        serviceFullName: "AWS CodeCommit",
        serviceId: "CodeCommit",
        signatureVersion: "v4",
        targetPrefix: "CodeCommit_20150413",
        uid: "codecommit-2015-04-13"
      },
      operations: {
        AssociateApprovalRuleTemplateWithRepository: {
          input: {
            type: "structure",
            required: [
              "approvalRuleTemplateName",
              "repositoryName"
            ],
            members: {
              approvalRuleTemplateName: {},
              repositoryName: {}
            }
          }
        },
        BatchAssociateApprovalRuleTemplateWithRepositories: {
          input: {
            type: "structure",
            required: [
              "approvalRuleTemplateName",
              "repositoryNames"
            ],
            members: {
              approvalRuleTemplateName: {},
              repositoryNames: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "associatedRepositoryNames",
              "errors"
            ],
            members: {
              associatedRepositoryNames: {
                shape: "S5"
              },
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    repositoryName: {},
                    errorCode: {},
                    errorMessage: {}
                  }
                }
              }
            }
          }
        },
        BatchDescribeMergeConflicts: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "destinationCommitSpecifier",
              "sourceCommitSpecifier",
              "mergeOption"
            ],
            members: {
              repositoryName: {},
              destinationCommitSpecifier: {},
              sourceCommitSpecifier: {},
              mergeOption: {},
              maxMergeHunks: {
                type: "integer"
              },
              maxConflictFiles: {
                type: "integer"
              },
              filePaths: {
                type: "list",
                member: {}
              },
              conflictDetailLevel: {},
              conflictResolutionStrategy: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "conflicts",
              "destinationCommitId",
              "sourceCommitId"
            ],
            members: {
              conflicts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    conflictMetadata: {
                      shape: "Sn"
                    },
                    mergeHunks: {
                      shape: "S12"
                    }
                  }
                }
              },
              nextToken: {},
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "filePath",
                    "exceptionName",
                    "message"
                  ],
                  members: {
                    filePath: {},
                    exceptionName: {},
                    message: {}
                  }
                }
              },
              destinationCommitId: {},
              sourceCommitId: {},
              baseCommitId: {}
            }
          }
        },
        BatchDisassociateApprovalRuleTemplateFromRepositories: {
          input: {
            type: "structure",
            required: [
              "approvalRuleTemplateName",
              "repositoryNames"
            ],
            members: {
              approvalRuleTemplateName: {},
              repositoryNames: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "disassociatedRepositoryNames",
              "errors"
            ],
            members: {
              disassociatedRepositoryNames: {
                shape: "S5"
              },
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    repositoryName: {},
                    errorCode: {},
                    errorMessage: {}
                  }
                }
              }
            }
          }
        },
        BatchGetCommits: {
          input: {
            type: "structure",
            required: [
              "commitIds",
              "repositoryName"
            ],
            members: {
              commitIds: {
                type: "list",
                member: {}
              },
              repositoryName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              commits: {
                type: "list",
                member: {
                  shape: "S1l"
                }
              },
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    commitId: {},
                    errorCode: {},
                    errorMessage: {}
                  }
                }
              }
            }
          }
        },
        BatchGetRepositories: {
          input: {
            type: "structure",
            required: [
              "repositoryNames"
            ],
            members: {
              repositoryNames: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repositories: {
                type: "list",
                member: {
                  shape: "S1x"
                }
              },
              repositoriesNotFound: {
                type: "list",
                member: {}
              }
            }
          }
        },
        CreateApprovalRuleTemplate: {
          input: {
            type: "structure",
            required: [
              "approvalRuleTemplateName",
              "approvalRuleTemplateContent"
            ],
            members: {
              approvalRuleTemplateName: {},
              approvalRuleTemplateContent: {},
              approvalRuleTemplateDescription: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "approvalRuleTemplate"
            ],
            members: {
              approvalRuleTemplate: {
                shape: "S2c"
              }
            }
          }
        },
        CreateBranch: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "branchName",
              "commitId"
            ],
            members: {
              repositoryName: {},
              branchName: {},
              commitId: {}
            }
          }
        },
        CreateCommit: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "branchName"
            ],
            members: {
              repositoryName: {},
              branchName: {},
              parentCommitId: {},
              authorName: {},
              email: {},
              commitMessage: {},
              keepEmptyFolders: {
                type: "boolean"
              },
              putFiles: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "filePath"
                  ],
                  members: {
                    filePath: {},
                    fileMode: {},
                    fileContent: {
                      type: "blob"
                    },
                    sourceFile: {
                      type: "structure",
                      required: [
                        "filePath"
                      ],
                      members: {
                        filePath: {},
                        isMove: {
                          type: "boolean"
                        }
                      }
                    }
                  }
                }
              },
              deleteFiles: {
                shape: "S2o"
              },
              setFileModes: {
                shape: "S2q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              commitId: {},
              treeId: {},
              filesAdded: {
                shape: "S2t"
              },
              filesUpdated: {
                shape: "S2t"
              },
              filesDeleted: {
                shape: "S2t"
              }
            }
          }
        },
        CreatePullRequest: {
          input: {
            type: "structure",
            required: [
              "title",
              "targets"
            ],
            members: {
              title: {},
              description: {},
              targets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "repositoryName",
                    "sourceReference"
                  ],
                  members: {
                    repositoryName: {},
                    sourceReference: {},
                    destinationReference: {}
                  }
                }
              },
              clientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "pullRequest"
            ],
            members: {
              pullRequest: {
                shape: "S33"
              }
            }
          }
        },
        CreatePullRequestApprovalRule: {
          input: {
            type: "structure",
            required: [
              "pullRequestId",
              "approvalRuleName",
              "approvalRuleContent"
            ],
            members: {
              pullRequestId: {},
              approvalRuleName: {},
              approvalRuleContent: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "approvalRule"
            ],
            members: {
              approvalRule: {
                shape: "S3c"
              }
            }
          }
        },
        CreateRepository: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              repositoryName: {},
              repositoryDescription: {},
              tags: {
                shape: "S3k"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repositoryMetadata: {
                shape: "S1x"
              }
            }
          }
        },
        CreateUnreferencedMergeCommit: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "sourceCommitSpecifier",
              "destinationCommitSpecifier",
              "mergeOption"
            ],
            members: {
              repositoryName: {},
              sourceCommitSpecifier: {},
              destinationCommitSpecifier: {},
              mergeOption: {},
              conflictDetailLevel: {},
              conflictResolutionStrategy: {},
              authorName: {},
              email: {},
              commitMessage: {},
              keepEmptyFolders: {
                type: "boolean"
              },
              conflictResolution: {
                shape: "S3p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              commitId: {},
              treeId: {}
            }
          }
        },
        DeleteApprovalRuleTemplate: {
          input: {
            type: "structure",
            required: [
              "approvalRuleTemplateName"
            ],
            members: {
              approvalRuleTemplateName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "approvalRuleTemplateId"
            ],
            members: {
              approvalRuleTemplateId: {}
            }
          }
        },
        DeleteBranch: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "branchName"
            ],
            members: {
              repositoryName: {},
              branchName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              deletedBranch: {
                shape: "S3y"
              }
            }
          }
        },
        DeleteCommentContent: {
          input: {
            type: "structure",
            required: [
              "commentId"
            ],
            members: {
              commentId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              comment: {
                shape: "S42"
              }
            }
          }
        },
        DeleteFile: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "branchName",
              "filePath",
              "parentCommitId"
            ],
            members: {
              repositoryName: {},
              branchName: {},
              filePath: {},
              parentCommitId: {},
              keepEmptyFolders: {
                type: "boolean"
              },
              commitMessage: {},
              name: {},
              email: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "commitId",
              "blobId",
              "treeId",
              "filePath"
            ],
            members: {
              commitId: {},
              blobId: {},
              treeId: {},
              filePath: {}
            }
          }
        },
        DeletePullRequestApprovalRule: {
          input: {
            type: "structure",
            required: [
              "pullRequestId",
              "approvalRuleName"
            ],
            members: {
              pullRequestId: {},
              approvalRuleName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "approvalRuleId"
            ],
            members: {
              approvalRuleId: {}
            }
          }
        },
        DeleteRepository: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              repositoryName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              repositoryId: {}
            }
          }
        },
        DescribeMergeConflicts: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "destinationCommitSpecifier",
              "sourceCommitSpecifier",
              "mergeOption",
              "filePath"
            ],
            members: {
              repositoryName: {},
              destinationCommitSpecifier: {},
              sourceCommitSpecifier: {},
              mergeOption: {},
              maxMergeHunks: {
                type: "integer"
              },
              filePath: {},
              conflictDetailLevel: {},
              conflictResolutionStrategy: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "conflictMetadata",
              "mergeHunks",
              "destinationCommitId",
              "sourceCommitId"
            ],
            members: {
              conflictMetadata: {
                shape: "Sn"
              },
              mergeHunks: {
                shape: "S12"
              },
              nextToken: {},
              destinationCommitId: {},
              sourceCommitId: {},
              baseCommitId: {}
            }
          }
        },
        DescribePullRequestEvents: {
          input: {
            type: "structure",
            required: [
              "pullRequestId"
            ],
            members: {
              pullRequestId: {},
              pullRequestEventType: {},
              actorArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "pullRequestEvents"
            ],
            members: {
              pullRequestEvents: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    pullRequestId: {},
                    eventDate: {
                      type: "timestamp"
                    },
                    pullRequestEventType: {},
                    actorArn: {},
                    pullRequestCreatedEventMetadata: {
                      type: "structure",
                      members: {
                        repositoryName: {},
                        sourceCommitId: {},
                        destinationCommitId: {},
                        mergeBase: {}
                      }
                    },
                    pullRequestStatusChangedEventMetadata: {
                      type: "structure",
                      members: {
                        pullRequestStatus: {}
                      }
                    },
                    pullRequestSourceReferenceUpdatedEventMetadata: {
                      type: "structure",
                      members: {
                        repositoryName: {},
                        beforeCommitId: {},
                        afterCommitId: {},
                        mergeBase: {}
                      }
                    },
                    pullRequestMergedStateChangedEventMetadata: {
                      type: "structure",
                      members: {
                        repositoryName: {},
                        destinationReference: {},
                        mergeMetadata: {
                          shape: "S38"
                        }
                      }
                    },
                    approvalRuleEventMetadata: {
                      type: "structure",
                      members: {
                        approvalRuleName: {},
                        approvalRuleId: {},
                        approvalRuleContent: {}
                      }
                    },
                    approvalStateChangedEventMetadata: {
                      type: "structure",
                      members: {
                        revisionId: {},
                        approvalStatus: {}
                      }
                    },
                    approvalRuleOverriddenEventMetadata: {
                      type: "structure",
                      members: {
                        revisionId: {},
                        overrideStatus: {}
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DisassociateApprovalRuleTemplateFromRepository: {
          input: {
            type: "structure",
            required: [
              "approvalRuleTemplateName",
              "repositoryName"
            ],
            members: {
              approvalRuleTemplateName: {},
              repositoryName: {}
            }
          }
        },
        EvaluatePullRequestApprovalRules: {
          input: {
            type: "structure",
            required: [
              "pullRequestId",
              "revisionId"
            ],
            members: {
              pullRequestId: {},
              revisionId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "evaluation"
            ],
            members: {
              evaluation: {
                type: "structure",
                members: {
                  approved: {
                    type: "boolean"
                  },
                  overridden: {
                    type: "boolean"
                  },
                  approvalRulesSatisfied: {
                    type: "list",
                    member: {}
                  },
                  approvalRulesNotSatisfied: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          }
        },
        GetApprovalRuleTemplate: {
          input: {
            type: "structure",
            required: [
              "approvalRuleTemplateName"
            ],
            members: {
              approvalRuleTemplateName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "approvalRuleTemplate"
            ],
            members: {
              approvalRuleTemplate: {
                shape: "S2c"
              }
            }
          }
        },
        GetBlob: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "blobId"
            ],
            members: {
              repositoryName: {},
              blobId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "content"
            ],
            members: {
              content: {
                type: "blob"
              }
            }
          }
        },
        GetBranch: {
          input: {
            type: "structure",
            members: {
              repositoryName: {},
              branchName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              branch: {
                shape: "S3y"
              }
            }
          }
        },
        GetComment: {
          input: {
            type: "structure",
            required: [
              "commentId"
            ],
            members: {
              commentId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              comment: {
                shape: "S42"
              }
            }
          }
        },
        GetCommentReactions: {
          input: {
            type: "structure",
            required: [
              "commentId"
            ],
            members: {
              commentId: {},
              reactionUserArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "reactionsForComment"
            ],
            members: {
              reactionsForComment: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    reaction: {
                      type: "structure",
                      members: {
                        emoji: {},
                        shortCode: {},
                        unicode: {}
                      }
                    },
                    reactionUsers: {
                      type: "list",
                      member: {}
                    },
                    reactionsFromDeletedUsersCount: {
                      type: "integer"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetCommentsForComparedCommit: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "afterCommitId"
            ],
            members: {
              repositoryName: {},
              beforeCommitId: {},
              afterCommitId: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              commentsForComparedCommitData: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    repositoryName: {},
                    beforeCommitId: {},
                    afterCommitId: {},
                    beforeBlobId: {},
                    afterBlobId: {},
                    location: {
                      shape: "S5q"
                    },
                    comments: {
                      shape: "S5t"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetCommentsForPullRequest: {
          input: {
            type: "structure",
            required: [
              "pullRequestId"
            ],
            members: {
              pullRequestId: {},
              repositoryName: {},
              beforeCommitId: {},
              afterCommitId: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              commentsForPullRequestData: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    pullRequestId: {},
                    repositoryName: {},
                    beforeCommitId: {},
                    afterCommitId: {},
                    beforeBlobId: {},
                    afterBlobId: {},
                    location: {
                      shape: "S5q"
                    },
                    comments: {
                      shape: "S5t"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetCommit: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "commitId"
            ],
            members: {
              repositoryName: {},
              commitId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "commit"
            ],
            members: {
              commit: {
                shape: "S1l"
              }
            }
          }
        },
        GetDifferences: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "afterCommitSpecifier"
            ],
            members: {
              repositoryName: {},
              beforeCommitSpecifier: {},
              afterCommitSpecifier: {},
              beforePath: {},
              afterPath: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              differences: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    beforeBlob: {
                      shape: "S65"
                    },
                    afterBlob: {
                      shape: "S65"
                    },
                    changeType: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetFile: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "filePath"
            ],
            members: {
              repositoryName: {},
              commitSpecifier: {},
              filePath: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "commitId",
              "blobId",
              "filePath",
              "fileMode",
              "fileSize",
              "fileContent"
            ],
            members: {
              commitId: {},
              blobId: {},
              filePath: {},
              fileMode: {},
              fileSize: {
                type: "long"
              },
              fileContent: {
                type: "blob"
              }
            }
          }
        },
        GetFolder: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "folderPath"
            ],
            members: {
              repositoryName: {},
              commitSpecifier: {},
              folderPath: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "commitId",
              "folderPath"
            ],
            members: {
              commitId: {},
              folderPath: {},
              treeId: {},
              subFolders: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    treeId: {},
                    absolutePath: {},
                    relativePath: {}
                  }
                }
              },
              files: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    blobId: {},
                    absolutePath: {},
                    relativePath: {},
                    fileMode: {}
                  }
                }
              },
              symbolicLinks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    blobId: {},
                    absolutePath: {},
                    relativePath: {},
                    fileMode: {}
                  }
                }
              },
              subModules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    commitId: {},
                    absolutePath: {},
                    relativePath: {}
                  }
                }
              }
            }
          }
        },
        GetMergeCommit: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "sourceCommitSpecifier",
              "destinationCommitSpecifier"
            ],
            members: {
              repositoryName: {},
              sourceCommitSpecifier: {},
              destinationCommitSpecifier: {},
              conflictDetailLevel: {},
              conflictResolutionStrategy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              sourceCommitId: {},
              destinationCommitId: {},
              baseCommitId: {},
              mergedCommitId: {}
            }
          }
        },
        GetMergeConflicts: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "destinationCommitSpecifier",
              "sourceCommitSpecifier",
              "mergeOption"
            ],
            members: {
              repositoryName: {},
              destinationCommitSpecifier: {},
              sourceCommitSpecifier: {},
              mergeOption: {},
              conflictDetailLevel: {},
              maxConflictFiles: {
                type: "integer"
              },
              conflictResolutionStrategy: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "mergeable",
              "destinationCommitId",
              "sourceCommitId",
              "conflictMetadataList"
            ],
            members: {
              mergeable: {
                type: "boolean"
              },
              destinationCommitId: {},
              sourceCommitId: {},
              baseCommitId: {},
              conflictMetadataList: {
                type: "list",
                member: {
                  shape: "Sn"
                }
              },
              nextToken: {}
            }
          }
        },
        GetMergeOptions: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "sourceCommitSpecifier",
              "destinationCommitSpecifier"
            ],
            members: {
              repositoryName: {},
              sourceCommitSpecifier: {},
              destinationCommitSpecifier: {},
              conflictDetailLevel: {},
              conflictResolutionStrategy: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "mergeOptions",
              "sourceCommitId",
              "destinationCommitId",
              "baseCommitId"
            ],
            members: {
              mergeOptions: {
                type: "list",
                member: {}
              },
              sourceCommitId: {},
              destinationCommitId: {},
              baseCommitId: {}
            }
          }
        },
        GetPullRequest: {
          input: {
            type: "structure",
            required: [
              "pullRequestId"
            ],
            members: {
              pullRequestId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "pullRequest"
            ],
            members: {
              pullRequest: {
                shape: "S33"
              }
            }
          }
        },
        GetPullRequestApprovalStates: {
          input: {
            type: "structure",
            required: [
              "pullRequestId",
              "revisionId"
            ],
            members: {
              pullRequestId: {},
              revisionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              approvals: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    userArn: {},
                    approvalState: {}
                  }
                }
              }
            }
          }
        },
        GetPullRequestOverrideState: {
          input: {
            type: "structure",
            required: [
              "pullRequestId",
              "revisionId"
            ],
            members: {
              pullRequestId: {},
              revisionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              overridden: {
                type: "boolean"
              },
              overrider: {}
            }
          }
        },
        GetRepository: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              repositoryName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              repositoryMetadata: {
                shape: "S1x"
              }
            }
          }
        },
        GetRepositoryTriggers: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              repositoryName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              configurationId: {},
              triggers: {
                shape: "S76"
              }
            }
          }
        },
        ListApprovalRuleTemplates: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              approvalRuleTemplateNames: {
                shape: "S7f"
              },
              nextToken: {}
            }
          }
        },
        ListAssociatedApprovalRuleTemplatesForRepository: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              repositoryName: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              approvalRuleTemplateNames: {
                shape: "S7f"
              },
              nextToken: {}
            }
          }
        },
        ListBranches: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              repositoryName: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              branches: {
                shape: "S7a"
              },
              nextToken: {}
            }
          }
        },
        ListPullRequests: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              repositoryName: {},
              authorArn: {},
              pullRequestStatus: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "pullRequestIds"
            ],
            members: {
              pullRequestIds: {
                type: "list",
                member: {}
              },
              nextToken: {}
            }
          }
        },
        ListRepositories: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              sortBy: {},
              order: {}
            }
          },
          output: {
            type: "structure",
            members: {
              repositories: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    repositoryName: {},
                    repositoryId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListRepositoriesForApprovalRuleTemplate: {
          input: {
            type: "structure",
            required: [
              "approvalRuleTemplateName"
            ],
            members: {
              approvalRuleTemplateName: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repositoryNames: {
                shape: "S5"
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S3k"
              },
              nextToken: {}
            }
          }
        },
        MergeBranchesByFastForward: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "sourceCommitSpecifier",
              "destinationCommitSpecifier"
            ],
            members: {
              repositoryName: {},
              sourceCommitSpecifier: {},
              destinationCommitSpecifier: {},
              targetBranch: {}
            }
          },
          output: {
            type: "structure",
            members: {
              commitId: {},
              treeId: {}
            }
          }
        },
        MergeBranchesBySquash: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "sourceCommitSpecifier",
              "destinationCommitSpecifier"
            ],
            members: {
              repositoryName: {},
              sourceCommitSpecifier: {},
              destinationCommitSpecifier: {},
              targetBranch: {},
              conflictDetailLevel: {},
              conflictResolutionStrategy: {},
              authorName: {},
              email: {},
              commitMessage: {},
              keepEmptyFolders: {
                type: "boolean"
              },
              conflictResolution: {
                shape: "S3p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              commitId: {},
              treeId: {}
            }
          }
        },
        MergeBranchesByThreeWay: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "sourceCommitSpecifier",
              "destinationCommitSpecifier"
            ],
            members: {
              repositoryName: {},
              sourceCommitSpecifier: {},
              destinationCommitSpecifier: {},
              targetBranch: {},
              conflictDetailLevel: {},
              conflictResolutionStrategy: {},
              authorName: {},
              email: {},
              commitMessage: {},
              keepEmptyFolders: {
                type: "boolean"
              },
              conflictResolution: {
                shape: "S3p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              commitId: {},
              treeId: {}
            }
          }
        },
        MergePullRequestByFastForward: {
          input: {
            type: "structure",
            required: [
              "pullRequestId",
              "repositoryName"
            ],
            members: {
              pullRequestId: {},
              repositoryName: {},
              sourceCommitId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              pullRequest: {
                shape: "S33"
              }
            }
          }
        },
        MergePullRequestBySquash: {
          input: {
            type: "structure",
            required: [
              "pullRequestId",
              "repositoryName"
            ],
            members: {
              pullRequestId: {},
              repositoryName: {},
              sourceCommitId: {},
              conflictDetailLevel: {},
              conflictResolutionStrategy: {},
              commitMessage: {},
              authorName: {},
              email: {},
              keepEmptyFolders: {
                type: "boolean"
              },
              conflictResolution: {
                shape: "S3p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              pullRequest: {
                shape: "S33"
              }
            }
          }
        },
        MergePullRequestByThreeWay: {
          input: {
            type: "structure",
            required: [
              "pullRequestId",
              "repositoryName"
            ],
            members: {
              pullRequestId: {},
              repositoryName: {},
              sourceCommitId: {},
              conflictDetailLevel: {},
              conflictResolutionStrategy: {},
              commitMessage: {},
              authorName: {},
              email: {},
              keepEmptyFolders: {
                type: "boolean"
              },
              conflictResolution: {
                shape: "S3p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              pullRequest: {
                shape: "S33"
              }
            }
          }
        },
        OverridePullRequestApprovalRules: {
          input: {
            type: "structure",
            required: [
              "pullRequestId",
              "revisionId",
              "overrideStatus"
            ],
            members: {
              pullRequestId: {},
              revisionId: {},
              overrideStatus: {}
            }
          }
        },
        PostCommentForComparedCommit: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "afterCommitId",
              "content"
            ],
            members: {
              repositoryName: {},
              beforeCommitId: {},
              afterCommitId: {},
              location: {
                shape: "S5q"
              },
              content: {},
              clientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repositoryName: {},
              beforeCommitId: {},
              afterCommitId: {},
              beforeBlobId: {},
              afterBlobId: {},
              location: {
                shape: "S5q"
              },
              comment: {
                shape: "S42"
              }
            }
          },
          idempotent: true
        },
        PostCommentForPullRequest: {
          input: {
            type: "structure",
            required: [
              "pullRequestId",
              "repositoryName",
              "beforeCommitId",
              "afterCommitId",
              "content"
            ],
            members: {
              pullRequestId: {},
              repositoryName: {},
              beforeCommitId: {},
              afterCommitId: {},
              location: {
                shape: "S5q"
              },
              content: {},
              clientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repositoryName: {},
              pullRequestId: {},
              beforeCommitId: {},
              afterCommitId: {},
              beforeBlobId: {},
              afterBlobId: {},
              location: {
                shape: "S5q"
              },
              comment: {
                shape: "S42"
              }
            }
          },
          idempotent: true
        },
        PostCommentReply: {
          input: {
            type: "structure",
            required: [
              "inReplyTo",
              "content"
            ],
            members: {
              inReplyTo: {},
              clientRequestToken: {
                idempotencyToken: true
              },
              content: {}
            }
          },
          output: {
            type: "structure",
            members: {
              comment: {
                shape: "S42"
              }
            }
          },
          idempotent: true
        },
        PutCommentReaction: {
          input: {
            type: "structure",
            required: [
              "commentId",
              "reactionValue"
            ],
            members: {
              commentId: {},
              reactionValue: {}
            }
          }
        },
        PutFile: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "branchName",
              "fileContent",
              "filePath"
            ],
            members: {
              repositoryName: {},
              branchName: {},
              fileContent: {
                type: "blob"
              },
              filePath: {},
              fileMode: {},
              parentCommitId: {},
              commitMessage: {},
              name: {},
              email: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "commitId",
              "blobId",
              "treeId"
            ],
            members: {
              commitId: {},
              blobId: {},
              treeId: {}
            }
          }
        },
        PutRepositoryTriggers: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "triggers"
            ],
            members: {
              repositoryName: {},
              triggers: {
                shape: "S76"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              configurationId: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "S3k"
              }
            }
          }
        },
        TestRepositoryTriggers: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "triggers"
            ],
            members: {
              repositoryName: {},
              triggers: {
                shape: "S76"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              successfulExecutions: {
                type: "list",
                member: {}
              },
              failedExecutions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    trigger: {},
                    failureMessage: {}
                  }
                }
              }
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        },
        UpdateApprovalRuleTemplateContent: {
          input: {
            type: "structure",
            required: [
              "approvalRuleTemplateName",
              "newRuleContent"
            ],
            members: {
              approvalRuleTemplateName: {},
              newRuleContent: {},
              existingRuleContentSha256: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "approvalRuleTemplate"
            ],
            members: {
              approvalRuleTemplate: {
                shape: "S2c"
              }
            }
          }
        },
        UpdateApprovalRuleTemplateDescription: {
          input: {
            type: "structure",
            required: [
              "approvalRuleTemplateName",
              "approvalRuleTemplateDescription"
            ],
            members: {
              approvalRuleTemplateName: {},
              approvalRuleTemplateDescription: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "approvalRuleTemplate"
            ],
            members: {
              approvalRuleTemplate: {
                shape: "S2c"
              }
            }
          }
        },
        UpdateApprovalRuleTemplateName: {
          input: {
            type: "structure",
            required: [
              "oldApprovalRuleTemplateName",
              "newApprovalRuleTemplateName"
            ],
            members: {
              oldApprovalRuleTemplateName: {},
              newApprovalRuleTemplateName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "approvalRuleTemplate"
            ],
            members: {
              approvalRuleTemplate: {
                shape: "S2c"
              }
            }
          }
        },
        UpdateComment: {
          input: {
            type: "structure",
            required: [
              "commentId",
              "content"
            ],
            members: {
              commentId: {},
              content: {}
            }
          },
          output: {
            type: "structure",
            members: {
              comment: {
                shape: "S42"
              }
            }
          }
        },
        UpdateDefaultBranch: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "defaultBranchName"
            ],
            members: {
              repositoryName: {},
              defaultBranchName: {}
            }
          }
        },
        UpdatePullRequestApprovalRuleContent: {
          input: {
            type: "structure",
            required: [
              "pullRequestId",
              "approvalRuleName",
              "newRuleContent"
            ],
            members: {
              pullRequestId: {},
              approvalRuleName: {},
              existingRuleContentSha256: {},
              newRuleContent: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "approvalRule"
            ],
            members: {
              approvalRule: {
                shape: "S3c"
              }
            }
          }
        },
        UpdatePullRequestApprovalState: {
          input: {
            type: "structure",
            required: [
              "pullRequestId",
              "revisionId",
              "approvalState"
            ],
            members: {
              pullRequestId: {},
              revisionId: {},
              approvalState: {}
            }
          }
        },
        UpdatePullRequestDescription: {
          input: {
            type: "structure",
            required: [
              "pullRequestId",
              "description"
            ],
            members: {
              pullRequestId: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "pullRequest"
            ],
            members: {
              pullRequest: {
                shape: "S33"
              }
            }
          }
        },
        UpdatePullRequestStatus: {
          input: {
            type: "structure",
            required: [
              "pullRequestId",
              "pullRequestStatus"
            ],
            members: {
              pullRequestId: {},
              pullRequestStatus: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "pullRequest"
            ],
            members: {
              pullRequest: {
                shape: "S33"
              }
            }
          }
        },
        UpdatePullRequestTitle: {
          input: {
            type: "structure",
            required: [
              "pullRequestId",
              "title"
            ],
            members: {
              pullRequestId: {},
              title: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "pullRequest"
            ],
            members: {
              pullRequest: {
                shape: "S33"
              }
            }
          }
        },
        UpdateRepositoryDescription: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              repositoryName: {},
              repositoryDescription: {}
            }
          }
        },
        UpdateRepositoryName: {
          input: {
            type: "structure",
            required: [
              "oldName",
              "newName"
            ],
            members: {
              oldName: {},
              newName: {}
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "list",
          member: {}
        },
        Sn: {
          type: "structure",
          members: {
            filePath: {},
            fileSizes: {
              type: "structure",
              members: {
                source: {
                  type: "long"
                },
                destination: {
                  type: "long"
                },
                base: {
                  type: "long"
                }
              }
            },
            fileModes: {
              type: "structure",
              members: {
                source: {},
                destination: {},
                base: {}
              }
            },
            objectTypes: {
              type: "structure",
              members: {
                source: {},
                destination: {},
                base: {}
              }
            },
            numberOfConflicts: {
              type: "integer"
            },
            isBinaryFile: {
              type: "structure",
              members: {
                source: {
                  type: "boolean"
                },
                destination: {
                  type: "boolean"
                },
                base: {
                  type: "boolean"
                }
              }
            },
            contentConflict: {
              type: "boolean"
            },
            fileModeConflict: {
              type: "boolean"
            },
            objectTypeConflict: {
              type: "boolean"
            },
            mergeOperations: {
              type: "structure",
              members: {
                source: {},
                destination: {}
              }
            }
          }
        },
        S12: {
          type: "list",
          member: {
            type: "structure",
            members: {
              isConflict: {
                type: "boolean"
              },
              source: {
                shape: "S15"
              },
              destination: {
                shape: "S15"
              },
              base: {
                shape: "S15"
              }
            }
          }
        },
        S15: {
          type: "structure",
          members: {
            startLine: {
              type: "integer"
            },
            endLine: {
              type: "integer"
            },
            hunkContent: {}
          }
        },
        S1l: {
          type: "structure",
          members: {
            commitId: {},
            treeId: {},
            parents: {
              type: "list",
              member: {}
            },
            message: {},
            author: {
              shape: "S1n"
            },
            committer: {
              shape: "S1n"
            },
            additionalData: {}
          }
        },
        S1n: {
          type: "structure",
          members: {
            name: {},
            email: {},
            date: {}
          }
        },
        S1x: {
          type: "structure",
          members: {
            accountId: {},
            repositoryId: {},
            repositoryName: {},
            repositoryDescription: {},
            defaultBranch: {},
            lastModifiedDate: {
              type: "timestamp"
            },
            creationDate: {
              type: "timestamp"
            },
            cloneUrlHttp: {},
            cloneUrlSsh: {},
            Arn: {}
          }
        },
        S2c: {
          type: "structure",
          members: {
            approvalRuleTemplateId: {},
            approvalRuleTemplateName: {},
            approvalRuleTemplateDescription: {},
            approvalRuleTemplateContent: {},
            ruleContentSha256: {},
            lastModifiedDate: {
              type: "timestamp"
            },
            creationDate: {
              type: "timestamp"
            },
            lastModifiedUser: {}
          }
        },
        S2o: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "filePath"
            ],
            members: {
              filePath: {}
            }
          }
        },
        S2q: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "filePath",
              "fileMode"
            ],
            members: {
              filePath: {},
              fileMode: {}
            }
          }
        },
        S2t: {
          type: "list",
          member: {
            type: "structure",
            members: {
              absolutePath: {},
              blobId: {},
              fileMode: {}
            }
          }
        },
        S33: {
          type: "structure",
          members: {
            pullRequestId: {},
            title: {},
            description: {},
            lastActivityDate: {
              type: "timestamp"
            },
            creationDate: {
              type: "timestamp"
            },
            pullRequestStatus: {},
            authorArn: {},
            pullRequestTargets: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  repositoryName: {},
                  sourceReference: {},
                  destinationReference: {},
                  destinationCommit: {},
                  sourceCommit: {},
                  mergeBase: {},
                  mergeMetadata: {
                    shape: "S38"
                  }
                }
              }
            },
            clientRequestToken: {},
            revisionId: {},
            approvalRules: {
              type: "list",
              member: {
                shape: "S3c"
              }
            }
          }
        },
        S38: {
          type: "structure",
          members: {
            isMerged: {
              type: "boolean"
            },
            mergedBy: {},
            mergeCommitId: {},
            mergeOption: {}
          }
        },
        S3c: {
          type: "structure",
          members: {
            approvalRuleId: {},
            approvalRuleName: {},
            approvalRuleContent: {},
            ruleContentSha256: {},
            lastModifiedDate: {
              type: "timestamp"
            },
            creationDate: {
              type: "timestamp"
            },
            lastModifiedUser: {},
            originApprovalRuleTemplate: {
              type: "structure",
              members: {
                approvalRuleTemplateId: {},
                approvalRuleTemplateName: {}
              }
            }
          }
        },
        S3k: {
          type: "map",
          key: {},
          value: {}
        },
        S3p: {
          type: "structure",
          members: {
            replaceContents: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "filePath",
                  "replacementType"
                ],
                members: {
                  filePath: {},
                  replacementType: {},
                  content: {
                    type: "blob"
                  },
                  fileMode: {}
                }
              }
            },
            deleteFiles: {
              shape: "S2o"
            },
            setFileModes: {
              shape: "S2q"
            }
          }
        },
        S3y: {
          type: "structure",
          members: {
            branchName: {},
            commitId: {}
          }
        },
        S42: {
          type: "structure",
          members: {
            commentId: {},
            content: {},
            inReplyTo: {},
            creationDate: {
              type: "timestamp"
            },
            lastModifiedDate: {
              type: "timestamp"
            },
            authorArn: {},
            deleted: {
              type: "boolean"
            },
            clientRequestToken: {},
            callerReactions: {
              type: "list",
              member: {}
            },
            reactionCounts: {
              type: "map",
              key: {},
              value: {
                type: "integer"
              }
            }
          }
        },
        S5q: {
          type: "structure",
          members: {
            filePath: {},
            filePosition: {
              type: "long"
            },
            relativeFileVersion: {}
          }
        },
        S5t: {
          type: "list",
          member: {
            shape: "S42"
          }
        },
        S65: {
          type: "structure",
          members: {
            blobId: {},
            path: {},
            mode: {}
          }
        },
        S76: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "destinationArn",
              "events"
            ],
            members: {
              name: {},
              destinationArn: {},
              customData: {},
              branches: {
                shape: "S7a"
              },
              events: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S7a: {
          type: "list",
          member: {}
        },
        S7f: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/codecommit-2015-04-13.paginators.json
var require_codecommit_2015_04_13_paginators = __commonJS({
  "node_modules/aws-sdk/apis/codecommit-2015-04-13.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeMergeConflicts: {
          input_token: "nextToken",
          limit_key: "maxMergeHunks",
          output_token: "nextToken"
        },
        DescribePullRequestEvents: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken"
        },
        GetCommentReactions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken"
        },
        GetCommentsForComparedCommit: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken"
        },
        GetCommentsForPullRequest: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken"
        },
        GetDifferences: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetMergeConflicts: {
          input_token: "nextToken",
          limit_key: "maxConflictFiles",
          output_token: "nextToken"
        },
        ListApprovalRuleTemplates: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken"
        },
        ListAssociatedApprovalRuleTemplatesForRepository: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken"
        },
        ListBranches: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "branches"
        },
        ListPullRequests: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken"
        },
        ListRepositories: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "repositories"
        },
        ListRepositoriesForApprovalRuleTemplate: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/codecommit.js
var require_codecommit = __commonJS({
  "node_modules/aws-sdk/clients/codecommit.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["codecommit"] = {};
    AWS2.CodeCommit = Service.defineService("codecommit", ["2015-04-13"]);
    Object.defineProperty(apiLoader.services["codecommit"], "2015-04-13", {
      get: function get() {
        var model = require_codecommit_2015_04_13_min();
        model.paginators = require_codecommit_2015_04_13_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CodeCommit;
  }
});

// node_modules/aws-sdk/apis/codedeploy-2014-10-06.min.json
var require_codedeploy_2014_10_06_min = __commonJS({
  "node_modules/aws-sdk/apis/codedeploy-2014-10-06.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2014-10-06",
        endpointPrefix: "codedeploy",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "CodeDeploy",
        serviceFullName: "AWS CodeDeploy",
        serviceId: "CodeDeploy",
        signatureVersion: "v4",
        targetPrefix: "CodeDeploy_20141006",
        uid: "codedeploy-2014-10-06"
      },
      operations: {
        AddTagsToOnPremisesInstances: {
          input: {
            type: "structure",
            required: [
              "tags",
              "instanceNames"
            ],
            members: {
              tags: {
                shape: "S2"
              },
              instanceNames: {
                shape: "S6"
              }
            }
          }
        },
        BatchGetApplicationRevisions: {
          input: {
            type: "structure",
            required: [
              "applicationName",
              "revisions"
            ],
            members: {
              applicationName: {},
              revisions: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              applicationName: {},
              errorMessage: {},
              revisions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    revisionLocation: {
                      shape: "Sb"
                    },
                    genericRevisionInfo: {
                      shape: "Su"
                    }
                  }
                }
              }
            }
          }
        },
        BatchGetApplications: {
          input: {
            type: "structure",
            required: [
              "applicationNames"
            ],
            members: {
              applicationNames: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              applicationsInfo: {
                type: "list",
                member: {
                  shape: "S13"
                }
              }
            }
          }
        },
        BatchGetDeploymentGroups: {
          input: {
            type: "structure",
            required: [
              "applicationName",
              "deploymentGroupNames"
            ],
            members: {
              applicationName: {},
              deploymentGroupNames: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              deploymentGroupsInfo: {
                type: "list",
                member: {
                  shape: "S1b"
                }
              },
              errorMessage: {}
            }
          }
        },
        BatchGetDeploymentInstances: {
          input: {
            type: "structure",
            required: [
              "deploymentId",
              "instanceIds"
            ],
            members: {
              deploymentId: {},
              instanceIds: {
                shape: "S32"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              instancesSummary: {
                type: "list",
                member: {
                  shape: "S36"
                }
              },
              errorMessage: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "This operation is deprecated, use BatchGetDeploymentTargets instead."
        },
        BatchGetDeploymentTargets: {
          input: {
            type: "structure",
            members: {
              deploymentId: {},
              targetIds: {
                shape: "S3j"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              deploymentTargets: {
                type: "list",
                member: {
                  shape: "S3n"
                }
              }
            }
          }
        },
        BatchGetDeployments: {
          input: {
            type: "structure",
            required: [
              "deploymentIds"
            ],
            members: {
              deploymentIds: {
                shape: "S49"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              deploymentsInfo: {
                type: "list",
                member: {
                  shape: "S4c"
                }
              }
            }
          }
        },
        BatchGetOnPremisesInstances: {
          input: {
            type: "structure",
            required: [
              "instanceNames"
            ],
            members: {
              instanceNames: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              instanceInfos: {
                type: "list",
                member: {
                  shape: "S4t"
                }
              }
            }
          }
        },
        ContinueDeployment: {
          input: {
            type: "structure",
            members: {
              deploymentId: {},
              deploymentWaitType: {}
            }
          }
        },
        CreateApplication: {
          input: {
            type: "structure",
            required: [
              "applicationName"
            ],
            members: {
              applicationName: {},
              computePlatform: {},
              tags: {
                shape: "S2"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              applicationId: {}
            }
          }
        },
        CreateDeployment: {
          input: {
            type: "structure",
            required: [
              "applicationName"
            ],
            members: {
              applicationName: {},
              deploymentGroupName: {},
              revision: {
                shape: "Sb"
              },
              deploymentConfigName: {},
              description: {},
              ignoreApplicationStopFailures: {
                type: "boolean"
              },
              targetInstances: {
                shape: "S4j"
              },
              autoRollbackConfiguration: {
                shape: "S1z"
              },
              updateOutdatedInstancesOnly: {
                type: "boolean"
              },
              fileExistsBehavior: {},
              overrideAlarmConfiguration: {
                shape: "S1v"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              deploymentId: {}
            }
          }
        },
        CreateDeploymentConfig: {
          input: {
            type: "structure",
            required: [
              "deploymentConfigName"
            ],
            members: {
              deploymentConfigName: {},
              minimumHealthyHosts: {
                shape: "S54"
              },
              trafficRoutingConfig: {
                shape: "S57"
              },
              computePlatform: {}
            }
          },
          output: {
            type: "structure",
            members: {
              deploymentConfigId: {}
            }
          }
        },
        CreateDeploymentGroup: {
          input: {
            type: "structure",
            required: [
              "applicationName",
              "deploymentGroupName",
              "serviceRoleArn"
            ],
            members: {
              applicationName: {},
              deploymentGroupName: {},
              deploymentConfigName: {},
              ec2TagFilters: {
                shape: "S1e"
              },
              onPremisesInstanceTagFilters: {
                shape: "S1h"
              },
              autoScalingGroups: {
                shape: "S4k"
              },
              serviceRoleArn: {},
              triggerConfigurations: {
                shape: "S1p"
              },
              alarmConfiguration: {
                shape: "S1v"
              },
              autoRollbackConfiguration: {
                shape: "S1z"
              },
              outdatedInstancesStrategy: {},
              deploymentStyle: {
                shape: "S22"
              },
              blueGreenDeploymentConfiguration: {
                shape: "S26"
              },
              loadBalancerInfo: {
                shape: "S2e"
              },
              ec2TagSet: {
                shape: "S2t"
              },
              ecsServices: {
                shape: "S2x"
              },
              onPremisesTagSet: {
                shape: "S2v"
              },
              tags: {
                shape: "S2"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              deploymentGroupId: {}
            }
          }
        },
        DeleteApplication: {
          input: {
            type: "structure",
            required: [
              "applicationName"
            ],
            members: {
              applicationName: {}
            }
          }
        },
        DeleteDeploymentConfig: {
          input: {
            type: "structure",
            required: [
              "deploymentConfigName"
            ],
            members: {
              deploymentConfigName: {}
            }
          }
        },
        DeleteDeploymentGroup: {
          input: {
            type: "structure",
            required: [
              "applicationName",
              "deploymentGroupName"
            ],
            members: {
              applicationName: {},
              deploymentGroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              hooksNotCleanedUp: {
                shape: "S1k"
              }
            }
          }
        },
        DeleteGitHubAccountToken: {
          input: {
            type: "structure",
            members: {
              tokenName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tokenName: {}
            }
          }
        },
        DeleteResourcesByExternalId: {
          input: {
            type: "structure",
            members: {
              externalId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeregisterOnPremisesInstance: {
          input: {
            type: "structure",
            required: [
              "instanceName"
            ],
            members: {
              instanceName: {}
            }
          }
        },
        GetApplication: {
          input: {
            type: "structure",
            required: [
              "applicationName"
            ],
            members: {
              applicationName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              application: {
                shape: "S13"
              }
            }
          }
        },
        GetApplicationRevision: {
          input: {
            type: "structure",
            required: [
              "applicationName",
              "revision"
            ],
            members: {
              applicationName: {},
              revision: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              applicationName: {},
              revision: {
                shape: "Sb"
              },
              revisionInfo: {
                shape: "Su"
              }
            }
          }
        },
        GetDeployment: {
          input: {
            type: "structure",
            required: [
              "deploymentId"
            ],
            members: {
              deploymentId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              deploymentInfo: {
                shape: "S4c"
              }
            }
          }
        },
        GetDeploymentConfig: {
          input: {
            type: "structure",
            required: [
              "deploymentConfigName"
            ],
            members: {
              deploymentConfigName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              deploymentConfigInfo: {
                type: "structure",
                members: {
                  deploymentConfigId: {},
                  deploymentConfigName: {},
                  minimumHealthyHosts: {
                    shape: "S54"
                  },
                  createTime: {
                    type: "timestamp"
                  },
                  computePlatform: {},
                  trafficRoutingConfig: {
                    shape: "S57"
                  }
                }
              }
            }
          }
        },
        GetDeploymentGroup: {
          input: {
            type: "structure",
            required: [
              "applicationName",
              "deploymentGroupName"
            ],
            members: {
              applicationName: {},
              deploymentGroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              deploymentGroupInfo: {
                shape: "S1b"
              }
            }
          }
        },
        GetDeploymentInstance: {
          input: {
            type: "structure",
            required: [
              "deploymentId",
              "instanceId"
            ],
            members: {
              deploymentId: {},
              instanceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              instanceSummary: {
                shape: "S36"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "This operation is deprecated, use GetDeploymentTarget instead."
        },
        GetDeploymentTarget: {
          input: {
            type: "structure",
            members: {
              deploymentId: {},
              targetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              deploymentTarget: {
                shape: "S3n"
              }
            }
          }
        },
        GetOnPremisesInstance: {
          input: {
            type: "structure",
            required: [
              "instanceName"
            ],
            members: {
              instanceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              instanceInfo: {
                shape: "S4t"
              }
            }
          }
        },
        ListApplicationRevisions: {
          input: {
            type: "structure",
            required: [
              "applicationName"
            ],
            members: {
              applicationName: {},
              sortBy: {},
              sortOrder: {},
              s3Bucket: {},
              s3KeyPrefix: {},
              deployed: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              revisions: {
                shape: "Sa"
              },
              nextToken: {}
            }
          }
        },
        ListApplications: {
          input: {
            type: "structure",
            members: {
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              applications: {
                shape: "S10"
              },
              nextToken: {}
            }
          }
        },
        ListDeploymentConfigs: {
          input: {
            type: "structure",
            members: {
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              deploymentConfigsList: {
                type: "list",
                member: {}
              },
              nextToken: {}
            }
          }
        },
        ListDeploymentGroups: {
          input: {
            type: "structure",
            required: [
              "applicationName"
            ],
            members: {
              applicationName: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              applicationName: {},
              deploymentGroups: {
                shape: "Sw"
              },
              nextToken: {}
            }
          }
        },
        ListDeploymentInstances: {
          input: {
            type: "structure",
            required: [
              "deploymentId"
            ],
            members: {
              deploymentId: {},
              nextToken: {},
              instanceStatusFilter: {
                type: "list",
                member: {
                  shape: "S37"
                }
              },
              instanceTypeFilter: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              instancesList: {
                shape: "S32"
              },
              nextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "This operation is deprecated, use ListDeploymentTargets instead."
        },
        ListDeploymentTargets: {
          input: {
            type: "structure",
            members: {
              deploymentId: {},
              nextToken: {},
              targetFilters: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              targetIds: {
                shape: "S3j"
              },
              nextToken: {}
            }
          }
        },
        ListDeployments: {
          input: {
            type: "structure",
            members: {
              applicationName: {},
              deploymentGroupName: {},
              externalId: {},
              includeOnlyStatuses: {
                type: "list",
                member: {}
              },
              createTimeRange: {
                type: "structure",
                members: {
                  start: {
                    type: "timestamp"
                  },
                  end: {
                    type: "timestamp"
                  }
                }
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              deployments: {
                shape: "S49"
              },
              nextToken: {}
            }
          }
        },
        ListGitHubAccountTokenNames: {
          input: {
            type: "structure",
            members: {
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tokenNameList: {
                type: "list",
                member: {}
              },
              nextToken: {}
            }
          }
        },
        ListOnPremisesInstances: {
          input: {
            type: "structure",
            members: {
              registrationStatus: {},
              tagFilters: {
                shape: "S1h"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              instanceNames: {
                shape: "S6"
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S2"
              },
              NextToken: {}
            }
          }
        },
        PutLifecycleEventHookExecutionStatus: {
          input: {
            type: "structure",
            members: {
              deploymentId: {},
              lifecycleEventHookExecutionId: {},
              status: {}
            }
          },
          output: {
            type: "structure",
            members: {
              lifecycleEventHookExecutionId: {}
            }
          }
        },
        RegisterApplicationRevision: {
          input: {
            type: "structure",
            required: [
              "applicationName",
              "revision"
            ],
            members: {
              applicationName: {},
              description: {},
              revision: {
                shape: "Sb"
              }
            }
          }
        },
        RegisterOnPremisesInstance: {
          input: {
            type: "structure",
            required: [
              "instanceName"
            ],
            members: {
              instanceName: {},
              iamSessionArn: {},
              iamUserArn: {}
            }
          }
        },
        RemoveTagsFromOnPremisesInstances: {
          input: {
            type: "structure",
            required: [
              "tags",
              "instanceNames"
            ],
            members: {
              tags: {
                shape: "S2"
              },
              instanceNames: {
                shape: "S6"
              }
            }
          }
        },
        SkipWaitTimeForInstanceTermination: {
          input: {
            type: "structure",
            members: {
              deploymentId: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "This operation is deprecated, use ContinueDeployment with DeploymentWaitType instead."
        },
        StopDeployment: {
          input: {
            type: "structure",
            required: [
              "deploymentId"
            ],
            members: {
              deploymentId: {},
              autoRollbackEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              status: {},
              statusMessage: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S2"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateApplication: {
          input: {
            type: "structure",
            members: {
              applicationName: {},
              newApplicationName: {}
            }
          }
        },
        UpdateDeploymentGroup: {
          input: {
            type: "structure",
            required: [
              "applicationName",
              "currentDeploymentGroupName"
            ],
            members: {
              applicationName: {},
              currentDeploymentGroupName: {},
              newDeploymentGroupName: {},
              deploymentConfigName: {},
              ec2TagFilters: {
                shape: "S1e"
              },
              onPremisesInstanceTagFilters: {
                shape: "S1h"
              },
              autoScalingGroups: {
                shape: "S4k"
              },
              serviceRoleArn: {},
              triggerConfigurations: {
                shape: "S1p"
              },
              alarmConfiguration: {
                shape: "S1v"
              },
              autoRollbackConfiguration: {
                shape: "S1z"
              },
              outdatedInstancesStrategy: {},
              deploymentStyle: {
                shape: "S22"
              },
              blueGreenDeploymentConfiguration: {
                shape: "S26"
              },
              loadBalancerInfo: {
                shape: "S2e"
              },
              ec2TagSet: {
                shape: "S2t"
              },
              ecsServices: {
                shape: "S2x"
              },
              onPremisesTagSet: {
                shape: "S2v"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              hooksNotCleanedUp: {
                shape: "S1k"
              }
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S6: {
          type: "list",
          member: {}
        },
        Sa: {
          type: "list",
          member: {
            shape: "Sb"
          }
        },
        Sb: {
          type: "structure",
          members: {
            revisionType: {},
            s3Location: {
              type: "structure",
              members: {
                bucket: {},
                key: {},
                bundleType: {},
                version: {},
                eTag: {}
              }
            },
            gitHubLocation: {
              type: "structure",
              members: {
                repository: {},
                commitId: {}
              }
            },
            string: {
              type: "structure",
              members: {
                content: {},
                sha256: {}
              },
              deprecated: true,
              deprecatedMessage: "RawString and String revision type are deprecated, use AppSpecContent type instead."
            },
            appSpecContent: {
              type: "structure",
              members: {
                content: {},
                sha256: {}
              }
            }
          }
        },
        Su: {
          type: "structure",
          members: {
            description: {},
            deploymentGroups: {
              shape: "Sw"
            },
            firstUsedTime: {
              type: "timestamp"
            },
            lastUsedTime: {
              type: "timestamp"
            },
            registerTime: {
              type: "timestamp"
            }
          }
        },
        Sw: {
          type: "list",
          member: {}
        },
        S10: {
          type: "list",
          member: {}
        },
        S13: {
          type: "structure",
          members: {
            applicationId: {},
            applicationName: {},
            createTime: {
              type: "timestamp"
            },
            linkedToGitHub: {
              type: "boolean"
            },
            gitHubAccountName: {},
            computePlatform: {}
          }
        },
        S1b: {
          type: "structure",
          members: {
            applicationName: {},
            deploymentGroupId: {},
            deploymentGroupName: {},
            deploymentConfigName: {},
            ec2TagFilters: {
              shape: "S1e"
            },
            onPremisesInstanceTagFilters: {
              shape: "S1h"
            },
            autoScalingGroups: {
              shape: "S1k"
            },
            serviceRoleArn: {},
            targetRevision: {
              shape: "Sb"
            },
            triggerConfigurations: {
              shape: "S1p"
            },
            alarmConfiguration: {
              shape: "S1v"
            },
            autoRollbackConfiguration: {
              shape: "S1z"
            },
            deploymentStyle: {
              shape: "S22"
            },
            outdatedInstancesStrategy: {},
            blueGreenDeploymentConfiguration: {
              shape: "S26"
            },
            loadBalancerInfo: {
              shape: "S2e"
            },
            lastSuccessfulDeployment: {
              shape: "S2q"
            },
            lastAttemptedDeployment: {
              shape: "S2q"
            },
            ec2TagSet: {
              shape: "S2t"
            },
            onPremisesTagSet: {
              shape: "S2v"
            },
            computePlatform: {},
            ecsServices: {
              shape: "S2x"
            }
          }
        },
        S1e: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {},
              Type: {}
            }
          }
        },
        S1h: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {},
              Type: {}
            }
          }
        },
        S1k: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              hook: {}
            }
          }
        },
        S1p: {
          type: "list",
          member: {
            type: "structure",
            members: {
              triggerName: {},
              triggerTargetArn: {},
              triggerEvents: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S1v: {
          type: "structure",
          members: {
            enabled: {
              type: "boolean"
            },
            ignorePollAlarmFailure: {
              type: "boolean"
            },
            alarms: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  name: {}
                }
              }
            }
          }
        },
        S1z: {
          type: "structure",
          members: {
            enabled: {
              type: "boolean"
            },
            events: {
              type: "list",
              member: {}
            }
          }
        },
        S22: {
          type: "structure",
          members: {
            deploymentType: {},
            deploymentOption: {}
          }
        },
        S26: {
          type: "structure",
          members: {
            terminateBlueInstancesOnDeploymentSuccess: {
              type: "structure",
              members: {
                action: {},
                terminationWaitTimeInMinutes: {
                  type: "integer"
                }
              }
            },
            deploymentReadyOption: {
              type: "structure",
              members: {
                actionOnTimeout: {},
                waitTimeInMinutes: {
                  type: "integer"
                }
              }
            },
            greenFleetProvisioningOption: {
              type: "structure",
              members: {
                action: {}
              }
            }
          }
        },
        S2e: {
          type: "structure",
          members: {
            elbInfoList: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  name: {}
                }
              }
            },
            targetGroupInfoList: {
              shape: "S2i"
            },
            targetGroupPairInfoList: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  targetGroups: {
                    shape: "S2i"
                  },
                  prodTrafficRoute: {
                    shape: "S2n"
                  },
                  testTrafficRoute: {
                    shape: "S2n"
                  }
                }
              }
            }
          }
        },
        S2i: {
          type: "list",
          member: {
            shape: "S2j"
          }
        },
        S2j: {
          type: "structure",
          members: {
            name: {}
          }
        },
        S2n: {
          type: "structure",
          members: {
            listenerArns: {
              type: "list",
              member: {}
            }
          }
        },
        S2q: {
          type: "structure",
          members: {
            deploymentId: {},
            status: {},
            endTime: {
              type: "timestamp"
            },
            createTime: {
              type: "timestamp"
            }
          }
        },
        S2t: {
          type: "structure",
          members: {
            ec2TagSetList: {
              type: "list",
              member: {
                shape: "S1e"
              }
            }
          }
        },
        S2v: {
          type: "structure",
          members: {
            onPremisesTagSetList: {
              type: "list",
              member: {
                shape: "S1h"
              }
            }
          }
        },
        S2x: {
          type: "list",
          member: {
            type: "structure",
            members: {
              serviceName: {},
              clusterName: {}
            }
          }
        },
        S32: {
          type: "list",
          member: {}
        },
        S36: {
          type: "structure",
          members: {
            deploymentId: {},
            instanceId: {},
            status: {
              shape: "S37"
            },
            lastUpdatedAt: {
              type: "timestamp"
            },
            lifecycleEvents: {
              shape: "S38"
            },
            instanceType: {}
          },
          deprecated: true,
          deprecatedMessage: "InstanceSummary is deprecated, use DeploymentTarget instead."
        },
        S37: {
          type: "string",
          deprecated: true,
          deprecatedMessage: "InstanceStatus is deprecated, use TargetStatus instead."
        },
        S38: {
          type: "list",
          member: {
            type: "structure",
            members: {
              lifecycleEventName: {},
              diagnostics: {
                type: "structure",
                members: {
                  errorCode: {},
                  scriptName: {},
                  message: {},
                  logTail: {}
                }
              },
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              status: {}
            }
          }
        },
        S3j: {
          type: "list",
          member: {}
        },
        S3n: {
          type: "structure",
          members: {
            deploymentTargetType: {},
            instanceTarget: {
              type: "structure",
              members: {
                deploymentId: {},
                targetId: {},
                targetArn: {},
                status: {},
                lastUpdatedAt: {
                  type: "timestamp"
                },
                lifecycleEvents: {
                  shape: "S38"
                },
                instanceLabel: {}
              }
            },
            lambdaTarget: {
              type: "structure",
              members: {
                deploymentId: {},
                targetId: {},
                targetArn: {},
                status: {},
                lastUpdatedAt: {
                  type: "timestamp"
                },
                lifecycleEvents: {
                  shape: "S38"
                },
                lambdaFunctionInfo: {
                  type: "structure",
                  members: {
                    functionName: {},
                    functionAlias: {},
                    currentVersion: {},
                    targetVersion: {},
                    targetVersionWeight: {
                      type: "double"
                    }
                  }
                }
              }
            },
            ecsTarget: {
              type: "structure",
              members: {
                deploymentId: {},
                targetId: {},
                targetArn: {},
                lastUpdatedAt: {
                  type: "timestamp"
                },
                lifecycleEvents: {
                  shape: "S38"
                },
                status: {},
                taskSetsInfo: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      identifer: {},
                      desiredCount: {
                        type: "long"
                      },
                      pendingCount: {
                        type: "long"
                      },
                      runningCount: {
                        type: "long"
                      },
                      status: {},
                      trafficWeight: {
                        type: "double"
                      },
                      targetGroup: {
                        shape: "S2j"
                      },
                      taskSetLabel: {}
                    }
                  }
                }
              }
            },
            cloudFormationTarget: {
              type: "structure",
              members: {
                deploymentId: {},
                targetId: {},
                lastUpdatedAt: {
                  type: "timestamp"
                },
                lifecycleEvents: {
                  shape: "S38"
                },
                status: {},
                resourceType: {},
                targetVersionWeight: {
                  type: "double"
                }
              }
            }
          }
        },
        S49: {
          type: "list",
          member: {}
        },
        S4c: {
          type: "structure",
          members: {
            applicationName: {},
            deploymentGroupName: {},
            deploymentConfigName: {},
            deploymentId: {},
            previousRevision: {
              shape: "Sb"
            },
            revision: {
              shape: "Sb"
            },
            status: {},
            errorInformation: {
              type: "structure",
              members: {
                code: {},
                message: {}
              }
            },
            createTime: {
              type: "timestamp"
            },
            startTime: {
              type: "timestamp"
            },
            completeTime: {
              type: "timestamp"
            },
            deploymentOverview: {
              type: "structure",
              members: {
                Pending: {
                  type: "long"
                },
                InProgress: {
                  type: "long"
                },
                Succeeded: {
                  type: "long"
                },
                Failed: {
                  type: "long"
                },
                Skipped: {
                  type: "long"
                },
                Ready: {
                  type: "long"
                }
              }
            },
            description: {},
            creator: {},
            ignoreApplicationStopFailures: {
              type: "boolean"
            },
            autoRollbackConfiguration: {
              shape: "S1z"
            },
            updateOutdatedInstancesOnly: {
              type: "boolean"
            },
            rollbackInfo: {
              type: "structure",
              members: {
                rollbackDeploymentId: {},
                rollbackTriggeringDeploymentId: {},
                rollbackMessage: {}
              }
            },
            deploymentStyle: {
              shape: "S22"
            },
            targetInstances: {
              shape: "S4j"
            },
            instanceTerminationWaitTimeStarted: {
              type: "boolean"
            },
            blueGreenDeploymentConfiguration: {
              shape: "S26"
            },
            loadBalancerInfo: {
              shape: "S2e"
            },
            additionalDeploymentStatusInfo: {
              type: "string",
              deprecated: true,
              deprecatedMessage: "AdditionalDeploymentStatusInfo is deprecated, use DeploymentStatusMessageList instead."
            },
            fileExistsBehavior: {},
            deploymentStatusMessages: {
              type: "list",
              member: {}
            },
            computePlatform: {},
            externalId: {},
            relatedDeployments: {
              type: "structure",
              members: {
                autoUpdateOutdatedInstancesRootDeploymentId: {},
                autoUpdateOutdatedInstancesDeploymentIds: {
                  shape: "S49"
                }
              }
            },
            overrideAlarmConfiguration: {
              shape: "S1v"
            }
          }
        },
        S4j: {
          type: "structure",
          members: {
            tagFilters: {
              shape: "S1e"
            },
            autoScalingGroups: {
              shape: "S4k"
            },
            ec2TagSet: {
              shape: "S2t"
            }
          }
        },
        S4k: {
          type: "list",
          member: {}
        },
        S4t: {
          type: "structure",
          members: {
            instanceName: {},
            iamSessionArn: {},
            iamUserArn: {},
            instanceArn: {},
            registerTime: {
              type: "timestamp"
            },
            deregisterTime: {
              type: "timestamp"
            },
            tags: {
              shape: "S2"
            }
          }
        },
        S54: {
          type: "structure",
          members: {
            type: {},
            value: {
              type: "integer"
            }
          }
        },
        S57: {
          type: "structure",
          members: {
            type: {},
            timeBasedCanary: {
              type: "structure",
              members: {
                canaryPercentage: {
                  type: "integer"
                },
                canaryInterval: {
                  type: "integer"
                }
              }
            },
            timeBasedLinear: {
              type: "structure",
              members: {
                linearPercentage: {
                  type: "integer"
                },
                linearInterval: {
                  type: "integer"
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/codedeploy-2014-10-06.paginators.json
var require_codedeploy_2014_10_06_paginators = __commonJS({
  "node_modules/aws-sdk/apis/codedeploy-2014-10-06.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListApplicationRevisions: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "revisions"
        },
        ListApplications: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "applications"
        },
        ListDeploymentConfigs: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "deploymentConfigsList"
        },
        ListDeploymentGroups: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "deploymentGroups"
        },
        ListDeploymentInstances: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "instancesList"
        },
        ListDeployments: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "deployments"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/codedeploy-2014-10-06.waiters2.json
var require_codedeploy_2014_10_06_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/codedeploy-2014-10-06.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        DeploymentSuccessful: {
          delay: 15,
          operation: "GetDeployment",
          maxAttempts: 120,
          acceptors: [
            {
              expected: "Succeeded",
              matcher: "path",
              state: "success",
              argument: "deploymentInfo.status"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "deploymentInfo.status"
            },
            {
              expected: "Stopped",
              matcher: "path",
              state: "failure",
              argument: "deploymentInfo.status"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/codedeploy.js
var require_codedeploy = __commonJS({
  "node_modules/aws-sdk/clients/codedeploy.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["codedeploy"] = {};
    AWS2.CodeDeploy = Service.defineService("codedeploy", ["2014-10-06"]);
    Object.defineProperty(apiLoader.services["codedeploy"], "2014-10-06", {
      get: function get() {
        var model = require_codedeploy_2014_10_06_min();
        model.paginators = require_codedeploy_2014_10_06_paginators().pagination;
        model.waiters = require_codedeploy_2014_10_06_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CodeDeploy;
  }
});

// node_modules/aws-sdk/apis/codepipeline-2015-07-09.min.json
var require_codepipeline_2015_07_09_min = __commonJS({
  "node_modules/aws-sdk/apis/codepipeline-2015-07-09.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-07-09",
        endpointPrefix: "codepipeline",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "CodePipeline",
        serviceFullName: "AWS CodePipeline",
        serviceId: "CodePipeline",
        signatureVersion: "v4",
        targetPrefix: "CodePipeline_20150709",
        uid: "codepipeline-2015-07-09"
      },
      operations: {
        AcknowledgeJob: {
          input: {
            type: "structure",
            required: [
              "jobId",
              "nonce"
            ],
            members: {
              jobId: {},
              nonce: {}
            }
          },
          output: {
            type: "structure",
            members: {
              status: {}
            }
          }
        },
        AcknowledgeThirdPartyJob: {
          input: {
            type: "structure",
            required: [
              "jobId",
              "nonce",
              "clientToken"
            ],
            members: {
              jobId: {},
              nonce: {},
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              status: {}
            }
          }
        },
        CreateCustomActionType: {
          input: {
            type: "structure",
            required: [
              "category",
              "provider",
              "version",
              "inputArtifactDetails",
              "outputArtifactDetails"
            ],
            members: {
              category: {},
              provider: {},
              version: {},
              settings: {
                shape: "Se"
              },
              configurationProperties: {
                shape: "Sh"
              },
              inputArtifactDetails: {
                shape: "Sn"
              },
              outputArtifactDetails: {
                shape: "Sn"
              },
              tags: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "actionType"
            ],
            members: {
              actionType: {
                shape: "Sv"
              },
              tags: {
                shape: "Sq"
              }
            }
          }
        },
        CreatePipeline: {
          input: {
            type: "structure",
            required: [
              "pipeline"
            ],
            members: {
              pipeline: {
                shape: "Sz"
              },
              tags: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              pipeline: {
                shape: "Sz"
              },
              tags: {
                shape: "Sq"
              }
            }
          }
        },
        DeleteCustomActionType: {
          input: {
            type: "structure",
            required: [
              "category",
              "provider",
              "version"
            ],
            members: {
              category: {},
              provider: {},
              version: {}
            }
          }
        },
        DeletePipeline: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          }
        },
        DeleteWebhook: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeregisterWebhookWithThirdParty: {
          input: {
            type: "structure",
            members: {
              webhookName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisableStageTransition: {
          input: {
            type: "structure",
            required: [
              "pipelineName",
              "stageName",
              "transitionType",
              "reason"
            ],
            members: {
              pipelineName: {},
              stageName: {},
              transitionType: {},
              reason: {}
            }
          }
        },
        EnableStageTransition: {
          input: {
            type: "structure",
            required: [
              "pipelineName",
              "stageName",
              "transitionType"
            ],
            members: {
              pipelineName: {},
              stageName: {},
              transitionType: {}
            }
          }
        },
        GetActionType: {
          input: {
            type: "structure",
            required: [
              "category",
              "owner",
              "provider",
              "version"
            ],
            members: {
              category: {},
              owner: {},
              provider: {},
              version: {}
            }
          },
          output: {
            type: "structure",
            members: {
              actionType: {
                shape: "S29"
              }
            }
          }
        },
        GetJobDetails: {
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              jobDetails: {
                type: "structure",
                members: {
                  id: {},
                  data: {
                    shape: "S31"
                  },
                  accountId: {}
                }
              }
            }
          }
        },
        GetPipeline: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              version: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              pipeline: {
                shape: "Sz"
              },
              metadata: {
                type: "structure",
                members: {
                  pipelineArn: {},
                  created: {
                    type: "timestamp"
                  },
                  updated: {
                    type: "timestamp"
                  },
                  pollingDisabledAt: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        GetPipelineExecution: {
          input: {
            type: "structure",
            required: [
              "pipelineName",
              "pipelineExecutionId"
            ],
            members: {
              pipelineName: {},
              pipelineExecutionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              pipelineExecution: {
                type: "structure",
                members: {
                  pipelineName: {},
                  pipelineVersion: {
                    type: "integer"
                  },
                  pipelineExecutionId: {},
                  status: {},
                  statusSummary: {},
                  artifactRevisions: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        name: {},
                        revisionId: {},
                        revisionChangeIdentifier: {},
                        revisionSummary: {},
                        created: {
                          type: "timestamp"
                        },
                        revisionUrl: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetPipelineState: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              pipelineName: {},
              pipelineVersion: {
                type: "integer"
              },
              stageStates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    stageName: {},
                    inboundExecution: {
                      shape: "S43"
                    },
                    inboundTransitionState: {
                      type: "structure",
                      members: {
                        enabled: {
                          type: "boolean"
                        },
                        lastChangedBy: {},
                        lastChangedAt: {
                          type: "timestamp"
                        },
                        disabledReason: {}
                      }
                    },
                    actionStates: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          actionName: {},
                          currentRevision: {
                            shape: "S4b"
                          },
                          latestExecution: {
                            type: "structure",
                            members: {
                              actionExecutionId: {},
                              status: {},
                              summary: {},
                              lastStatusChange: {
                                type: "timestamp"
                              },
                              token: {},
                              lastUpdatedBy: {},
                              externalExecutionId: {},
                              externalExecutionUrl: {},
                              percentComplete: {
                                type: "integer"
                              },
                              errorDetails: {
                                type: "structure",
                                members: {
                                  code: {},
                                  message: {}
                                }
                              }
                            }
                          },
                          entityUrl: {},
                          revisionUrl: {}
                        }
                      }
                    },
                    latestExecution: {
                      shape: "S43"
                    }
                  }
                }
              },
              created: {
                type: "timestamp"
              },
              updated: {
                type: "timestamp"
              }
            }
          }
        },
        GetThirdPartyJobDetails: {
          input: {
            type: "structure",
            required: [
              "jobId",
              "clientToken"
            ],
            members: {
              jobId: {},
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              jobDetails: {
                type: "structure",
                members: {
                  id: {},
                  data: {
                    type: "structure",
                    members: {
                      actionTypeId: {
                        shape: "Sw"
                      },
                      actionConfiguration: {
                        shape: "S32"
                      },
                      pipelineContext: {
                        shape: "S33"
                      },
                      inputArtifacts: {
                        shape: "S39"
                      },
                      outputArtifacts: {
                        shape: "S39"
                      },
                      artifactCredentials: {
                        shape: "S3h"
                      },
                      continuationToken: {},
                      encryptionKey: {
                        shape: "S15"
                      }
                    }
                  },
                  nonce: {}
                }
              }
            }
          }
        },
        ListActionExecutions: {
          input: {
            type: "structure",
            required: [
              "pipelineName"
            ],
            members: {
              pipelineName: {},
              filter: {
                type: "structure",
                members: {
                  pipelineExecutionId: {}
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              actionExecutionDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    pipelineExecutionId: {},
                    actionExecutionId: {},
                    pipelineVersion: {
                      type: "integer"
                    },
                    stageName: {},
                    actionName: {},
                    startTime: {
                      type: "timestamp"
                    },
                    lastUpdateTime: {
                      type: "timestamp"
                    },
                    status: {},
                    input: {
                      type: "structure",
                      members: {
                        actionTypeId: {
                          shape: "Sw"
                        },
                        configuration: {
                          shape: "S1l"
                        },
                        resolvedConfiguration: {
                          type: "map",
                          key: {},
                          value: {}
                        },
                        roleArn: {},
                        region: {},
                        inputArtifacts: {
                          shape: "S50"
                        },
                        namespace: {}
                      }
                    },
                    output: {
                      type: "structure",
                      members: {
                        outputArtifacts: {
                          shape: "S50"
                        },
                        executionResult: {
                          type: "structure",
                          members: {
                            externalExecutionId: {},
                            externalExecutionSummary: {},
                            externalExecutionUrl: {}
                          }
                        },
                        outputVariables: {
                          shape: "S59"
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListActionTypes: {
          input: {
            type: "structure",
            members: {
              actionOwnerFilter: {},
              nextToken: {},
              regionFilter: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "actionTypes"
            ],
            members: {
              actionTypes: {
                type: "list",
                member: {
                  shape: "Sv"
                }
              },
              nextToken: {}
            }
          }
        },
        ListPipelineExecutions: {
          input: {
            type: "structure",
            required: [
              "pipelineName"
            ],
            members: {
              pipelineName: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              pipelineExecutionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    pipelineExecutionId: {},
                    status: {},
                    startTime: {
                      type: "timestamp"
                    },
                    lastUpdateTime: {
                      type: "timestamp"
                    },
                    sourceRevisions: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "actionName"
                        ],
                        members: {
                          actionName: {},
                          revisionId: {},
                          revisionSummary: {},
                          revisionUrl: {}
                        }
                      }
                    },
                    trigger: {
                      type: "structure",
                      members: {
                        triggerType: {},
                        triggerDetail: {}
                      }
                    },
                    stopTrigger: {
                      type: "structure",
                      members: {
                        reason: {}
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListPipelines: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              pipelines: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    version: {
                      type: "integer"
                    },
                    created: {
                      type: "timestamp"
                    },
                    updated: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sq"
              },
              nextToken: {}
            }
          }
        },
        ListWebhooks: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              webhooks: {
                type: "list",
                member: {
                  shape: "S61"
                }
              },
              NextToken: {}
            }
          }
        },
        PollForJobs: {
          input: {
            type: "structure",
            required: [
              "actionTypeId"
            ],
            members: {
              actionTypeId: {
                shape: "Sw"
              },
              maxBatchSize: {
                type: "integer"
              },
              queryParam: {
                type: "map",
                key: {},
                value: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    data: {
                      shape: "S31"
                    },
                    nonce: {},
                    accountId: {}
                  }
                }
              }
            }
          }
        },
        PollForThirdPartyJobs: {
          input: {
            type: "structure",
            required: [
              "actionTypeId"
            ],
            members: {
              actionTypeId: {
                shape: "Sw"
              },
              maxBatchSize: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    clientId: {},
                    jobId: {}
                  }
                }
              }
            }
          }
        },
        PutActionRevision: {
          input: {
            type: "structure",
            required: [
              "pipelineName",
              "stageName",
              "actionName",
              "actionRevision"
            ],
            members: {
              pipelineName: {},
              stageName: {},
              actionName: {},
              actionRevision: {
                shape: "S4b"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              newRevision: {
                type: "boolean"
              },
              pipelineExecutionId: {}
            }
          }
        },
        PutApprovalResult: {
          input: {
            type: "structure",
            required: [
              "pipelineName",
              "stageName",
              "actionName",
              "result",
              "token"
            ],
            members: {
              pipelineName: {},
              stageName: {},
              actionName: {},
              result: {
                type: "structure",
                required: [
                  "summary",
                  "status"
                ],
                members: {
                  summary: {},
                  status: {}
                }
              },
              token: {}
            }
          },
          output: {
            type: "structure",
            members: {
              approvedAt: {
                type: "timestamp"
              }
            }
          }
        },
        PutJobFailureResult: {
          input: {
            type: "structure",
            required: [
              "jobId",
              "failureDetails"
            ],
            members: {
              jobId: {},
              failureDetails: {
                shape: "S71"
              }
            }
          }
        },
        PutJobSuccessResult: {
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {},
              currentRevision: {
                shape: "S74"
              },
              continuationToken: {},
              executionDetails: {
                shape: "S76"
              },
              outputVariables: {
                shape: "S59"
              }
            }
          }
        },
        PutThirdPartyJobFailureResult: {
          input: {
            type: "structure",
            required: [
              "jobId",
              "clientToken",
              "failureDetails"
            ],
            members: {
              jobId: {},
              clientToken: {},
              failureDetails: {
                shape: "S71"
              }
            }
          }
        },
        PutThirdPartyJobSuccessResult: {
          input: {
            type: "structure",
            required: [
              "jobId",
              "clientToken"
            ],
            members: {
              jobId: {},
              clientToken: {},
              currentRevision: {
                shape: "S74"
              },
              continuationToken: {},
              executionDetails: {
                shape: "S76"
              }
            }
          }
        },
        PutWebhook: {
          input: {
            type: "structure",
            required: [
              "webhook"
            ],
            members: {
              webhook: {
                shape: "S62"
              },
              tags: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              webhook: {
                shape: "S61"
              }
            }
          }
        },
        RegisterWebhookWithThirdParty: {
          input: {
            type: "structure",
            members: {
              webhookName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RetryStageExecution: {
          input: {
            type: "structure",
            required: [
              "pipelineName",
              "stageName",
              "pipelineExecutionId",
              "retryMode"
            ],
            members: {
              pipelineName: {},
              stageName: {},
              pipelineExecutionId: {},
              retryMode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              pipelineExecutionId: {}
            }
          }
        },
        StartPipelineExecution: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              clientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              pipelineExecutionId: {}
            }
          }
        },
        StopPipelineExecution: {
          input: {
            type: "structure",
            required: [
              "pipelineName",
              "pipelineExecutionId"
            ],
            members: {
              pipelineName: {},
              pipelineExecutionId: {},
              abandon: {
                type: "boolean"
              },
              reason: {}
            }
          },
          output: {
            type: "structure",
            members: {
              pipelineExecutionId: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateActionType: {
          input: {
            type: "structure",
            required: [
              "actionType"
            ],
            members: {
              actionType: {
                shape: "S29"
              }
            }
          }
        },
        UpdatePipeline: {
          input: {
            type: "structure",
            required: [
              "pipeline"
            ],
            members: {
              pipeline: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              pipeline: {
                shape: "Sz"
              }
            }
          }
        }
      },
      shapes: {
        Se: {
          type: "structure",
          members: {
            thirdPartyConfigurationUrl: {},
            entityUrlTemplate: {},
            executionUrlTemplate: {},
            revisionUrlTemplate: {}
          }
        },
        Sh: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "required",
              "key",
              "secret"
            ],
            members: {
              name: {},
              required: {
                type: "boolean"
              },
              key: {
                type: "boolean"
              },
              secret: {
                type: "boolean"
              },
              queryable: {
                type: "boolean"
              },
              description: {},
              type: {}
            }
          }
        },
        Sn: {
          type: "structure",
          required: [
            "minimumCount",
            "maximumCount"
          ],
          members: {
            minimumCount: {
              type: "integer"
            },
            maximumCount: {
              type: "integer"
            }
          }
        },
        Sq: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        Sv: {
          type: "structure",
          required: [
            "id",
            "inputArtifactDetails",
            "outputArtifactDetails"
          ],
          members: {
            id: {
              shape: "Sw"
            },
            settings: {
              shape: "Se"
            },
            actionConfigurationProperties: {
              shape: "Sh"
            },
            inputArtifactDetails: {
              shape: "Sn"
            },
            outputArtifactDetails: {
              shape: "Sn"
            }
          }
        },
        Sw: {
          type: "structure",
          required: [
            "category",
            "owner",
            "provider",
            "version"
          ],
          members: {
            category: {},
            owner: {},
            provider: {},
            version: {}
          }
        },
        Sz: {
          type: "structure",
          required: [
            "name",
            "roleArn",
            "stages"
          ],
          members: {
            name: {},
            roleArn: {},
            artifactStore: {
              shape: "S12"
            },
            artifactStores: {
              type: "map",
              key: {},
              value: {
                shape: "S12"
              }
            },
            stages: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "name",
                  "actions"
                ],
                members: {
                  name: {},
                  blockers: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "name",
                        "type"
                      ],
                      members: {
                        name: {},
                        type: {}
                      }
                    }
                  },
                  actions: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "name",
                        "actionTypeId"
                      ],
                      members: {
                        name: {},
                        actionTypeId: {
                          shape: "Sw"
                        },
                        runOrder: {
                          type: "integer"
                        },
                        configuration: {
                          shape: "S1l"
                        },
                        outputArtifacts: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "name"
                            ],
                            members: {
                              name: {}
                            }
                          }
                        },
                        inputArtifacts: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "name"
                            ],
                            members: {
                              name: {}
                            }
                          }
                        },
                        roleArn: {},
                        region: {},
                        namespace: {}
                      }
                    }
                  }
                }
              }
            },
            version: {
              type: "integer"
            }
          }
        },
        S12: {
          type: "structure",
          required: [
            "type",
            "location"
          ],
          members: {
            type: {},
            location: {},
            encryptionKey: {
              shape: "S15"
            }
          }
        },
        S15: {
          type: "structure",
          required: [
            "id",
            "type"
          ],
          members: {
            id: {},
            type: {}
          }
        },
        S1l: {
          type: "map",
          key: {},
          value: {}
        },
        S29: {
          type: "structure",
          required: [
            "executor",
            "id",
            "inputArtifactDetails",
            "outputArtifactDetails"
          ],
          members: {
            description: {},
            executor: {
              type: "structure",
              required: [
                "configuration",
                "type"
              ],
              members: {
                configuration: {
                  type: "structure",
                  members: {
                    lambdaExecutorConfiguration: {
                      type: "structure",
                      required: [
                        "lambdaFunctionArn"
                      ],
                      members: {
                        lambdaFunctionArn: {}
                      }
                    },
                    jobWorkerExecutorConfiguration: {
                      type: "structure",
                      members: {
                        pollingAccounts: {
                          type: "list",
                          member: {}
                        },
                        pollingServicePrincipals: {
                          type: "list",
                          member: {}
                        }
                      }
                    }
                  }
                },
                type: {},
                policyStatementsTemplate: {},
                jobTimeout: {
                  type: "integer"
                }
              }
            },
            id: {
              type: "structure",
              required: [
                "category",
                "owner",
                "provider",
                "version"
              ],
              members: {
                category: {},
                owner: {},
                provider: {},
                version: {}
              }
            },
            inputArtifactDetails: {
              shape: "S2o"
            },
            outputArtifactDetails: {
              shape: "S2o"
            },
            permissions: {
              type: "structure",
              required: [
                "allowedAccounts"
              ],
              members: {
                allowedAccounts: {
                  type: "list",
                  member: {}
                }
              }
            },
            properties: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "name",
                  "optional",
                  "key",
                  "noEcho"
                ],
                members: {
                  name: {},
                  optional: {
                    type: "boolean"
                  },
                  key: {
                    type: "boolean"
                  },
                  noEcho: {
                    type: "boolean"
                  },
                  queryable: {
                    type: "boolean"
                  },
                  description: {}
                }
              }
            },
            urls: {
              type: "structure",
              members: {
                configurationUrl: {},
                entityUrlTemplate: {},
                executionUrlTemplate: {},
                revisionUrlTemplate: {}
              }
            }
          }
        },
        S2o: {
          type: "structure",
          required: [
            "minimumCount",
            "maximumCount"
          ],
          members: {
            minimumCount: {
              type: "integer"
            },
            maximumCount: {
              type: "integer"
            }
          }
        },
        S31: {
          type: "structure",
          members: {
            actionTypeId: {
              shape: "Sw"
            },
            actionConfiguration: {
              shape: "S32"
            },
            pipelineContext: {
              shape: "S33"
            },
            inputArtifacts: {
              shape: "S39"
            },
            outputArtifacts: {
              shape: "S39"
            },
            artifactCredentials: {
              shape: "S3h"
            },
            continuationToken: {},
            encryptionKey: {
              shape: "S15"
            }
          }
        },
        S32: {
          type: "structure",
          members: {
            configuration: {
              shape: "S1l"
            }
          }
        },
        S33: {
          type: "structure",
          members: {
            pipelineName: {},
            stage: {
              type: "structure",
              members: {
                name: {}
              }
            },
            action: {
              type: "structure",
              members: {
                name: {},
                actionExecutionId: {}
              }
            },
            pipelineArn: {},
            pipelineExecutionId: {}
          }
        },
        S39: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              revision: {},
              location: {
                type: "structure",
                members: {
                  type: {},
                  s3Location: {
                    type: "structure",
                    required: [
                      "bucketName",
                      "objectKey"
                    ],
                    members: {
                      bucketName: {},
                      objectKey: {}
                    }
                  }
                }
              }
            }
          }
        },
        S3h: {
          type: "structure",
          required: [
            "accessKeyId",
            "secretAccessKey",
            "sessionToken"
          ],
          members: {
            accessKeyId: {
              type: "string",
              sensitive: true
            },
            secretAccessKey: {
              type: "string",
              sensitive: true
            },
            sessionToken: {
              type: "string",
              sensitive: true
            }
          },
          sensitive: true
        },
        S43: {
          type: "structure",
          required: [
            "pipelineExecutionId",
            "status"
          ],
          members: {
            pipelineExecutionId: {},
            status: {}
          }
        },
        S4b: {
          type: "structure",
          required: [
            "revisionId",
            "revisionChangeId",
            "created"
          ],
          members: {
            revisionId: {},
            revisionChangeId: {},
            created: {
              type: "timestamp"
            }
          }
        },
        S50: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              s3location: {
                type: "structure",
                members: {
                  bucket: {},
                  key: {}
                }
              }
            }
          }
        },
        S59: {
          type: "map",
          key: {},
          value: {}
        },
        S61: {
          type: "structure",
          required: [
            "definition",
            "url"
          ],
          members: {
            definition: {
              shape: "S62"
            },
            url: {},
            errorMessage: {},
            errorCode: {},
            lastTriggered: {
              type: "timestamp"
            },
            arn: {},
            tags: {
              shape: "Sq"
            }
          }
        },
        S62: {
          type: "structure",
          required: [
            "name",
            "targetPipeline",
            "targetAction",
            "filters",
            "authentication",
            "authenticationConfiguration"
          ],
          members: {
            name: {},
            targetPipeline: {},
            targetAction: {},
            filters: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "jsonPath"
                ],
                members: {
                  jsonPath: {},
                  matchEquals: {}
                }
              }
            },
            authentication: {},
            authenticationConfiguration: {
              type: "structure",
              members: {
                AllowedIPRange: {},
                SecretToken: {}
              }
            }
          }
        },
        S71: {
          type: "structure",
          required: [
            "type",
            "message"
          ],
          members: {
            type: {},
            message: {},
            externalExecutionId: {}
          }
        },
        S74: {
          type: "structure",
          required: [
            "revision",
            "changeIdentifier"
          ],
          members: {
            revision: {},
            changeIdentifier: {},
            created: {
              type: "timestamp"
            },
            revisionSummary: {}
          }
        },
        S76: {
          type: "structure",
          members: {
            summary: {},
            externalExecutionId: {},
            percentComplete: {
              type: "integer"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/codepipeline-2015-07-09.paginators.json
var require_codepipeline_2015_07_09_paginators = __commonJS({
  "node_modules/aws-sdk/apis/codepipeline-2015-07-09.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListActionExecutions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "actionExecutionDetails"
        },
        ListActionTypes: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "actionTypes"
        },
        ListPipelineExecutions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "pipelineExecutionSummaries"
        },
        ListPipelines: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "pipelines"
        },
        ListTagsForResource: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "tags"
        },
        ListWebhooks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "webhooks"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/codepipeline.js
var require_codepipeline = __commonJS({
  "node_modules/aws-sdk/clients/codepipeline.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["codepipeline"] = {};
    AWS2.CodePipeline = Service.defineService("codepipeline", ["2015-07-09"]);
    Object.defineProperty(apiLoader.services["codepipeline"], "2015-07-09", {
      get: function get() {
        var model = require_codepipeline_2015_07_09_min();
        model.paginators = require_codepipeline_2015_07_09_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CodePipeline;
  }
});

// node_modules/aws-sdk/apis/cognito-idp-2016-04-18.min.json
var require_cognito_idp_2016_04_18_min = __commonJS({
  "node_modules/aws-sdk/apis/cognito-idp-2016-04-18.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-04-18",
        endpointPrefix: "cognito-idp",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Cognito Identity Provider",
        serviceId: "Cognito Identity Provider",
        signatureVersion: "v4",
        targetPrefix: "AWSCognitoIdentityProviderService",
        uid: "cognito-idp-2016-04-18"
      },
      operations: {
        AddCustomAttributes: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "CustomAttributes"
            ],
            members: {
              UserPoolId: {},
              CustomAttributes: {
                type: "list",
                member: {
                  shape: "S4"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AdminAddUserToGroup: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username",
              "GroupName"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              },
              GroupName: {}
            }
          }
        },
        AdminConfirmSignUp: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              },
              ClientMetadata: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AdminCreateUser: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              },
              UserAttributes: {
                shape: "Sj"
              },
              ValidationData: {
                shape: "Sj"
              },
              TemporaryPassword: {
                shape: "Sn"
              },
              ForceAliasCreation: {
                type: "boolean"
              },
              MessageAction: {},
              DesiredDeliveryMediums: {
                type: "list",
                member: {}
              },
              ClientMetadata: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              User: {
                shape: "St"
              }
            }
          }
        },
        AdminDeleteUser: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              }
            }
          }
        },
        AdminDeleteUserAttributes: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username",
              "UserAttributeNames"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              },
              UserAttributeNames: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AdminDisableProviderForUser: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "User"
            ],
            members: {
              UserPoolId: {},
              User: {
                shape: "S13"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AdminDisableUser: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AdminEnableUser: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AdminForgetDevice: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username",
              "DeviceKey"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              },
              DeviceKey: {}
            }
          }
        },
        AdminGetDevice: {
          input: {
            type: "structure",
            required: [
              "DeviceKey",
              "UserPoolId",
              "Username"
            ],
            members: {
              DeviceKey: {},
              UserPoolId: {},
              Username: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Device"
            ],
            members: {
              Device: {
                shape: "S1e"
              }
            }
          }
        },
        AdminGetUser: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Username"
            ],
            members: {
              Username: {
                shape: "Sd"
              },
              UserAttributes: {
                shape: "Sj"
              },
              UserCreateDate: {
                type: "timestamp"
              },
              UserLastModifiedDate: {
                type: "timestamp"
              },
              Enabled: {
                type: "boolean"
              },
              UserStatus: {},
              MFAOptions: {
                shape: "Sw"
              },
              PreferredMfaSetting: {},
              UserMFASettingList: {
                shape: "S1h"
              }
            }
          }
        },
        AdminInitiateAuth: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "ClientId",
              "AuthFlow"
            ],
            members: {
              UserPoolId: {},
              ClientId: {
                shape: "S1j"
              },
              AuthFlow: {},
              AuthParameters: {
                shape: "S1l"
              },
              ClientMetadata: {
                shape: "Sg"
              },
              AnalyticsMetadata: {
                shape: "S1m"
              },
              ContextData: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChallengeName: {},
              Session: {},
              ChallengeParameters: {
                shape: "S1t"
              },
              AuthenticationResult: {
                shape: "S1u"
              }
            }
          }
        },
        AdminLinkProviderForUser: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "DestinationUser",
              "SourceUser"
            ],
            members: {
              UserPoolId: {},
              DestinationUser: {
                shape: "S13"
              },
              SourceUser: {
                shape: "S13"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AdminListDevices: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              },
              Limit: {
                type: "integer"
              },
              PaginationToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Devices: {
                shape: "S24"
              },
              PaginationToken: {}
            }
          }
        },
        AdminListGroupsForUser: {
          input: {
            type: "structure",
            required: [
              "Username",
              "UserPoolId"
            ],
            members: {
              Username: {
                shape: "Sd"
              },
              UserPoolId: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Groups: {
                shape: "S28"
              },
              NextToken: {}
            }
          }
        },
        AdminListUserAuthEvents: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AuthEvents: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EventId: {},
                    EventType: {},
                    CreationDate: {
                      type: "timestamp"
                    },
                    EventResponse: {},
                    EventRisk: {
                      type: "structure",
                      members: {
                        RiskDecision: {},
                        RiskLevel: {},
                        CompromisedCredentialsDetected: {
                          type: "boolean"
                        }
                      }
                    },
                    ChallengeResponses: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ChallengeName: {},
                          ChallengeResponse: {}
                        }
                      }
                    },
                    EventContextData: {
                      type: "structure",
                      members: {
                        IpAddress: {},
                        DeviceName: {},
                        Timezone: {},
                        City: {},
                        Country: {}
                      }
                    },
                    EventFeedback: {
                      type: "structure",
                      required: [
                        "FeedbackValue",
                        "Provider"
                      ],
                      members: {
                        FeedbackValue: {},
                        Provider: {},
                        FeedbackDate: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        AdminRemoveUserFromGroup: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username",
              "GroupName"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              },
              GroupName: {}
            }
          }
        },
        AdminResetUserPassword: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              },
              ClientMetadata: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AdminRespondToAuthChallenge: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "ClientId",
              "ChallengeName"
            ],
            members: {
              UserPoolId: {},
              ClientId: {
                shape: "S1j"
              },
              ChallengeName: {},
              ChallengeResponses: {
                shape: "S2y"
              },
              Session: {},
              AnalyticsMetadata: {
                shape: "S1m"
              },
              ContextData: {
                shape: "S1n"
              },
              ClientMetadata: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChallengeName: {},
              Session: {},
              ChallengeParameters: {
                shape: "S1t"
              },
              AuthenticationResult: {
                shape: "S1u"
              }
            }
          }
        },
        AdminSetUserMFAPreference: {
          input: {
            type: "structure",
            required: [
              "Username",
              "UserPoolId"
            ],
            members: {
              SMSMfaSettings: {
                shape: "S31"
              },
              SoftwareTokenMfaSettings: {
                shape: "S32"
              },
              Username: {
                shape: "Sd"
              },
              UserPoolId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AdminSetUserPassword: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username",
              "Password"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              },
              Password: {
                shape: "Sn"
              },
              Permanent: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AdminSetUserSettings: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username",
              "MFAOptions"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              },
              MFAOptions: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AdminUpdateAuthEventFeedback: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username",
              "EventId",
              "FeedbackValue"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              },
              EventId: {},
              FeedbackValue: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AdminUpdateDeviceStatus: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username",
              "DeviceKey"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              },
              DeviceKey: {},
              DeviceRememberedStatus: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AdminUpdateUserAttributes: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username",
              "UserAttributes"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              },
              UserAttributes: {
                shape: "Sj"
              },
              ClientMetadata: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AdminUserGlobalSignOut: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateSoftwareToken: {
          input: {
            type: "structure",
            members: {
              AccessToken: {
                shape: "S1v"
              },
              Session: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SecretCode: {
                type: "string",
                sensitive: true
              },
              Session: {}
            }
          }
        },
        ChangePassword: {
          input: {
            type: "structure",
            required: [
              "PreviousPassword",
              "ProposedPassword",
              "AccessToken"
            ],
            members: {
              PreviousPassword: {
                shape: "Sn"
              },
              ProposedPassword: {
                shape: "Sn"
              },
              AccessToken: {
                shape: "S1v"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          authtype: "none"
        },
        ConfirmDevice: {
          input: {
            type: "structure",
            required: [
              "AccessToken",
              "DeviceKey"
            ],
            members: {
              AccessToken: {
                shape: "S1v"
              },
              DeviceKey: {},
              DeviceSecretVerifierConfig: {
                type: "structure",
                members: {
                  PasswordVerifier: {},
                  Salt: {}
                }
              },
              DeviceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UserConfirmationNecessary: {
                type: "boolean"
              }
            }
          }
        },
        ConfirmForgotPassword: {
          input: {
            type: "structure",
            required: [
              "ClientId",
              "Username",
              "ConfirmationCode",
              "Password"
            ],
            members: {
              ClientId: {
                shape: "S1j"
              },
              SecretHash: {
                shape: "S3s"
              },
              Username: {
                shape: "Sd"
              },
              ConfirmationCode: {},
              Password: {
                shape: "Sn"
              },
              AnalyticsMetadata: {
                shape: "S1m"
              },
              UserContextData: {
                shape: "S3u"
              },
              ClientMetadata: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          authtype: "none"
        },
        ConfirmSignUp: {
          input: {
            type: "structure",
            required: [
              "ClientId",
              "Username",
              "ConfirmationCode"
            ],
            members: {
              ClientId: {
                shape: "S1j"
              },
              SecretHash: {
                shape: "S3s"
              },
              Username: {
                shape: "Sd"
              },
              ConfirmationCode: {},
              ForceAliasCreation: {
                type: "boolean"
              },
              AnalyticsMetadata: {
                shape: "S1m"
              },
              UserContextData: {
                shape: "S3u"
              },
              ClientMetadata: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          authtype: "none"
        },
        CreateGroup: {
          input: {
            type: "structure",
            required: [
              "GroupName",
              "UserPoolId"
            ],
            members: {
              GroupName: {},
              UserPoolId: {},
              Description: {},
              RoleArn: {},
              Precedence: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Group: {
                shape: "S29"
              }
            }
          }
        },
        CreateIdentityProvider: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "ProviderName",
              "ProviderType",
              "ProviderDetails"
            ],
            members: {
              UserPoolId: {},
              ProviderName: {},
              ProviderType: {},
              ProviderDetails: {
                shape: "S43"
              },
              AttributeMapping: {
                shape: "S44"
              },
              IdpIdentifiers: {
                shape: "S46"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "IdentityProvider"
            ],
            members: {
              IdentityProvider: {
                shape: "S49"
              }
            }
          }
        },
        CreateResourceServer: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Identifier",
              "Name"
            ],
            members: {
              UserPoolId: {},
              Identifier: {},
              Name: {},
              Scopes: {
                shape: "S4d"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ResourceServer"
            ],
            members: {
              ResourceServer: {
                shape: "S4i"
              }
            }
          }
        },
        CreateUserImportJob: {
          input: {
            type: "structure",
            required: [
              "JobName",
              "UserPoolId",
              "CloudWatchLogsRoleArn"
            ],
            members: {
              JobName: {},
              UserPoolId: {},
              CloudWatchLogsRoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UserImportJob: {
                shape: "S4m"
              }
            }
          }
        },
        CreateUserPool: {
          input: {
            type: "structure",
            required: [
              "PoolName"
            ],
            members: {
              PoolName: {},
              Policies: {
                shape: "S4u"
              },
              DeletionProtection: {},
              LambdaConfig: {
                shape: "S4z"
              },
              AutoVerifiedAttributes: {
                shape: "S54"
              },
              AliasAttributes: {
                shape: "S56"
              },
              UsernameAttributes: {
                shape: "S58"
              },
              SmsVerificationMessage: {},
              EmailVerificationMessage: {},
              EmailVerificationSubject: {},
              VerificationMessageTemplate: {
                shape: "S5d"
              },
              SmsAuthenticationMessage: {},
              MfaConfiguration: {},
              UserAttributeUpdateSettings: {
                shape: "S5i"
              },
              DeviceConfiguration: {
                shape: "S5k"
              },
              EmailConfiguration: {
                shape: "S5l"
              },
              SmsConfiguration: {
                shape: "S5p"
              },
              UserPoolTags: {
                shape: "S5r"
              },
              AdminCreateUserConfig: {
                shape: "S5u"
              },
              Schema: {
                shape: "S5x"
              },
              UserPoolAddOns: {
                shape: "S5y"
              },
              UsernameConfiguration: {
                shape: "S60"
              },
              AccountRecoverySetting: {
                shape: "S61"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserPool: {
                shape: "S67"
              }
            }
          }
        },
        CreateUserPoolClient: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "ClientName"
            ],
            members: {
              UserPoolId: {},
              ClientName: {},
              GenerateSecret: {
                type: "boolean"
              },
              RefreshTokenValidity: {
                type: "integer"
              },
              AccessTokenValidity: {
                type: "integer"
              },
              IdTokenValidity: {
                type: "integer"
              },
              TokenValidityUnits: {
                shape: "S6g"
              },
              ReadAttributes: {
                shape: "S6i"
              },
              WriteAttributes: {
                shape: "S6i"
              },
              ExplicitAuthFlows: {
                shape: "S6k"
              },
              SupportedIdentityProviders: {
                shape: "S6m"
              },
              CallbackURLs: {
                shape: "S6n"
              },
              LogoutURLs: {
                shape: "S6p"
              },
              DefaultRedirectURI: {},
              AllowedOAuthFlows: {
                shape: "S6q"
              },
              AllowedOAuthScopes: {
                shape: "S6s"
              },
              AllowedOAuthFlowsUserPoolClient: {
                type: "boolean"
              },
              AnalyticsConfiguration: {
                shape: "S6u"
              },
              PreventUserExistenceErrors: {},
              EnableTokenRevocation: {
                type: "boolean"
              },
              EnablePropagateAdditionalUserContextData: {
                type: "boolean"
              },
              AuthSessionValidity: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserPoolClient: {
                shape: "S6z"
              }
            }
          }
        },
        CreateUserPoolDomain: {
          input: {
            type: "structure",
            required: [
              "Domain",
              "UserPoolId"
            ],
            members: {
              Domain: {},
              UserPoolId: {},
              CustomDomainConfig: {
                shape: "S72"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontDomain: {}
            }
          }
        },
        DeleteGroup: {
          input: {
            type: "structure",
            required: [
              "GroupName",
              "UserPoolId"
            ],
            members: {
              GroupName: {},
              UserPoolId: {}
            }
          }
        },
        DeleteIdentityProvider: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "ProviderName"
            ],
            members: {
              UserPoolId: {},
              ProviderName: {}
            }
          }
        },
        DeleteResourceServer: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Identifier"
            ],
            members: {
              UserPoolId: {},
              Identifier: {}
            }
          }
        },
        DeleteUser: {
          input: {
            type: "structure",
            required: [
              "AccessToken"
            ],
            members: {
              AccessToken: {
                shape: "S1v"
              }
            }
          },
          authtype: "none"
        },
        DeleteUserAttributes: {
          input: {
            type: "structure",
            required: [
              "UserAttributeNames",
              "AccessToken"
            ],
            members: {
              UserAttributeNames: {
                shape: "S10"
              },
              AccessToken: {
                shape: "S1v"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          authtype: "none"
        },
        DeleteUserPool: {
          input: {
            type: "structure",
            required: [
              "UserPoolId"
            ],
            members: {
              UserPoolId: {}
            }
          }
        },
        DeleteUserPoolClient: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "ClientId"
            ],
            members: {
              UserPoolId: {},
              ClientId: {
                shape: "S1j"
              }
            }
          }
        },
        DeleteUserPoolDomain: {
          input: {
            type: "structure",
            required: [
              "Domain",
              "UserPoolId"
            ],
            members: {
              Domain: {},
              UserPoolId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeIdentityProvider: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "ProviderName"
            ],
            members: {
              UserPoolId: {},
              ProviderName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "IdentityProvider"
            ],
            members: {
              IdentityProvider: {
                shape: "S49"
              }
            }
          }
        },
        DescribeResourceServer: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Identifier"
            ],
            members: {
              UserPoolId: {},
              Identifier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ResourceServer"
            ],
            members: {
              ResourceServer: {
                shape: "S4i"
              }
            }
          }
        },
        DescribeRiskConfiguration: {
          input: {
            type: "structure",
            required: [
              "UserPoolId"
            ],
            members: {
              UserPoolId: {},
              ClientId: {
                shape: "S1j"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "RiskConfiguration"
            ],
            members: {
              RiskConfiguration: {
                shape: "S7k"
              }
            }
          }
        },
        DescribeUserImportJob: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "JobId"
            ],
            members: {
              UserPoolId: {},
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UserImportJob: {
                shape: "S4m"
              }
            }
          }
        },
        DescribeUserPool: {
          input: {
            type: "structure",
            required: [
              "UserPoolId"
            ],
            members: {
              UserPoolId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UserPool: {
                shape: "S67"
              }
            }
          }
        },
        DescribeUserPoolClient: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "ClientId"
            ],
            members: {
              UserPoolId: {},
              ClientId: {
                shape: "S1j"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserPoolClient: {
                shape: "S6z"
              }
            }
          }
        },
        DescribeUserPoolDomain: {
          input: {
            type: "structure",
            required: [
              "Domain"
            ],
            members: {
              Domain: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DomainDescription: {
                type: "structure",
                members: {
                  UserPoolId: {},
                  AWSAccountId: {},
                  Domain: {},
                  S3Bucket: {},
                  CloudFrontDistribution: {},
                  Version: {},
                  Status: {},
                  CustomDomainConfig: {
                    shape: "S72"
                  }
                }
              }
            }
          }
        },
        ForgetDevice: {
          input: {
            type: "structure",
            required: [
              "DeviceKey"
            ],
            members: {
              AccessToken: {
                shape: "S1v"
              },
              DeviceKey: {}
            }
          }
        },
        ForgotPassword: {
          input: {
            type: "structure",
            required: [
              "ClientId",
              "Username"
            ],
            members: {
              ClientId: {
                shape: "S1j"
              },
              SecretHash: {
                shape: "S3s"
              },
              UserContextData: {
                shape: "S3u"
              },
              Username: {
                shape: "Sd"
              },
              AnalyticsMetadata: {
                shape: "S1m"
              },
              ClientMetadata: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CodeDeliveryDetails: {
                shape: "S8i"
              }
            }
          },
          authtype: "none"
        },
        GetCSVHeader: {
          input: {
            type: "structure",
            required: [
              "UserPoolId"
            ],
            members: {
              UserPoolId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UserPoolId: {},
              CSVHeader: {
                type: "list",
                member: {}
              }
            }
          }
        },
        GetDevice: {
          input: {
            type: "structure",
            required: [
              "DeviceKey"
            ],
            members: {
              DeviceKey: {},
              AccessToken: {
                shape: "S1v"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Device"
            ],
            members: {
              Device: {
                shape: "S1e"
              }
            }
          }
        },
        GetGroup: {
          input: {
            type: "structure",
            required: [
              "GroupName",
              "UserPoolId"
            ],
            members: {
              GroupName: {},
              UserPoolId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Group: {
                shape: "S29"
              }
            }
          }
        },
        GetIdentityProviderByIdentifier: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "IdpIdentifier"
            ],
            members: {
              UserPoolId: {},
              IdpIdentifier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "IdentityProvider"
            ],
            members: {
              IdentityProvider: {
                shape: "S49"
              }
            }
          }
        },
        GetSigningCertificate: {
          input: {
            type: "structure",
            required: [
              "UserPoolId"
            ],
            members: {
              UserPoolId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Certificate: {}
            }
          }
        },
        GetUICustomization: {
          input: {
            type: "structure",
            required: [
              "UserPoolId"
            ],
            members: {
              UserPoolId: {},
              ClientId: {
                shape: "S1j"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UICustomization"
            ],
            members: {
              UICustomization: {
                shape: "S8w"
              }
            }
          }
        },
        GetUser: {
          input: {
            type: "structure",
            required: [
              "AccessToken"
            ],
            members: {
              AccessToken: {
                shape: "S1v"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Username",
              "UserAttributes"
            ],
            members: {
              Username: {
                shape: "Sd"
              },
              UserAttributes: {
                shape: "Sj"
              },
              MFAOptions: {
                shape: "Sw"
              },
              PreferredMfaSetting: {},
              UserMFASettingList: {
                shape: "S1h"
              }
            }
          },
          authtype: "none"
        },
        GetUserAttributeVerificationCode: {
          input: {
            type: "structure",
            required: [
              "AccessToken",
              "AttributeName"
            ],
            members: {
              AccessToken: {
                shape: "S1v"
              },
              AttributeName: {},
              ClientMetadata: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CodeDeliveryDetails: {
                shape: "S8i"
              }
            }
          },
          authtype: "none"
        },
        GetUserPoolMfaConfig: {
          input: {
            type: "structure",
            required: [
              "UserPoolId"
            ],
            members: {
              UserPoolId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SmsMfaConfiguration: {
                shape: "S96"
              },
              SoftwareTokenMfaConfiguration: {
                shape: "S97"
              },
              MfaConfiguration: {}
            }
          }
        },
        GlobalSignOut: {
          input: {
            type: "structure",
            required: [
              "AccessToken"
            ],
            members: {
              AccessToken: {
                shape: "S1v"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        InitiateAuth: {
          input: {
            type: "structure",
            required: [
              "AuthFlow",
              "ClientId"
            ],
            members: {
              AuthFlow: {},
              AuthParameters: {
                shape: "S1l"
              },
              ClientMetadata: {
                shape: "Sg"
              },
              ClientId: {
                shape: "S1j"
              },
              AnalyticsMetadata: {
                shape: "S1m"
              },
              UserContextData: {
                shape: "S3u"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChallengeName: {},
              Session: {},
              ChallengeParameters: {
                shape: "S1t"
              },
              AuthenticationResult: {
                shape: "S1u"
              }
            }
          },
          authtype: "none"
        },
        ListDevices: {
          input: {
            type: "structure",
            required: [
              "AccessToken"
            ],
            members: {
              AccessToken: {
                shape: "S1v"
              },
              Limit: {
                type: "integer"
              },
              PaginationToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Devices: {
                shape: "S24"
              },
              PaginationToken: {}
            }
          }
        },
        ListGroups: {
          input: {
            type: "structure",
            required: [
              "UserPoolId"
            ],
            members: {
              UserPoolId: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Groups: {
                shape: "S28"
              },
              NextToken: {}
            }
          }
        },
        ListIdentityProviders: {
          input: {
            type: "structure",
            required: [
              "UserPoolId"
            ],
            members: {
              UserPoolId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Providers"
            ],
            members: {
              Providers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ProviderName: {},
                    ProviderType: {},
                    LastModifiedDate: {
                      type: "timestamp"
                    },
                    CreationDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListResourceServers: {
          input: {
            type: "structure",
            required: [
              "UserPoolId"
            ],
            members: {
              UserPoolId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ResourceServers"
            ],
            members: {
              ResourceServers: {
                type: "list",
                member: {
                  shape: "S4i"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S5r"
              }
            }
          }
        },
        ListUserImportJobs: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "MaxResults"
            ],
            members: {
              UserPoolId: {},
              MaxResults: {
                type: "integer"
              },
              PaginationToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UserImportJobs: {
                type: "list",
                member: {
                  shape: "S4m"
                }
              },
              PaginationToken: {}
            }
          }
        },
        ListUserPoolClients: {
          input: {
            type: "structure",
            required: [
              "UserPoolId"
            ],
            members: {
              UserPoolId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UserPoolClients: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ClientId: {
                      shape: "S1j"
                    },
                    UserPoolId: {},
                    ClientName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListUserPools: {
          input: {
            type: "structure",
            required: [
              "MaxResults"
            ],
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserPools: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Name: {},
                    LambdaConfig: {
                      shape: "S4z"
                    },
                    Status: {},
                    LastModifiedDate: {
                      type: "timestamp"
                    },
                    CreationDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListUsers: {
          input: {
            type: "structure",
            required: [
              "UserPoolId"
            ],
            members: {
              UserPoolId: {},
              AttributesToGet: {
                type: "list",
                member: {}
              },
              Limit: {
                type: "integer"
              },
              PaginationToken: {},
              Filter: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Users: {
                shape: "Sa9"
              },
              PaginationToken: {}
            }
          }
        },
        ListUsersInGroup: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "GroupName"
            ],
            members: {
              UserPoolId: {},
              GroupName: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Users: {
                shape: "Sa9"
              },
              NextToken: {}
            }
          }
        },
        ResendConfirmationCode: {
          input: {
            type: "structure",
            required: [
              "ClientId",
              "Username"
            ],
            members: {
              ClientId: {
                shape: "S1j"
              },
              SecretHash: {
                shape: "S3s"
              },
              UserContextData: {
                shape: "S3u"
              },
              Username: {
                shape: "Sd"
              },
              AnalyticsMetadata: {
                shape: "S1m"
              },
              ClientMetadata: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CodeDeliveryDetails: {
                shape: "S8i"
              }
            }
          },
          authtype: "none"
        },
        RespondToAuthChallenge: {
          input: {
            type: "structure",
            required: [
              "ClientId",
              "ChallengeName"
            ],
            members: {
              ClientId: {
                shape: "S1j"
              },
              ChallengeName: {},
              Session: {},
              ChallengeResponses: {
                shape: "S2y"
              },
              AnalyticsMetadata: {
                shape: "S1m"
              },
              UserContextData: {
                shape: "S3u"
              },
              ClientMetadata: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChallengeName: {},
              Session: {},
              ChallengeParameters: {
                shape: "S1t"
              },
              AuthenticationResult: {
                shape: "S1u"
              }
            }
          },
          authtype: "none"
        },
        RevokeToken: {
          input: {
            type: "structure",
            required: [
              "Token",
              "ClientId"
            ],
            members: {
              Token: {
                shape: "S1v"
              },
              ClientId: {
                shape: "S1j"
              },
              ClientSecret: {
                shape: "S70"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SetRiskConfiguration: {
          input: {
            type: "structure",
            required: [
              "UserPoolId"
            ],
            members: {
              UserPoolId: {},
              ClientId: {
                shape: "S1j"
              },
              CompromisedCredentialsRiskConfiguration: {
                shape: "S7l"
              },
              AccountTakeoverRiskConfiguration: {
                shape: "S7q"
              },
              RiskExceptionConfiguration: {
                shape: "S7z"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "RiskConfiguration"
            ],
            members: {
              RiskConfiguration: {
                shape: "S7k"
              }
            }
          }
        },
        SetUICustomization: {
          input: {
            type: "structure",
            required: [
              "UserPoolId"
            ],
            members: {
              UserPoolId: {},
              ClientId: {
                shape: "S1j"
              },
              CSS: {},
              ImageFile: {
                type: "blob"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UICustomization"
            ],
            members: {
              UICustomization: {
                shape: "S8w"
              }
            }
          }
        },
        SetUserMFAPreference: {
          input: {
            type: "structure",
            required: [
              "AccessToken"
            ],
            members: {
              SMSMfaSettings: {
                shape: "S31"
              },
              SoftwareTokenMfaSettings: {
                shape: "S32"
              },
              AccessToken: {
                shape: "S1v"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SetUserPoolMfaConfig: {
          input: {
            type: "structure",
            required: [
              "UserPoolId"
            ],
            members: {
              UserPoolId: {},
              SmsMfaConfiguration: {
                shape: "S96"
              },
              SoftwareTokenMfaConfiguration: {
                shape: "S97"
              },
              MfaConfiguration: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SmsMfaConfiguration: {
                shape: "S96"
              },
              SoftwareTokenMfaConfiguration: {
                shape: "S97"
              },
              MfaConfiguration: {}
            }
          }
        },
        SetUserSettings: {
          input: {
            type: "structure",
            required: [
              "AccessToken",
              "MFAOptions"
            ],
            members: {
              AccessToken: {
                shape: "S1v"
              },
              MFAOptions: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          authtype: "none"
        },
        SignUp: {
          input: {
            type: "structure",
            required: [
              "ClientId",
              "Username",
              "Password"
            ],
            members: {
              ClientId: {
                shape: "S1j"
              },
              SecretHash: {
                shape: "S3s"
              },
              Username: {
                shape: "Sd"
              },
              Password: {
                shape: "Sn"
              },
              UserAttributes: {
                shape: "Sj"
              },
              ValidationData: {
                shape: "Sj"
              },
              AnalyticsMetadata: {
                shape: "S1m"
              },
              UserContextData: {
                shape: "S3u"
              },
              ClientMetadata: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UserConfirmed",
              "UserSub"
            ],
            members: {
              UserConfirmed: {
                type: "boolean"
              },
              CodeDeliveryDetails: {
                shape: "S8i"
              },
              UserSub: {}
            }
          },
          authtype: "none"
        },
        StartUserImportJob: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "JobId"
            ],
            members: {
              UserPoolId: {},
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UserImportJob: {
                shape: "S4m"
              }
            }
          }
        },
        StopUserImportJob: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "JobId"
            ],
            members: {
              UserPoolId: {},
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UserImportJob: {
                shape: "S4m"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S5r"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAuthEventFeedback: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Username",
              "EventId",
              "FeedbackToken",
              "FeedbackValue"
            ],
            members: {
              UserPoolId: {},
              Username: {
                shape: "Sd"
              },
              EventId: {},
              FeedbackToken: {
                shape: "S1v"
              },
              FeedbackValue: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDeviceStatus: {
          input: {
            type: "structure",
            required: [
              "AccessToken",
              "DeviceKey"
            ],
            members: {
              AccessToken: {
                shape: "S1v"
              },
              DeviceKey: {},
              DeviceRememberedStatus: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateGroup: {
          input: {
            type: "structure",
            required: [
              "GroupName",
              "UserPoolId"
            ],
            members: {
              GroupName: {},
              UserPoolId: {},
              Description: {},
              RoleArn: {},
              Precedence: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Group: {
                shape: "S29"
              }
            }
          }
        },
        UpdateIdentityProvider: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "ProviderName"
            ],
            members: {
              UserPoolId: {},
              ProviderName: {},
              ProviderDetails: {
                shape: "S43"
              },
              AttributeMapping: {
                shape: "S44"
              },
              IdpIdentifiers: {
                shape: "S46"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "IdentityProvider"
            ],
            members: {
              IdentityProvider: {
                shape: "S49"
              }
            }
          }
        },
        UpdateResourceServer: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "Identifier",
              "Name"
            ],
            members: {
              UserPoolId: {},
              Identifier: {},
              Name: {},
              Scopes: {
                shape: "S4d"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ResourceServer"
            ],
            members: {
              ResourceServer: {
                shape: "S4i"
              }
            }
          }
        },
        UpdateUserAttributes: {
          input: {
            type: "structure",
            required: [
              "UserAttributes",
              "AccessToken"
            ],
            members: {
              UserAttributes: {
                shape: "Sj"
              },
              AccessToken: {
                shape: "S1v"
              },
              ClientMetadata: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CodeDeliveryDetailsList: {
                type: "list",
                member: {
                  shape: "S8i"
                }
              }
            }
          },
          authtype: "none"
        },
        UpdateUserPool: {
          input: {
            type: "structure",
            required: [
              "UserPoolId"
            ],
            members: {
              UserPoolId: {},
              Policies: {
                shape: "S4u"
              },
              DeletionProtection: {},
              LambdaConfig: {
                shape: "S4z"
              },
              AutoVerifiedAttributes: {
                shape: "S54"
              },
              SmsVerificationMessage: {},
              EmailVerificationMessage: {},
              EmailVerificationSubject: {},
              VerificationMessageTemplate: {
                shape: "S5d"
              },
              SmsAuthenticationMessage: {},
              UserAttributeUpdateSettings: {
                shape: "S5i"
              },
              MfaConfiguration: {},
              DeviceConfiguration: {
                shape: "S5k"
              },
              EmailConfiguration: {
                shape: "S5l"
              },
              SmsConfiguration: {
                shape: "S5p"
              },
              UserPoolTags: {
                shape: "S5r"
              },
              AdminCreateUserConfig: {
                shape: "S5u"
              },
              UserPoolAddOns: {
                shape: "S5y"
              },
              AccountRecoverySetting: {
                shape: "S61"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateUserPoolClient: {
          input: {
            type: "structure",
            required: [
              "UserPoolId",
              "ClientId"
            ],
            members: {
              UserPoolId: {},
              ClientId: {
                shape: "S1j"
              },
              ClientName: {},
              RefreshTokenValidity: {
                type: "integer"
              },
              AccessTokenValidity: {
                type: "integer"
              },
              IdTokenValidity: {
                type: "integer"
              },
              TokenValidityUnits: {
                shape: "S6g"
              },
              ReadAttributes: {
                shape: "S6i"
              },
              WriteAttributes: {
                shape: "S6i"
              },
              ExplicitAuthFlows: {
                shape: "S6k"
              },
              SupportedIdentityProviders: {
                shape: "S6m"
              },
              CallbackURLs: {
                shape: "S6n"
              },
              LogoutURLs: {
                shape: "S6p"
              },
              DefaultRedirectURI: {},
              AllowedOAuthFlows: {
                shape: "S6q"
              },
              AllowedOAuthScopes: {
                shape: "S6s"
              },
              AllowedOAuthFlowsUserPoolClient: {
                type: "boolean"
              },
              AnalyticsConfiguration: {
                shape: "S6u"
              },
              PreventUserExistenceErrors: {},
              EnableTokenRevocation: {
                type: "boolean"
              },
              EnablePropagateAdditionalUserContextData: {
                type: "boolean"
              },
              AuthSessionValidity: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserPoolClient: {
                shape: "S6z"
              }
            }
          }
        },
        UpdateUserPoolDomain: {
          input: {
            type: "structure",
            required: [
              "Domain",
              "UserPoolId",
              "CustomDomainConfig"
            ],
            members: {
              Domain: {},
              UserPoolId: {},
              CustomDomainConfig: {
                shape: "S72"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFrontDomain: {}
            }
          }
        },
        VerifySoftwareToken: {
          input: {
            type: "structure",
            required: [
              "UserCode"
            ],
            members: {
              AccessToken: {
                shape: "S1v"
              },
              Session: {},
              UserCode: {},
              FriendlyDeviceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {},
              Session: {}
            }
          }
        },
        VerifyUserAttribute: {
          input: {
            type: "structure",
            required: [
              "AccessToken",
              "AttributeName",
              "Code"
            ],
            members: {
              AccessToken: {
                shape: "S1v"
              },
              AttributeName: {},
              Code: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          authtype: "none"
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            Name: {},
            AttributeDataType: {},
            DeveloperOnlyAttribute: {
              type: "boolean"
            },
            Mutable: {
              type: "boolean"
            },
            Required: {
              type: "boolean"
            },
            NumberAttributeConstraints: {
              type: "structure",
              members: {
                MinValue: {},
                MaxValue: {}
              }
            },
            StringAttributeConstraints: {
              type: "structure",
              members: {
                MinLength: {},
                MaxLength: {}
              }
            }
          }
        },
        Sd: {
          type: "string",
          sensitive: true
        },
        Sg: {
          type: "map",
          key: {},
          value: {}
        },
        Sj: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Value: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        Sn: {
          type: "string",
          sensitive: true
        },
        St: {
          type: "structure",
          members: {
            Username: {
              shape: "Sd"
            },
            Attributes: {
              shape: "Sj"
            },
            UserCreateDate: {
              type: "timestamp"
            },
            UserLastModifiedDate: {
              type: "timestamp"
            },
            Enabled: {
              type: "boolean"
            },
            UserStatus: {},
            MFAOptions: {
              shape: "Sw"
            }
          }
        },
        Sw: {
          type: "list",
          member: {
            type: "structure",
            members: {
              DeliveryMedium: {},
              AttributeName: {}
            }
          }
        },
        S10: {
          type: "list",
          member: {}
        },
        S13: {
          type: "structure",
          members: {
            ProviderName: {},
            ProviderAttributeName: {},
            ProviderAttributeValue: {}
          }
        },
        S1e: {
          type: "structure",
          members: {
            DeviceKey: {},
            DeviceAttributes: {
              shape: "Sj"
            },
            DeviceCreateDate: {
              type: "timestamp"
            },
            DeviceLastModifiedDate: {
              type: "timestamp"
            },
            DeviceLastAuthenticatedDate: {
              type: "timestamp"
            }
          }
        },
        S1h: {
          type: "list",
          member: {}
        },
        S1j: {
          type: "string",
          sensitive: true
        },
        S1l: {
          type: "map",
          key: {},
          value: {},
          sensitive: true
        },
        S1m: {
          type: "structure",
          members: {
            AnalyticsEndpointId: {}
          }
        },
        S1n: {
          type: "structure",
          required: [
            "IpAddress",
            "ServerName",
            "ServerPath",
            "HttpHeaders"
          ],
          members: {
            IpAddress: {},
            ServerName: {},
            ServerPath: {},
            HttpHeaders: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  headerName: {},
                  headerValue: {}
                }
              }
            },
            EncodedData: {}
          }
        },
        S1t: {
          type: "map",
          key: {},
          value: {}
        },
        S1u: {
          type: "structure",
          members: {
            AccessToken: {
              shape: "S1v"
            },
            ExpiresIn: {
              type: "integer"
            },
            TokenType: {},
            RefreshToken: {
              shape: "S1v"
            },
            IdToken: {
              shape: "S1v"
            },
            NewDeviceMetadata: {
              type: "structure",
              members: {
                DeviceKey: {},
                DeviceGroupKey: {}
              }
            }
          }
        },
        S1v: {
          type: "string",
          sensitive: true
        },
        S24: {
          type: "list",
          member: {
            shape: "S1e"
          }
        },
        S28: {
          type: "list",
          member: {
            shape: "S29"
          }
        },
        S29: {
          type: "structure",
          members: {
            GroupName: {},
            UserPoolId: {},
            Description: {},
            RoleArn: {},
            Precedence: {
              type: "integer"
            },
            LastModifiedDate: {
              type: "timestamp"
            },
            CreationDate: {
              type: "timestamp"
            }
          }
        },
        S2y: {
          type: "map",
          key: {},
          value: {}
        },
        S31: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            PreferredMfa: {
              type: "boolean"
            }
          }
        },
        S32: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            PreferredMfa: {
              type: "boolean"
            }
          }
        },
        S3s: {
          type: "string",
          sensitive: true
        },
        S3u: {
          type: "structure",
          members: {
            IpAddress: {},
            EncodedData: {}
          }
        },
        S43: {
          type: "map",
          key: {},
          value: {}
        },
        S44: {
          type: "map",
          key: {},
          value: {}
        },
        S46: {
          type: "list",
          member: {}
        },
        S49: {
          type: "structure",
          members: {
            UserPoolId: {},
            ProviderName: {},
            ProviderType: {},
            ProviderDetails: {
              shape: "S43"
            },
            AttributeMapping: {
              shape: "S44"
            },
            IdpIdentifiers: {
              shape: "S46"
            },
            LastModifiedDate: {
              type: "timestamp"
            },
            CreationDate: {
              type: "timestamp"
            }
          }
        },
        S4d: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ScopeName",
              "ScopeDescription"
            ],
            members: {
              ScopeName: {},
              ScopeDescription: {}
            }
          }
        },
        S4i: {
          type: "structure",
          members: {
            UserPoolId: {},
            Identifier: {},
            Name: {},
            Scopes: {
              shape: "S4d"
            }
          }
        },
        S4m: {
          type: "structure",
          members: {
            JobName: {},
            JobId: {},
            UserPoolId: {},
            PreSignedUrl: {},
            CreationDate: {
              type: "timestamp"
            },
            StartDate: {
              type: "timestamp"
            },
            CompletionDate: {
              type: "timestamp"
            },
            Status: {},
            CloudWatchLogsRoleArn: {},
            ImportedUsers: {
              type: "long"
            },
            SkippedUsers: {
              type: "long"
            },
            FailedUsers: {
              type: "long"
            },
            CompletionMessage: {}
          }
        },
        S4u: {
          type: "structure",
          members: {
            PasswordPolicy: {
              type: "structure",
              members: {
                MinimumLength: {
                  type: "integer"
                },
                RequireUppercase: {
                  type: "boolean"
                },
                RequireLowercase: {
                  type: "boolean"
                },
                RequireNumbers: {
                  type: "boolean"
                },
                RequireSymbols: {
                  type: "boolean"
                },
                TemporaryPasswordValidityDays: {
                  type: "integer"
                }
              }
            }
          }
        },
        S4z: {
          type: "structure",
          members: {
            PreSignUp: {},
            CustomMessage: {},
            PostConfirmation: {},
            PreAuthentication: {},
            PostAuthentication: {},
            DefineAuthChallenge: {},
            CreateAuthChallenge: {},
            VerifyAuthChallengeResponse: {},
            PreTokenGeneration: {},
            UserMigration: {},
            CustomSMSSender: {
              type: "structure",
              required: [
                "LambdaVersion",
                "LambdaArn"
              ],
              members: {
                LambdaVersion: {},
                LambdaArn: {}
              }
            },
            CustomEmailSender: {
              type: "structure",
              required: [
                "LambdaVersion",
                "LambdaArn"
              ],
              members: {
                LambdaVersion: {},
                LambdaArn: {}
              }
            },
            KMSKeyID: {}
          }
        },
        S54: {
          type: "list",
          member: {}
        },
        S56: {
          type: "list",
          member: {}
        },
        S58: {
          type: "list",
          member: {}
        },
        S5d: {
          type: "structure",
          members: {
            SmsMessage: {},
            EmailMessage: {},
            EmailSubject: {},
            EmailMessageByLink: {},
            EmailSubjectByLink: {},
            DefaultEmailOption: {}
          }
        },
        S5i: {
          type: "structure",
          members: {
            AttributesRequireVerificationBeforeUpdate: {
              type: "list",
              member: {}
            }
          }
        },
        S5k: {
          type: "structure",
          members: {
            ChallengeRequiredOnNewDevice: {
              type: "boolean"
            },
            DeviceOnlyRememberedOnUserPrompt: {
              type: "boolean"
            }
          }
        },
        S5l: {
          type: "structure",
          members: {
            SourceArn: {},
            ReplyToEmailAddress: {},
            EmailSendingAccount: {},
            From: {},
            ConfigurationSet: {}
          }
        },
        S5p: {
          type: "structure",
          required: [
            "SnsCallerArn"
          ],
          members: {
            SnsCallerArn: {},
            ExternalId: {},
            SnsRegion: {}
          }
        },
        S5r: {
          type: "map",
          key: {},
          value: {}
        },
        S5u: {
          type: "structure",
          members: {
            AllowAdminCreateUserOnly: {
              type: "boolean"
            },
            UnusedAccountValidityDays: {
              type: "integer"
            },
            InviteMessageTemplate: {
              type: "structure",
              members: {
                SMSMessage: {},
                EmailMessage: {},
                EmailSubject: {}
              }
            }
          }
        },
        S5x: {
          type: "list",
          member: {
            shape: "S4"
          }
        },
        S5y: {
          type: "structure",
          required: [
            "AdvancedSecurityMode"
          ],
          members: {
            AdvancedSecurityMode: {}
          }
        },
        S60: {
          type: "structure",
          required: [
            "CaseSensitive"
          ],
          members: {
            CaseSensitive: {
              type: "boolean"
            }
          }
        },
        S61: {
          type: "structure",
          members: {
            RecoveryMechanisms: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Priority",
                  "Name"
                ],
                members: {
                  Priority: {
                    type: "integer"
                  },
                  Name: {}
                }
              }
            }
          }
        },
        S67: {
          type: "structure",
          members: {
            Id: {},
            Name: {},
            Policies: {
              shape: "S4u"
            },
            DeletionProtection: {},
            LambdaConfig: {
              shape: "S4z"
            },
            Status: {},
            LastModifiedDate: {
              type: "timestamp"
            },
            CreationDate: {
              type: "timestamp"
            },
            SchemaAttributes: {
              shape: "S5x"
            },
            AutoVerifiedAttributes: {
              shape: "S54"
            },
            AliasAttributes: {
              shape: "S56"
            },
            UsernameAttributes: {
              shape: "S58"
            },
            SmsVerificationMessage: {},
            EmailVerificationMessage: {},
            EmailVerificationSubject: {},
            VerificationMessageTemplate: {
              shape: "S5d"
            },
            SmsAuthenticationMessage: {},
            UserAttributeUpdateSettings: {
              shape: "S5i"
            },
            MfaConfiguration: {},
            DeviceConfiguration: {
              shape: "S5k"
            },
            EstimatedNumberOfUsers: {
              type: "integer"
            },
            EmailConfiguration: {
              shape: "S5l"
            },
            SmsConfiguration: {
              shape: "S5p"
            },
            UserPoolTags: {
              shape: "S5r"
            },
            SmsConfigurationFailure: {},
            EmailConfigurationFailure: {},
            Domain: {},
            CustomDomain: {},
            AdminCreateUserConfig: {
              shape: "S5u"
            },
            UserPoolAddOns: {
              shape: "S5y"
            },
            UsernameConfiguration: {
              shape: "S60"
            },
            Arn: {},
            AccountRecoverySetting: {
              shape: "S61"
            }
          }
        },
        S6g: {
          type: "structure",
          members: {
            AccessToken: {},
            IdToken: {},
            RefreshToken: {}
          }
        },
        S6i: {
          type: "list",
          member: {}
        },
        S6k: {
          type: "list",
          member: {}
        },
        S6m: {
          type: "list",
          member: {}
        },
        S6n: {
          type: "list",
          member: {}
        },
        S6p: {
          type: "list",
          member: {}
        },
        S6q: {
          type: "list",
          member: {}
        },
        S6s: {
          type: "list",
          member: {}
        },
        S6u: {
          type: "structure",
          members: {
            ApplicationId: {},
            ApplicationArn: {},
            RoleArn: {},
            ExternalId: {},
            UserDataShared: {
              type: "boolean"
            }
          }
        },
        S6z: {
          type: "structure",
          members: {
            UserPoolId: {},
            ClientName: {},
            ClientId: {
              shape: "S1j"
            },
            ClientSecret: {
              shape: "S70"
            },
            LastModifiedDate: {
              type: "timestamp"
            },
            CreationDate: {
              type: "timestamp"
            },
            RefreshTokenValidity: {
              type: "integer"
            },
            AccessTokenValidity: {
              type: "integer"
            },
            IdTokenValidity: {
              type: "integer"
            },
            TokenValidityUnits: {
              shape: "S6g"
            },
            ReadAttributes: {
              shape: "S6i"
            },
            WriteAttributes: {
              shape: "S6i"
            },
            ExplicitAuthFlows: {
              shape: "S6k"
            },
            SupportedIdentityProviders: {
              shape: "S6m"
            },
            CallbackURLs: {
              shape: "S6n"
            },
            LogoutURLs: {
              shape: "S6p"
            },
            DefaultRedirectURI: {},
            AllowedOAuthFlows: {
              shape: "S6q"
            },
            AllowedOAuthScopes: {
              shape: "S6s"
            },
            AllowedOAuthFlowsUserPoolClient: {
              type: "boolean"
            },
            AnalyticsConfiguration: {
              shape: "S6u"
            },
            PreventUserExistenceErrors: {},
            EnableTokenRevocation: {
              type: "boolean"
            },
            EnablePropagateAdditionalUserContextData: {
              type: "boolean"
            },
            AuthSessionValidity: {
              type: "integer"
            }
          }
        },
        S70: {
          type: "string",
          sensitive: true
        },
        S72: {
          type: "structure",
          required: [
            "CertificateArn"
          ],
          members: {
            CertificateArn: {}
          }
        },
        S7k: {
          type: "structure",
          members: {
            UserPoolId: {},
            ClientId: {
              shape: "S1j"
            },
            CompromisedCredentialsRiskConfiguration: {
              shape: "S7l"
            },
            AccountTakeoverRiskConfiguration: {
              shape: "S7q"
            },
            RiskExceptionConfiguration: {
              shape: "S7z"
            },
            LastModifiedDate: {
              type: "timestamp"
            }
          }
        },
        S7l: {
          type: "structure",
          required: [
            "Actions"
          ],
          members: {
            EventFilter: {
              type: "list",
              member: {}
            },
            Actions: {
              type: "structure",
              required: [
                "EventAction"
              ],
              members: {
                EventAction: {}
              }
            }
          }
        },
        S7q: {
          type: "structure",
          required: [
            "Actions"
          ],
          members: {
            NotifyConfiguration: {
              type: "structure",
              required: [
                "SourceArn"
              ],
              members: {
                From: {},
                ReplyTo: {},
                SourceArn: {},
                BlockEmail: {
                  shape: "S7s"
                },
                NoActionEmail: {
                  shape: "S7s"
                },
                MfaEmail: {
                  shape: "S7s"
                }
              }
            },
            Actions: {
              type: "structure",
              members: {
                LowAction: {
                  shape: "S7w"
                },
                MediumAction: {
                  shape: "S7w"
                },
                HighAction: {
                  shape: "S7w"
                }
              }
            }
          }
        },
        S7s: {
          type: "structure",
          required: [
            "Subject"
          ],
          members: {
            Subject: {},
            HtmlBody: {},
            TextBody: {}
          }
        },
        S7w: {
          type: "structure",
          required: [
            "Notify",
            "EventAction"
          ],
          members: {
            Notify: {
              type: "boolean"
            },
            EventAction: {}
          }
        },
        S7z: {
          type: "structure",
          members: {
            BlockedIPRangeList: {
              type: "list",
              member: {}
            },
            SkippedIPRangeList: {
              type: "list",
              member: {}
            }
          }
        },
        S8i: {
          type: "structure",
          members: {
            Destination: {},
            DeliveryMedium: {},
            AttributeName: {}
          }
        },
        S8w: {
          type: "structure",
          members: {
            UserPoolId: {},
            ClientId: {
              shape: "S1j"
            },
            ImageUrl: {},
            CSS: {},
            CSSVersion: {},
            LastModifiedDate: {
              type: "timestamp"
            },
            CreationDate: {
              type: "timestamp"
            }
          }
        },
        S96: {
          type: "structure",
          members: {
            SmsAuthenticationMessage: {},
            SmsConfiguration: {
              shape: "S5p"
            }
          }
        },
        S97: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            }
          }
        },
        Sa9: {
          type: "list",
          member: {
            shape: "St"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cognito-idp-2016-04-18.paginators.json
var require_cognito_idp_2016_04_18_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cognito-idp-2016-04-18.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        AdminListGroupsForUser: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "Groups"
        },
        AdminListUserAuthEvents: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AuthEvents"
        },
        ListGroups: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "Groups"
        },
        ListIdentityProviders: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Providers"
        },
        ListResourceServers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ResourceServers"
        },
        ListUserPoolClients: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "UserPoolClients"
        },
        ListUserPools: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "UserPools"
        },
        ListUsers: {
          input_token: "PaginationToken",
          limit_key: "Limit",
          output_token: "PaginationToken",
          result_key: "Users"
        },
        ListUsersInGroup: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "Users"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/cognitoidentityserviceprovider.js
var require_cognitoidentityserviceprovider = __commonJS({
  "node_modules/aws-sdk/clients/cognitoidentityserviceprovider.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cognitoidentityserviceprovider"] = {};
    AWS2.CognitoIdentityServiceProvider = Service.defineService("cognitoidentityserviceprovider", ["2016-04-18"]);
    Object.defineProperty(apiLoader.services["cognitoidentityserviceprovider"], "2016-04-18", {
      get: function get() {
        var model = require_cognito_idp_2016_04_18_min();
        model.paginators = require_cognito_idp_2016_04_18_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CognitoIdentityServiceProvider;
  }
});

// node_modules/aws-sdk/apis/cognito-sync-2014-06-30.min.json
var require_cognito_sync_2014_06_30_min = __commonJS({
  "node_modules/aws-sdk/apis/cognito-sync-2014-06-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2014-06-30",
        endpointPrefix: "cognito-sync",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Cognito Sync",
        serviceId: "Cognito Sync",
        signatureVersion: "v4",
        uid: "cognito-sync-2014-06-30"
      },
      operations: {
        BulkPublish: {
          http: {
            requestUri: "/identitypools/{IdentityPoolId}/bulkpublish",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityPoolId"
            ],
            members: {
              IdentityPoolId: {
                location: "uri",
                locationName: "IdentityPoolId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityPoolId: {}
            }
          }
        },
        DeleteDataset: {
          http: {
            method: "DELETE",
            requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityPoolId",
              "IdentityId",
              "DatasetName"
            ],
            members: {
              IdentityPoolId: {
                location: "uri",
                locationName: "IdentityPoolId"
              },
              IdentityId: {
                location: "uri",
                locationName: "IdentityId"
              },
              DatasetName: {
                location: "uri",
                locationName: "DatasetName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Dataset: {
                shape: "S8"
              }
            }
          }
        },
        DescribeDataset: {
          http: {
            method: "GET",
            requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityPoolId",
              "IdentityId",
              "DatasetName"
            ],
            members: {
              IdentityPoolId: {
                location: "uri",
                locationName: "IdentityPoolId"
              },
              IdentityId: {
                location: "uri",
                locationName: "IdentityId"
              },
              DatasetName: {
                location: "uri",
                locationName: "DatasetName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Dataset: {
                shape: "S8"
              }
            }
          }
        },
        DescribeIdentityPoolUsage: {
          http: {
            method: "GET",
            requestUri: "/identitypools/{IdentityPoolId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityPoolId"
            ],
            members: {
              IdentityPoolId: {
                location: "uri",
                locationName: "IdentityPoolId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityPoolUsage: {
                shape: "Sg"
              }
            }
          }
        },
        DescribeIdentityUsage: {
          http: {
            method: "GET",
            requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityPoolId",
              "IdentityId"
            ],
            members: {
              IdentityPoolId: {
                location: "uri",
                locationName: "IdentityPoolId"
              },
              IdentityId: {
                location: "uri",
                locationName: "IdentityId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityUsage: {
                type: "structure",
                members: {
                  IdentityId: {},
                  IdentityPoolId: {},
                  LastModifiedDate: {
                    type: "timestamp"
                  },
                  DatasetCount: {
                    type: "integer"
                  },
                  DataStorage: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        GetBulkPublishDetails: {
          http: {
            requestUri: "/identitypools/{IdentityPoolId}/getBulkPublishDetails",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityPoolId"
            ],
            members: {
              IdentityPoolId: {
                location: "uri",
                locationName: "IdentityPoolId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityPoolId: {},
              BulkPublishStartTime: {
                type: "timestamp"
              },
              BulkPublishCompleteTime: {
                type: "timestamp"
              },
              BulkPublishStatus: {},
              FailureMessage: {}
            }
          }
        },
        GetCognitoEvents: {
          http: {
            method: "GET",
            requestUri: "/identitypools/{IdentityPoolId}/events",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityPoolId"
            ],
            members: {
              IdentityPoolId: {
                location: "uri",
                locationName: "IdentityPoolId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Events: {
                shape: "Sq"
              }
            }
          }
        },
        GetIdentityPoolConfiguration: {
          http: {
            method: "GET",
            requestUri: "/identitypools/{IdentityPoolId}/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityPoolId"
            ],
            members: {
              IdentityPoolId: {
                location: "uri",
                locationName: "IdentityPoolId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityPoolId: {},
              PushSync: {
                shape: "Sv"
              },
              CognitoStreams: {
                shape: "Sz"
              }
            }
          }
        },
        ListDatasets: {
          http: {
            method: "GET",
            requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityId",
              "IdentityPoolId"
            ],
            members: {
              IdentityPoolId: {
                location: "uri",
                locationName: "IdentityPoolId"
              },
              IdentityId: {
                location: "uri",
                locationName: "IdentityId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Datasets: {
                type: "list",
                member: {
                  shape: "S8"
                }
              },
              Count: {
                type: "integer"
              },
              NextToken: {}
            }
          }
        },
        ListIdentityPoolUsage: {
          http: {
            method: "GET",
            requestUri: "/identitypools",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityPoolUsages: {
                type: "list",
                member: {
                  shape: "Sg"
                }
              },
              MaxResults: {
                type: "integer"
              },
              Count: {
                type: "integer"
              },
              NextToken: {}
            }
          }
        },
        ListRecords: {
          http: {
            method: "GET",
            requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}/records",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityPoolId",
              "IdentityId",
              "DatasetName"
            ],
            members: {
              IdentityPoolId: {
                location: "uri",
                locationName: "IdentityPoolId"
              },
              IdentityId: {
                location: "uri",
                locationName: "IdentityId"
              },
              DatasetName: {
                location: "uri",
                locationName: "DatasetName"
              },
              LastSyncCount: {
                location: "querystring",
                locationName: "lastSyncCount",
                type: "long"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              SyncSessionToken: {
                location: "querystring",
                locationName: "syncSessionToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Records: {
                shape: "S1c"
              },
              NextToken: {},
              Count: {
                type: "integer"
              },
              DatasetSyncCount: {
                type: "long"
              },
              LastModifiedBy: {},
              MergedDatasetNames: {
                type: "list",
                member: {}
              },
              DatasetExists: {
                type: "boolean"
              },
              DatasetDeletedAfterRequestedSyncCount: {
                type: "boolean"
              },
              SyncSessionToken: {}
            }
          }
        },
        RegisterDevice: {
          http: {
            requestUri: "/identitypools/{IdentityPoolId}/identity/{IdentityId}/device",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityPoolId",
              "IdentityId",
              "Platform",
              "Token"
            ],
            members: {
              IdentityPoolId: {
                location: "uri",
                locationName: "IdentityPoolId"
              },
              IdentityId: {
                location: "uri",
                locationName: "IdentityId"
              },
              Platform: {},
              Token: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DeviceId: {}
            }
          }
        },
        SetCognitoEvents: {
          http: {
            requestUri: "/identitypools/{IdentityPoolId}/events",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityPoolId",
              "Events"
            ],
            members: {
              IdentityPoolId: {
                location: "uri",
                locationName: "IdentityPoolId"
              },
              Events: {
                shape: "Sq"
              }
            }
          }
        },
        SetIdentityPoolConfiguration: {
          http: {
            requestUri: "/identitypools/{IdentityPoolId}/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityPoolId"
            ],
            members: {
              IdentityPoolId: {
                location: "uri",
                locationName: "IdentityPoolId"
              },
              PushSync: {
                shape: "Sv"
              },
              CognitoStreams: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityPoolId: {},
              PushSync: {
                shape: "Sv"
              },
              CognitoStreams: {
                shape: "Sz"
              }
            }
          }
        },
        SubscribeToDataset: {
          http: {
            requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}/subscriptions/{DeviceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityPoolId",
              "IdentityId",
              "DatasetName",
              "DeviceId"
            ],
            members: {
              IdentityPoolId: {
                location: "uri",
                locationName: "IdentityPoolId"
              },
              IdentityId: {
                location: "uri",
                locationName: "IdentityId"
              },
              DatasetName: {
                location: "uri",
                locationName: "DatasetName"
              },
              DeviceId: {
                location: "uri",
                locationName: "DeviceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UnsubscribeFromDataset: {
          http: {
            method: "DELETE",
            requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}/subscriptions/{DeviceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityPoolId",
              "IdentityId",
              "DatasetName",
              "DeviceId"
            ],
            members: {
              IdentityPoolId: {
                location: "uri",
                locationName: "IdentityPoolId"
              },
              IdentityId: {
                location: "uri",
                locationName: "IdentityId"
              },
              DatasetName: {
                location: "uri",
                locationName: "DatasetName"
              },
              DeviceId: {
                location: "uri",
                locationName: "DeviceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateRecords: {
          http: {
            requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityPoolId",
              "IdentityId",
              "DatasetName",
              "SyncSessionToken"
            ],
            members: {
              IdentityPoolId: {
                location: "uri",
                locationName: "IdentityPoolId"
              },
              IdentityId: {
                location: "uri",
                locationName: "IdentityId"
              },
              DatasetName: {
                location: "uri",
                locationName: "DatasetName"
              },
              DeviceId: {},
              RecordPatches: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Op",
                    "Key",
                    "SyncCount"
                  ],
                  members: {
                    Op: {},
                    Key: {},
                    Value: {},
                    SyncCount: {
                      type: "long"
                    },
                    DeviceLastModifiedDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              SyncSessionToken: {},
              ClientContext: {
                location: "header",
                locationName: "x-amz-Client-Context"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Records: {
                shape: "S1c"
              }
            }
          }
        }
      },
      shapes: {
        S8: {
          type: "structure",
          members: {
            IdentityId: {},
            DatasetName: {},
            CreationDate: {
              type: "timestamp"
            },
            LastModifiedDate: {
              type: "timestamp"
            },
            LastModifiedBy: {},
            DataStorage: {
              type: "long"
            },
            NumRecords: {
              type: "long"
            }
          }
        },
        Sg: {
          type: "structure",
          members: {
            IdentityPoolId: {},
            SyncSessionsCount: {
              type: "long"
            },
            DataStorage: {
              type: "long"
            },
            LastModifiedDate: {
              type: "timestamp"
            }
          }
        },
        Sq: {
          type: "map",
          key: {},
          value: {}
        },
        Sv: {
          type: "structure",
          members: {
            ApplicationArns: {
              type: "list",
              member: {}
            },
            RoleArn: {}
          }
        },
        Sz: {
          type: "structure",
          members: {
            StreamName: {},
            RoleArn: {},
            StreamingStatus: {}
          }
        },
        S1c: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {},
              SyncCount: {
                type: "long"
              },
              LastModifiedDate: {
                type: "timestamp"
              },
              LastModifiedBy: {},
              DeviceLastModifiedDate: {
                type: "timestamp"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cognito-sync-2014-06-30.paginators.json
var require_cognito_sync_2014_06_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cognito-sync-2014-06-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/cognitosync.js
var require_cognitosync = __commonJS({
  "node_modules/aws-sdk/clients/cognitosync.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cognitosync"] = {};
    AWS2.CognitoSync = Service.defineService("cognitosync", ["2014-06-30"]);
    Object.defineProperty(apiLoader.services["cognitosync"], "2014-06-30", {
      get: function get() {
        var model = require_cognito_sync_2014_06_30_min();
        model.paginators = require_cognito_sync_2014_06_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CognitoSync;
  }
});

// node_modules/aws-sdk/apis/config-2014-11-12.min.json
var require_config_2014_11_12_min = __commonJS({
  "node_modules/aws-sdk/apis/config-2014-11-12.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2014-11-12",
        endpointPrefix: "config",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Config Service",
        serviceFullName: "AWS Config",
        serviceId: "Config Service",
        signatureVersion: "v4",
        targetPrefix: "StarlingDoveService",
        uid: "config-2014-11-12"
      },
      operations: {
        BatchGetAggregateResourceConfig: {
          input: {
            type: "structure",
            required: [
              "ConfigurationAggregatorName",
              "ResourceIdentifiers"
            ],
            members: {
              ConfigurationAggregatorName: {},
              ResourceIdentifiers: {
                type: "list",
                member: {
                  shape: "S4"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BaseConfigurationItems: {
                shape: "Sb"
              },
              UnprocessedResourceIdentifiers: {
                type: "list",
                member: {
                  shape: "S4"
                }
              }
            }
          }
        },
        BatchGetResourceConfig: {
          input: {
            type: "structure",
            required: [
              "resourceKeys"
            ],
            members: {
              resourceKeys: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              baseConfigurationItems: {
                shape: "Sb"
              },
              unprocessedResourceKeys: {
                shape: "Sq"
              }
            }
          }
        },
        DeleteAggregationAuthorization: {
          input: {
            type: "structure",
            required: [
              "AuthorizedAccountId",
              "AuthorizedAwsRegion"
            ],
            members: {
              AuthorizedAccountId: {},
              AuthorizedAwsRegion: {}
            }
          }
        },
        DeleteConfigRule: {
          input: {
            type: "structure",
            required: [
              "ConfigRuleName"
            ],
            members: {
              ConfigRuleName: {}
            }
          }
        },
        DeleteConfigurationAggregator: {
          input: {
            type: "structure",
            required: [
              "ConfigurationAggregatorName"
            ],
            members: {
              ConfigurationAggregatorName: {}
            }
          }
        },
        DeleteConfigurationRecorder: {
          input: {
            type: "structure",
            required: [
              "ConfigurationRecorderName"
            ],
            members: {
              ConfigurationRecorderName: {}
            }
          }
        },
        DeleteConformancePack: {
          input: {
            type: "structure",
            required: [
              "ConformancePackName"
            ],
            members: {
              ConformancePackName: {}
            }
          }
        },
        DeleteDeliveryChannel: {
          input: {
            type: "structure",
            required: [
              "DeliveryChannelName"
            ],
            members: {
              DeliveryChannelName: {}
            }
          }
        },
        DeleteEvaluationResults: {
          input: {
            type: "structure",
            required: [
              "ConfigRuleName"
            ],
            members: {
              ConfigRuleName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteOrganizationConfigRule: {
          input: {
            type: "structure",
            required: [
              "OrganizationConfigRuleName"
            ],
            members: {
              OrganizationConfigRuleName: {}
            }
          }
        },
        DeleteOrganizationConformancePack: {
          input: {
            type: "structure",
            required: [
              "OrganizationConformancePackName"
            ],
            members: {
              OrganizationConformancePackName: {}
            }
          }
        },
        DeletePendingAggregationRequest: {
          input: {
            type: "structure",
            required: [
              "RequesterAccountId",
              "RequesterAwsRegion"
            ],
            members: {
              RequesterAccountId: {},
              RequesterAwsRegion: {}
            }
          }
        },
        DeleteRemediationConfiguration: {
          input: {
            type: "structure",
            required: [
              "ConfigRuleName"
            ],
            members: {
              ConfigRuleName: {},
              ResourceType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteRemediationExceptions: {
          input: {
            type: "structure",
            required: [
              "ConfigRuleName",
              "ResourceKeys"
            ],
            members: {
              ConfigRuleName: {},
              ResourceKeys: {
                shape: "S1f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedBatches: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FailureMessage: {},
                    FailedItems: {
                      shape: "S1f"
                    }
                  }
                }
              }
            }
          }
        },
        DeleteResourceConfig: {
          input: {
            type: "structure",
            required: [
              "ResourceType",
              "ResourceId"
            ],
            members: {
              ResourceType: {},
              ResourceId: {}
            }
          }
        },
        DeleteRetentionConfiguration: {
          input: {
            type: "structure",
            required: [
              "RetentionConfigurationName"
            ],
            members: {
              RetentionConfigurationName: {}
            }
          }
        },
        DeleteStoredQuery: {
          input: {
            type: "structure",
            required: [
              "QueryName"
            ],
            members: {
              QueryName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeliverConfigSnapshot: {
          input: {
            type: "structure",
            required: [
              "deliveryChannelName"
            ],
            members: {
              deliveryChannelName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              configSnapshotId: {}
            }
          }
        },
        DescribeAggregateComplianceByConfigRules: {
          input: {
            type: "structure",
            required: [
              "ConfigurationAggregatorName"
            ],
            members: {
              ConfigurationAggregatorName: {},
              Filters: {
                type: "structure",
                members: {
                  ConfigRuleName: {},
                  ComplianceType: {},
                  AccountId: {},
                  AwsRegion: {}
                }
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AggregateComplianceByConfigRules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ConfigRuleName: {},
                    Compliance: {
                      shape: "S23"
                    },
                    AccountId: {},
                    AwsRegion: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeAggregateComplianceByConformancePacks: {
          input: {
            type: "structure",
            required: [
              "ConfigurationAggregatorName"
            ],
            members: {
              ConfigurationAggregatorName: {},
              Filters: {
                type: "structure",
                members: {
                  ConformancePackName: {},
                  ComplianceType: {},
                  AccountId: {},
                  AwsRegion: {}
                }
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AggregateComplianceByConformancePacks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ConformancePackName: {},
                    Compliance: {
                      type: "structure",
                      members: {
                        ComplianceType: {},
                        CompliantRuleCount: {
                          type: "integer"
                        },
                        NonCompliantRuleCount: {
                          type: "integer"
                        },
                        TotalRuleCount: {
                          type: "integer"
                        }
                      }
                    },
                    AccountId: {},
                    AwsRegion: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeAggregationAuthorizations: {
          input: {
            type: "structure",
            members: {
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AggregationAuthorizations: {
                type: "list",
                member: {
                  shape: "S2i"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeComplianceByConfigRule: {
          input: {
            type: "structure",
            members: {
              ConfigRuleNames: {
                shape: "S2l"
              },
              ComplianceTypes: {
                shape: "S2m"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ComplianceByConfigRules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ConfigRuleName: {},
                    Compliance: {
                      shape: "S23"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeComplianceByResource: {
          input: {
            type: "structure",
            members: {
              ResourceType: {},
              ResourceId: {},
              ComplianceTypes: {
                shape: "S2m"
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ComplianceByResources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceType: {},
                    ResourceId: {},
                    Compliance: {
                      shape: "S23"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeConfigRuleEvaluationStatus: {
          input: {
            type: "structure",
            members: {
              ConfigRuleNames: {
                shape: "S2l"
              },
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigRulesEvaluationStatus: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ConfigRuleName: {},
                    ConfigRuleArn: {},
                    ConfigRuleId: {},
                    LastSuccessfulInvocationTime: {
                      type: "timestamp"
                    },
                    LastFailedInvocationTime: {
                      type: "timestamp"
                    },
                    LastSuccessfulEvaluationTime: {
                      type: "timestamp"
                    },
                    LastFailedEvaluationTime: {
                      type: "timestamp"
                    },
                    FirstActivatedTime: {
                      type: "timestamp"
                    },
                    LastDeactivatedTime: {
                      type: "timestamp"
                    },
                    LastErrorCode: {},
                    LastErrorMessage: {},
                    FirstEvaluationStarted: {
                      type: "boolean"
                    },
                    LastDebugLogDeliveryStatus: {},
                    LastDebugLogDeliveryStatusReason: {},
                    LastDebugLogDeliveryTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeConfigRules: {
          input: {
            type: "structure",
            members: {
              ConfigRuleNames: {
                shape: "S2l"
              },
              NextToken: {},
              Filters: {
                type: "structure",
                members: {
                  EvaluationMode: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigRules: {
                type: "list",
                member: {
                  shape: "S35"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeConfigurationAggregatorSourcesStatus: {
          input: {
            type: "structure",
            required: [
              "ConfigurationAggregatorName"
            ],
            members: {
              ConfigurationAggregatorName: {},
              UpdateStatus: {
                type: "list",
                member: {}
              },
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AggregatedSourceStatusList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SourceId: {},
                    SourceType: {},
                    AwsRegion: {},
                    LastUpdateStatus: {},
                    LastUpdateTime: {
                      type: "timestamp"
                    },
                    LastErrorCode: {},
                    LastErrorMessage: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeConfigurationAggregators: {
          input: {
            type: "structure",
            members: {
              ConfigurationAggregatorNames: {
                type: "list",
                member: {}
              },
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationAggregators: {
                type: "list",
                member: {
                  shape: "S3y"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeConfigurationRecorderStatus: {
          input: {
            type: "structure",
            members: {
              ConfigurationRecorderNames: {
                shape: "S46"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationRecordersStatus: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    lastStartTime: {
                      type: "timestamp"
                    },
                    lastStopTime: {
                      type: "timestamp"
                    },
                    recording: {
                      type: "boolean"
                    },
                    lastStatus: {},
                    lastErrorCode: {},
                    lastErrorMessage: {},
                    lastStatusChangeTime: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeConfigurationRecorders: {
          input: {
            type: "structure",
            members: {
              ConfigurationRecorderNames: {
                shape: "S46"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationRecorders: {
                type: "list",
                member: {
                  shape: "S4e"
                }
              }
            }
          }
        },
        DescribeConformancePackCompliance: {
          input: {
            type: "structure",
            required: [
              "ConformancePackName"
            ],
            members: {
              ConformancePackName: {},
              Filters: {
                type: "structure",
                members: {
                  ConfigRuleNames: {
                    shape: "S4o"
                  },
                  ComplianceType: {}
                }
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ConformancePackName",
              "ConformancePackRuleComplianceList"
            ],
            members: {
              ConformancePackName: {},
              ConformancePackRuleComplianceList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ConfigRuleName: {},
                    ComplianceType: {},
                    Controls: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeConformancePackStatus: {
          input: {
            type: "structure",
            members: {
              ConformancePackNames: {
                shape: "S4v"
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConformancePackStatusDetails: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ConformancePackName",
                    "ConformancePackId",
                    "ConformancePackArn",
                    "ConformancePackState",
                    "StackArn",
                    "LastUpdateRequestedTime"
                  ],
                  members: {
                    ConformancePackName: {},
                    ConformancePackId: {},
                    ConformancePackArn: {},
                    ConformancePackState: {},
                    StackArn: {},
                    ConformancePackStatusReason: {},
                    LastUpdateRequestedTime: {
                      type: "timestamp"
                    },
                    LastUpdateCompletedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeConformancePacks: {
          input: {
            type: "structure",
            members: {
              ConformancePackNames: {
                shape: "S4v"
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConformancePackDetails: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ConformancePackName",
                    "ConformancePackArn",
                    "ConformancePackId"
                  ],
                  members: {
                    ConformancePackName: {},
                    ConformancePackArn: {},
                    ConformancePackId: {},
                    DeliveryS3Bucket: {},
                    DeliveryS3KeyPrefix: {},
                    ConformancePackInputParameters: {
                      shape: "S5b"
                    },
                    LastUpdateRequestedTime: {
                      type: "timestamp"
                    },
                    CreatedBy: {},
                    TemplateSSMDocumentDetails: {
                      shape: "S5f"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeDeliveryChannelStatus: {
          input: {
            type: "structure",
            members: {
              DeliveryChannelNames: {
                shape: "S5j"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeliveryChannelsStatus: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    configSnapshotDeliveryInfo: {
                      shape: "S5n"
                    },
                    configHistoryDeliveryInfo: {
                      shape: "S5n"
                    },
                    configStreamDeliveryInfo: {
                      type: "structure",
                      members: {
                        lastStatus: {},
                        lastErrorCode: {},
                        lastErrorMessage: {},
                        lastStatusChangeTime: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeDeliveryChannels: {
          input: {
            type: "structure",
            members: {
              DeliveryChannelNames: {
                shape: "S5j"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeliveryChannels: {
                type: "list",
                member: {
                  shape: "S5t"
                }
              }
            }
          }
        },
        DescribeOrganizationConfigRuleStatuses: {
          input: {
            type: "structure",
            members: {
              OrganizationConfigRuleNames: {
                shape: "S5w"
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationConfigRuleStatuses: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "OrganizationConfigRuleName",
                    "OrganizationRuleStatus"
                  ],
                  members: {
                    OrganizationConfigRuleName: {},
                    OrganizationRuleStatus: {},
                    ErrorCode: {},
                    ErrorMessage: {},
                    LastUpdateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeOrganizationConfigRules: {
          input: {
            type: "structure",
            members: {
              OrganizationConfigRuleNames: {
                shape: "S5w"
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationConfigRules: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "OrganizationConfigRuleName",
                    "OrganizationConfigRuleArn"
                  ],
                  members: {
                    OrganizationConfigRuleName: {},
                    OrganizationConfigRuleArn: {},
                    OrganizationManagedRuleMetadata: {
                      shape: "S66"
                    },
                    OrganizationCustomRuleMetadata: {
                      shape: "S6b"
                    },
                    ExcludedAccounts: {
                      shape: "S6e"
                    },
                    LastUpdateTime: {
                      type: "timestamp"
                    },
                    OrganizationCustomPolicyRuleMetadata: {
                      type: "structure",
                      members: {
                        Description: {},
                        OrganizationConfigRuleTriggerTypes: {
                          shape: "S6g"
                        },
                        InputParameters: {},
                        MaximumExecutionFrequency: {},
                        ResourceTypesScope: {
                          shape: "S69"
                        },
                        ResourceIdScope: {},
                        TagKeyScope: {},
                        TagValueScope: {},
                        PolicyRuntime: {},
                        DebugLogDeliveryAccounts: {
                          shape: "S6i"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeOrganizationConformancePackStatuses: {
          input: {
            type: "structure",
            members: {
              OrganizationConformancePackNames: {
                shape: "S6k"
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationConformancePackStatuses: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "OrganizationConformancePackName",
                    "Status"
                  ],
                  members: {
                    OrganizationConformancePackName: {},
                    Status: {},
                    ErrorCode: {},
                    ErrorMessage: {},
                    LastUpdateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeOrganizationConformancePacks: {
          input: {
            type: "structure",
            members: {
              OrganizationConformancePackNames: {
                shape: "S6k"
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationConformancePacks: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "OrganizationConformancePackName",
                    "OrganizationConformancePackArn",
                    "LastUpdateTime"
                  ],
                  members: {
                    OrganizationConformancePackName: {},
                    OrganizationConformancePackArn: {},
                    DeliveryS3Bucket: {},
                    DeliveryS3KeyPrefix: {},
                    ConformancePackInputParameters: {
                      shape: "S5b"
                    },
                    ExcludedAccounts: {
                      shape: "S6e"
                    },
                    LastUpdateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribePendingAggregationRequests: {
          input: {
            type: "structure",
            members: {
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PendingAggregationRequests: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RequesterAccountId: {},
                    RequesterAwsRegion: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeRemediationConfigurations: {
          input: {
            type: "structure",
            required: [
              "ConfigRuleNames"
            ],
            members: {
              ConfigRuleNames: {
                shape: "S2l"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RemediationConfigurations: {
                shape: "S70"
              }
            }
          }
        },
        DescribeRemediationExceptions: {
          input: {
            type: "structure",
            required: [
              "ConfigRuleName"
            ],
            members: {
              ConfigRuleName: {},
              ResourceKeys: {
                shape: "S1f"
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RemediationExceptions: {
                shape: "S7g"
              },
              NextToken: {}
            }
          }
        },
        DescribeRemediationExecutionStatus: {
          input: {
            type: "structure",
            required: [
              "ConfigRuleName"
            ],
            members: {
              ConfigRuleName: {},
              ResourceKeys: {
                shape: "Sq"
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RemediationExecutionStatuses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceKey: {
                      shape: "Sr"
                    },
                    State: {},
                    StepDetails: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {},
                          State: {},
                          ErrorMessage: {},
                          StartTime: {
                            type: "timestamp"
                          },
                          StopTime: {
                            type: "timestamp"
                          }
                        }
                      }
                    },
                    InvocationTime: {
                      type: "timestamp"
                    },
                    LastUpdatedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeRetentionConfigurations: {
          input: {
            type: "structure",
            members: {
              RetentionConfigurationNames: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RetentionConfigurations: {
                type: "list",
                member: {
                  shape: "S7u"
                }
              },
              NextToken: {}
            }
          }
        },
        GetAggregateComplianceDetailsByConfigRule: {
          input: {
            type: "structure",
            required: [
              "ConfigurationAggregatorName",
              "ConfigRuleName",
              "AccountId",
              "AwsRegion"
            ],
            members: {
              ConfigurationAggregatorName: {},
              ConfigRuleName: {},
              AccountId: {},
              AwsRegion: {},
              ComplianceType: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AggregateEvaluationResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EvaluationResultIdentifier: {
                      shape: "S80"
                    },
                    ComplianceType: {},
                    ResultRecordedTime: {
                      type: "timestamp"
                    },
                    ConfigRuleInvokedTime: {
                      type: "timestamp"
                    },
                    Annotation: {},
                    AccountId: {},
                    AwsRegion: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetAggregateConfigRuleComplianceSummary: {
          input: {
            type: "structure",
            required: [
              "ConfigurationAggregatorName"
            ],
            members: {
              ConfigurationAggregatorName: {},
              Filters: {
                type: "structure",
                members: {
                  AccountId: {},
                  AwsRegion: {}
                }
              },
              GroupByKey: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GroupByKey: {},
              AggregateComplianceCounts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    GroupName: {},
                    ComplianceSummary: {
                      shape: "S89"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetAggregateConformancePackComplianceSummary: {
          input: {
            type: "structure",
            required: [
              "ConfigurationAggregatorName"
            ],
            members: {
              ConfigurationAggregatorName: {},
              Filters: {
                type: "structure",
                members: {
                  AccountId: {},
                  AwsRegion: {}
                }
              },
              GroupByKey: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AggregateConformancePackComplianceSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ComplianceSummary: {
                      type: "structure",
                      members: {
                        CompliantConformancePackCount: {
                          type: "integer"
                        },
                        NonCompliantConformancePackCount: {
                          type: "integer"
                        }
                      }
                    },
                    GroupName: {}
                  }
                }
              },
              GroupByKey: {},
              NextToken: {}
            }
          }
        },
        GetAggregateDiscoveredResourceCounts: {
          input: {
            type: "structure",
            required: [
              "ConfigurationAggregatorName"
            ],
            members: {
              ConfigurationAggregatorName: {},
              Filters: {
                type: "structure",
                members: {
                  ResourceType: {},
                  AccountId: {},
                  Region: {}
                }
              },
              GroupByKey: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "TotalDiscoveredResources"
            ],
            members: {
              TotalDiscoveredResources: {
                type: "long"
              },
              GroupByKey: {},
              GroupedResourceCounts: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "GroupName",
                    "ResourceCount"
                  ],
                  members: {
                    GroupName: {},
                    ResourceCount: {
                      type: "long"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetAggregateResourceConfig: {
          input: {
            type: "structure",
            required: [
              "ConfigurationAggregatorName",
              "ResourceIdentifier"
            ],
            members: {
              ConfigurationAggregatorName: {},
              ResourceIdentifier: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationItem: {
                shape: "S8q"
              }
            }
          }
        },
        GetComplianceDetailsByConfigRule: {
          input: {
            type: "structure",
            required: [
              "ConfigRuleName"
            ],
            members: {
              ConfigRuleName: {},
              ComplianceTypes: {
                shape: "S2m"
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EvaluationResults: {
                shape: "S92"
              },
              NextToken: {}
            }
          }
        },
        GetComplianceDetailsByResource: {
          input: {
            type: "structure",
            members: {
              ResourceType: {},
              ResourceId: {},
              ComplianceTypes: {
                shape: "S2m"
              },
              NextToken: {},
              ResourceEvaluationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EvaluationResults: {
                shape: "S92"
              },
              NextToken: {}
            }
          }
        },
        GetComplianceSummaryByConfigRule: {
          output: {
            type: "structure",
            members: {
              ComplianceSummary: {
                shape: "S89"
              }
            }
          }
        },
        GetComplianceSummaryByResourceType: {
          input: {
            type: "structure",
            members: {
              ResourceTypes: {
                shape: "S98"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ComplianceSummariesByResourceType: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceType: {},
                    ComplianceSummary: {
                      shape: "S89"
                    }
                  }
                }
              }
            }
          }
        },
        GetConformancePackComplianceDetails: {
          input: {
            type: "structure",
            required: [
              "ConformancePackName"
            ],
            members: {
              ConformancePackName: {},
              Filters: {
                type: "structure",
                members: {
                  ConfigRuleNames: {
                    shape: "S4o"
                  },
                  ComplianceType: {},
                  ResourceType: {},
                  ResourceIds: {
                    type: "list",
                    member: {}
                  }
                }
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ConformancePackName"
            ],
            members: {
              ConformancePackName: {},
              ConformancePackRuleEvaluationResults: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ComplianceType",
                    "EvaluationResultIdentifier",
                    "ConfigRuleInvokedTime",
                    "ResultRecordedTime"
                  ],
                  members: {
                    ComplianceType: {},
                    EvaluationResultIdentifier: {
                      shape: "S80"
                    },
                    ConfigRuleInvokedTime: {
                      type: "timestamp"
                    },
                    ResultRecordedTime: {
                      type: "timestamp"
                    },
                    Annotation: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetConformancePackComplianceSummary: {
          input: {
            type: "structure",
            required: [
              "ConformancePackNames"
            ],
            members: {
              ConformancePackNames: {
                type: "list",
                member: {}
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConformancePackComplianceSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ConformancePackName",
                    "ConformancePackComplianceStatus"
                  ],
                  members: {
                    ConformancePackName: {},
                    ConformancePackComplianceStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetCustomRulePolicy: {
          input: {
            type: "structure",
            members: {
              ConfigRuleName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyText: {}
            }
          }
        },
        GetDiscoveredResourceCounts: {
          input: {
            type: "structure",
            members: {
              resourceTypes: {
                shape: "S98"
              },
              limit: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              totalDiscoveredResources: {
                type: "long"
              },
              resourceCounts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    resourceType: {},
                    count: {
                      type: "long"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetOrganizationConfigRuleDetailedStatus: {
          input: {
            type: "structure",
            required: [
              "OrganizationConfigRuleName"
            ],
            members: {
              OrganizationConfigRuleName: {},
              Filters: {
                type: "structure",
                members: {
                  AccountId: {},
                  MemberAccountRuleStatus: {}
                }
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationConfigRuleDetailedStatus: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AccountId",
                    "ConfigRuleName",
                    "MemberAccountRuleStatus"
                  ],
                  members: {
                    AccountId: {},
                    ConfigRuleName: {},
                    MemberAccountRuleStatus: {},
                    ErrorCode: {},
                    ErrorMessage: {},
                    LastUpdateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetOrganizationConformancePackDetailedStatus: {
          input: {
            type: "structure",
            required: [
              "OrganizationConformancePackName"
            ],
            members: {
              OrganizationConformancePackName: {},
              Filters: {
                type: "structure",
                members: {
                  AccountId: {},
                  Status: {}
                }
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationConformancePackDetailedStatuses: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AccountId",
                    "ConformancePackName",
                    "Status"
                  ],
                  members: {
                    AccountId: {},
                    ConformancePackName: {},
                    Status: {},
                    ErrorCode: {},
                    ErrorMessage: {},
                    LastUpdateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetOrganizationCustomRulePolicy: {
          input: {
            type: "structure",
            required: [
              "OrganizationConfigRuleName"
            ],
            members: {
              OrganizationConfigRuleName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyText: {}
            }
          }
        },
        GetResourceConfigHistory: {
          input: {
            type: "structure",
            required: [
              "resourceType",
              "resourceId"
            ],
            members: {
              resourceType: {},
              resourceId: {},
              laterTime: {
                type: "timestamp"
              },
              earlierTime: {
                type: "timestamp"
              },
              chronologicalOrder: {},
              limit: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              configurationItems: {
                type: "list",
                member: {
                  shape: "S8q"
                }
              },
              nextToken: {}
            }
          }
        },
        GetResourceEvaluationSummary: {
          input: {
            type: "structure",
            required: [
              "ResourceEvaluationId"
            ],
            members: {
              ResourceEvaluationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceEvaluationId: {},
              EvaluationMode: {},
              EvaluationStatus: {
                type: "structure",
                required: [
                  "Status"
                ],
                members: {
                  Status: {},
                  FailureReason: {}
                }
              },
              EvaluationStartTimestamp: {
                type: "timestamp"
              },
              Compliance: {},
              EvaluationContext: {
                shape: "Saj"
              },
              ResourceDetails: {
                shape: "Sal"
              }
            }
          }
        },
        GetStoredQuery: {
          input: {
            type: "structure",
            required: [
              "QueryName"
            ],
            members: {
              QueryName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StoredQuery: {
                shape: "Saq"
              }
            }
          }
        },
        ListAggregateDiscoveredResources: {
          input: {
            type: "structure",
            required: [
              "ConfigurationAggregatorName",
              "ResourceType"
            ],
            members: {
              ConfigurationAggregatorName: {},
              ResourceType: {},
              Filters: {
                type: "structure",
                members: {
                  AccountId: {},
                  ResourceId: {},
                  ResourceName: {},
                  Region: {}
                }
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceIdentifiers: {
                type: "list",
                member: {
                  shape: "S4"
                }
              },
              NextToken: {}
            }
          }
        },
        ListConformancePackComplianceScores: {
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "structure",
                required: [
                  "ConformancePackNames"
                ],
                members: {
                  ConformancePackNames: {
                    type: "list",
                    member: {}
                  }
                }
              },
              SortOrder: {},
              SortBy: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ConformancePackComplianceScores"
            ],
            members: {
              NextToken: {},
              ConformancePackComplianceScores: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Score: {},
                    ConformancePackName: {},
                    LastUpdatedTime: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListDiscoveredResources: {
          input: {
            type: "structure",
            required: [
              "resourceType"
            ],
            members: {
              resourceType: {},
              resourceIds: {
                type: "list",
                member: {}
              },
              resourceName: {},
              limit: {
                type: "integer"
              },
              includeDeletedResources: {
                type: "boolean"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resourceIdentifiers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    resourceType: {},
                    resourceId: {},
                    resourceName: {},
                    resourceDeletionTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListResourceEvaluations: {
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "structure",
                members: {
                  EvaluationMode: {},
                  TimeWindow: {
                    type: "structure",
                    members: {
                      StartTime: {
                        type: "timestamp"
                      },
                      EndTime: {
                        type: "timestamp"
                      }
                    }
                  },
                  EvaluationContextIdentifier: {}
                }
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceEvaluations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceEvaluationId: {},
                    EvaluationMode: {},
                    EvaluationStartTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListStoredQueries: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StoredQueryMetadata: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "QueryId",
                    "QueryArn",
                    "QueryName"
                  ],
                  members: {
                    QueryId: {},
                    QueryArn: {},
                    QueryName: {},
                    Description: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sbt"
              },
              NextToken: {}
            }
          }
        },
        PutAggregationAuthorization: {
          input: {
            type: "structure",
            required: [
              "AuthorizedAccountId",
              "AuthorizedAwsRegion"
            ],
            members: {
              AuthorizedAccountId: {},
              AuthorizedAwsRegion: {},
              Tags: {
                shape: "Sby"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AggregationAuthorization: {
                shape: "S2i"
              }
            }
          }
        },
        PutConfigRule: {
          input: {
            type: "structure",
            required: [
              "ConfigRule"
            ],
            members: {
              ConfigRule: {
                shape: "S35"
              },
              Tags: {
                shape: "Sby"
              }
            }
          }
        },
        PutConfigurationAggregator: {
          input: {
            type: "structure",
            required: [
              "ConfigurationAggregatorName"
            ],
            members: {
              ConfigurationAggregatorName: {},
              AccountAggregationSources: {
                shape: "S40"
              },
              OrganizationAggregationSource: {
                shape: "S44"
              },
              Tags: {
                shape: "Sby"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationAggregator: {
                shape: "S3y"
              }
            }
          }
        },
        PutConfigurationRecorder: {
          input: {
            type: "structure",
            required: [
              "ConfigurationRecorder"
            ],
            members: {
              ConfigurationRecorder: {
                shape: "S4e"
              }
            }
          }
        },
        PutConformancePack: {
          input: {
            type: "structure",
            required: [
              "ConformancePackName"
            ],
            members: {
              ConformancePackName: {},
              TemplateS3Uri: {},
              TemplateBody: {},
              DeliveryS3Bucket: {},
              DeliveryS3KeyPrefix: {},
              ConformancePackInputParameters: {
                shape: "S5b"
              },
              TemplateSSMDocumentDetails: {
                shape: "S5f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConformancePackArn: {}
            }
          }
        },
        PutDeliveryChannel: {
          input: {
            type: "structure",
            required: [
              "DeliveryChannel"
            ],
            members: {
              DeliveryChannel: {
                shape: "S5t"
              }
            }
          }
        },
        PutEvaluations: {
          input: {
            type: "structure",
            required: [
              "ResultToken"
            ],
            members: {
              Evaluations: {
                shape: "Sca"
              },
              ResultToken: {},
              TestMode: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedEvaluations: {
                shape: "Sca"
              }
            }
          }
        },
        PutExternalEvaluation: {
          input: {
            type: "structure",
            required: [
              "ConfigRuleName",
              "ExternalEvaluation"
            ],
            members: {
              ConfigRuleName: {},
              ExternalEvaluation: {
                type: "structure",
                required: [
                  "ComplianceResourceType",
                  "ComplianceResourceId",
                  "ComplianceType",
                  "OrderingTimestamp"
                ],
                members: {
                  ComplianceResourceType: {},
                  ComplianceResourceId: {},
                  ComplianceType: {},
                  Annotation: {},
                  OrderingTimestamp: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutOrganizationConfigRule: {
          input: {
            type: "structure",
            required: [
              "OrganizationConfigRuleName"
            ],
            members: {
              OrganizationConfigRuleName: {},
              OrganizationManagedRuleMetadata: {
                shape: "S66"
              },
              OrganizationCustomRuleMetadata: {
                shape: "S6b"
              },
              ExcludedAccounts: {
                shape: "S6e"
              },
              OrganizationCustomPolicyRuleMetadata: {
                type: "structure",
                required: [
                  "PolicyRuntime",
                  "PolicyText"
                ],
                members: {
                  Description: {},
                  OrganizationConfigRuleTriggerTypes: {
                    shape: "S6g"
                  },
                  InputParameters: {},
                  MaximumExecutionFrequency: {},
                  ResourceTypesScope: {
                    shape: "S69"
                  },
                  ResourceIdScope: {},
                  TagKeyScope: {},
                  TagValueScope: {},
                  PolicyRuntime: {},
                  PolicyText: {},
                  DebugLogDeliveryAccounts: {
                    shape: "S6i"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationConfigRuleArn: {}
            }
          }
        },
        PutOrganizationConformancePack: {
          input: {
            type: "structure",
            required: [
              "OrganizationConformancePackName"
            ],
            members: {
              OrganizationConformancePackName: {},
              TemplateS3Uri: {},
              TemplateBody: {},
              DeliveryS3Bucket: {},
              DeliveryS3KeyPrefix: {},
              ConformancePackInputParameters: {
                shape: "S5b"
              },
              ExcludedAccounts: {
                shape: "S6e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationConformancePackArn: {}
            }
          }
        },
        PutRemediationConfigurations: {
          input: {
            type: "structure",
            required: [
              "RemediationConfigurations"
            ],
            members: {
              RemediationConfigurations: {
                shape: "S70"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedBatches: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FailureMessage: {},
                    FailedItems: {
                      shape: "S70"
                    }
                  }
                }
              }
            }
          }
        },
        PutRemediationExceptions: {
          input: {
            type: "structure",
            required: [
              "ConfigRuleName",
              "ResourceKeys"
            ],
            members: {
              ConfigRuleName: {},
              ResourceKeys: {
                shape: "S1f"
              },
              Message: {},
              ExpirationTime: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedBatches: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FailureMessage: {},
                    FailedItems: {
                      shape: "S7g"
                    }
                  }
                }
              }
            }
          }
        },
        PutResourceConfig: {
          input: {
            type: "structure",
            required: [
              "ResourceType",
              "SchemaVersionId",
              "ResourceId",
              "Configuration"
            ],
            members: {
              ResourceType: {},
              SchemaVersionId: {},
              ResourceId: {},
              ResourceName: {},
              Configuration: {},
              Tags: {
                shape: "S8s"
              }
            }
          }
        },
        PutRetentionConfiguration: {
          input: {
            type: "structure",
            required: [
              "RetentionPeriodInDays"
            ],
            members: {
              RetentionPeriodInDays: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RetentionConfiguration: {
                shape: "S7u"
              }
            }
          }
        },
        PutStoredQuery: {
          input: {
            type: "structure",
            required: [
              "StoredQuery"
            ],
            members: {
              StoredQuery: {
                shape: "Saq"
              },
              Tags: {
                shape: "Sby"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              QueryArn: {}
            }
          }
        },
        SelectAggregateResourceConfig: {
          input: {
            type: "structure",
            required: [
              "Expression",
              "ConfigurationAggregatorName"
            ],
            members: {
              Expression: {},
              ConfigurationAggregatorName: {},
              Limit: {
                type: "integer"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Results: {
                shape: "Sd3"
              },
              QueryInfo: {
                shape: "Sd4"
              },
              NextToken: {}
            }
          }
        },
        SelectResourceConfig: {
          input: {
            type: "structure",
            required: [
              "Expression"
            ],
            members: {
              Expression: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Results: {
                shape: "Sd3"
              },
              QueryInfo: {
                shape: "Sd4"
              },
              NextToken: {}
            }
          }
        },
        StartConfigRulesEvaluation: {
          input: {
            type: "structure",
            members: {
              ConfigRuleNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartConfigurationRecorder: {
          input: {
            type: "structure",
            required: [
              "ConfigurationRecorderName"
            ],
            members: {
              ConfigurationRecorderName: {}
            }
          }
        },
        StartRemediationExecution: {
          input: {
            type: "structure",
            required: [
              "ConfigRuleName",
              "ResourceKeys"
            ],
            members: {
              ConfigRuleName: {},
              ResourceKeys: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailureMessage: {},
              FailedItems: {
                shape: "Sq"
              }
            }
          }
        },
        StartResourceEvaluation: {
          input: {
            type: "structure",
            required: [
              "ResourceDetails",
              "EvaluationMode"
            ],
            members: {
              ResourceDetails: {
                shape: "Sal"
              },
              EvaluationContext: {
                shape: "Saj"
              },
              EvaluationMode: {},
              EvaluationTimeout: {
                type: "integer"
              },
              ClientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceEvaluationId: {}
            }
          }
        },
        StopConfigurationRecorder: {
          input: {
            type: "structure",
            required: [
              "ConfigurationRecorderName"
            ],
            members: {
              ConfigurationRecorderName: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sbt"
              }
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          required: [
            "SourceAccountId",
            "SourceRegion",
            "ResourceId",
            "ResourceType"
          ],
          members: {
            SourceAccountId: {},
            SourceRegion: {},
            ResourceId: {},
            ResourceType: {},
            ResourceName: {}
          }
        },
        Sb: {
          type: "list",
          member: {
            type: "structure",
            members: {
              version: {},
              accountId: {},
              configurationItemCaptureTime: {
                type: "timestamp"
              },
              configurationItemStatus: {},
              configurationStateId: {},
              arn: {},
              resourceType: {},
              resourceId: {},
              resourceName: {},
              awsRegion: {},
              availabilityZone: {},
              resourceCreationTime: {
                type: "timestamp"
              },
              configuration: {},
              supplementaryConfiguration: {
                shape: "Sl"
              }
            }
          }
        },
        Sl: {
          type: "map",
          key: {},
          value: {}
        },
        Sq: {
          type: "list",
          member: {
            shape: "Sr"
          }
        },
        Sr: {
          type: "structure",
          required: [
            "resourceType",
            "resourceId"
          ],
          members: {
            resourceType: {},
            resourceId: {}
          }
        },
        S1f: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ResourceType: {},
              ResourceId: {}
            }
          }
        },
        S23: {
          type: "structure",
          members: {
            ComplianceType: {},
            ComplianceContributorCount: {
              shape: "S24"
            }
          }
        },
        S24: {
          type: "structure",
          members: {
            CappedCount: {
              type: "integer"
            },
            CapExceeded: {
              type: "boolean"
            }
          }
        },
        S2i: {
          type: "structure",
          members: {
            AggregationAuthorizationArn: {},
            AuthorizedAccountId: {},
            AuthorizedAwsRegion: {},
            CreationTime: {
              type: "timestamp"
            }
          }
        },
        S2l: {
          type: "list",
          member: {}
        },
        S2m: {
          type: "list",
          member: {}
        },
        S35: {
          type: "structure",
          required: [
            "Source"
          ],
          members: {
            ConfigRuleName: {},
            ConfigRuleArn: {},
            ConfigRuleId: {},
            Description: {},
            Scope: {
              type: "structure",
              members: {
                ComplianceResourceTypes: {
                  type: "list",
                  member: {}
                },
                TagKey: {},
                TagValue: {},
                ComplianceResourceId: {}
              }
            },
            Source: {
              type: "structure",
              required: [
                "Owner"
              ],
              members: {
                Owner: {},
                SourceIdentifier: {},
                SourceDetails: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      EventSource: {},
                      MessageType: {},
                      MaximumExecutionFrequency: {}
                    }
                  }
                },
                CustomPolicyDetails: {
                  type: "structure",
                  required: [
                    "PolicyRuntime",
                    "PolicyText"
                  ],
                  members: {
                    PolicyRuntime: {},
                    PolicyText: {},
                    EnableDebugLogDelivery: {
                      type: "boolean"
                    }
                  }
                }
              }
            },
            InputParameters: {},
            MaximumExecutionFrequency: {},
            ConfigRuleState: {},
            CreatedBy: {},
            EvaluationModes: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Mode: {}
                }
              }
            }
          }
        },
        S3y: {
          type: "structure",
          members: {
            ConfigurationAggregatorName: {},
            ConfigurationAggregatorArn: {},
            AccountAggregationSources: {
              shape: "S40"
            },
            OrganizationAggregationSource: {
              shape: "S44"
            },
            CreationTime: {
              type: "timestamp"
            },
            LastUpdatedTime: {
              type: "timestamp"
            },
            CreatedBy: {}
          }
        },
        S40: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AccountIds"
            ],
            members: {
              AccountIds: {
                type: "list",
                member: {}
              },
              AllAwsRegions: {
                type: "boolean"
              },
              AwsRegions: {
                shape: "S43"
              }
            }
          }
        },
        S43: {
          type: "list",
          member: {}
        },
        S44: {
          type: "structure",
          required: [
            "RoleArn"
          ],
          members: {
            RoleArn: {},
            AwsRegions: {
              shape: "S43"
            },
            AllAwsRegions: {
              type: "boolean"
            }
          }
        },
        S46: {
          type: "list",
          member: {}
        },
        S4e: {
          type: "structure",
          members: {
            name: {},
            roleARN: {},
            recordingGroup: {
              type: "structure",
              members: {
                allSupported: {
                  type: "boolean"
                },
                includeGlobalResourceTypes: {
                  type: "boolean"
                },
                resourceTypes: {
                  shape: "S4i"
                },
                exclusionByResourceTypes: {
                  type: "structure",
                  members: {
                    resourceTypes: {
                      shape: "S4i"
                    }
                  }
                },
                recordingStrategy: {
                  type: "structure",
                  members: {
                    useOnly: {}
                  }
                }
              }
            }
          }
        },
        S4i: {
          type: "list",
          member: {}
        },
        S4o: {
          type: "list",
          member: {}
        },
        S4v: {
          type: "list",
          member: {}
        },
        S5b: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ParameterName",
              "ParameterValue"
            ],
            members: {
              ParameterName: {},
              ParameterValue: {}
            }
          }
        },
        S5f: {
          type: "structure",
          required: [
            "DocumentName"
          ],
          members: {
            DocumentName: {},
            DocumentVersion: {}
          }
        },
        S5j: {
          type: "list",
          member: {}
        },
        S5n: {
          type: "structure",
          members: {
            lastStatus: {},
            lastErrorCode: {},
            lastErrorMessage: {},
            lastAttemptTime: {
              type: "timestamp"
            },
            lastSuccessfulTime: {
              type: "timestamp"
            },
            nextDeliveryTime: {
              type: "timestamp"
            }
          }
        },
        S5t: {
          type: "structure",
          members: {
            name: {},
            s3BucketName: {},
            s3KeyPrefix: {},
            s3KmsKeyArn: {},
            snsTopicARN: {},
            configSnapshotDeliveryProperties: {
              type: "structure",
              members: {
                deliveryFrequency: {}
              }
            }
          }
        },
        S5w: {
          type: "list",
          member: {}
        },
        S66: {
          type: "structure",
          required: [
            "RuleIdentifier"
          ],
          members: {
            Description: {},
            RuleIdentifier: {},
            InputParameters: {},
            MaximumExecutionFrequency: {},
            ResourceTypesScope: {
              shape: "S69"
            },
            ResourceIdScope: {},
            TagKeyScope: {},
            TagValueScope: {}
          }
        },
        S69: {
          type: "list",
          member: {}
        },
        S6b: {
          type: "structure",
          required: [
            "LambdaFunctionArn",
            "OrganizationConfigRuleTriggerTypes"
          ],
          members: {
            Description: {},
            LambdaFunctionArn: {},
            OrganizationConfigRuleTriggerTypes: {
              type: "list",
              member: {}
            },
            InputParameters: {},
            MaximumExecutionFrequency: {},
            ResourceTypesScope: {
              shape: "S69"
            },
            ResourceIdScope: {},
            TagKeyScope: {},
            TagValueScope: {}
          }
        },
        S6e: {
          type: "list",
          member: {}
        },
        S6g: {
          type: "list",
          member: {}
        },
        S6i: {
          type: "list",
          member: {}
        },
        S6k: {
          type: "list",
          member: {}
        },
        S70: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ConfigRuleName",
              "TargetType",
              "TargetId"
            ],
            members: {
              ConfigRuleName: {},
              TargetType: {},
              TargetId: {},
              TargetVersion: {},
              Parameters: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    ResourceValue: {
                      type: "structure",
                      required: [
                        "Value"
                      ],
                      members: {
                        Value: {}
                      }
                    },
                    StaticValue: {
                      type: "structure",
                      required: [
                        "Values"
                      ],
                      members: {
                        Values: {
                          type: "list",
                          member: {}
                        }
                      }
                    }
                  }
                }
              },
              ResourceType: {},
              Automatic: {
                type: "boolean"
              },
              ExecutionControls: {
                type: "structure",
                members: {
                  SsmControls: {
                    type: "structure",
                    members: {
                      ConcurrentExecutionRatePercentage: {
                        type: "integer"
                      },
                      ErrorPercentage: {
                        type: "integer"
                      }
                    }
                  }
                }
              },
              MaximumAutomaticAttempts: {
                type: "integer"
              },
              RetryAttemptSeconds: {
                type: "long"
              },
              Arn: {},
              CreatedByService: {}
            }
          }
        },
        S7g: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ConfigRuleName",
              "ResourceType",
              "ResourceId"
            ],
            members: {
              ConfigRuleName: {},
              ResourceType: {},
              ResourceId: {},
              Message: {},
              ExpirationTime: {
                type: "timestamp"
              }
            }
          }
        },
        S7u: {
          type: "structure",
          required: [
            "Name",
            "RetentionPeriodInDays"
          ],
          members: {
            Name: {},
            RetentionPeriodInDays: {
              type: "integer"
            }
          }
        },
        S80: {
          type: "structure",
          members: {
            EvaluationResultQualifier: {
              type: "structure",
              members: {
                ConfigRuleName: {},
                ResourceType: {},
                ResourceId: {},
                EvaluationMode: {}
              }
            },
            OrderingTimestamp: {
              type: "timestamp"
            },
            ResourceEvaluationId: {}
          }
        },
        S89: {
          type: "structure",
          members: {
            CompliantResourceCount: {
              shape: "S24"
            },
            NonCompliantResourceCount: {
              shape: "S24"
            },
            ComplianceSummaryTimestamp: {
              type: "timestamp"
            }
          }
        },
        S8q: {
          type: "structure",
          members: {
            version: {},
            accountId: {},
            configurationItemCaptureTime: {
              type: "timestamp"
            },
            configurationItemStatus: {},
            configurationStateId: {},
            configurationItemMD5Hash: {},
            arn: {},
            resourceType: {},
            resourceId: {},
            resourceName: {},
            awsRegion: {},
            availabilityZone: {},
            resourceCreationTime: {
              type: "timestamp"
            },
            tags: {
              shape: "S8s"
            },
            relatedEvents: {
              type: "list",
              member: {}
            },
            relationships: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  resourceType: {},
                  resourceId: {},
                  resourceName: {},
                  relationshipName: {}
                }
              }
            },
            configuration: {},
            supplementaryConfiguration: {
              shape: "Sl"
            }
          }
        },
        S8s: {
          type: "map",
          key: {},
          value: {}
        },
        S92: {
          type: "list",
          member: {
            type: "structure",
            members: {
              EvaluationResultIdentifier: {
                shape: "S80"
              },
              ComplianceType: {},
              ResultRecordedTime: {
                type: "timestamp"
              },
              ConfigRuleInvokedTime: {
                type: "timestamp"
              },
              Annotation: {},
              ResultToken: {}
            }
          }
        },
        S98: {
          type: "list",
          member: {}
        },
        Saj: {
          type: "structure",
          members: {
            EvaluationContextIdentifier: {}
          }
        },
        Sal: {
          type: "structure",
          required: [
            "ResourceId",
            "ResourceType",
            "ResourceConfiguration"
          ],
          members: {
            ResourceId: {},
            ResourceType: {},
            ResourceConfiguration: {},
            ResourceConfigurationSchemaType: {}
          }
        },
        Saq: {
          type: "structure",
          required: [
            "QueryName"
          ],
          members: {
            QueryId: {},
            QueryArn: {},
            QueryName: {},
            Description: {},
            Expression: {}
          }
        },
        Sbt: {
          type: "list",
          member: {
            shape: "Sbu"
          }
        },
        Sbu: {
          type: "structure",
          members: {
            Key: {},
            Value: {}
          }
        },
        Sby: {
          type: "list",
          member: {
            shape: "Sbu"
          }
        },
        Sca: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ComplianceResourceType",
              "ComplianceResourceId",
              "ComplianceType",
              "OrderingTimestamp"
            ],
            members: {
              ComplianceResourceType: {},
              ComplianceResourceId: {},
              ComplianceType: {},
              Annotation: {},
              OrderingTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        Sd3: {
          type: "list",
          member: {}
        },
        Sd4: {
          type: "structure",
          members: {
            SelectFields: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Name: {}
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/config-2014-11-12.paginators.json
var require_config_2014_11_12_paginators = __commonJS({
  "node_modules/aws-sdk/apis/config-2014-11-12.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeAggregateComplianceByConfigRules: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken"
        },
        DescribeAggregateComplianceByConformancePacks: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "AggregateComplianceByConformancePacks"
        },
        DescribeAggregationAuthorizations: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "AggregationAuthorizations"
        },
        DescribeComplianceByConfigRule: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "ComplianceByConfigRules"
        },
        DescribeComplianceByResource: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "ComplianceByResources"
        },
        DescribeConfigRuleEvaluationStatus: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "ConfigRulesEvaluationStatus"
        },
        DescribeConfigRules: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "ConfigRules"
        },
        DescribeConfigurationAggregatorSourcesStatus: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "AggregatedSourceStatusList"
        },
        DescribeConfigurationAggregators: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "ConfigurationAggregators"
        },
        DescribeConformancePackCompliance: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken"
        },
        DescribeConformancePackStatus: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "ConformancePackStatusDetails"
        },
        DescribeConformancePacks: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "ConformancePackDetails"
        },
        DescribeOrganizationConfigRuleStatuses: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "OrganizationConfigRuleStatuses"
        },
        DescribeOrganizationConfigRules: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "OrganizationConfigRules"
        },
        DescribeOrganizationConformancePackStatuses: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "OrganizationConformancePackStatuses"
        },
        DescribeOrganizationConformancePacks: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "OrganizationConformancePacks"
        },
        DescribePendingAggregationRequests: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "PendingAggregationRequests"
        },
        DescribeRemediationExceptions: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken"
        },
        DescribeRemediationExecutionStatus: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "RemediationExecutionStatuses"
        },
        DescribeRetentionConfigurations: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "RetentionConfigurations"
        },
        GetAggregateComplianceDetailsByConfigRule: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "AggregateEvaluationResults"
        },
        GetAggregateConfigRuleComplianceSummary: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken"
        },
        GetAggregateConformancePackComplianceSummary: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken"
        },
        GetAggregateDiscoveredResourceCounts: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken"
        },
        GetComplianceDetailsByConfigRule: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "EvaluationResults"
        },
        GetComplianceDetailsByResource: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "EvaluationResults"
        },
        GetConformancePackComplianceDetails: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken"
        },
        GetConformancePackComplianceSummary: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "ConformancePackComplianceSummaryList"
        },
        GetDiscoveredResourceCounts: {
          input_token: "nextToken",
          limit_key: "limit",
          output_token: "nextToken"
        },
        GetOrganizationConfigRuleDetailedStatus: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "OrganizationConfigRuleDetailedStatus"
        },
        GetOrganizationConformancePackDetailedStatus: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "OrganizationConformancePackDetailedStatuses"
        },
        GetResourceConfigHistory: {
          input_token: "nextToken",
          limit_key: "limit",
          output_token: "nextToken",
          result_key: "configurationItems"
        },
        ListAggregateDiscoveredResources: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "ResourceIdentifiers"
        },
        ListConformancePackComplianceScores: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken"
        },
        ListDiscoveredResources: {
          input_token: "nextToken",
          limit_key: "limit",
          output_token: "nextToken",
          result_key: "resourceIdentifiers"
        },
        ListResourceEvaluations: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "ResourceEvaluations"
        },
        ListStoredQueries: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "Tags"
        },
        SelectAggregateResourceConfig: {
          input_token: "NextToken",
          limit_key: "Limit",
          non_aggregate_keys: [
            "QueryInfo"
          ],
          output_token: "NextToken",
          result_key: "Results"
        },
        SelectResourceConfig: {
          input_token: "NextToken",
          limit_key: "Limit",
          non_aggregate_keys: [
            "QueryInfo"
          ],
          output_token: "NextToken",
          result_key: "Results"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/configservice.js
var require_configservice = __commonJS({
  "node_modules/aws-sdk/clients/configservice.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["configservice"] = {};
    AWS2.ConfigService = Service.defineService("configservice", ["2014-11-12"]);
    Object.defineProperty(apiLoader.services["configservice"], "2014-11-12", {
      get: function get() {
        var model = require_config_2014_11_12_min();
        model.paginators = require_config_2014_11_12_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ConfigService;
  }
});

// node_modules/aws-sdk/apis/cur-2017-01-06.min.json
var require_cur_2017_01_06_min = __commonJS({
  "node_modules/aws-sdk/apis/cur-2017-01-06.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-01-06",
        endpointPrefix: "cur",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Cost and Usage Report Service",
        serviceId: "Cost and Usage Report Service",
        signatureVersion: "v4",
        signingName: "cur",
        targetPrefix: "AWSOrigamiServiceGatewayService",
        uid: "cur-2017-01-06"
      },
      operations: {
        DeleteReportDefinition: {
          input: {
            type: "structure",
            members: {
              ReportName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResponseMessage: {}
            }
          }
        },
        DescribeReportDefinitions: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReportDefinitions: {
                type: "list",
                member: {
                  shape: "Sa"
                }
              },
              NextToken: {}
            }
          }
        },
        ModifyReportDefinition: {
          input: {
            type: "structure",
            required: [
              "ReportName",
              "ReportDefinition"
            ],
            members: {
              ReportName: {},
              ReportDefinition: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutReportDefinition: {
          input: {
            type: "structure",
            required: [
              "ReportDefinition"
            ],
            members: {
              ReportDefinition: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        Sa: {
          type: "structure",
          required: [
            "ReportName",
            "TimeUnit",
            "Format",
            "Compression",
            "AdditionalSchemaElements",
            "S3Bucket",
            "S3Prefix",
            "S3Region"
          ],
          members: {
            ReportName: {},
            TimeUnit: {},
            Format: {},
            Compression: {},
            AdditionalSchemaElements: {
              type: "list",
              member: {}
            },
            S3Bucket: {},
            S3Prefix: {},
            S3Region: {},
            AdditionalArtifacts: {
              type: "list",
              member: {}
            },
            RefreshClosedReports: {
              type: "boolean"
            },
            ReportVersioning: {},
            BillingViewArn: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cur-2017-01-06.paginators.json
var require_cur_2017_01_06_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cur-2017-01-06.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeReportDefinitions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/cur.js
var require_cur = __commonJS({
  "node_modules/aws-sdk/clients/cur.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cur"] = {};
    AWS2.CUR = Service.defineService("cur", ["2017-01-06"]);
    Object.defineProperty(apiLoader.services["cur"], "2017-01-06", {
      get: function get() {
        var model = require_cur_2017_01_06_min();
        model.paginators = require_cur_2017_01_06_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CUR;
  }
});

// node_modules/aws-sdk/apis/datapipeline-2012-10-29.min.json
var require_datapipeline_2012_10_29_min = __commonJS({
  "node_modules/aws-sdk/apis/datapipeline-2012-10-29.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2012-10-29",
        endpointPrefix: "datapipeline",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Data Pipeline",
        serviceId: "Data Pipeline",
        signatureVersion: "v4",
        targetPrefix: "DataPipeline",
        uid: "datapipeline-2012-10-29"
      },
      operations: {
        ActivatePipeline: {
          input: {
            type: "structure",
            required: [
              "pipelineId"
            ],
            members: {
              pipelineId: {},
              parameterValues: {
                shape: "S3"
              },
              startTimestamp: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AddTags: {
          input: {
            type: "structure",
            required: [
              "pipelineId",
              "tags"
            ],
            members: {
              pipelineId: {},
              tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreatePipeline: {
          input: {
            type: "structure",
            required: [
              "name",
              "uniqueId"
            ],
            members: {
              name: {},
              uniqueId: {},
              description: {},
              tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "pipelineId"
            ],
            members: {
              pipelineId: {}
            }
          }
        },
        DeactivatePipeline: {
          input: {
            type: "structure",
            required: [
              "pipelineId"
            ],
            members: {
              pipelineId: {},
              cancelActive: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeletePipeline: {
          input: {
            type: "structure",
            required: [
              "pipelineId"
            ],
            members: {
              pipelineId: {}
            }
          }
        },
        DescribeObjects: {
          input: {
            type: "structure",
            required: [
              "pipelineId",
              "objectIds"
            ],
            members: {
              pipelineId: {},
              objectIds: {
                shape: "Sn"
              },
              evaluateExpressions: {
                type: "boolean"
              },
              marker: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "pipelineObjects"
            ],
            members: {
              pipelineObjects: {
                shape: "Sq"
              },
              marker: {},
              hasMoreResults: {
                type: "boolean"
              }
            }
          }
        },
        DescribePipelines: {
          input: {
            type: "structure",
            required: [
              "pipelineIds"
            ],
            members: {
              pipelineIds: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "pipelineDescriptionList"
            ],
            members: {
              pipelineDescriptionList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "pipelineId",
                    "name",
                    "fields"
                  ],
                  members: {
                    pipelineId: {},
                    name: {},
                    fields: {
                      shape: "Ss"
                    },
                    description: {},
                    tags: {
                      shape: "Sa"
                    }
                  }
                }
              }
            }
          }
        },
        EvaluateExpression: {
          input: {
            type: "structure",
            required: [
              "pipelineId",
              "objectId",
              "expression"
            ],
            members: {
              pipelineId: {},
              objectId: {},
              expression: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "evaluatedExpression"
            ],
            members: {
              evaluatedExpression: {}
            }
          }
        },
        GetPipelineDefinition: {
          input: {
            type: "structure",
            required: [
              "pipelineId"
            ],
            members: {
              pipelineId: {},
              version: {}
            }
          },
          output: {
            type: "structure",
            members: {
              pipelineObjects: {
                shape: "Sq"
              },
              parameterObjects: {
                shape: "S13"
              },
              parameterValues: {
                shape: "S3"
              }
            }
          }
        },
        ListPipelines: {
          input: {
            type: "structure",
            members: {
              marker: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "pipelineIdList"
            ],
            members: {
              pipelineIdList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    name: {}
                  }
                }
              },
              marker: {},
              hasMoreResults: {
                type: "boolean"
              }
            }
          }
        },
        PollForTask: {
          input: {
            type: "structure",
            required: [
              "workerGroup"
            ],
            members: {
              workerGroup: {},
              hostname: {},
              instanceIdentity: {
                type: "structure",
                members: {
                  document: {},
                  signature: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskObject: {
                type: "structure",
                members: {
                  taskId: {},
                  pipelineId: {},
                  attemptId: {},
                  objects: {
                    type: "map",
                    key: {},
                    value: {
                      shape: "Sr"
                    }
                  }
                }
              }
            }
          }
        },
        PutPipelineDefinition: {
          input: {
            type: "structure",
            required: [
              "pipelineId",
              "pipelineObjects"
            ],
            members: {
              pipelineId: {},
              pipelineObjects: {
                shape: "Sq"
              },
              parameterObjects: {
                shape: "S13"
              },
              parameterValues: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "errored"
            ],
            members: {
              validationErrors: {
                shape: "S1l"
              },
              validationWarnings: {
                shape: "S1p"
              },
              errored: {
                type: "boolean"
              }
            }
          }
        },
        QueryObjects: {
          input: {
            type: "structure",
            required: [
              "pipelineId",
              "sphere"
            ],
            members: {
              pipelineId: {},
              query: {
                type: "structure",
                members: {
                  selectors: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        fieldName: {},
                        operator: {
                          type: "structure",
                          members: {
                            type: {},
                            values: {
                              shape: "S1x"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              sphere: {},
              marker: {},
              limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ids: {
                shape: "Sn"
              },
              marker: {},
              hasMoreResults: {
                type: "boolean"
              }
            }
          }
        },
        RemoveTags: {
          input: {
            type: "structure",
            required: [
              "pipelineId",
              "tagKeys"
            ],
            members: {
              pipelineId: {},
              tagKeys: {
                shape: "S1x"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ReportTaskProgress: {
          input: {
            type: "structure",
            required: [
              "taskId"
            ],
            members: {
              taskId: {},
              fields: {
                shape: "Ss"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "canceled"
            ],
            members: {
              canceled: {
                type: "boolean"
              }
            }
          }
        },
        ReportTaskRunnerHeartbeat: {
          input: {
            type: "structure",
            required: [
              "taskrunnerId"
            ],
            members: {
              taskrunnerId: {},
              workerGroup: {},
              hostname: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "terminate"
            ],
            members: {
              terminate: {
                type: "boolean"
              }
            }
          }
        },
        SetStatus: {
          input: {
            type: "structure",
            required: [
              "pipelineId",
              "objectIds",
              "status"
            ],
            members: {
              pipelineId: {},
              objectIds: {
                shape: "Sn"
              },
              status: {}
            }
          }
        },
        SetTaskStatus: {
          input: {
            type: "structure",
            required: [
              "taskId",
              "taskStatus"
            ],
            members: {
              taskId: {},
              taskStatus: {},
              errorId: {},
              errorMessage: {},
              errorStackTrace: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ValidatePipelineDefinition: {
          input: {
            type: "structure",
            required: [
              "pipelineId",
              "pipelineObjects"
            ],
            members: {
              pipelineId: {},
              pipelineObjects: {
                shape: "Sq"
              },
              parameterObjects: {
                shape: "S13"
              },
              parameterValues: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "errored"
            ],
            members: {
              validationErrors: {
                shape: "S1l"
              },
              validationWarnings: {
                shape: "S1p"
              },
              errored: {
                type: "boolean"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "id",
              "stringValue"
            ],
            members: {
              id: {},
              stringValue: {}
            }
          }
        },
        Sa: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        Sn: {
          type: "list",
          member: {}
        },
        Sq: {
          type: "list",
          member: {
            shape: "Sr"
          }
        },
        Sr: {
          type: "structure",
          required: [
            "id",
            "name",
            "fields"
          ],
          members: {
            id: {},
            name: {},
            fields: {
              shape: "Ss"
            }
          }
        },
        Ss: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key"
            ],
            members: {
              key: {},
              stringValue: {},
              refValue: {}
            }
          }
        },
        S13: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "id",
              "attributes"
            ],
            members: {
              id: {},
              attributes: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "key",
                    "stringValue"
                  ],
                  members: {
                    key: {},
                    stringValue: {}
                  }
                }
              }
            }
          }
        },
        S1l: {
          type: "list",
          member: {
            type: "structure",
            members: {
              id: {},
              errors: {
                shape: "S1n"
              }
            }
          }
        },
        S1n: {
          type: "list",
          member: {}
        },
        S1p: {
          type: "list",
          member: {
            type: "structure",
            members: {
              id: {},
              warnings: {
                shape: "S1n"
              }
            }
          }
        },
        S1x: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/datapipeline-2012-10-29.paginators.json
var require_datapipeline_2012_10_29_paginators = __commonJS({
  "node_modules/aws-sdk/apis/datapipeline-2012-10-29.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeObjects: {
          input_token: "marker",
          more_results: "hasMoreResults",
          output_token: "marker",
          result_key: "pipelineObjects"
        },
        DescribePipelines: {
          result_key: "pipelineDescriptionList"
        },
        ListPipelines: {
          input_token: "marker",
          more_results: "hasMoreResults",
          output_token: "marker",
          result_key: "pipelineIdList"
        },
        QueryObjects: {
          input_token: "marker",
          limit_key: "limit",
          more_results: "hasMoreResults",
          output_token: "marker",
          result_key: "ids"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/datapipeline.js
var require_datapipeline = __commonJS({
  "node_modules/aws-sdk/clients/datapipeline.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["datapipeline"] = {};
    AWS2.DataPipeline = Service.defineService("datapipeline", ["2012-10-29"]);
    Object.defineProperty(apiLoader.services["datapipeline"], "2012-10-29", {
      get: function get() {
        var model = require_datapipeline_2012_10_29_min();
        model.paginators = require_datapipeline_2012_10_29_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.DataPipeline;
  }
});

// node_modules/aws-sdk/apis/devicefarm-2015-06-23.min.json
var require_devicefarm_2015_06_23_min = __commonJS({
  "node_modules/aws-sdk/apis/devicefarm-2015-06-23.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-06-23",
        endpointPrefix: "devicefarm",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Device Farm",
        serviceId: "Device Farm",
        signatureVersion: "v4",
        targetPrefix: "DeviceFarm_20150623",
        uid: "devicefarm-2015-06-23"
      },
      operations: {
        CreateDevicePool: {
          input: {
            type: "structure",
            required: [
              "projectArn",
              "name",
              "rules"
            ],
            members: {
              projectArn: {},
              name: {},
              description: {},
              rules: {
                shape: "S5"
              },
              maxDevices: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              devicePool: {
                shape: "Sc"
              }
            }
          }
        },
        CreateInstanceProfile: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              packageCleanup: {
                type: "boolean"
              },
              excludeAppPackagesFromCleanup: {
                shape: "Sg"
              },
              rebootAfterUse: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              instanceProfile: {
                shape: "Si"
              }
            }
          }
        },
        CreateNetworkProfile: {
          input: {
            type: "structure",
            required: [
              "projectArn",
              "name"
            ],
            members: {
              projectArn: {},
              name: {},
              description: {},
              type: {},
              uplinkBandwidthBits: {
                type: "long"
              },
              downlinkBandwidthBits: {
                type: "long"
              },
              uplinkDelayMs: {
                type: "long"
              },
              downlinkDelayMs: {
                type: "long"
              },
              uplinkJitterMs: {
                type: "long"
              },
              downlinkJitterMs: {
                type: "long"
              },
              uplinkLossPercent: {
                type: "integer"
              },
              downlinkLossPercent: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              networkProfile: {
                shape: "So"
              }
            }
          }
        },
        CreateProject: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              defaultJobTimeoutMinutes: {
                type: "integer"
              },
              vpcConfig: {
                shape: "Sr"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              project: {
                shape: "Sy"
              }
            }
          }
        },
        CreateRemoteAccessSession: {
          input: {
            type: "structure",
            required: [
              "projectArn",
              "deviceArn"
            ],
            members: {
              projectArn: {},
              deviceArn: {},
              instanceArn: {},
              sshPublicKey: {},
              remoteDebugEnabled: {
                type: "boolean"
              },
              remoteRecordEnabled: {
                type: "boolean"
              },
              remoteRecordAppArn: {},
              name: {},
              clientId: {},
              configuration: {
                type: "structure",
                members: {
                  billingMethod: {},
                  vpceConfigurationArns: {
                    shape: "S15"
                  }
                }
              },
              interactionMode: {},
              skipAppResign: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              remoteAccessSession: {
                shape: "S18"
              }
            }
          }
        },
        CreateTestGridProject: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              vpcConfig: {
                shape: "S1s"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              testGridProject: {
                shape: "S1w"
              }
            }
          }
        },
        CreateTestGridUrl: {
          input: {
            type: "structure",
            required: [
              "projectArn",
              "expiresInSeconds"
            ],
            members: {
              projectArn: {},
              expiresInSeconds: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              url: {
                shape: "S21"
              },
              expires: {
                type: "timestamp"
              }
            }
          }
        },
        CreateUpload: {
          input: {
            type: "structure",
            required: [
              "projectArn",
              "name",
              "type"
            ],
            members: {
              projectArn: {},
              name: {},
              type: {},
              contentType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              upload: {
                shape: "S26"
              }
            }
          }
        },
        CreateVPCEConfiguration: {
          input: {
            type: "structure",
            required: [
              "vpceConfigurationName",
              "vpceServiceName",
              "serviceDnsName"
            ],
            members: {
              vpceConfigurationName: {},
              vpceServiceName: {},
              serviceDnsName: {},
              vpceConfigurationDescription: {}
            }
          },
          output: {
            type: "structure",
            members: {
              vpceConfiguration: {
                shape: "S2h"
              }
            }
          }
        },
        DeleteDevicePool: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteInstanceProfile: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteNetworkProfile: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteProject: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteRemoteAccessSession: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteRun: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteTestGridProject: {
          input: {
            type: "structure",
            required: [
              "projectArn"
            ],
            members: {
              projectArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteUpload: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteVPCEConfiguration: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetAccountSettings: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              accountSettings: {
                type: "structure",
                members: {
                  awsAccountNumber: {},
                  unmeteredDevices: {
                    shape: "S34"
                  },
                  unmeteredRemoteAccessDevices: {
                    shape: "S34"
                  },
                  maxJobTimeoutMinutes: {
                    type: "integer"
                  },
                  trialMinutes: {
                    type: "structure",
                    members: {
                      total: {
                        type: "double"
                      },
                      remaining: {
                        type: "double"
                      }
                    }
                  },
                  maxSlots: {
                    type: "map",
                    key: {},
                    value: {
                      type: "integer"
                    }
                  },
                  defaultJobTimeoutMinutes: {
                    type: "integer"
                  },
                  skipAppResign: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        GetDevice: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              device: {
                shape: "S1b"
              }
            }
          }
        },
        GetDeviceInstance: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              deviceInstance: {
                shape: "S1i"
              }
            }
          }
        },
        GetDevicePool: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              devicePool: {
                shape: "Sc"
              }
            }
          }
        },
        GetDevicePoolCompatibility: {
          input: {
            type: "structure",
            required: [
              "devicePoolArn"
            ],
            members: {
              devicePoolArn: {},
              appArn: {},
              testType: {},
              test: {
                shape: "S3f"
              },
              configuration: {
                shape: "S3i"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              compatibleDevices: {
                shape: "S3q"
              },
              incompatibleDevices: {
                shape: "S3q"
              }
            }
          }
        },
        GetInstanceProfile: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              instanceProfile: {
                shape: "Si"
              }
            }
          }
        },
        GetJob: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              job: {
                shape: "S3y"
              }
            }
          }
        },
        GetNetworkProfile: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              networkProfile: {
                shape: "So"
              }
            }
          }
        },
        GetOfferingStatus: {
          input: {
            type: "structure",
            members: {
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              current: {
                shape: "S46"
              },
              nextPeriod: {
                shape: "S46"
              },
              nextToken: {}
            }
          }
        },
        GetProject: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              project: {
                shape: "Sy"
              }
            }
          }
        },
        GetRemoteAccessSession: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              remoteAccessSession: {
                shape: "S18"
              }
            }
          }
        },
        GetRun: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              run: {
                shape: "S4n"
              }
            }
          }
        },
        GetSuite: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              suite: {
                shape: "S4w"
              }
            }
          }
        },
        GetTest: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              test: {
                shape: "S4z"
              }
            }
          }
        },
        GetTestGridProject: {
          input: {
            type: "structure",
            required: [
              "projectArn"
            ],
            members: {
              projectArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              testGridProject: {
                shape: "S1w"
              }
            }
          }
        },
        GetTestGridSession: {
          input: {
            type: "structure",
            members: {
              projectArn: {},
              sessionId: {},
              sessionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              testGridSession: {
                shape: "S55"
              }
            }
          }
        },
        GetUpload: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              upload: {
                shape: "S26"
              }
            }
          }
        },
        GetVPCEConfiguration: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              vpceConfiguration: {
                shape: "S2h"
              }
            }
          }
        },
        InstallToRemoteAccessSession: {
          input: {
            type: "structure",
            required: [
              "remoteAccessSessionArn",
              "appArn"
            ],
            members: {
              remoteAccessSessionArn: {},
              appArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              appUpload: {
                shape: "S26"
              }
            }
          }
        },
        ListArtifacts: {
          input: {
            type: "structure",
            required: [
              "arn",
              "type"
            ],
            members: {
              arn: {},
              type: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              artifacts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    name: {},
                    type: {},
                    extension: {},
                    url: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDeviceInstances: {
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              deviceInstances: {
                shape: "S1h"
              },
              nextToken: {}
            }
          }
        },
        ListDevicePools: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              type: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              devicePools: {
                type: "list",
                member: {
                  shape: "Sc"
                }
              },
              nextToken: {}
            }
          }
        },
        ListDevices: {
          input: {
            type: "structure",
            members: {
              arn: {},
              nextToken: {},
              filters: {
                shape: "S4q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              devices: {
                type: "list",
                member: {
                  shape: "S1b"
                }
              },
              nextToken: {}
            }
          }
        },
        ListInstanceProfiles: {
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              instanceProfiles: {
                type: "list",
                member: {
                  shape: "Si"
                }
              },
              nextToken: {}
            }
          }
        },
        ListJobs: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              jobs: {
                type: "list",
                member: {
                  shape: "S3y"
                }
              },
              nextToken: {}
            }
          }
        },
        ListNetworkProfiles: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              type: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              networkProfiles: {
                type: "list",
                member: {
                  shape: "So"
                }
              },
              nextToken: {}
            }
          }
        },
        ListOfferingPromotions: {
          input: {
            type: "structure",
            members: {
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              offeringPromotions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    description: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListOfferingTransactions: {
          input: {
            type: "structure",
            members: {
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              offeringTransactions: {
                type: "list",
                member: {
                  shape: "S69"
                }
              },
              nextToken: {}
            }
          }
        },
        ListOfferings: {
          input: {
            type: "structure",
            members: {
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              offerings: {
                type: "list",
                member: {
                  shape: "S4a"
                }
              },
              nextToken: {}
            }
          }
        },
        ListProjects: {
          input: {
            type: "structure",
            members: {
              arn: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              projects: {
                type: "list",
                member: {
                  shape: "Sy"
                }
              },
              nextToken: {}
            }
          }
        },
        ListRemoteAccessSessions: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              remoteAccessSessions: {
                type: "list",
                member: {
                  shape: "S18"
                }
              },
              nextToken: {}
            }
          }
        },
        ListRuns: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              runs: {
                type: "list",
                member: {
                  shape: "S4n"
                }
              },
              nextToken: {}
            }
          }
        },
        ListSamples: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              samples: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    type: {},
                    url: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSuites: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              suites: {
                type: "list",
                member: {
                  shape: "S4w"
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S6x"
              }
            }
          }
        },
        ListTestGridProjects: {
          input: {
            type: "structure",
            members: {
              maxResult: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              testGridProjects: {
                type: "list",
                member: {
                  shape: "S1w"
                }
              },
              nextToken: {}
            }
          }
        },
        ListTestGridSessionActions: {
          input: {
            type: "structure",
            required: [
              "sessionArn"
            ],
            members: {
              sessionArn: {},
              maxResult: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              actions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    action: {},
                    started: {
                      type: "timestamp"
                    },
                    duration: {
                      type: "long"
                    },
                    statusCode: {},
                    requestMethod: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTestGridSessionArtifacts: {
          input: {
            type: "structure",
            required: [
              "sessionArn"
            ],
            members: {
              sessionArn: {},
              type: {},
              maxResult: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              artifacts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    filename: {},
                    type: {},
                    url: {
                      shape: "S21"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTestGridSessions: {
          input: {
            type: "structure",
            required: [
              "projectArn"
            ],
            members: {
              projectArn: {},
              status: {},
              creationTimeAfter: {
                type: "timestamp"
              },
              creationTimeBefore: {
                type: "timestamp"
              },
              endTimeAfter: {
                type: "timestamp"
              },
              endTimeBefore: {
                type: "timestamp"
              },
              maxResult: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              testGridSessions: {
                type: "list",
                member: {
                  shape: "S55"
                }
              },
              nextToken: {}
            }
          }
        },
        ListTests: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tests: {
                type: "list",
                member: {
                  shape: "S4z"
                }
              },
              nextToken: {}
            }
          }
        },
        ListUniqueProblems: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              uniqueProblems: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      message: {},
                      problems: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            run: {
                              shape: "S7s"
                            },
                            job: {
                              shape: "S7s"
                            },
                            suite: {
                              shape: "S7s"
                            },
                            test: {
                              shape: "S7s"
                            },
                            device: {
                              shape: "S1b"
                            },
                            result: {},
                            message: {}
                          }
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListUploads: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              type: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              uploads: {
                type: "list",
                member: {
                  shape: "S26"
                }
              },
              nextToken: {}
            }
          }
        },
        ListVPCEConfigurations: {
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              vpceConfigurations: {
                type: "list",
                member: {
                  shape: "S2h"
                }
              },
              nextToken: {}
            }
          }
        },
        PurchaseOffering: {
          input: {
            type: "structure",
            required: [
              "offeringId",
              "quantity"
            ],
            members: {
              offeringId: {},
              quantity: {
                type: "integer"
              },
              offeringPromotionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              offeringTransaction: {
                shape: "S69"
              }
            }
          }
        },
        RenewOffering: {
          input: {
            type: "structure",
            required: [
              "offeringId",
              "quantity"
            ],
            members: {
              offeringId: {},
              quantity: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              offeringTransaction: {
                shape: "S69"
              }
            }
          }
        },
        ScheduleRun: {
          input: {
            type: "structure",
            required: [
              "projectArn",
              "test"
            ],
            members: {
              projectArn: {},
              appArn: {},
              devicePoolArn: {},
              deviceSelectionConfiguration: {
                type: "structure",
                required: [
                  "filters",
                  "maxDevices"
                ],
                members: {
                  filters: {
                    shape: "S4q"
                  },
                  maxDevices: {
                    type: "integer"
                  }
                }
              },
              name: {},
              test: {
                shape: "S3f"
              },
              configuration: {
                shape: "S3i"
              },
              executionConfiguration: {
                type: "structure",
                members: {
                  jobTimeoutMinutes: {
                    type: "integer"
                  },
                  accountsCleanup: {
                    type: "boolean"
                  },
                  appPackagesCleanup: {
                    type: "boolean"
                  },
                  videoCapture: {
                    type: "boolean"
                  },
                  skipAppResign: {
                    type: "boolean"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              run: {
                shape: "S4n"
              }
            }
          }
        },
        StopJob: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              job: {
                shape: "S3y"
              }
            }
          }
        },
        StopRemoteAccessSession: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              remoteAccessSession: {
                shape: "S18"
              }
            }
          }
        },
        StopRun: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              run: {
                shape: "S4n"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S6x"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDeviceInstance: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              profileArn: {},
              labels: {
                shape: "S1j"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              deviceInstance: {
                shape: "S1i"
              }
            }
          }
        },
        UpdateDevicePool: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              name: {},
              description: {},
              rules: {
                shape: "S5"
              },
              maxDevices: {
                type: "integer"
              },
              clearMaxDevices: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              devicePool: {
                shape: "Sc"
              }
            }
          }
        },
        UpdateInstanceProfile: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              name: {},
              description: {},
              packageCleanup: {
                type: "boolean"
              },
              excludeAppPackagesFromCleanup: {
                shape: "Sg"
              },
              rebootAfterUse: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              instanceProfile: {
                shape: "Si"
              }
            }
          }
        },
        UpdateNetworkProfile: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              name: {},
              description: {},
              type: {},
              uplinkBandwidthBits: {
                type: "long"
              },
              downlinkBandwidthBits: {
                type: "long"
              },
              uplinkDelayMs: {
                type: "long"
              },
              downlinkDelayMs: {
                type: "long"
              },
              uplinkJitterMs: {
                type: "long"
              },
              downlinkJitterMs: {
                type: "long"
              },
              uplinkLossPercent: {
                type: "integer"
              },
              downlinkLossPercent: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              networkProfile: {
                shape: "So"
              }
            }
          }
        },
        UpdateProject: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              name: {},
              defaultJobTimeoutMinutes: {
                type: "integer"
              },
              vpcConfig: {
                shape: "Sr"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              project: {
                shape: "Sy"
              }
            }
          }
        },
        UpdateTestGridProject: {
          input: {
            type: "structure",
            required: [
              "projectArn"
            ],
            members: {
              projectArn: {},
              name: {},
              description: {},
              vpcConfig: {
                shape: "S1s"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              testGridProject: {
                shape: "S1w"
              }
            }
          }
        },
        UpdateUpload: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              name: {},
              contentType: {},
              editContent: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              upload: {
                shape: "S26"
              }
            }
          }
        },
        UpdateVPCEConfiguration: {
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              vpceConfigurationName: {},
              vpceServiceName: {},
              serviceDnsName: {},
              vpceConfigurationDescription: {}
            }
          },
          output: {
            type: "structure",
            members: {
              vpceConfiguration: {
                shape: "S2h"
              }
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "list",
          member: {
            type: "structure",
            members: {
              attribute: {},
              operator: {},
              value: {}
            }
          }
        },
        Sc: {
          type: "structure",
          members: {
            arn: {},
            name: {},
            description: {},
            type: {},
            rules: {
              shape: "S5"
            },
            maxDevices: {
              type: "integer"
            }
          }
        },
        Sg: {
          type: "list",
          member: {}
        },
        Si: {
          type: "structure",
          members: {
            arn: {},
            packageCleanup: {
              type: "boolean"
            },
            excludeAppPackagesFromCleanup: {
              shape: "Sg"
            },
            rebootAfterUse: {
              type: "boolean"
            },
            name: {},
            description: {}
          }
        },
        So: {
          type: "structure",
          members: {
            arn: {},
            name: {},
            description: {},
            type: {},
            uplinkBandwidthBits: {
              type: "long"
            },
            downlinkBandwidthBits: {
              type: "long"
            },
            uplinkDelayMs: {
              type: "long"
            },
            downlinkDelayMs: {
              type: "long"
            },
            uplinkJitterMs: {
              type: "long"
            },
            downlinkJitterMs: {
              type: "long"
            },
            uplinkLossPercent: {
              type: "integer"
            },
            downlinkLossPercent: {
              type: "integer"
            }
          }
        },
        Sr: {
          type: "structure",
          required: [
            "securityGroupIds",
            "subnetIds",
            "vpcId"
          ],
          members: {
            securityGroupIds: {
              type: "list",
              member: {}
            },
            subnetIds: {
              type: "list",
              member: {}
            },
            vpcId: {}
          }
        },
        Sy: {
          type: "structure",
          members: {
            arn: {},
            name: {},
            defaultJobTimeoutMinutes: {
              type: "integer"
            },
            created: {
              type: "timestamp"
            },
            vpcConfig: {
              shape: "Sr"
            }
          }
        },
        S15: {
          type: "list",
          member: {}
        },
        S18: {
          type: "structure",
          members: {
            arn: {},
            name: {},
            created: {
              type: "timestamp"
            },
            status: {},
            result: {},
            message: {},
            started: {
              type: "timestamp"
            },
            stopped: {
              type: "timestamp"
            },
            device: {
              shape: "S1b"
            },
            instanceArn: {},
            remoteDebugEnabled: {
              type: "boolean"
            },
            remoteRecordEnabled: {
              type: "boolean"
            },
            remoteRecordAppArn: {},
            hostAddress: {},
            clientId: {},
            billingMethod: {},
            deviceMinutes: {
              shape: "S1n"
            },
            endpoint: {},
            deviceUdid: {},
            interactionMode: {},
            skipAppResign: {
              type: "boolean"
            },
            vpcConfig: {
              shape: "Sr"
            }
          }
        },
        S1b: {
          type: "structure",
          members: {
            arn: {},
            name: {},
            manufacturer: {},
            model: {},
            modelId: {},
            formFactor: {},
            platform: {},
            os: {},
            cpu: {
              type: "structure",
              members: {
                frequency: {},
                architecture: {},
                clock: {
                  type: "double"
                }
              }
            },
            resolution: {
              type: "structure",
              members: {
                width: {
                  type: "integer"
                },
                height: {
                  type: "integer"
                }
              }
            },
            heapSize: {
              type: "long"
            },
            memory: {
              type: "long"
            },
            image: {},
            carrier: {},
            radio: {},
            remoteAccessEnabled: {
              type: "boolean"
            },
            remoteDebugEnabled: {
              type: "boolean"
            },
            fleetType: {},
            fleetName: {},
            instances: {
              shape: "S1h"
            },
            availability: {}
          }
        },
        S1h: {
          type: "list",
          member: {
            shape: "S1i"
          }
        },
        S1i: {
          type: "structure",
          members: {
            arn: {},
            deviceArn: {},
            labels: {
              shape: "S1j"
            },
            status: {},
            udid: {},
            instanceProfile: {
              shape: "Si"
            }
          }
        },
        S1j: {
          type: "list",
          member: {}
        },
        S1n: {
          type: "structure",
          members: {
            total: {
              type: "double"
            },
            metered: {
              type: "double"
            },
            unmetered: {
              type: "double"
            }
          }
        },
        S1s: {
          type: "structure",
          required: [
            "securityGroupIds",
            "subnetIds",
            "vpcId"
          ],
          members: {
            securityGroupIds: {
              type: "list",
              member: {}
            },
            subnetIds: {
              type: "list",
              member: {}
            },
            vpcId: {}
          }
        },
        S1w: {
          type: "structure",
          members: {
            arn: {},
            name: {},
            description: {},
            vpcConfig: {
              shape: "S1s"
            },
            created: {
              type: "timestamp"
            }
          }
        },
        S21: {
          type: "string",
          sensitive: true
        },
        S26: {
          type: "structure",
          members: {
            arn: {},
            name: {},
            created: {
              type: "timestamp"
            },
            type: {},
            status: {},
            url: {
              type: "string",
              sensitive: true
            },
            metadata: {},
            contentType: {},
            message: {},
            category: {}
          }
        },
        S2h: {
          type: "structure",
          members: {
            arn: {},
            vpceConfigurationName: {},
            vpceServiceName: {},
            serviceDnsName: {},
            vpceConfigurationDescription: {}
          }
        },
        S34: {
          type: "map",
          key: {},
          value: {
            type: "integer"
          }
        },
        S3f: {
          type: "structure",
          required: [
            "type"
          ],
          members: {
            type: {},
            testPackageArn: {},
            testSpecArn: {},
            filter: {},
            parameters: {
              type: "map",
              key: {},
              value: {}
            }
          }
        },
        S3i: {
          type: "structure",
          members: {
            extraDataPackageArn: {},
            networkProfileArn: {},
            locale: {},
            location: {
              shape: "S3j"
            },
            vpceConfigurationArns: {
              shape: "S15"
            },
            customerArtifactPaths: {
              shape: "S3k"
            },
            radios: {
              shape: "S3o"
            },
            auxiliaryApps: {
              shape: "S15"
            },
            billingMethod: {}
          }
        },
        S3j: {
          type: "structure",
          required: [
            "latitude",
            "longitude"
          ],
          members: {
            latitude: {
              type: "double"
            },
            longitude: {
              type: "double"
            }
          }
        },
        S3k: {
          type: "structure",
          members: {
            iosPaths: {
              type: "list",
              member: {}
            },
            androidPaths: {
              type: "list",
              member: {}
            },
            deviceHostPaths: {
              type: "list",
              member: {}
            }
          }
        },
        S3o: {
          type: "structure",
          members: {
            wifi: {
              type: "boolean"
            },
            bluetooth: {
              type: "boolean"
            },
            nfc: {
              type: "boolean"
            },
            gps: {
              type: "boolean"
            }
          }
        },
        S3q: {
          type: "list",
          member: {
            type: "structure",
            members: {
              device: {
                shape: "S1b"
              },
              compatible: {
                type: "boolean"
              },
              incompatibilityMessages: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    message: {},
                    type: {}
                  }
                }
              }
            }
          }
        },
        S3y: {
          type: "structure",
          members: {
            arn: {},
            name: {},
            type: {},
            created: {
              type: "timestamp"
            },
            status: {},
            result: {},
            started: {
              type: "timestamp"
            },
            stopped: {
              type: "timestamp"
            },
            counters: {
              shape: "S3z"
            },
            message: {},
            device: {
              shape: "S1b"
            },
            instanceArn: {},
            deviceMinutes: {
              shape: "S1n"
            },
            videoEndpoint: {},
            videoCapture: {
              type: "boolean"
            }
          }
        },
        S3z: {
          type: "structure",
          members: {
            total: {
              type: "integer"
            },
            passed: {
              type: "integer"
            },
            failed: {
              type: "integer"
            },
            warned: {
              type: "integer"
            },
            errored: {
              type: "integer"
            },
            stopped: {
              type: "integer"
            },
            skipped: {
              type: "integer"
            }
          }
        },
        S46: {
          type: "map",
          key: {},
          value: {
            shape: "S48"
          }
        },
        S48: {
          type: "structure",
          members: {
            type: {},
            offering: {
              shape: "S4a"
            },
            quantity: {
              type: "integer"
            },
            effectiveOn: {
              type: "timestamp"
            }
          }
        },
        S4a: {
          type: "structure",
          members: {
            id: {},
            description: {},
            type: {},
            platform: {},
            recurringCharges: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  cost: {
                    shape: "S4e"
                  },
                  frequency: {}
                }
              }
            }
          }
        },
        S4e: {
          type: "structure",
          members: {
            amount: {
              type: "double"
            },
            currencyCode: {}
          }
        },
        S4n: {
          type: "structure",
          members: {
            arn: {},
            name: {},
            type: {},
            platform: {},
            created: {
              type: "timestamp"
            },
            status: {},
            result: {},
            started: {
              type: "timestamp"
            },
            stopped: {
              type: "timestamp"
            },
            counters: {
              shape: "S3z"
            },
            message: {},
            totalJobs: {
              type: "integer"
            },
            completedJobs: {
              type: "integer"
            },
            billingMethod: {},
            deviceMinutes: {
              shape: "S1n"
            },
            networkProfile: {
              shape: "So"
            },
            parsingResultUrl: {},
            resultCode: {},
            seed: {
              type: "integer"
            },
            appUpload: {},
            eventCount: {
              type: "integer"
            },
            jobTimeoutMinutes: {
              type: "integer"
            },
            devicePoolArn: {},
            locale: {},
            radios: {
              shape: "S3o"
            },
            location: {
              shape: "S3j"
            },
            customerArtifactPaths: {
              shape: "S3k"
            },
            webUrl: {},
            skipAppResign: {
              type: "boolean"
            },
            testSpecArn: {},
            deviceSelectionResult: {
              type: "structure",
              members: {
                filters: {
                  shape: "S4q"
                },
                matchedDevicesCount: {
                  type: "integer"
                },
                maxDevices: {
                  type: "integer"
                }
              }
            },
            vpcConfig: {
              shape: "Sr"
            }
          }
        },
        S4q: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "attribute",
              "operator",
              "values"
            ],
            members: {
              attribute: {},
              operator: {},
              values: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S4w: {
          type: "structure",
          members: {
            arn: {},
            name: {},
            type: {},
            created: {
              type: "timestamp"
            },
            status: {},
            result: {},
            started: {
              type: "timestamp"
            },
            stopped: {
              type: "timestamp"
            },
            counters: {
              shape: "S3z"
            },
            message: {},
            deviceMinutes: {
              shape: "S1n"
            }
          }
        },
        S4z: {
          type: "structure",
          members: {
            arn: {},
            name: {},
            type: {},
            created: {
              type: "timestamp"
            },
            status: {},
            result: {},
            started: {
              type: "timestamp"
            },
            stopped: {
              type: "timestamp"
            },
            counters: {
              shape: "S3z"
            },
            message: {},
            deviceMinutes: {
              shape: "S1n"
            }
          }
        },
        S55: {
          type: "structure",
          members: {
            arn: {},
            status: {},
            created: {
              type: "timestamp"
            },
            ended: {
              type: "timestamp"
            },
            billingMinutes: {
              type: "double"
            },
            seleniumProperties: {}
          }
        },
        S69: {
          type: "structure",
          members: {
            offeringStatus: {
              shape: "S48"
            },
            transactionId: {},
            offeringPromotionId: {},
            createdOn: {
              type: "timestamp"
            },
            cost: {
              shape: "S4e"
            }
          }
        },
        S6x: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S7s: {
          type: "structure",
          members: {
            arn: {},
            name: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/devicefarm-2015-06-23.paginators.json
var require_devicefarm_2015_06_23_paginators = __commonJS({
  "node_modules/aws-sdk/apis/devicefarm-2015-06-23.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetOfferingStatus: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: [
            "current",
            "nextPeriod"
          ]
        },
        ListArtifacts: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "artifacts"
        },
        ListDevicePools: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "devicePools"
        },
        ListDevices: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "devices"
        },
        ListJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "jobs"
        },
        ListOfferingTransactions: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "offeringTransactions"
        },
        ListOfferings: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "offerings"
        },
        ListProjects: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "projects"
        },
        ListRuns: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "runs"
        },
        ListSamples: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "samples"
        },
        ListSuites: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "suites"
        },
        ListTestGridProjects: {
          input_token: "nextToken",
          limit_key: "maxResult",
          output_token: "nextToken"
        },
        ListTestGridSessionActions: {
          input_token: "nextToken",
          limit_key: "maxResult",
          output_token: "nextToken"
        },
        ListTestGridSessionArtifacts: {
          input_token: "nextToken",
          limit_key: "maxResult",
          output_token: "nextToken"
        },
        ListTestGridSessions: {
          input_token: "nextToken",
          limit_key: "maxResult",
          output_token: "nextToken"
        },
        ListTests: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "tests"
        },
        ListUniqueProblems: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "uniqueProblems"
        },
        ListUploads: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "uploads"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/devicefarm.js
var require_devicefarm = __commonJS({
  "node_modules/aws-sdk/clients/devicefarm.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["devicefarm"] = {};
    AWS2.DeviceFarm = Service.defineService("devicefarm", ["2015-06-23"]);
    Object.defineProperty(apiLoader.services["devicefarm"], "2015-06-23", {
      get: function get() {
        var model = require_devicefarm_2015_06_23_min();
        model.paginators = require_devicefarm_2015_06_23_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.DeviceFarm;
  }
});

// node_modules/aws-sdk/apis/directconnect-2012-10-25.min.json
var require_directconnect_2012_10_25_min = __commonJS({
  "node_modules/aws-sdk/apis/directconnect-2012-10-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2012-10-25",
        endpointPrefix: "directconnect",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Direct Connect",
        serviceId: "Direct Connect",
        signatureVersion: "v4",
        targetPrefix: "OvertureService",
        uid: "directconnect-2012-10-25"
      },
      operations: {
        AcceptDirectConnectGatewayAssociationProposal: {
          input: {
            type: "structure",
            required: [
              "directConnectGatewayId",
              "proposalId",
              "associatedGatewayOwnerAccount"
            ],
            members: {
              directConnectGatewayId: {},
              proposalId: {},
              associatedGatewayOwnerAccount: {},
              overrideAllowedPrefixesToDirectConnectGateway: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              directConnectGatewayAssociation: {
                shape: "S9"
              }
            }
          }
        },
        AllocateConnectionOnInterconnect: {
          input: {
            type: "structure",
            required: [
              "bandwidth",
              "connectionName",
              "ownerAccount",
              "interconnectId",
              "vlan"
            ],
            members: {
              bandwidth: {},
              connectionName: {},
              ownerAccount: {},
              interconnectId: {},
              vlan: {
                type: "integer"
              }
            }
          },
          output: {
            shape: "So"
          },
          deprecated: true
        },
        AllocateHostedConnection: {
          input: {
            type: "structure",
            required: [
              "connectionId",
              "ownerAccount",
              "bandwidth",
              "connectionName",
              "vlan"
            ],
            members: {
              connectionId: {},
              ownerAccount: {},
              bandwidth: {},
              connectionName: {},
              vlan: {
                type: "integer"
              },
              tags: {
                shape: "S10"
              }
            }
          },
          output: {
            shape: "So"
          }
        },
        AllocatePrivateVirtualInterface: {
          input: {
            type: "structure",
            required: [
              "connectionId",
              "ownerAccount",
              "newPrivateVirtualInterfaceAllocation"
            ],
            members: {
              connectionId: {},
              ownerAccount: {},
              newPrivateVirtualInterfaceAllocation: {
                type: "structure",
                required: [
                  "virtualInterfaceName",
                  "vlan",
                  "asn"
                ],
                members: {
                  virtualInterfaceName: {},
                  vlan: {
                    type: "integer"
                  },
                  asn: {
                    type: "integer"
                  },
                  mtu: {
                    type: "integer"
                  },
                  authKey: {},
                  amazonAddress: {},
                  addressFamily: {},
                  customerAddress: {},
                  tags: {
                    shape: "S10"
                  }
                }
              }
            }
          },
          output: {
            shape: "S1o"
          }
        },
        AllocatePublicVirtualInterface: {
          input: {
            type: "structure",
            required: [
              "connectionId",
              "ownerAccount",
              "newPublicVirtualInterfaceAllocation"
            ],
            members: {
              connectionId: {},
              ownerAccount: {},
              newPublicVirtualInterfaceAllocation: {
                type: "structure",
                required: [
                  "virtualInterfaceName",
                  "vlan",
                  "asn"
                ],
                members: {
                  virtualInterfaceName: {},
                  vlan: {
                    type: "integer"
                  },
                  asn: {
                    type: "integer"
                  },
                  authKey: {},
                  amazonAddress: {},
                  customerAddress: {},
                  addressFamily: {},
                  routeFilterPrefixes: {
                    shape: "S5"
                  },
                  tags: {
                    shape: "S10"
                  }
                }
              }
            }
          },
          output: {
            shape: "S1o"
          }
        },
        AllocateTransitVirtualInterface: {
          input: {
            type: "structure",
            required: [
              "connectionId",
              "ownerAccount",
              "newTransitVirtualInterfaceAllocation"
            ],
            members: {
              connectionId: {},
              ownerAccount: {},
              newTransitVirtualInterfaceAllocation: {
                type: "structure",
                members: {
                  virtualInterfaceName: {},
                  vlan: {
                    type: "integer"
                  },
                  asn: {
                    type: "integer"
                  },
                  mtu: {
                    type: "integer"
                  },
                  authKey: {},
                  amazonAddress: {},
                  customerAddress: {},
                  addressFamily: {},
                  tags: {
                    shape: "S10"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              virtualInterface: {
                shape: "S1o"
              }
            }
          }
        },
        AssociateConnectionWithLag: {
          input: {
            type: "structure",
            required: [
              "connectionId",
              "lagId"
            ],
            members: {
              connectionId: {},
              lagId: {}
            }
          },
          output: {
            shape: "So"
          }
        },
        AssociateHostedConnection: {
          input: {
            type: "structure",
            required: [
              "connectionId",
              "parentConnectionId"
            ],
            members: {
              connectionId: {},
              parentConnectionId: {}
            }
          },
          output: {
            shape: "So"
          }
        },
        AssociateMacSecKey: {
          input: {
            type: "structure",
            required: [
              "connectionId"
            ],
            members: {
              connectionId: {},
              secretARN: {},
              ckn: {},
              cak: {}
            }
          },
          output: {
            type: "structure",
            members: {
              connectionId: {},
              macSecKeys: {
                shape: "S18"
              }
            }
          }
        },
        AssociateVirtualInterface: {
          input: {
            type: "structure",
            required: [
              "virtualInterfaceId",
              "connectionId"
            ],
            members: {
              virtualInterfaceId: {},
              connectionId: {}
            }
          },
          output: {
            shape: "S1o"
          }
        },
        ConfirmConnection: {
          input: {
            type: "structure",
            required: [
              "connectionId"
            ],
            members: {
              connectionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              connectionState: {}
            }
          }
        },
        ConfirmCustomerAgreement: {
          input: {
            type: "structure",
            members: {
              agreementName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              status: {}
            }
          }
        },
        ConfirmPrivateVirtualInterface: {
          input: {
            type: "structure",
            required: [
              "virtualInterfaceId"
            ],
            members: {
              virtualInterfaceId: {},
              virtualGatewayId: {},
              directConnectGatewayId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              virtualInterfaceState: {}
            }
          }
        },
        ConfirmPublicVirtualInterface: {
          input: {
            type: "structure",
            required: [
              "virtualInterfaceId"
            ],
            members: {
              virtualInterfaceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              virtualInterfaceState: {}
            }
          }
        },
        ConfirmTransitVirtualInterface: {
          input: {
            type: "structure",
            required: [
              "virtualInterfaceId",
              "directConnectGatewayId"
            ],
            members: {
              virtualInterfaceId: {},
              directConnectGatewayId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              virtualInterfaceState: {}
            }
          }
        },
        CreateBGPPeer: {
          input: {
            type: "structure",
            members: {
              virtualInterfaceId: {},
              newBGPPeer: {
                type: "structure",
                members: {
                  asn: {
                    type: "integer"
                  },
                  authKey: {},
                  addressFamily: {},
                  amazonAddress: {},
                  customerAddress: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              virtualInterface: {
                shape: "S1o"
              }
            }
          }
        },
        CreateConnection: {
          input: {
            type: "structure",
            required: [
              "location",
              "bandwidth",
              "connectionName"
            ],
            members: {
              location: {},
              bandwidth: {},
              connectionName: {},
              lagId: {},
              tags: {
                shape: "S10"
              },
              providerName: {},
              requestMACSec: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "So"
          }
        },
        CreateDirectConnectGateway: {
          input: {
            type: "structure",
            required: [
              "directConnectGatewayName"
            ],
            members: {
              directConnectGatewayName: {},
              amazonSideAsn: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              directConnectGateway: {
                shape: "S2v"
              }
            }
          }
        },
        CreateDirectConnectGatewayAssociation: {
          input: {
            type: "structure",
            required: [
              "directConnectGatewayId"
            ],
            members: {
              directConnectGatewayId: {},
              gatewayId: {},
              addAllowedPrefixesToDirectConnectGateway: {
                shape: "S5"
              },
              virtualGatewayId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              directConnectGatewayAssociation: {
                shape: "S9"
              }
            }
          }
        },
        CreateDirectConnectGatewayAssociationProposal: {
          input: {
            type: "structure",
            required: [
              "directConnectGatewayId",
              "directConnectGatewayOwnerAccount",
              "gatewayId"
            ],
            members: {
              directConnectGatewayId: {},
              directConnectGatewayOwnerAccount: {},
              gatewayId: {},
              addAllowedPrefixesToDirectConnectGateway: {
                shape: "S5"
              },
              removeAllowedPrefixesToDirectConnectGateway: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              directConnectGatewayAssociationProposal: {
                shape: "S32"
              }
            }
          }
        },
        CreateInterconnect: {
          input: {
            type: "structure",
            required: [
              "interconnectName",
              "bandwidth",
              "location"
            ],
            members: {
              interconnectName: {},
              bandwidth: {},
              location: {},
              lagId: {},
              tags: {
                shape: "S10"
              },
              providerName: {}
            }
          },
          output: {
            shape: "S36"
          }
        },
        CreateLag: {
          input: {
            type: "structure",
            required: [
              "numberOfConnections",
              "location",
              "connectionsBandwidth",
              "lagName"
            ],
            members: {
              numberOfConnections: {
                type: "integer"
              },
              location: {},
              connectionsBandwidth: {},
              lagName: {},
              connectionId: {},
              tags: {
                shape: "S10"
              },
              childConnectionTags: {
                shape: "S10"
              },
              providerName: {},
              requestMACSec: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S3b"
          }
        },
        CreatePrivateVirtualInterface: {
          input: {
            type: "structure",
            required: [
              "connectionId",
              "newPrivateVirtualInterface"
            ],
            members: {
              connectionId: {},
              newPrivateVirtualInterface: {
                type: "structure",
                required: [
                  "virtualInterfaceName",
                  "vlan",
                  "asn"
                ],
                members: {
                  virtualInterfaceName: {},
                  vlan: {
                    type: "integer"
                  },
                  asn: {
                    type: "integer"
                  },
                  mtu: {
                    type: "integer"
                  },
                  authKey: {},
                  amazonAddress: {},
                  customerAddress: {},
                  addressFamily: {},
                  virtualGatewayId: {},
                  directConnectGatewayId: {},
                  tags: {
                    shape: "S10"
                  },
                  enableSiteLink: {
                    type: "boolean"
                  }
                }
              }
            }
          },
          output: {
            shape: "S1o"
          }
        },
        CreatePublicVirtualInterface: {
          input: {
            type: "structure",
            required: [
              "connectionId",
              "newPublicVirtualInterface"
            ],
            members: {
              connectionId: {},
              newPublicVirtualInterface: {
                type: "structure",
                required: [
                  "virtualInterfaceName",
                  "vlan",
                  "asn"
                ],
                members: {
                  virtualInterfaceName: {},
                  vlan: {
                    type: "integer"
                  },
                  asn: {
                    type: "integer"
                  },
                  authKey: {},
                  amazonAddress: {},
                  customerAddress: {},
                  addressFamily: {},
                  routeFilterPrefixes: {
                    shape: "S5"
                  },
                  tags: {
                    shape: "S10"
                  }
                }
              }
            }
          },
          output: {
            shape: "S1o"
          }
        },
        CreateTransitVirtualInterface: {
          input: {
            type: "structure",
            required: [
              "connectionId",
              "newTransitVirtualInterface"
            ],
            members: {
              connectionId: {},
              newTransitVirtualInterface: {
                type: "structure",
                members: {
                  virtualInterfaceName: {},
                  vlan: {
                    type: "integer"
                  },
                  asn: {
                    type: "integer"
                  },
                  mtu: {
                    type: "integer"
                  },
                  authKey: {},
                  amazonAddress: {},
                  customerAddress: {},
                  addressFamily: {},
                  directConnectGatewayId: {},
                  tags: {
                    shape: "S10"
                  },
                  enableSiteLink: {
                    type: "boolean"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              virtualInterface: {
                shape: "S1o"
              }
            }
          }
        },
        DeleteBGPPeer: {
          input: {
            type: "structure",
            members: {
              virtualInterfaceId: {},
              asn: {
                type: "integer"
              },
              customerAddress: {},
              bgpPeerId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              virtualInterface: {
                shape: "S1o"
              }
            }
          }
        },
        DeleteConnection: {
          input: {
            type: "structure",
            required: [
              "connectionId"
            ],
            members: {
              connectionId: {}
            }
          },
          output: {
            shape: "So"
          }
        },
        DeleteDirectConnectGateway: {
          input: {
            type: "structure",
            required: [
              "directConnectGatewayId"
            ],
            members: {
              directConnectGatewayId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              directConnectGateway: {
                shape: "S2v"
              }
            }
          }
        },
        DeleteDirectConnectGatewayAssociation: {
          input: {
            type: "structure",
            members: {
              associationId: {},
              directConnectGatewayId: {},
              virtualGatewayId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              directConnectGatewayAssociation: {
                shape: "S9"
              }
            }
          }
        },
        DeleteDirectConnectGatewayAssociationProposal: {
          input: {
            type: "structure",
            required: [
              "proposalId"
            ],
            members: {
              proposalId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              directConnectGatewayAssociationProposal: {
                shape: "S32"
              }
            }
          }
        },
        DeleteInterconnect: {
          input: {
            type: "structure",
            required: [
              "interconnectId"
            ],
            members: {
              interconnectId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              interconnectState: {}
            }
          }
        },
        DeleteLag: {
          input: {
            type: "structure",
            required: [
              "lagId"
            ],
            members: {
              lagId: {}
            }
          },
          output: {
            shape: "S3b"
          }
        },
        DeleteVirtualInterface: {
          input: {
            type: "structure",
            required: [
              "virtualInterfaceId"
            ],
            members: {
              virtualInterfaceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              virtualInterfaceState: {}
            }
          }
        },
        DescribeConnectionLoa: {
          input: {
            type: "structure",
            required: [
              "connectionId"
            ],
            members: {
              connectionId: {},
              providerName: {},
              loaContentType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              loa: {
                shape: "S44"
              }
            }
          },
          deprecated: true
        },
        DescribeConnections: {
          input: {
            type: "structure",
            members: {
              connectionId: {}
            }
          },
          output: {
            shape: "S47"
          }
        },
        DescribeConnectionsOnInterconnect: {
          input: {
            type: "structure",
            required: [
              "interconnectId"
            ],
            members: {
              interconnectId: {}
            }
          },
          output: {
            shape: "S47"
          },
          deprecated: true
        },
        DescribeCustomerMetadata: {
          output: {
            type: "structure",
            members: {
              agreements: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    agreementName: {},
                    status: {}
                  }
                }
              },
              nniPartnerType: {}
            }
          }
        },
        DescribeDirectConnectGatewayAssociationProposals: {
          input: {
            type: "structure",
            members: {
              directConnectGatewayId: {},
              proposalId: {},
              associatedGatewayId: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              directConnectGatewayAssociationProposals: {
                type: "list",
                member: {
                  shape: "S32"
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeDirectConnectGatewayAssociations: {
          input: {
            type: "structure",
            members: {
              associationId: {},
              associatedGatewayId: {},
              directConnectGatewayId: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              virtualGatewayId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              directConnectGatewayAssociations: {
                type: "list",
                member: {
                  shape: "S9"
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeDirectConnectGatewayAttachments: {
          input: {
            type: "structure",
            members: {
              directConnectGatewayId: {},
              virtualInterfaceId: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              directConnectGatewayAttachments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    directConnectGatewayId: {},
                    virtualInterfaceId: {},
                    virtualInterfaceRegion: {},
                    virtualInterfaceOwnerAccount: {},
                    attachmentState: {},
                    attachmentType: {},
                    stateChangeError: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeDirectConnectGateways: {
          input: {
            type: "structure",
            members: {
              directConnectGatewayId: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              directConnectGateways: {
                type: "list",
                member: {
                  shape: "S2v"
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeHostedConnections: {
          input: {
            type: "structure",
            required: [
              "connectionId"
            ],
            members: {
              connectionId: {}
            }
          },
          output: {
            shape: "S47"
          }
        },
        DescribeInterconnectLoa: {
          input: {
            type: "structure",
            required: [
              "interconnectId"
            ],
            members: {
              interconnectId: {},
              providerName: {},
              loaContentType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              loa: {
                shape: "S44"
              }
            }
          },
          deprecated: true
        },
        DescribeInterconnects: {
          input: {
            type: "structure",
            members: {
              interconnectId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              interconnects: {
                type: "list",
                member: {
                  shape: "S36"
                }
              }
            }
          }
        },
        DescribeLags: {
          input: {
            type: "structure",
            members: {
              lagId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              lags: {
                type: "list",
                member: {
                  shape: "S3b"
                }
              }
            }
          }
        },
        DescribeLoa: {
          input: {
            type: "structure",
            required: [
              "connectionId"
            ],
            members: {
              connectionId: {},
              providerName: {},
              loaContentType: {}
            }
          },
          output: {
            shape: "S44"
          }
        },
        DescribeLocations: {
          output: {
            type: "structure",
            members: {
              locations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    locationCode: {},
                    locationName: {},
                    region: {},
                    availablePortSpeeds: {
                      type: "list",
                      member: {}
                    },
                    availableProviders: {
                      type: "list",
                      member: {}
                    },
                    availableMacSecPortSpeeds: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              }
            }
          }
        },
        DescribeRouterConfiguration: {
          input: {
            type: "structure",
            required: [
              "virtualInterfaceId"
            ],
            members: {
              virtualInterfaceId: {},
              routerTypeIdentifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              customerRouterConfig: {},
              router: {
                type: "structure",
                members: {
                  vendor: {},
                  platform: {},
                  software: {},
                  xsltTemplateName: {},
                  xsltTemplateNameForMacSec: {},
                  routerTypeIdentifier: {}
                }
              },
              virtualInterfaceId: {},
              virtualInterfaceName: {}
            }
          }
        },
        DescribeTags: {
          input: {
            type: "structure",
            required: [
              "resourceArns"
            ],
            members: {
              resourceArns: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resourceTags: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    resourceArn: {},
                    tags: {
                      shape: "S10"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeVirtualGateways: {
          output: {
            type: "structure",
            members: {
              virtualGateways: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    virtualGatewayId: {},
                    virtualGatewayState: {}
                  }
                }
              }
            }
          }
        },
        DescribeVirtualInterfaces: {
          input: {
            type: "structure",
            members: {
              connectionId: {},
              virtualInterfaceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              virtualInterfaces: {
                type: "list",
                member: {
                  shape: "S1o"
                }
              }
            }
          }
        },
        DisassociateConnectionFromLag: {
          input: {
            type: "structure",
            required: [
              "connectionId",
              "lagId"
            ],
            members: {
              connectionId: {},
              lagId: {}
            }
          },
          output: {
            shape: "So"
          }
        },
        DisassociateMacSecKey: {
          input: {
            type: "structure",
            required: [
              "connectionId",
              "secretARN"
            ],
            members: {
              connectionId: {},
              secretARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              connectionId: {},
              macSecKeys: {
                shape: "S18"
              }
            }
          }
        },
        ListVirtualInterfaceTestHistory: {
          input: {
            type: "structure",
            members: {
              testId: {},
              virtualInterfaceId: {},
              bgpPeers: {
                shape: "S65"
              },
              status: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              virtualInterfaceTestHistory: {
                type: "list",
                member: {
                  shape: "S69"
                }
              },
              nextToken: {}
            }
          }
        },
        StartBgpFailoverTest: {
          input: {
            type: "structure",
            required: [
              "virtualInterfaceId"
            ],
            members: {
              virtualInterfaceId: {},
              bgpPeers: {
                shape: "S65"
              },
              testDurationInMinutes: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              virtualInterfaceTest: {
                shape: "S69"
              }
            }
          }
        },
        StopBgpFailoverTest: {
          input: {
            type: "structure",
            required: [
              "virtualInterfaceId"
            ],
            members: {
              virtualInterfaceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              virtualInterfaceTest: {
                shape: "S69"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateConnection: {
          input: {
            type: "structure",
            required: [
              "connectionId"
            ],
            members: {
              connectionId: {},
              connectionName: {},
              encryptionMode: {}
            }
          },
          output: {
            shape: "So"
          }
        },
        UpdateDirectConnectGateway: {
          input: {
            type: "structure",
            required: [
              "directConnectGatewayId",
              "newDirectConnectGatewayName"
            ],
            members: {
              directConnectGatewayId: {},
              newDirectConnectGatewayName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              directConnectGateway: {
                shape: "S2v"
              }
            }
          }
        },
        UpdateDirectConnectGatewayAssociation: {
          input: {
            type: "structure",
            members: {
              associationId: {},
              addAllowedPrefixesToDirectConnectGateway: {
                shape: "S5"
              },
              removeAllowedPrefixesToDirectConnectGateway: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              directConnectGatewayAssociation: {
                shape: "S9"
              }
            }
          }
        },
        UpdateLag: {
          input: {
            type: "structure",
            required: [
              "lagId"
            ],
            members: {
              lagId: {},
              lagName: {},
              minimumLinks: {
                type: "integer"
              },
              encryptionMode: {}
            }
          },
          output: {
            shape: "S3b"
          }
        },
        UpdateVirtualInterfaceAttributes: {
          input: {
            type: "structure",
            required: [
              "virtualInterfaceId"
            ],
            members: {
              virtualInterfaceId: {},
              mtu: {
                type: "integer"
              },
              enableSiteLink: {
                type: "boolean"
              },
              virtualInterfaceName: {}
            }
          },
          output: {
            shape: "S1o"
          }
        }
      },
      shapes: {
        S5: {
          type: "list",
          member: {
            type: "structure",
            members: {
              cidr: {}
            }
          }
        },
        S9: {
          type: "structure",
          members: {
            directConnectGatewayId: {},
            directConnectGatewayOwnerAccount: {},
            associationState: {},
            stateChangeError: {},
            associatedGateway: {
              shape: "Sc"
            },
            associationId: {},
            allowedPrefixesToDirectConnectGateway: {
              shape: "S5"
            },
            virtualGatewayId: {},
            virtualGatewayRegion: {
              type: "string",
              deprecated: true
            },
            virtualGatewayOwnerAccount: {}
          }
        },
        Sc: {
          type: "structure",
          members: {
            id: {},
            type: {},
            ownerAccount: {},
            region: {}
          }
        },
        So: {
          type: "structure",
          members: {
            ownerAccount: {},
            connectionId: {},
            connectionName: {},
            connectionState: {},
            region: {},
            location: {},
            bandwidth: {},
            vlan: {
              type: "integer"
            },
            partnerName: {},
            loaIssueTime: {
              type: "timestamp"
            },
            lagId: {},
            awsDevice: {
              shape: "Sv"
            },
            jumboFrameCapable: {
              type: "boolean"
            },
            awsDeviceV2: {},
            awsLogicalDeviceId: {},
            hasLogicalRedundancy: {},
            tags: {
              shape: "S10"
            },
            providerName: {},
            macSecCapable: {
              type: "boolean"
            },
            portEncryptionStatus: {},
            encryptionMode: {},
            macSecKeys: {
              shape: "S18"
            }
          }
        },
        Sv: {
          type: "string",
          deprecated: true
        },
        S10: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        S18: {
          type: "list",
          member: {
            type: "structure",
            members: {
              secretARN: {},
              ckn: {},
              state: {},
              startOn: {}
            }
          }
        },
        S1o: {
          type: "structure",
          members: {
            ownerAccount: {},
            virtualInterfaceId: {},
            location: {},
            connectionId: {},
            virtualInterfaceType: {},
            virtualInterfaceName: {},
            vlan: {
              type: "integer"
            },
            asn: {
              type: "integer"
            },
            amazonSideAsn: {
              type: "long"
            },
            authKey: {},
            amazonAddress: {},
            customerAddress: {},
            addressFamily: {},
            virtualInterfaceState: {},
            customerRouterConfig: {},
            mtu: {
              type: "integer"
            },
            jumboFrameCapable: {
              type: "boolean"
            },
            virtualGatewayId: {},
            directConnectGatewayId: {},
            routeFilterPrefixes: {
              shape: "S5"
            },
            bgpPeers: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  bgpPeerId: {},
                  asn: {
                    type: "integer"
                  },
                  authKey: {},
                  addressFamily: {},
                  amazonAddress: {},
                  customerAddress: {},
                  bgpPeerState: {},
                  bgpStatus: {},
                  awsDeviceV2: {},
                  awsLogicalDeviceId: {}
                }
              }
            },
            region: {},
            awsDeviceV2: {},
            awsLogicalDeviceId: {},
            tags: {
              shape: "S10"
            },
            siteLinkEnabled: {
              type: "boolean"
            }
          }
        },
        S2v: {
          type: "structure",
          members: {
            directConnectGatewayId: {},
            directConnectGatewayName: {},
            amazonSideAsn: {
              type: "long"
            },
            ownerAccount: {},
            directConnectGatewayState: {},
            stateChangeError: {}
          }
        },
        S32: {
          type: "structure",
          members: {
            proposalId: {},
            directConnectGatewayId: {},
            directConnectGatewayOwnerAccount: {},
            proposalState: {},
            associatedGateway: {
              shape: "Sc"
            },
            existingAllowedPrefixesToDirectConnectGateway: {
              shape: "S5"
            },
            requestedAllowedPrefixesToDirectConnectGateway: {
              shape: "S5"
            }
          }
        },
        S36: {
          type: "structure",
          members: {
            interconnectId: {},
            interconnectName: {},
            interconnectState: {},
            region: {},
            location: {},
            bandwidth: {},
            loaIssueTime: {
              type: "timestamp"
            },
            lagId: {},
            awsDevice: {
              shape: "Sv"
            },
            jumboFrameCapable: {
              type: "boolean"
            },
            awsDeviceV2: {},
            awsLogicalDeviceId: {},
            hasLogicalRedundancy: {},
            tags: {
              shape: "S10"
            },
            providerName: {}
          }
        },
        S3b: {
          type: "structure",
          members: {
            connectionsBandwidth: {},
            numberOfConnections: {
              type: "integer"
            },
            lagId: {},
            ownerAccount: {},
            lagName: {},
            lagState: {},
            location: {},
            region: {},
            minimumLinks: {
              type: "integer"
            },
            awsDevice: {
              shape: "Sv"
            },
            awsDeviceV2: {},
            awsLogicalDeviceId: {},
            connections: {
              shape: "S3d"
            },
            allowsHostedConnections: {
              type: "boolean"
            },
            jumboFrameCapable: {
              type: "boolean"
            },
            hasLogicalRedundancy: {},
            tags: {
              shape: "S10"
            },
            providerName: {},
            macSecCapable: {
              type: "boolean"
            },
            encryptionMode: {},
            macSecKeys: {
              shape: "S18"
            }
          }
        },
        S3d: {
          type: "list",
          member: {
            shape: "So"
          }
        },
        S44: {
          type: "structure",
          members: {
            loaContent: {
              type: "blob"
            },
            loaContentType: {}
          }
        },
        S47: {
          type: "structure",
          members: {
            connections: {
              shape: "S3d"
            }
          }
        },
        S65: {
          type: "list",
          member: {}
        },
        S69: {
          type: "structure",
          members: {
            testId: {},
            virtualInterfaceId: {},
            bgpPeers: {
              shape: "S65"
            },
            status: {},
            ownerAccount: {},
            testDurationInMinutes: {
              type: "integer"
            },
            startTime: {
              type: "timestamp"
            },
            endTime: {
              type: "timestamp"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/directconnect-2012-10-25.paginators.json
var require_directconnect_2012_10_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/directconnect-2012-10-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeConnections: {
          result_key: "connections"
        },
        DescribeConnectionsOnInterconnect: {
          result_key: "connections"
        },
        DescribeInterconnects: {
          result_key: "interconnects"
        },
        DescribeLocations: {
          result_key: "locations"
        },
        DescribeVirtualGateways: {
          result_key: "virtualGateways"
        },
        DescribeVirtualInterfaces: {
          result_key: "virtualInterfaces"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/directconnect.js
var require_directconnect = __commonJS({
  "node_modules/aws-sdk/clients/directconnect.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["directconnect"] = {};
    AWS2.DirectConnect = Service.defineService("directconnect", ["2012-10-25"]);
    Object.defineProperty(apiLoader.services["directconnect"], "2012-10-25", {
      get: function get() {
        var model = require_directconnect_2012_10_25_min();
        model.paginators = require_directconnect_2012_10_25_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.DirectConnect;
  }
});

// node_modules/aws-sdk/apis/ds-2015-04-16.min.json
var require_ds_2015_04_16_min = __commonJS({
  "node_modules/aws-sdk/apis/ds-2015-04-16.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-04-16",
        endpointPrefix: "ds",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Directory Service",
        serviceFullName: "AWS Directory Service",
        serviceId: "Directory Service",
        signatureVersion: "v4",
        targetPrefix: "DirectoryService_20150416",
        uid: "ds-2015-04-16"
      },
      operations: {
        AcceptSharedDirectory: {
          input: {
            type: "structure",
            required: [
              "SharedDirectoryId"
            ],
            members: {
              SharedDirectoryId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SharedDirectory: {
                shape: "S4"
              }
            }
          }
        },
        AddIpRoutes: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "IpRoutes"
            ],
            members: {
              DirectoryId: {},
              IpRoutes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CidrIp: {},
                    Description: {}
                  }
                }
              },
              UpdateSecurityGroupForDirectoryControllers: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AddRegion: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "RegionName",
              "VPCSettings"
            ],
            members: {
              DirectoryId: {},
              RegionName: {},
              VPCSettings: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AddTagsToResource: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "Tags"
            ],
            members: {
              ResourceId: {},
              Tags: {
                shape: "Sr"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CancelSchemaExtension: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "SchemaExtensionId"
            ],
            members: {
              DirectoryId: {},
              SchemaExtensionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ConnectDirectory: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Password",
              "Size",
              "ConnectSettings"
            ],
            members: {
              Name: {},
              ShortName: {},
              Password: {
                shape: "S12"
              },
              Description: {},
              Size: {},
              ConnectSettings: {
                type: "structure",
                required: [
                  "VpcId",
                  "SubnetIds",
                  "CustomerDnsIps",
                  "CustomerUserName"
                ],
                members: {
                  VpcId: {},
                  SubnetIds: {
                    shape: "Sm"
                  },
                  CustomerDnsIps: {
                    shape: "S15"
                  },
                  CustomerUserName: {}
                }
              },
              Tags: {
                shape: "Sr"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DirectoryId: {}
            }
          }
        },
        CreateAlias: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "Alias"
            ],
            members: {
              DirectoryId: {},
              Alias: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DirectoryId: {},
              Alias: {}
            }
          }
        },
        CreateComputer: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "ComputerName",
              "Password"
            ],
            members: {
              DirectoryId: {},
              ComputerName: {},
              Password: {
                type: "string",
                sensitive: true
              },
              OrganizationalUnitDistinguishedName: {},
              ComputerAttributes: {
                shape: "S1g"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Computer: {
                type: "structure",
                members: {
                  ComputerId: {},
                  ComputerName: {},
                  ComputerAttributes: {
                    shape: "S1g"
                  }
                }
              }
            }
          }
        },
        CreateConditionalForwarder: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "RemoteDomainName",
              "DnsIpAddrs"
            ],
            members: {
              DirectoryId: {},
              RemoteDomainName: {},
              DnsIpAddrs: {
                shape: "S15"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateDirectory: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Password",
              "Size"
            ],
            members: {
              Name: {},
              ShortName: {},
              Password: {
                shape: "S1r"
              },
              Description: {},
              Size: {},
              VpcSettings: {
                shape: "Sk"
              },
              Tags: {
                shape: "Sr"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DirectoryId: {}
            }
          }
        },
        CreateLogSubscription: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "LogGroupName"
            ],
            members: {
              DirectoryId: {},
              LogGroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateMicrosoftAD: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Password",
              "VpcSettings"
            ],
            members: {
              Name: {},
              ShortName: {},
              Password: {
                shape: "S1r"
              },
              Description: {},
              VpcSettings: {
                shape: "Sk"
              },
              Edition: {},
              Tags: {
                shape: "Sr"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DirectoryId: {}
            }
          }
        },
        CreateSnapshot: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SnapshotId: {}
            }
          }
        },
        CreateTrust: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "RemoteDomainName",
              "TrustPassword",
              "TrustDirection"
            ],
            members: {
              DirectoryId: {},
              RemoteDomainName: {},
              TrustPassword: {
                type: "string",
                sensitive: true
              },
              TrustDirection: {},
              TrustType: {},
              ConditionalForwarderIpAddrs: {
                shape: "S15"
              },
              SelectiveAuth: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrustId: {}
            }
          }
        },
        DeleteConditionalForwarder: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "RemoteDomainName"
            ],
            members: {
              DirectoryId: {},
              RemoteDomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDirectory: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DirectoryId: {}
            }
          }
        },
        DeleteLogSubscription: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSnapshot: {
          input: {
            type: "structure",
            required: [
              "SnapshotId"
            ],
            members: {
              SnapshotId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SnapshotId: {}
            }
          }
        },
        DeleteTrust: {
          input: {
            type: "structure",
            required: [
              "TrustId"
            ],
            members: {
              TrustId: {},
              DeleteAssociatedConditionalForwarder: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrustId: {}
            }
          }
        },
        DeregisterCertificate: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "CertificateId"
            ],
            members: {
              DirectoryId: {},
              CertificateId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeregisterEventTopic: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "TopicName"
            ],
            members: {
              DirectoryId: {},
              TopicName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeCertificate: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "CertificateId"
            ],
            members: {
              DirectoryId: {},
              CertificateId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Certificate: {
                type: "structure",
                members: {
                  CertificateId: {},
                  State: {},
                  StateReason: {},
                  CommonName: {},
                  RegisteredDateTime: {
                    type: "timestamp"
                  },
                  ExpiryDateTime: {
                    type: "timestamp"
                  },
                  Type: {},
                  ClientCertAuthSettings: {
                    shape: "S30"
                  }
                }
              }
            }
          }
        },
        DescribeClientAuthenticationSettings: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {},
              Type: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ClientAuthenticationSettingsInfo: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    Status: {},
                    LastUpdatedDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeConditionalForwarders: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {},
              RemoteDomainNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConditionalForwarders: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RemoteDomainName: {},
                    DnsIpAddrs: {
                      shape: "S15"
                    },
                    ReplicationScope: {}
                  }
                }
              }
            }
          }
        },
        DescribeDirectories: {
          input: {
            type: "structure",
            members: {
              DirectoryIds: {
                shape: "S3h"
              },
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DirectoryDescriptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DirectoryId: {},
                    Name: {},
                    ShortName: {},
                    Size: {},
                    Edition: {},
                    Alias: {},
                    AccessUrl: {},
                    Description: {},
                    DnsIpAddrs: {
                      shape: "S15"
                    },
                    Stage: {},
                    ShareStatus: {},
                    ShareMethod: {},
                    ShareNotes: {
                      shape: "S8"
                    },
                    LaunchTime: {
                      type: "timestamp"
                    },
                    StageLastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    Type: {},
                    VpcSettings: {
                      shape: "S3q"
                    },
                    ConnectSettings: {
                      type: "structure",
                      members: {
                        VpcId: {},
                        SubnetIds: {
                          shape: "Sm"
                        },
                        CustomerUserName: {},
                        SecurityGroupId: {},
                        AvailabilityZones: {
                          shape: "S3s"
                        },
                        ConnectIps: {
                          type: "list",
                          member: {}
                        }
                      }
                    },
                    RadiusSettings: {
                      shape: "S3w"
                    },
                    RadiusStatus: {},
                    StageReason: {},
                    SsoEnabled: {
                      type: "boolean"
                    },
                    DesiredNumberOfDomainControllers: {
                      type: "integer"
                    },
                    OwnerDirectoryDescription: {
                      type: "structure",
                      members: {
                        DirectoryId: {},
                        AccountId: {},
                        DnsIpAddrs: {
                          shape: "S15"
                        },
                        VpcSettings: {
                          shape: "S3q"
                        },
                        RadiusSettings: {
                          shape: "S3w"
                        },
                        RadiusStatus: {}
                      }
                    },
                    RegionsInfo: {
                      type: "structure",
                      members: {
                        PrimaryRegion: {},
                        AdditionalRegions: {
                          type: "list",
                          member: {}
                        }
                      }
                    },
                    OsVersion: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeDomainControllers: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {},
              DomainControllerIds: {
                type: "list",
                member: {}
              },
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainControllers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DirectoryId: {},
                    DomainControllerId: {},
                    DnsIpAddr: {},
                    VpcId: {},
                    SubnetId: {},
                    AvailabilityZone: {},
                    Status: {},
                    StatusReason: {},
                    LaunchTime: {
                      type: "timestamp"
                    },
                    StatusLastUpdatedDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeEventTopics: {
          input: {
            type: "structure",
            members: {
              DirectoryId: {},
              TopicNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventTopics: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DirectoryId: {},
                    TopicName: {},
                    TopicArn: {},
                    CreatedDateTime: {
                      type: "timestamp"
                    },
                    Status: {}
                  }
                }
              }
            }
          }
        },
        DescribeLDAPSSettings: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {},
              Type: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LDAPSSettingsInfo: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LDAPSStatus: {},
                    LDAPSStatusReason: {},
                    LastUpdatedDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeRegions: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {},
              RegionName: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RegionsDescription: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DirectoryId: {},
                    RegionName: {},
                    RegionType: {},
                    Status: {},
                    VpcSettings: {
                      shape: "Sk"
                    },
                    DesiredNumberOfDomainControllers: {
                      type: "integer"
                    },
                    LaunchTime: {
                      type: "timestamp"
                    },
                    StatusLastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    LastUpdatedDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeSettings: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {},
              Status: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DirectoryId: {},
              SettingEntries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    Name: {},
                    AllowedValues: {},
                    AppliedValue: {},
                    RequestedValue: {},
                    RequestStatus: {},
                    RequestDetailedStatus: {
                      type: "map",
                      key: {},
                      value: {}
                    },
                    RequestStatusMessage: {},
                    LastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    LastRequestedDateTime: {
                      type: "timestamp"
                    },
                    DataType: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeSharedDirectories: {
          input: {
            type: "structure",
            required: [
              "OwnerDirectoryId"
            ],
            members: {
              OwnerDirectoryId: {},
              SharedDirectoryIds: {
                shape: "S3h"
              },
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SharedDirectories: {
                type: "list",
                member: {
                  shape: "S4"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeSnapshots: {
          input: {
            type: "structure",
            members: {
              DirectoryId: {},
              SnapshotIds: {
                type: "list",
                member: {}
              },
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Snapshots: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DirectoryId: {},
                    SnapshotId: {},
                    Type: {},
                    Name: {},
                    Status: {},
                    StartTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeTrusts: {
          input: {
            type: "structure",
            members: {
              DirectoryId: {},
              TrustIds: {
                type: "list",
                member: {}
              },
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Trusts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DirectoryId: {},
                    TrustId: {},
                    RemoteDomainName: {},
                    TrustType: {},
                    TrustDirection: {},
                    TrustState: {},
                    CreatedDateTime: {
                      type: "timestamp"
                    },
                    LastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    StateLastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    TrustStateReason: {},
                    SelectiveAuth: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeUpdateDirectory: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "UpdateType"
            ],
            members: {
              DirectoryId: {},
              UpdateType: {},
              RegionName: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UpdateActivities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Region: {},
                    Status: {},
                    StatusReason: {},
                    InitiatedBy: {},
                    NewValue: {
                      shape: "S6a"
                    },
                    PreviousValue: {
                      shape: "S6a"
                    },
                    StartTime: {
                      type: "timestamp"
                    },
                    LastUpdatedDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DisableClientAuthentication: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "Type"
            ],
            members: {
              DirectoryId: {},
              Type: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisableLDAPS: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "Type"
            ],
            members: {
              DirectoryId: {},
              Type: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisableRadius: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisableSso: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {},
              UserName: {},
              Password: {
                shape: "S12"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        EnableClientAuthentication: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "Type"
            ],
            members: {
              DirectoryId: {},
              Type: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        EnableLDAPS: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "Type"
            ],
            members: {
              DirectoryId: {},
              Type: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        EnableRadius: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "RadiusSettings"
            ],
            members: {
              DirectoryId: {},
              RadiusSettings: {
                shape: "S3w"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        EnableSso: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {},
              UserName: {},
              Password: {
                shape: "S12"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetDirectoryLimits: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              DirectoryLimits: {
                type: "structure",
                members: {
                  CloudOnlyDirectoriesLimit: {
                    type: "integer"
                  },
                  CloudOnlyDirectoriesCurrentCount: {
                    type: "integer"
                  },
                  CloudOnlyDirectoriesLimitReached: {
                    type: "boolean"
                  },
                  CloudOnlyMicrosoftADLimit: {
                    type: "integer"
                  },
                  CloudOnlyMicrosoftADCurrentCount: {
                    type: "integer"
                  },
                  CloudOnlyMicrosoftADLimitReached: {
                    type: "boolean"
                  },
                  ConnectedDirectoriesLimit: {
                    type: "integer"
                  },
                  ConnectedDirectoriesCurrentCount: {
                    type: "integer"
                  },
                  ConnectedDirectoriesLimitReached: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        GetSnapshotLimits: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SnapshotLimits: {
                type: "structure",
                members: {
                  ManualSnapshotsLimit: {
                    type: "integer"
                  },
                  ManualSnapshotsCurrentCount: {
                    type: "integer"
                  },
                  ManualSnapshotsLimitReached: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        ListCertificates: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              CertificatesInfo: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CertificateId: {},
                    CommonName: {},
                    State: {},
                    ExpiryDateTime: {
                      type: "timestamp"
                    },
                    Type: {}
                  }
                }
              }
            }
          }
        },
        ListIpRoutes: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IpRoutesInfo: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DirectoryId: {},
                    CidrIp: {},
                    IpRouteStatusMsg: {},
                    AddedDateTime: {
                      type: "timestamp"
                    },
                    IpRouteStatusReason: {},
                    Description: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLogSubscriptions: {
          input: {
            type: "structure",
            members: {
              DirectoryId: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LogSubscriptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DirectoryId: {},
                    LogGroupName: {},
                    SubscriptionCreatedDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSchemaExtensions: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaExtensionsInfo: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DirectoryId: {},
                    SchemaExtensionId: {},
                    Description: {},
                    SchemaExtensionStatus: {},
                    SchemaExtensionStatusReason: {},
                    StartDateTime: {
                      type: "timestamp"
                    },
                    EndDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              ResourceId: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sr"
              },
              NextToken: {}
            }
          }
        },
        RegisterCertificate: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "CertificateData"
            ],
            members: {
              DirectoryId: {},
              CertificateData: {},
              Type: {},
              ClientCertAuthSettings: {
                shape: "S30"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CertificateId: {}
            }
          }
        },
        RegisterEventTopic: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "TopicName"
            ],
            members: {
              DirectoryId: {},
              TopicName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RejectSharedDirectory: {
          input: {
            type: "structure",
            required: [
              "SharedDirectoryId"
            ],
            members: {
              SharedDirectoryId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SharedDirectoryId: {}
            }
          }
        },
        RemoveIpRoutes: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "CidrIps"
            ],
            members: {
              DirectoryId: {},
              CidrIps: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RemoveRegion: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RemoveTagsFromResource: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "TagKeys"
            ],
            members: {
              ResourceId: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ResetUserPassword: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "UserName",
              "NewPassword"
            ],
            members: {
              DirectoryId: {},
              UserName: {},
              NewPassword: {
                type: "string",
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RestoreFromSnapshot: {
          input: {
            type: "structure",
            required: [
              "SnapshotId"
            ],
            members: {
              SnapshotId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ShareDirectory: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "ShareTarget",
              "ShareMethod"
            ],
            members: {
              DirectoryId: {},
              ShareNotes: {
                shape: "S8"
              },
              ShareTarget: {
                type: "structure",
                required: [
                  "Id",
                  "Type"
                ],
                members: {
                  Id: {},
                  Type: {}
                }
              },
              ShareMethod: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SharedDirectoryId: {}
            }
          }
        },
        StartSchemaExtension: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "CreateSnapshotBeforeSchemaExtension",
              "LdifContent",
              "Description"
            ],
            members: {
              DirectoryId: {},
              CreateSnapshotBeforeSchemaExtension: {
                type: "boolean"
              },
              LdifContent: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaExtensionId: {}
            }
          }
        },
        UnshareDirectory: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "UnshareTarget"
            ],
            members: {
              DirectoryId: {},
              UnshareTarget: {
                type: "structure",
                required: [
                  "Id",
                  "Type"
                ],
                members: {
                  Id: {},
                  Type: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SharedDirectoryId: {}
            }
          }
        },
        UpdateConditionalForwarder: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "RemoteDomainName",
              "DnsIpAddrs"
            ],
            members: {
              DirectoryId: {},
              RemoteDomainName: {},
              DnsIpAddrs: {
                shape: "S15"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDirectorySetup: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "UpdateType"
            ],
            members: {
              DirectoryId: {},
              UpdateType: {},
              OSUpdateSettings: {
                shape: "S6b"
              },
              CreateSnapshotBeforeUpdate: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateNumberOfDomainControllers: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "DesiredNumber"
            ],
            members: {
              DirectoryId: {},
              DesiredNumber: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateRadius: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "RadiusSettings"
            ],
            members: {
              DirectoryId: {},
              RadiusSettings: {
                shape: "S3w"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateSettings: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "Settings"
            ],
            members: {
              DirectoryId: {},
              Settings: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Value"
                  ],
                  members: {
                    Name: {},
                    Value: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DirectoryId: {}
            }
          }
        },
        UpdateTrust: {
          input: {
            type: "structure",
            required: [
              "TrustId"
            ],
            members: {
              TrustId: {},
              SelectiveAuth: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              TrustId: {}
            }
          }
        },
        VerifyTrust: {
          input: {
            type: "structure",
            required: [
              "TrustId"
            ],
            members: {
              TrustId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrustId: {}
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            OwnerAccountId: {},
            OwnerDirectoryId: {},
            ShareMethod: {},
            SharedAccountId: {},
            SharedDirectoryId: {},
            ShareStatus: {},
            ShareNotes: {
              shape: "S8"
            },
            CreatedDateTime: {
              type: "timestamp"
            },
            LastUpdatedDateTime: {
              type: "timestamp"
            }
          }
        },
        S8: {
          type: "string",
          sensitive: true
        },
        Sk: {
          type: "structure",
          required: [
            "VpcId",
            "SubnetIds"
          ],
          members: {
            VpcId: {},
            SubnetIds: {
              shape: "Sm"
            }
          }
        },
        Sm: {
          type: "list",
          member: {}
        },
        Sr: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S12: {
          type: "string",
          sensitive: true
        },
        S15: {
          type: "list",
          member: {}
        },
        S1g: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Value: {}
            }
          }
        },
        S1r: {
          type: "string",
          sensitive: true
        },
        S30: {
          type: "structure",
          members: {
            OCSPUrl: {}
          }
        },
        S3h: {
          type: "list",
          member: {}
        },
        S3q: {
          type: "structure",
          members: {
            VpcId: {},
            SubnetIds: {
              shape: "Sm"
            },
            SecurityGroupId: {},
            AvailabilityZones: {
              shape: "S3s"
            }
          }
        },
        S3s: {
          type: "list",
          member: {}
        },
        S3w: {
          type: "structure",
          members: {
            RadiusServers: {
              type: "list",
              member: {}
            },
            RadiusPort: {
              type: "integer"
            },
            RadiusTimeout: {
              type: "integer"
            },
            RadiusRetries: {
              type: "integer"
            },
            SharedSecret: {
              type: "string",
              sensitive: true
            },
            AuthenticationProtocol: {},
            DisplayLabel: {},
            UseSameUsername: {
              type: "boolean"
            }
          }
        },
        S6a: {
          type: "structure",
          members: {
            OSUpdateSettings: {
              shape: "S6b"
            }
          }
        },
        S6b: {
          type: "structure",
          members: {
            OSVersion: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ds-2015-04-16.paginators.json
var require_ds_2015_04_16_paginators = __commonJS({
  "node_modules/aws-sdk/apis/ds-2015-04-16.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeClientAuthenticationSettings: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "ClientAuthenticationSettingsInfo"
        },
        DescribeDirectories: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "DirectoryDescriptions"
        },
        DescribeDomainControllers: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken"
        },
        DescribeLDAPSSettings: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "LDAPSSettingsInfo"
        },
        DescribeRegions: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "RegionsDescription"
        },
        DescribeSharedDirectories: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "SharedDirectories"
        },
        DescribeSnapshots: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "Snapshots"
        },
        DescribeTrusts: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "Trusts"
        },
        DescribeUpdateDirectory: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "UpdateActivities"
        },
        ListCertificates: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "CertificatesInfo"
        },
        ListIpRoutes: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "IpRoutesInfo"
        },
        ListLogSubscriptions: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "LogSubscriptions"
        },
        ListSchemaExtensions: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "SchemaExtensionsInfo"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "Tags"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/directoryservice.js
var require_directoryservice = __commonJS({
  "node_modules/aws-sdk/clients/directoryservice.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["directoryservice"] = {};
    AWS2.DirectoryService = Service.defineService("directoryservice", ["2015-04-16"]);
    Object.defineProperty(apiLoader.services["directoryservice"], "2015-04-16", {
      get: function get() {
        var model = require_ds_2015_04_16_min();
        model.paginators = require_ds_2015_04_16_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.DirectoryService;
  }
});

// node_modules/aws-sdk/apis/discovery-2015-11-01.min.json
var require_discovery_2015_11_01_min = __commonJS({
  "node_modules/aws-sdk/apis/discovery-2015-11-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-11-01",
        endpointPrefix: "discovery",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Application Discovery Service",
        serviceId: "Application Discovery Service",
        signatureVersion: "v4",
        targetPrefix: "AWSPoseidonService_V2015_11_01",
        uid: "discovery-2015-11-01"
      },
      operations: {
        AssociateConfigurationItemsToApplication: {
          input: {
            type: "structure",
            required: [
              "applicationConfigurationId",
              "configurationIds"
            ],
            members: {
              applicationConfigurationId: {},
              configurationIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        BatchDeleteImportData: {
          input: {
            type: "structure",
            required: [
              "importTaskIds"
            ],
            members: {
              importTaskIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    importTaskId: {},
                    errorCode: {},
                    errorDescription: {}
                  }
                }
              }
            }
          }
        },
        CreateApplication: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              configurationId: {}
            }
          }
        },
        CreateTags: {
          input: {
            type: "structure",
            required: [
              "configurationIds",
              "tags"
            ],
            members: {
              configurationIds: {
                shape: "S3"
              },
              tags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteApplications: {
          input: {
            type: "structure",
            required: [
              "configurationIds"
            ],
            members: {
              configurationIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteTags: {
          input: {
            type: "structure",
            required: [
              "configurationIds"
            ],
            members: {
              configurationIds: {
                shape: "S3"
              },
              tags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeAgents: {
          input: {
            type: "structure",
            members: {
              agentIds: {
                shape: "Sv"
              },
              filters: {
                shape: "Sx"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              agentsInfo: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    agentId: {},
                    hostName: {},
                    agentNetworkInfoList: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ipAddress: {},
                          macAddress: {}
                        }
                      }
                    },
                    connectorId: {},
                    version: {},
                    health: {},
                    lastHealthPingTime: {},
                    collectionStatus: {},
                    agentType: {},
                    registeredTime: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeConfigurations: {
          input: {
            type: "structure",
            required: [
              "configurationIds"
            ],
            members: {
              configurationIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              configurations: {
                type: "list",
                member: {
                  type: "map",
                  key: {},
                  value: {}
                }
              }
            }
          }
        },
        DescribeContinuousExports: {
          input: {
            type: "structure",
            members: {
              exportIds: {
                type: "list",
                member: {}
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              descriptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    exportId: {},
                    status: {},
                    statusDetail: {},
                    s3Bucket: {},
                    startTime: {
                      type: "timestamp"
                    },
                    stopTime: {
                      type: "timestamp"
                    },
                    dataSource: {},
                    schemaStorageConfig: {
                      shape: "S1q"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeExportConfigurations: {
          input: {
            type: "structure",
            members: {
              exportIds: {
                shape: "S1t"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              exportsInfo: {
                shape: "S1v"
              },
              nextToken: {}
            }
          },
          deprecated: true
        },
        DescribeExportTasks: {
          input: {
            type: "structure",
            members: {
              exportIds: {
                shape: "S1t"
              },
              filters: {
                shape: "S23"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              exportsInfo: {
                shape: "S1v"
              },
              nextToken: {}
            }
          }
        },
        DescribeImportTasks: {
          input: {
            type: "structure",
            members: {
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              tasks: {
                type: "list",
                member: {
                  shape: "S2g"
                }
              }
            }
          }
        },
        DescribeTags: {
          input: {
            type: "structure",
            members: {
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "values"
                  ],
                  members: {
                    name: {},
                    values: {
                      shape: "Sz"
                    }
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    configurationType: {},
                    configurationId: {},
                    key: {},
                    value: {},
                    timeOfCreation: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DisassociateConfigurationItemsFromApplication: {
          input: {
            type: "structure",
            required: [
              "applicationConfigurationId",
              "configurationIds"
            ],
            members: {
              applicationConfigurationId: {},
              configurationIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ExportConfigurations: {
          output: {
            type: "structure",
            members: {
              exportId: {}
            }
          },
          deprecated: true
        },
        GetDiscoverySummary: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              servers: {
                type: "long"
              },
              applications: {
                type: "long"
              },
              serversMappedToApplications: {
                type: "long"
              },
              serversMappedtoTags: {
                type: "long"
              },
              agentSummary: {
                type: "structure",
                required: [
                  "activeAgents",
                  "healthyAgents",
                  "blackListedAgents",
                  "shutdownAgents",
                  "unhealthyAgents",
                  "totalAgents",
                  "unknownAgents"
                ],
                members: {
                  activeAgents: {
                    type: "integer"
                  },
                  healthyAgents: {
                    type: "integer"
                  },
                  blackListedAgents: {
                    type: "integer"
                  },
                  shutdownAgents: {
                    type: "integer"
                  },
                  unhealthyAgents: {
                    type: "integer"
                  },
                  totalAgents: {
                    type: "integer"
                  },
                  unknownAgents: {
                    type: "integer"
                  }
                }
              },
              connectorSummary: {
                type: "structure",
                required: [
                  "activeConnectors",
                  "healthyConnectors",
                  "blackListedConnectors",
                  "shutdownConnectors",
                  "unhealthyConnectors",
                  "totalConnectors",
                  "unknownConnectors"
                ],
                members: {
                  activeConnectors: {
                    type: "integer"
                  },
                  healthyConnectors: {
                    type: "integer"
                  },
                  blackListedConnectors: {
                    type: "integer"
                  },
                  shutdownConnectors: {
                    type: "integer"
                  },
                  unhealthyConnectors: {
                    type: "integer"
                  },
                  totalConnectors: {
                    type: "integer"
                  },
                  unknownConnectors: {
                    type: "integer"
                  }
                }
              },
              meCollectorSummary: {
                type: "structure",
                required: [
                  "activeMeCollectors",
                  "healthyMeCollectors",
                  "denyListedMeCollectors",
                  "shutdownMeCollectors",
                  "unhealthyMeCollectors",
                  "totalMeCollectors",
                  "unknownMeCollectors"
                ],
                members: {
                  activeMeCollectors: {
                    type: "integer"
                  },
                  healthyMeCollectors: {
                    type: "integer"
                  },
                  denyListedMeCollectors: {
                    type: "integer"
                  },
                  shutdownMeCollectors: {
                    type: "integer"
                  },
                  unhealthyMeCollectors: {
                    type: "integer"
                  },
                  totalMeCollectors: {
                    type: "integer"
                  },
                  unknownMeCollectors: {
                    type: "integer"
                  }
                }
              },
              agentlessCollectorSummary: {
                type: "structure",
                required: [
                  "activeAgentlessCollectors",
                  "healthyAgentlessCollectors",
                  "denyListedAgentlessCollectors",
                  "shutdownAgentlessCollectors",
                  "unhealthyAgentlessCollectors",
                  "totalAgentlessCollectors",
                  "unknownAgentlessCollectors"
                ],
                members: {
                  activeAgentlessCollectors: {
                    type: "integer"
                  },
                  healthyAgentlessCollectors: {
                    type: "integer"
                  },
                  denyListedAgentlessCollectors: {
                    type: "integer"
                  },
                  shutdownAgentlessCollectors: {
                    type: "integer"
                  },
                  unhealthyAgentlessCollectors: {
                    type: "integer"
                  },
                  totalAgentlessCollectors: {
                    type: "integer"
                  },
                  unknownAgentlessCollectors: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        ListConfigurations: {
          input: {
            type: "structure",
            required: [
              "configurationType"
            ],
            members: {
              configurationType: {},
              filters: {
                shape: "Sx"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              orderBy: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "fieldName"
                  ],
                  members: {
                    fieldName: {},
                    sortOrder: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              configurations: {
                type: "list",
                member: {
                  type: "map",
                  key: {},
                  value: {}
                }
              },
              nextToken: {}
            }
          }
        },
        ListServerNeighbors: {
          input: {
            type: "structure",
            required: [
              "configurationId"
            ],
            members: {
              configurationId: {},
              portInformationNeeded: {
                type: "boolean"
              },
              neighborConfigurationIds: {
                shape: "S3"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "neighbors"
            ],
            members: {
              neighbors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "sourceServerId",
                    "destinationServerId",
                    "connectionsCount"
                  ],
                  members: {
                    sourceServerId: {},
                    destinationServerId: {},
                    destinationPort: {
                      type: "integer"
                    },
                    transportProtocol: {},
                    connectionsCount: {
                      type: "long"
                    }
                  }
                }
              },
              nextToken: {},
              knownDependencyCount: {
                type: "long"
              }
            }
          }
        },
        StartContinuousExport: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              exportId: {},
              s3Bucket: {},
              startTime: {
                type: "timestamp"
              },
              dataSource: {},
              schemaStorageConfig: {
                shape: "S1q"
              }
            }
          }
        },
        StartDataCollectionByAgentIds: {
          input: {
            type: "structure",
            required: [
              "agentIds"
            ],
            members: {
              agentIds: {
                shape: "Sv"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              agentsConfigurationStatus: {
                shape: "S3k"
              }
            }
          }
        },
        StartExportTask: {
          input: {
            type: "structure",
            members: {
              exportDataFormat: {
                type: "list",
                member: {}
              },
              filters: {
                shape: "S23"
              },
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              preferences: {
                type: "structure",
                members: {
                  ec2RecommendationsPreferences: {
                    type: "structure",
                    members: {
                      enabled: {
                        type: "boolean"
                      },
                      cpuPerformanceMetricBasis: {
                        shape: "S3s"
                      },
                      ramPerformanceMetricBasis: {
                        shape: "S3s"
                      },
                      tenancy: {},
                      excludedInstanceTypes: {
                        type: "list",
                        member: {}
                      },
                      preferredRegion: {},
                      reservedInstanceOptions: {
                        type: "structure",
                        required: [
                          "purchasingOption",
                          "offeringClass",
                          "termLength"
                        ],
                        members: {
                          purchasingOption: {},
                          offeringClass: {},
                          termLength: {}
                        }
                      }
                    }
                  }
                },
                union: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              exportId: {}
            }
          }
        },
        StartImportTask: {
          input: {
            type: "structure",
            required: [
              "name",
              "importUrl"
            ],
            members: {
              clientRequestToken: {
                idempotencyToken: true
              },
              name: {},
              importUrl: {}
            }
          },
          output: {
            type: "structure",
            members: {
              task: {
                shape: "S2g"
              }
            }
          }
        },
        StopContinuousExport: {
          input: {
            type: "structure",
            required: [
              "exportId"
            ],
            members: {
              exportId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              startTime: {
                type: "timestamp"
              },
              stopTime: {
                type: "timestamp"
              }
            }
          }
        },
        StopDataCollectionByAgentIds: {
          input: {
            type: "structure",
            required: [
              "agentIds"
            ],
            members: {
              agentIds: {
                shape: "Sv"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              agentsConfigurationStatus: {
                shape: "S3k"
              }
            }
          }
        },
        UpdateApplication: {
          input: {
            type: "structure",
            required: [
              "configurationId"
            ],
            members: {
              configurationId: {},
              name: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {}
        },
        Sk: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        Sv: {
          type: "list",
          member: {}
        },
        Sx: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "values",
              "condition"
            ],
            members: {
              name: {},
              values: {
                shape: "Sz"
              },
              condition: {}
            }
          }
        },
        Sz: {
          type: "list",
          member: {}
        },
        S1q: {
          type: "map",
          key: {},
          value: {}
        },
        S1t: {
          type: "list",
          member: {}
        },
        S1v: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "exportId",
              "exportStatus",
              "statusMessage",
              "exportRequestTime"
            ],
            members: {
              exportId: {},
              exportStatus: {},
              statusMessage: {},
              configurationsDownloadUrl: {},
              exportRequestTime: {
                type: "timestamp"
              },
              isTruncated: {
                type: "boolean"
              },
              requestedStartTime: {
                type: "timestamp"
              },
              requestedEndTime: {
                type: "timestamp"
              }
            }
          }
        },
        S23: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "values",
              "condition"
            ],
            members: {
              name: {},
              values: {
                shape: "Sz"
              },
              condition: {}
            }
          }
        },
        S2g: {
          type: "structure",
          members: {
            importTaskId: {},
            clientRequestToken: {},
            name: {},
            importUrl: {},
            status: {},
            importRequestTime: {
              type: "timestamp"
            },
            importCompletionTime: {
              type: "timestamp"
            },
            importDeletedTime: {
              type: "timestamp"
            },
            serverImportSuccess: {
              type: "integer"
            },
            serverImportFailure: {
              type: "integer"
            },
            applicationImportSuccess: {
              type: "integer"
            },
            applicationImportFailure: {
              type: "integer"
            },
            errorsAndFailedEntriesZip: {}
          }
        },
        S3k: {
          type: "list",
          member: {
            type: "structure",
            members: {
              agentId: {},
              operationSucceeded: {
                type: "boolean"
              },
              description: {}
            }
          }
        },
        S3s: {
          type: "structure",
          members: {
            name: {},
            percentageAdjust: {
              type: "double"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/discovery-2015-11-01.paginators.json
var require_discovery_2015_11_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/discovery-2015-11-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeContinuousExports: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        DescribeImportTasks: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/discovery.js
var require_discovery = __commonJS({
  "node_modules/aws-sdk/clients/discovery.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["discovery"] = {};
    AWS2.Discovery = Service.defineService("discovery", ["2015-11-01"]);
    Object.defineProperty(apiLoader.services["discovery"], "2015-11-01", {
      get: function get() {
        var model = require_discovery_2015_11_01_min();
        model.paginators = require_discovery_2015_11_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Discovery;
  }
});

// node_modules/aws-sdk/apis/dms-2016-01-01.min.json
var require_dms_2016_01_01_min = __commonJS({
  "node_modules/aws-sdk/apis/dms-2016-01-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-01-01",
        endpointPrefix: "dms",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Database Migration Service",
        serviceId: "Database Migration Service",
        signatureVersion: "v4",
        targetPrefix: "AmazonDMSv20160101",
        uid: "dms-2016-01-01"
      },
      operations: {
        AddTagsToResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ApplyPendingMaintenanceAction: {
          input: {
            type: "structure",
            required: [
              "ReplicationInstanceArn",
              "ApplyAction",
              "OptInType"
            ],
            members: {
              ReplicationInstanceArn: {},
              ApplyAction: {},
              OptInType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourcePendingMaintenanceActions: {
                shape: "S8"
              }
            }
          }
        },
        BatchStartRecommendations: {
          input: {
            type: "structure",
            members: {
              Data: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "DatabaseId",
                    "Settings"
                  ],
                  members: {
                    DatabaseId: {},
                    Settings: {
                      shape: "Sf"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ErrorEntries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DatabaseId: {},
                    Message: {},
                    Code: {}
                  }
                }
              }
            }
          }
        },
        CancelReplicationTaskAssessmentRun: {
          input: {
            type: "structure",
            required: [
              "ReplicationTaskAssessmentRunArn"
            ],
            members: {
              ReplicationTaskAssessmentRunArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationTaskAssessmentRun: {
                shape: "Sl"
              }
            }
          }
        },
        CreateEndpoint: {
          input: {
            type: "structure",
            required: [
              "EndpointIdentifier",
              "EndpointType",
              "EngineName"
            ],
            members: {
              EndpointIdentifier: {},
              EndpointType: {},
              EngineName: {},
              Username: {},
              Password: {
                shape: "Sq"
              },
              ServerName: {},
              Port: {
                type: "integer"
              },
              DatabaseName: {},
              ExtraConnectionAttributes: {},
              KmsKeyId: {},
              Tags: {
                shape: "S3"
              },
              CertificateArn: {},
              SslMode: {},
              ServiceAccessRoleArn: {},
              ExternalTableDefinition: {},
              DynamoDbSettings: {
                shape: "St"
              },
              S3Settings: {
                shape: "Su"
              },
              DmsTransferSettings: {
                shape: "S14"
              },
              MongoDbSettings: {
                shape: "S15"
              },
              KinesisSettings: {
                shape: "S19"
              },
              KafkaSettings: {
                shape: "S1b"
              },
              ElasticsearchSettings: {
                shape: "S1f"
              },
              NeptuneSettings: {
                shape: "S1g"
              },
              RedshiftSettings: {
                shape: "S1h"
              },
              PostgreSQLSettings: {
                shape: "S1i"
              },
              MySQLSettings: {
                shape: "S1l"
              },
              OracleSettings: {
                shape: "S1n"
              },
              SybaseSettings: {
                shape: "S1q"
              },
              MicrosoftSQLServerSettings: {
                shape: "S1r"
              },
              IBMDb2Settings: {
                shape: "S1u"
              },
              ResourceIdentifier: {},
              DocDbSettings: {
                shape: "S1v"
              },
              RedisSettings: {
                shape: "S1w"
              },
              GcpMySQLSettings: {
                shape: "S1z"
              },
              TimestreamSettings: {
                shape: "S20"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Endpoint: {
                shape: "S22"
              }
            }
          }
        },
        CreateEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SnsTopicArn"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              EventCategories: {
                shape: "S24"
              },
              SourceIds: {
                shape: "S25"
              },
              Enabled: {
                type: "boolean"
              },
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S27"
              }
            }
          }
        },
        CreateFleetAdvisorCollector: {
          input: {
            type: "structure",
            required: [
              "CollectorName",
              "ServiceAccessRoleArn",
              "S3BucketName"
            ],
            members: {
              CollectorName: {},
              Description: {},
              ServiceAccessRoleArn: {},
              S3BucketName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CollectorReferencedId: {},
              CollectorName: {},
              Description: {},
              ServiceAccessRoleArn: {},
              S3BucketName: {}
            }
          }
        },
        CreateReplicationConfig: {
          input: {
            type: "structure",
            required: [
              "ReplicationConfigIdentifier",
              "SourceEndpointArn",
              "TargetEndpointArn",
              "ComputeConfig",
              "ReplicationType",
              "TableMappings"
            ],
            members: {
              ReplicationConfigIdentifier: {},
              SourceEndpointArn: {},
              TargetEndpointArn: {},
              ComputeConfig: {
                shape: "S2c"
              },
              ReplicationType: {},
              TableMappings: {},
              ReplicationSettings: {},
              SupplementalSettings: {},
              ResourceIdentifier: {},
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationConfig: {
                shape: "S2g"
              }
            }
          }
        },
        CreateReplicationInstance: {
          input: {
            type: "structure",
            required: [
              "ReplicationInstanceIdentifier",
              "ReplicationInstanceClass"
            ],
            members: {
              ReplicationInstanceIdentifier: {},
              AllocatedStorage: {
                type: "integer"
              },
              ReplicationInstanceClass: {},
              VpcSecurityGroupIds: {
                shape: "S2i"
              },
              AvailabilityZone: {},
              ReplicationSubnetGroupIdentifier: {},
              PreferredMaintenanceWindow: {},
              MultiAZ: {
                type: "boolean"
              },
              EngineVersion: {},
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              Tags: {
                shape: "S3"
              },
              KmsKeyId: {},
              PubliclyAccessible: {
                type: "boolean"
              },
              DnsNameServers: {},
              ResourceIdentifier: {},
              NetworkType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationInstance: {
                shape: "S2k"
              }
            }
          }
        },
        CreateReplicationSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "ReplicationSubnetGroupIdentifier",
              "ReplicationSubnetGroupDescription",
              "SubnetIds"
            ],
            members: {
              ReplicationSubnetGroupIdentifier: {},
              ReplicationSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S2w"
              },
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationSubnetGroup: {
                shape: "S2n"
              }
            }
          }
        },
        CreateReplicationTask: {
          input: {
            type: "structure",
            required: [
              "ReplicationTaskIdentifier",
              "SourceEndpointArn",
              "TargetEndpointArn",
              "ReplicationInstanceArn",
              "MigrationType",
              "TableMappings"
            ],
            members: {
              ReplicationTaskIdentifier: {},
              SourceEndpointArn: {},
              TargetEndpointArn: {},
              ReplicationInstanceArn: {},
              MigrationType: {},
              TableMappings: {},
              ReplicationTaskSettings: {},
              CdcStartTime: {
                type: "timestamp"
              },
              CdcStartPosition: {},
              CdcStopPosition: {},
              Tags: {
                shape: "S3"
              },
              TaskData: {},
              ResourceIdentifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationTask: {
                shape: "S30"
              }
            }
          }
        },
        DeleteCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateArn"
            ],
            members: {
              CertificateArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Certificate: {
                shape: "S35"
              }
            }
          }
        },
        DeleteConnection: {
          input: {
            type: "structure",
            required: [
              "EndpointArn",
              "ReplicationInstanceArn"
            ],
            members: {
              EndpointArn: {},
              ReplicationInstanceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Connection: {
                shape: "S39"
              }
            }
          }
        },
        DeleteEndpoint: {
          input: {
            type: "structure",
            required: [
              "EndpointArn"
            ],
            members: {
              EndpointArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Endpoint: {
                shape: "S22"
              }
            }
          }
        },
        DeleteEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S27"
              }
            }
          }
        },
        DeleteFleetAdvisorCollector: {
          input: {
            type: "structure",
            required: [
              "CollectorReferencedId"
            ],
            members: {
              CollectorReferencedId: {}
            }
          }
        },
        DeleteFleetAdvisorDatabases: {
          input: {
            type: "structure",
            required: [
              "DatabaseIds"
            ],
            members: {
              DatabaseIds: {
                shape: "S2d"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DatabaseIds: {
                shape: "S2d"
              }
            }
          }
        },
        DeleteReplicationConfig: {
          input: {
            type: "structure",
            required: [
              "ReplicationConfigArn"
            ],
            members: {
              ReplicationConfigArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationConfig: {
                shape: "S2g"
              }
            }
          }
        },
        DeleteReplicationInstance: {
          input: {
            type: "structure",
            required: [
              "ReplicationInstanceArn"
            ],
            members: {
              ReplicationInstanceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationInstance: {
                shape: "S2k"
              }
            }
          }
        },
        DeleteReplicationSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "ReplicationSubnetGroupIdentifier"
            ],
            members: {
              ReplicationSubnetGroupIdentifier: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteReplicationTask: {
          input: {
            type: "structure",
            required: [
              "ReplicationTaskArn"
            ],
            members: {
              ReplicationTaskArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationTask: {
                shape: "S30"
              }
            }
          }
        },
        DeleteReplicationTaskAssessmentRun: {
          input: {
            type: "structure",
            required: [
              "ReplicationTaskAssessmentRunArn"
            ],
            members: {
              ReplicationTaskAssessmentRunArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationTaskAssessmentRun: {
                shape: "Sl"
              }
            }
          }
        },
        DescribeAccountAttributes: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              AccountQuotas: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AccountQuotaName: {},
                    Used: {
                      type: "long"
                    },
                    Max: {
                      type: "long"
                    }
                  }
                }
              },
              UniqueAccountIdentifier: {}
            }
          }
        },
        DescribeApplicableIndividualAssessments: {
          input: {
            type: "structure",
            members: {
              ReplicationTaskArn: {},
              ReplicationInstanceArn: {},
              SourceEngineName: {},
              TargetEngineName: {},
              MigrationType: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IndividualAssessmentNames: {
                type: "list",
                member: {}
              },
              Marker: {}
            }
          }
        },
        DescribeCertificates: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              Certificates: {
                type: "list",
                member: {
                  shape: "S35"
                }
              }
            }
          }
        },
        DescribeConnections: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              Connections: {
                type: "list",
                member: {
                  shape: "S39"
                }
              }
            }
          }
        },
        DescribeEndpointSettings: {
          input: {
            type: "structure",
            required: [
              "EngineName"
            ],
            members: {
              EngineName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              EndpointSettings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Type: {},
                    EnumValues: {
                      type: "list",
                      member: {}
                    },
                    Sensitive: {
                      type: "boolean"
                    },
                    Units: {},
                    Applicability: {},
                    IntValueMin: {
                      type: "integer"
                    },
                    IntValueMax: {
                      type: "integer"
                    },
                    DefaultValue: {}
                  }
                }
              }
            }
          }
        },
        DescribeEndpointTypes: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              SupportedEndpointTypes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EngineName: {},
                    SupportsCDC: {
                      type: "boolean"
                    },
                    EndpointType: {},
                    ReplicationInstanceEngineMinimumVersion: {},
                    EngineDisplayName: {}
                  }
                }
              }
            }
          }
        },
        DescribeEndpoints: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              Endpoints: {
                type: "list",
                member: {
                  shape: "S22"
                }
              }
            }
          }
        },
        DescribeEventCategories: {
          input: {
            type: "structure",
            members: {
              SourceType: {},
              Filters: {
                shape: "S3z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventCategoryGroupList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SourceType: {},
                    EventCategories: {
                      shape: "S24"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeEventSubscriptions: {
          input: {
            type: "structure",
            members: {
              SubscriptionName: {},
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              EventSubscriptionsList: {
                type: "list",
                member: {
                  shape: "S27"
                }
              }
            }
          }
        },
        DescribeEvents: {
          input: {
            type: "structure",
            members: {
              SourceIdentifier: {},
              SourceType: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Duration: {
                type: "integer"
              },
              EventCategories: {
                shape: "S24"
              },
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              Events: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SourceIdentifier: {},
                    SourceType: {},
                    Message: {},
                    EventCategories: {
                      shape: "S24"
                    },
                    Date: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeFleetAdvisorCollectors: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Collectors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CollectorReferencedId: {},
                    CollectorName: {},
                    CollectorVersion: {},
                    VersionStatus: {},
                    Description: {},
                    S3BucketName: {},
                    ServiceAccessRoleArn: {},
                    CollectorHealthCheck: {
                      type: "structure",
                      members: {
                        CollectorStatus: {},
                        LocalCollectorS3Access: {
                          type: "boolean"
                        },
                        WebCollectorS3Access: {
                          type: "boolean"
                        },
                        WebCollectorGrantedRoleBasedAccess: {
                          type: "boolean"
                        }
                      }
                    },
                    LastDataReceived: {},
                    RegisteredDate: {},
                    CreatedDate: {},
                    ModifiedDate: {},
                    InventoryData: {
                      type: "structure",
                      members: {
                        NumberOfDatabases: {
                          type: "integer"
                        },
                        NumberOfSchemas: {
                          type: "integer"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeFleetAdvisorDatabases: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Databases: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DatabaseId: {},
                    DatabaseName: {},
                    IpAddress: {},
                    NumberOfSchemas: {
                      type: "long"
                    },
                    Server: {
                      shape: "S59"
                    },
                    SoftwareDetails: {
                      type: "structure",
                      members: {
                        Engine: {},
                        EngineVersion: {},
                        EngineEdition: {},
                        ServicePack: {},
                        SupportLevel: {},
                        OsArchitecture: {
                          type: "integer"
                        },
                        Tooltip: {}
                      }
                    },
                    Collectors: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          CollectorReferencedId: {},
                          CollectorName: {}
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeFleetAdvisorLsaAnalysis: {
          input: {
            type: "structure",
            members: {
              MaxRecords: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Analysis: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LsaAnalysisId: {},
                    Status: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeFleetAdvisorSchemaObjectSummary: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetAdvisorSchemaObjects: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SchemaId: {},
                    ObjectType: {},
                    NumberOfObjects: {
                      type: "long"
                    },
                    CodeLineCount: {
                      type: "long"
                    },
                    CodeSize: {
                      type: "long"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeFleetAdvisorSchemas: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetAdvisorSchemas: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CodeLineCount: {
                      type: "long"
                    },
                    CodeSize: {
                      type: "long"
                    },
                    Complexity: {},
                    Server: {
                      shape: "S59"
                    },
                    DatabaseInstance: {
                      type: "structure",
                      members: {
                        DatabaseId: {},
                        DatabaseName: {},
                        DatabaseIpAddress: {},
                        DatabaseEngine: {}
                      }
                    },
                    SchemaId: {},
                    SchemaName: {},
                    OriginalSchema: {
                      type: "structure",
                      members: {
                        SchemaId: {},
                        SchemaName: {},
                        DatabaseId: {},
                        DatabaseName: {},
                        DatabaseIpAddress: {}
                      }
                    },
                    Similarity: {
                      type: "double"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeOrderableReplicationInstances: {
          input: {
            type: "structure",
            members: {
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OrderableReplicationInstances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EngineVersion: {},
                    ReplicationInstanceClass: {},
                    StorageType: {},
                    MinAllocatedStorage: {
                      type: "integer"
                    },
                    MaxAllocatedStorage: {
                      type: "integer"
                    },
                    DefaultAllocatedStorage: {
                      type: "integer"
                    },
                    IncludedAllocatedStorage: {
                      type: "integer"
                    },
                    AvailabilityZones: {
                      type: "list",
                      member: {}
                    },
                    ReleaseStatus: {}
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribePendingMaintenanceActions: {
          input: {
            type: "structure",
            members: {
              ReplicationInstanceArn: {},
              Filters: {
                shape: "S3z"
              },
              Marker: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PendingMaintenanceActions: {
                type: "list",
                member: {
                  shape: "S8"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeRecommendationLimitations: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Limitations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DatabaseId: {},
                    EngineName: {},
                    Name: {},
                    Description: {},
                    Impact: {},
                    Type: {}
                  }
                }
              }
            }
          }
        },
        DescribeRecommendations: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Recommendations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DatabaseId: {},
                    EngineName: {},
                    CreatedDate: {},
                    Status: {},
                    Preferred: {
                      type: "boolean"
                    },
                    Settings: {
                      shape: "Sf"
                    },
                    Data: {
                      type: "structure",
                      members: {
                        RdsEngine: {
                          type: "structure",
                          members: {
                            RequirementsToTarget: {
                              type: "structure",
                              members: {
                                EngineEdition: {},
                                InstanceVcpu: {
                                  type: "double"
                                },
                                InstanceMemory: {
                                  type: "double"
                                },
                                StorageSize: {
                                  type: "integer"
                                },
                                StorageIops: {
                                  type: "integer"
                                },
                                DeploymentOption: {},
                                EngineVersion: {}
                              }
                            },
                            TargetConfiguration: {
                              type: "structure",
                              members: {
                                EngineEdition: {},
                                InstanceType: {},
                                InstanceVcpu: {
                                  type: "double"
                                },
                                InstanceMemory: {
                                  type: "double"
                                },
                                StorageType: {},
                                StorageSize: {
                                  type: "integer"
                                },
                                StorageIops: {
                                  type: "integer"
                                },
                                DeploymentOption: {},
                                EngineVersion: {}
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeRefreshSchemasStatus: {
          input: {
            type: "structure",
            required: [
              "EndpointArn"
            ],
            members: {
              EndpointArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RefreshSchemasStatus: {
                shape: "S6f"
              }
            }
          }
        },
        DescribeReplicationConfigs: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              ReplicationConfigs: {
                type: "list",
                member: {
                  shape: "S2g"
                }
              }
            }
          }
        },
        DescribeReplicationInstanceTaskLogs: {
          input: {
            type: "structure",
            required: [
              "ReplicationInstanceArn"
            ],
            members: {
              ReplicationInstanceArn: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationInstanceArn: {},
              ReplicationInstanceTaskLogs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ReplicationTaskName: {},
                    ReplicationTaskArn: {},
                    ReplicationInstanceTaskLogSize: {
                      type: "long"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeReplicationInstances: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              ReplicationInstances: {
                type: "list",
                member: {
                  shape: "S2k"
                }
              }
            }
          }
        },
        DescribeReplicationSubnetGroups: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              ReplicationSubnetGroups: {
                type: "list",
                member: {
                  shape: "S2n"
                }
              }
            }
          }
        },
        DescribeReplicationTableStatistics: {
          input: {
            type: "structure",
            required: [
              "ReplicationConfigArn"
            ],
            members: {
              ReplicationConfigArn: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              Filters: {
                shape: "S3z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationConfigArn: {},
              Marker: {},
              ReplicationTableStatistics: {
                type: "list",
                member: {
                  shape: "S6x"
                }
              }
            }
          }
        },
        DescribeReplicationTaskAssessmentResults: {
          input: {
            type: "structure",
            members: {
              ReplicationTaskArn: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              BucketName: {},
              ReplicationTaskAssessmentResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ReplicationTaskIdentifier: {},
                    ReplicationTaskArn: {},
                    ReplicationTaskLastAssessmentDate: {
                      type: "timestamp"
                    },
                    AssessmentStatus: {},
                    AssessmentResultsFile: {},
                    AssessmentResults: {},
                    S3ObjectUrl: {}
                  }
                }
              }
            }
          }
        },
        DescribeReplicationTaskAssessmentRuns: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              ReplicationTaskAssessmentRuns: {
                type: "list",
                member: {
                  shape: "Sl"
                }
              }
            }
          }
        },
        DescribeReplicationTaskIndividualAssessments: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              ReplicationTaskIndividualAssessments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ReplicationTaskIndividualAssessmentArn: {},
                    ReplicationTaskAssessmentRunArn: {},
                    IndividualAssessmentName: {},
                    Status: {},
                    ReplicationTaskIndividualAssessmentStartDate: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeReplicationTasks: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              WithoutSettings: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              ReplicationTasks: {
                type: "list",
                member: {
                  shape: "S30"
                }
              }
            }
          }
        },
        DescribeReplications: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3z"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              Replications: {
                type: "list",
                member: {
                  shape: "S7f"
                }
              }
            }
          }
        },
        DescribeSchemas: {
          input: {
            type: "structure",
            required: [
              "EndpointArn"
            ],
            members: {
              EndpointArn: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              Schemas: {
                type: "list",
                member: {}
              }
            }
          }
        },
        DescribeTableStatistics: {
          input: {
            type: "structure",
            required: [
              "ReplicationTaskArn"
            ],
            members: {
              ReplicationTaskArn: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              Filters: {
                shape: "S3z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationTaskArn: {},
              TableStatistics: {
                type: "list",
                member: {
                  shape: "S6x"
                }
              },
              Marker: {}
            }
          }
        },
        ImportCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateIdentifier"
            ],
            members: {
              CertificateIdentifier: {},
              CertificatePem: {
                shape: "Sq"
              },
              CertificateWallet: {
                type: "blob"
              },
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Certificate: {
                shape: "S35"
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            members: {
              ResourceArn: {},
              ResourceArnList: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TagList: {
                shape: "S3"
              }
            }
          }
        },
        ModifyEndpoint: {
          input: {
            type: "structure",
            required: [
              "EndpointArn"
            ],
            members: {
              EndpointArn: {},
              EndpointIdentifier: {},
              EndpointType: {},
              EngineName: {},
              Username: {},
              Password: {
                shape: "Sq"
              },
              ServerName: {},
              Port: {
                type: "integer"
              },
              DatabaseName: {},
              ExtraConnectionAttributes: {},
              CertificateArn: {},
              SslMode: {},
              ServiceAccessRoleArn: {},
              ExternalTableDefinition: {},
              DynamoDbSettings: {
                shape: "St"
              },
              S3Settings: {
                shape: "Su"
              },
              DmsTransferSettings: {
                shape: "S14"
              },
              MongoDbSettings: {
                shape: "S15"
              },
              KinesisSettings: {
                shape: "S19"
              },
              KafkaSettings: {
                shape: "S1b"
              },
              ElasticsearchSettings: {
                shape: "S1f"
              },
              NeptuneSettings: {
                shape: "S1g"
              },
              RedshiftSettings: {
                shape: "S1h"
              },
              PostgreSQLSettings: {
                shape: "S1i"
              },
              MySQLSettings: {
                shape: "S1l"
              },
              OracleSettings: {
                shape: "S1n"
              },
              SybaseSettings: {
                shape: "S1q"
              },
              MicrosoftSQLServerSettings: {
                shape: "S1r"
              },
              IBMDb2Settings: {
                shape: "S1u"
              },
              DocDbSettings: {
                shape: "S1v"
              },
              RedisSettings: {
                shape: "S1w"
              },
              ExactSettings: {
                type: "boolean"
              },
              GcpMySQLSettings: {
                shape: "S1z"
              },
              TimestreamSettings: {
                shape: "S20"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Endpoint: {
                shape: "S22"
              }
            }
          }
        },
        ModifyEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              EventCategories: {
                shape: "S24"
              },
              Enabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S27"
              }
            }
          }
        },
        ModifyReplicationConfig: {
          input: {
            type: "structure",
            required: [
              "ReplicationConfigArn"
            ],
            members: {
              ReplicationConfigArn: {},
              ReplicationConfigIdentifier: {},
              ReplicationType: {},
              TableMappings: {},
              ReplicationSettings: {},
              SupplementalSettings: {},
              ComputeConfig: {
                shape: "S2c"
              },
              SourceEndpointArn: {},
              TargetEndpointArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationConfig: {
                shape: "S2g"
              }
            }
          }
        },
        ModifyReplicationInstance: {
          input: {
            type: "structure",
            required: [
              "ReplicationInstanceArn"
            ],
            members: {
              ReplicationInstanceArn: {},
              AllocatedStorage: {
                type: "integer"
              },
              ApplyImmediately: {
                type: "boolean"
              },
              ReplicationInstanceClass: {},
              VpcSecurityGroupIds: {
                shape: "S2i"
              },
              PreferredMaintenanceWindow: {},
              MultiAZ: {
                type: "boolean"
              },
              EngineVersion: {},
              AllowMajorVersionUpgrade: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              ReplicationInstanceIdentifier: {},
              NetworkType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationInstance: {
                shape: "S2k"
              }
            }
          }
        },
        ModifyReplicationSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "ReplicationSubnetGroupIdentifier",
              "SubnetIds"
            ],
            members: {
              ReplicationSubnetGroupIdentifier: {},
              ReplicationSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S2w"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationSubnetGroup: {
                shape: "S2n"
              }
            }
          }
        },
        ModifyReplicationTask: {
          input: {
            type: "structure",
            required: [
              "ReplicationTaskArn"
            ],
            members: {
              ReplicationTaskArn: {},
              ReplicationTaskIdentifier: {},
              MigrationType: {},
              TableMappings: {},
              ReplicationTaskSettings: {},
              CdcStartTime: {
                type: "timestamp"
              },
              CdcStartPosition: {},
              CdcStopPosition: {},
              TaskData: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationTask: {
                shape: "S30"
              }
            }
          }
        },
        MoveReplicationTask: {
          input: {
            type: "structure",
            required: [
              "ReplicationTaskArn",
              "TargetReplicationInstanceArn"
            ],
            members: {
              ReplicationTaskArn: {},
              TargetReplicationInstanceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationTask: {
                shape: "S30"
              }
            }
          }
        },
        RebootReplicationInstance: {
          input: {
            type: "structure",
            required: [
              "ReplicationInstanceArn"
            ],
            members: {
              ReplicationInstanceArn: {},
              ForceFailover: {
                type: "boolean"
              },
              ForcePlannedFailover: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationInstance: {
                shape: "S2k"
              }
            }
          }
        },
        RefreshSchemas: {
          input: {
            type: "structure",
            required: [
              "EndpointArn",
              "ReplicationInstanceArn"
            ],
            members: {
              EndpointArn: {},
              ReplicationInstanceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RefreshSchemasStatus: {
                shape: "S6f"
              }
            }
          }
        },
        ReloadReplicationTables: {
          input: {
            type: "structure",
            required: [
              "ReplicationConfigArn",
              "TablesToReload"
            ],
            members: {
              ReplicationConfigArn: {},
              TablesToReload: {
                shape: "S8c"
              },
              ReloadOption: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationConfigArn: {}
            }
          }
        },
        ReloadTables: {
          input: {
            type: "structure",
            required: [
              "ReplicationTaskArn",
              "TablesToReload"
            ],
            members: {
              ReplicationTaskArn: {},
              TablesToReload: {
                shape: "S8c"
              },
              ReloadOption: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationTaskArn: {}
            }
          }
        },
        RemoveTagsFromResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RunFleetAdvisorLsaAnalysis: {
          output: {
            type: "structure",
            members: {
              LsaAnalysisId: {},
              Status: {}
            }
          }
        },
        StartRecommendations: {
          input: {
            type: "structure",
            required: [
              "DatabaseId",
              "Settings"
            ],
            members: {
              DatabaseId: {},
              Settings: {
                shape: "Sf"
              }
            }
          }
        },
        StartReplication: {
          input: {
            type: "structure",
            required: [
              "ReplicationConfigArn",
              "StartReplicationType"
            ],
            members: {
              ReplicationConfigArn: {},
              StartReplicationType: {},
              CdcStartTime: {
                type: "timestamp"
              },
              CdcStartPosition: {},
              CdcStopPosition: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Replication: {
                shape: "S7f"
              }
            }
          }
        },
        StartReplicationTask: {
          input: {
            type: "structure",
            required: [
              "ReplicationTaskArn",
              "StartReplicationTaskType"
            ],
            members: {
              ReplicationTaskArn: {},
              StartReplicationTaskType: {},
              CdcStartTime: {
                type: "timestamp"
              },
              CdcStartPosition: {},
              CdcStopPosition: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationTask: {
                shape: "S30"
              }
            }
          }
        },
        StartReplicationTaskAssessment: {
          input: {
            type: "structure",
            required: [
              "ReplicationTaskArn"
            ],
            members: {
              ReplicationTaskArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationTask: {
                shape: "S30"
              }
            }
          }
        },
        StartReplicationTaskAssessmentRun: {
          input: {
            type: "structure",
            required: [
              "ReplicationTaskArn",
              "ServiceAccessRoleArn",
              "ResultLocationBucket",
              "AssessmentRunName"
            ],
            members: {
              ReplicationTaskArn: {},
              ServiceAccessRoleArn: {},
              ResultLocationBucket: {},
              ResultLocationFolder: {},
              ResultEncryptionMode: {},
              ResultKmsKeyArn: {},
              AssessmentRunName: {},
              IncludeOnly: {
                type: "list",
                member: {}
              },
              Exclude: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationTaskAssessmentRun: {
                shape: "Sl"
              }
            }
          }
        },
        StopReplication: {
          input: {
            type: "structure",
            required: [
              "ReplicationConfigArn"
            ],
            members: {
              ReplicationConfigArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Replication: {
                shape: "S7f"
              }
            }
          }
        },
        StopReplicationTask: {
          input: {
            type: "structure",
            required: [
              "ReplicationTaskArn"
            ],
            members: {
              ReplicationTaskArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationTask: {
                shape: "S30"
              }
            }
          }
        },
        TestConnection: {
          input: {
            type: "structure",
            required: [
              "ReplicationInstanceArn",
              "EndpointArn"
            ],
            members: {
              ReplicationInstanceArn: {},
              EndpointArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Connection: {
                shape: "S39"
              }
            }
          }
        },
        UpdateSubscriptionsToEventBridge: {
          input: {
            type: "structure",
            members: {
              ForceMove: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Result: {}
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {},
              ResourceArn: {}
            }
          }
        },
        S8: {
          type: "structure",
          members: {
            ResourceIdentifier: {},
            PendingMaintenanceActionDetails: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Action: {},
                  AutoAppliedAfterDate: {
                    type: "timestamp"
                  },
                  ForcedApplyDate: {
                    type: "timestamp"
                  },
                  OptInStatus: {},
                  CurrentApplyDate: {
                    type: "timestamp"
                  },
                  Description: {}
                }
              }
            }
          }
        },
        Sf: {
          type: "structure",
          required: [
            "InstanceSizingType",
            "WorkloadType"
          ],
          members: {
            InstanceSizingType: {},
            WorkloadType: {}
          }
        },
        Sl: {
          type: "structure",
          members: {
            ReplicationTaskAssessmentRunArn: {},
            ReplicationTaskArn: {},
            Status: {},
            ReplicationTaskAssessmentRunCreationDate: {
              type: "timestamp"
            },
            AssessmentProgress: {
              type: "structure",
              members: {
                IndividualAssessmentCount: {
                  type: "integer"
                },
                IndividualAssessmentCompletedCount: {
                  type: "integer"
                }
              }
            },
            LastFailureMessage: {},
            ServiceAccessRoleArn: {},
            ResultLocationBucket: {},
            ResultLocationFolder: {},
            ResultEncryptionMode: {},
            ResultKmsKeyArn: {},
            AssessmentRunName: {}
          }
        },
        Sq: {
          type: "string",
          sensitive: true
        },
        St: {
          type: "structure",
          required: [
            "ServiceAccessRoleArn"
          ],
          members: {
            ServiceAccessRoleArn: {}
          }
        },
        Su: {
          type: "structure",
          members: {
            ServiceAccessRoleArn: {},
            ExternalTableDefinition: {},
            CsvRowDelimiter: {},
            CsvDelimiter: {},
            BucketFolder: {},
            BucketName: {},
            CompressionType: {},
            EncryptionMode: {},
            ServerSideEncryptionKmsKeyId: {},
            DataFormat: {},
            EncodingType: {},
            DictPageSizeLimit: {
              type: "integer"
            },
            RowGroupLength: {
              type: "integer"
            },
            DataPageSize: {
              type: "integer"
            },
            ParquetVersion: {},
            EnableStatistics: {
              type: "boolean"
            },
            IncludeOpForFullLoad: {
              type: "boolean"
            },
            CdcInsertsOnly: {
              type: "boolean"
            },
            TimestampColumnName: {},
            ParquetTimestampInMillisecond: {
              type: "boolean"
            },
            CdcInsertsAndUpdates: {
              type: "boolean"
            },
            DatePartitionEnabled: {
              type: "boolean"
            },
            DatePartitionSequence: {},
            DatePartitionDelimiter: {},
            UseCsvNoSupValue: {
              type: "boolean"
            },
            CsvNoSupValue: {},
            PreserveTransactions: {
              type: "boolean"
            },
            CdcPath: {},
            UseTaskStartTimeForFullLoadTimestamp: {
              type: "boolean"
            },
            CannedAclForObjects: {},
            AddColumnName: {
              type: "boolean"
            },
            CdcMaxBatchInterval: {
              type: "integer"
            },
            CdcMinFileSize: {
              type: "integer"
            },
            CsvNullValue: {},
            IgnoreHeaderRows: {
              type: "integer"
            },
            MaxFileSize: {
              type: "integer"
            },
            Rfc4180: {
              type: "boolean"
            },
            DatePartitionTimezone: {},
            AddTrailingPaddingCharacter: {
              type: "boolean"
            },
            ExpectedBucketOwner: {},
            GlueCatalogGeneration: {
              type: "boolean"
            }
          }
        },
        S14: {
          type: "structure",
          members: {
            ServiceAccessRoleArn: {},
            BucketName: {}
          }
        },
        S15: {
          type: "structure",
          members: {
            Username: {},
            Password: {
              shape: "Sq"
            },
            ServerName: {},
            Port: {
              type: "integer"
            },
            DatabaseName: {},
            AuthType: {},
            AuthMechanism: {},
            NestingLevel: {},
            ExtractDocId: {},
            DocsToInvestigate: {},
            AuthSource: {},
            KmsKeyId: {},
            SecretsManagerAccessRoleArn: {},
            SecretsManagerSecretId: {},
            UseUpdateLookUp: {
              type: "boolean"
            },
            ReplicateShardCollections: {
              type: "boolean"
            }
          }
        },
        S19: {
          type: "structure",
          members: {
            StreamArn: {},
            MessageFormat: {},
            ServiceAccessRoleArn: {},
            IncludeTransactionDetails: {
              type: "boolean"
            },
            IncludePartitionValue: {
              type: "boolean"
            },
            PartitionIncludeSchemaTable: {
              type: "boolean"
            },
            IncludeTableAlterOperations: {
              type: "boolean"
            },
            IncludeControlDetails: {
              type: "boolean"
            },
            IncludeNullAndEmpty: {
              type: "boolean"
            },
            NoHexPrefix: {
              type: "boolean"
            }
          }
        },
        S1b: {
          type: "structure",
          members: {
            Broker: {},
            Topic: {},
            MessageFormat: {},
            IncludeTransactionDetails: {
              type: "boolean"
            },
            IncludePartitionValue: {
              type: "boolean"
            },
            PartitionIncludeSchemaTable: {
              type: "boolean"
            },
            IncludeTableAlterOperations: {
              type: "boolean"
            },
            IncludeControlDetails: {
              type: "boolean"
            },
            MessageMaxBytes: {
              type: "integer"
            },
            IncludeNullAndEmpty: {
              type: "boolean"
            },
            SecurityProtocol: {},
            SslClientCertificateArn: {},
            SslClientKeyArn: {},
            SslClientKeyPassword: {
              shape: "Sq"
            },
            SslCaCertificateArn: {},
            SaslUsername: {},
            SaslPassword: {
              shape: "Sq"
            },
            NoHexPrefix: {
              type: "boolean"
            },
            SaslMechanism: {},
            SslEndpointIdentificationAlgorithm: {}
          }
        },
        S1f: {
          type: "structure",
          required: [
            "ServiceAccessRoleArn",
            "EndpointUri"
          ],
          members: {
            ServiceAccessRoleArn: {},
            EndpointUri: {},
            FullLoadErrorPercentage: {
              type: "integer"
            },
            ErrorRetryDuration: {
              type: "integer"
            },
            UseNewMappingType: {
              type: "boolean"
            }
          }
        },
        S1g: {
          type: "structure",
          required: [
            "S3BucketName",
            "S3BucketFolder"
          ],
          members: {
            ServiceAccessRoleArn: {},
            S3BucketName: {},
            S3BucketFolder: {},
            ErrorRetryDuration: {
              type: "integer"
            },
            MaxFileSize: {
              type: "integer"
            },
            MaxRetryCount: {
              type: "integer"
            },
            IamAuthEnabled: {
              type: "boolean"
            }
          }
        },
        S1h: {
          type: "structure",
          members: {
            AcceptAnyDate: {
              type: "boolean"
            },
            AfterConnectScript: {},
            BucketFolder: {},
            BucketName: {},
            CaseSensitiveNames: {
              type: "boolean"
            },
            CompUpdate: {
              type: "boolean"
            },
            ConnectionTimeout: {
              type: "integer"
            },
            DatabaseName: {},
            DateFormat: {},
            EmptyAsNull: {
              type: "boolean"
            },
            EncryptionMode: {},
            ExplicitIds: {
              type: "boolean"
            },
            FileTransferUploadStreams: {
              type: "integer"
            },
            LoadTimeout: {
              type: "integer"
            },
            MaxFileSize: {
              type: "integer"
            },
            Password: {
              shape: "Sq"
            },
            Port: {
              type: "integer"
            },
            RemoveQuotes: {
              type: "boolean"
            },
            ReplaceInvalidChars: {},
            ReplaceChars: {},
            ServerName: {},
            ServiceAccessRoleArn: {},
            ServerSideEncryptionKmsKeyId: {},
            TimeFormat: {},
            TrimBlanks: {
              type: "boolean"
            },
            TruncateColumns: {
              type: "boolean"
            },
            Username: {},
            WriteBufferSize: {
              type: "integer"
            },
            SecretsManagerAccessRoleArn: {},
            SecretsManagerSecretId: {},
            MapBooleanAsBoolean: {
              type: "boolean"
            }
          }
        },
        S1i: {
          type: "structure",
          members: {
            AfterConnectScript: {},
            CaptureDdls: {
              type: "boolean"
            },
            MaxFileSize: {
              type: "integer"
            },
            DatabaseName: {},
            DdlArtifactsSchema: {},
            ExecuteTimeout: {
              type: "integer"
            },
            FailTasksOnLobTruncation: {
              type: "boolean"
            },
            HeartbeatEnable: {
              type: "boolean"
            },
            HeartbeatSchema: {},
            HeartbeatFrequency: {
              type: "integer"
            },
            Password: {
              shape: "Sq"
            },
            Port: {
              type: "integer"
            },
            ServerName: {},
            Username: {},
            SlotName: {},
            PluginName: {},
            SecretsManagerAccessRoleArn: {},
            SecretsManagerSecretId: {},
            TrimSpaceInChar: {
              type: "boolean"
            },
            MapBooleanAsBoolean: {
              type: "boolean"
            },
            MapJsonbAsClob: {
              type: "boolean"
            },
            MapLongVarcharAs: {}
          }
        },
        S1l: {
          type: "structure",
          members: {
            AfterConnectScript: {},
            CleanSourceMetadataOnMismatch: {
              type: "boolean"
            },
            DatabaseName: {},
            EventsPollInterval: {
              type: "integer"
            },
            TargetDbType: {},
            MaxFileSize: {
              type: "integer"
            },
            ParallelLoadThreads: {
              type: "integer"
            },
            Password: {
              shape: "Sq"
            },
            Port: {
              type: "integer"
            },
            ServerName: {},
            ServerTimezone: {},
            Username: {},
            SecretsManagerAccessRoleArn: {},
            SecretsManagerSecretId: {}
          }
        },
        S1n: {
          type: "structure",
          members: {
            AddSupplementalLogging: {
              type: "boolean"
            },
            ArchivedLogDestId: {
              type: "integer"
            },
            AdditionalArchivedLogDestId: {
              type: "integer"
            },
            ExtraArchivedLogDestIds: {
              type: "list",
              member: {
                type: "integer"
              }
            },
            AllowSelectNestedTables: {
              type: "boolean"
            },
            ParallelAsmReadThreads: {
              type: "integer"
            },
            ReadAheadBlocks: {
              type: "integer"
            },
            AccessAlternateDirectly: {
              type: "boolean"
            },
            UseAlternateFolderForOnline: {
              type: "boolean"
            },
            OraclePathPrefix: {},
            UsePathPrefix: {},
            ReplacePathPrefix: {
              type: "boolean"
            },
            EnableHomogenousTablespace: {
              type: "boolean"
            },
            DirectPathNoLog: {
              type: "boolean"
            },
            ArchivedLogsOnly: {
              type: "boolean"
            },
            AsmPassword: {
              shape: "Sq"
            },
            AsmServer: {},
            AsmUser: {},
            CharLengthSemantics: {},
            DatabaseName: {},
            DirectPathParallelLoad: {
              type: "boolean"
            },
            FailTasksOnLobTruncation: {
              type: "boolean"
            },
            NumberDatatypeScale: {
              type: "integer"
            },
            Password: {
              shape: "Sq"
            },
            Port: {
              type: "integer"
            },
            ReadTableSpaceName: {
              type: "boolean"
            },
            RetryInterval: {
              type: "integer"
            },
            SecurityDbEncryption: {
              shape: "Sq"
            },
            SecurityDbEncryptionName: {},
            ServerName: {},
            SpatialDataOptionToGeoJsonFunctionName: {},
            StandbyDelayTime: {
              type: "integer"
            },
            Username: {},
            UseBFile: {
              type: "boolean"
            },
            UseDirectPathFullLoad: {
              type: "boolean"
            },
            UseLogminerReader: {
              type: "boolean"
            },
            SecretsManagerAccessRoleArn: {},
            SecretsManagerSecretId: {},
            SecretsManagerOracleAsmAccessRoleArn: {},
            SecretsManagerOracleAsmSecretId: {},
            TrimSpaceInChar: {
              type: "boolean"
            },
            ConvertTimestampWithZoneToUTC: {
              type: "boolean"
            },
            OpenTransactionWindow: {
              type: "integer"
            }
          }
        },
        S1q: {
          type: "structure",
          members: {
            DatabaseName: {},
            Password: {
              shape: "Sq"
            },
            Port: {
              type: "integer"
            },
            ServerName: {},
            Username: {},
            SecretsManagerAccessRoleArn: {},
            SecretsManagerSecretId: {}
          }
        },
        S1r: {
          type: "structure",
          members: {
            Port: {
              type: "integer"
            },
            BcpPacketSize: {
              type: "integer"
            },
            DatabaseName: {},
            ControlTablesFileGroup: {},
            Password: {
              shape: "Sq"
            },
            QuerySingleAlwaysOnNode: {
              type: "boolean"
            },
            ReadBackupOnly: {
              type: "boolean"
            },
            SafeguardPolicy: {},
            ServerName: {},
            Username: {},
            UseBcpFullLoad: {
              type: "boolean"
            },
            UseThirdPartyBackupDevice: {
              type: "boolean"
            },
            SecretsManagerAccessRoleArn: {},
            SecretsManagerSecretId: {},
            TrimSpaceInChar: {
              type: "boolean"
            },
            TlogAccessMode: {},
            ForceLobLookup: {
              type: "boolean"
            }
          }
        },
        S1u: {
          type: "structure",
          members: {
            DatabaseName: {},
            Password: {
              shape: "Sq"
            },
            Port: {
              type: "integer"
            },
            ServerName: {},
            SetDataCaptureChanges: {
              type: "boolean"
            },
            CurrentLsn: {},
            MaxKBytesPerRead: {
              type: "integer"
            },
            Username: {},
            SecretsManagerAccessRoleArn: {},
            SecretsManagerSecretId: {}
          }
        },
        S1v: {
          type: "structure",
          members: {
            Username: {},
            Password: {
              shape: "Sq"
            },
            ServerName: {},
            Port: {
              type: "integer"
            },
            DatabaseName: {},
            NestingLevel: {},
            ExtractDocId: {
              type: "boolean"
            },
            DocsToInvestigate: {
              type: "integer"
            },
            KmsKeyId: {},
            SecretsManagerAccessRoleArn: {},
            SecretsManagerSecretId: {},
            UseUpdateLookUp: {
              type: "boolean"
            },
            ReplicateShardCollections: {
              type: "boolean"
            }
          }
        },
        S1w: {
          type: "structure",
          required: [
            "ServerName",
            "Port"
          ],
          members: {
            ServerName: {},
            Port: {
              type: "integer"
            },
            SslSecurityProtocol: {},
            AuthType: {},
            AuthUserName: {},
            AuthPassword: {
              shape: "Sq"
            },
            SslCaCertificateArn: {}
          }
        },
        S1z: {
          type: "structure",
          members: {
            AfterConnectScript: {},
            CleanSourceMetadataOnMismatch: {
              type: "boolean"
            },
            DatabaseName: {},
            EventsPollInterval: {
              type: "integer"
            },
            TargetDbType: {},
            MaxFileSize: {
              type: "integer"
            },
            ParallelLoadThreads: {
              type: "integer"
            },
            Password: {
              shape: "Sq"
            },
            Port: {
              type: "integer"
            },
            ServerName: {},
            ServerTimezone: {},
            Username: {},
            SecretsManagerAccessRoleArn: {},
            SecretsManagerSecretId: {}
          }
        },
        S20: {
          type: "structure",
          required: [
            "DatabaseName",
            "MemoryDuration",
            "MagneticDuration"
          ],
          members: {
            DatabaseName: {},
            MemoryDuration: {
              type: "integer"
            },
            MagneticDuration: {
              type: "integer"
            },
            CdcInsertsAndUpdates: {
              type: "boolean"
            },
            EnableMagneticStoreWrites: {
              type: "boolean"
            }
          }
        },
        S22: {
          type: "structure",
          members: {
            EndpointIdentifier: {},
            EndpointType: {},
            EngineName: {},
            EngineDisplayName: {},
            Username: {},
            ServerName: {},
            Port: {
              type: "integer"
            },
            DatabaseName: {},
            ExtraConnectionAttributes: {},
            Status: {},
            KmsKeyId: {},
            EndpointArn: {},
            CertificateArn: {},
            SslMode: {},
            ServiceAccessRoleArn: {},
            ExternalTableDefinition: {},
            ExternalId: {},
            DynamoDbSettings: {
              shape: "St"
            },
            S3Settings: {
              shape: "Su"
            },
            DmsTransferSettings: {
              shape: "S14"
            },
            MongoDbSettings: {
              shape: "S15"
            },
            KinesisSettings: {
              shape: "S19"
            },
            KafkaSettings: {
              shape: "S1b"
            },
            ElasticsearchSettings: {
              shape: "S1f"
            },
            NeptuneSettings: {
              shape: "S1g"
            },
            RedshiftSettings: {
              shape: "S1h"
            },
            PostgreSQLSettings: {
              shape: "S1i"
            },
            MySQLSettings: {
              shape: "S1l"
            },
            OracleSettings: {
              shape: "S1n"
            },
            SybaseSettings: {
              shape: "S1q"
            },
            MicrosoftSQLServerSettings: {
              shape: "S1r"
            },
            IBMDb2Settings: {
              shape: "S1u"
            },
            DocDbSettings: {
              shape: "S1v"
            },
            RedisSettings: {
              shape: "S1w"
            },
            GcpMySQLSettings: {
              shape: "S1z"
            },
            TimestreamSettings: {
              shape: "S20"
            }
          }
        },
        S24: {
          type: "list",
          member: {}
        },
        S25: {
          type: "list",
          member: {}
        },
        S27: {
          type: "structure",
          members: {
            CustomerAwsId: {},
            CustSubscriptionId: {},
            SnsTopicArn: {},
            Status: {},
            SubscriptionCreationTime: {},
            SourceType: {},
            SourceIdsList: {
              shape: "S25"
            },
            EventCategoriesList: {
              shape: "S24"
            },
            Enabled: {
              type: "boolean"
            }
          }
        },
        S2c: {
          type: "structure",
          members: {
            AvailabilityZone: {},
            DnsNameServers: {},
            KmsKeyId: {},
            MaxCapacityUnits: {
              type: "integer"
            },
            MinCapacityUnits: {
              type: "integer"
            },
            MultiAZ: {
              type: "boolean"
            },
            PreferredMaintenanceWindow: {},
            ReplicationSubnetGroupId: {},
            VpcSecurityGroupIds: {
              shape: "S2d"
            }
          }
        },
        S2d: {
          type: "list",
          member: {}
        },
        S2g: {
          type: "structure",
          members: {
            ReplicationConfigIdentifier: {},
            ReplicationConfigArn: {},
            SourceEndpointArn: {},
            TargetEndpointArn: {},
            ReplicationType: {},
            ComputeConfig: {
              shape: "S2c"
            },
            ReplicationSettings: {},
            SupplementalSettings: {},
            TableMappings: {},
            ReplicationConfigCreateTime: {
              type: "timestamp"
            },
            ReplicationConfigUpdateTime: {
              type: "timestamp"
            }
          }
        },
        S2i: {
          type: "list",
          member: {}
        },
        S2k: {
          type: "structure",
          members: {
            ReplicationInstanceIdentifier: {},
            ReplicationInstanceClass: {},
            ReplicationInstanceStatus: {},
            AllocatedStorage: {
              type: "integer"
            },
            InstanceCreateTime: {
              type: "timestamp"
            },
            VpcSecurityGroups: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  VpcSecurityGroupId: {},
                  Status: {}
                }
              }
            },
            AvailabilityZone: {},
            ReplicationSubnetGroup: {
              shape: "S2n"
            },
            PreferredMaintenanceWindow: {},
            PendingModifiedValues: {
              type: "structure",
              members: {
                ReplicationInstanceClass: {},
                AllocatedStorage: {
                  type: "integer"
                },
                MultiAZ: {
                  type: "boolean"
                },
                EngineVersion: {},
                NetworkType: {}
              }
            },
            MultiAZ: {
              type: "boolean"
            },
            EngineVersion: {},
            AutoMinorVersionUpgrade: {
              type: "boolean"
            },
            KmsKeyId: {},
            ReplicationInstanceArn: {},
            ReplicationInstancePublicIpAddress: {
              deprecated: true
            },
            ReplicationInstancePrivateIpAddress: {
              deprecated: true
            },
            ReplicationInstancePublicIpAddresses: {
              type: "list",
              member: {}
            },
            ReplicationInstancePrivateIpAddresses: {
              type: "list",
              member: {}
            },
            ReplicationInstanceIpv6Addresses: {
              type: "list",
              member: {}
            },
            PubliclyAccessible: {
              type: "boolean"
            },
            SecondaryAvailabilityZone: {},
            FreeUntil: {
              type: "timestamp"
            },
            DnsNameServers: {},
            NetworkType: {}
          }
        },
        S2n: {
          type: "structure",
          members: {
            ReplicationSubnetGroupIdentifier: {},
            ReplicationSubnetGroupDescription: {},
            VpcId: {},
            SubnetGroupStatus: {},
            Subnets: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  SubnetIdentifier: {},
                  SubnetAvailabilityZone: {
                    type: "structure",
                    members: {
                      Name: {}
                    }
                  },
                  SubnetStatus: {}
                }
              }
            },
            SupportedNetworkTypes: {
              shape: "S2d"
            }
          }
        },
        S2w: {
          type: "list",
          member: {}
        },
        S30: {
          type: "structure",
          members: {
            ReplicationTaskIdentifier: {},
            SourceEndpointArn: {},
            TargetEndpointArn: {},
            ReplicationInstanceArn: {},
            MigrationType: {},
            TableMappings: {},
            ReplicationTaskSettings: {},
            Status: {},
            LastFailureMessage: {},
            StopReason: {},
            ReplicationTaskCreationDate: {
              type: "timestamp"
            },
            ReplicationTaskStartDate: {
              type: "timestamp"
            },
            CdcStartPosition: {},
            CdcStopPosition: {},
            RecoveryCheckpoint: {},
            ReplicationTaskArn: {},
            ReplicationTaskStats: {
              type: "structure",
              members: {
                FullLoadProgressPercent: {
                  type: "integer"
                },
                ElapsedTimeMillis: {
                  type: "long"
                },
                TablesLoaded: {
                  type: "integer"
                },
                TablesLoading: {
                  type: "integer"
                },
                TablesQueued: {
                  type: "integer"
                },
                TablesErrored: {
                  type: "integer"
                },
                FreshStartDate: {
                  type: "timestamp"
                },
                StartDate: {
                  type: "timestamp"
                },
                StopDate: {
                  type: "timestamp"
                },
                FullLoadStartDate: {
                  type: "timestamp"
                },
                FullLoadFinishDate: {
                  type: "timestamp"
                }
              }
            },
            TaskData: {},
            TargetReplicationInstanceArn: {}
          }
        },
        S35: {
          type: "structure",
          members: {
            CertificateIdentifier: {},
            CertificateCreationDate: {
              type: "timestamp"
            },
            CertificatePem: {},
            CertificateWallet: {
              type: "blob"
            },
            CertificateArn: {},
            CertificateOwner: {},
            ValidFromDate: {
              type: "timestamp"
            },
            ValidToDate: {
              type: "timestamp"
            },
            SigningAlgorithm: {},
            KeyLength: {
              type: "integer"
            }
          }
        },
        S39: {
          type: "structure",
          members: {
            ReplicationInstanceArn: {},
            EndpointArn: {},
            Status: {},
            LastFailureMessage: {},
            EndpointIdentifier: {},
            ReplicationInstanceIdentifier: {}
          }
        },
        S3z: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Values"
            ],
            members: {
              Name: {},
              Values: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S59: {
          type: "structure",
          members: {
            ServerId: {},
            IpAddress: {},
            ServerName: {}
          }
        },
        S6f: {
          type: "structure",
          members: {
            EndpointArn: {},
            ReplicationInstanceArn: {},
            Status: {},
            LastRefreshDate: {
              type: "timestamp"
            },
            LastFailureMessage: {}
          }
        },
        S6x: {
          type: "structure",
          members: {
            SchemaName: {},
            TableName: {},
            Inserts: {
              type: "long"
            },
            Deletes: {
              type: "long"
            },
            Updates: {
              type: "long"
            },
            Ddls: {
              type: "long"
            },
            AppliedInserts: {
              type: "long"
            },
            AppliedDeletes: {
              type: "long"
            },
            AppliedUpdates: {
              type: "long"
            },
            AppliedDdls: {
              type: "long"
            },
            FullLoadRows: {
              type: "long"
            },
            FullLoadCondtnlChkFailedRows: {
              type: "long"
            },
            FullLoadErrorRows: {
              type: "long"
            },
            FullLoadStartTime: {
              type: "timestamp"
            },
            FullLoadEndTime: {
              type: "timestamp"
            },
            FullLoadReloaded: {
              type: "boolean"
            },
            LastUpdateTime: {
              type: "timestamp"
            },
            TableState: {},
            ValidationPendingRecords: {
              type: "long"
            },
            ValidationFailedRecords: {
              type: "long"
            },
            ValidationSuspendedRecords: {
              type: "long"
            },
            ValidationState: {},
            ValidationStateDetails: {}
          }
        },
        S7f: {
          type: "structure",
          members: {
            ReplicationConfigIdentifier: {},
            ReplicationConfigArn: {},
            SourceEndpointArn: {},
            TargetEndpointArn: {},
            ReplicationType: {},
            Status: {},
            ProvisionData: {
              type: "structure",
              members: {
                ProvisionState: {},
                ProvisionedCapacityUnits: {
                  type: "integer"
                },
                DateProvisioned: {
                  type: "timestamp"
                },
                IsNewProvisioningAvailable: {
                  type: "boolean"
                },
                DateNewProvisioningDataAvailable: {
                  type: "timestamp"
                },
                ReasonForNewProvisioningData: {}
              }
            },
            StopReason: {},
            FailureMessages: {
              shape: "S2d"
            },
            ReplicationStats: {
              type: "structure",
              members: {
                FullLoadProgressPercent: {
                  type: "integer"
                },
                ElapsedTimeMillis: {
                  type: "long"
                },
                TablesLoaded: {
                  type: "integer"
                },
                TablesLoading: {
                  type: "integer"
                },
                TablesQueued: {
                  type: "integer"
                },
                TablesErrored: {
                  type: "integer"
                },
                FreshStartDate: {
                  type: "timestamp"
                },
                StartDate: {
                  type: "timestamp"
                },
                StopDate: {
                  type: "timestamp"
                },
                FullLoadStartDate: {
                  type: "timestamp"
                },
                FullLoadFinishDate: {
                  type: "timestamp"
                }
              }
            },
            StartReplicationType: {},
            CdcStartTime: {
              type: "timestamp"
            },
            CdcStartPosition: {},
            CdcStopPosition: {},
            RecoveryCheckpoint: {},
            ReplicationCreateTime: {
              type: "timestamp"
            },
            ReplicationUpdateTime: {
              type: "timestamp"
            },
            ReplicationLastStopTime: {
              type: "timestamp"
            }
          }
        },
        S8c: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "SchemaName",
              "TableName"
            ],
            members: {
              SchemaName: {},
              TableName: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/dms-2016-01-01.paginators.json
var require_dms_2016_01_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/dms-2016-01-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeApplicableIndividualAssessments: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeCertificates: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeConnections: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeEndpointSettings: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeEndpointTypes: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeEndpoints: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeEventSubscriptions: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeEvents: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeFleetAdvisorCollectors: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxRecords"
        },
        DescribeFleetAdvisorDatabases: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxRecords"
        },
        DescribeFleetAdvisorLsaAnalysis: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxRecords"
        },
        DescribeFleetAdvisorSchemaObjectSummary: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxRecords"
        },
        DescribeFleetAdvisorSchemas: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxRecords"
        },
        DescribeOrderableReplicationInstances: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribePendingMaintenanceActions: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeRecommendationLimitations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxRecords"
        },
        DescribeRecommendations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxRecords"
        },
        DescribeReplicationConfigs: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeReplicationInstanceTaskLogs: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeReplicationInstances: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeReplicationSubnetGroups: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeReplicationTableStatistics: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeReplicationTaskAssessmentResults: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeReplicationTaskAssessmentRuns: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeReplicationTaskIndividualAssessments: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeReplicationTasks: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeReplications: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeSchemas: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        },
        DescribeTableStatistics: {
          input_token: "Marker",
          output_token: "Marker",
          limit_key: "MaxRecords"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/dms-2016-01-01.waiters2.json
var require_dms_2016_01_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/dms-2016-01-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        TestConnectionSucceeds: {
          acceptors: [
            {
              argument: "Connections[].Status",
              expected: "successful",
              matcher: "pathAll",
              state: "success"
            },
            {
              argument: "Connections[].Status",
              expected: "failed",
              matcher: "pathAny",
              state: "failure"
            }
          ],
          delay: 5,
          description: "Wait until testing connection succeeds.",
          maxAttempts: 60,
          operation: "DescribeConnections"
        },
        EndpointDeleted: {
          acceptors: [
            {
              expected: "ResourceNotFoundFault",
              matcher: "error",
              state: "success"
            },
            {
              argument: "Endpoints[].Status",
              expected: "active",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "Endpoints[].Status",
              expected: "creating",
              matcher: "pathAny",
              state: "failure"
            }
          ],
          delay: 5,
          description: "Wait until testing endpoint is deleted.",
          maxAttempts: 60,
          operation: "DescribeEndpoints"
        },
        ReplicationInstanceAvailable: {
          acceptors: [
            {
              argument: "ReplicationInstances[].ReplicationInstanceStatus",
              expected: "available",
              matcher: "pathAll",
              state: "success"
            },
            {
              argument: "ReplicationInstances[].ReplicationInstanceStatus",
              expected: "deleting",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationInstances[].ReplicationInstanceStatus",
              expected: "incompatible-credentials",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationInstances[].ReplicationInstanceStatus",
              expected: "incompatible-network",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationInstances[].ReplicationInstanceStatus",
              expected: "inaccessible-encryption-credentials",
              matcher: "pathAny",
              state: "failure"
            }
          ],
          delay: 60,
          description: "Wait until DMS replication instance is available.",
          maxAttempts: 60,
          operation: "DescribeReplicationInstances"
        },
        ReplicationInstanceDeleted: {
          acceptors: [
            {
              argument: "ReplicationInstances[].ReplicationInstanceStatus",
              expected: "available",
              matcher: "pathAny",
              state: "failure"
            },
            {
              expected: "ResourceNotFoundFault",
              matcher: "error",
              state: "success"
            }
          ],
          delay: 15,
          description: "Wait until DMS replication instance is deleted.",
          maxAttempts: 60,
          operation: "DescribeReplicationInstances"
        },
        ReplicationTaskReady: {
          acceptors: [
            {
              argument: "ReplicationTasks[].Status",
              expected: "ready",
              matcher: "pathAll",
              state: "success"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "starting",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "running",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "stopping",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "stopped",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "failed",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "modifying",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "testing",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "deleting",
              matcher: "pathAny",
              state: "failure"
            }
          ],
          delay: 15,
          description: "Wait until DMS replication task is ready.",
          maxAttempts: 60,
          operation: "DescribeReplicationTasks"
        },
        ReplicationTaskStopped: {
          acceptors: [
            {
              argument: "ReplicationTasks[].Status",
              expected: "stopped",
              matcher: "pathAll",
              state: "success"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "ready",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "creating",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "starting",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "failed",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "modifying",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "testing",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "deleting",
              matcher: "pathAny",
              state: "failure"
            }
          ],
          delay: 15,
          description: "Wait until DMS replication task is stopped.",
          maxAttempts: 60,
          operation: "DescribeReplicationTasks"
        },
        ReplicationTaskRunning: {
          acceptors: [
            {
              argument: "ReplicationTasks[].Status",
              expected: "running",
              matcher: "pathAll",
              state: "success"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "ready",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "creating",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "stopping",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "stopped",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "failed",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "modifying",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "testing",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "deleting",
              matcher: "pathAny",
              state: "failure"
            }
          ],
          delay: 15,
          description: "Wait until DMS replication task is running.",
          maxAttempts: 60,
          operation: "DescribeReplicationTasks"
        },
        ReplicationTaskDeleted: {
          acceptors: [
            {
              argument: "ReplicationTasks[].Status",
              expected: "ready",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "creating",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "stopped",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "running",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "ReplicationTasks[].Status",
              expected: "failed",
              matcher: "pathAny",
              state: "failure"
            },
            {
              expected: "ResourceNotFoundFault",
              matcher: "error",
              state: "success"
            }
          ],
          delay: 15,
          description: "Wait until DMS replication task is deleted.",
          maxAttempts: 60,
          operation: "DescribeReplicationTasks"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/dms.js
var require_dms = __commonJS({
  "node_modules/aws-sdk/clients/dms.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["dms"] = {};
    AWS2.DMS = Service.defineService("dms", ["2016-01-01"]);
    Object.defineProperty(apiLoader.services["dms"], "2016-01-01", {
      get: function get() {
        var model = require_dms_2016_01_01_min();
        model.paginators = require_dms_2016_01_01_paginators().pagination;
        model.waiters = require_dms_2016_01_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.DMS;
  }
});

// node_modules/aws-sdk/lib/dynamodb/types.js
var require_types = __commonJS({
  "node_modules/aws-sdk/lib/dynamodb/types.js"(exports, module2) {
    var util = require_core().util;
    function typeOf(data) {
      if (data === null && typeof data === "object") {
        return "null";
      } else if (data !== void 0 && isBinary(data)) {
        return "Binary";
      } else if (data !== void 0 && data.constructor) {
        return data.wrapperName || util.typeName(data.constructor);
      } else if (data !== void 0 && typeof data === "object") {
        return "Object";
      } else {
        return "undefined";
      }
    }
    function isBinary(data) {
      var types = [
        "Buffer",
        "File",
        "Blob",
        "ArrayBuffer",
        "DataView",
        "Int8Array",
        "Uint8Array",
        "Uint8ClampedArray",
        "Int16Array",
        "Uint16Array",
        "Int32Array",
        "Uint32Array",
        "Float32Array",
        "Float64Array"
      ];
      if (util.isNode()) {
        var Stream = util.stream.Stream;
        if (util.Buffer.isBuffer(data) || data instanceof Stream) {
          return true;
        }
      }
      for (var i = 0; i < types.length; i++) {
        if (data !== void 0 && data.constructor) {
          if (util.isType(data, types[i]))
            return true;
          if (util.typeName(data.constructor) === types[i])
            return true;
        }
      }
      return false;
    }
    module2.exports = {
      typeOf,
      isBinary
    };
  }
});

// node_modules/aws-sdk/lib/dynamodb/set.js
var require_set = __commonJS({
  "node_modules/aws-sdk/lib/dynamodb/set.js"(exports, module2) {
    var util = require_core().util;
    var typeOf = require_types().typeOf;
    var memberTypeToSetType = {
      "String": "String",
      "Number": "Number",
      "NumberValue": "Number",
      "Binary": "Binary"
    };
    var DynamoDBSet = util.inherit({
      constructor: function Set(list, options) {
        options = options || {};
        this.wrapperName = "Set";
        this.initialize(list, options.validate);
      },
      initialize: function(list, validate) {
        var self = this;
        self.values = [].concat(list);
        self.detectType();
        if (validate) {
          self.validate();
        }
      },
      detectType: function() {
        this.type = memberTypeToSetType[typeOf(this.values[0])];
        if (!this.type) {
          throw util.error(new Error(), {
            code: "InvalidSetType",
            message: "Sets can contain string, number, or binary values"
          });
        }
      },
      validate: function() {
        var self = this;
        var length = self.values.length;
        var values = self.values;
        for (var i = 0; i < length; i++) {
          if (memberTypeToSetType[typeOf(values[i])] !== self.type) {
            throw util.error(new Error(), {
              code: "InvalidType",
              message: self.type + " Set contains " + typeOf(values[i]) + " value"
            });
          }
        }
      },
      /**
       * Render the underlying values only when converting to JSON.
       */
      toJSON: function() {
        var self = this;
        return self.values;
      }
    });
    module2.exports = DynamoDBSet;
  }
});

// node_modules/aws-sdk/lib/dynamodb/numberValue.js
var require_numberValue = __commonJS({
  "node_modules/aws-sdk/lib/dynamodb/numberValue.js"(exports, module2) {
    var util = require_core().util;
    var DynamoDBNumberValue = util.inherit({
      constructor: function NumberValue(value) {
        this.wrapperName = "NumberValue";
        this.value = value.toString();
      },
      /**
       * Render the underlying value as a number when converting to JSON.
       */
      toJSON: function() {
        return this.toNumber();
      },
      /**
       * Convert the underlying value to a JavaScript number.
       */
      toNumber: function() {
        return Number(this.value);
      },
      /**
       * Return a string representing the unaltered value provided to the
       * constructor.
       */
      toString: function() {
        return this.value;
      }
    });
    module2.exports = DynamoDBNumberValue;
  }
});

// node_modules/aws-sdk/lib/dynamodb/converter.js
var require_converter = __commonJS({
  "node_modules/aws-sdk/lib/dynamodb/converter.js"(exports, module2) {
    var AWS2 = require_core();
    var util = AWS2.util;
    var typeOf = require_types().typeOf;
    var DynamoDBSet = require_set();
    var NumberValue = require_numberValue();
    AWS2.DynamoDB.Converter = {
      /**
       * Convert a JavaScript value to its equivalent DynamoDB AttributeValue type
       *
       * @param data [any] The data to convert to a DynamoDB AttributeValue
       * @param options [map]
       * @option options convertEmptyValues [Boolean] Whether to automatically
       *                                              convert empty strings, blobs,
       *                                              and sets to `null`
       * @option options wrapNumbers [Boolean]  Whether to return numbers as a
       *                                        NumberValue object instead of
       *                                        converting them to native JavaScript
       *                                        numbers. This allows for the safe
       *                                        round-trip transport of numbers of
       *                                        arbitrary size.
       * @return [map] An object in the Amazon DynamoDB AttributeValue format
       *
       * @see AWS.DynamoDB.Converter.marshall AWS.DynamoDB.Converter.marshall to
       *    convert entire records (rather than individual attributes)
       */
      input: function convertInput(data, options) {
        options = options || {};
        var type = typeOf(data);
        if (type === "Object") {
          return formatMap(data, options);
        } else if (type === "Array") {
          return formatList(data, options);
        } else if (type === "Set") {
          return formatSet(data, options);
        } else if (type === "String") {
          if (data.length === 0 && options.convertEmptyValues) {
            return convertInput(null);
          }
          return { S: data };
        } else if (type === "Number" || type === "NumberValue") {
          return { N: data.toString() };
        } else if (type === "Binary") {
          if (data.length === 0 && options.convertEmptyValues) {
            return convertInput(null);
          }
          return { B: data };
        } else if (type === "Boolean") {
          return { BOOL: data };
        } else if (type === "null") {
          return { NULL: true };
        } else if (type !== "undefined" && type !== "Function") {
          return formatMap(data, options);
        }
      },
      /**
       * Convert a JavaScript object into a DynamoDB record.
       *
       * @param data [any] The data to convert to a DynamoDB record
       * @param options [map]
       * @option options convertEmptyValues [Boolean] Whether to automatically
       *                                              convert empty strings, blobs,
       *                                              and sets to `null`
       * @option options wrapNumbers [Boolean]  Whether to return numbers as a
       *                                        NumberValue object instead of
       *                                        converting them to native JavaScript
       *                                        numbers. This allows for the safe
       *                                        round-trip transport of numbers of
       *                                        arbitrary size.
       *
       * @return [map] An object in the DynamoDB record format.
       *
       * @example Convert a JavaScript object into a DynamoDB record
       *  var marshalled = AWS.DynamoDB.Converter.marshall({
       *    string: 'foo',
       *    list: ['fizz', 'buzz', 'pop'],
       *    map: {
       *      nestedMap: {
       *        key: 'value',
       *      }
       *    },
       *    number: 123,
       *    nullValue: null,
       *    boolValue: true,
       *    stringSet: new DynamoDBSet(['foo', 'bar', 'baz'])
       *  });
       */
      marshall: function marshallItem(data, options) {
        return AWS2.DynamoDB.Converter.input(data, options).M;
      },
      /**
       * Convert a DynamoDB AttributeValue object to its equivalent JavaScript type.
       *
       * @param data [map] An object in the Amazon DynamoDB AttributeValue format
       * @param options [map]
       * @option options convertEmptyValues [Boolean] Whether to automatically
       *                                              convert empty strings, blobs,
       *                                              and sets to `null`
       * @option options wrapNumbers [Boolean]  Whether to return numbers as a
       *                                        NumberValue object instead of
       *                                        converting them to native JavaScript
       *                                        numbers. This allows for the safe
       *                                        round-trip transport of numbers of
       *                                        arbitrary size.
       *
       * @return [Object|Array|String|Number|Boolean|null]
       *
       * @see AWS.DynamoDB.Converter.unmarshall AWS.DynamoDB.Converter.unmarshall to
       *    convert entire records (rather than individual attributes)
       */
      output: function convertOutput(data, options) {
        options = options || {};
        var list, map, i;
        for (var type in data) {
          var values = data[type];
          if (type === "M") {
            map = {};
            for (var key in values) {
              map[key] = convertOutput(values[key], options);
            }
            return map;
          } else if (type === "L") {
            list = [];
            for (i = 0; i < values.length; i++) {
              list.push(convertOutput(values[i], options));
            }
            return list;
          } else if (type === "SS") {
            list = [];
            for (i = 0; i < values.length; i++) {
              list.push(values[i] + "");
            }
            return new DynamoDBSet(list);
          } else if (type === "NS") {
            list = [];
            for (i = 0; i < values.length; i++) {
              list.push(convertNumber(values[i], options.wrapNumbers));
            }
            return new DynamoDBSet(list);
          } else if (type === "BS") {
            list = [];
            for (i = 0; i < values.length; i++) {
              list.push(AWS2.util.buffer.toBuffer(values[i]));
            }
            return new DynamoDBSet(list);
          } else if (type === "S") {
            return values + "";
          } else if (type === "N") {
            return convertNumber(values, options.wrapNumbers);
          } else if (type === "B") {
            return util.buffer.toBuffer(values);
          } else if (type === "BOOL") {
            return values === "true" || values === "TRUE" || values === true;
          } else if (type === "NULL") {
            return null;
          }
        }
      },
      /**
       * Convert a DynamoDB record into a JavaScript object.
       *
       * @param data [any] The DynamoDB record
       * @param options [map]
       * @option options convertEmptyValues [Boolean] Whether to automatically
       *                                              convert empty strings, blobs,
       *                                              and sets to `null`
       * @option options wrapNumbers [Boolean]  Whether to return numbers as a
       *                                        NumberValue object instead of
       *                                        converting them to native JavaScript
       *                                        numbers. This allows for the safe
       *                                        round-trip transport of numbers of
       *                                        arbitrary size.
       *
       * @return [map] An object whose properties have been converted from
       *    DynamoDB's AttributeValue format into their corresponding native
       *    JavaScript types.
       *
       * @example Convert a record received from a DynamoDB stream
       *  var unmarshalled = AWS.DynamoDB.Converter.unmarshall({
       *    string: {S: 'foo'},
       *    list: {L: [{S: 'fizz'}, {S: 'buzz'}, {S: 'pop'}]},
       *    map: {
       *      M: {
       *        nestedMap: {
       *          M: {
       *            key: {S: 'value'}
       *          }
       *        }
       *      }
       *    },
       *    number: {N: '123'},
       *    nullValue: {NULL: true},
       *    boolValue: {BOOL: true}
       *  });
       */
      unmarshall: function unmarshall(data, options) {
        return AWS2.DynamoDB.Converter.output({ M: data }, options);
      }
    };
    function formatList(data, options) {
      var list = { L: [] };
      for (var i = 0; i < data.length; i++) {
        list["L"].push(AWS2.DynamoDB.Converter.input(data[i], options));
      }
      return list;
    }
    function convertNumber(value, wrapNumbers) {
      return wrapNumbers ? new NumberValue(value) : Number(value);
    }
    function formatMap(data, options) {
      var map = { M: {} };
      for (var key in data) {
        var formatted = AWS2.DynamoDB.Converter.input(data[key], options);
        if (formatted !== void 0) {
          map["M"][key] = formatted;
        }
      }
      return map;
    }
    function formatSet(data, options) {
      options = options || {};
      var values = data.values;
      if (options.convertEmptyValues) {
        values = filterEmptySetValues(data);
        if (values.length === 0) {
          return AWS2.DynamoDB.Converter.input(null);
        }
      }
      var map = {};
      switch (data.type) {
        case "String":
          map["SS"] = values;
          break;
        case "Binary":
          map["BS"] = values;
          break;
        case "Number":
          map["NS"] = values.map(function(value) {
            return value.toString();
          });
      }
      return map;
    }
    function filterEmptySetValues(set) {
      var nonEmptyValues = [];
      var potentiallyEmptyTypes = {
        String: true,
        Binary: true,
        Number: false
      };
      if (potentiallyEmptyTypes[set.type]) {
        for (var i = 0; i < set.values.length; i++) {
          if (set.values[i].length === 0) {
            continue;
          }
          nonEmptyValues.push(set.values[i]);
        }
        return nonEmptyValues;
      }
      return set.values;
    }
    module2.exports = AWS2.DynamoDB.Converter;
  }
});

// node_modules/aws-sdk/lib/dynamodb/translator.js
var require_translator = __commonJS({
  "node_modules/aws-sdk/lib/dynamodb/translator.js"(exports, module2) {
    var util = require_core().util;
    var convert = require_converter();
    var Translator = function(options) {
      options = options || {};
      this.attrValue = options.attrValue;
      this.convertEmptyValues = Boolean(options.convertEmptyValues);
      this.wrapNumbers = Boolean(options.wrapNumbers);
    };
    Translator.prototype.translateInput = function(value, shape) {
      this.mode = "input";
      return this.translate(value, shape);
    };
    Translator.prototype.translateOutput = function(value, shape) {
      this.mode = "output";
      return this.translate(value, shape);
    };
    Translator.prototype.translate = function(value, shape) {
      var self = this;
      if (!shape || value === void 0)
        return void 0;
      if (shape.shape === self.attrValue) {
        return convert[self.mode](value, {
          convertEmptyValues: self.convertEmptyValues,
          wrapNumbers: self.wrapNumbers
        });
      }
      switch (shape.type) {
        case "structure":
          return self.translateStructure(value, shape);
        case "map":
          return self.translateMap(value, shape);
        case "list":
          return self.translateList(value, shape);
        default:
          return self.translateScalar(value, shape);
      }
    };
    Translator.prototype.translateStructure = function(structure, shape) {
      var self = this;
      if (structure == null)
        return void 0;
      var struct = {};
      util.each(structure, function(name, value) {
        var memberShape = shape.members[name];
        if (memberShape) {
          var result = self.translate(value, memberShape);
          if (result !== void 0)
            struct[name] = result;
        }
      });
      return struct;
    };
    Translator.prototype.translateList = function(list, shape) {
      var self = this;
      if (list == null)
        return void 0;
      var out = [];
      util.arrayEach(list, function(value) {
        var result = self.translate(value, shape.member);
        if (result === void 0)
          out.push(null);
        else
          out.push(result);
      });
      return out;
    };
    Translator.prototype.translateMap = function(map, shape) {
      var self = this;
      if (map == null)
        return void 0;
      var out = {};
      util.each(map, function(key, value) {
        var result = self.translate(value, shape.value);
        if (result === void 0)
          out[key] = null;
        else
          out[key] = result;
      });
      return out;
    };
    Translator.prototype.translateScalar = function(value, shape) {
      return shape.toType(value);
    };
    module2.exports = Translator;
  }
});

// node_modules/aws-sdk/lib/dynamodb/document_client.js
var require_document_client = __commonJS({
  "node_modules/aws-sdk/lib/dynamodb/document_client.js"(exports, module2) {
    var AWS2 = require_core();
    var Translator = require_translator();
    var DynamoDBSet = require_set();
    AWS2.DynamoDB.DocumentClient = AWS2.util.inherit({
      /**
       * Creates a DynamoDB document client with a set of configuration options.
       *
       * @option options params [map] An optional map of parameters to bind to every
       *   request sent by this service object.
       * @option options service [AWS.DynamoDB] An optional pre-configured instance
       *  of the AWS.DynamoDB service object. This instance's config will be
       *  copied to a new instance used by this client. You should not need to
       *  retain a reference to the input object, and may destroy it or allow it
       *  to be garbage collected.
       * @option options convertEmptyValues [Boolean] set to true if you would like
       *  the document client to convert empty values (0-length strings, binary
       *  buffers, and sets) to be converted to NULL types when persisting to
       *  DynamoDB.
       * @option options wrapNumbers [Boolean] Set to true to return numbers as a
       *  NumberValue object instead of converting them to native JavaScript numbers.
       *  This allows for the safe round-trip transport of numbers of arbitrary size.
       * @see AWS.DynamoDB.constructor
       *
       */
      constructor: function DocumentClient(options) {
        var self = this;
        self.options = options || {};
        self.configure(self.options);
      },
      /**
       * @api private
       */
      configure: function configure(options) {
        var self = this;
        self.service = options.service;
        self.bindServiceObject(options);
        self.attrValue = options.attrValue = self.service.api.operations.putItem.input.members.Item.value.shape;
      },
      /**
       * @api private
       */
      bindServiceObject: function bindServiceObject(options) {
        var self = this;
        options = options || {};
        if (!self.service) {
          self.service = new AWS2.DynamoDB(options);
        } else {
          var config = AWS2.util.copy(self.service.config);
          self.service = new self.service.constructor.__super__(config);
          self.service.config.params = AWS2.util.merge(self.service.config.params || {}, options.params);
        }
      },
      /**
       * @api private
       */
      makeServiceRequest: function(operation, params, callback) {
        var self = this;
        var request = self.service[operation](params);
        self.setupRequest(request);
        self.setupResponse(request);
        if (typeof callback === "function") {
          request.send(callback);
        }
        return request;
      },
      /**
       * @api private
       */
      serviceClientOperationsMap: {
        batchGet: "batchGetItem",
        batchWrite: "batchWriteItem",
        delete: "deleteItem",
        get: "getItem",
        put: "putItem",
        query: "query",
        scan: "scan",
        update: "updateItem",
        transactGet: "transactGetItems",
        transactWrite: "transactWriteItems"
      },
      /**
       * Returns the attributes of one or more items from one or more tables
       * by delegating to `AWS.DynamoDB.batchGetItem()`.
       *
       * Supply the same parameters as {AWS.DynamoDB.batchGetItem} with
       * `AttributeValue`s substituted by native JavaScript types.
       *
       * @see AWS.DynamoDB.batchGetItem
       * @example Get items from multiple tables
       *  var params = {
       *    RequestItems: {
       *      'Table-1': {
       *        Keys: [
       *          {
       *             HashKey: 'haskey',
       *             NumberRangeKey: 1
       *          }
       *        ]
       *      },
       *      'Table-2': {
       *        Keys: [
       *          { foo: 'bar' },
       *        ]
       *      }
       *    }
       *  };
       *
       *  var documentClient = new AWS.DynamoDB.DocumentClient();
       *
       *  documentClient.batchGet(params, function(err, data) {
       *    if (err) console.log(err);
       *    else console.log(data);
       *  });
       *
       */
      batchGet: function(params, callback) {
        var operation = this.serviceClientOperationsMap["batchGet"];
        return this.makeServiceRequest(operation, params, callback);
      },
      /**
       * Puts or deletes multiple items in one or more tables by delegating
       * to `AWS.DynamoDB.batchWriteItem()`.
       *
       * Supply the same parameters as {AWS.DynamoDB.batchWriteItem} with
       * `AttributeValue`s substituted by native JavaScript types.
       *
       * @see AWS.DynamoDB.batchWriteItem
       * @example Write to and delete from a table
       *  var params = {
       *    RequestItems: {
       *      'Table-1': [
       *        {
       *          DeleteRequest: {
       *            Key: { HashKey: 'someKey' }
       *          }
       *        },
       *        {
       *          PutRequest: {
       *            Item: {
       *              HashKey: 'anotherKey',
       *              NumAttribute: 1,
       *              BoolAttribute: true,
       *              ListAttribute: [1, 'two', false],
       *              MapAttribute: { foo: 'bar' }
       *            }
       *          }
       *        }
       *      ]
       *    }
       *  };
       *
       *  var documentClient = new AWS.DynamoDB.DocumentClient();
       *
       *  documentClient.batchWrite(params, function(err, data) {
       *    if (err) console.log(err);
       *    else console.log(data);
       *  });
       *
       */
      batchWrite: function(params, callback) {
        var operation = this.serviceClientOperationsMap["batchWrite"];
        return this.makeServiceRequest(operation, params, callback);
      },
      /**
       * Deletes a single item in a table by primary key by delegating to
       * `AWS.DynamoDB.deleteItem()`
       *
       * Supply the same parameters as {AWS.DynamoDB.deleteItem} with
       * `AttributeValue`s substituted by native JavaScript types.
       *
       * @see AWS.DynamoDB.deleteItem
       * @example Delete an item from a table
       *  var params = {
       *    TableName : 'Table',
       *    Key: {
       *      HashKey: 'hashkey',
       *      NumberRangeKey: 1
       *    }
       *  };
       *
       *  var documentClient = new AWS.DynamoDB.DocumentClient();
       *
       *  documentClient.delete(params, function(err, data) {
       *    if (err) console.log(err);
       *    else console.log(data);
       *  });
       *
       */
      delete: function(params, callback) {
        var operation = this.serviceClientOperationsMap["delete"];
        return this.makeServiceRequest(operation, params, callback);
      },
      /**
       * Returns a set of attributes for the item with the given primary key
       * by delegating to `AWS.DynamoDB.getItem()`.
       *
       * Supply the same parameters as {AWS.DynamoDB.getItem} with
       * `AttributeValue`s substituted by native JavaScript types.
       *
       * @see AWS.DynamoDB.getItem
       * @example Get an item from a table
       *  var params = {
       *    TableName : 'Table',
       *    Key: {
       *      HashKey: 'hashkey'
       *    }
       *  };
       *
       *  var documentClient = new AWS.DynamoDB.DocumentClient();
       *
       *  documentClient.get(params, function(err, data) {
       *    if (err) console.log(err);
       *    else console.log(data);
       *  });
       *
       */
      get: function(params, callback) {
        var operation = this.serviceClientOperationsMap["get"];
        return this.makeServiceRequest(operation, params, callback);
      },
      /**
       * Creates a new item, or replaces an old item with a new item by
       * delegating to `AWS.DynamoDB.putItem()`.
       *
       * Supply the same parameters as {AWS.DynamoDB.putItem} with
       * `AttributeValue`s substituted by native JavaScript types.
       *
       * @see AWS.DynamoDB.putItem
       * @example Create a new item in a table
       *  var params = {
       *    TableName : 'Table',
       *    Item: {
       *       HashKey: 'haskey',
       *       NumAttribute: 1,
       *       BoolAttribute: true,
       *       ListAttribute: [1, 'two', false],
       *       MapAttribute: { foo: 'bar'},
       *       NullAttribute: null
       *    }
       *  };
       *
       *  var documentClient = new AWS.DynamoDB.DocumentClient();
       *
       *  documentClient.put(params, function(err, data) {
       *    if (err) console.log(err);
       *    else console.log(data);
       *  });
       *
       */
      put: function(params, callback) {
        var operation = this.serviceClientOperationsMap["put"];
        return this.makeServiceRequest(operation, params, callback);
      },
      /**
       * Edits an existing item's attributes, or adds a new item to the table if
       * it does not already exist by delegating to `AWS.DynamoDB.updateItem()`.
       *
       * Supply the same parameters as {AWS.DynamoDB.updateItem} with
       * `AttributeValue`s substituted by native JavaScript types.
       *
       * @see AWS.DynamoDB.updateItem
       * @example Update an item with expressions
       *  var params = {
       *    TableName: 'Table',
       *    Key: { HashKey : 'hashkey' },
       *    UpdateExpression: 'set #a = :x + :y',
       *    ConditionExpression: '#a < :MAX',
       *    ExpressionAttributeNames: {'#a' : 'Sum'},
       *    ExpressionAttributeValues: {
       *      ':x' : 20,
       *      ':y' : 45,
       *      ':MAX' : 100,
       *    }
       *  };
       *
       *  var documentClient = new AWS.DynamoDB.DocumentClient();
       *
       *  documentClient.update(params, function(err, data) {
       *     if (err) console.log(err);
       *     else console.log(data);
       *  });
       *
       */
      update: function(params, callback) {
        var operation = this.serviceClientOperationsMap["update"];
        return this.makeServiceRequest(operation, params, callback);
      },
      /**
       * Returns one or more items and item attributes by accessing every item
       * in a table or a secondary index.
       *
       * Supply the same parameters as {AWS.DynamoDB.scan} with
       * `AttributeValue`s substituted by native JavaScript types.
       *
       * @see AWS.DynamoDB.scan
       * @example Scan the table with a filter expression
       *  var params = {
       *    TableName : 'Table',
       *    FilterExpression : 'Year = :this_year',
       *    ExpressionAttributeValues : {':this_year' : 2015}
       *  };
       *
       *  var documentClient = new AWS.DynamoDB.DocumentClient();
       *
       *  documentClient.scan(params, function(err, data) {
       *     if (err) console.log(err);
       *     else console.log(data);
       *  });
       *
       */
      scan: function(params, callback) {
        var operation = this.serviceClientOperationsMap["scan"];
        return this.makeServiceRequest(operation, params, callback);
      },
      /**
       * Directly access items from a table by primary key or a secondary index.
       *
       * Supply the same parameters as {AWS.DynamoDB.query} with
       * `AttributeValue`s substituted by native JavaScript types.
       *
       * @see AWS.DynamoDB.query
       * @example Query an index
       *  var params = {
       *    TableName: 'Table',
       *    IndexName: 'Index',
       *    KeyConditionExpression: 'HashKey = :hkey and RangeKey > :rkey',
       *    ExpressionAttributeValues: {
       *      ':hkey': 'key',
       *      ':rkey': 2015
       *    }
       *  };
       *
       *  var documentClient = new AWS.DynamoDB.DocumentClient();
       *
       *  documentClient.query(params, function(err, data) {
       *     if (err) console.log(err);
       *     else console.log(data);
       *  });
       *
       */
      query: function(params, callback) {
        var operation = this.serviceClientOperationsMap["query"];
        return this.makeServiceRequest(operation, params, callback);
      },
      /**
       * Synchronous write operation that groups up to 25 action requests.
       *
       * Supply the same parameters as {AWS.DynamoDB.transactWriteItems} with
       * `AttributeValue`s substituted by native JavaScript types.
       *
       * @see AWS.DynamoDB.transactWriteItems
       * @example Get items from multiple tables
       *  var params = {
       *    TransactItems: [{
       *      Put: {
       *        TableName : 'Table0',
       *        Item: {
       *          HashKey: 'haskey',
       *          NumAttribute: 1,
       *          BoolAttribute: true,
       *          ListAttribute: [1, 'two', false],
       *          MapAttribute: { foo: 'bar'},
       *          NullAttribute: null
       *        }
       *      }
       *    }, {
       *      Update: {
       *        TableName: 'Table1',
       *        Key: { HashKey : 'hashkey' },
       *        UpdateExpression: 'set #a = :x + :y',
       *        ConditionExpression: '#a < :MAX',
       *        ExpressionAttributeNames: {'#a' : 'Sum'},
       *        ExpressionAttributeValues: {
       *          ':x' : 20,
       *          ':y' : 45,
       *          ':MAX' : 100,
       *        }
       *      }
       *    }]
       *  };
       *
       *  documentClient.transactWrite(params, function(err, data) {
       *    if (err) console.log(err);
       *    else console.log(data);
       *  });
       */
      transactWrite: function(params, callback) {
        var operation = this.serviceClientOperationsMap["transactWrite"];
        return this.makeServiceRequest(operation, params, callback);
      },
      /**
       * Atomically retrieves multiple items from one or more tables (but not from indexes)
       * in a single account and region.
       *
       * Supply the same parameters as {AWS.DynamoDB.transactGetItems} with
       * `AttributeValue`s substituted by native JavaScript types.
       *
       * @see AWS.DynamoDB.transactGetItems
       * @example Get items from multiple tables
       *  var params = {
       *    TransactItems: [{
       *      Get: {
       *        TableName : 'Table0',
       *        Key: {
       *          HashKey: 'hashkey0'
       *        }
       *      }
       *    }, {
       *      Get: {
       *        TableName : 'Table1',
       *        Key: {
       *          HashKey: 'hashkey1'
       *        }
       *      }
       *    }]
       *  };
       *
       *  documentClient.transactGet(params, function(err, data) {
       *    if (err) console.log(err);
       *    else console.log(data);
       *  });
       */
      transactGet: function(params, callback) {
        var operation = this.serviceClientOperationsMap["transactGet"];
        return this.makeServiceRequest(operation, params, callback);
      },
      /**
       * Creates a set of elements inferring the type of set from
       * the type of the first element. Amazon DynamoDB currently supports
       * the number sets, string sets, and binary sets. For more information
       * about DynamoDB data types see the documentation on the
       * [Amazon DynamoDB Data Model](http://docs.aws.amazon.com/amazondynamodb/latest/developerguide/DataModel.html#DataModel.DataTypes).
       *
       * @param list [Array] Collection to represent your DynamoDB Set
       * @param options [map]
       *  * **validate** [Boolean] set to true if you want to validate the type
       *    of each element in the set. Defaults to `false`.
       * @example Creating a number set
       *  var documentClient = new AWS.DynamoDB.DocumentClient();
       *
       *  var params = {
       *    Item: {
       *      hashkey: 'hashkey'
       *      numbers: documentClient.createSet([1, 2, 3]);
       *    }
       *  };
       *
       *  documentClient.put(params, function(err, data) {
       *    if (err) console.log(err);
       *    else console.log(data);
       *  });
       *
       */
      createSet: function(list, options) {
        options = options || {};
        return new DynamoDBSet(list, options);
      },
      /**
       * @api private
       */
      getTranslator: function() {
        return new Translator(this.options);
      },
      /**
       * @api private
       */
      setupRequest: function setupRequest(request) {
        var self = this;
        var translator = self.getTranslator();
        var operation = request.operation;
        var inputShape = request.service.api.operations[operation].input;
        request._events.validate.unshift(function(req) {
          req.rawParams = AWS2.util.copy(req.params);
          req.params = translator.translateInput(req.rawParams, inputShape);
        });
      },
      /**
       * @api private
       */
      setupResponse: function setupResponse(request) {
        var self = this;
        var translator = self.getTranslator();
        var outputShape = self.service.api.operations[request.operation].output;
        request.on("extractData", function(response2) {
          response2.data = translator.translateOutput(response2.data, outputShape);
        });
        var response = request.response;
        response.nextPage = function(cb) {
          var resp = this;
          var req = resp.request;
          var config;
          var service = req.service;
          var operation = req.operation;
          try {
            config = service.paginationConfig(operation, true);
          } catch (e) {
            resp.error = e;
          }
          if (!resp.hasNextPage()) {
            if (cb)
              cb(resp.error, null);
            else if (resp.error)
              throw resp.error;
            return null;
          }
          var params = AWS2.util.copy(req.rawParams);
          if (!resp.nextPageTokens) {
            return cb ? cb(null, null) : null;
          } else {
            var inputTokens = config.inputToken;
            if (typeof inputTokens === "string")
              inputTokens = [inputTokens];
            for (var i = 0; i < inputTokens.length; i++) {
              params[inputTokens[i]] = resp.nextPageTokens[i];
            }
            return self[operation](params, cb);
          }
        };
      }
    });
    module2.exports = AWS2.DynamoDB.DocumentClient;
  }
});

// node_modules/aws-sdk/lib/services/dynamodb.js
var require_dynamodb = __commonJS({
  "node_modules/aws-sdk/lib/services/dynamodb.js"() {
    var AWS2 = require_core();
    require_document_client();
    AWS2.util.update(AWS2.DynamoDB.prototype, {
      /**
       * @api private
       */
      setupRequestListeners: function setupRequestListeners(request) {
        if (request.service.config.dynamoDbCrc32) {
          request.removeListener("extractData", AWS2.EventListeners.Json.EXTRACT_DATA);
          request.addListener("extractData", this.checkCrc32);
          request.addListener("extractData", AWS2.EventListeners.Json.EXTRACT_DATA);
        }
      },
      /**
       * @api private
       */
      checkCrc32: function checkCrc32(resp) {
        if (!resp.httpResponse.streaming && !resp.request.service.crc32IsValid(resp)) {
          resp.data = null;
          resp.error = AWS2.util.error(new Error(), {
            code: "CRC32CheckFailed",
            message: "CRC32 integrity check failed",
            retryable: true
          });
          resp.request.haltHandlersOnError();
          throw resp.error;
        }
      },
      /**
       * @api private
       */
      crc32IsValid: function crc32IsValid(resp) {
        var crc = resp.httpResponse.headers["x-amz-crc32"];
        if (!crc)
          return true;
        return parseInt(crc, 10) === AWS2.util.crypto.crc32(resp.httpResponse.body);
      },
      /**
       * @api private
       */
      defaultRetryCount: 10,
      /**
       * @api private
       */
      retryDelays: function retryDelays(retryCount, err) {
        var retryDelayOptions = AWS2.util.copy(this.config.retryDelayOptions);
        if (typeof retryDelayOptions.base !== "number") {
          retryDelayOptions.base = 50;
        }
        var delay = AWS2.util.calculateRetryDelay(retryCount, retryDelayOptions, err);
        return delay;
      }
    });
  }
});

// node_modules/aws-sdk/apis/dynamodb-2011-12-05.min.json
var require_dynamodb_2011_12_05_min = __commonJS({
  "node_modules/aws-sdk/apis/dynamodb-2011-12-05.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2011-12-05",
        endpointPrefix: "dynamodb",
        jsonVersion: "1.0",
        protocol: "json",
        serviceAbbreviation: "DynamoDB",
        serviceFullName: "Amazon DynamoDB",
        serviceId: "DynamoDB",
        signatureVersion: "v4",
        targetPrefix: "DynamoDB_20111205",
        uid: "dynamodb-2011-12-05"
      },
      operations: {
        BatchGetItem: {
          input: {
            type: "structure",
            required: [
              "RequestItems"
            ],
            members: {
              RequestItems: {
                shape: "S2"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Responses: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    Items: {
                      shape: "Sk"
                    },
                    ConsumedCapacityUnits: {
                      type: "double"
                    }
                  }
                }
              },
              UnprocessedKeys: {
                shape: "S2"
              }
            }
          }
        },
        BatchWriteItem: {
          input: {
            type: "structure",
            required: [
              "RequestItems"
            ],
            members: {
              RequestItems: {
                shape: "So"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Responses: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    ConsumedCapacityUnits: {
                      type: "double"
                    }
                  }
                }
              },
              UnprocessedItems: {
                shape: "So"
              }
            }
          }
        },
        CreateTable: {
          input: {
            type: "structure",
            required: [
              "TableName",
              "KeySchema",
              "ProvisionedThroughput"
            ],
            members: {
              TableName: {},
              KeySchema: {
                shape: "Sy"
              },
              ProvisionedThroughput: {
                shape: "S12"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TableDescription: {
                shape: "S15"
              }
            }
          }
        },
        DeleteItem: {
          input: {
            type: "structure",
            required: [
              "TableName",
              "Key"
            ],
            members: {
              TableName: {},
              Key: {
                shape: "S6"
              },
              Expected: {
                shape: "S1b"
              },
              ReturnValues: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "Sl"
              },
              ConsumedCapacityUnits: {
                type: "double"
              }
            }
          }
        },
        DeleteTable: {
          input: {
            type: "structure",
            required: [
              "TableName"
            ],
            members: {
              TableName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TableDescription: {
                shape: "S15"
              }
            }
          }
        },
        DescribeTable: {
          input: {
            type: "structure",
            required: [
              "TableName"
            ],
            members: {
              TableName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Table: {
                shape: "S15"
              }
            }
          }
        },
        GetItem: {
          input: {
            type: "structure",
            required: [
              "TableName",
              "Key"
            ],
            members: {
              TableName: {},
              Key: {
                shape: "S6"
              },
              AttributesToGet: {
                shape: "Se"
              },
              ConsistentRead: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Item: {
                shape: "Sl"
              },
              ConsumedCapacityUnits: {
                type: "double"
              }
            }
          }
        },
        ListTables: {
          input: {
            type: "structure",
            members: {
              ExclusiveStartTableName: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TableNames: {
                type: "list",
                member: {}
              },
              LastEvaluatedTableName: {}
            }
          }
        },
        PutItem: {
          input: {
            type: "structure",
            required: [
              "TableName",
              "Item"
            ],
            members: {
              TableName: {},
              Item: {
                shape: "Ss"
              },
              Expected: {
                shape: "S1b"
              },
              ReturnValues: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "Sl"
              },
              ConsumedCapacityUnits: {
                type: "double"
              }
            }
          }
        },
        Query: {
          input: {
            type: "structure",
            required: [
              "TableName",
              "HashKeyValue"
            ],
            members: {
              TableName: {},
              AttributesToGet: {
                shape: "Se"
              },
              Limit: {
                type: "integer"
              },
              ConsistentRead: {
                type: "boolean"
              },
              Count: {
                type: "boolean"
              },
              HashKeyValue: {
                shape: "S7"
              },
              RangeKeyCondition: {
                shape: "S1u"
              },
              ScanIndexForward: {
                type: "boolean"
              },
              ExclusiveStartKey: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                shape: "Sk"
              },
              Count: {
                type: "integer"
              },
              LastEvaluatedKey: {
                shape: "S6"
              },
              ConsumedCapacityUnits: {
                type: "double"
              }
            }
          }
        },
        Scan: {
          input: {
            type: "structure",
            required: [
              "TableName"
            ],
            members: {
              TableName: {},
              AttributesToGet: {
                shape: "Se"
              },
              Limit: {
                type: "integer"
              },
              Count: {
                type: "boolean"
              },
              ScanFilter: {
                type: "map",
                key: {},
                value: {
                  shape: "S1u"
                }
              },
              ExclusiveStartKey: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                shape: "Sk"
              },
              Count: {
                type: "integer"
              },
              ScannedCount: {
                type: "integer"
              },
              LastEvaluatedKey: {
                shape: "S6"
              },
              ConsumedCapacityUnits: {
                type: "double"
              }
            }
          }
        },
        UpdateItem: {
          input: {
            type: "structure",
            required: [
              "TableName",
              "Key",
              "AttributeUpdates"
            ],
            members: {
              TableName: {},
              Key: {
                shape: "S6"
              },
              AttributeUpdates: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    Value: {
                      shape: "S7"
                    },
                    Action: {}
                  }
                }
              },
              Expected: {
                shape: "S1b"
              },
              ReturnValues: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "Sl"
              },
              ConsumedCapacityUnits: {
                type: "double"
              }
            }
          }
        },
        UpdateTable: {
          input: {
            type: "structure",
            required: [
              "TableName",
              "ProvisionedThroughput"
            ],
            members: {
              TableName: {},
              ProvisionedThroughput: {
                shape: "S12"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TableDescription: {
                shape: "S15"
              }
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "Keys"
            ],
            members: {
              Keys: {
                type: "list",
                member: {
                  shape: "S6"
                }
              },
              AttributesToGet: {
                shape: "Se"
              },
              ConsistentRead: {
                type: "boolean"
              }
            }
          }
        },
        S6: {
          type: "structure",
          required: [
            "HashKeyElement"
          ],
          members: {
            HashKeyElement: {
              shape: "S7"
            },
            RangeKeyElement: {
              shape: "S7"
            }
          }
        },
        S7: {
          type: "structure",
          members: {
            S: {},
            N: {},
            B: {
              type: "blob"
            },
            SS: {
              type: "list",
              member: {}
            },
            NS: {
              type: "list",
              member: {}
            },
            BS: {
              type: "list",
              member: {
                type: "blob"
              }
            }
          }
        },
        Se: {
          type: "list",
          member: {}
        },
        Sk: {
          type: "list",
          member: {
            shape: "Sl"
          }
        },
        Sl: {
          type: "map",
          key: {},
          value: {
            shape: "S7"
          }
        },
        So: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {
              type: "structure",
              members: {
                PutRequest: {
                  type: "structure",
                  required: [
                    "Item"
                  ],
                  members: {
                    Item: {
                      shape: "Ss"
                    }
                  }
                },
                DeleteRequest: {
                  type: "structure",
                  required: [
                    "Key"
                  ],
                  members: {
                    Key: {
                      shape: "S6"
                    }
                  }
                }
              }
            }
          }
        },
        Ss: {
          type: "map",
          key: {},
          value: {
            shape: "S7"
          }
        },
        Sy: {
          type: "structure",
          required: [
            "HashKeyElement"
          ],
          members: {
            HashKeyElement: {
              shape: "Sz"
            },
            RangeKeyElement: {
              shape: "Sz"
            }
          }
        },
        Sz: {
          type: "structure",
          required: [
            "AttributeName",
            "AttributeType"
          ],
          members: {
            AttributeName: {},
            AttributeType: {}
          }
        },
        S12: {
          type: "structure",
          required: [
            "ReadCapacityUnits",
            "WriteCapacityUnits"
          ],
          members: {
            ReadCapacityUnits: {
              type: "long"
            },
            WriteCapacityUnits: {
              type: "long"
            }
          }
        },
        S15: {
          type: "structure",
          members: {
            TableName: {},
            KeySchema: {
              shape: "Sy"
            },
            TableStatus: {},
            CreationDateTime: {
              type: "timestamp"
            },
            ProvisionedThroughput: {
              type: "structure",
              members: {
                LastIncreaseDateTime: {
                  type: "timestamp"
                },
                LastDecreaseDateTime: {
                  type: "timestamp"
                },
                NumberOfDecreasesToday: {
                  type: "long"
                },
                ReadCapacityUnits: {
                  type: "long"
                },
                WriteCapacityUnits: {
                  type: "long"
                }
              }
            },
            TableSizeBytes: {
              type: "long"
            },
            ItemCount: {
              type: "long"
            }
          }
        },
        S1b: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              Value: {
                shape: "S7"
              },
              Exists: {
                type: "boolean"
              }
            }
          }
        },
        S1u: {
          type: "structure",
          required: [
            "ComparisonOperator"
          ],
          members: {
            AttributeValueList: {
              type: "list",
              member: {
                shape: "S7"
              }
            },
            ComparisonOperator: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/dynamodb-2011-12-05.paginators.json
var require_dynamodb_2011_12_05_paginators = __commonJS({
  "node_modules/aws-sdk/apis/dynamodb-2011-12-05.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        BatchGetItem: {
          input_token: "RequestItems",
          output_token: "UnprocessedKeys"
        },
        ListTables: {
          input_token: "ExclusiveStartTableName",
          limit_key: "Limit",
          output_token: "LastEvaluatedTableName",
          result_key: "TableNames"
        },
        Query: {
          input_token: "ExclusiveStartKey",
          limit_key: "Limit",
          output_token: "LastEvaluatedKey",
          result_key: "Items"
        },
        Scan: {
          input_token: "ExclusiveStartKey",
          limit_key: "Limit",
          output_token: "LastEvaluatedKey",
          result_key: "Items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/dynamodb-2011-12-05.waiters2.json
var require_dynamodb_2011_12_05_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/dynamodb-2011-12-05.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        TableExists: {
          delay: 20,
          operation: "DescribeTable",
          maxAttempts: 25,
          acceptors: [
            {
              expected: "ACTIVE",
              matcher: "path",
              state: "success",
              argument: "Table.TableStatus"
            },
            {
              expected: "ResourceNotFoundException",
              matcher: "error",
              state: "retry"
            }
          ]
        },
        TableNotExists: {
          delay: 20,
          operation: "DescribeTable",
          maxAttempts: 25,
          acceptors: [
            {
              expected: "ResourceNotFoundException",
              matcher: "error",
              state: "success"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/dynamodb-2012-08-10.min.json
var require_dynamodb_2012_08_10_min = __commonJS({
  "node_modules/aws-sdk/apis/dynamodb-2012-08-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2012-08-10",
        endpointPrefix: "dynamodb",
        jsonVersion: "1.0",
        protocol: "json",
        serviceAbbreviation: "DynamoDB",
        serviceFullName: "Amazon DynamoDB",
        serviceId: "DynamoDB",
        signatureVersion: "v4",
        targetPrefix: "DynamoDB_20120810",
        uid: "dynamodb-2012-08-10"
      },
      operations: {
        BatchExecuteStatement: {
          input: {
            type: "structure",
            required: [
              "Statements"
            ],
            members: {
              Statements: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Statement"
                  ],
                  members: {
                    Statement: {},
                    Parameters: {
                      shape: "S5"
                    },
                    ConsistentRead: {
                      type: "boolean"
                    },
                    ReturnValuesOnConditionCheckFailure: {}
                  }
                }
              },
              ReturnConsumedCapacity: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Responses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Error: {
                      type: "structure",
                      members: {
                        Code: {},
                        Message: {},
                        Item: {
                          shape: "Sr"
                        }
                      }
                    },
                    TableName: {},
                    Item: {
                      shape: "Sr"
                    }
                  }
                }
              },
              ConsumedCapacity: {
                shape: "St"
              }
            }
          }
        },
        BatchGetItem: {
          input: {
            type: "structure",
            required: [
              "RequestItems"
            ],
            members: {
              RequestItems: {
                shape: "S10"
              },
              ReturnConsumedCapacity: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Responses: {
                type: "map",
                key: {},
                value: {
                  shape: "S1a"
                }
              },
              UnprocessedKeys: {
                shape: "S10"
              },
              ConsumedCapacity: {
                shape: "St"
              }
            }
          },
          endpointdiscovery: {}
        },
        BatchWriteItem: {
          input: {
            type: "structure",
            required: [
              "RequestItems"
            ],
            members: {
              RequestItems: {
                shape: "S1c"
              },
              ReturnConsumedCapacity: {},
              ReturnItemCollectionMetrics: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UnprocessedItems: {
                shape: "S1c"
              },
              ItemCollectionMetrics: {
                shape: "S1k"
              },
              ConsumedCapacity: {
                shape: "St"
              }
            }
          },
          endpointdiscovery: {}
        },
        CreateBackup: {
          input: {
            type: "structure",
            required: [
              "TableName",
              "BackupName"
            ],
            members: {
              TableName: {},
              BackupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BackupDetails: {
                shape: "S1t"
              }
            }
          },
          endpointdiscovery: {}
        },
        CreateGlobalTable: {
          input: {
            type: "structure",
            required: [
              "GlobalTableName",
              "ReplicationGroup"
            ],
            members: {
              GlobalTableName: {},
              ReplicationGroup: {
                shape: "S21"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GlobalTableDescription: {
                shape: "S25"
              }
            }
          },
          endpointdiscovery: {}
        },
        CreateTable: {
          input: {
            type: "structure",
            required: [
              "AttributeDefinitions",
              "TableName",
              "KeySchema"
            ],
            members: {
              AttributeDefinitions: {
                shape: "S2l"
              },
              TableName: {},
              KeySchema: {
                shape: "S2p"
              },
              LocalSecondaryIndexes: {
                shape: "S2s"
              },
              GlobalSecondaryIndexes: {
                shape: "S2y"
              },
              BillingMode: {},
              ProvisionedThroughput: {
                shape: "S30"
              },
              StreamSpecification: {
                shape: "S32"
              },
              SSESpecification: {
                shape: "S35"
              },
              Tags: {
                shape: "S38"
              },
              TableClass: {},
              DeletionProtectionEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TableDescription: {
                shape: "S3e"
              }
            }
          },
          endpointdiscovery: {}
        },
        DeleteBackup: {
          input: {
            type: "structure",
            required: [
              "BackupArn"
            ],
            members: {
              BackupArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BackupDescription: {
                shape: "S42"
              }
            }
          },
          endpointdiscovery: {}
        },
        DeleteItem: {
          input: {
            type: "structure",
            required: [
              "TableName",
              "Key"
            ],
            members: {
              TableName: {},
              Key: {
                shape: "S13"
              },
              Expected: {
                shape: "S4f"
              },
              ConditionalOperator: {},
              ReturnValues: {},
              ReturnConsumedCapacity: {},
              ReturnItemCollectionMetrics: {},
              ConditionExpression: {},
              ExpressionAttributeNames: {
                shape: "S16"
              },
              ExpressionAttributeValues: {
                shape: "S4n"
              },
              ReturnValuesOnConditionCheckFailure: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "Sr"
              },
              ConsumedCapacity: {
                shape: "Su"
              },
              ItemCollectionMetrics: {
                shape: "S1m"
              }
            }
          },
          endpointdiscovery: {}
        },
        DeleteTable: {
          input: {
            type: "structure",
            required: [
              "TableName"
            ],
            members: {
              TableName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TableDescription: {
                shape: "S3e"
              }
            }
          },
          endpointdiscovery: {}
        },
        DescribeBackup: {
          input: {
            type: "structure",
            required: [
              "BackupArn"
            ],
            members: {
              BackupArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BackupDescription: {
                shape: "S42"
              }
            }
          },
          endpointdiscovery: {}
        },
        DescribeContinuousBackups: {
          input: {
            type: "structure",
            required: [
              "TableName"
            ],
            members: {
              TableName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ContinuousBackupsDescription: {
                shape: "S4w"
              }
            }
          },
          endpointdiscovery: {}
        },
        DescribeContributorInsights: {
          input: {
            type: "structure",
            required: [
              "TableName"
            ],
            members: {
              TableName: {},
              IndexName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TableName: {},
              IndexName: {},
              ContributorInsightsRuleList: {
                type: "list",
                member: {}
              },
              ContributorInsightsStatus: {},
              LastUpdateDateTime: {
                type: "timestamp"
              },
              FailureException: {
                type: "structure",
                members: {
                  ExceptionName: {},
                  ExceptionDescription: {}
                }
              }
            }
          }
        },
        DescribeEndpoints: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "Endpoints"
            ],
            members: {
              Endpoints: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Address",
                    "CachePeriodInMinutes"
                  ],
                  members: {
                    Address: {},
                    CachePeriodInMinutes: {
                      type: "long"
                    }
                  }
                }
              }
            }
          },
          endpointoperation: true
        },
        DescribeExport: {
          input: {
            type: "structure",
            required: [
              "ExportArn"
            ],
            members: {
              ExportArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ExportDescription: {
                shape: "S5h"
              }
            }
          }
        },
        DescribeGlobalTable: {
          input: {
            type: "structure",
            required: [
              "GlobalTableName"
            ],
            members: {
              GlobalTableName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GlobalTableDescription: {
                shape: "S25"
              }
            }
          },
          endpointdiscovery: {}
        },
        DescribeGlobalTableSettings: {
          input: {
            type: "structure",
            required: [
              "GlobalTableName"
            ],
            members: {
              GlobalTableName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GlobalTableName: {},
              ReplicaSettings: {
                shape: "S61"
              }
            }
          },
          endpointdiscovery: {}
        },
        DescribeImport: {
          input: {
            type: "structure",
            required: [
              "ImportArn"
            ],
            members: {
              ImportArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ImportTableDescription"
            ],
            members: {
              ImportTableDescription: {
                shape: "S6f"
              }
            }
          }
        },
        DescribeKinesisStreamingDestination: {
          input: {
            type: "structure",
            required: [
              "TableName"
            ],
            members: {
              TableName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TableName: {},
              KinesisDataStreamDestinations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StreamArn: {},
                    DestinationStatus: {},
                    DestinationStatusDescription: {}
                  }
                }
              }
            }
          },
          endpointdiscovery: {}
        },
        DescribeLimits: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              AccountMaxReadCapacityUnits: {
                type: "long"
              },
              AccountMaxWriteCapacityUnits: {
                type: "long"
              },
              TableMaxReadCapacityUnits: {
                type: "long"
              },
              TableMaxWriteCapacityUnits: {
                type: "long"
              }
            }
          },
          endpointdiscovery: {}
        },
        DescribeTable: {
          input: {
            type: "structure",
            required: [
              "TableName"
            ],
            members: {
              TableName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Table: {
                shape: "S3e"
              }
            }
          },
          endpointdiscovery: {}
        },
        DescribeTableReplicaAutoScaling: {
          input: {
            type: "structure",
            required: [
              "TableName"
            ],
            members: {
              TableName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TableAutoScalingDescription: {
                shape: "S77"
              }
            }
          }
        },
        DescribeTimeToLive: {
          input: {
            type: "structure",
            required: [
              "TableName"
            ],
            members: {
              TableName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TimeToLiveDescription: {
                shape: "S4b"
              }
            }
          },
          endpointdiscovery: {}
        },
        DisableKinesisStreamingDestination: {
          input: {
            shape: "S7e"
          },
          output: {
            shape: "S7f"
          },
          endpointdiscovery: {}
        },
        EnableKinesisStreamingDestination: {
          input: {
            shape: "S7e"
          },
          output: {
            shape: "S7f"
          },
          endpointdiscovery: {}
        },
        ExecuteStatement: {
          input: {
            type: "structure",
            required: [
              "Statement"
            ],
            members: {
              Statement: {},
              Parameters: {
                shape: "S5"
              },
              ConsistentRead: {
                type: "boolean"
              },
              NextToken: {},
              ReturnConsumedCapacity: {},
              Limit: {
                type: "integer"
              },
              ReturnValuesOnConditionCheckFailure: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                shape: "S1a"
              },
              NextToken: {},
              ConsumedCapacity: {
                shape: "Su"
              },
              LastEvaluatedKey: {
                shape: "S13"
              }
            }
          }
        },
        ExecuteTransaction: {
          input: {
            type: "structure",
            required: [
              "TransactStatements"
            ],
            members: {
              TransactStatements: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Statement"
                  ],
                  members: {
                    Statement: {},
                    Parameters: {
                      shape: "S5"
                    },
                    ReturnValuesOnConditionCheckFailure: {}
                  }
                }
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              ReturnConsumedCapacity: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Responses: {
                shape: "S7p"
              },
              ConsumedCapacity: {
                shape: "St"
              }
            }
          }
        },
        ExportTableToPointInTime: {
          input: {
            type: "structure",
            required: [
              "TableArn",
              "S3Bucket"
            ],
            members: {
              TableArn: {},
              ExportTime: {
                type: "timestamp"
              },
              ClientToken: {
                idempotencyToken: true
              },
              S3Bucket: {},
              S3BucketOwner: {},
              S3Prefix: {},
              S3SseAlgorithm: {},
              S3SseKmsKeyId: {},
              ExportFormat: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ExportDescription: {
                shape: "S5h"
              }
            }
          }
        },
        GetItem: {
          input: {
            type: "structure",
            required: [
              "TableName",
              "Key"
            ],
            members: {
              TableName: {},
              Key: {
                shape: "S13"
              },
              AttributesToGet: {
                shape: "S14"
              },
              ConsistentRead: {
                type: "boolean"
              },
              ReturnConsumedCapacity: {},
              ProjectionExpression: {},
              ExpressionAttributeNames: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Item: {
                shape: "Sr"
              },
              ConsumedCapacity: {
                shape: "Su"
              }
            }
          },
          endpointdiscovery: {}
        },
        ImportTable: {
          input: {
            type: "structure",
            required: [
              "S3BucketSource",
              "InputFormat",
              "TableCreationParameters"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              S3BucketSource: {
                shape: "S6h"
              },
              InputFormat: {},
              InputFormatOptions: {
                shape: "S6l"
              },
              InputCompressionType: {},
              TableCreationParameters: {
                shape: "S6r"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ImportTableDescription"
            ],
            members: {
              ImportTableDescription: {
                shape: "S6f"
              }
            }
          }
        },
        ListBackups: {
          input: {
            type: "structure",
            members: {
              TableName: {},
              Limit: {
                type: "integer"
              },
              TimeRangeLowerBound: {
                type: "timestamp"
              },
              TimeRangeUpperBound: {
                type: "timestamp"
              },
              ExclusiveStartBackupArn: {},
              BackupType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BackupSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TableName: {},
                    TableId: {},
                    TableArn: {},
                    BackupArn: {},
                    BackupName: {},
                    BackupCreationDateTime: {
                      type: "timestamp"
                    },
                    BackupExpiryDateTime: {
                      type: "timestamp"
                    },
                    BackupStatus: {},
                    BackupType: {},
                    BackupSizeBytes: {
                      type: "long"
                    }
                  }
                }
              },
              LastEvaluatedBackupArn: {}
            }
          },
          endpointdiscovery: {}
        },
        ListContributorInsights: {
          input: {
            type: "structure",
            members: {
              TableName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContributorInsightsSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TableName: {},
                    IndexName: {},
                    ContributorInsightsStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListExports: {
          input: {
            type: "structure",
            members: {
              TableArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ExportSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ExportArn: {},
                    ExportStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListGlobalTables: {
          input: {
            type: "structure",
            members: {
              ExclusiveStartGlobalTableName: {},
              Limit: {
                type: "integer"
              },
              RegionName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GlobalTables: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    GlobalTableName: {},
                    ReplicationGroup: {
                      shape: "S21"
                    }
                  }
                }
              },
              LastEvaluatedGlobalTableName: {}
            }
          },
          endpointdiscovery: {}
        },
        ListImports: {
          input: {
            type: "structure",
            members: {
              TableArn: {},
              PageSize: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImportSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ImportArn: {},
                    ImportStatus: {},
                    TableArn: {},
                    S3BucketSource: {
                      shape: "S6h"
                    },
                    CloudWatchLogGroupArn: {},
                    InputFormat: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTables: {
          input: {
            type: "structure",
            members: {
              ExclusiveStartTableName: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TableNames: {
                type: "list",
                member: {}
              },
              LastEvaluatedTableName: {}
            }
          },
          endpointdiscovery: {}
        },
        ListTagsOfResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S38"
              },
              NextToken: {}
            }
          },
          endpointdiscovery: {}
        },
        PutItem: {
          input: {
            type: "structure",
            required: [
              "TableName",
              "Item"
            ],
            members: {
              TableName: {},
              Item: {
                shape: "S1g"
              },
              Expected: {
                shape: "S4f"
              },
              ReturnValues: {},
              ReturnConsumedCapacity: {},
              ReturnItemCollectionMetrics: {},
              ConditionalOperator: {},
              ConditionExpression: {},
              ExpressionAttributeNames: {
                shape: "S16"
              },
              ExpressionAttributeValues: {
                shape: "S4n"
              },
              ReturnValuesOnConditionCheckFailure: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "Sr"
              },
              ConsumedCapacity: {
                shape: "Su"
              },
              ItemCollectionMetrics: {
                shape: "S1m"
              }
            }
          },
          endpointdiscovery: {}
        },
        Query: {
          input: {
            type: "structure",
            required: [
              "TableName"
            ],
            members: {
              TableName: {},
              IndexName: {},
              Select: {},
              AttributesToGet: {
                shape: "S14"
              },
              Limit: {
                type: "integer"
              },
              ConsistentRead: {
                type: "boolean"
              },
              KeyConditions: {
                type: "map",
                key: {},
                value: {
                  shape: "S93"
                }
              },
              QueryFilter: {
                shape: "S94"
              },
              ConditionalOperator: {},
              ScanIndexForward: {
                type: "boolean"
              },
              ExclusiveStartKey: {
                shape: "S13"
              },
              ReturnConsumedCapacity: {},
              ProjectionExpression: {},
              FilterExpression: {},
              KeyConditionExpression: {},
              ExpressionAttributeNames: {
                shape: "S16"
              },
              ExpressionAttributeValues: {
                shape: "S4n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                shape: "S1a"
              },
              Count: {
                type: "integer"
              },
              ScannedCount: {
                type: "integer"
              },
              LastEvaluatedKey: {
                shape: "S13"
              },
              ConsumedCapacity: {
                shape: "Su"
              }
            }
          },
          endpointdiscovery: {}
        },
        RestoreTableFromBackup: {
          input: {
            type: "structure",
            required: [
              "TargetTableName",
              "BackupArn"
            ],
            members: {
              TargetTableName: {},
              BackupArn: {},
              BillingModeOverride: {},
              GlobalSecondaryIndexOverride: {
                shape: "S2y"
              },
              LocalSecondaryIndexOverride: {
                shape: "S2s"
              },
              ProvisionedThroughputOverride: {
                shape: "S30"
              },
              SSESpecificationOverride: {
                shape: "S35"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TableDescription: {
                shape: "S3e"
              }
            }
          },
          endpointdiscovery: {}
        },
        RestoreTableToPointInTime: {
          input: {
            type: "structure",
            required: [
              "TargetTableName"
            ],
            members: {
              SourceTableArn: {},
              SourceTableName: {},
              TargetTableName: {},
              UseLatestRestorableTime: {
                type: "boolean"
              },
              RestoreDateTime: {
                type: "timestamp"
              },
              BillingModeOverride: {},
              GlobalSecondaryIndexOverride: {
                shape: "S2y"
              },
              LocalSecondaryIndexOverride: {
                shape: "S2s"
              },
              ProvisionedThroughputOverride: {
                shape: "S30"
              },
              SSESpecificationOverride: {
                shape: "S35"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TableDescription: {
                shape: "S3e"
              }
            }
          },
          endpointdiscovery: {}
        },
        Scan: {
          input: {
            type: "structure",
            required: [
              "TableName"
            ],
            members: {
              TableName: {},
              IndexName: {},
              AttributesToGet: {
                shape: "S14"
              },
              Limit: {
                type: "integer"
              },
              Select: {},
              ScanFilter: {
                shape: "S94"
              },
              ConditionalOperator: {},
              ExclusiveStartKey: {
                shape: "S13"
              },
              ReturnConsumedCapacity: {},
              TotalSegments: {
                type: "integer"
              },
              Segment: {
                type: "integer"
              },
              ProjectionExpression: {},
              FilterExpression: {},
              ExpressionAttributeNames: {
                shape: "S16"
              },
              ExpressionAttributeValues: {
                shape: "S4n"
              },
              ConsistentRead: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                shape: "S1a"
              },
              Count: {
                type: "integer"
              },
              ScannedCount: {
                type: "integer"
              },
              LastEvaluatedKey: {
                shape: "S13"
              },
              ConsumedCapacity: {
                shape: "Su"
              }
            }
          },
          endpointdiscovery: {}
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S38"
              }
            }
          },
          endpointdiscovery: {}
        },
        TransactGetItems: {
          input: {
            type: "structure",
            required: [
              "TransactItems"
            ],
            members: {
              TransactItems: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Get"
                  ],
                  members: {
                    Get: {
                      type: "structure",
                      required: [
                        "Key",
                        "TableName"
                      ],
                      members: {
                        Key: {
                          shape: "S13"
                        },
                        TableName: {},
                        ProjectionExpression: {},
                        ExpressionAttributeNames: {
                          shape: "S16"
                        }
                      }
                    }
                  }
                }
              },
              ReturnConsumedCapacity: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConsumedCapacity: {
                shape: "St"
              },
              Responses: {
                shape: "S7p"
              }
            }
          },
          endpointdiscovery: {}
        },
        TransactWriteItems: {
          input: {
            type: "structure",
            required: [
              "TransactItems"
            ],
            members: {
              TransactItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ConditionCheck: {
                      type: "structure",
                      required: [
                        "Key",
                        "TableName",
                        "ConditionExpression"
                      ],
                      members: {
                        Key: {
                          shape: "S13"
                        },
                        TableName: {},
                        ConditionExpression: {},
                        ExpressionAttributeNames: {
                          shape: "S16"
                        },
                        ExpressionAttributeValues: {
                          shape: "S4n"
                        },
                        ReturnValuesOnConditionCheckFailure: {}
                      }
                    },
                    Put: {
                      type: "structure",
                      required: [
                        "Item",
                        "TableName"
                      ],
                      members: {
                        Item: {
                          shape: "S1g"
                        },
                        TableName: {},
                        ConditionExpression: {},
                        ExpressionAttributeNames: {
                          shape: "S16"
                        },
                        ExpressionAttributeValues: {
                          shape: "S4n"
                        },
                        ReturnValuesOnConditionCheckFailure: {}
                      }
                    },
                    Delete: {
                      type: "structure",
                      required: [
                        "Key",
                        "TableName"
                      ],
                      members: {
                        Key: {
                          shape: "S13"
                        },
                        TableName: {},
                        ConditionExpression: {},
                        ExpressionAttributeNames: {
                          shape: "S16"
                        },
                        ExpressionAttributeValues: {
                          shape: "S4n"
                        },
                        ReturnValuesOnConditionCheckFailure: {}
                      }
                    },
                    Update: {
                      type: "structure",
                      required: [
                        "Key",
                        "UpdateExpression",
                        "TableName"
                      ],
                      members: {
                        Key: {
                          shape: "S13"
                        },
                        UpdateExpression: {},
                        TableName: {},
                        ConditionExpression: {},
                        ExpressionAttributeNames: {
                          shape: "S16"
                        },
                        ExpressionAttributeValues: {
                          shape: "S4n"
                        },
                        ReturnValuesOnConditionCheckFailure: {}
                      }
                    }
                  }
                }
              },
              ReturnConsumedCapacity: {},
              ReturnItemCollectionMetrics: {},
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConsumedCapacity: {
                shape: "St"
              },
              ItemCollectionMetrics: {
                shape: "S1k"
              }
            }
          },
          endpointdiscovery: {}
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          endpointdiscovery: {}
        },
        UpdateContinuousBackups: {
          input: {
            type: "structure",
            required: [
              "TableName",
              "PointInTimeRecoverySpecification"
            ],
            members: {
              TableName: {},
              PointInTimeRecoverySpecification: {
                type: "structure",
                required: [
                  "PointInTimeRecoveryEnabled"
                ],
                members: {
                  PointInTimeRecoveryEnabled: {
                    type: "boolean"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContinuousBackupsDescription: {
                shape: "S4w"
              }
            }
          },
          endpointdiscovery: {}
        },
        UpdateContributorInsights: {
          input: {
            type: "structure",
            required: [
              "TableName",
              "ContributorInsightsAction"
            ],
            members: {
              TableName: {},
              IndexName: {},
              ContributorInsightsAction: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TableName: {},
              IndexName: {},
              ContributorInsightsStatus: {}
            }
          }
        },
        UpdateGlobalTable: {
          input: {
            type: "structure",
            required: [
              "GlobalTableName",
              "ReplicaUpdates"
            ],
            members: {
              GlobalTableName: {},
              ReplicaUpdates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Create: {
                      type: "structure",
                      required: [
                        "RegionName"
                      ],
                      members: {
                        RegionName: {}
                      }
                    },
                    Delete: {
                      type: "structure",
                      required: [
                        "RegionName"
                      ],
                      members: {
                        RegionName: {}
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GlobalTableDescription: {
                shape: "S25"
              }
            }
          },
          endpointdiscovery: {}
        },
        UpdateGlobalTableSettings: {
          input: {
            type: "structure",
            required: [
              "GlobalTableName"
            ],
            members: {
              GlobalTableName: {},
              GlobalTableBillingMode: {},
              GlobalTableProvisionedWriteCapacityUnits: {
                type: "long"
              },
              GlobalTableProvisionedWriteCapacityAutoScalingSettingsUpdate: {
                shape: "Saa"
              },
              GlobalTableGlobalSecondaryIndexSettingsUpdate: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "IndexName"
                  ],
                  members: {
                    IndexName: {},
                    ProvisionedWriteCapacityUnits: {
                      type: "long"
                    },
                    ProvisionedWriteCapacityAutoScalingSettingsUpdate: {
                      shape: "Saa"
                    }
                  }
                }
              },
              ReplicaSettingsUpdate: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "RegionName"
                  ],
                  members: {
                    RegionName: {},
                    ReplicaProvisionedReadCapacityUnits: {
                      type: "long"
                    },
                    ReplicaProvisionedReadCapacityAutoScalingSettingsUpdate: {
                      shape: "Saa"
                    },
                    ReplicaGlobalSecondaryIndexSettingsUpdate: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "IndexName"
                        ],
                        members: {
                          IndexName: {},
                          ProvisionedReadCapacityUnits: {
                            type: "long"
                          },
                          ProvisionedReadCapacityAutoScalingSettingsUpdate: {
                            shape: "Saa"
                          }
                        }
                      }
                    },
                    ReplicaTableClass: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GlobalTableName: {},
              ReplicaSettings: {
                shape: "S61"
              }
            }
          },
          endpointdiscovery: {}
        },
        UpdateItem: {
          input: {
            type: "structure",
            required: [
              "TableName",
              "Key"
            ],
            members: {
              TableName: {},
              Key: {
                shape: "S13"
              },
              AttributeUpdates: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    Value: {
                      shape: "S6"
                    },
                    Action: {}
                  }
                }
              },
              Expected: {
                shape: "S4f"
              },
              ConditionalOperator: {},
              ReturnValues: {},
              ReturnConsumedCapacity: {},
              ReturnItemCollectionMetrics: {},
              UpdateExpression: {},
              ConditionExpression: {},
              ExpressionAttributeNames: {
                shape: "S16"
              },
              ExpressionAttributeValues: {
                shape: "S4n"
              },
              ReturnValuesOnConditionCheckFailure: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "Sr"
              },
              ConsumedCapacity: {
                shape: "Su"
              },
              ItemCollectionMetrics: {
                shape: "S1m"
              }
            }
          },
          endpointdiscovery: {}
        },
        UpdateTable: {
          input: {
            type: "structure",
            required: [
              "TableName"
            ],
            members: {
              AttributeDefinitions: {
                shape: "S2l"
              },
              TableName: {},
              BillingMode: {},
              ProvisionedThroughput: {
                shape: "S30"
              },
              GlobalSecondaryIndexUpdates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Update: {
                      type: "structure",
                      required: [
                        "IndexName",
                        "ProvisionedThroughput"
                      ],
                      members: {
                        IndexName: {},
                        ProvisionedThroughput: {
                          shape: "S30"
                        }
                      }
                    },
                    Create: {
                      type: "structure",
                      required: [
                        "IndexName",
                        "KeySchema",
                        "Projection"
                      ],
                      members: {
                        IndexName: {},
                        KeySchema: {
                          shape: "S2p"
                        },
                        Projection: {
                          shape: "S2u"
                        },
                        ProvisionedThroughput: {
                          shape: "S30"
                        }
                      }
                    },
                    Delete: {
                      type: "structure",
                      required: [
                        "IndexName"
                      ],
                      members: {
                        IndexName: {}
                      }
                    }
                  }
                }
              },
              StreamSpecification: {
                shape: "S32"
              },
              SSESpecification: {
                shape: "S35"
              },
              ReplicaUpdates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Create: {
                      type: "structure",
                      required: [
                        "RegionName"
                      ],
                      members: {
                        RegionName: {},
                        KMSMasterKeyId: {},
                        ProvisionedThroughputOverride: {
                          shape: "S2c"
                        },
                        GlobalSecondaryIndexes: {
                          shape: "Saz"
                        },
                        TableClassOverride: {}
                      }
                    },
                    Update: {
                      type: "structure",
                      required: [
                        "RegionName"
                      ],
                      members: {
                        RegionName: {},
                        KMSMasterKeyId: {},
                        ProvisionedThroughputOverride: {
                          shape: "S2c"
                        },
                        GlobalSecondaryIndexes: {
                          shape: "Saz"
                        },
                        TableClassOverride: {}
                      }
                    },
                    Delete: {
                      type: "structure",
                      required: [
                        "RegionName"
                      ],
                      members: {
                        RegionName: {}
                      }
                    }
                  }
                }
              },
              TableClass: {},
              DeletionProtectionEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TableDescription: {
                shape: "S3e"
              }
            }
          },
          endpointdiscovery: {}
        },
        UpdateTableReplicaAutoScaling: {
          input: {
            type: "structure",
            required: [
              "TableName"
            ],
            members: {
              GlobalSecondaryIndexUpdates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    IndexName: {},
                    ProvisionedWriteCapacityAutoScalingUpdate: {
                      shape: "Saa"
                    }
                  }
                }
              },
              TableName: {},
              ProvisionedWriteCapacityAutoScalingUpdate: {
                shape: "Saa"
              },
              ReplicaUpdates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "RegionName"
                  ],
                  members: {
                    RegionName: {},
                    ReplicaGlobalSecondaryIndexUpdates: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          IndexName: {},
                          ProvisionedReadCapacityAutoScalingUpdate: {
                            shape: "Saa"
                          }
                        }
                      }
                    },
                    ReplicaProvisionedReadCapacityAutoScalingUpdate: {
                      shape: "Saa"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TableAutoScalingDescription: {
                shape: "S77"
              }
            }
          }
        },
        UpdateTimeToLive: {
          input: {
            type: "structure",
            required: [
              "TableName",
              "TimeToLiveSpecification"
            ],
            members: {
              TableName: {},
              TimeToLiveSpecification: {
                shape: "Sbd"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TimeToLiveSpecification: {
                shape: "Sbd"
              }
            }
          },
          endpointdiscovery: {}
        }
      },
      shapes: {
        S5: {
          type: "list",
          member: {
            shape: "S6"
          }
        },
        S6: {
          type: "structure",
          members: {
            S: {},
            N: {},
            B: {
              type: "blob"
            },
            SS: {
              type: "list",
              member: {}
            },
            NS: {
              type: "list",
              member: {}
            },
            BS: {
              type: "list",
              member: {
                type: "blob"
              }
            },
            M: {
              type: "map",
              key: {},
              value: {
                shape: "S6"
              }
            },
            L: {
              type: "list",
              member: {
                shape: "S6"
              }
            },
            NULL: {
              type: "boolean"
            },
            BOOL: {
              type: "boolean"
            }
          }
        },
        Sr: {
          type: "map",
          key: {},
          value: {
            shape: "S6"
          }
        },
        St: {
          type: "list",
          member: {
            shape: "Su"
          }
        },
        Su: {
          type: "structure",
          members: {
            TableName: {},
            CapacityUnits: {
              type: "double"
            },
            ReadCapacityUnits: {
              type: "double"
            },
            WriteCapacityUnits: {
              type: "double"
            },
            Table: {
              shape: "Sw"
            },
            LocalSecondaryIndexes: {
              shape: "Sx"
            },
            GlobalSecondaryIndexes: {
              shape: "Sx"
            }
          }
        },
        Sw: {
          type: "structure",
          members: {
            ReadCapacityUnits: {
              type: "double"
            },
            WriteCapacityUnits: {
              type: "double"
            },
            CapacityUnits: {
              type: "double"
            }
          }
        },
        Sx: {
          type: "map",
          key: {},
          value: {
            shape: "Sw"
          }
        },
        S10: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "Keys"
            ],
            members: {
              Keys: {
                type: "list",
                member: {
                  shape: "S13"
                }
              },
              AttributesToGet: {
                shape: "S14"
              },
              ConsistentRead: {
                type: "boolean"
              },
              ProjectionExpression: {},
              ExpressionAttributeNames: {
                shape: "S16"
              }
            }
          }
        },
        S13: {
          type: "map",
          key: {},
          value: {
            shape: "S6"
          }
        },
        S14: {
          type: "list",
          member: {}
        },
        S16: {
          type: "map",
          key: {},
          value: {}
        },
        S1a: {
          type: "list",
          member: {
            shape: "Sr"
          }
        },
        S1c: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {
              type: "structure",
              members: {
                PutRequest: {
                  type: "structure",
                  required: [
                    "Item"
                  ],
                  members: {
                    Item: {
                      shape: "S1g"
                    }
                  }
                },
                DeleteRequest: {
                  type: "structure",
                  required: [
                    "Key"
                  ],
                  members: {
                    Key: {
                      shape: "S13"
                    }
                  }
                }
              }
            }
          }
        },
        S1g: {
          type: "map",
          key: {},
          value: {
            shape: "S6"
          }
        },
        S1k: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {
              shape: "S1m"
            }
          }
        },
        S1m: {
          type: "structure",
          members: {
            ItemCollectionKey: {
              type: "map",
              key: {},
              value: {
                shape: "S6"
              }
            },
            SizeEstimateRangeGB: {
              type: "list",
              member: {
                type: "double"
              }
            }
          }
        },
        S1t: {
          type: "structure",
          required: [
            "BackupArn",
            "BackupName",
            "BackupStatus",
            "BackupType",
            "BackupCreationDateTime"
          ],
          members: {
            BackupArn: {},
            BackupName: {},
            BackupSizeBytes: {
              type: "long"
            },
            BackupStatus: {},
            BackupType: {},
            BackupCreationDateTime: {
              type: "timestamp"
            },
            BackupExpiryDateTime: {
              type: "timestamp"
            }
          }
        },
        S21: {
          type: "list",
          member: {
            type: "structure",
            members: {
              RegionName: {}
            }
          }
        },
        S25: {
          type: "structure",
          members: {
            ReplicationGroup: {
              shape: "S26"
            },
            GlobalTableArn: {},
            CreationDateTime: {
              type: "timestamp"
            },
            GlobalTableStatus: {},
            GlobalTableName: {}
          }
        },
        S26: {
          type: "list",
          member: {
            type: "structure",
            members: {
              RegionName: {},
              ReplicaStatus: {},
              ReplicaStatusDescription: {},
              ReplicaStatusPercentProgress: {},
              KMSMasterKeyId: {},
              ProvisionedThroughputOverride: {
                shape: "S2c"
              },
              GlobalSecondaryIndexes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    IndexName: {},
                    ProvisionedThroughputOverride: {
                      shape: "S2c"
                    }
                  }
                }
              },
              ReplicaInaccessibleDateTime: {
                type: "timestamp"
              },
              ReplicaTableClassSummary: {
                shape: "S2g"
              }
            }
          }
        },
        S2c: {
          type: "structure",
          members: {
            ReadCapacityUnits: {
              type: "long"
            }
          }
        },
        S2g: {
          type: "structure",
          members: {
            TableClass: {},
            LastUpdateDateTime: {
              type: "timestamp"
            }
          }
        },
        S2l: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AttributeName",
              "AttributeType"
            ],
            members: {
              AttributeName: {},
              AttributeType: {}
            }
          }
        },
        S2p: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AttributeName",
              "KeyType"
            ],
            members: {
              AttributeName: {},
              KeyType: {}
            }
          }
        },
        S2s: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "IndexName",
              "KeySchema",
              "Projection"
            ],
            members: {
              IndexName: {},
              KeySchema: {
                shape: "S2p"
              },
              Projection: {
                shape: "S2u"
              }
            }
          }
        },
        S2u: {
          type: "structure",
          members: {
            ProjectionType: {},
            NonKeyAttributes: {
              type: "list",
              member: {}
            }
          }
        },
        S2y: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "IndexName",
              "KeySchema",
              "Projection"
            ],
            members: {
              IndexName: {},
              KeySchema: {
                shape: "S2p"
              },
              Projection: {
                shape: "S2u"
              },
              ProvisionedThroughput: {
                shape: "S30"
              }
            }
          }
        },
        S30: {
          type: "structure",
          required: [
            "ReadCapacityUnits",
            "WriteCapacityUnits"
          ],
          members: {
            ReadCapacityUnits: {
              type: "long"
            },
            WriteCapacityUnits: {
              type: "long"
            }
          }
        },
        S32: {
          type: "structure",
          required: [
            "StreamEnabled"
          ],
          members: {
            StreamEnabled: {
              type: "boolean"
            },
            StreamViewType: {}
          }
        },
        S35: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            SSEType: {},
            KMSMasterKeyId: {}
          }
        },
        S38: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S3e: {
          type: "structure",
          members: {
            AttributeDefinitions: {
              shape: "S2l"
            },
            TableName: {},
            KeySchema: {
              shape: "S2p"
            },
            TableStatus: {},
            CreationDateTime: {
              type: "timestamp"
            },
            ProvisionedThroughput: {
              shape: "S3g"
            },
            TableSizeBytes: {
              type: "long"
            },
            ItemCount: {
              type: "long"
            },
            TableArn: {},
            TableId: {},
            BillingModeSummary: {
              shape: "S3k"
            },
            LocalSecondaryIndexes: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  IndexName: {},
                  KeySchema: {
                    shape: "S2p"
                  },
                  Projection: {
                    shape: "S2u"
                  },
                  IndexSizeBytes: {
                    type: "long"
                  },
                  ItemCount: {
                    type: "long"
                  },
                  IndexArn: {}
                }
              }
            },
            GlobalSecondaryIndexes: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  IndexName: {},
                  KeySchema: {
                    shape: "S2p"
                  },
                  Projection: {
                    shape: "S2u"
                  },
                  IndexStatus: {},
                  Backfilling: {
                    type: "boolean"
                  },
                  ProvisionedThroughput: {
                    shape: "S3g"
                  },
                  IndexSizeBytes: {
                    type: "long"
                  },
                  ItemCount: {
                    type: "long"
                  },
                  IndexArn: {}
                }
              }
            },
            StreamSpecification: {
              shape: "S32"
            },
            LatestStreamLabel: {},
            LatestStreamArn: {},
            GlobalTableVersion: {},
            Replicas: {
              shape: "S26"
            },
            RestoreSummary: {
              type: "structure",
              required: [
                "RestoreDateTime",
                "RestoreInProgress"
              ],
              members: {
                SourceBackupArn: {},
                SourceTableArn: {},
                RestoreDateTime: {
                  type: "timestamp"
                },
                RestoreInProgress: {
                  type: "boolean"
                }
              }
            },
            SSEDescription: {
              shape: "S3v"
            },
            ArchivalSummary: {
              type: "structure",
              members: {
                ArchivalDateTime: {
                  type: "timestamp"
                },
                ArchivalReason: {},
                ArchivalBackupArn: {}
              }
            },
            TableClassSummary: {
              shape: "S2g"
            },
            DeletionProtectionEnabled: {
              type: "boolean"
            }
          }
        },
        S3g: {
          type: "structure",
          members: {
            LastIncreaseDateTime: {
              type: "timestamp"
            },
            LastDecreaseDateTime: {
              type: "timestamp"
            },
            NumberOfDecreasesToday: {
              type: "long"
            },
            ReadCapacityUnits: {
              type: "long"
            },
            WriteCapacityUnits: {
              type: "long"
            }
          }
        },
        S3k: {
          type: "structure",
          members: {
            BillingMode: {},
            LastUpdateToPayPerRequestDateTime: {
              type: "timestamp"
            }
          }
        },
        S3v: {
          type: "structure",
          members: {
            Status: {},
            SSEType: {},
            KMSMasterKeyArn: {},
            InaccessibleEncryptionDateTime: {
              type: "timestamp"
            }
          }
        },
        S42: {
          type: "structure",
          members: {
            BackupDetails: {
              shape: "S1t"
            },
            SourceTableDetails: {
              type: "structure",
              required: [
                "TableName",
                "TableId",
                "KeySchema",
                "TableCreationDateTime",
                "ProvisionedThroughput"
              ],
              members: {
                TableName: {},
                TableId: {},
                TableArn: {},
                TableSizeBytes: {
                  type: "long"
                },
                KeySchema: {
                  shape: "S2p"
                },
                TableCreationDateTime: {
                  type: "timestamp"
                },
                ProvisionedThroughput: {
                  shape: "S30"
                },
                ItemCount: {
                  type: "long"
                },
                BillingMode: {}
              }
            },
            SourceTableFeatureDetails: {
              type: "structure",
              members: {
                LocalSecondaryIndexes: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      IndexName: {},
                      KeySchema: {
                        shape: "S2p"
                      },
                      Projection: {
                        shape: "S2u"
                      }
                    }
                  }
                },
                GlobalSecondaryIndexes: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      IndexName: {},
                      KeySchema: {
                        shape: "S2p"
                      },
                      Projection: {
                        shape: "S2u"
                      },
                      ProvisionedThroughput: {
                        shape: "S30"
                      }
                    }
                  }
                },
                StreamDescription: {
                  shape: "S32"
                },
                TimeToLiveDescription: {
                  shape: "S4b"
                },
                SSEDescription: {
                  shape: "S3v"
                }
              }
            }
          }
        },
        S4b: {
          type: "structure",
          members: {
            TimeToLiveStatus: {},
            AttributeName: {}
          }
        },
        S4f: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              Value: {
                shape: "S6"
              },
              Exists: {
                type: "boolean"
              },
              ComparisonOperator: {},
              AttributeValueList: {
                shape: "S4j"
              }
            }
          }
        },
        S4j: {
          type: "list",
          member: {
            shape: "S6"
          }
        },
        S4n: {
          type: "map",
          key: {},
          value: {
            shape: "S6"
          }
        },
        S4w: {
          type: "structure",
          required: [
            "ContinuousBackupsStatus"
          ],
          members: {
            ContinuousBackupsStatus: {},
            PointInTimeRecoveryDescription: {
              type: "structure",
              members: {
                PointInTimeRecoveryStatus: {},
                EarliestRestorableDateTime: {
                  type: "timestamp"
                },
                LatestRestorableDateTime: {
                  type: "timestamp"
                }
              }
            }
          }
        },
        S5h: {
          type: "structure",
          members: {
            ExportArn: {},
            ExportStatus: {},
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            ExportManifest: {},
            TableArn: {},
            TableId: {},
            ExportTime: {
              type: "timestamp"
            },
            ClientToken: {},
            S3Bucket: {},
            S3BucketOwner: {},
            S3Prefix: {},
            S3SseAlgorithm: {},
            S3SseKmsKeyId: {},
            FailureCode: {},
            FailureMessage: {},
            ExportFormat: {},
            BilledSizeBytes: {
              type: "long"
            },
            ItemCount: {
              type: "long"
            }
          }
        },
        S61: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "RegionName"
            ],
            members: {
              RegionName: {},
              ReplicaStatus: {},
              ReplicaBillingModeSummary: {
                shape: "S3k"
              },
              ReplicaProvisionedReadCapacityUnits: {
                type: "long"
              },
              ReplicaProvisionedReadCapacityAutoScalingSettings: {
                shape: "S63"
              },
              ReplicaProvisionedWriteCapacityUnits: {
                type: "long"
              },
              ReplicaProvisionedWriteCapacityAutoScalingSettings: {
                shape: "S63"
              },
              ReplicaGlobalSecondaryIndexSettings: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "IndexName"
                  ],
                  members: {
                    IndexName: {},
                    IndexStatus: {},
                    ProvisionedReadCapacityUnits: {
                      type: "long"
                    },
                    ProvisionedReadCapacityAutoScalingSettings: {
                      shape: "S63"
                    },
                    ProvisionedWriteCapacityUnits: {
                      type: "long"
                    },
                    ProvisionedWriteCapacityAutoScalingSettings: {
                      shape: "S63"
                    }
                  }
                }
              },
              ReplicaTableClassSummary: {
                shape: "S2g"
              }
            }
          }
        },
        S63: {
          type: "structure",
          members: {
            MinimumUnits: {
              type: "long"
            },
            MaximumUnits: {
              type: "long"
            },
            AutoScalingDisabled: {
              type: "boolean"
            },
            AutoScalingRoleArn: {},
            ScalingPolicies: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  PolicyName: {},
                  TargetTrackingScalingPolicyConfiguration: {
                    type: "structure",
                    required: [
                      "TargetValue"
                    ],
                    members: {
                      DisableScaleIn: {
                        type: "boolean"
                      },
                      ScaleInCooldown: {
                        type: "integer"
                      },
                      ScaleOutCooldown: {
                        type: "integer"
                      },
                      TargetValue: {
                        type: "double"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S6f: {
          type: "structure",
          members: {
            ImportArn: {},
            ImportStatus: {},
            TableArn: {},
            TableId: {},
            ClientToken: {},
            S3BucketSource: {
              shape: "S6h"
            },
            ErrorCount: {
              type: "long"
            },
            CloudWatchLogGroupArn: {},
            InputFormat: {},
            InputFormatOptions: {
              shape: "S6l"
            },
            InputCompressionType: {},
            TableCreationParameters: {
              shape: "S6r"
            },
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            ProcessedSizeBytes: {
              type: "long"
            },
            ProcessedItemCount: {
              type: "long"
            },
            ImportedItemCount: {
              type: "long"
            },
            FailureCode: {},
            FailureMessage: {}
          }
        },
        S6h: {
          type: "structure",
          required: [
            "S3Bucket"
          ],
          members: {
            S3BucketOwner: {},
            S3Bucket: {},
            S3KeyPrefix: {}
          }
        },
        S6l: {
          type: "structure",
          members: {
            Csv: {
              type: "structure",
              members: {
                Delimiter: {},
                HeaderList: {
                  type: "list",
                  member: {}
                }
              }
            }
          }
        },
        S6r: {
          type: "structure",
          required: [
            "TableName",
            "AttributeDefinitions",
            "KeySchema"
          ],
          members: {
            TableName: {},
            AttributeDefinitions: {
              shape: "S2l"
            },
            KeySchema: {
              shape: "S2p"
            },
            BillingMode: {},
            ProvisionedThroughput: {
              shape: "S30"
            },
            SSESpecification: {
              shape: "S35"
            },
            GlobalSecondaryIndexes: {
              shape: "S2y"
            }
          }
        },
        S77: {
          type: "structure",
          members: {
            TableName: {},
            TableStatus: {},
            Replicas: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  RegionName: {},
                  GlobalSecondaryIndexes: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        IndexName: {},
                        IndexStatus: {},
                        ProvisionedReadCapacityAutoScalingSettings: {
                          shape: "S63"
                        },
                        ProvisionedWriteCapacityAutoScalingSettings: {
                          shape: "S63"
                        }
                      }
                    }
                  },
                  ReplicaProvisionedReadCapacityAutoScalingSettings: {
                    shape: "S63"
                  },
                  ReplicaProvisionedWriteCapacityAutoScalingSettings: {
                    shape: "S63"
                  },
                  ReplicaStatus: {}
                }
              }
            }
          }
        },
        S7e: {
          type: "structure",
          required: [
            "TableName",
            "StreamArn"
          ],
          members: {
            TableName: {},
            StreamArn: {}
          }
        },
        S7f: {
          type: "structure",
          members: {
            TableName: {},
            StreamArn: {},
            DestinationStatus: {}
          }
        },
        S7p: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Item: {
                shape: "Sr"
              }
            }
          }
        },
        S93: {
          type: "structure",
          required: [
            "ComparisonOperator"
          ],
          members: {
            AttributeValueList: {
              shape: "S4j"
            },
            ComparisonOperator: {}
          }
        },
        S94: {
          type: "map",
          key: {},
          value: {
            shape: "S93"
          }
        },
        Saa: {
          type: "structure",
          members: {
            MinimumUnits: {
              type: "long"
            },
            MaximumUnits: {
              type: "long"
            },
            AutoScalingDisabled: {
              type: "boolean"
            },
            AutoScalingRoleArn: {},
            ScalingPolicyUpdate: {
              type: "structure",
              required: [
                "TargetTrackingScalingPolicyConfiguration"
              ],
              members: {
                PolicyName: {},
                TargetTrackingScalingPolicyConfiguration: {
                  type: "structure",
                  required: [
                    "TargetValue"
                  ],
                  members: {
                    DisableScaleIn: {
                      type: "boolean"
                    },
                    ScaleInCooldown: {
                      type: "integer"
                    },
                    ScaleOutCooldown: {
                      type: "integer"
                    },
                    TargetValue: {
                      type: "double"
                    }
                  }
                }
              }
            }
          }
        },
        Saz: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "IndexName"
            ],
            members: {
              IndexName: {},
              ProvisionedThroughputOverride: {
                shape: "S2c"
              }
            }
          }
        },
        Sbd: {
          type: "structure",
          required: [
            "Enabled",
            "AttributeName"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            AttributeName: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/dynamodb-2012-08-10.paginators.json
var require_dynamodb_2012_08_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/dynamodb-2012-08-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        BatchGetItem: {
          input_token: "RequestItems",
          output_token: "UnprocessedKeys"
        },
        ListContributorInsights: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListExports: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListImports: {
          input_token: "NextToken",
          limit_key: "PageSize",
          output_token: "NextToken"
        },
        ListTables: {
          input_token: "ExclusiveStartTableName",
          limit_key: "Limit",
          output_token: "LastEvaluatedTableName",
          result_key: "TableNames"
        },
        Query: {
          input_token: "ExclusiveStartKey",
          limit_key: "Limit",
          output_token: "LastEvaluatedKey",
          result_key: "Items"
        },
        Scan: {
          input_token: "ExclusiveStartKey",
          limit_key: "Limit",
          output_token: "LastEvaluatedKey",
          result_key: "Items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/dynamodb-2012-08-10.waiters2.json
var require_dynamodb_2012_08_10_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/dynamodb-2012-08-10.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        TableExists: {
          delay: 20,
          operation: "DescribeTable",
          maxAttempts: 25,
          acceptors: [
            {
              expected: "ACTIVE",
              matcher: "path",
              state: "success",
              argument: "Table.TableStatus"
            },
            {
              expected: "ResourceNotFoundException",
              matcher: "error",
              state: "retry"
            }
          ]
        },
        TableNotExists: {
          delay: 20,
          operation: "DescribeTable",
          maxAttempts: 25,
          acceptors: [
            {
              expected: "ResourceNotFoundException",
              matcher: "error",
              state: "success"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/dynamodb.js
var require_dynamodb2 = __commonJS({
  "node_modules/aws-sdk/clients/dynamodb.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["dynamodb"] = {};
    AWS2.DynamoDB = Service.defineService("dynamodb", ["2011-12-05", "2012-08-10"]);
    require_dynamodb();
    Object.defineProperty(apiLoader.services["dynamodb"], "2011-12-05", {
      get: function get() {
        var model = require_dynamodb_2011_12_05_min();
        model.paginators = require_dynamodb_2011_12_05_paginators().pagination;
        model.waiters = require_dynamodb_2011_12_05_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(apiLoader.services["dynamodb"], "2012-08-10", {
      get: function get() {
        var model = require_dynamodb_2012_08_10_min();
        model.paginators = require_dynamodb_2012_08_10_paginators().pagination;
        model.waiters = require_dynamodb_2012_08_10_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.DynamoDB;
  }
});

// node_modules/aws-sdk/apis/streams.dynamodb-2012-08-10.min.json
var require_streams_dynamodb_2012_08_10_min = __commonJS({
  "node_modules/aws-sdk/apis/streams.dynamodb-2012-08-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2012-08-10",
        endpointPrefix: "streams.dynamodb",
        jsonVersion: "1.0",
        protocol: "json",
        serviceFullName: "Amazon DynamoDB Streams",
        serviceId: "DynamoDB Streams",
        signatureVersion: "v4",
        signingName: "dynamodb",
        targetPrefix: "DynamoDBStreams_20120810",
        uid: "streams-dynamodb-2012-08-10"
      },
      operations: {
        DescribeStream: {
          input: {
            type: "structure",
            required: [
              "StreamArn"
            ],
            members: {
              StreamArn: {},
              Limit: {
                type: "integer"
              },
              ExclusiveStartShardId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StreamDescription: {
                type: "structure",
                members: {
                  StreamArn: {},
                  StreamLabel: {},
                  StreamStatus: {},
                  StreamViewType: {},
                  CreationRequestDateTime: {
                    type: "timestamp"
                  },
                  TableName: {},
                  KeySchema: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "AttributeName",
                        "KeyType"
                      ],
                      members: {
                        AttributeName: {},
                        KeyType: {}
                      }
                    }
                  },
                  Shards: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        ShardId: {},
                        SequenceNumberRange: {
                          type: "structure",
                          members: {
                            StartingSequenceNumber: {},
                            EndingSequenceNumber: {}
                          }
                        },
                        ParentShardId: {}
                      }
                    }
                  },
                  LastEvaluatedShardId: {}
                }
              }
            }
          }
        },
        GetRecords: {
          input: {
            type: "structure",
            required: [
              "ShardIterator"
            ],
            members: {
              ShardIterator: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Records: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    eventID: {},
                    eventName: {},
                    eventVersion: {},
                    eventSource: {},
                    awsRegion: {},
                    dynamodb: {
                      type: "structure",
                      members: {
                        ApproximateCreationDateTime: {
                          type: "timestamp"
                        },
                        Keys: {
                          shape: "Sr"
                        },
                        NewImage: {
                          shape: "Sr"
                        },
                        OldImage: {
                          shape: "Sr"
                        },
                        SequenceNumber: {},
                        SizeBytes: {
                          type: "long"
                        },
                        StreamViewType: {}
                      }
                    },
                    userIdentity: {
                      type: "structure",
                      members: {
                        PrincipalId: {},
                        Type: {}
                      }
                    }
                  }
                }
              },
              NextShardIterator: {}
            }
          }
        },
        GetShardIterator: {
          input: {
            type: "structure",
            required: [
              "StreamArn",
              "ShardId",
              "ShardIteratorType"
            ],
            members: {
              StreamArn: {},
              ShardId: {},
              ShardIteratorType: {},
              SequenceNumber: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ShardIterator: {}
            }
          }
        },
        ListStreams: {
          input: {
            type: "structure",
            members: {
              TableName: {},
              Limit: {
                type: "integer"
              },
              ExclusiveStartStreamArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Streams: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StreamArn: {},
                    TableName: {},
                    StreamLabel: {}
                  }
                }
              },
              LastEvaluatedStreamArn: {}
            }
          }
        }
      },
      shapes: {
        Sr: {
          type: "map",
          key: {},
          value: {
            shape: "St"
          }
        },
        St: {
          type: "structure",
          members: {
            S: {},
            N: {},
            B: {
              type: "blob"
            },
            SS: {
              type: "list",
              member: {}
            },
            NS: {
              type: "list",
              member: {}
            },
            BS: {
              type: "list",
              member: {
                type: "blob"
              }
            },
            M: {
              type: "map",
              key: {},
              value: {
                shape: "St"
              }
            },
            L: {
              type: "list",
              member: {
                shape: "St"
              }
            },
            NULL: {
              type: "boolean"
            },
            BOOL: {
              type: "boolean"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/streams.dynamodb-2012-08-10.paginators.json
var require_streams_dynamodb_2012_08_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/streams.dynamodb-2012-08-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/dynamodbstreams.js
var require_dynamodbstreams = __commonJS({
  "node_modules/aws-sdk/clients/dynamodbstreams.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["dynamodbstreams"] = {};
    AWS2.DynamoDBStreams = Service.defineService("dynamodbstreams", ["2012-08-10"]);
    Object.defineProperty(apiLoader.services["dynamodbstreams"], "2012-08-10", {
      get: function get() {
        var model = require_streams_dynamodb_2012_08_10_min();
        model.paginators = require_streams_dynamodb_2012_08_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.DynamoDBStreams;
  }
});

// node_modules/aws-sdk/lib/services/ec2.js
var require_ec2 = __commonJS({
  "node_modules/aws-sdk/lib/services/ec2.js"() {
    var AWS2 = require_core();
    AWS2.util.update(AWS2.EC2.prototype, {
      /**
       * @api private
       */
      setupRequestListeners: function setupRequestListeners(request) {
        request.removeListener("extractError", AWS2.EventListeners.Query.EXTRACT_ERROR);
        request.addListener("extractError", this.extractError);
        if (request.operation === "copySnapshot") {
          request.onAsync("validate", this.buildCopySnapshotPresignedUrl);
        }
      },
      /**
       * @api private
       */
      buildCopySnapshotPresignedUrl: function buildCopySnapshotPresignedUrl(req, done) {
        if (req.params.PresignedUrl || req._subRequest) {
          return done();
        }
        req.params = AWS2.util.copy(req.params);
        req.params.DestinationRegion = req.service.config.region;
        var config = AWS2.util.copy(req.service.config);
        delete config.endpoint;
        config.region = req.params.SourceRegion;
        var svc = new req.service.constructor(config);
        var newReq = svc[req.operation](req.params);
        newReq._subRequest = true;
        newReq.presign(function(err, url) {
          if (err)
            done(err);
          else {
            req.params.PresignedUrl = url;
            done();
          }
        });
      },
      /**
       * @api private
       */
      extractError: function extractError(resp) {
        var httpResponse = resp.httpResponse;
        var data = new AWS2.XML.Parser().parse(httpResponse.body.toString() || "");
        if (data.Errors) {
          resp.error = AWS2.util.error(new Error(), {
            code: data.Errors.Error.Code,
            message: data.Errors.Error.Message
          });
        } else {
          resp.error = AWS2.util.error(new Error(), {
            code: httpResponse.statusCode,
            message: null
          });
        }
        resp.error.requestId = data.RequestID || null;
      }
    });
  }
});

// node_modules/aws-sdk/apis/ec2-2016-11-15.min.json
var require_ec2_2016_11_15_min = __commonJS({
  "node_modules/aws-sdk/apis/ec2-2016-11-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-11-15",
        endpointPrefix: "ec2",
        protocol: "ec2",
        serviceAbbreviation: "Amazon EC2",
        serviceFullName: "Amazon Elastic Compute Cloud",
        serviceId: "EC2",
        signatureVersion: "v4",
        uid: "ec2-2016-11-15",
        xmlNamespace: "http://ec2.amazonaws.com/doc/2016-11-15"
      },
      operations: {
        AcceptAddressTransfer: {
          input: {
            type: "structure",
            required: [
              "Address"
            ],
            members: {
              Address: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AddressTransfer: {
                shape: "Sa",
                locationName: "addressTransfer"
              }
            }
          }
        },
        AcceptReservedInstancesExchangeQuote: {
          input: {
            type: "structure",
            required: [
              "ReservedInstanceIds"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ReservedInstanceIds: {
                shape: "Se",
                locationName: "ReservedInstanceId"
              },
              TargetConfigurations: {
                shape: "Sg",
                locationName: "TargetConfiguration"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ExchangeId: {
                locationName: "exchangeId"
              }
            }
          }
        },
        AcceptTransitGatewayMulticastDomainAssociations: {
          input: {
            type: "structure",
            members: {
              TransitGatewayMulticastDomainId: {},
              TransitGatewayAttachmentId: {},
              SubnetIds: {
                shape: "So"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Associations: {
                shape: "Sq",
                locationName: "associations"
              }
            }
          }
        },
        AcceptTransitGatewayPeeringAttachment: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayAttachmentId"
            ],
            members: {
              TransitGatewayAttachmentId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayPeeringAttachment: {
                shape: "Sx",
                locationName: "transitGatewayPeeringAttachment"
              }
            }
          }
        },
        AcceptTransitGatewayVpcAttachment: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayAttachmentId"
            ],
            members: {
              TransitGatewayAttachmentId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayVpcAttachment: {
                shape: "S16",
                locationName: "transitGatewayVpcAttachment"
              }
            }
          }
        },
        AcceptVpcEndpointConnections: {
          input: {
            type: "structure",
            required: [
              "ServiceId",
              "VpcEndpointIds"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ServiceId: {},
              VpcEndpointIds: {
                shape: "S1d",
                locationName: "VpcEndpointId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Unsuccessful: {
                shape: "S1g",
                locationName: "unsuccessful"
              }
            }
          }
        },
        AcceptVpcPeeringConnection: {
          input: {
            type: "structure",
            required: [
              "VpcPeeringConnectionId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              VpcPeeringConnectionId: {
                locationName: "vpcPeeringConnectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpcPeeringConnection: {
                shape: "S1m",
                locationName: "vpcPeeringConnection"
              }
            }
          }
        },
        AdvertiseByoipCidr: {
          input: {
            type: "structure",
            required: [
              "Cidr"
            ],
            members: {
              Cidr: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ByoipCidr: {
                shape: "S1x",
                locationName: "byoipCidr"
              }
            }
          }
        },
        AllocateAddress: {
          input: {
            type: "structure",
            members: {
              Domain: {},
              Address: {},
              PublicIpv4Pool: {},
              NetworkBorderGroup: {},
              CustomerOwnedIpv4Pool: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicIp: {
                locationName: "publicIp"
              },
              AllocationId: {
                locationName: "allocationId"
              },
              PublicIpv4Pool: {
                locationName: "publicIpv4Pool"
              },
              NetworkBorderGroup: {
                locationName: "networkBorderGroup"
              },
              Domain: {
                locationName: "domain"
              },
              CustomerOwnedIp: {
                locationName: "customerOwnedIp"
              },
              CustomerOwnedIpv4Pool: {
                locationName: "customerOwnedIpv4Pool"
              },
              CarrierIp: {
                locationName: "carrierIp"
              }
            }
          }
        },
        AllocateHosts: {
          input: {
            type: "structure",
            required: [
              "AvailabilityZone"
            ],
            members: {
              AutoPlacement: {
                locationName: "autoPlacement"
              },
              AvailabilityZone: {
                locationName: "availabilityZone"
              },
              ClientToken: {
                locationName: "clientToken"
              },
              InstanceType: {
                locationName: "instanceType"
              },
              InstanceFamily: {},
              Quantity: {
                locationName: "quantity",
                type: "integer"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              HostRecovery: {},
              OutpostArn: {},
              HostMaintenance: {},
              AssetIds: {
                locationName: "AssetId",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HostIds: {
                shape: "S2b",
                locationName: "hostIdSet"
              }
            }
          }
        },
        AllocateIpamPoolCidr: {
          input: {
            type: "structure",
            required: [
              "IpamPoolId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamPoolId: {},
              Cidr: {},
              NetmaskLength: {
                type: "integer"
              },
              ClientToken: {
                idempotencyToken: true
              },
              Description: {},
              PreviewNextCidr: {
                type: "boolean"
              },
              DisallowedCidrs: {
                locationName: "DisallowedCidr",
                type: "list",
                member: {
                  locationName: "item"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IpamPoolAllocation: {
                shape: "S2g",
                locationName: "ipamPoolAllocation"
              }
            }
          }
        },
        ApplySecurityGroupsToClientVpnTargetNetwork: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId",
              "VpcId",
              "SecurityGroupIds"
            ],
            members: {
              ClientVpnEndpointId: {},
              VpcId: {},
              SecurityGroupIds: {
                shape: "S2m",
                locationName: "SecurityGroupId"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SecurityGroupIds: {
                shape: "S2m",
                locationName: "securityGroupIds"
              }
            }
          }
        },
        AssignIpv6Addresses: {
          input: {
            type: "structure",
            required: [
              "NetworkInterfaceId"
            ],
            members: {
              Ipv6AddressCount: {
                locationName: "ipv6AddressCount",
                type: "integer"
              },
              Ipv6Addresses: {
                shape: "S2q",
                locationName: "ipv6Addresses"
              },
              Ipv6PrefixCount: {
                type: "integer"
              },
              Ipv6Prefixes: {
                shape: "S2r",
                locationName: "Ipv6Prefix"
              },
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssignedIpv6Addresses: {
                shape: "S2q",
                locationName: "assignedIpv6Addresses"
              },
              AssignedIpv6Prefixes: {
                shape: "S2r",
                locationName: "assignedIpv6PrefixSet"
              },
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              }
            }
          }
        },
        AssignPrivateIpAddresses: {
          input: {
            type: "structure",
            required: [
              "NetworkInterfaceId"
            ],
            members: {
              AllowReassignment: {
                locationName: "allowReassignment",
                type: "boolean"
              },
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              },
              PrivateIpAddresses: {
                shape: "S2v",
                locationName: "privateIpAddress"
              },
              SecondaryPrivateIpAddressCount: {
                locationName: "secondaryPrivateIpAddressCount",
                type: "integer"
              },
              Ipv4Prefixes: {
                shape: "S2r",
                locationName: "Ipv4Prefix"
              },
              Ipv4PrefixCount: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              },
              AssignedPrivateIpAddresses: {
                locationName: "assignedPrivateIpAddressesSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    PrivateIpAddress: {
                      locationName: "privateIpAddress"
                    }
                  }
                }
              },
              AssignedIpv4Prefixes: {
                shape: "S2z",
                locationName: "assignedIpv4PrefixSet"
              }
            }
          }
        },
        AssignPrivateNatGatewayAddress: {
          input: {
            type: "structure",
            required: [
              "NatGatewayId"
            ],
            members: {
              NatGatewayId: {},
              PrivateIpAddresses: {
                shape: "S33",
                locationName: "PrivateIpAddress"
              },
              PrivateIpAddressCount: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NatGatewayId: {
                locationName: "natGatewayId"
              },
              NatGatewayAddresses: {
                shape: "S36",
                locationName: "natGatewayAddressSet"
              }
            }
          }
        },
        AssociateAddress: {
          input: {
            type: "structure",
            members: {
              AllocationId: {},
              InstanceId: {},
              PublicIp: {},
              AllowReassociation: {
                locationName: "allowReassociation",
                type: "boolean"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              },
              PrivateIpAddress: {
                locationName: "privateIpAddress"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssociationId: {
                locationName: "associationId"
              }
            }
          }
        },
        AssociateClientVpnTargetNetwork: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId",
              "SubnetId"
            ],
            members: {
              ClientVpnEndpointId: {},
              SubnetId: {},
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssociationId: {
                locationName: "associationId"
              },
              Status: {
                shape: "S3h",
                locationName: "status"
              }
            }
          }
        },
        AssociateDhcpOptions: {
          input: {
            type: "structure",
            required: [
              "DhcpOptionsId",
              "VpcId"
            ],
            members: {
              DhcpOptionsId: {},
              VpcId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        AssociateEnclaveCertificateIamRole: {
          input: {
            type: "structure",
            required: [
              "CertificateArn",
              "RoleArn"
            ],
            members: {
              CertificateArn: {},
              RoleArn: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CertificateS3BucketName: {
                locationName: "certificateS3BucketName"
              },
              CertificateS3ObjectKey: {
                locationName: "certificateS3ObjectKey"
              },
              EncryptionKmsKeyId: {
                locationName: "encryptionKmsKeyId"
              }
            }
          }
        },
        AssociateIamInstanceProfile: {
          input: {
            type: "structure",
            required: [
              "IamInstanceProfile",
              "InstanceId"
            ],
            members: {
              IamInstanceProfile: {
                shape: "S3q"
              },
              InstanceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IamInstanceProfileAssociation: {
                shape: "S3s",
                locationName: "iamInstanceProfileAssociation"
              }
            }
          }
        },
        AssociateInstanceEventWindow: {
          input: {
            type: "structure",
            required: [
              "InstanceEventWindowId",
              "AssociationTarget"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              InstanceEventWindowId: {},
              AssociationTarget: {
                type: "structure",
                members: {
                  InstanceIds: {
                    shape: "S3y",
                    locationName: "InstanceId"
                  },
                  InstanceTags: {
                    shape: "S6",
                    locationName: "InstanceTag"
                  },
                  DedicatedHostIds: {
                    shape: "S3z",
                    locationName: "DedicatedHostId"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceEventWindow: {
                shape: "S42",
                locationName: "instanceEventWindow"
              }
            }
          }
        },
        AssociateIpamResourceDiscovery: {
          input: {
            type: "structure",
            required: [
              "IpamId",
              "IpamResourceDiscoveryId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamId: {},
              IpamResourceDiscoveryId: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IpamResourceDiscoveryAssociation: {
                shape: "S4e",
                locationName: "ipamResourceDiscoveryAssociation"
              }
            }
          }
        },
        AssociateNatGatewayAddress: {
          input: {
            type: "structure",
            required: [
              "NatGatewayId",
              "AllocationIds"
            ],
            members: {
              NatGatewayId: {},
              AllocationIds: {
                shape: "S4k",
                locationName: "AllocationId"
              },
              PrivateIpAddresses: {
                shape: "S33",
                locationName: "PrivateIpAddress"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NatGatewayId: {
                locationName: "natGatewayId"
              },
              NatGatewayAddresses: {
                shape: "S36",
                locationName: "natGatewayAddressSet"
              }
            }
          }
        },
        AssociateRouteTable: {
          input: {
            type: "structure",
            required: [
              "RouteTableId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              RouteTableId: {
                locationName: "routeTableId"
              },
              SubnetId: {
                locationName: "subnetId"
              },
              GatewayId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AssociationId: {
                locationName: "associationId"
              },
              AssociationState: {
                shape: "S4q",
                locationName: "associationState"
              }
            }
          }
        },
        AssociateSubnetCidrBlock: {
          input: {
            type: "structure",
            required: [
              "Ipv6CidrBlock",
              "SubnetId"
            ],
            members: {
              Ipv6CidrBlock: {
                locationName: "ipv6CidrBlock"
              },
              SubnetId: {
                locationName: "subnetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Ipv6CidrBlockAssociation: {
                shape: "S4u",
                locationName: "ipv6CidrBlockAssociation"
              },
              SubnetId: {
                locationName: "subnetId"
              }
            }
          }
        },
        AssociateTransitGatewayMulticastDomain: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayMulticastDomainId",
              "TransitGatewayAttachmentId",
              "SubnetIds"
            ],
            members: {
              TransitGatewayMulticastDomainId: {},
              TransitGatewayAttachmentId: {},
              SubnetIds: {
                shape: "S4z"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Associations: {
                shape: "Sq",
                locationName: "associations"
              }
            }
          }
        },
        AssociateTransitGatewayPolicyTable: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayPolicyTableId",
              "TransitGatewayAttachmentId"
            ],
            members: {
              TransitGatewayPolicyTableId: {},
              TransitGatewayAttachmentId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Association: {
                shape: "S54",
                locationName: "association"
              }
            }
          }
        },
        AssociateTransitGatewayRouteTable: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayRouteTableId",
              "TransitGatewayAttachmentId"
            ],
            members: {
              TransitGatewayRouteTableId: {},
              TransitGatewayAttachmentId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Association: {
                shape: "S59",
                locationName: "association"
              }
            }
          }
        },
        AssociateTrunkInterface: {
          input: {
            type: "structure",
            required: [
              "BranchInterfaceId",
              "TrunkInterfaceId"
            ],
            members: {
              BranchInterfaceId: {},
              TrunkInterfaceId: {},
              VlanId: {
                type: "integer"
              },
              GreKey: {
                type: "integer"
              },
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InterfaceAssociation: {
                shape: "S5c",
                locationName: "interfaceAssociation"
              },
              ClientToken: {
                locationName: "clientToken"
              }
            }
          }
        },
        AssociateVpcCidrBlock: {
          input: {
            type: "structure",
            required: [
              "VpcId"
            ],
            members: {
              AmazonProvidedIpv6CidrBlock: {
                locationName: "amazonProvidedIpv6CidrBlock",
                type: "boolean"
              },
              CidrBlock: {},
              VpcId: {
                locationName: "vpcId"
              },
              Ipv6CidrBlockNetworkBorderGroup: {},
              Ipv6Pool: {},
              Ipv6CidrBlock: {},
              Ipv4IpamPoolId: {},
              Ipv4NetmaskLength: {
                type: "integer"
              },
              Ipv6IpamPoolId: {},
              Ipv6NetmaskLength: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Ipv6CidrBlockAssociation: {
                shape: "S5j",
                locationName: "ipv6CidrBlockAssociation"
              },
              CidrBlockAssociation: {
                shape: "S5m",
                locationName: "cidrBlockAssociation"
              },
              VpcId: {
                locationName: "vpcId"
              }
            }
          }
        },
        AttachClassicLinkVpc: {
          input: {
            type: "structure",
            required: [
              "Groups",
              "InstanceId",
              "VpcId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              Groups: {
                shape: "S5o",
                locationName: "SecurityGroupId"
              },
              InstanceId: {
                locationName: "instanceId"
              },
              VpcId: {
                locationName: "vpcId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        AttachInternetGateway: {
          input: {
            type: "structure",
            required: [
              "InternetGatewayId",
              "VpcId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              InternetGatewayId: {
                locationName: "internetGatewayId"
              },
              VpcId: {
                locationName: "vpcId"
              }
            }
          }
        },
        AttachNetworkInterface: {
          input: {
            type: "structure",
            required: [
              "DeviceIndex",
              "InstanceId",
              "NetworkInterfaceId"
            ],
            members: {
              DeviceIndex: {
                locationName: "deviceIndex",
                type: "integer"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              InstanceId: {
                locationName: "instanceId"
              },
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              },
              NetworkCardIndex: {
                type: "integer"
              },
              EnaSrdSpecification: {
                shape: "S5t"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AttachmentId: {
                locationName: "attachmentId"
              },
              NetworkCardIndex: {
                locationName: "networkCardIndex",
                type: "integer"
              }
            }
          }
        },
        AttachVerifiedAccessTrustProvider: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessInstanceId",
              "VerifiedAccessTrustProviderId"
            ],
            members: {
              VerifiedAccessInstanceId: {},
              VerifiedAccessTrustProviderId: {},
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessTrustProvider: {
                shape: "S60",
                locationName: "verifiedAccessTrustProvider"
              },
              VerifiedAccessInstance: {
                shape: "S67",
                locationName: "verifiedAccessInstance"
              }
            }
          }
        },
        AttachVolume: {
          input: {
            type: "structure",
            required: [
              "Device",
              "InstanceId",
              "VolumeId"
            ],
            members: {
              Device: {},
              InstanceId: {},
              VolumeId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S6c"
          }
        },
        AttachVpnGateway: {
          input: {
            type: "structure",
            required: [
              "VpcId",
              "VpnGatewayId"
            ],
            members: {
              VpcId: {},
              VpnGatewayId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpcAttachment: {
                shape: "S6h",
                locationName: "attachment"
              }
            }
          }
        },
        AuthorizeClientVpnIngress: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId",
              "TargetNetworkCidr"
            ],
            members: {
              ClientVpnEndpointId: {},
              TargetNetworkCidr: {},
              AccessGroupId: {},
              AuthorizeAllGroups: {
                type: "boolean"
              },
              Description: {},
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                shape: "S6l",
                locationName: "status"
              }
            }
          }
        },
        AuthorizeSecurityGroupEgress: {
          input: {
            type: "structure",
            required: [
              "GroupId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              GroupId: {
                locationName: "groupId"
              },
              IpPermissions: {
                shape: "S6o",
                locationName: "ipPermissions"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              CidrIp: {
                locationName: "cidrIp"
              },
              FromPort: {
                locationName: "fromPort",
                type: "integer"
              },
              IpProtocol: {
                locationName: "ipProtocol"
              },
              ToPort: {
                locationName: "toPort",
                type: "integer"
              },
              SourceSecurityGroupName: {
                locationName: "sourceSecurityGroupName"
              },
              SourceSecurityGroupOwnerId: {
                locationName: "sourceSecurityGroupOwnerId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              },
              SecurityGroupRules: {
                shape: "S6z",
                locationName: "securityGroupRuleSet"
              }
            }
          }
        },
        AuthorizeSecurityGroupIngress: {
          input: {
            type: "structure",
            members: {
              CidrIp: {},
              FromPort: {
                type: "integer"
              },
              GroupId: {},
              GroupName: {},
              IpPermissions: {
                shape: "S6o"
              },
              IpProtocol: {},
              SourceSecurityGroupName: {},
              SourceSecurityGroupOwnerId: {},
              ToPort: {
                type: "integer"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              },
              SecurityGroupRules: {
                shape: "S6z",
                locationName: "securityGroupRuleSet"
              }
            }
          }
        },
        BundleInstance: {
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Storage"
            ],
            members: {
              InstanceId: {},
              Storage: {
                shape: "S78"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BundleTask: {
                shape: "S7c",
                locationName: "bundleInstanceTask"
              }
            }
          }
        },
        CancelBundleTask: {
          input: {
            type: "structure",
            required: [
              "BundleId"
            ],
            members: {
              BundleId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BundleTask: {
                shape: "S7c",
                locationName: "bundleInstanceTask"
              }
            }
          }
        },
        CancelCapacityReservation: {
          input: {
            type: "structure",
            required: [
              "CapacityReservationId"
            ],
            members: {
              CapacityReservationId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        CancelCapacityReservationFleets: {
          input: {
            type: "structure",
            required: [
              "CapacityReservationFleetIds"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              CapacityReservationFleetIds: {
                shape: "S7m",
                locationName: "CapacityReservationFleetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SuccessfulFleetCancellations: {
                locationName: "successfulFleetCancellationSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    CurrentFleetState: {
                      locationName: "currentFleetState"
                    },
                    PreviousFleetState: {
                      locationName: "previousFleetState"
                    },
                    CapacityReservationFleetId: {
                      locationName: "capacityReservationFleetId"
                    }
                  }
                }
              },
              FailedFleetCancellations: {
                locationName: "failedFleetCancellationSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    CapacityReservationFleetId: {
                      locationName: "capacityReservationFleetId"
                    },
                    CancelCapacityReservationFleetError: {
                      locationName: "cancelCapacityReservationFleetError",
                      type: "structure",
                      members: {
                        Code: {
                          locationName: "code"
                        },
                        Message: {
                          locationName: "message"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        CancelConversionTask: {
          input: {
            type: "structure",
            required: [
              "ConversionTaskId"
            ],
            members: {
              ConversionTaskId: {
                locationName: "conversionTaskId"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              ReasonMessage: {
                locationName: "reasonMessage"
              }
            }
          }
        },
        CancelExportTask: {
          input: {
            type: "structure",
            required: [
              "ExportTaskId"
            ],
            members: {
              ExportTaskId: {
                locationName: "exportTaskId"
              }
            }
          }
        },
        CancelImageLaunchPermission: {
          input: {
            type: "structure",
            required: [
              "ImageId"
            ],
            members: {
              ImageId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        CancelImportTask: {
          input: {
            type: "structure",
            members: {
              CancelReason: {},
              DryRun: {
                type: "boolean"
              },
              ImportTaskId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImportTaskId: {
                locationName: "importTaskId"
              },
              PreviousState: {
                locationName: "previousState"
              },
              State: {
                locationName: "state"
              }
            }
          }
        },
        CancelReservedInstancesListing: {
          input: {
            type: "structure",
            required: [
              "ReservedInstancesListingId"
            ],
            members: {
              ReservedInstancesListingId: {
                locationName: "reservedInstancesListingId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReservedInstancesListings: {
                shape: "S8a",
                locationName: "reservedInstancesListingsSet"
              }
            }
          }
        },
        CancelSpotFleetRequests: {
          input: {
            type: "structure",
            required: [
              "SpotFleetRequestIds",
              "TerminateInstances"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              SpotFleetRequestIds: {
                shape: "S8m",
                locationName: "spotFleetRequestId"
              },
              TerminateInstances: {
                locationName: "terminateInstances",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SuccessfulFleetRequests: {
                locationName: "successfulFleetRequestSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    CurrentSpotFleetRequestState: {
                      locationName: "currentSpotFleetRequestState"
                    },
                    PreviousSpotFleetRequestState: {
                      locationName: "previousSpotFleetRequestState"
                    },
                    SpotFleetRequestId: {
                      locationName: "spotFleetRequestId"
                    }
                  }
                }
              },
              UnsuccessfulFleetRequests: {
                locationName: "unsuccessfulFleetRequestSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Error: {
                      locationName: "error",
                      type: "structure",
                      members: {
                        Code: {
                          locationName: "code"
                        },
                        Message: {
                          locationName: "message"
                        }
                      }
                    },
                    SpotFleetRequestId: {
                      locationName: "spotFleetRequestId"
                    }
                  }
                }
              }
            }
          }
        },
        CancelSpotInstanceRequests: {
          input: {
            type: "structure",
            required: [
              "SpotInstanceRequestIds"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              SpotInstanceRequestIds: {
                shape: "S8x",
                locationName: "SpotInstanceRequestId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CancelledSpotInstanceRequests: {
                locationName: "spotInstanceRequestSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    SpotInstanceRequestId: {
                      locationName: "spotInstanceRequestId"
                    },
                    State: {
                      locationName: "state"
                    }
                  }
                }
              }
            }
          }
        },
        ConfirmProductInstance: {
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ProductCode"
            ],
            members: {
              InstanceId: {},
              ProductCode: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OwnerId: {
                locationName: "ownerId"
              },
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        CopyFpgaImage: {
          input: {
            type: "structure",
            required: [
              "SourceFpgaImageId",
              "SourceRegion"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              SourceFpgaImageId: {},
              Description: {},
              Name: {},
              SourceRegion: {},
              ClientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FpgaImageId: {
                locationName: "fpgaImageId"
              }
            }
          }
        },
        CopyImage: {
          input: {
            type: "structure",
            required: [
              "Name",
              "SourceImageId",
              "SourceRegion"
            ],
            members: {
              ClientToken: {},
              Description: {},
              Encrypted: {
                locationName: "encrypted",
                type: "boolean"
              },
              KmsKeyId: {
                locationName: "kmsKeyId"
              },
              Name: {},
              SourceImageId: {},
              SourceRegion: {},
              DestinationOutpostArn: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              CopyImageTags: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ImageId: {
                locationName: "imageId"
              }
            }
          }
        },
        CopySnapshot: {
          input: {
            type: "structure",
            required: [
              "SourceRegion",
              "SourceSnapshotId"
            ],
            members: {
              Description: {},
              DestinationOutpostArn: {},
              DestinationRegion: {
                locationName: "destinationRegion"
              },
              Encrypted: {
                locationName: "encrypted",
                type: "boolean"
              },
              KmsKeyId: {
                locationName: "kmsKeyId"
              },
              PresignedUrl: {
                locationName: "presignedUrl",
                type: "string",
                sensitive: true
              },
              SourceRegion: {},
              SourceSnapshotId: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SnapshotId: {
                locationName: "snapshotId"
              },
              Tags: {
                shape: "S6",
                locationName: "tagSet"
              }
            }
          }
        },
        CreateCapacityReservation: {
          input: {
            type: "structure",
            required: [
              "InstanceType",
              "InstancePlatform",
              "InstanceCount"
            ],
            members: {
              ClientToken: {},
              InstanceType: {},
              InstancePlatform: {},
              AvailabilityZone: {},
              AvailabilityZoneId: {},
              Tenancy: {},
              InstanceCount: {
                type: "integer"
              },
              EbsOptimized: {
                type: "boolean"
              },
              EphemeralStorage: {
                type: "boolean"
              },
              EndDate: {
                type: "timestamp"
              },
              EndDateType: {},
              InstanceMatchCriteria: {},
              TagSpecifications: {
                shape: "S3"
              },
              DryRun: {
                type: "boolean"
              },
              OutpostArn: {},
              PlacementGroupArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CapacityReservation: {
                shape: "S9n",
                locationName: "capacityReservation"
              }
            }
          }
        },
        CreateCapacityReservationFleet: {
          input: {
            type: "structure",
            required: [
              "InstanceTypeSpecifications",
              "TotalTargetCapacity"
            ],
            members: {
              AllocationStrategy: {},
              ClientToken: {
                idempotencyToken: true
              },
              InstanceTypeSpecifications: {
                locationName: "InstanceTypeSpecification",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InstanceType: {},
                    InstancePlatform: {},
                    Weight: {
                      type: "double"
                    },
                    AvailabilityZone: {},
                    AvailabilityZoneId: {},
                    EbsOptimized: {
                      type: "boolean"
                    },
                    Priority: {
                      type: "integer"
                    }
                  }
                }
              },
              Tenancy: {},
              TotalTargetCapacity: {
                type: "integer"
              },
              EndDate: {
                type: "timestamp"
              },
              InstanceMatchCriteria: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CapacityReservationFleetId: {
                locationName: "capacityReservationFleetId"
              },
              State: {
                locationName: "state"
              },
              TotalTargetCapacity: {
                locationName: "totalTargetCapacity",
                type: "integer"
              },
              TotalFulfilledCapacity: {
                locationName: "totalFulfilledCapacity",
                type: "double"
              },
              InstanceMatchCriteria: {
                locationName: "instanceMatchCriteria"
              },
              AllocationStrategy: {
                locationName: "allocationStrategy"
              },
              CreateTime: {
                locationName: "createTime",
                type: "timestamp"
              },
              EndDate: {
                locationName: "endDate",
                type: "timestamp"
              },
              Tenancy: {
                locationName: "tenancy"
              },
              FleetCapacityReservations: {
                shape: "Sa1",
                locationName: "fleetCapacityReservationSet"
              },
              Tags: {
                shape: "S6",
                locationName: "tagSet"
              }
            }
          }
        },
        CreateCarrierGateway: {
          input: {
            type: "structure",
            required: [
              "VpcId"
            ],
            members: {
              VpcId: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CarrierGateway: {
                shape: "Sa5",
                locationName: "carrierGateway"
              }
            }
          }
        },
        CreateClientVpnEndpoint: {
          input: {
            type: "structure",
            required: [
              "ClientCidrBlock",
              "ServerCertificateArn",
              "AuthenticationOptions",
              "ConnectionLogOptions"
            ],
            members: {
              ClientCidrBlock: {},
              ServerCertificateArn: {},
              AuthenticationOptions: {
                locationName: "Authentication",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    ActiveDirectory: {
                      type: "structure",
                      members: {
                        DirectoryId: {}
                      }
                    },
                    MutualAuthentication: {
                      type: "structure",
                      members: {
                        ClientRootCertificateChainArn: {}
                      }
                    },
                    FederatedAuthentication: {
                      type: "structure",
                      members: {
                        SAMLProviderArn: {},
                        SelfServiceSAMLProviderArn: {}
                      }
                    }
                  }
                }
              },
              ConnectionLogOptions: {
                shape: "Saf"
              },
              DnsServers: {
                shape: "So"
              },
              TransportProtocol: {},
              VpnPort: {
                type: "integer"
              },
              Description: {},
              SplitTunnel: {
                type: "boolean"
              },
              DryRun: {
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              SecurityGroupIds: {
                shape: "S2m",
                locationName: "SecurityGroupId"
              },
              VpcId: {},
              SelfServicePortal: {},
              ClientConnectOptions: {
                shape: "Sai"
              },
              SessionTimeoutHours: {
                type: "integer"
              },
              ClientLoginBannerOptions: {
                shape: "Saj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ClientVpnEndpointId: {
                locationName: "clientVpnEndpointId"
              },
              Status: {
                shape: "Sal",
                locationName: "status"
              },
              DnsName: {
                locationName: "dnsName"
              }
            }
          }
        },
        CreateClientVpnRoute: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId",
              "DestinationCidrBlock",
              "TargetVpcSubnetId"
            ],
            members: {
              ClientVpnEndpointId: {},
              DestinationCidrBlock: {},
              TargetVpcSubnetId: {},
              Description: {},
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                shape: "Sap",
                locationName: "status"
              }
            }
          }
        },
        CreateCoipCidr: {
          input: {
            type: "structure",
            required: [
              "Cidr",
              "CoipPoolId"
            ],
            members: {
              Cidr: {},
              CoipPoolId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoipCidr: {
                shape: "Sau",
                locationName: "coipCidr"
              }
            }
          }
        },
        CreateCoipPool: {
          input: {
            type: "structure",
            required: [
              "LocalGatewayRouteTableId"
            ],
            members: {
              LocalGatewayRouteTableId: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoipPool: {
                shape: "Say",
                locationName: "coipPool"
              }
            }
          }
        },
        CreateCustomerGateway: {
          input: {
            type: "structure",
            required: [
              "Type"
            ],
            members: {
              BgpAsn: {
                type: "integer"
              },
              PublicIp: {},
              CertificateArn: {},
              Type: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DeviceName: {},
              IpAddress: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CustomerGateway: {
                shape: "Sb2",
                locationName: "customerGateway"
              }
            }
          }
        },
        CreateDefaultSubnet: {
          input: {
            type: "structure",
            required: [
              "AvailabilityZone"
            ],
            members: {
              AvailabilityZone: {},
              DryRun: {
                type: "boolean"
              },
              Ipv6Native: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Subnet: {
                shape: "Sb5",
                locationName: "subnet"
              }
            }
          }
        },
        CreateDefaultVpc: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Vpc: {
                shape: "Sbd",
                locationName: "vpc"
              }
            }
          }
        },
        CreateDhcpOptions: {
          input: {
            type: "structure",
            required: [
              "DhcpConfigurations"
            ],
            members: {
              DhcpConfigurations: {
                locationName: "dhcpConfiguration",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Key: {
                      locationName: "key"
                    },
                    Values: {
                      shape: "So",
                      locationName: "Value"
                    }
                  }
                }
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DhcpOptions: {
                shape: "Sbm",
                locationName: "dhcpOptions"
              }
            }
          }
        },
        CreateEgressOnlyInternetGateway: {
          input: {
            type: "structure",
            required: [
              "VpcId"
            ],
            members: {
              ClientToken: {},
              DryRun: {
                type: "boolean"
              },
              VpcId: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ClientToken: {
                locationName: "clientToken"
              },
              EgressOnlyInternetGateway: {
                shape: "Sbt",
                locationName: "egressOnlyInternetGateway"
              }
            }
          }
        },
        CreateFleet: {
          input: {
            type: "structure",
            required: [
              "LaunchTemplateConfigs",
              "TargetCapacitySpecification"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ClientToken: {},
              SpotOptions: {
                type: "structure",
                members: {
                  AllocationStrategy: {},
                  MaintenanceStrategies: {
                    type: "structure",
                    members: {
                      CapacityRebalance: {
                        type: "structure",
                        members: {
                          ReplacementStrategy: {},
                          TerminationDelay: {
                            type: "integer"
                          }
                        }
                      }
                    }
                  },
                  InstanceInterruptionBehavior: {},
                  InstancePoolsToUseCount: {
                    type: "integer"
                  },
                  SingleInstanceType: {
                    type: "boolean"
                  },
                  SingleAvailabilityZone: {
                    type: "boolean"
                  },
                  MinTargetCapacity: {
                    type: "integer"
                  },
                  MaxTotalPrice: {}
                }
              },
              OnDemandOptions: {
                type: "structure",
                members: {
                  AllocationStrategy: {},
                  CapacityReservationOptions: {
                    type: "structure",
                    members: {
                      UsageStrategy: {}
                    }
                  },
                  SingleInstanceType: {
                    type: "boolean"
                  },
                  SingleAvailabilityZone: {
                    type: "boolean"
                  },
                  MinTargetCapacity: {
                    type: "integer"
                  },
                  MaxTotalPrice: {}
                }
              },
              ExcessCapacityTerminationPolicy: {},
              LaunchTemplateConfigs: {
                shape: "Sc9"
              },
              TargetCapacitySpecification: {
                shape: "Sdc"
              },
              TerminateInstancesWithExpiration: {
                type: "boolean"
              },
              Type: {},
              ValidFrom: {
                type: "timestamp"
              },
              ValidUntil: {
                type: "timestamp"
              },
              ReplaceUnhealthyInstances: {
                type: "boolean"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              Context: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetId: {
                locationName: "fleetId"
              },
              Errors: {
                locationName: "errorSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    LaunchTemplateAndOverrides: {
                      shape: "Sdk",
                      locationName: "launchTemplateAndOverrides"
                    },
                    Lifecycle: {
                      locationName: "lifecycle"
                    },
                    ErrorCode: {
                      locationName: "errorCode"
                    },
                    ErrorMessage: {
                      locationName: "errorMessage"
                    }
                  }
                }
              },
              Instances: {
                locationName: "fleetInstanceSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    LaunchTemplateAndOverrides: {
                      shape: "Sdk",
                      locationName: "launchTemplateAndOverrides"
                    },
                    Lifecycle: {
                      locationName: "lifecycle"
                    },
                    InstanceIds: {
                      shape: "Se1",
                      locationName: "instanceIds"
                    },
                    InstanceType: {
                      locationName: "instanceType"
                    },
                    Platform: {
                      locationName: "platform"
                    }
                  }
                }
              }
            }
          }
        },
        CreateFlowLogs: {
          input: {
            type: "structure",
            required: [
              "ResourceIds",
              "ResourceType"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ClientToken: {},
              DeliverLogsPermissionArn: {},
              DeliverCrossAccountRole: {},
              LogGroupName: {},
              ResourceIds: {
                locationName: "ResourceId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              ResourceType: {},
              TrafficType: {},
              LogDestinationType: {},
              LogDestination: {},
              LogFormat: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              MaxAggregationInterval: {
                type: "integer"
              },
              DestinationOptions: {
                type: "structure",
                members: {
                  FileFormat: {},
                  HiveCompatiblePartitions: {
                    type: "boolean"
                  },
                  PerHourPartition: {
                    type: "boolean"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ClientToken: {
                locationName: "clientToken"
              },
              FlowLogIds: {
                shape: "So",
                locationName: "flowLogIdSet"
              },
              Unsuccessful: {
                shape: "S1g",
                locationName: "unsuccessful"
              }
            }
          }
        },
        CreateFpgaImage: {
          input: {
            type: "structure",
            required: [
              "InputStorageLocation"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              InputStorageLocation: {
                shape: "Sed"
              },
              LogsStorageLocation: {
                shape: "Sed"
              },
              Description: {},
              Name: {},
              ClientToken: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FpgaImageId: {
                locationName: "fpgaImageId"
              },
              FpgaImageGlobalId: {
                locationName: "fpgaImageGlobalId"
              }
            }
          }
        },
        CreateImage: {
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Name"
            ],
            members: {
              BlockDeviceMappings: {
                shape: "Seg",
                locationName: "blockDeviceMapping"
              },
              Description: {
                locationName: "description"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              InstanceId: {
                locationName: "instanceId"
              },
              Name: {
                locationName: "name"
              },
              NoReboot: {
                locationName: "noReboot",
                type: "boolean"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ImageId: {
                locationName: "imageId"
              }
            }
          }
        },
        CreateInstanceConnectEndpoint: {
          input: {
            type: "structure",
            required: [
              "SubnetId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              SubnetId: {},
              SecurityGroupIds: {
                locationName: "SecurityGroupId",
                type: "list",
                member: {
                  locationName: "SecurityGroupId"
                }
              },
              PreserveClientIp: {
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceConnectEndpoint: {
                shape: "Sep",
                locationName: "instanceConnectEndpoint"
              },
              ClientToken: {
                locationName: "clientToken"
              }
            }
          }
        },
        CreateInstanceEventWindow: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Name: {},
              TimeRanges: {
                shape: "Sev",
                locationName: "TimeRange"
              },
              CronExpression: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceEventWindow: {
                shape: "S42",
                locationName: "instanceEventWindow"
              }
            }
          }
        },
        CreateInstanceExportTask: {
          input: {
            type: "structure",
            required: [
              "ExportToS3Task",
              "InstanceId",
              "TargetEnvironment"
            ],
            members: {
              Description: {
                locationName: "description"
              },
              ExportToS3Task: {
                locationName: "exportToS3",
                type: "structure",
                members: {
                  ContainerFormat: {
                    locationName: "containerFormat"
                  },
                  DiskImageFormat: {
                    locationName: "diskImageFormat"
                  },
                  S3Bucket: {
                    locationName: "s3Bucket"
                  },
                  S3Prefix: {
                    locationName: "s3Prefix"
                  }
                }
              },
              InstanceId: {
                locationName: "instanceId"
              },
              TargetEnvironment: {
                locationName: "targetEnvironment"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ExportTask: {
                shape: "Sf4",
                locationName: "exportTask"
              }
            }
          }
        },
        CreateInternetGateway: {
          input: {
            type: "structure",
            members: {
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InternetGateway: {
                shape: "Sfa",
                locationName: "internetGateway"
              }
            }
          }
        },
        CreateIpam: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Description: {},
              OperatingRegions: {
                shape: "Sfc",
                locationName: "OperatingRegion"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Ipam: {
                shape: "Sff",
                locationName: "ipam"
              }
            }
          }
        },
        CreateIpamPool: {
          input: {
            type: "structure",
            required: [
              "IpamScopeId",
              "AddressFamily"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamScopeId: {},
              Locale: {},
              SourceIpamPoolId: {},
              Description: {},
              AddressFamily: {},
              AutoImport: {
                type: "boolean"
              },
              PubliclyAdvertisable: {
                type: "boolean"
              },
              AllocationMinNetmaskLength: {
                type: "integer"
              },
              AllocationMaxNetmaskLength: {
                type: "integer"
              },
              AllocationDefaultNetmaskLength: {
                type: "integer"
              },
              AllocationResourceTags: {
                shape: "Sfn",
                locationName: "AllocationResourceTag"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              ClientToken: {
                idempotencyToken: true
              },
              AwsService: {},
              PublicIpSource: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IpamPool: {
                shape: "Sfs",
                locationName: "ipamPool"
              }
            }
          }
        },
        CreateIpamResourceDiscovery: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Description: {},
              OperatingRegions: {
                shape: "Sfc",
                locationName: "OperatingRegion"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IpamResourceDiscovery: {
                shape: "Sfz",
                locationName: "ipamResourceDiscovery"
              }
            }
          }
        },
        CreateIpamScope: {
          input: {
            type: "structure",
            required: [
              "IpamId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamId: {},
              Description: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IpamScope: {
                shape: "Sg3",
                locationName: "ipamScope"
              }
            }
          }
        },
        CreateKeyPair: {
          input: {
            type: "structure",
            required: [
              "KeyName"
            ],
            members: {
              KeyName: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              KeyType: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              KeyFormat: {}
            }
          },
          output: {
            type: "structure",
            members: {
              KeyFingerprint: {
                locationName: "keyFingerprint"
              },
              KeyMaterial: {
                shape: "Sg9",
                locationName: "keyMaterial"
              },
              KeyName: {
                locationName: "keyName"
              },
              KeyPairId: {
                locationName: "keyPairId"
              },
              Tags: {
                shape: "S6",
                locationName: "tagSet"
              }
            }
          }
        },
        CreateLaunchTemplate: {
          input: {
            type: "structure",
            required: [
              "LaunchTemplateName",
              "LaunchTemplateData"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ClientToken: {},
              LaunchTemplateName: {},
              VersionDescription: {},
              LaunchTemplateData: {
                shape: "Sgc"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LaunchTemplate: {
                shape: "Shu",
                locationName: "launchTemplate"
              },
              Warning: {
                shape: "Shv",
                locationName: "warning"
              }
            }
          }
        },
        CreateLaunchTemplateVersion: {
          input: {
            type: "structure",
            required: [
              "LaunchTemplateData"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ClientToken: {},
              LaunchTemplateId: {},
              LaunchTemplateName: {},
              SourceVersion: {},
              VersionDescription: {},
              LaunchTemplateData: {
                shape: "Sgc"
              },
              ResolveAlias: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LaunchTemplateVersion: {
                shape: "Si0",
                locationName: "launchTemplateVersion"
              },
              Warning: {
                shape: "Shv",
                locationName: "warning"
              }
            }
          }
        },
        CreateLocalGatewayRoute: {
          input: {
            type: "structure",
            required: [
              "LocalGatewayRouteTableId"
            ],
            members: {
              DestinationCidrBlock: {},
              LocalGatewayRouteTableId: {},
              LocalGatewayVirtualInterfaceGroupId: {},
              DryRun: {
                type: "boolean"
              },
              NetworkInterfaceId: {},
              DestinationPrefixListId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Route: {
                shape: "Sj3",
                locationName: "route"
              }
            }
          }
        },
        CreateLocalGatewayRouteTable: {
          input: {
            type: "structure",
            required: [
              "LocalGatewayId"
            ],
            members: {
              LocalGatewayId: {},
              Mode: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocalGatewayRouteTable: {
                shape: "Sja",
                locationName: "localGatewayRouteTable"
              }
            }
          }
        },
        CreateLocalGatewayRouteTableVirtualInterfaceGroupAssociation: {
          input: {
            type: "structure",
            required: [
              "LocalGatewayRouteTableId",
              "LocalGatewayVirtualInterfaceGroupId"
            ],
            members: {
              LocalGatewayRouteTableId: {},
              LocalGatewayVirtualInterfaceGroupId: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocalGatewayRouteTableVirtualInterfaceGroupAssociation: {
                shape: "Sje",
                locationName: "localGatewayRouteTableVirtualInterfaceGroupAssociation"
              }
            }
          }
        },
        CreateLocalGatewayRouteTableVpcAssociation: {
          input: {
            type: "structure",
            required: [
              "LocalGatewayRouteTableId",
              "VpcId"
            ],
            members: {
              LocalGatewayRouteTableId: {},
              VpcId: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocalGatewayRouteTableVpcAssociation: {
                shape: "Sji",
                locationName: "localGatewayRouteTableVpcAssociation"
              }
            }
          }
        },
        CreateManagedPrefixList: {
          input: {
            type: "structure",
            required: [
              "PrefixListName",
              "MaxEntries",
              "AddressFamily"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              PrefixListName: {},
              Entries: {
                shape: "Sjl",
                locationName: "Entry"
              },
              MaxEntries: {
                type: "integer"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              AddressFamily: {},
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PrefixList: {
                shape: "Sjo",
                locationName: "prefixList"
              }
            }
          }
        },
        CreateNatGateway: {
          input: {
            type: "structure",
            required: [
              "SubnetId"
            ],
            members: {
              AllocationId: {},
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              },
              SubnetId: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              ConnectivityType: {},
              PrivateIpAddress: {},
              SecondaryAllocationIds: {
                shape: "S4k",
                locationName: "SecondaryAllocationId"
              },
              SecondaryPrivateIpAddresses: {
                shape: "S33",
                locationName: "SecondaryPrivateIpAddress"
              },
              SecondaryPrivateIpAddressCount: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ClientToken: {
                locationName: "clientToken"
              },
              NatGateway: {
                shape: "Sjt",
                locationName: "natGateway"
              }
            }
          }
        },
        CreateNetworkAcl: {
          input: {
            type: "structure",
            required: [
              "VpcId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              VpcId: {
                locationName: "vpcId"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkAcl: {
                shape: "Sjy",
                locationName: "networkAcl"
              }
            }
          }
        },
        CreateNetworkAclEntry: {
          input: {
            type: "structure",
            required: [
              "Egress",
              "NetworkAclId",
              "Protocol",
              "RuleAction",
              "RuleNumber"
            ],
            members: {
              CidrBlock: {
                locationName: "cidrBlock"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              Egress: {
                locationName: "egress",
                type: "boolean"
              },
              IcmpTypeCode: {
                shape: "Sk3",
                locationName: "Icmp"
              },
              Ipv6CidrBlock: {
                locationName: "ipv6CidrBlock"
              },
              NetworkAclId: {
                locationName: "networkAclId"
              },
              PortRange: {
                shape: "Sk4",
                locationName: "portRange"
              },
              Protocol: {
                locationName: "protocol"
              },
              RuleAction: {
                locationName: "ruleAction"
              },
              RuleNumber: {
                locationName: "ruleNumber",
                type: "integer"
              }
            }
          }
        },
        CreateNetworkInsightsAccessScope: {
          input: {
            type: "structure",
            required: [
              "ClientToken"
            ],
            members: {
              MatchPaths: {
                shape: "Sk9",
                locationName: "MatchPath"
              },
              ExcludePaths: {
                shape: "Sk9",
                locationName: "ExcludePath"
              },
              ClientToken: {
                idempotencyToken: true
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInsightsAccessScope: {
                shape: "Skj",
                locationName: "networkInsightsAccessScope"
              },
              NetworkInsightsAccessScopeContent: {
                shape: "Skl",
                locationName: "networkInsightsAccessScopeContent"
              }
            }
          }
        },
        CreateNetworkInsightsPath: {
          input: {
            type: "structure",
            required: [
              "Source",
              "Protocol",
              "ClientToken"
            ],
            members: {
              SourceIp: {},
              DestinationIp: {},
              Source: {},
              Destination: {},
              Protocol: {},
              DestinationPort: {
                type: "integer"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true
              },
              FilterAtSource: {
                shape: "Skx"
              },
              FilterAtDestination: {
                shape: "Skx"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInsightsPath: {
                shape: "Sl0",
                locationName: "networkInsightsPath"
              }
            }
          }
        },
        CreateNetworkInterface: {
          input: {
            type: "structure",
            required: [
              "SubnetId"
            ],
            members: {
              Description: {
                locationName: "description"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              Groups: {
                shape: "Sgk",
                locationName: "SecurityGroupId"
              },
              Ipv6AddressCount: {
                locationName: "ipv6AddressCount",
                type: "integer"
              },
              Ipv6Addresses: {
                shape: "Si8",
                locationName: "ipv6Addresses"
              },
              PrivateIpAddress: {
                locationName: "privateIpAddress"
              },
              PrivateIpAddresses: {
                shape: "Sgn",
                locationName: "privateIpAddresses"
              },
              SecondaryPrivateIpAddressCount: {
                locationName: "secondaryPrivateIpAddressCount",
                type: "integer"
              },
              Ipv4Prefixes: {
                shape: "Sgp",
                locationName: "Ipv4Prefix"
              },
              Ipv4PrefixCount: {
                type: "integer"
              },
              Ipv6Prefixes: {
                shape: "Sgr",
                locationName: "Ipv6Prefix"
              },
              Ipv6PrefixCount: {
                type: "integer"
              },
              InterfaceType: {},
              SubnetId: {
                locationName: "subnetId"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInterface: {
                shape: "Sl7",
                locationName: "networkInterface"
              },
              ClientToken: {
                locationName: "clientToken"
              }
            }
          }
        },
        CreateNetworkInterfacePermission: {
          input: {
            type: "structure",
            required: [
              "NetworkInterfaceId",
              "Permission"
            ],
            members: {
              NetworkInterfaceId: {},
              AwsAccountId: {},
              AwsService: {},
              Permission: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InterfacePermission: {
                shape: "Slp",
                locationName: "interfacePermission"
              }
            }
          }
        },
        CreatePlacementGroup: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              GroupName: {
                locationName: "groupName"
              },
              Strategy: {
                locationName: "strategy"
              },
              PartitionCount: {
                type: "integer"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              SpreadLevel: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PlacementGroup: {
                shape: "Slw",
                locationName: "placementGroup"
              }
            }
          }
        },
        CreatePublicIpv4Pool: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PoolId: {
                locationName: "poolId"
              }
            }
          }
        },
        CreateReplaceRootVolumeTask: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              SnapshotId: {},
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              ImageId: {},
              DeleteReplacedRootVolume: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReplaceRootVolumeTask: {
                shape: "Sm2",
                locationName: "replaceRootVolumeTask"
              }
            }
          }
        },
        CreateReservedInstancesListing: {
          input: {
            type: "structure",
            required: [
              "ClientToken",
              "InstanceCount",
              "PriceSchedules",
              "ReservedInstancesId"
            ],
            members: {
              ClientToken: {
                locationName: "clientToken"
              },
              InstanceCount: {
                locationName: "instanceCount",
                type: "integer"
              },
              PriceSchedules: {
                locationName: "priceSchedules",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    CurrencyCode: {
                      locationName: "currencyCode"
                    },
                    Price: {
                      locationName: "price",
                      type: "double"
                    },
                    Term: {
                      locationName: "term",
                      type: "long"
                    }
                  }
                }
              },
              ReservedInstancesId: {
                locationName: "reservedInstancesId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReservedInstancesListings: {
                shape: "S8a",
                locationName: "reservedInstancesListingsSet"
              }
            }
          }
        },
        CreateRestoreImageTask: {
          input: {
            type: "structure",
            required: [
              "Bucket",
              "ObjectKey"
            ],
            members: {
              Bucket: {},
              ObjectKey: {},
              Name: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ImageId: {
                locationName: "imageId"
              }
            }
          }
        },
        CreateRoute: {
          input: {
            type: "structure",
            required: [
              "RouteTableId"
            ],
            members: {
              DestinationCidrBlock: {
                locationName: "destinationCidrBlock"
              },
              DestinationIpv6CidrBlock: {
                locationName: "destinationIpv6CidrBlock"
              },
              DestinationPrefixListId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              VpcEndpointId: {},
              EgressOnlyInternetGatewayId: {
                locationName: "egressOnlyInternetGatewayId"
              },
              GatewayId: {
                locationName: "gatewayId"
              },
              InstanceId: {
                locationName: "instanceId"
              },
              NatGatewayId: {
                locationName: "natGatewayId"
              },
              TransitGatewayId: {},
              LocalGatewayId: {},
              CarrierGatewayId: {},
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              },
              RouteTableId: {
                locationName: "routeTableId"
              },
              VpcPeeringConnectionId: {
                locationName: "vpcPeeringConnectionId"
              },
              CoreNetworkArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        CreateRouteTable: {
          input: {
            type: "structure",
            required: [
              "VpcId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              VpcId: {
                locationName: "vpcId"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RouteTable: {
                shape: "Smi",
                locationName: "routeTable"
              }
            }
          }
        },
        CreateSecurityGroup: {
          input: {
            type: "structure",
            required: [
              "Description",
              "GroupName"
            ],
            members: {
              Description: {
                locationName: "GroupDescription"
              },
              GroupName: {},
              VpcId: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GroupId: {
                locationName: "groupId"
              },
              Tags: {
                shape: "S6",
                locationName: "tagSet"
              }
            }
          }
        },
        CreateSnapshot: {
          input: {
            type: "structure",
            required: [
              "VolumeId"
            ],
            members: {
              Description: {},
              OutpostArn: {},
              VolumeId: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            shape: "Smu"
          }
        },
        CreateSnapshots: {
          input: {
            type: "structure",
            required: [
              "InstanceSpecification"
            ],
            members: {
              Description: {},
              InstanceSpecification: {
                type: "structure",
                required: [
                  "InstanceId"
                ],
                members: {
                  InstanceId: {},
                  ExcludeBootVolume: {
                    type: "boolean"
                  },
                  ExcludeDataVolumeIds: {
                    shape: "Sn0",
                    locationName: "ExcludeDataVolumeId"
                  }
                }
              },
              OutpostArn: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              },
              CopyTagsFromSource: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Snapshots: {
                locationName: "snapshotSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Description: {
                      locationName: "description"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    },
                    Encrypted: {
                      locationName: "encrypted",
                      type: "boolean"
                    },
                    VolumeId: {
                      locationName: "volumeId"
                    },
                    State: {
                      locationName: "state"
                    },
                    VolumeSize: {
                      locationName: "volumeSize",
                      type: "integer"
                    },
                    StartTime: {
                      locationName: "startTime",
                      type: "timestamp"
                    },
                    Progress: {
                      locationName: "progress"
                    },
                    OwnerId: {
                      locationName: "ownerId"
                    },
                    SnapshotId: {
                      locationName: "snapshotId"
                    },
                    OutpostArn: {
                      locationName: "outpostArn"
                    }
                  }
                }
              }
            }
          }
        },
        CreateSpotDatafeedSubscription: {
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                locationName: "bucket"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              Prefix: {
                locationName: "prefix"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SpotDatafeedSubscription: {
                shape: "Sn7",
                locationName: "spotDatafeedSubscription"
              }
            }
          }
        },
        CreateStoreImageTask: {
          input: {
            type: "structure",
            required: [
              "ImageId",
              "Bucket"
            ],
            members: {
              ImageId: {},
              Bucket: {},
              S3ObjectTags: {
                locationName: "S3ObjectTag",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Key: {},
                    Value: {}
                  }
                }
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ObjectKey: {
                locationName: "objectKey"
              }
            }
          }
        },
        CreateSubnet: {
          input: {
            type: "structure",
            required: [
              "VpcId"
            ],
            members: {
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              AvailabilityZone: {},
              AvailabilityZoneId: {},
              CidrBlock: {},
              Ipv6CidrBlock: {},
              OutpostArn: {},
              VpcId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              Ipv6Native: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Subnet: {
                shape: "Sb5",
                locationName: "subnet"
              }
            }
          }
        },
        CreateSubnetCidrReservation: {
          input: {
            type: "structure",
            required: [
              "SubnetId",
              "Cidr",
              "ReservationType"
            ],
            members: {
              SubnetId: {},
              Cidr: {},
              ReservationType: {},
              Description: {},
              DryRun: {
                type: "boolean"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SubnetCidrReservation: {
                shape: "Snj",
                locationName: "subnetCidrReservation"
              }
            }
          }
        },
        CreateTags: {
          input: {
            type: "structure",
            required: [
              "Resources",
              "Tags"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              Resources: {
                shape: "Snm",
                locationName: "ResourceId"
              },
              Tags: {
                shape: "S6",
                locationName: "Tag"
              }
            }
          }
        },
        CreateTrafficMirrorFilter: {
          input: {
            type: "structure",
            members: {
              Description: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrafficMirrorFilter: {
                shape: "Snq",
                locationName: "trafficMirrorFilter"
              },
              ClientToken: {
                locationName: "clientToken"
              }
            }
          }
        },
        CreateTrafficMirrorFilterRule: {
          input: {
            type: "structure",
            required: [
              "TrafficMirrorFilterId",
              "TrafficDirection",
              "RuleNumber",
              "RuleAction",
              "DestinationCidrBlock",
              "SourceCidrBlock"
            ],
            members: {
              TrafficMirrorFilterId: {},
              TrafficDirection: {},
              RuleNumber: {
                type: "integer"
              },
              RuleAction: {},
              DestinationPortRange: {
                shape: "So0"
              },
              SourcePortRange: {
                shape: "So0"
              },
              Protocol: {
                type: "integer"
              },
              DestinationCidrBlock: {},
              SourceCidrBlock: {},
              Description: {},
              DryRun: {
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrafficMirrorFilterRule: {
                shape: "Sns",
                locationName: "trafficMirrorFilterRule"
              },
              ClientToken: {
                locationName: "clientToken"
              }
            }
          }
        },
        CreateTrafficMirrorSession: {
          input: {
            type: "structure",
            required: [
              "NetworkInterfaceId",
              "TrafficMirrorTargetId",
              "TrafficMirrorFilterId",
              "SessionNumber"
            ],
            members: {
              NetworkInterfaceId: {},
              TrafficMirrorTargetId: {},
              TrafficMirrorFilterId: {},
              PacketLength: {
                type: "integer"
              },
              SessionNumber: {
                type: "integer"
              },
              VirtualNetworkId: {
                type: "integer"
              },
              Description: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrafficMirrorSession: {
                shape: "So5",
                locationName: "trafficMirrorSession"
              },
              ClientToken: {
                locationName: "clientToken"
              }
            }
          }
        },
        CreateTrafficMirrorTarget: {
          input: {
            type: "structure",
            members: {
              NetworkInterfaceId: {},
              NetworkLoadBalancerArn: {},
              Description: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true
              },
              GatewayLoadBalancerEndpointId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrafficMirrorTarget: {
                shape: "So8",
                locationName: "trafficMirrorTarget"
              },
              ClientToken: {
                locationName: "clientToken"
              }
            }
          }
        },
        CreateTransitGateway: {
          input: {
            type: "structure",
            members: {
              Description: {},
              Options: {
                type: "structure",
                members: {
                  AmazonSideAsn: {
                    type: "long"
                  },
                  AutoAcceptSharedAttachments: {},
                  DefaultRouteTableAssociation: {},
                  DefaultRouteTablePropagation: {},
                  VpnEcmpSupport: {},
                  DnsSupport: {},
                  MulticastSupport: {},
                  TransitGatewayCidrBlocks: {
                    shape: "Soh"
                  }
                }
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGateway: {
                shape: "Soj",
                locationName: "transitGateway"
              }
            }
          }
        },
        CreateTransitGatewayConnect: {
          input: {
            type: "structure",
            required: [
              "TransportTransitGatewayAttachmentId",
              "Options"
            ],
            members: {
              TransportTransitGatewayAttachmentId: {},
              Options: {
                type: "structure",
                required: [
                  "Protocol"
                ],
                members: {
                  Protocol: {}
                }
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayConnect: {
                shape: "Soq",
                locationName: "transitGatewayConnect"
              }
            }
          }
        },
        CreateTransitGatewayConnectPeer: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayAttachmentId",
              "PeerAddress",
              "InsideCidrBlocks"
            ],
            members: {
              TransitGatewayAttachmentId: {},
              TransitGatewayAddress: {},
              PeerAddress: {},
              BgpOptions: {
                type: "structure",
                members: {
                  PeerAsn: {
                    type: "long"
                  }
                }
              },
              InsideCidrBlocks: {
                shape: "Sou"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayConnectPeer: {
                shape: "Sow",
                locationName: "transitGatewayConnectPeer"
              }
            }
          }
        },
        CreateTransitGatewayMulticastDomain: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayId"
            ],
            members: {
              TransitGatewayId: {},
              Options: {
                type: "structure",
                members: {
                  Igmpv2Support: {},
                  StaticSourcesSupport: {},
                  AutoAcceptSharedAssociations: {}
                }
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayMulticastDomain: {
                shape: "Sp9",
                locationName: "transitGatewayMulticastDomain"
              }
            }
          }
        },
        CreateTransitGatewayPeeringAttachment: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayId",
              "PeerTransitGatewayId",
              "PeerAccountId",
              "PeerRegion"
            ],
            members: {
              TransitGatewayId: {},
              PeerTransitGatewayId: {},
              PeerAccountId: {},
              PeerRegion: {},
              Options: {
                type: "structure",
                members: {
                  DynamicRouting: {}
                }
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayPeeringAttachment: {
                shape: "Sx",
                locationName: "transitGatewayPeeringAttachment"
              }
            }
          }
        },
        CreateTransitGatewayPolicyTable: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayId"
            ],
            members: {
              TransitGatewayId: {},
              TagSpecifications: {
                shape: "S3"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayPolicyTable: {
                shape: "Spi",
                locationName: "transitGatewayPolicyTable"
              }
            }
          }
        },
        CreateTransitGatewayPrefixListReference: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayRouteTableId",
              "PrefixListId"
            ],
            members: {
              TransitGatewayRouteTableId: {},
              PrefixListId: {},
              TransitGatewayAttachmentId: {},
              Blackhole: {
                type: "boolean"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayPrefixListReference: {
                shape: "Spm",
                locationName: "transitGatewayPrefixListReference"
              }
            }
          }
        },
        CreateTransitGatewayRoute: {
          input: {
            type: "structure",
            required: [
              "DestinationCidrBlock",
              "TransitGatewayRouteTableId"
            ],
            members: {
              DestinationCidrBlock: {},
              TransitGatewayRouteTableId: {},
              TransitGatewayAttachmentId: {},
              Blackhole: {
                type: "boolean"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Route: {
                shape: "Spr",
                locationName: "route"
              }
            }
          }
        },
        CreateTransitGatewayRouteTable: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayId"
            ],
            members: {
              TransitGatewayId: {},
              TagSpecifications: {
                shape: "S3"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayRouteTable: {
                shape: "Spz",
                locationName: "transitGatewayRouteTable"
              }
            }
          }
        },
        CreateTransitGatewayRouteTableAnnouncement: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayRouteTableId",
              "PeeringAttachmentId"
            ],
            members: {
              TransitGatewayRouteTableId: {},
              PeeringAttachmentId: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayRouteTableAnnouncement: {
                shape: "Sq3",
                locationName: "transitGatewayRouteTableAnnouncement"
              }
            }
          }
        },
        CreateTransitGatewayVpcAttachment: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayId",
              "VpcId",
              "SubnetIds"
            ],
            members: {
              TransitGatewayId: {},
              VpcId: {},
              SubnetIds: {
                shape: "S4z"
              },
              Options: {
                type: "structure",
                members: {
                  DnsSupport: {},
                  Ipv6Support: {},
                  ApplianceModeSupport: {}
                }
              },
              TagSpecifications: {
                shape: "S3"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayVpcAttachment: {
                shape: "S16",
                locationName: "transitGatewayVpcAttachment"
              }
            }
          }
        },
        CreateVerifiedAccessEndpoint: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessGroupId",
              "EndpointType",
              "AttachmentType",
              "DomainCertificateArn",
              "ApplicationDomain",
              "EndpointDomainPrefix"
            ],
            members: {
              VerifiedAccessGroupId: {},
              EndpointType: {},
              AttachmentType: {},
              DomainCertificateArn: {},
              ApplicationDomain: {},
              EndpointDomainPrefix: {},
              SecurityGroupIds: {
                shape: "Sqe",
                locationName: "SecurityGroupId"
              },
              LoadBalancerOptions: {
                type: "structure",
                members: {
                  Protocol: {},
                  Port: {
                    type: "integer"
                  },
                  LoadBalancerArn: {},
                  SubnetIds: {
                    locationName: "SubnetId",
                    type: "list",
                    member: {
                      locationName: "item"
                    }
                  }
                }
              },
              NetworkInterfaceOptions: {
                type: "structure",
                members: {
                  NetworkInterfaceId: {},
                  Protocol: {},
                  Port: {
                    type: "integer"
                  }
                }
              },
              Description: {},
              PolicyDocument: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessEndpoint: {
                shape: "Sqm",
                locationName: "verifiedAccessEndpoint"
              }
            }
          }
        },
        CreateVerifiedAccessGroup: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessInstanceId"
            ],
            members: {
              VerifiedAccessInstanceId: {},
              Description: {},
              PolicyDocument: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessGroup: {
                shape: "Squ",
                locationName: "verifiedAccessGroup"
              }
            }
          }
        },
        CreateVerifiedAccessInstance: {
          input: {
            type: "structure",
            members: {
              Description: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessInstance: {
                shape: "S67",
                locationName: "verifiedAccessInstance"
              }
            }
          }
        },
        CreateVerifiedAccessTrustProvider: {
          input: {
            type: "structure",
            required: [
              "TrustProviderType",
              "PolicyReferenceName"
            ],
            members: {
              TrustProviderType: {},
              UserTrustProviderType: {},
              DeviceTrustProviderType: {},
              OidcOptions: {
                type: "structure",
                members: {
                  Issuer: {},
                  AuthorizationEndpoint: {},
                  TokenEndpoint: {},
                  UserInfoEndpoint: {},
                  ClientId: {},
                  ClientSecret: {
                    shape: "S65"
                  },
                  Scope: {}
                }
              },
              DeviceOptions: {
                type: "structure",
                members: {
                  TenantId: {}
                }
              },
              PolicyReferenceName: {},
              Description: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessTrustProvider: {
                shape: "S60",
                locationName: "verifiedAccessTrustProvider"
              }
            }
          }
        },
        CreateVolume: {
          input: {
            type: "structure",
            required: [
              "AvailabilityZone"
            ],
            members: {
              AvailabilityZone: {},
              Encrypted: {
                locationName: "encrypted",
                type: "boolean"
              },
              Iops: {
                type: "integer"
              },
              KmsKeyId: {},
              OutpostArn: {},
              Size: {
                type: "integer"
              },
              SnapshotId: {},
              VolumeType: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              MultiAttachEnabled: {
                type: "boolean"
              },
              Throughput: {
                type: "integer"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            shape: "Sr2"
          }
        },
        CreateVpc: {
          input: {
            type: "structure",
            members: {
              CidrBlock: {},
              AmazonProvidedIpv6CidrBlock: {
                locationName: "amazonProvidedIpv6CidrBlock",
                type: "boolean"
              },
              Ipv6Pool: {},
              Ipv6CidrBlock: {},
              Ipv4IpamPoolId: {},
              Ipv4NetmaskLength: {
                type: "integer"
              },
              Ipv6IpamPoolId: {},
              Ipv6NetmaskLength: {
                type: "integer"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              InstanceTenancy: {
                locationName: "instanceTenancy"
              },
              Ipv6CidrBlockNetworkBorderGroup: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Vpc: {
                shape: "Sbd",
                locationName: "vpc"
              }
            }
          }
        },
        CreateVpcEndpoint: {
          input: {
            type: "structure",
            required: [
              "VpcId",
              "ServiceName"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              VpcEndpointType: {},
              VpcId: {},
              ServiceName: {},
              PolicyDocument: {},
              RouteTableIds: {
                shape: "Sr9",
                locationName: "RouteTableId"
              },
              SubnetIds: {
                shape: "Sra",
                locationName: "SubnetId"
              },
              SecurityGroupIds: {
                shape: "Srb",
                locationName: "SecurityGroupId"
              },
              IpAddressType: {},
              DnsOptions: {
                shape: "Srd"
              },
              ClientToken: {},
              PrivateDnsEnabled: {
                type: "boolean"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpcEndpoint: {
                shape: "Srg",
                locationName: "vpcEndpoint"
              },
              ClientToken: {
                locationName: "clientToken"
              }
            }
          }
        },
        CreateVpcEndpointConnectionNotification: {
          input: {
            type: "structure",
            required: [
              "ConnectionNotificationArn",
              "ConnectionEvents"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ServiceId: {},
              VpcEndpointId: {},
              ConnectionNotificationArn: {},
              ConnectionEvents: {
                shape: "So"
              },
              ClientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionNotification: {
                shape: "Srq",
                locationName: "connectionNotification"
              },
              ClientToken: {
                locationName: "clientToken"
              }
            }
          }
        },
        CreateVpcEndpointServiceConfiguration: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              AcceptanceRequired: {
                type: "boolean"
              },
              PrivateDnsName: {},
              NetworkLoadBalancerArns: {
                shape: "So",
                locationName: "NetworkLoadBalancerArn"
              },
              GatewayLoadBalancerArns: {
                shape: "So",
                locationName: "GatewayLoadBalancerArn"
              },
              SupportedIpAddressTypes: {
                shape: "So",
                locationName: "SupportedIpAddressType"
              },
              ClientToken: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceConfiguration: {
                shape: "Srv",
                locationName: "serviceConfiguration"
              },
              ClientToken: {
                locationName: "clientToken"
              }
            }
          }
        },
        CreateVpcPeeringConnection: {
          input: {
            type: "structure",
            required: [
              "VpcId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              PeerOwnerId: {
                locationName: "peerOwnerId"
              },
              PeerVpcId: {
                locationName: "peerVpcId"
              },
              VpcId: {
                locationName: "vpcId"
              },
              PeerRegion: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpcPeeringConnection: {
                shape: "S1m",
                locationName: "vpcPeeringConnection"
              }
            }
          }
        },
        CreateVpnConnection: {
          input: {
            type: "structure",
            required: [
              "CustomerGatewayId",
              "Type"
            ],
            members: {
              CustomerGatewayId: {},
              Type: {},
              VpnGatewayId: {},
              TransitGatewayId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              Options: {
                locationName: "options",
                type: "structure",
                members: {
                  EnableAcceleration: {
                    type: "boolean"
                  },
                  StaticRoutesOnly: {
                    locationName: "staticRoutesOnly",
                    type: "boolean"
                  },
                  TunnelInsideIpVersion: {},
                  TunnelOptions: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        TunnelInsideCidr: {},
                        TunnelInsideIpv6Cidr: {},
                        PreSharedKey: {
                          shape: "Ssd"
                        },
                        Phase1LifetimeSeconds: {
                          type: "integer"
                        },
                        Phase2LifetimeSeconds: {
                          type: "integer"
                        },
                        RekeyMarginTimeSeconds: {
                          type: "integer"
                        },
                        RekeyFuzzPercentage: {
                          type: "integer"
                        },
                        ReplayWindowSize: {
                          type: "integer"
                        },
                        DPDTimeoutSeconds: {
                          type: "integer"
                        },
                        DPDTimeoutAction: {},
                        Phase1EncryptionAlgorithms: {
                          shape: "Sse",
                          locationName: "Phase1EncryptionAlgorithm"
                        },
                        Phase2EncryptionAlgorithms: {
                          shape: "Ssg",
                          locationName: "Phase2EncryptionAlgorithm"
                        },
                        Phase1IntegrityAlgorithms: {
                          shape: "Ssi",
                          locationName: "Phase1IntegrityAlgorithm"
                        },
                        Phase2IntegrityAlgorithms: {
                          shape: "Ssk",
                          locationName: "Phase2IntegrityAlgorithm"
                        },
                        Phase1DHGroupNumbers: {
                          shape: "Ssm",
                          locationName: "Phase1DHGroupNumber"
                        },
                        Phase2DHGroupNumbers: {
                          shape: "Sso",
                          locationName: "Phase2DHGroupNumber"
                        },
                        IKEVersions: {
                          shape: "Ssq",
                          locationName: "IKEVersion"
                        },
                        StartupAction: {},
                        LogOptions: {
                          shape: "Sss"
                        },
                        EnableTunnelLifecycleControl: {
                          type: "boolean"
                        }
                      }
                    }
                  },
                  LocalIpv4NetworkCidr: {},
                  RemoteIpv4NetworkCidr: {},
                  LocalIpv6NetworkCidr: {},
                  RemoteIpv6NetworkCidr: {},
                  OutsideIpAddressType: {},
                  TransportTransitGatewayAttachmentId: {}
                }
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpnConnection: {
                shape: "Ssw",
                locationName: "vpnConnection"
              }
            }
          }
        },
        CreateVpnConnectionRoute: {
          input: {
            type: "structure",
            required: [
              "DestinationCidrBlock",
              "VpnConnectionId"
            ],
            members: {
              DestinationCidrBlock: {},
              VpnConnectionId: {}
            }
          }
        },
        CreateVpnGateway: {
          input: {
            type: "structure",
            required: [
              "Type"
            ],
            members: {
              AvailabilityZone: {},
              Type: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              AmazonSideAsn: {
                type: "long"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpnGateway: {
                shape: "Stt",
                locationName: "vpnGateway"
              }
            }
          }
        },
        DeleteCarrierGateway: {
          input: {
            type: "structure",
            required: [
              "CarrierGatewayId"
            ],
            members: {
              CarrierGatewayId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CarrierGateway: {
                shape: "Sa5",
                locationName: "carrierGateway"
              }
            }
          }
        },
        DeleteClientVpnEndpoint: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId"
            ],
            members: {
              ClientVpnEndpointId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                shape: "Sal",
                locationName: "status"
              }
            }
          }
        },
        DeleteClientVpnRoute: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId",
              "DestinationCidrBlock"
            ],
            members: {
              ClientVpnEndpointId: {},
              TargetVpcSubnetId: {},
              DestinationCidrBlock: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                shape: "Sap",
                locationName: "status"
              }
            }
          }
        },
        DeleteCoipCidr: {
          input: {
            type: "structure",
            required: [
              "Cidr",
              "CoipPoolId"
            ],
            members: {
              Cidr: {},
              CoipPoolId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoipCidr: {
                shape: "Sau",
                locationName: "coipCidr"
              }
            }
          }
        },
        DeleteCoipPool: {
          input: {
            type: "structure",
            required: [
              "CoipPoolId"
            ],
            members: {
              CoipPoolId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoipPool: {
                shape: "Say",
                locationName: "coipPool"
              }
            }
          }
        },
        DeleteCustomerGateway: {
          input: {
            type: "structure",
            required: [
              "CustomerGatewayId"
            ],
            members: {
              CustomerGatewayId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        DeleteDhcpOptions: {
          input: {
            type: "structure",
            required: [
              "DhcpOptionsId"
            ],
            members: {
              DhcpOptionsId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        DeleteEgressOnlyInternetGateway: {
          input: {
            type: "structure",
            required: [
              "EgressOnlyInternetGatewayId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              EgressOnlyInternetGatewayId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReturnCode: {
                locationName: "returnCode",
                type: "boolean"
              }
            }
          }
        },
        DeleteFleets: {
          input: {
            type: "structure",
            required: [
              "FleetIds",
              "TerminateInstances"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              FleetIds: {
                shape: "Sub",
                locationName: "FleetId"
              },
              TerminateInstances: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SuccessfulFleetDeletions: {
                locationName: "successfulFleetDeletionSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    CurrentFleetState: {
                      locationName: "currentFleetState"
                    },
                    PreviousFleetState: {
                      locationName: "previousFleetState"
                    },
                    FleetId: {
                      locationName: "fleetId"
                    }
                  }
                }
              },
              UnsuccessfulFleetDeletions: {
                locationName: "unsuccessfulFleetDeletionSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Error: {
                      locationName: "error",
                      type: "structure",
                      members: {
                        Code: {
                          locationName: "code"
                        },
                        Message: {
                          locationName: "message"
                        }
                      }
                    },
                    FleetId: {
                      locationName: "fleetId"
                    }
                  }
                }
              }
            }
          }
        },
        DeleteFlowLogs: {
          input: {
            type: "structure",
            required: [
              "FlowLogIds"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              FlowLogIds: {
                shape: "Sul",
                locationName: "FlowLogId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Unsuccessful: {
                shape: "S1g",
                locationName: "unsuccessful"
              }
            }
          }
        },
        DeleteFpgaImage: {
          input: {
            type: "structure",
            required: [
              "FpgaImageId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              FpgaImageId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        DeleteInstanceConnectEndpoint: {
          input: {
            type: "structure",
            required: [
              "InstanceConnectEndpointId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              InstanceConnectEndpointId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceConnectEndpoint: {
                shape: "Sep",
                locationName: "instanceConnectEndpoint"
              }
            }
          }
        },
        DeleteInstanceEventWindow: {
          input: {
            type: "structure",
            required: [
              "InstanceEventWindowId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ForceDelete: {
                type: "boolean"
              },
              InstanceEventWindowId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceEventWindowState: {
                locationName: "instanceEventWindowState",
                type: "structure",
                members: {
                  InstanceEventWindowId: {
                    locationName: "instanceEventWindowId"
                  },
                  State: {
                    locationName: "state"
                  }
                }
              }
            }
          }
        },
        DeleteInternetGateway: {
          input: {
            type: "structure",
            required: [
              "InternetGatewayId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              InternetGatewayId: {
                locationName: "internetGatewayId"
              }
            }
          }
        },
        DeleteIpam: {
          input: {
            type: "structure",
            required: [
              "IpamId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamId: {},
              Cascade: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Ipam: {
                shape: "Sff",
                locationName: "ipam"
              }
            }
          }
        },
        DeleteIpamPool: {
          input: {
            type: "structure",
            required: [
              "IpamPoolId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamPoolId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IpamPool: {
                shape: "Sfs",
                locationName: "ipamPool"
              }
            }
          }
        },
        DeleteIpamResourceDiscovery: {
          input: {
            type: "structure",
            required: [
              "IpamResourceDiscoveryId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamResourceDiscoveryId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IpamResourceDiscovery: {
                shape: "Sfz",
                locationName: "ipamResourceDiscovery"
              }
            }
          }
        },
        DeleteIpamScope: {
          input: {
            type: "structure",
            required: [
              "IpamScopeId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamScopeId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IpamScope: {
                shape: "Sg3",
                locationName: "ipamScope"
              }
            }
          }
        },
        DeleteKeyPair: {
          input: {
            type: "structure",
            members: {
              KeyName: {},
              KeyPairId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        DeleteLaunchTemplate: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              LaunchTemplateId: {},
              LaunchTemplateName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LaunchTemplate: {
                shape: "Shu",
                locationName: "launchTemplate"
              }
            }
          }
        },
        DeleteLaunchTemplateVersions: {
          input: {
            type: "structure",
            required: [
              "Versions"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              LaunchTemplateId: {},
              LaunchTemplateName: {},
              Versions: {
                shape: "Sva",
                locationName: "LaunchTemplateVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SuccessfullyDeletedLaunchTemplateVersions: {
                locationName: "successfullyDeletedLaunchTemplateVersionSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    LaunchTemplateId: {
                      locationName: "launchTemplateId"
                    },
                    LaunchTemplateName: {
                      locationName: "launchTemplateName"
                    },
                    VersionNumber: {
                      locationName: "versionNumber",
                      type: "long"
                    }
                  }
                }
              },
              UnsuccessfullyDeletedLaunchTemplateVersions: {
                locationName: "unsuccessfullyDeletedLaunchTemplateVersionSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    LaunchTemplateId: {
                      locationName: "launchTemplateId"
                    },
                    LaunchTemplateName: {
                      locationName: "launchTemplateName"
                    },
                    VersionNumber: {
                      locationName: "versionNumber",
                      type: "long"
                    },
                    ResponseError: {
                      locationName: "responseError",
                      type: "structure",
                      members: {
                        Code: {
                          locationName: "code"
                        },
                        Message: {
                          locationName: "message"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DeleteLocalGatewayRoute: {
          input: {
            type: "structure",
            required: [
              "LocalGatewayRouteTableId"
            ],
            members: {
              DestinationCidrBlock: {},
              LocalGatewayRouteTableId: {},
              DryRun: {
                type: "boolean"
              },
              DestinationPrefixListId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Route: {
                shape: "Sj3",
                locationName: "route"
              }
            }
          }
        },
        DeleteLocalGatewayRouteTable: {
          input: {
            type: "structure",
            required: [
              "LocalGatewayRouteTableId"
            ],
            members: {
              LocalGatewayRouteTableId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocalGatewayRouteTable: {
                shape: "Sja",
                locationName: "localGatewayRouteTable"
              }
            }
          }
        },
        DeleteLocalGatewayRouteTableVirtualInterfaceGroupAssociation: {
          input: {
            type: "structure",
            required: [
              "LocalGatewayRouteTableVirtualInterfaceGroupAssociationId"
            ],
            members: {
              LocalGatewayRouteTableVirtualInterfaceGroupAssociationId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocalGatewayRouteTableVirtualInterfaceGroupAssociation: {
                shape: "Sje",
                locationName: "localGatewayRouteTableVirtualInterfaceGroupAssociation"
              }
            }
          }
        },
        DeleteLocalGatewayRouteTableVpcAssociation: {
          input: {
            type: "structure",
            required: [
              "LocalGatewayRouteTableVpcAssociationId"
            ],
            members: {
              LocalGatewayRouteTableVpcAssociationId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocalGatewayRouteTableVpcAssociation: {
                shape: "Sji",
                locationName: "localGatewayRouteTableVpcAssociation"
              }
            }
          }
        },
        DeleteManagedPrefixList: {
          input: {
            type: "structure",
            required: [
              "PrefixListId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              PrefixListId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PrefixList: {
                shape: "Sjo",
                locationName: "prefixList"
              }
            }
          }
        },
        DeleteNatGateway: {
          input: {
            type: "structure",
            required: [
              "NatGatewayId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              NatGatewayId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NatGatewayId: {
                locationName: "natGatewayId"
              }
            }
          }
        },
        DeleteNetworkAcl: {
          input: {
            type: "structure",
            required: [
              "NetworkAclId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              NetworkAclId: {
                locationName: "networkAclId"
              }
            }
          }
        },
        DeleteNetworkAclEntry: {
          input: {
            type: "structure",
            required: [
              "Egress",
              "NetworkAclId",
              "RuleNumber"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              Egress: {
                locationName: "egress",
                type: "boolean"
              },
              NetworkAclId: {
                locationName: "networkAclId"
              },
              RuleNumber: {
                locationName: "ruleNumber",
                type: "integer"
              }
            }
          }
        },
        DeleteNetworkInsightsAccessScope: {
          input: {
            type: "structure",
            required: [
              "NetworkInsightsAccessScopeId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              NetworkInsightsAccessScopeId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInsightsAccessScopeId: {
                locationName: "networkInsightsAccessScopeId"
              }
            }
          }
        },
        DeleteNetworkInsightsAccessScopeAnalysis: {
          input: {
            type: "structure",
            required: [
              "NetworkInsightsAccessScopeAnalysisId"
            ],
            members: {
              NetworkInsightsAccessScopeAnalysisId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInsightsAccessScopeAnalysisId: {
                locationName: "networkInsightsAccessScopeAnalysisId"
              }
            }
          }
        },
        DeleteNetworkInsightsAnalysis: {
          input: {
            type: "structure",
            required: [
              "NetworkInsightsAnalysisId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              NetworkInsightsAnalysisId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInsightsAnalysisId: {
                locationName: "networkInsightsAnalysisId"
              }
            }
          }
        },
        DeleteNetworkInsightsPath: {
          input: {
            type: "structure",
            required: [
              "NetworkInsightsPathId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              NetworkInsightsPathId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInsightsPathId: {
                locationName: "networkInsightsPathId"
              }
            }
          }
        },
        DeleteNetworkInterface: {
          input: {
            type: "structure",
            required: [
              "NetworkInterfaceId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              }
            }
          }
        },
        DeleteNetworkInterfacePermission: {
          input: {
            type: "structure",
            required: [
              "NetworkInterfacePermissionId"
            ],
            members: {
              NetworkInterfacePermissionId: {},
              Force: {
                type: "boolean"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        DeletePlacementGroup: {
          input: {
            type: "structure",
            required: [
              "GroupName"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              GroupName: {
                locationName: "groupName"
              }
            }
          }
        },
        DeletePublicIpv4Pool: {
          input: {
            type: "structure",
            required: [
              "PoolId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              PoolId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReturnValue: {
                locationName: "returnValue",
                type: "boolean"
              }
            }
          }
        },
        DeleteQueuedReservedInstances: {
          input: {
            type: "structure",
            required: [
              "ReservedInstancesIds"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ReservedInstancesIds: {
                locationName: "ReservedInstancesId",
                type: "list",
                member: {
                  locationName: "item"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SuccessfulQueuedPurchaseDeletions: {
                locationName: "successfulQueuedPurchaseDeletionSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ReservedInstancesId: {
                      locationName: "reservedInstancesId"
                    }
                  }
                }
              },
              FailedQueuedPurchaseDeletions: {
                locationName: "failedQueuedPurchaseDeletionSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Error: {
                      locationName: "error",
                      type: "structure",
                      members: {
                        Code: {
                          locationName: "code"
                        },
                        Message: {
                          locationName: "message"
                        }
                      }
                    },
                    ReservedInstancesId: {
                      locationName: "reservedInstancesId"
                    }
                  }
                }
              }
            }
          }
        },
        DeleteRoute: {
          input: {
            type: "structure",
            required: [
              "RouteTableId"
            ],
            members: {
              DestinationCidrBlock: {
                locationName: "destinationCidrBlock"
              },
              DestinationIpv6CidrBlock: {
                locationName: "destinationIpv6CidrBlock"
              },
              DestinationPrefixListId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              RouteTableId: {
                locationName: "routeTableId"
              }
            }
          }
        },
        DeleteRouteTable: {
          input: {
            type: "structure",
            required: [
              "RouteTableId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              RouteTableId: {
                locationName: "routeTableId"
              }
            }
          }
        },
        DeleteSecurityGroup: {
          input: {
            type: "structure",
            members: {
              GroupId: {},
              GroupName: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        DeleteSnapshot: {
          input: {
            type: "structure",
            required: [
              "SnapshotId"
            ],
            members: {
              SnapshotId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        DeleteSpotDatafeedSubscription: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        DeleteSubnet: {
          input: {
            type: "structure",
            required: [
              "SubnetId"
            ],
            members: {
              SubnetId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        DeleteSubnetCidrReservation: {
          input: {
            type: "structure",
            required: [
              "SubnetCidrReservationId"
            ],
            members: {
              SubnetCidrReservationId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeletedSubnetCidrReservation: {
                shape: "Snj",
                locationName: "deletedSubnetCidrReservation"
              }
            }
          }
        },
        DeleteTags: {
          input: {
            type: "structure",
            required: [
              "Resources"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              Resources: {
                shape: "Snm",
                locationName: "resourceId"
              },
              Tags: {
                shape: "S6",
                locationName: "tag"
              }
            }
          }
        },
        DeleteTrafficMirrorFilter: {
          input: {
            type: "structure",
            required: [
              "TrafficMirrorFilterId"
            ],
            members: {
              TrafficMirrorFilterId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrafficMirrorFilterId: {
                locationName: "trafficMirrorFilterId"
              }
            }
          }
        },
        DeleteTrafficMirrorFilterRule: {
          input: {
            type: "structure",
            required: [
              "TrafficMirrorFilterRuleId"
            ],
            members: {
              TrafficMirrorFilterRuleId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrafficMirrorFilterRuleId: {
                locationName: "trafficMirrorFilterRuleId"
              }
            }
          }
        },
        DeleteTrafficMirrorSession: {
          input: {
            type: "structure",
            required: [
              "TrafficMirrorSessionId"
            ],
            members: {
              TrafficMirrorSessionId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrafficMirrorSessionId: {
                locationName: "trafficMirrorSessionId"
              }
            }
          }
        },
        DeleteTrafficMirrorTarget: {
          input: {
            type: "structure",
            required: [
              "TrafficMirrorTargetId"
            ],
            members: {
              TrafficMirrorTargetId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrafficMirrorTargetId: {
                locationName: "trafficMirrorTargetId"
              }
            }
          }
        },
        DeleteTransitGateway: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayId"
            ],
            members: {
              TransitGatewayId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGateway: {
                shape: "Soj",
                locationName: "transitGateway"
              }
            }
          }
        },
        DeleteTransitGatewayConnect: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayAttachmentId"
            ],
            members: {
              TransitGatewayAttachmentId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayConnect: {
                shape: "Soq",
                locationName: "transitGatewayConnect"
              }
            }
          }
        },
        DeleteTransitGatewayConnectPeer: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayConnectPeerId"
            ],
            members: {
              TransitGatewayConnectPeerId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayConnectPeer: {
                shape: "Sow",
                locationName: "transitGatewayConnectPeer"
              }
            }
          }
        },
        DeleteTransitGatewayMulticastDomain: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayMulticastDomainId"
            ],
            members: {
              TransitGatewayMulticastDomainId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayMulticastDomain: {
                shape: "Sp9",
                locationName: "transitGatewayMulticastDomain"
              }
            }
          }
        },
        DeleteTransitGatewayPeeringAttachment: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayAttachmentId"
            ],
            members: {
              TransitGatewayAttachmentId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayPeeringAttachment: {
                shape: "Sx",
                locationName: "transitGatewayPeeringAttachment"
              }
            }
          }
        },
        DeleteTransitGatewayPolicyTable: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayPolicyTableId"
            ],
            members: {
              TransitGatewayPolicyTableId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayPolicyTable: {
                shape: "Spi",
                locationName: "transitGatewayPolicyTable"
              }
            }
          }
        },
        DeleteTransitGatewayPrefixListReference: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayRouteTableId",
              "PrefixListId"
            ],
            members: {
              TransitGatewayRouteTableId: {},
              PrefixListId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayPrefixListReference: {
                shape: "Spm",
                locationName: "transitGatewayPrefixListReference"
              }
            }
          }
        },
        DeleteTransitGatewayRoute: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayRouteTableId",
              "DestinationCidrBlock"
            ],
            members: {
              TransitGatewayRouteTableId: {},
              DestinationCidrBlock: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Route: {
                shape: "Spr",
                locationName: "route"
              }
            }
          }
        },
        DeleteTransitGatewayRouteTable: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayRouteTableId"
            ],
            members: {
              TransitGatewayRouteTableId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayRouteTable: {
                shape: "Spz",
                locationName: "transitGatewayRouteTable"
              }
            }
          }
        },
        DeleteTransitGatewayRouteTableAnnouncement: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayRouteTableAnnouncementId"
            ],
            members: {
              TransitGatewayRouteTableAnnouncementId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayRouteTableAnnouncement: {
                shape: "Sq3",
                locationName: "transitGatewayRouteTableAnnouncement"
              }
            }
          }
        },
        DeleteTransitGatewayVpcAttachment: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayAttachmentId"
            ],
            members: {
              TransitGatewayAttachmentId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayVpcAttachment: {
                shape: "S16",
                locationName: "transitGatewayVpcAttachment"
              }
            }
          }
        },
        DeleteVerifiedAccessEndpoint: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessEndpointId"
            ],
            members: {
              VerifiedAccessEndpointId: {},
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessEndpoint: {
                shape: "Sqm",
                locationName: "verifiedAccessEndpoint"
              }
            }
          }
        },
        DeleteVerifiedAccessGroup: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessGroupId"
            ],
            members: {
              VerifiedAccessGroupId: {},
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessGroup: {
                shape: "Squ",
                locationName: "verifiedAccessGroup"
              }
            }
          }
        },
        DeleteVerifiedAccessInstance: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessInstanceId"
            ],
            members: {
              VerifiedAccessInstanceId: {},
              DryRun: {
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessInstance: {
                shape: "S67",
                locationName: "verifiedAccessInstance"
              }
            }
          }
        },
        DeleteVerifiedAccessTrustProvider: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessTrustProviderId"
            ],
            members: {
              VerifiedAccessTrustProviderId: {},
              DryRun: {
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessTrustProvider: {
                shape: "S60",
                locationName: "verifiedAccessTrustProvider"
              }
            }
          }
        },
        DeleteVolume: {
          input: {
            type: "structure",
            required: [
              "VolumeId"
            ],
            members: {
              VolumeId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        DeleteVpc: {
          input: {
            type: "structure",
            required: [
              "VpcId"
            ],
            members: {
              VpcId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        DeleteVpcEndpointConnectionNotifications: {
          input: {
            type: "structure",
            required: [
              "ConnectionNotificationIds"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ConnectionNotificationIds: {
                locationName: "ConnectionNotificationId",
                type: "list",
                member: {
                  locationName: "item"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Unsuccessful: {
                shape: "S1g",
                locationName: "unsuccessful"
              }
            }
          }
        },
        DeleteVpcEndpointServiceConfigurations: {
          input: {
            type: "structure",
            required: [
              "ServiceIds"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ServiceIds: {
                shape: "Sy7",
                locationName: "ServiceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Unsuccessful: {
                shape: "S1g",
                locationName: "unsuccessful"
              }
            }
          }
        },
        DeleteVpcEndpoints: {
          input: {
            type: "structure",
            required: [
              "VpcEndpointIds"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              VpcEndpointIds: {
                shape: "S1d",
                locationName: "VpcEndpointId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Unsuccessful: {
                shape: "S1g",
                locationName: "unsuccessful"
              }
            }
          }
        },
        DeleteVpcPeeringConnection: {
          input: {
            type: "structure",
            required: [
              "VpcPeeringConnectionId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              VpcPeeringConnectionId: {
                locationName: "vpcPeeringConnectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        DeleteVpnConnection: {
          input: {
            type: "structure",
            required: [
              "VpnConnectionId"
            ],
            members: {
              VpnConnectionId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        DeleteVpnConnectionRoute: {
          input: {
            type: "structure",
            required: [
              "DestinationCidrBlock",
              "VpnConnectionId"
            ],
            members: {
              DestinationCidrBlock: {},
              VpnConnectionId: {}
            }
          }
        },
        DeleteVpnGateway: {
          input: {
            type: "structure",
            required: [
              "VpnGatewayId"
            ],
            members: {
              VpnGatewayId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        DeprovisionByoipCidr: {
          input: {
            type: "structure",
            required: [
              "Cidr"
            ],
            members: {
              Cidr: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ByoipCidr: {
                shape: "S1x",
                locationName: "byoipCidr"
              }
            }
          }
        },
        DeprovisionIpamPoolCidr: {
          input: {
            type: "structure",
            required: [
              "IpamPoolId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamPoolId: {},
              Cidr: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IpamPoolCidr: {
                shape: "Syk",
                locationName: "ipamPoolCidr"
              }
            }
          }
        },
        DeprovisionPublicIpv4PoolCidr: {
          input: {
            type: "structure",
            required: [
              "PoolId",
              "Cidr"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              PoolId: {},
              Cidr: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PoolId: {
                locationName: "poolId"
              },
              DeprovisionedAddresses: {
                locationName: "deprovisionedAddressSet",
                type: "list",
                member: {
                  locationName: "item"
                }
              }
            }
          }
        },
        DeregisterImage: {
          input: {
            type: "structure",
            required: [
              "ImageId"
            ],
            members: {
              ImageId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        DeregisterInstanceEventNotificationAttributes: {
          input: {
            type: "structure",
            required: [
              "InstanceTagAttribute"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              InstanceTagAttribute: {
                type: "structure",
                members: {
                  IncludeAllTagsOfInstance: {
                    type: "boolean"
                  },
                  InstanceTagKeys: {
                    shape: "Syv",
                    locationName: "InstanceTagKey"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceTagAttribute: {
                shape: "Syx",
                locationName: "instanceTagAttribute"
              }
            }
          }
        },
        DeregisterTransitGatewayMulticastGroupMembers: {
          input: {
            type: "structure",
            members: {
              TransitGatewayMulticastDomainId: {},
              GroupIpAddress: {},
              NetworkInterfaceIds: {
                shape: "Syz"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeregisteredMulticastGroupMembers: {
                locationName: "deregisteredMulticastGroupMembers",
                type: "structure",
                members: {
                  TransitGatewayMulticastDomainId: {
                    locationName: "transitGatewayMulticastDomainId"
                  },
                  DeregisteredNetworkInterfaceIds: {
                    shape: "So",
                    locationName: "deregisteredNetworkInterfaceIds"
                  },
                  GroupIpAddress: {
                    locationName: "groupIpAddress"
                  }
                }
              }
            }
          }
        },
        DeregisterTransitGatewayMulticastGroupSources: {
          input: {
            type: "structure",
            members: {
              TransitGatewayMulticastDomainId: {},
              GroupIpAddress: {},
              NetworkInterfaceIds: {
                shape: "Syz"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeregisteredMulticastGroupSources: {
                locationName: "deregisteredMulticastGroupSources",
                type: "structure",
                members: {
                  TransitGatewayMulticastDomainId: {
                    locationName: "transitGatewayMulticastDomainId"
                  },
                  DeregisteredNetworkInterfaceIds: {
                    shape: "So",
                    locationName: "deregisteredNetworkInterfaceIds"
                  },
                  GroupIpAddress: {
                    locationName: "groupIpAddress"
                  }
                }
              }
            }
          }
        },
        DescribeAccountAttributes: {
          input: {
            type: "structure",
            members: {
              AttributeNames: {
                locationName: "attributeName",
                type: "list",
                member: {
                  locationName: "attributeName"
                }
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccountAttributes: {
                locationName: "accountAttributeSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    AttributeName: {
                      locationName: "attributeName"
                    },
                    AttributeValues: {
                      locationName: "attributeValueSet",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          AttributeValue: {
                            locationName: "attributeValue"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeAddressTransfers: {
          input: {
            type: "structure",
            members: {
              AllocationIds: {
                shape: "S4k",
                locationName: "AllocationId"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AddressTransfers: {
                locationName: "addressTransferSet",
                type: "list",
                member: {
                  shape: "Sa",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeAddresses: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              PublicIps: {
                locationName: "PublicIp",
                type: "list",
                member: {
                  locationName: "PublicIp"
                }
              },
              AllocationIds: {
                shape: "S4k",
                locationName: "AllocationId"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Addresses: {
                locationName: "addressesSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    InstanceId: {
                      locationName: "instanceId"
                    },
                    PublicIp: {
                      locationName: "publicIp"
                    },
                    AllocationId: {
                      locationName: "allocationId"
                    },
                    AssociationId: {
                      locationName: "associationId"
                    },
                    Domain: {
                      locationName: "domain"
                    },
                    NetworkInterfaceId: {
                      locationName: "networkInterfaceId"
                    },
                    NetworkInterfaceOwnerId: {
                      locationName: "networkInterfaceOwnerId"
                    },
                    PrivateIpAddress: {
                      locationName: "privateIpAddress"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    },
                    PublicIpv4Pool: {
                      locationName: "publicIpv4Pool"
                    },
                    NetworkBorderGroup: {
                      locationName: "networkBorderGroup"
                    },
                    CustomerOwnedIp: {
                      locationName: "customerOwnedIp"
                    },
                    CustomerOwnedIpv4Pool: {
                      locationName: "customerOwnedIpv4Pool"
                    },
                    CarrierIp: {
                      locationName: "carrierIp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeAddressesAttribute: {
          input: {
            type: "structure",
            members: {
              AllocationIds: {
                locationName: "AllocationId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Attribute: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Addresses: {
                locationName: "addressSet",
                type: "list",
                member: {
                  shape: "Szv",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeAggregateIdFormat: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UseLongIdsAggregated: {
                locationName: "useLongIdsAggregated",
                type: "boolean"
              },
              Statuses: {
                shape: "Szz",
                locationName: "statusSet"
              }
            }
          }
        },
        DescribeAvailabilityZones: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              ZoneNames: {
                locationName: "ZoneName",
                type: "list",
                member: {
                  locationName: "ZoneName"
                }
              },
              ZoneIds: {
                locationName: "ZoneId",
                type: "list",
                member: {
                  locationName: "ZoneId"
                }
              },
              AllAvailabilityZones: {
                type: "boolean"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AvailabilityZones: {
                locationName: "availabilityZoneInfo",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    State: {
                      locationName: "zoneState"
                    },
                    OptInStatus: {
                      locationName: "optInStatus"
                    },
                    Messages: {
                      locationName: "messageSet",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          Message: {
                            locationName: "message"
                          }
                        }
                      }
                    },
                    RegionName: {
                      locationName: "regionName"
                    },
                    ZoneName: {
                      locationName: "zoneName"
                    },
                    ZoneId: {
                      locationName: "zoneId"
                    },
                    GroupName: {
                      locationName: "groupName"
                    },
                    NetworkBorderGroup: {
                      locationName: "networkBorderGroup"
                    },
                    ZoneType: {
                      locationName: "zoneType"
                    },
                    ParentZoneName: {
                      locationName: "parentZoneName"
                    },
                    ParentZoneId: {
                      locationName: "parentZoneId"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeAwsNetworkPerformanceMetricSubscriptions: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Subscriptions: {
                locationName: "subscriptionSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Source: {
                      locationName: "source"
                    },
                    Destination: {
                      locationName: "destination"
                    },
                    Metric: {
                      locationName: "metric"
                    },
                    Statistic: {
                      locationName: "statistic"
                    },
                    Period: {
                      locationName: "period"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeBundleTasks: {
          input: {
            type: "structure",
            members: {
              BundleIds: {
                locationName: "BundleId",
                type: "list",
                member: {
                  locationName: "BundleId"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BundleTasks: {
                locationName: "bundleInstanceTasksSet",
                type: "list",
                member: {
                  shape: "S7c",
                  locationName: "item"
                }
              }
            }
          }
        },
        DescribeByoipCidrs: {
          input: {
            type: "structure",
            required: [
              "MaxResults"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ByoipCidrs: {
                locationName: "byoipCidrSet",
                type: "list",
                member: {
                  shape: "S1x",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeCapacityReservationFleets: {
          input: {
            type: "structure",
            members: {
              CapacityReservationFleetIds: {
                shape: "S7m",
                locationName: "CapacityReservationFleetId"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CapacityReservationFleets: {
                locationName: "capacityReservationFleetSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    CapacityReservationFleetId: {
                      locationName: "capacityReservationFleetId"
                    },
                    CapacityReservationFleetArn: {
                      locationName: "capacityReservationFleetArn"
                    },
                    State: {
                      locationName: "state"
                    },
                    TotalTargetCapacity: {
                      locationName: "totalTargetCapacity",
                      type: "integer"
                    },
                    TotalFulfilledCapacity: {
                      locationName: "totalFulfilledCapacity",
                      type: "double"
                    },
                    Tenancy: {
                      locationName: "tenancy"
                    },
                    EndDate: {
                      locationName: "endDate",
                      type: "timestamp"
                    },
                    CreateTime: {
                      locationName: "createTime",
                      type: "timestamp"
                    },
                    InstanceMatchCriteria: {
                      locationName: "instanceMatchCriteria"
                    },
                    AllocationStrategy: {
                      locationName: "allocationStrategy"
                    },
                    InstanceTypeSpecifications: {
                      shape: "Sa1",
                      locationName: "instanceTypeSpecificationSet"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeCapacityReservations: {
          input: {
            type: "structure",
            members: {
              CapacityReservationIds: {
                locationName: "CapacityReservationId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              CapacityReservations: {
                locationName: "capacityReservationSet",
                type: "list",
                member: {
                  shape: "S9n",
                  locationName: "item"
                }
              }
            }
          }
        },
        DescribeCarrierGateways: {
          input: {
            type: "structure",
            members: {
              CarrierGatewayIds: {
                locationName: "CarrierGatewayId",
                type: "list",
                member: {}
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CarrierGateways: {
                locationName: "carrierGatewaySet",
                type: "list",
                member: {
                  shape: "Sa5",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeClassicLinkInstances: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              InstanceIds: {
                shape: "S117",
                locationName: "InstanceId"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Instances: {
                locationName: "instancesSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Groups: {
                      shape: "Slc",
                      locationName: "groupSet"
                    },
                    InstanceId: {
                      locationName: "instanceId"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    },
                    VpcId: {
                      locationName: "vpcId"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeClientVpnAuthorizationRules: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId"
            ],
            members: {
              ClientVpnEndpointId: {},
              DryRun: {
                type: "boolean"
              },
              NextToken: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AuthorizationRules: {
                locationName: "authorizationRule",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ClientVpnEndpointId: {
                      locationName: "clientVpnEndpointId"
                    },
                    Description: {
                      locationName: "description"
                    },
                    GroupId: {
                      locationName: "groupId"
                    },
                    AccessAll: {
                      locationName: "accessAll",
                      type: "boolean"
                    },
                    DestinationCidr: {
                      locationName: "destinationCidr"
                    },
                    Status: {
                      shape: "S6l",
                      locationName: "status"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeClientVpnConnections: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId"
            ],
            members: {
              ClientVpnEndpointId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Connections: {
                locationName: "connections",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ClientVpnEndpointId: {
                      locationName: "clientVpnEndpointId"
                    },
                    Timestamp: {
                      locationName: "timestamp"
                    },
                    ConnectionId: {
                      locationName: "connectionId"
                    },
                    Username: {
                      locationName: "username"
                    },
                    ConnectionEstablishedTime: {
                      locationName: "connectionEstablishedTime"
                    },
                    IngressBytes: {
                      locationName: "ingressBytes"
                    },
                    EgressBytes: {
                      locationName: "egressBytes"
                    },
                    IngressPackets: {
                      locationName: "ingressPackets"
                    },
                    EgressPackets: {
                      locationName: "egressPackets"
                    },
                    ClientIp: {
                      locationName: "clientIp"
                    },
                    CommonName: {
                      locationName: "commonName"
                    },
                    Status: {
                      shape: "S11m",
                      locationName: "status"
                    },
                    ConnectionEndTime: {
                      locationName: "connectionEndTime"
                    },
                    PostureComplianceStatuses: {
                      shape: "So",
                      locationName: "postureComplianceStatusSet"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeClientVpnEndpoints: {
          input: {
            type: "structure",
            members: {
              ClientVpnEndpointIds: {
                locationName: "ClientVpnEndpointId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ClientVpnEndpoints: {
                locationName: "clientVpnEndpoint",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ClientVpnEndpointId: {
                      locationName: "clientVpnEndpointId"
                    },
                    Description: {
                      locationName: "description"
                    },
                    Status: {
                      shape: "Sal",
                      locationName: "status"
                    },
                    CreationTime: {
                      locationName: "creationTime"
                    },
                    DeletionTime: {
                      locationName: "deletionTime"
                    },
                    DnsName: {
                      locationName: "dnsName"
                    },
                    ClientCidrBlock: {
                      locationName: "clientCidrBlock"
                    },
                    DnsServers: {
                      shape: "So",
                      locationName: "dnsServer"
                    },
                    SplitTunnel: {
                      locationName: "splitTunnel",
                      type: "boolean"
                    },
                    VpnProtocol: {
                      locationName: "vpnProtocol"
                    },
                    TransportProtocol: {
                      locationName: "transportProtocol"
                    },
                    VpnPort: {
                      locationName: "vpnPort",
                      type: "integer"
                    },
                    AssociatedTargetNetworks: {
                      deprecated: true,
                      deprecatedMessage: "This property is deprecated. To view the target networks associated with a Client VPN endpoint, call DescribeClientVpnTargetNetworks and inspect the clientVpnTargetNetworks response element.",
                      locationName: "associatedTargetNetwork",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          NetworkId: {
                            locationName: "networkId"
                          },
                          NetworkType: {
                            locationName: "networkType"
                          }
                        }
                      }
                    },
                    ServerCertificateArn: {
                      locationName: "serverCertificateArn"
                    },
                    AuthenticationOptions: {
                      locationName: "authenticationOptions",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          Type: {
                            locationName: "type"
                          },
                          ActiveDirectory: {
                            locationName: "activeDirectory",
                            type: "structure",
                            members: {
                              DirectoryId: {
                                locationName: "directoryId"
                              }
                            }
                          },
                          MutualAuthentication: {
                            locationName: "mutualAuthentication",
                            type: "structure",
                            members: {
                              ClientRootCertificateChain: {
                                locationName: "clientRootCertificateChain"
                              }
                            }
                          },
                          FederatedAuthentication: {
                            locationName: "federatedAuthentication",
                            type: "structure",
                            members: {
                              SamlProviderArn: {
                                locationName: "samlProviderArn"
                              },
                              SelfServiceSamlProviderArn: {
                                locationName: "selfServiceSamlProviderArn"
                              }
                            }
                          }
                        }
                      }
                    },
                    ConnectionLogOptions: {
                      locationName: "connectionLogOptions",
                      type: "structure",
                      members: {
                        Enabled: {
                          type: "boolean"
                        },
                        CloudwatchLogGroup: {},
                        CloudwatchLogStream: {}
                      }
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    },
                    SecurityGroupIds: {
                      shape: "S2m",
                      locationName: "securityGroupIdSet"
                    },
                    VpcId: {
                      locationName: "vpcId"
                    },
                    SelfServicePortalUrl: {
                      locationName: "selfServicePortalUrl"
                    },
                    ClientConnectOptions: {
                      locationName: "clientConnectOptions",
                      type: "structure",
                      members: {
                        Enabled: {
                          locationName: "enabled",
                          type: "boolean"
                        },
                        LambdaFunctionArn: {
                          locationName: "lambdaFunctionArn"
                        },
                        Status: {
                          locationName: "status",
                          type: "structure",
                          members: {
                            Code: {
                              locationName: "code"
                            },
                            Message: {
                              locationName: "message"
                            }
                          }
                        }
                      }
                    },
                    SessionTimeoutHours: {
                      locationName: "sessionTimeoutHours",
                      type: "integer"
                    },
                    ClientLoginBannerOptions: {
                      locationName: "clientLoginBannerOptions",
                      type: "structure",
                      members: {
                        Enabled: {
                          locationName: "enabled",
                          type: "boolean"
                        },
                        BannerText: {
                          locationName: "bannerText"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeClientVpnRoutes: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId"
            ],
            members: {
              ClientVpnEndpointId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Routes: {
                locationName: "routes",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ClientVpnEndpointId: {
                      locationName: "clientVpnEndpointId"
                    },
                    DestinationCidr: {
                      locationName: "destinationCidr"
                    },
                    TargetSubnet: {
                      locationName: "targetSubnet"
                    },
                    Type: {
                      locationName: "type"
                    },
                    Origin: {
                      locationName: "origin"
                    },
                    Status: {
                      shape: "Sap",
                      locationName: "status"
                    },
                    Description: {
                      locationName: "description"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeClientVpnTargetNetworks: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId"
            ],
            members: {
              ClientVpnEndpointId: {},
              AssociationIds: {
                shape: "So"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ClientVpnTargetNetworks: {
                locationName: "clientVpnTargetNetworks",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    AssociationId: {
                      locationName: "associationId"
                    },
                    VpcId: {
                      locationName: "vpcId"
                    },
                    TargetNetworkId: {
                      locationName: "targetNetworkId"
                    },
                    ClientVpnEndpointId: {
                      locationName: "clientVpnEndpointId"
                    },
                    Status: {
                      shape: "S3h",
                      locationName: "status"
                    },
                    SecurityGroups: {
                      shape: "So",
                      locationName: "securityGroups"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeCoipPools: {
          input: {
            type: "structure",
            members: {
              PoolIds: {
                locationName: "PoolId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoipPools: {
                locationName: "coipPoolSet",
                type: "list",
                member: {
                  shape: "Say",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeConversionTasks: {
          input: {
            type: "structure",
            members: {
              ConversionTaskIds: {
                locationName: "conversionTaskId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConversionTasks: {
                locationName: "conversionTasks",
                type: "list",
                member: {
                  shape: "S12r",
                  locationName: "item"
                }
              }
            }
          }
        },
        DescribeCustomerGateways: {
          input: {
            type: "structure",
            members: {
              CustomerGatewayIds: {
                locationName: "CustomerGatewayId",
                type: "list",
                member: {
                  locationName: "CustomerGatewayId"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CustomerGateways: {
                locationName: "customerGatewaySet",
                type: "list",
                member: {
                  shape: "Sb2",
                  locationName: "item"
                }
              }
            }
          }
        },
        DescribeDhcpOptions: {
          input: {
            type: "structure",
            members: {
              DhcpOptionsIds: {
                locationName: "DhcpOptionsId",
                type: "list",
                member: {
                  locationName: "DhcpOptionsId"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DhcpOptions: {
                locationName: "dhcpOptionsSet",
                type: "list",
                member: {
                  shape: "Sbm",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeEgressOnlyInternetGateways: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              EgressOnlyInternetGatewayIds: {
                locationName: "EgressOnlyInternetGatewayId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EgressOnlyInternetGateways: {
                locationName: "egressOnlyInternetGatewaySet",
                type: "list",
                member: {
                  shape: "Sbt",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeElasticGpus: {
          input: {
            type: "structure",
            members: {
              ElasticGpuIds: {
                locationName: "ElasticGpuId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ElasticGpuSet: {
                locationName: "elasticGpuSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ElasticGpuId: {
                      locationName: "elasticGpuId"
                    },
                    AvailabilityZone: {
                      locationName: "availabilityZone"
                    },
                    ElasticGpuType: {
                      locationName: "elasticGpuType"
                    },
                    ElasticGpuHealth: {
                      locationName: "elasticGpuHealth",
                      type: "structure",
                      members: {
                        Status: {
                          locationName: "status"
                        }
                      }
                    },
                    ElasticGpuState: {
                      locationName: "elasticGpuState"
                    },
                    InstanceId: {
                      locationName: "instanceId"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    }
                  }
                }
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeExportImageTasks: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              ExportImageTaskIds: {
                locationName: "ExportImageTaskId",
                type: "list",
                member: {
                  locationName: "ExportImageTaskId"
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ExportImageTasks: {
                locationName: "exportImageTaskSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Description: {
                      locationName: "description"
                    },
                    ExportImageTaskId: {
                      locationName: "exportImageTaskId"
                    },
                    ImageId: {
                      locationName: "imageId"
                    },
                    Progress: {
                      locationName: "progress"
                    },
                    S3ExportLocation: {
                      shape: "S13v",
                      locationName: "s3ExportLocation"
                    },
                    Status: {
                      locationName: "status"
                    },
                    StatusMessage: {
                      locationName: "statusMessage"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeExportTasks: {
          input: {
            type: "structure",
            members: {
              ExportTaskIds: {
                locationName: "exportTaskId",
                type: "list",
                member: {
                  locationName: "ExportTaskId"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ExportTasks: {
                locationName: "exportTaskSet",
                type: "list",
                member: {
                  shape: "Sf4",
                  locationName: "item"
                }
              }
            }
          }
        },
        DescribeFastLaunchImages: {
          input: {
            type: "structure",
            members: {
              ImageIds: {
                locationName: "ImageId",
                type: "list",
                member: {
                  locationName: "ImageId"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FastLaunchImages: {
                locationName: "fastLaunchImageSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ImageId: {
                      locationName: "imageId"
                    },
                    ResourceType: {
                      locationName: "resourceType"
                    },
                    SnapshotConfiguration: {
                      shape: "S148",
                      locationName: "snapshotConfiguration"
                    },
                    LaunchTemplate: {
                      shape: "S149",
                      locationName: "launchTemplate"
                    },
                    MaxParallelLaunches: {
                      locationName: "maxParallelLaunches",
                      type: "integer"
                    },
                    OwnerId: {
                      locationName: "ownerId"
                    },
                    State: {
                      locationName: "state"
                    },
                    StateTransitionReason: {
                      locationName: "stateTransitionReason"
                    },
                    StateTransitionTime: {
                      locationName: "stateTransitionTime",
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeFastSnapshotRestores: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FastSnapshotRestores: {
                locationName: "fastSnapshotRestoreSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    SnapshotId: {
                      locationName: "snapshotId"
                    },
                    AvailabilityZone: {
                      locationName: "availabilityZone"
                    },
                    State: {
                      locationName: "state"
                    },
                    StateTransitionReason: {
                      locationName: "stateTransitionReason"
                    },
                    OwnerId: {
                      locationName: "ownerId"
                    },
                    OwnerAlias: {
                      locationName: "ownerAlias"
                    },
                    EnablingTime: {
                      locationName: "enablingTime",
                      type: "timestamp"
                    },
                    OptimizingTime: {
                      locationName: "optimizingTime",
                      type: "timestamp"
                    },
                    EnabledTime: {
                      locationName: "enabledTime",
                      type: "timestamp"
                    },
                    DisablingTime: {
                      locationName: "disablingTime",
                      type: "timestamp"
                    },
                    DisabledTime: {
                      locationName: "disabledTime",
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeFleetHistory: {
          input: {
            type: "structure",
            required: [
              "FleetId",
              "StartTime"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              EventType: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              FleetId: {},
              StartTime: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HistoryRecords: {
                locationName: "historyRecordSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    EventInformation: {
                      shape: "S14m",
                      locationName: "eventInformation"
                    },
                    EventType: {
                      locationName: "eventType"
                    },
                    Timestamp: {
                      locationName: "timestamp",
                      type: "timestamp"
                    }
                  }
                }
              },
              LastEvaluatedTime: {
                locationName: "lastEvaluatedTime",
                type: "timestamp"
              },
              NextToken: {
                locationName: "nextToken"
              },
              FleetId: {
                locationName: "fleetId"
              },
              StartTime: {
                locationName: "startTime",
                type: "timestamp"
              }
            }
          }
        },
        DescribeFleetInstances: {
          input: {
            type: "structure",
            required: [
              "FleetId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              FleetId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ActiveInstances: {
                shape: "S14p",
                locationName: "activeInstanceSet"
              },
              NextToken: {
                locationName: "nextToken"
              },
              FleetId: {
                locationName: "fleetId"
              }
            }
          }
        },
        DescribeFleets: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              FleetIds: {
                shape: "Sub",
                locationName: "FleetId"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Fleets: {
                locationName: "fleetSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ActivityStatus: {
                      locationName: "activityStatus"
                    },
                    CreateTime: {
                      locationName: "createTime",
                      type: "timestamp"
                    },
                    FleetId: {
                      locationName: "fleetId"
                    },
                    FleetState: {
                      locationName: "fleetState"
                    },
                    ClientToken: {
                      locationName: "clientToken"
                    },
                    ExcessCapacityTerminationPolicy: {
                      locationName: "excessCapacityTerminationPolicy"
                    },
                    FulfilledCapacity: {
                      locationName: "fulfilledCapacity",
                      type: "double"
                    },
                    FulfilledOnDemandCapacity: {
                      locationName: "fulfilledOnDemandCapacity",
                      type: "double"
                    },
                    LaunchTemplateConfigs: {
                      locationName: "launchTemplateConfigs",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          LaunchTemplateSpecification: {
                            shape: "Sdl",
                            locationName: "launchTemplateSpecification"
                          },
                          Overrides: {
                            locationName: "overrides",
                            type: "list",
                            member: {
                              shape: "Sdm",
                              locationName: "item"
                            }
                          }
                        }
                      }
                    },
                    TargetCapacitySpecification: {
                      locationName: "targetCapacitySpecification",
                      type: "structure",
                      members: {
                        TotalTargetCapacity: {
                          locationName: "totalTargetCapacity",
                          type: "integer"
                        },
                        OnDemandTargetCapacity: {
                          locationName: "onDemandTargetCapacity",
                          type: "integer"
                        },
                        SpotTargetCapacity: {
                          locationName: "spotTargetCapacity",
                          type: "integer"
                        },
                        DefaultTargetCapacityType: {
                          locationName: "defaultTargetCapacityType"
                        },
                        TargetCapacityUnitType: {
                          locationName: "targetCapacityUnitType"
                        }
                      }
                    },
                    TerminateInstancesWithExpiration: {
                      locationName: "terminateInstancesWithExpiration",
                      type: "boolean"
                    },
                    Type: {
                      locationName: "type"
                    },
                    ValidFrom: {
                      locationName: "validFrom",
                      type: "timestamp"
                    },
                    ValidUntil: {
                      locationName: "validUntil",
                      type: "timestamp"
                    },
                    ReplaceUnhealthyInstances: {
                      locationName: "replaceUnhealthyInstances",
                      type: "boolean"
                    },
                    SpotOptions: {
                      locationName: "spotOptions",
                      type: "structure",
                      members: {
                        AllocationStrategy: {
                          locationName: "allocationStrategy"
                        },
                        MaintenanceStrategies: {
                          locationName: "maintenanceStrategies",
                          type: "structure",
                          members: {
                            CapacityRebalance: {
                              locationName: "capacityRebalance",
                              type: "structure",
                              members: {
                                ReplacementStrategy: {
                                  locationName: "replacementStrategy"
                                },
                                TerminationDelay: {
                                  locationName: "terminationDelay",
                                  type: "integer"
                                }
                              }
                            }
                          }
                        },
                        InstanceInterruptionBehavior: {
                          locationName: "instanceInterruptionBehavior"
                        },
                        InstancePoolsToUseCount: {
                          locationName: "instancePoolsToUseCount",
                          type: "integer"
                        },
                        SingleInstanceType: {
                          locationName: "singleInstanceType",
                          type: "boolean"
                        },
                        SingleAvailabilityZone: {
                          locationName: "singleAvailabilityZone",
                          type: "boolean"
                        },
                        MinTargetCapacity: {
                          locationName: "minTargetCapacity",
                          type: "integer"
                        },
                        MaxTotalPrice: {
                          locationName: "maxTotalPrice"
                        }
                      }
                    },
                    OnDemandOptions: {
                      locationName: "onDemandOptions",
                      type: "structure",
                      members: {
                        AllocationStrategy: {
                          locationName: "allocationStrategy"
                        },
                        CapacityReservationOptions: {
                          locationName: "capacityReservationOptions",
                          type: "structure",
                          members: {
                            UsageStrategy: {
                              locationName: "usageStrategy"
                            }
                          }
                        },
                        SingleInstanceType: {
                          locationName: "singleInstanceType",
                          type: "boolean"
                        },
                        SingleAvailabilityZone: {
                          locationName: "singleAvailabilityZone",
                          type: "boolean"
                        },
                        MinTargetCapacity: {
                          locationName: "minTargetCapacity",
                          type: "integer"
                        },
                        MaxTotalPrice: {
                          locationName: "maxTotalPrice"
                        }
                      }
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    },
                    Errors: {
                      locationName: "errorSet",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          LaunchTemplateAndOverrides: {
                            shape: "Sdk",
                            locationName: "launchTemplateAndOverrides"
                          },
                          Lifecycle: {
                            locationName: "lifecycle"
                          },
                          ErrorCode: {
                            locationName: "errorCode"
                          },
                          ErrorMessage: {
                            locationName: "errorMessage"
                          }
                        }
                      }
                    },
                    Instances: {
                      locationName: "fleetInstanceSet",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          LaunchTemplateAndOverrides: {
                            shape: "Sdk",
                            locationName: "launchTemplateAndOverrides"
                          },
                          Lifecycle: {
                            locationName: "lifecycle"
                          },
                          InstanceIds: {
                            shape: "Se1",
                            locationName: "instanceIds"
                          },
                          InstanceType: {
                            locationName: "instanceType"
                          },
                          Platform: {
                            locationName: "platform"
                          }
                        }
                      }
                    },
                    Context: {
                      locationName: "context"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeFlowLogs: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Filter: {
                shape: "Szi"
              },
              FlowLogIds: {
                shape: "Sul",
                locationName: "FlowLogId"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FlowLogs: {
                locationName: "flowLogSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    CreationTime: {
                      locationName: "creationTime",
                      type: "timestamp"
                    },
                    DeliverLogsErrorMessage: {
                      locationName: "deliverLogsErrorMessage"
                    },
                    DeliverLogsPermissionArn: {
                      locationName: "deliverLogsPermissionArn"
                    },
                    DeliverCrossAccountRole: {
                      locationName: "deliverCrossAccountRole"
                    },
                    DeliverLogsStatus: {
                      locationName: "deliverLogsStatus"
                    },
                    FlowLogId: {
                      locationName: "flowLogId"
                    },
                    FlowLogStatus: {
                      locationName: "flowLogStatus"
                    },
                    LogGroupName: {
                      locationName: "logGroupName"
                    },
                    ResourceId: {
                      locationName: "resourceId"
                    },
                    TrafficType: {
                      locationName: "trafficType"
                    },
                    LogDestinationType: {
                      locationName: "logDestinationType"
                    },
                    LogDestination: {
                      locationName: "logDestination"
                    },
                    LogFormat: {
                      locationName: "logFormat"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    },
                    MaxAggregationInterval: {
                      locationName: "maxAggregationInterval",
                      type: "integer"
                    },
                    DestinationOptions: {
                      locationName: "destinationOptions",
                      type: "structure",
                      members: {
                        FileFormat: {
                          locationName: "fileFormat"
                        },
                        HiveCompatiblePartitions: {
                          locationName: "hiveCompatiblePartitions",
                          type: "boolean"
                        },
                        PerHourPartition: {
                          locationName: "perHourPartition",
                          type: "boolean"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeFpgaImageAttribute: {
          input: {
            type: "structure",
            required: [
              "FpgaImageId",
              "Attribute"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              FpgaImageId: {},
              Attribute: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FpgaImageAttribute: {
                shape: "S15i",
                locationName: "fpgaImageAttribute"
              }
            }
          }
        },
        DescribeFpgaImages: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              FpgaImageIds: {
                locationName: "FpgaImageId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Owners: {
                shape: "S15r",
                locationName: "Owner"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FpgaImages: {
                locationName: "fpgaImageSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    FpgaImageId: {
                      locationName: "fpgaImageId"
                    },
                    FpgaImageGlobalId: {
                      locationName: "fpgaImageGlobalId"
                    },
                    Name: {
                      locationName: "name"
                    },
                    Description: {
                      locationName: "description"
                    },
                    ShellVersion: {
                      locationName: "shellVersion"
                    },
                    PciId: {
                      locationName: "pciId",
                      type: "structure",
                      members: {
                        DeviceId: {},
                        VendorId: {},
                        SubsystemId: {},
                        SubsystemVendorId: {}
                      }
                    },
                    State: {
                      locationName: "state",
                      type: "structure",
                      members: {
                        Code: {
                          locationName: "code"
                        },
                        Message: {
                          locationName: "message"
                        }
                      }
                    },
                    CreateTime: {
                      locationName: "createTime",
                      type: "timestamp"
                    },
                    UpdateTime: {
                      locationName: "updateTime",
                      type: "timestamp"
                    },
                    OwnerId: {
                      locationName: "ownerId"
                    },
                    OwnerAlias: {
                      locationName: "ownerAlias"
                    },
                    ProductCodes: {
                      shape: "S15m",
                      locationName: "productCodes"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tags"
                    },
                    Public: {
                      locationName: "public",
                      type: "boolean"
                    },
                    DataRetentionSupport: {
                      locationName: "dataRetentionSupport",
                      type: "boolean"
                    },
                    InstanceTypes: {
                      locationName: "instanceTypes",
                      type: "list",
                      member: {
                        locationName: "item"
                      }
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeHostReservationOfferings: {
          input: {
            type: "structure",
            members: {
              Filter: {
                shape: "Szi"
              },
              MaxDuration: {
                type: "integer"
              },
              MaxResults: {
                type: "integer"
              },
              MinDuration: {
                type: "integer"
              },
              NextToken: {},
              OfferingId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              OfferingSet: {
                locationName: "offeringSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    CurrencyCode: {
                      locationName: "currencyCode"
                    },
                    Duration: {
                      locationName: "duration",
                      type: "integer"
                    },
                    HourlyPrice: {
                      locationName: "hourlyPrice"
                    },
                    InstanceFamily: {
                      locationName: "instanceFamily"
                    },
                    OfferingId: {
                      locationName: "offeringId"
                    },
                    PaymentOption: {
                      locationName: "paymentOption"
                    },
                    UpfrontPrice: {
                      locationName: "upfrontPrice"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeHostReservations: {
          input: {
            type: "structure",
            members: {
              Filter: {
                shape: "Szi"
              },
              HostReservationIdSet: {
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              HostReservationSet: {
                locationName: "hostReservationSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Count: {
                      locationName: "count",
                      type: "integer"
                    },
                    CurrencyCode: {
                      locationName: "currencyCode"
                    },
                    Duration: {
                      locationName: "duration",
                      type: "integer"
                    },
                    End: {
                      locationName: "end",
                      type: "timestamp"
                    },
                    HostIdSet: {
                      shape: "S16d",
                      locationName: "hostIdSet"
                    },
                    HostReservationId: {
                      locationName: "hostReservationId"
                    },
                    HourlyPrice: {
                      locationName: "hourlyPrice"
                    },
                    InstanceFamily: {
                      locationName: "instanceFamily"
                    },
                    OfferingId: {
                      locationName: "offeringId"
                    },
                    PaymentOption: {
                      locationName: "paymentOption"
                    },
                    Start: {
                      locationName: "start",
                      type: "timestamp"
                    },
                    State: {
                      locationName: "state"
                    },
                    UpfrontPrice: {
                      locationName: "upfrontPrice"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeHosts: {
          input: {
            type: "structure",
            members: {
              Filter: {
                shape: "Szi",
                locationName: "filter"
              },
              HostIds: {
                shape: "S16g",
                locationName: "hostId"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Hosts: {
                locationName: "hostSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    AutoPlacement: {
                      locationName: "autoPlacement"
                    },
                    AvailabilityZone: {
                      locationName: "availabilityZone"
                    },
                    AvailableCapacity: {
                      locationName: "availableCapacity",
                      type: "structure",
                      members: {
                        AvailableInstanceCapacity: {
                          locationName: "availableInstanceCapacity",
                          type: "list",
                          member: {
                            locationName: "item",
                            type: "structure",
                            members: {
                              AvailableCapacity: {
                                locationName: "availableCapacity",
                                type: "integer"
                              },
                              InstanceType: {
                                locationName: "instanceType"
                              },
                              TotalCapacity: {
                                locationName: "totalCapacity",
                                type: "integer"
                              }
                            }
                          }
                        },
                        AvailableVCpus: {
                          locationName: "availableVCpus",
                          type: "integer"
                        }
                      }
                    },
                    ClientToken: {
                      locationName: "clientToken"
                    },
                    HostId: {
                      locationName: "hostId"
                    },
                    HostProperties: {
                      locationName: "hostProperties",
                      type: "structure",
                      members: {
                        Cores: {
                          locationName: "cores",
                          type: "integer"
                        },
                        InstanceType: {
                          locationName: "instanceType"
                        },
                        InstanceFamily: {
                          locationName: "instanceFamily"
                        },
                        Sockets: {
                          locationName: "sockets",
                          type: "integer"
                        },
                        TotalVCpus: {
                          locationName: "totalVCpus",
                          type: "integer"
                        }
                      }
                    },
                    HostReservationId: {
                      locationName: "hostReservationId"
                    },
                    Instances: {
                      locationName: "instances",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          InstanceId: {
                            locationName: "instanceId"
                          },
                          InstanceType: {
                            locationName: "instanceType"
                          },
                          OwnerId: {
                            locationName: "ownerId"
                          }
                        }
                      }
                    },
                    State: {
                      locationName: "state"
                    },
                    AllocationTime: {
                      locationName: "allocationTime",
                      type: "timestamp"
                    },
                    ReleaseTime: {
                      locationName: "releaseTime",
                      type: "timestamp"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    },
                    HostRecovery: {
                      locationName: "hostRecovery"
                    },
                    AllowsMultipleInstanceTypes: {
                      locationName: "allowsMultipleInstanceTypes"
                    },
                    OwnerId: {
                      locationName: "ownerId"
                    },
                    AvailabilityZoneId: {
                      locationName: "availabilityZoneId"
                    },
                    MemberOfServiceLinkedResourceGroup: {
                      locationName: "memberOfServiceLinkedResourceGroup",
                      type: "boolean"
                    },
                    OutpostArn: {
                      locationName: "outpostArn"
                    },
                    HostMaintenance: {
                      locationName: "hostMaintenance"
                    },
                    AssetId: {
                      locationName: "assetId"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeIamInstanceProfileAssociations: {
          input: {
            type: "structure",
            members: {
              AssociationIds: {
                locationName: "AssociationId",
                type: "list",
                member: {
                  locationName: "AssociationId"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IamInstanceProfileAssociations: {
                locationName: "iamInstanceProfileAssociationSet",
                type: "list",
                member: {
                  shape: "S3s",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeIdFormat: {
          input: {
            type: "structure",
            members: {
              Resource: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Statuses: {
                shape: "Szz",
                locationName: "statusSet"
              }
            }
          }
        },
        DescribeIdentityIdFormat: {
          input: {
            type: "structure",
            required: [
              "PrincipalArn"
            ],
            members: {
              PrincipalArn: {
                locationName: "principalArn"
              },
              Resource: {
                locationName: "resource"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Statuses: {
                shape: "Szz",
                locationName: "statusSet"
              }
            }
          }
        },
        DescribeImageAttribute: {
          input: {
            type: "structure",
            required: [
              "Attribute",
              "ImageId"
            ],
            members: {
              Attribute: {},
              ImageId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BlockDeviceMappings: {
                shape: "S175",
                locationName: "blockDeviceMapping"
              },
              ImageId: {
                locationName: "imageId"
              },
              LaunchPermissions: {
                shape: "S176",
                locationName: "launchPermission"
              },
              ProductCodes: {
                shape: "S15m",
                locationName: "productCodes"
              },
              Description: {
                shape: "Sbq",
                locationName: "description"
              },
              KernelId: {
                shape: "Sbq",
                locationName: "kernel"
              },
              RamdiskId: {
                shape: "Sbq",
                locationName: "ramdisk"
              },
              SriovNetSupport: {
                shape: "Sbq",
                locationName: "sriovNetSupport"
              },
              BootMode: {
                shape: "Sbq",
                locationName: "bootMode"
              },
              TpmSupport: {
                shape: "Sbq",
                locationName: "tpmSupport"
              },
              UefiData: {
                shape: "Sbq",
                locationName: "uefiData"
              },
              LastLaunchedTime: {
                shape: "Sbq",
                locationName: "lastLaunchedTime"
              },
              ImdsSupport: {
                shape: "Sbq",
                locationName: "imdsSupport"
              }
            }
          }
        },
        DescribeImages: {
          input: {
            type: "structure",
            members: {
              ExecutableUsers: {
                locationName: "ExecutableBy",
                type: "list",
                member: {
                  locationName: "ExecutableBy"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              ImageIds: {
                shape: "S17a",
                locationName: "ImageId"
              },
              Owners: {
                shape: "S15r",
                locationName: "Owner"
              },
              IncludeDeprecated: {
                type: "boolean"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Images: {
                locationName: "imagesSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Architecture: {
                      locationName: "architecture"
                    },
                    CreationDate: {
                      locationName: "creationDate"
                    },
                    ImageId: {
                      locationName: "imageId"
                    },
                    ImageLocation: {
                      locationName: "imageLocation"
                    },
                    ImageType: {
                      locationName: "imageType"
                    },
                    Public: {
                      locationName: "isPublic",
                      type: "boolean"
                    },
                    KernelId: {
                      locationName: "kernelId"
                    },
                    OwnerId: {
                      locationName: "imageOwnerId"
                    },
                    Platform: {
                      locationName: "platform"
                    },
                    PlatformDetails: {
                      locationName: "platformDetails"
                    },
                    UsageOperation: {
                      locationName: "usageOperation"
                    },
                    ProductCodes: {
                      shape: "S15m",
                      locationName: "productCodes"
                    },
                    RamdiskId: {
                      locationName: "ramdiskId"
                    },
                    State: {
                      locationName: "imageState"
                    },
                    BlockDeviceMappings: {
                      shape: "S175",
                      locationName: "blockDeviceMapping"
                    },
                    Description: {
                      locationName: "description"
                    },
                    EnaSupport: {
                      locationName: "enaSupport",
                      type: "boolean"
                    },
                    Hypervisor: {
                      locationName: "hypervisor"
                    },
                    ImageOwnerAlias: {
                      locationName: "imageOwnerAlias"
                    },
                    Name: {
                      locationName: "name"
                    },
                    RootDeviceName: {
                      locationName: "rootDeviceName"
                    },
                    RootDeviceType: {
                      locationName: "rootDeviceType"
                    },
                    SriovNetSupport: {
                      locationName: "sriovNetSupport"
                    },
                    StateReason: {
                      shape: "Sjb",
                      locationName: "stateReason"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    },
                    VirtualizationType: {
                      locationName: "virtualizationType"
                    },
                    BootMode: {
                      locationName: "bootMode"
                    },
                    TpmSupport: {
                      locationName: "tpmSupport"
                    },
                    DeprecationTime: {
                      locationName: "deprecationTime"
                    },
                    ImdsSupport: {
                      locationName: "imdsSupport"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeImportImageTasks: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi"
              },
              ImportTaskIds: {
                locationName: "ImportTaskId",
                type: "list",
                member: {
                  locationName: "ImportTaskId"
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImportImageTasks: {
                locationName: "importImageTaskSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Architecture: {
                      locationName: "architecture"
                    },
                    Description: {
                      locationName: "description"
                    },
                    Encrypted: {
                      locationName: "encrypted",
                      type: "boolean"
                    },
                    Hypervisor: {
                      locationName: "hypervisor"
                    },
                    ImageId: {
                      locationName: "imageId"
                    },
                    ImportTaskId: {
                      locationName: "importTaskId"
                    },
                    KmsKeyId: {
                      locationName: "kmsKeyId"
                    },
                    LicenseType: {
                      locationName: "licenseType"
                    },
                    Platform: {
                      locationName: "platform"
                    },
                    Progress: {
                      locationName: "progress"
                    },
                    SnapshotDetails: {
                      shape: "S17t",
                      locationName: "snapshotDetailSet"
                    },
                    Status: {
                      locationName: "status"
                    },
                    StatusMessage: {
                      locationName: "statusMessage"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    },
                    LicenseSpecifications: {
                      shape: "S17x",
                      locationName: "licenseSpecifications"
                    },
                    UsageOperation: {
                      locationName: "usageOperation"
                    },
                    BootMode: {
                      locationName: "bootMode"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeImportSnapshotTasks: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi"
              },
              ImportTaskIds: {
                locationName: "ImportTaskId",
                type: "list",
                member: {
                  locationName: "ImportTaskId"
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImportSnapshotTasks: {
                locationName: "importSnapshotTaskSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Description: {
                      locationName: "description"
                    },
                    ImportTaskId: {
                      locationName: "importTaskId"
                    },
                    SnapshotTaskDetail: {
                      shape: "S185",
                      locationName: "snapshotTaskDetail"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeInstanceAttribute: {
          input: {
            type: "structure",
            required: [
              "Attribute",
              "InstanceId"
            ],
            members: {
              Attribute: {
                locationName: "attribute"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              InstanceId: {
                locationName: "instanceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Groups: {
                shape: "Slc",
                locationName: "groupSet"
              },
              BlockDeviceMappings: {
                shape: "S189",
                locationName: "blockDeviceMapping"
              },
              DisableApiTermination: {
                shape: "S18c",
                locationName: "disableApiTermination"
              },
              EnaSupport: {
                shape: "S18c",
                locationName: "enaSupport"
              },
              EnclaveOptions: {
                shape: "S18d",
                locationName: "enclaveOptions"
              },
              EbsOptimized: {
                shape: "S18c",
                locationName: "ebsOptimized"
              },
              InstanceId: {
                locationName: "instanceId"
              },
              InstanceInitiatedShutdownBehavior: {
                shape: "Sbq",
                locationName: "instanceInitiatedShutdownBehavior"
              },
              InstanceType: {
                shape: "Sbq",
                locationName: "instanceType"
              },
              KernelId: {
                shape: "Sbq",
                locationName: "kernel"
              },
              ProductCodes: {
                shape: "S15m",
                locationName: "productCodes"
              },
              RamdiskId: {
                shape: "Sbq",
                locationName: "ramdisk"
              },
              RootDeviceName: {
                shape: "Sbq",
                locationName: "rootDeviceName"
              },
              SourceDestCheck: {
                shape: "S18c",
                locationName: "sourceDestCheck"
              },
              SriovNetSupport: {
                shape: "Sbq",
                locationName: "sriovNetSupport"
              },
              UserData: {
                shape: "Sbq",
                locationName: "userData"
              },
              DisableApiStop: {
                shape: "S18c",
                locationName: "disableApiStop"
              }
            }
          }
        },
        DescribeInstanceConnectEndpoints: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              InstanceConnectEndpointIds: {
                shape: "So",
                locationName: "InstanceConnectEndpointId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceConnectEndpoints: {
                locationName: "instanceConnectEndpointSet",
                type: "list",
                member: {
                  shape: "Sep",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeInstanceCreditSpecifications: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              InstanceIds: {
                shape: "S117",
                locationName: "InstanceId"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceCreditSpecifications: {
                locationName: "instanceCreditSpecificationSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    InstanceId: {
                      locationName: "instanceId"
                    },
                    CpuCredits: {
                      locationName: "cpuCredits"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeInstanceEventNotificationAttributes: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceTagAttribute: {
                shape: "Syx",
                locationName: "instanceTagAttribute"
              }
            }
          }
        },
        DescribeInstanceEventWindows: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              InstanceEventWindowIds: {
                locationName: "InstanceEventWindowId",
                type: "list",
                member: {
                  locationName: "InstanceEventWindowId"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceEventWindows: {
                locationName: "instanceEventWindowSet",
                type: "list",
                member: {
                  shape: "S42",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeInstanceStatus: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              InstanceIds: {
                shape: "S117",
                locationName: "InstanceId"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              IncludeAllInstances: {
                locationName: "includeAllInstances",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceStatuses: {
                locationName: "instanceStatusSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    AvailabilityZone: {
                      locationName: "availabilityZone"
                    },
                    OutpostArn: {
                      locationName: "outpostArn"
                    },
                    Events: {
                      locationName: "eventsSet",
                      type: "list",
                      member: {
                        shape: "S18z",
                        locationName: "item"
                      }
                    },
                    InstanceId: {
                      locationName: "instanceId"
                    },
                    InstanceState: {
                      shape: "S192",
                      locationName: "instanceState"
                    },
                    InstanceStatus: {
                      shape: "S194",
                      locationName: "instanceStatus"
                    },
                    SystemStatus: {
                      shape: "S194",
                      locationName: "systemStatus"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeInstanceTypeOfferings: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              LocationType: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceTypeOfferings: {
                locationName: "instanceTypeOfferingSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    InstanceType: {
                      locationName: "instanceType"
                    },
                    LocationType: {
                      locationName: "locationType"
                    },
                    Location: {
                      locationName: "location"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeInstanceTypes: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              InstanceTypes: {
                locationName: "InstanceType",
                type: "list",
                member: {}
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceTypes: {
                locationName: "instanceTypeSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    InstanceType: {
                      locationName: "instanceType"
                    },
                    CurrentGeneration: {
                      locationName: "currentGeneration",
                      type: "boolean"
                    },
                    FreeTierEligible: {
                      locationName: "freeTierEligible",
                      type: "boolean"
                    },
                    SupportedUsageClasses: {
                      locationName: "supportedUsageClasses",
                      type: "list",
                      member: {
                        locationName: "item"
                      }
                    },
                    SupportedRootDeviceTypes: {
                      locationName: "supportedRootDeviceTypes",
                      type: "list",
                      member: {
                        locationName: "item"
                      }
                    },
                    SupportedVirtualizationTypes: {
                      locationName: "supportedVirtualizationTypes",
                      type: "list",
                      member: {
                        locationName: "item"
                      }
                    },
                    BareMetal: {
                      locationName: "bareMetal",
                      type: "boolean"
                    },
                    Hypervisor: {
                      locationName: "hypervisor"
                    },
                    ProcessorInfo: {
                      locationName: "processorInfo",
                      type: "structure",
                      members: {
                        SupportedArchitectures: {
                          locationName: "supportedArchitectures",
                          type: "list",
                          member: {
                            locationName: "item"
                          }
                        },
                        SustainedClockSpeedInGhz: {
                          locationName: "sustainedClockSpeedInGhz",
                          type: "double"
                        },
                        SupportedFeatures: {
                          locationName: "supportedFeatures",
                          type: "list",
                          member: {
                            locationName: "item"
                          }
                        }
                      }
                    },
                    VCpuInfo: {
                      locationName: "vCpuInfo",
                      type: "structure",
                      members: {
                        DefaultVCpus: {
                          locationName: "defaultVCpus",
                          type: "integer"
                        },
                        DefaultCores: {
                          locationName: "defaultCores",
                          type: "integer"
                        },
                        DefaultThreadsPerCore: {
                          locationName: "defaultThreadsPerCore",
                          type: "integer"
                        },
                        ValidCores: {
                          locationName: "validCores",
                          type: "list",
                          member: {
                            locationName: "item",
                            type: "integer"
                          }
                        },
                        ValidThreadsPerCore: {
                          locationName: "validThreadsPerCore",
                          type: "list",
                          member: {
                            locationName: "item",
                            type: "integer"
                          }
                        }
                      }
                    },
                    MemoryInfo: {
                      locationName: "memoryInfo",
                      type: "structure",
                      members: {
                        SizeInMiB: {
                          locationName: "sizeInMiB",
                          type: "long"
                        }
                      }
                    },
                    InstanceStorageSupported: {
                      locationName: "instanceStorageSupported",
                      type: "boolean"
                    },
                    InstanceStorageInfo: {
                      locationName: "instanceStorageInfo",
                      type: "structure",
                      members: {
                        TotalSizeInGB: {
                          locationName: "totalSizeInGB",
                          type: "long"
                        },
                        Disks: {
                          locationName: "disks",
                          type: "list",
                          member: {
                            locationName: "item",
                            type: "structure",
                            members: {
                              SizeInGB: {
                                locationName: "sizeInGB",
                                type: "long"
                              },
                              Count: {
                                locationName: "count",
                                type: "integer"
                              },
                              Type: {
                                locationName: "type"
                              }
                            }
                          }
                        },
                        NvmeSupport: {
                          locationName: "nvmeSupport"
                        },
                        EncryptionSupport: {
                          locationName: "encryptionSupport"
                        }
                      }
                    },
                    EbsInfo: {
                      locationName: "ebsInfo",
                      type: "structure",
                      members: {
                        EbsOptimizedSupport: {
                          locationName: "ebsOptimizedSupport"
                        },
                        EncryptionSupport: {
                          locationName: "encryptionSupport"
                        },
                        EbsOptimizedInfo: {
                          locationName: "ebsOptimizedInfo",
                          type: "structure",
                          members: {
                            BaselineBandwidthInMbps: {
                              locationName: "baselineBandwidthInMbps",
                              type: "integer"
                            },
                            BaselineThroughputInMBps: {
                              locationName: "baselineThroughputInMBps",
                              type: "double"
                            },
                            BaselineIops: {
                              locationName: "baselineIops",
                              type: "integer"
                            },
                            MaximumBandwidthInMbps: {
                              locationName: "maximumBandwidthInMbps",
                              type: "integer"
                            },
                            MaximumThroughputInMBps: {
                              locationName: "maximumThroughputInMBps",
                              type: "double"
                            },
                            MaximumIops: {
                              locationName: "maximumIops",
                              type: "integer"
                            }
                          }
                        },
                        NvmeSupport: {
                          locationName: "nvmeSupport"
                        }
                      }
                    },
                    NetworkInfo: {
                      locationName: "networkInfo",
                      type: "structure",
                      members: {
                        NetworkPerformance: {
                          locationName: "networkPerformance"
                        },
                        MaximumNetworkInterfaces: {
                          locationName: "maximumNetworkInterfaces",
                          type: "integer"
                        },
                        MaximumNetworkCards: {
                          locationName: "maximumNetworkCards",
                          type: "integer"
                        },
                        DefaultNetworkCardIndex: {
                          locationName: "defaultNetworkCardIndex",
                          type: "integer"
                        },
                        NetworkCards: {
                          locationName: "networkCards",
                          type: "list",
                          member: {
                            locationName: "item",
                            type: "structure",
                            members: {
                              NetworkCardIndex: {
                                locationName: "networkCardIndex",
                                type: "integer"
                              },
                              NetworkPerformance: {
                                locationName: "networkPerformance"
                              },
                              MaximumNetworkInterfaces: {
                                locationName: "maximumNetworkInterfaces",
                                type: "integer"
                              }
                            }
                          }
                        },
                        Ipv4AddressesPerInterface: {
                          locationName: "ipv4AddressesPerInterface",
                          type: "integer"
                        },
                        Ipv6AddressesPerInterface: {
                          locationName: "ipv6AddressesPerInterface",
                          type: "integer"
                        },
                        Ipv6Supported: {
                          locationName: "ipv6Supported",
                          type: "boolean"
                        },
                        EnaSupport: {
                          locationName: "enaSupport"
                        },
                        EfaSupported: {
                          locationName: "efaSupported",
                          type: "boolean"
                        },
                        EfaInfo: {
                          locationName: "efaInfo",
                          type: "structure",
                          members: {
                            MaximumEfaInterfaces: {
                              locationName: "maximumEfaInterfaces",
                              type: "integer"
                            }
                          }
                        },
                        EncryptionInTransitSupported: {
                          locationName: "encryptionInTransitSupported",
                          type: "boolean"
                        },
                        EnaSrdSupported: {
                          locationName: "enaSrdSupported",
                          type: "boolean"
                        }
                      }
                    },
                    GpuInfo: {
                      locationName: "gpuInfo",
                      type: "structure",
                      members: {
                        Gpus: {
                          locationName: "gpus",
                          type: "list",
                          member: {
                            locationName: "item",
                            type: "structure",
                            members: {
                              Name: {
                                locationName: "name"
                              },
                              Manufacturer: {
                                locationName: "manufacturer"
                              },
                              Count: {
                                locationName: "count",
                                type: "integer"
                              },
                              MemoryInfo: {
                                locationName: "memoryInfo",
                                type: "structure",
                                members: {
                                  SizeInMiB: {
                                    locationName: "sizeInMiB",
                                    type: "integer"
                                  }
                                }
                              }
                            }
                          }
                        },
                        TotalGpuMemoryInMiB: {
                          locationName: "totalGpuMemoryInMiB",
                          type: "integer"
                        }
                      }
                    },
                    FpgaInfo: {
                      locationName: "fpgaInfo",
                      type: "structure",
                      members: {
                        Fpgas: {
                          locationName: "fpgas",
                          type: "list",
                          member: {
                            locationName: "item",
                            type: "structure",
                            members: {
                              Name: {
                                locationName: "name"
                              },
                              Manufacturer: {
                                locationName: "manufacturer"
                              },
                              Count: {
                                locationName: "count",
                                type: "integer"
                              },
                              MemoryInfo: {
                                locationName: "memoryInfo",
                                type: "structure",
                                members: {
                                  SizeInMiB: {
                                    locationName: "sizeInMiB",
                                    type: "integer"
                                  }
                                }
                              }
                            }
                          }
                        },
                        TotalFpgaMemoryInMiB: {
                          locationName: "totalFpgaMemoryInMiB",
                          type: "integer"
                        }
                      }
                    },
                    PlacementGroupInfo: {
                      locationName: "placementGroupInfo",
                      type: "structure",
                      members: {
                        SupportedStrategies: {
                          locationName: "supportedStrategies",
                          type: "list",
                          member: {
                            locationName: "item"
                          }
                        }
                      }
                    },
                    InferenceAcceleratorInfo: {
                      locationName: "inferenceAcceleratorInfo",
                      type: "structure",
                      members: {
                        Accelerators: {
                          locationName: "item",
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              Count: {
                                locationName: "count",
                                type: "integer"
                              },
                              Name: {
                                locationName: "name"
                              },
                              Manufacturer: {
                                locationName: "manufacturer"
                              }
                            }
                          }
                        }
                      }
                    },
                    HibernationSupported: {
                      locationName: "hibernationSupported",
                      type: "boolean"
                    },
                    BurstablePerformanceSupported: {
                      locationName: "burstablePerformanceSupported",
                      type: "boolean"
                    },
                    DedicatedHostsSupported: {
                      locationName: "dedicatedHostsSupported",
                      type: "boolean"
                    },
                    AutoRecoverySupported: {
                      locationName: "autoRecoverySupported",
                      type: "boolean"
                    },
                    SupportedBootModes: {
                      locationName: "supportedBootModes",
                      type: "list",
                      member: {
                        locationName: "item"
                      }
                    },
                    NitroEnclavesSupport: {
                      locationName: "nitroEnclavesSupport"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeInstances: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              InstanceIds: {
                shape: "S117",
                locationName: "InstanceId"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Reservations: {
                locationName: "reservationSet",
                type: "list",
                member: {
                  shape: "S1cc",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeInternetGateways: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              InternetGatewayIds: {
                locationName: "internetGatewayId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InternetGateways: {
                locationName: "internetGatewaySet",
                type: "list",
                member: {
                  shape: "Sfa",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeIpamPools: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              IpamPoolIds: {
                shape: "So",
                locationName: "IpamPoolId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              IpamPools: {
                locationName: "ipamPoolSet",
                type: "list",
                member: {
                  shape: "Sfs",
                  locationName: "item"
                }
              }
            }
          }
        },
        DescribeIpamResourceDiscoveries: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamResourceDiscoveryIds: {
                shape: "So",
                locationName: "IpamResourceDiscoveryId"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IpamResourceDiscoveries: {
                locationName: "ipamResourceDiscoverySet",
                type: "list",
                member: {
                  shape: "Sfz",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeIpamResourceDiscoveryAssociations: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamResourceDiscoveryAssociationIds: {
                shape: "So",
                locationName: "IpamResourceDiscoveryAssociationId"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IpamResourceDiscoveryAssociations: {
                locationName: "ipamResourceDiscoveryAssociationSet",
                type: "list",
                member: {
                  shape: "S4e",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeIpamScopes: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              IpamScopeIds: {
                shape: "So",
                locationName: "IpamScopeId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              IpamScopes: {
                locationName: "ipamScopeSet",
                type: "list",
                member: {
                  shape: "Sg3",
                  locationName: "item"
                }
              }
            }
          }
        },
        DescribeIpams: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              IpamIds: {
                shape: "So",
                locationName: "IpamId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Ipams: {
                locationName: "ipamSet",
                type: "list",
                member: {
                  shape: "Sff",
                  locationName: "item"
                }
              }
            }
          }
        },
        DescribeIpv6Pools: {
          input: {
            type: "structure",
            members: {
              PoolIds: {
                locationName: "PoolId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Ipv6Pools: {
                locationName: "ipv6PoolSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    PoolId: {
                      locationName: "poolId"
                    },
                    Description: {
                      locationName: "description"
                    },
                    PoolCidrBlocks: {
                      locationName: "poolCidrBlockSet",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          Cidr: {
                            locationName: "poolCidrBlock"
                          }
                        }
                      }
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeKeyPairs: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              KeyNames: {
                locationName: "KeyName",
                type: "list",
                member: {
                  locationName: "KeyName"
                }
              },
              KeyPairIds: {
                locationName: "KeyPairId",
                type: "list",
                member: {
                  locationName: "KeyPairId"
                }
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              IncludePublicKey: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KeyPairs: {
                locationName: "keySet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    KeyPairId: {
                      locationName: "keyPairId"
                    },
                    KeyFingerprint: {
                      locationName: "keyFingerprint"
                    },
                    KeyName: {
                      locationName: "keyName"
                    },
                    KeyType: {
                      locationName: "keyType"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    },
                    PublicKey: {
                      locationName: "publicKey"
                    },
                    CreateTime: {
                      locationName: "createTime",
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeLaunchTemplateVersions: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              LaunchTemplateId: {},
              LaunchTemplateName: {},
              Versions: {
                shape: "Sva",
                locationName: "LaunchTemplateVersion"
              },
              MinVersion: {},
              MaxVersion: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              ResolveAlias: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LaunchTemplateVersions: {
                locationName: "launchTemplateVersionSet",
                type: "list",
                member: {
                  shape: "Si0",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeLaunchTemplates: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              LaunchTemplateIds: {
                locationName: "LaunchTemplateId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              LaunchTemplateNames: {
                locationName: "LaunchTemplateName",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LaunchTemplates: {
                locationName: "launchTemplates",
                type: "list",
                member: {
                  shape: "Shu",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociations: {
          input: {
            type: "structure",
            members: {
              LocalGatewayRouteTableVirtualInterfaceGroupAssociationIds: {
                locationName: "LocalGatewayRouteTableVirtualInterfaceGroupAssociationId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocalGatewayRouteTableVirtualInterfaceGroupAssociations: {
                locationName: "localGatewayRouteTableVirtualInterfaceGroupAssociationSet",
                type: "list",
                member: {
                  shape: "Sje",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeLocalGatewayRouteTableVpcAssociations: {
          input: {
            type: "structure",
            members: {
              LocalGatewayRouteTableVpcAssociationIds: {
                locationName: "LocalGatewayRouteTableVpcAssociationId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocalGatewayRouteTableVpcAssociations: {
                locationName: "localGatewayRouteTableVpcAssociationSet",
                type: "list",
                member: {
                  shape: "Sji",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeLocalGatewayRouteTables: {
          input: {
            type: "structure",
            members: {
              LocalGatewayRouteTableIds: {
                locationName: "LocalGatewayRouteTableId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocalGatewayRouteTables: {
                locationName: "localGatewayRouteTableSet",
                type: "list",
                member: {
                  shape: "Sja",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeLocalGatewayVirtualInterfaceGroups: {
          input: {
            type: "structure",
            members: {
              LocalGatewayVirtualInterfaceGroupIds: {
                locationName: "LocalGatewayVirtualInterfaceGroupId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocalGatewayVirtualInterfaceGroups: {
                locationName: "localGatewayVirtualInterfaceGroupSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    LocalGatewayVirtualInterfaceGroupId: {
                      locationName: "localGatewayVirtualInterfaceGroupId"
                    },
                    LocalGatewayVirtualInterfaceIds: {
                      shape: "S1f1",
                      locationName: "localGatewayVirtualInterfaceIdSet"
                    },
                    LocalGatewayId: {
                      locationName: "localGatewayId"
                    },
                    OwnerId: {
                      locationName: "ownerId"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeLocalGatewayVirtualInterfaces: {
          input: {
            type: "structure",
            members: {
              LocalGatewayVirtualInterfaceIds: {
                shape: "S1f1",
                locationName: "LocalGatewayVirtualInterfaceId"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocalGatewayVirtualInterfaces: {
                locationName: "localGatewayVirtualInterfaceSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    LocalGatewayVirtualInterfaceId: {
                      locationName: "localGatewayVirtualInterfaceId"
                    },
                    LocalGatewayId: {
                      locationName: "localGatewayId"
                    },
                    Vlan: {
                      locationName: "vlan",
                      type: "integer"
                    },
                    LocalAddress: {
                      locationName: "localAddress"
                    },
                    PeerAddress: {
                      locationName: "peerAddress"
                    },
                    LocalBgpAsn: {
                      locationName: "localBgpAsn",
                      type: "integer"
                    },
                    PeerBgpAsn: {
                      locationName: "peerBgpAsn",
                      type: "integer"
                    },
                    OwnerId: {
                      locationName: "ownerId"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeLocalGateways: {
          input: {
            type: "structure",
            members: {
              LocalGatewayIds: {
                locationName: "LocalGatewayId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocalGateways: {
                locationName: "localGatewaySet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    LocalGatewayId: {
                      locationName: "localGatewayId"
                    },
                    OutpostArn: {
                      locationName: "outpostArn"
                    },
                    OwnerId: {
                      locationName: "ownerId"
                    },
                    State: {
                      locationName: "state"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeManagedPrefixLists: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              PrefixListIds: {
                shape: "So",
                locationName: "PrefixListId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              PrefixLists: {
                locationName: "prefixListSet",
                type: "list",
                member: {
                  shape: "Sjo",
                  locationName: "item"
                }
              }
            }
          }
        },
        DescribeMovingAddresses: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "filter"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              },
              PublicIps: {
                shape: "So",
                locationName: "publicIp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MovingAddressStatuses: {
                locationName: "movingAddressStatusSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    MoveStatus: {
                      locationName: "moveStatus"
                    },
                    PublicIp: {
                      locationName: "publicIp"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeNatGateways: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Filter: {
                shape: "Szi"
              },
              MaxResults: {
                type: "integer"
              },
              NatGatewayIds: {
                locationName: "NatGatewayId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NatGateways: {
                locationName: "natGatewaySet",
                type: "list",
                member: {
                  shape: "Sjt",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeNetworkAcls: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              NetworkAclIds: {
                locationName: "NetworkAclId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkAcls: {
                locationName: "networkAclSet",
                type: "list",
                member: {
                  shape: "Sjy",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeNetworkInsightsAccessScopeAnalyses: {
          input: {
            type: "structure",
            members: {
              NetworkInsightsAccessScopeAnalysisIds: {
                locationName: "NetworkInsightsAccessScopeAnalysisId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              NetworkInsightsAccessScopeId: {},
              AnalysisStartTimeBegin: {
                type: "timestamp"
              },
              AnalysisStartTimeEnd: {
                type: "timestamp"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInsightsAccessScopeAnalyses: {
                locationName: "networkInsightsAccessScopeAnalysisSet",
                type: "list",
                member: {
                  shape: "S1g1",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeNetworkInsightsAccessScopes: {
          input: {
            type: "structure",
            members: {
              NetworkInsightsAccessScopeIds: {
                locationName: "NetworkInsightsAccessScopeId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInsightsAccessScopes: {
                locationName: "networkInsightsAccessScopeSet",
                type: "list",
                member: {
                  shape: "Skj",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeNetworkInsightsAnalyses: {
          input: {
            type: "structure",
            members: {
              NetworkInsightsAnalysisIds: {
                locationName: "NetworkInsightsAnalysisId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              NetworkInsightsPathId: {},
              AnalysisStartTime: {
                type: "timestamp"
              },
              AnalysisEndTime: {
                type: "timestamp"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInsightsAnalyses: {
                locationName: "networkInsightsAnalysisSet",
                type: "list",
                member: {
                  shape: "S1gc",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeNetworkInsightsPaths: {
          input: {
            type: "structure",
            members: {
              NetworkInsightsPathIds: {
                locationName: "NetworkInsightsPathId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInsightsPaths: {
                locationName: "networkInsightsPathSet",
                type: "list",
                member: {
                  shape: "Sl0",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeNetworkInterfaceAttribute: {
          input: {
            type: "structure",
            required: [
              "NetworkInterfaceId"
            ],
            members: {
              Attribute: {
                locationName: "attribute"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attachment: {
                shape: "Sl9",
                locationName: "attachment"
              },
              Description: {
                shape: "Sbq",
                locationName: "description"
              },
              Groups: {
                shape: "Slc",
                locationName: "groupSet"
              },
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              },
              SourceDestCheck: {
                shape: "S18c",
                locationName: "sourceDestCheck"
              }
            }
          }
        },
        DescribeNetworkInterfacePermissions: {
          input: {
            type: "structure",
            members: {
              NetworkInterfacePermissionIds: {
                locationName: "NetworkInterfacePermissionId",
                type: "list",
                member: {}
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInterfacePermissions: {
                locationName: "networkInterfacePermissions",
                type: "list",
                member: {
                  shape: "Slp",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeNetworkInterfaces: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "filter"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              NetworkInterfaceIds: {
                locationName: "NetworkInterfaceId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInterfaces: {
                locationName: "networkInterfaceSet",
                type: "list",
                member: {
                  shape: "Sl7",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribePlacementGroups: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              GroupNames: {
                locationName: "groupName",
                type: "list",
                member: {}
              },
              GroupIds: {
                locationName: "GroupId",
                type: "list",
                member: {
                  locationName: "GroupId"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PlacementGroups: {
                locationName: "placementGroupSet",
                type: "list",
                member: {
                  shape: "Slw",
                  locationName: "item"
                }
              }
            }
          }
        },
        DescribePrefixLists: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              PrefixListIds: {
                locationName: "PrefixListId",
                type: "list",
                member: {
                  locationName: "item"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              PrefixLists: {
                locationName: "prefixListSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Cidrs: {
                      shape: "So",
                      locationName: "cidrSet"
                    },
                    PrefixListId: {
                      locationName: "prefixListId"
                    },
                    PrefixListName: {
                      locationName: "prefixListName"
                    }
                  }
                }
              }
            }
          }
        },
        DescribePrincipalIdFormat: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Resources: {
                locationName: "Resource",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Principals: {
                locationName: "principalSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Arn: {
                      locationName: "arn"
                    },
                    Statuses: {
                      shape: "Szz",
                      locationName: "statusSet"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribePublicIpv4Pools: {
          input: {
            type: "structure",
            members: {
              PoolIds: {
                locationName: "PoolId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicIpv4Pools: {
                locationName: "publicIpv4PoolSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    PoolId: {
                      locationName: "poolId"
                    },
                    Description: {
                      locationName: "description"
                    },
                    PoolAddressRanges: {
                      locationName: "poolAddressRangeSet",
                      type: "list",
                      member: {
                        shape: "S1if",
                        locationName: "item"
                      }
                    },
                    TotalAddressCount: {
                      locationName: "totalAddressCount",
                      type: "integer"
                    },
                    TotalAvailableAddressCount: {
                      locationName: "totalAvailableAddressCount",
                      type: "integer"
                    },
                    NetworkBorderGroup: {
                      locationName: "networkBorderGroup"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeRegions: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              RegionNames: {
                locationName: "RegionName",
                type: "list",
                member: {
                  locationName: "RegionName"
                }
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              AllRegions: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Regions: {
                locationName: "regionInfo",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Endpoint: {
                      locationName: "regionEndpoint"
                    },
                    RegionName: {
                      locationName: "regionName"
                    },
                    OptInStatus: {
                      locationName: "optInStatus"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeReplaceRootVolumeTasks: {
          input: {
            type: "structure",
            members: {
              ReplaceRootVolumeTaskIds: {
                locationName: "ReplaceRootVolumeTaskId",
                type: "list",
                member: {
                  locationName: "ReplaceRootVolumeTaskId"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReplaceRootVolumeTasks: {
                locationName: "replaceRootVolumeTaskSet",
                type: "list",
                member: {
                  shape: "Sm2",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeReservedInstances: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              OfferingClass: {},
              ReservedInstancesIds: {
                shape: "S1is",
                locationName: "ReservedInstancesId"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              OfferingType: {
                locationName: "offeringType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReservedInstances: {
                locationName: "reservedInstancesSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    AvailabilityZone: {
                      locationName: "availabilityZone"
                    },
                    Duration: {
                      locationName: "duration",
                      type: "long"
                    },
                    End: {
                      locationName: "end",
                      type: "timestamp"
                    },
                    FixedPrice: {
                      locationName: "fixedPrice",
                      type: "float"
                    },
                    InstanceCount: {
                      locationName: "instanceCount",
                      type: "integer"
                    },
                    InstanceType: {
                      locationName: "instanceType"
                    },
                    ProductDescription: {
                      locationName: "productDescription"
                    },
                    ReservedInstancesId: {
                      locationName: "reservedInstancesId"
                    },
                    Start: {
                      locationName: "start",
                      type: "timestamp"
                    },
                    State: {
                      locationName: "state"
                    },
                    UsagePrice: {
                      locationName: "usagePrice",
                      type: "float"
                    },
                    CurrencyCode: {
                      locationName: "currencyCode"
                    },
                    InstanceTenancy: {
                      locationName: "instanceTenancy"
                    },
                    OfferingClass: {
                      locationName: "offeringClass"
                    },
                    OfferingType: {
                      locationName: "offeringType"
                    },
                    RecurringCharges: {
                      shape: "S1j0",
                      locationName: "recurringCharges"
                    },
                    Scope: {
                      locationName: "scope"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeReservedInstancesListings: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              ReservedInstancesId: {
                locationName: "reservedInstancesId"
              },
              ReservedInstancesListingId: {
                locationName: "reservedInstancesListingId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReservedInstancesListings: {
                shape: "S8a",
                locationName: "reservedInstancesListingsSet"
              }
            }
          }
        },
        DescribeReservedInstancesModifications: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              ReservedInstancesModificationIds: {
                locationName: "ReservedInstancesModificationId",
                type: "list",
                member: {
                  locationName: "ReservedInstancesModificationId"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              ReservedInstancesModifications: {
                locationName: "reservedInstancesModificationsSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ClientToken: {
                      locationName: "clientToken"
                    },
                    CreateDate: {
                      locationName: "createDate",
                      type: "timestamp"
                    },
                    EffectiveDate: {
                      locationName: "effectiveDate",
                      type: "timestamp"
                    },
                    ModificationResults: {
                      locationName: "modificationResultSet",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          ReservedInstancesId: {
                            locationName: "reservedInstancesId"
                          },
                          TargetConfiguration: {
                            shape: "S1je",
                            locationName: "targetConfiguration"
                          }
                        }
                      }
                    },
                    ReservedInstancesIds: {
                      locationName: "reservedInstancesSet",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          ReservedInstancesId: {
                            locationName: "reservedInstancesId"
                          }
                        }
                      }
                    },
                    ReservedInstancesModificationId: {
                      locationName: "reservedInstancesModificationId"
                    },
                    Status: {
                      locationName: "status"
                    },
                    StatusMessage: {
                      locationName: "statusMessage"
                    },
                    UpdateDate: {
                      locationName: "updateDate",
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeReservedInstancesOfferings: {
          input: {
            type: "structure",
            members: {
              AvailabilityZone: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              IncludeMarketplace: {
                type: "boolean"
              },
              InstanceType: {},
              MaxDuration: {
                type: "long"
              },
              MaxInstanceCount: {
                type: "integer"
              },
              MinDuration: {
                type: "long"
              },
              OfferingClass: {},
              ProductDescription: {},
              ReservedInstancesOfferingIds: {
                locationName: "ReservedInstancesOfferingId",
                type: "list",
                member: {}
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              InstanceTenancy: {
                locationName: "instanceTenancy"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              },
              OfferingType: {
                locationName: "offeringType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReservedInstancesOfferings: {
                locationName: "reservedInstancesOfferingsSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    AvailabilityZone: {
                      locationName: "availabilityZone"
                    },
                    Duration: {
                      locationName: "duration",
                      type: "long"
                    },
                    FixedPrice: {
                      locationName: "fixedPrice",
                      type: "float"
                    },
                    InstanceType: {
                      locationName: "instanceType"
                    },
                    ProductDescription: {
                      locationName: "productDescription"
                    },
                    ReservedInstancesOfferingId: {
                      locationName: "reservedInstancesOfferingId"
                    },
                    UsagePrice: {
                      locationName: "usagePrice",
                      type: "float"
                    },
                    CurrencyCode: {
                      locationName: "currencyCode"
                    },
                    InstanceTenancy: {
                      locationName: "instanceTenancy"
                    },
                    Marketplace: {
                      locationName: "marketplace",
                      type: "boolean"
                    },
                    OfferingClass: {
                      locationName: "offeringClass"
                    },
                    OfferingType: {
                      locationName: "offeringType"
                    },
                    PricingDetails: {
                      locationName: "pricingDetailsSet",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          Count: {
                            locationName: "count",
                            type: "integer"
                          },
                          Price: {
                            locationName: "price",
                            type: "double"
                          }
                        }
                      }
                    },
                    RecurringCharges: {
                      shape: "S1j0",
                      locationName: "recurringCharges"
                    },
                    Scope: {
                      locationName: "scope"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeRouteTables: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              RouteTableIds: {
                locationName: "RouteTableId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RouteTables: {
                locationName: "routeTableSet",
                type: "list",
                member: {
                  shape: "Smi",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeScheduledInstanceAvailability: {
          input: {
            type: "structure",
            required: [
              "FirstSlotStartTimeRange",
              "Recurrence"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              FirstSlotStartTimeRange: {
                type: "structure",
                required: [
                  "EarliestTime",
                  "LatestTime"
                ],
                members: {
                  EarliestTime: {
                    type: "timestamp"
                  },
                  LatestTime: {
                    type: "timestamp"
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              MaxSlotDurationInHours: {
                type: "integer"
              },
              MinSlotDurationInHours: {
                type: "integer"
              },
              NextToken: {},
              Recurrence: {
                type: "structure",
                members: {
                  Frequency: {},
                  Interval: {
                    type: "integer"
                  },
                  OccurrenceDays: {
                    locationName: "OccurrenceDay",
                    type: "list",
                    member: {
                      locationName: "OccurenceDay",
                      type: "integer"
                    }
                  },
                  OccurrenceRelativeToEnd: {
                    type: "boolean"
                  },
                  OccurrenceUnit: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              ScheduledInstanceAvailabilitySet: {
                locationName: "scheduledInstanceAvailabilitySet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    AvailabilityZone: {
                      locationName: "availabilityZone"
                    },
                    AvailableInstanceCount: {
                      locationName: "availableInstanceCount",
                      type: "integer"
                    },
                    FirstSlotStartTime: {
                      locationName: "firstSlotStartTime",
                      type: "timestamp"
                    },
                    HourlyPrice: {
                      locationName: "hourlyPrice"
                    },
                    InstanceType: {
                      locationName: "instanceType"
                    },
                    MaxTermDurationInDays: {
                      locationName: "maxTermDurationInDays",
                      type: "integer"
                    },
                    MinTermDurationInDays: {
                      locationName: "minTermDurationInDays",
                      type: "integer"
                    },
                    NetworkPlatform: {
                      locationName: "networkPlatform"
                    },
                    Platform: {
                      locationName: "platform"
                    },
                    PurchaseToken: {
                      locationName: "purchaseToken"
                    },
                    Recurrence: {
                      shape: "S1k1",
                      locationName: "recurrence"
                    },
                    SlotDurationInHours: {
                      locationName: "slotDurationInHours",
                      type: "integer"
                    },
                    TotalScheduledInstanceHours: {
                      locationName: "totalScheduledInstanceHours",
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeScheduledInstances: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              ScheduledInstanceIds: {
                locationName: "ScheduledInstanceId",
                type: "list",
                member: {
                  locationName: "ScheduledInstanceId"
                }
              },
              SlotStartTimeRange: {
                type: "structure",
                members: {
                  EarliestTime: {
                    type: "timestamp"
                  },
                  LatestTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              ScheduledInstanceSet: {
                locationName: "scheduledInstanceSet",
                type: "list",
                member: {
                  shape: "S1k9",
                  locationName: "item"
                }
              }
            }
          }
        },
        DescribeSecurityGroupReferences: {
          input: {
            type: "structure",
            required: [
              "GroupId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              GroupId: {
                type: "list",
                member: {
                  locationName: "item"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SecurityGroupReferenceSet: {
                locationName: "securityGroupReferenceSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    GroupId: {
                      locationName: "groupId"
                    },
                    ReferencingVpcId: {
                      locationName: "referencingVpcId"
                    },
                    VpcPeeringConnectionId: {
                      locationName: "vpcPeeringConnectionId"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeSecurityGroupRules: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              SecurityGroupRuleIds: {
                shape: "S1kg",
                locationName: "SecurityGroupRuleId"
              },
              DryRun: {
                type: "boolean"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SecurityGroupRules: {
                shape: "S6z",
                locationName: "securityGroupRuleSet"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeSecurityGroups: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              GroupIds: {
                shape: "S5o",
                locationName: "GroupId"
              },
              GroupNames: {
                shape: "S1kk",
                locationName: "GroupName"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SecurityGroups: {
                locationName: "securityGroupInfo",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Description: {
                      locationName: "groupDescription"
                    },
                    GroupName: {
                      locationName: "groupName"
                    },
                    IpPermissions: {
                      shape: "S6o",
                      locationName: "ipPermissions"
                    },
                    OwnerId: {
                      locationName: "ownerId"
                    },
                    GroupId: {
                      locationName: "groupId"
                    },
                    IpPermissionsEgress: {
                      shape: "S6o",
                      locationName: "ipPermissionsEgress"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    },
                    VpcId: {
                      locationName: "vpcId"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeSnapshotAttribute: {
          input: {
            type: "structure",
            required: [
              "Attribute",
              "SnapshotId"
            ],
            members: {
              Attribute: {},
              SnapshotId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CreateVolumePermissions: {
                shape: "S1ks",
                locationName: "createVolumePermission"
              },
              ProductCodes: {
                shape: "S15m",
                locationName: "productCodes"
              },
              SnapshotId: {
                locationName: "snapshotId"
              }
            }
          }
        },
        DescribeSnapshotTierStatus: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                type: "boolean"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SnapshotTierStatuses: {
                locationName: "snapshotTierStatusSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    SnapshotId: {
                      locationName: "snapshotId"
                    },
                    VolumeId: {
                      locationName: "volumeId"
                    },
                    Status: {
                      locationName: "status"
                    },
                    OwnerId: {
                      locationName: "ownerId"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    },
                    StorageTier: {
                      locationName: "storageTier"
                    },
                    LastTieringStartTime: {
                      locationName: "lastTieringStartTime",
                      type: "timestamp"
                    },
                    LastTieringProgress: {
                      locationName: "lastTieringProgress",
                      type: "integer"
                    },
                    LastTieringOperationStatus: {
                      locationName: "lastTieringOperationStatus"
                    },
                    LastTieringOperationStatusDetail: {
                      locationName: "lastTieringOperationStatusDetail"
                    },
                    ArchivalCompleteTime: {
                      locationName: "archivalCompleteTime",
                      type: "timestamp"
                    },
                    RestoreExpiryTime: {
                      locationName: "restoreExpiryTime",
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeSnapshots: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              OwnerIds: {
                shape: "S15r",
                locationName: "Owner"
              },
              RestorableByUserIds: {
                locationName: "RestorableBy",
                type: "list",
                member: {}
              },
              SnapshotIds: {
                shape: "S1l2",
                locationName: "SnapshotId"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Snapshots: {
                locationName: "snapshotSet",
                type: "list",
                member: {
                  shape: "Smu",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeSpotDatafeedSubscription: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SpotDatafeedSubscription: {
                shape: "Sn7",
                locationName: "spotDatafeedSubscription"
              }
            }
          }
        },
        DescribeSpotFleetInstances: {
          input: {
            type: "structure",
            required: [
              "SpotFleetRequestId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              },
              SpotFleetRequestId: {
                locationName: "spotFleetRequestId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ActiveInstances: {
                shape: "S14p",
                locationName: "activeInstanceSet"
              },
              NextToken: {
                locationName: "nextToken"
              },
              SpotFleetRequestId: {
                locationName: "spotFleetRequestId"
              }
            }
          }
        },
        DescribeSpotFleetRequestHistory: {
          input: {
            type: "structure",
            required: [
              "SpotFleetRequestId",
              "StartTime"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              EventType: {
                locationName: "eventType"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              },
              SpotFleetRequestId: {
                locationName: "spotFleetRequestId"
              },
              StartTime: {
                locationName: "startTime",
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HistoryRecords: {
                locationName: "historyRecordSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    EventInformation: {
                      shape: "S14m",
                      locationName: "eventInformation"
                    },
                    EventType: {
                      locationName: "eventType"
                    },
                    Timestamp: {
                      locationName: "timestamp",
                      type: "timestamp"
                    }
                  }
                }
              },
              LastEvaluatedTime: {
                locationName: "lastEvaluatedTime",
                type: "timestamp"
              },
              NextToken: {
                locationName: "nextToken"
              },
              SpotFleetRequestId: {
                locationName: "spotFleetRequestId"
              },
              StartTime: {
                locationName: "startTime",
                type: "timestamp"
              }
            }
          }
        },
        DescribeSpotFleetRequests: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              },
              SpotFleetRequestIds: {
                shape: "S8m",
                locationName: "spotFleetRequestId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              SpotFleetRequestConfigs: {
                locationName: "spotFleetRequestConfigSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ActivityStatus: {
                      locationName: "activityStatus"
                    },
                    CreateTime: {
                      locationName: "createTime",
                      type: "timestamp"
                    },
                    SpotFleetRequestConfig: {
                      shape: "S1ll",
                      locationName: "spotFleetRequestConfig"
                    },
                    SpotFleetRequestId: {
                      locationName: "spotFleetRequestId"
                    },
                    SpotFleetRequestState: {
                      locationName: "spotFleetRequestState"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeSpotInstanceRequests: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              SpotInstanceRequestIds: {
                shape: "S8x",
                locationName: "SpotInstanceRequestId"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SpotInstanceRequests: {
                shape: "S1md",
                locationName: "spotInstanceRequestSet"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeSpotPriceHistory: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              AvailabilityZone: {
                locationName: "availabilityZone"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              EndTime: {
                locationName: "endTime",
                type: "timestamp"
              },
              InstanceTypes: {
                locationName: "InstanceType",
                type: "list",
                member: {}
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              },
              ProductDescriptions: {
                locationName: "ProductDescription",
                type: "list",
                member: {}
              },
              StartTime: {
                locationName: "startTime",
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              SpotPriceHistory: {
                locationName: "spotPriceHistorySet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    AvailabilityZone: {
                      locationName: "availabilityZone"
                    },
                    InstanceType: {
                      locationName: "instanceType"
                    },
                    ProductDescription: {
                      locationName: "productDescription"
                    },
                    SpotPrice: {
                      locationName: "spotPrice"
                    },
                    Timestamp: {
                      locationName: "timestamp",
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeStaleSecurityGroups: {
          input: {
            type: "structure",
            required: [
              "VpcId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              VpcId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              StaleSecurityGroupSet: {
                locationName: "staleSecurityGroupSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Description: {
                      locationName: "description"
                    },
                    GroupId: {
                      locationName: "groupId"
                    },
                    GroupName: {
                      locationName: "groupName"
                    },
                    StaleIpPermissions: {
                      shape: "S1mv",
                      locationName: "staleIpPermissions"
                    },
                    StaleIpPermissionsEgress: {
                      shape: "S1mv",
                      locationName: "staleIpPermissionsEgress"
                    },
                    VpcId: {
                      locationName: "vpcId"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeStoreImageTasks: {
          input: {
            type: "structure",
            members: {
              ImageIds: {
                locationName: "ImageId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StoreImageTaskResults: {
                locationName: "storeImageTaskResultSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    AmiId: {
                      locationName: "amiId"
                    },
                    TaskStartTime: {
                      locationName: "taskStartTime",
                      type: "timestamp"
                    },
                    Bucket: {
                      locationName: "bucket"
                    },
                    S3objectKey: {
                      locationName: "s3objectKey"
                    },
                    ProgressPercentage: {
                      locationName: "progressPercentage",
                      type: "integer"
                    },
                    StoreTaskState: {
                      locationName: "storeTaskState"
                    },
                    StoreTaskFailureReason: {
                      locationName: "storeTaskFailureReason"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeSubnets: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              SubnetIds: {
                locationName: "SubnetId",
                type: "list",
                member: {
                  locationName: "SubnetId"
                }
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Subnets: {
                locationName: "subnetSet",
                type: "list",
                member: {
                  shape: "Sb5",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeTags: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Tags: {
                locationName: "tagSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Key: {
                      locationName: "key"
                    },
                    ResourceId: {
                      locationName: "resourceId"
                    },
                    ResourceType: {
                      locationName: "resourceType"
                    },
                    Value: {
                      locationName: "value"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeTrafficMirrorFilters: {
          input: {
            type: "structure",
            members: {
              TrafficMirrorFilterIds: {
                locationName: "TrafficMirrorFilterId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrafficMirrorFilters: {
                locationName: "trafficMirrorFilterSet",
                type: "list",
                member: {
                  shape: "Snq",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeTrafficMirrorSessions: {
          input: {
            type: "structure",
            members: {
              TrafficMirrorSessionIds: {
                locationName: "TrafficMirrorSessionId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrafficMirrorSessions: {
                locationName: "trafficMirrorSessionSet",
                type: "list",
                member: {
                  shape: "So5",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeTrafficMirrorTargets: {
          input: {
            type: "structure",
            members: {
              TrafficMirrorTargetIds: {
                locationName: "TrafficMirrorTargetId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrafficMirrorTargets: {
                locationName: "trafficMirrorTargetSet",
                type: "list",
                member: {
                  shape: "So8",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeTransitGatewayAttachments: {
          input: {
            type: "structure",
            members: {
              TransitGatewayAttachmentIds: {
                shape: "S1nt"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayAttachments: {
                locationName: "transitGatewayAttachments",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    TransitGatewayAttachmentId: {
                      locationName: "transitGatewayAttachmentId"
                    },
                    TransitGatewayId: {
                      locationName: "transitGatewayId"
                    },
                    TransitGatewayOwnerId: {
                      locationName: "transitGatewayOwnerId"
                    },
                    ResourceOwnerId: {
                      locationName: "resourceOwnerId"
                    },
                    ResourceType: {
                      locationName: "resourceType"
                    },
                    ResourceId: {
                      locationName: "resourceId"
                    },
                    State: {
                      locationName: "state"
                    },
                    Association: {
                      locationName: "association",
                      type: "structure",
                      members: {
                        TransitGatewayRouteTableId: {
                          locationName: "transitGatewayRouteTableId"
                        },
                        State: {
                          locationName: "state"
                        }
                      }
                    },
                    CreationTime: {
                      locationName: "creationTime",
                      type: "timestamp"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeTransitGatewayConnectPeers: {
          input: {
            type: "structure",
            members: {
              TransitGatewayConnectPeerIds: {
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayConnectPeers: {
                locationName: "transitGatewayConnectPeerSet",
                type: "list",
                member: {
                  shape: "Sow",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeTransitGatewayConnects: {
          input: {
            type: "structure",
            members: {
              TransitGatewayAttachmentIds: {
                shape: "S1nt"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayConnects: {
                locationName: "transitGatewayConnectSet",
                type: "list",
                member: {
                  shape: "Soq",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeTransitGatewayMulticastDomains: {
          input: {
            type: "structure",
            members: {
              TransitGatewayMulticastDomainIds: {
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayMulticastDomains: {
                locationName: "transitGatewayMulticastDomains",
                type: "list",
                member: {
                  shape: "Sp9",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeTransitGatewayPeeringAttachments: {
          input: {
            type: "structure",
            members: {
              TransitGatewayAttachmentIds: {
                shape: "S1nt"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayPeeringAttachments: {
                locationName: "transitGatewayPeeringAttachments",
                type: "list",
                member: {
                  shape: "Sx",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeTransitGatewayPolicyTables: {
          input: {
            type: "structure",
            members: {
              TransitGatewayPolicyTableIds: {
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayPolicyTables: {
                locationName: "transitGatewayPolicyTables",
                type: "list",
                member: {
                  shape: "Spi",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeTransitGatewayRouteTableAnnouncements: {
          input: {
            type: "structure",
            members: {
              TransitGatewayRouteTableAnnouncementIds: {
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayRouteTableAnnouncements: {
                locationName: "transitGatewayRouteTableAnnouncements",
                type: "list",
                member: {
                  shape: "Sq3",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeTransitGatewayRouteTables: {
          input: {
            type: "structure",
            members: {
              TransitGatewayRouteTableIds: {
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayRouteTables: {
                locationName: "transitGatewayRouteTables",
                type: "list",
                member: {
                  shape: "Spz",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeTransitGatewayVpcAttachments: {
          input: {
            type: "structure",
            members: {
              TransitGatewayAttachmentIds: {
                shape: "S1nt"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayVpcAttachments: {
                locationName: "transitGatewayVpcAttachments",
                type: "list",
                member: {
                  shape: "S16",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeTransitGateways: {
          input: {
            type: "structure",
            members: {
              TransitGatewayIds: {
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGateways: {
                locationName: "transitGatewaySet",
                type: "list",
                member: {
                  shape: "Soj",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeTrunkInterfaceAssociations: {
          input: {
            type: "structure",
            members: {
              AssociationIds: {
                locationName: "AssociationId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InterfaceAssociations: {
                locationName: "interfaceAssociationSet",
                type: "list",
                member: {
                  shape: "S5c",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeVerifiedAccessEndpoints: {
          input: {
            type: "structure",
            members: {
              VerifiedAccessEndpointIds: {
                locationName: "VerifiedAccessEndpointId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              VerifiedAccessInstanceId: {},
              VerifiedAccessGroupId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessEndpoints: {
                locationName: "verifiedAccessEndpointSet",
                type: "list",
                member: {
                  shape: "Sqm",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeVerifiedAccessGroups: {
          input: {
            type: "structure",
            members: {
              VerifiedAccessGroupIds: {
                locationName: "VerifiedAccessGroupId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              VerifiedAccessInstanceId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessGroups: {
                locationName: "verifiedAccessGroupSet",
                type: "list",
                member: {
                  shape: "Squ",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeVerifiedAccessInstanceLoggingConfigurations: {
          input: {
            type: "structure",
            members: {
              VerifiedAccessInstanceIds: {
                shape: "S1pc",
                locationName: "VerifiedAccessInstanceId"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LoggingConfigurations: {
                locationName: "loggingConfigurationSet",
                type: "list",
                member: {
                  shape: "S1pg",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeVerifiedAccessInstances: {
          input: {
            type: "structure",
            members: {
              VerifiedAccessInstanceIds: {
                shape: "S1pc",
                locationName: "VerifiedAccessInstanceId"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessInstances: {
                locationName: "verifiedAccessInstanceSet",
                type: "list",
                member: {
                  shape: "S67",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeVerifiedAccessTrustProviders: {
          input: {
            type: "structure",
            members: {
              VerifiedAccessTrustProviderIds: {
                locationName: "VerifiedAccessTrustProviderId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessTrustProviders: {
                locationName: "verifiedAccessTrustProviderSet",
                type: "list",
                member: {
                  shape: "S60",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeVolumeAttribute: {
          input: {
            type: "structure",
            required: [
              "Attribute",
              "VolumeId"
            ],
            members: {
              Attribute: {},
              VolumeId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AutoEnableIO: {
                shape: "S18c",
                locationName: "autoEnableIO"
              },
              ProductCodes: {
                shape: "S15m",
                locationName: "productCodes"
              },
              VolumeId: {
                locationName: "volumeId"
              }
            }
          }
        },
        DescribeVolumeStatus: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              VolumeIds: {
                shape: "Sn0",
                locationName: "VolumeId"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              VolumeStatuses: {
                locationName: "volumeStatusSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Actions: {
                      locationName: "actionsSet",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          Code: {
                            locationName: "code"
                          },
                          Description: {
                            locationName: "description"
                          },
                          EventId: {
                            locationName: "eventId"
                          },
                          EventType: {
                            locationName: "eventType"
                          }
                        }
                      }
                    },
                    AvailabilityZone: {
                      locationName: "availabilityZone"
                    },
                    OutpostArn: {
                      locationName: "outpostArn"
                    },
                    Events: {
                      locationName: "eventsSet",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          Description: {
                            locationName: "description"
                          },
                          EventId: {
                            locationName: "eventId"
                          },
                          EventType: {
                            locationName: "eventType"
                          },
                          NotAfter: {
                            locationName: "notAfter",
                            type: "timestamp"
                          },
                          NotBefore: {
                            locationName: "notBefore",
                            type: "timestamp"
                          },
                          InstanceId: {
                            locationName: "instanceId"
                          }
                        }
                      }
                    },
                    VolumeId: {
                      locationName: "volumeId"
                    },
                    VolumeStatus: {
                      locationName: "volumeStatus",
                      type: "structure",
                      members: {
                        Details: {
                          locationName: "details",
                          type: "list",
                          member: {
                            locationName: "item",
                            type: "structure",
                            members: {
                              Name: {
                                locationName: "name"
                              },
                              Status: {
                                locationName: "status"
                              }
                            }
                          }
                        },
                        Status: {
                          locationName: "status"
                        }
                      }
                    },
                    AttachmentStatuses: {
                      locationName: "attachmentStatuses",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          IoPerformance: {
                            locationName: "ioPerformance"
                          },
                          InstanceId: {
                            locationName: "instanceId"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeVolumes: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              VolumeIds: {
                shape: "Sn0",
                locationName: "VolumeId"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Volumes: {
                locationName: "volumeSet",
                type: "list",
                member: {
                  shape: "Sr2",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeVolumesModifications: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              VolumeIds: {
                shape: "Sn0",
                locationName: "VolumeId"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VolumesModifications: {
                locationName: "volumeModificationSet",
                type: "list",
                member: {
                  shape: "S1qk",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeVpcAttribute: {
          input: {
            type: "structure",
            required: [
              "Attribute",
              "VpcId"
            ],
            members: {
              Attribute: {},
              VpcId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpcId: {
                locationName: "vpcId"
              },
              EnableDnsHostnames: {
                shape: "S18c",
                locationName: "enableDnsHostnames"
              },
              EnableDnsSupport: {
                shape: "S18c",
                locationName: "enableDnsSupport"
              },
              EnableNetworkAddressUsageMetrics: {
                shape: "S18c",
                locationName: "enableNetworkAddressUsageMetrics"
              }
            }
          }
        },
        DescribeVpcClassicLink: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              VpcIds: {
                shape: "S1qq",
                locationName: "VpcId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Vpcs: {
                locationName: "vpcSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ClassicLinkEnabled: {
                      locationName: "classicLinkEnabled",
                      type: "boolean"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    },
                    VpcId: {
                      locationName: "vpcId"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeVpcClassicLinkDnsSupport: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              },
              VpcIds: {
                shape: "S1qq"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Vpcs: {
                locationName: "vpcs",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ClassicLinkDnsSupported: {
                      locationName: "classicLinkDnsSupported",
                      type: "boolean"
                    },
                    VpcId: {
                      locationName: "vpcId"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeVpcEndpointConnectionNotifications: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              ConnectionNotificationId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionNotificationSet: {
                locationName: "connectionNotificationSet",
                type: "list",
                member: {
                  shape: "Srq",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeVpcEndpointConnections: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VpcEndpointConnections: {
                locationName: "vpcEndpointConnectionSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ServiceId: {
                      locationName: "serviceId"
                    },
                    VpcEndpointId: {
                      locationName: "vpcEndpointId"
                    },
                    VpcEndpointOwner: {
                      locationName: "vpcEndpointOwner"
                    },
                    VpcEndpointState: {
                      locationName: "vpcEndpointState"
                    },
                    CreationTimestamp: {
                      locationName: "creationTimestamp",
                      type: "timestamp"
                    },
                    DnsEntries: {
                      shape: "Srl",
                      locationName: "dnsEntrySet"
                    },
                    NetworkLoadBalancerArns: {
                      shape: "So",
                      locationName: "networkLoadBalancerArnSet"
                    },
                    GatewayLoadBalancerArns: {
                      shape: "So",
                      locationName: "gatewayLoadBalancerArnSet"
                    },
                    IpAddressType: {
                      locationName: "ipAddressType"
                    },
                    VpcEndpointConnectionId: {
                      locationName: "vpcEndpointConnectionId"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeVpcEndpointServiceConfigurations: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              ServiceIds: {
                shape: "Sy7",
                locationName: "ServiceId"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceConfigurations: {
                locationName: "serviceConfigurationSet",
                type: "list",
                member: {
                  shape: "Srv",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeVpcEndpointServicePermissions: {
          input: {
            type: "structure",
            required: [
              "ServiceId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ServiceId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AllowedPrincipals: {
                locationName: "allowedPrincipals",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    PrincipalType: {
                      locationName: "principalType"
                    },
                    Principal: {
                      locationName: "principal"
                    },
                    ServicePermissionId: {
                      locationName: "servicePermissionId"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    },
                    ServiceId: {
                      locationName: "serviceId"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeVpcEndpointServices: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              ServiceNames: {
                shape: "So",
                locationName: "ServiceName"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceNames: {
                shape: "So",
                locationName: "serviceNameSet"
              },
              ServiceDetails: {
                locationName: "serviceDetailSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ServiceName: {
                      locationName: "serviceName"
                    },
                    ServiceId: {
                      locationName: "serviceId"
                    },
                    ServiceType: {
                      shape: "Srw",
                      locationName: "serviceType"
                    },
                    AvailabilityZones: {
                      shape: "So",
                      locationName: "availabilityZoneSet"
                    },
                    Owner: {
                      locationName: "owner"
                    },
                    BaseEndpointDnsNames: {
                      shape: "So",
                      locationName: "baseEndpointDnsNameSet"
                    },
                    PrivateDnsName: {
                      locationName: "privateDnsName"
                    },
                    PrivateDnsNames: {
                      locationName: "privateDnsNameSet",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          PrivateDnsName: {
                            locationName: "privateDnsName"
                          }
                        }
                      }
                    },
                    VpcEndpointPolicySupported: {
                      locationName: "vpcEndpointPolicySupported",
                      type: "boolean"
                    },
                    AcceptanceRequired: {
                      locationName: "acceptanceRequired",
                      type: "boolean"
                    },
                    ManagesVpcEndpoints: {
                      locationName: "managesVpcEndpoints",
                      type: "boolean"
                    },
                    PayerResponsibility: {
                      locationName: "payerResponsibility"
                    },
                    Tags: {
                      shape: "S6",
                      locationName: "tagSet"
                    },
                    PrivateDnsNameVerificationState: {
                      locationName: "privateDnsNameVerificationState"
                    },
                    SupportedIpAddressTypes: {
                      shape: "Ss0",
                      locationName: "supportedIpAddressTypeSet"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeVpcEndpoints: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              VpcEndpointIds: {
                shape: "S1d",
                locationName: "VpcEndpointId"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VpcEndpoints: {
                locationName: "vpcEndpointSet",
                type: "list",
                member: {
                  shape: "Srg",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeVpcPeeringConnections: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              VpcPeeringConnectionIds: {
                locationName: "VpcPeeringConnectionId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpcPeeringConnections: {
                locationName: "vpcPeeringConnectionSet",
                type: "list",
                member: {
                  shape: "S1m",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeVpcs: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              VpcIds: {
                locationName: "VpcId",
                type: "list",
                member: {
                  locationName: "VpcId"
                }
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Vpcs: {
                locationName: "vpcSet",
                type: "list",
                member: {
                  shape: "Sbd",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeVpnConnections: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              VpnConnectionIds: {
                locationName: "VpnConnectionId",
                type: "list",
                member: {
                  locationName: "VpnConnectionId"
                }
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpnConnections: {
                locationName: "vpnConnectionSet",
                type: "list",
                member: {
                  shape: "Ssw",
                  locationName: "item"
                }
              }
            }
          }
        },
        DescribeVpnGateways: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              VpnGatewayIds: {
                locationName: "VpnGatewayId",
                type: "list",
                member: {
                  locationName: "VpnGatewayId"
                }
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpnGateways: {
                locationName: "vpnGatewaySet",
                type: "list",
                member: {
                  shape: "Stt",
                  locationName: "item"
                }
              }
            }
          }
        },
        DetachClassicLinkVpc: {
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "VpcId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              InstanceId: {
                locationName: "instanceId"
              },
              VpcId: {
                locationName: "vpcId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        DetachInternetGateway: {
          input: {
            type: "structure",
            required: [
              "InternetGatewayId",
              "VpcId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              InternetGatewayId: {
                locationName: "internetGatewayId"
              },
              VpcId: {
                locationName: "vpcId"
              }
            }
          }
        },
        DetachNetworkInterface: {
          input: {
            type: "structure",
            required: [
              "AttachmentId"
            ],
            members: {
              AttachmentId: {
                locationName: "attachmentId"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              Force: {
                locationName: "force",
                type: "boolean"
              }
            }
          }
        },
        DetachVerifiedAccessTrustProvider: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessInstanceId",
              "VerifiedAccessTrustProviderId"
            ],
            members: {
              VerifiedAccessInstanceId: {},
              VerifiedAccessTrustProviderId: {},
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessTrustProvider: {
                shape: "S60",
                locationName: "verifiedAccessTrustProvider"
              },
              VerifiedAccessInstance: {
                shape: "S67",
                locationName: "verifiedAccessInstance"
              }
            }
          }
        },
        DetachVolume: {
          input: {
            type: "structure",
            required: [
              "VolumeId"
            ],
            members: {
              Device: {},
              Force: {
                type: "boolean"
              },
              InstanceId: {},
              VolumeId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S6c"
          }
        },
        DetachVpnGateway: {
          input: {
            type: "structure",
            required: [
              "VpcId",
              "VpnGatewayId"
            ],
            members: {
              VpcId: {},
              VpnGatewayId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        DisableAddressTransfer: {
          input: {
            type: "structure",
            required: [
              "AllocationId"
            ],
            members: {
              AllocationId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AddressTransfer: {
                shape: "Sa",
                locationName: "addressTransfer"
              }
            }
          }
        },
        DisableAwsNetworkPerformanceMetricSubscription: {
          input: {
            type: "structure",
            members: {
              Source: {},
              Destination: {},
              Metric: {},
              Statistic: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Output: {
                locationName: "output",
                type: "boolean"
              }
            }
          }
        },
        DisableEbsEncryptionByDefault: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EbsEncryptionByDefault: {
                locationName: "ebsEncryptionByDefault",
                type: "boolean"
              }
            }
          }
        },
        DisableFastLaunch: {
          input: {
            type: "structure",
            required: [
              "ImageId"
            ],
            members: {
              ImageId: {},
              Force: {
                type: "boolean"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ImageId: {
                locationName: "imageId"
              },
              ResourceType: {
                locationName: "resourceType"
              },
              SnapshotConfiguration: {
                shape: "S148",
                locationName: "snapshotConfiguration"
              },
              LaunchTemplate: {
                shape: "S149",
                locationName: "launchTemplate"
              },
              MaxParallelLaunches: {
                locationName: "maxParallelLaunches",
                type: "integer"
              },
              OwnerId: {
                locationName: "ownerId"
              },
              State: {
                locationName: "state"
              },
              StateTransitionReason: {
                locationName: "stateTransitionReason"
              },
              StateTransitionTime: {
                locationName: "stateTransitionTime",
                type: "timestamp"
              }
            }
          }
        },
        DisableFastSnapshotRestores: {
          input: {
            type: "structure",
            required: [
              "AvailabilityZones",
              "SourceSnapshotIds"
            ],
            members: {
              AvailabilityZones: {
                shape: "S1sq",
                locationName: "AvailabilityZone"
              },
              SourceSnapshotIds: {
                shape: "S1l2",
                locationName: "SourceSnapshotId"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Successful: {
                locationName: "successful",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    SnapshotId: {
                      locationName: "snapshotId"
                    },
                    AvailabilityZone: {
                      locationName: "availabilityZone"
                    },
                    State: {
                      locationName: "state"
                    },
                    StateTransitionReason: {
                      locationName: "stateTransitionReason"
                    },
                    OwnerId: {
                      locationName: "ownerId"
                    },
                    OwnerAlias: {
                      locationName: "ownerAlias"
                    },
                    EnablingTime: {
                      locationName: "enablingTime",
                      type: "timestamp"
                    },
                    OptimizingTime: {
                      locationName: "optimizingTime",
                      type: "timestamp"
                    },
                    EnabledTime: {
                      locationName: "enabledTime",
                      type: "timestamp"
                    },
                    DisablingTime: {
                      locationName: "disablingTime",
                      type: "timestamp"
                    },
                    DisabledTime: {
                      locationName: "disabledTime",
                      type: "timestamp"
                    }
                  }
                }
              },
              Unsuccessful: {
                locationName: "unsuccessful",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    SnapshotId: {
                      locationName: "snapshotId"
                    },
                    FastSnapshotRestoreStateErrors: {
                      locationName: "fastSnapshotRestoreStateErrorSet",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          AvailabilityZone: {
                            locationName: "availabilityZone"
                          },
                          Error: {
                            locationName: "error",
                            type: "structure",
                            members: {
                              Code: {
                                locationName: "code"
                              },
                              Message: {
                                locationName: "message"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DisableImageDeprecation: {
          input: {
            type: "structure",
            required: [
              "ImageId"
            ],
            members: {
              ImageId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        DisableIpamOrganizationAdminAccount: {
          input: {
            type: "structure",
            required: [
              "DelegatedAdminAccountId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              DelegatedAdminAccountId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Success: {
                locationName: "success",
                type: "boolean"
              }
            }
          }
        },
        DisableSerialConsoleAccess: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SerialConsoleAccessEnabled: {
                locationName: "serialConsoleAccessEnabled",
                type: "boolean"
              }
            }
          }
        },
        DisableTransitGatewayRouteTablePropagation: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayRouteTableId"
            ],
            members: {
              TransitGatewayRouteTableId: {},
              TransitGatewayAttachmentId: {},
              DryRun: {
                type: "boolean"
              },
              TransitGatewayRouteTableAnnouncementId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Propagation: {
                shape: "S1t7",
                locationName: "propagation"
              }
            }
          }
        },
        DisableVgwRoutePropagation: {
          input: {
            type: "structure",
            required: [
              "GatewayId",
              "RouteTableId"
            ],
            members: {
              GatewayId: {},
              RouteTableId: {},
              DryRun: {
                type: "boolean"
              }
            }
          }
        },
        DisableVpcClassicLink: {
          input: {
            type: "structure",
            required: [
              "VpcId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              VpcId: {
                locationName: "vpcId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        DisableVpcClassicLinkDnsSupport: {
          input: {
            type: "structure",
            members: {
              VpcId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        DisassociateAddress: {
          input: {
            type: "structure",
            members: {
              AssociationId: {},
              PublicIp: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        DisassociateClientVpnTargetNetwork: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId",
              "AssociationId"
            ],
            members: {
              ClientVpnEndpointId: {},
              AssociationId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssociationId: {
                locationName: "associationId"
              },
              Status: {
                shape: "S3h",
                locationName: "status"
              }
            }
          }
        },
        DisassociateEnclaveCertificateIamRole: {
          input: {
            type: "structure",
            required: [
              "CertificateArn",
              "RoleArn"
            ],
            members: {
              CertificateArn: {},
              RoleArn: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        DisassociateIamInstanceProfile: {
          input: {
            type: "structure",
            required: [
              "AssociationId"
            ],
            members: {
              AssociationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IamInstanceProfileAssociation: {
                shape: "S3s",
                locationName: "iamInstanceProfileAssociation"
              }
            }
          }
        },
        DisassociateInstanceEventWindow: {
          input: {
            type: "structure",
            required: [
              "InstanceEventWindowId",
              "AssociationTarget"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              InstanceEventWindowId: {},
              AssociationTarget: {
                type: "structure",
                members: {
                  InstanceIds: {
                    shape: "S3y",
                    locationName: "InstanceId"
                  },
                  InstanceTags: {
                    shape: "S6",
                    locationName: "InstanceTag"
                  },
                  DedicatedHostIds: {
                    shape: "S3z",
                    locationName: "DedicatedHostId"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceEventWindow: {
                shape: "S42",
                locationName: "instanceEventWindow"
              }
            }
          }
        },
        DisassociateIpamResourceDiscovery: {
          input: {
            type: "structure",
            required: [
              "IpamResourceDiscoveryAssociationId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamResourceDiscoveryAssociationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IpamResourceDiscoveryAssociation: {
                shape: "S4e",
                locationName: "ipamResourceDiscoveryAssociation"
              }
            }
          }
        },
        DisassociateNatGatewayAddress: {
          input: {
            type: "structure",
            required: [
              "NatGatewayId",
              "AssociationIds"
            ],
            members: {
              NatGatewayId: {},
              AssociationIds: {
                locationName: "AssociationId",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              MaxDrainDurationSeconds: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NatGatewayId: {
                locationName: "natGatewayId"
              },
              NatGatewayAddresses: {
                shape: "S36",
                locationName: "natGatewayAddressSet"
              }
            }
          }
        },
        DisassociateRouteTable: {
          input: {
            type: "structure",
            required: [
              "AssociationId"
            ],
            members: {
              AssociationId: {
                locationName: "associationId"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        DisassociateSubnetCidrBlock: {
          input: {
            type: "structure",
            required: [
              "AssociationId"
            ],
            members: {
              AssociationId: {
                locationName: "associationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Ipv6CidrBlockAssociation: {
                shape: "S4u",
                locationName: "ipv6CidrBlockAssociation"
              },
              SubnetId: {
                locationName: "subnetId"
              }
            }
          }
        },
        DisassociateTransitGatewayMulticastDomain: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayMulticastDomainId",
              "TransitGatewayAttachmentId",
              "SubnetIds"
            ],
            members: {
              TransitGatewayMulticastDomainId: {},
              TransitGatewayAttachmentId: {},
              SubnetIds: {
                shape: "S4z"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Associations: {
                shape: "Sq",
                locationName: "associations"
              }
            }
          }
        },
        DisassociateTransitGatewayPolicyTable: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayPolicyTableId",
              "TransitGatewayAttachmentId"
            ],
            members: {
              TransitGatewayPolicyTableId: {},
              TransitGatewayAttachmentId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Association: {
                shape: "S54",
                locationName: "association"
              }
            }
          }
        },
        DisassociateTransitGatewayRouteTable: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayRouteTableId",
              "TransitGatewayAttachmentId"
            ],
            members: {
              TransitGatewayRouteTableId: {},
              TransitGatewayAttachmentId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Association: {
                shape: "S59",
                locationName: "association"
              }
            }
          }
        },
        DisassociateTrunkInterface: {
          input: {
            type: "structure",
            required: [
              "AssociationId"
            ],
            members: {
              AssociationId: {},
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              },
              ClientToken: {
                locationName: "clientToken"
              }
            }
          }
        },
        DisassociateVpcCidrBlock: {
          input: {
            type: "structure",
            required: [
              "AssociationId"
            ],
            members: {
              AssociationId: {
                locationName: "associationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Ipv6CidrBlockAssociation: {
                shape: "S5j",
                locationName: "ipv6CidrBlockAssociation"
              },
              CidrBlockAssociation: {
                shape: "S5m",
                locationName: "cidrBlockAssociation"
              },
              VpcId: {
                locationName: "vpcId"
              }
            }
          }
        },
        EnableAddressTransfer: {
          input: {
            type: "structure",
            required: [
              "AllocationId",
              "TransferAccountId"
            ],
            members: {
              AllocationId: {},
              TransferAccountId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AddressTransfer: {
                shape: "Sa",
                locationName: "addressTransfer"
              }
            }
          }
        },
        EnableAwsNetworkPerformanceMetricSubscription: {
          input: {
            type: "structure",
            members: {
              Source: {},
              Destination: {},
              Metric: {},
              Statistic: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Output: {
                locationName: "output",
                type: "boolean"
              }
            }
          }
        },
        EnableEbsEncryptionByDefault: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EbsEncryptionByDefault: {
                locationName: "ebsEncryptionByDefault",
                type: "boolean"
              }
            }
          }
        },
        EnableFastLaunch: {
          input: {
            type: "structure",
            required: [
              "ImageId"
            ],
            members: {
              ImageId: {},
              ResourceType: {},
              SnapshotConfiguration: {
                type: "structure",
                members: {
                  TargetResourceCount: {
                    type: "integer"
                  }
                }
              },
              LaunchTemplate: {
                type: "structure",
                required: [
                  "Version"
                ],
                members: {
                  LaunchTemplateId: {},
                  LaunchTemplateName: {},
                  Version: {}
                }
              },
              MaxParallelLaunches: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ImageId: {
                locationName: "imageId"
              },
              ResourceType: {
                locationName: "resourceType"
              },
              SnapshotConfiguration: {
                shape: "S148",
                locationName: "snapshotConfiguration"
              },
              LaunchTemplate: {
                shape: "S149",
                locationName: "launchTemplate"
              },
              MaxParallelLaunches: {
                locationName: "maxParallelLaunches",
                type: "integer"
              },
              OwnerId: {
                locationName: "ownerId"
              },
              State: {
                locationName: "state"
              },
              StateTransitionReason: {
                locationName: "stateTransitionReason"
              },
              StateTransitionTime: {
                locationName: "stateTransitionTime",
                type: "timestamp"
              }
            }
          }
        },
        EnableFastSnapshotRestores: {
          input: {
            type: "structure",
            required: [
              "AvailabilityZones",
              "SourceSnapshotIds"
            ],
            members: {
              AvailabilityZones: {
                shape: "S1sq",
                locationName: "AvailabilityZone"
              },
              SourceSnapshotIds: {
                shape: "S1l2",
                locationName: "SourceSnapshotId"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Successful: {
                locationName: "successful",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    SnapshotId: {
                      locationName: "snapshotId"
                    },
                    AvailabilityZone: {
                      locationName: "availabilityZone"
                    },
                    State: {
                      locationName: "state"
                    },
                    StateTransitionReason: {
                      locationName: "stateTransitionReason"
                    },
                    OwnerId: {
                      locationName: "ownerId"
                    },
                    OwnerAlias: {
                      locationName: "ownerAlias"
                    },
                    EnablingTime: {
                      locationName: "enablingTime",
                      type: "timestamp"
                    },
                    OptimizingTime: {
                      locationName: "optimizingTime",
                      type: "timestamp"
                    },
                    EnabledTime: {
                      locationName: "enabledTime",
                      type: "timestamp"
                    },
                    DisablingTime: {
                      locationName: "disablingTime",
                      type: "timestamp"
                    },
                    DisabledTime: {
                      locationName: "disabledTime",
                      type: "timestamp"
                    }
                  }
                }
              },
              Unsuccessful: {
                locationName: "unsuccessful",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    SnapshotId: {
                      locationName: "snapshotId"
                    },
                    FastSnapshotRestoreStateErrors: {
                      locationName: "fastSnapshotRestoreStateErrorSet",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          AvailabilityZone: {
                            locationName: "availabilityZone"
                          },
                          Error: {
                            locationName: "error",
                            type: "structure",
                            members: {
                              Code: {
                                locationName: "code"
                              },
                              Message: {
                                locationName: "message"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        EnableImageDeprecation: {
          input: {
            type: "structure",
            required: [
              "ImageId",
              "DeprecateAt"
            ],
            members: {
              ImageId: {},
              DeprecateAt: {
                type: "timestamp"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        EnableIpamOrganizationAdminAccount: {
          input: {
            type: "structure",
            required: [
              "DelegatedAdminAccountId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              DelegatedAdminAccountId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Success: {
                locationName: "success",
                type: "boolean"
              }
            }
          }
        },
        EnableReachabilityAnalyzerOrganizationSharing: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReturnValue: {
                locationName: "returnValue",
                type: "boolean"
              }
            }
          }
        },
        EnableSerialConsoleAccess: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SerialConsoleAccessEnabled: {
                locationName: "serialConsoleAccessEnabled",
                type: "boolean"
              }
            }
          }
        },
        EnableTransitGatewayRouteTablePropagation: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayRouteTableId"
            ],
            members: {
              TransitGatewayRouteTableId: {},
              TransitGatewayAttachmentId: {},
              DryRun: {
                type: "boolean"
              },
              TransitGatewayRouteTableAnnouncementId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Propagation: {
                shape: "S1t7",
                locationName: "propagation"
              }
            }
          }
        },
        EnableVgwRoutePropagation: {
          input: {
            type: "structure",
            required: [
              "GatewayId",
              "RouteTableId"
            ],
            members: {
              GatewayId: {},
              RouteTableId: {},
              DryRun: {
                type: "boolean"
              }
            }
          }
        },
        EnableVolumeIO: {
          input: {
            type: "structure",
            required: [
              "VolumeId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              VolumeId: {
                locationName: "volumeId"
              }
            }
          }
        },
        EnableVpcClassicLink: {
          input: {
            type: "structure",
            required: [
              "VpcId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              VpcId: {
                locationName: "vpcId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        EnableVpcClassicLinkDnsSupport: {
          input: {
            type: "structure",
            members: {
              VpcId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ExportClientVpnClientCertificateRevocationList: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId"
            ],
            members: {
              ClientVpnEndpointId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CertificateRevocationList: {
                locationName: "certificateRevocationList"
              },
              Status: {
                locationName: "status",
                type: "structure",
                members: {
                  Code: {
                    locationName: "code"
                  },
                  Message: {
                    locationName: "message"
                  }
                }
              }
            }
          }
        },
        ExportClientVpnClientConfiguration: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId"
            ],
            members: {
              ClientVpnEndpointId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ClientConfiguration: {
                locationName: "clientConfiguration"
              }
            }
          }
        },
        ExportImage: {
          input: {
            type: "structure",
            required: [
              "DiskImageFormat",
              "ImageId",
              "S3ExportLocation"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              Description: {},
              DiskImageFormat: {},
              DryRun: {
                type: "boolean"
              },
              ImageId: {},
              S3ExportLocation: {
                type: "structure",
                required: [
                  "S3Bucket"
                ],
                members: {
                  S3Bucket: {},
                  S3Prefix: {}
                }
              },
              RoleName: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Description: {
                locationName: "description"
              },
              DiskImageFormat: {
                locationName: "diskImageFormat"
              },
              ExportImageTaskId: {
                locationName: "exportImageTaskId"
              },
              ImageId: {
                locationName: "imageId"
              },
              RoleName: {
                locationName: "roleName"
              },
              Progress: {
                locationName: "progress"
              },
              S3ExportLocation: {
                shape: "S13v",
                locationName: "s3ExportLocation"
              },
              Status: {
                locationName: "status"
              },
              StatusMessage: {
                locationName: "statusMessage"
              },
              Tags: {
                shape: "S6",
                locationName: "tagSet"
              }
            }
          }
        },
        ExportTransitGatewayRoutes: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayRouteTableId",
              "S3Bucket"
            ],
            members: {
              TransitGatewayRouteTableId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              S3Bucket: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              S3Location: {
                locationName: "s3Location"
              }
            }
          }
        },
        GetAssociatedEnclaveCertificateIamRoles: {
          input: {
            type: "structure",
            required: [
              "CertificateArn"
            ],
            members: {
              CertificateArn: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssociatedRoles: {
                locationName: "associatedRoleSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    AssociatedRoleArn: {
                      locationName: "associatedRoleArn"
                    },
                    CertificateS3BucketName: {
                      locationName: "certificateS3BucketName"
                    },
                    CertificateS3ObjectKey: {
                      locationName: "certificateS3ObjectKey"
                    },
                    EncryptionKmsKeyId: {
                      locationName: "encryptionKmsKeyId"
                    }
                  }
                }
              }
            }
          }
        },
        GetAssociatedIpv6PoolCidrs: {
          input: {
            type: "structure",
            required: [
              "PoolId"
            ],
            members: {
              PoolId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Ipv6CidrAssociations: {
                locationName: "ipv6CidrAssociationSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Ipv6Cidr: {
                      locationName: "ipv6Cidr"
                    },
                    AssociatedResource: {
                      locationName: "associatedResource"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetAwsNetworkPerformanceData: {
          input: {
            type: "structure",
            members: {
              DataQueries: {
                locationName: "DataQuery",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Source: {},
                    Destination: {},
                    Metric: {},
                    Statistic: {},
                    Period: {}
                  }
                }
              },
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataResponses: {
                locationName: "dataResponseSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Id: {
                      locationName: "id"
                    },
                    Source: {
                      locationName: "source"
                    },
                    Destination: {
                      locationName: "destination"
                    },
                    Metric: {
                      locationName: "metric"
                    },
                    Statistic: {
                      locationName: "statistic"
                    },
                    Period: {
                      locationName: "period"
                    },
                    MetricPoints: {
                      locationName: "metricPointSet",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          StartDate: {
                            locationName: "startDate",
                            type: "timestamp"
                          },
                          EndDate: {
                            locationName: "endDate",
                            type: "timestamp"
                          },
                          Value: {
                            locationName: "value",
                            type: "float"
                          },
                          Status: {
                            locationName: "status"
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetCapacityReservationUsage: {
          input: {
            type: "structure",
            required: [
              "CapacityReservationId"
            ],
            members: {
              CapacityReservationId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              CapacityReservationId: {
                locationName: "capacityReservationId"
              },
              InstanceType: {
                locationName: "instanceType"
              },
              TotalInstanceCount: {
                locationName: "totalInstanceCount",
                type: "integer"
              },
              AvailableInstanceCount: {
                locationName: "availableInstanceCount",
                type: "integer"
              },
              State: {
                locationName: "state"
              },
              InstanceUsages: {
                locationName: "instanceUsageSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    AccountId: {
                      locationName: "accountId"
                    },
                    UsedInstanceCount: {
                      locationName: "usedInstanceCount",
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        GetCoipPoolUsage: {
          input: {
            type: "structure",
            required: [
              "PoolId"
            ],
            members: {
              PoolId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoipPoolId: {
                locationName: "coipPoolId"
              },
              CoipAddressUsages: {
                locationName: "coipAddressUsageSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    AllocationId: {
                      locationName: "allocationId"
                    },
                    AwsAccountId: {
                      locationName: "awsAccountId"
                    },
                    AwsService: {
                      locationName: "awsService"
                    },
                    CoIp: {
                      locationName: "coIp"
                    }
                  }
                }
              },
              LocalGatewayRouteTableId: {
                locationName: "localGatewayRouteTableId"
              }
            }
          }
        },
        GetConsoleOutput: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              Latest: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceId: {
                locationName: "instanceId"
              },
              Output: {
                locationName: "output"
              },
              Timestamp: {
                locationName: "timestamp",
                type: "timestamp"
              }
            }
          }
        },
        GetConsoleScreenshot: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              InstanceId: {},
              WakeUp: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ImageData: {
                locationName: "imageData"
              },
              InstanceId: {
                locationName: "instanceId"
              }
            }
          }
        },
        GetDefaultCreditSpecification: {
          input: {
            type: "structure",
            required: [
              "InstanceFamily"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              InstanceFamily: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceFamilyCreditSpecification: {
                shape: "S1wh",
                locationName: "instanceFamilyCreditSpecification"
              }
            }
          }
        },
        GetEbsDefaultKmsKeyId: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KmsKeyId: {
                locationName: "kmsKeyId"
              }
            }
          }
        },
        GetEbsEncryptionByDefault: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EbsEncryptionByDefault: {
                locationName: "ebsEncryptionByDefault",
                type: "boolean"
              }
            }
          }
        },
        GetFlowLogsIntegrationTemplate: {
          input: {
            type: "structure",
            required: [
              "FlowLogId",
              "ConfigDeliveryS3DestinationArn",
              "IntegrateServices"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              FlowLogId: {},
              ConfigDeliveryS3DestinationArn: {},
              IntegrateServices: {
                locationName: "IntegrateService",
                type: "structure",
                members: {
                  AthenaIntegrations: {
                    locationName: "AthenaIntegration",
                    type: "list",
                    member: {
                      locationName: "item",
                      type: "structure",
                      required: [
                        "IntegrationResultS3DestinationArn",
                        "PartitionLoadFrequency"
                      ],
                      members: {
                        IntegrationResultS3DestinationArn: {},
                        PartitionLoadFrequency: {},
                        PartitionStartDate: {
                          type: "timestamp"
                        },
                        PartitionEndDate: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Result: {
                locationName: "result"
              }
            }
          }
        },
        GetGroupsForCapacityReservation: {
          input: {
            type: "structure",
            required: [
              "CapacityReservationId"
            ],
            members: {
              CapacityReservationId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              CapacityReservationGroups: {
                locationName: "capacityReservationGroupSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    GroupArn: {
                      locationName: "groupArn"
                    },
                    OwnerId: {
                      locationName: "ownerId"
                    }
                  }
                }
              }
            }
          }
        },
        GetHostReservationPurchasePreview: {
          input: {
            type: "structure",
            required: [
              "HostIdSet",
              "OfferingId"
            ],
            members: {
              HostIdSet: {
                shape: "S1wy"
              },
              OfferingId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CurrencyCode: {
                locationName: "currencyCode"
              },
              Purchase: {
                shape: "S1x0",
                locationName: "purchase"
              },
              TotalHourlyPrice: {
                locationName: "totalHourlyPrice"
              },
              TotalUpfrontPrice: {
                locationName: "totalUpfrontPrice"
              }
            }
          }
        },
        GetInstanceTypesFromInstanceRequirements: {
          input: {
            type: "structure",
            required: [
              "ArchitectureTypes",
              "VirtualizationTypes",
              "InstanceRequirements"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ArchitectureTypes: {
                shape: "S1x3",
                locationName: "ArchitectureType"
              },
              VirtualizationTypes: {
                shape: "S1x4",
                locationName: "VirtualizationType"
              },
              InstanceRequirements: {
                shape: "Scj"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceTypes: {
                locationName: "instanceTypeSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    InstanceType: {
                      locationName: "instanceType"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetInstanceUefiData: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceId: {
                locationName: "instanceId"
              },
              UefiData: {
                locationName: "uefiData"
              }
            }
          }
        },
        GetIpamAddressHistory: {
          input: {
            type: "structure",
            required: [
              "Cidr",
              "IpamScopeId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              Cidr: {},
              IpamScopeId: {},
              VpcId: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              HistoryRecords: {
                locationName: "historyRecordSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ResourceOwnerId: {
                      locationName: "resourceOwnerId"
                    },
                    ResourceRegion: {
                      locationName: "resourceRegion"
                    },
                    ResourceType: {
                      locationName: "resourceType"
                    },
                    ResourceId: {
                      locationName: "resourceId"
                    },
                    ResourceCidr: {
                      locationName: "resourceCidr"
                    },
                    ResourceName: {
                      locationName: "resourceName"
                    },
                    ResourceComplianceStatus: {
                      locationName: "resourceComplianceStatus"
                    },
                    ResourceOverlapStatus: {
                      locationName: "resourceOverlapStatus"
                    },
                    VpcId: {
                      locationName: "vpcId"
                    },
                    SampledStartTime: {
                      locationName: "sampledStartTime",
                      type: "timestamp"
                    },
                    SampledEndTime: {
                      locationName: "sampledEndTime",
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetIpamDiscoveredAccounts: {
          input: {
            type: "structure",
            required: [
              "IpamResourceDiscoveryId",
              "DiscoveryRegion"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamResourceDiscoveryId: {},
              DiscoveryRegion: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IpamDiscoveredAccounts: {
                locationName: "ipamDiscoveredAccountSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    AccountId: {
                      locationName: "accountId"
                    },
                    DiscoveryRegion: {
                      locationName: "discoveryRegion"
                    },
                    FailureReason: {
                      locationName: "failureReason",
                      type: "structure",
                      members: {
                        Code: {
                          locationName: "code"
                        },
                        Message: {
                          locationName: "message"
                        }
                      }
                    },
                    LastAttemptedDiscoveryTime: {
                      locationName: "lastAttemptedDiscoveryTime",
                      type: "timestamp"
                    },
                    LastSuccessfulDiscoveryTime: {
                      locationName: "lastSuccessfulDiscoveryTime",
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetIpamDiscoveredResourceCidrs: {
          input: {
            type: "structure",
            required: [
              "IpamResourceDiscoveryId",
              "ResourceRegion"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamResourceDiscoveryId: {},
              ResourceRegion: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IpamDiscoveredResourceCidrs: {
                locationName: "ipamDiscoveredResourceCidrSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    IpamResourceDiscoveryId: {
                      locationName: "ipamResourceDiscoveryId"
                    },
                    ResourceRegion: {
                      locationName: "resourceRegion"
                    },
                    ResourceId: {
                      locationName: "resourceId"
                    },
                    ResourceOwnerId: {
                      locationName: "resourceOwnerId"
                    },
                    ResourceCidr: {
                      locationName: "resourceCidr"
                    },
                    ResourceType: {
                      locationName: "resourceType"
                    },
                    ResourceTags: {
                      shape: "Sfv",
                      locationName: "resourceTagSet"
                    },
                    IpUsage: {
                      locationName: "ipUsage",
                      type: "double"
                    },
                    VpcId: {
                      locationName: "vpcId"
                    },
                    SampleTime: {
                      locationName: "sampleTime",
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetIpamPoolAllocations: {
          input: {
            type: "structure",
            required: [
              "IpamPoolId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamPoolId: {},
              IpamPoolAllocationId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IpamPoolAllocations: {
                locationName: "ipamPoolAllocationSet",
                type: "list",
                member: {
                  shape: "S2g",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetIpamPoolCidrs: {
          input: {
            type: "structure",
            required: [
              "IpamPoolId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamPoolId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IpamPoolCidrs: {
                locationName: "ipamPoolCidrSet",
                type: "list",
                member: {
                  shape: "Syk",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetIpamResourceCidrs: {
          input: {
            type: "structure",
            required: [
              "IpamScopeId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              IpamScopeId: {},
              IpamPoolId: {},
              ResourceId: {},
              ResourceType: {},
              ResourceTag: {
                shape: "Sfo"
              },
              ResourceOwner: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              IpamResourceCidrs: {
                locationName: "ipamResourceCidrSet",
                type: "list",
                member: {
                  shape: "S1y4",
                  locationName: "item"
                }
              }
            }
          }
        },
        GetLaunchTemplateData: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              InstanceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LaunchTemplateData: {
                shape: "Si1",
                locationName: "launchTemplateData"
              }
            }
          }
        },
        GetManagedPrefixListAssociations: {
          input: {
            type: "structure",
            required: [
              "PrefixListId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              PrefixListId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PrefixListAssociations: {
                locationName: "prefixListAssociationSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ResourceId: {
                      locationName: "resourceId"
                    },
                    ResourceOwner: {
                      locationName: "resourceOwner"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetManagedPrefixListEntries: {
          input: {
            type: "structure",
            required: [
              "PrefixListId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              PrefixListId: {},
              TargetVersion: {
                type: "long"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Entries: {
                locationName: "entrySet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Cidr: {
                      locationName: "cidr"
                    },
                    Description: {
                      locationName: "description"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetNetworkInsightsAccessScopeAnalysisFindings: {
          input: {
            type: "structure",
            required: [
              "NetworkInsightsAccessScopeAnalysisId"
            ],
            members: {
              NetworkInsightsAccessScopeAnalysisId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInsightsAccessScopeAnalysisId: {
                locationName: "networkInsightsAccessScopeAnalysisId"
              },
              AnalysisStatus: {
                locationName: "analysisStatus"
              },
              AnalysisFindings: {
                locationName: "analysisFindingSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    NetworkInsightsAccessScopeAnalysisId: {
                      locationName: "networkInsightsAccessScopeAnalysisId"
                    },
                    NetworkInsightsAccessScopeId: {
                      locationName: "networkInsightsAccessScopeId"
                    },
                    FindingId: {
                      locationName: "findingId"
                    },
                    FindingComponents: {
                      shape: "S1ge",
                      locationName: "findingComponentSet"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetNetworkInsightsAccessScopeContent: {
          input: {
            type: "structure",
            required: [
              "NetworkInsightsAccessScopeId"
            ],
            members: {
              NetworkInsightsAccessScopeId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInsightsAccessScopeContent: {
                shape: "Skl",
                locationName: "networkInsightsAccessScopeContent"
              }
            }
          }
        },
        GetPasswordData: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceId: {
                locationName: "instanceId"
              },
              PasswordData: {
                locationName: "passwordData"
              },
              Timestamp: {
                locationName: "timestamp",
                type: "timestamp"
              }
            }
          }
        },
        GetReservedInstancesExchangeQuote: {
          input: {
            type: "structure",
            required: [
              "ReservedInstanceIds"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ReservedInstanceIds: {
                shape: "Se",
                locationName: "ReservedInstanceId"
              },
              TargetConfigurations: {
                shape: "Sg",
                locationName: "TargetConfiguration"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CurrencyCode: {
                locationName: "currencyCode"
              },
              IsValidExchange: {
                locationName: "isValidExchange",
                type: "boolean"
              },
              OutputReservedInstancesWillExpireAt: {
                locationName: "outputReservedInstancesWillExpireAt",
                type: "timestamp"
              },
              PaymentDue: {
                locationName: "paymentDue"
              },
              ReservedInstanceValueRollup: {
                shape: "S1yr",
                locationName: "reservedInstanceValueRollup"
              },
              ReservedInstanceValueSet: {
                locationName: "reservedInstanceValueSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ReservationValue: {
                      shape: "S1yr",
                      locationName: "reservationValue"
                    },
                    ReservedInstanceId: {
                      locationName: "reservedInstanceId"
                    }
                  }
                }
              },
              TargetConfigurationValueRollup: {
                shape: "S1yr",
                locationName: "targetConfigurationValueRollup"
              },
              TargetConfigurationValueSet: {
                locationName: "targetConfigurationValueSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ReservationValue: {
                      shape: "S1yr",
                      locationName: "reservationValue"
                    },
                    TargetConfiguration: {
                      locationName: "targetConfiguration",
                      type: "structure",
                      members: {
                        InstanceCount: {
                          locationName: "instanceCount",
                          type: "integer"
                        },
                        OfferingId: {
                          locationName: "offeringId"
                        }
                      }
                    }
                  }
                }
              },
              ValidationFailureReason: {
                locationName: "validationFailureReason"
              }
            }
          }
        },
        GetSerialConsoleAccessStatus: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SerialConsoleAccessEnabled: {
                locationName: "serialConsoleAccessEnabled",
                type: "boolean"
              }
            }
          }
        },
        GetSpotPlacementScores: {
          input: {
            type: "structure",
            required: [
              "TargetCapacity"
            ],
            members: {
              InstanceTypes: {
                locationName: "InstanceType",
                type: "list",
                member: {}
              },
              TargetCapacity: {
                type: "integer"
              },
              TargetCapacityUnitType: {},
              SingleAvailabilityZone: {
                type: "boolean"
              },
              RegionNames: {
                locationName: "RegionName",
                type: "list",
                member: {}
              },
              InstanceRequirementsWithMetadata: {
                type: "structure",
                members: {
                  ArchitectureTypes: {
                    shape: "S1x3",
                    locationName: "ArchitectureType"
                  },
                  VirtualizationTypes: {
                    shape: "S1x4",
                    locationName: "VirtualizationType"
                  },
                  InstanceRequirements: {
                    shape: "Scj"
                  }
                }
              },
              DryRun: {
                type: "boolean"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SpotPlacementScores: {
                locationName: "spotPlacementScoreSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Region: {
                      locationName: "region"
                    },
                    AvailabilityZoneId: {
                      locationName: "availabilityZoneId"
                    },
                    Score: {
                      locationName: "score",
                      type: "integer"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetSubnetCidrReservations: {
          input: {
            type: "structure",
            required: [
              "SubnetId"
            ],
            members: {
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              SubnetId: {},
              DryRun: {
                type: "boolean"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SubnetIpv4CidrReservations: {
                shape: "S1zb",
                locationName: "subnetIpv4CidrReservationSet"
              },
              SubnetIpv6CidrReservations: {
                shape: "S1zb",
                locationName: "subnetIpv6CidrReservationSet"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetTransitGatewayAttachmentPropagations: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayAttachmentId"
            ],
            members: {
              TransitGatewayAttachmentId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayAttachmentPropagations: {
                locationName: "transitGatewayAttachmentPropagations",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    TransitGatewayRouteTableId: {
                      locationName: "transitGatewayRouteTableId"
                    },
                    State: {
                      locationName: "state"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetTransitGatewayMulticastDomainAssociations: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayMulticastDomainId"
            ],
            members: {
              TransitGatewayMulticastDomainId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MulticastDomainAssociations: {
                locationName: "multicastDomainAssociations",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    TransitGatewayAttachmentId: {
                      locationName: "transitGatewayAttachmentId"
                    },
                    ResourceId: {
                      locationName: "resourceId"
                    },
                    ResourceType: {
                      locationName: "resourceType"
                    },
                    ResourceOwnerId: {
                      locationName: "resourceOwnerId"
                    },
                    Subnet: {
                      shape: "St",
                      locationName: "subnet"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetTransitGatewayPolicyTableAssociations: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayPolicyTableId"
            ],
            members: {
              TransitGatewayPolicyTableId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Associations: {
                locationName: "associations",
                type: "list",
                member: {
                  shape: "S54",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetTransitGatewayPolicyTableEntries: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayPolicyTableId"
            ],
            members: {
              TransitGatewayPolicyTableId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayPolicyTableEntries: {
                locationName: "transitGatewayPolicyTableEntries",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    PolicyRuleNumber: {
                      locationName: "policyRuleNumber"
                    },
                    PolicyRule: {
                      locationName: "policyRule",
                      type: "structure",
                      members: {
                        SourceCidrBlock: {
                          locationName: "sourceCidrBlock"
                        },
                        SourcePortRange: {
                          locationName: "sourcePortRange"
                        },
                        DestinationCidrBlock: {
                          locationName: "destinationCidrBlock"
                        },
                        DestinationPortRange: {
                          locationName: "destinationPortRange"
                        },
                        Protocol: {
                          locationName: "protocol"
                        },
                        MetaData: {
                          locationName: "metaData",
                          type: "structure",
                          members: {
                            MetaDataKey: {
                              locationName: "metaDataKey"
                            },
                            MetaDataValue: {
                              locationName: "metaDataValue"
                            }
                          }
                        }
                      }
                    },
                    TargetRouteTableId: {
                      locationName: "targetRouteTableId"
                    }
                  }
                }
              }
            }
          }
        },
        GetTransitGatewayPrefixListReferences: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayRouteTableId"
            ],
            members: {
              TransitGatewayRouteTableId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayPrefixListReferences: {
                locationName: "transitGatewayPrefixListReferenceSet",
                type: "list",
                member: {
                  shape: "Spm",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetTransitGatewayRouteTableAssociations: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayRouteTableId"
            ],
            members: {
              TransitGatewayRouteTableId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Associations: {
                locationName: "associations",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    TransitGatewayAttachmentId: {
                      locationName: "transitGatewayAttachmentId"
                    },
                    ResourceId: {
                      locationName: "resourceId"
                    },
                    ResourceType: {
                      locationName: "resourceType"
                    },
                    State: {
                      locationName: "state"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetTransitGatewayRouteTablePropagations: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayRouteTableId"
            ],
            members: {
              TransitGatewayRouteTableId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayRouteTablePropagations: {
                locationName: "transitGatewayRouteTablePropagations",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    TransitGatewayAttachmentId: {
                      locationName: "transitGatewayAttachmentId"
                    },
                    ResourceId: {
                      locationName: "resourceId"
                    },
                    ResourceType: {
                      locationName: "resourceType"
                    },
                    State: {
                      locationName: "state"
                    },
                    TransitGatewayRouteTableAnnouncementId: {
                      locationName: "transitGatewayRouteTableAnnouncementId"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetVerifiedAccessEndpointPolicy: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessEndpointId"
            ],
            members: {
              VerifiedAccessEndpointId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyEnabled: {
                locationName: "policyEnabled",
                type: "boolean"
              },
              PolicyDocument: {
                locationName: "policyDocument"
              }
            }
          }
        },
        GetVerifiedAccessGroupPolicy: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessGroupId"
            ],
            members: {
              VerifiedAccessGroupId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyEnabled: {
                locationName: "policyEnabled",
                type: "boolean"
              },
              PolicyDocument: {
                locationName: "policyDocument"
              }
            }
          }
        },
        GetVpnConnectionDeviceSampleConfiguration: {
          input: {
            type: "structure",
            required: [
              "VpnConnectionId",
              "VpnConnectionDeviceTypeId"
            ],
            members: {
              VpnConnectionId: {},
              VpnConnectionDeviceTypeId: {},
              InternetKeyExchangeVersion: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpnConnectionDeviceSampleConfiguration: {
                locationName: "vpnConnectionDeviceSampleConfiguration",
                type: "string",
                sensitive: true
              }
            }
          }
        },
        GetVpnConnectionDeviceTypes: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpnConnectionDeviceTypes: {
                locationName: "vpnConnectionDeviceTypeSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    VpnConnectionDeviceTypeId: {
                      locationName: "vpnConnectionDeviceTypeId"
                    },
                    Vendor: {
                      locationName: "vendor"
                    },
                    Platform: {
                      locationName: "platform"
                    },
                    Software: {
                      locationName: "software"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetVpnTunnelReplacementStatus: {
          input: {
            type: "structure",
            required: [
              "VpnConnectionId",
              "VpnTunnelOutsideIpAddress"
            ],
            members: {
              VpnConnectionId: {},
              VpnTunnelOutsideIpAddress: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpnConnectionId: {
                locationName: "vpnConnectionId"
              },
              TransitGatewayId: {
                locationName: "transitGatewayId"
              },
              CustomerGatewayId: {
                locationName: "customerGatewayId"
              },
              VpnGatewayId: {
                locationName: "vpnGatewayId"
              },
              VpnTunnelOutsideIpAddress: {
                locationName: "vpnTunnelOutsideIpAddress"
              },
              MaintenanceDetails: {
                locationName: "maintenanceDetails",
                type: "structure",
                members: {
                  PendingMaintenance: {
                    locationName: "pendingMaintenance"
                  },
                  MaintenanceAutoAppliedAfter: {
                    locationName: "maintenanceAutoAppliedAfter",
                    type: "timestamp"
                  },
                  LastMaintenanceApplied: {
                    locationName: "lastMaintenanceApplied",
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        ImportClientVpnClientCertificateRevocationList: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId",
              "CertificateRevocationList"
            ],
            members: {
              ClientVpnEndpointId: {},
              CertificateRevocationList: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ImportImage: {
          input: {
            type: "structure",
            members: {
              Architecture: {},
              ClientData: {
                shape: "S20n"
              },
              ClientToken: {},
              Description: {},
              DiskContainers: {
                locationName: "DiskContainer",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Description: {},
                    DeviceName: {},
                    Format: {},
                    SnapshotId: {},
                    Url: {
                      shape: "S17v"
                    },
                    UserBucket: {
                      shape: "S20q"
                    }
                  }
                }
              },
              DryRun: {
                type: "boolean"
              },
              Encrypted: {
                type: "boolean"
              },
              Hypervisor: {},
              KmsKeyId: {},
              LicenseType: {},
              Platform: {},
              RoleName: {},
              LicenseSpecifications: {
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    LicenseConfigurationArn: {}
                  }
                }
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              UsageOperation: {},
              BootMode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Architecture: {
                locationName: "architecture"
              },
              Description: {
                locationName: "description"
              },
              Encrypted: {
                locationName: "encrypted",
                type: "boolean"
              },
              Hypervisor: {
                locationName: "hypervisor"
              },
              ImageId: {
                locationName: "imageId"
              },
              ImportTaskId: {
                locationName: "importTaskId"
              },
              KmsKeyId: {
                locationName: "kmsKeyId"
              },
              LicenseType: {
                locationName: "licenseType"
              },
              Platform: {
                locationName: "platform"
              },
              Progress: {
                locationName: "progress"
              },
              SnapshotDetails: {
                shape: "S17t",
                locationName: "snapshotDetailSet"
              },
              Status: {
                locationName: "status"
              },
              StatusMessage: {
                locationName: "statusMessage"
              },
              LicenseSpecifications: {
                shape: "S17x",
                locationName: "licenseSpecifications"
              },
              Tags: {
                shape: "S6",
                locationName: "tagSet"
              },
              UsageOperation: {
                locationName: "usageOperation"
              }
            }
          }
        },
        ImportInstance: {
          input: {
            type: "structure",
            required: [
              "Platform"
            ],
            members: {
              Description: {
                locationName: "description"
              },
              DiskImages: {
                locationName: "diskImage",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Description: {},
                    Image: {
                      shape: "S20x"
                    },
                    Volume: {
                      shape: "S20y"
                    }
                  }
                }
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              LaunchSpecification: {
                locationName: "launchSpecification",
                type: "structure",
                members: {
                  AdditionalInfo: {
                    locationName: "additionalInfo"
                  },
                  Architecture: {
                    locationName: "architecture"
                  },
                  GroupIds: {
                    shape: "Sgk",
                    locationName: "GroupId"
                  },
                  GroupNames: {
                    shape: "Sh5",
                    locationName: "GroupName"
                  },
                  InstanceInitiatedShutdownBehavior: {
                    locationName: "instanceInitiatedShutdownBehavior"
                  },
                  InstanceType: {
                    locationName: "instanceType"
                  },
                  Monitoring: {
                    locationName: "monitoring",
                    type: "boolean"
                  },
                  Placement: {
                    shape: "Scg",
                    locationName: "placement"
                  },
                  PrivateIpAddress: {
                    locationName: "privateIpAddress"
                  },
                  SubnetId: {
                    locationName: "subnetId"
                  },
                  UserData: {
                    locationName: "userData",
                    type: "structure",
                    members: {
                      Data: {
                        locationName: "data"
                      }
                    },
                    sensitive: true
                  }
                }
              },
              Platform: {
                locationName: "platform"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConversionTask: {
                shape: "S12r",
                locationName: "conversionTask"
              }
            }
          }
        },
        ImportKeyPair: {
          input: {
            type: "structure",
            required: [
              "KeyName",
              "PublicKeyMaterial"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              KeyName: {
                locationName: "keyName"
              },
              PublicKeyMaterial: {
                locationName: "publicKeyMaterial",
                type: "blob"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KeyFingerprint: {
                locationName: "keyFingerprint"
              },
              KeyName: {
                locationName: "keyName"
              },
              KeyPairId: {
                locationName: "keyPairId"
              },
              Tags: {
                shape: "S6",
                locationName: "tagSet"
              }
            }
          }
        },
        ImportSnapshot: {
          input: {
            type: "structure",
            members: {
              ClientData: {
                shape: "S20n"
              },
              ClientToken: {},
              Description: {},
              DiskContainer: {
                type: "structure",
                members: {
                  Description: {},
                  Format: {},
                  Url: {
                    shape: "S17v"
                  },
                  UserBucket: {
                    shape: "S20q"
                  }
                }
              },
              DryRun: {
                type: "boolean"
              },
              Encrypted: {
                type: "boolean"
              },
              KmsKeyId: {},
              RoleName: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Description: {
                locationName: "description"
              },
              ImportTaskId: {
                locationName: "importTaskId"
              },
              SnapshotTaskDetail: {
                shape: "S185",
                locationName: "snapshotTaskDetail"
              },
              Tags: {
                shape: "S6",
                locationName: "tagSet"
              }
            }
          }
        },
        ImportVolume: {
          input: {
            type: "structure",
            required: [
              "AvailabilityZone",
              "Image",
              "Volume"
            ],
            members: {
              AvailabilityZone: {
                locationName: "availabilityZone"
              },
              Description: {
                locationName: "description"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              Image: {
                shape: "S20x",
                locationName: "image"
              },
              Volume: {
                shape: "S20y",
                locationName: "volume"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConversionTask: {
                shape: "S12r",
                locationName: "conversionTask"
              }
            }
          }
        },
        ListImagesInRecycleBin: {
          input: {
            type: "structure",
            members: {
              ImageIds: {
                shape: "S17a",
                locationName: "ImageId"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Images: {
                locationName: "imageSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ImageId: {
                      locationName: "imageId"
                    },
                    Name: {
                      locationName: "name"
                    },
                    Description: {
                      locationName: "description"
                    },
                    RecycleBinEnterTime: {
                      locationName: "recycleBinEnterTime",
                      type: "timestamp"
                    },
                    RecycleBinExitTime: {
                      locationName: "recycleBinExitTime",
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListSnapshotsInRecycleBin: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              SnapshotIds: {
                shape: "S1l2",
                locationName: "SnapshotId"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Snapshots: {
                locationName: "snapshotSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    SnapshotId: {
                      locationName: "snapshotId"
                    },
                    RecycleBinEnterTime: {
                      locationName: "recycleBinEnterTime",
                      type: "timestamp"
                    },
                    RecycleBinExitTime: {
                      locationName: "recycleBinExitTime",
                      type: "timestamp"
                    },
                    Description: {
                      locationName: "description"
                    },
                    VolumeId: {
                      locationName: "volumeId"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ModifyAddressAttribute: {
          input: {
            type: "structure",
            required: [
              "AllocationId"
            ],
            members: {
              AllocationId: {},
              DomainName: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Address: {
                shape: "Szv",
                locationName: "address"
              }
            }
          }
        },
        ModifyAvailabilityZoneGroup: {
          input: {
            type: "structure",
            required: [
              "GroupName",
              "OptInStatus"
            ],
            members: {
              GroupName: {},
              OptInStatus: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ModifyCapacityReservation: {
          input: {
            type: "structure",
            required: [
              "CapacityReservationId"
            ],
            members: {
              CapacityReservationId: {},
              InstanceCount: {
                type: "integer"
              },
              EndDate: {
                type: "timestamp"
              },
              EndDateType: {},
              Accept: {
                type: "boolean"
              },
              DryRun: {
                type: "boolean"
              },
              AdditionalInfo: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ModifyCapacityReservationFleet: {
          input: {
            type: "structure",
            required: [
              "CapacityReservationFleetId"
            ],
            members: {
              CapacityReservationFleetId: {},
              TotalTargetCapacity: {
                type: "integer"
              },
              EndDate: {
                type: "timestamp"
              },
              DryRun: {
                type: "boolean"
              },
              RemoveEndDate: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ModifyClientVpnEndpoint: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId"
            ],
            members: {
              ClientVpnEndpointId: {},
              ServerCertificateArn: {},
              ConnectionLogOptions: {
                shape: "Saf"
              },
              DnsServers: {
                type: "structure",
                members: {
                  CustomDnsServers: {
                    shape: "So"
                  },
                  Enabled: {
                    type: "boolean"
                  }
                }
              },
              VpnPort: {
                type: "integer"
              },
              Description: {},
              SplitTunnel: {
                type: "boolean"
              },
              DryRun: {
                type: "boolean"
              },
              SecurityGroupIds: {
                shape: "S2m",
                locationName: "SecurityGroupId"
              },
              VpcId: {},
              SelfServicePortal: {},
              ClientConnectOptions: {
                shape: "Sai"
              },
              SessionTimeoutHours: {
                type: "integer"
              },
              ClientLoginBannerOptions: {
                shape: "Saj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ModifyDefaultCreditSpecification: {
          input: {
            type: "structure",
            required: [
              "InstanceFamily",
              "CpuCredits"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              InstanceFamily: {},
              CpuCredits: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceFamilyCreditSpecification: {
                shape: "S1wh",
                locationName: "instanceFamilyCreditSpecification"
              }
            }
          }
        },
        ModifyEbsDefaultKmsKeyId: {
          input: {
            type: "structure",
            required: [
              "KmsKeyId"
            ],
            members: {
              KmsKeyId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KmsKeyId: {
                locationName: "kmsKeyId"
              }
            }
          }
        },
        ModifyFleet: {
          input: {
            type: "structure",
            required: [
              "FleetId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ExcessCapacityTerminationPolicy: {},
              LaunchTemplateConfigs: {
                shape: "Sc9",
                locationName: "LaunchTemplateConfig"
              },
              FleetId: {},
              TargetCapacitySpecification: {
                shape: "Sdc"
              },
              Context: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ModifyFpgaImageAttribute: {
          input: {
            type: "structure",
            required: [
              "FpgaImageId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              FpgaImageId: {},
              Attribute: {},
              OperationType: {},
              UserIds: {
                shape: "S223",
                locationName: "UserId"
              },
              UserGroups: {
                shape: "S224",
                locationName: "UserGroup"
              },
              ProductCodes: {
                shape: "S225",
                locationName: "ProductCode"
              },
              LoadPermission: {
                type: "structure",
                members: {
                  Add: {
                    shape: "S227"
                  },
                  Remove: {
                    shape: "S227"
                  }
                }
              },
              Description: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FpgaImageAttribute: {
                shape: "S15i",
                locationName: "fpgaImageAttribute"
              }
            }
          }
        },
        ModifyHosts: {
          input: {
            type: "structure",
            required: [
              "HostIds"
            ],
            members: {
              AutoPlacement: {
                locationName: "autoPlacement"
              },
              HostIds: {
                shape: "S16g",
                locationName: "hostId"
              },
              HostRecovery: {},
              InstanceType: {},
              InstanceFamily: {},
              HostMaintenance: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Successful: {
                shape: "S2b",
                locationName: "successful"
              },
              Unsuccessful: {
                shape: "S22c",
                locationName: "unsuccessful"
              }
            }
          }
        },
        ModifyIdFormat: {
          input: {
            type: "structure",
            required: [
              "Resource",
              "UseLongIds"
            ],
            members: {
              Resource: {},
              UseLongIds: {
                type: "boolean"
              }
            }
          }
        },
        ModifyIdentityIdFormat: {
          input: {
            type: "structure",
            required: [
              "PrincipalArn",
              "Resource",
              "UseLongIds"
            ],
            members: {
              PrincipalArn: {
                locationName: "principalArn"
              },
              Resource: {
                locationName: "resource"
              },
              UseLongIds: {
                locationName: "useLongIds",
                type: "boolean"
              }
            }
          }
        },
        ModifyImageAttribute: {
          input: {
            type: "structure",
            required: [
              "ImageId"
            ],
            members: {
              Attribute: {},
              Description: {
                shape: "Sbq"
              },
              ImageId: {},
              LaunchPermission: {
                type: "structure",
                members: {
                  Add: {
                    shape: "S176"
                  },
                  Remove: {
                    shape: "S176"
                  }
                }
              },
              OperationType: {},
              ProductCodes: {
                shape: "S225",
                locationName: "ProductCode"
              },
              UserGroups: {
                shape: "S224",
                locationName: "UserGroup"
              },
              UserIds: {
                shape: "S223",
                locationName: "UserId"
              },
              Value: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              OrganizationArns: {
                locationName: "OrganizationArn",
                type: "list",
                member: {
                  locationName: "OrganizationArn"
                }
              },
              OrganizationalUnitArns: {
                locationName: "OrganizationalUnitArn",
                type: "list",
                member: {
                  locationName: "OrganizationalUnitArn"
                }
              },
              ImdsSupport: {
                shape: "Sbq"
              }
            }
          }
        },
        ModifyInstanceAttribute: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              SourceDestCheck: {
                shape: "S18c"
              },
              Attribute: {
                locationName: "attribute"
              },
              BlockDeviceMappings: {
                locationName: "blockDeviceMapping",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    DeviceName: {
                      locationName: "deviceName"
                    },
                    Ebs: {
                      locationName: "ebs",
                      type: "structure",
                      members: {
                        DeleteOnTermination: {
                          locationName: "deleteOnTermination",
                          type: "boolean"
                        },
                        VolumeId: {
                          locationName: "volumeId"
                        }
                      }
                    },
                    NoDevice: {
                      locationName: "noDevice"
                    },
                    VirtualName: {
                      locationName: "virtualName"
                    }
                  }
                }
              },
              DisableApiTermination: {
                shape: "S18c",
                locationName: "disableApiTermination"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              EbsOptimized: {
                shape: "S18c",
                locationName: "ebsOptimized"
              },
              EnaSupport: {
                shape: "S18c",
                locationName: "enaSupport"
              },
              Groups: {
                shape: "S5o",
                locationName: "GroupId"
              },
              InstanceId: {
                locationName: "instanceId"
              },
              InstanceInitiatedShutdownBehavior: {
                shape: "Sbq",
                locationName: "instanceInitiatedShutdownBehavior"
              },
              InstanceType: {
                shape: "Sbq",
                locationName: "instanceType"
              },
              Kernel: {
                shape: "Sbq",
                locationName: "kernel"
              },
              Ramdisk: {
                shape: "Sbq",
                locationName: "ramdisk"
              },
              SriovNetSupport: {
                shape: "Sbq",
                locationName: "sriovNetSupport"
              },
              UserData: {
                locationName: "userData",
                type: "structure",
                members: {
                  Value: {
                    locationName: "value",
                    type: "blob"
                  }
                }
              },
              Value: {
                locationName: "value"
              },
              DisableApiStop: {
                shape: "S18c"
              }
            }
          }
        },
        ModifyInstanceCapacityReservationAttributes: {
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "CapacityReservationSpecification"
            ],
            members: {
              InstanceId: {},
              CapacityReservationSpecification: {
                shape: "S22p"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ModifyInstanceCreditSpecification: {
          input: {
            type: "structure",
            required: [
              "InstanceCreditSpecifications"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ClientToken: {},
              InstanceCreditSpecifications: {
                locationName: "InstanceCreditSpecification",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  required: [
                    "InstanceId"
                  ],
                  members: {
                    InstanceId: {},
                    CpuCredits: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SuccessfulInstanceCreditSpecifications: {
                locationName: "successfulInstanceCreditSpecificationSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    InstanceId: {
                      locationName: "instanceId"
                    }
                  }
                }
              },
              UnsuccessfulInstanceCreditSpecifications: {
                locationName: "unsuccessfulInstanceCreditSpecificationSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    InstanceId: {
                      locationName: "instanceId"
                    },
                    Error: {
                      locationName: "error",
                      type: "structure",
                      members: {
                        Code: {
                          locationName: "code"
                        },
                        Message: {
                          locationName: "message"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ModifyInstanceEventStartTime: {
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "InstanceEventId",
              "NotBefore"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              InstanceId: {},
              InstanceEventId: {},
              NotBefore: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Event: {
                shape: "S18z",
                locationName: "event"
              }
            }
          }
        },
        ModifyInstanceEventWindow: {
          input: {
            type: "structure",
            required: [
              "InstanceEventWindowId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              Name: {},
              InstanceEventWindowId: {},
              TimeRanges: {
                shape: "Sev",
                locationName: "TimeRange"
              },
              CronExpression: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceEventWindow: {
                shape: "S42",
                locationName: "instanceEventWindow"
              }
            }
          }
        },
        ModifyInstanceMaintenanceOptions: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              AutoRecovery: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceId: {
                locationName: "instanceId"
              },
              AutoRecovery: {
                locationName: "autoRecovery"
              }
            }
          }
        },
        ModifyInstanceMetadataOptions: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              HttpTokens: {},
              HttpPutResponseHopLimit: {
                type: "integer"
              },
              HttpEndpoint: {},
              DryRun: {
                type: "boolean"
              },
              HttpProtocolIpv6: {},
              InstanceMetadataTags: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceId: {
                locationName: "instanceId"
              },
              InstanceMetadataOptions: {
                shape: "S1d1",
                locationName: "instanceMetadataOptions"
              }
            }
          }
        },
        ModifyInstancePlacement: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              Affinity: {
                locationName: "affinity"
              },
              GroupName: {},
              HostId: {
                locationName: "hostId"
              },
              InstanceId: {
                locationName: "instanceId"
              },
              Tenancy: {
                locationName: "tenancy"
              },
              PartitionNumber: {
                type: "integer"
              },
              HostResourceGroupArn: {},
              GroupId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ModifyIpam: {
          input: {
            type: "structure",
            required: [
              "IpamId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamId: {},
              Description: {},
              AddOperatingRegions: {
                shape: "Sfc",
                locationName: "AddOperatingRegion"
              },
              RemoveOperatingRegions: {
                shape: "S23e",
                locationName: "RemoveOperatingRegion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Ipam: {
                shape: "Sff",
                locationName: "ipam"
              }
            }
          }
        },
        ModifyIpamPool: {
          input: {
            type: "structure",
            required: [
              "IpamPoolId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamPoolId: {},
              Description: {},
              AutoImport: {
                type: "boolean"
              },
              AllocationMinNetmaskLength: {
                type: "integer"
              },
              AllocationMaxNetmaskLength: {
                type: "integer"
              },
              AllocationDefaultNetmaskLength: {
                type: "integer"
              },
              ClearAllocationDefaultNetmaskLength: {
                type: "boolean"
              },
              AddAllocationResourceTags: {
                shape: "Sfn",
                locationName: "AddAllocationResourceTag"
              },
              RemoveAllocationResourceTags: {
                shape: "Sfn",
                locationName: "RemoveAllocationResourceTag"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IpamPool: {
                shape: "Sfs",
                locationName: "ipamPool"
              }
            }
          }
        },
        ModifyIpamResourceCidr: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "ResourceCidr",
              "ResourceRegion",
              "CurrentIpamScopeId",
              "Monitored"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ResourceId: {},
              ResourceCidr: {},
              ResourceRegion: {},
              CurrentIpamScopeId: {},
              DestinationIpamScopeId: {},
              Monitored: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IpamResourceCidr: {
                shape: "S1y4",
                locationName: "ipamResourceCidr"
              }
            }
          }
        },
        ModifyIpamResourceDiscovery: {
          input: {
            type: "structure",
            required: [
              "IpamResourceDiscoveryId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamResourceDiscoveryId: {},
              Description: {},
              AddOperatingRegions: {
                shape: "Sfc",
                locationName: "AddOperatingRegion"
              },
              RemoveOperatingRegions: {
                shape: "S23e",
                locationName: "RemoveOperatingRegion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IpamResourceDiscovery: {
                shape: "Sfz",
                locationName: "ipamResourceDiscovery"
              }
            }
          }
        },
        ModifyIpamScope: {
          input: {
            type: "structure",
            required: [
              "IpamScopeId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamScopeId: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IpamScope: {
                shape: "Sg3",
                locationName: "ipamScope"
              }
            }
          }
        },
        ModifyLaunchTemplate: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              ClientToken: {},
              LaunchTemplateId: {},
              LaunchTemplateName: {},
              DefaultVersion: {
                locationName: "SetDefaultVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LaunchTemplate: {
                shape: "Shu",
                locationName: "launchTemplate"
              }
            }
          }
        },
        ModifyLocalGatewayRoute: {
          input: {
            type: "structure",
            required: [
              "LocalGatewayRouteTableId"
            ],
            members: {
              DestinationCidrBlock: {},
              LocalGatewayRouteTableId: {},
              LocalGatewayVirtualInterfaceGroupId: {},
              NetworkInterfaceId: {},
              DryRun: {
                type: "boolean"
              },
              DestinationPrefixListId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Route: {
                shape: "Sj3",
                locationName: "route"
              }
            }
          }
        },
        ModifyManagedPrefixList: {
          input: {
            type: "structure",
            required: [
              "PrefixListId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              PrefixListId: {},
              CurrentVersion: {
                type: "long"
              },
              PrefixListName: {},
              AddEntries: {
                shape: "Sjl",
                locationName: "AddEntry"
              },
              RemoveEntries: {
                locationName: "RemoveEntry",
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Cidr"
                  ],
                  members: {
                    Cidr: {}
                  }
                }
              },
              MaxEntries: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PrefixList: {
                shape: "Sjo",
                locationName: "prefixList"
              }
            }
          }
        },
        ModifyNetworkInterfaceAttribute: {
          input: {
            type: "structure",
            required: [
              "NetworkInterfaceId"
            ],
            members: {
              Attachment: {
                locationName: "attachment",
                type: "structure",
                members: {
                  AttachmentId: {
                    locationName: "attachmentId"
                  },
                  DeleteOnTermination: {
                    locationName: "deleteOnTermination",
                    type: "boolean"
                  }
                }
              },
              Description: {
                shape: "Sbq",
                locationName: "description"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              Groups: {
                shape: "Sgk",
                locationName: "SecurityGroupId"
              },
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              },
              SourceDestCheck: {
                shape: "S18c",
                locationName: "sourceDestCheck"
              },
              EnaSrdSpecification: {
                shape: "S5t"
              }
            }
          }
        },
        ModifyPrivateDnsNameOptions: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              InstanceId: {},
              PrivateDnsHostnameType: {},
              EnableResourceNameDnsARecord: {
                type: "boolean"
              },
              EnableResourceNameDnsAAAARecord: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ModifyReservedInstances: {
          input: {
            type: "structure",
            required: [
              "ReservedInstancesIds",
              "TargetConfigurations"
            ],
            members: {
              ReservedInstancesIds: {
                shape: "S1is",
                locationName: "ReservedInstancesId"
              },
              ClientToken: {
                locationName: "clientToken"
              },
              TargetConfigurations: {
                locationName: "ReservedInstancesConfigurationSetItemType",
                type: "list",
                member: {
                  shape: "S1je",
                  locationName: "item"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReservedInstancesModificationId: {
                locationName: "reservedInstancesModificationId"
              }
            }
          }
        },
        ModifySecurityGroupRules: {
          input: {
            type: "structure",
            required: [
              "GroupId",
              "SecurityGroupRules"
            ],
            members: {
              GroupId: {},
              SecurityGroupRules: {
                locationName: "SecurityGroupRule",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  required: [
                    "SecurityGroupRuleId"
                  ],
                  members: {
                    SecurityGroupRuleId: {},
                    SecurityGroupRule: {
                      type: "structure",
                      members: {
                        IpProtocol: {},
                        FromPort: {
                          type: "integer"
                        },
                        ToPort: {
                          type: "integer"
                        },
                        CidrIpv4: {},
                        CidrIpv6: {},
                        PrefixListId: {},
                        ReferencedGroupId: {},
                        Description: {}
                      }
                    }
                  }
                }
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ModifySnapshotAttribute: {
          input: {
            type: "structure",
            required: [
              "SnapshotId"
            ],
            members: {
              Attribute: {},
              CreateVolumePermission: {
                type: "structure",
                members: {
                  Add: {
                    shape: "S1ks"
                  },
                  Remove: {
                    shape: "S1ks"
                  }
                }
              },
              GroupNames: {
                shape: "S1kk",
                locationName: "UserGroup"
              },
              OperationType: {},
              SnapshotId: {},
              UserIds: {
                shape: "S223",
                locationName: "UserId"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        ModifySnapshotTier: {
          input: {
            type: "structure",
            required: [
              "SnapshotId"
            ],
            members: {
              SnapshotId: {},
              StorageTier: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SnapshotId: {
                locationName: "snapshotId"
              },
              TieringStartTime: {
                locationName: "tieringStartTime",
                type: "timestamp"
              }
            }
          }
        },
        ModifySpotFleetRequest: {
          input: {
            type: "structure",
            required: [
              "SpotFleetRequestId"
            ],
            members: {
              ExcessCapacityTerminationPolicy: {
                locationName: "excessCapacityTerminationPolicy"
              },
              LaunchTemplateConfigs: {
                shape: "S1m0",
                locationName: "LaunchTemplateConfig"
              },
              SpotFleetRequestId: {
                locationName: "spotFleetRequestId"
              },
              TargetCapacity: {
                locationName: "targetCapacity",
                type: "integer"
              },
              OnDemandTargetCapacity: {
                type: "integer"
              },
              Context: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ModifySubnetAttribute: {
          input: {
            type: "structure",
            required: [
              "SubnetId"
            ],
            members: {
              AssignIpv6AddressOnCreation: {
                shape: "S18c"
              },
              MapPublicIpOnLaunch: {
                shape: "S18c"
              },
              SubnetId: {
                locationName: "subnetId"
              },
              MapCustomerOwnedIpOnLaunch: {
                shape: "S18c"
              },
              CustomerOwnedIpv4Pool: {},
              EnableDns64: {
                shape: "S18c"
              },
              PrivateDnsHostnameTypeOnLaunch: {},
              EnableResourceNameDnsARecordOnLaunch: {
                shape: "S18c"
              },
              EnableResourceNameDnsAAAARecordOnLaunch: {
                shape: "S18c"
              },
              EnableLniAtDeviceIndex: {
                type: "integer"
              },
              DisableLniAtDeviceIndex: {
                shape: "S18c"
              }
            }
          }
        },
        ModifyTrafficMirrorFilterNetworkServices: {
          input: {
            type: "structure",
            required: [
              "TrafficMirrorFilterId"
            ],
            members: {
              TrafficMirrorFilterId: {},
              AddNetworkServices: {
                shape: "Snw",
                locationName: "AddNetworkService"
              },
              RemoveNetworkServices: {
                shape: "Snw",
                locationName: "RemoveNetworkService"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrafficMirrorFilter: {
                shape: "Snq",
                locationName: "trafficMirrorFilter"
              }
            }
          }
        },
        ModifyTrafficMirrorFilterRule: {
          input: {
            type: "structure",
            required: [
              "TrafficMirrorFilterRuleId"
            ],
            members: {
              TrafficMirrorFilterRuleId: {},
              TrafficDirection: {},
              RuleNumber: {
                type: "integer"
              },
              RuleAction: {},
              DestinationPortRange: {
                shape: "So0"
              },
              SourcePortRange: {
                shape: "So0"
              },
              Protocol: {
                type: "integer"
              },
              DestinationCidrBlock: {},
              SourceCidrBlock: {},
              Description: {},
              RemoveFields: {
                locationName: "RemoveField",
                type: "list",
                member: {}
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrafficMirrorFilterRule: {
                shape: "Sns",
                locationName: "trafficMirrorFilterRule"
              }
            }
          }
        },
        ModifyTrafficMirrorSession: {
          input: {
            type: "structure",
            required: [
              "TrafficMirrorSessionId"
            ],
            members: {
              TrafficMirrorSessionId: {},
              TrafficMirrorTargetId: {},
              TrafficMirrorFilterId: {},
              PacketLength: {
                type: "integer"
              },
              SessionNumber: {
                type: "integer"
              },
              VirtualNetworkId: {
                type: "integer"
              },
              Description: {},
              RemoveFields: {
                locationName: "RemoveField",
                type: "list",
                member: {}
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrafficMirrorSession: {
                shape: "So5",
                locationName: "trafficMirrorSession"
              }
            }
          }
        },
        ModifyTransitGateway: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayId"
            ],
            members: {
              TransitGatewayId: {},
              Description: {},
              Options: {
                type: "structure",
                members: {
                  AddTransitGatewayCidrBlocks: {
                    shape: "Soh"
                  },
                  RemoveTransitGatewayCidrBlocks: {
                    shape: "Soh"
                  },
                  VpnEcmpSupport: {},
                  DnsSupport: {},
                  AutoAcceptSharedAttachments: {},
                  DefaultRouteTableAssociation: {},
                  AssociationDefaultRouteTableId: {},
                  DefaultRouteTablePropagation: {},
                  PropagationDefaultRouteTableId: {},
                  AmazonSideAsn: {
                    type: "long"
                  }
                }
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGateway: {
                shape: "Soj",
                locationName: "transitGateway"
              }
            }
          }
        },
        ModifyTransitGatewayPrefixListReference: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayRouteTableId",
              "PrefixListId"
            ],
            members: {
              TransitGatewayRouteTableId: {},
              PrefixListId: {},
              TransitGatewayAttachmentId: {},
              Blackhole: {
                type: "boolean"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayPrefixListReference: {
                shape: "Spm",
                locationName: "transitGatewayPrefixListReference"
              }
            }
          }
        },
        ModifyTransitGatewayVpcAttachment: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayAttachmentId"
            ],
            members: {
              TransitGatewayAttachmentId: {},
              AddSubnetIds: {
                shape: "S4z"
              },
              RemoveSubnetIds: {
                shape: "S4z"
              },
              Options: {
                type: "structure",
                members: {
                  DnsSupport: {},
                  Ipv6Support: {},
                  ApplianceModeSupport: {}
                }
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayVpcAttachment: {
                shape: "S16",
                locationName: "transitGatewayVpcAttachment"
              }
            }
          }
        },
        ModifyVerifiedAccessEndpoint: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessEndpointId"
            ],
            members: {
              VerifiedAccessEndpointId: {},
              VerifiedAccessGroupId: {},
              LoadBalancerOptions: {
                type: "structure",
                members: {
                  SubnetIds: {
                    locationName: "SubnetId",
                    type: "list",
                    member: {
                      locationName: "item"
                    }
                  },
                  Protocol: {},
                  Port: {
                    type: "integer"
                  }
                }
              },
              NetworkInterfaceOptions: {
                type: "structure",
                members: {
                  Protocol: {},
                  Port: {
                    type: "integer"
                  }
                }
              },
              Description: {},
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessEndpoint: {
                shape: "Sqm",
                locationName: "verifiedAccessEndpoint"
              }
            }
          }
        },
        ModifyVerifiedAccessEndpointPolicy: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessEndpointId",
              "PolicyEnabled"
            ],
            members: {
              VerifiedAccessEndpointId: {},
              PolicyEnabled: {
                type: "boolean"
              },
              PolicyDocument: {},
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyEnabled: {
                locationName: "policyEnabled",
                type: "boolean"
              },
              PolicyDocument: {
                locationName: "policyDocument"
              }
            }
          }
        },
        ModifyVerifiedAccessGroup: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessGroupId"
            ],
            members: {
              VerifiedAccessGroupId: {},
              VerifiedAccessInstanceId: {},
              Description: {},
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessGroup: {
                shape: "Squ",
                locationName: "verifiedAccessGroup"
              }
            }
          }
        },
        ModifyVerifiedAccessGroupPolicy: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessGroupId",
              "PolicyEnabled"
            ],
            members: {
              VerifiedAccessGroupId: {},
              PolicyEnabled: {
                type: "boolean"
              },
              PolicyDocument: {},
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyEnabled: {
                locationName: "policyEnabled",
                type: "boolean"
              },
              PolicyDocument: {
                locationName: "policyDocument"
              }
            }
          }
        },
        ModifyVerifiedAccessInstance: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessInstanceId"
            ],
            members: {
              VerifiedAccessInstanceId: {},
              Description: {},
              DryRun: {
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessInstance: {
                shape: "S67",
                locationName: "verifiedAccessInstance"
              }
            }
          }
        },
        ModifyVerifiedAccessInstanceLoggingConfiguration: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessInstanceId",
              "AccessLogs"
            ],
            members: {
              VerifiedAccessInstanceId: {},
              AccessLogs: {
                type: "structure",
                members: {
                  S3: {
                    type: "structure",
                    required: [
                      "Enabled"
                    ],
                    members: {
                      Enabled: {
                        type: "boolean"
                      },
                      BucketName: {},
                      Prefix: {},
                      BucketOwner: {}
                    }
                  },
                  CloudWatchLogs: {
                    type: "structure",
                    required: [
                      "Enabled"
                    ],
                    members: {
                      Enabled: {
                        type: "boolean"
                      },
                      LogGroup: {}
                    }
                  },
                  KinesisDataFirehose: {
                    type: "structure",
                    required: [
                      "Enabled"
                    ],
                    members: {
                      Enabled: {
                        type: "boolean"
                      },
                      DeliveryStream: {}
                    }
                  },
                  LogVersion: {},
                  IncludeTrustContext: {
                    type: "boolean"
                  }
                }
              },
              DryRun: {
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LoggingConfiguration: {
                shape: "S1pg",
                locationName: "loggingConfiguration"
              }
            }
          }
        },
        ModifyVerifiedAccessTrustProvider: {
          input: {
            type: "structure",
            required: [
              "VerifiedAccessTrustProviderId"
            ],
            members: {
              VerifiedAccessTrustProviderId: {},
              OidcOptions: {
                type: "structure",
                members: {
                  Issuer: {},
                  AuthorizationEndpoint: {},
                  TokenEndpoint: {},
                  UserInfoEndpoint: {},
                  ClientId: {},
                  ClientSecret: {
                    shape: "S65"
                  },
                  Scope: {}
                }
              },
              Description: {},
              DryRun: {
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VerifiedAccessTrustProvider: {
                shape: "S60",
                locationName: "verifiedAccessTrustProvider"
              }
            }
          }
        },
        ModifyVolume: {
          input: {
            type: "structure",
            required: [
              "VolumeId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              VolumeId: {},
              Size: {
                type: "integer"
              },
              VolumeType: {},
              Iops: {
                type: "integer"
              },
              Throughput: {
                type: "integer"
              },
              MultiAttachEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VolumeModification: {
                shape: "S1qk",
                locationName: "volumeModification"
              }
            }
          }
        },
        ModifyVolumeAttribute: {
          input: {
            type: "structure",
            required: [
              "VolumeId"
            ],
            members: {
              AutoEnableIO: {
                shape: "S18c"
              },
              VolumeId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        ModifyVpcAttribute: {
          input: {
            type: "structure",
            required: [
              "VpcId"
            ],
            members: {
              EnableDnsHostnames: {
                shape: "S18c"
              },
              EnableDnsSupport: {
                shape: "S18c"
              },
              VpcId: {
                locationName: "vpcId"
              },
              EnableNetworkAddressUsageMetrics: {
                shape: "S18c"
              }
            }
          }
        },
        ModifyVpcEndpoint: {
          input: {
            type: "structure",
            required: [
              "VpcEndpointId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              VpcEndpointId: {},
              ResetPolicy: {
                type: "boolean"
              },
              PolicyDocument: {},
              AddRouteTableIds: {
                shape: "Sr9",
                locationName: "AddRouteTableId"
              },
              RemoveRouteTableIds: {
                shape: "Sr9",
                locationName: "RemoveRouteTableId"
              },
              AddSubnetIds: {
                shape: "Sra",
                locationName: "AddSubnetId"
              },
              RemoveSubnetIds: {
                shape: "Sra",
                locationName: "RemoveSubnetId"
              },
              AddSecurityGroupIds: {
                shape: "Srb",
                locationName: "AddSecurityGroupId"
              },
              RemoveSecurityGroupIds: {
                shape: "Srb",
                locationName: "RemoveSecurityGroupId"
              },
              IpAddressType: {},
              DnsOptions: {
                shape: "Srd"
              },
              PrivateDnsEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ModifyVpcEndpointConnectionNotification: {
          input: {
            type: "structure",
            required: [
              "ConnectionNotificationId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ConnectionNotificationId: {},
              ConnectionNotificationArn: {},
              ConnectionEvents: {
                shape: "So"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReturnValue: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ModifyVpcEndpointServiceConfiguration: {
          input: {
            type: "structure",
            required: [
              "ServiceId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ServiceId: {},
              PrivateDnsName: {},
              RemovePrivateDnsName: {
                type: "boolean"
              },
              AcceptanceRequired: {
                type: "boolean"
              },
              AddNetworkLoadBalancerArns: {
                shape: "So",
                locationName: "AddNetworkLoadBalancerArn"
              },
              RemoveNetworkLoadBalancerArns: {
                shape: "So",
                locationName: "RemoveNetworkLoadBalancerArn"
              },
              AddGatewayLoadBalancerArns: {
                shape: "So",
                locationName: "AddGatewayLoadBalancerArn"
              },
              RemoveGatewayLoadBalancerArns: {
                shape: "So",
                locationName: "RemoveGatewayLoadBalancerArn"
              },
              AddSupportedIpAddressTypes: {
                shape: "So",
                locationName: "AddSupportedIpAddressType"
              },
              RemoveSupportedIpAddressTypes: {
                shape: "So",
                locationName: "RemoveSupportedIpAddressType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ModifyVpcEndpointServicePayerResponsibility: {
          input: {
            type: "structure",
            required: [
              "ServiceId",
              "PayerResponsibility"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ServiceId: {},
              PayerResponsibility: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReturnValue: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ModifyVpcEndpointServicePermissions: {
          input: {
            type: "structure",
            required: [
              "ServiceId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ServiceId: {},
              AddAllowedPrincipals: {
                shape: "So"
              },
              RemoveAllowedPrincipals: {
                shape: "So"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AddedPrincipals: {
                locationName: "addedPrincipalSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    PrincipalType: {
                      locationName: "principalType"
                    },
                    Principal: {
                      locationName: "principal"
                    },
                    ServicePermissionId: {
                      locationName: "servicePermissionId"
                    },
                    ServiceId: {
                      locationName: "serviceId"
                    }
                  }
                }
              },
              ReturnValue: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ModifyVpcPeeringConnectionOptions: {
          input: {
            type: "structure",
            required: [
              "VpcPeeringConnectionId"
            ],
            members: {
              AccepterPeeringConnectionOptions: {
                shape: "S262"
              },
              DryRun: {
                type: "boolean"
              },
              RequesterPeeringConnectionOptions: {
                shape: "S262"
              },
              VpcPeeringConnectionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AccepterPeeringConnectionOptions: {
                shape: "S264",
                locationName: "accepterPeeringConnectionOptions"
              },
              RequesterPeeringConnectionOptions: {
                shape: "S264",
                locationName: "requesterPeeringConnectionOptions"
              }
            }
          }
        },
        ModifyVpcTenancy: {
          input: {
            type: "structure",
            required: [
              "VpcId",
              "InstanceTenancy"
            ],
            members: {
              VpcId: {},
              InstanceTenancy: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReturnValue: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ModifyVpnConnection: {
          input: {
            type: "structure",
            required: [
              "VpnConnectionId"
            ],
            members: {
              VpnConnectionId: {},
              TransitGatewayId: {},
              CustomerGatewayId: {},
              VpnGatewayId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpnConnection: {
                shape: "Ssw",
                locationName: "vpnConnection"
              }
            }
          }
        },
        ModifyVpnConnectionOptions: {
          input: {
            type: "structure",
            required: [
              "VpnConnectionId"
            ],
            members: {
              VpnConnectionId: {},
              LocalIpv4NetworkCidr: {},
              RemoteIpv4NetworkCidr: {},
              LocalIpv6NetworkCidr: {},
              RemoteIpv6NetworkCidr: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpnConnection: {
                shape: "Ssw",
                locationName: "vpnConnection"
              }
            }
          }
        },
        ModifyVpnTunnelCertificate: {
          input: {
            type: "structure",
            required: [
              "VpnConnectionId",
              "VpnTunnelOutsideIpAddress"
            ],
            members: {
              VpnConnectionId: {},
              VpnTunnelOutsideIpAddress: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpnConnection: {
                shape: "Ssw",
                locationName: "vpnConnection"
              }
            }
          }
        },
        ModifyVpnTunnelOptions: {
          input: {
            type: "structure",
            required: [
              "VpnConnectionId",
              "VpnTunnelOutsideIpAddress",
              "TunnelOptions"
            ],
            members: {
              VpnConnectionId: {},
              VpnTunnelOutsideIpAddress: {},
              TunnelOptions: {
                type: "structure",
                members: {
                  TunnelInsideCidr: {},
                  TunnelInsideIpv6Cidr: {},
                  PreSharedKey: {
                    shape: "Ssd"
                  },
                  Phase1LifetimeSeconds: {
                    type: "integer"
                  },
                  Phase2LifetimeSeconds: {
                    type: "integer"
                  },
                  RekeyMarginTimeSeconds: {
                    type: "integer"
                  },
                  RekeyFuzzPercentage: {
                    type: "integer"
                  },
                  ReplayWindowSize: {
                    type: "integer"
                  },
                  DPDTimeoutSeconds: {
                    type: "integer"
                  },
                  DPDTimeoutAction: {},
                  Phase1EncryptionAlgorithms: {
                    shape: "Sse",
                    locationName: "Phase1EncryptionAlgorithm"
                  },
                  Phase2EncryptionAlgorithms: {
                    shape: "Ssg",
                    locationName: "Phase2EncryptionAlgorithm"
                  },
                  Phase1IntegrityAlgorithms: {
                    shape: "Ssi",
                    locationName: "Phase1IntegrityAlgorithm"
                  },
                  Phase2IntegrityAlgorithms: {
                    shape: "Ssk",
                    locationName: "Phase2IntegrityAlgorithm"
                  },
                  Phase1DHGroupNumbers: {
                    shape: "Ssm",
                    locationName: "Phase1DHGroupNumber"
                  },
                  Phase2DHGroupNumbers: {
                    shape: "Sso",
                    locationName: "Phase2DHGroupNumber"
                  },
                  IKEVersions: {
                    shape: "Ssq",
                    locationName: "IKEVersion"
                  },
                  StartupAction: {},
                  LogOptions: {
                    shape: "Sss"
                  },
                  EnableTunnelLifecycleControl: {
                    type: "boolean"
                  }
                },
                sensitive: true
              },
              DryRun: {
                type: "boolean"
              },
              SkipTunnelReplacement: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpnConnection: {
                shape: "Ssw",
                locationName: "vpnConnection"
              }
            }
          }
        },
        MonitorInstances: {
          input: {
            type: "structure",
            required: [
              "InstanceIds"
            ],
            members: {
              InstanceIds: {
                shape: "S117",
                locationName: "InstanceId"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceMonitorings: {
                shape: "S26j",
                locationName: "instancesSet"
              }
            }
          }
        },
        MoveAddressToVpc: {
          input: {
            type: "structure",
            required: [
              "PublicIp"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              PublicIp: {
                locationName: "publicIp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AllocationId: {
                locationName: "allocationId"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        MoveByoipCidrToIpam: {
          input: {
            type: "structure",
            required: [
              "Cidr",
              "IpamPoolId",
              "IpamPoolOwner"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              Cidr: {},
              IpamPoolId: {},
              IpamPoolOwner: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ByoipCidr: {
                shape: "S1x",
                locationName: "byoipCidr"
              }
            }
          }
        },
        ProvisionByoipCidr: {
          input: {
            type: "structure",
            required: [
              "Cidr"
            ],
            members: {
              Cidr: {},
              CidrAuthorizationContext: {
                type: "structure",
                required: [
                  "Message",
                  "Signature"
                ],
                members: {
                  Message: {},
                  Signature: {}
                }
              },
              PubliclyAdvertisable: {
                type: "boolean"
              },
              Description: {},
              DryRun: {
                type: "boolean"
              },
              PoolTagSpecifications: {
                shape: "S3",
                locationName: "PoolTagSpecification"
              },
              MultiRegion: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ByoipCidr: {
                shape: "S1x",
                locationName: "byoipCidr"
              }
            }
          }
        },
        ProvisionIpamPoolCidr: {
          input: {
            type: "structure",
            required: [
              "IpamPoolId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamPoolId: {},
              Cidr: {},
              CidrAuthorizationContext: {
                type: "structure",
                members: {
                  Message: {},
                  Signature: {}
                }
              },
              NetmaskLength: {
                type: "integer"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IpamPoolCidr: {
                shape: "Syk",
                locationName: "ipamPoolCidr"
              }
            }
          }
        },
        ProvisionPublicIpv4PoolCidr: {
          input: {
            type: "structure",
            required: [
              "IpamPoolId",
              "PoolId",
              "NetmaskLength"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamPoolId: {},
              PoolId: {},
              NetmaskLength: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PoolId: {
                locationName: "poolId"
              },
              PoolAddressRange: {
                shape: "S1if",
                locationName: "poolAddressRange"
              }
            }
          }
        },
        PurchaseHostReservation: {
          input: {
            type: "structure",
            required: [
              "HostIdSet",
              "OfferingId"
            ],
            members: {
              ClientToken: {},
              CurrencyCode: {},
              HostIdSet: {
                shape: "S1wy"
              },
              LimitPrice: {},
              OfferingId: {},
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ClientToken: {
                locationName: "clientToken"
              },
              CurrencyCode: {
                locationName: "currencyCode"
              },
              Purchase: {
                shape: "S1x0",
                locationName: "purchase"
              },
              TotalHourlyPrice: {
                locationName: "totalHourlyPrice"
              },
              TotalUpfrontPrice: {
                locationName: "totalUpfrontPrice"
              }
            }
          }
        },
        PurchaseReservedInstancesOffering: {
          input: {
            type: "structure",
            required: [
              "InstanceCount",
              "ReservedInstancesOfferingId"
            ],
            members: {
              InstanceCount: {
                type: "integer"
              },
              ReservedInstancesOfferingId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              LimitPrice: {
                locationName: "limitPrice",
                type: "structure",
                members: {
                  Amount: {
                    locationName: "amount",
                    type: "double"
                  },
                  CurrencyCode: {
                    locationName: "currencyCode"
                  }
                }
              },
              PurchaseTime: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReservedInstancesId: {
                locationName: "reservedInstancesId"
              }
            }
          }
        },
        PurchaseScheduledInstances: {
          input: {
            type: "structure",
            required: [
              "PurchaseRequests"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              },
              PurchaseRequests: {
                locationName: "PurchaseRequest",
                type: "list",
                member: {
                  locationName: "PurchaseRequest",
                  type: "structure",
                  required: [
                    "InstanceCount",
                    "PurchaseToken"
                  ],
                  members: {
                    InstanceCount: {
                      type: "integer"
                    },
                    PurchaseToken: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ScheduledInstanceSet: {
                locationName: "scheduledInstanceSet",
                type: "list",
                member: {
                  shape: "S1k9",
                  locationName: "item"
                }
              }
            }
          }
        },
        RebootInstances: {
          input: {
            type: "structure",
            required: [
              "InstanceIds"
            ],
            members: {
              InstanceIds: {
                shape: "S117",
                locationName: "InstanceId"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        RegisterImage: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              ImageLocation: {},
              Architecture: {
                locationName: "architecture"
              },
              BlockDeviceMappings: {
                shape: "Seg",
                locationName: "BlockDeviceMapping"
              },
              Description: {
                locationName: "description"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              EnaSupport: {
                locationName: "enaSupport",
                type: "boolean"
              },
              KernelId: {
                locationName: "kernelId"
              },
              Name: {
                locationName: "name"
              },
              BillingProducts: {
                locationName: "BillingProduct",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              RamdiskId: {
                locationName: "ramdiskId"
              },
              RootDeviceName: {
                locationName: "rootDeviceName"
              },
              SriovNetSupport: {
                locationName: "sriovNetSupport"
              },
              VirtualizationType: {
                locationName: "virtualizationType"
              },
              BootMode: {},
              TpmSupport: {},
              UefiData: {},
              ImdsSupport: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImageId: {
                locationName: "imageId"
              }
            }
          }
        },
        RegisterInstanceEventNotificationAttributes: {
          input: {
            type: "structure",
            required: [
              "InstanceTagAttribute"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              InstanceTagAttribute: {
                type: "structure",
                members: {
                  IncludeAllTagsOfInstance: {
                    type: "boolean"
                  },
                  InstanceTagKeys: {
                    shape: "Syv",
                    locationName: "InstanceTagKey"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceTagAttribute: {
                shape: "Syx",
                locationName: "instanceTagAttribute"
              }
            }
          }
        },
        RegisterTransitGatewayMulticastGroupMembers: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayMulticastDomainId",
              "NetworkInterfaceIds"
            ],
            members: {
              TransitGatewayMulticastDomainId: {},
              GroupIpAddress: {},
              NetworkInterfaceIds: {
                shape: "Syz"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RegisteredMulticastGroupMembers: {
                locationName: "registeredMulticastGroupMembers",
                type: "structure",
                members: {
                  TransitGatewayMulticastDomainId: {
                    locationName: "transitGatewayMulticastDomainId"
                  },
                  RegisteredNetworkInterfaceIds: {
                    shape: "So",
                    locationName: "registeredNetworkInterfaceIds"
                  },
                  GroupIpAddress: {
                    locationName: "groupIpAddress"
                  }
                }
              }
            }
          }
        },
        RegisterTransitGatewayMulticastGroupSources: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayMulticastDomainId",
              "NetworkInterfaceIds"
            ],
            members: {
              TransitGatewayMulticastDomainId: {},
              GroupIpAddress: {},
              NetworkInterfaceIds: {
                shape: "Syz"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RegisteredMulticastGroupSources: {
                locationName: "registeredMulticastGroupSources",
                type: "structure",
                members: {
                  TransitGatewayMulticastDomainId: {
                    locationName: "transitGatewayMulticastDomainId"
                  },
                  RegisteredNetworkInterfaceIds: {
                    shape: "So",
                    locationName: "registeredNetworkInterfaceIds"
                  },
                  GroupIpAddress: {
                    locationName: "groupIpAddress"
                  }
                }
              }
            }
          }
        },
        RejectTransitGatewayMulticastDomainAssociations: {
          input: {
            type: "structure",
            members: {
              TransitGatewayMulticastDomainId: {},
              TransitGatewayAttachmentId: {},
              SubnetIds: {
                shape: "So"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Associations: {
                shape: "Sq",
                locationName: "associations"
              }
            }
          }
        },
        RejectTransitGatewayPeeringAttachment: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayAttachmentId"
            ],
            members: {
              TransitGatewayAttachmentId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayPeeringAttachment: {
                shape: "Sx",
                locationName: "transitGatewayPeeringAttachment"
              }
            }
          }
        },
        RejectTransitGatewayVpcAttachment: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayAttachmentId"
            ],
            members: {
              TransitGatewayAttachmentId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayVpcAttachment: {
                shape: "S16",
                locationName: "transitGatewayVpcAttachment"
              }
            }
          }
        },
        RejectVpcEndpointConnections: {
          input: {
            type: "structure",
            required: [
              "ServiceId",
              "VpcEndpointIds"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ServiceId: {},
              VpcEndpointIds: {
                shape: "S1d",
                locationName: "VpcEndpointId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Unsuccessful: {
                shape: "S1g",
                locationName: "unsuccessful"
              }
            }
          }
        },
        RejectVpcPeeringConnection: {
          input: {
            type: "structure",
            required: [
              "VpcPeeringConnectionId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              VpcPeeringConnectionId: {
                locationName: "vpcPeeringConnectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ReleaseAddress: {
          input: {
            type: "structure",
            members: {
              AllocationId: {},
              PublicIp: {},
              NetworkBorderGroup: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        ReleaseHosts: {
          input: {
            type: "structure",
            required: [
              "HostIds"
            ],
            members: {
              HostIds: {
                shape: "S16g",
                locationName: "hostId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Successful: {
                shape: "S2b",
                locationName: "successful"
              },
              Unsuccessful: {
                shape: "S22c",
                locationName: "unsuccessful"
              }
            }
          }
        },
        ReleaseIpamPoolAllocation: {
          input: {
            type: "structure",
            required: [
              "IpamPoolId",
              "Cidr",
              "IpamPoolAllocationId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              IpamPoolId: {},
              Cidr: {},
              IpamPoolAllocationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Success: {
                locationName: "success",
                type: "boolean"
              }
            }
          }
        },
        ReplaceIamInstanceProfileAssociation: {
          input: {
            type: "structure",
            required: [
              "IamInstanceProfile",
              "AssociationId"
            ],
            members: {
              IamInstanceProfile: {
                shape: "S3q"
              },
              AssociationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IamInstanceProfileAssociation: {
                shape: "S3s",
                locationName: "iamInstanceProfileAssociation"
              }
            }
          }
        },
        ReplaceNetworkAclAssociation: {
          input: {
            type: "structure",
            required: [
              "AssociationId",
              "NetworkAclId"
            ],
            members: {
              AssociationId: {
                locationName: "associationId"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              NetworkAclId: {
                locationName: "networkAclId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NewAssociationId: {
                locationName: "newAssociationId"
              }
            }
          }
        },
        ReplaceNetworkAclEntry: {
          input: {
            type: "structure",
            required: [
              "Egress",
              "NetworkAclId",
              "Protocol",
              "RuleAction",
              "RuleNumber"
            ],
            members: {
              CidrBlock: {
                locationName: "cidrBlock"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              Egress: {
                locationName: "egress",
                type: "boolean"
              },
              IcmpTypeCode: {
                shape: "Sk3",
                locationName: "Icmp"
              },
              Ipv6CidrBlock: {
                locationName: "ipv6CidrBlock"
              },
              NetworkAclId: {
                locationName: "networkAclId"
              },
              PortRange: {
                shape: "Sk4",
                locationName: "portRange"
              },
              Protocol: {
                locationName: "protocol"
              },
              RuleAction: {
                locationName: "ruleAction"
              },
              RuleNumber: {
                locationName: "ruleNumber",
                type: "integer"
              }
            }
          }
        },
        ReplaceRoute: {
          input: {
            type: "structure",
            required: [
              "RouteTableId"
            ],
            members: {
              DestinationCidrBlock: {
                locationName: "destinationCidrBlock"
              },
              DestinationIpv6CidrBlock: {
                locationName: "destinationIpv6CidrBlock"
              },
              DestinationPrefixListId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              VpcEndpointId: {},
              EgressOnlyInternetGatewayId: {
                locationName: "egressOnlyInternetGatewayId"
              },
              GatewayId: {
                locationName: "gatewayId"
              },
              InstanceId: {
                locationName: "instanceId"
              },
              LocalTarget: {
                type: "boolean"
              },
              NatGatewayId: {
                locationName: "natGatewayId"
              },
              TransitGatewayId: {},
              LocalGatewayId: {},
              CarrierGatewayId: {},
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              },
              RouteTableId: {
                locationName: "routeTableId"
              },
              VpcPeeringConnectionId: {
                locationName: "vpcPeeringConnectionId"
              },
              CoreNetworkArn: {}
            }
          }
        },
        ReplaceRouteTableAssociation: {
          input: {
            type: "structure",
            required: [
              "AssociationId",
              "RouteTableId"
            ],
            members: {
              AssociationId: {
                locationName: "associationId"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              RouteTableId: {
                locationName: "routeTableId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NewAssociationId: {
                locationName: "newAssociationId"
              },
              AssociationState: {
                shape: "S4q",
                locationName: "associationState"
              }
            }
          }
        },
        ReplaceTransitGatewayRoute: {
          input: {
            type: "structure",
            required: [
              "DestinationCidrBlock",
              "TransitGatewayRouteTableId"
            ],
            members: {
              DestinationCidrBlock: {},
              TransitGatewayRouteTableId: {},
              TransitGatewayAttachmentId: {},
              Blackhole: {
                type: "boolean"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Route: {
                shape: "Spr",
                locationName: "route"
              }
            }
          }
        },
        ReplaceVpnTunnel: {
          input: {
            type: "structure",
            required: [
              "VpnConnectionId",
              "VpnTunnelOutsideIpAddress"
            ],
            members: {
              VpnConnectionId: {},
              VpnTunnelOutsideIpAddress: {},
              ApplyPendingMaintenance: {
                type: "boolean"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ReportInstanceStatus: {
          input: {
            type: "structure",
            required: [
              "Instances",
              "ReasonCodes",
              "Status"
            ],
            members: {
              Description: {
                locationName: "description"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              EndTime: {
                locationName: "endTime",
                type: "timestamp"
              },
              Instances: {
                shape: "S117",
                locationName: "instanceId"
              },
              ReasonCodes: {
                locationName: "reasonCode",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              StartTime: {
                locationName: "startTime",
                type: "timestamp"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        RequestSpotFleet: {
          input: {
            type: "structure",
            required: [
              "SpotFleetRequestConfig"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              SpotFleetRequestConfig: {
                shape: "S1ll",
                locationName: "spotFleetRequestConfig"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SpotFleetRequestId: {
                locationName: "spotFleetRequestId"
              }
            }
          }
        },
        RequestSpotInstances: {
          input: {
            type: "structure",
            members: {
              AvailabilityZoneGroup: {
                locationName: "availabilityZoneGroup"
              },
              BlockDurationMinutes: {
                locationName: "blockDurationMinutes",
                type: "integer"
              },
              ClientToken: {
                locationName: "clientToken"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              InstanceCount: {
                locationName: "instanceCount",
                type: "integer"
              },
              LaunchGroup: {
                locationName: "launchGroup"
              },
              LaunchSpecification: {
                type: "structure",
                members: {
                  SecurityGroupIds: {
                    locationName: "SecurityGroupId",
                    type: "list",
                    member: {
                      locationName: "item"
                    }
                  },
                  SecurityGroups: {
                    locationName: "SecurityGroup",
                    type: "list",
                    member: {
                      locationName: "item"
                    }
                  },
                  AddressingType: {
                    locationName: "addressingType"
                  },
                  BlockDeviceMappings: {
                    shape: "S175",
                    locationName: "blockDeviceMapping"
                  },
                  EbsOptimized: {
                    locationName: "ebsOptimized",
                    type: "boolean"
                  },
                  IamInstanceProfile: {
                    shape: "S3q",
                    locationName: "iamInstanceProfile"
                  },
                  ImageId: {
                    locationName: "imageId"
                  },
                  InstanceType: {
                    locationName: "instanceType"
                  },
                  KernelId: {
                    locationName: "kernelId"
                  },
                  KeyName: {
                    locationName: "keyName"
                  },
                  Monitoring: {
                    shape: "S1mg",
                    locationName: "monitoring"
                  },
                  NetworkInterfaces: {
                    shape: "S1lv",
                    locationName: "NetworkInterface"
                  },
                  Placement: {
                    shape: "S1lx",
                    locationName: "placement"
                  },
                  RamdiskId: {
                    locationName: "ramdiskId"
                  },
                  SubnetId: {
                    locationName: "subnetId"
                  },
                  UserData: {
                    shape: "Sg9",
                    locationName: "userData"
                  }
                }
              },
              SpotPrice: {
                locationName: "spotPrice"
              },
              Type: {
                locationName: "type"
              },
              ValidFrom: {
                locationName: "validFrom",
                type: "timestamp"
              },
              ValidUntil: {
                locationName: "validUntil",
                type: "timestamp"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              InstanceInterruptionBehavior: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SpotInstanceRequests: {
                shape: "S1md",
                locationName: "spotInstanceRequestSet"
              }
            }
          }
        },
        ResetAddressAttribute: {
          input: {
            type: "structure",
            required: [
              "AllocationId",
              "Attribute"
            ],
            members: {
              AllocationId: {},
              Attribute: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Address: {
                shape: "Szv",
                locationName: "address"
              }
            }
          }
        },
        ResetEbsDefaultKmsKeyId: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KmsKeyId: {
                locationName: "kmsKeyId"
              }
            }
          }
        },
        ResetFpgaImageAttribute: {
          input: {
            type: "structure",
            required: [
              "FpgaImageId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              FpgaImageId: {},
              Attribute: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        ResetImageAttribute: {
          input: {
            type: "structure",
            required: [
              "Attribute",
              "ImageId"
            ],
            members: {
              Attribute: {},
              ImageId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        ResetInstanceAttribute: {
          input: {
            type: "structure",
            required: [
              "Attribute",
              "InstanceId"
            ],
            members: {
              Attribute: {
                locationName: "attribute"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              InstanceId: {
                locationName: "instanceId"
              }
            }
          }
        },
        ResetNetworkInterfaceAttribute: {
          input: {
            type: "structure",
            required: [
              "NetworkInterfaceId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              },
              SourceDestCheck: {
                locationName: "sourceDestCheck"
              }
            }
          }
        },
        ResetSnapshotAttribute: {
          input: {
            type: "structure",
            required: [
              "Attribute",
              "SnapshotId"
            ],
            members: {
              Attribute: {},
              SnapshotId: {},
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          }
        },
        RestoreAddressToClassic: {
          input: {
            type: "structure",
            required: [
              "PublicIp"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              PublicIp: {
                locationName: "publicIp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicIp: {
                locationName: "publicIp"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        RestoreImageFromRecycleBin: {
          input: {
            type: "structure",
            required: [
              "ImageId"
            ],
            members: {
              ImageId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        RestoreManagedPrefixListVersion: {
          input: {
            type: "structure",
            required: [
              "PrefixListId",
              "PreviousVersion",
              "CurrentVersion"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              PrefixListId: {},
              PreviousVersion: {
                type: "long"
              },
              CurrentVersion: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PrefixList: {
                shape: "Sjo",
                locationName: "prefixList"
              }
            }
          }
        },
        RestoreSnapshotFromRecycleBin: {
          input: {
            type: "structure",
            required: [
              "SnapshotId"
            ],
            members: {
              SnapshotId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SnapshotId: {
                locationName: "snapshotId"
              },
              OutpostArn: {
                locationName: "outpostArn"
              },
              Description: {
                locationName: "description"
              },
              Encrypted: {
                locationName: "encrypted",
                type: "boolean"
              },
              OwnerId: {
                locationName: "ownerId"
              },
              Progress: {
                locationName: "progress"
              },
              StartTime: {
                locationName: "startTime",
                type: "timestamp"
              },
              State: {
                locationName: "status"
              },
              VolumeId: {
                locationName: "volumeId"
              },
              VolumeSize: {
                locationName: "volumeSize",
                type: "integer"
              }
            }
          }
        },
        RestoreSnapshotTier: {
          input: {
            type: "structure",
            required: [
              "SnapshotId"
            ],
            members: {
              SnapshotId: {},
              TemporaryRestoreDays: {
                type: "integer"
              },
              PermanentRestore: {
                type: "boolean"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SnapshotId: {
                locationName: "snapshotId"
              },
              RestoreStartTime: {
                locationName: "restoreStartTime",
                type: "timestamp"
              },
              RestoreDuration: {
                locationName: "restoreDuration",
                type: "integer"
              },
              IsPermanentRestore: {
                locationName: "isPermanentRestore",
                type: "boolean"
              }
            }
          }
        },
        RevokeClientVpnIngress: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId",
              "TargetNetworkCidr"
            ],
            members: {
              ClientVpnEndpointId: {},
              TargetNetworkCidr: {},
              AccessGroupId: {},
              RevokeAllGroups: {
                type: "boolean"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                shape: "S6l",
                locationName: "status"
              }
            }
          }
        },
        RevokeSecurityGroupEgress: {
          input: {
            type: "structure",
            required: [
              "GroupId"
            ],
            members: {
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              GroupId: {
                locationName: "groupId"
              },
              IpPermissions: {
                shape: "S6o",
                locationName: "ipPermissions"
              },
              SecurityGroupRuleIds: {
                shape: "S1kg",
                locationName: "SecurityGroupRuleId"
              },
              CidrIp: {
                locationName: "cidrIp"
              },
              FromPort: {
                locationName: "fromPort",
                type: "integer"
              },
              IpProtocol: {
                locationName: "ipProtocol"
              },
              ToPort: {
                locationName: "toPort",
                type: "integer"
              },
              SourceSecurityGroupName: {
                locationName: "sourceSecurityGroupName"
              },
              SourceSecurityGroupOwnerId: {
                locationName: "sourceSecurityGroupOwnerId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              },
              UnknownIpPermissions: {
                shape: "S6o",
                locationName: "unknownIpPermissionSet"
              }
            }
          }
        },
        RevokeSecurityGroupIngress: {
          input: {
            type: "structure",
            members: {
              CidrIp: {},
              FromPort: {
                type: "integer"
              },
              GroupId: {},
              GroupName: {},
              IpPermissions: {
                shape: "S6o"
              },
              IpProtocol: {},
              SourceSecurityGroupName: {},
              SourceSecurityGroupOwnerId: {},
              ToPort: {
                type: "integer"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              SecurityGroupRuleIds: {
                shape: "S1kg",
                locationName: "SecurityGroupRuleId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              },
              UnknownIpPermissions: {
                shape: "S6o",
                locationName: "unknownIpPermissionSet"
              }
            }
          }
        },
        RunInstances: {
          input: {
            type: "structure",
            required: [
              "MaxCount",
              "MinCount"
            ],
            members: {
              BlockDeviceMappings: {
                shape: "Seg",
                locationName: "BlockDeviceMapping"
              },
              ImageId: {},
              InstanceType: {},
              Ipv6AddressCount: {
                type: "integer"
              },
              Ipv6Addresses: {
                shape: "Si8",
                locationName: "Ipv6Address"
              },
              KernelId: {},
              KeyName: {},
              MaxCount: {
                type: "integer"
              },
              MinCount: {
                type: "integer"
              },
              Monitoring: {
                shape: "S1mg"
              },
              Placement: {
                shape: "Scg"
              },
              RamdiskId: {},
              SecurityGroupIds: {
                shape: "Sgk",
                locationName: "SecurityGroupId"
              },
              SecurityGroups: {
                shape: "Sh5",
                locationName: "SecurityGroup"
              },
              SubnetId: {},
              UserData: {
                type: "string",
                sensitive: true
              },
              AdditionalInfo: {
                locationName: "additionalInfo"
              },
              ClientToken: {
                idempotencyToken: true,
                locationName: "clientToken"
              },
              DisableApiTermination: {
                locationName: "disableApiTermination",
                type: "boolean"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              EbsOptimized: {
                locationName: "ebsOptimized",
                type: "boolean"
              },
              IamInstanceProfile: {
                shape: "S3q",
                locationName: "iamInstanceProfile"
              },
              InstanceInitiatedShutdownBehavior: {
                locationName: "instanceInitiatedShutdownBehavior"
              },
              NetworkInterfaces: {
                shape: "S1lv",
                locationName: "networkInterface"
              },
              PrivateIpAddress: {
                locationName: "privateIpAddress"
              },
              ElasticGpuSpecification: {
                type: "list",
                member: {
                  shape: "Sh1",
                  locationName: "item"
                }
              },
              ElasticInferenceAccelerators: {
                locationName: "ElasticInferenceAccelerator",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  required: [
                    "Type"
                  ],
                  members: {
                    Type: {},
                    Count: {
                      type: "integer"
                    }
                  }
                }
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              LaunchTemplate: {
                type: "structure",
                members: {
                  LaunchTemplateId: {},
                  LaunchTemplateName: {},
                  Version: {}
                }
              },
              InstanceMarketOptions: {
                type: "structure",
                members: {
                  MarketType: {},
                  SpotOptions: {
                    type: "structure",
                    members: {
                      MaxPrice: {},
                      SpotInstanceType: {},
                      BlockDurationMinutes: {
                        type: "integer"
                      },
                      ValidUntil: {
                        type: "timestamp"
                      },
                      InstanceInterruptionBehavior: {}
                    }
                  }
                }
              },
              CreditSpecification: {
                shape: "Shb"
              },
              CpuOptions: {
                type: "structure",
                members: {
                  CoreCount: {
                    type: "integer"
                  },
                  ThreadsPerCore: {
                    type: "integer"
                  },
                  AmdSevSnp: {}
                }
              },
              CapacityReservationSpecification: {
                shape: "S22p"
              },
              HibernationOptions: {
                type: "structure",
                members: {
                  Configured: {
                    type: "boolean"
                  }
                }
              },
              LicenseSpecifications: {
                locationName: "LicenseSpecification",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    LicenseConfigurationArn: {}
                  }
                }
              },
              MetadataOptions: {
                type: "structure",
                members: {
                  HttpTokens: {},
                  HttpPutResponseHopLimit: {
                    type: "integer"
                  },
                  HttpEndpoint: {},
                  HttpProtocolIpv6: {},
                  InstanceMetadataTags: {}
                }
              },
              EnclaveOptions: {
                type: "structure",
                members: {
                  Enabled: {
                    type: "boolean"
                  }
                }
              },
              PrivateDnsNameOptions: {
                type: "structure",
                members: {
                  HostnameType: {},
                  EnableResourceNameDnsARecord: {
                    type: "boolean"
                  },
                  EnableResourceNameDnsAAAARecord: {
                    type: "boolean"
                  }
                }
              },
              MaintenanceOptions: {
                type: "structure",
                members: {
                  AutoRecovery: {}
                }
              },
              DisableApiStop: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S1cc"
          }
        },
        RunScheduledInstances: {
          input: {
            type: "structure",
            required: [
              "LaunchSpecification",
              "ScheduledInstanceId"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              DryRun: {
                type: "boolean"
              },
              InstanceCount: {
                type: "integer"
              },
              LaunchSpecification: {
                type: "structure",
                required: [
                  "ImageId"
                ],
                members: {
                  BlockDeviceMappings: {
                    locationName: "BlockDeviceMapping",
                    type: "list",
                    member: {
                      locationName: "BlockDeviceMapping",
                      type: "structure",
                      members: {
                        DeviceName: {},
                        Ebs: {
                          type: "structure",
                          members: {
                            DeleteOnTermination: {
                              type: "boolean"
                            },
                            Encrypted: {
                              type: "boolean"
                            },
                            Iops: {
                              type: "integer"
                            },
                            SnapshotId: {},
                            VolumeSize: {
                              type: "integer"
                            },
                            VolumeType: {}
                          }
                        },
                        NoDevice: {},
                        VirtualName: {}
                      }
                    }
                  },
                  EbsOptimized: {
                    type: "boolean"
                  },
                  IamInstanceProfile: {
                    type: "structure",
                    members: {
                      Arn: {},
                      Name: {}
                    }
                  },
                  ImageId: {},
                  InstanceType: {},
                  KernelId: {},
                  KeyName: {},
                  Monitoring: {
                    type: "structure",
                    members: {
                      Enabled: {
                        type: "boolean"
                      }
                    }
                  },
                  NetworkInterfaces: {
                    locationName: "NetworkInterface",
                    type: "list",
                    member: {
                      locationName: "NetworkInterface",
                      type: "structure",
                      members: {
                        AssociatePublicIpAddress: {
                          type: "boolean"
                        },
                        DeleteOnTermination: {
                          type: "boolean"
                        },
                        Description: {},
                        DeviceIndex: {
                          type: "integer"
                        },
                        Groups: {
                          shape: "S2a8",
                          locationName: "Group"
                        },
                        Ipv6AddressCount: {
                          type: "integer"
                        },
                        Ipv6Addresses: {
                          locationName: "Ipv6Address",
                          type: "list",
                          member: {
                            locationName: "Ipv6Address",
                            type: "structure",
                            members: {
                              Ipv6Address: {}
                            }
                          }
                        },
                        NetworkInterfaceId: {},
                        PrivateIpAddress: {},
                        PrivateIpAddressConfigs: {
                          locationName: "PrivateIpAddressConfig",
                          type: "list",
                          member: {
                            locationName: "PrivateIpAddressConfigSet",
                            type: "structure",
                            members: {
                              Primary: {
                                type: "boolean"
                              },
                              PrivateIpAddress: {}
                            }
                          }
                        },
                        SecondaryPrivateIpAddressCount: {
                          type: "integer"
                        },
                        SubnetId: {}
                      }
                    }
                  },
                  Placement: {
                    type: "structure",
                    members: {
                      AvailabilityZone: {},
                      GroupName: {}
                    }
                  },
                  RamdiskId: {},
                  SecurityGroupIds: {
                    shape: "S2a8",
                    locationName: "SecurityGroupId"
                  },
                  SubnetId: {},
                  UserData: {}
                },
                sensitive: true
              },
              ScheduledInstanceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceIdSet: {
                locationName: "instanceIdSet",
                type: "list",
                member: {
                  locationName: "item"
                }
              }
            }
          }
        },
        SearchLocalGatewayRoutes: {
          input: {
            type: "structure",
            required: [
              "LocalGatewayRouteTableId"
            ],
            members: {
              LocalGatewayRouteTableId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Routes: {
                locationName: "routeSet",
                type: "list",
                member: {
                  shape: "Sj3",
                  locationName: "item"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        SearchTransitGatewayMulticastGroups: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayMulticastDomainId"
            ],
            members: {
              TransitGatewayMulticastDomainId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MulticastGroups: {
                locationName: "multicastGroups",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    GroupIpAddress: {
                      locationName: "groupIpAddress"
                    },
                    TransitGatewayAttachmentId: {
                      locationName: "transitGatewayAttachmentId"
                    },
                    SubnetId: {
                      locationName: "subnetId"
                    },
                    ResourceId: {
                      locationName: "resourceId"
                    },
                    ResourceType: {
                      locationName: "resourceType"
                    },
                    ResourceOwnerId: {
                      locationName: "resourceOwnerId"
                    },
                    NetworkInterfaceId: {
                      locationName: "networkInterfaceId"
                    },
                    GroupMember: {
                      locationName: "groupMember",
                      type: "boolean"
                    },
                    GroupSource: {
                      locationName: "groupSource",
                      type: "boolean"
                    },
                    MemberType: {
                      locationName: "memberType"
                    },
                    SourceType: {
                      locationName: "sourceType"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        SearchTransitGatewayRoutes: {
          input: {
            type: "structure",
            required: [
              "TransitGatewayRouteTableId",
              "Filters"
            ],
            members: {
              TransitGatewayRouteTableId: {},
              Filters: {
                shape: "Szi",
                locationName: "Filter"
              },
              MaxResults: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Routes: {
                locationName: "routeSet",
                type: "list",
                member: {
                  shape: "Spr",
                  locationName: "item"
                }
              },
              AdditionalRoutesAvailable: {
                locationName: "additionalRoutesAvailable",
                type: "boolean"
              }
            }
          }
        },
        SendDiagnosticInterrupt: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              DryRun: {
                type: "boolean"
              }
            }
          }
        },
        StartInstances: {
          input: {
            type: "structure",
            required: [
              "InstanceIds"
            ],
            members: {
              InstanceIds: {
                shape: "S117",
                locationName: "InstanceId"
              },
              AdditionalInfo: {
                locationName: "additionalInfo"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StartingInstances: {
                shape: "S2aw",
                locationName: "instancesSet"
              }
            }
          }
        },
        StartNetworkInsightsAccessScopeAnalysis: {
          input: {
            type: "structure",
            required: [
              "NetworkInsightsAccessScopeId",
              "ClientToken"
            ],
            members: {
              NetworkInsightsAccessScopeId: {},
              DryRun: {
                type: "boolean"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInsightsAccessScopeAnalysis: {
                shape: "S1g1",
                locationName: "networkInsightsAccessScopeAnalysis"
              }
            }
          }
        },
        StartNetworkInsightsAnalysis: {
          input: {
            type: "structure",
            required: [
              "NetworkInsightsPathId",
              "ClientToken"
            ],
            members: {
              NetworkInsightsPathId: {},
              AdditionalAccounts: {
                shape: "So",
                locationName: "AdditionalAccount"
              },
              FilterInArns: {
                shape: "S1gd",
                locationName: "FilterInArn"
              },
              DryRun: {
                type: "boolean"
              },
              TagSpecifications: {
                shape: "S3",
                locationName: "TagSpecification"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInsightsAnalysis: {
                shape: "S1gc",
                locationName: "networkInsightsAnalysis"
              }
            }
          }
        },
        StartVpcEndpointServicePrivateDnsVerification: {
          input: {
            type: "structure",
            required: [
              "ServiceId"
            ],
            members: {
              DryRun: {
                type: "boolean"
              },
              ServiceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReturnValue: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        StopInstances: {
          input: {
            type: "structure",
            required: [
              "InstanceIds"
            ],
            members: {
              InstanceIds: {
                shape: "S117",
                locationName: "InstanceId"
              },
              Hibernate: {
                type: "boolean"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              },
              Force: {
                locationName: "force",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StoppingInstances: {
                shape: "S2aw",
                locationName: "instancesSet"
              }
            }
          }
        },
        TerminateClientVpnConnections: {
          input: {
            type: "structure",
            required: [
              "ClientVpnEndpointId"
            ],
            members: {
              ClientVpnEndpointId: {},
              ConnectionId: {},
              Username: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ClientVpnEndpointId: {
                locationName: "clientVpnEndpointId"
              },
              Username: {
                locationName: "username"
              },
              ConnectionStatuses: {
                locationName: "connectionStatuses",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ConnectionId: {
                      locationName: "connectionId"
                    },
                    PreviousStatus: {
                      shape: "S11m",
                      locationName: "previousStatus"
                    },
                    CurrentStatus: {
                      shape: "S11m",
                      locationName: "currentStatus"
                    }
                  }
                }
              }
            }
          }
        },
        TerminateInstances: {
          input: {
            type: "structure",
            required: [
              "InstanceIds"
            ],
            members: {
              InstanceIds: {
                shape: "S117",
                locationName: "InstanceId"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TerminatingInstances: {
                shape: "S2aw",
                locationName: "instancesSet"
              }
            }
          }
        },
        UnassignIpv6Addresses: {
          input: {
            type: "structure",
            required: [
              "NetworkInterfaceId"
            ],
            members: {
              Ipv6Addresses: {
                shape: "S2q",
                locationName: "ipv6Addresses"
              },
              Ipv6Prefixes: {
                shape: "S2r",
                locationName: "Ipv6Prefix"
              },
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              },
              UnassignedIpv6Addresses: {
                shape: "S2q",
                locationName: "unassignedIpv6Addresses"
              },
              UnassignedIpv6Prefixes: {
                shape: "S2r",
                locationName: "unassignedIpv6PrefixSet"
              }
            }
          }
        },
        UnassignPrivateIpAddresses: {
          input: {
            type: "structure",
            required: [
              "NetworkInterfaceId"
            ],
            members: {
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              },
              PrivateIpAddresses: {
                shape: "S2v",
                locationName: "privateIpAddress"
              },
              Ipv4Prefixes: {
                shape: "S2r",
                locationName: "Ipv4Prefix"
              }
            }
          }
        },
        UnassignPrivateNatGatewayAddress: {
          input: {
            type: "structure",
            required: [
              "NatGatewayId",
              "PrivateIpAddresses"
            ],
            members: {
              NatGatewayId: {},
              PrivateIpAddresses: {
                shape: "S33",
                locationName: "PrivateIpAddress"
              },
              MaxDrainDurationSeconds: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NatGatewayId: {
                locationName: "natGatewayId"
              },
              NatGatewayAddresses: {
                shape: "S36",
                locationName: "natGatewayAddressSet"
              }
            }
          }
        },
        UnmonitorInstances: {
          input: {
            type: "structure",
            required: [
              "InstanceIds"
            ],
            members: {
              InstanceIds: {
                shape: "S117",
                locationName: "InstanceId"
              },
              DryRun: {
                locationName: "dryRun",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceMonitorings: {
                shape: "S26j",
                locationName: "instancesSet"
              }
            }
          }
        },
        UpdateSecurityGroupRuleDescriptionsEgress: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              GroupId: {},
              GroupName: {},
              IpPermissions: {
                shape: "S6o"
              },
              SecurityGroupRuleDescriptions: {
                shape: "S2bk",
                locationName: "SecurityGroupRuleDescription"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        UpdateSecurityGroupRuleDescriptionsIngress: {
          input: {
            type: "structure",
            members: {
              DryRun: {
                type: "boolean"
              },
              GroupId: {},
              GroupName: {},
              IpPermissions: {
                shape: "S6o"
              },
              SecurityGroupRuleDescriptions: {
                shape: "S2bk",
                locationName: "SecurityGroupRuleDescription"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Return: {
                locationName: "return",
                type: "boolean"
              }
            }
          }
        },
        WithdrawByoipCidr: {
          input: {
            type: "structure",
            required: [
              "Cidr"
            ],
            members: {
              Cidr: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ByoipCidr: {
                shape: "S1x",
                locationName: "byoipCidr"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              ResourceType: {
                locationName: "resourceType"
              },
              Tags: {
                shape: "S6",
                locationName: "Tag"
              }
            }
          }
        },
        S6: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Key: {
                locationName: "key"
              },
              Value: {
                locationName: "value"
              }
            }
          }
        },
        Sa: {
          type: "structure",
          members: {
            PublicIp: {
              locationName: "publicIp"
            },
            AllocationId: {
              locationName: "allocationId"
            },
            TransferAccountId: {
              locationName: "transferAccountId"
            },
            TransferOfferExpirationTimestamp: {
              locationName: "transferOfferExpirationTimestamp",
              type: "timestamp"
            },
            TransferOfferAcceptedTimestamp: {
              locationName: "transferOfferAcceptedTimestamp",
              type: "timestamp"
            },
            AddressTransferStatus: {
              locationName: "addressTransferStatus"
            }
          }
        },
        Se: {
          type: "list",
          member: {
            locationName: "ReservedInstanceId"
          }
        },
        Sg: {
          type: "list",
          member: {
            locationName: "TargetConfigurationRequest",
            type: "structure",
            required: [
              "OfferingId"
            ],
            members: {
              InstanceCount: {
                type: "integer"
              },
              OfferingId: {}
            }
          }
        },
        So: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Sq: {
          type: "structure",
          members: {
            TransitGatewayMulticastDomainId: {
              locationName: "transitGatewayMulticastDomainId"
            },
            TransitGatewayAttachmentId: {
              locationName: "transitGatewayAttachmentId"
            },
            ResourceId: {
              locationName: "resourceId"
            },
            ResourceType: {
              locationName: "resourceType"
            },
            ResourceOwnerId: {
              locationName: "resourceOwnerId"
            },
            Subnets: {
              locationName: "subnets",
              type: "list",
              member: {
                shape: "St",
                locationName: "item"
              }
            }
          }
        },
        St: {
          type: "structure",
          members: {
            SubnetId: {
              locationName: "subnetId"
            },
            State: {
              locationName: "state"
            }
          }
        },
        Sx: {
          type: "structure",
          members: {
            TransitGatewayAttachmentId: {
              locationName: "transitGatewayAttachmentId"
            },
            AccepterTransitGatewayAttachmentId: {
              locationName: "accepterTransitGatewayAttachmentId"
            },
            RequesterTgwInfo: {
              shape: "Sy",
              locationName: "requesterTgwInfo"
            },
            AccepterTgwInfo: {
              shape: "Sy",
              locationName: "accepterTgwInfo"
            },
            Options: {
              locationName: "options",
              type: "structure",
              members: {
                DynamicRouting: {
                  locationName: "dynamicRouting"
                }
              }
            },
            Status: {
              locationName: "status",
              type: "structure",
              members: {
                Code: {
                  locationName: "code"
                },
                Message: {
                  locationName: "message"
                }
              }
            },
            State: {
              locationName: "state"
            },
            CreationTime: {
              locationName: "creationTime",
              type: "timestamp"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sy: {
          type: "structure",
          members: {
            TransitGatewayId: {
              locationName: "transitGatewayId"
            },
            CoreNetworkId: {
              locationName: "coreNetworkId"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            Region: {
              locationName: "region"
            }
          }
        },
        S16: {
          type: "structure",
          members: {
            TransitGatewayAttachmentId: {
              locationName: "transitGatewayAttachmentId"
            },
            TransitGatewayId: {
              locationName: "transitGatewayId"
            },
            VpcId: {
              locationName: "vpcId"
            },
            VpcOwnerId: {
              locationName: "vpcOwnerId"
            },
            State: {
              locationName: "state"
            },
            SubnetIds: {
              shape: "So",
              locationName: "subnetIds"
            },
            CreationTime: {
              locationName: "creationTime",
              type: "timestamp"
            },
            Options: {
              locationName: "options",
              type: "structure",
              members: {
                DnsSupport: {
                  locationName: "dnsSupport"
                },
                Ipv6Support: {
                  locationName: "ipv6Support"
                },
                ApplianceModeSupport: {
                  locationName: "applianceModeSupport"
                }
              }
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        S1d: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S1g: {
          type: "list",
          member: {
            shape: "S1h",
            locationName: "item"
          }
        },
        S1h: {
          type: "structure",
          members: {
            Error: {
              locationName: "error",
              type: "structure",
              members: {
                Code: {
                  locationName: "code"
                },
                Message: {
                  locationName: "message"
                }
              }
            },
            ResourceId: {
              locationName: "resourceId"
            }
          }
        },
        S1m: {
          type: "structure",
          members: {
            AccepterVpcInfo: {
              shape: "S1n",
              locationName: "accepterVpcInfo"
            },
            ExpirationTime: {
              locationName: "expirationTime",
              type: "timestamp"
            },
            RequesterVpcInfo: {
              shape: "S1n",
              locationName: "requesterVpcInfo"
            },
            Status: {
              locationName: "status",
              type: "structure",
              members: {
                Code: {
                  locationName: "code"
                },
                Message: {
                  locationName: "message"
                }
              }
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            VpcPeeringConnectionId: {
              locationName: "vpcPeeringConnectionId"
            }
          }
        },
        S1n: {
          type: "structure",
          members: {
            CidrBlock: {
              locationName: "cidrBlock"
            },
            Ipv6CidrBlockSet: {
              locationName: "ipv6CidrBlockSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  Ipv6CidrBlock: {
                    locationName: "ipv6CidrBlock"
                  }
                }
              }
            },
            CidrBlockSet: {
              locationName: "cidrBlockSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  CidrBlock: {
                    locationName: "cidrBlock"
                  }
                }
              }
            },
            OwnerId: {
              locationName: "ownerId"
            },
            PeeringOptions: {
              locationName: "peeringOptions",
              type: "structure",
              members: {
                AllowDnsResolutionFromRemoteVpc: {
                  locationName: "allowDnsResolutionFromRemoteVpc",
                  type: "boolean"
                },
                AllowEgressFromLocalClassicLinkToRemoteVpc: {
                  locationName: "allowEgressFromLocalClassicLinkToRemoteVpc",
                  type: "boolean"
                },
                AllowEgressFromLocalVpcToRemoteClassicLink: {
                  locationName: "allowEgressFromLocalVpcToRemoteClassicLink",
                  type: "boolean"
                }
              }
            },
            VpcId: {
              locationName: "vpcId"
            },
            Region: {
              locationName: "region"
            }
          }
        },
        S1x: {
          type: "structure",
          members: {
            Cidr: {
              locationName: "cidr"
            },
            Description: {
              locationName: "description"
            },
            StatusMessage: {
              locationName: "statusMessage"
            },
            State: {
              locationName: "state"
            }
          }
        },
        S2b: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S2g: {
          type: "structure",
          members: {
            Cidr: {
              locationName: "cidr"
            },
            IpamPoolAllocationId: {
              locationName: "ipamPoolAllocationId"
            },
            Description: {
              locationName: "description"
            },
            ResourceId: {
              locationName: "resourceId"
            },
            ResourceType: {
              locationName: "resourceType"
            },
            ResourceRegion: {
              locationName: "resourceRegion"
            },
            ResourceOwner: {
              locationName: "resourceOwner"
            }
          }
        },
        S2m: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S2q: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S2r: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S2v: {
          type: "list",
          member: {
            locationName: "PrivateIpAddress"
          }
        },
        S2z: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Ipv4Prefix: {
                locationName: "ipv4Prefix"
              }
            }
          }
        },
        S33: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S36: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              AllocationId: {
                locationName: "allocationId"
              },
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              },
              PrivateIp: {
                locationName: "privateIp"
              },
              PublicIp: {
                locationName: "publicIp"
              },
              AssociationId: {
                locationName: "associationId"
              },
              IsPrimary: {
                locationName: "isPrimary",
                type: "boolean"
              },
              FailureMessage: {
                locationName: "failureMessage"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        S3h: {
          type: "structure",
          members: {
            Code: {
              locationName: "code"
            },
            Message: {
              locationName: "message"
            }
          }
        },
        S3q: {
          type: "structure",
          members: {
            Arn: {
              locationName: "arn"
            },
            Name: {
              locationName: "name"
            }
          }
        },
        S3s: {
          type: "structure",
          members: {
            AssociationId: {
              locationName: "associationId"
            },
            InstanceId: {
              locationName: "instanceId"
            },
            IamInstanceProfile: {
              shape: "S3t",
              locationName: "iamInstanceProfile"
            },
            State: {
              locationName: "state"
            },
            Timestamp: {
              locationName: "timestamp",
              type: "timestamp"
            }
          }
        },
        S3t: {
          type: "structure",
          members: {
            Arn: {
              locationName: "arn"
            },
            Id: {
              locationName: "id"
            }
          }
        },
        S3y: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S3z: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S42: {
          type: "structure",
          members: {
            InstanceEventWindowId: {
              locationName: "instanceEventWindowId"
            },
            TimeRanges: {
              locationName: "timeRangeSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  StartWeekDay: {
                    locationName: "startWeekDay"
                  },
                  StartHour: {
                    locationName: "startHour",
                    type: "integer"
                  },
                  EndWeekDay: {
                    locationName: "endWeekDay"
                  },
                  EndHour: {
                    locationName: "endHour",
                    type: "integer"
                  }
                }
              }
            },
            Name: {
              locationName: "name"
            },
            CronExpression: {
              locationName: "cronExpression"
            },
            AssociationTarget: {
              locationName: "associationTarget",
              type: "structure",
              members: {
                InstanceIds: {
                  shape: "S3y",
                  locationName: "instanceIdSet"
                },
                Tags: {
                  shape: "S6",
                  locationName: "tagSet"
                },
                DedicatedHostIds: {
                  shape: "S3z",
                  locationName: "dedicatedHostIdSet"
                }
              }
            },
            State: {
              locationName: "state"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        S4e: {
          type: "structure",
          members: {
            OwnerId: {
              locationName: "ownerId"
            },
            IpamResourceDiscoveryAssociationId: {
              locationName: "ipamResourceDiscoveryAssociationId"
            },
            IpamResourceDiscoveryAssociationArn: {
              locationName: "ipamResourceDiscoveryAssociationArn"
            },
            IpamResourceDiscoveryId: {
              locationName: "ipamResourceDiscoveryId"
            },
            IpamId: {
              locationName: "ipamId"
            },
            IpamArn: {
              locationName: "ipamArn"
            },
            IpamRegion: {
              locationName: "ipamRegion"
            },
            IsDefault: {
              locationName: "isDefault",
              type: "boolean"
            },
            ResourceDiscoveryStatus: {
              locationName: "resourceDiscoveryStatus"
            },
            State: {
              locationName: "state"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        S4k: {
          type: "list",
          member: {
            locationName: "AllocationId"
          }
        },
        S4q: {
          type: "structure",
          members: {
            State: {
              locationName: "state"
            },
            StatusMessage: {
              locationName: "statusMessage"
            }
          }
        },
        S4u: {
          type: "structure",
          members: {
            AssociationId: {
              locationName: "associationId"
            },
            Ipv6CidrBlock: {
              locationName: "ipv6CidrBlock"
            },
            Ipv6CidrBlockState: {
              locationName: "ipv6CidrBlockState",
              type: "structure",
              members: {
                State: {
                  locationName: "state"
                },
                StatusMessage: {
                  locationName: "statusMessage"
                }
              }
            }
          }
        },
        S4z: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S54: {
          type: "structure",
          members: {
            TransitGatewayPolicyTableId: {
              locationName: "transitGatewayPolicyTableId"
            },
            TransitGatewayAttachmentId: {
              locationName: "transitGatewayAttachmentId"
            },
            ResourceId: {
              locationName: "resourceId"
            },
            ResourceType: {
              locationName: "resourceType"
            },
            State: {
              locationName: "state"
            }
          }
        },
        S59: {
          type: "structure",
          members: {
            TransitGatewayRouteTableId: {
              locationName: "transitGatewayRouteTableId"
            },
            TransitGatewayAttachmentId: {
              locationName: "transitGatewayAttachmentId"
            },
            ResourceId: {
              locationName: "resourceId"
            },
            ResourceType: {
              locationName: "resourceType"
            },
            State: {
              locationName: "state"
            }
          }
        },
        S5c: {
          type: "structure",
          members: {
            AssociationId: {
              locationName: "associationId"
            },
            BranchInterfaceId: {
              locationName: "branchInterfaceId"
            },
            TrunkInterfaceId: {
              locationName: "trunkInterfaceId"
            },
            InterfaceProtocol: {
              locationName: "interfaceProtocol"
            },
            VlanId: {
              locationName: "vlanId",
              type: "integer"
            },
            GreKey: {
              locationName: "greKey",
              type: "integer"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        S5j: {
          type: "structure",
          members: {
            AssociationId: {
              locationName: "associationId"
            },
            Ipv6CidrBlock: {
              locationName: "ipv6CidrBlock"
            },
            Ipv6CidrBlockState: {
              shape: "S5k",
              locationName: "ipv6CidrBlockState"
            },
            NetworkBorderGroup: {
              locationName: "networkBorderGroup"
            },
            Ipv6Pool: {
              locationName: "ipv6Pool"
            }
          }
        },
        S5k: {
          type: "structure",
          members: {
            State: {
              locationName: "state"
            },
            StatusMessage: {
              locationName: "statusMessage"
            }
          }
        },
        S5m: {
          type: "structure",
          members: {
            AssociationId: {
              locationName: "associationId"
            },
            CidrBlock: {
              locationName: "cidrBlock"
            },
            CidrBlockState: {
              shape: "S5k",
              locationName: "cidrBlockState"
            }
          }
        },
        S5o: {
          type: "list",
          member: {
            locationName: "groupId"
          }
        },
        S5t: {
          type: "structure",
          members: {
            EnaSrdEnabled: {
              type: "boolean"
            },
            EnaSrdUdpSpecification: {
              type: "structure",
              members: {
                EnaSrdUdpEnabled: {
                  type: "boolean"
                }
              }
            }
          }
        },
        S60: {
          type: "structure",
          members: {
            VerifiedAccessTrustProviderId: {
              locationName: "verifiedAccessTrustProviderId"
            },
            Description: {
              locationName: "description"
            },
            TrustProviderType: {
              locationName: "trustProviderType"
            },
            UserTrustProviderType: {
              locationName: "userTrustProviderType"
            },
            DeviceTrustProviderType: {
              locationName: "deviceTrustProviderType"
            },
            OidcOptions: {
              locationName: "oidcOptions",
              type: "structure",
              members: {
                Issuer: {
                  locationName: "issuer"
                },
                AuthorizationEndpoint: {
                  locationName: "authorizationEndpoint"
                },
                TokenEndpoint: {
                  locationName: "tokenEndpoint"
                },
                UserInfoEndpoint: {
                  locationName: "userInfoEndpoint"
                },
                ClientId: {
                  locationName: "clientId"
                },
                ClientSecret: {
                  shape: "S65",
                  locationName: "clientSecret"
                },
                Scope: {
                  locationName: "scope"
                }
              }
            },
            DeviceOptions: {
              locationName: "deviceOptions",
              type: "structure",
              members: {
                TenantId: {
                  locationName: "tenantId"
                }
              }
            },
            PolicyReferenceName: {
              locationName: "policyReferenceName"
            },
            CreationTime: {
              locationName: "creationTime"
            },
            LastUpdatedTime: {
              locationName: "lastUpdatedTime"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        S65: {
          type: "string",
          sensitive: true
        },
        S67: {
          type: "structure",
          members: {
            VerifiedAccessInstanceId: {
              locationName: "verifiedAccessInstanceId"
            },
            Description: {
              locationName: "description"
            },
            VerifiedAccessTrustProviders: {
              locationName: "verifiedAccessTrustProviderSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  VerifiedAccessTrustProviderId: {
                    locationName: "verifiedAccessTrustProviderId"
                  },
                  Description: {
                    locationName: "description"
                  },
                  TrustProviderType: {
                    locationName: "trustProviderType"
                  },
                  UserTrustProviderType: {
                    locationName: "userTrustProviderType"
                  },
                  DeviceTrustProviderType: {
                    locationName: "deviceTrustProviderType"
                  }
                }
              }
            },
            CreationTime: {
              locationName: "creationTime"
            },
            LastUpdatedTime: {
              locationName: "lastUpdatedTime"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        S6c: {
          type: "structure",
          members: {
            AttachTime: {
              locationName: "attachTime",
              type: "timestamp"
            },
            Device: {
              locationName: "device"
            },
            InstanceId: {
              locationName: "instanceId"
            },
            State: {
              locationName: "status"
            },
            VolumeId: {
              locationName: "volumeId"
            },
            DeleteOnTermination: {
              locationName: "deleteOnTermination",
              type: "boolean"
            }
          }
        },
        S6h: {
          type: "structure",
          members: {
            State: {
              locationName: "state"
            },
            VpcId: {
              locationName: "vpcId"
            }
          }
        },
        S6l: {
          type: "structure",
          members: {
            Code: {
              locationName: "code"
            },
            Message: {
              locationName: "message"
            }
          }
        },
        S6o: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              FromPort: {
                locationName: "fromPort",
                type: "integer"
              },
              IpProtocol: {
                locationName: "ipProtocol"
              },
              IpRanges: {
                locationName: "ipRanges",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    CidrIp: {
                      locationName: "cidrIp"
                    },
                    Description: {
                      locationName: "description"
                    }
                  }
                }
              },
              Ipv6Ranges: {
                locationName: "ipv6Ranges",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    CidrIpv6: {
                      locationName: "cidrIpv6"
                    },
                    Description: {
                      locationName: "description"
                    }
                  }
                }
              },
              PrefixListIds: {
                locationName: "prefixListIds",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Description: {
                      locationName: "description"
                    },
                    PrefixListId: {
                      locationName: "prefixListId"
                    }
                  }
                }
              },
              ToPort: {
                locationName: "toPort",
                type: "integer"
              },
              UserIdGroupPairs: {
                locationName: "groups",
                type: "list",
                member: {
                  shape: "S6x",
                  locationName: "item"
                }
              }
            }
          }
        },
        S6x: {
          type: "structure",
          members: {
            Description: {
              locationName: "description"
            },
            GroupId: {
              locationName: "groupId"
            },
            GroupName: {
              locationName: "groupName"
            },
            PeeringStatus: {
              locationName: "peeringStatus"
            },
            UserId: {
              locationName: "userId"
            },
            VpcId: {
              locationName: "vpcId"
            },
            VpcPeeringConnectionId: {
              locationName: "vpcPeeringConnectionId"
            }
          }
        },
        S6z: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              SecurityGroupRuleId: {
                locationName: "securityGroupRuleId"
              },
              GroupId: {
                locationName: "groupId"
              },
              GroupOwnerId: {
                locationName: "groupOwnerId"
              },
              IsEgress: {
                locationName: "isEgress",
                type: "boolean"
              },
              IpProtocol: {
                locationName: "ipProtocol"
              },
              FromPort: {
                locationName: "fromPort",
                type: "integer"
              },
              ToPort: {
                locationName: "toPort",
                type: "integer"
              },
              CidrIpv4: {
                locationName: "cidrIpv4"
              },
              CidrIpv6: {
                locationName: "cidrIpv6"
              },
              PrefixListId: {
                locationName: "prefixListId"
              },
              ReferencedGroupInfo: {
                locationName: "referencedGroupInfo",
                type: "structure",
                members: {
                  GroupId: {
                    locationName: "groupId"
                  },
                  PeeringStatus: {
                    locationName: "peeringStatus"
                  },
                  UserId: {
                    locationName: "userId"
                  },
                  VpcId: {
                    locationName: "vpcId"
                  },
                  VpcPeeringConnectionId: {
                    locationName: "vpcPeeringConnectionId"
                  }
                }
              },
              Description: {
                locationName: "description"
              },
              Tags: {
                shape: "S6",
                locationName: "tagSet"
              }
            }
          }
        },
        S78: {
          type: "structure",
          members: {
            S3: {
              type: "structure",
              members: {
                AWSAccessKeyId: {},
                Bucket: {
                  locationName: "bucket"
                },
                Prefix: {
                  locationName: "prefix"
                },
                UploadPolicy: {
                  locationName: "uploadPolicy",
                  type: "blob"
                },
                UploadPolicySignature: {
                  locationName: "uploadPolicySignature"
                }
              }
            }
          }
        },
        S7c: {
          type: "structure",
          members: {
            BundleId: {
              locationName: "bundleId"
            },
            BundleTaskError: {
              locationName: "error",
              type: "structure",
              members: {
                Code: {
                  locationName: "code"
                },
                Message: {
                  locationName: "message"
                }
              }
            },
            InstanceId: {
              locationName: "instanceId"
            },
            Progress: {
              locationName: "progress"
            },
            StartTime: {
              locationName: "startTime",
              type: "timestamp"
            },
            State: {
              locationName: "state"
            },
            Storage: {
              shape: "S78",
              locationName: "storage"
            },
            UpdateTime: {
              locationName: "updateTime",
              type: "timestamp"
            }
          }
        },
        S7m: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S8a: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              ClientToken: {
                locationName: "clientToken"
              },
              CreateDate: {
                locationName: "createDate",
                type: "timestamp"
              },
              InstanceCounts: {
                locationName: "instanceCounts",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    InstanceCount: {
                      locationName: "instanceCount",
                      type: "integer"
                    },
                    State: {
                      locationName: "state"
                    }
                  }
                }
              },
              PriceSchedules: {
                locationName: "priceSchedules",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    Active: {
                      locationName: "active",
                      type: "boolean"
                    },
                    CurrencyCode: {
                      locationName: "currencyCode"
                    },
                    Price: {
                      locationName: "price",
                      type: "double"
                    },
                    Term: {
                      locationName: "term",
                      type: "long"
                    }
                  }
                }
              },
              ReservedInstancesId: {
                locationName: "reservedInstancesId"
              },
              ReservedInstancesListingId: {
                locationName: "reservedInstancesListingId"
              },
              Status: {
                locationName: "status"
              },
              StatusMessage: {
                locationName: "statusMessage"
              },
              Tags: {
                shape: "S6",
                locationName: "tagSet"
              },
              UpdateDate: {
                locationName: "updateDate",
                type: "timestamp"
              }
            }
          }
        },
        S8m: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S8x: {
          type: "list",
          member: {
            locationName: "SpotInstanceRequestId"
          }
        },
        S9n: {
          type: "structure",
          members: {
            CapacityReservationId: {
              locationName: "capacityReservationId"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            CapacityReservationArn: {
              locationName: "capacityReservationArn"
            },
            AvailabilityZoneId: {
              locationName: "availabilityZoneId"
            },
            InstanceType: {
              locationName: "instanceType"
            },
            InstancePlatform: {
              locationName: "instancePlatform"
            },
            AvailabilityZone: {
              locationName: "availabilityZone"
            },
            Tenancy: {
              locationName: "tenancy"
            },
            TotalInstanceCount: {
              locationName: "totalInstanceCount",
              type: "integer"
            },
            AvailableInstanceCount: {
              locationName: "availableInstanceCount",
              type: "integer"
            },
            EbsOptimized: {
              locationName: "ebsOptimized",
              type: "boolean"
            },
            EphemeralStorage: {
              locationName: "ephemeralStorage",
              type: "boolean"
            },
            State: {
              locationName: "state"
            },
            StartDate: {
              locationName: "startDate",
              type: "timestamp"
            },
            EndDate: {
              locationName: "endDate",
              type: "timestamp"
            },
            EndDateType: {
              locationName: "endDateType"
            },
            InstanceMatchCriteria: {
              locationName: "instanceMatchCriteria"
            },
            CreateDate: {
              locationName: "createDate",
              type: "timestamp"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            OutpostArn: {
              locationName: "outpostArn"
            },
            CapacityReservationFleetId: {
              locationName: "capacityReservationFleetId"
            },
            PlacementGroupArn: {
              locationName: "placementGroupArn"
            },
            CapacityAllocations: {
              locationName: "capacityAllocationSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  AllocationType: {
                    locationName: "allocationType"
                  },
                  Count: {
                    locationName: "count",
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        Sa1: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              CapacityReservationId: {
                locationName: "capacityReservationId"
              },
              AvailabilityZoneId: {
                locationName: "availabilityZoneId"
              },
              InstanceType: {
                locationName: "instanceType"
              },
              InstancePlatform: {
                locationName: "instancePlatform"
              },
              AvailabilityZone: {
                locationName: "availabilityZone"
              },
              TotalInstanceCount: {
                locationName: "totalInstanceCount",
                type: "integer"
              },
              FulfilledCapacity: {
                locationName: "fulfilledCapacity",
                type: "double"
              },
              EbsOptimized: {
                locationName: "ebsOptimized",
                type: "boolean"
              },
              CreateDate: {
                locationName: "createDate",
                type: "timestamp"
              },
              Weight: {
                locationName: "weight",
                type: "double"
              },
              Priority: {
                locationName: "priority",
                type: "integer"
              }
            }
          }
        },
        Sa5: {
          type: "structure",
          members: {
            CarrierGatewayId: {
              locationName: "carrierGatewayId"
            },
            VpcId: {
              locationName: "vpcId"
            },
            State: {
              locationName: "state"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Saf: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            CloudwatchLogGroup: {},
            CloudwatchLogStream: {}
          }
        },
        Sai: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            LambdaFunctionArn: {}
          }
        },
        Saj: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            BannerText: {}
          }
        },
        Sal: {
          type: "structure",
          members: {
            Code: {
              locationName: "code"
            },
            Message: {
              locationName: "message"
            }
          }
        },
        Sap: {
          type: "structure",
          members: {
            Code: {
              locationName: "code"
            },
            Message: {
              locationName: "message"
            }
          }
        },
        Sau: {
          type: "structure",
          members: {
            Cidr: {
              locationName: "cidr"
            },
            CoipPoolId: {
              locationName: "coipPoolId"
            },
            LocalGatewayRouteTableId: {
              locationName: "localGatewayRouteTableId"
            }
          }
        },
        Say: {
          type: "structure",
          members: {
            PoolId: {
              locationName: "poolId"
            },
            PoolCidrs: {
              shape: "So",
              locationName: "poolCidrSet"
            },
            LocalGatewayRouteTableId: {
              locationName: "localGatewayRouteTableId"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            PoolArn: {
              locationName: "poolArn"
            }
          }
        },
        Sb2: {
          type: "structure",
          members: {
            BgpAsn: {
              locationName: "bgpAsn"
            },
            CustomerGatewayId: {
              locationName: "customerGatewayId"
            },
            IpAddress: {
              locationName: "ipAddress"
            },
            CertificateArn: {
              locationName: "certificateArn"
            },
            State: {
              locationName: "state"
            },
            Type: {
              locationName: "type"
            },
            DeviceName: {
              locationName: "deviceName"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sb5: {
          type: "structure",
          members: {
            AvailabilityZone: {
              locationName: "availabilityZone"
            },
            AvailabilityZoneId: {
              locationName: "availabilityZoneId"
            },
            AvailableIpAddressCount: {
              locationName: "availableIpAddressCount",
              type: "integer"
            },
            CidrBlock: {
              locationName: "cidrBlock"
            },
            DefaultForAz: {
              locationName: "defaultForAz",
              type: "boolean"
            },
            EnableLniAtDeviceIndex: {
              locationName: "enableLniAtDeviceIndex",
              type: "integer"
            },
            MapPublicIpOnLaunch: {
              locationName: "mapPublicIpOnLaunch",
              type: "boolean"
            },
            MapCustomerOwnedIpOnLaunch: {
              locationName: "mapCustomerOwnedIpOnLaunch",
              type: "boolean"
            },
            CustomerOwnedIpv4Pool: {
              locationName: "customerOwnedIpv4Pool"
            },
            State: {
              locationName: "state"
            },
            SubnetId: {
              locationName: "subnetId"
            },
            VpcId: {
              locationName: "vpcId"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            AssignIpv6AddressOnCreation: {
              locationName: "assignIpv6AddressOnCreation",
              type: "boolean"
            },
            Ipv6CidrBlockAssociationSet: {
              locationName: "ipv6CidrBlockAssociationSet",
              type: "list",
              member: {
                shape: "S4u",
                locationName: "item"
              }
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            SubnetArn: {
              locationName: "subnetArn"
            },
            OutpostArn: {
              locationName: "outpostArn"
            },
            EnableDns64: {
              locationName: "enableDns64",
              type: "boolean"
            },
            Ipv6Native: {
              locationName: "ipv6Native",
              type: "boolean"
            },
            PrivateDnsNameOptionsOnLaunch: {
              locationName: "privateDnsNameOptionsOnLaunch",
              type: "structure",
              members: {
                HostnameType: {
                  locationName: "hostnameType"
                },
                EnableResourceNameDnsARecord: {
                  locationName: "enableResourceNameDnsARecord",
                  type: "boolean"
                },
                EnableResourceNameDnsAAAARecord: {
                  locationName: "enableResourceNameDnsAAAARecord",
                  type: "boolean"
                }
              }
            }
          }
        },
        Sbd: {
          type: "structure",
          members: {
            CidrBlock: {
              locationName: "cidrBlock"
            },
            DhcpOptionsId: {
              locationName: "dhcpOptionsId"
            },
            State: {
              locationName: "state"
            },
            VpcId: {
              locationName: "vpcId"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            InstanceTenancy: {
              locationName: "instanceTenancy"
            },
            Ipv6CidrBlockAssociationSet: {
              locationName: "ipv6CidrBlockAssociationSet",
              type: "list",
              member: {
                shape: "S5j",
                locationName: "item"
              }
            },
            CidrBlockAssociationSet: {
              locationName: "cidrBlockAssociationSet",
              type: "list",
              member: {
                shape: "S5m",
                locationName: "item"
              }
            },
            IsDefault: {
              locationName: "isDefault",
              type: "boolean"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sbm: {
          type: "structure",
          members: {
            DhcpConfigurations: {
              locationName: "dhcpConfigurationSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  Key: {
                    locationName: "key"
                  },
                  Values: {
                    locationName: "valueSet",
                    type: "list",
                    member: {
                      shape: "Sbq",
                      locationName: "item"
                    }
                  }
                }
              }
            },
            DhcpOptionsId: {
              locationName: "dhcpOptionsId"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sbq: {
          type: "structure",
          members: {
            Value: {
              locationName: "value"
            }
          }
        },
        Sbt: {
          type: "structure",
          members: {
            Attachments: {
              shape: "Sbu",
              locationName: "attachmentSet"
            },
            EgressOnlyInternetGatewayId: {
              locationName: "egressOnlyInternetGatewayId"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sbu: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              State: {
                locationName: "state"
              },
              VpcId: {
                locationName: "vpcId"
              }
            }
          }
        },
        Sc9: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              LaunchTemplateSpecification: {
                type: "structure",
                members: {
                  LaunchTemplateId: {},
                  LaunchTemplateName: {},
                  Version: {}
                }
              },
              Overrides: {
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    InstanceType: {},
                    MaxPrice: {},
                    SubnetId: {},
                    AvailabilityZone: {},
                    WeightedCapacity: {
                      type: "double"
                    },
                    Priority: {
                      type: "double"
                    },
                    Placement: {
                      shape: "Scg"
                    },
                    InstanceRequirements: {
                      shape: "Scj"
                    },
                    ImageId: {}
                  }
                }
              }
            }
          }
        },
        Scg: {
          type: "structure",
          members: {
            AvailabilityZone: {
              locationName: "availabilityZone"
            },
            Affinity: {
              locationName: "affinity"
            },
            GroupName: {
              locationName: "groupName"
            },
            PartitionNumber: {
              locationName: "partitionNumber",
              type: "integer"
            },
            HostId: {
              locationName: "hostId"
            },
            Tenancy: {
              locationName: "tenancy"
            },
            SpreadDomain: {
              locationName: "spreadDomain"
            },
            HostResourceGroupArn: {
              locationName: "hostResourceGroupArn"
            },
            GroupId: {
              locationName: "groupId"
            }
          }
        },
        Scj: {
          type: "structure",
          required: [
            "VCpuCount",
            "MemoryMiB"
          ],
          members: {
            VCpuCount: {
              type: "structure",
              required: [
                "Min"
              ],
              members: {
                Min: {
                  type: "integer"
                },
                Max: {
                  type: "integer"
                }
              }
            },
            MemoryMiB: {
              type: "structure",
              required: [
                "Min"
              ],
              members: {
                Min: {
                  type: "integer"
                },
                Max: {
                  type: "integer"
                }
              }
            },
            CpuManufacturers: {
              shape: "Scm",
              locationName: "CpuManufacturer"
            },
            MemoryGiBPerVCpu: {
              type: "structure",
              members: {
                Min: {
                  type: "double"
                },
                Max: {
                  type: "double"
                }
              }
            },
            ExcludedInstanceTypes: {
              shape: "Scp",
              locationName: "ExcludedInstanceType"
            },
            InstanceGenerations: {
              shape: "Scr",
              locationName: "InstanceGeneration"
            },
            SpotMaxPricePercentageOverLowestPrice: {
              type: "integer"
            },
            OnDemandMaxPricePercentageOverLowestPrice: {
              type: "integer"
            },
            BareMetal: {},
            BurstablePerformance: {},
            RequireHibernateSupport: {
              type: "boolean"
            },
            NetworkInterfaceCount: {
              type: "structure",
              members: {
                Min: {
                  type: "integer"
                },
                Max: {
                  type: "integer"
                }
              }
            },
            LocalStorage: {},
            LocalStorageTypes: {
              shape: "Scx",
              locationName: "LocalStorageType"
            },
            TotalLocalStorageGB: {
              type: "structure",
              members: {
                Min: {
                  type: "double"
                },
                Max: {
                  type: "double"
                }
              }
            },
            BaselineEbsBandwidthMbps: {
              type: "structure",
              members: {
                Min: {
                  type: "integer"
                },
                Max: {
                  type: "integer"
                }
              }
            },
            AcceleratorTypes: {
              shape: "Sd1",
              locationName: "AcceleratorType"
            },
            AcceleratorCount: {
              type: "structure",
              members: {
                Min: {
                  type: "integer"
                },
                Max: {
                  type: "integer"
                }
              }
            },
            AcceleratorManufacturers: {
              shape: "Sd4",
              locationName: "AcceleratorManufacturer"
            },
            AcceleratorNames: {
              shape: "Sd6",
              locationName: "AcceleratorName"
            },
            AcceleratorTotalMemoryMiB: {
              type: "structure",
              members: {
                Min: {
                  type: "integer"
                },
                Max: {
                  type: "integer"
                }
              }
            },
            NetworkBandwidthGbps: {
              type: "structure",
              members: {
                Min: {
                  type: "double"
                },
                Max: {
                  type: "double"
                }
              }
            },
            AllowedInstanceTypes: {
              shape: "Sda",
              locationName: "AllowedInstanceType"
            }
          }
        },
        Scm: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Scp: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Scr: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Scx: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Sd1: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Sd4: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Sd6: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Sda: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Sdc: {
          type: "structure",
          required: [
            "TotalTargetCapacity"
          ],
          members: {
            TotalTargetCapacity: {
              type: "integer"
            },
            OnDemandTargetCapacity: {
              type: "integer"
            },
            SpotTargetCapacity: {
              type: "integer"
            },
            DefaultTargetCapacityType: {},
            TargetCapacityUnitType: {}
          }
        },
        Sdk: {
          type: "structure",
          members: {
            LaunchTemplateSpecification: {
              shape: "Sdl",
              locationName: "launchTemplateSpecification"
            },
            Overrides: {
              shape: "Sdm",
              locationName: "overrides"
            }
          }
        },
        Sdl: {
          type: "structure",
          members: {
            LaunchTemplateId: {
              locationName: "launchTemplateId"
            },
            LaunchTemplateName: {
              locationName: "launchTemplateName"
            },
            Version: {
              locationName: "version"
            }
          }
        },
        Sdm: {
          type: "structure",
          members: {
            InstanceType: {
              locationName: "instanceType"
            },
            MaxPrice: {
              locationName: "maxPrice"
            },
            SubnetId: {
              locationName: "subnetId"
            },
            AvailabilityZone: {
              locationName: "availabilityZone"
            },
            WeightedCapacity: {
              locationName: "weightedCapacity",
              type: "double"
            },
            Priority: {
              locationName: "priority",
              type: "double"
            },
            Placement: {
              locationName: "placement",
              type: "structure",
              members: {
                GroupName: {
                  locationName: "groupName"
                }
              }
            },
            InstanceRequirements: {
              shape: "Sdo",
              locationName: "instanceRequirements"
            },
            ImageId: {
              locationName: "imageId"
            }
          }
        },
        Sdo: {
          type: "structure",
          members: {
            VCpuCount: {
              locationName: "vCpuCount",
              type: "structure",
              members: {
                Min: {
                  locationName: "min",
                  type: "integer"
                },
                Max: {
                  locationName: "max",
                  type: "integer"
                }
              }
            },
            MemoryMiB: {
              locationName: "memoryMiB",
              type: "structure",
              members: {
                Min: {
                  locationName: "min",
                  type: "integer"
                },
                Max: {
                  locationName: "max",
                  type: "integer"
                }
              }
            },
            CpuManufacturers: {
              shape: "Scm",
              locationName: "cpuManufacturerSet"
            },
            MemoryGiBPerVCpu: {
              locationName: "memoryGiBPerVCpu",
              type: "structure",
              members: {
                Min: {
                  locationName: "min",
                  type: "double"
                },
                Max: {
                  locationName: "max",
                  type: "double"
                }
              }
            },
            ExcludedInstanceTypes: {
              shape: "Scp",
              locationName: "excludedInstanceTypeSet"
            },
            InstanceGenerations: {
              shape: "Scr",
              locationName: "instanceGenerationSet"
            },
            SpotMaxPricePercentageOverLowestPrice: {
              locationName: "spotMaxPricePercentageOverLowestPrice",
              type: "integer"
            },
            OnDemandMaxPricePercentageOverLowestPrice: {
              locationName: "onDemandMaxPricePercentageOverLowestPrice",
              type: "integer"
            },
            BareMetal: {
              locationName: "bareMetal"
            },
            BurstablePerformance: {
              locationName: "burstablePerformance"
            },
            RequireHibernateSupport: {
              locationName: "requireHibernateSupport",
              type: "boolean"
            },
            NetworkInterfaceCount: {
              locationName: "networkInterfaceCount",
              type: "structure",
              members: {
                Min: {
                  locationName: "min",
                  type: "integer"
                },
                Max: {
                  locationName: "max",
                  type: "integer"
                }
              }
            },
            LocalStorage: {
              locationName: "localStorage"
            },
            LocalStorageTypes: {
              shape: "Scx",
              locationName: "localStorageTypeSet"
            },
            TotalLocalStorageGB: {
              locationName: "totalLocalStorageGB",
              type: "structure",
              members: {
                Min: {
                  locationName: "min",
                  type: "double"
                },
                Max: {
                  locationName: "max",
                  type: "double"
                }
              }
            },
            BaselineEbsBandwidthMbps: {
              locationName: "baselineEbsBandwidthMbps",
              type: "structure",
              members: {
                Min: {
                  locationName: "min",
                  type: "integer"
                },
                Max: {
                  locationName: "max",
                  type: "integer"
                }
              }
            },
            AcceleratorTypes: {
              shape: "Sd1",
              locationName: "acceleratorTypeSet"
            },
            AcceleratorCount: {
              locationName: "acceleratorCount",
              type: "structure",
              members: {
                Min: {
                  locationName: "min",
                  type: "integer"
                },
                Max: {
                  locationName: "max",
                  type: "integer"
                }
              }
            },
            AcceleratorManufacturers: {
              shape: "Sd4",
              locationName: "acceleratorManufacturerSet"
            },
            AcceleratorNames: {
              shape: "Sd6",
              locationName: "acceleratorNameSet"
            },
            AcceleratorTotalMemoryMiB: {
              locationName: "acceleratorTotalMemoryMiB",
              type: "structure",
              members: {
                Min: {
                  locationName: "min",
                  type: "integer"
                },
                Max: {
                  locationName: "max",
                  type: "integer"
                }
              }
            },
            NetworkBandwidthGbps: {
              locationName: "networkBandwidthGbps",
              type: "structure",
              members: {
                Min: {
                  locationName: "min",
                  type: "double"
                },
                Max: {
                  locationName: "max",
                  type: "double"
                }
              }
            },
            AllowedInstanceTypes: {
              shape: "Sda",
              locationName: "allowedInstanceTypeSet"
            }
          }
        },
        Se1: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Sed: {
          type: "structure",
          members: {
            Bucket: {},
            Key: {}
          }
        },
        Seg: {
          type: "list",
          member: {
            shape: "Seh",
            locationName: "BlockDeviceMapping"
          }
        },
        Seh: {
          type: "structure",
          members: {
            DeviceName: {
              locationName: "deviceName"
            },
            VirtualName: {
              locationName: "virtualName"
            },
            Ebs: {
              locationName: "ebs",
              type: "structure",
              members: {
                DeleteOnTermination: {
                  locationName: "deleteOnTermination",
                  type: "boolean"
                },
                Iops: {
                  locationName: "iops",
                  type: "integer"
                },
                SnapshotId: {
                  locationName: "snapshotId"
                },
                VolumeSize: {
                  locationName: "volumeSize",
                  type: "integer"
                },
                VolumeType: {
                  locationName: "volumeType"
                },
                KmsKeyId: {
                  locationName: "kmsKeyId"
                },
                Throughput: {
                  locationName: "throughput",
                  type: "integer"
                },
                OutpostArn: {
                  locationName: "outpostArn"
                },
                Encrypted: {
                  locationName: "encrypted",
                  type: "boolean"
                }
              }
            },
            NoDevice: {
              locationName: "noDevice"
            }
          }
        },
        Sep: {
          type: "structure",
          members: {
            OwnerId: {
              locationName: "ownerId"
            },
            InstanceConnectEndpointId: {
              locationName: "instanceConnectEndpointId"
            },
            InstanceConnectEndpointArn: {
              locationName: "instanceConnectEndpointArn"
            },
            State: {
              locationName: "state"
            },
            StateMessage: {
              locationName: "stateMessage"
            },
            DnsName: {
              locationName: "dnsName"
            },
            FipsDnsName: {
              locationName: "fipsDnsName"
            },
            NetworkInterfaceIds: {
              locationName: "networkInterfaceIdSet",
              type: "list",
              member: {
                locationName: "item"
              }
            },
            VpcId: {
              locationName: "vpcId"
            },
            AvailabilityZone: {
              locationName: "availabilityZone"
            },
            CreatedAt: {
              locationName: "createdAt",
              type: "timestamp"
            },
            SubnetId: {
              locationName: "subnetId"
            },
            PreserveClientIp: {
              locationName: "preserveClientIp",
              type: "boolean"
            },
            SecurityGroupIds: {
              locationName: "securityGroupIdSet",
              type: "list",
              member: {
                locationName: "item"
              }
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sev: {
          type: "list",
          member: {
            type: "structure",
            members: {
              StartWeekDay: {},
              StartHour: {
                type: "integer"
              },
              EndWeekDay: {},
              EndHour: {
                type: "integer"
              }
            }
          }
        },
        Sf4: {
          type: "structure",
          members: {
            Description: {
              locationName: "description"
            },
            ExportTaskId: {
              locationName: "exportTaskId"
            },
            ExportToS3Task: {
              locationName: "exportToS3",
              type: "structure",
              members: {
                ContainerFormat: {
                  locationName: "containerFormat"
                },
                DiskImageFormat: {
                  locationName: "diskImageFormat"
                },
                S3Bucket: {
                  locationName: "s3Bucket"
                },
                S3Key: {
                  locationName: "s3Key"
                }
              }
            },
            InstanceExportDetails: {
              locationName: "instanceExport",
              type: "structure",
              members: {
                InstanceId: {
                  locationName: "instanceId"
                },
                TargetEnvironment: {
                  locationName: "targetEnvironment"
                }
              }
            },
            State: {
              locationName: "state"
            },
            StatusMessage: {
              locationName: "statusMessage"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sfa: {
          type: "structure",
          members: {
            Attachments: {
              shape: "Sbu",
              locationName: "attachmentSet"
            },
            InternetGatewayId: {
              locationName: "internetGatewayId"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sfc: {
          type: "list",
          member: {
            type: "structure",
            members: {
              RegionName: {}
            }
          }
        },
        Sff: {
          type: "structure",
          members: {
            OwnerId: {
              locationName: "ownerId"
            },
            IpamId: {
              locationName: "ipamId"
            },
            IpamArn: {
              locationName: "ipamArn"
            },
            IpamRegion: {
              locationName: "ipamRegion"
            },
            PublicDefaultScopeId: {
              locationName: "publicDefaultScopeId"
            },
            PrivateDefaultScopeId: {
              locationName: "privateDefaultScopeId"
            },
            ScopeCount: {
              locationName: "scopeCount",
              type: "integer"
            },
            Description: {
              locationName: "description"
            },
            OperatingRegions: {
              shape: "Sfh",
              locationName: "operatingRegionSet"
            },
            State: {
              locationName: "state"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            DefaultResourceDiscoveryId: {
              locationName: "defaultResourceDiscoveryId"
            },
            DefaultResourceDiscoveryAssociationId: {
              locationName: "defaultResourceDiscoveryAssociationId"
            },
            ResourceDiscoveryAssociationCount: {
              locationName: "resourceDiscoveryAssociationCount",
              type: "integer"
            }
          }
        },
        Sfh: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              RegionName: {
                locationName: "regionName"
              }
            }
          }
        },
        Sfn: {
          type: "list",
          member: {
            shape: "Sfo",
            locationName: "item"
          }
        },
        Sfo: {
          type: "structure",
          members: {
            Key: {},
            Value: {}
          }
        },
        Sfs: {
          type: "structure",
          members: {
            OwnerId: {
              locationName: "ownerId"
            },
            IpamPoolId: {
              locationName: "ipamPoolId"
            },
            SourceIpamPoolId: {
              locationName: "sourceIpamPoolId"
            },
            IpamPoolArn: {
              locationName: "ipamPoolArn"
            },
            IpamScopeArn: {
              locationName: "ipamScopeArn"
            },
            IpamScopeType: {
              locationName: "ipamScopeType"
            },
            IpamArn: {
              locationName: "ipamArn"
            },
            IpamRegion: {
              locationName: "ipamRegion"
            },
            Locale: {
              locationName: "locale"
            },
            PoolDepth: {
              locationName: "poolDepth",
              type: "integer"
            },
            State: {
              locationName: "state"
            },
            StateMessage: {
              locationName: "stateMessage"
            },
            Description: {
              locationName: "description"
            },
            AutoImport: {
              locationName: "autoImport",
              type: "boolean"
            },
            PubliclyAdvertisable: {
              locationName: "publiclyAdvertisable",
              type: "boolean"
            },
            AddressFamily: {
              locationName: "addressFamily"
            },
            AllocationMinNetmaskLength: {
              locationName: "allocationMinNetmaskLength",
              type: "integer"
            },
            AllocationMaxNetmaskLength: {
              locationName: "allocationMaxNetmaskLength",
              type: "integer"
            },
            AllocationDefaultNetmaskLength: {
              locationName: "allocationDefaultNetmaskLength",
              type: "integer"
            },
            AllocationResourceTags: {
              shape: "Sfv",
              locationName: "allocationResourceTagSet"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            AwsService: {
              locationName: "awsService"
            },
            PublicIpSource: {
              locationName: "publicIpSource"
            }
          }
        },
        Sfv: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Key: {
                locationName: "key"
              },
              Value: {
                locationName: "value"
              }
            }
          }
        },
        Sfz: {
          type: "structure",
          members: {
            OwnerId: {
              locationName: "ownerId"
            },
            IpamResourceDiscoveryId: {
              locationName: "ipamResourceDiscoveryId"
            },
            IpamResourceDiscoveryArn: {
              locationName: "ipamResourceDiscoveryArn"
            },
            IpamResourceDiscoveryRegion: {
              locationName: "ipamResourceDiscoveryRegion"
            },
            Description: {
              locationName: "description"
            },
            OperatingRegions: {
              shape: "Sfh",
              locationName: "operatingRegionSet"
            },
            IsDefault: {
              locationName: "isDefault",
              type: "boolean"
            },
            State: {
              locationName: "state"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sg3: {
          type: "structure",
          members: {
            OwnerId: {
              locationName: "ownerId"
            },
            IpamScopeId: {
              locationName: "ipamScopeId"
            },
            IpamScopeArn: {
              locationName: "ipamScopeArn"
            },
            IpamArn: {
              locationName: "ipamArn"
            },
            IpamRegion: {
              locationName: "ipamRegion"
            },
            IpamScopeType: {
              locationName: "ipamScopeType"
            },
            IsDefault: {
              locationName: "isDefault",
              type: "boolean"
            },
            Description: {
              locationName: "description"
            },
            PoolCount: {
              locationName: "poolCount",
              type: "integer"
            },
            State: {
              locationName: "state"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sg9: {
          type: "string",
          sensitive: true
        },
        Sgc: {
          type: "structure",
          members: {
            KernelId: {},
            EbsOptimized: {
              type: "boolean"
            },
            IamInstanceProfile: {
              type: "structure",
              members: {
                Arn: {},
                Name: {}
              }
            },
            BlockDeviceMappings: {
              locationName: "BlockDeviceMapping",
              type: "list",
              member: {
                locationName: "BlockDeviceMapping",
                type: "structure",
                members: {
                  DeviceName: {},
                  VirtualName: {},
                  Ebs: {
                    type: "structure",
                    members: {
                      Encrypted: {
                        type: "boolean"
                      },
                      DeleteOnTermination: {
                        type: "boolean"
                      },
                      Iops: {
                        type: "integer"
                      },
                      KmsKeyId: {},
                      SnapshotId: {},
                      VolumeSize: {
                        type: "integer"
                      },
                      VolumeType: {},
                      Throughput: {
                        type: "integer"
                      }
                    }
                  },
                  NoDevice: {}
                }
              }
            },
            NetworkInterfaces: {
              locationName: "NetworkInterface",
              type: "list",
              member: {
                locationName: "InstanceNetworkInterfaceSpecification",
                type: "structure",
                members: {
                  AssociateCarrierIpAddress: {
                    type: "boolean"
                  },
                  AssociatePublicIpAddress: {
                    type: "boolean"
                  },
                  DeleteOnTermination: {
                    type: "boolean"
                  },
                  Description: {},
                  DeviceIndex: {
                    type: "integer"
                  },
                  Groups: {
                    shape: "Sgk",
                    locationName: "SecurityGroupId"
                  },
                  InterfaceType: {},
                  Ipv6AddressCount: {
                    type: "integer"
                  },
                  Ipv6Addresses: {
                    type: "list",
                    member: {
                      locationName: "InstanceIpv6Address",
                      type: "structure",
                      members: {
                        Ipv6Address: {}
                      }
                    }
                  },
                  NetworkInterfaceId: {},
                  PrivateIpAddress: {},
                  PrivateIpAddresses: {
                    shape: "Sgn"
                  },
                  SecondaryPrivateIpAddressCount: {
                    type: "integer"
                  },
                  SubnetId: {},
                  NetworkCardIndex: {
                    type: "integer"
                  },
                  Ipv4Prefixes: {
                    shape: "Sgp",
                    locationName: "Ipv4Prefix"
                  },
                  Ipv4PrefixCount: {
                    type: "integer"
                  },
                  Ipv6Prefixes: {
                    shape: "Sgr",
                    locationName: "Ipv6Prefix"
                  },
                  Ipv6PrefixCount: {
                    type: "integer"
                  }
                }
              }
            },
            ImageId: {},
            InstanceType: {},
            KeyName: {},
            Monitoring: {
              type: "structure",
              members: {
                Enabled: {
                  type: "boolean"
                }
              }
            },
            Placement: {
              type: "structure",
              members: {
                AvailabilityZone: {},
                Affinity: {},
                GroupName: {},
                HostId: {},
                Tenancy: {},
                SpreadDomain: {},
                HostResourceGroupArn: {},
                PartitionNumber: {
                  type: "integer"
                },
                GroupId: {}
              }
            },
            RamDiskId: {},
            DisableApiTermination: {
              type: "boolean"
            },
            InstanceInitiatedShutdownBehavior: {},
            UserData: {
              shape: "Sg9"
            },
            TagSpecifications: {
              locationName: "TagSpecification",
              type: "list",
              member: {
                locationName: "LaunchTemplateTagSpecificationRequest",
                type: "structure",
                members: {
                  ResourceType: {},
                  Tags: {
                    shape: "S6",
                    locationName: "Tag"
                  }
                }
              }
            },
            ElasticGpuSpecifications: {
              locationName: "ElasticGpuSpecification",
              type: "list",
              member: {
                shape: "Sh1",
                locationName: "ElasticGpuSpecification"
              }
            },
            ElasticInferenceAccelerators: {
              locationName: "ElasticInferenceAccelerator",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                required: [
                  "Type"
                ],
                members: {
                  Type: {},
                  Count: {
                    type: "integer"
                  }
                }
              }
            },
            SecurityGroupIds: {
              shape: "Sgk",
              locationName: "SecurityGroupId"
            },
            SecurityGroups: {
              shape: "Sh5",
              locationName: "SecurityGroup"
            },
            InstanceMarketOptions: {
              type: "structure",
              members: {
                MarketType: {},
                SpotOptions: {
                  type: "structure",
                  members: {
                    MaxPrice: {},
                    SpotInstanceType: {},
                    BlockDurationMinutes: {
                      type: "integer"
                    },
                    ValidUntil: {
                      type: "timestamp"
                    },
                    InstanceInterruptionBehavior: {}
                  }
                }
              }
            },
            CreditSpecification: {
              shape: "Shb"
            },
            CpuOptions: {
              type: "structure",
              members: {
                CoreCount: {
                  type: "integer"
                },
                ThreadsPerCore: {
                  type: "integer"
                },
                AmdSevSnp: {}
              }
            },
            CapacityReservationSpecification: {
              type: "structure",
              members: {
                CapacityReservationPreference: {},
                CapacityReservationTarget: {
                  shape: "Shg"
                }
              }
            },
            LicenseSpecifications: {
              locationName: "LicenseSpecification",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  LicenseConfigurationArn: {}
                }
              }
            },
            HibernationOptions: {
              type: "structure",
              members: {
                Configured: {
                  type: "boolean"
                }
              }
            },
            MetadataOptions: {
              type: "structure",
              members: {
                HttpTokens: {},
                HttpPutResponseHopLimit: {
                  type: "integer"
                },
                HttpEndpoint: {},
                HttpProtocolIpv6: {},
                InstanceMetadataTags: {}
              }
            },
            EnclaveOptions: {
              type: "structure",
              members: {
                Enabled: {
                  type: "boolean"
                }
              }
            },
            InstanceRequirements: {
              shape: "Scj"
            },
            PrivateDnsNameOptions: {
              type: "structure",
              members: {
                HostnameType: {},
                EnableResourceNameDnsARecord: {
                  type: "boolean"
                },
                EnableResourceNameDnsAAAARecord: {
                  type: "boolean"
                }
              }
            },
            MaintenanceOptions: {
              type: "structure",
              members: {
                AutoRecovery: {}
              }
            },
            DisableApiStop: {
              type: "boolean"
            }
          }
        },
        Sgk: {
          type: "list",
          member: {
            locationName: "SecurityGroupId"
          }
        },
        Sgn: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Primary: {
                locationName: "primary",
                type: "boolean"
              },
              PrivateIpAddress: {
                locationName: "privateIpAddress"
              }
            }
          }
        },
        Sgp: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Ipv4Prefix: {}
            }
          }
        },
        Sgr: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Ipv6Prefix: {}
            }
          }
        },
        Sh1: {
          type: "structure",
          required: [
            "Type"
          ],
          members: {
            Type: {}
          }
        },
        Sh5: {
          type: "list",
          member: {
            locationName: "SecurityGroup"
          }
        },
        Shb: {
          type: "structure",
          required: [
            "CpuCredits"
          ],
          members: {
            CpuCredits: {}
          }
        },
        Shg: {
          type: "structure",
          members: {
            CapacityReservationId: {},
            CapacityReservationResourceGroupArn: {}
          }
        },
        Shu: {
          type: "structure",
          members: {
            LaunchTemplateId: {
              locationName: "launchTemplateId"
            },
            LaunchTemplateName: {
              locationName: "launchTemplateName"
            },
            CreateTime: {
              locationName: "createTime",
              type: "timestamp"
            },
            CreatedBy: {
              locationName: "createdBy"
            },
            DefaultVersionNumber: {
              locationName: "defaultVersionNumber",
              type: "long"
            },
            LatestVersionNumber: {
              locationName: "latestVersionNumber",
              type: "long"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Shv: {
          type: "structure",
          members: {
            Errors: {
              locationName: "errorSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  Code: {
                    locationName: "code"
                  },
                  Message: {
                    locationName: "message"
                  }
                }
              }
            }
          }
        },
        Si0: {
          type: "structure",
          members: {
            LaunchTemplateId: {
              locationName: "launchTemplateId"
            },
            LaunchTemplateName: {
              locationName: "launchTemplateName"
            },
            VersionNumber: {
              locationName: "versionNumber",
              type: "long"
            },
            VersionDescription: {
              locationName: "versionDescription"
            },
            CreateTime: {
              locationName: "createTime",
              type: "timestamp"
            },
            CreatedBy: {
              locationName: "createdBy"
            },
            DefaultVersion: {
              locationName: "defaultVersion",
              type: "boolean"
            },
            LaunchTemplateData: {
              shape: "Si1",
              locationName: "launchTemplateData"
            }
          }
        },
        Si1: {
          type: "structure",
          members: {
            KernelId: {
              locationName: "kernelId"
            },
            EbsOptimized: {
              locationName: "ebsOptimized",
              type: "boolean"
            },
            IamInstanceProfile: {
              locationName: "iamInstanceProfile",
              type: "structure",
              members: {
                Arn: {
                  locationName: "arn"
                },
                Name: {
                  locationName: "name"
                }
              }
            },
            BlockDeviceMappings: {
              locationName: "blockDeviceMappingSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  DeviceName: {
                    locationName: "deviceName"
                  },
                  VirtualName: {
                    locationName: "virtualName"
                  },
                  Ebs: {
                    locationName: "ebs",
                    type: "structure",
                    members: {
                      Encrypted: {
                        locationName: "encrypted",
                        type: "boolean"
                      },
                      DeleteOnTermination: {
                        locationName: "deleteOnTermination",
                        type: "boolean"
                      },
                      Iops: {
                        locationName: "iops",
                        type: "integer"
                      },
                      KmsKeyId: {
                        locationName: "kmsKeyId"
                      },
                      SnapshotId: {
                        locationName: "snapshotId"
                      },
                      VolumeSize: {
                        locationName: "volumeSize",
                        type: "integer"
                      },
                      VolumeType: {
                        locationName: "volumeType"
                      },
                      Throughput: {
                        locationName: "throughput",
                        type: "integer"
                      }
                    }
                  },
                  NoDevice: {
                    locationName: "noDevice"
                  }
                }
              }
            },
            NetworkInterfaces: {
              locationName: "networkInterfaceSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  AssociateCarrierIpAddress: {
                    locationName: "associateCarrierIpAddress",
                    type: "boolean"
                  },
                  AssociatePublicIpAddress: {
                    locationName: "associatePublicIpAddress",
                    type: "boolean"
                  },
                  DeleteOnTermination: {
                    locationName: "deleteOnTermination",
                    type: "boolean"
                  },
                  Description: {
                    locationName: "description"
                  },
                  DeviceIndex: {
                    locationName: "deviceIndex",
                    type: "integer"
                  },
                  Groups: {
                    shape: "S5o",
                    locationName: "groupSet"
                  },
                  InterfaceType: {
                    locationName: "interfaceType"
                  },
                  Ipv6AddressCount: {
                    locationName: "ipv6AddressCount",
                    type: "integer"
                  },
                  Ipv6Addresses: {
                    shape: "Si8",
                    locationName: "ipv6AddressesSet"
                  },
                  NetworkInterfaceId: {
                    locationName: "networkInterfaceId"
                  },
                  PrivateIpAddress: {
                    locationName: "privateIpAddress"
                  },
                  PrivateIpAddresses: {
                    shape: "Sgn",
                    locationName: "privateIpAddressesSet"
                  },
                  SecondaryPrivateIpAddressCount: {
                    locationName: "secondaryPrivateIpAddressCount",
                    type: "integer"
                  },
                  SubnetId: {
                    locationName: "subnetId"
                  },
                  NetworkCardIndex: {
                    locationName: "networkCardIndex",
                    type: "integer"
                  },
                  Ipv4Prefixes: {
                    locationName: "ipv4PrefixSet",
                    type: "list",
                    member: {
                      locationName: "item",
                      type: "structure",
                      members: {
                        Ipv4Prefix: {
                          locationName: "ipv4Prefix"
                        }
                      }
                    }
                  },
                  Ipv4PrefixCount: {
                    locationName: "ipv4PrefixCount",
                    type: "integer"
                  },
                  Ipv6Prefixes: {
                    locationName: "ipv6PrefixSet",
                    type: "list",
                    member: {
                      locationName: "item",
                      type: "structure",
                      members: {
                        Ipv6Prefix: {
                          locationName: "ipv6Prefix"
                        }
                      }
                    }
                  },
                  Ipv6PrefixCount: {
                    locationName: "ipv6PrefixCount",
                    type: "integer"
                  }
                }
              }
            },
            ImageId: {
              locationName: "imageId"
            },
            InstanceType: {
              locationName: "instanceType"
            },
            KeyName: {
              locationName: "keyName"
            },
            Monitoring: {
              locationName: "monitoring",
              type: "structure",
              members: {
                Enabled: {
                  locationName: "enabled",
                  type: "boolean"
                }
              }
            },
            Placement: {
              locationName: "placement",
              type: "structure",
              members: {
                AvailabilityZone: {
                  locationName: "availabilityZone"
                },
                Affinity: {
                  locationName: "affinity"
                },
                GroupName: {
                  locationName: "groupName"
                },
                HostId: {
                  locationName: "hostId"
                },
                Tenancy: {
                  locationName: "tenancy"
                },
                SpreadDomain: {
                  locationName: "spreadDomain"
                },
                HostResourceGroupArn: {
                  locationName: "hostResourceGroupArn"
                },
                PartitionNumber: {
                  locationName: "partitionNumber",
                  type: "integer"
                },
                GroupId: {
                  locationName: "groupId"
                }
              }
            },
            RamDiskId: {
              locationName: "ramDiskId"
            },
            DisableApiTermination: {
              locationName: "disableApiTermination",
              type: "boolean"
            },
            InstanceInitiatedShutdownBehavior: {
              locationName: "instanceInitiatedShutdownBehavior"
            },
            UserData: {
              shape: "Sg9",
              locationName: "userData"
            },
            TagSpecifications: {
              locationName: "tagSpecificationSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  ResourceType: {
                    locationName: "resourceType"
                  },
                  Tags: {
                    shape: "S6",
                    locationName: "tagSet"
                  }
                }
              }
            },
            ElasticGpuSpecifications: {
              locationName: "elasticGpuSpecificationSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  Type: {
                    locationName: "type"
                  }
                }
              }
            },
            ElasticInferenceAccelerators: {
              locationName: "elasticInferenceAcceleratorSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  Type: {
                    locationName: "type"
                  },
                  Count: {
                    locationName: "count",
                    type: "integer"
                  }
                }
              }
            },
            SecurityGroupIds: {
              shape: "So",
              locationName: "securityGroupIdSet"
            },
            SecurityGroups: {
              shape: "So",
              locationName: "securityGroupSet"
            },
            InstanceMarketOptions: {
              locationName: "instanceMarketOptions",
              type: "structure",
              members: {
                MarketType: {
                  locationName: "marketType"
                },
                SpotOptions: {
                  locationName: "spotOptions",
                  type: "structure",
                  members: {
                    MaxPrice: {
                      locationName: "maxPrice"
                    },
                    SpotInstanceType: {
                      locationName: "spotInstanceType"
                    },
                    BlockDurationMinutes: {
                      locationName: "blockDurationMinutes",
                      type: "integer"
                    },
                    ValidUntil: {
                      locationName: "validUntil",
                      type: "timestamp"
                    },
                    InstanceInterruptionBehavior: {
                      locationName: "instanceInterruptionBehavior"
                    }
                  }
                }
              }
            },
            CreditSpecification: {
              locationName: "creditSpecification",
              type: "structure",
              members: {
                CpuCredits: {
                  locationName: "cpuCredits"
                }
              }
            },
            CpuOptions: {
              locationName: "cpuOptions",
              type: "structure",
              members: {
                CoreCount: {
                  locationName: "coreCount",
                  type: "integer"
                },
                ThreadsPerCore: {
                  locationName: "threadsPerCore",
                  type: "integer"
                },
                AmdSevSnp: {
                  locationName: "amdSevSnp"
                }
              }
            },
            CapacityReservationSpecification: {
              locationName: "capacityReservationSpecification",
              type: "structure",
              members: {
                CapacityReservationPreference: {
                  locationName: "capacityReservationPreference"
                },
                CapacityReservationTarget: {
                  shape: "Sir",
                  locationName: "capacityReservationTarget"
                }
              }
            },
            LicenseSpecifications: {
              locationName: "licenseSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  LicenseConfigurationArn: {
                    locationName: "licenseConfigurationArn"
                  }
                }
              }
            },
            HibernationOptions: {
              locationName: "hibernationOptions",
              type: "structure",
              members: {
                Configured: {
                  locationName: "configured",
                  type: "boolean"
                }
              }
            },
            MetadataOptions: {
              locationName: "metadataOptions",
              type: "structure",
              members: {
                State: {
                  locationName: "state"
                },
                HttpTokens: {
                  locationName: "httpTokens"
                },
                HttpPutResponseHopLimit: {
                  locationName: "httpPutResponseHopLimit",
                  type: "integer"
                },
                HttpEndpoint: {
                  locationName: "httpEndpoint"
                },
                HttpProtocolIpv6: {
                  locationName: "httpProtocolIpv6"
                },
                InstanceMetadataTags: {
                  locationName: "instanceMetadataTags"
                }
              }
            },
            EnclaveOptions: {
              locationName: "enclaveOptions",
              type: "structure",
              members: {
                Enabled: {
                  locationName: "enabled",
                  type: "boolean"
                }
              }
            },
            InstanceRequirements: {
              shape: "Sdo",
              locationName: "instanceRequirements"
            },
            PrivateDnsNameOptions: {
              locationName: "privateDnsNameOptions",
              type: "structure",
              members: {
                HostnameType: {
                  locationName: "hostnameType"
                },
                EnableResourceNameDnsARecord: {
                  locationName: "enableResourceNameDnsARecord",
                  type: "boolean"
                },
                EnableResourceNameDnsAAAARecord: {
                  locationName: "enableResourceNameDnsAAAARecord",
                  type: "boolean"
                }
              }
            },
            MaintenanceOptions: {
              locationName: "maintenanceOptions",
              type: "structure",
              members: {
                AutoRecovery: {
                  locationName: "autoRecovery"
                }
              }
            },
            DisableApiStop: {
              locationName: "disableApiStop",
              type: "boolean"
            }
          }
        },
        Si8: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Ipv6Address: {
                locationName: "ipv6Address"
              }
            }
          }
        },
        Sir: {
          type: "structure",
          members: {
            CapacityReservationId: {
              locationName: "capacityReservationId"
            },
            CapacityReservationResourceGroupArn: {
              locationName: "capacityReservationResourceGroupArn"
            }
          }
        },
        Sj3: {
          type: "structure",
          members: {
            DestinationCidrBlock: {
              locationName: "destinationCidrBlock"
            },
            LocalGatewayVirtualInterfaceGroupId: {
              locationName: "localGatewayVirtualInterfaceGroupId"
            },
            Type: {
              locationName: "type"
            },
            State: {
              locationName: "state"
            },
            LocalGatewayRouteTableId: {
              locationName: "localGatewayRouteTableId"
            },
            LocalGatewayRouteTableArn: {
              locationName: "localGatewayRouteTableArn"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            SubnetId: {
              locationName: "subnetId"
            },
            CoipPoolId: {
              locationName: "coipPoolId"
            },
            NetworkInterfaceId: {
              locationName: "networkInterfaceId"
            },
            DestinationPrefixListId: {
              locationName: "destinationPrefixListId"
            }
          }
        },
        Sja: {
          type: "structure",
          members: {
            LocalGatewayRouteTableId: {
              locationName: "localGatewayRouteTableId"
            },
            LocalGatewayRouteTableArn: {
              locationName: "localGatewayRouteTableArn"
            },
            LocalGatewayId: {
              locationName: "localGatewayId"
            },
            OutpostArn: {
              locationName: "outpostArn"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            State: {
              locationName: "state"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            Mode: {
              locationName: "mode"
            },
            StateReason: {
              shape: "Sjb",
              locationName: "stateReason"
            }
          }
        },
        Sjb: {
          type: "structure",
          members: {
            Code: {
              locationName: "code"
            },
            Message: {
              locationName: "message"
            }
          }
        },
        Sje: {
          type: "structure",
          members: {
            LocalGatewayRouteTableVirtualInterfaceGroupAssociationId: {
              locationName: "localGatewayRouteTableVirtualInterfaceGroupAssociationId"
            },
            LocalGatewayVirtualInterfaceGroupId: {
              locationName: "localGatewayVirtualInterfaceGroupId"
            },
            LocalGatewayId: {
              locationName: "localGatewayId"
            },
            LocalGatewayRouteTableId: {
              locationName: "localGatewayRouteTableId"
            },
            LocalGatewayRouteTableArn: {
              locationName: "localGatewayRouteTableArn"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            State: {
              locationName: "state"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sji: {
          type: "structure",
          members: {
            LocalGatewayRouteTableVpcAssociationId: {
              locationName: "localGatewayRouteTableVpcAssociationId"
            },
            LocalGatewayRouteTableId: {
              locationName: "localGatewayRouteTableId"
            },
            LocalGatewayRouteTableArn: {
              locationName: "localGatewayRouteTableArn"
            },
            LocalGatewayId: {
              locationName: "localGatewayId"
            },
            VpcId: {
              locationName: "vpcId"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            State: {
              locationName: "state"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sjl: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Cidr"
            ],
            members: {
              Cidr: {},
              Description: {}
            }
          }
        },
        Sjo: {
          type: "structure",
          members: {
            PrefixListId: {
              locationName: "prefixListId"
            },
            AddressFamily: {
              locationName: "addressFamily"
            },
            State: {
              locationName: "state"
            },
            StateMessage: {
              locationName: "stateMessage"
            },
            PrefixListArn: {
              locationName: "prefixListArn"
            },
            PrefixListName: {
              locationName: "prefixListName"
            },
            MaxEntries: {
              locationName: "maxEntries",
              type: "integer"
            },
            Version: {
              locationName: "version",
              type: "long"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            OwnerId: {
              locationName: "ownerId"
            }
          }
        },
        Sjt: {
          type: "structure",
          members: {
            CreateTime: {
              locationName: "createTime",
              type: "timestamp"
            },
            DeleteTime: {
              locationName: "deleteTime",
              type: "timestamp"
            },
            FailureCode: {
              locationName: "failureCode"
            },
            FailureMessage: {
              locationName: "failureMessage"
            },
            NatGatewayAddresses: {
              shape: "S36",
              locationName: "natGatewayAddressSet"
            },
            NatGatewayId: {
              locationName: "natGatewayId"
            },
            ProvisionedBandwidth: {
              locationName: "provisionedBandwidth",
              type: "structure",
              members: {
                ProvisionTime: {
                  locationName: "provisionTime",
                  type: "timestamp"
                },
                Provisioned: {
                  locationName: "provisioned"
                },
                RequestTime: {
                  locationName: "requestTime",
                  type: "timestamp"
                },
                Requested: {
                  locationName: "requested"
                },
                Status: {
                  locationName: "status"
                }
              }
            },
            State: {
              locationName: "state"
            },
            SubnetId: {
              locationName: "subnetId"
            },
            VpcId: {
              locationName: "vpcId"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            ConnectivityType: {
              locationName: "connectivityType"
            }
          }
        },
        Sjy: {
          type: "structure",
          members: {
            Associations: {
              locationName: "associationSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  NetworkAclAssociationId: {
                    locationName: "networkAclAssociationId"
                  },
                  NetworkAclId: {
                    locationName: "networkAclId"
                  },
                  SubnetId: {
                    locationName: "subnetId"
                  }
                }
              }
            },
            Entries: {
              locationName: "entrySet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  CidrBlock: {
                    locationName: "cidrBlock"
                  },
                  Egress: {
                    locationName: "egress",
                    type: "boolean"
                  },
                  IcmpTypeCode: {
                    shape: "Sk3",
                    locationName: "icmpTypeCode"
                  },
                  Ipv6CidrBlock: {
                    locationName: "ipv6CidrBlock"
                  },
                  PortRange: {
                    shape: "Sk4",
                    locationName: "portRange"
                  },
                  Protocol: {
                    locationName: "protocol"
                  },
                  RuleAction: {
                    locationName: "ruleAction"
                  },
                  RuleNumber: {
                    locationName: "ruleNumber",
                    type: "integer"
                  }
                }
              }
            },
            IsDefault: {
              locationName: "default",
              type: "boolean"
            },
            NetworkAclId: {
              locationName: "networkAclId"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            VpcId: {
              locationName: "vpcId"
            },
            OwnerId: {
              locationName: "ownerId"
            }
          }
        },
        Sk3: {
          type: "structure",
          members: {
            Code: {
              locationName: "code",
              type: "integer"
            },
            Type: {
              locationName: "type",
              type: "integer"
            }
          }
        },
        Sk4: {
          type: "structure",
          members: {
            From: {
              locationName: "from",
              type: "integer"
            },
            To: {
              locationName: "to",
              type: "integer"
            }
          }
        },
        Sk9: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Source: {
                shape: "Skb"
              },
              Destination: {
                shape: "Skb"
              },
              ThroughResources: {
                locationName: "ThroughResource",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ResourceStatement: {
                      shape: "Skf"
                    }
                  }
                }
              }
            }
          }
        },
        Skb: {
          type: "structure",
          members: {
            PacketHeaderStatement: {
              type: "structure",
              members: {
                SourceAddresses: {
                  shape: "So",
                  locationName: "SourceAddress"
                },
                DestinationAddresses: {
                  shape: "So",
                  locationName: "DestinationAddress"
                },
                SourcePorts: {
                  shape: "So",
                  locationName: "SourcePort"
                },
                DestinationPorts: {
                  shape: "So",
                  locationName: "DestinationPort"
                },
                SourcePrefixLists: {
                  shape: "So",
                  locationName: "SourcePrefixList"
                },
                DestinationPrefixLists: {
                  shape: "So",
                  locationName: "DestinationPrefixList"
                },
                Protocols: {
                  shape: "Skd",
                  locationName: "Protocol"
                }
              }
            },
            ResourceStatement: {
              shape: "Skf"
            }
          }
        },
        Skd: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Skf: {
          type: "structure",
          members: {
            Resources: {
              shape: "So",
              locationName: "Resource"
            },
            ResourceTypes: {
              shape: "So",
              locationName: "ResourceType"
            }
          }
        },
        Skj: {
          type: "structure",
          members: {
            NetworkInsightsAccessScopeId: {
              locationName: "networkInsightsAccessScopeId"
            },
            NetworkInsightsAccessScopeArn: {
              locationName: "networkInsightsAccessScopeArn"
            },
            CreatedDate: {
              locationName: "createdDate",
              type: "timestamp"
            },
            UpdatedDate: {
              locationName: "updatedDate",
              type: "timestamp"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Skl: {
          type: "structure",
          members: {
            NetworkInsightsAccessScopeId: {
              locationName: "networkInsightsAccessScopeId"
            },
            MatchPaths: {
              shape: "Skm",
              locationName: "matchPathSet"
            },
            ExcludePaths: {
              shape: "Skm",
              locationName: "excludePathSet"
            }
          }
        },
        Skm: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Source: {
                shape: "Sko",
                locationName: "source"
              },
              Destination: {
                shape: "Sko",
                locationName: "destination"
              },
              ThroughResources: {
                locationName: "throughResourceSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    ResourceStatement: {
                      shape: "Skq",
                      locationName: "resourceStatement"
                    }
                  }
                }
              }
            }
          }
        },
        Sko: {
          type: "structure",
          members: {
            PacketHeaderStatement: {
              locationName: "packetHeaderStatement",
              type: "structure",
              members: {
                SourceAddresses: {
                  shape: "So",
                  locationName: "sourceAddressSet"
                },
                DestinationAddresses: {
                  shape: "So",
                  locationName: "destinationAddressSet"
                },
                SourcePorts: {
                  shape: "So",
                  locationName: "sourcePortSet"
                },
                DestinationPorts: {
                  shape: "So",
                  locationName: "destinationPortSet"
                },
                SourcePrefixLists: {
                  shape: "So",
                  locationName: "sourcePrefixListSet"
                },
                DestinationPrefixLists: {
                  shape: "So",
                  locationName: "destinationPrefixListSet"
                },
                Protocols: {
                  shape: "Skd",
                  locationName: "protocolSet"
                }
              }
            },
            ResourceStatement: {
              shape: "Skq",
              locationName: "resourceStatement"
            }
          }
        },
        Skq: {
          type: "structure",
          members: {
            Resources: {
              shape: "So",
              locationName: "resourceSet"
            },
            ResourceTypes: {
              shape: "So",
              locationName: "resourceTypeSet"
            }
          }
        },
        Skx: {
          type: "structure",
          members: {
            SourceAddress: {},
            SourcePortRange: {
              shape: "Sky"
            },
            DestinationAddress: {},
            DestinationPortRange: {
              shape: "Sky"
            }
          }
        },
        Sky: {
          type: "structure",
          members: {
            FromPort: {
              type: "integer"
            },
            ToPort: {
              type: "integer"
            }
          }
        },
        Sl0: {
          type: "structure",
          members: {
            NetworkInsightsPathId: {
              locationName: "networkInsightsPathId"
            },
            NetworkInsightsPathArn: {
              locationName: "networkInsightsPathArn"
            },
            CreatedDate: {
              locationName: "createdDate",
              type: "timestamp"
            },
            Source: {
              locationName: "source"
            },
            Destination: {
              locationName: "destination"
            },
            SourceArn: {
              locationName: "sourceArn"
            },
            DestinationArn: {
              locationName: "destinationArn"
            },
            SourceIp: {
              locationName: "sourceIp"
            },
            DestinationIp: {
              locationName: "destinationIp"
            },
            Protocol: {
              locationName: "protocol"
            },
            DestinationPort: {
              locationName: "destinationPort",
              type: "integer"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            FilterAtSource: {
              shape: "Sl2",
              locationName: "filterAtSource"
            },
            FilterAtDestination: {
              shape: "Sl2",
              locationName: "filterAtDestination"
            }
          }
        },
        Sl2: {
          type: "structure",
          members: {
            SourceAddress: {
              locationName: "sourceAddress"
            },
            SourcePortRange: {
              shape: "Sl3",
              locationName: "sourcePortRange"
            },
            DestinationAddress: {
              locationName: "destinationAddress"
            },
            DestinationPortRange: {
              shape: "Sl3",
              locationName: "destinationPortRange"
            }
          }
        },
        Sl3: {
          type: "structure",
          members: {
            FromPort: {
              locationName: "fromPort",
              type: "integer"
            },
            ToPort: {
              locationName: "toPort",
              type: "integer"
            }
          }
        },
        Sl7: {
          type: "structure",
          members: {
            Association: {
              shape: "Sl8",
              locationName: "association"
            },
            Attachment: {
              shape: "Sl9",
              locationName: "attachment"
            },
            AvailabilityZone: {
              locationName: "availabilityZone"
            },
            Description: {
              locationName: "description"
            },
            Groups: {
              shape: "Slc",
              locationName: "groupSet"
            },
            InterfaceType: {
              locationName: "interfaceType"
            },
            Ipv6Addresses: {
              locationName: "ipv6AddressesSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  Ipv6Address: {
                    locationName: "ipv6Address"
                  }
                }
              }
            },
            MacAddress: {
              locationName: "macAddress"
            },
            NetworkInterfaceId: {
              locationName: "networkInterfaceId"
            },
            OutpostArn: {
              locationName: "outpostArn"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            PrivateDnsName: {
              locationName: "privateDnsName"
            },
            PrivateIpAddress: {
              locationName: "privateIpAddress"
            },
            PrivateIpAddresses: {
              locationName: "privateIpAddressesSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  Association: {
                    shape: "Sl8",
                    locationName: "association"
                  },
                  Primary: {
                    locationName: "primary",
                    type: "boolean"
                  },
                  PrivateDnsName: {
                    locationName: "privateDnsName"
                  },
                  PrivateIpAddress: {
                    locationName: "privateIpAddress"
                  }
                }
              }
            },
            Ipv4Prefixes: {
              shape: "S2z",
              locationName: "ipv4PrefixSet"
            },
            Ipv6Prefixes: {
              locationName: "ipv6PrefixSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  Ipv6Prefix: {
                    locationName: "ipv6Prefix"
                  }
                }
              }
            },
            RequesterId: {
              locationName: "requesterId"
            },
            RequesterManaged: {
              locationName: "requesterManaged",
              type: "boolean"
            },
            SourceDestCheck: {
              locationName: "sourceDestCheck",
              type: "boolean"
            },
            Status: {
              locationName: "status"
            },
            SubnetId: {
              locationName: "subnetId"
            },
            TagSet: {
              shape: "S6",
              locationName: "tagSet"
            },
            VpcId: {
              locationName: "vpcId"
            },
            DenyAllIgwTraffic: {
              locationName: "denyAllIgwTraffic",
              type: "boolean"
            },
            Ipv6Native: {
              locationName: "ipv6Native",
              type: "boolean"
            },
            Ipv6Address: {
              locationName: "ipv6Address"
            }
          }
        },
        Sl8: {
          type: "structure",
          members: {
            AllocationId: {
              locationName: "allocationId"
            },
            AssociationId: {
              locationName: "associationId"
            },
            IpOwnerId: {
              locationName: "ipOwnerId"
            },
            PublicDnsName: {
              locationName: "publicDnsName"
            },
            PublicIp: {
              locationName: "publicIp"
            },
            CustomerOwnedIp: {
              locationName: "customerOwnedIp"
            },
            CarrierIp: {
              locationName: "carrierIp"
            }
          }
        },
        Sl9: {
          type: "structure",
          members: {
            AttachTime: {
              locationName: "attachTime",
              type: "timestamp"
            },
            AttachmentId: {
              locationName: "attachmentId"
            },
            DeleteOnTermination: {
              locationName: "deleteOnTermination",
              type: "boolean"
            },
            DeviceIndex: {
              locationName: "deviceIndex",
              type: "integer"
            },
            NetworkCardIndex: {
              locationName: "networkCardIndex",
              type: "integer"
            },
            InstanceId: {
              locationName: "instanceId"
            },
            InstanceOwnerId: {
              locationName: "instanceOwnerId"
            },
            Status: {
              locationName: "status"
            },
            EnaSrdSpecification: {
              locationName: "enaSrdSpecification",
              type: "structure",
              members: {
                EnaSrdEnabled: {
                  locationName: "enaSrdEnabled",
                  type: "boolean"
                },
                EnaSrdUdpSpecification: {
                  locationName: "enaSrdUdpSpecification",
                  type: "structure",
                  members: {
                    EnaSrdUdpEnabled: {
                      locationName: "enaSrdUdpEnabled",
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        Slc: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              GroupName: {
                locationName: "groupName"
              },
              GroupId: {
                locationName: "groupId"
              }
            }
          }
        },
        Slp: {
          type: "structure",
          members: {
            NetworkInterfacePermissionId: {
              locationName: "networkInterfacePermissionId"
            },
            NetworkInterfaceId: {
              locationName: "networkInterfaceId"
            },
            AwsAccountId: {
              locationName: "awsAccountId"
            },
            AwsService: {
              locationName: "awsService"
            },
            Permission: {
              locationName: "permission"
            },
            PermissionState: {
              locationName: "permissionState",
              type: "structure",
              members: {
                State: {
                  locationName: "state"
                },
                StatusMessage: {
                  locationName: "statusMessage"
                }
              }
            }
          }
        },
        Slw: {
          type: "structure",
          members: {
            GroupName: {
              locationName: "groupName"
            },
            State: {
              locationName: "state"
            },
            Strategy: {
              locationName: "strategy"
            },
            PartitionCount: {
              locationName: "partitionCount",
              type: "integer"
            },
            GroupId: {
              locationName: "groupId"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            GroupArn: {
              locationName: "groupArn"
            },
            SpreadLevel: {
              locationName: "spreadLevel"
            }
          }
        },
        Sm2: {
          type: "structure",
          members: {
            ReplaceRootVolumeTaskId: {
              locationName: "replaceRootVolumeTaskId"
            },
            InstanceId: {
              locationName: "instanceId"
            },
            TaskState: {
              locationName: "taskState"
            },
            StartTime: {
              locationName: "startTime"
            },
            CompleteTime: {
              locationName: "completeTime"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            ImageId: {
              locationName: "imageId"
            },
            SnapshotId: {
              locationName: "snapshotId"
            },
            DeleteReplacedRootVolume: {
              locationName: "deleteReplacedRootVolume",
              type: "boolean"
            }
          }
        },
        Smi: {
          type: "structure",
          members: {
            Associations: {
              locationName: "associationSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  Main: {
                    locationName: "main",
                    type: "boolean"
                  },
                  RouteTableAssociationId: {
                    locationName: "routeTableAssociationId"
                  },
                  RouteTableId: {
                    locationName: "routeTableId"
                  },
                  SubnetId: {
                    locationName: "subnetId"
                  },
                  GatewayId: {
                    locationName: "gatewayId"
                  },
                  AssociationState: {
                    shape: "S4q",
                    locationName: "associationState"
                  }
                }
              }
            },
            PropagatingVgws: {
              locationName: "propagatingVgwSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  GatewayId: {
                    locationName: "gatewayId"
                  }
                }
              }
            },
            RouteTableId: {
              locationName: "routeTableId"
            },
            Routes: {
              locationName: "routeSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  DestinationCidrBlock: {
                    locationName: "destinationCidrBlock"
                  },
                  DestinationIpv6CidrBlock: {
                    locationName: "destinationIpv6CidrBlock"
                  },
                  DestinationPrefixListId: {
                    locationName: "destinationPrefixListId"
                  },
                  EgressOnlyInternetGatewayId: {
                    locationName: "egressOnlyInternetGatewayId"
                  },
                  GatewayId: {
                    locationName: "gatewayId"
                  },
                  InstanceId: {
                    locationName: "instanceId"
                  },
                  InstanceOwnerId: {
                    locationName: "instanceOwnerId"
                  },
                  NatGatewayId: {
                    locationName: "natGatewayId"
                  },
                  TransitGatewayId: {
                    locationName: "transitGatewayId"
                  },
                  LocalGatewayId: {
                    locationName: "localGatewayId"
                  },
                  CarrierGatewayId: {
                    locationName: "carrierGatewayId"
                  },
                  NetworkInterfaceId: {
                    locationName: "networkInterfaceId"
                  },
                  Origin: {
                    locationName: "origin"
                  },
                  State: {
                    locationName: "state"
                  },
                  VpcPeeringConnectionId: {
                    locationName: "vpcPeeringConnectionId"
                  },
                  CoreNetworkArn: {
                    locationName: "coreNetworkArn"
                  }
                }
              }
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            VpcId: {
              locationName: "vpcId"
            },
            OwnerId: {
              locationName: "ownerId"
            }
          }
        },
        Smu: {
          type: "structure",
          members: {
            DataEncryptionKeyId: {
              locationName: "dataEncryptionKeyId"
            },
            Description: {
              locationName: "description"
            },
            Encrypted: {
              locationName: "encrypted",
              type: "boolean"
            },
            KmsKeyId: {
              locationName: "kmsKeyId"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            Progress: {
              locationName: "progress"
            },
            SnapshotId: {
              locationName: "snapshotId"
            },
            StartTime: {
              locationName: "startTime",
              type: "timestamp"
            },
            State: {
              locationName: "status"
            },
            StateMessage: {
              locationName: "statusMessage"
            },
            VolumeId: {
              locationName: "volumeId"
            },
            VolumeSize: {
              locationName: "volumeSize",
              type: "integer"
            },
            OwnerAlias: {
              locationName: "ownerAlias"
            },
            OutpostArn: {
              locationName: "outpostArn"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            StorageTier: {
              locationName: "storageTier"
            },
            RestoreExpiryTime: {
              locationName: "restoreExpiryTime",
              type: "timestamp"
            }
          }
        },
        Sn0: {
          type: "list",
          member: {
            locationName: "VolumeId"
          }
        },
        Sn7: {
          type: "structure",
          members: {
            Bucket: {
              locationName: "bucket"
            },
            Fault: {
              shape: "Sn8",
              locationName: "fault"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            Prefix: {
              locationName: "prefix"
            },
            State: {
              locationName: "state"
            }
          }
        },
        Sn8: {
          type: "structure",
          members: {
            Code: {
              locationName: "code"
            },
            Message: {
              locationName: "message"
            }
          }
        },
        Snj: {
          type: "structure",
          members: {
            SubnetCidrReservationId: {
              locationName: "subnetCidrReservationId"
            },
            SubnetId: {
              locationName: "subnetId"
            },
            Cidr: {
              locationName: "cidr"
            },
            ReservationType: {
              locationName: "reservationType"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            Description: {
              locationName: "description"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Snm: {
          type: "list",
          member: {}
        },
        Snq: {
          type: "structure",
          members: {
            TrafficMirrorFilterId: {
              locationName: "trafficMirrorFilterId"
            },
            IngressFilterRules: {
              shape: "Snr",
              locationName: "ingressFilterRuleSet"
            },
            EgressFilterRules: {
              shape: "Snr",
              locationName: "egressFilterRuleSet"
            },
            NetworkServices: {
              shape: "Snw",
              locationName: "networkServiceSet"
            },
            Description: {
              locationName: "description"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Snr: {
          type: "list",
          member: {
            shape: "Sns",
            locationName: "item"
          }
        },
        Sns: {
          type: "structure",
          members: {
            TrafficMirrorFilterRuleId: {
              locationName: "trafficMirrorFilterRuleId"
            },
            TrafficMirrorFilterId: {
              locationName: "trafficMirrorFilterId"
            },
            TrafficDirection: {
              locationName: "trafficDirection"
            },
            RuleNumber: {
              locationName: "ruleNumber",
              type: "integer"
            },
            RuleAction: {
              locationName: "ruleAction"
            },
            Protocol: {
              locationName: "protocol",
              type: "integer"
            },
            DestinationPortRange: {
              shape: "Snv",
              locationName: "destinationPortRange"
            },
            SourcePortRange: {
              shape: "Snv",
              locationName: "sourcePortRange"
            },
            DestinationCidrBlock: {
              locationName: "destinationCidrBlock"
            },
            SourceCidrBlock: {
              locationName: "sourceCidrBlock"
            },
            Description: {
              locationName: "description"
            }
          }
        },
        Snv: {
          type: "structure",
          members: {
            FromPort: {
              locationName: "fromPort",
              type: "integer"
            },
            ToPort: {
              locationName: "toPort",
              type: "integer"
            }
          }
        },
        Snw: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        So0: {
          type: "structure",
          members: {
            FromPort: {
              type: "integer"
            },
            ToPort: {
              type: "integer"
            }
          }
        },
        So5: {
          type: "structure",
          members: {
            TrafficMirrorSessionId: {
              locationName: "trafficMirrorSessionId"
            },
            TrafficMirrorTargetId: {
              locationName: "trafficMirrorTargetId"
            },
            TrafficMirrorFilterId: {
              locationName: "trafficMirrorFilterId"
            },
            NetworkInterfaceId: {
              locationName: "networkInterfaceId"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            PacketLength: {
              locationName: "packetLength",
              type: "integer"
            },
            SessionNumber: {
              locationName: "sessionNumber",
              type: "integer"
            },
            VirtualNetworkId: {
              locationName: "virtualNetworkId",
              type: "integer"
            },
            Description: {
              locationName: "description"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        So8: {
          type: "structure",
          members: {
            TrafficMirrorTargetId: {
              locationName: "trafficMirrorTargetId"
            },
            NetworkInterfaceId: {
              locationName: "networkInterfaceId"
            },
            NetworkLoadBalancerArn: {
              locationName: "networkLoadBalancerArn"
            },
            Type: {
              locationName: "type"
            },
            Description: {
              locationName: "description"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            GatewayLoadBalancerEndpointId: {
              locationName: "gatewayLoadBalancerEndpointId"
            }
          }
        },
        Soh: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Soj: {
          type: "structure",
          members: {
            TransitGatewayId: {
              locationName: "transitGatewayId"
            },
            TransitGatewayArn: {
              locationName: "transitGatewayArn"
            },
            State: {
              locationName: "state"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            Description: {
              locationName: "description"
            },
            CreationTime: {
              locationName: "creationTime",
              type: "timestamp"
            },
            Options: {
              locationName: "options",
              type: "structure",
              members: {
                AmazonSideAsn: {
                  locationName: "amazonSideAsn",
                  type: "long"
                },
                TransitGatewayCidrBlocks: {
                  shape: "So",
                  locationName: "transitGatewayCidrBlocks"
                },
                AutoAcceptSharedAttachments: {
                  locationName: "autoAcceptSharedAttachments"
                },
                DefaultRouteTableAssociation: {
                  locationName: "defaultRouteTableAssociation"
                },
                AssociationDefaultRouteTableId: {
                  locationName: "associationDefaultRouteTableId"
                },
                DefaultRouteTablePropagation: {
                  locationName: "defaultRouteTablePropagation"
                },
                PropagationDefaultRouteTableId: {
                  locationName: "propagationDefaultRouteTableId"
                },
                VpnEcmpSupport: {
                  locationName: "vpnEcmpSupport"
                },
                DnsSupport: {
                  locationName: "dnsSupport"
                },
                MulticastSupport: {
                  locationName: "multicastSupport"
                }
              }
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Soq: {
          type: "structure",
          members: {
            TransitGatewayAttachmentId: {
              locationName: "transitGatewayAttachmentId"
            },
            TransportTransitGatewayAttachmentId: {
              locationName: "transportTransitGatewayAttachmentId"
            },
            TransitGatewayId: {
              locationName: "transitGatewayId"
            },
            State: {
              locationName: "state"
            },
            CreationTime: {
              locationName: "creationTime",
              type: "timestamp"
            },
            Options: {
              locationName: "options",
              type: "structure",
              members: {
                Protocol: {
                  locationName: "protocol"
                }
              }
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sou: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Sow: {
          type: "structure",
          members: {
            TransitGatewayAttachmentId: {
              locationName: "transitGatewayAttachmentId"
            },
            TransitGatewayConnectPeerId: {
              locationName: "transitGatewayConnectPeerId"
            },
            State: {
              locationName: "state"
            },
            CreationTime: {
              locationName: "creationTime",
              type: "timestamp"
            },
            ConnectPeerConfiguration: {
              locationName: "connectPeerConfiguration",
              type: "structure",
              members: {
                TransitGatewayAddress: {
                  locationName: "transitGatewayAddress"
                },
                PeerAddress: {
                  locationName: "peerAddress"
                },
                InsideCidrBlocks: {
                  shape: "Sou",
                  locationName: "insideCidrBlocks"
                },
                Protocol: {
                  locationName: "protocol"
                },
                BgpConfigurations: {
                  locationName: "bgpConfigurations",
                  type: "list",
                  member: {
                    locationName: "item",
                    type: "structure",
                    members: {
                      TransitGatewayAsn: {
                        locationName: "transitGatewayAsn",
                        type: "long"
                      },
                      PeerAsn: {
                        locationName: "peerAsn",
                        type: "long"
                      },
                      TransitGatewayAddress: {
                        locationName: "transitGatewayAddress"
                      },
                      PeerAddress: {
                        locationName: "peerAddress"
                      },
                      BgpStatus: {
                        locationName: "bgpStatus"
                      }
                    }
                  }
                }
              }
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sp9: {
          type: "structure",
          members: {
            TransitGatewayMulticastDomainId: {
              locationName: "transitGatewayMulticastDomainId"
            },
            TransitGatewayId: {
              locationName: "transitGatewayId"
            },
            TransitGatewayMulticastDomainArn: {
              locationName: "transitGatewayMulticastDomainArn"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            Options: {
              locationName: "options",
              type: "structure",
              members: {
                Igmpv2Support: {
                  locationName: "igmpv2Support"
                },
                StaticSourcesSupport: {
                  locationName: "staticSourcesSupport"
                },
                AutoAcceptSharedAssociations: {
                  locationName: "autoAcceptSharedAssociations"
                }
              }
            },
            State: {
              locationName: "state"
            },
            CreationTime: {
              locationName: "creationTime",
              type: "timestamp"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Spi: {
          type: "structure",
          members: {
            TransitGatewayPolicyTableId: {
              locationName: "transitGatewayPolicyTableId"
            },
            TransitGatewayId: {
              locationName: "transitGatewayId"
            },
            State: {
              locationName: "state"
            },
            CreationTime: {
              locationName: "creationTime",
              type: "timestamp"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Spm: {
          type: "structure",
          members: {
            TransitGatewayRouteTableId: {
              locationName: "transitGatewayRouteTableId"
            },
            PrefixListId: {
              locationName: "prefixListId"
            },
            PrefixListOwnerId: {
              locationName: "prefixListOwnerId"
            },
            State: {
              locationName: "state"
            },
            Blackhole: {
              locationName: "blackhole",
              type: "boolean"
            },
            TransitGatewayAttachment: {
              locationName: "transitGatewayAttachment",
              type: "structure",
              members: {
                TransitGatewayAttachmentId: {
                  locationName: "transitGatewayAttachmentId"
                },
                ResourceType: {
                  locationName: "resourceType"
                },
                ResourceId: {
                  locationName: "resourceId"
                }
              }
            }
          }
        },
        Spr: {
          type: "structure",
          members: {
            DestinationCidrBlock: {
              locationName: "destinationCidrBlock"
            },
            PrefixListId: {
              locationName: "prefixListId"
            },
            TransitGatewayRouteTableAnnouncementId: {
              locationName: "transitGatewayRouteTableAnnouncementId"
            },
            TransitGatewayAttachments: {
              locationName: "transitGatewayAttachments",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  ResourceId: {
                    locationName: "resourceId"
                  },
                  TransitGatewayAttachmentId: {
                    locationName: "transitGatewayAttachmentId"
                  },
                  ResourceType: {
                    locationName: "resourceType"
                  }
                }
              }
            },
            Type: {
              locationName: "type"
            },
            State: {
              locationName: "state"
            }
          }
        },
        Spz: {
          type: "structure",
          members: {
            TransitGatewayRouteTableId: {
              locationName: "transitGatewayRouteTableId"
            },
            TransitGatewayId: {
              locationName: "transitGatewayId"
            },
            State: {
              locationName: "state"
            },
            DefaultAssociationRouteTable: {
              locationName: "defaultAssociationRouteTable",
              type: "boolean"
            },
            DefaultPropagationRouteTable: {
              locationName: "defaultPropagationRouteTable",
              type: "boolean"
            },
            CreationTime: {
              locationName: "creationTime",
              type: "timestamp"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sq3: {
          type: "structure",
          members: {
            TransitGatewayRouteTableAnnouncementId: {
              locationName: "transitGatewayRouteTableAnnouncementId"
            },
            TransitGatewayId: {
              locationName: "transitGatewayId"
            },
            CoreNetworkId: {
              locationName: "coreNetworkId"
            },
            PeerTransitGatewayId: {
              locationName: "peerTransitGatewayId"
            },
            PeerCoreNetworkId: {
              locationName: "peerCoreNetworkId"
            },
            PeeringAttachmentId: {
              locationName: "peeringAttachmentId"
            },
            AnnouncementDirection: {
              locationName: "announcementDirection"
            },
            TransitGatewayRouteTableId: {
              locationName: "transitGatewayRouteTableId"
            },
            State: {
              locationName: "state"
            },
            CreationTime: {
              locationName: "creationTime",
              type: "timestamp"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sqe: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Sqm: {
          type: "structure",
          members: {
            VerifiedAccessInstanceId: {
              locationName: "verifiedAccessInstanceId"
            },
            VerifiedAccessGroupId: {
              locationName: "verifiedAccessGroupId"
            },
            VerifiedAccessEndpointId: {
              locationName: "verifiedAccessEndpointId"
            },
            ApplicationDomain: {
              locationName: "applicationDomain"
            },
            EndpointType: {
              locationName: "endpointType"
            },
            AttachmentType: {
              locationName: "attachmentType"
            },
            DomainCertificateArn: {
              locationName: "domainCertificateArn"
            },
            EndpointDomain: {
              locationName: "endpointDomain"
            },
            DeviceValidationDomain: {
              locationName: "deviceValidationDomain"
            },
            SecurityGroupIds: {
              shape: "Sqe",
              locationName: "securityGroupIdSet"
            },
            LoadBalancerOptions: {
              locationName: "loadBalancerOptions",
              type: "structure",
              members: {
                Protocol: {
                  locationName: "protocol"
                },
                Port: {
                  locationName: "port",
                  type: "integer"
                },
                LoadBalancerArn: {
                  locationName: "loadBalancerArn"
                },
                SubnetIds: {
                  locationName: "subnetIdSet",
                  type: "list",
                  member: {
                    locationName: "item"
                  }
                }
              }
            },
            NetworkInterfaceOptions: {
              locationName: "networkInterfaceOptions",
              type: "structure",
              members: {
                NetworkInterfaceId: {
                  locationName: "networkInterfaceId"
                },
                Protocol: {
                  locationName: "protocol"
                },
                Port: {
                  locationName: "port",
                  type: "integer"
                }
              }
            },
            Status: {
              locationName: "status",
              type: "structure",
              members: {
                Code: {
                  locationName: "code"
                },
                Message: {
                  locationName: "message"
                }
              }
            },
            Description: {
              locationName: "description"
            },
            CreationTime: {
              locationName: "creationTime"
            },
            LastUpdatedTime: {
              locationName: "lastUpdatedTime"
            },
            DeletionTime: {
              locationName: "deletionTime"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Squ: {
          type: "structure",
          members: {
            VerifiedAccessGroupId: {
              locationName: "verifiedAccessGroupId"
            },
            VerifiedAccessInstanceId: {
              locationName: "verifiedAccessInstanceId"
            },
            Description: {
              locationName: "description"
            },
            Owner: {
              locationName: "owner"
            },
            VerifiedAccessGroupArn: {
              locationName: "verifiedAccessGroupArn"
            },
            CreationTime: {
              locationName: "creationTime"
            },
            LastUpdatedTime: {
              locationName: "lastUpdatedTime"
            },
            DeletionTime: {
              locationName: "deletionTime"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sr2: {
          type: "structure",
          members: {
            Attachments: {
              locationName: "attachmentSet",
              type: "list",
              member: {
                shape: "S6c",
                locationName: "item"
              }
            },
            AvailabilityZone: {
              locationName: "availabilityZone"
            },
            CreateTime: {
              locationName: "createTime",
              type: "timestamp"
            },
            Encrypted: {
              locationName: "encrypted",
              type: "boolean"
            },
            KmsKeyId: {
              locationName: "kmsKeyId"
            },
            OutpostArn: {
              locationName: "outpostArn"
            },
            Size: {
              locationName: "size",
              type: "integer"
            },
            SnapshotId: {
              locationName: "snapshotId"
            },
            State: {
              locationName: "status"
            },
            VolumeId: {
              locationName: "volumeId"
            },
            Iops: {
              locationName: "iops",
              type: "integer"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            VolumeType: {
              locationName: "volumeType"
            },
            FastRestored: {
              locationName: "fastRestored",
              type: "boolean"
            },
            MultiAttachEnabled: {
              locationName: "multiAttachEnabled",
              type: "boolean"
            },
            Throughput: {
              locationName: "throughput",
              type: "integer"
            }
          }
        },
        Sr9: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Sra: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Srb: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Srd: {
          type: "structure",
          members: {
            DnsRecordIpType: {},
            PrivateDnsOnlyForInboundResolverEndpoint: {
              type: "boolean"
            }
          }
        },
        Srg: {
          type: "structure",
          members: {
            VpcEndpointId: {
              locationName: "vpcEndpointId"
            },
            VpcEndpointType: {
              locationName: "vpcEndpointType"
            },
            VpcId: {
              locationName: "vpcId"
            },
            ServiceName: {
              locationName: "serviceName"
            },
            State: {
              locationName: "state"
            },
            PolicyDocument: {
              locationName: "policyDocument"
            },
            RouteTableIds: {
              shape: "So",
              locationName: "routeTableIdSet"
            },
            SubnetIds: {
              shape: "So",
              locationName: "subnetIdSet"
            },
            Groups: {
              locationName: "groupSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  GroupId: {
                    locationName: "groupId"
                  },
                  GroupName: {
                    locationName: "groupName"
                  }
                }
              }
            },
            IpAddressType: {
              locationName: "ipAddressType"
            },
            DnsOptions: {
              locationName: "dnsOptions",
              type: "structure",
              members: {
                DnsRecordIpType: {
                  locationName: "dnsRecordIpType"
                },
                PrivateDnsOnlyForInboundResolverEndpoint: {
                  locationName: "privateDnsOnlyForInboundResolverEndpoint",
                  type: "boolean"
                }
              }
            },
            PrivateDnsEnabled: {
              locationName: "privateDnsEnabled",
              type: "boolean"
            },
            RequesterManaged: {
              locationName: "requesterManaged",
              type: "boolean"
            },
            NetworkInterfaceIds: {
              shape: "So",
              locationName: "networkInterfaceIdSet"
            },
            DnsEntries: {
              shape: "Srl",
              locationName: "dnsEntrySet"
            },
            CreationTimestamp: {
              locationName: "creationTimestamp",
              type: "timestamp"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            OwnerId: {
              locationName: "ownerId"
            },
            LastError: {
              locationName: "lastError",
              type: "structure",
              members: {
                Message: {
                  locationName: "message"
                },
                Code: {
                  locationName: "code"
                }
              }
            }
          }
        },
        Srl: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              DnsName: {
                locationName: "dnsName"
              },
              HostedZoneId: {
                locationName: "hostedZoneId"
              }
            }
          }
        },
        Srq: {
          type: "structure",
          members: {
            ConnectionNotificationId: {
              locationName: "connectionNotificationId"
            },
            ServiceId: {
              locationName: "serviceId"
            },
            VpcEndpointId: {
              locationName: "vpcEndpointId"
            },
            ConnectionNotificationType: {
              locationName: "connectionNotificationType"
            },
            ConnectionNotificationArn: {
              locationName: "connectionNotificationArn"
            },
            ConnectionEvents: {
              shape: "So",
              locationName: "connectionEvents"
            },
            ConnectionNotificationState: {
              locationName: "connectionNotificationState"
            }
          }
        },
        Srv: {
          type: "structure",
          members: {
            ServiceType: {
              shape: "Srw",
              locationName: "serviceType"
            },
            ServiceId: {
              locationName: "serviceId"
            },
            ServiceName: {
              locationName: "serviceName"
            },
            ServiceState: {
              locationName: "serviceState"
            },
            AvailabilityZones: {
              shape: "So",
              locationName: "availabilityZoneSet"
            },
            AcceptanceRequired: {
              locationName: "acceptanceRequired",
              type: "boolean"
            },
            ManagesVpcEndpoints: {
              locationName: "managesVpcEndpoints",
              type: "boolean"
            },
            NetworkLoadBalancerArns: {
              shape: "So",
              locationName: "networkLoadBalancerArnSet"
            },
            GatewayLoadBalancerArns: {
              shape: "So",
              locationName: "gatewayLoadBalancerArnSet"
            },
            SupportedIpAddressTypes: {
              shape: "Ss0",
              locationName: "supportedIpAddressTypeSet"
            },
            BaseEndpointDnsNames: {
              shape: "So",
              locationName: "baseEndpointDnsNameSet"
            },
            PrivateDnsName: {
              locationName: "privateDnsName"
            },
            PrivateDnsNameConfiguration: {
              locationName: "privateDnsNameConfiguration",
              type: "structure",
              members: {
                State: {
                  locationName: "state"
                },
                Type: {
                  locationName: "type"
                },
                Value: {
                  locationName: "value"
                },
                Name: {
                  locationName: "name"
                }
              }
            },
            PayerResponsibility: {
              locationName: "payerResponsibility"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Srw: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              ServiceType: {
                locationName: "serviceType"
              }
            }
          }
        },
        Ss0: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Ssd: {
          type: "string",
          sensitive: true
        },
        Sse: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Value: {}
            }
          }
        },
        Ssg: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Value: {}
            }
          }
        },
        Ssi: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Value: {}
            }
          }
        },
        Ssk: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Value: {}
            }
          }
        },
        Ssm: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Value: {
                type: "integer"
              }
            }
          }
        },
        Sso: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Value: {
                type: "integer"
              }
            }
          }
        },
        Ssq: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Value: {}
            }
          }
        },
        Sss: {
          type: "structure",
          members: {
            CloudWatchLogOptions: {
              type: "structure",
              members: {
                LogEnabled: {
                  type: "boolean"
                },
                LogGroupArn: {},
                LogOutputFormat: {}
              }
            }
          }
        },
        Ssw: {
          type: "structure",
          members: {
            CustomerGatewayConfiguration: {
              locationName: "customerGatewayConfiguration",
              type: "string",
              sensitive: true
            },
            CustomerGatewayId: {
              locationName: "customerGatewayId"
            },
            Category: {
              locationName: "category"
            },
            State: {
              locationName: "state"
            },
            Type: {
              locationName: "type"
            },
            VpnConnectionId: {
              locationName: "vpnConnectionId"
            },
            VpnGatewayId: {
              locationName: "vpnGatewayId"
            },
            TransitGatewayId: {
              locationName: "transitGatewayId"
            },
            CoreNetworkArn: {
              locationName: "coreNetworkArn"
            },
            CoreNetworkAttachmentArn: {
              locationName: "coreNetworkAttachmentArn"
            },
            GatewayAssociationState: {
              locationName: "gatewayAssociationState"
            },
            Options: {
              locationName: "options",
              type: "structure",
              members: {
                EnableAcceleration: {
                  locationName: "enableAcceleration",
                  type: "boolean"
                },
                StaticRoutesOnly: {
                  locationName: "staticRoutesOnly",
                  type: "boolean"
                },
                LocalIpv4NetworkCidr: {
                  locationName: "localIpv4NetworkCidr"
                },
                RemoteIpv4NetworkCidr: {
                  locationName: "remoteIpv4NetworkCidr"
                },
                LocalIpv6NetworkCidr: {
                  locationName: "localIpv6NetworkCidr"
                },
                RemoteIpv6NetworkCidr: {
                  locationName: "remoteIpv6NetworkCidr"
                },
                OutsideIpAddressType: {
                  locationName: "outsideIpAddressType"
                },
                TransportTransitGatewayAttachmentId: {
                  locationName: "transportTransitGatewayAttachmentId"
                },
                TunnelInsideIpVersion: {
                  locationName: "tunnelInsideIpVersion"
                },
                TunnelOptions: {
                  locationName: "tunnelOptionSet",
                  type: "list",
                  member: {
                    locationName: "item",
                    type: "structure",
                    members: {
                      OutsideIpAddress: {
                        locationName: "outsideIpAddress"
                      },
                      TunnelInsideCidr: {
                        locationName: "tunnelInsideCidr"
                      },
                      TunnelInsideIpv6Cidr: {
                        locationName: "tunnelInsideIpv6Cidr"
                      },
                      PreSharedKey: {
                        shape: "Ssd",
                        locationName: "preSharedKey"
                      },
                      Phase1LifetimeSeconds: {
                        locationName: "phase1LifetimeSeconds",
                        type: "integer"
                      },
                      Phase2LifetimeSeconds: {
                        locationName: "phase2LifetimeSeconds",
                        type: "integer"
                      },
                      RekeyMarginTimeSeconds: {
                        locationName: "rekeyMarginTimeSeconds",
                        type: "integer"
                      },
                      RekeyFuzzPercentage: {
                        locationName: "rekeyFuzzPercentage",
                        type: "integer"
                      },
                      ReplayWindowSize: {
                        locationName: "replayWindowSize",
                        type: "integer"
                      },
                      DpdTimeoutSeconds: {
                        locationName: "dpdTimeoutSeconds",
                        type: "integer"
                      },
                      DpdTimeoutAction: {
                        locationName: "dpdTimeoutAction"
                      },
                      Phase1EncryptionAlgorithms: {
                        locationName: "phase1EncryptionAlgorithmSet",
                        type: "list",
                        member: {
                          locationName: "item",
                          type: "structure",
                          members: {
                            Value: {
                              locationName: "value"
                            }
                          }
                        }
                      },
                      Phase2EncryptionAlgorithms: {
                        locationName: "phase2EncryptionAlgorithmSet",
                        type: "list",
                        member: {
                          locationName: "item",
                          type: "structure",
                          members: {
                            Value: {
                              locationName: "value"
                            }
                          }
                        }
                      },
                      Phase1IntegrityAlgorithms: {
                        locationName: "phase1IntegrityAlgorithmSet",
                        type: "list",
                        member: {
                          locationName: "item",
                          type: "structure",
                          members: {
                            Value: {
                              locationName: "value"
                            }
                          }
                        }
                      },
                      Phase2IntegrityAlgorithms: {
                        locationName: "phase2IntegrityAlgorithmSet",
                        type: "list",
                        member: {
                          locationName: "item",
                          type: "structure",
                          members: {
                            Value: {
                              locationName: "value"
                            }
                          }
                        }
                      },
                      Phase1DHGroupNumbers: {
                        locationName: "phase1DHGroupNumberSet",
                        type: "list",
                        member: {
                          locationName: "item",
                          type: "structure",
                          members: {
                            Value: {
                              locationName: "value",
                              type: "integer"
                            }
                          }
                        }
                      },
                      Phase2DHGroupNumbers: {
                        locationName: "phase2DHGroupNumberSet",
                        type: "list",
                        member: {
                          locationName: "item",
                          type: "structure",
                          members: {
                            Value: {
                              locationName: "value",
                              type: "integer"
                            }
                          }
                        }
                      },
                      IkeVersions: {
                        locationName: "ikeVersionSet",
                        type: "list",
                        member: {
                          locationName: "item",
                          type: "structure",
                          members: {
                            Value: {
                              locationName: "value"
                            }
                          }
                        }
                      },
                      StartupAction: {
                        locationName: "startupAction"
                      },
                      LogOptions: {
                        locationName: "logOptions",
                        type: "structure",
                        members: {
                          CloudWatchLogOptions: {
                            locationName: "cloudWatchLogOptions",
                            type: "structure",
                            members: {
                              LogEnabled: {
                                locationName: "logEnabled",
                                type: "boolean"
                              },
                              LogGroupArn: {
                                locationName: "logGroupArn"
                              },
                              LogOutputFormat: {
                                locationName: "logOutputFormat"
                              }
                            }
                          }
                        }
                      },
                      EnableTunnelLifecycleControl: {
                        locationName: "enableTunnelLifecycleControl",
                        type: "boolean"
                      }
                    }
                  }
                }
              }
            },
            Routes: {
              locationName: "routes",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  DestinationCidrBlock: {
                    locationName: "destinationCidrBlock"
                  },
                  Source: {
                    locationName: "source"
                  },
                  State: {
                    locationName: "state"
                  }
                }
              }
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            },
            VgwTelemetry: {
              locationName: "vgwTelemetry",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  AcceptedRouteCount: {
                    locationName: "acceptedRouteCount",
                    type: "integer"
                  },
                  LastStatusChange: {
                    locationName: "lastStatusChange",
                    type: "timestamp"
                  },
                  OutsideIpAddress: {
                    locationName: "outsideIpAddress"
                  },
                  Status: {
                    locationName: "status"
                  },
                  StatusMessage: {
                    locationName: "statusMessage"
                  },
                  CertificateArn: {
                    locationName: "certificateArn"
                  }
                }
              }
            }
          }
        },
        Stt: {
          type: "structure",
          members: {
            AvailabilityZone: {
              locationName: "availabilityZone"
            },
            State: {
              locationName: "state"
            },
            Type: {
              locationName: "type"
            },
            VpcAttachments: {
              locationName: "attachments",
              type: "list",
              member: {
                shape: "S6h",
                locationName: "item"
              }
            },
            VpnGatewayId: {
              locationName: "vpnGatewayId"
            },
            AmazonSideAsn: {
              locationName: "amazonSideAsn",
              type: "long"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        Sub: {
          type: "list",
          member: {}
        },
        Sul: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Sva: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Sy7: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Syk: {
          type: "structure",
          members: {
            Cidr: {
              locationName: "cidr"
            },
            State: {
              locationName: "state"
            },
            FailureReason: {
              locationName: "failureReason",
              type: "structure",
              members: {
                Code: {
                  locationName: "code"
                },
                Message: {
                  locationName: "message"
                }
              }
            },
            IpamPoolCidrId: {
              locationName: "ipamPoolCidrId"
            },
            NetmaskLength: {
              locationName: "netmaskLength",
              type: "integer"
            }
          }
        },
        Syv: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Syx: {
          type: "structure",
          members: {
            InstanceTagKeys: {
              shape: "Syv",
              locationName: "instanceTagKeySet"
            },
            IncludeAllTagsOfInstance: {
              locationName: "includeAllTagsOfInstance",
              type: "boolean"
            }
          }
        },
        Syz: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        Szi: {
          type: "list",
          member: {
            locationName: "Filter",
            type: "structure",
            members: {
              Name: {},
              Values: {
                shape: "So",
                locationName: "Value"
              }
            }
          }
        },
        Szv: {
          type: "structure",
          members: {
            PublicIp: {
              locationName: "publicIp"
            },
            AllocationId: {
              locationName: "allocationId"
            },
            PtrRecord: {
              locationName: "ptrRecord"
            },
            PtrRecordUpdate: {
              locationName: "ptrRecordUpdate",
              type: "structure",
              members: {
                Value: {
                  locationName: "value"
                },
                Status: {
                  locationName: "status"
                },
                Reason: {
                  locationName: "reason"
                }
              }
            }
          }
        },
        Szz: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Deadline: {
                locationName: "deadline",
                type: "timestamp"
              },
              Resource: {
                locationName: "resource"
              },
              UseLongIds: {
                locationName: "useLongIds",
                type: "boolean"
              }
            }
          }
        },
        S117: {
          type: "list",
          member: {
            locationName: "InstanceId"
          }
        },
        S11m: {
          type: "structure",
          members: {
            Code: {
              locationName: "code"
            },
            Message: {
              locationName: "message"
            }
          }
        },
        S12r: {
          type: "structure",
          members: {
            ConversionTaskId: {
              locationName: "conversionTaskId"
            },
            ExpirationTime: {
              locationName: "expirationTime"
            },
            ImportInstance: {
              locationName: "importInstance",
              type: "structure",
              members: {
                Description: {
                  locationName: "description"
                },
                InstanceId: {
                  locationName: "instanceId"
                },
                Platform: {
                  locationName: "platform"
                },
                Volumes: {
                  locationName: "volumes",
                  type: "list",
                  member: {
                    locationName: "item",
                    type: "structure",
                    members: {
                      AvailabilityZone: {
                        locationName: "availabilityZone"
                      },
                      BytesConverted: {
                        locationName: "bytesConverted",
                        type: "long"
                      },
                      Description: {
                        locationName: "description"
                      },
                      Image: {
                        shape: "S12v",
                        locationName: "image"
                      },
                      Status: {
                        locationName: "status"
                      },
                      StatusMessage: {
                        locationName: "statusMessage"
                      },
                      Volume: {
                        shape: "S12x",
                        locationName: "volume"
                      }
                    }
                  }
                }
              }
            },
            ImportVolume: {
              locationName: "importVolume",
              type: "structure",
              members: {
                AvailabilityZone: {
                  locationName: "availabilityZone"
                },
                BytesConverted: {
                  locationName: "bytesConverted",
                  type: "long"
                },
                Description: {
                  locationName: "description"
                },
                Image: {
                  shape: "S12v",
                  locationName: "image"
                },
                Volume: {
                  shape: "S12x",
                  locationName: "volume"
                }
              }
            },
            State: {
              locationName: "state"
            },
            StatusMessage: {
              locationName: "statusMessage"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        S12v: {
          type: "structure",
          members: {
            Checksum: {
              locationName: "checksum"
            },
            Format: {
              locationName: "format"
            },
            ImportManifestUrl: {
              shape: "S12w",
              locationName: "importManifestUrl"
            },
            Size: {
              locationName: "size",
              type: "long"
            }
          }
        },
        S12w: {
          type: "string",
          sensitive: true
        },
        S12x: {
          type: "structure",
          members: {
            Id: {
              locationName: "id"
            },
            Size: {
              locationName: "size",
              type: "long"
            }
          }
        },
        S13v: {
          type: "structure",
          members: {
            S3Bucket: {
              locationName: "s3Bucket"
            },
            S3Prefix: {
              locationName: "s3Prefix"
            }
          }
        },
        S148: {
          type: "structure",
          members: {
            TargetResourceCount: {
              locationName: "targetResourceCount",
              type: "integer"
            }
          }
        },
        S149: {
          type: "structure",
          members: {
            LaunchTemplateId: {
              locationName: "launchTemplateId"
            },
            LaunchTemplateName: {
              locationName: "launchTemplateName"
            },
            Version: {
              locationName: "version"
            }
          }
        },
        S14m: {
          type: "structure",
          members: {
            EventDescription: {
              locationName: "eventDescription"
            },
            EventSubType: {
              locationName: "eventSubType"
            },
            InstanceId: {
              locationName: "instanceId"
            }
          }
        },
        S14p: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              InstanceId: {
                locationName: "instanceId"
              },
              InstanceType: {
                locationName: "instanceType"
              },
              SpotInstanceRequestId: {
                locationName: "spotInstanceRequestId"
              },
              InstanceHealth: {
                locationName: "instanceHealth"
              }
            }
          }
        },
        S15i: {
          type: "structure",
          members: {
            FpgaImageId: {
              locationName: "fpgaImageId"
            },
            Name: {
              locationName: "name"
            },
            Description: {
              locationName: "description"
            },
            LoadPermissions: {
              locationName: "loadPermissions",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  UserId: {
                    locationName: "userId"
                  },
                  Group: {
                    locationName: "group"
                  }
                }
              }
            },
            ProductCodes: {
              shape: "S15m",
              locationName: "productCodes"
            }
          }
        },
        S15m: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              ProductCodeId: {
                locationName: "productCode"
              },
              ProductCodeType: {
                locationName: "type"
              }
            }
          }
        },
        S15r: {
          type: "list",
          member: {
            locationName: "Owner"
          }
        },
        S16d: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S16g: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S175: {
          type: "list",
          member: {
            shape: "Seh",
            locationName: "item"
          }
        },
        S176: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Group: {
                locationName: "group"
              },
              UserId: {
                locationName: "userId"
              },
              OrganizationArn: {
                locationName: "organizationArn"
              },
              OrganizationalUnitArn: {
                locationName: "organizationalUnitArn"
              }
            }
          }
        },
        S17a: {
          type: "list",
          member: {
            locationName: "ImageId"
          }
        },
        S17t: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Description: {
                locationName: "description"
              },
              DeviceName: {
                locationName: "deviceName"
              },
              DiskImageSize: {
                locationName: "diskImageSize",
                type: "double"
              },
              Format: {
                locationName: "format"
              },
              Progress: {
                locationName: "progress"
              },
              SnapshotId: {
                locationName: "snapshotId"
              },
              Status: {
                locationName: "status"
              },
              StatusMessage: {
                locationName: "statusMessage"
              },
              Url: {
                shape: "S17v",
                locationName: "url"
              },
              UserBucket: {
                shape: "S17w",
                locationName: "userBucket"
              }
            }
          }
        },
        S17v: {
          type: "string",
          sensitive: true
        },
        S17w: {
          type: "structure",
          members: {
            S3Bucket: {
              locationName: "s3Bucket"
            },
            S3Key: {
              locationName: "s3Key"
            }
          }
        },
        S17x: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              LicenseConfigurationArn: {
                locationName: "licenseConfigurationArn"
              }
            }
          }
        },
        S185: {
          type: "structure",
          members: {
            Description: {
              locationName: "description"
            },
            DiskImageSize: {
              locationName: "diskImageSize",
              type: "double"
            },
            Encrypted: {
              locationName: "encrypted",
              type: "boolean"
            },
            Format: {
              locationName: "format"
            },
            KmsKeyId: {
              locationName: "kmsKeyId"
            },
            Progress: {
              locationName: "progress"
            },
            SnapshotId: {
              locationName: "snapshotId"
            },
            Status: {
              locationName: "status"
            },
            StatusMessage: {
              locationName: "statusMessage"
            },
            Url: {
              shape: "S17v",
              locationName: "url"
            },
            UserBucket: {
              shape: "S17w",
              locationName: "userBucket"
            }
          }
        },
        S189: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              DeviceName: {
                locationName: "deviceName"
              },
              Ebs: {
                locationName: "ebs",
                type: "structure",
                members: {
                  AttachTime: {
                    locationName: "attachTime",
                    type: "timestamp"
                  },
                  DeleteOnTermination: {
                    locationName: "deleteOnTermination",
                    type: "boolean"
                  },
                  Status: {
                    locationName: "status"
                  },
                  VolumeId: {
                    locationName: "volumeId"
                  }
                }
              }
            }
          }
        },
        S18c: {
          type: "structure",
          members: {
            Value: {
              locationName: "value",
              type: "boolean"
            }
          }
        },
        S18d: {
          type: "structure",
          members: {
            Enabled: {
              locationName: "enabled",
              type: "boolean"
            }
          }
        },
        S18z: {
          type: "structure",
          members: {
            InstanceEventId: {
              locationName: "instanceEventId"
            },
            Code: {
              locationName: "code"
            },
            Description: {
              locationName: "description"
            },
            NotAfter: {
              locationName: "notAfter",
              type: "timestamp"
            },
            NotBefore: {
              locationName: "notBefore",
              type: "timestamp"
            },
            NotBeforeDeadline: {
              locationName: "notBeforeDeadline",
              type: "timestamp"
            }
          }
        },
        S192: {
          type: "structure",
          members: {
            Code: {
              locationName: "code",
              type: "integer"
            },
            Name: {
              locationName: "name"
            }
          }
        },
        S194: {
          type: "structure",
          members: {
            Details: {
              locationName: "details",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  ImpairedSince: {
                    locationName: "impairedSince",
                    type: "timestamp"
                  },
                  Name: {
                    locationName: "name"
                  },
                  Status: {
                    locationName: "status"
                  }
                }
              }
            },
            Status: {
              locationName: "status"
            }
          }
        },
        S1cc: {
          type: "structure",
          members: {
            Groups: {
              shape: "Slc",
              locationName: "groupSet"
            },
            Instances: {
              locationName: "instancesSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  AmiLaunchIndex: {
                    locationName: "amiLaunchIndex",
                    type: "integer"
                  },
                  ImageId: {
                    locationName: "imageId"
                  },
                  InstanceId: {
                    locationName: "instanceId"
                  },
                  InstanceType: {
                    locationName: "instanceType"
                  },
                  KernelId: {
                    locationName: "kernelId"
                  },
                  KeyName: {
                    locationName: "keyName"
                  },
                  LaunchTime: {
                    locationName: "launchTime",
                    type: "timestamp"
                  },
                  Monitoring: {
                    shape: "S1cf",
                    locationName: "monitoring"
                  },
                  Placement: {
                    shape: "Scg",
                    locationName: "placement"
                  },
                  Platform: {
                    locationName: "platform"
                  },
                  PrivateDnsName: {
                    locationName: "privateDnsName"
                  },
                  PrivateIpAddress: {
                    locationName: "privateIpAddress"
                  },
                  ProductCodes: {
                    shape: "S15m",
                    locationName: "productCodes"
                  },
                  PublicDnsName: {
                    locationName: "dnsName"
                  },
                  PublicIpAddress: {
                    locationName: "ipAddress"
                  },
                  RamdiskId: {
                    locationName: "ramdiskId"
                  },
                  State: {
                    shape: "S192",
                    locationName: "instanceState"
                  },
                  StateTransitionReason: {
                    locationName: "reason"
                  },
                  SubnetId: {
                    locationName: "subnetId"
                  },
                  VpcId: {
                    locationName: "vpcId"
                  },
                  Architecture: {
                    locationName: "architecture"
                  },
                  BlockDeviceMappings: {
                    shape: "S189",
                    locationName: "blockDeviceMapping"
                  },
                  ClientToken: {
                    locationName: "clientToken"
                  },
                  EbsOptimized: {
                    locationName: "ebsOptimized",
                    type: "boolean"
                  },
                  EnaSupport: {
                    locationName: "enaSupport",
                    type: "boolean"
                  },
                  Hypervisor: {
                    locationName: "hypervisor"
                  },
                  IamInstanceProfile: {
                    shape: "S3t",
                    locationName: "iamInstanceProfile"
                  },
                  InstanceLifecycle: {
                    locationName: "instanceLifecycle"
                  },
                  ElasticGpuAssociations: {
                    locationName: "elasticGpuAssociationSet",
                    type: "list",
                    member: {
                      locationName: "item",
                      type: "structure",
                      members: {
                        ElasticGpuId: {
                          locationName: "elasticGpuId"
                        },
                        ElasticGpuAssociationId: {
                          locationName: "elasticGpuAssociationId"
                        },
                        ElasticGpuAssociationState: {
                          locationName: "elasticGpuAssociationState"
                        },
                        ElasticGpuAssociationTime: {
                          locationName: "elasticGpuAssociationTime"
                        }
                      }
                    }
                  },
                  ElasticInferenceAcceleratorAssociations: {
                    locationName: "elasticInferenceAcceleratorAssociationSet",
                    type: "list",
                    member: {
                      locationName: "item",
                      type: "structure",
                      members: {
                        ElasticInferenceAcceleratorArn: {
                          locationName: "elasticInferenceAcceleratorArn"
                        },
                        ElasticInferenceAcceleratorAssociationId: {
                          locationName: "elasticInferenceAcceleratorAssociationId"
                        },
                        ElasticInferenceAcceleratorAssociationState: {
                          locationName: "elasticInferenceAcceleratorAssociationState"
                        },
                        ElasticInferenceAcceleratorAssociationTime: {
                          locationName: "elasticInferenceAcceleratorAssociationTime",
                          type: "timestamp"
                        }
                      }
                    }
                  },
                  NetworkInterfaces: {
                    locationName: "networkInterfaceSet",
                    type: "list",
                    member: {
                      locationName: "item",
                      type: "structure",
                      members: {
                        Association: {
                          shape: "S1co",
                          locationName: "association"
                        },
                        Attachment: {
                          locationName: "attachment",
                          type: "structure",
                          members: {
                            AttachTime: {
                              locationName: "attachTime",
                              type: "timestamp"
                            },
                            AttachmentId: {
                              locationName: "attachmentId"
                            },
                            DeleteOnTermination: {
                              locationName: "deleteOnTermination",
                              type: "boolean"
                            },
                            DeviceIndex: {
                              locationName: "deviceIndex",
                              type: "integer"
                            },
                            Status: {
                              locationName: "status"
                            },
                            NetworkCardIndex: {
                              locationName: "networkCardIndex",
                              type: "integer"
                            }
                          }
                        },
                        Description: {
                          locationName: "description"
                        },
                        Groups: {
                          shape: "Slc",
                          locationName: "groupSet"
                        },
                        Ipv6Addresses: {
                          shape: "Si8",
                          locationName: "ipv6AddressesSet"
                        },
                        MacAddress: {
                          locationName: "macAddress"
                        },
                        NetworkInterfaceId: {
                          locationName: "networkInterfaceId"
                        },
                        OwnerId: {
                          locationName: "ownerId"
                        },
                        PrivateDnsName: {
                          locationName: "privateDnsName"
                        },
                        PrivateIpAddress: {
                          locationName: "privateIpAddress"
                        },
                        PrivateIpAddresses: {
                          locationName: "privateIpAddressesSet",
                          type: "list",
                          member: {
                            locationName: "item",
                            type: "structure",
                            members: {
                              Association: {
                                shape: "S1co",
                                locationName: "association"
                              },
                              Primary: {
                                locationName: "primary",
                                type: "boolean"
                              },
                              PrivateDnsName: {
                                locationName: "privateDnsName"
                              },
                              PrivateIpAddress: {
                                locationName: "privateIpAddress"
                              }
                            }
                          }
                        },
                        SourceDestCheck: {
                          locationName: "sourceDestCheck",
                          type: "boolean"
                        },
                        Status: {
                          locationName: "status"
                        },
                        SubnetId: {
                          locationName: "subnetId"
                        },
                        VpcId: {
                          locationName: "vpcId"
                        },
                        InterfaceType: {
                          locationName: "interfaceType"
                        },
                        Ipv4Prefixes: {
                          locationName: "ipv4PrefixSet",
                          type: "list",
                          member: {
                            locationName: "item",
                            type: "structure",
                            members: {
                              Ipv4Prefix: {
                                locationName: "ipv4Prefix"
                              }
                            }
                          }
                        },
                        Ipv6Prefixes: {
                          locationName: "ipv6PrefixSet",
                          type: "list",
                          member: {
                            locationName: "item",
                            type: "structure",
                            members: {
                              Ipv6Prefix: {
                                locationName: "ipv6Prefix"
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  OutpostArn: {
                    locationName: "outpostArn"
                  },
                  RootDeviceName: {
                    locationName: "rootDeviceName"
                  },
                  RootDeviceType: {
                    locationName: "rootDeviceType"
                  },
                  SecurityGroups: {
                    shape: "Slc",
                    locationName: "groupSet"
                  },
                  SourceDestCheck: {
                    locationName: "sourceDestCheck",
                    type: "boolean"
                  },
                  SpotInstanceRequestId: {
                    locationName: "spotInstanceRequestId"
                  },
                  SriovNetSupport: {
                    locationName: "sriovNetSupport"
                  },
                  StateReason: {
                    shape: "Sjb",
                    locationName: "stateReason"
                  },
                  Tags: {
                    shape: "S6",
                    locationName: "tagSet"
                  },
                  VirtualizationType: {
                    locationName: "virtualizationType"
                  },
                  CpuOptions: {
                    locationName: "cpuOptions",
                    type: "structure",
                    members: {
                      CoreCount: {
                        locationName: "coreCount",
                        type: "integer"
                      },
                      ThreadsPerCore: {
                        locationName: "threadsPerCore",
                        type: "integer"
                      },
                      AmdSevSnp: {
                        locationName: "amdSevSnp"
                      }
                    }
                  },
                  CapacityReservationId: {
                    locationName: "capacityReservationId"
                  },
                  CapacityReservationSpecification: {
                    locationName: "capacityReservationSpecification",
                    type: "structure",
                    members: {
                      CapacityReservationPreference: {
                        locationName: "capacityReservationPreference"
                      },
                      CapacityReservationTarget: {
                        shape: "Sir",
                        locationName: "capacityReservationTarget"
                      }
                    }
                  },
                  HibernationOptions: {
                    locationName: "hibernationOptions",
                    type: "structure",
                    members: {
                      Configured: {
                        locationName: "configured",
                        type: "boolean"
                      }
                    }
                  },
                  Licenses: {
                    locationName: "licenseSet",
                    type: "list",
                    member: {
                      locationName: "item",
                      type: "structure",
                      members: {
                        LicenseConfigurationArn: {
                          locationName: "licenseConfigurationArn"
                        }
                      }
                    }
                  },
                  MetadataOptions: {
                    shape: "S1d1",
                    locationName: "metadataOptions"
                  },
                  EnclaveOptions: {
                    shape: "S18d",
                    locationName: "enclaveOptions"
                  },
                  BootMode: {
                    locationName: "bootMode"
                  },
                  PlatformDetails: {
                    locationName: "platformDetails"
                  },
                  UsageOperation: {
                    locationName: "usageOperation"
                  },
                  UsageOperationUpdateTime: {
                    locationName: "usageOperationUpdateTime",
                    type: "timestamp"
                  },
                  PrivateDnsNameOptions: {
                    locationName: "privateDnsNameOptions",
                    type: "structure",
                    members: {
                      HostnameType: {
                        locationName: "hostnameType"
                      },
                      EnableResourceNameDnsARecord: {
                        locationName: "enableResourceNameDnsARecord",
                        type: "boolean"
                      },
                      EnableResourceNameDnsAAAARecord: {
                        locationName: "enableResourceNameDnsAAAARecord",
                        type: "boolean"
                      }
                    }
                  },
                  Ipv6Address: {
                    locationName: "ipv6Address"
                  },
                  TpmSupport: {
                    locationName: "tpmSupport"
                  },
                  MaintenanceOptions: {
                    locationName: "maintenanceOptions",
                    type: "structure",
                    members: {
                      AutoRecovery: {
                        locationName: "autoRecovery"
                      }
                    }
                  },
                  CurrentInstanceBootMode: {
                    locationName: "currentInstanceBootMode"
                  }
                }
              }
            },
            OwnerId: {
              locationName: "ownerId"
            },
            RequesterId: {
              locationName: "requesterId"
            },
            ReservationId: {
              locationName: "reservationId"
            }
          }
        },
        S1cf: {
          type: "structure",
          members: {
            State: {
              locationName: "state"
            }
          }
        },
        S1co: {
          type: "structure",
          members: {
            CarrierIp: {
              locationName: "carrierIp"
            },
            CustomerOwnedIp: {
              locationName: "customerOwnedIp"
            },
            IpOwnerId: {
              locationName: "ipOwnerId"
            },
            PublicDnsName: {
              locationName: "publicDnsName"
            },
            PublicIp: {
              locationName: "publicIp"
            }
          }
        },
        S1d1: {
          type: "structure",
          members: {
            State: {
              locationName: "state"
            },
            HttpTokens: {
              locationName: "httpTokens"
            },
            HttpPutResponseHopLimit: {
              locationName: "httpPutResponseHopLimit",
              type: "integer"
            },
            HttpEndpoint: {
              locationName: "httpEndpoint"
            },
            HttpProtocolIpv6: {
              locationName: "httpProtocolIpv6"
            },
            InstanceMetadataTags: {
              locationName: "instanceMetadataTags"
            }
          }
        },
        S1f1: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S1g1: {
          type: "structure",
          members: {
            NetworkInsightsAccessScopeAnalysisId: {
              locationName: "networkInsightsAccessScopeAnalysisId"
            },
            NetworkInsightsAccessScopeAnalysisArn: {
              locationName: "networkInsightsAccessScopeAnalysisArn"
            },
            NetworkInsightsAccessScopeId: {
              locationName: "networkInsightsAccessScopeId"
            },
            Status: {
              locationName: "status"
            },
            StatusMessage: {
              locationName: "statusMessage"
            },
            WarningMessage: {
              locationName: "warningMessage"
            },
            StartDate: {
              locationName: "startDate",
              type: "timestamp"
            },
            EndDate: {
              locationName: "endDate",
              type: "timestamp"
            },
            FindingsFound: {
              locationName: "findingsFound"
            },
            AnalyzedEniCount: {
              locationName: "analyzedEniCount",
              type: "integer"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        S1gc: {
          type: "structure",
          members: {
            NetworkInsightsAnalysisId: {
              locationName: "networkInsightsAnalysisId"
            },
            NetworkInsightsAnalysisArn: {
              locationName: "networkInsightsAnalysisArn"
            },
            NetworkInsightsPathId: {
              locationName: "networkInsightsPathId"
            },
            AdditionalAccounts: {
              shape: "So",
              locationName: "additionalAccountSet"
            },
            FilterInArns: {
              shape: "S1gd",
              locationName: "filterInArnSet"
            },
            StartDate: {
              locationName: "startDate",
              type: "timestamp"
            },
            Status: {
              locationName: "status"
            },
            StatusMessage: {
              locationName: "statusMessage"
            },
            WarningMessage: {
              locationName: "warningMessage"
            },
            NetworkPathFound: {
              locationName: "networkPathFound",
              type: "boolean"
            },
            ForwardPathComponents: {
              shape: "S1ge",
              locationName: "forwardPathComponentSet"
            },
            ReturnPathComponents: {
              shape: "S1ge",
              locationName: "returnPathComponentSet"
            },
            Explanations: {
              shape: "S1gy",
              locationName: "explanationSet"
            },
            AlternatePathHints: {
              locationName: "alternatePathHintSet",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  ComponentId: {
                    locationName: "componentId"
                  },
                  ComponentArn: {
                    locationName: "componentArn"
                  }
                }
              }
            },
            SuggestedAccounts: {
              shape: "So",
              locationName: "suggestedAccountSet"
            },
            Tags: {
              shape: "S6",
              locationName: "tagSet"
            }
          }
        },
        S1gd: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S1ge: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              SequenceNumber: {
                locationName: "sequenceNumber",
                type: "integer"
              },
              AclRule: {
                shape: "S1gg",
                locationName: "aclRule"
              },
              AttachedTo: {
                shape: "S1gh",
                locationName: "attachedTo"
              },
              Component: {
                shape: "S1gh",
                locationName: "component"
              },
              DestinationVpc: {
                shape: "S1gh",
                locationName: "destinationVpc"
              },
              OutboundHeader: {
                shape: "S1gi",
                locationName: "outboundHeader"
              },
              InboundHeader: {
                shape: "S1gi",
                locationName: "inboundHeader"
              },
              RouteTableRoute: {
                shape: "S1gl",
                locationName: "routeTableRoute"
              },
              SecurityGroupRule: {
                shape: "S1gm",
                locationName: "securityGroupRule"
              },
              SourceVpc: {
                shape: "S1gh",
                locationName: "sourceVpc"
              },
              Subnet: {
                shape: "S1gh",
                locationName: "subnet"
              },
              Vpc: {
                shape: "S1gh",
                locationName: "vpc"
              },
              AdditionalDetails: {
                locationName: "additionalDetailSet",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    AdditionalDetailType: {
                      locationName: "additionalDetailType"
                    },
                    Component: {
                      shape: "S1gh",
                      locationName: "component"
                    },
                    VpcEndpointService: {
                      shape: "S1gh",
                      locationName: "vpcEndpointService"
                    },
                    RuleOptions: {
                      shape: "S1gp",
                      locationName: "ruleOptionSet"
                    },
                    RuleGroupTypePairs: {
                      locationName: "ruleGroupTypePairSet",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          RuleGroupArn: {
                            locationName: "ruleGroupArn"
                          },
                          RuleGroupType: {
                            locationName: "ruleGroupType"
                          }
                        }
                      }
                    },
                    RuleGroupRuleOptionsPairs: {
                      locationName: "ruleGroupRuleOptionsPairSet",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          RuleGroupArn: {
                            locationName: "ruleGroupArn"
                          },
                          RuleOptions: {
                            shape: "S1gp",
                            locationName: "ruleOptionSet"
                          }
                        }
                      }
                    },
                    ServiceName: {
                      locationName: "serviceName"
                    },
                    LoadBalancers: {
                      shape: "S1gw",
                      locationName: "loadBalancerSet"
                    }
                  }
                }
              },
              TransitGateway: {
                shape: "S1gh",
                locationName: "transitGateway"
              },
              TransitGatewayRouteTableRoute: {
                shape: "S1gx",
                locationName: "transitGatewayRouteTableRoute"
              },
              Explanations: {
                shape: "S1gy",
                locationName: "explanationSet"
              },
              ElasticLoadBalancerListener: {
                shape: "S1gh",
                locationName: "elasticLoadBalancerListener"
              },
              FirewallStatelessRule: {
                shape: "S1h4",
                locationName: "firewallStatelessRule"
              },
              FirewallStatefulRule: {
                shape: "S1h8",
                locationName: "firewallStatefulRule"
              },
              ServiceName: {
                locationName: "serviceName"
              }
            }
          }
        },
        S1gg: {
          type: "structure",
          members: {
            Cidr: {
              locationName: "cidr"
            },
            Egress: {
              locationName: "egress",
              type: "boolean"
            },
            PortRange: {
              shape: "Sk4",
              locationName: "portRange"
            },
            Protocol: {
              locationName: "protocol"
            },
            RuleAction: {
              locationName: "ruleAction"
            },
            RuleNumber: {
              locationName: "ruleNumber",
              type: "integer"
            }
          }
        },
        S1gh: {
          type: "structure",
          members: {
            Id: {
              locationName: "id"
            },
            Arn: {
              locationName: "arn"
            },
            Name: {
              locationName: "name"
            }
          }
        },
        S1gi: {
          type: "structure",
          members: {
            DestinationAddresses: {
              shape: "S1gj",
              locationName: "destinationAddressSet"
            },
            DestinationPortRanges: {
              shape: "S1gk",
              locationName: "destinationPortRangeSet"
            },
            Protocol: {
              locationName: "protocol"
            },
            SourceAddresses: {
              shape: "S1gj",
              locationName: "sourceAddressSet"
            },
            SourcePortRanges: {
              shape: "S1gk",
              locationName: "sourcePortRangeSet"
            }
          }
        },
        S1gj: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S1gk: {
          type: "list",
          member: {
            shape: "Sk4",
            locationName: "item"
          }
        },
        S1gl: {
          type: "structure",
          members: {
            DestinationCidr: {
              locationName: "destinationCidr"
            },
            DestinationPrefixListId: {
              locationName: "destinationPrefixListId"
            },
            EgressOnlyInternetGatewayId: {
              locationName: "egressOnlyInternetGatewayId"
            },
            GatewayId: {
              locationName: "gatewayId"
            },
            InstanceId: {
              locationName: "instanceId"
            },
            NatGatewayId: {
              locationName: "natGatewayId"
            },
            NetworkInterfaceId: {
              locationName: "networkInterfaceId"
            },
            Origin: {
              locationName: "origin"
            },
            TransitGatewayId: {
              locationName: "transitGatewayId"
            },
            VpcPeeringConnectionId: {
              locationName: "vpcPeeringConnectionId"
            },
            State: {
              locationName: "state"
            },
            CarrierGatewayId: {
              locationName: "carrierGatewayId"
            },
            CoreNetworkArn: {
              locationName: "coreNetworkArn"
            },
            LocalGatewayId: {
              locationName: "localGatewayId"
            }
          }
        },
        S1gm: {
          type: "structure",
          members: {
            Cidr: {
              locationName: "cidr"
            },
            Direction: {
              locationName: "direction"
            },
            SecurityGroupId: {
              locationName: "securityGroupId"
            },
            PortRange: {
              shape: "Sk4",
              locationName: "portRange"
            },
            PrefixListId: {
              locationName: "prefixListId"
            },
            Protocol: {
              locationName: "protocol"
            }
          }
        },
        S1gp: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Keyword: {
                locationName: "keyword"
              },
              Settings: {
                shape: "S1gr",
                locationName: "settingSet"
              }
            }
          }
        },
        S1gr: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S1gw: {
          type: "list",
          member: {
            shape: "S1gh",
            locationName: "item"
          }
        },
        S1gx: {
          type: "structure",
          members: {
            DestinationCidr: {
              locationName: "destinationCidr"
            },
            State: {
              locationName: "state"
            },
            RouteOrigin: {
              locationName: "routeOrigin"
            },
            PrefixListId: {
              locationName: "prefixListId"
            },
            AttachmentId: {
              locationName: "attachmentId"
            },
            ResourceId: {
              locationName: "resourceId"
            },
            ResourceType: {
              locationName: "resourceType"
            }
          }
        },
        S1gy: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Acl: {
                shape: "S1gh",
                locationName: "acl"
              },
              AclRule: {
                shape: "S1gg",
                locationName: "aclRule"
              },
              Address: {
                locationName: "address"
              },
              Addresses: {
                shape: "S1gj",
                locationName: "addressSet"
              },
              AttachedTo: {
                shape: "S1gh",
                locationName: "attachedTo"
              },
              AvailabilityZones: {
                shape: "So",
                locationName: "availabilityZoneSet"
              },
              Cidrs: {
                shape: "So",
                locationName: "cidrSet"
              },
              Component: {
                shape: "S1gh",
                locationName: "component"
              },
              CustomerGateway: {
                shape: "S1gh",
                locationName: "customerGateway"
              },
              Destination: {
                shape: "S1gh",
                locationName: "destination"
              },
              DestinationVpc: {
                shape: "S1gh",
                locationName: "destinationVpc"
              },
              Direction: {
                locationName: "direction"
              },
              ExplanationCode: {
                locationName: "explanationCode"
              },
              IngressRouteTable: {
                shape: "S1gh",
                locationName: "ingressRouteTable"
              },
              InternetGateway: {
                shape: "S1gh",
                locationName: "internetGateway"
              },
              LoadBalancerArn: {
                locationName: "loadBalancerArn"
              },
              ClassicLoadBalancerListener: {
                locationName: "classicLoadBalancerListener",
                type: "structure",
                members: {
                  LoadBalancerPort: {
                    locationName: "loadBalancerPort",
                    type: "integer"
                  },
                  InstancePort: {
                    locationName: "instancePort",
                    type: "integer"
                  }
                }
              },
              LoadBalancerListenerPort: {
                locationName: "loadBalancerListenerPort",
                type: "integer"
              },
              LoadBalancerTarget: {
                locationName: "loadBalancerTarget",
                type: "structure",
                members: {
                  Address: {
                    locationName: "address"
                  },
                  AvailabilityZone: {
                    locationName: "availabilityZone"
                  },
                  Instance: {
                    shape: "S1gh",
                    locationName: "instance"
                  },
                  Port: {
                    locationName: "port",
                    type: "integer"
                  }
                }
              },
              LoadBalancerTargetGroup: {
                shape: "S1gh",
                locationName: "loadBalancerTargetGroup"
              },
              LoadBalancerTargetGroups: {
                shape: "S1gw",
                locationName: "loadBalancerTargetGroupSet"
              },
              LoadBalancerTargetPort: {
                locationName: "loadBalancerTargetPort",
                type: "integer"
              },
              ElasticLoadBalancerListener: {
                shape: "S1gh",
                locationName: "elasticLoadBalancerListener"
              },
              MissingComponent: {
                locationName: "missingComponent"
              },
              NatGateway: {
                shape: "S1gh",
                locationName: "natGateway"
              },
              NetworkInterface: {
                shape: "S1gh",
                locationName: "networkInterface"
              },
              PacketField: {
                locationName: "packetField"
              },
              VpcPeeringConnection: {
                shape: "S1gh",
                locationName: "vpcPeeringConnection"
              },
              Port: {
                locationName: "port",
                type: "integer"
              },
              PortRanges: {
                shape: "S1gk",
                locationName: "portRangeSet"
              },
              PrefixList: {
                shape: "S1gh",
                locationName: "prefixList"
              },
              Protocols: {
                shape: "S1gr",
                locationName: "protocolSet"
              },
              RouteTableRoute: {
                shape: "S1gl",
                locationName: "routeTableRoute"
              },
              RouteTable: {
                shape: "S1gh",
                locationName: "routeTable"
              },
              SecurityGroup: {
                shape: "S1gh",
                locationName: "securityGroup"
              },
              SecurityGroupRule: {
                shape: "S1gm",
                locationName: "securityGroupRule"
              },
              SecurityGroups: {
                shape: "S1gw",
                locationName: "securityGroupSet"
              },
              SourceVpc: {
                shape: "S1gh",
                locationName: "sourceVpc"
              },
              State: {
                locationName: "state"
              },
              Subnet: {
                shape: "S1gh",
                locationName: "subnet"
              },
              SubnetRouteTable: {
                shape: "S1gh",
                locationName: "subnetRouteTable"
              },
              Vpc: {
                shape: "S1gh",
                locationName: "vpc"
              },
              VpcEndpoint: {
                shape: "S1gh",
                locationName: "vpcEndpoint"
              },
              VpnConnection: {
                shape: "S1gh",
                locationName: "vpnConnection"
              },
              VpnGateway: {
                shape: "S1gh",
                locationName: "vpnGateway"
              },
              TransitGateway: {
                shape: "S1gh",
                locationName: "transitGateway"
              },
              TransitGatewayRouteTable: {
                shape: "S1gh",
                locationName: "transitGatewayRouteTable"
              },
              TransitGatewayRouteTableRoute: {
                shape: "S1gx",
                locationName: "transitGatewayRouteTableRoute"
              },
              TransitGatewayAttachment: {
                shape: "S1gh",
                locationName: "transitGatewayAttachment"
              },
              ComponentAccount: {
                locationName: "componentAccount"
              },
              ComponentRegion: {
                locationName: "componentRegion"
              },
              FirewallStatelessRule: {
                shape: "S1h4",
                locationName: "firewallStatelessRule"
              },
              FirewallStatefulRule: {
                shape: "S1h8",
                locationName: "firewallStatefulRule"
              }
            }
          }
        },
        S1h4: {
          type: "structure",
          members: {
            RuleGroupArn: {
              locationName: "ruleGroupArn"
            },
            Sources: {
              shape: "So",
              locationName: "sourceSet"
            },
            Destinations: {
              shape: "So",
              locationName: "destinationSet"
            },
            SourcePorts: {
              shape: "S1gk",
              locationName: "sourcePortSet"
            },
            DestinationPorts: {
              shape: "S1gk",
              locationName: "destinationPortSet"
            },
            Protocols: {
              locationName: "protocolSet",
              type: "list",
              member: {
                locationName: "item",
                type: "integer"
              }
            },
            RuleAction: {
              locationName: "ruleAction"
            },
            Priority: {
              locationName: "priority",
              type: "integer"
            }
          }
        },
        S1h8: {
          type: "structure",
          members: {
            RuleGroupArn: {
              locationName: "ruleGroupArn"
            },
            Sources: {
              shape: "So",
              locationName: "sourceSet"
            },
            Destinations: {
              shape: "So",
              locationName: "destinationSet"
            },
            SourcePorts: {
              shape: "S1gk",
              locationName: "sourcePortSet"
            },
            DestinationPorts: {
              shape: "S1gk",
              locationName: "destinationPortSet"
            },
            Protocol: {
              locationName: "protocol"
            },
            RuleAction: {
              locationName: "ruleAction"
            },
            Direction: {
              locationName: "direction"
            }
          }
        },
        S1if: {
          type: "structure",
          members: {
            FirstAddress: {
              locationName: "firstAddress"
            },
            LastAddress: {
              locationName: "lastAddress"
            },
            AddressCount: {
              locationName: "addressCount",
              type: "integer"
            },
            AvailableAddressCount: {
              locationName: "availableAddressCount",
              type: "integer"
            }
          }
        },
        S1is: {
          type: "list",
          member: {
            locationName: "ReservedInstancesId"
          }
        },
        S1j0: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Amount: {
                locationName: "amount",
                type: "double"
              },
              Frequency: {
                locationName: "frequency"
              }
            }
          }
        },
        S1je: {
          type: "structure",
          members: {
            AvailabilityZone: {
              locationName: "availabilityZone"
            },
            InstanceCount: {
              locationName: "instanceCount",
              type: "integer"
            },
            InstanceType: {
              locationName: "instanceType"
            },
            Platform: {
              locationName: "platform"
            },
            Scope: {
              locationName: "scope"
            }
          }
        },
        S1k1: {
          type: "structure",
          members: {
            Frequency: {
              locationName: "frequency"
            },
            Interval: {
              locationName: "interval",
              type: "integer"
            },
            OccurrenceDaySet: {
              locationName: "occurrenceDaySet",
              type: "list",
              member: {
                locationName: "item",
                type: "integer"
              }
            },
            OccurrenceRelativeToEnd: {
              locationName: "occurrenceRelativeToEnd",
              type: "boolean"
            },
            OccurrenceUnit: {
              locationName: "occurrenceUnit"
            }
          }
        },
        S1k9: {
          type: "structure",
          members: {
            AvailabilityZone: {
              locationName: "availabilityZone"
            },
            CreateDate: {
              locationName: "createDate",
              type: "timestamp"
            },
            HourlyPrice: {
              locationName: "hourlyPrice"
            },
            InstanceCount: {
              locationName: "instanceCount",
              type: "integer"
            },
            InstanceType: {
              locationName: "instanceType"
            },
            NetworkPlatform: {
              locationName: "networkPlatform"
            },
            NextSlotStartTime: {
              locationName: "nextSlotStartTime",
              type: "timestamp"
            },
            Platform: {
              locationName: "platform"
            },
            PreviousSlotEndTime: {
              locationName: "previousSlotEndTime",
              type: "timestamp"
            },
            Recurrence: {
              shape: "S1k1",
              locationName: "recurrence"
            },
            ScheduledInstanceId: {
              locationName: "scheduledInstanceId"
            },
            SlotDurationInHours: {
              locationName: "slotDurationInHours",
              type: "integer"
            },
            TermEndDate: {
              locationName: "termEndDate",
              type: "timestamp"
            },
            TermStartDate: {
              locationName: "termStartDate",
              type: "timestamp"
            },
            TotalScheduledInstanceHours: {
              locationName: "totalScheduledInstanceHours",
              type: "integer"
            }
          }
        },
        S1kg: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S1kk: {
          type: "list",
          member: {
            locationName: "GroupName"
          }
        },
        S1ks: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Group: {
                locationName: "group"
              },
              UserId: {
                locationName: "userId"
              }
            }
          }
        },
        S1l2: {
          type: "list",
          member: {
            locationName: "SnapshotId"
          }
        },
        S1ll: {
          type: "structure",
          required: [
            "IamFleetRole",
            "TargetCapacity"
          ],
          members: {
            AllocationStrategy: {
              locationName: "allocationStrategy"
            },
            OnDemandAllocationStrategy: {
              locationName: "onDemandAllocationStrategy"
            },
            SpotMaintenanceStrategies: {
              locationName: "spotMaintenanceStrategies",
              type: "structure",
              members: {
                CapacityRebalance: {
                  locationName: "capacityRebalance",
                  type: "structure",
                  members: {
                    ReplacementStrategy: {
                      locationName: "replacementStrategy"
                    },
                    TerminationDelay: {
                      locationName: "terminationDelay",
                      type: "integer"
                    }
                  }
                }
              }
            },
            ClientToken: {
              locationName: "clientToken"
            },
            ExcessCapacityTerminationPolicy: {
              locationName: "excessCapacityTerminationPolicy"
            },
            FulfilledCapacity: {
              locationName: "fulfilledCapacity",
              type: "double"
            },
            OnDemandFulfilledCapacity: {
              locationName: "onDemandFulfilledCapacity",
              type: "double"
            },
            IamFleetRole: {
              locationName: "iamFleetRole"
            },
            LaunchSpecifications: {
              locationName: "launchSpecifications",
              type: "list",
              member: {
                locationName: "item",
                type: "structure",
                members: {
                  SecurityGroups: {
                    shape: "Slc",
                    locationName: "groupSet"
                  },
                  AddressingType: {
                    locationName: "addressingType"
                  },
                  BlockDeviceMappings: {
                    shape: "S175",
                    locationName: "blockDeviceMapping"
                  },
                  EbsOptimized: {
                    locationName: "ebsOptimized",
                    type: "boolean"
                  },
                  IamInstanceProfile: {
                    shape: "S3q",
                    locationName: "iamInstanceProfile"
                  },
                  ImageId: {
                    locationName: "imageId"
                  },
                  InstanceType: {
                    locationName: "instanceType"
                  },
                  KernelId: {
                    locationName: "kernelId"
                  },
                  KeyName: {
                    locationName: "keyName"
                  },
                  Monitoring: {
                    locationName: "monitoring",
                    type: "structure",
                    members: {
                      Enabled: {
                        locationName: "enabled",
                        type: "boolean"
                      }
                    }
                  },
                  NetworkInterfaces: {
                    shape: "S1lv",
                    locationName: "networkInterfaceSet"
                  },
                  Placement: {
                    shape: "S1lx",
                    locationName: "placement"
                  },
                  RamdiskId: {
                    locationName: "ramdiskId"
                  },
                  SpotPrice: {
                    locationName: "spotPrice"
                  },
                  SubnetId: {
                    locationName: "subnetId"
                  },
                  UserData: {
                    shape: "Sg9",
                    locationName: "userData"
                  },
                  WeightedCapacity: {
                    locationName: "weightedCapacity",
                    type: "double"
                  },
                  TagSpecifications: {
                    locationName: "tagSpecificationSet",
                    type: "list",
                    member: {
                      locationName: "item",
                      type: "structure",
                      members: {
                        ResourceType: {
                          locationName: "resourceType"
                        },
                        Tags: {
                          shape: "S6",
                          locationName: "tag"
                        }
                      }
                    }
                  },
                  InstanceRequirements: {
                    shape: "Sdo",
                    locationName: "instanceRequirements"
                  }
                }
              }
            },
            LaunchTemplateConfigs: {
              shape: "S1m0",
              locationName: "launchTemplateConfigs"
            },
            SpotPrice: {
              locationName: "spotPrice"
            },
            TargetCapacity: {
              locationName: "targetCapacity",
              type: "integer"
            },
            OnDemandTargetCapacity: {
              locationName: "onDemandTargetCapacity",
              type: "integer"
            },
            OnDemandMaxTotalPrice: {
              locationName: "onDemandMaxTotalPrice"
            },
            SpotMaxTotalPrice: {
              locationName: "spotMaxTotalPrice"
            },
            TerminateInstancesWithExpiration: {
              locationName: "terminateInstancesWithExpiration",
              type: "boolean"
            },
            Type: {
              locationName: "type"
            },
            ValidFrom: {
              locationName: "validFrom",
              type: "timestamp"
            },
            ValidUntil: {
              locationName: "validUntil",
              type: "timestamp"
            },
            ReplaceUnhealthyInstances: {
              locationName: "replaceUnhealthyInstances",
              type: "boolean"
            },
            InstanceInterruptionBehavior: {
              locationName: "instanceInterruptionBehavior"
            },
            LoadBalancersConfig: {
              locationName: "loadBalancersConfig",
              type: "structure",
              members: {
                ClassicLoadBalancersConfig: {
                  locationName: "classicLoadBalancersConfig",
                  type: "structure",
                  members: {
                    ClassicLoadBalancers: {
                      locationName: "classicLoadBalancers",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          Name: {
                            locationName: "name"
                          }
                        }
                      }
                    }
                  }
                },
                TargetGroupsConfig: {
                  locationName: "targetGroupsConfig",
                  type: "structure",
                  members: {
                    TargetGroups: {
                      locationName: "targetGroups",
                      type: "list",
                      member: {
                        locationName: "item",
                        type: "structure",
                        members: {
                          Arn: {
                            locationName: "arn"
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            InstancePoolsToUseCount: {
              locationName: "instancePoolsToUseCount",
              type: "integer"
            },
            Context: {
              locationName: "context"
            },
            TargetCapacityUnitType: {
              locationName: "targetCapacityUnitType"
            },
            TagSpecifications: {
              shape: "S3",
              locationName: "TagSpecification"
            }
          }
        },
        S1lv: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              AssociatePublicIpAddress: {
                locationName: "associatePublicIpAddress",
                type: "boolean"
              },
              DeleteOnTermination: {
                locationName: "deleteOnTermination",
                type: "boolean"
              },
              Description: {
                locationName: "description"
              },
              DeviceIndex: {
                locationName: "deviceIndex",
                type: "integer"
              },
              Groups: {
                shape: "Sgk",
                locationName: "SecurityGroupId"
              },
              Ipv6AddressCount: {
                locationName: "ipv6AddressCount",
                type: "integer"
              },
              Ipv6Addresses: {
                shape: "Si8",
                locationName: "ipv6AddressesSet",
                queryName: "Ipv6Addresses"
              },
              NetworkInterfaceId: {
                locationName: "networkInterfaceId"
              },
              PrivateIpAddress: {
                locationName: "privateIpAddress"
              },
              PrivateIpAddresses: {
                shape: "Sgn",
                locationName: "privateIpAddressesSet",
                queryName: "PrivateIpAddresses"
              },
              SecondaryPrivateIpAddressCount: {
                locationName: "secondaryPrivateIpAddressCount",
                type: "integer"
              },
              SubnetId: {
                locationName: "subnetId"
              },
              AssociateCarrierIpAddress: {
                type: "boolean"
              },
              InterfaceType: {},
              NetworkCardIndex: {
                type: "integer"
              },
              Ipv4Prefixes: {
                shape: "Sgp",
                locationName: "Ipv4Prefix"
              },
              Ipv4PrefixCount: {
                type: "integer"
              },
              Ipv6Prefixes: {
                shape: "Sgr",
                locationName: "Ipv6Prefix"
              },
              Ipv6PrefixCount: {
                type: "integer"
              }
            }
          }
        },
        S1lx: {
          type: "structure",
          members: {
            AvailabilityZone: {
              locationName: "availabilityZone"
            },
            GroupName: {
              locationName: "groupName"
            },
            Tenancy: {
              locationName: "tenancy"
            }
          }
        },
        S1m0: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              LaunchTemplateSpecification: {
                shape: "Sdl",
                locationName: "launchTemplateSpecification"
              },
              Overrides: {
                locationName: "overrides",
                type: "list",
                member: {
                  locationName: "item",
                  type: "structure",
                  members: {
                    InstanceType: {
                      locationName: "instanceType"
                    },
                    SpotPrice: {
                      locationName: "spotPrice"
                    },
                    SubnetId: {
                      locationName: "subnetId"
                    },
                    AvailabilityZone: {
                      locationName: "availabilityZone"
                    },
                    WeightedCapacity: {
                      locationName: "weightedCapacity",
                      type: "double"
                    },
                    Priority: {
                      locationName: "priority",
                      type: "double"
                    },
                    InstanceRequirements: {
                      shape: "Sdo",
                      locationName: "instanceRequirements"
                    }
                  }
                }
              }
            }
          }
        },
        S1md: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              ActualBlockHourlyPrice: {
                locationName: "actualBlockHourlyPrice"
              },
              AvailabilityZoneGroup: {
                locationName: "availabilityZoneGroup"
              },
              BlockDurationMinutes: {
                locationName: "blockDurationMinutes",
                type: "integer"
              },
              CreateTime: {
                locationName: "createTime",
                type: "timestamp"
              },
              Fault: {
                shape: "Sn8",
                locationName: "fault"
              },
              InstanceId: {
                locationName: "instanceId"
              },
              LaunchGroup: {
                locationName: "launchGroup"
              },
              LaunchSpecification: {
                locationName: "launchSpecification",
                type: "structure",
                members: {
                  UserData: {
                    shape: "Sg9",
                    locationName: "userData"
                  },
                  SecurityGroups: {
                    shape: "Slc",
                    locationName: "groupSet"
                  },
                  AddressingType: {
                    locationName: "addressingType"
                  },
                  BlockDeviceMappings: {
                    shape: "S175",
                    locationName: "blockDeviceMapping"
                  },
                  EbsOptimized: {
                    locationName: "ebsOptimized",
                    type: "boolean"
                  },
                  IamInstanceProfile: {
                    shape: "S3q",
                    locationName: "iamInstanceProfile"
                  },
                  ImageId: {
                    locationName: "imageId"
                  },
                  InstanceType: {
                    locationName: "instanceType"
                  },
                  KernelId: {
                    locationName: "kernelId"
                  },
                  KeyName: {
                    locationName: "keyName"
                  },
                  NetworkInterfaces: {
                    shape: "S1lv",
                    locationName: "networkInterfaceSet"
                  },
                  Placement: {
                    shape: "S1lx",
                    locationName: "placement"
                  },
                  RamdiskId: {
                    locationName: "ramdiskId"
                  },
                  SubnetId: {
                    locationName: "subnetId"
                  },
                  Monitoring: {
                    shape: "S1mg",
                    locationName: "monitoring"
                  }
                }
              },
              LaunchedAvailabilityZone: {
                locationName: "launchedAvailabilityZone"
              },
              ProductDescription: {
                locationName: "productDescription"
              },
              SpotInstanceRequestId: {
                locationName: "spotInstanceRequestId"
              },
              SpotPrice: {
                locationName: "spotPrice"
              },
              State: {
                locationName: "state"
              },
              Status: {
                locationName: "status",
                type: "structure",
                members: {
                  Code: {
                    locationName: "code"
                  },
                  Message: {
                    locationName: "message"
                  },
                  UpdateTime: {
                    locationName: "updateTime",
                    type: "timestamp"
                  }
                }
              },
              Tags: {
                shape: "S6",
                locationName: "tagSet"
              },
              Type: {
                locationName: "type"
              },
              ValidFrom: {
                locationName: "validFrom",
                type: "timestamp"
              },
              ValidUntil: {
                locationName: "validUntil",
                type: "timestamp"
              },
              InstanceInterruptionBehavior: {
                locationName: "instanceInterruptionBehavior"
              }
            }
          }
        },
        S1mg: {
          type: "structure",
          required: [
            "Enabled"
          ],
          members: {
            Enabled: {
              locationName: "enabled",
              type: "boolean"
            }
          }
        },
        S1mv: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              FromPort: {
                locationName: "fromPort",
                type: "integer"
              },
              IpProtocol: {
                locationName: "ipProtocol"
              },
              IpRanges: {
                locationName: "ipRanges",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              PrefixListIds: {
                locationName: "prefixListIds",
                type: "list",
                member: {
                  locationName: "item"
                }
              },
              ToPort: {
                locationName: "toPort",
                type: "integer"
              },
              UserIdGroupPairs: {
                locationName: "groups",
                type: "list",
                member: {
                  shape: "S6x",
                  locationName: "item"
                }
              }
            }
          }
        },
        S1nt: {
          type: "list",
          member: {}
        },
        S1pc: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S1pg: {
          type: "structure",
          members: {
            VerifiedAccessInstanceId: {
              locationName: "verifiedAccessInstanceId"
            },
            AccessLogs: {
              locationName: "accessLogs",
              type: "structure",
              members: {
                S3: {
                  locationName: "s3",
                  type: "structure",
                  members: {
                    Enabled: {
                      locationName: "enabled",
                      type: "boolean"
                    },
                    DeliveryStatus: {
                      shape: "S1pj",
                      locationName: "deliveryStatus"
                    },
                    BucketName: {
                      locationName: "bucketName"
                    },
                    Prefix: {
                      locationName: "prefix"
                    },
                    BucketOwner: {
                      locationName: "bucketOwner"
                    }
                  }
                },
                CloudWatchLogs: {
                  locationName: "cloudWatchLogs",
                  type: "structure",
                  members: {
                    Enabled: {
                      locationName: "enabled",
                      type: "boolean"
                    },
                    DeliveryStatus: {
                      shape: "S1pj",
                      locationName: "deliveryStatus"
                    },
                    LogGroup: {
                      locationName: "logGroup"
                    }
                  }
                },
                KinesisDataFirehose: {
                  locationName: "kinesisDataFirehose",
                  type: "structure",
                  members: {
                    Enabled: {
                      locationName: "enabled",
                      type: "boolean"
                    },
                    DeliveryStatus: {
                      shape: "S1pj",
                      locationName: "deliveryStatus"
                    },
                    DeliveryStream: {
                      locationName: "deliveryStream"
                    }
                  }
                },
                LogVersion: {
                  locationName: "logVersion"
                },
                IncludeTrustContext: {
                  locationName: "includeTrustContext",
                  type: "boolean"
                }
              }
            }
          }
        },
        S1pj: {
          type: "structure",
          members: {
            Code: {
              locationName: "code"
            },
            Message: {
              locationName: "message"
            }
          }
        },
        S1qk: {
          type: "structure",
          members: {
            VolumeId: {
              locationName: "volumeId"
            },
            ModificationState: {
              locationName: "modificationState"
            },
            StatusMessage: {
              locationName: "statusMessage"
            },
            TargetSize: {
              locationName: "targetSize",
              type: "integer"
            },
            TargetIops: {
              locationName: "targetIops",
              type: "integer"
            },
            TargetVolumeType: {
              locationName: "targetVolumeType"
            },
            TargetThroughput: {
              locationName: "targetThroughput",
              type: "integer"
            },
            TargetMultiAttachEnabled: {
              locationName: "targetMultiAttachEnabled",
              type: "boolean"
            },
            OriginalSize: {
              locationName: "originalSize",
              type: "integer"
            },
            OriginalIops: {
              locationName: "originalIops",
              type: "integer"
            },
            OriginalVolumeType: {
              locationName: "originalVolumeType"
            },
            OriginalThroughput: {
              locationName: "originalThroughput",
              type: "integer"
            },
            OriginalMultiAttachEnabled: {
              locationName: "originalMultiAttachEnabled",
              type: "boolean"
            },
            Progress: {
              locationName: "progress",
              type: "long"
            },
            StartTime: {
              locationName: "startTime",
              type: "timestamp"
            },
            EndTime: {
              locationName: "endTime",
              type: "timestamp"
            }
          }
        },
        S1qq: {
          type: "list",
          member: {
            locationName: "VpcId"
          }
        },
        S1sq: {
          type: "list",
          member: {
            locationName: "AvailabilityZone"
          }
        },
        S1t7: {
          type: "structure",
          members: {
            TransitGatewayAttachmentId: {
              locationName: "transitGatewayAttachmentId"
            },
            ResourceId: {
              locationName: "resourceId"
            },
            ResourceType: {
              locationName: "resourceType"
            },
            TransitGatewayRouteTableId: {
              locationName: "transitGatewayRouteTableId"
            },
            State: {
              locationName: "state"
            },
            TransitGatewayRouteTableAnnouncementId: {
              locationName: "transitGatewayRouteTableAnnouncementId"
            }
          }
        },
        S1wh: {
          type: "structure",
          members: {
            InstanceFamily: {
              locationName: "instanceFamily"
            },
            CpuCredits: {
              locationName: "cpuCredits"
            }
          }
        },
        S1wy: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S1x0: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              CurrencyCode: {
                locationName: "currencyCode"
              },
              Duration: {
                locationName: "duration",
                type: "integer"
              },
              HostIdSet: {
                shape: "S16d",
                locationName: "hostIdSet"
              },
              HostReservationId: {
                locationName: "hostReservationId"
              },
              HourlyPrice: {
                locationName: "hourlyPrice"
              },
              InstanceFamily: {
                locationName: "instanceFamily"
              },
              PaymentOption: {
                locationName: "paymentOption"
              },
              UpfrontPrice: {
                locationName: "upfrontPrice"
              }
            }
          }
        },
        S1x3: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S1x4: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S1y4: {
          type: "structure",
          members: {
            IpamId: {
              locationName: "ipamId"
            },
            IpamScopeId: {
              locationName: "ipamScopeId"
            },
            IpamPoolId: {
              locationName: "ipamPoolId"
            },
            ResourceRegion: {
              locationName: "resourceRegion"
            },
            ResourceOwnerId: {
              locationName: "resourceOwnerId"
            },
            ResourceId: {
              locationName: "resourceId"
            },
            ResourceName: {
              locationName: "resourceName"
            },
            ResourceCidr: {
              locationName: "resourceCidr"
            },
            ResourceType: {
              locationName: "resourceType"
            },
            ResourceTags: {
              shape: "Sfv",
              locationName: "resourceTagSet"
            },
            IpUsage: {
              locationName: "ipUsage",
              type: "double"
            },
            ComplianceStatus: {
              locationName: "complianceStatus"
            },
            ManagementState: {
              locationName: "managementState"
            },
            OverlapStatus: {
              locationName: "overlapStatus"
            },
            VpcId: {
              locationName: "vpcId"
            }
          }
        },
        S1yr: {
          type: "structure",
          members: {
            HourlyPrice: {
              locationName: "hourlyPrice"
            },
            RemainingTotalValue: {
              locationName: "remainingTotalValue"
            },
            RemainingUpfrontValue: {
              locationName: "remainingUpfrontValue"
            }
          }
        },
        S1zb: {
          type: "list",
          member: {
            shape: "Snj",
            locationName: "item"
          }
        },
        S20n: {
          type: "structure",
          members: {
            Comment: {},
            UploadEnd: {
              type: "timestamp"
            },
            UploadSize: {
              type: "double"
            },
            UploadStart: {
              type: "timestamp"
            }
          }
        },
        S20q: {
          type: "structure",
          members: {
            S3Bucket: {},
            S3Key: {}
          }
        },
        S20x: {
          type: "structure",
          required: [
            "Bytes",
            "Format",
            "ImportManifestUrl"
          ],
          members: {
            Bytes: {
              locationName: "bytes",
              type: "long"
            },
            Format: {
              locationName: "format"
            },
            ImportManifestUrl: {
              shape: "S12w",
              locationName: "importManifestUrl"
            }
          }
        },
        S20y: {
          type: "structure",
          required: [
            "Size"
          ],
          members: {
            Size: {
              locationName: "size",
              type: "long"
            }
          }
        },
        S223: {
          type: "list",
          member: {
            locationName: "UserId"
          }
        },
        S224: {
          type: "list",
          member: {
            locationName: "UserGroup"
          }
        },
        S225: {
          type: "list",
          member: {
            locationName: "ProductCode"
          }
        },
        S227: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              Group: {},
              UserId: {}
            }
          }
        },
        S22c: {
          type: "list",
          member: {
            shape: "S1h",
            locationName: "item"
          }
        },
        S22p: {
          type: "structure",
          members: {
            CapacityReservationPreference: {},
            CapacityReservationTarget: {
              shape: "Shg"
            }
          }
        },
        S23e: {
          type: "list",
          member: {
            type: "structure",
            members: {
              RegionName: {}
            }
          }
        },
        S262: {
          type: "structure",
          members: {
            AllowDnsResolutionFromRemoteVpc: {
              type: "boolean"
            },
            AllowEgressFromLocalClassicLinkToRemoteVpc: {
              type: "boolean"
            },
            AllowEgressFromLocalVpcToRemoteClassicLink: {
              type: "boolean"
            }
          }
        },
        S264: {
          type: "structure",
          members: {
            AllowDnsResolutionFromRemoteVpc: {
              locationName: "allowDnsResolutionFromRemoteVpc",
              type: "boolean"
            },
            AllowEgressFromLocalClassicLinkToRemoteVpc: {
              locationName: "allowEgressFromLocalClassicLinkToRemoteVpc",
              type: "boolean"
            },
            AllowEgressFromLocalVpcToRemoteClassicLink: {
              locationName: "allowEgressFromLocalVpcToRemoteClassicLink",
              type: "boolean"
            }
          }
        },
        S26j: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              InstanceId: {
                locationName: "instanceId"
              },
              Monitoring: {
                shape: "S1cf",
                locationName: "monitoring"
              }
            }
          }
        },
        S2a8: {
          type: "list",
          member: {
            locationName: "SecurityGroupId"
          }
        },
        S2aw: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              CurrentState: {
                shape: "S192",
                locationName: "currentState"
              },
              InstanceId: {
                locationName: "instanceId"
              },
              PreviousState: {
                shape: "S192",
                locationName: "previousState"
              }
            }
          }
        },
        S2bk: {
          type: "list",
          member: {
            locationName: "item",
            type: "structure",
            members: {
              SecurityGroupRuleId: {},
              Description: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ec2-2016-11-15.paginators.json
var require_ec2_2016_11_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/ec2-2016-11-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeAccountAttributes: {
          result_key: "AccountAttributes"
        },
        DescribeAddressTransfers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AddressTransfers"
        },
        DescribeAddresses: {
          result_key: "Addresses"
        },
        DescribeAddressesAttribute: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Addresses"
        },
        DescribeAvailabilityZones: {
          result_key: "AvailabilityZones"
        },
        DescribeAwsNetworkPerformanceMetricSubscriptions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Subscriptions"
        },
        DescribeBundleTasks: {
          result_key: "BundleTasks"
        },
        DescribeByoipCidrs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ByoipCidrs"
        },
        DescribeCapacityReservationFleets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "CapacityReservationFleets"
        },
        DescribeCapacityReservations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "CapacityReservations"
        },
        DescribeCarrierGateways: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "CarrierGateways"
        },
        DescribeClassicLinkInstances: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Instances"
        },
        DescribeClientVpnAuthorizationRules: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AuthorizationRules"
        },
        DescribeClientVpnConnections: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Connections"
        },
        DescribeClientVpnEndpoints: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ClientVpnEndpoints"
        },
        DescribeClientVpnRoutes: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Routes"
        },
        DescribeClientVpnTargetNetworks: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ClientVpnTargetNetworks"
        },
        DescribeCoipPools: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "CoipPools"
        },
        DescribeConversionTasks: {
          result_key: "ConversionTasks"
        },
        DescribeCustomerGateways: {
          result_key: "CustomerGateways"
        },
        DescribeDhcpOptions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "DhcpOptions"
        },
        DescribeEgressOnlyInternetGateways: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "EgressOnlyInternetGateways"
        },
        DescribeExportImageTasks: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ExportImageTasks"
        },
        DescribeExportTasks: {
          result_key: "ExportTasks"
        },
        DescribeFastLaunchImages: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "FastLaunchImages"
        },
        DescribeFastSnapshotRestores: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "FastSnapshotRestores"
        },
        DescribeFleets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Fleets"
        },
        DescribeFlowLogs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "FlowLogs"
        },
        DescribeFpgaImages: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "FpgaImages"
        },
        DescribeHostReservationOfferings: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "OfferingSet"
        },
        DescribeHostReservations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "HostReservationSet"
        },
        DescribeHosts: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Hosts"
        },
        DescribeIamInstanceProfileAssociations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "IamInstanceProfileAssociations"
        },
        DescribeImages: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Images"
        },
        DescribeImportImageTasks: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ImportImageTasks"
        },
        DescribeImportSnapshotTasks: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ImportSnapshotTasks"
        },
        DescribeInstanceConnectEndpoints: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "InstanceConnectEndpoints"
        },
        DescribeInstanceCreditSpecifications: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "InstanceCreditSpecifications"
        },
        DescribeInstanceEventWindows: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "InstanceEventWindows"
        },
        DescribeInstanceStatus: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "InstanceStatuses"
        },
        DescribeInstanceTypeOfferings: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "InstanceTypeOfferings"
        },
        DescribeInstanceTypes: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "InstanceTypes"
        },
        DescribeInstances: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Reservations"
        },
        DescribeInternetGateways: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "InternetGateways"
        },
        DescribeIpamPools: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "IpamPools"
        },
        DescribeIpamResourceDiscoveries: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "IpamResourceDiscoveries"
        },
        DescribeIpamResourceDiscoveryAssociations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "IpamResourceDiscoveryAssociations"
        },
        DescribeIpamScopes: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "IpamScopes"
        },
        DescribeIpams: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Ipams"
        },
        DescribeIpv6Pools: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Ipv6Pools"
        },
        DescribeKeyPairs: {
          result_key: "KeyPairs"
        },
        DescribeLaunchTemplateVersions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "LaunchTemplateVersions"
        },
        DescribeLaunchTemplates: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "LaunchTemplates"
        },
        DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "LocalGatewayRouteTableVirtualInterfaceGroupAssociations"
        },
        DescribeLocalGatewayRouteTableVpcAssociations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "LocalGatewayRouteTableVpcAssociations"
        },
        DescribeLocalGatewayRouteTables: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "LocalGatewayRouteTables"
        },
        DescribeLocalGatewayVirtualInterfaceGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "LocalGatewayVirtualInterfaceGroups"
        },
        DescribeLocalGatewayVirtualInterfaces: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "LocalGatewayVirtualInterfaces"
        },
        DescribeLocalGateways: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "LocalGateways"
        },
        DescribeManagedPrefixLists: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PrefixLists"
        },
        DescribeMovingAddresses: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "MovingAddressStatuses"
        },
        DescribeNatGateways: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "NatGateways"
        },
        DescribeNetworkAcls: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "NetworkAcls"
        },
        DescribeNetworkInsightsAccessScopeAnalyses: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "NetworkInsightsAccessScopeAnalyses"
        },
        DescribeNetworkInsightsAccessScopes: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "NetworkInsightsAccessScopes"
        },
        DescribeNetworkInsightsAnalyses: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "NetworkInsightsAnalyses"
        },
        DescribeNetworkInsightsPaths: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "NetworkInsightsPaths"
        },
        DescribeNetworkInterfacePermissions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "NetworkInterfacePermissions"
        },
        DescribeNetworkInterfaces: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "NetworkInterfaces"
        },
        DescribePlacementGroups: {
          result_key: "PlacementGroups"
        },
        DescribePrefixLists: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PrefixLists"
        },
        DescribePrincipalIdFormat: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Principals"
        },
        DescribePublicIpv4Pools: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PublicIpv4Pools"
        },
        DescribeRegions: {
          result_key: "Regions"
        },
        DescribeReplaceRootVolumeTasks: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ReplaceRootVolumeTasks"
        },
        DescribeReservedInstances: {
          result_key: "ReservedInstances"
        },
        DescribeReservedInstancesListings: {
          result_key: "ReservedInstancesListings"
        },
        DescribeReservedInstancesModifications: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "ReservedInstancesModifications"
        },
        DescribeReservedInstancesOfferings: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ReservedInstancesOfferings"
        },
        DescribeRouteTables: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "RouteTables"
        },
        DescribeScheduledInstanceAvailability: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ScheduledInstanceAvailabilitySet"
        },
        DescribeScheduledInstances: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ScheduledInstanceSet"
        },
        DescribeSecurityGroupRules: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "SecurityGroupRules"
        },
        DescribeSecurityGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "SecurityGroups"
        },
        DescribeSnapshotTierStatus: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "SnapshotTierStatuses"
        },
        DescribeSnapshots: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Snapshots"
        },
        DescribeSpotFleetRequests: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "SpotFleetRequestConfigs"
        },
        DescribeSpotInstanceRequests: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "SpotInstanceRequests"
        },
        DescribeSpotPriceHistory: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "SpotPriceHistory"
        },
        DescribeStaleSecurityGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "StaleSecurityGroupSet"
        },
        DescribeStoreImageTasks: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "StoreImageTaskResults"
        },
        DescribeSubnets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Subnets"
        },
        DescribeTags: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Tags"
        },
        DescribeTrafficMirrorFilters: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TrafficMirrorFilters"
        },
        DescribeTrafficMirrorSessions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TrafficMirrorSessions"
        },
        DescribeTrafficMirrorTargets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TrafficMirrorTargets"
        },
        DescribeTransitGatewayAttachments: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TransitGatewayAttachments"
        },
        DescribeTransitGatewayConnectPeers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TransitGatewayConnectPeers"
        },
        DescribeTransitGatewayConnects: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TransitGatewayConnects"
        },
        DescribeTransitGatewayMulticastDomains: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TransitGatewayMulticastDomains"
        },
        DescribeTransitGatewayPeeringAttachments: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TransitGatewayPeeringAttachments"
        },
        DescribeTransitGatewayPolicyTables: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TransitGatewayPolicyTables"
        },
        DescribeTransitGatewayRouteTableAnnouncements: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TransitGatewayRouteTableAnnouncements"
        },
        DescribeTransitGatewayRouteTables: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TransitGatewayRouteTables"
        },
        DescribeTransitGatewayVpcAttachments: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TransitGatewayVpcAttachments"
        },
        DescribeTransitGateways: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TransitGateways"
        },
        DescribeTrunkInterfaceAssociations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "InterfaceAssociations"
        },
        DescribeVerifiedAccessEndpoints: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "VerifiedAccessEndpoints"
        },
        DescribeVerifiedAccessGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "VerifiedAccessGroups"
        },
        DescribeVerifiedAccessInstanceLoggingConfigurations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "LoggingConfigurations"
        },
        DescribeVerifiedAccessInstances: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "VerifiedAccessInstances"
        },
        DescribeVerifiedAccessTrustProviders: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "VerifiedAccessTrustProviders"
        },
        DescribeVolumeStatus: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "VolumeStatuses"
        },
        DescribeVolumes: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Volumes"
        },
        DescribeVolumesModifications: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "VolumesModifications"
        },
        DescribeVpcClassicLinkDnsSupport: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Vpcs"
        },
        DescribeVpcEndpointConnectionNotifications: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ConnectionNotificationSet"
        },
        DescribeVpcEndpointConnections: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "VpcEndpointConnections"
        },
        DescribeVpcEndpointServiceConfigurations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ServiceConfigurations"
        },
        DescribeVpcEndpointServicePermissions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AllowedPrincipals"
        },
        DescribeVpcEndpoints: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "VpcEndpoints"
        },
        DescribeVpcPeeringConnections: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "VpcPeeringConnections"
        },
        DescribeVpcs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Vpcs"
        },
        DescribeVpnConnections: {
          result_key: "VpnConnections"
        },
        DescribeVpnGateways: {
          result_key: "VpnGateways"
        },
        GetAssociatedIpv6PoolCidrs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Ipv6CidrAssociations"
        },
        GetAwsNetworkPerformanceData: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "DataResponses"
        },
        GetGroupsForCapacityReservation: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "CapacityReservationGroups"
        },
        GetInstanceTypesFromInstanceRequirements: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "InstanceTypes"
        },
        GetIpamAddressHistory: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "HistoryRecords"
        },
        GetIpamDiscoveredAccounts: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "IpamDiscoveredAccounts"
        },
        GetIpamDiscoveredResourceCidrs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "IpamDiscoveredResourceCidrs"
        },
        GetIpamPoolAllocations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "IpamPoolAllocations"
        },
        GetIpamPoolCidrs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "IpamPoolCidrs"
        },
        GetIpamResourceCidrs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "IpamResourceCidrs"
        },
        GetManagedPrefixListAssociations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PrefixListAssociations"
        },
        GetManagedPrefixListEntries: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Entries"
        },
        GetNetworkInsightsAccessScopeAnalysisFindings: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AnalysisFindings"
        },
        GetSpotPlacementScores: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "SpotPlacementScores"
        },
        GetTransitGatewayAttachmentPropagations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TransitGatewayAttachmentPropagations"
        },
        GetTransitGatewayMulticastDomainAssociations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "MulticastDomainAssociations"
        },
        GetTransitGatewayPolicyTableAssociations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Associations"
        },
        GetTransitGatewayPrefixListReferences: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TransitGatewayPrefixListReferences"
        },
        GetTransitGatewayRouteTableAssociations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Associations"
        },
        GetTransitGatewayRouteTablePropagations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TransitGatewayRouteTablePropagations"
        },
        GetVpnConnectionDeviceTypes: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "VpnConnectionDeviceTypes"
        },
        ListImagesInRecycleBin: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Images"
        },
        ListSnapshotsInRecycleBin: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Snapshots"
        },
        SearchLocalGatewayRoutes: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Routes"
        },
        SearchTransitGatewayMulticastGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "MulticastGroups"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ec2-2016-11-15.waiters2.json
var require_ec2_2016_11_15_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/ec2-2016-11-15.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        InstanceExists: {
          delay: 5,
          maxAttempts: 40,
          operation: "DescribeInstances",
          acceptors: [
            {
              matcher: "path",
              expected: true,
              argument: "length(Reservations[]) > `0`",
              state: "success"
            },
            {
              matcher: "error",
              expected: "InvalidInstanceID.NotFound",
              state: "retry"
            }
          ]
        },
        BundleTaskComplete: {
          delay: 15,
          operation: "DescribeBundleTasks",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "complete",
              matcher: "pathAll",
              state: "success",
              argument: "BundleTasks[].State"
            },
            {
              expected: "failed",
              matcher: "pathAny",
              state: "failure",
              argument: "BundleTasks[].State"
            }
          ]
        },
        ConversionTaskCancelled: {
          delay: 15,
          operation: "DescribeConversionTasks",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "cancelled",
              matcher: "pathAll",
              state: "success",
              argument: "ConversionTasks[].State"
            }
          ]
        },
        ConversionTaskCompleted: {
          delay: 15,
          operation: "DescribeConversionTasks",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "completed",
              matcher: "pathAll",
              state: "success",
              argument: "ConversionTasks[].State"
            },
            {
              expected: "cancelled",
              matcher: "pathAny",
              state: "failure",
              argument: "ConversionTasks[].State"
            },
            {
              expected: "cancelling",
              matcher: "pathAny",
              state: "failure",
              argument: "ConversionTasks[].State"
            }
          ]
        },
        ConversionTaskDeleted: {
          delay: 15,
          operation: "DescribeConversionTasks",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "deleted",
              matcher: "pathAll",
              state: "success",
              argument: "ConversionTasks[].State"
            }
          ]
        },
        CustomerGatewayAvailable: {
          delay: 15,
          operation: "DescribeCustomerGateways",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "available",
              matcher: "pathAll",
              state: "success",
              argument: "CustomerGateways[].State"
            },
            {
              expected: "deleted",
              matcher: "pathAny",
              state: "failure",
              argument: "CustomerGateways[].State"
            },
            {
              expected: "deleting",
              matcher: "pathAny",
              state: "failure",
              argument: "CustomerGateways[].State"
            }
          ]
        },
        ExportTaskCancelled: {
          delay: 15,
          operation: "DescribeExportTasks",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "cancelled",
              matcher: "pathAll",
              state: "success",
              argument: "ExportTasks[].State"
            }
          ]
        },
        ExportTaskCompleted: {
          delay: 15,
          operation: "DescribeExportTasks",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "completed",
              matcher: "pathAll",
              state: "success",
              argument: "ExportTasks[].State"
            }
          ]
        },
        ImageExists: {
          operation: "DescribeImages",
          maxAttempts: 40,
          delay: 15,
          acceptors: [
            {
              matcher: "path",
              expected: true,
              argument: "length(Images[]) > `0`",
              state: "success"
            },
            {
              matcher: "error",
              expected: "InvalidAMIID.NotFound",
              state: "retry"
            }
          ]
        },
        ImageAvailable: {
          operation: "DescribeImages",
          maxAttempts: 40,
          delay: 15,
          acceptors: [
            {
              state: "success",
              matcher: "pathAll",
              argument: "Images[].State",
              expected: "available"
            },
            {
              state: "failure",
              matcher: "pathAny",
              argument: "Images[].State",
              expected: "failed"
            }
          ]
        },
        InstanceRunning: {
          delay: 15,
          operation: "DescribeInstances",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "running",
              matcher: "pathAll",
              state: "success",
              argument: "Reservations[].Instances[].State.Name"
            },
            {
              expected: "shutting-down",
              matcher: "pathAny",
              state: "failure",
              argument: "Reservations[].Instances[].State.Name"
            },
            {
              expected: "terminated",
              matcher: "pathAny",
              state: "failure",
              argument: "Reservations[].Instances[].State.Name"
            },
            {
              expected: "stopping",
              matcher: "pathAny",
              state: "failure",
              argument: "Reservations[].Instances[].State.Name"
            },
            {
              matcher: "error",
              expected: "InvalidInstanceID.NotFound",
              state: "retry"
            }
          ]
        },
        InstanceStatusOk: {
          operation: "DescribeInstanceStatus",
          maxAttempts: 40,
          delay: 15,
          acceptors: [
            {
              state: "success",
              matcher: "pathAll",
              argument: "InstanceStatuses[].InstanceStatus.Status",
              expected: "ok"
            },
            {
              matcher: "error",
              expected: "InvalidInstanceID.NotFound",
              state: "retry"
            }
          ]
        },
        InstanceStopped: {
          delay: 15,
          operation: "DescribeInstances",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "stopped",
              matcher: "pathAll",
              state: "success",
              argument: "Reservations[].Instances[].State.Name"
            },
            {
              expected: "pending",
              matcher: "pathAny",
              state: "failure",
              argument: "Reservations[].Instances[].State.Name"
            },
            {
              expected: "terminated",
              matcher: "pathAny",
              state: "failure",
              argument: "Reservations[].Instances[].State.Name"
            }
          ]
        },
        InstanceTerminated: {
          delay: 15,
          operation: "DescribeInstances",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "terminated",
              matcher: "pathAll",
              state: "success",
              argument: "Reservations[].Instances[].State.Name"
            },
            {
              expected: "pending",
              matcher: "pathAny",
              state: "failure",
              argument: "Reservations[].Instances[].State.Name"
            },
            {
              expected: "stopping",
              matcher: "pathAny",
              state: "failure",
              argument: "Reservations[].Instances[].State.Name"
            }
          ]
        },
        InternetGatewayExists: {
          operation: "DescribeInternetGateways",
          delay: 5,
          maxAttempts: 6,
          acceptors: [
            {
              expected: true,
              matcher: "path",
              state: "success",
              argument: "length(InternetGateways[].InternetGatewayId) > `0`"
            },
            {
              expected: "InvalidInternetGateway.NotFound",
              matcher: "error",
              state: "retry"
            }
          ]
        },
        KeyPairExists: {
          operation: "DescribeKeyPairs",
          delay: 5,
          maxAttempts: 6,
          acceptors: [
            {
              expected: true,
              matcher: "path",
              state: "success",
              argument: "length(KeyPairs[].KeyName) > `0`"
            },
            {
              expected: "InvalidKeyPair.NotFound",
              matcher: "error",
              state: "retry"
            }
          ]
        },
        NatGatewayAvailable: {
          operation: "DescribeNatGateways",
          delay: 15,
          maxAttempts: 40,
          acceptors: [
            {
              state: "success",
              matcher: "pathAll",
              argument: "NatGateways[].State",
              expected: "available"
            },
            {
              state: "failure",
              matcher: "pathAny",
              argument: "NatGateways[].State",
              expected: "failed"
            },
            {
              state: "failure",
              matcher: "pathAny",
              argument: "NatGateways[].State",
              expected: "deleting"
            },
            {
              state: "failure",
              matcher: "pathAny",
              argument: "NatGateways[].State",
              expected: "deleted"
            },
            {
              state: "retry",
              matcher: "error",
              expected: "NatGatewayNotFound"
            }
          ]
        },
        NatGatewayDeleted: {
          operation: "DescribeNatGateways",
          delay: 15,
          maxAttempts: 40,
          acceptors: [
            {
              state: "success",
              matcher: "pathAll",
              argument: "NatGateways[].State",
              expected: "deleted"
            },
            {
              state: "success",
              matcher: "error",
              expected: "NatGatewayNotFound"
            }
          ]
        },
        NetworkInterfaceAvailable: {
          operation: "DescribeNetworkInterfaces",
          delay: 20,
          maxAttempts: 10,
          acceptors: [
            {
              expected: "available",
              matcher: "pathAll",
              state: "success",
              argument: "NetworkInterfaces[].Status"
            },
            {
              expected: "InvalidNetworkInterfaceID.NotFound",
              matcher: "error",
              state: "failure"
            }
          ]
        },
        PasswordDataAvailable: {
          operation: "GetPasswordData",
          maxAttempts: 40,
          delay: 15,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "length(PasswordData) > `0`",
              expected: true
            }
          ]
        },
        SnapshotCompleted: {
          delay: 15,
          operation: "DescribeSnapshots",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "completed",
              matcher: "pathAll",
              state: "success",
              argument: "Snapshots[].State"
            },
            {
              expected: "error",
              matcher: "pathAny",
              state: "failure",
              argument: "Snapshots[].State"
            }
          ]
        },
        SnapshotImported: {
          delay: 15,
          operation: "DescribeImportSnapshotTasks",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "completed",
              matcher: "pathAll",
              state: "success",
              argument: "ImportSnapshotTasks[].SnapshotTaskDetail.Status"
            },
            {
              expected: "error",
              matcher: "pathAny",
              state: "failure",
              argument: "ImportSnapshotTasks[].SnapshotTaskDetail.Status"
            }
          ]
        },
        SecurityGroupExists: {
          operation: "DescribeSecurityGroups",
          delay: 5,
          maxAttempts: 6,
          acceptors: [
            {
              expected: true,
              matcher: "path",
              state: "success",
              argument: "length(SecurityGroups[].GroupId) > `0`"
            },
            {
              expected: "InvalidGroup.NotFound",
              matcher: "error",
              state: "retry"
            }
          ]
        },
        SpotInstanceRequestFulfilled: {
          operation: "DescribeSpotInstanceRequests",
          maxAttempts: 40,
          delay: 15,
          acceptors: [
            {
              state: "success",
              matcher: "pathAll",
              argument: "SpotInstanceRequests[].Status.Code",
              expected: "fulfilled"
            },
            {
              state: "success",
              matcher: "pathAll",
              argument: "SpotInstanceRequests[].Status.Code",
              expected: "request-canceled-and-instance-running"
            },
            {
              state: "failure",
              matcher: "pathAny",
              argument: "SpotInstanceRequests[].Status.Code",
              expected: "schedule-expired"
            },
            {
              state: "failure",
              matcher: "pathAny",
              argument: "SpotInstanceRequests[].Status.Code",
              expected: "canceled-before-fulfillment"
            },
            {
              state: "failure",
              matcher: "pathAny",
              argument: "SpotInstanceRequests[].Status.Code",
              expected: "bad-parameters"
            },
            {
              state: "failure",
              matcher: "pathAny",
              argument: "SpotInstanceRequests[].Status.Code",
              expected: "system-error"
            },
            {
              state: "retry",
              matcher: "error",
              expected: "InvalidSpotInstanceRequestID.NotFound"
            }
          ]
        },
        SubnetAvailable: {
          delay: 15,
          operation: "DescribeSubnets",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "available",
              matcher: "pathAll",
              state: "success",
              argument: "Subnets[].State"
            }
          ]
        },
        SystemStatusOk: {
          operation: "DescribeInstanceStatus",
          maxAttempts: 40,
          delay: 15,
          acceptors: [
            {
              state: "success",
              matcher: "pathAll",
              argument: "InstanceStatuses[].SystemStatus.Status",
              expected: "ok"
            }
          ]
        },
        VolumeAvailable: {
          delay: 15,
          operation: "DescribeVolumes",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "available",
              matcher: "pathAll",
              state: "success",
              argument: "Volumes[].State"
            },
            {
              expected: "deleted",
              matcher: "pathAny",
              state: "failure",
              argument: "Volumes[].State"
            }
          ]
        },
        VolumeDeleted: {
          delay: 15,
          operation: "DescribeVolumes",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "deleted",
              matcher: "pathAll",
              state: "success",
              argument: "Volumes[].State"
            },
            {
              matcher: "error",
              expected: "InvalidVolume.NotFound",
              state: "success"
            }
          ]
        },
        VolumeInUse: {
          delay: 15,
          operation: "DescribeVolumes",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "in-use",
              matcher: "pathAll",
              state: "success",
              argument: "Volumes[].State"
            },
            {
              expected: "deleted",
              matcher: "pathAny",
              state: "failure",
              argument: "Volumes[].State"
            }
          ]
        },
        VpcAvailable: {
          delay: 15,
          operation: "DescribeVpcs",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "available",
              matcher: "pathAll",
              state: "success",
              argument: "Vpcs[].State"
            }
          ]
        },
        VpcExists: {
          operation: "DescribeVpcs",
          delay: 1,
          maxAttempts: 5,
          acceptors: [
            {
              matcher: "status",
              expected: 200,
              state: "success"
            },
            {
              matcher: "error",
              expected: "InvalidVpcID.NotFound",
              state: "retry"
            }
          ]
        },
        VpnConnectionAvailable: {
          delay: 15,
          operation: "DescribeVpnConnections",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "available",
              matcher: "pathAll",
              state: "success",
              argument: "VpnConnections[].State"
            },
            {
              expected: "deleting",
              matcher: "pathAny",
              state: "failure",
              argument: "VpnConnections[].State"
            },
            {
              expected: "deleted",
              matcher: "pathAny",
              state: "failure",
              argument: "VpnConnections[].State"
            }
          ]
        },
        VpnConnectionDeleted: {
          delay: 15,
          operation: "DescribeVpnConnections",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "deleted",
              matcher: "pathAll",
              state: "success",
              argument: "VpnConnections[].State"
            },
            {
              expected: "pending",
              matcher: "pathAny",
              state: "failure",
              argument: "VpnConnections[].State"
            }
          ]
        },
        VpcPeeringConnectionExists: {
          delay: 15,
          operation: "DescribeVpcPeeringConnections",
          maxAttempts: 40,
          acceptors: [
            {
              matcher: "status",
              expected: 200,
              state: "success"
            },
            {
              matcher: "error",
              expected: "InvalidVpcPeeringConnectionID.NotFound",
              state: "retry"
            }
          ]
        },
        VpcPeeringConnectionDeleted: {
          delay: 15,
          operation: "DescribeVpcPeeringConnections",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "deleted",
              matcher: "pathAll",
              state: "success",
              argument: "VpcPeeringConnections[].Status.Code"
            },
            {
              matcher: "error",
              expected: "InvalidVpcPeeringConnectionID.NotFound",
              state: "success"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/ec2.js
var require_ec22 = __commonJS({
  "node_modules/aws-sdk/clients/ec2.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ec2"] = {};
    AWS2.EC2 = Service.defineService("ec2", ["2013-06-15*", "2013-10-15*", "2014-02-01*", "2014-05-01*", "2014-06-15*", "2014-09-01*", "2014-10-01*", "2015-03-01*", "2015-04-15*", "2015-10-01*", "2016-04-01*", "2016-09-15*", "2016-11-15"]);
    require_ec2();
    Object.defineProperty(apiLoader.services["ec2"], "2016-11-15", {
      get: function get() {
        var model = require_ec2_2016_11_15_min();
        model.paginators = require_ec2_2016_11_15_paginators().pagination;
        model.waiters = require_ec2_2016_11_15_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.EC2;
  }
});

// node_modules/aws-sdk/apis/ecr-2015-09-21.min.json
var require_ecr_2015_09_21_min = __commonJS({
  "node_modules/aws-sdk/apis/ecr-2015-09-21.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-09-21",
        endpointPrefix: "api.ecr",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Amazon ECR",
        serviceFullName: "Amazon EC2 Container Registry",
        serviceId: "ECR",
        signatureVersion: "v4",
        signingName: "ecr",
        targetPrefix: "AmazonEC2ContainerRegistry_V20150921",
        uid: "ecr-2015-09-21"
      },
      operations: {
        BatchCheckLayerAvailability: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "layerDigests"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              layerDigests: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              layers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    layerDigest: {},
                    layerAvailability: {},
                    layerSize: {
                      type: "long"
                    },
                    mediaType: {}
                  }
                }
              },
              failures: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    layerDigest: {},
                    failureCode: {},
                    failureReason: {}
                  }
                }
              }
            }
          }
        },
        BatchDeleteImage: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "imageIds"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              imageIds: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              imageIds: {
                shape: "Si"
              },
              failures: {
                shape: "Sn"
              }
            }
          }
        },
        BatchGetImage: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "imageIds"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              imageIds: {
                shape: "Si"
              },
              acceptedMediaTypes: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              images: {
                type: "list",
                member: {
                  shape: "Sv"
                }
              },
              failures: {
                shape: "Sn"
              }
            }
          }
        },
        BatchGetRepositoryScanningConfiguration: {
          input: {
            type: "structure",
            required: [
              "repositoryNames"
            ],
            members: {
              repositoryNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              scanningConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    repositoryArn: {},
                    repositoryName: {},
                    scanOnPush: {
                      type: "boolean"
                    },
                    scanFrequency: {},
                    appliedScanFilters: {
                      shape: "S15"
                    }
                  }
                }
              },
              failures: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    repositoryName: {},
                    failureCode: {},
                    failureReason: {}
                  }
                }
              }
            }
          }
        },
        CompleteLayerUpload: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "uploadId",
              "layerDigests"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              uploadId: {},
              layerDigests: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              uploadId: {},
              layerDigest: {}
            }
          }
        },
        CreatePullThroughCacheRule: {
          input: {
            type: "structure",
            required: [
              "ecrRepositoryPrefix",
              "upstreamRegistryUrl"
            ],
            members: {
              ecrRepositoryPrefix: {},
              upstreamRegistryUrl: {},
              registryId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ecrRepositoryPrefix: {},
              upstreamRegistryUrl: {},
              createdAt: {
                type: "timestamp"
              },
              registryId: {}
            }
          }
        },
        CreateRepository: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              tags: {
                shape: "S1n"
              },
              imageTagMutability: {},
              imageScanningConfiguration: {
                shape: "S1s"
              },
              encryptionConfiguration: {
                shape: "S1t"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repository: {
                shape: "S1x"
              }
            }
          }
        },
        DeleteLifecyclePolicy: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              lifecyclePolicyText: {},
              lastEvaluatedAt: {
                type: "timestamp"
              }
            }
          }
        },
        DeletePullThroughCacheRule: {
          input: {
            type: "structure",
            required: [
              "ecrRepositoryPrefix"
            ],
            members: {
              ecrRepositoryPrefix: {},
              registryId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ecrRepositoryPrefix: {},
              upstreamRegistryUrl: {},
              createdAt: {
                type: "timestamp"
              },
              registryId: {}
            }
          }
        },
        DeleteRegistryPolicy: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              policyText: {}
            }
          }
        },
        DeleteRepository: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              force: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repository: {
                shape: "S1x"
              }
            }
          }
        },
        DeleteRepositoryPolicy: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              policyText: {}
            }
          }
        },
        DescribeImageReplicationStatus: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "imageId"
            ],
            members: {
              repositoryName: {},
              imageId: {
                shape: "Sj"
              },
              registryId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              repositoryName: {},
              imageId: {
                shape: "Sj"
              },
              replicationStatuses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    region: {},
                    registryId: {},
                    status: {},
                    failureCode: {}
                  }
                }
              }
            }
          }
        },
        DescribeImageScanFindings: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "imageId"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              imageId: {
                shape: "Sj"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              imageId: {
                shape: "Sj"
              },
              imageScanStatus: {
                shape: "S2o"
              },
              imageScanFindings: {
                type: "structure",
                members: {
                  imageScanCompletedAt: {
                    type: "timestamp"
                  },
                  vulnerabilitySourceUpdatedAt: {
                    type: "timestamp"
                  },
                  findingSeverityCounts: {
                    shape: "S2u"
                  },
                  findings: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        name: {},
                        description: {},
                        uri: {},
                        severity: {},
                        attributes: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "key"
                            ],
                            members: {
                              key: {},
                              value: {}
                            }
                          }
                        }
                      }
                    }
                  },
                  enhancedFindings: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        awsAccountId: {},
                        description: {},
                        findingArn: {},
                        firstObservedAt: {
                          type: "timestamp"
                        },
                        lastObservedAt: {
                          type: "timestamp"
                        },
                        packageVulnerabilityDetails: {
                          type: "structure",
                          members: {
                            cvss: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  baseScore: {
                                    type: "double"
                                  },
                                  scoringVector: {},
                                  source: {},
                                  version: {}
                                }
                              }
                            },
                            referenceUrls: {
                              type: "list",
                              member: {}
                            },
                            relatedVulnerabilities: {
                              type: "list",
                              member: {}
                            },
                            source: {},
                            sourceUrl: {},
                            vendorCreatedAt: {
                              type: "timestamp"
                            },
                            vendorSeverity: {},
                            vendorUpdatedAt: {
                              type: "timestamp"
                            },
                            vulnerabilityId: {},
                            vulnerablePackages: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  arch: {},
                                  epoch: {
                                    type: "integer"
                                  },
                                  filePath: {},
                                  name: {},
                                  packageManager: {},
                                  release: {},
                                  sourceLayerHash: {},
                                  version: {}
                                }
                              }
                            }
                          }
                        },
                        remediation: {
                          type: "structure",
                          members: {
                            recommendation: {
                              type: "structure",
                              members: {
                                url: {},
                                text: {}
                              }
                            }
                          }
                        },
                        resources: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              details: {
                                type: "structure",
                                members: {
                                  awsEcrContainerImage: {
                                    type: "structure",
                                    members: {
                                      architecture: {},
                                      author: {},
                                      imageHash: {},
                                      imageTags: {
                                        type: "list",
                                        member: {}
                                      },
                                      platform: {},
                                      pushedAt: {
                                        type: "timestamp"
                                      },
                                      registry: {},
                                      repositoryName: {}
                                    }
                                  }
                                }
                              },
                              id: {},
                              tags: {
                                type: "map",
                                key: {},
                                value: {}
                              },
                              type: {}
                            }
                          }
                        },
                        score: {
                          type: "double"
                        },
                        scoreDetails: {
                          type: "structure",
                          members: {
                            cvss: {
                              type: "structure",
                              members: {
                                adjustments: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      metric: {},
                                      reason: {}
                                    }
                                  }
                                },
                                score: {
                                  type: "double"
                                },
                                scoreSource: {},
                                scoringVector: {},
                                version: {}
                              }
                            }
                          }
                        },
                        severity: {},
                        status: {},
                        title: {},
                        type: {},
                        updatedAt: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeImages: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              imageIds: {
                shape: "Si"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filter: {
                type: "structure",
                members: {
                  tagStatus: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              imageDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    registryId: {},
                    repositoryName: {},
                    imageDigest: {},
                    imageTags: {
                      shape: "S4m"
                    },
                    imageSizeInBytes: {
                      type: "long"
                    },
                    imagePushedAt: {
                      type: "timestamp"
                    },
                    imageScanStatus: {
                      shape: "S2o"
                    },
                    imageScanFindingsSummary: {
                      type: "structure",
                      members: {
                        imageScanCompletedAt: {
                          type: "timestamp"
                        },
                        vulnerabilitySourceUpdatedAt: {
                          type: "timestamp"
                        },
                        findingSeverityCounts: {
                          shape: "S2u"
                        }
                      }
                    },
                    imageManifestMediaType: {},
                    artifactMediaType: {},
                    lastRecordedPullTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribePullThroughCacheRules: {
          input: {
            type: "structure",
            members: {
              registryId: {},
              ecrRepositoryPrefixes: {
                type: "list",
                member: {}
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              pullThroughCacheRules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ecrRepositoryPrefix: {},
                    upstreamRegistryUrl: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    registryId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeRegistry: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              replicationConfiguration: {
                shape: "S4y"
              }
            }
          }
        },
        DescribeRepositories: {
          input: {
            type: "structure",
            members: {
              registryId: {},
              repositoryNames: {
                type: "list",
                member: {}
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repositories: {
                type: "list",
                member: {
                  shape: "S1x"
                }
              },
              nextToken: {}
            }
          }
        },
        GetAuthorizationToken: {
          input: {
            type: "structure",
            members: {
              registryIds: {
                deprecated: true,
                deprecatedMessage: "This field is deprecated. The returned authorization token can be used to access any Amazon ECR registry that the IAM principal has access to, specifying a registry ID doesn't change the permissions scope of the authorization token.",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              authorizationData: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    authorizationToken: {},
                    expiresAt: {
                      type: "timestamp"
                    },
                    proxyEndpoint: {}
                  }
                }
              }
            }
          }
        },
        GetDownloadUrlForLayer: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "layerDigest"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              layerDigest: {}
            }
          },
          output: {
            type: "structure",
            members: {
              downloadUrl: {},
              layerDigest: {}
            }
          }
        },
        GetLifecyclePolicy: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              lifecyclePolicyText: {},
              lastEvaluatedAt: {
                type: "timestamp"
              }
            }
          }
        },
        GetLifecyclePolicyPreview: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              imageIds: {
                shape: "Si"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filter: {
                type: "structure",
                members: {
                  tagStatus: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              lifecyclePolicyText: {},
              status: {},
              nextToken: {},
              previewResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    imageTags: {
                      shape: "S4m"
                    },
                    imageDigest: {},
                    imagePushedAt: {
                      type: "timestamp"
                    },
                    action: {
                      type: "structure",
                      members: {
                        type: {}
                      }
                    },
                    appliedRulePriority: {
                      type: "integer"
                    }
                  }
                }
              },
              summary: {
                type: "structure",
                members: {
                  expiringImageTotalCount: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        GetRegistryPolicy: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              policyText: {}
            }
          }
        },
        GetRegistryScanningConfiguration: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              scanningConfiguration: {
                shape: "S63"
              }
            }
          }
        },
        GetRepositoryPolicy: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              policyText: {}
            }
          }
        },
        InitiateLayerUpload: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              uploadId: {},
              partSize: {
                type: "long"
              }
            }
          }
        },
        ListImages: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filter: {
                type: "structure",
                members: {
                  tagStatus: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              imageIds: {
                shape: "Si"
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S1n"
              }
            }
          }
        },
        PutImage: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "imageManifest"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              imageManifest: {},
              imageManifestMediaType: {},
              imageTag: {},
              imageDigest: {}
            }
          },
          output: {
            type: "structure",
            members: {
              image: {
                shape: "Sv"
              }
            }
          }
        },
        PutImageScanningConfiguration: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "imageScanningConfiguration"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              imageScanningConfiguration: {
                shape: "S1s"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              imageScanningConfiguration: {
                shape: "S1s"
              }
            }
          }
        },
        PutImageTagMutability: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "imageTagMutability"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              imageTagMutability: {}
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              imageTagMutability: {}
            }
          }
        },
        PutLifecyclePolicy: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "lifecyclePolicyText"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              lifecyclePolicyText: {}
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              lifecyclePolicyText: {}
            }
          }
        },
        PutRegistryPolicy: {
          input: {
            type: "structure",
            required: [
              "policyText"
            ],
            members: {
              policyText: {}
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              policyText: {}
            }
          }
        },
        PutRegistryScanningConfiguration: {
          input: {
            type: "structure",
            members: {
              scanType: {},
              rules: {
                shape: "S65"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              registryScanningConfiguration: {
                shape: "S63"
              }
            }
          }
        },
        PutReplicationConfiguration: {
          input: {
            type: "structure",
            required: [
              "replicationConfiguration"
            ],
            members: {
              replicationConfiguration: {
                shape: "S4y"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              replicationConfiguration: {
                shape: "S4y"
              }
            }
          }
        },
        SetRepositoryPolicy: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "policyText"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              policyText: {},
              force: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              policyText: {}
            }
          }
        },
        StartImageScan: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "imageId"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              imageId: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              imageId: {
                shape: "Sj"
              },
              imageScanStatus: {
                shape: "S2o"
              }
            }
          }
        },
        StartLifecyclePolicyPreview: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              lifecyclePolicyText: {}
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              lifecyclePolicyText: {},
              status: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UploadLayerPart: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "uploadId",
              "partFirstByte",
              "partLastByte",
              "layerPartBlob"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              uploadId: {},
              partFirstByte: {
                type: "long"
              },
              partLastByte: {
                type: "long"
              },
              layerPartBlob: {
                type: "blob"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              uploadId: {},
              lastByteReceived: {
                type: "long"
              }
            }
          }
        }
      },
      shapes: {
        Si: {
          type: "list",
          member: {
            shape: "Sj"
          }
        },
        Sj: {
          type: "structure",
          members: {
            imageDigest: {},
            imageTag: {}
          }
        },
        Sn: {
          type: "list",
          member: {
            type: "structure",
            members: {
              imageId: {
                shape: "Sj"
              },
              failureCode: {},
              failureReason: {}
            }
          }
        },
        Sv: {
          type: "structure",
          members: {
            registryId: {},
            repositoryName: {},
            imageId: {
              shape: "Sj"
            },
            imageManifest: {},
            imageManifestMediaType: {}
          }
        },
        S15: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "filter",
              "filterType"
            ],
            members: {
              filter: {},
              filterType: {}
            }
          }
        },
        S1n: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S1s: {
          type: "structure",
          members: {
            scanOnPush: {
              type: "boolean"
            }
          }
        },
        S1t: {
          type: "structure",
          required: [
            "encryptionType"
          ],
          members: {
            encryptionType: {},
            kmsKey: {}
          }
        },
        S1x: {
          type: "structure",
          members: {
            repositoryArn: {},
            registryId: {},
            repositoryName: {},
            repositoryUri: {},
            createdAt: {
              type: "timestamp"
            },
            imageTagMutability: {},
            imageScanningConfiguration: {
              shape: "S1s"
            },
            encryptionConfiguration: {
              shape: "S1t"
            }
          }
        },
        S2o: {
          type: "structure",
          members: {
            status: {},
            description: {}
          }
        },
        S2u: {
          type: "map",
          key: {},
          value: {
            type: "integer"
          }
        },
        S4m: {
          type: "list",
          member: {}
        },
        S4y: {
          type: "structure",
          required: [
            "rules"
          ],
          members: {
            rules: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "destinations"
                ],
                members: {
                  destinations: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "region",
                        "registryId"
                      ],
                      members: {
                        region: {},
                        registryId: {}
                      }
                    }
                  },
                  repositoryFilters: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "filter",
                        "filterType"
                      ],
                      members: {
                        filter: {},
                        filterType: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S63: {
          type: "structure",
          members: {
            scanType: {},
            rules: {
              shape: "S65"
            }
          }
        },
        S65: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "scanFrequency",
              "repositoryFilters"
            ],
            members: {
              scanFrequency: {},
              repositoryFilters: {
                shape: "S15"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ecr-2015-09-21.paginators.json
var require_ecr_2015_09_21_paginators = __commonJS({
  "node_modules/aws-sdk/apis/ecr-2015-09-21.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeImageScanFindings: {
          input_token: "nextToken",
          limit_key: "maxResults",
          non_aggregate_keys: [
            "registryId",
            "repositoryName",
            "imageId",
            "imageScanStatus",
            "imageScanFindings"
          ],
          output_token: "nextToken",
          result_key: [
            "imageScanFindings.findings",
            "imageScanFindings.enhancedFindings"
          ]
        },
        DescribeImages: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "imageDetails"
        },
        DescribePullThroughCacheRules: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "pullThroughCacheRules"
        },
        DescribeRepositories: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "repositories"
        },
        GetLifecyclePolicyPreview: {
          input_token: "nextToken",
          limit_key: "maxResults",
          non_aggregate_keys: [
            "registryId",
            "repositoryName",
            "lifecyclePolicyText",
            "status",
            "summary"
          ],
          output_token: "nextToken",
          result_key: "previewResults"
        },
        ListImages: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "imageIds"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ecr-2015-09-21.waiters2.json
var require_ecr_2015_09_21_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/ecr-2015-09-21.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        ImageScanComplete: {
          description: "Wait until an image scan is complete and findings can be accessed",
          operation: "DescribeImageScanFindings",
          delay: 5,
          maxAttempts: 60,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "imageScanStatus.status",
              expected: "COMPLETE"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "imageScanStatus.status",
              expected: "FAILED"
            }
          ]
        },
        LifecyclePolicyPreviewComplete: {
          description: "Wait until a lifecycle policy preview request is complete and results can be accessed",
          operation: "GetLifecyclePolicyPreview",
          delay: 5,
          maxAttempts: 20,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "status",
              expected: "COMPLETE"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "status",
              expected: "FAILED"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/ecr.js
var require_ecr = __commonJS({
  "node_modules/aws-sdk/clients/ecr.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ecr"] = {};
    AWS2.ECR = Service.defineService("ecr", ["2015-09-21"]);
    Object.defineProperty(apiLoader.services["ecr"], "2015-09-21", {
      get: function get() {
        var model = require_ecr_2015_09_21_min();
        model.paginators = require_ecr_2015_09_21_paginators().pagination;
        model.waiters = require_ecr_2015_09_21_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ECR;
  }
});

// node_modules/aws-sdk/apis/ecs-2014-11-13.min.json
var require_ecs_2014_11_13_min = __commonJS({
  "node_modules/aws-sdk/apis/ecs-2014-11-13.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2014-11-13",
        endpointPrefix: "ecs",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Amazon ECS",
        serviceFullName: "Amazon EC2 Container Service",
        serviceId: "ECS",
        signatureVersion: "v4",
        targetPrefix: "AmazonEC2ContainerServiceV20141113",
        uid: "ecs-2014-11-13"
      },
      operations: {
        CreateCapacityProvider: {
          input: {
            type: "structure",
            required: [
              "name",
              "autoScalingGroupProvider"
            ],
            members: {
              name: {},
              autoScalingGroupProvider: {
                shape: "S3"
              },
              tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              capacityProvider: {
                shape: "Sf"
              }
            }
          }
        },
        CreateCluster: {
          input: {
            type: "structure",
            members: {
              clusterName: {},
              tags: {
                shape: "Sa"
              },
              settings: {
                shape: "Sj"
              },
              configuration: {
                shape: "Sm"
              },
              capacityProviders: {
                shape: "Sr"
              },
              defaultCapacityProviderStrategy: {
                shape: "Ss"
              },
              serviceConnectDefaults: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              cluster: {
                shape: "Sy"
              }
            }
          }
        },
        CreateService: {
          input: {
            type: "structure",
            required: [
              "serviceName"
            ],
            members: {
              cluster: {},
              serviceName: {},
              taskDefinition: {},
              loadBalancers: {
                shape: "S17"
              },
              serviceRegistries: {
                shape: "S1a"
              },
              desiredCount: {
                type: "integer"
              },
              clientToken: {},
              launchType: {},
              capacityProviderStrategy: {
                shape: "Ss"
              },
              platformVersion: {},
              role: {},
              deploymentConfiguration: {
                shape: "S1d"
              },
              placementConstraints: {
                shape: "S1g"
              },
              placementStrategy: {
                shape: "S1j"
              },
              networkConfiguration: {
                shape: "S1m"
              },
              healthCheckGracePeriodSeconds: {
                type: "integer"
              },
              schedulingStrategy: {},
              deploymentController: {
                shape: "S1q"
              },
              tags: {
                shape: "Sa"
              },
              enableECSManagedTags: {
                type: "boolean"
              },
              propagateTags: {},
              enableExecuteCommand: {
                type: "boolean"
              },
              serviceConnectConfiguration: {
                shape: "S1t"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              service: {
                shape: "S25"
              }
            }
          }
        },
        CreateTaskSet: {
          input: {
            type: "structure",
            required: [
              "service",
              "cluster",
              "taskDefinition"
            ],
            members: {
              service: {},
              cluster: {},
              externalId: {},
              taskDefinition: {},
              networkConfiguration: {
                shape: "S1m"
              },
              loadBalancers: {
                shape: "S17"
              },
              serviceRegistries: {
                shape: "S1a"
              },
              launchType: {},
              capacityProviderStrategy: {
                shape: "Ss"
              },
              platformVersion: {},
              scale: {
                shape: "S29"
              },
              clientToken: {},
              tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskSet: {
                shape: "S27"
              }
            }
          }
        },
        DeleteAccountSetting: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              principalArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              setting: {
                shape: "S2p"
              }
            }
          }
        },
        DeleteAttributes: {
          input: {
            type: "structure",
            required: [
              "attributes"
            ],
            members: {
              cluster: {},
              attributes: {
                shape: "S2r"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              attributes: {
                shape: "S2r"
              }
            }
          }
        },
        DeleteCapacityProvider: {
          input: {
            type: "structure",
            required: [
              "capacityProvider"
            ],
            members: {
              capacityProvider: {}
            }
          },
          output: {
            type: "structure",
            members: {
              capacityProvider: {
                shape: "Sf"
              }
            }
          }
        },
        DeleteCluster: {
          input: {
            type: "structure",
            required: [
              "cluster"
            ],
            members: {
              cluster: {}
            }
          },
          output: {
            type: "structure",
            members: {
              cluster: {
                shape: "Sy"
              }
            }
          }
        },
        DeleteService: {
          input: {
            type: "structure",
            required: [
              "service"
            ],
            members: {
              cluster: {},
              service: {},
              force: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              service: {
                shape: "S25"
              }
            }
          }
        },
        DeleteTaskDefinitions: {
          input: {
            type: "structure",
            required: [
              "taskDefinitions"
            ],
            members: {
              taskDefinitions: {
                shape: "Sr"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskDefinitions: {
                type: "list",
                member: {
                  shape: "S35"
                }
              },
              failures: {
                shape: "S56"
              }
            }
          }
        },
        DeleteTaskSet: {
          input: {
            type: "structure",
            required: [
              "cluster",
              "service",
              "taskSet"
            ],
            members: {
              cluster: {},
              service: {},
              taskSet: {},
              force: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskSet: {
                shape: "S27"
              }
            }
          }
        },
        DeregisterContainerInstance: {
          input: {
            type: "structure",
            required: [
              "containerInstance"
            ],
            members: {
              cluster: {},
              containerInstance: {},
              force: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              containerInstance: {
                shape: "S5c"
              }
            }
          }
        },
        DeregisterTaskDefinition: {
          input: {
            type: "structure",
            required: [
              "taskDefinition"
            ],
            members: {
              taskDefinition: {}
            }
          },
          output: {
            type: "structure",
            members: {
              taskDefinition: {
                shape: "S35"
              }
            }
          }
        },
        DescribeCapacityProviders: {
          input: {
            type: "structure",
            members: {
              capacityProviders: {
                shape: "Sr"
              },
              include: {
                type: "list",
                member: {}
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              capacityProviders: {
                type: "list",
                member: {
                  shape: "Sf"
                }
              },
              failures: {
                shape: "S56"
              },
              nextToken: {}
            }
          }
        },
        DescribeClusters: {
          input: {
            type: "structure",
            members: {
              clusters: {
                shape: "Sr"
              },
              include: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              clusters: {
                type: "list",
                member: {
                  shape: "Sy"
                }
              },
              failures: {
                shape: "S56"
              }
            }
          }
        },
        DescribeContainerInstances: {
          input: {
            type: "structure",
            required: [
              "containerInstances"
            ],
            members: {
              cluster: {},
              containerInstances: {
                shape: "Sr"
              },
              include: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              containerInstances: {
                shape: "S63"
              },
              failures: {
                shape: "S56"
              }
            }
          }
        },
        DescribeServices: {
          input: {
            type: "structure",
            required: [
              "services"
            ],
            members: {
              cluster: {},
              services: {
                shape: "Sr"
              },
              include: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              services: {
                type: "list",
                member: {
                  shape: "S25"
                }
              },
              failures: {
                shape: "S56"
              }
            }
          }
        },
        DescribeTaskDefinition: {
          input: {
            type: "structure",
            required: [
              "taskDefinition"
            ],
            members: {
              taskDefinition: {},
              include: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskDefinition: {
                shape: "S35"
              },
              tags: {
                shape: "Sa"
              }
            }
          }
        },
        DescribeTaskSets: {
          input: {
            type: "structure",
            required: [
              "cluster",
              "service"
            ],
            members: {
              cluster: {},
              service: {},
              taskSets: {
                shape: "Sr"
              },
              include: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskSets: {
                shape: "S26"
              },
              failures: {
                shape: "S56"
              }
            }
          }
        },
        DescribeTasks: {
          input: {
            type: "structure",
            required: [
              "tasks"
            ],
            members: {
              cluster: {},
              tasks: {
                shape: "Sr"
              },
              include: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tasks: {
                shape: "S6l"
              },
              failures: {
                shape: "S56"
              }
            }
          }
        },
        DiscoverPollEndpoint: {
          input: {
            type: "structure",
            members: {
              containerInstance: {},
              cluster: {}
            }
          },
          output: {
            type: "structure",
            members: {
              endpoint: {},
              telemetryEndpoint: {},
              serviceConnectEndpoint: {}
            }
          }
        },
        ExecuteCommand: {
          input: {
            type: "structure",
            required: [
              "command",
              "interactive",
              "task"
            ],
            members: {
              cluster: {},
              container: {},
              command: {},
              interactive: {
                type: "boolean"
              },
              task: {}
            }
          },
          output: {
            type: "structure",
            members: {
              clusterArn: {},
              containerArn: {},
              containerName: {},
              interactive: {
                type: "boolean"
              },
              session: {
                type: "structure",
                members: {
                  sessionId: {},
                  streamUrl: {},
                  tokenValue: {
                    type: "string",
                    sensitive: true
                  }
                }
              },
              taskArn: {}
            }
          }
        },
        GetTaskProtection: {
          input: {
            type: "structure",
            required: [
              "cluster"
            ],
            members: {
              cluster: {},
              tasks: {
                shape: "Sr"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              protectedTasks: {
                shape: "S7d"
              },
              failures: {
                shape: "S56"
              }
            }
          }
        },
        ListAccountSettings: {
          input: {
            type: "structure",
            members: {
              name: {},
              value: {},
              principalArn: {},
              effectiveSettings: {
                type: "boolean"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              settings: {
                type: "list",
                member: {
                  shape: "S2p"
                }
              },
              nextToken: {}
            }
          }
        },
        ListAttributes: {
          input: {
            type: "structure",
            required: [
              "targetType"
            ],
            members: {
              cluster: {},
              targetType: {},
              attributeName: {},
              attributeValue: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              attributes: {
                shape: "S2r"
              },
              nextToken: {}
            }
          }
        },
        ListClusters: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              clusterArns: {
                shape: "Sr"
              },
              nextToken: {}
            }
          }
        },
        ListContainerInstances: {
          input: {
            type: "structure",
            members: {
              cluster: {},
              filter: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              status: {}
            }
          },
          output: {
            type: "structure",
            members: {
              containerInstanceArns: {
                shape: "Sr"
              },
              nextToken: {}
            }
          }
        },
        ListServices: {
          input: {
            type: "structure",
            members: {
              cluster: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              launchType: {},
              schedulingStrategy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              serviceArns: {
                shape: "Sr"
              },
              nextToken: {}
            }
          }
        },
        ListServicesByNamespace: {
          input: {
            type: "structure",
            required: [
              "namespace"
            ],
            members: {
              namespace: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              serviceArns: {
                shape: "Sr"
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sa"
              }
            }
          }
        },
        ListTaskDefinitionFamilies: {
          input: {
            type: "structure",
            members: {
              familyPrefix: {},
              status: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              families: {
                shape: "Sr"
              },
              nextToken: {}
            }
          }
        },
        ListTaskDefinitions: {
          input: {
            type: "structure",
            members: {
              familyPrefix: {},
              status: {},
              sort: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskDefinitionArns: {
                shape: "Sr"
              },
              nextToken: {}
            }
          }
        },
        ListTasks: {
          input: {
            type: "structure",
            members: {
              cluster: {},
              containerInstance: {},
              family: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              startedBy: {},
              serviceName: {},
              desiredStatus: {},
              launchType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              taskArns: {
                shape: "Sr"
              },
              nextToken: {}
            }
          }
        },
        PutAccountSetting: {
          input: {
            type: "structure",
            required: [
              "name",
              "value"
            ],
            members: {
              name: {},
              value: {},
              principalArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              setting: {
                shape: "S2p"
              }
            }
          }
        },
        PutAccountSettingDefault: {
          input: {
            type: "structure",
            required: [
              "name",
              "value"
            ],
            members: {
              name: {},
              value: {}
            }
          },
          output: {
            type: "structure",
            members: {
              setting: {
                shape: "S2p"
              }
            }
          }
        },
        PutAttributes: {
          input: {
            type: "structure",
            required: [
              "attributes"
            ],
            members: {
              cluster: {},
              attributes: {
                shape: "S2r"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              attributes: {
                shape: "S2r"
              }
            }
          }
        },
        PutClusterCapacityProviders: {
          input: {
            type: "structure",
            required: [
              "cluster",
              "capacityProviders",
              "defaultCapacityProviderStrategy"
            ],
            members: {
              cluster: {},
              capacityProviders: {
                shape: "Sr"
              },
              defaultCapacityProviderStrategy: {
                shape: "Ss"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              cluster: {
                shape: "Sy"
              }
            }
          }
        },
        RegisterContainerInstance: {
          input: {
            type: "structure",
            members: {
              cluster: {},
              instanceIdentityDocument: {},
              instanceIdentityDocumentSignature: {},
              totalResources: {
                shape: "S5f"
              },
              versionInfo: {
                shape: "S5e"
              },
              containerInstanceArn: {},
              attributes: {
                shape: "S2r"
              },
              platformDevices: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "type"
                  ],
                  members: {
                    id: {},
                    type: {}
                  }
                }
              },
              tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              containerInstance: {
                shape: "S5c"
              }
            }
          }
        },
        RegisterTaskDefinition: {
          input: {
            type: "structure",
            required: [
              "family",
              "containerDefinitions"
            ],
            members: {
              family: {},
              taskRoleArn: {},
              executionRoleArn: {},
              networkMode: {},
              containerDefinitions: {
                shape: "S36"
              },
              volumes: {
                shape: "S4c"
              },
              placementConstraints: {
                shape: "S4q"
              },
              requiresCompatibilities: {
                shape: "S4t"
              },
              cpu: {},
              memory: {},
              tags: {
                shape: "Sa"
              },
              pidMode: {},
              ipcMode: {},
              proxyConfiguration: {
                shape: "S52"
              },
              inferenceAccelerators: {
                shape: "S4y"
              },
              ephemeralStorage: {
                shape: "S55"
              },
              runtimePlatform: {
                shape: "S4v"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskDefinition: {
                shape: "S35"
              },
              tags: {
                shape: "Sa"
              }
            }
          }
        },
        RunTask: {
          input: {
            type: "structure",
            required: [
              "taskDefinition"
            ],
            members: {
              capacityProviderStrategy: {
                shape: "Ss"
              },
              cluster: {},
              count: {
                type: "integer"
              },
              enableECSManagedTags: {
                type: "boolean"
              },
              enableExecuteCommand: {
                type: "boolean"
              },
              group: {},
              launchType: {},
              networkConfiguration: {
                shape: "S1m"
              },
              overrides: {
                shape: "S6z"
              },
              placementConstraints: {
                shape: "S1g"
              },
              placementStrategy: {
                shape: "S1j"
              },
              platformVersion: {},
              propagateTags: {},
              referenceId: {},
              startedBy: {},
              tags: {
                shape: "Sa"
              },
              taskDefinition: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tasks: {
                shape: "S6l"
              },
              failures: {
                shape: "S56"
              }
            }
          }
        },
        StartTask: {
          input: {
            type: "structure",
            required: [
              "containerInstances",
              "taskDefinition"
            ],
            members: {
              cluster: {},
              containerInstances: {
                shape: "Sr"
              },
              enableECSManagedTags: {
                type: "boolean"
              },
              enableExecuteCommand: {
                type: "boolean"
              },
              group: {},
              networkConfiguration: {
                shape: "S1m"
              },
              overrides: {
                shape: "S6z"
              },
              propagateTags: {},
              referenceId: {},
              startedBy: {},
              tags: {
                shape: "Sa"
              },
              taskDefinition: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tasks: {
                shape: "S6l"
              },
              failures: {
                shape: "S56"
              }
            }
          }
        },
        StopTask: {
          input: {
            type: "structure",
            required: [
              "task"
            ],
            members: {
              cluster: {},
              task: {},
              reason: {}
            }
          },
          output: {
            type: "structure",
            members: {
              task: {
                shape: "S6m"
              }
            }
          }
        },
        SubmitAttachmentStateChanges: {
          input: {
            type: "structure",
            required: [
              "attachments"
            ],
            members: {
              cluster: {},
              attachments: {
                shape: "S8q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              acknowledgment: {}
            }
          }
        },
        SubmitContainerStateChange: {
          input: {
            type: "structure",
            members: {
              cluster: {},
              task: {},
              containerName: {},
              runtimeId: {},
              status: {},
              exitCode: {
                type: "integer"
              },
              reason: {},
              networkBindings: {
                shape: "S6q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              acknowledgment: {}
            }
          }
        },
        SubmitTaskStateChange: {
          input: {
            type: "structure",
            members: {
              cluster: {},
              task: {},
              status: {},
              reason: {},
              containers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    containerName: {},
                    imageDigest: {},
                    runtimeId: {},
                    exitCode: {
                      type: "integer"
                    },
                    networkBindings: {
                      shape: "S6q"
                    },
                    reason: {},
                    status: {}
                  }
                }
              },
              attachments: {
                shape: "S8q"
              },
              managedAgents: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "containerName",
                    "managedAgentName",
                    "status"
                  ],
                  members: {
                    containerName: {},
                    managedAgentName: {},
                    status: {},
                    reason: {}
                  }
                }
              },
              pullStartedAt: {
                type: "timestamp"
              },
              pullStoppedAt: {
                type: "timestamp"
              },
              executionStoppedAt: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              acknowledgment: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateCapacityProvider: {
          input: {
            type: "structure",
            required: [
              "name",
              "autoScalingGroupProvider"
            ],
            members: {
              name: {},
              autoScalingGroupProvider: {
                type: "structure",
                members: {
                  managedScaling: {
                    shape: "S4"
                  },
                  managedTerminationProtection: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              capacityProvider: {
                shape: "Sf"
              }
            }
          }
        },
        UpdateCluster: {
          input: {
            type: "structure",
            required: [
              "cluster"
            ],
            members: {
              cluster: {},
              settings: {
                shape: "Sj"
              },
              configuration: {
                shape: "Sm"
              },
              serviceConnectDefaults: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              cluster: {
                shape: "Sy"
              }
            }
          }
        },
        UpdateClusterSettings: {
          input: {
            type: "structure",
            required: [
              "cluster",
              "settings"
            ],
            members: {
              cluster: {},
              settings: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              cluster: {
                shape: "Sy"
              }
            }
          }
        },
        UpdateContainerAgent: {
          input: {
            type: "structure",
            required: [
              "containerInstance"
            ],
            members: {
              cluster: {},
              containerInstance: {}
            }
          },
          output: {
            type: "structure",
            members: {
              containerInstance: {
                shape: "S5c"
              }
            }
          }
        },
        UpdateContainerInstancesState: {
          input: {
            type: "structure",
            required: [
              "containerInstances",
              "status"
            ],
            members: {
              cluster: {},
              containerInstances: {
                shape: "Sr"
              },
              status: {}
            }
          },
          output: {
            type: "structure",
            members: {
              containerInstances: {
                shape: "S63"
              },
              failures: {
                shape: "S56"
              }
            }
          }
        },
        UpdateService: {
          input: {
            type: "structure",
            required: [
              "service"
            ],
            members: {
              cluster: {},
              service: {},
              desiredCount: {
                type: "integer"
              },
              taskDefinition: {},
              capacityProviderStrategy: {
                shape: "Ss"
              },
              deploymentConfiguration: {
                shape: "S1d"
              },
              networkConfiguration: {
                shape: "S1m"
              },
              placementConstraints: {
                shape: "S1g"
              },
              placementStrategy: {
                shape: "S1j"
              },
              platformVersion: {},
              forceNewDeployment: {
                type: "boolean"
              },
              healthCheckGracePeriodSeconds: {
                type: "integer"
              },
              enableExecuteCommand: {
                type: "boolean"
              },
              enableECSManagedTags: {
                type: "boolean"
              },
              loadBalancers: {
                shape: "S17"
              },
              propagateTags: {},
              serviceRegistries: {
                shape: "S1a"
              },
              serviceConnectConfiguration: {
                shape: "S1t"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              service: {
                shape: "S25"
              }
            }
          }
        },
        UpdateServicePrimaryTaskSet: {
          input: {
            type: "structure",
            required: [
              "cluster",
              "service",
              "primaryTaskSet"
            ],
            members: {
              cluster: {},
              service: {},
              primaryTaskSet: {}
            }
          },
          output: {
            type: "structure",
            members: {
              taskSet: {
                shape: "S27"
              }
            }
          }
        },
        UpdateTaskProtection: {
          input: {
            type: "structure",
            required: [
              "cluster",
              "tasks",
              "protectionEnabled"
            ],
            members: {
              cluster: {},
              tasks: {
                shape: "Sr"
              },
              protectionEnabled: {
                type: "boolean"
              },
              expiresInMinutes: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              protectedTasks: {
                shape: "S7d"
              },
              failures: {
                shape: "S56"
              }
            }
          }
        },
        UpdateTaskSet: {
          input: {
            type: "structure",
            required: [
              "cluster",
              "service",
              "taskSet",
              "scale"
            ],
            members: {
              cluster: {},
              service: {},
              taskSet: {},
              scale: {
                shape: "S29"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskSet: {
                shape: "S27"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "structure",
          required: [
            "autoScalingGroupArn"
          ],
          members: {
            autoScalingGroupArn: {},
            managedScaling: {
              shape: "S4"
            },
            managedTerminationProtection: {}
          }
        },
        S4: {
          type: "structure",
          members: {
            status: {},
            targetCapacity: {
              type: "integer"
            },
            minimumScalingStepSize: {
              type: "integer"
            },
            maximumScalingStepSize: {
              type: "integer"
            },
            instanceWarmupPeriod: {
              type: "integer"
            }
          }
        },
        Sa: {
          type: "list",
          member: {
            type: "structure",
            members: {
              key: {},
              value: {}
            }
          }
        },
        Sf: {
          type: "structure",
          members: {
            capacityProviderArn: {},
            name: {},
            status: {},
            autoScalingGroupProvider: {
              shape: "S3"
            },
            updateStatus: {},
            updateStatusReason: {},
            tags: {
              shape: "Sa"
            }
          }
        },
        Sj: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              value: {}
            }
          }
        },
        Sm: {
          type: "structure",
          members: {
            executeCommandConfiguration: {
              type: "structure",
              members: {
                kmsKeyId: {},
                logging: {},
                logConfiguration: {
                  type: "structure",
                  members: {
                    cloudWatchLogGroupName: {},
                    cloudWatchEncryptionEnabled: {
                      type: "boolean"
                    },
                    s3BucketName: {},
                    s3EncryptionEnabled: {
                      type: "boolean"
                    },
                    s3KeyPrefix: {}
                  }
                }
              }
            }
          }
        },
        Sr: {
          type: "list",
          member: {}
        },
        Ss: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "capacityProvider"
            ],
            members: {
              capacityProvider: {},
              weight: {
                type: "integer"
              },
              base: {
                type: "integer"
              }
            }
          }
        },
        Sw: {
          type: "structure",
          required: [
            "namespace"
          ],
          members: {
            namespace: {}
          }
        },
        Sy: {
          type: "structure",
          members: {
            clusterArn: {},
            clusterName: {},
            configuration: {
              shape: "Sm"
            },
            status: {},
            registeredContainerInstancesCount: {
              type: "integer"
            },
            runningTasksCount: {
              type: "integer"
            },
            pendingTasksCount: {
              type: "integer"
            },
            activeServicesCount: {
              type: "integer"
            },
            statistics: {
              type: "list",
              member: {
                shape: "S11"
              }
            },
            tags: {
              shape: "Sa"
            },
            settings: {
              shape: "Sj"
            },
            capacityProviders: {
              shape: "Sr"
            },
            defaultCapacityProviderStrategy: {
              shape: "Ss"
            },
            attachments: {
              shape: "S12"
            },
            attachmentsStatus: {},
            serviceConnectDefaults: {
              type: "structure",
              members: {
                namespace: {}
              }
            }
          }
        },
        S11: {
          type: "structure",
          members: {
            name: {},
            value: {}
          }
        },
        S12: {
          type: "list",
          member: {
            type: "structure",
            members: {
              id: {},
              type: {},
              status: {},
              details: {
                type: "list",
                member: {
                  shape: "S11"
                }
              }
            }
          }
        },
        S17: {
          type: "list",
          member: {
            type: "structure",
            members: {
              targetGroupArn: {},
              loadBalancerName: {},
              containerName: {},
              containerPort: {
                type: "integer"
              }
            }
          }
        },
        S1a: {
          type: "list",
          member: {
            type: "structure",
            members: {
              registryArn: {},
              port: {
                type: "integer"
              },
              containerName: {},
              containerPort: {
                type: "integer"
              }
            }
          }
        },
        S1d: {
          type: "structure",
          members: {
            deploymentCircuitBreaker: {
              type: "structure",
              required: [
                "enable",
                "rollback"
              ],
              members: {
                enable: {
                  type: "boolean"
                },
                rollback: {
                  type: "boolean"
                }
              }
            },
            maximumPercent: {
              type: "integer"
            },
            minimumHealthyPercent: {
              type: "integer"
            },
            alarms: {
              type: "structure",
              required: [
                "alarmNames",
                "enable",
                "rollback"
              ],
              members: {
                alarmNames: {
                  shape: "Sr"
                },
                enable: {
                  type: "boolean"
                },
                rollback: {
                  type: "boolean"
                }
              }
            }
          }
        },
        S1g: {
          type: "list",
          member: {
            type: "structure",
            members: {
              type: {},
              expression: {}
            }
          }
        },
        S1j: {
          type: "list",
          member: {
            type: "structure",
            members: {
              type: {},
              field: {}
            }
          }
        },
        S1m: {
          type: "structure",
          members: {
            awsvpcConfiguration: {
              type: "structure",
              required: [
                "subnets"
              ],
              members: {
                subnets: {
                  shape: "Sr"
                },
                securityGroups: {
                  shape: "Sr"
                },
                assignPublicIp: {}
              }
            }
          }
        },
        S1q: {
          type: "structure",
          required: [
            "type"
          ],
          members: {
            type: {}
          }
        },
        S1t: {
          type: "structure",
          required: [
            "enabled"
          ],
          members: {
            enabled: {
              type: "boolean"
            },
            namespace: {},
            services: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "portName"
                ],
                members: {
                  portName: {},
                  discoveryName: {},
                  clientAliases: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "port"
                      ],
                      members: {
                        port: {
                          type: "integer"
                        },
                        dnsName: {}
                      }
                    }
                  },
                  ingressPortOverride: {
                    type: "integer"
                  }
                }
              }
            },
            logConfiguration: {
              shape: "S1z"
            }
          }
        },
        S1z: {
          type: "structure",
          required: [
            "logDriver"
          ],
          members: {
            logDriver: {},
            options: {
              type: "map",
              key: {},
              value: {}
            },
            secretOptions: {
              shape: "S22"
            }
          }
        },
        S22: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "valueFrom"
            ],
            members: {
              name: {},
              valueFrom: {}
            }
          }
        },
        S25: {
          type: "structure",
          members: {
            serviceArn: {},
            serviceName: {},
            clusterArn: {},
            loadBalancers: {
              shape: "S17"
            },
            serviceRegistries: {
              shape: "S1a"
            },
            status: {},
            desiredCount: {
              type: "integer"
            },
            runningCount: {
              type: "integer"
            },
            pendingCount: {
              type: "integer"
            },
            launchType: {},
            capacityProviderStrategy: {
              shape: "Ss"
            },
            platformVersion: {},
            platformFamily: {},
            taskDefinition: {},
            deploymentConfiguration: {
              shape: "S1d"
            },
            taskSets: {
              shape: "S26"
            },
            deployments: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  id: {},
                  status: {},
                  taskDefinition: {},
                  desiredCount: {
                    type: "integer"
                  },
                  pendingCount: {
                    type: "integer"
                  },
                  runningCount: {
                    type: "integer"
                  },
                  failedTasks: {
                    type: "integer"
                  },
                  createdAt: {
                    type: "timestamp"
                  },
                  updatedAt: {
                    type: "timestamp"
                  },
                  capacityProviderStrategy: {
                    shape: "Ss"
                  },
                  launchType: {},
                  platformVersion: {},
                  platformFamily: {},
                  networkConfiguration: {
                    shape: "S1m"
                  },
                  rolloutState: {},
                  rolloutStateReason: {},
                  serviceConnectConfiguration: {
                    shape: "S1t"
                  },
                  serviceConnectResources: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        discoveryName: {},
                        discoveryArn: {}
                      }
                    }
                  }
                }
              }
            },
            roleArn: {},
            events: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  id: {},
                  createdAt: {
                    type: "timestamp"
                  },
                  message: {}
                }
              }
            },
            createdAt: {
              type: "timestamp"
            },
            placementConstraints: {
              shape: "S1g"
            },
            placementStrategy: {
              shape: "S1j"
            },
            networkConfiguration: {
              shape: "S1m"
            },
            healthCheckGracePeriodSeconds: {
              type: "integer"
            },
            schedulingStrategy: {},
            deploymentController: {
              shape: "S1q"
            },
            tags: {
              shape: "Sa"
            },
            createdBy: {},
            enableECSManagedTags: {
              type: "boolean"
            },
            propagateTags: {},
            enableExecuteCommand: {
              type: "boolean"
            }
          }
        },
        S26: {
          type: "list",
          member: {
            shape: "S27"
          }
        },
        S27: {
          type: "structure",
          members: {
            id: {},
            taskSetArn: {},
            serviceArn: {},
            clusterArn: {},
            startedBy: {},
            externalId: {},
            status: {},
            taskDefinition: {},
            computedDesiredCount: {
              type: "integer"
            },
            pendingCount: {
              type: "integer"
            },
            runningCount: {
              type: "integer"
            },
            createdAt: {
              type: "timestamp"
            },
            updatedAt: {
              type: "timestamp"
            },
            launchType: {},
            capacityProviderStrategy: {
              shape: "Ss"
            },
            platformVersion: {},
            platformFamily: {},
            networkConfiguration: {
              shape: "S1m"
            },
            loadBalancers: {
              shape: "S17"
            },
            serviceRegistries: {
              shape: "S1a"
            },
            scale: {
              shape: "S29"
            },
            stabilityStatus: {},
            stabilityStatusAt: {
              type: "timestamp"
            },
            tags: {
              shape: "Sa"
            }
          }
        },
        S29: {
          type: "structure",
          members: {
            value: {
              type: "double"
            },
            unit: {}
          }
        },
        S2p: {
          type: "structure",
          members: {
            name: {},
            value: {},
            principalArn: {}
          }
        },
        S2r: {
          type: "list",
          member: {
            shape: "S2s"
          }
        },
        S2s: {
          type: "structure",
          required: [
            "name"
          ],
          members: {
            name: {},
            value: {},
            targetType: {},
            targetId: {}
          }
        },
        S35: {
          type: "structure",
          members: {
            taskDefinitionArn: {},
            containerDefinitions: {
              shape: "S36"
            },
            family: {},
            taskRoleArn: {},
            executionRoleArn: {},
            networkMode: {},
            revision: {
              type: "integer"
            },
            volumes: {
              shape: "S4c"
            },
            status: {},
            requiresAttributes: {
              type: "list",
              member: {
                shape: "S2s"
              }
            },
            placementConstraints: {
              shape: "S4q"
            },
            compatibilities: {
              shape: "S4t"
            },
            runtimePlatform: {
              shape: "S4v"
            },
            requiresCompatibilities: {
              shape: "S4t"
            },
            cpu: {},
            memory: {},
            inferenceAccelerators: {
              shape: "S4y"
            },
            pidMode: {},
            ipcMode: {},
            proxyConfiguration: {
              shape: "S52"
            },
            registeredAt: {
              type: "timestamp"
            },
            deregisteredAt: {
              type: "timestamp"
            },
            registeredBy: {},
            ephemeralStorage: {
              shape: "S55"
            }
          }
        },
        S36: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              image: {},
              repositoryCredentials: {
                type: "structure",
                required: [
                  "credentialsParameter"
                ],
                members: {
                  credentialsParameter: {}
                }
              },
              cpu: {
                type: "integer"
              },
              memory: {
                type: "integer"
              },
              memoryReservation: {
                type: "integer"
              },
              links: {
                shape: "Sr"
              },
              portMappings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    containerPort: {
                      type: "integer"
                    },
                    hostPort: {
                      type: "integer"
                    },
                    protocol: {},
                    name: {},
                    appProtocol: {},
                    containerPortRange: {}
                  }
                }
              },
              essential: {
                type: "boolean"
              },
              entryPoint: {
                shape: "Sr"
              },
              command: {
                shape: "Sr"
              },
              environment: {
                shape: "S3d"
              },
              environmentFiles: {
                shape: "S3e"
              },
              mountPoints: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    sourceVolume: {},
                    containerPath: {},
                    readOnly: {
                      type: "boolean"
                    }
                  }
                }
              },
              volumesFrom: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    sourceContainer: {},
                    readOnly: {
                      type: "boolean"
                    }
                  }
                }
              },
              linuxParameters: {
                type: "structure",
                members: {
                  capabilities: {
                    type: "structure",
                    members: {
                      add: {
                        shape: "Sr"
                      },
                      drop: {
                        shape: "Sr"
                      }
                    }
                  },
                  devices: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "hostPath"
                      ],
                      members: {
                        hostPath: {},
                        containerPath: {},
                        permissions: {
                          type: "list",
                          member: {}
                        }
                      }
                    }
                  },
                  initProcessEnabled: {
                    type: "boolean"
                  },
                  sharedMemorySize: {
                    type: "integer"
                  },
                  tmpfs: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "containerPath",
                        "size"
                      ],
                      members: {
                        containerPath: {},
                        size: {
                          type: "integer"
                        },
                        mountOptions: {
                          shape: "Sr"
                        }
                      }
                    }
                  },
                  maxSwap: {
                    type: "integer"
                  },
                  swappiness: {
                    type: "integer"
                  }
                }
              },
              secrets: {
                shape: "S22"
              },
              dependsOn: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "containerName",
                    "condition"
                  ],
                  members: {
                    containerName: {},
                    condition: {}
                  }
                }
              },
              startTimeout: {
                type: "integer"
              },
              stopTimeout: {
                type: "integer"
              },
              hostname: {},
              user: {},
              workingDirectory: {},
              disableNetworking: {
                type: "boolean"
              },
              privileged: {
                type: "boolean"
              },
              readonlyRootFilesystem: {
                type: "boolean"
              },
              dnsServers: {
                shape: "Sr"
              },
              dnsSearchDomains: {
                shape: "Sr"
              },
              extraHosts: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "hostname",
                    "ipAddress"
                  ],
                  members: {
                    hostname: {},
                    ipAddress: {}
                  }
                }
              },
              dockerSecurityOptions: {
                shape: "Sr"
              },
              interactive: {
                type: "boolean"
              },
              pseudoTerminal: {
                type: "boolean"
              },
              dockerLabels: {
                type: "map",
                key: {},
                value: {}
              },
              ulimits: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "softLimit",
                    "hardLimit"
                  ],
                  members: {
                    name: {},
                    softLimit: {
                      type: "integer"
                    },
                    hardLimit: {
                      type: "integer"
                    }
                  }
                }
              },
              logConfiguration: {
                shape: "S1z"
              },
              healthCheck: {
                type: "structure",
                required: [
                  "command"
                ],
                members: {
                  command: {
                    shape: "Sr"
                  },
                  interval: {
                    type: "integer"
                  },
                  timeout: {
                    type: "integer"
                  },
                  retries: {
                    type: "integer"
                  },
                  startPeriod: {
                    type: "integer"
                  }
                }
              },
              systemControls: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    namespace: {},
                    value: {}
                  }
                }
              },
              resourceRequirements: {
                shape: "S45"
              },
              firelensConfiguration: {
                type: "structure",
                required: [
                  "type"
                ],
                members: {
                  type: {},
                  options: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                }
              },
              credentialSpecs: {
                shape: "Sr"
              }
            }
          }
        },
        S3d: {
          type: "list",
          member: {
            shape: "S11"
          }
        },
        S3e: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "value",
              "type"
            ],
            members: {
              value: {},
              type: {}
            }
          }
        },
        S45: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "value",
              "type"
            ],
            members: {
              value: {},
              type: {}
            }
          }
        },
        S4c: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              host: {
                type: "structure",
                members: {
                  sourcePath: {}
                }
              },
              dockerVolumeConfiguration: {
                type: "structure",
                members: {
                  scope: {},
                  autoprovision: {
                    type: "boolean"
                  },
                  driver: {},
                  driverOpts: {
                    shape: "S4h"
                  },
                  labels: {
                    shape: "S4h"
                  }
                }
              },
              efsVolumeConfiguration: {
                type: "structure",
                required: [
                  "fileSystemId"
                ],
                members: {
                  fileSystemId: {},
                  rootDirectory: {},
                  transitEncryption: {},
                  transitEncryptionPort: {
                    type: "integer"
                  },
                  authorizationConfig: {
                    type: "structure",
                    members: {
                      accessPointId: {},
                      iam: {}
                    }
                  }
                }
              },
              fsxWindowsFileServerVolumeConfiguration: {
                type: "structure",
                required: [
                  "fileSystemId",
                  "rootDirectory",
                  "authorizationConfig"
                ],
                members: {
                  fileSystemId: {},
                  rootDirectory: {},
                  authorizationConfig: {
                    type: "structure",
                    required: [
                      "credentialsParameter",
                      "domain"
                    ],
                    members: {
                      credentialsParameter: {},
                      domain: {}
                    }
                  }
                }
              }
            }
          }
        },
        S4h: {
          type: "map",
          key: {},
          value: {}
        },
        S4q: {
          type: "list",
          member: {
            type: "structure",
            members: {
              type: {},
              expression: {}
            }
          }
        },
        S4t: {
          type: "list",
          member: {}
        },
        S4v: {
          type: "structure",
          members: {
            cpuArchitecture: {},
            operatingSystemFamily: {}
          }
        },
        S4y: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "deviceName",
              "deviceType"
            ],
            members: {
              deviceName: {},
              deviceType: {}
            }
          }
        },
        S52: {
          type: "structure",
          required: [
            "containerName"
          ],
          members: {
            type: {},
            containerName: {},
            properties: {
              type: "list",
              member: {
                shape: "S11"
              }
            }
          }
        },
        S55: {
          type: "structure",
          required: [
            "sizeInGiB"
          ],
          members: {
            sizeInGiB: {
              type: "integer"
            }
          }
        },
        S56: {
          type: "list",
          member: {
            type: "structure",
            members: {
              arn: {},
              reason: {},
              detail: {}
            }
          }
        },
        S5c: {
          type: "structure",
          members: {
            containerInstanceArn: {},
            ec2InstanceId: {},
            capacityProviderName: {},
            version: {
              type: "long"
            },
            versionInfo: {
              shape: "S5e"
            },
            remainingResources: {
              shape: "S5f"
            },
            registeredResources: {
              shape: "S5f"
            },
            status: {},
            statusReason: {},
            agentConnected: {
              type: "boolean"
            },
            runningTasksCount: {
              type: "integer"
            },
            pendingTasksCount: {
              type: "integer"
            },
            agentUpdateStatus: {},
            attributes: {
              shape: "S2r"
            },
            registeredAt: {
              type: "timestamp"
            },
            attachments: {
              shape: "S12"
            },
            tags: {
              shape: "Sa"
            },
            healthStatus: {
              type: "structure",
              members: {
                overallStatus: {},
                details: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      type: {},
                      status: {},
                      lastUpdated: {
                        type: "timestamp"
                      },
                      lastStatusChange: {
                        type: "timestamp"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S5e: {
          type: "structure",
          members: {
            agentVersion: {},
            agentHash: {},
            dockerVersion: {}
          }
        },
        S5f: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              type: {},
              doubleValue: {
                type: "double"
              },
              longValue: {
                type: "long"
              },
              integerValue: {
                type: "integer"
              },
              stringSetValue: {
                shape: "Sr"
              }
            }
          }
        },
        S63: {
          type: "list",
          member: {
            shape: "S5c"
          }
        },
        S6l: {
          type: "list",
          member: {
            shape: "S6m"
          }
        },
        S6m: {
          type: "structure",
          members: {
            attachments: {
              shape: "S12"
            },
            attributes: {
              shape: "S2r"
            },
            availabilityZone: {},
            capacityProviderName: {},
            clusterArn: {},
            connectivity: {},
            connectivityAt: {
              type: "timestamp"
            },
            containerInstanceArn: {},
            containers: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  containerArn: {},
                  taskArn: {},
                  name: {},
                  image: {},
                  imageDigest: {},
                  runtimeId: {},
                  lastStatus: {},
                  exitCode: {
                    type: "integer"
                  },
                  reason: {},
                  networkBindings: {
                    shape: "S6q"
                  },
                  networkInterfaces: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        attachmentId: {},
                        privateIpv4Address: {},
                        ipv6Address: {}
                      }
                    }
                  },
                  healthStatus: {},
                  managedAgents: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        lastStartedAt: {
                          type: "timestamp"
                        },
                        name: {},
                        reason: {},
                        lastStatus: {}
                      }
                    }
                  },
                  cpu: {},
                  memory: {},
                  memoryReservation: {},
                  gpuIds: {
                    type: "list",
                    member: {}
                  }
                }
              }
            },
            cpu: {},
            createdAt: {
              type: "timestamp"
            },
            desiredStatus: {},
            enableExecuteCommand: {
              type: "boolean"
            },
            executionStoppedAt: {
              type: "timestamp"
            },
            group: {},
            healthStatus: {},
            inferenceAccelerators: {
              shape: "S4y"
            },
            lastStatus: {},
            launchType: {},
            memory: {},
            overrides: {
              shape: "S6z"
            },
            platformVersion: {},
            platformFamily: {},
            pullStartedAt: {
              type: "timestamp"
            },
            pullStoppedAt: {
              type: "timestamp"
            },
            startedAt: {
              type: "timestamp"
            },
            startedBy: {},
            stopCode: {},
            stoppedAt: {
              type: "timestamp"
            },
            stoppedReason: {},
            stoppingAt: {
              type: "timestamp"
            },
            tags: {
              shape: "Sa"
            },
            taskArn: {},
            taskDefinitionArn: {},
            version: {
              type: "long"
            },
            ephemeralStorage: {
              shape: "S55"
            }
          }
        },
        S6q: {
          type: "list",
          member: {
            type: "structure",
            members: {
              bindIP: {},
              containerPort: {
                type: "integer"
              },
              hostPort: {
                type: "integer"
              },
              protocol: {},
              containerPortRange: {},
              hostPortRange: {}
            }
          }
        },
        S6z: {
          type: "structure",
          members: {
            containerOverrides: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  name: {},
                  command: {
                    shape: "Sr"
                  },
                  environment: {
                    shape: "S3d"
                  },
                  environmentFiles: {
                    shape: "S3e"
                  },
                  cpu: {
                    type: "integer"
                  },
                  memory: {
                    type: "integer"
                  },
                  memoryReservation: {
                    type: "integer"
                  },
                  resourceRequirements: {
                    shape: "S45"
                  }
                }
              }
            },
            cpu: {},
            inferenceAcceleratorOverrides: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  deviceName: {},
                  deviceType: {}
                }
              }
            },
            executionRoleArn: {},
            memory: {},
            taskRoleArn: {},
            ephemeralStorage: {
              shape: "S55"
            }
          }
        },
        S7d: {
          type: "list",
          member: {
            type: "structure",
            members: {
              taskArn: {},
              protectionEnabled: {
                type: "boolean"
              },
              expirationDate: {
                type: "timestamp"
              }
            }
          }
        },
        S8q: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "attachmentArn",
              "status"
            ],
            members: {
              attachmentArn: {},
              status: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ecs-2014-11-13.paginators.json
var require_ecs_2014_11_13_paginators = __commonJS({
  "node_modules/aws-sdk/apis/ecs-2014-11-13.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAccountSettings: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "settings"
        },
        ListAttributes: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "attributes"
        },
        ListClusters: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "clusterArns"
        },
        ListContainerInstances: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "containerInstanceArns"
        },
        ListServices: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "serviceArns"
        },
        ListServicesByNamespace: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "serviceArns"
        },
        ListTaskDefinitionFamilies: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "families"
        },
        ListTaskDefinitions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "taskDefinitionArns"
        },
        ListTasks: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "taskArns"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ecs-2014-11-13.waiters2.json
var require_ecs_2014_11_13_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/ecs-2014-11-13.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        TasksRunning: {
          delay: 6,
          operation: "DescribeTasks",
          maxAttempts: 100,
          acceptors: [
            {
              expected: "STOPPED",
              matcher: "pathAny",
              state: "failure",
              argument: "tasks[].lastStatus"
            },
            {
              expected: "MISSING",
              matcher: "pathAny",
              state: "failure",
              argument: "failures[].reason"
            },
            {
              expected: "RUNNING",
              matcher: "pathAll",
              state: "success",
              argument: "tasks[].lastStatus"
            }
          ]
        },
        TasksStopped: {
          delay: 6,
          operation: "DescribeTasks",
          maxAttempts: 100,
          acceptors: [
            {
              expected: "STOPPED",
              matcher: "pathAll",
              state: "success",
              argument: "tasks[].lastStatus"
            }
          ]
        },
        ServicesStable: {
          delay: 15,
          operation: "DescribeServices",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "MISSING",
              matcher: "pathAny",
              state: "failure",
              argument: "failures[].reason"
            },
            {
              expected: "DRAINING",
              matcher: "pathAny",
              state: "failure",
              argument: "services[].status"
            },
            {
              expected: "INACTIVE",
              matcher: "pathAny",
              state: "failure",
              argument: "services[].status"
            },
            {
              expected: true,
              matcher: "path",
              state: "success",
              argument: "length(services[?!(length(deployments) == `1` && runningCount == desiredCount)]) == `0`"
            }
          ]
        },
        ServicesInactive: {
          delay: 15,
          operation: "DescribeServices",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "MISSING",
              matcher: "pathAny",
              state: "failure",
              argument: "failures[].reason"
            },
            {
              expected: "INACTIVE",
              matcher: "pathAny",
              state: "success",
              argument: "services[].status"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/ecs.js
var require_ecs = __commonJS({
  "node_modules/aws-sdk/clients/ecs.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ecs"] = {};
    AWS2.ECS = Service.defineService("ecs", ["2014-11-13"]);
    Object.defineProperty(apiLoader.services["ecs"], "2014-11-13", {
      get: function get() {
        var model = require_ecs_2014_11_13_min();
        model.paginators = require_ecs_2014_11_13_paginators().pagination;
        model.waiters = require_ecs_2014_11_13_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ECS;
  }
});

// node_modules/aws-sdk/apis/elasticfilesystem-2015-02-01.min.json
var require_elasticfilesystem_2015_02_01_min = __commonJS({
  "node_modules/aws-sdk/apis/elasticfilesystem-2015-02-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-02-01",
        endpointPrefix: "elasticfilesystem",
        protocol: "rest-json",
        serviceAbbreviation: "EFS",
        serviceFullName: "Amazon Elastic File System",
        serviceId: "EFS",
        signatureVersion: "v4",
        uid: "elasticfilesystem-2015-02-01"
      },
      operations: {
        CreateAccessPoint: {
          http: {
            requestUri: "/2015-02-01/access-points",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ClientToken",
              "FileSystemId"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S3"
              },
              FileSystemId: {},
              PosixUser: {
                shape: "S8"
              },
              RootDirectory: {
                shape: "Sc"
              }
            }
          },
          output: {
            shape: "Si"
          }
        },
        CreateFileSystem: {
          http: {
            requestUri: "/2015-02-01/file-systems",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "CreationToken"
            ],
            members: {
              CreationToken: {
                idempotencyToken: true
              },
              PerformanceMode: {},
              Encrypted: {
                type: "boolean"
              },
              KmsKeyId: {},
              ThroughputMode: {},
              ProvisionedThroughputInMibps: {
                type: "double"
              },
              AvailabilityZoneName: {},
              Backup: {
                type: "boolean"
              },
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            shape: "Sx"
          }
        },
        CreateMountTarget: {
          http: {
            requestUri: "/2015-02-01/mount-targets",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FileSystemId",
              "SubnetId"
            ],
            members: {
              FileSystemId: {},
              SubnetId: {},
              IpAddress: {},
              SecurityGroups: {
                shape: "S18"
              }
            }
          },
          output: {
            shape: "S1a"
          }
        },
        CreateReplicationConfiguration: {
          http: {
            requestUri: "/2015-02-01/file-systems/{SourceFileSystemId}/replication-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SourceFileSystemId",
              "Destinations"
            ],
            members: {
              SourceFileSystemId: {
                location: "uri",
                locationName: "SourceFileSystemId"
              },
              Destinations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Region: {},
                    AvailabilityZoneName: {},
                    KmsKeyId: {}
                  }
                }
              }
            }
          },
          output: {
            shape: "S1i"
          }
        },
        CreateTags: {
          http: {
            requestUri: "/2015-02-01/create-tags/{FileSystemId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "FileSystemId",
              "Tags"
            ],
            members: {
              FileSystemId: {
                location: "uri",
                locationName: "FileSystemId"
              },
              Tags: {
                shape: "S3"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Use TagResource."
        },
        DeleteAccessPoint: {
          http: {
            method: "DELETE",
            requestUri: "/2015-02-01/access-points/{AccessPointId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AccessPointId"
            ],
            members: {
              AccessPointId: {
                location: "uri",
                locationName: "AccessPointId"
              }
            }
          }
        },
        DeleteFileSystem: {
          http: {
            method: "DELETE",
            requestUri: "/2015-02-01/file-systems/{FileSystemId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "FileSystemId"
            ],
            members: {
              FileSystemId: {
                location: "uri",
                locationName: "FileSystemId"
              }
            }
          }
        },
        DeleteFileSystemPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/2015-02-01/file-systems/{FileSystemId}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FileSystemId"
            ],
            members: {
              FileSystemId: {
                location: "uri",
                locationName: "FileSystemId"
              }
            }
          }
        },
        DeleteMountTarget: {
          http: {
            method: "DELETE",
            requestUri: "/2015-02-01/mount-targets/{MountTargetId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "MountTargetId"
            ],
            members: {
              MountTargetId: {
                location: "uri",
                locationName: "MountTargetId"
              }
            }
          }
        },
        DeleteReplicationConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/2015-02-01/file-systems/{SourceFileSystemId}/replication-configuration",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "SourceFileSystemId"
            ],
            members: {
              SourceFileSystemId: {
                location: "uri",
                locationName: "SourceFileSystemId"
              }
            }
          }
        },
        DeleteTags: {
          http: {
            requestUri: "/2015-02-01/delete-tags/{FileSystemId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "FileSystemId",
              "TagKeys"
            ],
            members: {
              FileSystemId: {
                location: "uri",
                locationName: "FileSystemId"
              },
              TagKeys: {
                shape: "S1t"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Use UntagResource."
        },
        DescribeAccessPoints: {
          http: {
            method: "GET",
            requestUri: "/2015-02-01/access-points",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              AccessPointId: {
                location: "querystring",
                locationName: "AccessPointId"
              },
              FileSystemId: {
                location: "querystring",
                locationName: "FileSystemId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccessPoints: {
                type: "list",
                member: {
                  shape: "Si"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeAccountPreferences: {
          http: {
            method: "GET",
            requestUri: "/2015-02-01/account-preferences",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceIdPreference: {
                shape: "S21"
              },
              NextToken: {}
            }
          }
        },
        DescribeBackupPolicy: {
          http: {
            method: "GET",
            requestUri: "/2015-02-01/file-systems/{FileSystemId}/backup-policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FileSystemId"
            ],
            members: {
              FileSystemId: {
                location: "uri",
                locationName: "FileSystemId"
              }
            }
          },
          output: {
            shape: "S26"
          }
        },
        DescribeFileSystemPolicy: {
          http: {
            method: "GET",
            requestUri: "/2015-02-01/file-systems/{FileSystemId}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FileSystemId"
            ],
            members: {
              FileSystemId: {
                location: "uri",
                locationName: "FileSystemId"
              }
            }
          },
          output: {
            shape: "S2a"
          }
        },
        DescribeFileSystems: {
          http: {
            method: "GET",
            requestUri: "/2015-02-01/file-systems",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              CreationToken: {
                location: "querystring",
                locationName: "CreationToken"
              },
              FileSystemId: {
                location: "querystring",
                locationName: "FileSystemId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              FileSystems: {
                type: "list",
                member: {
                  shape: "Sx"
                }
              },
              NextMarker: {}
            }
          }
        },
        DescribeLifecycleConfiguration: {
          http: {
            method: "GET",
            requestUri: "/2015-02-01/file-systems/{FileSystemId}/lifecycle-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FileSystemId"
            ],
            members: {
              FileSystemId: {
                location: "uri",
                locationName: "FileSystemId"
              }
            }
          },
          output: {
            shape: "S2i"
          }
        },
        DescribeMountTargetSecurityGroups: {
          http: {
            method: "GET",
            requestUri: "/2015-02-01/mount-targets/{MountTargetId}/security-groups",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MountTargetId"
            ],
            members: {
              MountTargetId: {
                location: "uri",
                locationName: "MountTargetId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "SecurityGroups"
            ],
            members: {
              SecurityGroups: {
                shape: "S18"
              }
            }
          }
        },
        DescribeMountTargets: {
          http: {
            method: "GET",
            requestUri: "/2015-02-01/mount-targets",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              FileSystemId: {
                location: "querystring",
                locationName: "FileSystemId"
              },
              MountTargetId: {
                location: "querystring",
                locationName: "MountTargetId"
              },
              AccessPointId: {
                location: "querystring",
                locationName: "AccessPointId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              MountTargets: {
                type: "list",
                member: {
                  shape: "S1a"
                }
              },
              NextMarker: {}
            }
          }
        },
        DescribeReplicationConfigurations: {
          http: {
            method: "GET",
            requestUri: "/2015-02-01/file-systems/replication-configurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              FileSystemId: {
                location: "querystring",
                locationName: "FileSystemId"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Replications: {
                type: "list",
                member: {
                  shape: "S1i"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeTags: {
          http: {
            method: "GET",
            requestUri: "/2015-02-01/tags/{FileSystemId}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FileSystemId"
            ],
            members: {
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              FileSystemId: {
                location: "uri",
                locationName: "FileSystemId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Marker: {},
              Tags: {
                shape: "S3"
              },
              NextMarker: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Use ListTagsForResource."
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/2015-02-01/resource-tags/{ResourceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              ResourceId: {
                location: "uri",
                locationName: "ResourceId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S3"
              },
              NextToken: {}
            }
          }
        },
        ModifyMountTargetSecurityGroups: {
          http: {
            method: "PUT",
            requestUri: "/2015-02-01/mount-targets/{MountTargetId}/security-groups",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "MountTargetId"
            ],
            members: {
              MountTargetId: {
                location: "uri",
                locationName: "MountTargetId"
              },
              SecurityGroups: {
                shape: "S18"
              }
            }
          }
        },
        PutAccountPreferences: {
          http: {
            method: "PUT",
            requestUri: "/2015-02-01/account-preferences",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceIdType"
            ],
            members: {
              ResourceIdType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceIdPreference: {
                shape: "S21"
              }
            }
          }
        },
        PutBackupPolicy: {
          http: {
            method: "PUT",
            requestUri: "/2015-02-01/file-systems/{FileSystemId}/backup-policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FileSystemId",
              "BackupPolicy"
            ],
            members: {
              FileSystemId: {
                location: "uri",
                locationName: "FileSystemId"
              },
              BackupPolicy: {
                shape: "S27"
              }
            }
          },
          output: {
            shape: "S26"
          }
        },
        PutFileSystemPolicy: {
          http: {
            method: "PUT",
            requestUri: "/2015-02-01/file-systems/{FileSystemId}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FileSystemId",
              "Policy"
            ],
            members: {
              FileSystemId: {
                location: "uri",
                locationName: "FileSystemId"
              },
              Policy: {},
              BypassPolicyLockoutSafetyCheck: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S2a"
          }
        },
        PutLifecycleConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/2015-02-01/file-systems/{FileSystemId}/lifecycle-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FileSystemId",
              "LifecyclePolicies"
            ],
            members: {
              FileSystemId: {
                location: "uri",
                locationName: "FileSystemId"
              },
              LifecyclePolicies: {
                shape: "S2j"
              }
            }
          },
          output: {
            shape: "S2i"
          }
        },
        TagResource: {
          http: {
            requestUri: "/2015-02-01/resource-tags/{ResourceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "Tags"
            ],
            members: {
              ResourceId: {
                location: "uri",
                locationName: "ResourceId"
              },
              Tags: {
                shape: "S3"
              }
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/2015-02-01/resource-tags/{ResourceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "TagKeys"
            ],
            members: {
              ResourceId: {
                location: "uri",
                locationName: "ResourceId"
              },
              TagKeys: {
                shape: "S1t",
                location: "querystring",
                locationName: "tagKeys"
              }
            }
          }
        },
        UpdateFileSystem: {
          http: {
            method: "PUT",
            requestUri: "/2015-02-01/file-systems/{FileSystemId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "FileSystemId"
            ],
            members: {
              FileSystemId: {
                location: "uri",
                locationName: "FileSystemId"
              },
              ThroughputMode: {},
              ProvisionedThroughputInMibps: {
                type: "double"
              }
            }
          },
          output: {
            shape: "Sx"
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S8: {
          type: "structure",
          required: [
            "Uid",
            "Gid"
          ],
          members: {
            Uid: {
              type: "long"
            },
            Gid: {
              type: "long"
            },
            SecondaryGids: {
              type: "list",
              member: {
                type: "long"
              }
            }
          }
        },
        Sc: {
          type: "structure",
          members: {
            Path: {},
            CreationInfo: {
              type: "structure",
              required: [
                "OwnerUid",
                "OwnerGid",
                "Permissions"
              ],
              members: {
                OwnerUid: {
                  type: "long"
                },
                OwnerGid: {
                  type: "long"
                },
                Permissions: {}
              }
            }
          }
        },
        Si: {
          type: "structure",
          members: {
            ClientToken: {},
            Name: {},
            Tags: {
              shape: "S3"
            },
            AccessPointId: {},
            AccessPointArn: {},
            FileSystemId: {},
            PosixUser: {
              shape: "S8"
            },
            RootDirectory: {
              shape: "Sc"
            },
            OwnerId: {},
            LifeCycleState: {}
          }
        },
        Sx: {
          type: "structure",
          required: [
            "OwnerId",
            "CreationToken",
            "FileSystemId",
            "CreationTime",
            "LifeCycleState",
            "NumberOfMountTargets",
            "SizeInBytes",
            "PerformanceMode",
            "Tags"
          ],
          members: {
            OwnerId: {},
            CreationToken: {},
            FileSystemId: {},
            FileSystemArn: {},
            CreationTime: {
              type: "timestamp"
            },
            LifeCycleState: {},
            Name: {},
            NumberOfMountTargets: {
              type: "integer"
            },
            SizeInBytes: {
              type: "structure",
              required: [
                "Value"
              ],
              members: {
                Value: {
                  type: "long"
                },
                Timestamp: {
                  type: "timestamp"
                },
                ValueInIA: {
                  type: "long"
                },
                ValueInStandard: {
                  type: "long"
                }
              }
            },
            PerformanceMode: {},
            Encrypted: {
              type: "boolean"
            },
            KmsKeyId: {},
            ThroughputMode: {},
            ProvisionedThroughputInMibps: {
              type: "double"
            },
            AvailabilityZoneName: {},
            AvailabilityZoneId: {},
            Tags: {
              shape: "S3"
            }
          }
        },
        S18: {
          type: "list",
          member: {}
        },
        S1a: {
          type: "structure",
          required: [
            "MountTargetId",
            "FileSystemId",
            "SubnetId",
            "LifeCycleState"
          ],
          members: {
            OwnerId: {},
            MountTargetId: {},
            FileSystemId: {},
            SubnetId: {},
            LifeCycleState: {},
            IpAddress: {},
            NetworkInterfaceId: {},
            AvailabilityZoneId: {},
            AvailabilityZoneName: {},
            VpcId: {}
          }
        },
        S1i: {
          type: "structure",
          required: [
            "SourceFileSystemId",
            "SourceFileSystemRegion",
            "SourceFileSystemArn",
            "OriginalSourceFileSystemArn",
            "CreationTime",
            "Destinations"
          ],
          members: {
            SourceFileSystemId: {},
            SourceFileSystemRegion: {},
            SourceFileSystemArn: {},
            OriginalSourceFileSystemArn: {},
            CreationTime: {
              type: "timestamp"
            },
            Destinations: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Status",
                  "FileSystemId",
                  "Region"
                ],
                members: {
                  Status: {},
                  FileSystemId: {},
                  Region: {},
                  LastReplicatedTimestamp: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        S1t: {
          type: "list",
          member: {}
        },
        S21: {
          type: "structure",
          members: {
            ResourceIdType: {},
            Resources: {
              type: "list",
              member: {}
            }
          }
        },
        S26: {
          type: "structure",
          members: {
            BackupPolicy: {
              shape: "S27"
            }
          }
        },
        S27: {
          type: "structure",
          required: [
            "Status"
          ],
          members: {
            Status: {}
          }
        },
        S2a: {
          type: "structure",
          members: {
            FileSystemId: {},
            Policy: {}
          }
        },
        S2i: {
          type: "structure",
          members: {
            LifecyclePolicies: {
              shape: "S2j"
            }
          }
        },
        S2j: {
          type: "list",
          member: {
            type: "structure",
            members: {
              TransitionToIA: {},
              TransitionToPrimaryStorageClass: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/elasticfilesystem-2015-02-01.paginators.json
var require_elasticfilesystem_2015_02_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/elasticfilesystem-2015-02-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeAccessPoints: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeFileSystems: {
          input_token: "Marker",
          output_token: "NextMarker",
          limit_key: "MaxItems"
        },
        DescribeTags: {
          input_token: "Marker",
          output_token: "NextMarker",
          limit_key: "MaxItems"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/efs.js
var require_efs = __commonJS({
  "node_modules/aws-sdk/clients/efs.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["efs"] = {};
    AWS2.EFS = Service.defineService("efs", ["2015-02-01"]);
    Object.defineProperty(apiLoader.services["efs"], "2015-02-01", {
      get: function get() {
        var model = require_elasticfilesystem_2015_02_01_min();
        model.paginators = require_elasticfilesystem_2015_02_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.EFS;
  }
});

// node_modules/aws-sdk/apis/elasticache-2015-02-02.min.json
var require_elasticache_2015_02_02_min = __commonJS({
  "node_modules/aws-sdk/apis/elasticache-2015-02-02.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-02-02",
        endpointPrefix: "elasticache",
        protocol: "query",
        serviceFullName: "Amazon ElastiCache",
        serviceId: "ElastiCache",
        signatureVersion: "v4",
        uid: "elasticache-2015-02-02",
        xmlNamespace: "http://elasticache.amazonaws.com/doc/2015-02-02/"
      },
      operations: {
        AddTagsToResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "Tags"
            ],
            members: {
              ResourceName: {},
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            shape: "S5",
            resultWrapper: "AddTagsToResourceResult"
          }
        },
        AuthorizeCacheSecurityGroupIngress: {
          input: {
            type: "structure",
            required: [
              "CacheSecurityGroupName",
              "EC2SecurityGroupName",
              "EC2SecurityGroupOwnerId"
            ],
            members: {
              CacheSecurityGroupName: {},
              EC2SecurityGroupName: {},
              EC2SecurityGroupOwnerId: {}
            }
          },
          output: {
            resultWrapper: "AuthorizeCacheSecurityGroupIngressResult",
            type: "structure",
            members: {
              CacheSecurityGroup: {
                shape: "S8"
              }
            }
          }
        },
        BatchApplyUpdateAction: {
          input: {
            type: "structure",
            required: [
              "ServiceUpdateName"
            ],
            members: {
              ReplicationGroupIds: {
                shape: "Sc"
              },
              CacheClusterIds: {
                shape: "Sd"
              },
              ServiceUpdateName: {}
            }
          },
          output: {
            shape: "Se",
            resultWrapper: "BatchApplyUpdateActionResult"
          }
        },
        BatchStopUpdateAction: {
          input: {
            type: "structure",
            required: [
              "ServiceUpdateName"
            ],
            members: {
              ReplicationGroupIds: {
                shape: "Sc"
              },
              CacheClusterIds: {
                shape: "Sd"
              },
              ServiceUpdateName: {}
            }
          },
          output: {
            shape: "Se",
            resultWrapper: "BatchStopUpdateActionResult"
          }
        },
        CompleteMigration: {
          input: {
            type: "structure",
            required: [
              "ReplicationGroupId"
            ],
            members: {
              ReplicationGroupId: {},
              Force: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "CompleteMigrationResult",
            type: "structure",
            members: {
              ReplicationGroup: {
                shape: "So"
              }
            }
          }
        },
        CopySnapshot: {
          input: {
            type: "structure",
            required: [
              "SourceSnapshotName",
              "TargetSnapshotName"
            ],
            members: {
              SourceSnapshotName: {},
              TargetSnapshotName: {},
              TargetBucket: {},
              KmsKeyId: {},
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            resultWrapper: "CopySnapshotResult",
            type: "structure",
            members: {
              Snapshot: {
                shape: "S1u"
              }
            }
          }
        },
        CreateCacheCluster: {
          input: {
            type: "structure",
            required: [
              "CacheClusterId"
            ],
            members: {
              CacheClusterId: {},
              ReplicationGroupId: {},
              AZMode: {},
              PreferredAvailabilityZone: {},
              PreferredAvailabilityZones: {
                shape: "S23"
              },
              NumCacheNodes: {
                type: "integer"
              },
              CacheNodeType: {},
              Engine: {},
              EngineVersion: {},
              CacheParameterGroupName: {},
              CacheSubnetGroupName: {},
              CacheSecurityGroupNames: {
                shape: "S24"
              },
              SecurityGroupIds: {
                shape: "S25"
              },
              Tags: {
                shape: "S3"
              },
              SnapshotArns: {
                shape: "S26"
              },
              SnapshotName: {},
              PreferredMaintenanceWindow: {},
              Port: {
                type: "integer"
              },
              NotificationTopicArn: {},
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              SnapshotRetentionLimit: {
                type: "integer"
              },
              SnapshotWindow: {},
              AuthToken: {},
              OutpostMode: {},
              PreferredOutpostArn: {},
              PreferredOutpostArns: {
                shape: "S28"
              },
              LogDeliveryConfigurations: {
                shape: "S29"
              },
              TransitEncryptionEnabled: {
                type: "boolean"
              },
              NetworkType: {},
              IpDiscovery: {}
            }
          },
          output: {
            resultWrapper: "CreateCacheClusterResult",
            type: "structure",
            members: {
              CacheCluster: {
                shape: "S2c"
              }
            }
          }
        },
        CreateCacheParameterGroup: {
          input: {
            type: "structure",
            required: [
              "CacheParameterGroupName",
              "CacheParameterGroupFamily",
              "Description"
            ],
            members: {
              CacheParameterGroupName: {},
              CacheParameterGroupFamily: {},
              Description: {},
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            resultWrapper: "CreateCacheParameterGroupResult",
            type: "structure",
            members: {
              CacheParameterGroup: {
                shape: "S2p"
              }
            }
          }
        },
        CreateCacheSecurityGroup: {
          input: {
            type: "structure",
            required: [
              "CacheSecurityGroupName",
              "Description"
            ],
            members: {
              CacheSecurityGroupName: {},
              Description: {},
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            resultWrapper: "CreateCacheSecurityGroupResult",
            type: "structure",
            members: {
              CacheSecurityGroup: {
                shape: "S8"
              }
            }
          }
        },
        CreateCacheSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "CacheSubnetGroupName",
              "CacheSubnetGroupDescription",
              "SubnetIds"
            ],
            members: {
              CacheSubnetGroupName: {},
              CacheSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S2t"
              },
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            resultWrapper: "CreateCacheSubnetGroupResult",
            type: "structure",
            members: {
              CacheSubnetGroup: {
                shape: "S2v"
              }
            }
          }
        },
        CreateGlobalReplicationGroup: {
          input: {
            type: "structure",
            required: [
              "GlobalReplicationGroupIdSuffix",
              "PrimaryReplicationGroupId"
            ],
            members: {
              GlobalReplicationGroupIdSuffix: {},
              GlobalReplicationGroupDescription: {},
              PrimaryReplicationGroupId: {}
            }
          },
          output: {
            resultWrapper: "CreateGlobalReplicationGroupResult",
            type: "structure",
            members: {
              GlobalReplicationGroup: {
                shape: "S33"
              }
            }
          }
        },
        CreateReplicationGroup: {
          input: {
            type: "structure",
            required: [
              "ReplicationGroupId",
              "ReplicationGroupDescription"
            ],
            members: {
              ReplicationGroupId: {},
              ReplicationGroupDescription: {},
              GlobalReplicationGroupId: {},
              PrimaryClusterId: {},
              AutomaticFailoverEnabled: {
                type: "boolean"
              },
              MultiAZEnabled: {
                type: "boolean"
              },
              NumCacheClusters: {
                type: "integer"
              },
              PreferredCacheClusterAZs: {
                shape: "S1z"
              },
              NumNodeGroups: {
                type: "integer"
              },
              ReplicasPerNodeGroup: {
                type: "integer"
              },
              NodeGroupConfiguration: {
                type: "list",
                member: {
                  shape: "S1x",
                  locationName: "NodeGroupConfiguration"
                }
              },
              CacheNodeType: {},
              Engine: {},
              EngineVersion: {},
              CacheParameterGroupName: {},
              CacheSubnetGroupName: {},
              CacheSecurityGroupNames: {
                shape: "S24"
              },
              SecurityGroupIds: {
                shape: "S25"
              },
              Tags: {
                shape: "S3"
              },
              SnapshotArns: {
                shape: "S26"
              },
              SnapshotName: {},
              PreferredMaintenanceWindow: {},
              Port: {
                type: "integer"
              },
              NotificationTopicArn: {},
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              SnapshotRetentionLimit: {
                type: "integer"
              },
              SnapshotWindow: {},
              AuthToken: {},
              TransitEncryptionEnabled: {
                type: "boolean"
              },
              AtRestEncryptionEnabled: {
                type: "boolean"
              },
              KmsKeyId: {},
              UserGroupIds: {
                type: "list",
                member: {}
              },
              LogDeliveryConfigurations: {
                shape: "S29"
              },
              DataTieringEnabled: {
                type: "boolean"
              },
              NetworkType: {},
              IpDiscovery: {},
              TransitEncryptionMode: {},
              ClusterMode: {}
            }
          },
          output: {
            resultWrapper: "CreateReplicationGroupResult",
            type: "structure",
            members: {
              ReplicationGroup: {
                shape: "So"
              }
            }
          }
        },
        CreateSnapshot: {
          input: {
            type: "structure",
            required: [
              "SnapshotName"
            ],
            members: {
              ReplicationGroupId: {},
              CacheClusterId: {},
              SnapshotName: {},
              KmsKeyId: {},
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            resultWrapper: "CreateSnapshotResult",
            type: "structure",
            members: {
              Snapshot: {
                shape: "S1u"
              }
            }
          }
        },
        CreateUser: {
          input: {
            type: "structure",
            required: [
              "UserId",
              "UserName",
              "Engine",
              "AccessString"
            ],
            members: {
              UserId: {},
              UserName: {},
              Engine: {},
              Passwords: {
                shape: "S3i"
              },
              AccessString: {},
              NoPasswordRequired: {
                type: "boolean"
              },
              Tags: {
                shape: "S3"
              },
              AuthenticationMode: {
                shape: "S3k"
              }
            }
          },
          output: {
            shape: "S3m",
            resultWrapper: "CreateUserResult"
          }
        },
        CreateUserGroup: {
          input: {
            type: "structure",
            required: [
              "UserGroupId",
              "Engine"
            ],
            members: {
              UserGroupId: {},
              Engine: {},
              UserIds: {
                shape: "S3q"
              },
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            shape: "S3r",
            resultWrapper: "CreateUserGroupResult"
          }
        },
        DecreaseNodeGroupsInGlobalReplicationGroup: {
          input: {
            type: "structure",
            required: [
              "GlobalReplicationGroupId",
              "NodeGroupCount",
              "ApplyImmediately"
            ],
            members: {
              GlobalReplicationGroupId: {},
              NodeGroupCount: {
                type: "integer"
              },
              GlobalNodeGroupsToRemove: {
                shape: "S3w"
              },
              GlobalNodeGroupsToRetain: {
                shape: "S3w"
              },
              ApplyImmediately: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DecreaseNodeGroupsInGlobalReplicationGroupResult",
            type: "structure",
            members: {
              GlobalReplicationGroup: {
                shape: "S33"
              }
            }
          }
        },
        DecreaseReplicaCount: {
          input: {
            type: "structure",
            required: [
              "ReplicationGroupId",
              "ApplyImmediately"
            ],
            members: {
              ReplicationGroupId: {},
              NewReplicaCount: {
                type: "integer"
              },
              ReplicaConfiguration: {
                shape: "S3z"
              },
              ReplicasToRemove: {
                type: "list",
                member: {}
              },
              ApplyImmediately: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DecreaseReplicaCountResult",
            type: "structure",
            members: {
              ReplicationGroup: {
                shape: "So"
              }
            }
          }
        },
        DeleteCacheCluster: {
          input: {
            type: "structure",
            required: [
              "CacheClusterId"
            ],
            members: {
              CacheClusterId: {},
              FinalSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteCacheClusterResult",
            type: "structure",
            members: {
              CacheCluster: {
                shape: "S2c"
              }
            }
          }
        },
        DeleteCacheParameterGroup: {
          input: {
            type: "structure",
            required: [
              "CacheParameterGroupName"
            ],
            members: {
              CacheParameterGroupName: {}
            }
          }
        },
        DeleteCacheSecurityGroup: {
          input: {
            type: "structure",
            required: [
              "CacheSecurityGroupName"
            ],
            members: {
              CacheSecurityGroupName: {}
            }
          }
        },
        DeleteCacheSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "CacheSubnetGroupName"
            ],
            members: {
              CacheSubnetGroupName: {}
            }
          }
        },
        DeleteGlobalReplicationGroup: {
          input: {
            type: "structure",
            required: [
              "GlobalReplicationGroupId",
              "RetainPrimaryReplicationGroup"
            ],
            members: {
              GlobalReplicationGroupId: {},
              RetainPrimaryReplicationGroup: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DeleteGlobalReplicationGroupResult",
            type: "structure",
            members: {
              GlobalReplicationGroup: {
                shape: "S33"
              }
            }
          }
        },
        DeleteReplicationGroup: {
          input: {
            type: "structure",
            required: [
              "ReplicationGroupId"
            ],
            members: {
              ReplicationGroupId: {},
              RetainPrimaryCluster: {
                type: "boolean"
              },
              FinalSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteReplicationGroupResult",
            type: "structure",
            members: {
              ReplicationGroup: {
                shape: "So"
              }
            }
          }
        },
        DeleteSnapshot: {
          input: {
            type: "structure",
            required: [
              "SnapshotName"
            ],
            members: {
              SnapshotName: {}
            }
          },
          output: {
            resultWrapper: "DeleteSnapshotResult",
            type: "structure",
            members: {
              Snapshot: {
                shape: "S1u"
              }
            }
          }
        },
        DeleteUser: {
          input: {
            type: "structure",
            required: [
              "UserId"
            ],
            members: {
              UserId: {}
            }
          },
          output: {
            shape: "S3m",
            resultWrapper: "DeleteUserResult"
          }
        },
        DeleteUserGroup: {
          input: {
            type: "structure",
            required: [
              "UserGroupId"
            ],
            members: {
              UserGroupId: {}
            }
          },
          output: {
            shape: "S3r",
            resultWrapper: "DeleteUserGroupResult"
          }
        },
        DescribeCacheClusters: {
          input: {
            type: "structure",
            members: {
              CacheClusterId: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              ShowCacheNodeInfo: {
                type: "boolean"
              },
              ShowCacheClustersNotInReplicationGroups: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeCacheClustersResult",
            type: "structure",
            members: {
              Marker: {},
              CacheClusters: {
                type: "list",
                member: {
                  shape: "S2c",
                  locationName: "CacheCluster"
                }
              }
            }
          }
        },
        DescribeCacheEngineVersions: {
          input: {
            type: "structure",
            members: {
              Engine: {},
              EngineVersion: {},
              CacheParameterGroupFamily: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              DefaultOnly: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeCacheEngineVersionsResult",
            type: "structure",
            members: {
              Marker: {},
              CacheEngineVersions: {
                type: "list",
                member: {
                  locationName: "CacheEngineVersion",
                  type: "structure",
                  members: {
                    Engine: {},
                    EngineVersion: {},
                    CacheParameterGroupFamily: {},
                    CacheEngineDescription: {},
                    CacheEngineVersionDescription: {}
                  }
                }
              }
            }
          }
        },
        DescribeCacheParameterGroups: {
          input: {
            type: "structure",
            members: {
              CacheParameterGroupName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeCacheParameterGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              CacheParameterGroups: {
                type: "list",
                member: {
                  shape: "S2p",
                  locationName: "CacheParameterGroup"
                }
              }
            }
          }
        },
        DescribeCacheParameters: {
          input: {
            type: "structure",
            required: [
              "CacheParameterGroupName"
            ],
            members: {
              CacheParameterGroupName: {},
              Source: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeCacheParametersResult",
            type: "structure",
            members: {
              Marker: {},
              Parameters: {
                shape: "S4s"
              },
              CacheNodeTypeSpecificParameters: {
                shape: "S4v"
              }
            }
          }
        },
        DescribeCacheSecurityGroups: {
          input: {
            type: "structure",
            members: {
              CacheSecurityGroupName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeCacheSecurityGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              CacheSecurityGroups: {
                type: "list",
                member: {
                  shape: "S8",
                  locationName: "CacheSecurityGroup"
                }
              }
            }
          }
        },
        DescribeCacheSubnetGroups: {
          input: {
            type: "structure",
            members: {
              CacheSubnetGroupName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeCacheSubnetGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              CacheSubnetGroups: {
                type: "list",
                member: {
                  shape: "S2v",
                  locationName: "CacheSubnetGroup"
                }
              }
            }
          }
        },
        DescribeEngineDefaultParameters: {
          input: {
            type: "structure",
            required: [
              "CacheParameterGroupFamily"
            ],
            members: {
              CacheParameterGroupFamily: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEngineDefaultParametersResult",
            type: "structure",
            members: {
              EngineDefaults: {
                type: "structure",
                members: {
                  CacheParameterGroupFamily: {},
                  Marker: {},
                  Parameters: {
                    shape: "S4s"
                  },
                  CacheNodeTypeSpecificParameters: {
                    shape: "S4v"
                  }
                },
                wrapper: true
              }
            }
          }
        },
        DescribeEvents: {
          input: {
            type: "structure",
            members: {
              SourceIdentifier: {},
              SourceType: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Duration: {
                type: "integer"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventsResult",
            type: "structure",
            members: {
              Marker: {},
              Events: {
                type: "list",
                member: {
                  locationName: "Event",
                  type: "structure",
                  members: {
                    SourceIdentifier: {},
                    SourceType: {},
                    Message: {},
                    Date: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeGlobalReplicationGroups: {
          input: {
            type: "structure",
            members: {
              GlobalReplicationGroupId: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              ShowMemberInfo: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeGlobalReplicationGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              GlobalReplicationGroups: {
                type: "list",
                member: {
                  shape: "S33",
                  locationName: "GlobalReplicationGroup"
                }
              }
            }
          }
        },
        DescribeReplicationGroups: {
          input: {
            type: "structure",
            members: {
              ReplicationGroupId: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeReplicationGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              ReplicationGroups: {
                type: "list",
                member: {
                  shape: "So",
                  locationName: "ReplicationGroup"
                }
              }
            }
          }
        },
        DescribeReservedCacheNodes: {
          input: {
            type: "structure",
            members: {
              ReservedCacheNodeId: {},
              ReservedCacheNodesOfferingId: {},
              CacheNodeType: {},
              Duration: {},
              ProductDescription: {},
              OfferingType: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeReservedCacheNodesResult",
            type: "structure",
            members: {
              Marker: {},
              ReservedCacheNodes: {
                type: "list",
                member: {
                  shape: "S5m",
                  locationName: "ReservedCacheNode"
                }
              }
            }
          }
        },
        DescribeReservedCacheNodesOfferings: {
          input: {
            type: "structure",
            members: {
              ReservedCacheNodesOfferingId: {},
              CacheNodeType: {},
              Duration: {},
              ProductDescription: {},
              OfferingType: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeReservedCacheNodesOfferingsResult",
            type: "structure",
            members: {
              Marker: {},
              ReservedCacheNodesOfferings: {
                type: "list",
                member: {
                  locationName: "ReservedCacheNodesOffering",
                  type: "structure",
                  members: {
                    ReservedCacheNodesOfferingId: {},
                    CacheNodeType: {},
                    Duration: {
                      type: "integer"
                    },
                    FixedPrice: {
                      type: "double"
                    },
                    UsagePrice: {
                      type: "double"
                    },
                    ProductDescription: {},
                    OfferingType: {},
                    RecurringCharges: {
                      shape: "S5n"
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        DescribeServiceUpdates: {
          input: {
            type: "structure",
            members: {
              ServiceUpdateName: {},
              ServiceUpdateStatus: {
                shape: "S5u"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeServiceUpdatesResult",
            type: "structure",
            members: {
              Marker: {},
              ServiceUpdates: {
                type: "list",
                member: {
                  locationName: "ServiceUpdate",
                  type: "structure",
                  members: {
                    ServiceUpdateName: {},
                    ServiceUpdateReleaseDate: {
                      type: "timestamp"
                    },
                    ServiceUpdateEndDate: {
                      type: "timestamp"
                    },
                    ServiceUpdateSeverity: {},
                    ServiceUpdateRecommendedApplyByDate: {
                      type: "timestamp"
                    },
                    ServiceUpdateStatus: {},
                    ServiceUpdateDescription: {},
                    ServiceUpdateType: {},
                    Engine: {},
                    EngineVersion: {},
                    AutoUpdateAfterRecommendedApplyByDate: {
                      type: "boolean"
                    },
                    EstimatedUpdateTime: {}
                  }
                }
              }
            }
          }
        },
        DescribeSnapshots: {
          input: {
            type: "structure",
            members: {
              ReplicationGroupId: {},
              CacheClusterId: {},
              SnapshotName: {},
              SnapshotSource: {},
              Marker: {},
              MaxRecords: {
                type: "integer"
              },
              ShowNodeGroupConfig: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeSnapshotsResult",
            type: "structure",
            members: {
              Marker: {},
              Snapshots: {
                type: "list",
                member: {
                  shape: "S1u",
                  locationName: "Snapshot"
                }
              }
            }
          }
        },
        DescribeUpdateActions: {
          input: {
            type: "structure",
            members: {
              ServiceUpdateName: {},
              ReplicationGroupIds: {
                shape: "Sc"
              },
              CacheClusterIds: {
                shape: "Sd"
              },
              Engine: {},
              ServiceUpdateStatus: {
                shape: "S5u"
              },
              ServiceUpdateTimeRange: {
                type: "structure",
                members: {
                  StartTime: {
                    type: "timestamp"
                  },
                  EndTime: {
                    type: "timestamp"
                  }
                }
              },
              UpdateActionStatus: {
                type: "list",
                member: {}
              },
              ShowNodeLevelUpdateStatus: {
                type: "boolean"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeUpdateActionsResult",
            type: "structure",
            members: {
              Marker: {},
              UpdateActions: {
                type: "list",
                member: {
                  locationName: "UpdateAction",
                  type: "structure",
                  members: {
                    ReplicationGroupId: {},
                    CacheClusterId: {},
                    ServiceUpdateName: {},
                    ServiceUpdateReleaseDate: {
                      type: "timestamp"
                    },
                    ServiceUpdateSeverity: {},
                    ServiceUpdateStatus: {},
                    ServiceUpdateRecommendedApplyByDate: {
                      type: "timestamp"
                    },
                    ServiceUpdateType: {},
                    UpdateActionAvailableDate: {
                      type: "timestamp"
                    },
                    UpdateActionStatus: {},
                    NodesUpdated: {},
                    UpdateActionStatusModifiedDate: {
                      type: "timestamp"
                    },
                    SlaMet: {},
                    NodeGroupUpdateStatus: {
                      type: "list",
                      member: {
                        locationName: "NodeGroupUpdateStatus",
                        type: "structure",
                        members: {
                          NodeGroupId: {},
                          NodeGroupMemberUpdateStatus: {
                            type: "list",
                            member: {
                              locationName: "NodeGroupMemberUpdateStatus",
                              type: "structure",
                              members: {
                                CacheClusterId: {},
                                CacheNodeId: {},
                                NodeUpdateStatus: {},
                                NodeDeletionDate: {
                                  type: "timestamp"
                                },
                                NodeUpdateStartDate: {
                                  type: "timestamp"
                                },
                                NodeUpdateEndDate: {
                                  type: "timestamp"
                                },
                                NodeUpdateInitiatedBy: {},
                                NodeUpdateInitiatedDate: {
                                  type: "timestamp"
                                },
                                NodeUpdateStatusModifiedDate: {
                                  type: "timestamp"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    CacheNodeUpdateStatus: {
                      type: "list",
                      member: {
                        locationName: "CacheNodeUpdateStatus",
                        type: "structure",
                        members: {
                          CacheNodeId: {},
                          NodeUpdateStatus: {},
                          NodeDeletionDate: {
                            type: "timestamp"
                          },
                          NodeUpdateStartDate: {
                            type: "timestamp"
                          },
                          NodeUpdateEndDate: {
                            type: "timestamp"
                          },
                          NodeUpdateInitiatedBy: {},
                          NodeUpdateInitiatedDate: {
                            type: "timestamp"
                          },
                          NodeUpdateStatusModifiedDate: {
                            type: "timestamp"
                          }
                        }
                      }
                    },
                    EstimatedUpdateTime: {},
                    Engine: {}
                  }
                }
              }
            }
          }
        },
        DescribeUserGroups: {
          input: {
            type: "structure",
            members: {
              UserGroupId: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeUserGroupsResult",
            type: "structure",
            members: {
              UserGroups: {
                type: "list",
                member: {
                  shape: "S3r"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeUsers: {
          input: {
            type: "structure",
            members: {
              Engine: {},
              UserId: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Values"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeUsersResult",
            type: "structure",
            members: {
              Users: {
                type: "list",
                member: {
                  shape: "S3m"
                }
              },
              Marker: {}
            }
          }
        },
        DisassociateGlobalReplicationGroup: {
          input: {
            type: "structure",
            required: [
              "GlobalReplicationGroupId",
              "ReplicationGroupId",
              "ReplicationGroupRegion"
            ],
            members: {
              GlobalReplicationGroupId: {},
              ReplicationGroupId: {},
              ReplicationGroupRegion: {}
            }
          },
          output: {
            resultWrapper: "DisassociateGlobalReplicationGroupResult",
            type: "structure",
            members: {
              GlobalReplicationGroup: {
                shape: "S33"
              }
            }
          }
        },
        FailoverGlobalReplicationGroup: {
          input: {
            type: "structure",
            required: [
              "GlobalReplicationGroupId",
              "PrimaryRegion",
              "PrimaryReplicationGroupId"
            ],
            members: {
              GlobalReplicationGroupId: {},
              PrimaryRegion: {},
              PrimaryReplicationGroupId: {}
            }
          },
          output: {
            resultWrapper: "FailoverGlobalReplicationGroupResult",
            type: "structure",
            members: {
              GlobalReplicationGroup: {
                shape: "S33"
              }
            }
          }
        },
        IncreaseNodeGroupsInGlobalReplicationGroup: {
          input: {
            type: "structure",
            required: [
              "GlobalReplicationGroupId",
              "NodeGroupCount",
              "ApplyImmediately"
            ],
            members: {
              GlobalReplicationGroupId: {},
              NodeGroupCount: {
                type: "integer"
              },
              RegionalConfigurations: {
                type: "list",
                member: {
                  locationName: "RegionalConfiguration",
                  type: "structure",
                  required: [
                    "ReplicationGroupId",
                    "ReplicationGroupRegion",
                    "ReshardingConfiguration"
                  ],
                  members: {
                    ReplicationGroupId: {},
                    ReplicationGroupRegion: {},
                    ReshardingConfiguration: {
                      shape: "S71"
                    }
                  }
                }
              },
              ApplyImmediately: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "IncreaseNodeGroupsInGlobalReplicationGroupResult",
            type: "structure",
            members: {
              GlobalReplicationGroup: {
                shape: "S33"
              }
            }
          }
        },
        IncreaseReplicaCount: {
          input: {
            type: "structure",
            required: [
              "ReplicationGroupId",
              "ApplyImmediately"
            ],
            members: {
              ReplicationGroupId: {},
              NewReplicaCount: {
                type: "integer"
              },
              ReplicaConfiguration: {
                shape: "S3z"
              },
              ApplyImmediately: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "IncreaseReplicaCountResult",
            type: "structure",
            members: {
              ReplicationGroup: {
                shape: "So"
              }
            }
          }
        },
        ListAllowedNodeTypeModifications: {
          input: {
            type: "structure",
            members: {
              CacheClusterId: {},
              ReplicationGroupId: {}
            }
          },
          output: {
            resultWrapper: "ListAllowedNodeTypeModificationsResult",
            type: "structure",
            members: {
              ScaleUpModifications: {
                shape: "S78"
              },
              ScaleDownModifications: {
                shape: "S78"
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName"
            ],
            members: {
              ResourceName: {}
            }
          },
          output: {
            shape: "S5",
            resultWrapper: "ListTagsForResourceResult"
          }
        },
        ModifyCacheCluster: {
          input: {
            type: "structure",
            required: [
              "CacheClusterId"
            ],
            members: {
              CacheClusterId: {},
              NumCacheNodes: {
                type: "integer"
              },
              CacheNodeIdsToRemove: {
                shape: "S2e"
              },
              AZMode: {},
              NewAvailabilityZones: {
                shape: "S23"
              },
              CacheSecurityGroupNames: {
                shape: "S24"
              },
              SecurityGroupIds: {
                shape: "S25"
              },
              PreferredMaintenanceWindow: {},
              NotificationTopicArn: {},
              CacheParameterGroupName: {},
              NotificationTopicStatus: {},
              ApplyImmediately: {
                type: "boolean"
              },
              EngineVersion: {},
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              SnapshotRetentionLimit: {
                type: "integer"
              },
              SnapshotWindow: {},
              CacheNodeType: {},
              AuthToken: {},
              AuthTokenUpdateStrategy: {},
              LogDeliveryConfigurations: {
                shape: "S29"
              },
              IpDiscovery: {}
            }
          },
          output: {
            resultWrapper: "ModifyCacheClusterResult",
            type: "structure",
            members: {
              CacheCluster: {
                shape: "S2c"
              }
            }
          }
        },
        ModifyCacheParameterGroup: {
          input: {
            type: "structure",
            required: [
              "CacheParameterGroupName",
              "ParameterNameValues"
            ],
            members: {
              CacheParameterGroupName: {},
              ParameterNameValues: {
                shape: "S7e"
              }
            }
          },
          output: {
            shape: "S7g",
            resultWrapper: "ModifyCacheParameterGroupResult"
          }
        },
        ModifyCacheSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "CacheSubnetGroupName"
            ],
            members: {
              CacheSubnetGroupName: {},
              CacheSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S2t"
              }
            }
          },
          output: {
            resultWrapper: "ModifyCacheSubnetGroupResult",
            type: "structure",
            members: {
              CacheSubnetGroup: {
                shape: "S2v"
              }
            }
          }
        },
        ModifyGlobalReplicationGroup: {
          input: {
            type: "structure",
            required: [
              "GlobalReplicationGroupId",
              "ApplyImmediately"
            ],
            members: {
              GlobalReplicationGroupId: {},
              ApplyImmediately: {
                type: "boolean"
              },
              CacheNodeType: {},
              EngineVersion: {},
              CacheParameterGroupName: {},
              GlobalReplicationGroupDescription: {},
              AutomaticFailoverEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyGlobalReplicationGroupResult",
            type: "structure",
            members: {
              GlobalReplicationGroup: {
                shape: "S33"
              }
            }
          }
        },
        ModifyReplicationGroup: {
          input: {
            type: "structure",
            required: [
              "ReplicationGroupId"
            ],
            members: {
              ReplicationGroupId: {},
              ReplicationGroupDescription: {},
              PrimaryClusterId: {},
              SnapshottingClusterId: {},
              AutomaticFailoverEnabled: {
                type: "boolean"
              },
              MultiAZEnabled: {
                type: "boolean"
              },
              NodeGroupId: {
                deprecated: true
              },
              CacheSecurityGroupNames: {
                shape: "S24"
              },
              SecurityGroupIds: {
                shape: "S25"
              },
              PreferredMaintenanceWindow: {},
              NotificationTopicArn: {},
              CacheParameterGroupName: {},
              NotificationTopicStatus: {},
              ApplyImmediately: {
                type: "boolean"
              },
              EngineVersion: {},
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              SnapshotRetentionLimit: {
                type: "integer"
              },
              SnapshotWindow: {},
              CacheNodeType: {},
              AuthToken: {},
              AuthTokenUpdateStrategy: {},
              UserGroupIdsToAdd: {
                shape: "Sx"
              },
              UserGroupIdsToRemove: {
                shape: "Sx"
              },
              RemoveUserGroups: {
                type: "boolean"
              },
              LogDeliveryConfigurations: {
                shape: "S29"
              },
              IpDiscovery: {},
              TransitEncryptionEnabled: {
                type: "boolean"
              },
              TransitEncryptionMode: {},
              ClusterMode: {}
            }
          },
          output: {
            resultWrapper: "ModifyReplicationGroupResult",
            type: "structure",
            members: {
              ReplicationGroup: {
                shape: "So"
              }
            }
          }
        },
        ModifyReplicationGroupShardConfiguration: {
          input: {
            type: "structure",
            required: [
              "ReplicationGroupId",
              "NodeGroupCount",
              "ApplyImmediately"
            ],
            members: {
              ReplicationGroupId: {},
              NodeGroupCount: {
                type: "integer"
              },
              ApplyImmediately: {
                type: "boolean"
              },
              ReshardingConfiguration: {
                shape: "S71"
              },
              NodeGroupsToRemove: {
                type: "list",
                member: {
                  locationName: "NodeGroupToRemove"
                }
              },
              NodeGroupsToRetain: {
                type: "list",
                member: {
                  locationName: "NodeGroupToRetain"
                }
              }
            }
          },
          output: {
            resultWrapper: "ModifyReplicationGroupShardConfigurationResult",
            type: "structure",
            members: {
              ReplicationGroup: {
                shape: "So"
              }
            }
          }
        },
        ModifyUser: {
          input: {
            type: "structure",
            required: [
              "UserId"
            ],
            members: {
              UserId: {},
              AccessString: {},
              AppendAccessString: {},
              Passwords: {
                shape: "S3i"
              },
              NoPasswordRequired: {
                type: "boolean"
              },
              AuthenticationMode: {
                shape: "S3k"
              }
            }
          },
          output: {
            shape: "S3m",
            resultWrapper: "ModifyUserResult"
          }
        },
        ModifyUserGroup: {
          input: {
            type: "structure",
            required: [
              "UserGroupId"
            ],
            members: {
              UserGroupId: {},
              UserIdsToAdd: {
                shape: "S3q"
              },
              UserIdsToRemove: {
                shape: "S3q"
              }
            }
          },
          output: {
            shape: "S3r",
            resultWrapper: "ModifyUserGroupResult"
          }
        },
        PurchaseReservedCacheNodesOffering: {
          input: {
            type: "structure",
            required: [
              "ReservedCacheNodesOfferingId"
            ],
            members: {
              ReservedCacheNodesOfferingId: {},
              ReservedCacheNodeId: {},
              CacheNodeCount: {
                type: "integer"
              },
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            resultWrapper: "PurchaseReservedCacheNodesOfferingResult",
            type: "structure",
            members: {
              ReservedCacheNode: {
                shape: "S5m"
              }
            }
          }
        },
        RebalanceSlotsInGlobalReplicationGroup: {
          input: {
            type: "structure",
            required: [
              "GlobalReplicationGroupId",
              "ApplyImmediately"
            ],
            members: {
              GlobalReplicationGroupId: {},
              ApplyImmediately: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "RebalanceSlotsInGlobalReplicationGroupResult",
            type: "structure",
            members: {
              GlobalReplicationGroup: {
                shape: "S33"
              }
            }
          }
        },
        RebootCacheCluster: {
          input: {
            type: "structure",
            required: [
              "CacheClusterId",
              "CacheNodeIdsToReboot"
            ],
            members: {
              CacheClusterId: {},
              CacheNodeIdsToReboot: {
                shape: "S2e"
              }
            }
          },
          output: {
            resultWrapper: "RebootCacheClusterResult",
            type: "structure",
            members: {
              CacheCluster: {
                shape: "S2c"
              }
            }
          }
        },
        RemoveTagsFromResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "TagKeys"
            ],
            members: {
              ResourceName: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            shape: "S5",
            resultWrapper: "RemoveTagsFromResourceResult"
          }
        },
        ResetCacheParameterGroup: {
          input: {
            type: "structure",
            required: [
              "CacheParameterGroupName"
            ],
            members: {
              CacheParameterGroupName: {},
              ResetAllParameters: {
                type: "boolean"
              },
              ParameterNameValues: {
                shape: "S7e"
              }
            }
          },
          output: {
            shape: "S7g",
            resultWrapper: "ResetCacheParameterGroupResult"
          }
        },
        RevokeCacheSecurityGroupIngress: {
          input: {
            type: "structure",
            required: [
              "CacheSecurityGroupName",
              "EC2SecurityGroupName",
              "EC2SecurityGroupOwnerId"
            ],
            members: {
              CacheSecurityGroupName: {},
              EC2SecurityGroupName: {},
              EC2SecurityGroupOwnerId: {}
            }
          },
          output: {
            resultWrapper: "RevokeCacheSecurityGroupIngressResult",
            type: "structure",
            members: {
              CacheSecurityGroup: {
                shape: "S8"
              }
            }
          }
        },
        StartMigration: {
          input: {
            type: "structure",
            required: [
              "ReplicationGroupId",
              "CustomerNodeEndpointList"
            ],
            members: {
              ReplicationGroupId: {},
              CustomerNodeEndpointList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Address: {},
                    Port: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          },
          output: {
            resultWrapper: "StartMigrationResult",
            type: "structure",
            members: {
              ReplicationGroup: {
                shape: "So"
              }
            }
          }
        },
        TestFailover: {
          input: {
            type: "structure",
            required: [
              "ReplicationGroupId",
              "NodeGroupId"
            ],
            members: {
              ReplicationGroupId: {},
              NodeGroupId: {}
            }
          },
          output: {
            resultWrapper: "TestFailoverResult",
            type: "structure",
            members: {
              ReplicationGroup: {
                shape: "So"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            locationName: "Tag",
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S5: {
          type: "structure",
          members: {
            TagList: {
              shape: "S3"
            }
          }
        },
        S8: {
          type: "structure",
          members: {
            OwnerId: {},
            CacheSecurityGroupName: {},
            Description: {},
            EC2SecurityGroups: {
              type: "list",
              member: {
                locationName: "EC2SecurityGroup",
                type: "structure",
                members: {
                  Status: {},
                  EC2SecurityGroupName: {},
                  EC2SecurityGroupOwnerId: {}
                }
              }
            },
            ARN: {}
          },
          wrapper: true
        },
        Sc: {
          type: "list",
          member: {}
        },
        Sd: {
          type: "list",
          member: {}
        },
        Se: {
          type: "structure",
          members: {
            ProcessedUpdateActions: {
              type: "list",
              member: {
                locationName: "ProcessedUpdateAction",
                type: "structure",
                members: {
                  ReplicationGroupId: {},
                  CacheClusterId: {},
                  ServiceUpdateName: {},
                  UpdateActionStatus: {}
                }
              }
            },
            UnprocessedUpdateActions: {
              type: "list",
              member: {
                locationName: "UnprocessedUpdateAction",
                type: "structure",
                members: {
                  ReplicationGroupId: {},
                  CacheClusterId: {},
                  ServiceUpdateName: {},
                  ErrorType: {},
                  ErrorMessage: {}
                }
              }
            }
          }
        },
        So: {
          type: "structure",
          members: {
            ReplicationGroupId: {},
            Description: {},
            GlobalReplicationGroupInfo: {
              type: "structure",
              members: {
                GlobalReplicationGroupId: {},
                GlobalReplicationGroupMemberRole: {}
              }
            },
            Status: {},
            PendingModifiedValues: {
              type: "structure",
              members: {
                PrimaryClusterId: {},
                AutomaticFailoverStatus: {},
                Resharding: {
                  type: "structure",
                  members: {
                    SlotMigration: {
                      type: "structure",
                      members: {
                        ProgressPercentage: {
                          type: "double"
                        }
                      }
                    }
                  }
                },
                AuthTokenStatus: {},
                UserGroups: {
                  type: "structure",
                  members: {
                    UserGroupIdsToAdd: {
                      shape: "Sx"
                    },
                    UserGroupIdsToRemove: {
                      shape: "Sx"
                    }
                  }
                },
                LogDeliveryConfigurations: {
                  shape: "Sz"
                },
                TransitEncryptionEnabled: {
                  type: "boolean"
                },
                TransitEncryptionMode: {},
                ClusterMode: {}
              }
            },
            MemberClusters: {
              type: "list",
              member: {
                locationName: "ClusterId"
              }
            },
            NodeGroups: {
              type: "list",
              member: {
                locationName: "NodeGroup",
                type: "structure",
                members: {
                  NodeGroupId: {},
                  Status: {},
                  PrimaryEndpoint: {
                    shape: "S1d"
                  },
                  ReaderEndpoint: {
                    shape: "S1d"
                  },
                  Slots: {},
                  NodeGroupMembers: {
                    type: "list",
                    member: {
                      locationName: "NodeGroupMember",
                      type: "structure",
                      members: {
                        CacheClusterId: {},
                        CacheNodeId: {},
                        ReadEndpoint: {
                          shape: "S1d"
                        },
                        PreferredAvailabilityZone: {},
                        PreferredOutpostArn: {},
                        CurrentRole: {}
                      }
                    }
                  }
                }
              }
            },
            SnapshottingClusterId: {},
            AutomaticFailover: {},
            MultiAZ: {},
            ConfigurationEndpoint: {
              shape: "S1d"
            },
            SnapshotRetentionLimit: {
              type: "integer"
            },
            SnapshotWindow: {},
            ClusterEnabled: {
              type: "boolean"
            },
            CacheNodeType: {},
            AuthTokenEnabled: {
              type: "boolean"
            },
            AuthTokenLastModifiedDate: {
              type: "timestamp"
            },
            TransitEncryptionEnabled: {
              type: "boolean"
            },
            AtRestEncryptionEnabled: {
              type: "boolean"
            },
            MemberClustersOutpostArns: {
              type: "list",
              member: {
                locationName: "ReplicationGroupOutpostArn"
              }
            },
            KmsKeyId: {},
            ARN: {},
            UserGroupIds: {
              shape: "Sx"
            },
            LogDeliveryConfigurations: {
              shape: "S1m"
            },
            ReplicationGroupCreateTime: {
              type: "timestamp"
            },
            DataTiering: {},
            AutoMinorVersionUpgrade: {
              type: "boolean"
            },
            NetworkType: {},
            IpDiscovery: {},
            TransitEncryptionMode: {},
            ClusterMode: {}
          },
          wrapper: true
        },
        Sx: {
          type: "list",
          member: {}
        },
        Sz: {
          type: "list",
          member: {
            type: "structure",
            members: {
              LogType: {},
              DestinationType: {},
              DestinationDetails: {
                shape: "S13"
              },
              LogFormat: {}
            }
          },
          locationName: "PendingLogDeliveryConfiguration"
        },
        S13: {
          type: "structure",
          members: {
            CloudWatchLogsDetails: {
              type: "structure",
              members: {
                LogGroup: {}
              }
            },
            KinesisFirehoseDetails: {
              type: "structure",
              members: {
                DeliveryStream: {}
              }
            }
          }
        },
        S1d: {
          type: "structure",
          members: {
            Address: {},
            Port: {
              type: "integer"
            }
          }
        },
        S1m: {
          type: "list",
          member: {
            locationName: "LogDeliveryConfiguration",
            type: "structure",
            members: {
              LogType: {},
              DestinationType: {},
              DestinationDetails: {
                shape: "S13"
              },
              LogFormat: {},
              Status: {},
              Message: {}
            }
          }
        },
        S1u: {
          type: "structure",
          members: {
            SnapshotName: {},
            ReplicationGroupId: {},
            ReplicationGroupDescription: {},
            CacheClusterId: {},
            SnapshotStatus: {},
            SnapshotSource: {},
            CacheNodeType: {},
            Engine: {},
            EngineVersion: {},
            NumCacheNodes: {
              type: "integer"
            },
            PreferredAvailabilityZone: {},
            PreferredOutpostArn: {},
            CacheClusterCreateTime: {
              type: "timestamp"
            },
            PreferredMaintenanceWindow: {},
            TopicArn: {},
            Port: {
              type: "integer"
            },
            CacheParameterGroupName: {},
            CacheSubnetGroupName: {},
            VpcId: {},
            AutoMinorVersionUpgrade: {
              type: "boolean"
            },
            SnapshotRetentionLimit: {
              type: "integer"
            },
            SnapshotWindow: {},
            NumNodeGroups: {
              type: "integer"
            },
            AutomaticFailover: {},
            NodeSnapshots: {
              type: "list",
              member: {
                locationName: "NodeSnapshot",
                type: "structure",
                members: {
                  CacheClusterId: {},
                  NodeGroupId: {},
                  CacheNodeId: {},
                  NodeGroupConfiguration: {
                    shape: "S1x"
                  },
                  CacheSize: {},
                  CacheNodeCreateTime: {
                    type: "timestamp"
                  },
                  SnapshotCreateTime: {
                    type: "timestamp"
                  }
                },
                wrapper: true
              }
            },
            KmsKeyId: {},
            ARN: {},
            DataTiering: {}
          },
          wrapper: true
        },
        S1x: {
          type: "structure",
          members: {
            NodeGroupId: {},
            Slots: {},
            ReplicaCount: {
              type: "integer"
            },
            PrimaryAvailabilityZone: {},
            ReplicaAvailabilityZones: {
              shape: "S1z"
            },
            PrimaryOutpostArn: {},
            ReplicaOutpostArns: {
              type: "list",
              member: {
                locationName: "OutpostArn"
              }
            }
          }
        },
        S1z: {
          type: "list",
          member: {
            locationName: "AvailabilityZone"
          }
        },
        S23: {
          type: "list",
          member: {
            locationName: "PreferredAvailabilityZone"
          }
        },
        S24: {
          type: "list",
          member: {
            locationName: "CacheSecurityGroupName"
          }
        },
        S25: {
          type: "list",
          member: {
            locationName: "SecurityGroupId"
          }
        },
        S26: {
          type: "list",
          member: {
            locationName: "SnapshotArn"
          }
        },
        S28: {
          type: "list",
          member: {
            locationName: "PreferredOutpostArn"
          }
        },
        S29: {
          type: "list",
          member: {
            locationName: "LogDeliveryConfigurationRequest",
            type: "structure",
            members: {
              LogType: {},
              DestinationType: {},
              DestinationDetails: {
                shape: "S13"
              },
              LogFormat: {},
              Enabled: {
                type: "boolean"
              }
            }
          }
        },
        S2c: {
          type: "structure",
          members: {
            CacheClusterId: {},
            ConfigurationEndpoint: {
              shape: "S1d"
            },
            ClientDownloadLandingPage: {},
            CacheNodeType: {},
            Engine: {},
            EngineVersion: {},
            CacheClusterStatus: {},
            NumCacheNodes: {
              type: "integer"
            },
            PreferredAvailabilityZone: {},
            PreferredOutpostArn: {},
            CacheClusterCreateTime: {
              type: "timestamp"
            },
            PreferredMaintenanceWindow: {},
            PendingModifiedValues: {
              type: "structure",
              members: {
                NumCacheNodes: {
                  type: "integer"
                },
                CacheNodeIdsToRemove: {
                  shape: "S2e"
                },
                EngineVersion: {},
                CacheNodeType: {},
                AuthTokenStatus: {},
                LogDeliveryConfigurations: {
                  shape: "Sz"
                },
                TransitEncryptionEnabled: {
                  type: "boolean"
                },
                TransitEncryptionMode: {}
              }
            },
            NotificationConfiguration: {
              type: "structure",
              members: {
                TopicArn: {},
                TopicStatus: {}
              }
            },
            CacheSecurityGroups: {
              type: "list",
              member: {
                locationName: "CacheSecurityGroup",
                type: "structure",
                members: {
                  CacheSecurityGroupName: {},
                  Status: {}
                }
              }
            },
            CacheParameterGroup: {
              type: "structure",
              members: {
                CacheParameterGroupName: {},
                ParameterApplyStatus: {},
                CacheNodeIdsToReboot: {
                  shape: "S2e"
                }
              }
            },
            CacheSubnetGroupName: {},
            CacheNodes: {
              type: "list",
              member: {
                locationName: "CacheNode",
                type: "structure",
                members: {
                  CacheNodeId: {},
                  CacheNodeStatus: {},
                  CacheNodeCreateTime: {
                    type: "timestamp"
                  },
                  Endpoint: {
                    shape: "S1d"
                  },
                  ParameterGroupStatus: {},
                  SourceCacheNodeId: {},
                  CustomerAvailabilityZone: {},
                  CustomerOutpostArn: {}
                }
              }
            },
            AutoMinorVersionUpgrade: {
              type: "boolean"
            },
            SecurityGroups: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  SecurityGroupId: {},
                  Status: {}
                }
              }
            },
            ReplicationGroupId: {},
            SnapshotRetentionLimit: {
              type: "integer"
            },
            SnapshotWindow: {},
            AuthTokenEnabled: {
              type: "boolean"
            },
            AuthTokenLastModifiedDate: {
              type: "timestamp"
            },
            TransitEncryptionEnabled: {
              type: "boolean"
            },
            AtRestEncryptionEnabled: {
              type: "boolean"
            },
            ARN: {},
            ReplicationGroupLogDeliveryEnabled: {
              type: "boolean"
            },
            LogDeliveryConfigurations: {
              shape: "S1m"
            },
            NetworkType: {},
            IpDiscovery: {},
            TransitEncryptionMode: {}
          },
          wrapper: true
        },
        S2e: {
          type: "list",
          member: {
            locationName: "CacheNodeId"
          }
        },
        S2p: {
          type: "structure",
          members: {
            CacheParameterGroupName: {},
            CacheParameterGroupFamily: {},
            Description: {},
            IsGlobal: {
              type: "boolean"
            },
            ARN: {}
          },
          wrapper: true
        },
        S2t: {
          type: "list",
          member: {
            locationName: "SubnetIdentifier"
          }
        },
        S2v: {
          type: "structure",
          members: {
            CacheSubnetGroupName: {},
            CacheSubnetGroupDescription: {},
            VpcId: {},
            Subnets: {
              type: "list",
              member: {
                locationName: "Subnet",
                type: "structure",
                members: {
                  SubnetIdentifier: {},
                  SubnetAvailabilityZone: {
                    type: "structure",
                    members: {
                      Name: {}
                    },
                    wrapper: true
                  },
                  SubnetOutpost: {
                    type: "structure",
                    members: {
                      SubnetOutpostArn: {}
                    }
                  },
                  SupportedNetworkTypes: {
                    shape: "S30"
                  }
                }
              }
            },
            ARN: {},
            SupportedNetworkTypes: {
              shape: "S30"
            }
          },
          wrapper: true
        },
        S30: {
          type: "list",
          member: {}
        },
        S33: {
          type: "structure",
          members: {
            GlobalReplicationGroupId: {},
            GlobalReplicationGroupDescription: {},
            Status: {},
            CacheNodeType: {},
            Engine: {},
            EngineVersion: {},
            Members: {
              type: "list",
              member: {
                locationName: "GlobalReplicationGroupMember",
                type: "structure",
                members: {
                  ReplicationGroupId: {},
                  ReplicationGroupRegion: {},
                  Role: {},
                  AutomaticFailover: {},
                  Status: {}
                },
                wrapper: true
              }
            },
            ClusterEnabled: {
              type: "boolean"
            },
            GlobalNodeGroups: {
              type: "list",
              member: {
                locationName: "GlobalNodeGroup",
                type: "structure",
                members: {
                  GlobalNodeGroupId: {},
                  Slots: {}
                }
              }
            },
            AuthTokenEnabled: {
              type: "boolean"
            },
            TransitEncryptionEnabled: {
              type: "boolean"
            },
            AtRestEncryptionEnabled: {
              type: "boolean"
            },
            ARN: {}
          },
          wrapper: true
        },
        S3i: {
          type: "list",
          member: {}
        },
        S3k: {
          type: "structure",
          members: {
            Type: {},
            Passwords: {
              shape: "S3i"
            }
          }
        },
        S3m: {
          type: "structure",
          members: {
            UserId: {},
            UserName: {},
            Status: {},
            Engine: {},
            MinimumEngineVersion: {},
            AccessString: {},
            UserGroupIds: {
              shape: "Sx"
            },
            Authentication: {
              type: "structure",
              members: {
                Type: {},
                PasswordCount: {
                  type: "integer"
                }
              }
            },
            ARN: {}
          }
        },
        S3q: {
          type: "list",
          member: {}
        },
        S3r: {
          type: "structure",
          members: {
            UserGroupId: {},
            Status: {},
            Engine: {},
            UserIds: {
              shape: "S3s"
            },
            MinimumEngineVersion: {},
            PendingChanges: {
              type: "structure",
              members: {
                UserIdsToRemove: {
                  shape: "S3s"
                },
                UserIdsToAdd: {
                  shape: "S3s"
                }
              }
            },
            ReplicationGroups: {
              type: "list",
              member: {}
            },
            ARN: {}
          }
        },
        S3s: {
          type: "list",
          member: {}
        },
        S3w: {
          type: "list",
          member: {
            locationName: "GlobalNodeGroupId"
          }
        },
        S3z: {
          type: "list",
          member: {
            locationName: "ConfigureShard",
            type: "structure",
            required: [
              "NodeGroupId",
              "NewReplicaCount"
            ],
            members: {
              NodeGroupId: {},
              NewReplicaCount: {
                type: "integer"
              },
              PreferredAvailabilityZones: {
                shape: "S23"
              },
              PreferredOutpostArns: {
                shape: "S28"
              }
            }
          }
        },
        S4s: {
          type: "list",
          member: {
            locationName: "Parameter",
            type: "structure",
            members: {
              ParameterName: {},
              ParameterValue: {},
              Description: {},
              Source: {},
              DataType: {},
              AllowedValues: {},
              IsModifiable: {
                type: "boolean"
              },
              MinimumEngineVersion: {},
              ChangeType: {}
            }
          }
        },
        S4v: {
          type: "list",
          member: {
            locationName: "CacheNodeTypeSpecificParameter",
            type: "structure",
            members: {
              ParameterName: {},
              Description: {},
              Source: {},
              DataType: {},
              AllowedValues: {},
              IsModifiable: {
                type: "boolean"
              },
              MinimumEngineVersion: {},
              CacheNodeTypeSpecificValues: {
                type: "list",
                member: {
                  locationName: "CacheNodeTypeSpecificValue",
                  type: "structure",
                  members: {
                    CacheNodeType: {},
                    Value: {}
                  }
                }
              },
              ChangeType: {}
            }
          }
        },
        S5m: {
          type: "structure",
          members: {
            ReservedCacheNodeId: {},
            ReservedCacheNodesOfferingId: {},
            CacheNodeType: {},
            StartTime: {
              type: "timestamp"
            },
            Duration: {
              type: "integer"
            },
            FixedPrice: {
              type: "double"
            },
            UsagePrice: {
              type: "double"
            },
            CacheNodeCount: {
              type: "integer"
            },
            ProductDescription: {},
            OfferingType: {},
            State: {},
            RecurringCharges: {
              shape: "S5n"
            },
            ReservationARN: {}
          },
          wrapper: true
        },
        S5n: {
          type: "list",
          member: {
            locationName: "RecurringCharge",
            type: "structure",
            members: {
              RecurringChargeAmount: {
                type: "double"
              },
              RecurringChargeFrequency: {}
            },
            wrapper: true
          }
        },
        S5u: {
          type: "list",
          member: {}
        },
        S71: {
          type: "list",
          member: {
            locationName: "ReshardingConfiguration",
            type: "structure",
            members: {
              NodeGroupId: {},
              PreferredAvailabilityZones: {
                shape: "S1z"
              }
            }
          }
        },
        S78: {
          type: "list",
          member: {}
        },
        S7e: {
          type: "list",
          member: {
            locationName: "ParameterNameValue",
            type: "structure",
            members: {
              ParameterName: {},
              ParameterValue: {}
            }
          }
        },
        S7g: {
          type: "structure",
          members: {
            CacheParameterGroupName: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/elasticache-2015-02-02.paginators.json
var require_elasticache_2015_02_02_paginators = __commonJS({
  "node_modules/aws-sdk/apis/elasticache-2015-02-02.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeCacheClusters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "CacheClusters"
        },
        DescribeCacheEngineVersions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "CacheEngineVersions"
        },
        DescribeCacheParameterGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "CacheParameterGroups"
        },
        DescribeCacheParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Parameters"
        },
        DescribeCacheSecurityGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "CacheSecurityGroups"
        },
        DescribeCacheSubnetGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "CacheSubnetGroups"
        },
        DescribeEngineDefaultParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "EngineDefaults.Marker",
          result_key: "EngineDefaults.Parameters"
        },
        DescribeEvents: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Events"
        },
        DescribeGlobalReplicationGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "GlobalReplicationGroups"
        },
        DescribeReplicationGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ReplicationGroups"
        },
        DescribeReservedCacheNodes: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ReservedCacheNodes"
        },
        DescribeReservedCacheNodesOfferings: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ReservedCacheNodesOfferings"
        },
        DescribeServiceUpdates: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ServiceUpdates"
        },
        DescribeSnapshots: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Snapshots"
        },
        DescribeUpdateActions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "UpdateActions"
        },
        DescribeUserGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "UserGroups"
        },
        DescribeUsers: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Users"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/elasticache-2015-02-02.waiters2.json
var require_elasticache_2015_02_02_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/elasticache-2015-02-02.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        CacheClusterAvailable: {
          acceptors: [
            {
              argument: "CacheClusters[].CacheClusterStatus",
              expected: "available",
              matcher: "pathAll",
              state: "success"
            },
            {
              argument: "CacheClusters[].CacheClusterStatus",
              expected: "deleted",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "CacheClusters[].CacheClusterStatus",
              expected: "deleting",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "CacheClusters[].CacheClusterStatus",
              expected: "incompatible-network",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "CacheClusters[].CacheClusterStatus",
              expected: "restore-failed",
              matcher: "pathAny",
              state: "failure"
            }
          ],
          delay: 15,
          description: "Wait until ElastiCache cluster is available.",
          maxAttempts: 40,
          operation: "DescribeCacheClusters"
        },
        CacheClusterDeleted: {
          acceptors: [
            {
              argument: "CacheClusters[].CacheClusterStatus",
              expected: "deleted",
              matcher: "pathAll",
              state: "success"
            },
            {
              expected: "CacheClusterNotFound",
              matcher: "error",
              state: "success"
            },
            {
              argument: "CacheClusters[].CacheClusterStatus",
              expected: "available",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "CacheClusters[].CacheClusterStatus",
              expected: "creating",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "CacheClusters[].CacheClusterStatus",
              expected: "incompatible-network",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "CacheClusters[].CacheClusterStatus",
              expected: "modifying",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "CacheClusters[].CacheClusterStatus",
              expected: "restore-failed",
              matcher: "pathAny",
              state: "failure"
            },
            {
              argument: "CacheClusters[].CacheClusterStatus",
              expected: "snapshotting",
              matcher: "pathAny",
              state: "failure"
            }
          ],
          delay: 15,
          description: "Wait until ElastiCache cluster is deleted.",
          maxAttempts: 40,
          operation: "DescribeCacheClusters"
        },
        ReplicationGroupAvailable: {
          acceptors: [
            {
              argument: "ReplicationGroups[].Status",
              expected: "available",
              matcher: "pathAll",
              state: "success"
            },
            {
              argument: "ReplicationGroups[].Status",
              expected: "deleted",
              matcher: "pathAny",
              state: "failure"
            }
          ],
          delay: 15,
          description: "Wait until ElastiCache replication group is available.",
          maxAttempts: 40,
          operation: "DescribeReplicationGroups"
        },
        ReplicationGroupDeleted: {
          acceptors: [
            {
              argument: "ReplicationGroups[].Status",
              expected: "deleted",
              matcher: "pathAll",
              state: "success"
            },
            {
              argument: "ReplicationGroups[].Status",
              expected: "available",
              matcher: "pathAny",
              state: "failure"
            },
            {
              expected: "ReplicationGroupNotFoundFault",
              matcher: "error",
              state: "success"
            }
          ],
          delay: 15,
          description: "Wait until ElastiCache replication group is deleted.",
          maxAttempts: 40,
          operation: "DescribeReplicationGroups"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/elasticache.js
var require_elasticache = __commonJS({
  "node_modules/aws-sdk/clients/elasticache.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["elasticache"] = {};
    AWS2.ElastiCache = Service.defineService("elasticache", ["2012-11-15*", "2014-03-24*", "2014-07-15*", "2014-09-30*", "2015-02-02"]);
    Object.defineProperty(apiLoader.services["elasticache"], "2015-02-02", {
      get: function get() {
        var model = require_elasticache_2015_02_02_min();
        model.paginators = require_elasticache_2015_02_02_paginators().pagination;
        model.waiters = require_elasticache_2015_02_02_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ElastiCache;
  }
});

// node_modules/aws-sdk/apis/elasticbeanstalk-2010-12-01.min.json
var require_elasticbeanstalk_2010_12_01_min = __commonJS({
  "node_modules/aws-sdk/apis/elasticbeanstalk-2010-12-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2010-12-01",
        endpointPrefix: "elasticbeanstalk",
        protocol: "query",
        serviceAbbreviation: "Elastic Beanstalk",
        serviceFullName: "AWS Elastic Beanstalk",
        serviceId: "Elastic Beanstalk",
        signatureVersion: "v4",
        uid: "elasticbeanstalk-2010-12-01",
        xmlNamespace: "http://elasticbeanstalk.amazonaws.com/docs/2010-12-01/"
      },
      operations: {
        AbortEnvironmentUpdate: {
          input: {
            type: "structure",
            members: {
              EnvironmentId: {},
              EnvironmentName: {}
            }
          }
        },
        ApplyEnvironmentManagedAction: {
          input: {
            type: "structure",
            required: [
              "ActionId"
            ],
            members: {
              EnvironmentName: {},
              EnvironmentId: {},
              ActionId: {}
            }
          },
          output: {
            resultWrapper: "ApplyEnvironmentManagedActionResult",
            type: "structure",
            members: {
              ActionId: {},
              ActionDescription: {},
              ActionType: {},
              Status: {}
            }
          }
        },
        AssociateEnvironmentOperationsRole: {
          input: {
            type: "structure",
            required: [
              "EnvironmentName",
              "OperationsRole"
            ],
            members: {
              EnvironmentName: {},
              OperationsRole: {}
            }
          }
        },
        CheckDNSAvailability: {
          input: {
            type: "structure",
            required: [
              "CNAMEPrefix"
            ],
            members: {
              CNAMEPrefix: {}
            }
          },
          output: {
            resultWrapper: "CheckDNSAvailabilityResult",
            type: "structure",
            members: {
              Available: {
                type: "boolean"
              },
              FullyQualifiedCNAME: {}
            }
          }
        },
        ComposeEnvironments: {
          input: {
            type: "structure",
            members: {
              ApplicationName: {},
              GroupName: {},
              VersionLabels: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            shape: "Sk",
            resultWrapper: "ComposeEnvironmentsResult"
          }
        },
        CreateApplication: {
          input: {
            type: "structure",
            required: [
              "ApplicationName"
            ],
            members: {
              ApplicationName: {},
              Description: {},
              ResourceLifecycleConfig: {
                shape: "S19"
              },
              Tags: {
                shape: "S1f"
              }
            }
          },
          output: {
            shape: "S1j",
            resultWrapper: "CreateApplicationResult"
          }
        },
        CreateApplicationVersion: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "VersionLabel"
            ],
            members: {
              ApplicationName: {},
              VersionLabel: {},
              Description: {},
              SourceBuildInformation: {
                shape: "S1p"
              },
              SourceBundle: {
                shape: "S1t"
              },
              BuildConfiguration: {
                type: "structure",
                required: [
                  "CodeBuildServiceRole",
                  "Image"
                ],
                members: {
                  ArtifactName: {},
                  CodeBuildServiceRole: {},
                  ComputeType: {},
                  Image: {},
                  TimeoutInMinutes: {
                    type: "integer"
                  }
                }
              },
              AutoCreateApplication: {
                type: "boolean"
              },
              Process: {
                type: "boolean"
              },
              Tags: {
                shape: "S1f"
              }
            }
          },
          output: {
            shape: "S21",
            resultWrapper: "CreateApplicationVersionResult"
          }
        },
        CreateConfigurationTemplate: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "TemplateName"
            ],
            members: {
              ApplicationName: {},
              TemplateName: {},
              SolutionStackName: {},
              PlatformArn: {},
              SourceConfiguration: {
                type: "structure",
                members: {
                  ApplicationName: {},
                  TemplateName: {}
                }
              },
              EnvironmentId: {},
              Description: {},
              OptionSettings: {
                shape: "S27"
              },
              Tags: {
                shape: "S1f"
              }
            }
          },
          output: {
            shape: "S2d",
            resultWrapper: "CreateConfigurationTemplateResult"
          }
        },
        CreateEnvironment: {
          input: {
            type: "structure",
            required: [
              "ApplicationName"
            ],
            members: {
              ApplicationName: {},
              EnvironmentName: {},
              GroupName: {},
              Description: {},
              CNAMEPrefix: {},
              Tier: {
                shape: "S13"
              },
              Tags: {
                shape: "S1f"
              },
              VersionLabel: {},
              TemplateName: {},
              SolutionStackName: {},
              PlatformArn: {},
              OptionSettings: {
                shape: "S27"
              },
              OptionsToRemove: {
                shape: "S2g"
              },
              OperationsRole: {}
            }
          },
          output: {
            shape: "Sm",
            resultWrapper: "CreateEnvironmentResult"
          }
        },
        CreatePlatformVersion: {
          input: {
            type: "structure",
            required: [
              "PlatformName",
              "PlatformVersion",
              "PlatformDefinitionBundle"
            ],
            members: {
              PlatformName: {},
              PlatformVersion: {},
              PlatformDefinitionBundle: {
                shape: "S1t"
              },
              EnvironmentName: {},
              OptionSettings: {
                shape: "S27"
              },
              Tags: {
                shape: "S1f"
              }
            }
          },
          output: {
            resultWrapper: "CreatePlatformVersionResult",
            type: "structure",
            members: {
              PlatformSummary: {
                shape: "S2m"
              },
              Builder: {
                type: "structure",
                members: {
                  ARN: {}
                }
              }
            }
          }
        },
        CreateStorageLocation: {
          output: {
            resultWrapper: "CreateStorageLocationResult",
            type: "structure",
            members: {
              S3Bucket: {}
            }
          }
        },
        DeleteApplication: {
          input: {
            type: "structure",
            required: [
              "ApplicationName"
            ],
            members: {
              ApplicationName: {},
              TerminateEnvByForce: {
                type: "boolean"
              }
            }
          }
        },
        DeleteApplicationVersion: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "VersionLabel"
            ],
            members: {
              ApplicationName: {},
              VersionLabel: {},
              DeleteSourceBundle: {
                type: "boolean"
              }
            }
          }
        },
        DeleteConfigurationTemplate: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "TemplateName"
            ],
            members: {
              ApplicationName: {},
              TemplateName: {}
            }
          }
        },
        DeleteEnvironmentConfiguration: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "EnvironmentName"
            ],
            members: {
              ApplicationName: {},
              EnvironmentName: {}
            }
          }
        },
        DeletePlatformVersion: {
          input: {
            type: "structure",
            members: {
              PlatformArn: {}
            }
          },
          output: {
            resultWrapper: "DeletePlatformVersionResult",
            type: "structure",
            members: {
              PlatformSummary: {
                shape: "S2m"
              }
            }
          }
        },
        DescribeAccountAttributes: {
          output: {
            resultWrapper: "DescribeAccountAttributesResult",
            type: "structure",
            members: {
              ResourceQuotas: {
                type: "structure",
                members: {
                  ApplicationQuota: {
                    shape: "S3c"
                  },
                  ApplicationVersionQuota: {
                    shape: "S3c"
                  },
                  EnvironmentQuota: {
                    shape: "S3c"
                  },
                  ConfigurationTemplateQuota: {
                    shape: "S3c"
                  },
                  CustomPlatformQuota: {
                    shape: "S3c"
                  }
                }
              }
            }
          }
        },
        DescribeApplicationVersions: {
          input: {
            type: "structure",
            members: {
              ApplicationName: {},
              VersionLabels: {
                shape: "S1m"
              },
              MaxRecords: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "DescribeApplicationVersionsResult",
            type: "structure",
            members: {
              ApplicationVersions: {
                type: "list",
                member: {
                  shape: "S22"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeApplications: {
          input: {
            type: "structure",
            members: {
              ApplicationNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "DescribeApplicationsResult",
            type: "structure",
            members: {
              Applications: {
                type: "list",
                member: {
                  shape: "S1k"
                }
              }
            }
          }
        },
        DescribeConfigurationOptions: {
          input: {
            type: "structure",
            members: {
              ApplicationName: {},
              TemplateName: {},
              EnvironmentName: {},
              SolutionStackName: {},
              PlatformArn: {},
              Options: {
                shape: "S2g"
              }
            }
          },
          output: {
            resultWrapper: "DescribeConfigurationOptionsResult",
            type: "structure",
            members: {
              SolutionStackName: {},
              PlatformArn: {},
              Options: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Namespace: {},
                    Name: {},
                    DefaultValue: {},
                    ChangeSeverity: {},
                    UserDefined: {
                      type: "boolean"
                    },
                    ValueType: {},
                    ValueOptions: {
                      type: "list",
                      member: {}
                    },
                    MinValue: {
                      type: "integer"
                    },
                    MaxValue: {
                      type: "integer"
                    },
                    MaxLength: {
                      type: "integer"
                    },
                    Regex: {
                      type: "structure",
                      members: {
                        Pattern: {},
                        Label: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeConfigurationSettings: {
          input: {
            type: "structure",
            required: [
              "ApplicationName"
            ],
            members: {
              ApplicationName: {},
              TemplateName: {},
              EnvironmentName: {}
            }
          },
          output: {
            resultWrapper: "DescribeConfigurationSettingsResult",
            type: "structure",
            members: {
              ConfigurationSettings: {
                type: "list",
                member: {
                  shape: "S2d"
                }
              }
            }
          }
        },
        DescribeEnvironmentHealth: {
          input: {
            type: "structure",
            members: {
              EnvironmentName: {},
              EnvironmentId: {},
              AttributeNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "DescribeEnvironmentHealthResult",
            type: "structure",
            members: {
              EnvironmentName: {},
              HealthStatus: {},
              Status: {},
              Color: {},
              Causes: {
                shape: "S48"
              },
              ApplicationMetrics: {
                shape: "S4a"
              },
              InstancesHealth: {
                type: "structure",
                members: {
                  NoData: {
                    type: "integer"
                  },
                  Unknown: {
                    type: "integer"
                  },
                  Pending: {
                    type: "integer"
                  },
                  Ok: {
                    type: "integer"
                  },
                  Info: {
                    type: "integer"
                  },
                  Warning: {
                    type: "integer"
                  },
                  Degraded: {
                    type: "integer"
                  },
                  Severe: {
                    type: "integer"
                  }
                }
              },
              RefreshedAt: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeEnvironmentManagedActionHistory: {
          input: {
            type: "structure",
            members: {
              EnvironmentId: {},
              EnvironmentName: {},
              NextToken: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeEnvironmentManagedActionHistoryResult",
            type: "structure",
            members: {
              ManagedActionHistoryItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ActionId: {},
                    ActionType: {},
                    ActionDescription: {},
                    FailureType: {},
                    Status: {},
                    FailureDescription: {},
                    ExecutedTime: {
                      type: "timestamp"
                    },
                    FinishedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeEnvironmentManagedActions: {
          input: {
            type: "structure",
            members: {
              EnvironmentName: {},
              EnvironmentId: {},
              Status: {}
            }
          },
          output: {
            resultWrapper: "DescribeEnvironmentManagedActionsResult",
            type: "structure",
            members: {
              ManagedActions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ActionId: {},
                    ActionDescription: {},
                    ActionType: {},
                    Status: {},
                    WindowStartTime: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeEnvironmentResources: {
          input: {
            type: "structure",
            members: {
              EnvironmentId: {},
              EnvironmentName: {}
            }
          },
          output: {
            resultWrapper: "DescribeEnvironmentResourcesResult",
            type: "structure",
            members: {
              EnvironmentResources: {
                type: "structure",
                members: {
                  EnvironmentName: {},
                  AutoScalingGroups: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {}
                      }
                    }
                  },
                  Instances: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Id: {}
                      }
                    }
                  },
                  LaunchConfigurations: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {}
                      }
                    }
                  },
                  LaunchTemplates: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Id: {}
                      }
                    }
                  },
                  LoadBalancers: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {}
                      }
                    }
                  },
                  Triggers: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {}
                      }
                    }
                  },
                  Queues: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {},
                        URL: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeEnvironments: {
          input: {
            type: "structure",
            members: {
              ApplicationName: {},
              VersionLabel: {},
              EnvironmentIds: {
                type: "list",
                member: {}
              },
              EnvironmentNames: {
                type: "list",
                member: {}
              },
              IncludeDeleted: {
                type: "boolean"
              },
              IncludedDeletedBackTo: {
                type: "timestamp"
              },
              MaxRecords: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            shape: "Sk",
            resultWrapper: "DescribeEnvironmentsResult"
          }
        },
        DescribeEvents: {
          input: {
            type: "structure",
            members: {
              ApplicationName: {},
              VersionLabel: {},
              TemplateName: {},
              EnvironmentId: {},
              EnvironmentName: {},
              PlatformArn: {},
              RequestId: {},
              Severity: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              MaxRecords: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventsResult",
            type: "structure",
            members: {
              Events: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EventDate: {
                      type: "timestamp"
                    },
                    Message: {},
                    ApplicationName: {},
                    VersionLabel: {},
                    TemplateName: {},
                    EnvironmentName: {},
                    PlatformArn: {},
                    RequestId: {},
                    Severity: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeInstancesHealth: {
          input: {
            type: "structure",
            members: {
              EnvironmentName: {},
              EnvironmentId: {},
              AttributeNames: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "DescribeInstancesHealthResult",
            type: "structure",
            members: {
              InstanceHealthList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InstanceId: {},
                    HealthStatus: {},
                    Color: {},
                    Causes: {
                      shape: "S48"
                    },
                    LaunchedAt: {
                      type: "timestamp"
                    },
                    ApplicationMetrics: {
                      shape: "S4a"
                    },
                    System: {
                      type: "structure",
                      members: {
                        CPUUtilization: {
                          type: "structure",
                          members: {
                            User: {
                              type: "double"
                            },
                            Nice: {
                              type: "double"
                            },
                            System: {
                              type: "double"
                            },
                            Idle: {
                              type: "double"
                            },
                            IOWait: {
                              type: "double"
                            },
                            IRQ: {
                              type: "double"
                            },
                            SoftIRQ: {
                              type: "double"
                            },
                            Privileged: {
                              type: "double"
                            }
                          }
                        },
                        LoadAverage: {
                          type: "list",
                          member: {
                            type: "double"
                          }
                        }
                      }
                    },
                    Deployment: {
                      type: "structure",
                      members: {
                        VersionLabel: {},
                        DeploymentId: {
                          type: "long"
                        },
                        Status: {},
                        DeploymentTime: {
                          type: "timestamp"
                        }
                      }
                    },
                    AvailabilityZone: {},
                    InstanceType: {}
                  }
                }
              },
              RefreshedAt: {
                type: "timestamp"
              },
              NextToken: {}
            }
          }
        },
        DescribePlatformVersion: {
          input: {
            type: "structure",
            members: {
              PlatformArn: {}
            }
          },
          output: {
            resultWrapper: "DescribePlatformVersionResult",
            type: "structure",
            members: {
              PlatformDescription: {
                type: "structure",
                members: {
                  PlatformArn: {},
                  PlatformOwner: {},
                  PlatformName: {},
                  PlatformVersion: {},
                  SolutionStackName: {},
                  PlatformStatus: {},
                  DateCreated: {
                    type: "timestamp"
                  },
                  DateUpdated: {
                    type: "timestamp"
                  },
                  PlatformCategory: {},
                  Description: {},
                  Maintainer: {},
                  OperatingSystemName: {},
                  OperatingSystemVersion: {},
                  ProgrammingLanguages: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {},
                        Version: {}
                      }
                    }
                  },
                  Frameworks: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {},
                        Version: {}
                      }
                    }
                  },
                  CustomAmiList: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        VirtualizationType: {},
                        ImageId: {}
                      }
                    }
                  },
                  SupportedTierList: {
                    shape: "S2s"
                  },
                  SupportedAddonList: {
                    shape: "S2u"
                  },
                  PlatformLifecycleState: {},
                  PlatformBranchName: {},
                  PlatformBranchLifecycleState: {}
                }
              }
            }
          }
        },
        DisassociateEnvironmentOperationsRole: {
          input: {
            type: "structure",
            required: [
              "EnvironmentName"
            ],
            members: {
              EnvironmentName: {}
            }
          }
        },
        ListAvailableSolutionStacks: {
          output: {
            resultWrapper: "ListAvailableSolutionStacksResult",
            type: "structure",
            members: {
              SolutionStacks: {
                type: "list",
                member: {}
              },
              SolutionStackDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SolutionStackName: {},
                    PermittedFileTypes: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              }
            }
          }
        },
        ListPlatformBranches: {
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Attribute: {},
                    Operator: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxRecords: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "ListPlatformBranchesResult",
            type: "structure",
            members: {
              PlatformBranchSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PlatformName: {},
                    BranchName: {},
                    LifecycleState: {},
                    BranchOrder: {
                      type: "integer"
                    },
                    SupportedTierList: {
                      shape: "S2s"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPlatformVersions: {
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    Operator: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxRecords: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "ListPlatformVersionsResult",
            type: "structure",
            members: {
              PlatformSummaryList: {
                type: "list",
                member: {
                  shape: "S2m"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            resultWrapper: "ListTagsForResourceResult",
            type: "structure",
            members: {
              ResourceArn: {},
              ResourceTags: {
                shape: "S7g"
              }
            }
          }
        },
        RebuildEnvironment: {
          input: {
            type: "structure",
            members: {
              EnvironmentId: {},
              EnvironmentName: {}
            }
          }
        },
        RequestEnvironmentInfo: {
          input: {
            type: "structure",
            required: [
              "InfoType"
            ],
            members: {
              EnvironmentId: {},
              EnvironmentName: {},
              InfoType: {}
            }
          }
        },
        RestartAppServer: {
          input: {
            type: "structure",
            members: {
              EnvironmentId: {},
              EnvironmentName: {}
            }
          }
        },
        RetrieveEnvironmentInfo: {
          input: {
            type: "structure",
            required: [
              "InfoType"
            ],
            members: {
              EnvironmentId: {},
              EnvironmentName: {},
              InfoType: {}
            }
          },
          output: {
            resultWrapper: "RetrieveEnvironmentInfoResult",
            type: "structure",
            members: {
              EnvironmentInfo: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InfoType: {},
                    Ec2InstanceId: {},
                    SampleTimestamp: {
                      type: "timestamp"
                    },
                    Message: {}
                  }
                }
              }
            }
          }
        },
        SwapEnvironmentCNAMEs: {
          input: {
            type: "structure",
            members: {
              SourceEnvironmentId: {},
              SourceEnvironmentName: {},
              DestinationEnvironmentId: {},
              DestinationEnvironmentName: {}
            }
          }
        },
        TerminateEnvironment: {
          input: {
            type: "structure",
            members: {
              EnvironmentId: {},
              EnvironmentName: {},
              TerminateResources: {
                type: "boolean"
              },
              ForceTerminate: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "Sm",
            resultWrapper: "TerminateEnvironmentResult"
          }
        },
        UpdateApplication: {
          input: {
            type: "structure",
            required: [
              "ApplicationName"
            ],
            members: {
              ApplicationName: {},
              Description: {}
            }
          },
          output: {
            shape: "S1j",
            resultWrapper: "UpdateApplicationResult"
          }
        },
        UpdateApplicationResourceLifecycle: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "ResourceLifecycleConfig"
            ],
            members: {
              ApplicationName: {},
              ResourceLifecycleConfig: {
                shape: "S19"
              }
            }
          },
          output: {
            resultWrapper: "UpdateApplicationResourceLifecycleResult",
            type: "structure",
            members: {
              ApplicationName: {},
              ResourceLifecycleConfig: {
                shape: "S19"
              }
            }
          }
        },
        UpdateApplicationVersion: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "VersionLabel"
            ],
            members: {
              ApplicationName: {},
              VersionLabel: {},
              Description: {}
            }
          },
          output: {
            shape: "S21",
            resultWrapper: "UpdateApplicationVersionResult"
          }
        },
        UpdateConfigurationTemplate: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "TemplateName"
            ],
            members: {
              ApplicationName: {},
              TemplateName: {},
              Description: {},
              OptionSettings: {
                shape: "S27"
              },
              OptionsToRemove: {
                shape: "S2g"
              }
            }
          },
          output: {
            shape: "S2d",
            resultWrapper: "UpdateConfigurationTemplateResult"
          }
        },
        UpdateEnvironment: {
          input: {
            type: "structure",
            members: {
              ApplicationName: {},
              EnvironmentId: {},
              EnvironmentName: {},
              GroupName: {},
              Description: {},
              Tier: {
                shape: "S13"
              },
              VersionLabel: {},
              TemplateName: {},
              SolutionStackName: {},
              PlatformArn: {},
              OptionSettings: {
                shape: "S27"
              },
              OptionsToRemove: {
                shape: "S2g"
              }
            }
          },
          output: {
            shape: "Sm",
            resultWrapper: "UpdateEnvironmentResult"
          }
        },
        UpdateTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              TagsToAdd: {
                shape: "S7g"
              },
              TagsToRemove: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ValidateConfigurationSettings: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "OptionSettings"
            ],
            members: {
              ApplicationName: {},
              TemplateName: {},
              EnvironmentName: {},
              OptionSettings: {
                shape: "S27"
              }
            }
          },
          output: {
            resultWrapper: "ValidateConfigurationSettingsResult",
            type: "structure",
            members: {
              Messages: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Message: {},
                    Severity: {},
                    Namespace: {},
                    OptionName: {}
                  }
                }
              }
            }
          }
        }
      },
      shapes: {
        Sk: {
          type: "structure",
          members: {
            Environments: {
              type: "list",
              member: {
                shape: "Sm"
              }
            },
            NextToken: {}
          }
        },
        Sm: {
          type: "structure",
          members: {
            EnvironmentName: {},
            EnvironmentId: {},
            ApplicationName: {},
            VersionLabel: {},
            SolutionStackName: {},
            PlatformArn: {},
            TemplateName: {},
            Description: {},
            EndpointURL: {},
            CNAME: {},
            DateCreated: {
              type: "timestamp"
            },
            DateUpdated: {
              type: "timestamp"
            },
            Status: {},
            AbortableOperationInProgress: {
              type: "boolean"
            },
            Health: {},
            HealthStatus: {},
            Resources: {
              type: "structure",
              members: {
                LoadBalancer: {
                  type: "structure",
                  members: {
                    LoadBalancerName: {},
                    Domain: {},
                    Listeners: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Protocol: {},
                          Port: {
                            type: "integer"
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            Tier: {
              shape: "S13"
            },
            EnvironmentLinks: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  LinkName: {},
                  EnvironmentName: {}
                }
              }
            },
            EnvironmentArn: {},
            OperationsRole: {}
          }
        },
        S13: {
          type: "structure",
          members: {
            Name: {},
            Type: {},
            Version: {}
          }
        },
        S19: {
          type: "structure",
          members: {
            ServiceRole: {},
            VersionLifecycleConfig: {
              type: "structure",
              members: {
                MaxCountRule: {
                  type: "structure",
                  required: [
                    "Enabled"
                  ],
                  members: {
                    Enabled: {
                      type: "boolean"
                    },
                    MaxCount: {
                      type: "integer"
                    },
                    DeleteSourceFromS3: {
                      type: "boolean"
                    }
                  }
                },
                MaxAgeRule: {
                  type: "structure",
                  required: [
                    "Enabled"
                  ],
                  members: {
                    Enabled: {
                      type: "boolean"
                    },
                    MaxAgeInDays: {
                      type: "integer"
                    },
                    DeleteSourceFromS3: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        S1f: {
          type: "list",
          member: {
            shape: "S1g"
          }
        },
        S1g: {
          type: "structure",
          members: {
            Key: {},
            Value: {}
          }
        },
        S1j: {
          type: "structure",
          members: {
            Application: {
              shape: "S1k"
            }
          }
        },
        S1k: {
          type: "structure",
          members: {
            ApplicationArn: {},
            ApplicationName: {},
            Description: {},
            DateCreated: {
              type: "timestamp"
            },
            DateUpdated: {
              type: "timestamp"
            },
            Versions: {
              shape: "S1m"
            },
            ConfigurationTemplates: {
              type: "list",
              member: {}
            },
            ResourceLifecycleConfig: {
              shape: "S19"
            }
          }
        },
        S1m: {
          type: "list",
          member: {}
        },
        S1p: {
          type: "structure",
          required: [
            "SourceType",
            "SourceRepository",
            "SourceLocation"
          ],
          members: {
            SourceType: {},
            SourceRepository: {},
            SourceLocation: {}
          }
        },
        S1t: {
          type: "structure",
          members: {
            S3Bucket: {},
            S3Key: {}
          }
        },
        S21: {
          type: "structure",
          members: {
            ApplicationVersion: {
              shape: "S22"
            }
          }
        },
        S22: {
          type: "structure",
          members: {
            ApplicationVersionArn: {},
            ApplicationName: {},
            Description: {},
            VersionLabel: {},
            SourceBuildInformation: {
              shape: "S1p"
            },
            BuildArn: {},
            SourceBundle: {
              shape: "S1t"
            },
            DateCreated: {
              type: "timestamp"
            },
            DateUpdated: {
              type: "timestamp"
            },
            Status: {}
          }
        },
        S27: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ResourceName: {},
              Namespace: {},
              OptionName: {},
              Value: {}
            }
          }
        },
        S2d: {
          type: "structure",
          members: {
            SolutionStackName: {},
            PlatformArn: {},
            ApplicationName: {},
            TemplateName: {},
            Description: {},
            EnvironmentName: {},
            DeploymentStatus: {},
            DateCreated: {
              type: "timestamp"
            },
            DateUpdated: {
              type: "timestamp"
            },
            OptionSettings: {
              shape: "S27"
            }
          }
        },
        S2g: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ResourceName: {},
              Namespace: {},
              OptionName: {}
            }
          }
        },
        S2m: {
          type: "structure",
          members: {
            PlatformArn: {},
            PlatformOwner: {},
            PlatformStatus: {},
            PlatformCategory: {},
            OperatingSystemName: {},
            OperatingSystemVersion: {},
            SupportedTierList: {
              shape: "S2s"
            },
            SupportedAddonList: {
              shape: "S2u"
            },
            PlatformLifecycleState: {},
            PlatformVersion: {},
            PlatformBranchName: {},
            PlatformBranchLifecycleState: {}
          }
        },
        S2s: {
          type: "list",
          member: {}
        },
        S2u: {
          type: "list",
          member: {}
        },
        S3c: {
          type: "structure",
          members: {
            Maximum: {
              type: "integer"
            }
          }
        },
        S48: {
          type: "list",
          member: {}
        },
        S4a: {
          type: "structure",
          members: {
            Duration: {
              type: "integer"
            },
            RequestCount: {
              type: "integer"
            },
            StatusCodes: {
              type: "structure",
              members: {
                Status2xx: {
                  type: "integer"
                },
                Status3xx: {
                  type: "integer"
                },
                Status4xx: {
                  type: "integer"
                },
                Status5xx: {
                  type: "integer"
                }
              }
            },
            Latency: {
              type: "structure",
              members: {
                P999: {
                  type: "double"
                },
                P99: {
                  type: "double"
                },
                P95: {
                  type: "double"
                },
                P90: {
                  type: "double"
                },
                P85: {
                  type: "double"
                },
                P75: {
                  type: "double"
                },
                P50: {
                  type: "double"
                },
                P10: {
                  type: "double"
                }
              }
            }
          }
        },
        S7g: {
          type: "list",
          member: {
            shape: "S1g"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/elasticbeanstalk-2010-12-01.paginators.json
var require_elasticbeanstalk_2010_12_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/elasticbeanstalk-2010-12-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeApplicationVersions: {
          result_key: "ApplicationVersions"
        },
        DescribeApplications: {
          result_key: "Applications"
        },
        DescribeConfigurationOptions: {
          result_key: "Options"
        },
        DescribeEnvironmentManagedActionHistory: {
          input_token: "NextToken",
          limit_key: "MaxItems",
          output_token: "NextToken",
          result_key: "ManagedActionHistoryItems"
        },
        DescribeEnvironments: {
          result_key: "Environments"
        },
        DescribeEvents: {
          input_token: "NextToken",
          limit_key: "MaxRecords",
          output_token: "NextToken",
          result_key: "Events"
        },
        ListAvailableSolutionStacks: {
          result_key: "SolutionStacks"
        },
        ListPlatformBranches: {
          input_token: "NextToken",
          limit_key: "MaxRecords",
          output_token: "NextToken"
        },
        ListPlatformVersions: {
          input_token: "NextToken",
          limit_key: "MaxRecords",
          output_token: "NextToken",
          result_key: "PlatformSummaryList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/elasticbeanstalk-2010-12-01.waiters2.json
var require_elasticbeanstalk_2010_12_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/elasticbeanstalk-2010-12-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        EnvironmentExists: {
          delay: 20,
          maxAttempts: 20,
          operation: "DescribeEnvironments",
          acceptors: [
            {
              state: "success",
              matcher: "pathAll",
              argument: "Environments[].Status",
              expected: "Ready"
            },
            {
              state: "retry",
              matcher: "pathAll",
              argument: "Environments[].Status",
              expected: "Launching"
            }
          ]
        },
        EnvironmentUpdated: {
          delay: 20,
          maxAttempts: 20,
          operation: "DescribeEnvironments",
          acceptors: [
            {
              state: "success",
              matcher: "pathAll",
              argument: "Environments[].Status",
              expected: "Ready"
            },
            {
              state: "retry",
              matcher: "pathAll",
              argument: "Environments[].Status",
              expected: "Updating"
            }
          ]
        },
        EnvironmentTerminated: {
          delay: 20,
          maxAttempts: 20,
          operation: "DescribeEnvironments",
          acceptors: [
            {
              state: "success",
              matcher: "pathAll",
              argument: "Environments[].Status",
              expected: "Terminated"
            },
            {
              state: "retry",
              matcher: "pathAll",
              argument: "Environments[].Status",
              expected: "Terminating"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/elasticbeanstalk.js
var require_elasticbeanstalk = __commonJS({
  "node_modules/aws-sdk/clients/elasticbeanstalk.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["elasticbeanstalk"] = {};
    AWS2.ElasticBeanstalk = Service.defineService("elasticbeanstalk", ["2010-12-01"]);
    Object.defineProperty(apiLoader.services["elasticbeanstalk"], "2010-12-01", {
      get: function get() {
        var model = require_elasticbeanstalk_2010_12_01_min();
        model.paginators = require_elasticbeanstalk_2010_12_01_paginators().pagination;
        model.waiters = require_elasticbeanstalk_2010_12_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ElasticBeanstalk;
  }
});

// node_modules/aws-sdk/apis/elasticloadbalancing-2012-06-01.min.json
var require_elasticloadbalancing_2012_06_01_min = __commonJS({
  "node_modules/aws-sdk/apis/elasticloadbalancing-2012-06-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2012-06-01",
        endpointPrefix: "elasticloadbalancing",
        protocol: "query",
        serviceFullName: "Elastic Load Balancing",
        serviceId: "Elastic Load Balancing",
        signatureVersion: "v4",
        uid: "elasticloadbalancing-2012-06-01",
        xmlNamespace: "http://elasticloadbalancing.amazonaws.com/doc/2012-06-01/"
      },
      operations: {
        AddTags: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerNames",
              "Tags"
            ],
            members: {
              LoadBalancerNames: {
                shape: "S2"
              },
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            resultWrapper: "AddTagsResult",
            type: "structure",
            members: {}
          }
        },
        ApplySecurityGroupsToLoadBalancer: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "SecurityGroups"
            ],
            members: {
              LoadBalancerName: {},
              SecurityGroups: {
                shape: "Sa"
              }
            }
          },
          output: {
            resultWrapper: "ApplySecurityGroupsToLoadBalancerResult",
            type: "structure",
            members: {
              SecurityGroups: {
                shape: "Sa"
              }
            }
          }
        },
        AttachLoadBalancerToSubnets: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "Subnets"
            ],
            members: {
              LoadBalancerName: {},
              Subnets: {
                shape: "Se"
              }
            }
          },
          output: {
            resultWrapper: "AttachLoadBalancerToSubnetsResult",
            type: "structure",
            members: {
              Subnets: {
                shape: "Se"
              }
            }
          }
        },
        ConfigureHealthCheck: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "HealthCheck"
            ],
            members: {
              LoadBalancerName: {},
              HealthCheck: {
                shape: "Si"
              }
            }
          },
          output: {
            resultWrapper: "ConfigureHealthCheckResult",
            type: "structure",
            members: {
              HealthCheck: {
                shape: "Si"
              }
            }
          }
        },
        CreateAppCookieStickinessPolicy: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "PolicyName",
              "CookieName"
            ],
            members: {
              LoadBalancerName: {},
              PolicyName: {},
              CookieName: {}
            }
          },
          output: {
            resultWrapper: "CreateAppCookieStickinessPolicyResult",
            type: "structure",
            members: {}
          }
        },
        CreateLBCookieStickinessPolicy: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "PolicyName"
            ],
            members: {
              LoadBalancerName: {},
              PolicyName: {},
              CookieExpirationPeriod: {
                type: "long"
              }
            }
          },
          output: {
            resultWrapper: "CreateLBCookieStickinessPolicyResult",
            type: "structure",
            members: {}
          }
        },
        CreateLoadBalancer: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "Listeners"
            ],
            members: {
              LoadBalancerName: {},
              Listeners: {
                shape: "Sx"
              },
              AvailabilityZones: {
                shape: "S13"
              },
              Subnets: {
                shape: "Se"
              },
              SecurityGroups: {
                shape: "Sa"
              },
              Scheme: {},
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            resultWrapper: "CreateLoadBalancerResult",
            type: "structure",
            members: {
              DNSName: {}
            }
          }
        },
        CreateLoadBalancerListeners: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "Listeners"
            ],
            members: {
              LoadBalancerName: {},
              Listeners: {
                shape: "Sx"
              }
            }
          },
          output: {
            resultWrapper: "CreateLoadBalancerListenersResult",
            type: "structure",
            members: {}
          }
        },
        CreateLoadBalancerPolicy: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "PolicyName",
              "PolicyTypeName"
            ],
            members: {
              LoadBalancerName: {},
              PolicyName: {},
              PolicyTypeName: {},
              PolicyAttributes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AttributeName: {},
                    AttributeValue: {}
                  }
                }
              }
            }
          },
          output: {
            resultWrapper: "CreateLoadBalancerPolicyResult",
            type: "structure",
            members: {}
          }
        },
        DeleteLoadBalancer: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName"
            ],
            members: {
              LoadBalancerName: {}
            }
          },
          output: {
            resultWrapper: "DeleteLoadBalancerResult",
            type: "structure",
            members: {}
          }
        },
        DeleteLoadBalancerListeners: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "LoadBalancerPorts"
            ],
            members: {
              LoadBalancerName: {},
              LoadBalancerPorts: {
                type: "list",
                member: {
                  type: "integer"
                }
              }
            }
          },
          output: {
            resultWrapper: "DeleteLoadBalancerListenersResult",
            type: "structure",
            members: {}
          }
        },
        DeleteLoadBalancerPolicy: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "PolicyName"
            ],
            members: {
              LoadBalancerName: {},
              PolicyName: {}
            }
          },
          output: {
            resultWrapper: "DeleteLoadBalancerPolicyResult",
            type: "structure",
            members: {}
          }
        },
        DeregisterInstancesFromLoadBalancer: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "Instances"
            ],
            members: {
              LoadBalancerName: {},
              Instances: {
                shape: "S1p"
              }
            }
          },
          output: {
            resultWrapper: "DeregisterInstancesFromLoadBalancerResult",
            type: "structure",
            members: {
              Instances: {
                shape: "S1p"
              }
            }
          }
        },
        DescribeAccountLimits: {
          input: {
            type: "structure",
            members: {
              Marker: {},
              PageSize: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeAccountLimitsResult",
            type: "structure",
            members: {
              Limits: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Max: {}
                  }
                }
              },
              NextMarker: {}
            }
          }
        },
        DescribeInstanceHealth: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName"
            ],
            members: {
              LoadBalancerName: {},
              Instances: {
                shape: "S1p"
              }
            }
          },
          output: {
            resultWrapper: "DescribeInstanceHealthResult",
            type: "structure",
            members: {
              InstanceStates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InstanceId: {},
                    State: {},
                    ReasonCode: {},
                    Description: {}
                  }
                }
              }
            }
          }
        },
        DescribeLoadBalancerAttributes: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName"
            ],
            members: {
              LoadBalancerName: {}
            }
          },
          output: {
            resultWrapper: "DescribeLoadBalancerAttributesResult",
            type: "structure",
            members: {
              LoadBalancerAttributes: {
                shape: "S2a"
              }
            }
          }
        },
        DescribeLoadBalancerPolicies: {
          input: {
            type: "structure",
            members: {
              LoadBalancerName: {},
              PolicyNames: {
                shape: "S2s"
              }
            }
          },
          output: {
            resultWrapper: "DescribeLoadBalancerPoliciesResult",
            type: "structure",
            members: {
              PolicyDescriptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PolicyName: {},
                    PolicyTypeName: {},
                    PolicyAttributeDescriptions: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          AttributeName: {},
                          AttributeValue: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeLoadBalancerPolicyTypes: {
          input: {
            type: "structure",
            members: {
              PolicyTypeNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "DescribeLoadBalancerPolicyTypesResult",
            type: "structure",
            members: {
              PolicyTypeDescriptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PolicyTypeName: {},
                    Description: {},
                    PolicyAttributeTypeDescriptions: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          AttributeName: {},
                          AttributeType: {},
                          Description: {},
                          DefaultValue: {},
                          Cardinality: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeLoadBalancers: {
          input: {
            type: "structure",
            members: {
              LoadBalancerNames: {
                shape: "S2"
              },
              Marker: {},
              PageSize: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeLoadBalancersResult",
            type: "structure",
            members: {
              LoadBalancerDescriptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LoadBalancerName: {},
                    DNSName: {},
                    CanonicalHostedZoneName: {},
                    CanonicalHostedZoneNameID: {},
                    ListenerDescriptions: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Listener: {
                            shape: "Sy"
                          },
                          PolicyNames: {
                            shape: "S2s"
                          }
                        }
                      }
                    },
                    Policies: {
                      type: "structure",
                      members: {
                        AppCookieStickinessPolicies: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              PolicyName: {},
                              CookieName: {}
                            }
                          }
                        },
                        LBCookieStickinessPolicies: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              PolicyName: {},
                              CookieExpirationPeriod: {
                                type: "long"
                              }
                            }
                          }
                        },
                        OtherPolicies: {
                          shape: "S2s"
                        }
                      }
                    },
                    BackendServerDescriptions: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          InstancePort: {
                            type: "integer"
                          },
                          PolicyNames: {
                            shape: "S2s"
                          }
                        }
                      }
                    },
                    AvailabilityZones: {
                      shape: "S13"
                    },
                    Subnets: {
                      shape: "Se"
                    },
                    VPCId: {},
                    Instances: {
                      shape: "S1p"
                    },
                    HealthCheck: {
                      shape: "Si"
                    },
                    SourceSecurityGroup: {
                      type: "structure",
                      members: {
                        OwnerAlias: {},
                        GroupName: {}
                      }
                    },
                    SecurityGroups: {
                      shape: "Sa"
                    },
                    CreatedTime: {
                      type: "timestamp"
                    },
                    Scheme: {}
                  }
                }
              },
              NextMarker: {}
            }
          }
        },
        DescribeTags: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerNames"
            ],
            members: {
              LoadBalancerNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "DescribeTagsResult",
            type: "structure",
            members: {
              TagDescriptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LoadBalancerName: {},
                    Tags: {
                      shape: "S4"
                    }
                  }
                }
              }
            }
          }
        },
        DetachLoadBalancerFromSubnets: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "Subnets"
            ],
            members: {
              LoadBalancerName: {},
              Subnets: {
                shape: "Se"
              }
            }
          },
          output: {
            resultWrapper: "DetachLoadBalancerFromSubnetsResult",
            type: "structure",
            members: {
              Subnets: {
                shape: "Se"
              }
            }
          }
        },
        DisableAvailabilityZonesForLoadBalancer: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "AvailabilityZones"
            ],
            members: {
              LoadBalancerName: {},
              AvailabilityZones: {
                shape: "S13"
              }
            }
          },
          output: {
            resultWrapper: "DisableAvailabilityZonesForLoadBalancerResult",
            type: "structure",
            members: {
              AvailabilityZones: {
                shape: "S13"
              }
            }
          }
        },
        EnableAvailabilityZonesForLoadBalancer: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "AvailabilityZones"
            ],
            members: {
              LoadBalancerName: {},
              AvailabilityZones: {
                shape: "S13"
              }
            }
          },
          output: {
            resultWrapper: "EnableAvailabilityZonesForLoadBalancerResult",
            type: "structure",
            members: {
              AvailabilityZones: {
                shape: "S13"
              }
            }
          }
        },
        ModifyLoadBalancerAttributes: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "LoadBalancerAttributes"
            ],
            members: {
              LoadBalancerName: {},
              LoadBalancerAttributes: {
                shape: "S2a"
              }
            }
          },
          output: {
            resultWrapper: "ModifyLoadBalancerAttributesResult",
            type: "structure",
            members: {
              LoadBalancerName: {},
              LoadBalancerAttributes: {
                shape: "S2a"
              }
            }
          }
        },
        RegisterInstancesWithLoadBalancer: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "Instances"
            ],
            members: {
              LoadBalancerName: {},
              Instances: {
                shape: "S1p"
              }
            }
          },
          output: {
            resultWrapper: "RegisterInstancesWithLoadBalancerResult",
            type: "structure",
            members: {
              Instances: {
                shape: "S1p"
              }
            }
          }
        },
        RemoveTags: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerNames",
              "Tags"
            ],
            members: {
              LoadBalancerNames: {
                shape: "S2"
              },
              Tags: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Key: {}
                  }
                }
              }
            }
          },
          output: {
            resultWrapper: "RemoveTagsResult",
            type: "structure",
            members: {}
          }
        },
        SetLoadBalancerListenerSSLCertificate: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "LoadBalancerPort",
              "SSLCertificateId"
            ],
            members: {
              LoadBalancerName: {},
              LoadBalancerPort: {
                type: "integer"
              },
              SSLCertificateId: {}
            }
          },
          output: {
            resultWrapper: "SetLoadBalancerListenerSSLCertificateResult",
            type: "structure",
            members: {}
          }
        },
        SetLoadBalancerPoliciesForBackendServer: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "InstancePort",
              "PolicyNames"
            ],
            members: {
              LoadBalancerName: {},
              InstancePort: {
                type: "integer"
              },
              PolicyNames: {
                shape: "S2s"
              }
            }
          },
          output: {
            resultWrapper: "SetLoadBalancerPoliciesForBackendServerResult",
            type: "structure",
            members: {}
          }
        },
        SetLoadBalancerPoliciesOfListener: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerName",
              "LoadBalancerPort",
              "PolicyNames"
            ],
            members: {
              LoadBalancerName: {},
              LoadBalancerPort: {
                type: "integer"
              },
              PolicyNames: {
                shape: "S2s"
              }
            }
          },
          output: {
            resultWrapper: "SetLoadBalancerPoliciesOfListenerResult",
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S2: {
          type: "list",
          member: {}
        },
        S4: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sa: {
          type: "list",
          member: {}
        },
        Se: {
          type: "list",
          member: {}
        },
        Si: {
          type: "structure",
          required: [
            "Target",
            "Interval",
            "Timeout",
            "UnhealthyThreshold",
            "HealthyThreshold"
          ],
          members: {
            Target: {},
            Interval: {
              type: "integer"
            },
            Timeout: {
              type: "integer"
            },
            UnhealthyThreshold: {
              type: "integer"
            },
            HealthyThreshold: {
              type: "integer"
            }
          }
        },
        Sx: {
          type: "list",
          member: {
            shape: "Sy"
          }
        },
        Sy: {
          type: "structure",
          required: [
            "Protocol",
            "LoadBalancerPort",
            "InstancePort"
          ],
          members: {
            Protocol: {},
            LoadBalancerPort: {
              type: "integer"
            },
            InstanceProtocol: {},
            InstancePort: {
              type: "integer"
            },
            SSLCertificateId: {}
          }
        },
        S13: {
          type: "list",
          member: {}
        },
        S1p: {
          type: "list",
          member: {
            type: "structure",
            members: {
              InstanceId: {}
            }
          }
        },
        S2a: {
          type: "structure",
          members: {
            CrossZoneLoadBalancing: {
              type: "structure",
              required: [
                "Enabled"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                }
              }
            },
            AccessLog: {
              type: "structure",
              required: [
                "Enabled"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                S3BucketName: {},
                EmitInterval: {
                  type: "integer"
                },
                S3BucketPrefix: {}
              }
            },
            ConnectionDraining: {
              type: "structure",
              required: [
                "Enabled"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                Timeout: {
                  type: "integer"
                }
              }
            },
            ConnectionSettings: {
              type: "structure",
              required: [
                "IdleTimeout"
              ],
              members: {
                IdleTimeout: {
                  type: "integer"
                }
              }
            },
            AdditionalAttributes: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Key: {},
                  Value: {}
                }
              }
            }
          }
        },
        S2s: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/elasticloadbalancing-2012-06-01.paginators.json
var require_elasticloadbalancing_2012_06_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/elasticloadbalancing-2012-06-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeInstanceHealth: {
          result_key: "InstanceStates"
        },
        DescribeLoadBalancerPolicies: {
          result_key: "PolicyDescriptions"
        },
        DescribeLoadBalancerPolicyTypes: {
          result_key: "PolicyTypeDescriptions"
        },
        DescribeLoadBalancers: {
          input_token: "Marker",
          output_token: "NextMarker",
          result_key: "LoadBalancerDescriptions"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/elasticloadbalancing-2012-06-01.waiters2.json
var require_elasticloadbalancing_2012_06_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/elasticloadbalancing-2012-06-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        InstanceDeregistered: {
          delay: 15,
          operation: "DescribeInstanceHealth",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "OutOfService",
              matcher: "pathAll",
              state: "success",
              argument: "InstanceStates[].State"
            },
            {
              matcher: "error",
              expected: "InvalidInstance",
              state: "success"
            }
          ]
        },
        AnyInstanceInService: {
          acceptors: [
            {
              argument: "InstanceStates[].State",
              expected: "InService",
              matcher: "pathAny",
              state: "success"
            }
          ],
          delay: 15,
          maxAttempts: 40,
          operation: "DescribeInstanceHealth"
        },
        InstanceInService: {
          acceptors: [
            {
              argument: "InstanceStates[].State",
              expected: "InService",
              matcher: "pathAll",
              state: "success"
            },
            {
              matcher: "error",
              expected: "InvalidInstance",
              state: "retry"
            }
          ],
          delay: 15,
          maxAttempts: 40,
          operation: "DescribeInstanceHealth"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/elb.js
var require_elb = __commonJS({
  "node_modules/aws-sdk/clients/elb.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["elb"] = {};
    AWS2.ELB = Service.defineService("elb", ["2012-06-01"]);
    Object.defineProperty(apiLoader.services["elb"], "2012-06-01", {
      get: function get() {
        var model = require_elasticloadbalancing_2012_06_01_min();
        model.paginators = require_elasticloadbalancing_2012_06_01_paginators().pagination;
        model.waiters = require_elasticloadbalancing_2012_06_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ELB;
  }
});

// node_modules/aws-sdk/apis/elasticloadbalancingv2-2015-12-01.min.json
var require_elasticloadbalancingv2_2015_12_01_min = __commonJS({
  "node_modules/aws-sdk/apis/elasticloadbalancingv2-2015-12-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-12-01",
        endpointPrefix: "elasticloadbalancing",
        protocol: "query",
        serviceAbbreviation: "Elastic Load Balancing v2",
        serviceFullName: "Elastic Load Balancing",
        serviceId: "Elastic Load Balancing v2",
        signatureVersion: "v4",
        uid: "elasticloadbalancingv2-2015-12-01",
        xmlNamespace: "http://elasticloadbalancing.amazonaws.com/doc/2015-12-01/"
      },
      operations: {
        AddListenerCertificates: {
          input: {
            type: "structure",
            required: [
              "ListenerArn",
              "Certificates"
            ],
            members: {
              ListenerArn: {},
              Certificates: {
                shape: "S3"
              }
            }
          },
          output: {
            resultWrapper: "AddListenerCertificatesResult",
            type: "structure",
            members: {
              Certificates: {
                shape: "S3"
              }
            }
          }
        },
        AddTags: {
          input: {
            type: "structure",
            required: [
              "ResourceArns",
              "Tags"
            ],
            members: {
              ResourceArns: {
                shape: "S9"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "AddTagsResult",
            type: "structure",
            members: {}
          }
        },
        CreateListener: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerArn",
              "DefaultActions"
            ],
            members: {
              LoadBalancerArn: {},
              Protocol: {},
              Port: {
                type: "integer"
              },
              SslPolicy: {},
              Certificates: {
                shape: "S3"
              },
              DefaultActions: {
                shape: "Sl"
              },
              AlpnPolicy: {
                shape: "S1y"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "CreateListenerResult",
            type: "structure",
            members: {
              Listeners: {
                shape: "S21"
              }
            }
          }
        },
        CreateLoadBalancer: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Subnets: {
                shape: "S25"
              },
              SubnetMappings: {
                shape: "S27"
              },
              SecurityGroups: {
                shape: "S2c"
              },
              Scheme: {},
              Tags: {
                shape: "Sb"
              },
              Type: {},
              IpAddressType: {},
              CustomerOwnedIpv4Pool: {}
            }
          },
          output: {
            resultWrapper: "CreateLoadBalancerResult",
            type: "structure",
            members: {
              LoadBalancers: {
                shape: "S2j"
              }
            }
          }
        },
        CreateRule: {
          input: {
            type: "structure",
            required: [
              "ListenerArn",
              "Conditions",
              "Priority",
              "Actions"
            ],
            members: {
              ListenerArn: {},
              Conditions: {
                shape: "S30"
              },
              Priority: {
                type: "integer"
              },
              Actions: {
                shape: "Sl"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "CreateRuleResult",
            type: "structure",
            members: {
              Rules: {
                shape: "S3g"
              }
            }
          }
        },
        CreateTargetGroup: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Protocol: {},
              ProtocolVersion: {},
              Port: {
                type: "integer"
              },
              VpcId: {},
              HealthCheckProtocol: {},
              HealthCheckPort: {},
              HealthCheckEnabled: {
                type: "boolean"
              },
              HealthCheckPath: {},
              HealthCheckIntervalSeconds: {
                type: "integer"
              },
              HealthCheckTimeoutSeconds: {
                type: "integer"
              },
              HealthyThresholdCount: {
                type: "integer"
              },
              UnhealthyThresholdCount: {
                type: "integer"
              },
              Matcher: {
                shape: "S3u"
              },
              TargetType: {},
              Tags: {
                shape: "Sb"
              },
              IpAddressType: {}
            }
          },
          output: {
            resultWrapper: "CreateTargetGroupResult",
            type: "structure",
            members: {
              TargetGroups: {
                shape: "S40"
              }
            }
          }
        },
        DeleteListener: {
          input: {
            type: "structure",
            required: [
              "ListenerArn"
            ],
            members: {
              ListenerArn: {}
            }
          },
          output: {
            resultWrapper: "DeleteListenerResult",
            type: "structure",
            members: {}
          }
        },
        DeleteLoadBalancer: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerArn"
            ],
            members: {
              LoadBalancerArn: {}
            }
          },
          output: {
            resultWrapper: "DeleteLoadBalancerResult",
            type: "structure",
            members: {}
          }
        },
        DeleteRule: {
          input: {
            type: "structure",
            required: [
              "RuleArn"
            ],
            members: {
              RuleArn: {}
            }
          },
          output: {
            resultWrapper: "DeleteRuleResult",
            type: "structure",
            members: {}
          }
        },
        DeleteTargetGroup: {
          input: {
            type: "structure",
            required: [
              "TargetGroupArn"
            ],
            members: {
              TargetGroupArn: {}
            }
          },
          output: {
            resultWrapper: "DeleteTargetGroupResult",
            type: "structure",
            members: {}
          }
        },
        DeregisterTargets: {
          input: {
            type: "structure",
            required: [
              "TargetGroupArn",
              "Targets"
            ],
            members: {
              TargetGroupArn: {},
              Targets: {
                shape: "S4c"
              }
            }
          },
          output: {
            resultWrapper: "DeregisterTargetsResult",
            type: "structure",
            members: {}
          }
        },
        DescribeAccountLimits: {
          input: {
            type: "structure",
            members: {
              Marker: {},
              PageSize: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeAccountLimitsResult",
            type: "structure",
            members: {
              Limits: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Max: {}
                  }
                }
              },
              NextMarker: {}
            }
          }
        },
        DescribeListenerCertificates: {
          input: {
            type: "structure",
            required: [
              "ListenerArn"
            ],
            members: {
              ListenerArn: {},
              Marker: {},
              PageSize: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeListenerCertificatesResult",
            type: "structure",
            members: {
              Certificates: {
                shape: "S3"
              },
              NextMarker: {}
            }
          }
        },
        DescribeListeners: {
          input: {
            type: "structure",
            members: {
              LoadBalancerArn: {},
              ListenerArns: {
                type: "list",
                member: {}
              },
              Marker: {},
              PageSize: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeListenersResult",
            type: "structure",
            members: {
              Listeners: {
                shape: "S21"
              },
              NextMarker: {}
            }
          }
        },
        DescribeLoadBalancerAttributes: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerArn"
            ],
            members: {
              LoadBalancerArn: {}
            }
          },
          output: {
            resultWrapper: "DescribeLoadBalancerAttributesResult",
            type: "structure",
            members: {
              Attributes: {
                shape: "S4v"
              }
            }
          }
        },
        DescribeLoadBalancers: {
          input: {
            type: "structure",
            members: {
              LoadBalancerArns: {
                shape: "S42"
              },
              Names: {
                type: "list",
                member: {}
              },
              Marker: {},
              PageSize: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeLoadBalancersResult",
            type: "structure",
            members: {
              LoadBalancers: {
                shape: "S2j"
              },
              NextMarker: {}
            }
          }
        },
        DescribeRules: {
          input: {
            type: "structure",
            members: {
              ListenerArn: {},
              RuleArns: {
                type: "list",
                member: {}
              },
              Marker: {},
              PageSize: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeRulesResult",
            type: "structure",
            members: {
              Rules: {
                shape: "S3g"
              },
              NextMarker: {}
            }
          }
        },
        DescribeSSLPolicies: {
          input: {
            type: "structure",
            members: {
              Names: {
                type: "list",
                member: {}
              },
              Marker: {},
              PageSize: {
                type: "integer"
              },
              LoadBalancerType: {}
            }
          },
          output: {
            resultWrapper: "DescribeSSLPoliciesResult",
            type: "structure",
            members: {
              SslPolicies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SslProtocols: {
                      type: "list",
                      member: {}
                    },
                    Ciphers: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {},
                          Priority: {
                            type: "integer"
                          }
                        }
                      }
                    },
                    Name: {},
                    SupportedLoadBalancerTypes: {
                      shape: "S33"
                    }
                  }
                }
              },
              NextMarker: {}
            }
          }
        },
        DescribeTags: {
          input: {
            type: "structure",
            required: [
              "ResourceArns"
            ],
            members: {
              ResourceArns: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "DescribeTagsResult",
            type: "structure",
            members: {
              TagDescriptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceArn: {},
                    Tags: {
                      shape: "Sb"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeTargetGroupAttributes: {
          input: {
            type: "structure",
            required: [
              "TargetGroupArn"
            ],
            members: {
              TargetGroupArn: {}
            }
          },
          output: {
            resultWrapper: "DescribeTargetGroupAttributesResult",
            type: "structure",
            members: {
              Attributes: {
                shape: "S5m"
              }
            }
          }
        },
        DescribeTargetGroups: {
          input: {
            type: "structure",
            members: {
              LoadBalancerArn: {},
              TargetGroupArns: {
                type: "list",
                member: {}
              },
              Names: {
                type: "list",
                member: {}
              },
              Marker: {},
              PageSize: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeTargetGroupsResult",
            type: "structure",
            members: {
              TargetGroups: {
                shape: "S40"
              },
              NextMarker: {}
            }
          }
        },
        DescribeTargetHealth: {
          input: {
            type: "structure",
            required: [
              "TargetGroupArn"
            ],
            members: {
              TargetGroupArn: {},
              Targets: {
                shape: "S4c"
              }
            }
          },
          output: {
            resultWrapper: "DescribeTargetHealthResult",
            type: "structure",
            members: {
              TargetHealthDescriptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Target: {
                      shape: "S4d"
                    },
                    HealthCheckPort: {},
                    TargetHealth: {
                      type: "structure",
                      members: {
                        State: {},
                        Reason: {},
                        Description: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ModifyListener: {
          input: {
            type: "structure",
            required: [
              "ListenerArn"
            ],
            members: {
              ListenerArn: {},
              Port: {
                type: "integer"
              },
              Protocol: {},
              SslPolicy: {},
              Certificates: {
                shape: "S3"
              },
              DefaultActions: {
                shape: "Sl"
              },
              AlpnPolicy: {
                shape: "S1y"
              }
            }
          },
          output: {
            resultWrapper: "ModifyListenerResult",
            type: "structure",
            members: {
              Listeners: {
                shape: "S21"
              }
            }
          }
        },
        ModifyLoadBalancerAttributes: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerArn",
              "Attributes"
            ],
            members: {
              LoadBalancerArn: {},
              Attributes: {
                shape: "S4v"
              }
            }
          },
          output: {
            resultWrapper: "ModifyLoadBalancerAttributesResult",
            type: "structure",
            members: {
              Attributes: {
                shape: "S4v"
              }
            }
          }
        },
        ModifyRule: {
          input: {
            type: "structure",
            required: [
              "RuleArn"
            ],
            members: {
              RuleArn: {},
              Conditions: {
                shape: "S30"
              },
              Actions: {
                shape: "Sl"
              }
            }
          },
          output: {
            resultWrapper: "ModifyRuleResult",
            type: "structure",
            members: {
              Rules: {
                shape: "S3g"
              }
            }
          }
        },
        ModifyTargetGroup: {
          input: {
            type: "structure",
            required: [
              "TargetGroupArn"
            ],
            members: {
              TargetGroupArn: {},
              HealthCheckProtocol: {},
              HealthCheckPort: {},
              HealthCheckPath: {},
              HealthCheckEnabled: {
                type: "boolean"
              },
              HealthCheckIntervalSeconds: {
                type: "integer"
              },
              HealthCheckTimeoutSeconds: {
                type: "integer"
              },
              HealthyThresholdCount: {
                type: "integer"
              },
              UnhealthyThresholdCount: {
                type: "integer"
              },
              Matcher: {
                shape: "S3u"
              }
            }
          },
          output: {
            resultWrapper: "ModifyTargetGroupResult",
            type: "structure",
            members: {
              TargetGroups: {
                shape: "S40"
              }
            }
          }
        },
        ModifyTargetGroupAttributes: {
          input: {
            type: "structure",
            required: [
              "TargetGroupArn",
              "Attributes"
            ],
            members: {
              TargetGroupArn: {},
              Attributes: {
                shape: "S5m"
              }
            }
          },
          output: {
            resultWrapper: "ModifyTargetGroupAttributesResult",
            type: "structure",
            members: {
              Attributes: {
                shape: "S5m"
              }
            }
          }
        },
        RegisterTargets: {
          input: {
            type: "structure",
            required: [
              "TargetGroupArn",
              "Targets"
            ],
            members: {
              TargetGroupArn: {},
              Targets: {
                shape: "S4c"
              }
            }
          },
          output: {
            resultWrapper: "RegisterTargetsResult",
            type: "structure",
            members: {}
          }
        },
        RemoveListenerCertificates: {
          input: {
            type: "structure",
            required: [
              "ListenerArn",
              "Certificates"
            ],
            members: {
              ListenerArn: {},
              Certificates: {
                shape: "S3"
              }
            }
          },
          output: {
            resultWrapper: "RemoveListenerCertificatesResult",
            type: "structure",
            members: {}
          }
        },
        RemoveTags: {
          input: {
            type: "structure",
            required: [
              "ResourceArns",
              "TagKeys"
            ],
            members: {
              ResourceArns: {
                shape: "S9"
              },
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "RemoveTagsResult",
            type: "structure",
            members: {}
          }
        },
        SetIpAddressType: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerArn",
              "IpAddressType"
            ],
            members: {
              LoadBalancerArn: {},
              IpAddressType: {}
            }
          },
          output: {
            resultWrapper: "SetIpAddressTypeResult",
            type: "structure",
            members: {
              IpAddressType: {}
            }
          }
        },
        SetRulePriorities: {
          input: {
            type: "structure",
            required: [
              "RulePriorities"
            ],
            members: {
              RulePriorities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RuleArn: {},
                    Priority: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          },
          output: {
            resultWrapper: "SetRulePrioritiesResult",
            type: "structure",
            members: {
              Rules: {
                shape: "S3g"
              }
            }
          }
        },
        SetSecurityGroups: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerArn",
              "SecurityGroups"
            ],
            members: {
              LoadBalancerArn: {},
              SecurityGroups: {
                shape: "S2c"
              }
            }
          },
          output: {
            resultWrapper: "SetSecurityGroupsResult",
            type: "structure",
            members: {
              SecurityGroupIds: {
                shape: "S2c"
              }
            }
          }
        },
        SetSubnets: {
          input: {
            type: "structure",
            required: [
              "LoadBalancerArn"
            ],
            members: {
              LoadBalancerArn: {},
              Subnets: {
                shape: "S25"
              },
              SubnetMappings: {
                shape: "S27"
              },
              IpAddressType: {}
            }
          },
          output: {
            resultWrapper: "SetSubnetsResult",
            type: "structure",
            members: {
              AvailabilityZones: {
                shape: "S2s"
              },
              IpAddressType: {}
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            type: "structure",
            members: {
              CertificateArn: {},
              IsDefault: {
                type: "boolean"
              }
            }
          }
        },
        S9: {
          type: "list",
          member: {}
        },
        Sb: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sl: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Type"
            ],
            members: {
              Type: {},
              TargetGroupArn: {},
              AuthenticateOidcConfig: {
                type: "structure",
                required: [
                  "Issuer",
                  "AuthorizationEndpoint",
                  "TokenEndpoint",
                  "UserInfoEndpoint",
                  "ClientId"
                ],
                members: {
                  Issuer: {},
                  AuthorizationEndpoint: {},
                  TokenEndpoint: {},
                  UserInfoEndpoint: {},
                  ClientId: {},
                  ClientSecret: {},
                  SessionCookieName: {},
                  Scope: {},
                  SessionTimeout: {
                    type: "long"
                  },
                  AuthenticationRequestExtraParams: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  OnUnauthenticatedRequest: {},
                  UseExistingClientSecret: {
                    type: "boolean"
                  }
                }
              },
              AuthenticateCognitoConfig: {
                type: "structure",
                required: [
                  "UserPoolArn",
                  "UserPoolClientId",
                  "UserPoolDomain"
                ],
                members: {
                  UserPoolArn: {},
                  UserPoolClientId: {},
                  UserPoolDomain: {},
                  SessionCookieName: {},
                  Scope: {},
                  SessionTimeout: {
                    type: "long"
                  },
                  AuthenticationRequestExtraParams: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  OnUnauthenticatedRequest: {}
                }
              },
              Order: {
                type: "integer"
              },
              RedirectConfig: {
                type: "structure",
                required: [
                  "StatusCode"
                ],
                members: {
                  Protocol: {},
                  Port: {},
                  Host: {},
                  Path: {},
                  Query: {},
                  StatusCode: {}
                }
              },
              FixedResponseConfig: {
                type: "structure",
                required: [
                  "StatusCode"
                ],
                members: {
                  MessageBody: {},
                  StatusCode: {},
                  ContentType: {}
                }
              },
              ForwardConfig: {
                type: "structure",
                members: {
                  TargetGroups: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        TargetGroupArn: {},
                        Weight: {
                          type: "integer"
                        }
                      }
                    }
                  },
                  TargetGroupStickinessConfig: {
                    type: "structure",
                    members: {
                      Enabled: {
                        type: "boolean"
                      },
                      DurationSeconds: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S1y: {
          type: "list",
          member: {}
        },
        S21: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ListenerArn: {},
              LoadBalancerArn: {},
              Port: {
                type: "integer"
              },
              Protocol: {},
              Certificates: {
                shape: "S3"
              },
              SslPolicy: {},
              DefaultActions: {
                shape: "Sl"
              },
              AlpnPolicy: {
                shape: "S1y"
              }
            }
          }
        },
        S25: {
          type: "list",
          member: {}
        },
        S27: {
          type: "list",
          member: {
            type: "structure",
            members: {
              SubnetId: {},
              AllocationId: {},
              PrivateIPv4Address: {},
              IPv6Address: {}
            }
          }
        },
        S2c: {
          type: "list",
          member: {}
        },
        S2j: {
          type: "list",
          member: {
            type: "structure",
            members: {
              LoadBalancerArn: {},
              DNSName: {},
              CanonicalHostedZoneId: {},
              CreatedTime: {
                type: "timestamp"
              },
              LoadBalancerName: {},
              Scheme: {},
              VpcId: {},
              State: {
                type: "structure",
                members: {
                  Code: {},
                  Reason: {}
                }
              },
              Type: {},
              AvailabilityZones: {
                shape: "S2s"
              },
              SecurityGroups: {
                shape: "S2c"
              },
              IpAddressType: {},
              CustomerOwnedIpv4Pool: {}
            }
          }
        },
        S2s: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ZoneName: {},
              SubnetId: {},
              OutpostId: {},
              LoadBalancerAddresses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    IpAddress: {},
                    AllocationId: {},
                    PrivateIPv4Address: {},
                    IPv6Address: {}
                  }
                }
              }
            }
          }
        },
        S30: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Field: {},
              Values: {
                shape: "S33"
              },
              HostHeaderConfig: {
                type: "structure",
                members: {
                  Values: {
                    shape: "S33"
                  }
                }
              },
              PathPatternConfig: {
                type: "structure",
                members: {
                  Values: {
                    shape: "S33"
                  }
                }
              },
              HttpHeaderConfig: {
                type: "structure",
                members: {
                  HttpHeaderName: {},
                  Values: {
                    shape: "S33"
                  }
                }
              },
              QueryStringConfig: {
                type: "structure",
                members: {
                  Values: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Key: {},
                        Value: {}
                      }
                    }
                  }
                }
              },
              HttpRequestMethodConfig: {
                type: "structure",
                members: {
                  Values: {
                    shape: "S33"
                  }
                }
              },
              SourceIpConfig: {
                type: "structure",
                members: {
                  Values: {
                    shape: "S33"
                  }
                }
              }
            }
          }
        },
        S33: {
          type: "list",
          member: {}
        },
        S3g: {
          type: "list",
          member: {
            type: "structure",
            members: {
              RuleArn: {},
              Priority: {},
              Conditions: {
                shape: "S30"
              },
              Actions: {
                shape: "Sl"
              },
              IsDefault: {
                type: "boolean"
              }
            }
          }
        },
        S3u: {
          type: "structure",
          members: {
            HttpCode: {},
            GrpcCode: {}
          }
        },
        S40: {
          type: "list",
          member: {
            type: "structure",
            members: {
              TargetGroupArn: {},
              TargetGroupName: {},
              Protocol: {},
              Port: {
                type: "integer"
              },
              VpcId: {},
              HealthCheckProtocol: {},
              HealthCheckPort: {},
              HealthCheckEnabled: {
                type: "boolean"
              },
              HealthCheckIntervalSeconds: {
                type: "integer"
              },
              HealthCheckTimeoutSeconds: {
                type: "integer"
              },
              HealthyThresholdCount: {
                type: "integer"
              },
              UnhealthyThresholdCount: {
                type: "integer"
              },
              HealthCheckPath: {},
              Matcher: {
                shape: "S3u"
              },
              LoadBalancerArns: {
                shape: "S42"
              },
              TargetType: {},
              ProtocolVersion: {},
              IpAddressType: {}
            }
          }
        },
        S42: {
          type: "list",
          member: {}
        },
        S4c: {
          type: "list",
          member: {
            shape: "S4d"
          }
        },
        S4d: {
          type: "structure",
          required: [
            "Id"
          ],
          members: {
            Id: {},
            Port: {
              type: "integer"
            },
            AvailabilityZone: {}
          }
        },
        S4v: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S5m: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/elasticloadbalancingv2-2015-12-01.paginators.json
var require_elasticloadbalancingv2_2015_12_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/elasticloadbalancingv2-2015-12-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeListeners: {
          input_token: "Marker",
          output_token: "NextMarker",
          result_key: "Listeners"
        },
        DescribeLoadBalancers: {
          input_token: "Marker",
          output_token: "NextMarker",
          result_key: "LoadBalancers"
        },
        DescribeTargetGroups: {
          input_token: "Marker",
          output_token: "NextMarker",
          result_key: "TargetGroups"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/elasticloadbalancingv2-2015-12-01.waiters2.json
var require_elasticloadbalancingv2_2015_12_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/elasticloadbalancingv2-2015-12-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        LoadBalancerExists: {
          delay: 15,
          operation: "DescribeLoadBalancers",
          maxAttempts: 40,
          acceptors: [
            {
              matcher: "status",
              expected: 200,
              state: "success"
            },
            {
              matcher: "error",
              expected: "LoadBalancerNotFound",
              state: "retry"
            }
          ]
        },
        LoadBalancerAvailable: {
          delay: 15,
          operation: "DescribeLoadBalancers",
          maxAttempts: 40,
          acceptors: [
            {
              state: "success",
              matcher: "pathAll",
              argument: "LoadBalancers[].State.Code",
              expected: "active"
            },
            {
              state: "retry",
              matcher: "pathAny",
              argument: "LoadBalancers[].State.Code",
              expected: "provisioning"
            },
            {
              state: "retry",
              matcher: "error",
              expected: "LoadBalancerNotFound"
            }
          ]
        },
        LoadBalancersDeleted: {
          delay: 15,
          operation: "DescribeLoadBalancers",
          maxAttempts: 40,
          acceptors: [
            {
              state: "retry",
              matcher: "pathAll",
              argument: "LoadBalancers[].State.Code",
              expected: "active"
            },
            {
              matcher: "error",
              expected: "LoadBalancerNotFound",
              state: "success"
            }
          ]
        },
        TargetInService: {
          delay: 15,
          maxAttempts: 40,
          operation: "DescribeTargetHealth",
          acceptors: [
            {
              argument: "TargetHealthDescriptions[].TargetHealth.State",
              expected: "healthy",
              matcher: "pathAll",
              state: "success"
            },
            {
              matcher: "error",
              expected: "InvalidInstance",
              state: "retry"
            }
          ]
        },
        TargetDeregistered: {
          delay: 15,
          maxAttempts: 40,
          operation: "DescribeTargetHealth",
          acceptors: [
            {
              matcher: "error",
              expected: "InvalidTarget",
              state: "success"
            },
            {
              argument: "TargetHealthDescriptions[].TargetHealth.State",
              expected: "unused",
              matcher: "pathAll",
              state: "success"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/elbv2.js
var require_elbv2 = __commonJS({
  "node_modules/aws-sdk/clients/elbv2.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["elbv2"] = {};
    AWS2.ELBv2 = Service.defineService("elbv2", ["2015-12-01"]);
    Object.defineProperty(apiLoader.services["elbv2"], "2015-12-01", {
      get: function get() {
        var model = require_elasticloadbalancingv2_2015_12_01_min();
        model.paginators = require_elasticloadbalancingv2_2015_12_01_paginators().pagination;
        model.waiters = require_elasticloadbalancingv2_2015_12_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ELBv2;
  }
});

// node_modules/aws-sdk/apis/elasticmapreduce-2009-03-31.min.json
var require_elasticmapreduce_2009_03_31_min = __commonJS({
  "node_modules/aws-sdk/apis/elasticmapreduce-2009-03-31.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2009-03-31",
        endpointPrefix: "elasticmapreduce",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Amazon EMR",
        serviceFullName: "Amazon EMR",
        serviceId: "EMR",
        signatureVersion: "v4",
        targetPrefix: "ElasticMapReduce",
        uid: "elasticmapreduce-2009-03-31"
      },
      operations: {
        AddInstanceFleet: {
          input: {
            type: "structure",
            required: [
              "ClusterId",
              "InstanceFleet"
            ],
            members: {
              ClusterId: {},
              InstanceFleet: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ClusterId: {},
              InstanceFleetId: {},
              ClusterArn: {}
            }
          }
        },
        AddInstanceGroups: {
          input: {
            type: "structure",
            required: [
              "InstanceGroups",
              "JobFlowId"
            ],
            members: {
              InstanceGroups: {
                shape: "S11"
              },
              JobFlowId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobFlowId: {},
              InstanceGroupIds: {
                type: "list",
                member: {}
              },
              ClusterArn: {}
            }
          }
        },
        AddJobFlowSteps: {
          input: {
            type: "structure",
            required: [
              "JobFlowId",
              "Steps"
            ],
            members: {
              JobFlowId: {},
              Steps: {
                shape: "S1m"
              },
              ExecutionRoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StepIds: {
                shape: "S1v"
              }
            }
          }
        },
        AddTags: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "Tags"
            ],
            members: {
              ResourceId: {},
              Tags: {
                shape: "S1y"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CancelSteps: {
          input: {
            type: "structure",
            required: [
              "ClusterId",
              "StepIds"
            ],
            members: {
              ClusterId: {},
              StepIds: {
                shape: "S1v"
              },
              StepCancellationOption: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CancelStepsInfoList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StepId: {},
                    Status: {},
                    Reason: {}
                  }
                }
              }
            }
          }
        },
        CreateSecurityConfiguration: {
          input: {
            type: "structure",
            required: [
              "Name",
              "SecurityConfiguration"
            ],
            members: {
              Name: {},
              SecurityConfiguration: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Name",
              "CreationDateTime"
            ],
            members: {
              Name: {},
              CreationDateTime: {
                type: "timestamp"
              }
            }
          }
        },
        CreateStudio: {
          input: {
            type: "structure",
            required: [
              "Name",
              "AuthMode",
              "VpcId",
              "SubnetIds",
              "ServiceRole",
              "WorkspaceSecurityGroupId",
              "EngineSecurityGroupId",
              "DefaultS3Location"
            ],
            members: {
              Name: {},
              Description: {},
              AuthMode: {},
              VpcId: {},
              SubnetIds: {
                shape: "S2d"
              },
              ServiceRole: {},
              UserRole: {},
              WorkspaceSecurityGroupId: {},
              EngineSecurityGroupId: {},
              DefaultS3Location: {},
              IdpAuthUrl: {},
              IdpRelayStateParameterName: {},
              Tags: {
                shape: "S1y"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StudioId: {},
              Url: {}
            }
          }
        },
        CreateStudioSessionMapping: {
          input: {
            type: "structure",
            required: [
              "StudioId",
              "IdentityType",
              "SessionPolicyArn"
            ],
            members: {
              StudioId: {},
              IdentityId: {},
              IdentityName: {},
              IdentityType: {},
              SessionPolicyArn: {}
            }
          }
        },
        DeleteSecurityConfiguration: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteStudio: {
          input: {
            type: "structure",
            required: [
              "StudioId"
            ],
            members: {
              StudioId: {}
            }
          }
        },
        DeleteStudioSessionMapping: {
          input: {
            type: "structure",
            required: [
              "StudioId",
              "IdentityType"
            ],
            members: {
              StudioId: {},
              IdentityId: {},
              IdentityName: {},
              IdentityType: {}
            }
          }
        },
        DescribeCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Cluster: {
                type: "structure",
                members: {
                  Id: {},
                  Name: {},
                  Status: {
                    shape: "S2p"
                  },
                  Ec2InstanceAttributes: {
                    type: "structure",
                    members: {
                      Ec2KeyName: {},
                      Ec2SubnetId: {},
                      RequestedEc2SubnetIds: {
                        shape: "S2y"
                      },
                      Ec2AvailabilityZone: {},
                      RequestedEc2AvailabilityZones: {
                        shape: "S2y"
                      },
                      IamInstanceProfile: {},
                      EmrManagedMasterSecurityGroup: {},
                      EmrManagedSlaveSecurityGroup: {},
                      ServiceAccessSecurityGroup: {},
                      AdditionalMasterSecurityGroups: {
                        shape: "S2z"
                      },
                      AdditionalSlaveSecurityGroups: {
                        shape: "S2z"
                      }
                    }
                  },
                  InstanceCollectionType: {},
                  LogUri: {},
                  LogEncryptionKmsKeyId: {},
                  RequestedAmiVersion: {},
                  RunningAmiVersion: {},
                  ReleaseLabel: {},
                  AutoTerminate: {
                    type: "boolean"
                  },
                  TerminationProtected: {
                    type: "boolean"
                  },
                  VisibleToAllUsers: {
                    type: "boolean"
                  },
                  Applications: {
                    shape: "S32"
                  },
                  Tags: {
                    shape: "S1y"
                  },
                  ServiceRole: {},
                  NormalizedInstanceHours: {
                    type: "integer"
                  },
                  MasterPublicDnsName: {},
                  Configurations: {
                    shape: "Si"
                  },
                  SecurityConfiguration: {},
                  AutoScalingRole: {},
                  ScaleDownBehavior: {},
                  CustomAmiId: {},
                  EbsRootVolumeSize: {
                    type: "integer"
                  },
                  RepoUpgradeOnBoot: {},
                  KerberosAttributes: {
                    shape: "S36"
                  },
                  ClusterArn: {},
                  OutpostArn: {},
                  StepConcurrencyLevel: {
                    type: "integer"
                  },
                  PlacementGroups: {
                    shape: "S38"
                  },
                  OSReleaseLabel: {}
                }
              }
            }
          }
        },
        DescribeJobFlows: {
          input: {
            type: "structure",
            members: {
              CreatedAfter: {
                type: "timestamp"
              },
              CreatedBefore: {
                type: "timestamp"
              },
              JobFlowIds: {
                shape: "S1t"
              },
              JobFlowStates: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobFlows: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "JobFlowId",
                    "Name",
                    "ExecutionStatusDetail",
                    "Instances"
                  ],
                  members: {
                    JobFlowId: {},
                    Name: {},
                    LogUri: {},
                    LogEncryptionKmsKeyId: {},
                    AmiVersion: {},
                    ExecutionStatusDetail: {
                      type: "structure",
                      required: [
                        "State",
                        "CreationDateTime"
                      ],
                      members: {
                        State: {},
                        CreationDateTime: {
                          type: "timestamp"
                        },
                        StartDateTime: {
                          type: "timestamp"
                        },
                        ReadyDateTime: {
                          type: "timestamp"
                        },
                        EndDateTime: {
                          type: "timestamp"
                        },
                        LastStateChangeReason: {}
                      }
                    },
                    Instances: {
                      type: "structure",
                      required: [
                        "MasterInstanceType",
                        "SlaveInstanceType",
                        "InstanceCount"
                      ],
                      members: {
                        MasterInstanceType: {},
                        MasterPublicDnsName: {},
                        MasterInstanceId: {},
                        SlaveInstanceType: {},
                        InstanceCount: {
                          type: "integer"
                        },
                        InstanceGroups: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "Market",
                              "InstanceRole",
                              "InstanceType",
                              "InstanceRequestCount",
                              "InstanceRunningCount",
                              "State",
                              "CreationDateTime"
                            ],
                            members: {
                              InstanceGroupId: {},
                              Name: {},
                              Market: {},
                              InstanceRole: {},
                              BidPrice: {},
                              InstanceType: {},
                              InstanceRequestCount: {
                                type: "integer"
                              },
                              InstanceRunningCount: {
                                type: "integer"
                              },
                              State: {},
                              LastStateChangeReason: {},
                              CreationDateTime: {
                                type: "timestamp"
                              },
                              StartDateTime: {
                                type: "timestamp"
                              },
                              ReadyDateTime: {
                                type: "timestamp"
                              },
                              EndDateTime: {
                                type: "timestamp"
                              },
                              CustomAmiId: {}
                            }
                          }
                        },
                        NormalizedInstanceHours: {
                          type: "integer"
                        },
                        Ec2KeyName: {},
                        Ec2SubnetId: {},
                        Placement: {
                          shape: "S3m"
                        },
                        KeepJobFlowAliveWhenNoSteps: {
                          type: "boolean"
                        },
                        TerminationProtected: {
                          type: "boolean"
                        },
                        HadoopVersion: {}
                      }
                    },
                    Steps: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "StepConfig",
                          "ExecutionStatusDetail"
                        ],
                        members: {
                          StepConfig: {
                            shape: "S1n"
                          },
                          ExecutionStatusDetail: {
                            type: "structure",
                            required: [
                              "State",
                              "CreationDateTime"
                            ],
                            members: {
                              State: {},
                              CreationDateTime: {
                                type: "timestamp"
                              },
                              StartDateTime: {
                                type: "timestamp"
                              },
                              EndDateTime: {
                                type: "timestamp"
                              },
                              LastStateChangeReason: {}
                            }
                          }
                        }
                      }
                    },
                    BootstrapActions: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          BootstrapActionConfig: {
                            shape: "S3t"
                          }
                        }
                      }
                    },
                    SupportedProducts: {
                      shape: "S3v"
                    },
                    VisibleToAllUsers: {
                      type: "boolean"
                    },
                    JobFlowRole: {},
                    ServiceRole: {},
                    AutoScalingRole: {},
                    ScaleDownBehavior: {}
                  }
                }
              }
            }
          },
          deprecated: true
        },
        DescribeNotebookExecution: {
          input: {
            type: "structure",
            required: [
              "NotebookExecutionId"
            ],
            members: {
              NotebookExecutionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NotebookExecution: {
                type: "structure",
                members: {
                  NotebookExecutionId: {},
                  EditorId: {},
                  ExecutionEngine: {
                    shape: "S3z"
                  },
                  NotebookExecutionName: {},
                  NotebookParams: {},
                  Status: {},
                  StartTime: {
                    type: "timestamp"
                  },
                  EndTime: {
                    type: "timestamp"
                  },
                  Arn: {},
                  OutputNotebookURI: {},
                  LastStateChangeReason: {},
                  NotebookInstanceSecurityGroupId: {},
                  Tags: {
                    shape: "S1y"
                  },
                  NotebookS3Location: {
                    shape: "S43"
                  },
                  OutputNotebookS3Location: {
                    type: "structure",
                    members: {
                      Bucket: {},
                      Key: {}
                    }
                  },
                  OutputNotebookFormat: {},
                  EnvironmentVariables: {
                    shape: "S47"
                  }
                }
              }
            }
          }
        },
        DescribeReleaseLabel: {
          input: {
            type: "structure",
            members: {
              ReleaseLabel: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReleaseLabel: {},
              Applications: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Version: {}
                  }
                }
              },
              NextToken: {},
              AvailableOSReleases: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Label: {}
                  }
                }
              }
            }
          }
        },
        DescribeSecurityConfiguration: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              SecurityConfiguration: {},
              CreationDateTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeStep: {
          input: {
            type: "structure",
            required: [
              "ClusterId",
              "StepId"
            ],
            members: {
              ClusterId: {},
              StepId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Step: {
                type: "structure",
                members: {
                  Id: {},
                  Name: {},
                  Config: {
                    shape: "S4k"
                  },
                  ActionOnFailure: {},
                  Status: {
                    shape: "S4l"
                  },
                  ExecutionRoleArn: {}
                }
              }
            }
          }
        },
        DescribeStudio: {
          input: {
            type: "structure",
            required: [
              "StudioId"
            ],
            members: {
              StudioId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Studio: {
                type: "structure",
                members: {
                  StudioId: {},
                  StudioArn: {},
                  Name: {},
                  Description: {},
                  AuthMode: {},
                  VpcId: {},
                  SubnetIds: {
                    shape: "S2d"
                  },
                  ServiceRole: {},
                  UserRole: {},
                  WorkspaceSecurityGroupId: {},
                  EngineSecurityGroupId: {},
                  Url: {},
                  CreationTime: {
                    type: "timestamp"
                  },
                  DefaultS3Location: {},
                  IdpAuthUrl: {},
                  IdpRelayStateParameterName: {},
                  Tags: {
                    shape: "S1y"
                  }
                }
              }
            }
          }
        },
        GetAutoTerminationPolicy: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AutoTerminationPolicy: {
                shape: "S4w"
              }
            }
          }
        },
        GetBlockPublicAccessConfiguration: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "BlockPublicAccessConfiguration",
              "BlockPublicAccessConfigurationMetadata"
            ],
            members: {
              BlockPublicAccessConfiguration: {
                shape: "S50"
              },
              BlockPublicAccessConfigurationMetadata: {
                type: "structure",
                required: [
                  "CreationDateTime",
                  "CreatedByArn"
                ],
                members: {
                  CreationDateTime: {
                    type: "timestamp"
                  },
                  CreatedByArn: {}
                }
              }
            }
          }
        },
        GetClusterSessionCredentials: {
          input: {
            type: "structure",
            required: [
              "ClusterId",
              "ExecutionRoleArn"
            ],
            members: {
              ClusterId: {},
              ExecutionRoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Credentials: {
                type: "structure",
                members: {
                  UsernamePassword: {
                    type: "structure",
                    members: {
                      Username: {},
                      Password: {}
                    },
                    sensitive: true
                  }
                },
                union: true
              },
              ExpiresAt: {
                type: "timestamp"
              }
            }
          }
        },
        GetManagedScalingPolicy: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ManagedScalingPolicy: {
                shape: "S5b"
              }
            }
          }
        },
        GetStudioSessionMapping: {
          input: {
            type: "structure",
            required: [
              "StudioId",
              "IdentityType"
            ],
            members: {
              StudioId: {},
              IdentityId: {},
              IdentityName: {},
              IdentityType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SessionMapping: {
                type: "structure",
                members: {
                  StudioId: {},
                  IdentityId: {},
                  IdentityName: {},
                  IdentityType: {},
                  SessionPolicyArn: {},
                  CreationTime: {
                    type: "timestamp"
                  },
                  LastModifiedTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        ListBootstrapActions: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {},
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BootstrapActions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    ScriptPath: {},
                    Args: {
                      shape: "S2z"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        ListClusters: {
          input: {
            type: "structure",
            members: {
              CreatedAfter: {
                type: "timestamp"
              },
              CreatedBefore: {
                type: "timestamp"
              },
              ClusterStates: {
                type: "list",
                member: {}
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Clusters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Name: {},
                    Status: {
                      shape: "S2p"
                    },
                    NormalizedInstanceHours: {
                      type: "integer"
                    },
                    ClusterArn: {},
                    OutpostArn: {}
                  }
                }
              },
              Marker: {}
            }
          }
        },
        ListInstanceFleets: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {},
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceFleets: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Name: {},
                    Status: {
                      type: "structure",
                      members: {
                        State: {},
                        StateChangeReason: {
                          type: "structure",
                          members: {
                            Code: {},
                            Message: {}
                          }
                        },
                        Timeline: {
                          type: "structure",
                          members: {
                            CreationDateTime: {
                              type: "timestamp"
                            },
                            ReadyDateTime: {
                              type: "timestamp"
                            },
                            EndDateTime: {
                              type: "timestamp"
                            }
                          }
                        }
                      }
                    },
                    InstanceFleetType: {},
                    TargetOnDemandCapacity: {
                      type: "integer"
                    },
                    TargetSpotCapacity: {
                      type: "integer"
                    },
                    ProvisionedOnDemandCapacity: {
                      type: "integer"
                    },
                    ProvisionedSpotCapacity: {
                      type: "integer"
                    },
                    InstanceTypeSpecifications: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          InstanceType: {},
                          WeightedCapacity: {
                            type: "integer"
                          },
                          BidPrice: {},
                          BidPriceAsPercentageOfOnDemandPrice: {
                            type: "double"
                          },
                          Configurations: {
                            shape: "Si"
                          },
                          EbsBlockDevices: {
                            shape: "S62"
                          },
                          EbsOptimized: {
                            type: "boolean"
                          },
                          CustomAmiId: {}
                        }
                      }
                    },
                    LaunchSpecifications: {
                      shape: "Sl"
                    },
                    ResizeSpecifications: {
                      shape: "Su"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        ListInstanceGroups: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {},
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Name: {},
                    Market: {},
                    InstanceGroupType: {},
                    BidPrice: {},
                    InstanceType: {},
                    RequestedInstanceCount: {
                      type: "integer"
                    },
                    RunningInstanceCount: {
                      type: "integer"
                    },
                    Status: {
                      type: "structure",
                      members: {
                        State: {},
                        StateChangeReason: {
                          type: "structure",
                          members: {
                            Code: {},
                            Message: {}
                          }
                        },
                        Timeline: {
                          type: "structure",
                          members: {
                            CreationDateTime: {
                              type: "timestamp"
                            },
                            ReadyDateTime: {
                              type: "timestamp"
                            },
                            EndDateTime: {
                              type: "timestamp"
                            }
                          }
                        }
                      }
                    },
                    Configurations: {
                      shape: "Si"
                    },
                    ConfigurationsVersion: {
                      type: "long"
                    },
                    LastSuccessfullyAppliedConfigurations: {
                      shape: "Si"
                    },
                    LastSuccessfullyAppliedConfigurationsVersion: {
                      type: "long"
                    },
                    EbsBlockDevices: {
                      shape: "S62"
                    },
                    EbsOptimized: {
                      type: "boolean"
                    },
                    ShrinkPolicy: {
                      shape: "S6e"
                    },
                    AutoScalingPolicy: {
                      shape: "S6i"
                    },
                    CustomAmiId: {}
                  }
                }
              },
              Marker: {}
            }
          }
        },
        ListInstances: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {},
              InstanceGroupId: {},
              InstanceGroupTypes: {
                type: "list",
                member: {}
              },
              InstanceFleetId: {},
              InstanceFleetType: {},
              InstanceStates: {
                type: "list",
                member: {}
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Instances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Ec2InstanceId: {},
                    PublicDnsName: {},
                    PublicIpAddress: {},
                    PrivateDnsName: {},
                    PrivateIpAddress: {},
                    Status: {
                      type: "structure",
                      members: {
                        State: {},
                        StateChangeReason: {
                          type: "structure",
                          members: {
                            Code: {},
                            Message: {}
                          }
                        },
                        Timeline: {
                          type: "structure",
                          members: {
                            CreationDateTime: {
                              type: "timestamp"
                            },
                            ReadyDateTime: {
                              type: "timestamp"
                            },
                            EndDateTime: {
                              type: "timestamp"
                            }
                          }
                        }
                      }
                    },
                    InstanceGroupId: {},
                    InstanceFleetId: {},
                    Market: {},
                    InstanceType: {},
                    EbsVolumes: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Device: {},
                          VolumeId: {}
                        }
                      }
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        ListNotebookExecutions: {
          input: {
            type: "structure",
            members: {
              EditorId: {},
              Status: {},
              From: {
                type: "timestamp"
              },
              To: {
                type: "timestamp"
              },
              Marker: {},
              ExecutionEngineId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NotebookExecutions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    NotebookExecutionId: {},
                    EditorId: {},
                    NotebookExecutionName: {},
                    Status: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    NotebookS3Location: {
                      shape: "S43"
                    },
                    ExecutionEngineId: {}
                  }
                }
              },
              Marker: {}
            }
          }
        },
        ListReleaseLabels: {
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "structure",
                members: {
                  Prefix: {},
                  Application: {}
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReleaseLabels: {
                shape: "S2z"
              },
              NextToken: {}
            }
          }
        },
        ListSecurityConfigurations: {
          input: {
            type: "structure",
            members: {
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SecurityConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    CreationDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        ListSteps: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {},
              StepStates: {
                type: "list",
                member: {}
              },
              StepIds: {
                shape: "S1t"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Steps: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Name: {},
                    Config: {
                      shape: "S4k"
                    },
                    ActionOnFailure: {},
                    Status: {
                      shape: "S4l"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        ListStudioSessionMappings: {
          input: {
            type: "structure",
            members: {
              StudioId: {},
              IdentityType: {},
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SessionMappings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StudioId: {},
                    IdentityId: {},
                    IdentityName: {},
                    IdentityType: {},
                    SessionPolicyArn: {},
                    CreationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        ListStudios: {
          input: {
            type: "structure",
            members: {
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Studios: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StudioId: {},
                    Name: {},
                    VpcId: {},
                    Description: {},
                    Url: {},
                    AuthMode: {},
                    CreationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        ListSupportedInstanceTypes: {
          input: {
            type: "structure",
            required: [
              "ReleaseLabel"
            ],
            members: {
              ReleaseLabel: {},
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SupportedInstanceTypes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    MemoryGB: {
                      type: "float"
                    },
                    StorageGB: {
                      type: "integer"
                    },
                    VCPU: {
                      type: "integer"
                    },
                    Is64BitsOnly: {
                      type: "boolean"
                    },
                    InstanceFamilyId: {},
                    EbsOptimizedAvailable: {
                      type: "boolean"
                    },
                    EbsOptimizedByDefault: {
                      type: "boolean"
                    },
                    NumberOfDisks: {
                      type: "integer"
                    },
                    EbsStorageOnly: {
                      type: "boolean"
                    },
                    Architecture: {}
                  }
                }
              },
              Marker: {}
            }
          }
        },
        ModifyCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {},
              StepConcurrencyLevel: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StepConcurrencyLevel: {
                type: "integer"
              }
            }
          }
        },
        ModifyInstanceFleet: {
          input: {
            type: "structure",
            required: [
              "ClusterId",
              "InstanceFleet"
            ],
            members: {
              ClusterId: {},
              InstanceFleet: {
                type: "structure",
                required: [
                  "InstanceFleetId"
                ],
                members: {
                  InstanceFleetId: {},
                  TargetOnDemandCapacity: {
                    type: "integer"
                  },
                  TargetSpotCapacity: {
                    type: "integer"
                  },
                  ResizeSpecifications: {
                    shape: "Su"
                  }
                }
              }
            }
          }
        },
        ModifyInstanceGroups: {
          input: {
            type: "structure",
            members: {
              ClusterId: {},
              InstanceGroups: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "InstanceGroupId"
                  ],
                  members: {
                    InstanceGroupId: {},
                    InstanceCount: {
                      type: "integer"
                    },
                    EC2InstanceIdsToTerminate: {
                      type: "list",
                      member: {}
                    },
                    ShrinkPolicy: {
                      shape: "S6e"
                    },
                    ReconfigurationType: {},
                    Configurations: {
                      shape: "Si"
                    }
                  }
                }
              }
            }
          }
        },
        PutAutoScalingPolicy: {
          input: {
            type: "structure",
            required: [
              "ClusterId",
              "InstanceGroupId",
              "AutoScalingPolicy"
            ],
            members: {
              ClusterId: {},
              InstanceGroupId: {},
              AutoScalingPolicy: {
                shape: "S15"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ClusterId: {},
              InstanceGroupId: {},
              AutoScalingPolicy: {
                shape: "S6i"
              },
              ClusterArn: {}
            }
          }
        },
        PutAutoTerminationPolicy: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {},
              AutoTerminationPolicy: {
                shape: "S4w"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutBlockPublicAccessConfiguration: {
          input: {
            type: "structure",
            required: [
              "BlockPublicAccessConfiguration"
            ],
            members: {
              BlockPublicAccessConfiguration: {
                shape: "S50"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutManagedScalingPolicy: {
          input: {
            type: "structure",
            required: [
              "ClusterId",
              "ManagedScalingPolicy"
            ],
            members: {
              ClusterId: {},
              ManagedScalingPolicy: {
                shape: "S5b"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RemoveAutoScalingPolicy: {
          input: {
            type: "structure",
            required: [
              "ClusterId",
              "InstanceGroupId"
            ],
            members: {
              ClusterId: {},
              InstanceGroupId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RemoveAutoTerminationPolicy: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RemoveManagedScalingPolicy: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RemoveTags: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "TagKeys"
            ],
            members: {
              ResourceId: {},
              TagKeys: {
                shape: "S2z"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RunJobFlow: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Instances"
            ],
            members: {
              Name: {},
              LogUri: {},
              LogEncryptionKmsKeyId: {},
              AdditionalInfo: {},
              AmiVersion: {},
              ReleaseLabel: {},
              Instances: {
                type: "structure",
                members: {
                  MasterInstanceType: {},
                  SlaveInstanceType: {},
                  InstanceCount: {
                    type: "integer"
                  },
                  InstanceGroups: {
                    shape: "S11"
                  },
                  InstanceFleets: {
                    type: "list",
                    member: {
                      shape: "S3"
                    }
                  },
                  Ec2KeyName: {},
                  Placement: {
                    shape: "S3m"
                  },
                  KeepJobFlowAliveWhenNoSteps: {
                    type: "boolean"
                  },
                  TerminationProtected: {
                    type: "boolean"
                  },
                  HadoopVersion: {},
                  Ec2SubnetId: {},
                  Ec2SubnetIds: {
                    shape: "S2y"
                  },
                  EmrManagedMasterSecurityGroup: {},
                  EmrManagedSlaveSecurityGroup: {},
                  ServiceAccessSecurityGroup: {},
                  AdditionalMasterSecurityGroups: {
                    shape: "S8l"
                  },
                  AdditionalSlaveSecurityGroups: {
                    shape: "S8l"
                  }
                }
              },
              Steps: {
                shape: "S1m"
              },
              BootstrapActions: {
                type: "list",
                member: {
                  shape: "S3t"
                }
              },
              SupportedProducts: {
                shape: "S3v"
              },
              NewSupportedProducts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Args: {
                      shape: "S1t"
                    }
                  }
                }
              },
              Applications: {
                shape: "S32"
              },
              Configurations: {
                shape: "Si"
              },
              VisibleToAllUsers: {
                type: "boolean"
              },
              JobFlowRole: {},
              ServiceRole: {},
              Tags: {
                shape: "S1y"
              },
              SecurityConfiguration: {},
              AutoScalingRole: {},
              ScaleDownBehavior: {},
              CustomAmiId: {},
              EbsRootVolumeSize: {
                type: "integer"
              },
              RepoUpgradeOnBoot: {},
              KerberosAttributes: {
                shape: "S36"
              },
              StepConcurrencyLevel: {
                type: "integer"
              },
              ManagedScalingPolicy: {
                shape: "S5b"
              },
              PlacementGroupConfigs: {
                shape: "S38"
              },
              AutoTerminationPolicy: {
                shape: "S4w"
              },
              OSReleaseLabel: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobFlowId: {},
              ClusterArn: {}
            }
          }
        },
        SetTerminationProtection: {
          input: {
            type: "structure",
            required: [
              "JobFlowIds",
              "TerminationProtected"
            ],
            members: {
              JobFlowIds: {
                shape: "S1t"
              },
              TerminationProtected: {
                type: "boolean"
              }
            }
          }
        },
        SetVisibleToAllUsers: {
          input: {
            type: "structure",
            required: [
              "JobFlowIds",
              "VisibleToAllUsers"
            ],
            members: {
              JobFlowIds: {
                shape: "S1t"
              },
              VisibleToAllUsers: {
                type: "boolean"
              }
            }
          }
        },
        StartNotebookExecution: {
          input: {
            type: "structure",
            required: [
              "ExecutionEngine",
              "ServiceRole"
            ],
            members: {
              EditorId: {},
              RelativePath: {},
              NotebookExecutionName: {},
              NotebookParams: {},
              ExecutionEngine: {
                shape: "S3z"
              },
              ServiceRole: {},
              NotebookInstanceSecurityGroupId: {},
              Tags: {
                shape: "S1y"
              },
              NotebookS3Location: {
                type: "structure",
                members: {
                  Bucket: {},
                  Key: {}
                }
              },
              OutputNotebookS3Location: {
                type: "structure",
                members: {
                  Bucket: {},
                  Key: {}
                }
              },
              OutputNotebookFormat: {},
              EnvironmentVariables: {
                shape: "S47"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NotebookExecutionId: {}
            }
          }
        },
        StopNotebookExecution: {
          input: {
            type: "structure",
            required: [
              "NotebookExecutionId"
            ],
            members: {
              NotebookExecutionId: {}
            }
          }
        },
        TerminateJobFlows: {
          input: {
            type: "structure",
            required: [
              "JobFlowIds"
            ],
            members: {
              JobFlowIds: {
                shape: "S1t"
              }
            }
          }
        },
        UpdateStudio: {
          input: {
            type: "structure",
            required: [
              "StudioId"
            ],
            members: {
              StudioId: {},
              Name: {},
              Description: {},
              SubnetIds: {
                shape: "S2d"
              },
              DefaultS3Location: {}
            }
          }
        },
        UpdateStudioSessionMapping: {
          input: {
            type: "structure",
            required: [
              "StudioId",
              "IdentityType",
              "SessionPolicyArn"
            ],
            members: {
              StudioId: {},
              IdentityId: {},
              IdentityName: {},
              IdentityType: {},
              SessionPolicyArn: {}
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "structure",
          required: [
            "InstanceFleetType"
          ],
          members: {
            Name: {},
            InstanceFleetType: {},
            TargetOnDemandCapacity: {
              type: "integer"
            },
            TargetSpotCapacity: {
              type: "integer"
            },
            InstanceTypeConfigs: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "InstanceType"
                ],
                members: {
                  InstanceType: {},
                  WeightedCapacity: {
                    type: "integer"
                  },
                  BidPrice: {},
                  BidPriceAsPercentageOfOnDemandPrice: {
                    type: "double"
                  },
                  EbsConfiguration: {
                    shape: "Sa"
                  },
                  Configurations: {
                    shape: "Si"
                  },
                  CustomAmiId: {}
                }
              }
            },
            LaunchSpecifications: {
              shape: "Sl"
            },
            ResizeSpecifications: {
              shape: "Su"
            }
          }
        },
        Sa: {
          type: "structure",
          members: {
            EbsBlockDeviceConfigs: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "VolumeSpecification"
                ],
                members: {
                  VolumeSpecification: {
                    shape: "Sd"
                  },
                  VolumesPerInstance: {
                    type: "integer"
                  }
                }
              }
            },
            EbsOptimized: {
              type: "boolean"
            }
          }
        },
        Sd: {
          type: "structure",
          required: [
            "VolumeType",
            "SizeInGB"
          ],
          members: {
            VolumeType: {},
            Iops: {
              type: "integer"
            },
            SizeInGB: {
              type: "integer"
            },
            Throughput: {
              type: "integer"
            }
          }
        },
        Si: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Classification: {},
              Configurations: {
                shape: "Si"
              },
              Properties: {
                shape: "Sk"
              }
            }
          }
        },
        Sk: {
          type: "map",
          key: {},
          value: {}
        },
        Sl: {
          type: "structure",
          members: {
            SpotSpecification: {
              type: "structure",
              required: [
                "TimeoutDurationMinutes",
                "TimeoutAction"
              ],
              members: {
                TimeoutDurationMinutes: {
                  type: "integer"
                },
                TimeoutAction: {},
                BlockDurationMinutes: {
                  type: "integer"
                },
                AllocationStrategy: {}
              }
            },
            OnDemandSpecification: {
              type: "structure",
              required: [
                "AllocationStrategy"
              ],
              members: {
                AllocationStrategy: {},
                CapacityReservationOptions: {
                  type: "structure",
                  members: {
                    UsageStrategy: {},
                    CapacityReservationPreference: {},
                    CapacityReservationResourceGroupArn: {}
                  }
                }
              }
            }
          }
        },
        Su: {
          type: "structure",
          members: {
            SpotResizeSpecification: {
              type: "structure",
              required: [
                "TimeoutDurationMinutes"
              ],
              members: {
                TimeoutDurationMinutes: {
                  type: "integer"
                }
              }
            },
            OnDemandResizeSpecification: {
              type: "structure",
              required: [
                "TimeoutDurationMinutes"
              ],
              members: {
                TimeoutDurationMinutes: {
                  type: "integer"
                }
              }
            }
          }
        },
        S11: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "InstanceRole",
              "InstanceType",
              "InstanceCount"
            ],
            members: {
              Name: {},
              Market: {},
              InstanceRole: {},
              BidPrice: {},
              InstanceType: {},
              InstanceCount: {
                type: "integer"
              },
              Configurations: {
                shape: "Si"
              },
              EbsConfiguration: {
                shape: "Sa"
              },
              AutoScalingPolicy: {
                shape: "S15"
              },
              CustomAmiId: {}
            }
          }
        },
        S15: {
          type: "structure",
          required: [
            "Constraints",
            "Rules"
          ],
          members: {
            Constraints: {
              shape: "S16"
            },
            Rules: {
              shape: "S17"
            }
          }
        },
        S16: {
          type: "structure",
          required: [
            "MinCapacity",
            "MaxCapacity"
          ],
          members: {
            MinCapacity: {
              type: "integer"
            },
            MaxCapacity: {
              type: "integer"
            }
          }
        },
        S17: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Action",
              "Trigger"
            ],
            members: {
              Name: {},
              Description: {},
              Action: {
                type: "structure",
                required: [
                  "SimpleScalingPolicyConfiguration"
                ],
                members: {
                  Market: {},
                  SimpleScalingPolicyConfiguration: {
                    type: "structure",
                    required: [
                      "ScalingAdjustment"
                    ],
                    members: {
                      AdjustmentType: {},
                      ScalingAdjustment: {
                        type: "integer"
                      },
                      CoolDown: {
                        type: "integer"
                      }
                    }
                  }
                }
              },
              Trigger: {
                type: "structure",
                required: [
                  "CloudWatchAlarmDefinition"
                ],
                members: {
                  CloudWatchAlarmDefinition: {
                    type: "structure",
                    required: [
                      "ComparisonOperator",
                      "MetricName",
                      "Period",
                      "Threshold"
                    ],
                    members: {
                      ComparisonOperator: {},
                      EvaluationPeriods: {
                        type: "integer"
                      },
                      MetricName: {},
                      Namespace: {},
                      Period: {
                        type: "integer"
                      },
                      Statistic: {},
                      Threshold: {
                        type: "double"
                      },
                      Unit: {},
                      Dimensions: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            Key: {},
                            Value: {}
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S1m: {
          type: "list",
          member: {
            shape: "S1n"
          }
        },
        S1n: {
          type: "structure",
          required: [
            "Name",
            "HadoopJarStep"
          ],
          members: {
            Name: {},
            ActionOnFailure: {},
            HadoopJarStep: {
              type: "structure",
              required: [
                "Jar"
              ],
              members: {
                Properties: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      Key: {},
                      Value: {}
                    }
                  }
                },
                Jar: {},
                MainClass: {},
                Args: {
                  shape: "S1t"
                }
              }
            }
          }
        },
        S1t: {
          type: "list",
          member: {}
        },
        S1v: {
          type: "list",
          member: {}
        },
        S1y: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S2d: {
          type: "list",
          member: {}
        },
        S2p: {
          type: "structure",
          members: {
            State: {},
            StateChangeReason: {
              type: "structure",
              members: {
                Code: {},
                Message: {}
              }
            },
            Timeline: {
              type: "structure",
              members: {
                CreationDateTime: {
                  type: "timestamp"
                },
                ReadyDateTime: {
                  type: "timestamp"
                },
                EndDateTime: {
                  type: "timestamp"
                }
              }
            },
            ErrorDetails: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  ErrorCode: {},
                  ErrorData: {
                    type: "list",
                    member: {
                      shape: "Sk"
                    }
                  },
                  ErrorMessage: {}
                }
              }
            }
          }
        },
        S2y: {
          type: "list",
          member: {}
        },
        S2z: {
          type: "list",
          member: {}
        },
        S32: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Version: {},
              Args: {
                shape: "S2z"
              },
              AdditionalInfo: {
                shape: "Sk"
              }
            }
          }
        },
        S36: {
          type: "structure",
          required: [
            "Realm",
            "KdcAdminPassword"
          ],
          members: {
            Realm: {},
            KdcAdminPassword: {},
            CrossRealmTrustPrincipalPassword: {},
            ADDomainJoinUser: {},
            ADDomainJoinPassword: {}
          }
        },
        S38: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "InstanceRole"
            ],
            members: {
              InstanceRole: {},
              PlacementStrategy: {}
            }
          }
        },
        S3m: {
          type: "structure",
          members: {
            AvailabilityZone: {},
            AvailabilityZones: {
              shape: "S2y"
            }
          }
        },
        S3t: {
          type: "structure",
          required: [
            "Name",
            "ScriptBootstrapAction"
          ],
          members: {
            Name: {},
            ScriptBootstrapAction: {
              type: "structure",
              required: [
                "Path"
              ],
              members: {
                Path: {},
                Args: {
                  shape: "S1t"
                }
              }
            }
          }
        },
        S3v: {
          type: "list",
          member: {}
        },
        S3z: {
          type: "structure",
          required: [
            "Id"
          ],
          members: {
            Id: {},
            Type: {},
            MasterInstanceSecurityGroupId: {},
            ExecutionRoleArn: {}
          }
        },
        S43: {
          type: "structure",
          members: {
            Bucket: {},
            Key: {}
          }
        },
        S47: {
          type: "map",
          key: {},
          value: {}
        },
        S4k: {
          type: "structure",
          members: {
            Jar: {},
            Properties: {
              shape: "Sk"
            },
            MainClass: {},
            Args: {
              shape: "S2z"
            }
          }
        },
        S4l: {
          type: "structure",
          members: {
            State: {},
            StateChangeReason: {
              type: "structure",
              members: {
                Code: {},
                Message: {}
              }
            },
            FailureDetails: {
              type: "structure",
              members: {
                Reason: {},
                Message: {},
                LogFile: {}
              }
            },
            Timeline: {
              type: "structure",
              members: {
                CreationDateTime: {
                  type: "timestamp"
                },
                StartDateTime: {
                  type: "timestamp"
                },
                EndDateTime: {
                  type: "timestamp"
                }
              }
            }
          }
        },
        S4w: {
          type: "structure",
          members: {
            IdleTimeout: {
              type: "long"
            }
          }
        },
        S50: {
          type: "structure",
          required: [
            "BlockPublicSecurityGroupRules"
          ],
          members: {
            BlockPublicSecurityGroupRules: {
              type: "boolean"
            },
            PermittedPublicSecurityGroupRuleRanges: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "MinRange"
                ],
                members: {
                  MinRange: {
                    type: "integer"
                  },
                  MaxRange: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        S5b: {
          type: "structure",
          members: {
            ComputeLimits: {
              type: "structure",
              required: [
                "UnitType",
                "MinimumCapacityUnits",
                "MaximumCapacityUnits"
              ],
              members: {
                UnitType: {},
                MinimumCapacityUnits: {
                  type: "integer"
                },
                MaximumCapacityUnits: {
                  type: "integer"
                },
                MaximumOnDemandCapacityUnits: {
                  type: "integer"
                },
                MaximumCoreCapacityUnits: {
                  type: "integer"
                }
              }
            }
          }
        },
        S62: {
          type: "list",
          member: {
            type: "structure",
            members: {
              VolumeSpecification: {
                shape: "Sd"
              },
              Device: {}
            }
          }
        },
        S6e: {
          type: "structure",
          members: {
            DecommissionTimeout: {
              type: "integer"
            },
            InstanceResizePolicy: {
              type: "structure",
              members: {
                InstancesToTerminate: {
                  shape: "S6g"
                },
                InstancesToProtect: {
                  shape: "S6g"
                },
                InstanceTerminationTimeout: {
                  type: "integer"
                }
              }
            }
          }
        },
        S6g: {
          type: "list",
          member: {}
        },
        S6i: {
          type: "structure",
          members: {
            Status: {
              type: "structure",
              members: {
                State: {},
                StateChangeReason: {
                  type: "structure",
                  members: {
                    Code: {},
                    Message: {}
                  }
                }
              }
            },
            Constraints: {
              shape: "S16"
            },
            Rules: {
              shape: "S17"
            }
          }
        },
        S8l: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/elasticmapreduce-2009-03-31.paginators.json
var require_elasticmapreduce_2009_03_31_paginators = __commonJS({
  "node_modules/aws-sdk/apis/elasticmapreduce-2009-03-31.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeJobFlows: {
          result_key: "JobFlows"
        },
        ListBootstrapActions: {
          input_token: "Marker",
          output_token: "Marker",
          result_key: "BootstrapActions"
        },
        ListClusters: {
          input_token: "Marker",
          output_token: "Marker",
          result_key: "Clusters"
        },
        ListInstanceFleets: {
          input_token: "Marker",
          output_token: "Marker",
          result_key: "InstanceFleets"
        },
        ListInstanceGroups: {
          input_token: "Marker",
          output_token: "Marker",
          result_key: "InstanceGroups"
        },
        ListInstances: {
          input_token: "Marker",
          output_token: "Marker",
          result_key: "Instances"
        },
        ListNotebookExecutions: {
          input_token: "Marker",
          output_token: "Marker",
          result_key: "NotebookExecutions"
        },
        ListReleaseLabels: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListSecurityConfigurations: {
          input_token: "Marker",
          output_token: "Marker",
          result_key: "SecurityConfigurations"
        },
        ListSteps: {
          input_token: "Marker",
          output_token: "Marker",
          result_key: "Steps"
        },
        ListStudioSessionMappings: {
          input_token: "Marker",
          output_token: "Marker",
          result_key: "SessionMappings"
        },
        ListStudios: {
          input_token: "Marker",
          output_token: "Marker",
          result_key: "Studios"
        },
        ListSupportedInstanceTypes: {
          input_token: "Marker",
          output_token: "Marker"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/elasticmapreduce-2009-03-31.waiters2.json
var require_elasticmapreduce_2009_03_31_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/elasticmapreduce-2009-03-31.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        ClusterRunning: {
          delay: 30,
          operation: "DescribeCluster",
          maxAttempts: 60,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "Cluster.Status.State",
              expected: "RUNNING"
            },
            {
              state: "success",
              matcher: "path",
              argument: "Cluster.Status.State",
              expected: "WAITING"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "Cluster.Status.State",
              expected: "TERMINATING"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "Cluster.Status.State",
              expected: "TERMINATED"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "Cluster.Status.State",
              expected: "TERMINATED_WITH_ERRORS"
            }
          ]
        },
        StepComplete: {
          delay: 30,
          operation: "DescribeStep",
          maxAttempts: 60,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "Step.Status.State",
              expected: "COMPLETED"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "Step.Status.State",
              expected: "FAILED"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "Step.Status.State",
              expected: "CANCELLED"
            }
          ]
        },
        ClusterTerminated: {
          delay: 30,
          operation: "DescribeCluster",
          maxAttempts: 60,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "Cluster.Status.State",
              expected: "TERMINATED"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "Cluster.Status.State",
              expected: "TERMINATED_WITH_ERRORS"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/emr.js
var require_emr = __commonJS({
  "node_modules/aws-sdk/clients/emr.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["emr"] = {};
    AWS2.EMR = Service.defineService("emr", ["2009-03-31"]);
    Object.defineProperty(apiLoader.services["emr"], "2009-03-31", {
      get: function get() {
        var model = require_elasticmapreduce_2009_03_31_min();
        model.paginators = require_elasticmapreduce_2009_03_31_paginators().pagination;
        model.waiters = require_elasticmapreduce_2009_03_31_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.EMR;
  }
});

// node_modules/aws-sdk/apis/es-2015-01-01.min.json
var require_es_2015_01_01_min = __commonJS({
  "node_modules/aws-sdk/apis/es-2015-01-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-01-01",
        endpointPrefix: "es",
        protocol: "rest-json",
        serviceFullName: "Amazon Elasticsearch Service",
        serviceId: "Elasticsearch Service",
        signatureVersion: "v4",
        uid: "es-2015-01-01"
      },
      operations: {
        AcceptInboundCrossClusterSearchConnection: {
          http: {
            method: "PUT",
            requestUri: "/2015-01-01/es/ccs/inboundConnection/{ConnectionId}/accept"
          },
          input: {
            type: "structure",
            required: [
              "CrossClusterSearchConnectionId"
            ],
            members: {
              CrossClusterSearchConnectionId: {
                location: "uri",
                locationName: "ConnectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CrossClusterSearchConnection: {
                shape: "S4"
              }
            }
          }
        },
        AddTags: {
          http: {
            requestUri: "/2015-01-01/tags"
          },
          input: {
            type: "structure",
            required: [
              "ARN",
              "TagList"
            ],
            members: {
              ARN: {},
              TagList: {
                shape: "Se"
              }
            }
          }
        },
        AssociatePackage: {
          http: {
            requestUri: "/2015-01-01/packages/associate/{PackageID}/{DomainName}"
          },
          input: {
            type: "structure",
            required: [
              "PackageID",
              "DomainName"
            ],
            members: {
              PackageID: {
                location: "uri",
                locationName: "PackageID"
              },
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainPackageDetails: {
                shape: "Sl"
              }
            }
          }
        },
        AuthorizeVpcEndpointAccess: {
          http: {
            requestUri: "/2015-01-01/es/domain/{DomainName}/authorizeVpcEndpointAccess"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Account"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              Account: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "AuthorizedPrincipal"
            ],
            members: {
              AuthorizedPrincipal: {
                shape: "Sy"
              }
            }
          }
        },
        CancelElasticsearchServiceSoftwareUpdate: {
          http: {
            requestUri: "/2015-01-01/es/serviceSoftwareUpdate/cancel"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceSoftwareOptions: {
                shape: "S13"
              }
            }
          }
        },
        CreateElasticsearchDomain: {
          http: {
            requestUri: "/2015-01-01/es/domain"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              ElasticsearchVersion: {},
              ElasticsearchClusterConfig: {
                shape: "S19"
              },
              EBSOptions: {
                shape: "S1f"
              },
              AccessPolicies: {},
              SnapshotOptions: {
                shape: "S1i"
              },
              VPCOptions: {
                shape: "S1j"
              },
              CognitoOptions: {
                shape: "S1l"
              },
              EncryptionAtRestOptions: {
                shape: "S1p"
              },
              NodeToNodeEncryptionOptions: {
                shape: "S1r"
              },
              AdvancedOptions: {
                shape: "S1s"
              },
              LogPublishingOptions: {
                shape: "S1t"
              },
              DomainEndpointOptions: {
                shape: "S1x"
              },
              AdvancedSecurityOptions: {
                shape: "S20"
              },
              AutoTuneOptions: {
                type: "structure",
                members: {
                  DesiredState: {},
                  MaintenanceSchedules: {
                    shape: "S2b"
                  }
                }
              },
              TagList: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainStatus: {
                shape: "S2i"
              }
            }
          }
        },
        CreateOutboundCrossClusterSearchConnection: {
          http: {
            requestUri: "/2015-01-01/es/ccs/outboundConnection"
          },
          input: {
            type: "structure",
            required: [
              "SourceDomainInfo",
              "DestinationDomainInfo",
              "ConnectionAlias"
            ],
            members: {
              SourceDomainInfo: {
                shape: "S5"
              },
              DestinationDomainInfo: {
                shape: "S5"
              },
              ConnectionAlias: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SourceDomainInfo: {
                shape: "S5"
              },
              DestinationDomainInfo: {
                shape: "S5"
              },
              ConnectionAlias: {},
              ConnectionStatus: {
                shape: "S2y"
              },
              CrossClusterSearchConnectionId: {}
            }
          }
        },
        CreatePackage: {
          http: {
            requestUri: "/2015-01-01/packages"
          },
          input: {
            type: "structure",
            required: [
              "PackageName",
              "PackageType",
              "PackageSource"
            ],
            members: {
              PackageName: {},
              PackageType: {},
              PackageDescription: {},
              PackageSource: {
                shape: "S32"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PackageDetails: {
                shape: "S36"
              }
            }
          }
        },
        CreateVpcEndpoint: {
          http: {
            requestUri: "/2015-01-01/es/vpcEndpoints"
          },
          input: {
            type: "structure",
            required: [
              "DomainArn",
              "VpcOptions"
            ],
            members: {
              DomainArn: {},
              VpcOptions: {
                shape: "S1j"
              },
              ClientToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcEndpoint"
            ],
            members: {
              VpcEndpoint: {
                shape: "S3d"
              }
            }
          }
        },
        DeleteElasticsearchDomain: {
          http: {
            method: "DELETE",
            requestUri: "/2015-01-01/es/domain/{DomainName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainStatus: {
                shape: "S2i"
              }
            }
          }
        },
        DeleteElasticsearchServiceRole: {
          http: {
            method: "DELETE",
            requestUri: "/2015-01-01/es/role"
          }
        },
        DeleteInboundCrossClusterSearchConnection: {
          http: {
            method: "DELETE",
            requestUri: "/2015-01-01/es/ccs/inboundConnection/{ConnectionId}"
          },
          input: {
            type: "structure",
            required: [
              "CrossClusterSearchConnectionId"
            ],
            members: {
              CrossClusterSearchConnectionId: {
                location: "uri",
                locationName: "ConnectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CrossClusterSearchConnection: {
                shape: "S4"
              }
            }
          }
        },
        DeleteOutboundCrossClusterSearchConnection: {
          http: {
            method: "DELETE",
            requestUri: "/2015-01-01/es/ccs/outboundConnection/{ConnectionId}"
          },
          input: {
            type: "structure",
            required: [
              "CrossClusterSearchConnectionId"
            ],
            members: {
              CrossClusterSearchConnectionId: {
                location: "uri",
                locationName: "ConnectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CrossClusterSearchConnection: {
                shape: "S3n"
              }
            }
          }
        },
        DeletePackage: {
          http: {
            method: "DELETE",
            requestUri: "/2015-01-01/packages/{PackageID}"
          },
          input: {
            type: "structure",
            required: [
              "PackageID"
            ],
            members: {
              PackageID: {
                location: "uri",
                locationName: "PackageID"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PackageDetails: {
                shape: "S36"
              }
            }
          }
        },
        DeleteVpcEndpoint: {
          http: {
            method: "DELETE",
            requestUri: "/2015-01-01/es/vpcEndpoints/{VpcEndpointId}"
          },
          input: {
            type: "structure",
            required: [
              "VpcEndpointId"
            ],
            members: {
              VpcEndpointId: {
                location: "uri",
                locationName: "VpcEndpointId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcEndpointSummary"
            ],
            members: {
              VpcEndpointSummary: {
                shape: "S3s"
              }
            }
          }
        },
        DescribeDomainAutoTunes: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/es/domain/{DomainName}/autoTunes"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AutoTunes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AutoTuneType: {},
                    AutoTuneDetails: {
                      type: "structure",
                      members: {
                        ScheduledAutoTuneDetails: {
                          type: "structure",
                          members: {
                            Date: {
                              type: "timestamp"
                            },
                            ActionType: {},
                            Action: {},
                            Severity: {}
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeDomainChangeProgress: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/es/domain/{DomainName}/progress"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              ChangeId: {
                location: "querystring",
                locationName: "changeid"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeProgressStatus: {
                type: "structure",
                members: {
                  ChangeId: {},
                  StartTime: {
                    type: "timestamp"
                  },
                  Status: {},
                  PendingProperties: {
                    shape: "S1k"
                  },
                  CompletedProperties: {
                    shape: "S1k"
                  },
                  TotalNumberOfStages: {
                    type: "integer"
                  },
                  ChangeProgressStages: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {},
                        Status: {},
                        Description: {},
                        LastUpdated: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeElasticsearchDomain: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/es/domain/{DomainName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainStatus"
            ],
            members: {
              DomainStatus: {
                shape: "S2i"
              }
            }
          }
        },
        DescribeElasticsearchDomainConfig: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/es/domain/{DomainName}/config"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainConfig"
            ],
            members: {
              DomainConfig: {
                shape: "S4l"
              }
            }
          }
        },
        DescribeElasticsearchDomains: {
          http: {
            requestUri: "/2015-01-01/es/domain-info"
          },
          input: {
            type: "structure",
            required: [
              "DomainNames"
            ],
            members: {
              DomainNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainStatusList"
            ],
            members: {
              DomainStatusList: {
                type: "list",
                member: {
                  shape: "S2i"
                }
              }
            }
          }
        },
        DescribeElasticsearchInstanceTypeLimits: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/es/instanceTypeLimits/{ElasticsearchVersion}/{InstanceType}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceType",
              "ElasticsearchVersion"
            ],
            members: {
              DomainName: {
                location: "querystring",
                locationName: "domainName"
              },
              InstanceType: {
                location: "uri",
                locationName: "InstanceType"
              },
              ElasticsearchVersion: {
                location: "uri",
                locationName: "ElasticsearchVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LimitsByRole: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    StorageTypes: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          StorageTypeName: {},
                          StorageSubTypeName: {},
                          StorageTypeLimits: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                LimitName: {},
                                LimitValues: {
                                  shape: "S5m"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    InstanceLimits: {
                      type: "structure",
                      members: {
                        InstanceCountLimits: {
                          type: "structure",
                          members: {
                            MinimumInstanceCount: {
                              type: "integer"
                            },
                            MaximumInstanceCount: {
                              type: "integer"
                            }
                          }
                        }
                      }
                    },
                    AdditionalLimits: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          LimitName: {},
                          LimitValues: {
                            shape: "S5m"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeInboundCrossClusterSearchConnections: {
          http: {
            requestUri: "/2015-01-01/es/ccs/inboundConnection/search"
          },
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S5v"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CrossClusterSearchConnections: {
                type: "list",
                member: {
                  shape: "S4"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeOutboundCrossClusterSearchConnections: {
          http: {
            requestUri: "/2015-01-01/es/ccs/outboundConnection/search"
          },
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S5v"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CrossClusterSearchConnections: {
                type: "list",
                member: {
                  shape: "S3n"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribePackages: {
          http: {
            requestUri: "/2015-01-01/packages/describe"
          },
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Value: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PackageDetailsList: {
                type: "list",
                member: {
                  shape: "S36"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeReservedElasticsearchInstanceOfferings: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/es/reservedInstanceOfferings"
          },
          input: {
            type: "structure",
            members: {
              ReservedElasticsearchInstanceOfferingId: {
                location: "querystring",
                locationName: "offeringId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ReservedElasticsearchInstanceOfferings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ReservedElasticsearchInstanceOfferingId: {},
                    ElasticsearchInstanceType: {},
                    Duration: {
                      type: "integer"
                    },
                    FixedPrice: {
                      type: "double"
                    },
                    UsagePrice: {
                      type: "double"
                    },
                    CurrencyCode: {},
                    PaymentOption: {},
                    RecurringCharges: {
                      shape: "S6j"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeReservedElasticsearchInstances: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/es/reservedInstances"
          },
          input: {
            type: "structure",
            members: {
              ReservedElasticsearchInstanceId: {
                location: "querystring",
                locationName: "reservationId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ReservedElasticsearchInstances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ReservationName: {},
                    ReservedElasticsearchInstanceId: {},
                    ReservedElasticsearchInstanceOfferingId: {},
                    ElasticsearchInstanceType: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    Duration: {
                      type: "integer"
                    },
                    FixedPrice: {
                      type: "double"
                    },
                    UsagePrice: {
                      type: "double"
                    },
                    CurrencyCode: {},
                    ElasticsearchInstanceCount: {
                      type: "integer"
                    },
                    State: {},
                    PaymentOption: {},
                    RecurringCharges: {
                      shape: "S6j"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeVpcEndpoints: {
          http: {
            requestUri: "/2015-01-01/es/vpcEndpoints/describe"
          },
          input: {
            type: "structure",
            required: [
              "VpcEndpointIds"
            ],
            members: {
              VpcEndpointIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcEndpoints",
              "VpcEndpointErrors"
            ],
            members: {
              VpcEndpoints: {
                type: "list",
                member: {
                  shape: "S3d"
                }
              },
              VpcEndpointErrors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VpcEndpointId: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        DissociatePackage: {
          http: {
            requestUri: "/2015-01-01/packages/dissociate/{PackageID}/{DomainName}"
          },
          input: {
            type: "structure",
            required: [
              "PackageID",
              "DomainName"
            ],
            members: {
              PackageID: {
                location: "uri",
                locationName: "PackageID"
              },
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainPackageDetails: {
                shape: "Sl"
              }
            }
          }
        },
        GetCompatibleElasticsearchVersions: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/es/compatibleVersions"
          },
          input: {
            type: "structure",
            members: {
              DomainName: {
                location: "querystring",
                locationName: "domainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CompatibleElasticsearchVersions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SourceVersion: {},
                    TargetVersions: {
                      shape: "S73"
                    }
                  }
                }
              }
            }
          }
        },
        GetPackageVersionHistory: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/packages/{PackageID}/history"
          },
          input: {
            type: "structure",
            required: [
              "PackageID"
            ],
            members: {
              PackageID: {
                location: "uri",
                locationName: "PackageID"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PackageID: {},
              PackageVersionHistoryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PackageVersion: {},
                    CommitMessage: {},
                    CreatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetUpgradeHistory: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/es/upgradeDomain/{DomainName}/history"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UpgradeHistories: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    UpgradeName: {},
                    StartTimestamp: {
                      type: "timestamp"
                    },
                    UpgradeStatus: {},
                    StepsList: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          UpgradeStep: {},
                          UpgradeStepStatus: {},
                          Issues: {
                            type: "list",
                            member: {}
                          },
                          ProgressPercent: {
                            type: "double"
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetUpgradeStatus: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/es/upgradeDomain/{DomainName}/status"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UpgradeStep: {},
              StepStatus: {},
              UpgradeName: {}
            }
          }
        },
        ListDomainNames: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/domain"
          },
          input: {
            type: "structure",
            members: {
              EngineType: {
                location: "querystring",
                locationName: "engineType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainNames: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DomainName: {},
                    EngineType: {}
                  }
                }
              }
            }
          }
        },
        ListDomainsForPackage: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/packages/{PackageID}/domains"
          },
          input: {
            type: "structure",
            required: [
              "PackageID"
            ],
            members: {
              PackageID: {
                location: "uri",
                locationName: "PackageID"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainPackageDetailsList: {
                shape: "S7u"
              },
              NextToken: {}
            }
          }
        },
        ListElasticsearchInstanceTypes: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/es/instanceTypes/{ElasticsearchVersion}"
          },
          input: {
            type: "structure",
            required: [
              "ElasticsearchVersion"
            ],
            members: {
              ElasticsearchVersion: {
                location: "uri",
                locationName: "ElasticsearchVersion"
              },
              DomainName: {
                location: "querystring",
                locationName: "domainName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ElasticsearchInstanceTypes: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListElasticsearchVersions: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/es/versions"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ElasticsearchVersions: {
                shape: "S73"
              },
              NextToken: {}
            }
          }
        },
        ListPackagesForDomain: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/domain/{DomainName}/packages"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainPackageDetailsList: {
                shape: "S7u"
              },
              NextToken: {}
            }
          }
        },
        ListTags: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/tags/"
          },
          input: {
            type: "structure",
            required: [
              "ARN"
            ],
            members: {
              ARN: {
                location: "querystring",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TagList: {
                shape: "Se"
              }
            }
          }
        },
        ListVpcEndpointAccess: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/es/domain/{DomainName}/listVpcEndpointAccess"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "AuthorizedPrincipalList",
              "NextToken"
            ],
            members: {
              AuthorizedPrincipalList: {
                type: "list",
                member: {
                  shape: "Sy"
                }
              },
              NextToken: {}
            }
          }
        },
        ListVpcEndpoints: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/es/vpcEndpoints"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcEndpointSummaryList",
              "NextToken"
            ],
            members: {
              VpcEndpointSummaryList: {
                shape: "S89"
              },
              NextToken: {}
            }
          }
        },
        ListVpcEndpointsForDomain: {
          http: {
            method: "GET",
            requestUri: "/2015-01-01/es/domain/{DomainName}/vpcEndpoints"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcEndpointSummaryList",
              "NextToken"
            ],
            members: {
              VpcEndpointSummaryList: {
                shape: "S89"
              },
              NextToken: {}
            }
          }
        },
        PurchaseReservedElasticsearchInstanceOffering: {
          http: {
            requestUri: "/2015-01-01/es/purchaseReservedInstanceOffering"
          },
          input: {
            type: "structure",
            required: [
              "ReservedElasticsearchInstanceOfferingId",
              "ReservationName"
            ],
            members: {
              ReservedElasticsearchInstanceOfferingId: {},
              ReservationName: {},
              InstanceCount: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReservedElasticsearchInstanceId: {},
              ReservationName: {}
            }
          }
        },
        RejectInboundCrossClusterSearchConnection: {
          http: {
            method: "PUT",
            requestUri: "/2015-01-01/es/ccs/inboundConnection/{ConnectionId}/reject"
          },
          input: {
            type: "structure",
            required: [
              "CrossClusterSearchConnectionId"
            ],
            members: {
              CrossClusterSearchConnectionId: {
                location: "uri",
                locationName: "ConnectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CrossClusterSearchConnection: {
                shape: "S4"
              }
            }
          }
        },
        RemoveTags: {
          http: {
            requestUri: "/2015-01-01/tags-removal"
          },
          input: {
            type: "structure",
            required: [
              "ARN",
              "TagKeys"
            ],
            members: {
              ARN: {},
              TagKeys: {
                shape: "S1k"
              }
            }
          }
        },
        RevokeVpcEndpointAccess: {
          http: {
            requestUri: "/2015-01-01/es/domain/{DomainName}/revokeVpcEndpointAccess"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Account"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              Account: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartElasticsearchServiceSoftwareUpdate: {
          http: {
            requestUri: "/2015-01-01/es/serviceSoftwareUpdate/start"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceSoftwareOptions: {
                shape: "S13"
              }
            }
          }
        },
        UpdateElasticsearchDomainConfig: {
          http: {
            requestUri: "/2015-01-01/es/domain/{DomainName}/config"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              ElasticsearchClusterConfig: {
                shape: "S19"
              },
              EBSOptions: {
                shape: "S1f"
              },
              SnapshotOptions: {
                shape: "S1i"
              },
              VPCOptions: {
                shape: "S1j"
              },
              CognitoOptions: {
                shape: "S1l"
              },
              AdvancedOptions: {
                shape: "S1s"
              },
              AccessPolicies: {},
              LogPublishingOptions: {
                shape: "S1t"
              },
              DomainEndpointOptions: {
                shape: "S1x"
              },
              AdvancedSecurityOptions: {
                shape: "S20"
              },
              NodeToNodeEncryptionOptions: {
                shape: "S1r"
              },
              EncryptionAtRestOptions: {
                shape: "S1p"
              },
              AutoTuneOptions: {
                shape: "S53"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainConfig"
            ],
            members: {
              DomainConfig: {
                shape: "S4l"
              },
              DryRunResults: {
                type: "structure",
                members: {
                  DeploymentType: {},
                  Message: {}
                }
              }
            }
          }
        },
        UpdatePackage: {
          http: {
            requestUri: "/2015-01-01/packages/update"
          },
          input: {
            type: "structure",
            required: [
              "PackageID",
              "PackageSource"
            ],
            members: {
              PackageID: {},
              PackageSource: {
                shape: "S32"
              },
              PackageDescription: {},
              CommitMessage: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PackageDetails: {
                shape: "S36"
              }
            }
          }
        },
        UpdateVpcEndpoint: {
          http: {
            requestUri: "/2015-01-01/es/vpcEndpoints/update"
          },
          input: {
            type: "structure",
            required: [
              "VpcEndpointId",
              "VpcOptions"
            ],
            members: {
              VpcEndpointId: {},
              VpcOptions: {
                shape: "S1j"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcEndpoint"
            ],
            members: {
              VpcEndpoint: {
                shape: "S3d"
              }
            }
          }
        },
        UpgradeElasticsearchDomain: {
          http: {
            requestUri: "/2015-01-01/es/upgradeDomain"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "TargetVersion"
            ],
            members: {
              DomainName: {},
              TargetVersion: {},
              PerformCheckOnly: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainName: {},
              TargetVersion: {},
              PerformCheckOnly: {
                type: "boolean"
              },
              ChangeProgressDetails: {
                shape: "S2s"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            SourceDomainInfo: {
              shape: "S5"
            },
            DestinationDomainInfo: {
              shape: "S5"
            },
            CrossClusterSearchConnectionId: {},
            ConnectionStatus: {
              type: "structure",
              members: {
                StatusCode: {},
                Message: {}
              }
            }
          }
        },
        S5: {
          type: "structure",
          required: [
            "DomainName"
          ],
          members: {
            OwnerId: {},
            DomainName: {},
            Region: {}
          }
        },
        Se: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sl: {
          type: "structure",
          members: {
            PackageID: {},
            PackageName: {},
            PackageType: {},
            LastUpdated: {
              type: "timestamp"
            },
            DomainName: {},
            DomainPackageStatus: {},
            PackageVersion: {},
            ReferencePath: {},
            ErrorDetails: {
              shape: "Ss"
            }
          }
        },
        Ss: {
          type: "structure",
          members: {
            ErrorType: {},
            ErrorMessage: {}
          }
        },
        Sy: {
          type: "structure",
          members: {
            PrincipalType: {},
            Principal: {}
          }
        },
        S13: {
          type: "structure",
          members: {
            CurrentVersion: {},
            NewVersion: {},
            UpdateAvailable: {
              type: "boolean"
            },
            Cancellable: {
              type: "boolean"
            },
            UpdateStatus: {},
            Description: {},
            AutomatedUpdateDate: {
              type: "timestamp"
            },
            OptionalDeployment: {
              type: "boolean"
            }
          }
        },
        S19: {
          type: "structure",
          members: {
            InstanceType: {},
            InstanceCount: {
              type: "integer"
            },
            DedicatedMasterEnabled: {
              type: "boolean"
            },
            ZoneAwarenessEnabled: {
              type: "boolean"
            },
            ZoneAwarenessConfig: {
              type: "structure",
              members: {
                AvailabilityZoneCount: {
                  type: "integer"
                }
              }
            },
            DedicatedMasterType: {},
            DedicatedMasterCount: {
              type: "integer"
            },
            WarmEnabled: {
              type: "boolean"
            },
            WarmType: {},
            WarmCount: {
              type: "integer"
            },
            ColdStorageOptions: {
              type: "structure",
              required: [
                "Enabled"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                }
              }
            }
          }
        },
        S1f: {
          type: "structure",
          members: {
            EBSEnabled: {
              type: "boolean"
            },
            VolumeType: {},
            VolumeSize: {
              type: "integer"
            },
            Iops: {
              type: "integer"
            },
            Throughput: {
              type: "integer"
            }
          }
        },
        S1i: {
          type: "structure",
          members: {
            AutomatedSnapshotStartHour: {
              type: "integer"
            }
          }
        },
        S1j: {
          type: "structure",
          members: {
            SubnetIds: {
              shape: "S1k"
            },
            SecurityGroupIds: {
              shape: "S1k"
            }
          }
        },
        S1k: {
          type: "list",
          member: {}
        },
        S1l: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            UserPoolId: {},
            IdentityPoolId: {},
            RoleArn: {}
          }
        },
        S1p: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            KmsKeyId: {}
          }
        },
        S1r: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            }
          }
        },
        S1s: {
          type: "map",
          key: {},
          value: {}
        },
        S1t: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              CloudWatchLogsLogGroupArn: {},
              Enabled: {
                type: "boolean"
              }
            }
          }
        },
        S1x: {
          type: "structure",
          members: {
            EnforceHTTPS: {
              type: "boolean"
            },
            TLSSecurityPolicy: {},
            CustomEndpointEnabled: {
              type: "boolean"
            },
            CustomEndpoint: {},
            CustomEndpointCertificateArn: {}
          }
        },
        S20: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            InternalUserDatabaseEnabled: {
              type: "boolean"
            },
            MasterUserOptions: {
              type: "structure",
              members: {
                MasterUserARN: {},
                MasterUserName: {
                  shape: "S22"
                },
                MasterUserPassword: {
                  type: "string",
                  sensitive: true
                }
              }
            },
            SAMLOptions: {
              type: "structure",
              members: {
                Enabled: {
                  type: "boolean"
                },
                Idp: {
                  shape: "S25"
                },
                MasterUserName: {
                  shape: "S22"
                },
                MasterBackendRole: {},
                SubjectKey: {},
                RolesKey: {},
                SessionTimeoutMinutes: {
                  type: "integer"
                }
              }
            },
            AnonymousAuthEnabled: {
              type: "boolean"
            }
          }
        },
        S22: {
          type: "string",
          sensitive: true
        },
        S25: {
          type: "structure",
          required: [
            "MetadataContent",
            "EntityId"
          ],
          members: {
            MetadataContent: {},
            EntityId: {}
          }
        },
        S2b: {
          type: "list",
          member: {
            type: "structure",
            members: {
              StartAt: {
                type: "timestamp"
              },
              Duration: {
                type: "structure",
                members: {
                  Value: {
                    type: "long"
                  },
                  Unit: {}
                }
              },
              CronExpressionForRecurrence: {}
            }
          }
        },
        S2i: {
          type: "structure",
          required: [
            "DomainId",
            "DomainName",
            "ARN",
            "ElasticsearchClusterConfig"
          ],
          members: {
            DomainId: {},
            DomainName: {},
            ARN: {},
            Created: {
              type: "boolean"
            },
            Deleted: {
              type: "boolean"
            },
            Endpoint: {},
            Endpoints: {
              type: "map",
              key: {},
              value: {}
            },
            Processing: {
              type: "boolean"
            },
            UpgradeProcessing: {
              type: "boolean"
            },
            ElasticsearchVersion: {},
            ElasticsearchClusterConfig: {
              shape: "S19"
            },
            EBSOptions: {
              shape: "S1f"
            },
            AccessPolicies: {},
            SnapshotOptions: {
              shape: "S1i"
            },
            VPCOptions: {
              shape: "S2m"
            },
            CognitoOptions: {
              shape: "S1l"
            },
            EncryptionAtRestOptions: {
              shape: "S1p"
            },
            NodeToNodeEncryptionOptions: {
              shape: "S1r"
            },
            AdvancedOptions: {
              shape: "S1s"
            },
            LogPublishingOptions: {
              shape: "S1t"
            },
            ServiceSoftwareOptions: {
              shape: "S13"
            },
            DomainEndpointOptions: {
              shape: "S1x"
            },
            AdvancedSecurityOptions: {
              shape: "S2n"
            },
            AutoTuneOptions: {
              type: "structure",
              members: {
                State: {},
                ErrorMessage: {}
              }
            },
            ChangeProgressDetails: {
              shape: "S2s"
            }
          }
        },
        S2m: {
          type: "structure",
          members: {
            VPCId: {},
            SubnetIds: {
              shape: "S1k"
            },
            AvailabilityZones: {
              shape: "S1k"
            },
            SecurityGroupIds: {
              shape: "S1k"
            }
          }
        },
        S2n: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            InternalUserDatabaseEnabled: {
              type: "boolean"
            },
            SAMLOptions: {
              type: "structure",
              members: {
                Enabled: {
                  type: "boolean"
                },
                Idp: {
                  shape: "S25"
                },
                SubjectKey: {},
                RolesKey: {},
                SessionTimeoutMinutes: {
                  type: "integer"
                }
              }
            },
            AnonymousAuthDisableDate: {
              type: "timestamp"
            },
            AnonymousAuthEnabled: {
              type: "boolean"
            }
          }
        },
        S2s: {
          type: "structure",
          members: {
            ChangeId: {},
            Message: {}
          }
        },
        S2y: {
          type: "structure",
          members: {
            StatusCode: {},
            Message: {}
          }
        },
        S32: {
          type: "structure",
          members: {
            S3BucketName: {},
            S3Key: {}
          }
        },
        S36: {
          type: "structure",
          members: {
            PackageID: {},
            PackageName: {},
            PackageType: {},
            PackageDescription: {},
            PackageStatus: {},
            CreatedAt: {
              type: "timestamp"
            },
            LastUpdatedAt: {
              type: "timestamp"
            },
            AvailablePackageVersion: {},
            ErrorDetails: {
              shape: "Ss"
            }
          }
        },
        S3d: {
          type: "structure",
          members: {
            VpcEndpointId: {},
            VpcEndpointOwner: {},
            DomainArn: {},
            VpcOptions: {
              shape: "S2m"
            },
            Status: {},
            Endpoint: {}
          }
        },
        S3n: {
          type: "structure",
          members: {
            SourceDomainInfo: {
              shape: "S5"
            },
            DestinationDomainInfo: {
              shape: "S5"
            },
            CrossClusterSearchConnectionId: {},
            ConnectionAlias: {},
            ConnectionStatus: {
              shape: "S2y"
            }
          }
        },
        S3s: {
          type: "structure",
          members: {
            VpcEndpointId: {},
            VpcEndpointOwner: {},
            DomainArn: {},
            Status: {}
          }
        },
        S4l: {
          type: "structure",
          members: {
            ElasticsearchVersion: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {},
                Status: {
                  shape: "S4n"
                }
              }
            },
            ElasticsearchClusterConfig: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S19"
                },
                Status: {
                  shape: "S4n"
                }
              }
            },
            EBSOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S1f"
                },
                Status: {
                  shape: "S4n"
                }
              }
            },
            AccessPolicies: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {},
                Status: {
                  shape: "S4n"
                }
              }
            },
            SnapshotOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S1i"
                },
                Status: {
                  shape: "S4n"
                }
              }
            },
            VPCOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S2m"
                },
                Status: {
                  shape: "S4n"
                }
              }
            },
            CognitoOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S1l"
                },
                Status: {
                  shape: "S4n"
                }
              }
            },
            EncryptionAtRestOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S1p"
                },
                Status: {
                  shape: "S4n"
                }
              }
            },
            NodeToNodeEncryptionOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S1r"
                },
                Status: {
                  shape: "S4n"
                }
              }
            },
            AdvancedOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S1s"
                },
                Status: {
                  shape: "S4n"
                }
              }
            },
            LogPublishingOptions: {
              type: "structure",
              members: {
                Options: {
                  shape: "S1t"
                },
                Status: {
                  shape: "S4n"
                }
              }
            },
            DomainEndpointOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S1x"
                },
                Status: {
                  shape: "S4n"
                }
              }
            },
            AdvancedSecurityOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S2n"
                },
                Status: {
                  shape: "S4n"
                }
              }
            },
            AutoTuneOptions: {
              type: "structure",
              members: {
                Options: {
                  shape: "S53"
                },
                Status: {
                  type: "structure",
                  required: [
                    "CreationDate",
                    "UpdateDate",
                    "State"
                  ],
                  members: {
                    CreationDate: {
                      type: "timestamp"
                    },
                    UpdateDate: {
                      type: "timestamp"
                    },
                    UpdateVersion: {
                      type: "integer"
                    },
                    State: {},
                    ErrorMessage: {},
                    PendingDeletion: {
                      type: "boolean"
                    }
                  }
                }
              }
            },
            ChangeProgressDetails: {
              shape: "S2s"
            }
          }
        },
        S4n: {
          type: "structure",
          required: [
            "CreationDate",
            "UpdateDate",
            "State"
          ],
          members: {
            CreationDate: {
              type: "timestamp"
            },
            UpdateDate: {
              type: "timestamp"
            },
            UpdateVersion: {
              type: "integer"
            },
            State: {},
            PendingDeletion: {
              type: "boolean"
            }
          }
        },
        S53: {
          type: "structure",
          members: {
            DesiredState: {},
            RollbackOnDisable: {},
            MaintenanceSchedules: {
              shape: "S2b"
            }
          }
        },
        S5m: {
          type: "list",
          member: {}
        },
        S5v: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Values: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S6j: {
          type: "list",
          member: {
            type: "structure",
            members: {
              RecurringChargeAmount: {
                type: "double"
              },
              RecurringChargeFrequency: {}
            }
          }
        },
        S73: {
          type: "list",
          member: {}
        },
        S7u: {
          type: "list",
          member: {
            shape: "Sl"
          }
        },
        S89: {
          type: "list",
          member: {
            shape: "S3s"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/es-2015-01-01.paginators.json
var require_es_2015_01_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/es-2015-01-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeDomainAutoTunes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeInboundCrossClusterSearchConnections: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeOutboundCrossClusterSearchConnections: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribePackages: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeReservedElasticsearchInstanceOfferings: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeReservedElasticsearchInstances: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        GetPackageVersionHistory: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        GetUpgradeHistory: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDomainsForPackage: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListElasticsearchInstanceTypes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListElasticsearchVersions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListPackagesForDomain: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/es.js
var require_es = __commonJS({
  "node_modules/aws-sdk/clients/es.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["es"] = {};
    AWS2.ES = Service.defineService("es", ["2015-01-01"]);
    Object.defineProperty(apiLoader.services["es"], "2015-01-01", {
      get: function get() {
        var model = require_es_2015_01_01_min();
        model.paginators = require_es_2015_01_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ES;
  }
});

// node_modules/aws-sdk/apis/elastictranscoder-2012-09-25.min.json
var require_elastictranscoder_2012_09_25_min = __commonJS({
  "node_modules/aws-sdk/apis/elastictranscoder-2012-09-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2012-09-25",
        endpointPrefix: "elastictranscoder",
        protocol: "rest-json",
        serviceFullName: "Amazon Elastic Transcoder",
        serviceId: "Elastic Transcoder",
        signatureVersion: "v4",
        uid: "elastictranscoder-2012-09-25"
      },
      operations: {
        CancelJob: {
          http: {
            method: "DELETE",
            requestUri: "/2012-09-25/jobs/{Id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateJob: {
          http: {
            requestUri: "/2012-09-25/jobs",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "PipelineId"
            ],
            members: {
              PipelineId: {},
              Input: {
                shape: "S5"
              },
              Inputs: {
                shape: "St"
              },
              Output: {
                shape: "Su"
              },
              Outputs: {
                type: "list",
                member: {
                  shape: "Su"
                }
              },
              OutputKeyPrefix: {},
              Playlists: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Format: {},
                    OutputKeys: {
                      shape: "S1l"
                    },
                    HlsContentProtection: {
                      shape: "S1m"
                    },
                    PlayReadyDrm: {
                      shape: "S1q"
                    }
                  }
                }
              },
              UserMetadata: {
                shape: "S1v"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Job: {
                shape: "S1y"
              }
            }
          }
        },
        CreatePipeline: {
          http: {
            requestUri: "/2012-09-25/pipelines",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "InputBucket",
              "Role"
            ],
            members: {
              Name: {},
              InputBucket: {},
              OutputBucket: {},
              Role: {},
              AwsKmsKeyArn: {},
              Notifications: {
                shape: "S2a"
              },
              ContentConfig: {
                shape: "S2c"
              },
              ThumbnailConfig: {
                shape: "S2c"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Pipeline: {
                shape: "S2l"
              },
              Warnings: {
                shape: "S2n"
              }
            }
          }
        },
        CreatePreset: {
          http: {
            requestUri: "/2012-09-25/presets",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "Container"
            ],
            members: {
              Name: {},
              Description: {},
              Container: {},
              Video: {
                shape: "S2r"
              },
              Audio: {
                shape: "S37"
              },
              Thumbnails: {
                shape: "S3i"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Preset: {
                shape: "S3m"
              },
              Warning: {}
            }
          }
        },
        DeletePipeline: {
          http: {
            method: "DELETE",
            requestUri: "/2012-09-25/pipelines/{Id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeletePreset: {
          http: {
            method: "DELETE",
            requestUri: "/2012-09-25/presets/{Id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ListJobsByPipeline: {
          http: {
            method: "GET",
            requestUri: "/2012-09-25/jobsByPipeline/{PipelineId}"
          },
          input: {
            type: "structure",
            required: [
              "PipelineId"
            ],
            members: {
              PipelineId: {
                location: "uri",
                locationName: "PipelineId"
              },
              Ascending: {
                location: "querystring",
                locationName: "Ascending"
              },
              PageToken: {
                location: "querystring",
                locationName: "PageToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Jobs: {
                shape: "S3v"
              },
              NextPageToken: {}
            }
          }
        },
        ListJobsByStatus: {
          http: {
            method: "GET",
            requestUri: "/2012-09-25/jobsByStatus/{Status}"
          },
          input: {
            type: "structure",
            required: [
              "Status"
            ],
            members: {
              Status: {
                location: "uri",
                locationName: "Status"
              },
              Ascending: {
                location: "querystring",
                locationName: "Ascending"
              },
              PageToken: {
                location: "querystring",
                locationName: "PageToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Jobs: {
                shape: "S3v"
              },
              NextPageToken: {}
            }
          }
        },
        ListPipelines: {
          http: {
            method: "GET",
            requestUri: "/2012-09-25/pipelines"
          },
          input: {
            type: "structure",
            members: {
              Ascending: {
                location: "querystring",
                locationName: "Ascending"
              },
              PageToken: {
                location: "querystring",
                locationName: "PageToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Pipelines: {
                type: "list",
                member: {
                  shape: "S2l"
                }
              },
              NextPageToken: {}
            }
          }
        },
        ListPresets: {
          http: {
            method: "GET",
            requestUri: "/2012-09-25/presets"
          },
          input: {
            type: "structure",
            members: {
              Ascending: {
                location: "querystring",
                locationName: "Ascending"
              },
              PageToken: {
                location: "querystring",
                locationName: "PageToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Presets: {
                type: "list",
                member: {
                  shape: "S3m"
                }
              },
              NextPageToken: {}
            }
          }
        },
        ReadJob: {
          http: {
            method: "GET",
            requestUri: "/2012-09-25/jobs/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Job: {
                shape: "S1y"
              }
            }
          }
        },
        ReadPipeline: {
          http: {
            method: "GET",
            requestUri: "/2012-09-25/pipelines/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Pipeline: {
                shape: "S2l"
              },
              Warnings: {
                shape: "S2n"
              }
            }
          }
        },
        ReadPreset: {
          http: {
            method: "GET",
            requestUri: "/2012-09-25/presets/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Preset: {
                shape: "S3m"
              }
            }
          }
        },
        TestRole: {
          http: {
            requestUri: "/2012-09-25/roleTests",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Role",
              "InputBucket",
              "OutputBucket",
              "Topics"
            ],
            members: {
              Role: {},
              InputBucket: {},
              OutputBucket: {},
              Topics: {
                type: "list",
                member: {}
              }
            },
            deprecated: true
          },
          output: {
            type: "structure",
            members: {
              Success: {},
              Messages: {
                type: "list",
                member: {}
              }
            },
            deprecated: true
          },
          deprecated: true
        },
        UpdatePipeline: {
          http: {
            method: "PUT",
            requestUri: "/2012-09-25/pipelines/{Id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              Name: {},
              InputBucket: {},
              Role: {},
              AwsKmsKeyArn: {},
              Notifications: {
                shape: "S2a"
              },
              ContentConfig: {
                shape: "S2c"
              },
              ThumbnailConfig: {
                shape: "S2c"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Pipeline: {
                shape: "S2l"
              },
              Warnings: {
                shape: "S2n"
              }
            }
          }
        },
        UpdatePipelineNotifications: {
          http: {
            requestUri: "/2012-09-25/pipelines/{Id}/notifications"
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "Notifications"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              Notifications: {
                shape: "S2a"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Pipeline: {
                shape: "S2l"
              }
            }
          }
        },
        UpdatePipelineStatus: {
          http: {
            requestUri: "/2012-09-25/pipelines/{Id}/status"
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "Status"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              Status: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Pipeline: {
                shape: "S2l"
              }
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          members: {
            Key: {},
            FrameRate: {},
            Resolution: {},
            AspectRatio: {},
            Interlaced: {},
            Container: {},
            Encryption: {
              shape: "Sc"
            },
            TimeSpan: {
              shape: "Sg"
            },
            InputCaptions: {
              type: "structure",
              members: {
                MergePolicy: {},
                CaptionSources: {
                  shape: "Sk"
                }
              }
            },
            DetectedProperties: {
              type: "structure",
              members: {
                Width: {
                  type: "integer"
                },
                Height: {
                  type: "integer"
                },
                FrameRate: {},
                FileSize: {
                  type: "long"
                },
                DurationMillis: {
                  type: "long"
                }
              }
            }
          }
        },
        Sc: {
          type: "structure",
          members: {
            Mode: {},
            Key: {},
            KeyMd5: {},
            InitializationVector: {}
          }
        },
        Sg: {
          type: "structure",
          members: {
            StartTime: {},
            Duration: {}
          }
        },
        Sk: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Language: {},
              TimeOffset: {},
              Label: {},
              Encryption: {
                shape: "Sc"
              }
            }
          }
        },
        St: {
          type: "list",
          member: {
            shape: "S5"
          }
        },
        Su: {
          type: "structure",
          members: {
            Key: {},
            ThumbnailPattern: {},
            ThumbnailEncryption: {
              shape: "Sc"
            },
            Rotate: {},
            PresetId: {},
            SegmentDuration: {},
            Watermarks: {
              shape: "Sx"
            },
            AlbumArt: {
              shape: "S11"
            },
            Composition: {
              shape: "S19",
              deprecated: true
            },
            Captions: {
              shape: "S1b"
            },
            Encryption: {
              shape: "Sc"
            }
          }
        },
        Sx: {
          type: "list",
          member: {
            type: "structure",
            members: {
              PresetWatermarkId: {},
              InputKey: {},
              Encryption: {
                shape: "Sc"
              }
            }
          }
        },
        S11: {
          type: "structure",
          members: {
            MergePolicy: {},
            Artwork: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  InputKey: {},
                  MaxWidth: {},
                  MaxHeight: {},
                  SizingPolicy: {},
                  PaddingPolicy: {},
                  AlbumArtFormat: {},
                  Encryption: {
                    shape: "Sc"
                  }
                }
              }
            }
          }
        },
        S19: {
          type: "list",
          member: {
            type: "structure",
            members: {
              TimeSpan: {
                shape: "Sg"
              }
            },
            deprecated: true
          },
          deprecated: true
        },
        S1b: {
          type: "structure",
          members: {
            MergePolicy: {
              deprecated: true
            },
            CaptionSources: {
              shape: "Sk",
              deprecated: true
            },
            CaptionFormats: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Format: {},
                  Pattern: {},
                  Encryption: {
                    shape: "Sc"
                  }
                }
              }
            }
          }
        },
        S1l: {
          type: "list",
          member: {}
        },
        S1m: {
          type: "structure",
          members: {
            Method: {},
            Key: {},
            KeyMd5: {},
            InitializationVector: {},
            LicenseAcquisitionUrl: {},
            KeyStoragePolicy: {}
          }
        },
        S1q: {
          type: "structure",
          members: {
            Format: {},
            Key: {},
            KeyMd5: {},
            KeyId: {},
            InitializationVector: {},
            LicenseAcquisitionUrl: {}
          }
        },
        S1v: {
          type: "map",
          key: {},
          value: {}
        },
        S1y: {
          type: "structure",
          members: {
            Id: {},
            Arn: {},
            PipelineId: {},
            Input: {
              shape: "S5"
            },
            Inputs: {
              shape: "St"
            },
            Output: {
              shape: "S1z"
            },
            Outputs: {
              type: "list",
              member: {
                shape: "S1z"
              }
            },
            OutputKeyPrefix: {},
            Playlists: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Name: {},
                  Format: {},
                  OutputKeys: {
                    shape: "S1l"
                  },
                  HlsContentProtection: {
                    shape: "S1m"
                  },
                  PlayReadyDrm: {
                    shape: "S1q"
                  },
                  Status: {},
                  StatusDetail: {}
                }
              }
            },
            Status: {},
            UserMetadata: {
              shape: "S1v"
            },
            Timing: {
              type: "structure",
              members: {
                SubmitTimeMillis: {
                  type: "long"
                },
                StartTimeMillis: {
                  type: "long"
                },
                FinishTimeMillis: {
                  type: "long"
                }
              }
            }
          }
        },
        S1z: {
          type: "structure",
          members: {
            Id: {},
            Key: {},
            ThumbnailPattern: {},
            ThumbnailEncryption: {
              shape: "Sc"
            },
            Rotate: {},
            PresetId: {},
            SegmentDuration: {},
            Status: {},
            StatusDetail: {},
            Duration: {
              type: "long"
            },
            Width: {
              type: "integer"
            },
            Height: {
              type: "integer"
            },
            FrameRate: {},
            FileSize: {
              type: "long"
            },
            DurationMillis: {
              type: "long"
            },
            Watermarks: {
              shape: "Sx"
            },
            AlbumArt: {
              shape: "S11"
            },
            Composition: {
              shape: "S19",
              deprecated: true
            },
            Captions: {
              shape: "S1b"
            },
            Encryption: {
              shape: "Sc"
            },
            AppliedColorSpaceConversion: {}
          }
        },
        S2a: {
          type: "structure",
          members: {
            Progressing: {},
            Completed: {},
            Warning: {},
            Error: {}
          }
        },
        S2c: {
          type: "structure",
          members: {
            Bucket: {},
            StorageClass: {},
            Permissions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  GranteeType: {},
                  Grantee: {},
                  Access: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          }
        },
        S2l: {
          type: "structure",
          members: {
            Id: {},
            Arn: {},
            Name: {},
            Status: {},
            InputBucket: {},
            OutputBucket: {},
            Role: {},
            AwsKmsKeyArn: {},
            Notifications: {
              shape: "S2a"
            },
            ContentConfig: {
              shape: "S2c"
            },
            ThumbnailConfig: {
              shape: "S2c"
            }
          }
        },
        S2n: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Code: {},
              Message: {}
            }
          }
        },
        S2r: {
          type: "structure",
          members: {
            Codec: {},
            CodecOptions: {
              type: "map",
              key: {},
              value: {}
            },
            KeyframesMaxDist: {},
            FixedGOP: {},
            BitRate: {},
            FrameRate: {},
            MaxFrameRate: {},
            Resolution: {},
            AspectRatio: {},
            MaxWidth: {},
            MaxHeight: {},
            DisplayAspectRatio: {},
            SizingPolicy: {},
            PaddingPolicy: {},
            Watermarks: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Id: {},
                  MaxWidth: {},
                  MaxHeight: {},
                  SizingPolicy: {},
                  HorizontalAlign: {},
                  HorizontalOffset: {},
                  VerticalAlign: {},
                  VerticalOffset: {},
                  Opacity: {},
                  Target: {}
                }
              }
            }
          }
        },
        S37: {
          type: "structure",
          members: {
            Codec: {},
            SampleRate: {},
            BitRate: {},
            Channels: {},
            AudioPackingMode: {},
            CodecOptions: {
              type: "structure",
              members: {
                Profile: {},
                BitDepth: {},
                BitOrder: {},
                Signed: {}
              }
            }
          }
        },
        S3i: {
          type: "structure",
          members: {
            Format: {},
            Interval: {},
            Resolution: {},
            AspectRatio: {},
            MaxWidth: {},
            MaxHeight: {},
            SizingPolicy: {},
            PaddingPolicy: {}
          }
        },
        S3m: {
          type: "structure",
          members: {
            Id: {},
            Arn: {},
            Name: {},
            Description: {},
            Container: {},
            Audio: {
              shape: "S37"
            },
            Video: {
              shape: "S2r"
            },
            Thumbnails: {
              shape: "S3i"
            },
            Type: {}
          }
        },
        S3v: {
          type: "list",
          member: {
            shape: "S1y"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/elastictranscoder-2012-09-25.paginators.json
var require_elastictranscoder_2012_09_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/elastictranscoder-2012-09-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListJobsByPipeline: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          result_key: "Jobs"
        },
        ListJobsByStatus: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          result_key: "Jobs"
        },
        ListPipelines: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          result_key: "Pipelines"
        },
        ListPresets: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          result_key: "Presets"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/elastictranscoder-2012-09-25.waiters2.json
var require_elastictranscoder_2012_09_25_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/elastictranscoder-2012-09-25.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        JobComplete: {
          delay: 30,
          operation: "ReadJob",
          maxAttempts: 120,
          acceptors: [
            {
              expected: "Complete",
              matcher: "path",
              state: "success",
              argument: "Job.Status"
            },
            {
              expected: "Canceled",
              matcher: "path",
              state: "failure",
              argument: "Job.Status"
            },
            {
              expected: "Error",
              matcher: "path",
              state: "failure",
              argument: "Job.Status"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/elastictranscoder.js
var require_elastictranscoder = __commonJS({
  "node_modules/aws-sdk/clients/elastictranscoder.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["elastictranscoder"] = {};
    AWS2.ElasticTranscoder = Service.defineService("elastictranscoder", ["2012-09-25"]);
    Object.defineProperty(apiLoader.services["elastictranscoder"], "2012-09-25", {
      get: function get() {
        var model = require_elastictranscoder_2012_09_25_min();
        model.paginators = require_elastictranscoder_2012_09_25_paginators().pagination;
        model.waiters = require_elastictranscoder_2012_09_25_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ElasticTranscoder;
  }
});

// node_modules/aws-sdk/apis/firehose-2015-08-04.min.json
var require_firehose_2015_08_04_min = __commonJS({
  "node_modules/aws-sdk/apis/firehose-2015-08-04.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-08-04",
        endpointPrefix: "firehose",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Firehose",
        serviceFullName: "Amazon Kinesis Firehose",
        serviceId: "Firehose",
        signatureVersion: "v4",
        targetPrefix: "Firehose_20150804",
        uid: "firehose-2015-08-04"
      },
      operations: {
        CreateDeliveryStream: {
          input: {
            type: "structure",
            required: [
              "DeliveryStreamName"
            ],
            members: {
              DeliveryStreamName: {},
              DeliveryStreamType: {},
              KinesisStreamSourceConfiguration: {
                type: "structure",
                required: [
                  "KinesisStreamARN",
                  "RoleARN"
                ],
                members: {
                  KinesisStreamARN: {},
                  RoleARN: {}
                }
              },
              DeliveryStreamEncryptionConfigurationInput: {
                shape: "S7"
              },
              S3DestinationConfiguration: {
                shape: "Sa",
                deprecated: true
              },
              ExtendedS3DestinationConfiguration: {
                type: "structure",
                required: [
                  "RoleARN",
                  "BucketARN"
                ],
                members: {
                  RoleARN: {},
                  BucketARN: {},
                  Prefix: {},
                  ErrorOutputPrefix: {},
                  BufferingHints: {
                    shape: "Se"
                  },
                  CompressionFormat: {},
                  EncryptionConfiguration: {
                    shape: "Si"
                  },
                  CloudWatchLoggingOptions: {
                    shape: "Sl"
                  },
                  ProcessingConfiguration: {
                    shape: "Sq"
                  },
                  S3BackupMode: {},
                  S3BackupConfiguration: {
                    shape: "Sa"
                  },
                  DataFormatConversionConfiguration: {
                    shape: "Sz"
                  },
                  DynamicPartitioningConfiguration: {
                    shape: "S1o"
                  }
                }
              },
              RedshiftDestinationConfiguration: {
                type: "structure",
                required: [
                  "RoleARN",
                  "ClusterJDBCURL",
                  "CopyCommand",
                  "Username",
                  "Password",
                  "S3Configuration"
                ],
                members: {
                  RoleARN: {},
                  ClusterJDBCURL: {},
                  CopyCommand: {
                    shape: "S1t"
                  },
                  Username: {
                    shape: "S1x"
                  },
                  Password: {
                    shape: "S1y"
                  },
                  RetryOptions: {
                    shape: "S1z"
                  },
                  S3Configuration: {
                    shape: "Sa"
                  },
                  ProcessingConfiguration: {
                    shape: "Sq"
                  },
                  S3BackupMode: {},
                  S3BackupConfiguration: {
                    shape: "Sa"
                  },
                  CloudWatchLoggingOptions: {
                    shape: "Sl"
                  }
                }
              },
              ElasticsearchDestinationConfiguration: {
                type: "structure",
                required: [
                  "RoleARN",
                  "IndexName",
                  "S3Configuration"
                ],
                members: {
                  RoleARN: {},
                  DomainARN: {},
                  ClusterEndpoint: {},
                  IndexName: {},
                  TypeName: {},
                  IndexRotationPeriod: {},
                  BufferingHints: {
                    shape: "S28"
                  },
                  RetryOptions: {
                    shape: "S2b"
                  },
                  S3BackupMode: {},
                  S3Configuration: {
                    shape: "Sa"
                  },
                  ProcessingConfiguration: {
                    shape: "Sq"
                  },
                  CloudWatchLoggingOptions: {
                    shape: "Sl"
                  },
                  VpcConfiguration: {
                    shape: "S2e"
                  }
                }
              },
              AmazonopensearchserviceDestinationConfiguration: {
                type: "structure",
                required: [
                  "RoleARN",
                  "IndexName",
                  "S3Configuration"
                ],
                members: {
                  RoleARN: {},
                  DomainARN: {},
                  ClusterEndpoint: {},
                  IndexName: {},
                  TypeName: {},
                  IndexRotationPeriod: {},
                  BufferingHints: {
                    shape: "S2n"
                  },
                  RetryOptions: {
                    shape: "S2q"
                  },
                  S3BackupMode: {},
                  S3Configuration: {
                    shape: "Sa"
                  },
                  ProcessingConfiguration: {
                    shape: "Sq"
                  },
                  CloudWatchLoggingOptions: {
                    shape: "Sl"
                  },
                  VpcConfiguration: {
                    shape: "S2e"
                  }
                }
              },
              SplunkDestinationConfiguration: {
                type: "structure",
                required: [
                  "HECEndpoint",
                  "HECEndpointType",
                  "HECToken",
                  "S3Configuration"
                ],
                members: {
                  HECEndpoint: {},
                  HECEndpointType: {},
                  HECToken: {},
                  HECAcknowledgmentTimeoutInSeconds: {
                    type: "integer"
                  },
                  RetryOptions: {
                    shape: "S2y"
                  },
                  S3BackupMode: {},
                  S3Configuration: {
                    shape: "Sa"
                  },
                  ProcessingConfiguration: {
                    shape: "Sq"
                  },
                  CloudWatchLoggingOptions: {
                    shape: "Sl"
                  }
                }
              },
              HttpEndpointDestinationConfiguration: {
                type: "structure",
                required: [
                  "EndpointConfiguration",
                  "S3Configuration"
                ],
                members: {
                  EndpointConfiguration: {
                    shape: "S32"
                  },
                  BufferingHints: {
                    shape: "S36"
                  },
                  CloudWatchLoggingOptions: {
                    shape: "Sl"
                  },
                  RequestConfiguration: {
                    shape: "S39"
                  },
                  ProcessingConfiguration: {
                    shape: "Sq"
                  },
                  RoleARN: {},
                  RetryOptions: {
                    shape: "S3f"
                  },
                  S3BackupMode: {},
                  S3Configuration: {
                    shape: "Sa"
                  }
                }
              },
              Tags: {
                shape: "S3i"
              },
              AmazonOpenSearchServerlessDestinationConfiguration: {
                type: "structure",
                required: [
                  "RoleARN",
                  "IndexName",
                  "S3Configuration"
                ],
                members: {
                  RoleARN: {},
                  CollectionEndpoint: {},
                  IndexName: {},
                  BufferingHints: {
                    shape: "S3p"
                  },
                  RetryOptions: {
                    shape: "S3s"
                  },
                  S3BackupMode: {},
                  S3Configuration: {
                    shape: "Sa"
                  },
                  ProcessingConfiguration: {
                    shape: "Sq"
                  },
                  CloudWatchLoggingOptions: {
                    shape: "Sl"
                  },
                  VpcConfiguration: {
                    shape: "S2e"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeliveryStreamARN: {}
            }
          }
        },
        DeleteDeliveryStream: {
          input: {
            type: "structure",
            required: [
              "DeliveryStreamName"
            ],
            members: {
              DeliveryStreamName: {},
              AllowForceDelete: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeDeliveryStream: {
          input: {
            type: "structure",
            required: [
              "DeliveryStreamName"
            ],
            members: {
              DeliveryStreamName: {},
              Limit: {
                type: "integer"
              },
              ExclusiveStartDestinationId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "DeliveryStreamDescription"
            ],
            members: {
              DeliveryStreamDescription: {
                type: "structure",
                required: [
                  "DeliveryStreamName",
                  "DeliveryStreamARN",
                  "DeliveryStreamStatus",
                  "DeliveryStreamType",
                  "VersionId",
                  "Destinations",
                  "HasMoreDestinations"
                ],
                members: {
                  DeliveryStreamName: {},
                  DeliveryStreamARN: {},
                  DeliveryStreamStatus: {},
                  FailureDescription: {
                    shape: "S45"
                  },
                  DeliveryStreamEncryptionConfiguration: {
                    type: "structure",
                    members: {
                      KeyARN: {},
                      KeyType: {},
                      Status: {},
                      FailureDescription: {
                        shape: "S45"
                      }
                    }
                  },
                  DeliveryStreamType: {},
                  VersionId: {},
                  CreateTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdateTimestamp: {
                    type: "timestamp"
                  },
                  Source: {
                    type: "structure",
                    members: {
                      KinesisStreamSourceDescription: {
                        type: "structure",
                        members: {
                          KinesisStreamARN: {},
                          RoleARN: {},
                          DeliveryStartTimestamp: {
                            type: "timestamp"
                          }
                        }
                      }
                    }
                  },
                  Destinations: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "DestinationId"
                      ],
                      members: {
                        DestinationId: {},
                        S3DestinationDescription: {
                          shape: "S4g"
                        },
                        ExtendedS3DestinationDescription: {
                          type: "structure",
                          required: [
                            "RoleARN",
                            "BucketARN",
                            "BufferingHints",
                            "CompressionFormat",
                            "EncryptionConfiguration"
                          ],
                          members: {
                            RoleARN: {},
                            BucketARN: {},
                            Prefix: {},
                            ErrorOutputPrefix: {},
                            BufferingHints: {
                              shape: "Se"
                            },
                            CompressionFormat: {},
                            EncryptionConfiguration: {
                              shape: "Si"
                            },
                            CloudWatchLoggingOptions: {
                              shape: "Sl"
                            },
                            ProcessingConfiguration: {
                              shape: "Sq"
                            },
                            S3BackupMode: {},
                            S3BackupDescription: {
                              shape: "S4g"
                            },
                            DataFormatConversionConfiguration: {
                              shape: "Sz"
                            },
                            DynamicPartitioningConfiguration: {
                              shape: "S1o"
                            }
                          }
                        },
                        RedshiftDestinationDescription: {
                          type: "structure",
                          required: [
                            "RoleARN",
                            "ClusterJDBCURL",
                            "CopyCommand",
                            "Username",
                            "S3DestinationDescription"
                          ],
                          members: {
                            RoleARN: {},
                            ClusterJDBCURL: {},
                            CopyCommand: {
                              shape: "S1t"
                            },
                            Username: {
                              shape: "S1x"
                            },
                            RetryOptions: {
                              shape: "S1z"
                            },
                            S3DestinationDescription: {
                              shape: "S4g"
                            },
                            ProcessingConfiguration: {
                              shape: "Sq"
                            },
                            S3BackupMode: {},
                            S3BackupDescription: {
                              shape: "S4g"
                            },
                            CloudWatchLoggingOptions: {
                              shape: "Sl"
                            }
                          }
                        },
                        ElasticsearchDestinationDescription: {
                          type: "structure",
                          members: {
                            RoleARN: {},
                            DomainARN: {},
                            ClusterEndpoint: {},
                            IndexName: {},
                            TypeName: {},
                            IndexRotationPeriod: {},
                            BufferingHints: {
                              shape: "S28"
                            },
                            RetryOptions: {
                              shape: "S2b"
                            },
                            S3BackupMode: {},
                            S3DestinationDescription: {
                              shape: "S4g"
                            },
                            ProcessingConfiguration: {
                              shape: "Sq"
                            },
                            CloudWatchLoggingOptions: {
                              shape: "Sl"
                            },
                            VpcConfigurationDescription: {
                              shape: "S4k"
                            }
                          }
                        },
                        AmazonopensearchserviceDestinationDescription: {
                          type: "structure",
                          members: {
                            RoleARN: {},
                            DomainARN: {},
                            ClusterEndpoint: {},
                            IndexName: {},
                            TypeName: {},
                            IndexRotationPeriod: {},
                            BufferingHints: {
                              shape: "S2n"
                            },
                            RetryOptions: {
                              shape: "S2q"
                            },
                            S3BackupMode: {},
                            S3DestinationDescription: {
                              shape: "S4g"
                            },
                            ProcessingConfiguration: {
                              shape: "Sq"
                            },
                            CloudWatchLoggingOptions: {
                              shape: "Sl"
                            },
                            VpcConfigurationDescription: {
                              shape: "S4k"
                            }
                          }
                        },
                        SplunkDestinationDescription: {
                          type: "structure",
                          members: {
                            HECEndpoint: {},
                            HECEndpointType: {},
                            HECToken: {},
                            HECAcknowledgmentTimeoutInSeconds: {
                              type: "integer"
                            },
                            RetryOptions: {
                              shape: "S2y"
                            },
                            S3BackupMode: {},
                            S3DestinationDescription: {
                              shape: "S4g"
                            },
                            ProcessingConfiguration: {
                              shape: "Sq"
                            },
                            CloudWatchLoggingOptions: {
                              shape: "Sl"
                            }
                          }
                        },
                        HttpEndpointDestinationDescription: {
                          type: "structure",
                          members: {
                            EndpointConfiguration: {
                              type: "structure",
                              members: {
                                Url: {
                                  shape: "S33"
                                },
                                Name: {}
                              }
                            },
                            BufferingHints: {
                              shape: "S36"
                            },
                            CloudWatchLoggingOptions: {
                              shape: "Sl"
                            },
                            RequestConfiguration: {
                              shape: "S39"
                            },
                            ProcessingConfiguration: {
                              shape: "Sq"
                            },
                            RoleARN: {},
                            RetryOptions: {
                              shape: "S3f"
                            },
                            S3BackupMode: {},
                            S3DestinationDescription: {
                              shape: "S4g"
                            }
                          }
                        },
                        AmazonOpenSearchServerlessDestinationDescription: {
                          type: "structure",
                          members: {
                            RoleARN: {},
                            CollectionEndpoint: {},
                            IndexName: {},
                            BufferingHints: {
                              shape: "S3p"
                            },
                            RetryOptions: {
                              shape: "S3s"
                            },
                            S3BackupMode: {},
                            S3DestinationDescription: {
                              shape: "S4g"
                            },
                            ProcessingConfiguration: {
                              shape: "Sq"
                            },
                            CloudWatchLoggingOptions: {
                              shape: "Sl"
                            },
                            VpcConfigurationDescription: {
                              shape: "S4k"
                            }
                          }
                        }
                      }
                    }
                  },
                  HasMoreDestinations: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        ListDeliveryStreams: {
          input: {
            type: "structure",
            members: {
              Limit: {
                type: "integer"
              },
              DeliveryStreamType: {},
              ExclusiveStartDeliveryStreamName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "DeliveryStreamNames",
              "HasMoreDeliveryStreams"
            ],
            members: {
              DeliveryStreamNames: {
                type: "list",
                member: {}
              },
              HasMoreDeliveryStreams: {
                type: "boolean"
              }
            }
          }
        },
        ListTagsForDeliveryStream: {
          input: {
            type: "structure",
            required: [
              "DeliveryStreamName"
            ],
            members: {
              DeliveryStreamName: {},
              ExclusiveStartTagKey: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Tags",
              "HasMoreTags"
            ],
            members: {
              Tags: {
                type: "list",
                member: {
                  shape: "S3j"
                }
              },
              HasMoreTags: {
                type: "boolean"
              }
            }
          }
        },
        PutRecord: {
          input: {
            type: "structure",
            required: [
              "DeliveryStreamName",
              "Record"
            ],
            members: {
              DeliveryStreamName: {},
              Record: {
                shape: "S4z"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "RecordId"
            ],
            members: {
              RecordId: {},
              Encrypted: {
                type: "boolean"
              }
            }
          }
        },
        PutRecordBatch: {
          input: {
            type: "structure",
            required: [
              "DeliveryStreamName",
              "Records"
            ],
            members: {
              DeliveryStreamName: {},
              Records: {
                type: "list",
                member: {
                  shape: "S4z"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "FailedPutCount",
              "RequestResponses"
            ],
            members: {
              FailedPutCount: {
                type: "integer"
              },
              Encrypted: {
                type: "boolean"
              },
              RequestResponses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RecordId: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        StartDeliveryStreamEncryption: {
          input: {
            type: "structure",
            required: [
              "DeliveryStreamName"
            ],
            members: {
              DeliveryStreamName: {},
              DeliveryStreamEncryptionConfigurationInput: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StopDeliveryStreamEncryption: {
          input: {
            type: "structure",
            required: [
              "DeliveryStreamName"
            ],
            members: {
              DeliveryStreamName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagDeliveryStream: {
          input: {
            type: "structure",
            required: [
              "DeliveryStreamName",
              "Tags"
            ],
            members: {
              DeliveryStreamName: {},
              Tags: {
                shape: "S3i"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagDeliveryStream: {
          input: {
            type: "structure",
            required: [
              "DeliveryStreamName",
              "TagKeys"
            ],
            members: {
              DeliveryStreamName: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDestination: {
          input: {
            type: "structure",
            required: [
              "DeliveryStreamName",
              "CurrentDeliveryStreamVersionId",
              "DestinationId"
            ],
            members: {
              DeliveryStreamName: {},
              CurrentDeliveryStreamVersionId: {},
              DestinationId: {},
              S3DestinationUpdate: {
                shape: "S5k",
                deprecated: true
              },
              ExtendedS3DestinationUpdate: {
                type: "structure",
                members: {
                  RoleARN: {},
                  BucketARN: {},
                  Prefix: {},
                  ErrorOutputPrefix: {},
                  BufferingHints: {
                    shape: "Se"
                  },
                  CompressionFormat: {},
                  EncryptionConfiguration: {
                    shape: "Si"
                  },
                  CloudWatchLoggingOptions: {
                    shape: "Sl"
                  },
                  ProcessingConfiguration: {
                    shape: "Sq"
                  },
                  S3BackupMode: {},
                  S3BackupUpdate: {
                    shape: "S5k"
                  },
                  DataFormatConversionConfiguration: {
                    shape: "Sz"
                  },
                  DynamicPartitioningConfiguration: {
                    shape: "S1o"
                  }
                }
              },
              RedshiftDestinationUpdate: {
                type: "structure",
                members: {
                  RoleARN: {},
                  ClusterJDBCURL: {},
                  CopyCommand: {
                    shape: "S1t"
                  },
                  Username: {
                    shape: "S1x"
                  },
                  Password: {
                    shape: "S1y"
                  },
                  RetryOptions: {
                    shape: "S1z"
                  },
                  S3Update: {
                    shape: "S5k"
                  },
                  ProcessingConfiguration: {
                    shape: "Sq"
                  },
                  S3BackupMode: {},
                  S3BackupUpdate: {
                    shape: "S5k"
                  },
                  CloudWatchLoggingOptions: {
                    shape: "Sl"
                  }
                }
              },
              ElasticsearchDestinationUpdate: {
                type: "structure",
                members: {
                  RoleARN: {},
                  DomainARN: {},
                  ClusterEndpoint: {},
                  IndexName: {},
                  TypeName: {},
                  IndexRotationPeriod: {},
                  BufferingHints: {
                    shape: "S28"
                  },
                  RetryOptions: {
                    shape: "S2b"
                  },
                  S3Update: {
                    shape: "S5k"
                  },
                  ProcessingConfiguration: {
                    shape: "Sq"
                  },
                  CloudWatchLoggingOptions: {
                    shape: "Sl"
                  }
                }
              },
              AmazonopensearchserviceDestinationUpdate: {
                type: "structure",
                members: {
                  RoleARN: {},
                  DomainARN: {},
                  ClusterEndpoint: {},
                  IndexName: {},
                  TypeName: {},
                  IndexRotationPeriod: {},
                  BufferingHints: {
                    shape: "S2n"
                  },
                  RetryOptions: {
                    shape: "S2q"
                  },
                  S3Update: {
                    shape: "S5k"
                  },
                  ProcessingConfiguration: {
                    shape: "Sq"
                  },
                  CloudWatchLoggingOptions: {
                    shape: "Sl"
                  }
                }
              },
              SplunkDestinationUpdate: {
                type: "structure",
                members: {
                  HECEndpoint: {},
                  HECEndpointType: {},
                  HECToken: {},
                  HECAcknowledgmentTimeoutInSeconds: {
                    type: "integer"
                  },
                  RetryOptions: {
                    shape: "S2y"
                  },
                  S3BackupMode: {},
                  S3Update: {
                    shape: "S5k"
                  },
                  ProcessingConfiguration: {
                    shape: "Sq"
                  },
                  CloudWatchLoggingOptions: {
                    shape: "Sl"
                  }
                }
              },
              HttpEndpointDestinationUpdate: {
                type: "structure",
                members: {
                  EndpointConfiguration: {
                    shape: "S32"
                  },
                  BufferingHints: {
                    shape: "S36"
                  },
                  CloudWatchLoggingOptions: {
                    shape: "Sl"
                  },
                  RequestConfiguration: {
                    shape: "S39"
                  },
                  ProcessingConfiguration: {
                    shape: "Sq"
                  },
                  RoleARN: {},
                  RetryOptions: {
                    shape: "S3f"
                  },
                  S3BackupMode: {},
                  S3Update: {
                    shape: "S5k"
                  }
                }
              },
              AmazonOpenSearchServerlessDestinationUpdate: {
                type: "structure",
                members: {
                  RoleARN: {},
                  CollectionEndpoint: {},
                  IndexName: {},
                  BufferingHints: {
                    shape: "S3p"
                  },
                  RetryOptions: {
                    shape: "S3s"
                  },
                  S3Update: {
                    shape: "S5k"
                  },
                  ProcessingConfiguration: {
                    shape: "Sq"
                  },
                  CloudWatchLoggingOptions: {
                    shape: "Sl"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S7: {
          type: "structure",
          required: [
            "KeyType"
          ],
          members: {
            KeyARN: {},
            KeyType: {}
          }
        },
        Sa: {
          type: "structure",
          required: [
            "RoleARN",
            "BucketARN"
          ],
          members: {
            RoleARN: {},
            BucketARN: {},
            Prefix: {},
            ErrorOutputPrefix: {},
            BufferingHints: {
              shape: "Se"
            },
            CompressionFormat: {},
            EncryptionConfiguration: {
              shape: "Si"
            },
            CloudWatchLoggingOptions: {
              shape: "Sl"
            }
          }
        },
        Se: {
          type: "structure",
          members: {
            SizeInMBs: {
              type: "integer"
            },
            IntervalInSeconds: {
              type: "integer"
            }
          }
        },
        Si: {
          type: "structure",
          members: {
            NoEncryptionConfig: {},
            KMSEncryptionConfig: {
              type: "structure",
              required: [
                "AWSKMSKeyARN"
              ],
              members: {
                AWSKMSKeyARN: {}
              }
            }
          }
        },
        Sl: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            LogGroupName: {},
            LogStreamName: {}
          }
        },
        Sq: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            Processors: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Type"
                ],
                members: {
                  Type: {},
                  Parameters: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "ParameterName",
                        "ParameterValue"
                      ],
                      members: {
                        ParameterName: {},
                        ParameterValue: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sz: {
          type: "structure",
          members: {
            SchemaConfiguration: {
              type: "structure",
              members: {
                RoleARN: {},
                CatalogId: {},
                DatabaseName: {},
                TableName: {},
                Region: {},
                VersionId: {}
              }
            },
            InputFormatConfiguration: {
              type: "structure",
              members: {
                Deserializer: {
                  type: "structure",
                  members: {
                    OpenXJsonSerDe: {
                      type: "structure",
                      members: {
                        ConvertDotsInJsonKeysToUnderscores: {
                          type: "boolean"
                        },
                        CaseInsensitive: {
                          type: "boolean"
                        },
                        ColumnToJsonKeyMappings: {
                          type: "map",
                          key: {},
                          value: {}
                        }
                      }
                    },
                    HiveJsonSerDe: {
                      type: "structure",
                      members: {
                        TimestampFormats: {
                          type: "list",
                          member: {}
                        }
                      }
                    }
                  }
                }
              }
            },
            OutputFormatConfiguration: {
              type: "structure",
              members: {
                Serializer: {
                  type: "structure",
                  members: {
                    ParquetSerDe: {
                      type: "structure",
                      members: {
                        BlockSizeBytes: {
                          type: "integer"
                        },
                        PageSizeBytes: {
                          type: "integer"
                        },
                        Compression: {},
                        EnableDictionaryCompression: {
                          type: "boolean"
                        },
                        MaxPaddingBytes: {
                          type: "integer"
                        },
                        WriterVersion: {}
                      }
                    },
                    OrcSerDe: {
                      type: "structure",
                      members: {
                        StripeSizeBytes: {
                          type: "integer"
                        },
                        BlockSizeBytes: {
                          type: "integer"
                        },
                        RowIndexStride: {
                          type: "integer"
                        },
                        EnablePadding: {
                          type: "boolean"
                        },
                        PaddingTolerance: {
                          type: "double"
                        },
                        Compression: {},
                        BloomFilterColumns: {
                          type: "list",
                          member: {}
                        },
                        BloomFilterFalsePositiveProbability: {
                          type: "double"
                        },
                        DictionaryKeyThreshold: {
                          type: "double"
                        },
                        FormatVersion: {}
                      }
                    }
                  }
                }
              }
            },
            Enabled: {
              type: "boolean"
            }
          }
        },
        S1o: {
          type: "structure",
          members: {
            RetryOptions: {
              type: "structure",
              members: {
                DurationInSeconds: {
                  type: "integer"
                }
              }
            },
            Enabled: {
              type: "boolean"
            }
          }
        },
        S1t: {
          type: "structure",
          required: [
            "DataTableName"
          ],
          members: {
            DataTableName: {},
            DataTableColumns: {},
            CopyOptions: {}
          }
        },
        S1x: {
          type: "string",
          sensitive: true
        },
        S1y: {
          type: "string",
          sensitive: true
        },
        S1z: {
          type: "structure",
          members: {
            DurationInSeconds: {
              type: "integer"
            }
          }
        },
        S28: {
          type: "structure",
          members: {
            IntervalInSeconds: {
              type: "integer"
            },
            SizeInMBs: {
              type: "integer"
            }
          }
        },
        S2b: {
          type: "structure",
          members: {
            DurationInSeconds: {
              type: "integer"
            }
          }
        },
        S2e: {
          type: "structure",
          required: [
            "SubnetIds",
            "RoleARN",
            "SecurityGroupIds"
          ],
          members: {
            SubnetIds: {
              shape: "S2f"
            },
            RoleARN: {},
            SecurityGroupIds: {
              shape: "S2g"
            }
          }
        },
        S2f: {
          type: "list",
          member: {}
        },
        S2g: {
          type: "list",
          member: {}
        },
        S2n: {
          type: "structure",
          members: {
            IntervalInSeconds: {
              type: "integer"
            },
            SizeInMBs: {
              type: "integer"
            }
          }
        },
        S2q: {
          type: "structure",
          members: {
            DurationInSeconds: {
              type: "integer"
            }
          }
        },
        S2y: {
          type: "structure",
          members: {
            DurationInSeconds: {
              type: "integer"
            }
          }
        },
        S32: {
          type: "structure",
          required: [
            "Url"
          ],
          members: {
            Url: {
              shape: "S33"
            },
            Name: {},
            AccessKey: {
              type: "string",
              sensitive: true
            }
          }
        },
        S33: {
          type: "string",
          sensitive: true
        },
        S36: {
          type: "structure",
          members: {
            SizeInMBs: {
              type: "integer"
            },
            IntervalInSeconds: {
              type: "integer"
            }
          }
        },
        S39: {
          type: "structure",
          members: {
            ContentEncoding: {},
            CommonAttributes: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "AttributeName",
                  "AttributeValue"
                ],
                members: {
                  AttributeName: {
                    type: "string",
                    sensitive: true
                  },
                  AttributeValue: {
                    type: "string",
                    sensitive: true
                  }
                }
              }
            }
          }
        },
        S3f: {
          type: "structure",
          members: {
            DurationInSeconds: {
              type: "integer"
            }
          }
        },
        S3i: {
          type: "list",
          member: {
            shape: "S3j"
          }
        },
        S3j: {
          type: "structure",
          required: [
            "Key"
          ],
          members: {
            Key: {},
            Value: {}
          }
        },
        S3p: {
          type: "structure",
          members: {
            IntervalInSeconds: {
              type: "integer"
            },
            SizeInMBs: {
              type: "integer"
            }
          }
        },
        S3s: {
          type: "structure",
          members: {
            DurationInSeconds: {
              type: "integer"
            }
          }
        },
        S45: {
          type: "structure",
          required: [
            "Type",
            "Details"
          ],
          members: {
            Type: {},
            Details: {}
          }
        },
        S4g: {
          type: "structure",
          required: [
            "RoleARN",
            "BucketARN",
            "BufferingHints",
            "CompressionFormat",
            "EncryptionConfiguration"
          ],
          members: {
            RoleARN: {},
            BucketARN: {},
            Prefix: {},
            ErrorOutputPrefix: {},
            BufferingHints: {
              shape: "Se"
            },
            CompressionFormat: {},
            EncryptionConfiguration: {
              shape: "Si"
            },
            CloudWatchLoggingOptions: {
              shape: "Sl"
            }
          }
        },
        S4k: {
          type: "structure",
          required: [
            "SubnetIds",
            "RoleARN",
            "SecurityGroupIds",
            "VpcId"
          ],
          members: {
            SubnetIds: {
              shape: "S2f"
            },
            RoleARN: {},
            SecurityGroupIds: {
              shape: "S2g"
            },
            VpcId: {}
          }
        },
        S4z: {
          type: "structure",
          required: [
            "Data"
          ],
          members: {
            Data: {
              type: "blob"
            }
          }
        },
        S5k: {
          type: "structure",
          members: {
            RoleARN: {},
            BucketARN: {},
            Prefix: {},
            ErrorOutputPrefix: {},
            BufferingHints: {
              shape: "Se"
            },
            CompressionFormat: {},
            EncryptionConfiguration: {
              shape: "Si"
            },
            CloudWatchLoggingOptions: {
              shape: "Sl"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/firehose-2015-08-04.paginators.json
var require_firehose_2015_08_04_paginators = __commonJS({
  "node_modules/aws-sdk/apis/firehose-2015-08-04.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/firehose.js
var require_firehose = __commonJS({
  "node_modules/aws-sdk/clients/firehose.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["firehose"] = {};
    AWS2.Firehose = Service.defineService("firehose", ["2015-08-04"]);
    Object.defineProperty(apiLoader.services["firehose"], "2015-08-04", {
      get: function get() {
        var model = require_firehose_2015_08_04_min();
        model.paginators = require_firehose_2015_08_04_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Firehose;
  }
});

// node_modules/aws-sdk/apis/gamelift-2015-10-01.min.json
var require_gamelift_2015_10_01_min = __commonJS({
  "node_modules/aws-sdk/apis/gamelift-2015-10-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-10-01",
        endpointPrefix: "gamelift",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon GameLift",
        serviceId: "GameLift",
        signatureVersion: "v4",
        targetPrefix: "GameLift",
        uid: "gamelift-2015-10-01"
      },
      operations: {
        AcceptMatch: {
          input: {
            type: "structure",
            required: [
              "TicketId",
              "PlayerIds",
              "AcceptanceType"
            ],
            members: {
              TicketId: {},
              PlayerIds: {
                shape: "S3"
              },
              AcceptanceType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ClaimGameServer: {
          input: {
            type: "structure",
            required: [
              "GameServerGroupName"
            ],
            members: {
              GameServerGroupName: {},
              GameServerId: {},
              GameServerData: {},
              FilterOption: {
                type: "structure",
                members: {
                  InstanceStatuses: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GameServer: {
                shape: "Sf"
              }
            }
          }
        },
        CreateAlias: {
          input: {
            type: "structure",
            required: [
              "Name",
              "RoutingStrategy"
            ],
            members: {
              Name: {},
              Description: {},
              RoutingStrategy: {
                shape: "Sp"
              },
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Alias: {
                shape: "Sy"
              }
            }
          }
        },
        CreateBuild: {
          input: {
            type: "structure",
            members: {
              Name: {},
              Version: {},
              StorageLocation: {
                shape: "S12"
              },
              OperatingSystem: {},
              Tags: {
                shape: "St"
              },
              ServerSdkVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Build: {
                shape: "S17"
              },
              UploadCredentials: {
                shape: "S1c"
              },
              StorageLocation: {
                shape: "S12"
              }
            }
          }
        },
        CreateFleet: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              BuildId: {},
              ScriptId: {},
              ServerLaunchPath: {},
              ServerLaunchParameters: {},
              LogPaths: {
                shape: "S3"
              },
              EC2InstanceType: {},
              EC2InboundPermissions: {
                shape: "S1j"
              },
              NewGameSessionProtectionPolicy: {},
              RuntimeConfiguration: {
                shape: "S1p"
              },
              ResourceCreationLimitPolicy: {
                shape: "S1v"
              },
              MetricGroups: {
                shape: "S1x"
              },
              PeerVpcAwsAccountId: {},
              PeerVpcId: {},
              FleetType: {},
              InstanceRoleArn: {},
              CertificateConfiguration: {
                shape: "S20"
              },
              Locations: {
                shape: "S22"
              },
              Tags: {
                shape: "St"
              },
              ComputeType: {},
              AnywhereConfiguration: {
                shape: "S26"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FleetAttributes: {
                shape: "S29"
              },
              LocationStates: {
                shape: "S2g"
              }
            }
          }
        },
        CreateFleetLocations: {
          input: {
            type: "structure",
            required: [
              "FleetId",
              "Locations"
            ],
            members: {
              FleetId: {},
              Locations: {
                shape: "S22"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FleetId: {},
              FleetArn: {},
              LocationStates: {
                shape: "S2g"
              }
            }
          }
        },
        CreateGameServerGroup: {
          input: {
            type: "structure",
            required: [
              "GameServerGroupName",
              "RoleArn",
              "MinSize",
              "MaxSize",
              "LaunchTemplate",
              "InstanceDefinitions"
            ],
            members: {
              GameServerGroupName: {},
              RoleArn: {},
              MinSize: {
                type: "integer"
              },
              MaxSize: {
                type: "integer"
              },
              LaunchTemplate: {
                type: "structure",
                members: {
                  LaunchTemplateId: {},
                  LaunchTemplateName: {},
                  Version: {}
                }
              },
              InstanceDefinitions: {
                shape: "S2r"
              },
              AutoScalingPolicy: {
                type: "structure",
                required: [
                  "TargetTrackingConfiguration"
                ],
                members: {
                  EstimatedInstanceWarmup: {
                    type: "integer"
                  },
                  TargetTrackingConfiguration: {
                    type: "structure",
                    required: [
                      "TargetValue"
                    ],
                    members: {
                      TargetValue: {
                        type: "double"
                      }
                    }
                  }
                }
              },
              BalancingStrategy: {},
              GameServerProtectionPolicy: {},
              VpcSubnets: {
                type: "list",
                member: {}
              },
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GameServerGroup: {
                shape: "S33"
              }
            }
          }
        },
        CreateGameSession: {
          input: {
            type: "structure",
            required: [
              "MaximumPlayerSessionCount"
            ],
            members: {
              FleetId: {},
              AliasId: {},
              MaximumPlayerSessionCount: {
                type: "integer"
              },
              Name: {},
              GameProperties: {
                shape: "S3a"
              },
              CreatorId: {},
              GameSessionId: {},
              IdempotencyToken: {},
              GameSessionData: {},
              Location: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameSession: {
                shape: "S3h"
              }
            }
          }
        },
        CreateGameSessionQueue: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              TimeoutInSeconds: {
                type: "integer"
              },
              PlayerLatencyPolicies: {
                shape: "S3q"
              },
              Destinations: {
                shape: "S3s"
              },
              FilterConfiguration: {
                shape: "S3v"
              },
              PriorityConfiguration: {
                shape: "S3x"
              },
              CustomEventData: {},
              NotificationTarget: {},
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GameSessionQueue: {
                shape: "S43"
              }
            }
          }
        },
        CreateLocation: {
          input: {
            type: "structure",
            required: [
              "LocationName"
            ],
            members: {
              LocationName: {},
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Location: {
                shape: "S48"
              }
            }
          }
        },
        CreateMatchmakingConfiguration: {
          input: {
            type: "structure",
            required: [
              "Name",
              "RequestTimeoutSeconds",
              "AcceptanceRequired",
              "RuleSetName"
            ],
            members: {
              Name: {},
              Description: {},
              GameSessionQueueArns: {
                shape: "S4b"
              },
              RequestTimeoutSeconds: {
                type: "integer"
              },
              AcceptanceTimeoutSeconds: {
                type: "integer"
              },
              AcceptanceRequired: {
                type: "boolean"
              },
              RuleSetName: {},
              NotificationTarget: {},
              AdditionalPlayerCount: {
                type: "integer"
              },
              CustomEventData: {},
              GameProperties: {
                shape: "S3a"
              },
              GameSessionData: {},
              BackfillMode: {},
              FlexMatchMode: {},
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Configuration: {
                shape: "S4m"
              }
            }
          }
        },
        CreateMatchmakingRuleSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "RuleSetBody"
            ],
            members: {
              Name: {},
              RuleSetBody: {},
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "RuleSet"
            ],
            members: {
              RuleSet: {
                shape: "S4s"
              }
            }
          }
        },
        CreatePlayerSession: {
          input: {
            type: "structure",
            required: [
              "GameSessionId",
              "PlayerId"
            ],
            members: {
              GameSessionId: {},
              PlayerId: {},
              PlayerData: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PlayerSession: {
                shape: "S4w"
              }
            }
          }
        },
        CreatePlayerSessions: {
          input: {
            type: "structure",
            required: [
              "GameSessionId",
              "PlayerIds"
            ],
            members: {
              GameSessionId: {},
              PlayerIds: {
                type: "list",
                member: {}
              },
              PlayerDataMap: {
                type: "map",
                key: {},
                value: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PlayerSessions: {
                shape: "S53"
              }
            }
          }
        },
        CreateScript: {
          input: {
            type: "structure",
            members: {
              Name: {},
              Version: {},
              StorageLocation: {
                shape: "S12"
              },
              ZipFile: {
                type: "blob"
              },
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Script: {
                shape: "S57"
              }
            }
          }
        },
        CreateVpcPeeringAuthorization: {
          input: {
            type: "structure",
            required: [
              "GameLiftAwsAccountId",
              "PeerVpcId"
            ],
            members: {
              GameLiftAwsAccountId: {},
              PeerVpcId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VpcPeeringAuthorization: {
                shape: "S5a"
              }
            }
          }
        },
        CreateVpcPeeringConnection: {
          input: {
            type: "structure",
            required: [
              "FleetId",
              "PeerVpcAwsAccountId",
              "PeerVpcId"
            ],
            members: {
              FleetId: {},
              PeerVpcAwsAccountId: {},
              PeerVpcId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAlias: {
          input: {
            type: "structure",
            required: [
              "AliasId"
            ],
            members: {
              AliasId: {}
            }
          }
        },
        DeleteBuild: {
          input: {
            type: "structure",
            required: [
              "BuildId"
            ],
            members: {
              BuildId: {}
            }
          }
        },
        DeleteFleet: {
          input: {
            type: "structure",
            required: [
              "FleetId"
            ],
            members: {
              FleetId: {}
            }
          }
        },
        DeleteFleetLocations: {
          input: {
            type: "structure",
            required: [
              "FleetId",
              "Locations"
            ],
            members: {
              FleetId: {},
              Locations: {
                shape: "S3w"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FleetId: {},
              FleetArn: {},
              LocationStates: {
                shape: "S2g"
              }
            }
          }
        },
        DeleteGameServerGroup: {
          input: {
            type: "structure",
            required: [
              "GameServerGroupName"
            ],
            members: {
              GameServerGroupName: {},
              DeleteOption: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameServerGroup: {
                shape: "S33"
              }
            }
          }
        },
        DeleteGameSessionQueue: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteLocation: {
          input: {
            type: "structure",
            required: [
              "LocationName"
            ],
            members: {
              LocationName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteMatchmakingConfiguration: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteMatchmakingRuleSet: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteScalingPolicy: {
          input: {
            type: "structure",
            required: [
              "Name",
              "FleetId"
            ],
            members: {
              Name: {},
              FleetId: {}
            }
          }
        },
        DeleteScript: {
          input: {
            type: "structure",
            required: [
              "ScriptId"
            ],
            members: {
              ScriptId: {}
            }
          }
        },
        DeleteVpcPeeringAuthorization: {
          input: {
            type: "structure",
            required: [
              "GameLiftAwsAccountId",
              "PeerVpcId"
            ],
            members: {
              GameLiftAwsAccountId: {},
              PeerVpcId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteVpcPeeringConnection: {
          input: {
            type: "structure",
            required: [
              "FleetId",
              "VpcPeeringConnectionId"
            ],
            members: {
              FleetId: {},
              VpcPeeringConnectionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeregisterCompute: {
          input: {
            type: "structure",
            required: [
              "FleetId",
              "ComputeName"
            ],
            members: {
              FleetId: {},
              ComputeName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeregisterGameServer: {
          input: {
            type: "structure",
            required: [
              "GameServerGroupName",
              "GameServerId"
            ],
            members: {
              GameServerGroupName: {},
              GameServerId: {}
            }
          }
        },
        DescribeAlias: {
          input: {
            type: "structure",
            required: [
              "AliasId"
            ],
            members: {
              AliasId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Alias: {
                shape: "Sy"
              }
            }
          }
        },
        DescribeBuild: {
          input: {
            type: "structure",
            required: [
              "BuildId"
            ],
            members: {
              BuildId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Build: {
                shape: "S17"
              }
            }
          }
        },
        DescribeCompute: {
          input: {
            type: "structure",
            required: [
              "FleetId",
              "ComputeName"
            ],
            members: {
              FleetId: {},
              ComputeName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Compute: {
                shape: "S6c"
              }
            }
          }
        },
        DescribeEC2InstanceLimits: {
          input: {
            type: "structure",
            members: {
              EC2InstanceType: {},
              Location: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EC2InstanceLimits: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EC2InstanceType: {},
                    CurrentInstances: {
                      type: "integer"
                    },
                    InstanceLimit: {
                      type: "integer"
                    },
                    Location: {}
                  }
                }
              }
            }
          }
        },
        DescribeFleetAttributes: {
          input: {
            type: "structure",
            members: {
              FleetIds: {
                shape: "S6m"
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetAttributes: {
                type: "list",
                member: {
                  shape: "S29"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeFleetCapacity: {
          input: {
            type: "structure",
            members: {
              FleetIds: {
                shape: "S6m"
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetCapacity: {
                type: "list",
                member: {
                  shape: "S6s"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeFleetEvents: {
          input: {
            type: "structure",
            required: [
              "FleetId"
            ],
            members: {
              FleetId: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Events: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EventId: {},
                    ResourceId: {},
                    EventCode: {},
                    Message: {},
                    EventTime: {
                      type: "timestamp"
                    },
                    PreSignedLogUrl: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeFleetLocationAttributes: {
          input: {
            type: "structure",
            required: [
              "FleetId"
            ],
            members: {
              FleetId: {},
              Locations: {
                shape: "S3w"
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetId: {},
              FleetArn: {},
              LocationAttributes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LocationState: {
                      shape: "S2h"
                    },
                    StoppedActions: {
                      shape: "S2e"
                    },
                    UpdateStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeFleetLocationCapacity: {
          input: {
            type: "structure",
            required: [
              "FleetId",
              "Location"
            ],
            members: {
              FleetId: {},
              Location: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetCapacity: {
                shape: "S6s"
              }
            }
          }
        },
        DescribeFleetLocationUtilization: {
          input: {
            type: "structure",
            required: [
              "FleetId",
              "Location"
            ],
            members: {
              FleetId: {},
              Location: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetUtilization: {
                shape: "S78"
              }
            }
          }
        },
        DescribeFleetPortSettings: {
          input: {
            type: "structure",
            required: [
              "FleetId"
            ],
            members: {
              FleetId: {},
              Location: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetId: {},
              FleetArn: {},
              InboundPermissions: {
                shape: "S1j"
              },
              UpdateStatus: {},
              Location: {}
            }
          }
        },
        DescribeFleetUtilization: {
          input: {
            type: "structure",
            members: {
              FleetIds: {
                shape: "S6m"
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetUtilization: {
                type: "list",
                member: {
                  shape: "S78"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeGameServer: {
          input: {
            type: "structure",
            required: [
              "GameServerGroupName",
              "GameServerId"
            ],
            members: {
              GameServerGroupName: {},
              GameServerId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameServer: {
                shape: "Sf"
              }
            }
          }
        },
        DescribeGameServerGroup: {
          input: {
            type: "structure",
            required: [
              "GameServerGroupName"
            ],
            members: {
              GameServerGroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameServerGroup: {
                shape: "S33"
              }
            }
          }
        },
        DescribeGameServerInstances: {
          input: {
            type: "structure",
            required: [
              "GameServerGroupName"
            ],
            members: {
              GameServerGroupName: {},
              InstanceIds: {
                type: "list",
                member: {}
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameServerInstances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    GameServerGroupName: {},
                    GameServerGroupArn: {},
                    InstanceId: {},
                    InstanceStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeGameSessionDetails: {
          input: {
            type: "structure",
            members: {
              FleetId: {},
              GameSessionId: {},
              AliasId: {},
              Location: {},
              StatusFilter: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameSessionDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    GameSession: {
                      shape: "S3h"
                    },
                    ProtectionPolicy: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeGameSessionPlacement: {
          input: {
            type: "structure",
            required: [
              "PlacementId"
            ],
            members: {
              PlacementId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameSessionPlacement: {
                shape: "S7u"
              }
            }
          }
        },
        DescribeGameSessionQueues: {
          input: {
            type: "structure",
            members: {
              Names: {
                type: "list",
                member: {}
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameSessionQueues: {
                type: "list",
                member: {
                  shape: "S43"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeGameSessions: {
          input: {
            type: "structure",
            members: {
              FleetId: {},
              GameSessionId: {},
              AliasId: {},
              Location: {},
              StatusFilter: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameSessions: {
                shape: "S87"
              },
              NextToken: {}
            }
          }
        },
        DescribeInstances: {
          input: {
            type: "structure",
            required: [
              "FleetId"
            ],
            members: {
              FleetId: {},
              InstanceId: {},
              Limit: {
                type: "integer"
              },
              NextToken: {},
              Location: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Instances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FleetId: {},
                    FleetArn: {},
                    InstanceId: {},
                    IpAddress: {},
                    DnsName: {},
                    OperatingSystem: {},
                    Type: {},
                    Status: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    Location: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeMatchmaking: {
          input: {
            type: "structure",
            required: [
              "TicketIds"
            ],
            members: {
              TicketIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TicketList: {
                type: "list",
                member: {
                  shape: "S8i"
                }
              }
            }
          }
        },
        DescribeMatchmakingConfigurations: {
          input: {
            type: "structure",
            members: {
              Names: {
                type: "list",
                member: {}
              },
              RuleSetName: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Configurations: {
                type: "list",
                member: {
                  shape: "S4m"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeMatchmakingRuleSets: {
          input: {
            type: "structure",
            members: {
              Names: {
                type: "list",
                member: {}
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "RuleSets"
            ],
            members: {
              RuleSets: {
                type: "list",
                member: {
                  shape: "S4s"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribePlayerSessions: {
          input: {
            type: "structure",
            members: {
              GameSessionId: {},
              PlayerId: {},
              PlayerSessionId: {},
              PlayerSessionStatusFilter: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PlayerSessions: {
                shape: "S53"
              },
              NextToken: {}
            }
          }
        },
        DescribeRuntimeConfiguration: {
          input: {
            type: "structure",
            required: [
              "FleetId"
            ],
            members: {
              FleetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RuntimeConfiguration: {
                shape: "S1p"
              }
            }
          }
        },
        DescribeScalingPolicies: {
          input: {
            type: "structure",
            required: [
              "FleetId"
            ],
            members: {
              FleetId: {},
              StatusFilter: {},
              Limit: {
                type: "integer"
              },
              NextToken: {},
              Location: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ScalingPolicies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FleetId: {},
                    FleetArn: {},
                    Name: {},
                    Status: {},
                    ScalingAdjustment: {
                      type: "integer"
                    },
                    ScalingAdjustmentType: {},
                    ComparisonOperator: {},
                    Threshold: {
                      type: "double"
                    },
                    EvaluationPeriods: {
                      type: "integer"
                    },
                    MetricName: {},
                    PolicyType: {},
                    TargetConfiguration: {
                      shape: "S9l"
                    },
                    UpdateStatus: {},
                    Location: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeScript: {
          input: {
            type: "structure",
            required: [
              "ScriptId"
            ],
            members: {
              ScriptId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Script: {
                shape: "S57"
              }
            }
          }
        },
        DescribeVpcPeeringAuthorizations: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              VpcPeeringAuthorizations: {
                type: "list",
                member: {
                  shape: "S5a"
                }
              }
            }
          }
        },
        DescribeVpcPeeringConnections: {
          input: {
            type: "structure",
            members: {
              FleetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VpcPeeringConnections: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FleetId: {},
                    FleetArn: {},
                    IpV4CidrBlock: {},
                    VpcPeeringConnectionId: {},
                    Status: {
                      type: "structure",
                      members: {
                        Code: {},
                        Message: {}
                      }
                    },
                    PeerVpcId: {},
                    GameLiftVpcId: {}
                  }
                }
              }
            }
          }
        },
        GetComputeAccess: {
          input: {
            type: "structure",
            required: [
              "FleetId",
              "ComputeName"
            ],
            members: {
              FleetId: {},
              ComputeName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetId: {},
              FleetArn: {},
              ComputeName: {},
              ComputeArn: {},
              Credentials: {
                shape: "S1c"
              }
            }
          }
        },
        GetComputeAuthToken: {
          input: {
            type: "structure",
            required: [
              "FleetId",
              "ComputeName"
            ],
            members: {
              FleetId: {},
              ComputeName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetId: {},
              FleetArn: {},
              ComputeName: {},
              ComputeArn: {},
              AuthToken: {},
              ExpirationTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        GetGameSessionLogUrl: {
          input: {
            type: "structure",
            required: [
              "GameSessionId"
            ],
            members: {
              GameSessionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PreSignedUrl: {}
            }
          }
        },
        GetInstanceAccess: {
          input: {
            type: "structure",
            required: [
              "FleetId",
              "InstanceId"
            ],
            members: {
              FleetId: {},
              InstanceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceAccess: {
                type: "structure",
                members: {
                  FleetId: {},
                  InstanceId: {},
                  IpAddress: {},
                  OperatingSystem: {},
                  Credentials: {
                    type: "structure",
                    members: {
                      UserName: {},
                      Secret: {}
                    },
                    sensitive: true
                  }
                }
              }
            }
          }
        },
        ListAliases: {
          input: {
            type: "structure",
            members: {
              RoutingStrategyType: {},
              Name: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Aliases: {
                type: "list",
                member: {
                  shape: "Sy"
                }
              },
              NextToken: {}
            }
          }
        },
        ListBuilds: {
          input: {
            type: "structure",
            members: {
              Status: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Builds: {
                type: "list",
                member: {
                  shape: "S17"
                }
              },
              NextToken: {}
            }
          }
        },
        ListCompute: {
          input: {
            type: "structure",
            required: [
              "FleetId"
            ],
            members: {
              FleetId: {},
              Location: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ComputeList: {
                type: "list",
                member: {
                  shape: "S6c"
                }
              },
              NextToken: {}
            }
          }
        },
        ListFleets: {
          input: {
            type: "structure",
            members: {
              BuildId: {},
              ScriptId: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetIds: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListGameServerGroups: {
          input: {
            type: "structure",
            members: {
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameServerGroups: {
                type: "list",
                member: {
                  shape: "S33"
                }
              },
              NextToken: {}
            }
          }
        },
        ListGameServers: {
          input: {
            type: "structure",
            required: [
              "GameServerGroupName"
            ],
            members: {
              GameServerGroupName: {},
              SortOrder: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameServers: {
                type: "list",
                member: {
                  shape: "Sf"
                }
              },
              NextToken: {}
            }
          }
        },
        ListLocations: {
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "list",
                member: {}
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Locations: {
                type: "list",
                member: {
                  shape: "S48"
                }
              },
              NextToken: {}
            }
          }
        },
        ListScripts: {
          input: {
            type: "structure",
            members: {
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Scripts: {
                type: "list",
                member: {
                  shape: "S57"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "St"
              }
            }
          }
        },
        PutScalingPolicy: {
          input: {
            type: "structure",
            required: [
              "Name",
              "FleetId",
              "MetricName"
            ],
            members: {
              Name: {},
              FleetId: {},
              ScalingAdjustment: {
                type: "integer"
              },
              ScalingAdjustmentType: {},
              Threshold: {
                type: "double"
              },
              ComparisonOperator: {},
              EvaluationPeriods: {
                type: "integer"
              },
              MetricName: {},
              PolicyType: {},
              TargetConfiguration: {
                shape: "S9l"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {}
            }
          }
        },
        RegisterCompute: {
          input: {
            type: "structure",
            required: [
              "FleetId",
              "ComputeName"
            ],
            members: {
              FleetId: {},
              ComputeName: {},
              CertificatePath: {},
              DnsName: {},
              IpAddress: {},
              Location: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Compute: {
                shape: "S6c"
              }
            }
          }
        },
        RegisterGameServer: {
          input: {
            type: "structure",
            required: [
              "GameServerGroupName",
              "GameServerId",
              "InstanceId"
            ],
            members: {
              GameServerGroupName: {},
              GameServerId: {},
              InstanceId: {},
              ConnectionInfo: {},
              GameServerData: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameServer: {
                shape: "Sf"
              }
            }
          }
        },
        RequestUploadCredentials: {
          input: {
            type: "structure",
            required: [
              "BuildId"
            ],
            members: {
              BuildId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UploadCredentials: {
                shape: "S1c"
              },
              StorageLocation: {
                shape: "S12"
              }
            }
          }
        },
        ResolveAlias: {
          input: {
            type: "structure",
            required: [
              "AliasId"
            ],
            members: {
              AliasId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetId: {},
              FleetArn: {}
            }
          }
        },
        ResumeGameServerGroup: {
          input: {
            type: "structure",
            required: [
              "GameServerGroupName",
              "ResumeActions"
            ],
            members: {
              GameServerGroupName: {},
              ResumeActions: {
                shape: "S36"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GameServerGroup: {
                shape: "S33"
              }
            }
          }
        },
        SearchGameSessions: {
          input: {
            type: "structure",
            members: {
              FleetId: {},
              AliasId: {},
              Location: {},
              FilterExpression: {},
              SortExpression: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameSessions: {
                shape: "S87"
              },
              NextToken: {}
            }
          }
        },
        StartFleetActions: {
          input: {
            type: "structure",
            required: [
              "FleetId",
              "Actions"
            ],
            members: {
              FleetId: {},
              Actions: {
                shape: "S2e"
              },
              Location: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetId: {},
              FleetArn: {}
            }
          }
        },
        StartGameSessionPlacement: {
          input: {
            type: "structure",
            required: [
              "PlacementId",
              "GameSessionQueueName",
              "MaximumPlayerSessionCount"
            ],
            members: {
              PlacementId: {},
              GameSessionQueueName: {},
              GameProperties: {
                shape: "S3a"
              },
              MaximumPlayerSessionCount: {
                type: "integer"
              },
              GameSessionName: {},
              PlayerLatencies: {
                shape: "S7w"
              },
              DesiredPlayerSessions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PlayerId: {},
                    PlayerData: {}
                  }
                }
              },
              GameSessionData: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameSessionPlacement: {
                shape: "S7u"
              }
            }
          }
        },
        StartMatchBackfill: {
          input: {
            type: "structure",
            required: [
              "ConfigurationName",
              "Players"
            ],
            members: {
              TicketId: {},
              ConfigurationName: {},
              GameSessionArn: {},
              Players: {
                shape: "S8l"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MatchmakingTicket: {
                shape: "S8i"
              }
            }
          }
        },
        StartMatchmaking: {
          input: {
            type: "structure",
            required: [
              "ConfigurationName",
              "Players"
            ],
            members: {
              TicketId: {},
              ConfigurationName: {},
              Players: {
                shape: "S8l"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MatchmakingTicket: {
                shape: "S8i"
              }
            }
          }
        },
        StopFleetActions: {
          input: {
            type: "structure",
            required: [
              "FleetId",
              "Actions"
            ],
            members: {
              FleetId: {},
              Actions: {
                shape: "S2e"
              },
              Location: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetId: {},
              FleetArn: {}
            }
          }
        },
        StopGameSessionPlacement: {
          input: {
            type: "structure",
            required: [
              "PlacementId"
            ],
            members: {
              PlacementId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameSessionPlacement: {
                shape: "S7u"
              }
            }
          }
        },
        StopMatchmaking: {
          input: {
            type: "structure",
            required: [
              "TicketId"
            ],
            members: {
              TicketId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SuspendGameServerGroup: {
          input: {
            type: "structure",
            required: [
              "GameServerGroupName",
              "SuspendActions"
            ],
            members: {
              GameServerGroupName: {},
              SuspendActions: {
                shape: "S36"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GameServerGroup: {
                shape: "S33"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAlias: {
          input: {
            type: "structure",
            required: [
              "AliasId"
            ],
            members: {
              AliasId: {},
              Name: {},
              Description: {},
              RoutingStrategy: {
                shape: "Sp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Alias: {
                shape: "Sy"
              }
            }
          }
        },
        UpdateBuild: {
          input: {
            type: "structure",
            required: [
              "BuildId"
            ],
            members: {
              BuildId: {},
              Name: {},
              Version: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Build: {
                shape: "S17"
              }
            }
          }
        },
        UpdateFleetAttributes: {
          input: {
            type: "structure",
            required: [
              "FleetId"
            ],
            members: {
              FleetId: {},
              Name: {},
              Description: {},
              NewGameSessionProtectionPolicy: {},
              ResourceCreationLimitPolicy: {
                shape: "S1v"
              },
              MetricGroups: {
                shape: "S1x"
              },
              AnywhereConfiguration: {
                shape: "S26"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FleetId: {},
              FleetArn: {}
            }
          }
        },
        UpdateFleetCapacity: {
          input: {
            type: "structure",
            required: [
              "FleetId"
            ],
            members: {
              FleetId: {},
              DesiredInstances: {
                type: "integer"
              },
              MinSize: {
                type: "integer"
              },
              MaxSize: {
                type: "integer"
              },
              Location: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FleetId: {},
              FleetArn: {},
              Location: {}
            }
          }
        },
        UpdateFleetPortSettings: {
          input: {
            type: "structure",
            required: [
              "FleetId"
            ],
            members: {
              FleetId: {},
              InboundPermissionAuthorizations: {
                shape: "S1j"
              },
              InboundPermissionRevocations: {
                shape: "S1j"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FleetId: {},
              FleetArn: {}
            }
          }
        },
        UpdateGameServer: {
          input: {
            type: "structure",
            required: [
              "GameServerGroupName",
              "GameServerId"
            ],
            members: {
              GameServerGroupName: {},
              GameServerId: {},
              GameServerData: {},
              UtilizationStatus: {},
              HealthCheck: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameServer: {
                shape: "Sf"
              }
            }
          }
        },
        UpdateGameServerGroup: {
          input: {
            type: "structure",
            required: [
              "GameServerGroupName"
            ],
            members: {
              GameServerGroupName: {},
              RoleArn: {},
              InstanceDefinitions: {
                shape: "S2r"
              },
              GameServerProtectionPolicy: {},
              BalancingStrategy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameServerGroup: {
                shape: "S33"
              }
            }
          }
        },
        UpdateGameSession: {
          input: {
            type: "structure",
            required: [
              "GameSessionId"
            ],
            members: {
              GameSessionId: {},
              MaximumPlayerSessionCount: {
                type: "integer"
              },
              Name: {},
              PlayerSessionCreationPolicy: {},
              ProtectionPolicy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameSession: {
                shape: "S3h"
              }
            }
          }
        },
        UpdateGameSessionQueue: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              TimeoutInSeconds: {
                type: "integer"
              },
              PlayerLatencyPolicies: {
                shape: "S3q"
              },
              Destinations: {
                shape: "S3s"
              },
              FilterConfiguration: {
                shape: "S3v"
              },
              PriorityConfiguration: {
                shape: "S3x"
              },
              CustomEventData: {},
              NotificationTarget: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GameSessionQueue: {
                shape: "S43"
              }
            }
          }
        },
        UpdateMatchmakingConfiguration: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              GameSessionQueueArns: {
                shape: "S4b"
              },
              RequestTimeoutSeconds: {
                type: "integer"
              },
              AcceptanceTimeoutSeconds: {
                type: "integer"
              },
              AcceptanceRequired: {
                type: "boolean"
              },
              RuleSetName: {},
              NotificationTarget: {},
              AdditionalPlayerCount: {
                type: "integer"
              },
              CustomEventData: {},
              GameProperties: {
                shape: "S3a"
              },
              GameSessionData: {},
              BackfillMode: {},
              FlexMatchMode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Configuration: {
                shape: "S4m"
              }
            }
          }
        },
        UpdateRuntimeConfiguration: {
          input: {
            type: "structure",
            required: [
              "FleetId",
              "RuntimeConfiguration"
            ],
            members: {
              FleetId: {},
              RuntimeConfiguration: {
                shape: "S1p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RuntimeConfiguration: {
                shape: "S1p"
              }
            }
          }
        },
        UpdateScript: {
          input: {
            type: "structure",
            required: [
              "ScriptId"
            ],
            members: {
              ScriptId: {},
              Name: {},
              Version: {},
              StorageLocation: {
                shape: "S12"
              },
              ZipFile: {
                type: "blob"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Script: {
                shape: "S57"
              }
            }
          }
        },
        ValidateMatchmakingRuleSet: {
          input: {
            type: "structure",
            required: [
              "RuleSetBody"
            ],
            members: {
              RuleSetBody: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Valid: {
                type: "boolean"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {}
        },
        Sf: {
          type: "structure",
          members: {
            GameServerGroupName: {},
            GameServerGroupArn: {},
            GameServerId: {},
            InstanceId: {},
            ConnectionInfo: {},
            GameServerData: {},
            ClaimStatus: {},
            UtilizationStatus: {},
            RegistrationTime: {
              type: "timestamp"
            },
            LastClaimTime: {
              type: "timestamp"
            },
            LastHealthCheckTime: {
              type: "timestamp"
            }
          }
        },
        Sp: {
          type: "structure",
          members: {
            Type: {},
            FleetId: {},
            Message: {}
          }
        },
        St: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sy: {
          type: "structure",
          members: {
            AliasId: {},
            Name: {},
            AliasArn: {},
            Description: {},
            RoutingStrategy: {
              shape: "Sp"
            },
            CreationTime: {
              type: "timestamp"
            },
            LastUpdatedTime: {
              type: "timestamp"
            }
          }
        },
        S12: {
          type: "structure",
          members: {
            Bucket: {},
            Key: {},
            RoleArn: {},
            ObjectVersion: {}
          }
        },
        S17: {
          type: "structure",
          members: {
            BuildId: {},
            BuildArn: {},
            Name: {},
            Version: {},
            Status: {},
            SizeOnDisk: {
              type: "long"
            },
            OperatingSystem: {},
            CreationTime: {
              type: "timestamp"
            },
            ServerSdkVersion: {}
          }
        },
        S1c: {
          type: "structure",
          members: {
            AccessKeyId: {},
            SecretAccessKey: {},
            SessionToken: {}
          },
          sensitive: true
        },
        S1j: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "FromPort",
              "ToPort",
              "IpRange",
              "Protocol"
            ],
            members: {
              FromPort: {
                type: "integer"
              },
              ToPort: {
                type: "integer"
              },
              IpRange: {},
              Protocol: {}
            }
          }
        },
        S1p: {
          type: "structure",
          members: {
            ServerProcesses: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "LaunchPath",
                  "ConcurrentExecutions"
                ],
                members: {
                  LaunchPath: {},
                  Parameters: {},
                  ConcurrentExecutions: {
                    type: "integer"
                  }
                }
              }
            },
            MaxConcurrentGameSessionActivations: {
              type: "integer"
            },
            GameSessionActivationTimeoutSeconds: {
              type: "integer"
            }
          }
        },
        S1v: {
          type: "structure",
          members: {
            NewGameSessionsPerCreator: {
              type: "integer"
            },
            PolicyPeriodInMinutes: {
              type: "integer"
            }
          }
        },
        S1x: {
          type: "list",
          member: {}
        },
        S20: {
          type: "structure",
          required: [
            "CertificateType"
          ],
          members: {
            CertificateType: {}
          }
        },
        S22: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Location"
            ],
            members: {
              Location: {}
            }
          }
        },
        S26: {
          type: "structure",
          required: [
            "Cost"
          ],
          members: {
            Cost: {}
          }
        },
        S29: {
          type: "structure",
          members: {
            FleetId: {},
            FleetArn: {},
            FleetType: {},
            InstanceType: {},
            Description: {},
            Name: {},
            CreationTime: {
              type: "timestamp"
            },
            TerminationTime: {
              type: "timestamp"
            },
            Status: {},
            BuildId: {},
            BuildArn: {},
            ScriptId: {},
            ScriptArn: {},
            ServerLaunchPath: {},
            ServerLaunchParameters: {},
            LogPaths: {
              shape: "S3"
            },
            NewGameSessionProtectionPolicy: {},
            OperatingSystem: {},
            ResourceCreationLimitPolicy: {
              shape: "S1v"
            },
            MetricGroups: {
              shape: "S1x"
            },
            StoppedActions: {
              shape: "S2e"
            },
            InstanceRoleArn: {},
            CertificateConfiguration: {
              shape: "S20"
            },
            ComputeType: {},
            AnywhereConfiguration: {
              shape: "S26"
            }
          }
        },
        S2e: {
          type: "list",
          member: {}
        },
        S2g: {
          type: "list",
          member: {
            shape: "S2h"
          }
        },
        S2h: {
          type: "structure",
          members: {
            Location: {},
            Status: {}
          }
        },
        S2r: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "InstanceType"
            ],
            members: {
              InstanceType: {},
              WeightedCapacity: {}
            }
          }
        },
        S33: {
          type: "structure",
          members: {
            GameServerGroupName: {},
            GameServerGroupArn: {},
            RoleArn: {},
            InstanceDefinitions: {
              shape: "S2r"
            },
            BalancingStrategy: {},
            GameServerProtectionPolicy: {},
            AutoScalingGroupArn: {},
            Status: {},
            StatusReason: {},
            SuspendedActions: {
              shape: "S36"
            },
            CreationTime: {
              type: "timestamp"
            },
            LastUpdatedTime: {
              type: "timestamp"
            }
          }
        },
        S36: {
          type: "list",
          member: {}
        },
        S3a: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S3h: {
          type: "structure",
          members: {
            GameSessionId: {},
            Name: {},
            FleetId: {},
            FleetArn: {},
            CreationTime: {
              type: "timestamp"
            },
            TerminationTime: {
              type: "timestamp"
            },
            CurrentPlayerSessionCount: {
              type: "integer"
            },
            MaximumPlayerSessionCount: {
              type: "integer"
            },
            Status: {},
            StatusReason: {},
            GameProperties: {
              shape: "S3a"
            },
            IpAddress: {},
            DnsName: {},
            Port: {
              type: "integer"
            },
            PlayerSessionCreationPolicy: {},
            CreatorId: {},
            GameSessionData: {},
            MatchmakerData: {},
            Location: {}
          }
        },
        S3q: {
          type: "list",
          member: {
            type: "structure",
            members: {
              MaximumIndividualPlayerLatencyMilliseconds: {
                type: "integer"
              },
              PolicyDurationSeconds: {
                type: "integer"
              }
            }
          }
        },
        S3s: {
          type: "list",
          member: {
            type: "structure",
            members: {
              DestinationArn: {}
            }
          }
        },
        S3v: {
          type: "structure",
          members: {
            AllowedLocations: {
              shape: "S3w"
            }
          }
        },
        S3w: {
          type: "list",
          member: {}
        },
        S3x: {
          type: "structure",
          members: {
            PriorityOrder: {
              type: "list",
              member: {}
            },
            LocationOrder: {
              shape: "S3w"
            }
          }
        },
        S43: {
          type: "structure",
          members: {
            Name: {},
            GameSessionQueueArn: {},
            TimeoutInSeconds: {
              type: "integer"
            },
            PlayerLatencyPolicies: {
              shape: "S3q"
            },
            Destinations: {
              shape: "S3s"
            },
            FilterConfiguration: {
              shape: "S3v"
            },
            PriorityConfiguration: {
              shape: "S3x"
            },
            CustomEventData: {},
            NotificationTarget: {}
          }
        },
        S48: {
          type: "structure",
          members: {
            LocationName: {},
            LocationArn: {}
          }
        },
        S4b: {
          type: "list",
          member: {}
        },
        S4m: {
          type: "structure",
          members: {
            Name: {},
            ConfigurationArn: {},
            Description: {},
            GameSessionQueueArns: {
              shape: "S4b"
            },
            RequestTimeoutSeconds: {
              type: "integer"
            },
            AcceptanceTimeoutSeconds: {
              type: "integer"
            },
            AcceptanceRequired: {
              type: "boolean"
            },
            RuleSetName: {},
            RuleSetArn: {},
            NotificationTarget: {},
            AdditionalPlayerCount: {
              type: "integer"
            },
            CustomEventData: {},
            CreationTime: {
              type: "timestamp"
            },
            GameProperties: {
              shape: "S3a"
            },
            GameSessionData: {},
            BackfillMode: {},
            FlexMatchMode: {}
          }
        },
        S4s: {
          type: "structure",
          required: [
            "RuleSetBody"
          ],
          members: {
            RuleSetName: {},
            RuleSetArn: {},
            RuleSetBody: {},
            CreationTime: {
              type: "timestamp"
            }
          }
        },
        S4w: {
          type: "structure",
          members: {
            PlayerSessionId: {},
            PlayerId: {},
            GameSessionId: {},
            FleetId: {},
            FleetArn: {},
            CreationTime: {
              type: "timestamp"
            },
            TerminationTime: {
              type: "timestamp"
            },
            Status: {},
            IpAddress: {},
            DnsName: {},
            Port: {
              type: "integer"
            },
            PlayerData: {}
          }
        },
        S53: {
          type: "list",
          member: {
            shape: "S4w"
          }
        },
        S57: {
          type: "structure",
          members: {
            ScriptId: {},
            ScriptArn: {},
            Name: {},
            Version: {},
            SizeOnDisk: {
              type: "long"
            },
            CreationTime: {
              type: "timestamp"
            },
            StorageLocation: {
              shape: "S12"
            }
          }
        },
        S5a: {
          type: "structure",
          members: {
            GameLiftAwsAccountId: {},
            PeerVpcAwsAccountId: {},
            PeerVpcId: {},
            CreationTime: {
              type: "timestamp"
            },
            ExpirationTime: {
              type: "timestamp"
            }
          }
        },
        S6c: {
          type: "structure",
          members: {
            FleetId: {},
            FleetArn: {},
            ComputeName: {},
            ComputeArn: {},
            IpAddress: {},
            DnsName: {},
            ComputeStatus: {},
            Location: {},
            CreationTime: {
              type: "timestamp"
            },
            OperatingSystem: {},
            Type: {},
            GameLiftServiceSdkEndpoint: {}
          }
        },
        S6m: {
          type: "list",
          member: {}
        },
        S6s: {
          type: "structure",
          members: {
            FleetId: {},
            FleetArn: {},
            InstanceType: {},
            InstanceCounts: {
              type: "structure",
              members: {
                DESIRED: {
                  type: "integer"
                },
                MINIMUM: {
                  type: "integer"
                },
                MAXIMUM: {
                  type: "integer"
                },
                PENDING: {
                  type: "integer"
                },
                ACTIVE: {
                  type: "integer"
                },
                IDLE: {
                  type: "integer"
                },
                TERMINATING: {
                  type: "integer"
                }
              }
            },
            Location: {}
          }
        },
        S78: {
          type: "structure",
          members: {
            FleetId: {},
            FleetArn: {},
            ActiveServerProcessCount: {
              type: "integer"
            },
            ActiveGameSessionCount: {
              type: "integer"
            },
            CurrentPlayerSessionCount: {
              type: "integer"
            },
            MaximumPlayerSessionCount: {
              type: "integer"
            },
            Location: {}
          }
        },
        S7u: {
          type: "structure",
          members: {
            PlacementId: {},
            GameSessionQueueName: {},
            Status: {},
            GameProperties: {
              shape: "S3a"
            },
            MaximumPlayerSessionCount: {
              type: "integer"
            },
            GameSessionName: {},
            GameSessionId: {},
            GameSessionArn: {},
            GameSessionRegion: {},
            PlayerLatencies: {
              shape: "S7w"
            },
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            IpAddress: {},
            DnsName: {},
            Port: {
              type: "integer"
            },
            PlacedPlayerSessions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  PlayerId: {},
                  PlayerSessionId: {}
                }
              }
            },
            GameSessionData: {},
            MatchmakerData: {}
          }
        },
        S7w: {
          type: "list",
          member: {
            type: "structure",
            members: {
              PlayerId: {},
              RegionIdentifier: {},
              LatencyInMilliseconds: {
                type: "float"
              }
            }
          }
        },
        S87: {
          type: "list",
          member: {
            shape: "S3h"
          }
        },
        S8i: {
          type: "structure",
          members: {
            TicketId: {},
            ConfigurationName: {},
            ConfigurationArn: {},
            Status: {},
            StatusReason: {},
            StatusMessage: {},
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            Players: {
              shape: "S8l"
            },
            GameSessionConnectionInfo: {
              type: "structure",
              members: {
                GameSessionArn: {},
                IpAddress: {},
                DnsName: {},
                Port: {
                  type: "integer"
                },
                MatchedPlayerSessions: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      PlayerId: {},
                      PlayerSessionId: {}
                    }
                  }
                }
              }
            },
            EstimatedWaitTime: {
              type: "integer"
            }
          }
        },
        S8l: {
          type: "list",
          member: {
            type: "structure",
            members: {
              PlayerId: {},
              PlayerAttributes: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    S: {},
                    N: {
                      type: "double"
                    },
                    SL: {
                      type: "list",
                      member: {}
                    },
                    SDM: {
                      type: "map",
                      key: {},
                      value: {
                        type: "double"
                      }
                    }
                  }
                }
              },
              Team: {},
              LatencyInMs: {
                type: "map",
                key: {},
                value: {
                  type: "integer"
                }
              }
            }
          }
        },
        S9l: {
          type: "structure",
          required: [
            "TargetValue"
          ],
          members: {
            TargetValue: {
              type: "double"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/gamelift-2015-10-01.paginators.json
var require_gamelift_2015_10_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/gamelift-2015-10-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeFleetAttributes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "FleetAttributes"
        },
        DescribeFleetCapacity: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "FleetCapacity"
        },
        DescribeFleetEvents: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "Events"
        },
        DescribeFleetLocationAttributes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit"
        },
        DescribeFleetUtilization: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "FleetUtilization"
        },
        DescribeGameServerInstances: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "GameServerInstances"
        },
        DescribeGameSessionDetails: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "GameSessionDetails"
        },
        DescribeGameSessionQueues: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "GameSessionQueues"
        },
        DescribeGameSessions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "GameSessions"
        },
        DescribeInstances: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "Instances"
        },
        DescribeMatchmakingConfigurations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "Configurations"
        },
        DescribeMatchmakingRuleSets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "RuleSets"
        },
        DescribePlayerSessions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "PlayerSessions"
        },
        DescribeScalingPolicies: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "ScalingPolicies"
        },
        ListAliases: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "Aliases"
        },
        ListBuilds: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "Builds"
        },
        ListCompute: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "ComputeList"
        },
        ListFleets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "FleetIds"
        },
        ListGameServerGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "GameServerGroups"
        },
        ListGameServers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "GameServers"
        },
        ListLocations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "Locations"
        },
        ListScripts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "Scripts"
        },
        SearchGameSessions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "GameSessions"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/gamelift.js
var require_gamelift = __commonJS({
  "node_modules/aws-sdk/clients/gamelift.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["gamelift"] = {};
    AWS2.GameLift = Service.defineService("gamelift", ["2015-10-01"]);
    Object.defineProperty(apiLoader.services["gamelift"], "2015-10-01", {
      get: function get() {
        var model = require_gamelift_2015_10_01_min();
        model.paginators = require_gamelift_2015_10_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.GameLift;
  }
});

// node_modules/aws-sdk/lib/services/glacier.js
var require_glacier = __commonJS({
  "node_modules/aws-sdk/lib/services/glacier.js"() {
    var AWS2 = require_core();
    AWS2.util.update(AWS2.Glacier.prototype, {
      /**
       * @api private
       */
      setupRequestListeners: function setupRequestListeners(request) {
        if (Array.isArray(request._events.validate)) {
          request._events.validate.unshift(this.validateAccountId);
        } else {
          request.on("validate", this.validateAccountId);
        }
        request.removeListener(
          "afterBuild",
          AWS2.EventListeners.Core.COMPUTE_SHA256
        );
        request.on("build", this.addGlacierApiVersion);
        request.on("build", this.addTreeHashHeaders);
      },
      /**
       * @api private
       */
      validateAccountId: function validateAccountId(request) {
        if (request.params.accountId !== void 0)
          return;
        request.params = AWS2.util.copy(request.params);
        request.params.accountId = "-";
      },
      /**
       * @api private
       */
      addGlacierApiVersion: function addGlacierApiVersion(request) {
        var version = request.service.api.apiVersion;
        request.httpRequest.headers["x-amz-glacier-version"] = version;
      },
      /**
       * @api private
       */
      addTreeHashHeaders: function addTreeHashHeaders(request) {
        if (request.params.body === void 0)
          return;
        var hashes = request.service.computeChecksums(request.params.body);
        request.httpRequest.headers["X-Amz-Content-Sha256"] = hashes.linearHash;
        if (!request.httpRequest.headers["x-amz-sha256-tree-hash"]) {
          request.httpRequest.headers["x-amz-sha256-tree-hash"] = hashes.treeHash;
        }
      },
      /**
       * @!group Computing Checksums
       */
      /**
       * Computes the SHA-256 linear and tree hash checksums for a given
       * block of Buffer data. Pass the tree hash of the computed checksums
       * as the checksum input to the {completeMultipartUpload} when performing
       * a multi-part upload.
       *
       * @example Calculate checksum of 5.5MB data chunk
       *   var glacier = new AWS.Glacier();
       *   var data = Buffer.alloc(5.5 * 1024 * 1024);
       *   data.fill('0'); // fill with zeros
       *   var results = glacier.computeChecksums(data);
       *   // Result: { linearHash: '68aff0c5a9...', treeHash: '154e26c78f...' }
       * @param data [Buffer, String] data to calculate the checksum for
       * @return [map<linearHash:String,treeHash:String>] a map containing
       *   the linearHash and treeHash properties representing hex based digests
       *   of the respective checksums.
       * @see completeMultipartUpload
       */
      computeChecksums: function computeChecksums(data) {
        if (!AWS2.util.Buffer.isBuffer(data))
          data = AWS2.util.buffer.toBuffer(data);
        var mb = 1024 * 1024;
        var hashes = [];
        var hash = AWS2.util.crypto.createHash("sha256");
        for (var i = 0; i < data.length; i += mb) {
          var chunk = data.slice(i, Math.min(i + mb, data.length));
          hash.update(chunk);
          hashes.push(AWS2.util.crypto.sha256(chunk));
        }
        return {
          linearHash: hash.digest("hex"),
          treeHash: this.buildHashTree(hashes)
        };
      },
      /**
       * @api private
       */
      buildHashTree: function buildHashTree(hashes) {
        while (hashes.length > 1) {
          var tmpHashes = [];
          for (var i = 0; i < hashes.length; i += 2) {
            if (hashes[i + 1]) {
              var tmpHash = AWS2.util.buffer.alloc(64);
              tmpHash.write(hashes[i], 0, 32, "binary");
              tmpHash.write(hashes[i + 1], 32, 32, "binary");
              tmpHashes.push(AWS2.util.crypto.sha256(tmpHash));
            } else {
              tmpHashes.push(hashes[i]);
            }
          }
          hashes = tmpHashes;
        }
        return AWS2.util.crypto.toHex(hashes[0]);
      }
    });
  }
});

// node_modules/aws-sdk/apis/glacier-2012-06-01.min.json
var require_glacier_2012_06_01_min = __commonJS({
  "node_modules/aws-sdk/apis/glacier-2012-06-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2012-06-01",
        checksumFormat: "sha256",
        endpointPrefix: "glacier",
        protocol: "rest-json",
        serviceFullName: "Amazon Glacier",
        serviceId: "Glacier",
        signatureVersion: "v4",
        uid: "glacier-2012-06-01"
      },
      operations: {
        AbortMultipartUpload: {
          http: {
            method: "DELETE",
            requestUri: "/{accountId}/vaults/{vaultName}/multipart-uploads/{uploadId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName",
              "uploadId"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              uploadId: {
                location: "uri",
                locationName: "uploadId"
              }
            }
          }
        },
        AbortVaultLock: {
          http: {
            method: "DELETE",
            requestUri: "/{accountId}/vaults/{vaultName}/lock-policy",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              }
            }
          }
        },
        AddTagsToVault: {
          http: {
            requestUri: "/{accountId}/vaults/{vaultName}/tags?operation=add",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              Tags: {
                shape: "S5"
              }
            }
          }
        },
        CompleteMultipartUpload: {
          http: {
            requestUri: "/{accountId}/vaults/{vaultName}/multipart-uploads/{uploadId}",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName",
              "uploadId"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              uploadId: {
                location: "uri",
                locationName: "uploadId"
              },
              archiveSize: {
                location: "header",
                locationName: "x-amz-archive-size"
              },
              checksum: {
                location: "header",
                locationName: "x-amz-sha256-tree-hash"
              }
            }
          },
          output: {
            shape: "S9"
          }
        },
        CompleteVaultLock: {
          http: {
            requestUri: "/{accountId}/vaults/{vaultName}/lock-policy/{lockId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName",
              "lockId"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              lockId: {
                location: "uri",
                locationName: "lockId"
              }
            }
          }
        },
        CreateVault: {
          http: {
            method: "PUT",
            requestUri: "/{accountId}/vaults/{vaultName}",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              location: {
                location: "header",
                locationName: "Location"
              }
            }
          }
        },
        DeleteArchive: {
          http: {
            method: "DELETE",
            requestUri: "/{accountId}/vaults/{vaultName}/archives/{archiveId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName",
              "archiveId"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              archiveId: {
                location: "uri",
                locationName: "archiveId"
              }
            }
          }
        },
        DeleteVault: {
          http: {
            method: "DELETE",
            requestUri: "/{accountId}/vaults/{vaultName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              }
            }
          }
        },
        DeleteVaultAccessPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/{accountId}/vaults/{vaultName}/access-policy",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              }
            }
          }
        },
        DeleteVaultNotifications: {
          http: {
            method: "DELETE",
            requestUri: "/{accountId}/vaults/{vaultName}/notification-configuration",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              }
            }
          }
        },
        DescribeJob: {
          http: {
            method: "GET",
            requestUri: "/{accountId}/vaults/{vaultName}/jobs/{jobId}"
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName",
              "jobId"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              jobId: {
                location: "uri",
                locationName: "jobId"
              }
            }
          },
          output: {
            shape: "Si"
          }
        },
        DescribeVault: {
          http: {
            method: "GET",
            requestUri: "/{accountId}/vaults/{vaultName}"
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              }
            }
          },
          output: {
            shape: "S1a"
          }
        },
        GetDataRetrievalPolicy: {
          http: {
            method: "GET",
            requestUri: "/{accountId}/policies/data-retrieval"
          },
          input: {
            type: "structure",
            required: [
              "accountId"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {
                shape: "S1e"
              }
            }
          }
        },
        GetJobOutput: {
          http: {
            method: "GET",
            requestUri: "/{accountId}/vaults/{vaultName}/jobs/{jobId}/output"
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName",
              "jobId"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              jobId: {
                location: "uri",
                locationName: "jobId"
              },
              range: {
                location: "header",
                locationName: "Range"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              body: {
                shape: "S1k"
              },
              checksum: {
                location: "header",
                locationName: "x-amz-sha256-tree-hash"
              },
              status: {
                location: "statusCode",
                type: "integer"
              },
              contentRange: {
                location: "header",
                locationName: "Content-Range"
              },
              acceptRanges: {
                location: "header",
                locationName: "Accept-Ranges"
              },
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              archiveDescription: {
                location: "header",
                locationName: "x-amz-archive-description"
              }
            },
            payload: "body"
          }
        },
        GetVaultAccessPolicy: {
          http: {
            method: "GET",
            requestUri: "/{accountId}/vaults/{vaultName}/access-policy"
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              policy: {
                shape: "S1o"
              }
            },
            payload: "policy"
          }
        },
        GetVaultLock: {
          http: {
            method: "GET",
            requestUri: "/{accountId}/vaults/{vaultName}/lock-policy"
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {},
              State: {},
              ExpirationDate: {},
              CreationDate: {}
            }
          }
        },
        GetVaultNotifications: {
          http: {
            method: "GET",
            requestUri: "/{accountId}/vaults/{vaultName}/notification-configuration"
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              vaultNotificationConfig: {
                shape: "S1t"
              }
            },
            payload: "vaultNotificationConfig"
          }
        },
        InitiateJob: {
          http: {
            requestUri: "/{accountId}/vaults/{vaultName}/jobs",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              jobParameters: {
                type: "structure",
                members: {
                  Format: {},
                  Type: {},
                  ArchiveId: {},
                  Description: {},
                  SNSTopic: {},
                  RetrievalByteRange: {},
                  Tier: {},
                  InventoryRetrievalParameters: {
                    type: "structure",
                    members: {
                      StartDate: {},
                      EndDate: {},
                      Limit: {},
                      Marker: {}
                    }
                  },
                  SelectParameters: {
                    shape: "Sp"
                  },
                  OutputLocation: {
                    shape: "Sx"
                  }
                }
              }
            },
            payload: "jobParameters"
          },
          output: {
            type: "structure",
            members: {
              location: {
                location: "header",
                locationName: "Location"
              },
              jobId: {
                location: "header",
                locationName: "x-amz-job-id"
              },
              jobOutputPath: {
                location: "header",
                locationName: "x-amz-job-output-path"
              }
            }
          }
        },
        InitiateMultipartUpload: {
          http: {
            requestUri: "/{accountId}/vaults/{vaultName}/multipart-uploads",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              archiveDescription: {
                location: "header",
                locationName: "x-amz-archive-description"
              },
              partSize: {
                location: "header",
                locationName: "x-amz-part-size"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              location: {
                location: "header",
                locationName: "Location"
              },
              uploadId: {
                location: "header",
                locationName: "x-amz-multipart-upload-id"
              }
            }
          }
        },
        InitiateVaultLock: {
          http: {
            requestUri: "/{accountId}/vaults/{vaultName}/lock-policy",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              policy: {
                type: "structure",
                members: {
                  Policy: {}
                }
              }
            },
            payload: "policy"
          },
          output: {
            type: "structure",
            members: {
              lockId: {
                location: "header",
                locationName: "x-amz-lock-id"
              }
            }
          }
        },
        ListJobs: {
          http: {
            method: "GET",
            requestUri: "/{accountId}/vaults/{vaultName}/jobs"
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              limit: {
                location: "querystring",
                locationName: "limit"
              },
              marker: {
                location: "querystring",
                locationName: "marker"
              },
              statuscode: {
                location: "querystring",
                locationName: "statuscode"
              },
              completed: {
                location: "querystring",
                locationName: "completed"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobList: {
                type: "list",
                member: {
                  shape: "Si"
                }
              },
              Marker: {}
            }
          }
        },
        ListMultipartUploads: {
          http: {
            method: "GET",
            requestUri: "/{accountId}/vaults/{vaultName}/multipart-uploads"
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              marker: {
                location: "querystring",
                locationName: "marker"
              },
              limit: {
                location: "querystring",
                locationName: "limit"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UploadsList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MultipartUploadId: {},
                    VaultARN: {},
                    ArchiveDescription: {},
                    PartSizeInBytes: {
                      type: "long"
                    },
                    CreationDate: {}
                  }
                }
              },
              Marker: {}
            }
          }
        },
        ListParts: {
          http: {
            method: "GET",
            requestUri: "/{accountId}/vaults/{vaultName}/multipart-uploads/{uploadId}"
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName",
              "uploadId"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              uploadId: {
                location: "uri",
                locationName: "uploadId"
              },
              marker: {
                location: "querystring",
                locationName: "marker"
              },
              limit: {
                location: "querystring",
                locationName: "limit"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MultipartUploadId: {},
              VaultARN: {},
              ArchiveDescription: {},
              PartSizeInBytes: {
                type: "long"
              },
              CreationDate: {},
              Parts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RangeInBytes: {},
                    SHA256TreeHash: {}
                  }
                }
              },
              Marker: {}
            }
          }
        },
        ListProvisionedCapacity: {
          http: {
            method: "GET",
            requestUri: "/{accountId}/provisioned-capacity"
          },
          input: {
            type: "structure",
            required: [
              "accountId"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProvisionedCapacityList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CapacityId: {},
                    StartDate: {},
                    ExpirationDate: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForVault: {
          http: {
            method: "GET",
            requestUri: "/{accountId}/vaults/{vaultName}/tags"
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S5"
              }
            }
          }
        },
        ListVaults: {
          http: {
            method: "GET",
            requestUri: "/{accountId}/vaults"
          },
          input: {
            type: "structure",
            required: [
              "accountId"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              marker: {
                location: "querystring",
                locationName: "marker"
              },
              limit: {
                location: "querystring",
                locationName: "limit"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VaultList: {
                type: "list",
                member: {
                  shape: "S1a"
                }
              },
              Marker: {}
            }
          }
        },
        PurchaseProvisionedCapacity: {
          http: {
            requestUri: "/{accountId}/provisioned-capacity",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "accountId"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              capacityId: {
                location: "header",
                locationName: "x-amz-capacity-id"
              }
            }
          }
        },
        RemoveTagsFromVault: {
          http: {
            requestUri: "/{accountId}/vaults/{vaultName}/tags?operation=remove",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        },
        SetDataRetrievalPolicy: {
          http: {
            method: "PUT",
            requestUri: "/{accountId}/policies/data-retrieval",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "accountId"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              Policy: {
                shape: "S1e"
              }
            }
          }
        },
        SetVaultAccessPolicy: {
          http: {
            method: "PUT",
            requestUri: "/{accountId}/vaults/{vaultName}/access-policy",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              policy: {
                shape: "S1o"
              }
            },
            payload: "policy"
          }
        },
        SetVaultNotifications: {
          http: {
            method: "PUT",
            requestUri: "/{accountId}/vaults/{vaultName}/notification-configuration",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              vaultNotificationConfig: {
                shape: "S1t"
              }
            },
            payload: "vaultNotificationConfig"
          }
        },
        UploadArchive: {
          http: {
            requestUri: "/{accountId}/vaults/{vaultName}/archives",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "vaultName",
              "accountId"
            ],
            members: {
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              archiveDescription: {
                location: "header",
                locationName: "x-amz-archive-description"
              },
              checksum: {
                location: "header",
                locationName: "x-amz-sha256-tree-hash"
              },
              body: {
                shape: "S1k"
              }
            },
            payload: "body"
          },
          output: {
            shape: "S9"
          }
        },
        UploadMultipartPart: {
          http: {
            method: "PUT",
            requestUri: "/{accountId}/vaults/{vaultName}/multipart-uploads/{uploadId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "accountId",
              "vaultName",
              "uploadId"
            ],
            members: {
              accountId: {
                location: "uri",
                locationName: "accountId"
              },
              vaultName: {
                location: "uri",
                locationName: "vaultName"
              },
              uploadId: {
                location: "uri",
                locationName: "uploadId"
              },
              checksum: {
                location: "header",
                locationName: "x-amz-sha256-tree-hash"
              },
              range: {
                location: "header",
                locationName: "Content-Range"
              },
              body: {
                shape: "S1k"
              }
            },
            payload: "body"
          },
          output: {
            type: "structure",
            members: {
              checksum: {
                location: "header",
                locationName: "x-amz-sha256-tree-hash"
              }
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "map",
          key: {},
          value: {}
        },
        S9: {
          type: "structure",
          members: {
            location: {
              location: "header",
              locationName: "Location"
            },
            checksum: {
              location: "header",
              locationName: "x-amz-sha256-tree-hash"
            },
            archiveId: {
              location: "header",
              locationName: "x-amz-archive-id"
            }
          }
        },
        Si: {
          type: "structure",
          members: {
            JobId: {},
            JobDescription: {},
            Action: {},
            ArchiveId: {},
            VaultARN: {},
            CreationDate: {},
            Completed: {
              type: "boolean"
            },
            StatusCode: {},
            StatusMessage: {},
            ArchiveSizeInBytes: {
              type: "long"
            },
            InventorySizeInBytes: {
              type: "long"
            },
            SNSTopic: {},
            CompletionDate: {},
            SHA256TreeHash: {},
            ArchiveSHA256TreeHash: {},
            RetrievalByteRange: {},
            Tier: {},
            InventoryRetrievalParameters: {
              type: "structure",
              members: {
                Format: {},
                StartDate: {},
                EndDate: {},
                Limit: {},
                Marker: {}
              }
            },
            JobOutputPath: {},
            SelectParameters: {
              shape: "Sp"
            },
            OutputLocation: {
              shape: "Sx"
            }
          }
        },
        Sp: {
          type: "structure",
          members: {
            InputSerialization: {
              type: "structure",
              members: {
                csv: {
                  type: "structure",
                  members: {
                    FileHeaderInfo: {},
                    Comments: {},
                    QuoteEscapeCharacter: {},
                    RecordDelimiter: {},
                    FieldDelimiter: {},
                    QuoteCharacter: {}
                  }
                }
              }
            },
            ExpressionType: {},
            Expression: {},
            OutputSerialization: {
              type: "structure",
              members: {
                csv: {
                  type: "structure",
                  members: {
                    QuoteFields: {},
                    QuoteEscapeCharacter: {},
                    RecordDelimiter: {},
                    FieldDelimiter: {},
                    QuoteCharacter: {}
                  }
                }
              }
            }
          }
        },
        Sx: {
          type: "structure",
          members: {
            S3: {
              type: "structure",
              members: {
                BucketName: {},
                Prefix: {},
                Encryption: {
                  type: "structure",
                  members: {
                    EncryptionType: {},
                    KMSKeyId: {},
                    KMSContext: {}
                  }
                },
                CannedACL: {},
                AccessControlList: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      Grantee: {
                        type: "structure",
                        required: [
                          "Type"
                        ],
                        members: {
                          Type: {},
                          DisplayName: {},
                          URI: {},
                          ID: {},
                          EmailAddress: {}
                        }
                      },
                      Permission: {}
                    }
                  }
                },
                Tagging: {
                  shape: "S17"
                },
                UserMetadata: {
                  shape: "S17"
                },
                StorageClass: {}
              }
            }
          }
        },
        S17: {
          type: "map",
          key: {},
          value: {}
        },
        S1a: {
          type: "structure",
          members: {
            VaultARN: {},
            VaultName: {},
            CreationDate: {},
            LastInventoryDate: {},
            NumberOfArchives: {
              type: "long"
            },
            SizeInBytes: {
              type: "long"
            }
          }
        },
        S1e: {
          type: "structure",
          members: {
            Rules: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Strategy: {},
                  BytesPerHour: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        S1k: {
          type: "blob",
          streaming: true
        },
        S1o: {
          type: "structure",
          members: {
            Policy: {}
          }
        },
        S1t: {
          type: "structure",
          members: {
            SNSTopic: {},
            Events: {
              type: "list",
              member: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/glacier-2012-06-01.paginators.json
var require_glacier_2012_06_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/glacier-2012-06-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListJobs: {
          input_token: "marker",
          limit_key: "limit",
          output_token: "Marker",
          result_key: "JobList"
        },
        ListMultipartUploads: {
          input_token: "marker",
          limit_key: "limit",
          output_token: "Marker",
          result_key: "UploadsList"
        },
        ListParts: {
          input_token: "marker",
          limit_key: "limit",
          output_token: "Marker",
          result_key: "Parts"
        },
        ListVaults: {
          input_token: "marker",
          limit_key: "limit",
          output_token: "Marker",
          result_key: "VaultList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/glacier-2012-06-01.waiters2.json
var require_glacier_2012_06_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/glacier-2012-06-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        VaultExists: {
          operation: "DescribeVault",
          delay: 3,
          maxAttempts: 15,
          acceptors: [
            {
              state: "success",
              matcher: "status",
              expected: 200
            },
            {
              state: "retry",
              matcher: "error",
              expected: "ResourceNotFoundException"
            }
          ]
        },
        VaultNotExists: {
          operation: "DescribeVault",
          delay: 3,
          maxAttempts: 15,
          acceptors: [
            {
              state: "retry",
              matcher: "status",
              expected: 200
            },
            {
              state: "success",
              matcher: "error",
              expected: "ResourceNotFoundException"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/glacier.js
var require_glacier2 = __commonJS({
  "node_modules/aws-sdk/clients/glacier.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["glacier"] = {};
    AWS2.Glacier = Service.defineService("glacier", ["2012-06-01"]);
    require_glacier();
    Object.defineProperty(apiLoader.services["glacier"], "2012-06-01", {
      get: function get() {
        var model = require_glacier_2012_06_01_min();
        model.paginators = require_glacier_2012_06_01_paginators().pagination;
        model.waiters = require_glacier_2012_06_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Glacier;
  }
});

// node_modules/aws-sdk/apis/health-2016-08-04.min.json
var require_health_2016_08_04_min = __commonJS({
  "node_modules/aws-sdk/apis/health-2016-08-04.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-08-04",
        endpointPrefix: "health",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "AWSHealth",
        serviceFullName: "AWS Health APIs and Notifications",
        serviceId: "Health",
        signatureVersion: "v4",
        targetPrefix: "AWSHealth_20160804",
        uid: "health-2016-08-04"
      },
      operations: {
        DescribeAffectedAccountsForOrganization: {
          input: {
            type: "structure",
            required: [
              "eventArn"
            ],
            members: {
              eventArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              affectedAccounts: {
                type: "list",
                member: {}
              },
              eventScopeCode: {},
              nextToken: {}
            }
          },
          idempotent: true
        },
        DescribeAffectedEntities: {
          input: {
            type: "structure",
            required: [
              "filter"
            ],
            members: {
              filter: {
                type: "structure",
                required: [
                  "eventArns"
                ],
                members: {
                  eventArns: {
                    shape: "Sb"
                  },
                  entityArns: {
                    shape: "Sc"
                  },
                  entityValues: {
                    shape: "Se"
                  },
                  lastUpdatedTimes: {
                    shape: "Sg"
                  },
                  tags: {
                    shape: "Sj"
                  },
                  statusCodes: {
                    type: "list",
                    member: {}
                  }
                }
              },
              locale: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              entities: {
                shape: "Sr"
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        DescribeAffectedEntitiesForOrganization: {
          input: {
            type: "structure",
            required: [
              "organizationEntityFilters"
            ],
            members: {
              organizationEntityFilters: {
                type: "list",
                member: {
                  shape: "Sw"
                }
              },
              locale: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              entities: {
                shape: "Sr"
              },
              failedSet: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    awsAccountId: {},
                    eventArn: {},
                    errorName: {},
                    errorMessage: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        DescribeEntityAggregates: {
          input: {
            type: "structure",
            members: {
              eventArns: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              entityAggregates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    eventArn: {},
                    count: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          },
          idempotent: true
        },
        DescribeEventAggregates: {
          input: {
            type: "structure",
            required: [
              "aggregateField"
            ],
            members: {
              filter: {
                shape: "S19"
              },
              aggregateField: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              eventAggregates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    aggregateValue: {},
                    count: {
                      type: "integer"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        DescribeEventDetails: {
          input: {
            type: "structure",
            required: [
              "eventArns"
            ],
            members: {
              eventArns: {
                shape: "Sb"
              },
              locale: {}
            }
          },
          output: {
            type: "structure",
            members: {
              successfulSet: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    event: {
                      shape: "S1v"
                    },
                    eventDescription: {
                      shape: "S1x"
                    },
                    eventMetadata: {
                      shape: "S1z"
                    }
                  }
                }
              },
              failedSet: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    eventArn: {},
                    errorName: {},
                    errorMessage: {}
                  }
                }
              }
            }
          },
          idempotent: true
        },
        DescribeEventDetailsForOrganization: {
          input: {
            type: "structure",
            required: [
              "organizationEventDetailFilters"
            ],
            members: {
              organizationEventDetailFilters: {
                type: "list",
                member: {
                  shape: "Sw"
                }
              },
              locale: {}
            }
          },
          output: {
            type: "structure",
            members: {
              successfulSet: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    awsAccountId: {},
                    event: {
                      shape: "S1v"
                    },
                    eventDescription: {
                      shape: "S1x"
                    },
                    eventMetadata: {
                      shape: "S1z"
                    }
                  }
                }
              },
              failedSet: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    awsAccountId: {},
                    eventArn: {},
                    errorName: {},
                    errorMessage: {}
                  }
                }
              }
            }
          },
          idempotent: true
        },
        DescribeEventTypes: {
          input: {
            type: "structure",
            members: {
              filter: {
                type: "structure",
                members: {
                  eventTypeCodes: {
                    type: "list",
                    member: {}
                  },
                  services: {
                    shape: "S1c"
                  },
                  eventTypeCategories: {
                    type: "list",
                    member: {}
                  }
                }
              },
              locale: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              eventTypes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    service: {},
                    code: {},
                    category: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        DescribeEvents: {
          input: {
            type: "structure",
            members: {
              filter: {
                shape: "S19"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              locale: {}
            }
          },
          output: {
            type: "structure",
            members: {
              events: {
                type: "list",
                member: {
                  shape: "S1v"
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        DescribeEventsForOrganization: {
          input: {
            type: "structure",
            members: {
              filter: {
                type: "structure",
                members: {
                  eventTypeCodes: {
                    shape: "S1a"
                  },
                  awsAccountIds: {
                    type: "list",
                    member: {}
                  },
                  services: {
                    shape: "S1c"
                  },
                  regions: {
                    shape: "S1e"
                  },
                  startTime: {
                    shape: "Sh"
                  },
                  endTime: {
                    shape: "Sh"
                  },
                  lastUpdatedTime: {
                    shape: "Sh"
                  },
                  entityArns: {
                    shape: "Sc"
                  },
                  entityValues: {
                    shape: "Se"
                  },
                  eventTypeCategories: {
                    shape: "S1i"
                  },
                  eventStatusCodes: {
                    shape: "S1k"
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              locale: {}
            }
          },
          output: {
            type: "structure",
            members: {
              events: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    service: {},
                    eventTypeCode: {},
                    eventTypeCategory: {},
                    eventScopeCode: {},
                    region: {},
                    startTime: {
                      type: "timestamp"
                    },
                    endTime: {
                      type: "timestamp"
                    },
                    lastUpdatedTime: {
                      type: "timestamp"
                    },
                    statusCode: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        DescribeHealthServiceStatusForOrganization: {
          output: {
            type: "structure",
            members: {
              healthServiceAccessStatusForOrganization: {}
            }
          },
          idempotent: true
        },
        DisableHealthServiceAccessForOrganization: {
          idempotent: true
        },
        EnableHealthServiceAccessForOrganization: {
          idempotent: true
        }
      },
      shapes: {
        Sb: {
          type: "list",
          member: {}
        },
        Sc: {
          type: "list",
          member: {}
        },
        Se: {
          type: "list",
          member: {}
        },
        Sg: {
          type: "list",
          member: {
            shape: "Sh"
          }
        },
        Sh: {
          type: "structure",
          members: {
            from: {
              type: "timestamp"
            },
            to: {
              type: "timestamp"
            }
          }
        },
        Sj: {
          type: "list",
          member: {
            shape: "Sk"
          }
        },
        Sk: {
          type: "map",
          key: {},
          value: {}
        },
        Sr: {
          type: "list",
          member: {
            type: "structure",
            members: {
              entityArn: {},
              eventArn: {},
              entityValue: {},
              entityUrl: {},
              awsAccountId: {},
              lastUpdatedTime: {
                type: "timestamp"
              },
              statusCode: {},
              tags: {
                shape: "Sk"
              }
            }
          }
        },
        Sw: {
          type: "structure",
          required: [
            "eventArn"
          ],
          members: {
            eventArn: {},
            awsAccountId: {}
          }
        },
        S19: {
          type: "structure",
          members: {
            eventArns: {
              shape: "Sb"
            },
            eventTypeCodes: {
              shape: "S1a"
            },
            services: {
              shape: "S1c"
            },
            regions: {
              shape: "S1e"
            },
            availabilityZones: {
              type: "list",
              member: {}
            },
            startTimes: {
              shape: "Sg"
            },
            endTimes: {
              shape: "Sg"
            },
            lastUpdatedTimes: {
              shape: "Sg"
            },
            entityArns: {
              shape: "Sc"
            },
            entityValues: {
              shape: "Se"
            },
            eventTypeCategories: {
              shape: "S1i"
            },
            tags: {
              shape: "Sj"
            },
            eventStatusCodes: {
              shape: "S1k"
            }
          }
        },
        S1a: {
          type: "list",
          member: {}
        },
        S1c: {
          type: "list",
          member: {}
        },
        S1e: {
          type: "list",
          member: {}
        },
        S1i: {
          type: "list",
          member: {}
        },
        S1k: {
          type: "list",
          member: {}
        },
        S1v: {
          type: "structure",
          members: {
            arn: {},
            service: {},
            eventTypeCode: {},
            eventTypeCategory: {},
            region: {},
            availabilityZone: {},
            startTime: {
              type: "timestamp"
            },
            endTime: {
              type: "timestamp"
            },
            lastUpdatedTime: {
              type: "timestamp"
            },
            statusCode: {},
            eventScopeCode: {}
          }
        },
        S1x: {
          type: "structure",
          members: {
            latestDescription: {}
          }
        },
        S1z: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/health-2016-08-04.paginators.json
var require_health_2016_08_04_paginators = __commonJS({
  "node_modules/aws-sdk/apis/health-2016-08-04.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeAffectedAccountsForOrganization: {
          input_token: "nextToken",
          limit_key: "maxResults",
          non_aggregate_keys: [
            "eventScopeCode"
          ],
          output_token: "nextToken",
          result_key: "affectedAccounts"
        },
        DescribeAffectedEntities: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "entities"
        },
        DescribeAffectedEntitiesForOrganization: {
          input_token: "nextToken",
          limit_key: "maxResults",
          non_aggregate_keys: [
            "failedSet"
          ],
          output_token: "nextToken",
          result_key: "entities"
        },
        DescribeEntityAggregates: {
          result_key: "entityAggregates"
        },
        DescribeEventAggregates: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "eventAggregates"
        },
        DescribeEventTypes: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "eventTypes"
        },
        DescribeEvents: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "events"
        },
        DescribeEventsForOrganization: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "events"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/health.js
var require_health = __commonJS({
  "node_modules/aws-sdk/clients/health.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["health"] = {};
    AWS2.Health = Service.defineService("health", ["2016-08-04"]);
    Object.defineProperty(apiLoader.services["health"], "2016-08-04", {
      get: function get() {
        var model = require_health_2016_08_04_min();
        model.paginators = require_health_2016_08_04_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Health;
  }
});

// node_modules/aws-sdk/apis/iam-2010-05-08.min.json
var require_iam_2010_05_08_min = __commonJS({
  "node_modules/aws-sdk/apis/iam-2010-05-08.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2010-05-08",
        endpointPrefix: "iam",
        globalEndpoint: "iam.amazonaws.com",
        protocol: "query",
        serviceAbbreviation: "IAM",
        serviceFullName: "AWS Identity and Access Management",
        serviceId: "IAM",
        signatureVersion: "v4",
        uid: "iam-2010-05-08",
        xmlNamespace: "https://iam.amazonaws.com/doc/2010-05-08/"
      },
      operations: {
        AddClientIDToOpenIDConnectProvider: {
          input: {
            type: "structure",
            required: [
              "OpenIDConnectProviderArn",
              "ClientID"
            ],
            members: {
              OpenIDConnectProviderArn: {},
              ClientID: {}
            }
          }
        },
        AddRoleToInstanceProfile: {
          input: {
            type: "structure",
            required: [
              "InstanceProfileName",
              "RoleName"
            ],
            members: {
              InstanceProfileName: {},
              RoleName: {}
            }
          }
        },
        AddUserToGroup: {
          input: {
            type: "structure",
            required: [
              "GroupName",
              "UserName"
            ],
            members: {
              GroupName: {},
              UserName: {}
            }
          }
        },
        AttachGroupPolicy: {
          input: {
            type: "structure",
            required: [
              "GroupName",
              "PolicyArn"
            ],
            members: {
              GroupName: {},
              PolicyArn: {}
            }
          }
        },
        AttachRolePolicy: {
          input: {
            type: "structure",
            required: [
              "RoleName",
              "PolicyArn"
            ],
            members: {
              RoleName: {},
              PolicyArn: {}
            }
          }
        },
        AttachUserPolicy: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "PolicyArn"
            ],
            members: {
              UserName: {},
              PolicyArn: {}
            }
          }
        },
        ChangePassword: {
          input: {
            type: "structure",
            required: [
              "OldPassword",
              "NewPassword"
            ],
            members: {
              OldPassword: {
                shape: "Sf"
              },
              NewPassword: {
                shape: "Sf"
              }
            }
          }
        },
        CreateAccessKey: {
          input: {
            type: "structure",
            members: {
              UserName: {}
            }
          },
          output: {
            resultWrapper: "CreateAccessKeyResult",
            type: "structure",
            required: [
              "AccessKey"
            ],
            members: {
              AccessKey: {
                type: "structure",
                required: [
                  "UserName",
                  "AccessKeyId",
                  "Status",
                  "SecretAccessKey"
                ],
                members: {
                  UserName: {},
                  AccessKeyId: {},
                  Status: {},
                  SecretAccessKey: {
                    type: "string",
                    sensitive: true
                  },
                  CreateDate: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        CreateAccountAlias: {
          input: {
            type: "structure",
            required: [
              "AccountAlias"
            ],
            members: {
              AccountAlias: {}
            }
          }
        },
        CreateGroup: {
          input: {
            type: "structure",
            required: [
              "GroupName"
            ],
            members: {
              Path: {},
              GroupName: {}
            }
          },
          output: {
            resultWrapper: "CreateGroupResult",
            type: "structure",
            required: [
              "Group"
            ],
            members: {
              Group: {
                shape: "Ss"
              }
            }
          }
        },
        CreateInstanceProfile: {
          input: {
            type: "structure",
            required: [
              "InstanceProfileName"
            ],
            members: {
              InstanceProfileName: {},
              Path: {},
              Tags: {
                shape: "Sv"
              }
            }
          },
          output: {
            resultWrapper: "CreateInstanceProfileResult",
            type: "structure",
            required: [
              "InstanceProfile"
            ],
            members: {
              InstanceProfile: {
                shape: "S10"
              }
            }
          }
        },
        CreateLoginProfile: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "Password"
            ],
            members: {
              UserName: {},
              Password: {
                shape: "Sf"
              },
              PasswordResetRequired: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "CreateLoginProfileResult",
            type: "structure",
            required: [
              "LoginProfile"
            ],
            members: {
              LoginProfile: {
                shape: "S1d"
              }
            }
          }
        },
        CreateOpenIDConnectProvider: {
          input: {
            type: "structure",
            required: [
              "Url",
              "ThumbprintList"
            ],
            members: {
              Url: {},
              ClientIDList: {
                shape: "S1g"
              },
              ThumbprintList: {
                shape: "S1h"
              },
              Tags: {
                shape: "Sv"
              }
            }
          },
          output: {
            resultWrapper: "CreateOpenIDConnectProviderResult",
            type: "structure",
            members: {
              OpenIDConnectProviderArn: {},
              Tags: {
                shape: "Sv"
              }
            }
          }
        },
        CreatePolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyName",
              "PolicyDocument"
            ],
            members: {
              PolicyName: {},
              Path: {},
              PolicyDocument: {},
              Description: {},
              Tags: {
                shape: "Sv"
              }
            }
          },
          output: {
            resultWrapper: "CreatePolicyResult",
            type: "structure",
            members: {
              Policy: {
                shape: "S1p"
              }
            }
          }
        },
        CreatePolicyVersion: {
          input: {
            type: "structure",
            required: [
              "PolicyArn",
              "PolicyDocument"
            ],
            members: {
              PolicyArn: {},
              PolicyDocument: {},
              SetAsDefault: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "CreatePolicyVersionResult",
            type: "structure",
            members: {
              PolicyVersion: {
                shape: "S1u"
              }
            }
          }
        },
        CreateRole: {
          input: {
            type: "structure",
            required: [
              "RoleName",
              "AssumeRolePolicyDocument"
            ],
            members: {
              Path: {},
              RoleName: {},
              AssumeRolePolicyDocument: {},
              Description: {},
              MaxSessionDuration: {
                type: "integer"
              },
              PermissionsBoundary: {},
              Tags: {
                shape: "Sv"
              }
            }
          },
          output: {
            resultWrapper: "CreateRoleResult",
            type: "structure",
            required: [
              "Role"
            ],
            members: {
              Role: {
                shape: "S12"
              }
            }
          }
        },
        CreateSAMLProvider: {
          input: {
            type: "structure",
            required: [
              "SAMLMetadataDocument",
              "Name"
            ],
            members: {
              SAMLMetadataDocument: {},
              Name: {},
              Tags: {
                shape: "Sv"
              }
            }
          },
          output: {
            resultWrapper: "CreateSAMLProviderResult",
            type: "structure",
            members: {
              SAMLProviderArn: {},
              Tags: {
                shape: "Sv"
              }
            }
          }
        },
        CreateServiceLinkedRole: {
          input: {
            type: "structure",
            required: [
              "AWSServiceName"
            ],
            members: {
              AWSServiceName: {},
              Description: {},
              CustomSuffix: {}
            }
          },
          output: {
            resultWrapper: "CreateServiceLinkedRoleResult",
            type: "structure",
            members: {
              Role: {
                shape: "S12"
              }
            }
          }
        },
        CreateServiceSpecificCredential: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "ServiceName"
            ],
            members: {
              UserName: {},
              ServiceName: {}
            }
          },
          output: {
            resultWrapper: "CreateServiceSpecificCredentialResult",
            type: "structure",
            members: {
              ServiceSpecificCredential: {
                shape: "S27"
              }
            }
          }
        },
        CreateUser: {
          input: {
            type: "structure",
            required: [
              "UserName"
            ],
            members: {
              Path: {},
              UserName: {},
              PermissionsBoundary: {},
              Tags: {
                shape: "Sv"
              }
            }
          },
          output: {
            resultWrapper: "CreateUserResult",
            type: "structure",
            members: {
              User: {
                shape: "S2d"
              }
            }
          }
        },
        CreateVirtualMFADevice: {
          input: {
            type: "structure",
            required: [
              "VirtualMFADeviceName"
            ],
            members: {
              Path: {},
              VirtualMFADeviceName: {},
              Tags: {
                shape: "Sv"
              }
            }
          },
          output: {
            resultWrapper: "CreateVirtualMFADeviceResult",
            type: "structure",
            required: [
              "VirtualMFADevice"
            ],
            members: {
              VirtualMFADevice: {
                shape: "S2h"
              }
            }
          }
        },
        DeactivateMFADevice: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "SerialNumber"
            ],
            members: {
              UserName: {},
              SerialNumber: {}
            }
          }
        },
        DeleteAccessKey: {
          input: {
            type: "structure",
            required: [
              "AccessKeyId"
            ],
            members: {
              UserName: {},
              AccessKeyId: {}
            }
          }
        },
        DeleteAccountAlias: {
          input: {
            type: "structure",
            required: [
              "AccountAlias"
            ],
            members: {
              AccountAlias: {}
            }
          }
        },
        DeleteAccountPasswordPolicy: {},
        DeleteGroup: {
          input: {
            type: "structure",
            required: [
              "GroupName"
            ],
            members: {
              GroupName: {}
            }
          }
        },
        DeleteGroupPolicy: {
          input: {
            type: "structure",
            required: [
              "GroupName",
              "PolicyName"
            ],
            members: {
              GroupName: {},
              PolicyName: {}
            }
          }
        },
        DeleteInstanceProfile: {
          input: {
            type: "structure",
            required: [
              "InstanceProfileName"
            ],
            members: {
              InstanceProfileName: {}
            }
          }
        },
        DeleteLoginProfile: {
          input: {
            type: "structure",
            required: [
              "UserName"
            ],
            members: {
              UserName: {}
            }
          }
        },
        DeleteOpenIDConnectProvider: {
          input: {
            type: "structure",
            required: [
              "OpenIDConnectProviderArn"
            ],
            members: {
              OpenIDConnectProviderArn: {}
            }
          }
        },
        DeletePolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyArn"
            ],
            members: {
              PolicyArn: {}
            }
          }
        },
        DeletePolicyVersion: {
          input: {
            type: "structure",
            required: [
              "PolicyArn",
              "VersionId"
            ],
            members: {
              PolicyArn: {},
              VersionId: {}
            }
          }
        },
        DeleteRole: {
          input: {
            type: "structure",
            required: [
              "RoleName"
            ],
            members: {
              RoleName: {}
            }
          }
        },
        DeleteRolePermissionsBoundary: {
          input: {
            type: "structure",
            required: [
              "RoleName"
            ],
            members: {
              RoleName: {}
            }
          }
        },
        DeleteRolePolicy: {
          input: {
            type: "structure",
            required: [
              "RoleName",
              "PolicyName"
            ],
            members: {
              RoleName: {},
              PolicyName: {}
            }
          }
        },
        DeleteSAMLProvider: {
          input: {
            type: "structure",
            required: [
              "SAMLProviderArn"
            ],
            members: {
              SAMLProviderArn: {}
            }
          }
        },
        DeleteSSHPublicKey: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "SSHPublicKeyId"
            ],
            members: {
              UserName: {},
              SSHPublicKeyId: {}
            }
          }
        },
        DeleteServerCertificate: {
          input: {
            type: "structure",
            required: [
              "ServerCertificateName"
            ],
            members: {
              ServerCertificateName: {}
            }
          }
        },
        DeleteServiceLinkedRole: {
          input: {
            type: "structure",
            required: [
              "RoleName"
            ],
            members: {
              RoleName: {}
            }
          },
          output: {
            resultWrapper: "DeleteServiceLinkedRoleResult",
            type: "structure",
            required: [
              "DeletionTaskId"
            ],
            members: {
              DeletionTaskId: {}
            }
          }
        },
        DeleteServiceSpecificCredential: {
          input: {
            type: "structure",
            required: [
              "ServiceSpecificCredentialId"
            ],
            members: {
              UserName: {},
              ServiceSpecificCredentialId: {}
            }
          }
        },
        DeleteSigningCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateId"
            ],
            members: {
              UserName: {},
              CertificateId: {}
            }
          }
        },
        DeleteUser: {
          input: {
            type: "structure",
            required: [
              "UserName"
            ],
            members: {
              UserName: {}
            }
          }
        },
        DeleteUserPermissionsBoundary: {
          input: {
            type: "structure",
            required: [
              "UserName"
            ],
            members: {
              UserName: {}
            }
          }
        },
        DeleteUserPolicy: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "PolicyName"
            ],
            members: {
              UserName: {},
              PolicyName: {}
            }
          }
        },
        DeleteVirtualMFADevice: {
          input: {
            type: "structure",
            required: [
              "SerialNumber"
            ],
            members: {
              SerialNumber: {}
            }
          }
        },
        DetachGroupPolicy: {
          input: {
            type: "structure",
            required: [
              "GroupName",
              "PolicyArn"
            ],
            members: {
              GroupName: {},
              PolicyArn: {}
            }
          }
        },
        DetachRolePolicy: {
          input: {
            type: "structure",
            required: [
              "RoleName",
              "PolicyArn"
            ],
            members: {
              RoleName: {},
              PolicyArn: {}
            }
          }
        },
        DetachUserPolicy: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "PolicyArn"
            ],
            members: {
              UserName: {},
              PolicyArn: {}
            }
          }
        },
        EnableMFADevice: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "SerialNumber",
              "AuthenticationCode1",
              "AuthenticationCode2"
            ],
            members: {
              UserName: {},
              SerialNumber: {},
              AuthenticationCode1: {},
              AuthenticationCode2: {}
            }
          }
        },
        GenerateCredentialReport: {
          output: {
            resultWrapper: "GenerateCredentialReportResult",
            type: "structure",
            members: {
              State: {},
              Description: {}
            }
          }
        },
        GenerateOrganizationsAccessReport: {
          input: {
            type: "structure",
            required: [
              "EntityPath"
            ],
            members: {
              EntityPath: {},
              OrganizationsPolicyId: {}
            }
          },
          output: {
            resultWrapper: "GenerateOrganizationsAccessReportResult",
            type: "structure",
            members: {
              JobId: {}
            }
          }
        },
        GenerateServiceLastAccessedDetails: {
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {},
              Granularity: {}
            }
          },
          output: {
            resultWrapper: "GenerateServiceLastAccessedDetailsResult",
            type: "structure",
            members: {
              JobId: {}
            }
          }
        },
        GetAccessKeyLastUsed: {
          input: {
            type: "structure",
            required: [
              "AccessKeyId"
            ],
            members: {
              AccessKeyId: {}
            }
          },
          output: {
            resultWrapper: "GetAccessKeyLastUsedResult",
            type: "structure",
            members: {
              UserName: {},
              AccessKeyLastUsed: {
                type: "structure",
                required: [
                  "LastUsedDate",
                  "ServiceName",
                  "Region"
                ],
                members: {
                  LastUsedDate: {
                    type: "timestamp"
                  },
                  ServiceName: {},
                  Region: {}
                }
              }
            }
          }
        },
        GetAccountAuthorizationDetails: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "list",
                member: {}
              },
              MaxItems: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "GetAccountAuthorizationDetailsResult",
            type: "structure",
            members: {
              UserDetailList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Path: {},
                    UserName: {},
                    UserId: {},
                    Arn: {},
                    CreateDate: {
                      type: "timestamp"
                    },
                    UserPolicyList: {
                      shape: "S43"
                    },
                    GroupList: {
                      type: "list",
                      member: {}
                    },
                    AttachedManagedPolicies: {
                      shape: "S46"
                    },
                    PermissionsBoundary: {
                      shape: "S16"
                    },
                    Tags: {
                      shape: "Sv"
                    }
                  }
                }
              },
              GroupDetailList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Path: {},
                    GroupName: {},
                    GroupId: {},
                    Arn: {},
                    CreateDate: {
                      type: "timestamp"
                    },
                    GroupPolicyList: {
                      shape: "S43"
                    },
                    AttachedManagedPolicies: {
                      shape: "S46"
                    }
                  }
                }
              },
              RoleDetailList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Path: {},
                    RoleName: {},
                    RoleId: {},
                    Arn: {},
                    CreateDate: {
                      type: "timestamp"
                    },
                    AssumeRolePolicyDocument: {},
                    InstanceProfileList: {
                      shape: "S4c"
                    },
                    RolePolicyList: {
                      shape: "S43"
                    },
                    AttachedManagedPolicies: {
                      shape: "S46"
                    },
                    PermissionsBoundary: {
                      shape: "S16"
                    },
                    Tags: {
                      shape: "Sv"
                    },
                    RoleLastUsed: {
                      shape: "S18"
                    }
                  }
                }
              },
              Policies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PolicyName: {},
                    PolicyId: {},
                    Arn: {},
                    Path: {},
                    DefaultVersionId: {},
                    AttachmentCount: {
                      type: "integer"
                    },
                    PermissionsBoundaryUsageCount: {
                      type: "integer"
                    },
                    IsAttachable: {
                      type: "boolean"
                    },
                    Description: {},
                    CreateDate: {
                      type: "timestamp"
                    },
                    UpdateDate: {
                      type: "timestamp"
                    },
                    PolicyVersionList: {
                      shape: "S4f"
                    }
                  }
                }
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        GetAccountPasswordPolicy: {
          output: {
            resultWrapper: "GetAccountPasswordPolicyResult",
            type: "structure",
            required: [
              "PasswordPolicy"
            ],
            members: {
              PasswordPolicy: {
                type: "structure",
                members: {
                  MinimumPasswordLength: {
                    type: "integer"
                  },
                  RequireSymbols: {
                    type: "boolean"
                  },
                  RequireNumbers: {
                    type: "boolean"
                  },
                  RequireUppercaseCharacters: {
                    type: "boolean"
                  },
                  RequireLowercaseCharacters: {
                    type: "boolean"
                  },
                  AllowUsersToChangePassword: {
                    type: "boolean"
                  },
                  ExpirePasswords: {
                    type: "boolean"
                  },
                  MaxPasswordAge: {
                    type: "integer"
                  },
                  PasswordReusePrevention: {
                    type: "integer"
                  },
                  HardExpiry: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        GetAccountSummary: {
          output: {
            resultWrapper: "GetAccountSummaryResult",
            type: "structure",
            members: {
              SummaryMap: {
                type: "map",
                key: {},
                value: {
                  type: "integer"
                }
              }
            }
          }
        },
        GetContextKeysForCustomPolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyInputList"
            ],
            members: {
              PolicyInputList: {
                shape: "S4s"
              }
            }
          },
          output: {
            shape: "S4t",
            resultWrapper: "GetContextKeysForCustomPolicyResult"
          }
        },
        GetContextKeysForPrincipalPolicy: {
          input: {
            type: "structure",
            required: [
              "PolicySourceArn"
            ],
            members: {
              PolicySourceArn: {},
              PolicyInputList: {
                shape: "S4s"
              }
            }
          },
          output: {
            shape: "S4t",
            resultWrapper: "GetContextKeysForPrincipalPolicyResult"
          }
        },
        GetCredentialReport: {
          output: {
            resultWrapper: "GetCredentialReportResult",
            type: "structure",
            members: {
              Content: {
                type: "blob"
              },
              ReportFormat: {},
              GeneratedTime: {
                type: "timestamp"
              }
            }
          }
        },
        GetGroup: {
          input: {
            type: "structure",
            required: [
              "GroupName"
            ],
            members: {
              GroupName: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "GetGroupResult",
            type: "structure",
            required: [
              "Group",
              "Users"
            ],
            members: {
              Group: {
                shape: "Ss"
              },
              Users: {
                shape: "S52"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        GetGroupPolicy: {
          input: {
            type: "structure",
            required: [
              "GroupName",
              "PolicyName"
            ],
            members: {
              GroupName: {},
              PolicyName: {}
            }
          },
          output: {
            resultWrapper: "GetGroupPolicyResult",
            type: "structure",
            required: [
              "GroupName",
              "PolicyName",
              "PolicyDocument"
            ],
            members: {
              GroupName: {},
              PolicyName: {},
              PolicyDocument: {}
            }
          }
        },
        GetInstanceProfile: {
          input: {
            type: "structure",
            required: [
              "InstanceProfileName"
            ],
            members: {
              InstanceProfileName: {}
            }
          },
          output: {
            resultWrapper: "GetInstanceProfileResult",
            type: "structure",
            required: [
              "InstanceProfile"
            ],
            members: {
              InstanceProfile: {
                shape: "S10"
              }
            }
          }
        },
        GetLoginProfile: {
          input: {
            type: "structure",
            required: [
              "UserName"
            ],
            members: {
              UserName: {}
            }
          },
          output: {
            resultWrapper: "GetLoginProfileResult",
            type: "structure",
            required: [
              "LoginProfile"
            ],
            members: {
              LoginProfile: {
                shape: "S1d"
              }
            }
          }
        },
        GetMFADevice: {
          input: {
            type: "structure",
            required: [
              "SerialNumber"
            ],
            members: {
              SerialNumber: {},
              UserName: {}
            }
          },
          output: {
            resultWrapper: "GetMFADeviceResult",
            type: "structure",
            required: [
              "SerialNumber"
            ],
            members: {
              UserName: {},
              SerialNumber: {},
              EnableDate: {
                type: "timestamp"
              },
              Certifications: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        GetOpenIDConnectProvider: {
          input: {
            type: "structure",
            required: [
              "OpenIDConnectProviderArn"
            ],
            members: {
              OpenIDConnectProviderArn: {}
            }
          },
          output: {
            resultWrapper: "GetOpenIDConnectProviderResult",
            type: "structure",
            members: {
              Url: {},
              ClientIDList: {
                shape: "S1g"
              },
              ThumbprintList: {
                shape: "S1h"
              },
              CreateDate: {
                type: "timestamp"
              },
              Tags: {
                shape: "Sv"
              }
            }
          }
        },
        GetOrganizationsAccessReport: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              MaxItems: {
                type: "integer"
              },
              Marker: {},
              SortKey: {}
            }
          },
          output: {
            resultWrapper: "GetOrganizationsAccessReportResult",
            type: "structure",
            required: [
              "JobStatus",
              "JobCreationDate"
            ],
            members: {
              JobStatus: {},
              JobCreationDate: {
                type: "timestamp"
              },
              JobCompletionDate: {
                type: "timestamp"
              },
              NumberOfServicesAccessible: {
                type: "integer"
              },
              NumberOfServicesNotAccessed: {
                type: "integer"
              },
              AccessDetails: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ServiceName",
                    "ServiceNamespace"
                  ],
                  members: {
                    ServiceName: {},
                    ServiceNamespace: {},
                    Region: {},
                    EntityPath: {},
                    LastAuthenticatedTime: {
                      type: "timestamp"
                    },
                    TotalAuthenticatedEntities: {
                      type: "integer"
                    }
                  }
                }
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {},
              ErrorDetails: {
                shape: "S5p"
              }
            }
          }
        },
        GetPolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyArn"
            ],
            members: {
              PolicyArn: {}
            }
          },
          output: {
            resultWrapper: "GetPolicyResult",
            type: "structure",
            members: {
              Policy: {
                shape: "S1p"
              }
            }
          }
        },
        GetPolicyVersion: {
          input: {
            type: "structure",
            required: [
              "PolicyArn",
              "VersionId"
            ],
            members: {
              PolicyArn: {},
              VersionId: {}
            }
          },
          output: {
            resultWrapper: "GetPolicyVersionResult",
            type: "structure",
            members: {
              PolicyVersion: {
                shape: "S1u"
              }
            }
          }
        },
        GetRole: {
          input: {
            type: "structure",
            required: [
              "RoleName"
            ],
            members: {
              RoleName: {}
            }
          },
          output: {
            resultWrapper: "GetRoleResult",
            type: "structure",
            required: [
              "Role"
            ],
            members: {
              Role: {
                shape: "S12"
              }
            }
          }
        },
        GetRolePolicy: {
          input: {
            type: "structure",
            required: [
              "RoleName",
              "PolicyName"
            ],
            members: {
              RoleName: {},
              PolicyName: {}
            }
          },
          output: {
            resultWrapper: "GetRolePolicyResult",
            type: "structure",
            required: [
              "RoleName",
              "PolicyName",
              "PolicyDocument"
            ],
            members: {
              RoleName: {},
              PolicyName: {},
              PolicyDocument: {}
            }
          }
        },
        GetSAMLProvider: {
          input: {
            type: "structure",
            required: [
              "SAMLProviderArn"
            ],
            members: {
              SAMLProviderArn: {}
            }
          },
          output: {
            resultWrapper: "GetSAMLProviderResult",
            type: "structure",
            members: {
              SAMLMetadataDocument: {},
              CreateDate: {
                type: "timestamp"
              },
              ValidUntil: {
                type: "timestamp"
              },
              Tags: {
                shape: "Sv"
              }
            }
          }
        },
        GetSSHPublicKey: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "SSHPublicKeyId",
              "Encoding"
            ],
            members: {
              UserName: {},
              SSHPublicKeyId: {},
              Encoding: {}
            }
          },
          output: {
            resultWrapper: "GetSSHPublicKeyResult",
            type: "structure",
            members: {
              SSHPublicKey: {
                shape: "S63"
              }
            }
          }
        },
        GetServerCertificate: {
          input: {
            type: "structure",
            required: [
              "ServerCertificateName"
            ],
            members: {
              ServerCertificateName: {}
            }
          },
          output: {
            resultWrapper: "GetServerCertificateResult",
            type: "structure",
            required: [
              "ServerCertificate"
            ],
            members: {
              ServerCertificate: {
                type: "structure",
                required: [
                  "ServerCertificateMetadata",
                  "CertificateBody"
                ],
                members: {
                  ServerCertificateMetadata: {
                    shape: "S69"
                  },
                  CertificateBody: {},
                  CertificateChain: {},
                  Tags: {
                    shape: "Sv"
                  }
                }
              }
            }
          }
        },
        GetServiceLastAccessedDetails: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              MaxItems: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "GetServiceLastAccessedDetailsResult",
            type: "structure",
            required: [
              "JobStatus",
              "JobCreationDate",
              "ServicesLastAccessed",
              "JobCompletionDate"
            ],
            members: {
              JobStatus: {},
              JobType: {},
              JobCreationDate: {
                type: "timestamp"
              },
              ServicesLastAccessed: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ServiceName",
                    "ServiceNamespace"
                  ],
                  members: {
                    ServiceName: {},
                    LastAuthenticated: {
                      type: "timestamp"
                    },
                    ServiceNamespace: {},
                    LastAuthenticatedEntity: {},
                    LastAuthenticatedRegion: {},
                    TotalAuthenticatedEntities: {
                      type: "integer"
                    },
                    TrackedActionsLastAccessed: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ActionName: {},
                          LastAccessedEntity: {},
                          LastAccessedTime: {
                            type: "timestamp"
                          },
                          LastAccessedRegion: {}
                        }
                      }
                    }
                  }
                }
              },
              JobCompletionDate: {
                type: "timestamp"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {},
              Error: {
                shape: "S5p"
              }
            }
          }
        },
        GetServiceLastAccessedDetailsWithEntities: {
          input: {
            type: "structure",
            required: [
              "JobId",
              "ServiceNamespace"
            ],
            members: {
              JobId: {},
              ServiceNamespace: {},
              MaxItems: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "GetServiceLastAccessedDetailsWithEntitiesResult",
            type: "structure",
            required: [
              "JobStatus",
              "JobCreationDate",
              "JobCompletionDate",
              "EntityDetailsList"
            ],
            members: {
              JobStatus: {},
              JobCreationDate: {
                type: "timestamp"
              },
              JobCompletionDate: {
                type: "timestamp"
              },
              EntityDetailsList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "EntityInfo"
                  ],
                  members: {
                    EntityInfo: {
                      type: "structure",
                      required: [
                        "Arn",
                        "Name",
                        "Type",
                        "Id"
                      ],
                      members: {
                        Arn: {},
                        Name: {},
                        Type: {},
                        Id: {},
                        Path: {}
                      }
                    },
                    LastAuthenticated: {
                      type: "timestamp"
                    }
                  }
                }
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {},
              Error: {
                shape: "S5p"
              }
            }
          }
        },
        GetServiceLinkedRoleDeletionStatus: {
          input: {
            type: "structure",
            required: [
              "DeletionTaskId"
            ],
            members: {
              DeletionTaskId: {}
            }
          },
          output: {
            resultWrapper: "GetServiceLinkedRoleDeletionStatusResult",
            type: "structure",
            required: [
              "Status"
            ],
            members: {
              Status: {},
              Reason: {
                type: "structure",
                members: {
                  Reason: {},
                  RoleUsageList: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Region: {},
                        Resources: {
                          type: "list",
                          member: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetUser: {
          input: {
            type: "structure",
            members: {
              UserName: {}
            }
          },
          output: {
            resultWrapper: "GetUserResult",
            type: "structure",
            required: [
              "User"
            ],
            members: {
              User: {
                shape: "S2d"
              }
            }
          }
        },
        GetUserPolicy: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "PolicyName"
            ],
            members: {
              UserName: {},
              PolicyName: {}
            }
          },
          output: {
            resultWrapper: "GetUserPolicyResult",
            type: "structure",
            required: [
              "UserName",
              "PolicyName",
              "PolicyDocument"
            ],
            members: {
              UserName: {},
              PolicyName: {},
              PolicyDocument: {}
            }
          }
        },
        ListAccessKeys: {
          input: {
            type: "structure",
            members: {
              UserName: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListAccessKeysResult",
            type: "structure",
            required: [
              "AccessKeyMetadata"
            ],
            members: {
              AccessKeyMetadata: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    UserName: {},
                    AccessKeyId: {},
                    Status: {},
                    CreateDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListAccountAliases: {
          input: {
            type: "structure",
            members: {
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListAccountAliasesResult",
            type: "structure",
            required: [
              "AccountAliases"
            ],
            members: {
              AccountAliases: {
                type: "list",
                member: {}
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListAttachedGroupPolicies: {
          input: {
            type: "structure",
            required: [
              "GroupName"
            ],
            members: {
              GroupName: {},
              PathPrefix: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListAttachedGroupPoliciesResult",
            type: "structure",
            members: {
              AttachedPolicies: {
                shape: "S46"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListAttachedRolePolicies: {
          input: {
            type: "structure",
            required: [
              "RoleName"
            ],
            members: {
              RoleName: {},
              PathPrefix: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListAttachedRolePoliciesResult",
            type: "structure",
            members: {
              AttachedPolicies: {
                shape: "S46"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListAttachedUserPolicies: {
          input: {
            type: "structure",
            required: [
              "UserName"
            ],
            members: {
              UserName: {},
              PathPrefix: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListAttachedUserPoliciesResult",
            type: "structure",
            members: {
              AttachedPolicies: {
                shape: "S46"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListEntitiesForPolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyArn"
            ],
            members: {
              PolicyArn: {},
              EntityFilter: {},
              PathPrefix: {},
              PolicyUsageFilter: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListEntitiesForPolicyResult",
            type: "structure",
            members: {
              PolicyGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    GroupName: {},
                    GroupId: {}
                  }
                }
              },
              PolicyUsers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    UserName: {},
                    UserId: {}
                  }
                }
              },
              PolicyRoles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RoleName: {},
                    RoleId: {}
                  }
                }
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListGroupPolicies: {
          input: {
            type: "structure",
            required: [
              "GroupName"
            ],
            members: {
              GroupName: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListGroupPoliciesResult",
            type: "structure",
            required: [
              "PolicyNames"
            ],
            members: {
              PolicyNames: {
                shape: "S7p"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListGroups: {
          input: {
            type: "structure",
            members: {
              PathPrefix: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListGroupsResult",
            type: "structure",
            required: [
              "Groups"
            ],
            members: {
              Groups: {
                shape: "S7t"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListGroupsForUser: {
          input: {
            type: "structure",
            required: [
              "UserName"
            ],
            members: {
              UserName: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListGroupsForUserResult",
            type: "structure",
            required: [
              "Groups"
            ],
            members: {
              Groups: {
                shape: "S7t"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListInstanceProfileTags: {
          input: {
            type: "structure",
            required: [
              "InstanceProfileName"
            ],
            members: {
              InstanceProfileName: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListInstanceProfileTagsResult",
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "Sv"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListInstanceProfiles: {
          input: {
            type: "structure",
            members: {
              PathPrefix: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListInstanceProfilesResult",
            type: "structure",
            required: [
              "InstanceProfiles"
            ],
            members: {
              InstanceProfiles: {
                shape: "S4c"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListInstanceProfilesForRole: {
          input: {
            type: "structure",
            required: [
              "RoleName"
            ],
            members: {
              RoleName: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListInstanceProfilesForRoleResult",
            type: "structure",
            required: [
              "InstanceProfiles"
            ],
            members: {
              InstanceProfiles: {
                shape: "S4c"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListMFADeviceTags: {
          input: {
            type: "structure",
            required: [
              "SerialNumber"
            ],
            members: {
              SerialNumber: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListMFADeviceTagsResult",
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "Sv"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListMFADevices: {
          input: {
            type: "structure",
            members: {
              UserName: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListMFADevicesResult",
            type: "structure",
            required: [
              "MFADevices"
            ],
            members: {
              MFADevices: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "UserName",
                    "SerialNumber",
                    "EnableDate"
                  ],
                  members: {
                    UserName: {},
                    SerialNumber: {},
                    EnableDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListOpenIDConnectProviderTags: {
          input: {
            type: "structure",
            required: [
              "OpenIDConnectProviderArn"
            ],
            members: {
              OpenIDConnectProviderArn: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListOpenIDConnectProviderTagsResult",
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "Sv"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListOpenIDConnectProviders: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            resultWrapper: "ListOpenIDConnectProvidersResult",
            type: "structure",
            members: {
              OpenIDConnectProviderList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {}
                  }
                }
              }
            }
          }
        },
        ListPolicies: {
          input: {
            type: "structure",
            members: {
              Scope: {},
              OnlyAttached: {
                type: "boolean"
              },
              PathPrefix: {},
              PolicyUsageFilter: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListPoliciesResult",
            type: "structure",
            members: {
              Policies: {
                type: "list",
                member: {
                  shape: "S1p"
                }
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListPoliciesGrantingServiceAccess: {
          input: {
            type: "structure",
            required: [
              "Arn",
              "ServiceNamespaces"
            ],
            members: {
              Marker: {},
              Arn: {},
              ServiceNamespaces: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "ListPoliciesGrantingServiceAccessResult",
            type: "structure",
            required: [
              "PoliciesGrantingServiceAccess"
            ],
            members: {
              PoliciesGrantingServiceAccess: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ServiceNamespace: {},
                    Policies: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "PolicyName",
                          "PolicyType"
                        ],
                        members: {
                          PolicyName: {},
                          PolicyType: {},
                          PolicyArn: {},
                          EntityType: {},
                          EntityName: {}
                        }
                      }
                    }
                  }
                }
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListPolicyTags: {
          input: {
            type: "structure",
            required: [
              "PolicyArn"
            ],
            members: {
              PolicyArn: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListPolicyTagsResult",
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "Sv"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListPolicyVersions: {
          input: {
            type: "structure",
            required: [
              "PolicyArn"
            ],
            members: {
              PolicyArn: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListPolicyVersionsResult",
            type: "structure",
            members: {
              Versions: {
                shape: "S4f"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListRolePolicies: {
          input: {
            type: "structure",
            required: [
              "RoleName"
            ],
            members: {
              RoleName: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListRolePoliciesResult",
            type: "structure",
            required: [
              "PolicyNames"
            ],
            members: {
              PolicyNames: {
                shape: "S7p"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListRoleTags: {
          input: {
            type: "structure",
            required: [
              "RoleName"
            ],
            members: {
              RoleName: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListRoleTagsResult",
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "Sv"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListRoles: {
          input: {
            type: "structure",
            members: {
              PathPrefix: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListRolesResult",
            type: "structure",
            required: [
              "Roles"
            ],
            members: {
              Roles: {
                shape: "S11"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListSAMLProviderTags: {
          input: {
            type: "structure",
            required: [
              "SAMLProviderArn"
            ],
            members: {
              SAMLProviderArn: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListSAMLProviderTagsResult",
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "Sv"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListSAMLProviders: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            resultWrapper: "ListSAMLProvidersResult",
            type: "structure",
            members: {
              SAMLProviderList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    ValidUntil: {
                      type: "timestamp"
                    },
                    CreateDate: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListSSHPublicKeys: {
          input: {
            type: "structure",
            members: {
              UserName: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListSSHPublicKeysResult",
            type: "structure",
            members: {
              SSHPublicKeys: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "UserName",
                    "SSHPublicKeyId",
                    "Status",
                    "UploadDate"
                  ],
                  members: {
                    UserName: {},
                    SSHPublicKeyId: {},
                    Status: {},
                    UploadDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListServerCertificateTags: {
          input: {
            type: "structure",
            required: [
              "ServerCertificateName"
            ],
            members: {
              ServerCertificateName: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListServerCertificateTagsResult",
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "Sv"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListServerCertificates: {
          input: {
            type: "structure",
            members: {
              PathPrefix: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListServerCertificatesResult",
            type: "structure",
            required: [
              "ServerCertificateMetadataList"
            ],
            members: {
              ServerCertificateMetadataList: {
                type: "list",
                member: {
                  shape: "S69"
                }
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListServiceSpecificCredentials: {
          input: {
            type: "structure",
            members: {
              UserName: {},
              ServiceName: {}
            }
          },
          output: {
            resultWrapper: "ListServiceSpecificCredentialsResult",
            type: "structure",
            members: {
              ServiceSpecificCredentials: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "UserName",
                    "Status",
                    "ServiceUserName",
                    "CreateDate",
                    "ServiceSpecificCredentialId",
                    "ServiceName"
                  ],
                  members: {
                    UserName: {},
                    Status: {},
                    ServiceUserName: {},
                    CreateDate: {
                      type: "timestamp"
                    },
                    ServiceSpecificCredentialId: {},
                    ServiceName: {}
                  }
                }
              }
            }
          }
        },
        ListSigningCertificates: {
          input: {
            type: "structure",
            members: {
              UserName: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListSigningCertificatesResult",
            type: "structure",
            required: [
              "Certificates"
            ],
            members: {
              Certificates: {
                type: "list",
                member: {
                  shape: "S9n"
                }
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListUserPolicies: {
          input: {
            type: "structure",
            required: [
              "UserName"
            ],
            members: {
              UserName: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListUserPoliciesResult",
            type: "structure",
            required: [
              "PolicyNames"
            ],
            members: {
              PolicyNames: {
                shape: "S7p"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListUserTags: {
          input: {
            type: "structure",
            required: [
              "UserName"
            ],
            members: {
              UserName: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListUserTagsResult",
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "Sv"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListUsers: {
          input: {
            type: "structure",
            members: {
              PathPrefix: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListUsersResult",
            type: "structure",
            required: [
              "Users"
            ],
            members: {
              Users: {
                shape: "S52"
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        ListVirtualMFADevices: {
          input: {
            type: "structure",
            members: {
              AssignmentStatus: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListVirtualMFADevicesResult",
            type: "structure",
            required: [
              "VirtualMFADevices"
            ],
            members: {
              VirtualMFADevices: {
                type: "list",
                member: {
                  shape: "S2h"
                }
              },
              IsTruncated: {
                type: "boolean"
              },
              Marker: {}
            }
          }
        },
        PutGroupPolicy: {
          input: {
            type: "structure",
            required: [
              "GroupName",
              "PolicyName",
              "PolicyDocument"
            ],
            members: {
              GroupName: {},
              PolicyName: {},
              PolicyDocument: {}
            }
          }
        },
        PutRolePermissionsBoundary: {
          input: {
            type: "structure",
            required: [
              "RoleName",
              "PermissionsBoundary"
            ],
            members: {
              RoleName: {},
              PermissionsBoundary: {}
            }
          }
        },
        PutRolePolicy: {
          input: {
            type: "structure",
            required: [
              "RoleName",
              "PolicyName",
              "PolicyDocument"
            ],
            members: {
              RoleName: {},
              PolicyName: {},
              PolicyDocument: {}
            }
          }
        },
        PutUserPermissionsBoundary: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "PermissionsBoundary"
            ],
            members: {
              UserName: {},
              PermissionsBoundary: {}
            }
          }
        },
        PutUserPolicy: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "PolicyName",
              "PolicyDocument"
            ],
            members: {
              UserName: {},
              PolicyName: {},
              PolicyDocument: {}
            }
          }
        },
        RemoveClientIDFromOpenIDConnectProvider: {
          input: {
            type: "structure",
            required: [
              "OpenIDConnectProviderArn",
              "ClientID"
            ],
            members: {
              OpenIDConnectProviderArn: {},
              ClientID: {}
            }
          }
        },
        RemoveRoleFromInstanceProfile: {
          input: {
            type: "structure",
            required: [
              "InstanceProfileName",
              "RoleName"
            ],
            members: {
              InstanceProfileName: {},
              RoleName: {}
            }
          }
        },
        RemoveUserFromGroup: {
          input: {
            type: "structure",
            required: [
              "GroupName",
              "UserName"
            ],
            members: {
              GroupName: {},
              UserName: {}
            }
          }
        },
        ResetServiceSpecificCredential: {
          input: {
            type: "structure",
            required: [
              "ServiceSpecificCredentialId"
            ],
            members: {
              UserName: {},
              ServiceSpecificCredentialId: {}
            }
          },
          output: {
            resultWrapper: "ResetServiceSpecificCredentialResult",
            type: "structure",
            members: {
              ServiceSpecificCredential: {
                shape: "S27"
              }
            }
          }
        },
        ResyncMFADevice: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "SerialNumber",
              "AuthenticationCode1",
              "AuthenticationCode2"
            ],
            members: {
              UserName: {},
              SerialNumber: {},
              AuthenticationCode1: {},
              AuthenticationCode2: {}
            }
          }
        },
        SetDefaultPolicyVersion: {
          input: {
            type: "structure",
            required: [
              "PolicyArn",
              "VersionId"
            ],
            members: {
              PolicyArn: {},
              VersionId: {}
            }
          }
        },
        SetSecurityTokenServicePreferences: {
          input: {
            type: "structure",
            required: [
              "GlobalEndpointTokenVersion"
            ],
            members: {
              GlobalEndpointTokenVersion: {}
            }
          }
        },
        SimulateCustomPolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyInputList",
              "ActionNames"
            ],
            members: {
              PolicyInputList: {
                shape: "S4s"
              },
              PermissionsBoundaryPolicyInputList: {
                shape: "S4s"
              },
              ActionNames: {
                shape: "Sad"
              },
              ResourceArns: {
                shape: "Saf"
              },
              ResourcePolicy: {},
              ResourceOwner: {},
              CallerArn: {},
              ContextEntries: {
                shape: "Sah"
              },
              ResourceHandlingOption: {},
              MaxItems: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            shape: "San",
            resultWrapper: "SimulateCustomPolicyResult"
          }
        },
        SimulatePrincipalPolicy: {
          input: {
            type: "structure",
            required: [
              "PolicySourceArn",
              "ActionNames"
            ],
            members: {
              PolicySourceArn: {},
              PolicyInputList: {
                shape: "S4s"
              },
              PermissionsBoundaryPolicyInputList: {
                shape: "S4s"
              },
              ActionNames: {
                shape: "Sad"
              },
              ResourceArns: {
                shape: "Saf"
              },
              ResourcePolicy: {},
              ResourceOwner: {},
              CallerArn: {},
              ContextEntries: {
                shape: "Sah"
              },
              ResourceHandlingOption: {},
              MaxItems: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            shape: "San",
            resultWrapper: "SimulatePrincipalPolicyResult"
          }
        },
        TagInstanceProfile: {
          input: {
            type: "structure",
            required: [
              "InstanceProfileName",
              "Tags"
            ],
            members: {
              InstanceProfileName: {},
              Tags: {
                shape: "Sv"
              }
            }
          }
        },
        TagMFADevice: {
          input: {
            type: "structure",
            required: [
              "SerialNumber",
              "Tags"
            ],
            members: {
              SerialNumber: {},
              Tags: {
                shape: "Sv"
              }
            }
          }
        },
        TagOpenIDConnectProvider: {
          input: {
            type: "structure",
            required: [
              "OpenIDConnectProviderArn",
              "Tags"
            ],
            members: {
              OpenIDConnectProviderArn: {},
              Tags: {
                shape: "Sv"
              }
            }
          }
        },
        TagPolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyArn",
              "Tags"
            ],
            members: {
              PolicyArn: {},
              Tags: {
                shape: "Sv"
              }
            }
          }
        },
        TagRole: {
          input: {
            type: "structure",
            required: [
              "RoleName",
              "Tags"
            ],
            members: {
              RoleName: {},
              Tags: {
                shape: "Sv"
              }
            }
          }
        },
        TagSAMLProvider: {
          input: {
            type: "structure",
            required: [
              "SAMLProviderArn",
              "Tags"
            ],
            members: {
              SAMLProviderArn: {},
              Tags: {
                shape: "Sv"
              }
            }
          }
        },
        TagServerCertificate: {
          input: {
            type: "structure",
            required: [
              "ServerCertificateName",
              "Tags"
            ],
            members: {
              ServerCertificateName: {},
              Tags: {
                shape: "Sv"
              }
            }
          }
        },
        TagUser: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "Tags"
            ],
            members: {
              UserName: {},
              Tags: {
                shape: "Sv"
              }
            }
          }
        },
        UntagInstanceProfile: {
          input: {
            type: "structure",
            required: [
              "InstanceProfileName",
              "TagKeys"
            ],
            members: {
              InstanceProfileName: {},
              TagKeys: {
                shape: "Sbe"
              }
            }
          }
        },
        UntagMFADevice: {
          input: {
            type: "structure",
            required: [
              "SerialNumber",
              "TagKeys"
            ],
            members: {
              SerialNumber: {},
              TagKeys: {
                shape: "Sbe"
              }
            }
          }
        },
        UntagOpenIDConnectProvider: {
          input: {
            type: "structure",
            required: [
              "OpenIDConnectProviderArn",
              "TagKeys"
            ],
            members: {
              OpenIDConnectProviderArn: {},
              TagKeys: {
                shape: "Sbe"
              }
            }
          }
        },
        UntagPolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyArn",
              "TagKeys"
            ],
            members: {
              PolicyArn: {},
              TagKeys: {
                shape: "Sbe"
              }
            }
          }
        },
        UntagRole: {
          input: {
            type: "structure",
            required: [
              "RoleName",
              "TagKeys"
            ],
            members: {
              RoleName: {},
              TagKeys: {
                shape: "Sbe"
              }
            }
          }
        },
        UntagSAMLProvider: {
          input: {
            type: "structure",
            required: [
              "SAMLProviderArn",
              "TagKeys"
            ],
            members: {
              SAMLProviderArn: {},
              TagKeys: {
                shape: "Sbe"
              }
            }
          }
        },
        UntagServerCertificate: {
          input: {
            type: "structure",
            required: [
              "ServerCertificateName",
              "TagKeys"
            ],
            members: {
              ServerCertificateName: {},
              TagKeys: {
                shape: "Sbe"
              }
            }
          }
        },
        UntagUser: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "TagKeys"
            ],
            members: {
              UserName: {},
              TagKeys: {
                shape: "Sbe"
              }
            }
          }
        },
        UpdateAccessKey: {
          input: {
            type: "structure",
            required: [
              "AccessKeyId",
              "Status"
            ],
            members: {
              UserName: {},
              AccessKeyId: {},
              Status: {}
            }
          }
        },
        UpdateAccountPasswordPolicy: {
          input: {
            type: "structure",
            members: {
              MinimumPasswordLength: {
                type: "integer"
              },
              RequireSymbols: {
                type: "boolean"
              },
              RequireNumbers: {
                type: "boolean"
              },
              RequireUppercaseCharacters: {
                type: "boolean"
              },
              RequireLowercaseCharacters: {
                type: "boolean"
              },
              AllowUsersToChangePassword: {
                type: "boolean"
              },
              MaxPasswordAge: {
                type: "integer"
              },
              PasswordReusePrevention: {
                type: "integer"
              },
              HardExpiry: {
                type: "boolean"
              }
            }
          }
        },
        UpdateAssumeRolePolicy: {
          input: {
            type: "structure",
            required: [
              "RoleName",
              "PolicyDocument"
            ],
            members: {
              RoleName: {},
              PolicyDocument: {}
            }
          }
        },
        UpdateGroup: {
          input: {
            type: "structure",
            required: [
              "GroupName"
            ],
            members: {
              GroupName: {},
              NewPath: {},
              NewGroupName: {}
            }
          }
        },
        UpdateLoginProfile: {
          input: {
            type: "structure",
            required: [
              "UserName"
            ],
            members: {
              UserName: {},
              Password: {
                shape: "Sf"
              },
              PasswordResetRequired: {
                type: "boolean"
              }
            }
          }
        },
        UpdateOpenIDConnectProviderThumbprint: {
          input: {
            type: "structure",
            required: [
              "OpenIDConnectProviderArn",
              "ThumbprintList"
            ],
            members: {
              OpenIDConnectProviderArn: {},
              ThumbprintList: {
                shape: "S1h"
              }
            }
          }
        },
        UpdateRole: {
          input: {
            type: "structure",
            required: [
              "RoleName"
            ],
            members: {
              RoleName: {},
              Description: {},
              MaxSessionDuration: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "UpdateRoleResult",
            type: "structure",
            members: {}
          }
        },
        UpdateRoleDescription: {
          input: {
            type: "structure",
            required: [
              "RoleName",
              "Description"
            ],
            members: {
              RoleName: {},
              Description: {}
            }
          },
          output: {
            resultWrapper: "UpdateRoleDescriptionResult",
            type: "structure",
            members: {
              Role: {
                shape: "S12"
              }
            }
          }
        },
        UpdateSAMLProvider: {
          input: {
            type: "structure",
            required: [
              "SAMLMetadataDocument",
              "SAMLProviderArn"
            ],
            members: {
              SAMLMetadataDocument: {},
              SAMLProviderArn: {}
            }
          },
          output: {
            resultWrapper: "UpdateSAMLProviderResult",
            type: "structure",
            members: {
              SAMLProviderArn: {}
            }
          }
        },
        UpdateSSHPublicKey: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "SSHPublicKeyId",
              "Status"
            ],
            members: {
              UserName: {},
              SSHPublicKeyId: {},
              Status: {}
            }
          }
        },
        UpdateServerCertificate: {
          input: {
            type: "structure",
            required: [
              "ServerCertificateName"
            ],
            members: {
              ServerCertificateName: {},
              NewPath: {},
              NewServerCertificateName: {}
            }
          }
        },
        UpdateServiceSpecificCredential: {
          input: {
            type: "structure",
            required: [
              "ServiceSpecificCredentialId",
              "Status"
            ],
            members: {
              UserName: {},
              ServiceSpecificCredentialId: {},
              Status: {}
            }
          }
        },
        UpdateSigningCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateId",
              "Status"
            ],
            members: {
              UserName: {},
              CertificateId: {},
              Status: {}
            }
          }
        },
        UpdateUser: {
          input: {
            type: "structure",
            required: [
              "UserName"
            ],
            members: {
              UserName: {},
              NewPath: {},
              NewUserName: {}
            }
          }
        },
        UploadSSHPublicKey: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "SSHPublicKeyBody"
            ],
            members: {
              UserName: {},
              SSHPublicKeyBody: {}
            }
          },
          output: {
            resultWrapper: "UploadSSHPublicKeyResult",
            type: "structure",
            members: {
              SSHPublicKey: {
                shape: "S63"
              }
            }
          }
        },
        UploadServerCertificate: {
          input: {
            type: "structure",
            required: [
              "ServerCertificateName",
              "CertificateBody",
              "PrivateKey"
            ],
            members: {
              Path: {},
              ServerCertificateName: {},
              CertificateBody: {},
              PrivateKey: {
                type: "string",
                sensitive: true
              },
              CertificateChain: {},
              Tags: {
                shape: "Sv"
              }
            }
          },
          output: {
            resultWrapper: "UploadServerCertificateResult",
            type: "structure",
            members: {
              ServerCertificateMetadata: {
                shape: "S69"
              },
              Tags: {
                shape: "Sv"
              }
            }
          }
        },
        UploadSigningCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateBody"
            ],
            members: {
              UserName: {},
              CertificateBody: {}
            }
          },
          output: {
            resultWrapper: "UploadSigningCertificateResult",
            type: "structure",
            required: [
              "Certificate"
            ],
            members: {
              Certificate: {
                shape: "S9n"
              }
            }
          }
        }
      },
      shapes: {
        Sf: {
          type: "string",
          sensitive: true
        },
        Ss: {
          type: "structure",
          required: [
            "Path",
            "GroupName",
            "GroupId",
            "Arn",
            "CreateDate"
          ],
          members: {
            Path: {},
            GroupName: {},
            GroupId: {},
            Arn: {},
            CreateDate: {
              type: "timestamp"
            }
          }
        },
        Sv: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S10: {
          type: "structure",
          required: [
            "Path",
            "InstanceProfileName",
            "InstanceProfileId",
            "Arn",
            "CreateDate",
            "Roles"
          ],
          members: {
            Path: {},
            InstanceProfileName: {},
            InstanceProfileId: {},
            Arn: {},
            CreateDate: {
              type: "timestamp"
            },
            Roles: {
              shape: "S11"
            },
            Tags: {
              shape: "Sv"
            }
          }
        },
        S11: {
          type: "list",
          member: {
            shape: "S12"
          }
        },
        S12: {
          type: "structure",
          required: [
            "Path",
            "RoleName",
            "RoleId",
            "Arn",
            "CreateDate"
          ],
          members: {
            Path: {},
            RoleName: {},
            RoleId: {},
            Arn: {},
            CreateDate: {
              type: "timestamp"
            },
            AssumeRolePolicyDocument: {},
            Description: {},
            MaxSessionDuration: {
              type: "integer"
            },
            PermissionsBoundary: {
              shape: "S16"
            },
            Tags: {
              shape: "Sv"
            },
            RoleLastUsed: {
              shape: "S18"
            }
          }
        },
        S16: {
          type: "structure",
          members: {
            PermissionsBoundaryType: {},
            PermissionsBoundaryArn: {}
          }
        },
        S18: {
          type: "structure",
          members: {
            LastUsedDate: {
              type: "timestamp"
            },
            Region: {}
          }
        },
        S1d: {
          type: "structure",
          required: [
            "UserName",
            "CreateDate"
          ],
          members: {
            UserName: {},
            CreateDate: {
              type: "timestamp"
            },
            PasswordResetRequired: {
              type: "boolean"
            }
          }
        },
        S1g: {
          type: "list",
          member: {}
        },
        S1h: {
          type: "list",
          member: {}
        },
        S1p: {
          type: "structure",
          members: {
            PolicyName: {},
            PolicyId: {},
            Arn: {},
            Path: {},
            DefaultVersionId: {},
            AttachmentCount: {
              type: "integer"
            },
            PermissionsBoundaryUsageCount: {
              type: "integer"
            },
            IsAttachable: {
              type: "boolean"
            },
            Description: {},
            CreateDate: {
              type: "timestamp"
            },
            UpdateDate: {
              type: "timestamp"
            },
            Tags: {
              shape: "Sv"
            }
          }
        },
        S1u: {
          type: "structure",
          members: {
            Document: {},
            VersionId: {},
            IsDefaultVersion: {
              type: "boolean"
            },
            CreateDate: {
              type: "timestamp"
            }
          }
        },
        S27: {
          type: "structure",
          required: [
            "CreateDate",
            "ServiceName",
            "ServiceUserName",
            "ServicePassword",
            "ServiceSpecificCredentialId",
            "UserName",
            "Status"
          ],
          members: {
            CreateDate: {
              type: "timestamp"
            },
            ServiceName: {},
            ServiceUserName: {},
            ServicePassword: {
              type: "string",
              sensitive: true
            },
            ServiceSpecificCredentialId: {},
            UserName: {},
            Status: {}
          }
        },
        S2d: {
          type: "structure",
          required: [
            "Path",
            "UserName",
            "UserId",
            "Arn",
            "CreateDate"
          ],
          members: {
            Path: {},
            UserName: {},
            UserId: {},
            Arn: {},
            CreateDate: {
              type: "timestamp"
            },
            PasswordLastUsed: {
              type: "timestamp"
            },
            PermissionsBoundary: {
              shape: "S16"
            },
            Tags: {
              shape: "Sv"
            }
          }
        },
        S2h: {
          type: "structure",
          required: [
            "SerialNumber"
          ],
          members: {
            SerialNumber: {},
            Base32StringSeed: {
              shape: "S2j"
            },
            QRCodePNG: {
              shape: "S2j"
            },
            User: {
              shape: "S2d"
            },
            EnableDate: {
              type: "timestamp"
            },
            Tags: {
              shape: "Sv"
            }
          }
        },
        S2j: {
          type: "blob",
          sensitive: true
        },
        S43: {
          type: "list",
          member: {
            type: "structure",
            members: {
              PolicyName: {},
              PolicyDocument: {}
            }
          }
        },
        S46: {
          type: "list",
          member: {
            type: "structure",
            members: {
              PolicyName: {},
              PolicyArn: {}
            }
          }
        },
        S4c: {
          type: "list",
          member: {
            shape: "S10"
          }
        },
        S4f: {
          type: "list",
          member: {
            shape: "S1u"
          }
        },
        S4s: {
          type: "list",
          member: {}
        },
        S4t: {
          type: "structure",
          members: {
            ContextKeyNames: {
              shape: "S4u"
            }
          }
        },
        S4u: {
          type: "list",
          member: {}
        },
        S52: {
          type: "list",
          member: {
            shape: "S2d"
          }
        },
        S5p: {
          type: "structure",
          required: [
            "Message",
            "Code"
          ],
          members: {
            Message: {},
            Code: {}
          }
        },
        S63: {
          type: "structure",
          required: [
            "UserName",
            "SSHPublicKeyId",
            "Fingerprint",
            "SSHPublicKeyBody",
            "Status"
          ],
          members: {
            UserName: {},
            SSHPublicKeyId: {},
            Fingerprint: {},
            SSHPublicKeyBody: {},
            Status: {},
            UploadDate: {
              type: "timestamp"
            }
          }
        },
        S69: {
          type: "structure",
          required: [
            "Path",
            "ServerCertificateName",
            "ServerCertificateId",
            "Arn"
          ],
          members: {
            Path: {},
            ServerCertificateName: {},
            ServerCertificateId: {},
            Arn: {},
            UploadDate: {
              type: "timestamp"
            },
            Expiration: {
              type: "timestamp"
            }
          }
        },
        S7p: {
          type: "list",
          member: {}
        },
        S7t: {
          type: "list",
          member: {
            shape: "Ss"
          }
        },
        S9n: {
          type: "structure",
          required: [
            "UserName",
            "CertificateId",
            "CertificateBody",
            "Status"
          ],
          members: {
            UserName: {},
            CertificateId: {},
            CertificateBody: {},
            Status: {},
            UploadDate: {
              type: "timestamp"
            }
          }
        },
        Sad: {
          type: "list",
          member: {}
        },
        Saf: {
          type: "list",
          member: {}
        },
        Sah: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ContextKeyName: {},
              ContextKeyValues: {
                type: "list",
                member: {}
              },
              ContextKeyType: {}
            }
          }
        },
        San: {
          type: "structure",
          members: {
            EvaluationResults: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "EvalActionName",
                  "EvalDecision"
                ],
                members: {
                  EvalActionName: {},
                  EvalResourceName: {},
                  EvalDecision: {},
                  MatchedStatements: {
                    shape: "Sar"
                  },
                  MissingContextValues: {
                    shape: "S4u"
                  },
                  OrganizationsDecisionDetail: {
                    type: "structure",
                    members: {
                      AllowedByOrganizations: {
                        type: "boolean"
                      }
                    }
                  },
                  PermissionsBoundaryDecisionDetail: {
                    shape: "Saz"
                  },
                  EvalDecisionDetails: {
                    shape: "Sb0"
                  },
                  ResourceSpecificResults: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "EvalResourceName",
                        "EvalResourceDecision"
                      ],
                      members: {
                        EvalResourceName: {},
                        EvalResourceDecision: {},
                        MatchedStatements: {
                          shape: "Sar"
                        },
                        MissingContextValues: {
                          shape: "S4u"
                        },
                        EvalDecisionDetails: {
                          shape: "Sb0"
                        },
                        PermissionsBoundaryDecisionDetail: {
                          shape: "Saz"
                        }
                      }
                    }
                  }
                }
              }
            },
            IsTruncated: {
              type: "boolean"
            },
            Marker: {}
          }
        },
        Sar: {
          type: "list",
          member: {
            type: "structure",
            members: {
              SourcePolicyId: {},
              SourcePolicyType: {},
              StartPosition: {
                shape: "Sav"
              },
              EndPosition: {
                shape: "Sav"
              }
            }
          }
        },
        Sav: {
          type: "structure",
          members: {
            Line: {
              type: "integer"
            },
            Column: {
              type: "integer"
            }
          }
        },
        Saz: {
          type: "structure",
          members: {
            AllowedByPermissionsBoundary: {
              type: "boolean"
            }
          }
        },
        Sb0: {
          type: "map",
          key: {},
          value: {}
        },
        Sbe: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iam-2010-05-08.paginators.json
var require_iam_2010_05_08_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iam-2010-05-08.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetAccountAuthorizationDetails: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: [
            "UserDetailList",
            "GroupDetailList",
            "RoleDetailList",
            "Policies"
          ]
        },
        GetGroup: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "Users"
        },
        ListAccessKeys: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "AccessKeyMetadata"
        },
        ListAccountAliases: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "AccountAliases"
        },
        ListAttachedGroupPolicies: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "AttachedPolicies"
        },
        ListAttachedRolePolicies: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "AttachedPolicies"
        },
        ListAttachedUserPolicies: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "AttachedPolicies"
        },
        ListEntitiesForPolicy: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: [
            "PolicyGroups",
            "PolicyUsers",
            "PolicyRoles"
          ]
        },
        ListGroupPolicies: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "PolicyNames"
        },
        ListGroups: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "Groups"
        },
        ListGroupsForUser: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "Groups"
        },
        ListInstanceProfileTags: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "Tags"
        },
        ListInstanceProfiles: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "InstanceProfiles"
        },
        ListInstanceProfilesForRole: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "InstanceProfiles"
        },
        ListMFADeviceTags: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "Tags"
        },
        ListMFADevices: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "MFADevices"
        },
        ListOpenIDConnectProviderTags: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "Tags"
        },
        ListPolicies: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "Policies"
        },
        ListPolicyTags: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "Tags"
        },
        ListPolicyVersions: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "Versions"
        },
        ListRolePolicies: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "PolicyNames"
        },
        ListRoleTags: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "Tags"
        },
        ListRoles: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "Roles"
        },
        ListSAMLProviderTags: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "Tags"
        },
        ListSAMLProviders: {
          result_key: "SAMLProviderList"
        },
        ListSSHPublicKeys: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "SSHPublicKeys"
        },
        ListServerCertificateTags: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "Tags"
        },
        ListServerCertificates: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "ServerCertificateMetadataList"
        },
        ListSigningCertificates: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "Certificates"
        },
        ListUserPolicies: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "PolicyNames"
        },
        ListUserTags: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "Tags"
        },
        ListUsers: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "Users"
        },
        ListVirtualMFADevices: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "VirtualMFADevices"
        },
        SimulateCustomPolicy: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "EvaluationResults"
        },
        SimulatePrincipalPolicy: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "Marker",
          result_key: "EvaluationResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iam-2010-05-08.waiters2.json
var require_iam_2010_05_08_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/iam-2010-05-08.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        InstanceProfileExists: {
          delay: 1,
          operation: "GetInstanceProfile",
          maxAttempts: 40,
          acceptors: [
            {
              expected: 200,
              matcher: "status",
              state: "success"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 404
            }
          ]
        },
        UserExists: {
          delay: 1,
          operation: "GetUser",
          maxAttempts: 20,
          acceptors: [
            {
              state: "success",
              matcher: "status",
              expected: 200
            },
            {
              state: "retry",
              matcher: "error",
              expected: "NoSuchEntity"
            }
          ]
        },
        RoleExists: {
          delay: 1,
          operation: "GetRole",
          maxAttempts: 20,
          acceptors: [
            {
              state: "success",
              matcher: "status",
              expected: 200
            },
            {
              state: "retry",
              matcher: "error",
              expected: "NoSuchEntity"
            }
          ]
        },
        PolicyExists: {
          delay: 1,
          operation: "GetPolicy",
          maxAttempts: 20,
          acceptors: [
            {
              state: "success",
              matcher: "status",
              expected: 200
            },
            {
              state: "retry",
              matcher: "error",
              expected: "NoSuchEntity"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/iam.js
var require_iam = __commonJS({
  "node_modules/aws-sdk/clients/iam.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iam"] = {};
    AWS2.IAM = Service.defineService("iam", ["2010-05-08"]);
    Object.defineProperty(apiLoader.services["iam"], "2010-05-08", {
      get: function get() {
        var model = require_iam_2010_05_08_min();
        model.paginators = require_iam_2010_05_08_paginators().pagination;
        model.waiters = require_iam_2010_05_08_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IAM;
  }
});

// node_modules/aws-sdk/apis/importexport-2010-06-01.min.json
var require_importexport_2010_06_01_min = __commonJS({
  "node_modules/aws-sdk/apis/importexport-2010-06-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        uid: "importexport-2010-06-01",
        apiVersion: "2010-06-01",
        endpointPrefix: "importexport",
        globalEndpoint: "importexport.amazonaws.com",
        serviceFullName: "AWS Import/Export",
        serviceId: "ImportExport",
        signatureVersion: "v2",
        xmlNamespace: "http://importexport.amazonaws.com/doc/2010-06-01/",
        protocol: "query"
      },
      operations: {
        CancelJob: {
          http: {
            requestUri: "/?Operation=CancelJob"
          },
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              APIVersion: {}
            }
          },
          output: {
            resultWrapper: "CancelJobResult",
            type: "structure",
            members: {
              Success: {
                type: "boolean"
              }
            }
          }
        },
        CreateJob: {
          http: {
            requestUri: "/?Operation=CreateJob"
          },
          input: {
            type: "structure",
            required: [
              "JobType",
              "Manifest",
              "ValidateOnly"
            ],
            members: {
              JobType: {},
              Manifest: {},
              ManifestAddendum: {},
              ValidateOnly: {
                type: "boolean"
              },
              APIVersion: {}
            }
          },
          output: {
            resultWrapper: "CreateJobResult",
            type: "structure",
            members: {
              JobId: {},
              JobType: {},
              Signature: {},
              SignatureFileContents: {},
              WarningMessage: {},
              ArtifactList: {
                shape: "Sf"
              }
            }
          }
        },
        GetShippingLabel: {
          http: {
            requestUri: "/?Operation=GetShippingLabel"
          },
          input: {
            type: "structure",
            required: [
              "jobIds"
            ],
            members: {
              jobIds: {
                type: "list",
                member: {}
              },
              name: {},
              company: {},
              phoneNumber: {},
              country: {},
              stateOrProvince: {},
              city: {},
              postalCode: {},
              street1: {},
              street2: {},
              street3: {},
              APIVersion: {}
            }
          },
          output: {
            resultWrapper: "GetShippingLabelResult",
            type: "structure",
            members: {
              ShippingLabelURL: {},
              Warning: {}
            }
          }
        },
        GetStatus: {
          http: {
            requestUri: "/?Operation=GetStatus"
          },
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              APIVersion: {}
            }
          },
          output: {
            resultWrapper: "GetStatusResult",
            type: "structure",
            members: {
              JobId: {},
              JobType: {},
              LocationCode: {},
              LocationMessage: {},
              ProgressCode: {},
              ProgressMessage: {},
              Carrier: {},
              TrackingNumber: {},
              LogBucket: {},
              LogKey: {},
              ErrorCount: {
                type: "integer"
              },
              Signature: {},
              SignatureFileContents: {},
              CurrentManifest: {},
              CreationDate: {
                type: "timestamp"
              },
              ArtifactList: {
                shape: "Sf"
              }
            }
          }
        },
        ListJobs: {
          http: {
            requestUri: "/?Operation=ListJobs"
          },
          input: {
            type: "structure",
            members: {
              MaxJobs: {
                type: "integer"
              },
              Marker: {},
              APIVersion: {}
            }
          },
          output: {
            resultWrapper: "ListJobsResult",
            type: "structure",
            members: {
              Jobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    JobId: {},
                    CreationDate: {
                      type: "timestamp"
                    },
                    IsCanceled: {
                      type: "boolean"
                    },
                    JobType: {}
                  }
                }
              },
              IsTruncated: {
                type: "boolean"
              }
            }
          }
        },
        UpdateJob: {
          http: {
            requestUri: "/?Operation=UpdateJob"
          },
          input: {
            type: "structure",
            required: [
              "JobId",
              "Manifest",
              "JobType",
              "ValidateOnly"
            ],
            members: {
              JobId: {},
              Manifest: {},
              JobType: {},
              ValidateOnly: {
                type: "boolean"
              },
              APIVersion: {}
            }
          },
          output: {
            resultWrapper: "UpdateJobResult",
            type: "structure",
            members: {
              Success: {
                type: "boolean"
              },
              WarningMessage: {},
              ArtifactList: {
                shape: "Sf"
              }
            }
          }
        }
      },
      shapes: {
        Sf: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Description: {},
              URL: {}
            }
          }
        }
      },
      examples: {}
    };
  }
});

// node_modules/aws-sdk/apis/importexport-2010-06-01.paginators.json
var require_importexport_2010_06_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/importexport-2010-06-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListJobs: {
          input_token: "Marker",
          output_token: "Jobs[-1].JobId",
          more_results: "IsTruncated",
          limit_key: "MaxJobs",
          result_key: "Jobs"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/importexport.js
var require_importexport = __commonJS({
  "node_modules/aws-sdk/clients/importexport.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["importexport"] = {};
    AWS2.ImportExport = Service.defineService("importexport", ["2010-06-01"]);
    Object.defineProperty(apiLoader.services["importexport"], "2010-06-01", {
      get: function get() {
        var model = require_importexport_2010_06_01_min();
        model.paginators = require_importexport_2010_06_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ImportExport;
  }
});

// node_modules/aws-sdk/apis/inspector-2016-02-16.min.json
var require_inspector_2016_02_16_min = __commonJS({
  "node_modules/aws-sdk/apis/inspector-2016-02-16.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-02-16",
        endpointPrefix: "inspector",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Inspector",
        serviceId: "Inspector",
        signatureVersion: "v4",
        targetPrefix: "InspectorService",
        uid: "inspector-2016-02-16"
      },
      operations: {
        AddAttributesToFindings: {
          input: {
            type: "structure",
            required: [
              "findingArns",
              "attributes"
            ],
            members: {
              findingArns: {
                shape: "S2"
              },
              attributes: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "failedItems"
            ],
            members: {
              failedItems: {
                shape: "S9"
              }
            }
          }
        },
        CreateAssessmentTarget: {
          input: {
            type: "structure",
            required: [
              "assessmentTargetName"
            ],
            members: {
              assessmentTargetName: {},
              resourceGroupArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "assessmentTargetArn"
            ],
            members: {
              assessmentTargetArn: {}
            }
          }
        },
        CreateAssessmentTemplate: {
          input: {
            type: "structure",
            required: [
              "assessmentTargetArn",
              "assessmentTemplateName",
              "durationInSeconds",
              "rulesPackageArns"
            ],
            members: {
              assessmentTargetArn: {},
              assessmentTemplateName: {},
              durationInSeconds: {
                type: "integer"
              },
              rulesPackageArns: {
                shape: "Sj"
              },
              userAttributesForFindings: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assessmentTemplateArn"
            ],
            members: {
              assessmentTemplateArn: {}
            }
          }
        },
        CreateExclusionsPreview: {
          input: {
            type: "structure",
            required: [
              "assessmentTemplateArn"
            ],
            members: {
              assessmentTemplateArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "previewToken"
            ],
            members: {
              previewToken: {}
            }
          }
        },
        CreateResourceGroup: {
          input: {
            type: "structure",
            required: [
              "resourceGroupTags"
            ],
            members: {
              resourceGroupTags: {
                shape: "Sp"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "resourceGroupArn"
            ],
            members: {
              resourceGroupArn: {}
            }
          }
        },
        DeleteAssessmentRun: {
          input: {
            type: "structure",
            required: [
              "assessmentRunArn"
            ],
            members: {
              assessmentRunArn: {}
            }
          }
        },
        DeleteAssessmentTarget: {
          input: {
            type: "structure",
            required: [
              "assessmentTargetArn"
            ],
            members: {
              assessmentTargetArn: {}
            }
          }
        },
        DeleteAssessmentTemplate: {
          input: {
            type: "structure",
            required: [
              "assessmentTemplateArn"
            ],
            members: {
              assessmentTemplateArn: {}
            }
          }
        },
        DescribeAssessmentRuns: {
          input: {
            type: "structure",
            required: [
              "assessmentRunArns"
            ],
            members: {
              assessmentRunArns: {
                shape: "Sy"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assessmentRuns",
              "failedItems"
            ],
            members: {
              assessmentRuns: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "name",
                    "assessmentTemplateArn",
                    "state",
                    "durationInSeconds",
                    "rulesPackageArns",
                    "userAttributesForFindings",
                    "createdAt",
                    "stateChangedAt",
                    "dataCollected",
                    "stateChanges",
                    "notifications",
                    "findingCounts"
                  ],
                  members: {
                    arn: {},
                    name: {},
                    assessmentTemplateArn: {},
                    state: {},
                    durationInSeconds: {
                      type: "integer"
                    },
                    rulesPackageArns: {
                      type: "list",
                      member: {}
                    },
                    userAttributesForFindings: {
                      shape: "S4"
                    },
                    createdAt: {
                      type: "timestamp"
                    },
                    startedAt: {
                      type: "timestamp"
                    },
                    completedAt: {
                      type: "timestamp"
                    },
                    stateChangedAt: {
                      type: "timestamp"
                    },
                    dataCollected: {
                      type: "boolean"
                    },
                    stateChanges: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "stateChangedAt",
                          "state"
                        ],
                        members: {
                          stateChangedAt: {
                            type: "timestamp"
                          },
                          state: {}
                        }
                      }
                    },
                    notifications: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "date",
                          "event",
                          "error"
                        ],
                        members: {
                          date: {
                            type: "timestamp"
                          },
                          event: {},
                          message: {},
                          error: {
                            type: "boolean"
                          },
                          snsTopicArn: {},
                          snsPublishStatusCode: {}
                        }
                      }
                    },
                    findingCounts: {
                      type: "map",
                      key: {},
                      value: {
                        type: "integer"
                      }
                    }
                  }
                }
              },
              failedItems: {
                shape: "S9"
              }
            }
          }
        },
        DescribeAssessmentTargets: {
          input: {
            type: "structure",
            required: [
              "assessmentTargetArns"
            ],
            members: {
              assessmentTargetArns: {
                shape: "Sy"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assessmentTargets",
              "failedItems"
            ],
            members: {
              assessmentTargets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "name",
                    "createdAt",
                    "updatedAt"
                  ],
                  members: {
                    arn: {},
                    name: {},
                    resourceGroupArn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    updatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              failedItems: {
                shape: "S9"
              }
            }
          }
        },
        DescribeAssessmentTemplates: {
          input: {
            type: "structure",
            required: [
              "assessmentTemplateArns"
            ],
            members: {
              assessmentTemplateArns: {
                shape: "Sy"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assessmentTemplates",
              "failedItems"
            ],
            members: {
              assessmentTemplates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "name",
                    "assessmentTargetArn",
                    "durationInSeconds",
                    "rulesPackageArns",
                    "userAttributesForFindings",
                    "assessmentRunCount",
                    "createdAt"
                  ],
                  members: {
                    arn: {},
                    name: {},
                    assessmentTargetArn: {},
                    durationInSeconds: {
                      type: "integer"
                    },
                    rulesPackageArns: {
                      shape: "Sj"
                    },
                    userAttributesForFindings: {
                      shape: "S4"
                    },
                    lastAssessmentRunArn: {},
                    assessmentRunCount: {
                      type: "integer"
                    },
                    createdAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              failedItems: {
                shape: "S9"
              }
            }
          }
        },
        DescribeCrossAccountAccessRole: {
          output: {
            type: "structure",
            required: [
              "roleArn",
              "valid",
              "registeredAt"
            ],
            members: {
              roleArn: {},
              valid: {
                type: "boolean"
              },
              registeredAt: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeExclusions: {
          input: {
            type: "structure",
            required: [
              "exclusionArns"
            ],
            members: {
              exclusionArns: {
                type: "list",
                member: {}
              },
              locale: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "exclusions",
              "failedItems"
            ],
            members: {
              exclusions: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  required: [
                    "arn",
                    "title",
                    "description",
                    "recommendation",
                    "scopes"
                  ],
                  members: {
                    arn: {},
                    title: {},
                    description: {},
                    recommendation: {},
                    scopes: {
                      shape: "S1x"
                    },
                    attributes: {
                      shape: "S21"
                    }
                  }
                }
              },
              failedItems: {
                shape: "S9"
              }
            }
          }
        },
        DescribeFindings: {
          input: {
            type: "structure",
            required: [
              "findingArns"
            ],
            members: {
              findingArns: {
                shape: "Sy"
              },
              locale: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "findings",
              "failedItems"
            ],
            members: {
              findings: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "attributes",
                    "userAttributes",
                    "createdAt",
                    "updatedAt"
                  ],
                  members: {
                    arn: {},
                    schemaVersion: {
                      type: "integer"
                    },
                    service: {},
                    serviceAttributes: {
                      type: "structure",
                      required: [
                        "schemaVersion"
                      ],
                      members: {
                        schemaVersion: {
                          type: "integer"
                        },
                        assessmentRunArn: {},
                        rulesPackageArn: {}
                      }
                    },
                    assetType: {},
                    assetAttributes: {
                      type: "structure",
                      required: [
                        "schemaVersion"
                      ],
                      members: {
                        schemaVersion: {
                          type: "integer"
                        },
                        agentId: {},
                        autoScalingGroup: {},
                        amiId: {},
                        hostname: {},
                        ipv4Addresses: {
                          type: "list",
                          member: {}
                        },
                        tags: {
                          type: "list",
                          member: {
                            shape: "S2i"
                          }
                        },
                        networkInterfaces: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              networkInterfaceId: {},
                              subnetId: {},
                              vpcId: {},
                              privateDnsName: {},
                              privateIpAddress: {},
                              privateIpAddresses: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    privateDnsName: {},
                                    privateIpAddress: {}
                                  }
                                }
                              },
                              publicDnsName: {},
                              publicIp: {},
                              ipv6Addresses: {
                                type: "list",
                                member: {}
                              },
                              securityGroups: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    groupName: {},
                                    groupId: {}
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    id: {},
                    title: {},
                    description: {},
                    recommendation: {},
                    severity: {},
                    numericSeverity: {
                      type: "double"
                    },
                    confidence: {
                      type: "integer"
                    },
                    indicatorOfCompromise: {
                      type: "boolean"
                    },
                    attributes: {
                      shape: "S21"
                    },
                    userAttributes: {
                      shape: "S4"
                    },
                    createdAt: {
                      type: "timestamp"
                    },
                    updatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              failedItems: {
                shape: "S9"
              }
            }
          }
        },
        DescribeResourceGroups: {
          input: {
            type: "structure",
            required: [
              "resourceGroupArns"
            ],
            members: {
              resourceGroupArns: {
                shape: "Sy"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "resourceGroups",
              "failedItems"
            ],
            members: {
              resourceGroups: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "tags",
                    "createdAt"
                  ],
                  members: {
                    arn: {},
                    tags: {
                      shape: "Sp"
                    },
                    createdAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              failedItems: {
                shape: "S9"
              }
            }
          }
        },
        DescribeRulesPackages: {
          input: {
            type: "structure",
            required: [
              "rulesPackageArns"
            ],
            members: {
              rulesPackageArns: {
                shape: "Sy"
              },
              locale: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "rulesPackages",
              "failedItems"
            ],
            members: {
              rulesPackages: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "name",
                    "version",
                    "provider"
                  ],
                  members: {
                    arn: {},
                    name: {},
                    version: {},
                    provider: {},
                    description: {}
                  }
                }
              },
              failedItems: {
                shape: "S9"
              }
            }
          }
        },
        GetAssessmentReport: {
          input: {
            type: "structure",
            required: [
              "assessmentRunArn",
              "reportFileFormat",
              "reportType"
            ],
            members: {
              assessmentRunArn: {},
              reportFileFormat: {},
              reportType: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "status"
            ],
            members: {
              status: {},
              url: {}
            }
          }
        },
        GetExclusionsPreview: {
          input: {
            type: "structure",
            required: [
              "assessmentTemplateArn",
              "previewToken"
            ],
            members: {
              assessmentTemplateArn: {},
              previewToken: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              locale: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "previewStatus"
            ],
            members: {
              previewStatus: {},
              exclusionPreviews: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "title",
                    "description",
                    "recommendation",
                    "scopes"
                  ],
                  members: {
                    title: {},
                    description: {},
                    recommendation: {},
                    scopes: {
                      shape: "S1x"
                    },
                    attributes: {
                      shape: "S21"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetTelemetryMetadata: {
          input: {
            type: "structure",
            required: [
              "assessmentRunArn"
            ],
            members: {
              assessmentRunArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "telemetryMetadata"
            ],
            members: {
              telemetryMetadata: {
                shape: "S3j"
              }
            }
          }
        },
        ListAssessmentRunAgents: {
          input: {
            type: "structure",
            required: [
              "assessmentRunArn"
            ],
            members: {
              assessmentRunArn: {},
              filter: {
                type: "structure",
                required: [
                  "agentHealths",
                  "agentHealthCodes"
                ],
                members: {
                  agentHealths: {
                    type: "list",
                    member: {}
                  },
                  agentHealthCodes: {
                    type: "list",
                    member: {}
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assessmentRunAgents"
            ],
            members: {
              assessmentRunAgents: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "agentId",
                    "assessmentRunArn",
                    "agentHealth",
                    "agentHealthCode",
                    "telemetryMetadata"
                  ],
                  members: {
                    agentId: {},
                    assessmentRunArn: {},
                    agentHealth: {},
                    agentHealthCode: {},
                    agentHealthDetails: {},
                    autoScalingGroup: {},
                    telemetryMetadata: {
                      shape: "S3j"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAssessmentRuns: {
          input: {
            type: "structure",
            members: {
              assessmentTemplateArns: {
                shape: "S3x"
              },
              filter: {
                type: "structure",
                members: {
                  namePattern: {},
                  states: {
                    type: "list",
                    member: {}
                  },
                  durationRange: {
                    shape: "S41"
                  },
                  rulesPackageArns: {
                    shape: "S42"
                  },
                  startTimeRange: {
                    shape: "S43"
                  },
                  completionTimeRange: {
                    shape: "S43"
                  },
                  stateChangeTimeRange: {
                    shape: "S43"
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assessmentRunArns"
            ],
            members: {
              assessmentRunArns: {
                shape: "S45"
              },
              nextToken: {}
            }
          }
        },
        ListAssessmentTargets: {
          input: {
            type: "structure",
            members: {
              filter: {
                type: "structure",
                members: {
                  assessmentTargetNamePattern: {}
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assessmentTargetArns"
            ],
            members: {
              assessmentTargetArns: {
                shape: "S45"
              },
              nextToken: {}
            }
          }
        },
        ListAssessmentTemplates: {
          input: {
            type: "structure",
            members: {
              assessmentTargetArns: {
                shape: "S3x"
              },
              filter: {
                type: "structure",
                members: {
                  namePattern: {},
                  durationRange: {
                    shape: "S41"
                  },
                  rulesPackageArns: {
                    shape: "S42"
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assessmentTemplateArns"
            ],
            members: {
              assessmentTemplateArns: {
                shape: "S45"
              },
              nextToken: {}
            }
          }
        },
        ListEventSubscriptions: {
          input: {
            type: "structure",
            members: {
              resourceArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "subscriptions"
            ],
            members: {
              subscriptions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "resourceArn",
                    "topicArn",
                    "eventSubscriptions"
                  ],
                  members: {
                    resourceArn: {},
                    topicArn: {},
                    eventSubscriptions: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "event",
                          "subscribedAt"
                        ],
                        members: {
                          event: {},
                          subscribedAt: {
                            type: "timestamp"
                          }
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListExclusions: {
          input: {
            type: "structure",
            required: [
              "assessmentRunArn"
            ],
            members: {
              assessmentRunArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "exclusionArns"
            ],
            members: {
              exclusionArns: {
                shape: "S45"
              },
              nextToken: {}
            }
          }
        },
        ListFindings: {
          input: {
            type: "structure",
            members: {
              assessmentRunArns: {
                shape: "S3x"
              },
              filter: {
                type: "structure",
                members: {
                  agentIds: {
                    type: "list",
                    member: {}
                  },
                  autoScalingGroups: {
                    type: "list",
                    member: {}
                  },
                  ruleNames: {
                    type: "list",
                    member: {}
                  },
                  severities: {
                    type: "list",
                    member: {}
                  },
                  rulesPackageArns: {
                    shape: "S42"
                  },
                  attributes: {
                    shape: "S21"
                  },
                  userAttributes: {
                    shape: "S21"
                  },
                  creationTimeRange: {
                    shape: "S43"
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "findingArns"
            ],
            members: {
              findingArns: {
                shape: "S45"
              },
              nextToken: {}
            }
          }
        },
        ListRulesPackages: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "rulesPackageArns"
            ],
            members: {
              rulesPackageArns: {
                shape: "S45"
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "tags"
            ],
            members: {
              tags: {
                shape: "S4x"
              }
            }
          }
        },
        PreviewAgents: {
          input: {
            type: "structure",
            required: [
              "previewAgentsArn"
            ],
            members: {
              previewAgentsArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "agentPreviews"
            ],
            members: {
              agentPreviews: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "agentId"
                  ],
                  members: {
                    hostname: {},
                    agentId: {},
                    autoScalingGroup: {},
                    agentHealth: {},
                    agentVersion: {},
                    operatingSystem: {},
                    kernelVersion: {},
                    ipv4Address: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        RegisterCrossAccountAccessRole: {
          input: {
            type: "structure",
            required: [
              "roleArn"
            ],
            members: {
              roleArn: {}
            }
          }
        },
        RemoveAttributesFromFindings: {
          input: {
            type: "structure",
            required: [
              "findingArns",
              "attributeKeys"
            ],
            members: {
              findingArns: {
                shape: "S2"
              },
              attributeKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "failedItems"
            ],
            members: {
              failedItems: {
                shape: "S9"
              }
            }
          }
        },
        SetTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "S4x"
              }
            }
          }
        },
        StartAssessmentRun: {
          input: {
            type: "structure",
            required: [
              "assessmentTemplateArn"
            ],
            members: {
              assessmentTemplateArn: {},
              assessmentRunName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "assessmentRunArn"
            ],
            members: {
              assessmentRunArn: {}
            }
          }
        },
        StopAssessmentRun: {
          input: {
            type: "structure",
            required: [
              "assessmentRunArn"
            ],
            members: {
              assessmentRunArn: {},
              stopAction: {}
            }
          }
        },
        SubscribeToEvent: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "event",
              "topicArn"
            ],
            members: {
              resourceArn: {},
              event: {},
              topicArn: {}
            }
          }
        },
        UnsubscribeFromEvent: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "event",
              "topicArn"
            ],
            members: {
              resourceArn: {},
              event: {},
              topicArn: {}
            }
          }
        },
        UpdateAssessmentTarget: {
          input: {
            type: "structure",
            required: [
              "assessmentTargetArn",
              "assessmentTargetName"
            ],
            members: {
              assessmentTargetArn: {},
              assessmentTargetName: {},
              resourceGroupArn: {}
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "list",
          member: {}
        },
        S4: {
          type: "list",
          member: {
            shape: "S5"
          }
        },
        S5: {
          type: "structure",
          required: [
            "key"
          ],
          members: {
            key: {},
            value: {}
          }
        },
        S9: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "failureCode",
              "retryable"
            ],
            members: {
              failureCode: {},
              retryable: {
                type: "boolean"
              }
            }
          }
        },
        Sj: {
          type: "list",
          member: {}
        },
        Sp: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        Sy: {
          type: "list",
          member: {}
        },
        S1x: {
          type: "list",
          member: {
            type: "structure",
            members: {
              key: {},
              value: {}
            }
          }
        },
        S21: {
          type: "list",
          member: {
            shape: "S5"
          }
        },
        S2i: {
          type: "structure",
          required: [
            "key"
          ],
          members: {
            key: {},
            value: {}
          }
        },
        S3j: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "messageType",
              "count"
            ],
            members: {
              messageType: {},
              count: {
                type: "long"
              },
              dataSize: {
                type: "long"
              }
            }
          }
        },
        S3x: {
          type: "list",
          member: {}
        },
        S41: {
          type: "structure",
          members: {
            minSeconds: {
              type: "integer"
            },
            maxSeconds: {
              type: "integer"
            }
          }
        },
        S42: {
          type: "list",
          member: {}
        },
        S43: {
          type: "structure",
          members: {
            beginDate: {
              type: "timestamp"
            },
            endDate: {
              type: "timestamp"
            }
          }
        },
        S45: {
          type: "list",
          member: {}
        },
        S4x: {
          type: "list",
          member: {
            shape: "S2i"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/inspector-2016-02-16.paginators.json
var require_inspector_2016_02_16_paginators = __commonJS({
  "node_modules/aws-sdk/apis/inspector-2016-02-16.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetExclusionsPreview: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAssessmentRunAgents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAssessmentRuns: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAssessmentTargets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAssessmentTemplates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListEventSubscriptions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListExclusions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListFindings: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListRulesPackages: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        PreviewAgents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/inspector.js
var require_inspector = __commonJS({
  "node_modules/aws-sdk/clients/inspector.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["inspector"] = {};
    AWS2.Inspector = Service.defineService("inspector", ["2015-08-18*", "2016-02-16"]);
    Object.defineProperty(apiLoader.services["inspector"], "2016-02-16", {
      get: function get() {
        var model = require_inspector_2016_02_16_min();
        model.paginators = require_inspector_2016_02_16_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Inspector;
  }
});

// node_modules/aws-sdk/apis/iot-2015-05-28.min.json
var require_iot_2015_05_28_min = __commonJS({
  "node_modules/aws-sdk/apis/iot-2015-05-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-05-28",
        endpointPrefix: "iot",
        protocol: "rest-json",
        serviceFullName: "AWS IoT",
        serviceId: "IoT",
        signatureVersion: "v4",
        signingName: "iot",
        uid: "iot-2015-05-28"
      },
      operations: {
        AcceptCertificateTransfer: {
          http: {
            method: "PATCH",
            requestUri: "/accept-certificate-transfer/{certificateId}"
          },
          input: {
            type: "structure",
            required: [
              "certificateId"
            ],
            members: {
              certificateId: {
                location: "uri",
                locationName: "certificateId"
              },
              setAsActive: {
                location: "querystring",
                locationName: "setAsActive",
                type: "boolean"
              }
            }
          }
        },
        AddThingToBillingGroup: {
          http: {
            method: "PUT",
            requestUri: "/billing-groups/addThingToBillingGroup"
          },
          input: {
            type: "structure",
            members: {
              billingGroupName: {},
              billingGroupArn: {},
              thingName: {},
              thingArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AddThingToThingGroup: {
          http: {
            method: "PUT",
            requestUri: "/thing-groups/addThingToThingGroup"
          },
          input: {
            type: "structure",
            members: {
              thingGroupName: {},
              thingGroupArn: {},
              thingName: {},
              thingArn: {},
              overrideDynamicGroups: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateTargetsWithJob: {
          http: {
            requestUri: "/jobs/{jobId}/targets"
          },
          input: {
            type: "structure",
            required: [
              "targets",
              "jobId"
            ],
            members: {
              targets: {
                shape: "Sg"
              },
              jobId: {
                location: "uri",
                locationName: "jobId"
              },
              comment: {},
              namespaceId: {
                location: "querystring",
                locationName: "namespaceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobArn: {},
              jobId: {},
              description: {}
            }
          }
        },
        AttachPolicy: {
          http: {
            method: "PUT",
            requestUri: "/target-policies/{policyName}"
          },
          input: {
            type: "structure",
            required: [
              "policyName",
              "target"
            ],
            members: {
              policyName: {
                location: "uri",
                locationName: "policyName"
              },
              target: {}
            }
          }
        },
        AttachPrincipalPolicy: {
          http: {
            method: "PUT",
            requestUri: "/principal-policies/{policyName}"
          },
          input: {
            type: "structure",
            required: [
              "policyName",
              "principal"
            ],
            members: {
              policyName: {
                location: "uri",
                locationName: "policyName"
              },
              principal: {
                location: "header",
                locationName: "x-amzn-iot-principal"
              }
            }
          },
          deprecated: true
        },
        AttachSecurityProfile: {
          http: {
            method: "PUT",
            requestUri: "/security-profiles/{securityProfileName}/targets"
          },
          input: {
            type: "structure",
            required: [
              "securityProfileName",
              "securityProfileTargetArn"
            ],
            members: {
              securityProfileName: {
                location: "uri",
                locationName: "securityProfileName"
              },
              securityProfileTargetArn: {
                location: "querystring",
                locationName: "securityProfileTargetArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AttachThingPrincipal: {
          http: {
            method: "PUT",
            requestUri: "/things/{thingName}/principals"
          },
          input: {
            type: "structure",
            required: [
              "thingName",
              "principal"
            ],
            members: {
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              principal: {
                location: "header",
                locationName: "x-amzn-principal"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CancelAuditMitigationActionsTask: {
          http: {
            method: "PUT",
            requestUri: "/audit/mitigationactions/tasks/{taskId}/cancel"
          },
          input: {
            type: "structure",
            required: [
              "taskId"
            ],
            members: {
              taskId: {
                location: "uri",
                locationName: "taskId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CancelAuditTask: {
          http: {
            method: "PUT",
            requestUri: "/audit/tasks/{taskId}/cancel"
          },
          input: {
            type: "structure",
            required: [
              "taskId"
            ],
            members: {
              taskId: {
                location: "uri",
                locationName: "taskId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CancelCertificateTransfer: {
          http: {
            method: "PATCH",
            requestUri: "/cancel-certificate-transfer/{certificateId}"
          },
          input: {
            type: "structure",
            required: [
              "certificateId"
            ],
            members: {
              certificateId: {
                location: "uri",
                locationName: "certificateId"
              }
            }
          }
        },
        CancelDetectMitigationActionsTask: {
          http: {
            method: "PUT",
            requestUri: "/detect/mitigationactions/tasks/{taskId}/cancel"
          },
          input: {
            type: "structure",
            required: [
              "taskId"
            ],
            members: {
              taskId: {
                location: "uri",
                locationName: "taskId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CancelJob: {
          http: {
            method: "PUT",
            requestUri: "/jobs/{jobId}/cancel"
          },
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              },
              reasonCode: {},
              comment: {},
              force: {
                location: "querystring",
                locationName: "force",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobArn: {},
              jobId: {},
              description: {}
            }
          }
        },
        CancelJobExecution: {
          http: {
            method: "PUT",
            requestUri: "/things/{thingName}/jobs/{jobId}/cancel"
          },
          input: {
            type: "structure",
            required: [
              "jobId",
              "thingName"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              },
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              force: {
                location: "querystring",
                locationName: "force",
                type: "boolean"
              },
              expectedVersion: {
                type: "long"
              },
              statusDetails: {
                shape: "S1e"
              }
            }
          }
        },
        ClearDefaultAuthorizer: {
          http: {
            method: "DELETE",
            requestUri: "/default-authorizer"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ConfirmTopicRuleDestination: {
          http: {
            method: "GET",
            requestUri: "/confirmdestination/{confirmationToken+}"
          },
          input: {
            type: "structure",
            required: [
              "confirmationToken"
            ],
            members: {
              confirmationToken: {
                location: "uri",
                locationName: "confirmationToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateAuditSuppression: {
          http: {
            requestUri: "/audit/suppressions/create"
          },
          input: {
            type: "structure",
            required: [
              "checkName",
              "resourceIdentifier",
              "clientRequestToken"
            ],
            members: {
              checkName: {},
              resourceIdentifier: {
                shape: "S1o"
              },
              expirationDate: {
                type: "timestamp"
              },
              suppressIndefinitely: {
                type: "boolean"
              },
              description: {},
              clientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateAuthorizer: {
          http: {
            requestUri: "/authorizer/{authorizerName}"
          },
          input: {
            type: "structure",
            required: [
              "authorizerName",
              "authorizerFunctionArn"
            ],
            members: {
              authorizerName: {
                location: "uri",
                locationName: "authorizerName"
              },
              authorizerFunctionArn: {},
              tokenKeyName: {},
              tokenSigningPublicKeys: {
                shape: "S2a"
              },
              status: {},
              tags: {
                shape: "S2e"
              },
              signingDisabled: {
                type: "boolean"
              },
              enableCachingForHttp: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              authorizerName: {},
              authorizerArn: {}
            }
          }
        },
        CreateBillingGroup: {
          http: {
            requestUri: "/billing-groups/{billingGroupName}"
          },
          input: {
            type: "structure",
            required: [
              "billingGroupName"
            ],
            members: {
              billingGroupName: {
                location: "uri",
                locationName: "billingGroupName"
              },
              billingGroupProperties: {
                shape: "S2n"
              },
              tags: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              billingGroupName: {},
              billingGroupArn: {},
              billingGroupId: {}
            }
          }
        },
        CreateCertificateFromCsr: {
          http: {
            requestUri: "/certificates"
          },
          input: {
            type: "structure",
            required: [
              "certificateSigningRequest"
            ],
            members: {
              certificateSigningRequest: {},
              setAsActive: {
                location: "querystring",
                locationName: "setAsActive",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              certificateArn: {},
              certificateId: {},
              certificatePem: {}
            }
          }
        },
        CreateCustomMetric: {
          http: {
            requestUri: "/custom-metric/{metricName}"
          },
          input: {
            type: "structure",
            required: [
              "metricName",
              "metricType",
              "clientRequestToken"
            ],
            members: {
              metricName: {
                location: "uri",
                locationName: "metricName"
              },
              displayName: {},
              metricType: {},
              tags: {
                shape: "S2e"
              },
              clientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              metricName: {},
              metricArn: {}
            }
          }
        },
        CreateDimension: {
          http: {
            requestUri: "/dimensions/{name}"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "type",
              "stringValues",
              "clientRequestToken"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              type: {},
              stringValues: {
                shape: "S34"
              },
              tags: {
                shape: "S2e"
              },
              clientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              arn: {}
            }
          }
        },
        CreateDomainConfiguration: {
          http: {
            requestUri: "/domainConfigurations/{domainConfigurationName}"
          },
          input: {
            type: "structure",
            required: [
              "domainConfigurationName"
            ],
            members: {
              domainConfigurationName: {
                location: "uri",
                locationName: "domainConfigurationName"
              },
              domainName: {},
              serverCertificateArns: {
                type: "list",
                member: {}
              },
              validationCertificateArn: {},
              authorizerConfig: {
                shape: "S3d"
              },
              serviceType: {},
              tags: {
                shape: "S2e"
              },
              tlsConfig: {
                shape: "S3g"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              domainConfigurationName: {},
              domainConfigurationArn: {}
            }
          }
        },
        CreateDynamicThingGroup: {
          http: {
            requestUri: "/dynamic-thing-groups/{thingGroupName}"
          },
          input: {
            type: "structure",
            required: [
              "thingGroupName",
              "queryString"
            ],
            members: {
              thingGroupName: {
                location: "uri",
                locationName: "thingGroupName"
              },
              thingGroupProperties: {
                shape: "S3l"
              },
              indexName: {},
              queryString: {},
              queryVersion: {},
              tags: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              thingGroupName: {},
              thingGroupArn: {},
              thingGroupId: {},
              indexName: {},
              queryString: {},
              queryVersion: {}
            }
          }
        },
        CreateFleetMetric: {
          http: {
            method: "PUT",
            requestUri: "/fleet-metric/{metricName}"
          },
          input: {
            type: "structure",
            required: [
              "metricName",
              "queryString",
              "aggregationType",
              "period",
              "aggregationField"
            ],
            members: {
              metricName: {
                location: "uri",
                locationName: "metricName"
              },
              queryString: {},
              aggregationType: {
                shape: "S3z"
              },
              period: {
                type: "integer"
              },
              aggregationField: {},
              description: {},
              queryVersion: {},
              indexName: {},
              unit: {},
              tags: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              metricName: {},
              metricArn: {}
            }
          }
        },
        CreateJob: {
          http: {
            method: "PUT",
            requestUri: "/jobs/{jobId}"
          },
          input: {
            type: "structure",
            required: [
              "jobId",
              "targets"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              },
              targets: {
                shape: "Sg"
              },
              documentSource: {},
              document: {},
              description: {},
              presignedUrlConfig: {
                shape: "S4c"
              },
              targetSelection: {},
              jobExecutionsRolloutConfig: {
                shape: "S4f"
              },
              abortConfig: {
                shape: "S4m"
              },
              timeoutConfig: {
                shape: "S4t"
              },
              tags: {
                shape: "S2e"
              },
              namespaceId: {},
              jobTemplateArn: {},
              jobExecutionsRetryConfig: {
                shape: "S4w"
              },
              documentParameters: {
                shape: "S51"
              },
              schedulingConfig: {
                shape: "S54"
              },
              destinationPackageVersions: {
                shape: "S5b"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobArn: {},
              jobId: {},
              description: {}
            }
          }
        },
        CreateJobTemplate: {
          http: {
            method: "PUT",
            requestUri: "/job-templates/{jobTemplateId}"
          },
          input: {
            type: "structure",
            required: [
              "jobTemplateId",
              "description"
            ],
            members: {
              jobTemplateId: {
                location: "uri",
                locationName: "jobTemplateId"
              },
              jobArn: {},
              documentSource: {},
              document: {},
              description: {},
              presignedUrlConfig: {
                shape: "S4c"
              },
              jobExecutionsRolloutConfig: {
                shape: "S4f"
              },
              abortConfig: {
                shape: "S4m"
              },
              timeoutConfig: {
                shape: "S4t"
              },
              tags: {
                shape: "S2e"
              },
              jobExecutionsRetryConfig: {
                shape: "S4w"
              },
              maintenanceWindows: {
                shape: "S57"
              },
              destinationPackageVersions: {
                shape: "S5b"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobTemplateArn: {},
              jobTemplateId: {}
            }
          }
        },
        CreateKeysAndCertificate: {
          http: {
            requestUri: "/keys-and-certificate"
          },
          input: {
            type: "structure",
            members: {
              setAsActive: {
                location: "querystring",
                locationName: "setAsActive",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              certificateArn: {},
              certificateId: {},
              certificatePem: {},
              keyPair: {
                shape: "S5j"
              }
            }
          }
        },
        CreateMitigationAction: {
          http: {
            requestUri: "/mitigationactions/actions/{actionName}"
          },
          input: {
            type: "structure",
            required: [
              "actionName",
              "roleArn",
              "actionParams"
            ],
            members: {
              actionName: {
                location: "uri",
                locationName: "actionName"
              },
              roleArn: {},
              actionParams: {
                shape: "S5o"
              },
              tags: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              actionArn: {},
              actionId: {}
            }
          }
        },
        CreateOTAUpdate: {
          http: {
            requestUri: "/otaUpdates/{otaUpdateId}"
          },
          input: {
            type: "structure",
            required: [
              "otaUpdateId",
              "targets",
              "files",
              "roleArn"
            ],
            members: {
              otaUpdateId: {
                location: "uri",
                locationName: "otaUpdateId"
              },
              description: {},
              targets: {
                shape: "S68"
              },
              protocols: {
                shape: "S6a"
              },
              targetSelection: {},
              awsJobExecutionsRolloutConfig: {
                shape: "S6c"
              },
              awsJobPresignedUrlConfig: {
                shape: "S6j"
              },
              awsJobAbortConfig: {
                type: "structure",
                required: [
                  "abortCriteriaList"
                ],
                members: {
                  abortCriteriaList: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "failureType",
                        "action",
                        "thresholdPercentage",
                        "minNumberOfExecutedThings"
                      ],
                      members: {
                        failureType: {},
                        action: {},
                        thresholdPercentage: {
                          type: "double"
                        },
                        minNumberOfExecutedThings: {
                          type: "integer"
                        }
                      }
                    }
                  }
                }
              },
              awsJobTimeoutConfig: {
                type: "structure",
                members: {
                  inProgressTimeoutInMinutes: {
                    type: "long"
                  }
                }
              },
              files: {
                shape: "S6u"
              },
              roleArn: {},
              additionalParameters: {
                shape: "S7s"
              },
              tags: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              otaUpdateId: {},
              awsIotJobId: {},
              otaUpdateArn: {},
              awsIotJobArn: {},
              otaUpdateStatus: {}
            }
          }
        },
        CreatePackage: {
          http: {
            method: "PUT",
            requestUri: "/packages/{packageName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "packageName"
            ],
            members: {
              packageName: {
                location: "uri",
                locationName: "packageName"
              },
              description: {
                shape: "S80"
              },
              tags: {
                shape: "S81"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              packageName: {},
              packageArn: {},
              description: {
                shape: "S80"
              }
            }
          },
          idempotent: true
        },
        CreatePackageVersion: {
          http: {
            method: "PUT",
            requestUri: "/packages/{packageName}/versions/{versionName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "packageName",
              "versionName"
            ],
            members: {
              packageName: {
                location: "uri",
                locationName: "packageName"
              },
              versionName: {
                location: "uri",
                locationName: "versionName"
              },
              description: {
                shape: "S80"
              },
              attributes: {
                shape: "S87"
              },
              tags: {
                shape: "S81"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              packageVersionArn: {},
              packageName: {},
              versionName: {},
              description: {
                shape: "S80"
              },
              attributes: {
                shape: "S87"
              },
              status: {},
              errorReason: {}
            }
          },
          idempotent: true
        },
        CreatePolicy: {
          http: {
            requestUri: "/policies/{policyName}"
          },
          input: {
            type: "structure",
            required: [
              "policyName",
              "policyDocument"
            ],
            members: {
              policyName: {
                location: "uri",
                locationName: "policyName"
              },
              policyDocument: {},
              tags: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              policyName: {},
              policyArn: {},
              policyDocument: {},
              policyVersionId: {}
            }
          }
        },
        CreatePolicyVersion: {
          http: {
            requestUri: "/policies/{policyName}/version"
          },
          input: {
            type: "structure",
            required: [
              "policyName",
              "policyDocument"
            ],
            members: {
              policyName: {
                location: "uri",
                locationName: "policyName"
              },
              policyDocument: {},
              setAsDefault: {
                location: "querystring",
                locationName: "setAsDefault",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              policyArn: {},
              policyDocument: {},
              policyVersionId: {},
              isDefaultVersion: {
                type: "boolean"
              }
            }
          }
        },
        CreateProvisioningClaim: {
          http: {
            requestUri: "/provisioning-templates/{templateName}/provisioning-claim"
          },
          input: {
            type: "structure",
            required: [
              "templateName"
            ],
            members: {
              templateName: {
                location: "uri",
                locationName: "templateName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              certificateId: {},
              certificatePem: {},
              keyPair: {
                shape: "S5j"
              },
              expiration: {
                type: "timestamp"
              }
            }
          }
        },
        CreateProvisioningTemplate: {
          http: {
            requestUri: "/provisioning-templates"
          },
          input: {
            type: "structure",
            required: [
              "templateName",
              "templateBody",
              "provisioningRoleArn"
            ],
            members: {
              templateName: {},
              description: {},
              templateBody: {},
              enabled: {
                type: "boolean"
              },
              provisioningRoleArn: {},
              preProvisioningHook: {
                shape: "S8t"
              },
              tags: {
                shape: "S2e"
              },
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              templateArn: {},
              templateName: {},
              defaultVersionId: {
                type: "integer"
              }
            }
          }
        },
        CreateProvisioningTemplateVersion: {
          http: {
            requestUri: "/provisioning-templates/{templateName}/versions"
          },
          input: {
            type: "structure",
            required: [
              "templateName",
              "templateBody"
            ],
            members: {
              templateName: {
                location: "uri",
                locationName: "templateName"
              },
              templateBody: {},
              setAsDefault: {
                location: "querystring",
                locationName: "setAsDefault",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              templateArn: {},
              templateName: {},
              versionId: {
                type: "integer"
              },
              isDefaultVersion: {
                type: "boolean"
              }
            }
          }
        },
        CreateRoleAlias: {
          http: {
            requestUri: "/role-aliases/{roleAlias}"
          },
          input: {
            type: "structure",
            required: [
              "roleAlias",
              "roleArn"
            ],
            members: {
              roleAlias: {
                location: "uri",
                locationName: "roleAlias"
              },
              roleArn: {},
              credentialDurationSeconds: {
                type: "integer"
              },
              tags: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              roleAlias: {},
              roleAliasArn: {}
            }
          }
        },
        CreateScheduledAudit: {
          http: {
            requestUri: "/audit/scheduledaudits/{scheduledAuditName}"
          },
          input: {
            type: "structure",
            required: [
              "frequency",
              "targetCheckNames",
              "scheduledAuditName"
            ],
            members: {
              frequency: {},
              dayOfMonth: {},
              dayOfWeek: {},
              targetCheckNames: {
                shape: "S99"
              },
              scheduledAuditName: {
                location: "uri",
                locationName: "scheduledAuditName"
              },
              tags: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              scheduledAuditArn: {}
            }
          }
        },
        CreateSecurityProfile: {
          http: {
            requestUri: "/security-profiles/{securityProfileName}"
          },
          input: {
            type: "structure",
            required: [
              "securityProfileName"
            ],
            members: {
              securityProfileName: {
                location: "uri",
                locationName: "securityProfileName"
              },
              securityProfileDescription: {},
              behaviors: {
                shape: "S9f"
              },
              alertTargets: {
                shape: "Sa5"
              },
              additionalMetricsToRetain: {
                shape: "Sa9",
                deprecated: true,
                deprecatedMessage: "Use additionalMetricsToRetainV2."
              },
              additionalMetricsToRetainV2: {
                shape: "Saa"
              },
              tags: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              securityProfileName: {},
              securityProfileArn: {}
            }
          }
        },
        CreateStream: {
          http: {
            requestUri: "/streams/{streamId}"
          },
          input: {
            type: "structure",
            required: [
              "streamId",
              "files",
              "roleArn"
            ],
            members: {
              streamId: {
                location: "uri",
                locationName: "streamId"
              },
              description: {},
              files: {
                shape: "Sag"
              },
              roleArn: {},
              tags: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              streamId: {},
              streamArn: {},
              description: {},
              streamVersion: {
                type: "integer"
              }
            }
          }
        },
        CreateThing: {
          http: {
            requestUri: "/things/{thingName}"
          },
          input: {
            type: "structure",
            required: [
              "thingName"
            ],
            members: {
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              thingTypeName: {},
              attributePayload: {
                shape: "S3n"
              },
              billingGroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              thingName: {},
              thingArn: {},
              thingId: {}
            }
          }
        },
        CreateThingGroup: {
          http: {
            requestUri: "/thing-groups/{thingGroupName}"
          },
          input: {
            type: "structure",
            required: [
              "thingGroupName"
            ],
            members: {
              thingGroupName: {
                location: "uri",
                locationName: "thingGroupName"
              },
              parentGroupName: {},
              thingGroupProperties: {
                shape: "S3l"
              },
              tags: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              thingGroupName: {},
              thingGroupArn: {},
              thingGroupId: {}
            }
          }
        },
        CreateThingType: {
          http: {
            requestUri: "/thing-types/{thingTypeName}"
          },
          input: {
            type: "structure",
            required: [
              "thingTypeName"
            ],
            members: {
              thingTypeName: {
                location: "uri",
                locationName: "thingTypeName"
              },
              thingTypeProperties: {
                shape: "Sas"
              },
              tags: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              thingTypeName: {},
              thingTypeArn: {},
              thingTypeId: {}
            }
          }
        },
        CreateTopicRule: {
          http: {
            requestUri: "/rules/{ruleName}"
          },
          input: {
            type: "structure",
            required: [
              "ruleName",
              "topicRulePayload"
            ],
            members: {
              ruleName: {
                location: "uri",
                locationName: "ruleName"
              },
              topicRulePayload: {
                shape: "Sb0"
              },
              tags: {
                location: "header",
                locationName: "x-amz-tagging"
              }
            },
            payload: "topicRulePayload"
          }
        },
        CreateTopicRuleDestination: {
          http: {
            requestUri: "/destinations"
          },
          input: {
            type: "structure",
            required: [
              "destinationConfiguration"
            ],
            members: {
              destinationConfiguration: {
                type: "structure",
                members: {
                  httpUrlConfiguration: {
                    type: "structure",
                    required: [
                      "confirmationUrl"
                    ],
                    members: {
                      confirmationUrl: {}
                    }
                  },
                  vpcConfiguration: {
                    type: "structure",
                    required: [
                      "subnetIds",
                      "vpcId",
                      "roleArn"
                    ],
                    members: {
                      subnetIds: {
                        shape: "Sed"
                      },
                      securityGroups: {
                        shape: "Sef"
                      },
                      vpcId: {},
                      roleArn: {}
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              topicRuleDestination: {
                shape: "Sej"
              }
            }
          }
        },
        DeleteAccountAuditConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/audit/configuration"
          },
          input: {
            type: "structure",
            members: {
              deleteScheduledAudits: {
                location: "querystring",
                locationName: "deleteScheduledAudits",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAuditSuppression: {
          http: {
            requestUri: "/audit/suppressions/delete"
          },
          input: {
            type: "structure",
            required: [
              "checkName",
              "resourceIdentifier"
            ],
            members: {
              checkName: {},
              resourceIdentifier: {
                shape: "S1o"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAuthorizer: {
          http: {
            method: "DELETE",
            requestUri: "/authorizer/{authorizerName}"
          },
          input: {
            type: "structure",
            required: [
              "authorizerName"
            ],
            members: {
              authorizerName: {
                location: "uri",
                locationName: "authorizerName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteBillingGroup: {
          http: {
            method: "DELETE",
            requestUri: "/billing-groups/{billingGroupName}"
          },
          input: {
            type: "structure",
            required: [
              "billingGroupName"
            ],
            members: {
              billingGroupName: {
                location: "uri",
                locationName: "billingGroupName"
              },
              expectedVersion: {
                location: "querystring",
                locationName: "expectedVersion",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteCACertificate: {
          http: {
            method: "DELETE",
            requestUri: "/cacertificate/{caCertificateId}"
          },
          input: {
            type: "structure",
            required: [
              "certificateId"
            ],
            members: {
              certificateId: {
                location: "uri",
                locationName: "caCertificateId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteCertificate: {
          http: {
            method: "DELETE",
            requestUri: "/certificates/{certificateId}"
          },
          input: {
            type: "structure",
            required: [
              "certificateId"
            ],
            members: {
              certificateId: {
                location: "uri",
                locationName: "certificateId"
              },
              forceDelete: {
                location: "querystring",
                locationName: "forceDelete",
                type: "boolean"
              }
            }
          }
        },
        DeleteCustomMetric: {
          http: {
            method: "DELETE",
            requestUri: "/custom-metric/{metricName}"
          },
          input: {
            type: "structure",
            required: [
              "metricName"
            ],
            members: {
              metricName: {
                location: "uri",
                locationName: "metricName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDimension: {
          http: {
            method: "DELETE",
            requestUri: "/dimensions/{name}"
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDomainConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/domainConfigurations/{domainConfigurationName}"
          },
          input: {
            type: "structure",
            required: [
              "domainConfigurationName"
            ],
            members: {
              domainConfigurationName: {
                location: "uri",
                locationName: "domainConfigurationName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDynamicThingGroup: {
          http: {
            method: "DELETE",
            requestUri: "/dynamic-thing-groups/{thingGroupName}"
          },
          input: {
            type: "structure",
            required: [
              "thingGroupName"
            ],
            members: {
              thingGroupName: {
                location: "uri",
                locationName: "thingGroupName"
              },
              expectedVersion: {
                location: "querystring",
                locationName: "expectedVersion",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteFleetMetric: {
          http: {
            method: "DELETE",
            requestUri: "/fleet-metric/{metricName}"
          },
          input: {
            type: "structure",
            required: [
              "metricName"
            ],
            members: {
              metricName: {
                location: "uri",
                locationName: "metricName"
              },
              expectedVersion: {
                location: "querystring",
                locationName: "expectedVersion",
                type: "long"
              }
            }
          }
        },
        DeleteJob: {
          http: {
            method: "DELETE",
            requestUri: "/jobs/{jobId}"
          },
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              },
              force: {
                location: "querystring",
                locationName: "force",
                type: "boolean"
              },
              namespaceId: {
                location: "querystring",
                locationName: "namespaceId"
              }
            }
          }
        },
        DeleteJobExecution: {
          http: {
            method: "DELETE",
            requestUri: "/things/{thingName}/jobs/{jobId}/executionNumber/{executionNumber}"
          },
          input: {
            type: "structure",
            required: [
              "jobId",
              "thingName",
              "executionNumber"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              },
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              executionNumber: {
                location: "uri",
                locationName: "executionNumber",
                type: "long"
              },
              force: {
                location: "querystring",
                locationName: "force",
                type: "boolean"
              },
              namespaceId: {
                location: "querystring",
                locationName: "namespaceId"
              }
            }
          }
        },
        DeleteJobTemplate: {
          http: {
            method: "DELETE",
            requestUri: "/job-templates/{jobTemplateId}"
          },
          input: {
            type: "structure",
            required: [
              "jobTemplateId"
            ],
            members: {
              jobTemplateId: {
                location: "uri",
                locationName: "jobTemplateId"
              }
            }
          }
        },
        DeleteMitigationAction: {
          http: {
            method: "DELETE",
            requestUri: "/mitigationactions/actions/{actionName}"
          },
          input: {
            type: "structure",
            required: [
              "actionName"
            ],
            members: {
              actionName: {
                location: "uri",
                locationName: "actionName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteOTAUpdate: {
          http: {
            method: "DELETE",
            requestUri: "/otaUpdates/{otaUpdateId}"
          },
          input: {
            type: "structure",
            required: [
              "otaUpdateId"
            ],
            members: {
              otaUpdateId: {
                location: "uri",
                locationName: "otaUpdateId"
              },
              deleteStream: {
                location: "querystring",
                locationName: "deleteStream",
                type: "boolean"
              },
              forceDeleteAWSJob: {
                location: "querystring",
                locationName: "forceDeleteAWSJob",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeletePackage: {
          http: {
            method: "DELETE",
            requestUri: "/packages/{packageName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "packageName"
            ],
            members: {
              packageName: {
                location: "uri",
                locationName: "packageName"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeletePackageVersion: {
          http: {
            method: "DELETE",
            requestUri: "/packages/{packageName}/versions/{versionName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "packageName",
              "versionName"
            ],
            members: {
              packageName: {
                location: "uri",
                locationName: "packageName"
              },
              versionName: {
                location: "uri",
                locationName: "versionName"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeletePolicy: {
          http: {
            method: "DELETE",
            requestUri: "/policies/{policyName}"
          },
          input: {
            type: "structure",
            required: [
              "policyName"
            ],
            members: {
              policyName: {
                location: "uri",
                locationName: "policyName"
              }
            }
          }
        },
        DeletePolicyVersion: {
          http: {
            method: "DELETE",
            requestUri: "/policies/{policyName}/version/{policyVersionId}"
          },
          input: {
            type: "structure",
            required: [
              "policyName",
              "policyVersionId"
            ],
            members: {
              policyName: {
                location: "uri",
                locationName: "policyName"
              },
              policyVersionId: {
                location: "uri",
                locationName: "policyVersionId"
              }
            }
          }
        },
        DeleteProvisioningTemplate: {
          http: {
            method: "DELETE",
            requestUri: "/provisioning-templates/{templateName}"
          },
          input: {
            type: "structure",
            required: [
              "templateName"
            ],
            members: {
              templateName: {
                location: "uri",
                locationName: "templateName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteProvisioningTemplateVersion: {
          http: {
            method: "DELETE",
            requestUri: "/provisioning-templates/{templateName}/versions/{versionId}"
          },
          input: {
            type: "structure",
            required: [
              "templateName",
              "versionId"
            ],
            members: {
              templateName: {
                location: "uri",
                locationName: "templateName"
              },
              versionId: {
                location: "uri",
                locationName: "versionId",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteRegistrationCode: {
          http: {
            method: "DELETE",
            requestUri: "/registrationcode"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteRoleAlias: {
          http: {
            method: "DELETE",
            requestUri: "/role-aliases/{roleAlias}"
          },
          input: {
            type: "structure",
            required: [
              "roleAlias"
            ],
            members: {
              roleAlias: {
                location: "uri",
                locationName: "roleAlias"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteScheduledAudit: {
          http: {
            method: "DELETE",
            requestUri: "/audit/scheduledaudits/{scheduledAuditName}"
          },
          input: {
            type: "structure",
            required: [
              "scheduledAuditName"
            ],
            members: {
              scheduledAuditName: {
                location: "uri",
                locationName: "scheduledAuditName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSecurityProfile: {
          http: {
            method: "DELETE",
            requestUri: "/security-profiles/{securityProfileName}"
          },
          input: {
            type: "structure",
            required: [
              "securityProfileName"
            ],
            members: {
              securityProfileName: {
                location: "uri",
                locationName: "securityProfileName"
              },
              expectedVersion: {
                location: "querystring",
                locationName: "expectedVersion",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteStream: {
          http: {
            method: "DELETE",
            requestUri: "/streams/{streamId}"
          },
          input: {
            type: "structure",
            required: [
              "streamId"
            ],
            members: {
              streamId: {
                location: "uri",
                locationName: "streamId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteThing: {
          http: {
            method: "DELETE",
            requestUri: "/things/{thingName}"
          },
          input: {
            type: "structure",
            required: [
              "thingName"
            ],
            members: {
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              expectedVersion: {
                location: "querystring",
                locationName: "expectedVersion",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteThingGroup: {
          http: {
            method: "DELETE",
            requestUri: "/thing-groups/{thingGroupName}"
          },
          input: {
            type: "structure",
            required: [
              "thingGroupName"
            ],
            members: {
              thingGroupName: {
                location: "uri",
                locationName: "thingGroupName"
              },
              expectedVersion: {
                location: "querystring",
                locationName: "expectedVersion",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteThingType: {
          http: {
            method: "DELETE",
            requestUri: "/thing-types/{thingTypeName}"
          },
          input: {
            type: "structure",
            required: [
              "thingTypeName"
            ],
            members: {
              thingTypeName: {
                location: "uri",
                locationName: "thingTypeName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteTopicRule: {
          http: {
            method: "DELETE",
            requestUri: "/rules/{ruleName}"
          },
          input: {
            type: "structure",
            required: [
              "ruleName"
            ],
            members: {
              ruleName: {
                location: "uri",
                locationName: "ruleName"
              }
            }
          }
        },
        DeleteTopicRuleDestination: {
          http: {
            method: "DELETE",
            requestUri: "/destinations/{arn+}"
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {
                location: "uri",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteV2LoggingLevel: {
          http: {
            method: "DELETE",
            requestUri: "/v2LoggingLevel"
          },
          input: {
            type: "structure",
            required: [
              "targetType",
              "targetName"
            ],
            members: {
              targetType: {
                location: "querystring",
                locationName: "targetType"
              },
              targetName: {
                location: "querystring",
                locationName: "targetName"
              }
            }
          }
        },
        DeprecateThingType: {
          http: {
            requestUri: "/thing-types/{thingTypeName}/deprecate"
          },
          input: {
            type: "structure",
            required: [
              "thingTypeName"
            ],
            members: {
              thingTypeName: {
                location: "uri",
                locationName: "thingTypeName"
              },
              undoDeprecate: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeAccountAuditConfiguration: {
          http: {
            method: "GET",
            requestUri: "/audit/configuration"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              roleArn: {},
              auditNotificationTargetConfigurations: {
                shape: "Sgn"
              },
              auditCheckConfigurations: {
                shape: "Sgq"
              }
            }
          }
        },
        DescribeAuditFinding: {
          http: {
            method: "GET",
            requestUri: "/audit/findings/{findingId}"
          },
          input: {
            type: "structure",
            required: [
              "findingId"
            ],
            members: {
              findingId: {
                location: "uri",
                locationName: "findingId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              finding: {
                shape: "Sgv"
              }
            }
          }
        },
        DescribeAuditMitigationActionsTask: {
          http: {
            method: "GET",
            requestUri: "/audit/mitigationactions/tasks/{taskId}"
          },
          input: {
            type: "structure",
            required: [
              "taskId"
            ],
            members: {
              taskId: {
                location: "uri",
                locationName: "taskId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskStatus: {},
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              taskStatistics: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    totalFindingsCount: {
                      type: "long"
                    },
                    failedFindingsCount: {
                      type: "long"
                    },
                    succeededFindingsCount: {
                      type: "long"
                    },
                    skippedFindingsCount: {
                      type: "long"
                    },
                    canceledFindingsCount: {
                      type: "long"
                    }
                  }
                }
              },
              target: {
                shape: "Shf"
              },
              auditCheckToActionsMapping: {
                shape: "Shj"
              },
              actionsDefinition: {
                shape: "Shl"
              }
            }
          }
        },
        DescribeAuditSuppression: {
          http: {
            requestUri: "/audit/suppressions/describe"
          },
          input: {
            type: "structure",
            required: [
              "checkName",
              "resourceIdentifier"
            ],
            members: {
              checkName: {},
              resourceIdentifier: {
                shape: "S1o"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              checkName: {},
              resourceIdentifier: {
                shape: "S1o"
              },
              expirationDate: {
                type: "timestamp"
              },
              suppressIndefinitely: {
                type: "boolean"
              },
              description: {}
            }
          }
        },
        DescribeAuditTask: {
          http: {
            method: "GET",
            requestUri: "/audit/tasks/{taskId}"
          },
          input: {
            type: "structure",
            required: [
              "taskId"
            ],
            members: {
              taskId: {
                location: "uri",
                locationName: "taskId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskStatus: {},
              taskType: {},
              taskStartTime: {
                type: "timestamp"
              },
              taskStatistics: {
                type: "structure",
                members: {
                  totalChecks: {
                    type: "integer"
                  },
                  inProgressChecks: {
                    type: "integer"
                  },
                  waitingForDataCollectionChecks: {
                    type: "integer"
                  },
                  compliantChecks: {
                    type: "integer"
                  },
                  nonCompliantChecks: {
                    type: "integer"
                  },
                  failedChecks: {
                    type: "integer"
                  },
                  canceledChecks: {
                    type: "integer"
                  }
                }
              },
              scheduledAuditName: {},
              auditDetails: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    checkRunStatus: {},
                    checkCompliant: {
                      type: "boolean"
                    },
                    totalResourcesCount: {
                      type: "long"
                    },
                    nonCompliantResourcesCount: {
                      type: "long"
                    },
                    suppressedNonCompliantResourcesCount: {
                      type: "long"
                    },
                    errorCode: {},
                    message: {}
                  }
                }
              }
            }
          }
        },
        DescribeAuthorizer: {
          http: {
            method: "GET",
            requestUri: "/authorizer/{authorizerName}"
          },
          input: {
            type: "structure",
            required: [
              "authorizerName"
            ],
            members: {
              authorizerName: {
                location: "uri",
                locationName: "authorizerName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              authorizerDescription: {
                shape: "Sic"
              }
            }
          }
        },
        DescribeBillingGroup: {
          http: {
            method: "GET",
            requestUri: "/billing-groups/{billingGroupName}"
          },
          input: {
            type: "structure",
            required: [
              "billingGroupName"
            ],
            members: {
              billingGroupName: {
                location: "uri",
                locationName: "billingGroupName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              billingGroupName: {},
              billingGroupId: {},
              billingGroupArn: {},
              version: {
                type: "long"
              },
              billingGroupProperties: {
                shape: "S2n"
              },
              billingGroupMetadata: {
                type: "structure",
                members: {
                  creationDate: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        DescribeCACertificate: {
          http: {
            method: "GET",
            requestUri: "/cacertificate/{caCertificateId}"
          },
          input: {
            type: "structure",
            required: [
              "certificateId"
            ],
            members: {
              certificateId: {
                location: "uri",
                locationName: "caCertificateId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              certificateDescription: {
                type: "structure",
                members: {
                  certificateArn: {},
                  certificateId: {},
                  status: {},
                  certificatePem: {},
                  ownedBy: {},
                  creationDate: {
                    type: "timestamp"
                  },
                  autoRegistrationStatus: {},
                  lastModifiedDate: {
                    type: "timestamp"
                  },
                  customerVersion: {
                    type: "integer"
                  },
                  generationId: {},
                  validity: {
                    shape: "Sip"
                  },
                  certificateMode: {}
                }
              },
              registrationConfig: {
                shape: "Sir"
              }
            }
          }
        },
        DescribeCertificate: {
          http: {
            method: "GET",
            requestUri: "/certificates/{certificateId}"
          },
          input: {
            type: "structure",
            required: [
              "certificateId"
            ],
            members: {
              certificateId: {
                location: "uri",
                locationName: "certificateId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              certificateDescription: {
                type: "structure",
                members: {
                  certificateArn: {},
                  certificateId: {},
                  caCertificateId: {},
                  status: {},
                  certificatePem: {},
                  ownedBy: {},
                  previousOwnedBy: {},
                  creationDate: {
                    type: "timestamp"
                  },
                  lastModifiedDate: {
                    type: "timestamp"
                  },
                  customerVersion: {
                    type: "integer"
                  },
                  transferData: {
                    type: "structure",
                    members: {
                      transferMessage: {},
                      rejectReason: {},
                      transferDate: {
                        type: "timestamp"
                      },
                      acceptDate: {
                        type: "timestamp"
                      },
                      rejectDate: {
                        type: "timestamp"
                      }
                    }
                  },
                  generationId: {},
                  validity: {
                    shape: "Sip"
                  },
                  certificateMode: {}
                }
              }
            }
          }
        },
        DescribeCustomMetric: {
          http: {
            method: "GET",
            requestUri: "/custom-metric/{metricName}"
          },
          input: {
            type: "structure",
            required: [
              "metricName"
            ],
            members: {
              metricName: {
                location: "uri",
                locationName: "metricName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              metricName: {},
              metricArn: {},
              metricType: {},
              displayName: {},
              creationDate: {
                type: "timestamp"
              },
              lastModifiedDate: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeDefaultAuthorizer: {
          http: {
            method: "GET",
            requestUri: "/default-authorizer"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              authorizerDescription: {
                shape: "Sic"
              }
            }
          }
        },
        DescribeDetectMitigationActionsTask: {
          http: {
            method: "GET",
            requestUri: "/detect/mitigationactions/tasks/{taskId}"
          },
          input: {
            type: "structure",
            required: [
              "taskId"
            ],
            members: {
              taskId: {
                location: "uri",
                locationName: "taskId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskSummary: {
                shape: "Sj4"
              }
            }
          }
        },
        DescribeDimension: {
          http: {
            method: "GET",
            requestUri: "/dimensions/{name}"
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              arn: {},
              type: {},
              stringValues: {
                shape: "S34"
              },
              creationDate: {
                type: "timestamp"
              },
              lastModifiedDate: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeDomainConfiguration: {
          http: {
            method: "GET",
            requestUri: "/domainConfigurations/{domainConfigurationName}"
          },
          input: {
            type: "structure",
            required: [
              "domainConfigurationName"
            ],
            members: {
              domainConfigurationName: {
                location: "uri",
                locationName: "domainConfigurationName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              domainConfigurationName: {},
              domainConfigurationArn: {},
              domainName: {},
              serverCertificates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    serverCertificateArn: {},
                    serverCertificateStatus: {},
                    serverCertificateStatusDetail: {}
                  }
                }
              },
              authorizerConfig: {
                shape: "S3d"
              },
              domainConfigurationStatus: {},
              serviceType: {},
              domainType: {},
              lastStatusChangeDate: {
                type: "timestamp"
              },
              tlsConfig: {
                shape: "S3g"
              }
            }
          }
        },
        DescribeEndpoint: {
          http: {
            method: "GET",
            requestUri: "/endpoint"
          },
          input: {
            type: "structure",
            members: {
              endpointType: {
                location: "querystring",
                locationName: "endpointType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              endpointAddress: {}
            }
          }
        },
        DescribeEventConfigurations: {
          http: {
            method: "GET",
            requestUri: "/event-configurations"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              eventConfigurations: {
                shape: "Sju"
              },
              creationDate: {
                type: "timestamp"
              },
              lastModifiedDate: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeFleetMetric: {
          http: {
            method: "GET",
            requestUri: "/fleet-metric/{metricName}"
          },
          input: {
            type: "structure",
            required: [
              "metricName"
            ],
            members: {
              metricName: {
                location: "uri",
                locationName: "metricName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              metricName: {},
              queryString: {},
              aggregationType: {
                shape: "S3z"
              },
              period: {
                type: "integer"
              },
              aggregationField: {},
              description: {},
              queryVersion: {},
              indexName: {},
              creationDate: {
                type: "timestamp"
              },
              lastModifiedDate: {
                type: "timestamp"
              },
              unit: {},
              version: {
                type: "long"
              },
              metricArn: {}
            }
          }
        },
        DescribeIndex: {
          http: {
            method: "GET",
            requestUri: "/indices/{indexName}"
          },
          input: {
            type: "structure",
            required: [
              "indexName"
            ],
            members: {
              indexName: {
                location: "uri",
                locationName: "indexName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              indexName: {},
              indexStatus: {},
              schema: {}
            }
          }
        },
        DescribeJob: {
          http: {
            method: "GET",
            requestUri: "/jobs/{jobId}"
          },
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              documentSource: {},
              job: {
                type: "structure",
                members: {
                  jobArn: {},
                  jobId: {},
                  targetSelection: {},
                  status: {},
                  forceCanceled: {
                    type: "boolean"
                  },
                  reasonCode: {},
                  comment: {},
                  targets: {
                    shape: "Sg"
                  },
                  description: {},
                  presignedUrlConfig: {
                    shape: "S4c"
                  },
                  jobExecutionsRolloutConfig: {
                    shape: "S4f"
                  },
                  abortConfig: {
                    shape: "S4m"
                  },
                  createdAt: {
                    type: "timestamp"
                  },
                  lastUpdatedAt: {
                    type: "timestamp"
                  },
                  completedAt: {
                    type: "timestamp"
                  },
                  jobProcessDetails: {
                    type: "structure",
                    members: {
                      processingTargets: {
                        type: "list",
                        member: {}
                      },
                      numberOfCanceledThings: {
                        type: "integer"
                      },
                      numberOfSucceededThings: {
                        type: "integer"
                      },
                      numberOfFailedThings: {
                        type: "integer"
                      },
                      numberOfRejectedThings: {
                        type: "integer"
                      },
                      numberOfQueuedThings: {
                        type: "integer"
                      },
                      numberOfInProgressThings: {
                        type: "integer"
                      },
                      numberOfRemovedThings: {
                        type: "integer"
                      },
                      numberOfTimedOutThings: {
                        type: "integer"
                      }
                    }
                  },
                  timeoutConfig: {
                    shape: "S4t"
                  },
                  namespaceId: {},
                  jobTemplateArn: {},
                  jobExecutionsRetryConfig: {
                    shape: "S4w"
                  },
                  documentParameters: {
                    shape: "S51"
                  },
                  isConcurrent: {
                    type: "boolean"
                  },
                  schedulingConfig: {
                    shape: "S54"
                  },
                  scheduledJobRollouts: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        startTime: {}
                      }
                    }
                  },
                  destinationPackageVersions: {
                    shape: "S5b"
                  }
                }
              }
            }
          }
        },
        DescribeJobExecution: {
          http: {
            method: "GET",
            requestUri: "/things/{thingName}/jobs/{jobId}"
          },
          input: {
            type: "structure",
            required: [
              "jobId",
              "thingName"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              },
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              executionNumber: {
                location: "querystring",
                locationName: "executionNumber",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              execution: {
                type: "structure",
                members: {
                  jobId: {},
                  status: {},
                  forceCanceled: {
                    type: "boolean"
                  },
                  statusDetails: {
                    type: "structure",
                    members: {
                      detailsMap: {
                        shape: "S1e"
                      }
                    }
                  },
                  thingArn: {},
                  queuedAt: {
                    type: "timestamp"
                  },
                  startedAt: {
                    type: "timestamp"
                  },
                  lastUpdatedAt: {
                    type: "timestamp"
                  },
                  executionNumber: {
                    type: "long"
                  },
                  versionNumber: {
                    type: "long"
                  },
                  approximateSecondsBeforeTimedOut: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        DescribeJobTemplate: {
          http: {
            method: "GET",
            requestUri: "/job-templates/{jobTemplateId}"
          },
          input: {
            type: "structure",
            required: [
              "jobTemplateId"
            ],
            members: {
              jobTemplateId: {
                location: "uri",
                locationName: "jobTemplateId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobTemplateArn: {},
              jobTemplateId: {},
              description: {},
              documentSource: {},
              document: {},
              createdAt: {
                type: "timestamp"
              },
              presignedUrlConfig: {
                shape: "S4c"
              },
              jobExecutionsRolloutConfig: {
                shape: "S4f"
              },
              abortConfig: {
                shape: "S4m"
              },
              timeoutConfig: {
                shape: "S4t"
              },
              jobExecutionsRetryConfig: {
                shape: "S4w"
              },
              maintenanceWindows: {
                shape: "S57"
              },
              destinationPackageVersions: {
                shape: "S5b"
              }
            }
          }
        },
        DescribeManagedJobTemplate: {
          http: {
            method: "GET",
            requestUri: "/managed-job-templates/{templateName}"
          },
          input: {
            type: "structure",
            required: [
              "templateName"
            ],
            members: {
              templateName: {
                location: "uri",
                locationName: "templateName"
              },
              templateVersion: {
                location: "querystring",
                locationName: "templateVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              templateName: {},
              templateArn: {},
              description: {},
              templateVersion: {},
              environments: {
                shape: "Sl0"
              },
              documentParameters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    key: {},
                    description: {},
                    regex: {},
                    example: {},
                    optional: {
                      type: "boolean"
                    }
                  }
                }
              },
              document: {}
            }
          }
        },
        DescribeMitigationAction: {
          http: {
            method: "GET",
            requestUri: "/mitigationactions/actions/{actionName}"
          },
          input: {
            type: "structure",
            required: [
              "actionName"
            ],
            members: {
              actionName: {
                location: "uri",
                locationName: "actionName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              actionName: {},
              actionType: {},
              actionArn: {},
              actionId: {},
              roleArn: {},
              actionParams: {
                shape: "S5o"
              },
              creationDate: {
                type: "timestamp"
              },
              lastModifiedDate: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeProvisioningTemplate: {
          http: {
            method: "GET",
            requestUri: "/provisioning-templates/{templateName}"
          },
          input: {
            type: "structure",
            required: [
              "templateName"
            ],
            members: {
              templateName: {
                location: "uri",
                locationName: "templateName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              templateArn: {},
              templateName: {},
              description: {},
              creationDate: {
                type: "timestamp"
              },
              lastModifiedDate: {
                type: "timestamp"
              },
              defaultVersionId: {
                type: "integer"
              },
              templateBody: {},
              enabled: {
                type: "boolean"
              },
              provisioningRoleArn: {},
              preProvisioningHook: {
                shape: "S8t"
              },
              type: {}
            }
          }
        },
        DescribeProvisioningTemplateVersion: {
          http: {
            method: "GET",
            requestUri: "/provisioning-templates/{templateName}/versions/{versionId}"
          },
          input: {
            type: "structure",
            required: [
              "templateName",
              "versionId"
            ],
            members: {
              templateName: {
                location: "uri",
                locationName: "templateName"
              },
              versionId: {
                location: "uri",
                locationName: "versionId",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              versionId: {
                type: "integer"
              },
              creationDate: {
                type: "timestamp"
              },
              templateBody: {},
              isDefaultVersion: {
                type: "boolean"
              }
            }
          }
        },
        DescribeRoleAlias: {
          http: {
            method: "GET",
            requestUri: "/role-aliases/{roleAlias}"
          },
          input: {
            type: "structure",
            required: [
              "roleAlias"
            ],
            members: {
              roleAlias: {
                location: "uri",
                locationName: "roleAlias"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              roleAliasDescription: {
                type: "structure",
                members: {
                  roleAlias: {},
                  roleAliasArn: {},
                  roleArn: {},
                  owner: {},
                  credentialDurationSeconds: {
                    type: "integer"
                  },
                  creationDate: {
                    type: "timestamp"
                  },
                  lastModifiedDate: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        DescribeScheduledAudit: {
          http: {
            method: "GET",
            requestUri: "/audit/scheduledaudits/{scheduledAuditName}"
          },
          input: {
            type: "structure",
            required: [
              "scheduledAuditName"
            ],
            members: {
              scheduledAuditName: {
                location: "uri",
                locationName: "scheduledAuditName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              frequency: {},
              dayOfMonth: {},
              dayOfWeek: {},
              targetCheckNames: {
                shape: "S99"
              },
              scheduledAuditName: {},
              scheduledAuditArn: {}
            }
          }
        },
        DescribeSecurityProfile: {
          http: {
            method: "GET",
            requestUri: "/security-profiles/{securityProfileName}"
          },
          input: {
            type: "structure",
            required: [
              "securityProfileName"
            ],
            members: {
              securityProfileName: {
                location: "uri",
                locationName: "securityProfileName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              securityProfileName: {},
              securityProfileArn: {},
              securityProfileDescription: {},
              behaviors: {
                shape: "S9f"
              },
              alertTargets: {
                shape: "Sa5"
              },
              additionalMetricsToRetain: {
                shape: "Sa9",
                deprecated: true,
                deprecatedMessage: "Use additionalMetricsToRetainV2."
              },
              additionalMetricsToRetainV2: {
                shape: "Saa"
              },
              version: {
                type: "long"
              },
              creationDate: {
                type: "timestamp"
              },
              lastModifiedDate: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeStream: {
          http: {
            method: "GET",
            requestUri: "/streams/{streamId}"
          },
          input: {
            type: "structure",
            required: [
              "streamId"
            ],
            members: {
              streamId: {
                location: "uri",
                locationName: "streamId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              streamInfo: {
                type: "structure",
                members: {
                  streamId: {},
                  streamArn: {},
                  streamVersion: {
                    type: "integer"
                  },
                  description: {},
                  files: {
                    shape: "Sag"
                  },
                  createdAt: {
                    type: "timestamp"
                  },
                  lastUpdatedAt: {
                    type: "timestamp"
                  },
                  roleArn: {}
                }
              }
            }
          }
        },
        DescribeThing: {
          http: {
            method: "GET",
            requestUri: "/things/{thingName}"
          },
          input: {
            type: "structure",
            required: [
              "thingName"
            ],
            members: {
              thingName: {
                location: "uri",
                locationName: "thingName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              defaultClientId: {},
              thingName: {},
              thingId: {},
              thingArn: {},
              thingTypeName: {},
              attributes: {
                shape: "S3o"
              },
              version: {
                type: "long"
              },
              billingGroupName: {}
            }
          }
        },
        DescribeThingGroup: {
          http: {
            method: "GET",
            requestUri: "/thing-groups/{thingGroupName}"
          },
          input: {
            type: "structure",
            required: [
              "thingGroupName"
            ],
            members: {
              thingGroupName: {
                location: "uri",
                locationName: "thingGroupName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              thingGroupName: {},
              thingGroupId: {},
              thingGroupArn: {},
              version: {
                type: "long"
              },
              thingGroupProperties: {
                shape: "S3l"
              },
              thingGroupMetadata: {
                type: "structure",
                members: {
                  parentGroupName: {},
                  rootToParentThingGroups: {
                    shape: "Slt"
                  },
                  creationDate: {
                    type: "timestamp"
                  }
                }
              },
              indexName: {},
              queryString: {},
              queryVersion: {},
              status: {}
            }
          }
        },
        DescribeThingRegistrationTask: {
          http: {
            method: "GET",
            requestUri: "/thing-registration-tasks/{taskId}"
          },
          input: {
            type: "structure",
            required: [
              "taskId"
            ],
            members: {
              taskId: {
                location: "uri",
                locationName: "taskId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskId: {},
              creationDate: {
                type: "timestamp"
              },
              lastModifiedDate: {
                type: "timestamp"
              },
              templateBody: {},
              inputFileBucket: {},
              inputFileKey: {},
              roleArn: {},
              status: {},
              message: {},
              successCount: {
                type: "integer"
              },
              failureCount: {
                type: "integer"
              },
              percentageProgress: {
                type: "integer"
              }
            }
          }
        },
        DescribeThingType: {
          http: {
            method: "GET",
            requestUri: "/thing-types/{thingTypeName}"
          },
          input: {
            type: "structure",
            required: [
              "thingTypeName"
            ],
            members: {
              thingTypeName: {
                location: "uri",
                locationName: "thingTypeName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              thingTypeName: {},
              thingTypeId: {},
              thingTypeArn: {},
              thingTypeProperties: {
                shape: "Sas"
              },
              thingTypeMetadata: {
                shape: "Sm6"
              }
            }
          }
        },
        DetachPolicy: {
          http: {
            requestUri: "/target-policies/{policyName}"
          },
          input: {
            type: "structure",
            required: [
              "policyName",
              "target"
            ],
            members: {
              policyName: {
                location: "uri",
                locationName: "policyName"
              },
              target: {}
            }
          }
        },
        DetachPrincipalPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/principal-policies/{policyName}"
          },
          input: {
            type: "structure",
            required: [
              "policyName",
              "principal"
            ],
            members: {
              policyName: {
                location: "uri",
                locationName: "policyName"
              },
              principal: {
                location: "header",
                locationName: "x-amzn-iot-principal"
              }
            }
          },
          deprecated: true
        },
        DetachSecurityProfile: {
          http: {
            method: "DELETE",
            requestUri: "/security-profiles/{securityProfileName}/targets"
          },
          input: {
            type: "structure",
            required: [
              "securityProfileName",
              "securityProfileTargetArn"
            ],
            members: {
              securityProfileName: {
                location: "uri",
                locationName: "securityProfileName"
              },
              securityProfileTargetArn: {
                location: "querystring",
                locationName: "securityProfileTargetArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DetachThingPrincipal: {
          http: {
            method: "DELETE",
            requestUri: "/things/{thingName}/principals"
          },
          input: {
            type: "structure",
            required: [
              "thingName",
              "principal"
            ],
            members: {
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              principal: {
                location: "header",
                locationName: "x-amzn-principal"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisableTopicRule: {
          http: {
            requestUri: "/rules/{ruleName}/disable"
          },
          input: {
            type: "structure",
            required: [
              "ruleName"
            ],
            members: {
              ruleName: {
                location: "uri",
                locationName: "ruleName"
              }
            }
          }
        },
        EnableTopicRule: {
          http: {
            requestUri: "/rules/{ruleName}/enable"
          },
          input: {
            type: "structure",
            required: [
              "ruleName"
            ],
            members: {
              ruleName: {
                location: "uri",
                locationName: "ruleName"
              }
            }
          }
        },
        GetBehaviorModelTrainingSummaries: {
          http: {
            method: "GET",
            requestUri: "/behavior-model-training/summaries"
          },
          input: {
            type: "structure",
            members: {
              securityProfileName: {
                location: "querystring",
                locationName: "securityProfileName"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              summaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    securityProfileName: {},
                    behaviorName: {},
                    trainingDataCollectionStartDate: {
                      type: "timestamp"
                    },
                    modelStatus: {},
                    datapointsCollectionPercentage: {
                      type: "double"
                    },
                    lastModelRefreshDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetBucketsAggregation: {
          http: {
            requestUri: "/indices/buckets"
          },
          input: {
            type: "structure",
            required: [
              "queryString",
              "aggregationField",
              "bucketsAggregationType"
            ],
            members: {
              indexName: {},
              queryString: {},
              aggregationField: {},
              queryVersion: {},
              bucketsAggregationType: {
                type: "structure",
                members: {
                  termsAggregation: {
                    type: "structure",
                    members: {
                      maxBuckets: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              totalCount: {
                type: "integer"
              },
              buckets: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    keyValue: {},
                    count: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        GetCardinality: {
          http: {
            requestUri: "/indices/cardinality"
          },
          input: {
            type: "structure",
            required: [
              "queryString"
            ],
            members: {
              indexName: {},
              queryString: {},
              aggregationField: {},
              queryVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              cardinality: {
                type: "integer"
              }
            }
          }
        },
        GetEffectivePolicies: {
          http: {
            requestUri: "/effective-policies"
          },
          input: {
            type: "structure",
            members: {
              principal: {},
              cognitoIdentityPoolId: {},
              thingName: {
                location: "querystring",
                locationName: "thingName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              effectivePolicies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    policyName: {},
                    policyArn: {},
                    policyDocument: {}
                  }
                }
              }
            }
          }
        },
        GetIndexingConfiguration: {
          http: {
            method: "GET",
            requestUri: "/indexing/config"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              thingIndexingConfiguration: {
                shape: "Sn5"
              },
              thingGroupIndexingConfiguration: {
                shape: "Snh"
              }
            }
          }
        },
        GetJobDocument: {
          http: {
            method: "GET",
            requestUri: "/jobs/{jobId}/job-document"
          },
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              document: {}
            }
          }
        },
        GetLoggingOptions: {
          http: {
            method: "GET",
            requestUri: "/loggingOptions"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              roleArn: {},
              logLevel: {}
            }
          }
        },
        GetOTAUpdate: {
          http: {
            method: "GET",
            requestUri: "/otaUpdates/{otaUpdateId}"
          },
          input: {
            type: "structure",
            required: [
              "otaUpdateId"
            ],
            members: {
              otaUpdateId: {
                location: "uri",
                locationName: "otaUpdateId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              otaUpdateInfo: {
                type: "structure",
                members: {
                  otaUpdateId: {},
                  otaUpdateArn: {},
                  creationDate: {
                    type: "timestamp"
                  },
                  lastModifiedDate: {
                    type: "timestamp"
                  },
                  description: {},
                  targets: {
                    shape: "S68"
                  },
                  protocols: {
                    shape: "S6a"
                  },
                  awsJobExecutionsRolloutConfig: {
                    shape: "S6c"
                  },
                  awsJobPresignedUrlConfig: {
                    shape: "S6j"
                  },
                  targetSelection: {},
                  otaUpdateFiles: {
                    shape: "S6u"
                  },
                  otaUpdateStatus: {},
                  awsIotJobId: {},
                  awsIotJobArn: {},
                  errorInfo: {
                    type: "structure",
                    members: {
                      code: {},
                      message: {}
                    }
                  },
                  additionalParameters: {
                    shape: "S7s"
                  }
                }
              }
            }
          }
        },
        GetPackage: {
          http: {
            method: "GET",
            requestUri: "/packages/{packageName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "packageName"
            ],
            members: {
              packageName: {
                location: "uri",
                locationName: "packageName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              packageName: {},
              packageArn: {},
              description: {
                shape: "S80"
              },
              defaultVersionName: {},
              creationDate: {
                type: "timestamp"
              },
              lastModifiedDate: {
                type: "timestamp"
              }
            }
          }
        },
        GetPackageConfiguration: {
          http: {
            method: "GET",
            requestUri: "/package-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              versionUpdateByJobsConfig: {
                shape: "Snx"
              }
            }
          }
        },
        GetPackageVersion: {
          http: {
            method: "GET",
            requestUri: "/packages/{packageName}/versions/{versionName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "packageName",
              "versionName"
            ],
            members: {
              packageName: {
                location: "uri",
                locationName: "packageName"
              },
              versionName: {
                location: "uri",
                locationName: "versionName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              packageVersionArn: {},
              packageName: {},
              versionName: {},
              description: {
                shape: "S80"
              },
              attributes: {
                shape: "S87"
              },
              status: {},
              errorReason: {},
              creationDate: {
                type: "timestamp"
              },
              lastModifiedDate: {
                type: "timestamp"
              }
            }
          }
        },
        GetPercentiles: {
          http: {
            requestUri: "/indices/percentiles"
          },
          input: {
            type: "structure",
            required: [
              "queryString"
            ],
            members: {
              indexName: {},
              queryString: {},
              aggregationField: {},
              queryVersion: {},
              percents: {
                type: "list",
                member: {
                  type: "double"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              percentiles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    percent: {
                      type: "double"
                    },
                    value: {
                      type: "double"
                    }
                  }
                }
              }
            }
          }
        },
        GetPolicy: {
          http: {
            method: "GET",
            requestUri: "/policies/{policyName}"
          },
          input: {
            type: "structure",
            required: [
              "policyName"
            ],
            members: {
              policyName: {
                location: "uri",
                locationName: "policyName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              policyName: {},
              policyArn: {},
              policyDocument: {},
              defaultVersionId: {},
              creationDate: {
                type: "timestamp"
              },
              lastModifiedDate: {
                type: "timestamp"
              },
              generationId: {}
            }
          }
        },
        GetPolicyVersion: {
          http: {
            method: "GET",
            requestUri: "/policies/{policyName}/version/{policyVersionId}"
          },
          input: {
            type: "structure",
            required: [
              "policyName",
              "policyVersionId"
            ],
            members: {
              policyName: {
                location: "uri",
                locationName: "policyName"
              },
              policyVersionId: {
                location: "uri",
                locationName: "policyVersionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              policyArn: {},
              policyName: {},
              policyDocument: {},
              policyVersionId: {},
              isDefaultVersion: {
                type: "boolean"
              },
              creationDate: {
                type: "timestamp"
              },
              lastModifiedDate: {
                type: "timestamp"
              },
              generationId: {}
            }
          }
        },
        GetRegistrationCode: {
          http: {
            method: "GET",
            requestUri: "/registrationcode"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              registrationCode: {}
            }
          }
        },
        GetStatistics: {
          http: {
            requestUri: "/indices/statistics"
          },
          input: {
            type: "structure",
            required: [
              "queryString"
            ],
            members: {
              indexName: {},
              queryString: {},
              aggregationField: {},
              queryVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              statistics: {
                type: "structure",
                members: {
                  count: {
                    type: "integer"
                  },
                  average: {
                    type: "double"
                  },
                  sum: {
                    type: "double"
                  },
                  minimum: {
                    type: "double"
                  },
                  maximum: {
                    type: "double"
                  },
                  sumOfSquares: {
                    type: "double"
                  },
                  variance: {
                    type: "double"
                  },
                  stdDeviation: {
                    type: "double"
                  }
                }
              }
            }
          }
        },
        GetTopicRule: {
          http: {
            method: "GET",
            requestUri: "/rules/{ruleName}"
          },
          input: {
            type: "structure",
            required: [
              "ruleName"
            ],
            members: {
              ruleName: {
                location: "uri",
                locationName: "ruleName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ruleArn: {},
              rule: {
                type: "structure",
                members: {
                  ruleName: {},
                  sql: {},
                  description: {},
                  createdAt: {
                    type: "timestamp"
                  },
                  actions: {
                    shape: "Sb3"
                  },
                  ruleDisabled: {
                    type: "boolean"
                  },
                  awsIotSqlVersion: {},
                  errorAction: {
                    shape: "Sb4"
                  }
                }
              }
            }
          }
        },
        GetTopicRuleDestination: {
          http: {
            method: "GET",
            requestUri: "/destinations/{arn+}"
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {
                location: "uri",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              topicRuleDestination: {
                shape: "Sej"
              }
            }
          }
        },
        GetV2LoggingOptions: {
          http: {
            method: "GET",
            requestUri: "/v2LoggingOptions"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              roleArn: {},
              defaultLogLevel: {},
              disableAllLogs: {
                type: "boolean"
              }
            }
          }
        },
        ListActiveViolations: {
          http: {
            method: "GET",
            requestUri: "/active-violations"
          },
          input: {
            type: "structure",
            members: {
              thingName: {
                location: "querystring",
                locationName: "thingName"
              },
              securityProfileName: {
                location: "querystring",
                locationName: "securityProfileName"
              },
              behaviorCriteriaType: {
                location: "querystring",
                locationName: "behaviorCriteriaType"
              },
              listSuppressedAlerts: {
                location: "querystring",
                locationName: "listSuppressedAlerts",
                type: "boolean"
              },
              verificationState: {
                location: "querystring",
                locationName: "verificationState"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              activeViolations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    violationId: {},
                    thingName: {},
                    securityProfileName: {},
                    behavior: {
                      shape: "S9g"
                    },
                    lastViolationValue: {
                      shape: "S9n"
                    },
                    violationEventAdditionalInfo: {
                      shape: "Sp7"
                    },
                    verificationState: {},
                    verificationStateDescription: {},
                    lastViolationTime: {
                      type: "timestamp"
                    },
                    violationStartTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAttachedPolicies: {
          http: {
            requestUri: "/attached-policies/{target}"
          },
          input: {
            type: "structure",
            required: [
              "target"
            ],
            members: {
              target: {
                location: "uri",
                locationName: "target"
              },
              recursive: {
                location: "querystring",
                locationName: "recursive",
                type: "boolean"
              },
              marker: {
                location: "querystring",
                locationName: "marker"
              },
              pageSize: {
                location: "querystring",
                locationName: "pageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              policies: {
                shape: "Spe"
              },
              nextMarker: {}
            }
          }
        },
        ListAuditFindings: {
          http: {
            requestUri: "/audit/findings"
          },
          input: {
            type: "structure",
            members: {
              taskId: {},
              checkName: {},
              resourceIdentifier: {
                shape: "S1o"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              listSuppressedFindings: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              findings: {
                type: "list",
                member: {
                  shape: "Sgv"
                }
              },
              nextToken: {}
            }
          }
        },
        ListAuditMitigationActionsExecutions: {
          http: {
            method: "GET",
            requestUri: "/audit/mitigationactions/executions"
          },
          input: {
            type: "structure",
            required: [
              "taskId",
              "findingId"
            ],
            members: {
              taskId: {
                location: "querystring",
                locationName: "taskId"
              },
              actionStatus: {
                location: "querystring",
                locationName: "actionStatus"
              },
              findingId: {
                location: "querystring",
                locationName: "findingId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              actionsExecutions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    taskId: {},
                    findingId: {},
                    actionName: {},
                    actionId: {},
                    status: {},
                    startTime: {
                      type: "timestamp"
                    },
                    endTime: {
                      type: "timestamp"
                    },
                    errorCode: {},
                    message: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAuditMitigationActionsTasks: {
          http: {
            method: "GET",
            requestUri: "/audit/mitigationactions/tasks"
          },
          input: {
            type: "structure",
            required: [
              "startTime",
              "endTime"
            ],
            members: {
              auditTaskId: {
                location: "querystring",
                locationName: "auditTaskId"
              },
              findingId: {
                location: "querystring",
                locationName: "findingId"
              },
              taskStatus: {
                location: "querystring",
                locationName: "taskStatus"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              startTime: {
                location: "querystring",
                locationName: "startTime",
                type: "timestamp"
              },
              endTime: {
                location: "querystring",
                locationName: "endTime",
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tasks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    taskId: {},
                    startTime: {
                      type: "timestamp"
                    },
                    taskStatus: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAuditSuppressions: {
          http: {
            requestUri: "/audit/suppressions/list"
          },
          input: {
            type: "structure",
            members: {
              checkName: {},
              resourceIdentifier: {
                shape: "S1o"
              },
              ascendingOrder: {
                type: "boolean"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              suppressions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "checkName",
                    "resourceIdentifier"
                  ],
                  members: {
                    checkName: {},
                    resourceIdentifier: {
                      shape: "S1o"
                    },
                    expirationDate: {
                      type: "timestamp"
                    },
                    suppressIndefinitely: {
                      type: "boolean"
                    },
                    description: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAuditTasks: {
          http: {
            method: "GET",
            requestUri: "/audit/tasks"
          },
          input: {
            type: "structure",
            required: [
              "startTime",
              "endTime"
            ],
            members: {
              startTime: {
                location: "querystring",
                locationName: "startTime",
                type: "timestamp"
              },
              endTime: {
                location: "querystring",
                locationName: "endTime",
                type: "timestamp"
              },
              taskType: {
                location: "querystring",
                locationName: "taskType"
              },
              taskStatus: {
                location: "querystring",
                locationName: "taskStatus"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tasks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    taskId: {},
                    taskStatus: {},
                    taskType: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAuthorizers: {
          http: {
            method: "GET",
            requestUri: "/authorizers/"
          },
          input: {
            type: "structure",
            members: {
              pageSize: {
                location: "querystring",
                locationName: "pageSize",
                type: "integer"
              },
              marker: {
                location: "querystring",
                locationName: "marker"
              },
              ascendingOrder: {
                location: "querystring",
                locationName: "isAscendingOrder",
                type: "boolean"
              },
              status: {
                location: "querystring",
                locationName: "status"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              authorizers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    authorizerName: {},
                    authorizerArn: {}
                  }
                }
              },
              nextMarker: {}
            }
          }
        },
        ListBillingGroups: {
          http: {
            method: "GET",
            requestUri: "/billing-groups"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              namePrefixFilter: {
                location: "querystring",
                locationName: "namePrefixFilter"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              billingGroups: {
                type: "list",
                member: {
                  shape: "Slu"
                }
              },
              nextToken: {}
            }
          }
        },
        ListCACertificates: {
          http: {
            method: "GET",
            requestUri: "/cacertificates"
          },
          input: {
            type: "structure",
            members: {
              pageSize: {
                location: "querystring",
                locationName: "pageSize",
                type: "integer"
              },
              marker: {
                location: "querystring",
                locationName: "marker"
              },
              ascendingOrder: {
                location: "querystring",
                locationName: "isAscendingOrder",
                type: "boolean"
              },
              templateName: {
                location: "querystring",
                locationName: "templateName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              certificates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    certificateArn: {},
                    certificateId: {},
                    status: {},
                    creationDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextMarker: {}
            }
          }
        },
        ListCertificates: {
          http: {
            method: "GET",
            requestUri: "/certificates"
          },
          input: {
            type: "structure",
            members: {
              pageSize: {
                location: "querystring",
                locationName: "pageSize",
                type: "integer"
              },
              marker: {
                location: "querystring",
                locationName: "marker"
              },
              ascendingOrder: {
                location: "querystring",
                locationName: "isAscendingOrder",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              certificates: {
                shape: "Sqg"
              },
              nextMarker: {}
            }
          }
        },
        ListCertificatesByCA: {
          http: {
            method: "GET",
            requestUri: "/certificates-by-ca/{caCertificateId}"
          },
          input: {
            type: "structure",
            required: [
              "caCertificateId"
            ],
            members: {
              caCertificateId: {
                location: "uri",
                locationName: "caCertificateId"
              },
              pageSize: {
                location: "querystring",
                locationName: "pageSize",
                type: "integer"
              },
              marker: {
                location: "querystring",
                locationName: "marker"
              },
              ascendingOrder: {
                location: "querystring",
                locationName: "isAscendingOrder",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              certificates: {
                shape: "Sqg"
              },
              nextMarker: {}
            }
          }
        },
        ListCustomMetrics: {
          http: {
            method: "GET",
            requestUri: "/custom-metrics"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              metricNames: {
                type: "list",
                member: {}
              },
              nextToken: {}
            }
          }
        },
        ListDetectMitigationActionsExecutions: {
          http: {
            method: "GET",
            requestUri: "/detect/mitigationactions/executions"
          },
          input: {
            type: "structure",
            members: {
              taskId: {
                location: "querystring",
                locationName: "taskId"
              },
              violationId: {
                location: "querystring",
                locationName: "violationId"
              },
              thingName: {
                location: "querystring",
                locationName: "thingName"
              },
              startTime: {
                location: "querystring",
                locationName: "startTime",
                type: "timestamp"
              },
              endTime: {
                location: "querystring",
                locationName: "endTime",
                type: "timestamp"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              actionsExecutions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    taskId: {},
                    violationId: {},
                    actionName: {},
                    thingName: {},
                    executionStartDate: {
                      type: "timestamp"
                    },
                    executionEndDate: {
                      type: "timestamp"
                    },
                    status: {},
                    errorCode: {},
                    message: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDetectMitigationActionsTasks: {
          http: {
            method: "GET",
            requestUri: "/detect/mitigationactions/tasks"
          },
          input: {
            type: "structure",
            required: [
              "startTime",
              "endTime"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              startTime: {
                location: "querystring",
                locationName: "startTime",
                type: "timestamp"
              },
              endTime: {
                location: "querystring",
                locationName: "endTime",
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tasks: {
                type: "list",
                member: {
                  shape: "Sj4"
                }
              },
              nextToken: {}
            }
          }
        },
        ListDimensions: {
          http: {
            method: "GET",
            requestUri: "/dimensions"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              dimensionNames: {
                type: "list",
                member: {}
              },
              nextToken: {}
            }
          }
        },
        ListDomainConfigurations: {
          http: {
            method: "GET",
            requestUri: "/domainConfigurations"
          },
          input: {
            type: "structure",
            members: {
              marker: {
                location: "querystring",
                locationName: "marker"
              },
              pageSize: {
                location: "querystring",
                locationName: "pageSize",
                type: "integer"
              },
              serviceType: {
                location: "querystring",
                locationName: "serviceType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              domainConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    domainConfigurationName: {},
                    domainConfigurationArn: {},
                    serviceType: {}
                  }
                }
              },
              nextMarker: {}
            }
          }
        },
        ListFleetMetrics: {
          http: {
            method: "GET",
            requestUri: "/fleet-metrics"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              fleetMetrics: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    metricName: {},
                    metricArn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListIndices: {
          http: {
            method: "GET",
            requestUri: "/indices"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              indexNames: {
                type: "list",
                member: {}
              },
              nextToken: {}
            }
          }
        },
        ListJobExecutionsForJob: {
          http: {
            method: "GET",
            requestUri: "/jobs/{jobId}/things"
          },
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              },
              status: {
                location: "querystring",
                locationName: "status"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              executionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    thingArn: {},
                    jobExecutionSummary: {
                      shape: "Srg"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListJobExecutionsForThing: {
          http: {
            method: "GET",
            requestUri: "/things/{thingName}/jobs"
          },
          input: {
            type: "structure",
            required: [
              "thingName"
            ],
            members: {
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              status: {
                location: "querystring",
                locationName: "status"
              },
              namespaceId: {
                location: "querystring",
                locationName: "namespaceId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              jobId: {
                location: "querystring",
                locationName: "jobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              executionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    jobId: {},
                    jobExecutionSummary: {
                      shape: "Srg"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListJobTemplates: {
          http: {
            method: "GET",
            requestUri: "/job-templates"
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobTemplates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    jobTemplateArn: {},
                    jobTemplateId: {},
                    description: {},
                    createdAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListJobs: {
          http: {
            method: "GET",
            requestUri: "/jobs"
          },
          input: {
            type: "structure",
            members: {
              status: {
                location: "querystring",
                locationName: "status"
              },
              targetSelection: {
                location: "querystring",
                locationName: "targetSelection"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              thingGroupName: {
                location: "querystring",
                locationName: "thingGroupName"
              },
              thingGroupId: {
                location: "querystring",
                locationName: "thingGroupId"
              },
              namespaceId: {
                location: "querystring",
                locationName: "namespaceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    jobArn: {},
                    jobId: {},
                    thingGroupId: {},
                    targetSelection: {},
                    status: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    completedAt: {
                      type: "timestamp"
                    },
                    isConcurrent: {
                      type: "boolean"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListManagedJobTemplates: {
          http: {
            method: "GET",
            requestUri: "/managed-job-templates"
          },
          input: {
            type: "structure",
            members: {
              templateName: {
                location: "querystring",
                locationName: "templateName"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              managedJobTemplates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    templateArn: {},
                    templateName: {},
                    description: {},
                    environments: {
                      shape: "Sl0"
                    },
                    templateVersion: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListMetricValues: {
          http: {
            method: "GET",
            requestUri: "/metric-values"
          },
          input: {
            type: "structure",
            required: [
              "thingName",
              "metricName",
              "startTime",
              "endTime"
            ],
            members: {
              thingName: {
                location: "querystring",
                locationName: "thingName"
              },
              metricName: {
                location: "querystring",
                locationName: "metricName"
              },
              dimensionName: {
                location: "querystring",
                locationName: "dimensionName"
              },
              dimensionValueOperator: {
                location: "querystring",
                locationName: "dimensionValueOperator"
              },
              startTime: {
                location: "querystring",
                locationName: "startTime",
                type: "timestamp"
              },
              endTime: {
                location: "querystring",
                locationName: "endTime",
                type: "timestamp"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              metricDatumList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    timestamp: {
                      type: "timestamp"
                    },
                    value: {
                      shape: "S9n"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListMitigationActions: {
          http: {
            method: "GET",
            requestUri: "/mitigationactions/actions"
          },
          input: {
            type: "structure",
            members: {
              actionType: {
                location: "querystring",
                locationName: "actionType"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              actionIdentifiers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    actionName: {},
                    actionArn: {},
                    creationDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListOTAUpdates: {
          http: {
            method: "GET",
            requestUri: "/otaUpdates"
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              otaUpdateStatus: {
                location: "querystring",
                locationName: "otaUpdateStatus"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              otaUpdates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    otaUpdateId: {},
                    otaUpdateArn: {},
                    creationDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListOutgoingCertificates: {
          http: {
            method: "GET",
            requestUri: "/certificates-out-going"
          },
          input: {
            type: "structure",
            members: {
              pageSize: {
                location: "querystring",
                locationName: "pageSize",
                type: "integer"
              },
              marker: {
                location: "querystring",
                locationName: "marker"
              },
              ascendingOrder: {
                location: "querystring",
                locationName: "isAscendingOrder",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              outgoingCertificates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    certificateArn: {},
                    certificateId: {},
                    transferredTo: {},
                    transferDate: {
                      type: "timestamp"
                    },
                    transferMessage: {},
                    creationDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextMarker: {}
            }
          }
        },
        ListPackageVersions: {
          http: {
            method: "GET",
            requestUri: "/packages/{packageName}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "packageName"
            ],
            members: {
              packageName: {
                location: "uri",
                locationName: "packageName"
              },
              status: {
                location: "querystring",
                locationName: "status"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              packageVersionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    packageName: {},
                    versionName: {},
                    status: {},
                    creationDate: {
                      type: "timestamp"
                    },
                    lastModifiedDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListPackages: {
          http: {
            method: "GET",
            requestUri: "/packages",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              packageSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    packageName: {},
                    defaultVersionName: {},
                    creationDate: {
                      type: "timestamp"
                    },
                    lastModifiedDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListPolicies: {
          http: {
            method: "GET",
            requestUri: "/policies"
          },
          input: {
            type: "structure",
            members: {
              marker: {
                location: "querystring",
                locationName: "marker"
              },
              pageSize: {
                location: "querystring",
                locationName: "pageSize",
                type: "integer"
              },
              ascendingOrder: {
                location: "querystring",
                locationName: "isAscendingOrder",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              policies: {
                shape: "Spe"
              },
              nextMarker: {}
            }
          }
        },
        ListPolicyPrincipals: {
          http: {
            method: "GET",
            requestUri: "/policy-principals"
          },
          input: {
            type: "structure",
            required: [
              "policyName"
            ],
            members: {
              policyName: {
                location: "header",
                locationName: "x-amzn-iot-policy"
              },
              marker: {
                location: "querystring",
                locationName: "marker"
              },
              pageSize: {
                location: "querystring",
                locationName: "pageSize",
                type: "integer"
              },
              ascendingOrder: {
                location: "querystring",
                locationName: "isAscendingOrder",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              principals: {
                shape: "Ssr"
              },
              nextMarker: {}
            }
          },
          deprecated: true
        },
        ListPolicyVersions: {
          http: {
            method: "GET",
            requestUri: "/policies/{policyName}/version"
          },
          input: {
            type: "structure",
            required: [
              "policyName"
            ],
            members: {
              policyName: {
                location: "uri",
                locationName: "policyName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              policyVersions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    versionId: {},
                    isDefaultVersion: {
                      type: "boolean"
                    },
                    createDate: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListPrincipalPolicies: {
          http: {
            method: "GET",
            requestUri: "/principal-policies"
          },
          input: {
            type: "structure",
            required: [
              "principal"
            ],
            members: {
              principal: {
                location: "header",
                locationName: "x-amzn-iot-principal"
              },
              marker: {
                location: "querystring",
                locationName: "marker"
              },
              pageSize: {
                location: "querystring",
                locationName: "pageSize",
                type: "integer"
              },
              ascendingOrder: {
                location: "querystring",
                locationName: "isAscendingOrder",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              policies: {
                shape: "Spe"
              },
              nextMarker: {}
            }
          },
          deprecated: true
        },
        ListPrincipalThings: {
          http: {
            method: "GET",
            requestUri: "/principals/things"
          },
          input: {
            type: "structure",
            required: [
              "principal"
            ],
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              principal: {
                location: "header",
                locationName: "x-amzn-principal"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              things: {
                shape: "St1"
              },
              nextToken: {}
            }
          }
        },
        ListProvisioningTemplateVersions: {
          http: {
            method: "GET",
            requestUri: "/provisioning-templates/{templateName}/versions"
          },
          input: {
            type: "structure",
            required: [
              "templateName"
            ],
            members: {
              templateName: {
                location: "uri",
                locationName: "templateName"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              versions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    versionId: {
                      type: "integer"
                    },
                    creationDate: {
                      type: "timestamp"
                    },
                    isDefaultVersion: {
                      type: "boolean"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListProvisioningTemplates: {
          http: {
            method: "GET",
            requestUri: "/provisioning-templates"
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              templates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    templateArn: {},
                    templateName: {},
                    description: {},
                    creationDate: {
                      type: "timestamp"
                    },
                    lastModifiedDate: {
                      type: "timestamp"
                    },
                    enabled: {
                      type: "boolean"
                    },
                    type: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListRelatedResourcesForAuditFinding: {
          http: {
            method: "GET",
            requestUri: "/audit/relatedResources"
          },
          input: {
            type: "structure",
            required: [
              "findingId"
            ],
            members: {
              findingId: {
                location: "querystring",
                locationName: "findingId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              relatedResources: {
                shape: "Sh0"
              },
              nextToken: {}
            }
          }
        },
        ListRoleAliases: {
          http: {
            method: "GET",
            requestUri: "/role-aliases"
          },
          input: {
            type: "structure",
            members: {
              pageSize: {
                location: "querystring",
                locationName: "pageSize",
                type: "integer"
              },
              marker: {
                location: "querystring",
                locationName: "marker"
              },
              ascendingOrder: {
                location: "querystring",
                locationName: "isAscendingOrder",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              roleAliases: {
                type: "list",
                member: {}
              },
              nextMarker: {}
            }
          }
        },
        ListScheduledAudits: {
          http: {
            method: "GET",
            requestUri: "/audit/scheduledaudits"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              scheduledAudits: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    scheduledAuditName: {},
                    scheduledAuditArn: {},
                    frequency: {},
                    dayOfMonth: {},
                    dayOfWeek: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSecurityProfiles: {
          http: {
            method: "GET",
            requestUri: "/security-profiles"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              dimensionName: {
                location: "querystring",
                locationName: "dimensionName"
              },
              metricName: {
                location: "querystring",
                locationName: "metricName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              securityProfileIdentifiers: {
                type: "list",
                member: {
                  shape: "Stm"
                }
              },
              nextToken: {}
            }
          }
        },
        ListSecurityProfilesForTarget: {
          http: {
            method: "GET",
            requestUri: "/security-profiles-for-target"
          },
          input: {
            type: "structure",
            required: [
              "securityProfileTargetArn"
            ],
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              recursive: {
                location: "querystring",
                locationName: "recursive",
                type: "boolean"
              },
              securityProfileTargetArn: {
                location: "querystring",
                locationName: "securityProfileTargetArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              securityProfileTargetMappings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    securityProfileIdentifier: {
                      shape: "Stm"
                    },
                    target: {
                      shape: "Str"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListStreams: {
          http: {
            method: "GET",
            requestUri: "/streams"
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              ascendingOrder: {
                location: "querystring",
                locationName: "isAscendingOrder",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              streams: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    streamId: {},
                    streamArn: {},
                    streamVersion: {
                      type: "integer"
                    },
                    description: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S2e"
              },
              nextToken: {}
            }
          }
        },
        ListTargetsForPolicy: {
          http: {
            requestUri: "/policy-targets/{policyName}"
          },
          input: {
            type: "structure",
            required: [
              "policyName"
            ],
            members: {
              policyName: {
                location: "uri",
                locationName: "policyName"
              },
              marker: {
                location: "querystring",
                locationName: "marker"
              },
              pageSize: {
                location: "querystring",
                locationName: "pageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              targets: {
                type: "list",
                member: {}
              },
              nextMarker: {}
            }
          }
        },
        ListTargetsForSecurityProfile: {
          http: {
            method: "GET",
            requestUri: "/security-profiles/{securityProfileName}/targets"
          },
          input: {
            type: "structure",
            required: [
              "securityProfileName"
            ],
            members: {
              securityProfileName: {
                location: "uri",
                locationName: "securityProfileName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              securityProfileTargets: {
                type: "list",
                member: {
                  shape: "Str"
                }
              },
              nextToken: {}
            }
          }
        },
        ListThingGroups: {
          http: {
            method: "GET",
            requestUri: "/thing-groups"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              parentGroup: {
                location: "querystring",
                locationName: "parentGroup"
              },
              namePrefixFilter: {
                location: "querystring",
                locationName: "namePrefixFilter"
              },
              recursive: {
                location: "querystring",
                locationName: "recursive",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              thingGroups: {
                shape: "Slt"
              },
              nextToken: {}
            }
          }
        },
        ListThingGroupsForThing: {
          http: {
            method: "GET",
            requestUri: "/things/{thingName}/thing-groups"
          },
          input: {
            type: "structure",
            required: [
              "thingName"
            ],
            members: {
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              thingGroups: {
                shape: "Slt"
              },
              nextToken: {}
            }
          }
        },
        ListThingPrincipals: {
          http: {
            method: "GET",
            requestUri: "/things/{thingName}/principals"
          },
          input: {
            type: "structure",
            required: [
              "thingName"
            ],
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              thingName: {
                location: "uri",
                locationName: "thingName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              principals: {
                shape: "Ssr"
              },
              nextToken: {}
            }
          }
        },
        ListThingRegistrationTaskReports: {
          http: {
            method: "GET",
            requestUri: "/thing-registration-tasks/{taskId}/reports"
          },
          input: {
            type: "structure",
            required: [
              "taskId",
              "reportType"
            ],
            members: {
              taskId: {
                location: "uri",
                locationName: "taskId"
              },
              reportType: {
                location: "querystring",
                locationName: "reportType"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resourceLinks: {
                type: "list",
                member: {}
              },
              reportType: {},
              nextToken: {}
            }
          }
        },
        ListThingRegistrationTasks: {
          http: {
            method: "GET",
            requestUri: "/thing-registration-tasks"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              status: {
                location: "querystring",
                locationName: "status"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskIds: {
                type: "list",
                member: {}
              },
              nextToken: {}
            }
          }
        },
        ListThingTypes: {
          http: {
            method: "GET",
            requestUri: "/thing-types"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              thingTypeName: {
                location: "querystring",
                locationName: "thingTypeName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              thingTypes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    thingTypeName: {},
                    thingTypeArn: {},
                    thingTypeProperties: {
                      shape: "Sas"
                    },
                    thingTypeMetadata: {
                      shape: "Sm6"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListThings: {
          http: {
            method: "GET",
            requestUri: "/things"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              attributeName: {
                location: "querystring",
                locationName: "attributeName"
              },
              attributeValue: {
                location: "querystring",
                locationName: "attributeValue"
              },
              thingTypeName: {
                location: "querystring",
                locationName: "thingTypeName"
              },
              usePrefixAttributeValue: {
                location: "querystring",
                locationName: "usePrefixAttributeValue",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              things: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    thingName: {},
                    thingTypeName: {},
                    thingArn: {},
                    attributes: {
                      shape: "S3o"
                    },
                    version: {
                      type: "long"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListThingsInBillingGroup: {
          http: {
            method: "GET",
            requestUri: "/billing-groups/{billingGroupName}/things"
          },
          input: {
            type: "structure",
            required: [
              "billingGroupName"
            ],
            members: {
              billingGroupName: {
                location: "uri",
                locationName: "billingGroupName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              things: {
                shape: "St1"
              },
              nextToken: {}
            }
          }
        },
        ListThingsInThingGroup: {
          http: {
            method: "GET",
            requestUri: "/thing-groups/{thingGroupName}/things"
          },
          input: {
            type: "structure",
            required: [
              "thingGroupName"
            ],
            members: {
              thingGroupName: {
                location: "uri",
                locationName: "thingGroupName"
              },
              recursive: {
                location: "querystring",
                locationName: "recursive",
                type: "boolean"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              things: {
                shape: "St1"
              },
              nextToken: {}
            }
          }
        },
        ListTopicRuleDestinations: {
          http: {
            method: "GET",
            requestUri: "/destinations"
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              destinationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    status: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    statusReason: {},
                    httpUrlSummary: {
                      type: "structure",
                      members: {
                        confirmationUrl: {}
                      }
                    },
                    vpcDestinationSummary: {
                      type: "structure",
                      members: {
                        subnetIds: {
                          shape: "Sed"
                        },
                        securityGroups: {
                          shape: "Sef"
                        },
                        vpcId: {},
                        roleArn: {}
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTopicRules: {
          http: {
            method: "GET",
            requestUri: "/rules"
          },
          input: {
            type: "structure",
            members: {
              topic: {
                location: "querystring",
                locationName: "topic"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              ruleDisabled: {
                location: "querystring",
                locationName: "ruleDisabled",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              rules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ruleArn: {},
                    ruleName: {},
                    topicPattern: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    ruleDisabled: {
                      type: "boolean"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListV2LoggingLevels: {
          http: {
            method: "GET",
            requestUri: "/v2LoggingLevel"
          },
          input: {
            type: "structure",
            members: {
              targetType: {
                location: "querystring",
                locationName: "targetType"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              logTargetConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    logTarget: {
                      shape: "Svf"
                    },
                    logLevel: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListViolationEvents: {
          http: {
            method: "GET",
            requestUri: "/violation-events"
          },
          input: {
            type: "structure",
            required: [
              "startTime",
              "endTime"
            ],
            members: {
              startTime: {
                location: "querystring",
                locationName: "startTime",
                type: "timestamp"
              },
              endTime: {
                location: "querystring",
                locationName: "endTime",
                type: "timestamp"
              },
              thingName: {
                location: "querystring",
                locationName: "thingName"
              },
              securityProfileName: {
                location: "querystring",
                locationName: "securityProfileName"
              },
              behaviorCriteriaType: {
                location: "querystring",
                locationName: "behaviorCriteriaType"
              },
              listSuppressedAlerts: {
                location: "querystring",
                locationName: "listSuppressedAlerts",
                type: "boolean"
              },
              verificationState: {
                location: "querystring",
                locationName: "verificationState"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              violationEvents: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    violationId: {},
                    thingName: {},
                    securityProfileName: {},
                    behavior: {
                      shape: "S9g"
                    },
                    metricValue: {
                      shape: "S9n"
                    },
                    violationEventAdditionalInfo: {
                      shape: "Sp7"
                    },
                    violationEventType: {},
                    verificationState: {},
                    verificationStateDescription: {},
                    violationEventTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        PutVerificationStateOnViolation: {
          http: {
            requestUri: "/violations/verification-state/{violationId}"
          },
          input: {
            type: "structure",
            required: [
              "violationId",
              "verificationState"
            ],
            members: {
              violationId: {
                location: "uri",
                locationName: "violationId"
              },
              verificationState: {},
              verificationStateDescription: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RegisterCACertificate: {
          http: {
            requestUri: "/cacertificate"
          },
          input: {
            type: "structure",
            required: [
              "caCertificate"
            ],
            members: {
              caCertificate: {},
              verificationCertificate: {},
              setAsActive: {
                location: "querystring",
                locationName: "setAsActive",
                type: "boolean"
              },
              allowAutoRegistration: {
                location: "querystring",
                locationName: "allowAutoRegistration",
                type: "boolean"
              },
              registrationConfig: {
                shape: "Sir"
              },
              tags: {
                shape: "S2e"
              },
              certificateMode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              certificateArn: {},
              certificateId: {}
            }
          }
        },
        RegisterCertificate: {
          http: {
            requestUri: "/certificate/register"
          },
          input: {
            type: "structure",
            required: [
              "certificatePem"
            ],
            members: {
              certificatePem: {},
              caCertificatePem: {},
              setAsActive: {
                deprecated: true,
                location: "querystring",
                locationName: "setAsActive",
                type: "boolean"
              },
              status: {}
            }
          },
          output: {
            type: "structure",
            members: {
              certificateArn: {},
              certificateId: {}
            }
          }
        },
        RegisterCertificateWithoutCA: {
          http: {
            requestUri: "/certificate/register-no-ca"
          },
          input: {
            type: "structure",
            required: [
              "certificatePem"
            ],
            members: {
              certificatePem: {},
              status: {}
            }
          },
          output: {
            type: "structure",
            members: {
              certificateArn: {},
              certificateId: {}
            }
          }
        },
        RegisterThing: {
          http: {
            requestUri: "/things"
          },
          input: {
            type: "structure",
            required: [
              "templateBody"
            ],
            members: {
              templateBody: {},
              parameters: {
                type: "map",
                key: {},
                value: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              certificatePem: {},
              resourceArns: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        RejectCertificateTransfer: {
          http: {
            method: "PATCH",
            requestUri: "/reject-certificate-transfer/{certificateId}"
          },
          input: {
            type: "structure",
            required: [
              "certificateId"
            ],
            members: {
              certificateId: {
                location: "uri",
                locationName: "certificateId"
              },
              rejectReason: {}
            }
          }
        },
        RemoveThingFromBillingGroup: {
          http: {
            method: "PUT",
            requestUri: "/billing-groups/removeThingFromBillingGroup"
          },
          input: {
            type: "structure",
            members: {
              billingGroupName: {},
              billingGroupArn: {},
              thingName: {},
              thingArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RemoveThingFromThingGroup: {
          http: {
            method: "PUT",
            requestUri: "/thing-groups/removeThingFromThingGroup"
          },
          input: {
            type: "structure",
            members: {
              thingGroupName: {},
              thingGroupArn: {},
              thingName: {},
              thingArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ReplaceTopicRule: {
          http: {
            method: "PATCH",
            requestUri: "/rules/{ruleName}"
          },
          input: {
            type: "structure",
            required: [
              "ruleName",
              "topicRulePayload"
            ],
            members: {
              ruleName: {
                location: "uri",
                locationName: "ruleName"
              },
              topicRulePayload: {
                shape: "Sb0"
              }
            },
            payload: "topicRulePayload"
          }
        },
        SearchIndex: {
          http: {
            requestUri: "/indices/search"
          },
          input: {
            type: "structure",
            required: [
              "queryString"
            ],
            members: {
              indexName: {},
              queryString: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              queryVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              things: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    thingName: {},
                    thingId: {},
                    thingTypeName: {},
                    thingGroupNames: {
                      shape: "Swb"
                    },
                    attributes: {
                      shape: "S3o"
                    },
                    shadow: {},
                    deviceDefender: {},
                    connectivity: {
                      type: "structure",
                      members: {
                        connected: {
                          type: "boolean"
                        },
                        timestamp: {
                          type: "long"
                        },
                        disconnectReason: {}
                      }
                    }
                  }
                }
              },
              thingGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    thingGroupName: {},
                    thingGroupId: {},
                    thingGroupDescription: {},
                    attributes: {
                      shape: "S3o"
                    },
                    parentGroupNames: {
                      shape: "Swb"
                    }
                  }
                }
              }
            }
          }
        },
        SetDefaultAuthorizer: {
          http: {
            requestUri: "/default-authorizer"
          },
          input: {
            type: "structure",
            required: [
              "authorizerName"
            ],
            members: {
              authorizerName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              authorizerName: {},
              authorizerArn: {}
            }
          }
        },
        SetDefaultPolicyVersion: {
          http: {
            method: "PATCH",
            requestUri: "/policies/{policyName}/version/{policyVersionId}"
          },
          input: {
            type: "structure",
            required: [
              "policyName",
              "policyVersionId"
            ],
            members: {
              policyName: {
                location: "uri",
                locationName: "policyName"
              },
              policyVersionId: {
                location: "uri",
                locationName: "policyVersionId"
              }
            }
          }
        },
        SetLoggingOptions: {
          http: {
            requestUri: "/loggingOptions"
          },
          input: {
            type: "structure",
            required: [
              "loggingOptionsPayload"
            ],
            members: {
              loggingOptionsPayload: {
                type: "structure",
                required: [
                  "roleArn"
                ],
                members: {
                  roleArn: {},
                  logLevel: {}
                }
              }
            },
            payload: "loggingOptionsPayload"
          }
        },
        SetV2LoggingLevel: {
          http: {
            requestUri: "/v2LoggingLevel"
          },
          input: {
            type: "structure",
            required: [
              "logTarget",
              "logLevel"
            ],
            members: {
              logTarget: {
                shape: "Svf"
              },
              logLevel: {}
            }
          }
        },
        SetV2LoggingOptions: {
          http: {
            requestUri: "/v2LoggingOptions"
          },
          input: {
            type: "structure",
            members: {
              roleArn: {},
              defaultLogLevel: {},
              disableAllLogs: {
                type: "boolean"
              }
            }
          }
        },
        StartAuditMitigationActionsTask: {
          http: {
            requestUri: "/audit/mitigationactions/tasks/{taskId}"
          },
          input: {
            type: "structure",
            required: [
              "taskId",
              "target",
              "auditCheckToActionsMapping",
              "clientRequestToken"
            ],
            members: {
              taskId: {
                location: "uri",
                locationName: "taskId"
              },
              target: {
                shape: "Shf"
              },
              auditCheckToActionsMapping: {
                shape: "Shj"
              },
              clientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskId: {}
            }
          }
        },
        StartDetectMitigationActionsTask: {
          http: {
            method: "PUT",
            requestUri: "/detect/mitigationactions/tasks/{taskId}"
          },
          input: {
            type: "structure",
            required: [
              "taskId",
              "target",
              "actions",
              "clientRequestToken"
            ],
            members: {
              taskId: {
                location: "uri",
                locationName: "taskId"
              },
              target: {
                shape: "Sj6"
              },
              actions: {
                type: "list",
                member: {}
              },
              violationEventOccurrenceRange: {
                shape: "Sj9"
              },
              includeOnlyActiveViolations: {
                type: "boolean"
              },
              includeSuppressedAlerts: {
                type: "boolean"
              },
              clientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskId: {}
            }
          }
        },
        StartOnDemandAuditTask: {
          http: {
            requestUri: "/audit/tasks"
          },
          input: {
            type: "structure",
            required: [
              "targetCheckNames"
            ],
            members: {
              targetCheckNames: {
                shape: "S99"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskId: {}
            }
          }
        },
        StartThingRegistrationTask: {
          http: {
            requestUri: "/thing-registration-tasks"
          },
          input: {
            type: "structure",
            required: [
              "templateBody",
              "inputFileBucket",
              "inputFileKey",
              "roleArn"
            ],
            members: {
              templateBody: {},
              inputFileBucket: {},
              inputFileKey: {},
              roleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              taskId: {}
            }
          }
        },
        StopThingRegistrationTask: {
          http: {
            method: "PUT",
            requestUri: "/thing-registration-tasks/{taskId}/cancel"
          },
          input: {
            type: "structure",
            required: [
              "taskId"
            ],
            members: {
              taskId: {
                location: "uri",
                locationName: "taskId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TestAuthorization: {
          http: {
            requestUri: "/test-authorization"
          },
          input: {
            type: "structure",
            required: [
              "authInfos"
            ],
            members: {
              principal: {},
              cognitoIdentityPoolId: {},
              authInfos: {
                type: "list",
                member: {
                  shape: "Sx4"
                }
              },
              clientId: {
                location: "querystring",
                locationName: "clientId"
              },
              policyNamesToAdd: {
                shape: "Sx8"
              },
              policyNamesToSkip: {
                shape: "Sx8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              authResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    authInfo: {
                      shape: "Sx4"
                    },
                    allowed: {
                      type: "structure",
                      members: {
                        policies: {
                          shape: "Spe"
                        }
                      }
                    },
                    denied: {
                      type: "structure",
                      members: {
                        implicitDeny: {
                          type: "structure",
                          members: {
                            policies: {
                              shape: "Spe"
                            }
                          }
                        },
                        explicitDeny: {
                          type: "structure",
                          members: {
                            policies: {
                              shape: "Spe"
                            }
                          }
                        }
                      }
                    },
                    authDecision: {},
                    missingContextValues: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              }
            }
          }
        },
        TestInvokeAuthorizer: {
          http: {
            requestUri: "/authorizer/{authorizerName}/test"
          },
          input: {
            type: "structure",
            required: [
              "authorizerName"
            ],
            members: {
              authorizerName: {
                location: "uri",
                locationName: "authorizerName"
              },
              token: {},
              tokenSignature: {},
              httpContext: {
                type: "structure",
                members: {
                  headers: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  queryString: {}
                }
              },
              mqttContext: {
                type: "structure",
                members: {
                  username: {},
                  password: {
                    type: "blob"
                  },
                  clientId: {}
                }
              },
              tlsContext: {
                type: "structure",
                members: {
                  serverName: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              isAuthenticated: {
                type: "boolean"
              },
              principalId: {},
              policyDocuments: {
                type: "list",
                member: {}
              },
              refreshAfterInSeconds: {
                type: "integer"
              },
              disconnectAfterInSeconds: {
                type: "integer"
              }
            }
          }
        },
        TransferCertificate: {
          http: {
            method: "PATCH",
            requestUri: "/transfer-certificate/{certificateId}"
          },
          input: {
            type: "structure",
            required: [
              "certificateId",
              "targetAwsAccount"
            ],
            members: {
              certificateId: {
                location: "uri",
                locationName: "certificateId"
              },
              targetAwsAccount: {
                location: "querystring",
                locationName: "targetAwsAccount"
              },
              transferMessage: {}
            }
          },
          output: {
            type: "structure",
            members: {
              transferredCertificateArn: {}
            }
          }
        },
        UntagResource: {
          http: {
            requestUri: "/untag"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAccountAuditConfiguration: {
          http: {
            method: "PATCH",
            requestUri: "/audit/configuration"
          },
          input: {
            type: "structure",
            members: {
              roleArn: {},
              auditNotificationTargetConfigurations: {
                shape: "Sgn"
              },
              auditCheckConfigurations: {
                shape: "Sgq"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAuditSuppression: {
          http: {
            method: "PATCH",
            requestUri: "/audit/suppressions/update"
          },
          input: {
            type: "structure",
            required: [
              "checkName",
              "resourceIdentifier"
            ],
            members: {
              checkName: {},
              resourceIdentifier: {
                shape: "S1o"
              },
              expirationDate: {
                type: "timestamp"
              },
              suppressIndefinitely: {
                type: "boolean"
              },
              description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAuthorizer: {
          http: {
            method: "PUT",
            requestUri: "/authorizer/{authorizerName}"
          },
          input: {
            type: "structure",
            required: [
              "authorizerName"
            ],
            members: {
              authorizerName: {
                location: "uri",
                locationName: "authorizerName"
              },
              authorizerFunctionArn: {},
              tokenKeyName: {},
              tokenSigningPublicKeys: {
                shape: "S2a"
              },
              status: {},
              enableCachingForHttp: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              authorizerName: {},
              authorizerArn: {}
            }
          }
        },
        UpdateBillingGroup: {
          http: {
            method: "PATCH",
            requestUri: "/billing-groups/{billingGroupName}"
          },
          input: {
            type: "structure",
            required: [
              "billingGroupName",
              "billingGroupProperties"
            ],
            members: {
              billingGroupName: {
                location: "uri",
                locationName: "billingGroupName"
              },
              billingGroupProperties: {
                shape: "S2n"
              },
              expectedVersion: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              version: {
                type: "long"
              }
            }
          }
        },
        UpdateCACertificate: {
          http: {
            method: "PUT",
            requestUri: "/cacertificate/{caCertificateId}"
          },
          input: {
            type: "structure",
            required: [
              "certificateId"
            ],
            members: {
              certificateId: {
                location: "uri",
                locationName: "caCertificateId"
              },
              newStatus: {
                location: "querystring",
                locationName: "newStatus"
              },
              newAutoRegistrationStatus: {
                location: "querystring",
                locationName: "newAutoRegistrationStatus"
              },
              registrationConfig: {
                shape: "Sir"
              },
              removeAutoRegistration: {
                type: "boolean"
              }
            }
          }
        },
        UpdateCertificate: {
          http: {
            method: "PUT",
            requestUri: "/certificates/{certificateId}"
          },
          input: {
            type: "structure",
            required: [
              "certificateId",
              "newStatus"
            ],
            members: {
              certificateId: {
                location: "uri",
                locationName: "certificateId"
              },
              newStatus: {
                location: "querystring",
                locationName: "newStatus"
              }
            }
          }
        },
        UpdateCustomMetric: {
          http: {
            method: "PATCH",
            requestUri: "/custom-metric/{metricName}"
          },
          input: {
            type: "structure",
            required: [
              "metricName",
              "displayName"
            ],
            members: {
              metricName: {
                location: "uri",
                locationName: "metricName"
              },
              displayName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              metricName: {},
              metricArn: {},
              metricType: {},
              displayName: {},
              creationDate: {
                type: "timestamp"
              },
              lastModifiedDate: {
                type: "timestamp"
              }
            }
          }
        },
        UpdateDimension: {
          http: {
            method: "PATCH",
            requestUri: "/dimensions/{name}"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "stringValues"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              stringValues: {
                shape: "S34"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              arn: {},
              type: {},
              stringValues: {
                shape: "S34"
              },
              creationDate: {
                type: "timestamp"
              },
              lastModifiedDate: {
                type: "timestamp"
              }
            }
          }
        },
        UpdateDomainConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/domainConfigurations/{domainConfigurationName}"
          },
          input: {
            type: "structure",
            required: [
              "domainConfigurationName"
            ],
            members: {
              domainConfigurationName: {
                location: "uri",
                locationName: "domainConfigurationName"
              },
              authorizerConfig: {
                shape: "S3d"
              },
              domainConfigurationStatus: {},
              removeAuthorizerConfig: {
                type: "boolean"
              },
              tlsConfig: {
                shape: "S3g"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              domainConfigurationName: {},
              domainConfigurationArn: {}
            }
          }
        },
        UpdateDynamicThingGroup: {
          http: {
            method: "PATCH",
            requestUri: "/dynamic-thing-groups/{thingGroupName}"
          },
          input: {
            type: "structure",
            required: [
              "thingGroupName",
              "thingGroupProperties"
            ],
            members: {
              thingGroupName: {
                location: "uri",
                locationName: "thingGroupName"
              },
              thingGroupProperties: {
                shape: "S3l"
              },
              expectedVersion: {
                type: "long"
              },
              indexName: {},
              queryString: {},
              queryVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              version: {
                type: "long"
              }
            }
          }
        },
        UpdateEventConfigurations: {
          http: {
            method: "PATCH",
            requestUri: "/event-configurations"
          },
          input: {
            type: "structure",
            members: {
              eventConfigurations: {
                shape: "Sju"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateFleetMetric: {
          http: {
            method: "PATCH",
            requestUri: "/fleet-metric/{metricName}"
          },
          input: {
            type: "structure",
            required: [
              "metricName",
              "indexName"
            ],
            members: {
              metricName: {
                location: "uri",
                locationName: "metricName"
              },
              queryString: {},
              aggregationType: {
                shape: "S3z"
              },
              period: {
                type: "integer"
              },
              aggregationField: {},
              description: {},
              queryVersion: {},
              indexName: {},
              unit: {},
              expectedVersion: {
                type: "long"
              }
            }
          }
        },
        UpdateIndexingConfiguration: {
          http: {
            requestUri: "/indexing/config"
          },
          input: {
            type: "structure",
            members: {
              thingIndexingConfiguration: {
                shape: "Sn5"
              },
              thingGroupIndexingConfiguration: {
                shape: "Snh"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateJob: {
          http: {
            method: "PATCH",
            requestUri: "/jobs/{jobId}"
          },
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              },
              description: {},
              presignedUrlConfig: {
                shape: "S4c"
              },
              jobExecutionsRolloutConfig: {
                shape: "S4f"
              },
              abortConfig: {
                shape: "S4m"
              },
              timeoutConfig: {
                shape: "S4t"
              },
              namespaceId: {
                location: "querystring",
                locationName: "namespaceId"
              },
              jobExecutionsRetryConfig: {
                shape: "S4w"
              }
            }
          }
        },
        UpdateMitigationAction: {
          http: {
            method: "PATCH",
            requestUri: "/mitigationactions/actions/{actionName}"
          },
          input: {
            type: "structure",
            required: [
              "actionName"
            ],
            members: {
              actionName: {
                location: "uri",
                locationName: "actionName"
              },
              roleArn: {},
              actionParams: {
                shape: "S5o"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              actionArn: {},
              actionId: {}
            }
          }
        },
        UpdatePackage: {
          http: {
            method: "PATCH",
            requestUri: "/packages/{packageName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "packageName"
            ],
            members: {
              packageName: {
                location: "uri",
                locationName: "packageName"
              },
              description: {
                shape: "S80"
              },
              defaultVersionName: {},
              unsetDefaultVersion: {
                type: "boolean"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdatePackageConfiguration: {
          http: {
            method: "PATCH",
            requestUri: "/package-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              versionUpdateByJobsConfig: {
                shape: "Snx"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdatePackageVersion: {
          http: {
            method: "PATCH",
            requestUri: "/packages/{packageName}/versions/{versionName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "packageName",
              "versionName"
            ],
            members: {
              packageName: {
                location: "uri",
                locationName: "packageName"
              },
              versionName: {
                location: "uri",
                locationName: "versionName"
              },
              description: {
                shape: "S80"
              },
              attributes: {
                shape: "S87"
              },
              action: {},
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateProvisioningTemplate: {
          http: {
            method: "PATCH",
            requestUri: "/provisioning-templates/{templateName}"
          },
          input: {
            type: "structure",
            required: [
              "templateName"
            ],
            members: {
              templateName: {
                location: "uri",
                locationName: "templateName"
              },
              description: {},
              enabled: {
                type: "boolean"
              },
              defaultVersionId: {
                type: "integer"
              },
              provisioningRoleArn: {},
              preProvisioningHook: {
                shape: "S8t"
              },
              removePreProvisioningHook: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateRoleAlias: {
          http: {
            method: "PUT",
            requestUri: "/role-aliases/{roleAlias}"
          },
          input: {
            type: "structure",
            required: [
              "roleAlias"
            ],
            members: {
              roleAlias: {
                location: "uri",
                locationName: "roleAlias"
              },
              roleArn: {},
              credentialDurationSeconds: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              roleAlias: {},
              roleAliasArn: {}
            }
          }
        },
        UpdateScheduledAudit: {
          http: {
            method: "PATCH",
            requestUri: "/audit/scheduledaudits/{scheduledAuditName}"
          },
          input: {
            type: "structure",
            required: [
              "scheduledAuditName"
            ],
            members: {
              frequency: {},
              dayOfMonth: {},
              dayOfWeek: {},
              targetCheckNames: {
                shape: "S99"
              },
              scheduledAuditName: {
                location: "uri",
                locationName: "scheduledAuditName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              scheduledAuditArn: {}
            }
          }
        },
        UpdateSecurityProfile: {
          http: {
            method: "PATCH",
            requestUri: "/security-profiles/{securityProfileName}"
          },
          input: {
            type: "structure",
            required: [
              "securityProfileName"
            ],
            members: {
              securityProfileName: {
                location: "uri",
                locationName: "securityProfileName"
              },
              securityProfileDescription: {},
              behaviors: {
                shape: "S9f"
              },
              alertTargets: {
                shape: "Sa5"
              },
              additionalMetricsToRetain: {
                shape: "Sa9",
                deprecated: true,
                deprecatedMessage: "Use additionalMetricsToRetainV2."
              },
              additionalMetricsToRetainV2: {
                shape: "Saa"
              },
              deleteBehaviors: {
                type: "boolean"
              },
              deleteAlertTargets: {
                type: "boolean"
              },
              deleteAdditionalMetricsToRetain: {
                type: "boolean"
              },
              expectedVersion: {
                location: "querystring",
                locationName: "expectedVersion",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              securityProfileName: {},
              securityProfileArn: {},
              securityProfileDescription: {},
              behaviors: {
                shape: "S9f"
              },
              alertTargets: {
                shape: "Sa5"
              },
              additionalMetricsToRetain: {
                shape: "Sa9",
                deprecated: true,
                deprecatedMessage: "Use additionalMetricsToRetainV2."
              },
              additionalMetricsToRetainV2: {
                shape: "Saa"
              },
              version: {
                type: "long"
              },
              creationDate: {
                type: "timestamp"
              },
              lastModifiedDate: {
                type: "timestamp"
              }
            }
          }
        },
        UpdateStream: {
          http: {
            method: "PUT",
            requestUri: "/streams/{streamId}"
          },
          input: {
            type: "structure",
            required: [
              "streamId"
            ],
            members: {
              streamId: {
                location: "uri",
                locationName: "streamId"
              },
              description: {},
              files: {
                shape: "Sag"
              },
              roleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              streamId: {},
              streamArn: {},
              description: {},
              streamVersion: {
                type: "integer"
              }
            }
          }
        },
        UpdateThing: {
          http: {
            method: "PATCH",
            requestUri: "/things/{thingName}"
          },
          input: {
            type: "structure",
            required: [
              "thingName"
            ],
            members: {
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              thingTypeName: {},
              attributePayload: {
                shape: "S3n"
              },
              expectedVersion: {
                type: "long"
              },
              removeThingType: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateThingGroup: {
          http: {
            method: "PATCH",
            requestUri: "/thing-groups/{thingGroupName}"
          },
          input: {
            type: "structure",
            required: [
              "thingGroupName",
              "thingGroupProperties"
            ],
            members: {
              thingGroupName: {
                location: "uri",
                locationName: "thingGroupName"
              },
              thingGroupProperties: {
                shape: "S3l"
              },
              expectedVersion: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              version: {
                type: "long"
              }
            }
          }
        },
        UpdateThingGroupsForThing: {
          http: {
            method: "PUT",
            requestUri: "/thing-groups/updateThingGroupsForThing"
          },
          input: {
            type: "structure",
            members: {
              thingName: {},
              thingGroupsToAdd: {
                shape: "Szr"
              },
              thingGroupsToRemove: {
                shape: "Szr"
              },
              overrideDynamicGroups: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateTopicRuleDestination: {
          http: {
            method: "PATCH",
            requestUri: "/destinations"
          },
          input: {
            type: "structure",
            required: [
              "arn",
              "status"
            ],
            members: {
              arn: {},
              status: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ValidateSecurityProfileBehaviors: {
          http: {
            requestUri: "/security-profile-behaviors/validate"
          },
          input: {
            type: "structure",
            required: [
              "behaviors"
            ],
            members: {
              behaviors: {
                shape: "S9f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              valid: {
                type: "boolean"
              },
              validationErrors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    errorMessage: {}
                  }
                }
              }
            }
          }
        }
      },
      shapes: {
        Sg: {
          type: "list",
          member: {}
        },
        S1e: {
          type: "map",
          key: {},
          value: {}
        },
        S1o: {
          type: "structure",
          members: {
            deviceCertificateId: {},
            caCertificateId: {},
            cognitoIdentityPoolId: {},
            clientId: {},
            policyVersionIdentifier: {
              type: "structure",
              members: {
                policyName: {},
                policyVersionId: {}
              }
            },
            account: {},
            iamRoleArn: {},
            roleAliasArn: {},
            issuerCertificateIdentifier: {
              type: "structure",
              members: {
                issuerCertificateSubject: {},
                issuerId: {},
                issuerCertificateSerialNumber: {}
              }
            },
            deviceCertificateArn: {}
          }
        },
        S2a: {
          type: "map",
          key: {},
          value: {}
        },
        S2e: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S2n: {
          type: "structure",
          members: {
            billingGroupDescription: {}
          }
        },
        S34: {
          type: "list",
          member: {}
        },
        S3d: {
          type: "structure",
          members: {
            defaultAuthorizerName: {},
            allowAuthorizerOverride: {
              type: "boolean"
            }
          }
        },
        S3g: {
          type: "structure",
          members: {
            securityPolicy: {}
          }
        },
        S3l: {
          type: "structure",
          members: {
            thingGroupDescription: {},
            attributePayload: {
              shape: "S3n"
            }
          }
        },
        S3n: {
          type: "structure",
          members: {
            attributes: {
              shape: "S3o"
            },
            merge: {
              type: "boolean"
            }
          }
        },
        S3o: {
          type: "map",
          key: {},
          value: {}
        },
        S3z: {
          type: "structure",
          required: [
            "name"
          ],
          members: {
            name: {},
            values: {
              type: "list",
              member: {}
            }
          }
        },
        S4c: {
          type: "structure",
          members: {
            roleArn: {},
            expiresInSec: {
              type: "long"
            }
          }
        },
        S4f: {
          type: "structure",
          members: {
            maximumPerMinute: {
              type: "integer"
            },
            exponentialRate: {
              type: "structure",
              required: [
                "baseRatePerMinute",
                "incrementFactor",
                "rateIncreaseCriteria"
              ],
              members: {
                baseRatePerMinute: {
                  type: "integer"
                },
                incrementFactor: {
                  type: "double"
                },
                rateIncreaseCriteria: {
                  type: "structure",
                  members: {
                    numberOfNotifiedThings: {
                      type: "integer"
                    },
                    numberOfSucceededThings: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        S4m: {
          type: "structure",
          required: [
            "criteriaList"
          ],
          members: {
            criteriaList: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "failureType",
                  "action",
                  "thresholdPercentage",
                  "minNumberOfExecutedThings"
                ],
                members: {
                  failureType: {},
                  action: {},
                  thresholdPercentage: {
                    type: "double"
                  },
                  minNumberOfExecutedThings: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        S4t: {
          type: "structure",
          members: {
            inProgressTimeoutInMinutes: {
              type: "long"
            }
          }
        },
        S4w: {
          type: "structure",
          required: [
            "criteriaList"
          ],
          members: {
            criteriaList: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "failureType",
                  "numberOfRetries"
                ],
                members: {
                  failureType: {},
                  numberOfRetries: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        S51: {
          type: "map",
          key: {},
          value: {}
        },
        S54: {
          type: "structure",
          members: {
            startTime: {},
            endTime: {},
            endBehavior: {},
            maintenanceWindows: {
              shape: "S57"
            }
          }
        },
        S57: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "startTime",
              "durationInMinutes"
            ],
            members: {
              startTime: {},
              durationInMinutes: {
                type: "integer"
              }
            }
          }
        },
        S5b: {
          type: "list",
          member: {}
        },
        S5j: {
          type: "structure",
          members: {
            PublicKey: {},
            PrivateKey: {
              type: "string",
              sensitive: true
            }
          }
        },
        S5o: {
          type: "structure",
          members: {
            updateDeviceCertificateParams: {
              type: "structure",
              required: [
                "action"
              ],
              members: {
                action: {}
              }
            },
            updateCACertificateParams: {
              type: "structure",
              required: [
                "action"
              ],
              members: {
                action: {}
              }
            },
            addThingsToThingGroupParams: {
              type: "structure",
              required: [
                "thingGroupNames"
              ],
              members: {
                thingGroupNames: {
                  type: "list",
                  member: {}
                },
                overrideDynamicGroups: {
                  type: "boolean"
                }
              }
            },
            replaceDefaultPolicyVersionParams: {
              type: "structure",
              required: [
                "templateName"
              ],
              members: {
                templateName: {}
              }
            },
            enableIoTLoggingParams: {
              type: "structure",
              required: [
                "roleArnForLogging",
                "logLevel"
              ],
              members: {
                roleArnForLogging: {},
                logLevel: {}
              }
            },
            publishFindingToSnsParams: {
              type: "structure",
              required: [
                "topicArn"
              ],
              members: {
                topicArn: {}
              }
            }
          }
        },
        S68: {
          type: "list",
          member: {}
        },
        S6a: {
          type: "list",
          member: {}
        },
        S6c: {
          type: "structure",
          members: {
            maximumPerMinute: {
              type: "integer"
            },
            exponentialRate: {
              type: "structure",
              required: [
                "baseRatePerMinute",
                "incrementFactor",
                "rateIncreaseCriteria"
              ],
              members: {
                baseRatePerMinute: {
                  type: "integer"
                },
                incrementFactor: {
                  type: "double"
                },
                rateIncreaseCriteria: {
                  type: "structure",
                  members: {
                    numberOfNotifiedThings: {
                      type: "integer"
                    },
                    numberOfSucceededThings: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        S6j: {
          type: "structure",
          members: {
            expiresInSec: {
              type: "long"
            }
          }
        },
        S6u: {
          type: "list",
          member: {
            type: "structure",
            members: {
              fileName: {},
              fileType: {
                type: "integer"
              },
              fileVersion: {},
              fileLocation: {
                type: "structure",
                members: {
                  stream: {
                    type: "structure",
                    members: {
                      streamId: {},
                      fileId: {
                        type: "integer"
                      }
                    }
                  },
                  s3Location: {
                    shape: "S73"
                  }
                }
              },
              codeSigning: {
                type: "structure",
                members: {
                  awsSignerJobId: {},
                  startSigningJobParameter: {
                    type: "structure",
                    members: {
                      signingProfileParameter: {
                        type: "structure",
                        members: {
                          certificateArn: {},
                          platform: {},
                          certificatePathOnDevice: {}
                        }
                      },
                      signingProfileName: {},
                      destination: {
                        type: "structure",
                        members: {
                          s3Destination: {
                            type: "structure",
                            members: {
                              bucket: {},
                              prefix: {}
                            }
                          }
                        }
                      }
                    }
                  },
                  customCodeSigning: {
                    type: "structure",
                    members: {
                      signature: {
                        type: "structure",
                        members: {
                          inlineDocument: {
                            type: "blob"
                          }
                        }
                      },
                      certificateChain: {
                        type: "structure",
                        members: {
                          certificateName: {},
                          inlineDocument: {}
                        }
                      },
                      hashAlgorithm: {},
                      signatureAlgorithm: {}
                    }
                  }
                }
              },
              attributes: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        S73: {
          type: "structure",
          members: {
            bucket: {},
            key: {},
            version: {}
          }
        },
        S7s: {
          type: "map",
          key: {},
          value: {}
        },
        S80: {
          type: "string",
          sensitive: true
        },
        S81: {
          type: "map",
          key: {},
          value: {}
        },
        S87: {
          type: "map",
          key: {},
          value: {},
          sensitive: true
        },
        S8t: {
          type: "structure",
          required: [
            "targetArn"
          ],
          members: {
            payloadVersion: {},
            targetArn: {}
          }
        },
        S99: {
          type: "list",
          member: {}
        },
        S9f: {
          type: "list",
          member: {
            shape: "S9g"
          }
        },
        S9g: {
          type: "structure",
          required: [
            "name"
          ],
          members: {
            name: {},
            metric: {},
            metricDimension: {
              shape: "S9j"
            },
            criteria: {
              type: "structure",
              members: {
                comparisonOperator: {},
                value: {
                  shape: "S9n"
                },
                durationSeconds: {
                  type: "integer"
                },
                consecutiveDatapointsToAlarm: {
                  type: "integer"
                },
                consecutiveDatapointsToClear: {
                  type: "integer"
                },
                statisticalThreshold: {
                  type: "structure",
                  members: {
                    statistic: {}
                  }
                },
                mlDetectionConfig: {
                  type: "structure",
                  required: [
                    "confidenceLevel"
                  ],
                  members: {
                    confidenceLevel: {}
                  }
                }
              }
            },
            suppressAlerts: {
              type: "boolean"
            }
          }
        },
        S9j: {
          type: "structure",
          required: [
            "dimensionName"
          ],
          members: {
            dimensionName: {},
            operator: {}
          }
        },
        S9n: {
          type: "structure",
          members: {
            count: {
              type: "long"
            },
            cidrs: {
              type: "list",
              member: {}
            },
            ports: {
              type: "list",
              member: {
                type: "integer"
              }
            },
            number: {
              type: "double"
            },
            numbers: {
              type: "list",
              member: {
                type: "double"
              }
            },
            strings: {
              type: "list",
              member: {}
            }
          }
        },
        Sa5: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "alertTargetArn",
              "roleArn"
            ],
            members: {
              alertTargetArn: {},
              roleArn: {}
            }
          }
        },
        Sa9: {
          type: "list",
          member: {}
        },
        Saa: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "metric"
            ],
            members: {
              metric: {},
              metricDimension: {
                shape: "S9j"
              }
            }
          }
        },
        Sag: {
          type: "list",
          member: {
            type: "structure",
            members: {
              fileId: {
                type: "integer"
              },
              s3Location: {
                shape: "S73"
              }
            }
          }
        },
        Sas: {
          type: "structure",
          members: {
            thingTypeDescription: {},
            searchableAttributes: {
              type: "list",
              member: {}
            }
          }
        },
        Sb0: {
          type: "structure",
          required: [
            "sql",
            "actions"
          ],
          members: {
            sql: {},
            description: {},
            actions: {
              shape: "Sb3"
            },
            ruleDisabled: {
              type: "boolean"
            },
            awsIotSqlVersion: {},
            errorAction: {
              shape: "Sb4"
            }
          }
        },
        Sb3: {
          type: "list",
          member: {
            shape: "Sb4"
          }
        },
        Sb4: {
          type: "structure",
          members: {
            dynamoDB: {
              type: "structure",
              required: [
                "tableName",
                "roleArn",
                "hashKeyField",
                "hashKeyValue"
              ],
              members: {
                tableName: {},
                roleArn: {},
                operation: {},
                hashKeyField: {},
                hashKeyValue: {},
                hashKeyType: {},
                rangeKeyField: {},
                rangeKeyValue: {},
                rangeKeyType: {},
                payloadField: {}
              }
            },
            dynamoDBv2: {
              type: "structure",
              required: [
                "roleArn",
                "putItem"
              ],
              members: {
                roleArn: {},
                putItem: {
                  type: "structure",
                  required: [
                    "tableName"
                  ],
                  members: {
                    tableName: {}
                  }
                }
              }
            },
            lambda: {
              type: "structure",
              required: [
                "functionArn"
              ],
              members: {
                functionArn: {}
              }
            },
            sns: {
              type: "structure",
              required: [
                "targetArn",
                "roleArn"
              ],
              members: {
                targetArn: {},
                roleArn: {},
                messageFormat: {}
              }
            },
            sqs: {
              type: "structure",
              required: [
                "roleArn",
                "queueUrl"
              ],
              members: {
                roleArn: {},
                queueUrl: {},
                useBase64: {
                  type: "boolean"
                }
              }
            },
            kinesis: {
              type: "structure",
              required: [
                "roleArn",
                "streamName"
              ],
              members: {
                roleArn: {},
                streamName: {},
                partitionKey: {}
              }
            },
            republish: {
              type: "structure",
              required: [
                "roleArn",
                "topic"
              ],
              members: {
                roleArn: {},
                topic: {},
                qos: {
                  type: "integer"
                },
                headers: {
                  type: "structure",
                  members: {
                    payloadFormatIndicator: {},
                    contentType: {},
                    responseTopic: {},
                    correlationData: {},
                    messageExpiry: {},
                    userProperties: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "key",
                          "value"
                        ],
                        members: {
                          key: {},
                          value: {}
                        }
                      }
                    }
                  }
                }
              }
            },
            s3: {
              type: "structure",
              required: [
                "roleArn",
                "bucketName",
                "key"
              ],
              members: {
                roleArn: {},
                bucketName: {},
                key: {},
                cannedAcl: {}
              }
            },
            firehose: {
              type: "structure",
              required: [
                "roleArn",
                "deliveryStreamName"
              ],
              members: {
                roleArn: {},
                deliveryStreamName: {},
                separator: {},
                batchMode: {
                  type: "boolean"
                }
              }
            },
            cloudwatchMetric: {
              type: "structure",
              required: [
                "roleArn",
                "metricNamespace",
                "metricName",
                "metricValue",
                "metricUnit"
              ],
              members: {
                roleArn: {},
                metricNamespace: {},
                metricName: {},
                metricValue: {},
                metricUnit: {},
                metricTimestamp: {}
              }
            },
            cloudwatchAlarm: {
              type: "structure",
              required: [
                "roleArn",
                "alarmName",
                "stateReason",
                "stateValue"
              ],
              members: {
                roleArn: {},
                alarmName: {},
                stateReason: {},
                stateValue: {}
              }
            },
            cloudwatchLogs: {
              type: "structure",
              required: [
                "roleArn",
                "logGroupName"
              ],
              members: {
                roleArn: {},
                logGroupName: {},
                batchMode: {
                  type: "boolean"
                }
              }
            },
            elasticsearch: {
              type: "structure",
              required: [
                "roleArn",
                "endpoint",
                "index",
                "type",
                "id"
              ],
              members: {
                roleArn: {},
                endpoint: {},
                index: {},
                type: {},
                id: {}
              }
            },
            salesforce: {
              type: "structure",
              required: [
                "token",
                "url"
              ],
              members: {
                token: {},
                url: {}
              }
            },
            iotAnalytics: {
              type: "structure",
              members: {
                channelArn: {},
                channelName: {},
                batchMode: {
                  type: "boolean"
                },
                roleArn: {}
              }
            },
            iotEvents: {
              type: "structure",
              required: [
                "inputName",
                "roleArn"
              ],
              members: {
                inputName: {},
                messageId: {},
                batchMode: {
                  type: "boolean"
                },
                roleArn: {}
              }
            },
            iotSiteWise: {
              type: "structure",
              required: [
                "putAssetPropertyValueEntries",
                "roleArn"
              ],
              members: {
                putAssetPropertyValueEntries: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "propertyValues"
                    ],
                    members: {
                      entryId: {},
                      assetId: {},
                      propertyId: {},
                      propertyAlias: {},
                      propertyValues: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "value",
                            "timestamp"
                          ],
                          members: {
                            value: {
                              type: "structure",
                              members: {
                                stringValue: {},
                                integerValue: {},
                                doubleValue: {},
                                booleanValue: {}
                              }
                            },
                            timestamp: {
                              type: "structure",
                              required: [
                                "timeInSeconds"
                              ],
                              members: {
                                timeInSeconds: {},
                                offsetInNanos: {}
                              }
                            },
                            quality: {}
                          }
                        }
                      }
                    }
                  }
                },
                roleArn: {}
              }
            },
            stepFunctions: {
              type: "structure",
              required: [
                "stateMachineName",
                "roleArn"
              ],
              members: {
                executionNamePrefix: {},
                stateMachineName: {},
                roleArn: {}
              }
            },
            timestream: {
              type: "structure",
              required: [
                "roleArn",
                "databaseName",
                "tableName",
                "dimensions"
              ],
              members: {
                roleArn: {},
                databaseName: {},
                tableName: {},
                dimensions: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "name",
                      "value"
                    ],
                    members: {
                      name: {},
                      value: {}
                    }
                  }
                },
                timestamp: {
                  type: "structure",
                  required: [
                    "value",
                    "unit"
                  ],
                  members: {
                    value: {},
                    unit: {}
                  }
                }
              }
            },
            http: {
              type: "structure",
              required: [
                "url"
              ],
              members: {
                url: {},
                confirmationUrl: {},
                headers: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "key",
                      "value"
                    ],
                    members: {
                      key: {},
                      value: {}
                    }
                  }
                },
                auth: {
                  type: "structure",
                  members: {
                    sigv4: {
                      type: "structure",
                      required: [
                        "signingRegion",
                        "serviceName",
                        "roleArn"
                      ],
                      members: {
                        signingRegion: {},
                        serviceName: {},
                        roleArn: {}
                      }
                    }
                  }
                }
              }
            },
            kafka: {
              type: "structure",
              required: [
                "destinationArn",
                "topic",
                "clientProperties"
              ],
              members: {
                destinationArn: {},
                topic: {},
                key: {},
                partition: {},
                clientProperties: {
                  type: "map",
                  key: {},
                  value: {}
                }
              }
            },
            openSearch: {
              type: "structure",
              required: [
                "roleArn",
                "endpoint",
                "index",
                "type",
                "id"
              ],
              members: {
                roleArn: {},
                endpoint: {},
                index: {},
                type: {},
                id: {}
              }
            },
            location: {
              type: "structure",
              required: [
                "roleArn",
                "trackerName",
                "deviceId",
                "latitude",
                "longitude"
              ],
              members: {
                roleArn: {},
                trackerName: {},
                deviceId: {},
                timestamp: {
                  type: "structure",
                  required: [
                    "value"
                  ],
                  members: {
                    value: {},
                    unit: {}
                  }
                },
                latitude: {},
                longitude: {}
              }
            }
          }
        },
        Sed: {
          type: "list",
          member: {}
        },
        Sef: {
          type: "list",
          member: {}
        },
        Sej: {
          type: "structure",
          members: {
            arn: {},
            status: {},
            createdAt: {
              type: "timestamp"
            },
            lastUpdatedAt: {
              type: "timestamp"
            },
            statusReason: {},
            httpUrlProperties: {
              type: "structure",
              members: {
                confirmationUrl: {}
              }
            },
            vpcProperties: {
              type: "structure",
              members: {
                subnetIds: {
                  shape: "Sed"
                },
                securityGroups: {
                  shape: "Sef"
                },
                vpcId: {},
                roleArn: {}
              }
            }
          }
        },
        Sgn: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              targetArn: {},
              roleArn: {},
              enabled: {
                type: "boolean"
              }
            }
          }
        },
        Sgq: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              enabled: {
                type: "boolean"
              }
            }
          }
        },
        Sgv: {
          type: "structure",
          members: {
            findingId: {},
            taskId: {},
            checkName: {},
            taskStartTime: {
              type: "timestamp"
            },
            findingTime: {
              type: "timestamp"
            },
            severity: {},
            nonCompliantResource: {
              type: "structure",
              members: {
                resourceType: {},
                resourceIdentifier: {
                  shape: "S1o"
                },
                additionalInfo: {
                  shape: "Sgz"
                }
              }
            },
            relatedResources: {
              shape: "Sh0"
            },
            reasonForNonCompliance: {},
            reasonForNonComplianceCode: {},
            isSuppressed: {
              type: "boolean"
            }
          }
        },
        Sgz: {
          type: "map",
          key: {},
          value: {}
        },
        Sh0: {
          type: "list",
          member: {
            type: "structure",
            members: {
              resourceType: {},
              resourceIdentifier: {
                shape: "S1o"
              },
              additionalInfo: {
                shape: "Sgz"
              }
            }
          }
        },
        Shf: {
          type: "structure",
          members: {
            auditTaskId: {},
            findingIds: {
              type: "list",
              member: {}
            },
            auditCheckToReasonCodeFilter: {
              type: "map",
              key: {},
              value: {
                type: "list",
                member: {}
              }
            }
          }
        },
        Shj: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {}
          }
        },
        Shl: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              id: {},
              roleArn: {},
              actionParams: {
                shape: "S5o"
              }
            }
          }
        },
        Sic: {
          type: "structure",
          members: {
            authorizerName: {},
            authorizerArn: {},
            authorizerFunctionArn: {},
            tokenKeyName: {},
            tokenSigningPublicKeys: {
              shape: "S2a"
            },
            status: {},
            creationDate: {
              type: "timestamp"
            },
            lastModifiedDate: {
              type: "timestamp"
            },
            signingDisabled: {
              type: "boolean"
            },
            enableCachingForHttp: {
              type: "boolean"
            }
          }
        },
        Sip: {
          type: "structure",
          members: {
            notBefore: {
              type: "timestamp"
            },
            notAfter: {
              type: "timestamp"
            }
          }
        },
        Sir: {
          type: "structure",
          members: {
            templateBody: {},
            roleArn: {},
            templateName: {}
          }
        },
        Sj4: {
          type: "structure",
          members: {
            taskId: {},
            taskStatus: {},
            taskStartTime: {
              type: "timestamp"
            },
            taskEndTime: {
              type: "timestamp"
            },
            target: {
              shape: "Sj6"
            },
            violationEventOccurrenceRange: {
              shape: "Sj9"
            },
            onlyActiveViolationsIncluded: {
              type: "boolean"
            },
            suppressedAlertsIncluded: {
              type: "boolean"
            },
            actionsDefinition: {
              shape: "Shl"
            },
            taskStatistics: {
              type: "structure",
              members: {
                actionsExecuted: {
                  type: "long"
                },
                actionsSkipped: {
                  type: "long"
                },
                actionsFailed: {
                  type: "long"
                }
              }
            }
          }
        },
        Sj6: {
          type: "structure",
          members: {
            violationIds: {
              type: "list",
              member: {}
            },
            securityProfileName: {},
            behaviorName: {}
          }
        },
        Sj9: {
          type: "structure",
          required: [
            "startTime",
            "endTime"
          ],
          members: {
            startTime: {
              type: "timestamp"
            },
            endTime: {
              type: "timestamp"
            }
          }
        },
        Sju: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              Enabled: {
                type: "boolean"
              }
            }
          }
        },
        Sl0: {
          type: "list",
          member: {}
        },
        Slt: {
          type: "list",
          member: {
            shape: "Slu"
          }
        },
        Slu: {
          type: "structure",
          members: {
            groupName: {},
            groupArn: {}
          }
        },
        Sm6: {
          type: "structure",
          members: {
            deprecated: {
              type: "boolean"
            },
            deprecationDate: {
              type: "timestamp"
            },
            creationDate: {
              type: "timestamp"
            }
          }
        },
        Sn5: {
          type: "structure",
          required: [
            "thingIndexingMode"
          ],
          members: {
            thingIndexingMode: {},
            thingConnectivityIndexingMode: {},
            deviceDefenderIndexingMode: {},
            namedShadowIndexingMode: {},
            managedFields: {
              shape: "Sna"
            },
            customFields: {
              shape: "Sna"
            },
            filter: {
              type: "structure",
              members: {
                namedShadowNames: {
                  type: "list",
                  member: {}
                }
              }
            }
          }
        },
        Sna: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              type: {}
            }
          }
        },
        Snh: {
          type: "structure",
          required: [
            "thingGroupIndexingMode"
          ],
          members: {
            thingGroupIndexingMode: {},
            managedFields: {
              shape: "Sna"
            },
            customFields: {
              shape: "Sna"
            }
          }
        },
        Snx: {
          type: "structure",
          members: {
            enabled: {
              type: "boolean"
            },
            roleArn: {}
          }
        },
        Sp7: {
          type: "structure",
          members: {
            confidenceLevel: {}
          }
        },
        Spe: {
          type: "list",
          member: {
            type: "structure",
            members: {
              policyName: {},
              policyArn: {}
            }
          }
        },
        Sqg: {
          type: "list",
          member: {
            type: "structure",
            members: {
              certificateArn: {},
              certificateId: {},
              status: {},
              certificateMode: {},
              creationDate: {
                type: "timestamp"
              }
            }
          }
        },
        Srg: {
          type: "structure",
          members: {
            status: {},
            queuedAt: {
              type: "timestamp"
            },
            startedAt: {
              type: "timestamp"
            },
            lastUpdatedAt: {
              type: "timestamp"
            },
            executionNumber: {
              type: "long"
            },
            retryAttempt: {
              type: "integer"
            }
          }
        },
        Ssr: {
          type: "list",
          member: {}
        },
        St1: {
          type: "list",
          member: {}
        },
        Stm: {
          type: "structure",
          required: [
            "name",
            "arn"
          ],
          members: {
            name: {},
            arn: {}
          }
        },
        Str: {
          type: "structure",
          required: [
            "arn"
          ],
          members: {
            arn: {}
          }
        },
        Svf: {
          type: "structure",
          required: [
            "targetType"
          ],
          members: {
            targetType: {},
            targetName: {}
          }
        },
        Swb: {
          type: "list",
          member: {}
        },
        Sx4: {
          type: "structure",
          required: [
            "resources"
          ],
          members: {
            actionType: {},
            resources: {
              type: "list",
              member: {}
            }
          }
        },
        Sx8: {
          type: "list",
          member: {}
        },
        Szr: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iot-2015-05-28.paginators.json
var require_iot_2015_05_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iot-2015-05-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetBehaviorModelTrainingSummaries: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "summaries"
        },
        ListActiveViolations: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "activeViolations"
        },
        ListAttachedPolicies: {
          input_token: "marker",
          limit_key: "pageSize",
          output_token: "nextMarker",
          result_key: "policies"
        },
        ListAuditFindings: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "findings"
        },
        ListAuditMitigationActionsExecutions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "actionsExecutions"
        },
        ListAuditMitigationActionsTasks: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "tasks"
        },
        ListAuditSuppressions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "suppressions"
        },
        ListAuditTasks: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "tasks"
        },
        ListAuthorizers: {
          input_token: "marker",
          limit_key: "pageSize",
          output_token: "nextMarker",
          result_key: "authorizers"
        },
        ListBillingGroups: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "billingGroups"
        },
        ListCACertificates: {
          input_token: "marker",
          limit_key: "pageSize",
          output_token: "nextMarker",
          result_key: "certificates"
        },
        ListCertificates: {
          input_token: "marker",
          limit_key: "pageSize",
          output_token: "nextMarker",
          result_key: "certificates"
        },
        ListCertificatesByCA: {
          input_token: "marker",
          limit_key: "pageSize",
          output_token: "nextMarker",
          result_key: "certificates"
        },
        ListCustomMetrics: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "metricNames"
        },
        ListDetectMitigationActionsExecutions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "actionsExecutions"
        },
        ListDetectMitigationActionsTasks: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "tasks"
        },
        ListDimensions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "dimensionNames"
        },
        ListDomainConfigurations: {
          input_token: "marker",
          limit_key: "pageSize",
          output_token: "nextMarker",
          result_key: "domainConfigurations"
        },
        ListFleetMetrics: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "fleetMetrics"
        },
        ListIndices: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "indexNames"
        },
        ListJobExecutionsForJob: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "executionSummaries"
        },
        ListJobExecutionsForThing: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "executionSummaries"
        },
        ListJobTemplates: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "jobTemplates"
        },
        ListJobs: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "jobs"
        },
        ListManagedJobTemplates: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "managedJobTemplates"
        },
        ListMetricValues: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "metricDatumList"
        },
        ListMitigationActions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "actionIdentifiers"
        },
        ListOTAUpdates: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "otaUpdates"
        },
        ListOutgoingCertificates: {
          input_token: "marker",
          limit_key: "pageSize",
          output_token: "nextMarker",
          result_key: "outgoingCertificates"
        },
        ListPackageVersions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "packageVersionSummaries"
        },
        ListPackages: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "packageSummaries"
        },
        ListPolicies: {
          input_token: "marker",
          limit_key: "pageSize",
          output_token: "nextMarker",
          result_key: "policies"
        },
        ListPolicyPrincipals: {
          input_token: "marker",
          limit_key: "pageSize",
          output_token: "nextMarker",
          result_key: "principals"
        },
        ListPrincipalPolicies: {
          input_token: "marker",
          limit_key: "pageSize",
          output_token: "nextMarker",
          result_key: "policies"
        },
        ListPrincipalThings: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "things"
        },
        ListProvisioningTemplateVersions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "versions"
        },
        ListProvisioningTemplates: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "templates"
        },
        ListRelatedResourcesForAuditFinding: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "relatedResources"
        },
        ListRoleAliases: {
          input_token: "marker",
          limit_key: "pageSize",
          output_token: "nextMarker",
          result_key: "roleAliases"
        },
        ListScheduledAudits: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "scheduledAudits"
        },
        ListSecurityProfiles: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "securityProfileIdentifiers"
        },
        ListSecurityProfilesForTarget: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "securityProfileTargetMappings"
        },
        ListStreams: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "streams"
        },
        ListTagsForResource: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "tags"
        },
        ListTargetsForPolicy: {
          input_token: "marker",
          limit_key: "pageSize",
          output_token: "nextMarker",
          result_key: "targets"
        },
        ListTargetsForSecurityProfile: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "securityProfileTargets"
        },
        ListThingGroups: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "thingGroups"
        },
        ListThingGroupsForThing: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "thingGroups"
        },
        ListThingPrincipals: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "principals"
        },
        ListThingRegistrationTaskReports: {
          input_token: "nextToken",
          limit_key: "maxResults",
          non_aggregate_keys: [
            "reportType"
          ],
          output_token: "nextToken",
          result_key: "resourceLinks"
        },
        ListThingRegistrationTasks: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "taskIds"
        },
        ListThingTypes: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "thingTypes"
        },
        ListThings: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "things"
        },
        ListThingsInBillingGroup: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "things"
        },
        ListThingsInThingGroup: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "things"
        },
        ListTopicRuleDestinations: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "destinationSummaries"
        },
        ListTopicRules: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "rules"
        },
        ListV2LoggingLevels: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "logTargetConfigurations"
        },
        ListViolationEvents: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "violationEvents"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/iot.js
var require_iot = __commonJS({
  "node_modules/aws-sdk/clients/iot.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iot"] = {};
    AWS2.Iot = Service.defineService("iot", ["2015-05-28"]);
    Object.defineProperty(apiLoader.services["iot"], "2015-05-28", {
      get: function get() {
        var model = require_iot_2015_05_28_min();
        model.paginators = require_iot_2015_05_28_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Iot;
  }
});

// node_modules/aws-sdk/lib/services/iotdata.js
var require_iotdata = __commonJS({
  "node_modules/aws-sdk/lib/services/iotdata.js"() {
    var AWS2 = require_core();
    var blobPayloadOutputOps = [
      "deleteThingShadow",
      "getThingShadow",
      "updateThingShadow"
    ];
    AWS2.util.update(AWS2.IotData.prototype, {
      /**
       * @api private
       */
      validateService: function validateService() {
        if (!this.config.endpoint || this.config.endpoint.indexOf("{") >= 0) {
          var msg = "AWS.IotData requires an explicit `endpoint' configuration option.";
          throw AWS2.util.error(
            new Error(),
            { name: "InvalidEndpoint", message: msg }
          );
        }
      },
      /**
       * @api private
       */
      setupRequestListeners: function setupRequestListeners(request) {
        request.addListener("validateResponse", this.validateResponseBody);
        if (blobPayloadOutputOps.indexOf(request.operation) > -1) {
          request.addListener("extractData", AWS2.util.convertPayloadToString);
        }
      },
      /**
       * @api private
       */
      validateResponseBody: function validateResponseBody(resp) {
        var body = resp.httpResponse.body.toString() || "{}";
        var bodyCheck = body.trim();
        if (!bodyCheck || bodyCheck.charAt(0) !== "{") {
          resp.httpResponse.body = "";
        }
      }
    });
  }
});

// node_modules/aws-sdk/apis/iot-data-2015-05-28.min.json
var require_iot_data_2015_05_28_min = __commonJS({
  "node_modules/aws-sdk/apis/iot-data-2015-05-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-05-28",
        endpointPrefix: "data-ats.iot",
        protocol: "rest-json",
        serviceFullName: "AWS IoT Data Plane",
        serviceId: "IoT Data Plane",
        signatureVersion: "v4",
        signingName: "iotdata",
        uid: "iot-data-2015-05-28"
      },
      operations: {
        DeleteThingShadow: {
          http: {
            method: "DELETE",
            requestUri: "/things/{thingName}/shadow"
          },
          input: {
            type: "structure",
            required: [
              "thingName"
            ],
            members: {
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              shadowName: {
                location: "querystring",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "payload"
            ],
            members: {
              payload: {
                type: "blob"
              }
            },
            payload: "payload"
          }
        },
        GetRetainedMessage: {
          http: {
            method: "GET",
            requestUri: "/retainedMessage/{topic}"
          },
          input: {
            type: "structure",
            required: [
              "topic"
            ],
            members: {
              topic: {
                location: "uri",
                locationName: "topic"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              topic: {},
              payload: {
                type: "blob"
              },
              qos: {
                type: "integer"
              },
              lastModifiedTime: {
                type: "long"
              },
              userProperties: {
                type: "blob"
              }
            }
          }
        },
        GetThingShadow: {
          http: {
            method: "GET",
            requestUri: "/things/{thingName}/shadow"
          },
          input: {
            type: "structure",
            required: [
              "thingName"
            ],
            members: {
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              shadowName: {
                location: "querystring",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              payload: {
                type: "blob"
              }
            },
            payload: "payload"
          }
        },
        ListNamedShadowsForThing: {
          http: {
            method: "GET",
            requestUri: "/api/things/shadow/ListNamedShadowsForThing/{thingName}"
          },
          input: {
            type: "structure",
            required: [
              "thingName"
            ],
            members: {
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              pageSize: {
                location: "querystring",
                locationName: "pageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              results: {
                type: "list",
                member: {}
              },
              nextToken: {},
              timestamp: {
                type: "long"
              }
            }
          }
        },
        ListRetainedMessages: {
          http: {
            method: "GET",
            requestUri: "/retainedMessage"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              retainedTopics: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    topic: {},
                    payloadSize: {
                      type: "long"
                    },
                    qos: {
                      type: "integer"
                    },
                    lastModifiedTime: {
                      type: "long"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        Publish: {
          http: {
            requestUri: "/topics/{topic}"
          },
          input: {
            type: "structure",
            required: [
              "topic"
            ],
            members: {
              topic: {
                location: "uri",
                locationName: "topic"
              },
              qos: {
                location: "querystring",
                locationName: "qos",
                type: "integer"
              },
              retain: {
                location: "querystring",
                locationName: "retain",
                type: "boolean"
              },
              payload: {
                type: "blob"
              },
              userProperties: {
                jsonvalue: true,
                location: "header",
                locationName: "x-amz-mqtt5-user-properties"
              },
              payloadFormatIndicator: {
                location: "header",
                locationName: "x-amz-mqtt5-payload-format-indicator"
              },
              contentType: {
                location: "querystring",
                locationName: "contentType"
              },
              responseTopic: {
                location: "querystring",
                locationName: "responseTopic"
              },
              correlationData: {
                location: "header",
                locationName: "x-amz-mqtt5-correlation-data"
              },
              messageExpiry: {
                location: "querystring",
                locationName: "messageExpiry",
                type: "long"
              }
            },
            payload: "payload"
          }
        },
        UpdateThingShadow: {
          http: {
            requestUri: "/things/{thingName}/shadow"
          },
          input: {
            type: "structure",
            required: [
              "thingName",
              "payload"
            ],
            members: {
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              shadowName: {
                location: "querystring",
                locationName: "name"
              },
              payload: {
                type: "blob"
              }
            },
            payload: "payload"
          },
          output: {
            type: "structure",
            members: {
              payload: {
                type: "blob"
              }
            },
            payload: "payload"
          }
        }
      },
      shapes: {}
    };
  }
});

// node_modules/aws-sdk/apis/iot-data-2015-05-28.paginators.json
var require_iot_data_2015_05_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iot-data-2015-05-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListRetainedMessages: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "retainedTopics"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/iotdata.js
var require_iotdata2 = __commonJS({
  "node_modules/aws-sdk/clients/iotdata.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iotdata"] = {};
    AWS2.IotData = Service.defineService("iotdata", ["2015-05-28"]);
    require_iotdata();
    Object.defineProperty(apiLoader.services["iotdata"], "2015-05-28", {
      get: function get() {
        var model = require_iot_data_2015_05_28_min();
        model.paginators = require_iot_data_2015_05_28_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IotData;
  }
});

// node_modules/aws-sdk/apis/kinesis-2013-12-02.min.json
var require_kinesis_2013_12_02_min = __commonJS({
  "node_modules/aws-sdk/apis/kinesis-2013-12-02.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2013-12-02",
        endpointPrefix: "kinesis",
        jsonVersion: "1.1",
        protocol: "json",
        protocolSettings: {
          h2: "eventstream"
        },
        serviceAbbreviation: "Kinesis",
        serviceFullName: "Amazon Kinesis",
        serviceId: "Kinesis",
        signatureVersion: "v4",
        targetPrefix: "Kinesis_20131202",
        uid: "kinesis-2013-12-02"
      },
      operations: {
        AddTagsToStream: {
          input: {
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              StreamName: {},
              Tags: {
                type: "map",
                key: {},
                value: {}
              },
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        CreateStream: {
          input: {
            type: "structure",
            required: [
              "StreamName"
            ],
            members: {
              StreamName: {},
              ShardCount: {
                type: "integer"
              },
              StreamModeDetails: {
                shape: "S9"
              }
            }
          }
        },
        DecreaseStreamRetentionPeriod: {
          input: {
            type: "structure",
            required: [
              "RetentionPeriodHours"
            ],
            members: {
              StreamName: {},
              RetentionPeriodHours: {
                type: "integer"
              },
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        DeleteStream: {
          input: {
            type: "structure",
            members: {
              StreamName: {},
              EnforceConsumerDeletion: {
                type: "boolean"
              },
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        DeregisterStreamConsumer: {
          input: {
            type: "structure",
            members: {
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              },
              ConsumerName: {},
              ConsumerARN: {
                contextParam: {
                  name: "ConsumerARN"
                }
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        DescribeLimits: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "ShardLimit",
              "OpenShardCount",
              "OnDemandStreamCount",
              "OnDemandStreamCountLimit"
            ],
            members: {
              ShardLimit: {
                type: "integer"
              },
              OpenShardCount: {
                type: "integer"
              },
              OnDemandStreamCount: {
                type: "integer"
              },
              OnDemandStreamCountLimit: {
                type: "integer"
              }
            }
          }
        },
        DescribeStream: {
          input: {
            type: "structure",
            members: {
              StreamName: {},
              Limit: {
                type: "integer"
              },
              ExclusiveStartShardId: {},
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "StreamDescription"
            ],
            members: {
              StreamDescription: {
                type: "structure",
                required: [
                  "StreamName",
                  "StreamARN",
                  "StreamStatus",
                  "Shards",
                  "HasMoreShards",
                  "RetentionPeriodHours",
                  "StreamCreationTimestamp",
                  "EnhancedMonitoring"
                ],
                members: {
                  StreamName: {},
                  StreamARN: {},
                  StreamStatus: {},
                  StreamModeDetails: {
                    shape: "S9"
                  },
                  Shards: {
                    shape: "St"
                  },
                  HasMoreShards: {
                    type: "boolean"
                  },
                  RetentionPeriodHours: {
                    type: "integer"
                  },
                  StreamCreationTimestamp: {
                    type: "timestamp"
                  },
                  EnhancedMonitoring: {
                    shape: "S10"
                  },
                  EncryptionType: {},
                  KeyId: {}
                }
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        DescribeStreamConsumer: {
          input: {
            type: "structure",
            members: {
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              },
              ConsumerName: {},
              ConsumerARN: {
                contextParam: {
                  name: "ConsumerARN"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ConsumerDescription"
            ],
            members: {
              ConsumerDescription: {
                type: "structure",
                required: [
                  "ConsumerName",
                  "ConsumerARN",
                  "ConsumerStatus",
                  "ConsumerCreationTimestamp",
                  "StreamARN"
                ],
                members: {
                  ConsumerName: {},
                  ConsumerARN: {},
                  ConsumerStatus: {},
                  ConsumerCreationTimestamp: {
                    type: "timestamp"
                  },
                  StreamARN: {}
                }
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        DescribeStreamSummary: {
          input: {
            type: "structure",
            members: {
              StreamName: {},
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "StreamDescriptionSummary"
            ],
            members: {
              StreamDescriptionSummary: {
                type: "structure",
                required: [
                  "StreamName",
                  "StreamARN",
                  "StreamStatus",
                  "RetentionPeriodHours",
                  "StreamCreationTimestamp",
                  "EnhancedMonitoring",
                  "OpenShardCount"
                ],
                members: {
                  StreamName: {},
                  StreamARN: {},
                  StreamStatus: {},
                  StreamModeDetails: {
                    shape: "S9"
                  },
                  RetentionPeriodHours: {
                    type: "integer"
                  },
                  StreamCreationTimestamp: {
                    type: "timestamp"
                  },
                  EnhancedMonitoring: {
                    shape: "S10"
                  },
                  EncryptionType: {},
                  KeyId: {},
                  OpenShardCount: {
                    type: "integer"
                  },
                  ConsumerCount: {
                    type: "integer"
                  }
                }
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        DisableEnhancedMonitoring: {
          input: {
            type: "structure",
            required: [
              "ShardLevelMetrics"
            ],
            members: {
              StreamName: {},
              ShardLevelMetrics: {
                shape: "S12"
              },
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          output: {
            shape: "S1f"
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        EnableEnhancedMonitoring: {
          input: {
            type: "structure",
            required: [
              "ShardLevelMetrics"
            ],
            members: {
              StreamName: {},
              ShardLevelMetrics: {
                shape: "S12"
              },
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          output: {
            shape: "S1f"
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        GetRecords: {
          input: {
            type: "structure",
            required: [
              "ShardIterator"
            ],
            members: {
              ShardIterator: {},
              Limit: {
                type: "integer"
              },
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Records"
            ],
            members: {
              Records: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "SequenceNumber",
                    "Data",
                    "PartitionKey"
                  ],
                  members: {
                    SequenceNumber: {},
                    ApproximateArrivalTimestamp: {
                      type: "timestamp"
                    },
                    Data: {
                      type: "blob"
                    },
                    PartitionKey: {},
                    EncryptionType: {}
                  }
                }
              },
              NextShardIterator: {},
              MillisBehindLatest: {
                type: "long"
              },
              ChildShards: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ShardId",
                    "ParentShards",
                    "HashKeyRange"
                  ],
                  members: {
                    ShardId: {},
                    ParentShards: {
                      type: "list",
                      member: {}
                    },
                    HashKeyRange: {
                      shape: "Sv"
                    }
                  }
                }
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "data"
            }
          }
        },
        GetShardIterator: {
          input: {
            type: "structure",
            required: [
              "ShardId",
              "ShardIteratorType"
            ],
            members: {
              StreamName: {},
              ShardId: {},
              ShardIteratorType: {},
              StartingSequenceNumber: {},
              Timestamp: {
                type: "timestamp"
              },
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ShardIterator: {}
            }
          },
          staticContextParams: {
            OperationType: {
              value: "data"
            }
          }
        },
        IncreaseStreamRetentionPeriod: {
          input: {
            type: "structure",
            required: [
              "RetentionPeriodHours"
            ],
            members: {
              StreamName: {},
              RetentionPeriodHours: {
                type: "integer"
              },
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        ListShards: {
          input: {
            type: "structure",
            members: {
              StreamName: {},
              NextToken: {},
              ExclusiveStartShardId: {},
              MaxResults: {
                type: "integer"
              },
              StreamCreationTimestamp: {
                type: "timestamp"
              },
              ShardFilter: {
                type: "structure",
                required: [
                  "Type"
                ],
                members: {
                  Type: {},
                  ShardId: {},
                  Timestamp: {
                    type: "timestamp"
                  }
                }
              },
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Shards: {
                shape: "St"
              },
              NextToken: {}
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        ListStreamConsumers: {
          input: {
            type: "structure",
            required: [
              "StreamARN"
            ],
            members: {
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              StreamCreationTimestamp: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Consumers: {
                type: "list",
                member: {
                  shape: "S27"
                }
              },
              NextToken: {}
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        ListStreams: {
          input: {
            type: "structure",
            members: {
              Limit: {
                type: "integer"
              },
              ExclusiveStartStreamName: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "StreamNames",
              "HasMoreStreams"
            ],
            members: {
              StreamNames: {
                type: "list",
                member: {}
              },
              HasMoreStreams: {
                type: "boolean"
              },
              NextToken: {},
              StreamSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "StreamName",
                    "StreamARN",
                    "StreamStatus"
                  ],
                  members: {
                    StreamName: {},
                    StreamARN: {},
                    StreamStatus: {},
                    StreamModeDetails: {
                      shape: "S9"
                    },
                    StreamCreationTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForStream: {
          input: {
            type: "structure",
            members: {
              StreamName: {},
              ExclusiveStartTagKey: {},
              Limit: {
                type: "integer"
              },
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Tags",
              "HasMoreTags"
            ],
            members: {
              Tags: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key"
                  ],
                  members: {
                    Key: {},
                    Value: {}
                  }
                }
              },
              HasMoreTags: {
                type: "boolean"
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        MergeShards: {
          input: {
            type: "structure",
            required: [
              "ShardToMerge",
              "AdjacentShardToMerge"
            ],
            members: {
              StreamName: {},
              ShardToMerge: {},
              AdjacentShardToMerge: {},
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        PutRecord: {
          input: {
            type: "structure",
            required: [
              "Data",
              "PartitionKey"
            ],
            members: {
              StreamName: {},
              Data: {
                type: "blob"
              },
              PartitionKey: {},
              ExplicitHashKey: {},
              SequenceNumberForOrdering: {},
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ShardId",
              "SequenceNumber"
            ],
            members: {
              ShardId: {},
              SequenceNumber: {},
              EncryptionType: {}
            }
          },
          staticContextParams: {
            OperationType: {
              value: "data"
            }
          }
        },
        PutRecords: {
          input: {
            type: "structure",
            required: [
              "Records"
            ],
            members: {
              Records: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Data",
                    "PartitionKey"
                  ],
                  members: {
                    Data: {
                      type: "blob"
                    },
                    ExplicitHashKey: {},
                    PartitionKey: {}
                  }
                }
              },
              StreamName: {},
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Records"
            ],
            members: {
              FailedRecordCount: {
                type: "integer"
              },
              Records: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SequenceNumber: {},
                    ShardId: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              },
              EncryptionType: {}
            }
          },
          staticContextParams: {
            OperationType: {
              value: "data"
            }
          }
        },
        RegisterStreamConsumer: {
          input: {
            type: "structure",
            required: [
              "StreamARN",
              "ConsumerName"
            ],
            members: {
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              },
              ConsumerName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Consumer"
            ],
            members: {
              Consumer: {
                shape: "S27"
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        RemoveTagsFromStream: {
          input: {
            type: "structure",
            required: [
              "TagKeys"
            ],
            members: {
              StreamName: {},
              TagKeys: {
                type: "list",
                member: {}
              },
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        SplitShard: {
          input: {
            type: "structure",
            required: [
              "ShardToSplit",
              "NewStartingHashKey"
            ],
            members: {
              StreamName: {},
              ShardToSplit: {},
              NewStartingHashKey: {},
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        StartStreamEncryption: {
          input: {
            type: "structure",
            required: [
              "EncryptionType",
              "KeyId"
            ],
            members: {
              StreamName: {},
              EncryptionType: {},
              KeyId: {},
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        StopStreamEncryption: {
          input: {
            type: "structure",
            required: [
              "EncryptionType",
              "KeyId"
            ],
            members: {
              StreamName: {},
              EncryptionType: {},
              KeyId: {},
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        UpdateShardCount: {
          input: {
            type: "structure",
            required: [
              "TargetShardCount",
              "ScalingType"
            ],
            members: {
              StreamName: {},
              TargetShardCount: {
                type: "integer"
              },
              ScalingType: {},
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamName: {},
              CurrentShardCount: {
                type: "integer"
              },
              TargetShardCount: {
                type: "integer"
              },
              StreamARN: {}
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        },
        UpdateStreamMode: {
          input: {
            type: "structure",
            required: [
              "StreamARN",
              "StreamModeDetails"
            ],
            members: {
              StreamARN: {
                contextParam: {
                  name: "StreamARN"
                }
              },
              StreamModeDetails: {
                shape: "S9"
              }
            }
          },
          staticContextParams: {
            OperationType: {
              value: "control"
            }
          }
        }
      },
      shapes: {
        S9: {
          type: "structure",
          required: [
            "StreamMode"
          ],
          members: {
            StreamMode: {}
          }
        },
        St: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ShardId",
              "HashKeyRange",
              "SequenceNumberRange"
            ],
            members: {
              ShardId: {},
              ParentShardId: {},
              AdjacentParentShardId: {},
              HashKeyRange: {
                shape: "Sv"
              },
              SequenceNumberRange: {
                type: "structure",
                required: [
                  "StartingSequenceNumber"
                ],
                members: {
                  StartingSequenceNumber: {},
                  EndingSequenceNumber: {}
                }
              }
            }
          }
        },
        Sv: {
          type: "structure",
          required: [
            "StartingHashKey",
            "EndingHashKey"
          ],
          members: {
            StartingHashKey: {},
            EndingHashKey: {}
          }
        },
        S10: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ShardLevelMetrics: {
                shape: "S12"
              }
            }
          }
        },
        S12: {
          type: "list",
          member: {}
        },
        S1f: {
          type: "structure",
          members: {
            StreamName: {},
            CurrentShardLevelMetrics: {
              shape: "S12"
            },
            DesiredShardLevelMetrics: {
              shape: "S12"
            },
            StreamARN: {}
          }
        },
        S27: {
          type: "structure",
          required: [
            "ConsumerName",
            "ConsumerARN",
            "ConsumerStatus",
            "ConsumerCreationTimestamp"
          ],
          members: {
            ConsumerName: {},
            ConsumerARN: {},
            ConsumerStatus: {},
            ConsumerCreationTimestamp: {
              type: "timestamp"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/kinesis-2013-12-02.paginators.json
var require_kinesis_2013_12_02_paginators = __commonJS({
  "node_modules/aws-sdk/apis/kinesis-2013-12-02.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeStream: {
          input_token: "ExclusiveStartShardId",
          limit_key: "Limit",
          more_results: "StreamDescription.HasMoreShards",
          output_token: "StreamDescription.Shards[-1].ShardId",
          result_key: "StreamDescription.Shards"
        },
        ListStreamConsumers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListStreams: {
          input_token: "NextToken",
          limit_key: "Limit",
          more_results: "HasMoreStreams",
          output_token: "NextToken",
          result_key: [
            "StreamNames",
            "StreamSummaries"
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/kinesis-2013-12-02.waiters2.json
var require_kinesis_2013_12_02_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/kinesis-2013-12-02.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        StreamExists: {
          delay: 10,
          operation: "DescribeStream",
          maxAttempts: 18,
          acceptors: [
            {
              expected: "ACTIVE",
              matcher: "path",
              state: "success",
              argument: "StreamDescription.StreamStatus"
            }
          ]
        },
        StreamNotExists: {
          delay: 10,
          operation: "DescribeStream",
          maxAttempts: 18,
          acceptors: [
            {
              expected: "ResourceNotFoundException",
              matcher: "error",
              state: "success"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/kinesis.js
var require_kinesis = __commonJS({
  "node_modules/aws-sdk/clients/kinesis.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["kinesis"] = {};
    AWS2.Kinesis = Service.defineService("kinesis", ["2013-12-02"]);
    Object.defineProperty(apiLoader.services["kinesis"], "2013-12-02", {
      get: function get() {
        var model = require_kinesis_2013_12_02_min();
        model.paginators = require_kinesis_2013_12_02_paginators().pagination;
        model.waiters = require_kinesis_2013_12_02_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Kinesis;
  }
});

// node_modules/aws-sdk/apis/kinesisanalytics-2015-08-14.min.json
var require_kinesisanalytics_2015_08_14_min = __commonJS({
  "node_modules/aws-sdk/apis/kinesisanalytics-2015-08-14.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-08-14",
        endpointPrefix: "kinesisanalytics",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Kinesis Analytics",
        serviceFullName: "Amazon Kinesis Analytics",
        serviceId: "Kinesis Analytics",
        signatureVersion: "v4",
        targetPrefix: "KinesisAnalytics_20150814",
        uid: "kinesisanalytics-2015-08-14"
      },
      operations: {
        AddApplicationCloudWatchLoggingOption: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "CloudWatchLoggingOption"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              CloudWatchLoggingOption: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AddApplicationInput: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "Input"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              Input: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AddApplicationInputProcessingConfiguration: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "InputId",
              "InputProcessingConfiguration"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              InputId: {},
              InputProcessingConfiguration: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AddApplicationOutput: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "Output"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              Output: {
                shape: "S12"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AddApplicationReferenceDataSource: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "ReferenceDataSource"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              ReferenceDataSource: {
                type: "structure",
                required: [
                  "TableName",
                  "ReferenceSchema"
                ],
                members: {
                  TableName: {},
                  S3ReferenceDataSource: {
                    type: "structure",
                    required: [
                      "BucketARN",
                      "FileKey",
                      "ReferenceRoleARN"
                    ],
                    members: {
                      BucketARN: {},
                      FileKey: {},
                      ReferenceRoleARN: {}
                    }
                  },
                  ReferenceSchema: {
                    shape: "Si"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateApplication: {
          input: {
            type: "structure",
            required: [
              "ApplicationName"
            ],
            members: {
              ApplicationName: {},
              ApplicationDescription: {},
              Inputs: {
                type: "list",
                member: {
                  shape: "S9"
                }
              },
              Outputs: {
                type: "list",
                member: {
                  shape: "S12"
                }
              },
              CloudWatchLoggingOptions: {
                type: "list",
                member: {
                  shape: "S4"
                }
              },
              ApplicationCode: {},
              Tags: {
                shape: "S1l"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ApplicationSummary"
            ],
            members: {
              ApplicationSummary: {
                shape: "S1q"
              }
            }
          }
        },
        DeleteApplication: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CreateTimestamp"
            ],
            members: {
              ApplicationName: {},
              CreateTimestamp: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteApplicationCloudWatchLoggingOption: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "CloudWatchLoggingOptionId"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              CloudWatchLoggingOptionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteApplicationInputProcessingConfiguration: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "InputId"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              InputId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteApplicationOutput: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "OutputId"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              OutputId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteApplicationReferenceDataSource: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "ReferenceId"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              ReferenceId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeApplication: {
          input: {
            type: "structure",
            required: [
              "ApplicationName"
            ],
            members: {
              ApplicationName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ApplicationDetail"
            ],
            members: {
              ApplicationDetail: {
                type: "structure",
                required: [
                  "ApplicationName",
                  "ApplicationARN",
                  "ApplicationStatus",
                  "ApplicationVersionId"
                ],
                members: {
                  ApplicationName: {},
                  ApplicationDescription: {},
                  ApplicationARN: {},
                  ApplicationStatus: {},
                  CreateTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdateTimestamp: {
                    type: "timestamp"
                  },
                  InputDescriptions: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        InputId: {},
                        NamePrefix: {},
                        InAppStreamNames: {
                          type: "list",
                          member: {}
                        },
                        InputProcessingConfigurationDescription: {
                          type: "structure",
                          members: {
                            InputLambdaProcessorDescription: {
                              type: "structure",
                              members: {
                                ResourceARN: {},
                                RoleARN: {}
                              }
                            }
                          }
                        },
                        KinesisStreamsInputDescription: {
                          type: "structure",
                          members: {
                            ResourceARN: {},
                            RoleARN: {}
                          }
                        },
                        KinesisFirehoseInputDescription: {
                          type: "structure",
                          members: {
                            ResourceARN: {},
                            RoleARN: {}
                          }
                        },
                        InputSchema: {
                          shape: "Si"
                        },
                        InputParallelism: {
                          shape: "Sg"
                        },
                        InputStartingPositionConfiguration: {
                          shape: "S2d"
                        }
                      }
                    }
                  },
                  OutputDescriptions: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        OutputId: {},
                        Name: {},
                        KinesisStreamsOutputDescription: {
                          type: "structure",
                          members: {
                            ResourceARN: {},
                            RoleARN: {}
                          }
                        },
                        KinesisFirehoseOutputDescription: {
                          type: "structure",
                          members: {
                            ResourceARN: {},
                            RoleARN: {}
                          }
                        },
                        LambdaOutputDescription: {
                          type: "structure",
                          members: {
                            ResourceARN: {},
                            RoleARN: {}
                          }
                        },
                        DestinationSchema: {
                          shape: "S16"
                        }
                      }
                    }
                  },
                  ReferenceDataSourceDescriptions: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "ReferenceId",
                        "TableName",
                        "S3ReferenceDataSourceDescription"
                      ],
                      members: {
                        ReferenceId: {},
                        TableName: {},
                        S3ReferenceDataSourceDescription: {
                          type: "structure",
                          required: [
                            "BucketARN",
                            "FileKey",
                            "ReferenceRoleARN"
                          ],
                          members: {
                            BucketARN: {},
                            FileKey: {},
                            ReferenceRoleARN: {}
                          }
                        },
                        ReferenceSchema: {
                          shape: "Si"
                        }
                      }
                    }
                  },
                  CloudWatchLoggingOptionDescriptions: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "LogStreamARN",
                        "RoleARN"
                      ],
                      members: {
                        CloudWatchLoggingOptionId: {},
                        LogStreamARN: {},
                        RoleARN: {}
                      }
                    }
                  },
                  ApplicationCode: {},
                  ApplicationVersionId: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        DiscoverInputSchema: {
          input: {
            type: "structure",
            members: {
              ResourceARN: {},
              RoleARN: {},
              InputStartingPositionConfiguration: {
                shape: "S2d"
              },
              S3Configuration: {
                type: "structure",
                required: [
                  "RoleARN",
                  "BucketARN",
                  "FileKey"
                ],
                members: {
                  RoleARN: {},
                  BucketARN: {},
                  FileKey: {}
                }
              },
              InputProcessingConfiguration: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InputSchema: {
                shape: "Si"
              },
              ParsedInputRecords: {
                type: "list",
                member: {
                  type: "list",
                  member: {}
                }
              },
              ProcessedInputRecords: {
                type: "list",
                member: {}
              },
              RawInputRecords: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ListApplications: {
          input: {
            type: "structure",
            members: {
              Limit: {
                type: "integer"
              },
              ExclusiveStartApplicationName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ApplicationSummaries",
              "HasMoreApplications"
            ],
            members: {
              ApplicationSummaries: {
                type: "list",
                member: {
                  shape: "S1q"
                }
              },
              HasMoreApplications: {
                type: "boolean"
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S1l"
              }
            }
          }
        },
        StartApplication: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "InputConfigurations"
            ],
            members: {
              ApplicationName: {},
              InputConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Id",
                    "InputStartingPositionConfiguration"
                  ],
                  members: {
                    Id: {},
                    InputStartingPositionConfiguration: {
                      shape: "S2d"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StopApplication: {
          input: {
            type: "structure",
            required: [
              "ApplicationName"
            ],
            members: {
              ApplicationName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S1l"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateApplication: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "ApplicationUpdate"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              ApplicationUpdate: {
                type: "structure",
                members: {
                  InputUpdates: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "InputId"
                      ],
                      members: {
                        InputId: {},
                        NamePrefixUpdate: {},
                        InputProcessingConfigurationUpdate: {
                          type: "structure",
                          required: [
                            "InputLambdaProcessorUpdate"
                          ],
                          members: {
                            InputLambdaProcessorUpdate: {
                              type: "structure",
                              members: {
                                ResourceARNUpdate: {},
                                RoleARNUpdate: {}
                              }
                            }
                          }
                        },
                        KinesisStreamsInputUpdate: {
                          type: "structure",
                          members: {
                            ResourceARNUpdate: {},
                            RoleARNUpdate: {}
                          }
                        },
                        KinesisFirehoseInputUpdate: {
                          type: "structure",
                          members: {
                            ResourceARNUpdate: {},
                            RoleARNUpdate: {}
                          }
                        },
                        InputSchemaUpdate: {
                          type: "structure",
                          members: {
                            RecordFormatUpdate: {
                              shape: "Sj"
                            },
                            RecordEncodingUpdate: {},
                            RecordColumnUpdates: {
                              shape: "Ss"
                            }
                          }
                        },
                        InputParallelismUpdate: {
                          type: "structure",
                          members: {
                            CountUpdate: {
                              type: "integer"
                            }
                          }
                        }
                      }
                    }
                  },
                  ApplicationCodeUpdate: {},
                  OutputUpdates: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "OutputId"
                      ],
                      members: {
                        OutputId: {},
                        NameUpdate: {},
                        KinesisStreamsOutputUpdate: {
                          type: "structure",
                          members: {
                            ResourceARNUpdate: {},
                            RoleARNUpdate: {}
                          }
                        },
                        KinesisFirehoseOutputUpdate: {
                          type: "structure",
                          members: {
                            ResourceARNUpdate: {},
                            RoleARNUpdate: {}
                          }
                        },
                        LambdaOutputUpdate: {
                          type: "structure",
                          members: {
                            ResourceARNUpdate: {},
                            RoleARNUpdate: {}
                          }
                        },
                        DestinationSchemaUpdate: {
                          shape: "S16"
                        }
                      }
                    }
                  },
                  ReferenceDataSourceUpdates: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "ReferenceId"
                      ],
                      members: {
                        ReferenceId: {},
                        TableNameUpdate: {},
                        S3ReferenceDataSourceUpdate: {
                          type: "structure",
                          members: {
                            BucketARNUpdate: {},
                            FileKeyUpdate: {},
                            ReferenceRoleARNUpdate: {}
                          }
                        },
                        ReferenceSchemaUpdate: {
                          shape: "Si"
                        }
                      }
                    }
                  },
                  CloudWatchLoggingOptionUpdates: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "CloudWatchLoggingOptionId"
                      ],
                      members: {
                        CloudWatchLoggingOptionId: {},
                        LogStreamARNUpdate: {},
                        RoleARNUpdate: {}
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          required: [
            "LogStreamARN",
            "RoleARN"
          ],
          members: {
            LogStreamARN: {},
            RoleARN: {}
          }
        },
        S9: {
          type: "structure",
          required: [
            "NamePrefix",
            "InputSchema"
          ],
          members: {
            NamePrefix: {},
            InputProcessingConfiguration: {
              shape: "Sb"
            },
            KinesisStreamsInput: {
              type: "structure",
              required: [
                "ResourceARN",
                "RoleARN"
              ],
              members: {
                ResourceARN: {},
                RoleARN: {}
              }
            },
            KinesisFirehoseInput: {
              type: "structure",
              required: [
                "ResourceARN",
                "RoleARN"
              ],
              members: {
                ResourceARN: {},
                RoleARN: {}
              }
            },
            InputParallelism: {
              shape: "Sg"
            },
            InputSchema: {
              shape: "Si"
            }
          }
        },
        Sb: {
          type: "structure",
          required: [
            "InputLambdaProcessor"
          ],
          members: {
            InputLambdaProcessor: {
              type: "structure",
              required: [
                "ResourceARN",
                "RoleARN"
              ],
              members: {
                ResourceARN: {},
                RoleARN: {}
              }
            }
          }
        },
        Sg: {
          type: "structure",
          members: {
            Count: {
              type: "integer"
            }
          }
        },
        Si: {
          type: "structure",
          required: [
            "RecordFormat",
            "RecordColumns"
          ],
          members: {
            RecordFormat: {
              shape: "Sj"
            },
            RecordEncoding: {},
            RecordColumns: {
              shape: "Ss"
            }
          }
        },
        Sj: {
          type: "structure",
          required: [
            "RecordFormatType"
          ],
          members: {
            RecordFormatType: {},
            MappingParameters: {
              type: "structure",
              members: {
                JSONMappingParameters: {
                  type: "structure",
                  required: [
                    "RecordRowPath"
                  ],
                  members: {
                    RecordRowPath: {}
                  }
                },
                CSVMappingParameters: {
                  type: "structure",
                  required: [
                    "RecordRowDelimiter",
                    "RecordColumnDelimiter"
                  ],
                  members: {
                    RecordRowDelimiter: {},
                    RecordColumnDelimiter: {}
                  }
                }
              }
            }
          }
        },
        Ss: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "SqlType"
            ],
            members: {
              Name: {},
              Mapping: {},
              SqlType: {}
            }
          }
        },
        S12: {
          type: "structure",
          required: [
            "Name",
            "DestinationSchema"
          ],
          members: {
            Name: {},
            KinesisStreamsOutput: {
              type: "structure",
              required: [
                "ResourceARN",
                "RoleARN"
              ],
              members: {
                ResourceARN: {},
                RoleARN: {}
              }
            },
            KinesisFirehoseOutput: {
              type: "structure",
              required: [
                "ResourceARN",
                "RoleARN"
              ],
              members: {
                ResourceARN: {},
                RoleARN: {}
              }
            },
            LambdaOutput: {
              type: "structure",
              required: [
                "ResourceARN",
                "RoleARN"
              ],
              members: {
                ResourceARN: {},
                RoleARN: {}
              }
            },
            DestinationSchema: {
              shape: "S16"
            }
          }
        },
        S16: {
          type: "structure",
          required: [
            "RecordFormatType"
          ],
          members: {
            RecordFormatType: {}
          }
        },
        S1l: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S1q: {
          type: "structure",
          required: [
            "ApplicationName",
            "ApplicationARN",
            "ApplicationStatus"
          ],
          members: {
            ApplicationName: {},
            ApplicationARN: {},
            ApplicationStatus: {}
          }
        },
        S2d: {
          type: "structure",
          members: {
            InputStartingPosition: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/kinesisanalytics-2015-08-14.paginators.json
var require_kinesisanalytics_2015_08_14_paginators = __commonJS({
  "node_modules/aws-sdk/apis/kinesisanalytics-2015-08-14.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/kinesisanalytics.js
var require_kinesisanalytics = __commonJS({
  "node_modules/aws-sdk/clients/kinesisanalytics.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["kinesisanalytics"] = {};
    AWS2.KinesisAnalytics = Service.defineService("kinesisanalytics", ["2015-08-14"]);
    Object.defineProperty(apiLoader.services["kinesisanalytics"], "2015-08-14", {
      get: function get() {
        var model = require_kinesisanalytics_2015_08_14_min();
        model.paginators = require_kinesisanalytics_2015_08_14_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.KinesisAnalytics;
  }
});

// node_modules/aws-sdk/apis/kms-2014-11-01.min.json
var require_kms_2014_11_01_min = __commonJS({
  "node_modules/aws-sdk/apis/kms-2014-11-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2014-11-01",
        endpointPrefix: "kms",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "KMS",
        serviceFullName: "AWS Key Management Service",
        serviceId: "KMS",
        signatureVersion: "v4",
        targetPrefix: "TrentService",
        uid: "kms-2014-11-01"
      },
      operations: {
        CancelKeyDeletion: {
          input: {
            type: "structure",
            required: [
              "KeyId"
            ],
            members: {
              KeyId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              KeyId: {}
            }
          }
        },
        ConnectCustomKeyStore: {
          input: {
            type: "structure",
            required: [
              "CustomKeyStoreId"
            ],
            members: {
              CustomKeyStoreId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateAlias: {
          input: {
            type: "structure",
            required: [
              "AliasName",
              "TargetKeyId"
            ],
            members: {
              AliasName: {},
              TargetKeyId: {}
            }
          }
        },
        CreateCustomKeyStore: {
          input: {
            type: "structure",
            required: [
              "CustomKeyStoreName"
            ],
            members: {
              CustomKeyStoreName: {},
              CloudHsmClusterId: {},
              TrustAnchorCertificate: {},
              KeyStorePassword: {
                shape: "Sd"
              },
              CustomKeyStoreType: {},
              XksProxyUriEndpoint: {},
              XksProxyUriPath: {},
              XksProxyVpcEndpointServiceName: {},
              XksProxyAuthenticationCredential: {
                shape: "Si"
              },
              XksProxyConnectivity: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CustomKeyStoreId: {}
            }
          }
        },
        CreateGrant: {
          input: {
            type: "structure",
            required: [
              "KeyId",
              "GranteePrincipal",
              "Operations"
            ],
            members: {
              KeyId: {},
              GranteePrincipal: {},
              RetiringPrincipal: {},
              Operations: {
                shape: "Sp"
              },
              Constraints: {
                shape: "Sr"
              },
              GrantTokens: {
                shape: "Sv"
              },
              Name: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GrantToken: {},
              GrantId: {}
            }
          }
        },
        CreateKey: {
          input: {
            type: "structure",
            members: {
              Policy: {},
              Description: {},
              KeyUsage: {},
              CustomerMasterKeySpec: {
                shape: "S15",
                deprecated: true,
                deprecatedMessage: "This parameter has been deprecated. Instead, use the KeySpec parameter."
              },
              KeySpec: {},
              Origin: {},
              CustomKeyStoreId: {},
              BypassPolicyLockoutSafetyCheck: {
                type: "boolean"
              },
              Tags: {
                shape: "S19"
              },
              MultiRegion: {
                type: "boolean"
              },
              XksKeyId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              KeyMetadata: {
                shape: "S1f"
              }
            }
          }
        },
        Decrypt: {
          input: {
            type: "structure",
            required: [
              "CiphertextBlob"
            ],
            members: {
              CiphertextBlob: {
                type: "blob"
              },
              EncryptionContext: {
                shape: "Ss"
              },
              GrantTokens: {
                shape: "Sv"
              },
              KeyId: {},
              EncryptionAlgorithm: {},
              Recipient: {
                shape: "S21"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KeyId: {},
              Plaintext: {
                shape: "S25"
              },
              EncryptionAlgorithm: {},
              CiphertextForRecipient: {
                type: "blob"
              }
            }
          }
        },
        DeleteAlias: {
          input: {
            type: "structure",
            required: [
              "AliasName"
            ],
            members: {
              AliasName: {}
            }
          }
        },
        DeleteCustomKeyStore: {
          input: {
            type: "structure",
            required: [
              "CustomKeyStoreId"
            ],
            members: {
              CustomKeyStoreId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteImportedKeyMaterial: {
          input: {
            type: "structure",
            required: [
              "KeyId"
            ],
            members: {
              KeyId: {}
            }
          }
        },
        DescribeCustomKeyStores: {
          input: {
            type: "structure",
            members: {
              CustomKeyStoreId: {},
              CustomKeyStoreName: {},
              Limit: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CustomKeyStores: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CustomKeyStoreId: {},
                    CustomKeyStoreName: {},
                    CloudHsmClusterId: {},
                    TrustAnchorCertificate: {},
                    ConnectionState: {},
                    ConnectionErrorCode: {},
                    CreationDate: {
                      type: "timestamp"
                    },
                    CustomKeyStoreType: {},
                    XksProxyConfiguration: {
                      type: "structure",
                      members: {
                        Connectivity: {},
                        AccessKeyId: {
                          shape: "Sj"
                        },
                        UriEndpoint: {},
                        UriPath: {},
                        VpcEndpointServiceName: {}
                      }
                    }
                  }
                }
              },
              NextMarker: {},
              Truncated: {
                type: "boolean"
              }
            }
          }
        },
        DescribeKey: {
          input: {
            type: "structure",
            required: [
              "KeyId"
            ],
            members: {
              KeyId: {},
              GrantTokens: {
                shape: "Sv"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KeyMetadata: {
                shape: "S1f"
              }
            }
          }
        },
        DisableKey: {
          input: {
            type: "structure",
            required: [
              "KeyId"
            ],
            members: {
              KeyId: {}
            }
          }
        },
        DisableKeyRotation: {
          input: {
            type: "structure",
            required: [
              "KeyId"
            ],
            members: {
              KeyId: {}
            }
          }
        },
        DisconnectCustomKeyStore: {
          input: {
            type: "structure",
            required: [
              "CustomKeyStoreId"
            ],
            members: {
              CustomKeyStoreId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        EnableKey: {
          input: {
            type: "structure",
            required: [
              "KeyId"
            ],
            members: {
              KeyId: {}
            }
          }
        },
        EnableKeyRotation: {
          input: {
            type: "structure",
            required: [
              "KeyId"
            ],
            members: {
              KeyId: {}
            }
          }
        },
        Encrypt: {
          input: {
            type: "structure",
            required: [
              "KeyId",
              "Plaintext"
            ],
            members: {
              KeyId: {},
              Plaintext: {
                shape: "S25"
              },
              EncryptionContext: {
                shape: "Ss"
              },
              GrantTokens: {
                shape: "Sv"
              },
              EncryptionAlgorithm: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CiphertextBlob: {
                type: "blob"
              },
              KeyId: {},
              EncryptionAlgorithm: {}
            }
          }
        },
        GenerateDataKey: {
          input: {
            type: "structure",
            required: [
              "KeyId"
            ],
            members: {
              KeyId: {},
              EncryptionContext: {
                shape: "Ss"
              },
              NumberOfBytes: {
                type: "integer"
              },
              KeySpec: {},
              GrantTokens: {
                shape: "Sv"
              },
              Recipient: {
                shape: "S21"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CiphertextBlob: {
                type: "blob"
              },
              Plaintext: {
                shape: "S25"
              },
              KeyId: {},
              CiphertextForRecipient: {
                type: "blob"
              }
            }
          }
        },
        GenerateDataKeyPair: {
          input: {
            type: "structure",
            required: [
              "KeyId",
              "KeyPairSpec"
            ],
            members: {
              EncryptionContext: {
                shape: "Ss"
              },
              KeyId: {},
              KeyPairSpec: {},
              GrantTokens: {
                shape: "Sv"
              },
              Recipient: {
                shape: "S21"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PrivateKeyCiphertextBlob: {
                type: "blob"
              },
              PrivateKeyPlaintext: {
                shape: "S25"
              },
              PublicKey: {
                type: "blob"
              },
              KeyId: {},
              KeyPairSpec: {},
              CiphertextForRecipient: {
                type: "blob"
              }
            }
          }
        },
        GenerateDataKeyPairWithoutPlaintext: {
          input: {
            type: "structure",
            required: [
              "KeyId",
              "KeyPairSpec"
            ],
            members: {
              EncryptionContext: {
                shape: "Ss"
              },
              KeyId: {},
              KeyPairSpec: {},
              GrantTokens: {
                shape: "Sv"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PrivateKeyCiphertextBlob: {
                type: "blob"
              },
              PublicKey: {
                type: "blob"
              },
              KeyId: {},
              KeyPairSpec: {}
            }
          }
        },
        GenerateDataKeyWithoutPlaintext: {
          input: {
            type: "structure",
            required: [
              "KeyId"
            ],
            members: {
              KeyId: {},
              EncryptionContext: {
                shape: "Ss"
              },
              KeySpec: {},
              NumberOfBytes: {
                type: "integer"
              },
              GrantTokens: {
                shape: "Sv"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CiphertextBlob: {
                type: "blob"
              },
              KeyId: {}
            }
          }
        },
        GenerateMac: {
          input: {
            type: "structure",
            required: [
              "Message",
              "KeyId",
              "MacAlgorithm"
            ],
            members: {
              Message: {
                shape: "S25"
              },
              KeyId: {},
              MacAlgorithm: {},
              GrantTokens: {
                shape: "Sv"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Mac: {
                type: "blob"
              },
              MacAlgorithm: {},
              KeyId: {}
            }
          }
        },
        GenerateRandom: {
          input: {
            type: "structure",
            members: {
              NumberOfBytes: {
                type: "integer"
              },
              CustomKeyStoreId: {},
              Recipient: {
                shape: "S21"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Plaintext: {
                shape: "S25"
              },
              CiphertextForRecipient: {
                type: "blob"
              }
            }
          }
        },
        GetKeyPolicy: {
          input: {
            type: "structure",
            required: [
              "KeyId",
              "PolicyName"
            ],
            members: {
              KeyId: {},
              PolicyName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {}
            }
          }
        },
        GetKeyRotationStatus: {
          input: {
            type: "structure",
            required: [
              "KeyId"
            ],
            members: {
              KeyId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              KeyRotationEnabled: {
                type: "boolean"
              }
            }
          }
        },
        GetParametersForImport: {
          input: {
            type: "structure",
            required: [
              "KeyId",
              "WrappingAlgorithm",
              "WrappingKeySpec"
            ],
            members: {
              KeyId: {},
              WrappingAlgorithm: {},
              WrappingKeySpec: {}
            }
          },
          output: {
            type: "structure",
            members: {
              KeyId: {},
              ImportToken: {
                type: "blob"
              },
              PublicKey: {
                shape: "S25"
              },
              ParametersValidTo: {
                type: "timestamp"
              }
            }
          }
        },
        GetPublicKey: {
          input: {
            type: "structure",
            required: [
              "KeyId"
            ],
            members: {
              KeyId: {},
              GrantTokens: {
                shape: "Sv"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KeyId: {},
              PublicKey: {
                type: "blob"
              },
              CustomerMasterKeySpec: {
                shape: "S15",
                deprecated: true,
                deprecatedMessage: "This field has been deprecated. Instead, use the KeySpec field."
              },
              KeySpec: {},
              KeyUsage: {},
              EncryptionAlgorithms: {
                shape: "S1m"
              },
              SigningAlgorithms: {
                shape: "S1o"
              }
            }
          }
        },
        ImportKeyMaterial: {
          input: {
            type: "structure",
            required: [
              "KeyId",
              "ImportToken",
              "EncryptedKeyMaterial"
            ],
            members: {
              KeyId: {},
              ImportToken: {
                type: "blob"
              },
              EncryptedKeyMaterial: {
                type: "blob"
              },
              ValidTo: {
                type: "timestamp"
              },
              ExpirationModel: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ListAliases: {
          input: {
            type: "structure",
            members: {
              KeyId: {},
              Limit: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Aliases: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AliasName: {},
                    AliasArn: {},
                    TargetKeyId: {},
                    CreationDate: {
                      type: "timestamp"
                    },
                    LastUpdatedDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextMarker: {},
              Truncated: {
                type: "boolean"
              }
            }
          }
        },
        ListGrants: {
          input: {
            type: "structure",
            required: [
              "KeyId"
            ],
            members: {
              Limit: {
                type: "integer"
              },
              Marker: {},
              KeyId: {},
              GrantId: {},
              GranteePrincipal: {}
            }
          },
          output: {
            shape: "S3r"
          }
        },
        ListKeyPolicies: {
          input: {
            type: "structure",
            required: [
              "KeyId"
            ],
            members: {
              KeyId: {},
              Limit: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyNames: {
                type: "list",
                member: {}
              },
              NextMarker: {},
              Truncated: {
                type: "boolean"
              }
            }
          }
        },
        ListKeys: {
          input: {
            type: "structure",
            members: {
              Limit: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Keys: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    KeyId: {},
                    KeyArn: {}
                  }
                }
              },
              NextMarker: {},
              Truncated: {
                type: "boolean"
              }
            }
          }
        },
        ListResourceTags: {
          input: {
            type: "structure",
            required: [
              "KeyId"
            ],
            members: {
              KeyId: {},
              Limit: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S19"
              },
              NextMarker: {},
              Truncated: {
                type: "boolean"
              }
            }
          }
        },
        ListRetirableGrants: {
          input: {
            type: "structure",
            required: [
              "RetiringPrincipal"
            ],
            members: {
              Limit: {
                type: "integer"
              },
              Marker: {},
              RetiringPrincipal: {}
            }
          },
          output: {
            shape: "S3r"
          }
        },
        PutKeyPolicy: {
          input: {
            type: "structure",
            required: [
              "KeyId",
              "PolicyName",
              "Policy"
            ],
            members: {
              KeyId: {},
              PolicyName: {},
              Policy: {},
              BypassPolicyLockoutSafetyCheck: {
                type: "boolean"
              }
            }
          }
        },
        ReEncrypt: {
          input: {
            type: "structure",
            required: [
              "CiphertextBlob",
              "DestinationKeyId"
            ],
            members: {
              CiphertextBlob: {
                type: "blob"
              },
              SourceEncryptionContext: {
                shape: "Ss"
              },
              SourceKeyId: {},
              DestinationKeyId: {},
              DestinationEncryptionContext: {
                shape: "Ss"
              },
              SourceEncryptionAlgorithm: {},
              DestinationEncryptionAlgorithm: {},
              GrantTokens: {
                shape: "Sv"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CiphertextBlob: {
                type: "blob"
              },
              SourceKeyId: {},
              KeyId: {},
              SourceEncryptionAlgorithm: {},
              DestinationEncryptionAlgorithm: {}
            }
          }
        },
        ReplicateKey: {
          input: {
            type: "structure",
            required: [
              "KeyId",
              "ReplicaRegion"
            ],
            members: {
              KeyId: {},
              ReplicaRegion: {},
              Policy: {},
              BypassPolicyLockoutSafetyCheck: {
                type: "boolean"
              },
              Description: {},
              Tags: {
                shape: "S19"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicaKeyMetadata: {
                shape: "S1f"
              },
              ReplicaPolicy: {},
              ReplicaTags: {
                shape: "S19"
              }
            }
          }
        },
        RetireGrant: {
          input: {
            type: "structure",
            members: {
              GrantToken: {},
              KeyId: {},
              GrantId: {},
              DryRun: {
                type: "boolean"
              }
            }
          }
        },
        RevokeGrant: {
          input: {
            type: "structure",
            required: [
              "KeyId",
              "GrantId"
            ],
            members: {
              KeyId: {},
              GrantId: {},
              DryRun: {
                type: "boolean"
              }
            }
          }
        },
        ScheduleKeyDeletion: {
          input: {
            type: "structure",
            required: [
              "KeyId"
            ],
            members: {
              KeyId: {},
              PendingWindowInDays: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KeyId: {},
              DeletionDate: {
                type: "timestamp"
              },
              KeyState: {},
              PendingWindowInDays: {
                type: "integer"
              }
            }
          }
        },
        Sign: {
          input: {
            type: "structure",
            required: [
              "KeyId",
              "Message",
              "SigningAlgorithm"
            ],
            members: {
              KeyId: {},
              Message: {
                shape: "S25"
              },
              MessageType: {},
              GrantTokens: {
                shape: "Sv"
              },
              SigningAlgorithm: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KeyId: {},
              Signature: {
                type: "blob"
              },
              SigningAlgorithm: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "KeyId",
              "Tags"
            ],
            members: {
              KeyId: {},
              Tags: {
                shape: "S19"
              }
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "KeyId",
              "TagKeys"
            ],
            members: {
              KeyId: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        },
        UpdateAlias: {
          input: {
            type: "structure",
            required: [
              "AliasName",
              "TargetKeyId"
            ],
            members: {
              AliasName: {},
              TargetKeyId: {}
            }
          }
        },
        UpdateCustomKeyStore: {
          input: {
            type: "structure",
            required: [
              "CustomKeyStoreId"
            ],
            members: {
              CustomKeyStoreId: {},
              NewCustomKeyStoreName: {},
              KeyStorePassword: {
                shape: "Sd"
              },
              CloudHsmClusterId: {},
              XksProxyUriEndpoint: {},
              XksProxyUriPath: {},
              XksProxyVpcEndpointServiceName: {},
              XksProxyAuthenticationCredential: {
                shape: "Si"
              },
              XksProxyConnectivity: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateKeyDescription: {
          input: {
            type: "structure",
            required: [
              "KeyId",
              "Description"
            ],
            members: {
              KeyId: {},
              Description: {}
            }
          }
        },
        UpdatePrimaryRegion: {
          input: {
            type: "structure",
            required: [
              "KeyId",
              "PrimaryRegion"
            ],
            members: {
              KeyId: {},
              PrimaryRegion: {}
            }
          }
        },
        Verify: {
          input: {
            type: "structure",
            required: [
              "KeyId",
              "Message",
              "Signature",
              "SigningAlgorithm"
            ],
            members: {
              KeyId: {},
              Message: {
                shape: "S25"
              },
              MessageType: {},
              Signature: {
                type: "blob"
              },
              SigningAlgorithm: {},
              GrantTokens: {
                shape: "Sv"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KeyId: {},
              SignatureValid: {
                type: "boolean"
              },
              SigningAlgorithm: {}
            }
          }
        },
        VerifyMac: {
          input: {
            type: "structure",
            required: [
              "Message",
              "KeyId",
              "MacAlgorithm",
              "Mac"
            ],
            members: {
              Message: {
                shape: "S25"
              },
              KeyId: {},
              MacAlgorithm: {},
              Mac: {
                type: "blob"
              },
              GrantTokens: {
                shape: "Sv"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KeyId: {},
              MacValid: {
                type: "boolean"
              },
              MacAlgorithm: {}
            }
          }
        }
      },
      shapes: {
        Sd: {
          type: "string",
          sensitive: true
        },
        Si: {
          type: "structure",
          required: [
            "AccessKeyId",
            "RawSecretAccessKey"
          ],
          members: {
            AccessKeyId: {
              shape: "Sj"
            },
            RawSecretAccessKey: {
              type: "string",
              sensitive: true
            }
          }
        },
        Sj: {
          type: "string",
          sensitive: true
        },
        Sp: {
          type: "list",
          member: {}
        },
        Sr: {
          type: "structure",
          members: {
            EncryptionContextSubset: {
              shape: "Ss"
            },
            EncryptionContextEquals: {
              shape: "Ss"
            }
          }
        },
        Ss: {
          type: "map",
          key: {},
          value: {}
        },
        Sv: {
          type: "list",
          member: {}
        },
        S15: {
          type: "string",
          deprecated: true,
          deprecatedMessage: "This enum has been deprecated. Instead, use the KeySpec enum."
        },
        S19: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "TagKey",
              "TagValue"
            ],
            members: {
              TagKey: {},
              TagValue: {}
            }
          }
        },
        S1f: {
          type: "structure",
          required: [
            "KeyId"
          ],
          members: {
            AWSAccountId: {},
            KeyId: {},
            Arn: {},
            CreationDate: {
              type: "timestamp"
            },
            Enabled: {
              type: "boolean"
            },
            Description: {},
            KeyUsage: {},
            KeyState: {},
            DeletionDate: {
              type: "timestamp"
            },
            ValidTo: {
              type: "timestamp"
            },
            Origin: {},
            CustomKeyStoreId: {},
            CloudHsmClusterId: {},
            ExpirationModel: {},
            KeyManager: {},
            CustomerMasterKeySpec: {
              shape: "S15",
              deprecated: true,
              deprecatedMessage: "This field has been deprecated. Instead, use the KeySpec field."
            },
            KeySpec: {},
            EncryptionAlgorithms: {
              shape: "S1m"
            },
            SigningAlgorithms: {
              shape: "S1o"
            },
            MultiRegion: {
              type: "boolean"
            },
            MultiRegionConfiguration: {
              type: "structure",
              members: {
                MultiRegionKeyType: {},
                PrimaryKey: {
                  shape: "S1s"
                },
                ReplicaKeys: {
                  type: "list",
                  member: {
                    shape: "S1s"
                  }
                }
              }
            },
            PendingDeletionWindowInDays: {
              type: "integer"
            },
            MacAlgorithms: {
              type: "list",
              member: {}
            },
            XksKeyConfiguration: {
              type: "structure",
              members: {
                Id: {}
              }
            }
          }
        },
        S1m: {
          type: "list",
          member: {}
        },
        S1o: {
          type: "list",
          member: {}
        },
        S1s: {
          type: "structure",
          members: {
            Arn: {},
            Region: {}
          }
        },
        S21: {
          type: "structure",
          members: {
            KeyEncryptionAlgorithm: {},
            AttestationDocument: {
              type: "blob"
            }
          }
        },
        S25: {
          type: "blob",
          sensitive: true
        },
        S3r: {
          type: "structure",
          members: {
            Grants: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  KeyId: {},
                  GrantId: {},
                  Name: {},
                  CreationDate: {
                    type: "timestamp"
                  },
                  GranteePrincipal: {},
                  RetiringPrincipal: {},
                  IssuingAccount: {},
                  Operations: {
                    shape: "Sp"
                  },
                  Constraints: {
                    shape: "Sr"
                  }
                }
              }
            },
            NextMarker: {},
            Truncated: {
              type: "boolean"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/kms-2014-11-01.paginators.json
var require_kms_2014_11_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/kms-2014-11-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeCustomKeyStores: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "NextMarker",
          result_key: "CustomKeyStores"
        },
        ListAliases: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "NextMarker",
          result_key: "Aliases"
        },
        ListGrants: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "NextMarker",
          result_key: "Grants"
        },
        ListKeyPolicies: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "NextMarker",
          result_key: "PolicyNames"
        },
        ListKeys: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "NextMarker",
          result_key: "Keys"
        },
        ListResourceTags: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "NextMarker",
          result_key: "Tags"
        },
        ListRetirableGrants: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "NextMarker",
          result_key: "Grants"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/kms.js
var require_kms = __commonJS({
  "node_modules/aws-sdk/clients/kms.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["kms"] = {};
    AWS2.KMS = Service.defineService("kms", ["2014-11-01"]);
    Object.defineProperty(apiLoader.services["kms"], "2014-11-01", {
      get: function get() {
        var model = require_kms_2014_11_01_min();
        model.paginators = require_kms_2014_11_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.KMS;
  }
});

// node_modules/aws-sdk/lib/services/lambda.js
var require_lambda = __commonJS({
  "node_modules/aws-sdk/lib/services/lambda.js"() {
    var AWS2 = require_core();
    AWS2.util.update(AWS2.Lambda.prototype, {
      /**
       * @api private
       */
      setupRequestListeners: function setupRequestListeners(request) {
        if (request.operation === "invoke") {
          request.addListener("extractData", AWS2.util.convertPayloadToString);
        }
      }
    });
  }
});

// node_modules/aws-sdk/apis/lambda-2014-11-11.min.json
var require_lambda_2014_11_11_min = __commonJS({
  "node_modules/aws-sdk/apis/lambda-2014-11-11.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2014-11-11",
        endpointPrefix: "lambda",
        serviceFullName: "AWS Lambda",
        serviceId: "Lambda",
        signatureVersion: "v4",
        protocol: "rest-json"
      },
      operations: {
        AddEventSource: {
          http: {
            requestUri: "/2014-11-13/event-source-mappings/"
          },
          input: {
            type: "structure",
            required: [
              "EventSource",
              "FunctionName",
              "Role"
            ],
            members: {
              EventSource: {},
              FunctionName: {},
              Role: {},
              BatchSize: {
                type: "integer"
              },
              Parameters: {
                shape: "S6"
              }
            }
          },
          output: {
            shape: "S7"
          }
        },
        DeleteFunction: {
          http: {
            method: "DELETE",
            requestUri: "/2014-11-13/functions/{FunctionName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              }
            }
          }
        },
        GetEventSource: {
          http: {
            method: "GET",
            requestUri: "/2014-11-13/event-source-mappings/{UUID}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "UUID"
            ],
            members: {
              UUID: {
                location: "uri",
                locationName: "UUID"
              }
            }
          },
          output: {
            shape: "S7"
          }
        },
        GetFunction: {
          http: {
            method: "GET",
            requestUri: "/2014-11-13/functions/{FunctionName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Configuration: {
                shape: "Se"
              },
              Code: {
                type: "structure",
                members: {
                  RepositoryType: {},
                  Location: {}
                }
              }
            }
          }
        },
        GetFunctionConfiguration: {
          http: {
            method: "GET",
            requestUri: "/2014-11-13/functions/{FunctionName}/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              }
            }
          },
          output: {
            shape: "Se"
          }
        },
        InvokeAsync: {
          http: {
            requestUri: "/2014-11-13/functions/{FunctionName}/invoke-async/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "FunctionName",
              "InvokeArgs"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              InvokeArgs: {
                shape: "Sq"
              }
            },
            payload: "InvokeArgs"
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        ListEventSources: {
          http: {
            method: "GET",
            requestUri: "/2014-11-13/event-source-mappings/",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              EventSourceArn: {
                location: "querystring",
                locationName: "EventSource"
              },
              FunctionName: {
                location: "querystring",
                locationName: "FunctionName"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              EventSources: {
                type: "list",
                member: {
                  shape: "S7"
                }
              }
            }
          }
        },
        ListFunctions: {
          http: {
            method: "GET",
            requestUri: "/2014-11-13/functions/",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              Functions: {
                type: "list",
                member: {
                  shape: "Se"
                }
              }
            }
          }
        },
        RemoveEventSource: {
          http: {
            method: "DELETE",
            requestUri: "/2014-11-13/event-source-mappings/{UUID}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "UUID"
            ],
            members: {
              UUID: {
                location: "uri",
                locationName: "UUID"
              }
            }
          }
        },
        UpdateFunctionConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/2014-11-13/functions/{FunctionName}/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Role: {
                location: "querystring",
                locationName: "Role"
              },
              Handler: {
                location: "querystring",
                locationName: "Handler"
              },
              Description: {
                location: "querystring",
                locationName: "Description"
              },
              Timeout: {
                location: "querystring",
                locationName: "Timeout",
                type: "integer"
              },
              MemorySize: {
                location: "querystring",
                locationName: "MemorySize",
                type: "integer"
              }
            }
          },
          output: {
            shape: "Se"
          }
        },
        UploadFunction: {
          http: {
            method: "PUT",
            requestUri: "/2014-11-13/functions/{FunctionName}",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FunctionName",
              "FunctionZip",
              "Runtime",
              "Role",
              "Handler",
              "Mode"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              FunctionZip: {
                shape: "Sq"
              },
              Runtime: {
                location: "querystring",
                locationName: "Runtime"
              },
              Role: {
                location: "querystring",
                locationName: "Role"
              },
              Handler: {
                location: "querystring",
                locationName: "Handler"
              },
              Mode: {
                location: "querystring",
                locationName: "Mode"
              },
              Description: {
                location: "querystring",
                locationName: "Description"
              },
              Timeout: {
                location: "querystring",
                locationName: "Timeout",
                type: "integer"
              },
              MemorySize: {
                location: "querystring",
                locationName: "MemorySize",
                type: "integer"
              }
            },
            payload: "FunctionZip"
          },
          output: {
            shape: "Se"
          }
        }
      },
      shapes: {
        S6: {
          type: "map",
          key: {},
          value: {}
        },
        S7: {
          type: "structure",
          members: {
            UUID: {},
            BatchSize: {
              type: "integer"
            },
            EventSource: {},
            FunctionName: {},
            Parameters: {
              shape: "S6"
            },
            Role: {},
            LastModified: {
              type: "timestamp"
            },
            IsActive: {
              type: "boolean"
            },
            Status: {}
          }
        },
        Se: {
          type: "structure",
          members: {
            FunctionName: {},
            FunctionARN: {},
            ConfigurationId: {},
            Runtime: {},
            Role: {},
            Handler: {},
            Mode: {},
            CodeSize: {
              type: "long"
            },
            Description: {},
            Timeout: {
              type: "integer"
            },
            MemorySize: {
              type: "integer"
            },
            LastModified: {
              type: "timestamp"
            }
          }
        },
        Sq: {
          type: "blob",
          streaming: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/lambda-2014-11-11.paginators.json
var require_lambda_2014_11_11_paginators = __commonJS({
  "node_modules/aws-sdk/apis/lambda-2014-11-11.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListEventSources: {
          input_token: "Marker",
          output_token: "NextMarker",
          limit_key: "MaxItems",
          result_key: "EventSources"
        },
        ListFunctions: {
          input_token: "Marker",
          output_token: "NextMarker",
          limit_key: "MaxItems",
          result_key: "Functions"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/lambda-2015-03-31.min.json
var require_lambda_2015_03_31_min = __commonJS({
  "node_modules/aws-sdk/apis/lambda-2015-03-31.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-03-31",
        endpointPrefix: "lambda",
        protocol: "rest-json",
        serviceFullName: "AWS Lambda",
        serviceId: "Lambda",
        signatureVersion: "v4",
        uid: "lambda-2015-03-31"
      },
      operations: {
        AddLayerVersionPermission: {
          http: {
            requestUri: "/2018-10-31/layers/{LayerName}/versions/{VersionNumber}/policy",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "LayerName",
              "VersionNumber",
              "StatementId",
              "Action",
              "Principal"
            ],
            members: {
              LayerName: {
                location: "uri",
                locationName: "LayerName"
              },
              VersionNumber: {
                location: "uri",
                locationName: "VersionNumber",
                type: "long"
              },
              StatementId: {},
              Action: {},
              Principal: {},
              OrganizationId: {},
              RevisionId: {
                location: "querystring",
                locationName: "RevisionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Statement: {},
              RevisionId: {}
            }
          }
        },
        AddPermission: {
          http: {
            requestUri: "/2015-03-31/functions/{FunctionName}/policy",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FunctionName",
              "StatementId",
              "Action",
              "Principal"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              StatementId: {},
              Action: {},
              Principal: {},
              SourceArn: {},
              SourceAccount: {},
              EventSourceToken: {},
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              },
              RevisionId: {},
              PrincipalOrgID: {},
              FunctionUrlAuthType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Statement: {}
            }
          }
        },
        CreateAlias: {
          http: {
            requestUri: "/2015-03-31/functions/{FunctionName}/aliases",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FunctionName",
              "Name",
              "FunctionVersion"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Name: {},
              FunctionVersion: {},
              Description: {},
              RoutingConfig: {
                shape: "Sp"
              }
            }
          },
          output: {
            shape: "St"
          }
        },
        CreateCodeSigningConfig: {
          http: {
            requestUri: "/2020-04-22/code-signing-configs/",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AllowedPublishers"
            ],
            members: {
              Description: {},
              AllowedPublishers: {
                shape: "Sw"
              },
              CodeSigningPolicies: {
                shape: "Sy"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CodeSigningConfig"
            ],
            members: {
              CodeSigningConfig: {
                shape: "S11"
              }
            }
          }
        },
        CreateEventSourceMapping: {
          http: {
            requestUri: "/2015-03-31/event-source-mappings/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              EventSourceArn: {},
              FunctionName: {},
              Enabled: {
                type: "boolean"
              },
              BatchSize: {
                type: "integer"
              },
              FilterCriteria: {
                shape: "S18"
              },
              MaximumBatchingWindowInSeconds: {
                type: "integer"
              },
              ParallelizationFactor: {
                type: "integer"
              },
              StartingPosition: {},
              StartingPositionTimestamp: {
                type: "timestamp"
              },
              DestinationConfig: {
                shape: "S1g"
              },
              MaximumRecordAgeInSeconds: {
                type: "integer"
              },
              BisectBatchOnFunctionError: {
                type: "boolean"
              },
              MaximumRetryAttempts: {
                type: "integer"
              },
              TumblingWindowInSeconds: {
                type: "integer"
              },
              Topics: {
                shape: "S1o"
              },
              Queues: {
                shape: "S1q"
              },
              SourceAccessConfigurations: {
                shape: "S1s"
              },
              SelfManagedEventSource: {
                shape: "S1w"
              },
              FunctionResponseTypes: {
                shape: "S21"
              },
              AmazonManagedKafkaEventSourceConfig: {
                shape: "S23"
              },
              SelfManagedKafkaEventSourceConfig: {
                shape: "S24"
              },
              ScalingConfig: {
                shape: "S25"
              },
              DocumentDBEventSourceConfig: {
                shape: "S27"
              }
            }
          },
          output: {
            shape: "S2b"
          }
        },
        CreateFunction: {
          http: {
            requestUri: "/2015-03-31/functions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FunctionName",
              "Role",
              "Code"
            ],
            members: {
              FunctionName: {},
              Runtime: {},
              Role: {},
              Handler: {},
              Code: {
                type: "structure",
                members: {
                  ZipFile: {
                    shape: "S2h"
                  },
                  S3Bucket: {},
                  S3Key: {},
                  S3ObjectVersion: {},
                  ImageUri: {}
                }
              },
              Description: {},
              Timeout: {
                type: "integer"
              },
              MemorySize: {
                type: "integer"
              },
              Publish: {
                type: "boolean"
              },
              VpcConfig: {
                shape: "S2o"
              },
              PackageType: {},
              DeadLetterConfig: {
                shape: "S2u"
              },
              Environment: {
                shape: "S2w"
              },
              KMSKeyArn: {},
              TracingConfig: {
                shape: "S31"
              },
              Tags: {
                shape: "S33"
              },
              Layers: {
                shape: "S36"
              },
              FileSystemConfigs: {
                shape: "S38"
              },
              ImageConfig: {
                shape: "S3c"
              },
              CodeSigningConfigArn: {},
              Architectures: {
                shape: "S3f"
              },
              EphemeralStorage: {
                shape: "S3h"
              },
              SnapStart: {
                shape: "S3j"
              }
            }
          },
          output: {
            shape: "S3l"
          }
        },
        CreateFunctionUrlConfig: {
          http: {
            requestUri: "/2021-10-31/functions/{FunctionName}/url",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FunctionName",
              "AuthType"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              },
              AuthType: {},
              Cors: {
                shape: "S4c"
              },
              InvokeMode: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "FunctionUrl",
              "FunctionArn",
              "AuthType",
              "CreationTime"
            ],
            members: {
              FunctionUrl: {},
              FunctionArn: {},
              AuthType: {},
              Cors: {
                shape: "S4c"
              },
              CreationTime: {},
              InvokeMode: {}
            }
          }
        },
        DeleteAlias: {
          http: {
            method: "DELETE",
            requestUri: "/2015-03-31/functions/{FunctionName}/aliases/{Name}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "FunctionName",
              "Name"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          }
        },
        DeleteCodeSigningConfig: {
          http: {
            method: "DELETE",
            requestUri: "/2020-04-22/code-signing-configs/{CodeSigningConfigArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "CodeSigningConfigArn"
            ],
            members: {
              CodeSigningConfigArn: {
                location: "uri",
                locationName: "CodeSigningConfigArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEventSourceMapping: {
          http: {
            method: "DELETE",
            requestUri: "/2015-03-31/event-source-mappings/{UUID}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "UUID"
            ],
            members: {
              UUID: {
                location: "uri",
                locationName: "UUID"
              }
            }
          },
          output: {
            shape: "S2b"
          }
        },
        DeleteFunction: {
          http: {
            method: "DELETE",
            requestUri: "/2015-03-31/functions/{FunctionName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              }
            }
          }
        },
        DeleteFunctionCodeSigningConfig: {
          http: {
            method: "DELETE",
            requestUri: "/2020-06-30/functions/{FunctionName}/code-signing-config",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              }
            }
          }
        },
        DeleteFunctionConcurrency: {
          http: {
            method: "DELETE",
            requestUri: "/2017-10-31/functions/{FunctionName}/concurrency",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              }
            }
          }
        },
        DeleteFunctionEventInvokeConfig: {
          http: {
            method: "DELETE",
            requestUri: "/2019-09-25/functions/{FunctionName}/event-invoke-config",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              }
            }
          }
        },
        DeleteFunctionUrlConfig: {
          http: {
            method: "DELETE",
            requestUri: "/2021-10-31/functions/{FunctionName}/url",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              }
            }
          }
        },
        DeleteLayerVersion: {
          http: {
            method: "DELETE",
            requestUri: "/2018-10-31/layers/{LayerName}/versions/{VersionNumber}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "LayerName",
              "VersionNumber"
            ],
            members: {
              LayerName: {
                location: "uri",
                locationName: "LayerName"
              },
              VersionNumber: {
                location: "uri",
                locationName: "VersionNumber",
                type: "long"
              }
            }
          }
        },
        DeleteProvisionedConcurrencyConfig: {
          http: {
            method: "DELETE",
            requestUri: "/2019-09-30/functions/{FunctionName}/provisioned-concurrency",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "FunctionName",
              "Qualifier"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              }
            }
          }
        },
        GetAccountSettings: {
          http: {
            method: "GET",
            requestUri: "/2016-08-19/account-settings/",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              AccountLimit: {
                type: "structure",
                members: {
                  TotalCodeSize: {
                    type: "long"
                  },
                  CodeSizeUnzipped: {
                    type: "long"
                  },
                  CodeSizeZipped: {
                    type: "long"
                  },
                  ConcurrentExecutions: {
                    type: "integer"
                  },
                  UnreservedConcurrentExecutions: {
                    type: "integer"
                  }
                }
              },
              AccountUsage: {
                type: "structure",
                members: {
                  TotalCodeSize: {
                    type: "long"
                  },
                  FunctionCount: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        GetAlias: {
          http: {
            method: "GET",
            requestUri: "/2015-03-31/functions/{FunctionName}/aliases/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName",
              "Name"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            shape: "St"
          }
        },
        GetCodeSigningConfig: {
          http: {
            method: "GET",
            requestUri: "/2020-04-22/code-signing-configs/{CodeSigningConfigArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CodeSigningConfigArn"
            ],
            members: {
              CodeSigningConfigArn: {
                location: "uri",
                locationName: "CodeSigningConfigArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CodeSigningConfig"
            ],
            members: {
              CodeSigningConfig: {
                shape: "S11"
              }
            }
          }
        },
        GetEventSourceMapping: {
          http: {
            method: "GET",
            requestUri: "/2015-03-31/event-source-mappings/{UUID}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "UUID"
            ],
            members: {
              UUID: {
                location: "uri",
                locationName: "UUID"
              }
            }
          },
          output: {
            shape: "S2b"
          }
        },
        GetFunction: {
          http: {
            method: "GET",
            requestUri: "/2015-03-31/functions/{FunctionName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Configuration: {
                shape: "S3l"
              },
              Code: {
                type: "structure",
                members: {
                  RepositoryType: {},
                  Location: {},
                  ImageUri: {},
                  ResolvedImageUri: {}
                }
              },
              Tags: {
                shape: "S33"
              },
              Concurrency: {
                shape: "S5c"
              }
            }
          }
        },
        GetFunctionCodeSigningConfig: {
          http: {
            method: "GET",
            requestUri: "/2020-06-30/functions/{FunctionName}/code-signing-config",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CodeSigningConfigArn",
              "FunctionName"
            ],
            members: {
              CodeSigningConfigArn: {},
              FunctionName: {}
            }
          }
        },
        GetFunctionConcurrency: {
          http: {
            method: "GET",
            requestUri: "/2019-09-30/functions/{FunctionName}/concurrency",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReservedConcurrentExecutions: {
                type: "integer"
              }
            }
          }
        },
        GetFunctionConfiguration: {
          http: {
            method: "GET",
            requestUri: "/2015-03-31/functions/{FunctionName}/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              }
            }
          },
          output: {
            shape: "S3l"
          }
        },
        GetFunctionEventInvokeConfig: {
          http: {
            method: "GET",
            requestUri: "/2019-09-25/functions/{FunctionName}/event-invoke-config",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              }
            }
          },
          output: {
            shape: "S5k"
          }
        },
        GetFunctionUrlConfig: {
          http: {
            method: "GET",
            requestUri: "/2021-10-31/functions/{FunctionName}/url",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "FunctionUrl",
              "FunctionArn",
              "AuthType",
              "CreationTime",
              "LastModifiedTime"
            ],
            members: {
              FunctionUrl: {},
              FunctionArn: {},
              AuthType: {},
              Cors: {
                shape: "S4c"
              },
              CreationTime: {},
              LastModifiedTime: {},
              InvokeMode: {}
            }
          }
        },
        GetLayerVersion: {
          http: {
            method: "GET",
            requestUri: "/2018-10-31/layers/{LayerName}/versions/{VersionNumber}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "LayerName",
              "VersionNumber"
            ],
            members: {
              LayerName: {
                location: "uri",
                locationName: "LayerName"
              },
              VersionNumber: {
                location: "uri",
                locationName: "VersionNumber",
                type: "long"
              }
            }
          },
          output: {
            shape: "S5q"
          }
        },
        GetLayerVersionByArn: {
          http: {
            method: "GET",
            requestUri: "/2018-10-31/layers?find=LayerVersion",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {
                location: "querystring",
                locationName: "Arn"
              }
            }
          },
          output: {
            shape: "S5q"
          }
        },
        GetLayerVersionPolicy: {
          http: {
            method: "GET",
            requestUri: "/2018-10-31/layers/{LayerName}/versions/{VersionNumber}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "LayerName",
              "VersionNumber"
            ],
            members: {
              LayerName: {
                location: "uri",
                locationName: "LayerName"
              },
              VersionNumber: {
                location: "uri",
                locationName: "VersionNumber",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {},
              RevisionId: {}
            }
          }
        },
        GetPolicy: {
          http: {
            method: "GET",
            requestUri: "/2015-03-31/functions/{FunctionName}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {},
              RevisionId: {}
            }
          }
        },
        GetProvisionedConcurrencyConfig: {
          http: {
            method: "GET",
            requestUri: "/2019-09-30/functions/{FunctionName}/provisioned-concurrency",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName",
              "Qualifier"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestedProvisionedConcurrentExecutions: {
                type: "integer"
              },
              AvailableProvisionedConcurrentExecutions: {
                type: "integer"
              },
              AllocatedProvisionedConcurrentExecutions: {
                type: "integer"
              },
              Status: {},
              StatusReason: {},
              LastModified: {}
            }
          }
        },
        GetRuntimeManagementConfig: {
          http: {
            method: "GET",
            requestUri: "/2021-07-20/functions/{FunctionName}/runtime-management-config",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UpdateRuntimeOn: {},
              RuntimeVersionArn: {},
              FunctionArn: {}
            }
          }
        },
        Invoke: {
          http: {
            requestUri: "/2015-03-31/functions/{FunctionName}/invocations"
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              InvocationType: {
                location: "header",
                locationName: "X-Amz-Invocation-Type"
              },
              LogType: {
                location: "header",
                locationName: "X-Amz-Log-Type"
              },
              ClientContext: {
                location: "header",
                locationName: "X-Amz-Client-Context"
              },
              Payload: {
                shape: "S2h"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              }
            },
            payload: "Payload"
          },
          output: {
            type: "structure",
            members: {
              StatusCode: {
                location: "statusCode",
                type: "integer"
              },
              FunctionError: {
                location: "header",
                locationName: "X-Amz-Function-Error"
              },
              LogResult: {
                location: "header",
                locationName: "X-Amz-Log-Result"
              },
              Payload: {
                shape: "S2h"
              },
              ExecutedVersion: {
                location: "header",
                locationName: "X-Amz-Executed-Version"
              }
            },
            payload: "Payload"
          }
        },
        InvokeAsync: {
          http: {
            requestUri: "/2014-11-13/functions/{FunctionName}/invoke-async/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "FunctionName",
              "InvokeArgs"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              InvokeArgs: {
                type: "blob",
                streaming: true
              }
            },
            deprecated: true,
            payload: "InvokeArgs"
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              }
            },
            deprecated: true
          },
          deprecated: true
        },
        InvokeWithResponseStream: {
          http: {
            requestUri: "/2021-11-15/functions/{FunctionName}/response-streaming-invocations"
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              InvocationType: {
                location: "header",
                locationName: "X-Amz-Invocation-Type"
              },
              LogType: {
                location: "header",
                locationName: "X-Amz-Log-Type"
              },
              ClientContext: {
                location: "header",
                locationName: "X-Amz-Client-Context"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              },
              Payload: {
                shape: "S2h"
              }
            },
            payload: "Payload"
          },
          output: {
            type: "structure",
            members: {
              StatusCode: {
                location: "statusCode",
                type: "integer"
              },
              ExecutedVersion: {
                location: "header",
                locationName: "X-Amz-Executed-Version"
              },
              EventStream: {
                type: "structure",
                members: {
                  PayloadChunk: {
                    type: "structure",
                    members: {
                      Payload: {
                        shape: "S2h",
                        eventpayload: true
                      }
                    },
                    event: true
                  },
                  InvokeComplete: {
                    type: "structure",
                    members: {
                      ErrorCode: {},
                      ErrorDetails: {},
                      LogResult: {}
                    },
                    event: true
                  }
                },
                eventstream: true
              },
              ResponseStreamContentType: {
                location: "header",
                locationName: "Content-Type"
              }
            },
            payload: "EventStream"
          }
        },
        ListAliases: {
          http: {
            method: "GET",
            requestUri: "/2015-03-31/functions/{FunctionName}/aliases",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              FunctionVersion: {
                location: "querystring",
                locationName: "FunctionVersion"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              Aliases: {
                type: "list",
                member: {
                  shape: "St"
                }
              }
            }
          }
        },
        ListCodeSigningConfigs: {
          http: {
            method: "GET",
            requestUri: "/2020-04-22/code-signing-configs/",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              CodeSigningConfigs: {
                type: "list",
                member: {
                  shape: "S11"
                }
              }
            }
          }
        },
        ListEventSourceMappings: {
          http: {
            method: "GET",
            requestUri: "/2015-03-31/event-source-mappings/",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              EventSourceArn: {
                location: "querystring",
                locationName: "EventSourceArn"
              },
              FunctionName: {
                location: "querystring",
                locationName: "FunctionName"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              EventSourceMappings: {
                type: "list",
                member: {
                  shape: "S2b"
                }
              }
            }
          }
        },
        ListFunctionEventInvokeConfigs: {
          http: {
            method: "GET",
            requestUri: "/2019-09-25/functions/{FunctionName}/event-invoke-config/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FunctionEventInvokeConfigs: {
                type: "list",
                member: {
                  shape: "S5k"
                }
              },
              NextMarker: {}
            }
          }
        },
        ListFunctionUrlConfigs: {
          http: {
            method: "GET",
            requestUri: "/2021-10-31/functions/{FunctionName}/urls",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "FunctionUrlConfigs"
            ],
            members: {
              FunctionUrlConfigs: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "FunctionUrl",
                    "FunctionArn",
                    "CreationTime",
                    "LastModifiedTime",
                    "AuthType"
                  ],
                  members: {
                    FunctionUrl: {},
                    FunctionArn: {},
                    CreationTime: {},
                    LastModifiedTime: {},
                    Cors: {
                      shape: "S4c"
                    },
                    AuthType: {},
                    InvokeMode: {}
                  }
                }
              },
              NextMarker: {}
            }
          }
        },
        ListFunctions: {
          http: {
            method: "GET",
            requestUri: "/2015-03-31/functions/",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MasterRegion: {
                location: "querystring",
                locationName: "MasterRegion"
              },
              FunctionVersion: {
                location: "querystring",
                locationName: "FunctionVersion"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              Functions: {
                shape: "S7a"
              }
            }
          }
        },
        ListFunctionsByCodeSigningConfig: {
          http: {
            method: "GET",
            requestUri: "/2020-04-22/code-signing-configs/{CodeSigningConfigArn}/functions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CodeSigningConfigArn"
            ],
            members: {
              CodeSigningConfigArn: {
                location: "uri",
                locationName: "CodeSigningConfigArn"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              FunctionArns: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ListLayerVersions: {
          http: {
            method: "GET",
            requestUri: "/2018-10-31/layers/{LayerName}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "LayerName"
            ],
            members: {
              CompatibleRuntime: {
                location: "querystring",
                locationName: "CompatibleRuntime"
              },
              LayerName: {
                location: "uri",
                locationName: "LayerName"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              },
              CompatibleArchitecture: {
                location: "querystring",
                locationName: "CompatibleArchitecture"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              LayerVersions: {
                type: "list",
                member: {
                  shape: "S7i"
                }
              }
            }
          }
        },
        ListLayers: {
          http: {
            method: "GET",
            requestUri: "/2018-10-31/layers",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CompatibleRuntime: {
                location: "querystring",
                locationName: "CompatibleRuntime"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              },
              CompatibleArchitecture: {
                location: "querystring",
                locationName: "CompatibleArchitecture"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              Layers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LayerName: {},
                    LayerArn: {},
                    LatestMatchingVersion: {
                      shape: "S7i"
                    }
                  }
                }
              }
            }
          }
        },
        ListProvisionedConcurrencyConfigs: {
          http: {
            method: "GET",
            requestUri: "/2019-09-30/functions/{FunctionName}/provisioned-concurrency?List=ALL",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProvisionedConcurrencyConfigs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FunctionArn: {},
                    RequestedProvisionedConcurrentExecutions: {
                      type: "integer"
                    },
                    AvailableProvisionedConcurrentExecutions: {
                      type: "integer"
                    },
                    AllocatedProvisionedConcurrentExecutions: {
                      type: "integer"
                    },
                    Status: {},
                    StatusReason: {},
                    LastModified: {}
                  }
                }
              },
              NextMarker: {}
            }
          }
        },
        ListTags: {
          http: {
            method: "GET",
            requestUri: "/2017-03-31/tags/{ARN}"
          },
          input: {
            type: "structure",
            required: [
              "Resource"
            ],
            members: {
              Resource: {
                location: "uri",
                locationName: "ARN"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S33"
              }
            }
          }
        },
        ListVersionsByFunction: {
          http: {
            method: "GET",
            requestUri: "/2015-03-31/functions/{FunctionName}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Marker: {
                location: "querystring",
                locationName: "Marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "MaxItems",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              Versions: {
                shape: "S7a"
              }
            }
          }
        },
        PublishLayerVersion: {
          http: {
            requestUri: "/2018-10-31/layers/{LayerName}/versions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "LayerName",
              "Content"
            ],
            members: {
              LayerName: {
                location: "uri",
                locationName: "LayerName"
              },
              Description: {},
              Content: {
                type: "structure",
                members: {
                  S3Bucket: {},
                  S3Key: {},
                  S3ObjectVersion: {},
                  ZipFile: {
                    shape: "S2h"
                  }
                }
              },
              CompatibleRuntimes: {
                shape: "S5t"
              },
              LicenseInfo: {},
              CompatibleArchitectures: {
                shape: "S5v"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Content: {
                shape: "S5r"
              },
              LayerArn: {},
              LayerVersionArn: {},
              Description: {},
              CreatedDate: {},
              Version: {
                type: "long"
              },
              CompatibleRuntimes: {
                shape: "S5t"
              },
              LicenseInfo: {},
              CompatibleArchitectures: {
                shape: "S5v"
              }
            }
          }
        },
        PublishVersion: {
          http: {
            requestUri: "/2015-03-31/functions/{FunctionName}/versions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              CodeSha256: {},
              Description: {},
              RevisionId: {}
            }
          },
          output: {
            shape: "S3l"
          }
        },
        PutFunctionCodeSigningConfig: {
          http: {
            method: "PUT",
            requestUri: "/2020-06-30/functions/{FunctionName}/code-signing-config",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CodeSigningConfigArn",
              "FunctionName"
            ],
            members: {
              CodeSigningConfigArn: {},
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CodeSigningConfigArn",
              "FunctionName"
            ],
            members: {
              CodeSigningConfigArn: {},
              FunctionName: {}
            }
          }
        },
        PutFunctionConcurrency: {
          http: {
            method: "PUT",
            requestUri: "/2017-10-31/functions/{FunctionName}/concurrency",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName",
              "ReservedConcurrentExecutions"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              ReservedConcurrentExecutions: {
                type: "integer"
              }
            }
          },
          output: {
            shape: "S5c"
          }
        },
        PutFunctionEventInvokeConfig: {
          http: {
            method: "PUT",
            requestUri: "/2019-09-25/functions/{FunctionName}/event-invoke-config",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              },
              MaximumRetryAttempts: {
                type: "integer"
              },
              MaximumEventAgeInSeconds: {
                type: "integer"
              },
              DestinationConfig: {
                shape: "S1g"
              }
            }
          },
          output: {
            shape: "S5k"
          }
        },
        PutProvisionedConcurrencyConfig: {
          http: {
            method: "PUT",
            requestUri: "/2019-09-30/functions/{FunctionName}/provisioned-concurrency",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "FunctionName",
              "Qualifier",
              "ProvisionedConcurrentExecutions"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              },
              ProvisionedConcurrentExecutions: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestedProvisionedConcurrentExecutions: {
                type: "integer"
              },
              AvailableProvisionedConcurrentExecutions: {
                type: "integer"
              },
              AllocatedProvisionedConcurrentExecutions: {
                type: "integer"
              },
              Status: {},
              StatusReason: {},
              LastModified: {}
            }
          }
        },
        PutRuntimeManagementConfig: {
          http: {
            method: "PUT",
            requestUri: "/2021-07-20/functions/{FunctionName}/runtime-management-config",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName",
              "UpdateRuntimeOn"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              },
              UpdateRuntimeOn: {},
              RuntimeVersionArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "UpdateRuntimeOn",
              "FunctionArn"
            ],
            members: {
              UpdateRuntimeOn: {},
              FunctionArn: {},
              RuntimeVersionArn: {}
            }
          }
        },
        RemoveLayerVersionPermission: {
          http: {
            method: "DELETE",
            requestUri: "/2018-10-31/layers/{LayerName}/versions/{VersionNumber}/policy/{StatementId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "LayerName",
              "VersionNumber",
              "StatementId"
            ],
            members: {
              LayerName: {
                location: "uri",
                locationName: "LayerName"
              },
              VersionNumber: {
                location: "uri",
                locationName: "VersionNumber",
                type: "long"
              },
              StatementId: {
                location: "uri",
                locationName: "StatementId"
              },
              RevisionId: {
                location: "querystring",
                locationName: "RevisionId"
              }
            }
          }
        },
        RemovePermission: {
          http: {
            method: "DELETE",
            requestUri: "/2015-03-31/functions/{FunctionName}/policy/{StatementId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "FunctionName",
              "StatementId"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              StatementId: {
                location: "uri",
                locationName: "StatementId"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              },
              RevisionId: {
                location: "querystring",
                locationName: "RevisionId"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/2017-03-31/tags/{ARN}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "Tags"
            ],
            members: {
              Resource: {
                location: "uri",
                locationName: "ARN"
              },
              Tags: {
                shape: "S33"
              }
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/2017-03-31/tags/{ARN}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "TagKeys"
            ],
            members: {
              Resource: {
                location: "uri",
                locationName: "ARN"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          }
        },
        UpdateAlias: {
          http: {
            method: "PUT",
            requestUri: "/2015-03-31/functions/{FunctionName}/aliases/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName",
              "Name"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              },
              FunctionVersion: {},
              Description: {},
              RoutingConfig: {
                shape: "Sp"
              },
              RevisionId: {}
            }
          },
          output: {
            shape: "St"
          }
        },
        UpdateCodeSigningConfig: {
          http: {
            method: "PUT",
            requestUri: "/2020-04-22/code-signing-configs/{CodeSigningConfigArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CodeSigningConfigArn"
            ],
            members: {
              CodeSigningConfigArn: {
                location: "uri",
                locationName: "CodeSigningConfigArn"
              },
              Description: {},
              AllowedPublishers: {
                shape: "Sw"
              },
              CodeSigningPolicies: {
                shape: "Sy"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CodeSigningConfig"
            ],
            members: {
              CodeSigningConfig: {
                shape: "S11"
              }
            }
          }
        },
        UpdateEventSourceMapping: {
          http: {
            method: "PUT",
            requestUri: "/2015-03-31/event-source-mappings/{UUID}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "UUID"
            ],
            members: {
              UUID: {
                location: "uri",
                locationName: "UUID"
              },
              FunctionName: {},
              Enabled: {
                type: "boolean"
              },
              BatchSize: {
                type: "integer"
              },
              FilterCriteria: {
                shape: "S18"
              },
              MaximumBatchingWindowInSeconds: {
                type: "integer"
              },
              DestinationConfig: {
                shape: "S1g"
              },
              MaximumRecordAgeInSeconds: {
                type: "integer"
              },
              BisectBatchOnFunctionError: {
                type: "boolean"
              },
              MaximumRetryAttempts: {
                type: "integer"
              },
              ParallelizationFactor: {
                type: "integer"
              },
              SourceAccessConfigurations: {
                shape: "S1s"
              },
              TumblingWindowInSeconds: {
                type: "integer"
              },
              FunctionResponseTypes: {
                shape: "S21"
              },
              ScalingConfig: {
                shape: "S25"
              },
              DocumentDBEventSourceConfig: {
                shape: "S27"
              }
            }
          },
          output: {
            shape: "S2b"
          }
        },
        UpdateFunctionCode: {
          http: {
            method: "PUT",
            requestUri: "/2015-03-31/functions/{FunctionName}/code",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              ZipFile: {
                shape: "S2h"
              },
              S3Bucket: {},
              S3Key: {},
              S3ObjectVersion: {},
              ImageUri: {},
              Publish: {
                type: "boolean"
              },
              DryRun: {
                type: "boolean"
              },
              RevisionId: {},
              Architectures: {
                shape: "S3f"
              }
            }
          },
          output: {
            shape: "S3l"
          }
        },
        UpdateFunctionConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/2015-03-31/functions/{FunctionName}/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Role: {},
              Handler: {},
              Description: {},
              Timeout: {
                type: "integer"
              },
              MemorySize: {
                type: "integer"
              },
              VpcConfig: {
                shape: "S2o"
              },
              Environment: {
                shape: "S2w"
              },
              Runtime: {},
              DeadLetterConfig: {
                shape: "S2u"
              },
              KMSKeyArn: {},
              TracingConfig: {
                shape: "S31"
              },
              RevisionId: {},
              Layers: {
                shape: "S36"
              },
              FileSystemConfigs: {
                shape: "S38"
              },
              ImageConfig: {
                shape: "S3c"
              },
              EphemeralStorage: {
                shape: "S3h"
              },
              SnapStart: {
                shape: "S3j"
              }
            }
          },
          output: {
            shape: "S3l"
          }
        },
        UpdateFunctionEventInvokeConfig: {
          http: {
            requestUri: "/2019-09-25/functions/{FunctionName}/event-invoke-config",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              },
              MaximumRetryAttempts: {
                type: "integer"
              },
              MaximumEventAgeInSeconds: {
                type: "integer"
              },
              DestinationConfig: {
                shape: "S1g"
              }
            }
          },
          output: {
            shape: "S5k"
          }
        },
        UpdateFunctionUrlConfig: {
          http: {
            method: "PUT",
            requestUri: "/2021-10-31/functions/{FunctionName}/url",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FunctionName"
            ],
            members: {
              FunctionName: {
                location: "uri",
                locationName: "FunctionName"
              },
              Qualifier: {
                location: "querystring",
                locationName: "Qualifier"
              },
              AuthType: {},
              Cors: {
                shape: "S4c"
              },
              InvokeMode: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "FunctionUrl",
              "FunctionArn",
              "AuthType",
              "CreationTime",
              "LastModifiedTime"
            ],
            members: {
              FunctionUrl: {},
              FunctionArn: {},
              AuthType: {},
              Cors: {
                shape: "S4c"
              },
              CreationTime: {},
              LastModifiedTime: {},
              InvokeMode: {}
            }
          }
        }
      },
      shapes: {
        Sp: {
          type: "structure",
          members: {
            AdditionalVersionWeights: {
              type: "map",
              key: {},
              value: {
                type: "double"
              }
            }
          }
        },
        St: {
          type: "structure",
          members: {
            AliasArn: {},
            Name: {},
            FunctionVersion: {},
            Description: {},
            RoutingConfig: {
              shape: "Sp"
            },
            RevisionId: {}
          }
        },
        Sw: {
          type: "structure",
          required: [
            "SigningProfileVersionArns"
          ],
          members: {
            SigningProfileVersionArns: {
              type: "list",
              member: {}
            }
          }
        },
        Sy: {
          type: "structure",
          members: {
            UntrustedArtifactOnDeployment: {}
          }
        },
        S11: {
          type: "structure",
          required: [
            "CodeSigningConfigId",
            "CodeSigningConfigArn",
            "AllowedPublishers",
            "CodeSigningPolicies",
            "LastModified"
          ],
          members: {
            CodeSigningConfigId: {},
            CodeSigningConfigArn: {},
            Description: {},
            AllowedPublishers: {
              shape: "Sw"
            },
            CodeSigningPolicies: {
              shape: "Sy"
            },
            LastModified: {}
          }
        },
        S18: {
          type: "structure",
          members: {
            Filters: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Pattern: {}
                }
              }
            }
          }
        },
        S1g: {
          type: "structure",
          members: {
            OnSuccess: {
              type: "structure",
              members: {
                Destination: {}
              }
            },
            OnFailure: {
              type: "structure",
              members: {
                Destination: {}
              }
            }
          }
        },
        S1o: {
          type: "list",
          member: {}
        },
        S1q: {
          type: "list",
          member: {}
        },
        S1s: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {},
              URI: {}
            }
          }
        },
        S1w: {
          type: "structure",
          members: {
            Endpoints: {
              type: "map",
              key: {},
              value: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S21: {
          type: "list",
          member: {}
        },
        S23: {
          type: "structure",
          members: {
            ConsumerGroupId: {}
          }
        },
        S24: {
          type: "structure",
          members: {
            ConsumerGroupId: {}
          }
        },
        S25: {
          type: "structure",
          members: {
            MaximumConcurrency: {
              type: "integer"
            }
          }
        },
        S27: {
          type: "structure",
          members: {
            DatabaseName: {},
            CollectionName: {},
            FullDocument: {}
          }
        },
        S2b: {
          type: "structure",
          members: {
            UUID: {},
            StartingPosition: {},
            StartingPositionTimestamp: {
              type: "timestamp"
            },
            BatchSize: {
              type: "integer"
            },
            MaximumBatchingWindowInSeconds: {
              type: "integer"
            },
            ParallelizationFactor: {
              type: "integer"
            },
            EventSourceArn: {},
            FilterCriteria: {
              shape: "S18"
            },
            FunctionArn: {},
            LastModified: {
              type: "timestamp"
            },
            LastProcessingResult: {},
            State: {},
            StateTransitionReason: {},
            DestinationConfig: {
              shape: "S1g"
            },
            Topics: {
              shape: "S1o"
            },
            Queues: {
              shape: "S1q"
            },
            SourceAccessConfigurations: {
              shape: "S1s"
            },
            SelfManagedEventSource: {
              shape: "S1w"
            },
            MaximumRecordAgeInSeconds: {
              type: "integer"
            },
            BisectBatchOnFunctionError: {
              type: "boolean"
            },
            MaximumRetryAttempts: {
              type: "integer"
            },
            TumblingWindowInSeconds: {
              type: "integer"
            },
            FunctionResponseTypes: {
              shape: "S21"
            },
            AmazonManagedKafkaEventSourceConfig: {
              shape: "S23"
            },
            SelfManagedKafkaEventSourceConfig: {
              shape: "S24"
            },
            ScalingConfig: {
              shape: "S25"
            },
            DocumentDBEventSourceConfig: {
              shape: "S27"
            }
          }
        },
        S2h: {
          type: "blob",
          sensitive: true
        },
        S2o: {
          type: "structure",
          members: {
            SubnetIds: {
              shape: "S2p"
            },
            SecurityGroupIds: {
              shape: "S2r"
            }
          }
        },
        S2p: {
          type: "list",
          member: {}
        },
        S2r: {
          type: "list",
          member: {}
        },
        S2u: {
          type: "structure",
          members: {
            TargetArn: {}
          }
        },
        S2w: {
          type: "structure",
          members: {
            Variables: {
              shape: "S2x"
            }
          }
        },
        S2x: {
          type: "map",
          key: {
            type: "string",
            sensitive: true
          },
          value: {
            type: "string",
            sensitive: true
          },
          sensitive: true
        },
        S31: {
          type: "structure",
          members: {
            Mode: {}
          }
        },
        S33: {
          type: "map",
          key: {},
          value: {}
        },
        S36: {
          type: "list",
          member: {}
        },
        S38: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Arn",
              "LocalMountPath"
            ],
            members: {
              Arn: {},
              LocalMountPath: {}
            }
          }
        },
        S3c: {
          type: "structure",
          members: {
            EntryPoint: {
              shape: "S3d"
            },
            Command: {
              shape: "S3d"
            },
            WorkingDirectory: {}
          }
        },
        S3d: {
          type: "list",
          member: {}
        },
        S3f: {
          type: "list",
          member: {}
        },
        S3h: {
          type: "structure",
          required: [
            "Size"
          ],
          members: {
            Size: {
              type: "integer"
            }
          }
        },
        S3j: {
          type: "structure",
          members: {
            ApplyOn: {}
          }
        },
        S3l: {
          type: "structure",
          members: {
            FunctionName: {},
            FunctionArn: {},
            Runtime: {},
            Role: {},
            Handler: {},
            CodeSize: {
              type: "long"
            },
            Description: {},
            Timeout: {
              type: "integer"
            },
            MemorySize: {
              type: "integer"
            },
            LastModified: {},
            CodeSha256: {},
            Version: {},
            VpcConfig: {
              type: "structure",
              members: {
                SubnetIds: {
                  shape: "S2p"
                },
                SecurityGroupIds: {
                  shape: "S2r"
                },
                VpcId: {}
              }
            },
            DeadLetterConfig: {
              shape: "S2u"
            },
            Environment: {
              type: "structure",
              members: {
                Variables: {
                  shape: "S2x"
                },
                Error: {
                  type: "structure",
                  members: {
                    ErrorCode: {},
                    Message: {
                      shape: "S3t"
                    }
                  }
                }
              }
            },
            KMSKeyArn: {},
            TracingConfig: {
              type: "structure",
              members: {
                Mode: {}
              }
            },
            MasterArn: {},
            RevisionId: {},
            Layers: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Arn: {},
                  CodeSize: {
                    type: "long"
                  },
                  SigningProfileVersionArn: {},
                  SigningJobArn: {}
                }
              }
            },
            State: {},
            StateReason: {},
            StateReasonCode: {},
            LastUpdateStatus: {},
            LastUpdateStatusReason: {},
            LastUpdateStatusReasonCode: {},
            FileSystemConfigs: {
              shape: "S38"
            },
            PackageType: {},
            ImageConfigResponse: {
              type: "structure",
              members: {
                ImageConfig: {
                  shape: "S3c"
                },
                Error: {
                  type: "structure",
                  members: {
                    ErrorCode: {},
                    Message: {
                      shape: "S3t"
                    }
                  }
                }
              }
            },
            SigningProfileVersionArn: {},
            SigningJobArn: {},
            Architectures: {
              shape: "S3f"
            },
            EphemeralStorage: {
              shape: "S3h"
            },
            SnapStart: {
              type: "structure",
              members: {
                ApplyOn: {},
                OptimizationStatus: {}
              }
            },
            RuntimeVersionConfig: {
              type: "structure",
              members: {
                RuntimeVersionArn: {},
                Error: {
                  type: "structure",
                  members: {
                    ErrorCode: {},
                    Message: {
                      shape: "S3t"
                    }
                  }
                }
              }
            }
          }
        },
        S3t: {
          type: "string",
          sensitive: true
        },
        S4c: {
          type: "structure",
          members: {
            AllowCredentials: {
              type: "boolean"
            },
            AllowHeaders: {
              shape: "S4e"
            },
            AllowMethods: {
              type: "list",
              member: {}
            },
            AllowOrigins: {
              type: "list",
              member: {}
            },
            ExposeHeaders: {
              shape: "S4e"
            },
            MaxAge: {
              type: "integer"
            }
          }
        },
        S4e: {
          type: "list",
          member: {}
        },
        S5c: {
          type: "structure",
          members: {
            ReservedConcurrentExecutions: {
              type: "integer"
            }
          }
        },
        S5k: {
          type: "structure",
          members: {
            LastModified: {
              type: "timestamp"
            },
            FunctionArn: {},
            MaximumRetryAttempts: {
              type: "integer"
            },
            MaximumEventAgeInSeconds: {
              type: "integer"
            },
            DestinationConfig: {
              shape: "S1g"
            }
          }
        },
        S5q: {
          type: "structure",
          members: {
            Content: {
              shape: "S5r"
            },
            LayerArn: {},
            LayerVersionArn: {},
            Description: {},
            CreatedDate: {},
            Version: {
              type: "long"
            },
            CompatibleRuntimes: {
              shape: "S5t"
            },
            LicenseInfo: {},
            CompatibleArchitectures: {
              shape: "S5v"
            }
          }
        },
        S5r: {
          type: "structure",
          members: {
            Location: {},
            CodeSha256: {},
            CodeSize: {
              type: "long"
            },
            SigningProfileVersionArn: {},
            SigningJobArn: {}
          }
        },
        S5t: {
          type: "list",
          member: {}
        },
        S5v: {
          type: "list",
          member: {}
        },
        S7a: {
          type: "list",
          member: {
            shape: "S3l"
          }
        },
        S7i: {
          type: "structure",
          members: {
            LayerVersionArn: {},
            Version: {
              type: "long"
            },
            Description: {},
            CreatedDate: {},
            CompatibleRuntimes: {
              shape: "S5t"
            },
            LicenseInfo: {},
            CompatibleArchitectures: {
              shape: "S5v"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/lambda-2015-03-31.paginators.json
var require_lambda_2015_03_31_paginators = __commonJS({
  "node_modules/aws-sdk/apis/lambda-2015-03-31.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAliases: {
          input_token: "Marker",
          limit_key: "MaxItems",
          output_token: "NextMarker",
          result_key: "Aliases"
        },
        ListCodeSigningConfigs: {
          input_token: "Marker",
          limit_key: "MaxItems",
          output_token: "NextMarker",
          result_key: "CodeSigningConfigs"
        },
        ListEventSourceMappings: {
          input_token: "Marker",
          limit_key: "MaxItems",
          output_token: "NextMarker",
          result_key: "EventSourceMappings"
        },
        ListFunctionEventInvokeConfigs: {
          input_token: "Marker",
          limit_key: "MaxItems",
          output_token: "NextMarker",
          result_key: "FunctionEventInvokeConfigs"
        },
        ListFunctionUrlConfigs: {
          input_token: "Marker",
          limit_key: "MaxItems",
          output_token: "NextMarker",
          result_key: "FunctionUrlConfigs"
        },
        ListFunctions: {
          input_token: "Marker",
          limit_key: "MaxItems",
          output_token: "NextMarker",
          result_key: "Functions"
        },
        ListFunctionsByCodeSigningConfig: {
          input_token: "Marker",
          limit_key: "MaxItems",
          output_token: "NextMarker",
          result_key: "FunctionArns"
        },
        ListLayerVersions: {
          input_token: "Marker",
          limit_key: "MaxItems",
          output_token: "NextMarker",
          result_key: "LayerVersions"
        },
        ListLayers: {
          input_token: "Marker",
          limit_key: "MaxItems",
          output_token: "NextMarker",
          result_key: "Layers"
        },
        ListProvisionedConcurrencyConfigs: {
          input_token: "Marker",
          limit_key: "MaxItems",
          output_token: "NextMarker",
          result_key: "ProvisionedConcurrencyConfigs"
        },
        ListVersionsByFunction: {
          input_token: "Marker",
          limit_key: "MaxItems",
          output_token: "NextMarker",
          result_key: "Versions"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/lambda-2015-03-31.waiters2.json
var require_lambda_2015_03_31_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/lambda-2015-03-31.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        FunctionExists: {
          delay: 1,
          operation: "GetFunction",
          maxAttempts: 20,
          acceptors: [
            {
              state: "success",
              matcher: "status",
              expected: 200
            },
            {
              state: "retry",
              matcher: "error",
              expected: "ResourceNotFoundException"
            }
          ]
        },
        FunctionActive: {
          delay: 5,
          maxAttempts: 60,
          operation: "GetFunctionConfiguration",
          description: "Waits for the function's State to be Active. This waiter uses GetFunctionConfiguration API. This should be used after new function creation.",
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "State",
              expected: "Active"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "State",
              expected: "Failed"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "State",
              expected: "Pending"
            }
          ]
        },
        FunctionUpdated: {
          delay: 5,
          maxAttempts: 60,
          operation: "GetFunctionConfiguration",
          description: "Waits for the function's LastUpdateStatus to be Successful. This waiter uses GetFunctionConfiguration API. This should be used after function updates.",
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "LastUpdateStatus",
              expected: "Successful"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "LastUpdateStatus",
              expected: "Failed"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "LastUpdateStatus",
              expected: "InProgress"
            }
          ]
        },
        FunctionActiveV2: {
          delay: 1,
          maxAttempts: 300,
          operation: "GetFunction",
          description: "Waits for the function's State to be Active. This waiter uses GetFunction API. This should be used after new function creation.",
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "Configuration.State",
              expected: "Active"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "Configuration.State",
              expected: "Failed"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "Configuration.State",
              expected: "Pending"
            }
          ]
        },
        FunctionUpdatedV2: {
          delay: 1,
          maxAttempts: 300,
          operation: "GetFunction",
          description: "Waits for the function's LastUpdateStatus to be Successful. This waiter uses GetFunction API. This should be used after function updates.",
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "Configuration.LastUpdateStatus",
              expected: "Successful"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "Configuration.LastUpdateStatus",
              expected: "Failed"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "Configuration.LastUpdateStatus",
              expected: "InProgress"
            }
          ]
        },
        PublishedVersionActive: {
          delay: 5,
          maxAttempts: 312,
          operation: "GetFunctionConfiguration",
          description: "Waits for the published version's State to be Active. This waiter uses GetFunctionConfiguration API. This should be used after new version is published.",
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "State",
              expected: "Active"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "State",
              expected: "Failed"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "State",
              expected: "Pending"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/lambda.js
var require_lambda2 = __commonJS({
  "node_modules/aws-sdk/clients/lambda.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["lambda"] = {};
    AWS2.Lambda = Service.defineService("lambda", ["2014-11-11", "2015-03-31"]);
    require_lambda();
    Object.defineProperty(apiLoader.services["lambda"], "2014-11-11", {
      get: function get() {
        var model = require_lambda_2014_11_11_min();
        model.paginators = require_lambda_2014_11_11_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(apiLoader.services["lambda"], "2015-03-31", {
      get: function get() {
        var model = require_lambda_2015_03_31_min();
        model.paginators = require_lambda_2015_03_31_paginators().pagination;
        model.waiters = require_lambda_2015_03_31_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Lambda;
  }
});

// node_modules/aws-sdk/apis/runtime.lex-2016-11-28.min.json
var require_runtime_lex_2016_11_28_min = __commonJS({
  "node_modules/aws-sdk/apis/runtime.lex-2016-11-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-11-28",
        endpointPrefix: "runtime.lex",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Lex Runtime Service",
        serviceId: "Lex Runtime Service",
        signatureVersion: "v4",
        signingName: "lex",
        uid: "runtime.lex-2016-11-28"
      },
      operations: {
        DeleteSession: {
          http: {
            method: "DELETE",
            requestUri: "/bot/{botName}/alias/{botAlias}/user/{userId}/session"
          },
          input: {
            type: "structure",
            required: [
              "botName",
              "botAlias",
              "userId"
            ],
            members: {
              botName: {
                location: "uri",
                locationName: "botName"
              },
              botAlias: {
                location: "uri",
                locationName: "botAlias"
              },
              userId: {
                location: "uri",
                locationName: "userId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botName: {},
              botAlias: {},
              userId: {},
              sessionId: {}
            }
          }
        },
        GetSession: {
          http: {
            method: "GET",
            requestUri: "/bot/{botName}/alias/{botAlias}/user/{userId}/session/"
          },
          input: {
            type: "structure",
            required: [
              "botName",
              "botAlias",
              "userId"
            ],
            members: {
              botName: {
                location: "uri",
                locationName: "botName"
              },
              botAlias: {
                location: "uri",
                locationName: "botAlias"
              },
              userId: {
                location: "uri",
                locationName: "userId"
              },
              checkpointLabelFilter: {
                location: "querystring",
                locationName: "checkpointLabelFilter"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              recentIntentSummaryView: {
                shape: "Sa"
              },
              sessionAttributes: {
                shape: "Sd"
              },
              sessionId: {},
              dialogAction: {
                shape: "Sh"
              },
              activeContexts: {
                shape: "Sk"
              }
            }
          }
        },
        PostContent: {
          http: {
            requestUri: "/bot/{botName}/alias/{botAlias}/user/{userId}/content"
          },
          input: {
            type: "structure",
            required: [
              "botName",
              "botAlias",
              "userId",
              "contentType",
              "inputStream"
            ],
            members: {
              botName: {
                location: "uri",
                locationName: "botName"
              },
              botAlias: {
                location: "uri",
                locationName: "botAlias"
              },
              userId: {
                location: "uri",
                locationName: "userId"
              },
              sessionAttributes: {
                shape: "St",
                jsonvalue: true,
                location: "header",
                locationName: "x-amz-lex-session-attributes"
              },
              requestAttributes: {
                shape: "St",
                jsonvalue: true,
                location: "header",
                locationName: "x-amz-lex-request-attributes"
              },
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              accept: {
                location: "header",
                locationName: "Accept"
              },
              inputStream: {
                shape: "Sw"
              },
              activeContexts: {
                shape: "Sx",
                jsonvalue: true,
                location: "header",
                locationName: "x-amz-lex-active-contexts"
              }
            },
            payload: "inputStream"
          },
          output: {
            type: "structure",
            members: {
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              intentName: {
                location: "header",
                locationName: "x-amz-lex-intent-name"
              },
              nluIntentConfidence: {
                jsonvalue: true,
                location: "header",
                locationName: "x-amz-lex-nlu-intent-confidence"
              },
              alternativeIntents: {
                jsonvalue: true,
                location: "header",
                locationName: "x-amz-lex-alternative-intents"
              },
              slots: {
                jsonvalue: true,
                location: "header",
                locationName: "x-amz-lex-slots"
              },
              sessionAttributes: {
                jsonvalue: true,
                location: "header",
                locationName: "x-amz-lex-session-attributes"
              },
              sentimentResponse: {
                location: "header",
                locationName: "x-amz-lex-sentiment"
              },
              message: {
                shape: "Si",
                deprecated: true,
                deprecatedMessage: "The message field is deprecated, use the encodedMessage field instead. The message field is available only in the de-DE, en-AU, en-GB, en-US, es-419, es-ES, es-US, fr-CA, fr-FR and it-IT locales.",
                location: "header",
                locationName: "x-amz-lex-message"
              },
              encodedMessage: {
                shape: "Sz",
                location: "header",
                locationName: "x-amz-lex-encoded-message"
              },
              messageFormat: {
                location: "header",
                locationName: "x-amz-lex-message-format"
              },
              dialogState: {
                location: "header",
                locationName: "x-amz-lex-dialog-state"
              },
              slotToElicit: {
                location: "header",
                locationName: "x-amz-lex-slot-to-elicit"
              },
              inputTranscript: {
                deprecated: true,
                deprecatedMessage: "The inputTranscript field is deprecated, use the encodedInputTranscript field instead. The inputTranscript field is available only in the de-DE, en-AU, en-GB, en-US, es-419, es-ES, es-US, fr-CA, fr-FR and it-IT locales.",
                location: "header",
                locationName: "x-amz-lex-input-transcript"
              },
              encodedInputTranscript: {
                location: "header",
                locationName: "x-amz-lex-encoded-input-transcript",
                type: "string",
                sensitive: true
              },
              audioStream: {
                shape: "Sw"
              },
              botVersion: {
                location: "header",
                locationName: "x-amz-lex-bot-version"
              },
              sessionId: {
                location: "header",
                locationName: "x-amz-lex-session-id"
              },
              activeContexts: {
                shape: "Sx",
                jsonvalue: true,
                location: "header",
                locationName: "x-amz-lex-active-contexts"
              }
            },
            payload: "audioStream"
          },
          authtype: "v4-unsigned-body"
        },
        PostText: {
          http: {
            requestUri: "/bot/{botName}/alias/{botAlias}/user/{userId}/text"
          },
          input: {
            type: "structure",
            required: [
              "botName",
              "botAlias",
              "userId",
              "inputText"
            ],
            members: {
              botName: {
                location: "uri",
                locationName: "botName"
              },
              botAlias: {
                location: "uri",
                locationName: "botAlias"
              },
              userId: {
                location: "uri",
                locationName: "userId"
              },
              sessionAttributes: {
                shape: "Sd"
              },
              requestAttributes: {
                shape: "Sd"
              },
              inputText: {
                shape: "Si"
              },
              activeContexts: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              intentName: {},
              nluIntentConfidence: {
                shape: "S15"
              },
              alternativeIntents: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    intentName: {},
                    nluIntentConfidence: {
                      shape: "S15"
                    },
                    slots: {
                      shape: "Sd"
                    }
                  }
                }
              },
              slots: {
                shape: "Sd"
              },
              sessionAttributes: {
                shape: "Sd"
              },
              message: {
                shape: "Si"
              },
              sentimentResponse: {
                type: "structure",
                members: {
                  sentimentLabel: {},
                  sentimentScore: {}
                }
              },
              messageFormat: {},
              dialogState: {},
              slotToElicit: {},
              responseCard: {
                type: "structure",
                members: {
                  version: {},
                  contentType: {},
                  genericAttachments: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        title: {},
                        subTitle: {},
                        attachmentLinkUrl: {},
                        imageUrl: {},
                        buttons: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "text",
                              "value"
                            ],
                            members: {
                              text: {},
                              value: {}
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              sessionId: {},
              botVersion: {},
              activeContexts: {
                shape: "Sk"
              }
            }
          }
        },
        PutSession: {
          http: {
            requestUri: "/bot/{botName}/alias/{botAlias}/user/{userId}/session"
          },
          input: {
            type: "structure",
            required: [
              "botName",
              "botAlias",
              "userId"
            ],
            members: {
              botName: {
                location: "uri",
                locationName: "botName"
              },
              botAlias: {
                location: "uri",
                locationName: "botAlias"
              },
              userId: {
                location: "uri",
                locationName: "userId"
              },
              sessionAttributes: {
                shape: "Sd"
              },
              dialogAction: {
                shape: "Sh"
              },
              recentIntentSummaryView: {
                shape: "Sa"
              },
              accept: {
                location: "header",
                locationName: "Accept"
              },
              activeContexts: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              intentName: {
                location: "header",
                locationName: "x-amz-lex-intent-name"
              },
              slots: {
                jsonvalue: true,
                location: "header",
                locationName: "x-amz-lex-slots"
              },
              sessionAttributes: {
                jsonvalue: true,
                location: "header",
                locationName: "x-amz-lex-session-attributes"
              },
              message: {
                shape: "Si",
                deprecated: true,
                deprecatedMessage: "The message field is deprecated, use the encodedMessage field instead. The message field is available only in the de-DE, en-AU, en-GB, en-US, es-419, es-ES, es-US, fr-CA, fr-FR and it-IT locales.",
                location: "header",
                locationName: "x-amz-lex-message"
              },
              encodedMessage: {
                shape: "Sz",
                location: "header",
                locationName: "x-amz-lex-encoded-message"
              },
              messageFormat: {
                location: "header",
                locationName: "x-amz-lex-message-format"
              },
              dialogState: {
                location: "header",
                locationName: "x-amz-lex-dialog-state"
              },
              slotToElicit: {
                location: "header",
                locationName: "x-amz-lex-slot-to-elicit"
              },
              audioStream: {
                shape: "Sw"
              },
              sessionId: {
                location: "header",
                locationName: "x-amz-lex-session-id"
              },
              activeContexts: {
                shape: "Sx",
                jsonvalue: true,
                location: "header",
                locationName: "x-amz-lex-active-contexts"
              }
            },
            payload: "audioStream"
          }
        }
      },
      shapes: {
        Sa: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "dialogActionType"
            ],
            members: {
              intentName: {},
              checkpointLabel: {},
              slots: {
                shape: "Sd"
              },
              confirmationStatus: {},
              dialogActionType: {},
              fulfillmentState: {},
              slotToElicit: {}
            }
          }
        },
        Sd: {
          type: "map",
          key: {},
          value: {},
          sensitive: true
        },
        Sh: {
          type: "structure",
          required: [
            "type"
          ],
          members: {
            type: {},
            intentName: {},
            slots: {
              shape: "Sd"
            },
            slotToElicit: {},
            fulfillmentState: {},
            message: {
              shape: "Si"
            },
            messageFormat: {}
          }
        },
        Si: {
          type: "string",
          sensitive: true
        },
        Sk: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "timeToLive",
              "parameters"
            ],
            members: {
              name: {},
              timeToLive: {
                type: "structure",
                members: {
                  timeToLiveInSeconds: {
                    type: "integer"
                  },
                  turnsToLive: {
                    type: "integer"
                  }
                }
              },
              parameters: {
                type: "map",
                key: {},
                value: {
                  shape: "Si"
                }
              }
            }
          },
          sensitive: true
        },
        St: {
          type: "string",
          sensitive: true
        },
        Sw: {
          type: "blob",
          streaming: true
        },
        Sx: {
          type: "string",
          sensitive: true
        },
        Sz: {
          type: "string",
          sensitive: true
        },
        S15: {
          type: "structure",
          members: {
            score: {
              type: "double"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/runtime.lex-2016-11-28.paginators.json
var require_runtime_lex_2016_11_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/runtime.lex-2016-11-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/lexruntime.js
var require_lexruntime = __commonJS({
  "node_modules/aws-sdk/clients/lexruntime.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["lexruntime"] = {};
    AWS2.LexRuntime = Service.defineService("lexruntime", ["2016-11-28"]);
    Object.defineProperty(apiLoader.services["lexruntime"], "2016-11-28", {
      get: function get() {
        var model = require_runtime_lex_2016_11_28_min();
        model.paginators = require_runtime_lex_2016_11_28_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.LexRuntime;
  }
});

// node_modules/aws-sdk/apis/lightsail-2016-11-28.min.json
var require_lightsail_2016_11_28_min = __commonJS({
  "node_modules/aws-sdk/apis/lightsail-2016-11-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-11-28",
        endpointPrefix: "lightsail",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Lightsail",
        serviceId: "Lightsail",
        signatureVersion: "v4",
        targetPrefix: "Lightsail_20161128",
        uid: "lightsail-2016-11-28"
      },
      operations: {
        AllocateStaticIp: {
          input: {
            type: "structure",
            required: [
              "staticIpName"
            ],
            members: {
              staticIpName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        AttachCertificateToDistribution: {
          input: {
            type: "structure",
            required: [
              "distributionName",
              "certificateName"
            ],
            members: {
              distributionName: {},
              certificateName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        AttachDisk: {
          input: {
            type: "structure",
            required: [
              "diskName",
              "instanceName",
              "diskPath"
            ],
            members: {
              diskName: {},
              instanceName: {},
              diskPath: {},
              autoMounting: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        AttachInstancesToLoadBalancer: {
          input: {
            type: "structure",
            required: [
              "loadBalancerName",
              "instanceNames"
            ],
            members: {
              loadBalancerName: {},
              instanceNames: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        AttachLoadBalancerTlsCertificate: {
          input: {
            type: "structure",
            required: [
              "loadBalancerName",
              "certificateName"
            ],
            members: {
              loadBalancerName: {},
              certificateName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        AttachStaticIp: {
          input: {
            type: "structure",
            required: [
              "staticIpName",
              "instanceName"
            ],
            members: {
              staticIpName: {},
              instanceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CloseInstancePublicPorts: {
          input: {
            type: "structure",
            required: [
              "portInfo",
              "instanceName"
            ],
            members: {
              portInfo: {
                shape: "Sr"
              },
              instanceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        CopySnapshot: {
          input: {
            type: "structure",
            required: [
              "targetSnapshotName",
              "sourceRegion"
            ],
            members: {
              sourceSnapshotName: {},
              sourceResourceName: {},
              restoreDate: {},
              useLatestRestorableAutoSnapshot: {
                type: "boolean"
              },
              targetSnapshotName: {},
              sourceRegion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CreateBucket: {
          input: {
            type: "structure",
            required: [
              "bucketName",
              "bundleId"
            ],
            members: {
              bucketName: {},
              bundleId: {},
              tags: {
                shape: "S10"
              },
              enableObjectVersioning: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              bucket: {
                shape: "S15"
              },
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CreateBucketAccessKey: {
          input: {
            type: "structure",
            required: [
              "bucketName"
            ],
            members: {
              bucketName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              accessKey: {
                shape: "S1g"
              },
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CreateCertificate: {
          input: {
            type: "structure",
            required: [
              "certificateName",
              "domainName"
            ],
            members: {
              certificateName: {},
              domainName: {},
              subjectAlternativeNames: {
                shape: "S1n"
              },
              tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              certificate: {
                shape: "S1p"
              },
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CreateCloudFormationStack: {
          input: {
            type: "structure",
            required: [
              "instances"
            ],
            members: {
              instances: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "sourceName",
                    "instanceType",
                    "portInfoSource",
                    "availabilityZone"
                  ],
                  members: {
                    sourceName: {},
                    instanceType: {},
                    portInfoSource: {},
                    userData: {},
                    availabilityZone: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CreateContactMethod: {
          input: {
            type: "structure",
            required: [
              "protocol",
              "contactEndpoint"
            ],
            members: {
              protocol: {},
              contactEndpoint: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CreateContainerService: {
          input: {
            type: "structure",
            required: [
              "serviceName",
              "power",
              "scale"
            ],
            members: {
              serviceName: {},
              power: {},
              scale: {
                type: "integer"
              },
              tags: {
                shape: "S10"
              },
              publicDomainNames: {
                shape: "S2l"
              },
              deployment: {
                type: "structure",
                members: {
                  containers: {
                    shape: "S2o"
                  },
                  publicEndpoint: {
                    shape: "S2u"
                  }
                }
              },
              privateRegistryAccess: {
                shape: "S2x"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              containerService: {
                shape: "S30"
              }
            }
          }
        },
        CreateContainerServiceDeployment: {
          input: {
            type: "structure",
            required: [
              "serviceName"
            ],
            members: {
              serviceName: {},
              containers: {
                shape: "S2o"
              },
              publicEndpoint: {
                shape: "S2u"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              containerService: {
                shape: "S30"
              }
            }
          }
        },
        CreateContainerServiceRegistryLogin: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              registryLogin: {
                type: "structure",
                members: {
                  username: {},
                  password: {},
                  expiresAt: {
                    type: "timestamp"
                  },
                  registry: {}
                }
              }
            }
          }
        },
        CreateDisk: {
          input: {
            type: "structure",
            required: [
              "diskName",
              "availabilityZone",
              "sizeInGb"
            ],
            members: {
              diskName: {},
              availabilityZone: {},
              sizeInGb: {
                type: "integer"
              },
              tags: {
                shape: "S10"
              },
              addOns: {
                shape: "S3f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CreateDiskFromSnapshot: {
          input: {
            type: "structure",
            required: [
              "diskName",
              "availabilityZone",
              "sizeInGb"
            ],
            members: {
              diskName: {},
              diskSnapshotName: {},
              availabilityZone: {},
              sizeInGb: {
                type: "integer"
              },
              tags: {
                shape: "S10"
              },
              addOns: {
                shape: "S3f"
              },
              sourceDiskName: {},
              restoreDate: {},
              useLatestRestorableAutoSnapshot: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CreateDiskSnapshot: {
          input: {
            type: "structure",
            required: [
              "diskSnapshotName"
            ],
            members: {
              diskName: {},
              diskSnapshotName: {},
              instanceName: {},
              tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CreateDistribution: {
          input: {
            type: "structure",
            required: [
              "distributionName",
              "origin",
              "defaultCacheBehavior",
              "bundleId"
            ],
            members: {
              distributionName: {},
              origin: {
                shape: "S3r"
              },
              defaultCacheBehavior: {
                shape: "S3t"
              },
              cacheBehaviorSettings: {
                shape: "S3v"
              },
              cacheBehaviors: {
                shape: "S43"
              },
              bundleId: {},
              ipAddressType: {},
              tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              distribution: {
                shape: "S47"
              },
              operation: {
                shape: "S5"
              }
            }
          }
        },
        CreateDomain: {
          input: {
            type: "structure",
            required: [
              "domainName"
            ],
            members: {
              domainName: {},
              tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        CreateDomainEntry: {
          input: {
            type: "structure",
            required: [
              "domainName",
              "domainEntry"
            ],
            members: {
              domainName: {},
              domainEntry: {
                shape: "S4c"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        CreateGUISessionAccessDetails: {
          input: {
            type: "structure",
            required: [
              "resourceName"
            ],
            members: {
              resourceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resourceName: {},
              status: {},
              percentageComplete: {
                type: "integer"
              },
              failureReason: {},
              sessions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    url: {
                      type: "string",
                      sensitive: true
                    },
                    isPrimary: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        CreateInstanceSnapshot: {
          input: {
            type: "structure",
            required: [
              "instanceSnapshotName",
              "instanceName"
            ],
            members: {
              instanceSnapshotName: {},
              instanceName: {},
              tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CreateInstances: {
          input: {
            type: "structure",
            required: [
              "instanceNames",
              "availabilityZone",
              "blueprintId",
              "bundleId"
            ],
            members: {
              instanceNames: {
                shape: "Su"
              },
              availabilityZone: {},
              customImageName: {
                deprecated: true
              },
              blueprintId: {},
              bundleId: {},
              userData: {},
              keyPairName: {},
              tags: {
                shape: "S10"
              },
              addOns: {
                shape: "S3f"
              },
              ipAddressType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CreateInstancesFromSnapshot: {
          input: {
            type: "structure",
            required: [
              "instanceNames",
              "availabilityZone",
              "bundleId"
            ],
            members: {
              instanceNames: {
                shape: "Su"
              },
              attachedDiskMapping: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      originalDiskPath: {},
                      newDiskName: {}
                    }
                  }
                }
              },
              availabilityZone: {},
              instanceSnapshotName: {},
              bundleId: {},
              userData: {},
              keyPairName: {},
              tags: {
                shape: "S10"
              },
              addOns: {
                shape: "S3f"
              },
              ipAddressType: {},
              sourceInstanceName: {},
              restoreDate: {},
              useLatestRestorableAutoSnapshot: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CreateKeyPair: {
          input: {
            type: "structure",
            required: [
              "keyPairName"
            ],
            members: {
              keyPairName: {},
              tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              keyPair: {
                shape: "S4y"
              },
              publicKeyBase64: {},
              privateKeyBase64: {},
              operation: {
                shape: "S5"
              }
            }
          }
        },
        CreateLoadBalancer: {
          input: {
            type: "structure",
            required: [
              "loadBalancerName",
              "instancePort"
            ],
            members: {
              loadBalancerName: {},
              instancePort: {
                type: "integer"
              },
              healthCheckPath: {},
              certificateName: {},
              certificateDomainName: {},
              certificateAlternativeNames: {
                shape: "S51"
              },
              tags: {
                shape: "S10"
              },
              ipAddressType: {},
              tlsPolicyName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CreateLoadBalancerTlsCertificate: {
          input: {
            type: "structure",
            required: [
              "loadBalancerName",
              "certificateName",
              "certificateDomainName"
            ],
            members: {
              loadBalancerName: {},
              certificateName: {},
              certificateDomainName: {},
              certificateAlternativeNames: {
                shape: "S51"
              },
              tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CreateRelationalDatabase: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseName",
              "relationalDatabaseBlueprintId",
              "relationalDatabaseBundleId",
              "masterDatabaseName",
              "masterUsername"
            ],
            members: {
              relationalDatabaseName: {},
              availabilityZone: {},
              relationalDatabaseBlueprintId: {},
              relationalDatabaseBundleId: {},
              masterDatabaseName: {},
              masterUsername: {},
              masterUserPassword: {
                shape: "S56"
              },
              preferredBackupWindow: {},
              preferredMaintenanceWindow: {},
              publiclyAccessible: {
                type: "boolean"
              },
              tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CreateRelationalDatabaseFromSnapshot: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseName"
            ],
            members: {
              relationalDatabaseName: {},
              availabilityZone: {},
              publiclyAccessible: {
                type: "boolean"
              },
              relationalDatabaseSnapshotName: {},
              relationalDatabaseBundleId: {},
              sourceRelationalDatabaseName: {},
              restoreTime: {
                type: "timestamp"
              },
              useLatestRestorableTime: {
                type: "boolean"
              },
              tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        CreateRelationalDatabaseSnapshot: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseName",
              "relationalDatabaseSnapshotName"
            ],
            members: {
              relationalDatabaseName: {},
              relationalDatabaseSnapshotName: {},
              tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DeleteAlarm: {
          input: {
            type: "structure",
            required: [
              "alarmName"
            ],
            members: {
              alarmName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DeleteAutoSnapshot: {
          input: {
            type: "structure",
            required: [
              "resourceName",
              "date"
            ],
            members: {
              resourceName: {},
              date: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DeleteBucket: {
          input: {
            type: "structure",
            required: [
              "bucketName"
            ],
            members: {
              bucketName: {},
              forceDelete: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DeleteBucketAccessKey: {
          input: {
            type: "structure",
            required: [
              "bucketName",
              "accessKeyId"
            ],
            members: {
              bucketName: {},
              accessKeyId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DeleteCertificate: {
          input: {
            type: "structure",
            required: [
              "certificateName"
            ],
            members: {
              certificateName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DeleteContactMethod: {
          input: {
            type: "structure",
            required: [
              "protocol"
            ],
            members: {
              protocol: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DeleteContainerImage: {
          input: {
            type: "structure",
            required: [
              "serviceName",
              "image"
            ],
            members: {
              serviceName: {},
              image: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteContainerService: {
          input: {
            type: "structure",
            required: [
              "serviceName"
            ],
            members: {
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDisk: {
          input: {
            type: "structure",
            required: [
              "diskName"
            ],
            members: {
              diskName: {},
              forceDeleteAddOns: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DeleteDiskSnapshot: {
          input: {
            type: "structure",
            required: [
              "diskSnapshotName"
            ],
            members: {
              diskSnapshotName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DeleteDistribution: {
          input: {
            type: "structure",
            members: {
              distributionName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        DeleteDomain: {
          input: {
            type: "structure",
            required: [
              "domainName"
            ],
            members: {
              domainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        DeleteDomainEntry: {
          input: {
            type: "structure",
            required: [
              "domainName",
              "domainEntry"
            ],
            members: {
              domainName: {},
              domainEntry: {
                shape: "S4c"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        DeleteInstance: {
          input: {
            type: "structure",
            required: [
              "instanceName"
            ],
            members: {
              instanceName: {},
              forceDeleteAddOns: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DeleteInstanceSnapshot: {
          input: {
            type: "structure",
            required: [
              "instanceSnapshotName"
            ],
            members: {
              instanceSnapshotName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DeleteKeyPair: {
          input: {
            type: "structure",
            required: [
              "keyPairName"
            ],
            members: {
              keyPairName: {},
              expectedFingerprint: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        DeleteKnownHostKeys: {
          input: {
            type: "structure",
            required: [
              "instanceName"
            ],
            members: {
              instanceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DeleteLoadBalancer: {
          input: {
            type: "structure",
            required: [
              "loadBalancerName"
            ],
            members: {
              loadBalancerName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DeleteLoadBalancerTlsCertificate: {
          input: {
            type: "structure",
            required: [
              "loadBalancerName",
              "certificateName"
            ],
            members: {
              loadBalancerName: {},
              certificateName: {},
              force: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DeleteRelationalDatabase: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseName"
            ],
            members: {
              relationalDatabaseName: {},
              skipFinalSnapshot: {
                type: "boolean"
              },
              finalRelationalDatabaseSnapshotName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DeleteRelationalDatabaseSnapshot: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseSnapshotName"
            ],
            members: {
              relationalDatabaseSnapshotName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DetachCertificateFromDistribution: {
          input: {
            type: "structure",
            required: [
              "distributionName"
            ],
            members: {
              distributionName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        DetachDisk: {
          input: {
            type: "structure",
            required: [
              "diskName"
            ],
            members: {
              diskName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DetachInstancesFromLoadBalancer: {
          input: {
            type: "structure",
            required: [
              "loadBalancerName",
              "instanceNames"
            ],
            members: {
              loadBalancerName: {},
              instanceNames: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DetachStaticIp: {
          input: {
            type: "structure",
            required: [
              "staticIpName"
            ],
            members: {
              staticIpName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DisableAddOn: {
          input: {
            type: "structure",
            required: [
              "addOnType",
              "resourceName"
            ],
            members: {
              addOnType: {},
              resourceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        DownloadDefaultKeyPair: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              publicKeyBase64: {},
              privateKeyBase64: {},
              createdAt: {
                type: "timestamp"
              }
            }
          }
        },
        EnableAddOn: {
          input: {
            type: "structure",
            required: [
              "resourceName",
              "addOnRequest"
            ],
            members: {
              resourceName: {},
              addOnRequest: {
                shape: "S3g"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        ExportSnapshot: {
          input: {
            type: "structure",
            required: [
              "sourceSnapshotName"
            ],
            members: {
              sourceSnapshotName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        GetActiveNames: {
          input: {
            type: "structure",
            members: {
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              activeNames: {
                shape: "Su"
              },
              nextPageToken: {}
            }
          }
        },
        GetAlarms: {
          input: {
            type: "structure",
            members: {
              alarmName: {},
              pageToken: {},
              monitoredResourceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              alarms: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    location: {
                      shape: "S9"
                    },
                    resourceType: {},
                    supportCode: {},
                    monitoredResourceInfo: {
                      type: "structure",
                      members: {
                        arn: {},
                        name: {},
                        resourceType: {}
                      }
                    },
                    comparisonOperator: {},
                    evaluationPeriods: {
                      type: "integer"
                    },
                    period: {
                      type: "integer"
                    },
                    threshold: {
                      type: "double"
                    },
                    datapointsToAlarm: {
                      type: "integer"
                    },
                    treatMissingData: {},
                    statistic: {},
                    metricName: {},
                    state: {},
                    unit: {},
                    contactProtocols: {
                      shape: "S7f"
                    },
                    notificationTriggers: {
                      shape: "S7g"
                    },
                    notificationEnabled: {
                      type: "boolean"
                    }
                  }
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetAutoSnapshots: {
          input: {
            type: "structure",
            required: [
              "resourceName"
            ],
            members: {
              resourceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resourceName: {},
              resourceType: {},
              autoSnapshots: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    date: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    status: {},
                    fromAttachedDisks: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          path: {},
                          sizeInGb: {
                            type: "integer"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetBlueprints: {
          input: {
            type: "structure",
            members: {
              includeInactive: {
                type: "boolean"
              },
              pageToken: {},
              appCategory: {}
            }
          },
          output: {
            type: "structure",
            members: {
              blueprints: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    blueprintId: {},
                    name: {},
                    group: {},
                    type: {},
                    description: {},
                    isActive: {
                      type: "boolean"
                    },
                    minPower: {
                      type: "integer"
                    },
                    version: {},
                    versionCode: {},
                    productUrl: {},
                    licenseUrl: {},
                    platform: {},
                    appCategory: {}
                  }
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetBucketAccessKeys: {
          input: {
            type: "structure",
            required: [
              "bucketName"
            ],
            members: {
              bucketName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              accessKeys: {
                type: "list",
                member: {
                  shape: "S1g"
                }
              }
            }
          }
        },
        GetBucketBundles: {
          input: {
            type: "structure",
            members: {
              includeInactive: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              bundles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    bundleId: {},
                    name: {},
                    price: {
                      type: "float"
                    },
                    storagePerMonthInGb: {
                      type: "integer"
                    },
                    transferPerMonthInGb: {
                      type: "integer"
                    },
                    isActive: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        GetBucketMetricData: {
          input: {
            type: "structure",
            required: [
              "bucketName",
              "metricName",
              "startTime",
              "endTime",
              "period",
              "statistics",
              "unit"
            ],
            members: {
              bucketName: {},
              metricName: {},
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              period: {
                type: "integer"
              },
              statistics: {
                shape: "S85"
              },
              unit: {}
            }
          },
          output: {
            type: "structure",
            members: {
              metricName: {},
              metricData: {
                shape: "S87"
              }
            }
          }
        },
        GetBuckets: {
          input: {
            type: "structure",
            members: {
              bucketName: {},
              pageToken: {},
              includeConnectedResources: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              buckets: {
                type: "list",
                member: {
                  shape: "S15"
                }
              },
              nextPageToken: {},
              accountLevelBpaSync: {
                type: "structure",
                members: {
                  status: {},
                  lastSyncedAt: {
                    type: "timestamp"
                  },
                  message: {},
                  bpaImpactsLightsail: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        GetBundles: {
          input: {
            type: "structure",
            members: {
              includeInactive: {
                type: "boolean"
              },
              pageToken: {},
              appCategory: {}
            }
          },
          output: {
            type: "structure",
            members: {
              bundles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    price: {
                      type: "float"
                    },
                    cpuCount: {
                      type: "integer"
                    },
                    diskSizeInGb: {
                      type: "integer"
                    },
                    bundleId: {},
                    instanceType: {},
                    isActive: {
                      type: "boolean"
                    },
                    name: {},
                    power: {
                      type: "integer"
                    },
                    ramSizeInGb: {
                      type: "float"
                    },
                    transferPerMonthInGb: {
                      type: "integer"
                    },
                    supportedPlatforms: {
                      type: "list",
                      member: {}
                    },
                    supportedAppCategories: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetCertificates: {
          input: {
            type: "structure",
            members: {
              certificateStatuses: {
                type: "list",
                member: {}
              },
              includeCertificateDetails: {
                type: "boolean"
              },
              certificateName: {},
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              certificates: {
                type: "list",
                member: {
                  shape: "S1p"
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetCloudFormationStackRecords: {
          input: {
            type: "structure",
            members: {
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              cloudFormationStackRecords: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    location: {
                      shape: "S9"
                    },
                    resourceType: {},
                    state: {},
                    sourceInfo: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          resourceType: {},
                          name: {},
                          arn: {}
                        }
                      }
                    },
                    destinationInfo: {
                      shape: "S8z"
                    }
                  }
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetContactMethods: {
          input: {
            type: "structure",
            members: {
              protocols: {
                shape: "S7f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              contactMethods: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    contactEndpoint: {},
                    status: {},
                    protocol: {},
                    name: {},
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    location: {
                      shape: "S9"
                    },
                    resourceType: {},
                    supportCode: {}
                  }
                }
              }
            }
          }
        },
        GetContainerAPIMetadata: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              metadata: {
                type: "list",
                member: {
                  type: "map",
                  key: {},
                  value: {}
                }
              }
            }
          }
        },
        GetContainerImages: {
          input: {
            type: "structure",
            required: [
              "serviceName"
            ],
            members: {
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              containerImages: {
                type: "list",
                member: {
                  shape: "S9c"
                }
              }
            }
          }
        },
        GetContainerLog: {
          input: {
            type: "structure",
            required: [
              "serviceName",
              "containerName"
            ],
            members: {
              serviceName: {},
              containerName: {},
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              filterPattern: {},
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              logEvents: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    createdAt: {
                      type: "timestamp"
                    },
                    message: {}
                  }
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetContainerServiceDeployments: {
          input: {
            type: "structure",
            required: [
              "serviceName"
            ],
            members: {
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              deployments: {
                type: "list",
                member: {
                  shape: "S34"
                }
              }
            }
          }
        },
        GetContainerServiceMetricData: {
          input: {
            type: "structure",
            required: [
              "serviceName",
              "metricName",
              "startTime",
              "endTime",
              "period",
              "statistics"
            ],
            members: {
              serviceName: {},
              metricName: {},
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              period: {
                type: "integer"
              },
              statistics: {
                shape: "S85"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              metricName: {},
              metricData: {
                shape: "S87"
              }
            }
          }
        },
        GetContainerServicePowers: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              powers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    powerId: {},
                    price: {
                      type: "float"
                    },
                    cpuCount: {
                      type: "float"
                    },
                    ramSizeInGb: {
                      type: "float"
                    },
                    name: {},
                    isActive: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        GetContainerServices: {
          input: {
            type: "structure",
            members: {
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              containerServices: {
                type: "list",
                member: {
                  shape: "S30"
                }
              }
            }
          }
        },
        GetCostEstimate: {
          input: {
            type: "structure",
            required: [
              "resourceName",
              "startTime",
              "endTime"
            ],
            members: {
              resourceName: {},
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resourcesBudgetEstimate: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    resourceName: {},
                    resourceType: {},
                    costEstimates: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          usageType: {},
                          resultsByTime: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                usageCost: {
                                  type: "double"
                                },
                                pricingUnit: {},
                                unit: {
                                  type: "double"
                                },
                                currency: {},
                                timePeriod: {
                                  type: "structure",
                                  members: {
                                    start: {
                                      type: "timestamp"
                                    },
                                    end: {
                                      type: "timestamp"
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    startTime: {
                      type: "timestamp"
                    },
                    endTime: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        GetDisk: {
          input: {
            type: "structure",
            required: [
              "diskName"
            ],
            members: {
              diskName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              disk: {
                shape: "Sa7"
              }
            }
          }
        },
        GetDiskSnapshot: {
          input: {
            type: "structure",
            required: [
              "diskSnapshotName"
            ],
            members: {
              diskSnapshotName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              diskSnapshot: {
                shape: "Sae"
              }
            }
          }
        },
        GetDiskSnapshots: {
          input: {
            type: "structure",
            members: {
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              diskSnapshots: {
                type: "list",
                member: {
                  shape: "Sae"
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetDisks: {
          input: {
            type: "structure",
            members: {
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              disks: {
                shape: "Sal"
              },
              nextPageToken: {}
            }
          }
        },
        GetDistributionBundles: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              bundles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    bundleId: {},
                    name: {},
                    price: {
                      type: "float"
                    },
                    transferPerMonthInGb: {
                      type: "integer"
                    },
                    isActive: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        GetDistributionLatestCacheReset: {
          input: {
            type: "structure",
            members: {
              distributionName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              status: {},
              createTime: {
                type: "timestamp"
              }
            }
          }
        },
        GetDistributionMetricData: {
          input: {
            type: "structure",
            required: [
              "distributionName",
              "metricName",
              "startTime",
              "endTime",
              "period",
              "unit",
              "statistics"
            ],
            members: {
              distributionName: {},
              metricName: {},
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              period: {
                type: "integer"
              },
              unit: {},
              statistics: {
                shape: "S85"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              metricName: {},
              metricData: {
                shape: "S87"
              }
            }
          }
        },
        GetDistributions: {
          input: {
            type: "structure",
            members: {
              distributionName: {},
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              distributions: {
                type: "list",
                member: {
                  shape: "S47"
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetDomain: {
          input: {
            type: "structure",
            required: [
              "domainName"
            ],
            members: {
              domainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              domain: {
                shape: "Sb0"
              }
            }
          }
        },
        GetDomains: {
          input: {
            type: "structure",
            members: {
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              domains: {
                type: "list",
                member: {
                  shape: "Sb0"
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetExportSnapshotRecords: {
          input: {
            type: "structure",
            members: {
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              exportSnapshotRecords: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    location: {
                      shape: "S9"
                    },
                    resourceType: {},
                    state: {},
                    sourceInfo: {
                      type: "structure",
                      members: {
                        resourceType: {},
                        createdAt: {
                          type: "timestamp"
                        },
                        name: {},
                        arn: {},
                        fromResourceName: {},
                        fromResourceArn: {},
                        instanceSnapshotInfo: {
                          type: "structure",
                          members: {
                            fromBundleId: {},
                            fromBlueprintId: {},
                            fromDiskInfo: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  name: {},
                                  path: {},
                                  sizeInGb: {
                                    type: "integer"
                                  },
                                  isSystemDisk: {
                                    type: "boolean"
                                  }
                                }
                              }
                            }
                          }
                        },
                        diskSnapshotInfo: {
                          type: "structure",
                          members: {
                            sizeInGb: {
                              type: "integer"
                            }
                          }
                        }
                      }
                    },
                    destinationInfo: {
                      shape: "S8z"
                    }
                  }
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetInstance: {
          input: {
            type: "structure",
            required: [
              "instanceName"
            ],
            members: {
              instanceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              instance: {
                shape: "Sbm"
              }
            }
          }
        },
        GetInstanceAccessDetails: {
          input: {
            type: "structure",
            required: [
              "instanceName"
            ],
            members: {
              instanceName: {},
              protocol: {}
            }
          },
          output: {
            type: "structure",
            members: {
              accessDetails: {
                type: "structure",
                members: {
                  certKey: {},
                  expiresAt: {
                    type: "timestamp"
                  },
                  ipAddress: {},
                  password: {},
                  passwordData: {
                    type: "structure",
                    members: {
                      ciphertext: {},
                      keyPairName: {}
                    }
                  },
                  privateKey: {},
                  protocol: {},
                  instanceName: {},
                  username: {},
                  hostKeys: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        algorithm: {},
                        publicKey: {},
                        witnessedAt: {
                          type: "timestamp"
                        },
                        fingerprintSHA1: {},
                        fingerprintSHA256: {},
                        notValidBefore: {
                          type: "timestamp"
                        },
                        notValidAfter: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetInstanceMetricData: {
          input: {
            type: "structure",
            required: [
              "instanceName",
              "metricName",
              "period",
              "startTime",
              "endTime",
              "unit",
              "statistics"
            ],
            members: {
              instanceName: {},
              metricName: {},
              period: {
                type: "integer"
              },
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              unit: {},
              statistics: {
                shape: "S85"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              metricName: {},
              metricData: {
                shape: "S87"
              }
            }
          }
        },
        GetInstancePortStates: {
          input: {
            type: "structure",
            required: [
              "instanceName"
            ],
            members: {
              instanceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              portStates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    fromPort: {
                      type: "integer"
                    },
                    toPort: {
                      type: "integer"
                    },
                    protocol: {},
                    state: {},
                    cidrs: {
                      shape: "Su"
                    },
                    ipv6Cidrs: {
                      shape: "Su"
                    },
                    cidrListAliases: {
                      shape: "Su"
                    }
                  }
                }
              }
            }
          }
        },
        GetInstanceSnapshot: {
          input: {
            type: "structure",
            required: [
              "instanceSnapshotName"
            ],
            members: {
              instanceSnapshotName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              instanceSnapshot: {
                shape: "Sck"
              }
            }
          }
        },
        GetInstanceSnapshots: {
          input: {
            type: "structure",
            members: {
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              instanceSnapshots: {
                type: "list",
                member: {
                  shape: "Sck"
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetInstanceState: {
          input: {
            type: "structure",
            required: [
              "instanceName"
            ],
            members: {
              instanceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              state: {
                shape: "Sbx"
              }
            }
          }
        },
        GetInstances: {
          input: {
            type: "structure",
            members: {
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              instances: {
                type: "list",
                member: {
                  shape: "Sbm"
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetKeyPair: {
          input: {
            type: "structure",
            required: [
              "keyPairName"
            ],
            members: {
              keyPairName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              keyPair: {
                shape: "S4y"
              }
            }
          }
        },
        GetKeyPairs: {
          input: {
            type: "structure",
            members: {
              pageToken: {},
              includeDefaultKeyPair: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              keyPairs: {
                type: "list",
                member: {
                  shape: "S4y"
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetLoadBalancer: {
          input: {
            type: "structure",
            required: [
              "loadBalancerName"
            ],
            members: {
              loadBalancerName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              loadBalancer: {
                shape: "Sd1"
              }
            }
          }
        },
        GetLoadBalancerMetricData: {
          input: {
            type: "structure",
            required: [
              "loadBalancerName",
              "metricName",
              "period",
              "startTime",
              "endTime",
              "unit",
              "statistics"
            ],
            members: {
              loadBalancerName: {},
              metricName: {},
              period: {
                type: "integer"
              },
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              unit: {},
              statistics: {
                shape: "S85"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              metricName: {},
              metricData: {
                shape: "S87"
              }
            }
          }
        },
        GetLoadBalancerTlsCertificates: {
          input: {
            type: "structure",
            required: [
              "loadBalancerName"
            ],
            members: {
              loadBalancerName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tlsCertificates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    arn: {},
                    supportCode: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    location: {
                      shape: "S9"
                    },
                    resourceType: {},
                    tags: {
                      shape: "S10"
                    },
                    loadBalancerName: {},
                    isAttached: {
                      type: "boolean"
                    },
                    status: {},
                    domainName: {},
                    domainValidationRecords: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          name: {},
                          type: {},
                          value: {},
                          validationStatus: {},
                          domainName: {},
                          dnsRecordCreationState: {
                            type: "structure",
                            members: {
                              code: {},
                              message: {}
                            }
                          }
                        }
                      }
                    },
                    failureReason: {},
                    issuedAt: {
                      type: "timestamp"
                    },
                    issuer: {},
                    keyAlgorithm: {},
                    notAfter: {
                      type: "timestamp"
                    },
                    notBefore: {
                      type: "timestamp"
                    },
                    renewalSummary: {
                      type: "structure",
                      members: {
                        renewalStatus: {},
                        domainValidationOptions: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              domainName: {},
                              validationStatus: {}
                            }
                          }
                        }
                      }
                    },
                    revocationReason: {},
                    revokedAt: {
                      type: "timestamp"
                    },
                    serial: {},
                    signatureAlgorithm: {},
                    subject: {},
                    subjectAlternativeNames: {
                      shape: "Su"
                    }
                  }
                }
              }
            }
          }
        },
        GetLoadBalancerTlsPolicies: {
          input: {
            type: "structure",
            members: {
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tlsPolicies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    isDefault: {
                      type: "boolean"
                    },
                    description: {},
                    protocols: {
                      shape: "Su"
                    },
                    ciphers: {
                      shape: "Su"
                    }
                  }
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetLoadBalancers: {
          input: {
            type: "structure",
            members: {
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              loadBalancers: {
                type: "list",
                member: {
                  shape: "Sd1"
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetOperation: {
          input: {
            type: "structure",
            required: [
              "operationId"
            ],
            members: {
              operationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        GetOperations: {
          input: {
            type: "structure",
            members: {
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              },
              nextPageToken: {}
            }
          }
        },
        GetOperationsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceName"
            ],
            members: {
              resourceName: {},
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              },
              nextPageCount: {
                deprecated: true
              },
              nextPageToken: {}
            }
          }
        },
        GetRegions: {
          input: {
            type: "structure",
            members: {
              includeAvailabilityZones: {
                type: "boolean"
              },
              includeRelationalDatabaseAvailabilityZones: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              regions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    continentCode: {},
                    description: {},
                    displayName: {},
                    name: {},
                    availabilityZones: {
                      shape: "Sed"
                    },
                    relationalDatabaseAvailabilityZones: {
                      shape: "Sed"
                    }
                  }
                }
              }
            }
          }
        },
        GetRelationalDatabase: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseName"
            ],
            members: {
              relationalDatabaseName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              relationalDatabase: {
                shape: "Seh"
              }
            }
          }
        },
        GetRelationalDatabaseBlueprints: {
          input: {
            type: "structure",
            members: {
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              blueprints: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    blueprintId: {},
                    engine: {},
                    engineVersion: {},
                    engineDescription: {},
                    engineVersionDescription: {},
                    isEngineDefault: {
                      type: "boolean"
                    }
                  }
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetRelationalDatabaseBundles: {
          input: {
            type: "structure",
            members: {
              pageToken: {},
              includeInactive: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              bundles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    bundleId: {},
                    name: {},
                    price: {
                      type: "float"
                    },
                    ramSizeInGb: {
                      type: "float"
                    },
                    diskSizeInGb: {
                      type: "integer"
                    },
                    transferPerMonthInGb: {
                      type: "integer"
                    },
                    cpuCount: {
                      type: "integer"
                    },
                    isEncrypted: {
                      type: "boolean"
                    },
                    isActive: {
                      type: "boolean"
                    }
                  }
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetRelationalDatabaseEvents: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseName"
            ],
            members: {
              relationalDatabaseName: {},
              durationInMinutes: {
                type: "integer"
              },
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              relationalDatabaseEvents: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    resource: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    message: {},
                    eventCategories: {
                      shape: "Su"
                    }
                  }
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetRelationalDatabaseLogEvents: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseName",
              "logStreamName"
            ],
            members: {
              relationalDatabaseName: {},
              logStreamName: {},
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              startFromHead: {
                type: "boolean"
              },
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resourceLogEvents: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    createdAt: {
                      type: "timestamp"
                    },
                    message: {}
                  }
                }
              },
              nextBackwardToken: {},
              nextForwardToken: {}
            }
          }
        },
        GetRelationalDatabaseLogStreams: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseName"
            ],
            members: {
              relationalDatabaseName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              logStreams: {
                shape: "Su"
              }
            }
          }
        },
        GetRelationalDatabaseMasterUserPassword: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseName"
            ],
            members: {
              relationalDatabaseName: {},
              passwordVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              masterUserPassword: {
                shape: "S56"
              },
              createdAt: {
                type: "timestamp"
              }
            }
          }
        },
        GetRelationalDatabaseMetricData: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseName",
              "metricName",
              "period",
              "startTime",
              "endTime",
              "unit",
              "statistics"
            ],
            members: {
              relationalDatabaseName: {},
              metricName: {},
              period: {
                type: "integer"
              },
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              unit: {},
              statistics: {
                shape: "S85"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              metricName: {},
              metricData: {
                shape: "S87"
              }
            }
          }
        },
        GetRelationalDatabaseParameters: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseName"
            ],
            members: {
              relationalDatabaseName: {},
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              parameters: {
                shape: "Sfe"
              },
              nextPageToken: {}
            }
          }
        },
        GetRelationalDatabaseSnapshot: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseSnapshotName"
            ],
            members: {
              relationalDatabaseSnapshotName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              relationalDatabaseSnapshot: {
                shape: "Sfi"
              }
            }
          }
        },
        GetRelationalDatabaseSnapshots: {
          input: {
            type: "structure",
            members: {
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              relationalDatabaseSnapshots: {
                type: "list",
                member: {
                  shape: "Sfi"
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetRelationalDatabases: {
          input: {
            type: "structure",
            members: {
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              relationalDatabases: {
                type: "list",
                member: {
                  shape: "Seh"
                }
              },
              nextPageToken: {}
            }
          }
        },
        GetStaticIp: {
          input: {
            type: "structure",
            required: [
              "staticIpName"
            ],
            members: {
              staticIpName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              staticIp: {
                shape: "Sfr"
              }
            }
          }
        },
        GetStaticIps: {
          input: {
            type: "structure",
            members: {
              pageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              staticIps: {
                type: "list",
                member: {
                  shape: "Sfr"
                }
              },
              nextPageToken: {}
            }
          }
        },
        ImportKeyPair: {
          input: {
            type: "structure",
            required: [
              "keyPairName",
              "publicKeyBase64"
            ],
            members: {
              keyPairName: {},
              publicKeyBase64: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        IsVpcPeered: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              isPeered: {
                type: "boolean"
              }
            }
          }
        },
        OpenInstancePublicPorts: {
          input: {
            type: "structure",
            required: [
              "portInfo",
              "instanceName"
            ],
            members: {
              portInfo: {
                shape: "Sr"
              },
              instanceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        PeerVpc: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        PutAlarm: {
          input: {
            type: "structure",
            required: [
              "alarmName",
              "metricName",
              "monitoredResourceName",
              "comparisonOperator",
              "threshold",
              "evaluationPeriods"
            ],
            members: {
              alarmName: {},
              metricName: {},
              monitoredResourceName: {},
              comparisonOperator: {},
              threshold: {
                type: "double"
              },
              evaluationPeriods: {
                type: "integer"
              },
              datapointsToAlarm: {
                type: "integer"
              },
              treatMissingData: {},
              contactProtocols: {
                shape: "S7f"
              },
              notificationTriggers: {
                shape: "S7g"
              },
              notificationEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        PutInstancePublicPorts: {
          input: {
            type: "structure",
            required: [
              "portInfos",
              "instanceName"
            ],
            members: {
              portInfos: {
                type: "list",
                member: {
                  shape: "Sr"
                }
              },
              instanceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        RebootInstance: {
          input: {
            type: "structure",
            required: [
              "instanceName"
            ],
            members: {
              instanceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        RebootRelationalDatabase: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseName"
            ],
            members: {
              relationalDatabaseName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        RegisterContainerImage: {
          input: {
            type: "structure",
            required: [
              "serviceName",
              "label",
              "digest"
            ],
            members: {
              serviceName: {},
              label: {},
              digest: {}
            }
          },
          output: {
            type: "structure",
            members: {
              containerImage: {
                shape: "S9c"
              }
            }
          }
        },
        ReleaseStaticIp: {
          input: {
            type: "structure",
            required: [
              "staticIpName"
            ],
            members: {
              staticIpName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        ResetDistributionCache: {
          input: {
            type: "structure",
            members: {
              distributionName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              status: {},
              createTime: {
                type: "timestamp"
              },
              operation: {
                shape: "S5"
              }
            }
          }
        },
        SendContactMethodVerification: {
          input: {
            type: "structure",
            required: [
              "protocol"
            ],
            members: {
              protocol: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        SetIpAddressType: {
          input: {
            type: "structure",
            required: [
              "resourceType",
              "resourceName",
              "ipAddressType"
            ],
            members: {
              resourceType: {},
              resourceName: {},
              ipAddressType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        SetResourceAccessForBucket: {
          input: {
            type: "structure",
            required: [
              "resourceName",
              "bucketName",
              "access"
            ],
            members: {
              resourceName: {},
              bucketName: {},
              access: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        StartGUISession: {
          input: {
            type: "structure",
            required: [
              "resourceName"
            ],
            members: {
              resourceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        StartInstance: {
          input: {
            type: "structure",
            required: [
              "instanceName"
            ],
            members: {
              instanceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        StartRelationalDatabase: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseName"
            ],
            members: {
              relationalDatabaseName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        StopGUISession: {
          input: {
            type: "structure",
            required: [
              "resourceName"
            ],
            members: {
              resourceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        StopInstance: {
          input: {
            type: "structure",
            required: [
              "instanceName"
            ],
            members: {
              instanceName: {},
              force: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        StopRelationalDatabase: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseName"
            ],
            members: {
              relationalDatabaseName: {},
              relationalDatabaseSnapshotName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceName",
              "tags"
            ],
            members: {
              resourceName: {},
              resourceArn: {},
              tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        TestAlarm: {
          input: {
            type: "structure",
            required: [
              "alarmName",
              "state"
            ],
            members: {
              alarmName: {},
              state: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        UnpeerVpc: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceName",
              "tagKeys"
            ],
            members: {
              resourceName: {},
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        UpdateBucket: {
          input: {
            type: "structure",
            required: [
              "bucketName"
            ],
            members: {
              bucketName: {},
              accessRules: {
                shape: "S16"
              },
              versioning: {},
              readonlyAccessAccounts: {
                shape: "S18"
              },
              accessLogConfig: {
                shape: "S1c"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              bucket: {
                shape: "S15"
              },
              operations: {
                shape: "S4"
              }
            }
          }
        },
        UpdateBucketBundle: {
          input: {
            type: "structure",
            required: [
              "bucketName",
              "bundleId"
            ],
            members: {
              bucketName: {},
              bundleId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        UpdateContainerService: {
          input: {
            type: "structure",
            required: [
              "serviceName"
            ],
            members: {
              serviceName: {},
              power: {},
              scale: {
                type: "integer"
              },
              isDisabled: {
                type: "boolean"
              },
              publicDomainNames: {
                shape: "S2l"
              },
              privateRegistryAccess: {
                shape: "S2x"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              containerService: {
                shape: "S30"
              }
            }
          }
        },
        UpdateDistribution: {
          input: {
            type: "structure",
            required: [
              "distributionName"
            ],
            members: {
              distributionName: {},
              origin: {
                shape: "S3r"
              },
              defaultCacheBehavior: {
                shape: "S3t"
              },
              cacheBehaviorSettings: {
                shape: "S3v"
              },
              cacheBehaviors: {
                shape: "S43"
              },
              isEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        UpdateDistributionBundle: {
          input: {
            type: "structure",
            members: {
              distributionName: {},
              bundleId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        UpdateDomainEntry: {
          input: {
            type: "structure",
            required: [
              "domainName",
              "domainEntry"
            ],
            members: {
              domainName: {},
              domainEntry: {
                shape: "S4c"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        UpdateInstanceMetadataOptions: {
          input: {
            type: "structure",
            required: [
              "instanceName"
            ],
            members: {
              instanceName: {},
              httpTokens: {},
              httpEndpoint: {},
              httpPutResponseHopLimit: {
                type: "integer"
              },
              httpProtocolIpv6: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operation: {
                shape: "S5"
              }
            }
          }
        },
        UpdateLoadBalancerAttribute: {
          input: {
            type: "structure",
            required: [
              "loadBalancerName",
              "attributeName",
              "attributeValue"
            ],
            members: {
              loadBalancerName: {},
              attributeName: {},
              attributeValue: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        UpdateRelationalDatabase: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseName"
            ],
            members: {
              relationalDatabaseName: {},
              masterUserPassword: {
                shape: "S56"
              },
              rotateMasterUserPassword: {
                type: "boolean"
              },
              preferredBackupWindow: {},
              preferredMaintenanceWindow: {},
              enableBackupRetention: {
                type: "boolean"
              },
              disableBackupRetention: {
                type: "boolean"
              },
              publiclyAccessible: {
                type: "boolean"
              },
              applyImmediately: {
                type: "boolean"
              },
              caCertificateIdentifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        },
        UpdateRelationalDatabaseParameters: {
          input: {
            type: "structure",
            required: [
              "relationalDatabaseName",
              "parameters"
            ],
            members: {
              relationalDatabaseName: {},
              parameters: {
                shape: "Sfe"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              operations: {
                shape: "S4"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "list",
          member: {
            shape: "S5"
          }
        },
        S5: {
          type: "structure",
          members: {
            id: {},
            resourceName: {},
            resourceType: {},
            createdAt: {
              type: "timestamp"
            },
            location: {
              shape: "S9"
            },
            isTerminal: {
              type: "boolean"
            },
            operationDetails: {},
            operationType: {},
            status: {},
            statusChangedAt: {
              type: "timestamp"
            },
            errorCode: {},
            errorDetails: {}
          }
        },
        S9: {
          type: "structure",
          members: {
            availabilityZone: {},
            regionName: {}
          }
        },
        Sk: {
          type: "list",
          member: {}
        },
        Sr: {
          type: "structure",
          members: {
            fromPort: {
              type: "integer"
            },
            toPort: {
              type: "integer"
            },
            protocol: {},
            cidrs: {
              shape: "Su"
            },
            ipv6Cidrs: {
              shape: "Su"
            },
            cidrListAliases: {
              shape: "Su"
            }
          }
        },
        Su: {
          type: "list",
          member: {}
        },
        S10: {
          type: "list",
          member: {
            type: "structure",
            members: {
              key: {},
              value: {}
            }
          }
        },
        S15: {
          type: "structure",
          members: {
            resourceType: {},
            accessRules: {
              shape: "S16"
            },
            arn: {},
            bundleId: {},
            createdAt: {
              type: "timestamp"
            },
            url: {},
            location: {
              shape: "S9"
            },
            name: {},
            supportCode: {},
            tags: {
              shape: "S10"
            },
            objectVersioning: {},
            ableToUpdateBundle: {
              type: "boolean"
            },
            readonlyAccessAccounts: {
              shape: "S18"
            },
            resourcesReceivingAccess: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  name: {},
                  resourceType: {}
                }
              }
            },
            state: {
              type: "structure",
              members: {
                code: {},
                message: {}
              }
            },
            accessLogConfig: {
              shape: "S1c"
            }
          }
        },
        S16: {
          type: "structure",
          members: {
            getObject: {},
            allowPublicOverrides: {
              type: "boolean"
            }
          }
        },
        S18: {
          type: "list",
          member: {}
        },
        S1c: {
          type: "structure",
          required: [
            "enabled"
          ],
          members: {
            enabled: {
              type: "boolean"
            },
            destination: {},
            prefix: {}
          }
        },
        S1g: {
          type: "structure",
          members: {
            accessKeyId: {
              type: "string",
              sensitive: true
            },
            secretAccessKey: {},
            status: {},
            createdAt: {
              type: "timestamp"
            },
            lastUsed: {
              type: "structure",
              members: {
                lastUsedDate: {
                  type: "timestamp"
                },
                region: {},
                serviceName: {}
              }
            }
          }
        },
        S1n: {
          type: "list",
          member: {}
        },
        S1p: {
          type: "structure",
          members: {
            certificateArn: {},
            certificateName: {},
            domainName: {},
            certificateDetail: {
              type: "structure",
              members: {
                arn: {},
                name: {},
                domainName: {},
                status: {},
                serialNumber: {},
                subjectAlternativeNames: {
                  shape: "S1n"
                },
                domainValidationRecords: {
                  shape: "S1t"
                },
                requestFailureReason: {},
                inUseResourceCount: {
                  type: "integer"
                },
                keyAlgorithm: {},
                createdAt: {
                  type: "timestamp"
                },
                issuedAt: {
                  type: "timestamp"
                },
                issuerCA: {},
                notBefore: {
                  type: "timestamp"
                },
                notAfter: {
                  type: "timestamp"
                },
                eligibleToRenew: {},
                renewalSummary: {
                  type: "structure",
                  members: {
                    domainValidationRecords: {
                      shape: "S1t"
                    },
                    renewalStatus: {},
                    renewalStatusReason: {},
                    updatedAt: {
                      type: "timestamp"
                    }
                  }
                },
                revokedAt: {
                  type: "timestamp"
                },
                revocationReason: {},
                tags: {
                  shape: "S10"
                },
                supportCode: {}
              }
            },
            tags: {
              shape: "S10"
            }
          }
        },
        S1t: {
          type: "list",
          member: {
            type: "structure",
            members: {
              domainName: {},
              resourceRecord: {
                type: "structure",
                members: {
                  name: {},
                  type: {},
                  value: {}
                }
              },
              dnsRecordCreationState: {
                type: "structure",
                members: {
                  code: {},
                  message: {}
                }
              },
              validationStatus: {}
            }
          }
        },
        S2l: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {}
          }
        },
        S2o: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              image: {},
              command: {
                shape: "Su"
              },
              environment: {
                type: "map",
                key: {},
                value: {}
              },
              ports: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        S2u: {
          type: "structure",
          required: [
            "containerName",
            "containerPort"
          ],
          members: {
            containerName: {},
            containerPort: {
              type: "integer"
            },
            healthCheck: {
              shape: "S2w"
            }
          }
        },
        S2w: {
          type: "structure",
          members: {
            healthyThreshold: {
              type: "integer"
            },
            unhealthyThreshold: {
              type: "integer"
            },
            timeoutSeconds: {
              type: "integer"
            },
            intervalSeconds: {
              type: "integer"
            },
            path: {},
            successCodes: {}
          }
        },
        S2x: {
          type: "structure",
          members: {
            ecrImagePullerRole: {
              type: "structure",
              members: {
                isActive: {
                  type: "boolean"
                }
              }
            }
          }
        },
        S30: {
          type: "structure",
          members: {
            containerServiceName: {},
            arn: {},
            createdAt: {
              type: "timestamp"
            },
            location: {
              shape: "S9"
            },
            resourceType: {},
            tags: {
              shape: "S10"
            },
            power: {},
            powerId: {},
            state: {},
            stateDetail: {
              type: "structure",
              members: {
                code: {},
                message: {}
              }
            },
            scale: {
              type: "integer"
            },
            currentDeployment: {
              shape: "S34"
            },
            nextDeployment: {
              shape: "S34"
            },
            isDisabled: {
              type: "boolean"
            },
            principalArn: {},
            privateDomainName: {},
            publicDomainNames: {
              shape: "S2l"
            },
            url: {},
            privateRegistryAccess: {
              type: "structure",
              members: {
                ecrImagePullerRole: {
                  type: "structure",
                  members: {
                    isActive: {
                      type: "boolean"
                    },
                    principalArn: {}
                  }
                }
              }
            }
          }
        },
        S34: {
          type: "structure",
          members: {
            version: {
              type: "integer"
            },
            state: {},
            containers: {
              shape: "S2o"
            },
            publicEndpoint: {
              type: "structure",
              members: {
                containerName: {},
                containerPort: {
                  type: "integer"
                },
                healthCheck: {
                  shape: "S2w"
                }
              }
            },
            createdAt: {
              type: "timestamp"
            }
          }
        },
        S3f: {
          type: "list",
          member: {
            shape: "S3g"
          }
        },
        S3g: {
          type: "structure",
          required: [
            "addOnType"
          ],
          members: {
            addOnType: {},
            autoSnapshotAddOnRequest: {
              type: "structure",
              members: {
                snapshotTimeOfDay: {}
              }
            },
            stopInstanceOnIdleRequest: {
              type: "structure",
              members: {
                threshold: {},
                duration: {}
              }
            }
          }
        },
        S3r: {
          type: "structure",
          members: {
            name: {},
            regionName: {},
            protocolPolicy: {}
          }
        },
        S3t: {
          type: "structure",
          members: {
            behavior: {}
          }
        },
        S3v: {
          type: "structure",
          members: {
            defaultTTL: {
              type: "long"
            },
            minimumTTL: {
              type: "long"
            },
            maximumTTL: {
              type: "long"
            },
            allowedHTTPMethods: {},
            cachedHTTPMethods: {},
            forwardedCookies: {
              type: "structure",
              members: {
                option: {},
                cookiesAllowList: {
                  shape: "Su"
                }
              }
            },
            forwardedHeaders: {
              type: "structure",
              members: {
                option: {},
                headersAllowList: {
                  type: "list",
                  member: {}
                }
              }
            },
            forwardedQueryStrings: {
              type: "structure",
              members: {
                option: {
                  type: "boolean"
                },
                queryStringsAllowList: {
                  shape: "Su"
                }
              }
            }
          }
        },
        S43: {
          type: "list",
          member: {
            type: "structure",
            members: {
              path: {},
              behavior: {}
            }
          }
        },
        S47: {
          type: "structure",
          members: {
            name: {},
            arn: {},
            supportCode: {},
            createdAt: {
              type: "timestamp"
            },
            location: {
              shape: "S9"
            },
            resourceType: {},
            alternativeDomainNames: {
              shape: "Su"
            },
            status: {},
            isEnabled: {
              type: "boolean"
            },
            domainName: {},
            bundleId: {},
            certificateName: {},
            origin: {
              type: "structure",
              members: {
                name: {},
                resourceType: {},
                regionName: {},
                protocolPolicy: {}
              }
            },
            originPublicDNS: {},
            defaultCacheBehavior: {
              shape: "S3t"
            },
            cacheBehaviorSettings: {
              shape: "S3v"
            },
            cacheBehaviors: {
              shape: "S43"
            },
            ableToUpdateBundle: {
              type: "boolean"
            },
            ipAddressType: {},
            tags: {
              shape: "S10"
            }
          }
        },
        S4c: {
          type: "structure",
          members: {
            id: {},
            name: {},
            target: {},
            isAlias: {
              type: "boolean"
            },
            type: {},
            options: {
              deprecated: true,
              type: "map",
              key: {},
              value: {}
            }
          }
        },
        S4y: {
          type: "structure",
          members: {
            name: {},
            arn: {},
            supportCode: {},
            createdAt: {
              type: "timestamp"
            },
            location: {
              shape: "S9"
            },
            resourceType: {},
            tags: {
              shape: "S10"
            },
            fingerprint: {}
          }
        },
        S51: {
          type: "list",
          member: {}
        },
        S56: {
          type: "string",
          sensitive: true
        },
        S7f: {
          type: "list",
          member: {}
        },
        S7g: {
          type: "list",
          member: {}
        },
        S85: {
          type: "list",
          member: {}
        },
        S87: {
          type: "list",
          member: {
            type: "structure",
            members: {
              average: {
                type: "double"
              },
              maximum: {
                type: "double"
              },
              minimum: {
                type: "double"
              },
              sampleCount: {
                type: "double"
              },
              sum: {
                type: "double"
              },
              timestamp: {
                type: "timestamp"
              },
              unit: {}
            }
          }
        },
        S8z: {
          type: "structure",
          members: {
            id: {},
            service: {}
          }
        },
        S9c: {
          type: "structure",
          members: {
            image: {},
            digest: {},
            createdAt: {
              type: "timestamp"
            }
          }
        },
        Sa7: {
          type: "structure",
          members: {
            name: {},
            arn: {},
            supportCode: {},
            createdAt: {
              type: "timestamp"
            },
            location: {
              shape: "S9"
            },
            resourceType: {},
            tags: {
              shape: "S10"
            },
            addOns: {
              shape: "Sa8"
            },
            sizeInGb: {
              type: "integer"
            },
            isSystemDisk: {
              type: "boolean"
            },
            iops: {
              type: "integer"
            },
            path: {},
            state: {},
            attachedTo: {},
            isAttached: {
              type: "boolean"
            },
            attachmentState: {
              deprecated: true
            },
            gbInUse: {
              deprecated: true,
              type: "integer"
            },
            autoMountStatus: {}
          }
        },
        Sa8: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              status: {},
              snapshotTimeOfDay: {},
              nextSnapshotTimeOfDay: {},
              threshold: {},
              duration: {}
            }
          }
        },
        Sae: {
          type: "structure",
          members: {
            name: {},
            arn: {},
            supportCode: {},
            createdAt: {
              type: "timestamp"
            },
            location: {
              shape: "S9"
            },
            resourceType: {},
            tags: {
              shape: "S10"
            },
            sizeInGb: {
              type: "integer"
            },
            state: {},
            progress: {},
            fromDiskName: {},
            fromDiskArn: {},
            fromInstanceName: {},
            fromInstanceArn: {},
            isFromAutoSnapshot: {
              type: "boolean"
            }
          }
        },
        Sal: {
          type: "list",
          member: {
            shape: "Sa7"
          }
        },
        Sb0: {
          type: "structure",
          members: {
            name: {},
            arn: {},
            supportCode: {},
            createdAt: {
              type: "timestamp"
            },
            location: {
              shape: "S9"
            },
            resourceType: {},
            tags: {
              shape: "S10"
            },
            domainEntries: {
              type: "list",
              member: {
                shape: "S4c"
              }
            },
            registeredDomainDelegationInfo: {
              type: "structure",
              members: {
                nameServersUpdateState: {
                  type: "structure",
                  members: {
                    code: {},
                    message: {}
                  }
                },
                r53HostedZoneDeletionState: {
                  type: "structure",
                  members: {
                    code: {},
                    message: {}
                  }
                }
              }
            }
          }
        },
        Sbm: {
          type: "structure",
          members: {
            name: {},
            arn: {},
            supportCode: {},
            createdAt: {
              type: "timestamp"
            },
            location: {
              shape: "S9"
            },
            resourceType: {},
            tags: {
              shape: "S10"
            },
            blueprintId: {},
            blueprintName: {},
            bundleId: {},
            addOns: {
              shape: "Sa8"
            },
            isStaticIp: {
              type: "boolean"
            },
            privateIpAddress: {},
            publicIpAddress: {},
            ipv6Addresses: {
              type: "list",
              member: {}
            },
            ipAddressType: {},
            hardware: {
              type: "structure",
              members: {
                cpuCount: {
                  type: "integer"
                },
                disks: {
                  shape: "Sal"
                },
                ramSizeInGb: {
                  type: "float"
                }
              }
            },
            networking: {
              type: "structure",
              members: {
                monthlyTransfer: {
                  type: "structure",
                  members: {
                    gbPerMonthAllocated: {
                      type: "integer"
                    }
                  }
                },
                ports: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      fromPort: {
                        type: "integer"
                      },
                      toPort: {
                        type: "integer"
                      },
                      protocol: {},
                      accessFrom: {},
                      accessType: {},
                      commonName: {},
                      accessDirection: {},
                      cidrs: {
                        shape: "Su"
                      },
                      ipv6Cidrs: {
                        shape: "Su"
                      },
                      cidrListAliases: {
                        shape: "Su"
                      }
                    }
                  }
                }
              }
            },
            state: {
              shape: "Sbx"
            },
            username: {},
            sshKeyName: {},
            metadataOptions: {
              type: "structure",
              members: {
                state: {},
                httpTokens: {},
                httpEndpoint: {},
                httpPutResponseHopLimit: {
                  type: "integer"
                },
                httpProtocolIpv6: {}
              }
            }
          }
        },
        Sbx: {
          type: "structure",
          members: {
            code: {
              type: "integer"
            },
            name: {}
          }
        },
        Sck: {
          type: "structure",
          members: {
            name: {},
            arn: {},
            supportCode: {},
            createdAt: {
              type: "timestamp"
            },
            location: {
              shape: "S9"
            },
            resourceType: {},
            tags: {
              shape: "S10"
            },
            state: {},
            progress: {},
            fromAttachedDisks: {
              shape: "Sal"
            },
            fromInstanceName: {},
            fromInstanceArn: {},
            fromBlueprintId: {},
            fromBundleId: {},
            isFromAutoSnapshot: {
              type: "boolean"
            },
            sizeInGb: {
              type: "integer"
            }
          }
        },
        Sd1: {
          type: "structure",
          members: {
            name: {},
            arn: {},
            supportCode: {},
            createdAt: {
              type: "timestamp"
            },
            location: {
              shape: "S9"
            },
            resourceType: {},
            tags: {
              shape: "S10"
            },
            dnsName: {},
            state: {},
            protocol: {},
            publicPorts: {
              type: "list",
              member: {
                type: "integer"
              }
            },
            healthCheckPath: {},
            instancePort: {
              type: "integer"
            },
            instanceHealthSummary: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  instanceName: {},
                  instanceHealth: {},
                  instanceHealthReason: {}
                }
              }
            },
            tlsCertificateSummaries: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  name: {},
                  isAttached: {
                    type: "boolean"
                  }
                }
              }
            },
            configurationOptions: {
              type: "map",
              key: {},
              value: {}
            },
            ipAddressType: {},
            httpsRedirectionEnabled: {
              type: "boolean"
            },
            tlsPolicyName: {}
          }
        },
        Sed: {
          type: "list",
          member: {
            type: "structure",
            members: {
              zoneName: {},
              state: {}
            }
          }
        },
        Seh: {
          type: "structure",
          members: {
            name: {},
            arn: {},
            supportCode: {},
            createdAt: {
              type: "timestamp"
            },
            location: {
              shape: "S9"
            },
            resourceType: {},
            tags: {
              shape: "S10"
            },
            relationalDatabaseBlueprintId: {},
            relationalDatabaseBundleId: {},
            masterDatabaseName: {},
            hardware: {
              type: "structure",
              members: {
                cpuCount: {
                  type: "integer"
                },
                diskSizeInGb: {
                  type: "integer"
                },
                ramSizeInGb: {
                  type: "float"
                }
              }
            },
            state: {},
            secondaryAvailabilityZone: {},
            backupRetentionEnabled: {
              type: "boolean"
            },
            pendingModifiedValues: {
              type: "structure",
              members: {
                masterUserPassword: {},
                engineVersion: {},
                backupRetentionEnabled: {
                  type: "boolean"
                }
              }
            },
            engine: {},
            engineVersion: {},
            latestRestorableTime: {
              type: "timestamp"
            },
            masterUsername: {},
            parameterApplyStatus: {},
            preferredBackupWindow: {},
            preferredMaintenanceWindow: {},
            publiclyAccessible: {
              type: "boolean"
            },
            masterEndpoint: {
              type: "structure",
              members: {
                port: {
                  type: "integer"
                },
                address: {}
              }
            },
            pendingMaintenanceActions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  action: {},
                  description: {},
                  currentApplyDate: {
                    type: "timestamp"
                  }
                }
              }
            },
            caCertificateIdentifier: {}
          }
        },
        Sfe: {
          type: "list",
          member: {
            type: "structure",
            members: {
              allowedValues: {},
              applyMethod: {},
              applyType: {},
              dataType: {},
              description: {},
              isModifiable: {
                type: "boolean"
              },
              parameterName: {},
              parameterValue: {}
            }
          }
        },
        Sfi: {
          type: "structure",
          members: {
            name: {},
            arn: {},
            supportCode: {},
            createdAt: {
              type: "timestamp"
            },
            location: {
              shape: "S9"
            },
            resourceType: {},
            tags: {
              shape: "S10"
            },
            engine: {},
            engineVersion: {},
            sizeInGb: {
              type: "integer"
            },
            state: {},
            fromRelationalDatabaseName: {},
            fromRelationalDatabaseArn: {},
            fromRelationalDatabaseBundleId: {},
            fromRelationalDatabaseBlueprintId: {}
          }
        },
        Sfr: {
          type: "structure",
          members: {
            name: {},
            arn: {},
            supportCode: {},
            createdAt: {
              type: "timestamp"
            },
            location: {
              shape: "S9"
            },
            resourceType: {},
            ipAddress: {},
            attachedTo: {},
            isAttached: {
              type: "boolean"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/lightsail-2016-11-28.paginators.json
var require_lightsail_2016_11_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/lightsail-2016-11-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/lightsail.js
var require_lightsail = __commonJS({
  "node_modules/aws-sdk/clients/lightsail.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["lightsail"] = {};
    AWS2.Lightsail = Service.defineService("lightsail", ["2016-11-28"]);
    Object.defineProperty(apiLoader.services["lightsail"], "2016-11-28", {
      get: function get() {
        var model = require_lightsail_2016_11_28_min();
        model.paginators = require_lightsail_2016_11_28_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Lightsail;
  }
});

// node_modules/aws-sdk/lib/services/machinelearning.js
var require_machinelearning = __commonJS({
  "node_modules/aws-sdk/lib/services/machinelearning.js"() {
    var AWS2 = require_core();
    AWS2.util.update(AWS2.MachineLearning.prototype, {
      /**
       * @api private
       */
      setupRequestListeners: function setupRequestListeners(request) {
        if (request.operation === "predict") {
          request.addListener("build", this.buildEndpoint);
        }
      },
      /**
       * Updates request endpoint from PredictEndpoint
       * @api private
       */
      buildEndpoint: function buildEndpoint(request) {
        var url = request.params.PredictEndpoint;
        if (url) {
          request.httpRequest.endpoint = new AWS2.Endpoint(url);
        }
      }
    });
  }
});

// node_modules/aws-sdk/apis/machinelearning-2014-12-12.min.json
var require_machinelearning_2014_12_12_min = __commonJS({
  "node_modules/aws-sdk/apis/machinelearning-2014-12-12.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2014-12-12",
        endpointPrefix: "machinelearning",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Machine Learning",
        serviceId: "Machine Learning",
        signatureVersion: "v4",
        targetPrefix: "AmazonML_20141212",
        uid: "machinelearning-2014-12-12"
      },
      operations: {
        AddTags: {
          input: {
            type: "structure",
            required: [
              "Tags",
              "ResourceId",
              "ResourceType"
            ],
            members: {
              Tags: {
                shape: "S2"
              },
              ResourceId: {},
              ResourceType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceId: {},
              ResourceType: {}
            }
          }
        },
        CreateBatchPrediction: {
          input: {
            type: "structure",
            required: [
              "BatchPredictionId",
              "MLModelId",
              "BatchPredictionDataSourceId",
              "OutputUri"
            ],
            members: {
              BatchPredictionId: {},
              BatchPredictionName: {},
              MLModelId: {},
              BatchPredictionDataSourceId: {},
              OutputUri: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BatchPredictionId: {}
            }
          }
        },
        CreateDataSourceFromRDS: {
          input: {
            type: "structure",
            required: [
              "DataSourceId",
              "RDSData",
              "RoleARN"
            ],
            members: {
              DataSourceId: {},
              DataSourceName: {},
              RDSData: {
                type: "structure",
                required: [
                  "DatabaseInformation",
                  "SelectSqlQuery",
                  "DatabaseCredentials",
                  "S3StagingLocation",
                  "ResourceRole",
                  "ServiceRole",
                  "SubnetId",
                  "SecurityGroupIds"
                ],
                members: {
                  DatabaseInformation: {
                    shape: "Sf"
                  },
                  SelectSqlQuery: {},
                  DatabaseCredentials: {
                    type: "structure",
                    required: [
                      "Username",
                      "Password"
                    ],
                    members: {
                      Username: {},
                      Password: {}
                    }
                  },
                  S3StagingLocation: {},
                  DataRearrangement: {},
                  DataSchema: {},
                  DataSchemaUri: {},
                  ResourceRole: {},
                  ServiceRole: {},
                  SubnetId: {},
                  SecurityGroupIds: {
                    type: "list",
                    member: {}
                  }
                }
              },
              RoleARN: {},
              ComputeStatistics: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataSourceId: {}
            }
          }
        },
        CreateDataSourceFromRedshift: {
          input: {
            type: "structure",
            required: [
              "DataSourceId",
              "DataSpec",
              "RoleARN"
            ],
            members: {
              DataSourceId: {},
              DataSourceName: {},
              DataSpec: {
                type: "structure",
                required: [
                  "DatabaseInformation",
                  "SelectSqlQuery",
                  "DatabaseCredentials",
                  "S3StagingLocation"
                ],
                members: {
                  DatabaseInformation: {
                    shape: "Sy"
                  },
                  SelectSqlQuery: {},
                  DatabaseCredentials: {
                    type: "structure",
                    required: [
                      "Username",
                      "Password"
                    ],
                    members: {
                      Username: {},
                      Password: {}
                    }
                  },
                  S3StagingLocation: {},
                  DataRearrangement: {},
                  DataSchema: {},
                  DataSchemaUri: {}
                }
              },
              RoleARN: {},
              ComputeStatistics: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataSourceId: {}
            }
          }
        },
        CreateDataSourceFromS3: {
          input: {
            type: "structure",
            required: [
              "DataSourceId",
              "DataSpec"
            ],
            members: {
              DataSourceId: {},
              DataSourceName: {},
              DataSpec: {
                type: "structure",
                required: [
                  "DataLocationS3"
                ],
                members: {
                  DataLocationS3: {},
                  DataRearrangement: {},
                  DataSchema: {},
                  DataSchemaLocationS3: {}
                }
              },
              ComputeStatistics: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataSourceId: {}
            }
          }
        },
        CreateEvaluation: {
          input: {
            type: "structure",
            required: [
              "EvaluationId",
              "MLModelId",
              "EvaluationDataSourceId"
            ],
            members: {
              EvaluationId: {},
              EvaluationName: {},
              MLModelId: {},
              EvaluationDataSourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EvaluationId: {}
            }
          }
        },
        CreateMLModel: {
          input: {
            type: "structure",
            required: [
              "MLModelId",
              "MLModelType",
              "TrainingDataSourceId"
            ],
            members: {
              MLModelId: {},
              MLModelName: {},
              MLModelType: {},
              Parameters: {
                shape: "S1d"
              },
              TrainingDataSourceId: {},
              Recipe: {},
              RecipeUri: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MLModelId: {}
            }
          }
        },
        CreateRealtimeEndpoint: {
          input: {
            type: "structure",
            required: [
              "MLModelId"
            ],
            members: {
              MLModelId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MLModelId: {},
              RealtimeEndpointInfo: {
                shape: "S1j"
              }
            }
          }
        },
        DeleteBatchPrediction: {
          input: {
            type: "structure",
            required: [
              "BatchPredictionId"
            ],
            members: {
              BatchPredictionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BatchPredictionId: {}
            }
          }
        },
        DeleteDataSource: {
          input: {
            type: "structure",
            required: [
              "DataSourceId"
            ],
            members: {
              DataSourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DataSourceId: {}
            }
          }
        },
        DeleteEvaluation: {
          input: {
            type: "structure",
            required: [
              "EvaluationId"
            ],
            members: {
              EvaluationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EvaluationId: {}
            }
          }
        },
        DeleteMLModel: {
          input: {
            type: "structure",
            required: [
              "MLModelId"
            ],
            members: {
              MLModelId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MLModelId: {}
            }
          }
        },
        DeleteRealtimeEndpoint: {
          input: {
            type: "structure",
            required: [
              "MLModelId"
            ],
            members: {
              MLModelId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MLModelId: {},
              RealtimeEndpointInfo: {
                shape: "S1j"
              }
            }
          }
        },
        DeleteTags: {
          input: {
            type: "structure",
            required: [
              "TagKeys",
              "ResourceId",
              "ResourceType"
            ],
            members: {
              TagKeys: {
                type: "list",
                member: {}
              },
              ResourceId: {},
              ResourceType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceId: {},
              ResourceType: {}
            }
          }
        },
        DescribeBatchPredictions: {
          input: {
            type: "structure",
            members: {
              FilterVariable: {},
              EQ: {},
              GT: {},
              LT: {},
              GE: {},
              LE: {},
              NE: {},
              Prefix: {},
              SortOrder: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Results: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    BatchPredictionId: {},
                    MLModelId: {},
                    BatchPredictionDataSourceId: {},
                    InputDataLocationS3: {},
                    CreatedByIamUser: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    LastUpdatedAt: {
                      type: "timestamp"
                    },
                    Name: {},
                    Status: {},
                    OutputUri: {},
                    Message: {},
                    ComputeTime: {
                      type: "long"
                    },
                    FinishedAt: {
                      type: "timestamp"
                    },
                    StartedAt: {
                      type: "timestamp"
                    },
                    TotalRecordCount: {
                      type: "long"
                    },
                    InvalidRecordCount: {
                      type: "long"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeDataSources: {
          input: {
            type: "structure",
            members: {
              FilterVariable: {},
              EQ: {},
              GT: {},
              LT: {},
              GE: {},
              LE: {},
              NE: {},
              Prefix: {},
              SortOrder: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Results: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DataSourceId: {},
                    DataLocationS3: {},
                    DataRearrangement: {},
                    CreatedByIamUser: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    LastUpdatedAt: {
                      type: "timestamp"
                    },
                    DataSizeInBytes: {
                      type: "long"
                    },
                    NumberOfFiles: {
                      type: "long"
                    },
                    Name: {},
                    Status: {},
                    Message: {},
                    RedshiftMetadata: {
                      shape: "S2i"
                    },
                    RDSMetadata: {
                      shape: "S2j"
                    },
                    RoleARN: {},
                    ComputeStatistics: {
                      type: "boolean"
                    },
                    ComputeTime: {
                      type: "long"
                    },
                    FinishedAt: {
                      type: "timestamp"
                    },
                    StartedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeEvaluations: {
          input: {
            type: "structure",
            members: {
              FilterVariable: {},
              EQ: {},
              GT: {},
              LT: {},
              GE: {},
              LE: {},
              NE: {},
              Prefix: {},
              SortOrder: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Results: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EvaluationId: {},
                    MLModelId: {},
                    EvaluationDataSourceId: {},
                    InputDataLocationS3: {},
                    CreatedByIamUser: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    LastUpdatedAt: {
                      type: "timestamp"
                    },
                    Name: {},
                    Status: {},
                    PerformanceMetrics: {
                      shape: "S2q"
                    },
                    Message: {},
                    ComputeTime: {
                      type: "long"
                    },
                    FinishedAt: {
                      type: "timestamp"
                    },
                    StartedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeMLModels: {
          input: {
            type: "structure",
            members: {
              FilterVariable: {},
              EQ: {},
              GT: {},
              LT: {},
              GE: {},
              LE: {},
              NE: {},
              Prefix: {},
              SortOrder: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Results: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MLModelId: {},
                    TrainingDataSourceId: {},
                    CreatedByIamUser: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    LastUpdatedAt: {
                      type: "timestamp"
                    },
                    Name: {},
                    Status: {},
                    SizeInBytes: {
                      type: "long"
                    },
                    EndpointInfo: {
                      shape: "S1j"
                    },
                    TrainingParameters: {
                      shape: "S1d"
                    },
                    InputDataLocationS3: {},
                    Algorithm: {},
                    MLModelType: {},
                    ScoreThreshold: {
                      type: "float"
                    },
                    ScoreThresholdLastUpdatedAt: {
                      type: "timestamp"
                    },
                    Message: {},
                    ComputeTime: {
                      type: "long"
                    },
                    FinishedAt: {
                      type: "timestamp"
                    },
                    StartedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeTags: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "ResourceType"
            ],
            members: {
              ResourceId: {},
              ResourceType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceId: {},
              ResourceType: {},
              Tags: {
                shape: "S2"
              }
            }
          }
        },
        GetBatchPrediction: {
          input: {
            type: "structure",
            required: [
              "BatchPredictionId"
            ],
            members: {
              BatchPredictionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BatchPredictionId: {},
              MLModelId: {},
              BatchPredictionDataSourceId: {},
              InputDataLocationS3: {},
              CreatedByIamUser: {},
              CreatedAt: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              Name: {},
              Status: {},
              OutputUri: {},
              LogUri: {},
              Message: {},
              ComputeTime: {
                type: "long"
              },
              FinishedAt: {
                type: "timestamp"
              },
              StartedAt: {
                type: "timestamp"
              },
              TotalRecordCount: {
                type: "long"
              },
              InvalidRecordCount: {
                type: "long"
              }
            }
          }
        },
        GetDataSource: {
          input: {
            type: "structure",
            required: [
              "DataSourceId"
            ],
            members: {
              DataSourceId: {},
              Verbose: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataSourceId: {},
              DataLocationS3: {},
              DataRearrangement: {},
              CreatedByIamUser: {},
              CreatedAt: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              DataSizeInBytes: {
                type: "long"
              },
              NumberOfFiles: {
                type: "long"
              },
              Name: {},
              Status: {},
              LogUri: {},
              Message: {},
              RedshiftMetadata: {
                shape: "S2i"
              },
              RDSMetadata: {
                shape: "S2j"
              },
              RoleARN: {},
              ComputeStatistics: {
                type: "boolean"
              },
              ComputeTime: {
                type: "long"
              },
              FinishedAt: {
                type: "timestamp"
              },
              StartedAt: {
                type: "timestamp"
              },
              DataSourceSchema: {}
            }
          }
        },
        GetEvaluation: {
          input: {
            type: "structure",
            required: [
              "EvaluationId"
            ],
            members: {
              EvaluationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EvaluationId: {},
              MLModelId: {},
              EvaluationDataSourceId: {},
              InputDataLocationS3: {},
              CreatedByIamUser: {},
              CreatedAt: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              Name: {},
              Status: {},
              PerformanceMetrics: {
                shape: "S2q"
              },
              LogUri: {},
              Message: {},
              ComputeTime: {
                type: "long"
              },
              FinishedAt: {
                type: "timestamp"
              },
              StartedAt: {
                type: "timestamp"
              }
            }
          }
        },
        GetMLModel: {
          input: {
            type: "structure",
            required: [
              "MLModelId"
            ],
            members: {
              MLModelId: {},
              Verbose: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MLModelId: {},
              TrainingDataSourceId: {},
              CreatedByIamUser: {},
              CreatedAt: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              Name: {},
              Status: {},
              SizeInBytes: {
                type: "long"
              },
              EndpointInfo: {
                shape: "S1j"
              },
              TrainingParameters: {
                shape: "S1d"
              },
              InputDataLocationS3: {},
              MLModelType: {},
              ScoreThreshold: {
                type: "float"
              },
              ScoreThresholdLastUpdatedAt: {
                type: "timestamp"
              },
              LogUri: {},
              Message: {},
              ComputeTime: {
                type: "long"
              },
              FinishedAt: {
                type: "timestamp"
              },
              StartedAt: {
                type: "timestamp"
              },
              Recipe: {},
              Schema: {}
            }
          }
        },
        Predict: {
          input: {
            type: "structure",
            required: [
              "MLModelId",
              "Record",
              "PredictEndpoint"
            ],
            members: {
              MLModelId: {},
              Record: {
                type: "map",
                key: {},
                value: {}
              },
              PredictEndpoint: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Prediction: {
                type: "structure",
                members: {
                  predictedLabel: {},
                  predictedValue: {
                    type: "float"
                  },
                  predictedScores: {
                    type: "map",
                    key: {},
                    value: {
                      type: "float"
                    }
                  },
                  details: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                }
              }
            }
          }
        },
        UpdateBatchPrediction: {
          input: {
            type: "structure",
            required: [
              "BatchPredictionId",
              "BatchPredictionName"
            ],
            members: {
              BatchPredictionId: {},
              BatchPredictionName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BatchPredictionId: {}
            }
          }
        },
        UpdateDataSource: {
          input: {
            type: "structure",
            required: [
              "DataSourceId",
              "DataSourceName"
            ],
            members: {
              DataSourceId: {},
              DataSourceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DataSourceId: {}
            }
          }
        },
        UpdateEvaluation: {
          input: {
            type: "structure",
            required: [
              "EvaluationId",
              "EvaluationName"
            ],
            members: {
              EvaluationId: {},
              EvaluationName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EvaluationId: {}
            }
          }
        },
        UpdateMLModel: {
          input: {
            type: "structure",
            required: [
              "MLModelId"
            ],
            members: {
              MLModelId: {},
              MLModelName: {},
              ScoreThreshold: {
                type: "float"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MLModelId: {}
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sf: {
          type: "structure",
          required: [
            "InstanceIdentifier",
            "DatabaseName"
          ],
          members: {
            InstanceIdentifier: {},
            DatabaseName: {}
          }
        },
        Sy: {
          type: "structure",
          required: [
            "DatabaseName",
            "ClusterIdentifier"
          ],
          members: {
            DatabaseName: {},
            ClusterIdentifier: {}
          }
        },
        S1d: {
          type: "map",
          key: {},
          value: {}
        },
        S1j: {
          type: "structure",
          members: {
            PeakRequestsPerSecond: {
              type: "integer"
            },
            CreatedAt: {
              type: "timestamp"
            },
            EndpointUrl: {},
            EndpointStatus: {}
          }
        },
        S2i: {
          type: "structure",
          members: {
            RedshiftDatabase: {
              shape: "Sy"
            },
            DatabaseUserName: {},
            SelectSqlQuery: {}
          }
        },
        S2j: {
          type: "structure",
          members: {
            Database: {
              shape: "Sf"
            },
            DatabaseUserName: {},
            SelectSqlQuery: {},
            ResourceRole: {},
            ServiceRole: {},
            DataPipelineId: {}
          }
        },
        S2q: {
          type: "structure",
          members: {
            Properties: {
              type: "map",
              key: {},
              value: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/machinelearning-2014-12-12.paginators.json
var require_machinelearning_2014_12_12_paginators = __commonJS({
  "node_modules/aws-sdk/apis/machinelearning-2014-12-12.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeBatchPredictions: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "Results"
        },
        DescribeDataSources: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "Results"
        },
        DescribeEvaluations: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "Results"
        },
        DescribeMLModels: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "Results"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/machinelearning-2014-12-12.waiters2.json
var require_machinelearning_2014_12_12_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/machinelearning-2014-12-12.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        DataSourceAvailable: {
          delay: 30,
          operation: "DescribeDataSources",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "COMPLETED",
              matcher: "pathAll",
              state: "success",
              argument: "Results[].Status"
            },
            {
              expected: "FAILED",
              matcher: "pathAny",
              state: "failure",
              argument: "Results[].Status"
            }
          ]
        },
        MLModelAvailable: {
          delay: 30,
          operation: "DescribeMLModels",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "COMPLETED",
              matcher: "pathAll",
              state: "success",
              argument: "Results[].Status"
            },
            {
              expected: "FAILED",
              matcher: "pathAny",
              state: "failure",
              argument: "Results[].Status"
            }
          ]
        },
        EvaluationAvailable: {
          delay: 30,
          operation: "DescribeEvaluations",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "COMPLETED",
              matcher: "pathAll",
              state: "success",
              argument: "Results[].Status"
            },
            {
              expected: "FAILED",
              matcher: "pathAny",
              state: "failure",
              argument: "Results[].Status"
            }
          ]
        },
        BatchPredictionAvailable: {
          delay: 30,
          operation: "DescribeBatchPredictions",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "COMPLETED",
              matcher: "pathAll",
              state: "success",
              argument: "Results[].Status"
            },
            {
              expected: "FAILED",
              matcher: "pathAny",
              state: "failure",
              argument: "Results[].Status"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/machinelearning.js
var require_machinelearning2 = __commonJS({
  "node_modules/aws-sdk/clients/machinelearning.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["machinelearning"] = {};
    AWS2.MachineLearning = Service.defineService("machinelearning", ["2014-12-12"]);
    require_machinelearning();
    Object.defineProperty(apiLoader.services["machinelearning"], "2014-12-12", {
      get: function get() {
        var model = require_machinelearning_2014_12_12_min();
        model.paginators = require_machinelearning_2014_12_12_paginators().pagination;
        model.waiters = require_machinelearning_2014_12_12_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MachineLearning;
  }
});

// node_modules/aws-sdk/apis/marketplacecommerceanalytics-2015-07-01.min.json
var require_marketplacecommerceanalytics_2015_07_01_min = __commonJS({
  "node_modules/aws-sdk/apis/marketplacecommerceanalytics-2015-07-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-07-01",
        endpointPrefix: "marketplacecommerceanalytics",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Marketplace Commerce Analytics",
        serviceId: "Marketplace Commerce Analytics",
        signatureVersion: "v4",
        signingName: "marketplacecommerceanalytics",
        targetPrefix: "MarketplaceCommerceAnalytics20150701",
        uid: "marketplacecommerceanalytics-2015-07-01"
      },
      operations: {
        GenerateDataSet: {
          input: {
            type: "structure",
            required: [
              "dataSetType",
              "dataSetPublicationDate",
              "roleNameArn",
              "destinationS3BucketName",
              "snsTopicArn"
            ],
            members: {
              dataSetType: {},
              dataSetPublicationDate: {
                type: "timestamp"
              },
              roleNameArn: {},
              destinationS3BucketName: {},
              destinationS3Prefix: {},
              snsTopicArn: {},
              customerDefinedValues: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              dataSetRequestId: {}
            }
          }
        },
        StartSupportDataExport: {
          input: {
            type: "structure",
            required: [
              "dataSetType",
              "fromDate",
              "roleNameArn",
              "destinationS3BucketName",
              "snsTopicArn"
            ],
            members: {
              dataSetType: {},
              fromDate: {
                type: "timestamp"
              },
              roleNameArn: {},
              destinationS3BucketName: {},
              destinationS3Prefix: {},
              snsTopicArn: {},
              customerDefinedValues: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              dataSetRequestId: {}
            }
          }
        }
      },
      shapes: {
        S8: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/marketplacecommerceanalytics-2015-07-01.paginators.json
var require_marketplacecommerceanalytics_2015_07_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/marketplacecommerceanalytics-2015-07-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/marketplacecommerceanalytics.js
var require_marketplacecommerceanalytics = __commonJS({
  "node_modules/aws-sdk/clients/marketplacecommerceanalytics.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["marketplacecommerceanalytics"] = {};
    AWS2.MarketplaceCommerceAnalytics = Service.defineService("marketplacecommerceanalytics", ["2015-07-01"]);
    Object.defineProperty(apiLoader.services["marketplacecommerceanalytics"], "2015-07-01", {
      get: function get() {
        var model = require_marketplacecommerceanalytics_2015_07_01_min();
        model.paginators = require_marketplacecommerceanalytics_2015_07_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MarketplaceCommerceAnalytics;
  }
});

// node_modules/aws-sdk/apis/meteringmarketplace-2016-01-14.min.json
var require_meteringmarketplace_2016_01_14_min = __commonJS({
  "node_modules/aws-sdk/apis/meteringmarketplace-2016-01-14.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-01-14",
        endpointPrefix: "metering.marketplace",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWSMarketplace Metering",
        serviceId: "Marketplace Metering",
        signatureVersion: "v4",
        signingName: "aws-marketplace",
        targetPrefix: "AWSMPMeteringService",
        uid: "meteringmarketplace-2016-01-14"
      },
      operations: {
        BatchMeterUsage: {
          input: {
            type: "structure",
            required: [
              "UsageRecords",
              "ProductCode"
            ],
            members: {
              UsageRecords: {
                shape: "S2"
              },
              ProductCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Results: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    UsageRecord: {
                      shape: "S3"
                    },
                    MeteringRecordId: {},
                    Status: {}
                  }
                }
              },
              UnprocessedRecords: {
                shape: "S2"
              }
            }
          }
        },
        MeterUsage: {
          input: {
            type: "structure",
            required: [
              "ProductCode",
              "Timestamp",
              "UsageDimension"
            ],
            members: {
              ProductCode: {},
              Timestamp: {
                type: "timestamp"
              },
              UsageDimension: {},
              UsageQuantity: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              },
              UsageAllocations: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MeteringRecordId: {}
            }
          }
        },
        RegisterUsage: {
          input: {
            type: "structure",
            required: [
              "ProductCode",
              "PublicKeyVersion"
            ],
            members: {
              ProductCode: {},
              PublicKeyVersion: {
                type: "integer"
              },
              Nonce: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PublicKeyRotationTimestamp: {
                type: "timestamp"
              },
              Signature: {}
            }
          }
        },
        ResolveCustomer: {
          input: {
            type: "structure",
            required: [
              "RegistrationToken"
            ],
            members: {
              RegistrationToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CustomerIdentifier: {},
              ProductCode: {},
              CustomerAWSAccountId: {}
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "list",
          member: {
            shape: "S3"
          }
        },
        S3: {
          type: "structure",
          required: [
            "Timestamp",
            "CustomerIdentifier",
            "Dimension"
          ],
          members: {
            Timestamp: {
              type: "timestamp"
            },
            CustomerIdentifier: {},
            Dimension: {},
            Quantity: {
              type: "integer"
            },
            UsageAllocations: {
              shape: "S8"
            }
          }
        },
        S8: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AllocatedUsageQuantity"
            ],
            members: {
              AllocatedUsageQuantity: {
                type: "integer"
              },
              Tags: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key",
                    "Value"
                  ],
                  members: {
                    Key: {},
                    Value: {}
                  }
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/meteringmarketplace-2016-01-14.paginators.json
var require_meteringmarketplace_2016_01_14_paginators = __commonJS({
  "node_modules/aws-sdk/apis/meteringmarketplace-2016-01-14.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/marketplacemetering.js
var require_marketplacemetering = __commonJS({
  "node_modules/aws-sdk/clients/marketplacemetering.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["marketplacemetering"] = {};
    AWS2.MarketplaceMetering = Service.defineService("marketplacemetering", ["2016-01-14"]);
    Object.defineProperty(apiLoader.services["marketplacemetering"], "2016-01-14", {
      get: function get() {
        var model = require_meteringmarketplace_2016_01_14_min();
        model.paginators = require_meteringmarketplace_2016_01_14_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MarketplaceMetering;
  }
});

// node_modules/aws-sdk/apis/mturk-requester-2017-01-17.min.json
var require_mturk_requester_2017_01_17_min = __commonJS({
  "node_modules/aws-sdk/apis/mturk-requester-2017-01-17.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-01-17",
        endpointPrefix: "mturk-requester",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Amazon MTurk",
        serviceFullName: "Amazon Mechanical Turk",
        serviceId: "MTurk",
        signatureVersion: "v4",
        targetPrefix: "MTurkRequesterServiceV20170117",
        uid: "mturk-requester-2017-01-17"
      },
      operations: {
        AcceptQualificationRequest: {
          input: {
            type: "structure",
            required: [
              "QualificationRequestId"
            ],
            members: {
              QualificationRequestId: {},
              IntegerValue: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ApproveAssignment: {
          input: {
            type: "structure",
            required: [
              "AssignmentId"
            ],
            members: {
              AssignmentId: {},
              RequesterFeedback: {},
              OverrideRejection: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        AssociateQualificationWithWorker: {
          input: {
            type: "structure",
            required: [
              "QualificationTypeId",
              "WorkerId"
            ],
            members: {
              QualificationTypeId: {},
              WorkerId: {},
              IntegerValue: {
                type: "integer"
              },
              SendNotification: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateAdditionalAssignmentsForHIT: {
          input: {
            type: "structure",
            required: [
              "HITId",
              "NumberOfAdditionalAssignments"
            ],
            members: {
              HITId: {},
              NumberOfAdditionalAssignments: {
                type: "integer"
              },
              UniqueRequestToken: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateHIT: {
          input: {
            type: "structure",
            required: [
              "LifetimeInSeconds",
              "AssignmentDurationInSeconds",
              "Reward",
              "Title",
              "Description"
            ],
            members: {
              MaxAssignments: {
                type: "integer"
              },
              AutoApprovalDelayInSeconds: {
                type: "long"
              },
              LifetimeInSeconds: {
                type: "long"
              },
              AssignmentDurationInSeconds: {
                type: "long"
              },
              Reward: {},
              Title: {},
              Keywords: {},
              Description: {},
              Question: {},
              RequesterAnnotation: {},
              QualificationRequirements: {
                shape: "Si"
              },
              UniqueRequestToken: {},
              AssignmentReviewPolicy: {
                shape: "Sq"
              },
              HITReviewPolicy: {
                shape: "Sq"
              },
              HITLayoutId: {},
              HITLayoutParameters: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HIT: {
                shape: "Sz"
              }
            }
          }
        },
        CreateHITType: {
          input: {
            type: "structure",
            required: [
              "AssignmentDurationInSeconds",
              "Reward",
              "Title",
              "Description"
            ],
            members: {
              AutoApprovalDelayInSeconds: {
                type: "long"
              },
              AssignmentDurationInSeconds: {
                type: "long"
              },
              Reward: {},
              Title: {},
              Keywords: {},
              Description: {},
              QualificationRequirements: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HITTypeId: {}
            }
          },
          idempotent: true
        },
        CreateHITWithHITType: {
          input: {
            type: "structure",
            required: [
              "HITTypeId",
              "LifetimeInSeconds"
            ],
            members: {
              HITTypeId: {},
              MaxAssignments: {
                type: "integer"
              },
              LifetimeInSeconds: {
                type: "long"
              },
              Question: {},
              RequesterAnnotation: {},
              UniqueRequestToken: {},
              AssignmentReviewPolicy: {
                shape: "Sq"
              },
              HITReviewPolicy: {
                shape: "Sq"
              },
              HITLayoutId: {},
              HITLayoutParameters: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HIT: {
                shape: "Sz"
              }
            }
          }
        },
        CreateQualificationType: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Description",
              "QualificationTypeStatus"
            ],
            members: {
              Name: {},
              Keywords: {},
              Description: {},
              QualificationTypeStatus: {},
              RetryDelayInSeconds: {
                type: "long"
              },
              Test: {},
              AnswerKey: {},
              TestDurationInSeconds: {
                type: "long"
              },
              AutoGranted: {
                type: "boolean"
              },
              AutoGrantedValue: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              QualificationType: {
                shape: "S1a"
              }
            }
          }
        },
        CreateWorkerBlock: {
          input: {
            type: "structure",
            required: [
              "WorkerId",
              "Reason"
            ],
            members: {
              WorkerId: {},
              Reason: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteHIT: {
          input: {
            type: "structure",
            required: [
              "HITId"
            ],
            members: {
              HITId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteQualificationType: {
          input: {
            type: "structure",
            required: [
              "QualificationTypeId"
            ],
            members: {
              QualificationTypeId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteWorkerBlock: {
          input: {
            type: "structure",
            required: [
              "WorkerId"
            ],
            members: {
              WorkerId: {},
              Reason: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DisassociateQualificationFromWorker: {
          input: {
            type: "structure",
            required: [
              "WorkerId",
              "QualificationTypeId"
            ],
            members: {
              WorkerId: {},
              QualificationTypeId: {},
              Reason: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetAccountBalance: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              AvailableBalance: {},
              OnHoldBalance: {}
            }
          },
          idempotent: true
        },
        GetAssignment: {
          input: {
            type: "structure",
            required: [
              "AssignmentId"
            ],
            members: {
              AssignmentId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Assignment: {
                shape: "S1p"
              },
              HIT: {
                shape: "Sz"
              }
            }
          },
          idempotent: true
        },
        GetFileUploadURL: {
          input: {
            type: "structure",
            required: [
              "AssignmentId",
              "QuestionIdentifier"
            ],
            members: {
              AssignmentId: {},
              QuestionIdentifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FileUploadURL: {}
            }
          },
          idempotent: true
        },
        GetHIT: {
          input: {
            type: "structure",
            required: [
              "HITId"
            ],
            members: {
              HITId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              HIT: {
                shape: "Sz"
              }
            }
          },
          idempotent: true
        },
        GetQualificationScore: {
          input: {
            type: "structure",
            required: [
              "QualificationTypeId",
              "WorkerId"
            ],
            members: {
              QualificationTypeId: {},
              WorkerId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Qualification: {
                shape: "S1x"
              }
            }
          },
          idempotent: true
        },
        GetQualificationType: {
          input: {
            type: "structure",
            required: [
              "QualificationTypeId"
            ],
            members: {
              QualificationTypeId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              QualificationType: {
                shape: "S1a"
              }
            }
          },
          idempotent: true
        },
        ListAssignmentsForHIT: {
          input: {
            type: "structure",
            required: [
              "HITId"
            ],
            members: {
              HITId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              AssignmentStatuses: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              NumResults: {
                type: "integer"
              },
              Assignments: {
                type: "list",
                member: {
                  shape: "S1p"
                }
              }
            }
          },
          idempotent: true
        },
        ListBonusPayments: {
          input: {
            type: "structure",
            members: {
              HITId: {},
              AssignmentId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NumResults: {
                type: "integer"
              },
              NextToken: {},
              BonusPayments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WorkerId: {},
                    BonusAmount: {},
                    AssignmentId: {},
                    Reason: {},
                    GrantTime: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          },
          idempotent: true
        },
        ListHITs: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              NumResults: {
                type: "integer"
              },
              HITs: {
                shape: "S2d"
              }
            }
          },
          idempotent: true
        },
        ListHITsForQualificationType: {
          input: {
            type: "structure",
            required: [
              "QualificationTypeId"
            ],
            members: {
              QualificationTypeId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              NumResults: {
                type: "integer"
              },
              HITs: {
                shape: "S2d"
              }
            }
          },
          idempotent: true
        },
        ListQualificationRequests: {
          input: {
            type: "structure",
            members: {
              QualificationTypeId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NumResults: {
                type: "integer"
              },
              NextToken: {},
              QualificationRequests: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    QualificationRequestId: {},
                    QualificationTypeId: {},
                    WorkerId: {},
                    Test: {},
                    Answer: {},
                    SubmitTime: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          },
          idempotent: true
        },
        ListQualificationTypes: {
          input: {
            type: "structure",
            required: [
              "MustBeRequestable"
            ],
            members: {
              Query: {},
              MustBeRequestable: {
                type: "boolean"
              },
              MustBeOwnedByCaller: {
                type: "boolean"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NumResults: {
                type: "integer"
              },
              NextToken: {},
              QualificationTypes: {
                type: "list",
                member: {
                  shape: "S1a"
                }
              }
            }
          },
          idempotent: true
        },
        ListReviewPolicyResultsForHIT: {
          input: {
            type: "structure",
            required: [
              "HITId"
            ],
            members: {
              HITId: {},
              PolicyLevels: {
                type: "list",
                member: {}
              },
              RetrieveActions: {
                type: "boolean"
              },
              RetrieveResults: {
                type: "boolean"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HITId: {},
              AssignmentReviewPolicy: {
                shape: "Sq"
              },
              HITReviewPolicy: {
                shape: "Sq"
              },
              AssignmentReviewReport: {
                shape: "S2r"
              },
              HITReviewReport: {
                shape: "S2r"
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListReviewableHITs: {
          input: {
            type: "structure",
            members: {
              HITTypeId: {},
              Status: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              NumResults: {
                type: "integer"
              },
              HITs: {
                shape: "S2d"
              }
            }
          },
          idempotent: true
        },
        ListWorkerBlocks: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              NumResults: {
                type: "integer"
              },
              WorkerBlocks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WorkerId: {},
                    Reason: {}
                  }
                }
              }
            }
          },
          idempotent: true
        },
        ListWorkersWithQualificationType: {
          input: {
            type: "structure",
            required: [
              "QualificationTypeId"
            ],
            members: {
              QualificationTypeId: {},
              Status: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              NumResults: {
                type: "integer"
              },
              Qualifications: {
                type: "list",
                member: {
                  shape: "S1x"
                }
              }
            }
          },
          idempotent: true
        },
        NotifyWorkers: {
          input: {
            type: "structure",
            required: [
              "Subject",
              "MessageText",
              "WorkerIds"
            ],
            members: {
              Subject: {},
              MessageText: {},
              WorkerIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NotifyWorkersFailureStatuses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    NotifyWorkersFailureCode: {},
                    NotifyWorkersFailureMessage: {},
                    WorkerId: {}
                  }
                }
              }
            }
          }
        },
        RejectAssignment: {
          input: {
            type: "structure",
            required: [
              "AssignmentId",
              "RequesterFeedback"
            ],
            members: {
              AssignmentId: {},
              RequesterFeedback: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        RejectQualificationRequest: {
          input: {
            type: "structure",
            required: [
              "QualificationRequestId"
            ],
            members: {
              QualificationRequestId: {},
              Reason: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SendBonus: {
          input: {
            type: "structure",
            required: [
              "WorkerId",
              "BonusAmount",
              "AssignmentId",
              "Reason"
            ],
            members: {
              WorkerId: {},
              BonusAmount: {},
              AssignmentId: {},
              Reason: {},
              UniqueRequestToken: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SendTestEventNotification: {
          input: {
            type: "structure",
            required: [
              "Notification",
              "TestEventType"
            ],
            members: {
              Notification: {
                shape: "S3k"
              },
              TestEventType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateExpirationForHIT: {
          input: {
            type: "structure",
            required: [
              "HITId",
              "ExpireAt"
            ],
            members: {
              HITId: {},
              ExpireAt: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateHITReviewStatus: {
          input: {
            type: "structure",
            required: [
              "HITId"
            ],
            members: {
              HITId: {},
              Revert: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateHITTypeOfHIT: {
          input: {
            type: "structure",
            required: [
              "HITId",
              "HITTypeId"
            ],
            members: {
              HITId: {},
              HITTypeId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateNotificationSettings: {
          input: {
            type: "structure",
            required: [
              "HITTypeId"
            ],
            members: {
              HITTypeId: {},
              Notification: {
                shape: "S3k"
              },
              Active: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateQualificationType: {
          input: {
            type: "structure",
            required: [
              "QualificationTypeId"
            ],
            members: {
              QualificationTypeId: {},
              Description: {},
              QualificationTypeStatus: {},
              Test: {},
              AnswerKey: {},
              TestDurationInSeconds: {
                type: "long"
              },
              RetryDelayInSeconds: {
                type: "long"
              },
              AutoGranted: {
                type: "boolean"
              },
              AutoGrantedValue: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              QualificationType: {
                shape: "S1a"
              }
            }
          }
        }
      },
      shapes: {
        Si: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "QualificationTypeId",
              "Comparator"
            ],
            members: {
              QualificationTypeId: {},
              Comparator: {},
              IntegerValues: {
                type: "list",
                member: {
                  type: "integer"
                }
              },
              LocaleValues: {
                type: "list",
                member: {
                  shape: "Sn"
                }
              },
              RequiredToPreview: {
                deprecated: true,
                type: "boolean"
              },
              ActionsGuarded: {}
            }
          }
        },
        Sn: {
          type: "structure",
          required: [
            "Country"
          ],
          members: {
            Country: {},
            Subdivision: {}
          }
        },
        Sq: {
          type: "structure",
          required: [
            "PolicyName"
          ],
          members: {
            PolicyName: {},
            Parameters: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Key: {},
                  Values: {
                    shape: "St"
                  },
                  MapEntries: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Key: {},
                        Values: {
                          shape: "St"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        St: {
          type: "list",
          member: {}
        },
        Sw: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Value"
            ],
            members: {
              Name: {},
              Value: {}
            }
          }
        },
        Sz: {
          type: "structure",
          members: {
            HITId: {},
            HITTypeId: {},
            HITGroupId: {},
            HITLayoutId: {},
            CreationTime: {
              type: "timestamp"
            },
            Title: {},
            Description: {},
            Question: {},
            Keywords: {},
            HITStatus: {},
            MaxAssignments: {
              type: "integer"
            },
            Reward: {},
            AutoApprovalDelayInSeconds: {
              type: "long"
            },
            Expiration: {
              type: "timestamp"
            },
            AssignmentDurationInSeconds: {
              type: "long"
            },
            RequesterAnnotation: {},
            QualificationRequirements: {
              shape: "Si"
            },
            HITReviewStatus: {},
            NumberOfAssignmentsPending: {
              type: "integer"
            },
            NumberOfAssignmentsAvailable: {
              type: "integer"
            },
            NumberOfAssignmentsCompleted: {
              type: "integer"
            }
          }
        },
        S1a: {
          type: "structure",
          members: {
            QualificationTypeId: {},
            CreationTime: {
              type: "timestamp"
            },
            Name: {},
            Description: {},
            Keywords: {},
            QualificationTypeStatus: {},
            Test: {},
            TestDurationInSeconds: {
              type: "long"
            },
            AnswerKey: {},
            RetryDelayInSeconds: {
              type: "long"
            },
            IsRequestable: {
              type: "boolean"
            },
            AutoGranted: {
              type: "boolean"
            },
            AutoGrantedValue: {
              type: "integer"
            }
          }
        },
        S1p: {
          type: "structure",
          members: {
            AssignmentId: {},
            WorkerId: {},
            HITId: {},
            AssignmentStatus: {},
            AutoApprovalTime: {
              type: "timestamp"
            },
            AcceptTime: {
              type: "timestamp"
            },
            SubmitTime: {
              type: "timestamp"
            },
            ApprovalTime: {
              type: "timestamp"
            },
            RejectionTime: {
              type: "timestamp"
            },
            Deadline: {
              type: "timestamp"
            },
            Answer: {},
            RequesterFeedback: {}
          }
        },
        S1x: {
          type: "structure",
          members: {
            QualificationTypeId: {},
            WorkerId: {},
            GrantTime: {
              type: "timestamp"
            },
            IntegerValue: {
              type: "integer"
            },
            LocaleValue: {
              shape: "Sn"
            },
            Status: {}
          }
        },
        S2d: {
          type: "list",
          member: {
            shape: "Sz"
          }
        },
        S2r: {
          type: "structure",
          members: {
            ReviewResults: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  ActionId: {},
                  SubjectId: {},
                  SubjectType: {},
                  QuestionId: {},
                  Key: {},
                  Value: {}
                }
              }
            },
            ReviewActions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  ActionId: {},
                  ActionName: {},
                  TargetId: {},
                  TargetType: {},
                  Status: {},
                  CompleteTime: {
                    type: "timestamp"
                  },
                  Result: {},
                  ErrorCode: {}
                }
              }
            }
          }
        },
        S3k: {
          type: "structure",
          required: [
            "Destination",
            "Transport",
            "Version",
            "EventTypes"
          ],
          members: {
            Destination: {},
            Transport: {},
            Version: {},
            EventTypes: {
              type: "list",
              member: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/mturk-requester-2017-01-17.paginators.json
var require_mturk_requester_2017_01_17_paginators = __commonJS({
  "node_modules/aws-sdk/apis/mturk-requester-2017-01-17.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAssignmentsForHIT: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListBonusPayments: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListHITs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListHITsForQualificationType: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListQualificationRequests: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListQualificationTypes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListReviewPolicyResultsForHIT: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListReviewableHITs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListWorkerBlocks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListWorkersWithQualificationType: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/mturk.js
var require_mturk = __commonJS({
  "node_modules/aws-sdk/clients/mturk.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["mturk"] = {};
    AWS2.MTurk = Service.defineService("mturk", ["2017-01-17"]);
    Object.defineProperty(apiLoader.services["mturk"], "2017-01-17", {
      get: function get() {
        var model = require_mturk_requester_2017_01_17_min();
        model.paginators = require_mturk_requester_2017_01_17_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MTurk;
  }
});

// node_modules/aws-sdk/apis/mobileanalytics-2014-06-05.min.json
var require_mobileanalytics_2014_06_05_min = __commonJS({
  "node_modules/aws-sdk/apis/mobileanalytics-2014-06-05.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2014-06-05",
        endpointPrefix: "mobileanalytics",
        serviceFullName: "Amazon Mobile Analytics",
        serviceId: "Mobile Analytics",
        signatureVersion: "v4",
        protocol: "rest-json"
      },
      operations: {
        PutEvents: {
          http: {
            requestUri: "/2014-06-05/events",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "events",
              "clientContext"
            ],
            members: {
              events: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "eventType",
                    "timestamp"
                  ],
                  members: {
                    eventType: {},
                    timestamp: {},
                    session: {
                      type: "structure",
                      members: {
                        id: {},
                        duration: {
                          type: "long"
                        },
                        startTimestamp: {},
                        stopTimestamp: {}
                      }
                    },
                    version: {},
                    attributes: {
                      type: "map",
                      key: {},
                      value: {}
                    },
                    metrics: {
                      type: "map",
                      key: {},
                      value: {
                        type: "double"
                      }
                    }
                  }
                }
              },
              clientContext: {
                location: "header",
                locationName: "x-amz-Client-Context"
              },
              clientContextEncoding: {
                location: "header",
                locationName: "x-amz-Client-Context-Encoding"
              }
            }
          }
        }
      },
      shapes: {}
    };
  }
});

// node_modules/aws-sdk/clients/mobileanalytics.js
var require_mobileanalytics = __commonJS({
  "node_modules/aws-sdk/clients/mobileanalytics.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["mobileanalytics"] = {};
    AWS2.MobileAnalytics = Service.defineService("mobileanalytics", ["2014-06-05"]);
    Object.defineProperty(apiLoader.services["mobileanalytics"], "2014-06-05", {
      get: function get() {
        var model = require_mobileanalytics_2014_06_05_min();
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MobileAnalytics;
  }
});

// node_modules/aws-sdk/apis/opsworks-2013-02-18.min.json
var require_opsworks_2013_02_18_min = __commonJS({
  "node_modules/aws-sdk/apis/opsworks-2013-02-18.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2013-02-18",
        endpointPrefix: "opsworks",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS OpsWorks",
        serviceId: "OpsWorks",
        signatureVersion: "v4",
        targetPrefix: "OpsWorks_20130218",
        uid: "opsworks-2013-02-18"
      },
      operations: {
        AssignInstance: {
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "LayerIds"
            ],
            members: {
              InstanceId: {},
              LayerIds: {
                shape: "S3"
              }
            }
          }
        },
        AssignVolume: {
          input: {
            type: "structure",
            required: [
              "VolumeId"
            ],
            members: {
              VolumeId: {},
              InstanceId: {}
            }
          }
        },
        AssociateElasticIp: {
          input: {
            type: "structure",
            required: [
              "ElasticIp"
            ],
            members: {
              ElasticIp: {},
              InstanceId: {}
            }
          }
        },
        AttachElasticLoadBalancer: {
          input: {
            type: "structure",
            required: [
              "ElasticLoadBalancerName",
              "LayerId"
            ],
            members: {
              ElasticLoadBalancerName: {},
              LayerId: {}
            }
          }
        },
        CloneStack: {
          input: {
            type: "structure",
            required: [
              "SourceStackId",
              "ServiceRoleArn"
            ],
            members: {
              SourceStackId: {},
              Name: {},
              Region: {},
              VpcId: {},
              Attributes: {
                shape: "S8"
              },
              ServiceRoleArn: {},
              DefaultInstanceProfileArn: {},
              DefaultOs: {},
              HostnameTheme: {},
              DefaultAvailabilityZone: {},
              DefaultSubnetId: {},
              CustomJson: {},
              ConfigurationManager: {
                shape: "Sa"
              },
              ChefConfiguration: {
                shape: "Sb"
              },
              UseCustomCookbooks: {
                type: "boolean"
              },
              UseOpsworksSecurityGroups: {
                type: "boolean"
              },
              CustomCookbooksSource: {
                shape: "Sd"
              },
              DefaultSshKeyName: {},
              ClonePermissions: {
                type: "boolean"
              },
              CloneAppIds: {
                shape: "S3"
              },
              DefaultRootDeviceType: {},
              AgentVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StackId: {}
            }
          }
        },
        CreateApp: {
          input: {
            type: "structure",
            required: [
              "StackId",
              "Name",
              "Type"
            ],
            members: {
              StackId: {},
              Shortname: {},
              Name: {},
              Description: {},
              DataSources: {
                shape: "Si"
              },
              Type: {},
              AppSource: {
                shape: "Sd"
              },
              Domains: {
                shape: "S3"
              },
              EnableSsl: {
                type: "boolean"
              },
              SslConfiguration: {
                shape: "Sl"
              },
              Attributes: {
                shape: "Sm"
              },
              Environment: {
                shape: "So"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppId: {}
            }
          }
        },
        CreateDeployment: {
          input: {
            type: "structure",
            required: [
              "StackId",
              "Command"
            ],
            members: {
              StackId: {},
              AppId: {},
              InstanceIds: {
                shape: "S3"
              },
              LayerIds: {
                shape: "S3"
              },
              Command: {
                shape: "Ss"
              },
              Comment: {},
              CustomJson: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DeploymentId: {}
            }
          }
        },
        CreateInstance: {
          input: {
            type: "structure",
            required: [
              "StackId",
              "LayerIds",
              "InstanceType"
            ],
            members: {
              StackId: {},
              LayerIds: {
                shape: "S3"
              },
              InstanceType: {},
              AutoScalingType: {},
              Hostname: {},
              Os: {},
              AmiId: {},
              SshKeyName: {},
              AvailabilityZone: {},
              VirtualizationType: {},
              SubnetId: {},
              Architecture: {},
              RootDeviceType: {},
              BlockDeviceMappings: {
                shape: "Sz"
              },
              InstallUpdatesOnBoot: {
                type: "boolean"
              },
              EbsOptimized: {
                type: "boolean"
              },
              AgentVersion: {},
              Tenancy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceId: {}
            }
          }
        },
        CreateLayer: {
          input: {
            type: "structure",
            required: [
              "StackId",
              "Type",
              "Name",
              "Shortname"
            ],
            members: {
              StackId: {},
              Type: {},
              Name: {},
              Shortname: {},
              Attributes: {
                shape: "S17"
              },
              CloudWatchLogsConfiguration: {
                shape: "S19"
              },
              CustomInstanceProfileArn: {},
              CustomJson: {},
              CustomSecurityGroupIds: {
                shape: "S3"
              },
              Packages: {
                shape: "S3"
              },
              VolumeConfigurations: {
                shape: "S1f"
              },
              EnableAutoHealing: {
                type: "boolean"
              },
              AutoAssignElasticIps: {
                type: "boolean"
              },
              AutoAssignPublicIps: {
                type: "boolean"
              },
              CustomRecipes: {
                shape: "S1h"
              },
              InstallUpdatesOnBoot: {
                type: "boolean"
              },
              UseEbsOptimizedInstances: {
                type: "boolean"
              },
              LifecycleEventConfiguration: {
                shape: "S1i"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LayerId: {}
            }
          }
        },
        CreateStack: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Region",
              "ServiceRoleArn",
              "DefaultInstanceProfileArn"
            ],
            members: {
              Name: {},
              Region: {},
              VpcId: {},
              Attributes: {
                shape: "S8"
              },
              ServiceRoleArn: {},
              DefaultInstanceProfileArn: {},
              DefaultOs: {},
              HostnameTheme: {},
              DefaultAvailabilityZone: {},
              DefaultSubnetId: {},
              CustomJson: {},
              ConfigurationManager: {
                shape: "Sa"
              },
              ChefConfiguration: {
                shape: "Sb"
              },
              UseCustomCookbooks: {
                type: "boolean"
              },
              UseOpsworksSecurityGroups: {
                type: "boolean"
              },
              CustomCookbooksSource: {
                shape: "Sd"
              },
              DefaultSshKeyName: {},
              DefaultRootDeviceType: {},
              AgentVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StackId: {}
            }
          }
        },
        CreateUserProfile: {
          input: {
            type: "structure",
            required: [
              "IamUserArn"
            ],
            members: {
              IamUserArn: {},
              SshUsername: {},
              SshPublicKey: {},
              AllowSelfManagement: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IamUserArn: {}
            }
          }
        },
        DeleteApp: {
          input: {
            type: "structure",
            required: [
              "AppId"
            ],
            members: {
              AppId: {}
            }
          }
        },
        DeleteInstance: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              DeleteElasticIp: {
                type: "boolean"
              },
              DeleteVolumes: {
                type: "boolean"
              }
            }
          }
        },
        DeleteLayer: {
          input: {
            type: "structure",
            required: [
              "LayerId"
            ],
            members: {
              LayerId: {}
            }
          }
        },
        DeleteStack: {
          input: {
            type: "structure",
            required: [
              "StackId"
            ],
            members: {
              StackId: {}
            }
          }
        },
        DeleteUserProfile: {
          input: {
            type: "structure",
            required: [
              "IamUserArn"
            ],
            members: {
              IamUserArn: {}
            }
          }
        },
        DeregisterEcsCluster: {
          input: {
            type: "structure",
            required: [
              "EcsClusterArn"
            ],
            members: {
              EcsClusterArn: {}
            }
          }
        },
        DeregisterElasticIp: {
          input: {
            type: "structure",
            required: [
              "ElasticIp"
            ],
            members: {
              ElasticIp: {}
            }
          }
        },
        DeregisterInstance: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {}
            }
          }
        },
        DeregisterRdsDbInstance: {
          input: {
            type: "structure",
            required: [
              "RdsDbInstanceArn"
            ],
            members: {
              RdsDbInstanceArn: {}
            }
          }
        },
        DeregisterVolume: {
          input: {
            type: "structure",
            required: [
              "VolumeId"
            ],
            members: {
              VolumeId: {}
            }
          }
        },
        DescribeAgentVersions: {
          input: {
            type: "structure",
            members: {
              StackId: {},
              ConfigurationManager: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AgentVersions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Version: {},
                    ConfigurationManager: {
                      shape: "Sa"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeApps: {
          input: {
            type: "structure",
            members: {
              StackId: {},
              AppIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Apps: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AppId: {},
                    StackId: {},
                    Shortname: {},
                    Name: {},
                    Description: {},
                    DataSources: {
                      shape: "Si"
                    },
                    Type: {},
                    AppSource: {
                      shape: "Sd"
                    },
                    Domains: {
                      shape: "S3"
                    },
                    EnableSsl: {
                      type: "boolean"
                    },
                    SslConfiguration: {
                      shape: "Sl"
                    },
                    Attributes: {
                      shape: "Sm"
                    },
                    CreatedAt: {},
                    Environment: {
                      shape: "So"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeCommands: {
          input: {
            type: "structure",
            members: {
              DeploymentId: {},
              InstanceId: {},
              CommandIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Commands: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CommandId: {},
                    InstanceId: {},
                    DeploymentId: {},
                    CreatedAt: {},
                    AcknowledgedAt: {},
                    CompletedAt: {},
                    Status: {},
                    ExitCode: {
                      type: "integer"
                    },
                    LogUrl: {},
                    Type: {}
                  }
                }
              }
            }
          }
        },
        DescribeDeployments: {
          input: {
            type: "structure",
            members: {
              StackId: {},
              AppId: {},
              DeploymentIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Deployments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DeploymentId: {},
                    StackId: {},
                    AppId: {},
                    CreatedAt: {},
                    CompletedAt: {},
                    Duration: {
                      type: "integer"
                    },
                    IamUserArn: {},
                    Comment: {},
                    Command: {
                      shape: "Ss"
                    },
                    Status: {},
                    CustomJson: {},
                    InstanceIds: {
                      shape: "S3"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeEcsClusters: {
          input: {
            type: "structure",
            members: {
              EcsClusterArns: {
                shape: "S3"
              },
              StackId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EcsClusters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EcsClusterArn: {},
                    EcsClusterName: {},
                    StackId: {},
                    RegisteredAt: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeElasticIps: {
          input: {
            type: "structure",
            members: {
              InstanceId: {},
              StackId: {},
              Ips: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ElasticIps: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Ip: {},
                    Name: {},
                    Domain: {},
                    Region: {},
                    InstanceId: {}
                  }
                }
              }
            }
          }
        },
        DescribeElasticLoadBalancers: {
          input: {
            type: "structure",
            members: {
              StackId: {},
              LayerIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ElasticLoadBalancers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ElasticLoadBalancerName: {},
                    Region: {},
                    DnsName: {},
                    StackId: {},
                    LayerId: {},
                    VpcId: {},
                    AvailabilityZones: {
                      shape: "S3"
                    },
                    SubnetIds: {
                      shape: "S3"
                    },
                    Ec2InstanceIds: {
                      shape: "S3"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeInstances: {
          input: {
            type: "structure",
            members: {
              StackId: {},
              LayerId: {},
              InstanceIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Instances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AgentVersion: {},
                    AmiId: {},
                    Architecture: {},
                    Arn: {},
                    AutoScalingType: {},
                    AvailabilityZone: {},
                    BlockDeviceMappings: {
                      shape: "Sz"
                    },
                    CreatedAt: {},
                    EbsOptimized: {
                      type: "boolean"
                    },
                    Ec2InstanceId: {},
                    EcsClusterArn: {},
                    EcsContainerInstanceArn: {},
                    ElasticIp: {},
                    Hostname: {},
                    InfrastructureClass: {},
                    InstallUpdatesOnBoot: {
                      type: "boolean"
                    },
                    InstanceId: {},
                    InstanceProfileArn: {},
                    InstanceType: {},
                    LastServiceErrorId: {},
                    LayerIds: {
                      shape: "S3"
                    },
                    Os: {},
                    Platform: {},
                    PrivateDns: {},
                    PrivateIp: {},
                    PublicDns: {},
                    PublicIp: {},
                    RegisteredBy: {},
                    ReportedAgentVersion: {},
                    ReportedOs: {
                      type: "structure",
                      members: {
                        Family: {},
                        Name: {},
                        Version: {}
                      }
                    },
                    RootDeviceType: {},
                    RootDeviceVolumeId: {},
                    SecurityGroupIds: {
                      shape: "S3"
                    },
                    SshHostDsaKeyFingerprint: {},
                    SshHostRsaKeyFingerprint: {},
                    SshKeyName: {},
                    StackId: {},
                    Status: {},
                    SubnetId: {},
                    Tenancy: {},
                    VirtualizationType: {}
                  }
                }
              }
            }
          }
        },
        DescribeLayers: {
          input: {
            type: "structure",
            members: {
              StackId: {},
              LayerIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Layers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    StackId: {},
                    LayerId: {},
                    Type: {},
                    Name: {},
                    Shortname: {},
                    Attributes: {
                      shape: "S17"
                    },
                    CloudWatchLogsConfiguration: {
                      shape: "S19"
                    },
                    CustomInstanceProfileArn: {},
                    CustomJson: {},
                    CustomSecurityGroupIds: {
                      shape: "S3"
                    },
                    DefaultSecurityGroupNames: {
                      shape: "S3"
                    },
                    Packages: {
                      shape: "S3"
                    },
                    VolumeConfigurations: {
                      shape: "S1f"
                    },
                    EnableAutoHealing: {
                      type: "boolean"
                    },
                    AutoAssignElasticIps: {
                      type: "boolean"
                    },
                    AutoAssignPublicIps: {
                      type: "boolean"
                    },
                    DefaultRecipes: {
                      shape: "S1h"
                    },
                    CustomRecipes: {
                      shape: "S1h"
                    },
                    CreatedAt: {},
                    InstallUpdatesOnBoot: {
                      type: "boolean"
                    },
                    UseEbsOptimizedInstances: {
                      type: "boolean"
                    },
                    LifecycleEventConfiguration: {
                      shape: "S1i"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeLoadBasedAutoScaling: {
          input: {
            type: "structure",
            required: [
              "LayerIds"
            ],
            members: {
              LayerIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LoadBasedAutoScalingConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LayerId: {},
                    Enable: {
                      type: "boolean"
                    },
                    UpScaling: {
                      shape: "S36"
                    },
                    DownScaling: {
                      shape: "S36"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeMyUserProfile: {
          output: {
            type: "structure",
            members: {
              UserProfile: {
                type: "structure",
                members: {
                  IamUserArn: {},
                  Name: {},
                  SshUsername: {},
                  SshPublicKey: {}
                }
              }
            }
          }
        },
        DescribeOperatingSystems: {
          output: {
            type: "structure",
            members: {
              OperatingSystems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Id: {},
                    Type: {},
                    ConfigurationManagers: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {},
                          Version: {}
                        }
                      }
                    },
                    ReportedName: {},
                    ReportedVersion: {},
                    Supported: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        DescribePermissions: {
          input: {
            type: "structure",
            members: {
              IamUserArn: {},
              StackId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Permissions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StackId: {},
                    IamUserArn: {},
                    AllowSsh: {
                      type: "boolean"
                    },
                    AllowSudo: {
                      type: "boolean"
                    },
                    Level: {}
                  }
                }
              }
            }
          }
        },
        DescribeRaidArrays: {
          input: {
            type: "structure",
            members: {
              InstanceId: {},
              StackId: {},
              RaidArrayIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RaidArrays: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RaidArrayId: {},
                    InstanceId: {},
                    Name: {},
                    RaidLevel: {
                      type: "integer"
                    },
                    NumberOfDisks: {
                      type: "integer"
                    },
                    Size: {
                      type: "integer"
                    },
                    Device: {},
                    MountPoint: {},
                    AvailabilityZone: {},
                    CreatedAt: {},
                    StackId: {},
                    VolumeType: {},
                    Iops: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeRdsDbInstances: {
          input: {
            type: "structure",
            required: [
              "StackId"
            ],
            members: {
              StackId: {},
              RdsDbInstanceArns: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RdsDbInstances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RdsDbInstanceArn: {},
                    DbInstanceIdentifier: {},
                    DbUser: {},
                    DbPassword: {},
                    Region: {},
                    Address: {},
                    Engine: {},
                    StackId: {},
                    MissingOnRds: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeServiceErrors: {
          input: {
            type: "structure",
            members: {
              StackId: {},
              InstanceId: {},
              ServiceErrorIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceErrors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ServiceErrorId: {},
                    StackId: {},
                    InstanceId: {},
                    Type: {},
                    Message: {},
                    CreatedAt: {}
                  }
                }
              }
            }
          }
        },
        DescribeStackProvisioningParameters: {
          input: {
            type: "structure",
            required: [
              "StackId"
            ],
            members: {
              StackId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AgentInstallerUrl: {},
              Parameters: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        DescribeStackSummary: {
          input: {
            type: "structure",
            required: [
              "StackId"
            ],
            members: {
              StackId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StackSummary: {
                type: "structure",
                members: {
                  StackId: {},
                  Name: {},
                  Arn: {},
                  LayersCount: {
                    type: "integer"
                  },
                  AppsCount: {
                    type: "integer"
                  },
                  InstancesCount: {
                    type: "structure",
                    members: {
                      Assigning: {
                        type: "integer"
                      },
                      Booting: {
                        type: "integer"
                      },
                      ConnectionLost: {
                        type: "integer"
                      },
                      Deregistering: {
                        type: "integer"
                      },
                      Online: {
                        type: "integer"
                      },
                      Pending: {
                        type: "integer"
                      },
                      Rebooting: {
                        type: "integer"
                      },
                      Registered: {
                        type: "integer"
                      },
                      Registering: {
                        type: "integer"
                      },
                      Requested: {
                        type: "integer"
                      },
                      RunningSetup: {
                        type: "integer"
                      },
                      SetupFailed: {
                        type: "integer"
                      },
                      ShuttingDown: {
                        type: "integer"
                      },
                      StartFailed: {
                        type: "integer"
                      },
                      StopFailed: {
                        type: "integer"
                      },
                      Stopped: {
                        type: "integer"
                      },
                      Stopping: {
                        type: "integer"
                      },
                      Terminated: {
                        type: "integer"
                      },
                      Terminating: {
                        type: "integer"
                      },
                      Unassigning: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeStacks: {
          input: {
            type: "structure",
            members: {
              StackIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Stacks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StackId: {},
                    Name: {},
                    Arn: {},
                    Region: {},
                    VpcId: {},
                    Attributes: {
                      shape: "S8"
                    },
                    ServiceRoleArn: {},
                    DefaultInstanceProfileArn: {},
                    DefaultOs: {},
                    HostnameTheme: {},
                    DefaultAvailabilityZone: {},
                    DefaultSubnetId: {},
                    CustomJson: {},
                    ConfigurationManager: {
                      shape: "Sa"
                    },
                    ChefConfiguration: {
                      shape: "Sb"
                    },
                    UseCustomCookbooks: {
                      type: "boolean"
                    },
                    UseOpsworksSecurityGroups: {
                      type: "boolean"
                    },
                    CustomCookbooksSource: {
                      shape: "Sd"
                    },
                    DefaultSshKeyName: {},
                    CreatedAt: {},
                    DefaultRootDeviceType: {},
                    AgentVersion: {}
                  }
                }
              }
            }
          }
        },
        DescribeTimeBasedAutoScaling: {
          input: {
            type: "structure",
            required: [
              "InstanceIds"
            ],
            members: {
              InstanceIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TimeBasedAutoScalingConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InstanceId: {},
                    AutoScalingSchedule: {
                      shape: "S4b"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeUserProfiles: {
          input: {
            type: "structure",
            members: {
              IamUserArns: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserProfiles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    IamUserArn: {},
                    Name: {},
                    SshUsername: {},
                    SshPublicKey: {},
                    AllowSelfManagement: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeVolumes: {
          input: {
            type: "structure",
            members: {
              InstanceId: {},
              StackId: {},
              RaidArrayId: {},
              VolumeIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Volumes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VolumeId: {},
                    Ec2VolumeId: {},
                    Name: {},
                    RaidArrayId: {},
                    InstanceId: {},
                    Status: {},
                    Size: {
                      type: "integer"
                    },
                    Device: {},
                    MountPoint: {},
                    Region: {},
                    AvailabilityZone: {},
                    VolumeType: {},
                    Iops: {
                      type: "integer"
                    },
                    Encrypted: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        DetachElasticLoadBalancer: {
          input: {
            type: "structure",
            required: [
              "ElasticLoadBalancerName",
              "LayerId"
            ],
            members: {
              ElasticLoadBalancerName: {},
              LayerId: {}
            }
          }
        },
        DisassociateElasticIp: {
          input: {
            type: "structure",
            required: [
              "ElasticIp"
            ],
            members: {
              ElasticIp: {}
            }
          }
        },
        GetHostnameSuggestion: {
          input: {
            type: "structure",
            required: [
              "LayerId"
            ],
            members: {
              LayerId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LayerId: {},
              Hostname: {}
            }
          }
        },
        GrantAccess: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              ValidForInMinutes: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TemporaryCredential: {
                type: "structure",
                members: {
                  Username: {},
                  Password: {},
                  ValidForInMinutes: {
                    type: "integer"
                  },
                  InstanceId: {}
                }
              }
            }
          }
        },
        ListTags: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S50"
              },
              NextToken: {}
            }
          }
        },
        RebootInstance: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {}
            }
          }
        },
        RegisterEcsCluster: {
          input: {
            type: "structure",
            required: [
              "EcsClusterArn",
              "StackId"
            ],
            members: {
              EcsClusterArn: {},
              StackId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EcsClusterArn: {}
            }
          }
        },
        RegisterElasticIp: {
          input: {
            type: "structure",
            required: [
              "ElasticIp",
              "StackId"
            ],
            members: {
              ElasticIp: {},
              StackId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ElasticIp: {}
            }
          }
        },
        RegisterInstance: {
          input: {
            type: "structure",
            required: [
              "StackId"
            ],
            members: {
              StackId: {},
              Hostname: {},
              PublicIp: {},
              PrivateIp: {},
              RsaPublicKey: {},
              RsaPublicKeyFingerprint: {},
              InstanceIdentity: {
                type: "structure",
                members: {
                  Document: {},
                  Signature: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceId: {}
            }
          }
        },
        RegisterRdsDbInstance: {
          input: {
            type: "structure",
            required: [
              "StackId",
              "RdsDbInstanceArn",
              "DbUser",
              "DbPassword"
            ],
            members: {
              StackId: {},
              RdsDbInstanceArn: {},
              DbUser: {},
              DbPassword: {}
            }
          }
        },
        RegisterVolume: {
          input: {
            type: "structure",
            required: [
              "StackId"
            ],
            members: {
              Ec2VolumeId: {},
              StackId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VolumeId: {}
            }
          }
        },
        SetLoadBasedAutoScaling: {
          input: {
            type: "structure",
            required: [
              "LayerId"
            ],
            members: {
              LayerId: {},
              Enable: {
                type: "boolean"
              },
              UpScaling: {
                shape: "S36"
              },
              DownScaling: {
                shape: "S36"
              }
            }
          }
        },
        SetPermission: {
          input: {
            type: "structure",
            required: [
              "StackId",
              "IamUserArn"
            ],
            members: {
              StackId: {},
              IamUserArn: {},
              AllowSsh: {
                type: "boolean"
              },
              AllowSudo: {
                type: "boolean"
              },
              Level: {}
            }
          }
        },
        SetTimeBasedAutoScaling: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              AutoScalingSchedule: {
                shape: "S4b"
              }
            }
          }
        },
        StartInstance: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {}
            }
          }
        },
        StartStack: {
          input: {
            type: "structure",
            required: [
              "StackId"
            ],
            members: {
              StackId: {}
            }
          }
        },
        StopInstance: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              Force: {
                type: "boolean"
              }
            }
          }
        },
        StopStack: {
          input: {
            type: "structure",
            required: [
              "StackId"
            ],
            members: {
              StackId: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S50"
              }
            }
          }
        },
        UnassignInstance: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {}
            }
          }
        },
        UnassignVolume: {
          input: {
            type: "structure",
            required: [
              "VolumeId"
            ],
            members: {
              VolumeId: {}
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        },
        UpdateApp: {
          input: {
            type: "structure",
            required: [
              "AppId"
            ],
            members: {
              AppId: {},
              Name: {},
              Description: {},
              DataSources: {
                shape: "Si"
              },
              Type: {},
              AppSource: {
                shape: "Sd"
              },
              Domains: {
                shape: "S3"
              },
              EnableSsl: {
                type: "boolean"
              },
              SslConfiguration: {
                shape: "Sl"
              },
              Attributes: {
                shape: "Sm"
              },
              Environment: {
                shape: "So"
              }
            }
          }
        },
        UpdateElasticIp: {
          input: {
            type: "structure",
            required: [
              "ElasticIp"
            ],
            members: {
              ElasticIp: {},
              Name: {}
            }
          }
        },
        UpdateInstance: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              LayerIds: {
                shape: "S3"
              },
              InstanceType: {},
              AutoScalingType: {},
              Hostname: {},
              Os: {},
              AmiId: {},
              SshKeyName: {},
              Architecture: {},
              InstallUpdatesOnBoot: {
                type: "boolean"
              },
              EbsOptimized: {
                type: "boolean"
              },
              AgentVersion: {}
            }
          }
        },
        UpdateLayer: {
          input: {
            type: "structure",
            required: [
              "LayerId"
            ],
            members: {
              LayerId: {},
              Name: {},
              Shortname: {},
              Attributes: {
                shape: "S17"
              },
              CloudWatchLogsConfiguration: {
                shape: "S19"
              },
              CustomInstanceProfileArn: {},
              CustomJson: {},
              CustomSecurityGroupIds: {
                shape: "S3"
              },
              Packages: {
                shape: "S3"
              },
              VolumeConfigurations: {
                shape: "S1f"
              },
              EnableAutoHealing: {
                type: "boolean"
              },
              AutoAssignElasticIps: {
                type: "boolean"
              },
              AutoAssignPublicIps: {
                type: "boolean"
              },
              CustomRecipes: {
                shape: "S1h"
              },
              InstallUpdatesOnBoot: {
                type: "boolean"
              },
              UseEbsOptimizedInstances: {
                type: "boolean"
              },
              LifecycleEventConfiguration: {
                shape: "S1i"
              }
            }
          }
        },
        UpdateMyUserProfile: {
          input: {
            type: "structure",
            members: {
              SshPublicKey: {}
            }
          }
        },
        UpdateRdsDbInstance: {
          input: {
            type: "structure",
            required: [
              "RdsDbInstanceArn"
            ],
            members: {
              RdsDbInstanceArn: {},
              DbUser: {},
              DbPassword: {}
            }
          }
        },
        UpdateStack: {
          input: {
            type: "structure",
            required: [
              "StackId"
            ],
            members: {
              StackId: {},
              Name: {},
              Attributes: {
                shape: "S8"
              },
              ServiceRoleArn: {},
              DefaultInstanceProfileArn: {},
              DefaultOs: {},
              HostnameTheme: {},
              DefaultAvailabilityZone: {},
              DefaultSubnetId: {},
              CustomJson: {},
              ConfigurationManager: {
                shape: "Sa"
              },
              ChefConfiguration: {
                shape: "Sb"
              },
              UseCustomCookbooks: {
                type: "boolean"
              },
              CustomCookbooksSource: {
                shape: "Sd"
              },
              DefaultSshKeyName: {},
              DefaultRootDeviceType: {},
              UseOpsworksSecurityGroups: {
                type: "boolean"
              },
              AgentVersion: {}
            }
          }
        },
        UpdateUserProfile: {
          input: {
            type: "structure",
            required: [
              "IamUserArn"
            ],
            members: {
              IamUserArn: {},
              SshUsername: {},
              SshPublicKey: {},
              AllowSelfManagement: {
                type: "boolean"
              }
            }
          }
        },
        UpdateVolume: {
          input: {
            type: "structure",
            required: [
              "VolumeId"
            ],
            members: {
              VolumeId: {},
              Name: {},
              MountPoint: {}
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {}
        },
        S8: {
          type: "map",
          key: {},
          value: {}
        },
        Sa: {
          type: "structure",
          members: {
            Name: {},
            Version: {}
          }
        },
        Sb: {
          type: "structure",
          members: {
            ManageBerkshelf: {
              type: "boolean"
            },
            BerkshelfVersion: {}
          }
        },
        Sd: {
          type: "structure",
          members: {
            Type: {},
            Url: {},
            Username: {},
            Password: {},
            SshKey: {},
            Revision: {}
          }
        },
        Si: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {},
              Arn: {},
              DatabaseName: {}
            }
          }
        },
        Sl: {
          type: "structure",
          required: [
            "Certificate",
            "PrivateKey"
          ],
          members: {
            Certificate: {},
            PrivateKey: {},
            Chain: {}
          }
        },
        Sm: {
          type: "map",
          key: {},
          value: {}
        },
        So: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {},
              Secure: {
                type: "boolean"
              }
            }
          }
        },
        Ss: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            Args: {
              type: "map",
              key: {},
              value: {
                shape: "S3"
              }
            }
          }
        },
        Sz: {
          type: "list",
          member: {
            type: "structure",
            members: {
              DeviceName: {},
              NoDevice: {},
              VirtualName: {},
              Ebs: {
                type: "structure",
                members: {
                  SnapshotId: {},
                  Iops: {
                    type: "integer"
                  },
                  VolumeSize: {
                    type: "integer"
                  },
                  VolumeType: {},
                  DeleteOnTermination: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        S17: {
          type: "map",
          key: {},
          value: {}
        },
        S19: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            LogStreams: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  LogGroupName: {},
                  DatetimeFormat: {},
                  TimeZone: {},
                  File: {},
                  FileFingerprintLines: {},
                  MultiLineStartPattern: {},
                  InitialPosition: {},
                  Encoding: {},
                  BufferDuration: {
                    type: "integer"
                  },
                  BatchCount: {
                    type: "integer"
                  },
                  BatchSize: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        S1f: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "MountPoint",
              "NumberOfDisks",
              "Size"
            ],
            members: {
              MountPoint: {},
              RaidLevel: {
                type: "integer"
              },
              NumberOfDisks: {
                type: "integer"
              },
              Size: {
                type: "integer"
              },
              VolumeType: {},
              Iops: {
                type: "integer"
              },
              Encrypted: {
                type: "boolean"
              }
            }
          }
        },
        S1h: {
          type: "structure",
          members: {
            Setup: {
              shape: "S3"
            },
            Configure: {
              shape: "S3"
            },
            Deploy: {
              shape: "S3"
            },
            Undeploy: {
              shape: "S3"
            },
            Shutdown: {
              shape: "S3"
            }
          }
        },
        S1i: {
          type: "structure",
          members: {
            Shutdown: {
              type: "structure",
              members: {
                ExecutionTimeout: {
                  type: "integer"
                },
                DelayUntilElbConnectionsDrained: {
                  type: "boolean"
                }
              }
            }
          }
        },
        S36: {
          type: "structure",
          members: {
            InstanceCount: {
              type: "integer"
            },
            ThresholdsWaitTime: {
              type: "integer"
            },
            IgnoreMetricsTime: {
              type: "integer"
            },
            CpuThreshold: {
              type: "double"
            },
            MemoryThreshold: {
              type: "double"
            },
            LoadThreshold: {
              type: "double"
            },
            Alarms: {
              shape: "S3"
            }
          }
        },
        S4b: {
          type: "structure",
          members: {
            Monday: {
              shape: "S4c"
            },
            Tuesday: {
              shape: "S4c"
            },
            Wednesday: {
              shape: "S4c"
            },
            Thursday: {
              shape: "S4c"
            },
            Friday: {
              shape: "S4c"
            },
            Saturday: {
              shape: "S4c"
            },
            Sunday: {
              shape: "S4c"
            }
          }
        },
        S4c: {
          type: "map",
          key: {},
          value: {}
        },
        S50: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/opsworks-2013-02-18.paginators.json
var require_opsworks_2013_02_18_paginators = __commonJS({
  "node_modules/aws-sdk/apis/opsworks-2013-02-18.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeApps: {
          result_key: "Apps"
        },
        DescribeCommands: {
          result_key: "Commands"
        },
        DescribeDeployments: {
          result_key: "Deployments"
        },
        DescribeEcsClusters: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "EcsClusters"
        },
        DescribeElasticIps: {
          result_key: "ElasticIps"
        },
        DescribeElasticLoadBalancers: {
          result_key: "ElasticLoadBalancers"
        },
        DescribeInstances: {
          result_key: "Instances"
        },
        DescribeLayers: {
          result_key: "Layers"
        },
        DescribeLoadBasedAutoScaling: {
          result_key: "LoadBasedAutoScalingConfigurations"
        },
        DescribePermissions: {
          result_key: "Permissions"
        },
        DescribeRaidArrays: {
          result_key: "RaidArrays"
        },
        DescribeServiceErrors: {
          result_key: "ServiceErrors"
        },
        DescribeStacks: {
          result_key: "Stacks"
        },
        DescribeTimeBasedAutoScaling: {
          result_key: "TimeBasedAutoScalingConfigurations"
        },
        DescribeUserProfiles: {
          result_key: "UserProfiles"
        },
        DescribeVolumes: {
          result_key: "Volumes"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/opsworks-2013-02-18.waiters2.json
var require_opsworks_2013_02_18_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/opsworks-2013-02-18.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        AppExists: {
          delay: 1,
          operation: "DescribeApps",
          maxAttempts: 40,
          acceptors: [
            {
              expected: 200,
              matcher: "status",
              state: "success"
            },
            {
              matcher: "status",
              expected: 400,
              state: "failure"
            }
          ]
        },
        DeploymentSuccessful: {
          delay: 15,
          operation: "DescribeDeployments",
          maxAttempts: 40,
          description: "Wait until a deployment has completed successfully.",
          acceptors: [
            {
              expected: "successful",
              matcher: "pathAll",
              state: "success",
              argument: "Deployments[].Status"
            },
            {
              expected: "failed",
              matcher: "pathAny",
              state: "failure",
              argument: "Deployments[].Status"
            }
          ]
        },
        InstanceOnline: {
          delay: 15,
          operation: "DescribeInstances",
          maxAttempts: 40,
          description: "Wait until OpsWorks instance is online.",
          acceptors: [
            {
              expected: "online",
              matcher: "pathAll",
              state: "success",
              argument: "Instances[].Status"
            },
            {
              expected: "setup_failed",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "shutting_down",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "start_failed",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "stopped",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "stopping",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "terminating",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "terminated",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "stop_failed",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            }
          ]
        },
        InstanceRegistered: {
          delay: 15,
          operation: "DescribeInstances",
          maxAttempts: 40,
          description: "Wait until OpsWorks instance is registered.",
          acceptors: [
            {
              expected: "registered",
              matcher: "pathAll",
              state: "success",
              argument: "Instances[].Status"
            },
            {
              expected: "setup_failed",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "shutting_down",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "stopped",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "stopping",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "terminating",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "terminated",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "stop_failed",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            }
          ]
        },
        InstanceStopped: {
          delay: 15,
          operation: "DescribeInstances",
          maxAttempts: 40,
          description: "Wait until OpsWorks instance is stopped.",
          acceptors: [
            {
              expected: "stopped",
              matcher: "pathAll",
              state: "success",
              argument: "Instances[].Status"
            },
            {
              expected: "booting",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "pending",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "rebooting",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "requested",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "running_setup",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "setup_failed",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "start_failed",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "stop_failed",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            }
          ]
        },
        InstanceTerminated: {
          delay: 15,
          operation: "DescribeInstances",
          maxAttempts: 40,
          description: "Wait until OpsWorks instance is terminated.",
          acceptors: [
            {
              expected: "terminated",
              matcher: "pathAll",
              state: "success",
              argument: "Instances[].Status"
            },
            {
              expected: "ResourceNotFoundException",
              matcher: "error",
              state: "success"
            },
            {
              expected: "booting",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "online",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "pending",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "rebooting",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "requested",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "running_setup",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "setup_failed",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            },
            {
              expected: "start_failed",
              matcher: "pathAny",
              state: "failure",
              argument: "Instances[].Status"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/opsworks.js
var require_opsworks = __commonJS({
  "node_modules/aws-sdk/clients/opsworks.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["opsworks"] = {};
    AWS2.OpsWorks = Service.defineService("opsworks", ["2013-02-18"]);
    Object.defineProperty(apiLoader.services["opsworks"], "2013-02-18", {
      get: function get() {
        var model = require_opsworks_2013_02_18_min();
        model.paginators = require_opsworks_2013_02_18_paginators().pagination;
        model.waiters = require_opsworks_2013_02_18_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.OpsWorks;
  }
});

// node_modules/aws-sdk/apis/opsworkscm-2016-11-01.min.json
var require_opsworkscm_2016_11_01_min = __commonJS({
  "node_modules/aws-sdk/apis/opsworkscm-2016-11-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-11-01",
        endpointPrefix: "opsworks-cm",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "OpsWorksCM",
        serviceFullName: "AWS OpsWorks CM",
        serviceId: "OpsWorksCM",
        signatureVersion: "v4",
        signingName: "opsworks-cm",
        targetPrefix: "OpsWorksCM_V2016_11_01",
        uid: "opsworkscm-2016-11-01"
      },
      operations: {
        AssociateNode: {
          input: {
            type: "structure",
            required: [
              "ServerName",
              "NodeName",
              "EngineAttributes"
            ],
            members: {
              ServerName: {},
              NodeName: {},
              EngineAttributes: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NodeAssociationStatusToken: {}
            }
          }
        },
        CreateBackup: {
          input: {
            type: "structure",
            required: [
              "ServerName"
            ],
            members: {
              ServerName: {},
              Description: {},
              Tags: {
                shape: "Sc"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Backup: {
                shape: "Sh"
              }
            }
          }
        },
        CreateServer: {
          input: {
            type: "structure",
            required: [
              "Engine",
              "ServerName",
              "InstanceProfileArn",
              "InstanceType",
              "ServiceRoleArn"
            ],
            members: {
              AssociatePublicIpAddress: {
                type: "boolean"
              },
              CustomDomain: {},
              CustomCertificate: {},
              CustomPrivateKey: {
                type: "string",
                sensitive: true
              },
              DisableAutomatedBackup: {
                type: "boolean"
              },
              Engine: {},
              EngineModel: {},
              EngineVersion: {},
              EngineAttributes: {
                shape: "S4"
              },
              BackupRetentionCount: {
                type: "integer"
              },
              ServerName: {},
              InstanceProfileArn: {},
              InstanceType: {},
              KeyPair: {},
              PreferredMaintenanceWindow: {},
              PreferredBackupWindow: {},
              SecurityGroupIds: {
                shape: "Sn"
              },
              ServiceRoleArn: {},
              SubnetIds: {
                shape: "Sn"
              },
              Tags: {
                shape: "Sc"
              },
              BackupId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Server: {
                shape: "Sz"
              }
            }
          }
        },
        DeleteBackup: {
          input: {
            type: "structure",
            required: [
              "BackupId"
            ],
            members: {
              BackupId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteServer: {
          input: {
            type: "structure",
            required: [
              "ServerName"
            ],
            members: {
              ServerName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeAccountAttributes: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Maximum: {
                      type: "integer"
                    },
                    Used: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeBackups: {
          input: {
            type: "structure",
            members: {
              BackupId: {},
              ServerName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Backups: {
                type: "list",
                member: {
                  shape: "Sh"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeEvents: {
          input: {
            type: "structure",
            required: [
              "ServerName"
            ],
            members: {
              ServerName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ServerEvents: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreatedAt: {
                      type: "timestamp"
                    },
                    ServerName: {},
                    Message: {},
                    LogUrl: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeNodeAssociationStatus: {
          input: {
            type: "structure",
            required: [
              "NodeAssociationStatusToken",
              "ServerName"
            ],
            members: {
              NodeAssociationStatusToken: {},
              ServerName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NodeAssociationStatus: {},
              EngineAttributes: {
                shape: "S4"
              }
            }
          }
        },
        DescribeServers: {
          input: {
            type: "structure",
            members: {
              ServerName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Servers: {
                type: "list",
                member: {
                  shape: "Sz"
                }
              },
              NextToken: {}
            }
          }
        },
        DisassociateNode: {
          input: {
            type: "structure",
            required: [
              "ServerName",
              "NodeName"
            ],
            members: {
              ServerName: {},
              NodeName: {},
              EngineAttributes: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NodeAssociationStatusToken: {}
            }
          }
        },
        ExportServerEngineAttribute: {
          input: {
            type: "structure",
            required: [
              "ExportAttributeName",
              "ServerName"
            ],
            members: {
              ExportAttributeName: {},
              ServerName: {},
              InputAttributes: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EngineAttribute: {
                shape: "S5"
              },
              ServerName: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sc"
              },
              NextToken: {}
            }
          }
        },
        RestoreServer: {
          input: {
            type: "structure",
            required: [
              "BackupId",
              "ServerName"
            ],
            members: {
              BackupId: {},
              ServerName: {},
              InstanceType: {},
              KeyPair: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Server: {
                shape: "Sz"
              }
            }
          }
        },
        StartMaintenance: {
          input: {
            type: "structure",
            required: [
              "ServerName"
            ],
            members: {
              ServerName: {},
              EngineAttributes: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Server: {
                shape: "Sz"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sc"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateServer: {
          input: {
            type: "structure",
            required: [
              "ServerName"
            ],
            members: {
              DisableAutomatedBackup: {
                type: "boolean"
              },
              BackupRetentionCount: {
                type: "integer"
              },
              ServerName: {},
              PreferredMaintenanceWindow: {},
              PreferredBackupWindow: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Server: {
                shape: "Sz"
              }
            }
          }
        },
        UpdateServerEngineAttributes: {
          input: {
            type: "structure",
            required: [
              "ServerName",
              "AttributeName"
            ],
            members: {
              ServerName: {},
              AttributeName: {},
              AttributeValue: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Server: {
                shape: "Sz"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "list",
          member: {
            shape: "S5"
          }
        },
        S5: {
          type: "structure",
          members: {
            Name: {},
            Value: {
              type: "string",
              sensitive: true
            }
          }
        },
        Sc: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sh: {
          type: "structure",
          members: {
            BackupArn: {},
            BackupId: {},
            BackupType: {},
            CreatedAt: {
              type: "timestamp"
            },
            Description: {},
            Engine: {},
            EngineModel: {},
            EngineVersion: {},
            InstanceProfileArn: {},
            InstanceType: {},
            KeyPair: {},
            PreferredBackupWindow: {},
            PreferredMaintenanceWindow: {},
            S3DataSize: {
              deprecated: true,
              type: "integer"
            },
            S3DataUrl: {
              deprecated: true
            },
            S3LogUrl: {},
            SecurityGroupIds: {
              shape: "Sn"
            },
            ServerName: {},
            ServiceRoleArn: {},
            Status: {},
            StatusDescription: {},
            SubnetIds: {
              shape: "Sn"
            },
            ToolsVersion: {},
            UserArn: {}
          }
        },
        Sn: {
          type: "list",
          member: {}
        },
        Sz: {
          type: "structure",
          members: {
            AssociatePublicIpAddress: {
              type: "boolean"
            },
            BackupRetentionCount: {
              type: "integer"
            },
            ServerName: {},
            CreatedAt: {
              type: "timestamp"
            },
            CloudFormationStackArn: {},
            CustomDomain: {},
            DisableAutomatedBackup: {
              type: "boolean"
            },
            Endpoint: {},
            Engine: {},
            EngineModel: {},
            EngineAttributes: {
              shape: "S4"
            },
            EngineVersion: {},
            InstanceProfileArn: {},
            InstanceType: {},
            KeyPair: {},
            MaintenanceStatus: {},
            PreferredMaintenanceWindow: {},
            PreferredBackupWindow: {},
            SecurityGroupIds: {
              shape: "Sn"
            },
            ServiceRoleArn: {},
            Status: {},
            StatusReason: {},
            SubnetIds: {
              shape: "Sn"
            },
            ServerArn: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/opsworkscm-2016-11-01.paginators.json
var require_opsworkscm_2016_11_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/opsworkscm-2016-11-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeBackups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Backups"
        },
        DescribeEvents: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ServerEvents"
        },
        DescribeServers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Servers"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Tags"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/opsworkscm-2016-11-01.waiters2.json
var require_opsworkscm_2016_11_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/opsworkscm-2016-11-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        NodeAssociated: {
          delay: 15,
          maxAttempts: 15,
          operation: "DescribeNodeAssociationStatus",
          description: "Wait until node is associated or disassociated.",
          acceptors: [
            {
              expected: "SUCCESS",
              state: "success",
              matcher: "path",
              argument: "NodeAssociationStatus"
            },
            {
              expected: "FAILED",
              state: "failure",
              matcher: "path",
              argument: "NodeAssociationStatus"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/opsworkscm.js
var require_opsworkscm = __commonJS({
  "node_modules/aws-sdk/clients/opsworkscm.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["opsworkscm"] = {};
    AWS2.OpsWorksCM = Service.defineService("opsworkscm", ["2016-11-01"]);
    Object.defineProperty(apiLoader.services["opsworkscm"], "2016-11-01", {
      get: function get() {
        var model = require_opsworkscm_2016_11_01_min();
        model.paginators = require_opsworkscm_2016_11_01_paginators().pagination;
        model.waiters = require_opsworkscm_2016_11_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.OpsWorksCM;
  }
});

// node_modules/aws-sdk/apis/organizations-2016-11-28.min.json
var require_organizations_2016_11_28_min = __commonJS({
  "node_modules/aws-sdk/apis/organizations-2016-11-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-11-28",
        endpointPrefix: "organizations",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Organizations",
        serviceFullName: "AWS Organizations",
        serviceId: "Organizations",
        signatureVersion: "v4",
        targetPrefix: "AWSOrganizationsV20161128",
        uid: "organizations-2016-11-28"
      },
      operations: {
        AcceptHandshake: {
          input: {
            type: "structure",
            required: [
              "HandshakeId"
            ],
            members: {
              HandshakeId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Handshake: {
                shape: "S4"
              }
            }
          }
        },
        AttachPolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyId",
              "TargetId"
            ],
            members: {
              PolicyId: {},
              TargetId: {}
            }
          }
        },
        CancelHandshake: {
          input: {
            type: "structure",
            required: [
              "HandshakeId"
            ],
            members: {
              HandshakeId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Handshake: {
                shape: "S4"
              }
            }
          }
        },
        CloseAccount: {
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {}
            }
          }
        },
        CreateAccount: {
          input: {
            type: "structure",
            required: [
              "Email",
              "AccountName"
            ],
            members: {
              Email: {
                shape: "Sp"
              },
              AccountName: {
                shape: "Sq"
              },
              RoleName: {},
              IamUserAccessToBilling: {},
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CreateAccountStatus: {
                shape: "Sy"
              }
            }
          }
        },
        CreateGovCloudAccount: {
          input: {
            type: "structure",
            required: [
              "Email",
              "AccountName"
            ],
            members: {
              Email: {
                shape: "Sp"
              },
              AccountName: {
                shape: "Sq"
              },
              RoleName: {},
              IamUserAccessToBilling: {},
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CreateAccountStatus: {
                shape: "Sy"
              }
            }
          }
        },
        CreateOrganization: {
          input: {
            type: "structure",
            members: {
              FeatureSet: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Organization: {
                shape: "S17"
              }
            }
          }
        },
        CreateOrganizationalUnit: {
          input: {
            type: "structure",
            required: [
              "ParentId",
              "Name"
            ],
            members: {
              ParentId: {},
              Name: {},
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationalUnit: {
                shape: "S1j"
              }
            }
          }
        },
        CreatePolicy: {
          input: {
            type: "structure",
            required: [
              "Content",
              "Description",
              "Name",
              "Type"
            ],
            members: {
              Content: {},
              Description: {},
              Name: {},
              Type: {},
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {
                shape: "S1r"
              }
            }
          }
        },
        DeclineHandshake: {
          input: {
            type: "structure",
            required: [
              "HandshakeId"
            ],
            members: {
              HandshakeId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Handshake: {
                shape: "S4"
              }
            }
          }
        },
        DeleteOrganization: {},
        DeleteOrganizationalUnit: {
          input: {
            type: "structure",
            required: [
              "OrganizationalUnitId"
            ],
            members: {
              OrganizationalUnitId: {}
            }
          }
        },
        DeletePolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyId"
            ],
            members: {
              PolicyId: {}
            }
          }
        },
        DeleteResourcePolicy: {},
        DeregisterDelegatedAdministrator: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "ServicePrincipal"
            ],
            members: {
              AccountId: {},
              ServicePrincipal: {}
            }
          }
        },
        DescribeAccount: {
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Account: {
                shape: "S23"
              }
            }
          }
        },
        DescribeCreateAccountStatus: {
          input: {
            type: "structure",
            required: [
              "CreateAccountRequestId"
            ],
            members: {
              CreateAccountRequestId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CreateAccountStatus: {
                shape: "Sy"
              }
            }
          }
        },
        DescribeEffectivePolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyType"
            ],
            members: {
              PolicyType: {},
              TargetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EffectivePolicy: {
                type: "structure",
                members: {
                  PolicyContent: {},
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  },
                  TargetId: {},
                  PolicyType: {}
                }
              }
            }
          }
        },
        DescribeHandshake: {
          input: {
            type: "structure",
            required: [
              "HandshakeId"
            ],
            members: {
              HandshakeId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Handshake: {
                shape: "S4"
              }
            }
          }
        },
        DescribeOrganization: {
          output: {
            type: "structure",
            members: {
              Organization: {
                shape: "S17"
              }
            }
          }
        },
        DescribeOrganizationalUnit: {
          input: {
            type: "structure",
            required: [
              "OrganizationalUnitId"
            ],
            members: {
              OrganizationalUnitId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationalUnit: {
                shape: "S1j"
              }
            }
          }
        },
        DescribePolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyId"
            ],
            members: {
              PolicyId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {
                shape: "S1r"
              }
            }
          }
        },
        DescribeResourcePolicy: {
          output: {
            type: "structure",
            members: {
              ResourcePolicy: {
                shape: "S2l"
              }
            }
          }
        },
        DetachPolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyId",
              "TargetId"
            ],
            members: {
              PolicyId: {},
              TargetId: {}
            }
          }
        },
        DisableAWSServiceAccess: {
          input: {
            type: "structure",
            required: [
              "ServicePrincipal"
            ],
            members: {
              ServicePrincipal: {}
            }
          }
        },
        DisablePolicyType: {
          input: {
            type: "structure",
            required: [
              "RootId",
              "PolicyType"
            ],
            members: {
              RootId: {},
              PolicyType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Root: {
                shape: "S2v"
              }
            }
          }
        },
        EnableAWSServiceAccess: {
          input: {
            type: "structure",
            required: [
              "ServicePrincipal"
            ],
            members: {
              ServicePrincipal: {}
            }
          }
        },
        EnableAllFeatures: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              Handshake: {
                shape: "S4"
              }
            }
          }
        },
        EnablePolicyType: {
          input: {
            type: "structure",
            required: [
              "RootId",
              "PolicyType"
            ],
            members: {
              RootId: {},
              PolicyType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Root: {
                shape: "S2v"
              }
            }
          }
        },
        InviteAccountToOrganization: {
          input: {
            type: "structure",
            required: [
              "Target"
            ],
            members: {
              Target: {
                shape: "S7"
              },
              Notes: {
                type: "string",
                sensitive: true
              },
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Handshake: {
                shape: "S4"
              }
            }
          }
        },
        LeaveOrganization: {},
        ListAWSServiceAccessForOrganization: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EnabledServicePrincipals: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ServicePrincipal: {},
                    DateEnabled: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAccounts: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Accounts: {
                shape: "S3e"
              },
              NextToken: {}
            }
          }
        },
        ListAccountsForParent: {
          input: {
            type: "structure",
            required: [
              "ParentId"
            ],
            members: {
              ParentId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Accounts: {
                shape: "S3e"
              },
              NextToken: {}
            }
          }
        },
        ListChildren: {
          input: {
            type: "structure",
            required: [
              "ParentId",
              "ChildType"
            ],
            members: {
              ParentId: {},
              ChildType: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Children: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Type: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCreateAccountStatus: {
          input: {
            type: "structure",
            members: {
              States: {
                type: "list",
                member: {}
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CreateAccountStatuses: {
                type: "list",
                member: {
                  shape: "Sy"
                }
              },
              NextToken: {}
            }
          }
        },
        ListDelegatedAdministrators: {
          input: {
            type: "structure",
            members: {
              ServicePrincipal: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DelegatedAdministrators: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Email: {
                      shape: "Sp"
                    },
                    Name: {
                      shape: "S24"
                    },
                    Status: {},
                    JoinedMethod: {},
                    JoinedTimestamp: {
                      type: "timestamp"
                    },
                    DelegationEnabledDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDelegatedServicesForAccount: {
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DelegatedServices: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ServicePrincipal: {},
                    DelegationEnabledDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListHandshakesForAccount: {
          input: {
            type: "structure",
            members: {
              Filter: {
                shape: "S40"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Handshakes: {
                shape: "S42"
              },
              NextToken: {}
            }
          }
        },
        ListHandshakesForOrganization: {
          input: {
            type: "structure",
            members: {
              Filter: {
                shape: "S40"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Handshakes: {
                shape: "S42"
              },
              NextToken: {}
            }
          }
        },
        ListOrganizationalUnitsForParent: {
          input: {
            type: "structure",
            required: [
              "ParentId"
            ],
            members: {
              ParentId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationalUnits: {
                type: "list",
                member: {
                  shape: "S1j"
                }
              },
              NextToken: {}
            }
          }
        },
        ListParents: {
          input: {
            type: "structure",
            required: [
              "ChildId"
            ],
            members: {
              ChildId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Parents: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Type: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPolicies: {
          input: {
            type: "structure",
            required: [
              "Filter"
            ],
            members: {
              Filter: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policies: {
                shape: "S4f"
              },
              NextToken: {}
            }
          }
        },
        ListPoliciesForTarget: {
          input: {
            type: "structure",
            required: [
              "TargetId",
              "Filter"
            ],
            members: {
              TargetId: {},
              Filter: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policies: {
                shape: "S4f"
              },
              NextToken: {}
            }
          }
        },
        ListRoots: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Roots: {
                type: "list",
                member: {
                  shape: "S2v"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              ResourceId: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "St"
              },
              NextToken: {}
            }
          }
        },
        ListTargetsForPolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyId"
            ],
            members: {
              PolicyId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Targets: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TargetId: {},
                    Arn: {},
                    Name: {},
                    Type: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        MoveAccount: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "SourceParentId",
              "DestinationParentId"
            ],
            members: {
              AccountId: {},
              SourceParentId: {},
              DestinationParentId: {}
            }
          }
        },
        PutResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "Content"
            ],
            members: {
              Content: {},
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourcePolicy: {
                shape: "S2l"
              }
            }
          }
        },
        RegisterDelegatedAdministrator: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "ServicePrincipal"
            ],
            members: {
              AccountId: {},
              ServicePrincipal: {}
            }
          }
        },
        RemoveAccountFromOrganization: {
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "Tags"
            ],
            members: {
              ResourceId: {},
              Tags: {
                shape: "St"
              }
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "TagKeys"
            ],
            members: {
              ResourceId: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        },
        UpdateOrganizationalUnit: {
          input: {
            type: "structure",
            required: [
              "OrganizationalUnitId"
            ],
            members: {
              OrganizationalUnitId: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationalUnit: {
                shape: "S1j"
              }
            }
          }
        },
        UpdatePolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyId"
            ],
            members: {
              PolicyId: {},
              Name: {},
              Description: {},
              Content: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {
                shape: "S1r"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            Id: {},
            Arn: {},
            Parties: {
              type: "list",
              member: {
                shape: "S7"
              }
            },
            State: {},
            RequestedTimestamp: {
              type: "timestamp"
            },
            ExpirationTimestamp: {
              type: "timestamp"
            },
            Action: {},
            Resources: {
              shape: "Sd"
            }
          }
        },
        S7: {
          type: "structure",
          required: [
            "Id",
            "Type"
          ],
          members: {
            Id: {
              type: "string",
              sensitive: true
            },
            Type: {}
          }
        },
        Sd: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Value: {
                type: "string",
                sensitive: true
              },
              Type: {},
              Resources: {
                shape: "Sd"
              }
            }
          }
        },
        Sp: {
          type: "string",
          sensitive: true
        },
        Sq: {
          type: "string",
          sensitive: true
        },
        St: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sy: {
          type: "structure",
          members: {
            Id: {},
            AccountName: {
              shape: "Sq"
            },
            State: {},
            RequestedTimestamp: {
              type: "timestamp"
            },
            CompletedTimestamp: {
              type: "timestamp"
            },
            AccountId: {},
            GovCloudAccountId: {},
            FailureReason: {}
          }
        },
        S17: {
          type: "structure",
          members: {
            Id: {},
            Arn: {},
            FeatureSet: {},
            MasterAccountArn: {},
            MasterAccountId: {},
            MasterAccountEmail: {
              shape: "Sp"
            },
            AvailablePolicyTypes: {
              shape: "S1b"
            }
          }
        },
        S1b: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {},
              Status: {}
            }
          }
        },
        S1j: {
          type: "structure",
          members: {
            Id: {},
            Arn: {},
            Name: {}
          }
        },
        S1r: {
          type: "structure",
          members: {
            PolicySummary: {
              shape: "S1s"
            },
            Content: {}
          }
        },
        S1s: {
          type: "structure",
          members: {
            Id: {},
            Arn: {},
            Name: {},
            Description: {},
            Type: {},
            AwsManaged: {
              type: "boolean"
            }
          }
        },
        S23: {
          type: "structure",
          members: {
            Id: {},
            Arn: {},
            Email: {
              shape: "Sp"
            },
            Name: {
              shape: "S24"
            },
            Status: {},
            JoinedMethod: {},
            JoinedTimestamp: {
              type: "timestamp"
            }
          }
        },
        S24: {
          type: "string",
          sensitive: true
        },
        S2l: {
          type: "structure",
          members: {
            ResourcePolicySummary: {
              type: "structure",
              members: {
                Id: {},
                Arn: {}
              }
            },
            Content: {}
          }
        },
        S2v: {
          type: "structure",
          members: {
            Id: {},
            Arn: {},
            Name: {},
            PolicyTypes: {
              shape: "S1b"
            }
          }
        },
        S3e: {
          type: "list",
          member: {
            shape: "S23"
          }
        },
        S40: {
          type: "structure",
          members: {
            ActionType: {},
            ParentHandshakeId: {}
          }
        },
        S42: {
          type: "list",
          member: {
            shape: "S4"
          }
        },
        S4f: {
          type: "list",
          member: {
            shape: "S1s"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/organizations-2016-11-28.paginators.json
var require_organizations_2016_11_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/organizations-2016-11-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAWSServiceAccessForOrganization: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListAccounts: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListAccountsForParent: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListChildren: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListCreateAccountStatus: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListDelegatedAdministrators: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "DelegatedAdministrators"
        },
        ListDelegatedServicesForAccount: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "DelegatedServices"
        },
        ListHandshakesForAccount: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListHandshakesForOrganization: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListOrganizationalUnitsForParent: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListParents: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListPolicies: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListPoliciesForTarget: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListRoots: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Tags"
        },
        ListTargetsForPolicy: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/organizations.js
var require_organizations = __commonJS({
  "node_modules/aws-sdk/clients/organizations.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["organizations"] = {};
    AWS2.Organizations = Service.defineService("organizations", ["2016-11-28"]);
    Object.defineProperty(apiLoader.services["organizations"], "2016-11-28", {
      get: function get() {
        var model = require_organizations_2016_11_28_min();
        model.paginators = require_organizations_2016_11_28_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Organizations;
  }
});

// node_modules/aws-sdk/apis/pinpoint-2016-12-01.min.json
var require_pinpoint_2016_12_01_min = __commonJS({
  "node_modules/aws-sdk/apis/pinpoint-2016-12-01.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2016-12-01",
        endpointPrefix: "pinpoint",
        signingName: "mobiletargeting",
        serviceFullName: "Amazon Pinpoint",
        serviceId: "Pinpoint",
        protocol: "rest-json",
        jsonVersion: "1.1",
        uid: "pinpoint-2016-12-01",
        signatureVersion: "v4"
      },
      operations: {
        CreateApp: {
          http: {
            requestUri: "/v1/apps",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              CreateApplicationRequest: {
                type: "structure",
                members: {
                  Name: {},
                  tags: {
                    shape: "S4",
                    locationName: "tags"
                  }
                },
                required: [
                  "Name"
                ]
              }
            },
            required: [
              "CreateApplicationRequest"
            ],
            payload: "CreateApplicationRequest"
          },
          output: {
            type: "structure",
            members: {
              ApplicationResponse: {
                shape: "S6"
              }
            },
            required: [
              "ApplicationResponse"
            ],
            payload: "ApplicationResponse"
          }
        },
        CreateCampaign: {
          http: {
            requestUri: "/v1/apps/{application-id}/campaigns",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              WriteCampaignRequest: {
                shape: "S8"
              }
            },
            required: [
              "ApplicationId",
              "WriteCampaignRequest"
            ],
            payload: "WriteCampaignRequest"
          },
          output: {
            type: "structure",
            members: {
              CampaignResponse: {
                shape: "S1j"
              }
            },
            required: [
              "CampaignResponse"
            ],
            payload: "CampaignResponse"
          }
        },
        CreateEmailTemplate: {
          http: {
            requestUri: "/v1/templates/{template-name}/email",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              EmailTemplateRequest: {
                shape: "S1p"
              },
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              }
            },
            required: [
              "TemplateName",
              "EmailTemplateRequest"
            ],
            payload: "EmailTemplateRequest"
          },
          output: {
            type: "structure",
            members: {
              CreateTemplateMessageBody: {
                shape: "S1r"
              }
            },
            required: [
              "CreateTemplateMessageBody"
            ],
            payload: "CreateTemplateMessageBody"
          }
        },
        CreateExportJob: {
          http: {
            requestUri: "/v1/apps/{application-id}/jobs/export",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              ExportJobRequest: {
                type: "structure",
                members: {
                  RoleArn: {},
                  S3UrlPrefix: {},
                  SegmentId: {},
                  SegmentVersion: {
                    type: "integer"
                  }
                },
                required: [
                  "S3UrlPrefix",
                  "RoleArn"
                ]
              }
            },
            required: [
              "ApplicationId",
              "ExportJobRequest"
            ],
            payload: "ExportJobRequest"
          },
          output: {
            type: "structure",
            members: {
              ExportJobResponse: {
                shape: "S1v"
              }
            },
            required: [
              "ExportJobResponse"
            ],
            payload: "ExportJobResponse"
          }
        },
        CreateImportJob: {
          http: {
            requestUri: "/v1/apps/{application-id}/jobs/import",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              ImportJobRequest: {
                type: "structure",
                members: {
                  DefineSegment: {
                    type: "boolean"
                  },
                  ExternalId: {},
                  Format: {},
                  RegisterEndpoints: {
                    type: "boolean"
                  },
                  RoleArn: {},
                  S3Url: {},
                  SegmentId: {},
                  SegmentName: {}
                },
                required: [
                  "Format",
                  "S3Url",
                  "RoleArn"
                ]
              }
            },
            required: [
              "ApplicationId",
              "ImportJobRequest"
            ],
            payload: "ImportJobRequest"
          },
          output: {
            type: "structure",
            members: {
              ImportJobResponse: {
                shape: "S22"
              }
            },
            required: [
              "ImportJobResponse"
            ],
            payload: "ImportJobResponse"
          }
        },
        CreateInAppTemplate: {
          http: {
            requestUri: "/v1/templates/{template-name}/inapp",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              InAppTemplateRequest: {
                shape: "S25"
              },
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              }
            },
            required: [
              "TemplateName",
              "InAppTemplateRequest"
            ],
            payload: "InAppTemplateRequest"
          },
          output: {
            type: "structure",
            members: {
              TemplateCreateMessageBody: {
                type: "structure",
                members: {
                  Arn: {},
                  Message: {},
                  RequestID: {}
                }
              }
            },
            required: [
              "TemplateCreateMessageBody"
            ],
            payload: "TemplateCreateMessageBody"
          }
        },
        CreateJourney: {
          http: {
            requestUri: "/v1/apps/{application-id}/journeys",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              WriteJourneyRequest: {
                shape: "S29"
              }
            },
            required: [
              "ApplicationId",
              "WriteJourneyRequest"
            ],
            payload: "WriteJourneyRequest"
          },
          output: {
            type: "structure",
            members: {
              JourneyResponse: {
                shape: "S3t"
              }
            },
            required: [
              "JourneyResponse"
            ],
            payload: "JourneyResponse"
          }
        },
        CreatePushTemplate: {
          http: {
            requestUri: "/v1/templates/{template-name}/push",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              PushNotificationTemplateRequest: {
                shape: "S3v"
              },
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              }
            },
            required: [
              "TemplateName",
              "PushNotificationTemplateRequest"
            ],
            payload: "PushNotificationTemplateRequest"
          },
          output: {
            type: "structure",
            members: {
              CreateTemplateMessageBody: {
                shape: "S1r"
              }
            },
            required: [
              "CreateTemplateMessageBody"
            ],
            payload: "CreateTemplateMessageBody"
          }
        },
        CreateRecommenderConfiguration: {
          http: {
            requestUri: "/v1/recommenders",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              CreateRecommenderConfiguration: {
                type: "structure",
                members: {
                  Attributes: {
                    shape: "S4"
                  },
                  Description: {},
                  Name: {},
                  RecommendationProviderIdType: {},
                  RecommendationProviderRoleArn: {},
                  RecommendationProviderUri: {},
                  RecommendationTransformerUri: {},
                  RecommendationsDisplayName: {},
                  RecommendationsPerMessage: {
                    type: "integer"
                  }
                },
                required: [
                  "RecommendationProviderUri",
                  "RecommendationProviderRoleArn"
                ]
              }
            },
            required: [
              "CreateRecommenderConfiguration"
            ],
            payload: "CreateRecommenderConfiguration"
          },
          output: {
            type: "structure",
            members: {
              RecommenderConfigurationResponse: {
                shape: "S43"
              }
            },
            required: [
              "RecommenderConfigurationResponse"
            ],
            payload: "RecommenderConfigurationResponse"
          }
        },
        CreateSegment: {
          http: {
            requestUri: "/v1/apps/{application-id}/segments",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              WriteSegmentRequest: {
                shape: "S45"
              }
            },
            required: [
              "ApplicationId",
              "WriteSegmentRequest"
            ],
            payload: "WriteSegmentRequest"
          },
          output: {
            type: "structure",
            members: {
              SegmentResponse: {
                shape: "S4g"
              }
            },
            required: [
              "SegmentResponse"
            ],
            payload: "SegmentResponse"
          }
        },
        CreateSmsTemplate: {
          http: {
            requestUri: "/v1/templates/{template-name}/sms",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              SMSTemplateRequest: {
                shape: "S4l"
              },
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              }
            },
            required: [
              "TemplateName",
              "SMSTemplateRequest"
            ],
            payload: "SMSTemplateRequest"
          },
          output: {
            type: "structure",
            members: {
              CreateTemplateMessageBody: {
                shape: "S1r"
              }
            },
            required: [
              "CreateTemplateMessageBody"
            ],
            payload: "CreateTemplateMessageBody"
          }
        },
        CreateVoiceTemplate: {
          http: {
            requestUri: "/v1/templates/{template-name}/voice",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              VoiceTemplateRequest: {
                shape: "S4o"
              }
            },
            required: [
              "TemplateName",
              "VoiceTemplateRequest"
            ],
            payload: "VoiceTemplateRequest"
          },
          output: {
            type: "structure",
            members: {
              CreateTemplateMessageBody: {
                shape: "S1r"
              }
            },
            required: [
              "CreateTemplateMessageBody"
            ],
            payload: "CreateTemplateMessageBody"
          }
        },
        DeleteAdmChannel: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}/channels/adm",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ADMChannelResponse: {
                shape: "S4s"
              }
            },
            required: [
              "ADMChannelResponse"
            ],
            payload: "ADMChannelResponse"
          }
        },
        DeleteApnsChannel: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}/channels/apns",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              APNSChannelResponse: {
                shape: "S4v"
              }
            },
            required: [
              "APNSChannelResponse"
            ],
            payload: "APNSChannelResponse"
          }
        },
        DeleteApnsSandboxChannel: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}/channels/apns_sandbox",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              APNSSandboxChannelResponse: {
                shape: "S4y"
              }
            },
            required: [
              "APNSSandboxChannelResponse"
            ],
            payload: "APNSSandboxChannelResponse"
          }
        },
        DeleteApnsVoipChannel: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}/channels/apns_voip",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              APNSVoipChannelResponse: {
                shape: "S51"
              }
            },
            required: [
              "APNSVoipChannelResponse"
            ],
            payload: "APNSVoipChannelResponse"
          }
        },
        DeleteApnsVoipSandboxChannel: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}/channels/apns_voip_sandbox",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              APNSVoipSandboxChannelResponse: {
                shape: "S54"
              }
            },
            required: [
              "APNSVoipSandboxChannelResponse"
            ],
            payload: "APNSVoipSandboxChannelResponse"
          }
        },
        DeleteApp: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApplicationResponse: {
                shape: "S6"
              }
            },
            required: [
              "ApplicationResponse"
            ],
            payload: "ApplicationResponse"
          }
        },
        DeleteBaiduChannel: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}/channels/baidu",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              BaiduChannelResponse: {
                shape: "S59"
              }
            },
            required: [
              "BaiduChannelResponse"
            ],
            payload: "BaiduChannelResponse"
          }
        },
        DeleteCampaign: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}/campaigns/{campaign-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              CampaignId: {
                location: "uri",
                locationName: "campaign-id"
              }
            },
            required: [
              "CampaignId",
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              CampaignResponse: {
                shape: "S1j"
              }
            },
            required: [
              "CampaignResponse"
            ],
            payload: "CampaignResponse"
          }
        },
        DeleteEmailChannel: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}/channels/email",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              EmailChannelResponse: {
                shape: "S5e"
              }
            },
            required: [
              "EmailChannelResponse"
            ],
            payload: "EmailChannelResponse"
          }
        },
        DeleteEmailTemplate: {
          http: {
            method: "DELETE",
            requestUri: "/v1/templates/{template-name}/email",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              Version: {
                location: "querystring",
                locationName: "version"
              }
            },
            required: [
              "TemplateName"
            ]
          },
          output: {
            type: "structure",
            members: {
              MessageBody: {
                shape: "S5h"
              }
            },
            required: [
              "MessageBody"
            ],
            payload: "MessageBody"
          }
        },
        DeleteEndpoint: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}/endpoints/{endpoint-id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              EndpointId: {
                location: "uri",
                locationName: "endpoint-id"
              }
            },
            required: [
              "ApplicationId",
              "EndpointId"
            ]
          },
          output: {
            type: "structure",
            members: {
              EndpointResponse: {
                shape: "S5k"
              }
            },
            required: [
              "EndpointResponse"
            ],
            payload: "EndpointResponse"
          }
        },
        DeleteEventStream: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}/eventstream",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              EventStream: {
                shape: "S5t"
              }
            },
            required: [
              "EventStream"
            ],
            payload: "EventStream"
          }
        },
        DeleteGcmChannel: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}/channels/gcm",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              GCMChannelResponse: {
                shape: "S5w"
              }
            },
            required: [
              "GCMChannelResponse"
            ],
            payload: "GCMChannelResponse"
          }
        },
        DeleteInAppTemplate: {
          http: {
            method: "DELETE",
            requestUri: "/v1/templates/{template-name}/inapp",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              Version: {
                location: "querystring",
                locationName: "version"
              }
            },
            required: [
              "TemplateName"
            ]
          },
          output: {
            type: "structure",
            members: {
              MessageBody: {
                shape: "S5h"
              }
            },
            required: [
              "MessageBody"
            ],
            payload: "MessageBody"
          }
        },
        DeleteJourney: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}/journeys/{journey-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              JourneyId: {
                location: "uri",
                locationName: "journey-id"
              }
            },
            required: [
              "JourneyId",
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              JourneyResponse: {
                shape: "S3t"
              }
            },
            required: [
              "JourneyResponse"
            ],
            payload: "JourneyResponse"
          }
        },
        DeletePushTemplate: {
          http: {
            method: "DELETE",
            requestUri: "/v1/templates/{template-name}/push",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              Version: {
                location: "querystring",
                locationName: "version"
              }
            },
            required: [
              "TemplateName"
            ]
          },
          output: {
            type: "structure",
            members: {
              MessageBody: {
                shape: "S5h"
              }
            },
            required: [
              "MessageBody"
            ],
            payload: "MessageBody"
          }
        },
        DeleteRecommenderConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/v1/recommenders/{recommender-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              RecommenderId: {
                location: "uri",
                locationName: "recommender-id"
              }
            },
            required: [
              "RecommenderId"
            ]
          },
          output: {
            type: "structure",
            members: {
              RecommenderConfigurationResponse: {
                shape: "S43"
              }
            },
            required: [
              "RecommenderConfigurationResponse"
            ],
            payload: "RecommenderConfigurationResponse"
          }
        },
        DeleteSegment: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}/segments/{segment-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              SegmentId: {
                location: "uri",
                locationName: "segment-id"
              }
            },
            required: [
              "SegmentId",
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              SegmentResponse: {
                shape: "S4g"
              }
            },
            required: [
              "SegmentResponse"
            ],
            payload: "SegmentResponse"
          }
        },
        DeleteSmsChannel: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}/channels/sms",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              SMSChannelResponse: {
                shape: "S69"
              }
            },
            required: [
              "SMSChannelResponse"
            ],
            payload: "SMSChannelResponse"
          }
        },
        DeleteSmsTemplate: {
          http: {
            method: "DELETE",
            requestUri: "/v1/templates/{template-name}/sms",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              Version: {
                location: "querystring",
                locationName: "version"
              }
            },
            required: [
              "TemplateName"
            ]
          },
          output: {
            type: "structure",
            members: {
              MessageBody: {
                shape: "S5h"
              }
            },
            required: [
              "MessageBody"
            ],
            payload: "MessageBody"
          }
        },
        DeleteUserEndpoints: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}/users/{user-id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              UserId: {
                location: "uri",
                locationName: "user-id"
              }
            },
            required: [
              "ApplicationId",
              "UserId"
            ]
          },
          output: {
            type: "structure",
            members: {
              EndpointsResponse: {
                shape: "S6e"
              }
            },
            required: [
              "EndpointsResponse"
            ],
            payload: "EndpointsResponse"
          }
        },
        DeleteVoiceChannel: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apps/{application-id}/channels/voice",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              VoiceChannelResponse: {
                shape: "S6i"
              }
            },
            required: [
              "VoiceChannelResponse"
            ],
            payload: "VoiceChannelResponse"
          }
        },
        DeleteVoiceTemplate: {
          http: {
            method: "DELETE",
            requestUri: "/v1/templates/{template-name}/voice",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              Version: {
                location: "querystring",
                locationName: "version"
              }
            },
            required: [
              "TemplateName"
            ]
          },
          output: {
            type: "structure",
            members: {
              MessageBody: {
                shape: "S5h"
              }
            },
            required: [
              "MessageBody"
            ],
            payload: "MessageBody"
          }
        },
        GetAdmChannel: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/channels/adm",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ADMChannelResponse: {
                shape: "S4s"
              }
            },
            required: [
              "ADMChannelResponse"
            ],
            payload: "ADMChannelResponse"
          }
        },
        GetApnsChannel: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/channels/apns",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              APNSChannelResponse: {
                shape: "S4v"
              }
            },
            required: [
              "APNSChannelResponse"
            ],
            payload: "APNSChannelResponse"
          }
        },
        GetApnsSandboxChannel: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/channels/apns_sandbox",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              APNSSandboxChannelResponse: {
                shape: "S4y"
              }
            },
            required: [
              "APNSSandboxChannelResponse"
            ],
            payload: "APNSSandboxChannelResponse"
          }
        },
        GetApnsVoipChannel: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/channels/apns_voip",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              APNSVoipChannelResponse: {
                shape: "S51"
              }
            },
            required: [
              "APNSVoipChannelResponse"
            ],
            payload: "APNSVoipChannelResponse"
          }
        },
        GetApnsVoipSandboxChannel: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/channels/apns_voip_sandbox",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              APNSVoipSandboxChannelResponse: {
                shape: "S54"
              }
            },
            required: [
              "APNSVoipSandboxChannelResponse"
            ],
            payload: "APNSVoipSandboxChannelResponse"
          }
        },
        GetApp: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApplicationResponse: {
                shape: "S6"
              }
            },
            required: [
              "ApplicationResponse"
            ],
            payload: "ApplicationResponse"
          }
        },
        GetApplicationDateRangeKpi: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/kpis/daterange/{kpi-name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              EndTime: {
                shape: "S3c",
                location: "querystring",
                locationName: "end-time"
              },
              KpiName: {
                location: "uri",
                locationName: "kpi-name"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              StartTime: {
                shape: "S3c",
                location: "querystring",
                locationName: "start-time"
              }
            },
            required: [
              "ApplicationId",
              "KpiName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApplicationDateRangeKpiResponse: {
                type: "structure",
                members: {
                  ApplicationId: {},
                  EndTime: {
                    shape: "S3c"
                  },
                  KpiName: {},
                  KpiResult: {
                    shape: "S70"
                  },
                  NextToken: {},
                  StartTime: {
                    shape: "S3c"
                  }
                },
                required: [
                  "KpiResult",
                  "KpiName",
                  "EndTime",
                  "StartTime",
                  "ApplicationId"
                ]
              }
            },
            required: [
              "ApplicationDateRangeKpiResponse"
            ],
            payload: "ApplicationDateRangeKpiResponse"
          }
        },
        GetApplicationSettings: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/settings",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApplicationSettingsResource: {
                shape: "S77"
              }
            },
            required: [
              "ApplicationSettingsResource"
            ],
            payload: "ApplicationSettingsResource"
          }
        },
        GetApps: {
          http: {
            method: "GET",
            requestUri: "/v1/apps",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              Token: {
                location: "querystring",
                locationName: "token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationsResponse: {
                type: "structure",
                members: {
                  Item: {
                    type: "list",
                    member: {
                      shape: "S6"
                    }
                  },
                  NextToken: {}
                }
              }
            },
            required: [
              "ApplicationsResponse"
            ],
            payload: "ApplicationsResponse"
          }
        },
        GetBaiduChannel: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/channels/baidu",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              BaiduChannelResponse: {
                shape: "S59"
              }
            },
            required: [
              "BaiduChannelResponse"
            ],
            payload: "BaiduChannelResponse"
          }
        },
        GetCampaign: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/campaigns/{campaign-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              CampaignId: {
                location: "uri",
                locationName: "campaign-id"
              }
            },
            required: [
              "CampaignId",
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              CampaignResponse: {
                shape: "S1j"
              }
            },
            required: [
              "CampaignResponse"
            ],
            payload: "CampaignResponse"
          }
        },
        GetCampaignActivities: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/campaigns/{campaign-id}/activities",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              CampaignId: {
                location: "uri",
                locationName: "campaign-id"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              Token: {
                location: "querystring",
                locationName: "token"
              }
            },
            required: [
              "ApplicationId",
              "CampaignId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ActivitiesResponse: {
                type: "structure",
                members: {
                  Item: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        ApplicationId: {},
                        CampaignId: {},
                        End: {},
                        Id: {},
                        Result: {},
                        ScheduledStart: {},
                        Start: {},
                        State: {},
                        SuccessfulEndpointCount: {
                          type: "integer"
                        },
                        TimezonesCompletedCount: {
                          type: "integer"
                        },
                        TimezonesTotalCount: {
                          type: "integer"
                        },
                        TotalEndpointCount: {
                          type: "integer"
                        },
                        TreatmentId: {},
                        ExecutionMetrics: {
                          shape: "S4"
                        }
                      },
                      required: [
                        "CampaignId",
                        "Id",
                        "ApplicationId"
                      ]
                    }
                  },
                  NextToken: {}
                },
                required: [
                  "Item"
                ]
              }
            },
            required: [
              "ActivitiesResponse"
            ],
            payload: "ActivitiesResponse"
          }
        },
        GetCampaignDateRangeKpi: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/campaigns/{campaign-id}/kpis/daterange/{kpi-name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              CampaignId: {
                location: "uri",
                locationName: "campaign-id"
              },
              EndTime: {
                shape: "S3c",
                location: "querystring",
                locationName: "end-time"
              },
              KpiName: {
                location: "uri",
                locationName: "kpi-name"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              StartTime: {
                shape: "S3c",
                location: "querystring",
                locationName: "start-time"
              }
            },
            required: [
              "ApplicationId",
              "KpiName",
              "CampaignId"
            ]
          },
          output: {
            type: "structure",
            members: {
              CampaignDateRangeKpiResponse: {
                type: "structure",
                members: {
                  ApplicationId: {},
                  CampaignId: {},
                  EndTime: {
                    shape: "S3c"
                  },
                  KpiName: {},
                  KpiResult: {
                    shape: "S70"
                  },
                  NextToken: {},
                  StartTime: {
                    shape: "S3c"
                  }
                },
                required: [
                  "KpiResult",
                  "KpiName",
                  "EndTime",
                  "CampaignId",
                  "StartTime",
                  "ApplicationId"
                ]
              }
            },
            required: [
              "CampaignDateRangeKpiResponse"
            ],
            payload: "CampaignDateRangeKpiResponse"
          }
        },
        GetCampaignVersion: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/campaigns/{campaign-id}/versions/{version}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              CampaignId: {
                location: "uri",
                locationName: "campaign-id"
              },
              Version: {
                location: "uri",
                locationName: "version"
              }
            },
            required: [
              "Version",
              "ApplicationId",
              "CampaignId"
            ]
          },
          output: {
            type: "structure",
            members: {
              CampaignResponse: {
                shape: "S1j"
              }
            },
            required: [
              "CampaignResponse"
            ],
            payload: "CampaignResponse"
          }
        },
        GetCampaignVersions: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/campaigns/{campaign-id}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              CampaignId: {
                location: "uri",
                locationName: "campaign-id"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              Token: {
                location: "querystring",
                locationName: "token"
              }
            },
            required: [
              "ApplicationId",
              "CampaignId"
            ]
          },
          output: {
            type: "structure",
            members: {
              CampaignsResponse: {
                shape: "S7s"
              }
            },
            required: [
              "CampaignsResponse"
            ],
            payload: "CampaignsResponse"
          }
        },
        GetCampaigns: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/campaigns",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              Token: {
                location: "querystring",
                locationName: "token"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              CampaignsResponse: {
                shape: "S7s"
              }
            },
            required: [
              "CampaignsResponse"
            ],
            payload: "CampaignsResponse"
          }
        },
        GetChannels: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/channels",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ChannelsResponse: {
                type: "structure",
                members: {
                  Channels: {
                    type: "map",
                    key: {},
                    value: {
                      type: "structure",
                      members: {
                        ApplicationId: {},
                        CreationDate: {},
                        Enabled: {
                          type: "boolean"
                        },
                        HasCredential: {
                          type: "boolean"
                        },
                        Id: {},
                        IsArchived: {
                          type: "boolean"
                        },
                        LastModifiedBy: {},
                        LastModifiedDate: {},
                        Version: {
                          type: "integer"
                        }
                      }
                    }
                  }
                },
                required: [
                  "Channels"
                ]
              }
            },
            required: [
              "ChannelsResponse"
            ],
            payload: "ChannelsResponse"
          }
        },
        GetEmailChannel: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/channels/email",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              EmailChannelResponse: {
                shape: "S5e"
              }
            },
            required: [
              "EmailChannelResponse"
            ],
            payload: "EmailChannelResponse"
          }
        },
        GetEmailTemplate: {
          http: {
            method: "GET",
            requestUri: "/v1/templates/{template-name}/email",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              Version: {
                location: "querystring",
                locationName: "version"
              }
            },
            required: [
              "TemplateName"
            ]
          },
          output: {
            type: "structure",
            members: {
              EmailTemplateResponse: {
                type: "structure",
                members: {
                  Arn: {},
                  CreationDate: {},
                  DefaultSubstitutions: {},
                  HtmlPart: {},
                  LastModifiedDate: {},
                  RecommenderId: {},
                  Subject: {},
                  tags: {
                    shape: "S4",
                    locationName: "tags"
                  },
                  TemplateDescription: {},
                  TemplateName: {},
                  TemplateType: {},
                  TextPart: {},
                  Version: {}
                },
                required: [
                  "LastModifiedDate",
                  "CreationDate",
                  "TemplateName",
                  "TemplateType"
                ]
              }
            },
            required: [
              "EmailTemplateResponse"
            ],
            payload: "EmailTemplateResponse"
          }
        },
        GetEndpoint: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/endpoints/{endpoint-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              EndpointId: {
                location: "uri",
                locationName: "endpoint-id"
              }
            },
            required: [
              "ApplicationId",
              "EndpointId"
            ]
          },
          output: {
            type: "structure",
            members: {
              EndpointResponse: {
                shape: "S5k"
              }
            },
            required: [
              "EndpointResponse"
            ],
            payload: "EndpointResponse"
          }
        },
        GetEventStream: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/eventstream",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              EventStream: {
                shape: "S5t"
              }
            },
            required: [
              "EventStream"
            ],
            payload: "EventStream"
          }
        },
        GetExportJob: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/jobs/export/{job-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              JobId: {
                location: "uri",
                locationName: "job-id"
              }
            },
            required: [
              "ApplicationId",
              "JobId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ExportJobResponse: {
                shape: "S1v"
              }
            },
            required: [
              "ExportJobResponse"
            ],
            payload: "ExportJobResponse"
          }
        },
        GetExportJobs: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/jobs/export",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              Token: {
                location: "querystring",
                locationName: "token"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ExportJobsResponse: {
                shape: "S8f"
              }
            },
            required: [
              "ExportJobsResponse"
            ],
            payload: "ExportJobsResponse"
          }
        },
        GetGcmChannel: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/channels/gcm",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              GCMChannelResponse: {
                shape: "S5w"
              }
            },
            required: [
              "GCMChannelResponse"
            ],
            payload: "GCMChannelResponse"
          }
        },
        GetImportJob: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/jobs/import/{job-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              JobId: {
                location: "uri",
                locationName: "job-id"
              }
            },
            required: [
              "ApplicationId",
              "JobId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ImportJobResponse: {
                shape: "S22"
              }
            },
            required: [
              "ImportJobResponse"
            ],
            payload: "ImportJobResponse"
          }
        },
        GetImportJobs: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/jobs/import",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              Token: {
                location: "querystring",
                locationName: "token"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ImportJobsResponse: {
                shape: "S8n"
              }
            },
            required: [
              "ImportJobsResponse"
            ],
            payload: "ImportJobsResponse"
          }
        },
        GetInAppMessages: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/endpoints/{endpoint-id}/inappmessages",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              EndpointId: {
                location: "uri",
                locationName: "endpoint-id"
              }
            },
            required: [
              "ApplicationId",
              "EndpointId"
            ]
          },
          output: {
            type: "structure",
            members: {
              InAppMessagesResponse: {
                type: "structure",
                members: {
                  InAppMessageCampaigns: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        CampaignId: {},
                        DailyCap: {
                          type: "integer"
                        },
                        InAppMessage: {
                          type: "structure",
                          members: {
                            Content: {
                              shape: "So"
                            },
                            CustomConfig: {
                              shape: "S4"
                            },
                            Layout: {}
                          }
                        },
                        Priority: {
                          type: "integer"
                        },
                        Schedule: {
                          type: "structure",
                          members: {
                            EndDate: {},
                            EventFilter: {
                              shape: "Sz"
                            },
                            QuietTime: {
                              shape: "S1c"
                            }
                          }
                        },
                        SessionCap: {
                          type: "integer"
                        },
                        TotalCap: {
                          type: "integer"
                        },
                        TreatmentId: {}
                      }
                    }
                  }
                }
              }
            },
            required: [
              "InAppMessagesResponse"
            ],
            payload: "InAppMessagesResponse"
          }
        },
        GetInAppTemplate: {
          http: {
            method: "GET",
            requestUri: "/v1/templates/{template-name}/inapp",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              Version: {
                location: "querystring",
                locationName: "version"
              }
            },
            required: [
              "TemplateName"
            ]
          },
          output: {
            type: "structure",
            members: {
              InAppTemplateResponse: {
                type: "structure",
                members: {
                  Arn: {},
                  Content: {
                    shape: "So"
                  },
                  CreationDate: {},
                  CustomConfig: {
                    shape: "S4"
                  },
                  LastModifiedDate: {},
                  Layout: {},
                  tags: {
                    shape: "S4",
                    locationName: "tags"
                  },
                  TemplateDescription: {},
                  TemplateName: {},
                  TemplateType: {},
                  Version: {}
                },
                required: [
                  "LastModifiedDate",
                  "CreationDate",
                  "TemplateName",
                  "TemplateType"
                ]
              }
            },
            required: [
              "InAppTemplateResponse"
            ],
            payload: "InAppTemplateResponse"
          }
        },
        GetJourney: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/journeys/{journey-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              JourneyId: {
                location: "uri",
                locationName: "journey-id"
              }
            },
            required: [
              "JourneyId",
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              JourneyResponse: {
                shape: "S3t"
              }
            },
            required: [
              "JourneyResponse"
            ],
            payload: "JourneyResponse"
          }
        },
        GetJourneyDateRangeKpi: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/journeys/{journey-id}/kpis/daterange/{kpi-name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              EndTime: {
                shape: "S3c",
                location: "querystring",
                locationName: "end-time"
              },
              JourneyId: {
                location: "uri",
                locationName: "journey-id"
              },
              KpiName: {
                location: "uri",
                locationName: "kpi-name"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              StartTime: {
                shape: "S3c",
                location: "querystring",
                locationName: "start-time"
              }
            },
            required: [
              "JourneyId",
              "ApplicationId",
              "KpiName"
            ]
          },
          output: {
            type: "structure",
            members: {
              JourneyDateRangeKpiResponse: {
                type: "structure",
                members: {
                  ApplicationId: {},
                  EndTime: {
                    shape: "S3c"
                  },
                  JourneyId: {},
                  KpiName: {},
                  KpiResult: {
                    shape: "S70"
                  },
                  NextToken: {},
                  StartTime: {
                    shape: "S3c"
                  }
                },
                required: [
                  "KpiResult",
                  "KpiName",
                  "JourneyId",
                  "EndTime",
                  "StartTime",
                  "ApplicationId"
                ]
              }
            },
            required: [
              "JourneyDateRangeKpiResponse"
            ],
            payload: "JourneyDateRangeKpiResponse"
          }
        },
        GetJourneyExecutionActivityMetrics: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/journeys/{journey-id}/activities/{journey-activity-id}/execution-metrics",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              JourneyActivityId: {
                location: "uri",
                locationName: "journey-activity-id"
              },
              JourneyId: {
                location: "uri",
                locationName: "journey-id"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              }
            },
            required: [
              "JourneyActivityId",
              "ApplicationId",
              "JourneyId"
            ]
          },
          output: {
            type: "structure",
            members: {
              JourneyExecutionActivityMetricsResponse: {
                type: "structure",
                members: {
                  ActivityType: {},
                  ApplicationId: {},
                  JourneyActivityId: {},
                  JourneyId: {},
                  LastEvaluatedTime: {},
                  Metrics: {
                    shape: "S4"
                  }
                },
                required: [
                  "Metrics",
                  "JourneyId",
                  "LastEvaluatedTime",
                  "JourneyActivityId",
                  "ActivityType",
                  "ApplicationId"
                ]
              }
            },
            required: [
              "JourneyExecutionActivityMetricsResponse"
            ],
            payload: "JourneyExecutionActivityMetricsResponse"
          }
        },
        GetJourneyExecutionMetrics: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/journeys/{journey-id}/execution-metrics",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              JourneyId: {
                location: "uri",
                locationName: "journey-id"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              }
            },
            required: [
              "ApplicationId",
              "JourneyId"
            ]
          },
          output: {
            type: "structure",
            members: {
              JourneyExecutionMetricsResponse: {
                type: "structure",
                members: {
                  ApplicationId: {},
                  JourneyId: {},
                  LastEvaluatedTime: {},
                  Metrics: {
                    shape: "S4"
                  }
                },
                required: [
                  "Metrics",
                  "JourneyId",
                  "LastEvaluatedTime",
                  "ApplicationId"
                ]
              }
            },
            required: [
              "JourneyExecutionMetricsResponse"
            ],
            payload: "JourneyExecutionMetricsResponse"
          }
        },
        GetJourneyRunExecutionActivityMetrics: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/journeys/{journey-id}/runs/{run-id}/activities/{journey-activity-id}/execution-metrics",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              JourneyActivityId: {
                location: "uri",
                locationName: "journey-activity-id"
              },
              JourneyId: {
                location: "uri",
                locationName: "journey-id"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              RunId: {
                location: "uri",
                locationName: "run-id"
              }
            },
            required: [
              "RunId",
              "JourneyActivityId",
              "JourneyId",
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              JourneyRunExecutionActivityMetricsResponse: {
                type: "structure",
                members: {
                  ActivityType: {},
                  ApplicationId: {},
                  JourneyActivityId: {},
                  JourneyId: {},
                  LastEvaluatedTime: {},
                  Metrics: {
                    shape: "S4"
                  },
                  RunId: {}
                },
                required: [
                  "Metrics",
                  "JourneyId",
                  "LastEvaluatedTime",
                  "JourneyActivityId",
                  "ActivityType",
                  "RunId",
                  "ApplicationId"
                ]
              }
            },
            required: [
              "JourneyRunExecutionActivityMetricsResponse"
            ],
            payload: "JourneyRunExecutionActivityMetricsResponse"
          }
        },
        GetJourneyRunExecutionMetrics: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/journeys/{journey-id}/runs/{run-id}/execution-metrics",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              JourneyId: {
                location: "uri",
                locationName: "journey-id"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              RunId: {
                location: "uri",
                locationName: "run-id"
              }
            },
            required: [
              "RunId",
              "ApplicationId",
              "JourneyId"
            ]
          },
          output: {
            type: "structure",
            members: {
              JourneyRunExecutionMetricsResponse: {
                type: "structure",
                members: {
                  ApplicationId: {},
                  JourneyId: {},
                  LastEvaluatedTime: {},
                  Metrics: {
                    shape: "S4"
                  },
                  RunId: {}
                },
                required: [
                  "Metrics",
                  "JourneyId",
                  "LastEvaluatedTime",
                  "RunId",
                  "ApplicationId"
                ]
              }
            },
            required: [
              "JourneyRunExecutionMetricsResponse"
            ],
            payload: "JourneyRunExecutionMetricsResponse"
          }
        },
        GetJourneyRuns: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/journeys/{journey-id}/runs",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              JourneyId: {
                location: "uri",
                locationName: "journey-id"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              Token: {
                location: "querystring",
                locationName: "token"
              }
            },
            required: [
              "ApplicationId",
              "JourneyId"
            ]
          },
          output: {
            type: "structure",
            members: {
              JourneyRunsResponse: {
                type: "structure",
                members: {
                  Item: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        CreationTime: {},
                        LastUpdateTime: {},
                        RunId: {},
                        Status: {}
                      },
                      required: [
                        "Status",
                        "LastUpdateTime",
                        "CreationTime",
                        "RunId"
                      ]
                    }
                  },
                  NextToken: {}
                },
                required: [
                  "Item"
                ]
              }
            },
            required: [
              "JourneyRunsResponse"
            ],
            payload: "JourneyRunsResponse"
          }
        },
        GetPushTemplate: {
          http: {
            method: "GET",
            requestUri: "/v1/templates/{template-name}/push",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              Version: {
                location: "querystring",
                locationName: "version"
              }
            },
            required: [
              "TemplateName"
            ]
          },
          output: {
            type: "structure",
            members: {
              PushNotificationTemplateResponse: {
                type: "structure",
                members: {
                  ADM: {
                    shape: "S3w"
                  },
                  APNS: {
                    shape: "S3x"
                  },
                  Arn: {},
                  Baidu: {
                    shape: "S3w"
                  },
                  CreationDate: {},
                  Default: {
                    shape: "S3y"
                  },
                  DefaultSubstitutions: {},
                  GCM: {
                    shape: "S3w"
                  },
                  LastModifiedDate: {},
                  RecommenderId: {},
                  tags: {
                    shape: "S4",
                    locationName: "tags"
                  },
                  TemplateDescription: {},
                  TemplateName: {},
                  TemplateType: {},
                  Version: {}
                },
                required: [
                  "LastModifiedDate",
                  "CreationDate",
                  "TemplateType",
                  "TemplateName"
                ]
              }
            },
            required: [
              "PushNotificationTemplateResponse"
            ],
            payload: "PushNotificationTemplateResponse"
          }
        },
        GetRecommenderConfiguration: {
          http: {
            method: "GET",
            requestUri: "/v1/recommenders/{recommender-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              RecommenderId: {
                location: "uri",
                locationName: "recommender-id"
              }
            },
            required: [
              "RecommenderId"
            ]
          },
          output: {
            type: "structure",
            members: {
              RecommenderConfigurationResponse: {
                shape: "S43"
              }
            },
            required: [
              "RecommenderConfigurationResponse"
            ],
            payload: "RecommenderConfigurationResponse"
          }
        },
        GetRecommenderConfigurations: {
          http: {
            method: "GET",
            requestUri: "/v1/recommenders",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              Token: {
                location: "querystring",
                locationName: "token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ListRecommenderConfigurationsResponse: {
                type: "structure",
                members: {
                  Item: {
                    type: "list",
                    member: {
                      shape: "S43"
                    }
                  },
                  NextToken: {}
                },
                required: [
                  "Item"
                ]
              }
            },
            required: [
              "ListRecommenderConfigurationsResponse"
            ],
            payload: "ListRecommenderConfigurationsResponse"
          }
        },
        GetSegment: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/segments/{segment-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              SegmentId: {
                location: "uri",
                locationName: "segment-id"
              }
            },
            required: [
              "SegmentId",
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              SegmentResponse: {
                shape: "S4g"
              }
            },
            required: [
              "SegmentResponse"
            ],
            payload: "SegmentResponse"
          }
        },
        GetSegmentExportJobs: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/segments/{segment-id}/jobs/export",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              SegmentId: {
                location: "uri",
                locationName: "segment-id"
              },
              Token: {
                location: "querystring",
                locationName: "token"
              }
            },
            required: [
              "SegmentId",
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ExportJobsResponse: {
                shape: "S8f"
              }
            },
            required: [
              "ExportJobsResponse"
            ],
            payload: "ExportJobsResponse"
          }
        },
        GetSegmentImportJobs: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/segments/{segment-id}/jobs/import",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              SegmentId: {
                location: "uri",
                locationName: "segment-id"
              },
              Token: {
                location: "querystring",
                locationName: "token"
              }
            },
            required: [
              "SegmentId",
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ImportJobsResponse: {
                shape: "S8n"
              }
            },
            required: [
              "ImportJobsResponse"
            ],
            payload: "ImportJobsResponse"
          }
        },
        GetSegmentVersion: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/segments/{segment-id}/versions/{version}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              SegmentId: {
                location: "uri",
                locationName: "segment-id"
              },
              Version: {
                location: "uri",
                locationName: "version"
              }
            },
            required: [
              "SegmentId",
              "Version",
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              SegmentResponse: {
                shape: "S4g"
              }
            },
            required: [
              "SegmentResponse"
            ],
            payload: "SegmentResponse"
          }
        },
        GetSegmentVersions: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/segments/{segment-id}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              SegmentId: {
                location: "uri",
                locationName: "segment-id"
              },
              Token: {
                location: "querystring",
                locationName: "token"
              }
            },
            required: [
              "SegmentId",
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              SegmentsResponse: {
                shape: "Sa5"
              }
            },
            required: [
              "SegmentsResponse"
            ],
            payload: "SegmentsResponse"
          }
        },
        GetSegments: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/segments",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              Token: {
                location: "querystring",
                locationName: "token"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              SegmentsResponse: {
                shape: "Sa5"
              }
            },
            required: [
              "SegmentsResponse"
            ],
            payload: "SegmentsResponse"
          }
        },
        GetSmsChannel: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/channels/sms",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              SMSChannelResponse: {
                shape: "S69"
              }
            },
            required: [
              "SMSChannelResponse"
            ],
            payload: "SMSChannelResponse"
          }
        },
        GetSmsTemplate: {
          http: {
            method: "GET",
            requestUri: "/v1/templates/{template-name}/sms",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              Version: {
                location: "querystring",
                locationName: "version"
              }
            },
            required: [
              "TemplateName"
            ]
          },
          output: {
            type: "structure",
            members: {
              SMSTemplateResponse: {
                type: "structure",
                members: {
                  Arn: {},
                  Body: {},
                  CreationDate: {},
                  DefaultSubstitutions: {},
                  LastModifiedDate: {},
                  RecommenderId: {},
                  tags: {
                    shape: "S4",
                    locationName: "tags"
                  },
                  TemplateDescription: {},
                  TemplateName: {},
                  TemplateType: {},
                  Version: {}
                },
                required: [
                  "LastModifiedDate",
                  "CreationDate",
                  "TemplateName",
                  "TemplateType"
                ]
              }
            },
            required: [
              "SMSTemplateResponse"
            ],
            payload: "SMSTemplateResponse"
          }
        },
        GetUserEndpoints: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/users/{user-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              UserId: {
                location: "uri",
                locationName: "user-id"
              }
            },
            required: [
              "ApplicationId",
              "UserId"
            ]
          },
          output: {
            type: "structure",
            members: {
              EndpointsResponse: {
                shape: "S6e"
              }
            },
            required: [
              "EndpointsResponse"
            ],
            payload: "EndpointsResponse"
          }
        },
        GetVoiceChannel: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/channels/voice",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              VoiceChannelResponse: {
                shape: "S6i"
              }
            },
            required: [
              "VoiceChannelResponse"
            ],
            payload: "VoiceChannelResponse"
          }
        },
        GetVoiceTemplate: {
          http: {
            method: "GET",
            requestUri: "/v1/templates/{template-name}/voice",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              Version: {
                location: "querystring",
                locationName: "version"
              }
            },
            required: [
              "TemplateName"
            ]
          },
          output: {
            type: "structure",
            members: {
              VoiceTemplateResponse: {
                type: "structure",
                members: {
                  Arn: {},
                  Body: {},
                  CreationDate: {},
                  DefaultSubstitutions: {},
                  LanguageCode: {},
                  LastModifiedDate: {},
                  tags: {
                    shape: "S4",
                    locationName: "tags"
                  },
                  TemplateDescription: {},
                  TemplateName: {},
                  TemplateType: {},
                  Version: {},
                  VoiceId: {}
                },
                required: [
                  "LastModifiedDate",
                  "CreationDate",
                  "TemplateName",
                  "TemplateType"
                ]
              }
            },
            required: [
              "VoiceTemplateResponse"
            ],
            payload: "VoiceTemplateResponse"
          }
        },
        ListJourneys: {
          http: {
            method: "GET",
            requestUri: "/v1/apps/{application-id}/journeys",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              Token: {
                location: "querystring",
                locationName: "token"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              JourneysResponse: {
                type: "structure",
                members: {
                  Item: {
                    type: "list",
                    member: {
                      shape: "S3t"
                    }
                  },
                  NextToken: {}
                },
                required: [
                  "Item"
                ]
              }
            },
            required: [
              "JourneysResponse"
            ],
            payload: "JourneysResponse"
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/v1/tags/{resource-arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              }
            },
            required: [
              "ResourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              TagsModel: {
                shape: "Sar"
              }
            },
            required: [
              "TagsModel"
            ],
            payload: "TagsModel"
          }
        },
        ListTemplateVersions: {
          http: {
            method: "GET",
            requestUri: "/v1/templates/{template-name}/{template-type}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              TemplateType: {
                location: "uri",
                locationName: "template-type"
              }
            },
            required: [
              "TemplateName",
              "TemplateType"
            ]
          },
          output: {
            type: "structure",
            members: {
              TemplateVersionsResponse: {
                type: "structure",
                members: {
                  Item: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        CreationDate: {},
                        DefaultSubstitutions: {},
                        LastModifiedDate: {},
                        TemplateDescription: {},
                        TemplateName: {},
                        TemplateType: {},
                        Version: {}
                      },
                      required: [
                        "LastModifiedDate",
                        "CreationDate",
                        "TemplateName",
                        "TemplateType"
                      ]
                    }
                  },
                  Message: {},
                  NextToken: {},
                  RequestID: {}
                },
                required: [
                  "Item"
                ]
              }
            },
            required: [
              "TemplateVersionsResponse"
            ],
            payload: "TemplateVersionsResponse"
          }
        },
        ListTemplates: {
          http: {
            method: "GET",
            requestUri: "/v1/templates",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              PageSize: {
                location: "querystring",
                locationName: "page-size"
              },
              Prefix: {
                location: "querystring",
                locationName: "prefix"
              },
              TemplateType: {
                location: "querystring",
                locationName: "template-type"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TemplatesResponse: {
                type: "structure",
                members: {
                  Item: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Arn: {},
                        CreationDate: {},
                        DefaultSubstitutions: {},
                        LastModifiedDate: {},
                        tags: {
                          shape: "S4",
                          locationName: "tags"
                        },
                        TemplateDescription: {},
                        TemplateName: {},
                        TemplateType: {},
                        Version: {}
                      },
                      required: [
                        "LastModifiedDate",
                        "CreationDate",
                        "TemplateName",
                        "TemplateType"
                      ]
                    }
                  },
                  NextToken: {}
                },
                required: [
                  "Item"
                ]
              }
            },
            required: [
              "TemplatesResponse"
            ],
            payload: "TemplatesResponse"
          }
        },
        PhoneNumberValidate: {
          http: {
            requestUri: "/v1/phone/number/validate",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NumberValidateRequest: {
                type: "structure",
                members: {
                  IsoCountryCode: {},
                  PhoneNumber: {}
                }
              }
            },
            required: [
              "NumberValidateRequest"
            ],
            payload: "NumberValidateRequest"
          },
          output: {
            type: "structure",
            members: {
              NumberValidateResponse: {
                type: "structure",
                members: {
                  Carrier: {},
                  City: {},
                  CleansedPhoneNumberE164: {},
                  CleansedPhoneNumberNational: {},
                  Country: {},
                  CountryCodeIso2: {},
                  CountryCodeNumeric: {},
                  County: {},
                  OriginalCountryCodeIso2: {},
                  OriginalPhoneNumber: {},
                  PhoneType: {},
                  PhoneTypeCode: {
                    type: "integer"
                  },
                  Timezone: {},
                  ZipCode: {}
                }
              }
            },
            required: [
              "NumberValidateResponse"
            ],
            payload: "NumberValidateResponse"
          }
        },
        PutEventStream: {
          http: {
            requestUri: "/v1/apps/{application-id}/eventstream",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              WriteEventStream: {
                type: "structure",
                members: {
                  DestinationStreamArn: {},
                  RoleArn: {}
                },
                required: [
                  "RoleArn",
                  "DestinationStreamArn"
                ]
              }
            },
            required: [
              "ApplicationId",
              "WriteEventStream"
            ],
            payload: "WriteEventStream"
          },
          output: {
            type: "structure",
            members: {
              EventStream: {
                shape: "S5t"
              }
            },
            required: [
              "EventStream"
            ],
            payload: "EventStream"
          }
        },
        PutEvents: {
          http: {
            requestUri: "/v1/apps/{application-id}/events",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              EventsRequest: {
                type: "structure",
                members: {
                  BatchItem: {
                    type: "map",
                    key: {},
                    value: {
                      type: "structure",
                      members: {
                        Endpoint: {
                          type: "structure",
                          members: {
                            Address: {},
                            Attributes: {
                              shape: "S5l"
                            },
                            ChannelType: {},
                            Demographic: {
                              shape: "S5n"
                            },
                            EffectiveDate: {},
                            EndpointStatus: {},
                            Location: {
                              shape: "S5o"
                            },
                            Metrics: {
                              shape: "S5p"
                            },
                            OptOut: {},
                            RequestId: {},
                            User: {
                              shape: "S5q"
                            }
                          }
                        },
                        Events: {
                          type: "map",
                          key: {},
                          value: {
                            type: "structure",
                            members: {
                              AppPackageName: {},
                              AppTitle: {},
                              AppVersionCode: {},
                              Attributes: {
                                shape: "S4"
                              },
                              ClientSdkVersion: {},
                              EventType: {},
                              Metrics: {
                                shape: "S5p"
                              },
                              SdkName: {},
                              Session: {
                                type: "structure",
                                members: {
                                  Duration: {
                                    type: "integer"
                                  },
                                  Id: {},
                                  StartTimestamp: {},
                                  StopTimestamp: {}
                                },
                                required: [
                                  "StartTimestamp",
                                  "Id"
                                ]
                              },
                              Timestamp: {}
                            },
                            required: [
                              "EventType",
                              "Timestamp"
                            ]
                          }
                        }
                      },
                      required: [
                        "Endpoint",
                        "Events"
                      ]
                    }
                  }
                },
                required: [
                  "BatchItem"
                ]
              }
            },
            required: [
              "ApplicationId",
              "EventsRequest"
            ],
            payload: "EventsRequest"
          },
          output: {
            type: "structure",
            members: {
              EventsResponse: {
                type: "structure",
                members: {
                  Results: {
                    type: "map",
                    key: {},
                    value: {
                      type: "structure",
                      members: {
                        EndpointItemResponse: {
                          type: "structure",
                          members: {
                            Message: {},
                            StatusCode: {
                              type: "integer"
                            }
                          }
                        },
                        EventsItemResponse: {
                          type: "map",
                          key: {},
                          value: {
                            type: "structure",
                            members: {
                              Message: {},
                              StatusCode: {
                                type: "integer"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            required: [
              "EventsResponse"
            ],
            payload: "EventsResponse"
          }
        },
        RemoveAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/attributes/{attribute-type}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              AttributeType: {
                location: "uri",
                locationName: "attribute-type"
              },
              UpdateAttributesRequest: {
                type: "structure",
                members: {
                  Blacklist: {
                    shape: "S14"
                  }
                }
              }
            },
            required: [
              "AttributeType",
              "ApplicationId",
              "UpdateAttributesRequest"
            ],
            payload: "UpdateAttributesRequest"
          },
          output: {
            type: "structure",
            members: {
              AttributesResource: {
                type: "structure",
                members: {
                  ApplicationId: {},
                  AttributeType: {},
                  Attributes: {
                    shape: "S14"
                  }
                },
                required: [
                  "AttributeType",
                  "ApplicationId"
                ]
              }
            },
            required: [
              "AttributesResource"
            ],
            payload: "AttributesResource"
          }
        },
        SendMessages: {
          http: {
            requestUri: "/v1/apps/{application-id}/messages",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              MessageRequest: {
                type: "structure",
                members: {
                  Addresses: {
                    type: "map",
                    key: {},
                    value: {
                      type: "structure",
                      members: {
                        BodyOverride: {},
                        ChannelType: {},
                        Context: {
                          shape: "S4"
                        },
                        RawContent: {},
                        Substitutions: {
                          shape: "S5l"
                        },
                        TitleOverride: {}
                      }
                    }
                  },
                  Context: {
                    shape: "S4"
                  },
                  Endpoints: {
                    shape: "Sbw"
                  },
                  MessageConfiguration: {
                    shape: "Sby"
                  },
                  TemplateConfiguration: {
                    shape: "S1d"
                  },
                  TraceId: {}
                },
                required: [
                  "MessageConfiguration"
                ]
              }
            },
            required: [
              "ApplicationId",
              "MessageRequest"
            ],
            payload: "MessageRequest"
          },
          output: {
            type: "structure",
            members: {
              MessageResponse: {
                shape: "Scd"
              }
            },
            required: [
              "MessageResponse"
            ],
            payload: "MessageResponse"
          }
        },
        SendOTPMessage: {
          http: {
            requestUri: "/v1/apps/{application-id}/otp",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              SendOTPMessageRequestParameters: {
                type: "structure",
                members: {
                  AllowedAttempts: {
                    type: "integer"
                  },
                  BrandName: {},
                  Channel: {},
                  CodeLength: {
                    type: "integer"
                  },
                  DestinationIdentity: {},
                  EntityId: {},
                  Language: {},
                  OriginationIdentity: {},
                  ReferenceId: {},
                  TemplateId: {},
                  ValidityPeriod: {
                    type: "integer"
                  }
                },
                required: [
                  "BrandName",
                  "ReferenceId",
                  "Channel",
                  "DestinationIdentity",
                  "OriginationIdentity"
                ]
              }
            },
            required: [
              "ApplicationId",
              "SendOTPMessageRequestParameters"
            ],
            payload: "SendOTPMessageRequestParameters"
          },
          output: {
            type: "structure",
            members: {
              MessageResponse: {
                shape: "Scd"
              }
            },
            required: [
              "MessageResponse"
            ],
            payload: "MessageResponse"
          }
        },
        SendUsersMessages: {
          http: {
            requestUri: "/v1/apps/{application-id}/users-messages",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              SendUsersMessageRequest: {
                type: "structure",
                members: {
                  Context: {
                    shape: "S4"
                  },
                  MessageConfiguration: {
                    shape: "Sby"
                  },
                  TemplateConfiguration: {
                    shape: "S1d"
                  },
                  TraceId: {},
                  Users: {
                    shape: "Sbw"
                  }
                },
                required: [
                  "MessageConfiguration",
                  "Users"
                ]
              }
            },
            required: [
              "ApplicationId",
              "SendUsersMessageRequest"
            ],
            payload: "SendUsersMessageRequest"
          },
          output: {
            type: "structure",
            members: {
              SendUsersMessageResponse: {
                type: "structure",
                members: {
                  ApplicationId: {},
                  RequestId: {},
                  Result: {
                    type: "map",
                    key: {},
                    value: {
                      shape: "Sce"
                    }
                  }
                },
                required: [
                  "ApplicationId"
                ]
              }
            },
            required: [
              "SendUsersMessageResponse"
            ],
            payload: "SendUsersMessageResponse"
          }
        },
        TagResource: {
          http: {
            requestUri: "/v1/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              TagsModel: {
                shape: "Sar"
              }
            },
            required: [
              "ResourceArn",
              "TagsModel"
            ],
            payload: "TagsModel"
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/v1/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              TagKeys: {
                shape: "S14",
                location: "querystring",
                locationName: "tagKeys"
              }
            },
            required: [
              "TagKeys",
              "ResourceArn"
            ]
          }
        },
        UpdateAdmChannel: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/channels/adm",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ADMChannelRequest: {
                type: "structure",
                members: {
                  ClientId: {},
                  ClientSecret: {},
                  Enabled: {
                    type: "boolean"
                  }
                },
                required: [
                  "ClientSecret",
                  "ClientId"
                ]
              },
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId",
              "ADMChannelRequest"
            ],
            payload: "ADMChannelRequest"
          },
          output: {
            type: "structure",
            members: {
              ADMChannelResponse: {
                shape: "S4s"
              }
            },
            required: [
              "ADMChannelResponse"
            ],
            payload: "ADMChannelResponse"
          }
        },
        UpdateApnsChannel: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/channels/apns",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              APNSChannelRequest: {
                type: "structure",
                members: {
                  BundleId: {},
                  Certificate: {},
                  DefaultAuthenticationMethod: {},
                  Enabled: {
                    type: "boolean"
                  },
                  PrivateKey: {},
                  TeamId: {},
                  TokenKey: {},
                  TokenKeyId: {}
                }
              },
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId",
              "APNSChannelRequest"
            ],
            payload: "APNSChannelRequest"
          },
          output: {
            type: "structure",
            members: {
              APNSChannelResponse: {
                shape: "S4v"
              }
            },
            required: [
              "APNSChannelResponse"
            ],
            payload: "APNSChannelResponse"
          }
        },
        UpdateApnsSandboxChannel: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/channels/apns_sandbox",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              APNSSandboxChannelRequest: {
                type: "structure",
                members: {
                  BundleId: {},
                  Certificate: {},
                  DefaultAuthenticationMethod: {},
                  Enabled: {
                    type: "boolean"
                  },
                  PrivateKey: {},
                  TeamId: {},
                  TokenKey: {},
                  TokenKeyId: {}
                }
              },
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId",
              "APNSSandboxChannelRequest"
            ],
            payload: "APNSSandboxChannelRequest"
          },
          output: {
            type: "structure",
            members: {
              APNSSandboxChannelResponse: {
                shape: "S4y"
              }
            },
            required: [
              "APNSSandboxChannelResponse"
            ],
            payload: "APNSSandboxChannelResponse"
          }
        },
        UpdateApnsVoipChannel: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/channels/apns_voip",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              APNSVoipChannelRequest: {
                type: "structure",
                members: {
                  BundleId: {},
                  Certificate: {},
                  DefaultAuthenticationMethod: {},
                  Enabled: {
                    type: "boolean"
                  },
                  PrivateKey: {},
                  TeamId: {},
                  TokenKey: {},
                  TokenKeyId: {}
                }
              },
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId",
              "APNSVoipChannelRequest"
            ],
            payload: "APNSVoipChannelRequest"
          },
          output: {
            type: "structure",
            members: {
              APNSVoipChannelResponse: {
                shape: "S51"
              }
            },
            required: [
              "APNSVoipChannelResponse"
            ],
            payload: "APNSVoipChannelResponse"
          }
        },
        UpdateApnsVoipSandboxChannel: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/channels/apns_voip_sandbox",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              APNSVoipSandboxChannelRequest: {
                type: "structure",
                members: {
                  BundleId: {},
                  Certificate: {},
                  DefaultAuthenticationMethod: {},
                  Enabled: {
                    type: "boolean"
                  },
                  PrivateKey: {},
                  TeamId: {},
                  TokenKey: {},
                  TokenKeyId: {}
                }
              },
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              }
            },
            required: [
              "ApplicationId",
              "APNSVoipSandboxChannelRequest"
            ],
            payload: "APNSVoipSandboxChannelRequest"
          },
          output: {
            type: "structure",
            members: {
              APNSVoipSandboxChannelResponse: {
                shape: "S54"
              }
            },
            required: [
              "APNSVoipSandboxChannelResponse"
            ],
            payload: "APNSVoipSandboxChannelResponse"
          }
        },
        UpdateApplicationSettings: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/settings",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              WriteApplicationSettingsRequest: {
                type: "structure",
                members: {
                  CampaignHook: {
                    shape: "S1f"
                  },
                  CloudWatchMetricsEnabled: {
                    type: "boolean"
                  },
                  EventTaggingEnabled: {
                    type: "boolean"
                  },
                  Limits: {
                    shape: "S1h"
                  },
                  QuietTime: {
                    shape: "S1c"
                  }
                }
              }
            },
            required: [
              "ApplicationId",
              "WriteApplicationSettingsRequest"
            ],
            payload: "WriteApplicationSettingsRequest"
          },
          output: {
            type: "structure",
            members: {
              ApplicationSettingsResource: {
                shape: "S77"
              }
            },
            required: [
              "ApplicationSettingsResource"
            ],
            payload: "ApplicationSettingsResource"
          }
        },
        UpdateBaiduChannel: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/channels/baidu",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              BaiduChannelRequest: {
                type: "structure",
                members: {
                  ApiKey: {},
                  Enabled: {
                    type: "boolean"
                  },
                  SecretKey: {}
                },
                required: [
                  "SecretKey",
                  "ApiKey"
                ]
              }
            },
            required: [
              "ApplicationId",
              "BaiduChannelRequest"
            ],
            payload: "BaiduChannelRequest"
          },
          output: {
            type: "structure",
            members: {
              BaiduChannelResponse: {
                shape: "S59"
              }
            },
            required: [
              "BaiduChannelResponse"
            ],
            payload: "BaiduChannelResponse"
          }
        },
        UpdateCampaign: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/campaigns/{campaign-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              CampaignId: {
                location: "uri",
                locationName: "campaign-id"
              },
              WriteCampaignRequest: {
                shape: "S8"
              }
            },
            required: [
              "CampaignId",
              "ApplicationId",
              "WriteCampaignRequest"
            ],
            payload: "WriteCampaignRequest"
          },
          output: {
            type: "structure",
            members: {
              CampaignResponse: {
                shape: "S1j"
              }
            },
            required: [
              "CampaignResponse"
            ],
            payload: "CampaignResponse"
          }
        },
        UpdateEmailChannel: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/channels/email",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              EmailChannelRequest: {
                type: "structure",
                members: {
                  ConfigurationSet: {},
                  Enabled: {
                    type: "boolean"
                  },
                  FromAddress: {},
                  Identity: {},
                  RoleArn: {}
                },
                required: [
                  "FromAddress",
                  "Identity"
                ]
              }
            },
            required: [
              "ApplicationId",
              "EmailChannelRequest"
            ],
            payload: "EmailChannelRequest"
          },
          output: {
            type: "structure",
            members: {
              EmailChannelResponse: {
                shape: "S5e"
              }
            },
            required: [
              "EmailChannelResponse"
            ],
            payload: "EmailChannelResponse"
          }
        },
        UpdateEmailTemplate: {
          http: {
            method: "PUT",
            requestUri: "/v1/templates/{template-name}/email",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              CreateNewVersion: {
                location: "querystring",
                locationName: "create-new-version",
                type: "boolean"
              },
              EmailTemplateRequest: {
                shape: "S1p"
              },
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              Version: {
                location: "querystring",
                locationName: "version"
              }
            },
            required: [
              "TemplateName",
              "EmailTemplateRequest"
            ],
            payload: "EmailTemplateRequest"
          },
          output: {
            type: "structure",
            members: {
              MessageBody: {
                shape: "S5h"
              }
            },
            required: [
              "MessageBody"
            ],
            payload: "MessageBody"
          }
        },
        UpdateEndpoint: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/endpoints/{endpoint-id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              EndpointId: {
                location: "uri",
                locationName: "endpoint-id"
              },
              EndpointRequest: {
                type: "structure",
                members: {
                  Address: {},
                  Attributes: {
                    shape: "S5l"
                  },
                  ChannelType: {},
                  Demographic: {
                    shape: "S5n"
                  },
                  EffectiveDate: {},
                  EndpointStatus: {},
                  Location: {
                    shape: "S5o"
                  },
                  Metrics: {
                    shape: "S5p"
                  },
                  OptOut: {},
                  RequestId: {},
                  User: {
                    shape: "S5q"
                  }
                }
              }
            },
            required: [
              "ApplicationId",
              "EndpointId",
              "EndpointRequest"
            ],
            payload: "EndpointRequest"
          },
          output: {
            type: "structure",
            members: {
              MessageBody: {
                shape: "S5h"
              }
            },
            required: [
              "MessageBody"
            ],
            payload: "MessageBody"
          }
        },
        UpdateEndpointsBatch: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/endpoints",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              EndpointBatchRequest: {
                type: "structure",
                members: {
                  Item: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Address: {},
                        Attributes: {
                          shape: "S5l"
                        },
                        ChannelType: {},
                        Demographic: {
                          shape: "S5n"
                        },
                        EffectiveDate: {},
                        EndpointStatus: {},
                        Id: {},
                        Location: {
                          shape: "S5o"
                        },
                        Metrics: {
                          shape: "S5p"
                        },
                        OptOut: {},
                        RequestId: {},
                        User: {
                          shape: "S5q"
                        }
                      }
                    }
                  }
                },
                required: [
                  "Item"
                ]
              }
            },
            required: [
              "ApplicationId",
              "EndpointBatchRequest"
            ],
            payload: "EndpointBatchRequest"
          },
          output: {
            type: "structure",
            members: {
              MessageBody: {
                shape: "S5h"
              }
            },
            required: [
              "MessageBody"
            ],
            payload: "MessageBody"
          }
        },
        UpdateGcmChannel: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/channels/gcm",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              GCMChannelRequest: {
                type: "structure",
                members: {
                  ApiKey: {},
                  Enabled: {
                    type: "boolean"
                  }
                },
                required: [
                  "ApiKey"
                ]
              }
            },
            required: [
              "ApplicationId",
              "GCMChannelRequest"
            ],
            payload: "GCMChannelRequest"
          },
          output: {
            type: "structure",
            members: {
              GCMChannelResponse: {
                shape: "S5w"
              }
            },
            required: [
              "GCMChannelResponse"
            ],
            payload: "GCMChannelResponse"
          }
        },
        UpdateInAppTemplate: {
          http: {
            method: "PUT",
            requestUri: "/v1/templates/{template-name}/inapp",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              CreateNewVersion: {
                location: "querystring",
                locationName: "create-new-version",
                type: "boolean"
              },
              InAppTemplateRequest: {
                shape: "S25"
              },
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              Version: {
                location: "querystring",
                locationName: "version"
              }
            },
            required: [
              "TemplateName",
              "InAppTemplateRequest"
            ],
            payload: "InAppTemplateRequest"
          },
          output: {
            type: "structure",
            members: {
              MessageBody: {
                shape: "S5h"
              }
            },
            required: [
              "MessageBody"
            ],
            payload: "MessageBody"
          }
        },
        UpdateJourney: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/journeys/{journey-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              JourneyId: {
                location: "uri",
                locationName: "journey-id"
              },
              WriteJourneyRequest: {
                shape: "S29"
              }
            },
            required: [
              "JourneyId",
              "ApplicationId",
              "WriteJourneyRequest"
            ],
            payload: "WriteJourneyRequest"
          },
          output: {
            type: "structure",
            members: {
              JourneyResponse: {
                shape: "S3t"
              }
            },
            required: [
              "JourneyResponse"
            ],
            payload: "JourneyResponse"
          }
        },
        UpdateJourneyState: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/journeys/{journey-id}/state",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              JourneyId: {
                location: "uri",
                locationName: "journey-id"
              },
              JourneyStateRequest: {
                type: "structure",
                members: {
                  State: {}
                }
              }
            },
            required: [
              "JourneyId",
              "ApplicationId",
              "JourneyStateRequest"
            ],
            payload: "JourneyStateRequest"
          },
          output: {
            type: "structure",
            members: {
              JourneyResponse: {
                shape: "S3t"
              }
            },
            required: [
              "JourneyResponse"
            ],
            payload: "JourneyResponse"
          }
        },
        UpdatePushTemplate: {
          http: {
            method: "PUT",
            requestUri: "/v1/templates/{template-name}/push",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              CreateNewVersion: {
                location: "querystring",
                locationName: "create-new-version",
                type: "boolean"
              },
              PushNotificationTemplateRequest: {
                shape: "S3v"
              },
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              Version: {
                location: "querystring",
                locationName: "version"
              }
            },
            required: [
              "TemplateName",
              "PushNotificationTemplateRequest"
            ],
            payload: "PushNotificationTemplateRequest"
          },
          output: {
            type: "structure",
            members: {
              MessageBody: {
                shape: "S5h"
              }
            },
            required: [
              "MessageBody"
            ],
            payload: "MessageBody"
          }
        },
        UpdateRecommenderConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/v1/recommenders/{recommender-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              RecommenderId: {
                location: "uri",
                locationName: "recommender-id"
              },
              UpdateRecommenderConfiguration: {
                type: "structure",
                members: {
                  Attributes: {
                    shape: "S4"
                  },
                  Description: {},
                  Name: {},
                  RecommendationProviderIdType: {},
                  RecommendationProviderRoleArn: {},
                  RecommendationProviderUri: {},
                  RecommendationTransformerUri: {},
                  RecommendationsDisplayName: {},
                  RecommendationsPerMessage: {
                    type: "integer"
                  }
                },
                required: [
                  "RecommendationProviderUri",
                  "RecommendationProviderRoleArn"
                ]
              }
            },
            required: [
              "RecommenderId",
              "UpdateRecommenderConfiguration"
            ],
            payload: "UpdateRecommenderConfiguration"
          },
          output: {
            type: "structure",
            members: {
              RecommenderConfigurationResponse: {
                shape: "S43"
              }
            },
            required: [
              "RecommenderConfigurationResponse"
            ],
            payload: "RecommenderConfigurationResponse"
          }
        },
        UpdateSegment: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/segments/{segment-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              SegmentId: {
                location: "uri",
                locationName: "segment-id"
              },
              WriteSegmentRequest: {
                shape: "S45"
              }
            },
            required: [
              "SegmentId",
              "ApplicationId",
              "WriteSegmentRequest"
            ],
            payload: "WriteSegmentRequest"
          },
          output: {
            type: "structure",
            members: {
              SegmentResponse: {
                shape: "S4g"
              }
            },
            required: [
              "SegmentResponse"
            ],
            payload: "SegmentResponse"
          }
        },
        UpdateSmsChannel: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/channels/sms",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              SMSChannelRequest: {
                type: "structure",
                members: {
                  Enabled: {
                    type: "boolean"
                  },
                  SenderId: {},
                  ShortCode: {}
                }
              }
            },
            required: [
              "ApplicationId",
              "SMSChannelRequest"
            ],
            payload: "SMSChannelRequest"
          },
          output: {
            type: "structure",
            members: {
              SMSChannelResponse: {
                shape: "S69"
              }
            },
            required: [
              "SMSChannelResponse"
            ],
            payload: "SMSChannelResponse"
          }
        },
        UpdateSmsTemplate: {
          http: {
            method: "PUT",
            requestUri: "/v1/templates/{template-name}/sms",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              CreateNewVersion: {
                location: "querystring",
                locationName: "create-new-version",
                type: "boolean"
              },
              SMSTemplateRequest: {
                shape: "S4l"
              },
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              Version: {
                location: "querystring",
                locationName: "version"
              }
            },
            required: [
              "TemplateName",
              "SMSTemplateRequest"
            ],
            payload: "SMSTemplateRequest"
          },
          output: {
            type: "structure",
            members: {
              MessageBody: {
                shape: "S5h"
              }
            },
            required: [
              "MessageBody"
            ],
            payload: "MessageBody"
          }
        },
        UpdateTemplateActiveVersion: {
          http: {
            method: "PUT",
            requestUri: "/v1/templates/{template-name}/{template-type}/active-version",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              TemplateActiveVersionRequest: {
                type: "structure",
                members: {
                  Version: {}
                }
              },
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              TemplateType: {
                location: "uri",
                locationName: "template-type"
              }
            },
            required: [
              "TemplateName",
              "TemplateType",
              "TemplateActiveVersionRequest"
            ],
            payload: "TemplateActiveVersionRequest"
          },
          output: {
            type: "structure",
            members: {
              MessageBody: {
                shape: "S5h"
              }
            },
            required: [
              "MessageBody"
            ],
            payload: "MessageBody"
          }
        },
        UpdateVoiceChannel: {
          http: {
            method: "PUT",
            requestUri: "/v1/apps/{application-id}/channels/voice",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              VoiceChannelRequest: {
                type: "structure",
                members: {
                  Enabled: {
                    type: "boolean"
                  }
                }
              }
            },
            required: [
              "ApplicationId",
              "VoiceChannelRequest"
            ],
            payload: "VoiceChannelRequest"
          },
          output: {
            type: "structure",
            members: {
              VoiceChannelResponse: {
                shape: "S6i"
              }
            },
            required: [
              "VoiceChannelResponse"
            ],
            payload: "VoiceChannelResponse"
          }
        },
        UpdateVoiceTemplate: {
          http: {
            method: "PUT",
            requestUri: "/v1/templates/{template-name}/voice",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              CreateNewVersion: {
                location: "querystring",
                locationName: "create-new-version",
                type: "boolean"
              },
              TemplateName: {
                location: "uri",
                locationName: "template-name"
              },
              Version: {
                location: "querystring",
                locationName: "version"
              },
              VoiceTemplateRequest: {
                shape: "S4o"
              }
            },
            required: [
              "TemplateName",
              "VoiceTemplateRequest"
            ],
            payload: "VoiceTemplateRequest"
          },
          output: {
            type: "structure",
            members: {
              MessageBody: {
                shape: "S5h"
              }
            },
            required: [
              "MessageBody"
            ],
            payload: "MessageBody"
          }
        },
        VerifyOTPMessage: {
          http: {
            requestUri: "/v1/apps/{application-id}/verify-otp",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "application-id"
              },
              VerifyOTPMessageRequestParameters: {
                type: "structure",
                members: {
                  DestinationIdentity: {},
                  Otp: {},
                  ReferenceId: {}
                },
                required: [
                  "ReferenceId",
                  "Otp",
                  "DestinationIdentity"
                ]
              }
            },
            required: [
              "ApplicationId",
              "VerifyOTPMessageRequestParameters"
            ],
            payload: "VerifyOTPMessageRequestParameters"
          },
          output: {
            type: "structure",
            members: {
              VerificationResponse: {
                type: "structure",
                members: {
                  Valid: {
                    type: "boolean"
                  }
                }
              }
            },
            required: [
              "VerificationResponse"
            ],
            payload: "VerificationResponse"
          }
        }
      },
      shapes: {
        S4: {
          type: "map",
          key: {},
          value: {}
        },
        S6: {
          type: "structure",
          members: {
            Arn: {},
            Id: {},
            Name: {},
            tags: {
              shape: "S4",
              locationName: "tags"
            },
            CreationDate: {}
          },
          required: [
            "Id",
            "Arn",
            "Name"
          ]
        },
        S8: {
          type: "structure",
          members: {
            AdditionalTreatments: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  CustomDeliveryConfiguration: {
                    shape: "Sb"
                  },
                  MessageConfiguration: {
                    shape: "Se"
                  },
                  Schedule: {
                    shape: "Sy"
                  },
                  SizePercent: {
                    type: "integer"
                  },
                  TemplateConfiguration: {
                    shape: "S1d"
                  },
                  TreatmentDescription: {},
                  TreatmentName: {}
                },
                required: [
                  "SizePercent"
                ]
              }
            },
            CustomDeliveryConfiguration: {
              shape: "Sb"
            },
            Description: {},
            HoldoutPercent: {
              type: "integer"
            },
            Hook: {
              shape: "S1f"
            },
            IsPaused: {
              type: "boolean"
            },
            Limits: {
              shape: "S1h"
            },
            MessageConfiguration: {
              shape: "Se"
            },
            Name: {},
            Schedule: {
              shape: "Sy"
            },
            SegmentId: {},
            SegmentVersion: {
              type: "integer"
            },
            tags: {
              shape: "S4",
              locationName: "tags"
            },
            TemplateConfiguration: {
              shape: "S1d"
            },
            TreatmentDescription: {},
            TreatmentName: {},
            Priority: {
              type: "integer"
            }
          }
        },
        Sb: {
          type: "structure",
          members: {
            DeliveryUri: {},
            EndpointTypes: {
              shape: "Sc"
            }
          },
          required: [
            "DeliveryUri"
          ]
        },
        Sc: {
          type: "list",
          member: {}
        },
        Se: {
          type: "structure",
          members: {
            ADMMessage: {
              shape: "Sf"
            },
            APNSMessage: {
              shape: "Sf"
            },
            BaiduMessage: {
              shape: "Sf"
            },
            CustomMessage: {
              type: "structure",
              members: {
                Data: {}
              }
            },
            DefaultMessage: {
              shape: "Sf"
            },
            EmailMessage: {
              type: "structure",
              members: {
                Body: {},
                FromAddress: {},
                HtmlBody: {},
                Title: {}
              }
            },
            GCMMessage: {
              shape: "Sf"
            },
            SMSMessage: {
              type: "structure",
              members: {
                Body: {},
                MessageType: {},
                OriginationNumber: {},
                SenderId: {},
                EntityId: {},
                TemplateId: {}
              }
            },
            InAppMessage: {
              type: "structure",
              members: {
                Body: {},
                Content: {
                  shape: "So"
                },
                CustomConfig: {
                  shape: "S4"
                },
                Layout: {}
              }
            }
          }
        },
        Sf: {
          type: "structure",
          members: {
            Action: {},
            Body: {},
            ImageIconUrl: {},
            ImageSmallIconUrl: {},
            ImageUrl: {},
            JsonBody: {},
            MediaUrl: {},
            RawContent: {},
            SilentPush: {
              type: "boolean"
            },
            TimeToLive: {
              type: "integer"
            },
            Title: {},
            Url: {}
          }
        },
        So: {
          type: "list",
          member: {
            type: "structure",
            members: {
              BackgroundColor: {},
              BodyConfig: {
                type: "structure",
                members: {
                  Alignment: {},
                  Body: {},
                  TextColor: {}
                },
                required: [
                  "Alignment",
                  "TextColor",
                  "Body"
                ]
              },
              HeaderConfig: {
                type: "structure",
                members: {
                  Alignment: {},
                  Header: {},
                  TextColor: {}
                },
                required: [
                  "Alignment",
                  "Header",
                  "TextColor"
                ]
              },
              ImageUrl: {},
              PrimaryBtn: {
                shape: "St"
              },
              SecondaryBtn: {
                shape: "St"
              }
            }
          }
        },
        St: {
          type: "structure",
          members: {
            Android: {
              shape: "Su"
            },
            DefaultConfig: {
              type: "structure",
              members: {
                BackgroundColor: {},
                BorderRadius: {
                  type: "integer"
                },
                ButtonAction: {},
                Link: {},
                Text: {},
                TextColor: {}
              },
              required: [
                "ButtonAction",
                "Text"
              ]
            },
            IOS: {
              shape: "Su"
            },
            Web: {
              shape: "Su"
            }
          }
        },
        Su: {
          type: "structure",
          members: {
            ButtonAction: {},
            Link: {}
          },
          required: [
            "ButtonAction"
          ]
        },
        Sy: {
          type: "structure",
          members: {
            EndTime: {},
            EventFilter: {
              shape: "Sz"
            },
            Frequency: {},
            IsLocalTime: {
              type: "boolean"
            },
            QuietTime: {
              shape: "S1c"
            },
            StartTime: {},
            Timezone: {}
          },
          required: [
            "StartTime"
          ]
        },
        Sz: {
          type: "structure",
          members: {
            Dimensions: {
              shape: "S10"
            },
            FilterType: {}
          },
          required: [
            "FilterType",
            "Dimensions"
          ]
        },
        S10: {
          type: "structure",
          members: {
            Attributes: {
              shape: "S11"
            },
            EventType: {
              shape: "S15"
            },
            Metrics: {
              shape: "S17"
            }
          }
        },
        S11: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              AttributeType: {},
              Values: {
                shape: "S14"
              }
            },
            required: [
              "Values"
            ]
          }
        },
        S14: {
          type: "list",
          member: {}
        },
        S15: {
          type: "structure",
          members: {
            DimensionType: {},
            Values: {
              shape: "S14"
            }
          },
          required: [
            "Values"
          ]
        },
        S17: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              ComparisonOperator: {},
              Value: {
                type: "double"
              }
            },
            required: [
              "ComparisonOperator",
              "Value"
            ]
          }
        },
        S1c: {
          type: "structure",
          members: {
            End: {},
            Start: {}
          }
        },
        S1d: {
          type: "structure",
          members: {
            EmailTemplate: {
              shape: "S1e"
            },
            PushTemplate: {
              shape: "S1e"
            },
            SMSTemplate: {
              shape: "S1e"
            },
            VoiceTemplate: {
              shape: "S1e"
            }
          }
        },
        S1e: {
          type: "structure",
          members: {
            Name: {},
            Version: {}
          }
        },
        S1f: {
          type: "structure",
          members: {
            LambdaFunctionName: {},
            Mode: {},
            WebUrl: {}
          }
        },
        S1h: {
          type: "structure",
          members: {
            Daily: {
              type: "integer"
            },
            MaximumDuration: {
              type: "integer"
            },
            MessagesPerSecond: {
              type: "integer"
            },
            Total: {
              type: "integer"
            },
            Session: {
              type: "integer"
            }
          }
        },
        S1j: {
          type: "structure",
          members: {
            AdditionalTreatments: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  CustomDeliveryConfiguration: {
                    shape: "Sb"
                  },
                  Id: {},
                  MessageConfiguration: {
                    shape: "Se"
                  },
                  Schedule: {
                    shape: "Sy"
                  },
                  SizePercent: {
                    type: "integer"
                  },
                  State: {
                    shape: "S1m"
                  },
                  TemplateConfiguration: {
                    shape: "S1d"
                  },
                  TreatmentDescription: {},
                  TreatmentName: {}
                },
                required: [
                  "Id",
                  "SizePercent"
                ]
              }
            },
            ApplicationId: {},
            Arn: {},
            CreationDate: {},
            CustomDeliveryConfiguration: {
              shape: "Sb"
            },
            DefaultState: {
              shape: "S1m"
            },
            Description: {},
            HoldoutPercent: {
              type: "integer"
            },
            Hook: {
              shape: "S1f"
            },
            Id: {},
            IsPaused: {
              type: "boolean"
            },
            LastModifiedDate: {},
            Limits: {
              shape: "S1h"
            },
            MessageConfiguration: {
              shape: "Se"
            },
            Name: {},
            Schedule: {
              shape: "Sy"
            },
            SegmentId: {},
            SegmentVersion: {
              type: "integer"
            },
            State: {
              shape: "S1m"
            },
            tags: {
              shape: "S4",
              locationName: "tags"
            },
            TemplateConfiguration: {
              shape: "S1d"
            },
            TreatmentDescription: {},
            TreatmentName: {},
            Version: {
              type: "integer"
            },
            Priority: {
              type: "integer"
            }
          },
          required: [
            "LastModifiedDate",
            "CreationDate",
            "SegmentId",
            "SegmentVersion",
            "Id",
            "Arn",
            "ApplicationId"
          ]
        },
        S1m: {
          type: "structure",
          members: {
            CampaignStatus: {}
          }
        },
        S1p: {
          type: "structure",
          members: {
            DefaultSubstitutions: {},
            HtmlPart: {},
            RecommenderId: {},
            Subject: {},
            tags: {
              shape: "S4",
              locationName: "tags"
            },
            TemplateDescription: {},
            TextPart: {}
          }
        },
        S1r: {
          type: "structure",
          members: {
            Arn: {},
            Message: {},
            RequestID: {}
          }
        },
        S1v: {
          type: "structure",
          members: {
            ApplicationId: {},
            CompletedPieces: {
              type: "integer"
            },
            CompletionDate: {},
            CreationDate: {},
            Definition: {
              type: "structure",
              members: {
                RoleArn: {},
                S3UrlPrefix: {},
                SegmentId: {},
                SegmentVersion: {
                  type: "integer"
                }
              },
              required: [
                "S3UrlPrefix",
                "RoleArn"
              ]
            },
            FailedPieces: {
              type: "integer"
            },
            Failures: {
              shape: "S14"
            },
            Id: {},
            JobStatus: {},
            TotalFailures: {
              type: "integer"
            },
            TotalPieces: {
              type: "integer"
            },
            TotalProcessed: {
              type: "integer"
            },
            Type: {}
          },
          required: [
            "JobStatus",
            "CreationDate",
            "Type",
            "Definition",
            "Id",
            "ApplicationId"
          ]
        },
        S22: {
          type: "structure",
          members: {
            ApplicationId: {},
            CompletedPieces: {
              type: "integer"
            },
            CompletionDate: {},
            CreationDate: {},
            Definition: {
              type: "structure",
              members: {
                DefineSegment: {
                  type: "boolean"
                },
                ExternalId: {},
                Format: {},
                RegisterEndpoints: {
                  type: "boolean"
                },
                RoleArn: {},
                S3Url: {},
                SegmentId: {},
                SegmentName: {}
              },
              required: [
                "Format",
                "S3Url",
                "RoleArn"
              ]
            },
            FailedPieces: {
              type: "integer"
            },
            Failures: {
              shape: "S14"
            },
            Id: {},
            JobStatus: {},
            TotalFailures: {
              type: "integer"
            },
            TotalPieces: {
              type: "integer"
            },
            TotalProcessed: {
              type: "integer"
            },
            Type: {}
          },
          required: [
            "JobStatus",
            "CreationDate",
            "Type",
            "Definition",
            "Id",
            "ApplicationId"
          ]
        },
        S25: {
          type: "structure",
          members: {
            Content: {
              shape: "So"
            },
            CustomConfig: {
              shape: "S4"
            },
            Layout: {},
            tags: {
              shape: "S4",
              locationName: "tags"
            },
            TemplateDescription: {}
          }
        },
        S29: {
          type: "structure",
          members: {
            Activities: {
              shape: "S2a"
            },
            CreationDate: {},
            LastModifiedDate: {},
            Limits: {
              shape: "S3a"
            },
            LocalTime: {
              type: "boolean"
            },
            Name: {},
            QuietTime: {
              shape: "S1c"
            },
            RefreshFrequency: {},
            Schedule: {
              shape: "S3b"
            },
            StartActivity: {},
            StartCondition: {
              shape: "S3d"
            },
            State: {},
            WaitForQuietTime: {
              type: "boolean"
            },
            RefreshOnSegmentUpdate: {
              type: "boolean"
            },
            JourneyChannelSettings: {
              shape: "S3h"
            },
            SendingSchedule: {
              type: "boolean"
            },
            OpenHours: {
              shape: "S3i"
            },
            ClosedDays: {
              shape: "S3n"
            },
            TimezoneEstimationMethods: {
              shape: "S3q"
            }
          },
          required: [
            "Name"
          ]
        },
        S2a: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              CUSTOM: {
                type: "structure",
                members: {
                  DeliveryUri: {},
                  EndpointTypes: {
                    shape: "Sc"
                  },
                  MessageConfig: {
                    type: "structure",
                    members: {
                      Data: {}
                    }
                  },
                  NextActivity: {},
                  TemplateName: {},
                  TemplateVersion: {}
                }
              },
              ConditionalSplit: {
                type: "structure",
                members: {
                  Condition: {
                    type: "structure",
                    members: {
                      Conditions: {
                        type: "list",
                        member: {
                          shape: "S2h"
                        }
                      },
                      Operator: {}
                    }
                  },
                  EvaluationWaitTime: {
                    shape: "S2u"
                  },
                  FalseActivity: {},
                  TrueActivity: {}
                }
              },
              Description: {},
              EMAIL: {
                type: "structure",
                members: {
                  MessageConfig: {
                    type: "structure",
                    members: {
                      FromAddress: {}
                    }
                  },
                  NextActivity: {},
                  TemplateName: {},
                  TemplateVersion: {}
                }
              },
              Holdout: {
                type: "structure",
                members: {
                  NextActivity: {},
                  Percentage: {
                    type: "integer"
                  }
                },
                required: [
                  "Percentage"
                ]
              },
              MultiCondition: {
                type: "structure",
                members: {
                  Branches: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Condition: {
                          shape: "S2h"
                        },
                        NextActivity: {}
                      }
                    }
                  },
                  DefaultActivity: {},
                  EvaluationWaitTime: {
                    shape: "S2u"
                  }
                }
              },
              PUSH: {
                type: "structure",
                members: {
                  MessageConfig: {
                    type: "structure",
                    members: {
                      TimeToLive: {}
                    }
                  },
                  NextActivity: {},
                  TemplateName: {},
                  TemplateVersion: {}
                }
              },
              RandomSplit: {
                type: "structure",
                members: {
                  Branches: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        NextActivity: {},
                        Percentage: {
                          type: "integer"
                        }
                      }
                    }
                  }
                }
              },
              SMS: {
                type: "structure",
                members: {
                  MessageConfig: {
                    type: "structure",
                    members: {
                      MessageType: {},
                      OriginationNumber: {},
                      SenderId: {},
                      EntityId: {},
                      TemplateId: {}
                    }
                  },
                  NextActivity: {},
                  TemplateName: {},
                  TemplateVersion: {}
                }
              },
              Wait: {
                type: "structure",
                members: {
                  NextActivity: {},
                  WaitTime: {
                    shape: "S2u"
                  }
                }
              },
              ContactCenter: {
                type: "structure",
                members: {
                  NextActivity: {}
                }
              }
            }
          }
        },
        S2h: {
          type: "structure",
          members: {
            EventCondition: {
              type: "structure",
              members: {
                Dimensions: {
                  shape: "S10"
                },
                MessageActivity: {}
              }
            },
            SegmentCondition: {
              shape: "S2j"
            },
            SegmentDimensions: {
              shape: "S2k",
              locationName: "segmentDimensions"
            }
          }
        },
        S2j: {
          type: "structure",
          members: {
            SegmentId: {}
          },
          required: [
            "SegmentId"
          ]
        },
        S2k: {
          type: "structure",
          members: {
            Attributes: {
              shape: "S11"
            },
            Behavior: {
              type: "structure",
              members: {
                Recency: {
                  type: "structure",
                  members: {
                    Duration: {},
                    RecencyType: {}
                  },
                  required: [
                    "Duration",
                    "RecencyType"
                  ]
                }
              }
            },
            Demographic: {
              type: "structure",
              members: {
                AppVersion: {
                  shape: "S15"
                },
                Channel: {
                  shape: "S15"
                },
                DeviceType: {
                  shape: "S15"
                },
                Make: {
                  shape: "S15"
                },
                Model: {
                  shape: "S15"
                },
                Platform: {
                  shape: "S15"
                }
              }
            },
            Location: {
              type: "structure",
              members: {
                Country: {
                  shape: "S15"
                },
                GPSPoint: {
                  type: "structure",
                  members: {
                    Coordinates: {
                      type: "structure",
                      members: {
                        Latitude: {
                          type: "double"
                        },
                        Longitude: {
                          type: "double"
                        }
                      },
                      required: [
                        "Latitude",
                        "Longitude"
                      ]
                    },
                    RangeInKilometers: {
                      type: "double"
                    }
                  },
                  required: [
                    "Coordinates"
                  ]
                }
              }
            },
            Metrics: {
              shape: "S17"
            },
            UserAttributes: {
              shape: "S11"
            }
          }
        },
        S2u: {
          type: "structure",
          members: {
            WaitFor: {},
            WaitUntil: {}
          }
        },
        S3a: {
          type: "structure",
          members: {
            DailyCap: {
              type: "integer"
            },
            EndpointReentryCap: {
              type: "integer"
            },
            MessagesPerSecond: {
              type: "integer"
            },
            EndpointReentryInterval: {}
          }
        },
        S3b: {
          type: "structure",
          members: {
            EndTime: {
              shape: "S3c"
            },
            StartTime: {
              shape: "S3c"
            },
            Timezone: {}
          }
        },
        S3c: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S3d: {
          type: "structure",
          members: {
            Description: {},
            EventStartCondition: {
              type: "structure",
              members: {
                EventFilter: {
                  type: "structure",
                  members: {
                    Dimensions: {
                      shape: "S10"
                    },
                    FilterType: {}
                  },
                  required: [
                    "FilterType",
                    "Dimensions"
                  ]
                },
                SegmentId: {}
              }
            },
            SegmentStartCondition: {
              shape: "S2j"
            }
          }
        },
        S3h: {
          type: "structure",
          members: {
            ConnectCampaignArn: {},
            ConnectCampaignExecutionRoleArn: {}
          }
        },
        S3i: {
          type: "structure",
          members: {
            EMAIL: {
              shape: "S3j"
            },
            SMS: {
              shape: "S3j"
            },
            PUSH: {
              shape: "S3j"
            },
            VOICE: {
              shape: "S3j"
            },
            CUSTOM: {
              shape: "S3j"
            }
          }
        },
        S3j: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {
              type: "structure",
              members: {
                StartTime: {},
                EndTime: {}
              }
            }
          }
        },
        S3n: {
          type: "structure",
          members: {
            EMAIL: {
              shape: "S3o"
            },
            SMS: {
              shape: "S3o"
            },
            PUSH: {
              shape: "S3o"
            },
            VOICE: {
              shape: "S3o"
            },
            CUSTOM: {
              shape: "S3o"
            }
          }
        },
        S3o: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              StartDateTime: {},
              EndDateTime: {}
            }
          }
        },
        S3q: {
          type: "list",
          member: {}
        },
        S3t: {
          type: "structure",
          members: {
            Activities: {
              shape: "S2a"
            },
            ApplicationId: {},
            CreationDate: {},
            Id: {},
            LastModifiedDate: {},
            Limits: {
              shape: "S3a"
            },
            LocalTime: {
              type: "boolean"
            },
            Name: {},
            QuietTime: {
              shape: "S1c"
            },
            RefreshFrequency: {},
            Schedule: {
              shape: "S3b"
            },
            StartActivity: {},
            StartCondition: {
              shape: "S3d"
            },
            State: {},
            tags: {
              shape: "S4",
              locationName: "tags"
            },
            WaitForQuietTime: {
              type: "boolean"
            },
            RefreshOnSegmentUpdate: {
              type: "boolean"
            },
            JourneyChannelSettings: {
              shape: "S3h"
            },
            SendingSchedule: {
              type: "boolean"
            },
            OpenHours: {
              shape: "S3i"
            },
            ClosedDays: {
              shape: "S3n"
            },
            TimezoneEstimationMethods: {
              shape: "S3q"
            }
          },
          required: [
            "Name",
            "Id",
            "ApplicationId"
          ]
        },
        S3v: {
          type: "structure",
          members: {
            ADM: {
              shape: "S3w"
            },
            APNS: {
              shape: "S3x"
            },
            Baidu: {
              shape: "S3w"
            },
            Default: {
              shape: "S3y"
            },
            DefaultSubstitutions: {},
            GCM: {
              shape: "S3w"
            },
            RecommenderId: {},
            tags: {
              shape: "S4",
              locationName: "tags"
            },
            TemplateDescription: {}
          }
        },
        S3w: {
          type: "structure",
          members: {
            Action: {},
            Body: {},
            ImageIconUrl: {},
            ImageUrl: {},
            RawContent: {},
            SmallImageIconUrl: {},
            Sound: {},
            Title: {},
            Url: {}
          }
        },
        S3x: {
          type: "structure",
          members: {
            Action: {},
            Body: {},
            MediaUrl: {},
            RawContent: {},
            Sound: {},
            Title: {},
            Url: {}
          }
        },
        S3y: {
          type: "structure",
          members: {
            Action: {},
            Body: {},
            Sound: {},
            Title: {},
            Url: {}
          }
        },
        S43: {
          type: "structure",
          members: {
            Attributes: {
              shape: "S4"
            },
            CreationDate: {},
            Description: {},
            Id: {},
            LastModifiedDate: {},
            Name: {},
            RecommendationProviderIdType: {},
            RecommendationProviderRoleArn: {},
            RecommendationProviderUri: {},
            RecommendationTransformerUri: {},
            RecommendationsDisplayName: {},
            RecommendationsPerMessage: {
              type: "integer"
            }
          },
          required: [
            "RecommendationProviderUri",
            "LastModifiedDate",
            "CreationDate",
            "RecommendationProviderRoleArn",
            "Id"
          ]
        },
        S45: {
          type: "structure",
          members: {
            Dimensions: {
              shape: "S2k"
            },
            Name: {},
            SegmentGroups: {
              shape: "S46"
            },
            tags: {
              shape: "S4",
              locationName: "tags"
            }
          }
        },
        S46: {
          type: "structure",
          members: {
            Groups: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Dimensions: {
                    type: "list",
                    member: {
                      shape: "S2k"
                    }
                  },
                  SourceSegments: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Id: {},
                        Version: {
                          type: "integer"
                        }
                      },
                      required: [
                        "Id"
                      ]
                    }
                  },
                  SourceType: {},
                  Type: {}
                }
              }
            },
            Include: {}
          }
        },
        S4g: {
          type: "structure",
          members: {
            ApplicationId: {},
            Arn: {},
            CreationDate: {},
            Dimensions: {
              shape: "S2k"
            },
            Id: {},
            ImportDefinition: {
              type: "structure",
              members: {
                ChannelCounts: {
                  type: "map",
                  key: {},
                  value: {
                    type: "integer"
                  }
                },
                ExternalId: {},
                Format: {},
                RoleArn: {},
                S3Url: {},
                Size: {
                  type: "integer"
                }
              },
              required: [
                "Format",
                "S3Url",
                "Size",
                "ExternalId",
                "RoleArn"
              ]
            },
            LastModifiedDate: {},
            Name: {},
            SegmentGroups: {
              shape: "S46"
            },
            SegmentType: {},
            tags: {
              shape: "S4",
              locationName: "tags"
            },
            Version: {
              type: "integer"
            }
          },
          required: [
            "SegmentType",
            "CreationDate",
            "Id",
            "Arn",
            "ApplicationId"
          ]
        },
        S4l: {
          type: "structure",
          members: {
            Body: {},
            DefaultSubstitutions: {},
            RecommenderId: {},
            tags: {
              shape: "S4",
              locationName: "tags"
            },
            TemplateDescription: {}
          }
        },
        S4o: {
          type: "structure",
          members: {
            Body: {},
            DefaultSubstitutions: {},
            LanguageCode: {},
            tags: {
              shape: "S4",
              locationName: "tags"
            },
            TemplateDescription: {},
            VoiceId: {}
          }
        },
        S4s: {
          type: "structure",
          members: {
            ApplicationId: {},
            CreationDate: {},
            Enabled: {
              type: "boolean"
            },
            HasCredential: {
              type: "boolean"
            },
            Id: {},
            IsArchived: {
              type: "boolean"
            },
            LastModifiedBy: {},
            LastModifiedDate: {},
            Platform: {},
            Version: {
              type: "integer"
            }
          },
          required: [
            "Platform"
          ]
        },
        S4v: {
          type: "structure",
          members: {
            ApplicationId: {},
            CreationDate: {},
            DefaultAuthenticationMethod: {},
            Enabled: {
              type: "boolean"
            },
            HasCredential: {
              type: "boolean"
            },
            HasTokenKey: {
              type: "boolean"
            },
            Id: {},
            IsArchived: {
              type: "boolean"
            },
            LastModifiedBy: {},
            LastModifiedDate: {},
            Platform: {},
            Version: {
              type: "integer"
            }
          },
          required: [
            "Platform"
          ]
        },
        S4y: {
          type: "structure",
          members: {
            ApplicationId: {},
            CreationDate: {},
            DefaultAuthenticationMethod: {},
            Enabled: {
              type: "boolean"
            },
            HasCredential: {
              type: "boolean"
            },
            HasTokenKey: {
              type: "boolean"
            },
            Id: {},
            IsArchived: {
              type: "boolean"
            },
            LastModifiedBy: {},
            LastModifiedDate: {},
            Platform: {},
            Version: {
              type: "integer"
            }
          },
          required: [
            "Platform"
          ]
        },
        S51: {
          type: "structure",
          members: {
            ApplicationId: {},
            CreationDate: {},
            DefaultAuthenticationMethod: {},
            Enabled: {
              type: "boolean"
            },
            HasCredential: {
              type: "boolean"
            },
            HasTokenKey: {
              type: "boolean"
            },
            Id: {},
            IsArchived: {
              type: "boolean"
            },
            LastModifiedBy: {},
            LastModifiedDate: {},
            Platform: {},
            Version: {
              type: "integer"
            }
          },
          required: [
            "Platform"
          ]
        },
        S54: {
          type: "structure",
          members: {
            ApplicationId: {},
            CreationDate: {},
            DefaultAuthenticationMethod: {},
            Enabled: {
              type: "boolean"
            },
            HasCredential: {
              type: "boolean"
            },
            HasTokenKey: {
              type: "boolean"
            },
            Id: {},
            IsArchived: {
              type: "boolean"
            },
            LastModifiedBy: {},
            LastModifiedDate: {},
            Platform: {},
            Version: {
              type: "integer"
            }
          },
          required: [
            "Platform"
          ]
        },
        S59: {
          type: "structure",
          members: {
            ApplicationId: {},
            CreationDate: {},
            Credential: {},
            Enabled: {
              type: "boolean"
            },
            HasCredential: {
              type: "boolean"
            },
            Id: {},
            IsArchived: {
              type: "boolean"
            },
            LastModifiedBy: {},
            LastModifiedDate: {},
            Platform: {},
            Version: {
              type: "integer"
            }
          },
          required: [
            "Credential",
            "Platform"
          ]
        },
        S5e: {
          type: "structure",
          members: {
            ApplicationId: {},
            ConfigurationSet: {},
            CreationDate: {},
            Enabled: {
              type: "boolean"
            },
            FromAddress: {},
            HasCredential: {
              type: "boolean"
            },
            Id: {},
            Identity: {},
            IsArchived: {
              type: "boolean"
            },
            LastModifiedBy: {},
            LastModifiedDate: {},
            MessagesPerSecond: {
              type: "integer"
            },
            Platform: {},
            RoleArn: {},
            Version: {
              type: "integer"
            }
          },
          required: [
            "Platform"
          ]
        },
        S5h: {
          type: "structure",
          members: {
            Message: {},
            RequestID: {}
          }
        },
        S5k: {
          type: "structure",
          members: {
            Address: {},
            ApplicationId: {},
            Attributes: {
              shape: "S5l"
            },
            ChannelType: {},
            CohortId: {},
            CreationDate: {},
            Demographic: {
              shape: "S5n"
            },
            EffectiveDate: {},
            EndpointStatus: {},
            Id: {},
            Location: {
              shape: "S5o"
            },
            Metrics: {
              shape: "S5p"
            },
            OptOut: {},
            RequestId: {},
            User: {
              shape: "S5q"
            }
          }
        },
        S5l: {
          type: "map",
          key: {},
          value: {
            shape: "S14"
          }
        },
        S5n: {
          type: "structure",
          members: {
            AppVersion: {},
            Locale: {},
            Make: {},
            Model: {},
            ModelVersion: {},
            Platform: {},
            PlatformVersion: {},
            Timezone: {}
          }
        },
        S5o: {
          type: "structure",
          members: {
            City: {},
            Country: {},
            Latitude: {
              type: "double"
            },
            Longitude: {
              type: "double"
            },
            PostalCode: {},
            Region: {}
          }
        },
        S5p: {
          type: "map",
          key: {},
          value: {
            type: "double"
          }
        },
        S5q: {
          type: "structure",
          members: {
            UserAttributes: {
              shape: "S5l"
            },
            UserId: {}
          }
        },
        S5t: {
          type: "structure",
          members: {
            ApplicationId: {},
            DestinationStreamArn: {},
            ExternalId: {},
            LastModifiedDate: {},
            LastUpdatedBy: {},
            RoleArn: {}
          },
          required: [
            "ApplicationId",
            "RoleArn",
            "DestinationStreamArn"
          ]
        },
        S5w: {
          type: "structure",
          members: {
            ApplicationId: {},
            CreationDate: {},
            Credential: {},
            Enabled: {
              type: "boolean"
            },
            HasCredential: {
              type: "boolean"
            },
            Id: {},
            IsArchived: {
              type: "boolean"
            },
            LastModifiedBy: {},
            LastModifiedDate: {},
            Platform: {},
            Version: {
              type: "integer"
            }
          },
          required: [
            "Credential",
            "Platform"
          ]
        },
        S69: {
          type: "structure",
          members: {
            ApplicationId: {},
            CreationDate: {},
            Enabled: {
              type: "boolean"
            },
            HasCredential: {
              type: "boolean"
            },
            Id: {},
            IsArchived: {
              type: "boolean"
            },
            LastModifiedBy: {},
            LastModifiedDate: {},
            Platform: {},
            PromotionalMessagesPerSecond: {
              type: "integer"
            },
            SenderId: {},
            ShortCode: {},
            TransactionalMessagesPerSecond: {
              type: "integer"
            },
            Version: {
              type: "integer"
            }
          },
          required: [
            "Platform"
          ]
        },
        S6e: {
          type: "structure",
          members: {
            Item: {
              type: "list",
              member: {
                shape: "S5k"
              }
            }
          },
          required: [
            "Item"
          ]
        },
        S6i: {
          type: "structure",
          members: {
            ApplicationId: {},
            CreationDate: {},
            Enabled: {
              type: "boolean"
            },
            HasCredential: {
              type: "boolean"
            },
            Id: {},
            IsArchived: {
              type: "boolean"
            },
            LastModifiedBy: {},
            LastModifiedDate: {},
            Platform: {},
            Version: {
              type: "integer"
            }
          },
          required: [
            "Platform"
          ]
        },
        S70: {
          type: "structure",
          members: {
            Rows: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  GroupedBys: {
                    shape: "S73"
                  },
                  Values: {
                    shape: "S73"
                  }
                },
                required: [
                  "GroupedBys",
                  "Values"
                ]
              }
            }
          },
          required: [
            "Rows"
          ]
        },
        S73: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Type: {},
              Value: {}
            },
            required: [
              "Type",
              "Value",
              "Key"
            ]
          }
        },
        S77: {
          type: "structure",
          members: {
            ApplicationId: {},
            CampaignHook: {
              shape: "S1f"
            },
            LastModifiedDate: {},
            Limits: {
              shape: "S1h"
            },
            QuietTime: {
              shape: "S1c"
            }
          },
          required: [
            "ApplicationId"
          ]
        },
        S7s: {
          type: "structure",
          members: {
            Item: {
              type: "list",
              member: {
                shape: "S1j"
              }
            },
            NextToken: {}
          },
          required: [
            "Item"
          ]
        },
        S8f: {
          type: "structure",
          members: {
            Item: {
              type: "list",
              member: {
                shape: "S1v"
              }
            },
            NextToken: {}
          },
          required: [
            "Item"
          ]
        },
        S8n: {
          type: "structure",
          members: {
            Item: {
              type: "list",
              member: {
                shape: "S22"
              }
            },
            NextToken: {}
          },
          required: [
            "Item"
          ]
        },
        Sa5: {
          type: "structure",
          members: {
            Item: {
              type: "list",
              member: {
                shape: "S4g"
              }
            },
            NextToken: {}
          },
          required: [
            "Item"
          ]
        },
        Sar: {
          type: "structure",
          members: {
            tags: {
              shape: "S4",
              locationName: "tags"
            }
          },
          required: [
            "tags"
          ]
        },
        Sbw: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              BodyOverride: {},
              Context: {
                shape: "S4"
              },
              RawContent: {},
              Substitutions: {
                shape: "S5l"
              },
              TitleOverride: {}
            }
          }
        },
        Sby: {
          type: "structure",
          members: {
            ADMMessage: {
              type: "structure",
              members: {
                Action: {},
                Body: {},
                ConsolidationKey: {},
                Data: {
                  shape: "S4"
                },
                ExpiresAfter: {},
                IconReference: {},
                ImageIconUrl: {},
                ImageUrl: {},
                MD5: {},
                RawContent: {},
                SilentPush: {
                  type: "boolean"
                },
                SmallImageIconUrl: {},
                Sound: {},
                Substitutions: {
                  shape: "S5l"
                },
                Title: {},
                Url: {}
              }
            },
            APNSMessage: {
              type: "structure",
              members: {
                APNSPushType: {},
                Action: {},
                Badge: {
                  type: "integer"
                },
                Body: {},
                Category: {},
                CollapseId: {},
                Data: {
                  shape: "S4"
                },
                MediaUrl: {},
                PreferredAuthenticationMethod: {},
                Priority: {},
                RawContent: {},
                SilentPush: {
                  type: "boolean"
                },
                Sound: {},
                Substitutions: {
                  shape: "S5l"
                },
                ThreadId: {},
                TimeToLive: {
                  type: "integer"
                },
                Title: {},
                Url: {}
              }
            },
            BaiduMessage: {
              type: "structure",
              members: {
                Action: {},
                Body: {},
                Data: {
                  shape: "S4"
                },
                IconReference: {},
                ImageIconUrl: {},
                ImageUrl: {},
                RawContent: {},
                SilentPush: {
                  type: "boolean"
                },
                SmallImageIconUrl: {},
                Sound: {},
                Substitutions: {
                  shape: "S5l"
                },
                TimeToLive: {
                  type: "integer"
                },
                Title: {},
                Url: {}
              }
            },
            DefaultMessage: {
              type: "structure",
              members: {
                Body: {},
                Substitutions: {
                  shape: "S5l"
                }
              }
            },
            DefaultPushNotificationMessage: {
              type: "structure",
              members: {
                Action: {},
                Body: {},
                Data: {
                  shape: "S4"
                },
                SilentPush: {
                  type: "boolean"
                },
                Substitutions: {
                  shape: "S5l"
                },
                Title: {},
                Url: {}
              }
            },
            EmailMessage: {
              type: "structure",
              members: {
                Body: {},
                FeedbackForwardingAddress: {},
                FromAddress: {},
                RawEmail: {
                  type: "structure",
                  members: {
                    Data: {
                      type: "blob"
                    }
                  }
                },
                ReplyToAddresses: {
                  shape: "S14"
                },
                SimpleEmail: {
                  type: "structure",
                  members: {
                    HtmlPart: {
                      shape: "Sc8"
                    },
                    Subject: {
                      shape: "Sc8"
                    },
                    TextPart: {
                      shape: "Sc8"
                    }
                  }
                },
                Substitutions: {
                  shape: "S5l"
                }
              }
            },
            GCMMessage: {
              type: "structure",
              members: {
                Action: {},
                Body: {},
                CollapseKey: {},
                Data: {
                  shape: "S4"
                },
                IconReference: {},
                ImageIconUrl: {},
                ImageUrl: {},
                Priority: {},
                RawContent: {},
                RestrictedPackageName: {},
                SilentPush: {
                  type: "boolean"
                },
                SmallImageIconUrl: {},
                Sound: {},
                Substitutions: {
                  shape: "S5l"
                },
                TimeToLive: {
                  type: "integer"
                },
                Title: {},
                Url: {}
              }
            },
            SMSMessage: {
              type: "structure",
              members: {
                Body: {},
                Keyword: {},
                MediaUrl: {},
                MessageType: {},
                OriginationNumber: {},
                SenderId: {},
                Substitutions: {
                  shape: "S5l"
                },
                EntityId: {},
                TemplateId: {}
              }
            },
            VoiceMessage: {
              type: "structure",
              members: {
                Body: {},
                LanguageCode: {},
                OriginationNumber: {},
                Substitutions: {
                  shape: "S5l"
                },
                VoiceId: {}
              }
            }
          }
        },
        Sc8: {
          type: "structure",
          members: {
            Charset: {},
            Data: {}
          }
        },
        Scd: {
          type: "structure",
          members: {
            ApplicationId: {},
            EndpointResult: {
              shape: "Sce"
            },
            RequestId: {},
            Result: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                members: {
                  DeliveryStatus: {},
                  MessageId: {},
                  StatusCode: {
                    type: "integer"
                  },
                  StatusMessage: {},
                  UpdatedToken: {}
                },
                required: [
                  "DeliveryStatus",
                  "StatusCode"
                ]
              }
            }
          },
          required: [
            "ApplicationId"
          ]
        },
        Sce: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              Address: {},
              DeliveryStatus: {},
              MessageId: {},
              StatusCode: {
                type: "integer"
              },
              StatusMessage: {},
              UpdatedToken: {}
            },
            required: [
              "DeliveryStatus",
              "StatusCode"
            ]
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/pinpoint.js
var require_pinpoint = __commonJS({
  "node_modules/aws-sdk/clients/pinpoint.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["pinpoint"] = {};
    AWS2.Pinpoint = Service.defineService("pinpoint", ["2016-12-01"]);
    Object.defineProperty(apiLoader.services["pinpoint"], "2016-12-01", {
      get: function get() {
        var model = require_pinpoint_2016_12_01_min();
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Pinpoint;
  }
});

// node_modules/aws-sdk/lib/polly/presigner.js
var require_presigner = __commonJS({
  "node_modules/aws-sdk/lib/polly/presigner.js"() {
    var AWS2 = require_core();
    var rest = AWS2.Protocol.Rest;
    AWS2.Polly.Presigner = AWS2.util.inherit({
      /**
       * Creates a presigner object with a set of configuration options.
       *
       * @option options params [map] An optional map of parameters to bind to every
       *   request sent by this service object.
       * @option options service [AWS.Polly] An optional pre-configured instance
       *  of the AWS.Polly service object to use for requests. The object may
       *  bound parameters used by the presigner.
       * @see AWS.Polly.constructor
       */
      constructor: function Signer(options) {
        options = options || {};
        this.options = options;
        this.service = options.service;
        this.bindServiceObject(options);
        this._operations = {};
      },
      /**
       * @api private
       */
      bindServiceObject: function bindServiceObject(options) {
        options = options || {};
        if (!this.service) {
          this.service = new AWS2.Polly(options);
        } else {
          var config = AWS2.util.copy(this.service.config);
          this.service = new this.service.constructor.__super__(config);
          this.service.config.params = AWS2.util.merge(this.service.config.params || {}, options.params);
        }
      },
      /**
       * @api private
       */
      modifyInputMembers: function modifyInputMembers(input) {
        var modifiedInput = AWS2.util.copy(input);
        modifiedInput.members = AWS2.util.copy(input.members);
        AWS2.util.each(input.members, function(name, member) {
          modifiedInput.members[name] = AWS2.util.copy(member);
          if (!member.location || member.location === "body") {
            modifiedInput.members[name].location = "querystring";
            modifiedInput.members[name].locationName = name;
          }
        });
        return modifiedInput;
      },
      /**
       * @api private
       */
      convertPostToGet: function convertPostToGet(req) {
        req.httpRequest.method = "GET";
        var operation = req.service.api.operations[req.operation];
        var input = this._operations[req.operation];
        if (!input) {
          this._operations[req.operation] = input = this.modifyInputMembers(operation.input);
        }
        var uri = rest.generateURI(req.httpRequest.endpoint.path, operation.httpPath, input, req.params);
        req.httpRequest.path = uri;
        req.httpRequest.body = "";
        delete req.httpRequest.headers["Content-Length"];
        delete req.httpRequest.headers["Content-Type"];
      },
      /**
       * @overload getSynthesizeSpeechUrl(params = {}, [expires = 3600], [callback])
       *   Generate a presigned url for {AWS.Polly.synthesizeSpeech}.
       *   @note You must ensure that you have static or previously resolved
       *     credentials if you call this method synchronously (with no callback),
       *     otherwise it may not properly sign the request. If you cannot guarantee
       *     this (you are using an asynchronous credential provider, i.e., EC2
       *     IAM roles), you should always call this method with an asynchronous
       *     callback.
       *   @param params [map] parameters to pass to the operation. See the {AWS.Polly.synthesizeSpeech}
       *     operation for the expected operation parameters.
       *   @param expires [Integer] (3600) the number of seconds to expire the pre-signed URL operation in.
       *     Defaults to 1 hour.
       *   @return [string] if called synchronously (with no callback), returns the signed URL.
       *   @return [null] nothing is returned if a callback is provided.
       *   @callback callback function (err, url)
       *     If a callback is supplied, it is called when a signed URL has been generated.
       *     @param err [Error] the error object returned from the presigner.
       *     @param url [String] the signed URL.
       *   @see AWS.Polly.synthesizeSpeech
       */
      getSynthesizeSpeechUrl: function getSynthesizeSpeechUrl(params, expires, callback) {
        var self = this;
        var request = this.service.makeRequest("synthesizeSpeech", params);
        request.removeAllListeners("build");
        request.on("build", function(req) {
          self.convertPostToGet(req);
        });
        return request.presign(expires, callback);
      }
    });
  }
});

// node_modules/aws-sdk/lib/services/polly.js
var require_polly = __commonJS({
  "node_modules/aws-sdk/lib/services/polly.js"() {
    require_presigner();
  }
});

// node_modules/aws-sdk/apis/polly-2016-06-10.min.json
var require_polly_2016_06_10_min = __commonJS({
  "node_modules/aws-sdk/apis/polly-2016-06-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-06-10",
        endpointPrefix: "polly",
        protocol: "rest-json",
        serviceFullName: "Amazon Polly",
        serviceId: "Polly",
        signatureVersion: "v4",
        uid: "polly-2016-06-10"
      },
      operations: {
        DeleteLexicon: {
          http: {
            method: "DELETE",
            requestUri: "/v1/lexicons/{LexiconName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "LexiconName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeVoices: {
          http: {
            method: "GET",
            requestUri: "/v1/voices",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Engine: {
                location: "querystring",
                locationName: "Engine"
              },
              LanguageCode: {
                location: "querystring",
                locationName: "LanguageCode"
              },
              IncludeAdditionalLanguageCodes: {
                location: "querystring",
                locationName: "IncludeAdditionalLanguageCodes",
                type: "boolean"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Voices: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Gender: {},
                    Id: {},
                    LanguageCode: {},
                    LanguageName: {},
                    Name: {},
                    AdditionalLanguageCodes: {
                      type: "list",
                      member: {}
                    },
                    SupportedEngines: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetLexicon: {
          http: {
            method: "GET",
            requestUri: "/v1/lexicons/{LexiconName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "LexiconName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Lexicon: {
                type: "structure",
                members: {
                  Content: {
                    shape: "Sl"
                  },
                  Name: {}
                }
              },
              LexiconAttributes: {
                shape: "Sm"
              }
            }
          }
        },
        GetSpeechSynthesisTask: {
          http: {
            method: "GET",
            requestUri: "/v1/synthesisTasks/{TaskId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "TaskId"
            ],
            members: {
              TaskId: {
                location: "uri",
                locationName: "TaskId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SynthesisTask: {
                shape: "Sv"
              }
            }
          }
        },
        ListLexicons: {
          http: {
            method: "GET",
            requestUri: "/v1/lexicons",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Lexicons: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Attributes: {
                      shape: "Sm"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSpeechSynthesisTasks: {
          http: {
            method: "GET",
            requestUri: "/v1/synthesisTasks",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              Status: {
                location: "querystring",
                locationName: "Status"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              SynthesisTasks: {
                type: "list",
                member: {
                  shape: "Sv"
                }
              }
            }
          }
        },
        PutLexicon: {
          http: {
            method: "PUT",
            requestUri: "/v1/lexicons/{LexiconName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "Content"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "LexiconName"
              },
              Content: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartSpeechSynthesisTask: {
          http: {
            requestUri: "/v1/synthesisTasks",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "OutputFormat",
              "OutputS3BucketName",
              "Text",
              "VoiceId"
            ],
            members: {
              Engine: {},
              LanguageCode: {},
              LexiconNames: {
                shape: "S12"
              },
              OutputFormat: {},
              OutputS3BucketName: {},
              OutputS3KeyPrefix: {},
              SampleRate: {},
              SnsTopicArn: {},
              SpeechMarkTypes: {
                shape: "S15"
              },
              Text: {},
              TextType: {},
              VoiceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SynthesisTask: {
                shape: "Sv"
              }
            }
          }
        },
        SynthesizeSpeech: {
          http: {
            requestUri: "/v1/speech",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "OutputFormat",
              "Text",
              "VoiceId"
            ],
            members: {
              Engine: {},
              LanguageCode: {},
              LexiconNames: {
                shape: "S12"
              },
              OutputFormat: {},
              SampleRate: {},
              SpeechMarkTypes: {
                shape: "S15"
              },
              Text: {},
              TextType: {},
              VoiceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AudioStream: {
                type: "blob",
                streaming: true
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              RequestCharacters: {
                location: "header",
                locationName: "x-amzn-RequestCharacters",
                type: "integer"
              }
            },
            payload: "AudioStream"
          }
        }
      },
      shapes: {
        Sl: {
          type: "string",
          sensitive: true
        },
        Sm: {
          type: "structure",
          members: {
            Alphabet: {},
            LanguageCode: {},
            LastModified: {
              type: "timestamp"
            },
            LexiconArn: {},
            LexemesCount: {
              type: "integer"
            },
            Size: {
              type: "integer"
            }
          }
        },
        Sv: {
          type: "structure",
          members: {
            Engine: {},
            TaskId: {},
            TaskStatus: {},
            TaskStatusReason: {},
            OutputUri: {},
            CreationTime: {
              type: "timestamp"
            },
            RequestCharacters: {
              type: "integer"
            },
            SnsTopicArn: {},
            LexiconNames: {
              shape: "S12"
            },
            OutputFormat: {},
            SampleRate: {},
            SpeechMarkTypes: {
              shape: "S15"
            },
            TextType: {},
            VoiceId: {},
            LanguageCode: {}
          }
        },
        S12: {
          type: "list",
          member: {}
        },
        S15: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/polly-2016-06-10.paginators.json
var require_polly_2016_06_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/polly-2016-06-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListSpeechSynthesisTasks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/polly.js
var require_polly2 = __commonJS({
  "node_modules/aws-sdk/clients/polly.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["polly"] = {};
    AWS2.Polly = Service.defineService("polly", ["2016-06-10"]);
    require_polly();
    Object.defineProperty(apiLoader.services["polly"], "2016-06-10", {
      get: function get() {
        var model = require_polly_2016_06_10_min();
        model.paginators = require_polly_2016_06_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Polly;
  }
});

// node_modules/aws-sdk/lib/services/rdsutil.js
var require_rdsutil = __commonJS({
  "node_modules/aws-sdk/lib/services/rdsutil.js"(exports, module2) {
    var AWS2 = require_core();
    var rdsutil = {
      /**
        * @api private
        */
      setupRequestListeners: function setupRequestListeners(service, request, crossRegionOperations) {
        if (crossRegionOperations.indexOf(request.operation) !== -1 && request.params.SourceRegion) {
          request.params = AWS2.util.copy(request.params);
          if (request.params.PreSignedUrl || request.params.SourceRegion === service.config.region) {
            delete request.params.SourceRegion;
          } else {
            var doesParamValidation = !!service.config.paramValidation;
            if (doesParamValidation) {
              request.removeListener("validate", AWS2.EventListeners.Core.VALIDATE_PARAMETERS);
            }
            request.onAsync("validate", rdsutil.buildCrossRegionPresignedUrl);
            if (doesParamValidation) {
              request.addListener("validate", AWS2.EventListeners.Core.VALIDATE_PARAMETERS);
            }
          }
        }
      },
      /**
       * @api private
       */
      buildCrossRegionPresignedUrl: function buildCrossRegionPresignedUrl(req, done) {
        var config = AWS2.util.copy(req.service.config);
        config.region = req.params.SourceRegion;
        delete req.params.SourceRegion;
        delete config.endpoint;
        delete config.params;
        config.signatureVersion = "v4";
        var destinationRegion = req.service.config.region;
        var svc = new req.service.constructor(config);
        var newReq = svc[req.operation](AWS2.util.copy(req.params));
        newReq.on("build", function addDestinationRegionParam(request) {
          var httpRequest = request.httpRequest;
          httpRequest.params.DestinationRegion = destinationRegion;
          httpRequest.body = AWS2.util.queryParamsToString(httpRequest.params);
        });
        newReq.presign(function(err, url) {
          if (err)
            done(err);
          else {
            req.params.PreSignedUrl = url;
            done();
          }
        });
      }
    };
    module2.exports = rdsutil;
  }
});

// node_modules/aws-sdk/lib/rds/signer.js
var require_signer2 = __commonJS({
  "node_modules/aws-sdk/lib/rds/signer.js"() {
    var AWS2 = require_core();
    var service = null;
    var api = {
      signatureVersion: "v4",
      signingName: "rds-db",
      operations: {}
    };
    var requiredAuthTokenOptions = {
      region: "string",
      hostname: "string",
      port: "number",
      username: "string"
    };
    AWS2.RDS.Signer = AWS2.util.inherit({
      /**
       * Creates a signer object can be used to generate an auth token.
       *
       * @option options credentials [AWS.Credentials] the AWS credentials
       *   to sign requests with. Uses the default credential provider chain
       *   if not specified.
       * @option options hostname [String] the hostname of the database to connect to.
       * @option options port [Number] the port number the database is listening on.
       * @option options region [String] the region the database is located in.
       * @option options username [String] the username to login as.
       * @example Passing in options to constructor
       *   var signer = new AWS.RDS.Signer({
       *     credentials: new AWS.SharedIniFileCredentials({profile: 'default'}),
       *     region: 'us-east-1',
       *     hostname: 'db.us-east-1.rds.amazonaws.com',
       *     port: 8000,
       *     username: 'name'
       *   });
       */
      constructor: function Signer(options) {
        this.options = options || {};
      },
      /**
       * @api private
       * Strips the protocol from a url.
       */
      convertUrlToAuthToken: function convertUrlToAuthToken(url) {
        var protocol = "https://";
        if (url.indexOf(protocol) === 0) {
          return url.substring(protocol.length);
        }
      },
      /**
       * @overload getAuthToken(options = {}, [callback])
       *   Generate an auth token to a database.
       *   @note You must ensure that you have static or previously resolved
       *     credentials if you call this method synchronously (with no callback),
       *     otherwise it may not properly sign the request. If you cannot guarantee
       *     this (you are using an asynchronous credential provider, i.e., EC2
       *     IAM roles), you should always call this method with an asynchronous
       *     callback.
       *
       *   @param options [map] The fields to use when generating an auth token.
       *     Any options specified here will be merged on top of any options passed
       *     to AWS.RDS.Signer:
       *
       *     * **credentials** (AWS.Credentials) &mdash; the AWS credentials
       *         to sign requests with. Uses the default credential provider chain
       *         if not specified.
       *     * **hostname** (String) &mdash; the hostname of the database to connect to.
       *     * **port** (Number) &mdash; the port number the database is listening on.
       *     * **region** (String) &mdash; the region the database is located in.
       *     * **username** (String) &mdash; the username to login as.
       *   @return [String] if called synchronously (with no callback), returns the
       *     auth token.
       *   @return [null] nothing is returned if a callback is provided.
       *   @callback callback function (err, token)
       *     If a callback is supplied, it is called when an auth token has been generated.
       *     @param err [Error] the error object returned from the signer.
       *     @param token [String] the auth token.
       *
       *   @example Generating an auth token synchronously
       *     var signer = new AWS.RDS.Signer({
       *       // configure options
       *       region: 'us-east-1',
       *       username: 'default',
       *       hostname: 'db.us-east-1.amazonaws.com',
       *       port: 8000
       *     });
       *     var token = signer.getAuthToken({
       *       // these options are merged with those defined when creating the signer, overriding in the case of a duplicate option
       *       // credentials are not specified here or when creating the signer, so default credential provider will be used
       *       username: 'test' // overriding username
       *     });
       *   @example Generating an auth token asynchronously
       *     var signer = new AWS.RDS.Signer({
       *       // configure options
       *       region: 'us-east-1',
       *       username: 'default',
       *       hostname: 'db.us-east-1.amazonaws.com',
       *       port: 8000
       *     });
       *     signer.getAuthToken({
       *       // these options are merged with those defined when creating the signer, overriding in the case of a duplicate option
       *       // credentials are not specified here or when creating the signer, so default credential provider will be used
       *       username: 'test' // overriding username
       *     }, function(err, token) {
       *       if (err) {
       *         // handle error
       *       } else {
       *         // use token
       *       }
       *     });
       *
       */
      getAuthToken: function getAuthToken(options, callback) {
        if (typeof options === "function" && callback === void 0) {
          callback = options;
          options = {};
        }
        var self = this;
        var hasCallback = typeof callback === "function";
        options = AWS2.util.merge(this.options, options);
        var optionsValidation = this.validateAuthTokenOptions(options);
        if (optionsValidation !== true) {
          if (hasCallback) {
            return callback(optionsValidation, null);
          }
          throw optionsValidation;
        }
        var expires = 900;
        var serviceOptions = {
          region: options.region,
          endpoint: new AWS2.Endpoint(options.hostname + ":" + options.port),
          paramValidation: false,
          signatureVersion: "v4"
        };
        if (options.credentials) {
          serviceOptions.credentials = options.credentials;
        }
        service = new AWS2.Service(serviceOptions);
        service.api = api;
        var request = service.makeRequest();
        this.modifyRequestForAuthToken(request, options);
        if (hasCallback) {
          request.presign(expires, function(err, url2) {
            if (url2) {
              url2 = self.convertUrlToAuthToken(url2);
            }
            callback(err, url2);
          });
        } else {
          var url = request.presign(expires);
          return this.convertUrlToAuthToken(url);
        }
      },
      /**
       * @api private
       * Modifies a request to allow the presigner to generate an auth token.
       */
      modifyRequestForAuthToken: function modifyRequestForAuthToken(request, options) {
        request.on("build", request.buildAsGet);
        var httpRequest = request.httpRequest;
        httpRequest.body = AWS2.util.queryParamsToString({
          Action: "connect",
          DBUser: options.username
        });
      },
      /**
       * @api private
       * Validates that the options passed in contain all the keys with values of the correct type that
       *   are needed to generate an auth token.
       */
      validateAuthTokenOptions: function validateAuthTokenOptions(options) {
        var message = "";
        options = options || {};
        for (var key in requiredAuthTokenOptions) {
          if (!Object.prototype.hasOwnProperty.call(requiredAuthTokenOptions, key)) {
            continue;
          }
          if (typeof options[key] !== requiredAuthTokenOptions[key]) {
            message += "option '" + key + "' should have been type '" + requiredAuthTokenOptions[key] + "', was '" + typeof options[key] + "'.\n";
          }
        }
        if (message.length) {
          return AWS2.util.error(new Error(), {
            code: "InvalidParameter",
            message
          });
        }
        return true;
      }
    });
  }
});

// node_modules/aws-sdk/lib/services/rds.js
var require_rds = __commonJS({
  "node_modules/aws-sdk/lib/services/rds.js"() {
    var AWS2 = require_core();
    var rdsutil = require_rdsutil();
    require_signer2();
    var crossRegionOperations = ["copyDBSnapshot", "createDBInstanceReadReplica", "createDBCluster", "copyDBClusterSnapshot", "startDBInstanceAutomatedBackupsReplication"];
    AWS2.util.update(AWS2.RDS.prototype, {
      /**
       * @api private
       */
      setupRequestListeners: function setupRequestListeners(request) {
        rdsutil.setupRequestListeners(this, request, crossRegionOperations);
      }
    });
  }
});

// node_modules/aws-sdk/apis/rds-2013-01-10.min.json
var require_rds_2013_01_10_min = __commonJS({
  "node_modules/aws-sdk/apis/rds-2013-01-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2013-01-10",
        endpointPrefix: "rds",
        protocol: "query",
        serviceAbbreviation: "Amazon RDS",
        serviceFullName: "Amazon Relational Database Service",
        serviceId: "RDS",
        signatureVersion: "v4",
        uid: "rds-2013-01-10",
        xmlNamespace: "http://rds.amazonaws.com/doc/2013-01-10/"
      },
      operations: {
        AddSourceIdentifierToSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SourceIdentifier"
            ],
            members: {
              SubscriptionName: {},
              SourceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "AddSourceIdentifierToSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        AddTagsToResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "Tags"
            ],
            members: {
              ResourceName: {},
              Tags: {
                shape: "S9"
              }
            }
          }
        },
        AuthorizeDBSecurityGroupIngress: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName"
            ],
            members: {
              DBSecurityGroupName: {},
              CIDRIP: {},
              EC2SecurityGroupName: {},
              EC2SecurityGroupId: {},
              EC2SecurityGroupOwnerId: {}
            }
          },
          output: {
            resultWrapper: "AuthorizeDBSecurityGroupIngressResult",
            type: "structure",
            members: {
              DBSecurityGroup: {
                shape: "Sd"
              }
            }
          }
        },
        CopyDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "SourceDBSnapshotIdentifier",
              "TargetDBSnapshotIdentifier"
            ],
            members: {
              SourceDBSnapshotIdentifier: {},
              TargetDBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "CopyDBSnapshotResult",
            type: "structure",
            members: {
              DBSnapshot: {
                shape: "Sk"
              }
            }
          }
        },
        CreateDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "AllocatedStorage",
              "DBInstanceClass",
              "Engine",
              "MasterUsername",
              "MasterUserPassword"
            ],
            members: {
              DBName: {},
              DBInstanceIdentifier: {},
              AllocatedStorage: {
                type: "integer"
              },
              DBInstanceClass: {},
              Engine: {},
              MasterUsername: {},
              MasterUserPassword: {},
              DBSecurityGroups: {
                shape: "Sp"
              },
              VpcSecurityGroupIds: {
                shape: "Sq"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              PreferredMaintenanceWindow: {},
              DBParameterGroupName: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {},
              Port: {
                type: "integer"
              },
              MultiAZ: {
                type: "boolean"
              },
              EngineVersion: {},
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              CharacterSetName: {},
              PubliclyAccessible: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        CreateDBInstanceReadReplica: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "SourceDBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              SourceDBInstanceIdentifier: {},
              DBInstanceClass: {},
              AvailabilityZone: {},
              Port: {
                type: "integer"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              PubliclyAccessible: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBInstanceReadReplicaResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        CreateDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName",
              "DBParameterGroupFamily",
              "Description"
            ],
            members: {
              DBParameterGroupName: {},
              DBParameterGroupFamily: {},
              Description: {}
            }
          },
          output: {
            resultWrapper: "CreateDBParameterGroupResult",
            type: "structure",
            members: {
              DBParameterGroup: {
                shape: "S1c"
              }
            }
          }
        },
        CreateDBSecurityGroup: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName",
              "DBSecurityGroupDescription"
            ],
            members: {
              DBSecurityGroupName: {},
              DBSecurityGroupDescription: {}
            }
          },
          output: {
            resultWrapper: "CreateDBSecurityGroupResult",
            type: "structure",
            members: {
              DBSecurityGroup: {
                shape: "Sd"
              }
            }
          }
        },
        CreateDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBSnapshotIdentifier",
              "DBInstanceIdentifier"
            ],
            members: {
              DBSnapshotIdentifier: {},
              DBInstanceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "CreateDBSnapshotResult",
            type: "structure",
            members: {
              DBSnapshot: {
                shape: "Sk"
              }
            }
          }
        },
        CreateDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName",
              "DBSubnetGroupDescription",
              "SubnetIds"
            ],
            members: {
              DBSubnetGroupName: {},
              DBSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S1i"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBSubnetGroupResult",
            type: "structure",
            members: {
              DBSubnetGroup: {
                shape: "S11"
              }
            }
          }
        },
        CreateEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SnsTopicArn"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              EventCategories: {
                shape: "S6"
              },
              SourceIds: {
                shape: "S5"
              },
              Enabled: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "CreateEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        CreateOptionGroup: {
          input: {
            type: "structure",
            required: [
              "OptionGroupName",
              "EngineName",
              "MajorEngineVersion",
              "OptionGroupDescription"
            ],
            members: {
              OptionGroupName: {},
              EngineName: {},
              MajorEngineVersion: {},
              OptionGroupDescription: {}
            }
          },
          output: {
            resultWrapper: "CreateOptionGroupResult",
            type: "structure",
            members: {
              OptionGroup: {
                shape: "S1o"
              }
            }
          }
        },
        DeleteDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              SkipFinalSnapshot: {
                type: "boolean"
              },
              FinalDBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        DeleteDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {}
            }
          }
        },
        DeleteDBSecurityGroup: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName"
            ],
            members: {
              DBSecurityGroupName: {}
            }
          }
        },
        DeleteDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBSnapshotIdentifier"
            ],
            members: {
              DBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBSnapshotResult",
            type: "structure",
            members: {
              DBSnapshot: {
                shape: "Sk"
              }
            }
          }
        },
        DeleteDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName"
            ],
            members: {
              DBSubnetGroupName: {}
            }
          }
        },
        DeleteEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {}
            }
          },
          output: {
            resultWrapper: "DeleteEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        DeleteOptionGroup: {
          input: {
            type: "structure",
            required: [
              "OptionGroupName"
            ],
            members: {
              OptionGroupName: {}
            }
          }
        },
        DescribeDBEngineVersions: {
          input: {
            type: "structure",
            members: {
              Engine: {},
              EngineVersion: {},
              DBParameterGroupFamily: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              DefaultOnly: {
                type: "boolean"
              },
              ListSupportedCharacterSets: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeDBEngineVersionsResult",
            type: "structure",
            members: {
              Marker: {},
              DBEngineVersions: {
                type: "list",
                member: {
                  locationName: "DBEngineVersion",
                  type: "structure",
                  members: {
                    Engine: {},
                    EngineVersion: {},
                    DBParameterGroupFamily: {},
                    DBEngineDescription: {},
                    DBEngineVersionDescription: {},
                    DefaultCharacterSet: {
                      shape: "S25"
                    },
                    SupportedCharacterSets: {
                      type: "list",
                      member: {
                        shape: "S25",
                        locationName: "CharacterSet"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeDBInstances: {
          input: {
            type: "structure",
            members: {
              DBInstanceIdentifier: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBInstancesResult",
            type: "structure",
            members: {
              Marker: {},
              DBInstances: {
                type: "list",
                member: {
                  shape: "St",
                  locationName: "DBInstance"
                }
              }
            }
          }
        },
        DescribeDBParameterGroups: {
          input: {
            type: "structure",
            members: {
              DBParameterGroupName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBParameterGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBParameterGroups: {
                type: "list",
                member: {
                  shape: "S1c",
                  locationName: "DBParameterGroup"
                }
              }
            }
          }
        },
        DescribeDBParameters: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {},
              Source: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBParametersResult",
            type: "structure",
            members: {
              Parameters: {
                shape: "S2f"
              },
              Marker: {}
            }
          }
        },
        DescribeDBSecurityGroups: {
          input: {
            type: "structure",
            members: {
              DBSecurityGroupName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSecurityGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSecurityGroups: {
                type: "list",
                member: {
                  shape: "Sd",
                  locationName: "DBSecurityGroup"
                }
              }
            }
          }
        },
        DescribeDBSnapshots: {
          input: {
            type: "structure",
            members: {
              DBInstanceIdentifier: {},
              DBSnapshotIdentifier: {},
              SnapshotType: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSnapshotsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSnapshots: {
                type: "list",
                member: {
                  shape: "Sk",
                  locationName: "DBSnapshot"
                }
              }
            }
          }
        },
        DescribeDBSubnetGroups: {
          input: {
            type: "structure",
            members: {
              DBSubnetGroupName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSubnetGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSubnetGroups: {
                type: "list",
                member: {
                  shape: "S11",
                  locationName: "DBSubnetGroup"
                }
              }
            }
          }
        },
        DescribeEngineDefaultParameters: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupFamily"
            ],
            members: {
              DBParameterGroupFamily: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEngineDefaultParametersResult",
            type: "structure",
            members: {
              EngineDefaults: {
                type: "structure",
                members: {
                  DBParameterGroupFamily: {},
                  Marker: {},
                  Parameters: {
                    shape: "S2f"
                  }
                },
                wrapper: true
              }
            }
          }
        },
        DescribeEventCategories: {
          input: {
            type: "structure",
            members: {
              SourceType: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventCategoriesResult",
            type: "structure",
            members: {
              EventCategoriesMapList: {
                type: "list",
                member: {
                  locationName: "EventCategoriesMap",
                  type: "structure",
                  members: {
                    SourceType: {},
                    EventCategories: {
                      shape: "S6"
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        DescribeEventSubscriptions: {
          input: {
            type: "structure",
            members: {
              SubscriptionName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventSubscriptionsResult",
            type: "structure",
            members: {
              Marker: {},
              EventSubscriptionsList: {
                type: "list",
                member: {
                  shape: "S4",
                  locationName: "EventSubscription"
                }
              }
            }
          }
        },
        DescribeEvents: {
          input: {
            type: "structure",
            members: {
              SourceIdentifier: {},
              SourceType: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Duration: {
                type: "integer"
              },
              EventCategories: {
                shape: "S6"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventsResult",
            type: "structure",
            members: {
              Marker: {},
              Events: {
                type: "list",
                member: {
                  locationName: "Event",
                  type: "structure",
                  members: {
                    SourceIdentifier: {},
                    SourceType: {},
                    Message: {},
                    EventCategories: {
                      shape: "S6"
                    },
                    Date: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeOptionGroupOptions: {
          input: {
            type: "structure",
            required: [
              "EngineName"
            ],
            members: {
              EngineName: {},
              MajorEngineVersion: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeOptionGroupOptionsResult",
            type: "structure",
            members: {
              OptionGroupOptions: {
                type: "list",
                member: {
                  locationName: "OptionGroupOption",
                  type: "structure",
                  members: {
                    Name: {},
                    Description: {},
                    EngineName: {},
                    MajorEngineVersion: {},
                    MinimumRequiredMinorEngineVersion: {},
                    PortRequired: {
                      type: "boolean"
                    },
                    DefaultPort: {
                      type: "integer"
                    },
                    OptionsDependedOn: {
                      type: "list",
                      member: {
                        locationName: "OptionName"
                      }
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeOptionGroups: {
          input: {
            type: "structure",
            members: {
              OptionGroupName: {},
              Marker: {},
              MaxRecords: {
                type: "integer"
              },
              EngineName: {},
              MajorEngineVersion: {}
            }
          },
          output: {
            resultWrapper: "DescribeOptionGroupsResult",
            type: "structure",
            members: {
              OptionGroupsList: {
                type: "list",
                member: {
                  shape: "S1o",
                  locationName: "OptionGroup"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeOrderableDBInstanceOptions: {
          input: {
            type: "structure",
            required: [
              "Engine"
            ],
            members: {
              Engine: {},
              EngineVersion: {},
              DBInstanceClass: {},
              LicenseModel: {},
              Vpc: {
                type: "boolean"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeOrderableDBInstanceOptionsResult",
            type: "structure",
            members: {
              OrderableDBInstanceOptions: {
                type: "list",
                member: {
                  locationName: "OrderableDBInstanceOption",
                  type: "structure",
                  members: {
                    Engine: {},
                    EngineVersion: {},
                    DBInstanceClass: {},
                    LicenseModel: {},
                    AvailabilityZones: {
                      type: "list",
                      member: {
                        shape: "S14",
                        locationName: "AvailabilityZone"
                      }
                    },
                    MultiAZCapable: {
                      type: "boolean"
                    },
                    ReadReplicaCapable: {
                      type: "boolean"
                    },
                    Vpc: {
                      type: "boolean"
                    }
                  },
                  wrapper: true
                }
              },
              Marker: {}
            }
          }
        },
        DescribeReservedDBInstances: {
          input: {
            type: "structure",
            members: {
              ReservedDBInstanceId: {},
              ReservedDBInstancesOfferingId: {},
              DBInstanceClass: {},
              Duration: {},
              ProductDescription: {},
              OfferingType: {},
              MultiAZ: {
                type: "boolean"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeReservedDBInstancesResult",
            type: "structure",
            members: {
              Marker: {},
              ReservedDBInstances: {
                type: "list",
                member: {
                  shape: "S3m",
                  locationName: "ReservedDBInstance"
                }
              }
            }
          }
        },
        DescribeReservedDBInstancesOfferings: {
          input: {
            type: "structure",
            members: {
              ReservedDBInstancesOfferingId: {},
              DBInstanceClass: {},
              Duration: {},
              ProductDescription: {},
              OfferingType: {},
              MultiAZ: {
                type: "boolean"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeReservedDBInstancesOfferingsResult",
            type: "structure",
            members: {
              Marker: {},
              ReservedDBInstancesOfferings: {
                type: "list",
                member: {
                  locationName: "ReservedDBInstancesOffering",
                  type: "structure",
                  members: {
                    ReservedDBInstancesOfferingId: {},
                    DBInstanceClass: {},
                    Duration: {
                      type: "integer"
                    },
                    FixedPrice: {
                      type: "double"
                    },
                    UsagePrice: {
                      type: "double"
                    },
                    CurrencyCode: {},
                    ProductDescription: {},
                    OfferingType: {},
                    MultiAZ: {
                      type: "boolean"
                    },
                    RecurringCharges: {
                      shape: "S3o"
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName"
            ],
            members: {
              ResourceName: {}
            }
          },
          output: {
            resultWrapper: "ListTagsForResourceResult",
            type: "structure",
            members: {
              TagList: {
                shape: "S9"
              }
            }
          }
        },
        ModifyDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              AllocatedStorage: {
                type: "integer"
              },
              DBInstanceClass: {},
              DBSecurityGroups: {
                shape: "Sp"
              },
              VpcSecurityGroupIds: {
                shape: "Sq"
              },
              ApplyImmediately: {
                type: "boolean"
              },
              MasterUserPassword: {},
              DBParameterGroupName: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {},
              PreferredMaintenanceWindow: {},
              MultiAZ: {
                type: "boolean"
              },
              EngineVersion: {},
              AllowMajorVersionUpgrade: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              NewDBInstanceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "ModifyDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        ModifyDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName",
              "Parameters"
            ],
            members: {
              DBParameterGroupName: {},
              Parameters: {
                shape: "S2f"
              }
            }
          },
          output: {
            shape: "S3z",
            resultWrapper: "ModifyDBParameterGroupResult"
          }
        },
        ModifyDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName",
              "SubnetIds"
            ],
            members: {
              DBSubnetGroupName: {},
              DBSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S1i"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBSubnetGroupResult",
            type: "structure",
            members: {
              DBSubnetGroup: {
                shape: "S11"
              }
            }
          }
        },
        ModifyEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              EventCategories: {
                shape: "S6"
              },
              Enabled: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        ModifyOptionGroup: {
          input: {
            type: "structure",
            required: [
              "OptionGroupName"
            ],
            members: {
              OptionGroupName: {},
              OptionsToInclude: {
                type: "list",
                member: {
                  locationName: "OptionConfiguration",
                  type: "structure",
                  required: [
                    "OptionName"
                  ],
                  members: {
                    OptionName: {},
                    Port: {
                      type: "integer"
                    },
                    DBSecurityGroupMemberships: {
                      shape: "Sp"
                    },
                    VpcSecurityGroupMemberships: {
                      shape: "Sq"
                    }
                  }
                }
              },
              OptionsToRemove: {
                type: "list",
                member: {}
              },
              ApplyImmediately: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyOptionGroupResult",
            type: "structure",
            members: {
              OptionGroup: {
                shape: "S1o"
              }
            }
          }
        },
        PromoteReadReplica: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {}
            }
          },
          output: {
            resultWrapper: "PromoteReadReplicaResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        PurchaseReservedDBInstancesOffering: {
          input: {
            type: "structure",
            required: [
              "ReservedDBInstancesOfferingId"
            ],
            members: {
              ReservedDBInstancesOfferingId: {},
              ReservedDBInstanceId: {},
              DBInstanceCount: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "PurchaseReservedDBInstancesOfferingResult",
            type: "structure",
            members: {
              ReservedDBInstance: {
                shape: "S3m"
              }
            }
          }
        },
        RebootDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              ForceFailover: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "RebootDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        RemoveSourceIdentifierFromSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SourceIdentifier"
            ],
            members: {
              SubscriptionName: {},
              SourceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "RemoveSourceIdentifierFromSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        RemoveTagsFromResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "TagKeys"
            ],
            members: {
              ResourceName: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ResetDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {},
              ResetAllParameters: {
                type: "boolean"
              },
              Parameters: {
                shape: "S2f"
              }
            }
          },
          output: {
            shape: "S3z",
            resultWrapper: "ResetDBParameterGroupResult"
          }
        },
        RestoreDBInstanceFromDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "DBSnapshotIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              DBSnapshotIdentifier: {},
              DBInstanceClass: {},
              Port: {
                type: "integer"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              MultiAZ: {
                type: "boolean"
              },
              PubliclyAccessible: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              DBName: {},
              Engine: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {}
            }
          },
          output: {
            resultWrapper: "RestoreDBInstanceFromDBSnapshotResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        RestoreDBInstanceToPointInTime: {
          input: {
            type: "structure",
            required: [
              "SourceDBInstanceIdentifier",
              "TargetDBInstanceIdentifier"
            ],
            members: {
              SourceDBInstanceIdentifier: {},
              TargetDBInstanceIdentifier: {},
              RestoreTime: {
                type: "timestamp"
              },
              UseLatestRestorableTime: {
                type: "boolean"
              },
              DBInstanceClass: {},
              Port: {
                type: "integer"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              MultiAZ: {
                type: "boolean"
              },
              PubliclyAccessible: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              DBName: {},
              Engine: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {}
            }
          },
          output: {
            resultWrapper: "RestoreDBInstanceToPointInTimeResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        RevokeDBSecurityGroupIngress: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName"
            ],
            members: {
              DBSecurityGroupName: {},
              CIDRIP: {},
              EC2SecurityGroupName: {},
              EC2SecurityGroupId: {},
              EC2SecurityGroupOwnerId: {}
            }
          },
          output: {
            resultWrapper: "RevokeDBSecurityGroupIngressResult",
            type: "structure",
            members: {
              DBSecurityGroup: {
                shape: "Sd"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            Id: {},
            CustomerAwsId: {},
            CustSubscriptionId: {},
            SnsTopicArn: {},
            Status: {},
            SubscriptionCreationTime: {},
            SourceType: {},
            SourceIdsList: {
              shape: "S5"
            },
            EventCategoriesList: {
              shape: "S6"
            },
            Enabled: {
              type: "boolean"
            }
          },
          wrapper: true
        },
        S5: {
          type: "list",
          member: {
            locationName: "SourceId"
          }
        },
        S6: {
          type: "list",
          member: {
            locationName: "EventCategory"
          }
        },
        S9: {
          type: "list",
          member: {
            locationName: "Tag",
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sd: {
          type: "structure",
          members: {
            OwnerId: {},
            DBSecurityGroupName: {},
            DBSecurityGroupDescription: {},
            VpcId: {},
            EC2SecurityGroups: {
              type: "list",
              member: {
                locationName: "EC2SecurityGroup",
                type: "structure",
                members: {
                  Status: {},
                  EC2SecurityGroupName: {},
                  EC2SecurityGroupId: {},
                  EC2SecurityGroupOwnerId: {}
                }
              }
            },
            IPRanges: {
              type: "list",
              member: {
                locationName: "IPRange",
                type: "structure",
                members: {
                  Status: {},
                  CIDRIP: {}
                }
              }
            }
          },
          wrapper: true
        },
        Sk: {
          type: "structure",
          members: {
            DBSnapshotIdentifier: {},
            DBInstanceIdentifier: {},
            SnapshotCreateTime: {
              type: "timestamp"
            },
            Engine: {},
            AllocatedStorage: {
              type: "integer"
            },
            Status: {},
            Port: {
              type: "integer"
            },
            AvailabilityZone: {},
            VpcId: {},
            InstanceCreateTime: {
              type: "timestamp"
            },
            MasterUsername: {},
            EngineVersion: {},
            LicenseModel: {},
            SnapshotType: {},
            Iops: {
              type: "integer"
            }
          },
          wrapper: true
        },
        Sp: {
          type: "list",
          member: {
            locationName: "DBSecurityGroupName"
          }
        },
        Sq: {
          type: "list",
          member: {
            locationName: "VpcSecurityGroupId"
          }
        },
        St: {
          type: "structure",
          members: {
            DBInstanceIdentifier: {},
            DBInstanceClass: {},
            Engine: {},
            DBInstanceStatus: {},
            MasterUsername: {},
            DBName: {},
            Endpoint: {
              type: "structure",
              members: {
                Address: {},
                Port: {
                  type: "integer"
                }
              }
            },
            AllocatedStorage: {
              type: "integer"
            },
            InstanceCreateTime: {
              type: "timestamp"
            },
            PreferredBackupWindow: {},
            BackupRetentionPeriod: {
              type: "integer"
            },
            DBSecurityGroups: {
              shape: "Sv"
            },
            VpcSecurityGroups: {
              shape: "Sx"
            },
            DBParameterGroups: {
              type: "list",
              member: {
                locationName: "DBParameterGroup",
                type: "structure",
                members: {
                  DBParameterGroupName: {},
                  ParameterApplyStatus: {}
                }
              }
            },
            AvailabilityZone: {},
            DBSubnetGroup: {
              shape: "S11"
            },
            PreferredMaintenanceWindow: {},
            PendingModifiedValues: {
              type: "structure",
              members: {
                DBInstanceClass: {},
                AllocatedStorage: {
                  type: "integer"
                },
                MasterUserPassword: {},
                Port: {
                  type: "integer"
                },
                BackupRetentionPeriod: {
                  type: "integer"
                },
                MultiAZ: {
                  type: "boolean"
                },
                EngineVersion: {},
                Iops: {
                  type: "integer"
                },
                DBInstanceIdentifier: {}
              }
            },
            LatestRestorableTime: {
              type: "timestamp"
            },
            MultiAZ: {
              type: "boolean"
            },
            EngineVersion: {},
            AutoMinorVersionUpgrade: {
              type: "boolean"
            },
            ReadReplicaSourceDBInstanceIdentifier: {},
            ReadReplicaDBInstanceIdentifiers: {
              type: "list",
              member: {
                locationName: "ReadReplicaDBInstanceIdentifier"
              }
            },
            LicenseModel: {},
            Iops: {
              type: "integer"
            },
            OptionGroupMembership: {
              type: "structure",
              members: {
                OptionGroupName: {},
                Status: {}
              }
            },
            CharacterSetName: {},
            SecondaryAvailabilityZone: {},
            PubliclyAccessible: {
              type: "boolean"
            }
          },
          wrapper: true
        },
        Sv: {
          type: "list",
          member: {
            locationName: "DBSecurityGroup",
            type: "structure",
            members: {
              DBSecurityGroupName: {},
              Status: {}
            }
          }
        },
        Sx: {
          type: "list",
          member: {
            locationName: "VpcSecurityGroupMembership",
            type: "structure",
            members: {
              VpcSecurityGroupId: {},
              Status: {}
            }
          }
        },
        S11: {
          type: "structure",
          members: {
            DBSubnetGroupName: {},
            DBSubnetGroupDescription: {},
            VpcId: {},
            SubnetGroupStatus: {},
            Subnets: {
              type: "list",
              member: {
                locationName: "Subnet",
                type: "structure",
                members: {
                  SubnetIdentifier: {},
                  SubnetAvailabilityZone: {
                    shape: "S14"
                  },
                  SubnetStatus: {}
                }
              }
            }
          },
          wrapper: true
        },
        S14: {
          type: "structure",
          members: {
            Name: {},
            ProvisionedIopsCapable: {
              type: "boolean"
            }
          },
          wrapper: true
        },
        S1c: {
          type: "structure",
          members: {
            DBParameterGroupName: {},
            DBParameterGroupFamily: {},
            Description: {}
          },
          wrapper: true
        },
        S1i: {
          type: "list",
          member: {
            locationName: "SubnetIdentifier"
          }
        },
        S1o: {
          type: "structure",
          members: {
            OptionGroupName: {},
            OptionGroupDescription: {},
            EngineName: {},
            MajorEngineVersion: {},
            Options: {
              type: "list",
              member: {
                locationName: "Option",
                type: "structure",
                members: {
                  OptionName: {},
                  OptionDescription: {},
                  Port: {
                    type: "integer"
                  },
                  DBSecurityGroupMemberships: {
                    shape: "Sv"
                  },
                  VpcSecurityGroupMemberships: {
                    shape: "Sx"
                  }
                }
              }
            },
            AllowsVpcAndNonVpcInstanceMemberships: {
              type: "boolean"
            },
            VpcId: {}
          },
          wrapper: true
        },
        S25: {
          type: "structure",
          members: {
            CharacterSetName: {},
            CharacterSetDescription: {}
          }
        },
        S2f: {
          type: "list",
          member: {
            locationName: "Parameter",
            type: "structure",
            members: {
              ParameterName: {},
              ParameterValue: {},
              Description: {},
              Source: {},
              ApplyType: {},
              DataType: {},
              AllowedValues: {},
              IsModifiable: {
                type: "boolean"
              },
              MinimumEngineVersion: {},
              ApplyMethod: {}
            }
          }
        },
        S3m: {
          type: "structure",
          members: {
            ReservedDBInstanceId: {},
            ReservedDBInstancesOfferingId: {},
            DBInstanceClass: {},
            StartTime: {
              type: "timestamp"
            },
            Duration: {
              type: "integer"
            },
            FixedPrice: {
              type: "double"
            },
            UsagePrice: {
              type: "double"
            },
            CurrencyCode: {},
            DBInstanceCount: {
              type: "integer"
            },
            ProductDescription: {},
            OfferingType: {},
            MultiAZ: {
              type: "boolean"
            },
            State: {},
            RecurringCharges: {
              shape: "S3o"
            }
          },
          wrapper: true
        },
        S3o: {
          type: "list",
          member: {
            locationName: "RecurringCharge",
            type: "structure",
            members: {
              RecurringChargeAmount: {
                type: "double"
              },
              RecurringChargeFrequency: {}
            },
            wrapper: true
          }
        },
        S3z: {
          type: "structure",
          members: {
            DBParameterGroupName: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/rds-2013-01-10.paginators.json
var require_rds_2013_01_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/rds-2013-01-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeDBEngineVersions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBEngineVersions"
        },
        DescribeDBInstances: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBInstances"
        },
        DescribeDBParameterGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBParameterGroups"
        },
        DescribeDBParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Parameters"
        },
        DescribeDBSecurityGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBSecurityGroups"
        },
        DescribeDBSnapshots: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBSnapshots"
        },
        DescribeDBSubnetGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBSubnetGroups"
        },
        DescribeEngineDefaultParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "EngineDefaults.Marker",
          result_key: "EngineDefaults.Parameters"
        },
        DescribeEventSubscriptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "EventSubscriptionsList"
        },
        DescribeEvents: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Events"
        },
        DescribeOptionGroupOptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "OptionGroupOptions"
        },
        DescribeOptionGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "OptionGroupsList"
        },
        DescribeOrderableDBInstanceOptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "OrderableDBInstanceOptions"
        },
        DescribeReservedDBInstances: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ReservedDBInstances"
        },
        DescribeReservedDBInstancesOfferings: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ReservedDBInstancesOfferings"
        },
        ListTagsForResource: {
          result_key: "TagList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/rds-2013-02-12.min.json
var require_rds_2013_02_12_min = __commonJS({
  "node_modules/aws-sdk/apis/rds-2013-02-12.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2013-02-12",
        endpointPrefix: "rds",
        protocol: "query",
        serviceAbbreviation: "Amazon RDS",
        serviceFullName: "Amazon Relational Database Service",
        serviceId: "RDS",
        signatureVersion: "v4",
        uid: "rds-2013-02-12",
        xmlNamespace: "http://rds.amazonaws.com/doc/2013-02-12/"
      },
      operations: {
        AddSourceIdentifierToSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SourceIdentifier"
            ],
            members: {
              SubscriptionName: {},
              SourceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "AddSourceIdentifierToSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        AddTagsToResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "Tags"
            ],
            members: {
              ResourceName: {},
              Tags: {
                shape: "S9"
              }
            }
          }
        },
        AuthorizeDBSecurityGroupIngress: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName"
            ],
            members: {
              DBSecurityGroupName: {},
              CIDRIP: {},
              EC2SecurityGroupName: {},
              EC2SecurityGroupId: {},
              EC2SecurityGroupOwnerId: {}
            }
          },
          output: {
            resultWrapper: "AuthorizeDBSecurityGroupIngressResult",
            type: "structure",
            members: {
              DBSecurityGroup: {
                shape: "Sd"
              }
            }
          }
        },
        CopyDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "SourceDBSnapshotIdentifier",
              "TargetDBSnapshotIdentifier"
            ],
            members: {
              SourceDBSnapshotIdentifier: {},
              TargetDBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "CopyDBSnapshotResult",
            type: "structure",
            members: {
              DBSnapshot: {
                shape: "Sk"
              }
            }
          }
        },
        CreateDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "AllocatedStorage",
              "DBInstanceClass",
              "Engine",
              "MasterUsername",
              "MasterUserPassword"
            ],
            members: {
              DBName: {},
              DBInstanceIdentifier: {},
              AllocatedStorage: {
                type: "integer"
              },
              DBInstanceClass: {},
              Engine: {},
              MasterUsername: {},
              MasterUserPassword: {},
              DBSecurityGroups: {
                shape: "Sp"
              },
              VpcSecurityGroupIds: {
                shape: "Sq"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              PreferredMaintenanceWindow: {},
              DBParameterGroupName: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {},
              Port: {
                type: "integer"
              },
              MultiAZ: {
                type: "boolean"
              },
              EngineVersion: {},
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              CharacterSetName: {},
              PubliclyAccessible: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        CreateDBInstanceReadReplica: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "SourceDBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              SourceDBInstanceIdentifier: {},
              DBInstanceClass: {},
              AvailabilityZone: {},
              Port: {
                type: "integer"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              PubliclyAccessible: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBInstanceReadReplicaResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        CreateDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName",
              "DBParameterGroupFamily",
              "Description"
            ],
            members: {
              DBParameterGroupName: {},
              DBParameterGroupFamily: {},
              Description: {}
            }
          },
          output: {
            resultWrapper: "CreateDBParameterGroupResult",
            type: "structure",
            members: {
              DBParameterGroup: {
                shape: "S1d"
              }
            }
          }
        },
        CreateDBSecurityGroup: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName",
              "DBSecurityGroupDescription"
            ],
            members: {
              DBSecurityGroupName: {},
              DBSecurityGroupDescription: {}
            }
          },
          output: {
            resultWrapper: "CreateDBSecurityGroupResult",
            type: "structure",
            members: {
              DBSecurityGroup: {
                shape: "Sd"
              }
            }
          }
        },
        CreateDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBSnapshotIdentifier",
              "DBInstanceIdentifier"
            ],
            members: {
              DBSnapshotIdentifier: {},
              DBInstanceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "CreateDBSnapshotResult",
            type: "structure",
            members: {
              DBSnapshot: {
                shape: "Sk"
              }
            }
          }
        },
        CreateDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName",
              "DBSubnetGroupDescription",
              "SubnetIds"
            ],
            members: {
              DBSubnetGroupName: {},
              DBSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S1j"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBSubnetGroupResult",
            type: "structure",
            members: {
              DBSubnetGroup: {
                shape: "S11"
              }
            }
          }
        },
        CreateEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SnsTopicArn"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              EventCategories: {
                shape: "S6"
              },
              SourceIds: {
                shape: "S5"
              },
              Enabled: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "CreateEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        CreateOptionGroup: {
          input: {
            type: "structure",
            required: [
              "OptionGroupName",
              "EngineName",
              "MajorEngineVersion",
              "OptionGroupDescription"
            ],
            members: {
              OptionGroupName: {},
              EngineName: {},
              MajorEngineVersion: {},
              OptionGroupDescription: {}
            }
          },
          output: {
            resultWrapper: "CreateOptionGroupResult",
            type: "structure",
            members: {
              OptionGroup: {
                shape: "S1p"
              }
            }
          }
        },
        DeleteDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              SkipFinalSnapshot: {
                type: "boolean"
              },
              FinalDBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        DeleteDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {}
            }
          }
        },
        DeleteDBSecurityGroup: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName"
            ],
            members: {
              DBSecurityGroupName: {}
            }
          }
        },
        DeleteDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBSnapshotIdentifier"
            ],
            members: {
              DBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBSnapshotResult",
            type: "structure",
            members: {
              DBSnapshot: {
                shape: "Sk"
              }
            }
          }
        },
        DeleteDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName"
            ],
            members: {
              DBSubnetGroupName: {}
            }
          }
        },
        DeleteEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {}
            }
          },
          output: {
            resultWrapper: "DeleteEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        DeleteOptionGroup: {
          input: {
            type: "structure",
            required: [
              "OptionGroupName"
            ],
            members: {
              OptionGroupName: {}
            }
          }
        },
        DescribeDBEngineVersions: {
          input: {
            type: "structure",
            members: {
              Engine: {},
              EngineVersion: {},
              DBParameterGroupFamily: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              DefaultOnly: {
                type: "boolean"
              },
              ListSupportedCharacterSets: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeDBEngineVersionsResult",
            type: "structure",
            members: {
              Marker: {},
              DBEngineVersions: {
                type: "list",
                member: {
                  locationName: "DBEngineVersion",
                  type: "structure",
                  members: {
                    Engine: {},
                    EngineVersion: {},
                    DBParameterGroupFamily: {},
                    DBEngineDescription: {},
                    DBEngineVersionDescription: {},
                    DefaultCharacterSet: {
                      shape: "S28"
                    },
                    SupportedCharacterSets: {
                      type: "list",
                      member: {
                        shape: "S28",
                        locationName: "CharacterSet"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeDBInstances: {
          input: {
            type: "structure",
            members: {
              DBInstanceIdentifier: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBInstancesResult",
            type: "structure",
            members: {
              Marker: {},
              DBInstances: {
                type: "list",
                member: {
                  shape: "St",
                  locationName: "DBInstance"
                }
              }
            }
          }
        },
        DescribeDBLogFiles: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              FilenameContains: {},
              FileLastWritten: {
                type: "long"
              },
              FileSize: {
                type: "long"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBLogFilesResult",
            type: "structure",
            members: {
              DescribeDBLogFiles: {
                type: "list",
                member: {
                  locationName: "DescribeDBLogFilesDetails",
                  type: "structure",
                  members: {
                    LogFileName: {},
                    LastWritten: {
                      type: "long"
                    },
                    Size: {
                      type: "long"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeDBParameterGroups: {
          input: {
            type: "structure",
            members: {
              DBParameterGroupName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBParameterGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBParameterGroups: {
                type: "list",
                member: {
                  shape: "S1d",
                  locationName: "DBParameterGroup"
                }
              }
            }
          }
        },
        DescribeDBParameters: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {},
              Source: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBParametersResult",
            type: "structure",
            members: {
              Parameters: {
                shape: "S2n"
              },
              Marker: {}
            }
          }
        },
        DescribeDBSecurityGroups: {
          input: {
            type: "structure",
            members: {
              DBSecurityGroupName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSecurityGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSecurityGroups: {
                type: "list",
                member: {
                  shape: "Sd",
                  locationName: "DBSecurityGroup"
                }
              }
            }
          }
        },
        DescribeDBSnapshots: {
          input: {
            type: "structure",
            members: {
              DBInstanceIdentifier: {},
              DBSnapshotIdentifier: {},
              SnapshotType: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSnapshotsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSnapshots: {
                type: "list",
                member: {
                  shape: "Sk",
                  locationName: "DBSnapshot"
                }
              }
            }
          }
        },
        DescribeDBSubnetGroups: {
          input: {
            type: "structure",
            members: {
              DBSubnetGroupName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSubnetGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSubnetGroups: {
                type: "list",
                member: {
                  shape: "S11",
                  locationName: "DBSubnetGroup"
                }
              }
            }
          }
        },
        DescribeEngineDefaultParameters: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupFamily"
            ],
            members: {
              DBParameterGroupFamily: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEngineDefaultParametersResult",
            type: "structure",
            members: {
              EngineDefaults: {
                type: "structure",
                members: {
                  DBParameterGroupFamily: {},
                  Marker: {},
                  Parameters: {
                    shape: "S2n"
                  }
                },
                wrapper: true
              }
            }
          }
        },
        DescribeEventCategories: {
          input: {
            type: "structure",
            members: {
              SourceType: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventCategoriesResult",
            type: "structure",
            members: {
              EventCategoriesMapList: {
                type: "list",
                member: {
                  locationName: "EventCategoriesMap",
                  type: "structure",
                  members: {
                    SourceType: {},
                    EventCategories: {
                      shape: "S6"
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        DescribeEventSubscriptions: {
          input: {
            type: "structure",
            members: {
              SubscriptionName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventSubscriptionsResult",
            type: "structure",
            members: {
              Marker: {},
              EventSubscriptionsList: {
                type: "list",
                member: {
                  shape: "S4",
                  locationName: "EventSubscription"
                }
              }
            }
          }
        },
        DescribeEvents: {
          input: {
            type: "structure",
            members: {
              SourceIdentifier: {},
              SourceType: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Duration: {
                type: "integer"
              },
              EventCategories: {
                shape: "S6"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventsResult",
            type: "structure",
            members: {
              Marker: {},
              Events: {
                type: "list",
                member: {
                  locationName: "Event",
                  type: "structure",
                  members: {
                    SourceIdentifier: {},
                    SourceType: {},
                    Message: {},
                    EventCategories: {
                      shape: "S6"
                    },
                    Date: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeOptionGroupOptions: {
          input: {
            type: "structure",
            required: [
              "EngineName"
            ],
            members: {
              EngineName: {},
              MajorEngineVersion: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeOptionGroupOptionsResult",
            type: "structure",
            members: {
              OptionGroupOptions: {
                type: "list",
                member: {
                  locationName: "OptionGroupOption",
                  type: "structure",
                  members: {
                    Name: {},
                    Description: {},
                    EngineName: {},
                    MajorEngineVersion: {},
                    MinimumRequiredMinorEngineVersion: {},
                    PortRequired: {
                      type: "boolean"
                    },
                    DefaultPort: {
                      type: "integer"
                    },
                    OptionsDependedOn: {
                      type: "list",
                      member: {
                        locationName: "OptionName"
                      }
                    },
                    Persistent: {
                      type: "boolean"
                    },
                    OptionGroupOptionSettings: {
                      type: "list",
                      member: {
                        locationName: "OptionGroupOptionSetting",
                        type: "structure",
                        members: {
                          SettingName: {},
                          SettingDescription: {},
                          DefaultValue: {},
                          ApplyType: {},
                          AllowedValues: {},
                          IsModifiable: {
                            type: "boolean"
                          }
                        }
                      }
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeOptionGroups: {
          input: {
            type: "structure",
            members: {
              OptionGroupName: {},
              Marker: {},
              MaxRecords: {
                type: "integer"
              },
              EngineName: {},
              MajorEngineVersion: {}
            }
          },
          output: {
            resultWrapper: "DescribeOptionGroupsResult",
            type: "structure",
            members: {
              OptionGroupsList: {
                type: "list",
                member: {
                  shape: "S1p",
                  locationName: "OptionGroup"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeOrderableDBInstanceOptions: {
          input: {
            type: "structure",
            required: [
              "Engine"
            ],
            members: {
              Engine: {},
              EngineVersion: {},
              DBInstanceClass: {},
              LicenseModel: {},
              Vpc: {
                type: "boolean"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeOrderableDBInstanceOptionsResult",
            type: "structure",
            members: {
              OrderableDBInstanceOptions: {
                type: "list",
                member: {
                  locationName: "OrderableDBInstanceOption",
                  type: "structure",
                  members: {
                    Engine: {},
                    EngineVersion: {},
                    DBInstanceClass: {},
                    LicenseModel: {},
                    AvailabilityZones: {
                      type: "list",
                      member: {
                        shape: "S14",
                        locationName: "AvailabilityZone"
                      }
                    },
                    MultiAZCapable: {
                      type: "boolean"
                    },
                    ReadReplicaCapable: {
                      type: "boolean"
                    },
                    Vpc: {
                      type: "boolean"
                    }
                  },
                  wrapper: true
                }
              },
              Marker: {}
            }
          }
        },
        DescribeReservedDBInstances: {
          input: {
            type: "structure",
            members: {
              ReservedDBInstanceId: {},
              ReservedDBInstancesOfferingId: {},
              DBInstanceClass: {},
              Duration: {},
              ProductDescription: {},
              OfferingType: {},
              MultiAZ: {
                type: "boolean"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeReservedDBInstancesResult",
            type: "structure",
            members: {
              Marker: {},
              ReservedDBInstances: {
                type: "list",
                member: {
                  shape: "S3w",
                  locationName: "ReservedDBInstance"
                }
              }
            }
          }
        },
        DescribeReservedDBInstancesOfferings: {
          input: {
            type: "structure",
            members: {
              ReservedDBInstancesOfferingId: {},
              DBInstanceClass: {},
              Duration: {},
              ProductDescription: {},
              OfferingType: {},
              MultiAZ: {
                type: "boolean"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeReservedDBInstancesOfferingsResult",
            type: "structure",
            members: {
              Marker: {},
              ReservedDBInstancesOfferings: {
                type: "list",
                member: {
                  locationName: "ReservedDBInstancesOffering",
                  type: "structure",
                  members: {
                    ReservedDBInstancesOfferingId: {},
                    DBInstanceClass: {},
                    Duration: {
                      type: "integer"
                    },
                    FixedPrice: {
                      type: "double"
                    },
                    UsagePrice: {
                      type: "double"
                    },
                    CurrencyCode: {},
                    ProductDescription: {},
                    OfferingType: {},
                    MultiAZ: {
                      type: "boolean"
                    },
                    RecurringCharges: {
                      shape: "S3y"
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        DownloadDBLogFilePortion: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "LogFileName"
            ],
            members: {
              DBInstanceIdentifier: {},
              LogFileName: {},
              Marker: {},
              NumberOfLines: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DownloadDBLogFilePortionResult",
            type: "structure",
            members: {
              LogFileData: {},
              Marker: {},
              AdditionalDataPending: {
                type: "boolean"
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName"
            ],
            members: {
              ResourceName: {}
            }
          },
          output: {
            resultWrapper: "ListTagsForResourceResult",
            type: "structure",
            members: {
              TagList: {
                shape: "S9"
              }
            }
          }
        },
        ModifyDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              AllocatedStorage: {
                type: "integer"
              },
              DBInstanceClass: {},
              DBSecurityGroups: {
                shape: "Sp"
              },
              VpcSecurityGroupIds: {
                shape: "Sq"
              },
              ApplyImmediately: {
                type: "boolean"
              },
              MasterUserPassword: {},
              DBParameterGroupName: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {},
              PreferredMaintenanceWindow: {},
              MultiAZ: {
                type: "boolean"
              },
              EngineVersion: {},
              AllowMajorVersionUpgrade: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              NewDBInstanceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "ModifyDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        ModifyDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName",
              "Parameters"
            ],
            members: {
              DBParameterGroupName: {},
              Parameters: {
                shape: "S2n"
              }
            }
          },
          output: {
            shape: "S4b",
            resultWrapper: "ModifyDBParameterGroupResult"
          }
        },
        ModifyDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName",
              "SubnetIds"
            ],
            members: {
              DBSubnetGroupName: {},
              DBSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S1j"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBSubnetGroupResult",
            type: "structure",
            members: {
              DBSubnetGroup: {
                shape: "S11"
              }
            }
          }
        },
        ModifyEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              EventCategories: {
                shape: "S6"
              },
              Enabled: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        ModifyOptionGroup: {
          input: {
            type: "structure",
            required: [
              "OptionGroupName"
            ],
            members: {
              OptionGroupName: {},
              OptionsToInclude: {
                type: "list",
                member: {
                  locationName: "OptionConfiguration",
                  type: "structure",
                  required: [
                    "OptionName"
                  ],
                  members: {
                    OptionName: {},
                    Port: {
                      type: "integer"
                    },
                    DBSecurityGroupMemberships: {
                      shape: "Sp"
                    },
                    VpcSecurityGroupMemberships: {
                      shape: "Sq"
                    },
                    OptionSettings: {
                      type: "list",
                      member: {
                        shape: "S1t",
                        locationName: "OptionSetting"
                      }
                    }
                  }
                }
              },
              OptionsToRemove: {
                type: "list",
                member: {}
              },
              ApplyImmediately: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyOptionGroupResult",
            type: "structure",
            members: {
              OptionGroup: {
                shape: "S1p"
              }
            }
          }
        },
        PromoteReadReplica: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {}
            }
          },
          output: {
            resultWrapper: "PromoteReadReplicaResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        PurchaseReservedDBInstancesOffering: {
          input: {
            type: "structure",
            required: [
              "ReservedDBInstancesOfferingId"
            ],
            members: {
              ReservedDBInstancesOfferingId: {},
              ReservedDBInstanceId: {},
              DBInstanceCount: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "PurchaseReservedDBInstancesOfferingResult",
            type: "structure",
            members: {
              ReservedDBInstance: {
                shape: "S3w"
              }
            }
          }
        },
        RebootDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              ForceFailover: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "RebootDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        RemoveSourceIdentifierFromSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SourceIdentifier"
            ],
            members: {
              SubscriptionName: {},
              SourceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "RemoveSourceIdentifierFromSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        RemoveTagsFromResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "TagKeys"
            ],
            members: {
              ResourceName: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ResetDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {},
              ResetAllParameters: {
                type: "boolean"
              },
              Parameters: {
                shape: "S2n"
              }
            }
          },
          output: {
            shape: "S4b",
            resultWrapper: "ResetDBParameterGroupResult"
          }
        },
        RestoreDBInstanceFromDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "DBSnapshotIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              DBSnapshotIdentifier: {},
              DBInstanceClass: {},
              Port: {
                type: "integer"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              MultiAZ: {
                type: "boolean"
              },
              PubliclyAccessible: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              DBName: {},
              Engine: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {}
            }
          },
          output: {
            resultWrapper: "RestoreDBInstanceFromDBSnapshotResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        RestoreDBInstanceToPointInTime: {
          input: {
            type: "structure",
            required: [
              "SourceDBInstanceIdentifier",
              "TargetDBInstanceIdentifier"
            ],
            members: {
              SourceDBInstanceIdentifier: {},
              TargetDBInstanceIdentifier: {},
              RestoreTime: {
                type: "timestamp"
              },
              UseLatestRestorableTime: {
                type: "boolean"
              },
              DBInstanceClass: {},
              Port: {
                type: "integer"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              MultiAZ: {
                type: "boolean"
              },
              PubliclyAccessible: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              DBName: {},
              Engine: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {}
            }
          },
          output: {
            resultWrapper: "RestoreDBInstanceToPointInTimeResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        RevokeDBSecurityGroupIngress: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName"
            ],
            members: {
              DBSecurityGroupName: {},
              CIDRIP: {},
              EC2SecurityGroupName: {},
              EC2SecurityGroupId: {},
              EC2SecurityGroupOwnerId: {}
            }
          },
          output: {
            resultWrapper: "RevokeDBSecurityGroupIngressResult",
            type: "structure",
            members: {
              DBSecurityGroup: {
                shape: "Sd"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            CustomerAwsId: {},
            CustSubscriptionId: {},
            SnsTopicArn: {},
            Status: {},
            SubscriptionCreationTime: {},
            SourceType: {},
            SourceIdsList: {
              shape: "S5"
            },
            EventCategoriesList: {
              shape: "S6"
            },
            Enabled: {
              type: "boolean"
            }
          },
          wrapper: true
        },
        S5: {
          type: "list",
          member: {
            locationName: "SourceId"
          }
        },
        S6: {
          type: "list",
          member: {
            locationName: "EventCategory"
          }
        },
        S9: {
          type: "list",
          member: {
            locationName: "Tag",
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sd: {
          type: "structure",
          members: {
            OwnerId: {},
            DBSecurityGroupName: {},
            DBSecurityGroupDescription: {},
            VpcId: {},
            EC2SecurityGroups: {
              type: "list",
              member: {
                locationName: "EC2SecurityGroup",
                type: "structure",
                members: {
                  Status: {},
                  EC2SecurityGroupName: {},
                  EC2SecurityGroupId: {},
                  EC2SecurityGroupOwnerId: {}
                }
              }
            },
            IPRanges: {
              type: "list",
              member: {
                locationName: "IPRange",
                type: "structure",
                members: {
                  Status: {},
                  CIDRIP: {}
                }
              }
            }
          },
          wrapper: true
        },
        Sk: {
          type: "structure",
          members: {
            DBSnapshotIdentifier: {},
            DBInstanceIdentifier: {},
            SnapshotCreateTime: {
              type: "timestamp"
            },
            Engine: {},
            AllocatedStorage: {
              type: "integer"
            },
            Status: {},
            Port: {
              type: "integer"
            },
            AvailabilityZone: {},
            VpcId: {},
            InstanceCreateTime: {
              type: "timestamp"
            },
            MasterUsername: {},
            EngineVersion: {},
            LicenseModel: {},
            SnapshotType: {},
            Iops: {
              type: "integer"
            },
            OptionGroupName: {}
          },
          wrapper: true
        },
        Sp: {
          type: "list",
          member: {
            locationName: "DBSecurityGroupName"
          }
        },
        Sq: {
          type: "list",
          member: {
            locationName: "VpcSecurityGroupId"
          }
        },
        St: {
          type: "structure",
          members: {
            DBInstanceIdentifier: {},
            DBInstanceClass: {},
            Engine: {},
            DBInstanceStatus: {},
            MasterUsername: {},
            DBName: {},
            Endpoint: {
              type: "structure",
              members: {
                Address: {},
                Port: {
                  type: "integer"
                }
              }
            },
            AllocatedStorage: {
              type: "integer"
            },
            InstanceCreateTime: {
              type: "timestamp"
            },
            PreferredBackupWindow: {},
            BackupRetentionPeriod: {
              type: "integer"
            },
            DBSecurityGroups: {
              shape: "Sv"
            },
            VpcSecurityGroups: {
              shape: "Sx"
            },
            DBParameterGroups: {
              type: "list",
              member: {
                locationName: "DBParameterGroup",
                type: "structure",
                members: {
                  DBParameterGroupName: {},
                  ParameterApplyStatus: {}
                }
              }
            },
            AvailabilityZone: {},
            DBSubnetGroup: {
              shape: "S11"
            },
            PreferredMaintenanceWindow: {},
            PendingModifiedValues: {
              type: "structure",
              members: {
                DBInstanceClass: {},
                AllocatedStorage: {
                  type: "integer"
                },
                MasterUserPassword: {},
                Port: {
                  type: "integer"
                },
                BackupRetentionPeriod: {
                  type: "integer"
                },
                MultiAZ: {
                  type: "boolean"
                },
                EngineVersion: {},
                Iops: {
                  type: "integer"
                },
                DBInstanceIdentifier: {}
              }
            },
            LatestRestorableTime: {
              type: "timestamp"
            },
            MultiAZ: {
              type: "boolean"
            },
            EngineVersion: {},
            AutoMinorVersionUpgrade: {
              type: "boolean"
            },
            ReadReplicaSourceDBInstanceIdentifier: {},
            ReadReplicaDBInstanceIdentifiers: {
              type: "list",
              member: {
                locationName: "ReadReplicaDBInstanceIdentifier"
              }
            },
            LicenseModel: {},
            Iops: {
              type: "integer"
            },
            OptionGroupMemberships: {
              type: "list",
              member: {
                locationName: "OptionGroupMembership",
                type: "structure",
                members: {
                  OptionGroupName: {},
                  Status: {}
                }
              }
            },
            CharacterSetName: {},
            SecondaryAvailabilityZone: {},
            PubliclyAccessible: {
              type: "boolean"
            }
          },
          wrapper: true
        },
        Sv: {
          type: "list",
          member: {
            locationName: "DBSecurityGroup",
            type: "structure",
            members: {
              DBSecurityGroupName: {},
              Status: {}
            }
          }
        },
        Sx: {
          type: "list",
          member: {
            locationName: "VpcSecurityGroupMembership",
            type: "structure",
            members: {
              VpcSecurityGroupId: {},
              Status: {}
            }
          }
        },
        S11: {
          type: "structure",
          members: {
            DBSubnetGroupName: {},
            DBSubnetGroupDescription: {},
            VpcId: {},
            SubnetGroupStatus: {},
            Subnets: {
              type: "list",
              member: {
                locationName: "Subnet",
                type: "structure",
                members: {
                  SubnetIdentifier: {},
                  SubnetAvailabilityZone: {
                    shape: "S14"
                  },
                  SubnetStatus: {}
                }
              }
            }
          },
          wrapper: true
        },
        S14: {
          type: "structure",
          members: {
            Name: {},
            ProvisionedIopsCapable: {
              type: "boolean"
            }
          },
          wrapper: true
        },
        S1d: {
          type: "structure",
          members: {
            DBParameterGroupName: {},
            DBParameterGroupFamily: {},
            Description: {}
          },
          wrapper: true
        },
        S1j: {
          type: "list",
          member: {
            locationName: "SubnetIdentifier"
          }
        },
        S1p: {
          type: "structure",
          members: {
            OptionGroupName: {},
            OptionGroupDescription: {},
            EngineName: {},
            MajorEngineVersion: {},
            Options: {
              type: "list",
              member: {
                locationName: "Option",
                type: "structure",
                members: {
                  OptionName: {},
                  OptionDescription: {},
                  Persistent: {
                    type: "boolean"
                  },
                  Port: {
                    type: "integer"
                  },
                  OptionSettings: {
                    type: "list",
                    member: {
                      shape: "S1t",
                      locationName: "OptionSetting"
                    }
                  },
                  DBSecurityGroupMemberships: {
                    shape: "Sv"
                  },
                  VpcSecurityGroupMemberships: {
                    shape: "Sx"
                  }
                }
              }
            },
            AllowsVpcAndNonVpcInstanceMemberships: {
              type: "boolean"
            },
            VpcId: {}
          },
          wrapper: true
        },
        S1t: {
          type: "structure",
          members: {
            Name: {},
            Value: {},
            DefaultValue: {},
            Description: {},
            ApplyType: {},
            DataType: {},
            AllowedValues: {},
            IsModifiable: {
              type: "boolean"
            },
            IsCollection: {
              type: "boolean"
            }
          }
        },
        S28: {
          type: "structure",
          members: {
            CharacterSetName: {},
            CharacterSetDescription: {}
          }
        },
        S2n: {
          type: "list",
          member: {
            locationName: "Parameter",
            type: "structure",
            members: {
              ParameterName: {},
              ParameterValue: {},
              Description: {},
              Source: {},
              ApplyType: {},
              DataType: {},
              AllowedValues: {},
              IsModifiable: {
                type: "boolean"
              },
              MinimumEngineVersion: {},
              ApplyMethod: {}
            }
          }
        },
        S3w: {
          type: "structure",
          members: {
            ReservedDBInstanceId: {},
            ReservedDBInstancesOfferingId: {},
            DBInstanceClass: {},
            StartTime: {
              type: "timestamp"
            },
            Duration: {
              type: "integer"
            },
            FixedPrice: {
              type: "double"
            },
            UsagePrice: {
              type: "double"
            },
            CurrencyCode: {},
            DBInstanceCount: {
              type: "integer"
            },
            ProductDescription: {},
            OfferingType: {},
            MultiAZ: {
              type: "boolean"
            },
            State: {},
            RecurringCharges: {
              shape: "S3y"
            }
          },
          wrapper: true
        },
        S3y: {
          type: "list",
          member: {
            locationName: "RecurringCharge",
            type: "structure",
            members: {
              RecurringChargeAmount: {
                type: "double"
              },
              RecurringChargeFrequency: {}
            },
            wrapper: true
          }
        },
        S4b: {
          type: "structure",
          members: {
            DBParameterGroupName: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/rds-2013-02-12.paginators.json
var require_rds_2013_02_12_paginators = __commonJS({
  "node_modules/aws-sdk/apis/rds-2013-02-12.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeDBEngineVersions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBEngineVersions"
        },
        DescribeDBInstances: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBInstances"
        },
        DescribeDBLogFiles: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DescribeDBLogFiles"
        },
        DescribeDBParameterGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBParameterGroups"
        },
        DescribeDBParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Parameters"
        },
        DescribeDBSecurityGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBSecurityGroups"
        },
        DescribeDBSnapshots: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBSnapshots"
        },
        DescribeDBSubnetGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBSubnetGroups"
        },
        DescribeEngineDefaultParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "EngineDefaults.Marker",
          result_key: "EngineDefaults.Parameters"
        },
        DescribeEventSubscriptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "EventSubscriptionsList"
        },
        DescribeEvents: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Events"
        },
        DescribeOptionGroupOptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "OptionGroupOptions"
        },
        DescribeOptionGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "OptionGroupsList"
        },
        DescribeOrderableDBInstanceOptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "OrderableDBInstanceOptions"
        },
        DescribeReservedDBInstances: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ReservedDBInstances"
        },
        DescribeReservedDBInstancesOfferings: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ReservedDBInstancesOfferings"
        },
        DownloadDBLogFilePortion: {
          input_token: "Marker",
          limit_key: "NumberOfLines",
          more_results: "AdditionalDataPending",
          output_token: "Marker",
          result_key: "LogFileData"
        },
        ListTagsForResource: {
          result_key: "TagList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/rds-2013-09-09.min.json
var require_rds_2013_09_09_min = __commonJS({
  "node_modules/aws-sdk/apis/rds-2013-09-09.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2013-09-09",
        endpointPrefix: "rds",
        protocol: "query",
        serviceAbbreviation: "Amazon RDS",
        serviceFullName: "Amazon Relational Database Service",
        serviceId: "RDS",
        signatureVersion: "v4",
        uid: "rds-2013-09-09",
        xmlNamespace: "http://rds.amazonaws.com/doc/2013-09-09/"
      },
      operations: {
        AddSourceIdentifierToSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SourceIdentifier"
            ],
            members: {
              SubscriptionName: {},
              SourceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "AddSourceIdentifierToSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        AddTagsToResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "Tags"
            ],
            members: {
              ResourceName: {},
              Tags: {
                shape: "S9"
              }
            }
          }
        },
        AuthorizeDBSecurityGroupIngress: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName"
            ],
            members: {
              DBSecurityGroupName: {},
              CIDRIP: {},
              EC2SecurityGroupName: {},
              EC2SecurityGroupId: {},
              EC2SecurityGroupOwnerId: {}
            }
          },
          output: {
            resultWrapper: "AuthorizeDBSecurityGroupIngressResult",
            type: "structure",
            members: {
              DBSecurityGroup: {
                shape: "Sd"
              }
            }
          }
        },
        CopyDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "SourceDBSnapshotIdentifier",
              "TargetDBSnapshotIdentifier"
            ],
            members: {
              SourceDBSnapshotIdentifier: {},
              TargetDBSnapshotIdentifier: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CopyDBSnapshotResult",
            type: "structure",
            members: {
              DBSnapshot: {
                shape: "Sk"
              }
            }
          }
        },
        CreateDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "AllocatedStorage",
              "DBInstanceClass",
              "Engine",
              "MasterUsername",
              "MasterUserPassword"
            ],
            members: {
              DBName: {},
              DBInstanceIdentifier: {},
              AllocatedStorage: {
                type: "integer"
              },
              DBInstanceClass: {},
              Engine: {},
              MasterUsername: {},
              MasterUserPassword: {},
              DBSecurityGroups: {
                shape: "Sp"
              },
              VpcSecurityGroupIds: {
                shape: "Sq"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              PreferredMaintenanceWindow: {},
              DBParameterGroupName: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {},
              Port: {
                type: "integer"
              },
              MultiAZ: {
                type: "boolean"
              },
              EngineVersion: {},
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              CharacterSetName: {},
              PubliclyAccessible: {
                type: "boolean"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        CreateDBInstanceReadReplica: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "SourceDBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              SourceDBInstanceIdentifier: {},
              DBInstanceClass: {},
              AvailabilityZone: {},
              Port: {
                type: "integer"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              PubliclyAccessible: {
                type: "boolean"
              },
              Tags: {
                shape: "S9"
              },
              DBSubnetGroupName: {}
            }
          },
          output: {
            resultWrapper: "CreateDBInstanceReadReplicaResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        CreateDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName",
              "DBParameterGroupFamily",
              "Description"
            ],
            members: {
              DBParameterGroupName: {},
              DBParameterGroupFamily: {},
              Description: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBParameterGroupResult",
            type: "structure",
            members: {
              DBParameterGroup: {
                shape: "S1f"
              }
            }
          }
        },
        CreateDBSecurityGroup: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName",
              "DBSecurityGroupDescription"
            ],
            members: {
              DBSecurityGroupName: {},
              DBSecurityGroupDescription: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBSecurityGroupResult",
            type: "structure",
            members: {
              DBSecurityGroup: {
                shape: "Sd"
              }
            }
          }
        },
        CreateDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBSnapshotIdentifier",
              "DBInstanceIdentifier"
            ],
            members: {
              DBSnapshotIdentifier: {},
              DBInstanceIdentifier: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBSnapshotResult",
            type: "structure",
            members: {
              DBSnapshot: {
                shape: "Sk"
              }
            }
          }
        },
        CreateDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName",
              "DBSubnetGroupDescription",
              "SubnetIds"
            ],
            members: {
              DBSubnetGroupName: {},
              DBSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S1l"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBSubnetGroupResult",
            type: "structure",
            members: {
              DBSubnetGroup: {
                shape: "S11"
              }
            }
          }
        },
        CreateEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SnsTopicArn"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              EventCategories: {
                shape: "S6"
              },
              SourceIds: {
                shape: "S5"
              },
              Enabled: {
                type: "boolean"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        CreateOptionGroup: {
          input: {
            type: "structure",
            required: [
              "OptionGroupName",
              "EngineName",
              "MajorEngineVersion",
              "OptionGroupDescription"
            ],
            members: {
              OptionGroupName: {},
              EngineName: {},
              MajorEngineVersion: {},
              OptionGroupDescription: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateOptionGroupResult",
            type: "structure",
            members: {
              OptionGroup: {
                shape: "S1r"
              }
            }
          }
        },
        DeleteDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              SkipFinalSnapshot: {
                type: "boolean"
              },
              FinalDBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        DeleteDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {}
            }
          }
        },
        DeleteDBSecurityGroup: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName"
            ],
            members: {
              DBSecurityGroupName: {}
            }
          }
        },
        DeleteDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBSnapshotIdentifier"
            ],
            members: {
              DBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBSnapshotResult",
            type: "structure",
            members: {
              DBSnapshot: {
                shape: "Sk"
              }
            }
          }
        },
        DeleteDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName"
            ],
            members: {
              DBSubnetGroupName: {}
            }
          }
        },
        DeleteEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {}
            }
          },
          output: {
            resultWrapper: "DeleteEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        DeleteOptionGroup: {
          input: {
            type: "structure",
            required: [
              "OptionGroupName"
            ],
            members: {
              OptionGroupName: {}
            }
          }
        },
        DescribeDBEngineVersions: {
          input: {
            type: "structure",
            members: {
              Engine: {},
              EngineVersion: {},
              DBParameterGroupFamily: {},
              Filters: {
                shape: "S27"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              DefaultOnly: {
                type: "boolean"
              },
              ListSupportedCharacterSets: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeDBEngineVersionsResult",
            type: "structure",
            members: {
              Marker: {},
              DBEngineVersions: {
                type: "list",
                member: {
                  locationName: "DBEngineVersion",
                  type: "structure",
                  members: {
                    Engine: {},
                    EngineVersion: {},
                    DBParameterGroupFamily: {},
                    DBEngineDescription: {},
                    DBEngineVersionDescription: {},
                    DefaultCharacterSet: {
                      shape: "S2d"
                    },
                    SupportedCharacterSets: {
                      type: "list",
                      member: {
                        shape: "S2d",
                        locationName: "CharacterSet"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeDBInstances: {
          input: {
            type: "structure",
            members: {
              DBInstanceIdentifier: {},
              Filters: {
                shape: "S27"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBInstancesResult",
            type: "structure",
            members: {
              Marker: {},
              DBInstances: {
                type: "list",
                member: {
                  shape: "St",
                  locationName: "DBInstance"
                }
              }
            }
          }
        },
        DescribeDBLogFiles: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              FilenameContains: {},
              FileLastWritten: {
                type: "long"
              },
              FileSize: {
                type: "long"
              },
              Filters: {
                shape: "S27"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBLogFilesResult",
            type: "structure",
            members: {
              DescribeDBLogFiles: {
                type: "list",
                member: {
                  locationName: "DescribeDBLogFilesDetails",
                  type: "structure",
                  members: {
                    LogFileName: {},
                    LastWritten: {
                      type: "long"
                    },
                    Size: {
                      type: "long"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeDBParameterGroups: {
          input: {
            type: "structure",
            members: {
              DBParameterGroupName: {},
              Filters: {
                shape: "S27"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBParameterGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBParameterGroups: {
                type: "list",
                member: {
                  shape: "S1f",
                  locationName: "DBParameterGroup"
                }
              }
            }
          }
        },
        DescribeDBParameters: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {},
              Source: {},
              Filters: {
                shape: "S27"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBParametersResult",
            type: "structure",
            members: {
              Parameters: {
                shape: "S2s"
              },
              Marker: {}
            }
          }
        },
        DescribeDBSecurityGroups: {
          input: {
            type: "structure",
            members: {
              DBSecurityGroupName: {},
              Filters: {
                shape: "S27"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSecurityGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSecurityGroups: {
                type: "list",
                member: {
                  shape: "Sd",
                  locationName: "DBSecurityGroup"
                }
              }
            }
          }
        },
        DescribeDBSnapshots: {
          input: {
            type: "structure",
            members: {
              DBInstanceIdentifier: {},
              DBSnapshotIdentifier: {},
              SnapshotType: {},
              Filters: {
                shape: "S27"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSnapshotsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSnapshots: {
                type: "list",
                member: {
                  shape: "Sk",
                  locationName: "DBSnapshot"
                }
              }
            }
          }
        },
        DescribeDBSubnetGroups: {
          input: {
            type: "structure",
            members: {
              DBSubnetGroupName: {},
              Filters: {
                shape: "S27"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSubnetGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSubnetGroups: {
                type: "list",
                member: {
                  shape: "S11",
                  locationName: "DBSubnetGroup"
                }
              }
            }
          }
        },
        DescribeEngineDefaultParameters: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupFamily"
            ],
            members: {
              DBParameterGroupFamily: {},
              Filters: {
                shape: "S27"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEngineDefaultParametersResult",
            type: "structure",
            members: {
              EngineDefaults: {
                type: "structure",
                members: {
                  DBParameterGroupFamily: {},
                  Marker: {},
                  Parameters: {
                    shape: "S2s"
                  }
                },
                wrapper: true
              }
            }
          }
        },
        DescribeEventCategories: {
          input: {
            type: "structure",
            members: {
              SourceType: {},
              Filters: {
                shape: "S27"
              }
            }
          },
          output: {
            resultWrapper: "DescribeEventCategoriesResult",
            type: "structure",
            members: {
              EventCategoriesMapList: {
                type: "list",
                member: {
                  locationName: "EventCategoriesMap",
                  type: "structure",
                  members: {
                    SourceType: {},
                    EventCategories: {
                      shape: "S6"
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        DescribeEventSubscriptions: {
          input: {
            type: "structure",
            members: {
              SubscriptionName: {},
              Filters: {
                shape: "S27"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventSubscriptionsResult",
            type: "structure",
            members: {
              Marker: {},
              EventSubscriptionsList: {
                type: "list",
                member: {
                  shape: "S4",
                  locationName: "EventSubscription"
                }
              }
            }
          }
        },
        DescribeEvents: {
          input: {
            type: "structure",
            members: {
              SourceIdentifier: {},
              SourceType: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Duration: {
                type: "integer"
              },
              EventCategories: {
                shape: "S6"
              },
              Filters: {
                shape: "S27"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventsResult",
            type: "structure",
            members: {
              Marker: {},
              Events: {
                type: "list",
                member: {
                  locationName: "Event",
                  type: "structure",
                  members: {
                    SourceIdentifier: {},
                    SourceType: {},
                    Message: {},
                    EventCategories: {
                      shape: "S6"
                    },
                    Date: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeOptionGroupOptions: {
          input: {
            type: "structure",
            required: [
              "EngineName"
            ],
            members: {
              EngineName: {},
              MajorEngineVersion: {},
              Filters: {
                shape: "S27"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeOptionGroupOptionsResult",
            type: "structure",
            members: {
              OptionGroupOptions: {
                type: "list",
                member: {
                  locationName: "OptionGroupOption",
                  type: "structure",
                  members: {
                    Name: {},
                    Description: {},
                    EngineName: {},
                    MajorEngineVersion: {},
                    MinimumRequiredMinorEngineVersion: {},
                    PortRequired: {
                      type: "boolean"
                    },
                    DefaultPort: {
                      type: "integer"
                    },
                    OptionsDependedOn: {
                      type: "list",
                      member: {
                        locationName: "OptionName"
                      }
                    },
                    Persistent: {
                      type: "boolean"
                    },
                    Permanent: {
                      type: "boolean"
                    },
                    OptionGroupOptionSettings: {
                      type: "list",
                      member: {
                        locationName: "OptionGroupOptionSetting",
                        type: "structure",
                        members: {
                          SettingName: {},
                          SettingDescription: {},
                          DefaultValue: {},
                          ApplyType: {},
                          AllowedValues: {},
                          IsModifiable: {
                            type: "boolean"
                          }
                        }
                      }
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeOptionGroups: {
          input: {
            type: "structure",
            members: {
              OptionGroupName: {},
              Filters: {
                shape: "S27"
              },
              Marker: {},
              MaxRecords: {
                type: "integer"
              },
              EngineName: {},
              MajorEngineVersion: {}
            }
          },
          output: {
            resultWrapper: "DescribeOptionGroupsResult",
            type: "structure",
            members: {
              OptionGroupsList: {
                type: "list",
                member: {
                  shape: "S1r",
                  locationName: "OptionGroup"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeOrderableDBInstanceOptions: {
          input: {
            type: "structure",
            required: [
              "Engine"
            ],
            members: {
              Engine: {},
              EngineVersion: {},
              DBInstanceClass: {},
              LicenseModel: {},
              Vpc: {
                type: "boolean"
              },
              Filters: {
                shape: "S27"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeOrderableDBInstanceOptionsResult",
            type: "structure",
            members: {
              OrderableDBInstanceOptions: {
                type: "list",
                member: {
                  locationName: "OrderableDBInstanceOption",
                  type: "structure",
                  members: {
                    Engine: {},
                    EngineVersion: {},
                    DBInstanceClass: {},
                    LicenseModel: {},
                    AvailabilityZones: {
                      type: "list",
                      member: {
                        shape: "S14",
                        locationName: "AvailabilityZone"
                      }
                    },
                    MultiAZCapable: {
                      type: "boolean"
                    },
                    ReadReplicaCapable: {
                      type: "boolean"
                    },
                    Vpc: {
                      type: "boolean"
                    }
                  },
                  wrapper: true
                }
              },
              Marker: {}
            }
          }
        },
        DescribeReservedDBInstances: {
          input: {
            type: "structure",
            members: {
              ReservedDBInstanceId: {},
              ReservedDBInstancesOfferingId: {},
              DBInstanceClass: {},
              Duration: {},
              ProductDescription: {},
              OfferingType: {},
              MultiAZ: {
                type: "boolean"
              },
              Filters: {
                shape: "S27"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeReservedDBInstancesResult",
            type: "structure",
            members: {
              Marker: {},
              ReservedDBInstances: {
                type: "list",
                member: {
                  shape: "S41",
                  locationName: "ReservedDBInstance"
                }
              }
            }
          }
        },
        DescribeReservedDBInstancesOfferings: {
          input: {
            type: "structure",
            members: {
              ReservedDBInstancesOfferingId: {},
              DBInstanceClass: {},
              Duration: {},
              ProductDescription: {},
              OfferingType: {},
              MultiAZ: {
                type: "boolean"
              },
              Filters: {
                shape: "S27"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeReservedDBInstancesOfferingsResult",
            type: "structure",
            members: {
              Marker: {},
              ReservedDBInstancesOfferings: {
                type: "list",
                member: {
                  locationName: "ReservedDBInstancesOffering",
                  type: "structure",
                  members: {
                    ReservedDBInstancesOfferingId: {},
                    DBInstanceClass: {},
                    Duration: {
                      type: "integer"
                    },
                    FixedPrice: {
                      type: "double"
                    },
                    UsagePrice: {
                      type: "double"
                    },
                    CurrencyCode: {},
                    ProductDescription: {},
                    OfferingType: {},
                    MultiAZ: {
                      type: "boolean"
                    },
                    RecurringCharges: {
                      shape: "S43"
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        DownloadDBLogFilePortion: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "LogFileName"
            ],
            members: {
              DBInstanceIdentifier: {},
              LogFileName: {},
              Marker: {},
              NumberOfLines: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DownloadDBLogFilePortionResult",
            type: "structure",
            members: {
              LogFileData: {},
              Marker: {},
              AdditionalDataPending: {
                type: "boolean"
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName"
            ],
            members: {
              ResourceName: {},
              Filters: {
                shape: "S27"
              }
            }
          },
          output: {
            resultWrapper: "ListTagsForResourceResult",
            type: "structure",
            members: {
              TagList: {
                shape: "S9"
              }
            }
          }
        },
        ModifyDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              AllocatedStorage: {
                type: "integer"
              },
              DBInstanceClass: {},
              DBSecurityGroups: {
                shape: "Sp"
              },
              VpcSecurityGroupIds: {
                shape: "Sq"
              },
              ApplyImmediately: {
                type: "boolean"
              },
              MasterUserPassword: {},
              DBParameterGroupName: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {},
              PreferredMaintenanceWindow: {},
              MultiAZ: {
                type: "boolean"
              },
              EngineVersion: {},
              AllowMajorVersionUpgrade: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              NewDBInstanceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "ModifyDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        ModifyDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName",
              "Parameters"
            ],
            members: {
              DBParameterGroupName: {},
              Parameters: {
                shape: "S2s"
              }
            }
          },
          output: {
            shape: "S4g",
            resultWrapper: "ModifyDBParameterGroupResult"
          }
        },
        ModifyDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName",
              "SubnetIds"
            ],
            members: {
              DBSubnetGroupName: {},
              DBSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S1l"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBSubnetGroupResult",
            type: "structure",
            members: {
              DBSubnetGroup: {
                shape: "S11"
              }
            }
          }
        },
        ModifyEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              EventCategories: {
                shape: "S6"
              },
              Enabled: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        ModifyOptionGroup: {
          input: {
            type: "structure",
            required: [
              "OptionGroupName"
            ],
            members: {
              OptionGroupName: {},
              OptionsToInclude: {
                type: "list",
                member: {
                  locationName: "OptionConfiguration",
                  type: "structure",
                  required: [
                    "OptionName"
                  ],
                  members: {
                    OptionName: {},
                    Port: {
                      type: "integer"
                    },
                    DBSecurityGroupMemberships: {
                      shape: "Sp"
                    },
                    VpcSecurityGroupMemberships: {
                      shape: "Sq"
                    },
                    OptionSettings: {
                      type: "list",
                      member: {
                        shape: "S1v",
                        locationName: "OptionSetting"
                      }
                    }
                  }
                }
              },
              OptionsToRemove: {
                type: "list",
                member: {}
              },
              ApplyImmediately: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyOptionGroupResult",
            type: "structure",
            members: {
              OptionGroup: {
                shape: "S1r"
              }
            }
          }
        },
        PromoteReadReplica: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {}
            }
          },
          output: {
            resultWrapper: "PromoteReadReplicaResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        PurchaseReservedDBInstancesOffering: {
          input: {
            type: "structure",
            required: [
              "ReservedDBInstancesOfferingId"
            ],
            members: {
              ReservedDBInstancesOfferingId: {},
              ReservedDBInstanceId: {},
              DBInstanceCount: {
                type: "integer"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "PurchaseReservedDBInstancesOfferingResult",
            type: "structure",
            members: {
              ReservedDBInstance: {
                shape: "S41"
              }
            }
          }
        },
        RebootDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              ForceFailover: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "RebootDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        RemoveSourceIdentifierFromSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SourceIdentifier"
            ],
            members: {
              SubscriptionName: {},
              SourceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "RemoveSourceIdentifierFromSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        RemoveTagsFromResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "TagKeys"
            ],
            members: {
              ResourceName: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ResetDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {},
              ResetAllParameters: {
                type: "boolean"
              },
              Parameters: {
                shape: "S2s"
              }
            }
          },
          output: {
            shape: "S4g",
            resultWrapper: "ResetDBParameterGroupResult"
          }
        },
        RestoreDBInstanceFromDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "DBSnapshotIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              DBSnapshotIdentifier: {},
              DBInstanceClass: {},
              Port: {
                type: "integer"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              MultiAZ: {
                type: "boolean"
              },
              PubliclyAccessible: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              DBName: {},
              Engine: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "RestoreDBInstanceFromDBSnapshotResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        RestoreDBInstanceToPointInTime: {
          input: {
            type: "structure",
            required: [
              "SourceDBInstanceIdentifier",
              "TargetDBInstanceIdentifier"
            ],
            members: {
              SourceDBInstanceIdentifier: {},
              TargetDBInstanceIdentifier: {},
              RestoreTime: {
                type: "timestamp"
              },
              UseLatestRestorableTime: {
                type: "boolean"
              },
              DBInstanceClass: {},
              Port: {
                type: "integer"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              MultiAZ: {
                type: "boolean"
              },
              PubliclyAccessible: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              DBName: {},
              Engine: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "RestoreDBInstanceToPointInTimeResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "St"
              }
            }
          }
        },
        RevokeDBSecurityGroupIngress: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName"
            ],
            members: {
              DBSecurityGroupName: {},
              CIDRIP: {},
              EC2SecurityGroupName: {},
              EC2SecurityGroupId: {},
              EC2SecurityGroupOwnerId: {}
            }
          },
          output: {
            resultWrapper: "RevokeDBSecurityGroupIngressResult",
            type: "structure",
            members: {
              DBSecurityGroup: {
                shape: "Sd"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            CustomerAwsId: {},
            CustSubscriptionId: {},
            SnsTopicArn: {},
            Status: {},
            SubscriptionCreationTime: {},
            SourceType: {},
            SourceIdsList: {
              shape: "S5"
            },
            EventCategoriesList: {
              shape: "S6"
            },
            Enabled: {
              type: "boolean"
            }
          },
          wrapper: true
        },
        S5: {
          type: "list",
          member: {
            locationName: "SourceId"
          }
        },
        S6: {
          type: "list",
          member: {
            locationName: "EventCategory"
          }
        },
        S9: {
          type: "list",
          member: {
            locationName: "Tag",
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sd: {
          type: "structure",
          members: {
            OwnerId: {},
            DBSecurityGroupName: {},
            DBSecurityGroupDescription: {},
            VpcId: {},
            EC2SecurityGroups: {
              type: "list",
              member: {
                locationName: "EC2SecurityGroup",
                type: "structure",
                members: {
                  Status: {},
                  EC2SecurityGroupName: {},
                  EC2SecurityGroupId: {},
                  EC2SecurityGroupOwnerId: {}
                }
              }
            },
            IPRanges: {
              type: "list",
              member: {
                locationName: "IPRange",
                type: "structure",
                members: {
                  Status: {},
                  CIDRIP: {}
                }
              }
            }
          },
          wrapper: true
        },
        Sk: {
          type: "structure",
          members: {
            DBSnapshotIdentifier: {},
            DBInstanceIdentifier: {},
            SnapshotCreateTime: {
              type: "timestamp"
            },
            Engine: {},
            AllocatedStorage: {
              type: "integer"
            },
            Status: {},
            Port: {
              type: "integer"
            },
            AvailabilityZone: {},
            VpcId: {},
            InstanceCreateTime: {
              type: "timestamp"
            },
            MasterUsername: {},
            EngineVersion: {},
            LicenseModel: {},
            SnapshotType: {},
            Iops: {
              type: "integer"
            },
            OptionGroupName: {},
            PercentProgress: {
              type: "integer"
            },
            SourceRegion: {}
          },
          wrapper: true
        },
        Sp: {
          type: "list",
          member: {
            locationName: "DBSecurityGroupName"
          }
        },
        Sq: {
          type: "list",
          member: {
            locationName: "VpcSecurityGroupId"
          }
        },
        St: {
          type: "structure",
          members: {
            DBInstanceIdentifier: {},
            DBInstanceClass: {},
            Engine: {},
            DBInstanceStatus: {},
            MasterUsername: {},
            DBName: {},
            Endpoint: {
              type: "structure",
              members: {
                Address: {},
                Port: {
                  type: "integer"
                }
              }
            },
            AllocatedStorage: {
              type: "integer"
            },
            InstanceCreateTime: {
              type: "timestamp"
            },
            PreferredBackupWindow: {},
            BackupRetentionPeriod: {
              type: "integer"
            },
            DBSecurityGroups: {
              shape: "Sv"
            },
            VpcSecurityGroups: {
              shape: "Sx"
            },
            DBParameterGroups: {
              type: "list",
              member: {
                locationName: "DBParameterGroup",
                type: "structure",
                members: {
                  DBParameterGroupName: {},
                  ParameterApplyStatus: {}
                }
              }
            },
            AvailabilityZone: {},
            DBSubnetGroup: {
              shape: "S11"
            },
            PreferredMaintenanceWindow: {},
            PendingModifiedValues: {
              type: "structure",
              members: {
                DBInstanceClass: {},
                AllocatedStorage: {
                  type: "integer"
                },
                MasterUserPassword: {},
                Port: {
                  type: "integer"
                },
                BackupRetentionPeriod: {
                  type: "integer"
                },
                MultiAZ: {
                  type: "boolean"
                },
                EngineVersion: {},
                Iops: {
                  type: "integer"
                },
                DBInstanceIdentifier: {}
              }
            },
            LatestRestorableTime: {
              type: "timestamp"
            },
            MultiAZ: {
              type: "boolean"
            },
            EngineVersion: {},
            AutoMinorVersionUpgrade: {
              type: "boolean"
            },
            ReadReplicaSourceDBInstanceIdentifier: {},
            ReadReplicaDBInstanceIdentifiers: {
              type: "list",
              member: {
                locationName: "ReadReplicaDBInstanceIdentifier"
              }
            },
            LicenseModel: {},
            Iops: {
              type: "integer"
            },
            OptionGroupMemberships: {
              type: "list",
              member: {
                locationName: "OptionGroupMembership",
                type: "structure",
                members: {
                  OptionGroupName: {},
                  Status: {}
                }
              }
            },
            CharacterSetName: {},
            SecondaryAvailabilityZone: {},
            PubliclyAccessible: {
              type: "boolean"
            },
            StatusInfos: {
              type: "list",
              member: {
                locationName: "DBInstanceStatusInfo",
                type: "structure",
                members: {
                  StatusType: {},
                  Normal: {
                    type: "boolean"
                  },
                  Status: {},
                  Message: {}
                }
              }
            }
          },
          wrapper: true
        },
        Sv: {
          type: "list",
          member: {
            locationName: "DBSecurityGroup",
            type: "structure",
            members: {
              DBSecurityGroupName: {},
              Status: {}
            }
          }
        },
        Sx: {
          type: "list",
          member: {
            locationName: "VpcSecurityGroupMembership",
            type: "structure",
            members: {
              VpcSecurityGroupId: {},
              Status: {}
            }
          }
        },
        S11: {
          type: "structure",
          members: {
            DBSubnetGroupName: {},
            DBSubnetGroupDescription: {},
            VpcId: {},
            SubnetGroupStatus: {},
            Subnets: {
              type: "list",
              member: {
                locationName: "Subnet",
                type: "structure",
                members: {
                  SubnetIdentifier: {},
                  SubnetAvailabilityZone: {
                    shape: "S14"
                  },
                  SubnetStatus: {}
                }
              }
            }
          },
          wrapper: true
        },
        S14: {
          type: "structure",
          members: {
            Name: {},
            ProvisionedIopsCapable: {
              type: "boolean"
            }
          },
          wrapper: true
        },
        S1f: {
          type: "structure",
          members: {
            DBParameterGroupName: {},
            DBParameterGroupFamily: {},
            Description: {}
          },
          wrapper: true
        },
        S1l: {
          type: "list",
          member: {
            locationName: "SubnetIdentifier"
          }
        },
        S1r: {
          type: "structure",
          members: {
            OptionGroupName: {},
            OptionGroupDescription: {},
            EngineName: {},
            MajorEngineVersion: {},
            Options: {
              type: "list",
              member: {
                locationName: "Option",
                type: "structure",
                members: {
                  OptionName: {},
                  OptionDescription: {},
                  Persistent: {
                    type: "boolean"
                  },
                  Permanent: {
                    type: "boolean"
                  },
                  Port: {
                    type: "integer"
                  },
                  OptionSettings: {
                    type: "list",
                    member: {
                      shape: "S1v",
                      locationName: "OptionSetting"
                    }
                  },
                  DBSecurityGroupMemberships: {
                    shape: "Sv"
                  },
                  VpcSecurityGroupMemberships: {
                    shape: "Sx"
                  }
                }
              }
            },
            AllowsVpcAndNonVpcInstanceMemberships: {
              type: "boolean"
            },
            VpcId: {}
          },
          wrapper: true
        },
        S1v: {
          type: "structure",
          members: {
            Name: {},
            Value: {},
            DefaultValue: {},
            Description: {},
            ApplyType: {},
            DataType: {},
            AllowedValues: {},
            IsModifiable: {
              type: "boolean"
            },
            IsCollection: {
              type: "boolean"
            }
          }
        },
        S27: {
          type: "list",
          member: {
            locationName: "Filter",
            type: "structure",
            required: [
              "Name",
              "Values"
            ],
            members: {
              Name: {},
              Values: {
                type: "list",
                member: {
                  locationName: "Value"
                }
              }
            }
          }
        },
        S2d: {
          type: "structure",
          members: {
            CharacterSetName: {},
            CharacterSetDescription: {}
          }
        },
        S2s: {
          type: "list",
          member: {
            locationName: "Parameter",
            type: "structure",
            members: {
              ParameterName: {},
              ParameterValue: {},
              Description: {},
              Source: {},
              ApplyType: {},
              DataType: {},
              AllowedValues: {},
              IsModifiable: {
                type: "boolean"
              },
              MinimumEngineVersion: {},
              ApplyMethod: {}
            }
          }
        },
        S41: {
          type: "structure",
          members: {
            ReservedDBInstanceId: {},
            ReservedDBInstancesOfferingId: {},
            DBInstanceClass: {},
            StartTime: {
              type: "timestamp"
            },
            Duration: {
              type: "integer"
            },
            FixedPrice: {
              type: "double"
            },
            UsagePrice: {
              type: "double"
            },
            CurrencyCode: {},
            DBInstanceCount: {
              type: "integer"
            },
            ProductDescription: {},
            OfferingType: {},
            MultiAZ: {
              type: "boolean"
            },
            State: {},
            RecurringCharges: {
              shape: "S43"
            }
          },
          wrapper: true
        },
        S43: {
          type: "list",
          member: {
            locationName: "RecurringCharge",
            type: "structure",
            members: {
              RecurringChargeAmount: {
                type: "double"
              },
              RecurringChargeFrequency: {}
            },
            wrapper: true
          }
        },
        S4g: {
          type: "structure",
          members: {
            DBParameterGroupName: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/rds-2013-09-09.paginators.json
var require_rds_2013_09_09_paginators = __commonJS({
  "node_modules/aws-sdk/apis/rds-2013-09-09.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeDBEngineVersions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBEngineVersions"
        },
        DescribeDBInstances: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBInstances"
        },
        DescribeDBLogFiles: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DescribeDBLogFiles"
        },
        DescribeDBParameterGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBParameterGroups"
        },
        DescribeDBParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Parameters"
        },
        DescribeDBSecurityGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBSecurityGroups"
        },
        DescribeDBSnapshots: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBSnapshots"
        },
        DescribeDBSubnetGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBSubnetGroups"
        },
        DescribeEngineDefaultParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "EngineDefaults.Marker",
          result_key: "EngineDefaults.Parameters"
        },
        DescribeEventSubscriptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "EventSubscriptionsList"
        },
        DescribeEvents: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Events"
        },
        DescribeOptionGroupOptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "OptionGroupOptions"
        },
        DescribeOptionGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "OptionGroupsList"
        },
        DescribeOrderableDBInstanceOptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "OrderableDBInstanceOptions"
        },
        DescribeReservedDBInstances: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ReservedDBInstances"
        },
        DescribeReservedDBInstancesOfferings: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ReservedDBInstancesOfferings"
        },
        DownloadDBLogFilePortion: {
          input_token: "Marker",
          limit_key: "NumberOfLines",
          more_results: "AdditionalDataPending",
          output_token: "Marker",
          result_key: "LogFileData"
        },
        ListTagsForResource: {
          result_key: "TagList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/rds-2013-09-09.waiters2.json
var require_rds_2013_09_09_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/rds-2013-09-09.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        DBInstanceAvailable: {
          delay: 30,
          operation: "DescribeDBInstances",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "available",
              matcher: "pathAll",
              state: "success",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "deleted",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "deleting",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "failed",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "incompatible-restore",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "incompatible-parameters",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "incompatible-parameters",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "incompatible-restore",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            }
          ]
        },
        DBInstanceDeleted: {
          delay: 30,
          operation: "DescribeDBInstances",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "deleted",
              matcher: "pathAll",
              state: "success",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "creating",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "modifying",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "rebooting",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "resetting-master-credentials",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/rds-2014-09-01.min.json
var require_rds_2014_09_01_min = __commonJS({
  "node_modules/aws-sdk/apis/rds-2014-09-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2014-09-01",
        endpointPrefix: "rds",
        protocol: "query",
        serviceAbbreviation: "Amazon RDS",
        serviceFullName: "Amazon Relational Database Service",
        serviceId: "RDS",
        signatureVersion: "v4",
        uid: "rds-2014-09-01",
        xmlNamespace: "http://rds.amazonaws.com/doc/2014-09-01/"
      },
      operations: {
        AddSourceIdentifierToSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SourceIdentifier"
            ],
            members: {
              SubscriptionName: {},
              SourceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "AddSourceIdentifierToSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        AddTagsToResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "Tags"
            ],
            members: {
              ResourceName: {},
              Tags: {
                shape: "S9"
              }
            }
          }
        },
        AuthorizeDBSecurityGroupIngress: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName"
            ],
            members: {
              DBSecurityGroupName: {},
              CIDRIP: {},
              EC2SecurityGroupName: {},
              EC2SecurityGroupId: {},
              EC2SecurityGroupOwnerId: {}
            }
          },
          output: {
            resultWrapper: "AuthorizeDBSecurityGroupIngressResult",
            type: "structure",
            members: {
              DBSecurityGroup: {
                shape: "Sd"
              }
            }
          }
        },
        CopyDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "SourceDBParameterGroupIdentifier",
              "TargetDBParameterGroupIdentifier",
              "TargetDBParameterGroupDescription"
            ],
            members: {
              SourceDBParameterGroupIdentifier: {},
              TargetDBParameterGroupIdentifier: {},
              TargetDBParameterGroupDescription: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CopyDBParameterGroupResult",
            type: "structure",
            members: {
              DBParameterGroup: {
                shape: "Sk"
              }
            }
          }
        },
        CopyDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "SourceDBSnapshotIdentifier",
              "TargetDBSnapshotIdentifier"
            ],
            members: {
              SourceDBSnapshotIdentifier: {},
              TargetDBSnapshotIdentifier: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CopyDBSnapshotResult",
            type: "structure",
            members: {
              DBSnapshot: {
                shape: "Sn"
              }
            }
          }
        },
        CopyOptionGroup: {
          input: {
            type: "structure",
            required: [
              "SourceOptionGroupIdentifier",
              "TargetOptionGroupIdentifier",
              "TargetOptionGroupDescription"
            ],
            members: {
              SourceOptionGroupIdentifier: {},
              TargetOptionGroupIdentifier: {},
              TargetOptionGroupDescription: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CopyOptionGroupResult",
            type: "structure",
            members: {
              OptionGroup: {
                shape: "St"
              }
            }
          }
        },
        CreateDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "AllocatedStorage",
              "DBInstanceClass",
              "Engine",
              "MasterUsername",
              "MasterUserPassword"
            ],
            members: {
              DBName: {},
              DBInstanceIdentifier: {},
              AllocatedStorage: {
                type: "integer"
              },
              DBInstanceClass: {},
              Engine: {},
              MasterUsername: {},
              MasterUserPassword: {},
              DBSecurityGroups: {
                shape: "S13"
              },
              VpcSecurityGroupIds: {
                shape: "S14"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              PreferredMaintenanceWindow: {},
              DBParameterGroupName: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {},
              Port: {
                type: "integer"
              },
              MultiAZ: {
                type: "boolean"
              },
              EngineVersion: {},
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              CharacterSetName: {},
              PubliclyAccessible: {
                type: "boolean"
              },
              Tags: {
                shape: "S9"
              },
              StorageType: {},
              TdeCredentialArn: {},
              TdeCredentialPassword: {}
            }
          },
          output: {
            resultWrapper: "CreateDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S17"
              }
            }
          }
        },
        CreateDBInstanceReadReplica: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "SourceDBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              SourceDBInstanceIdentifier: {},
              DBInstanceClass: {},
              AvailabilityZone: {},
              Port: {
                type: "integer"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              PubliclyAccessible: {
                type: "boolean"
              },
              Tags: {
                shape: "S9"
              },
              DBSubnetGroupName: {},
              StorageType: {}
            }
          },
          output: {
            resultWrapper: "CreateDBInstanceReadReplicaResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S17"
              }
            }
          }
        },
        CreateDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName",
              "DBParameterGroupFamily",
              "Description"
            ],
            members: {
              DBParameterGroupName: {},
              DBParameterGroupFamily: {},
              Description: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBParameterGroupResult",
            type: "structure",
            members: {
              DBParameterGroup: {
                shape: "Sk"
              }
            }
          }
        },
        CreateDBSecurityGroup: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName",
              "DBSecurityGroupDescription"
            ],
            members: {
              DBSecurityGroupName: {},
              DBSecurityGroupDescription: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBSecurityGroupResult",
            type: "structure",
            members: {
              DBSecurityGroup: {
                shape: "Sd"
              }
            }
          }
        },
        CreateDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBSnapshotIdentifier",
              "DBInstanceIdentifier"
            ],
            members: {
              DBSnapshotIdentifier: {},
              DBInstanceIdentifier: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBSnapshotResult",
            type: "structure",
            members: {
              DBSnapshot: {
                shape: "Sn"
              }
            }
          }
        },
        CreateDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName",
              "DBSubnetGroupDescription",
              "SubnetIds"
            ],
            members: {
              DBSubnetGroupName: {},
              DBSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S1u"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBSubnetGroupResult",
            type: "structure",
            members: {
              DBSubnetGroup: {
                shape: "S1b"
              }
            }
          }
        },
        CreateEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SnsTopicArn"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              EventCategories: {
                shape: "S6"
              },
              SourceIds: {
                shape: "S5"
              },
              Enabled: {
                type: "boolean"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        CreateOptionGroup: {
          input: {
            type: "structure",
            required: [
              "OptionGroupName",
              "EngineName",
              "MajorEngineVersion",
              "OptionGroupDescription"
            ],
            members: {
              OptionGroupName: {},
              EngineName: {},
              MajorEngineVersion: {},
              OptionGroupDescription: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateOptionGroupResult",
            type: "structure",
            members: {
              OptionGroup: {
                shape: "St"
              }
            }
          }
        },
        DeleteDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              SkipFinalSnapshot: {
                type: "boolean"
              },
              FinalDBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S17"
              }
            }
          }
        },
        DeleteDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {}
            }
          }
        },
        DeleteDBSecurityGroup: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName"
            ],
            members: {
              DBSecurityGroupName: {}
            }
          }
        },
        DeleteDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBSnapshotIdentifier"
            ],
            members: {
              DBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBSnapshotResult",
            type: "structure",
            members: {
              DBSnapshot: {
                shape: "Sn"
              }
            }
          }
        },
        DeleteDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName"
            ],
            members: {
              DBSubnetGroupName: {}
            }
          }
        },
        DeleteEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {}
            }
          },
          output: {
            resultWrapper: "DeleteEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        DeleteOptionGroup: {
          input: {
            type: "structure",
            required: [
              "OptionGroupName"
            ],
            members: {
              OptionGroupName: {}
            }
          }
        },
        DescribeDBEngineVersions: {
          input: {
            type: "structure",
            members: {
              Engine: {},
              EngineVersion: {},
              DBParameterGroupFamily: {},
              Filters: {
                shape: "S2b"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              DefaultOnly: {
                type: "boolean"
              },
              ListSupportedCharacterSets: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeDBEngineVersionsResult",
            type: "structure",
            members: {
              Marker: {},
              DBEngineVersions: {
                type: "list",
                member: {
                  locationName: "DBEngineVersion",
                  type: "structure",
                  members: {
                    Engine: {},
                    EngineVersion: {},
                    DBParameterGroupFamily: {},
                    DBEngineDescription: {},
                    DBEngineVersionDescription: {},
                    DefaultCharacterSet: {
                      shape: "S2h"
                    },
                    SupportedCharacterSets: {
                      type: "list",
                      member: {
                        shape: "S2h",
                        locationName: "CharacterSet"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeDBInstances: {
          input: {
            type: "structure",
            members: {
              DBInstanceIdentifier: {},
              Filters: {
                shape: "S2b"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBInstancesResult",
            type: "structure",
            members: {
              Marker: {},
              DBInstances: {
                type: "list",
                member: {
                  shape: "S17",
                  locationName: "DBInstance"
                }
              }
            }
          }
        },
        DescribeDBLogFiles: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              FilenameContains: {},
              FileLastWritten: {
                type: "long"
              },
              FileSize: {
                type: "long"
              },
              Filters: {
                shape: "S2b"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBLogFilesResult",
            type: "structure",
            members: {
              DescribeDBLogFiles: {
                type: "list",
                member: {
                  locationName: "DescribeDBLogFilesDetails",
                  type: "structure",
                  members: {
                    LogFileName: {},
                    LastWritten: {
                      type: "long"
                    },
                    Size: {
                      type: "long"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeDBParameterGroups: {
          input: {
            type: "structure",
            members: {
              DBParameterGroupName: {},
              Filters: {
                shape: "S2b"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBParameterGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBParameterGroups: {
                type: "list",
                member: {
                  shape: "Sk",
                  locationName: "DBParameterGroup"
                }
              }
            }
          }
        },
        DescribeDBParameters: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {},
              Source: {},
              Filters: {
                shape: "S2b"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBParametersResult",
            type: "structure",
            members: {
              Parameters: {
                shape: "S2w"
              },
              Marker: {}
            }
          }
        },
        DescribeDBSecurityGroups: {
          input: {
            type: "structure",
            members: {
              DBSecurityGroupName: {},
              Filters: {
                shape: "S2b"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSecurityGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSecurityGroups: {
                type: "list",
                member: {
                  shape: "Sd",
                  locationName: "DBSecurityGroup"
                }
              }
            }
          }
        },
        DescribeDBSnapshots: {
          input: {
            type: "structure",
            members: {
              DBInstanceIdentifier: {},
              DBSnapshotIdentifier: {},
              SnapshotType: {},
              Filters: {
                shape: "S2b"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSnapshotsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSnapshots: {
                type: "list",
                member: {
                  shape: "Sn",
                  locationName: "DBSnapshot"
                }
              }
            }
          }
        },
        DescribeDBSubnetGroups: {
          input: {
            type: "structure",
            members: {
              DBSubnetGroupName: {},
              Filters: {
                shape: "S2b"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSubnetGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSubnetGroups: {
                type: "list",
                member: {
                  shape: "S1b",
                  locationName: "DBSubnetGroup"
                }
              }
            }
          }
        },
        DescribeEngineDefaultParameters: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupFamily"
            ],
            members: {
              DBParameterGroupFamily: {},
              Filters: {
                shape: "S2b"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEngineDefaultParametersResult",
            type: "structure",
            members: {
              EngineDefaults: {
                type: "structure",
                members: {
                  DBParameterGroupFamily: {},
                  Marker: {},
                  Parameters: {
                    shape: "S2w"
                  }
                },
                wrapper: true
              }
            }
          }
        },
        DescribeEventCategories: {
          input: {
            type: "structure",
            members: {
              SourceType: {},
              Filters: {
                shape: "S2b"
              }
            }
          },
          output: {
            resultWrapper: "DescribeEventCategoriesResult",
            type: "structure",
            members: {
              EventCategoriesMapList: {
                type: "list",
                member: {
                  locationName: "EventCategoriesMap",
                  type: "structure",
                  members: {
                    SourceType: {},
                    EventCategories: {
                      shape: "S6"
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        DescribeEventSubscriptions: {
          input: {
            type: "structure",
            members: {
              SubscriptionName: {},
              Filters: {
                shape: "S2b"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventSubscriptionsResult",
            type: "structure",
            members: {
              Marker: {},
              EventSubscriptionsList: {
                type: "list",
                member: {
                  shape: "S4",
                  locationName: "EventSubscription"
                }
              }
            }
          }
        },
        DescribeEvents: {
          input: {
            type: "structure",
            members: {
              SourceIdentifier: {},
              SourceType: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Duration: {
                type: "integer"
              },
              EventCategories: {
                shape: "S6"
              },
              Filters: {
                shape: "S2b"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventsResult",
            type: "structure",
            members: {
              Marker: {},
              Events: {
                type: "list",
                member: {
                  locationName: "Event",
                  type: "structure",
                  members: {
                    SourceIdentifier: {},
                    SourceType: {},
                    Message: {},
                    EventCategories: {
                      shape: "S6"
                    },
                    Date: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeOptionGroupOptions: {
          input: {
            type: "structure",
            required: [
              "EngineName"
            ],
            members: {
              EngineName: {},
              MajorEngineVersion: {},
              Filters: {
                shape: "S2b"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeOptionGroupOptionsResult",
            type: "structure",
            members: {
              OptionGroupOptions: {
                type: "list",
                member: {
                  locationName: "OptionGroupOption",
                  type: "structure",
                  members: {
                    Name: {},
                    Description: {},
                    EngineName: {},
                    MajorEngineVersion: {},
                    MinimumRequiredMinorEngineVersion: {},
                    PortRequired: {
                      type: "boolean"
                    },
                    DefaultPort: {
                      type: "integer"
                    },
                    OptionsDependedOn: {
                      type: "list",
                      member: {
                        locationName: "OptionName"
                      }
                    },
                    Persistent: {
                      type: "boolean"
                    },
                    Permanent: {
                      type: "boolean"
                    },
                    OptionGroupOptionSettings: {
                      type: "list",
                      member: {
                        locationName: "OptionGroupOptionSetting",
                        type: "structure",
                        members: {
                          SettingName: {},
                          SettingDescription: {},
                          DefaultValue: {},
                          ApplyType: {},
                          AllowedValues: {},
                          IsModifiable: {
                            type: "boolean"
                          }
                        }
                      }
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeOptionGroups: {
          input: {
            type: "structure",
            members: {
              OptionGroupName: {},
              Filters: {
                shape: "S2b"
              },
              Marker: {},
              MaxRecords: {
                type: "integer"
              },
              EngineName: {},
              MajorEngineVersion: {}
            }
          },
          output: {
            resultWrapper: "DescribeOptionGroupsResult",
            type: "structure",
            members: {
              OptionGroupsList: {
                type: "list",
                member: {
                  shape: "St",
                  locationName: "OptionGroup"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeOrderableDBInstanceOptions: {
          input: {
            type: "structure",
            required: [
              "Engine"
            ],
            members: {
              Engine: {},
              EngineVersion: {},
              DBInstanceClass: {},
              LicenseModel: {},
              Vpc: {
                type: "boolean"
              },
              Filters: {
                shape: "S2b"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeOrderableDBInstanceOptionsResult",
            type: "structure",
            members: {
              OrderableDBInstanceOptions: {
                type: "list",
                member: {
                  locationName: "OrderableDBInstanceOption",
                  type: "structure",
                  members: {
                    Engine: {},
                    EngineVersion: {},
                    DBInstanceClass: {},
                    LicenseModel: {},
                    AvailabilityZones: {
                      type: "list",
                      member: {
                        shape: "S1e",
                        locationName: "AvailabilityZone"
                      }
                    },
                    MultiAZCapable: {
                      type: "boolean"
                    },
                    ReadReplicaCapable: {
                      type: "boolean"
                    },
                    Vpc: {
                      type: "boolean"
                    },
                    StorageType: {},
                    SupportsIops: {
                      type: "boolean"
                    }
                  },
                  wrapper: true
                }
              },
              Marker: {}
            }
          }
        },
        DescribeReservedDBInstances: {
          input: {
            type: "structure",
            members: {
              ReservedDBInstanceId: {},
              ReservedDBInstancesOfferingId: {},
              DBInstanceClass: {},
              Duration: {},
              ProductDescription: {},
              OfferingType: {},
              MultiAZ: {
                type: "boolean"
              },
              Filters: {
                shape: "S2b"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeReservedDBInstancesResult",
            type: "structure",
            members: {
              Marker: {},
              ReservedDBInstances: {
                type: "list",
                member: {
                  shape: "S45",
                  locationName: "ReservedDBInstance"
                }
              }
            }
          }
        },
        DescribeReservedDBInstancesOfferings: {
          input: {
            type: "structure",
            members: {
              ReservedDBInstancesOfferingId: {},
              DBInstanceClass: {},
              Duration: {},
              ProductDescription: {},
              OfferingType: {},
              MultiAZ: {
                type: "boolean"
              },
              Filters: {
                shape: "S2b"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeReservedDBInstancesOfferingsResult",
            type: "structure",
            members: {
              Marker: {},
              ReservedDBInstancesOfferings: {
                type: "list",
                member: {
                  locationName: "ReservedDBInstancesOffering",
                  type: "structure",
                  members: {
                    ReservedDBInstancesOfferingId: {},
                    DBInstanceClass: {},
                    Duration: {
                      type: "integer"
                    },
                    FixedPrice: {
                      type: "double"
                    },
                    UsagePrice: {
                      type: "double"
                    },
                    CurrencyCode: {},
                    ProductDescription: {},
                    OfferingType: {},
                    MultiAZ: {
                      type: "boolean"
                    },
                    RecurringCharges: {
                      shape: "S47"
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        DownloadDBLogFilePortion: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "LogFileName"
            ],
            members: {
              DBInstanceIdentifier: {},
              LogFileName: {},
              Marker: {},
              NumberOfLines: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DownloadDBLogFilePortionResult",
            type: "structure",
            members: {
              LogFileData: {},
              Marker: {},
              AdditionalDataPending: {
                type: "boolean"
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName"
            ],
            members: {
              ResourceName: {},
              Filters: {
                shape: "S2b"
              }
            }
          },
          output: {
            resultWrapper: "ListTagsForResourceResult",
            type: "structure",
            members: {
              TagList: {
                shape: "S9"
              }
            }
          }
        },
        ModifyDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              AllocatedStorage: {
                type: "integer"
              },
              DBInstanceClass: {},
              DBSecurityGroups: {
                shape: "S13"
              },
              VpcSecurityGroupIds: {
                shape: "S14"
              },
              ApplyImmediately: {
                type: "boolean"
              },
              MasterUserPassword: {},
              DBParameterGroupName: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {},
              PreferredMaintenanceWindow: {},
              MultiAZ: {
                type: "boolean"
              },
              EngineVersion: {},
              AllowMajorVersionUpgrade: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              NewDBInstanceIdentifier: {},
              StorageType: {},
              TdeCredentialArn: {},
              TdeCredentialPassword: {}
            }
          },
          output: {
            resultWrapper: "ModifyDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S17"
              }
            }
          }
        },
        ModifyDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName",
              "Parameters"
            ],
            members: {
              DBParameterGroupName: {},
              Parameters: {
                shape: "S2w"
              }
            }
          },
          output: {
            shape: "S4k",
            resultWrapper: "ModifyDBParameterGroupResult"
          }
        },
        ModifyDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName",
              "SubnetIds"
            ],
            members: {
              DBSubnetGroupName: {},
              DBSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S1u"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBSubnetGroupResult",
            type: "structure",
            members: {
              DBSubnetGroup: {
                shape: "S1b"
              }
            }
          }
        },
        ModifyEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              EventCategories: {
                shape: "S6"
              },
              Enabled: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        ModifyOptionGroup: {
          input: {
            type: "structure",
            required: [
              "OptionGroupName"
            ],
            members: {
              OptionGroupName: {},
              OptionsToInclude: {
                type: "list",
                member: {
                  locationName: "OptionConfiguration",
                  type: "structure",
                  required: [
                    "OptionName"
                  ],
                  members: {
                    OptionName: {},
                    Port: {
                      type: "integer"
                    },
                    DBSecurityGroupMemberships: {
                      shape: "S13"
                    },
                    VpcSecurityGroupMemberships: {
                      shape: "S14"
                    },
                    OptionSettings: {
                      type: "list",
                      member: {
                        shape: "Sx",
                        locationName: "OptionSetting"
                      }
                    }
                  }
                }
              },
              OptionsToRemove: {
                type: "list",
                member: {}
              },
              ApplyImmediately: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyOptionGroupResult",
            type: "structure",
            members: {
              OptionGroup: {
                shape: "St"
              }
            }
          }
        },
        PromoteReadReplica: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {}
            }
          },
          output: {
            resultWrapper: "PromoteReadReplicaResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S17"
              }
            }
          }
        },
        PurchaseReservedDBInstancesOffering: {
          input: {
            type: "structure",
            required: [
              "ReservedDBInstancesOfferingId"
            ],
            members: {
              ReservedDBInstancesOfferingId: {},
              ReservedDBInstanceId: {},
              DBInstanceCount: {
                type: "integer"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "PurchaseReservedDBInstancesOfferingResult",
            type: "structure",
            members: {
              ReservedDBInstance: {
                shape: "S45"
              }
            }
          }
        },
        RebootDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              ForceFailover: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "RebootDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S17"
              }
            }
          }
        },
        RemoveSourceIdentifierFromSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SourceIdentifier"
            ],
            members: {
              SubscriptionName: {},
              SourceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "RemoveSourceIdentifierFromSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        RemoveTagsFromResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "TagKeys"
            ],
            members: {
              ResourceName: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ResetDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {},
              ResetAllParameters: {
                type: "boolean"
              },
              Parameters: {
                shape: "S2w"
              }
            }
          },
          output: {
            shape: "S4k",
            resultWrapper: "ResetDBParameterGroupResult"
          }
        },
        RestoreDBInstanceFromDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "DBSnapshotIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              DBSnapshotIdentifier: {},
              DBInstanceClass: {},
              Port: {
                type: "integer"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              MultiAZ: {
                type: "boolean"
              },
              PubliclyAccessible: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              DBName: {},
              Engine: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              Tags: {
                shape: "S9"
              },
              StorageType: {},
              TdeCredentialArn: {},
              TdeCredentialPassword: {}
            }
          },
          output: {
            resultWrapper: "RestoreDBInstanceFromDBSnapshotResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S17"
              }
            }
          }
        },
        RestoreDBInstanceToPointInTime: {
          input: {
            type: "structure",
            required: [
              "SourceDBInstanceIdentifier",
              "TargetDBInstanceIdentifier"
            ],
            members: {
              SourceDBInstanceIdentifier: {},
              TargetDBInstanceIdentifier: {},
              RestoreTime: {
                type: "timestamp"
              },
              UseLatestRestorableTime: {
                type: "boolean"
              },
              DBInstanceClass: {},
              Port: {
                type: "integer"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              MultiAZ: {
                type: "boolean"
              },
              PubliclyAccessible: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              DBName: {},
              Engine: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              Tags: {
                shape: "S9"
              },
              StorageType: {},
              TdeCredentialArn: {},
              TdeCredentialPassword: {}
            }
          },
          output: {
            resultWrapper: "RestoreDBInstanceToPointInTimeResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S17"
              }
            }
          }
        },
        RevokeDBSecurityGroupIngress: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName"
            ],
            members: {
              DBSecurityGroupName: {},
              CIDRIP: {},
              EC2SecurityGroupName: {},
              EC2SecurityGroupId: {},
              EC2SecurityGroupOwnerId: {}
            }
          },
          output: {
            resultWrapper: "RevokeDBSecurityGroupIngressResult",
            type: "structure",
            members: {
              DBSecurityGroup: {
                shape: "Sd"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            CustomerAwsId: {},
            CustSubscriptionId: {},
            SnsTopicArn: {},
            Status: {},
            SubscriptionCreationTime: {},
            SourceType: {},
            SourceIdsList: {
              shape: "S5"
            },
            EventCategoriesList: {
              shape: "S6"
            },
            Enabled: {
              type: "boolean"
            }
          },
          wrapper: true
        },
        S5: {
          type: "list",
          member: {
            locationName: "SourceId"
          }
        },
        S6: {
          type: "list",
          member: {
            locationName: "EventCategory"
          }
        },
        S9: {
          type: "list",
          member: {
            locationName: "Tag",
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sd: {
          type: "structure",
          members: {
            OwnerId: {},
            DBSecurityGroupName: {},
            DBSecurityGroupDescription: {},
            VpcId: {},
            EC2SecurityGroups: {
              type: "list",
              member: {
                locationName: "EC2SecurityGroup",
                type: "structure",
                members: {
                  Status: {},
                  EC2SecurityGroupName: {},
                  EC2SecurityGroupId: {},
                  EC2SecurityGroupOwnerId: {}
                }
              }
            },
            IPRanges: {
              type: "list",
              member: {
                locationName: "IPRange",
                type: "structure",
                members: {
                  Status: {},
                  CIDRIP: {}
                }
              }
            }
          },
          wrapper: true
        },
        Sk: {
          type: "structure",
          members: {
            DBParameterGroupName: {},
            DBParameterGroupFamily: {},
            Description: {}
          },
          wrapper: true
        },
        Sn: {
          type: "structure",
          members: {
            DBSnapshotIdentifier: {},
            DBInstanceIdentifier: {},
            SnapshotCreateTime: {
              type: "timestamp"
            },
            Engine: {},
            AllocatedStorage: {
              type: "integer"
            },
            Status: {},
            Port: {
              type: "integer"
            },
            AvailabilityZone: {},
            VpcId: {},
            InstanceCreateTime: {
              type: "timestamp"
            },
            MasterUsername: {},
            EngineVersion: {},
            LicenseModel: {},
            SnapshotType: {},
            Iops: {
              type: "integer"
            },
            OptionGroupName: {},
            PercentProgress: {
              type: "integer"
            },
            SourceRegion: {},
            StorageType: {},
            TdeCredentialArn: {}
          },
          wrapper: true
        },
        St: {
          type: "structure",
          members: {
            OptionGroupName: {},
            OptionGroupDescription: {},
            EngineName: {},
            MajorEngineVersion: {},
            Options: {
              type: "list",
              member: {
                locationName: "Option",
                type: "structure",
                members: {
                  OptionName: {},
                  OptionDescription: {},
                  Persistent: {
                    type: "boolean"
                  },
                  Permanent: {
                    type: "boolean"
                  },
                  Port: {
                    type: "integer"
                  },
                  OptionSettings: {
                    type: "list",
                    member: {
                      shape: "Sx",
                      locationName: "OptionSetting"
                    }
                  },
                  DBSecurityGroupMemberships: {
                    shape: "Sy"
                  },
                  VpcSecurityGroupMemberships: {
                    shape: "S10"
                  }
                }
              }
            },
            AllowsVpcAndNonVpcInstanceMemberships: {
              type: "boolean"
            },
            VpcId: {}
          },
          wrapper: true
        },
        Sx: {
          type: "structure",
          members: {
            Name: {},
            Value: {},
            DefaultValue: {},
            Description: {},
            ApplyType: {},
            DataType: {},
            AllowedValues: {},
            IsModifiable: {
              type: "boolean"
            },
            IsCollection: {
              type: "boolean"
            }
          }
        },
        Sy: {
          type: "list",
          member: {
            locationName: "DBSecurityGroup",
            type: "structure",
            members: {
              DBSecurityGroupName: {},
              Status: {}
            }
          }
        },
        S10: {
          type: "list",
          member: {
            locationName: "VpcSecurityGroupMembership",
            type: "structure",
            members: {
              VpcSecurityGroupId: {},
              Status: {}
            }
          }
        },
        S13: {
          type: "list",
          member: {
            locationName: "DBSecurityGroupName"
          }
        },
        S14: {
          type: "list",
          member: {
            locationName: "VpcSecurityGroupId"
          }
        },
        S17: {
          type: "structure",
          members: {
            DBInstanceIdentifier: {},
            DBInstanceClass: {},
            Engine: {},
            DBInstanceStatus: {},
            MasterUsername: {},
            DBName: {},
            Endpoint: {
              type: "structure",
              members: {
                Address: {},
                Port: {
                  type: "integer"
                }
              }
            },
            AllocatedStorage: {
              type: "integer"
            },
            InstanceCreateTime: {
              type: "timestamp"
            },
            PreferredBackupWindow: {},
            BackupRetentionPeriod: {
              type: "integer"
            },
            DBSecurityGroups: {
              shape: "Sy"
            },
            VpcSecurityGroups: {
              shape: "S10"
            },
            DBParameterGroups: {
              type: "list",
              member: {
                locationName: "DBParameterGroup",
                type: "structure",
                members: {
                  DBParameterGroupName: {},
                  ParameterApplyStatus: {}
                }
              }
            },
            AvailabilityZone: {},
            DBSubnetGroup: {
              shape: "S1b"
            },
            PreferredMaintenanceWindow: {},
            PendingModifiedValues: {
              type: "structure",
              members: {
                DBInstanceClass: {},
                AllocatedStorage: {
                  type: "integer"
                },
                MasterUserPassword: {},
                Port: {
                  type: "integer"
                },
                BackupRetentionPeriod: {
                  type: "integer"
                },
                MultiAZ: {
                  type: "boolean"
                },
                EngineVersion: {},
                Iops: {
                  type: "integer"
                },
                DBInstanceIdentifier: {},
                StorageType: {}
              }
            },
            LatestRestorableTime: {
              type: "timestamp"
            },
            MultiAZ: {
              type: "boolean"
            },
            EngineVersion: {},
            AutoMinorVersionUpgrade: {
              type: "boolean"
            },
            ReadReplicaSourceDBInstanceIdentifier: {},
            ReadReplicaDBInstanceIdentifiers: {
              type: "list",
              member: {
                locationName: "ReadReplicaDBInstanceIdentifier"
              }
            },
            LicenseModel: {},
            Iops: {
              type: "integer"
            },
            OptionGroupMemberships: {
              type: "list",
              member: {
                locationName: "OptionGroupMembership",
                type: "structure",
                members: {
                  OptionGroupName: {},
                  Status: {}
                }
              }
            },
            CharacterSetName: {},
            SecondaryAvailabilityZone: {},
            PubliclyAccessible: {
              type: "boolean"
            },
            StatusInfos: {
              type: "list",
              member: {
                locationName: "DBInstanceStatusInfo",
                type: "structure",
                members: {
                  StatusType: {},
                  Normal: {
                    type: "boolean"
                  },
                  Status: {},
                  Message: {}
                }
              }
            },
            StorageType: {},
            TdeCredentialArn: {}
          },
          wrapper: true
        },
        S1b: {
          type: "structure",
          members: {
            DBSubnetGroupName: {},
            DBSubnetGroupDescription: {},
            VpcId: {},
            SubnetGroupStatus: {},
            Subnets: {
              type: "list",
              member: {
                locationName: "Subnet",
                type: "structure",
                members: {
                  SubnetIdentifier: {},
                  SubnetAvailabilityZone: {
                    shape: "S1e"
                  },
                  SubnetStatus: {}
                }
              }
            }
          },
          wrapper: true
        },
        S1e: {
          type: "structure",
          members: {
            Name: {}
          },
          wrapper: true
        },
        S1u: {
          type: "list",
          member: {
            locationName: "SubnetIdentifier"
          }
        },
        S2b: {
          type: "list",
          member: {
            locationName: "Filter",
            type: "structure",
            required: [
              "Name",
              "Values"
            ],
            members: {
              Name: {},
              Values: {
                type: "list",
                member: {
                  locationName: "Value"
                }
              }
            }
          }
        },
        S2h: {
          type: "structure",
          members: {
            CharacterSetName: {},
            CharacterSetDescription: {}
          }
        },
        S2w: {
          type: "list",
          member: {
            locationName: "Parameter",
            type: "structure",
            members: {
              ParameterName: {},
              ParameterValue: {},
              Description: {},
              Source: {},
              ApplyType: {},
              DataType: {},
              AllowedValues: {},
              IsModifiable: {
                type: "boolean"
              },
              MinimumEngineVersion: {},
              ApplyMethod: {}
            }
          }
        },
        S45: {
          type: "structure",
          members: {
            ReservedDBInstanceId: {},
            ReservedDBInstancesOfferingId: {},
            DBInstanceClass: {},
            StartTime: {
              type: "timestamp"
            },
            Duration: {
              type: "integer"
            },
            FixedPrice: {
              type: "double"
            },
            UsagePrice: {
              type: "double"
            },
            CurrencyCode: {},
            DBInstanceCount: {
              type: "integer"
            },
            ProductDescription: {},
            OfferingType: {},
            MultiAZ: {
              type: "boolean"
            },
            State: {},
            RecurringCharges: {
              shape: "S47"
            }
          },
          wrapper: true
        },
        S47: {
          type: "list",
          member: {
            locationName: "RecurringCharge",
            type: "structure",
            members: {
              RecurringChargeAmount: {
                type: "double"
              },
              RecurringChargeFrequency: {}
            },
            wrapper: true
          }
        },
        S4k: {
          type: "structure",
          members: {
            DBParameterGroupName: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/rds-2014-09-01.paginators.json
var require_rds_2014_09_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/rds-2014-09-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/apis/rds-2014-10-31.min.json
var require_rds_2014_10_31_min = __commonJS({
  "node_modules/aws-sdk/apis/rds-2014-10-31.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2014-10-31",
        endpointPrefix: "rds",
        protocol: "query",
        serviceAbbreviation: "Amazon RDS",
        serviceFullName: "Amazon Relational Database Service",
        serviceId: "RDS",
        signatureVersion: "v4",
        uid: "rds-2014-10-31",
        xmlNamespace: "http://rds.amazonaws.com/doc/2014-10-31/"
      },
      operations: {
        AddRoleToDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "RoleArn"
            ],
            members: {
              DBClusterIdentifier: {},
              RoleArn: {},
              FeatureName: {}
            }
          }
        },
        AddRoleToDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "RoleArn",
              "FeatureName"
            ],
            members: {
              DBInstanceIdentifier: {},
              RoleArn: {},
              FeatureName: {}
            }
          }
        },
        AddSourceIdentifierToSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SourceIdentifier"
            ],
            members: {
              SubscriptionName: {},
              SourceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "AddSourceIdentifierToSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S6"
              }
            }
          }
        },
        AddTagsToResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "Tags"
            ],
            members: {
              ResourceName: {},
              Tags: {
                shape: "Sb"
              }
            }
          }
        },
        ApplyPendingMaintenanceAction: {
          input: {
            type: "structure",
            required: [
              "ResourceIdentifier",
              "ApplyAction",
              "OptInType"
            ],
            members: {
              ResourceIdentifier: {},
              ApplyAction: {},
              OptInType: {}
            }
          },
          output: {
            resultWrapper: "ApplyPendingMaintenanceActionResult",
            type: "structure",
            members: {
              ResourcePendingMaintenanceActions: {
                shape: "Sf"
              }
            }
          }
        },
        AuthorizeDBSecurityGroupIngress: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName"
            ],
            members: {
              DBSecurityGroupName: {},
              CIDRIP: {},
              EC2SecurityGroupName: {},
              EC2SecurityGroupId: {},
              EC2SecurityGroupOwnerId: {}
            }
          },
          output: {
            resultWrapper: "AuthorizeDBSecurityGroupIngressResult",
            type: "structure",
            members: {
              DBSecurityGroup: {
                shape: "Sl"
              }
            }
          }
        },
        BacktrackDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "BacktrackTo"
            ],
            members: {
              DBClusterIdentifier: {},
              BacktrackTo: {
                type: "timestamp"
              },
              Force: {
                type: "boolean"
              },
              UseEarliestTimeOnPointInTimeUnavailable: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "Ss",
            resultWrapper: "BacktrackDBClusterResult"
          }
        },
        CancelExportTask: {
          input: {
            type: "structure",
            required: [
              "ExportTaskIdentifier"
            ],
            members: {
              ExportTaskIdentifier: {}
            }
          },
          output: {
            shape: "Su",
            resultWrapper: "CancelExportTaskResult"
          }
        },
        CopyDBClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "SourceDBClusterParameterGroupIdentifier",
              "TargetDBClusterParameterGroupIdentifier",
              "TargetDBClusterParameterGroupDescription"
            ],
            members: {
              SourceDBClusterParameterGroupIdentifier: {},
              TargetDBClusterParameterGroupIdentifier: {},
              TargetDBClusterParameterGroupDescription: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "CopyDBClusterParameterGroupResult",
            type: "structure",
            members: {
              DBClusterParameterGroup: {
                shape: "S10"
              }
            }
          }
        },
        CopyDBClusterSnapshot: {
          input: {
            type: "structure",
            required: [
              "SourceDBClusterSnapshotIdentifier",
              "TargetDBClusterSnapshotIdentifier"
            ],
            members: {
              SourceDBClusterSnapshotIdentifier: {},
              TargetDBClusterSnapshotIdentifier: {},
              KmsKeyId: {},
              PreSignedUrl: {},
              CopyTags: {
                type: "boolean"
              },
              Tags: {
                shape: "Sb"
              },
              SourceRegion: {}
            }
          },
          output: {
            resultWrapper: "CopyDBClusterSnapshotResult",
            type: "structure",
            members: {
              DBClusterSnapshot: {
                shape: "S13"
              }
            }
          }
        },
        CopyDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "SourceDBParameterGroupIdentifier",
              "TargetDBParameterGroupIdentifier",
              "TargetDBParameterGroupDescription"
            ],
            members: {
              SourceDBParameterGroupIdentifier: {},
              TargetDBParameterGroupIdentifier: {},
              TargetDBParameterGroupDescription: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "CopyDBParameterGroupResult",
            type: "structure",
            members: {
              DBParameterGroup: {
                shape: "S17"
              }
            }
          }
        },
        CopyDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "SourceDBSnapshotIdentifier",
              "TargetDBSnapshotIdentifier"
            ],
            members: {
              SourceDBSnapshotIdentifier: {},
              TargetDBSnapshotIdentifier: {},
              KmsKeyId: {},
              Tags: {
                shape: "Sb"
              },
              CopyTags: {
                type: "boolean"
              },
              PreSignedUrl: {},
              OptionGroupName: {},
              TargetCustomAvailabilityZone: {},
              CopyOptionGroup: {
                type: "boolean"
              },
              SourceRegion: {}
            }
          },
          output: {
            resultWrapper: "CopyDBSnapshotResult",
            type: "structure",
            members: {
              DBSnapshot: {
                shape: "S1a"
              }
            }
          }
        },
        CopyOptionGroup: {
          input: {
            type: "structure",
            required: [
              "SourceOptionGroupIdentifier",
              "TargetOptionGroupIdentifier",
              "TargetOptionGroupDescription"
            ],
            members: {
              SourceOptionGroupIdentifier: {},
              TargetOptionGroupIdentifier: {},
              TargetOptionGroupDescription: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "CopyOptionGroupResult",
            type: "structure",
            members: {
              OptionGroup: {
                shape: "S1g"
              }
            }
          }
        },
        CreateBlueGreenDeployment: {
          input: {
            type: "structure",
            required: [
              "BlueGreenDeploymentName",
              "Source"
            ],
            members: {
              BlueGreenDeploymentName: {},
              Source: {},
              TargetEngineVersion: {},
              TargetDBParameterGroupName: {},
              TargetDBClusterParameterGroupName: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "CreateBlueGreenDeploymentResult",
            type: "structure",
            members: {
              BlueGreenDeployment: {
                shape: "S1w"
              }
            }
          }
        },
        CreateCustomDBEngineVersion: {
          input: {
            type: "structure",
            required: [
              "Engine",
              "EngineVersion"
            ],
            members: {
              Engine: {},
              EngineVersion: {},
              DatabaseInstallationFilesS3BucketName: {},
              DatabaseInstallationFilesS3Prefix: {},
              ImageId: {},
              KMSKeyId: {},
              Description: {},
              Manifest: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            shape: "S2f",
            resultWrapper: "CreateCustomDBEngineVersionResult"
          }
        },
        CreateDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "Engine"
            ],
            members: {
              AvailabilityZones: {
                shape: "S14"
              },
              BackupRetentionPeriod: {
                type: "integer"
              },
              CharacterSetName: {},
              DatabaseName: {},
              DBClusterIdentifier: {},
              DBClusterParameterGroupName: {},
              VpcSecurityGroupIds: {
                shape: "S2s"
              },
              DBSubnetGroupName: {},
              Engine: {},
              EngineVersion: {},
              Port: {
                type: "integer"
              },
              MasterUsername: {},
              MasterUserPassword: {},
              OptionGroupName: {},
              PreferredBackupWindow: {},
              PreferredMaintenanceWindow: {},
              ReplicationSourceIdentifier: {},
              Tags: {
                shape: "Sb"
              },
              StorageEncrypted: {
                type: "boolean"
              },
              KmsKeyId: {},
              PreSignedUrl: {},
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              BacktrackWindow: {
                type: "long"
              },
              EnableCloudwatchLogsExports: {
                shape: "S2o"
              },
              EngineMode: {},
              ScalingConfiguration: {
                shape: "S2u"
              },
              DeletionProtection: {
                type: "boolean"
              },
              GlobalClusterIdentifier: {},
              EnableHttpEndpoint: {
                type: "boolean"
              },
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              Domain: {},
              DomainIAMRoleName: {},
              EnableGlobalWriteForwarding: {
                type: "boolean"
              },
              DBClusterInstanceClass: {},
              AllocatedStorage: {
                type: "integer"
              },
              StorageType: {},
              Iops: {
                type: "integer"
              },
              PubliclyAccessible: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              MonitoringInterval: {
                type: "integer"
              },
              MonitoringRoleArn: {},
              EnablePerformanceInsights: {
                type: "boolean"
              },
              PerformanceInsightsKMSKeyId: {},
              PerformanceInsightsRetentionPeriod: {
                type: "integer"
              },
              ServerlessV2ScalingConfiguration: {
                shape: "S2v"
              },
              NetworkType: {},
              DBSystemId: {},
              ManageMasterUserPassword: {
                type: "boolean"
              },
              MasterUserSecretKmsKeyId: {},
              SourceRegion: {}
            }
          },
          output: {
            resultWrapper: "CreateDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S2y"
              }
            }
          }
        },
        CreateDBClusterEndpoint: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "DBClusterEndpointIdentifier",
              "EndpointType"
            ],
            members: {
              DBClusterIdentifier: {},
              DBClusterEndpointIdentifier: {},
              EndpointType: {},
              StaticMembers: {
                shape: "Sv"
              },
              ExcludedMembers: {
                shape: "Sv"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            shape: "S3h",
            resultWrapper: "CreateDBClusterEndpointResult"
          }
        },
        CreateDBClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBClusterParameterGroupName",
              "DBParameterGroupFamily",
              "Description"
            ],
            members: {
              DBClusterParameterGroupName: {},
              DBParameterGroupFamily: {},
              Description: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBClusterParameterGroupResult",
            type: "structure",
            members: {
              DBClusterParameterGroup: {
                shape: "S10"
              }
            }
          }
        },
        CreateDBClusterSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBClusterSnapshotIdentifier",
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterSnapshotIdentifier: {},
              DBClusterIdentifier: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBClusterSnapshotResult",
            type: "structure",
            members: {
              DBClusterSnapshot: {
                shape: "S13"
              }
            }
          }
        },
        CreateDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "DBInstanceClass",
              "Engine"
            ],
            members: {
              DBName: {},
              DBInstanceIdentifier: {},
              AllocatedStorage: {
                type: "integer"
              },
              DBInstanceClass: {},
              Engine: {},
              MasterUsername: {},
              MasterUserPassword: {},
              DBSecurityGroups: {
                shape: "S3n"
              },
              VpcSecurityGroupIds: {
                shape: "S2s"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              PreferredMaintenanceWindow: {},
              DBParameterGroupName: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {},
              Port: {
                type: "integer"
              },
              MultiAZ: {
                type: "boolean"
              },
              EngineVersion: {},
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              CharacterSetName: {},
              NcharCharacterSetName: {},
              PubliclyAccessible: {
                type: "boolean"
              },
              Tags: {
                shape: "Sb"
              },
              DBClusterIdentifier: {},
              StorageType: {},
              TdeCredentialArn: {},
              TdeCredentialPassword: {},
              StorageEncrypted: {
                type: "boolean"
              },
              KmsKeyId: {},
              Domain: {},
              DomainFqdn: {},
              DomainOu: {},
              DomainAuthSecretArn: {},
              DomainDnsIps: {
                shape: "Sv"
              },
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              MonitoringInterval: {
                type: "integer"
              },
              MonitoringRoleArn: {},
              DomainIAMRoleName: {},
              PromotionTier: {
                type: "integer"
              },
              Timezone: {},
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              EnablePerformanceInsights: {
                type: "boolean"
              },
              PerformanceInsightsKMSKeyId: {},
              PerformanceInsightsRetentionPeriod: {
                type: "integer"
              },
              EnableCloudwatchLogsExports: {
                shape: "S2o"
              },
              ProcessorFeatures: {
                shape: "S1c"
              },
              DeletionProtection: {
                type: "boolean"
              },
              MaxAllocatedStorage: {
                type: "integer"
              },
              EnableCustomerOwnedIp: {
                type: "boolean"
              },
              CustomIamInstanceProfile: {},
              BackupTarget: {},
              NetworkType: {},
              StorageThroughput: {
                type: "integer"
              },
              ManageMasterUserPassword: {
                type: "boolean"
              },
              MasterUserSecretKmsKeyId: {},
              CACertificateIdentifier: {}
            }
          },
          output: {
            resultWrapper: "CreateDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S3p"
              }
            }
          }
        },
        CreateDBInstanceReadReplica: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              SourceDBInstanceIdentifier: {},
              DBInstanceClass: {},
              AvailabilityZone: {},
              Port: {
                type: "integer"
              },
              MultiAZ: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              DBParameterGroupName: {},
              PubliclyAccessible: {
                type: "boolean"
              },
              Tags: {
                shape: "Sb"
              },
              DBSubnetGroupName: {},
              VpcSecurityGroupIds: {
                shape: "S2s"
              },
              StorageType: {},
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              MonitoringInterval: {
                type: "integer"
              },
              MonitoringRoleArn: {},
              KmsKeyId: {},
              PreSignedUrl: {},
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              EnablePerformanceInsights: {
                type: "boolean"
              },
              PerformanceInsightsKMSKeyId: {},
              PerformanceInsightsRetentionPeriod: {
                type: "integer"
              },
              EnableCloudwatchLogsExports: {
                shape: "S2o"
              },
              ProcessorFeatures: {
                shape: "S1c"
              },
              UseDefaultProcessorFeatures: {
                type: "boolean"
              },
              DeletionProtection: {
                type: "boolean"
              },
              Domain: {},
              DomainIAMRoleName: {},
              DomainFqdn: {},
              DomainOu: {},
              DomainAuthSecretArn: {},
              DomainDnsIps: {
                shape: "Sv"
              },
              ReplicaMode: {},
              MaxAllocatedStorage: {
                type: "integer"
              },
              CustomIamInstanceProfile: {},
              NetworkType: {},
              StorageThroughput: {
                type: "integer"
              },
              EnableCustomerOwnedIp: {
                type: "boolean"
              },
              AllocatedStorage: {
                type: "integer"
              },
              SourceDBClusterIdentifier: {},
              SourceRegion: {}
            }
          },
          output: {
            resultWrapper: "CreateDBInstanceReadReplicaResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S3p"
              }
            }
          }
        },
        CreateDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName",
              "DBParameterGroupFamily",
              "Description"
            ],
            members: {
              DBParameterGroupName: {},
              DBParameterGroupFamily: {},
              Description: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBParameterGroupResult",
            type: "structure",
            members: {
              DBParameterGroup: {
                shape: "S17"
              }
            }
          }
        },
        CreateDBProxy: {
          input: {
            type: "structure",
            required: [
              "DBProxyName",
              "EngineFamily",
              "Auth",
              "RoleArn",
              "VpcSubnetIds"
            ],
            members: {
              DBProxyName: {},
              EngineFamily: {},
              Auth: {
                shape: "S4j"
              },
              RoleArn: {},
              VpcSubnetIds: {
                shape: "Sv"
              },
              VpcSecurityGroupIds: {
                shape: "Sv"
              },
              RequireTLS: {
                type: "boolean"
              },
              IdleClientTimeout: {
                type: "integer"
              },
              DebugLogging: {
                type: "boolean"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBProxyResult",
            type: "structure",
            members: {
              DBProxy: {
                shape: "S4p"
              }
            }
          }
        },
        CreateDBProxyEndpoint: {
          input: {
            type: "structure",
            required: [
              "DBProxyName",
              "DBProxyEndpointName",
              "VpcSubnetIds"
            ],
            members: {
              DBProxyName: {},
              DBProxyEndpointName: {},
              VpcSubnetIds: {
                shape: "Sv"
              },
              VpcSecurityGroupIds: {
                shape: "Sv"
              },
              TargetRole: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBProxyEndpointResult",
            type: "structure",
            members: {
              DBProxyEndpoint: {
                shape: "S4y"
              }
            }
          }
        },
        CreateDBSecurityGroup: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName",
              "DBSecurityGroupDescription"
            ],
            members: {
              DBSecurityGroupName: {},
              DBSecurityGroupDescription: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBSecurityGroupResult",
            type: "structure",
            members: {
              DBSecurityGroup: {
                shape: "Sl"
              }
            }
          }
        },
        CreateDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBSnapshotIdentifier",
              "DBInstanceIdentifier"
            ],
            members: {
              DBSnapshotIdentifier: {},
              DBInstanceIdentifier: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBSnapshotResult",
            type: "structure",
            members: {
              DBSnapshot: {
                shape: "S1a"
              }
            }
          }
        },
        CreateDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName",
              "DBSubnetGroupDescription",
              "SubnetIds"
            ],
            members: {
              DBSubnetGroupName: {},
              DBSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S55"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBSubnetGroupResult",
            type: "structure",
            members: {
              DBSubnetGroup: {
                shape: "S3t"
              }
            }
          }
        },
        CreateEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SnsTopicArn"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              EventCategories: {
                shape: "S8"
              },
              SourceIds: {
                shape: "S7"
              },
              Enabled: {
                type: "boolean"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "CreateEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S6"
              }
            }
          }
        },
        CreateGlobalCluster: {
          input: {
            type: "structure",
            members: {
              GlobalClusterIdentifier: {},
              SourceDBClusterIdentifier: {},
              Engine: {},
              EngineVersion: {},
              DeletionProtection: {
                type: "boolean"
              },
              DatabaseName: {},
              StorageEncrypted: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "CreateGlobalClusterResult",
            type: "structure",
            members: {
              GlobalCluster: {
                shape: "S5b"
              }
            }
          }
        },
        CreateOptionGroup: {
          input: {
            type: "structure",
            required: [
              "OptionGroupName",
              "EngineName",
              "MajorEngineVersion",
              "OptionGroupDescription"
            ],
            members: {
              OptionGroupName: {},
              EngineName: {},
              MajorEngineVersion: {},
              OptionGroupDescription: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "CreateOptionGroupResult",
            type: "structure",
            members: {
              OptionGroup: {
                shape: "S1g"
              }
            }
          }
        },
        DeleteBlueGreenDeployment: {
          input: {
            type: "structure",
            required: [
              "BlueGreenDeploymentIdentifier"
            ],
            members: {
              BlueGreenDeploymentIdentifier: {},
              DeleteTarget: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DeleteBlueGreenDeploymentResult",
            type: "structure",
            members: {
              BlueGreenDeployment: {
                shape: "S1w"
              }
            }
          }
        },
        DeleteCustomDBEngineVersion: {
          input: {
            type: "structure",
            required: [
              "Engine",
              "EngineVersion"
            ],
            members: {
              Engine: {},
              EngineVersion: {}
            }
          },
          output: {
            shape: "S2f",
            resultWrapper: "DeleteCustomDBEngineVersionResult"
          }
        },
        DeleteDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {},
              SkipFinalSnapshot: {
                type: "boolean"
              },
              FinalDBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S2y"
              }
            }
          }
        },
        DeleteDBClusterEndpoint: {
          input: {
            type: "structure",
            required: [
              "DBClusterEndpointIdentifier"
            ],
            members: {
              DBClusterEndpointIdentifier: {}
            }
          },
          output: {
            shape: "S3h",
            resultWrapper: "DeleteDBClusterEndpointResult"
          }
        },
        DeleteDBClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBClusterParameterGroupName"
            ],
            members: {
              DBClusterParameterGroupName: {}
            }
          }
        },
        DeleteDBClusterSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBClusterSnapshotIdentifier"
            ],
            members: {
              DBClusterSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBClusterSnapshotResult",
            type: "structure",
            members: {
              DBClusterSnapshot: {
                shape: "S13"
              }
            }
          }
        },
        DeleteDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              SkipFinalSnapshot: {
                type: "boolean"
              },
              FinalDBSnapshotIdentifier: {},
              DeleteAutomatedBackups: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DeleteDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S3p"
              }
            }
          }
        },
        DeleteDBInstanceAutomatedBackup: {
          input: {
            type: "structure",
            members: {
              DbiResourceId: {},
              DBInstanceAutomatedBackupsArn: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBInstanceAutomatedBackupResult",
            type: "structure",
            members: {
              DBInstanceAutomatedBackup: {
                shape: "S5w"
              }
            }
          }
        },
        DeleteDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {}
            }
          }
        },
        DeleteDBProxy: {
          input: {
            type: "structure",
            required: [
              "DBProxyName"
            ],
            members: {
              DBProxyName: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBProxyResult",
            type: "structure",
            members: {
              DBProxy: {
                shape: "S4p"
              }
            }
          }
        },
        DeleteDBProxyEndpoint: {
          input: {
            type: "structure",
            required: [
              "DBProxyEndpointName"
            ],
            members: {
              DBProxyEndpointName: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBProxyEndpointResult",
            type: "structure",
            members: {
              DBProxyEndpoint: {
                shape: "S4y"
              }
            }
          }
        },
        DeleteDBSecurityGroup: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName"
            ],
            members: {
              DBSecurityGroupName: {}
            }
          }
        },
        DeleteDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBSnapshotIdentifier"
            ],
            members: {
              DBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBSnapshotResult",
            type: "structure",
            members: {
              DBSnapshot: {
                shape: "S1a"
              }
            }
          }
        },
        DeleteDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName"
            ],
            members: {
              DBSubnetGroupName: {}
            }
          }
        },
        DeleteEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {}
            }
          },
          output: {
            resultWrapper: "DeleteEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S6"
              }
            }
          }
        },
        DeleteGlobalCluster: {
          input: {
            type: "structure",
            required: [
              "GlobalClusterIdentifier"
            ],
            members: {
              GlobalClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteGlobalClusterResult",
            type: "structure",
            members: {
              GlobalCluster: {
                shape: "S5b"
              }
            }
          }
        },
        DeleteOptionGroup: {
          input: {
            type: "structure",
            required: [
              "OptionGroupName"
            ],
            members: {
              OptionGroupName: {}
            }
          }
        },
        DeregisterDBProxyTargets: {
          input: {
            type: "structure",
            required: [
              "DBProxyName"
            ],
            members: {
              DBProxyName: {},
              TargetGroupName: {},
              DBInstanceIdentifiers: {
                shape: "Sv"
              },
              DBClusterIdentifiers: {
                shape: "Sv"
              }
            }
          },
          output: {
            resultWrapper: "DeregisterDBProxyTargetsResult",
            type: "structure",
            members: {}
          }
        },
        DescribeAccountAttributes: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            resultWrapper: "DescribeAccountAttributesResult",
            type: "structure",
            members: {
              AccountQuotas: {
                type: "list",
                member: {
                  locationName: "AccountQuota",
                  type: "structure",
                  members: {
                    AccountQuotaName: {},
                    Used: {
                      type: "long"
                    },
                    Max: {
                      type: "long"
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        DescribeBlueGreenDeployments: {
          input: {
            type: "structure",
            members: {
              BlueGreenDeploymentIdentifier: {},
              Filters: {
                shape: "S6k"
              },
              Marker: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeBlueGreenDeploymentsResult",
            type: "structure",
            members: {
              BlueGreenDeployments: {
                type: "list",
                member: {
                  shape: "S1w"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeCertificates: {
          input: {
            type: "structure",
            members: {
              CertificateIdentifier: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeCertificatesResult",
            type: "structure",
            members: {
              Certificates: {
                type: "list",
                member: {
                  shape: "S6t",
                  locationName: "Certificate"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeDBClusterBacktracks: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {},
              BacktrackIdentifier: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBClusterBacktracksResult",
            type: "structure",
            members: {
              Marker: {},
              DBClusterBacktracks: {
                type: "list",
                member: {
                  shape: "Ss",
                  locationName: "DBClusterBacktrack"
                }
              }
            }
          }
        },
        DescribeDBClusterEndpoints: {
          input: {
            type: "structure",
            members: {
              DBClusterIdentifier: {},
              DBClusterEndpointIdentifier: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBClusterEndpointsResult",
            type: "structure",
            members: {
              Marker: {},
              DBClusterEndpoints: {
                type: "list",
                member: {
                  shape: "S3h",
                  locationName: "DBClusterEndpointList"
                }
              }
            }
          }
        },
        DescribeDBClusterParameterGroups: {
          input: {
            type: "structure",
            members: {
              DBClusterParameterGroupName: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBClusterParameterGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBClusterParameterGroups: {
                type: "list",
                member: {
                  shape: "S10",
                  locationName: "DBClusterParameterGroup"
                }
              }
            }
          }
        },
        DescribeDBClusterParameters: {
          input: {
            type: "structure",
            required: [
              "DBClusterParameterGroupName"
            ],
            members: {
              DBClusterParameterGroupName: {},
              Source: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBClusterParametersResult",
            type: "structure",
            members: {
              Parameters: {
                shape: "S75"
              },
              Marker: {}
            }
          }
        },
        DescribeDBClusterSnapshotAttributes: {
          input: {
            type: "structure",
            required: [
              "DBClusterSnapshotIdentifier"
            ],
            members: {
              DBClusterSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBClusterSnapshotAttributesResult",
            type: "structure",
            members: {
              DBClusterSnapshotAttributesResult: {
                shape: "S7a"
              }
            }
          }
        },
        DescribeDBClusterSnapshots: {
          input: {
            type: "structure",
            members: {
              DBClusterIdentifier: {},
              DBClusterSnapshotIdentifier: {},
              SnapshotType: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              IncludeShared: {
                type: "boolean"
              },
              IncludePublic: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeDBClusterSnapshotsResult",
            type: "structure",
            members: {
              Marker: {},
              DBClusterSnapshots: {
                type: "list",
                member: {
                  shape: "S13",
                  locationName: "DBClusterSnapshot"
                }
              }
            }
          }
        },
        DescribeDBClusters: {
          input: {
            type: "structure",
            members: {
              DBClusterIdentifier: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              IncludeShared: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeDBClustersResult",
            type: "structure",
            members: {
              Marker: {},
              DBClusters: {
                type: "list",
                member: {
                  shape: "S2y",
                  locationName: "DBCluster"
                }
              }
            }
          }
        },
        DescribeDBEngineVersions: {
          input: {
            type: "structure",
            members: {
              Engine: {},
              EngineVersion: {},
              DBParameterGroupFamily: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              DefaultOnly: {
                type: "boolean"
              },
              ListSupportedCharacterSets: {
                type: "boolean"
              },
              ListSupportedTimezones: {
                type: "boolean"
              },
              IncludeAll: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeDBEngineVersionsResult",
            type: "structure",
            members: {
              Marker: {},
              DBEngineVersions: {
                type: "list",
                member: {
                  shape: "S2f",
                  locationName: "DBEngineVersion"
                }
              }
            }
          }
        },
        DescribeDBInstanceAutomatedBackups: {
          input: {
            type: "structure",
            members: {
              DbiResourceId: {},
              DBInstanceIdentifier: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              DBInstanceAutomatedBackupsArn: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBInstanceAutomatedBackupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBInstanceAutomatedBackups: {
                type: "list",
                member: {
                  shape: "S5w",
                  locationName: "DBInstanceAutomatedBackup"
                }
              }
            }
          }
        },
        DescribeDBInstances: {
          input: {
            type: "structure",
            members: {
              DBInstanceIdentifier: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBInstancesResult",
            type: "structure",
            members: {
              Marker: {},
              DBInstances: {
                type: "list",
                member: {
                  shape: "S3p",
                  locationName: "DBInstance"
                }
              }
            }
          }
        },
        DescribeDBLogFiles: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              FilenameContains: {},
              FileLastWritten: {
                type: "long"
              },
              FileSize: {
                type: "long"
              },
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBLogFilesResult",
            type: "structure",
            members: {
              DescribeDBLogFiles: {
                type: "list",
                member: {
                  locationName: "DescribeDBLogFilesDetails",
                  type: "structure",
                  members: {
                    LogFileName: {},
                    LastWritten: {
                      type: "long"
                    },
                    Size: {
                      type: "long"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeDBParameterGroups: {
          input: {
            type: "structure",
            members: {
              DBParameterGroupName: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBParameterGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBParameterGroups: {
                type: "list",
                member: {
                  shape: "S17",
                  locationName: "DBParameterGroup"
                }
              }
            }
          }
        },
        DescribeDBParameters: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {},
              Source: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBParametersResult",
            type: "structure",
            members: {
              Parameters: {
                shape: "S75"
              },
              Marker: {}
            }
          }
        },
        DescribeDBProxies: {
          input: {
            type: "structure",
            members: {
              DBProxyName: {},
              Filters: {
                shape: "S6k"
              },
              Marker: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeDBProxiesResult",
            type: "structure",
            members: {
              DBProxies: {
                type: "list",
                member: {
                  shape: "S4p"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeDBProxyEndpoints: {
          input: {
            type: "structure",
            members: {
              DBProxyName: {},
              DBProxyEndpointName: {},
              Filters: {
                shape: "S6k"
              },
              Marker: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeDBProxyEndpointsResult",
            type: "structure",
            members: {
              DBProxyEndpoints: {
                type: "list",
                member: {
                  shape: "S4y"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeDBProxyTargetGroups: {
          input: {
            type: "structure",
            required: [
              "DBProxyName"
            ],
            members: {
              DBProxyName: {},
              TargetGroupName: {},
              Filters: {
                shape: "S6k"
              },
              Marker: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeDBProxyTargetGroupsResult",
            type: "structure",
            members: {
              TargetGroups: {
                type: "list",
                member: {
                  shape: "S8b"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeDBProxyTargets: {
          input: {
            type: "structure",
            required: [
              "DBProxyName"
            ],
            members: {
              DBProxyName: {},
              TargetGroupName: {},
              Filters: {
                shape: "S6k"
              },
              Marker: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeDBProxyTargetsResult",
            type: "structure",
            members: {
              Targets: {
                shape: "S8f"
              },
              Marker: {}
            }
          }
        },
        DescribeDBSecurityGroups: {
          input: {
            type: "structure",
            members: {
              DBSecurityGroupName: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSecurityGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSecurityGroups: {
                type: "list",
                member: {
                  shape: "Sl",
                  locationName: "DBSecurityGroup"
                }
              }
            }
          }
        },
        DescribeDBSnapshotAttributes: {
          input: {
            type: "structure",
            required: [
              "DBSnapshotIdentifier"
            ],
            members: {
              DBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSnapshotAttributesResult",
            type: "structure",
            members: {
              DBSnapshotAttributesResult: {
                shape: "S8r"
              }
            }
          }
        },
        DescribeDBSnapshots: {
          input: {
            type: "structure",
            members: {
              DBInstanceIdentifier: {},
              DBSnapshotIdentifier: {},
              SnapshotType: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              IncludeShared: {
                type: "boolean"
              },
              IncludePublic: {
                type: "boolean"
              },
              DbiResourceId: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSnapshotsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSnapshots: {
                type: "list",
                member: {
                  shape: "S1a",
                  locationName: "DBSnapshot"
                }
              }
            }
          }
        },
        DescribeDBSubnetGroups: {
          input: {
            type: "structure",
            members: {
              DBSubnetGroupName: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSubnetGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSubnetGroups: {
                type: "list",
                member: {
                  shape: "S3t",
                  locationName: "DBSubnetGroup"
                }
              }
            }
          }
        },
        DescribeEngineDefaultClusterParameters: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupFamily"
            ],
            members: {
              DBParameterGroupFamily: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEngineDefaultClusterParametersResult",
            type: "structure",
            members: {
              EngineDefaults: {
                shape: "S92"
              }
            }
          }
        },
        DescribeEngineDefaultParameters: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupFamily"
            ],
            members: {
              DBParameterGroupFamily: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEngineDefaultParametersResult",
            type: "structure",
            members: {
              EngineDefaults: {
                shape: "S92"
              }
            }
          }
        },
        DescribeEventCategories: {
          input: {
            type: "structure",
            members: {
              SourceType: {},
              Filters: {
                shape: "S6k"
              }
            }
          },
          output: {
            resultWrapper: "DescribeEventCategoriesResult",
            type: "structure",
            members: {
              EventCategoriesMapList: {
                type: "list",
                member: {
                  locationName: "EventCategoriesMap",
                  type: "structure",
                  members: {
                    SourceType: {},
                    EventCategories: {
                      shape: "S8"
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        DescribeEventSubscriptions: {
          input: {
            type: "structure",
            members: {
              SubscriptionName: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventSubscriptionsResult",
            type: "structure",
            members: {
              Marker: {},
              EventSubscriptionsList: {
                type: "list",
                member: {
                  shape: "S6",
                  locationName: "EventSubscription"
                }
              }
            }
          }
        },
        DescribeEvents: {
          input: {
            type: "structure",
            members: {
              SourceIdentifier: {},
              SourceType: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Duration: {
                type: "integer"
              },
              EventCategories: {
                shape: "S8"
              },
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventsResult",
            type: "structure",
            members: {
              Marker: {},
              Events: {
                type: "list",
                member: {
                  locationName: "Event",
                  type: "structure",
                  members: {
                    SourceIdentifier: {},
                    SourceType: {},
                    Message: {},
                    EventCategories: {
                      shape: "S8"
                    },
                    Date: {
                      type: "timestamp"
                    },
                    SourceArn: {}
                  }
                }
              }
            }
          }
        },
        DescribeExportTasks: {
          input: {
            type: "structure",
            members: {
              ExportTaskIdentifier: {},
              SourceArn: {},
              Filters: {
                shape: "S6k"
              },
              Marker: {},
              MaxRecords: {
                type: "integer"
              },
              SourceType: {}
            }
          },
          output: {
            resultWrapper: "DescribeExportTasksResult",
            type: "structure",
            members: {
              Marker: {},
              ExportTasks: {
                type: "list",
                member: {
                  shape: "Su",
                  locationName: "ExportTask"
                }
              }
            }
          }
        },
        DescribeGlobalClusters: {
          input: {
            type: "structure",
            members: {
              GlobalClusterIdentifier: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeGlobalClustersResult",
            type: "structure",
            members: {
              Marker: {},
              GlobalClusters: {
                type: "list",
                member: {
                  shape: "S5b",
                  locationName: "GlobalClusterMember"
                }
              }
            }
          }
        },
        DescribeOptionGroupOptions: {
          input: {
            type: "structure",
            required: [
              "EngineName"
            ],
            members: {
              EngineName: {},
              MajorEngineVersion: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeOptionGroupOptionsResult",
            type: "structure",
            members: {
              OptionGroupOptions: {
                type: "list",
                member: {
                  locationName: "OptionGroupOption",
                  type: "structure",
                  members: {
                    Name: {},
                    Description: {},
                    EngineName: {},
                    MajorEngineVersion: {},
                    MinimumRequiredMinorEngineVersion: {},
                    PortRequired: {
                      type: "boolean"
                    },
                    DefaultPort: {
                      type: "integer"
                    },
                    OptionsDependedOn: {
                      type: "list",
                      member: {
                        locationName: "OptionName"
                      }
                    },
                    OptionsConflictsWith: {
                      type: "list",
                      member: {
                        locationName: "OptionConflictName"
                      }
                    },
                    Persistent: {
                      type: "boolean"
                    },
                    Permanent: {
                      type: "boolean"
                    },
                    RequiresAutoMinorEngineVersionUpgrade: {
                      type: "boolean"
                    },
                    VpcOnly: {
                      type: "boolean"
                    },
                    SupportsOptionVersionDowngrade: {
                      type: "boolean"
                    },
                    OptionGroupOptionSettings: {
                      type: "list",
                      member: {
                        locationName: "OptionGroupOptionSetting",
                        type: "structure",
                        members: {
                          SettingName: {},
                          SettingDescription: {},
                          DefaultValue: {},
                          ApplyType: {},
                          AllowedValues: {},
                          IsModifiable: {
                            type: "boolean"
                          },
                          IsRequired: {
                            type: "boolean"
                          },
                          MinimumEngineVersionPerAllowedValue: {
                            type: "list",
                            member: {
                              locationName: "MinimumEngineVersionPerAllowedValue",
                              type: "structure",
                              members: {
                                AllowedValue: {},
                                MinimumEngineVersion: {}
                              }
                            }
                          }
                        }
                      }
                    },
                    OptionGroupOptionVersions: {
                      type: "list",
                      member: {
                        locationName: "OptionVersion",
                        type: "structure",
                        members: {
                          Version: {},
                          IsDefault: {
                            type: "boolean"
                          }
                        }
                      }
                    },
                    CopyableCrossAccount: {
                      type: "boolean"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeOptionGroups: {
          input: {
            type: "structure",
            members: {
              OptionGroupName: {},
              Filters: {
                shape: "S6k"
              },
              Marker: {},
              MaxRecords: {
                type: "integer"
              },
              EngineName: {},
              MajorEngineVersion: {}
            }
          },
          output: {
            resultWrapper: "DescribeOptionGroupsResult",
            type: "structure",
            members: {
              OptionGroupsList: {
                type: "list",
                member: {
                  shape: "S1g",
                  locationName: "OptionGroup"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeOrderableDBInstanceOptions: {
          input: {
            type: "structure",
            required: [
              "Engine"
            ],
            members: {
              Engine: {},
              EngineVersion: {},
              DBInstanceClass: {},
              LicenseModel: {},
              AvailabilityZoneGroup: {},
              Vpc: {
                type: "boolean"
              },
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeOrderableDBInstanceOptionsResult",
            type: "structure",
            members: {
              OrderableDBInstanceOptions: {
                type: "list",
                member: {
                  locationName: "OrderableDBInstanceOption",
                  type: "structure",
                  members: {
                    Engine: {},
                    EngineVersion: {},
                    DBInstanceClass: {},
                    LicenseModel: {},
                    AvailabilityZoneGroup: {},
                    AvailabilityZones: {
                      type: "list",
                      member: {
                        shape: "S3w",
                        locationName: "AvailabilityZone"
                      }
                    },
                    MultiAZCapable: {
                      type: "boolean"
                    },
                    ReadReplicaCapable: {
                      type: "boolean"
                    },
                    Vpc: {
                      type: "boolean"
                    },
                    SupportsStorageEncryption: {
                      type: "boolean"
                    },
                    StorageType: {},
                    SupportsIops: {
                      type: "boolean"
                    },
                    SupportsEnhancedMonitoring: {
                      type: "boolean"
                    },
                    SupportsIAMDatabaseAuthentication: {
                      type: "boolean"
                    },
                    SupportsPerformanceInsights: {
                      type: "boolean"
                    },
                    MinStorageSize: {
                      type: "integer"
                    },
                    MaxStorageSize: {
                      type: "integer"
                    },
                    MinIopsPerDbInstance: {
                      type: "integer"
                    },
                    MaxIopsPerDbInstance: {
                      type: "integer"
                    },
                    MinIopsPerGib: {
                      type: "double"
                    },
                    MaxIopsPerGib: {
                      type: "double"
                    },
                    AvailableProcessorFeatures: {
                      shape: "Sa7"
                    },
                    SupportedEngineModes: {
                      shape: "S2l"
                    },
                    SupportsStorageAutoscaling: {
                      type: "boolean"
                    },
                    SupportsKerberosAuthentication: {
                      type: "boolean"
                    },
                    OutpostCapable: {
                      type: "boolean"
                    },
                    SupportedActivityStreamModes: {
                      type: "list",
                      member: {}
                    },
                    SupportsGlobalDatabases: {
                      type: "boolean"
                    },
                    SupportsClusters: {
                      type: "boolean"
                    },
                    SupportedNetworkTypes: {
                      shape: "Sv"
                    },
                    SupportsStorageThroughput: {
                      type: "boolean"
                    },
                    MinStorageThroughputPerDbInstance: {
                      type: "integer"
                    },
                    MaxStorageThroughputPerDbInstance: {
                      type: "integer"
                    },
                    MinStorageThroughputPerIops: {
                      type: "double"
                    },
                    MaxStorageThroughputPerIops: {
                      type: "double"
                    }
                  },
                  wrapper: true
                }
              },
              Marker: {}
            }
          }
        },
        DescribePendingMaintenanceActions: {
          input: {
            type: "structure",
            members: {
              ResourceIdentifier: {},
              Filters: {
                shape: "S6k"
              },
              Marker: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribePendingMaintenanceActionsResult",
            type: "structure",
            members: {
              PendingMaintenanceActions: {
                type: "list",
                member: {
                  shape: "Sf",
                  locationName: "ResourcePendingMaintenanceActions"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeReservedDBInstances: {
          input: {
            type: "structure",
            members: {
              ReservedDBInstanceId: {},
              ReservedDBInstancesOfferingId: {},
              DBInstanceClass: {},
              Duration: {},
              ProductDescription: {},
              OfferingType: {},
              MultiAZ: {
                type: "boolean"
              },
              LeaseId: {},
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeReservedDBInstancesResult",
            type: "structure",
            members: {
              Marker: {},
              ReservedDBInstances: {
                type: "list",
                member: {
                  shape: "Sag",
                  locationName: "ReservedDBInstance"
                }
              }
            }
          }
        },
        DescribeReservedDBInstancesOfferings: {
          input: {
            type: "structure",
            members: {
              ReservedDBInstancesOfferingId: {},
              DBInstanceClass: {},
              Duration: {},
              ProductDescription: {},
              OfferingType: {},
              MultiAZ: {
                type: "boolean"
              },
              Filters: {
                shape: "S6k"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeReservedDBInstancesOfferingsResult",
            type: "structure",
            members: {
              Marker: {},
              ReservedDBInstancesOfferings: {
                type: "list",
                member: {
                  locationName: "ReservedDBInstancesOffering",
                  type: "structure",
                  members: {
                    ReservedDBInstancesOfferingId: {},
                    DBInstanceClass: {},
                    Duration: {
                      type: "integer"
                    },
                    FixedPrice: {
                      type: "double"
                    },
                    UsagePrice: {
                      type: "double"
                    },
                    CurrencyCode: {},
                    ProductDescription: {},
                    OfferingType: {},
                    MultiAZ: {
                      type: "boolean"
                    },
                    RecurringCharges: {
                      shape: "Sai"
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        DescribeSourceRegions: {
          input: {
            type: "structure",
            members: {
              RegionName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              Filters: {
                shape: "S6k"
              }
            }
          },
          output: {
            resultWrapper: "DescribeSourceRegionsResult",
            type: "structure",
            members: {
              Marker: {},
              SourceRegions: {
                type: "list",
                member: {
                  locationName: "SourceRegion",
                  type: "structure",
                  members: {
                    RegionName: {},
                    Endpoint: {},
                    Status: {},
                    SupportsDBInstanceAutomatedBackupsReplication: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeValidDBInstanceModifications: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DescribeValidDBInstanceModificationsResult",
            type: "structure",
            members: {
              ValidDBInstanceModificationsMessage: {
                type: "structure",
                members: {
                  Storage: {
                    type: "list",
                    member: {
                      locationName: "ValidStorageOptions",
                      type: "structure",
                      members: {
                        StorageType: {},
                        StorageSize: {
                          shape: "Sax"
                        },
                        ProvisionedIops: {
                          shape: "Sax"
                        },
                        IopsToStorageRatio: {
                          shape: "Saz"
                        },
                        SupportsStorageAutoscaling: {
                          type: "boolean"
                        },
                        ProvisionedStorageThroughput: {
                          shape: "Sax"
                        },
                        StorageThroughputToIopsRatio: {
                          shape: "Saz"
                        }
                      }
                    }
                  },
                  ValidProcessorFeatures: {
                    shape: "Sa7"
                  }
                },
                wrapper: true
              }
            }
          }
        },
        DownloadDBLogFilePortion: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "LogFileName"
            ],
            members: {
              DBInstanceIdentifier: {},
              LogFileName: {},
              Marker: {},
              NumberOfLines: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DownloadDBLogFilePortionResult",
            type: "structure",
            members: {
              LogFileData: {},
              Marker: {},
              AdditionalDataPending: {
                type: "boolean"
              }
            }
          }
        },
        FailoverDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {},
              TargetDBInstanceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "FailoverDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S2y"
              }
            }
          }
        },
        FailoverGlobalCluster: {
          input: {
            type: "structure",
            required: [
              "GlobalClusterIdentifier",
              "TargetDbClusterIdentifier"
            ],
            members: {
              GlobalClusterIdentifier: {},
              TargetDbClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "FailoverGlobalClusterResult",
            type: "structure",
            members: {
              GlobalCluster: {
                shape: "S5b"
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName"
            ],
            members: {
              ResourceName: {},
              Filters: {
                shape: "S6k"
              }
            }
          },
          output: {
            resultWrapper: "ListTagsForResourceResult",
            type: "structure",
            members: {
              TagList: {
                shape: "Sb"
              }
            }
          }
        },
        ModifyActivityStream: {
          input: {
            type: "structure",
            members: {
              ResourceArn: {},
              AuditPolicyState: {}
            }
          },
          output: {
            resultWrapper: "ModifyActivityStreamResult",
            type: "structure",
            members: {
              KmsKeyId: {},
              KinesisStreamName: {},
              Status: {},
              Mode: {},
              EngineNativeAuditFieldsIncluded: {
                type: "boolean"
              },
              PolicyStatus: {}
            }
          }
        },
        ModifyCertificates: {
          input: {
            type: "structure",
            members: {
              CertificateIdentifier: {},
              RemoveCustomerOverride: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyCertificatesResult",
            type: "structure",
            members: {
              Certificate: {
                shape: "S6t"
              }
            }
          }
        },
        ModifyCurrentDBClusterCapacity: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {},
              Capacity: {
                type: "integer"
              },
              SecondsBeforeTimeout: {
                type: "integer"
              },
              TimeoutAction: {}
            }
          },
          output: {
            resultWrapper: "ModifyCurrentDBClusterCapacityResult",
            type: "structure",
            members: {
              DBClusterIdentifier: {},
              PendingCapacity: {
                type: "integer"
              },
              CurrentCapacity: {
                type: "integer"
              },
              SecondsBeforeTimeout: {
                type: "integer"
              },
              TimeoutAction: {}
            }
          }
        },
        ModifyCustomDBEngineVersion: {
          input: {
            type: "structure",
            required: [
              "Engine",
              "EngineVersion"
            ],
            members: {
              Engine: {},
              EngineVersion: {},
              Description: {},
              Status: {}
            }
          },
          output: {
            shape: "S2f",
            resultWrapper: "ModifyCustomDBEngineVersionResult"
          }
        },
        ModifyDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {},
              NewDBClusterIdentifier: {},
              ApplyImmediately: {
                type: "boolean"
              },
              BackupRetentionPeriod: {
                type: "integer"
              },
              DBClusterParameterGroupName: {},
              VpcSecurityGroupIds: {
                shape: "S2s"
              },
              Port: {
                type: "integer"
              },
              MasterUserPassword: {},
              OptionGroupName: {},
              PreferredBackupWindow: {},
              PreferredMaintenanceWindow: {},
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              BacktrackWindow: {
                type: "long"
              },
              CloudwatchLogsExportConfiguration: {
                shape: "Sbl"
              },
              EngineVersion: {},
              AllowMajorVersionUpgrade: {
                type: "boolean"
              },
              DBInstanceParameterGroupName: {},
              Domain: {},
              DomainIAMRoleName: {},
              ScalingConfiguration: {
                shape: "S2u"
              },
              DeletionProtection: {
                type: "boolean"
              },
              EnableHttpEndpoint: {
                type: "boolean"
              },
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              EnableGlobalWriteForwarding: {
                type: "boolean"
              },
              DBClusterInstanceClass: {},
              AllocatedStorage: {
                type: "integer"
              },
              StorageType: {},
              Iops: {
                type: "integer"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              MonitoringInterval: {
                type: "integer"
              },
              MonitoringRoleArn: {},
              EnablePerformanceInsights: {
                type: "boolean"
              },
              PerformanceInsightsKMSKeyId: {},
              PerformanceInsightsRetentionPeriod: {
                type: "integer"
              },
              ServerlessV2ScalingConfiguration: {
                shape: "S2v"
              },
              NetworkType: {},
              ManageMasterUserPassword: {
                type: "boolean"
              },
              RotateMasterUserPassword: {
                type: "boolean"
              },
              MasterUserSecretKmsKeyId: {},
              EngineMode: {},
              AllowEngineModeChange: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S2y"
              }
            }
          }
        },
        ModifyDBClusterEndpoint: {
          input: {
            type: "structure",
            required: [
              "DBClusterEndpointIdentifier"
            ],
            members: {
              DBClusterEndpointIdentifier: {},
              EndpointType: {},
              StaticMembers: {
                shape: "Sv"
              },
              ExcludedMembers: {
                shape: "Sv"
              }
            }
          },
          output: {
            shape: "S3h",
            resultWrapper: "ModifyDBClusterEndpointResult"
          }
        },
        ModifyDBClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBClusterParameterGroupName",
              "Parameters"
            ],
            members: {
              DBClusterParameterGroupName: {},
              Parameters: {
                shape: "S75"
              }
            }
          },
          output: {
            shape: "Sbp",
            resultWrapper: "ModifyDBClusterParameterGroupResult"
          }
        },
        ModifyDBClusterSnapshotAttribute: {
          input: {
            type: "structure",
            required: [
              "DBClusterSnapshotIdentifier",
              "AttributeName"
            ],
            members: {
              DBClusterSnapshotIdentifier: {},
              AttributeName: {},
              ValuesToAdd: {
                shape: "S7d"
              },
              ValuesToRemove: {
                shape: "S7d"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBClusterSnapshotAttributeResult",
            type: "structure",
            members: {
              DBClusterSnapshotAttributesResult: {
                shape: "S7a"
              }
            }
          }
        },
        ModifyDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              AllocatedStorage: {
                type: "integer"
              },
              DBInstanceClass: {},
              DBSubnetGroupName: {},
              DBSecurityGroups: {
                shape: "S3n"
              },
              VpcSecurityGroupIds: {
                shape: "S2s"
              },
              ApplyImmediately: {
                type: "boolean"
              },
              MasterUserPassword: {},
              DBParameterGroupName: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {},
              PreferredMaintenanceWindow: {},
              MultiAZ: {
                type: "boolean"
              },
              EngineVersion: {},
              AllowMajorVersionUpgrade: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              NewDBInstanceIdentifier: {},
              StorageType: {},
              TdeCredentialArn: {},
              TdeCredentialPassword: {},
              CACertificateIdentifier: {},
              Domain: {},
              DomainFqdn: {},
              DomainOu: {},
              DomainAuthSecretArn: {},
              DomainDnsIps: {
                shape: "Sv"
              },
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              MonitoringInterval: {
                type: "integer"
              },
              DBPortNumber: {
                type: "integer"
              },
              PubliclyAccessible: {
                type: "boolean"
              },
              MonitoringRoleArn: {},
              DomainIAMRoleName: {},
              DisableDomain: {
                type: "boolean"
              },
              PromotionTier: {
                type: "integer"
              },
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              EnablePerformanceInsights: {
                type: "boolean"
              },
              PerformanceInsightsKMSKeyId: {},
              PerformanceInsightsRetentionPeriod: {
                type: "integer"
              },
              CloudwatchLogsExportConfiguration: {
                shape: "Sbl"
              },
              ProcessorFeatures: {
                shape: "S1c"
              },
              UseDefaultProcessorFeatures: {
                type: "boolean"
              },
              DeletionProtection: {
                type: "boolean"
              },
              MaxAllocatedStorage: {
                type: "integer"
              },
              CertificateRotationRestart: {
                type: "boolean"
              },
              ReplicaMode: {},
              EnableCustomerOwnedIp: {
                type: "boolean"
              },
              AwsBackupRecoveryPointArn: {},
              AutomationMode: {},
              ResumeFullAutomationModeMinutes: {
                type: "integer"
              },
              NetworkType: {},
              StorageThroughput: {
                type: "integer"
              },
              ManageMasterUserPassword: {
                type: "boolean"
              },
              RotateMasterUserPassword: {
                type: "boolean"
              },
              MasterUserSecretKmsKeyId: {},
              Engine: {}
            }
          },
          output: {
            resultWrapper: "ModifyDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S3p"
              }
            }
          }
        },
        ModifyDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName",
              "Parameters"
            ],
            members: {
              DBParameterGroupName: {},
              Parameters: {
                shape: "S75"
              }
            }
          },
          output: {
            shape: "Sbw",
            resultWrapper: "ModifyDBParameterGroupResult"
          }
        },
        ModifyDBProxy: {
          input: {
            type: "structure",
            required: [
              "DBProxyName"
            ],
            members: {
              DBProxyName: {},
              NewDBProxyName: {},
              Auth: {
                shape: "S4j"
              },
              RequireTLS: {
                type: "boolean"
              },
              IdleClientTimeout: {
                type: "integer"
              },
              DebugLogging: {
                type: "boolean"
              },
              RoleArn: {},
              SecurityGroups: {
                shape: "Sv"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBProxyResult",
            type: "structure",
            members: {
              DBProxy: {
                shape: "S4p"
              }
            }
          }
        },
        ModifyDBProxyEndpoint: {
          input: {
            type: "structure",
            required: [
              "DBProxyEndpointName"
            ],
            members: {
              DBProxyEndpointName: {},
              NewDBProxyEndpointName: {},
              VpcSecurityGroupIds: {
                shape: "Sv"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBProxyEndpointResult",
            type: "structure",
            members: {
              DBProxyEndpoint: {
                shape: "S4y"
              }
            }
          }
        },
        ModifyDBProxyTargetGroup: {
          input: {
            type: "structure",
            required: [
              "TargetGroupName",
              "DBProxyName"
            ],
            members: {
              TargetGroupName: {},
              DBProxyName: {},
              ConnectionPoolConfig: {
                type: "structure",
                members: {
                  MaxConnectionsPercent: {
                    type: "integer"
                  },
                  MaxIdleConnectionsPercent: {
                    type: "integer"
                  },
                  ConnectionBorrowTimeout: {
                    type: "integer"
                  },
                  SessionPinningFilters: {
                    shape: "Sv"
                  },
                  InitQuery: {}
                }
              },
              NewName: {}
            }
          },
          output: {
            resultWrapper: "ModifyDBProxyTargetGroupResult",
            type: "structure",
            members: {
              DBProxyTargetGroup: {
                shape: "S8b"
              }
            }
          }
        },
        ModifyDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBSnapshotIdentifier"
            ],
            members: {
              DBSnapshotIdentifier: {},
              EngineVersion: {},
              OptionGroupName: {}
            }
          },
          output: {
            resultWrapper: "ModifyDBSnapshotResult",
            type: "structure",
            members: {
              DBSnapshot: {
                shape: "S1a"
              }
            }
          }
        },
        ModifyDBSnapshotAttribute: {
          input: {
            type: "structure",
            required: [
              "DBSnapshotIdentifier",
              "AttributeName"
            ],
            members: {
              DBSnapshotIdentifier: {},
              AttributeName: {},
              ValuesToAdd: {
                shape: "S7d"
              },
              ValuesToRemove: {
                shape: "S7d"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBSnapshotAttributeResult",
            type: "structure",
            members: {
              DBSnapshotAttributesResult: {
                shape: "S8r"
              }
            }
          }
        },
        ModifyDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName",
              "SubnetIds"
            ],
            members: {
              DBSubnetGroupName: {},
              DBSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S55"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBSubnetGroupResult",
            type: "structure",
            members: {
              DBSubnetGroup: {
                shape: "S3t"
              }
            }
          }
        },
        ModifyEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              EventCategories: {
                shape: "S8"
              },
              Enabled: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S6"
              }
            }
          }
        },
        ModifyGlobalCluster: {
          input: {
            type: "structure",
            members: {
              GlobalClusterIdentifier: {},
              NewGlobalClusterIdentifier: {},
              DeletionProtection: {
                type: "boolean"
              },
              EngineVersion: {},
              AllowMajorVersionUpgrade: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyGlobalClusterResult",
            type: "structure",
            members: {
              GlobalCluster: {
                shape: "S5b"
              }
            }
          }
        },
        ModifyOptionGroup: {
          input: {
            type: "structure",
            required: [
              "OptionGroupName"
            ],
            members: {
              OptionGroupName: {},
              OptionsToInclude: {
                type: "list",
                member: {
                  locationName: "OptionConfiguration",
                  type: "structure",
                  required: [
                    "OptionName"
                  ],
                  members: {
                    OptionName: {},
                    Port: {
                      type: "integer"
                    },
                    OptionVersion: {},
                    DBSecurityGroupMemberships: {
                      shape: "S3n"
                    },
                    VpcSecurityGroupMemberships: {
                      shape: "S2s"
                    },
                    OptionSettings: {
                      type: "list",
                      member: {
                        shape: "S1k",
                        locationName: "OptionSetting"
                      }
                    }
                  }
                }
              },
              OptionsToRemove: {
                type: "list",
                member: {}
              },
              ApplyImmediately: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyOptionGroupResult",
            type: "structure",
            members: {
              OptionGroup: {
                shape: "S1g"
              }
            }
          }
        },
        PromoteReadReplica: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {}
            }
          },
          output: {
            resultWrapper: "PromoteReadReplicaResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S3p"
              }
            }
          }
        },
        PromoteReadReplicaDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "PromoteReadReplicaDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S2y"
              }
            }
          }
        },
        PurchaseReservedDBInstancesOffering: {
          input: {
            type: "structure",
            required: [
              "ReservedDBInstancesOfferingId"
            ],
            members: {
              ReservedDBInstancesOfferingId: {},
              ReservedDBInstanceId: {},
              DBInstanceCount: {
                type: "integer"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            resultWrapper: "PurchaseReservedDBInstancesOfferingResult",
            type: "structure",
            members: {
              ReservedDBInstance: {
                shape: "Sag"
              }
            }
          }
        },
        RebootDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "RebootDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S2y"
              }
            }
          }
        },
        RebootDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              ForceFailover: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "RebootDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S3p"
              }
            }
          }
        },
        RegisterDBProxyTargets: {
          input: {
            type: "structure",
            required: [
              "DBProxyName"
            ],
            members: {
              DBProxyName: {},
              TargetGroupName: {},
              DBInstanceIdentifiers: {
                shape: "Sv"
              },
              DBClusterIdentifiers: {
                shape: "Sv"
              }
            }
          },
          output: {
            resultWrapper: "RegisterDBProxyTargetsResult",
            type: "structure",
            members: {
              DBProxyTargets: {
                shape: "S8f"
              }
            }
          }
        },
        RemoveFromGlobalCluster: {
          input: {
            type: "structure",
            members: {
              GlobalClusterIdentifier: {},
              DbClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "RemoveFromGlobalClusterResult",
            type: "structure",
            members: {
              GlobalCluster: {
                shape: "S5b"
              }
            }
          }
        },
        RemoveRoleFromDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "RoleArn"
            ],
            members: {
              DBClusterIdentifier: {},
              RoleArn: {},
              FeatureName: {}
            }
          }
        },
        RemoveRoleFromDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "RoleArn",
              "FeatureName"
            ],
            members: {
              DBInstanceIdentifier: {},
              RoleArn: {},
              FeatureName: {}
            }
          }
        },
        RemoveSourceIdentifierFromSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SourceIdentifier"
            ],
            members: {
              SubscriptionName: {},
              SourceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "RemoveSourceIdentifierFromSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S6"
              }
            }
          }
        },
        RemoveTagsFromResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "TagKeys"
            ],
            members: {
              ResourceName: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ResetDBClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBClusterParameterGroupName"
            ],
            members: {
              DBClusterParameterGroupName: {},
              ResetAllParameters: {
                type: "boolean"
              },
              Parameters: {
                shape: "S75"
              }
            }
          },
          output: {
            shape: "Sbp",
            resultWrapper: "ResetDBClusterParameterGroupResult"
          }
        },
        ResetDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {},
              ResetAllParameters: {
                type: "boolean"
              },
              Parameters: {
                shape: "S75"
              }
            }
          },
          output: {
            shape: "Sbw",
            resultWrapper: "ResetDBParameterGroupResult"
          }
        },
        RestoreDBClusterFromS3: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "Engine",
              "MasterUsername",
              "SourceEngine",
              "SourceEngineVersion",
              "S3BucketName",
              "S3IngestionRoleArn"
            ],
            members: {
              AvailabilityZones: {
                shape: "S14"
              },
              BackupRetentionPeriod: {
                type: "integer"
              },
              CharacterSetName: {},
              DatabaseName: {},
              DBClusterIdentifier: {},
              DBClusterParameterGroupName: {},
              VpcSecurityGroupIds: {
                shape: "S2s"
              },
              DBSubnetGroupName: {},
              Engine: {},
              EngineVersion: {},
              Port: {
                type: "integer"
              },
              MasterUsername: {},
              MasterUserPassword: {},
              OptionGroupName: {},
              PreferredBackupWindow: {},
              PreferredMaintenanceWindow: {},
              Tags: {
                shape: "Sb"
              },
              StorageEncrypted: {
                type: "boolean"
              },
              KmsKeyId: {},
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              SourceEngine: {},
              SourceEngineVersion: {},
              S3BucketName: {},
              S3Prefix: {},
              S3IngestionRoleArn: {},
              BacktrackWindow: {
                type: "long"
              },
              EnableCloudwatchLogsExports: {
                shape: "S2o"
              },
              DeletionProtection: {
                type: "boolean"
              },
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              Domain: {},
              DomainIAMRoleName: {},
              ServerlessV2ScalingConfiguration: {
                shape: "S2v"
              },
              NetworkType: {},
              ManageMasterUserPassword: {
                type: "boolean"
              },
              MasterUserSecretKmsKeyId: {},
              StorageType: {}
            }
          },
          output: {
            resultWrapper: "RestoreDBClusterFromS3Result",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S2y"
              }
            }
          }
        },
        RestoreDBClusterFromSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "SnapshotIdentifier",
              "Engine"
            ],
            members: {
              AvailabilityZones: {
                shape: "S14"
              },
              DBClusterIdentifier: {},
              SnapshotIdentifier: {},
              Engine: {},
              EngineVersion: {},
              Port: {
                type: "integer"
              },
              DBSubnetGroupName: {},
              DatabaseName: {},
              OptionGroupName: {},
              VpcSecurityGroupIds: {
                shape: "S2s"
              },
              Tags: {
                shape: "Sb"
              },
              KmsKeyId: {},
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              BacktrackWindow: {
                type: "long"
              },
              EnableCloudwatchLogsExports: {
                shape: "S2o"
              },
              EngineMode: {},
              ScalingConfiguration: {
                shape: "S2u"
              },
              DBClusterParameterGroupName: {},
              DeletionProtection: {
                type: "boolean"
              },
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              Domain: {},
              DomainIAMRoleName: {},
              DBClusterInstanceClass: {},
              StorageType: {},
              Iops: {
                type: "integer"
              },
              PubliclyAccessible: {
                type: "boolean"
              },
              ServerlessV2ScalingConfiguration: {
                shape: "S2v"
              },
              NetworkType: {}
            }
          },
          output: {
            resultWrapper: "RestoreDBClusterFromSnapshotResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S2y"
              }
            }
          }
        },
        RestoreDBClusterToPointInTime: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "SourceDBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {},
              RestoreType: {},
              SourceDBClusterIdentifier: {},
              RestoreToTime: {
                type: "timestamp"
              },
              UseLatestRestorableTime: {
                type: "boolean"
              },
              Port: {
                type: "integer"
              },
              DBSubnetGroupName: {},
              OptionGroupName: {},
              VpcSecurityGroupIds: {
                shape: "S2s"
              },
              Tags: {
                shape: "Sb"
              },
              KmsKeyId: {},
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              BacktrackWindow: {
                type: "long"
              },
              EnableCloudwatchLogsExports: {
                shape: "S2o"
              },
              DBClusterParameterGroupName: {},
              DeletionProtection: {
                type: "boolean"
              },
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              Domain: {},
              DomainIAMRoleName: {},
              ScalingConfiguration: {
                shape: "S2u"
              },
              EngineMode: {},
              DBClusterInstanceClass: {},
              StorageType: {},
              PubliclyAccessible: {
                type: "boolean"
              },
              Iops: {
                type: "integer"
              },
              ServerlessV2ScalingConfiguration: {
                shape: "S2v"
              },
              NetworkType: {}
            }
          },
          output: {
            resultWrapper: "RestoreDBClusterToPointInTimeResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S2y"
              }
            }
          }
        },
        RestoreDBInstanceFromDBSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              DBSnapshotIdentifier: {},
              DBInstanceClass: {},
              Port: {
                type: "integer"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              MultiAZ: {
                type: "boolean"
              },
              PubliclyAccessible: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              DBName: {},
              Engine: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              Tags: {
                shape: "Sb"
              },
              StorageType: {},
              TdeCredentialArn: {},
              TdeCredentialPassword: {},
              VpcSecurityGroupIds: {
                shape: "S2s"
              },
              Domain: {},
              DomainFqdn: {},
              DomainOu: {},
              DomainAuthSecretArn: {},
              DomainDnsIps: {
                shape: "Sv"
              },
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              DomainIAMRoleName: {},
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              EnableCloudwatchLogsExports: {
                shape: "S2o"
              },
              ProcessorFeatures: {
                shape: "S1c"
              },
              UseDefaultProcessorFeatures: {
                type: "boolean"
              },
              DBParameterGroupName: {},
              DeletionProtection: {
                type: "boolean"
              },
              EnableCustomerOwnedIp: {
                type: "boolean"
              },
              CustomIamInstanceProfile: {},
              BackupTarget: {},
              NetworkType: {},
              StorageThroughput: {
                type: "integer"
              },
              DBClusterSnapshotIdentifier: {},
              AllocatedStorage: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "RestoreDBInstanceFromDBSnapshotResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S3p"
              }
            }
          }
        },
        RestoreDBInstanceFromS3: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "DBInstanceClass",
              "Engine",
              "SourceEngine",
              "SourceEngineVersion",
              "S3BucketName",
              "S3IngestionRoleArn"
            ],
            members: {
              DBName: {},
              DBInstanceIdentifier: {},
              AllocatedStorage: {
                type: "integer"
              },
              DBInstanceClass: {},
              Engine: {},
              MasterUsername: {},
              MasterUserPassword: {},
              DBSecurityGroups: {
                shape: "S3n"
              },
              VpcSecurityGroupIds: {
                shape: "S2s"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              PreferredMaintenanceWindow: {},
              DBParameterGroupName: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {},
              Port: {
                type: "integer"
              },
              MultiAZ: {
                type: "boolean"
              },
              EngineVersion: {},
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              PubliclyAccessible: {
                type: "boolean"
              },
              Tags: {
                shape: "Sb"
              },
              StorageType: {},
              StorageEncrypted: {
                type: "boolean"
              },
              KmsKeyId: {},
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              MonitoringInterval: {
                type: "integer"
              },
              MonitoringRoleArn: {},
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              SourceEngine: {},
              SourceEngineVersion: {},
              S3BucketName: {},
              S3Prefix: {},
              S3IngestionRoleArn: {},
              EnablePerformanceInsights: {
                type: "boolean"
              },
              PerformanceInsightsKMSKeyId: {},
              PerformanceInsightsRetentionPeriod: {
                type: "integer"
              },
              EnableCloudwatchLogsExports: {
                shape: "S2o"
              },
              ProcessorFeatures: {
                shape: "S1c"
              },
              UseDefaultProcessorFeatures: {
                type: "boolean"
              },
              DeletionProtection: {
                type: "boolean"
              },
              MaxAllocatedStorage: {
                type: "integer"
              },
              NetworkType: {},
              StorageThroughput: {
                type: "integer"
              },
              ManageMasterUserPassword: {
                type: "boolean"
              },
              MasterUserSecretKmsKeyId: {}
            }
          },
          output: {
            resultWrapper: "RestoreDBInstanceFromS3Result",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S3p"
              }
            }
          }
        },
        RestoreDBInstanceToPointInTime: {
          input: {
            type: "structure",
            required: [
              "TargetDBInstanceIdentifier"
            ],
            members: {
              SourceDBInstanceIdentifier: {},
              TargetDBInstanceIdentifier: {},
              RestoreTime: {
                type: "timestamp"
              },
              UseLatestRestorableTime: {
                type: "boolean"
              },
              DBInstanceClass: {},
              Port: {
                type: "integer"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              MultiAZ: {
                type: "boolean"
              },
              PubliclyAccessible: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              DBName: {},
              Engine: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              Tags: {
                shape: "Sb"
              },
              StorageType: {},
              TdeCredentialArn: {},
              TdeCredentialPassword: {},
              VpcSecurityGroupIds: {
                shape: "S2s"
              },
              Domain: {},
              DomainIAMRoleName: {},
              DomainFqdn: {},
              DomainOu: {},
              DomainAuthSecretArn: {},
              DomainDnsIps: {
                shape: "Sv"
              },
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              EnableCloudwatchLogsExports: {
                shape: "S2o"
              },
              ProcessorFeatures: {
                shape: "S1c"
              },
              UseDefaultProcessorFeatures: {
                type: "boolean"
              },
              DBParameterGroupName: {},
              DeletionProtection: {
                type: "boolean"
              },
              SourceDbiResourceId: {},
              MaxAllocatedStorage: {
                type: "integer"
              },
              SourceDBInstanceAutomatedBackupsArn: {},
              EnableCustomerOwnedIp: {
                type: "boolean"
              },
              CustomIamInstanceProfile: {},
              BackupTarget: {},
              NetworkType: {},
              StorageThroughput: {
                type: "integer"
              },
              AllocatedStorage: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "RestoreDBInstanceToPointInTimeResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S3p"
              }
            }
          }
        },
        RevokeDBSecurityGroupIngress: {
          input: {
            type: "structure",
            required: [
              "DBSecurityGroupName"
            ],
            members: {
              DBSecurityGroupName: {},
              CIDRIP: {},
              EC2SecurityGroupName: {},
              EC2SecurityGroupId: {},
              EC2SecurityGroupOwnerId: {}
            }
          },
          output: {
            resultWrapper: "RevokeDBSecurityGroupIngressResult",
            type: "structure",
            members: {
              DBSecurityGroup: {
                shape: "Sl"
              }
            }
          }
        },
        StartActivityStream: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Mode",
              "KmsKeyId"
            ],
            members: {
              ResourceArn: {},
              Mode: {},
              KmsKeyId: {},
              ApplyImmediately: {
                type: "boolean"
              },
              EngineNativeAuditFieldsIncluded: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "StartActivityStreamResult",
            type: "structure",
            members: {
              KmsKeyId: {},
              KinesisStreamName: {},
              Status: {},
              Mode: {},
              ApplyImmediately: {
                type: "boolean"
              },
              EngineNativeAuditFieldsIncluded: {
                type: "boolean"
              }
            }
          }
        },
        StartDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "StartDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S2y"
              }
            }
          }
        },
        StartDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "StartDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S3p"
              }
            }
          }
        },
        StartDBInstanceAutomatedBackupsReplication: {
          input: {
            type: "structure",
            required: [
              "SourceDBInstanceArn"
            ],
            members: {
              SourceDBInstanceArn: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              KmsKeyId: {},
              PreSignedUrl: {}
            }
          },
          output: {
            resultWrapper: "StartDBInstanceAutomatedBackupsReplicationResult",
            type: "structure",
            members: {
              DBInstanceAutomatedBackup: {
                shape: "S5w"
              }
            }
          }
        },
        StartExportTask: {
          input: {
            type: "structure",
            required: [
              "ExportTaskIdentifier",
              "SourceArn",
              "S3BucketName",
              "IamRoleArn",
              "KmsKeyId"
            ],
            members: {
              ExportTaskIdentifier: {},
              SourceArn: {},
              S3BucketName: {},
              IamRoleArn: {},
              KmsKeyId: {},
              S3Prefix: {},
              ExportOnly: {
                shape: "Sv"
              }
            }
          },
          output: {
            shape: "Su",
            resultWrapper: "StartExportTaskResult"
          }
        },
        StopActivityStream: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              ApplyImmediately: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "StopActivityStreamResult",
            type: "structure",
            members: {
              KmsKeyId: {},
              KinesisStreamName: {},
              Status: {}
            }
          }
        },
        StopDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "StopDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S2y"
              }
            }
          }
        },
        StopDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              DBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "StopDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S3p"
              }
            }
          }
        },
        StopDBInstanceAutomatedBackupsReplication: {
          input: {
            type: "structure",
            required: [
              "SourceDBInstanceArn"
            ],
            members: {
              SourceDBInstanceArn: {}
            }
          },
          output: {
            resultWrapper: "StopDBInstanceAutomatedBackupsReplicationResult",
            type: "structure",
            members: {
              DBInstanceAutomatedBackup: {
                shape: "S5w"
              }
            }
          }
        },
        SwitchoverBlueGreenDeployment: {
          input: {
            type: "structure",
            required: [
              "BlueGreenDeploymentIdentifier"
            ],
            members: {
              BlueGreenDeploymentIdentifier: {},
              SwitchoverTimeout: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "SwitchoverBlueGreenDeploymentResult",
            type: "structure",
            members: {
              BlueGreenDeployment: {
                shape: "S1w"
              }
            }
          }
        },
        SwitchoverReadReplica: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "SwitchoverReadReplicaResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S3p"
              }
            }
          }
        }
      },
      shapes: {
        S6: {
          type: "structure",
          members: {
            CustomerAwsId: {},
            CustSubscriptionId: {},
            SnsTopicArn: {},
            Status: {},
            SubscriptionCreationTime: {},
            SourceType: {},
            SourceIdsList: {
              shape: "S7"
            },
            EventCategoriesList: {
              shape: "S8"
            },
            Enabled: {
              type: "boolean"
            },
            EventSubscriptionArn: {}
          },
          wrapper: true
        },
        S7: {
          type: "list",
          member: {
            locationName: "SourceId"
          }
        },
        S8: {
          type: "list",
          member: {
            locationName: "EventCategory"
          }
        },
        Sb: {
          type: "list",
          member: {
            locationName: "Tag",
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sf: {
          type: "structure",
          members: {
            ResourceIdentifier: {},
            PendingMaintenanceActionDetails: {
              type: "list",
              member: {
                locationName: "PendingMaintenanceAction",
                type: "structure",
                members: {
                  Action: {},
                  AutoAppliedAfterDate: {
                    type: "timestamp"
                  },
                  ForcedApplyDate: {
                    type: "timestamp"
                  },
                  OptInStatus: {},
                  CurrentApplyDate: {
                    type: "timestamp"
                  },
                  Description: {}
                }
              }
            }
          },
          wrapper: true
        },
        Sl: {
          type: "structure",
          members: {
            OwnerId: {},
            DBSecurityGroupName: {},
            DBSecurityGroupDescription: {},
            VpcId: {},
            EC2SecurityGroups: {
              type: "list",
              member: {
                locationName: "EC2SecurityGroup",
                type: "structure",
                members: {
                  Status: {},
                  EC2SecurityGroupName: {},
                  EC2SecurityGroupId: {},
                  EC2SecurityGroupOwnerId: {}
                }
              }
            },
            IPRanges: {
              type: "list",
              member: {
                locationName: "IPRange",
                type: "structure",
                members: {
                  Status: {},
                  CIDRIP: {}
                }
              }
            },
            DBSecurityGroupArn: {}
          },
          wrapper: true
        },
        Ss: {
          type: "structure",
          members: {
            DBClusterIdentifier: {},
            BacktrackIdentifier: {},
            BacktrackTo: {
              type: "timestamp"
            },
            BacktrackedFrom: {
              type: "timestamp"
            },
            BacktrackRequestCreationTime: {
              type: "timestamp"
            },
            Status: {}
          }
        },
        Su: {
          type: "structure",
          members: {
            ExportTaskIdentifier: {},
            SourceArn: {},
            ExportOnly: {
              shape: "Sv"
            },
            SnapshotTime: {
              type: "timestamp"
            },
            TaskStartTime: {
              type: "timestamp"
            },
            TaskEndTime: {
              type: "timestamp"
            },
            S3Bucket: {},
            S3Prefix: {},
            IamRoleArn: {},
            KmsKeyId: {},
            Status: {},
            PercentProgress: {
              type: "integer"
            },
            TotalExtractedDataInGB: {
              type: "integer"
            },
            FailureCause: {},
            WarningMessage: {},
            SourceType: {}
          }
        },
        Sv: {
          type: "list",
          member: {}
        },
        S10: {
          type: "structure",
          members: {
            DBClusterParameterGroupName: {},
            DBParameterGroupFamily: {},
            Description: {},
            DBClusterParameterGroupArn: {}
          },
          wrapper: true
        },
        S13: {
          type: "structure",
          members: {
            AvailabilityZones: {
              shape: "S14"
            },
            DBClusterSnapshotIdentifier: {},
            DBClusterIdentifier: {},
            SnapshotCreateTime: {
              type: "timestamp"
            },
            Engine: {},
            EngineMode: {},
            AllocatedStorage: {
              type: "integer"
            },
            Status: {},
            Port: {
              type: "integer"
            },
            VpcId: {},
            ClusterCreateTime: {
              type: "timestamp"
            },
            MasterUsername: {},
            EngineVersion: {},
            LicenseModel: {},
            SnapshotType: {},
            PercentProgress: {
              type: "integer"
            },
            StorageEncrypted: {
              type: "boolean"
            },
            KmsKeyId: {},
            DBClusterSnapshotArn: {},
            SourceDBClusterSnapshotArn: {},
            IAMDatabaseAuthenticationEnabled: {
              type: "boolean"
            },
            TagList: {
              shape: "Sb"
            },
            DBSystemId: {},
            StorageType: {}
          },
          wrapper: true
        },
        S14: {
          type: "list",
          member: {
            locationName: "AvailabilityZone"
          }
        },
        S17: {
          type: "structure",
          members: {
            DBParameterGroupName: {},
            DBParameterGroupFamily: {},
            Description: {},
            DBParameterGroupArn: {}
          },
          wrapper: true
        },
        S1a: {
          type: "structure",
          members: {
            DBSnapshotIdentifier: {},
            DBInstanceIdentifier: {},
            SnapshotCreateTime: {
              type: "timestamp"
            },
            Engine: {},
            AllocatedStorage: {
              type: "integer"
            },
            Status: {},
            Port: {
              type: "integer"
            },
            AvailabilityZone: {},
            VpcId: {},
            InstanceCreateTime: {
              type: "timestamp"
            },
            MasterUsername: {},
            EngineVersion: {},
            LicenseModel: {},
            SnapshotType: {},
            Iops: {
              type: "integer"
            },
            OptionGroupName: {},
            PercentProgress: {
              type: "integer"
            },
            SourceRegion: {},
            SourceDBSnapshotIdentifier: {},
            StorageType: {},
            TdeCredentialArn: {},
            Encrypted: {
              type: "boolean"
            },
            KmsKeyId: {},
            DBSnapshotArn: {},
            Timezone: {},
            IAMDatabaseAuthenticationEnabled: {
              type: "boolean"
            },
            ProcessorFeatures: {
              shape: "S1c"
            },
            DbiResourceId: {},
            TagList: {
              shape: "Sb"
            },
            OriginalSnapshotCreateTime: {
              type: "timestamp"
            },
            SnapshotDatabaseTime: {
              type: "timestamp"
            },
            SnapshotTarget: {},
            StorageThroughput: {
              type: "integer"
            }
          },
          wrapper: true
        },
        S1c: {
          type: "list",
          member: {
            locationName: "ProcessorFeature",
            type: "structure",
            members: {
              Name: {},
              Value: {}
            }
          }
        },
        S1g: {
          type: "structure",
          members: {
            OptionGroupName: {},
            OptionGroupDescription: {},
            EngineName: {},
            MajorEngineVersion: {},
            Options: {
              type: "list",
              member: {
                locationName: "Option",
                type: "structure",
                members: {
                  OptionName: {},
                  OptionDescription: {},
                  Persistent: {
                    type: "boolean"
                  },
                  Permanent: {
                    type: "boolean"
                  },
                  Port: {
                    type: "integer"
                  },
                  OptionVersion: {},
                  OptionSettings: {
                    type: "list",
                    member: {
                      shape: "S1k",
                      locationName: "OptionSetting"
                    }
                  },
                  DBSecurityGroupMemberships: {
                    shape: "S1l"
                  },
                  VpcSecurityGroupMemberships: {
                    shape: "S1n"
                  }
                }
              }
            },
            AllowsVpcAndNonVpcInstanceMemberships: {
              type: "boolean"
            },
            VpcId: {},
            OptionGroupArn: {},
            SourceOptionGroup: {},
            SourceAccountId: {},
            CopyTimestamp: {
              type: "timestamp"
            }
          },
          wrapper: true
        },
        S1k: {
          type: "structure",
          members: {
            Name: {},
            Value: {},
            DefaultValue: {},
            Description: {},
            ApplyType: {},
            DataType: {},
            AllowedValues: {},
            IsModifiable: {
              type: "boolean"
            },
            IsCollection: {
              type: "boolean"
            }
          }
        },
        S1l: {
          type: "list",
          member: {
            locationName: "DBSecurityGroup",
            type: "structure",
            members: {
              DBSecurityGroupName: {},
              Status: {}
            }
          }
        },
        S1n: {
          type: "list",
          member: {
            locationName: "VpcSecurityGroupMembership",
            type: "structure",
            members: {
              VpcSecurityGroupId: {},
              Status: {}
            }
          }
        },
        S1w: {
          type: "structure",
          members: {
            BlueGreenDeploymentIdentifier: {},
            BlueGreenDeploymentName: {},
            Source: {},
            Target: {},
            SwitchoverDetails: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  SourceMember: {},
                  TargetMember: {},
                  Status: {}
                }
              }
            },
            Tasks: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Name: {},
                  Status: {}
                }
              }
            },
            Status: {},
            StatusDetails: {},
            CreateTime: {
              type: "timestamp"
            },
            DeleteTime: {
              type: "timestamp"
            },
            TagList: {
              shape: "Sb"
            }
          }
        },
        S2f: {
          type: "structure",
          members: {
            Engine: {},
            EngineVersion: {},
            DBParameterGroupFamily: {},
            DBEngineDescription: {},
            DBEngineVersionDescription: {},
            DefaultCharacterSet: {
              shape: "S2g"
            },
            Image: {
              type: "structure",
              members: {
                ImageId: {},
                Status: {}
              }
            },
            DBEngineMediaType: {},
            SupportedCharacterSets: {
              shape: "S2i"
            },
            SupportedNcharCharacterSets: {
              shape: "S2i"
            },
            ValidUpgradeTarget: {
              type: "list",
              member: {
                locationName: "UpgradeTarget",
                type: "structure",
                members: {
                  Engine: {},
                  EngineVersion: {},
                  Description: {},
                  AutoUpgrade: {
                    type: "boolean"
                  },
                  IsMajorVersionUpgrade: {
                    type: "boolean"
                  },
                  SupportedEngineModes: {
                    shape: "S2l"
                  },
                  SupportsParallelQuery: {
                    type: "boolean"
                  },
                  SupportsGlobalDatabases: {
                    type: "boolean"
                  },
                  SupportsBabelfish: {
                    type: "boolean"
                  }
                }
              }
            },
            SupportedTimezones: {
              type: "list",
              member: {
                locationName: "Timezone",
                type: "structure",
                members: {
                  TimezoneName: {}
                }
              }
            },
            ExportableLogTypes: {
              shape: "S2o"
            },
            SupportsLogExportsToCloudwatchLogs: {
              type: "boolean"
            },
            SupportsReadReplica: {
              type: "boolean"
            },
            SupportedEngineModes: {
              shape: "S2l"
            },
            SupportedFeatureNames: {
              type: "list",
              member: {}
            },
            Status: {},
            SupportsParallelQuery: {
              type: "boolean"
            },
            SupportsGlobalDatabases: {
              type: "boolean"
            },
            MajorEngineVersion: {},
            DatabaseInstallationFilesS3BucketName: {},
            DatabaseInstallationFilesS3Prefix: {},
            DBEngineVersionArn: {},
            KMSKeyId: {},
            CreateTime: {
              type: "timestamp"
            },
            TagList: {
              shape: "Sb"
            },
            SupportsBabelfish: {
              type: "boolean"
            },
            CustomDBEngineVersionManifest: {},
            SupportsCertificateRotationWithoutRestart: {
              type: "boolean"
            },
            SupportedCACertificateIdentifiers: {
              type: "list",
              member: {}
            }
          }
        },
        S2g: {
          type: "structure",
          members: {
            CharacterSetName: {},
            CharacterSetDescription: {}
          }
        },
        S2i: {
          type: "list",
          member: {
            shape: "S2g",
            locationName: "CharacterSet"
          }
        },
        S2l: {
          type: "list",
          member: {}
        },
        S2o: {
          type: "list",
          member: {}
        },
        S2s: {
          type: "list",
          member: {
            locationName: "VpcSecurityGroupId"
          }
        },
        S2u: {
          type: "structure",
          members: {
            MinCapacity: {
              type: "integer"
            },
            MaxCapacity: {
              type: "integer"
            },
            AutoPause: {
              type: "boolean"
            },
            SecondsUntilAutoPause: {
              type: "integer"
            },
            TimeoutAction: {},
            SecondsBeforeTimeout: {
              type: "integer"
            }
          }
        },
        S2v: {
          type: "structure",
          members: {
            MinCapacity: {
              type: "double"
            },
            MaxCapacity: {
              type: "double"
            }
          }
        },
        S2y: {
          type: "structure",
          members: {
            AllocatedStorage: {
              type: "integer"
            },
            AvailabilityZones: {
              shape: "S14"
            },
            BackupRetentionPeriod: {
              type: "integer"
            },
            CharacterSetName: {},
            DatabaseName: {},
            DBClusterIdentifier: {},
            DBClusterParameterGroup: {},
            DBSubnetGroup: {},
            Status: {},
            AutomaticRestartTime: {
              type: "timestamp"
            },
            PercentProgress: {},
            EarliestRestorableTime: {
              type: "timestamp"
            },
            Endpoint: {},
            ReaderEndpoint: {},
            CustomEndpoints: {
              shape: "Sv"
            },
            MultiAZ: {
              type: "boolean"
            },
            Engine: {},
            EngineVersion: {},
            LatestRestorableTime: {
              type: "timestamp"
            },
            Port: {
              type: "integer"
            },
            MasterUsername: {},
            DBClusterOptionGroupMemberships: {
              type: "list",
              member: {
                locationName: "DBClusterOptionGroup",
                type: "structure",
                members: {
                  DBClusterOptionGroupName: {},
                  Status: {}
                }
              }
            },
            PreferredBackupWindow: {},
            PreferredMaintenanceWindow: {},
            ReplicationSourceIdentifier: {},
            ReadReplicaIdentifiers: {
              type: "list",
              member: {
                locationName: "ReadReplicaIdentifier"
              }
            },
            DBClusterMembers: {
              type: "list",
              member: {
                locationName: "DBClusterMember",
                type: "structure",
                members: {
                  DBInstanceIdentifier: {},
                  IsClusterWriter: {
                    type: "boolean"
                  },
                  DBClusterParameterGroupStatus: {},
                  PromotionTier: {
                    type: "integer"
                  }
                },
                wrapper: true
              }
            },
            VpcSecurityGroups: {
              shape: "S1n"
            },
            HostedZoneId: {},
            StorageEncrypted: {
              type: "boolean"
            },
            KmsKeyId: {},
            DbClusterResourceId: {},
            DBClusterArn: {},
            AssociatedRoles: {
              type: "list",
              member: {
                locationName: "DBClusterRole",
                type: "structure",
                members: {
                  RoleArn: {},
                  Status: {},
                  FeatureName: {}
                }
              }
            },
            IAMDatabaseAuthenticationEnabled: {
              type: "boolean"
            },
            CloneGroupId: {},
            ClusterCreateTime: {
              type: "timestamp"
            },
            EarliestBacktrackTime: {
              type: "timestamp"
            },
            BacktrackWindow: {
              type: "long"
            },
            BacktrackConsumedChangeRecords: {
              type: "long"
            },
            EnabledCloudwatchLogsExports: {
              shape: "S2o"
            },
            Capacity: {
              type: "integer"
            },
            EngineMode: {},
            ScalingConfigurationInfo: {
              type: "structure",
              members: {
                MinCapacity: {
                  type: "integer"
                },
                MaxCapacity: {
                  type: "integer"
                },
                AutoPause: {
                  type: "boolean"
                },
                SecondsUntilAutoPause: {
                  type: "integer"
                },
                TimeoutAction: {},
                SecondsBeforeTimeout: {
                  type: "integer"
                }
              }
            },
            DeletionProtection: {
              type: "boolean"
            },
            HttpEndpointEnabled: {
              type: "boolean"
            },
            ActivityStreamMode: {},
            ActivityStreamStatus: {},
            ActivityStreamKmsKeyId: {},
            ActivityStreamKinesisStreamName: {},
            CopyTagsToSnapshot: {
              type: "boolean"
            },
            CrossAccountClone: {
              type: "boolean"
            },
            DomainMemberships: {
              shape: "S39"
            },
            TagList: {
              shape: "Sb"
            },
            GlobalWriteForwardingStatus: {},
            GlobalWriteForwardingRequested: {
              type: "boolean"
            },
            PendingModifiedValues: {
              type: "structure",
              members: {
                PendingCloudwatchLogsExports: {
                  shape: "S3d"
                },
                DBClusterIdentifier: {},
                MasterUserPassword: {},
                IAMDatabaseAuthenticationEnabled: {
                  type: "boolean"
                },
                EngineVersion: {},
                BackupRetentionPeriod: {
                  type: "integer"
                },
                AllocatedStorage: {
                  type: "integer"
                },
                Iops: {
                  type: "integer"
                },
                StorageType: {}
              }
            },
            DBClusterInstanceClass: {},
            StorageType: {},
            Iops: {
              type: "integer"
            },
            PubliclyAccessible: {
              type: "boolean"
            },
            AutoMinorVersionUpgrade: {
              type: "boolean"
            },
            MonitoringInterval: {
              type: "integer"
            },
            MonitoringRoleArn: {},
            PerformanceInsightsEnabled: {
              type: "boolean"
            },
            PerformanceInsightsKMSKeyId: {},
            PerformanceInsightsRetentionPeriod: {
              type: "integer"
            },
            ServerlessV2ScalingConfiguration: {
              type: "structure",
              members: {
                MinCapacity: {
                  type: "double"
                },
                MaxCapacity: {
                  type: "double"
                }
              }
            },
            NetworkType: {},
            DBSystemId: {},
            MasterUserSecret: {
              shape: "S3f"
            },
            IOOptimizedNextAllowedModificationTime: {
              type: "timestamp"
            }
          },
          wrapper: true
        },
        S39: {
          type: "list",
          member: {
            locationName: "DomainMembership",
            type: "structure",
            members: {
              Domain: {},
              Status: {},
              FQDN: {},
              IAMRoleName: {},
              OU: {},
              AuthSecretArn: {},
              DnsIps: {
                shape: "Sv"
              }
            }
          }
        },
        S3d: {
          type: "structure",
          members: {
            LogTypesToEnable: {
              shape: "S2o"
            },
            LogTypesToDisable: {
              shape: "S2o"
            }
          }
        },
        S3f: {
          type: "structure",
          members: {
            SecretArn: {},
            SecretStatus: {},
            KmsKeyId: {}
          }
        },
        S3h: {
          type: "structure",
          members: {
            DBClusterEndpointIdentifier: {},
            DBClusterIdentifier: {},
            DBClusterEndpointResourceIdentifier: {},
            Endpoint: {},
            Status: {},
            EndpointType: {},
            CustomEndpointType: {},
            StaticMembers: {
              shape: "Sv"
            },
            ExcludedMembers: {
              shape: "Sv"
            },
            DBClusterEndpointArn: {}
          }
        },
        S3n: {
          type: "list",
          member: {
            locationName: "DBSecurityGroupName"
          }
        },
        S3p: {
          type: "structure",
          members: {
            DBInstanceIdentifier: {},
            DBInstanceClass: {},
            Engine: {},
            DBInstanceStatus: {},
            AutomaticRestartTime: {
              type: "timestamp"
            },
            MasterUsername: {},
            DBName: {},
            Endpoint: {
              shape: "S3q"
            },
            AllocatedStorage: {
              type: "integer"
            },
            InstanceCreateTime: {
              type: "timestamp"
            },
            PreferredBackupWindow: {},
            BackupRetentionPeriod: {
              type: "integer"
            },
            DBSecurityGroups: {
              shape: "S1l"
            },
            VpcSecurityGroups: {
              shape: "S1n"
            },
            DBParameterGroups: {
              type: "list",
              member: {
                locationName: "DBParameterGroup",
                type: "structure",
                members: {
                  DBParameterGroupName: {},
                  ParameterApplyStatus: {}
                }
              }
            },
            AvailabilityZone: {},
            DBSubnetGroup: {
              shape: "S3t"
            },
            PreferredMaintenanceWindow: {},
            PendingModifiedValues: {
              type: "structure",
              members: {
                DBInstanceClass: {},
                AllocatedStorage: {
                  type: "integer"
                },
                MasterUserPassword: {},
                Port: {
                  type: "integer"
                },
                BackupRetentionPeriod: {
                  type: "integer"
                },
                MultiAZ: {
                  type: "boolean"
                },
                EngineVersion: {},
                LicenseModel: {},
                Iops: {
                  type: "integer"
                },
                DBInstanceIdentifier: {},
                StorageType: {},
                CACertificateIdentifier: {},
                DBSubnetGroupName: {},
                PendingCloudwatchLogsExports: {
                  shape: "S3d"
                },
                ProcessorFeatures: {
                  shape: "S1c"
                },
                IAMDatabaseAuthenticationEnabled: {
                  type: "boolean"
                },
                AutomationMode: {},
                ResumeFullAutomationModeTime: {
                  type: "timestamp"
                },
                StorageThroughput: {
                  type: "integer"
                },
                Engine: {}
              }
            },
            LatestRestorableTime: {
              type: "timestamp"
            },
            MultiAZ: {
              type: "boolean"
            },
            EngineVersion: {},
            AutoMinorVersionUpgrade: {
              type: "boolean"
            },
            ReadReplicaSourceDBInstanceIdentifier: {},
            ReadReplicaDBInstanceIdentifiers: {
              type: "list",
              member: {
                locationName: "ReadReplicaDBInstanceIdentifier"
              }
            },
            ReadReplicaDBClusterIdentifiers: {
              type: "list",
              member: {
                locationName: "ReadReplicaDBClusterIdentifier"
              }
            },
            ReplicaMode: {},
            LicenseModel: {},
            Iops: {
              type: "integer"
            },
            OptionGroupMemberships: {
              type: "list",
              member: {
                locationName: "OptionGroupMembership",
                type: "structure",
                members: {
                  OptionGroupName: {},
                  Status: {}
                }
              }
            },
            CharacterSetName: {},
            NcharCharacterSetName: {},
            SecondaryAvailabilityZone: {},
            PubliclyAccessible: {
              type: "boolean"
            },
            StatusInfos: {
              type: "list",
              member: {
                locationName: "DBInstanceStatusInfo",
                type: "structure",
                members: {
                  StatusType: {},
                  Normal: {
                    type: "boolean"
                  },
                  Status: {},
                  Message: {}
                }
              }
            },
            StorageType: {},
            TdeCredentialArn: {},
            DbInstancePort: {
              type: "integer"
            },
            DBClusterIdentifier: {},
            StorageEncrypted: {
              type: "boolean"
            },
            KmsKeyId: {},
            DbiResourceId: {},
            CACertificateIdentifier: {},
            DomainMemberships: {
              shape: "S39"
            },
            CopyTagsToSnapshot: {
              type: "boolean"
            },
            MonitoringInterval: {
              type: "integer"
            },
            EnhancedMonitoringResourceArn: {},
            MonitoringRoleArn: {},
            PromotionTier: {
              type: "integer"
            },
            DBInstanceArn: {},
            Timezone: {},
            IAMDatabaseAuthenticationEnabled: {
              type: "boolean"
            },
            PerformanceInsightsEnabled: {
              type: "boolean"
            },
            PerformanceInsightsKMSKeyId: {},
            PerformanceInsightsRetentionPeriod: {
              type: "integer"
            },
            EnabledCloudwatchLogsExports: {
              shape: "S2o"
            },
            ProcessorFeatures: {
              shape: "S1c"
            },
            DeletionProtection: {
              type: "boolean"
            },
            AssociatedRoles: {
              type: "list",
              member: {
                locationName: "DBInstanceRole",
                type: "structure",
                members: {
                  RoleArn: {},
                  FeatureName: {},
                  Status: {}
                }
              }
            },
            ListenerEndpoint: {
              shape: "S3q"
            },
            MaxAllocatedStorage: {
              type: "integer"
            },
            TagList: {
              shape: "Sb"
            },
            DBInstanceAutomatedBackupsReplications: {
              shape: "S49"
            },
            CustomerOwnedIpEnabled: {
              type: "boolean"
            },
            AwsBackupRecoveryPointArn: {},
            ActivityStreamStatus: {},
            ActivityStreamKmsKeyId: {},
            ActivityStreamKinesisStreamName: {},
            ActivityStreamMode: {},
            ActivityStreamEngineNativeAuditFieldsIncluded: {
              type: "boolean"
            },
            AutomationMode: {},
            ResumeFullAutomationModeTime: {
              type: "timestamp"
            },
            CustomIamInstanceProfile: {},
            BackupTarget: {},
            NetworkType: {},
            ActivityStreamPolicyStatus: {},
            StorageThroughput: {
              type: "integer"
            },
            DBSystemId: {},
            MasterUserSecret: {
              shape: "S3f"
            },
            CertificateDetails: {
              type: "structure",
              members: {
                CAIdentifier: {},
                ValidTill: {
                  type: "timestamp"
                }
              }
            },
            ReadReplicaSourceDBClusterIdentifier: {}
          },
          wrapper: true
        },
        S3q: {
          type: "structure",
          members: {
            Address: {},
            Port: {
              type: "integer"
            },
            HostedZoneId: {}
          }
        },
        S3t: {
          type: "structure",
          members: {
            DBSubnetGroupName: {},
            DBSubnetGroupDescription: {},
            VpcId: {},
            SubnetGroupStatus: {},
            Subnets: {
              type: "list",
              member: {
                locationName: "Subnet",
                type: "structure",
                members: {
                  SubnetIdentifier: {},
                  SubnetAvailabilityZone: {
                    shape: "S3w"
                  },
                  SubnetOutpost: {
                    type: "structure",
                    members: {
                      Arn: {}
                    }
                  },
                  SubnetStatus: {}
                }
              }
            },
            DBSubnetGroupArn: {},
            SupportedNetworkTypes: {
              shape: "Sv"
            }
          },
          wrapper: true
        },
        S3w: {
          type: "structure",
          members: {
            Name: {}
          },
          wrapper: true
        },
        S49: {
          type: "list",
          member: {
            locationName: "DBInstanceAutomatedBackupsReplication",
            type: "structure",
            members: {
              DBInstanceAutomatedBackupsArn: {}
            }
          }
        },
        S4j: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Description: {},
              UserName: {},
              AuthScheme: {},
              SecretArn: {},
              IAMAuth: {},
              ClientPasswordAuthType: {}
            }
          }
        },
        S4p: {
          type: "structure",
          members: {
            DBProxyName: {},
            DBProxyArn: {},
            Status: {},
            EngineFamily: {},
            VpcId: {},
            VpcSecurityGroupIds: {
              shape: "Sv"
            },
            VpcSubnetIds: {
              shape: "Sv"
            },
            Auth: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Description: {},
                  UserName: {},
                  AuthScheme: {},
                  SecretArn: {},
                  IAMAuth: {},
                  ClientPasswordAuthType: {}
                }
              }
            },
            RoleArn: {},
            Endpoint: {},
            RequireTLS: {
              type: "boolean"
            },
            IdleClientTimeout: {
              type: "integer"
            },
            DebugLogging: {
              type: "boolean"
            },
            CreatedDate: {
              type: "timestamp"
            },
            UpdatedDate: {
              type: "timestamp"
            }
          }
        },
        S4y: {
          type: "structure",
          members: {
            DBProxyEndpointName: {},
            DBProxyEndpointArn: {},
            DBProxyName: {},
            Status: {},
            VpcId: {},
            VpcSecurityGroupIds: {
              shape: "Sv"
            },
            VpcSubnetIds: {
              shape: "Sv"
            },
            Endpoint: {},
            CreatedDate: {
              type: "timestamp"
            },
            TargetRole: {},
            IsDefault: {
              type: "boolean"
            }
          }
        },
        S55: {
          type: "list",
          member: {
            locationName: "SubnetIdentifier"
          }
        },
        S5b: {
          type: "structure",
          members: {
            GlobalClusterIdentifier: {},
            GlobalClusterResourceId: {},
            GlobalClusterArn: {},
            Status: {},
            Engine: {},
            EngineVersion: {},
            DatabaseName: {},
            StorageEncrypted: {
              type: "boolean"
            },
            DeletionProtection: {
              type: "boolean"
            },
            GlobalClusterMembers: {
              type: "list",
              member: {
                locationName: "GlobalClusterMember",
                type: "structure",
                members: {
                  DBClusterArn: {},
                  Readers: {
                    type: "list",
                    member: {}
                  },
                  IsWriter: {
                    type: "boolean"
                  },
                  GlobalWriteForwardingStatus: {}
                },
                wrapper: true
              }
            },
            FailoverState: {
              type: "structure",
              members: {
                Status: {},
                FromDbClusterArn: {},
                ToDbClusterArn: {}
              },
              wrapper: true
            }
          },
          wrapper: true
        },
        S5w: {
          type: "structure",
          members: {
            DBInstanceArn: {},
            DbiResourceId: {},
            Region: {},
            DBInstanceIdentifier: {},
            RestoreWindow: {
              type: "structure",
              members: {
                EarliestTime: {
                  type: "timestamp"
                },
                LatestTime: {
                  type: "timestamp"
                }
              }
            },
            AllocatedStorage: {
              type: "integer"
            },
            Status: {},
            Port: {
              type: "integer"
            },
            AvailabilityZone: {},
            VpcId: {},
            InstanceCreateTime: {
              type: "timestamp"
            },
            MasterUsername: {},
            Engine: {},
            EngineVersion: {},
            LicenseModel: {},
            Iops: {
              type: "integer"
            },
            OptionGroupName: {},
            TdeCredentialArn: {},
            Encrypted: {
              type: "boolean"
            },
            StorageType: {},
            KmsKeyId: {},
            Timezone: {},
            IAMDatabaseAuthenticationEnabled: {
              type: "boolean"
            },
            BackupRetentionPeriod: {
              type: "integer"
            },
            DBInstanceAutomatedBackupsArn: {},
            DBInstanceAutomatedBackupsReplications: {
              shape: "S49"
            },
            BackupTarget: {},
            StorageThroughput: {
              type: "integer"
            }
          },
          wrapper: true
        },
        S6k: {
          type: "list",
          member: {
            locationName: "Filter",
            type: "structure",
            required: [
              "Name",
              "Values"
            ],
            members: {
              Name: {},
              Values: {
                type: "list",
                member: {
                  locationName: "Value"
                }
              }
            }
          }
        },
        S6t: {
          type: "structure",
          members: {
            CertificateIdentifier: {},
            CertificateType: {},
            Thumbprint: {},
            ValidFrom: {
              type: "timestamp"
            },
            ValidTill: {
              type: "timestamp"
            },
            CertificateArn: {},
            CustomerOverride: {
              type: "boolean"
            },
            CustomerOverrideValidTill: {
              type: "timestamp"
            }
          },
          wrapper: true
        },
        S75: {
          type: "list",
          member: {
            locationName: "Parameter",
            type: "structure",
            members: {
              ParameterName: {},
              ParameterValue: {},
              Description: {},
              Source: {},
              ApplyType: {},
              DataType: {},
              AllowedValues: {},
              IsModifiable: {
                type: "boolean"
              },
              MinimumEngineVersion: {},
              ApplyMethod: {},
              SupportedEngineModes: {
                shape: "S2l"
              }
            }
          }
        },
        S7a: {
          type: "structure",
          members: {
            DBClusterSnapshotIdentifier: {},
            DBClusterSnapshotAttributes: {
              type: "list",
              member: {
                locationName: "DBClusterSnapshotAttribute",
                type: "structure",
                members: {
                  AttributeName: {},
                  AttributeValues: {
                    shape: "S7d"
                  }
                }
              }
            }
          },
          wrapper: true
        },
        S7d: {
          type: "list",
          member: {
            locationName: "AttributeValue"
          }
        },
        S8b: {
          type: "structure",
          members: {
            DBProxyName: {},
            TargetGroupName: {},
            TargetGroupArn: {},
            IsDefault: {
              type: "boolean"
            },
            Status: {},
            ConnectionPoolConfig: {
              type: "structure",
              members: {
                MaxConnectionsPercent: {
                  type: "integer"
                },
                MaxIdleConnectionsPercent: {
                  type: "integer"
                },
                ConnectionBorrowTimeout: {
                  type: "integer"
                },
                SessionPinningFilters: {
                  shape: "Sv"
                },
                InitQuery: {}
              }
            },
            CreatedDate: {
              type: "timestamp"
            },
            UpdatedDate: {
              type: "timestamp"
            }
          }
        },
        S8f: {
          type: "list",
          member: {
            type: "structure",
            members: {
              TargetArn: {},
              Endpoint: {},
              TrackedClusterId: {},
              RdsResourceId: {},
              Port: {
                type: "integer"
              },
              Type: {},
              Role: {},
              TargetHealth: {
                type: "structure",
                members: {
                  State: {},
                  Reason: {},
                  Description: {}
                }
              }
            }
          }
        },
        S8r: {
          type: "structure",
          members: {
            DBSnapshotIdentifier: {},
            DBSnapshotAttributes: {
              type: "list",
              member: {
                locationName: "DBSnapshotAttribute",
                type: "structure",
                members: {
                  AttributeName: {},
                  AttributeValues: {
                    shape: "S7d"
                  }
                },
                wrapper: true
              }
            }
          },
          wrapper: true
        },
        S92: {
          type: "structure",
          members: {
            DBParameterGroupFamily: {},
            Marker: {},
            Parameters: {
              shape: "S75"
            }
          },
          wrapper: true
        },
        Sa7: {
          type: "list",
          member: {
            locationName: "AvailableProcessorFeature",
            type: "structure",
            members: {
              Name: {},
              DefaultValue: {},
              AllowedValues: {}
            }
          }
        },
        Sag: {
          type: "structure",
          members: {
            ReservedDBInstanceId: {},
            ReservedDBInstancesOfferingId: {},
            DBInstanceClass: {},
            StartTime: {
              type: "timestamp"
            },
            Duration: {
              type: "integer"
            },
            FixedPrice: {
              type: "double"
            },
            UsagePrice: {
              type: "double"
            },
            CurrencyCode: {},
            DBInstanceCount: {
              type: "integer"
            },
            ProductDescription: {},
            OfferingType: {},
            MultiAZ: {
              type: "boolean"
            },
            State: {},
            RecurringCharges: {
              shape: "Sai"
            },
            ReservedDBInstanceArn: {},
            LeaseId: {}
          },
          wrapper: true
        },
        Sai: {
          type: "list",
          member: {
            locationName: "RecurringCharge",
            type: "structure",
            members: {
              RecurringChargeAmount: {
                type: "double"
              },
              RecurringChargeFrequency: {}
            },
            wrapper: true
          }
        },
        Sax: {
          type: "list",
          member: {
            locationName: "Range",
            type: "structure",
            members: {
              From: {
                type: "integer"
              },
              To: {
                type: "integer"
              },
              Step: {
                type: "integer"
              }
            }
          }
        },
        Saz: {
          type: "list",
          member: {
            locationName: "DoubleRange",
            type: "structure",
            members: {
              From: {
                type: "double"
              },
              To: {
                type: "double"
              }
            }
          }
        },
        Sbl: {
          type: "structure",
          members: {
            EnableLogTypes: {
              shape: "S2o"
            },
            DisableLogTypes: {
              shape: "S2o"
            }
          }
        },
        Sbp: {
          type: "structure",
          members: {
            DBClusterParameterGroupName: {}
          }
        },
        Sbw: {
          type: "structure",
          members: {
            DBParameterGroupName: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/rds-2014-10-31.paginators.json
var require_rds_2014_10_31_paginators = __commonJS({
  "node_modules/aws-sdk/apis/rds-2014-10-31.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeBlueGreenDeployments: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "BlueGreenDeployments"
        },
        DescribeCertificates: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Certificates"
        },
        DescribeDBClusterBacktracks: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBClusterBacktracks"
        },
        DescribeDBClusterEndpoints: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBClusterEndpoints"
        },
        DescribeDBClusterParameterGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBClusterParameterGroups"
        },
        DescribeDBClusterParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Parameters"
        },
        DescribeDBClusterSnapshots: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBClusterSnapshots"
        },
        DescribeDBClusters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBClusters"
        },
        DescribeDBEngineVersions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBEngineVersions"
        },
        DescribeDBInstanceAutomatedBackups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBInstanceAutomatedBackups"
        },
        DescribeDBInstances: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBInstances"
        },
        DescribeDBLogFiles: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DescribeDBLogFiles"
        },
        DescribeDBParameterGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBParameterGroups"
        },
        DescribeDBParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Parameters"
        },
        DescribeDBProxies: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBProxies"
        },
        DescribeDBProxyEndpoints: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBProxyEndpoints"
        },
        DescribeDBProxyTargetGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "TargetGroups"
        },
        DescribeDBProxyTargets: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Targets"
        },
        DescribeDBSecurityGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBSecurityGroups"
        },
        DescribeDBSnapshots: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBSnapshots"
        },
        DescribeDBSubnetGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBSubnetGroups"
        },
        DescribeEngineDefaultParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "EngineDefaults.Marker",
          result_key: "EngineDefaults.Parameters"
        },
        DescribeEventSubscriptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "EventSubscriptionsList"
        },
        DescribeEvents: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Events"
        },
        DescribeExportTasks: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ExportTasks"
        },
        DescribeGlobalClusters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "GlobalClusters"
        },
        DescribeOptionGroupOptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "OptionGroupOptions"
        },
        DescribeOptionGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "OptionGroupsList"
        },
        DescribeOrderableDBInstanceOptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "OrderableDBInstanceOptions"
        },
        DescribePendingMaintenanceActions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "PendingMaintenanceActions"
        },
        DescribeReservedDBInstances: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ReservedDBInstances"
        },
        DescribeReservedDBInstancesOfferings: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ReservedDBInstancesOfferings"
        },
        DescribeSourceRegions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "SourceRegions"
        },
        DownloadDBLogFilePortion: {
          input_token: "Marker",
          limit_key: "NumberOfLines",
          more_results: "AdditionalDataPending",
          output_token: "Marker",
          result_key: "LogFileData"
        },
        ListTagsForResource: {
          result_key: "TagList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/rds-2014-10-31.waiters2.json
var require_rds_2014_10_31_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/rds-2014-10-31.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        DBInstanceAvailable: {
          delay: 30,
          operation: "DescribeDBInstances",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "available",
              matcher: "pathAll",
              state: "success",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "deleted",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "deleting",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "failed",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "incompatible-restore",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "incompatible-parameters",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            }
          ]
        },
        DBInstanceDeleted: {
          delay: 30,
          operation: "DescribeDBInstances",
          maxAttempts: 60,
          acceptors: [
            {
              expected: true,
              matcher: "path",
              state: "success",
              argument: "length(DBInstances) == `0`"
            },
            {
              expected: "DBInstanceNotFound",
              matcher: "error",
              state: "success"
            },
            {
              expected: "creating",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "modifying",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "rebooting",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "resetting-master-credentials",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            }
          ]
        },
        DBSnapshotAvailable: {
          delay: 30,
          operation: "DescribeDBSnapshots",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "available",
              matcher: "pathAll",
              state: "success",
              argument: "DBSnapshots[].Status"
            },
            {
              expected: "deleted",
              matcher: "pathAny",
              state: "failure",
              argument: "DBSnapshots[].Status"
            },
            {
              expected: "deleting",
              matcher: "pathAny",
              state: "failure",
              argument: "DBSnapshots[].Status"
            },
            {
              expected: "failed",
              matcher: "pathAny",
              state: "failure",
              argument: "DBSnapshots[].Status"
            },
            {
              expected: "incompatible-restore",
              matcher: "pathAny",
              state: "failure",
              argument: "DBSnapshots[].Status"
            },
            {
              expected: "incompatible-parameters",
              matcher: "pathAny",
              state: "failure",
              argument: "DBSnapshots[].Status"
            }
          ]
        },
        DBSnapshotDeleted: {
          delay: 30,
          operation: "DescribeDBSnapshots",
          maxAttempts: 60,
          acceptors: [
            {
              expected: true,
              matcher: "path",
              state: "success",
              argument: "length(DBSnapshots) == `0`"
            },
            {
              expected: "DBSnapshotNotFound",
              matcher: "error",
              state: "success"
            },
            {
              expected: "creating",
              matcher: "pathAny",
              state: "failure",
              argument: "DBSnapshots[].Status"
            },
            {
              expected: "modifying",
              matcher: "pathAny",
              state: "failure",
              argument: "DBSnapshots[].Status"
            },
            {
              expected: "rebooting",
              matcher: "pathAny",
              state: "failure",
              argument: "DBSnapshots[].Status"
            },
            {
              expected: "resetting-master-credentials",
              matcher: "pathAny",
              state: "failure",
              argument: "DBSnapshots[].Status"
            }
          ]
        },
        DBClusterSnapshotAvailable: {
          delay: 30,
          operation: "DescribeDBClusterSnapshots",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "available",
              matcher: "pathAll",
              state: "success",
              argument: "DBClusterSnapshots[].Status"
            },
            {
              expected: "deleted",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusterSnapshots[].Status"
            },
            {
              expected: "deleting",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusterSnapshots[].Status"
            },
            {
              expected: "failed",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusterSnapshots[].Status"
            },
            {
              expected: "incompatible-restore",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusterSnapshots[].Status"
            },
            {
              expected: "incompatible-parameters",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusterSnapshots[].Status"
            }
          ]
        },
        DBClusterSnapshotDeleted: {
          delay: 30,
          operation: "DescribeDBClusterSnapshots",
          maxAttempts: 60,
          acceptors: [
            {
              expected: true,
              matcher: "path",
              state: "success",
              argument: "length(DBClusterSnapshots) == `0`"
            },
            {
              expected: "DBClusterSnapshotNotFoundFault",
              matcher: "error",
              state: "success"
            },
            {
              expected: "creating",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusterSnapshots[].Status"
            },
            {
              expected: "modifying",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusterSnapshots[].Status"
            },
            {
              expected: "rebooting",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusterSnapshots[].Status"
            },
            {
              expected: "resetting-master-credentials",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusterSnapshots[].Status"
            }
          ]
        },
        DBClusterAvailable: {
          delay: 30,
          operation: "DescribeDBClusters",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "available",
              matcher: "pathAll",
              state: "success",
              argument: "DBClusters[].Status"
            },
            {
              expected: "deleted",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusters[].Status"
            },
            {
              expected: "deleting",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusters[].Status"
            },
            {
              expected: "failed",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusters[].Status"
            },
            {
              expected: "incompatible-restore",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusters[].Status"
            },
            {
              expected: "incompatible-parameters",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusters[].Status"
            }
          ]
        },
        DBClusterDeleted: {
          delay: 30,
          operation: "DescribeDBClusters",
          maxAttempts: 60,
          acceptors: [
            {
              expected: true,
              matcher: "path",
              state: "success",
              argument: "length(DBClusters) == `0`"
            },
            {
              expected: "DBClusterNotFoundFault",
              matcher: "error",
              state: "success"
            },
            {
              expected: "creating",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusters[].Status"
            },
            {
              expected: "modifying",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusters[].Status"
            },
            {
              expected: "rebooting",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusters[].Status"
            },
            {
              expected: "resetting-master-credentials",
              matcher: "pathAny",
              state: "failure",
              argument: "DBClusters[].Status"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/rds.js
var require_rds2 = __commonJS({
  "node_modules/aws-sdk/clients/rds.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["rds"] = {};
    AWS2.RDS = Service.defineService("rds", ["2013-01-10", "2013-02-12", "2013-09-09", "2014-09-01", "2014-09-01*", "2014-10-31"]);
    require_rds();
    Object.defineProperty(apiLoader.services["rds"], "2013-01-10", {
      get: function get() {
        var model = require_rds_2013_01_10_min();
        model.paginators = require_rds_2013_01_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(apiLoader.services["rds"], "2013-02-12", {
      get: function get() {
        var model = require_rds_2013_02_12_min();
        model.paginators = require_rds_2013_02_12_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(apiLoader.services["rds"], "2013-09-09", {
      get: function get() {
        var model = require_rds_2013_09_09_min();
        model.paginators = require_rds_2013_09_09_paginators().pagination;
        model.waiters = require_rds_2013_09_09_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(apiLoader.services["rds"], "2014-09-01", {
      get: function get() {
        var model = require_rds_2014_09_01_min();
        model.paginators = require_rds_2014_09_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(apiLoader.services["rds"], "2014-10-31", {
      get: function get() {
        var model = require_rds_2014_10_31_min();
        model.paginators = require_rds_2014_10_31_paginators().pagination;
        model.waiters = require_rds_2014_10_31_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.RDS;
  }
});

// node_modules/aws-sdk/apis/redshift-2012-12-01.min.json
var require_redshift_2012_12_01_min = __commonJS({
  "node_modules/aws-sdk/apis/redshift-2012-12-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2012-12-01",
        endpointPrefix: "redshift",
        protocol: "query",
        serviceFullName: "Amazon Redshift",
        serviceId: "Redshift",
        signatureVersion: "v4",
        uid: "redshift-2012-12-01",
        xmlNamespace: "http://redshift.amazonaws.com/doc/2012-12-01/"
      },
      operations: {
        AcceptReservedNodeExchange: {
          input: {
            type: "structure",
            required: [
              "ReservedNodeId",
              "TargetReservedNodeOfferingId"
            ],
            members: {
              ReservedNodeId: {},
              TargetReservedNodeOfferingId: {}
            }
          },
          output: {
            resultWrapper: "AcceptReservedNodeExchangeResult",
            type: "structure",
            members: {
              ExchangedReservedNode: {
                shape: "S4"
              }
            }
          }
        },
        AddPartner: {
          input: {
            shape: "Sb"
          },
          output: {
            shape: "Sg",
            resultWrapper: "AddPartnerResult"
          }
        },
        AssociateDataShareConsumer: {
          input: {
            type: "structure",
            required: [
              "DataShareArn"
            ],
            members: {
              DataShareArn: {},
              AssociateEntireAccount: {
                type: "boolean"
              },
              ConsumerArn: {},
              ConsumerRegion: {}
            }
          },
          output: {
            shape: "Sj",
            resultWrapper: "AssociateDataShareConsumerResult"
          }
        },
        AuthorizeClusterSecurityGroupIngress: {
          input: {
            type: "structure",
            required: [
              "ClusterSecurityGroupName"
            ],
            members: {
              ClusterSecurityGroupName: {},
              CIDRIP: {},
              EC2SecurityGroupName: {},
              EC2SecurityGroupOwnerId: {}
            }
          },
          output: {
            resultWrapper: "AuthorizeClusterSecurityGroupIngressResult",
            type: "structure",
            members: {
              ClusterSecurityGroup: {
                shape: "Sq"
              }
            }
          }
        },
        AuthorizeDataShare: {
          input: {
            type: "structure",
            required: [
              "DataShareArn",
              "ConsumerIdentifier"
            ],
            members: {
              DataShareArn: {},
              ConsumerIdentifier: {}
            }
          },
          output: {
            shape: "Sj",
            resultWrapper: "AuthorizeDataShareResult"
          }
        },
        AuthorizeEndpointAccess: {
          input: {
            type: "structure",
            required: [
              "Account"
            ],
            members: {
              ClusterIdentifier: {},
              Account: {},
              VpcIds: {
                shape: "Sz"
              }
            }
          },
          output: {
            shape: "S10",
            resultWrapper: "AuthorizeEndpointAccessResult"
          }
        },
        AuthorizeSnapshotAccess: {
          input: {
            type: "structure",
            required: [
              "AccountWithRestoreAccess"
            ],
            members: {
              SnapshotIdentifier: {},
              SnapshotArn: {},
              SnapshotClusterIdentifier: {},
              AccountWithRestoreAccess: {}
            }
          },
          output: {
            resultWrapper: "AuthorizeSnapshotAccessResult",
            type: "structure",
            members: {
              Snapshot: {
                shape: "S14"
              }
            }
          }
        },
        BatchDeleteClusterSnapshots: {
          input: {
            type: "structure",
            required: [
              "Identifiers"
            ],
            members: {
              Identifiers: {
                type: "list",
                member: {
                  shape: "S1c",
                  locationName: "DeleteClusterSnapshotMessage"
                }
              }
            }
          },
          output: {
            resultWrapper: "BatchDeleteClusterSnapshotsResult",
            type: "structure",
            members: {
              Resources: {
                shape: "S1e"
              },
              Errors: {
                type: "list",
                member: {
                  shape: "S1g",
                  locationName: "SnapshotErrorMessage"
                }
              }
            }
          }
        },
        BatchModifyClusterSnapshots: {
          input: {
            type: "structure",
            required: [
              "SnapshotIdentifierList"
            ],
            members: {
              SnapshotIdentifierList: {
                shape: "S1e"
              },
              ManualSnapshotRetentionPeriod: {
                type: "integer"
              },
              Force: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "BatchModifyClusterSnapshotsResult",
            type: "structure",
            members: {
              Resources: {
                shape: "S1e"
              },
              Errors: {
                type: "list",
                member: {
                  shape: "S1g",
                  locationName: "SnapshotErrorMessage"
                }
              }
            }
          }
        },
        CancelResize: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              ClusterIdentifier: {}
            }
          },
          output: {
            shape: "S1l",
            resultWrapper: "CancelResizeResult"
          }
        },
        CopyClusterSnapshot: {
          input: {
            type: "structure",
            required: [
              "SourceSnapshotIdentifier",
              "TargetSnapshotIdentifier"
            ],
            members: {
              SourceSnapshotIdentifier: {},
              SourceSnapshotClusterIdentifier: {},
              TargetSnapshotIdentifier: {},
              ManualSnapshotRetentionPeriod: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "CopyClusterSnapshotResult",
            type: "structure",
            members: {
              Snapshot: {
                shape: "S14"
              }
            }
          }
        },
        CreateAuthenticationProfile: {
          input: {
            type: "structure",
            required: [
              "AuthenticationProfileName",
              "AuthenticationProfileContent"
            ],
            members: {
              AuthenticationProfileName: {},
              AuthenticationProfileContent: {}
            }
          },
          output: {
            resultWrapper: "CreateAuthenticationProfileResult",
            type: "structure",
            members: {
              AuthenticationProfileName: {},
              AuthenticationProfileContent: {}
            }
          }
        },
        CreateCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier",
              "NodeType",
              "MasterUsername",
              "MasterUserPassword"
            ],
            members: {
              DBName: {},
              ClusterIdentifier: {},
              ClusterType: {},
              NodeType: {},
              MasterUsername: {},
              MasterUserPassword: {},
              ClusterSecurityGroups: {
                shape: "S1x"
              },
              VpcSecurityGroupIds: {
                shape: "S1y"
              },
              ClusterSubnetGroupName: {},
              AvailabilityZone: {},
              PreferredMaintenanceWindow: {},
              ClusterParameterGroupName: {},
              AutomatedSnapshotRetentionPeriod: {
                type: "integer"
              },
              ManualSnapshotRetentionPeriod: {
                type: "integer"
              },
              Port: {
                type: "integer"
              },
              ClusterVersion: {},
              AllowVersionUpgrade: {
                type: "boolean"
              },
              NumberOfNodes: {
                type: "integer"
              },
              PubliclyAccessible: {
                type: "boolean"
              },
              Encrypted: {
                type: "boolean"
              },
              HsmClientCertificateIdentifier: {},
              HsmConfigurationIdentifier: {},
              ElasticIp: {},
              Tags: {
                shape: "St"
              },
              KmsKeyId: {},
              EnhancedVpcRouting: {
                type: "boolean"
              },
              AdditionalInfo: {},
              IamRoles: {
                shape: "S1z"
              },
              MaintenanceTrackName: {},
              SnapshotScheduleIdentifier: {},
              AvailabilityZoneRelocation: {
                type: "boolean"
              },
              AquaConfigurationStatus: {},
              DefaultIamRoleArn: {},
              LoadSampleData: {}
            }
          },
          output: {
            resultWrapper: "CreateClusterResult",
            type: "structure",
            members: {
              Cluster: {
                shape: "S22"
              }
            }
          }
        },
        CreateClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "ParameterGroupName",
              "ParameterGroupFamily",
              "Description"
            ],
            members: {
              ParameterGroupName: {},
              ParameterGroupFamily: {},
              Description: {},
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            resultWrapper: "CreateClusterParameterGroupResult",
            type: "structure",
            members: {
              ClusterParameterGroup: {
                shape: "S31"
              }
            }
          }
        },
        CreateClusterSecurityGroup: {
          input: {
            type: "structure",
            required: [
              "ClusterSecurityGroupName",
              "Description"
            ],
            members: {
              ClusterSecurityGroupName: {},
              Description: {},
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            resultWrapper: "CreateClusterSecurityGroupResult",
            type: "structure",
            members: {
              ClusterSecurityGroup: {
                shape: "Sq"
              }
            }
          }
        },
        CreateClusterSnapshot: {
          input: {
            type: "structure",
            required: [
              "SnapshotIdentifier",
              "ClusterIdentifier"
            ],
            members: {
              SnapshotIdentifier: {},
              ClusterIdentifier: {},
              ManualSnapshotRetentionPeriod: {
                type: "integer"
              },
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            resultWrapper: "CreateClusterSnapshotResult",
            type: "structure",
            members: {
              Snapshot: {
                shape: "S14"
              }
            }
          }
        },
        CreateClusterSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "ClusterSubnetGroupName",
              "Description",
              "SubnetIds"
            ],
            members: {
              ClusterSubnetGroupName: {},
              Description: {},
              SubnetIds: {
                shape: "S37"
              },
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            resultWrapper: "CreateClusterSubnetGroupResult",
            type: "structure",
            members: {
              ClusterSubnetGroup: {
                shape: "S39"
              }
            }
          }
        },
        CreateCustomDomainAssociation: {
          input: {
            type: "structure",
            required: [
              "CustomDomainName",
              "CustomDomainCertificateArn",
              "ClusterIdentifier"
            ],
            members: {
              CustomDomainName: {},
              CustomDomainCertificateArn: {},
              ClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "CreateCustomDomainAssociationResult",
            type: "structure",
            members: {
              CustomDomainName: {},
              CustomDomainCertificateArn: {},
              ClusterIdentifier: {},
              CustomDomainCertExpiryTime: {}
            }
          }
        },
        CreateEndpointAccess: {
          input: {
            type: "structure",
            required: [
              "EndpointName",
              "SubnetGroupName"
            ],
            members: {
              ClusterIdentifier: {},
              ResourceOwner: {},
              EndpointName: {},
              SubnetGroupName: {},
              VpcSecurityGroupIds: {
                shape: "S1y"
              }
            }
          },
          output: {
            shape: "S3k",
            resultWrapper: "CreateEndpointAccessResult"
          }
        },
        CreateEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SnsTopicArn"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              SourceIds: {
                shape: "S3m"
              },
              EventCategories: {
                shape: "S3n"
              },
              Severity: {},
              Enabled: {
                type: "boolean"
              },
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            resultWrapper: "CreateEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S3p"
              }
            }
          }
        },
        CreateHsmClientCertificate: {
          input: {
            type: "structure",
            required: [
              "HsmClientCertificateIdentifier"
            ],
            members: {
              HsmClientCertificateIdentifier: {},
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            resultWrapper: "CreateHsmClientCertificateResult",
            type: "structure",
            members: {
              HsmClientCertificate: {
                shape: "S3s"
              }
            }
          }
        },
        CreateHsmConfiguration: {
          input: {
            type: "structure",
            required: [
              "HsmConfigurationIdentifier",
              "Description",
              "HsmIpAddress",
              "HsmPartitionName",
              "HsmPartitionPassword",
              "HsmServerPublicCertificate"
            ],
            members: {
              HsmConfigurationIdentifier: {},
              Description: {},
              HsmIpAddress: {},
              HsmPartitionName: {},
              HsmPartitionPassword: {},
              HsmServerPublicCertificate: {},
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            resultWrapper: "CreateHsmConfigurationResult",
            type: "structure",
            members: {
              HsmConfiguration: {
                shape: "S3v"
              }
            }
          }
        },
        CreateScheduledAction: {
          input: {
            type: "structure",
            required: [
              "ScheduledActionName",
              "TargetAction",
              "Schedule",
              "IamRole"
            ],
            members: {
              ScheduledActionName: {},
              TargetAction: {
                shape: "S3x"
              },
              Schedule: {},
              IamRole: {},
              ScheduledActionDescription: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Enable: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S41",
            resultWrapper: "CreateScheduledActionResult"
          }
        },
        CreateSnapshotCopyGrant: {
          input: {
            type: "structure",
            required: [
              "SnapshotCopyGrantName"
            ],
            members: {
              SnapshotCopyGrantName: {},
              KmsKeyId: {},
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            resultWrapper: "CreateSnapshotCopyGrantResult",
            type: "structure",
            members: {
              SnapshotCopyGrant: {
                shape: "S46"
              }
            }
          }
        },
        CreateSnapshotSchedule: {
          input: {
            type: "structure",
            members: {
              ScheduleDefinitions: {
                shape: "S48"
              },
              ScheduleIdentifier: {},
              ScheduleDescription: {},
              Tags: {
                shape: "St"
              },
              DryRun: {
                type: "boolean"
              },
              NextInvocations: {
                type: "integer"
              }
            }
          },
          output: {
            shape: "S49",
            resultWrapper: "CreateSnapshotScheduleResult"
          }
        },
        CreateTags: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "Tags"
            ],
            members: {
              ResourceName: {},
              Tags: {
                shape: "St"
              }
            }
          }
        },
        CreateUsageLimit: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier",
              "FeatureType",
              "LimitType",
              "Amount"
            ],
            members: {
              ClusterIdentifier: {},
              FeatureType: {},
              LimitType: {},
              Amount: {
                type: "long"
              },
              Period: {},
              BreachAction: {},
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            shape: "S4j",
            resultWrapper: "CreateUsageLimitResult"
          }
        },
        DeauthorizeDataShare: {
          input: {
            type: "structure",
            required: [
              "DataShareArn",
              "ConsumerIdentifier"
            ],
            members: {
              DataShareArn: {},
              ConsumerIdentifier: {}
            }
          },
          output: {
            shape: "Sj",
            resultWrapper: "DeauthorizeDataShareResult"
          }
        },
        DeleteAuthenticationProfile: {
          input: {
            type: "structure",
            required: [
              "AuthenticationProfileName"
            ],
            members: {
              AuthenticationProfileName: {}
            }
          },
          output: {
            resultWrapper: "DeleteAuthenticationProfileResult",
            type: "structure",
            members: {
              AuthenticationProfileName: {}
            }
          }
        },
        DeleteCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              ClusterIdentifier: {},
              SkipFinalClusterSnapshot: {
                type: "boolean"
              },
              FinalClusterSnapshotIdentifier: {},
              FinalClusterSnapshotRetentionPeriod: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DeleteClusterResult",
            type: "structure",
            members: {
              Cluster: {
                shape: "S22"
              }
            }
          }
        },
        DeleteClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "ParameterGroupName"
            ],
            members: {
              ParameterGroupName: {}
            }
          }
        },
        DeleteClusterSecurityGroup: {
          input: {
            type: "structure",
            required: [
              "ClusterSecurityGroupName"
            ],
            members: {
              ClusterSecurityGroupName: {}
            }
          }
        },
        DeleteClusterSnapshot: {
          input: {
            shape: "S1c"
          },
          output: {
            resultWrapper: "DeleteClusterSnapshotResult",
            type: "structure",
            members: {
              Snapshot: {
                shape: "S14"
              }
            }
          }
        },
        DeleteClusterSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "ClusterSubnetGroupName"
            ],
            members: {
              ClusterSubnetGroupName: {}
            }
          }
        },
        DeleteCustomDomainAssociation: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              ClusterIdentifier: {}
            }
          }
        },
        DeleteEndpointAccess: {
          input: {
            type: "structure",
            required: [
              "EndpointName"
            ],
            members: {
              EndpointName: {}
            }
          },
          output: {
            shape: "S3k",
            resultWrapper: "DeleteEndpointAccessResult"
          }
        },
        DeleteEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {}
            }
          }
        },
        DeleteHsmClientCertificate: {
          input: {
            type: "structure",
            required: [
              "HsmClientCertificateIdentifier"
            ],
            members: {
              HsmClientCertificateIdentifier: {}
            }
          }
        },
        DeleteHsmConfiguration: {
          input: {
            type: "structure",
            required: [
              "HsmConfigurationIdentifier"
            ],
            members: {
              HsmConfigurationIdentifier: {}
            }
          }
        },
        DeletePartner: {
          input: {
            shape: "Sb"
          },
          output: {
            shape: "Sg",
            resultWrapper: "DeletePartnerResult"
          }
        },
        DeleteScheduledAction: {
          input: {
            type: "structure",
            required: [
              "ScheduledActionName"
            ],
            members: {
              ScheduledActionName: {}
            }
          }
        },
        DeleteSnapshotCopyGrant: {
          input: {
            type: "structure",
            required: [
              "SnapshotCopyGrantName"
            ],
            members: {
              SnapshotCopyGrantName: {}
            }
          }
        },
        DeleteSnapshotSchedule: {
          input: {
            type: "structure",
            required: [
              "ScheduleIdentifier"
            ],
            members: {
              ScheduleIdentifier: {}
            }
          }
        },
        DeleteTags: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "TagKeys"
            ],
            members: {
              ResourceName: {},
              TagKeys: {
                shape: "S52"
              }
            }
          }
        },
        DeleteUsageLimit: {
          input: {
            type: "structure",
            required: [
              "UsageLimitId"
            ],
            members: {
              UsageLimitId: {}
            }
          }
        },
        DescribeAccountAttributes: {
          input: {
            type: "structure",
            members: {
              AttributeNames: {
                type: "list",
                member: {
                  locationName: "AttributeName"
                }
              }
            }
          },
          output: {
            resultWrapper: "DescribeAccountAttributesResult",
            type: "structure",
            members: {
              AccountAttributes: {
                type: "list",
                member: {
                  locationName: "AccountAttribute",
                  type: "structure",
                  members: {
                    AttributeName: {},
                    AttributeValues: {
                      type: "list",
                      member: {
                        locationName: "AttributeValueTarget",
                        type: "structure",
                        members: {
                          AttributeValue: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeAuthenticationProfiles: {
          input: {
            type: "structure",
            members: {
              AuthenticationProfileName: {}
            }
          },
          output: {
            resultWrapper: "DescribeAuthenticationProfilesResult",
            type: "structure",
            members: {
              AuthenticationProfiles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AuthenticationProfileName: {},
                    AuthenticationProfileContent: {}
                  }
                }
              }
            }
          }
        },
        DescribeClusterDbRevisions: {
          input: {
            type: "structure",
            members: {
              ClusterIdentifier: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeClusterDbRevisionsResult",
            type: "structure",
            members: {
              Marker: {},
              ClusterDbRevisions: {
                type: "list",
                member: {
                  locationName: "ClusterDbRevision",
                  type: "structure",
                  members: {
                    ClusterIdentifier: {},
                    CurrentDatabaseRevision: {},
                    DatabaseRevisionReleaseDate: {
                      type: "timestamp"
                    },
                    RevisionTargets: {
                      type: "list",
                      member: {
                        locationName: "RevisionTarget",
                        type: "structure",
                        members: {
                          DatabaseRevision: {},
                          Description: {},
                          DatabaseRevisionReleaseDate: {
                            type: "timestamp"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeClusterParameterGroups: {
          input: {
            type: "structure",
            members: {
              ParameterGroupName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              TagKeys: {
                shape: "S52"
              },
              TagValues: {
                shape: "S5m"
              }
            }
          },
          output: {
            resultWrapper: "DescribeClusterParameterGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              ParameterGroups: {
                type: "list",
                member: {
                  shape: "S31",
                  locationName: "ClusterParameterGroup"
                }
              }
            }
          }
        },
        DescribeClusterParameters: {
          input: {
            type: "structure",
            required: [
              "ParameterGroupName"
            ],
            members: {
              ParameterGroupName: {},
              Source: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeClusterParametersResult",
            type: "structure",
            members: {
              Parameters: {
                shape: "S5r"
              },
              Marker: {}
            }
          }
        },
        DescribeClusterSecurityGroups: {
          input: {
            type: "structure",
            members: {
              ClusterSecurityGroupName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              TagKeys: {
                shape: "S52"
              },
              TagValues: {
                shape: "S5m"
              }
            }
          },
          output: {
            resultWrapper: "DescribeClusterSecurityGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              ClusterSecurityGroups: {
                type: "list",
                member: {
                  shape: "Sq",
                  locationName: "ClusterSecurityGroup"
                }
              }
            }
          }
        },
        DescribeClusterSnapshots: {
          input: {
            type: "structure",
            members: {
              ClusterIdentifier: {},
              SnapshotIdentifier: {},
              SnapshotArn: {},
              SnapshotType: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              OwnerAccount: {},
              TagKeys: {
                shape: "S52"
              },
              TagValues: {
                shape: "S5m"
              },
              ClusterExists: {
                type: "boolean"
              },
              SortingEntities: {
                type: "list",
                member: {
                  locationName: "SnapshotSortingEntity",
                  type: "structure",
                  required: [
                    "Attribute"
                  ],
                  members: {
                    Attribute: {},
                    SortOrder: {}
                  }
                }
              }
            }
          },
          output: {
            resultWrapper: "DescribeClusterSnapshotsResult",
            type: "structure",
            members: {
              Marker: {},
              Snapshots: {
                type: "list",
                member: {
                  shape: "S14",
                  locationName: "Snapshot"
                }
              }
            }
          }
        },
        DescribeClusterSubnetGroups: {
          input: {
            type: "structure",
            members: {
              ClusterSubnetGroupName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              TagKeys: {
                shape: "S52"
              },
              TagValues: {
                shape: "S5m"
              }
            }
          },
          output: {
            resultWrapper: "DescribeClusterSubnetGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              ClusterSubnetGroups: {
                type: "list",
                member: {
                  shape: "S39",
                  locationName: "ClusterSubnetGroup"
                }
              }
            }
          }
        },
        DescribeClusterTracks: {
          input: {
            type: "structure",
            members: {
              MaintenanceTrackName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeClusterTracksResult",
            type: "structure",
            members: {
              MaintenanceTracks: {
                type: "list",
                member: {
                  locationName: "MaintenanceTrack",
                  type: "structure",
                  members: {
                    MaintenanceTrackName: {},
                    DatabaseVersion: {},
                    UpdateTargets: {
                      type: "list",
                      member: {
                        locationName: "UpdateTarget",
                        type: "structure",
                        members: {
                          MaintenanceTrackName: {},
                          DatabaseVersion: {},
                          SupportedOperations: {
                            type: "list",
                            member: {
                              locationName: "SupportedOperation",
                              type: "structure",
                              members: {
                                OperationName: {}
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeClusterVersions: {
          input: {
            type: "structure",
            members: {
              ClusterVersion: {},
              ClusterParameterGroupFamily: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeClusterVersionsResult",
            type: "structure",
            members: {
              Marker: {},
              ClusterVersions: {
                type: "list",
                member: {
                  locationName: "ClusterVersion",
                  type: "structure",
                  members: {
                    ClusterVersion: {},
                    ClusterParameterGroupFamily: {},
                    Description: {}
                  }
                }
              }
            }
          }
        },
        DescribeClusters: {
          input: {
            type: "structure",
            members: {
              ClusterIdentifier: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              TagKeys: {
                shape: "S52"
              },
              TagValues: {
                shape: "S5m"
              }
            }
          },
          output: {
            resultWrapper: "DescribeClustersResult",
            type: "structure",
            members: {
              Marker: {},
              Clusters: {
                type: "list",
                member: {
                  shape: "S22",
                  locationName: "Cluster"
                }
              }
            }
          }
        },
        DescribeCustomDomainAssociations: {
          input: {
            type: "structure",
            members: {
              CustomDomainName: {},
              CustomDomainCertificateArn: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeCustomDomainAssociationsResult",
            type: "structure",
            members: {
              Marker: {},
              Associations: {
                type: "list",
                member: {
                  locationName: "Association",
                  type: "structure",
                  members: {
                    CustomDomainCertificateArn: {},
                    CustomDomainCertificateExpiryDate: {
                      type: "timestamp"
                    },
                    CertificateAssociations: {
                      type: "list",
                      member: {
                        locationName: "CertificateAssociation",
                        type: "structure",
                        members: {
                          CustomDomainName: {},
                          ClusterIdentifier: {}
                        }
                      }
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        DescribeDataShares: {
          input: {
            type: "structure",
            members: {
              DataShareArn: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDataSharesResult",
            type: "structure",
            members: {
              DataShares: {
                shape: "S6u"
              },
              Marker: {}
            }
          }
        },
        DescribeDataSharesForConsumer: {
          input: {
            type: "structure",
            members: {
              ConsumerArn: {},
              Status: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDataSharesForConsumerResult",
            type: "structure",
            members: {
              DataShares: {
                shape: "S6u"
              },
              Marker: {}
            }
          }
        },
        DescribeDataSharesForProducer: {
          input: {
            type: "structure",
            members: {
              ProducerArn: {},
              Status: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDataSharesForProducerResult",
            type: "structure",
            members: {
              DataShares: {
                shape: "S6u"
              },
              Marker: {}
            }
          }
        },
        DescribeDefaultClusterParameters: {
          input: {
            type: "structure",
            required: [
              "ParameterGroupFamily"
            ],
            members: {
              ParameterGroupFamily: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDefaultClusterParametersResult",
            type: "structure",
            members: {
              DefaultClusterParameters: {
                type: "structure",
                members: {
                  ParameterGroupFamily: {},
                  Marker: {},
                  Parameters: {
                    shape: "S5r"
                  }
                },
                wrapper: true
              }
            }
          }
        },
        DescribeEndpointAccess: {
          input: {
            type: "structure",
            members: {
              ClusterIdentifier: {},
              ResourceOwner: {},
              EndpointName: {},
              VpcId: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEndpointAccessResult",
            type: "structure",
            members: {
              EndpointAccessList: {
                type: "list",
                member: {
                  shape: "S3k"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeEndpointAuthorization: {
          input: {
            type: "structure",
            members: {
              ClusterIdentifier: {},
              Account: {},
              Grantee: {
                type: "boolean"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEndpointAuthorizationResult",
            type: "structure",
            members: {
              EndpointAuthorizationList: {
                type: "list",
                member: {
                  shape: "S10"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeEventCategories: {
          input: {
            type: "structure",
            members: {
              SourceType: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventCategoriesResult",
            type: "structure",
            members: {
              EventCategoriesMapList: {
                type: "list",
                member: {
                  locationName: "EventCategoriesMap",
                  type: "structure",
                  members: {
                    SourceType: {},
                    Events: {
                      type: "list",
                      member: {
                        locationName: "EventInfoMap",
                        type: "structure",
                        members: {
                          EventId: {},
                          EventCategories: {
                            shape: "S3n"
                          },
                          EventDescription: {},
                          Severity: {}
                        },
                        wrapper: true
                      }
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        DescribeEventSubscriptions: {
          input: {
            type: "structure",
            members: {
              SubscriptionName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              TagKeys: {
                shape: "S52"
              },
              TagValues: {
                shape: "S5m"
              }
            }
          },
          output: {
            resultWrapper: "DescribeEventSubscriptionsResult",
            type: "structure",
            members: {
              Marker: {},
              EventSubscriptionsList: {
                type: "list",
                member: {
                  shape: "S3p",
                  locationName: "EventSubscription"
                }
              }
            }
          }
        },
        DescribeEvents: {
          input: {
            type: "structure",
            members: {
              SourceIdentifier: {},
              SourceType: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Duration: {
                type: "integer"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventsResult",
            type: "structure",
            members: {
              Marker: {},
              Events: {
                type: "list",
                member: {
                  locationName: "Event",
                  type: "structure",
                  members: {
                    SourceIdentifier: {},
                    SourceType: {},
                    Message: {},
                    EventCategories: {
                      shape: "S3n"
                    },
                    Severity: {},
                    Date: {
                      type: "timestamp"
                    },
                    EventId: {}
                  }
                }
              }
            }
          }
        },
        DescribeHsmClientCertificates: {
          input: {
            type: "structure",
            members: {
              HsmClientCertificateIdentifier: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              TagKeys: {
                shape: "S52"
              },
              TagValues: {
                shape: "S5m"
              }
            }
          },
          output: {
            resultWrapper: "DescribeHsmClientCertificatesResult",
            type: "structure",
            members: {
              Marker: {},
              HsmClientCertificates: {
                type: "list",
                member: {
                  shape: "S3s",
                  locationName: "HsmClientCertificate"
                }
              }
            }
          }
        },
        DescribeHsmConfigurations: {
          input: {
            type: "structure",
            members: {
              HsmConfigurationIdentifier: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              TagKeys: {
                shape: "S52"
              },
              TagValues: {
                shape: "S5m"
              }
            }
          },
          output: {
            resultWrapper: "DescribeHsmConfigurationsResult",
            type: "structure",
            members: {
              Marker: {},
              HsmConfigurations: {
                type: "list",
                member: {
                  shape: "S3v",
                  locationName: "HsmConfiguration"
                }
              }
            }
          }
        },
        DescribeLoggingStatus: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              ClusterIdentifier: {}
            }
          },
          output: {
            shape: "S7v",
            resultWrapper: "DescribeLoggingStatusResult"
          }
        },
        DescribeNodeConfigurationOptions: {
          input: {
            type: "structure",
            required: [
              "ActionType"
            ],
            members: {
              ActionType: {},
              ClusterIdentifier: {},
              SnapshotIdentifier: {},
              SnapshotArn: {},
              OwnerAccount: {},
              Filters: {
                locationName: "Filter",
                type: "list",
                member: {
                  locationName: "NodeConfigurationOptionsFilter",
                  type: "structure",
                  members: {
                    Name: {},
                    Operator: {},
                    Values: {
                      shape: "S84",
                      locationName: "Value"
                    }
                  }
                }
              },
              Marker: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeNodeConfigurationOptionsResult",
            type: "structure",
            members: {
              NodeConfigurationOptionList: {
                type: "list",
                member: {
                  locationName: "NodeConfigurationOption",
                  type: "structure",
                  members: {
                    NodeType: {},
                    NumberOfNodes: {
                      type: "integer"
                    },
                    EstimatedDiskUtilizationPercent: {
                      type: "double"
                    },
                    Mode: {}
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeOrderableClusterOptions: {
          input: {
            type: "structure",
            members: {
              ClusterVersion: {},
              NodeType: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeOrderableClusterOptionsResult",
            type: "structure",
            members: {
              OrderableClusterOptions: {
                type: "list",
                member: {
                  locationName: "OrderableClusterOption",
                  type: "structure",
                  members: {
                    ClusterVersion: {},
                    ClusterType: {},
                    NodeType: {},
                    AvailabilityZones: {
                      type: "list",
                      member: {
                        shape: "S3c",
                        locationName: "AvailabilityZone"
                      }
                    }
                  },
                  wrapper: true
                }
              },
              Marker: {}
            }
          }
        },
        DescribePartners: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "ClusterIdentifier"
            ],
            members: {
              AccountId: {},
              ClusterIdentifier: {},
              DatabaseName: {},
              PartnerName: {}
            }
          },
          output: {
            resultWrapper: "DescribePartnersResult",
            type: "structure",
            members: {
              PartnerIntegrationInfoList: {
                type: "list",
                member: {
                  locationName: "PartnerIntegrationInfo",
                  type: "structure",
                  members: {
                    DatabaseName: {},
                    PartnerName: {},
                    Status: {},
                    StatusMessage: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    UpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeReservedNodeExchangeStatus: {
          input: {
            type: "structure",
            members: {
              ReservedNodeId: {},
              ReservedNodeExchangeRequestId: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeReservedNodeExchangeStatusResult",
            type: "structure",
            members: {
              ReservedNodeExchangeStatusDetails: {
                type: "list",
                member: {
                  shape: "S2x",
                  locationName: "ReservedNodeExchangeStatus"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeReservedNodeOfferings: {
          input: {
            type: "structure",
            members: {
              ReservedNodeOfferingId: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeReservedNodeOfferingsResult",
            type: "structure",
            members: {
              Marker: {},
              ReservedNodeOfferings: {
                shape: "S8p"
              }
            }
          }
        },
        DescribeReservedNodes: {
          input: {
            type: "structure",
            members: {
              ReservedNodeId: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeReservedNodesResult",
            type: "structure",
            members: {
              Marker: {},
              ReservedNodes: {
                type: "list",
                member: {
                  shape: "S4",
                  locationName: "ReservedNode"
                }
              }
            }
          }
        },
        DescribeResize: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              ClusterIdentifier: {}
            }
          },
          output: {
            shape: "S1l",
            resultWrapper: "DescribeResizeResult"
          }
        },
        DescribeScheduledActions: {
          input: {
            type: "structure",
            members: {
              ScheduledActionName: {},
              TargetActionType: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Active: {
                type: "boolean"
              },
              Filters: {
                type: "list",
                member: {
                  locationName: "ScheduledActionFilter",
                  type: "structure",
                  required: [
                    "Name",
                    "Values"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      shape: "S84"
                    }
                  }
                }
              },
              Marker: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeScheduledActionsResult",
            type: "structure",
            members: {
              Marker: {},
              ScheduledActions: {
                type: "list",
                member: {
                  shape: "S41",
                  locationName: "ScheduledAction"
                }
              }
            }
          }
        },
        DescribeSnapshotCopyGrants: {
          input: {
            type: "structure",
            members: {
              SnapshotCopyGrantName: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              TagKeys: {
                shape: "S52"
              },
              TagValues: {
                shape: "S5m"
              }
            }
          },
          output: {
            resultWrapper: "DescribeSnapshotCopyGrantsResult",
            type: "structure",
            members: {
              Marker: {},
              SnapshotCopyGrants: {
                type: "list",
                member: {
                  shape: "S46",
                  locationName: "SnapshotCopyGrant"
                }
              }
            }
          }
        },
        DescribeSnapshotSchedules: {
          input: {
            type: "structure",
            members: {
              ClusterIdentifier: {},
              ScheduleIdentifier: {},
              TagKeys: {
                shape: "S52"
              },
              TagValues: {
                shape: "S5m"
              },
              Marker: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribeSnapshotSchedulesResult",
            type: "structure",
            members: {
              SnapshotSchedules: {
                type: "list",
                member: {
                  shape: "S49",
                  locationName: "SnapshotSchedule"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeStorage: {
          output: {
            resultWrapper: "DescribeStorageResult",
            type: "structure",
            members: {
              TotalBackupSizeInMegaBytes: {
                type: "double"
              },
              TotalProvisionedStorageInMegaBytes: {
                type: "double"
              }
            }
          }
        },
        DescribeTableRestoreStatus: {
          input: {
            type: "structure",
            members: {
              ClusterIdentifier: {},
              TableRestoreRequestId: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeTableRestoreStatusResult",
            type: "structure",
            members: {
              TableRestoreStatusDetails: {
                type: "list",
                member: {
                  shape: "S9c",
                  locationName: "TableRestoreStatus"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeTags: {
          input: {
            type: "structure",
            members: {
              ResourceName: {},
              ResourceType: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              TagKeys: {
                shape: "S52"
              },
              TagValues: {
                shape: "S5m"
              }
            }
          },
          output: {
            resultWrapper: "DescribeTagsResult",
            type: "structure",
            members: {
              TaggedResources: {
                type: "list",
                member: {
                  locationName: "TaggedResource",
                  type: "structure",
                  members: {
                    Tag: {
                      shape: "Su"
                    },
                    ResourceName: {},
                    ResourceType: {}
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeUsageLimits: {
          input: {
            type: "structure",
            members: {
              UsageLimitId: {},
              ClusterIdentifier: {},
              FeatureType: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              TagKeys: {
                shape: "S52"
              },
              TagValues: {
                shape: "S5m"
              }
            }
          },
          output: {
            resultWrapper: "DescribeUsageLimitsResult",
            type: "structure",
            members: {
              UsageLimits: {
                type: "list",
                member: {
                  shape: "S4j"
                }
              },
              Marker: {}
            }
          }
        },
        DisableLogging: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              ClusterIdentifier: {}
            }
          },
          output: {
            shape: "S7v",
            resultWrapper: "DisableLoggingResult"
          }
        },
        DisableSnapshotCopy: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              ClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DisableSnapshotCopyResult",
            type: "structure",
            members: {
              Cluster: {
                shape: "S22"
              }
            }
          }
        },
        DisassociateDataShareConsumer: {
          input: {
            type: "structure",
            required: [
              "DataShareArn"
            ],
            members: {
              DataShareArn: {},
              DisassociateEntireAccount: {
                type: "boolean"
              },
              ConsumerArn: {},
              ConsumerRegion: {}
            }
          },
          output: {
            shape: "Sj",
            resultWrapper: "DisassociateDataShareConsumerResult"
          }
        },
        EnableLogging: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              ClusterIdentifier: {},
              BucketName: {},
              S3KeyPrefix: {},
              LogDestinationType: {},
              LogExports: {
                shape: "S7x"
              }
            }
          },
          output: {
            shape: "S7v",
            resultWrapper: "EnableLoggingResult"
          }
        },
        EnableSnapshotCopy: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier",
              "DestinationRegion"
            ],
            members: {
              ClusterIdentifier: {},
              DestinationRegion: {},
              RetentionPeriod: {
                type: "integer"
              },
              SnapshotCopyGrantName: {},
              ManualSnapshotRetentionPeriod: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "EnableSnapshotCopyResult",
            type: "structure",
            members: {
              Cluster: {
                shape: "S22"
              }
            }
          }
        },
        GetClusterCredentials: {
          input: {
            type: "structure",
            required: [
              "DbUser"
            ],
            members: {
              DbUser: {},
              DbName: {},
              ClusterIdentifier: {},
              DurationSeconds: {
                type: "integer"
              },
              AutoCreate: {
                type: "boolean"
              },
              DbGroups: {
                type: "list",
                member: {
                  locationName: "DbGroup"
                }
              },
              CustomDomainName: {}
            }
          },
          output: {
            resultWrapper: "GetClusterCredentialsResult",
            type: "structure",
            members: {
              DbUser: {},
              DbPassword: {
                shape: "S9v"
              },
              Expiration: {
                type: "timestamp"
              }
            }
          }
        },
        GetClusterCredentialsWithIAM: {
          input: {
            type: "structure",
            members: {
              DbName: {},
              ClusterIdentifier: {},
              DurationSeconds: {
                type: "integer"
              },
              CustomDomainName: {}
            }
          },
          output: {
            resultWrapper: "GetClusterCredentialsWithIAMResult",
            type: "structure",
            members: {
              DbUser: {},
              DbPassword: {
                shape: "S9v"
              },
              Expiration: {
                type: "timestamp"
              },
              NextRefreshTime: {
                type: "timestamp"
              }
            }
          }
        },
        GetReservedNodeExchangeConfigurationOptions: {
          input: {
            type: "structure",
            required: [
              "ActionType"
            ],
            members: {
              ActionType: {},
              ClusterIdentifier: {},
              SnapshotIdentifier: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "GetReservedNodeExchangeConfigurationOptionsResult",
            type: "structure",
            members: {
              Marker: {},
              ReservedNodeConfigurationOptionList: {
                type: "list",
                member: {
                  locationName: "ReservedNodeConfigurationOption",
                  type: "structure",
                  members: {
                    SourceReservedNode: {
                      shape: "S4"
                    },
                    TargetReservedNodeCount: {
                      type: "integer"
                    },
                    TargetReservedNodeOffering: {
                      shape: "S8q"
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        GetReservedNodeExchangeOfferings: {
          input: {
            type: "structure",
            required: [
              "ReservedNodeId"
            ],
            members: {
              ReservedNodeId: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "GetReservedNodeExchangeOfferingsResult",
            type: "structure",
            members: {
              Marker: {},
              ReservedNodeOfferings: {
                shape: "S8p"
              }
            }
          }
        },
        ModifyAquaConfiguration: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              ClusterIdentifier: {},
              AquaConfigurationStatus: {}
            }
          },
          output: {
            resultWrapper: "ModifyAquaConfigurationResult",
            type: "structure",
            members: {
              AquaConfiguration: {
                shape: "S2v"
              }
            }
          }
        },
        ModifyAuthenticationProfile: {
          input: {
            type: "structure",
            required: [
              "AuthenticationProfileName",
              "AuthenticationProfileContent"
            ],
            members: {
              AuthenticationProfileName: {},
              AuthenticationProfileContent: {}
            }
          },
          output: {
            resultWrapper: "ModifyAuthenticationProfileResult",
            type: "structure",
            members: {
              AuthenticationProfileName: {},
              AuthenticationProfileContent: {}
            }
          }
        },
        ModifyCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              ClusterIdentifier: {},
              ClusterType: {},
              NodeType: {},
              NumberOfNodes: {
                type: "integer"
              },
              ClusterSecurityGroups: {
                shape: "S1x"
              },
              VpcSecurityGroupIds: {
                shape: "S1y"
              },
              MasterUserPassword: {},
              ClusterParameterGroupName: {},
              AutomatedSnapshotRetentionPeriod: {
                type: "integer"
              },
              ManualSnapshotRetentionPeriod: {
                type: "integer"
              },
              PreferredMaintenanceWindow: {},
              ClusterVersion: {},
              AllowVersionUpgrade: {
                type: "boolean"
              },
              HsmClientCertificateIdentifier: {},
              HsmConfigurationIdentifier: {},
              NewClusterIdentifier: {},
              PubliclyAccessible: {
                type: "boolean"
              },
              ElasticIp: {},
              EnhancedVpcRouting: {
                type: "boolean"
              },
              MaintenanceTrackName: {},
              Encrypted: {
                type: "boolean"
              },
              KmsKeyId: {},
              AvailabilityZoneRelocation: {
                type: "boolean"
              },
              AvailabilityZone: {},
              Port: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ModifyClusterResult",
            type: "structure",
            members: {
              Cluster: {
                shape: "S22"
              }
            }
          }
        },
        ModifyClusterDbRevision: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier",
              "RevisionTarget"
            ],
            members: {
              ClusterIdentifier: {},
              RevisionTarget: {}
            }
          },
          output: {
            resultWrapper: "ModifyClusterDbRevisionResult",
            type: "structure",
            members: {
              Cluster: {
                shape: "S22"
              }
            }
          }
        },
        ModifyClusterIamRoles: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              ClusterIdentifier: {},
              AddIamRoles: {
                shape: "S1z"
              },
              RemoveIamRoles: {
                shape: "S1z"
              },
              DefaultIamRoleArn: {}
            }
          },
          output: {
            resultWrapper: "ModifyClusterIamRolesResult",
            type: "structure",
            members: {
              Cluster: {
                shape: "S22"
              }
            }
          }
        },
        ModifyClusterMaintenance: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              ClusterIdentifier: {},
              DeferMaintenance: {
                type: "boolean"
              },
              DeferMaintenanceIdentifier: {},
              DeferMaintenanceStartTime: {
                type: "timestamp"
              },
              DeferMaintenanceEndTime: {
                type: "timestamp"
              },
              DeferMaintenanceDuration: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ModifyClusterMaintenanceResult",
            type: "structure",
            members: {
              Cluster: {
                shape: "S22"
              }
            }
          }
        },
        ModifyClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "ParameterGroupName",
              "Parameters"
            ],
            members: {
              ParameterGroupName: {},
              Parameters: {
                shape: "S5r"
              }
            }
          },
          output: {
            shape: "Sai",
            resultWrapper: "ModifyClusterParameterGroupResult"
          }
        },
        ModifyClusterSnapshot: {
          input: {
            type: "structure",
            required: [
              "SnapshotIdentifier"
            ],
            members: {
              SnapshotIdentifier: {},
              ManualSnapshotRetentionPeriod: {
                type: "integer"
              },
              Force: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyClusterSnapshotResult",
            type: "structure",
            members: {
              Snapshot: {
                shape: "S14"
              }
            }
          }
        },
        ModifyClusterSnapshotSchedule: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              ClusterIdentifier: {},
              ScheduleIdentifier: {},
              DisassociateSchedule: {
                type: "boolean"
              }
            }
          }
        },
        ModifyClusterSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "ClusterSubnetGroupName",
              "SubnetIds"
            ],
            members: {
              ClusterSubnetGroupName: {},
              Description: {},
              SubnetIds: {
                shape: "S37"
              }
            }
          },
          output: {
            resultWrapper: "ModifyClusterSubnetGroupResult",
            type: "structure",
            members: {
              ClusterSubnetGroup: {
                shape: "S39"
              }
            }
          }
        },
        ModifyCustomDomainAssociation: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              CustomDomainName: {},
              CustomDomainCertificateArn: {},
              ClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "ModifyCustomDomainAssociationResult",
            type: "structure",
            members: {
              CustomDomainName: {},
              CustomDomainCertificateArn: {},
              ClusterIdentifier: {},
              CustomDomainCertExpiryTime: {}
            }
          }
        },
        ModifyEndpointAccess: {
          input: {
            type: "structure",
            required: [
              "EndpointName"
            ],
            members: {
              EndpointName: {},
              VpcSecurityGroupIds: {
                shape: "S1y"
              }
            }
          },
          output: {
            shape: "S3k",
            resultWrapper: "ModifyEndpointAccessResult"
          }
        },
        ModifyEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              SourceIds: {
                shape: "S3m"
              },
              EventCategories: {
                shape: "S3n"
              },
              Severity: {},
              Enabled: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S3p"
              }
            }
          }
        },
        ModifyScheduledAction: {
          input: {
            type: "structure",
            required: [
              "ScheduledActionName"
            ],
            members: {
              ScheduledActionName: {},
              TargetAction: {
                shape: "S3x"
              },
              Schedule: {},
              IamRole: {},
              ScheduledActionDescription: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Enable: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S41",
            resultWrapper: "ModifyScheduledActionResult"
          }
        },
        ModifySnapshotCopyRetentionPeriod: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier",
              "RetentionPeriod"
            ],
            members: {
              ClusterIdentifier: {},
              RetentionPeriod: {
                type: "integer"
              },
              Manual: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifySnapshotCopyRetentionPeriodResult",
            type: "structure",
            members: {
              Cluster: {
                shape: "S22"
              }
            }
          }
        },
        ModifySnapshotSchedule: {
          input: {
            type: "structure",
            required: [
              "ScheduleIdentifier",
              "ScheduleDefinitions"
            ],
            members: {
              ScheduleIdentifier: {},
              ScheduleDefinitions: {
                shape: "S48"
              }
            }
          },
          output: {
            shape: "S49",
            resultWrapper: "ModifySnapshotScheduleResult"
          }
        },
        ModifyUsageLimit: {
          input: {
            type: "structure",
            required: [
              "UsageLimitId"
            ],
            members: {
              UsageLimitId: {},
              Amount: {
                type: "long"
              },
              BreachAction: {}
            }
          },
          output: {
            shape: "S4j",
            resultWrapper: "ModifyUsageLimitResult"
          }
        },
        PauseCluster: {
          input: {
            shape: "S3z"
          },
          output: {
            resultWrapper: "PauseClusterResult",
            type: "structure",
            members: {
              Cluster: {
                shape: "S22"
              }
            }
          }
        },
        PurchaseReservedNodeOffering: {
          input: {
            type: "structure",
            required: [
              "ReservedNodeOfferingId"
            ],
            members: {
              ReservedNodeOfferingId: {},
              NodeCount: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "PurchaseReservedNodeOfferingResult",
            type: "structure",
            members: {
              ReservedNode: {
                shape: "S4"
              }
            }
          }
        },
        RebootCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              ClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "RebootClusterResult",
            type: "structure",
            members: {
              Cluster: {
                shape: "S22"
              }
            }
          }
        },
        RejectDataShare: {
          input: {
            type: "structure",
            required: [
              "DataShareArn"
            ],
            members: {
              DataShareArn: {}
            }
          },
          output: {
            shape: "Sj",
            resultWrapper: "RejectDataShareResult"
          }
        },
        ResetClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "ParameterGroupName"
            ],
            members: {
              ParameterGroupName: {},
              ResetAllParameters: {
                type: "boolean"
              },
              Parameters: {
                shape: "S5r"
              }
            }
          },
          output: {
            shape: "Sai",
            resultWrapper: "ResetClusterParameterGroupResult"
          }
        },
        ResizeCluster: {
          input: {
            shape: "S3y"
          },
          output: {
            resultWrapper: "ResizeClusterResult",
            type: "structure",
            members: {
              Cluster: {
                shape: "S22"
              }
            }
          }
        },
        RestoreFromClusterSnapshot: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              ClusterIdentifier: {},
              SnapshotIdentifier: {},
              SnapshotArn: {},
              SnapshotClusterIdentifier: {},
              Port: {
                type: "integer"
              },
              AvailabilityZone: {},
              AllowVersionUpgrade: {
                type: "boolean"
              },
              ClusterSubnetGroupName: {},
              PubliclyAccessible: {
                type: "boolean"
              },
              OwnerAccount: {},
              HsmClientCertificateIdentifier: {},
              HsmConfigurationIdentifier: {},
              ElasticIp: {},
              ClusterParameterGroupName: {},
              ClusterSecurityGroups: {
                shape: "S1x"
              },
              VpcSecurityGroupIds: {
                shape: "S1y"
              },
              PreferredMaintenanceWindow: {},
              AutomatedSnapshotRetentionPeriod: {
                type: "integer"
              },
              ManualSnapshotRetentionPeriod: {
                type: "integer"
              },
              KmsKeyId: {},
              NodeType: {},
              EnhancedVpcRouting: {
                type: "boolean"
              },
              AdditionalInfo: {},
              IamRoles: {
                shape: "S1z"
              },
              MaintenanceTrackName: {},
              SnapshotScheduleIdentifier: {},
              NumberOfNodes: {
                type: "integer"
              },
              AvailabilityZoneRelocation: {
                type: "boolean"
              },
              AquaConfigurationStatus: {},
              DefaultIamRoleArn: {},
              ReservedNodeId: {},
              TargetReservedNodeOfferingId: {},
              Encrypted: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "RestoreFromClusterSnapshotResult",
            type: "structure",
            members: {
              Cluster: {
                shape: "S22"
              }
            }
          }
        },
        RestoreTableFromClusterSnapshot: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier",
              "SnapshotIdentifier",
              "SourceDatabaseName",
              "SourceTableName",
              "NewTableName"
            ],
            members: {
              ClusterIdentifier: {},
              SnapshotIdentifier: {},
              SourceDatabaseName: {},
              SourceSchemaName: {},
              SourceTableName: {},
              TargetDatabaseName: {},
              TargetSchemaName: {},
              NewTableName: {},
              EnableCaseSensitiveIdentifier: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "RestoreTableFromClusterSnapshotResult",
            type: "structure",
            members: {
              TableRestoreStatus: {
                shape: "S9c"
              }
            }
          }
        },
        ResumeCluster: {
          input: {
            shape: "S40"
          },
          output: {
            resultWrapper: "ResumeClusterResult",
            type: "structure",
            members: {
              Cluster: {
                shape: "S22"
              }
            }
          }
        },
        RevokeClusterSecurityGroupIngress: {
          input: {
            type: "structure",
            required: [
              "ClusterSecurityGroupName"
            ],
            members: {
              ClusterSecurityGroupName: {},
              CIDRIP: {},
              EC2SecurityGroupName: {},
              EC2SecurityGroupOwnerId: {}
            }
          },
          output: {
            resultWrapper: "RevokeClusterSecurityGroupIngressResult",
            type: "structure",
            members: {
              ClusterSecurityGroup: {
                shape: "Sq"
              }
            }
          }
        },
        RevokeEndpointAccess: {
          input: {
            type: "structure",
            members: {
              ClusterIdentifier: {},
              Account: {},
              VpcIds: {
                shape: "Sz"
              },
              Force: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S10",
            resultWrapper: "RevokeEndpointAccessResult"
          }
        },
        RevokeSnapshotAccess: {
          input: {
            type: "structure",
            required: [
              "AccountWithRestoreAccess"
            ],
            members: {
              SnapshotIdentifier: {},
              SnapshotArn: {},
              SnapshotClusterIdentifier: {},
              AccountWithRestoreAccess: {}
            }
          },
          output: {
            resultWrapper: "RevokeSnapshotAccessResult",
            type: "structure",
            members: {
              Snapshot: {
                shape: "S14"
              }
            }
          }
        },
        RotateEncryptionKey: {
          input: {
            type: "structure",
            required: [
              "ClusterIdentifier"
            ],
            members: {
              ClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "RotateEncryptionKeyResult",
            type: "structure",
            members: {
              Cluster: {
                shape: "S22"
              }
            }
          }
        },
        UpdatePartnerStatus: {
          input: {
            type: "structure",
            required: [
              "AccountId",
              "ClusterIdentifier",
              "DatabaseName",
              "PartnerName",
              "Status"
            ],
            members: {
              AccountId: {},
              ClusterIdentifier: {},
              DatabaseName: {},
              PartnerName: {},
              Status: {},
              StatusMessage: {}
            }
          },
          output: {
            shape: "Sg",
            resultWrapper: "UpdatePartnerStatusResult"
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            ReservedNodeId: {},
            ReservedNodeOfferingId: {},
            NodeType: {},
            StartTime: {
              type: "timestamp"
            },
            Duration: {
              type: "integer"
            },
            FixedPrice: {
              type: "double"
            },
            UsagePrice: {
              type: "double"
            },
            CurrencyCode: {},
            NodeCount: {
              type: "integer"
            },
            State: {},
            OfferingType: {},
            RecurringCharges: {
              shape: "S8"
            },
            ReservedNodeOfferingType: {}
          },
          wrapper: true
        },
        S8: {
          type: "list",
          member: {
            locationName: "RecurringCharge",
            type: "structure",
            members: {
              RecurringChargeAmount: {
                type: "double"
              },
              RecurringChargeFrequency: {}
            },
            wrapper: true
          }
        },
        Sb: {
          type: "structure",
          required: [
            "AccountId",
            "ClusterIdentifier",
            "DatabaseName",
            "PartnerName"
          ],
          members: {
            AccountId: {},
            ClusterIdentifier: {},
            DatabaseName: {},
            PartnerName: {}
          }
        },
        Sg: {
          type: "structure",
          members: {
            DatabaseName: {},
            PartnerName: {}
          }
        },
        Sj: {
          type: "structure",
          members: {
            DataShareArn: {},
            ProducerArn: {},
            AllowPubliclyAccessibleConsumers: {
              type: "boolean"
            },
            DataShareAssociations: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  ConsumerIdentifier: {},
                  Status: {},
                  ConsumerRegion: {},
                  CreatedDate: {
                    type: "timestamp"
                  },
                  StatusChangeDate: {
                    type: "timestamp"
                  }
                }
              }
            },
            ManagedBy: {}
          }
        },
        Sq: {
          type: "structure",
          members: {
            ClusterSecurityGroupName: {},
            Description: {},
            EC2SecurityGroups: {
              type: "list",
              member: {
                locationName: "EC2SecurityGroup",
                type: "structure",
                members: {
                  Status: {},
                  EC2SecurityGroupName: {},
                  EC2SecurityGroupOwnerId: {},
                  Tags: {
                    shape: "St"
                  }
                }
              }
            },
            IPRanges: {
              type: "list",
              member: {
                locationName: "IPRange",
                type: "structure",
                members: {
                  Status: {},
                  CIDRIP: {},
                  Tags: {
                    shape: "St"
                  }
                }
              }
            },
            Tags: {
              shape: "St"
            }
          },
          wrapper: true
        },
        St: {
          type: "list",
          member: {
            shape: "Su",
            locationName: "Tag"
          }
        },
        Su: {
          type: "structure",
          members: {
            Key: {},
            Value: {}
          }
        },
        Sz: {
          type: "list",
          member: {
            locationName: "VpcIdentifier"
          }
        },
        S10: {
          type: "structure",
          members: {
            Grantor: {},
            Grantee: {},
            ClusterIdentifier: {},
            AuthorizeTime: {
              type: "timestamp"
            },
            ClusterStatus: {},
            Status: {},
            AllowedAllVPCs: {
              type: "boolean"
            },
            AllowedVPCs: {
              shape: "Sz"
            },
            EndpointCount: {
              type: "integer"
            }
          }
        },
        S14: {
          type: "structure",
          members: {
            SnapshotIdentifier: {},
            ClusterIdentifier: {},
            SnapshotCreateTime: {
              type: "timestamp"
            },
            Status: {},
            Port: {
              type: "integer"
            },
            AvailabilityZone: {},
            ClusterCreateTime: {
              type: "timestamp"
            },
            MasterUsername: {},
            ClusterVersion: {},
            EngineFullVersion: {},
            SnapshotType: {},
            NodeType: {},
            NumberOfNodes: {
              type: "integer"
            },
            DBName: {},
            VpcId: {},
            Encrypted: {
              type: "boolean"
            },
            KmsKeyId: {},
            EncryptedWithHSM: {
              type: "boolean"
            },
            AccountsWithRestoreAccess: {
              type: "list",
              member: {
                locationName: "AccountWithRestoreAccess",
                type: "structure",
                members: {
                  AccountId: {},
                  AccountAlias: {}
                }
              }
            },
            OwnerAccount: {},
            TotalBackupSizeInMegaBytes: {
              type: "double"
            },
            ActualIncrementalBackupSizeInMegaBytes: {
              type: "double"
            },
            BackupProgressInMegaBytes: {
              type: "double"
            },
            CurrentBackupRateInMegaBytesPerSecond: {
              type: "double"
            },
            EstimatedSecondsToCompletion: {
              type: "long"
            },
            ElapsedTimeInSeconds: {
              type: "long"
            },
            SourceRegion: {},
            Tags: {
              shape: "St"
            },
            RestorableNodeTypes: {
              type: "list",
              member: {
                locationName: "NodeType"
              }
            },
            EnhancedVpcRouting: {
              type: "boolean"
            },
            MaintenanceTrackName: {},
            ManualSnapshotRetentionPeriod: {
              type: "integer"
            },
            ManualSnapshotRemainingDays: {
              type: "integer"
            },
            SnapshotRetentionStartTime: {
              type: "timestamp"
            }
          },
          wrapper: true
        },
        S1c: {
          type: "structure",
          required: [
            "SnapshotIdentifier"
          ],
          members: {
            SnapshotIdentifier: {},
            SnapshotClusterIdentifier: {}
          }
        },
        S1e: {
          type: "list",
          member: {
            locationName: "String"
          }
        },
        S1g: {
          type: "structure",
          members: {
            SnapshotIdentifier: {},
            SnapshotClusterIdentifier: {},
            FailureCode: {},
            FailureReason: {}
          }
        },
        S1l: {
          type: "structure",
          members: {
            TargetNodeType: {},
            TargetNumberOfNodes: {
              type: "integer"
            },
            TargetClusterType: {},
            Status: {},
            ImportTablesCompleted: {
              type: "list",
              member: {}
            },
            ImportTablesInProgress: {
              type: "list",
              member: {}
            },
            ImportTablesNotStarted: {
              type: "list",
              member: {}
            },
            AvgResizeRateInMegaBytesPerSecond: {
              type: "double"
            },
            TotalResizeDataInMegaBytes: {
              type: "long"
            },
            ProgressInMegaBytes: {
              type: "long"
            },
            ElapsedTimeInSeconds: {
              type: "long"
            },
            EstimatedTimeToCompletionInSeconds: {
              type: "long"
            },
            ResizeType: {},
            Message: {},
            TargetEncryptionType: {},
            DataTransferProgressPercent: {
              type: "double"
            }
          }
        },
        S1x: {
          type: "list",
          member: {
            locationName: "ClusterSecurityGroupName"
          }
        },
        S1y: {
          type: "list",
          member: {
            locationName: "VpcSecurityGroupId"
          }
        },
        S1z: {
          type: "list",
          member: {
            locationName: "IamRoleArn"
          }
        },
        S22: {
          type: "structure",
          members: {
            ClusterIdentifier: {},
            NodeType: {},
            ClusterStatus: {},
            ClusterAvailabilityStatus: {},
            ModifyStatus: {},
            MasterUsername: {},
            DBName: {},
            Endpoint: {
              type: "structure",
              members: {
                Address: {},
                Port: {
                  type: "integer"
                },
                VpcEndpoints: {
                  type: "list",
                  member: {
                    shape: "S25",
                    locationName: "VpcEndpoint"
                  }
                }
              }
            },
            ClusterCreateTime: {
              type: "timestamp"
            },
            AutomatedSnapshotRetentionPeriod: {
              type: "integer"
            },
            ManualSnapshotRetentionPeriod: {
              type: "integer"
            },
            ClusterSecurityGroups: {
              type: "list",
              member: {
                locationName: "ClusterSecurityGroup",
                type: "structure",
                members: {
                  ClusterSecurityGroupName: {},
                  Status: {}
                }
              }
            },
            VpcSecurityGroups: {
              shape: "S2a"
            },
            ClusterParameterGroups: {
              type: "list",
              member: {
                locationName: "ClusterParameterGroup",
                type: "structure",
                members: {
                  ParameterGroupName: {},
                  ParameterApplyStatus: {},
                  ClusterParameterStatusList: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        ParameterName: {},
                        ParameterApplyStatus: {},
                        ParameterApplyErrorDescription: {}
                      }
                    }
                  }
                }
              }
            },
            ClusterSubnetGroupName: {},
            VpcId: {},
            AvailabilityZone: {},
            PreferredMaintenanceWindow: {},
            PendingModifiedValues: {
              type: "structure",
              members: {
                MasterUserPassword: {},
                NodeType: {},
                NumberOfNodes: {
                  type: "integer"
                },
                ClusterType: {},
                ClusterVersion: {},
                AutomatedSnapshotRetentionPeriod: {
                  type: "integer"
                },
                ClusterIdentifier: {},
                PubliclyAccessible: {
                  type: "boolean"
                },
                EnhancedVpcRouting: {
                  type: "boolean"
                },
                MaintenanceTrackName: {},
                EncryptionType: {}
              }
            },
            ClusterVersion: {},
            AllowVersionUpgrade: {
              type: "boolean"
            },
            NumberOfNodes: {
              type: "integer"
            },
            PubliclyAccessible: {
              type: "boolean"
            },
            Encrypted: {
              type: "boolean"
            },
            RestoreStatus: {
              type: "structure",
              members: {
                Status: {},
                CurrentRestoreRateInMegaBytesPerSecond: {
                  type: "double"
                },
                SnapshotSizeInMegaBytes: {
                  type: "long"
                },
                ProgressInMegaBytes: {
                  type: "long"
                },
                ElapsedTimeInSeconds: {
                  type: "long"
                },
                EstimatedTimeToCompletionInSeconds: {
                  type: "long"
                }
              }
            },
            DataTransferProgress: {
              type: "structure",
              members: {
                Status: {},
                CurrentRateInMegaBytesPerSecond: {
                  type: "double"
                },
                TotalDataInMegaBytes: {
                  type: "long"
                },
                DataTransferredInMegaBytes: {
                  type: "long"
                },
                EstimatedTimeToCompletionInSeconds: {
                  type: "long"
                },
                ElapsedTimeInSeconds: {
                  type: "long"
                }
              }
            },
            HsmStatus: {
              type: "structure",
              members: {
                HsmClientCertificateIdentifier: {},
                HsmConfigurationIdentifier: {},
                Status: {}
              }
            },
            ClusterSnapshotCopyStatus: {
              type: "structure",
              members: {
                DestinationRegion: {},
                RetentionPeriod: {
                  type: "long"
                },
                ManualSnapshotRetentionPeriod: {
                  type: "integer"
                },
                SnapshotCopyGrantName: {}
              }
            },
            ClusterPublicKey: {},
            ClusterNodes: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  NodeRole: {},
                  PrivateIPAddress: {},
                  PublicIPAddress: {}
                }
              }
            },
            ElasticIpStatus: {
              type: "structure",
              members: {
                ElasticIp: {},
                Status: {}
              }
            },
            ClusterRevisionNumber: {},
            Tags: {
              shape: "St"
            },
            KmsKeyId: {},
            EnhancedVpcRouting: {
              type: "boolean"
            },
            IamRoles: {
              type: "list",
              member: {
                locationName: "ClusterIamRole",
                type: "structure",
                members: {
                  IamRoleArn: {},
                  ApplyStatus: {}
                }
              }
            },
            PendingActions: {
              type: "list",
              member: {}
            },
            MaintenanceTrackName: {},
            ElasticResizeNumberOfNodeOptions: {},
            DeferredMaintenanceWindows: {
              type: "list",
              member: {
                locationName: "DeferredMaintenanceWindow",
                type: "structure",
                members: {
                  DeferMaintenanceIdentifier: {},
                  DeferMaintenanceStartTime: {
                    type: "timestamp"
                  },
                  DeferMaintenanceEndTime: {
                    type: "timestamp"
                  }
                }
              }
            },
            SnapshotScheduleIdentifier: {},
            SnapshotScheduleState: {},
            ExpectedNextSnapshotScheduleTime: {
              type: "timestamp"
            },
            ExpectedNextSnapshotScheduleTimeStatus: {},
            NextMaintenanceWindowStartTime: {
              type: "timestamp"
            },
            ResizeInfo: {
              type: "structure",
              members: {
                ResizeType: {},
                AllowCancelResize: {
                  type: "boolean"
                }
              }
            },
            AvailabilityZoneRelocationStatus: {},
            ClusterNamespaceArn: {},
            TotalStorageCapacityInMegaBytes: {
              type: "long"
            },
            AquaConfiguration: {
              shape: "S2v"
            },
            DefaultIamRoleArn: {},
            ReservedNodeExchangeStatus: {
              shape: "S2x"
            },
            CustomDomainName: {},
            CustomDomainCertificateArn: {},
            CustomDomainCertificateExpiryDate: {
              type: "timestamp"
            }
          },
          wrapper: true
        },
        S25: {
          type: "structure",
          members: {
            VpcEndpointId: {},
            VpcId: {},
            NetworkInterfaces: {
              type: "list",
              member: {
                locationName: "NetworkInterface",
                type: "structure",
                members: {
                  NetworkInterfaceId: {},
                  SubnetId: {},
                  PrivateIpAddress: {},
                  AvailabilityZone: {}
                }
              }
            }
          }
        },
        S2a: {
          type: "list",
          member: {
            locationName: "VpcSecurityGroup",
            type: "structure",
            members: {
              VpcSecurityGroupId: {},
              Status: {}
            }
          }
        },
        S2v: {
          type: "structure",
          members: {
            AquaStatus: {},
            AquaConfigurationStatus: {}
          }
        },
        S2x: {
          type: "structure",
          members: {
            ReservedNodeExchangeRequestId: {},
            Status: {},
            RequestTime: {
              type: "timestamp"
            },
            SourceReservedNodeId: {},
            SourceReservedNodeType: {},
            SourceReservedNodeCount: {
              type: "integer"
            },
            TargetReservedNodeOfferingId: {},
            TargetReservedNodeType: {},
            TargetReservedNodeCount: {
              type: "integer"
            }
          },
          wrapper: true
        },
        S31: {
          type: "structure",
          members: {
            ParameterGroupName: {},
            ParameterGroupFamily: {},
            Description: {},
            Tags: {
              shape: "St"
            }
          },
          wrapper: true
        },
        S37: {
          type: "list",
          member: {
            locationName: "SubnetIdentifier"
          }
        },
        S39: {
          type: "structure",
          members: {
            ClusterSubnetGroupName: {},
            Description: {},
            VpcId: {},
            SubnetGroupStatus: {},
            Subnets: {
              type: "list",
              member: {
                locationName: "Subnet",
                type: "structure",
                members: {
                  SubnetIdentifier: {},
                  SubnetAvailabilityZone: {
                    shape: "S3c"
                  },
                  SubnetStatus: {}
                }
              }
            },
            Tags: {
              shape: "St"
            }
          },
          wrapper: true
        },
        S3c: {
          type: "structure",
          members: {
            Name: {},
            SupportedPlatforms: {
              type: "list",
              member: {
                locationName: "SupportedPlatform",
                type: "structure",
                members: {
                  Name: {}
                },
                wrapper: true
              }
            }
          },
          wrapper: true
        },
        S3k: {
          type: "structure",
          members: {
            ClusterIdentifier: {},
            ResourceOwner: {},
            SubnetGroupName: {},
            EndpointStatus: {},
            EndpointName: {},
            EndpointCreateTime: {
              type: "timestamp"
            },
            Port: {
              type: "integer"
            },
            Address: {},
            VpcSecurityGroups: {
              shape: "S2a"
            },
            VpcEndpoint: {
              shape: "S25"
            }
          }
        },
        S3m: {
          type: "list",
          member: {
            locationName: "SourceId"
          }
        },
        S3n: {
          type: "list",
          member: {
            locationName: "EventCategory"
          }
        },
        S3p: {
          type: "structure",
          members: {
            CustomerAwsId: {},
            CustSubscriptionId: {},
            SnsTopicArn: {},
            Status: {},
            SubscriptionCreationTime: {
              type: "timestamp"
            },
            SourceType: {},
            SourceIdsList: {
              shape: "S3m"
            },
            EventCategoriesList: {
              shape: "S3n"
            },
            Severity: {},
            Enabled: {
              type: "boolean"
            },
            Tags: {
              shape: "St"
            }
          },
          wrapper: true
        },
        S3s: {
          type: "structure",
          members: {
            HsmClientCertificateIdentifier: {},
            HsmClientCertificatePublicKey: {},
            Tags: {
              shape: "St"
            }
          },
          wrapper: true
        },
        S3v: {
          type: "structure",
          members: {
            HsmConfigurationIdentifier: {},
            Description: {},
            HsmIpAddress: {},
            HsmPartitionName: {},
            Tags: {
              shape: "St"
            }
          },
          wrapper: true
        },
        S3x: {
          type: "structure",
          members: {
            ResizeCluster: {
              shape: "S3y"
            },
            PauseCluster: {
              shape: "S3z"
            },
            ResumeCluster: {
              shape: "S40"
            }
          }
        },
        S3y: {
          type: "structure",
          required: [
            "ClusterIdentifier"
          ],
          members: {
            ClusterIdentifier: {},
            ClusterType: {},
            NodeType: {},
            NumberOfNodes: {
              type: "integer"
            },
            Classic: {
              type: "boolean"
            },
            ReservedNodeId: {},
            TargetReservedNodeOfferingId: {}
          }
        },
        S3z: {
          type: "structure",
          required: [
            "ClusterIdentifier"
          ],
          members: {
            ClusterIdentifier: {}
          }
        },
        S40: {
          type: "structure",
          required: [
            "ClusterIdentifier"
          ],
          members: {
            ClusterIdentifier: {}
          }
        },
        S41: {
          type: "structure",
          members: {
            ScheduledActionName: {},
            TargetAction: {
              shape: "S3x"
            },
            Schedule: {},
            IamRole: {},
            ScheduledActionDescription: {},
            State: {},
            NextInvocations: {
              type: "list",
              member: {
                locationName: "ScheduledActionTime",
                type: "timestamp"
              }
            },
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            }
          }
        },
        S46: {
          type: "structure",
          members: {
            SnapshotCopyGrantName: {},
            KmsKeyId: {},
            Tags: {
              shape: "St"
            }
          },
          wrapper: true
        },
        S48: {
          type: "list",
          member: {
            locationName: "ScheduleDefinition"
          }
        },
        S49: {
          type: "structure",
          members: {
            ScheduleDefinitions: {
              shape: "S48"
            },
            ScheduleIdentifier: {},
            ScheduleDescription: {},
            Tags: {
              shape: "St"
            },
            NextInvocations: {
              type: "list",
              member: {
                locationName: "SnapshotTime",
                type: "timestamp"
              }
            },
            AssociatedClusterCount: {
              type: "integer"
            },
            AssociatedClusters: {
              type: "list",
              member: {
                locationName: "ClusterAssociatedToSchedule",
                type: "structure",
                members: {
                  ClusterIdentifier: {},
                  ScheduleAssociationState: {}
                }
              }
            }
          }
        },
        S4j: {
          type: "structure",
          members: {
            UsageLimitId: {},
            ClusterIdentifier: {},
            FeatureType: {},
            LimitType: {},
            Amount: {
              type: "long"
            },
            Period: {},
            BreachAction: {},
            Tags: {
              shape: "St"
            }
          }
        },
        S52: {
          type: "list",
          member: {
            locationName: "TagKey"
          }
        },
        S5m: {
          type: "list",
          member: {
            locationName: "TagValue"
          }
        },
        S5r: {
          type: "list",
          member: {
            locationName: "Parameter",
            type: "structure",
            members: {
              ParameterName: {},
              ParameterValue: {},
              Description: {},
              Source: {},
              DataType: {},
              AllowedValues: {},
              ApplyType: {},
              IsModifiable: {
                type: "boolean"
              },
              MinimumEngineVersion: {}
            }
          }
        },
        S6u: {
          type: "list",
          member: {
            shape: "Sj"
          }
        },
        S7v: {
          type: "structure",
          members: {
            LoggingEnabled: {
              type: "boolean"
            },
            BucketName: {},
            S3KeyPrefix: {},
            LastSuccessfulDeliveryTime: {
              type: "timestamp"
            },
            LastFailureTime: {
              type: "timestamp"
            },
            LastFailureMessage: {},
            LogDestinationType: {},
            LogExports: {
              shape: "S7x"
            }
          }
        },
        S7x: {
          type: "list",
          member: {}
        },
        S84: {
          type: "list",
          member: {
            locationName: "item"
          }
        },
        S8p: {
          type: "list",
          member: {
            shape: "S8q",
            locationName: "ReservedNodeOffering"
          }
        },
        S8q: {
          type: "structure",
          members: {
            ReservedNodeOfferingId: {},
            NodeType: {},
            Duration: {
              type: "integer"
            },
            FixedPrice: {
              type: "double"
            },
            UsagePrice: {
              type: "double"
            },
            CurrencyCode: {},
            OfferingType: {},
            RecurringCharges: {
              shape: "S8"
            },
            ReservedNodeOfferingType: {}
          },
          wrapper: true
        },
        S9c: {
          type: "structure",
          members: {
            TableRestoreRequestId: {},
            Status: {},
            Message: {},
            RequestTime: {
              type: "timestamp"
            },
            ProgressInMegaBytes: {
              type: "long"
            },
            TotalDataInMegaBytes: {
              type: "long"
            },
            ClusterIdentifier: {},
            SnapshotIdentifier: {},
            SourceDatabaseName: {},
            SourceSchemaName: {},
            SourceTableName: {},
            TargetDatabaseName: {},
            TargetSchemaName: {},
            NewTableName: {}
          },
          wrapper: true
        },
        S9v: {
          type: "string",
          sensitive: true
        },
        Sai: {
          type: "structure",
          members: {
            ParameterGroupName: {},
            ParameterGroupStatus: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/redshift-2012-12-01.paginators.json
var require_redshift_2012_12_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/redshift-2012-12-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeClusterDbRevisions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ClusterDbRevisions"
        },
        DescribeClusterParameterGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ParameterGroups"
        },
        DescribeClusterParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Parameters"
        },
        DescribeClusterSecurityGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ClusterSecurityGroups"
        },
        DescribeClusterSnapshots: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Snapshots"
        },
        DescribeClusterSubnetGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ClusterSubnetGroups"
        },
        DescribeClusterTracks: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "MaintenanceTracks"
        },
        DescribeClusterVersions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ClusterVersions"
        },
        DescribeClusters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Clusters"
        },
        DescribeCustomDomainAssociations: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Associations"
        },
        DescribeDataShares: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DataShares"
        },
        DescribeDataSharesForConsumer: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DataShares"
        },
        DescribeDataSharesForProducer: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DataShares"
        },
        DescribeDefaultClusterParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "DefaultClusterParameters.Marker",
          result_key: "DefaultClusterParameters.Parameters"
        },
        DescribeEndpointAccess: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "EndpointAccessList"
        },
        DescribeEndpointAuthorization: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "EndpointAuthorizationList"
        },
        DescribeEventSubscriptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "EventSubscriptionsList"
        },
        DescribeEvents: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Events"
        },
        DescribeHsmClientCertificates: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "HsmClientCertificates"
        },
        DescribeHsmConfigurations: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "HsmConfigurations"
        },
        DescribeNodeConfigurationOptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "NodeConfigurationOptionList"
        },
        DescribeOrderableClusterOptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "OrderableClusterOptions"
        },
        DescribeReservedNodeExchangeStatus: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ReservedNodeExchangeStatusDetails"
        },
        DescribeReservedNodeOfferings: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ReservedNodeOfferings"
        },
        DescribeReservedNodes: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ReservedNodes"
        },
        DescribeScheduledActions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ScheduledActions"
        },
        DescribeSnapshotCopyGrants: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "SnapshotCopyGrants"
        },
        DescribeSnapshotSchedules: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "SnapshotSchedules"
        },
        DescribeTableRestoreStatus: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "TableRestoreStatusDetails"
        },
        DescribeTags: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "TaggedResources"
        },
        DescribeUsageLimits: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "UsageLimits"
        },
        GetReservedNodeExchangeConfigurationOptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ReservedNodeConfigurationOptionList"
        },
        GetReservedNodeExchangeOfferings: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "ReservedNodeOfferings"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/redshift-2012-12-01.waiters2.json
var require_redshift_2012_12_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/redshift-2012-12-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        ClusterAvailable: {
          delay: 60,
          operation: "DescribeClusters",
          maxAttempts: 30,
          acceptors: [
            {
              expected: "available",
              matcher: "pathAll",
              state: "success",
              argument: "Clusters[].ClusterStatus"
            },
            {
              expected: "deleting",
              matcher: "pathAny",
              state: "failure",
              argument: "Clusters[].ClusterStatus"
            },
            {
              expected: "ClusterNotFound",
              matcher: "error",
              state: "retry"
            }
          ]
        },
        ClusterDeleted: {
          delay: 60,
          operation: "DescribeClusters",
          maxAttempts: 30,
          acceptors: [
            {
              expected: "ClusterNotFound",
              matcher: "error",
              state: "success"
            },
            {
              expected: "creating",
              matcher: "pathAny",
              state: "failure",
              argument: "Clusters[].ClusterStatus"
            },
            {
              expected: "modifying",
              matcher: "pathAny",
              state: "failure",
              argument: "Clusters[].ClusterStatus"
            }
          ]
        },
        ClusterRestored: {
          operation: "DescribeClusters",
          maxAttempts: 30,
          delay: 60,
          acceptors: [
            {
              state: "success",
              matcher: "pathAll",
              argument: "Clusters[].RestoreStatus.Status",
              expected: "completed"
            },
            {
              state: "failure",
              matcher: "pathAny",
              argument: "Clusters[].ClusterStatus",
              expected: "deleting"
            }
          ]
        },
        SnapshotAvailable: {
          delay: 15,
          operation: "DescribeClusterSnapshots",
          maxAttempts: 20,
          acceptors: [
            {
              expected: "available",
              matcher: "pathAll",
              state: "success",
              argument: "Snapshots[].Status"
            },
            {
              expected: "failed",
              matcher: "pathAny",
              state: "failure",
              argument: "Snapshots[].Status"
            },
            {
              expected: "deleted",
              matcher: "pathAny",
              state: "failure",
              argument: "Snapshots[].Status"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/redshift.js
var require_redshift = __commonJS({
  "node_modules/aws-sdk/clients/redshift.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["redshift"] = {};
    AWS2.Redshift = Service.defineService("redshift", ["2012-12-01"]);
    Object.defineProperty(apiLoader.services["redshift"], "2012-12-01", {
      get: function get() {
        var model = require_redshift_2012_12_01_min();
        model.paginators = require_redshift_2012_12_01_paginators().pagination;
        model.waiters = require_redshift_2012_12_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Redshift;
  }
});

// node_modules/aws-sdk/apis/rekognition-2016-06-27.min.json
var require_rekognition_2016_06_27_min = __commonJS({
  "node_modules/aws-sdk/apis/rekognition-2016-06-27.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-06-27",
        endpointPrefix: "rekognition",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Rekognition",
        serviceId: "Rekognition",
        signatureVersion: "v4",
        targetPrefix: "RekognitionService",
        uid: "rekognition-2016-06-27"
      },
      operations: {
        AssociateFaces: {
          input: {
            type: "structure",
            required: [
              "CollectionId",
              "UserId",
              "FaceIds"
            ],
            members: {
              CollectionId: {},
              UserId: {},
              FaceIds: {
                shape: "S4"
              },
              UserMatchThreshold: {
                type: "float"
              },
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssociatedFaces: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FaceId: {}
                  }
                }
              },
              UnsuccessfulFaceAssociations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FaceId: {},
                    UserId: {},
                    Confidence: {
                      type: "float"
                    },
                    Reasons: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              UserStatus: {}
            }
          }
        },
        CompareFaces: {
          input: {
            type: "structure",
            required: [
              "SourceImage",
              "TargetImage"
            ],
            members: {
              SourceImage: {
                shape: "Sh"
              },
              TargetImage: {
                shape: "Sh"
              },
              SimilarityThreshold: {
                type: "float"
              },
              QualityFilter: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SourceImageFace: {
                type: "structure",
                members: {
                  BoundingBox: {
                    shape: "Sq"
                  },
                  Confidence: {
                    type: "float"
                  }
                }
              },
              FaceMatches: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Similarity: {
                      type: "float"
                    },
                    Face: {
                      shape: "Su"
                    }
                  }
                }
              },
              UnmatchedFaces: {
                type: "list",
                member: {
                  shape: "Su"
                }
              },
              SourceImageOrientationCorrection: {},
              TargetImageOrientationCorrection: {}
            }
          }
        },
        CopyProjectVersion: {
          input: {
            type: "structure",
            required: [
              "SourceProjectArn",
              "SourceProjectVersionArn",
              "DestinationProjectArn",
              "VersionName",
              "OutputConfig"
            ],
            members: {
              SourceProjectArn: {},
              SourceProjectVersionArn: {},
              DestinationProjectArn: {},
              VersionName: {},
              OutputConfig: {
                shape: "S1c"
              },
              Tags: {
                shape: "S1e"
              },
              KmsKeyId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProjectVersionArn: {}
            }
          }
        },
        CreateCollection: {
          input: {
            type: "structure",
            required: [
              "CollectionId"
            ],
            members: {
              CollectionId: {},
              Tags: {
                shape: "S1e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StatusCode: {
                type: "integer"
              },
              CollectionArn: {},
              FaceModelVersion: {}
            }
          }
        },
        CreateDataset: {
          input: {
            type: "structure",
            required: [
              "DatasetType",
              "ProjectArn"
            ],
            members: {
              DatasetSource: {
                type: "structure",
                members: {
                  GroundTruthManifest: {
                    shape: "S1p"
                  },
                  DatasetArn: {}
                }
              },
              DatasetType: {},
              ProjectArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetArn: {}
            }
          }
        },
        CreateFaceLivenessSession: {
          input: {
            type: "structure",
            members: {
              KmsKeyId: {},
              Settings: {
                type: "structure",
                members: {
                  OutputConfig: {
                    type: "structure",
                    required: [
                      "S3Bucket"
                    ],
                    members: {
                      S3Bucket: {},
                      S3KeyPrefix: {}
                    }
                  },
                  AuditImagesLimit: {
                    type: "integer"
                  }
                }
              },
              ClientRequestToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "SessionId"
            ],
            members: {
              SessionId: {}
            }
          },
          idempotent: true
        },
        CreateProject: {
          input: {
            type: "structure",
            required: [
              "ProjectName"
            ],
            members: {
              ProjectName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProjectArn: {}
            }
          }
        },
        CreateProjectVersion: {
          input: {
            type: "structure",
            required: [
              "ProjectArn",
              "VersionName",
              "OutputConfig"
            ],
            members: {
              ProjectArn: {},
              VersionName: {},
              OutputConfig: {
                shape: "S1c"
              },
              TrainingData: {
                shape: "S24"
              },
              TestingData: {
                shape: "S27"
              },
              Tags: {
                shape: "S1e"
              },
              KmsKeyId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProjectVersionArn: {}
            }
          }
        },
        CreateStreamProcessor: {
          input: {
            type: "structure",
            required: [
              "Input",
              "Output",
              "Name",
              "Settings",
              "RoleArn"
            ],
            members: {
              Input: {
                shape: "S2a"
              },
              Output: {
                shape: "S2d"
              },
              Name: {},
              Settings: {
                shape: "S2i"
              },
              RoleArn: {},
              Tags: {
                shape: "S1e"
              },
              NotificationChannel: {
                shape: "S2o"
              },
              KmsKeyId: {},
              RegionsOfInterest: {
                shape: "S2q"
              },
              DataSharingPreference: {
                shape: "S2u"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamProcessorArn: {}
            }
          }
        },
        CreateUser: {
          input: {
            type: "structure",
            required: [
              "CollectionId",
              "UserId"
            ],
            members: {
              CollectionId: {},
              UserId: {},
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteCollection: {
          input: {
            type: "structure",
            required: [
              "CollectionId"
            ],
            members: {
              CollectionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StatusCode: {
                type: "integer"
              }
            }
          }
        },
        DeleteDataset: {
          input: {
            type: "structure",
            required: [
              "DatasetArn"
            ],
            members: {
              DatasetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteFaces: {
          input: {
            type: "structure",
            required: [
              "CollectionId",
              "FaceIds"
            ],
            members: {
              CollectionId: {},
              FaceIds: {
                shape: "S34"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeletedFaces: {
                shape: "S34"
              },
              UnsuccessfulFaceDeletions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FaceId: {},
                    UserId: {},
                    Reasons: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              }
            }
          }
        },
        DeleteProject: {
          input: {
            type: "structure",
            required: [
              "ProjectArn"
            ],
            members: {
              ProjectArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {}
            }
          }
        },
        DeleteProjectPolicy: {
          input: {
            type: "structure",
            required: [
              "ProjectArn",
              "PolicyName"
            ],
            members: {
              ProjectArn: {},
              PolicyName: {},
              PolicyRevisionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteProjectVersion: {
          input: {
            type: "structure",
            required: [
              "ProjectVersionArn"
            ],
            members: {
              ProjectVersionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {}
            }
          }
        },
        DeleteStreamProcessor: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteUser: {
          input: {
            type: "structure",
            required: [
              "CollectionId",
              "UserId"
            ],
            members: {
              CollectionId: {},
              UserId: {},
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeCollection: {
          input: {
            type: "structure",
            required: [
              "CollectionId"
            ],
            members: {
              CollectionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FaceCount: {
                type: "long"
              },
              FaceModelVersion: {},
              CollectionARN: {},
              CreationTimestamp: {
                type: "timestamp"
              },
              UserCount: {
                type: "long"
              }
            }
          }
        },
        DescribeDataset: {
          input: {
            type: "structure",
            required: [
              "DatasetArn"
            ],
            members: {
              DatasetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetDescription: {
                type: "structure",
                members: {
                  CreationTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  },
                  Status: {},
                  StatusMessage: {},
                  StatusMessageCode: {},
                  DatasetStats: {
                    type: "structure",
                    members: {
                      LabeledEntries: {
                        type: "integer"
                      },
                      TotalEntries: {
                        type: "integer"
                      },
                      TotalLabels: {
                        type: "integer"
                      },
                      ErrorEntries: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeProjectVersions: {
          input: {
            type: "structure",
            required: [
              "ProjectArn"
            ],
            members: {
              ProjectArn: {},
              VersionNames: {
                type: "list",
                member: {}
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProjectVersionDescriptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ProjectVersionArn: {},
                    CreationTimestamp: {
                      type: "timestamp"
                    },
                    MinInferenceUnits: {
                      type: "integer"
                    },
                    Status: {},
                    StatusMessage: {},
                    BillableTrainingTimeInSeconds: {
                      type: "long"
                    },
                    TrainingEndTimestamp: {
                      type: "timestamp"
                    },
                    OutputConfig: {
                      shape: "S1c"
                    },
                    TrainingDataResult: {
                      type: "structure",
                      members: {
                        Input: {
                          shape: "S24"
                        },
                        Output: {
                          shape: "S24"
                        },
                        Validation: {
                          shape: "S48"
                        }
                      }
                    },
                    TestingDataResult: {
                      type: "structure",
                      members: {
                        Input: {
                          shape: "S27"
                        },
                        Output: {
                          shape: "S27"
                        },
                        Validation: {
                          shape: "S48"
                        }
                      }
                    },
                    EvaluationResult: {
                      type: "structure",
                      members: {
                        F1Score: {
                          type: "float"
                        },
                        Summary: {
                          type: "structure",
                          members: {
                            S3Object: {
                              shape: "Sj"
                            }
                          }
                        }
                      }
                    },
                    ManifestSummary: {
                      shape: "S1p"
                    },
                    KmsKeyId: {},
                    MaxInferenceUnits: {
                      type: "integer"
                    },
                    SourceProjectVersionArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeProjects: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ProjectNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProjectDescriptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ProjectArn: {},
                    CreationTimestamp: {
                      type: "timestamp"
                    },
                    Status: {},
                    Datasets: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          CreationTimestamp: {
                            type: "timestamp"
                          },
                          DatasetType: {},
                          DatasetArn: {},
                          Status: {},
                          StatusMessage: {},
                          StatusMessageCode: {}
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeStreamProcessor: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              StreamProcessorArn: {},
              Status: {},
              StatusMessage: {},
              CreationTimestamp: {
                type: "timestamp"
              },
              LastUpdateTimestamp: {
                type: "timestamp"
              },
              Input: {
                shape: "S2a"
              },
              Output: {
                shape: "S2d"
              },
              RoleArn: {},
              Settings: {
                shape: "S2i"
              },
              NotificationChannel: {
                shape: "S2o"
              },
              KmsKeyId: {},
              RegionsOfInterest: {
                shape: "S2q"
              },
              DataSharingPreference: {
                shape: "S2u"
              }
            }
          }
        },
        DetectCustomLabels: {
          input: {
            type: "structure",
            required: [
              "ProjectVersionArn",
              "Image"
            ],
            members: {
              ProjectVersionArn: {},
              Image: {
                shape: "Sh"
              },
              MaxResults: {
                type: "integer"
              },
              MinConfidence: {
                type: "float"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CustomLabels: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Confidence: {
                      type: "float"
                    },
                    Geometry: {
                      shape: "S4r"
                    }
                  }
                }
              }
            }
          }
        },
        DetectFaces: {
          input: {
            type: "structure",
            required: [
              "Image"
            ],
            members: {
              Image: {
                shape: "Sh"
              },
              Attributes: {
                shape: "S4t"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FaceDetails: {
                type: "list",
                member: {
                  shape: "S4x"
                }
              },
              OrientationCorrection: {}
            }
          }
        },
        DetectLabels: {
          input: {
            type: "structure",
            required: [
              "Image"
            ],
            members: {
              Image: {
                shape: "Sh"
              },
              MaxLabels: {
                type: "integer"
              },
              MinConfidence: {
                type: "float"
              },
              Features: {
                type: "list",
                member: {}
              },
              Settings: {
                type: "structure",
                members: {
                  GeneralLabels: {
                    shape: "S5d"
                  },
                  ImageProperties: {
                    type: "structure",
                    members: {
                      MaxDominantColors: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Labels: {
                type: "list",
                member: {
                  shape: "S5k"
                }
              },
              OrientationCorrection: {},
              LabelModelVersion: {},
              ImageProperties: {
                type: "structure",
                members: {
                  Quality: {
                    shape: "S5w"
                  },
                  DominantColors: {
                    shape: "S5n"
                  },
                  Foreground: {
                    type: "structure",
                    members: {
                      Quality: {
                        shape: "S5w"
                      },
                      DominantColors: {
                        shape: "S5n"
                      }
                    }
                  },
                  Background: {
                    type: "structure",
                    members: {
                      Quality: {
                        shape: "S5w"
                      },
                      DominantColors: {
                        shape: "S5n"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DetectModerationLabels: {
          input: {
            type: "structure",
            required: [
              "Image"
            ],
            members: {
              Image: {
                shape: "Sh"
              },
              MinConfidence: {
                type: "float"
              },
              HumanLoopConfig: {
                type: "structure",
                required: [
                  "HumanLoopName",
                  "FlowDefinitionArn"
                ],
                members: {
                  HumanLoopName: {},
                  FlowDefinitionArn: {},
                  DataAttributes: {
                    type: "structure",
                    members: {
                      ContentClassifiers: {
                        type: "list",
                        member: {}
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ModerationLabels: {
                type: "list",
                member: {
                  shape: "S68"
                }
              },
              ModerationModelVersion: {},
              HumanLoopActivationOutput: {
                type: "structure",
                members: {
                  HumanLoopArn: {},
                  HumanLoopActivationReasons: {
                    type: "list",
                    member: {}
                  },
                  HumanLoopActivationConditionsEvaluationResults: {
                    jsonvalue: true
                  }
                }
              }
            }
          }
        },
        DetectProtectiveEquipment: {
          input: {
            type: "structure",
            required: [
              "Image"
            ],
            members: {
              Image: {
                shape: "Sh"
              },
              SummarizationAttributes: {
                type: "structure",
                required: [
                  "MinConfidence",
                  "RequiredEquipmentTypes"
                ],
                members: {
                  MinConfidence: {
                    type: "float"
                  },
                  RequiredEquipmentTypes: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProtectiveEquipmentModelVersion: {},
              Persons: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    BodyParts: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {},
                          Confidence: {
                            type: "float"
                          },
                          EquipmentDetections: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                BoundingBox: {
                                  shape: "Sq"
                                },
                                Confidence: {
                                  type: "float"
                                },
                                Type: {},
                                CoversBodyPart: {
                                  type: "structure",
                                  members: {
                                    Confidence: {
                                      type: "float"
                                    },
                                    Value: {
                                      type: "boolean"
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    BoundingBox: {
                      shape: "Sq"
                    },
                    Confidence: {
                      type: "float"
                    },
                    Id: {
                      type: "integer"
                    }
                  }
                }
              },
              Summary: {
                type: "structure",
                members: {
                  PersonsWithRequiredEquipment: {
                    shape: "S6s"
                  },
                  PersonsWithoutRequiredEquipment: {
                    shape: "S6s"
                  },
                  PersonsIndeterminate: {
                    shape: "S6s"
                  }
                }
              }
            }
          }
        },
        DetectText: {
          input: {
            type: "structure",
            required: [
              "Image"
            ],
            members: {
              Image: {
                shape: "Sh"
              },
              Filters: {
                type: "structure",
                members: {
                  WordFilter: {
                    shape: "S6v"
                  },
                  RegionsOfInterest: {
                    shape: "S2q"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TextDetections: {
                type: "list",
                member: {
                  shape: "S70"
                }
              },
              TextModelVersion: {}
            }
          }
        },
        DisassociateFaces: {
          input: {
            type: "structure",
            required: [
              "CollectionId",
              "UserId",
              "FaceIds"
            ],
            members: {
              CollectionId: {},
              UserId: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              FaceIds: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DisassociatedFaces: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FaceId: {}
                  }
                }
              },
              UnsuccessfulFaceDisassociations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FaceId: {},
                    UserId: {},
                    Reasons: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              UserStatus: {}
            }
          }
        },
        DistributeDatasetEntries: {
          input: {
            type: "structure",
            required: [
              "Datasets"
            ],
            members: {
              Datasets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn"
                  ],
                  members: {
                    Arn: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetCelebrityInfo: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Urls: {
                shape: "S7h"
              },
              Name: {},
              KnownGender: {
                shape: "S7j"
              }
            }
          }
        },
        GetCelebrityRecognition: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              SortBy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobStatus: {},
              StatusMessage: {},
              VideoMetadata: {
                shape: "S7s"
              },
              NextToken: {},
              Celebrities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Timestamp: {
                      type: "long"
                    },
                    Celebrity: {
                      type: "structure",
                      members: {
                        Urls: {
                          shape: "S7h"
                        },
                        Name: {},
                        Id: {},
                        Confidence: {
                          type: "float"
                        },
                        BoundingBox: {
                          shape: "Sq"
                        },
                        Face: {
                          shape: "S4x"
                        },
                        KnownGender: {
                          shape: "S7j"
                        }
                      }
                    }
                  }
                }
              },
              JobId: {},
              Video: {
                shape: "S7y"
              },
              JobTag: {}
            }
          }
        },
        GetContentModeration: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              SortBy: {},
              AggregateBy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobStatus: {},
              StatusMessage: {},
              VideoMetadata: {
                shape: "S7s"
              },
              ModerationLabels: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Timestamp: {
                      type: "long"
                    },
                    ModerationLabel: {
                      shape: "S68"
                    },
                    StartTimestampMillis: {
                      type: "long"
                    },
                    EndTimestampMillis: {
                      type: "long"
                    },
                    DurationMillis: {
                      type: "long"
                    }
                  }
                }
              },
              NextToken: {},
              ModerationModelVersion: {},
              JobId: {},
              Video: {
                shape: "S7y"
              },
              JobTag: {},
              GetRequestMetadata: {
                type: "structure",
                members: {
                  SortBy: {},
                  AggregateBy: {}
                }
              }
            }
          }
        },
        GetFaceDetection: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobStatus: {},
              StatusMessage: {},
              VideoMetadata: {
                shape: "S7s"
              },
              NextToken: {},
              Faces: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Timestamp: {
                      type: "long"
                    },
                    Face: {
                      shape: "S4x"
                    }
                  }
                }
              },
              JobId: {},
              Video: {
                shape: "S7y"
              },
              JobTag: {}
            }
          }
        },
        GetFaceLivenessSessionResults: {
          input: {
            type: "structure",
            required: [
              "SessionId"
            ],
            members: {
              SessionId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "SessionId",
              "Status"
            ],
            members: {
              SessionId: {},
              Status: {},
              Confidence: {
                type: "float"
              },
              ReferenceImage: {
                shape: "S8e"
              },
              AuditImages: {
                type: "list",
                member: {
                  shape: "S8e"
                }
              }
            }
          }
        },
        GetFaceSearch: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              SortBy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobStatus: {},
              StatusMessage: {},
              NextToken: {},
              VideoMetadata: {
                shape: "S7s"
              },
              Persons: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Timestamp: {
                      type: "long"
                    },
                    Person: {
                      shape: "S8m"
                    },
                    FaceMatches: {
                      shape: "S8o"
                    }
                  }
                }
              },
              JobId: {},
              Video: {
                shape: "S7y"
              },
              JobTag: {}
            }
          }
        },
        GetLabelDetection: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              SortBy: {},
              AggregateBy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobStatus: {},
              StatusMessage: {},
              VideoMetadata: {
                shape: "S7s"
              },
              NextToken: {},
              Labels: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Timestamp: {
                      type: "long"
                    },
                    Label: {
                      shape: "S5k"
                    },
                    StartTimestampMillis: {
                      type: "long"
                    },
                    EndTimestampMillis: {
                      type: "long"
                    },
                    DurationMillis: {
                      type: "long"
                    }
                  }
                }
              },
              LabelModelVersion: {},
              JobId: {},
              Video: {
                shape: "S7y"
              },
              JobTag: {},
              GetRequestMetadata: {
                type: "structure",
                members: {
                  SortBy: {},
                  AggregateBy: {}
                }
              }
            }
          }
        },
        GetPersonTracking: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              SortBy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobStatus: {},
              StatusMessage: {},
              VideoMetadata: {
                shape: "S7s"
              },
              NextToken: {},
              Persons: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Timestamp: {
                      type: "long"
                    },
                    Person: {
                      shape: "S8m"
                    }
                  }
                }
              },
              JobId: {},
              Video: {
                shape: "S7y"
              },
              JobTag: {}
            }
          }
        },
        GetSegmentDetection: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobStatus: {},
              StatusMessage: {},
              VideoMetadata: {
                type: "list",
                member: {
                  shape: "S7s"
                }
              },
              AudioMetadata: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Codec: {},
                    DurationMillis: {
                      type: "long"
                    },
                    SampleRate: {
                      type: "long"
                    },
                    NumberOfChannels: {
                      type: "long"
                    }
                  }
                }
              },
              NextToken: {},
              Segments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    StartTimestampMillis: {
                      type: "long"
                    },
                    EndTimestampMillis: {
                      type: "long"
                    },
                    DurationMillis: {
                      type: "long"
                    },
                    StartTimecodeSMPTE: {},
                    EndTimecodeSMPTE: {},
                    DurationSMPTE: {},
                    TechnicalCueSegment: {
                      type: "structure",
                      members: {
                        Type: {},
                        Confidence: {
                          type: "float"
                        }
                      }
                    },
                    ShotSegment: {
                      type: "structure",
                      members: {
                        Index: {
                          type: "long"
                        },
                        Confidence: {
                          type: "float"
                        }
                      }
                    },
                    StartFrameNumber: {
                      type: "long"
                    },
                    EndFrameNumber: {
                      type: "long"
                    },
                    DurationFrames: {
                      type: "long"
                    }
                  }
                }
              },
              SelectedSegmentTypes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    ModelVersion: {}
                  }
                }
              },
              JobId: {},
              Video: {
                shape: "S7y"
              },
              JobTag: {}
            }
          }
        },
        GetTextDetection: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobStatus: {},
              StatusMessage: {},
              VideoMetadata: {
                shape: "S7s"
              },
              TextDetections: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Timestamp: {
                      type: "long"
                    },
                    TextDetection: {
                      shape: "S70"
                    }
                  }
                }
              },
              NextToken: {},
              TextModelVersion: {},
              JobId: {},
              Video: {
                shape: "S7y"
              },
              JobTag: {}
            }
          }
        },
        IndexFaces: {
          input: {
            type: "structure",
            required: [
              "CollectionId",
              "Image"
            ],
            members: {
              CollectionId: {},
              Image: {
                shape: "Sh"
              },
              ExternalImageId: {},
              DetectionAttributes: {
                shape: "S4t"
              },
              MaxFaces: {
                type: "integer"
              },
              QualityFilter: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FaceRecords: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Face: {
                      shape: "S8q"
                    },
                    FaceDetail: {
                      shape: "S4x"
                    }
                  }
                }
              },
              OrientationCorrection: {},
              FaceModelVersion: {},
              UnindexedFaces: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Reasons: {
                      type: "list",
                      member: {}
                    },
                    FaceDetail: {
                      shape: "S4x"
                    }
                  }
                }
              }
            }
          }
        },
        ListCollections: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CollectionIds: {
                type: "list",
                member: {}
              },
              NextToken: {},
              FaceModelVersions: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ListDatasetEntries: {
          input: {
            type: "structure",
            required: [
              "DatasetArn"
            ],
            members: {
              DatasetArn: {},
              ContainsLabels: {
                type: "list",
                member: {}
              },
              Labeled: {
                type: "boolean"
              },
              SourceRefContains: {},
              HasErrors: {
                type: "boolean"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetEntries: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListDatasetLabels: {
          input: {
            type: "structure",
            required: [
              "DatasetArn"
            ],
            members: {
              DatasetArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetLabelDescriptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LabelName: {},
                    LabelStats: {
                      type: "structure",
                      members: {
                        EntryCount: {
                          type: "integer"
                        },
                        BoundingBoxCount: {
                          type: "integer"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListFaces: {
          input: {
            type: "structure",
            required: [
              "CollectionId"
            ],
            members: {
              CollectionId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              UserId: {},
              FaceIds: {
                shape: "S34"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Faces: {
                type: "list",
                member: {
                  shape: "S8q"
                }
              },
              NextToken: {},
              FaceModelVersion: {}
            }
          }
        },
        ListProjectPolicies: {
          input: {
            type: "structure",
            required: [
              "ProjectArn"
            ],
            members: {
              ProjectArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProjectPolicies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ProjectArn: {},
                    PolicyName: {},
                    PolicyRevisionId: {},
                    PolicyDocument: {},
                    CreationTimestamp: {
                      type: "timestamp"
                    },
                    LastUpdatedTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListStreamProcessors: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              StreamProcessors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Status: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S1e"
              }
            }
          }
        },
        ListUsers: {
          input: {
            type: "structure",
            required: [
              "CollectionId"
            ],
            members: {
              CollectionId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Users: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    UserId: {},
                    UserStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        PutProjectPolicy: {
          input: {
            type: "structure",
            required: [
              "ProjectArn",
              "PolicyName",
              "PolicyDocument"
            ],
            members: {
              ProjectArn: {},
              PolicyName: {},
              PolicyRevisionId: {},
              PolicyDocument: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyRevisionId: {}
            }
          }
        },
        RecognizeCelebrities: {
          input: {
            type: "structure",
            required: [
              "Image"
            ],
            members: {
              Image: {
                shape: "Sh"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CelebrityFaces: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Urls: {
                      shape: "S7h"
                    },
                    Name: {},
                    Id: {},
                    Face: {
                      shape: "Su"
                    },
                    MatchConfidence: {
                      type: "float"
                    },
                    KnownGender: {
                      shape: "S7j"
                    }
                  }
                }
              },
              UnrecognizedFaces: {
                type: "list",
                member: {
                  shape: "Su"
                }
              },
              OrientationCorrection: {}
            }
          }
        },
        SearchFaces: {
          input: {
            type: "structure",
            required: [
              "CollectionId",
              "FaceId"
            ],
            members: {
              CollectionId: {},
              FaceId: {},
              MaxFaces: {
                type: "integer"
              },
              FaceMatchThreshold: {
                type: "float"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SearchedFaceId: {},
              FaceMatches: {
                shape: "S8o"
              },
              FaceModelVersion: {}
            }
          }
        },
        SearchFacesByImage: {
          input: {
            type: "structure",
            required: [
              "CollectionId",
              "Image"
            ],
            members: {
              CollectionId: {},
              Image: {
                shape: "Sh"
              },
              MaxFaces: {
                type: "integer"
              },
              FaceMatchThreshold: {
                type: "float"
              },
              QualityFilter: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SearchedFaceBoundingBox: {
                shape: "Sq"
              },
              SearchedFaceConfidence: {
                type: "float"
              },
              FaceMatches: {
                shape: "S8o"
              },
              FaceModelVersion: {}
            }
          }
        },
        SearchUsers: {
          input: {
            type: "structure",
            required: [
              "CollectionId"
            ],
            members: {
              CollectionId: {},
              UserId: {},
              FaceId: {},
              UserMatchThreshold: {
                type: "float"
              },
              MaxUsers: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserMatches: {
                shape: "Sbi"
              },
              FaceModelVersion: {},
              SearchedFace: {
                type: "structure",
                members: {
                  FaceId: {}
                }
              },
              SearchedUser: {
                type: "structure",
                members: {
                  UserId: {}
                }
              }
            }
          }
        },
        SearchUsersByImage: {
          input: {
            type: "structure",
            required: [
              "CollectionId",
              "Image"
            ],
            members: {
              CollectionId: {},
              Image: {
                shape: "Sh"
              },
              UserMatchThreshold: {
                type: "float"
              },
              MaxUsers: {
                type: "integer"
              },
              QualityFilter: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UserMatches: {
                shape: "Sbi"
              },
              FaceModelVersion: {},
              SearchedFace: {
                type: "structure",
                members: {
                  FaceDetail: {
                    shape: "S4x"
                  }
                }
              },
              UnsearchedFaces: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FaceDetails: {
                      shape: "S4x"
                    },
                    Reasons: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              }
            }
          }
        },
        StartCelebrityRecognition: {
          input: {
            type: "structure",
            required: [
              "Video"
            ],
            members: {
              Video: {
                shape: "S7y"
              },
              ClientRequestToken: {},
              NotificationChannel: {
                shape: "Sbv"
              },
              JobTag: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          },
          idempotent: true
        },
        StartContentModeration: {
          input: {
            type: "structure",
            required: [
              "Video"
            ],
            members: {
              Video: {
                shape: "S7y"
              },
              MinConfidence: {
                type: "float"
              },
              ClientRequestToken: {},
              NotificationChannel: {
                shape: "Sbv"
              },
              JobTag: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          },
          idempotent: true
        },
        StartFaceDetection: {
          input: {
            type: "structure",
            required: [
              "Video"
            ],
            members: {
              Video: {
                shape: "S7y"
              },
              ClientRequestToken: {},
              NotificationChannel: {
                shape: "Sbv"
              },
              FaceAttributes: {},
              JobTag: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          },
          idempotent: true
        },
        StartFaceSearch: {
          input: {
            type: "structure",
            required: [
              "Video",
              "CollectionId"
            ],
            members: {
              Video: {
                shape: "S7y"
              },
              ClientRequestToken: {},
              FaceMatchThreshold: {
                type: "float"
              },
              CollectionId: {},
              NotificationChannel: {
                shape: "Sbv"
              },
              JobTag: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          },
          idempotent: true
        },
        StartLabelDetection: {
          input: {
            type: "structure",
            required: [
              "Video"
            ],
            members: {
              Video: {
                shape: "S7y"
              },
              ClientRequestToken: {},
              MinConfidence: {
                type: "float"
              },
              NotificationChannel: {
                shape: "Sbv"
              },
              JobTag: {},
              Features: {
                type: "list",
                member: {}
              },
              Settings: {
                type: "structure",
                members: {
                  GeneralLabels: {
                    shape: "S5d"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          },
          idempotent: true
        },
        StartPersonTracking: {
          input: {
            type: "structure",
            required: [
              "Video"
            ],
            members: {
              Video: {
                shape: "S7y"
              },
              ClientRequestToken: {},
              NotificationChannel: {
                shape: "Sbv"
              },
              JobTag: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          },
          idempotent: true
        },
        StartProjectVersion: {
          input: {
            type: "structure",
            required: [
              "ProjectVersionArn",
              "MinInferenceUnits"
            ],
            members: {
              ProjectVersionArn: {},
              MinInferenceUnits: {
                type: "integer"
              },
              MaxInferenceUnits: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {}
            }
          }
        },
        StartSegmentDetection: {
          input: {
            type: "structure",
            required: [
              "Video",
              "SegmentTypes"
            ],
            members: {
              Video: {
                shape: "S7y"
              },
              ClientRequestToken: {},
              NotificationChannel: {
                shape: "Sbv"
              },
              JobTag: {},
              Filters: {
                type: "structure",
                members: {
                  TechnicalCueFilter: {
                    type: "structure",
                    members: {
                      MinSegmentConfidence: {
                        type: "float"
                      },
                      BlackFrame: {
                        type: "structure",
                        members: {
                          MaxPixelThreshold: {
                            type: "float"
                          },
                          MinCoveragePercentage: {
                            type: "float"
                          }
                        }
                      }
                    }
                  },
                  ShotFilter: {
                    type: "structure",
                    members: {
                      MinSegmentConfidence: {
                        type: "float"
                      }
                    }
                  }
                }
              },
              SegmentTypes: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          },
          idempotent: true
        },
        StartStreamProcessor: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              StartSelector: {
                type: "structure",
                members: {
                  KVSStreamStartSelector: {
                    type: "structure",
                    members: {
                      ProducerTimestamp: {
                        type: "long"
                      },
                      FragmentNumber: {}
                    }
                  }
                }
              },
              StopSelector: {
                type: "structure",
                members: {
                  MaxDurationInSeconds: {
                    type: "long"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SessionId: {}
            }
          }
        },
        StartTextDetection: {
          input: {
            type: "structure",
            required: [
              "Video"
            ],
            members: {
              Video: {
                shape: "S7y"
              },
              ClientRequestToken: {},
              NotificationChannel: {
                shape: "Sbv"
              },
              JobTag: {},
              Filters: {
                type: "structure",
                members: {
                  WordFilter: {
                    shape: "S6v"
                  },
                  RegionsOfInterest: {
                    shape: "S2q"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          },
          idempotent: true
        },
        StopProjectVersion: {
          input: {
            type: "structure",
            required: [
              "ProjectVersionArn"
            ],
            members: {
              ProjectVersionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {}
            }
          }
        },
        StopStreamProcessor: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S1e"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDatasetEntries: {
          input: {
            type: "structure",
            required: [
              "DatasetArn",
              "Changes"
            ],
            members: {
              DatasetArn: {},
              Changes: {
                type: "structure",
                required: [
                  "GroundTruth"
                ],
                members: {
                  GroundTruth: {
                    type: "blob"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateStreamProcessor: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              SettingsForUpdate: {
                type: "structure",
                members: {
                  ConnectedHomeForUpdate: {
                    type: "structure",
                    members: {
                      Labels: {
                        shape: "S2l"
                      },
                      MinConfidence: {
                        type: "float"
                      }
                    }
                  }
                }
              },
              RegionsOfInterestForUpdate: {
                shape: "S2q"
              },
              DataSharingPreferenceForUpdate: {
                shape: "S2u"
              },
              ParametersToDelete: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S4: {
          type: "list",
          member: {}
        },
        Sh: {
          type: "structure",
          members: {
            Bytes: {
              type: "blob"
            },
            S3Object: {
              shape: "Sj"
            }
          }
        },
        Sj: {
          type: "structure",
          members: {
            Bucket: {},
            Name: {},
            Version: {}
          }
        },
        Sq: {
          type: "structure",
          members: {
            Width: {
              type: "float"
            },
            Height: {
              type: "float"
            },
            Left: {
              type: "float"
            },
            Top: {
              type: "float"
            }
          }
        },
        Su: {
          type: "structure",
          members: {
            BoundingBox: {
              shape: "Sq"
            },
            Confidence: {
              type: "float"
            },
            Landmarks: {
              shape: "Sv"
            },
            Pose: {
              shape: "Sy"
            },
            Quality: {
              shape: "S10"
            },
            Emotions: {
              shape: "S11"
            },
            Smile: {
              shape: "S14"
            }
          }
        },
        Sv: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {},
              X: {
                type: "float"
              },
              Y: {
                type: "float"
              }
            }
          }
        },
        Sy: {
          type: "structure",
          members: {
            Roll: {
              type: "float"
            },
            Yaw: {
              type: "float"
            },
            Pitch: {
              type: "float"
            }
          }
        },
        S10: {
          type: "structure",
          members: {
            Brightness: {
              type: "float"
            },
            Sharpness: {
              type: "float"
            }
          }
        },
        S11: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {},
              Confidence: {
                type: "float"
              }
            }
          }
        },
        S14: {
          type: "structure",
          members: {
            Value: {
              type: "boolean"
            },
            Confidence: {
              type: "float"
            }
          }
        },
        S1c: {
          type: "structure",
          members: {
            S3Bucket: {},
            S3KeyPrefix: {}
          }
        },
        S1e: {
          type: "map",
          key: {},
          value: {}
        },
        S1p: {
          type: "structure",
          members: {
            S3Object: {
              shape: "Sj"
            }
          }
        },
        S24: {
          type: "structure",
          members: {
            Assets: {
              shape: "S25"
            }
          }
        },
        S25: {
          type: "list",
          member: {
            type: "structure",
            members: {
              GroundTruthManifest: {
                shape: "S1p"
              }
            }
          }
        },
        S27: {
          type: "structure",
          members: {
            Assets: {
              shape: "S25"
            },
            AutoCreate: {
              type: "boolean"
            }
          }
        },
        S2a: {
          type: "structure",
          members: {
            KinesisVideoStream: {
              type: "structure",
              members: {
                Arn: {}
              }
            }
          }
        },
        S2d: {
          type: "structure",
          members: {
            KinesisDataStream: {
              type: "structure",
              members: {
                Arn: {}
              }
            },
            S3Destination: {
              type: "structure",
              members: {
                Bucket: {},
                KeyPrefix: {}
              }
            }
          }
        },
        S2i: {
          type: "structure",
          members: {
            FaceSearch: {
              type: "structure",
              members: {
                CollectionId: {},
                FaceMatchThreshold: {
                  type: "float"
                }
              }
            },
            ConnectedHome: {
              type: "structure",
              required: [
                "Labels"
              ],
              members: {
                Labels: {
                  shape: "S2l"
                },
                MinConfidence: {
                  type: "float"
                }
              }
            }
          }
        },
        S2l: {
          type: "list",
          member: {}
        },
        S2o: {
          type: "structure",
          required: [
            "SNSTopicArn"
          ],
          members: {
            SNSTopicArn: {}
          }
        },
        S2q: {
          type: "list",
          member: {
            type: "structure",
            members: {
              BoundingBox: {
                shape: "Sq"
              },
              Polygon: {
                shape: "S2s"
              }
            }
          }
        },
        S2s: {
          type: "list",
          member: {
            type: "structure",
            members: {
              X: {
                type: "float"
              },
              Y: {
                type: "float"
              }
            }
          }
        },
        S2u: {
          type: "structure",
          required: [
            "OptIn"
          ],
          members: {
            OptIn: {
              type: "boolean"
            }
          }
        },
        S34: {
          type: "list",
          member: {}
        },
        S48: {
          type: "structure",
          members: {
            Assets: {
              shape: "S25"
            }
          }
        },
        S4r: {
          type: "structure",
          members: {
            BoundingBox: {
              shape: "Sq"
            },
            Polygon: {
              shape: "S2s"
            }
          }
        },
        S4t: {
          type: "list",
          member: {}
        },
        S4x: {
          type: "structure",
          members: {
            BoundingBox: {
              shape: "Sq"
            },
            AgeRange: {
              type: "structure",
              members: {
                Low: {
                  type: "integer"
                },
                High: {
                  type: "integer"
                }
              }
            },
            Smile: {
              shape: "S14"
            },
            Eyeglasses: {
              type: "structure",
              members: {
                Value: {
                  type: "boolean"
                },
                Confidence: {
                  type: "float"
                }
              }
            },
            Sunglasses: {
              type: "structure",
              members: {
                Value: {
                  type: "boolean"
                },
                Confidence: {
                  type: "float"
                }
              }
            },
            Gender: {
              type: "structure",
              members: {
                Value: {},
                Confidence: {
                  type: "float"
                }
              }
            },
            Beard: {
              type: "structure",
              members: {
                Value: {
                  type: "boolean"
                },
                Confidence: {
                  type: "float"
                }
              }
            },
            Mustache: {
              type: "structure",
              members: {
                Value: {
                  type: "boolean"
                },
                Confidence: {
                  type: "float"
                }
              }
            },
            EyesOpen: {
              type: "structure",
              members: {
                Value: {
                  type: "boolean"
                },
                Confidence: {
                  type: "float"
                }
              }
            },
            MouthOpen: {
              type: "structure",
              members: {
                Value: {
                  type: "boolean"
                },
                Confidence: {
                  type: "float"
                }
              }
            },
            Emotions: {
              shape: "S11"
            },
            Landmarks: {
              shape: "Sv"
            },
            Pose: {
              shape: "Sy"
            },
            Quality: {
              shape: "S10"
            },
            Confidence: {
              type: "float"
            },
            FaceOccluded: {
              type: "structure",
              members: {
                Value: {
                  type: "boolean"
                },
                Confidence: {
                  type: "float"
                }
              }
            },
            EyeDirection: {
              type: "structure",
              members: {
                Yaw: {
                  type: "float"
                },
                Pitch: {
                  type: "float"
                },
                Confidence: {
                  type: "float"
                }
              }
            }
          }
        },
        S5d: {
          type: "structure",
          members: {
            LabelInclusionFilters: {
              shape: "S5e"
            },
            LabelExclusionFilters: {
              shape: "S5e"
            },
            LabelCategoryInclusionFilters: {
              shape: "S5e"
            },
            LabelCategoryExclusionFilters: {
              shape: "S5e"
            }
          }
        },
        S5e: {
          type: "list",
          member: {}
        },
        S5k: {
          type: "structure",
          members: {
            Name: {},
            Confidence: {
              type: "float"
            },
            Instances: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  BoundingBox: {
                    shape: "Sq"
                  },
                  Confidence: {
                    type: "float"
                  },
                  DominantColors: {
                    shape: "S5n"
                  }
                }
              }
            },
            Parents: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Name: {}
                }
              }
            },
            Aliases: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Name: {}
                }
              }
            },
            Categories: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Name: {}
                }
              }
            }
          }
        },
        S5n: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Red: {
                type: "integer"
              },
              Blue: {
                type: "integer"
              },
              Green: {
                type: "integer"
              },
              HexCode: {},
              CSSColor: {},
              SimplifiedColor: {},
              PixelPercent: {
                type: "float"
              }
            }
          }
        },
        S5w: {
          type: "structure",
          members: {
            Brightness: {
              type: "float"
            },
            Sharpness: {
              type: "float"
            },
            Contrast: {
              type: "float"
            }
          }
        },
        S68: {
          type: "structure",
          members: {
            Confidence: {
              type: "float"
            },
            Name: {},
            ParentName: {}
          }
        },
        S6s: {
          type: "list",
          member: {
            type: "integer"
          }
        },
        S6v: {
          type: "structure",
          members: {
            MinConfidence: {
              type: "float"
            },
            MinBoundingBoxHeight: {
              type: "float"
            },
            MinBoundingBoxWidth: {
              type: "float"
            }
          }
        },
        S70: {
          type: "structure",
          members: {
            DetectedText: {},
            Type: {},
            Id: {
              type: "integer"
            },
            ParentId: {
              type: "integer"
            },
            Confidence: {
              type: "float"
            },
            Geometry: {
              shape: "S4r"
            }
          }
        },
        S7h: {
          type: "list",
          member: {}
        },
        S7j: {
          type: "structure",
          members: {
            Type: {}
          }
        },
        S7s: {
          type: "structure",
          members: {
            Codec: {},
            DurationMillis: {
              type: "long"
            },
            Format: {},
            FrameRate: {
              type: "float"
            },
            FrameHeight: {
              type: "long"
            },
            FrameWidth: {
              type: "long"
            },
            ColorRange: {}
          }
        },
        S7y: {
          type: "structure",
          members: {
            S3Object: {
              shape: "Sj"
            }
          }
        },
        S8e: {
          type: "structure",
          members: {
            Bytes: {
              type: "blob",
              sensitive: true
            },
            S3Object: {
              shape: "Sj"
            },
            BoundingBox: {
              shape: "Sq"
            }
          }
        },
        S8m: {
          type: "structure",
          members: {
            Index: {
              type: "long"
            },
            BoundingBox: {
              shape: "Sq"
            },
            Face: {
              shape: "S4x"
            }
          }
        },
        S8o: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Similarity: {
                type: "float"
              },
              Face: {
                shape: "S8q"
              }
            }
          }
        },
        S8q: {
          type: "structure",
          members: {
            FaceId: {},
            BoundingBox: {
              shape: "Sq"
            },
            ImageId: {},
            ExternalImageId: {},
            Confidence: {
              type: "float"
            },
            IndexFacesModelVersion: {},
            UserId: {}
          }
        },
        Sbi: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Similarity: {
                type: "float"
              },
              User: {
                type: "structure",
                members: {
                  UserId: {},
                  UserStatus: {}
                }
              }
            }
          }
        },
        Sbv: {
          type: "structure",
          required: [
            "SNSTopicArn",
            "RoleArn"
          ],
          members: {
            SNSTopicArn: {},
            RoleArn: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/rekognition-2016-06-27.paginators.json
var require_rekognition_2016_06_27_paginators = __commonJS({
  "node_modules/aws-sdk/apis/rekognition-2016-06-27.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeProjectVersions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ProjectVersionDescriptions"
        },
        DescribeProjects: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ProjectDescriptions"
        },
        GetCelebrityRecognition: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetContentModeration: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetFaceDetection: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetFaceSearch: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetLabelDetection: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetPersonTracking: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetSegmentDetection: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetTextDetection: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListCollections: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "CollectionIds"
        },
        ListDatasetEntries: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "DatasetEntries"
        },
        ListDatasetLabels: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "DatasetLabelDescriptions"
        },
        ListFaces: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Faces"
        },
        ListProjectPolicies: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ProjectPolicies"
        },
        ListStreamProcessors: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListUsers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Users"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/rekognition-2016-06-27.waiters2.json
var require_rekognition_2016_06_27_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/rekognition-2016-06-27.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        ProjectVersionTrainingCompleted: {
          description: "Wait until the ProjectVersion training completes.",
          operation: "DescribeProjectVersions",
          delay: 120,
          maxAttempts: 360,
          acceptors: [
            {
              state: "success",
              matcher: "pathAll",
              argument: "ProjectVersionDescriptions[].Status",
              expected: "TRAINING_COMPLETED"
            },
            {
              state: "failure",
              matcher: "pathAny",
              argument: "ProjectVersionDescriptions[].Status",
              expected: "TRAINING_FAILED"
            }
          ]
        },
        ProjectVersionRunning: {
          description: "Wait until the ProjectVersion is running.",
          delay: 30,
          maxAttempts: 40,
          operation: "DescribeProjectVersions",
          acceptors: [
            {
              state: "success",
              matcher: "pathAll",
              argument: "ProjectVersionDescriptions[].Status",
              expected: "RUNNING"
            },
            {
              state: "failure",
              matcher: "pathAny",
              argument: "ProjectVersionDescriptions[].Status",
              expected: "FAILED"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/rekognition.js
var require_rekognition = __commonJS({
  "node_modules/aws-sdk/clients/rekognition.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["rekognition"] = {};
    AWS2.Rekognition = Service.defineService("rekognition", ["2016-06-27"]);
    Object.defineProperty(apiLoader.services["rekognition"], "2016-06-27", {
      get: function get() {
        var model = require_rekognition_2016_06_27_min();
        model.paginators = require_rekognition_2016_06_27_paginators().pagination;
        model.waiters = require_rekognition_2016_06_27_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Rekognition;
  }
});

// node_modules/aws-sdk/apis/resourcegroupstaggingapi-2017-01-26.min.json
var require_resourcegroupstaggingapi_2017_01_26_min = __commonJS({
  "node_modules/aws-sdk/apis/resourcegroupstaggingapi-2017-01-26.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-01-26",
        endpointPrefix: "tagging",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Resource Groups Tagging API",
        serviceId: "Resource Groups Tagging API",
        signatureVersion: "v4",
        targetPrefix: "ResourceGroupsTaggingAPI_20170126",
        uid: "resourcegroupstaggingapi-2017-01-26"
      },
      operations: {
        DescribeReportCreation: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              Status: {},
              S3Location: {},
              ErrorMessage: {}
            }
          }
        },
        GetComplianceSummary: {
          input: {
            type: "structure",
            members: {
              TargetIdFilters: {
                type: "list",
                member: {}
              },
              RegionFilters: {
                type: "list",
                member: {}
              },
              ResourceTypeFilters: {
                shape: "Sb"
              },
              TagKeyFilters: {
                type: "list",
                member: {}
              },
              GroupBy: {
                type: "list",
                member: {}
              },
              MaxResults: {
                type: "integer"
              },
              PaginationToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LastUpdated: {},
                    TargetId: {},
                    TargetIdType: {},
                    Region: {},
                    ResourceType: {},
                    NonCompliantResources: {
                      type: "long"
                    }
                  }
                }
              },
              PaginationToken: {}
            }
          }
        },
        GetResources: {
          input: {
            type: "structure",
            members: {
              PaginationToken: {},
              TagFilters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Key: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              ResourcesPerPage: {
                type: "integer"
              },
              TagsPerPage: {
                type: "integer"
              },
              ResourceTypeFilters: {
                shape: "Sb"
              },
              IncludeComplianceDetails: {
                type: "boolean"
              },
              ExcludeCompliantResources: {
                type: "boolean"
              },
              ResourceARNList: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PaginationToken: {},
              ResourceTagMappingList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceARN: {},
                    Tags: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "Key",
                          "Value"
                        ],
                        members: {
                          Key: {},
                          Value: {}
                        }
                      }
                    },
                    ComplianceDetails: {
                      type: "structure",
                      members: {
                        NoncompliantKeys: {
                          shape: "S16"
                        },
                        KeysWithNoncompliantValues: {
                          shape: "S16"
                        },
                        ComplianceStatus: {
                          type: "boolean"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetTagKeys: {
          input: {
            type: "structure",
            members: {
              PaginationToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PaginationToken: {},
              TagKeys: {
                shape: "S16"
              }
            }
          }
        },
        GetTagValues: {
          input: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              PaginationToken: {},
              Key: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PaginationToken: {},
              TagValues: {
                type: "list",
                member: {}
              }
            }
          }
        },
        StartReportCreation: {
          input: {
            type: "structure",
            required: [
              "S3Bucket"
            ],
            members: {
              S3Bucket: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResources: {
          input: {
            type: "structure",
            required: [
              "ResourceARNList",
              "Tags"
            ],
            members: {
              ResourceARNList: {
                shape: "S1h"
              },
              Tags: {
                type: "map",
                key: {},
                value: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedResourcesMap: {
                shape: "S1k"
              }
            }
          }
        },
        UntagResources: {
          input: {
            type: "structure",
            required: [
              "ResourceARNList",
              "TagKeys"
            ],
            members: {
              ResourceARNList: {
                shape: "S1h"
              },
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedResourcesMap: {
                shape: "S1k"
              }
            }
          }
        }
      },
      shapes: {
        Sb: {
          type: "list",
          member: {}
        },
        S16: {
          type: "list",
          member: {}
        },
        S1h: {
          type: "list",
          member: {}
        },
        S1k: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              StatusCode: {
                type: "integer"
              },
              ErrorCode: {},
              ErrorMessage: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/resourcegroupstaggingapi-2017-01-26.paginators.json
var require_resourcegroupstaggingapi_2017_01_26_paginators = __commonJS({
  "node_modules/aws-sdk/apis/resourcegroupstaggingapi-2017-01-26.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetComplianceSummary: {
          input_token: "PaginationToken",
          limit_key: "MaxResults",
          output_token: "PaginationToken",
          result_key: "SummaryList"
        },
        GetResources: {
          input_token: "PaginationToken",
          limit_key: "ResourcesPerPage",
          output_token: "PaginationToken",
          result_key: "ResourceTagMappingList"
        },
        GetTagKeys: {
          input_token: "PaginationToken",
          output_token: "PaginationToken",
          result_key: "TagKeys"
        },
        GetTagValues: {
          input_token: "PaginationToken",
          output_token: "PaginationToken",
          result_key: "TagValues"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/resourcegroupstaggingapi.js
var require_resourcegroupstaggingapi = __commonJS({
  "node_modules/aws-sdk/clients/resourcegroupstaggingapi.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["resourcegroupstaggingapi"] = {};
    AWS2.ResourceGroupsTaggingAPI = Service.defineService("resourcegroupstaggingapi", ["2017-01-26"]);
    Object.defineProperty(apiLoader.services["resourcegroupstaggingapi"], "2017-01-26", {
      get: function get() {
        var model = require_resourcegroupstaggingapi_2017_01_26_min();
        model.paginators = require_resourcegroupstaggingapi_2017_01_26_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ResourceGroupsTaggingAPI;
  }
});

// node_modules/aws-sdk/lib/services/route53.js
var require_route53 = __commonJS({
  "node_modules/aws-sdk/lib/services/route53.js"() {
    var AWS2 = require_core();
    AWS2.util.update(AWS2.Route53.prototype, {
      /**
       * @api private
       */
      setupRequestListeners: function setupRequestListeners(request) {
        request.on("build", this.sanitizeUrl);
      },
      /**
       * @api private
       */
      sanitizeUrl: function sanitizeUrl(request) {
        var path = request.httpRequest.path;
        request.httpRequest.path = path.replace(/\/%2F\w+%2F/, "/");
      },
      /**
       * @return [Boolean] whether the error can be retried
       * @api private
       */
      retryableError: function retryableError(error) {
        if (error.code === "PriorRequestNotComplete" && error.statusCode === 400) {
          return true;
        } else {
          var _super = AWS2.Service.prototype.retryableError;
          return _super.call(this, error);
        }
      }
    });
  }
});

// node_modules/aws-sdk/apis/route53-2013-04-01.min.json
var require_route53_2013_04_01_min = __commonJS({
  "node_modules/aws-sdk/apis/route53-2013-04-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2013-04-01",
        endpointPrefix: "route53",
        globalEndpoint: "route53.amazonaws.com",
        protocol: "rest-xml",
        serviceAbbreviation: "Route 53",
        serviceFullName: "Amazon Route 53",
        serviceId: "Route 53",
        signatureVersion: "v4",
        uid: "route53-2013-04-01"
      },
      operations: {
        ActivateKeySigningKey: {
          http: {
            requestUri: "/2013-04-01/keysigningkey/{HostedZoneId}/{Name}/activate"
          },
          input: {
            type: "structure",
            required: [
              "HostedZoneId",
              "Name"
            ],
            members: {
              HostedZoneId: {
                location: "uri",
                locationName: "HostedZoneId"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ChangeInfo"
            ],
            members: {
              ChangeInfo: {
                shape: "S5"
              }
            }
          }
        },
        AssociateVPCWithHostedZone: {
          http: {
            requestUri: "/2013-04-01/hostedzone/{Id}/associatevpc"
          },
          input: {
            locationName: "AssociateVPCWithHostedZoneRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "HostedZoneId",
              "VPC"
            ],
            members: {
              HostedZoneId: {
                location: "uri",
                locationName: "Id"
              },
              VPC: {
                shape: "Sa"
              },
              Comment: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ChangeInfo"
            ],
            members: {
              ChangeInfo: {
                shape: "S5"
              }
            }
          }
        },
        ChangeCidrCollection: {
          http: {
            requestUri: "/2013-04-01/cidrcollection/{CidrCollectionId}"
          },
          input: {
            locationName: "ChangeCidrCollectionRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "Id",
              "Changes"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "CidrCollectionId"
              },
              CollectionVersion: {
                type: "long"
              },
              Changes: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "LocationName",
                    "Action",
                    "CidrList"
                  ],
                  members: {
                    LocationName: {},
                    Action: {},
                    CidrList: {
                      type: "list",
                      member: {
                        locationName: "Cidr"
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          }
        },
        ChangeResourceRecordSets: {
          http: {
            requestUri: "/2013-04-01/hostedzone/{Id}/rrset/"
          },
          input: {
            locationName: "ChangeResourceRecordSetsRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "HostedZoneId",
              "ChangeBatch"
            ],
            members: {
              HostedZoneId: {
                location: "uri",
                locationName: "Id"
              },
              ChangeBatch: {
                type: "structure",
                required: [
                  "Changes"
                ],
                members: {
                  Comment: {},
                  Changes: {
                    type: "list",
                    member: {
                      locationName: "Change",
                      type: "structure",
                      required: [
                        "Action",
                        "ResourceRecordSet"
                      ],
                      members: {
                        Action: {},
                        ResourceRecordSet: {
                          shape: "Sv"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ChangeInfo"
            ],
            members: {
              ChangeInfo: {
                shape: "S5"
              }
            }
          }
        },
        ChangeTagsForResource: {
          http: {
            requestUri: "/2013-04-01/tags/{ResourceType}/{ResourceId}"
          },
          input: {
            locationName: "ChangeTagsForResourceRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "ResourceType",
              "ResourceId"
            ],
            members: {
              ResourceType: {
                location: "uri",
                locationName: "ResourceType"
              },
              ResourceId: {
                location: "uri",
                locationName: "ResourceId"
              },
              AddTags: {
                shape: "S1l"
              },
              RemoveTagKeys: {
                type: "list",
                member: {
                  locationName: "Key"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateCidrCollection: {
          http: {
            requestUri: "/2013-04-01/cidrcollection",
            responseCode: 201
          },
          input: {
            locationName: "CreateCidrCollectionRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "Name",
              "CallerReference"
            ],
            members: {
              Name: {},
              CallerReference: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Collection: {
                type: "structure",
                members: {
                  Arn: {},
                  Id: {},
                  Name: {},
                  Version: {
                    type: "long"
                  }
                }
              },
              Location: {
                location: "header",
                locationName: "Location"
              }
            }
          }
        },
        CreateHealthCheck: {
          http: {
            requestUri: "/2013-04-01/healthcheck",
            responseCode: 201
          },
          input: {
            locationName: "CreateHealthCheckRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "CallerReference",
              "HealthCheckConfig"
            ],
            members: {
              CallerReference: {},
              HealthCheckConfig: {
                shape: "S20"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HealthCheck",
              "Location"
            ],
            members: {
              HealthCheck: {
                shape: "S2n"
              },
              Location: {
                location: "header",
                locationName: "Location"
              }
            }
          }
        },
        CreateHostedZone: {
          http: {
            requestUri: "/2013-04-01/hostedzone",
            responseCode: 201
          },
          input: {
            locationName: "CreateHostedZoneRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "Name",
              "CallerReference"
            ],
            members: {
              Name: {},
              VPC: {
                shape: "Sa"
              },
              CallerReference: {},
              HostedZoneConfig: {
                shape: "S34"
              },
              DelegationSetId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "HostedZone",
              "ChangeInfo",
              "DelegationSet",
              "Location"
            ],
            members: {
              HostedZone: {
                shape: "S37"
              },
              ChangeInfo: {
                shape: "S5"
              },
              DelegationSet: {
                shape: "S39"
              },
              VPC: {
                shape: "Sa"
              },
              Location: {
                location: "header",
                locationName: "Location"
              }
            }
          }
        },
        CreateKeySigningKey: {
          http: {
            requestUri: "/2013-04-01/keysigningkey",
            responseCode: 201
          },
          input: {
            locationName: "CreateKeySigningKeyRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "CallerReference",
              "HostedZoneId",
              "KeyManagementServiceArn",
              "Name",
              "Status"
            ],
            members: {
              CallerReference: {},
              HostedZoneId: {},
              KeyManagementServiceArn: {},
              Name: {},
              Status: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ChangeInfo",
              "KeySigningKey",
              "Location"
            ],
            members: {
              ChangeInfo: {
                shape: "S5"
              },
              KeySigningKey: {
                shape: "S3f"
              },
              Location: {
                location: "header",
                locationName: "Location"
              }
            }
          }
        },
        CreateQueryLoggingConfig: {
          http: {
            requestUri: "/2013-04-01/queryloggingconfig",
            responseCode: 201
          },
          input: {
            locationName: "CreateQueryLoggingConfigRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "HostedZoneId",
              "CloudWatchLogsLogGroupArn"
            ],
            members: {
              HostedZoneId: {},
              CloudWatchLogsLogGroupArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "QueryLoggingConfig",
              "Location"
            ],
            members: {
              QueryLoggingConfig: {
                shape: "S3m"
              },
              Location: {
                location: "header",
                locationName: "Location"
              }
            }
          }
        },
        CreateReusableDelegationSet: {
          http: {
            requestUri: "/2013-04-01/delegationset",
            responseCode: 201
          },
          input: {
            locationName: "CreateReusableDelegationSetRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "CallerReference"
            ],
            members: {
              CallerReference: {},
              HostedZoneId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "DelegationSet",
              "Location"
            ],
            members: {
              DelegationSet: {
                shape: "S39"
              },
              Location: {
                location: "header",
                locationName: "Location"
              }
            }
          }
        },
        CreateTrafficPolicy: {
          http: {
            requestUri: "/2013-04-01/trafficpolicy",
            responseCode: 201
          },
          input: {
            locationName: "CreateTrafficPolicyRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "Name",
              "Document"
            ],
            members: {
              Name: {},
              Document: {},
              Comment: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "TrafficPolicy",
              "Location"
            ],
            members: {
              TrafficPolicy: {
                shape: "S3v"
              },
              Location: {
                location: "header",
                locationName: "Location"
              }
            }
          }
        },
        CreateTrafficPolicyInstance: {
          http: {
            requestUri: "/2013-04-01/trafficpolicyinstance",
            responseCode: 201
          },
          input: {
            locationName: "CreateTrafficPolicyInstanceRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "HostedZoneId",
              "Name",
              "TTL",
              "TrafficPolicyId",
              "TrafficPolicyVersion"
            ],
            members: {
              HostedZoneId: {},
              Name: {},
              TTL: {
                type: "long"
              },
              TrafficPolicyId: {},
              TrafficPolicyVersion: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TrafficPolicyInstance",
              "Location"
            ],
            members: {
              TrafficPolicyInstance: {
                shape: "S40"
              },
              Location: {
                location: "header",
                locationName: "Location"
              }
            }
          }
        },
        CreateTrafficPolicyVersion: {
          http: {
            requestUri: "/2013-04-01/trafficpolicy/{Id}",
            responseCode: 201
          },
          input: {
            locationName: "CreateTrafficPolicyVersionRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "Id",
              "Document"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              Document: {},
              Comment: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "TrafficPolicy",
              "Location"
            ],
            members: {
              TrafficPolicy: {
                shape: "S3v"
              },
              Location: {
                location: "header",
                locationName: "Location"
              }
            }
          }
        },
        CreateVPCAssociationAuthorization: {
          http: {
            requestUri: "/2013-04-01/hostedzone/{Id}/authorizevpcassociation"
          },
          input: {
            locationName: "CreateVPCAssociationAuthorizationRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "HostedZoneId",
              "VPC"
            ],
            members: {
              HostedZoneId: {
                location: "uri",
                locationName: "Id"
              },
              VPC: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HostedZoneId",
              "VPC"
            ],
            members: {
              HostedZoneId: {},
              VPC: {
                shape: "Sa"
              }
            }
          }
        },
        DeactivateKeySigningKey: {
          http: {
            requestUri: "/2013-04-01/keysigningkey/{HostedZoneId}/{Name}/deactivate"
          },
          input: {
            type: "structure",
            required: [
              "HostedZoneId",
              "Name"
            ],
            members: {
              HostedZoneId: {
                location: "uri",
                locationName: "HostedZoneId"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ChangeInfo"
            ],
            members: {
              ChangeInfo: {
                shape: "S5"
              }
            }
          }
        },
        DeleteCidrCollection: {
          http: {
            method: "DELETE",
            requestUri: "/2013-04-01/cidrcollection/{CidrCollectionId}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "CidrCollectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteHealthCheck: {
          http: {
            method: "DELETE",
            requestUri: "/2013-04-01/healthcheck/{HealthCheckId}"
          },
          input: {
            type: "structure",
            required: [
              "HealthCheckId"
            ],
            members: {
              HealthCheckId: {
                location: "uri",
                locationName: "HealthCheckId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteHostedZone: {
          http: {
            method: "DELETE",
            requestUri: "/2013-04-01/hostedzone/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ChangeInfo"
            ],
            members: {
              ChangeInfo: {
                shape: "S5"
              }
            }
          }
        },
        DeleteKeySigningKey: {
          http: {
            method: "DELETE",
            requestUri: "/2013-04-01/keysigningkey/{HostedZoneId}/{Name}"
          },
          input: {
            type: "structure",
            required: [
              "HostedZoneId",
              "Name"
            ],
            members: {
              HostedZoneId: {
                location: "uri",
                locationName: "HostedZoneId"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ChangeInfo"
            ],
            members: {
              ChangeInfo: {
                shape: "S5"
              }
            }
          }
        },
        DeleteQueryLoggingConfig: {
          http: {
            method: "DELETE",
            requestUri: "/2013-04-01/queryloggingconfig/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteReusableDelegationSet: {
          http: {
            method: "DELETE",
            requestUri: "/2013-04-01/delegationset/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteTrafficPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/2013-04-01/trafficpolicy/{Id}/{Version}"
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "Version"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              Version: {
                location: "uri",
                locationName: "Version",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteTrafficPolicyInstance: {
          http: {
            method: "DELETE",
            requestUri: "/2013-04-01/trafficpolicyinstance/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteVPCAssociationAuthorization: {
          http: {
            requestUri: "/2013-04-01/hostedzone/{Id}/deauthorizevpcassociation"
          },
          input: {
            locationName: "DeleteVPCAssociationAuthorizationRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "HostedZoneId",
              "VPC"
            ],
            members: {
              HostedZoneId: {
                location: "uri",
                locationName: "Id"
              },
              VPC: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisableHostedZoneDNSSEC: {
          http: {
            requestUri: "/2013-04-01/hostedzone/{Id}/disable-dnssec"
          },
          input: {
            type: "structure",
            required: [
              "HostedZoneId"
            ],
            members: {
              HostedZoneId: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ChangeInfo"
            ],
            members: {
              ChangeInfo: {
                shape: "S5"
              }
            }
          }
        },
        DisassociateVPCFromHostedZone: {
          http: {
            requestUri: "/2013-04-01/hostedzone/{Id}/disassociatevpc"
          },
          input: {
            locationName: "DisassociateVPCFromHostedZoneRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "HostedZoneId",
              "VPC"
            ],
            members: {
              HostedZoneId: {
                location: "uri",
                locationName: "Id"
              },
              VPC: {
                shape: "Sa"
              },
              Comment: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ChangeInfo"
            ],
            members: {
              ChangeInfo: {
                shape: "S5"
              }
            }
          }
        },
        EnableHostedZoneDNSSEC: {
          http: {
            requestUri: "/2013-04-01/hostedzone/{Id}/enable-dnssec"
          },
          input: {
            type: "structure",
            required: [
              "HostedZoneId"
            ],
            members: {
              HostedZoneId: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ChangeInfo"
            ],
            members: {
              ChangeInfo: {
                shape: "S5"
              }
            }
          }
        },
        GetAccountLimit: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/accountlimit/{Type}"
          },
          input: {
            type: "structure",
            required: [
              "Type"
            ],
            members: {
              Type: {
                location: "uri",
                locationName: "Type"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Limit",
              "Count"
            ],
            members: {
              Limit: {
                type: "structure",
                required: [
                  "Type",
                  "Value"
                ],
                members: {
                  Type: {},
                  Value: {
                    type: "long"
                  }
                }
              },
              Count: {
                type: "long"
              }
            }
          }
        },
        GetChange: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/change/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ChangeInfo"
            ],
            members: {
              ChangeInfo: {
                shape: "S5"
              }
            }
          }
        },
        GetCheckerIpRanges: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/checkeripranges"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "CheckerIpRanges"
            ],
            members: {
              CheckerIpRanges: {
                type: "list",
                member: {}
              }
            }
          }
        },
        GetDNSSEC: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/hostedzone/{Id}/dnssec"
          },
          input: {
            type: "structure",
            required: [
              "HostedZoneId"
            ],
            members: {
              HostedZoneId: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Status",
              "KeySigningKeys"
            ],
            members: {
              Status: {
                type: "structure",
                members: {
                  ServeSignature: {},
                  StatusMessage: {}
                }
              },
              KeySigningKeys: {
                type: "list",
                member: {
                  shape: "S3f"
                }
              }
            }
          }
        },
        GetGeoLocation: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/geolocation"
          },
          input: {
            type: "structure",
            members: {
              ContinentCode: {
                location: "querystring",
                locationName: "continentcode"
              },
              CountryCode: {
                location: "querystring",
                locationName: "countrycode"
              },
              SubdivisionCode: {
                location: "querystring",
                locationName: "subdivisioncode"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "GeoLocationDetails"
            ],
            members: {
              GeoLocationDetails: {
                shape: "S5h"
              }
            }
          }
        },
        GetHealthCheck: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/healthcheck/{HealthCheckId}"
          },
          input: {
            type: "structure",
            required: [
              "HealthCheckId"
            ],
            members: {
              HealthCheckId: {
                location: "uri",
                locationName: "HealthCheckId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HealthCheck"
            ],
            members: {
              HealthCheck: {
                shape: "S2n"
              }
            }
          }
        },
        GetHealthCheckCount: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/healthcheckcount"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "HealthCheckCount"
            ],
            members: {
              HealthCheckCount: {
                type: "long"
              }
            }
          }
        },
        GetHealthCheckLastFailureReason: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/healthcheck/{HealthCheckId}/lastfailurereason"
          },
          input: {
            type: "structure",
            required: [
              "HealthCheckId"
            ],
            members: {
              HealthCheckId: {
                location: "uri",
                locationName: "HealthCheckId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HealthCheckObservations"
            ],
            members: {
              HealthCheckObservations: {
                shape: "S5s"
              }
            }
          }
        },
        GetHealthCheckStatus: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/healthcheck/{HealthCheckId}/status"
          },
          input: {
            type: "structure",
            required: [
              "HealthCheckId"
            ],
            members: {
              HealthCheckId: {
                location: "uri",
                locationName: "HealthCheckId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HealthCheckObservations"
            ],
            members: {
              HealthCheckObservations: {
                shape: "S5s"
              }
            }
          }
        },
        GetHostedZone: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/hostedzone/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HostedZone"
            ],
            members: {
              HostedZone: {
                shape: "S37"
              },
              DelegationSet: {
                shape: "S39"
              },
              VPCs: {
                shape: "S60"
              }
            }
          }
        },
        GetHostedZoneCount: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/hostedzonecount"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "HostedZoneCount"
            ],
            members: {
              HostedZoneCount: {
                type: "long"
              }
            }
          }
        },
        GetHostedZoneLimit: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/hostedzonelimit/{Id}/{Type}"
          },
          input: {
            type: "structure",
            required: [
              "Type",
              "HostedZoneId"
            ],
            members: {
              Type: {
                location: "uri",
                locationName: "Type"
              },
              HostedZoneId: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Limit",
              "Count"
            ],
            members: {
              Limit: {
                type: "structure",
                required: [
                  "Type",
                  "Value"
                ],
                members: {
                  Type: {},
                  Value: {
                    type: "long"
                  }
                }
              },
              Count: {
                type: "long"
              }
            }
          }
        },
        GetQueryLoggingConfig: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/queryloggingconfig/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "QueryLoggingConfig"
            ],
            members: {
              QueryLoggingConfig: {
                shape: "S3m"
              }
            }
          }
        },
        GetReusableDelegationSet: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/delegationset/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DelegationSet"
            ],
            members: {
              DelegationSet: {
                shape: "S39"
              }
            }
          }
        },
        GetReusableDelegationSetLimit: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/reusabledelegationsetlimit/{Id}/{Type}"
          },
          input: {
            type: "structure",
            required: [
              "Type",
              "DelegationSetId"
            ],
            members: {
              Type: {
                location: "uri",
                locationName: "Type"
              },
              DelegationSetId: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Limit",
              "Count"
            ],
            members: {
              Limit: {
                type: "structure",
                required: [
                  "Type",
                  "Value"
                ],
                members: {
                  Type: {},
                  Value: {
                    type: "long"
                  }
                }
              },
              Count: {
                type: "long"
              }
            }
          }
        },
        GetTrafficPolicy: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/trafficpolicy/{Id}/{Version}"
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "Version"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              Version: {
                location: "uri",
                locationName: "Version",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TrafficPolicy"
            ],
            members: {
              TrafficPolicy: {
                shape: "S3v"
              }
            }
          }
        },
        GetTrafficPolicyInstance: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/trafficpolicyinstance/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TrafficPolicyInstance"
            ],
            members: {
              TrafficPolicyInstance: {
                shape: "S40"
              }
            }
          }
        },
        GetTrafficPolicyInstanceCount: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/trafficpolicyinstancecount"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "TrafficPolicyInstanceCount"
            ],
            members: {
              TrafficPolicyInstanceCount: {
                type: "integer"
              }
            }
          }
        },
        ListCidrBlocks: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/cidrcollection/{CidrCollectionId}/cidrblocks"
          },
          input: {
            type: "structure",
            required: [
              "CollectionId"
            ],
            members: {
              CollectionId: {
                location: "uri",
                locationName: "CidrCollectionId"
              },
              LocationName: {
                location: "querystring",
                locationName: "location"
              },
              NextToken: {
                location: "querystring",
                locationName: "nexttoken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxresults"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              CidrBlocks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CidrBlock: {},
                    LocationName: {}
                  }
                }
              }
            }
          }
        },
        ListCidrCollections: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/cidrcollection"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nexttoken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxresults"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              CidrCollections: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Id: {},
                    Name: {},
                    Version: {
                      type: "long"
                    }
                  }
                }
              }
            }
          }
        },
        ListCidrLocations: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/cidrcollection/{CidrCollectionId}"
          },
          input: {
            type: "structure",
            required: [
              "CollectionId"
            ],
            members: {
              CollectionId: {
                location: "uri",
                locationName: "CidrCollectionId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nexttoken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxresults"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              CidrLocations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LocationName: {}
                  }
                }
              }
            }
          }
        },
        ListGeoLocations: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/geolocations"
          },
          input: {
            type: "structure",
            members: {
              StartContinentCode: {
                location: "querystring",
                locationName: "startcontinentcode"
              },
              StartCountryCode: {
                location: "querystring",
                locationName: "startcountrycode"
              },
              StartSubdivisionCode: {
                location: "querystring",
                locationName: "startsubdivisioncode"
              },
              MaxItems: {
                location: "querystring",
                locationName: "maxitems"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "GeoLocationDetailsList",
              "IsTruncated",
              "MaxItems"
            ],
            members: {
              GeoLocationDetailsList: {
                type: "list",
                member: {
                  shape: "S5h",
                  locationName: "GeoLocationDetails"
                }
              },
              IsTruncated: {
                type: "boolean"
              },
              NextContinentCode: {},
              NextCountryCode: {},
              NextSubdivisionCode: {},
              MaxItems: {}
            }
          }
        },
        ListHealthChecks: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/healthcheck"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "maxitems"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HealthChecks",
              "Marker",
              "IsTruncated",
              "MaxItems"
            ],
            members: {
              HealthChecks: {
                type: "list",
                member: {
                  shape: "S2n",
                  locationName: "HealthCheck"
                }
              },
              Marker: {},
              IsTruncated: {
                type: "boolean"
              },
              NextMarker: {},
              MaxItems: {}
            }
          }
        },
        ListHostedZones: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/hostedzone"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "maxitems"
              },
              DelegationSetId: {
                location: "querystring",
                locationName: "delegationsetid"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HostedZones",
              "Marker",
              "IsTruncated",
              "MaxItems"
            ],
            members: {
              HostedZones: {
                shape: "S7c"
              },
              Marker: {},
              IsTruncated: {
                type: "boolean"
              },
              NextMarker: {},
              MaxItems: {}
            }
          }
        },
        ListHostedZonesByName: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/hostedzonesbyname"
          },
          input: {
            type: "structure",
            members: {
              DNSName: {
                location: "querystring",
                locationName: "dnsname"
              },
              HostedZoneId: {
                location: "querystring",
                locationName: "hostedzoneid"
              },
              MaxItems: {
                location: "querystring",
                locationName: "maxitems"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HostedZones",
              "IsTruncated",
              "MaxItems"
            ],
            members: {
              HostedZones: {
                shape: "S7c"
              },
              DNSName: {},
              HostedZoneId: {},
              IsTruncated: {
                type: "boolean"
              },
              NextDNSName: {},
              NextHostedZoneId: {},
              MaxItems: {}
            }
          }
        },
        ListHostedZonesByVPC: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/hostedzonesbyvpc"
          },
          input: {
            type: "structure",
            required: [
              "VPCId",
              "VPCRegion"
            ],
            members: {
              VPCId: {
                location: "querystring",
                locationName: "vpcid"
              },
              VPCRegion: {
                location: "querystring",
                locationName: "vpcregion"
              },
              MaxItems: {
                location: "querystring",
                locationName: "maxitems"
              },
              NextToken: {
                location: "querystring",
                locationName: "nexttoken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HostedZoneSummaries",
              "MaxItems"
            ],
            members: {
              HostedZoneSummaries: {
                type: "list",
                member: {
                  locationName: "HostedZoneSummary",
                  type: "structure",
                  required: [
                    "HostedZoneId",
                    "Name",
                    "Owner"
                  ],
                  members: {
                    HostedZoneId: {},
                    Name: {},
                    Owner: {
                      type: "structure",
                      members: {
                        OwningAccount: {},
                        OwningService: {}
                      }
                    }
                  }
                }
              },
              MaxItems: {},
              NextToken: {}
            }
          }
        },
        ListQueryLoggingConfigs: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/queryloggingconfig"
          },
          input: {
            type: "structure",
            members: {
              HostedZoneId: {
                location: "querystring",
                locationName: "hostedzoneid"
              },
              NextToken: {
                location: "querystring",
                locationName: "nexttoken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxresults"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "QueryLoggingConfigs"
            ],
            members: {
              QueryLoggingConfigs: {
                type: "list",
                member: {
                  shape: "S3m",
                  locationName: "QueryLoggingConfig"
                }
              },
              NextToken: {}
            }
          }
        },
        ListResourceRecordSets: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/hostedzone/{Id}/rrset"
          },
          input: {
            type: "structure",
            required: [
              "HostedZoneId"
            ],
            members: {
              HostedZoneId: {
                location: "uri",
                locationName: "Id"
              },
              StartRecordName: {
                location: "querystring",
                locationName: "name"
              },
              StartRecordType: {
                location: "querystring",
                locationName: "type"
              },
              StartRecordIdentifier: {
                location: "querystring",
                locationName: "identifier"
              },
              MaxItems: {
                location: "querystring",
                locationName: "maxitems"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ResourceRecordSets",
              "IsTruncated",
              "MaxItems"
            ],
            members: {
              ResourceRecordSets: {
                type: "list",
                member: {
                  shape: "Sv",
                  locationName: "ResourceRecordSet"
                }
              },
              IsTruncated: {
                type: "boolean"
              },
              NextRecordName: {},
              NextRecordType: {},
              NextRecordIdentifier: {},
              MaxItems: {}
            }
          }
        },
        ListReusableDelegationSets: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/delegationset"
          },
          input: {
            type: "structure",
            members: {
              Marker: {
                location: "querystring",
                locationName: "marker"
              },
              MaxItems: {
                location: "querystring",
                locationName: "maxitems"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DelegationSets",
              "Marker",
              "IsTruncated",
              "MaxItems"
            ],
            members: {
              DelegationSets: {
                type: "list",
                member: {
                  shape: "S39",
                  locationName: "DelegationSet"
                }
              },
              Marker: {},
              IsTruncated: {
                type: "boolean"
              },
              NextMarker: {},
              MaxItems: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/tags/{ResourceType}/{ResourceId}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceType",
              "ResourceId"
            ],
            members: {
              ResourceType: {
                location: "uri",
                locationName: "ResourceType"
              },
              ResourceId: {
                location: "uri",
                locationName: "ResourceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ResourceTagSet"
            ],
            members: {
              ResourceTagSet: {
                shape: "S7x"
              }
            }
          }
        },
        ListTagsForResources: {
          http: {
            requestUri: "/2013-04-01/tags/{ResourceType}"
          },
          input: {
            locationName: "ListTagsForResourcesRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "ResourceType",
              "ResourceIds"
            ],
            members: {
              ResourceType: {
                location: "uri",
                locationName: "ResourceType"
              },
              ResourceIds: {
                type: "list",
                member: {
                  locationName: "ResourceId"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ResourceTagSets"
            ],
            members: {
              ResourceTagSets: {
                type: "list",
                member: {
                  shape: "S7x",
                  locationName: "ResourceTagSet"
                }
              }
            }
          }
        },
        ListTrafficPolicies: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/trafficpolicies"
          },
          input: {
            type: "structure",
            members: {
              TrafficPolicyIdMarker: {
                location: "querystring",
                locationName: "trafficpolicyid"
              },
              MaxItems: {
                location: "querystring",
                locationName: "maxitems"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TrafficPolicySummaries",
              "IsTruncated",
              "TrafficPolicyIdMarker",
              "MaxItems"
            ],
            members: {
              TrafficPolicySummaries: {
                type: "list",
                member: {
                  locationName: "TrafficPolicySummary",
                  type: "structure",
                  required: [
                    "Id",
                    "Name",
                    "Type",
                    "LatestVersion",
                    "TrafficPolicyCount"
                  ],
                  members: {
                    Id: {},
                    Name: {},
                    Type: {},
                    LatestVersion: {
                      type: "integer"
                    },
                    TrafficPolicyCount: {
                      type: "integer"
                    }
                  }
                }
              },
              IsTruncated: {
                type: "boolean"
              },
              TrafficPolicyIdMarker: {},
              MaxItems: {}
            }
          }
        },
        ListTrafficPolicyInstances: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/trafficpolicyinstances"
          },
          input: {
            type: "structure",
            members: {
              HostedZoneIdMarker: {
                location: "querystring",
                locationName: "hostedzoneid"
              },
              TrafficPolicyInstanceNameMarker: {
                location: "querystring",
                locationName: "trafficpolicyinstancename"
              },
              TrafficPolicyInstanceTypeMarker: {
                location: "querystring",
                locationName: "trafficpolicyinstancetype"
              },
              MaxItems: {
                location: "querystring",
                locationName: "maxitems"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TrafficPolicyInstances",
              "IsTruncated",
              "MaxItems"
            ],
            members: {
              TrafficPolicyInstances: {
                shape: "S88"
              },
              HostedZoneIdMarker: {},
              TrafficPolicyInstanceNameMarker: {},
              TrafficPolicyInstanceTypeMarker: {},
              IsTruncated: {
                type: "boolean"
              },
              MaxItems: {}
            }
          }
        },
        ListTrafficPolicyInstancesByHostedZone: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/trafficpolicyinstances/hostedzone"
          },
          input: {
            type: "structure",
            required: [
              "HostedZoneId"
            ],
            members: {
              HostedZoneId: {
                location: "querystring",
                locationName: "id"
              },
              TrafficPolicyInstanceNameMarker: {
                location: "querystring",
                locationName: "trafficpolicyinstancename"
              },
              TrafficPolicyInstanceTypeMarker: {
                location: "querystring",
                locationName: "trafficpolicyinstancetype"
              },
              MaxItems: {
                location: "querystring",
                locationName: "maxitems"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TrafficPolicyInstances",
              "IsTruncated",
              "MaxItems"
            ],
            members: {
              TrafficPolicyInstances: {
                shape: "S88"
              },
              TrafficPolicyInstanceNameMarker: {},
              TrafficPolicyInstanceTypeMarker: {},
              IsTruncated: {
                type: "boolean"
              },
              MaxItems: {}
            }
          }
        },
        ListTrafficPolicyInstancesByPolicy: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/trafficpolicyinstances/trafficpolicy"
          },
          input: {
            type: "structure",
            required: [
              "TrafficPolicyId",
              "TrafficPolicyVersion"
            ],
            members: {
              TrafficPolicyId: {
                location: "querystring",
                locationName: "id"
              },
              TrafficPolicyVersion: {
                location: "querystring",
                locationName: "version",
                type: "integer"
              },
              HostedZoneIdMarker: {
                location: "querystring",
                locationName: "hostedzoneid"
              },
              TrafficPolicyInstanceNameMarker: {
                location: "querystring",
                locationName: "trafficpolicyinstancename"
              },
              TrafficPolicyInstanceTypeMarker: {
                location: "querystring",
                locationName: "trafficpolicyinstancetype"
              },
              MaxItems: {
                location: "querystring",
                locationName: "maxitems"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TrafficPolicyInstances",
              "IsTruncated",
              "MaxItems"
            ],
            members: {
              TrafficPolicyInstances: {
                shape: "S88"
              },
              HostedZoneIdMarker: {},
              TrafficPolicyInstanceNameMarker: {},
              TrafficPolicyInstanceTypeMarker: {},
              IsTruncated: {
                type: "boolean"
              },
              MaxItems: {}
            }
          }
        },
        ListTrafficPolicyVersions: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/trafficpolicies/{Id}/versions"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              TrafficPolicyVersionMarker: {
                location: "querystring",
                locationName: "trafficpolicyversion"
              },
              MaxItems: {
                location: "querystring",
                locationName: "maxitems"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TrafficPolicies",
              "IsTruncated",
              "TrafficPolicyVersionMarker",
              "MaxItems"
            ],
            members: {
              TrafficPolicies: {
                type: "list",
                member: {
                  shape: "S3v",
                  locationName: "TrafficPolicy"
                }
              },
              IsTruncated: {
                type: "boolean"
              },
              TrafficPolicyVersionMarker: {},
              MaxItems: {}
            }
          }
        },
        ListVPCAssociationAuthorizations: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/hostedzone/{Id}/authorizevpcassociation"
          },
          input: {
            type: "structure",
            required: [
              "HostedZoneId"
            ],
            members: {
              HostedZoneId: {
                location: "uri",
                locationName: "Id"
              },
              NextToken: {
                location: "querystring",
                locationName: "nexttoken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxresults"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HostedZoneId",
              "VPCs"
            ],
            members: {
              HostedZoneId: {},
              NextToken: {},
              VPCs: {
                shape: "S60"
              }
            }
          }
        },
        TestDNSAnswer: {
          http: {
            method: "GET",
            requestUri: "/2013-04-01/testdnsanswer"
          },
          input: {
            type: "structure",
            required: [
              "HostedZoneId",
              "RecordName",
              "RecordType"
            ],
            members: {
              HostedZoneId: {
                location: "querystring",
                locationName: "hostedzoneid"
              },
              RecordName: {
                location: "querystring",
                locationName: "recordname"
              },
              RecordType: {
                location: "querystring",
                locationName: "recordtype"
              },
              ResolverIP: {
                location: "querystring",
                locationName: "resolverip"
              },
              EDNS0ClientSubnetIP: {
                location: "querystring",
                locationName: "edns0clientsubnetip"
              },
              EDNS0ClientSubnetMask: {
                location: "querystring",
                locationName: "edns0clientsubnetmask"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Nameserver",
              "RecordName",
              "RecordType",
              "RecordData",
              "ResponseCode",
              "Protocol"
            ],
            members: {
              Nameserver: {},
              RecordName: {},
              RecordType: {},
              RecordData: {
                type: "list",
                member: {
                  locationName: "RecordDataEntry"
                }
              },
              ResponseCode: {},
              Protocol: {}
            }
          }
        },
        UpdateHealthCheck: {
          http: {
            requestUri: "/2013-04-01/healthcheck/{HealthCheckId}"
          },
          input: {
            locationName: "UpdateHealthCheckRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "HealthCheckId"
            ],
            members: {
              HealthCheckId: {
                location: "uri",
                locationName: "HealthCheckId"
              },
              HealthCheckVersion: {
                type: "long"
              },
              IPAddress: {},
              Port: {
                type: "integer"
              },
              ResourcePath: {},
              FullyQualifiedDomainName: {},
              SearchString: {},
              FailureThreshold: {
                type: "integer"
              },
              Inverted: {
                type: "boolean"
              },
              Disabled: {
                type: "boolean"
              },
              HealthThreshold: {
                type: "integer"
              },
              ChildHealthChecks: {
                shape: "S2d"
              },
              EnableSNI: {
                type: "boolean"
              },
              Regions: {
                shape: "S2f"
              },
              AlarmIdentifier: {
                shape: "S2h"
              },
              InsufficientDataHealthStatus: {},
              ResetElements: {
                type: "list",
                member: {
                  locationName: "ResettableElementName"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HealthCheck"
            ],
            members: {
              HealthCheck: {
                shape: "S2n"
              }
            }
          }
        },
        UpdateHostedZoneComment: {
          http: {
            requestUri: "/2013-04-01/hostedzone/{Id}"
          },
          input: {
            locationName: "UpdateHostedZoneCommentRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              Comment: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "HostedZone"
            ],
            members: {
              HostedZone: {
                shape: "S37"
              }
            }
          }
        },
        UpdateTrafficPolicyComment: {
          http: {
            requestUri: "/2013-04-01/trafficpolicy/{Id}/{Version}"
          },
          input: {
            locationName: "UpdateTrafficPolicyCommentRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "Id",
              "Version",
              "Comment"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              Version: {
                location: "uri",
                locationName: "Version",
                type: "integer"
              },
              Comment: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "TrafficPolicy"
            ],
            members: {
              TrafficPolicy: {
                shape: "S3v"
              }
            }
          }
        },
        UpdateTrafficPolicyInstance: {
          http: {
            requestUri: "/2013-04-01/trafficpolicyinstance/{Id}"
          },
          input: {
            locationName: "UpdateTrafficPolicyInstanceRequest",
            xmlNamespace: {
              uri: "https://route53.amazonaws.com/doc/2013-04-01/"
            },
            type: "structure",
            required: [
              "Id",
              "TTL",
              "TrafficPolicyId",
              "TrafficPolicyVersion"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              TTL: {
                type: "long"
              },
              TrafficPolicyId: {},
              TrafficPolicyVersion: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TrafficPolicyInstance"
            ],
            members: {
              TrafficPolicyInstance: {
                shape: "S40"
              }
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          required: [
            "Id",
            "Status",
            "SubmittedAt"
          ],
          members: {
            Id: {},
            Status: {},
            SubmittedAt: {
              type: "timestamp"
            },
            Comment: {}
          }
        },
        Sa: {
          type: "structure",
          members: {
            VPCRegion: {},
            VPCId: {}
          }
        },
        Sv: {
          type: "structure",
          required: [
            "Name",
            "Type"
          ],
          members: {
            Name: {},
            Type: {},
            SetIdentifier: {},
            Weight: {
              type: "long"
            },
            Region: {},
            GeoLocation: {
              type: "structure",
              members: {
                ContinentCode: {},
                CountryCode: {},
                SubdivisionCode: {}
              }
            },
            Failover: {},
            MultiValueAnswer: {
              type: "boolean"
            },
            TTL: {
              type: "long"
            },
            ResourceRecords: {
              type: "list",
              member: {
                locationName: "ResourceRecord",
                type: "structure",
                required: [
                  "Value"
                ],
                members: {
                  Value: {}
                }
              }
            },
            AliasTarget: {
              type: "structure",
              required: [
                "HostedZoneId",
                "DNSName",
                "EvaluateTargetHealth"
              ],
              members: {
                HostedZoneId: {},
                DNSName: {},
                EvaluateTargetHealth: {
                  type: "boolean"
                }
              }
            },
            HealthCheckId: {},
            TrafficPolicyInstanceId: {},
            CidrRoutingConfig: {
              type: "structure",
              required: [
                "CollectionId",
                "LocationName"
              ],
              members: {
                CollectionId: {},
                LocationName: {}
              }
            }
          }
        },
        S1l: {
          type: "list",
          member: {
            locationName: "Tag",
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S20: {
          type: "structure",
          required: [
            "Type"
          ],
          members: {
            IPAddress: {},
            Port: {
              type: "integer"
            },
            Type: {},
            ResourcePath: {},
            FullyQualifiedDomainName: {},
            SearchString: {},
            RequestInterval: {
              type: "integer"
            },
            FailureThreshold: {
              type: "integer"
            },
            MeasureLatency: {
              type: "boolean"
            },
            Inverted: {
              type: "boolean"
            },
            Disabled: {
              type: "boolean"
            },
            HealthThreshold: {
              type: "integer"
            },
            ChildHealthChecks: {
              shape: "S2d"
            },
            EnableSNI: {
              type: "boolean"
            },
            Regions: {
              shape: "S2f"
            },
            AlarmIdentifier: {
              shape: "S2h"
            },
            InsufficientDataHealthStatus: {},
            RoutingControlArn: {}
          }
        },
        S2d: {
          type: "list",
          member: {
            locationName: "ChildHealthCheck"
          }
        },
        S2f: {
          type: "list",
          member: {
            locationName: "Region"
          }
        },
        S2h: {
          type: "structure",
          required: [
            "Region",
            "Name"
          ],
          members: {
            Region: {},
            Name: {}
          }
        },
        S2n: {
          type: "structure",
          required: [
            "Id",
            "CallerReference",
            "HealthCheckConfig",
            "HealthCheckVersion"
          ],
          members: {
            Id: {},
            CallerReference: {},
            LinkedService: {
              shape: "S2o"
            },
            HealthCheckConfig: {
              shape: "S20"
            },
            HealthCheckVersion: {
              type: "long"
            },
            CloudWatchAlarmConfiguration: {
              type: "structure",
              required: [
                "EvaluationPeriods",
                "Threshold",
                "ComparisonOperator",
                "Period",
                "MetricName",
                "Namespace",
                "Statistic"
              ],
              members: {
                EvaluationPeriods: {
                  type: "integer"
                },
                Threshold: {
                  type: "double"
                },
                ComparisonOperator: {},
                Period: {
                  type: "integer"
                },
                MetricName: {},
                Namespace: {},
                Statistic: {},
                Dimensions: {
                  type: "list",
                  member: {
                    locationName: "Dimension",
                    type: "structure",
                    required: [
                      "Name",
                      "Value"
                    ],
                    members: {
                      Name: {},
                      Value: {}
                    }
                  }
                }
              }
            }
          }
        },
        S2o: {
          type: "structure",
          members: {
            ServicePrincipal: {},
            Description: {}
          }
        },
        S34: {
          type: "structure",
          members: {
            Comment: {},
            PrivateZone: {
              type: "boolean"
            }
          }
        },
        S37: {
          type: "structure",
          required: [
            "Id",
            "Name",
            "CallerReference"
          ],
          members: {
            Id: {},
            Name: {},
            CallerReference: {},
            Config: {
              shape: "S34"
            },
            ResourceRecordSetCount: {
              type: "long"
            },
            LinkedService: {
              shape: "S2o"
            }
          }
        },
        S39: {
          type: "structure",
          required: [
            "NameServers"
          ],
          members: {
            Id: {},
            CallerReference: {},
            NameServers: {
              type: "list",
              member: {
                locationName: "NameServer"
              }
            }
          }
        },
        S3f: {
          type: "structure",
          members: {
            Name: {},
            KmsArn: {},
            Flag: {
              type: "integer"
            },
            SigningAlgorithmMnemonic: {},
            SigningAlgorithmType: {
              type: "integer"
            },
            DigestAlgorithmMnemonic: {},
            DigestAlgorithmType: {
              type: "integer"
            },
            KeyTag: {
              type: "integer"
            },
            DigestValue: {},
            PublicKey: {},
            DSRecord: {},
            DNSKEYRecord: {},
            Status: {},
            StatusMessage: {},
            CreatedDate: {
              type: "timestamp"
            },
            LastModifiedDate: {
              type: "timestamp"
            }
          }
        },
        S3m: {
          type: "structure",
          required: [
            "Id",
            "HostedZoneId",
            "CloudWatchLogsLogGroupArn"
          ],
          members: {
            Id: {},
            HostedZoneId: {},
            CloudWatchLogsLogGroupArn: {}
          }
        },
        S3v: {
          type: "structure",
          required: [
            "Id",
            "Version",
            "Name",
            "Type",
            "Document"
          ],
          members: {
            Id: {},
            Version: {
              type: "integer"
            },
            Name: {},
            Type: {},
            Document: {},
            Comment: {}
          }
        },
        S40: {
          type: "structure",
          required: [
            "Id",
            "HostedZoneId",
            "Name",
            "TTL",
            "State",
            "Message",
            "TrafficPolicyId",
            "TrafficPolicyVersion",
            "TrafficPolicyType"
          ],
          members: {
            Id: {},
            HostedZoneId: {},
            Name: {},
            TTL: {
              type: "long"
            },
            State: {},
            Message: {},
            TrafficPolicyId: {},
            TrafficPolicyVersion: {
              type: "integer"
            },
            TrafficPolicyType: {}
          }
        },
        S5h: {
          type: "structure",
          members: {
            ContinentCode: {},
            ContinentName: {},
            CountryCode: {},
            CountryName: {},
            SubdivisionCode: {},
            SubdivisionName: {}
          }
        },
        S5s: {
          type: "list",
          member: {
            locationName: "HealthCheckObservation",
            type: "structure",
            members: {
              Region: {},
              IPAddress: {},
              StatusReport: {
                type: "structure",
                members: {
                  Status: {},
                  CheckedTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        S60: {
          type: "list",
          member: {
            shape: "Sa",
            locationName: "VPC"
          }
        },
        S7c: {
          type: "list",
          member: {
            shape: "S37",
            locationName: "HostedZone"
          }
        },
        S7x: {
          type: "structure",
          members: {
            ResourceType: {},
            ResourceId: {},
            Tags: {
              shape: "S1l"
            }
          }
        },
        S88: {
          type: "list",
          member: {
            shape: "S40",
            locationName: "TrafficPolicyInstance"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/route53-2013-04-01.paginators.json
var require_route53_2013_04_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/route53-2013-04-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListCidrBlocks: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "CidrBlocks"
        },
        ListCidrCollections: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "CidrCollections"
        },
        ListCidrLocations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "CidrLocations"
        },
        ListHealthChecks: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "NextMarker",
          result_key: "HealthChecks"
        },
        ListHostedZones: {
          input_token: "Marker",
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: "NextMarker",
          result_key: "HostedZones"
        },
        ListQueryLoggingConfigs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "QueryLoggingConfigs"
        },
        ListResourceRecordSets: {
          input_token: [
            "StartRecordName",
            "StartRecordType",
            "StartRecordIdentifier"
          ],
          limit_key: "MaxItems",
          more_results: "IsTruncated",
          output_token: [
            "NextRecordName",
            "NextRecordType",
            "NextRecordIdentifier"
          ],
          result_key: "ResourceRecordSets"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/route53-2013-04-01.waiters2.json
var require_route53_2013_04_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/route53-2013-04-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        ResourceRecordSetsChanged: {
          delay: 30,
          maxAttempts: 60,
          operation: "GetChange",
          acceptors: [
            {
              matcher: "path",
              expected: "INSYNC",
              argument: "ChangeInfo.Status",
              state: "success"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/route53.js
var require_route532 = __commonJS({
  "node_modules/aws-sdk/clients/route53.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["route53"] = {};
    AWS2.Route53 = Service.defineService("route53", ["2013-04-01"]);
    require_route53();
    Object.defineProperty(apiLoader.services["route53"], "2013-04-01", {
      get: function get() {
        var model = require_route53_2013_04_01_min();
        model.paginators = require_route53_2013_04_01_paginators().pagination;
        model.waiters = require_route53_2013_04_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Route53;
  }
});

// node_modules/aws-sdk/apis/route53domains-2014-05-15.min.json
var require_route53domains_2014_05_15_min = __commonJS({
  "node_modules/aws-sdk/apis/route53domains-2014-05-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2014-05-15",
        endpointPrefix: "route53domains",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Route 53 Domains",
        serviceId: "Route 53 Domains",
        signatureVersion: "v4",
        targetPrefix: "Route53Domains_v20140515",
        uid: "route53domains-2014-05-15"
      },
      operations: {
        AcceptDomainTransferFromAnotherAwsAccount: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Password"
            ],
            members: {
              DomainName: {},
              Password: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        AssociateDelegationSignerToDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "SigningAttributes"
            ],
            members: {
              DomainName: {},
              SigningAttributes: {
                type: "structure",
                members: {
                  Algorithm: {
                    type: "integer"
                  },
                  Flags: {
                    type: "integer"
                  },
                  PublicKey: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        CancelDomainTransferToAnotherAwsAccount: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        CheckDomainAvailability: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              IdnLangCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Availability: {}
            }
          }
        },
        CheckDomainTransferability: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              AuthCode: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Transferability: {
                type: "structure",
                members: {
                  Transferable: {}
                }
              }
            }
          }
        },
        DeleteDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        DeleteTagsForDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "TagsToDelete"
            ],
            members: {
              DomainName: {},
              TagsToDelete: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisableDomainAutoRenew: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisableDomainTransferLock: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        DisassociateDelegationSignerFromDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Id"
            ],
            members: {
              DomainName: {},
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        EnableDomainAutoRenew: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        EnableDomainTransferLock: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        GetContactReachabilityStatus: {
          input: {
            type: "structure",
            members: {
              domainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              domainName: {},
              status: {}
            }
          }
        },
        GetDomainDetail: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DomainName: {},
              Nameservers: {
                shape: "S17"
              },
              AutoRenew: {
                type: "boolean"
              },
              AdminContact: {
                shape: "S1d"
              },
              RegistrantContact: {
                shape: "S1d"
              },
              TechContact: {
                shape: "S1d"
              },
              AdminPrivacy: {
                type: "boolean"
              },
              RegistrantPrivacy: {
                type: "boolean"
              },
              TechPrivacy: {
                type: "boolean"
              },
              RegistrarName: {},
              WhoIsServer: {},
              RegistrarUrl: {},
              AbuseContactEmail: {},
              AbuseContactPhone: {},
              RegistryDomainId: {},
              CreationDate: {
                type: "timestamp"
              },
              UpdatedDate: {
                type: "timestamp"
              },
              ExpirationDate: {
                type: "timestamp"
              },
              Reseller: {},
              DnsSec: {},
              StatusList: {
                type: "list",
                member: {}
              },
              DnssecKeys: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Algorithm: {
                      type: "integer"
                    },
                    Flags: {
                      type: "integer"
                    },
                    PublicKey: {},
                    DigestType: {
                      type: "integer"
                    },
                    Digest: {},
                    KeyTag: {
                      type: "integer"
                    },
                    Id: {}
                  }
                }
              }
            }
          }
        },
        GetDomainSuggestions: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "SuggestionCount",
              "OnlyAvailable"
            ],
            members: {
              DomainName: {},
              SuggestionCount: {
                type: "integer"
              },
              OnlyAvailable: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SuggestionsList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DomainName: {},
                    Availability: {}
                  }
                }
              }
            }
          }
        },
        GetOperationDetail: {
          input: {
            type: "structure",
            required: [
              "OperationId"
            ],
            members: {
              OperationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {},
              Status: {},
              Message: {},
              DomainName: {},
              Type: {},
              SubmittedDate: {
                type: "timestamp"
              },
              LastUpdatedDate: {
                type: "timestamp"
              },
              StatusFlag: {}
            }
          }
        },
        ListDomains: {
          input: {
            type: "structure",
            members: {
              FilterConditions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Operator",
                    "Values"
                  ],
                  members: {
                    Name: {},
                    Operator: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              SortCondition: {
                type: "structure",
                required: [
                  "Name",
                  "SortOrder"
                ],
                members: {
                  Name: {},
                  SortOrder: {}
                }
              },
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Domains: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DomainName: {},
                    AutoRenew: {
                      type: "boolean"
                    },
                    TransferLock: {
                      type: "boolean"
                    },
                    Expiry: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextPageMarker: {}
            }
          }
        },
        ListOperations: {
          input: {
            type: "structure",
            members: {
              SubmittedSince: {
                type: "timestamp"
              },
              Marker: {},
              MaxItems: {
                type: "integer"
              },
              Status: {
                type: "list",
                member: {}
              },
              Type: {
                type: "list",
                member: {}
              },
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Operations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    OperationId: {},
                    Status: {},
                    Type: {},
                    SubmittedDate: {
                      type: "timestamp"
                    },
                    DomainName: {},
                    Message: {},
                    StatusFlag: {},
                    LastUpdatedDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextPageMarker: {}
            }
          }
        },
        ListPrices: {
          input: {
            type: "structure",
            members: {
              Tld: {},
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Prices: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    RegistrationPrice: {
                      shape: "S35"
                    },
                    TransferPrice: {
                      shape: "S35"
                    },
                    RenewalPrice: {
                      shape: "S35"
                    },
                    ChangeOwnershipPrice: {
                      shape: "S35"
                    },
                    RestorationPrice: {
                      shape: "S35"
                    }
                  }
                }
              },
              NextPageMarker: {}
            }
          }
        },
        ListTagsForDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TagList: {
                shape: "S3a"
              }
            }
          }
        },
        PushDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Target"
            ],
            members: {
              DomainName: {},
              Target: {}
            }
          }
        },
        RegisterDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "DurationInYears",
              "AdminContact",
              "RegistrantContact",
              "TechContact"
            ],
            members: {
              DomainName: {},
              IdnLangCode: {},
              DurationInYears: {
                type: "integer"
              },
              AutoRenew: {
                type: "boolean"
              },
              AdminContact: {
                shape: "S1d"
              },
              RegistrantContact: {
                shape: "S1d"
              },
              TechContact: {
                shape: "S1d"
              },
              PrivacyProtectAdminContact: {
                type: "boolean"
              },
              PrivacyProtectRegistrantContact: {
                type: "boolean"
              },
              PrivacyProtectTechContact: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        RejectDomainTransferFromAnotherAwsAccount: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        RenewDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "CurrentExpiryYear"
            ],
            members: {
              DomainName: {},
              DurationInYears: {
                type: "integer"
              },
              CurrentExpiryYear: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        ResendContactReachabilityEmail: {
          input: {
            type: "structure",
            members: {
              domainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              domainName: {},
              emailAddress: {},
              isAlreadyVerified: {
                type: "boolean"
              }
            }
          }
        },
        ResendOperationAuthorization: {
          input: {
            type: "structure",
            required: [
              "OperationId"
            ],
            members: {
              OperationId: {}
            }
          }
        },
        RetrieveDomainAuthCode: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AuthCode: {
                shape: "Si"
              }
            }
          }
        },
        TransferDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "DurationInYears",
              "AdminContact",
              "RegistrantContact",
              "TechContact"
            ],
            members: {
              DomainName: {},
              IdnLangCode: {},
              DurationInYears: {
                type: "integer"
              },
              Nameservers: {
                shape: "S17"
              },
              AuthCode: {
                shape: "Si"
              },
              AutoRenew: {
                type: "boolean"
              },
              AdminContact: {
                shape: "S1d"
              },
              RegistrantContact: {
                shape: "S1d"
              },
              TechContact: {
                shape: "S1d"
              },
              PrivacyProtectAdminContact: {
                type: "boolean"
              },
              PrivacyProtectRegistrantContact: {
                type: "boolean"
              },
              PrivacyProtectTechContact: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        TransferDomainToAnotherAwsAccount: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "AccountId"
            ],
            members: {
              DomainName: {},
              AccountId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {},
              Password: {}
            }
          }
        },
        UpdateDomainContact: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              AdminContact: {
                shape: "S1d"
              },
              RegistrantContact: {
                shape: "S1d"
              },
              TechContact: {
                shape: "S1d"
              },
              Consent: {
                type: "structure",
                required: [
                  "MaxPrice",
                  "Currency"
                ],
                members: {
                  MaxPrice: {
                    type: "double"
                  },
                  Currency: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        UpdateDomainContactPrivacy: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              AdminPrivacy: {
                type: "boolean"
              },
              RegistrantPrivacy: {
                type: "boolean"
              },
              TechPrivacy: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        UpdateDomainNameservers: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Nameservers"
            ],
            members: {
              DomainName: {},
              FIAuthKey: {
                deprecated: true,
                type: "string",
                sensitive: true
              },
              Nameservers: {
                shape: "S17"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        UpdateTagsForDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              TagsToUpdate: {
                shape: "S3a"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ViewBilling: {
          input: {
            type: "structure",
            members: {
              Start: {
                type: "timestamp"
              },
              End: {
                type: "timestamp"
              },
              Marker: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextPageMarker: {},
              BillingRecords: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DomainName: {},
                    Operation: {},
                    InvoiceId: {},
                    BillDate: {
                      type: "timestamp"
                    },
                    Price: {
                      type: "double"
                    }
                  }
                }
              }
            }
          }
        }
      },
      shapes: {
        Si: {
          type: "string",
          sensitive: true
        },
        S17: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              GlueIps: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S1d: {
          type: "structure",
          members: {
            FirstName: {},
            LastName: {},
            ContactType: {},
            OrganizationName: {},
            AddressLine1: {},
            AddressLine2: {},
            City: {},
            State: {},
            CountryCode: {},
            ZipCode: {},
            PhoneNumber: {},
            Email: {},
            Fax: {},
            ExtraParams: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name",
                  "Value"
                ],
                members: {
                  Name: {},
                  Value: {
                    type: "string",
                    sensitive: true
                  }
                }
              }
            }
          },
          sensitive: true
        },
        S35: {
          type: "structure",
          required: [
            "Price",
            "Currency"
          ],
          members: {
            Price: {
              type: "double"
            },
            Currency: {}
          }
        },
        S3a: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/route53domains-2014-05-15.paginators.json
var require_route53domains_2014_05_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/route53domains-2014-05-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDomains: {
          input_token: "Marker",
          limit_key: "MaxItems",
          output_token: "NextPageMarker",
          result_key: "Domains"
        },
        ListOperations: {
          input_token: "Marker",
          limit_key: "MaxItems",
          output_token: "NextPageMarker",
          result_key: "Operations"
        },
        ListPrices: {
          input_token: "Marker",
          limit_key: "MaxItems",
          output_token: "NextPageMarker",
          result_key: "Prices"
        },
        ViewBilling: {
          input_token: "Marker",
          limit_key: "MaxItems",
          output_token: "NextPageMarker",
          result_key: "BillingRecords"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/route53domains.js
var require_route53domains = __commonJS({
  "node_modules/aws-sdk/clients/route53domains.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["route53domains"] = {};
    AWS2.Route53Domains = Service.defineService("route53domains", ["2014-05-15"]);
    Object.defineProperty(apiLoader.services["route53domains"], "2014-05-15", {
      get: function get() {
        var model = require_route53domains_2014_05_15_min();
        model.paginators = require_route53domains_2014_05_15_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Route53Domains;
  }
});

// node_modules/aws-sdk/lib/services/s3util.js
var require_s3util = __commonJS({
  "node_modules/aws-sdk/lib/services/s3util.js"(exports, module2) {
    var AWS2 = require_core();
    var regionUtil = require_region_config();
    var s3util = {
      /**
       * @api private
       */
      isArnInParam: function isArnInParam(req, paramName) {
        var inputShape = (req.service.api.operations[req.operation] || {}).input || {};
        var inputMembers = inputShape.members || {};
        if (!req.params[paramName] || !inputMembers[paramName])
          return false;
        return AWS2.util.ARN.validate(req.params[paramName]);
      },
      /**
       * Validate service component from ARN supplied in Bucket parameter
       */
      validateArnService: function validateArnService(req) {
        var parsedArn = req._parsedArn;
        if (parsedArn.service !== "s3" && parsedArn.service !== "s3-outposts" && parsedArn.service !== "s3-object-lambda") {
          throw AWS2.util.error(new Error(), {
            code: "InvalidARN",
            message: "expect 's3' or 's3-outposts' or 's3-object-lambda' in ARN service component"
          });
        }
      },
      /**
       * Validate account ID from ARN supplied in Bucket parameter is a valid account
       */
      validateArnAccount: function validateArnAccount(req) {
        var parsedArn = req._parsedArn;
        if (!/[0-9]{12}/.exec(parsedArn.accountId)) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidARN",
            message: 'ARN accountID does not match regex "[0-9]{12}"'
          });
        }
      },
      /**
       * Validate ARN supplied in Bucket parameter is a valid access point ARN
       */
      validateS3AccessPointArn: function validateS3AccessPointArn(req) {
        var parsedArn = req._parsedArn;
        var delimiter = parsedArn.resource["accesspoint".length];
        if (parsedArn.resource.split(delimiter).length !== 2) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidARN",
            message: "Access Point ARN should have one resource accesspoint/{accesspointName}"
          });
        }
        var accessPoint = parsedArn.resource.split(delimiter)[1];
        var accessPointPrefix = accessPoint + "-" + parsedArn.accountId;
        if (!s3util.dnsCompatibleBucketName(accessPointPrefix) || accessPointPrefix.match(/\./)) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidARN",
            message: "Access point resource in ARN is not DNS compatible. Got " + accessPoint
          });
        }
        req._parsedArn.accessPoint = accessPoint;
      },
      /**
       * Validate Outposts ARN supplied in Bucket parameter is a valid outposts ARN
       */
      validateOutpostsArn: function validateOutpostsArn(req) {
        var parsedArn = req._parsedArn;
        if (parsedArn.resource.indexOf("outpost:") !== 0 && parsedArn.resource.indexOf("outpost/") !== 0) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidARN",
            message: "ARN resource should begin with 'outpost/'"
          });
        }
        var delimiter = parsedArn.resource["outpost".length];
        var outpostId = parsedArn.resource.split(delimiter)[1];
        var dnsHostRegex = new RegExp(/^([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9-]{0,61}[a-zA-Z0-9])$/);
        if (!dnsHostRegex.test(outpostId)) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidARN",
            message: "Outpost resource in ARN is not DNS compatible. Got " + outpostId
          });
        }
        req._parsedArn.outpostId = outpostId;
      },
      /**
       * Validate Outposts ARN supplied in Bucket parameter is a valid outposts ARN
       */
      validateOutpostsAccessPointArn: function validateOutpostsAccessPointArn(req) {
        var parsedArn = req._parsedArn;
        var delimiter = parsedArn.resource["outpost".length];
        if (parsedArn.resource.split(delimiter).length !== 4) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidARN",
            message: "Outposts ARN should have two resources outpost/{outpostId}/accesspoint/{accesspointName}"
          });
        }
        var accessPoint = parsedArn.resource.split(delimiter)[3];
        var accessPointPrefix = accessPoint + "-" + parsedArn.accountId;
        if (!s3util.dnsCompatibleBucketName(accessPointPrefix) || accessPointPrefix.match(/\./)) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidARN",
            message: "Access point resource in ARN is not DNS compatible. Got " + accessPoint
          });
        }
        req._parsedArn.accessPoint = accessPoint;
      },
      /**
       * Validate region field in ARN supplied in Bucket parameter is a valid region
       */
      validateArnRegion: function validateArnRegion(req, options) {
        if (options === void 0) {
          options = {};
        }
        var useArnRegion = s3util.loadUseArnRegionConfig(req);
        var regionFromArn = req._parsedArn.region;
        var clientRegion = req.service.config.region;
        var useFipsEndpoint = req.service.config.useFipsEndpoint;
        var allowFipsEndpoint = options.allowFipsEndpoint || false;
        if (!regionFromArn) {
          var message = "ARN region is empty";
          if (req._parsedArn.service === "s3") {
            message = message + "\nYou may want to use multi-regional ARN. The feature is not supported in current SDK. You should consider switching to V3(https://github.com/aws/aws-sdk-js-v3).";
          }
          throw AWS2.util.error(new Error(), {
            code: "InvalidARN",
            message
          });
        }
        if (useFipsEndpoint && !allowFipsEndpoint) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidConfiguration",
            message: "ARN endpoint is not compatible with FIPS region"
          });
        }
        if (regionFromArn.indexOf("fips") >= 0) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidConfiguration",
            message: "FIPS region not allowed in ARN"
          });
        }
        if (!useArnRegion && regionFromArn !== clientRegion) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidConfiguration",
            message: "Configured region conflicts with access point region"
          });
        } else if (useArnRegion && regionUtil.getEndpointSuffix(regionFromArn) !== regionUtil.getEndpointSuffix(clientRegion)) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidConfiguration",
            message: "Configured region and access point region not in same partition"
          });
        }
        if (req.service.config.useAccelerateEndpoint) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidConfiguration",
            message: "useAccelerateEndpoint config is not supported with access point ARN"
          });
        }
        if (req._parsedArn.service === "s3-outposts" && req.service.config.useDualstackEndpoint) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidConfiguration",
            message: "Dualstack is not supported with outposts access point ARN"
          });
        }
      },
      loadUseArnRegionConfig: function loadUseArnRegionConfig(req) {
        var envName = "AWS_S3_USE_ARN_REGION";
        var configName = "s3_use_arn_region";
        var useArnRegion = true;
        var originalConfig = req.service._originalConfig || {};
        if (req.service.config.s3UseArnRegion !== void 0) {
          return req.service.config.s3UseArnRegion;
        } else if (originalConfig.s3UseArnRegion !== void 0) {
          useArnRegion = originalConfig.s3UseArnRegion === true;
        } else if (AWS2.util.isNode()) {
          if (process.env[envName]) {
            var value = process.env[envName].trim().toLowerCase();
            if (["false", "true"].indexOf(value) < 0) {
              throw AWS2.util.error(new Error(), {
                code: "InvalidConfiguration",
                message: envName + " only accepts true or false. Got " + process.env[envName],
                retryable: false
              });
            }
            useArnRegion = value === "true";
          } else {
            var profiles = {};
            var profile = {};
            try {
              profiles = AWS2.util.getProfilesFromSharedConfig(AWS2.util.iniLoader);
              profile = profiles[process.env.AWS_PROFILE || AWS2.util.defaultProfile];
            } catch (e) {
            }
            if (profile[configName]) {
              if (["false", "true"].indexOf(profile[configName].trim().toLowerCase()) < 0) {
                throw AWS2.util.error(new Error(), {
                  code: "InvalidConfiguration",
                  message: configName + " only accepts true or false. Got " + profile[configName],
                  retryable: false
                });
              }
              useArnRegion = profile[configName].trim().toLowerCase() === "true";
            }
          }
        }
        req.service.config.s3UseArnRegion = useArnRegion;
        return useArnRegion;
      },
      /**
       * Validations before URI can be populated
       */
      validatePopulateUriFromArn: function validatePopulateUriFromArn(req) {
        if (req.service._originalConfig && req.service._originalConfig.endpoint) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidConfiguration",
            message: "Custom endpoint is not compatible with access point ARN"
          });
        }
        if (req.service.config.s3ForcePathStyle) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidConfiguration",
            message: "Cannot construct path-style endpoint with access point"
          });
        }
      },
      /**
       * Returns true if the bucket name is DNS compatible.  Buckets created
       * outside of the classic region MUST be DNS compatible.
       *
       * @api private
       */
      dnsCompatibleBucketName: function dnsCompatibleBucketName(bucketName) {
        var b = bucketName;
        var domain = new RegExp(/^[a-z0-9][a-z0-9\.\-]{1,61}[a-z0-9]$/);
        var ipAddress = new RegExp(/(\d+\.){3}\d+/);
        var dots = new RegExp(/\.\./);
        return b.match(domain) && !b.match(ipAddress) && !b.match(dots) ? true : false;
      }
    };
    module2.exports = s3util;
  }
});

// node_modules/aws-sdk/lib/s3/managed_upload.js
var require_managed_upload = __commonJS({
  "node_modules/aws-sdk/lib/s3/managed_upload.js"(exports, module2) {
    var AWS2 = require_core();
    var byteLength = AWS2.util.string.byteLength;
    var Buffer2 = AWS2.util.Buffer;
    AWS2.S3.ManagedUpload = AWS2.util.inherit({
      /**
       * Creates a managed upload object with a set of configuration options.
       *
       * @note A "Body" parameter is required to be set prior to calling {send}.
       * @note In Node.js, sending "Body" as {https://nodejs.org/dist/latest/docs/api/stream.html#stream_object_mode object-mode stream}
       *   may result in upload hangs. Using buffer stream is preferable.
       * @option options params [map] a map of parameters to pass to the upload
       *   requests. The "Body" parameter is required to be specified either on
       *   the service or in the params option.
       * @note ContentMD5 should not be provided when using the managed upload object.
       *   Instead, setting "computeChecksums" to true will enable automatic ContentMD5 generation
       *   by the managed upload object.
       * @option options queueSize [Number] (4) the size of the concurrent queue
       *   manager to upload parts in parallel. Set to 1 for synchronous uploading
       *   of parts. Note that the uploader will buffer at most queueSize * partSize
       *   bytes into memory at any given time.
       * @option options partSize [Number] (5mb) the size in bytes for each
       *   individual part to be uploaded. Adjust the part size to ensure the number
       *   of parts does not exceed {maxTotalParts}. See {minPartSize} for the
       *   minimum allowed part size.
       * @option options leavePartsOnError [Boolean] (false) whether to abort the
       *   multipart upload if an error occurs. Set to true if you want to handle
       *   failures manually.
       * @option options service [AWS.S3] an optional S3 service object to use for
       *   requests. This object might have bound parameters used by the uploader.
       * @option options tags [Array<map>] The tags to apply to the uploaded object.
       *   Each tag should have a `Key` and `Value` keys.
       * @example Creating a default uploader for a stream object
       *   var upload = new AWS.S3.ManagedUpload({
       *     params: {Bucket: 'bucket', Key: 'key', Body: stream}
       *   });
       * @example Creating an uploader with concurrency of 1 and partSize of 10mb
       *   var upload = new AWS.S3.ManagedUpload({
       *     partSize: 10 * 1024 * 1024, queueSize: 1,
       *     params: {Bucket: 'bucket', Key: 'key', Body: stream}
       *   });
       * @example Creating an uploader with tags
       *   var upload = new AWS.S3.ManagedUpload({
       *     params: {Bucket: 'bucket', Key: 'key', Body: stream},
       *     tags: [{Key: 'tag1', Value: 'value1'}, {Key: 'tag2', Value: 'value2'}]
       *   });
       * @see send
       */
      constructor: function ManagedUpload(options) {
        var self = this;
        AWS2.SequentialExecutor.call(self);
        self.body = null;
        self.sliceFn = null;
        self.callback = null;
        self.parts = {};
        self.completeInfo = [];
        self.fillQueue = function() {
          self.callback(new Error("Unsupported body payload " + typeof self.body));
        };
        self.configure(options);
      },
      /**
       * @api private
       */
      configure: function configure(options) {
        options = options || {};
        this.partSize = this.minPartSize;
        if (options.queueSize)
          this.queueSize = options.queueSize;
        if (options.partSize)
          this.partSize = options.partSize;
        if (options.leavePartsOnError)
          this.leavePartsOnError = true;
        if (options.tags) {
          if (!Array.isArray(options.tags)) {
            throw new Error("Tags must be specified as an array; " + typeof options.tags + " provided.");
          }
          this.tags = options.tags;
        }
        if (this.partSize < this.minPartSize) {
          throw new Error("partSize must be greater than " + this.minPartSize);
        }
        this.service = options.service;
        this.bindServiceObject(options.params);
        this.validateBody();
        this.adjustTotalBytes();
      },
      /**
       * @api private
       */
      leavePartsOnError: false,
      /**
       * @api private
       */
      queueSize: 4,
      /**
       * @api private
       */
      partSize: null,
      /**
       * @readonly
       * @return [Number] the minimum number of bytes for an individual part
       *   upload.
       */
      minPartSize: 1024 * 1024 * 5,
      /**
       * @readonly
       * @return [Number] the maximum allowed number of parts in a multipart upload.
       */
      maxTotalParts: 1e4,
      /**
       * Initiates the managed upload for the payload.
       *
       * @callback callback function(err, data)
       *   @param err [Error] an error or null if no error occurred.
       *   @param data [map] The response data from the successful upload:
       *     * `Location` (String) the URL of the uploaded object
       *     * `ETag` (String) the ETag of the uploaded object
       *     * `Bucket` (String) the bucket to which the object was uploaded
       *     * `Key` (String) the key to which the object was uploaded
       * @example Sending a managed upload object
       *   var params = {Bucket: 'bucket', Key: 'key', Body: stream};
       *   var upload = new AWS.S3.ManagedUpload({params: params});
       *   upload.send(function(err, data) {
       *     console.log(err, data);
       *   });
       */
      send: function(callback) {
        var self = this;
        self.failed = false;
        self.callback = callback || function(err) {
          if (err)
            throw err;
        };
        var runFill = true;
        if (self.sliceFn) {
          self.fillQueue = self.fillBuffer;
        } else if (AWS2.util.isNode()) {
          var Stream = AWS2.util.stream.Stream;
          if (self.body instanceof Stream) {
            runFill = false;
            self.fillQueue = self.fillStream;
            self.partBuffers = [];
            self.body.on("error", function(err) {
              self.cleanup(err);
            }).on("readable", function() {
              self.fillQueue();
            }).on("end", function() {
              self.isDoneChunking = true;
              self.numParts = self.totalPartNumbers;
              self.fillQueue.call(self);
              if (self.isDoneChunking && self.totalPartNumbers >= 1 && self.doneParts === self.numParts) {
                self.finishMultiPart();
              }
            });
          }
        }
        if (runFill)
          self.fillQueue.call(self);
      },
      /**
       * @!method  promise()
       *   Returns a 'thenable' promise.
       *
       *   Two callbacks can be provided to the `then` method on the returned promise.
       *   The first callback will be called if the promise is fulfilled, and the second
       *   callback will be called if the promise is rejected.
       *   @callback fulfilledCallback function(data)
       *     Called if the promise is fulfilled.
       *     @param data [map] The response data from the successful upload:
       *       `Location` (String) the URL of the uploaded object
       *       `ETag` (String) the ETag of the uploaded object
       *       `Bucket` (String) the bucket to which the object was uploaded
       *       `Key` (String) the key to which the object was uploaded
       *   @callback rejectedCallback function(err)
       *     Called if the promise is rejected.
       *     @param err [Error] an error or null if no error occurred.
       *   @return [Promise] A promise that represents the state of the upload request.
       *   @example Sending an upload request using promises.
       *     var upload = s3.upload({Bucket: 'bucket', Key: 'key', Body: stream});
       *     var promise = upload.promise();
       *     promise.then(function(data) { ... }, function(err) { ... });
       */
      /**
       * Aborts a managed upload, including all concurrent upload requests.
       * @note By default, calling this function will cleanup a multipart upload
       *   if one was created. To leave the multipart upload around after aborting
       *   a request, configure `leavePartsOnError` to `true` in the {constructor}.
       * @note Calling {abort} in the browser environment will not abort any requests
       *   that are already in flight. If a multipart upload was created, any parts
       *   not yet uploaded will not be sent, and the multipart upload will be cleaned up.
       * @example Aborting an upload
       *   var params = {
       *     Bucket: 'bucket', Key: 'key',
       *     Body: Buffer.alloc(1024 * 1024 * 25) // 25MB payload
       *   };
       *   var upload = s3.upload(params);
       *   upload.send(function (err, data) {
       *     if (err) console.log("Error:", err.code, err.message);
       *     else console.log(data);
       *   });
       *
       *   // abort request in 1 second
       *   setTimeout(upload.abort.bind(upload), 1000);
       */
      abort: function() {
        var self = this;
        if (self.isDoneChunking === true && self.totalPartNumbers === 1 && self.singlePart) {
          self.singlePart.abort();
        } else {
          self.cleanup(AWS2.util.error(new Error("Request aborted by user"), {
            code: "RequestAbortedError",
            retryable: false
          }));
        }
      },
      /**
       * @api private
       */
      validateBody: function validateBody() {
        var self = this;
        self.body = self.service.config.params.Body;
        if (typeof self.body === "string") {
          self.body = AWS2.util.buffer.toBuffer(self.body);
        } else if (!self.body) {
          throw new Error("params.Body is required");
        }
        self.sliceFn = AWS2.util.arraySliceFn(self.body);
      },
      /**
       * @api private
       */
      bindServiceObject: function bindServiceObject(params) {
        params = params || {};
        var self = this;
        if (!self.service) {
          self.service = new AWS2.S3({ params });
        } else {
          var service = self.service;
          var config = AWS2.util.copy(service.config);
          config.signatureVersion = service.getSignatureVersion();
          self.service = new service.constructor.__super__(config);
          self.service.config.params = AWS2.util.merge(self.service.config.params || {}, params);
          Object.defineProperty(self.service, "_originalConfig", {
            get: function() {
              return service._originalConfig;
            },
            enumerable: false,
            configurable: true
          });
        }
      },
      /**
       * @api private
       */
      adjustTotalBytes: function adjustTotalBytes() {
        var self = this;
        try {
          self.totalBytes = byteLength(self.body);
        } catch (e) {
        }
        if (self.totalBytes) {
          var newPartSize = Math.ceil(self.totalBytes / self.maxTotalParts);
          if (newPartSize > self.partSize)
            self.partSize = newPartSize;
        } else {
          self.totalBytes = void 0;
        }
      },
      /**
       * @api private
       */
      isDoneChunking: false,
      /**
       * @api private
       */
      partPos: 0,
      /**
       * @api private
       */
      totalChunkedBytes: 0,
      /**
       * @api private
       */
      totalUploadedBytes: 0,
      /**
       * @api private
       */
      totalBytes: void 0,
      /**
       * @api private
       */
      numParts: 0,
      /**
       * @api private
       */
      totalPartNumbers: 0,
      /**
       * @api private
       */
      activeParts: 0,
      /**
       * @api private
       */
      doneParts: 0,
      /**
       * @api private
       */
      parts: null,
      /**
       * @api private
       */
      completeInfo: null,
      /**
       * @api private
       */
      failed: false,
      /**
       * @api private
       */
      multipartReq: null,
      /**
       * @api private
       */
      partBuffers: null,
      /**
       * @api private
       */
      partBufferLength: 0,
      /**
       * @api private
       */
      fillBuffer: function fillBuffer() {
        var self = this;
        var bodyLen = byteLength(self.body);
        if (bodyLen === 0) {
          self.isDoneChunking = true;
          self.numParts = 1;
          self.nextChunk(self.body);
          return;
        }
        while (self.activeParts < self.queueSize && self.partPos < bodyLen) {
          var endPos = Math.min(self.partPos + self.partSize, bodyLen);
          var buf = self.sliceFn.call(self.body, self.partPos, endPos);
          self.partPos += self.partSize;
          if (byteLength(buf) < self.partSize || self.partPos === bodyLen) {
            self.isDoneChunking = true;
            self.numParts = self.totalPartNumbers + 1;
          }
          self.nextChunk(buf);
        }
      },
      /**
       * @api private
       */
      fillStream: function fillStream() {
        var self = this;
        if (self.activeParts >= self.queueSize)
          return;
        var buf = self.body.read(self.partSize - self.partBufferLength) || self.body.read();
        if (buf) {
          self.partBuffers.push(buf);
          self.partBufferLength += buf.length;
          self.totalChunkedBytes += buf.length;
        }
        if (self.partBufferLength >= self.partSize) {
          var pbuf = self.partBuffers.length === 1 ? self.partBuffers[0] : Buffer2.concat(self.partBuffers);
          self.partBuffers = [];
          self.partBufferLength = 0;
          if (pbuf.length > self.partSize) {
            var rest = pbuf.slice(self.partSize);
            self.partBuffers.push(rest);
            self.partBufferLength += rest.length;
            pbuf = pbuf.slice(0, self.partSize);
          }
          self.nextChunk(pbuf);
        }
        if (self.isDoneChunking && !self.isDoneSending) {
          pbuf = self.partBuffers.length === 1 ? self.partBuffers[0] : Buffer2.concat(self.partBuffers);
          self.partBuffers = [];
          self.partBufferLength = 0;
          self.totalBytes = self.totalChunkedBytes;
          self.isDoneSending = true;
          if (self.numParts === 0 || pbuf.length > 0) {
            self.numParts++;
            self.nextChunk(pbuf);
          }
        }
        self.body.read(0);
      },
      /**
       * @api private
       */
      nextChunk: function nextChunk(chunk) {
        var self = this;
        if (self.failed)
          return null;
        var partNumber = ++self.totalPartNumbers;
        if (self.isDoneChunking && partNumber === 1) {
          var params = { Body: chunk };
          if (this.tags) {
            params.Tagging = this.getTaggingHeader();
          }
          var req = self.service.putObject(params);
          req._managedUpload = self;
          req.on("httpUploadProgress", self.progress).send(self.finishSinglePart);
          self.singlePart = req;
          return null;
        } else if (self.service.config.params.ContentMD5) {
          var err = AWS2.util.error(new Error("The Content-MD5 you specified is invalid for multi-part uploads."), {
            code: "InvalidDigest",
            retryable: false
          });
          self.cleanup(err);
          return null;
        }
        if (self.completeInfo[partNumber] && self.completeInfo[partNumber].ETag !== null) {
          return null;
        }
        self.activeParts++;
        if (!self.service.config.params.UploadId) {
          if (!self.multipartReq) {
            self.multipartReq = self.service.createMultipartUpload();
            self.multipartReq.on("success", function(resp) {
              self.service.config.params.UploadId = resp.data.UploadId;
              self.multipartReq = null;
            });
            self.queueChunks(chunk, partNumber);
            self.multipartReq.on("error", function(err2) {
              self.cleanup(err2);
            });
            self.multipartReq.send();
          } else {
            self.queueChunks(chunk, partNumber);
          }
        } else {
          self.uploadPart(chunk, partNumber);
        }
      },
      /**
       * @api private
       */
      getTaggingHeader: function getTaggingHeader() {
        var kvPairStrings = [];
        for (var i = 0; i < this.tags.length; i++) {
          kvPairStrings.push(AWS2.util.uriEscape(this.tags[i].Key) + "=" + AWS2.util.uriEscape(this.tags[i].Value));
        }
        return kvPairStrings.join("&");
      },
      /**
       * @api private
       */
      uploadPart: function uploadPart(chunk, partNumber) {
        var self = this;
        var partParams = {
          Body: chunk,
          ContentLength: AWS2.util.string.byteLength(chunk),
          PartNumber: partNumber
        };
        var partInfo = { ETag: null, PartNumber: partNumber };
        self.completeInfo[partNumber] = partInfo;
        var req = self.service.uploadPart(partParams);
        self.parts[partNumber] = req;
        req._lastUploadedBytes = 0;
        req._managedUpload = self;
        req.on("httpUploadProgress", self.progress);
        req.send(function(err, data) {
          delete self.parts[partParams.PartNumber];
          self.activeParts--;
          if (!err && (!data || !data.ETag)) {
            var message = "No access to ETag property on response.";
            if (AWS2.util.isBrowser()) {
              message += " Check CORS configuration to expose ETag header.";
            }
            err = AWS2.util.error(new Error(message), {
              code: "ETagMissing",
              retryable: false
            });
          }
          if (err)
            return self.cleanup(err);
          if (self.completeInfo[partNumber] && self.completeInfo[partNumber].ETag !== null)
            return null;
          partInfo.ETag = data.ETag;
          self.doneParts++;
          if (self.isDoneChunking && self.doneParts === self.totalPartNumbers) {
            self.finishMultiPart();
          } else {
            self.fillQueue.call(self);
          }
        });
      },
      /**
       * @api private
       */
      queueChunks: function queueChunks(chunk, partNumber) {
        var self = this;
        self.multipartReq.on("success", function() {
          self.uploadPart(chunk, partNumber);
        });
      },
      /**
       * @api private
       */
      cleanup: function cleanup(err) {
        var self = this;
        if (self.failed)
          return;
        if (typeof self.body.removeAllListeners === "function" && typeof self.body.resume === "function") {
          self.body.removeAllListeners("readable");
          self.body.removeAllListeners("end");
          self.body.resume();
        }
        if (self.multipartReq) {
          self.multipartReq.removeAllListeners("success");
          self.multipartReq.removeAllListeners("error");
          self.multipartReq.removeAllListeners("complete");
          delete self.multipartReq;
        }
        if (self.service.config.params.UploadId && !self.leavePartsOnError) {
          self.service.abortMultipartUpload().send();
        } else if (self.leavePartsOnError) {
          self.isDoneChunking = false;
        }
        AWS2.util.each(self.parts, function(partNumber, part) {
          part.removeAllListeners("complete");
          part.abort();
        });
        self.activeParts = 0;
        self.partPos = 0;
        self.numParts = 0;
        self.totalPartNumbers = 0;
        self.parts = {};
        self.failed = true;
        self.callback(err);
      },
      /**
       * @api private
       */
      finishMultiPart: function finishMultiPart() {
        var self = this;
        var completeParams = { MultipartUpload: { Parts: self.completeInfo.slice(1) } };
        self.service.completeMultipartUpload(completeParams, function(err, data) {
          if (err) {
            return self.cleanup(err);
          }
          if (data && typeof data.Location === "string") {
            data.Location = data.Location.replace(/%2F/g, "/");
          }
          if (Array.isArray(self.tags)) {
            for (var i = 0; i < self.tags.length; i++) {
              self.tags[i].Value = String(self.tags[i].Value);
            }
            self.service.putObjectTagging(
              { Tagging: { TagSet: self.tags } },
              function(e, d) {
                if (e) {
                  self.callback(e);
                } else {
                  self.callback(e, data);
                }
              }
            );
          } else {
            self.callback(err, data);
          }
        });
      },
      /**
       * @api private
       */
      finishSinglePart: function finishSinglePart(err, data) {
        var upload = this.request._managedUpload;
        var httpReq = this.request.httpRequest;
        var endpoint = httpReq.endpoint;
        if (err)
          return upload.callback(err);
        data.Location = [endpoint.protocol, "//", endpoint.host, httpReq.path].join("");
        data.key = this.request.params.Key;
        data.Key = this.request.params.Key;
        data.Bucket = this.request.params.Bucket;
        upload.callback(err, data);
      },
      /**
       * @api private
       */
      progress: function progress(info) {
        var upload = this._managedUpload;
        if (this.operation === "putObject") {
          info.part = 1;
          info.key = this.params.Key;
        } else {
          upload.totalUploadedBytes += info.loaded - this._lastUploadedBytes;
          this._lastUploadedBytes = info.loaded;
          info = {
            loaded: upload.totalUploadedBytes,
            total: upload.totalBytes,
            part: this.params.PartNumber,
            key: this.params.Key
          };
        }
        upload.emit("httpUploadProgress", [info]);
      }
    });
    AWS2.util.mixin(AWS2.S3.ManagedUpload, AWS2.SequentialExecutor);
    AWS2.S3.ManagedUpload.addPromisesToClass = function addPromisesToClass(PromiseDependency) {
      this.prototype.promise = AWS2.util.promisifyMethod("send", PromiseDependency);
    };
    AWS2.S3.ManagedUpload.deletePromisesFromClass = function deletePromisesFromClass() {
      delete this.prototype.promise;
    };
    AWS2.util.addPromises(AWS2.S3.ManagedUpload);
    module2.exports = AWS2.S3.ManagedUpload;
  }
});

// node_modules/aws-sdk/lib/services/s3.js
var require_s32 = __commonJS({
  "node_modules/aws-sdk/lib/services/s3.js"() {
    var AWS2 = require_core();
    var v4Credentials = require_v4_credentials();
    var resolveRegionalEndpointsFlag = require_config_regional_endpoint();
    var s3util = require_s3util();
    var regionUtil = require_region_config();
    require_managed_upload();
    var operationsWith200StatusCodeError = {
      "completeMultipartUpload": true,
      "copyObject": true,
      "uploadPartCopy": true
    };
    var regionRedirectErrorCodes = [
      "AuthorizationHeaderMalformed",
      // non-head operations on virtual-hosted global bucket endpoints
      "BadRequest",
      // head operations on virtual-hosted global bucket endpoints
      "PermanentRedirect",
      // non-head operations on path-style or regional endpoints
      301
      // head operations on path-style or regional endpoints
    ];
    var OBJECT_LAMBDA_SERVICE = "s3-object-lambda";
    AWS2.util.update(AWS2.S3.prototype, {
      /**
       * @api private
       */
      getSignatureVersion: function getSignatureVersion(request) {
        var defaultApiVersion = this.api.signatureVersion;
        var userDefinedVersion = this._originalConfig ? this._originalConfig.signatureVersion : null;
        var regionDefinedVersion = this.config.signatureVersion;
        var isPresigned = request ? request.isPresigned() : false;
        if (userDefinedVersion) {
          userDefinedVersion = userDefinedVersion === "v2" ? "s3" : userDefinedVersion;
          return userDefinedVersion;
        }
        if (isPresigned !== true) {
          defaultApiVersion = "v4";
        } else if (regionDefinedVersion) {
          defaultApiVersion = regionDefinedVersion;
        }
        return defaultApiVersion;
      },
      /**
       * @api private
       */
      getSigningName: function getSigningName(req) {
        if (req && req.operation === "writeGetObjectResponse") {
          return OBJECT_LAMBDA_SERVICE;
        }
        var _super = AWS2.Service.prototype.getSigningName;
        return req && req._parsedArn && req._parsedArn.service ? req._parsedArn.service : _super.call(this);
      },
      /**
       * @api private
       */
      getSignerClass: function getSignerClass(request) {
        var signatureVersion = this.getSignatureVersion(request);
        return AWS2.Signers.RequestSigner.getVersion(signatureVersion);
      },
      /**
       * @api private
       */
      validateService: function validateService() {
        var msg;
        var messages = [];
        if (!this.config.region)
          this.config.region = "us-east-1";
        if (!this.config.endpoint && this.config.s3BucketEndpoint) {
          messages.push("An endpoint must be provided when configuring `s3BucketEndpoint` to true.");
        }
        if (messages.length === 1) {
          msg = messages[0];
        } else if (messages.length > 1) {
          msg = "Multiple configuration errors:\n" + messages.join("\n");
        }
        if (msg) {
          throw AWS2.util.error(
            new Error(),
            { name: "InvalidEndpoint", message: msg }
          );
        }
      },
      /**
       * @api private
       */
      shouldDisableBodySigning: function shouldDisableBodySigning(request) {
        var signerClass = this.getSignerClass();
        if (this.config.s3DisableBodySigning === true && signerClass === AWS2.Signers.V4 && request.httpRequest.endpoint.protocol === "https:") {
          return true;
        }
        return false;
      },
      /**
       * @api private
       */
      setupRequestListeners: function setupRequestListeners(request) {
        var prependListener = true;
        request.addListener("validate", this.validateScheme);
        request.addListener("validate", this.validateBucketName, prependListener);
        request.addListener("validate", this.optInUsEast1RegionalEndpoint, prependListener);
        request.removeListener(
          "validate",
          AWS2.EventListeners.Core.VALIDATE_REGION
        );
        request.addListener("build", this.addContentType);
        request.addListener("build", this.computeContentMd5);
        request.addListener("build", this.computeSseCustomerKeyMd5);
        request.addListener("build", this.populateURI);
        request.addListener("afterBuild", this.addExpect100Continue);
        request.addListener("extractError", this.extractError);
        request.addListener("extractData", AWS2.util.hoistPayloadMember);
        request.addListener("extractData", this.extractData);
        request.addListener("extractData", this.extractErrorFrom200Response);
        request.addListener("beforePresign", this.prepareSignedUrl);
        if (this.shouldDisableBodySigning(request)) {
          request.removeListener("afterBuild", AWS2.EventListeners.Core.COMPUTE_SHA256);
          request.addListener("afterBuild", this.disableBodySigning);
        }
        if (request.operation !== "createBucket" && s3util.isArnInParam(request, "Bucket")) {
          request._parsedArn = AWS2.util.ARN.parse(request.params.Bucket);
          request.removeListener("validate", this.validateBucketName);
          request.removeListener("build", this.populateURI);
          if (request._parsedArn.service === "s3") {
            request.addListener("validate", s3util.validateS3AccessPointArn);
            request.addListener("validate", this.validateArnResourceType);
            request.addListener("validate", this.validateArnRegion);
          } else if (request._parsedArn.service === "s3-outposts") {
            request.addListener("validate", s3util.validateOutpostsAccessPointArn);
            request.addListener("validate", s3util.validateOutpostsArn);
            request.addListener("validate", s3util.validateArnRegion);
          }
          request.addListener("validate", s3util.validateArnAccount);
          request.addListener("validate", s3util.validateArnService);
          request.addListener("build", this.populateUriFromAccessPointArn);
          request.addListener("build", s3util.validatePopulateUriFromArn);
          return;
        }
        request.addListener("validate", this.validateBucketEndpoint);
        request.addListener("validate", this.correctBucketRegionFromCache);
        request.onAsync("extractError", this.requestBucketRegion);
        if (AWS2.util.isBrowser()) {
          request.onAsync("retry", this.reqRegionForNetworkingError);
        }
      },
      /**
       * @api private
       */
      validateScheme: function(req) {
        var params = req.params, scheme = req.httpRequest.endpoint.protocol, sensitive = params.SSECustomerKey || params.CopySourceSSECustomerKey;
        if (sensitive && scheme !== "https:") {
          var msg = "Cannot send SSE keys over HTTP. Set 'sslEnabled'to 'true' in your configuration";
          throw AWS2.util.error(
            new Error(),
            { code: "ConfigError", message: msg }
          );
        }
      },
      /**
       * @api private
       */
      validateBucketEndpoint: function(req) {
        if (!req.params.Bucket && req.service.config.s3BucketEndpoint) {
          var msg = "Cannot send requests to root API with `s3BucketEndpoint` set.";
          throw AWS2.util.error(
            new Error(),
            { code: "ConfigError", message: msg }
          );
        }
      },
      /**
       * @api private
       */
      validateArnRegion: function validateArnRegion(req) {
        s3util.validateArnRegion(req, { allowFipsEndpoint: true });
      },
      /**
       * Validate resource-type supplied in S3 ARN
       */
      validateArnResourceType: function validateArnResourceType(req) {
        var resource = req._parsedArn.resource;
        if (resource.indexOf("accesspoint:") !== 0 && resource.indexOf("accesspoint/") !== 0) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidARN",
            message: "ARN resource should begin with 'accesspoint/'"
          });
        }
      },
      /**
       * @api private
       */
      validateBucketName: function validateBucketName(req) {
        var service = req.service;
        var signatureVersion = service.getSignatureVersion(req);
        var bucket = req.params && req.params.Bucket;
        var key = req.params && req.params.Key;
        var slashIndex = bucket && bucket.indexOf("/");
        if (bucket && slashIndex >= 0) {
          if (typeof key === "string" && slashIndex > 0) {
            req.params = AWS2.util.copy(req.params);
            var prefix = bucket.substr(slashIndex + 1) || "";
            req.params.Key = prefix + "/" + key;
            req.params.Bucket = bucket.substr(0, slashIndex);
          } else if (signatureVersion === "v4") {
            var msg = "Bucket names cannot contain forward slashes. Bucket: " + bucket;
            throw AWS2.util.error(
              new Error(),
              { code: "InvalidBucket", message: msg }
            );
          }
        }
      },
      /**
       * @api private
       */
      isValidAccelerateOperation: function isValidAccelerateOperation(operation) {
        var invalidOperations = [
          "createBucket",
          "deleteBucket",
          "listBuckets"
        ];
        return invalidOperations.indexOf(operation) === -1;
      },
      /**
       * When us-east-1 region endpoint configuration is set, in stead of sending request to
       * global endpoint(e.g. 's3.amazonaws.com'), we will send request to
       * 's3.us-east-1.amazonaws.com'.
       * @api private
       */
      optInUsEast1RegionalEndpoint: function optInUsEast1RegionalEndpoint(req) {
        var service = req.service;
        var config = service.config;
        config.s3UsEast1RegionalEndpoint = resolveRegionalEndpointsFlag(service._originalConfig, {
          env: "AWS_S3_US_EAST_1_REGIONAL_ENDPOINT",
          sharedConfig: "s3_us_east_1_regional_endpoint",
          clientConfig: "s3UsEast1RegionalEndpoint"
        });
        if (!(service._originalConfig || {}).endpoint && req.httpRequest.region === "us-east-1" && config.s3UsEast1RegionalEndpoint === "regional" && req.httpRequest.endpoint.hostname.indexOf("s3.amazonaws.com") >= 0) {
          var insertPoint = config.endpoint.indexOf(".amazonaws.com");
          regionalEndpoint = config.endpoint.substring(0, insertPoint) + ".us-east-1" + config.endpoint.substring(insertPoint);
          req.httpRequest.updateEndpoint(regionalEndpoint);
        }
      },
      /**
       * S3 prefers dns-compatible bucket names to be moved from the uri path
       * to the hostname as a sub-domain.  This is not possible, even for dns-compat
       * buckets when using SSL and the bucket name contains a dot ('.').  The
       * ssl wildcard certificate is only 1-level deep.
       *
       * @api private
       */
      populateURI: function populateURI(req) {
        var httpRequest = req.httpRequest;
        var b = req.params.Bucket;
        var service = req.service;
        var endpoint = httpRequest.endpoint;
        if (b) {
          if (!service.pathStyleBucketName(b)) {
            if (service.config.useAccelerateEndpoint && service.isValidAccelerateOperation(req.operation)) {
              if (service.config.useDualstackEndpoint) {
                endpoint.hostname = b + ".s3-accelerate.dualstack.amazonaws.com";
              } else {
                endpoint.hostname = b + ".s3-accelerate.amazonaws.com";
              }
            } else if (!service.config.s3BucketEndpoint) {
              endpoint.hostname = b + "." + endpoint.hostname;
            }
            var port = endpoint.port;
            if (port !== 80 && port !== 443) {
              endpoint.host = endpoint.hostname + ":" + endpoint.port;
            } else {
              endpoint.host = endpoint.hostname;
            }
            httpRequest.virtualHostedBucket = b;
            service.removeVirtualHostedBucketFromPath(req);
          }
        }
      },
      /**
       * Takes the bucket name out of the path if bucket is virtual-hosted
       *
       * @api private
       */
      removeVirtualHostedBucketFromPath: function removeVirtualHostedBucketFromPath(req) {
        var httpRequest = req.httpRequest;
        var bucket = httpRequest.virtualHostedBucket;
        if (bucket && httpRequest.path) {
          if (req.params && req.params.Key) {
            var encodedS3Key = "/" + AWS2.util.uriEscapePath(req.params.Key);
            if (httpRequest.path.indexOf(encodedS3Key) === 0 && (httpRequest.path.length === encodedS3Key.length || httpRequest.path[encodedS3Key.length] === "?")) {
              return;
            }
          }
          httpRequest.path = httpRequest.path.replace(new RegExp("/" + bucket), "");
          if (httpRequest.path[0] !== "/") {
            httpRequest.path = "/" + httpRequest.path;
          }
        }
      },
      /**
       * When user supply an access point ARN in the Bucket parameter, we need to
       * populate the URI according to the ARN.
       */
      populateUriFromAccessPointArn: function populateUriFromAccessPointArn(req) {
        var accessPointArn = req._parsedArn;
        var isOutpostArn = accessPointArn.service === "s3-outposts";
        var isObjectLambdaArn = accessPointArn.service === "s3-object-lambda";
        var outpostsSuffix = isOutpostArn ? "." + accessPointArn.outpostId : "";
        var serviceName = isOutpostArn ? "s3-outposts" : "s3-accesspoint";
        var fipsSuffix = !isOutpostArn && req.service.config.useFipsEndpoint ? "-fips" : "";
        var dualStackSuffix = !isOutpostArn && req.service.config.useDualstackEndpoint ? ".dualstack" : "";
        var endpoint = req.httpRequest.endpoint;
        var dnsSuffix = regionUtil.getEndpointSuffix(accessPointArn.region);
        var useArnRegion = req.service.config.s3UseArnRegion;
        endpoint.hostname = [
          accessPointArn.accessPoint + "-" + accessPointArn.accountId + outpostsSuffix,
          serviceName + fipsSuffix + dualStackSuffix,
          useArnRegion ? accessPointArn.region : req.service.config.region,
          dnsSuffix
        ].join(".");
        if (isObjectLambdaArn) {
          var serviceName = "s3-object-lambda";
          var accesspointName = accessPointArn.resource.split("/")[1];
          var fipsSuffix = req.service.config.useFipsEndpoint ? "-fips" : "";
          endpoint.hostname = [
            accesspointName + "-" + accessPointArn.accountId,
            serviceName + fipsSuffix,
            useArnRegion ? accessPointArn.region : req.service.config.region,
            dnsSuffix
          ].join(".");
        }
        endpoint.host = endpoint.hostname;
        var encodedArn = AWS2.util.uriEscape(req.params.Bucket);
        var path = req.httpRequest.path;
        req.httpRequest.path = path.replace(new RegExp("/" + encodedArn), "");
        if (req.httpRequest.path[0] !== "/") {
          req.httpRequest.path = "/" + req.httpRequest.path;
        }
        req.httpRequest.region = accessPointArn.region;
      },
      /**
       * Adds Expect: 100-continue header if payload is greater-or-equal 1MB
       * @api private
       */
      addExpect100Continue: function addExpect100Continue(req) {
        var len = req.httpRequest.headers["Content-Length"];
        if (AWS2.util.isNode() && (len >= 1024 * 1024 || req.params.Body instanceof AWS2.util.stream.Stream)) {
          req.httpRequest.headers["Expect"] = "100-continue";
        }
      },
      /**
       * Adds a default content type if none is supplied.
       *
       * @api private
       */
      addContentType: function addContentType(req) {
        var httpRequest = req.httpRequest;
        if (httpRequest.method === "GET" || httpRequest.method === "HEAD") {
          delete httpRequest.headers["Content-Type"];
          return;
        }
        if (!httpRequest.headers["Content-Type"]) {
          httpRequest.headers["Content-Type"] = "application/octet-stream";
        }
        var contentType = httpRequest.headers["Content-Type"];
        if (AWS2.util.isBrowser()) {
          if (typeof httpRequest.body === "string" && !contentType.match(/;\s*charset=/)) {
            var charset = "; charset=UTF-8";
            httpRequest.headers["Content-Type"] += charset;
          } else {
            var replaceFn = function(_, prefix, charsetName) {
              return prefix + charsetName.toUpperCase();
            };
            httpRequest.headers["Content-Type"] = contentType.replace(/(;\s*charset=)(.+)$/, replaceFn);
          }
        }
      },
      /**
       * Checks whether checksums should be computed for the request if it's not
       * already set by {AWS.EventListeners.Core.COMPUTE_CHECKSUM}. It depends on
       * whether {AWS.Config.computeChecksums} is set.
       *
       * @param req [AWS.Request] the request to check against
       * @return [Boolean] whether to compute checksums for a request.
       * @api private
       */
      willComputeChecksums: function willComputeChecksums(req) {
        var rules = req.service.api.operations[req.operation].input.members;
        var body = req.httpRequest.body;
        var needsContentMD5 = req.service.config.computeChecksums && rules.ContentMD5 && !req.params.ContentMD5 && body && (AWS2.util.Buffer.isBuffer(req.httpRequest.body) || typeof req.httpRequest.body === "string");
        if (needsContentMD5 && req.service.shouldDisableBodySigning(req) && !req.isPresigned()) {
          return true;
        }
        if (needsContentMD5 && this.getSignatureVersion(req) === "s3" && req.isPresigned()) {
          return true;
        }
        return false;
      },
      /**
       * A listener that computes the Content-MD5 and sets it in the header.
       * This listener is to support S3-specific features like
       * s3DisableBodySigning and SigV2 presign. Content MD5 logic for SigV4 is
       * handled in AWS.EventListeners.Core.COMPUTE_CHECKSUM
       *
       * @api private
       */
      computeContentMd5: function computeContentMd5(req) {
        if (req.service.willComputeChecksums(req)) {
          var md5 = AWS2.util.crypto.md5(req.httpRequest.body, "base64");
          req.httpRequest.headers["Content-MD5"] = md5;
        }
      },
      /**
       * @api private
       */
      computeSseCustomerKeyMd5: function computeSseCustomerKeyMd5(req) {
        var keys = {
          SSECustomerKey: "x-amz-server-side-encryption-customer-key-MD5",
          CopySourceSSECustomerKey: "x-amz-copy-source-server-side-encryption-customer-key-MD5"
        };
        AWS2.util.each(keys, function(key, header) {
          if (req.params[key]) {
            var value = AWS2.util.crypto.md5(req.params[key], "base64");
            req.httpRequest.headers[header] = value;
          }
        });
      },
      /**
       * Returns true if the bucket name should be left in the URI path for
       * a request to S3.  This function takes into account the current
       * endpoint protocol (e.g. http or https).
       *
       * @api private
       */
      pathStyleBucketName: function pathStyleBucketName(bucketName) {
        if (this.config.s3ForcePathStyle)
          return true;
        if (this.config.s3BucketEndpoint)
          return false;
        if (s3util.dnsCompatibleBucketName(bucketName)) {
          return this.config.sslEnabled && bucketName.match(/\./) ? true : false;
        } else {
          return true;
        }
      },
      /**
       * For COPY operations, some can be error even with status code 200.
       * SDK treats the response as exception when response body indicates
       * an exception or body is empty.
       *
       * @api private
       */
      extractErrorFrom200Response: function extractErrorFrom200Response(resp) {
        if (!operationsWith200StatusCodeError[resp.request.operation])
          return;
        var httpResponse = resp.httpResponse;
        if (httpResponse.body && httpResponse.body.toString().match("<Error>")) {
          resp.data = null;
          var service = this.service ? this.service : this;
          service.extractError(resp);
          throw resp.error;
        } else if (!httpResponse.body || !httpResponse.body.toString().match(/<[\w_]/)) {
          resp.data = null;
          throw AWS2.util.error(new Error(), {
            code: "InternalError",
            message: "S3 aborted request"
          });
        }
      },
      /**
       * @return [Boolean] whether the error can be retried
       * @api private
       */
      retryableError: function retryableError(error, request) {
        if (operationsWith200StatusCodeError[request.operation] && error.statusCode === 200) {
          return true;
        } else if (request._requestRegionForBucket && request.service.bucketRegionCache[request._requestRegionForBucket]) {
          return false;
        } else if (error && error.code === "RequestTimeout") {
          return true;
        } else if (error && regionRedirectErrorCodes.indexOf(error.code) != -1 && error.region && error.region != request.httpRequest.region) {
          request.httpRequest.region = error.region;
          if (error.statusCode === 301) {
            request.service.updateReqBucketRegion(request);
          }
          return true;
        } else {
          var _super = AWS2.Service.prototype.retryableError;
          return _super.call(this, error, request);
        }
      },
      /**
       * Updates httpRequest with region. If region is not provided, then
       * the httpRequest will be updated based on httpRequest.region
       *
       * @api private
       */
      updateReqBucketRegion: function updateReqBucketRegion(request, region) {
        var httpRequest = request.httpRequest;
        if (typeof region === "string" && region.length) {
          httpRequest.region = region;
        }
        if (!httpRequest.endpoint.host.match(/s3(?!-accelerate).*\.amazonaws\.com$/)) {
          return;
        }
        var service = request.service;
        var s3Config = service.config;
        var s3BucketEndpoint = s3Config.s3BucketEndpoint;
        if (s3BucketEndpoint) {
          delete s3Config.s3BucketEndpoint;
        }
        var newConfig = AWS2.util.copy(s3Config);
        delete newConfig.endpoint;
        newConfig.region = httpRequest.region;
        httpRequest.endpoint = new AWS2.S3(newConfig).endpoint;
        service.populateURI(request);
        s3Config.s3BucketEndpoint = s3BucketEndpoint;
        httpRequest.headers.Host = httpRequest.endpoint.host;
        if (request._asm.currentState === "validate") {
          request.removeListener("build", service.populateURI);
          request.addListener("build", service.removeVirtualHostedBucketFromPath);
        }
      },
      /**
       * Provides a specialized parser for getBucketLocation -- all other
       * operations are parsed by the super class.
       *
       * @api private
       */
      extractData: function extractData(resp) {
        var req = resp.request;
        if (req.operation === "getBucketLocation") {
          var match = resp.httpResponse.body.toString().match(/>(.+)<\/Location/);
          delete resp.data["_"];
          if (match) {
            resp.data.LocationConstraint = match[1];
          } else {
            resp.data.LocationConstraint = "";
          }
        }
        var bucket = req.params.Bucket || null;
        if (req.operation === "deleteBucket" && typeof bucket === "string" && !resp.error) {
          req.service.clearBucketRegionCache(bucket);
        } else {
          var headers = resp.httpResponse.headers || {};
          var region = headers["x-amz-bucket-region"] || null;
          if (!region && req.operation === "createBucket" && !resp.error) {
            var createBucketConfiguration = req.params.CreateBucketConfiguration;
            if (!createBucketConfiguration) {
              region = "us-east-1";
            } else if (createBucketConfiguration.LocationConstraint === "EU") {
              region = "eu-west-1";
            } else {
              region = createBucketConfiguration.LocationConstraint;
            }
          }
          if (region) {
            if (bucket && region !== req.service.bucketRegionCache[bucket]) {
              req.service.bucketRegionCache[bucket] = region;
            }
          }
        }
        req.service.extractRequestIds(resp);
      },
      /**
       * Extracts an error object from the http response.
       *
       * @api private
       */
      extractError: function extractError(resp) {
        var codes = {
          304: "NotModified",
          403: "Forbidden",
          400: "BadRequest",
          404: "NotFound"
        };
        var req = resp.request;
        var code = resp.httpResponse.statusCode;
        var body = resp.httpResponse.body || "";
        var headers = resp.httpResponse.headers || {};
        var region = headers["x-amz-bucket-region"] || null;
        var bucket = req.params.Bucket || null;
        var bucketRegionCache = req.service.bucketRegionCache;
        if (region && bucket && region !== bucketRegionCache[bucket]) {
          bucketRegionCache[bucket] = region;
        }
        var cachedRegion;
        if (codes[code] && body.length === 0) {
          if (bucket && !region) {
            cachedRegion = bucketRegionCache[bucket] || null;
            if (cachedRegion !== req.httpRequest.region) {
              region = cachedRegion;
            }
          }
          resp.error = AWS2.util.error(new Error(), {
            code: codes[code],
            message: null,
            region
          });
        } else {
          var data = new AWS2.XML.Parser().parse(body.toString());
          if (data.Region && !region) {
            region = data.Region;
            if (bucket && region !== bucketRegionCache[bucket]) {
              bucketRegionCache[bucket] = region;
            }
          } else if (bucket && !region && !data.Region) {
            cachedRegion = bucketRegionCache[bucket] || null;
            if (cachedRegion !== req.httpRequest.region) {
              region = cachedRegion;
            }
          }
          resp.error = AWS2.util.error(new Error(), {
            code: data.Code || code,
            message: data.Message || null,
            region
          });
        }
        req.service.extractRequestIds(resp);
      },
      /**
       * If region was not obtained synchronously, then send async request
       * to get bucket region for errors resulting from wrong region.
       *
       * @api private
       */
      requestBucketRegion: function requestBucketRegion(resp, done) {
        var error = resp.error;
        var req = resp.request;
        var bucket = req.params.Bucket || null;
        if (!error || !bucket || error.region || req.operation === "listObjects" || AWS2.util.isNode() && req.operation === "headBucket" || error.statusCode === 400 && req.operation !== "headObject" || regionRedirectErrorCodes.indexOf(error.code) === -1) {
          return done();
        }
        var reqOperation = AWS2.util.isNode() ? "headBucket" : "listObjects";
        var reqParams = { Bucket: bucket };
        if (reqOperation === "listObjects")
          reqParams.MaxKeys = 0;
        var regionReq = req.service[reqOperation](reqParams);
        regionReq._requestRegionForBucket = bucket;
        regionReq.send(function() {
          var region = req.service.bucketRegionCache[bucket] || null;
          error.region = region;
          done();
        });
      },
      /**
      * For browser only. If NetworkingError received, will attempt to obtain
      * the bucket region.
      *
      * @api private
      */
      reqRegionForNetworkingError: function reqRegionForNetworkingError(resp, done) {
        if (!AWS2.util.isBrowser()) {
          return done();
        }
        var error = resp.error;
        var request = resp.request;
        var bucket = request.params.Bucket;
        if (!error || error.code !== "NetworkingError" || !bucket || request.httpRequest.region === "us-east-1") {
          return done();
        }
        var service = request.service;
        var bucketRegionCache = service.bucketRegionCache;
        var cachedRegion = bucketRegionCache[bucket] || null;
        if (cachedRegion && cachedRegion !== request.httpRequest.region) {
          service.updateReqBucketRegion(request, cachedRegion);
          done();
        } else if (!s3util.dnsCompatibleBucketName(bucket)) {
          service.updateReqBucketRegion(request, "us-east-1");
          if (bucketRegionCache[bucket] !== "us-east-1") {
            bucketRegionCache[bucket] = "us-east-1";
          }
          done();
        } else if (request.httpRequest.virtualHostedBucket) {
          var getRegionReq = service.listObjects({ Bucket: bucket, MaxKeys: 0 });
          service.updateReqBucketRegion(getRegionReq, "us-east-1");
          getRegionReq._requestRegionForBucket = bucket;
          getRegionReq.send(function() {
            var region = service.bucketRegionCache[bucket] || null;
            if (region && region !== request.httpRequest.region) {
              service.updateReqBucketRegion(request, region);
            }
            done();
          });
        } else {
          done();
        }
      },
      /**
       * Cache for bucket region.
       *
       * @api private
       */
      bucketRegionCache: {},
      /**
       * Clears bucket region cache.
       *
       * @api private
       */
      clearBucketRegionCache: function(buckets) {
        var bucketRegionCache = this.bucketRegionCache;
        if (!buckets) {
          buckets = Object.keys(bucketRegionCache);
        } else if (typeof buckets === "string") {
          buckets = [buckets];
        }
        for (var i = 0; i < buckets.length; i++) {
          delete bucketRegionCache[buckets[i]];
        }
        return bucketRegionCache;
      },
      /**
       * Corrects request region if bucket's cached region is different
       *
       * @api private
       */
      correctBucketRegionFromCache: function correctBucketRegionFromCache(req) {
        var bucket = req.params.Bucket || null;
        if (bucket) {
          var service = req.service;
          var requestRegion = req.httpRequest.region;
          var cachedRegion = service.bucketRegionCache[bucket];
          if (cachedRegion && cachedRegion !== requestRegion) {
            service.updateReqBucketRegion(req, cachedRegion);
          }
        }
      },
      /**
       * Extracts S3 specific request ids from the http response.
       *
       * @api private
       */
      extractRequestIds: function extractRequestIds(resp) {
        var extendedRequestId = resp.httpResponse.headers ? resp.httpResponse.headers["x-amz-id-2"] : null;
        var cfId = resp.httpResponse.headers ? resp.httpResponse.headers["x-amz-cf-id"] : null;
        resp.extendedRequestId = extendedRequestId;
        resp.cfId = cfId;
        if (resp.error) {
          resp.error.requestId = resp.requestId || null;
          resp.error.extendedRequestId = extendedRequestId;
          resp.error.cfId = cfId;
        }
      },
      /**
       * Get a pre-signed URL for a given operation name.
       *
       * @note You must ensure that you have static or previously resolved
       *   credentials if you call this method synchronously (with no callback),
       *   otherwise it may not properly sign the request. If you cannot guarantee
       *   this (you are using an asynchronous credential provider, i.e., EC2
       *   IAM roles), you should always call this method with an asynchronous
       *   callback.
       * @note Not all operation parameters are supported when using pre-signed
       *   URLs. Certain parameters, such as `SSECustomerKey`, `ACL`, `Expires`,
       *   `ContentLength`, or `Tagging` must be provided as headers when sending a
       *   request. If you are using pre-signed URLs to upload from a browser and
       *   need to use these fields, see {createPresignedPost}.
       * @note The default signer allows altering the request by adding corresponding
       *   headers to set some parameters (e.g. Range) and these added parameters
       *   won't be signed. You must use signatureVersion v4 to to include these
       *   parameters in the signed portion of the URL and enforce exact matching
       *   between headers and signed params in the URL.
       * @note This operation cannot be used with a promise. See note above regarding
       *   asynchronous credentials and use with a callback.
       * @param operation [String] the name of the operation to call
       * @param params [map] parameters to pass to the operation. See the given
       *   operation for the expected operation parameters. In addition, you can
       *   also pass the "Expires" parameter to inform S3 how long the URL should
       *   work for.
       * @option params Expires [Integer] (900) the number of seconds to expire
       *   the pre-signed URL operation in. Defaults to 15 minutes.
       * @param callback [Function] if a callback is provided, this function will
       *   pass the URL as the second parameter (after the error parameter) to
       *   the callback function.
       * @return [String] if called synchronously (with no callback), returns the
       *   signed URL.
       * @return [null] nothing is returned if a callback is provided.
       * @example Pre-signing a getObject operation (synchronously)
       *   var params = {Bucket: 'bucket', Key: 'key'};
       *   var url = s3.getSignedUrl('getObject', params);
       *   console.log('The URL is', url);
       * @example Pre-signing a putObject (asynchronously)
       *   var params = {Bucket: 'bucket', Key: 'key'};
       *   s3.getSignedUrl('putObject', params, function (err, url) {
       *     console.log('The URL is', url);
       *   });
       * @example Pre-signing a putObject operation with a specific payload
       *   var params = {Bucket: 'bucket', Key: 'key', Body: 'body'};
       *   var url = s3.getSignedUrl('putObject', params);
       *   console.log('The URL is', url);
       * @example Passing in a 1-minute expiry time for a pre-signed URL
       *   var params = {Bucket: 'bucket', Key: 'key', Expires: 60};
       *   var url = s3.getSignedUrl('getObject', params);
       *   console.log('The URL is', url); // expires in 60 seconds
       */
      getSignedUrl: function getSignedUrl(operation, params, callback) {
        params = AWS2.util.copy(params || {});
        var expires = params.Expires || 900;
        if (typeof expires !== "number") {
          throw AWS2.util.error(
            new Error(),
            { code: "InvalidParameterException", message: "The expiration must be a number, received " + typeof expires }
          );
        }
        delete params.Expires;
        var request = this.makeRequest(operation, params);
        if (callback) {
          AWS2.util.defer(function() {
            request.presign(expires, callback);
          });
        } else {
          return request.presign(expires, callback);
        }
      },
      /**
       * @!method  getSignedUrlPromise()
       *   Returns a 'thenable' promise that will be resolved with a pre-signed URL
       *   for a given operation name.
       *
       *   Two callbacks can be provided to the `then` method on the returned promise.
       *   The first callback will be called if the promise is fulfilled, and the second
       *   callback will be called if the promise is rejected.
       *   @note Not all operation parameters are supported when using pre-signed
       *      URLs. Certain parameters, such as `SSECustomerKey`, `ACL`, `Expires`,
       *      `ContentLength`, or `Tagging` must be provided as headers when sending a
       *      request. If you are using pre-signed URLs to upload from a browser and
       *      need to use these fields, see {createPresignedPost}.
       *   @param operation [String] the name of the operation to call
       *   @param params [map] parameters to pass to the operation. See the given
       *      operation for the expected operation parameters. In addition, you can
       *      also pass the "Expires" parameter to inform S3 how long the URL should
       *      work for.
       *   @option params Expires [Integer] (900) the number of seconds to expire
       *      the pre-signed URL operation in. Defaults to 15 minutes.
       *   @callback fulfilledCallback function(url)
       *     Called if the promise is fulfilled.
       *     @param url [String] the signed url
       *   @callback rejectedCallback function(err)
       *     Called if the promise is rejected.
       *     @param err [Error] if an error occurred, this value will be filled
       *   @return [Promise] A promise that represents the state of the `refresh` call.
       *   @example Pre-signing a getObject operation
       *      var params = {Bucket: 'bucket', Key: 'key'};
       *      var promise = s3.getSignedUrlPromise('getObject', params);
       *      promise.then(function(url) {
       *        console.log('The URL is', url);
       *      }, function(err) { ... });
       *   @example Pre-signing a putObject operation with a specific payload
       *      var params = {Bucket: 'bucket', Key: 'key', Body: 'body'};
       *      var promise = s3.getSignedUrlPromise('putObject', params);
       *      promise.then(function(url) {
       *        console.log('The URL is', url);
       *      }, function(err) { ... });
       *   @example Passing in a 1-minute expiry time for a pre-signed URL
       *      var params = {Bucket: 'bucket', Key: 'key', Expires: 60};
       *      var promise = s3.getSignedUrlPromise('getObject', params);
       *      promise.then(function(url) {
       *        console.log('The URL is', url);
       *      }, function(err) { ... });
       */
      /**
       * Get a pre-signed POST policy to support uploading to S3 directly from an
       * HTML form.
       *
       * @param params [map]
       * @option params Bucket [String]     The bucket to which the post should be
       *                                    uploaded
       * @option params Expires [Integer]   (3600) The number of seconds for which
       *                                    the presigned policy should be valid.
       * @option params Conditions [Array]  An array of conditions that must be met
       *                                    for the presigned policy to allow the
       *                                    upload. This can include required tags,
       *                                    the accepted range for content lengths,
       *                                    etc.
       * @see http://docs.aws.amazon.com/AmazonS3/latest/API/sigv4-HTTPPOSTConstructPolicy.html
       * @option params Fields [map]        Fields to include in the form. All
       *                                    values passed in as fields will be
       *                                    signed as exact match conditions.
       * @param callback [Function]
       *
       * @note All fields passed in when creating presigned post data will be signed
       *   as exact match conditions. Any fields that will be interpolated by S3
       *   must be added to the fields hash after signing, and an appropriate
       *   condition for such fields must be explicitly added to the Conditions
       *   array passed to this function before signing.
       *
       * @example Presiging post data with a known key
       *   var params = {
       *     Bucket: 'bucket',
       *     Fields: {
       *       key: 'key'
       *     }
       *   };
       *   s3.createPresignedPost(params, function(err, data) {
       *     if (err) {
       *       console.error('Presigning post data encountered an error', err);
       *     } else {
       *       console.log('The post data is', data);
       *     }
       *   });
       *
       * @example Presigning post data with an interpolated key
       *   var params = {
       *     Bucket: 'bucket',
       *     Conditions: [
       *       ['starts-with', '$key', 'path/to/uploads/']
       *     ]
       *   };
       *   s3.createPresignedPost(params, function(err, data) {
       *     if (err) {
       *       console.error('Presigning post data encountered an error', err);
       *     } else {
       *       data.Fields.key = 'path/to/uploads/${filename}';
       *       console.log('The post data is', data);
       *     }
       *   });
       *
       * @note You must ensure that you have static or previously resolved
       *   credentials if you call this method synchronously (with no callback),
       *   otherwise it may not properly sign the request. If you cannot guarantee
       *   this (you are using an asynchronous credential provider, i.e., EC2
       *   IAM roles), you should always call this method with an asynchronous
       *   callback.
       *
       * @return [map]  If called synchronously (with no callback), returns a hash
       *                with the url to set as the form action and a hash of fields
       *                to include in the form.
       * @return [null] Nothing is returned if a callback is provided.
       *
       * @callback callback function (err, data)
       *  @param err [Error] the error object returned from the policy signer
       *  @param data [map] The data necessary to construct an HTML form
       *  @param data.url [String] The URL to use as the action of the form
       *  @param data.fields [map] A hash of fields that must be included in the
       *                           form for the upload to succeed. This hash will
       *                           include the signed POST policy, your access key
       *                           ID and security token (if present), etc. These
       *                           may be safely included as input elements of type
       *                           'hidden.'
       */
      createPresignedPost: function createPresignedPost(params, callback) {
        if (typeof params === "function" && callback === void 0) {
          callback = params;
          params = null;
        }
        params = AWS2.util.copy(params || {});
        var boundParams = this.config.params || {};
        var bucket = params.Bucket || boundParams.Bucket, self = this, config = this.config, endpoint = AWS2.util.copy(this.endpoint);
        if (!config.s3BucketEndpoint) {
          endpoint.pathname = "/" + bucket;
        }
        function finalizePost() {
          return {
            url: AWS2.util.urlFormat(endpoint),
            fields: self.preparePostFields(
              config.credentials,
              config.region,
              bucket,
              params.Fields,
              params.Conditions,
              params.Expires
            )
          };
        }
        if (callback) {
          config.getCredentials(function(err) {
            if (err) {
              callback(err);
            } else {
              try {
                callback(null, finalizePost());
              } catch (err2) {
                callback(err2);
              }
            }
          });
        } else {
          return finalizePost();
        }
      },
      /**
       * @api private
       */
      preparePostFields: function preparePostFields(credentials, region, bucket, fields, conditions, expiresInSeconds) {
        var now = this.getSkewCorrectedDate();
        if (!credentials || !region || !bucket) {
          throw new Error("Unable to create a POST object policy without a bucket, region, and credentials");
        }
        fields = AWS2.util.copy(fields || {});
        conditions = (conditions || []).slice(0);
        expiresInSeconds = expiresInSeconds || 3600;
        var signingDate = AWS2.util.date.iso8601(now).replace(/[:\-]|\.\d{3}/g, "");
        var shortDate = signingDate.substr(0, 8);
        var scope = v4Credentials.createScope(shortDate, region, "s3");
        var credential = credentials.accessKeyId + "/" + scope;
        fields["bucket"] = bucket;
        fields["X-Amz-Algorithm"] = "AWS4-HMAC-SHA256";
        fields["X-Amz-Credential"] = credential;
        fields["X-Amz-Date"] = signingDate;
        if (credentials.sessionToken) {
          fields["X-Amz-Security-Token"] = credentials.sessionToken;
        }
        for (var field in fields) {
          if (fields.hasOwnProperty(field)) {
            var condition = {};
            condition[field] = fields[field];
            conditions.push(condition);
          }
        }
        fields.Policy = this.preparePostPolicy(
          new Date(now.valueOf() + expiresInSeconds * 1e3),
          conditions
        );
        fields["X-Amz-Signature"] = AWS2.util.crypto.hmac(
          v4Credentials.getSigningKey(credentials, shortDate, region, "s3", true),
          fields.Policy,
          "hex"
        );
        return fields;
      },
      /**
       * @api private
       */
      preparePostPolicy: function preparePostPolicy(expiration, conditions) {
        return AWS2.util.base64.encode(JSON.stringify({
          expiration: AWS2.util.date.iso8601(expiration),
          conditions
        }));
      },
      /**
       * @api private
       */
      prepareSignedUrl: function prepareSignedUrl(request) {
        request.addListener("validate", request.service.noPresignedContentLength);
        request.removeListener("build", request.service.addContentType);
        if (!request.params.Body) {
          request.removeListener("build", request.service.computeContentMd5);
        } else {
          request.addListener("afterBuild", AWS2.EventListeners.Core.COMPUTE_SHA256);
        }
      },
      /**
       * @api private
       * @param request
       */
      disableBodySigning: function disableBodySigning(request) {
        var headers = request.httpRequest.headers;
        if (!Object.prototype.hasOwnProperty.call(headers, "presigned-expires")) {
          headers["X-Amz-Content-Sha256"] = "UNSIGNED-PAYLOAD";
        }
      },
      /**
       * @api private
       */
      noPresignedContentLength: function noPresignedContentLength(request) {
        if (request.params.ContentLength !== void 0) {
          throw AWS2.util.error(new Error(), {
            code: "UnexpectedParameter",
            message: "ContentLength is not supported in pre-signed URLs."
          });
        }
      },
      createBucket: function createBucket(params, callback) {
        if (typeof params === "function" || !params) {
          callback = callback || params;
          params = {};
        }
        var hostname = this.endpoint.hostname;
        var copiedParams = AWS2.util.copy(params);
        if (hostname !== this.api.globalEndpoint && !params.CreateBucketConfiguration) {
          copiedParams.CreateBucketConfiguration = { LocationConstraint: this.config.region };
        }
        return this.makeRequest("createBucket", copiedParams, callback);
      },
      writeGetObjectResponse: function writeGetObjectResponse(params, callback) {
        var request = this.makeRequest("writeGetObjectResponse", AWS2.util.copy(params), callback);
        var hostname = this.endpoint.hostname;
        if (hostname.indexOf(this.config.region) !== -1) {
          hostname = hostname.replace("s3.", OBJECT_LAMBDA_SERVICE + ".");
        } else {
          hostname = hostname.replace("s3.", OBJECT_LAMBDA_SERVICE + "." + this.config.region + ".");
        }
        request.httpRequest.endpoint = new AWS2.Endpoint(hostname, this.config);
        return request;
      },
      /**
       * @see AWS.S3.ManagedUpload
       * @overload upload(params = {}, [options], [callback])
       *   Uploads an arbitrarily sized buffer, blob, or stream, using intelligent
       *   concurrent handling of parts if the payload is large enough. You can
       *   configure the concurrent queue size by setting `options`. Note that this
       *   is the only operation for which the SDK can retry requests with stream
       *   bodies.
       *
       *   @param (see AWS.S3.putObject)
       *   @option (see AWS.S3.ManagedUpload.constructor)
       *   @return [AWS.S3.ManagedUpload] the managed upload object that can call
       *     `send()` or track progress.
       *   @example Uploading a stream object
       *     var params = {Bucket: 'bucket', Key: 'key', Body: stream};
       *     s3.upload(params, function(err, data) {
       *       console.log(err, data);
       *     });
       *   @example Uploading a stream with concurrency of 1 and partSize of 10mb
       *     var params = {Bucket: 'bucket', Key: 'key', Body: stream};
       *     var options = {partSize: 10 * 1024 * 1024, queueSize: 1};
       *     s3.upload(params, options, function(err, data) {
       *       console.log(err, data);
       *     });
       * @callback callback function(err, data)
       *   @param err [Error] an error or null if no error occurred.
       *   @param data [map] The response data from the successful upload:
       *   @param data.Location [String] the URL of the uploaded object
       *   @param data.ETag [String] the ETag of the uploaded object
       *   @param data.Bucket [String]  the bucket to which the object was uploaded
       *   @param data.Key [String] the key to which the object was uploaded
       */
      upload: function upload(params, options, callback) {
        if (typeof options === "function" && callback === void 0) {
          callback = options;
          options = null;
        }
        options = options || {};
        options = AWS2.util.merge(options || {}, { service: this, params });
        var uploader = new AWS2.S3.ManagedUpload(options);
        if (typeof callback === "function")
          uploader.send(callback);
        return uploader;
      }
    });
    AWS2.S3.addPromisesToClass = function addPromisesToClass(PromiseDependency) {
      this.prototype.getSignedUrlPromise = AWS2.util.promisifyMethod("getSignedUrl", PromiseDependency);
    };
    AWS2.S3.deletePromisesFromClass = function deletePromisesFromClass() {
      delete this.prototype.getSignedUrlPromise;
    };
    AWS2.util.addPromises(AWS2.S3);
  }
});

// node_modules/aws-sdk/apis/s3-2006-03-01.min.json
var require_s3_2006_03_01_min = __commonJS({
  "node_modules/aws-sdk/apis/s3-2006-03-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2006-03-01",
        checksumFormat: "md5",
        endpointPrefix: "s3",
        globalEndpoint: "s3.amazonaws.com",
        protocol: "rest-xml",
        serviceAbbreviation: "Amazon S3",
        serviceFullName: "Amazon Simple Storage Service",
        serviceId: "S3",
        signatureVersion: "s3",
        uid: "s3-2006-03-01"
      },
      operations: {
        AbortMultipartUpload: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}/{Key+}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key",
              "UploadId"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              UploadId: {
                location: "querystring",
                locationName: "uploadId"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            }
          }
        },
        CompleteMultipartUpload: {
          http: {
            requestUri: "/{Bucket}/{Key+}"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key",
              "UploadId"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              MultipartUpload: {
                locationName: "CompleteMultipartUpload",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                },
                type: "structure",
                members: {
                  Parts: {
                    locationName: "Part",
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        ETag: {},
                        ChecksumCRC32: {},
                        ChecksumCRC32C: {},
                        ChecksumSHA1: {},
                        ChecksumSHA256: {},
                        PartNumber: {
                          type: "integer"
                        }
                      }
                    },
                    flattened: true
                  }
                }
              },
              UploadId: {
                location: "querystring",
                locationName: "uploadId"
              },
              ChecksumCRC32: {
                location: "header",
                locationName: "x-amz-checksum-crc32"
              },
              ChecksumCRC32C: {
                location: "header",
                locationName: "x-amz-checksum-crc32c"
              },
              ChecksumSHA1: {
                location: "header",
                locationName: "x-amz-checksum-sha1"
              },
              ChecksumSHA256: {
                location: "header",
                locationName: "x-amz-checksum-sha256"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKey: {
                shape: "Sk",
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              }
            },
            payload: "MultipartUpload"
          },
          output: {
            type: "structure",
            members: {
              Location: {},
              Bucket: {},
              Key: {},
              Expiration: {
                location: "header",
                locationName: "x-amz-expiration"
              },
              ETag: {},
              ChecksumCRC32: {},
              ChecksumCRC32C: {},
              ChecksumSHA1: {},
              ChecksumSHA256: {},
              ServerSideEncryption: {
                location: "header",
                locationName: "x-amz-server-side-encryption"
              },
              VersionId: {
                location: "header",
                locationName: "x-amz-version-id"
              },
              SSEKMSKeyId: {
                shape: "Sr",
                location: "header",
                locationName: "x-amz-server-side-encryption-aws-kms-key-id"
              },
              BucketKeyEnabled: {
                location: "header",
                locationName: "x-amz-server-side-encryption-bucket-key-enabled",
                type: "boolean"
              },
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            }
          }
        },
        CopyObject: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}/{Key+}"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "CopySource",
              "Key"
            ],
            members: {
              ACL: {
                location: "header",
                locationName: "x-amz-acl"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              CacheControl: {
                location: "header",
                locationName: "Cache-Control"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-checksum-algorithm"
              },
              ContentDisposition: {
                location: "header",
                locationName: "Content-Disposition"
              },
              ContentEncoding: {
                location: "header",
                locationName: "Content-Encoding"
              },
              ContentLanguage: {
                location: "header",
                locationName: "Content-Language"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              CopySource: {
                location: "header",
                locationName: "x-amz-copy-source"
              },
              CopySourceIfMatch: {
                location: "header",
                locationName: "x-amz-copy-source-if-match"
              },
              CopySourceIfModifiedSince: {
                location: "header",
                locationName: "x-amz-copy-source-if-modified-since",
                type: "timestamp"
              },
              CopySourceIfNoneMatch: {
                location: "header",
                locationName: "x-amz-copy-source-if-none-match"
              },
              CopySourceIfUnmodifiedSince: {
                location: "header",
                locationName: "x-amz-copy-source-if-unmodified-since",
                type: "timestamp"
              },
              Expires: {
                location: "header",
                locationName: "Expires",
                type: "timestamp"
              },
              GrantFullControl: {
                location: "header",
                locationName: "x-amz-grant-full-control"
              },
              GrantRead: {
                location: "header",
                locationName: "x-amz-grant-read"
              },
              GrantReadACP: {
                location: "header",
                locationName: "x-amz-grant-read-acp"
              },
              GrantWriteACP: {
                location: "header",
                locationName: "x-amz-grant-write-acp"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              Metadata: {
                shape: "S1b",
                location: "headers",
                locationName: "x-amz-meta-"
              },
              MetadataDirective: {
                location: "header",
                locationName: "x-amz-metadata-directive"
              },
              TaggingDirective: {
                location: "header",
                locationName: "x-amz-tagging-directive"
              },
              ServerSideEncryption: {
                location: "header",
                locationName: "x-amz-server-side-encryption"
              },
              StorageClass: {
                location: "header",
                locationName: "x-amz-storage-class"
              },
              WebsiteRedirectLocation: {
                location: "header",
                locationName: "x-amz-website-redirect-location"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKey: {
                shape: "Sk",
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              },
              SSEKMSKeyId: {
                shape: "Sr",
                location: "header",
                locationName: "x-amz-server-side-encryption-aws-kms-key-id"
              },
              SSEKMSEncryptionContext: {
                shape: "S1i",
                location: "header",
                locationName: "x-amz-server-side-encryption-context"
              },
              BucketKeyEnabled: {
                location: "header",
                locationName: "x-amz-server-side-encryption-bucket-key-enabled",
                type: "boolean"
              },
              CopySourceSSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-copy-source-server-side-encryption-customer-algorithm"
              },
              CopySourceSSECustomerKey: {
                shape: "S1k",
                location: "header",
                locationName: "x-amz-copy-source-server-side-encryption-customer-key"
              },
              CopySourceSSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-copy-source-server-side-encryption-customer-key-MD5"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              Tagging: {
                location: "header",
                locationName: "x-amz-tagging"
              },
              ObjectLockMode: {
                location: "header",
                locationName: "x-amz-object-lock-mode"
              },
              ObjectLockRetainUntilDate: {
                shape: "S1o",
                location: "header",
                locationName: "x-amz-object-lock-retain-until-date"
              },
              ObjectLockLegalHoldStatus: {
                location: "header",
                locationName: "x-amz-object-lock-legal-hold"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              ExpectedSourceBucketOwner: {
                location: "header",
                locationName: "x-amz-source-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CopyObjectResult: {
                type: "structure",
                members: {
                  ETag: {},
                  LastModified: {
                    type: "timestamp"
                  },
                  ChecksumCRC32: {},
                  ChecksumCRC32C: {},
                  ChecksumSHA1: {},
                  ChecksumSHA256: {}
                }
              },
              Expiration: {
                location: "header",
                locationName: "x-amz-expiration"
              },
              CopySourceVersionId: {
                location: "header",
                locationName: "x-amz-copy-source-version-id"
              },
              VersionId: {
                location: "header",
                locationName: "x-amz-version-id"
              },
              ServerSideEncryption: {
                location: "header",
                locationName: "x-amz-server-side-encryption"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              },
              SSEKMSKeyId: {
                shape: "Sr",
                location: "header",
                locationName: "x-amz-server-side-encryption-aws-kms-key-id"
              },
              SSEKMSEncryptionContext: {
                shape: "S1i",
                location: "header",
                locationName: "x-amz-server-side-encryption-context"
              },
              BucketKeyEnabled: {
                location: "header",
                locationName: "x-amz-server-side-encryption-bucket-key-enabled",
                type: "boolean"
              },
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            },
            payload: "CopyObjectResult"
          },
          alias: "PutObjectCopy"
        },
        CreateBucket: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              ACL: {
                location: "header",
                locationName: "x-amz-acl"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              CreateBucketConfiguration: {
                locationName: "CreateBucketConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                },
                type: "structure",
                members: {
                  LocationConstraint: {}
                }
              },
              GrantFullControl: {
                location: "header",
                locationName: "x-amz-grant-full-control"
              },
              GrantRead: {
                location: "header",
                locationName: "x-amz-grant-read"
              },
              GrantReadACP: {
                location: "header",
                locationName: "x-amz-grant-read-acp"
              },
              GrantWrite: {
                location: "header",
                locationName: "x-amz-grant-write"
              },
              GrantWriteACP: {
                location: "header",
                locationName: "x-amz-grant-write-acp"
              },
              ObjectLockEnabledForBucket: {
                location: "header",
                locationName: "x-amz-bucket-object-lock-enabled",
                type: "boolean"
              },
              ObjectOwnership: {
                location: "header",
                locationName: "x-amz-object-ownership"
              }
            },
            payload: "CreateBucketConfiguration"
          },
          output: {
            type: "structure",
            members: {
              Location: {
                location: "header",
                locationName: "Location"
              }
            }
          },
          alias: "PutBucket",
          staticContextParams: {
            DisableAccessPoints: {
              value: true
            }
          }
        },
        CreateMultipartUpload: {
          http: {
            requestUri: "/{Bucket}/{Key+}?uploads"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key"
            ],
            members: {
              ACL: {
                location: "header",
                locationName: "x-amz-acl"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              CacheControl: {
                location: "header",
                locationName: "Cache-Control"
              },
              ContentDisposition: {
                location: "header",
                locationName: "Content-Disposition"
              },
              ContentEncoding: {
                location: "header",
                locationName: "Content-Encoding"
              },
              ContentLanguage: {
                location: "header",
                locationName: "Content-Language"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              Expires: {
                location: "header",
                locationName: "Expires",
                type: "timestamp"
              },
              GrantFullControl: {
                location: "header",
                locationName: "x-amz-grant-full-control"
              },
              GrantRead: {
                location: "header",
                locationName: "x-amz-grant-read"
              },
              GrantReadACP: {
                location: "header",
                locationName: "x-amz-grant-read-acp"
              },
              GrantWriteACP: {
                location: "header",
                locationName: "x-amz-grant-write-acp"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              Metadata: {
                shape: "S1b",
                location: "headers",
                locationName: "x-amz-meta-"
              },
              ServerSideEncryption: {
                location: "header",
                locationName: "x-amz-server-side-encryption"
              },
              StorageClass: {
                location: "header",
                locationName: "x-amz-storage-class"
              },
              WebsiteRedirectLocation: {
                location: "header",
                locationName: "x-amz-website-redirect-location"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKey: {
                shape: "Sk",
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              },
              SSEKMSKeyId: {
                shape: "Sr",
                location: "header",
                locationName: "x-amz-server-side-encryption-aws-kms-key-id"
              },
              SSEKMSEncryptionContext: {
                shape: "S1i",
                location: "header",
                locationName: "x-amz-server-side-encryption-context"
              },
              BucketKeyEnabled: {
                location: "header",
                locationName: "x-amz-server-side-encryption-bucket-key-enabled",
                type: "boolean"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              Tagging: {
                location: "header",
                locationName: "x-amz-tagging"
              },
              ObjectLockMode: {
                location: "header",
                locationName: "x-amz-object-lock-mode"
              },
              ObjectLockRetainUntilDate: {
                shape: "S1o",
                location: "header",
                locationName: "x-amz-object-lock-retain-until-date"
              },
              ObjectLockLegalHoldStatus: {
                location: "header",
                locationName: "x-amz-object-lock-legal-hold"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-checksum-algorithm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AbortDate: {
                location: "header",
                locationName: "x-amz-abort-date",
                type: "timestamp"
              },
              AbortRuleId: {
                location: "header",
                locationName: "x-amz-abort-rule-id"
              },
              Bucket: {
                locationName: "Bucket"
              },
              Key: {},
              UploadId: {},
              ServerSideEncryption: {
                location: "header",
                locationName: "x-amz-server-side-encryption"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              },
              SSEKMSKeyId: {
                shape: "Sr",
                location: "header",
                locationName: "x-amz-server-side-encryption-aws-kms-key-id"
              },
              SSEKMSEncryptionContext: {
                shape: "S1i",
                location: "header",
                locationName: "x-amz-server-side-encryption-context"
              },
              BucketKeyEnabled: {
                location: "header",
                locationName: "x-amz-server-side-encryption-bucket-key-enabled",
                type: "boolean"
              },
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-checksum-algorithm"
              }
            }
          },
          alias: "InitiateMultipartUpload"
        },
        DeleteBucket: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          }
        },
        DeleteBucketAnalyticsConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}?analytics",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Id"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Id: {
                location: "querystring",
                locationName: "id"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          }
        },
        DeleteBucketCors: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}?cors",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          }
        },
        DeleteBucketEncryption: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}?encryption",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          }
        },
        DeleteBucketIntelligentTieringConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}?intelligent-tiering",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Id"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Id: {
                location: "querystring",
                locationName: "id"
              }
            }
          }
        },
        DeleteBucketInventoryConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}?inventory",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Id"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Id: {
                location: "querystring",
                locationName: "id"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          }
        },
        DeleteBucketLifecycle: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}?lifecycle",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          }
        },
        DeleteBucketMetricsConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}?metrics",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Id"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Id: {
                location: "querystring",
                locationName: "id"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          }
        },
        DeleteBucketOwnershipControls: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}?ownershipControls",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          }
        },
        DeleteBucketPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}?policy",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          }
        },
        DeleteBucketReplication: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}?replication",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          }
        },
        DeleteBucketTagging: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}?tagging",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          }
        },
        DeleteBucketWebsite: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}?website",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          }
        },
        DeleteObject: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}/{Key+}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              MFA: {
                location: "header",
                locationName: "x-amz-mfa"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionId"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              BypassGovernanceRetention: {
                location: "header",
                locationName: "x-amz-bypass-governance-retention",
                type: "boolean"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeleteMarker: {
                location: "header",
                locationName: "x-amz-delete-marker",
                type: "boolean"
              },
              VersionId: {
                location: "header",
                locationName: "x-amz-version-id"
              },
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            }
          }
        },
        DeleteObjectTagging: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}/{Key+}?tagging",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionId"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VersionId: {
                location: "header",
                locationName: "x-amz-version-id"
              }
            }
          }
        },
        DeleteObjects: {
          http: {
            requestUri: "/{Bucket}?delete"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Delete"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Delete: {
                locationName: "Delete",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                },
                type: "structure",
                required: [
                  "Objects"
                ],
                members: {
                  Objects: {
                    locationName: "Object",
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Key"
                      ],
                      members: {
                        Key: {},
                        VersionId: {}
                      }
                    },
                    flattened: true
                  },
                  Quiet: {
                    type: "boolean"
                  }
                }
              },
              MFA: {
                location: "header",
                locationName: "x-amz-mfa"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              BypassGovernanceRetention: {
                location: "header",
                locationName: "x-amz-bypass-governance-retention",
                type: "boolean"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              }
            },
            payload: "Delete"
          },
          output: {
            type: "structure",
            members: {
              Deleted: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Key: {},
                    VersionId: {},
                    DeleteMarker: {
                      type: "boolean"
                    },
                    DeleteMarkerVersionId: {}
                  }
                },
                flattened: true
              },
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              },
              Errors: {
                locationName: "Error",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Key: {},
                    VersionId: {},
                    Code: {},
                    Message: {}
                  }
                },
                flattened: true
              }
            }
          },
          alias: "DeleteMultipleObjects",
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        DeletePublicAccessBlock: {
          http: {
            method: "DELETE",
            requestUri: "/{Bucket}?publicAccessBlock",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          }
        },
        GetBucketAccelerateConfiguration: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?accelerate"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {},
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            }
          }
        },
        GetBucketAcl: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?acl"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Owner: {
                shape: "S3d"
              },
              Grants: {
                shape: "S3g",
                locationName: "AccessControlList"
              }
            }
          }
        },
        GetBucketAnalyticsConfiguration: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?analytics"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Id"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Id: {
                location: "querystring",
                locationName: "id"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AnalyticsConfiguration: {
                shape: "S3p"
              }
            },
            payload: "AnalyticsConfiguration"
          }
        },
        GetBucketCors: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?cors"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CORSRules: {
                shape: "S44",
                locationName: "CORSRule"
              }
            }
          }
        },
        GetBucketEncryption: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?encryption"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ServerSideEncryptionConfiguration: {
                shape: "S4h"
              }
            },
            payload: "ServerSideEncryptionConfiguration"
          }
        },
        GetBucketIntelligentTieringConfiguration: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?intelligent-tiering"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Id"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Id: {
                location: "querystring",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IntelligentTieringConfiguration: {
                shape: "S4n"
              }
            },
            payload: "IntelligentTieringConfiguration"
          }
        },
        GetBucketInventoryConfiguration: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?inventory"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Id"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Id: {
                location: "querystring",
                locationName: "id"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InventoryConfiguration: {
                shape: "S4x"
              }
            },
            payload: "InventoryConfiguration"
          }
        },
        GetBucketLifecycle: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?lifecycle"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Rules: {
                shape: "S5d",
                locationName: "Rule"
              }
            }
          },
          deprecated: true
        },
        GetBucketLifecycleConfiguration: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?lifecycle"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Rules: {
                shape: "S5t",
                locationName: "Rule"
              }
            }
          }
        },
        GetBucketLocation: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?location"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocationConstraint: {}
            }
          }
        },
        GetBucketLogging: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?logging"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LoggingEnabled: {
                shape: "S65"
              }
            }
          }
        },
        GetBucketMetricsConfiguration: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?metrics"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Id"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Id: {
                location: "querystring",
                locationName: "id"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MetricsConfiguration: {
                shape: "S6d"
              }
            },
            payload: "MetricsConfiguration"
          }
        },
        GetBucketNotification: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?notification"
          },
          input: {
            shape: "S6h"
          },
          output: {
            shape: "S6i"
          },
          deprecated: true
        },
        GetBucketNotificationConfiguration: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?notification"
          },
          input: {
            shape: "S6h"
          },
          output: {
            shape: "S6t"
          }
        },
        GetBucketOwnershipControls: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?ownershipControls"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OwnershipControls: {
                shape: "S7a"
              }
            },
            payload: "OwnershipControls"
          }
        },
        GetBucketPolicy: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?policy"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {}
            },
            payload: "Policy"
          }
        },
        GetBucketPolicyStatus: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?policyStatus"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyStatus: {
                type: "structure",
                members: {
                  IsPublic: {
                    locationName: "IsPublic",
                    type: "boolean"
                  }
                }
              }
            },
            payload: "PolicyStatus"
          }
        },
        GetBucketReplication: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?replication"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationConfiguration: {
                shape: "S7m"
              }
            },
            payload: "ReplicationConfiguration"
          }
        },
        GetBucketRequestPayment: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?requestPayment"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Payer: {}
            }
          }
        },
        GetBucketTagging: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?tagging"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TagSet"
            ],
            members: {
              TagSet: {
                shape: "S3v"
              }
            }
          }
        },
        GetBucketVersioning: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?versioning"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {},
              MFADelete: {
                locationName: "MfaDelete"
              }
            }
          }
        },
        GetBucketWebsite: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?website"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RedirectAllRequestsTo: {
                shape: "S8p"
              },
              IndexDocument: {
                shape: "S8s"
              },
              ErrorDocument: {
                shape: "S8u"
              },
              RoutingRules: {
                shape: "S8v"
              }
            }
          }
        },
        GetObject: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}/{Key+}"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              },
              IfModifiedSince: {
                location: "header",
                locationName: "If-Modified-Since",
                type: "timestamp"
              },
              IfNoneMatch: {
                location: "header",
                locationName: "If-None-Match"
              },
              IfUnmodifiedSince: {
                location: "header",
                locationName: "If-Unmodified-Since",
                type: "timestamp"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              Range: {
                location: "header",
                locationName: "Range"
              },
              ResponseCacheControl: {
                location: "querystring",
                locationName: "response-cache-control"
              },
              ResponseContentDisposition: {
                location: "querystring",
                locationName: "response-content-disposition"
              },
              ResponseContentEncoding: {
                location: "querystring",
                locationName: "response-content-encoding"
              },
              ResponseContentLanguage: {
                location: "querystring",
                locationName: "response-content-language"
              },
              ResponseContentType: {
                location: "querystring",
                locationName: "response-content-type"
              },
              ResponseExpires: {
                location: "querystring",
                locationName: "response-expires",
                type: "timestamp",
                timestampFormat: "rfc822"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionId"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKey: {
                shape: "Sk",
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              PartNumber: {
                location: "querystring",
                locationName: "partNumber",
                type: "integer"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              ChecksumMode: {
                location: "header",
                locationName: "x-amz-checksum-mode"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Body: {
                streaming: true,
                type: "blob"
              },
              DeleteMarker: {
                location: "header",
                locationName: "x-amz-delete-marker",
                type: "boolean"
              },
              AcceptRanges: {
                location: "header",
                locationName: "accept-ranges"
              },
              Expiration: {
                location: "header",
                locationName: "x-amz-expiration"
              },
              Restore: {
                location: "header",
                locationName: "x-amz-restore"
              },
              LastModified: {
                location: "header",
                locationName: "Last-Modified",
                type: "timestamp"
              },
              ContentLength: {
                location: "header",
                locationName: "Content-Length",
                type: "long"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              },
              ChecksumCRC32: {
                location: "header",
                locationName: "x-amz-checksum-crc32"
              },
              ChecksumCRC32C: {
                location: "header",
                locationName: "x-amz-checksum-crc32c"
              },
              ChecksumSHA1: {
                location: "header",
                locationName: "x-amz-checksum-sha1"
              },
              ChecksumSHA256: {
                location: "header",
                locationName: "x-amz-checksum-sha256"
              },
              MissingMeta: {
                location: "header",
                locationName: "x-amz-missing-meta",
                type: "integer"
              },
              VersionId: {
                location: "header",
                locationName: "x-amz-version-id"
              },
              CacheControl: {
                location: "header",
                locationName: "Cache-Control"
              },
              ContentDisposition: {
                location: "header",
                locationName: "Content-Disposition"
              },
              ContentEncoding: {
                location: "header",
                locationName: "Content-Encoding"
              },
              ContentLanguage: {
                location: "header",
                locationName: "Content-Language"
              },
              ContentRange: {
                location: "header",
                locationName: "Content-Range"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              Expires: {
                location: "header",
                locationName: "Expires",
                type: "timestamp"
              },
              WebsiteRedirectLocation: {
                location: "header",
                locationName: "x-amz-website-redirect-location"
              },
              ServerSideEncryption: {
                location: "header",
                locationName: "x-amz-server-side-encryption"
              },
              Metadata: {
                shape: "S1b",
                location: "headers",
                locationName: "x-amz-meta-"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              },
              SSEKMSKeyId: {
                shape: "Sr",
                location: "header",
                locationName: "x-amz-server-side-encryption-aws-kms-key-id"
              },
              BucketKeyEnabled: {
                location: "header",
                locationName: "x-amz-server-side-encryption-bucket-key-enabled",
                type: "boolean"
              },
              StorageClass: {
                location: "header",
                locationName: "x-amz-storage-class"
              },
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              },
              ReplicationStatus: {
                location: "header",
                locationName: "x-amz-replication-status"
              },
              PartsCount: {
                location: "header",
                locationName: "x-amz-mp-parts-count",
                type: "integer"
              },
              TagCount: {
                location: "header",
                locationName: "x-amz-tagging-count",
                type: "integer"
              },
              ObjectLockMode: {
                location: "header",
                locationName: "x-amz-object-lock-mode"
              },
              ObjectLockRetainUntilDate: {
                shape: "S1o",
                location: "header",
                locationName: "x-amz-object-lock-retain-until-date"
              },
              ObjectLockLegalHoldStatus: {
                location: "header",
                locationName: "x-amz-object-lock-legal-hold"
              }
            },
            payload: "Body"
          },
          httpChecksum: {
            requestValidationModeMember: "ChecksumMode",
            responseAlgorithms: [
              "CRC32",
              "CRC32C",
              "SHA256",
              "SHA1"
            ]
          }
        },
        GetObjectAcl: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}/{Key+}?acl"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionId"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Owner: {
                shape: "S3d"
              },
              Grants: {
                shape: "S3g",
                locationName: "AccessControlList"
              },
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            }
          }
        },
        GetObjectAttributes: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}/{Key+}?attributes"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key",
              "ObjectAttributes"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionId"
              },
              MaxParts: {
                location: "header",
                locationName: "x-amz-max-parts",
                type: "integer"
              },
              PartNumberMarker: {
                location: "header",
                locationName: "x-amz-part-number-marker",
                type: "integer"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKey: {
                shape: "Sk",
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              ObjectAttributes: {
                location: "header",
                locationName: "x-amz-object-attributes",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeleteMarker: {
                location: "header",
                locationName: "x-amz-delete-marker",
                type: "boolean"
              },
              LastModified: {
                location: "header",
                locationName: "Last-Modified",
                type: "timestamp"
              },
              VersionId: {
                location: "header",
                locationName: "x-amz-version-id"
              },
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              },
              ETag: {},
              Checksum: {
                type: "structure",
                members: {
                  ChecksumCRC32: {},
                  ChecksumCRC32C: {},
                  ChecksumSHA1: {},
                  ChecksumSHA256: {}
                }
              },
              ObjectParts: {
                type: "structure",
                members: {
                  TotalPartsCount: {
                    locationName: "PartsCount",
                    type: "integer"
                  },
                  PartNumberMarker: {
                    type: "integer"
                  },
                  NextPartNumberMarker: {
                    type: "integer"
                  },
                  MaxParts: {
                    type: "integer"
                  },
                  IsTruncated: {
                    type: "boolean"
                  },
                  Parts: {
                    locationName: "Part",
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        PartNumber: {
                          type: "integer"
                        },
                        Size: {
                          type: "integer"
                        },
                        ChecksumCRC32: {},
                        ChecksumCRC32C: {},
                        ChecksumSHA1: {},
                        ChecksumSHA256: {}
                      }
                    },
                    flattened: true
                  }
                }
              },
              StorageClass: {},
              ObjectSize: {
                type: "long"
              }
            }
          }
        },
        GetObjectLegalHold: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}/{Key+}?legal-hold"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionId"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LegalHold: {
                shape: "Sa9"
              }
            },
            payload: "LegalHold"
          }
        },
        GetObjectLockConfiguration: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?object-lock"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ObjectLockConfiguration: {
                shape: "Sac"
              }
            },
            payload: "ObjectLockConfiguration"
          }
        },
        GetObjectRetention: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}/{Key+}?retention"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionId"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Retention: {
                shape: "Sak"
              }
            },
            payload: "Retention"
          }
        },
        GetObjectTagging: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}/{Key+}?tagging"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionId"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TagSet"
            ],
            members: {
              VersionId: {
                location: "header",
                locationName: "x-amz-version-id"
              },
              TagSet: {
                shape: "S3v"
              }
            }
          }
        },
        GetObjectTorrent: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}/{Key+}?torrent"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Body: {
                streaming: true,
                type: "blob"
              },
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            },
            payload: "Body"
          }
        },
        GetPublicAccessBlock: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?publicAccessBlock"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicAccessBlockConfiguration: {
                shape: "Sar"
              }
            },
            payload: "PublicAccessBlockConfiguration"
          }
        },
        HeadBucket: {
          http: {
            method: "HEAD",
            requestUri: "/{Bucket}"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          }
        },
        HeadObject: {
          http: {
            method: "HEAD",
            requestUri: "/{Bucket}/{Key+}"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              IfMatch: {
                location: "header",
                locationName: "If-Match"
              },
              IfModifiedSince: {
                location: "header",
                locationName: "If-Modified-Since",
                type: "timestamp"
              },
              IfNoneMatch: {
                location: "header",
                locationName: "If-None-Match"
              },
              IfUnmodifiedSince: {
                location: "header",
                locationName: "If-Unmodified-Since",
                type: "timestamp"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              Range: {
                location: "header",
                locationName: "Range"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionId"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKey: {
                shape: "Sk",
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              PartNumber: {
                location: "querystring",
                locationName: "partNumber",
                type: "integer"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              ChecksumMode: {
                location: "header",
                locationName: "x-amz-checksum-mode"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeleteMarker: {
                location: "header",
                locationName: "x-amz-delete-marker",
                type: "boolean"
              },
              AcceptRanges: {
                location: "header",
                locationName: "accept-ranges"
              },
              Expiration: {
                location: "header",
                locationName: "x-amz-expiration"
              },
              Restore: {
                location: "header",
                locationName: "x-amz-restore"
              },
              ArchiveStatus: {
                location: "header",
                locationName: "x-amz-archive-status"
              },
              LastModified: {
                location: "header",
                locationName: "Last-Modified",
                type: "timestamp"
              },
              ContentLength: {
                location: "header",
                locationName: "Content-Length",
                type: "long"
              },
              ChecksumCRC32: {
                location: "header",
                locationName: "x-amz-checksum-crc32"
              },
              ChecksumCRC32C: {
                location: "header",
                locationName: "x-amz-checksum-crc32c"
              },
              ChecksumSHA1: {
                location: "header",
                locationName: "x-amz-checksum-sha1"
              },
              ChecksumSHA256: {
                location: "header",
                locationName: "x-amz-checksum-sha256"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              },
              MissingMeta: {
                location: "header",
                locationName: "x-amz-missing-meta",
                type: "integer"
              },
              VersionId: {
                location: "header",
                locationName: "x-amz-version-id"
              },
              CacheControl: {
                location: "header",
                locationName: "Cache-Control"
              },
              ContentDisposition: {
                location: "header",
                locationName: "Content-Disposition"
              },
              ContentEncoding: {
                location: "header",
                locationName: "Content-Encoding"
              },
              ContentLanguage: {
                location: "header",
                locationName: "Content-Language"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              Expires: {
                location: "header",
                locationName: "Expires",
                type: "timestamp"
              },
              WebsiteRedirectLocation: {
                location: "header",
                locationName: "x-amz-website-redirect-location"
              },
              ServerSideEncryption: {
                location: "header",
                locationName: "x-amz-server-side-encryption"
              },
              Metadata: {
                shape: "S1b",
                location: "headers",
                locationName: "x-amz-meta-"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              },
              SSEKMSKeyId: {
                shape: "Sr",
                location: "header",
                locationName: "x-amz-server-side-encryption-aws-kms-key-id"
              },
              BucketKeyEnabled: {
                location: "header",
                locationName: "x-amz-server-side-encryption-bucket-key-enabled",
                type: "boolean"
              },
              StorageClass: {
                location: "header",
                locationName: "x-amz-storage-class"
              },
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              },
              ReplicationStatus: {
                location: "header",
                locationName: "x-amz-replication-status"
              },
              PartsCount: {
                location: "header",
                locationName: "x-amz-mp-parts-count",
                type: "integer"
              },
              ObjectLockMode: {
                location: "header",
                locationName: "x-amz-object-lock-mode"
              },
              ObjectLockRetainUntilDate: {
                shape: "S1o",
                location: "header",
                locationName: "x-amz-object-lock-retain-until-date"
              },
              ObjectLockLegalHoldStatus: {
                location: "header",
                locationName: "x-amz-object-lock-legal-hold"
              }
            }
          }
        },
        ListBucketAnalyticsConfigurations: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?analytics"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContinuationToken: {
                location: "querystring",
                locationName: "continuation-token"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IsTruncated: {
                type: "boolean"
              },
              ContinuationToken: {},
              NextContinuationToken: {},
              AnalyticsConfigurationList: {
                locationName: "AnalyticsConfiguration",
                type: "list",
                member: {
                  shape: "S3p"
                },
                flattened: true
              }
            }
          }
        },
        ListBucketIntelligentTieringConfigurations: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?intelligent-tiering"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContinuationToken: {
                location: "querystring",
                locationName: "continuation-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IsTruncated: {
                type: "boolean"
              },
              ContinuationToken: {},
              NextContinuationToken: {},
              IntelligentTieringConfigurationList: {
                locationName: "IntelligentTieringConfiguration",
                type: "list",
                member: {
                  shape: "S4n"
                },
                flattened: true
              }
            }
          }
        },
        ListBucketInventoryConfigurations: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?inventory"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContinuationToken: {
                location: "querystring",
                locationName: "continuation-token"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContinuationToken: {},
              InventoryConfigurationList: {
                locationName: "InventoryConfiguration",
                type: "list",
                member: {
                  shape: "S4x"
                },
                flattened: true
              },
              IsTruncated: {
                type: "boolean"
              },
              NextContinuationToken: {}
            }
          }
        },
        ListBucketMetricsConfigurations: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?metrics"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContinuationToken: {
                location: "querystring",
                locationName: "continuation-token"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IsTruncated: {
                type: "boolean"
              },
              ContinuationToken: {},
              NextContinuationToken: {},
              MetricsConfigurationList: {
                locationName: "MetricsConfiguration",
                type: "list",
                member: {
                  shape: "S6d"
                },
                flattened: true
              }
            }
          }
        },
        ListBuckets: {
          http: {
            method: "GET"
          },
          output: {
            type: "structure",
            members: {
              Buckets: {
                type: "list",
                member: {
                  locationName: "Bucket",
                  type: "structure",
                  members: {
                    Name: {},
                    CreationDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              Owner: {
                shape: "S3d"
              }
            }
          },
          alias: "GetService"
        },
        ListMultipartUploads: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?uploads"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Delimiter: {
                location: "querystring",
                locationName: "delimiter"
              },
              EncodingType: {
                location: "querystring",
                locationName: "encoding-type"
              },
              KeyMarker: {
                location: "querystring",
                locationName: "key-marker"
              },
              MaxUploads: {
                location: "querystring",
                locationName: "max-uploads",
                type: "integer"
              },
              Prefix: {
                location: "querystring",
                locationName: "prefix"
              },
              UploadIdMarker: {
                location: "querystring",
                locationName: "upload-id-marker"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Bucket: {},
              KeyMarker: {},
              UploadIdMarker: {},
              NextKeyMarker: {},
              Prefix: {},
              Delimiter: {},
              NextUploadIdMarker: {},
              MaxUploads: {
                type: "integer"
              },
              IsTruncated: {
                type: "boolean"
              },
              Uploads: {
                locationName: "Upload",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    UploadId: {},
                    Key: {},
                    Initiated: {
                      type: "timestamp"
                    },
                    StorageClass: {},
                    Owner: {
                      shape: "S3d"
                    },
                    Initiator: {
                      shape: "Sbr"
                    },
                    ChecksumAlgorithm: {}
                  }
                },
                flattened: true
              },
              CommonPrefixes: {
                shape: "Sbs"
              },
              EncodingType: {},
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            }
          }
        },
        ListObjectVersions: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?versions"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Delimiter: {
                location: "querystring",
                locationName: "delimiter"
              },
              EncodingType: {
                location: "querystring",
                locationName: "encoding-type"
              },
              KeyMarker: {
                location: "querystring",
                locationName: "key-marker"
              },
              MaxKeys: {
                location: "querystring",
                locationName: "max-keys",
                type: "integer"
              },
              Prefix: {
                location: "querystring",
                locationName: "prefix"
              },
              VersionIdMarker: {
                location: "querystring",
                locationName: "version-id-marker"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              OptionalObjectAttributes: {
                shape: "Sbx",
                location: "header",
                locationName: "x-amz-optional-object-attributes"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IsTruncated: {
                type: "boolean"
              },
              KeyMarker: {},
              VersionIdMarker: {},
              NextKeyMarker: {},
              NextVersionIdMarker: {},
              Versions: {
                locationName: "Version",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ETag: {},
                    ChecksumAlgorithm: {
                      shape: "Sc3"
                    },
                    Size: {
                      type: "integer"
                    },
                    StorageClass: {},
                    Key: {},
                    VersionId: {},
                    IsLatest: {
                      type: "boolean"
                    },
                    LastModified: {
                      type: "timestamp"
                    },
                    Owner: {
                      shape: "S3d"
                    },
                    RestoreStatus: {
                      shape: "Sc6"
                    }
                  }
                },
                flattened: true
              },
              DeleteMarkers: {
                locationName: "DeleteMarker",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Owner: {
                      shape: "S3d"
                    },
                    Key: {},
                    VersionId: {},
                    IsLatest: {
                      type: "boolean"
                    },
                    LastModified: {
                      type: "timestamp"
                    }
                  }
                },
                flattened: true
              },
              Name: {},
              Prefix: {},
              Delimiter: {},
              MaxKeys: {
                type: "integer"
              },
              CommonPrefixes: {
                shape: "Sbs"
              },
              EncodingType: {},
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            }
          },
          alias: "GetBucketObjectVersions"
        },
        ListObjects: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Delimiter: {
                location: "querystring",
                locationName: "delimiter"
              },
              EncodingType: {
                location: "querystring",
                locationName: "encoding-type"
              },
              Marker: {
                location: "querystring",
                locationName: "marker"
              },
              MaxKeys: {
                location: "querystring",
                locationName: "max-keys",
                type: "integer"
              },
              Prefix: {
                location: "querystring",
                locationName: "prefix"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              OptionalObjectAttributes: {
                shape: "Sbx",
                location: "header",
                locationName: "x-amz-optional-object-attributes"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IsTruncated: {
                type: "boolean"
              },
              Marker: {},
              NextMarker: {},
              Contents: {
                shape: "Scf"
              },
              Name: {},
              Prefix: {},
              Delimiter: {},
              MaxKeys: {
                type: "integer"
              },
              CommonPrefixes: {
                shape: "Sbs"
              },
              EncodingType: {},
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            }
          },
          alias: "GetBucket"
        },
        ListObjectsV2: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}?list-type=2"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Delimiter: {
                location: "querystring",
                locationName: "delimiter"
              },
              EncodingType: {
                location: "querystring",
                locationName: "encoding-type"
              },
              MaxKeys: {
                location: "querystring",
                locationName: "max-keys",
                type: "integer"
              },
              Prefix: {
                location: "querystring",
                locationName: "prefix"
              },
              ContinuationToken: {
                location: "querystring",
                locationName: "continuation-token"
              },
              FetchOwner: {
                location: "querystring",
                locationName: "fetch-owner",
                type: "boolean"
              },
              StartAfter: {
                location: "querystring",
                locationName: "start-after"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              OptionalObjectAttributes: {
                shape: "Sbx",
                location: "header",
                locationName: "x-amz-optional-object-attributes"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IsTruncated: {
                type: "boolean"
              },
              Contents: {
                shape: "Scf"
              },
              Name: {},
              Prefix: {},
              Delimiter: {},
              MaxKeys: {
                type: "integer"
              },
              CommonPrefixes: {
                shape: "Sbs"
              },
              EncodingType: {},
              KeyCount: {
                type: "integer"
              },
              ContinuationToken: {},
              NextContinuationToken: {},
              StartAfter: {},
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            }
          }
        },
        ListParts: {
          http: {
            method: "GET",
            requestUri: "/{Bucket}/{Key+}"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key",
              "UploadId"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              MaxParts: {
                location: "querystring",
                locationName: "max-parts",
                type: "integer"
              },
              PartNumberMarker: {
                location: "querystring",
                locationName: "part-number-marker",
                type: "integer"
              },
              UploadId: {
                location: "querystring",
                locationName: "uploadId"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKey: {
                shape: "Sk",
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AbortDate: {
                location: "header",
                locationName: "x-amz-abort-date",
                type: "timestamp"
              },
              AbortRuleId: {
                location: "header",
                locationName: "x-amz-abort-rule-id"
              },
              Bucket: {},
              Key: {},
              UploadId: {},
              PartNumberMarker: {
                type: "integer"
              },
              NextPartNumberMarker: {
                type: "integer"
              },
              MaxParts: {
                type: "integer"
              },
              IsTruncated: {
                type: "boolean"
              },
              Parts: {
                locationName: "Part",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PartNumber: {
                      type: "integer"
                    },
                    LastModified: {
                      type: "timestamp"
                    },
                    ETag: {},
                    Size: {
                      type: "integer"
                    },
                    ChecksumCRC32: {},
                    ChecksumCRC32C: {},
                    ChecksumSHA1: {},
                    ChecksumSHA256: {}
                  }
                },
                flattened: true
              },
              Initiator: {
                shape: "Sbr"
              },
              Owner: {
                shape: "S3d"
              },
              StorageClass: {},
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              },
              ChecksumAlgorithm: {}
            }
          }
        },
        PutBucketAccelerateConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?accelerate"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "AccelerateConfiguration"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              AccelerateConfiguration: {
                locationName: "AccelerateConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                },
                type: "structure",
                members: {
                  Status: {}
                }
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              }
            },
            payload: "AccelerateConfiguration"
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: false
          }
        },
        PutBucketAcl: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?acl"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              ACL: {
                location: "header",
                locationName: "x-amz-acl"
              },
              AccessControlPolicy: {
                shape: "Scu",
                locationName: "AccessControlPolicy",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              GrantFullControl: {
                location: "header",
                locationName: "x-amz-grant-full-control"
              },
              GrantRead: {
                location: "header",
                locationName: "x-amz-grant-read"
              },
              GrantReadACP: {
                location: "header",
                locationName: "x-amz-grant-read-acp"
              },
              GrantWrite: {
                location: "header",
                locationName: "x-amz-grant-write"
              },
              GrantWriteACP: {
                location: "header",
                locationName: "x-amz-grant-write-acp"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "AccessControlPolicy"
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutBucketAnalyticsConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?analytics"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Id",
              "AnalyticsConfiguration"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Id: {
                location: "querystring",
                locationName: "id"
              },
              AnalyticsConfiguration: {
                shape: "S3p",
                locationName: "AnalyticsConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "AnalyticsConfiguration"
          }
        },
        PutBucketCors: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?cors"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "CORSConfiguration"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              CORSConfiguration: {
                locationName: "CORSConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                },
                type: "structure",
                required: [
                  "CORSRules"
                ],
                members: {
                  CORSRules: {
                    shape: "S44",
                    locationName: "CORSRule"
                  }
                }
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "CORSConfiguration"
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutBucketEncryption: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?encryption"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "ServerSideEncryptionConfiguration"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              ServerSideEncryptionConfiguration: {
                shape: "S4h",
                locationName: "ServerSideEncryptionConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "ServerSideEncryptionConfiguration"
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutBucketIntelligentTieringConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?intelligent-tiering"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Id",
              "IntelligentTieringConfiguration"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Id: {
                location: "querystring",
                locationName: "id"
              },
              IntelligentTieringConfiguration: {
                shape: "S4n",
                locationName: "IntelligentTieringConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              }
            },
            payload: "IntelligentTieringConfiguration"
          }
        },
        PutBucketInventoryConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?inventory"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Id",
              "InventoryConfiguration"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Id: {
                location: "querystring",
                locationName: "id"
              },
              InventoryConfiguration: {
                shape: "S4x",
                locationName: "InventoryConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "InventoryConfiguration"
          }
        },
        PutBucketLifecycle: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?lifecycle"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              LifecycleConfiguration: {
                locationName: "LifecycleConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                },
                type: "structure",
                required: [
                  "Rules"
                ],
                members: {
                  Rules: {
                    shape: "S5d",
                    locationName: "Rule"
                  }
                }
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "LifecycleConfiguration"
          },
          deprecated: true,
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutBucketLifecycleConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?lifecycle"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              LifecycleConfiguration: {
                locationName: "LifecycleConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                },
                type: "structure",
                required: [
                  "Rules"
                ],
                members: {
                  Rules: {
                    shape: "S5t",
                    locationName: "Rule"
                  }
                }
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "LifecycleConfiguration"
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutBucketLogging: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?logging"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "BucketLoggingStatus"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              BucketLoggingStatus: {
                locationName: "BucketLoggingStatus",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                },
                type: "structure",
                members: {
                  LoggingEnabled: {
                    shape: "S65"
                  }
                }
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "BucketLoggingStatus"
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutBucketMetricsConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?metrics"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Id",
              "MetricsConfiguration"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Id: {
                location: "querystring",
                locationName: "id"
              },
              MetricsConfiguration: {
                shape: "S6d",
                locationName: "MetricsConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "MetricsConfiguration"
          }
        },
        PutBucketNotification: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?notification"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "NotificationConfiguration"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              NotificationConfiguration: {
                shape: "S6i",
                locationName: "NotificationConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "NotificationConfiguration"
          },
          deprecated: true,
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutBucketNotificationConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?notification"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "NotificationConfiguration"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              NotificationConfiguration: {
                shape: "S6t",
                locationName: "NotificationConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              SkipDestinationValidation: {
                location: "header",
                locationName: "x-amz-skip-destination-validation",
                type: "boolean"
              }
            },
            payload: "NotificationConfiguration"
          }
        },
        PutBucketOwnershipControls: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?ownershipControls"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "OwnershipControls"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              OwnershipControls: {
                shape: "S7a",
                locationName: "OwnershipControls",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              }
            },
            payload: "OwnershipControls"
          },
          httpChecksum: {
            requestChecksumRequired: true
          }
        },
        PutBucketPolicy: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?policy"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Policy"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              ConfirmRemoveSelfBucketAccess: {
                location: "header",
                locationName: "x-amz-confirm-remove-self-bucket-access",
                type: "boolean"
              },
              Policy: {},
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "Policy"
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutBucketReplication: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?replication"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "ReplicationConfiguration"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              ReplicationConfiguration: {
                shape: "S7m",
                locationName: "ReplicationConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              },
              Token: {
                location: "header",
                locationName: "x-amz-bucket-object-lock-token"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "ReplicationConfiguration"
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutBucketRequestPayment: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?requestPayment"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "RequestPaymentConfiguration"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              RequestPaymentConfiguration: {
                locationName: "RequestPaymentConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                },
                type: "structure",
                required: [
                  "Payer"
                ],
                members: {
                  Payer: {}
                }
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "RequestPaymentConfiguration"
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutBucketTagging: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?tagging"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Tagging"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              Tagging: {
                shape: "Sdk",
                locationName: "Tagging",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "Tagging"
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutBucketVersioning: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?versioning"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "VersioningConfiguration"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              MFA: {
                location: "header",
                locationName: "x-amz-mfa"
              },
              VersioningConfiguration: {
                locationName: "VersioningConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                },
                type: "structure",
                members: {
                  MFADelete: {
                    locationName: "MfaDelete"
                  },
                  Status: {}
                }
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "VersioningConfiguration"
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutBucketWebsite: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?website"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "WebsiteConfiguration"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              WebsiteConfiguration: {
                locationName: "WebsiteConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                },
                type: "structure",
                members: {
                  ErrorDocument: {
                    shape: "S8u"
                  },
                  IndexDocument: {
                    shape: "S8s"
                  },
                  RedirectAllRequestsTo: {
                    shape: "S8p"
                  },
                  RoutingRules: {
                    shape: "S8v"
                  }
                }
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "WebsiteConfiguration"
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutObject: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}/{Key+}"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key"
            ],
            members: {
              ACL: {
                location: "header",
                locationName: "x-amz-acl"
              },
              Body: {
                streaming: true,
                type: "blob"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              CacheControl: {
                location: "header",
                locationName: "Cache-Control"
              },
              ContentDisposition: {
                location: "header",
                locationName: "Content-Disposition"
              },
              ContentEncoding: {
                location: "header",
                locationName: "Content-Encoding"
              },
              ContentLanguage: {
                location: "header",
                locationName: "Content-Language"
              },
              ContentLength: {
                location: "header",
                locationName: "Content-Length",
                type: "long"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              ChecksumCRC32: {
                location: "header",
                locationName: "x-amz-checksum-crc32"
              },
              ChecksumCRC32C: {
                location: "header",
                locationName: "x-amz-checksum-crc32c"
              },
              ChecksumSHA1: {
                location: "header",
                locationName: "x-amz-checksum-sha1"
              },
              ChecksumSHA256: {
                location: "header",
                locationName: "x-amz-checksum-sha256"
              },
              Expires: {
                location: "header",
                locationName: "Expires",
                type: "timestamp"
              },
              GrantFullControl: {
                location: "header",
                locationName: "x-amz-grant-full-control"
              },
              GrantRead: {
                location: "header",
                locationName: "x-amz-grant-read"
              },
              GrantReadACP: {
                location: "header",
                locationName: "x-amz-grant-read-acp"
              },
              GrantWriteACP: {
                location: "header",
                locationName: "x-amz-grant-write-acp"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              Metadata: {
                shape: "S1b",
                location: "headers",
                locationName: "x-amz-meta-"
              },
              ServerSideEncryption: {
                location: "header",
                locationName: "x-amz-server-side-encryption"
              },
              StorageClass: {
                location: "header",
                locationName: "x-amz-storage-class"
              },
              WebsiteRedirectLocation: {
                location: "header",
                locationName: "x-amz-website-redirect-location"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKey: {
                shape: "Sk",
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              },
              SSEKMSKeyId: {
                shape: "Sr",
                location: "header",
                locationName: "x-amz-server-side-encryption-aws-kms-key-id"
              },
              SSEKMSEncryptionContext: {
                shape: "S1i",
                location: "header",
                locationName: "x-amz-server-side-encryption-context"
              },
              BucketKeyEnabled: {
                location: "header",
                locationName: "x-amz-server-side-encryption-bucket-key-enabled",
                type: "boolean"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              Tagging: {
                location: "header",
                locationName: "x-amz-tagging"
              },
              ObjectLockMode: {
                location: "header",
                locationName: "x-amz-object-lock-mode"
              },
              ObjectLockRetainUntilDate: {
                shape: "S1o",
                location: "header",
                locationName: "x-amz-object-lock-retain-until-date"
              },
              ObjectLockLegalHoldStatus: {
                location: "header",
                locationName: "x-amz-object-lock-legal-hold"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "Body"
          },
          output: {
            type: "structure",
            members: {
              Expiration: {
                location: "header",
                locationName: "x-amz-expiration"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              },
              ChecksumCRC32: {
                location: "header",
                locationName: "x-amz-checksum-crc32"
              },
              ChecksumCRC32C: {
                location: "header",
                locationName: "x-amz-checksum-crc32c"
              },
              ChecksumSHA1: {
                location: "header",
                locationName: "x-amz-checksum-sha1"
              },
              ChecksumSHA256: {
                location: "header",
                locationName: "x-amz-checksum-sha256"
              },
              ServerSideEncryption: {
                location: "header",
                locationName: "x-amz-server-side-encryption"
              },
              VersionId: {
                location: "header",
                locationName: "x-amz-version-id"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              },
              SSEKMSKeyId: {
                shape: "Sr",
                location: "header",
                locationName: "x-amz-server-side-encryption-aws-kms-key-id"
              },
              SSEKMSEncryptionContext: {
                shape: "S1i",
                location: "header",
                locationName: "x-amz-server-side-encryption-context"
              },
              BucketKeyEnabled: {
                location: "header",
                locationName: "x-amz-server-side-encryption-bucket-key-enabled",
                type: "boolean"
              },
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            }
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: false
          }
        },
        PutObjectAcl: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}/{Key+}?acl"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key"
            ],
            members: {
              ACL: {
                location: "header",
                locationName: "x-amz-acl"
              },
              AccessControlPolicy: {
                shape: "Scu",
                locationName: "AccessControlPolicy",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              GrantFullControl: {
                location: "header",
                locationName: "x-amz-grant-full-control"
              },
              GrantRead: {
                location: "header",
                locationName: "x-amz-grant-read"
              },
              GrantReadACP: {
                location: "header",
                locationName: "x-amz-grant-read-acp"
              },
              GrantWrite: {
                location: "header",
                locationName: "x-amz-grant-write"
              },
              GrantWriteACP: {
                location: "header",
                locationName: "x-amz-grant-write-acp"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionId"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "AccessControlPolicy"
          },
          output: {
            type: "structure",
            members: {
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            }
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutObjectLegalHold: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}/{Key+}?legal-hold"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              LegalHold: {
                shape: "Sa9",
                locationName: "LegalHold",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionId"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "LegalHold"
          },
          output: {
            type: "structure",
            members: {
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            }
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutObjectLockConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?object-lock"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ObjectLockConfiguration: {
                shape: "Sac",
                locationName: "ObjectLockConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              Token: {
                location: "header",
                locationName: "x-amz-bucket-object-lock-token"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "ObjectLockConfiguration"
          },
          output: {
            type: "structure",
            members: {
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            }
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutObjectRetention: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}/{Key+}?retention"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              Retention: {
                shape: "Sak",
                locationName: "Retention",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionId"
              },
              BypassGovernanceRetention: {
                location: "header",
                locationName: "x-amz-bypass-governance-retention",
                type: "boolean"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "Retention"
          },
          output: {
            type: "structure",
            members: {
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            }
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutObjectTagging: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}/{Key+}?tagging"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key",
              "Tagging"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionId"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              Tagging: {
                shape: "Sdk",
                locationName: "Tagging",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              }
            },
            payload: "Tagging"
          },
          output: {
            type: "structure",
            members: {
              VersionId: {
                location: "header",
                locationName: "x-amz-version-id"
              }
            }
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        PutPublicAccessBlock: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}?publicAccessBlock"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "PublicAccessBlockConfiguration"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              PublicAccessBlockConfiguration: {
                shape: "Sar",
                locationName: "PublicAccessBlockConfiguration",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                }
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "PublicAccessBlockConfiguration"
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: true
          }
        },
        RestoreObject: {
          http: {
            requestUri: "/{Bucket}/{Key+}?restore"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionId"
              },
              RestoreRequest: {
                locationName: "RestoreRequest",
                xmlNamespace: {
                  uri: "http://s3.amazonaws.com/doc/2006-03-01/"
                },
                type: "structure",
                members: {
                  Days: {
                    type: "integer"
                  },
                  GlacierJobParameters: {
                    type: "structure",
                    required: [
                      "Tier"
                    ],
                    members: {
                      Tier: {}
                    }
                  },
                  Type: {},
                  Tier: {},
                  Description: {},
                  SelectParameters: {
                    type: "structure",
                    required: [
                      "InputSerialization",
                      "ExpressionType",
                      "Expression",
                      "OutputSerialization"
                    ],
                    members: {
                      InputSerialization: {
                        shape: "Sea"
                      },
                      ExpressionType: {},
                      Expression: {},
                      OutputSerialization: {
                        shape: "Sep"
                      }
                    }
                  },
                  OutputLocation: {
                    type: "structure",
                    members: {
                      S3: {
                        type: "structure",
                        required: [
                          "BucketName",
                          "Prefix"
                        ],
                        members: {
                          BucketName: {},
                          Prefix: {},
                          Encryption: {
                            type: "structure",
                            required: [
                              "EncryptionType"
                            ],
                            members: {
                              EncryptionType: {},
                              KMSKeyId: {
                                shape: "Sr"
                              },
                              KMSContext: {}
                            }
                          },
                          CannedACL: {},
                          AccessControlList: {
                            shape: "S3g"
                          },
                          Tagging: {
                            shape: "Sdk"
                          },
                          UserMetadata: {
                            type: "list",
                            member: {
                              locationName: "MetadataEntry",
                              type: "structure",
                              members: {
                                Name: {},
                                Value: {}
                              }
                            }
                          },
                          StorageClass: {}
                        }
                      }
                    }
                  }
                }
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "RestoreRequest"
          },
          output: {
            type: "structure",
            members: {
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              },
              RestoreOutputPath: {
                location: "header",
                locationName: "x-amz-restore-output-path"
              }
            }
          },
          alias: "PostObjectRestore",
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: false
          }
        },
        SelectObjectContent: {
          http: {
            requestUri: "/{Bucket}/{Key+}?select&select-type=2"
          },
          input: {
            locationName: "SelectObjectContentRequest",
            xmlNamespace: {
              uri: "http://s3.amazonaws.com/doc/2006-03-01/"
            },
            type: "structure",
            required: [
              "Bucket",
              "Key",
              "Expression",
              "ExpressionType",
              "InputSerialization",
              "OutputSerialization"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKey: {
                shape: "Sk",
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              },
              Expression: {},
              ExpressionType: {},
              RequestProgress: {
                type: "structure",
                members: {
                  Enabled: {
                    type: "boolean"
                  }
                }
              },
              InputSerialization: {
                shape: "Sea"
              },
              OutputSerialization: {
                shape: "Sep"
              },
              ScanRange: {
                type: "structure",
                members: {
                  Start: {
                    type: "long"
                  },
                  End: {
                    type: "long"
                  }
                }
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Payload: {
                type: "structure",
                members: {
                  Records: {
                    type: "structure",
                    members: {
                      Payload: {
                        eventpayload: true,
                        type: "blob"
                      }
                    },
                    event: true
                  },
                  Stats: {
                    type: "structure",
                    members: {
                      Details: {
                        eventpayload: true,
                        type: "structure",
                        members: {
                          BytesScanned: {
                            type: "long"
                          },
                          BytesProcessed: {
                            type: "long"
                          },
                          BytesReturned: {
                            type: "long"
                          }
                        }
                      }
                    },
                    event: true
                  },
                  Progress: {
                    type: "structure",
                    members: {
                      Details: {
                        eventpayload: true,
                        type: "structure",
                        members: {
                          BytesScanned: {
                            type: "long"
                          },
                          BytesProcessed: {
                            type: "long"
                          },
                          BytesReturned: {
                            type: "long"
                          }
                        }
                      }
                    },
                    event: true
                  },
                  Cont: {
                    type: "structure",
                    members: {},
                    event: true
                  },
                  End: {
                    type: "structure",
                    members: {},
                    event: true
                  }
                },
                eventstream: true
              }
            },
            payload: "Payload"
          }
        },
        UploadPart: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}/{Key+}"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "Key",
              "PartNumber",
              "UploadId"
            ],
            members: {
              Body: {
                streaming: true,
                type: "blob"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              ContentLength: {
                location: "header",
                locationName: "Content-Length",
                type: "long"
              },
              ContentMD5: {
                location: "header",
                locationName: "Content-MD5"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-sdk-checksum-algorithm"
              },
              ChecksumCRC32: {
                location: "header",
                locationName: "x-amz-checksum-crc32"
              },
              ChecksumCRC32C: {
                location: "header",
                locationName: "x-amz-checksum-crc32c"
              },
              ChecksumSHA1: {
                location: "header",
                locationName: "x-amz-checksum-sha1"
              },
              ChecksumSHA256: {
                location: "header",
                locationName: "x-amz-checksum-sha256"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              PartNumber: {
                location: "querystring",
                locationName: "partNumber",
                type: "integer"
              },
              UploadId: {
                location: "querystring",
                locationName: "uploadId"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKey: {
                shape: "Sk",
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              }
            },
            payload: "Body"
          },
          output: {
            type: "structure",
            members: {
              ServerSideEncryption: {
                location: "header",
                locationName: "x-amz-server-side-encryption"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              },
              ChecksumCRC32: {
                location: "header",
                locationName: "x-amz-checksum-crc32"
              },
              ChecksumCRC32C: {
                location: "header",
                locationName: "x-amz-checksum-crc32c"
              },
              ChecksumSHA1: {
                location: "header",
                locationName: "x-amz-checksum-sha1"
              },
              ChecksumSHA256: {
                location: "header",
                locationName: "x-amz-checksum-sha256"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              },
              SSEKMSKeyId: {
                shape: "Sr",
                location: "header",
                locationName: "x-amz-server-side-encryption-aws-kms-key-id"
              },
              BucketKeyEnabled: {
                location: "header",
                locationName: "x-amz-server-side-encryption-bucket-key-enabled",
                type: "boolean"
              },
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            }
          },
          httpChecksum: {
            requestAlgorithmMember: "ChecksumAlgorithm",
            requestChecksumRequired: false
          }
        },
        UploadPartCopy: {
          http: {
            method: "PUT",
            requestUri: "/{Bucket}/{Key+}"
          },
          input: {
            type: "structure",
            required: [
              "Bucket",
              "CopySource",
              "Key",
              "PartNumber",
              "UploadId"
            ],
            members: {
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "Bucket"
              },
              CopySource: {
                location: "header",
                locationName: "x-amz-copy-source"
              },
              CopySourceIfMatch: {
                location: "header",
                locationName: "x-amz-copy-source-if-match"
              },
              CopySourceIfModifiedSince: {
                location: "header",
                locationName: "x-amz-copy-source-if-modified-since",
                type: "timestamp"
              },
              CopySourceIfNoneMatch: {
                location: "header",
                locationName: "x-amz-copy-source-if-none-match"
              },
              CopySourceIfUnmodifiedSince: {
                location: "header",
                locationName: "x-amz-copy-source-if-unmodified-since",
                type: "timestamp"
              },
              CopySourceRange: {
                location: "header",
                locationName: "x-amz-copy-source-range"
              },
              Key: {
                location: "uri",
                locationName: "Key"
              },
              PartNumber: {
                location: "querystring",
                locationName: "partNumber",
                type: "integer"
              },
              UploadId: {
                location: "querystring",
                locationName: "uploadId"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKey: {
                shape: "Sk",
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              },
              CopySourceSSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-copy-source-server-side-encryption-customer-algorithm"
              },
              CopySourceSSECustomerKey: {
                shape: "S1k",
                location: "header",
                locationName: "x-amz-copy-source-server-side-encryption-customer-key"
              },
              CopySourceSSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-copy-source-server-side-encryption-customer-key-MD5"
              },
              RequestPayer: {
                location: "header",
                locationName: "x-amz-request-payer"
              },
              ExpectedBucketOwner: {
                location: "header",
                locationName: "x-amz-expected-bucket-owner"
              },
              ExpectedSourceBucketOwner: {
                location: "header",
                locationName: "x-amz-source-expected-bucket-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CopySourceVersionId: {
                location: "header",
                locationName: "x-amz-copy-source-version-id"
              },
              CopyPartResult: {
                type: "structure",
                members: {
                  ETag: {},
                  LastModified: {
                    type: "timestamp"
                  },
                  ChecksumCRC32: {},
                  ChecksumCRC32C: {},
                  ChecksumSHA1: {},
                  ChecksumSHA256: {}
                }
              },
              ServerSideEncryption: {
                location: "header",
                locationName: "x-amz-server-side-encryption"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-algorithm"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-server-side-encryption-customer-key-MD5"
              },
              SSEKMSKeyId: {
                shape: "Sr",
                location: "header",
                locationName: "x-amz-server-side-encryption-aws-kms-key-id"
              },
              BucketKeyEnabled: {
                location: "header",
                locationName: "x-amz-server-side-encryption-bucket-key-enabled",
                type: "boolean"
              },
              RequestCharged: {
                location: "header",
                locationName: "x-amz-request-charged"
              }
            },
            payload: "CopyPartResult"
          }
        },
        WriteGetObjectResponse: {
          http: {
            requestUri: "/WriteGetObjectResponse"
          },
          input: {
            type: "structure",
            required: [
              "RequestRoute",
              "RequestToken"
            ],
            members: {
              RequestRoute: {
                hostLabel: true,
                location: "header",
                locationName: "x-amz-request-route"
              },
              RequestToken: {
                location: "header",
                locationName: "x-amz-request-token"
              },
              Body: {
                streaming: true,
                type: "blob"
              },
              StatusCode: {
                location: "header",
                locationName: "x-amz-fwd-status",
                type: "integer"
              },
              ErrorCode: {
                location: "header",
                locationName: "x-amz-fwd-error-code"
              },
              ErrorMessage: {
                location: "header",
                locationName: "x-amz-fwd-error-message"
              },
              AcceptRanges: {
                location: "header",
                locationName: "x-amz-fwd-header-accept-ranges"
              },
              CacheControl: {
                location: "header",
                locationName: "x-amz-fwd-header-Cache-Control"
              },
              ContentDisposition: {
                location: "header",
                locationName: "x-amz-fwd-header-Content-Disposition"
              },
              ContentEncoding: {
                location: "header",
                locationName: "x-amz-fwd-header-Content-Encoding"
              },
              ContentLanguage: {
                location: "header",
                locationName: "x-amz-fwd-header-Content-Language"
              },
              ContentLength: {
                location: "header",
                locationName: "Content-Length",
                type: "long"
              },
              ContentRange: {
                location: "header",
                locationName: "x-amz-fwd-header-Content-Range"
              },
              ContentType: {
                location: "header",
                locationName: "x-amz-fwd-header-Content-Type"
              },
              ChecksumCRC32: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-checksum-crc32"
              },
              ChecksumCRC32C: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-checksum-crc32c"
              },
              ChecksumSHA1: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-checksum-sha1"
              },
              ChecksumSHA256: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-checksum-sha256"
              },
              DeleteMarker: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-delete-marker",
                type: "boolean"
              },
              ETag: {
                location: "header",
                locationName: "x-amz-fwd-header-ETag"
              },
              Expires: {
                location: "header",
                locationName: "x-amz-fwd-header-Expires",
                type: "timestamp"
              },
              Expiration: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-expiration"
              },
              LastModified: {
                location: "header",
                locationName: "x-amz-fwd-header-Last-Modified",
                type: "timestamp"
              },
              MissingMeta: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-missing-meta",
                type: "integer"
              },
              Metadata: {
                shape: "S1b",
                location: "headers",
                locationName: "x-amz-meta-"
              },
              ObjectLockMode: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-object-lock-mode"
              },
              ObjectLockLegalHoldStatus: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-object-lock-legal-hold"
              },
              ObjectLockRetainUntilDate: {
                shape: "S1o",
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-object-lock-retain-until-date"
              },
              PartsCount: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-mp-parts-count",
                type: "integer"
              },
              ReplicationStatus: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-replication-status"
              },
              RequestCharged: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-request-charged"
              },
              Restore: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-restore"
              },
              ServerSideEncryption: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-server-side-encryption"
              },
              SSECustomerAlgorithm: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-server-side-encryption-customer-algorithm"
              },
              SSEKMSKeyId: {
                shape: "Sr",
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-server-side-encryption-aws-kms-key-id"
              },
              SSECustomerKeyMD5: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-server-side-encryption-customer-key-MD5"
              },
              StorageClass: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-storage-class"
              },
              TagCount: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-tagging-count",
                type: "integer"
              },
              VersionId: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-version-id"
              },
              BucketKeyEnabled: {
                location: "header",
                locationName: "x-amz-fwd-header-x-amz-server-side-encryption-bucket-key-enabled",
                type: "boolean"
              }
            },
            payload: "Body"
          },
          authtype: "v4-unsigned-body",
          endpoint: {
            hostPrefix: "{RequestRoute}."
          },
          staticContextParams: {
            UseObjectLambdaEndpoint: {
              value: true
            }
          }
        }
      },
      shapes: {
        Sk: {
          type: "blob",
          sensitive: true
        },
        Sr: {
          type: "string",
          sensitive: true
        },
        S1b: {
          type: "map",
          key: {},
          value: {}
        },
        S1i: {
          type: "string",
          sensitive: true
        },
        S1k: {
          type: "blob",
          sensitive: true
        },
        S1o: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S3d: {
          type: "structure",
          members: {
            DisplayName: {},
            ID: {}
          }
        },
        S3g: {
          type: "list",
          member: {
            locationName: "Grant",
            type: "structure",
            members: {
              Grantee: {
                shape: "S3i"
              },
              Permission: {}
            }
          }
        },
        S3i: {
          type: "structure",
          required: [
            "Type"
          ],
          members: {
            DisplayName: {},
            EmailAddress: {},
            ID: {},
            Type: {
              locationName: "xsi:type",
              xmlAttribute: true
            },
            URI: {}
          },
          xmlNamespace: {
            prefix: "xsi",
            uri: "http://www.w3.org/2001/XMLSchema-instance"
          }
        },
        S3p: {
          type: "structure",
          required: [
            "Id",
            "StorageClassAnalysis"
          ],
          members: {
            Id: {},
            Filter: {
              type: "structure",
              members: {
                Prefix: {},
                Tag: {
                  shape: "S3s"
                },
                And: {
                  type: "structure",
                  members: {
                    Prefix: {},
                    Tags: {
                      shape: "S3v",
                      flattened: true,
                      locationName: "Tag"
                    }
                  }
                }
              }
            },
            StorageClassAnalysis: {
              type: "structure",
              members: {
                DataExport: {
                  type: "structure",
                  required: [
                    "OutputSchemaVersion",
                    "Destination"
                  ],
                  members: {
                    OutputSchemaVersion: {},
                    Destination: {
                      type: "structure",
                      required: [
                        "S3BucketDestination"
                      ],
                      members: {
                        S3BucketDestination: {
                          type: "structure",
                          required: [
                            "Format",
                            "Bucket"
                          ],
                          members: {
                            Format: {},
                            BucketAccountId: {},
                            Bucket: {},
                            Prefix: {}
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S3s: {
          type: "structure",
          required: [
            "Key",
            "Value"
          ],
          members: {
            Key: {},
            Value: {}
          }
        },
        S3v: {
          type: "list",
          member: {
            shape: "S3s",
            locationName: "Tag"
          }
        },
        S44: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AllowedMethods",
              "AllowedOrigins"
            ],
            members: {
              ID: {},
              AllowedHeaders: {
                locationName: "AllowedHeader",
                type: "list",
                member: {},
                flattened: true
              },
              AllowedMethods: {
                locationName: "AllowedMethod",
                type: "list",
                member: {},
                flattened: true
              },
              AllowedOrigins: {
                locationName: "AllowedOrigin",
                type: "list",
                member: {},
                flattened: true
              },
              ExposeHeaders: {
                locationName: "ExposeHeader",
                type: "list",
                member: {},
                flattened: true
              },
              MaxAgeSeconds: {
                type: "integer"
              }
            }
          },
          flattened: true
        },
        S4h: {
          type: "structure",
          required: [
            "Rules"
          ],
          members: {
            Rules: {
              locationName: "Rule",
              type: "list",
              member: {
                type: "structure",
                members: {
                  ApplyServerSideEncryptionByDefault: {
                    type: "structure",
                    required: [
                      "SSEAlgorithm"
                    ],
                    members: {
                      SSEAlgorithm: {},
                      KMSMasterKeyID: {
                        shape: "Sr"
                      }
                    }
                  },
                  BucketKeyEnabled: {
                    type: "boolean"
                  }
                }
              },
              flattened: true
            }
          }
        },
        S4n: {
          type: "structure",
          required: [
            "Id",
            "Status",
            "Tierings"
          ],
          members: {
            Id: {},
            Filter: {
              type: "structure",
              members: {
                Prefix: {},
                Tag: {
                  shape: "S3s"
                },
                And: {
                  type: "structure",
                  members: {
                    Prefix: {},
                    Tags: {
                      shape: "S3v",
                      flattened: true,
                      locationName: "Tag"
                    }
                  }
                }
              }
            },
            Status: {},
            Tierings: {
              locationName: "Tiering",
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Days",
                  "AccessTier"
                ],
                members: {
                  Days: {
                    type: "integer"
                  },
                  AccessTier: {}
                }
              },
              flattened: true
            }
          }
        },
        S4x: {
          type: "structure",
          required: [
            "Destination",
            "IsEnabled",
            "Id",
            "IncludedObjectVersions",
            "Schedule"
          ],
          members: {
            Destination: {
              type: "structure",
              required: [
                "S3BucketDestination"
              ],
              members: {
                S3BucketDestination: {
                  type: "structure",
                  required: [
                    "Bucket",
                    "Format"
                  ],
                  members: {
                    AccountId: {},
                    Bucket: {},
                    Format: {},
                    Prefix: {},
                    Encryption: {
                      type: "structure",
                      members: {
                        SSES3: {
                          locationName: "SSE-S3",
                          type: "structure",
                          members: {}
                        },
                        SSEKMS: {
                          locationName: "SSE-KMS",
                          type: "structure",
                          required: [
                            "KeyId"
                          ],
                          members: {
                            KeyId: {
                              shape: "Sr"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            IsEnabled: {
              type: "boolean"
            },
            Filter: {
              type: "structure",
              required: [
                "Prefix"
              ],
              members: {
                Prefix: {}
              }
            },
            Id: {},
            IncludedObjectVersions: {},
            OptionalFields: {
              type: "list",
              member: {
                locationName: "Field"
              }
            },
            Schedule: {
              type: "structure",
              required: [
                "Frequency"
              ],
              members: {
                Frequency: {}
              }
            }
          }
        },
        S5d: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Prefix",
              "Status"
            ],
            members: {
              Expiration: {
                shape: "S5f"
              },
              ID: {},
              Prefix: {},
              Status: {},
              Transition: {
                shape: "S5k"
              },
              NoncurrentVersionTransition: {
                shape: "S5m"
              },
              NoncurrentVersionExpiration: {
                shape: "S5o"
              },
              AbortIncompleteMultipartUpload: {
                shape: "S5p"
              }
            }
          },
          flattened: true
        },
        S5f: {
          type: "structure",
          members: {
            Date: {
              shape: "S5g"
            },
            Days: {
              type: "integer"
            },
            ExpiredObjectDeleteMarker: {
              type: "boolean"
            }
          }
        },
        S5g: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S5k: {
          type: "structure",
          members: {
            Date: {
              shape: "S5g"
            },
            Days: {
              type: "integer"
            },
            StorageClass: {}
          }
        },
        S5m: {
          type: "structure",
          members: {
            NoncurrentDays: {
              type: "integer"
            },
            StorageClass: {},
            NewerNoncurrentVersions: {
              type: "integer"
            }
          }
        },
        S5o: {
          type: "structure",
          members: {
            NoncurrentDays: {
              type: "integer"
            },
            NewerNoncurrentVersions: {
              type: "integer"
            }
          }
        },
        S5p: {
          type: "structure",
          members: {
            DaysAfterInitiation: {
              type: "integer"
            }
          }
        },
        S5t: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Status"
            ],
            members: {
              Expiration: {
                shape: "S5f"
              },
              ID: {},
              Prefix: {
                deprecated: true
              },
              Filter: {
                type: "structure",
                members: {
                  Prefix: {},
                  Tag: {
                    shape: "S3s"
                  },
                  ObjectSizeGreaterThan: {
                    type: "long"
                  },
                  ObjectSizeLessThan: {
                    type: "long"
                  },
                  And: {
                    type: "structure",
                    members: {
                      Prefix: {},
                      Tags: {
                        shape: "S3v",
                        flattened: true,
                        locationName: "Tag"
                      },
                      ObjectSizeGreaterThan: {
                        type: "long"
                      },
                      ObjectSizeLessThan: {
                        type: "long"
                      }
                    }
                  }
                }
              },
              Status: {},
              Transitions: {
                locationName: "Transition",
                type: "list",
                member: {
                  shape: "S5k"
                },
                flattened: true
              },
              NoncurrentVersionTransitions: {
                locationName: "NoncurrentVersionTransition",
                type: "list",
                member: {
                  shape: "S5m"
                },
                flattened: true
              },
              NoncurrentVersionExpiration: {
                shape: "S5o"
              },
              AbortIncompleteMultipartUpload: {
                shape: "S5p"
              }
            }
          },
          flattened: true
        },
        S65: {
          type: "structure",
          required: [
            "TargetBucket",
            "TargetPrefix"
          ],
          members: {
            TargetBucket: {},
            TargetGrants: {
              type: "list",
              member: {
                locationName: "Grant",
                type: "structure",
                members: {
                  Grantee: {
                    shape: "S3i"
                  },
                  Permission: {}
                }
              }
            },
            TargetPrefix: {}
          }
        },
        S6d: {
          type: "structure",
          required: [
            "Id"
          ],
          members: {
            Id: {},
            Filter: {
              type: "structure",
              members: {
                Prefix: {},
                Tag: {
                  shape: "S3s"
                },
                AccessPointArn: {},
                And: {
                  type: "structure",
                  members: {
                    Prefix: {},
                    Tags: {
                      shape: "S3v",
                      flattened: true,
                      locationName: "Tag"
                    },
                    AccessPointArn: {}
                  }
                }
              }
            }
          }
        },
        S6h: {
          type: "structure",
          required: [
            "Bucket"
          ],
          members: {
            Bucket: {
              contextParam: {
                name: "Bucket"
              },
              location: "uri",
              locationName: "Bucket"
            },
            ExpectedBucketOwner: {
              location: "header",
              locationName: "x-amz-expected-bucket-owner"
            }
          }
        },
        S6i: {
          type: "structure",
          members: {
            TopicConfiguration: {
              type: "structure",
              members: {
                Id: {},
                Events: {
                  shape: "S6l",
                  locationName: "Event"
                },
                Event: {
                  deprecated: true
                },
                Topic: {}
              }
            },
            QueueConfiguration: {
              type: "structure",
              members: {
                Id: {},
                Event: {
                  deprecated: true
                },
                Events: {
                  shape: "S6l",
                  locationName: "Event"
                },
                Queue: {}
              }
            },
            CloudFunctionConfiguration: {
              type: "structure",
              members: {
                Id: {},
                Event: {
                  deprecated: true
                },
                Events: {
                  shape: "S6l",
                  locationName: "Event"
                },
                CloudFunction: {},
                InvocationRole: {}
              }
            }
          }
        },
        S6l: {
          type: "list",
          member: {},
          flattened: true
        },
        S6t: {
          type: "structure",
          members: {
            TopicConfigurations: {
              locationName: "TopicConfiguration",
              type: "list",
              member: {
                type: "structure",
                required: [
                  "TopicArn",
                  "Events"
                ],
                members: {
                  Id: {},
                  TopicArn: {
                    locationName: "Topic"
                  },
                  Events: {
                    shape: "S6l",
                    locationName: "Event"
                  },
                  Filter: {
                    shape: "S6w"
                  }
                }
              },
              flattened: true
            },
            QueueConfigurations: {
              locationName: "QueueConfiguration",
              type: "list",
              member: {
                type: "structure",
                required: [
                  "QueueArn",
                  "Events"
                ],
                members: {
                  Id: {},
                  QueueArn: {
                    locationName: "Queue"
                  },
                  Events: {
                    shape: "S6l",
                    locationName: "Event"
                  },
                  Filter: {
                    shape: "S6w"
                  }
                }
              },
              flattened: true
            },
            LambdaFunctionConfigurations: {
              locationName: "CloudFunctionConfiguration",
              type: "list",
              member: {
                type: "structure",
                required: [
                  "LambdaFunctionArn",
                  "Events"
                ],
                members: {
                  Id: {},
                  LambdaFunctionArn: {
                    locationName: "CloudFunction"
                  },
                  Events: {
                    shape: "S6l",
                    locationName: "Event"
                  },
                  Filter: {
                    shape: "S6w"
                  }
                }
              },
              flattened: true
            },
            EventBridgeConfiguration: {
              type: "structure",
              members: {}
            }
          }
        },
        S6w: {
          type: "structure",
          members: {
            Key: {
              locationName: "S3Key",
              type: "structure",
              members: {
                FilterRules: {
                  locationName: "FilterRule",
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      Name: {},
                      Value: {}
                    }
                  },
                  flattened: true
                }
              }
            }
          }
        },
        S7a: {
          type: "structure",
          required: [
            "Rules"
          ],
          members: {
            Rules: {
              locationName: "Rule",
              type: "list",
              member: {
                type: "structure",
                required: [
                  "ObjectOwnership"
                ],
                members: {
                  ObjectOwnership: {}
                }
              },
              flattened: true
            }
          }
        },
        S7m: {
          type: "structure",
          required: [
            "Role",
            "Rules"
          ],
          members: {
            Role: {},
            Rules: {
              locationName: "Rule",
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Status",
                  "Destination"
                ],
                members: {
                  ID: {},
                  Priority: {
                    type: "integer"
                  },
                  Prefix: {
                    deprecated: true
                  },
                  Filter: {
                    type: "structure",
                    members: {
                      Prefix: {},
                      Tag: {
                        shape: "S3s"
                      },
                      And: {
                        type: "structure",
                        members: {
                          Prefix: {},
                          Tags: {
                            shape: "S3v",
                            flattened: true,
                            locationName: "Tag"
                          }
                        }
                      }
                    }
                  },
                  Status: {},
                  SourceSelectionCriteria: {
                    type: "structure",
                    members: {
                      SseKmsEncryptedObjects: {
                        type: "structure",
                        required: [
                          "Status"
                        ],
                        members: {
                          Status: {}
                        }
                      },
                      ReplicaModifications: {
                        type: "structure",
                        required: [
                          "Status"
                        ],
                        members: {
                          Status: {}
                        }
                      }
                    }
                  },
                  ExistingObjectReplication: {
                    type: "structure",
                    required: [
                      "Status"
                    ],
                    members: {
                      Status: {}
                    }
                  },
                  Destination: {
                    type: "structure",
                    required: [
                      "Bucket"
                    ],
                    members: {
                      Bucket: {},
                      Account: {},
                      StorageClass: {},
                      AccessControlTranslation: {
                        type: "structure",
                        required: [
                          "Owner"
                        ],
                        members: {
                          Owner: {}
                        }
                      },
                      EncryptionConfiguration: {
                        type: "structure",
                        members: {
                          ReplicaKmsKeyID: {}
                        }
                      },
                      ReplicationTime: {
                        type: "structure",
                        required: [
                          "Status",
                          "Time"
                        ],
                        members: {
                          Status: {},
                          Time: {
                            shape: "S88"
                          }
                        }
                      },
                      Metrics: {
                        type: "structure",
                        required: [
                          "Status"
                        ],
                        members: {
                          Status: {},
                          EventThreshold: {
                            shape: "S88"
                          }
                        }
                      }
                    }
                  },
                  DeleteMarkerReplication: {
                    type: "structure",
                    members: {
                      Status: {}
                    }
                  }
                }
              },
              flattened: true
            }
          }
        },
        S88: {
          type: "structure",
          members: {
            Minutes: {
              type: "integer"
            }
          }
        },
        S8p: {
          type: "structure",
          required: [
            "HostName"
          ],
          members: {
            HostName: {},
            Protocol: {}
          }
        },
        S8s: {
          type: "structure",
          required: [
            "Suffix"
          ],
          members: {
            Suffix: {}
          }
        },
        S8u: {
          type: "structure",
          required: [
            "Key"
          ],
          members: {
            Key: {}
          }
        },
        S8v: {
          type: "list",
          member: {
            locationName: "RoutingRule",
            type: "structure",
            required: [
              "Redirect"
            ],
            members: {
              Condition: {
                type: "structure",
                members: {
                  HttpErrorCodeReturnedEquals: {},
                  KeyPrefixEquals: {}
                }
              },
              Redirect: {
                type: "structure",
                members: {
                  HostName: {},
                  HttpRedirectCode: {},
                  Protocol: {},
                  ReplaceKeyPrefixWith: {},
                  ReplaceKeyWith: {}
                }
              }
            }
          }
        },
        Sa9: {
          type: "structure",
          members: {
            Status: {}
          }
        },
        Sac: {
          type: "structure",
          members: {
            ObjectLockEnabled: {},
            Rule: {
              type: "structure",
              members: {
                DefaultRetention: {
                  type: "structure",
                  members: {
                    Mode: {},
                    Days: {
                      type: "integer"
                    },
                    Years: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        Sak: {
          type: "structure",
          members: {
            Mode: {},
            RetainUntilDate: {
              shape: "S5g"
            }
          }
        },
        Sar: {
          type: "structure",
          members: {
            BlockPublicAcls: {
              locationName: "BlockPublicAcls",
              type: "boolean"
            },
            IgnorePublicAcls: {
              locationName: "IgnorePublicAcls",
              type: "boolean"
            },
            BlockPublicPolicy: {
              locationName: "BlockPublicPolicy",
              type: "boolean"
            },
            RestrictPublicBuckets: {
              locationName: "RestrictPublicBuckets",
              type: "boolean"
            }
          }
        },
        Sbr: {
          type: "structure",
          members: {
            ID: {},
            DisplayName: {}
          }
        },
        Sbs: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Prefix: {}
            }
          },
          flattened: true
        },
        Sbx: {
          type: "list",
          member: {}
        },
        Sc3: {
          type: "list",
          member: {},
          flattened: true
        },
        Sc6: {
          type: "structure",
          members: {
            IsRestoreInProgress: {
              type: "boolean"
            },
            RestoreExpiryDate: {
              type: "timestamp"
            }
          }
        },
        Scf: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              LastModified: {
                type: "timestamp"
              },
              ETag: {},
              ChecksumAlgorithm: {
                shape: "Sc3"
              },
              Size: {
                type: "integer"
              },
              StorageClass: {},
              Owner: {
                shape: "S3d"
              },
              RestoreStatus: {
                shape: "Sc6"
              }
            }
          },
          flattened: true
        },
        Scu: {
          type: "structure",
          members: {
            Grants: {
              shape: "S3g",
              locationName: "AccessControlList"
            },
            Owner: {
              shape: "S3d"
            }
          }
        },
        Sdk: {
          type: "structure",
          required: [
            "TagSet"
          ],
          members: {
            TagSet: {
              shape: "S3v"
            }
          }
        },
        Sea: {
          type: "structure",
          members: {
            CSV: {
              type: "structure",
              members: {
                FileHeaderInfo: {},
                Comments: {},
                QuoteEscapeCharacter: {},
                RecordDelimiter: {},
                FieldDelimiter: {},
                QuoteCharacter: {},
                AllowQuotedRecordDelimiter: {
                  type: "boolean"
                }
              }
            },
            CompressionType: {},
            JSON: {
              type: "structure",
              members: {
                Type: {}
              }
            },
            Parquet: {
              type: "structure",
              members: {}
            }
          }
        },
        Sep: {
          type: "structure",
          members: {
            CSV: {
              type: "structure",
              members: {
                QuoteFields: {},
                QuoteEscapeCharacter: {},
                RecordDelimiter: {},
                FieldDelimiter: {},
                QuoteCharacter: {}
              }
            },
            JSON: {
              type: "structure",
              members: {
                RecordDelimiter: {}
              }
            }
          }
        }
      },
      clientContextParams: {
        Accelerate: {
          documentation: "Enables this client to use S3 Transfer Acceleration endpoints.",
          type: "boolean"
        },
        DisableMultiRegionAccessPoints: {
          documentation: "Disables this client's usage of Multi-Region Access Points.",
          type: "boolean"
        },
        ForcePathStyle: {
          documentation: "Forces this client to use path-style addressing for buckets.",
          type: "boolean"
        },
        UseArnRegion: {
          documentation: "Enables this client to use an ARN's region when constructing an endpoint instead of the client's configured region.",
          type: "boolean"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/s3-2006-03-01.paginators.json
var require_s3_2006_03_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/s3-2006-03-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListBuckets: {
          result_key: "Buckets"
        },
        ListMultipartUploads: {
          input_token: [
            "KeyMarker",
            "UploadIdMarker"
          ],
          limit_key: "MaxUploads",
          more_results: "IsTruncated",
          output_token: [
            "NextKeyMarker",
            "NextUploadIdMarker"
          ],
          result_key: [
            "Uploads",
            "CommonPrefixes"
          ]
        },
        ListObjectVersions: {
          input_token: [
            "KeyMarker",
            "VersionIdMarker"
          ],
          limit_key: "MaxKeys",
          more_results: "IsTruncated",
          output_token: [
            "NextKeyMarker",
            "NextVersionIdMarker"
          ],
          result_key: [
            "Versions",
            "DeleteMarkers",
            "CommonPrefixes"
          ]
        },
        ListObjects: {
          input_token: "Marker",
          limit_key: "MaxKeys",
          more_results: "IsTruncated",
          output_token: "NextMarker || Contents[-1].Key",
          result_key: [
            "Contents",
            "CommonPrefixes"
          ]
        },
        ListObjectsV2: {
          input_token: "ContinuationToken",
          limit_key: "MaxKeys",
          output_token: "NextContinuationToken",
          result_key: [
            "Contents",
            "CommonPrefixes"
          ]
        },
        ListParts: {
          input_token: "PartNumberMarker",
          limit_key: "MaxParts",
          more_results: "IsTruncated",
          output_token: "NextPartNumberMarker",
          result_key: "Parts"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/s3-2006-03-01.waiters2.json
var require_s3_2006_03_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/s3-2006-03-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        BucketExists: {
          delay: 5,
          operation: "HeadBucket",
          maxAttempts: 20,
          acceptors: [
            {
              expected: 200,
              matcher: "status",
              state: "success"
            },
            {
              expected: 301,
              matcher: "status",
              state: "success"
            },
            {
              expected: 403,
              matcher: "status",
              state: "success"
            },
            {
              expected: 404,
              matcher: "status",
              state: "retry"
            }
          ]
        },
        BucketNotExists: {
          delay: 5,
          operation: "HeadBucket",
          maxAttempts: 20,
          acceptors: [
            {
              expected: 404,
              matcher: "status",
              state: "success"
            }
          ]
        },
        ObjectExists: {
          delay: 5,
          operation: "HeadObject",
          maxAttempts: 20,
          acceptors: [
            {
              expected: 200,
              matcher: "status",
              state: "success"
            },
            {
              expected: 404,
              matcher: "status",
              state: "retry"
            }
          ]
        },
        ObjectNotExists: {
          delay: 5,
          operation: "HeadObject",
          maxAttempts: 20,
          acceptors: [
            {
              expected: 404,
              matcher: "status",
              state: "success"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/s3.js
var require_s33 = __commonJS({
  "node_modules/aws-sdk/clients/s3.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["s3"] = {};
    AWS2.S3 = Service.defineService("s3", ["2006-03-01"]);
    require_s32();
    Object.defineProperty(apiLoader.services["s3"], "2006-03-01", {
      get: function get() {
        var model = require_s3_2006_03_01_min();
        model.paginators = require_s3_2006_03_01_paginators().pagination;
        model.waiters = require_s3_2006_03_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.S3;
  }
});

// node_modules/aws-sdk/lib/services/s3control.js
var require_s3control = __commonJS({
  "node_modules/aws-sdk/lib/services/s3control.js"() {
    var AWS2 = require_core();
    var s3util = require_s3util();
    var regionUtil = require_region_config();
    AWS2.util.update(AWS2.S3Control.prototype, {
      /**
       * @api private
       */
      setupRequestListeners: function setupRequestListeners(request) {
        request.addListener("extractError", this.extractHostId);
        request.addListener("extractData", this.extractHostId);
        request.addListener("validate", this.validateAccountId);
        var isArnInBucket = s3util.isArnInParam(request, "Bucket");
        var isArnInName = s3util.isArnInParam(request, "Name");
        if (isArnInBucket) {
          request._parsedArn = AWS2.util.ARN.parse(request.params["Bucket"]);
          request.addListener("validate", this.validateOutpostsBucketArn);
          request.addListener("validate", s3util.validateOutpostsArn);
          request.addListener("afterBuild", this.addOutpostIdHeader);
        } else if (isArnInName) {
          request._parsedArn = AWS2.util.ARN.parse(request.params["Name"]);
          request.addListener("validate", s3util.validateOutpostsAccessPointArn);
          request.addListener("validate", s3util.validateOutpostsArn);
          request.addListener("afterBuild", this.addOutpostIdHeader);
        }
        if (isArnInBucket || isArnInName) {
          request.addListener("validate", this.validateArnRegion);
          request.addListener("validate", this.validateArnAccountWithParams, true);
          request.addListener("validate", s3util.validateArnAccount);
          request.addListener("validate", s3util.validateArnService);
          request.addListener("build", this.populateParamFromArn, true);
          request.addListener("build", this.populateUriFromArn);
          request.addListener("build", s3util.validatePopulateUriFromArn);
        }
        if (request.params.OutpostId && (request.operation === "createBucket" || request.operation === "listRegionalBuckets")) {
          request.addListener("build", this.populateEndpointForOutpostId);
        }
      },
      /**
       * Adds outpostId header
       */
      addOutpostIdHeader: function addOutpostIdHeader(req) {
        req.httpRequest.headers["x-amz-outpost-id"] = req._parsedArn.outpostId;
      },
      /**
       * Validate Outposts ARN supplied in Bucket parameter is a valid bucket name
       */
      validateOutpostsBucketArn: function validateOutpostsBucketArn(req) {
        var parsedArn = req._parsedArn;
        var delimiter = parsedArn.resource["outpost".length];
        if (parsedArn.resource.split(delimiter).length !== 4) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidARN",
            message: "Bucket ARN should have two resources outpost/{outpostId}/bucket/{accesspointName}"
          });
        }
        var bucket = parsedArn.resource.split(delimiter)[3];
        if (!s3util.dnsCompatibleBucketName(bucket) || bucket.match(/\./)) {
          throw AWS2.util.error(new Error(), {
            code: "InvalidARN",
            message: "Bucket ARN is not DNS compatible. Got " + bucket
          });
        }
        req._parsedArn.bucket = bucket;
      },
      /**
       * @api private
       */
      populateParamFromArn: function populateParamFromArn(req) {
        var parsedArn = req._parsedArn;
        if (s3util.isArnInParam(req, "Bucket")) {
          req.params.Bucket = parsedArn.bucket;
        } else if (s3util.isArnInParam(req, "Name")) {
          req.params.Name = parsedArn.accessPoint;
        }
      },
      /**
       * Populate URI according to the ARN
       */
      populateUriFromArn: function populateUriFromArn(req) {
        var parsedArn = req._parsedArn;
        var endpoint = req.httpRequest.endpoint;
        var useArnRegion = req.service.config.s3UseArnRegion;
        var useFipsEndpoint = req.service.config.useFipsEndpoint;
        endpoint.hostname = [
          "s3-outposts" + (useFipsEndpoint ? "-fips" : ""),
          useArnRegion ? parsedArn.region : req.service.config.region,
          "amazonaws.com"
        ].join(".");
        endpoint.host = endpoint.hostname;
      },
      /**
       * @api private
       */
      populateEndpointForOutpostId: function populateEndpointForOutpostId(req) {
        var endpoint = req.httpRequest.endpoint;
        var useFipsEndpoint = req.service.config.useFipsEndpoint;
        endpoint.hostname = [
          "s3-outposts" + (useFipsEndpoint ? "-fips" : ""),
          req.service.config.region,
          "amazonaws.com"
        ].join(".");
        endpoint.host = endpoint.hostname;
      },
      /**
       * @api private
       */
      extractHostId: function(response) {
        var hostId = response.httpResponse.headers ? response.httpResponse.headers["x-amz-id-2"] : null;
        response.extendedRequestId = hostId;
        if (response.error) {
          response.error.extendedRequestId = hostId;
        }
      },
      /**
       * @api private
       */
      validateArnRegion: function validateArnRegion(req) {
        s3util.validateArnRegion(req, { allowFipsEndpoint: true });
      },
      /**
       * @api private
       */
      validateArnAccountWithParams: function validateArnAccountWithParams(req) {
        var params = req.params;
        var inputModel = req.service.api.operations[req.operation].input;
        if (inputModel.members.AccountId) {
          var parsedArn = req._parsedArn;
          if (parsedArn.accountId) {
            if (params.AccountId) {
              if (params.AccountId !== parsedArn.accountId) {
                throw AWS2.util.error(
                  new Error(),
                  { code: "ValidationError", message: "AccountId in ARN and request params should be same." }
                );
              }
            } else {
              params.AccountId = parsedArn.accountId;
            }
          }
        }
      },
      /**
       * @api private
       */
      validateAccountId: function(request) {
        var params = request.params;
        if (!Object.prototype.hasOwnProperty.call(params, "AccountId"))
          return;
        var accountId = params.AccountId;
        if (typeof accountId !== "string") {
          throw AWS2.util.error(
            new Error(),
            { code: "ValidationError", message: "AccountId must be a string." }
          );
        }
        if (accountId.length < 1 || accountId.length > 63) {
          throw AWS2.util.error(
            new Error(),
            { code: "ValidationError", message: "AccountId length should be between 1 to 63 characters, inclusive." }
          );
        }
        var hostPattern = /^[a-zA-Z0-9]{1}$|^[a-zA-Z0-9][a-zA-Z0-9\-]*[a-zA-Z0-9]$/;
        if (!hostPattern.test(accountId)) {
          throw AWS2.util.error(
            new Error(),
            { code: "ValidationError", message: "AccountId should be hostname compatible. AccountId: " + accountId }
          );
        }
      },
      /**
       * @api private
       */
      getSigningName: function getSigningName(req) {
        var _super = AWS2.Service.prototype.getSigningName;
        if (req && req._parsedArn && req._parsedArn.service) {
          return req._parsedArn.service;
        } else if (req.params.OutpostId && (req.operation === "createBucket" || req.operation === "listRegionalBuckets")) {
          return "s3-outposts";
        } else {
          return _super.call(this, req);
        }
      }
    });
  }
});

// node_modules/aws-sdk/apis/s3control-2018-08-20.min.json
var require_s3control_2018_08_20_min = __commonJS({
  "node_modules/aws-sdk/apis/s3control-2018-08-20.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-08-20",
        endpointPrefix: "s3-control",
        protocol: "rest-xml",
        serviceFullName: "AWS S3 Control",
        serviceId: "S3 Control",
        signatureVersion: "s3v4",
        signingName: "s3",
        uid: "s3control-2018-08-20"
      },
      operations: {
        CreateAccessPoint: {
          http: {
            method: "PUT",
            requestUri: "/v20180820/accesspoint/{name}"
          },
          input: {
            locationName: "CreateAccessPointRequest",
            xmlNamespace: {
              uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
            },
            type: "structure",
            required: [
              "AccountId",
              "Name",
              "Bucket"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                location: "uri",
                locationName: "name"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                }
              },
              VpcConfiguration: {
                shape: "S5"
              },
              PublicAccessBlockConfiguration: {
                shape: "S7"
              },
              BucketAccountId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AccessPointArn: {},
              Alias: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        CreateAccessPointForObjectLambda: {
          http: {
            method: "PUT",
            requestUri: "/v20180820/accesspointforobjectlambda/{name}"
          },
          input: {
            locationName: "CreateAccessPointForObjectLambdaRequest",
            xmlNamespace: {
              uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
            },
            type: "structure",
            required: [
              "AccountId",
              "Name",
              "Configuration"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                location: "uri",
                locationName: "name"
              },
              Configuration: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ObjectLambdaAccessPointArn: {},
              Alias: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        CreateBucket: {
          http: {
            method: "PUT",
            requestUri: "/v20180820/bucket/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Bucket"
            ],
            members: {
              ACL: {
                location: "header",
                locationName: "x-amz-acl"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              },
              CreateBucketConfiguration: {
                locationName: "CreateBucketConfiguration",
                xmlNamespace: {
                  uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
                },
                type: "structure",
                members: {
                  LocationConstraint: {}
                }
              },
              GrantFullControl: {
                location: "header",
                locationName: "x-amz-grant-full-control"
              },
              GrantRead: {
                location: "header",
                locationName: "x-amz-grant-read"
              },
              GrantReadACP: {
                location: "header",
                locationName: "x-amz-grant-read-acp"
              },
              GrantWrite: {
                location: "header",
                locationName: "x-amz-grant-write"
              },
              GrantWriteACP: {
                location: "header",
                locationName: "x-amz-grant-write-acp"
              },
              ObjectLockEnabledForBucket: {
                location: "header",
                locationName: "x-amz-bucket-object-lock-enabled",
                type: "boolean"
              },
              OutpostId: {
                contextParam: {
                  name: "OutpostId"
                },
                location: "header",
                locationName: "x-amz-outpost-id"
              }
            },
            payload: "CreateBucketConfiguration"
          },
          output: {
            type: "structure",
            members: {
              Location: {
                location: "header",
                locationName: "Location"
              },
              BucketArn: {}
            }
          },
          httpChecksumRequired: true
        },
        CreateJob: {
          http: {
            requestUri: "/v20180820/jobs"
          },
          input: {
            locationName: "CreateJobRequest",
            xmlNamespace: {
              uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
            },
            type: "structure",
            required: [
              "AccountId",
              "Operation",
              "Report",
              "ClientRequestToken",
              "Priority",
              "RoleArn"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              ConfirmationRequired: {
                type: "boolean"
              },
              Operation: {
                shape: "S1c"
              },
              Report: {
                shape: "S2j"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Manifest: {
                shape: "S2n"
              },
              Description: {},
              Priority: {
                type: "integer"
              },
              RoleArn: {},
              Tags: {
                shape: "S1u"
              },
              ManifestGenerator: {
                shape: "S2y"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        CreateMultiRegionAccessPoint: {
          http: {
            requestUri: "/v20180820/async-requests/mrap/create"
          },
          input: {
            locationName: "CreateMultiRegionAccessPointRequest",
            xmlNamespace: {
              uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
            },
            type: "structure",
            required: [
              "AccountId",
              "ClientToken",
              "Details"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              ClientToken: {
                idempotencyToken: true
              },
              Details: {
                shape: "S3e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestTokenARN: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          httpChecksumRequired: true,
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        DeleteAccessPoint: {
          http: {
            method: "DELETE",
            requestUri: "/v20180820/accesspoint/{name}"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Name"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                contextParam: {
                  name: "AccessPointName"
                },
                location: "uri",
                locationName: "name"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        DeleteAccessPointForObjectLambda: {
          http: {
            method: "DELETE",
            requestUri: "/v20180820/accesspointforobjectlambda/{name}"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Name"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        DeleteAccessPointPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/v20180820/accesspoint/{name}/policy"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Name"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                contextParam: {
                  name: "AccessPointName"
                },
                location: "uri",
                locationName: "name"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        DeleteAccessPointPolicyForObjectLambda: {
          http: {
            method: "DELETE",
            requestUri: "/v20180820/accesspointforobjectlambda/{name}/policy"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Name"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        DeleteBucket: {
          http: {
            method: "DELETE",
            requestUri: "/v20180820/bucket/{name}"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Bucket"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        DeleteBucketLifecycleConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/v20180820/bucket/{name}/lifecycleconfiguration"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Bucket"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        DeleteBucketPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/v20180820/bucket/{name}/policy"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Bucket"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        DeleteBucketReplication: {
          http: {
            method: "DELETE",
            requestUri: "/v20180820/bucket/{name}/replication"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Bucket"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        DeleteBucketTagging: {
          http: {
            method: "DELETE",
            requestUri: "/v20180820/bucket/{name}/tagging",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Bucket"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        DeleteJobTagging: {
          http: {
            method: "DELETE",
            requestUri: "/v20180820/jobs/{id}/tagging"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "JobId"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              JobId: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        DeleteMultiRegionAccessPoint: {
          http: {
            requestUri: "/v20180820/async-requests/mrap/delete"
          },
          input: {
            locationName: "DeleteMultiRegionAccessPointRequest",
            xmlNamespace: {
              uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
            },
            type: "structure",
            required: [
              "AccountId",
              "ClientToken",
              "Details"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              ClientToken: {
                idempotencyToken: true
              },
              Details: {
                shape: "S3w"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestTokenARN: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          httpChecksumRequired: true,
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        DeletePublicAccessBlock: {
          http: {
            method: "DELETE",
            requestUri: "/v20180820/configuration/publicAccessBlock"
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        DeleteStorageLensConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/v20180820/storagelens/{storagelensid}"
          },
          input: {
            type: "structure",
            required: [
              "ConfigId",
              "AccountId"
            ],
            members: {
              ConfigId: {
                location: "uri",
                locationName: "storagelensid"
              },
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        DeleteStorageLensConfigurationTagging: {
          http: {
            method: "DELETE",
            requestUri: "/v20180820/storagelens/{storagelensid}/tagging"
          },
          input: {
            type: "structure",
            required: [
              "ConfigId",
              "AccountId"
            ],
            members: {
              ConfigId: {
                location: "uri",
                locationName: "storagelensid"
              },
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        DescribeJob: {
          http: {
            method: "GET",
            requestUri: "/v20180820/jobs/{id}"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "JobId"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              JobId: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Job: {
                type: "structure",
                members: {
                  JobId: {},
                  ConfirmationRequired: {
                    type: "boolean"
                  },
                  Description: {},
                  JobArn: {},
                  Status: {},
                  Manifest: {
                    shape: "S2n"
                  },
                  Operation: {
                    shape: "S1c"
                  },
                  Priority: {
                    type: "integer"
                  },
                  ProgressSummary: {
                    shape: "S48"
                  },
                  StatusUpdateReason: {},
                  FailureReasons: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        FailureCode: {},
                        FailureReason: {}
                      }
                    }
                  },
                  Report: {
                    shape: "S2j"
                  },
                  CreationTime: {
                    type: "timestamp"
                  },
                  TerminationDate: {
                    type: "timestamp"
                  },
                  RoleArn: {},
                  SuspendedDate: {
                    type: "timestamp"
                  },
                  SuspendedCause: {},
                  ManifestGenerator: {
                    shape: "S2y"
                  },
                  GeneratedManifestDescriptor: {
                    type: "structure",
                    members: {
                      Format: {},
                      Location: {
                        shape: "S2s"
                      }
                    }
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        DescribeMultiRegionAccessPointOperation: {
          http: {
            method: "GET",
            requestUri: "/v20180820/async-requests/mrap/{request_token+}"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "RequestTokenARN"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              RequestTokenARN: {
                location: "uri",
                locationName: "request_token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AsyncOperation: {
                type: "structure",
                members: {
                  CreationTime: {
                    type: "timestamp"
                  },
                  Operation: {},
                  RequestTokenARN: {},
                  RequestParameters: {
                    type: "structure",
                    members: {
                      CreateMultiRegionAccessPointRequest: {
                        shape: "S3e"
                      },
                      DeleteMultiRegionAccessPointRequest: {
                        shape: "S3w"
                      },
                      PutMultiRegionAccessPointPolicyRequest: {
                        shape: "S4u"
                      }
                    }
                  },
                  RequestStatus: {},
                  ResponseDetails: {
                    type: "structure",
                    members: {
                      MultiRegionAccessPointDetails: {
                        type: "structure",
                        members: {
                          Regions: {
                            type: "list",
                            member: {
                              locationName: "Region",
                              type: "structure",
                              members: {
                                Name: {},
                                RequestStatus: {}
                              }
                            }
                          }
                        }
                      },
                      ErrorDetails: {
                        type: "structure",
                        members: {
                          Code: {},
                          Message: {},
                          Resource: {},
                          RequestId: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          httpChecksumRequired: true,
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetAccessPoint: {
          http: {
            method: "GET",
            requestUri: "/v20180820/accesspoint/{name}"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Name"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                contextParam: {
                  name: "AccessPointName"
                },
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Bucket: {},
              NetworkOrigin: {},
              VpcConfiguration: {
                shape: "S5"
              },
              PublicAccessBlockConfiguration: {
                shape: "S7"
              },
              CreationDate: {
                type: "timestamp"
              },
              Alias: {},
              AccessPointArn: {},
              Endpoints: {
                type: "map",
                key: {},
                value: {}
              },
              BucketAccountId: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetAccessPointConfigurationForObjectLambda: {
          http: {
            method: "GET",
            requestUri: "/v20180820/accesspointforobjectlambda/{name}/configuration"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Name"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Configuration: {
                shape: "Se"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetAccessPointForObjectLambda: {
          http: {
            method: "GET",
            requestUri: "/v20180820/accesspointforobjectlambda/{name}"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Name"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              PublicAccessBlockConfiguration: {
                shape: "S7"
              },
              CreationDate: {
                type: "timestamp"
              },
              Alias: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetAccessPointPolicy: {
          http: {
            method: "GET",
            requestUri: "/v20180820/accesspoint/{name}/policy"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Name"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                contextParam: {
                  name: "AccessPointName"
                },
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetAccessPointPolicyForObjectLambda: {
          http: {
            method: "GET",
            requestUri: "/v20180820/accesspointforobjectlambda/{name}/policy"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Name"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetAccessPointPolicyStatus: {
          http: {
            method: "GET",
            requestUri: "/v20180820/accesspoint/{name}/policyStatus"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Name"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                contextParam: {
                  name: "AccessPointName"
                },
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyStatus: {
                shape: "S5j"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetAccessPointPolicyStatusForObjectLambda: {
          http: {
            method: "GET",
            requestUri: "/v20180820/accesspointforobjectlambda/{name}/policyStatus"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Name"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyStatus: {
                shape: "S5j"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetBucket: {
          http: {
            method: "GET",
            requestUri: "/v20180820/bucket/{name}"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Bucket"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Bucket: {},
              PublicAccessBlockEnabled: {
                type: "boolean"
              },
              CreationDate: {
                type: "timestamp"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetBucketLifecycleConfiguration: {
          http: {
            method: "GET",
            requestUri: "/v20180820/bucket/{name}/lifecycleconfiguration"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Bucket"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Rules: {
                shape: "S5s"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetBucketPolicy: {
          http: {
            method: "GET",
            requestUri: "/v20180820/bucket/{name}/policy"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Bucket"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetBucketReplication: {
          http: {
            method: "GET",
            requestUri: "/v20180820/bucket/{name}/replication"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Bucket"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReplicationConfiguration: {
                shape: "S6i"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetBucketTagging: {
          http: {
            method: "GET",
            requestUri: "/v20180820/bucket/{name}/tagging"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Bucket"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TagSet"
            ],
            members: {
              TagSet: {
                shape: "S1u"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetBucketVersioning: {
          http: {
            method: "GET",
            requestUri: "/v20180820/bucket/{name}/versioning"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Bucket"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {},
              MFADelete: {
                locationName: "MfaDelete"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetJobTagging: {
          http: {
            method: "GET",
            requestUri: "/v20180820/jobs/{id}/tagging"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "JobId"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              JobId: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S1u"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetMultiRegionAccessPoint: {
          http: {
            method: "GET",
            requestUri: "/v20180820/mrap/instances/{name+}"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Name"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccessPoint: {
                shape: "S7m"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          httpChecksumRequired: true,
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetMultiRegionAccessPointPolicy: {
          http: {
            method: "GET",
            requestUri: "/v20180820/mrap/instances/{name+}/policy"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Name"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {
                type: "structure",
                members: {
                  Established: {
                    type: "structure",
                    members: {
                      Policy: {}
                    }
                  },
                  Proposed: {
                    type: "structure",
                    members: {
                      Policy: {}
                    }
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          httpChecksumRequired: true,
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetMultiRegionAccessPointPolicyStatus: {
          http: {
            method: "GET",
            requestUri: "/v20180820/mrap/instances/{name+}/policystatus"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Name"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Established: {
                shape: "S5j"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          httpChecksumRequired: true,
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetMultiRegionAccessPointRoutes: {
          http: {
            method: "GET",
            requestUri: "/v20180820/mrap/instances/{mrap+}/routes"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Mrap"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Mrap: {
                location: "uri",
                locationName: "mrap"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Mrap: {},
              Routes: {
                shape: "S82"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          httpChecksumRequired: true,
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetPublicAccessBlock: {
          http: {
            method: "GET",
            requestUri: "/v20180820/configuration/publicAccessBlock"
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PublicAccessBlockConfiguration: {
                shape: "S7"
              }
            },
            payload: "PublicAccessBlockConfiguration"
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetStorageLensConfiguration: {
          http: {
            method: "GET",
            requestUri: "/v20180820/storagelens/{storagelensid}"
          },
          input: {
            type: "structure",
            required: [
              "ConfigId",
              "AccountId"
            ],
            members: {
              ConfigId: {
                location: "uri",
                locationName: "storagelensid"
              },
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StorageLensConfiguration: {
                shape: "S89"
              }
            },
            payload: "StorageLensConfiguration"
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        GetStorageLensConfigurationTagging: {
          http: {
            method: "GET",
            requestUri: "/v20180820/storagelens/{storagelensid}/tagging"
          },
          input: {
            type: "structure",
            required: [
              "ConfigId",
              "AccountId"
            ],
            members: {
              ConfigId: {
                location: "uri",
                locationName: "storagelensid"
              },
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S96"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        ListAccessPoints: {
          http: {
            method: "GET",
            requestUri: "/v20180820/accesspoint"
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "querystring",
                locationName: "bucket"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccessPointList: {
                type: "list",
                member: {
                  locationName: "AccessPoint",
                  type: "structure",
                  required: [
                    "Name",
                    "NetworkOrigin",
                    "Bucket"
                  ],
                  members: {
                    Name: {},
                    NetworkOrigin: {},
                    VpcConfiguration: {
                      shape: "S5"
                    },
                    Bucket: {},
                    AccessPointArn: {},
                    Alias: {},
                    BucketAccountId: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        ListAccessPointsForObjectLambda: {
          http: {
            method: "GET",
            requestUri: "/v20180820/accesspointforobjectlambda"
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ObjectLambdaAccessPointList: {
                type: "list",
                member: {
                  locationName: "ObjectLambdaAccessPoint",
                  type: "structure",
                  required: [
                    "Name"
                  ],
                  members: {
                    Name: {},
                    ObjectLambdaAccessPointArn: {},
                    Alias: {
                      shape: "St"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        ListJobs: {
          http: {
            method: "GET",
            requestUri: "/v20180820/jobs"
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              JobStatuses: {
                location: "querystring",
                locationName: "jobStatuses",
                type: "list",
                member: {}
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Jobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    JobId: {},
                    Description: {},
                    Operation: {},
                    Priority: {
                      type: "integer"
                    },
                    Status: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    TerminationDate: {
                      type: "timestamp"
                    },
                    ProgressSummary: {
                      shape: "S48"
                    }
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        ListMultiRegionAccessPoints: {
          http: {
            method: "GET",
            requestUri: "/v20180820/mrap/instances"
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccessPoints: {
                type: "list",
                member: {
                  shape: "S7m",
                  locationName: "AccessPoint"
                }
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          httpChecksumRequired: true,
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        ListRegionalBuckets: {
          http: {
            method: "GET",
            requestUri: "/v20180820/bucket"
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              OutpostId: {
                contextParam: {
                  name: "OutpostId"
                },
                location: "header",
                locationName: "x-amz-outpost-id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RegionalBucketList: {
                type: "list",
                member: {
                  locationName: "RegionalBucket",
                  type: "structure",
                  required: [
                    "Bucket",
                    "PublicAccessBlockEnabled",
                    "CreationDate"
                  ],
                  members: {
                    Bucket: {},
                    BucketArn: {},
                    PublicAccessBlockEnabled: {
                      type: "boolean"
                    },
                    CreationDate: {
                      type: "timestamp"
                    },
                    OutpostId: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        ListStorageLensConfigurations: {
          http: {
            method: "GET",
            requestUri: "/v20180820/storagelens"
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              StorageLensConfigurationList: {
                type: "list",
                member: {
                  locationName: "StorageLensConfiguration",
                  type: "structure",
                  required: [
                    "Id",
                    "StorageLensArn",
                    "HomeRegion"
                  ],
                  members: {
                    Id: {},
                    StorageLensArn: {},
                    HomeRegion: {},
                    IsEnabled: {
                      type: "boolean"
                    }
                  }
                },
                flattened: true
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        PutAccessPointConfigurationForObjectLambda: {
          http: {
            method: "PUT",
            requestUri: "/v20180820/accesspointforobjectlambda/{name}/configuration"
          },
          input: {
            locationName: "PutAccessPointConfigurationForObjectLambdaRequest",
            xmlNamespace: {
              uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
            },
            type: "structure",
            required: [
              "AccountId",
              "Name",
              "Configuration"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                location: "uri",
                locationName: "name"
              },
              Configuration: {
                shape: "Se"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        PutAccessPointPolicy: {
          http: {
            method: "PUT",
            requestUri: "/v20180820/accesspoint/{name}/policy"
          },
          input: {
            locationName: "PutAccessPointPolicyRequest",
            xmlNamespace: {
              uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
            },
            type: "structure",
            required: [
              "AccountId",
              "Name",
              "Policy"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                contextParam: {
                  name: "AccessPointName"
                },
                location: "uri",
                locationName: "name"
              },
              Policy: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        PutAccessPointPolicyForObjectLambda: {
          http: {
            method: "PUT",
            requestUri: "/v20180820/accesspointforobjectlambda/{name}/policy"
          },
          input: {
            locationName: "PutAccessPointPolicyForObjectLambdaRequest",
            xmlNamespace: {
              uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
            },
            type: "structure",
            required: [
              "AccountId",
              "Name",
              "Policy"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Name: {
                location: "uri",
                locationName: "name"
              },
              Policy: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        PutBucketLifecycleConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/v20180820/bucket/{name}/lifecycleconfiguration"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Bucket"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              },
              LifecycleConfiguration: {
                locationName: "LifecycleConfiguration",
                xmlNamespace: {
                  uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
                },
                type: "structure",
                members: {
                  Rules: {
                    shape: "S5s"
                  }
                }
              }
            },
            payload: "LifecycleConfiguration"
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          httpChecksumRequired: true,
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        PutBucketPolicy: {
          http: {
            method: "PUT",
            requestUri: "/v20180820/bucket/{name}/policy"
          },
          input: {
            locationName: "PutBucketPolicyRequest",
            xmlNamespace: {
              uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
            },
            type: "structure",
            required: [
              "AccountId",
              "Bucket",
              "Policy"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              },
              ConfirmRemoveSelfBucketAccess: {
                location: "header",
                locationName: "x-amz-confirm-remove-self-bucket-access",
                type: "boolean"
              },
              Policy: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          httpChecksumRequired: true,
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        PutBucketReplication: {
          http: {
            method: "PUT",
            requestUri: "/v20180820/bucket/{name}/replication"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Bucket",
              "ReplicationConfiguration"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              },
              ReplicationConfiguration: {
                shape: "S6i",
                locationName: "ReplicationConfiguration",
                xmlNamespace: {
                  uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
                }
              }
            },
            payload: "ReplicationConfiguration"
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          httpChecksumRequired: true,
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        PutBucketTagging: {
          http: {
            method: "PUT",
            requestUri: "/v20180820/bucket/{name}/tagging"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Bucket",
              "Tagging"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              },
              Tagging: {
                locationName: "Tagging",
                xmlNamespace: {
                  uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
                },
                type: "structure",
                required: [
                  "TagSet"
                ],
                members: {
                  TagSet: {
                    shape: "S1u"
                  }
                }
              }
            },
            payload: "Tagging"
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          httpChecksumRequired: true,
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        PutBucketVersioning: {
          http: {
            method: "PUT",
            requestUri: "/v20180820/bucket/{name}/versioning"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Bucket",
              "VersioningConfiguration"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Bucket: {
                contextParam: {
                  name: "Bucket"
                },
                location: "uri",
                locationName: "name"
              },
              MFA: {
                location: "header",
                locationName: "x-amz-mfa"
              },
              VersioningConfiguration: {
                locationName: "VersioningConfiguration",
                xmlNamespace: {
                  uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
                },
                type: "structure",
                members: {
                  MFADelete: {
                    locationName: "MfaDelete"
                  },
                  Status: {}
                }
              }
            },
            payload: "VersioningConfiguration"
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          httpChecksumRequired: true,
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        PutJobTagging: {
          http: {
            method: "PUT",
            requestUri: "/v20180820/jobs/{id}/tagging"
          },
          input: {
            locationName: "PutJobTaggingRequest",
            xmlNamespace: {
              uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
            },
            type: "structure",
            required: [
              "AccountId",
              "JobId",
              "Tags"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              JobId: {
                location: "uri",
                locationName: "id"
              },
              Tags: {
                shape: "S1u"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        PutMultiRegionAccessPointPolicy: {
          http: {
            requestUri: "/v20180820/async-requests/mrap/put-policy"
          },
          input: {
            locationName: "PutMultiRegionAccessPointPolicyRequest",
            xmlNamespace: {
              uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
            },
            type: "structure",
            required: [
              "AccountId",
              "ClientToken",
              "Details"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              ClientToken: {
                idempotencyToken: true
              },
              Details: {
                shape: "S4u"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestTokenARN: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          httpChecksumRequired: true,
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        PutPublicAccessBlock: {
          http: {
            method: "PUT",
            requestUri: "/v20180820/configuration/publicAccessBlock"
          },
          input: {
            type: "structure",
            required: [
              "PublicAccessBlockConfiguration",
              "AccountId"
            ],
            members: {
              PublicAccessBlockConfiguration: {
                shape: "S7",
                locationName: "PublicAccessBlockConfiguration",
                xmlNamespace: {
                  uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
                }
              },
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              }
            },
            payload: "PublicAccessBlockConfiguration"
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        PutStorageLensConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/v20180820/storagelens/{storagelensid}"
          },
          input: {
            locationName: "PutStorageLensConfigurationRequest",
            xmlNamespace: {
              uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
            },
            type: "structure",
            required: [
              "ConfigId",
              "AccountId",
              "StorageLensConfiguration"
            ],
            members: {
              ConfigId: {
                location: "uri",
                locationName: "storagelensid"
              },
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              StorageLensConfiguration: {
                shape: "S89"
              },
              Tags: {
                shape: "S96"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        PutStorageLensConfigurationTagging: {
          http: {
            method: "PUT",
            requestUri: "/v20180820/storagelens/{storagelensid}/tagging"
          },
          input: {
            locationName: "PutStorageLensConfigurationTaggingRequest",
            xmlNamespace: {
              uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
            },
            type: "structure",
            required: [
              "ConfigId",
              "AccountId",
              "Tags"
            ],
            members: {
              ConfigId: {
                location: "uri",
                locationName: "storagelensid"
              },
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Tags: {
                shape: "S96"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        SubmitMultiRegionAccessPointRoutes: {
          http: {
            method: "PATCH",
            requestUri: "/v20180820/mrap/instances/{mrap+}/routes"
          },
          input: {
            locationName: "SubmitMultiRegionAccessPointRoutesRequest",
            xmlNamespace: {
              uri: "http://awss3control.amazonaws.com/doc/2018-08-20/"
            },
            type: "structure",
            required: [
              "AccountId",
              "Mrap",
              "RouteUpdates"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              Mrap: {
                location: "uri",
                locationName: "mrap"
              },
              RouteUpdates: {
                shape: "S82"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          httpChecksumRequired: true,
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        UpdateJobPriority: {
          http: {
            requestUri: "/v20180820/jobs/{id}/priority"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "JobId",
              "Priority"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              JobId: {
                location: "uri",
                locationName: "id"
              },
              Priority: {
                location: "querystring",
                locationName: "priority",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "JobId",
              "Priority"
            ],
            members: {
              JobId: {},
              Priority: {
                type: "integer"
              }
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        },
        UpdateJobStatus: {
          http: {
            requestUri: "/v20180820/jobs/{id}/status"
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "JobId",
              "RequestedJobStatus"
            ],
            members: {
              AccountId: {
                contextParam: {
                  name: "AccountId"
                },
                hostLabel: true,
                location: "header",
                locationName: "x-amz-account-id"
              },
              JobId: {
                location: "uri",
                locationName: "id"
              },
              RequestedJobStatus: {
                location: "querystring",
                locationName: "requestedJobStatus"
              },
              StatusUpdateReason: {
                location: "querystring",
                locationName: "statusUpdateReason"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              Status: {},
              StatusUpdateReason: {}
            }
          },
          endpoint: {
            hostPrefix: "{AccountId}."
          },
          staticContextParams: {
            RequiresAccountId: {
              value: true
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          required: [
            "VpcId"
          ],
          members: {
            VpcId: {}
          }
        },
        S7: {
          type: "structure",
          members: {
            BlockPublicAcls: {
              locationName: "BlockPublicAcls",
              type: "boolean"
            },
            IgnorePublicAcls: {
              locationName: "IgnorePublicAcls",
              type: "boolean"
            },
            BlockPublicPolicy: {
              locationName: "BlockPublicPolicy",
              type: "boolean"
            },
            RestrictPublicBuckets: {
              locationName: "RestrictPublicBuckets",
              type: "boolean"
            }
          }
        },
        Se: {
          type: "structure",
          required: [
            "SupportingAccessPoint",
            "TransformationConfigurations"
          ],
          members: {
            SupportingAccessPoint: {},
            CloudWatchMetricsEnabled: {
              type: "boolean"
            },
            AllowedFeatures: {
              type: "list",
              member: {
                locationName: "AllowedFeature"
              }
            },
            TransformationConfigurations: {
              type: "list",
              member: {
                locationName: "TransformationConfiguration",
                type: "structure",
                required: [
                  "Actions",
                  "ContentTransformation"
                ],
                members: {
                  Actions: {
                    type: "list",
                    member: {
                      locationName: "Action"
                    }
                  },
                  ContentTransformation: {
                    type: "structure",
                    members: {
                      AwsLambda: {
                        type: "structure",
                        required: [
                          "FunctionArn"
                        ],
                        members: {
                          FunctionArn: {},
                          FunctionPayload: {}
                        }
                      }
                    },
                    union: true
                  }
                }
              }
            }
          }
        },
        St: {
          type: "structure",
          members: {
            Value: {},
            Status: {}
          }
        },
        S1c: {
          type: "structure",
          members: {
            LambdaInvoke: {
              type: "structure",
              members: {
                FunctionArn: {}
              }
            },
            S3PutObjectCopy: {
              type: "structure",
              members: {
                TargetResource: {},
                CannedAccessControlList: {},
                AccessControlGrants: {
                  shape: "S1h"
                },
                MetadataDirective: {},
                ModifiedSinceConstraint: {
                  type: "timestamp"
                },
                NewObjectMetadata: {
                  type: "structure",
                  members: {
                    CacheControl: {},
                    ContentDisposition: {},
                    ContentEncoding: {},
                    ContentLanguage: {},
                    UserMetadata: {
                      type: "map",
                      key: {},
                      value: {}
                    },
                    ContentLength: {
                      type: "long"
                    },
                    ContentMD5: {},
                    ContentType: {},
                    HttpExpiresDate: {
                      type: "timestamp"
                    },
                    RequesterCharged: {
                      type: "boolean"
                    },
                    SSEAlgorithm: {}
                  }
                },
                NewObjectTagging: {
                  shape: "S1u"
                },
                RedirectLocation: {},
                RequesterPays: {
                  type: "boolean"
                },
                StorageClass: {},
                UnModifiedSinceConstraint: {
                  type: "timestamp"
                },
                SSEAwsKmsKeyId: {},
                TargetKeyPrefix: {},
                ObjectLockLegalHoldStatus: {},
                ObjectLockMode: {},
                ObjectLockRetainUntilDate: {
                  type: "timestamp"
                },
                BucketKeyEnabled: {
                  type: "boolean"
                },
                ChecksumAlgorithm: {}
              }
            },
            S3PutObjectAcl: {
              type: "structure",
              members: {
                AccessControlPolicy: {
                  type: "structure",
                  members: {
                    AccessControlList: {
                      type: "structure",
                      required: [
                        "Owner"
                      ],
                      members: {
                        Owner: {
                          type: "structure",
                          members: {
                            ID: {},
                            DisplayName: {}
                          }
                        },
                        Grants: {
                          shape: "S1h"
                        }
                      }
                    },
                    CannedAccessControlList: {}
                  }
                }
              }
            },
            S3PutObjectTagging: {
              type: "structure",
              members: {
                TagSet: {
                  shape: "S1u"
                }
              }
            },
            S3DeleteObjectTagging: {
              type: "structure",
              members: {}
            },
            S3InitiateRestoreObject: {
              type: "structure",
              members: {
                ExpirationInDays: {
                  type: "integer"
                },
                GlacierJobTier: {}
              }
            },
            S3PutObjectLegalHold: {
              type: "structure",
              required: [
                "LegalHold"
              ],
              members: {
                LegalHold: {
                  type: "structure",
                  required: [
                    "Status"
                  ],
                  members: {
                    Status: {}
                  }
                }
              }
            },
            S3PutObjectRetention: {
              type: "structure",
              required: [
                "Retention"
              ],
              members: {
                BypassGovernanceRetention: {
                  type: "boolean"
                },
                Retention: {
                  type: "structure",
                  members: {
                    RetainUntilDate: {
                      type: "timestamp"
                    },
                    Mode: {}
                  }
                }
              }
            },
            S3ReplicateObject: {
              type: "structure",
              members: {}
            }
          }
        },
        S1h: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Grantee: {
                type: "structure",
                members: {
                  TypeIdentifier: {},
                  Identifier: {},
                  DisplayName: {}
                }
              },
              Permission: {}
            }
          }
        },
        S1u: {
          type: "list",
          member: {
            shape: "S1v"
          }
        },
        S1v: {
          type: "structure",
          required: [
            "Key",
            "Value"
          ],
          members: {
            Key: {},
            Value: {}
          }
        },
        S2j: {
          type: "structure",
          required: [
            "Enabled"
          ],
          members: {
            Bucket: {},
            Format: {},
            Enabled: {
              type: "boolean"
            },
            Prefix: {},
            ReportScope: {}
          }
        },
        S2n: {
          type: "structure",
          required: [
            "Spec",
            "Location"
          ],
          members: {
            Spec: {
              type: "structure",
              required: [
                "Format"
              ],
              members: {
                Format: {},
                Fields: {
                  type: "list",
                  member: {}
                }
              }
            },
            Location: {
              shape: "S2s"
            }
          }
        },
        S2s: {
          type: "structure",
          required: [
            "ObjectArn",
            "ETag"
          ],
          members: {
            ObjectArn: {},
            ObjectVersionId: {},
            ETag: {}
          }
        },
        S2y: {
          type: "structure",
          members: {
            S3JobManifestGenerator: {
              type: "structure",
              required: [
                "SourceBucket",
                "EnableManifestOutput"
              ],
              members: {
                ExpectedBucketOwner: {},
                SourceBucket: {},
                ManifestOutputLocation: {
                  type: "structure",
                  required: [
                    "Bucket",
                    "ManifestFormat"
                  ],
                  members: {
                    ExpectedManifestBucketOwner: {},
                    Bucket: {},
                    ManifestPrefix: {},
                    ManifestEncryption: {
                      type: "structure",
                      members: {
                        SSES3: {
                          locationName: "SSE-S3",
                          type: "structure",
                          members: {}
                        },
                        SSEKMS: {
                          locationName: "SSE-KMS",
                          type: "structure",
                          required: [
                            "KeyId"
                          ],
                          members: {
                            KeyId: {}
                          }
                        }
                      }
                    },
                    ManifestFormat: {}
                  }
                },
                Filter: {
                  type: "structure",
                  members: {
                    EligibleForReplication: {
                      type: "boolean"
                    },
                    CreatedAfter: {
                      type: "timestamp"
                    },
                    CreatedBefore: {
                      type: "timestamp"
                    },
                    ObjectReplicationStatuses: {
                      type: "list",
                      member: {}
                    }
                  }
                },
                EnableManifestOutput: {
                  type: "boolean"
                }
              }
            }
          },
          union: true
        },
        S3e: {
          type: "structure",
          required: [
            "Name",
            "Regions"
          ],
          members: {
            Name: {},
            PublicAccessBlock: {
              shape: "S7"
            },
            Regions: {
              type: "list",
              member: {
                locationName: "Region",
                type: "structure",
                required: [
                  "Bucket"
                ],
                members: {
                  Bucket: {},
                  BucketAccountId: {}
                }
              }
            }
          }
        },
        S3w: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {}
          }
        },
        S48: {
          type: "structure",
          members: {
            TotalNumberOfTasks: {
              type: "long"
            },
            NumberOfTasksSucceeded: {
              type: "long"
            },
            NumberOfTasksFailed: {
              type: "long"
            },
            Timers: {
              type: "structure",
              members: {
                ElapsedTimeInActiveSeconds: {
                  type: "long"
                }
              }
            }
          }
        },
        S4u: {
          type: "structure",
          required: [
            "Name",
            "Policy"
          ],
          members: {
            Name: {},
            Policy: {}
          }
        },
        S5j: {
          type: "structure",
          members: {
            IsPublic: {
              locationName: "IsPublic",
              type: "boolean"
            }
          }
        },
        S5s: {
          type: "list",
          member: {
            locationName: "Rule",
            type: "structure",
            required: [
              "Status"
            ],
            members: {
              Expiration: {
                type: "structure",
                members: {
                  Date: {
                    type: "timestamp"
                  },
                  Days: {
                    type: "integer"
                  },
                  ExpiredObjectDeleteMarker: {
                    type: "boolean"
                  }
                }
              },
              ID: {},
              Filter: {
                type: "structure",
                members: {
                  Prefix: {},
                  Tag: {
                    shape: "S1v"
                  },
                  And: {
                    type: "structure",
                    members: {
                      Prefix: {},
                      Tags: {
                        shape: "S1u"
                      },
                      ObjectSizeGreaterThan: {
                        type: "long"
                      },
                      ObjectSizeLessThan: {
                        type: "long"
                      }
                    }
                  },
                  ObjectSizeGreaterThan: {
                    type: "long"
                  },
                  ObjectSizeLessThan: {
                    type: "long"
                  }
                }
              },
              Status: {},
              Transitions: {
                type: "list",
                member: {
                  locationName: "Transition",
                  type: "structure",
                  members: {
                    Date: {
                      type: "timestamp"
                    },
                    Days: {
                      type: "integer"
                    },
                    StorageClass: {}
                  }
                }
              },
              NoncurrentVersionTransitions: {
                type: "list",
                member: {
                  locationName: "NoncurrentVersionTransition",
                  type: "structure",
                  members: {
                    NoncurrentDays: {
                      type: "integer"
                    },
                    StorageClass: {}
                  }
                }
              },
              NoncurrentVersionExpiration: {
                type: "structure",
                members: {
                  NoncurrentDays: {
                    type: "integer"
                  },
                  NewerNoncurrentVersions: {
                    type: "integer"
                  }
                }
              },
              AbortIncompleteMultipartUpload: {
                type: "structure",
                members: {
                  DaysAfterInitiation: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        S6i: {
          type: "structure",
          required: [
            "Role",
            "Rules"
          ],
          members: {
            Role: {},
            Rules: {
              type: "list",
              member: {
                locationName: "Rule",
                type: "structure",
                required: [
                  "Status",
                  "Destination",
                  "Bucket"
                ],
                members: {
                  ID: {},
                  Priority: {
                    type: "integer"
                  },
                  Prefix: {
                    deprecated: true,
                    deprecatedMessage: "Prefix has been deprecated"
                  },
                  Filter: {
                    type: "structure",
                    members: {
                      Prefix: {},
                      Tag: {
                        shape: "S1v"
                      },
                      And: {
                        type: "structure",
                        members: {
                          Prefix: {},
                          Tags: {
                            shape: "S1u"
                          }
                        }
                      }
                    }
                  },
                  Status: {},
                  SourceSelectionCriteria: {
                    type: "structure",
                    members: {
                      SseKmsEncryptedObjects: {
                        type: "structure",
                        required: [
                          "Status"
                        ],
                        members: {
                          Status: {}
                        }
                      },
                      ReplicaModifications: {
                        type: "structure",
                        required: [
                          "Status"
                        ],
                        members: {
                          Status: {}
                        }
                      }
                    }
                  },
                  ExistingObjectReplication: {
                    type: "structure",
                    required: [
                      "Status"
                    ],
                    members: {
                      Status: {}
                    }
                  },
                  Destination: {
                    type: "structure",
                    required: [
                      "Bucket"
                    ],
                    members: {
                      Account: {},
                      Bucket: {},
                      ReplicationTime: {
                        type: "structure",
                        required: [
                          "Status",
                          "Time"
                        ],
                        members: {
                          Status: {},
                          Time: {
                            shape: "S71"
                          }
                        }
                      },
                      AccessControlTranslation: {
                        type: "structure",
                        required: [
                          "Owner"
                        ],
                        members: {
                          Owner: {}
                        }
                      },
                      EncryptionConfiguration: {
                        type: "structure",
                        members: {
                          ReplicaKmsKeyID: {}
                        }
                      },
                      Metrics: {
                        type: "structure",
                        required: [
                          "Status"
                        ],
                        members: {
                          Status: {},
                          EventThreshold: {
                            shape: "S71"
                          }
                        }
                      },
                      StorageClass: {}
                    }
                  },
                  DeleteMarkerReplication: {
                    type: "structure",
                    required: [
                      "Status"
                    ],
                    members: {
                      Status: {}
                    }
                  },
                  Bucket: {}
                }
              }
            }
          }
        },
        S71: {
          type: "structure",
          members: {
            Minutes: {
              type: "integer"
            }
          }
        },
        S7m: {
          type: "structure",
          members: {
            Name: {},
            Alias: {},
            CreatedAt: {
              type: "timestamp"
            },
            PublicAccessBlock: {
              shape: "S7"
            },
            Status: {},
            Regions: {
              type: "list",
              member: {
                locationName: "Region",
                type: "structure",
                members: {
                  Bucket: {},
                  Region: {},
                  BucketAccountId: {}
                }
              }
            }
          }
        },
        S82: {
          type: "list",
          member: {
            locationName: "Route",
            type: "structure",
            required: [
              "TrafficDialPercentage"
            ],
            members: {
              Bucket: {},
              Region: {},
              TrafficDialPercentage: {
                type: "integer"
              }
            }
          }
        },
        S89: {
          type: "structure",
          required: [
            "Id",
            "AccountLevel",
            "IsEnabled"
          ],
          members: {
            Id: {},
            AccountLevel: {
              type: "structure",
              required: [
                "BucketLevel"
              ],
              members: {
                ActivityMetrics: {
                  shape: "S8b"
                },
                BucketLevel: {
                  type: "structure",
                  members: {
                    ActivityMetrics: {
                      shape: "S8b"
                    },
                    PrefixLevel: {
                      type: "structure",
                      required: [
                        "StorageMetrics"
                      ],
                      members: {
                        StorageMetrics: {
                          type: "structure",
                          members: {
                            IsEnabled: {
                              type: "boolean"
                            },
                            SelectionCriteria: {
                              type: "structure",
                              members: {
                                Delimiter: {},
                                MaxDepth: {
                                  type: "integer"
                                },
                                MinStorageBytesPercentage: {
                                  type: "double"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    AdvancedCostOptimizationMetrics: {
                      shape: "S8k"
                    },
                    AdvancedDataProtectionMetrics: {
                      shape: "S8l"
                    },
                    DetailedStatusCodesMetrics: {
                      shape: "S8m"
                    }
                  }
                },
                AdvancedCostOptimizationMetrics: {
                  shape: "S8k"
                },
                AdvancedDataProtectionMetrics: {
                  shape: "S8l"
                },
                DetailedStatusCodesMetrics: {
                  shape: "S8m"
                }
              }
            },
            Include: {
              type: "structure",
              members: {
                Buckets: {
                  shape: "S8o"
                },
                Regions: {
                  shape: "S8p"
                }
              }
            },
            Exclude: {
              type: "structure",
              members: {
                Buckets: {
                  shape: "S8o"
                },
                Regions: {
                  shape: "S8p"
                }
              }
            },
            DataExport: {
              type: "structure",
              members: {
                S3BucketDestination: {
                  type: "structure",
                  required: [
                    "Format",
                    "OutputSchemaVersion",
                    "AccountId",
                    "Arn"
                  ],
                  members: {
                    Format: {},
                    OutputSchemaVersion: {},
                    AccountId: {},
                    Arn: {},
                    Prefix: {},
                    Encryption: {
                      type: "structure",
                      members: {
                        SSES3: {
                          locationName: "SSE-S3",
                          type: "structure",
                          members: {}
                        },
                        SSEKMS: {
                          locationName: "SSE-KMS",
                          type: "structure",
                          required: [
                            "KeyId"
                          ],
                          members: {
                            KeyId: {}
                          }
                        }
                      }
                    }
                  }
                },
                CloudWatchMetrics: {
                  type: "structure",
                  required: [
                    "IsEnabled"
                  ],
                  members: {
                    IsEnabled: {
                      type: "boolean"
                    }
                  }
                }
              }
            },
            IsEnabled: {
              type: "boolean"
            },
            AwsOrg: {
              type: "structure",
              required: [
                "Arn"
              ],
              members: {
                Arn: {}
              }
            },
            StorageLensArn: {}
          }
        },
        S8b: {
          type: "structure",
          members: {
            IsEnabled: {
              type: "boolean"
            }
          }
        },
        S8k: {
          type: "structure",
          members: {
            IsEnabled: {
              type: "boolean"
            }
          }
        },
        S8l: {
          type: "structure",
          members: {
            IsEnabled: {
              type: "boolean"
            }
          }
        },
        S8m: {
          type: "structure",
          members: {
            IsEnabled: {
              type: "boolean"
            }
          }
        },
        S8o: {
          type: "list",
          member: {
            locationName: "Arn"
          }
        },
        S8p: {
          type: "list",
          member: {
            locationName: "Region"
          }
        },
        S96: {
          type: "list",
          member: {
            locationName: "Tag",
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        }
      },
      clientContextParams: {
        UseArnRegion: {
          documentation: "Enables this client to use an ARN's region when constructing an endpoint instead of the client's configured region.",
          type: "boolean"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/s3control-2018-08-20.paginators.json
var require_s3control_2018_08_20_paginators = __commonJS({
  "node_modules/aws-sdk/apis/s3control-2018-08-20.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAccessPoints: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAccessPointsForObjectLambda: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ObjectLambdaAccessPointList"
        },
        ListJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMultiRegionAccessPoints: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListRegionalBuckets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListStorageLensConfigurations: {
          input_token: "NextToken",
          output_token: "NextToken"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/s3control.js
var require_s3control2 = __commonJS({
  "node_modules/aws-sdk/clients/s3control.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["s3control"] = {};
    AWS2.S3Control = Service.defineService("s3control", ["2018-08-20"]);
    require_s3control();
    Object.defineProperty(apiLoader.services["s3control"], "2018-08-20", {
      get: function get() {
        var model = require_s3control_2018_08_20_min();
        model.paginators = require_s3control_2018_08_20_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.S3Control;
  }
});

// node_modules/aws-sdk/apis/servicecatalog-2015-12-10.min.json
var require_servicecatalog_2015_12_10_min = __commonJS({
  "node_modules/aws-sdk/apis/servicecatalog-2015-12-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-12-10",
        endpointPrefix: "servicecatalog",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Service Catalog",
        serviceId: "Service Catalog",
        signatureVersion: "v4",
        targetPrefix: "AWS242ServiceCatalogService",
        uid: "servicecatalog-2015-12-10"
      },
      operations: {
        AcceptPortfolioShare: {
          input: {
            type: "structure",
            required: [
              "PortfolioId"
            ],
            members: {
              AcceptLanguage: {},
              PortfolioId: {},
              PortfolioShareType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateBudgetWithResource: {
          input: {
            type: "structure",
            required: [
              "BudgetName",
              "ResourceId"
            ],
            members: {
              BudgetName: {},
              ResourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociatePrincipalWithPortfolio: {
          input: {
            type: "structure",
            required: [
              "PortfolioId",
              "PrincipalARN",
              "PrincipalType"
            ],
            members: {
              AcceptLanguage: {},
              PortfolioId: {},
              PrincipalARN: {},
              PrincipalType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateProductWithPortfolio: {
          input: {
            type: "structure",
            required: [
              "ProductId",
              "PortfolioId"
            ],
            members: {
              AcceptLanguage: {},
              ProductId: {},
              PortfolioId: {},
              SourcePortfolioId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateServiceActionWithProvisioningArtifact: {
          input: {
            type: "structure",
            required: [
              "ProductId",
              "ProvisioningArtifactId",
              "ServiceActionId"
            ],
            members: {
              ProductId: {},
              ProvisioningArtifactId: {},
              ServiceActionId: {},
              AcceptLanguage: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateTagOptionWithResource: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "TagOptionId"
            ],
            members: {
              ResourceId: {},
              TagOptionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        BatchAssociateServiceActionWithProvisioningArtifact: {
          input: {
            type: "structure",
            required: [
              "ServiceActionAssociations"
            ],
            members: {
              ServiceActionAssociations: {
                shape: "Sm"
              },
              AcceptLanguage: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FailedServiceActionAssociations: {
                shape: "Sp"
              }
            }
          }
        },
        BatchDisassociateServiceActionFromProvisioningArtifact: {
          input: {
            type: "structure",
            required: [
              "ServiceActionAssociations"
            ],
            members: {
              ServiceActionAssociations: {
                shape: "Sm"
              },
              AcceptLanguage: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FailedServiceActionAssociations: {
                shape: "Sp"
              }
            }
          }
        },
        CopyProduct: {
          input: {
            type: "structure",
            required: [
              "SourceProductArn",
              "IdempotencyToken"
            ],
            members: {
              AcceptLanguage: {},
              SourceProductArn: {},
              TargetProductId: {},
              TargetProductName: {},
              SourceProvisioningArtifactIdentifiers: {
                type: "list",
                member: {
                  type: "map",
                  key: {},
                  value: {}
                }
              },
              CopyOptions: {
                type: "list",
                member: {}
              },
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CopyProductToken: {}
            }
          }
        },
        CreateConstraint: {
          input: {
            type: "structure",
            required: [
              "PortfolioId",
              "ProductId",
              "Parameters",
              "Type",
              "IdempotencyToken"
            ],
            members: {
              AcceptLanguage: {},
              PortfolioId: {},
              ProductId: {},
              Parameters: {},
              Type: {},
              Description: {},
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConstraintDetail: {
                shape: "S1b"
              },
              ConstraintParameters: {},
              Status: {}
            }
          }
        },
        CreatePortfolio: {
          input: {
            type: "structure",
            required: [
              "DisplayName",
              "ProviderName",
              "IdempotencyToken"
            ],
            members: {
              AcceptLanguage: {},
              DisplayName: {},
              Description: {},
              ProviderName: {},
              Tags: {
                shape: "S1i"
              },
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PortfolioDetail: {
                shape: "S1n"
              },
              Tags: {
                shape: "S1q"
              }
            }
          }
        },
        CreatePortfolioShare: {
          input: {
            type: "structure",
            required: [
              "PortfolioId"
            ],
            members: {
              AcceptLanguage: {},
              PortfolioId: {},
              AccountId: {},
              OrganizationNode: {
                shape: "S1s"
              },
              ShareTagOptions: {
                type: "boolean"
              },
              SharePrincipals: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PortfolioShareToken: {}
            }
          }
        },
        CreateProduct: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Owner",
              "ProductType",
              "IdempotencyToken"
            ],
            members: {
              AcceptLanguage: {},
              Name: {},
              Owner: {},
              Description: {},
              Distributor: {},
              SupportDescription: {},
              SupportEmail: {},
              SupportUrl: {},
              ProductType: {},
              Tags: {
                shape: "S1i"
              },
              ProvisioningArtifactParameters: {
                shape: "S24"
              },
              IdempotencyToken: {
                idempotencyToken: true
              },
              SourceConnection: {
                shape: "S2c"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProductViewDetail: {
                shape: "S2l"
              },
              ProvisioningArtifactDetail: {
                shape: "S2w"
              },
              Tags: {
                shape: "S1q"
              }
            }
          }
        },
        CreateProvisionedProductPlan: {
          input: {
            type: "structure",
            required: [
              "PlanName",
              "PlanType",
              "ProductId",
              "ProvisionedProductName",
              "ProvisioningArtifactId",
              "IdempotencyToken"
            ],
            members: {
              AcceptLanguage: {},
              PlanName: {},
              PlanType: {},
              NotificationArns: {
                shape: "S33"
              },
              PathId: {},
              ProductId: {},
              ProvisionedProductName: {},
              ProvisioningArtifactId: {},
              ProvisioningParameters: {
                shape: "S36"
              },
              IdempotencyToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S1q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PlanName: {},
              PlanId: {},
              ProvisionProductId: {},
              ProvisionedProductName: {},
              ProvisioningArtifactId: {}
            }
          }
        },
        CreateProvisioningArtifact: {
          input: {
            type: "structure",
            required: [
              "ProductId",
              "Parameters",
              "IdempotencyToken"
            ],
            members: {
              AcceptLanguage: {},
              ProductId: {},
              Parameters: {
                shape: "S24"
              },
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProvisioningArtifactDetail: {
                shape: "S2w"
              },
              Info: {
                shape: "S27"
              },
              Status: {}
            }
          }
        },
        CreateServiceAction: {
          input: {
            type: "structure",
            required: [
              "Name",
              "DefinitionType",
              "Definition",
              "IdempotencyToken"
            ],
            members: {
              Name: {},
              DefinitionType: {},
              Definition: {
                shape: "S3h"
              },
              Description: {},
              AcceptLanguage: {},
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceActionDetail: {
                shape: "S3m"
              }
            }
          }
        },
        CreateTagOption: {
          input: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TagOptionDetail: {
                shape: "S3s"
              }
            }
          }
        },
        DeleteConstraint: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              AcceptLanguage: {},
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeletePortfolio: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              AcceptLanguage: {},
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeletePortfolioShare: {
          input: {
            type: "structure",
            required: [
              "PortfolioId"
            ],
            members: {
              AcceptLanguage: {},
              PortfolioId: {},
              AccountId: {},
              OrganizationNode: {
                shape: "S1s"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PortfolioShareToken: {}
            }
          }
        },
        DeleteProduct: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              AcceptLanguage: {},
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteProvisionedProductPlan: {
          input: {
            type: "structure",
            required: [
              "PlanId"
            ],
            members: {
              AcceptLanguage: {},
              PlanId: {},
              IgnoreErrors: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteProvisioningArtifact: {
          input: {
            type: "structure",
            required: [
              "ProductId",
              "ProvisioningArtifactId"
            ],
            members: {
              AcceptLanguage: {},
              ProductId: {},
              ProvisioningArtifactId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteServiceAction: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {},
              AcceptLanguage: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteTagOption: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeConstraint: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              AcceptLanguage: {},
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConstraintDetail: {
                shape: "S1b"
              },
              ConstraintParameters: {},
              Status: {}
            }
          }
        },
        DescribeCopyProductStatus: {
          input: {
            type: "structure",
            required: [
              "CopyProductToken"
            ],
            members: {
              AcceptLanguage: {},
              CopyProductToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CopyProductStatus: {},
              TargetProductId: {},
              StatusDetail: {}
            }
          }
        },
        DescribePortfolio: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              AcceptLanguage: {},
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PortfolioDetail: {
                shape: "S1n"
              },
              Tags: {
                shape: "S1q"
              },
              TagOptions: {
                shape: "S4k"
              },
              Budgets: {
                shape: "S4l"
              }
            }
          }
        },
        DescribePortfolioShareStatus: {
          input: {
            type: "structure",
            required: [
              "PortfolioShareToken"
            ],
            members: {
              PortfolioShareToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PortfolioShareToken: {},
              PortfolioId: {},
              OrganizationNodeValue: {},
              Status: {},
              ShareDetails: {
                type: "structure",
                members: {
                  SuccessfulShares: {
                    type: "list",
                    member: {}
                  },
                  ShareErrors: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Accounts: {
                          type: "list",
                          member: {}
                        },
                        Message: {},
                        Error: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribePortfolioShares: {
          input: {
            type: "structure",
            required: [
              "PortfolioId",
              "Type"
            ],
            members: {
              PortfolioId: {},
              Type: {},
              PageToken: {},
              PageSize: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextPageToken: {},
              PortfolioShareDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PrincipalId: {},
                    Type: {},
                    Accepted: {
                      type: "boolean"
                    },
                    ShareTagOptions: {
                      type: "boolean"
                    },
                    SharePrincipals: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeProduct: {
          input: {
            type: "structure",
            members: {
              AcceptLanguage: {},
              Id: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProductViewSummary: {
                shape: "S2m"
              },
              ProvisioningArtifacts: {
                shape: "S56"
              },
              Budgets: {
                shape: "S4l"
              },
              LaunchPaths: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        DescribeProductAsAdmin: {
          input: {
            type: "structure",
            members: {
              AcceptLanguage: {},
              Id: {},
              Name: {},
              SourcePortfolioId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProductViewDetail: {
                shape: "S2l"
              },
              ProvisioningArtifactSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Name: {},
                    Description: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    ProvisioningArtifactMetadata: {
                      shape: "S27"
                    }
                  }
                }
              },
              Tags: {
                shape: "S1q"
              },
              TagOptions: {
                shape: "S4k"
              },
              Budgets: {
                shape: "S4l"
              }
            }
          }
        },
        DescribeProductView: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              AcceptLanguage: {},
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProductViewSummary: {
                shape: "S2m"
              },
              ProvisioningArtifacts: {
                shape: "S56"
              }
            }
          }
        },
        DescribeProvisionedProduct: {
          input: {
            type: "structure",
            members: {
              AcceptLanguage: {},
              Id: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProvisionedProductDetail: {
                shape: "S5k"
              },
              CloudWatchDashboards: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {}
                  }
                }
              }
            }
          }
        },
        DescribeProvisionedProductPlan: {
          input: {
            type: "structure",
            required: [
              "PlanId"
            ],
            members: {
              AcceptLanguage: {},
              PlanId: {},
              PageSize: {
                type: "integer"
              },
              PageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProvisionedProductPlanDetails: {
                type: "structure",
                members: {
                  CreatedTime: {
                    type: "timestamp"
                  },
                  PathId: {},
                  ProductId: {},
                  PlanName: {},
                  PlanId: {},
                  ProvisionProductId: {},
                  ProvisionProductName: {},
                  PlanType: {},
                  ProvisioningArtifactId: {},
                  Status: {},
                  UpdatedTime: {
                    type: "timestamp"
                  },
                  NotificationArns: {
                    shape: "S33"
                  },
                  ProvisioningParameters: {
                    shape: "S36"
                  },
                  Tags: {
                    shape: "S1q"
                  },
                  StatusMessage: {}
                }
              },
              ResourceChanges: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Action: {},
                    LogicalResourceId: {},
                    PhysicalResourceId: {},
                    ResourceType: {},
                    Replacement: {},
                    Scope: {
                      type: "list",
                      member: {}
                    },
                    Details: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Target: {
                            type: "structure",
                            members: {
                              Attribute: {},
                              Name: {},
                              RequiresRecreation: {}
                            }
                          },
                          Evaluation: {},
                          CausingEntity: {}
                        }
                      }
                    }
                  }
                }
              },
              NextPageToken: {}
            }
          }
        },
        DescribeProvisioningArtifact: {
          input: {
            type: "structure",
            members: {
              AcceptLanguage: {},
              ProvisioningArtifactId: {},
              ProductId: {},
              ProvisioningArtifactName: {},
              ProductName: {},
              Verbose: {
                type: "boolean"
              },
              IncludeProvisioningArtifactParameters: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProvisioningArtifactDetail: {
                shape: "S2w"
              },
              Info: {
                shape: "S27"
              },
              Status: {},
              ProvisioningArtifactParameters: {
                shape: "S6l"
              }
            }
          }
        },
        DescribeProvisioningParameters: {
          input: {
            type: "structure",
            members: {
              AcceptLanguage: {},
              ProductId: {},
              ProductName: {},
              ProvisioningArtifactId: {},
              ProvisioningArtifactName: {},
              PathId: {},
              PathName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProvisioningArtifactParameters: {
                shape: "S6l"
              },
              ConstraintSummaries: {
                shape: "S6w"
              },
              UsageInstructions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    Value: {}
                  }
                }
              },
              TagOptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Key: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              ProvisioningArtifactPreferences: {
                type: "structure",
                members: {
                  StackSetAccounts: {
                    shape: "S76"
                  },
                  StackSetRegions: {
                    shape: "S77"
                  }
                }
              },
              ProvisioningArtifactOutputs: {
                shape: "S79",
                deprecated: true,
                deprecatedMessage: "This property is deprecated and returns the Id and Description of the Provisioning Artifact. Use ProvisioningArtifactOutputKeys instead to get the Keys and Descriptions of the outputs."
              },
              ProvisioningArtifactOutputKeys: {
                shape: "S79"
              }
            }
          }
        },
        DescribeRecord: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              AcceptLanguage: {},
              Id: {},
              PageToken: {},
              PageSize: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RecordDetail: {
                shape: "S7f"
              },
              RecordOutputs: {
                shape: "S7q"
              },
              NextPageToken: {}
            }
          }
        },
        DescribeServiceAction: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {},
              AcceptLanguage: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceActionDetail: {
                shape: "S3m"
              }
            }
          }
        },
        DescribeServiceActionExecutionParameters: {
          input: {
            type: "structure",
            required: [
              "ProvisionedProductId",
              "ServiceActionId"
            ],
            members: {
              ProvisionedProductId: {},
              ServiceActionId: {},
              AcceptLanguage: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceActionParameters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Type: {},
                    DefaultValues: {
                      shape: "S82"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeTagOption: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TagOptionDetail: {
                shape: "S3s"
              }
            }
          }
        },
        DisableAWSOrganizationsAccess: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateBudgetFromResource: {
          input: {
            type: "structure",
            required: [
              "BudgetName",
              "ResourceId"
            ],
            members: {
              BudgetName: {},
              ResourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociatePrincipalFromPortfolio: {
          input: {
            type: "structure",
            required: [
              "PortfolioId",
              "PrincipalARN"
            ],
            members: {
              AcceptLanguage: {},
              PortfolioId: {},
              PrincipalARN: {},
              PrincipalType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateProductFromPortfolio: {
          input: {
            type: "structure",
            required: [
              "ProductId",
              "PortfolioId"
            ],
            members: {
              AcceptLanguage: {},
              ProductId: {},
              PortfolioId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateServiceActionFromProvisioningArtifact: {
          input: {
            type: "structure",
            required: [
              "ProductId",
              "ProvisioningArtifactId",
              "ServiceActionId"
            ],
            members: {
              ProductId: {},
              ProvisioningArtifactId: {},
              ServiceActionId: {},
              AcceptLanguage: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateTagOptionFromResource: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "TagOptionId"
            ],
            members: {
              ResourceId: {},
              TagOptionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        EnableAWSOrganizationsAccess: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ExecuteProvisionedProductPlan: {
          input: {
            type: "structure",
            required: [
              "PlanId",
              "IdempotencyToken"
            ],
            members: {
              AcceptLanguage: {},
              PlanId: {},
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RecordDetail: {
                shape: "S7f"
              }
            }
          }
        },
        ExecuteProvisionedProductServiceAction: {
          input: {
            type: "structure",
            required: [
              "ProvisionedProductId",
              "ServiceActionId",
              "ExecuteToken"
            ],
            members: {
              ProvisionedProductId: {},
              ServiceActionId: {},
              ExecuteToken: {
                idempotencyToken: true
              },
              AcceptLanguage: {},
              Parameters: {
                type: "map",
                key: {},
                value: {
                  shape: "S82"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RecordDetail: {
                shape: "S7f"
              }
            }
          }
        },
        GetAWSOrganizationsAccessStatus: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              AccessStatus: {}
            }
          }
        },
        GetProvisionedProductOutputs: {
          input: {
            type: "structure",
            members: {
              AcceptLanguage: {},
              ProvisionedProductId: {},
              ProvisionedProductName: {},
              OutputKeys: {
                type: "list",
                member: {}
              },
              PageSize: {
                type: "integer"
              },
              PageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Outputs: {
                shape: "S7q"
              },
              NextPageToken: {}
            }
          }
        },
        ImportAsProvisionedProduct: {
          input: {
            type: "structure",
            required: [
              "ProductId",
              "ProvisioningArtifactId",
              "ProvisionedProductName",
              "PhysicalId",
              "IdempotencyToken"
            ],
            members: {
              AcceptLanguage: {},
              ProductId: {},
              ProvisioningArtifactId: {},
              ProvisionedProductName: {},
              PhysicalId: {},
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RecordDetail: {
                shape: "S7f"
              }
            }
          }
        },
        ListAcceptedPortfolioShares: {
          input: {
            type: "structure",
            members: {
              AcceptLanguage: {},
              PageToken: {},
              PageSize: {
                type: "integer"
              },
              PortfolioShareType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PortfolioDetails: {
                shape: "S90"
              },
              NextPageToken: {}
            }
          }
        },
        ListBudgetsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              AcceptLanguage: {},
              ResourceId: {},
              PageSize: {
                type: "integer"
              },
              PageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Budgets: {
                shape: "S4l"
              },
              NextPageToken: {}
            }
          }
        },
        ListConstraintsForPortfolio: {
          input: {
            type: "structure",
            required: [
              "PortfolioId"
            ],
            members: {
              AcceptLanguage: {},
              PortfolioId: {},
              ProductId: {},
              PageSize: {
                type: "integer"
              },
              PageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConstraintDetails: {
                type: "list",
                member: {
                  shape: "S1b"
                }
              },
              NextPageToken: {}
            }
          }
        },
        ListLaunchPaths: {
          input: {
            type: "structure",
            required: [
              "ProductId"
            ],
            members: {
              AcceptLanguage: {},
              ProductId: {},
              PageSize: {
                type: "integer"
              },
              PageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LaunchPathSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    ConstraintSummaries: {
                      shape: "S6w"
                    },
                    Tags: {
                      shape: "S1q"
                    },
                    Name: {}
                  }
                }
              },
              NextPageToken: {}
            }
          }
        },
        ListOrganizationPortfolioAccess: {
          input: {
            type: "structure",
            required: [
              "PortfolioId",
              "OrganizationNodeType"
            ],
            members: {
              AcceptLanguage: {},
              PortfolioId: {},
              OrganizationNodeType: {},
              PageToken: {},
              PageSize: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationNodes: {
                type: "list",
                member: {
                  shape: "S1s"
                }
              },
              NextPageToken: {}
            }
          }
        },
        ListPortfolioAccess: {
          input: {
            type: "structure",
            required: [
              "PortfolioId"
            ],
            members: {
              AcceptLanguage: {},
              PortfolioId: {},
              OrganizationParentId: {},
              PageToken: {},
              PageSize: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccountIds: {
                type: "list",
                member: {}
              },
              NextPageToken: {}
            }
          }
        },
        ListPortfolios: {
          input: {
            type: "structure",
            members: {
              AcceptLanguage: {},
              PageToken: {},
              PageSize: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PortfolioDetails: {
                shape: "S90"
              },
              NextPageToken: {}
            }
          }
        },
        ListPortfoliosForProduct: {
          input: {
            type: "structure",
            required: [
              "ProductId"
            ],
            members: {
              AcceptLanguage: {},
              ProductId: {},
              PageToken: {},
              PageSize: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PortfolioDetails: {
                shape: "S90"
              },
              NextPageToken: {}
            }
          }
        },
        ListPrincipalsForPortfolio: {
          input: {
            type: "structure",
            required: [
              "PortfolioId"
            ],
            members: {
              AcceptLanguage: {},
              PortfolioId: {},
              PageSize: {
                type: "integer"
              },
              PageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Principals: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PrincipalARN: {},
                    PrincipalType: {}
                  }
                }
              },
              NextPageToken: {}
            }
          }
        },
        ListProvisionedProductPlans: {
          input: {
            type: "structure",
            members: {
              AcceptLanguage: {},
              ProvisionProductId: {},
              PageSize: {
                type: "integer"
              },
              PageToken: {},
              AccessLevelFilter: {
                shape: "S9p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProvisionedProductPlans: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PlanName: {},
                    PlanId: {},
                    ProvisionProductId: {},
                    ProvisionProductName: {},
                    PlanType: {},
                    ProvisioningArtifactId: {}
                  }
                }
              },
              NextPageToken: {}
            }
          }
        },
        ListProvisioningArtifacts: {
          input: {
            type: "structure",
            required: [
              "ProductId"
            ],
            members: {
              AcceptLanguage: {},
              ProductId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProvisioningArtifactDetails: {
                type: "list",
                member: {
                  shape: "S2w"
                }
              },
              NextPageToken: {}
            }
          }
        },
        ListProvisioningArtifactsForServiceAction: {
          input: {
            type: "structure",
            required: [
              "ServiceActionId"
            ],
            members: {
              ServiceActionId: {},
              PageSize: {
                type: "integer"
              },
              PageToken: {},
              AcceptLanguage: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProvisioningArtifactViews: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ProductViewSummary: {
                      shape: "S2m"
                    },
                    ProvisioningArtifact: {
                      shape: "S57"
                    }
                  }
                }
              },
              NextPageToken: {}
            }
          }
        },
        ListRecordHistory: {
          input: {
            type: "structure",
            members: {
              AcceptLanguage: {},
              AccessLevelFilter: {
                shape: "S9p"
              },
              SearchFilter: {
                type: "structure",
                members: {
                  Key: {},
                  Value: {}
                }
              },
              PageSize: {
                type: "integer"
              },
              PageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RecordDetails: {
                type: "list",
                member: {
                  shape: "S7f"
                }
              },
              NextPageToken: {}
            }
          }
        },
        ListResourcesForTagOption: {
          input: {
            type: "structure",
            required: [
              "TagOptionId"
            ],
            members: {
              TagOptionId: {},
              ResourceType: {},
              PageSize: {
                type: "integer"
              },
              PageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    ARN: {},
                    Name: {},
                    Description: {},
                    CreatedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              PageToken: {}
            }
          }
        },
        ListServiceActions: {
          input: {
            type: "structure",
            members: {
              AcceptLanguage: {},
              PageSize: {
                type: "integer"
              },
              PageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceActionSummaries: {
                shape: "Sak"
              },
              NextPageToken: {}
            }
          }
        },
        ListServiceActionsForProvisioningArtifact: {
          input: {
            type: "structure",
            required: [
              "ProductId",
              "ProvisioningArtifactId"
            ],
            members: {
              ProductId: {},
              ProvisioningArtifactId: {},
              PageSize: {
                type: "integer"
              },
              PageToken: {},
              AcceptLanguage: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceActionSummaries: {
                shape: "Sak"
              },
              NextPageToken: {}
            }
          }
        },
        ListStackInstancesForProvisionedProduct: {
          input: {
            type: "structure",
            required: [
              "ProvisionedProductId"
            ],
            members: {
              AcceptLanguage: {},
              ProvisionedProductId: {},
              PageToken: {},
              PageSize: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StackInstances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Account: {},
                    Region: {},
                    StackInstanceStatus: {}
                  }
                }
              },
              NextPageToken: {}
            }
          }
        },
        ListTagOptions: {
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "structure",
                members: {
                  Key: {},
                  Value: {},
                  Active: {
                    type: "boolean"
                  }
                }
              },
              PageSize: {
                type: "integer"
              },
              PageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TagOptionDetails: {
                shape: "S4k"
              },
              PageToken: {}
            }
          }
        },
        NotifyProvisionProductEngineWorkflowResult: {
          input: {
            type: "structure",
            required: [
              "WorkflowToken",
              "RecordId",
              "Status",
              "IdempotencyToken"
            ],
            members: {
              WorkflowToken: {},
              RecordId: {},
              Status: {},
              FailureReason: {},
              ResourceIdentifier: {
                type: "structure",
                members: {
                  UniqueTag: {
                    type: "structure",
                    members: {
                      Key: {},
                      Value: {}
                    }
                  }
                }
              },
              Outputs: {
                shape: "S7q"
              },
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        NotifyTerminateProvisionedProductEngineWorkflowResult: {
          input: {
            type: "structure",
            required: [
              "WorkflowToken",
              "RecordId",
              "Status",
              "IdempotencyToken"
            ],
            members: {
              WorkflowToken: {},
              RecordId: {},
              Status: {},
              FailureReason: {},
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        NotifyUpdateProvisionedProductEngineWorkflowResult: {
          input: {
            type: "structure",
            required: [
              "WorkflowToken",
              "RecordId",
              "Status",
              "IdempotencyToken"
            ],
            members: {
              WorkflowToken: {},
              RecordId: {},
              Status: {},
              FailureReason: {},
              Outputs: {
                shape: "S7q"
              },
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ProvisionProduct: {
          input: {
            type: "structure",
            required: [
              "ProvisionedProductName",
              "ProvisionToken"
            ],
            members: {
              AcceptLanguage: {},
              ProductId: {},
              ProductName: {},
              ProvisioningArtifactId: {},
              ProvisioningArtifactName: {},
              PathId: {},
              PathName: {},
              ProvisionedProductName: {},
              ProvisioningParameters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Key: {},
                    Value: {}
                  }
                }
              },
              ProvisioningPreferences: {
                type: "structure",
                members: {
                  StackSetAccounts: {
                    shape: "S76"
                  },
                  StackSetRegions: {
                    shape: "S77"
                  },
                  StackSetFailureToleranceCount: {
                    type: "integer"
                  },
                  StackSetFailureTolerancePercentage: {
                    type: "integer"
                  },
                  StackSetMaxConcurrencyCount: {
                    type: "integer"
                  },
                  StackSetMaxConcurrencyPercentage: {
                    type: "integer"
                  }
                }
              },
              Tags: {
                shape: "S1q"
              },
              NotificationArns: {
                shape: "S33"
              },
              ProvisionToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RecordDetail: {
                shape: "S7f"
              }
            }
          }
        },
        RejectPortfolioShare: {
          input: {
            type: "structure",
            required: [
              "PortfolioId"
            ],
            members: {
              AcceptLanguage: {},
              PortfolioId: {},
              PortfolioShareType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ScanProvisionedProducts: {
          input: {
            type: "structure",
            members: {
              AcceptLanguage: {},
              AccessLevelFilter: {
                shape: "S9p"
              },
              PageSize: {
                type: "integer"
              },
              PageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProvisionedProducts: {
                type: "list",
                member: {
                  shape: "S5k"
                }
              },
              NextPageToken: {}
            }
          }
        },
        SearchProducts: {
          input: {
            type: "structure",
            members: {
              AcceptLanguage: {},
              Filters: {
                shape: "Sbn"
              },
              PageSize: {
                type: "integer"
              },
              SortBy: {},
              SortOrder: {},
              PageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProductViewSummaries: {
                type: "list",
                member: {
                  shape: "S2m"
                }
              },
              ProductViewAggregations: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      Value: {},
                      ApproximateCount: {
                        type: "integer"
                      }
                    }
                  }
                }
              },
              NextPageToken: {}
            }
          }
        },
        SearchProductsAsAdmin: {
          input: {
            type: "structure",
            members: {
              AcceptLanguage: {},
              PortfolioId: {},
              Filters: {
                shape: "Sbn"
              },
              SortBy: {},
              SortOrder: {},
              PageToken: {},
              PageSize: {
                type: "integer"
              },
              ProductSource: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProductViewDetails: {
                type: "list",
                member: {
                  shape: "S2l"
                }
              },
              NextPageToken: {}
            }
          }
        },
        SearchProvisionedProducts: {
          input: {
            type: "structure",
            members: {
              AcceptLanguage: {},
              AccessLevelFilter: {
                shape: "S9p"
              },
              Filters: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {}
                }
              },
              SortBy: {},
              SortOrder: {},
              PageSize: {
                type: "integer"
              },
              PageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProvisionedProducts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Arn: {},
                    Type: {},
                    Id: {},
                    Status: {},
                    StatusMessage: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    IdempotencyToken: {},
                    LastRecordId: {},
                    LastProvisioningRecordId: {},
                    LastSuccessfulProvisioningRecordId: {},
                    Tags: {
                      shape: "S1q"
                    },
                    PhysicalId: {},
                    ProductId: {},
                    ProductName: {},
                    ProvisioningArtifactId: {},
                    ProvisioningArtifactName: {},
                    UserArn: {},
                    UserArnSession: {}
                  }
                }
              },
              TotalResultsCount: {
                type: "integer"
              },
              NextPageToken: {}
            }
          }
        },
        TerminateProvisionedProduct: {
          input: {
            type: "structure",
            required: [
              "TerminateToken"
            ],
            members: {
              ProvisionedProductName: {},
              ProvisionedProductId: {},
              TerminateToken: {
                idempotencyToken: true
              },
              IgnoreErrors: {
                type: "boolean"
              },
              AcceptLanguage: {},
              RetainPhysicalResources: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RecordDetail: {
                shape: "S7f"
              }
            }
          }
        },
        UpdateConstraint: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              AcceptLanguage: {},
              Id: {},
              Description: {},
              Parameters: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConstraintDetail: {
                shape: "S1b"
              },
              ConstraintParameters: {},
              Status: {}
            }
          }
        },
        UpdatePortfolio: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              AcceptLanguage: {},
              Id: {},
              DisplayName: {},
              Description: {},
              ProviderName: {},
              AddTags: {
                shape: "S1i"
              },
              RemoveTags: {
                shape: "Sco"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PortfolioDetail: {
                shape: "S1n"
              },
              Tags: {
                shape: "S1q"
              }
            }
          }
        },
        UpdatePortfolioShare: {
          input: {
            type: "structure",
            required: [
              "PortfolioId"
            ],
            members: {
              AcceptLanguage: {},
              PortfolioId: {},
              AccountId: {},
              OrganizationNode: {
                shape: "S1s"
              },
              ShareTagOptions: {
                type: "boolean"
              },
              SharePrincipals: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PortfolioShareToken: {},
              Status: {}
            }
          }
        },
        UpdateProduct: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              AcceptLanguage: {},
              Id: {},
              Name: {},
              Owner: {},
              Description: {},
              Distributor: {},
              SupportDescription: {},
              SupportEmail: {},
              SupportUrl: {},
              AddTags: {
                shape: "S1i"
              },
              RemoveTags: {
                shape: "Sco"
              },
              SourceConnection: {
                shape: "S2c"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProductViewDetail: {
                shape: "S2l"
              },
              Tags: {
                shape: "S1q"
              }
            }
          }
        },
        UpdateProvisionedProduct: {
          input: {
            type: "structure",
            required: [
              "UpdateToken"
            ],
            members: {
              AcceptLanguage: {},
              ProvisionedProductName: {},
              ProvisionedProductId: {},
              ProductId: {},
              ProductName: {},
              ProvisioningArtifactId: {},
              ProvisioningArtifactName: {},
              PathId: {},
              PathName: {},
              ProvisioningParameters: {
                shape: "S36"
              },
              ProvisioningPreferences: {
                type: "structure",
                members: {
                  StackSetAccounts: {
                    shape: "S76"
                  },
                  StackSetRegions: {
                    shape: "S77"
                  },
                  StackSetFailureToleranceCount: {
                    type: "integer"
                  },
                  StackSetFailureTolerancePercentage: {
                    type: "integer"
                  },
                  StackSetMaxConcurrencyCount: {
                    type: "integer"
                  },
                  StackSetMaxConcurrencyPercentage: {
                    type: "integer"
                  },
                  StackSetOperationType: {}
                }
              },
              Tags: {
                shape: "S1q"
              },
              UpdateToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RecordDetail: {
                shape: "S7f"
              }
            }
          }
        },
        UpdateProvisionedProductProperties: {
          input: {
            type: "structure",
            required: [
              "ProvisionedProductId",
              "ProvisionedProductProperties",
              "IdempotencyToken"
            ],
            members: {
              AcceptLanguage: {},
              ProvisionedProductId: {},
              ProvisionedProductProperties: {
                shape: "Sd0"
              },
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProvisionedProductId: {},
              ProvisionedProductProperties: {
                shape: "Sd0"
              },
              RecordId: {},
              Status: {}
            }
          }
        },
        UpdateProvisioningArtifact: {
          input: {
            type: "structure",
            required: [
              "ProductId",
              "ProvisioningArtifactId"
            ],
            members: {
              AcceptLanguage: {},
              ProductId: {},
              ProvisioningArtifactId: {},
              Name: {},
              Description: {},
              Active: {
                type: "boolean"
              },
              Guidance: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProvisioningArtifactDetail: {
                shape: "S2w"
              },
              Info: {
                shape: "S27"
              },
              Status: {}
            }
          }
        },
        UpdateServiceAction: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {},
              Name: {},
              Definition: {
                shape: "S3h"
              },
              Description: {},
              AcceptLanguage: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceActionDetail: {
                shape: "S3m"
              }
            }
          }
        },
        UpdateTagOption: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {},
              Value: {},
              Active: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TagOptionDetail: {
                shape: "S3s"
              }
            }
          }
        }
      },
      shapes: {
        Sm: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ServiceActionId",
              "ProductId",
              "ProvisioningArtifactId"
            ],
            members: {
              ServiceActionId: {},
              ProductId: {},
              ProvisioningArtifactId: {}
            }
          }
        },
        Sp: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ServiceActionId: {},
              ProductId: {},
              ProvisioningArtifactId: {},
              ErrorCode: {},
              ErrorMessage: {}
            }
          }
        },
        S1b: {
          type: "structure",
          members: {
            ConstraintId: {},
            Type: {},
            Description: {},
            Owner: {},
            ProductId: {},
            PortfolioId: {}
          }
        },
        S1i: {
          type: "list",
          member: {
            shape: "S1j"
          }
        },
        S1j: {
          type: "structure",
          required: [
            "Key",
            "Value"
          ],
          members: {
            Key: {},
            Value: {}
          }
        },
        S1n: {
          type: "structure",
          members: {
            Id: {},
            ARN: {},
            DisplayName: {},
            Description: {},
            CreatedTime: {
              type: "timestamp"
            },
            ProviderName: {}
          }
        },
        S1q: {
          type: "list",
          member: {
            shape: "S1j"
          }
        },
        S1s: {
          type: "structure",
          members: {
            Type: {},
            Value: {}
          }
        },
        S24: {
          type: "structure",
          members: {
            Name: {},
            Description: {},
            Info: {
              shape: "S27"
            },
            Type: {},
            DisableTemplateValidation: {
              type: "boolean"
            }
          }
        },
        S27: {
          type: "map",
          key: {},
          value: {}
        },
        S2c: {
          type: "structure",
          required: [
            "ConnectionParameters"
          ],
          members: {
            Type: {},
            ConnectionParameters: {
              shape: "S2e"
            }
          }
        },
        S2e: {
          type: "structure",
          members: {
            CodeStar: {
              type: "structure",
              required: [
                "ConnectionArn",
                "Repository",
                "Branch",
                "ArtifactPath"
              ],
              members: {
                ConnectionArn: {},
                Repository: {},
                Branch: {},
                ArtifactPath: {}
              }
            }
          }
        },
        S2l: {
          type: "structure",
          members: {
            ProductViewSummary: {
              shape: "S2m"
            },
            Status: {},
            ProductARN: {},
            CreatedTime: {
              type: "timestamp"
            },
            SourceConnection: {
              type: "structure",
              members: {
                Type: {},
                ConnectionParameters: {
                  shape: "S2e"
                },
                LastSync: {
                  type: "structure",
                  members: {
                    LastSyncTime: {
                      type: "timestamp"
                    },
                    LastSyncStatus: {},
                    LastSyncStatusMessage: {},
                    LastSuccessfulSyncTime: {
                      type: "timestamp"
                    },
                    LastSuccessfulSyncProvisioningArtifactId: {}
                  }
                }
              }
            }
          }
        },
        S2m: {
          type: "structure",
          members: {
            Id: {},
            ProductId: {},
            Name: {},
            Owner: {},
            ShortDescription: {},
            Type: {},
            Distributor: {},
            HasDefaultPath: {
              type: "boolean"
            },
            SupportEmail: {},
            SupportDescription: {},
            SupportUrl: {}
          }
        },
        S2w: {
          type: "structure",
          members: {
            Id: {},
            Name: {},
            Description: {},
            Type: {},
            CreatedTime: {
              type: "timestamp"
            },
            Active: {
              type: "boolean"
            },
            Guidance: {},
            SourceRevision: {}
          }
        },
        S33: {
          type: "list",
          member: {}
        },
        S36: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {},
              UsePreviousValue: {
                type: "boolean"
              }
            }
          }
        },
        S3h: {
          type: "map",
          key: {},
          value: {}
        },
        S3m: {
          type: "structure",
          members: {
            ServiceActionSummary: {
              shape: "S3n"
            },
            Definition: {
              shape: "S3h"
            }
          }
        },
        S3n: {
          type: "structure",
          members: {
            Id: {},
            Name: {},
            Description: {},
            DefinitionType: {}
          }
        },
        S3s: {
          type: "structure",
          members: {
            Key: {},
            Value: {},
            Active: {
              type: "boolean"
            },
            Id: {},
            Owner: {}
          }
        },
        S4k: {
          type: "list",
          member: {
            shape: "S3s"
          }
        },
        S4l: {
          type: "list",
          member: {
            type: "structure",
            members: {
              BudgetName: {}
            }
          }
        },
        S56: {
          type: "list",
          member: {
            shape: "S57"
          }
        },
        S57: {
          type: "structure",
          members: {
            Id: {},
            Name: {},
            Description: {},
            CreatedTime: {
              type: "timestamp"
            },
            Guidance: {}
          }
        },
        S5k: {
          type: "structure",
          members: {
            Name: {},
            Arn: {},
            Type: {},
            Id: {},
            Status: {},
            StatusMessage: {},
            CreatedTime: {
              type: "timestamp"
            },
            IdempotencyToken: {},
            LastRecordId: {},
            LastProvisioningRecordId: {},
            LastSuccessfulProvisioningRecordId: {},
            ProductId: {},
            ProvisioningArtifactId: {},
            LaunchRoleArn: {}
          }
        },
        S6l: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ParameterKey: {},
              DefaultValue: {},
              ParameterType: {},
              IsNoEcho: {
                type: "boolean"
              },
              Description: {},
              ParameterConstraints: {
                type: "structure",
                members: {
                  AllowedValues: {
                    type: "list",
                    member: {}
                  },
                  AllowedPattern: {},
                  ConstraintDescription: {},
                  MaxLength: {},
                  MinLength: {},
                  MaxValue: {},
                  MinValue: {}
                }
              }
            }
          }
        },
        S6w: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {},
              Description: {}
            }
          }
        },
        S76: {
          type: "list",
          member: {}
        },
        S77: {
          type: "list",
          member: {}
        },
        S79: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Description: {}
            }
          }
        },
        S7f: {
          type: "structure",
          members: {
            RecordId: {},
            ProvisionedProductName: {},
            Status: {},
            CreatedTime: {
              type: "timestamp"
            },
            UpdatedTime: {
              type: "timestamp"
            },
            ProvisionedProductType: {},
            RecordType: {},
            ProvisionedProductId: {},
            ProductId: {},
            ProvisioningArtifactId: {},
            PathId: {},
            RecordErrors: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Code: {},
                  Description: {}
                }
              }
            },
            RecordTags: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Key: {},
                  Value: {}
                }
              }
            },
            LaunchRoleArn: {}
          }
        },
        S7q: {
          type: "list",
          member: {
            type: "structure",
            members: {
              OutputKey: {},
              OutputValue: {},
              Description: {}
            }
          }
        },
        S82: {
          type: "list",
          member: {}
        },
        S90: {
          type: "list",
          member: {
            shape: "S1n"
          }
        },
        S9p: {
          type: "structure",
          members: {
            Key: {},
            Value: {}
          }
        },
        Sak: {
          type: "list",
          member: {
            shape: "S3n"
          }
        },
        Sbn: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {}
          }
        },
        Sco: {
          type: "list",
          member: {}
        },
        Sd0: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/servicecatalog-2015-12-10.paginators.json
var require_servicecatalog_2015_12_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/servicecatalog-2015-12-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribePortfolioShares: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        },
        GetProvisionedProductOutputs: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        },
        ListAcceptedPortfolioShares: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        },
        ListBudgetsForResource: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        },
        ListConstraintsForPortfolio: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        },
        ListLaunchPaths: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        },
        ListOrganizationPortfolioAccess: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        },
        ListPortfolioAccess: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        },
        ListPortfolios: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        },
        ListPortfoliosForProduct: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        },
        ListPrincipalsForPortfolio: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        },
        ListProvisioningArtifactsForServiceAction: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        },
        ListResourcesForTagOption: {
          input_token: "PageToken",
          output_token: "PageToken",
          limit_key: "PageSize"
        },
        ListServiceActions: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        },
        ListServiceActionsForProvisioningArtifact: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        },
        ListTagOptions: {
          input_token: "PageToken",
          output_token: "PageToken",
          limit_key: "PageSize"
        },
        SearchProducts: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        },
        SearchProductsAsAdmin: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        },
        SearchProvisionedProducts: {
          input_token: "PageToken",
          output_token: "NextPageToken",
          limit_key: "PageSize"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/servicecatalog.js
var require_servicecatalog = __commonJS({
  "node_modules/aws-sdk/clients/servicecatalog.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["servicecatalog"] = {};
    AWS2.ServiceCatalog = Service.defineService("servicecatalog", ["2015-12-10"]);
    Object.defineProperty(apiLoader.services["servicecatalog"], "2015-12-10", {
      get: function get() {
        var model = require_servicecatalog_2015_12_10_min();
        model.paginators = require_servicecatalog_2015_12_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ServiceCatalog;
  }
});

// node_modules/aws-sdk/apis/email-2010-12-01.min.json
var require_email_2010_12_01_min = __commonJS({
  "node_modules/aws-sdk/apis/email-2010-12-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2010-12-01",
        endpointPrefix: "email",
        protocol: "query",
        serviceAbbreviation: "Amazon SES",
        serviceFullName: "Amazon Simple Email Service",
        serviceId: "SES",
        signatureVersion: "v4",
        signingName: "ses",
        uid: "email-2010-12-01",
        xmlNamespace: "http://ses.amazonaws.com/doc/2010-12-01/"
      },
      operations: {
        CloneReceiptRuleSet: {
          input: {
            type: "structure",
            required: [
              "RuleSetName",
              "OriginalRuleSetName"
            ],
            members: {
              RuleSetName: {},
              OriginalRuleSetName: {}
            }
          },
          output: {
            resultWrapper: "CloneReceiptRuleSetResult",
            type: "structure",
            members: {}
          }
        },
        CreateConfigurationSet: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSet"
            ],
            members: {
              ConfigurationSet: {
                shape: "S5"
              }
            }
          },
          output: {
            resultWrapper: "CreateConfigurationSetResult",
            type: "structure",
            members: {}
          }
        },
        CreateConfigurationSetEventDestination: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "EventDestination"
            ],
            members: {
              ConfigurationSetName: {},
              EventDestination: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateConfigurationSetEventDestinationResult",
            type: "structure",
            members: {}
          }
        },
        CreateConfigurationSetTrackingOptions: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "TrackingOptions"
            ],
            members: {
              ConfigurationSetName: {},
              TrackingOptions: {
                shape: "Sp"
              }
            }
          },
          output: {
            resultWrapper: "CreateConfigurationSetTrackingOptionsResult",
            type: "structure",
            members: {}
          }
        },
        CreateCustomVerificationEmailTemplate: {
          input: {
            type: "structure",
            required: [
              "TemplateName",
              "FromEmailAddress",
              "TemplateSubject",
              "TemplateContent",
              "SuccessRedirectionURL",
              "FailureRedirectionURL"
            ],
            members: {
              TemplateName: {},
              FromEmailAddress: {},
              TemplateSubject: {},
              TemplateContent: {},
              SuccessRedirectionURL: {},
              FailureRedirectionURL: {}
            }
          }
        },
        CreateReceiptFilter: {
          input: {
            type: "structure",
            required: [
              "Filter"
            ],
            members: {
              Filter: {
                shape: "S10"
              }
            }
          },
          output: {
            resultWrapper: "CreateReceiptFilterResult",
            type: "structure",
            members: {}
          }
        },
        CreateReceiptRule: {
          input: {
            type: "structure",
            required: [
              "RuleSetName",
              "Rule"
            ],
            members: {
              RuleSetName: {},
              After: {},
              Rule: {
                shape: "S18"
              }
            }
          },
          output: {
            resultWrapper: "CreateReceiptRuleResult",
            type: "structure",
            members: {}
          }
        },
        CreateReceiptRuleSet: {
          input: {
            type: "structure",
            required: [
              "RuleSetName"
            ],
            members: {
              RuleSetName: {}
            }
          },
          output: {
            resultWrapper: "CreateReceiptRuleSetResult",
            type: "structure",
            members: {}
          }
        },
        CreateTemplate: {
          input: {
            type: "structure",
            required: [
              "Template"
            ],
            members: {
              Template: {
                shape: "S20"
              }
            }
          },
          output: {
            resultWrapper: "CreateTemplateResult",
            type: "structure",
            members: {}
          }
        },
        DeleteConfigurationSet: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {}
            }
          },
          output: {
            resultWrapper: "DeleteConfigurationSetResult",
            type: "structure",
            members: {}
          }
        },
        DeleteConfigurationSetEventDestination: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "EventDestinationName"
            ],
            members: {
              ConfigurationSetName: {},
              EventDestinationName: {}
            }
          },
          output: {
            resultWrapper: "DeleteConfigurationSetEventDestinationResult",
            type: "structure",
            members: {}
          }
        },
        DeleteConfigurationSetTrackingOptions: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {}
            }
          },
          output: {
            resultWrapper: "DeleteConfigurationSetTrackingOptionsResult",
            type: "structure",
            members: {}
          }
        },
        DeleteCustomVerificationEmailTemplate: {
          input: {
            type: "structure",
            required: [
              "TemplateName"
            ],
            members: {
              TemplateName: {}
            }
          }
        },
        DeleteIdentity: {
          input: {
            type: "structure",
            required: [
              "Identity"
            ],
            members: {
              Identity: {}
            }
          },
          output: {
            resultWrapper: "DeleteIdentityResult",
            type: "structure",
            members: {}
          }
        },
        DeleteIdentityPolicy: {
          input: {
            type: "structure",
            required: [
              "Identity",
              "PolicyName"
            ],
            members: {
              Identity: {},
              PolicyName: {}
            }
          },
          output: {
            resultWrapper: "DeleteIdentityPolicyResult",
            type: "structure",
            members: {}
          }
        },
        DeleteReceiptFilter: {
          input: {
            type: "structure",
            required: [
              "FilterName"
            ],
            members: {
              FilterName: {}
            }
          },
          output: {
            resultWrapper: "DeleteReceiptFilterResult",
            type: "structure",
            members: {}
          }
        },
        DeleteReceiptRule: {
          input: {
            type: "structure",
            required: [
              "RuleSetName",
              "RuleName"
            ],
            members: {
              RuleSetName: {},
              RuleName: {}
            }
          },
          output: {
            resultWrapper: "DeleteReceiptRuleResult",
            type: "structure",
            members: {}
          }
        },
        DeleteReceiptRuleSet: {
          input: {
            type: "structure",
            required: [
              "RuleSetName"
            ],
            members: {
              RuleSetName: {}
            }
          },
          output: {
            resultWrapper: "DeleteReceiptRuleSetResult",
            type: "structure",
            members: {}
          }
        },
        DeleteTemplate: {
          input: {
            type: "structure",
            required: [
              "TemplateName"
            ],
            members: {
              TemplateName: {}
            }
          },
          output: {
            resultWrapper: "DeleteTemplateResult",
            type: "structure",
            members: {}
          }
        },
        DeleteVerifiedEmailAddress: {
          input: {
            type: "structure",
            required: [
              "EmailAddress"
            ],
            members: {
              EmailAddress: {}
            }
          }
        },
        DescribeActiveReceiptRuleSet: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            resultWrapper: "DescribeActiveReceiptRuleSetResult",
            type: "structure",
            members: {
              Metadata: {
                shape: "S2t"
              },
              Rules: {
                shape: "S2v"
              }
            }
          }
        },
        DescribeConfigurationSet: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {},
              ConfigurationSetAttributeNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "DescribeConfigurationSetResult",
            type: "structure",
            members: {
              ConfigurationSet: {
                shape: "S5"
              },
              EventDestinations: {
                type: "list",
                member: {
                  shape: "S9"
                }
              },
              TrackingOptions: {
                shape: "Sp"
              },
              DeliveryOptions: {
                shape: "S31"
              },
              ReputationOptions: {
                type: "structure",
                members: {
                  SendingEnabled: {
                    type: "boolean"
                  },
                  ReputationMetricsEnabled: {
                    type: "boolean"
                  },
                  LastFreshStart: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        DescribeReceiptRule: {
          input: {
            type: "structure",
            required: [
              "RuleSetName",
              "RuleName"
            ],
            members: {
              RuleSetName: {},
              RuleName: {}
            }
          },
          output: {
            resultWrapper: "DescribeReceiptRuleResult",
            type: "structure",
            members: {
              Rule: {
                shape: "S18"
              }
            }
          }
        },
        DescribeReceiptRuleSet: {
          input: {
            type: "structure",
            required: [
              "RuleSetName"
            ],
            members: {
              RuleSetName: {}
            }
          },
          output: {
            resultWrapper: "DescribeReceiptRuleSetResult",
            type: "structure",
            members: {
              Metadata: {
                shape: "S2t"
              },
              Rules: {
                shape: "S2v"
              }
            }
          }
        },
        GetAccountSendingEnabled: {
          output: {
            resultWrapper: "GetAccountSendingEnabledResult",
            type: "structure",
            members: {
              Enabled: {
                type: "boolean"
              }
            }
          }
        },
        GetCustomVerificationEmailTemplate: {
          input: {
            type: "structure",
            required: [
              "TemplateName"
            ],
            members: {
              TemplateName: {}
            }
          },
          output: {
            resultWrapper: "GetCustomVerificationEmailTemplateResult",
            type: "structure",
            members: {
              TemplateName: {},
              FromEmailAddress: {},
              TemplateSubject: {},
              TemplateContent: {},
              SuccessRedirectionURL: {},
              FailureRedirectionURL: {}
            }
          }
        },
        GetIdentityDkimAttributes: {
          input: {
            type: "structure",
            required: [
              "Identities"
            ],
            members: {
              Identities: {
                shape: "S3c"
              }
            }
          },
          output: {
            resultWrapper: "GetIdentityDkimAttributesResult",
            type: "structure",
            required: [
              "DkimAttributes"
            ],
            members: {
              DkimAttributes: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  required: [
                    "DkimEnabled",
                    "DkimVerificationStatus"
                  ],
                  members: {
                    DkimEnabled: {
                      type: "boolean"
                    },
                    DkimVerificationStatus: {},
                    DkimTokens: {
                      shape: "S3h"
                    }
                  }
                }
              }
            }
          }
        },
        GetIdentityMailFromDomainAttributes: {
          input: {
            type: "structure",
            required: [
              "Identities"
            ],
            members: {
              Identities: {
                shape: "S3c"
              }
            }
          },
          output: {
            resultWrapper: "GetIdentityMailFromDomainAttributesResult",
            type: "structure",
            required: [
              "MailFromDomainAttributes"
            ],
            members: {
              MailFromDomainAttributes: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  required: [
                    "MailFromDomain",
                    "MailFromDomainStatus",
                    "BehaviorOnMXFailure"
                  ],
                  members: {
                    MailFromDomain: {},
                    MailFromDomainStatus: {},
                    BehaviorOnMXFailure: {}
                  }
                }
              }
            }
          }
        },
        GetIdentityNotificationAttributes: {
          input: {
            type: "structure",
            required: [
              "Identities"
            ],
            members: {
              Identities: {
                shape: "S3c"
              }
            }
          },
          output: {
            resultWrapper: "GetIdentityNotificationAttributesResult",
            type: "structure",
            required: [
              "NotificationAttributes"
            ],
            members: {
              NotificationAttributes: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  required: [
                    "BounceTopic",
                    "ComplaintTopic",
                    "DeliveryTopic",
                    "ForwardingEnabled"
                  ],
                  members: {
                    BounceTopic: {},
                    ComplaintTopic: {},
                    DeliveryTopic: {},
                    ForwardingEnabled: {
                      type: "boolean"
                    },
                    HeadersInBounceNotificationsEnabled: {
                      type: "boolean"
                    },
                    HeadersInComplaintNotificationsEnabled: {
                      type: "boolean"
                    },
                    HeadersInDeliveryNotificationsEnabled: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        GetIdentityPolicies: {
          input: {
            type: "structure",
            required: [
              "Identity",
              "PolicyNames"
            ],
            members: {
              Identity: {},
              PolicyNames: {
                shape: "S3w"
              }
            }
          },
          output: {
            resultWrapper: "GetIdentityPoliciesResult",
            type: "structure",
            required: [
              "Policies"
            ],
            members: {
              Policies: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        GetIdentityVerificationAttributes: {
          input: {
            type: "structure",
            required: [
              "Identities"
            ],
            members: {
              Identities: {
                shape: "S3c"
              }
            }
          },
          output: {
            resultWrapper: "GetIdentityVerificationAttributesResult",
            type: "structure",
            required: [
              "VerificationAttributes"
            ],
            members: {
              VerificationAttributes: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  required: [
                    "VerificationStatus"
                  ],
                  members: {
                    VerificationStatus: {},
                    VerificationToken: {}
                  }
                }
              }
            }
          }
        },
        GetSendQuota: {
          output: {
            resultWrapper: "GetSendQuotaResult",
            type: "structure",
            members: {
              Max24HourSend: {
                type: "double"
              },
              MaxSendRate: {
                type: "double"
              },
              SentLast24Hours: {
                type: "double"
              }
            }
          }
        },
        GetSendStatistics: {
          output: {
            resultWrapper: "GetSendStatisticsResult",
            type: "structure",
            members: {
              SendDataPoints: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Timestamp: {
                      type: "timestamp"
                    },
                    DeliveryAttempts: {
                      type: "long"
                    },
                    Bounces: {
                      type: "long"
                    },
                    Complaints: {
                      type: "long"
                    },
                    Rejects: {
                      type: "long"
                    }
                  }
                }
              }
            }
          }
        },
        GetTemplate: {
          input: {
            type: "structure",
            required: [
              "TemplateName"
            ],
            members: {
              TemplateName: {}
            }
          },
          output: {
            resultWrapper: "GetTemplateResult",
            type: "structure",
            members: {
              Template: {
                shape: "S20"
              }
            }
          }
        },
        ListConfigurationSets: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListConfigurationSetsResult",
            type: "structure",
            members: {
              ConfigurationSets: {
                type: "list",
                member: {
                  shape: "S5"
                }
              },
              NextToken: {}
            }
          }
        },
        ListCustomVerificationEmailTemplates: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListCustomVerificationEmailTemplatesResult",
            type: "structure",
            members: {
              CustomVerificationEmailTemplates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TemplateName: {},
                    FromEmailAddress: {},
                    TemplateSubject: {},
                    SuccessRedirectionURL: {},
                    FailureRedirectionURL: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListIdentities: {
          input: {
            type: "structure",
            members: {
              IdentityType: {},
              NextToken: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListIdentitiesResult",
            type: "structure",
            required: [
              "Identities"
            ],
            members: {
              Identities: {
                shape: "S3c"
              },
              NextToken: {}
            }
          }
        },
        ListIdentityPolicies: {
          input: {
            type: "structure",
            required: [
              "Identity"
            ],
            members: {
              Identity: {}
            }
          },
          output: {
            resultWrapper: "ListIdentityPoliciesResult",
            type: "structure",
            required: [
              "PolicyNames"
            ],
            members: {
              PolicyNames: {
                shape: "S3w"
              }
            }
          }
        },
        ListReceiptFilters: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            resultWrapper: "ListReceiptFiltersResult",
            type: "structure",
            members: {
              Filters: {
                type: "list",
                member: {
                  shape: "S10"
                }
              }
            }
          }
        },
        ListReceiptRuleSets: {
          input: {
            type: "structure",
            members: {
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "ListReceiptRuleSetsResult",
            type: "structure",
            members: {
              RuleSets: {
                type: "list",
                member: {
                  shape: "S2t"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTemplates: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxItems: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListTemplatesResult",
            type: "structure",
            members: {
              TemplatesMetadata: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    CreatedTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListVerifiedEmailAddresses: {
          output: {
            resultWrapper: "ListVerifiedEmailAddressesResult",
            type: "structure",
            members: {
              VerifiedEmailAddresses: {
                shape: "S54"
              }
            }
          }
        },
        PutConfigurationSetDeliveryOptions: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {},
              DeliveryOptions: {
                shape: "S31"
              }
            }
          },
          output: {
            resultWrapper: "PutConfigurationSetDeliveryOptionsResult",
            type: "structure",
            members: {}
          }
        },
        PutIdentityPolicy: {
          input: {
            type: "structure",
            required: [
              "Identity",
              "PolicyName",
              "Policy"
            ],
            members: {
              Identity: {},
              PolicyName: {},
              Policy: {}
            }
          },
          output: {
            resultWrapper: "PutIdentityPolicyResult",
            type: "structure",
            members: {}
          }
        },
        ReorderReceiptRuleSet: {
          input: {
            type: "structure",
            required: [
              "RuleSetName",
              "RuleNames"
            ],
            members: {
              RuleSetName: {},
              RuleNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "ReorderReceiptRuleSetResult",
            type: "structure",
            members: {}
          }
        },
        SendBounce: {
          input: {
            type: "structure",
            required: [
              "OriginalMessageId",
              "BounceSender",
              "BouncedRecipientInfoList"
            ],
            members: {
              OriginalMessageId: {},
              BounceSender: {},
              Explanation: {},
              MessageDsn: {
                type: "structure",
                required: [
                  "ReportingMta"
                ],
                members: {
                  ReportingMta: {},
                  ArrivalDate: {
                    type: "timestamp"
                  },
                  ExtensionFields: {
                    shape: "S5i"
                  }
                }
              },
              BouncedRecipientInfoList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Recipient"
                  ],
                  members: {
                    Recipient: {},
                    RecipientArn: {},
                    BounceType: {},
                    RecipientDsnFields: {
                      type: "structure",
                      required: [
                        "Action",
                        "Status"
                      ],
                      members: {
                        FinalRecipient: {},
                        Action: {},
                        RemoteMta: {},
                        Status: {},
                        DiagnosticCode: {},
                        LastAttemptDate: {
                          type: "timestamp"
                        },
                        ExtensionFields: {
                          shape: "S5i"
                        }
                      }
                    }
                  }
                }
              },
              BounceSenderArn: {}
            }
          },
          output: {
            resultWrapper: "SendBounceResult",
            type: "structure",
            members: {
              MessageId: {}
            }
          }
        },
        SendBulkTemplatedEmail: {
          input: {
            type: "structure",
            required: [
              "Source",
              "Template",
              "Destinations"
            ],
            members: {
              Source: {},
              SourceArn: {},
              ReplyToAddresses: {
                shape: "S54"
              },
              ReturnPath: {},
              ReturnPathArn: {},
              ConfigurationSetName: {},
              DefaultTags: {
                shape: "S5x"
              },
              Template: {},
              TemplateArn: {},
              DefaultTemplateData: {},
              Destinations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Destination"
                  ],
                  members: {
                    Destination: {
                      shape: "S64"
                    },
                    ReplacementTags: {
                      shape: "S5x"
                    },
                    ReplacementTemplateData: {}
                  }
                }
              }
            }
          },
          output: {
            resultWrapper: "SendBulkTemplatedEmailResult",
            type: "structure",
            required: [
              "Status"
            ],
            members: {
              Status: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Status: {},
                    Error: {},
                    MessageId: {}
                  }
                }
              }
            }
          }
        },
        SendCustomVerificationEmail: {
          input: {
            type: "structure",
            required: [
              "EmailAddress",
              "TemplateName"
            ],
            members: {
              EmailAddress: {},
              TemplateName: {},
              ConfigurationSetName: {}
            }
          },
          output: {
            resultWrapper: "SendCustomVerificationEmailResult",
            type: "structure",
            members: {
              MessageId: {}
            }
          }
        },
        SendEmail: {
          input: {
            type: "structure",
            required: [
              "Source",
              "Destination",
              "Message"
            ],
            members: {
              Source: {},
              Destination: {
                shape: "S64"
              },
              Message: {
                type: "structure",
                required: [
                  "Subject",
                  "Body"
                ],
                members: {
                  Subject: {
                    shape: "S6e"
                  },
                  Body: {
                    type: "structure",
                    members: {
                      Text: {
                        shape: "S6e"
                      },
                      Html: {
                        shape: "S6e"
                      }
                    }
                  }
                }
              },
              ReplyToAddresses: {
                shape: "S54"
              },
              ReturnPath: {},
              SourceArn: {},
              ReturnPathArn: {},
              Tags: {
                shape: "S5x"
              },
              ConfigurationSetName: {}
            }
          },
          output: {
            resultWrapper: "SendEmailResult",
            type: "structure",
            required: [
              "MessageId"
            ],
            members: {
              MessageId: {}
            }
          }
        },
        SendRawEmail: {
          input: {
            type: "structure",
            required: [
              "RawMessage"
            ],
            members: {
              Source: {},
              Destinations: {
                shape: "S54"
              },
              RawMessage: {
                type: "structure",
                required: [
                  "Data"
                ],
                members: {
                  Data: {
                    type: "blob"
                  }
                }
              },
              FromArn: {},
              SourceArn: {},
              ReturnPathArn: {},
              Tags: {
                shape: "S5x"
              },
              ConfigurationSetName: {}
            }
          },
          output: {
            resultWrapper: "SendRawEmailResult",
            type: "structure",
            required: [
              "MessageId"
            ],
            members: {
              MessageId: {}
            }
          }
        },
        SendTemplatedEmail: {
          input: {
            type: "structure",
            required: [
              "Source",
              "Destination",
              "Template",
              "TemplateData"
            ],
            members: {
              Source: {},
              Destination: {
                shape: "S64"
              },
              ReplyToAddresses: {
                shape: "S54"
              },
              ReturnPath: {},
              SourceArn: {},
              ReturnPathArn: {},
              Tags: {
                shape: "S5x"
              },
              ConfigurationSetName: {},
              Template: {},
              TemplateArn: {},
              TemplateData: {}
            }
          },
          output: {
            resultWrapper: "SendTemplatedEmailResult",
            type: "structure",
            required: [
              "MessageId"
            ],
            members: {
              MessageId: {}
            }
          }
        },
        SetActiveReceiptRuleSet: {
          input: {
            type: "structure",
            members: {
              RuleSetName: {}
            }
          },
          output: {
            resultWrapper: "SetActiveReceiptRuleSetResult",
            type: "structure",
            members: {}
          }
        },
        SetIdentityDkimEnabled: {
          input: {
            type: "structure",
            required: [
              "Identity",
              "DkimEnabled"
            ],
            members: {
              Identity: {},
              DkimEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "SetIdentityDkimEnabledResult",
            type: "structure",
            members: {}
          }
        },
        SetIdentityFeedbackForwardingEnabled: {
          input: {
            type: "structure",
            required: [
              "Identity",
              "ForwardingEnabled"
            ],
            members: {
              Identity: {},
              ForwardingEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "SetIdentityFeedbackForwardingEnabledResult",
            type: "structure",
            members: {}
          }
        },
        SetIdentityHeadersInNotificationsEnabled: {
          input: {
            type: "structure",
            required: [
              "Identity",
              "NotificationType",
              "Enabled"
            ],
            members: {
              Identity: {},
              NotificationType: {},
              Enabled: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "SetIdentityHeadersInNotificationsEnabledResult",
            type: "structure",
            members: {}
          }
        },
        SetIdentityMailFromDomain: {
          input: {
            type: "structure",
            required: [
              "Identity"
            ],
            members: {
              Identity: {},
              MailFromDomain: {},
              BehaviorOnMXFailure: {}
            }
          },
          output: {
            resultWrapper: "SetIdentityMailFromDomainResult",
            type: "structure",
            members: {}
          }
        },
        SetIdentityNotificationTopic: {
          input: {
            type: "structure",
            required: [
              "Identity",
              "NotificationType"
            ],
            members: {
              Identity: {},
              NotificationType: {},
              SnsTopic: {}
            }
          },
          output: {
            resultWrapper: "SetIdentityNotificationTopicResult",
            type: "structure",
            members: {}
          }
        },
        SetReceiptRulePosition: {
          input: {
            type: "structure",
            required: [
              "RuleSetName",
              "RuleName"
            ],
            members: {
              RuleSetName: {},
              RuleName: {},
              After: {}
            }
          },
          output: {
            resultWrapper: "SetReceiptRulePositionResult",
            type: "structure",
            members: {}
          }
        },
        TestRenderTemplate: {
          input: {
            type: "structure",
            required: [
              "TemplateName",
              "TemplateData"
            ],
            members: {
              TemplateName: {},
              TemplateData: {}
            }
          },
          output: {
            resultWrapper: "TestRenderTemplateResult",
            type: "structure",
            members: {
              RenderedTemplate: {}
            }
          }
        },
        UpdateAccountSendingEnabled: {
          input: {
            type: "structure",
            members: {
              Enabled: {
                type: "boolean"
              }
            }
          }
        },
        UpdateConfigurationSetEventDestination: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "EventDestination"
            ],
            members: {
              ConfigurationSetName: {},
              EventDestination: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "UpdateConfigurationSetEventDestinationResult",
            type: "structure",
            members: {}
          }
        },
        UpdateConfigurationSetReputationMetricsEnabled: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "Enabled"
            ],
            members: {
              ConfigurationSetName: {},
              Enabled: {
                type: "boolean"
              }
            }
          }
        },
        UpdateConfigurationSetSendingEnabled: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "Enabled"
            ],
            members: {
              ConfigurationSetName: {},
              Enabled: {
                type: "boolean"
              }
            }
          }
        },
        UpdateConfigurationSetTrackingOptions: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "TrackingOptions"
            ],
            members: {
              ConfigurationSetName: {},
              TrackingOptions: {
                shape: "Sp"
              }
            }
          },
          output: {
            resultWrapper: "UpdateConfigurationSetTrackingOptionsResult",
            type: "structure",
            members: {}
          }
        },
        UpdateCustomVerificationEmailTemplate: {
          input: {
            type: "structure",
            required: [
              "TemplateName"
            ],
            members: {
              TemplateName: {},
              FromEmailAddress: {},
              TemplateSubject: {},
              TemplateContent: {},
              SuccessRedirectionURL: {},
              FailureRedirectionURL: {}
            }
          }
        },
        UpdateReceiptRule: {
          input: {
            type: "structure",
            required: [
              "RuleSetName",
              "Rule"
            ],
            members: {
              RuleSetName: {},
              Rule: {
                shape: "S18"
              }
            }
          },
          output: {
            resultWrapper: "UpdateReceiptRuleResult",
            type: "structure",
            members: {}
          }
        },
        UpdateTemplate: {
          input: {
            type: "structure",
            required: [
              "Template"
            ],
            members: {
              Template: {
                shape: "S20"
              }
            }
          },
          output: {
            resultWrapper: "UpdateTemplateResult",
            type: "structure",
            members: {}
          }
        },
        VerifyDomainDkim: {
          input: {
            type: "structure",
            required: [
              "Domain"
            ],
            members: {
              Domain: {}
            }
          },
          output: {
            resultWrapper: "VerifyDomainDkimResult",
            type: "structure",
            required: [
              "DkimTokens"
            ],
            members: {
              DkimTokens: {
                shape: "S3h"
              }
            }
          }
        },
        VerifyDomainIdentity: {
          input: {
            type: "structure",
            required: [
              "Domain"
            ],
            members: {
              Domain: {}
            }
          },
          output: {
            resultWrapper: "VerifyDomainIdentityResult",
            type: "structure",
            required: [
              "VerificationToken"
            ],
            members: {
              VerificationToken: {}
            }
          }
        },
        VerifyEmailAddress: {
          input: {
            type: "structure",
            required: [
              "EmailAddress"
            ],
            members: {
              EmailAddress: {}
            }
          }
        },
        VerifyEmailIdentity: {
          input: {
            type: "structure",
            required: [
              "EmailAddress"
            ],
            members: {
              EmailAddress: {}
            }
          },
          output: {
            resultWrapper: "VerifyEmailIdentityResult",
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {}
          }
        },
        S9: {
          type: "structure",
          required: [
            "Name",
            "MatchingEventTypes"
          ],
          members: {
            Name: {},
            Enabled: {
              type: "boolean"
            },
            MatchingEventTypes: {
              type: "list",
              member: {}
            },
            KinesisFirehoseDestination: {
              type: "structure",
              required: [
                "IAMRoleARN",
                "DeliveryStreamARN"
              ],
              members: {
                IAMRoleARN: {},
                DeliveryStreamARN: {}
              }
            },
            CloudWatchDestination: {
              type: "structure",
              required: [
                "DimensionConfigurations"
              ],
              members: {
                DimensionConfigurations: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "DimensionName",
                      "DimensionValueSource",
                      "DefaultDimensionValue"
                    ],
                    members: {
                      DimensionName: {},
                      DimensionValueSource: {},
                      DefaultDimensionValue: {}
                    }
                  }
                }
              }
            },
            SNSDestination: {
              type: "structure",
              required: [
                "TopicARN"
              ],
              members: {
                TopicARN: {}
              }
            }
          }
        },
        Sp: {
          type: "structure",
          members: {
            CustomRedirectDomain: {}
          }
        },
        S10: {
          type: "structure",
          required: [
            "Name",
            "IpFilter"
          ],
          members: {
            Name: {},
            IpFilter: {
              type: "structure",
              required: [
                "Policy",
                "Cidr"
              ],
              members: {
                Policy: {},
                Cidr: {}
              }
            }
          }
        },
        S18: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            Enabled: {
              type: "boolean"
            },
            TlsPolicy: {},
            Recipients: {
              type: "list",
              member: {}
            },
            Actions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  S3Action: {
                    type: "structure",
                    required: [
                      "BucketName"
                    ],
                    members: {
                      TopicArn: {},
                      BucketName: {},
                      ObjectKeyPrefix: {},
                      KmsKeyArn: {}
                    }
                  },
                  BounceAction: {
                    type: "structure",
                    required: [
                      "SmtpReplyCode",
                      "Message",
                      "Sender"
                    ],
                    members: {
                      TopicArn: {},
                      SmtpReplyCode: {},
                      StatusCode: {},
                      Message: {},
                      Sender: {}
                    }
                  },
                  WorkmailAction: {
                    type: "structure",
                    required: [
                      "OrganizationArn"
                    ],
                    members: {
                      TopicArn: {},
                      OrganizationArn: {}
                    }
                  },
                  LambdaAction: {
                    type: "structure",
                    required: [
                      "FunctionArn"
                    ],
                    members: {
                      TopicArn: {},
                      FunctionArn: {},
                      InvocationType: {}
                    }
                  },
                  StopAction: {
                    type: "structure",
                    required: [
                      "Scope"
                    ],
                    members: {
                      Scope: {},
                      TopicArn: {}
                    }
                  },
                  AddHeaderAction: {
                    type: "structure",
                    required: [
                      "HeaderName",
                      "HeaderValue"
                    ],
                    members: {
                      HeaderName: {},
                      HeaderValue: {}
                    }
                  },
                  SNSAction: {
                    type: "structure",
                    required: [
                      "TopicArn"
                    ],
                    members: {
                      TopicArn: {},
                      Encoding: {}
                    }
                  }
                }
              }
            },
            ScanEnabled: {
              type: "boolean"
            }
          }
        },
        S20: {
          type: "structure",
          required: [
            "TemplateName"
          ],
          members: {
            TemplateName: {},
            SubjectPart: {},
            TextPart: {},
            HtmlPart: {}
          }
        },
        S2t: {
          type: "structure",
          members: {
            Name: {},
            CreatedTimestamp: {
              type: "timestamp"
            }
          }
        },
        S2v: {
          type: "list",
          member: {
            shape: "S18"
          }
        },
        S31: {
          type: "structure",
          members: {
            TlsPolicy: {}
          }
        },
        S3c: {
          type: "list",
          member: {}
        },
        S3h: {
          type: "list",
          member: {}
        },
        S3w: {
          type: "list",
          member: {}
        },
        S54: {
          type: "list",
          member: {}
        },
        S5i: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Value"
            ],
            members: {
              Name: {},
              Value: {}
            }
          }
        },
        S5x: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Value"
            ],
            members: {
              Name: {},
              Value: {}
            }
          }
        },
        S64: {
          type: "structure",
          members: {
            ToAddresses: {
              shape: "S54"
            },
            CcAddresses: {
              shape: "S54"
            },
            BccAddresses: {
              shape: "S54"
            }
          }
        },
        S6e: {
          type: "structure",
          required: [
            "Data"
          ],
          members: {
            Data: {},
            Charset: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/email-2010-12-01.paginators.json
var require_email_2010_12_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/email-2010-12-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListCustomVerificationEmailTemplates: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListIdentities: {
          input_token: "NextToken",
          limit_key: "MaxItems",
          output_token: "NextToken",
          result_key: "Identities"
        },
        ListVerifiedEmailAddresses: {
          result_key: "VerifiedEmailAddresses"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/email-2010-12-01.waiters2.json
var require_email_2010_12_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/email-2010-12-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        IdentityExists: {
          delay: 3,
          operation: "GetIdentityVerificationAttributes",
          maxAttempts: 20,
          acceptors: [
            {
              expected: "Success",
              matcher: "pathAll",
              state: "success",
              argument: "VerificationAttributes.*.VerificationStatus"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/ses.js
var require_ses = __commonJS({
  "node_modules/aws-sdk/clients/ses.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ses"] = {};
    AWS2.SES = Service.defineService("ses", ["2010-12-01"]);
    Object.defineProperty(apiLoader.services["ses"], "2010-12-01", {
      get: function get() {
        var model = require_email_2010_12_01_min();
        model.paginators = require_email_2010_12_01_paginators().pagination;
        model.waiters = require_email_2010_12_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SES;
  }
});

// node_modules/aws-sdk/apis/shield-2016-06-02.min.json
var require_shield_2016_06_02_min = __commonJS({
  "node_modules/aws-sdk/apis/shield-2016-06-02.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-06-02",
        endpointPrefix: "shield",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "AWS Shield",
        serviceFullName: "AWS Shield",
        serviceId: "Shield",
        signatureVersion: "v4",
        targetPrefix: "AWSShield_20160616",
        uid: "shield-2016-06-02"
      },
      operations: {
        AssociateDRTLogBucket: {
          input: {
            type: "structure",
            required: [
              "LogBucket"
            ],
            members: {
              LogBucket: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateDRTRole: {
          input: {
            type: "structure",
            required: [
              "RoleArn"
            ],
            members: {
              RoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateHealthCheck: {
          input: {
            type: "structure",
            required: [
              "ProtectionId",
              "HealthCheckArn"
            ],
            members: {
              ProtectionId: {},
              HealthCheckArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateProactiveEngagementDetails: {
          input: {
            type: "structure",
            required: [
              "EmergencyContactList"
            ],
            members: {
              EmergencyContactList: {
                shape: "Sc"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateProtection: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ResourceArn"
            ],
            members: {
              Name: {},
              ResourceArn: {},
              Tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProtectionId: {}
            }
          }
        },
        CreateProtectionGroup: {
          input: {
            type: "structure",
            required: [
              "ProtectionGroupId",
              "Aggregation",
              "Pattern"
            ],
            members: {
              ProtectionGroupId: {},
              Aggregation: {},
              Pattern: {},
              ResourceType: {},
              Members: {
                shape: "Sv"
              },
              Tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateSubscription: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteProtection: {
          input: {
            type: "structure",
            required: [
              "ProtectionId"
            ],
            members: {
              ProtectionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteProtectionGroup: {
          input: {
            type: "structure",
            required: [
              "ProtectionGroupId"
            ],
            members: {
              ProtectionGroupId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSubscription: {
          input: {
            type: "structure",
            members: {},
            deprecated: true
          },
          output: {
            type: "structure",
            members: {},
            deprecated: true
          },
          deprecated: true
        },
        DescribeAttack: {
          input: {
            type: "structure",
            required: [
              "AttackId"
            ],
            members: {
              AttackId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Attack: {
                type: "structure",
                members: {
                  AttackId: {},
                  ResourceArn: {},
                  SubResources: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Type: {},
                        Id: {},
                        AttackVectors: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "VectorType"
                            ],
                            members: {
                              VectorType: {},
                              VectorCounters: {
                                shape: "S1f"
                              }
                            }
                          }
                        },
                        Counters: {
                          shape: "S1f"
                        }
                      }
                    }
                  },
                  StartTime: {
                    type: "timestamp"
                  },
                  EndTime: {
                    type: "timestamp"
                  },
                  AttackCounters: {
                    shape: "S1f"
                  },
                  AttackProperties: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        AttackLayer: {},
                        AttackPropertyIdentifier: {},
                        TopContributors: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              Name: {},
                              Value: {
                                type: "long"
                              }
                            }
                          }
                        },
                        Unit: {},
                        Total: {
                          type: "long"
                        }
                      }
                    }
                  },
                  Mitigations: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        MitigationName: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeAttackStatistics: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "TimeRange",
              "DataItems"
            ],
            members: {
              TimeRange: {
                shape: "S1w"
              },
              DataItems: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AttackCount"
                  ],
                  members: {
                    AttackVolume: {
                      type: "structure",
                      members: {
                        BitsPerSecond: {
                          shape: "S21"
                        },
                        PacketsPerSecond: {
                          shape: "S21"
                        },
                        RequestsPerSecond: {
                          shape: "S21"
                        }
                      }
                    },
                    AttackCount: {
                      type: "long"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeDRTAccess: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              RoleArn: {},
              LogBucketList: {
                type: "list",
                member: {}
              }
            }
          }
        },
        DescribeEmergencyContactSettings: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              EmergencyContactList: {
                shape: "Sc"
              }
            }
          }
        },
        DescribeProtection: {
          input: {
            type: "structure",
            members: {
              ProtectionId: {},
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Protection: {
                shape: "S29"
              }
            }
          }
        },
        DescribeProtectionGroup: {
          input: {
            type: "structure",
            required: [
              "ProtectionGroupId"
            ],
            members: {
              ProtectionGroupId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ProtectionGroup"
            ],
            members: {
              ProtectionGroup: {
                shape: "S2j"
              }
            }
          }
        },
        DescribeSubscription: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              Subscription: {
                type: "structure",
                required: [
                  "SubscriptionLimits"
                ],
                members: {
                  StartTime: {
                    type: "timestamp"
                  },
                  EndTime: {
                    type: "timestamp"
                  },
                  TimeCommitmentInSeconds: {
                    type: "long"
                  },
                  AutoRenew: {},
                  Limits: {
                    shape: "S2p"
                  },
                  ProactiveEngagementStatus: {},
                  SubscriptionLimits: {
                    type: "structure",
                    required: [
                      "ProtectionLimits",
                      "ProtectionGroupLimits"
                    ],
                    members: {
                      ProtectionLimits: {
                        type: "structure",
                        required: [
                          "ProtectedResourceTypeLimits"
                        ],
                        members: {
                          ProtectedResourceTypeLimits: {
                            shape: "S2p"
                          }
                        }
                      },
                      ProtectionGroupLimits: {
                        type: "structure",
                        required: [
                          "MaxProtectionGroups",
                          "PatternTypeLimits"
                        ],
                        members: {
                          MaxProtectionGroups: {
                            type: "long"
                          },
                          PatternTypeLimits: {
                            type: "structure",
                            required: [
                              "ArbitraryPatternLimits"
                            ],
                            members: {
                              ArbitraryPatternLimits: {
                                type: "structure",
                                required: [
                                  "MaxMembers"
                                ],
                                members: {
                                  MaxMembers: {
                                    type: "long"
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  SubscriptionArn: {}
                }
              }
            }
          }
        },
        DisableApplicationLayerAutomaticResponse: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisableProactiveEngagement: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateDRTLogBucket: {
          input: {
            type: "structure",
            required: [
              "LogBucket"
            ],
            members: {
              LogBucket: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateDRTRole: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateHealthCheck: {
          input: {
            type: "structure",
            required: [
              "ProtectionId",
              "HealthCheckArn"
            ],
            members: {
              ProtectionId: {},
              HealthCheckArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        EnableApplicationLayerAutomaticResponse: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Action"
            ],
            members: {
              ResourceArn: {},
              Action: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        EnableProactiveEngagement: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetSubscriptionState: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "SubscriptionState"
            ],
            members: {
              SubscriptionState: {}
            }
          }
        },
        ListAttacks: {
          input: {
            type: "structure",
            members: {
              ResourceArns: {
                type: "list",
                member: {}
              },
              StartTime: {
                shape: "S1w"
              },
              EndTime: {
                shape: "S1w"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AttackSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AttackId: {},
                    ResourceArn: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    AttackVectors: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "VectorType"
                        ],
                        members: {
                          VectorType: {}
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListProtectionGroups: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              InclusionFilters: {
                type: "structure",
                members: {
                  ProtectionGroupIds: {
                    type: "list",
                    member: {}
                  },
                  Patterns: {
                    type: "list",
                    member: {}
                  },
                  ResourceTypes: {
                    shape: "S3r"
                  },
                  Aggregations: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ProtectionGroups"
            ],
            members: {
              ProtectionGroups: {
                type: "list",
                member: {
                  shape: "S2j"
                }
              },
              NextToken: {}
            }
          }
        },
        ListProtections: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              InclusionFilters: {
                type: "structure",
                members: {
                  ResourceArns: {
                    type: "list",
                    member: {}
                  },
                  ProtectionNames: {
                    type: "list",
                    member: {}
                  },
                  ResourceTypes: {
                    shape: "S3r"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Protections: {
                type: "list",
                member: {
                  shape: "S29"
                }
              },
              NextToken: {}
            }
          }
        },
        ListResourcesInProtectionGroup: {
          input: {
            type: "structure",
            required: [
              "ProtectionGroupId"
            ],
            members: {
              ProtectionGroupId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ResourceArns"
            ],
            members: {
              ResourceArns: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sl"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateApplicationLayerAutomaticResponse: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Action"
            ],
            members: {
              ResourceArn: {},
              Action: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateEmergencyContactSettings: {
          input: {
            type: "structure",
            members: {
              EmergencyContactList: {
                shape: "Sc"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateProtectionGroup: {
          input: {
            type: "structure",
            required: [
              "ProtectionGroupId",
              "Aggregation",
              "Pattern"
            ],
            members: {
              ProtectionGroupId: {},
              Aggregation: {},
              Pattern: {},
              ResourceType: {},
              Members: {
                shape: "Sv"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateSubscription: {
          input: {
            type: "structure",
            members: {
              AutoRenew: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        Sc: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "EmailAddress"
            ],
            members: {
              EmailAddress: {},
              PhoneNumber: {},
              ContactNotes: {}
            }
          }
        },
        Sl: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sv: {
          type: "list",
          member: {}
        },
        S1f: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Max: {
                type: "double"
              },
              Average: {
                type: "double"
              },
              Sum: {
                type: "double"
              },
              N: {
                type: "integer"
              },
              Unit: {}
            }
          }
        },
        S1w: {
          type: "structure",
          members: {
            FromInclusive: {
              type: "timestamp"
            },
            ToExclusive: {
              type: "timestamp"
            }
          }
        },
        S21: {
          type: "structure",
          required: [
            "Max"
          ],
          members: {
            Max: {
              type: "double"
            }
          }
        },
        S29: {
          type: "structure",
          members: {
            Id: {},
            Name: {},
            ResourceArn: {},
            HealthCheckIds: {
              type: "list",
              member: {}
            },
            ProtectionArn: {},
            ApplicationLayerAutomaticResponseConfiguration: {
              type: "structure",
              required: [
                "Status",
                "Action"
              ],
              members: {
                Status: {},
                Action: {
                  shape: "S2e"
                }
              }
            }
          }
        },
        S2e: {
          type: "structure",
          members: {
            Block: {
              type: "structure",
              members: {}
            },
            Count: {
              type: "structure",
              members: {}
            }
          }
        },
        S2j: {
          type: "structure",
          required: [
            "ProtectionGroupId",
            "Aggregation",
            "Pattern",
            "Members"
          ],
          members: {
            ProtectionGroupId: {},
            Aggregation: {},
            Pattern: {},
            ResourceType: {},
            Members: {
              shape: "Sv"
            },
            ProtectionGroupArn: {}
          }
        },
        S2p: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {},
              Max: {
                type: "long"
              }
            }
          }
        },
        S3r: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/shield-2016-06-02.paginators.json
var require_shield_2016_06_02_paginators = __commonJS({
  "node_modules/aws-sdk/apis/shield-2016-06-02.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAttacks: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AttackSummaries"
        },
        ListProtectionGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListProtections: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Protections"
        },
        ListResourcesInProtectionGroup: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/shield.js
var require_shield = __commonJS({
  "node_modules/aws-sdk/clients/shield.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["shield"] = {};
    AWS2.Shield = Service.defineService("shield", ["2016-06-02"]);
    Object.defineProperty(apiLoader.services["shield"], "2016-06-02", {
      get: function get() {
        var model = require_shield_2016_06_02_min();
        model.paginators = require_shield_2016_06_02_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Shield;
  }
});

// node_modules/aws-sdk/apis/sdb-2009-04-15.min.json
var require_sdb_2009_04_15_min = __commonJS({
  "node_modules/aws-sdk/apis/sdb-2009-04-15.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2009-04-15",
        endpointPrefix: "sdb",
        serviceFullName: "Amazon SimpleDB",
        serviceId: "SimpleDB",
        signatureVersion: "v2",
        xmlNamespace: "http://sdb.amazonaws.com/doc/2009-04-15/",
        protocol: "query"
      },
      operations: {
        BatchDeleteAttributes: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Items"
            ],
            members: {
              DomainName: {},
              Items: {
                type: "list",
                member: {
                  locationName: "Item",
                  type: "structure",
                  required: [
                    "Name"
                  ],
                  members: {
                    Name: {
                      locationName: "ItemName"
                    },
                    Attributes: {
                      shape: "S5"
                    }
                  }
                },
                flattened: true
              }
            }
          }
        },
        BatchPutAttributes: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Items"
            ],
            members: {
              DomainName: {},
              Items: {
                type: "list",
                member: {
                  locationName: "Item",
                  type: "structure",
                  required: [
                    "Name",
                    "Attributes"
                  ],
                  members: {
                    Name: {
                      locationName: "ItemName"
                    },
                    Attributes: {
                      shape: "Sa"
                    }
                  }
                },
                flattened: true
              }
            }
          }
        },
        CreateDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          }
        },
        DeleteAttributes: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "ItemName"
            ],
            members: {
              DomainName: {},
              ItemName: {},
              Attributes: {
                shape: "S5"
              },
              Expected: {
                shape: "Sf"
              }
            }
          }
        },
        DeleteDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          }
        },
        DomainMetadata: {
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            resultWrapper: "DomainMetadataResult",
            type: "structure",
            members: {
              ItemCount: {
                type: "integer"
              },
              ItemNamesSizeBytes: {
                type: "long"
              },
              AttributeNameCount: {
                type: "integer"
              },
              AttributeNamesSizeBytes: {
                type: "long"
              },
              AttributeValueCount: {
                type: "integer"
              },
              AttributeValuesSizeBytes: {
                type: "long"
              },
              Timestamp: {
                type: "integer"
              }
            }
          }
        },
        GetAttributes: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "ItemName"
            ],
            members: {
              DomainName: {},
              ItemName: {},
              AttributeNames: {
                type: "list",
                member: {
                  locationName: "AttributeName"
                },
                flattened: true
              },
              ConsistentRead: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "GetAttributesResult",
            type: "structure",
            members: {
              Attributes: {
                shape: "So"
              }
            }
          }
        },
        ListDomains: {
          input: {
            type: "structure",
            members: {
              MaxNumberOfDomains: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "ListDomainsResult",
            type: "structure",
            members: {
              DomainNames: {
                type: "list",
                member: {
                  locationName: "DomainName"
                },
                flattened: true
              },
              NextToken: {}
            }
          }
        },
        PutAttributes: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "ItemName",
              "Attributes"
            ],
            members: {
              DomainName: {},
              ItemName: {},
              Attributes: {
                shape: "Sa"
              },
              Expected: {
                shape: "Sf"
              }
            }
          }
        },
        Select: {
          input: {
            type: "structure",
            required: [
              "SelectExpression"
            ],
            members: {
              SelectExpression: {},
              NextToken: {},
              ConsistentRead: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "SelectResult",
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  locationName: "Item",
                  type: "structure",
                  required: [
                    "Name",
                    "Attributes"
                  ],
                  members: {
                    Name: {},
                    AlternateNameEncoding: {},
                    Attributes: {
                      shape: "So"
                    }
                  }
                },
                flattened: true
              },
              NextToken: {}
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "list",
          member: {
            locationName: "Attribute",
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Value: {}
            }
          },
          flattened: true
        },
        Sa: {
          type: "list",
          member: {
            locationName: "Attribute",
            type: "structure",
            required: [
              "Name",
              "Value"
            ],
            members: {
              Name: {},
              Value: {},
              Replace: {
                type: "boolean"
              }
            }
          },
          flattened: true
        },
        Sf: {
          type: "structure",
          members: {
            Name: {},
            Value: {},
            Exists: {
              type: "boolean"
            }
          }
        },
        So: {
          type: "list",
          member: {
            locationName: "Attribute",
            type: "structure",
            required: [
              "Name",
              "Value"
            ],
            members: {
              Name: {},
              AlternateNameEncoding: {},
              Value: {},
              AlternateValueEncoding: {}
            }
          },
          flattened: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/sdb-2009-04-15.paginators.json
var require_sdb_2009_04_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/sdb-2009-04-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDomains: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxNumberOfDomains",
          result_key: "DomainNames"
        },
        Select: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/simpledb.js
var require_simpledb = __commonJS({
  "node_modules/aws-sdk/clients/simpledb.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["simpledb"] = {};
    AWS2.SimpleDB = Service.defineService("simpledb", ["2009-04-15"]);
    Object.defineProperty(apiLoader.services["simpledb"], "2009-04-15", {
      get: function get() {
        var model = require_sdb_2009_04_15_min();
        model.paginators = require_sdb_2009_04_15_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SimpleDB;
  }
});

// node_modules/aws-sdk/apis/sms-2016-10-24.min.json
var require_sms_2016_10_24_min = __commonJS({
  "node_modules/aws-sdk/apis/sms-2016-10-24.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-10-24",
        endpointPrefix: "sms",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "SMS",
        serviceFullName: "AWS Server Migration Service",
        serviceId: "SMS",
        signatureVersion: "v4",
        targetPrefix: "AWSServerMigrationService_V2016_10_24",
        uid: "sms-2016-10-24"
      },
      operations: {
        CreateApp: {
          input: {
            type: "structure",
            members: {
              name: {},
              description: {},
              roleName: {},
              clientToken: {},
              serverGroups: {
                shape: "S6"
              },
              tags: {
                shape: "So"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              appSummary: {
                shape: "St"
              },
              serverGroups: {
                shape: "S6"
              },
              tags: {
                shape: "So"
              }
            }
          }
        },
        CreateReplicationJob: {
          input: {
            type: "structure",
            required: [
              "serverId",
              "seedReplicationTime"
            ],
            members: {
              serverId: {},
              seedReplicationTime: {
                type: "timestamp"
              },
              frequency: {
                type: "integer"
              },
              runOnce: {
                type: "boolean"
              },
              licenseType: {},
              roleName: {},
              description: {},
              numberOfRecentAmisToKeep: {
                type: "integer"
              },
              encrypted: {
                type: "boolean"
              },
              kmsKeyId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              replicationJobId: {}
            }
          }
        },
        DeleteApp: {
          input: {
            type: "structure",
            members: {
              appId: {},
              forceStopAppReplication: {
                type: "boolean"
              },
              forceTerminateApp: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAppLaunchConfiguration: {
          input: {
            type: "structure",
            members: {
              appId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAppReplicationConfiguration: {
          input: {
            type: "structure",
            members: {
              appId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAppValidationConfiguration: {
          input: {
            type: "structure",
            required: [
              "appId"
            ],
            members: {
              appId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteReplicationJob: {
          input: {
            type: "structure",
            required: [
              "replicationJobId"
            ],
            members: {
              replicationJobId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteServerCatalog: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateConnector: {
          input: {
            type: "structure",
            required: [
              "connectorId"
            ],
            members: {
              connectorId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GenerateChangeSet: {
          input: {
            type: "structure",
            members: {
              appId: {},
              changesetFormat: {}
            }
          },
          output: {
            type: "structure",
            members: {
              s3Location: {
                shape: "S24"
              }
            }
          }
        },
        GenerateTemplate: {
          input: {
            type: "structure",
            members: {
              appId: {},
              templateFormat: {}
            }
          },
          output: {
            type: "structure",
            members: {
              s3Location: {
                shape: "S24"
              }
            }
          }
        },
        GetApp: {
          input: {
            type: "structure",
            members: {
              appId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              appSummary: {
                shape: "St"
              },
              serverGroups: {
                shape: "S6"
              },
              tags: {
                shape: "So"
              }
            }
          }
        },
        GetAppLaunchConfiguration: {
          input: {
            type: "structure",
            members: {
              appId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              appId: {},
              roleName: {},
              autoLaunch: {
                type: "boolean"
              },
              serverGroupLaunchConfigurations: {
                shape: "S2e"
              }
            }
          }
        },
        GetAppReplicationConfiguration: {
          input: {
            type: "structure",
            members: {
              appId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              serverGroupReplicationConfigurations: {
                shape: "S2u"
              }
            }
          }
        },
        GetAppValidationConfiguration: {
          input: {
            type: "structure",
            required: [
              "appId"
            ],
            members: {
              appId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              appValidationConfigurations: {
                shape: "S31"
              },
              serverGroupValidationConfigurations: {
                shape: "S3c"
              }
            }
          }
        },
        GetAppValidationOutput: {
          input: {
            type: "structure",
            required: [
              "appId"
            ],
            members: {
              appId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              validationOutputList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    validationId: {},
                    name: {},
                    status: {},
                    statusMessage: {},
                    latestValidationTime: {
                      type: "timestamp"
                    },
                    appValidationOutput: {
                      type: "structure",
                      members: {
                        ssmOutput: {
                          type: "structure",
                          members: {
                            s3Location: {
                              shape: "S24"
                            }
                          }
                        }
                      }
                    },
                    serverValidationOutput: {
                      type: "structure",
                      members: {
                        server: {
                          shape: "Sb"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetConnectors: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              connectorList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    connectorId: {},
                    version: {},
                    status: {},
                    capabilityList: {
                      type: "list",
                      member: {}
                    },
                    vmManagerName: {},
                    vmManagerType: {},
                    vmManagerId: {},
                    ipAddress: {},
                    macAddress: {},
                    associatedOn: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetReplicationJobs: {
          input: {
            type: "structure",
            members: {
              replicationJobId: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              replicationJobList: {
                type: "list",
                member: {
                  shape: "S46"
                }
              },
              nextToken: {}
            }
          }
        },
        GetReplicationRuns: {
          input: {
            type: "structure",
            required: [
              "replicationJobId"
            ],
            members: {
              replicationJobId: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              replicationJob: {
                shape: "S46"
              },
              replicationRunList: {
                shape: "S4a"
              },
              nextToken: {}
            }
          }
        },
        GetServers: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              vmServerAddressList: {
                type: "list",
                member: {
                  shape: "Sf"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              lastModifiedOn: {
                type: "timestamp"
              },
              serverCatalogStatus: {},
              serverList: {
                shape: "Sa"
              },
              nextToken: {}
            }
          }
        },
        ImportAppCatalog: {
          input: {
            type: "structure",
            members: {
              roleName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ImportServerCatalog: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        LaunchApp: {
          input: {
            type: "structure",
            members: {
              appId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ListApps: {
          input: {
            type: "structure",
            members: {
              appIds: {
                type: "list",
                member: {}
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              apps: {
                type: "list",
                member: {
                  shape: "St"
                }
              },
              nextToken: {}
            }
          }
        },
        NotifyAppValidationOutput: {
          input: {
            type: "structure",
            required: [
              "appId"
            ],
            members: {
              appId: {},
              notificationContext: {
                type: "structure",
                members: {
                  validationId: {},
                  status: {},
                  statusMessage: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutAppLaunchConfiguration: {
          input: {
            type: "structure",
            members: {
              appId: {},
              roleName: {},
              autoLaunch: {
                type: "boolean"
              },
              serverGroupLaunchConfigurations: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutAppReplicationConfiguration: {
          input: {
            type: "structure",
            members: {
              appId: {},
              serverGroupReplicationConfigurations: {
                shape: "S2u"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutAppValidationConfiguration: {
          input: {
            type: "structure",
            required: [
              "appId"
            ],
            members: {
              appId: {},
              appValidationConfigurations: {
                shape: "S31"
              },
              serverGroupValidationConfigurations: {
                shape: "S3c"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartAppReplication: {
          input: {
            type: "structure",
            members: {
              appId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartOnDemandAppReplication: {
          input: {
            type: "structure",
            required: [
              "appId"
            ],
            members: {
              appId: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartOnDemandReplicationRun: {
          input: {
            type: "structure",
            required: [
              "replicationJobId"
            ],
            members: {
              replicationJobId: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              replicationRunId: {}
            }
          }
        },
        StopAppReplication: {
          input: {
            type: "structure",
            members: {
              appId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TerminateApp: {
          input: {
            type: "structure",
            members: {
              appId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateApp: {
          input: {
            type: "structure",
            members: {
              appId: {},
              name: {},
              description: {},
              roleName: {},
              serverGroups: {
                shape: "S6"
              },
              tags: {
                shape: "So"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              appSummary: {
                shape: "St"
              },
              serverGroups: {
                shape: "S6"
              },
              tags: {
                shape: "So"
              }
            }
          }
        },
        UpdateReplicationJob: {
          input: {
            type: "structure",
            required: [
              "replicationJobId"
            ],
            members: {
              replicationJobId: {},
              frequency: {
                type: "integer"
              },
              nextReplicationRunStartTime: {
                type: "timestamp"
              },
              licenseType: {},
              roleName: {},
              description: {},
              numberOfRecentAmisToKeep: {
                type: "integer"
              },
              encrypted: {
                type: "boolean"
              },
              kmsKeyId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S6: {
          type: "list",
          member: {
            type: "structure",
            members: {
              serverGroupId: {},
              name: {},
              serverList: {
                shape: "Sa"
              }
            }
          }
        },
        Sa: {
          type: "list",
          member: {
            shape: "Sb"
          }
        },
        Sb: {
          type: "structure",
          members: {
            serverId: {},
            serverType: {},
            vmServer: {
              shape: "Se"
            },
            replicationJobId: {},
            replicationJobTerminated: {
              type: "boolean"
            }
          }
        },
        Se: {
          type: "structure",
          members: {
            vmServerAddress: {
              shape: "Sf"
            },
            vmName: {},
            vmManagerName: {},
            vmManagerType: {},
            vmPath: {}
          }
        },
        Sf: {
          type: "structure",
          members: {
            vmManagerId: {},
            vmId: {}
          }
        },
        So: {
          type: "list",
          member: {
            type: "structure",
            members: {
              key: {},
              value: {}
            }
          }
        },
        St: {
          type: "structure",
          members: {
            appId: {},
            importedAppId: {},
            name: {},
            description: {},
            status: {},
            statusMessage: {},
            replicationConfigurationStatus: {},
            replicationStatus: {},
            replicationStatusMessage: {},
            latestReplicationTime: {
              type: "timestamp"
            },
            launchConfigurationStatus: {},
            launchStatus: {},
            launchStatusMessage: {},
            launchDetails: {
              type: "structure",
              members: {
                latestLaunchTime: {
                  type: "timestamp"
                },
                stackName: {},
                stackId: {}
              }
            },
            creationTime: {
              type: "timestamp"
            },
            lastModified: {
              type: "timestamp"
            },
            roleName: {},
            totalServerGroups: {
              type: "integer"
            },
            totalServers: {
              type: "integer"
            }
          }
        },
        S24: {
          type: "structure",
          members: {
            bucket: {},
            key: {}
          }
        },
        S2e: {
          type: "list",
          member: {
            type: "structure",
            members: {
              serverGroupId: {},
              launchOrder: {
                type: "integer"
              },
              serverLaunchConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    server: {
                      shape: "Sb"
                    },
                    logicalId: {},
                    vpc: {},
                    subnet: {},
                    securityGroup: {},
                    ec2KeyName: {},
                    userData: {
                      type: "structure",
                      members: {
                        s3Location: {
                          shape: "S24"
                        }
                      }
                    },
                    instanceType: {},
                    associatePublicIpAddress: {
                      type: "boolean"
                    },
                    iamInstanceProfileName: {},
                    configureScript: {
                      shape: "S24"
                    },
                    configureScriptType: {}
                  }
                }
              }
            }
          }
        },
        S2u: {
          type: "list",
          member: {
            type: "structure",
            members: {
              serverGroupId: {},
              serverReplicationConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    server: {
                      shape: "Sb"
                    },
                    serverReplicationParameters: {
                      type: "structure",
                      members: {
                        seedTime: {
                          type: "timestamp"
                        },
                        frequency: {
                          type: "integer"
                        },
                        runOnce: {
                          type: "boolean"
                        },
                        licenseType: {},
                        numberOfRecentAmisToKeep: {
                          type: "integer"
                        },
                        encrypted: {
                          type: "boolean"
                        },
                        kmsKeyId: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S31: {
          type: "list",
          member: {
            type: "structure",
            members: {
              validationId: {},
              name: {},
              appValidationStrategy: {},
              ssmValidationParameters: {
                type: "structure",
                members: {
                  source: {
                    shape: "S37"
                  },
                  instanceId: {},
                  scriptType: {},
                  command: {},
                  executionTimeoutSeconds: {
                    type: "integer"
                  },
                  outputS3BucketName: {}
                }
              }
            }
          }
        },
        S37: {
          type: "structure",
          members: {
            s3Location: {
              shape: "S24"
            }
          }
        },
        S3c: {
          type: "list",
          member: {
            type: "structure",
            members: {
              serverGroupId: {},
              serverValidationConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    server: {
                      shape: "Sb"
                    },
                    validationId: {},
                    name: {},
                    serverValidationStrategy: {},
                    userDataValidationParameters: {
                      type: "structure",
                      members: {
                        source: {
                          shape: "S37"
                        },
                        scriptType: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S46: {
          type: "structure",
          members: {
            replicationJobId: {},
            serverId: {},
            serverType: {},
            vmServer: {
              shape: "Se"
            },
            seedReplicationTime: {
              type: "timestamp"
            },
            frequency: {
              type: "integer"
            },
            runOnce: {
              type: "boolean"
            },
            nextReplicationRunStartTime: {
              type: "timestamp"
            },
            licenseType: {},
            roleName: {},
            latestAmiId: {},
            state: {},
            statusMessage: {},
            description: {},
            numberOfRecentAmisToKeep: {
              type: "integer"
            },
            encrypted: {
              type: "boolean"
            },
            kmsKeyId: {},
            replicationRunList: {
              shape: "S4a"
            }
          }
        },
        S4a: {
          type: "list",
          member: {
            type: "structure",
            members: {
              replicationRunId: {},
              state: {},
              type: {},
              stageDetails: {
                type: "structure",
                members: {
                  stage: {},
                  stageProgress: {}
                }
              },
              statusMessage: {},
              amiId: {},
              scheduledStartTime: {
                type: "timestamp"
              },
              completedTime: {
                type: "timestamp"
              },
              description: {},
              encrypted: {
                type: "boolean"
              },
              kmsKeyId: {}
            }
          }
        }
      },
      deprecated: true,
      deprecatedMessage: "AWS Server Migration Service is Deprecated."
    };
  }
});

// node_modules/aws-sdk/apis/sms-2016-10-24.paginators.json
var require_sms_2016_10_24_paginators = __commonJS({
  "node_modules/aws-sdk/apis/sms-2016-10-24.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetConnectors: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "connectorList"
        },
        GetReplicationJobs: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "replicationJobList"
        },
        GetReplicationRuns: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "replicationRunList"
        },
        GetServers: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "serverList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/sms.js
var require_sms = __commonJS({
  "node_modules/aws-sdk/clients/sms.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["sms"] = {};
    AWS2.SMS = Service.defineService("sms", ["2016-10-24"]);
    Object.defineProperty(apiLoader.services["sms"], "2016-10-24", {
      get: function get() {
        var model = require_sms_2016_10_24_min();
        model.paginators = require_sms_2016_10_24_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SMS;
  }
});

// node_modules/aws-sdk/apis/snowball-2016-06-30.min.json
var require_snowball_2016_06_30_min = __commonJS({
  "node_modules/aws-sdk/apis/snowball-2016-06-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-06-30",
        endpointPrefix: "snowball",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Amazon Snowball",
        serviceFullName: "Amazon Import/Export Snowball",
        serviceId: "Snowball",
        signatureVersion: "v4",
        targetPrefix: "AWSIESnowballJobManagementService",
        uid: "snowball-2016-06-30"
      },
      operations: {
        CancelCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CancelJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateAddress: {
          input: {
            type: "structure",
            required: [
              "Address"
            ],
            members: {
              Address: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AddressId: {}
            }
          }
        },
        CreateCluster: {
          input: {
            type: "structure",
            required: [
              "JobType",
              "AddressId",
              "SnowballType",
              "ShippingOption"
            ],
            members: {
              JobType: {},
              Resources: {
                shape: "Sf"
              },
              OnDeviceServiceConfiguration: {
                shape: "Sv"
              },
              Description: {},
              AddressId: {},
              KmsKeyARN: {},
              RoleARN: {},
              SnowballType: {},
              ShippingOption: {},
              Notification: {
                shape: "S19"
              },
              ForwardingAddressId: {},
              TaxDocuments: {
                shape: "S1d"
              },
              RemoteManagement: {},
              InitialClusterSize: {
                type: "integer"
              },
              ForceCreateJobs: {
                type: "boolean"
              },
              LongTermPricingIds: {
                type: "list",
                member: {}
              },
              SnowballCapacityPreference: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ClusterId: {},
              JobListEntries: {
                shape: "S1m"
              }
            }
          }
        },
        CreateJob: {
          input: {
            type: "structure",
            members: {
              JobType: {},
              Resources: {
                shape: "Sf"
              },
              OnDeviceServiceConfiguration: {
                shape: "Sv"
              },
              Description: {},
              AddressId: {},
              KmsKeyARN: {},
              RoleARN: {},
              SnowballCapacityPreference: {},
              ShippingOption: {},
              Notification: {
                shape: "S19"
              },
              ClusterId: {},
              SnowballType: {},
              ForwardingAddressId: {},
              TaxDocuments: {
                shape: "S1d"
              },
              DeviceConfiguration: {
                shape: "S1q"
              },
              RemoteManagement: {},
              LongTermPricingId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          }
        },
        CreateLongTermPricing: {
          input: {
            type: "structure",
            required: [
              "LongTermPricingType"
            ],
            members: {
              LongTermPricingType: {},
              IsLongTermPricingAutoRenew: {
                type: "boolean"
              },
              SnowballType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LongTermPricingId: {}
            }
          }
        },
        CreateReturnShippingLabel: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              ShippingOption: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {}
            }
          }
        },
        DescribeAddress: {
          input: {
            type: "structure",
            required: [
              "AddressId"
            ],
            members: {
              AddressId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Address: {
                shape: "S8"
              }
            }
          }
        },
        DescribeAddresses: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Addresses: {
                type: "list",
                member: {
                  shape: "S8"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ClusterMetadata: {
                type: "structure",
                members: {
                  ClusterId: {},
                  Description: {},
                  KmsKeyARN: {},
                  RoleARN: {},
                  ClusterState: {},
                  JobType: {},
                  SnowballType: {},
                  CreationDate: {
                    type: "timestamp"
                  },
                  Resources: {
                    shape: "Sf"
                  },
                  AddressId: {},
                  ShippingOption: {},
                  Notification: {
                    shape: "S19"
                  },
                  ForwardingAddressId: {},
                  TaxDocuments: {
                    shape: "S1d"
                  },
                  OnDeviceServiceConfiguration: {
                    shape: "Sv"
                  }
                }
              }
            }
          }
        },
        DescribeJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobMetadata: {
                shape: "S2d"
              },
              SubJobMetadata: {
                type: "list",
                member: {
                  shape: "S2d"
                }
              }
            }
          }
        },
        DescribeReturnShippingLabel: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {},
              ExpirationDate: {
                type: "timestamp"
              },
              ReturnShippingLabelURI: {}
            }
          }
        },
        GetJobManifest: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ManifestURI: {}
            }
          }
        },
        GetJobUnlockCode: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UnlockCode: {}
            }
          }
        },
        GetSnowballUsage: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              SnowballLimit: {
                type: "integer"
              },
              SnowballsInUse: {
                type: "integer"
              }
            }
          }
        },
        GetSoftwareUpdates: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UpdatesURI: {}
            }
          }
        },
        ListClusterJobs: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobListEntries: {
                shape: "S1m"
              },
              NextToken: {}
            }
          }
        },
        ListClusters: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ClusterListEntries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ClusterId: {},
                    ClusterState: {},
                    CreationDate: {
                      type: "timestamp"
                    },
                    Description: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCompatibleImages: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CompatibleImages: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AmiId: {},
                    Name: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListJobs: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobListEntries: {
                shape: "S1m"
              },
              NextToken: {}
            }
          }
        },
        ListLongTermPricing: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LongTermPricingEntries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LongTermPricingId: {},
                    LongTermPricingEndDate: {
                      type: "timestamp"
                    },
                    LongTermPricingStartDate: {
                      type: "timestamp"
                    },
                    LongTermPricingType: {},
                    CurrentActiveJob: {},
                    ReplacementJob: {},
                    IsLongTermPricingAutoRenew: {
                      type: "boolean"
                    },
                    LongTermPricingStatus: {},
                    SnowballType: {},
                    JobIds: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListServiceVersions: {
          input: {
            type: "structure",
            required: [
              "ServiceName"
            ],
            members: {
              ServiceName: {},
              DependentServices: {
                shape: "S3e"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ServiceVersions",
              "ServiceName"
            ],
            members: {
              ServiceVersions: {
                type: "list",
                member: {
                  shape: "S3g"
                }
              },
              ServiceName: {},
              DependentServices: {
                shape: "S3e"
              },
              NextToken: {}
            }
          }
        },
        UpdateCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {},
              RoleARN: {},
              Description: {},
              Resources: {
                shape: "Sf"
              },
              OnDeviceServiceConfiguration: {
                shape: "Sv"
              },
              AddressId: {},
              ShippingOption: {},
              Notification: {
                shape: "S19"
              },
              ForwardingAddressId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              RoleARN: {},
              Notification: {
                shape: "S19"
              },
              Resources: {
                shape: "Sf"
              },
              OnDeviceServiceConfiguration: {
                shape: "Sv"
              },
              AddressId: {},
              ShippingOption: {},
              Description: {},
              SnowballCapacityPreference: {},
              ForwardingAddressId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateJobShipmentState: {
          input: {
            type: "structure",
            required: [
              "JobId",
              "ShipmentState"
            ],
            members: {
              JobId: {},
              ShipmentState: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateLongTermPricing: {
          input: {
            type: "structure",
            required: [
              "LongTermPricingId"
            ],
            members: {
              LongTermPricingId: {},
              ReplacementJob: {},
              IsLongTermPricingAutoRenew: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S8: {
          type: "structure",
          members: {
            AddressId: {},
            Name: {},
            Company: {},
            Street1: {},
            Street2: {},
            Street3: {},
            City: {},
            StateOrProvince: {},
            PrefectureOrDistrict: {},
            Landmark: {},
            Country: {},
            PostalCode: {},
            PhoneNumber: {},
            IsRestricted: {
              type: "boolean"
            }
          }
        },
        Sf: {
          type: "structure",
          members: {
            S3Resources: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  BucketArn: {},
                  KeyRange: {
                    type: "structure",
                    members: {
                      BeginMarker: {},
                      EndMarker: {}
                    }
                  },
                  TargetOnDeviceServices: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        ServiceName: {},
                        TransferOption: {}
                      }
                    }
                  }
                }
              }
            },
            LambdaResources: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  LambdaArn: {},
                  EventTriggers: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        EventResourceARN: {}
                      }
                    }
                  }
                }
              }
            },
            Ec2AmiResources: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "AmiId"
                ],
                members: {
                  AmiId: {},
                  SnowballAmiId: {}
                }
              }
            }
          }
        },
        Sv: {
          type: "structure",
          members: {
            NFSOnDeviceService: {
              type: "structure",
              members: {
                StorageLimit: {
                  type: "integer"
                },
                StorageUnit: {}
              }
            },
            TGWOnDeviceService: {
              type: "structure",
              members: {
                StorageLimit: {
                  type: "integer"
                },
                StorageUnit: {}
              }
            },
            EKSOnDeviceService: {
              type: "structure",
              members: {
                KubernetesVersion: {},
                EKSAnywhereVersion: {}
              }
            },
            S3OnDeviceService: {
              type: "structure",
              members: {
                StorageLimit: {
                  type: "double"
                },
                StorageUnit: {},
                ServiceSize: {
                  type: "integer"
                },
                FaultTolerance: {
                  type: "integer"
                }
              }
            }
          }
        },
        S19: {
          type: "structure",
          members: {
            SnsTopicARN: {},
            JobStatesToNotify: {
              type: "list",
              member: {}
            },
            NotifyAll: {
              type: "boolean"
            }
          }
        },
        S1d: {
          type: "structure",
          members: {
            IND: {
              type: "structure",
              members: {
                GSTIN: {}
              }
            }
          }
        },
        S1m: {
          type: "list",
          member: {
            type: "structure",
            members: {
              JobId: {},
              JobState: {},
              IsMaster: {
                type: "boolean"
              },
              JobType: {},
              SnowballType: {},
              CreationDate: {
                type: "timestamp"
              },
              Description: {}
            }
          }
        },
        S1q: {
          type: "structure",
          members: {
            SnowconeDeviceConfiguration: {
              type: "structure",
              members: {
                WirelessConnection: {
                  type: "structure",
                  members: {
                    IsWifiEnabled: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        S2d: {
          type: "structure",
          members: {
            JobId: {},
            JobState: {},
            JobType: {},
            SnowballType: {},
            CreationDate: {
              type: "timestamp"
            },
            Resources: {
              shape: "Sf"
            },
            Description: {},
            KmsKeyARN: {},
            RoleARN: {},
            AddressId: {},
            ShippingDetails: {
              type: "structure",
              members: {
                ShippingOption: {},
                InboundShipment: {
                  shape: "S2f"
                },
                OutboundShipment: {
                  shape: "S2f"
                }
              }
            },
            SnowballCapacityPreference: {},
            Notification: {
              shape: "S19"
            },
            DataTransferProgress: {
              type: "structure",
              members: {
                BytesTransferred: {
                  type: "long"
                },
                ObjectsTransferred: {
                  type: "long"
                },
                TotalBytes: {
                  type: "long"
                },
                TotalObjects: {
                  type: "long"
                }
              }
            },
            JobLogInfo: {
              type: "structure",
              members: {
                JobCompletionReportURI: {},
                JobSuccessLogURI: {},
                JobFailureLogURI: {}
              }
            },
            ClusterId: {},
            ForwardingAddressId: {},
            TaxDocuments: {
              shape: "S1d"
            },
            DeviceConfiguration: {
              shape: "S1q"
            },
            RemoteManagement: {},
            LongTermPricingId: {},
            OnDeviceServiceConfiguration: {
              shape: "Sv"
            }
          }
        },
        S2f: {
          type: "structure",
          members: {
            Status: {},
            TrackingNumber: {}
          }
        },
        S3e: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ServiceName: {},
              ServiceVersion: {
                shape: "S3g"
              }
            }
          }
        },
        S3g: {
          type: "structure",
          members: {
            Version: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/snowball-2016-06-30.paginators.json
var require_snowball_2016_06_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/snowball-2016-06-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeAddresses: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Addresses"
        },
        ListClusterJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "JobListEntries"
        },
        ListClusters: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ClusterListEntries"
        },
        ListCompatibleImages: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "CompatibleImages"
        },
        ListJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "JobListEntries"
        },
        ListLongTermPricing: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "LongTermPricingEntries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/snowball.js
var require_snowball = __commonJS({
  "node_modules/aws-sdk/clients/snowball.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["snowball"] = {};
    AWS2.Snowball = Service.defineService("snowball", ["2016-06-30"]);
    Object.defineProperty(apiLoader.services["snowball"], "2016-06-30", {
      get: function get() {
        var model = require_snowball_2016_06_30_min();
        model.paginators = require_snowball_2016_06_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Snowball;
  }
});

// node_modules/aws-sdk/apis/sns-2010-03-31.min.json
var require_sns_2010_03_31_min = __commonJS({
  "node_modules/aws-sdk/apis/sns-2010-03-31.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2010-03-31",
        endpointPrefix: "sns",
        protocol: "query",
        serviceAbbreviation: "Amazon SNS",
        serviceFullName: "Amazon Simple Notification Service",
        serviceId: "SNS",
        signatureVersion: "v4",
        uid: "sns-2010-03-31",
        xmlNamespace: "http://sns.amazonaws.com/doc/2010-03-31/"
      },
      operations: {
        AddPermission: {
          input: {
            type: "structure",
            required: [
              "TopicArn",
              "Label",
              "AWSAccountId",
              "ActionName"
            ],
            members: {
              TopicArn: {},
              Label: {},
              AWSAccountId: {
                type: "list",
                member: {}
              },
              ActionName: {
                type: "list",
                member: {}
              }
            }
          }
        },
        CheckIfPhoneNumberIsOptedOut: {
          input: {
            type: "structure",
            required: [
              "phoneNumber"
            ],
            members: {
              phoneNumber: {}
            }
          },
          output: {
            resultWrapper: "CheckIfPhoneNumberIsOptedOutResult",
            type: "structure",
            members: {
              isOptedOut: {
                type: "boolean"
              }
            }
          }
        },
        ConfirmSubscription: {
          input: {
            type: "structure",
            required: [
              "TopicArn",
              "Token"
            ],
            members: {
              TopicArn: {},
              Token: {},
              AuthenticateOnUnsubscribe: {}
            }
          },
          output: {
            resultWrapper: "ConfirmSubscriptionResult",
            type: "structure",
            members: {
              SubscriptionArn: {}
            }
          }
        },
        CreatePlatformApplication: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Platform",
              "Attributes"
            ],
            members: {
              Name: {},
              Platform: {},
              Attributes: {
                shape: "Sj"
              }
            }
          },
          output: {
            resultWrapper: "CreatePlatformApplicationResult",
            type: "structure",
            members: {
              PlatformApplicationArn: {}
            }
          }
        },
        CreatePlatformEndpoint: {
          input: {
            type: "structure",
            required: [
              "PlatformApplicationArn",
              "Token"
            ],
            members: {
              PlatformApplicationArn: {},
              Token: {},
              CustomUserData: {},
              Attributes: {
                shape: "Sj"
              }
            }
          },
          output: {
            resultWrapper: "CreatePlatformEndpointResult",
            type: "structure",
            members: {
              EndpointArn: {}
            }
          }
        },
        CreateSMSSandboxPhoneNumber: {
          input: {
            type: "structure",
            required: [
              "PhoneNumber"
            ],
            members: {
              PhoneNumber: {},
              LanguageCode: {}
            }
          },
          output: {
            resultWrapper: "CreateSMSSandboxPhoneNumberResult",
            type: "structure",
            members: {}
          }
        },
        CreateTopic: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Attributes: {
                shape: "St"
              },
              Tags: {
                shape: "Sw"
              },
              DataProtectionPolicy: {}
            }
          },
          output: {
            resultWrapper: "CreateTopicResult",
            type: "structure",
            members: {
              TopicArn: {}
            }
          }
        },
        DeleteEndpoint: {
          input: {
            type: "structure",
            required: [
              "EndpointArn"
            ],
            members: {
              EndpointArn: {}
            }
          }
        },
        DeletePlatformApplication: {
          input: {
            type: "structure",
            required: [
              "PlatformApplicationArn"
            ],
            members: {
              PlatformApplicationArn: {}
            }
          }
        },
        DeleteSMSSandboxPhoneNumber: {
          input: {
            type: "structure",
            required: [
              "PhoneNumber"
            ],
            members: {
              PhoneNumber: {}
            }
          },
          output: {
            resultWrapper: "DeleteSMSSandboxPhoneNumberResult",
            type: "structure",
            members: {}
          }
        },
        DeleteTopic: {
          input: {
            type: "structure",
            required: [
              "TopicArn"
            ],
            members: {
              TopicArn: {}
            }
          }
        },
        GetDataProtectionPolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            resultWrapper: "GetDataProtectionPolicyResult",
            type: "structure",
            members: {
              DataProtectionPolicy: {}
            }
          }
        },
        GetEndpointAttributes: {
          input: {
            type: "structure",
            required: [
              "EndpointArn"
            ],
            members: {
              EndpointArn: {}
            }
          },
          output: {
            resultWrapper: "GetEndpointAttributesResult",
            type: "structure",
            members: {
              Attributes: {
                shape: "Sj"
              }
            }
          }
        },
        GetPlatformApplicationAttributes: {
          input: {
            type: "structure",
            required: [
              "PlatformApplicationArn"
            ],
            members: {
              PlatformApplicationArn: {}
            }
          },
          output: {
            resultWrapper: "GetPlatformApplicationAttributesResult",
            type: "structure",
            members: {
              Attributes: {
                shape: "Sj"
              }
            }
          }
        },
        GetSMSAttributes: {
          input: {
            type: "structure",
            members: {
              attributes: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "GetSMSAttributesResult",
            type: "structure",
            members: {
              attributes: {
                shape: "Sj"
              }
            }
          }
        },
        GetSMSSandboxAccountStatus: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            resultWrapper: "GetSMSSandboxAccountStatusResult",
            type: "structure",
            required: [
              "IsInSandbox"
            ],
            members: {
              IsInSandbox: {
                type: "boolean"
              }
            }
          }
        },
        GetSubscriptionAttributes: {
          input: {
            type: "structure",
            required: [
              "SubscriptionArn"
            ],
            members: {
              SubscriptionArn: {}
            }
          },
          output: {
            resultWrapper: "GetSubscriptionAttributesResult",
            type: "structure",
            members: {
              Attributes: {
                shape: "S1j"
              }
            }
          }
        },
        GetTopicAttributes: {
          input: {
            type: "structure",
            required: [
              "TopicArn"
            ],
            members: {
              TopicArn: {}
            }
          },
          output: {
            resultWrapper: "GetTopicAttributesResult",
            type: "structure",
            members: {
              Attributes: {
                shape: "St"
              }
            }
          }
        },
        ListEndpointsByPlatformApplication: {
          input: {
            type: "structure",
            required: [
              "PlatformApplicationArn"
            ],
            members: {
              PlatformApplicationArn: {},
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "ListEndpointsByPlatformApplicationResult",
            type: "structure",
            members: {
              Endpoints: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EndpointArn: {},
                    Attributes: {
                      shape: "Sj"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListOriginationNumbers: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListOriginationNumbersResult",
            type: "structure",
            members: {
              NextToken: {},
              PhoneNumbers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreatedAt: {
                      type: "timestamp"
                    },
                    PhoneNumber: {},
                    Status: {},
                    Iso2CountryCode: {},
                    RouteType: {},
                    NumberCapabilities: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              }
            }
          }
        },
        ListPhoneNumbersOptedOut: {
          input: {
            type: "structure",
            members: {
              nextToken: {}
            }
          },
          output: {
            resultWrapper: "ListPhoneNumbersOptedOutResult",
            type: "structure",
            members: {
              phoneNumbers: {
                type: "list",
                member: {}
              },
              nextToken: {}
            }
          }
        },
        ListPlatformApplications: {
          input: {
            type: "structure",
            members: {
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "ListPlatformApplicationsResult",
            type: "structure",
            members: {
              PlatformApplications: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PlatformApplicationArn: {},
                    Attributes: {
                      shape: "Sj"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSMSSandboxPhoneNumbers: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListSMSSandboxPhoneNumbersResult",
            type: "structure",
            required: [
              "PhoneNumbers"
            ],
            members: {
              PhoneNumbers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PhoneNumber: {},
                    Status: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSubscriptions: {
          input: {
            type: "structure",
            members: {
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "ListSubscriptionsResult",
            type: "structure",
            members: {
              Subscriptions: {
                shape: "S2h"
              },
              NextToken: {}
            }
          }
        },
        ListSubscriptionsByTopic: {
          input: {
            type: "structure",
            required: [
              "TopicArn"
            ],
            members: {
              TopicArn: {},
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "ListSubscriptionsByTopicResult",
            type: "structure",
            members: {
              Subscriptions: {
                shape: "S2h"
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            resultWrapper: "ListTagsForResourceResult",
            type: "structure",
            members: {
              Tags: {
                shape: "Sw"
              }
            }
          }
        },
        ListTopics: {
          input: {
            type: "structure",
            members: {
              NextToken: {}
            }
          },
          output: {
            resultWrapper: "ListTopicsResult",
            type: "structure",
            members: {
              Topics: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TopicArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        OptInPhoneNumber: {
          input: {
            type: "structure",
            required: [
              "phoneNumber"
            ],
            members: {
              phoneNumber: {}
            }
          },
          output: {
            resultWrapper: "OptInPhoneNumberResult",
            type: "structure",
            members: {}
          }
        },
        Publish: {
          input: {
            type: "structure",
            required: [
              "Message"
            ],
            members: {
              TopicArn: {},
              TargetArn: {},
              PhoneNumber: {},
              Message: {},
              Subject: {},
              MessageStructure: {},
              MessageAttributes: {
                shape: "S31"
              },
              MessageDeduplicationId: {},
              MessageGroupId: {}
            }
          },
          output: {
            resultWrapper: "PublishResult",
            type: "structure",
            members: {
              MessageId: {},
              SequenceNumber: {}
            }
          }
        },
        PublishBatch: {
          input: {
            type: "structure",
            required: [
              "TopicArn",
              "PublishBatchRequestEntries"
            ],
            members: {
              TopicArn: {},
              PublishBatchRequestEntries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Id",
                    "Message"
                  ],
                  members: {
                    Id: {},
                    Message: {},
                    Subject: {},
                    MessageStructure: {},
                    MessageAttributes: {
                      shape: "S31"
                    },
                    MessageDeduplicationId: {},
                    MessageGroupId: {}
                  }
                }
              }
            }
          },
          output: {
            resultWrapper: "PublishBatchResult",
            type: "structure",
            members: {
              Successful: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    MessageId: {},
                    SequenceNumber: {}
                  }
                }
              },
              Failed: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Id",
                    "Code",
                    "SenderFault"
                  ],
                  members: {
                    Id: {},
                    Code: {},
                    Message: {},
                    SenderFault: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        PutDataProtectionPolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "DataProtectionPolicy"
            ],
            members: {
              ResourceArn: {},
              DataProtectionPolicy: {}
            }
          }
        },
        RemovePermission: {
          input: {
            type: "structure",
            required: [
              "TopicArn",
              "Label"
            ],
            members: {
              TopicArn: {},
              Label: {}
            }
          }
        },
        SetEndpointAttributes: {
          input: {
            type: "structure",
            required: [
              "EndpointArn",
              "Attributes"
            ],
            members: {
              EndpointArn: {},
              Attributes: {
                shape: "Sj"
              }
            }
          }
        },
        SetPlatformApplicationAttributes: {
          input: {
            type: "structure",
            required: [
              "PlatformApplicationArn",
              "Attributes"
            ],
            members: {
              PlatformApplicationArn: {},
              Attributes: {
                shape: "Sj"
              }
            }
          }
        },
        SetSMSAttributes: {
          input: {
            type: "structure",
            required: [
              "attributes"
            ],
            members: {
              attributes: {
                shape: "Sj"
              }
            }
          },
          output: {
            resultWrapper: "SetSMSAttributesResult",
            type: "structure",
            members: {}
          }
        },
        SetSubscriptionAttributes: {
          input: {
            type: "structure",
            required: [
              "SubscriptionArn",
              "AttributeName"
            ],
            members: {
              SubscriptionArn: {},
              AttributeName: {},
              AttributeValue: {}
            }
          }
        },
        SetTopicAttributes: {
          input: {
            type: "structure",
            required: [
              "TopicArn",
              "AttributeName"
            ],
            members: {
              TopicArn: {},
              AttributeName: {},
              AttributeValue: {}
            }
          }
        },
        Subscribe: {
          input: {
            type: "structure",
            required: [
              "TopicArn",
              "Protocol"
            ],
            members: {
              TopicArn: {},
              Protocol: {},
              Endpoint: {},
              Attributes: {
                shape: "S1j"
              },
              ReturnSubscriptionArn: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "SubscribeResult",
            type: "structure",
            members: {
              SubscriptionArn: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sw"
              }
            }
          },
          output: {
            resultWrapper: "TagResourceResult",
            type: "structure",
            members: {}
          }
        },
        Unsubscribe: {
          input: {
            type: "structure",
            required: [
              "SubscriptionArn"
            ],
            members: {
              SubscriptionArn: {}
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            resultWrapper: "UntagResourceResult",
            type: "structure",
            members: {}
          }
        },
        VerifySMSSandboxPhoneNumber: {
          input: {
            type: "structure",
            required: [
              "PhoneNumber",
              "OneTimePassword"
            ],
            members: {
              PhoneNumber: {},
              OneTimePassword: {}
            }
          },
          output: {
            resultWrapper: "VerifySMSSandboxPhoneNumberResult",
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        Sj: {
          type: "map",
          key: {},
          value: {}
        },
        St: {
          type: "map",
          key: {},
          value: {}
        },
        Sw: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S1j: {
          type: "map",
          key: {},
          value: {}
        },
        S2h: {
          type: "list",
          member: {
            type: "structure",
            members: {
              SubscriptionArn: {},
              Owner: {},
              Protocol: {},
              Endpoint: {},
              TopicArn: {}
            }
          }
        },
        S31: {
          type: "map",
          key: {
            locationName: "Name"
          },
          value: {
            locationName: "Value",
            type: "structure",
            required: [
              "DataType"
            ],
            members: {
              DataType: {},
              StringValue: {},
              BinaryValue: {
                type: "blob"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/sns-2010-03-31.paginators.json
var require_sns_2010_03_31_paginators = __commonJS({
  "node_modules/aws-sdk/apis/sns-2010-03-31.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListEndpointsByPlatformApplication: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Endpoints"
        },
        ListOriginationNumbers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PhoneNumbers"
        },
        ListPhoneNumbersOptedOut: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "phoneNumbers"
        },
        ListPlatformApplications: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "PlatformApplications"
        },
        ListSMSSandboxPhoneNumbers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PhoneNumbers"
        },
        ListSubscriptions: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Subscriptions"
        },
        ListSubscriptionsByTopic: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Subscriptions"
        },
        ListTopics: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Topics"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/sns.js
var require_sns = __commonJS({
  "node_modules/aws-sdk/clients/sns.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["sns"] = {};
    AWS2.SNS = Service.defineService("sns", ["2010-03-31"]);
    Object.defineProperty(apiLoader.services["sns"], "2010-03-31", {
      get: function get() {
        var model = require_sns_2010_03_31_min();
        model.paginators = require_sns_2010_03_31_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SNS;
  }
});

// node_modules/aws-sdk/lib/services/sqs.js
var require_sqs = __commonJS({
  "node_modules/aws-sdk/lib/services/sqs.js"() {
    var AWS2 = require_core();
    AWS2.util.update(AWS2.SQS.prototype, {
      /**
       * @api private
       */
      setupRequestListeners: function setupRequestListeners(request) {
        request.addListener("build", this.buildEndpoint);
        if (request.service.config.computeChecksums) {
          if (request.operation === "sendMessage") {
            request.addListener("extractData", this.verifySendMessageChecksum);
          } else if (request.operation === "sendMessageBatch") {
            request.addListener("extractData", this.verifySendMessageBatchChecksum);
          } else if (request.operation === "receiveMessage") {
            request.addListener("extractData", this.verifyReceiveMessageChecksum);
          }
        }
      },
      /**
       * @api private
       */
      verifySendMessageChecksum: function verifySendMessageChecksum(response) {
        if (!response.data)
          return;
        var md5 = response.data.MD5OfMessageBody;
        var body = this.params.MessageBody;
        var calculatedMd5 = this.service.calculateChecksum(body);
        if (calculatedMd5 !== md5) {
          var msg = 'Got "' + response.data.MD5OfMessageBody + '", expecting "' + calculatedMd5 + '".';
          this.service.throwInvalidChecksumError(
            response,
            [response.data.MessageId],
            msg
          );
        }
      },
      /**
       * @api private
       */
      verifySendMessageBatchChecksum: function verifySendMessageBatchChecksum(response) {
        if (!response.data)
          return;
        var service = this.service;
        var entries = {};
        var errors = [];
        var messageIds = [];
        AWS2.util.arrayEach(response.data.Successful, function(entry) {
          entries[entry.Id] = entry;
        });
        AWS2.util.arrayEach(this.params.Entries, function(entry) {
          if (entries[entry.Id]) {
            var md5 = entries[entry.Id].MD5OfMessageBody;
            var body = entry.MessageBody;
            if (!service.isChecksumValid(md5, body)) {
              errors.push(entry.Id);
              messageIds.push(entries[entry.Id].MessageId);
            }
          }
        });
        if (errors.length > 0) {
          service.throwInvalidChecksumError(
            response,
            messageIds,
            "Invalid messages: " + errors.join(", ")
          );
        }
      },
      /**
       * @api private
       */
      verifyReceiveMessageChecksum: function verifyReceiveMessageChecksum(response) {
        if (!response.data)
          return;
        var service = this.service;
        var messageIds = [];
        AWS2.util.arrayEach(response.data.Messages, function(message) {
          var md5 = message.MD5OfBody;
          var body = message.Body;
          if (!service.isChecksumValid(md5, body)) {
            messageIds.push(message.MessageId);
          }
        });
        if (messageIds.length > 0) {
          service.throwInvalidChecksumError(
            response,
            messageIds,
            "Invalid messages: " + messageIds.join(", ")
          );
        }
      },
      /**
       * @api private
       */
      throwInvalidChecksumError: function throwInvalidChecksumError(response, ids, message) {
        response.error = AWS2.util.error(new Error(), {
          retryable: true,
          code: "InvalidChecksum",
          messageIds: ids,
          message: response.request.operation + " returned an invalid MD5 response. " + message
        });
      },
      /**
       * @api private
       */
      isChecksumValid: function isChecksumValid(checksum, data) {
        return this.calculateChecksum(data) === checksum;
      },
      /**
       * @api private
       */
      calculateChecksum: function calculateChecksum(data) {
        return AWS2.util.crypto.md5(data, "hex");
      },
      /**
       * @api private
       */
      buildEndpoint: function buildEndpoint(request) {
        var url = request.httpRequest.params.QueueUrl;
        if (url) {
          request.httpRequest.endpoint = new AWS2.Endpoint(url);
          var matches = request.httpRequest.endpoint.host.match(/^sqs\.(.+?)\./);
          if (matches)
            request.httpRequest.region = matches[1];
        }
      }
    });
  }
});

// node_modules/aws-sdk/apis/sqs-2012-11-05.min.json
var require_sqs_2012_11_05_min = __commonJS({
  "node_modules/aws-sdk/apis/sqs-2012-11-05.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2012-11-05",
        endpointPrefix: "sqs",
        protocol: "query",
        serviceAbbreviation: "Amazon SQS",
        serviceFullName: "Amazon Simple Queue Service",
        serviceId: "SQS",
        signatureVersion: "v4",
        uid: "sqs-2012-11-05",
        xmlNamespace: "http://queue.amazonaws.com/doc/2012-11-05/"
      },
      operations: {
        AddPermission: {
          input: {
            type: "structure",
            required: [
              "QueueUrl",
              "Label",
              "AWSAccountIds",
              "Actions"
            ],
            members: {
              QueueUrl: {},
              Label: {},
              AWSAccountIds: {
                type: "list",
                member: {
                  locationName: "AWSAccountId"
                },
                flattened: true
              },
              Actions: {
                type: "list",
                member: {
                  locationName: "ActionName"
                },
                flattened: true
              }
            }
          }
        },
        CancelMessageMoveTask: {
          input: {
            type: "structure",
            required: [
              "TaskHandle"
            ],
            members: {
              TaskHandle: {}
            }
          },
          output: {
            resultWrapper: "CancelMessageMoveTaskResult",
            type: "structure",
            members: {
              ApproximateNumberOfMessagesMoved: {
                type: "long"
              }
            }
          }
        },
        ChangeMessageVisibility: {
          input: {
            type: "structure",
            required: [
              "QueueUrl",
              "ReceiptHandle",
              "VisibilityTimeout"
            ],
            members: {
              QueueUrl: {},
              ReceiptHandle: {},
              VisibilityTimeout: {
                type: "integer"
              }
            }
          }
        },
        ChangeMessageVisibilityBatch: {
          input: {
            type: "structure",
            required: [
              "QueueUrl",
              "Entries"
            ],
            members: {
              QueueUrl: {},
              Entries: {
                type: "list",
                member: {
                  locationName: "ChangeMessageVisibilityBatchRequestEntry",
                  type: "structure",
                  required: [
                    "Id",
                    "ReceiptHandle"
                  ],
                  members: {
                    Id: {},
                    ReceiptHandle: {},
                    VisibilityTimeout: {
                      type: "integer"
                    }
                  }
                },
                flattened: true
              }
            }
          },
          output: {
            resultWrapper: "ChangeMessageVisibilityBatchResult",
            type: "structure",
            required: [
              "Successful",
              "Failed"
            ],
            members: {
              Successful: {
                type: "list",
                member: {
                  locationName: "ChangeMessageVisibilityBatchResultEntry",
                  type: "structure",
                  required: [
                    "Id"
                  ],
                  members: {
                    Id: {}
                  }
                },
                flattened: true
              },
              Failed: {
                shape: "Sg"
              }
            }
          }
        },
        CreateQueue: {
          input: {
            type: "structure",
            required: [
              "QueueName"
            ],
            members: {
              QueueName: {},
              Attributes: {
                shape: "Sk",
                locationName: "Attribute"
              },
              tags: {
                shape: "Sm",
                locationName: "Tag"
              }
            }
          },
          output: {
            resultWrapper: "CreateQueueResult",
            type: "structure",
            members: {
              QueueUrl: {}
            }
          }
        },
        DeleteMessage: {
          input: {
            type: "structure",
            required: [
              "QueueUrl",
              "ReceiptHandle"
            ],
            members: {
              QueueUrl: {},
              ReceiptHandle: {}
            }
          }
        },
        DeleteMessageBatch: {
          input: {
            type: "structure",
            required: [
              "QueueUrl",
              "Entries"
            ],
            members: {
              QueueUrl: {},
              Entries: {
                type: "list",
                member: {
                  locationName: "DeleteMessageBatchRequestEntry",
                  type: "structure",
                  required: [
                    "Id",
                    "ReceiptHandle"
                  ],
                  members: {
                    Id: {},
                    ReceiptHandle: {}
                  }
                },
                flattened: true
              }
            }
          },
          output: {
            resultWrapper: "DeleteMessageBatchResult",
            type: "structure",
            required: [
              "Successful",
              "Failed"
            ],
            members: {
              Successful: {
                type: "list",
                member: {
                  locationName: "DeleteMessageBatchResultEntry",
                  type: "structure",
                  required: [
                    "Id"
                  ],
                  members: {
                    Id: {}
                  }
                },
                flattened: true
              },
              Failed: {
                shape: "Sg"
              }
            }
          }
        },
        DeleteQueue: {
          input: {
            type: "structure",
            required: [
              "QueueUrl"
            ],
            members: {
              QueueUrl: {}
            }
          }
        },
        GetQueueAttributes: {
          input: {
            type: "structure",
            required: [
              "QueueUrl"
            ],
            members: {
              QueueUrl: {},
              AttributeNames: {
                shape: "Sz"
              }
            }
          },
          output: {
            resultWrapper: "GetQueueAttributesResult",
            type: "structure",
            members: {
              Attributes: {
                shape: "Sk",
                locationName: "Attribute"
              }
            }
          }
        },
        GetQueueUrl: {
          input: {
            type: "structure",
            required: [
              "QueueName"
            ],
            members: {
              QueueName: {},
              QueueOwnerAWSAccountId: {}
            }
          },
          output: {
            resultWrapper: "GetQueueUrlResult",
            type: "structure",
            members: {
              QueueUrl: {}
            }
          }
        },
        ListDeadLetterSourceQueues: {
          input: {
            type: "structure",
            required: [
              "QueueUrl"
            ],
            members: {
              QueueUrl: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListDeadLetterSourceQueuesResult",
            type: "structure",
            required: [
              "queueUrls"
            ],
            members: {
              queueUrls: {
                shape: "S17"
              },
              NextToken: {}
            }
          }
        },
        ListMessageMoveTasks: {
          input: {
            type: "structure",
            required: [
              "SourceArn"
            ],
            members: {
              SourceArn: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListMessageMoveTasksResult",
            type: "structure",
            members: {
              Results: {
                type: "list",
                member: {
                  locationName: "ListMessageMoveTasksResultEntry",
                  type: "structure",
                  members: {
                    TaskHandle: {},
                    Status: {},
                    SourceArn: {},
                    DestinationArn: {},
                    MaxNumberOfMessagesPerSecond: {
                      type: "integer"
                    },
                    ApproximateNumberOfMessagesMoved: {
                      type: "long"
                    },
                    ApproximateNumberOfMessagesToMove: {
                      type: "long"
                    },
                    FailureReason: {},
                    StartedTimestamp: {
                      type: "long"
                    }
                  }
                },
                flattened: true
              }
            }
          }
        },
        ListQueueTags: {
          input: {
            type: "structure",
            required: [
              "QueueUrl"
            ],
            members: {
              QueueUrl: {}
            }
          },
          output: {
            resultWrapper: "ListQueueTagsResult",
            type: "structure",
            members: {
              Tags: {
                shape: "Sm",
                locationName: "Tag"
              }
            }
          }
        },
        ListQueues: {
          input: {
            type: "structure",
            members: {
              QueueNamePrefix: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "ListQueuesResult",
            type: "structure",
            members: {
              QueueUrls: {
                shape: "S17"
              },
              NextToken: {}
            }
          }
        },
        PurgeQueue: {
          input: {
            type: "structure",
            required: [
              "QueueUrl"
            ],
            members: {
              QueueUrl: {}
            }
          }
        },
        ReceiveMessage: {
          input: {
            type: "structure",
            required: [
              "QueueUrl"
            ],
            members: {
              QueueUrl: {},
              AttributeNames: {
                shape: "Sz"
              },
              MessageAttributeNames: {
                type: "list",
                member: {
                  locationName: "MessageAttributeName"
                },
                flattened: true
              },
              MaxNumberOfMessages: {
                type: "integer"
              },
              VisibilityTimeout: {
                type: "integer"
              },
              WaitTimeSeconds: {
                type: "integer"
              },
              ReceiveRequestAttemptId: {}
            }
          },
          output: {
            resultWrapper: "ReceiveMessageResult",
            type: "structure",
            members: {
              Messages: {
                type: "list",
                member: {
                  locationName: "Message",
                  type: "structure",
                  members: {
                    MessageId: {},
                    ReceiptHandle: {},
                    MD5OfBody: {},
                    Body: {},
                    Attributes: {
                      locationName: "Attribute",
                      type: "map",
                      key: {
                        locationName: "Name"
                      },
                      value: {
                        locationName: "Value"
                      },
                      flattened: true
                    },
                    MD5OfMessageAttributes: {},
                    MessageAttributes: {
                      shape: "S1p",
                      locationName: "MessageAttribute"
                    }
                  }
                },
                flattened: true
              }
            }
          }
        },
        RemovePermission: {
          input: {
            type: "structure",
            required: [
              "QueueUrl",
              "Label"
            ],
            members: {
              QueueUrl: {},
              Label: {}
            }
          }
        },
        SendMessage: {
          input: {
            type: "structure",
            required: [
              "QueueUrl",
              "MessageBody"
            ],
            members: {
              QueueUrl: {},
              MessageBody: {},
              DelaySeconds: {
                type: "integer"
              },
              MessageAttributes: {
                shape: "S1p",
                locationName: "MessageAttribute"
              },
              MessageSystemAttributes: {
                shape: "S1w",
                locationName: "MessageSystemAttribute"
              },
              MessageDeduplicationId: {},
              MessageGroupId: {}
            }
          },
          output: {
            resultWrapper: "SendMessageResult",
            type: "structure",
            members: {
              MD5OfMessageBody: {},
              MD5OfMessageAttributes: {},
              MD5OfMessageSystemAttributes: {},
              MessageId: {},
              SequenceNumber: {}
            }
          }
        },
        SendMessageBatch: {
          input: {
            type: "structure",
            required: [
              "QueueUrl",
              "Entries"
            ],
            members: {
              QueueUrl: {},
              Entries: {
                type: "list",
                member: {
                  locationName: "SendMessageBatchRequestEntry",
                  type: "structure",
                  required: [
                    "Id",
                    "MessageBody"
                  ],
                  members: {
                    Id: {},
                    MessageBody: {},
                    DelaySeconds: {
                      type: "integer"
                    },
                    MessageAttributes: {
                      shape: "S1p",
                      locationName: "MessageAttribute"
                    },
                    MessageSystemAttributes: {
                      shape: "S1w",
                      locationName: "MessageSystemAttribute"
                    },
                    MessageDeduplicationId: {},
                    MessageGroupId: {}
                  }
                },
                flattened: true
              }
            }
          },
          output: {
            resultWrapper: "SendMessageBatchResult",
            type: "structure",
            required: [
              "Successful",
              "Failed"
            ],
            members: {
              Successful: {
                type: "list",
                member: {
                  locationName: "SendMessageBatchResultEntry",
                  type: "structure",
                  required: [
                    "Id",
                    "MessageId",
                    "MD5OfMessageBody"
                  ],
                  members: {
                    Id: {},
                    MessageId: {},
                    MD5OfMessageBody: {},
                    MD5OfMessageAttributes: {},
                    MD5OfMessageSystemAttributes: {},
                    SequenceNumber: {}
                  }
                },
                flattened: true
              },
              Failed: {
                shape: "Sg"
              }
            }
          }
        },
        SetQueueAttributes: {
          input: {
            type: "structure",
            required: [
              "QueueUrl",
              "Attributes"
            ],
            members: {
              QueueUrl: {},
              Attributes: {
                shape: "Sk",
                locationName: "Attribute"
              }
            }
          }
        },
        StartMessageMoveTask: {
          input: {
            type: "structure",
            required: [
              "SourceArn"
            ],
            members: {
              SourceArn: {},
              DestinationArn: {},
              MaxNumberOfMessagesPerSecond: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "StartMessageMoveTaskResult",
            type: "structure",
            members: {
              TaskHandle: {}
            }
          }
        },
        TagQueue: {
          input: {
            type: "structure",
            required: [
              "QueueUrl",
              "Tags"
            ],
            members: {
              QueueUrl: {},
              Tags: {
                shape: "Sm"
              }
            }
          }
        },
        UntagQueue: {
          input: {
            type: "structure",
            required: [
              "QueueUrl",
              "TagKeys"
            ],
            members: {
              QueueUrl: {},
              TagKeys: {
                type: "list",
                member: {
                  locationName: "TagKey"
                },
                flattened: true
              }
            }
          }
        }
      },
      shapes: {
        Sg: {
          type: "list",
          member: {
            locationName: "BatchResultErrorEntry",
            type: "structure",
            required: [
              "Id",
              "SenderFault",
              "Code"
            ],
            members: {
              Id: {},
              SenderFault: {
                type: "boolean"
              },
              Code: {},
              Message: {}
            }
          },
          flattened: true
        },
        Sk: {
          type: "map",
          key: {
            locationName: "Name"
          },
          value: {
            locationName: "Value"
          },
          flattened: true,
          locationName: "Attribute"
        },
        Sm: {
          type: "map",
          key: {
            locationName: "Key"
          },
          value: {
            locationName: "Value"
          },
          flattened: true,
          locationName: "Tag"
        },
        Sz: {
          type: "list",
          member: {
            locationName: "AttributeName"
          },
          flattened: true
        },
        S17: {
          type: "list",
          member: {
            locationName: "QueueUrl"
          },
          flattened: true
        },
        S1p: {
          type: "map",
          key: {
            locationName: "Name"
          },
          value: {
            locationName: "Value",
            type: "structure",
            required: [
              "DataType"
            ],
            members: {
              StringValue: {},
              BinaryValue: {
                type: "blob"
              },
              StringListValues: {
                shape: "S1s",
                flattened: true,
                locationName: "StringListValue"
              },
              BinaryListValues: {
                shape: "S1t",
                flattened: true,
                locationName: "BinaryListValue"
              },
              DataType: {}
            }
          },
          flattened: true
        },
        S1s: {
          type: "list",
          member: {
            locationName: "StringListValue"
          }
        },
        S1t: {
          type: "list",
          member: {
            locationName: "BinaryListValue",
            type: "blob"
          }
        },
        S1w: {
          type: "map",
          key: {
            locationName: "Name"
          },
          value: {
            locationName: "Value",
            type: "structure",
            required: [
              "DataType"
            ],
            members: {
              StringValue: {},
              BinaryValue: {
                type: "blob"
              },
              StringListValues: {
                shape: "S1s",
                flattened: true,
                locationName: "StringListValue"
              },
              BinaryListValues: {
                shape: "S1t",
                flattened: true,
                locationName: "BinaryListValue"
              },
              DataType: {}
            }
          },
          flattened: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/sqs-2012-11-05.paginators.json
var require_sqs_2012_11_05_paginators = __commonJS({
  "node_modules/aws-sdk/apis/sqs-2012-11-05.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDeadLetterSourceQueues: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "queueUrls"
        },
        ListQueues: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "QueueUrls"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/sqs.js
var require_sqs2 = __commonJS({
  "node_modules/aws-sdk/clients/sqs.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["sqs"] = {};
    AWS2.SQS = Service.defineService("sqs", ["2012-11-05"]);
    require_sqs();
    Object.defineProperty(apiLoader.services["sqs"], "2012-11-05", {
      get: function get() {
        var model = require_sqs_2012_11_05_min();
        model.paginators = require_sqs_2012_11_05_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SQS;
  }
});

// node_modules/aws-sdk/apis/ssm-2014-11-06.min.json
var require_ssm_2014_11_06_min = __commonJS({
  "node_modules/aws-sdk/apis/ssm-2014-11-06.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2014-11-06",
        endpointPrefix: "ssm",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Amazon SSM",
        serviceFullName: "Amazon Simple Systems Manager (SSM)",
        serviceId: "SSM",
        signatureVersion: "v4",
        targetPrefix: "AmazonSSM",
        uid: "ssm-2014-11-06"
      },
      operations: {
        AddTagsToResource: {
          input: {
            type: "structure",
            required: [
              "ResourceType",
              "ResourceId",
              "Tags"
            ],
            members: {
              ResourceType: {},
              ResourceId: {},
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateOpsItemRelatedItem: {
          input: {
            type: "structure",
            required: [
              "OpsItemId",
              "AssociationType",
              "ResourceType",
              "ResourceUri"
            ],
            members: {
              OpsItemId: {},
              AssociationType: {},
              ResourceType: {},
              ResourceUri: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AssociationId: {}
            }
          }
        },
        CancelCommand: {
          input: {
            type: "structure",
            required: [
              "CommandId"
            ],
            members: {
              CommandId: {},
              InstanceIds: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CancelMaintenanceWindowExecution: {
          input: {
            type: "structure",
            required: [
              "WindowExecutionId"
            ],
            members: {
              WindowExecutionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WindowExecutionId: {}
            }
          }
        },
        CreateActivation: {
          input: {
            type: "structure",
            required: [
              "IamRole"
            ],
            members: {
              Description: {},
              DefaultInstanceName: {},
              IamRole: {},
              RegistrationLimit: {
                type: "integer"
              },
              ExpirationDate: {
                type: "timestamp"
              },
              Tags: {
                shape: "S4"
              },
              RegistrationMetadata: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key",
                    "Value"
                  ],
                  members: {
                    Key: {},
                    Value: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ActivationId: {},
              ActivationCode: {}
            }
          }
        },
        CreateAssociation: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              DocumentVersion: {},
              InstanceId: {},
              Parameters: {
                shape: "S14"
              },
              Targets: {
                shape: "S18"
              },
              ScheduleExpression: {},
              OutputLocation: {
                shape: "S1e"
              },
              AssociationName: {},
              AutomationTargetParameterName: {},
              MaxErrors: {},
              MaxConcurrency: {},
              ComplianceSeverity: {},
              SyncCompliance: {},
              ApplyOnlyAtCronInterval: {
                type: "boolean"
              },
              CalendarNames: {
                shape: "S1q"
              },
              TargetLocations: {
                shape: "S1s"
              },
              ScheduleOffset: {
                type: "integer"
              },
              TargetMaps: {
                shape: "S25"
              },
              Tags: {
                shape: "S4"
              },
              AlarmConfiguration: {
                shape: "S1z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssociationDescription: {
                shape: "S2b"
              }
            }
          }
        },
        CreateAssociationBatch: {
          input: {
            type: "structure",
            required: [
              "Entries"
            ],
            members: {
              Entries: {
                type: "list",
                member: {
                  shape: "S2s"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Successful: {
                type: "list",
                member: {
                  shape: "S2b"
                }
              },
              Failed: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Entry: {
                      shape: "S2s"
                    },
                    Message: {},
                    Fault: {}
                  }
                }
              }
            }
          }
        },
        CreateDocument: {
          input: {
            type: "structure",
            required: [
              "Content",
              "Name"
            ],
            members: {
              Content: {},
              Requires: {
                shape: "S31"
              },
              Attachments: {
                shape: "S35"
              },
              Name: {},
              DisplayName: {},
              VersionName: {},
              DocumentType: {},
              DocumentFormat: {},
              TargetType: {},
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentDescription: {
                shape: "S3h"
              }
            }
          }
        },
        CreateMaintenanceWindow: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Schedule",
              "Duration",
              "Cutoff",
              "AllowUnassociatedTargets"
            ],
            members: {
              Name: {},
              Description: {
                shape: "S4b"
              },
              StartDate: {},
              EndDate: {},
              Schedule: {},
              ScheduleTimezone: {},
              ScheduleOffset: {
                type: "integer"
              },
              Duration: {
                type: "integer"
              },
              Cutoff: {
                type: "integer"
              },
              AllowUnassociatedTargets: {
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WindowId: {}
            }
          }
        },
        CreateOpsItem: {
          input: {
            type: "structure",
            required: [
              "Description",
              "Source",
              "Title"
            ],
            members: {
              Description: {},
              OpsItemType: {},
              OperationalData: {
                shape: "S4p"
              },
              Notifications: {
                shape: "S4u"
              },
              Priority: {
                type: "integer"
              },
              RelatedOpsItems: {
                shape: "S4y"
              },
              Source: {},
              Title: {},
              Tags: {
                shape: "S4"
              },
              Category: {},
              Severity: {},
              ActualStartTime: {
                type: "timestamp"
              },
              ActualEndTime: {
                type: "timestamp"
              },
              PlannedStartTime: {
                type: "timestamp"
              },
              PlannedEndTime: {
                type: "timestamp"
              },
              AccountId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OpsItemId: {},
              OpsItemArn: {}
            }
          }
        },
        CreateOpsMetadata: {
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              ResourceId: {},
              Metadata: {
                shape: "S59"
              },
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OpsMetadataArn: {}
            }
          }
        },
        CreatePatchBaseline: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              OperatingSystem: {},
              Name: {},
              GlobalFilters: {
                shape: "S5i"
              },
              ApprovalRules: {
                shape: "S5o"
              },
              ApprovedPatches: {
                shape: "S5u"
              },
              ApprovedPatchesComplianceLevel: {},
              ApprovedPatchesEnableNonSecurity: {
                type: "boolean"
              },
              RejectedPatches: {
                shape: "S5u"
              },
              RejectedPatchesAction: {},
              Description: {},
              Sources: {
                shape: "S5y"
              },
              ClientToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BaselineId: {}
            }
          }
        },
        CreateResourceDataSync: {
          input: {
            type: "structure",
            required: [
              "SyncName"
            ],
            members: {
              SyncName: {},
              S3Destination: {
                shape: "S68"
              },
              SyncType: {},
              SyncSource: {
                shape: "S6h"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteActivation: {
          input: {
            type: "structure",
            required: [
              "ActivationId"
            ],
            members: {
              ActivationId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAssociation: {
          input: {
            type: "structure",
            members: {
              Name: {},
              InstanceId: {},
              AssociationId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDocument: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              DocumentVersion: {},
              VersionName: {},
              Force: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteInventory: {
          input: {
            type: "structure",
            required: [
              "TypeName"
            ],
            members: {
              TypeName: {},
              SchemaDeleteOption: {},
              DryRun: {
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeletionId: {},
              TypeName: {},
              DeletionSummary: {
                shape: "S75"
              }
            }
          }
        },
        DeleteMaintenanceWindow: {
          input: {
            type: "structure",
            required: [
              "WindowId"
            ],
            members: {
              WindowId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WindowId: {}
            }
          }
        },
        DeleteOpsMetadata: {
          input: {
            type: "structure",
            required: [
              "OpsMetadataArn"
            ],
            members: {
              OpsMetadataArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteParameter: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteParameters: {
          input: {
            type: "structure",
            required: [
              "Names"
            ],
            members: {
              Names: {
                shape: "S7k"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeletedParameters: {
                shape: "S7k"
              },
              InvalidParameters: {
                shape: "S7k"
              }
            }
          }
        },
        DeletePatchBaseline: {
          input: {
            type: "structure",
            required: [
              "BaselineId"
            ],
            members: {
              BaselineId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BaselineId: {}
            }
          }
        },
        DeleteResourceDataSync: {
          input: {
            type: "structure",
            required: [
              "SyncName"
            ],
            members: {
              SyncName: {},
              SyncType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "PolicyId",
              "PolicyHash"
            ],
            members: {
              ResourceArn: {},
              PolicyId: {},
              PolicyHash: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeregisterManagedInstance: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeregisterPatchBaselineForPatchGroup: {
          input: {
            type: "structure",
            required: [
              "BaselineId",
              "PatchGroup"
            ],
            members: {
              BaselineId: {},
              PatchGroup: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BaselineId: {},
              PatchGroup: {}
            }
          }
        },
        DeregisterTargetFromMaintenanceWindow: {
          input: {
            type: "structure",
            required: [
              "WindowId",
              "WindowTargetId"
            ],
            members: {
              WindowId: {},
              WindowTargetId: {},
              Safe: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WindowId: {},
              WindowTargetId: {}
            }
          }
        },
        DeregisterTaskFromMaintenanceWindow: {
          input: {
            type: "structure",
            required: [
              "WindowId",
              "WindowTaskId"
            ],
            members: {
              WindowId: {},
              WindowTaskId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WindowId: {},
              WindowTaskId: {}
            }
          }
        },
        DescribeActivations: {
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FilterKey: {},
                    FilterValues: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ActivationList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ActivationId: {},
                    Description: {},
                    DefaultInstanceName: {},
                    IamRole: {},
                    RegistrationLimit: {
                      type: "integer"
                    },
                    RegistrationsCount: {
                      type: "integer"
                    },
                    ExpirationDate: {
                      type: "timestamp"
                    },
                    Expired: {
                      type: "boolean"
                    },
                    CreatedDate: {
                      type: "timestamp"
                    },
                    Tags: {
                      shape: "S4"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeAssociation: {
          input: {
            type: "structure",
            members: {
              Name: {},
              InstanceId: {},
              AssociationId: {},
              AssociationVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AssociationDescription: {
                shape: "S2b"
              }
            }
          }
        },
        DescribeAssociationExecutionTargets: {
          input: {
            type: "structure",
            required: [
              "AssociationId",
              "ExecutionId"
            ],
            members: {
              AssociationId: {},
              ExecutionId: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key",
                    "Value"
                  ],
                  members: {
                    Key: {},
                    Value: {}
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AssociationExecutionTargets: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AssociationId: {},
                    AssociationVersion: {},
                    ExecutionId: {},
                    ResourceId: {},
                    ResourceType: {},
                    Status: {},
                    DetailedStatus: {},
                    LastExecutionDate: {
                      type: "timestamp"
                    },
                    OutputSource: {
                      type: "structure",
                      members: {
                        OutputSourceId: {},
                        OutputSourceType: {}
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeAssociationExecutions: {
          input: {
            type: "structure",
            required: [
              "AssociationId"
            ],
            members: {
              AssociationId: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key",
                    "Value",
                    "Type"
                  ],
                  members: {
                    Key: {},
                    Value: {},
                    Type: {}
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AssociationExecutions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AssociationId: {},
                    AssociationVersion: {},
                    ExecutionId: {},
                    Status: {},
                    DetailedStatus: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    LastExecutionDate: {
                      type: "timestamp"
                    },
                    ResourceCountByStatus: {},
                    AlarmConfiguration: {
                      shape: "S1z"
                    },
                    TriggeredAlarms: {
                      shape: "S2n"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeAutomationExecutions: {
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key",
                    "Values"
                  ],
                  members: {
                    Key: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AutomationExecutionMetadataList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AutomationExecutionId: {},
                    DocumentName: {},
                    DocumentVersion: {},
                    AutomationExecutionStatus: {},
                    ExecutionStartTime: {
                      type: "timestamp"
                    },
                    ExecutionEndTime: {
                      type: "timestamp"
                    },
                    ExecutedBy: {},
                    LogFile: {},
                    Outputs: {
                      shape: "S9k"
                    },
                    Mode: {},
                    ParentAutomationExecutionId: {},
                    CurrentStepName: {},
                    CurrentAction: {},
                    FailureMessage: {},
                    TargetParameterName: {},
                    Targets: {
                      shape: "S18"
                    },
                    TargetMaps: {
                      shape: "S25"
                    },
                    ResolvedTargets: {
                      shape: "S9p"
                    },
                    MaxConcurrency: {},
                    MaxErrors: {},
                    Target: {},
                    AutomationType: {},
                    AlarmConfiguration: {
                      shape: "S1z"
                    },
                    TriggeredAlarms: {
                      shape: "S2n"
                    },
                    AutomationSubtype: {},
                    ScheduledTime: {
                      type: "timestamp"
                    },
                    Runbooks: {
                      shape: "S9t"
                    },
                    OpsItemId: {},
                    AssociationId: {},
                    ChangeRequestName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeAutomationStepExecutions: {
          input: {
            type: "structure",
            required: [
              "AutomationExecutionId"
            ],
            members: {
              AutomationExecutionId: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key",
                    "Values"
                  ],
                  members: {
                    Key: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ReverseOrder: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StepExecutions: {
                shape: "Sa3"
              },
              NextToken: {}
            }
          }
        },
        DescribeAvailablePatches: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Sad"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Patches: {
                type: "list",
                member: {
                  shape: "Sal"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeDocument: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              DocumentVersion: {},
              VersionName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Document: {
                shape: "S3h"
              }
            }
          }
        },
        DescribeDocumentPermission: {
          input: {
            type: "structure",
            required: [
              "Name",
              "PermissionType"
            ],
            members: {
              Name: {},
              PermissionType: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AccountIds: {
                shape: "Sbg"
              },
              AccountSharingInfoList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AccountId: {},
                    SharedDocumentVersion: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeEffectiveInstanceAssociations: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Associations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AssociationId: {},
                    InstanceId: {},
                    Content: {},
                    AssociationVersion: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeEffectivePatchesForPatchBaseline: {
          input: {
            type: "structure",
            required: [
              "BaselineId"
            ],
            members: {
              BaselineId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EffectivePatches: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Patch: {
                      shape: "Sal"
                    },
                    PatchStatus: {
                      type: "structure",
                      members: {
                        DeploymentStatus: {},
                        ComplianceLevel: {},
                        ApprovalDate: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeInstanceAssociationsStatus: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceAssociationStatusInfos: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AssociationId: {},
                    Name: {},
                    DocumentVersion: {},
                    AssociationVersion: {},
                    InstanceId: {},
                    ExecutionDate: {
                      type: "timestamp"
                    },
                    Status: {},
                    DetailedStatus: {},
                    ExecutionSummary: {},
                    ErrorCode: {},
                    OutputUrl: {
                      type: "structure",
                      members: {
                        S3OutputUrl: {
                          type: "structure",
                          members: {
                            OutputUrl: {}
                          }
                        }
                      }
                    },
                    AssociationName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeInstanceInformation: {
          input: {
            type: "structure",
            members: {
              InstanceInformationFilterList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "key",
                    "valueSet"
                  ],
                  members: {
                    key: {},
                    valueSet: {
                      shape: "Sc9"
                    }
                  }
                }
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key",
                    "Values"
                  ],
                  members: {
                    Key: {},
                    Values: {
                      shape: "Sc9"
                    }
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceInformationList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InstanceId: {},
                    PingStatus: {},
                    LastPingDateTime: {
                      type: "timestamp"
                    },
                    AgentVersion: {},
                    IsLatestVersion: {
                      type: "boolean"
                    },
                    PlatformType: {},
                    PlatformName: {},
                    PlatformVersion: {},
                    ActivationId: {},
                    IamRole: {},
                    RegistrationDate: {
                      type: "timestamp"
                    },
                    ResourceType: {},
                    Name: {},
                    IPAddress: {},
                    ComputerName: {},
                    AssociationStatus: {},
                    LastAssociationExecutionDate: {
                      type: "timestamp"
                    },
                    LastSuccessfulAssociationExecutionDate: {
                      type: "timestamp"
                    },
                    AssociationOverview: {
                      type: "structure",
                      members: {
                        DetailedStatus: {},
                        InstanceAssociationStatusAggregatedCount: {
                          type: "map",
                          key: {},
                          value: {
                            type: "integer"
                          }
                        }
                      }
                    },
                    SourceId: {},
                    SourceType: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeInstancePatchStates: {
          input: {
            type: "structure",
            required: [
              "InstanceIds"
            ],
            members: {
              InstanceIds: {
                shape: "Si"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstancePatchStates: {
                type: "list",
                member: {
                  shape: "Scv"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeInstancePatchStatesForPatchGroup: {
          input: {
            type: "structure",
            required: [
              "PatchGroup"
            ],
            members: {
              PatchGroup: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key",
                    "Values",
                    "Type"
                  ],
                  members: {
                    Key: {},
                    Values: {
                      type: "list",
                      member: {}
                    },
                    Type: {}
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstancePatchStates: {
                type: "list",
                member: {
                  shape: "Scv"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeInstancePatches: {
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              Filters: {
                shape: "Sad"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Patches: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Title",
                    "KBId",
                    "Classification",
                    "Severity",
                    "State",
                    "InstalledTime"
                  ],
                  members: {
                    Title: {},
                    KBId: {},
                    Classification: {},
                    Severity: {},
                    State: {},
                    InstalledTime: {
                      type: "timestamp"
                    },
                    CVEIds: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeInventoryDeletions: {
          input: {
            type: "structure",
            members: {
              DeletionId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InventoryDeletions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DeletionId: {},
                    TypeName: {},
                    DeletionStartTime: {
                      type: "timestamp"
                    },
                    LastStatus: {},
                    LastStatusMessage: {},
                    DeletionSummary: {
                      shape: "S75"
                    },
                    LastStatusUpdateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeMaintenanceWindowExecutionTaskInvocations: {
          input: {
            type: "structure",
            required: [
              "WindowExecutionId",
              "TaskId"
            ],
            members: {
              WindowExecutionId: {},
              TaskId: {},
              Filters: {
                shape: "Se1"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WindowExecutionTaskInvocationIdentities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WindowExecutionId: {},
                    TaskExecutionId: {},
                    InvocationId: {},
                    ExecutionId: {},
                    TaskType: {},
                    Parameters: {
                      shape: "Sed"
                    },
                    Status: {},
                    StatusDetails: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    OwnerInformation: {
                      shape: "Scy"
                    },
                    WindowTargetId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeMaintenanceWindowExecutionTasks: {
          input: {
            type: "structure",
            required: [
              "WindowExecutionId"
            ],
            members: {
              WindowExecutionId: {},
              Filters: {
                shape: "Se1"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WindowExecutionTaskIdentities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WindowExecutionId: {},
                    TaskExecutionId: {},
                    Status: {},
                    StatusDetails: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    TaskArn: {},
                    TaskType: {},
                    AlarmConfiguration: {
                      shape: "S1z"
                    },
                    TriggeredAlarms: {
                      shape: "S2n"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeMaintenanceWindowExecutions: {
          input: {
            type: "structure",
            required: [
              "WindowId"
            ],
            members: {
              WindowId: {},
              Filters: {
                shape: "Se1"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WindowExecutions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WindowId: {},
                    WindowExecutionId: {},
                    Status: {},
                    StatusDetails: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeMaintenanceWindowSchedule: {
          input: {
            type: "structure",
            members: {
              WindowId: {},
              Targets: {
                shape: "S18"
              },
              ResourceType: {},
              Filters: {
                shape: "Sad"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ScheduledWindowExecutions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WindowId: {},
                    Name: {},
                    ExecutionTime: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeMaintenanceWindowTargets: {
          input: {
            type: "structure",
            required: [
              "WindowId"
            ],
            members: {
              WindowId: {},
              Filters: {
                shape: "Se1"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Targets: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WindowId: {},
                    WindowTargetId: {},
                    ResourceType: {},
                    Targets: {
                      shape: "S18"
                    },
                    OwnerInformation: {
                      shape: "Scy"
                    },
                    Name: {},
                    Description: {
                      shape: "S4b"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeMaintenanceWindowTasks: {
          input: {
            type: "structure",
            required: [
              "WindowId"
            ],
            members: {
              WindowId: {},
              Filters: {
                shape: "Se1"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tasks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WindowId: {},
                    WindowTaskId: {},
                    TaskArn: {},
                    Type: {},
                    Targets: {
                      shape: "S18"
                    },
                    TaskParameters: {
                      shape: "Sf4"
                    },
                    Priority: {
                      type: "integer"
                    },
                    LoggingInfo: {
                      shape: "Sfa"
                    },
                    ServiceRoleArn: {},
                    MaxConcurrency: {},
                    MaxErrors: {},
                    Name: {},
                    Description: {
                      shape: "S4b"
                    },
                    CutoffBehavior: {},
                    AlarmConfiguration: {
                      shape: "S1z"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeMaintenanceWindows: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Se1"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WindowIdentities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WindowId: {},
                    Name: {},
                    Description: {
                      shape: "S4b"
                    },
                    Enabled: {
                      type: "boolean"
                    },
                    Duration: {
                      type: "integer"
                    },
                    Cutoff: {
                      type: "integer"
                    },
                    Schedule: {},
                    ScheduleTimezone: {},
                    ScheduleOffset: {
                      type: "integer"
                    },
                    EndDate: {},
                    StartDate: {},
                    NextExecutionTime: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeMaintenanceWindowsForTarget: {
          input: {
            type: "structure",
            required: [
              "Targets",
              "ResourceType"
            ],
            members: {
              Targets: {
                shape: "S18"
              },
              ResourceType: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WindowIdentities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WindowId: {},
                    Name: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeOpsItems: {
          input: {
            type: "structure",
            members: {
              OpsItemFilters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key",
                    "Values",
                    "Operator"
                  ],
                  members: {
                    Key: {},
                    Values: {
                      type: "list",
                      member: {}
                    },
                    Operator: {}
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              OpsItemSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreatedBy: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    LastModifiedBy: {},
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    Priority: {
                      type: "integer"
                    },
                    Source: {},
                    Status: {},
                    OpsItemId: {},
                    Title: {},
                    OperationalData: {
                      shape: "S4p"
                    },
                    Category: {},
                    Severity: {},
                    OpsItemType: {},
                    ActualStartTime: {
                      type: "timestamp"
                    },
                    ActualEndTime: {
                      type: "timestamp"
                    },
                    PlannedStartTime: {
                      type: "timestamp"
                    },
                    PlannedEndTime: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeParameters: {
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key",
                    "Values"
                  ],
                  members: {
                    Key: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              ParameterFilters: {
                shape: "Sg4"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Parameters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Type: {},
                    KeyId: {},
                    LastModifiedDate: {
                      type: "timestamp"
                    },
                    LastModifiedUser: {},
                    Description: {},
                    AllowedPattern: {},
                    Version: {
                      type: "long"
                    },
                    Tier: {},
                    Policies: {
                      shape: "Sgj"
                    },
                    DataType: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribePatchBaselines: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Sad"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BaselineIdentities: {
                type: "list",
                member: {
                  shape: "Sgp"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribePatchGroupState: {
          input: {
            type: "structure",
            required: [
              "PatchGroup"
            ],
            members: {
              PatchGroup: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Instances: {
                type: "integer"
              },
              InstancesWithInstalledPatches: {
                type: "integer"
              },
              InstancesWithInstalledOtherPatches: {
                type: "integer"
              },
              InstancesWithInstalledPendingRebootPatches: {
                type: "integer"
              },
              InstancesWithInstalledRejectedPatches: {
                type: "integer"
              },
              InstancesWithMissingPatches: {
                type: "integer"
              },
              InstancesWithFailedPatches: {
                type: "integer"
              },
              InstancesWithNotApplicablePatches: {
                type: "integer"
              },
              InstancesWithUnreportedNotApplicablePatches: {
                type: "integer"
              },
              InstancesWithCriticalNonCompliantPatches: {
                type: "integer"
              },
              InstancesWithSecurityNonCompliantPatches: {
                type: "integer"
              },
              InstancesWithOtherNonCompliantPatches: {
                type: "integer"
              }
            }
          }
        },
        DescribePatchGroups: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "Sad"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Mappings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PatchGroup: {},
                    BaselineIdentity: {
                      shape: "Sgp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribePatchProperties: {
          input: {
            type: "structure",
            required: [
              "OperatingSystem",
              "Property"
            ],
            members: {
              OperatingSystem: {},
              Property: {},
              PatchSet: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Properties: {
                type: "list",
                member: {
                  type: "map",
                  key: {},
                  value: {}
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeSessions: {
          input: {
            type: "structure",
            required: [
              "State"
            ],
            members: {
              State: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "key",
                    "value"
                  ],
                  members: {
                    key: {},
                    value: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Sessions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SessionId: {},
                    Target: {},
                    Status: {},
                    StartDate: {
                      type: "timestamp"
                    },
                    EndDate: {
                      type: "timestamp"
                    },
                    DocumentName: {},
                    Owner: {},
                    Reason: {},
                    Details: {},
                    OutputUrl: {
                      type: "structure",
                      members: {
                        S3OutputUrl: {},
                        CloudWatchOutputUrl: {}
                      }
                    },
                    MaxSessionDuration: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DisassociateOpsItemRelatedItem: {
          input: {
            type: "structure",
            required: [
              "OpsItemId",
              "AssociationId"
            ],
            members: {
              OpsItemId: {},
              AssociationId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetAutomationExecution: {
          input: {
            type: "structure",
            required: [
              "AutomationExecutionId"
            ],
            members: {
              AutomationExecutionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AutomationExecution: {
                type: "structure",
                members: {
                  AutomationExecutionId: {},
                  DocumentName: {},
                  DocumentVersion: {},
                  ExecutionStartTime: {
                    type: "timestamp"
                  },
                  ExecutionEndTime: {
                    type: "timestamp"
                  },
                  AutomationExecutionStatus: {},
                  StepExecutions: {
                    shape: "Sa3"
                  },
                  StepExecutionsTruncated: {
                    type: "boolean"
                  },
                  Parameters: {
                    shape: "S9k"
                  },
                  Outputs: {
                    shape: "S9k"
                  },
                  FailureMessage: {},
                  Mode: {},
                  ParentAutomationExecutionId: {},
                  ExecutedBy: {},
                  CurrentStepName: {},
                  CurrentAction: {},
                  TargetParameterName: {},
                  Targets: {
                    shape: "S18"
                  },
                  TargetMaps: {
                    shape: "S25"
                  },
                  ResolvedTargets: {
                    shape: "S9p"
                  },
                  MaxConcurrency: {},
                  MaxErrors: {},
                  Target: {},
                  TargetLocations: {
                    shape: "S1s"
                  },
                  ProgressCounters: {
                    type: "structure",
                    members: {
                      TotalSteps: {
                        type: "integer"
                      },
                      SuccessSteps: {
                        type: "integer"
                      },
                      FailedSteps: {
                        type: "integer"
                      },
                      CancelledSteps: {
                        type: "integer"
                      },
                      TimedOutSteps: {
                        type: "integer"
                      }
                    }
                  },
                  AlarmConfiguration: {
                    shape: "S1z"
                  },
                  TriggeredAlarms: {
                    shape: "S2n"
                  },
                  AutomationSubtype: {},
                  ScheduledTime: {
                    type: "timestamp"
                  },
                  Runbooks: {
                    shape: "S9t"
                  },
                  OpsItemId: {},
                  AssociationId: {},
                  ChangeRequestName: {}
                }
              }
            }
          }
        },
        GetCalendarState: {
          input: {
            type: "structure",
            required: [
              "CalendarNames"
            ],
            members: {
              CalendarNames: {
                shape: "S1q"
              },
              AtTime: {}
            }
          },
          output: {
            type: "structure",
            members: {
              State: {},
              AtTime: {},
              NextTransitionTime: {}
            }
          }
        },
        GetCommandInvocation: {
          input: {
            type: "structure",
            required: [
              "CommandId",
              "InstanceId"
            ],
            members: {
              CommandId: {},
              InstanceId: {},
              PluginName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CommandId: {},
              InstanceId: {},
              Comment: {},
              DocumentName: {},
              DocumentVersion: {},
              PluginName: {},
              ResponseCode: {
                type: "integer"
              },
              ExecutionStartDateTime: {},
              ExecutionElapsedTime: {},
              ExecutionEndDateTime: {},
              Status: {},
              StatusDetails: {},
              StandardOutputContent: {},
              StandardOutputUrl: {},
              StandardErrorContent: {},
              StandardErrorUrl: {},
              CloudWatchOutputConfig: {
                shape: "Sia"
              }
            }
          }
        },
        GetConnectionStatus: {
          input: {
            type: "structure",
            required: [
              "Target"
            ],
            members: {
              Target: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Target: {},
              Status: {}
            }
          }
        },
        GetDefaultPatchBaseline: {
          input: {
            type: "structure",
            members: {
              OperatingSystem: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BaselineId: {},
              OperatingSystem: {}
            }
          }
        },
        GetDeployablePatchSnapshotForInstance: {
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "SnapshotId"
            ],
            members: {
              InstanceId: {},
              SnapshotId: {},
              BaselineOverride: {
                type: "structure",
                members: {
                  OperatingSystem: {},
                  GlobalFilters: {
                    shape: "S5i"
                  },
                  ApprovalRules: {
                    shape: "S5o"
                  },
                  ApprovedPatches: {
                    shape: "S5u"
                  },
                  ApprovedPatchesComplianceLevel: {},
                  RejectedPatches: {
                    shape: "S5u"
                  },
                  RejectedPatchesAction: {},
                  ApprovedPatchesEnableNonSecurity: {
                    type: "boolean"
                  },
                  Sources: {
                    shape: "S5y"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceId: {},
              SnapshotId: {},
              SnapshotDownloadUrl: {},
              Product: {}
            }
          }
        },
        GetDocument: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              VersionName: {},
              DocumentVersion: {},
              DocumentFormat: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              CreatedDate: {
                type: "timestamp"
              },
              DisplayName: {},
              VersionName: {},
              DocumentVersion: {},
              Status: {},
              StatusInformation: {},
              Content: {},
              DocumentType: {},
              DocumentFormat: {},
              Requires: {
                shape: "S31"
              },
              AttachmentsContent: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Size: {
                      type: "long"
                    },
                    Hash: {},
                    HashType: {},
                    Url: {}
                  }
                }
              },
              ReviewStatus: {}
            }
          }
        },
        GetInventory: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Siw"
              },
              Aggregators: {
                shape: "Sj2"
              },
              ResultAttributes: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "TypeName"
                  ],
                  members: {
                    TypeName: {}
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Entities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Data: {
                      type: "map",
                      key: {},
                      value: {
                        type: "structure",
                        required: [
                          "TypeName",
                          "SchemaVersion",
                          "Content"
                        ],
                        members: {
                          TypeName: {},
                          SchemaVersion: {},
                          CaptureTime: {},
                          ContentHash: {},
                          Content: {
                            shape: "Sjj"
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetInventorySchema: {
          input: {
            type: "structure",
            members: {
              TypeName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Aggregator: {
                type: "boolean"
              },
              SubType: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Schemas: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "TypeName",
                    "Attributes"
                  ],
                  members: {
                    TypeName: {},
                    Version: {},
                    Attributes: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "Name",
                          "DataType"
                        ],
                        members: {
                          Name: {},
                          DataType: {}
                        }
                      }
                    },
                    DisplayName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetMaintenanceWindow: {
          input: {
            type: "structure",
            required: [
              "WindowId"
            ],
            members: {
              WindowId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WindowId: {},
              Name: {},
              Description: {
                shape: "S4b"
              },
              StartDate: {},
              EndDate: {},
              Schedule: {},
              ScheduleTimezone: {},
              ScheduleOffset: {
                type: "integer"
              },
              NextExecutionTime: {},
              Duration: {
                type: "integer"
              },
              Cutoff: {
                type: "integer"
              },
              AllowUnassociatedTargets: {
                type: "boolean"
              },
              Enabled: {
                type: "boolean"
              },
              CreatedDate: {
                type: "timestamp"
              },
              ModifiedDate: {
                type: "timestamp"
              }
            }
          }
        },
        GetMaintenanceWindowExecution: {
          input: {
            type: "structure",
            required: [
              "WindowExecutionId"
            ],
            members: {
              WindowExecutionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WindowExecutionId: {},
              TaskIds: {
                type: "list",
                member: {}
              },
              Status: {},
              StatusDetails: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              }
            }
          }
        },
        GetMaintenanceWindowExecutionTask: {
          input: {
            type: "structure",
            required: [
              "WindowExecutionId",
              "TaskId"
            ],
            members: {
              WindowExecutionId: {},
              TaskId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WindowExecutionId: {},
              TaskExecutionId: {},
              TaskArn: {},
              ServiceRole: {},
              Type: {},
              TaskParameters: {
                type: "list",
                member: {
                  shape: "Sf4"
                },
                sensitive: true
              },
              Priority: {
                type: "integer"
              },
              MaxConcurrency: {},
              MaxErrors: {},
              Status: {},
              StatusDetails: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              AlarmConfiguration: {
                shape: "S1z"
              },
              TriggeredAlarms: {
                shape: "S2n"
              }
            }
          }
        },
        GetMaintenanceWindowExecutionTaskInvocation: {
          input: {
            type: "structure",
            required: [
              "WindowExecutionId",
              "TaskId",
              "InvocationId"
            ],
            members: {
              WindowExecutionId: {},
              TaskId: {},
              InvocationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WindowExecutionId: {},
              TaskExecutionId: {},
              InvocationId: {},
              ExecutionId: {},
              TaskType: {},
              Parameters: {
                shape: "Sed"
              },
              Status: {},
              StatusDetails: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              OwnerInformation: {
                shape: "Scy"
              },
              WindowTargetId: {}
            }
          }
        },
        GetMaintenanceWindowTask: {
          input: {
            type: "structure",
            required: [
              "WindowId",
              "WindowTaskId"
            ],
            members: {
              WindowId: {},
              WindowTaskId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WindowId: {},
              WindowTaskId: {},
              Targets: {
                shape: "S18"
              },
              TaskArn: {},
              ServiceRoleArn: {},
              TaskType: {},
              TaskParameters: {
                shape: "Sf4"
              },
              TaskInvocationParameters: {
                shape: "Ska"
              },
              Priority: {
                type: "integer"
              },
              MaxConcurrency: {},
              MaxErrors: {},
              LoggingInfo: {
                shape: "Sfa"
              },
              Name: {},
              Description: {
                shape: "S4b"
              },
              CutoffBehavior: {},
              AlarmConfiguration: {
                shape: "S1z"
              }
            }
          }
        },
        GetOpsItem: {
          input: {
            type: "structure",
            required: [
              "OpsItemId"
            ],
            members: {
              OpsItemId: {},
              OpsItemArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OpsItem: {
                type: "structure",
                members: {
                  CreatedBy: {},
                  OpsItemType: {},
                  CreatedTime: {
                    type: "timestamp"
                  },
                  Description: {},
                  LastModifiedBy: {},
                  LastModifiedTime: {
                    type: "timestamp"
                  },
                  Notifications: {
                    shape: "S4u"
                  },
                  Priority: {
                    type: "integer"
                  },
                  RelatedOpsItems: {
                    shape: "S4y"
                  },
                  Status: {},
                  OpsItemId: {},
                  Version: {},
                  Title: {},
                  Source: {},
                  OperationalData: {
                    shape: "S4p"
                  },
                  Category: {},
                  Severity: {},
                  ActualStartTime: {
                    type: "timestamp"
                  },
                  ActualEndTime: {
                    type: "timestamp"
                  },
                  PlannedStartTime: {
                    type: "timestamp"
                  },
                  PlannedEndTime: {
                    type: "timestamp"
                  },
                  OpsItemArn: {}
                }
              }
            }
          }
        },
        GetOpsMetadata: {
          input: {
            type: "structure",
            required: [
              "OpsMetadataArn"
            ],
            members: {
              OpsMetadataArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceId: {},
              Metadata: {
                shape: "S59"
              },
              NextToken: {}
            }
          }
        },
        GetOpsSummary: {
          input: {
            type: "structure",
            members: {
              SyncName: {},
              Filters: {
                shape: "Skx"
              },
              Aggregators: {
                shape: "Sl3"
              },
              ResultAttributes: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "TypeName"
                  ],
                  members: {
                    TypeName: {}
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Entities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Data: {
                      type: "map",
                      key: {},
                      value: {
                        type: "structure",
                        members: {
                          CaptureTime: {},
                          Content: {
                            type: "list",
                            member: {
                              type: "map",
                              key: {},
                              value: {}
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetParameter: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              WithDecryption: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Parameter: {
                shape: "Slp"
              }
            }
          }
        },
        GetParameterHistory: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              WithDecryption: {
                type: "boolean"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Parameters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Type: {},
                    KeyId: {},
                    LastModifiedDate: {
                      type: "timestamp"
                    },
                    LastModifiedUser: {},
                    Description: {},
                    Value: {
                      shape: "Slq"
                    },
                    AllowedPattern: {},
                    Version: {
                      type: "long"
                    },
                    Labels: {
                      shape: "Slw"
                    },
                    Tier: {},
                    Policies: {
                      shape: "Sgj"
                    },
                    DataType: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetParameters: {
          input: {
            type: "structure",
            required: [
              "Names"
            ],
            members: {
              Names: {
                shape: "S7k"
              },
              WithDecryption: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Parameters: {
                shape: "Sm0"
              },
              InvalidParameters: {
                shape: "S7k"
              }
            }
          }
        },
        GetParametersByPath: {
          input: {
            type: "structure",
            required: [
              "Path"
            ],
            members: {
              Path: {},
              Recursive: {
                type: "boolean"
              },
              ParameterFilters: {
                shape: "Sg4"
              },
              WithDecryption: {
                type: "boolean"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Parameters: {
                shape: "Sm0"
              },
              NextToken: {}
            }
          }
        },
        GetPatchBaseline: {
          input: {
            type: "structure",
            required: [
              "BaselineId"
            ],
            members: {
              BaselineId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BaselineId: {},
              Name: {},
              OperatingSystem: {},
              GlobalFilters: {
                shape: "S5i"
              },
              ApprovalRules: {
                shape: "S5o"
              },
              ApprovedPatches: {
                shape: "S5u"
              },
              ApprovedPatchesComplianceLevel: {},
              ApprovedPatchesEnableNonSecurity: {
                type: "boolean"
              },
              RejectedPatches: {
                shape: "S5u"
              },
              RejectedPatchesAction: {},
              PatchGroups: {
                type: "list",
                member: {}
              },
              CreatedDate: {
                type: "timestamp"
              },
              ModifiedDate: {
                type: "timestamp"
              },
              Description: {},
              Sources: {
                shape: "S5y"
              }
            }
          }
        },
        GetPatchBaselineForPatchGroup: {
          input: {
            type: "structure",
            required: [
              "PatchGroup"
            ],
            members: {
              PatchGroup: {},
              OperatingSystem: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BaselineId: {},
              PatchGroup: {},
              OperatingSystem: {}
            }
          }
        },
        GetResourcePolicies: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Policies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PolicyId: {},
                    PolicyHash: {},
                    Policy: {}
                  }
                }
              }
            }
          }
        },
        GetServiceSetting: {
          input: {
            type: "structure",
            required: [
              "SettingId"
            ],
            members: {
              SettingId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceSetting: {
                shape: "Smi"
              }
            }
          }
        },
        LabelParameterVersion: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Labels"
            ],
            members: {
              Name: {},
              ParameterVersion: {
                type: "long"
              },
              Labels: {
                shape: "Slw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InvalidLabels: {
                shape: "Slw"
              },
              ParameterVersion: {
                type: "long"
              }
            }
          }
        },
        ListAssociationVersions: {
          input: {
            type: "structure",
            required: [
              "AssociationId"
            ],
            members: {
              AssociationId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AssociationVersions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AssociationId: {},
                    AssociationVersion: {},
                    CreatedDate: {
                      type: "timestamp"
                    },
                    Name: {},
                    DocumentVersion: {},
                    Parameters: {
                      shape: "S14"
                    },
                    Targets: {
                      shape: "S18"
                    },
                    ScheduleExpression: {},
                    OutputLocation: {
                      shape: "S1e"
                    },
                    AssociationName: {},
                    MaxErrors: {},
                    MaxConcurrency: {},
                    ComplianceSeverity: {},
                    SyncCompliance: {},
                    ApplyOnlyAtCronInterval: {
                      type: "boolean"
                    },
                    CalendarNames: {
                      shape: "S1q"
                    },
                    TargetLocations: {
                      shape: "S1s"
                    },
                    ScheduleOffset: {
                      type: "integer"
                    },
                    TargetMaps: {
                      shape: "S25"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAssociations: {
          input: {
            type: "structure",
            members: {
              AssociationFilterList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "key",
                    "value"
                  ],
                  members: {
                    key: {},
                    value: {}
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Associations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    InstanceId: {},
                    AssociationId: {},
                    AssociationVersion: {},
                    DocumentVersion: {},
                    Targets: {
                      shape: "S18"
                    },
                    LastExecutionDate: {
                      type: "timestamp"
                    },
                    Overview: {
                      shape: "S2i"
                    },
                    ScheduleExpression: {},
                    AssociationName: {},
                    ScheduleOffset: {
                      type: "integer"
                    },
                    TargetMaps: {
                      shape: "S25"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCommandInvocations: {
          input: {
            type: "structure",
            members: {
              CommandId: {},
              InstanceId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "Sn0"
              },
              Details: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CommandInvocations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CommandId: {},
                    InstanceId: {},
                    InstanceName: {},
                    Comment: {},
                    DocumentName: {},
                    DocumentVersion: {},
                    RequestedDateTime: {
                      type: "timestamp"
                    },
                    Status: {},
                    StatusDetails: {},
                    TraceOutput: {},
                    StandardOutputUrl: {},
                    StandardErrorUrl: {},
                    CommandPlugins: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {},
                          Status: {},
                          StatusDetails: {},
                          ResponseCode: {
                            type: "integer"
                          },
                          ResponseStartDateTime: {
                            type: "timestamp"
                          },
                          ResponseFinishDateTime: {
                            type: "timestamp"
                          },
                          Output: {},
                          StandardOutputUrl: {},
                          StandardErrorUrl: {},
                          OutputS3Region: {},
                          OutputS3BucketName: {},
                          OutputS3KeyPrefix: {}
                        }
                      }
                    },
                    ServiceRole: {},
                    NotificationConfig: {
                      shape: "Skc"
                    },
                    CloudWatchOutputConfig: {
                      shape: "Sia"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCommands: {
          input: {
            type: "structure",
            members: {
              CommandId: {},
              InstanceId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "Sn0"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Commands: {
                type: "list",
                member: {
                  shape: "Sng"
                }
              },
              NextToken: {}
            }
          }
        },
        ListComplianceItems: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Snn"
              },
              ResourceIds: {
                type: "list",
                member: {}
              },
              ResourceTypes: {
                type: "list",
                member: {}
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ComplianceItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ComplianceType: {},
                    ResourceType: {},
                    ResourceId: {},
                    Id: {},
                    Title: {},
                    Status: {},
                    Severity: {},
                    ExecutionSummary: {
                      shape: "So5"
                    },
                    Details: {
                      shape: "So8"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListComplianceSummaries: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Snn"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ComplianceSummaryItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ComplianceType: {},
                    CompliantSummary: {
                      shape: "Sod"
                    },
                    NonCompliantSummary: {
                      shape: "Sog"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDocumentMetadataHistory: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Metadata"
            ],
            members: {
              Name: {},
              DocumentVersion: {},
              Metadata: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              DocumentVersion: {},
              Author: {},
              Metadata: {
                type: "structure",
                members: {
                  ReviewerResponse: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        CreateTime: {
                          type: "timestamp"
                        },
                        UpdatedTime: {
                          type: "timestamp"
                        },
                        ReviewStatus: {},
                        Comment: {
                          shape: "Son"
                        },
                        Reviewer: {}
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDocumentVersions: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentVersions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    DisplayName: {},
                    DocumentVersion: {},
                    VersionName: {},
                    CreatedDate: {
                      type: "timestamp"
                    },
                    IsDefaultVersion: {
                      type: "boolean"
                    },
                    DocumentFormat: {},
                    Status: {},
                    StatusInformation: {},
                    ReviewStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDocuments: {
          input: {
            type: "structure",
            members: {
              DocumentFilterList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "key",
                    "value"
                  ],
                  members: {
                    key: {},
                    value: {}
                  }
                }
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Key: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentIdentifiers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    CreatedDate: {
                      type: "timestamp"
                    },
                    DisplayName: {},
                    Owner: {},
                    VersionName: {},
                    PlatformTypes: {
                      shape: "S3v"
                    },
                    DocumentVersion: {},
                    DocumentType: {},
                    SchemaVersion: {},
                    DocumentFormat: {},
                    TargetType: {},
                    Tags: {
                      shape: "S4"
                    },
                    Requires: {
                      shape: "S31"
                    },
                    ReviewStatus: {},
                    Author: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListInventoryEntries: {
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "TypeName"
            ],
            members: {
              InstanceId: {},
              TypeName: {},
              Filters: {
                shape: "Siw"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TypeName: {},
              InstanceId: {},
              SchemaVersion: {},
              CaptureTime: {},
              Entries: {
                shape: "Sjj"
              },
              NextToken: {}
            }
          }
        },
        ListOpsItemEvents: {
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key",
                    "Values",
                    "Operator"
                  ],
                  members: {
                    Key: {},
                    Values: {
                      type: "list",
                      member: {}
                    },
                    Operator: {}
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Summaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    OpsItemId: {},
                    EventId: {},
                    Source: {},
                    DetailType: {},
                    Detail: {},
                    CreatedBy: {
                      shape: "Spl"
                    },
                    CreatedTime: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListOpsItemRelatedItems: {
          input: {
            type: "structure",
            members: {
              OpsItemId: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key",
                    "Values",
                    "Operator"
                  ],
                  members: {
                    Key: {},
                    Values: {
                      type: "list",
                      member: {}
                    },
                    Operator: {}
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Summaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    OpsItemId: {},
                    AssociationId: {},
                    ResourceType: {},
                    AssociationType: {},
                    ResourceUri: {},
                    CreatedBy: {
                      shape: "Spl"
                    },
                    CreatedTime: {
                      type: "timestamp"
                    },
                    LastModifiedBy: {
                      shape: "Spl"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListOpsMetadata: {
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key",
                    "Values"
                  ],
                  members: {
                    Key: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OpsMetadataList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceId: {},
                    OpsMetadataArn: {},
                    LastModifiedDate: {
                      type: "timestamp"
                    },
                    LastModifiedUser: {},
                    CreationDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListResourceComplianceSummaries: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Snn"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceComplianceSummaryItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ComplianceType: {},
                    ResourceType: {},
                    ResourceId: {},
                    Status: {},
                    OverallSeverity: {},
                    ExecutionSummary: {
                      shape: "So5"
                    },
                    CompliantSummary: {
                      shape: "Sod"
                    },
                    NonCompliantSummary: {
                      shape: "Sog"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListResourceDataSync: {
          input: {
            type: "structure",
            members: {
              SyncType: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceDataSyncItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SyncName: {},
                    SyncType: {},
                    SyncSource: {
                      type: "structure",
                      members: {
                        SourceType: {},
                        AwsOrganizationsSource: {
                          shape: "S6j"
                        },
                        SourceRegions: {
                          shape: "S6o"
                        },
                        IncludeFutureRegions: {
                          type: "boolean"
                        },
                        State: {},
                        EnableAllOpsDataSources: {
                          type: "boolean"
                        }
                      }
                    },
                    S3Destination: {
                      shape: "S68"
                    },
                    LastSyncTime: {
                      type: "timestamp"
                    },
                    LastSuccessfulSyncTime: {
                      type: "timestamp"
                    },
                    SyncLastModifiedTime: {
                      type: "timestamp"
                    },
                    LastStatus: {},
                    SyncCreatedTime: {
                      type: "timestamp"
                    },
                    LastSyncStatusMessage: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceType",
              "ResourceId"
            ],
            members: {
              ResourceType: {},
              ResourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TagList: {
                shape: "S4"
              }
            }
          }
        },
        ModifyDocumentPermission: {
          input: {
            type: "structure",
            required: [
              "Name",
              "PermissionType"
            ],
            members: {
              Name: {},
              PermissionType: {},
              AccountIdsToAdd: {
                shape: "Sbg"
              },
              AccountIdsToRemove: {
                shape: "Sbg"
              },
              SharedDocumentVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutComplianceItems: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "ResourceType",
              "ComplianceType",
              "ExecutionSummary",
              "Items"
            ],
            members: {
              ResourceId: {},
              ResourceType: {},
              ComplianceType: {},
              ExecutionSummary: {
                shape: "So5"
              },
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Severity",
                    "Status"
                  ],
                  members: {
                    Id: {},
                    Title: {},
                    Severity: {},
                    Status: {},
                    Details: {
                      shape: "So8"
                    }
                  }
                }
              },
              ItemContentHash: {},
              UploadType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutInventory: {
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Items"
            ],
            members: {
              InstanceId: {},
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "TypeName",
                    "SchemaVersion",
                    "CaptureTime"
                  ],
                  members: {
                    TypeName: {},
                    SchemaVersion: {},
                    CaptureTime: {},
                    ContentHash: {},
                    Content: {
                      shape: "Sjj"
                    },
                    Context: {
                      type: "map",
                      key: {},
                      value: {}
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Message: {}
            }
          }
        },
        PutParameter: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Value"
            ],
            members: {
              Name: {},
              Description: {},
              Value: {
                shape: "Slq"
              },
              Type: {},
              KeyId: {},
              Overwrite: {
                type: "boolean"
              },
              AllowedPattern: {},
              Tags: {
                shape: "S4"
              },
              Tier: {},
              Policies: {},
              DataType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Version: {
                type: "long"
              },
              Tier: {}
            }
          }
        },
        PutResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Policy"
            ],
            members: {
              ResourceArn: {},
              Policy: {},
              PolicyId: {},
              PolicyHash: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyId: {},
              PolicyHash: {}
            }
          }
        },
        RegisterDefaultPatchBaseline: {
          input: {
            type: "structure",
            required: [
              "BaselineId"
            ],
            members: {
              BaselineId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BaselineId: {}
            }
          }
        },
        RegisterPatchBaselineForPatchGroup: {
          input: {
            type: "structure",
            required: [
              "BaselineId",
              "PatchGroup"
            ],
            members: {
              BaselineId: {},
              PatchGroup: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BaselineId: {},
              PatchGroup: {}
            }
          }
        },
        RegisterTargetWithMaintenanceWindow: {
          input: {
            type: "structure",
            required: [
              "WindowId",
              "ResourceType",
              "Targets"
            ],
            members: {
              WindowId: {},
              ResourceType: {},
              Targets: {
                shape: "S18"
              },
              OwnerInformation: {
                shape: "Scy"
              },
              Name: {},
              Description: {
                shape: "S4b"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WindowTargetId: {}
            }
          }
        },
        RegisterTaskWithMaintenanceWindow: {
          input: {
            type: "structure",
            required: [
              "WindowId",
              "TaskArn",
              "TaskType"
            ],
            members: {
              WindowId: {},
              Targets: {
                shape: "S18"
              },
              TaskArn: {},
              ServiceRoleArn: {},
              TaskType: {},
              TaskParameters: {
                shape: "Sf4"
              },
              TaskInvocationParameters: {
                shape: "Ska"
              },
              Priority: {
                type: "integer"
              },
              MaxConcurrency: {},
              MaxErrors: {},
              LoggingInfo: {
                shape: "Sfa"
              },
              Name: {},
              Description: {
                shape: "S4b"
              },
              ClientToken: {
                idempotencyToken: true
              },
              CutoffBehavior: {},
              AlarmConfiguration: {
                shape: "S1z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WindowTaskId: {}
            }
          }
        },
        RemoveTagsFromResource: {
          input: {
            type: "structure",
            required: [
              "ResourceType",
              "ResourceId",
              "TagKeys"
            ],
            members: {
              ResourceType: {},
              ResourceId: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ResetServiceSetting: {
          input: {
            type: "structure",
            required: [
              "SettingId"
            ],
            members: {
              SettingId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceSetting: {
                shape: "Smi"
              }
            }
          }
        },
        ResumeSession: {
          input: {
            type: "structure",
            required: [
              "SessionId"
            ],
            members: {
              SessionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SessionId: {},
              TokenValue: {},
              StreamUrl: {}
            }
          }
        },
        SendAutomationSignal: {
          input: {
            type: "structure",
            required: [
              "AutomationExecutionId",
              "SignalType"
            ],
            members: {
              AutomationExecutionId: {},
              SignalType: {},
              Payload: {
                shape: "S9k"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SendCommand: {
          input: {
            type: "structure",
            required: [
              "DocumentName"
            ],
            members: {
              InstanceIds: {
                shape: "Si"
              },
              Targets: {
                shape: "S18"
              },
              DocumentName: {},
              DocumentVersion: {},
              DocumentHash: {},
              DocumentHashType: {},
              TimeoutSeconds: {
                type: "integer"
              },
              Comment: {},
              Parameters: {
                shape: "S14"
              },
              OutputS3Region: {},
              OutputS3BucketName: {},
              OutputS3KeyPrefix: {},
              MaxConcurrency: {},
              MaxErrors: {},
              ServiceRoleArn: {},
              NotificationConfig: {
                shape: "Skc"
              },
              CloudWatchOutputConfig: {
                shape: "Sia"
              },
              AlarmConfiguration: {
                shape: "S1z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Command: {
                shape: "Sng"
              }
            }
          }
        },
        StartAssociationsOnce: {
          input: {
            type: "structure",
            required: [
              "AssociationIds"
            ],
            members: {
              AssociationIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartAutomationExecution: {
          input: {
            type: "structure",
            required: [
              "DocumentName"
            ],
            members: {
              DocumentName: {},
              DocumentVersion: {},
              Parameters: {
                shape: "S9k"
              },
              ClientToken: {},
              Mode: {},
              TargetParameterName: {},
              Targets: {
                shape: "S18"
              },
              TargetMaps: {
                shape: "S25"
              },
              MaxConcurrency: {},
              MaxErrors: {},
              TargetLocations: {
                shape: "S1s"
              },
              Tags: {
                shape: "S4"
              },
              AlarmConfiguration: {
                shape: "S1z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AutomationExecutionId: {}
            }
          }
        },
        StartChangeRequestExecution: {
          input: {
            type: "structure",
            required: [
              "DocumentName",
              "Runbooks"
            ],
            members: {
              ScheduledTime: {
                type: "timestamp"
              },
              DocumentName: {},
              DocumentVersion: {},
              Parameters: {
                shape: "S9k"
              },
              ChangeRequestName: {},
              ClientToken: {},
              AutoApprove: {
                type: "boolean"
              },
              Runbooks: {
                shape: "S9t"
              },
              Tags: {
                shape: "S4"
              },
              ScheduledEndTime: {
                type: "timestamp"
              },
              ChangeDetails: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AutomationExecutionId: {}
            }
          }
        },
        StartSession: {
          input: {
            type: "structure",
            required: [
              "Target"
            ],
            members: {
              Target: {},
              DocumentName: {},
              Reason: {},
              Parameters: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SessionId: {},
              TokenValue: {},
              StreamUrl: {}
            }
          }
        },
        StopAutomationExecution: {
          input: {
            type: "structure",
            required: [
              "AutomationExecutionId"
            ],
            members: {
              AutomationExecutionId: {},
              Type: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TerminateSession: {
          input: {
            type: "structure",
            required: [
              "SessionId"
            ],
            members: {
              SessionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SessionId: {}
            }
          }
        },
        UnlabelParameterVersion: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ParameterVersion",
              "Labels"
            ],
            members: {
              Name: {},
              ParameterVersion: {
                type: "long"
              },
              Labels: {
                shape: "Slw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RemovedLabels: {
                shape: "Slw"
              },
              InvalidLabels: {
                shape: "Slw"
              }
            }
          }
        },
        UpdateAssociation: {
          input: {
            type: "structure",
            required: [
              "AssociationId"
            ],
            members: {
              AssociationId: {},
              Parameters: {
                shape: "S14"
              },
              DocumentVersion: {},
              ScheduleExpression: {},
              OutputLocation: {
                shape: "S1e"
              },
              Name: {},
              Targets: {
                shape: "S18"
              },
              AssociationName: {},
              AssociationVersion: {},
              AutomationTargetParameterName: {},
              MaxErrors: {},
              MaxConcurrency: {},
              ComplianceSeverity: {},
              SyncCompliance: {},
              ApplyOnlyAtCronInterval: {
                type: "boolean"
              },
              CalendarNames: {
                shape: "S1q"
              },
              TargetLocations: {
                shape: "S1s"
              },
              ScheduleOffset: {
                type: "integer"
              },
              TargetMaps: {
                shape: "S25"
              },
              AlarmConfiguration: {
                shape: "S1z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssociationDescription: {
                shape: "S2b"
              }
            }
          }
        },
        UpdateAssociationStatus: {
          input: {
            type: "structure",
            required: [
              "Name",
              "InstanceId",
              "AssociationStatus"
            ],
            members: {
              Name: {},
              InstanceId: {},
              AssociationStatus: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssociationDescription: {
                shape: "S2b"
              }
            }
          }
        },
        UpdateDocument: {
          input: {
            type: "structure",
            required: [
              "Content",
              "Name"
            ],
            members: {
              Content: {},
              Attachments: {
                shape: "S35"
              },
              Name: {},
              DisplayName: {},
              VersionName: {},
              DocumentVersion: {},
              DocumentFormat: {},
              TargetType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentDescription: {
                shape: "S3h"
              }
            }
          }
        },
        UpdateDocumentDefaultVersion: {
          input: {
            type: "structure",
            required: [
              "Name",
              "DocumentVersion"
            ],
            members: {
              Name: {},
              DocumentVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Description: {
                type: "structure",
                members: {
                  Name: {},
                  DefaultVersion: {},
                  DefaultVersionName: {}
                }
              }
            }
          }
        },
        UpdateDocumentMetadata: {
          input: {
            type: "structure",
            required: [
              "Name",
              "DocumentReviews"
            ],
            members: {
              Name: {},
              DocumentVersion: {},
              DocumentReviews: {
                type: "structure",
                required: [
                  "Action"
                ],
                members: {
                  Action: {},
                  Comment: {
                    shape: "Son"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateMaintenanceWindow: {
          input: {
            type: "structure",
            required: [
              "WindowId"
            ],
            members: {
              WindowId: {},
              Name: {},
              Description: {
                shape: "S4b"
              },
              StartDate: {},
              EndDate: {},
              Schedule: {},
              ScheduleTimezone: {},
              ScheduleOffset: {
                type: "integer"
              },
              Duration: {
                type: "integer"
              },
              Cutoff: {
                type: "integer"
              },
              AllowUnassociatedTargets: {
                type: "boolean"
              },
              Enabled: {
                type: "boolean"
              },
              Replace: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WindowId: {},
              Name: {},
              Description: {
                shape: "S4b"
              },
              StartDate: {},
              EndDate: {},
              Schedule: {},
              ScheduleTimezone: {},
              ScheduleOffset: {
                type: "integer"
              },
              Duration: {
                type: "integer"
              },
              Cutoff: {
                type: "integer"
              },
              AllowUnassociatedTargets: {
                type: "boolean"
              },
              Enabled: {
                type: "boolean"
              }
            }
          }
        },
        UpdateMaintenanceWindowTarget: {
          input: {
            type: "structure",
            required: [
              "WindowId",
              "WindowTargetId"
            ],
            members: {
              WindowId: {},
              WindowTargetId: {},
              Targets: {
                shape: "S18"
              },
              OwnerInformation: {
                shape: "Scy"
              },
              Name: {},
              Description: {
                shape: "S4b"
              },
              Replace: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WindowId: {},
              WindowTargetId: {},
              Targets: {
                shape: "S18"
              },
              OwnerInformation: {
                shape: "Scy"
              },
              Name: {},
              Description: {
                shape: "S4b"
              }
            }
          }
        },
        UpdateMaintenanceWindowTask: {
          input: {
            type: "structure",
            required: [
              "WindowId",
              "WindowTaskId"
            ],
            members: {
              WindowId: {},
              WindowTaskId: {},
              Targets: {
                shape: "S18"
              },
              TaskArn: {},
              ServiceRoleArn: {},
              TaskParameters: {
                shape: "Sf4"
              },
              TaskInvocationParameters: {
                shape: "Ska"
              },
              Priority: {
                type: "integer"
              },
              MaxConcurrency: {},
              MaxErrors: {},
              LoggingInfo: {
                shape: "Sfa"
              },
              Name: {},
              Description: {
                shape: "S4b"
              },
              Replace: {
                type: "boolean"
              },
              CutoffBehavior: {},
              AlarmConfiguration: {
                shape: "S1z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WindowId: {},
              WindowTaskId: {},
              Targets: {
                shape: "S18"
              },
              TaskArn: {},
              ServiceRoleArn: {},
              TaskParameters: {
                shape: "Sf4"
              },
              TaskInvocationParameters: {
                shape: "Ska"
              },
              Priority: {
                type: "integer"
              },
              MaxConcurrency: {},
              MaxErrors: {},
              LoggingInfo: {
                shape: "Sfa"
              },
              Name: {},
              Description: {
                shape: "S4b"
              },
              CutoffBehavior: {},
              AlarmConfiguration: {
                shape: "S1z"
              }
            }
          }
        },
        UpdateManagedInstanceRole: {
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "IamRole"
            ],
            members: {
              InstanceId: {},
              IamRole: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateOpsItem: {
          input: {
            type: "structure",
            required: [
              "OpsItemId"
            ],
            members: {
              Description: {},
              OperationalData: {
                shape: "S4p"
              },
              OperationalDataToDelete: {
                type: "list",
                member: {}
              },
              Notifications: {
                shape: "S4u"
              },
              Priority: {
                type: "integer"
              },
              RelatedOpsItems: {
                shape: "S4y"
              },
              Status: {},
              OpsItemId: {},
              Title: {},
              Category: {},
              Severity: {},
              ActualStartTime: {
                type: "timestamp"
              },
              ActualEndTime: {
                type: "timestamp"
              },
              PlannedStartTime: {
                type: "timestamp"
              },
              PlannedEndTime: {
                type: "timestamp"
              },
              OpsItemArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateOpsMetadata: {
          input: {
            type: "structure",
            required: [
              "OpsMetadataArn"
            ],
            members: {
              OpsMetadataArn: {},
              MetadataToUpdate: {
                shape: "S59"
              },
              KeysToDelete: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OpsMetadataArn: {}
            }
          }
        },
        UpdatePatchBaseline: {
          input: {
            type: "structure",
            required: [
              "BaselineId"
            ],
            members: {
              BaselineId: {},
              Name: {},
              GlobalFilters: {
                shape: "S5i"
              },
              ApprovalRules: {
                shape: "S5o"
              },
              ApprovedPatches: {
                shape: "S5u"
              },
              ApprovedPatchesComplianceLevel: {},
              ApprovedPatchesEnableNonSecurity: {
                type: "boolean"
              },
              RejectedPatches: {
                shape: "S5u"
              },
              RejectedPatchesAction: {},
              Description: {},
              Sources: {
                shape: "S5y"
              },
              Replace: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BaselineId: {},
              Name: {},
              OperatingSystem: {},
              GlobalFilters: {
                shape: "S5i"
              },
              ApprovalRules: {
                shape: "S5o"
              },
              ApprovedPatches: {
                shape: "S5u"
              },
              ApprovedPatchesComplianceLevel: {},
              ApprovedPatchesEnableNonSecurity: {
                type: "boolean"
              },
              RejectedPatches: {
                shape: "S5u"
              },
              RejectedPatchesAction: {},
              CreatedDate: {
                type: "timestamp"
              },
              ModifiedDate: {
                type: "timestamp"
              },
              Description: {},
              Sources: {
                shape: "S5y"
              }
            }
          }
        },
        UpdateResourceDataSync: {
          input: {
            type: "structure",
            required: [
              "SyncName",
              "SyncType",
              "SyncSource"
            ],
            members: {
              SyncName: {},
              SyncType: {},
              SyncSource: {
                shape: "S6h"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateServiceSetting: {
          input: {
            type: "structure",
            required: [
              "SettingId",
              "SettingValue"
            ],
            members: {
              SettingId: {},
              SettingValue: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S4: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Si: {
          type: "list",
          member: {}
        },
        S14: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {}
          },
          sensitive: true
        },
        S18: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Values: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S1e: {
          type: "structure",
          members: {
            S3Location: {
              type: "structure",
              members: {
                OutputS3Region: {},
                OutputS3BucketName: {},
                OutputS3KeyPrefix: {}
              }
            }
          }
        },
        S1q: {
          type: "list",
          member: {}
        },
        S1s: {
          type: "list",
          member: {
            shape: "S1t"
          }
        },
        S1t: {
          type: "structure",
          members: {
            Accounts: {
              type: "list",
              member: {}
            },
            Regions: {
              type: "list",
              member: {}
            },
            TargetLocationMaxConcurrency: {},
            TargetLocationMaxErrors: {},
            ExecutionRoleName: {},
            TargetLocationAlarmConfiguration: {
              shape: "S1z"
            }
          }
        },
        S1z: {
          type: "structure",
          required: [
            "Alarms"
          ],
          members: {
            IgnorePollAlarmFailure: {
              type: "boolean"
            },
            Alarms: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name"
                ],
                members: {
                  Name: {}
                }
              }
            }
          }
        },
        S25: {
          type: "list",
          member: {
            type: "map",
            key: {},
            value: {
              type: "list",
              member: {}
            }
          }
        },
        S2b: {
          type: "structure",
          members: {
            Name: {},
            InstanceId: {},
            AssociationVersion: {},
            Date: {
              type: "timestamp"
            },
            LastUpdateAssociationDate: {
              type: "timestamp"
            },
            Status: {
              shape: "S2e"
            },
            Overview: {
              shape: "S2i"
            },
            DocumentVersion: {},
            AutomationTargetParameterName: {},
            Parameters: {
              shape: "S14"
            },
            AssociationId: {},
            Targets: {
              shape: "S18"
            },
            ScheduleExpression: {},
            OutputLocation: {
              shape: "S1e"
            },
            LastExecutionDate: {
              type: "timestamp"
            },
            LastSuccessfulExecutionDate: {
              type: "timestamp"
            },
            AssociationName: {},
            MaxErrors: {},
            MaxConcurrency: {},
            ComplianceSeverity: {},
            SyncCompliance: {},
            ApplyOnlyAtCronInterval: {
              type: "boolean"
            },
            CalendarNames: {
              shape: "S1q"
            },
            TargetLocations: {
              shape: "S1s"
            },
            ScheduleOffset: {
              type: "integer"
            },
            TargetMaps: {
              shape: "S25"
            },
            AlarmConfiguration: {
              shape: "S1z"
            },
            TriggeredAlarms: {
              shape: "S2n"
            }
          }
        },
        S2e: {
          type: "structure",
          required: [
            "Date",
            "Name",
            "Message"
          ],
          members: {
            Date: {
              type: "timestamp"
            },
            Name: {},
            Message: {},
            AdditionalInfo: {}
          }
        },
        S2i: {
          type: "structure",
          members: {
            Status: {},
            DetailedStatus: {},
            AssociationStatusAggregatedCount: {
              type: "map",
              key: {},
              value: {
                type: "integer"
              }
            }
          }
        },
        S2n: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "State"
            ],
            members: {
              Name: {},
              State: {}
            }
          }
        },
        S2s: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            InstanceId: {},
            Parameters: {
              shape: "S14"
            },
            AutomationTargetParameterName: {},
            DocumentVersion: {},
            Targets: {
              shape: "S18"
            },
            ScheduleExpression: {},
            OutputLocation: {
              shape: "S1e"
            },
            AssociationName: {},
            MaxErrors: {},
            MaxConcurrency: {},
            ComplianceSeverity: {},
            SyncCompliance: {},
            ApplyOnlyAtCronInterval: {
              type: "boolean"
            },
            CalendarNames: {
              shape: "S1q"
            },
            TargetLocations: {
              shape: "S1s"
            },
            ScheduleOffset: {
              type: "integer"
            },
            TargetMaps: {
              shape: "S25"
            },
            AlarmConfiguration: {
              shape: "S1z"
            }
          }
        },
        S31: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Version: {},
              RequireType: {},
              VersionName: {}
            }
          }
        },
        S35: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Values: {
                type: "list",
                member: {}
              },
              Name: {}
            }
          }
        },
        S3h: {
          type: "structure",
          members: {
            Sha1: {},
            Hash: {},
            HashType: {},
            Name: {},
            DisplayName: {},
            VersionName: {},
            Owner: {},
            CreatedDate: {
              type: "timestamp"
            },
            Status: {},
            StatusInformation: {},
            DocumentVersion: {},
            Description: {},
            Parameters: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Name: {},
                  Type: {},
                  Description: {},
                  DefaultValue: {}
                }
              }
            },
            PlatformTypes: {
              shape: "S3v"
            },
            DocumentType: {},
            SchemaVersion: {},
            LatestVersion: {},
            DefaultVersion: {},
            DocumentFormat: {},
            TargetType: {},
            Tags: {
              shape: "S4"
            },
            AttachmentsInformation: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Name: {}
                }
              }
            },
            Requires: {
              shape: "S31"
            },
            Author: {},
            ReviewInformation: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  ReviewedTime: {
                    type: "timestamp"
                  },
                  Status: {},
                  Reviewer: {}
                }
              }
            },
            ApprovedVersion: {},
            PendingReviewVersion: {},
            ReviewStatus: {},
            Category: {
              type: "list",
              member: {}
            },
            CategoryEnum: {
              type: "list",
              member: {}
            }
          }
        },
        S3v: {
          type: "list",
          member: {}
        },
        S4b: {
          type: "string",
          sensitive: true
        },
        S4p: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              Value: {},
              Type: {}
            }
          }
        },
        S4u: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Arn: {}
            }
          }
        },
        S4y: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "OpsItemId"
            ],
            members: {
              OpsItemId: {}
            }
          }
        },
        S59: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              Value: {}
            }
          }
        },
        S5i: {
          type: "structure",
          required: [
            "PatchFilters"
          ],
          members: {
            PatchFilters: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Key",
                  "Values"
                ],
                members: {
                  Key: {},
                  Values: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          }
        },
        S5o: {
          type: "structure",
          required: [
            "PatchRules"
          ],
          members: {
            PatchRules: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "PatchFilterGroup"
                ],
                members: {
                  PatchFilterGroup: {
                    shape: "S5i"
                  },
                  ComplianceLevel: {},
                  ApproveAfterDays: {
                    type: "integer"
                  },
                  ApproveUntilDate: {},
                  EnableNonSecurity: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        S5u: {
          type: "list",
          member: {}
        },
        S5y: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Products",
              "Configuration"
            ],
            members: {
              Name: {},
              Products: {
                type: "list",
                member: {}
              },
              Configuration: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        S68: {
          type: "structure",
          required: [
            "BucketName",
            "SyncFormat",
            "Region"
          ],
          members: {
            BucketName: {},
            Prefix: {},
            SyncFormat: {},
            Region: {},
            AWSKMSKeyARN: {},
            DestinationDataSharing: {
              type: "structure",
              members: {
                DestinationDataSharingType: {}
              }
            }
          }
        },
        S6h: {
          type: "structure",
          required: [
            "SourceType",
            "SourceRegions"
          ],
          members: {
            SourceType: {},
            AwsOrganizationsSource: {
              shape: "S6j"
            },
            SourceRegions: {
              shape: "S6o"
            },
            IncludeFutureRegions: {
              type: "boolean"
            },
            EnableAllOpsDataSources: {
              type: "boolean"
            }
          }
        },
        S6j: {
          type: "structure",
          required: [
            "OrganizationSourceType"
          ],
          members: {
            OrganizationSourceType: {},
            OrganizationalUnits: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  OrganizationalUnitId: {}
                }
              }
            }
          }
        },
        S6o: {
          type: "list",
          member: {}
        },
        S75: {
          type: "structure",
          members: {
            TotalCount: {
              type: "integer"
            },
            RemainingCount: {
              type: "integer"
            },
            SummaryItems: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Version: {},
                  Count: {
                    type: "integer"
                  },
                  RemainingCount: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        S7k: {
          type: "list",
          member: {}
        },
        S9k: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {}
          }
        },
        S9p: {
          type: "structure",
          members: {
            ParameterValues: {
              type: "list",
              member: {}
            },
            Truncated: {
              type: "boolean"
            }
          }
        },
        S9t: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DocumentName"
            ],
            members: {
              DocumentName: {},
              DocumentVersion: {},
              Parameters: {
                shape: "S9k"
              },
              TargetParameterName: {},
              Targets: {
                shape: "S18"
              },
              TargetMaps: {
                shape: "S25"
              },
              MaxConcurrency: {},
              MaxErrors: {},
              TargetLocations: {
                shape: "S1s"
              }
            }
          }
        },
        Sa3: {
          type: "list",
          member: {
            type: "structure",
            members: {
              StepName: {},
              Action: {},
              TimeoutSeconds: {
                type: "long"
              },
              OnFailure: {},
              MaxAttempts: {
                type: "integer"
              },
              ExecutionStartTime: {
                type: "timestamp"
              },
              ExecutionEndTime: {
                type: "timestamp"
              },
              StepStatus: {},
              ResponseCode: {},
              Inputs: {
                type: "map",
                key: {},
                value: {}
              },
              Outputs: {
                shape: "S9k"
              },
              Response: {},
              FailureMessage: {},
              FailureDetails: {
                type: "structure",
                members: {
                  FailureStage: {},
                  FailureType: {},
                  Details: {
                    shape: "S9k"
                  }
                }
              },
              StepExecutionId: {},
              OverriddenParameters: {
                shape: "S9k"
              },
              IsEnd: {
                type: "boolean"
              },
              NextStep: {},
              IsCritical: {
                type: "boolean"
              },
              ValidNextSteps: {
                type: "list",
                member: {}
              },
              Targets: {
                shape: "S18"
              },
              TargetLocation: {
                shape: "S1t"
              },
              TriggeredAlarms: {
                shape: "S2n"
              }
            }
          }
        },
        Sad: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Values: {
                type: "list",
                member: {}
              }
            }
          }
        },
        Sal: {
          type: "structure",
          members: {
            Id: {},
            ReleaseDate: {
              type: "timestamp"
            },
            Title: {},
            Description: {},
            ContentUrl: {},
            Vendor: {},
            ProductFamily: {},
            Product: {},
            Classification: {},
            MsrcSeverity: {},
            KbNumber: {},
            MsrcNumber: {},
            Language: {},
            AdvisoryIds: {
              type: "list",
              member: {}
            },
            BugzillaIds: {
              type: "list",
              member: {}
            },
            CVEIds: {
              type: "list",
              member: {}
            },
            Name: {},
            Epoch: {
              type: "integer"
            },
            Version: {},
            Release: {},
            Arch: {},
            Severity: {},
            Repository: {}
          }
        },
        Sbg: {
          type: "list",
          member: {}
        },
        Sc9: {
          type: "list",
          member: {}
        },
        Scv: {
          type: "structure",
          required: [
            "InstanceId",
            "PatchGroup",
            "BaselineId",
            "OperationStartTime",
            "OperationEndTime",
            "Operation"
          ],
          members: {
            InstanceId: {},
            PatchGroup: {},
            BaselineId: {},
            SnapshotId: {},
            InstallOverrideList: {},
            OwnerInformation: {
              shape: "Scy"
            },
            InstalledCount: {
              type: "integer"
            },
            InstalledOtherCount: {
              type: "integer"
            },
            InstalledPendingRebootCount: {
              type: "integer"
            },
            InstalledRejectedCount: {
              type: "integer"
            },
            MissingCount: {
              type: "integer"
            },
            FailedCount: {
              type: "integer"
            },
            UnreportedNotApplicableCount: {
              type: "integer"
            },
            NotApplicableCount: {
              type: "integer"
            },
            OperationStartTime: {
              type: "timestamp"
            },
            OperationEndTime: {
              type: "timestamp"
            },
            Operation: {},
            LastNoRebootInstallOperationTime: {
              type: "timestamp"
            },
            RebootOption: {},
            CriticalNonCompliantCount: {
              type: "integer"
            },
            SecurityNonCompliantCount: {
              type: "integer"
            },
            OtherNonCompliantCount: {
              type: "integer"
            }
          }
        },
        Scy: {
          type: "string",
          sensitive: true
        },
        Se1: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Values: {
                type: "list",
                member: {}
              }
            }
          }
        },
        Sed: {
          type: "string",
          sensitive: true
        },
        Sf4: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              Values: {
                type: "list",
                member: {
                  type: "string",
                  sensitive: true
                },
                sensitive: true
              }
            },
            sensitive: true
          },
          sensitive: true
        },
        Sfa: {
          type: "structure",
          required: [
            "S3BucketName",
            "S3Region"
          ],
          members: {
            S3BucketName: {},
            S3KeyPrefix: {},
            S3Region: {}
          }
        },
        Sg4: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {},
              Option: {},
              Values: {
                type: "list",
                member: {}
              }
            }
          }
        },
        Sgj: {
          type: "list",
          member: {
            type: "structure",
            members: {
              PolicyText: {},
              PolicyType: {},
              PolicyStatus: {}
            }
          }
        },
        Sgp: {
          type: "structure",
          members: {
            BaselineId: {},
            BaselineName: {},
            OperatingSystem: {},
            BaselineDescription: {},
            DefaultBaseline: {
              type: "boolean"
            }
          }
        },
        Sia: {
          type: "structure",
          members: {
            CloudWatchLogGroupName: {},
            CloudWatchOutputEnabled: {
              type: "boolean"
            }
          }
        },
        Siw: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Values"
            ],
            members: {
              Key: {},
              Values: {
                type: "list",
                member: {}
              },
              Type: {}
            }
          }
        },
        Sj2: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Expression: {},
              Aggregators: {
                shape: "Sj2"
              },
              Groups: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Filters"
                  ],
                  members: {
                    Name: {},
                    Filters: {
                      shape: "Siw"
                    }
                  }
                }
              }
            }
          }
        },
        Sjj: {
          type: "list",
          member: {
            type: "map",
            key: {},
            value: {}
          }
        },
        Ska: {
          type: "structure",
          members: {
            RunCommand: {
              type: "structure",
              members: {
                Comment: {},
                CloudWatchOutputConfig: {
                  shape: "Sia"
                },
                DocumentHash: {},
                DocumentHashType: {},
                DocumentVersion: {},
                NotificationConfig: {
                  shape: "Skc"
                },
                OutputS3BucketName: {},
                OutputS3KeyPrefix: {},
                Parameters: {
                  shape: "S14"
                },
                ServiceRoleArn: {},
                TimeoutSeconds: {
                  type: "integer"
                }
              }
            },
            Automation: {
              type: "structure",
              members: {
                DocumentVersion: {},
                Parameters: {
                  shape: "S9k"
                }
              }
            },
            StepFunctions: {
              type: "structure",
              members: {
                Input: {
                  type: "string",
                  sensitive: true
                },
                Name: {}
              }
            },
            Lambda: {
              type: "structure",
              members: {
                ClientContext: {},
                Qualifier: {},
                Payload: {
                  type: "blob",
                  sensitive: true
                }
              }
            }
          }
        },
        Skc: {
          type: "structure",
          members: {
            NotificationArn: {},
            NotificationEvents: {
              type: "list",
              member: {}
            },
            NotificationType: {}
          }
        },
        Skx: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Values"
            ],
            members: {
              Key: {},
              Values: {
                type: "list",
                member: {}
              },
              Type: {}
            }
          }
        },
        Sl3: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AggregatorType: {},
              TypeName: {},
              AttributeName: {},
              Values: {
                type: "map",
                key: {},
                value: {}
              },
              Filters: {
                shape: "Skx"
              },
              Aggregators: {
                shape: "Sl3"
              }
            }
          }
        },
        Slp: {
          type: "structure",
          members: {
            Name: {},
            Type: {},
            Value: {
              shape: "Slq"
            },
            Version: {
              type: "long"
            },
            Selector: {},
            SourceResult: {},
            LastModifiedDate: {
              type: "timestamp"
            },
            ARN: {},
            DataType: {}
          }
        },
        Slq: {
          type: "string",
          sensitive: true
        },
        Slw: {
          type: "list",
          member: {}
        },
        Sm0: {
          type: "list",
          member: {
            shape: "Slp"
          }
        },
        Smi: {
          type: "structure",
          members: {
            SettingId: {},
            SettingValue: {},
            LastModifiedDate: {
              type: "timestamp"
            },
            LastModifiedUser: {},
            ARN: {},
            Status: {}
          }
        },
        Sn0: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        Sng: {
          type: "structure",
          members: {
            CommandId: {},
            DocumentName: {},
            DocumentVersion: {},
            Comment: {},
            ExpiresAfter: {
              type: "timestamp"
            },
            Parameters: {
              shape: "S14"
            },
            InstanceIds: {
              shape: "Si"
            },
            Targets: {
              shape: "S18"
            },
            RequestedDateTime: {
              type: "timestamp"
            },
            Status: {},
            StatusDetails: {},
            OutputS3Region: {},
            OutputS3BucketName: {},
            OutputS3KeyPrefix: {},
            MaxConcurrency: {},
            MaxErrors: {},
            TargetCount: {
              type: "integer"
            },
            CompletedCount: {
              type: "integer"
            },
            ErrorCount: {
              type: "integer"
            },
            DeliveryTimedOutCount: {
              type: "integer"
            },
            ServiceRole: {},
            NotificationConfig: {
              shape: "Skc"
            },
            CloudWatchOutputConfig: {
              shape: "Sia"
            },
            TimeoutSeconds: {
              type: "integer"
            },
            AlarmConfiguration: {
              shape: "S1z"
            },
            TriggeredAlarms: {
              shape: "S2n"
            }
          }
        },
        Snn: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Values: {
                type: "list",
                member: {}
              },
              Type: {}
            }
          }
        },
        So5: {
          type: "structure",
          required: [
            "ExecutionTime"
          ],
          members: {
            ExecutionTime: {
              type: "timestamp"
            },
            ExecutionId: {},
            ExecutionType: {}
          }
        },
        So8: {
          type: "map",
          key: {},
          value: {}
        },
        Sod: {
          type: "structure",
          members: {
            CompliantCount: {
              type: "integer"
            },
            SeveritySummary: {
              shape: "Sof"
            }
          }
        },
        Sof: {
          type: "structure",
          members: {
            CriticalCount: {
              type: "integer"
            },
            HighCount: {
              type: "integer"
            },
            MediumCount: {
              type: "integer"
            },
            LowCount: {
              type: "integer"
            },
            InformationalCount: {
              type: "integer"
            },
            UnspecifiedCount: {
              type: "integer"
            }
          }
        },
        Sog: {
          type: "structure",
          members: {
            NonCompliantCount: {
              type: "integer"
            },
            SeveritySummary: {
              shape: "Sof"
            }
          }
        },
        Son: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {},
              Content: {}
            }
          }
        },
        Spl: {
          type: "structure",
          members: {
            Arn: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ssm-2014-11-06.paginators.json
var require_ssm_2014_11_06_paginators = __commonJS({
  "node_modules/aws-sdk/apis/ssm-2014-11-06.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeActivations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ActivationList"
        },
        DescribeAssociationExecutionTargets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AssociationExecutionTargets"
        },
        DescribeAssociationExecutions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AssociationExecutions"
        },
        DescribeAutomationExecutions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AutomationExecutionMetadataList"
        },
        DescribeAutomationStepExecutions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "StepExecutions"
        },
        DescribeAvailablePatches: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Patches"
        },
        DescribeEffectiveInstanceAssociations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Associations"
        },
        DescribeEffectivePatchesForPatchBaseline: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "EffectivePatches"
        },
        DescribeInstanceAssociationsStatus: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "InstanceAssociationStatusInfos"
        },
        DescribeInstanceInformation: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "InstanceInformationList"
        },
        DescribeInstancePatchStates: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "InstancePatchStates"
        },
        DescribeInstancePatchStatesForPatchGroup: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "InstancePatchStates"
        },
        DescribeInstancePatches: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Patches"
        },
        DescribeInventoryDeletions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "InventoryDeletions"
        },
        DescribeMaintenanceWindowExecutionTaskInvocations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "WindowExecutionTaskInvocationIdentities"
        },
        DescribeMaintenanceWindowExecutionTasks: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "WindowExecutionTaskIdentities"
        },
        DescribeMaintenanceWindowExecutions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "WindowExecutions"
        },
        DescribeMaintenanceWindowSchedule: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ScheduledWindowExecutions"
        },
        DescribeMaintenanceWindowTargets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Targets"
        },
        DescribeMaintenanceWindowTasks: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Tasks"
        },
        DescribeMaintenanceWindows: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "WindowIdentities"
        },
        DescribeMaintenanceWindowsForTarget: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "WindowIdentities"
        },
        DescribeOpsItems: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "OpsItemSummaries"
        },
        DescribeParameters: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        DescribePatchBaselines: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "BaselineIdentities"
        },
        DescribePatchGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Mappings"
        },
        DescribePatchProperties: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Properties"
        },
        DescribeSessions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Sessions"
        },
        GetInventory: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Entities"
        },
        GetInventorySchema: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Schemas"
        },
        GetOpsSummary: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Entities"
        },
        GetParameterHistory: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetParametersByPath: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetResourcePolicies: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Policies"
        },
        ListAssociationVersions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AssociationVersions"
        },
        ListAssociations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Associations"
        },
        ListCommandInvocations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "CommandInvocations"
        },
        ListCommands: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Commands"
        },
        ListComplianceItems: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ComplianceItems"
        },
        ListComplianceSummaries: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ComplianceSummaryItems"
        },
        ListDocumentVersions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "DocumentVersions"
        },
        ListDocuments: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "DocumentIdentifiers"
        },
        ListOpsItemEvents: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Summaries"
        },
        ListOpsItemRelatedItems: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Summaries"
        },
        ListOpsMetadata: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "OpsMetadataList"
        },
        ListResourceComplianceSummaries: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ResourceComplianceSummaryItems"
        },
        ListResourceDataSync: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ResourceDataSyncItems"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ssm-2014-11-06.waiters2.json
var require_ssm_2014_11_06_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/ssm-2014-11-06.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        CommandExecuted: {
          delay: 5,
          operation: "GetCommandInvocation",
          maxAttempts: 20,
          acceptors: [
            {
              expected: "Pending",
              matcher: "path",
              state: "retry",
              argument: "Status"
            },
            {
              expected: "InProgress",
              matcher: "path",
              state: "retry",
              argument: "Status"
            },
            {
              expected: "Delayed",
              matcher: "path",
              state: "retry",
              argument: "Status"
            },
            {
              expected: "Success",
              matcher: "path",
              state: "success",
              argument: "Status"
            },
            {
              expected: "Cancelled",
              matcher: "path",
              state: "failure",
              argument: "Status"
            },
            {
              expected: "TimedOut",
              matcher: "path",
              state: "failure",
              argument: "Status"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "Status"
            },
            {
              expected: "Cancelling",
              matcher: "path",
              state: "failure",
              argument: "Status"
            },
            {
              state: "retry",
              matcher: "error",
              expected: "InvocationDoesNotExist"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/ssm.js
var require_ssm = __commonJS({
  "node_modules/aws-sdk/clients/ssm.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ssm"] = {};
    AWS2.SSM = Service.defineService("ssm", ["2014-11-06"]);
    Object.defineProperty(apiLoader.services["ssm"], "2014-11-06", {
      get: function get() {
        var model = require_ssm_2014_11_06_min();
        model.paginators = require_ssm_2014_11_06_paginators().pagination;
        model.waiters = require_ssm_2014_11_06_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SSM;
  }
});

// node_modules/aws-sdk/apis/storagegateway-2013-06-30.min.json
var require_storagegateway_2013_06_30_min = __commonJS({
  "node_modules/aws-sdk/apis/storagegateway-2013-06-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2013-06-30",
        endpointPrefix: "storagegateway",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Storage Gateway",
        serviceId: "Storage Gateway",
        signatureVersion: "v4",
        targetPrefix: "StorageGateway_20130630",
        uid: "storagegateway-2013-06-30"
      },
      operations: {
        ActivateGateway: {
          input: {
            type: "structure",
            required: [
              "ActivationKey",
              "GatewayName",
              "GatewayTimezone",
              "GatewayRegion"
            ],
            members: {
              ActivationKey: {},
              GatewayName: {},
              GatewayTimezone: {},
              GatewayRegion: {},
              GatewayType: {},
              TapeDriveType: {},
              MediumChangerType: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        AddCache: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "DiskIds"
            ],
            members: {
              GatewayARN: {},
              DiskIds: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        AddTagsToResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceARN: {}
            }
          }
        },
        AddUploadBuffer: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "DiskIds"
            ],
            members: {
              GatewayARN: {},
              DiskIds: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        AddWorkingStorage: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "DiskIds"
            ],
            members: {
              GatewayARN: {},
              DiskIds: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        AssignTapePool: {
          input: {
            type: "structure",
            required: [
              "TapeARN",
              "PoolId"
            ],
            members: {
              TapeARN: {},
              PoolId: {},
              BypassGovernanceRetention: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TapeARN: {}
            }
          }
        },
        AssociateFileSystem: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "Password",
              "ClientToken",
              "GatewayARN",
              "LocationARN"
            ],
            members: {
              UserName: {},
              Password: {
                shape: "Sx"
              },
              ClientToken: {},
              GatewayARN: {},
              LocationARN: {},
              Tags: {
                shape: "S9"
              },
              AuditDestinationARN: {},
              CacheAttributes: {
                shape: "S11"
              },
              EndpointNetworkConfiguration: {
                shape: "S13"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FileSystemAssociationARN: {}
            }
          }
        },
        AttachVolume: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "VolumeARN",
              "NetworkInterfaceId"
            ],
            members: {
              GatewayARN: {},
              TargetName: {},
              VolumeARN: {},
              NetworkInterfaceId: {},
              DiskId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VolumeARN: {},
              TargetARN: {}
            }
          }
        },
        CancelArchival: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "TapeARN"
            ],
            members: {
              GatewayARN: {},
              TapeARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TapeARN: {}
            }
          }
        },
        CancelRetrieval: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "TapeARN"
            ],
            members: {
              GatewayARN: {},
              TapeARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TapeARN: {}
            }
          }
        },
        CreateCachediSCSIVolume: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "VolumeSizeInBytes",
              "TargetName",
              "NetworkInterfaceId",
              "ClientToken"
            ],
            members: {
              GatewayARN: {},
              VolumeSizeInBytes: {
                type: "long"
              },
              SnapshotId: {},
              TargetName: {},
              SourceVolumeARN: {},
              NetworkInterfaceId: {},
              ClientToken: {},
              KMSEncrypted: {
                type: "boolean"
              },
              KMSKey: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VolumeARN: {},
              TargetARN: {}
            }
          }
        },
        CreateNFSFileShare: {
          input: {
            type: "structure",
            required: [
              "ClientToken",
              "GatewayARN",
              "Role",
              "LocationARN"
            ],
            members: {
              ClientToken: {},
              NFSFileShareDefaults: {
                shape: "S1p"
              },
              GatewayARN: {},
              KMSEncrypted: {
                type: "boolean"
              },
              KMSKey: {},
              Role: {},
              LocationARN: {},
              DefaultStorageClass: {},
              ObjectACL: {},
              ClientList: {
                shape: "S1w"
              },
              Squash: {},
              ReadOnly: {
                type: "boolean"
              },
              GuessMIMETypeEnabled: {
                type: "boolean"
              },
              RequesterPays: {
                type: "boolean"
              },
              Tags: {
                shape: "S9"
              },
              FileShareName: {},
              CacheAttributes: {
                shape: "S11"
              },
              NotificationPolicy: {},
              VPCEndpointDNSName: {},
              BucketRegion: {},
              AuditDestinationARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FileShareARN: {}
            }
          }
        },
        CreateSMBFileShare: {
          input: {
            type: "structure",
            required: [
              "ClientToken",
              "GatewayARN",
              "Role",
              "LocationARN"
            ],
            members: {
              ClientToken: {},
              GatewayARN: {},
              KMSEncrypted: {
                type: "boolean"
              },
              KMSKey: {},
              Role: {},
              LocationARN: {},
              DefaultStorageClass: {},
              ObjectACL: {},
              ReadOnly: {
                type: "boolean"
              },
              GuessMIMETypeEnabled: {
                type: "boolean"
              },
              RequesterPays: {
                type: "boolean"
              },
              SMBACLEnabled: {
                type: "boolean"
              },
              AccessBasedEnumeration: {
                type: "boolean"
              },
              AdminUserList: {
                shape: "S25"
              },
              ValidUserList: {
                shape: "S25"
              },
              InvalidUserList: {
                shape: "S25"
              },
              AuditDestinationARN: {},
              Authentication: {},
              CaseSensitivity: {},
              Tags: {
                shape: "S9"
              },
              FileShareName: {},
              CacheAttributes: {
                shape: "S11"
              },
              NotificationPolicy: {},
              VPCEndpointDNSName: {},
              BucketRegion: {},
              OplocksEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FileShareARN: {}
            }
          }
        },
        CreateSnapshot: {
          input: {
            type: "structure",
            required: [
              "VolumeARN",
              "SnapshotDescription"
            ],
            members: {
              VolumeARN: {},
              SnapshotDescription: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VolumeARN: {},
              SnapshotId: {}
            }
          }
        },
        CreateSnapshotFromVolumeRecoveryPoint: {
          input: {
            type: "structure",
            required: [
              "VolumeARN",
              "SnapshotDescription"
            ],
            members: {
              VolumeARN: {},
              SnapshotDescription: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SnapshotId: {},
              VolumeARN: {},
              VolumeRecoveryPointTime: {}
            }
          }
        },
        CreateStorediSCSIVolume: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "DiskId",
              "PreserveExistingData",
              "TargetName",
              "NetworkInterfaceId"
            ],
            members: {
              GatewayARN: {},
              DiskId: {},
              SnapshotId: {},
              PreserveExistingData: {
                type: "boolean"
              },
              TargetName: {},
              NetworkInterfaceId: {},
              KMSEncrypted: {
                type: "boolean"
              },
              KMSKey: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VolumeARN: {},
              VolumeSizeInBytes: {
                type: "long"
              },
              TargetARN: {}
            }
          }
        },
        CreateTapePool: {
          input: {
            type: "structure",
            required: [
              "PoolName",
              "StorageClass"
            ],
            members: {
              PoolName: {},
              StorageClass: {},
              RetentionLockType: {},
              RetentionLockTimeInDays: {
                type: "integer"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PoolARN: {}
            }
          }
        },
        CreateTapeWithBarcode: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "TapeSizeInBytes",
              "TapeBarcode"
            ],
            members: {
              GatewayARN: {},
              TapeSizeInBytes: {
                type: "long"
              },
              TapeBarcode: {},
              KMSEncrypted: {
                type: "boolean"
              },
              KMSKey: {},
              PoolId: {},
              Worm: {
                type: "boolean"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TapeARN: {}
            }
          }
        },
        CreateTapes: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "TapeSizeInBytes",
              "ClientToken",
              "NumTapesToCreate",
              "TapeBarcodePrefix"
            ],
            members: {
              GatewayARN: {},
              TapeSizeInBytes: {
                type: "long"
              },
              ClientToken: {},
              NumTapesToCreate: {
                type: "integer"
              },
              TapeBarcodePrefix: {},
              KMSEncrypted: {
                type: "boolean"
              },
              KMSKey: {},
              PoolId: {},
              Worm: {
                type: "boolean"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TapeARNs: {
                shape: "S2x"
              }
            }
          }
        },
        DeleteAutomaticTapeCreationPolicy: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        DeleteBandwidthRateLimit: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "BandwidthType"
            ],
            members: {
              GatewayARN: {},
              BandwidthType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        DeleteChapCredentials: {
          input: {
            type: "structure",
            required: [
              "TargetARN",
              "InitiatorName"
            ],
            members: {
              TargetARN: {},
              InitiatorName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TargetARN: {},
              InitiatorName: {}
            }
          }
        },
        DeleteFileShare: {
          input: {
            type: "structure",
            required: [
              "FileShareARN"
            ],
            members: {
              FileShareARN: {},
              ForceDelete: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FileShareARN: {}
            }
          }
        },
        DeleteGateway: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        DeleteSnapshotSchedule: {
          input: {
            type: "structure",
            required: [
              "VolumeARN"
            ],
            members: {
              VolumeARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VolumeARN: {}
            }
          }
        },
        DeleteTape: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "TapeARN"
            ],
            members: {
              GatewayARN: {},
              TapeARN: {},
              BypassGovernanceRetention: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TapeARN: {}
            }
          }
        },
        DeleteTapeArchive: {
          input: {
            type: "structure",
            required: [
              "TapeARN"
            ],
            members: {
              TapeARN: {},
              BypassGovernanceRetention: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TapeARN: {}
            }
          }
        },
        DeleteTapePool: {
          input: {
            type: "structure",
            required: [
              "PoolARN"
            ],
            members: {
              PoolARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PoolARN: {}
            }
          }
        },
        DeleteVolume: {
          input: {
            type: "structure",
            required: [
              "VolumeARN"
            ],
            members: {
              VolumeARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VolumeARN: {}
            }
          }
        },
        DescribeAvailabilityMonitorTest: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {},
              Status: {},
              StartTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeBandwidthRateLimit: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {},
              AverageUploadRateLimitInBitsPerSec: {
                type: "long"
              },
              AverageDownloadRateLimitInBitsPerSec: {
                type: "long"
              }
            }
          }
        },
        DescribeBandwidthRateLimitSchedule: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {},
              BandwidthRateLimitIntervals: {
                shape: "S3u"
              }
            }
          }
        },
        DescribeCache: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {},
              DiskIds: {
                shape: "Sg"
              },
              CacheAllocatedInBytes: {
                type: "long"
              },
              CacheUsedPercentage: {
                type: "double"
              },
              CacheDirtyPercentage: {
                type: "double"
              },
              CacheHitPercentage: {
                type: "double"
              },
              CacheMissPercentage: {
                type: "double"
              }
            }
          }
        },
        DescribeCachediSCSIVolumes: {
          input: {
            type: "structure",
            required: [
              "VolumeARNs"
            ],
            members: {
              VolumeARNs: {
                shape: "S44"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CachediSCSIVolumes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VolumeARN: {},
                    VolumeId: {},
                    VolumeType: {},
                    VolumeStatus: {},
                    VolumeAttachmentStatus: {},
                    VolumeSizeInBytes: {
                      type: "long"
                    },
                    VolumeProgress: {
                      type: "double"
                    },
                    SourceSnapshotId: {},
                    VolumeiSCSIAttributes: {
                      shape: "S4d"
                    },
                    CreatedDate: {
                      type: "timestamp"
                    },
                    VolumeUsedInBytes: {
                      type: "long"
                    },
                    KMSKey: {},
                    TargetName: {}
                  }
                }
              }
            }
          }
        },
        DescribeChapCredentials: {
          input: {
            type: "structure",
            required: [
              "TargetARN"
            ],
            members: {
              TargetARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChapCredentials: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TargetARN: {},
                    SecretToAuthenticateInitiator: {
                      shape: "S4m"
                    },
                    InitiatorName: {},
                    SecretToAuthenticateTarget: {
                      shape: "S4m"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeFileSystemAssociations: {
          input: {
            type: "structure",
            required: [
              "FileSystemAssociationARNList"
            ],
            members: {
              FileSystemAssociationARNList: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FileSystemAssociationInfoList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FileSystemAssociationARN: {},
                    LocationARN: {},
                    FileSystemAssociationStatus: {},
                    AuditDestinationARN: {},
                    GatewayARN: {},
                    Tags: {
                      shape: "S9"
                    },
                    CacheAttributes: {
                      shape: "S11"
                    },
                    EndpointNetworkConfiguration: {
                      shape: "S13"
                    },
                    FileSystemAssociationStatusDetails: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ErrorCode: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeGatewayInformation: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {},
              GatewayId: {},
              GatewayName: {},
              GatewayTimezone: {},
              GatewayState: {},
              GatewayNetworkInterfaces: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Ipv4Address: {},
                    MacAddress: {},
                    Ipv6Address: {}
                  }
                }
              },
              GatewayType: {},
              NextUpdateAvailabilityDate: {},
              LastSoftwareUpdate: {},
              Ec2InstanceId: {},
              Ec2InstanceRegion: {},
              Tags: {
                shape: "S9"
              },
              VPCEndpoint: {},
              CloudWatchLogGroupARN: {},
              HostEnvironment: {},
              EndpointType: {},
              SoftwareUpdatesEndDate: {},
              DeprecationDate: {},
              GatewayCapacity: {},
              SupportedGatewayCapacities: {
                type: "list",
                member: {}
              },
              HostEnvironmentId: {}
            }
          }
        },
        DescribeMaintenanceStartTime: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {},
              HourOfDay: {
                type: "integer"
              },
              MinuteOfHour: {
                type: "integer"
              },
              DayOfWeek: {
                type: "integer"
              },
              DayOfMonth: {
                type: "integer"
              },
              Timezone: {}
            }
          }
        },
        DescribeNFSFileShares: {
          input: {
            type: "structure",
            required: [
              "FileShareARNList"
            ],
            members: {
              FileShareARNList: {
                shape: "S5i"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NFSFileShareInfoList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    NFSFileShareDefaults: {
                      shape: "S1p"
                    },
                    FileShareARN: {},
                    FileShareId: {},
                    FileShareStatus: {},
                    GatewayARN: {},
                    KMSEncrypted: {
                      type: "boolean"
                    },
                    KMSKey: {},
                    Path: {},
                    Role: {},
                    LocationARN: {},
                    DefaultStorageClass: {},
                    ObjectACL: {},
                    ClientList: {
                      shape: "S1w"
                    },
                    Squash: {},
                    ReadOnly: {
                      type: "boolean"
                    },
                    GuessMIMETypeEnabled: {
                      type: "boolean"
                    },
                    RequesterPays: {
                      type: "boolean"
                    },
                    Tags: {
                      shape: "S9"
                    },
                    FileShareName: {},
                    CacheAttributes: {
                      shape: "S11"
                    },
                    NotificationPolicy: {},
                    VPCEndpointDNSName: {},
                    BucketRegion: {},
                    AuditDestinationARN: {}
                  }
                }
              }
            }
          }
        },
        DescribeSMBFileShares: {
          input: {
            type: "structure",
            required: [
              "FileShareARNList"
            ],
            members: {
              FileShareARNList: {
                shape: "S5i"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SMBFileShareInfoList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FileShareARN: {},
                    FileShareId: {},
                    FileShareStatus: {},
                    GatewayARN: {},
                    KMSEncrypted: {
                      type: "boolean"
                    },
                    KMSKey: {},
                    Path: {},
                    Role: {},
                    LocationARN: {},
                    DefaultStorageClass: {},
                    ObjectACL: {},
                    ReadOnly: {
                      type: "boolean"
                    },
                    GuessMIMETypeEnabled: {
                      type: "boolean"
                    },
                    RequesterPays: {
                      type: "boolean"
                    },
                    SMBACLEnabled: {
                      type: "boolean"
                    },
                    AccessBasedEnumeration: {
                      type: "boolean"
                    },
                    AdminUserList: {
                      shape: "S25"
                    },
                    ValidUserList: {
                      shape: "S25"
                    },
                    InvalidUserList: {
                      shape: "S25"
                    },
                    AuditDestinationARN: {},
                    Authentication: {},
                    CaseSensitivity: {},
                    Tags: {
                      shape: "S9"
                    },
                    FileShareName: {},
                    CacheAttributes: {
                      shape: "S11"
                    },
                    NotificationPolicy: {},
                    VPCEndpointDNSName: {},
                    BucketRegion: {},
                    OplocksEnabled: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeSMBSettings: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {},
              DomainName: {},
              ActiveDirectoryStatus: {},
              SMBGuestPasswordSet: {
                type: "boolean"
              },
              SMBSecurityStrategy: {},
              FileSharesVisible: {
                type: "boolean"
              },
              SMBLocalGroups: {
                shape: "S5y"
              }
            }
          }
        },
        DescribeSnapshotSchedule: {
          input: {
            type: "structure",
            required: [
              "VolumeARN"
            ],
            members: {
              VolumeARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VolumeARN: {},
              StartAt: {
                type: "integer"
              },
              RecurrenceInHours: {
                type: "integer"
              },
              Description: {},
              Timezone: {},
              Tags: {
                shape: "S9"
              }
            }
          }
        },
        DescribeStorediSCSIVolumes: {
          input: {
            type: "structure",
            required: [
              "VolumeARNs"
            ],
            members: {
              VolumeARNs: {
                shape: "S44"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StorediSCSIVolumes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VolumeARN: {},
                    VolumeId: {},
                    VolumeType: {},
                    VolumeStatus: {},
                    VolumeAttachmentStatus: {},
                    VolumeSizeInBytes: {
                      type: "long"
                    },
                    VolumeProgress: {
                      type: "double"
                    },
                    VolumeDiskId: {},
                    SourceSnapshotId: {},
                    PreservedExistingData: {
                      type: "boolean"
                    },
                    VolumeiSCSIAttributes: {
                      shape: "S4d"
                    },
                    CreatedDate: {
                      type: "timestamp"
                    },
                    VolumeUsedInBytes: {
                      type: "long"
                    },
                    KMSKey: {},
                    TargetName: {}
                  }
                }
              }
            }
          }
        },
        DescribeTapeArchives: {
          input: {
            type: "structure",
            members: {
              TapeARNs: {
                shape: "S2x"
              },
              Marker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TapeArchives: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TapeARN: {},
                    TapeBarcode: {},
                    TapeCreatedDate: {
                      type: "timestamp"
                    },
                    TapeSizeInBytes: {
                      type: "long"
                    },
                    CompletionTime: {
                      type: "timestamp"
                    },
                    RetrievedTo: {},
                    TapeStatus: {},
                    TapeUsedInBytes: {
                      type: "long"
                    },
                    KMSKey: {},
                    PoolId: {},
                    Worm: {
                      type: "boolean"
                    },
                    RetentionStartDate: {
                      type: "timestamp"
                    },
                    PoolEntryDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeTapeRecoveryPoints: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {},
              Marker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {},
              TapeRecoveryPointInfos: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TapeARN: {},
                    TapeRecoveryPointTime: {
                      type: "timestamp"
                    },
                    TapeSizeInBytes: {
                      type: "long"
                    },
                    TapeStatus: {}
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeTapes: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {},
              TapeARNs: {
                shape: "S2x"
              },
              Marker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tapes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TapeARN: {},
                    TapeBarcode: {},
                    TapeCreatedDate: {
                      type: "timestamp"
                    },
                    TapeSizeInBytes: {
                      type: "long"
                    },
                    TapeStatus: {},
                    VTLDevice: {},
                    Progress: {
                      type: "double"
                    },
                    TapeUsedInBytes: {
                      type: "long"
                    },
                    KMSKey: {},
                    PoolId: {},
                    Worm: {
                      type: "boolean"
                    },
                    RetentionStartDate: {
                      type: "timestamp"
                    },
                    PoolEntryDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeUploadBuffer: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {},
              DiskIds: {
                shape: "Sg"
              },
              UploadBufferUsedInBytes: {
                type: "long"
              },
              UploadBufferAllocatedInBytes: {
                type: "long"
              }
            }
          }
        },
        DescribeVTLDevices: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {},
              VTLDeviceARNs: {
                type: "list",
                member: {}
              },
              Marker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {},
              VTLDevices: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VTLDeviceARN: {},
                    VTLDeviceType: {},
                    VTLDeviceVendor: {},
                    VTLDeviceProductIdentifier: {},
                    DeviceiSCSIAttributes: {
                      type: "structure",
                      members: {
                        TargetARN: {},
                        NetworkInterfaceId: {},
                        NetworkInterfacePort: {
                          type: "integer"
                        },
                        ChapEnabled: {
                          type: "boolean"
                        }
                      }
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeWorkingStorage: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {},
              DiskIds: {
                shape: "Sg"
              },
              WorkingStorageUsedInBytes: {
                type: "long"
              },
              WorkingStorageAllocatedInBytes: {
                type: "long"
              }
            }
          }
        },
        DetachVolume: {
          input: {
            type: "structure",
            required: [
              "VolumeARN"
            ],
            members: {
              VolumeARN: {},
              ForceDetach: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VolumeARN: {}
            }
          }
        },
        DisableGateway: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        DisassociateFileSystem: {
          input: {
            type: "structure",
            required: [
              "FileSystemAssociationARN"
            ],
            members: {
              FileSystemAssociationARN: {},
              ForceDelete: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FileSystemAssociationARN: {}
            }
          }
        },
        JoinDomain: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "DomainName",
              "UserName",
              "Password"
            ],
            members: {
              GatewayARN: {},
              DomainName: {},
              OrganizationalUnit: {},
              DomainControllers: {
                type: "list",
                member: {}
              },
              TimeoutInSeconds: {
                type: "integer"
              },
              UserName: {},
              Password: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {},
              ActiveDirectoryStatus: {}
            }
          }
        },
        ListAutomaticTapeCreationPolicies: {
          input: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AutomaticTapeCreationPolicyInfos: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AutomaticTapeCreationRules: {
                      shape: "S7i"
                    },
                    GatewayARN: {}
                  }
                }
              }
            }
          }
        },
        ListFileShares: {
          input: {
            type: "structure",
            members: {
              GatewayARN: {},
              Limit: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              NextMarker: {},
              FileShareInfoList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FileShareType: {},
                    FileShareARN: {},
                    FileShareId: {},
                    FileShareStatus: {},
                    GatewayARN: {}
                  }
                }
              }
            }
          }
        },
        ListFileSystemAssociations: {
          input: {
            type: "structure",
            members: {
              GatewayARN: {},
              Limit: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Marker: {},
              NextMarker: {},
              FileSystemAssociationSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FileSystemAssociationId: {},
                    FileSystemAssociationARN: {},
                    FileSystemAssociationStatus: {},
                    GatewayARN: {}
                  }
                }
              }
            }
          }
        },
        ListGateways: {
          input: {
            type: "structure",
            members: {
              Marker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Gateways: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    GatewayId: {},
                    GatewayARN: {},
                    GatewayType: {},
                    GatewayOperationalState: {},
                    GatewayName: {},
                    Ec2InstanceId: {},
                    Ec2InstanceRegion: {},
                    HostEnvironment: {},
                    HostEnvironmentId: {}
                  }
                }
              },
              Marker: {}
            }
          }
        },
        ListLocalDisks: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {},
              Disks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DiskId: {},
                    DiskPath: {},
                    DiskNode: {},
                    DiskStatus: {},
                    DiskSizeInBytes: {
                      type: "long"
                    },
                    DiskAllocationType: {},
                    DiskAllocationResource: {},
                    DiskAttributeList: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {},
              Marker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceARN: {},
              Marker: {},
              Tags: {
                shape: "S9"
              }
            }
          }
        },
        ListTapePools: {
          input: {
            type: "structure",
            members: {
              PoolARNs: {
                type: "list",
                member: {}
              },
              Marker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PoolInfos: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PoolARN: {},
                    PoolName: {},
                    StorageClass: {},
                    RetentionLockType: {},
                    RetentionLockTimeInDays: {
                      type: "integer"
                    },
                    PoolStatus: {}
                  }
                }
              },
              Marker: {}
            }
          }
        },
        ListTapes: {
          input: {
            type: "structure",
            members: {
              TapeARNs: {
                shape: "S2x"
              },
              Marker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TapeInfos: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TapeARN: {},
                    TapeBarcode: {},
                    TapeSizeInBytes: {
                      type: "long"
                    },
                    TapeStatus: {},
                    GatewayARN: {},
                    PoolId: {},
                    RetentionStartDate: {
                      type: "timestamp"
                    },
                    PoolEntryDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        ListVolumeInitiators: {
          input: {
            type: "structure",
            required: [
              "VolumeARN"
            ],
            members: {
              VolumeARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Initiators: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ListVolumeRecoveryPoints: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {},
              VolumeRecoveryPointInfos: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VolumeARN: {},
                    VolumeSizeInBytes: {
                      type: "long"
                    },
                    VolumeUsageInBytes: {
                      type: "long"
                    },
                    VolumeRecoveryPointTime: {}
                  }
                }
              }
            }
          }
        },
        ListVolumes: {
          input: {
            type: "structure",
            members: {
              GatewayARN: {},
              Marker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {},
              Marker: {},
              VolumeInfos: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VolumeARN: {},
                    VolumeId: {},
                    GatewayARN: {},
                    GatewayId: {},
                    VolumeType: {},
                    VolumeSizeInBytes: {
                      type: "long"
                    },
                    VolumeAttachmentStatus: {}
                  }
                }
              }
            }
          }
        },
        NotifyWhenUploaded: {
          input: {
            type: "structure",
            required: [
              "FileShareARN"
            ],
            members: {
              FileShareARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FileShareARN: {},
              NotificationId: {}
            }
          }
        },
        RefreshCache: {
          input: {
            type: "structure",
            required: [
              "FileShareARN"
            ],
            members: {
              FileShareARN: {},
              FolderList: {
                type: "list",
                member: {}
              },
              Recursive: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FileShareARN: {},
              NotificationId: {}
            }
          }
        },
        RemoveTagsFromResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceARN: {}
            }
          }
        },
        ResetCache: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        RetrieveTapeArchive: {
          input: {
            type: "structure",
            required: [
              "TapeARN",
              "GatewayARN"
            ],
            members: {
              TapeARN: {},
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TapeARN: {}
            }
          }
        },
        RetrieveTapeRecoveryPoint: {
          input: {
            type: "structure",
            required: [
              "TapeARN",
              "GatewayARN"
            ],
            members: {
              TapeARN: {},
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TapeARN: {}
            }
          }
        },
        SetLocalConsolePassword: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "LocalConsolePassword"
            ],
            members: {
              GatewayARN: {},
              LocalConsolePassword: {
                type: "string",
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        SetSMBGuestPassword: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "Password"
            ],
            members: {
              GatewayARN: {},
              Password: {
                type: "string",
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        ShutdownGateway: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        StartAvailabilityMonitorTest: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        StartGateway: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        UpdateAutomaticTapeCreationPolicy: {
          input: {
            type: "structure",
            required: [
              "AutomaticTapeCreationRules",
              "GatewayARN"
            ],
            members: {
              AutomaticTapeCreationRules: {
                shape: "S7i"
              },
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        UpdateBandwidthRateLimit: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {},
              AverageUploadRateLimitInBitsPerSec: {
                type: "long"
              },
              AverageDownloadRateLimitInBitsPerSec: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        UpdateBandwidthRateLimitSchedule: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "BandwidthRateLimitIntervals"
            ],
            members: {
              GatewayARN: {},
              BandwidthRateLimitIntervals: {
                shape: "S3u"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        UpdateChapCredentials: {
          input: {
            type: "structure",
            required: [
              "TargetARN",
              "SecretToAuthenticateInitiator",
              "InitiatorName"
            ],
            members: {
              TargetARN: {},
              SecretToAuthenticateInitiator: {
                shape: "S4m"
              },
              InitiatorName: {},
              SecretToAuthenticateTarget: {
                shape: "S4m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TargetARN: {},
              InitiatorName: {}
            }
          }
        },
        UpdateFileSystemAssociation: {
          input: {
            type: "structure",
            required: [
              "FileSystemAssociationARN"
            ],
            members: {
              FileSystemAssociationARN: {},
              UserName: {},
              Password: {
                shape: "Sx"
              },
              AuditDestinationARN: {},
              CacheAttributes: {
                shape: "S11"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FileSystemAssociationARN: {}
            }
          }
        },
        UpdateGatewayInformation: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {},
              GatewayName: {},
              GatewayTimezone: {},
              CloudWatchLogGroupARN: {},
              GatewayCapacity: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {},
              GatewayName: {}
            }
          }
        },
        UpdateGatewaySoftwareNow: {
          input: {
            type: "structure",
            required: [
              "GatewayARN"
            ],
            members: {
              GatewayARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        UpdateMaintenanceStartTime: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "HourOfDay",
              "MinuteOfHour"
            ],
            members: {
              GatewayARN: {},
              HourOfDay: {
                type: "integer"
              },
              MinuteOfHour: {
                type: "integer"
              },
              DayOfWeek: {
                type: "integer"
              },
              DayOfMonth: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        UpdateNFSFileShare: {
          input: {
            type: "structure",
            required: [
              "FileShareARN"
            ],
            members: {
              FileShareARN: {},
              KMSEncrypted: {
                type: "boolean"
              },
              KMSKey: {},
              NFSFileShareDefaults: {
                shape: "S1p"
              },
              DefaultStorageClass: {},
              ObjectACL: {},
              ClientList: {
                shape: "S1w"
              },
              Squash: {},
              ReadOnly: {
                type: "boolean"
              },
              GuessMIMETypeEnabled: {
                type: "boolean"
              },
              RequesterPays: {
                type: "boolean"
              },
              FileShareName: {},
              CacheAttributes: {
                shape: "S11"
              },
              NotificationPolicy: {},
              AuditDestinationARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FileShareARN: {}
            }
          }
        },
        UpdateSMBFileShare: {
          input: {
            type: "structure",
            required: [
              "FileShareARN"
            ],
            members: {
              FileShareARN: {},
              KMSEncrypted: {
                type: "boolean"
              },
              KMSKey: {},
              DefaultStorageClass: {},
              ObjectACL: {},
              ReadOnly: {
                type: "boolean"
              },
              GuessMIMETypeEnabled: {
                type: "boolean"
              },
              RequesterPays: {
                type: "boolean"
              },
              SMBACLEnabled: {
                type: "boolean"
              },
              AccessBasedEnumeration: {
                type: "boolean"
              },
              AdminUserList: {
                shape: "S25"
              },
              ValidUserList: {
                shape: "S25"
              },
              InvalidUserList: {
                shape: "S25"
              },
              AuditDestinationARN: {},
              CaseSensitivity: {},
              FileShareName: {},
              CacheAttributes: {
                shape: "S11"
              },
              NotificationPolicy: {},
              OplocksEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FileShareARN: {}
            }
          }
        },
        UpdateSMBFileShareVisibility: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "FileSharesVisible"
            ],
            members: {
              GatewayARN: {},
              FileSharesVisible: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        UpdateSMBLocalGroups: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "SMBLocalGroups"
            ],
            members: {
              GatewayARN: {},
              SMBLocalGroups: {
                shape: "S5y"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        UpdateSMBSecurityStrategy: {
          input: {
            type: "structure",
            required: [
              "GatewayARN",
              "SMBSecurityStrategy"
            ],
            members: {
              GatewayARN: {},
              SMBSecurityStrategy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayARN: {}
            }
          }
        },
        UpdateSnapshotSchedule: {
          input: {
            type: "structure",
            required: [
              "VolumeARN",
              "StartAt",
              "RecurrenceInHours"
            ],
            members: {
              VolumeARN: {},
              StartAt: {
                type: "integer"
              },
              RecurrenceInHours: {
                type: "integer"
              },
              Description: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VolumeARN: {}
            }
          }
        },
        UpdateVTLDeviceType: {
          input: {
            type: "structure",
            required: [
              "VTLDeviceARN",
              "DeviceType"
            ],
            members: {
              VTLDeviceARN: {},
              DeviceType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VTLDeviceARN: {}
            }
          }
        }
      },
      shapes: {
        S9: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sg: {
          type: "list",
          member: {}
        },
        Sx: {
          type: "string",
          sensitive: true
        },
        S11: {
          type: "structure",
          members: {
            CacheStaleTimeoutInSeconds: {
              type: "integer"
            }
          }
        },
        S13: {
          type: "structure",
          members: {
            IpAddresses: {
              type: "list",
              member: {}
            }
          }
        },
        S1p: {
          type: "structure",
          members: {
            FileMode: {},
            DirectoryMode: {},
            GroupId: {
              type: "long"
            },
            OwnerId: {
              type: "long"
            }
          }
        },
        S1w: {
          type: "list",
          member: {}
        },
        S25: {
          type: "list",
          member: {}
        },
        S2x: {
          type: "list",
          member: {}
        },
        S3u: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "StartHourOfDay",
              "StartMinuteOfHour",
              "EndHourOfDay",
              "EndMinuteOfHour",
              "DaysOfWeek"
            ],
            members: {
              StartHourOfDay: {
                type: "integer"
              },
              StartMinuteOfHour: {
                type: "integer"
              },
              EndHourOfDay: {
                type: "integer"
              },
              EndMinuteOfHour: {
                type: "integer"
              },
              DaysOfWeek: {
                type: "list",
                member: {
                  type: "integer"
                }
              },
              AverageUploadRateLimitInBitsPerSec: {
                type: "long"
              },
              AverageDownloadRateLimitInBitsPerSec: {
                type: "long"
              }
            }
          }
        },
        S44: {
          type: "list",
          member: {}
        },
        S4d: {
          type: "structure",
          members: {
            TargetARN: {},
            NetworkInterfaceId: {},
            NetworkInterfacePort: {
              type: "integer"
            },
            LunNumber: {
              type: "integer"
            },
            ChapEnabled: {
              type: "boolean"
            }
          }
        },
        S4m: {
          type: "string",
          sensitive: true
        },
        S5i: {
          type: "list",
          member: {}
        },
        S5y: {
          type: "structure",
          members: {
            GatewayAdmins: {
              shape: "S25"
            }
          }
        },
        S7i: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "TapeBarcodePrefix",
              "PoolId",
              "TapeSizeInBytes",
              "MinimumNumTapes"
            ],
            members: {
              TapeBarcodePrefix: {},
              PoolId: {},
              TapeSizeInBytes: {
                type: "long"
              },
              MinimumNumTapes: {
                type: "integer"
              },
              Worm: {
                type: "boolean"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/storagegateway-2013-06-30.paginators.json
var require_storagegateway_2013_06_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/storagegateway-2013-06-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeCachediSCSIVolumes: {
          result_key: "CachediSCSIVolumes"
        },
        DescribeStorediSCSIVolumes: {
          result_key: "StorediSCSIVolumes"
        },
        DescribeTapeArchives: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "TapeArchives"
        },
        DescribeTapeRecoveryPoints: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "TapeRecoveryPointInfos"
        },
        DescribeTapes: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "Tapes"
        },
        DescribeVTLDevices: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "VTLDevices"
        },
        ListFileShares: {
          input_token: "Marker",
          limit_key: "Limit",
          non_aggregate_keys: [
            "Marker"
          ],
          output_token: "NextMarker",
          result_key: "FileShareInfoList"
        },
        ListFileSystemAssociations: {
          input_token: "Marker",
          limit_key: "Limit",
          non_aggregate_keys: [
            "Marker"
          ],
          output_token: "NextMarker",
          result_key: "FileSystemAssociationSummaryList"
        },
        ListGateways: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "Gateways"
        },
        ListLocalDisks: {
          result_key: "Disks"
        },
        ListTagsForResource: {
          input_token: "Marker",
          limit_key: "Limit",
          non_aggregate_keys: [
            "ResourceARN"
          ],
          output_token: "Marker",
          result_key: "Tags"
        },
        ListTapePools: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "PoolInfos"
        },
        ListTapes: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "TapeInfos"
        },
        ListVolumeRecoveryPoints: {
          result_key: "VolumeRecoveryPointInfos"
        },
        ListVolumes: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "VolumeInfos"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/storagegateway.js
var require_storagegateway = __commonJS({
  "node_modules/aws-sdk/clients/storagegateway.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["storagegateway"] = {};
    AWS2.StorageGateway = Service.defineService("storagegateway", ["2013-06-30"]);
    Object.defineProperty(apiLoader.services["storagegateway"], "2013-06-30", {
      get: function get() {
        var model = require_storagegateway_2013_06_30_min();
        model.paginators = require_storagegateway_2013_06_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.StorageGateway;
  }
});

// node_modules/aws-sdk/apis/states-2016-11-23.min.json
var require_states_2016_11_23_min = __commonJS({
  "node_modules/aws-sdk/apis/states-2016-11-23.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-11-23",
        endpointPrefix: "states",
        jsonVersion: "1.0",
        protocol: "json",
        serviceAbbreviation: "AWS SFN",
        serviceFullName: "AWS Step Functions",
        serviceId: "SFN",
        signatureVersion: "v4",
        targetPrefix: "AWSStepFunctions",
        uid: "states-2016-11-23"
      },
      operations: {
        CreateActivity: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              tags: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "activityArn",
              "creationDate"
            ],
            members: {
              activityArn: {},
              creationDate: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        },
        CreateStateMachine: {
          input: {
            type: "structure",
            required: [
              "name",
              "definition",
              "roleArn"
            ],
            members: {
              name: {},
              definition: {
                shape: "Sb"
              },
              roleArn: {},
              type: {},
              loggingConfiguration: {
                shape: "Sd"
              },
              tags: {
                shape: "S3"
              },
              tracingConfiguration: {
                shape: "Sj"
              },
              publish: {
                type: "boolean"
              },
              versionDescription: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "stateMachineArn",
              "creationDate"
            ],
            members: {
              stateMachineArn: {},
              creationDate: {
                type: "timestamp"
              },
              stateMachineVersionArn: {}
            }
          },
          idempotent: true
        },
        CreateStateMachineAlias: {
          input: {
            type: "structure",
            required: [
              "name",
              "routingConfiguration"
            ],
            members: {
              description: {
                shape: "Sp"
              },
              name: {},
              routingConfiguration: {
                shape: "Sr"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "stateMachineAliasArn",
              "creationDate"
            ],
            members: {
              stateMachineAliasArn: {},
              creationDate: {
                type: "timestamp"
              }
            }
          }
        },
        DeleteActivity: {
          input: {
            type: "structure",
            required: [
              "activityArn"
            ],
            members: {
              activityArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteStateMachine: {
          input: {
            type: "structure",
            required: [
              "stateMachineArn"
            ],
            members: {
              stateMachineArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteStateMachineAlias: {
          input: {
            type: "structure",
            required: [
              "stateMachineAliasArn"
            ],
            members: {
              stateMachineAliasArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteStateMachineVersion: {
          input: {
            type: "structure",
            required: [
              "stateMachineVersionArn"
            ],
            members: {
              stateMachineVersionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeActivity: {
          input: {
            type: "structure",
            required: [
              "activityArn"
            ],
            members: {
              activityArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "activityArn",
              "name",
              "creationDate"
            ],
            members: {
              activityArn: {},
              name: {},
              creationDate: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeExecution: {
          input: {
            type: "structure",
            required: [
              "executionArn"
            ],
            members: {
              executionArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "executionArn",
              "stateMachineArn",
              "status",
              "startDate"
            ],
            members: {
              executionArn: {},
              stateMachineArn: {},
              name: {},
              status: {},
              startDate: {
                type: "timestamp"
              },
              stopDate: {
                type: "timestamp"
              },
              input: {
                shape: "S19"
              },
              inputDetails: {
                shape: "S1a"
              },
              output: {
                shape: "S19"
              },
              outputDetails: {
                shape: "S1a"
              },
              traceHeader: {},
              mapRunArn: {},
              error: {
                shape: "S1d"
              },
              cause: {
                shape: "S1e"
              },
              stateMachineVersionArn: {},
              stateMachineAliasArn: {}
            }
          }
        },
        DescribeMapRun: {
          input: {
            type: "structure",
            required: [
              "mapRunArn"
            ],
            members: {
              mapRunArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "mapRunArn",
              "executionArn",
              "status",
              "startDate",
              "maxConcurrency",
              "toleratedFailurePercentage",
              "toleratedFailureCount",
              "itemCounts",
              "executionCounts"
            ],
            members: {
              mapRunArn: {},
              executionArn: {},
              status: {},
              startDate: {
                type: "timestamp"
              },
              stopDate: {
                type: "timestamp"
              },
              maxConcurrency: {
                type: "integer"
              },
              toleratedFailurePercentage: {
                type: "float"
              },
              toleratedFailureCount: {
                type: "long"
              },
              itemCounts: {
                type: "structure",
                required: [
                  "pending",
                  "running",
                  "succeeded",
                  "failed",
                  "timedOut",
                  "aborted",
                  "total",
                  "resultsWritten"
                ],
                members: {
                  pending: {
                    type: "long"
                  },
                  running: {
                    type: "long"
                  },
                  succeeded: {
                    type: "long"
                  },
                  failed: {
                    type: "long"
                  },
                  timedOut: {
                    type: "long"
                  },
                  aborted: {
                    type: "long"
                  },
                  total: {
                    type: "long"
                  },
                  resultsWritten: {
                    type: "long"
                  }
                }
              },
              executionCounts: {
                type: "structure",
                required: [
                  "pending",
                  "running",
                  "succeeded",
                  "failed",
                  "timedOut",
                  "aborted",
                  "total",
                  "resultsWritten"
                ],
                members: {
                  pending: {
                    type: "long"
                  },
                  running: {
                    type: "long"
                  },
                  succeeded: {
                    type: "long"
                  },
                  failed: {
                    type: "long"
                  },
                  timedOut: {
                    type: "long"
                  },
                  aborted: {
                    type: "long"
                  },
                  total: {
                    type: "long"
                  },
                  resultsWritten: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        DescribeStateMachine: {
          input: {
            type: "structure",
            required: [
              "stateMachineArn"
            ],
            members: {
              stateMachineArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "stateMachineArn",
              "name",
              "definition",
              "roleArn",
              "type",
              "creationDate"
            ],
            members: {
              stateMachineArn: {},
              name: {},
              status: {},
              definition: {
                shape: "Sb"
              },
              roleArn: {},
              type: {},
              creationDate: {
                type: "timestamp"
              },
              loggingConfiguration: {
                shape: "Sd"
              },
              tracingConfiguration: {
                shape: "Sj"
              },
              label: {},
              revisionId: {},
              description: {
                shape: "Sm"
              }
            }
          }
        },
        DescribeStateMachineAlias: {
          input: {
            type: "structure",
            required: [
              "stateMachineAliasArn"
            ],
            members: {
              stateMachineAliasArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              stateMachineAliasArn: {},
              name: {},
              description: {
                shape: "Sp"
              },
              routingConfiguration: {
                shape: "Sr"
              },
              creationDate: {
                type: "timestamp"
              },
              updateDate: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeStateMachineForExecution: {
          input: {
            type: "structure",
            required: [
              "executionArn"
            ],
            members: {
              executionArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "stateMachineArn",
              "name",
              "definition",
              "roleArn",
              "updateDate"
            ],
            members: {
              stateMachineArn: {},
              name: {},
              definition: {
                shape: "Sb"
              },
              roleArn: {},
              updateDate: {
                type: "timestamp"
              },
              loggingConfiguration: {
                shape: "Sd"
              },
              tracingConfiguration: {
                shape: "Sj"
              },
              mapRunArn: {},
              label: {},
              revisionId: {}
            }
          }
        },
        GetActivityTask: {
          input: {
            type: "structure",
            required: [
              "activityArn"
            ],
            members: {
              activityArn: {},
              workerName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              taskToken: {},
              input: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        GetExecutionHistory: {
          input: {
            type: "structure",
            required: [
              "executionArn"
            ],
            members: {
              executionArn: {},
              maxResults: {
                type: "integer"
              },
              reverseOrder: {
                type: "boolean"
              },
              nextToken: {},
              includeExecutionData: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "events"
            ],
            members: {
              events: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "timestamp",
                    "type",
                    "id"
                  ],
                  members: {
                    timestamp: {
                      type: "timestamp"
                    },
                    type: {},
                    id: {
                      type: "long"
                    },
                    previousEventId: {
                      type: "long"
                    },
                    activityFailedEventDetails: {
                      type: "structure",
                      members: {
                        error: {
                          shape: "S1d"
                        },
                        cause: {
                          shape: "S1e"
                        }
                      }
                    },
                    activityScheduleFailedEventDetails: {
                      type: "structure",
                      members: {
                        error: {
                          shape: "S1d"
                        },
                        cause: {
                          shape: "S1e"
                        }
                      }
                    },
                    activityScheduledEventDetails: {
                      type: "structure",
                      required: [
                        "resource"
                      ],
                      members: {
                        resource: {},
                        input: {
                          shape: "S19"
                        },
                        inputDetails: {
                          shape: "S2e"
                        },
                        timeoutInSeconds: {
                          type: "long"
                        },
                        heartbeatInSeconds: {
                          type: "long"
                        }
                      }
                    },
                    activityStartedEventDetails: {
                      type: "structure",
                      members: {
                        workerName: {}
                      }
                    },
                    activitySucceededEventDetails: {
                      type: "structure",
                      members: {
                        output: {
                          shape: "S19"
                        },
                        outputDetails: {
                          shape: "S2e"
                        }
                      }
                    },
                    activityTimedOutEventDetails: {
                      type: "structure",
                      members: {
                        error: {
                          shape: "S1d"
                        },
                        cause: {
                          shape: "S1e"
                        }
                      }
                    },
                    taskFailedEventDetails: {
                      type: "structure",
                      required: [
                        "resourceType",
                        "resource"
                      ],
                      members: {
                        resourceType: {},
                        resource: {},
                        error: {
                          shape: "S1d"
                        },
                        cause: {
                          shape: "S1e"
                        }
                      }
                    },
                    taskScheduledEventDetails: {
                      type: "structure",
                      required: [
                        "resourceType",
                        "resource",
                        "region",
                        "parameters"
                      ],
                      members: {
                        resourceType: {},
                        resource: {},
                        region: {},
                        parameters: {
                          type: "string",
                          sensitive: true
                        },
                        timeoutInSeconds: {
                          type: "long"
                        },
                        heartbeatInSeconds: {
                          type: "long"
                        },
                        taskCredentials: {
                          shape: "S2o"
                        }
                      }
                    },
                    taskStartFailedEventDetails: {
                      type: "structure",
                      required: [
                        "resourceType",
                        "resource"
                      ],
                      members: {
                        resourceType: {},
                        resource: {},
                        error: {
                          shape: "S1d"
                        },
                        cause: {
                          shape: "S1e"
                        }
                      }
                    },
                    taskStartedEventDetails: {
                      type: "structure",
                      required: [
                        "resourceType",
                        "resource"
                      ],
                      members: {
                        resourceType: {},
                        resource: {}
                      }
                    },
                    taskSubmitFailedEventDetails: {
                      type: "structure",
                      required: [
                        "resourceType",
                        "resource"
                      ],
                      members: {
                        resourceType: {},
                        resource: {},
                        error: {
                          shape: "S1d"
                        },
                        cause: {
                          shape: "S1e"
                        }
                      }
                    },
                    taskSubmittedEventDetails: {
                      type: "structure",
                      required: [
                        "resourceType",
                        "resource"
                      ],
                      members: {
                        resourceType: {},
                        resource: {},
                        output: {
                          shape: "S19"
                        },
                        outputDetails: {
                          shape: "S2e"
                        }
                      }
                    },
                    taskSucceededEventDetails: {
                      type: "structure",
                      required: [
                        "resourceType",
                        "resource"
                      ],
                      members: {
                        resourceType: {},
                        resource: {},
                        output: {
                          shape: "S19"
                        },
                        outputDetails: {
                          shape: "S2e"
                        }
                      }
                    },
                    taskTimedOutEventDetails: {
                      type: "structure",
                      required: [
                        "resourceType",
                        "resource"
                      ],
                      members: {
                        resourceType: {},
                        resource: {},
                        error: {
                          shape: "S1d"
                        },
                        cause: {
                          shape: "S1e"
                        }
                      }
                    },
                    executionFailedEventDetails: {
                      type: "structure",
                      members: {
                        error: {
                          shape: "S1d"
                        },
                        cause: {
                          shape: "S1e"
                        }
                      }
                    },
                    executionStartedEventDetails: {
                      type: "structure",
                      members: {
                        input: {
                          shape: "S19"
                        },
                        inputDetails: {
                          shape: "S2e"
                        },
                        roleArn: {},
                        stateMachineAliasArn: {},
                        stateMachineVersionArn: {}
                      }
                    },
                    executionSucceededEventDetails: {
                      type: "structure",
                      members: {
                        output: {
                          shape: "S19"
                        },
                        outputDetails: {
                          shape: "S2e"
                        }
                      }
                    },
                    executionAbortedEventDetails: {
                      type: "structure",
                      members: {
                        error: {
                          shape: "S1d"
                        },
                        cause: {
                          shape: "S1e"
                        }
                      }
                    },
                    executionTimedOutEventDetails: {
                      type: "structure",
                      members: {
                        error: {
                          shape: "S1d"
                        },
                        cause: {
                          shape: "S1e"
                        }
                      }
                    },
                    mapStateStartedEventDetails: {
                      type: "structure",
                      members: {
                        length: {
                          type: "integer"
                        }
                      }
                    },
                    mapIterationStartedEventDetails: {
                      shape: "S32"
                    },
                    mapIterationSucceededEventDetails: {
                      shape: "S32"
                    },
                    mapIterationFailedEventDetails: {
                      shape: "S32"
                    },
                    mapIterationAbortedEventDetails: {
                      shape: "S32"
                    },
                    lambdaFunctionFailedEventDetails: {
                      type: "structure",
                      members: {
                        error: {
                          shape: "S1d"
                        },
                        cause: {
                          shape: "S1e"
                        }
                      }
                    },
                    lambdaFunctionScheduleFailedEventDetails: {
                      type: "structure",
                      members: {
                        error: {
                          shape: "S1d"
                        },
                        cause: {
                          shape: "S1e"
                        }
                      }
                    },
                    lambdaFunctionScheduledEventDetails: {
                      type: "structure",
                      required: [
                        "resource"
                      ],
                      members: {
                        resource: {},
                        input: {
                          shape: "S19"
                        },
                        inputDetails: {
                          shape: "S2e"
                        },
                        timeoutInSeconds: {
                          type: "long"
                        },
                        taskCredentials: {
                          shape: "S2o"
                        }
                      }
                    },
                    lambdaFunctionStartFailedEventDetails: {
                      type: "structure",
                      members: {
                        error: {
                          shape: "S1d"
                        },
                        cause: {
                          shape: "S1e"
                        }
                      }
                    },
                    lambdaFunctionSucceededEventDetails: {
                      type: "structure",
                      members: {
                        output: {
                          shape: "S19"
                        },
                        outputDetails: {
                          shape: "S2e"
                        }
                      }
                    },
                    lambdaFunctionTimedOutEventDetails: {
                      type: "structure",
                      members: {
                        error: {
                          shape: "S1d"
                        },
                        cause: {
                          shape: "S1e"
                        }
                      }
                    },
                    stateEnteredEventDetails: {
                      type: "structure",
                      required: [
                        "name"
                      ],
                      members: {
                        name: {},
                        input: {
                          shape: "S19"
                        },
                        inputDetails: {
                          shape: "S2e"
                        }
                      }
                    },
                    stateExitedEventDetails: {
                      type: "structure",
                      required: [
                        "name"
                      ],
                      members: {
                        name: {},
                        output: {
                          shape: "S19"
                        },
                        outputDetails: {
                          shape: "S2e"
                        }
                      }
                    },
                    mapRunStartedEventDetails: {
                      type: "structure",
                      members: {
                        mapRunArn: {}
                      }
                    },
                    mapRunFailedEventDetails: {
                      type: "structure",
                      members: {
                        error: {
                          shape: "S1d"
                        },
                        cause: {
                          shape: "S1e"
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListActivities: {
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "activities"
            ],
            members: {
              activities: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "activityArn",
                    "name",
                    "creationDate"
                  ],
                  members: {
                    activityArn: {},
                    name: {},
                    creationDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListExecutions: {
          input: {
            type: "structure",
            members: {
              stateMachineArn: {},
              statusFilter: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              mapRunArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "executions"
            ],
            members: {
              executions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "executionArn",
                    "stateMachineArn",
                    "name",
                    "status",
                    "startDate"
                  ],
                  members: {
                    executionArn: {},
                    stateMachineArn: {},
                    name: {},
                    status: {},
                    startDate: {
                      type: "timestamp"
                    },
                    stopDate: {
                      type: "timestamp"
                    },
                    mapRunArn: {},
                    itemCount: {
                      type: "integer"
                    },
                    stateMachineVersionArn: {},
                    stateMachineAliasArn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListMapRuns: {
          input: {
            type: "structure",
            required: [
              "executionArn"
            ],
            members: {
              executionArn: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "mapRuns"
            ],
            members: {
              mapRuns: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "executionArn",
                    "mapRunArn",
                    "stateMachineArn",
                    "startDate"
                  ],
                  members: {
                    executionArn: {},
                    mapRunArn: {},
                    stateMachineArn: {},
                    startDate: {
                      type: "timestamp"
                    },
                    stopDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListStateMachineAliases: {
          input: {
            type: "structure",
            required: [
              "stateMachineArn"
            ],
            members: {
              stateMachineArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "stateMachineAliases"
            ],
            members: {
              stateMachineAliases: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "stateMachineAliasArn",
                    "creationDate"
                  ],
                  members: {
                    stateMachineAliasArn: {},
                    creationDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListStateMachineVersions: {
          input: {
            type: "structure",
            required: [
              "stateMachineArn"
            ],
            members: {
              stateMachineArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "stateMachineVersions"
            ],
            members: {
              stateMachineVersions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "stateMachineVersionArn",
                    "creationDate"
                  ],
                  members: {
                    stateMachineVersionArn: {},
                    creationDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListStateMachines: {
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "stateMachines"
            ],
            members: {
              stateMachines: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "stateMachineArn",
                    "name",
                    "type",
                    "creationDate"
                  ],
                  members: {
                    stateMachineArn: {},
                    name: {},
                    type: {},
                    creationDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S3"
              }
            }
          }
        },
        PublishStateMachineVersion: {
          input: {
            type: "structure",
            required: [
              "stateMachineArn"
            ],
            members: {
              stateMachineArn: {},
              revisionId: {},
              description: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "creationDate",
              "stateMachineVersionArn"
            ],
            members: {
              creationDate: {
                type: "timestamp"
              },
              stateMachineVersionArn: {}
            }
          },
          idempotent: true
        },
        SendTaskFailure: {
          input: {
            type: "structure",
            required: [
              "taskToken"
            ],
            members: {
              taskToken: {},
              error: {
                shape: "S1d"
              },
              cause: {
                shape: "S1e"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SendTaskHeartbeat: {
          input: {
            type: "structure",
            required: [
              "taskToken"
            ],
            members: {
              taskToken: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SendTaskSuccess: {
          input: {
            type: "structure",
            required: [
              "taskToken",
              "output"
            ],
            members: {
              taskToken: {},
              output: {
                shape: "S19"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartExecution: {
          input: {
            type: "structure",
            required: [
              "stateMachineArn"
            ],
            members: {
              stateMachineArn: {},
              name: {},
              input: {
                shape: "S19"
              },
              traceHeader: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "executionArn",
              "startDate"
            ],
            members: {
              executionArn: {},
              startDate: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        },
        StartSyncExecution: {
          input: {
            type: "structure",
            required: [
              "stateMachineArn"
            ],
            members: {
              stateMachineArn: {},
              name: {},
              input: {
                shape: "S19"
              },
              traceHeader: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "executionArn",
              "startDate",
              "stopDate",
              "status"
            ],
            members: {
              executionArn: {},
              stateMachineArn: {},
              name: {},
              startDate: {
                type: "timestamp"
              },
              stopDate: {
                type: "timestamp"
              },
              status: {},
              error: {
                shape: "S1d"
              },
              cause: {
                shape: "S1e"
              },
              input: {
                shape: "S19"
              },
              inputDetails: {
                shape: "S1a"
              },
              output: {
                shape: "S19"
              },
              outputDetails: {
                shape: "S1a"
              },
              traceHeader: {},
              billingDetails: {
                type: "structure",
                members: {
                  billedMemoryUsedInMB: {
                    type: "long"
                  },
                  billedDurationInMilliseconds: {
                    type: "long"
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "sync-"
          }
        },
        StopExecution: {
          input: {
            type: "structure",
            required: [
              "executionArn"
            ],
            members: {
              executionArn: {},
              error: {
                shape: "S1d"
              },
              cause: {
                shape: "S1e"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "stopDate"
            ],
            members: {
              stopDate: {
                type: "timestamp"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateMapRun: {
          input: {
            type: "structure",
            required: [
              "mapRunArn"
            ],
            members: {
              mapRunArn: {},
              maxConcurrency: {
                type: "integer"
              },
              toleratedFailurePercentage: {
                type: "float"
              },
              toleratedFailureCount: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateStateMachine: {
          input: {
            type: "structure",
            required: [
              "stateMachineArn"
            ],
            members: {
              stateMachineArn: {},
              definition: {
                shape: "Sb"
              },
              roleArn: {},
              loggingConfiguration: {
                shape: "Sd"
              },
              tracingConfiguration: {
                shape: "Sj"
              },
              publish: {
                type: "boolean"
              },
              versionDescription: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "updateDate"
            ],
            members: {
              updateDate: {
                type: "timestamp"
              },
              revisionId: {},
              stateMachineVersionArn: {}
            }
          },
          idempotent: true
        },
        UpdateStateMachineAlias: {
          input: {
            type: "structure",
            required: [
              "stateMachineAliasArn"
            ],
            members: {
              stateMachineAliasArn: {},
              description: {
                shape: "Sp"
              },
              routingConfiguration: {
                shape: "Sr"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "updateDate"
            ],
            members: {
              updateDate: {
                type: "timestamp"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            type: "structure",
            members: {
              key: {},
              value: {}
            }
          }
        },
        Sb: {
          type: "string",
          sensitive: true
        },
        Sd: {
          type: "structure",
          members: {
            level: {},
            includeExecutionData: {
              type: "boolean"
            },
            destinations: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  cloudWatchLogsLogGroup: {
                    type: "structure",
                    members: {
                      logGroupArn: {}
                    }
                  }
                }
              }
            }
          }
        },
        Sj: {
          type: "structure",
          members: {
            enabled: {
              type: "boolean"
            }
          }
        },
        Sm: {
          type: "string",
          sensitive: true
        },
        Sp: {
          type: "string",
          sensitive: true
        },
        Sr: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "stateMachineVersionArn",
              "weight"
            ],
            members: {
              stateMachineVersionArn: {},
              weight: {
                type: "integer"
              }
            }
          }
        },
        S19: {
          type: "string",
          sensitive: true
        },
        S1a: {
          type: "structure",
          members: {
            included: {
              type: "boolean"
            }
          }
        },
        S1d: {
          type: "string",
          sensitive: true
        },
        S1e: {
          type: "string",
          sensitive: true
        },
        S2e: {
          type: "structure",
          members: {
            truncated: {
              type: "boolean"
            }
          }
        },
        S2o: {
          type: "structure",
          members: {
            roleArn: {}
          }
        },
        S32: {
          type: "structure",
          members: {
            name: {},
            index: {
              type: "integer"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/states-2016-11-23.paginators.json
var require_states_2016_11_23_paginators = __commonJS({
  "node_modules/aws-sdk/apis/states-2016-11-23.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetExecutionHistory: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "events"
        },
        ListActivities: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "activities"
        },
        ListExecutions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "executions"
        },
        ListMapRuns: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "mapRuns"
        },
        ListStateMachines: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "stateMachines"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/stepfunctions.js
var require_stepfunctions = __commonJS({
  "node_modules/aws-sdk/clients/stepfunctions.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["stepfunctions"] = {};
    AWS2.StepFunctions = Service.defineService("stepfunctions", ["2016-11-23"]);
    Object.defineProperty(apiLoader.services["stepfunctions"], "2016-11-23", {
      get: function get() {
        var model = require_states_2016_11_23_min();
        model.paginators = require_states_2016_11_23_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.StepFunctions;
  }
});

// node_modules/aws-sdk/apis/support-2013-04-15.min.json
var require_support_2013_04_15_min = __commonJS({
  "node_modules/aws-sdk/apis/support-2013-04-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2013-04-15",
        endpointPrefix: "support",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Support",
        serviceId: "Support",
        signatureVersion: "v4",
        targetPrefix: "AWSSupport_20130415",
        uid: "support-2013-04-15"
      },
      operations: {
        AddAttachmentsToSet: {
          input: {
            type: "structure",
            required: [
              "attachments"
            ],
            members: {
              attachmentSetId: {},
              attachments: {
                type: "list",
                member: {
                  shape: "S4"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              attachmentSetId: {},
              expiryTime: {}
            }
          }
        },
        AddCommunicationToCase: {
          input: {
            type: "structure",
            required: [
              "communicationBody"
            ],
            members: {
              caseId: {},
              communicationBody: {},
              ccEmailAddresses: {
                shape: "Sc"
              },
              attachmentSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              result: {
                type: "boolean"
              }
            }
          }
        },
        CreateCase: {
          input: {
            type: "structure",
            required: [
              "subject",
              "communicationBody"
            ],
            members: {
              subject: {},
              serviceCode: {},
              severityCode: {},
              categoryCode: {},
              communicationBody: {},
              ccEmailAddresses: {
                shape: "Sc"
              },
              language: {},
              issueType: {},
              attachmentSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              caseId: {}
            }
          }
        },
        DescribeAttachment: {
          input: {
            type: "structure",
            required: [
              "attachmentId"
            ],
            members: {
              attachmentId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              attachment: {
                shape: "S4"
              }
            }
          }
        },
        DescribeCases: {
          input: {
            type: "structure",
            members: {
              caseIdList: {
                type: "list",
                member: {}
              },
              displayId: {},
              afterTime: {},
              beforeTime: {},
              includeResolvedCases: {
                type: "boolean"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              language: {},
              includeCommunications: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              cases: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    caseId: {},
                    displayId: {},
                    subject: {},
                    status: {},
                    serviceCode: {},
                    categoryCode: {},
                    severityCode: {},
                    submittedBy: {},
                    timeCreated: {},
                    recentCommunications: {
                      type: "structure",
                      members: {
                        communications: {
                          shape: "S17"
                        },
                        nextToken: {}
                      }
                    },
                    ccEmailAddresses: {
                      shape: "Sc"
                    },
                    language: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeCommunications: {
          input: {
            type: "structure",
            required: [
              "caseId"
            ],
            members: {
              caseId: {},
              beforeTime: {},
              afterTime: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              communications: {
                shape: "S17"
              },
              nextToken: {}
            }
          }
        },
        DescribeCreateCaseOptions: {
          input: {
            type: "structure",
            required: [
              "issueType",
              "serviceCode",
              "language",
              "categoryCode"
            ],
            members: {
              issueType: {},
              serviceCode: {},
              language: {},
              categoryCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              languageAvailability: {},
              communicationTypes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    type: {},
                    supportedHours: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          startTime: {},
                          endTime: {}
                        }
                      }
                    },
                    datesWithoutSupport: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          startDateTime: {},
                          endDateTime: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeServices: {
          input: {
            type: "structure",
            members: {
              serviceCodeList: {
                type: "list",
                member: {}
              },
              language: {}
            }
          },
          output: {
            type: "structure",
            members: {
              services: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    code: {},
                    name: {},
                    categories: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          code: {},
                          name: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeSeverityLevels: {
          input: {
            type: "structure",
            members: {
              language: {}
            }
          },
          output: {
            type: "structure",
            members: {
              severityLevels: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    code: {},
                    name: {}
                  }
                }
              }
            }
          }
        },
        DescribeSupportedLanguages: {
          input: {
            type: "structure",
            required: [
              "issueType",
              "serviceCode",
              "categoryCode"
            ],
            members: {
              issueType: {},
              serviceCode: {},
              categoryCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              supportedLanguages: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    code: {},
                    language: {},
                    display: {}
                  }
                }
              }
            }
          }
        },
        DescribeTrustedAdvisorCheckRefreshStatuses: {
          input: {
            type: "structure",
            required: [
              "checkIds"
            ],
            members: {
              checkIds: {
                shape: "S2g"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "statuses"
            ],
            members: {
              statuses: {
                type: "list",
                member: {
                  shape: "S2k"
                }
              }
            }
          }
        },
        DescribeTrustedAdvisorCheckResult: {
          input: {
            type: "structure",
            required: [
              "checkId"
            ],
            members: {
              checkId: {},
              language: {}
            }
          },
          output: {
            type: "structure",
            members: {
              result: {
                type: "structure",
                required: [
                  "checkId",
                  "timestamp",
                  "status",
                  "resourcesSummary",
                  "categorySpecificSummary",
                  "flaggedResources"
                ],
                members: {
                  checkId: {},
                  timestamp: {},
                  status: {},
                  resourcesSummary: {
                    shape: "S2p"
                  },
                  categorySpecificSummary: {
                    shape: "S2q"
                  },
                  flaggedResources: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "status",
                        "resourceId",
                        "metadata"
                      ],
                      members: {
                        status: {},
                        region: {},
                        resourceId: {},
                        isSuppressed: {
                          type: "boolean"
                        },
                        metadata: {
                          shape: "S2g"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeTrustedAdvisorCheckSummaries: {
          input: {
            type: "structure",
            required: [
              "checkIds"
            ],
            members: {
              checkIds: {
                shape: "S2g"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "summaries"
            ],
            members: {
              summaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "checkId",
                    "timestamp",
                    "status",
                    "resourcesSummary",
                    "categorySpecificSummary"
                  ],
                  members: {
                    checkId: {},
                    timestamp: {},
                    status: {},
                    hasFlaggedResources: {
                      type: "boolean"
                    },
                    resourcesSummary: {
                      shape: "S2p"
                    },
                    categorySpecificSummary: {
                      shape: "S2q"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeTrustedAdvisorChecks: {
          input: {
            type: "structure",
            required: [
              "language"
            ],
            members: {
              language: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "checks"
            ],
            members: {
              checks: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "name",
                    "description",
                    "category",
                    "metadata"
                  ],
                  members: {
                    id: {},
                    name: {},
                    description: {},
                    category: {},
                    metadata: {
                      shape: "S2g"
                    }
                  }
                }
              }
            }
          }
        },
        RefreshTrustedAdvisorCheck: {
          input: {
            type: "structure",
            required: [
              "checkId"
            ],
            members: {
              checkId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "status"
            ],
            members: {
              status: {
                shape: "S2k"
              }
            }
          }
        },
        ResolveCase: {
          input: {
            type: "structure",
            members: {
              caseId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              initialCaseStatus: {},
              finalCaseStatus: {}
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            fileName: {},
            data: {
              type: "blob"
            }
          }
        },
        Sc: {
          type: "list",
          member: {}
        },
        S17: {
          type: "list",
          member: {
            type: "structure",
            members: {
              caseId: {},
              body: {},
              submittedBy: {},
              timeCreated: {},
              attachmentSet: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    attachmentId: {},
                    fileName: {}
                  }
                }
              }
            }
          }
        },
        S2g: {
          type: "list",
          member: {}
        },
        S2k: {
          type: "structure",
          required: [
            "checkId",
            "status",
            "millisUntilNextRefreshable"
          ],
          members: {
            checkId: {},
            status: {},
            millisUntilNextRefreshable: {
              type: "long"
            }
          }
        },
        S2p: {
          type: "structure",
          required: [
            "resourcesProcessed",
            "resourcesFlagged",
            "resourcesIgnored",
            "resourcesSuppressed"
          ],
          members: {
            resourcesProcessed: {
              type: "long"
            },
            resourcesFlagged: {
              type: "long"
            },
            resourcesIgnored: {
              type: "long"
            },
            resourcesSuppressed: {
              type: "long"
            }
          }
        },
        S2q: {
          type: "structure",
          members: {
            costOptimizing: {
              type: "structure",
              required: [
                "estimatedMonthlySavings",
                "estimatedPercentMonthlySavings"
              ],
              members: {
                estimatedMonthlySavings: {
                  type: "double"
                },
                estimatedPercentMonthlySavings: {
                  type: "double"
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/support-2013-04-15.paginators.json
var require_support_2013_04_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/support-2013-04-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeCases: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "cases"
        },
        DescribeCommunications: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "communications"
        },
        DescribeServices: {
          result_key: "services"
        },
        DescribeTrustedAdvisorCheckRefreshStatuses: {
          result_key: "statuses"
        },
        DescribeTrustedAdvisorCheckSummaries: {
          result_key: "summaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/support.js
var require_support = __commonJS({
  "node_modules/aws-sdk/clients/support.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["support"] = {};
    AWS2.Support = Service.defineService("support", ["2013-04-15"]);
    Object.defineProperty(apiLoader.services["support"], "2013-04-15", {
      get: function get() {
        var model = require_support_2013_04_15_min();
        model.paginators = require_support_2013_04_15_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Support;
  }
});

// node_modules/aws-sdk/lib/services/swf.js
var require_swf = __commonJS({
  "node_modules/aws-sdk/lib/services/swf.js"() {
    var AWS2 = require_core();
    AWS2.util.hideProperties(AWS2, ["SimpleWorkflow"]);
    AWS2.SimpleWorkflow = AWS2.SWF;
  }
});

// node_modules/aws-sdk/apis/swf-2012-01-25.min.json
var require_swf_2012_01_25_min = __commonJS({
  "node_modules/aws-sdk/apis/swf-2012-01-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2012-01-25",
        endpointPrefix: "swf",
        jsonVersion: "1.0",
        protocol: "json",
        serviceAbbreviation: "Amazon SWF",
        serviceFullName: "Amazon Simple Workflow Service",
        serviceId: "SWF",
        signatureVersion: "v4",
        targetPrefix: "SimpleWorkflowService",
        uid: "swf-2012-01-25"
      },
      operations: {
        CountClosedWorkflowExecutions: {
          input: {
            type: "structure",
            required: [
              "domain"
            ],
            members: {
              domain: {},
              startTimeFilter: {
                shape: "S3"
              },
              closeTimeFilter: {
                shape: "S3"
              },
              executionFilter: {
                shape: "S5"
              },
              typeFilter: {
                shape: "S7"
              },
              tagFilter: {
                shape: "Sa"
              },
              closeStatusFilter: {
                shape: "Sc"
              }
            }
          },
          output: {
            shape: "Se"
          }
        },
        CountOpenWorkflowExecutions: {
          input: {
            type: "structure",
            required: [
              "domain",
              "startTimeFilter"
            ],
            members: {
              domain: {},
              startTimeFilter: {
                shape: "S3"
              },
              typeFilter: {
                shape: "S7"
              },
              tagFilter: {
                shape: "Sa"
              },
              executionFilter: {
                shape: "S5"
              }
            }
          },
          output: {
            shape: "Se"
          }
        },
        CountPendingActivityTasks: {
          input: {
            type: "structure",
            required: [
              "domain",
              "taskList"
            ],
            members: {
              domain: {},
              taskList: {
                shape: "Sj"
              }
            }
          },
          output: {
            shape: "Sk"
          }
        },
        CountPendingDecisionTasks: {
          input: {
            type: "structure",
            required: [
              "domain",
              "taskList"
            ],
            members: {
              domain: {},
              taskList: {
                shape: "Sj"
              }
            }
          },
          output: {
            shape: "Sk"
          }
        },
        DeprecateActivityType: {
          input: {
            type: "structure",
            required: [
              "domain",
              "activityType"
            ],
            members: {
              domain: {},
              activityType: {
                shape: "Sn"
              }
            }
          }
        },
        DeprecateDomain: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          }
        },
        DeprecateWorkflowType: {
          input: {
            type: "structure",
            required: [
              "domain",
              "workflowType"
            ],
            members: {
              domain: {},
              workflowType: {
                shape: "Sr"
              }
            }
          }
        },
        DescribeActivityType: {
          input: {
            type: "structure",
            required: [
              "domain",
              "activityType"
            ],
            members: {
              domain: {},
              activityType: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "typeInfo",
              "configuration"
            ],
            members: {
              typeInfo: {
                shape: "Su"
              },
              configuration: {
                type: "structure",
                members: {
                  defaultTaskStartToCloseTimeout: {},
                  defaultTaskHeartbeatTimeout: {},
                  defaultTaskList: {
                    shape: "Sj"
                  },
                  defaultTaskPriority: {},
                  defaultTaskScheduleToStartTimeout: {},
                  defaultTaskScheduleToCloseTimeout: {}
                }
              }
            }
          }
        },
        DescribeDomain: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "domainInfo",
              "configuration"
            ],
            members: {
              domainInfo: {
                shape: "S12"
              },
              configuration: {
                type: "structure",
                required: [
                  "workflowExecutionRetentionPeriodInDays"
                ],
                members: {
                  workflowExecutionRetentionPeriodInDays: {}
                }
              }
            }
          }
        },
        DescribeWorkflowExecution: {
          input: {
            type: "structure",
            required: [
              "domain",
              "execution"
            ],
            members: {
              domain: {},
              execution: {
                shape: "S17"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "executionInfo",
              "executionConfiguration",
              "openCounts"
            ],
            members: {
              executionInfo: {
                shape: "S1a"
              },
              executionConfiguration: {
                type: "structure",
                required: [
                  "taskStartToCloseTimeout",
                  "executionStartToCloseTimeout",
                  "taskList",
                  "childPolicy"
                ],
                members: {
                  taskStartToCloseTimeout: {},
                  executionStartToCloseTimeout: {},
                  taskList: {
                    shape: "Sj"
                  },
                  taskPriority: {},
                  childPolicy: {},
                  lambdaRole: {}
                }
              },
              openCounts: {
                type: "structure",
                required: [
                  "openActivityTasks",
                  "openDecisionTasks",
                  "openTimers",
                  "openChildWorkflowExecutions"
                ],
                members: {
                  openActivityTasks: {
                    type: "integer"
                  },
                  openDecisionTasks: {
                    type: "integer"
                  },
                  openTimers: {
                    type: "integer"
                  },
                  openChildWorkflowExecutions: {
                    type: "integer"
                  },
                  openLambdaFunctions: {
                    type: "integer"
                  }
                }
              },
              latestActivityTaskTimestamp: {
                type: "timestamp"
              },
              latestExecutionContext: {}
            }
          }
        },
        DescribeWorkflowType: {
          input: {
            type: "structure",
            required: [
              "domain",
              "workflowType"
            ],
            members: {
              domain: {},
              workflowType: {
                shape: "Sr"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "typeInfo",
              "configuration"
            ],
            members: {
              typeInfo: {
                shape: "S1m"
              },
              configuration: {
                type: "structure",
                members: {
                  defaultTaskStartToCloseTimeout: {},
                  defaultExecutionStartToCloseTimeout: {},
                  defaultTaskList: {
                    shape: "Sj"
                  },
                  defaultTaskPriority: {},
                  defaultChildPolicy: {},
                  defaultLambdaRole: {}
                }
              }
            }
          }
        },
        GetWorkflowExecutionHistory: {
          input: {
            type: "structure",
            required: [
              "domain",
              "execution"
            ],
            members: {
              domain: {},
              execution: {
                shape: "S17"
              },
              nextPageToken: {},
              maximumPageSize: {
                type: "integer"
              },
              reverseOrder: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "events"
            ],
            members: {
              events: {
                shape: "S1t"
              },
              nextPageToken: {}
            }
          }
        },
        ListActivityTypes: {
          input: {
            type: "structure",
            required: [
              "domain",
              "registrationStatus"
            ],
            members: {
              domain: {},
              name: {},
              registrationStatus: {},
              nextPageToken: {},
              maximumPageSize: {
                type: "integer"
              },
              reverseOrder: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "typeInfos"
            ],
            members: {
              typeInfos: {
                type: "list",
                member: {
                  shape: "Su"
                }
              },
              nextPageToken: {}
            }
          }
        },
        ListClosedWorkflowExecutions: {
          input: {
            type: "structure",
            required: [
              "domain"
            ],
            members: {
              domain: {},
              startTimeFilter: {
                shape: "S3"
              },
              closeTimeFilter: {
                shape: "S3"
              },
              executionFilter: {
                shape: "S5"
              },
              closeStatusFilter: {
                shape: "Sc"
              },
              typeFilter: {
                shape: "S7"
              },
              tagFilter: {
                shape: "Sa"
              },
              nextPageToken: {},
              maximumPageSize: {
                type: "integer"
              },
              reverseOrder: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S4g"
          }
        },
        ListDomains: {
          input: {
            type: "structure",
            required: [
              "registrationStatus"
            ],
            members: {
              nextPageToken: {},
              registrationStatus: {},
              maximumPageSize: {
                type: "integer"
              },
              reverseOrder: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "domainInfos"
            ],
            members: {
              domainInfos: {
                type: "list",
                member: {
                  shape: "S12"
                }
              },
              nextPageToken: {}
            }
          }
        },
        ListOpenWorkflowExecutions: {
          input: {
            type: "structure",
            required: [
              "domain",
              "startTimeFilter"
            ],
            members: {
              domain: {},
              startTimeFilter: {
                shape: "S3"
              },
              typeFilter: {
                shape: "S7"
              },
              tagFilter: {
                shape: "Sa"
              },
              nextPageToken: {},
              maximumPageSize: {
                type: "integer"
              },
              reverseOrder: {
                type: "boolean"
              },
              executionFilter: {
                shape: "S5"
              }
            }
          },
          output: {
            shape: "S4g"
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S4o"
              }
            }
          }
        },
        ListWorkflowTypes: {
          input: {
            type: "structure",
            required: [
              "domain",
              "registrationStatus"
            ],
            members: {
              domain: {},
              name: {},
              registrationStatus: {},
              nextPageToken: {},
              maximumPageSize: {
                type: "integer"
              },
              reverseOrder: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "typeInfos"
            ],
            members: {
              typeInfos: {
                type: "list",
                member: {
                  shape: "S1m"
                }
              },
              nextPageToken: {}
            }
          }
        },
        PollForActivityTask: {
          input: {
            type: "structure",
            required: [
              "domain",
              "taskList"
            ],
            members: {
              domain: {},
              taskList: {
                shape: "Sj"
              },
              identity: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "taskToken",
              "activityId",
              "startedEventId",
              "workflowExecution",
              "activityType"
            ],
            members: {
              taskToken: {},
              activityId: {},
              startedEventId: {
                type: "long"
              },
              workflowExecution: {
                shape: "S17"
              },
              activityType: {
                shape: "Sn"
              },
              input: {}
            }
          }
        },
        PollForDecisionTask: {
          input: {
            type: "structure",
            required: [
              "domain",
              "taskList"
            ],
            members: {
              domain: {},
              taskList: {
                shape: "Sj"
              },
              identity: {},
              nextPageToken: {},
              maximumPageSize: {
                type: "integer"
              },
              reverseOrder: {
                type: "boolean"
              },
              startAtPreviousStartedEvent: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "taskToken",
              "startedEventId",
              "workflowExecution",
              "workflowType",
              "events"
            ],
            members: {
              taskToken: {},
              startedEventId: {
                type: "long"
              },
              workflowExecution: {
                shape: "S17"
              },
              workflowType: {
                shape: "Sr"
              },
              events: {
                shape: "S1t"
              },
              nextPageToken: {},
              previousStartedEventId: {
                type: "long"
              }
            }
          }
        },
        RecordActivityTaskHeartbeat: {
          input: {
            type: "structure",
            required: [
              "taskToken"
            ],
            members: {
              taskToken: {},
              details: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "cancelRequested"
            ],
            members: {
              cancelRequested: {
                type: "boolean"
              }
            }
          }
        },
        RegisterActivityType: {
          input: {
            type: "structure",
            required: [
              "domain",
              "name",
              "version"
            ],
            members: {
              domain: {},
              name: {},
              version: {},
              description: {},
              defaultTaskStartToCloseTimeout: {},
              defaultTaskHeartbeatTimeout: {},
              defaultTaskList: {
                shape: "Sj"
              },
              defaultTaskPriority: {},
              defaultTaskScheduleToStartTimeout: {},
              defaultTaskScheduleToCloseTimeout: {}
            }
          }
        },
        RegisterDomain: {
          input: {
            type: "structure",
            required: [
              "name",
              "workflowExecutionRetentionPeriodInDays"
            ],
            members: {
              name: {},
              description: {},
              workflowExecutionRetentionPeriodInDays: {},
              tags: {
                shape: "S4o"
              }
            }
          }
        },
        RegisterWorkflowType: {
          input: {
            type: "structure",
            required: [
              "domain",
              "name",
              "version"
            ],
            members: {
              domain: {},
              name: {},
              version: {},
              description: {},
              defaultTaskStartToCloseTimeout: {},
              defaultExecutionStartToCloseTimeout: {},
              defaultTaskList: {
                shape: "Sj"
              },
              defaultTaskPriority: {},
              defaultChildPolicy: {},
              defaultLambdaRole: {}
            }
          }
        },
        RequestCancelWorkflowExecution: {
          input: {
            type: "structure",
            required: [
              "domain",
              "workflowId"
            ],
            members: {
              domain: {},
              workflowId: {},
              runId: {}
            }
          }
        },
        RespondActivityTaskCanceled: {
          input: {
            type: "structure",
            required: [
              "taskToken"
            ],
            members: {
              taskToken: {},
              details: {}
            }
          }
        },
        RespondActivityTaskCompleted: {
          input: {
            type: "structure",
            required: [
              "taskToken"
            ],
            members: {
              taskToken: {},
              result: {}
            }
          }
        },
        RespondActivityTaskFailed: {
          input: {
            type: "structure",
            required: [
              "taskToken"
            ],
            members: {
              taskToken: {},
              reason: {},
              details: {}
            }
          }
        },
        RespondDecisionTaskCompleted: {
          input: {
            type: "structure",
            required: [
              "taskToken"
            ],
            members: {
              taskToken: {},
              decisions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "decisionType"
                  ],
                  members: {
                    decisionType: {},
                    scheduleActivityTaskDecisionAttributes: {
                      type: "structure",
                      required: [
                        "activityType",
                        "activityId"
                      ],
                      members: {
                        activityType: {
                          shape: "Sn"
                        },
                        activityId: {},
                        control: {},
                        input: {},
                        scheduleToCloseTimeout: {},
                        taskList: {
                          shape: "Sj"
                        },
                        taskPriority: {},
                        scheduleToStartTimeout: {},
                        startToCloseTimeout: {},
                        heartbeatTimeout: {}
                      }
                    },
                    requestCancelActivityTaskDecisionAttributes: {
                      type: "structure",
                      required: [
                        "activityId"
                      ],
                      members: {
                        activityId: {}
                      }
                    },
                    completeWorkflowExecutionDecisionAttributes: {
                      type: "structure",
                      members: {
                        result: {}
                      }
                    },
                    failWorkflowExecutionDecisionAttributes: {
                      type: "structure",
                      members: {
                        reason: {},
                        details: {}
                      }
                    },
                    cancelWorkflowExecutionDecisionAttributes: {
                      type: "structure",
                      members: {
                        details: {}
                      }
                    },
                    continueAsNewWorkflowExecutionDecisionAttributes: {
                      type: "structure",
                      members: {
                        input: {},
                        executionStartToCloseTimeout: {},
                        taskList: {
                          shape: "Sj"
                        },
                        taskPriority: {},
                        taskStartToCloseTimeout: {},
                        childPolicy: {},
                        tagList: {
                          shape: "S1c"
                        },
                        workflowTypeVersion: {},
                        lambdaRole: {}
                      }
                    },
                    recordMarkerDecisionAttributes: {
                      type: "structure",
                      required: [
                        "markerName"
                      ],
                      members: {
                        markerName: {},
                        details: {}
                      }
                    },
                    startTimerDecisionAttributes: {
                      type: "structure",
                      required: [
                        "timerId",
                        "startToFireTimeout"
                      ],
                      members: {
                        timerId: {},
                        control: {},
                        startToFireTimeout: {}
                      }
                    },
                    cancelTimerDecisionAttributes: {
                      type: "structure",
                      required: [
                        "timerId"
                      ],
                      members: {
                        timerId: {}
                      }
                    },
                    signalExternalWorkflowExecutionDecisionAttributes: {
                      type: "structure",
                      required: [
                        "workflowId",
                        "signalName"
                      ],
                      members: {
                        workflowId: {},
                        runId: {},
                        signalName: {},
                        input: {},
                        control: {}
                      }
                    },
                    requestCancelExternalWorkflowExecutionDecisionAttributes: {
                      type: "structure",
                      required: [
                        "workflowId"
                      ],
                      members: {
                        workflowId: {},
                        runId: {},
                        control: {}
                      }
                    },
                    startChildWorkflowExecutionDecisionAttributes: {
                      type: "structure",
                      required: [
                        "workflowType",
                        "workflowId"
                      ],
                      members: {
                        workflowType: {
                          shape: "Sr"
                        },
                        workflowId: {},
                        control: {},
                        input: {},
                        executionStartToCloseTimeout: {},
                        taskList: {
                          shape: "Sj"
                        },
                        taskPriority: {},
                        taskStartToCloseTimeout: {},
                        childPolicy: {},
                        tagList: {
                          shape: "S1c"
                        },
                        lambdaRole: {}
                      }
                    },
                    scheduleLambdaFunctionDecisionAttributes: {
                      type: "structure",
                      required: [
                        "id",
                        "name"
                      ],
                      members: {
                        id: {},
                        name: {},
                        control: {},
                        input: {},
                        startToCloseTimeout: {}
                      }
                    }
                  }
                }
              },
              executionContext: {}
            }
          }
        },
        SignalWorkflowExecution: {
          input: {
            type: "structure",
            required: [
              "domain",
              "workflowId",
              "signalName"
            ],
            members: {
              domain: {},
              workflowId: {},
              runId: {},
              signalName: {},
              input: {}
            }
          }
        },
        StartWorkflowExecution: {
          input: {
            type: "structure",
            required: [
              "domain",
              "workflowId",
              "workflowType"
            ],
            members: {
              domain: {},
              workflowId: {},
              workflowType: {
                shape: "Sr"
              },
              taskList: {
                shape: "Sj"
              },
              taskPriority: {},
              input: {},
              executionStartToCloseTimeout: {},
              tagList: {
                shape: "S1c"
              },
              taskStartToCloseTimeout: {},
              childPolicy: {},
              lambdaRole: {}
            }
          },
          output: {
            type: "structure",
            members: {
              runId: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "S4o"
              }
            }
          }
        },
        TerminateWorkflowExecution: {
          input: {
            type: "structure",
            required: [
              "domain",
              "workflowId"
            ],
            members: {
              domain: {},
              workflowId: {},
              runId: {},
              reason: {},
              details: {},
              childPolicy: {}
            }
          }
        },
        UndeprecateActivityType: {
          input: {
            type: "structure",
            required: [
              "domain",
              "activityType"
            ],
            members: {
              domain: {},
              activityType: {
                shape: "Sn"
              }
            }
          }
        },
        UndeprecateDomain: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          }
        },
        UndeprecateWorkflowType: {
          input: {
            type: "structure",
            required: [
              "domain",
              "workflowType"
            ],
            members: {
              domain: {},
              workflowType: {
                shape: "Sr"
              }
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "structure",
          required: [
            "oldestDate"
          ],
          members: {
            oldestDate: {
              type: "timestamp"
            },
            latestDate: {
              type: "timestamp"
            }
          }
        },
        S5: {
          type: "structure",
          required: [
            "workflowId"
          ],
          members: {
            workflowId: {}
          }
        },
        S7: {
          type: "structure",
          required: [
            "name"
          ],
          members: {
            name: {},
            version: {}
          }
        },
        Sa: {
          type: "structure",
          required: [
            "tag"
          ],
          members: {
            tag: {}
          }
        },
        Sc: {
          type: "structure",
          required: [
            "status"
          ],
          members: {
            status: {}
          }
        },
        Se: {
          type: "structure",
          required: [
            "count"
          ],
          members: {
            count: {
              type: "integer"
            },
            truncated: {
              type: "boolean"
            }
          }
        },
        Sj: {
          type: "structure",
          required: [
            "name"
          ],
          members: {
            name: {}
          }
        },
        Sk: {
          type: "structure",
          required: [
            "count"
          ],
          members: {
            count: {
              type: "integer"
            },
            truncated: {
              type: "boolean"
            }
          }
        },
        Sn: {
          type: "structure",
          required: [
            "name",
            "version"
          ],
          members: {
            name: {},
            version: {}
          }
        },
        Sr: {
          type: "structure",
          required: [
            "name",
            "version"
          ],
          members: {
            name: {},
            version: {}
          }
        },
        Su: {
          type: "structure",
          required: [
            "activityType",
            "status",
            "creationDate"
          ],
          members: {
            activityType: {
              shape: "Sn"
            },
            status: {},
            description: {},
            creationDate: {
              type: "timestamp"
            },
            deprecationDate: {
              type: "timestamp"
            }
          }
        },
        S12: {
          type: "structure",
          required: [
            "name",
            "status"
          ],
          members: {
            name: {},
            status: {},
            description: {},
            arn: {}
          }
        },
        S17: {
          type: "structure",
          required: [
            "workflowId",
            "runId"
          ],
          members: {
            workflowId: {},
            runId: {}
          }
        },
        S1a: {
          type: "structure",
          required: [
            "execution",
            "workflowType",
            "startTimestamp",
            "executionStatus"
          ],
          members: {
            execution: {
              shape: "S17"
            },
            workflowType: {
              shape: "Sr"
            },
            startTimestamp: {
              type: "timestamp"
            },
            closeTimestamp: {
              type: "timestamp"
            },
            executionStatus: {},
            closeStatus: {},
            parent: {
              shape: "S17"
            },
            tagList: {
              shape: "S1c"
            },
            cancelRequested: {
              type: "boolean"
            }
          }
        },
        S1c: {
          type: "list",
          member: {}
        },
        S1m: {
          type: "structure",
          required: [
            "workflowType",
            "status",
            "creationDate"
          ],
          members: {
            workflowType: {
              shape: "Sr"
            },
            status: {},
            description: {},
            creationDate: {
              type: "timestamp"
            },
            deprecationDate: {
              type: "timestamp"
            }
          }
        },
        S1t: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "eventTimestamp",
              "eventType",
              "eventId"
            ],
            members: {
              eventTimestamp: {
                type: "timestamp"
              },
              eventType: {},
              eventId: {
                type: "long"
              },
              workflowExecutionStartedEventAttributes: {
                type: "structure",
                required: [
                  "childPolicy",
                  "taskList",
                  "workflowType"
                ],
                members: {
                  input: {},
                  executionStartToCloseTimeout: {},
                  taskStartToCloseTimeout: {},
                  childPolicy: {},
                  taskList: {
                    shape: "Sj"
                  },
                  taskPriority: {},
                  workflowType: {
                    shape: "Sr"
                  },
                  tagList: {
                    shape: "S1c"
                  },
                  continuedExecutionRunId: {},
                  parentWorkflowExecution: {
                    shape: "S17"
                  },
                  parentInitiatedEventId: {
                    type: "long"
                  },
                  lambdaRole: {}
                }
              },
              workflowExecutionCompletedEventAttributes: {
                type: "structure",
                required: [
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  result: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              completeWorkflowExecutionFailedEventAttributes: {
                type: "structure",
                required: [
                  "cause",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  cause: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              workflowExecutionFailedEventAttributes: {
                type: "structure",
                required: [
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  reason: {},
                  details: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              failWorkflowExecutionFailedEventAttributes: {
                type: "structure",
                required: [
                  "cause",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  cause: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              workflowExecutionTimedOutEventAttributes: {
                type: "structure",
                required: [
                  "timeoutType",
                  "childPolicy"
                ],
                members: {
                  timeoutType: {},
                  childPolicy: {}
                }
              },
              workflowExecutionCanceledEventAttributes: {
                type: "structure",
                required: [
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  details: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              cancelWorkflowExecutionFailedEventAttributes: {
                type: "structure",
                required: [
                  "cause",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  cause: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              workflowExecutionContinuedAsNewEventAttributes: {
                type: "structure",
                required: [
                  "decisionTaskCompletedEventId",
                  "newExecutionRunId",
                  "taskList",
                  "childPolicy",
                  "workflowType"
                ],
                members: {
                  input: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  },
                  newExecutionRunId: {},
                  executionStartToCloseTimeout: {},
                  taskList: {
                    shape: "Sj"
                  },
                  taskPriority: {},
                  taskStartToCloseTimeout: {},
                  childPolicy: {},
                  tagList: {
                    shape: "S1c"
                  },
                  workflowType: {
                    shape: "Sr"
                  },
                  lambdaRole: {}
                }
              },
              continueAsNewWorkflowExecutionFailedEventAttributes: {
                type: "structure",
                required: [
                  "cause",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  cause: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              workflowExecutionTerminatedEventAttributes: {
                type: "structure",
                required: [
                  "childPolicy"
                ],
                members: {
                  reason: {},
                  details: {},
                  childPolicy: {},
                  cause: {}
                }
              },
              workflowExecutionCancelRequestedEventAttributes: {
                type: "structure",
                members: {
                  externalWorkflowExecution: {
                    shape: "S17"
                  },
                  externalInitiatedEventId: {
                    type: "long"
                  },
                  cause: {}
                }
              },
              decisionTaskScheduledEventAttributes: {
                type: "structure",
                required: [
                  "taskList"
                ],
                members: {
                  taskList: {
                    shape: "Sj"
                  },
                  taskPriority: {},
                  startToCloseTimeout: {}
                }
              },
              decisionTaskStartedEventAttributes: {
                type: "structure",
                required: [
                  "scheduledEventId"
                ],
                members: {
                  identity: {},
                  scheduledEventId: {
                    type: "long"
                  }
                }
              },
              decisionTaskCompletedEventAttributes: {
                type: "structure",
                required: [
                  "scheduledEventId",
                  "startedEventId"
                ],
                members: {
                  executionContext: {},
                  scheduledEventId: {
                    type: "long"
                  },
                  startedEventId: {
                    type: "long"
                  }
                }
              },
              decisionTaskTimedOutEventAttributes: {
                type: "structure",
                required: [
                  "timeoutType",
                  "scheduledEventId",
                  "startedEventId"
                ],
                members: {
                  timeoutType: {},
                  scheduledEventId: {
                    type: "long"
                  },
                  startedEventId: {
                    type: "long"
                  }
                }
              },
              activityTaskScheduledEventAttributes: {
                type: "structure",
                required: [
                  "activityType",
                  "activityId",
                  "taskList",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  activityType: {
                    shape: "Sn"
                  },
                  activityId: {},
                  input: {},
                  control: {},
                  scheduleToStartTimeout: {},
                  scheduleToCloseTimeout: {},
                  startToCloseTimeout: {},
                  taskList: {
                    shape: "Sj"
                  },
                  taskPriority: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  },
                  heartbeatTimeout: {}
                }
              },
              activityTaskStartedEventAttributes: {
                type: "structure",
                required: [
                  "scheduledEventId"
                ],
                members: {
                  identity: {},
                  scheduledEventId: {
                    type: "long"
                  }
                }
              },
              activityTaskCompletedEventAttributes: {
                type: "structure",
                required: [
                  "scheduledEventId",
                  "startedEventId"
                ],
                members: {
                  result: {},
                  scheduledEventId: {
                    type: "long"
                  },
                  startedEventId: {
                    type: "long"
                  }
                }
              },
              activityTaskFailedEventAttributes: {
                type: "structure",
                required: [
                  "scheduledEventId",
                  "startedEventId"
                ],
                members: {
                  reason: {},
                  details: {},
                  scheduledEventId: {
                    type: "long"
                  },
                  startedEventId: {
                    type: "long"
                  }
                }
              },
              activityTaskTimedOutEventAttributes: {
                type: "structure",
                required: [
                  "timeoutType",
                  "scheduledEventId",
                  "startedEventId"
                ],
                members: {
                  timeoutType: {},
                  scheduledEventId: {
                    type: "long"
                  },
                  startedEventId: {
                    type: "long"
                  },
                  details: {}
                }
              },
              activityTaskCanceledEventAttributes: {
                type: "structure",
                required: [
                  "scheduledEventId",
                  "startedEventId"
                ],
                members: {
                  details: {},
                  scheduledEventId: {
                    type: "long"
                  },
                  startedEventId: {
                    type: "long"
                  },
                  latestCancelRequestedEventId: {
                    type: "long"
                  }
                }
              },
              activityTaskCancelRequestedEventAttributes: {
                type: "structure",
                required: [
                  "decisionTaskCompletedEventId",
                  "activityId"
                ],
                members: {
                  decisionTaskCompletedEventId: {
                    type: "long"
                  },
                  activityId: {}
                }
              },
              workflowExecutionSignaledEventAttributes: {
                type: "structure",
                required: [
                  "signalName"
                ],
                members: {
                  signalName: {},
                  input: {},
                  externalWorkflowExecution: {
                    shape: "S17"
                  },
                  externalInitiatedEventId: {
                    type: "long"
                  }
                }
              },
              markerRecordedEventAttributes: {
                type: "structure",
                required: [
                  "markerName",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  markerName: {},
                  details: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              recordMarkerFailedEventAttributes: {
                type: "structure",
                required: [
                  "markerName",
                  "cause",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  markerName: {},
                  cause: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              timerStartedEventAttributes: {
                type: "structure",
                required: [
                  "timerId",
                  "startToFireTimeout",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  timerId: {},
                  control: {},
                  startToFireTimeout: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              timerFiredEventAttributes: {
                type: "structure",
                required: [
                  "timerId",
                  "startedEventId"
                ],
                members: {
                  timerId: {},
                  startedEventId: {
                    type: "long"
                  }
                }
              },
              timerCanceledEventAttributes: {
                type: "structure",
                required: [
                  "timerId",
                  "startedEventId",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  timerId: {},
                  startedEventId: {
                    type: "long"
                  },
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              startChildWorkflowExecutionInitiatedEventAttributes: {
                type: "structure",
                required: [
                  "workflowId",
                  "workflowType",
                  "taskList",
                  "decisionTaskCompletedEventId",
                  "childPolicy"
                ],
                members: {
                  workflowId: {},
                  workflowType: {
                    shape: "Sr"
                  },
                  control: {},
                  input: {},
                  executionStartToCloseTimeout: {},
                  taskList: {
                    shape: "Sj"
                  },
                  taskPriority: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  },
                  childPolicy: {},
                  taskStartToCloseTimeout: {},
                  tagList: {
                    shape: "S1c"
                  },
                  lambdaRole: {}
                }
              },
              childWorkflowExecutionStartedEventAttributes: {
                type: "structure",
                required: [
                  "workflowExecution",
                  "workflowType",
                  "initiatedEventId"
                ],
                members: {
                  workflowExecution: {
                    shape: "S17"
                  },
                  workflowType: {
                    shape: "Sr"
                  },
                  initiatedEventId: {
                    type: "long"
                  }
                }
              },
              childWorkflowExecutionCompletedEventAttributes: {
                type: "structure",
                required: [
                  "workflowExecution",
                  "workflowType",
                  "initiatedEventId",
                  "startedEventId"
                ],
                members: {
                  workflowExecution: {
                    shape: "S17"
                  },
                  workflowType: {
                    shape: "Sr"
                  },
                  result: {},
                  initiatedEventId: {
                    type: "long"
                  },
                  startedEventId: {
                    type: "long"
                  }
                }
              },
              childWorkflowExecutionFailedEventAttributes: {
                type: "structure",
                required: [
                  "workflowExecution",
                  "workflowType",
                  "initiatedEventId",
                  "startedEventId"
                ],
                members: {
                  workflowExecution: {
                    shape: "S17"
                  },
                  workflowType: {
                    shape: "Sr"
                  },
                  reason: {},
                  details: {},
                  initiatedEventId: {
                    type: "long"
                  },
                  startedEventId: {
                    type: "long"
                  }
                }
              },
              childWorkflowExecutionTimedOutEventAttributes: {
                type: "structure",
                required: [
                  "workflowExecution",
                  "workflowType",
                  "timeoutType",
                  "initiatedEventId",
                  "startedEventId"
                ],
                members: {
                  workflowExecution: {
                    shape: "S17"
                  },
                  workflowType: {
                    shape: "Sr"
                  },
                  timeoutType: {},
                  initiatedEventId: {
                    type: "long"
                  },
                  startedEventId: {
                    type: "long"
                  }
                }
              },
              childWorkflowExecutionCanceledEventAttributes: {
                type: "structure",
                required: [
                  "workflowExecution",
                  "workflowType",
                  "initiatedEventId",
                  "startedEventId"
                ],
                members: {
                  workflowExecution: {
                    shape: "S17"
                  },
                  workflowType: {
                    shape: "Sr"
                  },
                  details: {},
                  initiatedEventId: {
                    type: "long"
                  },
                  startedEventId: {
                    type: "long"
                  }
                }
              },
              childWorkflowExecutionTerminatedEventAttributes: {
                type: "structure",
                required: [
                  "workflowExecution",
                  "workflowType",
                  "initiatedEventId",
                  "startedEventId"
                ],
                members: {
                  workflowExecution: {
                    shape: "S17"
                  },
                  workflowType: {
                    shape: "Sr"
                  },
                  initiatedEventId: {
                    type: "long"
                  },
                  startedEventId: {
                    type: "long"
                  }
                }
              },
              signalExternalWorkflowExecutionInitiatedEventAttributes: {
                type: "structure",
                required: [
                  "workflowId",
                  "signalName",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  workflowId: {},
                  runId: {},
                  signalName: {},
                  input: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  },
                  control: {}
                }
              },
              externalWorkflowExecutionSignaledEventAttributes: {
                type: "structure",
                required: [
                  "workflowExecution",
                  "initiatedEventId"
                ],
                members: {
                  workflowExecution: {
                    shape: "S17"
                  },
                  initiatedEventId: {
                    type: "long"
                  }
                }
              },
              signalExternalWorkflowExecutionFailedEventAttributes: {
                type: "structure",
                required: [
                  "workflowId",
                  "cause",
                  "initiatedEventId",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  workflowId: {},
                  runId: {},
                  cause: {},
                  initiatedEventId: {
                    type: "long"
                  },
                  decisionTaskCompletedEventId: {
                    type: "long"
                  },
                  control: {}
                }
              },
              externalWorkflowExecutionCancelRequestedEventAttributes: {
                type: "structure",
                required: [
                  "workflowExecution",
                  "initiatedEventId"
                ],
                members: {
                  workflowExecution: {
                    shape: "S17"
                  },
                  initiatedEventId: {
                    type: "long"
                  }
                }
              },
              requestCancelExternalWorkflowExecutionInitiatedEventAttributes: {
                type: "structure",
                required: [
                  "workflowId",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  workflowId: {},
                  runId: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  },
                  control: {}
                }
              },
              requestCancelExternalWorkflowExecutionFailedEventAttributes: {
                type: "structure",
                required: [
                  "workflowId",
                  "cause",
                  "initiatedEventId",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  workflowId: {},
                  runId: {},
                  cause: {},
                  initiatedEventId: {
                    type: "long"
                  },
                  decisionTaskCompletedEventId: {
                    type: "long"
                  },
                  control: {}
                }
              },
              scheduleActivityTaskFailedEventAttributes: {
                type: "structure",
                required: [
                  "activityType",
                  "activityId",
                  "cause",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  activityType: {
                    shape: "Sn"
                  },
                  activityId: {},
                  cause: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              requestCancelActivityTaskFailedEventAttributes: {
                type: "structure",
                required: [
                  "activityId",
                  "cause",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  activityId: {},
                  cause: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              startTimerFailedEventAttributes: {
                type: "structure",
                required: [
                  "timerId",
                  "cause",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  timerId: {},
                  cause: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              cancelTimerFailedEventAttributes: {
                type: "structure",
                required: [
                  "timerId",
                  "cause",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  timerId: {},
                  cause: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              startChildWorkflowExecutionFailedEventAttributes: {
                type: "structure",
                required: [
                  "workflowType",
                  "cause",
                  "workflowId",
                  "initiatedEventId",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  workflowType: {
                    shape: "Sr"
                  },
                  cause: {},
                  workflowId: {},
                  initiatedEventId: {
                    type: "long"
                  },
                  decisionTaskCompletedEventId: {
                    type: "long"
                  },
                  control: {}
                }
              },
              lambdaFunctionScheduledEventAttributes: {
                type: "structure",
                required: [
                  "id",
                  "name",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  id: {},
                  name: {},
                  control: {},
                  input: {},
                  startToCloseTimeout: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              lambdaFunctionStartedEventAttributes: {
                type: "structure",
                required: [
                  "scheduledEventId"
                ],
                members: {
                  scheduledEventId: {
                    type: "long"
                  }
                }
              },
              lambdaFunctionCompletedEventAttributes: {
                type: "structure",
                required: [
                  "scheduledEventId",
                  "startedEventId"
                ],
                members: {
                  scheduledEventId: {
                    type: "long"
                  },
                  startedEventId: {
                    type: "long"
                  },
                  result: {}
                }
              },
              lambdaFunctionFailedEventAttributes: {
                type: "structure",
                required: [
                  "scheduledEventId",
                  "startedEventId"
                ],
                members: {
                  scheduledEventId: {
                    type: "long"
                  },
                  startedEventId: {
                    type: "long"
                  },
                  reason: {},
                  details: {}
                }
              },
              lambdaFunctionTimedOutEventAttributes: {
                type: "structure",
                required: [
                  "scheduledEventId",
                  "startedEventId"
                ],
                members: {
                  scheduledEventId: {
                    type: "long"
                  },
                  startedEventId: {
                    type: "long"
                  },
                  timeoutType: {}
                }
              },
              scheduleLambdaFunctionFailedEventAttributes: {
                type: "structure",
                required: [
                  "id",
                  "name",
                  "cause",
                  "decisionTaskCompletedEventId"
                ],
                members: {
                  id: {},
                  name: {},
                  cause: {},
                  decisionTaskCompletedEventId: {
                    type: "long"
                  }
                }
              },
              startLambdaFunctionFailedEventAttributes: {
                type: "structure",
                members: {
                  scheduledEventId: {
                    type: "long"
                  },
                  cause: {},
                  message: {}
                }
              }
            }
          }
        },
        S4g: {
          type: "structure",
          required: [
            "executionInfos"
          ],
          members: {
            executionInfos: {
              type: "list",
              member: {
                shape: "S1a"
              }
            },
            nextPageToken: {}
          }
        },
        S4o: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/swf-2012-01-25.paginators.json
var require_swf_2012_01_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/swf-2012-01-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetWorkflowExecutionHistory: {
          input_token: "nextPageToken",
          limit_key: "maximumPageSize",
          output_token: "nextPageToken",
          result_key: "events"
        },
        ListActivityTypes: {
          input_token: "nextPageToken",
          limit_key: "maximumPageSize",
          output_token: "nextPageToken",
          result_key: "typeInfos"
        },
        ListClosedWorkflowExecutions: {
          input_token: "nextPageToken",
          limit_key: "maximumPageSize",
          output_token: "nextPageToken",
          result_key: "executionInfos"
        },
        ListDomains: {
          input_token: "nextPageToken",
          limit_key: "maximumPageSize",
          output_token: "nextPageToken",
          result_key: "domainInfos"
        },
        ListOpenWorkflowExecutions: {
          input_token: "nextPageToken",
          limit_key: "maximumPageSize",
          output_token: "nextPageToken",
          result_key: "executionInfos"
        },
        ListWorkflowTypes: {
          input_token: "nextPageToken",
          limit_key: "maximumPageSize",
          output_token: "nextPageToken",
          result_key: "typeInfos"
        },
        PollForDecisionTask: {
          input_token: "nextPageToken",
          limit_key: "maximumPageSize",
          output_token: "nextPageToken",
          result_key: "events"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/swf.js
var require_swf2 = __commonJS({
  "node_modules/aws-sdk/clients/swf.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["swf"] = {};
    AWS2.SWF = Service.defineService("swf", ["2012-01-25"]);
    require_swf();
    Object.defineProperty(apiLoader.services["swf"], "2012-01-25", {
      get: function get() {
        var model = require_swf_2012_01_25_min();
        model.paginators = require_swf_2012_01_25_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SWF;
  }
});

// node_modules/aws-sdk/apis/xray-2016-04-12.min.json
var require_xray_2016_04_12_min = __commonJS({
  "node_modules/aws-sdk/apis/xray-2016-04-12.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-04-12",
        endpointPrefix: "xray",
        protocol: "rest-json",
        serviceFullName: "AWS X-Ray",
        serviceId: "XRay",
        signatureVersion: "v4",
        uid: "xray-2016-04-12"
      },
      operations: {
        BatchGetTraces: {
          http: {
            requestUri: "/Traces"
          },
          input: {
            type: "structure",
            required: [
              "TraceIds"
            ],
            members: {
              TraceIds: {
                shape: "S2"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Traces: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Duration: {
                      type: "double"
                    },
                    LimitExceeded: {
                      type: "boolean"
                    },
                    Segments: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Id: {},
                          Document: {}
                        }
                      }
                    }
                  }
                }
              },
              UnprocessedTraceIds: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        CreateGroup: {
          http: {
            requestUri: "/CreateGroup"
          },
          input: {
            type: "structure",
            required: [
              "GroupName"
            ],
            members: {
              GroupName: {},
              FilterExpression: {},
              InsightsConfiguration: {
                shape: "Si"
              },
              Tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Group: {
                shape: "So"
              }
            }
          }
        },
        CreateSamplingRule: {
          http: {
            requestUri: "/CreateSamplingRule"
          },
          input: {
            type: "structure",
            required: [
              "SamplingRule"
            ],
            members: {
              SamplingRule: {
                shape: "Sq"
              },
              Tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SamplingRuleRecord: {
                shape: "S16"
              }
            }
          }
        },
        DeleteGroup: {
          http: {
            requestUri: "/DeleteGroup"
          },
          input: {
            type: "structure",
            members: {
              GroupName: {},
              GroupARN: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteResourcePolicy: {
          http: {
            requestUri: "/DeleteResourcePolicy"
          },
          input: {
            type: "structure",
            required: [
              "PolicyName"
            ],
            members: {
              PolicyName: {},
              PolicyRevisionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSamplingRule: {
          http: {
            requestUri: "/DeleteSamplingRule"
          },
          input: {
            type: "structure",
            members: {
              RuleName: {},
              RuleARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SamplingRuleRecord: {
                shape: "S16"
              }
            }
          }
        },
        GetEncryptionConfig: {
          http: {
            requestUri: "/EncryptionConfig"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              EncryptionConfig: {
                shape: "S1j"
              }
            }
          }
        },
        GetGroup: {
          http: {
            requestUri: "/GetGroup"
          },
          input: {
            type: "structure",
            members: {
              GroupName: {},
              GroupARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Group: {
                shape: "So"
              }
            }
          }
        },
        GetGroups: {
          http: {
            requestUri: "/Groups"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Groups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    GroupName: {},
                    GroupARN: {},
                    FilterExpression: {},
                    InsightsConfiguration: {
                      shape: "Si"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetInsight: {
          http: {
            requestUri: "/Insight"
          },
          input: {
            type: "structure",
            required: [
              "InsightId"
            ],
            members: {
              InsightId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Insight: {
                type: "structure",
                members: {
                  InsightId: {},
                  GroupARN: {},
                  GroupName: {},
                  RootCauseServiceId: {
                    shape: "S1x"
                  },
                  Categories: {
                    shape: "S1z"
                  },
                  State: {},
                  StartTime: {
                    type: "timestamp"
                  },
                  EndTime: {
                    type: "timestamp"
                  },
                  Summary: {},
                  ClientRequestImpactStatistics: {
                    shape: "S23"
                  },
                  RootCauseServiceRequestImpactStatistics: {
                    shape: "S23"
                  },
                  TopAnomalousServices: {
                    shape: "S25"
                  }
                }
              }
            }
          }
        },
        GetInsightEvents: {
          http: {
            requestUri: "/InsightEvents"
          },
          input: {
            type: "structure",
            required: [
              "InsightId"
            ],
            members: {
              InsightId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InsightEvents: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Summary: {},
                    EventTime: {
                      type: "timestamp"
                    },
                    ClientRequestImpactStatistics: {
                      shape: "S23"
                    },
                    RootCauseServiceRequestImpactStatistics: {
                      shape: "S23"
                    },
                    TopAnomalousServices: {
                      shape: "S25"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetInsightImpactGraph: {
          http: {
            requestUri: "/InsightImpactGraph"
          },
          input: {
            type: "structure",
            required: [
              "InsightId",
              "StartTime",
              "EndTime"
            ],
            members: {
              InsightId: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InsightId: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              ServiceGraphStartTime: {
                type: "timestamp"
              },
              ServiceGraphEndTime: {
                type: "timestamp"
              },
              Services: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ReferenceId: {
                      type: "integer"
                    },
                    Type: {},
                    Name: {},
                    Names: {
                      shape: "S1y"
                    },
                    AccountId: {},
                    Edges: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ReferenceId: {
                            type: "integer"
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetInsightSummaries: {
          http: {
            requestUri: "/InsightSummaries"
          },
          input: {
            type: "structure",
            required: [
              "StartTime",
              "EndTime"
            ],
            members: {
              States: {
                type: "list",
                member: {}
              },
              GroupARN: {},
              GroupName: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InsightSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InsightId: {},
                    GroupARN: {},
                    GroupName: {},
                    RootCauseServiceId: {
                      shape: "S1x"
                    },
                    Categories: {
                      shape: "S1z"
                    },
                    State: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    Summary: {},
                    ClientRequestImpactStatistics: {
                      shape: "S23"
                    },
                    RootCauseServiceRequestImpactStatistics: {
                      shape: "S23"
                    },
                    TopAnomalousServices: {
                      shape: "S25"
                    },
                    LastUpdateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetSamplingRules: {
          http: {
            requestUri: "/GetSamplingRules"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SamplingRuleRecords: {
                type: "list",
                member: {
                  shape: "S16"
                }
              },
              NextToken: {}
            }
          }
        },
        GetSamplingStatisticSummaries: {
          http: {
            requestUri: "/SamplingStatisticSummaries"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SamplingStatisticSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RuleName: {},
                    Timestamp: {
                      type: "timestamp"
                    },
                    RequestCount: {
                      type: "integer"
                    },
                    BorrowCount: {
                      type: "integer"
                    },
                    SampledCount: {
                      type: "integer"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetSamplingTargets: {
          http: {
            requestUri: "/SamplingTargets"
          },
          input: {
            type: "structure",
            required: [
              "SamplingStatisticsDocuments"
            ],
            members: {
              SamplingStatisticsDocuments: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "RuleName",
                    "ClientID",
                    "Timestamp",
                    "RequestCount",
                    "SampledCount"
                  ],
                  members: {
                    RuleName: {},
                    ClientID: {},
                    Timestamp: {
                      type: "timestamp"
                    },
                    RequestCount: {
                      type: "integer"
                    },
                    SampledCount: {
                      type: "integer"
                    },
                    BorrowCount: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SamplingTargetDocuments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RuleName: {},
                    FixedRate: {
                      type: "double"
                    },
                    ReservoirQuota: {
                      type: "integer"
                    },
                    ReservoirQuotaTTL: {
                      type: "timestamp"
                    },
                    Interval: {
                      type: "integer"
                    }
                  }
                }
              },
              LastRuleModification: {
                type: "timestamp"
              },
              UnprocessedStatistics: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RuleName: {},
                    ErrorCode: {},
                    Message: {}
                  }
                }
              }
            }
          }
        },
        GetServiceGraph: {
          http: {
            requestUri: "/ServiceGraph"
          },
          input: {
            type: "structure",
            required: [
              "StartTime",
              "EndTime"
            ],
            members: {
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              GroupName: {},
              GroupARN: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Services: {
                shape: "S3e"
              },
              ContainsOldGroupVersions: {
                type: "boolean"
              },
              NextToken: {}
            }
          }
        },
        GetTimeSeriesServiceStatistics: {
          http: {
            requestUri: "/TimeSeriesServiceStatistics"
          },
          input: {
            type: "structure",
            required: [
              "StartTime",
              "EndTime"
            ],
            members: {
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              GroupName: {},
              GroupARN: {},
              EntitySelectorExpression: {},
              Period: {
                type: "integer"
              },
              ForecastStatistics: {
                type: "boolean"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TimeSeriesServiceStatistics: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Timestamp: {
                      type: "timestamp"
                    },
                    EdgeSummaryStatistics: {
                      shape: "S3i"
                    },
                    ServiceSummaryStatistics: {
                      shape: "S3q"
                    },
                    ServiceForecastStatistics: {
                      type: "structure",
                      members: {
                        FaultCountHigh: {
                          type: "long"
                        },
                        FaultCountLow: {
                          type: "long"
                        }
                      }
                    },
                    ResponseTimeHistogram: {
                      shape: "S3l"
                    }
                  }
                }
              },
              ContainsOldGroupVersions: {
                type: "boolean"
              },
              NextToken: {}
            }
          }
        },
        GetTraceGraph: {
          http: {
            requestUri: "/TraceGraph"
          },
          input: {
            type: "structure",
            required: [
              "TraceIds"
            ],
            members: {
              TraceIds: {
                shape: "S2"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Services: {
                shape: "S3e"
              },
              NextToken: {}
            }
          }
        },
        GetTraceSummaries: {
          http: {
            requestUri: "/TraceSummaries"
          },
          input: {
            type: "structure",
            required: [
              "StartTime",
              "EndTime"
            ],
            members: {
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              TimeRangeType: {},
              Sampling: {
                type: "boolean"
              },
              SamplingStrategy: {
                type: "structure",
                members: {
                  Name: {},
                  Value: {
                    type: "double"
                  }
                }
              },
              FilterExpression: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TraceSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Duration: {
                      type: "double"
                    },
                    ResponseTime: {
                      type: "double"
                    },
                    HasFault: {
                      type: "boolean"
                    },
                    HasError: {
                      type: "boolean"
                    },
                    HasThrottle: {
                      type: "boolean"
                    },
                    IsPartial: {
                      type: "boolean"
                    },
                    Http: {
                      type: "structure",
                      members: {
                        HttpURL: {},
                        HttpStatus: {
                          type: "integer"
                        },
                        HttpMethod: {},
                        UserAgent: {},
                        ClientIp: {}
                      }
                    },
                    Annotations: {
                      type: "map",
                      key: {},
                      value: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            AnnotationValue: {
                              type: "structure",
                              members: {
                                NumberValue: {
                                  type: "double"
                                },
                                BooleanValue: {
                                  type: "boolean"
                                },
                                StringValue: {}
                              }
                            },
                            ServiceIds: {
                              shape: "S4d"
                            }
                          }
                        }
                      }
                    },
                    Users: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          UserName: {},
                          ServiceIds: {
                            shape: "S4d"
                          }
                        }
                      }
                    },
                    ServiceIds: {
                      shape: "S4d"
                    },
                    ResourceARNs: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ARN: {}
                        }
                      }
                    },
                    InstanceIds: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Id: {}
                        }
                      }
                    },
                    AvailabilityZones: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {}
                        }
                      }
                    },
                    EntryPoint: {
                      shape: "S1x"
                    },
                    FaultRootCauses: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Services: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Name: {},
                                Names: {
                                  shape: "S1y"
                                },
                                Type: {},
                                AccountId: {},
                                EntityPath: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      Name: {},
                                      Exceptions: {
                                        shape: "S4s"
                                      },
                                      Remote: {
                                        type: "boolean"
                                      }
                                    }
                                  }
                                },
                                Inferred: {
                                  type: "boolean"
                                }
                              }
                            }
                          },
                          ClientImpacting: {
                            type: "boolean"
                          }
                        }
                      }
                    },
                    ErrorRootCauses: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Services: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Name: {},
                                Names: {
                                  shape: "S1y"
                                },
                                Type: {},
                                AccountId: {},
                                EntityPath: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      Name: {},
                                      Exceptions: {
                                        shape: "S4s"
                                      },
                                      Remote: {
                                        type: "boolean"
                                      }
                                    }
                                  }
                                },
                                Inferred: {
                                  type: "boolean"
                                }
                              }
                            }
                          },
                          ClientImpacting: {
                            type: "boolean"
                          }
                        }
                      }
                    },
                    ResponseTimeRootCauses: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Services: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Name: {},
                                Names: {
                                  shape: "S1y"
                                },
                                Type: {},
                                AccountId: {},
                                EntityPath: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      Name: {},
                                      Coverage: {
                                        type: "double"
                                      },
                                      Remote: {
                                        type: "boolean"
                                      }
                                    }
                                  }
                                },
                                Inferred: {
                                  type: "boolean"
                                }
                              }
                            }
                          },
                          ClientImpacting: {
                            type: "boolean"
                          }
                        }
                      }
                    },
                    Revision: {
                      type: "integer"
                    },
                    MatchedEventTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              ApproximateTime: {
                type: "timestamp"
              },
              TracesProcessedCount: {
                type: "long"
              },
              NextToken: {}
            }
          }
        },
        ListResourcePolicies: {
          http: {
            requestUri: "/ListResourcePolicies"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourcePolicies: {
                type: "list",
                member: {
                  shape: "S5a"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            requestUri: "/ListTagsForResource"
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sj"
              },
              NextToken: {}
            }
          }
        },
        PutEncryptionConfig: {
          http: {
            requestUri: "/PutEncryptionConfig"
          },
          input: {
            type: "structure",
            required: [
              "Type"
            ],
            members: {
              KeyId: {},
              Type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EncryptionConfig: {
                shape: "S1j"
              }
            }
          }
        },
        PutResourcePolicy: {
          http: {
            requestUri: "/PutResourcePolicy"
          },
          input: {
            type: "structure",
            required: [
              "PolicyName",
              "PolicyDocument"
            ],
            members: {
              PolicyName: {},
              PolicyDocument: {},
              PolicyRevisionId: {},
              BypassPolicyLockoutCheck: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourcePolicy: {
                shape: "S5a"
              }
            }
          }
        },
        PutTelemetryRecords: {
          http: {
            requestUri: "/TelemetryRecords"
          },
          input: {
            type: "structure",
            required: [
              "TelemetryRecords"
            ],
            members: {
              TelemetryRecords: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Timestamp"
                  ],
                  members: {
                    Timestamp: {
                      type: "timestamp"
                    },
                    SegmentsReceivedCount: {
                      type: "integer"
                    },
                    SegmentsSentCount: {
                      type: "integer"
                    },
                    SegmentsSpilloverCount: {
                      type: "integer"
                    },
                    SegmentsRejectedCount: {
                      type: "integer"
                    },
                    BackendConnectionErrors: {
                      type: "structure",
                      members: {
                        TimeoutCount: {
                          type: "integer"
                        },
                        ConnectionRefusedCount: {
                          type: "integer"
                        },
                        HTTPCode4XXCount: {
                          type: "integer"
                        },
                        HTTPCode5XXCount: {
                          type: "integer"
                        },
                        UnknownHostCount: {
                          type: "integer"
                        },
                        OtherCount: {
                          type: "integer"
                        }
                      }
                    }
                  }
                }
              },
              EC2InstanceId: {},
              Hostname: {},
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutTraceSegments: {
          http: {
            requestUri: "/TraceSegments"
          },
          input: {
            type: "structure",
            required: [
              "TraceSegmentDocuments"
            ],
            members: {
              TraceSegmentDocuments: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UnprocessedTraceSegments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    ErrorCode: {},
                    Message: {}
                  }
                }
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/TagResource"
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            requestUri: "/UntagResource"
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateGroup: {
          http: {
            requestUri: "/UpdateGroup"
          },
          input: {
            type: "structure",
            members: {
              GroupName: {},
              GroupARN: {},
              FilterExpression: {},
              InsightsConfiguration: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Group: {
                shape: "So"
              }
            }
          }
        },
        UpdateSamplingRule: {
          http: {
            requestUri: "/UpdateSamplingRule"
          },
          input: {
            type: "structure",
            required: [
              "SamplingRuleUpdate"
            ],
            members: {
              SamplingRuleUpdate: {
                type: "structure",
                members: {
                  RuleName: {},
                  RuleARN: {},
                  ResourceARN: {},
                  Priority: {
                    type: "integer"
                  },
                  FixedRate: {
                    type: "double"
                  },
                  ReservoirSize: {
                    type: "integer"
                  },
                  Host: {},
                  ServiceName: {},
                  ServiceType: {},
                  HTTPMethod: {},
                  URLPath: {},
                  Attributes: {
                    shape: "S12"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SamplingRuleRecord: {
                shape: "S16"
              }
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "list",
          member: {}
        },
        Si: {
          type: "structure",
          members: {
            InsightsEnabled: {
              type: "boolean"
            },
            NotificationsEnabled: {
              type: "boolean"
            }
          }
        },
        Sj: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        So: {
          type: "structure",
          members: {
            GroupName: {},
            GroupARN: {},
            FilterExpression: {},
            InsightsConfiguration: {
              shape: "Si"
            }
          }
        },
        Sq: {
          type: "structure",
          required: [
            "ResourceARN",
            "Priority",
            "FixedRate",
            "ReservoirSize",
            "ServiceName",
            "ServiceType",
            "Host",
            "HTTPMethod",
            "URLPath",
            "Version"
          ],
          members: {
            RuleName: {},
            RuleARN: {},
            ResourceARN: {},
            Priority: {
              type: "integer"
            },
            FixedRate: {
              type: "double"
            },
            ReservoirSize: {
              type: "integer"
            },
            ServiceName: {},
            ServiceType: {},
            Host: {},
            HTTPMethod: {},
            URLPath: {},
            Version: {
              type: "integer"
            },
            Attributes: {
              shape: "S12"
            }
          }
        },
        S12: {
          type: "map",
          key: {},
          value: {}
        },
        S16: {
          type: "structure",
          members: {
            SamplingRule: {
              shape: "Sq"
            },
            CreatedAt: {
              type: "timestamp"
            },
            ModifiedAt: {
              type: "timestamp"
            }
          }
        },
        S1j: {
          type: "structure",
          members: {
            KeyId: {},
            Status: {},
            Type: {}
          }
        },
        S1x: {
          type: "structure",
          members: {
            Name: {},
            Names: {
              shape: "S1y"
            },
            AccountId: {},
            Type: {}
          }
        },
        S1y: {
          type: "list",
          member: {}
        },
        S1z: {
          type: "list",
          member: {}
        },
        S23: {
          type: "structure",
          members: {
            FaultCount: {
              type: "long"
            },
            OkCount: {
              type: "long"
            },
            TotalCount: {
              type: "long"
            }
          }
        },
        S25: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ServiceId: {
                shape: "S1x"
              }
            }
          }
        },
        S3e: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ReferenceId: {
                type: "integer"
              },
              Name: {},
              Names: {
                shape: "S1y"
              },
              Root: {
                type: "boolean"
              },
              AccountId: {},
              Type: {},
              State: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Edges: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ReferenceId: {
                      type: "integer"
                    },
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    SummaryStatistics: {
                      shape: "S3i"
                    },
                    ResponseTimeHistogram: {
                      shape: "S3l"
                    },
                    Aliases: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {},
                          Names: {
                            type: "list",
                            member: {}
                          },
                          Type: {}
                        }
                      }
                    },
                    EdgeType: {},
                    ReceivedEventAgeHistogram: {
                      shape: "S3l"
                    }
                  }
                }
              },
              SummaryStatistics: {
                shape: "S3q"
              },
              DurationHistogram: {
                shape: "S3l"
              },
              ResponseTimeHistogram: {
                shape: "S3l"
              }
            }
          }
        },
        S3i: {
          type: "structure",
          members: {
            OkCount: {
              type: "long"
            },
            ErrorStatistics: {
              shape: "S3j"
            },
            FaultStatistics: {
              shape: "S3k"
            },
            TotalCount: {
              type: "long"
            },
            TotalResponseTime: {
              type: "double"
            }
          }
        },
        S3j: {
          type: "structure",
          members: {
            ThrottleCount: {
              type: "long"
            },
            OtherCount: {
              type: "long"
            },
            TotalCount: {
              type: "long"
            }
          }
        },
        S3k: {
          type: "structure",
          members: {
            OtherCount: {
              type: "long"
            },
            TotalCount: {
              type: "long"
            }
          }
        },
        S3l: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Value: {
                type: "double"
              },
              Count: {
                type: "integer"
              }
            }
          }
        },
        S3q: {
          type: "structure",
          members: {
            OkCount: {
              type: "long"
            },
            ErrorStatistics: {
              shape: "S3j"
            },
            FaultStatistics: {
              shape: "S3k"
            },
            TotalCount: {
              type: "long"
            },
            TotalResponseTime: {
              type: "double"
            }
          }
        },
        S4d: {
          type: "list",
          member: {
            shape: "S1x"
          }
        },
        S4s: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Message: {}
            }
          }
        },
        S5a: {
          type: "structure",
          members: {
            PolicyName: {},
            PolicyDocument: {},
            PolicyRevisionId: {},
            LastUpdatedTime: {
              type: "timestamp"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/xray-2016-04-12.paginators.json
var require_xray_2016_04_12_paginators = __commonJS({
  "node_modules/aws-sdk/apis/xray-2016-04-12.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        BatchGetTraces: {
          input_token: "NextToken",
          non_aggregate_keys: [
            "UnprocessedTraceIds"
          ],
          output_token: "NextToken",
          result_key: "Traces"
        },
        GetGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Groups"
        },
        GetInsightEvents: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetInsightSummaries: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetSamplingRules: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "SamplingRuleRecords"
        },
        GetSamplingStatisticSummaries: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "SamplingStatisticSummaries"
        },
        GetServiceGraph: {
          input_token: "NextToken",
          non_aggregate_keys: [
            "StartTime",
            "EndTime",
            "ContainsOldGroupVersions"
          ],
          output_token: "NextToken",
          result_key: "Services"
        },
        GetTimeSeriesServiceStatistics: {
          input_token: "NextToken",
          non_aggregate_keys: [
            "ContainsOldGroupVersions"
          ],
          output_token: "NextToken",
          result_key: "TimeSeriesServiceStatistics"
        },
        GetTraceGraph: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Services"
        },
        GetTraceSummaries: {
          input_token: "NextToken",
          non_aggregate_keys: [
            "TracesProcessedCount",
            "ApproximateTime"
          ],
          output_token: "NextToken",
          result_key: "TraceSummaries"
        },
        ListResourcePolicies: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "ResourcePolicies"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Tags"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/xray.js
var require_xray = __commonJS({
  "node_modules/aws-sdk/clients/xray.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["xray"] = {};
    AWS2.XRay = Service.defineService("xray", ["2016-04-12"]);
    Object.defineProperty(apiLoader.services["xray"], "2016-04-12", {
      get: function get() {
        var model = require_xray_2016_04_12_min();
        model.paginators = require_xray_2016_04_12_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.XRay;
  }
});

// node_modules/aws-sdk/apis/waf-2015-08-24.min.json
var require_waf_2015_08_24_min = __commonJS({
  "node_modules/aws-sdk/apis/waf-2015-08-24.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-08-24",
        endpointPrefix: "waf",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "WAF",
        serviceFullName: "AWS WAF",
        serviceId: "WAF",
        signatureVersion: "v4",
        targetPrefix: "AWSWAF_20150824",
        uid: "waf-2015-08-24"
      },
      operations: {
        CreateByteMatchSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ChangeToken"
            ],
            members: {
              Name: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ByteMatchSet: {
                shape: "S5"
              },
              ChangeToken: {}
            }
          }
        },
        CreateGeoMatchSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ChangeToken"
            ],
            members: {
              Name: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GeoMatchSet: {
                shape: "Sh"
              },
              ChangeToken: {}
            }
          }
        },
        CreateIPSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ChangeToken"
            ],
            members: {
              Name: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IPSet: {
                shape: "So"
              },
              ChangeToken: {}
            }
          }
        },
        CreateRateBasedRule: {
          input: {
            type: "structure",
            required: [
              "Name",
              "MetricName",
              "RateKey",
              "RateLimit",
              "ChangeToken"
            ],
            members: {
              Name: {},
              MetricName: {},
              RateKey: {},
              RateLimit: {
                type: "long"
              },
              ChangeToken: {},
              Tags: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Rule: {
                shape: "S12"
              },
              ChangeToken: {}
            }
          }
        },
        CreateRegexMatchSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ChangeToken"
            ],
            members: {
              Name: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RegexMatchSet: {
                shape: "S19"
              },
              ChangeToken: {}
            }
          }
        },
        CreateRegexPatternSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ChangeToken"
            ],
            members: {
              Name: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RegexPatternSet: {
                shape: "S1e"
              },
              ChangeToken: {}
            }
          }
        },
        CreateRule: {
          input: {
            type: "structure",
            required: [
              "Name",
              "MetricName",
              "ChangeToken"
            ],
            members: {
              Name: {},
              MetricName: {},
              ChangeToken: {},
              Tags: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Rule: {
                shape: "S1j"
              },
              ChangeToken: {}
            }
          }
        },
        CreateRuleGroup: {
          input: {
            type: "structure",
            required: [
              "Name",
              "MetricName",
              "ChangeToken"
            ],
            members: {
              Name: {},
              MetricName: {},
              ChangeToken: {},
              Tags: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RuleGroup: {
                shape: "S1m"
              },
              ChangeToken: {}
            }
          }
        },
        CreateSizeConstraintSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ChangeToken"
            ],
            members: {
              Name: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SizeConstraintSet: {
                shape: "S1p"
              },
              ChangeToken: {}
            }
          }
        },
        CreateSqlInjectionMatchSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ChangeToken"
            ],
            members: {
              Name: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SqlInjectionMatchSet: {
                shape: "S1w"
              },
              ChangeToken: {}
            }
          }
        },
        CreateWebACL: {
          input: {
            type: "structure",
            required: [
              "Name",
              "MetricName",
              "DefaultAction",
              "ChangeToken"
            ],
            members: {
              Name: {},
              MetricName: {},
              DefaultAction: {
                shape: "S20"
              },
              ChangeToken: {},
              Tags: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WebACL: {
                shape: "S23"
              },
              ChangeToken: {}
            }
          }
        },
        CreateWebACLMigrationStack: {
          input: {
            type: "structure",
            required: [
              "WebACLId",
              "S3BucketName",
              "IgnoreUnsupportedType"
            ],
            members: {
              WebACLId: {},
              S3BucketName: {},
              IgnoreUnsupportedType: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "S3ObjectUrl"
            ],
            members: {
              S3ObjectUrl: {}
            }
          }
        },
        CreateXssMatchSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ChangeToken"
            ],
            members: {
              Name: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              XssMatchSet: {
                shape: "S2k"
              },
              ChangeToken: {}
            }
          }
        },
        DeleteByteMatchSet: {
          input: {
            type: "structure",
            required: [
              "ByteMatchSetId",
              "ChangeToken"
            ],
            members: {
              ByteMatchSetId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteGeoMatchSet: {
          input: {
            type: "structure",
            required: [
              "GeoMatchSetId",
              "ChangeToken"
            ],
            members: {
              GeoMatchSetId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteIPSet: {
          input: {
            type: "structure",
            required: [
              "IPSetId",
              "ChangeToken"
            ],
            members: {
              IPSetId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteLoggingConfiguration: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeletePermissionPolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteRateBasedRule: {
          input: {
            type: "structure",
            required: [
              "RuleId",
              "ChangeToken"
            ],
            members: {
              RuleId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteRegexMatchSet: {
          input: {
            type: "structure",
            required: [
              "RegexMatchSetId",
              "ChangeToken"
            ],
            members: {
              RegexMatchSetId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteRegexPatternSet: {
          input: {
            type: "structure",
            required: [
              "RegexPatternSetId",
              "ChangeToken"
            ],
            members: {
              RegexPatternSetId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteRule: {
          input: {
            type: "structure",
            required: [
              "RuleId",
              "ChangeToken"
            ],
            members: {
              RuleId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteRuleGroup: {
          input: {
            type: "structure",
            required: [
              "RuleGroupId",
              "ChangeToken"
            ],
            members: {
              RuleGroupId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteSizeConstraintSet: {
          input: {
            type: "structure",
            required: [
              "SizeConstraintSetId",
              "ChangeToken"
            ],
            members: {
              SizeConstraintSetId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteSqlInjectionMatchSet: {
          input: {
            type: "structure",
            required: [
              "SqlInjectionMatchSetId",
              "ChangeToken"
            ],
            members: {
              SqlInjectionMatchSetId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteWebACL: {
          input: {
            type: "structure",
            required: [
              "WebACLId",
              "ChangeToken"
            ],
            members: {
              WebACLId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteXssMatchSet: {
          input: {
            type: "structure",
            required: [
              "XssMatchSetId",
              "ChangeToken"
            ],
            members: {
              XssMatchSetId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        GetByteMatchSet: {
          input: {
            type: "structure",
            required: [
              "ByteMatchSetId"
            ],
            members: {
              ByteMatchSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ByteMatchSet: {
                shape: "S5"
              }
            }
          }
        },
        GetChangeToken: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        GetChangeTokenStatus: {
          input: {
            type: "structure",
            required: [
              "ChangeToken"
            ],
            members: {
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeTokenStatus: {}
            }
          }
        },
        GetGeoMatchSet: {
          input: {
            type: "structure",
            required: [
              "GeoMatchSetId"
            ],
            members: {
              GeoMatchSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GeoMatchSet: {
                shape: "Sh"
              }
            }
          }
        },
        GetIPSet: {
          input: {
            type: "structure",
            required: [
              "IPSetId"
            ],
            members: {
              IPSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IPSet: {
                shape: "So"
              }
            }
          }
        },
        GetLoggingConfiguration: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LoggingConfiguration: {
                shape: "S3s"
              }
            }
          }
        },
        GetPermissionPolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {}
            }
          }
        },
        GetRateBasedRule: {
          input: {
            type: "structure",
            required: [
              "RuleId"
            ],
            members: {
              RuleId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Rule: {
                shape: "S12"
              }
            }
          }
        },
        GetRateBasedRuleManagedKeys: {
          input: {
            type: "structure",
            required: [
              "RuleId"
            ],
            members: {
              RuleId: {},
              NextMarker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ManagedKeys: {
                type: "list",
                member: {}
              },
              NextMarker: {}
            }
          }
        },
        GetRegexMatchSet: {
          input: {
            type: "structure",
            required: [
              "RegexMatchSetId"
            ],
            members: {
              RegexMatchSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RegexMatchSet: {
                shape: "S19"
              }
            }
          }
        },
        GetRegexPatternSet: {
          input: {
            type: "structure",
            required: [
              "RegexPatternSetId"
            ],
            members: {
              RegexPatternSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RegexPatternSet: {
                shape: "S1e"
              }
            }
          }
        },
        GetRule: {
          input: {
            type: "structure",
            required: [
              "RuleId"
            ],
            members: {
              RuleId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Rule: {
                shape: "S1j"
              }
            }
          }
        },
        GetRuleGroup: {
          input: {
            type: "structure",
            required: [
              "RuleGroupId"
            ],
            members: {
              RuleGroupId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RuleGroup: {
                shape: "S1m"
              }
            }
          }
        },
        GetSampledRequests: {
          input: {
            type: "structure",
            required: [
              "WebAclId",
              "RuleId",
              "TimeWindow",
              "MaxItems"
            ],
            members: {
              WebAclId: {},
              RuleId: {},
              TimeWindow: {
                shape: "S4e"
              },
              MaxItems: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SampledRequests: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Request",
                    "Weight"
                  ],
                  members: {
                    Request: {
                      type: "structure",
                      members: {
                        ClientIP: {},
                        Country: {},
                        URI: {},
                        Method: {},
                        HTTPVersion: {},
                        Headers: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              Name: {},
                              Value: {}
                            }
                          }
                        }
                      }
                    },
                    Weight: {
                      type: "long"
                    },
                    Timestamp: {
                      type: "timestamp"
                    },
                    Action: {},
                    RuleWithinRuleGroup: {}
                  }
                }
              },
              PopulationSize: {
                type: "long"
              },
              TimeWindow: {
                shape: "S4e"
              }
            }
          }
        },
        GetSizeConstraintSet: {
          input: {
            type: "structure",
            required: [
              "SizeConstraintSetId"
            ],
            members: {
              SizeConstraintSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SizeConstraintSet: {
                shape: "S1p"
              }
            }
          }
        },
        GetSqlInjectionMatchSet: {
          input: {
            type: "structure",
            required: [
              "SqlInjectionMatchSetId"
            ],
            members: {
              SqlInjectionMatchSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SqlInjectionMatchSet: {
                shape: "S1w"
              }
            }
          }
        },
        GetWebACL: {
          input: {
            type: "structure",
            required: [
              "WebACLId"
            ],
            members: {
              WebACLId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WebACL: {
                shape: "S23"
              }
            }
          }
        },
        GetXssMatchSet: {
          input: {
            type: "structure",
            required: [
              "XssMatchSetId"
            ],
            members: {
              XssMatchSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              XssMatchSet: {
                shape: "S2k"
              }
            }
          }
        },
        ListActivatedRulesInRuleGroup: {
          input: {
            type: "structure",
            members: {
              RuleGroupId: {},
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              ActivatedRules: {
                shape: "S24"
              }
            }
          }
        },
        ListByteMatchSets: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              ByteMatchSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ByteMatchSetId",
                    "Name"
                  ],
                  members: {
                    ByteMatchSetId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListGeoMatchSets: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              GeoMatchSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "GeoMatchSetId",
                    "Name"
                  ],
                  members: {
                    GeoMatchSetId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListIPSets: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              IPSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "IPSetId",
                    "Name"
                  ],
                  members: {
                    IPSetId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListLoggingConfigurations: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LoggingConfigurations: {
                type: "list",
                member: {
                  shape: "S3s"
                }
              },
              NextMarker: {}
            }
          }
        },
        ListRateBasedRules: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              Rules: {
                shape: "S5p"
              }
            }
          }
        },
        ListRegexMatchSets: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              RegexMatchSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "RegexMatchSetId",
                    "Name"
                  ],
                  members: {
                    RegexMatchSetId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListRegexPatternSets: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              RegexPatternSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "RegexPatternSetId",
                    "Name"
                  ],
                  members: {
                    RegexPatternSetId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListRuleGroups: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              RuleGroups: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "RuleGroupId",
                    "Name"
                  ],
                  members: {
                    RuleGroupId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListRules: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              Rules: {
                shape: "S5p"
              }
            }
          }
        },
        ListSizeConstraintSets: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              SizeConstraintSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "SizeConstraintSetId",
                    "Name"
                  ],
                  members: {
                    SizeConstraintSetId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListSqlInjectionMatchSets: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              SqlInjectionMatchSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "SqlInjectionMatchSetId",
                    "Name"
                  ],
                  members: {
                    SqlInjectionMatchSetId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListSubscribedRuleGroups: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              RuleGroups: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "RuleGroupId",
                    "Name",
                    "MetricName"
                  ],
                  members: {
                    RuleGroupId: {},
                    Name: {},
                    MetricName: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              },
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              TagInfoForResource: {
                type: "structure",
                members: {
                  ResourceARN: {},
                  TagList: {
                    shape: "Sx"
                  }
                }
              }
            }
          }
        },
        ListWebACLs: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              WebACLs: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "WebACLId",
                    "Name"
                  ],
                  members: {
                    WebACLId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListXssMatchSets: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              XssMatchSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "XssMatchSetId",
                    "Name"
                  ],
                  members: {
                    XssMatchSetId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        PutLoggingConfiguration: {
          input: {
            type: "structure",
            required: [
              "LoggingConfiguration"
            ],
            members: {
              LoggingConfiguration: {
                shape: "S3s"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LoggingConfiguration: {
                shape: "S3s"
              }
            }
          }
        },
        PutPermissionPolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Policy"
            ],
            members: {
              ResourceArn: {},
              Policy: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateByteMatchSet: {
          input: {
            type: "structure",
            required: [
              "ByteMatchSetId",
              "ChangeToken",
              "Updates"
            ],
            members: {
              ByteMatchSetId: {},
              ChangeToken: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "ByteMatchTuple"
                  ],
                  members: {
                    Action: {},
                    ByteMatchTuple: {
                      shape: "S8"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateGeoMatchSet: {
          input: {
            type: "structure",
            required: [
              "GeoMatchSetId",
              "ChangeToken",
              "Updates"
            ],
            members: {
              GeoMatchSetId: {},
              ChangeToken: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "GeoMatchConstraint"
                  ],
                  members: {
                    Action: {},
                    GeoMatchConstraint: {
                      shape: "Sj"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateIPSet: {
          input: {
            type: "structure",
            required: [
              "IPSetId",
              "ChangeToken",
              "Updates"
            ],
            members: {
              IPSetId: {},
              ChangeToken: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "IPSetDescriptor"
                  ],
                  members: {
                    Action: {},
                    IPSetDescriptor: {
                      shape: "Sq"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateRateBasedRule: {
          input: {
            type: "structure",
            required: [
              "RuleId",
              "ChangeToken",
              "Updates",
              "RateLimit"
            ],
            members: {
              RuleId: {},
              ChangeToken: {},
              Updates: {
                shape: "S7f"
              },
              RateLimit: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateRegexMatchSet: {
          input: {
            type: "structure",
            required: [
              "RegexMatchSetId",
              "Updates",
              "ChangeToken"
            ],
            members: {
              RegexMatchSetId: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "RegexMatchTuple"
                  ],
                  members: {
                    Action: {},
                    RegexMatchTuple: {
                      shape: "S1b"
                    }
                  }
                }
              },
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateRegexPatternSet: {
          input: {
            type: "structure",
            required: [
              "RegexPatternSetId",
              "Updates",
              "ChangeToken"
            ],
            members: {
              RegexPatternSetId: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "RegexPatternString"
                  ],
                  members: {
                    Action: {},
                    RegexPatternString: {}
                  }
                }
              },
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateRule: {
          input: {
            type: "structure",
            required: [
              "RuleId",
              "ChangeToken",
              "Updates"
            ],
            members: {
              RuleId: {},
              ChangeToken: {},
              Updates: {
                shape: "S7f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateRuleGroup: {
          input: {
            type: "structure",
            required: [
              "RuleGroupId",
              "Updates",
              "ChangeToken"
            ],
            members: {
              RuleGroupId: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "ActivatedRule"
                  ],
                  members: {
                    Action: {},
                    ActivatedRule: {
                      shape: "S25"
                    }
                  }
                }
              },
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateSizeConstraintSet: {
          input: {
            type: "structure",
            required: [
              "SizeConstraintSetId",
              "ChangeToken",
              "Updates"
            ],
            members: {
              SizeConstraintSetId: {},
              ChangeToken: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "SizeConstraint"
                  ],
                  members: {
                    Action: {},
                    SizeConstraint: {
                      shape: "S1r"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateSqlInjectionMatchSet: {
          input: {
            type: "structure",
            required: [
              "SqlInjectionMatchSetId",
              "ChangeToken",
              "Updates"
            ],
            members: {
              SqlInjectionMatchSetId: {},
              ChangeToken: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "SqlInjectionMatchTuple"
                  ],
                  members: {
                    Action: {},
                    SqlInjectionMatchTuple: {
                      shape: "S1y"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateWebACL: {
          input: {
            type: "structure",
            required: [
              "WebACLId",
              "ChangeToken"
            ],
            members: {
              WebACLId: {},
              ChangeToken: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "ActivatedRule"
                  ],
                  members: {
                    Action: {},
                    ActivatedRule: {
                      shape: "S25"
                    }
                  }
                }
              },
              DefaultAction: {
                shape: "S20"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateXssMatchSet: {
          input: {
            type: "structure",
            required: [
              "XssMatchSetId",
              "ChangeToken",
              "Updates"
            ],
            members: {
              XssMatchSetId: {},
              ChangeToken: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "XssMatchTuple"
                  ],
                  members: {
                    Action: {},
                    XssMatchTuple: {
                      shape: "S2m"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          required: [
            "ByteMatchSetId",
            "ByteMatchTuples"
          ],
          members: {
            ByteMatchSetId: {},
            Name: {},
            ByteMatchTuples: {
              type: "list",
              member: {
                shape: "S8"
              }
            }
          }
        },
        S8: {
          type: "structure",
          required: [
            "FieldToMatch",
            "TargetString",
            "TextTransformation",
            "PositionalConstraint"
          ],
          members: {
            FieldToMatch: {
              shape: "S9"
            },
            TargetString: {
              type: "blob"
            },
            TextTransformation: {},
            PositionalConstraint: {}
          }
        },
        S9: {
          type: "structure",
          required: [
            "Type"
          ],
          members: {
            Type: {},
            Data: {}
          }
        },
        Sh: {
          type: "structure",
          required: [
            "GeoMatchSetId",
            "GeoMatchConstraints"
          ],
          members: {
            GeoMatchSetId: {},
            Name: {},
            GeoMatchConstraints: {
              type: "list",
              member: {
                shape: "Sj"
              }
            }
          }
        },
        Sj: {
          type: "structure",
          required: [
            "Type",
            "Value"
          ],
          members: {
            Type: {},
            Value: {}
          }
        },
        So: {
          type: "structure",
          required: [
            "IPSetId",
            "IPSetDescriptors"
          ],
          members: {
            IPSetId: {},
            Name: {},
            IPSetDescriptors: {
              type: "list",
              member: {
                shape: "Sq"
              }
            }
          }
        },
        Sq: {
          type: "structure",
          required: [
            "Type",
            "Value"
          ],
          members: {
            Type: {},
            Value: {}
          }
        },
        Sx: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S12: {
          type: "structure",
          required: [
            "RuleId",
            "MatchPredicates",
            "RateKey",
            "RateLimit"
          ],
          members: {
            RuleId: {},
            Name: {},
            MetricName: {},
            MatchPredicates: {
              shape: "S13"
            },
            RateKey: {},
            RateLimit: {
              type: "long"
            }
          }
        },
        S13: {
          type: "list",
          member: {
            shape: "S14"
          }
        },
        S14: {
          type: "structure",
          required: [
            "Negated",
            "Type",
            "DataId"
          ],
          members: {
            Negated: {
              type: "boolean"
            },
            Type: {},
            DataId: {}
          }
        },
        S19: {
          type: "structure",
          members: {
            RegexMatchSetId: {},
            Name: {},
            RegexMatchTuples: {
              type: "list",
              member: {
                shape: "S1b"
              }
            }
          }
        },
        S1b: {
          type: "structure",
          required: [
            "FieldToMatch",
            "TextTransformation",
            "RegexPatternSetId"
          ],
          members: {
            FieldToMatch: {
              shape: "S9"
            },
            TextTransformation: {},
            RegexPatternSetId: {}
          }
        },
        S1e: {
          type: "structure",
          required: [
            "RegexPatternSetId",
            "RegexPatternStrings"
          ],
          members: {
            RegexPatternSetId: {},
            Name: {},
            RegexPatternStrings: {
              type: "list",
              member: {}
            }
          }
        },
        S1j: {
          type: "structure",
          required: [
            "RuleId",
            "Predicates"
          ],
          members: {
            RuleId: {},
            Name: {},
            MetricName: {},
            Predicates: {
              shape: "S13"
            }
          }
        },
        S1m: {
          type: "structure",
          required: [
            "RuleGroupId"
          ],
          members: {
            RuleGroupId: {},
            Name: {},
            MetricName: {}
          }
        },
        S1p: {
          type: "structure",
          required: [
            "SizeConstraintSetId",
            "SizeConstraints"
          ],
          members: {
            SizeConstraintSetId: {},
            Name: {},
            SizeConstraints: {
              type: "list",
              member: {
                shape: "S1r"
              }
            }
          }
        },
        S1r: {
          type: "structure",
          required: [
            "FieldToMatch",
            "TextTransformation",
            "ComparisonOperator",
            "Size"
          ],
          members: {
            FieldToMatch: {
              shape: "S9"
            },
            TextTransformation: {},
            ComparisonOperator: {},
            Size: {
              type: "long"
            }
          }
        },
        S1w: {
          type: "structure",
          required: [
            "SqlInjectionMatchSetId",
            "SqlInjectionMatchTuples"
          ],
          members: {
            SqlInjectionMatchSetId: {},
            Name: {},
            SqlInjectionMatchTuples: {
              type: "list",
              member: {
                shape: "S1y"
              }
            }
          }
        },
        S1y: {
          type: "structure",
          required: [
            "FieldToMatch",
            "TextTransformation"
          ],
          members: {
            FieldToMatch: {
              shape: "S9"
            },
            TextTransformation: {}
          }
        },
        S20: {
          type: "structure",
          required: [
            "Type"
          ],
          members: {
            Type: {}
          }
        },
        S23: {
          type: "structure",
          required: [
            "WebACLId",
            "DefaultAction",
            "Rules"
          ],
          members: {
            WebACLId: {},
            Name: {},
            MetricName: {},
            DefaultAction: {
              shape: "S20"
            },
            Rules: {
              shape: "S24"
            },
            WebACLArn: {}
          }
        },
        S24: {
          type: "list",
          member: {
            shape: "S25"
          }
        },
        S25: {
          type: "structure",
          required: [
            "Priority",
            "RuleId"
          ],
          members: {
            Priority: {
              type: "integer"
            },
            RuleId: {},
            Action: {
              shape: "S20"
            },
            OverrideAction: {
              type: "structure",
              required: [
                "Type"
              ],
              members: {
                Type: {}
              }
            },
            Type: {},
            ExcludedRules: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "RuleId"
                ],
                members: {
                  RuleId: {}
                }
              }
            }
          }
        },
        S2k: {
          type: "structure",
          required: [
            "XssMatchSetId",
            "XssMatchTuples"
          ],
          members: {
            XssMatchSetId: {},
            Name: {},
            XssMatchTuples: {
              type: "list",
              member: {
                shape: "S2m"
              }
            }
          }
        },
        S2m: {
          type: "structure",
          required: [
            "FieldToMatch",
            "TextTransformation"
          ],
          members: {
            FieldToMatch: {
              shape: "S9"
            },
            TextTransformation: {}
          }
        },
        S3s: {
          type: "structure",
          required: [
            "ResourceArn",
            "LogDestinationConfigs"
          ],
          members: {
            ResourceArn: {},
            LogDestinationConfigs: {
              type: "list",
              member: {}
            },
            RedactedFields: {
              type: "list",
              member: {
                shape: "S9"
              }
            }
          }
        },
        S4e: {
          type: "structure",
          required: [
            "StartTime",
            "EndTime"
          ],
          members: {
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            }
          }
        },
        S5p: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "RuleId",
              "Name"
            ],
            members: {
              RuleId: {},
              Name: {}
            }
          }
        },
        S7f: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Action",
              "Predicate"
            ],
            members: {
              Action: {},
              Predicate: {
                shape: "S14"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/waf-2015-08-24.paginators.json
var require_waf_2015_08_24_paginators = __commonJS({
  "node_modules/aws-sdk/apis/waf-2015-08-24.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/waf.js
var require_waf = __commonJS({
  "node_modules/aws-sdk/clients/waf.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["waf"] = {};
    AWS2.WAF = Service.defineService("waf", ["2015-08-24"]);
    Object.defineProperty(apiLoader.services["waf"], "2015-08-24", {
      get: function get() {
        var model = require_waf_2015_08_24_min();
        model.paginators = require_waf_2015_08_24_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.WAF;
  }
});

// node_modules/aws-sdk/apis/waf-regional-2016-11-28.min.json
var require_waf_regional_2016_11_28_min = __commonJS({
  "node_modules/aws-sdk/apis/waf-regional-2016-11-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-11-28",
        endpointPrefix: "waf-regional",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "WAF Regional",
        serviceFullName: "AWS WAF Regional",
        serviceId: "WAF Regional",
        signatureVersion: "v4",
        targetPrefix: "AWSWAF_Regional_20161128",
        uid: "waf-regional-2016-11-28"
      },
      operations: {
        AssociateWebACL: {
          input: {
            type: "structure",
            required: [
              "WebACLId",
              "ResourceArn"
            ],
            members: {
              WebACLId: {},
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateByteMatchSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ChangeToken"
            ],
            members: {
              Name: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ByteMatchSet: {
                shape: "S9"
              },
              ChangeToken: {}
            }
          }
        },
        CreateGeoMatchSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ChangeToken"
            ],
            members: {
              Name: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GeoMatchSet: {
                shape: "Sk"
              },
              ChangeToken: {}
            }
          }
        },
        CreateIPSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ChangeToken"
            ],
            members: {
              Name: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IPSet: {
                shape: "Sr"
              },
              ChangeToken: {}
            }
          }
        },
        CreateRateBasedRule: {
          input: {
            type: "structure",
            required: [
              "Name",
              "MetricName",
              "RateKey",
              "RateLimit",
              "ChangeToken"
            ],
            members: {
              Name: {},
              MetricName: {},
              RateKey: {},
              RateLimit: {
                type: "long"
              },
              ChangeToken: {},
              Tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Rule: {
                shape: "S15"
              },
              ChangeToken: {}
            }
          }
        },
        CreateRegexMatchSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ChangeToken"
            ],
            members: {
              Name: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RegexMatchSet: {
                shape: "S1c"
              },
              ChangeToken: {}
            }
          }
        },
        CreateRegexPatternSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ChangeToken"
            ],
            members: {
              Name: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RegexPatternSet: {
                shape: "S1h"
              },
              ChangeToken: {}
            }
          }
        },
        CreateRule: {
          input: {
            type: "structure",
            required: [
              "Name",
              "MetricName",
              "ChangeToken"
            ],
            members: {
              Name: {},
              MetricName: {},
              ChangeToken: {},
              Tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Rule: {
                shape: "S1m"
              },
              ChangeToken: {}
            }
          }
        },
        CreateRuleGroup: {
          input: {
            type: "structure",
            required: [
              "Name",
              "MetricName",
              "ChangeToken"
            ],
            members: {
              Name: {},
              MetricName: {},
              ChangeToken: {},
              Tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RuleGroup: {
                shape: "S1p"
              },
              ChangeToken: {}
            }
          }
        },
        CreateSizeConstraintSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ChangeToken"
            ],
            members: {
              Name: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SizeConstraintSet: {
                shape: "S1s"
              },
              ChangeToken: {}
            }
          }
        },
        CreateSqlInjectionMatchSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ChangeToken"
            ],
            members: {
              Name: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SqlInjectionMatchSet: {
                shape: "S1z"
              },
              ChangeToken: {}
            }
          }
        },
        CreateWebACL: {
          input: {
            type: "structure",
            required: [
              "Name",
              "MetricName",
              "DefaultAction",
              "ChangeToken"
            ],
            members: {
              Name: {},
              MetricName: {},
              DefaultAction: {
                shape: "S23"
              },
              ChangeToken: {},
              Tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WebACL: {
                shape: "S26"
              },
              ChangeToken: {}
            }
          }
        },
        CreateWebACLMigrationStack: {
          input: {
            type: "structure",
            required: [
              "WebACLId",
              "S3BucketName",
              "IgnoreUnsupportedType"
            ],
            members: {
              WebACLId: {},
              S3BucketName: {},
              IgnoreUnsupportedType: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "S3ObjectUrl"
            ],
            members: {
              S3ObjectUrl: {}
            }
          }
        },
        CreateXssMatchSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ChangeToken"
            ],
            members: {
              Name: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              XssMatchSet: {
                shape: "S2m"
              },
              ChangeToken: {}
            }
          }
        },
        DeleteByteMatchSet: {
          input: {
            type: "structure",
            required: [
              "ByteMatchSetId",
              "ChangeToken"
            ],
            members: {
              ByteMatchSetId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteGeoMatchSet: {
          input: {
            type: "structure",
            required: [
              "GeoMatchSetId",
              "ChangeToken"
            ],
            members: {
              GeoMatchSetId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteIPSet: {
          input: {
            type: "structure",
            required: [
              "IPSetId",
              "ChangeToken"
            ],
            members: {
              IPSetId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteLoggingConfiguration: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeletePermissionPolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteRateBasedRule: {
          input: {
            type: "structure",
            required: [
              "RuleId",
              "ChangeToken"
            ],
            members: {
              RuleId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteRegexMatchSet: {
          input: {
            type: "structure",
            required: [
              "RegexMatchSetId",
              "ChangeToken"
            ],
            members: {
              RegexMatchSetId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteRegexPatternSet: {
          input: {
            type: "structure",
            required: [
              "RegexPatternSetId",
              "ChangeToken"
            ],
            members: {
              RegexPatternSetId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteRule: {
          input: {
            type: "structure",
            required: [
              "RuleId",
              "ChangeToken"
            ],
            members: {
              RuleId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteRuleGroup: {
          input: {
            type: "structure",
            required: [
              "RuleGroupId",
              "ChangeToken"
            ],
            members: {
              RuleGroupId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteSizeConstraintSet: {
          input: {
            type: "structure",
            required: [
              "SizeConstraintSetId",
              "ChangeToken"
            ],
            members: {
              SizeConstraintSetId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteSqlInjectionMatchSet: {
          input: {
            type: "structure",
            required: [
              "SqlInjectionMatchSetId",
              "ChangeToken"
            ],
            members: {
              SqlInjectionMatchSetId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteWebACL: {
          input: {
            type: "structure",
            required: [
              "WebACLId",
              "ChangeToken"
            ],
            members: {
              WebACLId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DeleteXssMatchSet: {
          input: {
            type: "structure",
            required: [
              "XssMatchSetId",
              "ChangeToken"
            ],
            members: {
              XssMatchSetId: {},
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        DisassociateWebACL: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetByteMatchSet: {
          input: {
            type: "structure",
            required: [
              "ByteMatchSetId"
            ],
            members: {
              ByteMatchSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ByteMatchSet: {
                shape: "S9"
              }
            }
          }
        },
        GetChangeToken: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        GetChangeTokenStatus: {
          input: {
            type: "structure",
            required: [
              "ChangeToken"
            ],
            members: {
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeTokenStatus: {}
            }
          }
        },
        GetGeoMatchSet: {
          input: {
            type: "structure",
            required: [
              "GeoMatchSetId"
            ],
            members: {
              GeoMatchSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GeoMatchSet: {
                shape: "Sk"
              }
            }
          }
        },
        GetIPSet: {
          input: {
            type: "structure",
            required: [
              "IPSetId"
            ],
            members: {
              IPSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IPSet: {
                shape: "Sr"
              }
            }
          }
        },
        GetLoggingConfiguration: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LoggingConfiguration: {
                shape: "S3w"
              }
            }
          }
        },
        GetPermissionPolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {}
            }
          }
        },
        GetRateBasedRule: {
          input: {
            type: "structure",
            required: [
              "RuleId"
            ],
            members: {
              RuleId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Rule: {
                shape: "S15"
              }
            }
          }
        },
        GetRateBasedRuleManagedKeys: {
          input: {
            type: "structure",
            required: [
              "RuleId"
            ],
            members: {
              RuleId: {},
              NextMarker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ManagedKeys: {
                type: "list",
                member: {}
              },
              NextMarker: {}
            }
          }
        },
        GetRegexMatchSet: {
          input: {
            type: "structure",
            required: [
              "RegexMatchSetId"
            ],
            members: {
              RegexMatchSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RegexMatchSet: {
                shape: "S1c"
              }
            }
          }
        },
        GetRegexPatternSet: {
          input: {
            type: "structure",
            required: [
              "RegexPatternSetId"
            ],
            members: {
              RegexPatternSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RegexPatternSet: {
                shape: "S1h"
              }
            }
          }
        },
        GetRule: {
          input: {
            type: "structure",
            required: [
              "RuleId"
            ],
            members: {
              RuleId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Rule: {
                shape: "S1m"
              }
            }
          }
        },
        GetRuleGroup: {
          input: {
            type: "structure",
            required: [
              "RuleGroupId"
            ],
            members: {
              RuleGroupId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RuleGroup: {
                shape: "S1p"
              }
            }
          }
        },
        GetSampledRequests: {
          input: {
            type: "structure",
            required: [
              "WebAclId",
              "RuleId",
              "TimeWindow",
              "MaxItems"
            ],
            members: {
              WebAclId: {},
              RuleId: {},
              TimeWindow: {
                shape: "S4i"
              },
              MaxItems: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SampledRequests: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Request",
                    "Weight"
                  ],
                  members: {
                    Request: {
                      type: "structure",
                      members: {
                        ClientIP: {},
                        Country: {},
                        URI: {},
                        Method: {},
                        HTTPVersion: {},
                        Headers: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              Name: {},
                              Value: {}
                            }
                          }
                        }
                      }
                    },
                    Weight: {
                      type: "long"
                    },
                    Timestamp: {
                      type: "timestamp"
                    },
                    Action: {},
                    RuleWithinRuleGroup: {}
                  }
                }
              },
              PopulationSize: {
                type: "long"
              },
              TimeWindow: {
                shape: "S4i"
              }
            }
          }
        },
        GetSizeConstraintSet: {
          input: {
            type: "structure",
            required: [
              "SizeConstraintSetId"
            ],
            members: {
              SizeConstraintSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SizeConstraintSet: {
                shape: "S1s"
              }
            }
          }
        },
        GetSqlInjectionMatchSet: {
          input: {
            type: "structure",
            required: [
              "SqlInjectionMatchSetId"
            ],
            members: {
              SqlInjectionMatchSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SqlInjectionMatchSet: {
                shape: "S1z"
              }
            }
          }
        },
        GetWebACL: {
          input: {
            type: "structure",
            required: [
              "WebACLId"
            ],
            members: {
              WebACLId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WebACL: {
                shape: "S26"
              }
            }
          }
        },
        GetWebACLForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WebACLSummary: {
                shape: "S59"
              }
            }
          }
        },
        GetXssMatchSet: {
          input: {
            type: "structure",
            required: [
              "XssMatchSetId"
            ],
            members: {
              XssMatchSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              XssMatchSet: {
                shape: "S2m"
              }
            }
          }
        },
        ListActivatedRulesInRuleGroup: {
          input: {
            type: "structure",
            members: {
              RuleGroupId: {},
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              ActivatedRules: {
                shape: "S27"
              }
            }
          }
        },
        ListByteMatchSets: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              ByteMatchSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ByteMatchSetId",
                    "Name"
                  ],
                  members: {
                    ByteMatchSetId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListGeoMatchSets: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              GeoMatchSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "GeoMatchSetId",
                    "Name"
                  ],
                  members: {
                    GeoMatchSetId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListIPSets: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              IPSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "IPSetId",
                    "Name"
                  ],
                  members: {
                    IPSetId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListLoggingConfigurations: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LoggingConfigurations: {
                type: "list",
                member: {
                  shape: "S3w"
                }
              },
              NextMarker: {}
            }
          }
        },
        ListRateBasedRules: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              Rules: {
                shape: "S5w"
              }
            }
          }
        },
        ListRegexMatchSets: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              RegexMatchSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "RegexMatchSetId",
                    "Name"
                  ],
                  members: {
                    RegexMatchSetId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListRegexPatternSets: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              RegexPatternSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "RegexPatternSetId",
                    "Name"
                  ],
                  members: {
                    RegexPatternSetId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListResourcesForWebACL: {
          input: {
            type: "structure",
            required: [
              "WebACLId"
            ],
            members: {
              WebACLId: {},
              ResourceType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceArns: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ListRuleGroups: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              RuleGroups: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "RuleGroupId",
                    "Name"
                  ],
                  members: {
                    RuleGroupId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListRules: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              Rules: {
                shape: "S5w"
              }
            }
          }
        },
        ListSizeConstraintSets: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              SizeConstraintSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "SizeConstraintSetId",
                    "Name"
                  ],
                  members: {
                    SizeConstraintSetId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListSqlInjectionMatchSets: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              SqlInjectionMatchSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "SqlInjectionMatchSetId",
                    "Name"
                  ],
                  members: {
                    SqlInjectionMatchSetId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListSubscribedRuleGroups: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              RuleGroups: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "RuleGroupId",
                    "Name",
                    "MetricName"
                  ],
                  members: {
                    RuleGroupId: {},
                    Name: {},
                    MetricName: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              },
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              TagInfoForResource: {
                type: "structure",
                members: {
                  ResourceARN: {},
                  TagList: {
                    shape: "S10"
                  }
                }
              }
            }
          }
        },
        ListWebACLs: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              WebACLs: {
                type: "list",
                member: {
                  shape: "S59"
                }
              }
            }
          }
        },
        ListXssMatchSets: {
          input: {
            type: "structure",
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              XssMatchSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "XssMatchSetId",
                    "Name"
                  ],
                  members: {
                    XssMatchSetId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        PutLoggingConfiguration: {
          input: {
            type: "structure",
            required: [
              "LoggingConfiguration"
            ],
            members: {
              LoggingConfiguration: {
                shape: "S3w"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LoggingConfiguration: {
                shape: "S3w"
              }
            }
          }
        },
        PutPermissionPolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Policy"
            ],
            members: {
              ResourceArn: {},
              Policy: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateByteMatchSet: {
          input: {
            type: "structure",
            required: [
              "ByteMatchSetId",
              "ChangeToken",
              "Updates"
            ],
            members: {
              ByteMatchSetId: {},
              ChangeToken: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "ByteMatchTuple"
                  ],
                  members: {
                    Action: {},
                    ByteMatchTuple: {
                      shape: "Sb"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateGeoMatchSet: {
          input: {
            type: "structure",
            required: [
              "GeoMatchSetId",
              "ChangeToken",
              "Updates"
            ],
            members: {
              GeoMatchSetId: {},
              ChangeToken: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "GeoMatchConstraint"
                  ],
                  members: {
                    Action: {},
                    GeoMatchConstraint: {
                      shape: "Sm"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateIPSet: {
          input: {
            type: "structure",
            required: [
              "IPSetId",
              "ChangeToken",
              "Updates"
            ],
            members: {
              IPSetId: {},
              ChangeToken: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "IPSetDescriptor"
                  ],
                  members: {
                    Action: {},
                    IPSetDescriptor: {
                      shape: "St"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateRateBasedRule: {
          input: {
            type: "structure",
            required: [
              "RuleId",
              "ChangeToken",
              "Updates",
              "RateLimit"
            ],
            members: {
              RuleId: {},
              ChangeToken: {},
              Updates: {
                shape: "S7p"
              },
              RateLimit: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateRegexMatchSet: {
          input: {
            type: "structure",
            required: [
              "RegexMatchSetId",
              "Updates",
              "ChangeToken"
            ],
            members: {
              RegexMatchSetId: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "RegexMatchTuple"
                  ],
                  members: {
                    Action: {},
                    RegexMatchTuple: {
                      shape: "S1e"
                    }
                  }
                }
              },
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateRegexPatternSet: {
          input: {
            type: "structure",
            required: [
              "RegexPatternSetId",
              "Updates",
              "ChangeToken"
            ],
            members: {
              RegexPatternSetId: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "RegexPatternString"
                  ],
                  members: {
                    Action: {},
                    RegexPatternString: {}
                  }
                }
              },
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateRule: {
          input: {
            type: "structure",
            required: [
              "RuleId",
              "ChangeToken",
              "Updates"
            ],
            members: {
              RuleId: {},
              ChangeToken: {},
              Updates: {
                shape: "S7p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateRuleGroup: {
          input: {
            type: "structure",
            required: [
              "RuleGroupId",
              "Updates",
              "ChangeToken"
            ],
            members: {
              RuleGroupId: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "ActivatedRule"
                  ],
                  members: {
                    Action: {},
                    ActivatedRule: {
                      shape: "S28"
                    }
                  }
                }
              },
              ChangeToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateSizeConstraintSet: {
          input: {
            type: "structure",
            required: [
              "SizeConstraintSetId",
              "ChangeToken",
              "Updates"
            ],
            members: {
              SizeConstraintSetId: {},
              ChangeToken: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "SizeConstraint"
                  ],
                  members: {
                    Action: {},
                    SizeConstraint: {
                      shape: "S1u"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateSqlInjectionMatchSet: {
          input: {
            type: "structure",
            required: [
              "SqlInjectionMatchSetId",
              "ChangeToken",
              "Updates"
            ],
            members: {
              SqlInjectionMatchSetId: {},
              ChangeToken: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "SqlInjectionMatchTuple"
                  ],
                  members: {
                    Action: {},
                    SqlInjectionMatchTuple: {
                      shape: "S21"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateWebACL: {
          input: {
            type: "structure",
            required: [
              "WebACLId",
              "ChangeToken"
            ],
            members: {
              WebACLId: {},
              ChangeToken: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "ActivatedRule"
                  ],
                  members: {
                    Action: {},
                    ActivatedRule: {
                      shape: "S28"
                    }
                  }
                }
              },
              DefaultAction: {
                shape: "S23"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        },
        UpdateXssMatchSet: {
          input: {
            type: "structure",
            required: [
              "XssMatchSetId",
              "ChangeToken",
              "Updates"
            ],
            members: {
              XssMatchSetId: {},
              ChangeToken: {},
              Updates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "XssMatchTuple"
                  ],
                  members: {
                    Action: {},
                    XssMatchTuple: {
                      shape: "S2o"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeToken: {}
            }
          }
        }
      },
      shapes: {
        S9: {
          type: "structure",
          required: [
            "ByteMatchSetId",
            "ByteMatchTuples"
          ],
          members: {
            ByteMatchSetId: {},
            Name: {},
            ByteMatchTuples: {
              type: "list",
              member: {
                shape: "Sb"
              }
            }
          }
        },
        Sb: {
          type: "structure",
          required: [
            "FieldToMatch",
            "TargetString",
            "TextTransformation",
            "PositionalConstraint"
          ],
          members: {
            FieldToMatch: {
              shape: "Sc"
            },
            TargetString: {
              type: "blob"
            },
            TextTransformation: {},
            PositionalConstraint: {}
          }
        },
        Sc: {
          type: "structure",
          required: [
            "Type"
          ],
          members: {
            Type: {},
            Data: {}
          }
        },
        Sk: {
          type: "structure",
          required: [
            "GeoMatchSetId",
            "GeoMatchConstraints"
          ],
          members: {
            GeoMatchSetId: {},
            Name: {},
            GeoMatchConstraints: {
              type: "list",
              member: {
                shape: "Sm"
              }
            }
          }
        },
        Sm: {
          type: "structure",
          required: [
            "Type",
            "Value"
          ],
          members: {
            Type: {},
            Value: {}
          }
        },
        Sr: {
          type: "structure",
          required: [
            "IPSetId",
            "IPSetDescriptors"
          ],
          members: {
            IPSetId: {},
            Name: {},
            IPSetDescriptors: {
              type: "list",
              member: {
                shape: "St"
              }
            }
          }
        },
        St: {
          type: "structure",
          required: [
            "Type",
            "Value"
          ],
          members: {
            Type: {},
            Value: {}
          }
        },
        S10: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S15: {
          type: "structure",
          required: [
            "RuleId",
            "MatchPredicates",
            "RateKey",
            "RateLimit"
          ],
          members: {
            RuleId: {},
            Name: {},
            MetricName: {},
            MatchPredicates: {
              shape: "S16"
            },
            RateKey: {},
            RateLimit: {
              type: "long"
            }
          }
        },
        S16: {
          type: "list",
          member: {
            shape: "S17"
          }
        },
        S17: {
          type: "structure",
          required: [
            "Negated",
            "Type",
            "DataId"
          ],
          members: {
            Negated: {
              type: "boolean"
            },
            Type: {},
            DataId: {}
          }
        },
        S1c: {
          type: "structure",
          members: {
            RegexMatchSetId: {},
            Name: {},
            RegexMatchTuples: {
              type: "list",
              member: {
                shape: "S1e"
              }
            }
          }
        },
        S1e: {
          type: "structure",
          required: [
            "FieldToMatch",
            "TextTransformation",
            "RegexPatternSetId"
          ],
          members: {
            FieldToMatch: {
              shape: "Sc"
            },
            TextTransformation: {},
            RegexPatternSetId: {}
          }
        },
        S1h: {
          type: "structure",
          required: [
            "RegexPatternSetId",
            "RegexPatternStrings"
          ],
          members: {
            RegexPatternSetId: {},
            Name: {},
            RegexPatternStrings: {
              type: "list",
              member: {}
            }
          }
        },
        S1m: {
          type: "structure",
          required: [
            "RuleId",
            "Predicates"
          ],
          members: {
            RuleId: {},
            Name: {},
            MetricName: {},
            Predicates: {
              shape: "S16"
            }
          }
        },
        S1p: {
          type: "structure",
          required: [
            "RuleGroupId"
          ],
          members: {
            RuleGroupId: {},
            Name: {},
            MetricName: {}
          }
        },
        S1s: {
          type: "structure",
          required: [
            "SizeConstraintSetId",
            "SizeConstraints"
          ],
          members: {
            SizeConstraintSetId: {},
            Name: {},
            SizeConstraints: {
              type: "list",
              member: {
                shape: "S1u"
              }
            }
          }
        },
        S1u: {
          type: "structure",
          required: [
            "FieldToMatch",
            "TextTransformation",
            "ComparisonOperator",
            "Size"
          ],
          members: {
            FieldToMatch: {
              shape: "Sc"
            },
            TextTransformation: {},
            ComparisonOperator: {},
            Size: {
              type: "long"
            }
          }
        },
        S1z: {
          type: "structure",
          required: [
            "SqlInjectionMatchSetId",
            "SqlInjectionMatchTuples"
          ],
          members: {
            SqlInjectionMatchSetId: {},
            Name: {},
            SqlInjectionMatchTuples: {
              type: "list",
              member: {
                shape: "S21"
              }
            }
          }
        },
        S21: {
          type: "structure",
          required: [
            "FieldToMatch",
            "TextTransformation"
          ],
          members: {
            FieldToMatch: {
              shape: "Sc"
            },
            TextTransformation: {}
          }
        },
        S23: {
          type: "structure",
          required: [
            "Type"
          ],
          members: {
            Type: {}
          }
        },
        S26: {
          type: "structure",
          required: [
            "WebACLId",
            "DefaultAction",
            "Rules"
          ],
          members: {
            WebACLId: {},
            Name: {},
            MetricName: {},
            DefaultAction: {
              shape: "S23"
            },
            Rules: {
              shape: "S27"
            },
            WebACLArn: {}
          }
        },
        S27: {
          type: "list",
          member: {
            shape: "S28"
          }
        },
        S28: {
          type: "structure",
          required: [
            "Priority",
            "RuleId"
          ],
          members: {
            Priority: {
              type: "integer"
            },
            RuleId: {},
            Action: {
              shape: "S23"
            },
            OverrideAction: {
              type: "structure",
              required: [
                "Type"
              ],
              members: {
                Type: {}
              }
            },
            Type: {},
            ExcludedRules: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "RuleId"
                ],
                members: {
                  RuleId: {}
                }
              }
            }
          }
        },
        S2m: {
          type: "structure",
          required: [
            "XssMatchSetId",
            "XssMatchTuples"
          ],
          members: {
            XssMatchSetId: {},
            Name: {},
            XssMatchTuples: {
              type: "list",
              member: {
                shape: "S2o"
              }
            }
          }
        },
        S2o: {
          type: "structure",
          required: [
            "FieldToMatch",
            "TextTransformation"
          ],
          members: {
            FieldToMatch: {
              shape: "Sc"
            },
            TextTransformation: {}
          }
        },
        S3w: {
          type: "structure",
          required: [
            "ResourceArn",
            "LogDestinationConfigs"
          ],
          members: {
            ResourceArn: {},
            LogDestinationConfigs: {
              type: "list",
              member: {}
            },
            RedactedFields: {
              type: "list",
              member: {
                shape: "Sc"
              }
            }
          }
        },
        S4i: {
          type: "structure",
          required: [
            "StartTime",
            "EndTime"
          ],
          members: {
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            }
          }
        },
        S59: {
          type: "structure",
          required: [
            "WebACLId",
            "Name"
          ],
          members: {
            WebACLId: {},
            Name: {}
          }
        },
        S5w: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "RuleId",
              "Name"
            ],
            members: {
              RuleId: {},
              Name: {}
            }
          }
        },
        S7p: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Action",
              "Predicate"
            ],
            members: {
              Action: {},
              Predicate: {
                shape: "S17"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/waf-regional-2016-11-28.paginators.json
var require_waf_regional_2016_11_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/waf-regional-2016-11-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/wafregional.js
var require_wafregional = __commonJS({
  "node_modules/aws-sdk/clients/wafregional.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["wafregional"] = {};
    AWS2.WAFRegional = Service.defineService("wafregional", ["2016-11-28"]);
    Object.defineProperty(apiLoader.services["wafregional"], "2016-11-28", {
      get: function get() {
        var model = require_waf_regional_2016_11_28_min();
        model.paginators = require_waf_regional_2016_11_28_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.WAFRegional;
  }
});

// node_modules/aws-sdk/apis/workdocs-2016-05-01.min.json
var require_workdocs_2016_05_01_min = __commonJS({
  "node_modules/aws-sdk/apis/workdocs-2016-05-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2016-05-01",
        endpointPrefix: "workdocs",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon WorkDocs",
        serviceId: "WorkDocs",
        signatureVersion: "v4",
        uid: "workdocs-2016-05-01"
      },
      operations: {
        AbortDocumentVersionUpload: {
          http: {
            method: "DELETE",
            requestUri: "/api/v1/documents/{DocumentId}/versions/{VersionId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "DocumentId",
              "VersionId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              DocumentId: {
                location: "uri",
                locationName: "DocumentId"
              },
              VersionId: {
                location: "uri",
                locationName: "VersionId"
              }
            }
          }
        },
        ActivateUser: {
          http: {
            requestUri: "/api/v1/users/{UserId}/activation",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "UserId"
            ],
            members: {
              UserId: {
                location: "uri",
                locationName: "UserId"
              },
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              User: {
                shape: "S8"
              }
            }
          }
        },
        AddResourcePermissions: {
          http: {
            requestUri: "/api/v1/resources/{ResourceId}/permissions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "Principals"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              ResourceId: {
                location: "uri",
                locationName: "ResourceId"
              },
              Principals: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Id",
                    "Type",
                    "Role"
                  ],
                  members: {
                    Id: {},
                    Type: {},
                    Role: {}
                  }
                }
              },
              NotificationOptions: {
                type: "structure",
                members: {
                  SendEmail: {
                    type: "boolean"
                  },
                  EmailMessage: {
                    shape: "St"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ShareResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PrincipalId: {},
                    InviteePrincipalId: {},
                    Role: {},
                    Status: {},
                    ShareId: {},
                    StatusMessage: {
                      shape: "St"
                    }
                  }
                }
              }
            }
          }
        },
        CreateComment: {
          http: {
            requestUri: "/api/v1/documents/{DocumentId}/versions/{VersionId}/comment",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DocumentId",
              "VersionId",
              "Text"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              DocumentId: {
                location: "uri",
                locationName: "DocumentId"
              },
              VersionId: {
                location: "uri",
                locationName: "VersionId"
              },
              ParentId: {},
              ThreadId: {},
              Text: {
                shape: "S10"
              },
              Visibility: {},
              NotifyCollaborators: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Comment: {
                shape: "S13"
              }
            }
          }
        },
        CreateCustomMetadata: {
          http: {
            method: "PUT",
            requestUri: "/api/v1/resources/{ResourceId}/customMetadata",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "CustomMetadata"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              ResourceId: {
                location: "uri",
                locationName: "ResourceId"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionid"
              },
              CustomMetadata: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateFolder: {
          http: {
            requestUri: "/api/v1/folders",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ParentFolderId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              Name: {
                shape: "S1b"
              },
              ParentFolderId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Metadata: {
                shape: "S1d"
              }
            }
          }
        },
        CreateLabels: {
          http: {
            method: "PUT",
            requestUri: "/api/v1/resources/{ResourceId}/labels",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "Labels"
            ],
            members: {
              ResourceId: {
                location: "uri",
                locationName: "ResourceId"
              },
              Labels: {
                shape: "S1g"
              },
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateNotificationSubscription: {
          http: {
            requestUri: "/api/v1/organizations/{OrganizationId}/subscriptions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "Endpoint",
              "Protocol",
              "SubscriptionType"
            ],
            members: {
              OrganizationId: {
                location: "uri",
                locationName: "OrganizationId"
              },
              Endpoint: {},
              Protocol: {},
              SubscriptionType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Subscription: {
                shape: "S1p"
              }
            }
          }
        },
        CreateUser: {
          http: {
            requestUri: "/api/v1/users",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Username",
              "GivenName",
              "Surname",
              "Password"
            ],
            members: {
              OrganizationId: {},
              Username: {
                shape: "S9"
              },
              EmailAddress: {
                shape: "Sa"
              },
              GivenName: {
                shape: "Sb"
              },
              Surname: {
                shape: "Sb"
              },
              Password: {
                type: "string",
                sensitive: true
              },
              TimeZoneId: {},
              StorageRule: {
                shape: "Sj"
              },
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              User: {
                shape: "S8"
              }
            }
          }
        },
        DeactivateUser: {
          http: {
            method: "DELETE",
            requestUri: "/api/v1/users/{UserId}/activation",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "UserId"
            ],
            members: {
              UserId: {
                location: "uri",
                locationName: "UserId"
              },
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              }
            }
          }
        },
        DeleteComment: {
          http: {
            method: "DELETE",
            requestUri: "/api/v1/documents/{DocumentId}/versions/{VersionId}/comment/{CommentId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "DocumentId",
              "VersionId",
              "CommentId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              DocumentId: {
                location: "uri",
                locationName: "DocumentId"
              },
              VersionId: {
                location: "uri",
                locationName: "VersionId"
              },
              CommentId: {
                location: "uri",
                locationName: "CommentId"
              }
            }
          }
        },
        DeleteCustomMetadata: {
          http: {
            method: "DELETE",
            requestUri: "/api/v1/resources/{ResourceId}/customMetadata",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              ResourceId: {
                location: "uri",
                locationName: "ResourceId"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionId"
              },
              Keys: {
                location: "querystring",
                locationName: "keys",
                type: "list",
                member: {}
              },
              DeleteAll: {
                location: "querystring",
                locationName: "deleteAll",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDocument: {
          http: {
            method: "DELETE",
            requestUri: "/api/v1/documents/{DocumentId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "DocumentId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              DocumentId: {
                location: "uri",
                locationName: "DocumentId"
              }
            }
          }
        },
        DeleteDocumentVersion: {
          http: {
            method: "DELETE",
            requestUri: "/api/v1/documentVersions/{DocumentId}/versions/{VersionId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "DocumentId",
              "VersionId",
              "DeletePriorVersions"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              DocumentId: {
                location: "uri",
                locationName: "DocumentId"
              },
              VersionId: {
                location: "uri",
                locationName: "VersionId"
              },
              DeletePriorVersions: {
                location: "querystring",
                locationName: "deletePriorVersions",
                type: "boolean"
              }
            }
          }
        },
        DeleteFolder: {
          http: {
            method: "DELETE",
            requestUri: "/api/v1/folders/{FolderId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "FolderId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              FolderId: {
                location: "uri",
                locationName: "FolderId"
              }
            }
          }
        },
        DeleteFolderContents: {
          http: {
            method: "DELETE",
            requestUri: "/api/v1/folders/{FolderId}/contents",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "FolderId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              FolderId: {
                location: "uri",
                locationName: "FolderId"
              }
            }
          }
        },
        DeleteLabels: {
          http: {
            method: "DELETE",
            requestUri: "/api/v1/resources/{ResourceId}/labels",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              ResourceId: {
                location: "uri",
                locationName: "ResourceId"
              },
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              Labels: {
                shape: "S1g",
                location: "querystring",
                locationName: "labels"
              },
              DeleteAll: {
                location: "querystring",
                locationName: "deleteAll",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteNotificationSubscription: {
          http: {
            method: "DELETE",
            requestUri: "/api/v1/organizations/{OrganizationId}/subscriptions/{SubscriptionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SubscriptionId",
              "OrganizationId"
            ],
            members: {
              SubscriptionId: {
                location: "uri",
                locationName: "SubscriptionId"
              },
              OrganizationId: {
                location: "uri",
                locationName: "OrganizationId"
              }
            }
          }
        },
        DeleteUser: {
          http: {
            method: "DELETE",
            requestUri: "/api/v1/users/{UserId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "UserId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              UserId: {
                location: "uri",
                locationName: "UserId"
              }
            }
          }
        },
        DescribeActivities: {
          http: {
            method: "GET",
            requestUri: "/api/v1/activities",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              StartTime: {
                location: "querystring",
                locationName: "startTime",
                type: "timestamp"
              },
              EndTime: {
                location: "querystring",
                locationName: "endTime",
                type: "timestamp"
              },
              OrganizationId: {
                location: "querystring",
                locationName: "organizationId"
              },
              ActivityTypes: {
                location: "querystring",
                locationName: "activityTypes"
              },
              ResourceId: {
                location: "querystring",
                locationName: "resourceId"
              },
              UserId: {
                location: "querystring",
                locationName: "userId"
              },
              IncludeIndirectActivities: {
                location: "querystring",
                locationName: "includeIndirectActivities",
                type: "boolean"
              },
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              Marker: {
                location: "querystring",
                locationName: "marker"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserActivities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    TimeStamp: {
                      type: "timestamp"
                    },
                    IsIndirectActivity: {
                      type: "boolean"
                    },
                    OrganizationId: {},
                    Initiator: {
                      shape: "S2e"
                    },
                    Participants: {
                      type: "structure",
                      members: {
                        Users: {
                          type: "list",
                          member: {
                            shape: "S2e"
                          }
                        },
                        Groups: {
                          shape: "S2h"
                        }
                      }
                    },
                    ResourceMetadata: {
                      shape: "S2k"
                    },
                    OriginalParent: {
                      shape: "S2k"
                    },
                    CommentMetadata: {
                      shape: "S2m"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeComments: {
          http: {
            method: "GET",
            requestUri: "/api/v1/documents/{DocumentId}/versions/{VersionId}/comments",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DocumentId",
              "VersionId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              DocumentId: {
                location: "uri",
                locationName: "DocumentId"
              },
              VersionId: {
                location: "uri",
                locationName: "VersionId"
              },
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              Marker: {
                location: "querystring",
                locationName: "marker"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Comments: {
                type: "list",
                member: {
                  shape: "S13"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeDocumentVersions: {
          http: {
            method: "GET",
            requestUri: "/api/v1/documents/{DocumentId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DocumentId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              DocumentId: {
                location: "uri",
                locationName: "DocumentId"
              },
              Marker: {
                location: "querystring",
                locationName: "marker"
              },
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              Include: {
                location: "querystring",
                locationName: "include"
              },
              Fields: {
                location: "querystring",
                locationName: "fields"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentVersions: {
                type: "list",
                member: {
                  shape: "S2w"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeFolderContents: {
          http: {
            method: "GET",
            requestUri: "/api/v1/folders/{FolderId}/contents",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FolderId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              FolderId: {
                location: "uri",
                locationName: "FolderId"
              },
              Sort: {
                location: "querystring",
                locationName: "sort"
              },
              Order: {
                location: "querystring",
                locationName: "order"
              },
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              Marker: {
                location: "querystring",
                locationName: "marker"
              },
              Type: {
                location: "querystring",
                locationName: "type"
              },
              Include: {
                location: "querystring",
                locationName: "include"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Folders: {
                shape: "S39"
              },
              Documents: {
                shape: "S3a"
              },
              Marker: {}
            }
          }
        },
        DescribeGroups: {
          http: {
            method: "GET",
            requestUri: "/api/v1/groups",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SearchQuery"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              SearchQuery: {
                shape: "S3d",
                location: "querystring",
                locationName: "searchQuery"
              },
              OrganizationId: {
                location: "querystring",
                locationName: "organizationId"
              },
              Marker: {
                location: "querystring",
                locationName: "marker"
              },
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Groups: {
                shape: "S2h"
              },
              Marker: {}
            }
          }
        },
        DescribeNotificationSubscriptions: {
          http: {
            method: "GET",
            requestUri: "/api/v1/organizations/{OrganizationId}/subscriptions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {
                location: "uri",
                locationName: "OrganizationId"
              },
              Marker: {
                location: "querystring",
                locationName: "marker"
              },
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Subscriptions: {
                type: "list",
                member: {
                  shape: "S1p"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeResourcePermissions: {
          http: {
            method: "GET",
            requestUri: "/api/v1/resources/{ResourceId}/permissions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              ResourceId: {
                location: "uri",
                locationName: "ResourceId"
              },
              PrincipalId: {
                location: "querystring",
                locationName: "principalId"
              },
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              Marker: {
                location: "querystring",
                locationName: "marker"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Principals: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Type: {},
                    Roles: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Role: {},
                          Type: {}
                        }
                      }
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        DescribeRootFolders: {
          http: {
            method: "GET",
            requestUri: "/api/v1/me/root",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AuthenticationToken"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              Marker: {
                location: "querystring",
                locationName: "marker"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Folders: {
                shape: "S39"
              },
              Marker: {}
            }
          }
        },
        DescribeUsers: {
          http: {
            method: "GET",
            requestUri: "/api/v1/users",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              OrganizationId: {
                location: "querystring",
                locationName: "organizationId"
              },
              UserIds: {
                location: "querystring",
                locationName: "userIds"
              },
              Query: {
                shape: "S3d",
                location: "querystring",
                locationName: "query"
              },
              Include: {
                location: "querystring",
                locationName: "include"
              },
              Order: {
                location: "querystring",
                locationName: "order"
              },
              Sort: {
                location: "querystring",
                locationName: "sort"
              },
              Marker: {
                location: "querystring",
                locationName: "marker"
              },
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              Fields: {
                location: "querystring",
                locationName: "fields"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Users: {
                type: "list",
                member: {
                  shape: "S8"
                }
              },
              TotalNumberOfUsers: {
                deprecated: true,
                type: "long"
              },
              Marker: {}
            }
          }
        },
        GetCurrentUser: {
          http: {
            method: "GET",
            requestUri: "/api/v1/me",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AuthenticationToken"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              User: {
                shape: "S8"
              }
            }
          }
        },
        GetDocument: {
          http: {
            method: "GET",
            requestUri: "/api/v1/documents/{DocumentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DocumentId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              DocumentId: {
                location: "uri",
                locationName: "DocumentId"
              },
              IncludeCustomMetadata: {
                location: "querystring",
                locationName: "includeCustomMetadata",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Metadata: {
                shape: "S3b"
              },
              CustomMetadata: {
                shape: "S16"
              }
            }
          }
        },
        GetDocumentPath: {
          http: {
            method: "GET",
            requestUri: "/api/v1/documents/{DocumentId}/path",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DocumentId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              DocumentId: {
                location: "uri",
                locationName: "DocumentId"
              },
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              Fields: {
                location: "querystring",
                locationName: "fields"
              },
              Marker: {
                location: "querystring",
                locationName: "marker"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Path: {
                shape: "S44"
              }
            }
          }
        },
        GetDocumentVersion: {
          http: {
            method: "GET",
            requestUri: "/api/v1/documents/{DocumentId}/versions/{VersionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DocumentId",
              "VersionId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              DocumentId: {
                location: "uri",
                locationName: "DocumentId"
              },
              VersionId: {
                location: "uri",
                locationName: "VersionId"
              },
              Fields: {
                location: "querystring",
                locationName: "fields"
              },
              IncludeCustomMetadata: {
                location: "querystring",
                locationName: "includeCustomMetadata",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Metadata: {
                shape: "S2w"
              },
              CustomMetadata: {
                shape: "S16"
              }
            }
          }
        },
        GetFolder: {
          http: {
            method: "GET",
            requestUri: "/api/v1/folders/{FolderId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FolderId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              FolderId: {
                location: "uri",
                locationName: "FolderId"
              },
              IncludeCustomMetadata: {
                location: "querystring",
                locationName: "includeCustomMetadata",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Metadata: {
                shape: "S1d"
              },
              CustomMetadata: {
                shape: "S16"
              }
            }
          }
        },
        GetFolderPath: {
          http: {
            method: "GET",
            requestUri: "/api/v1/folders/{FolderId}/path",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FolderId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              FolderId: {
                location: "uri",
                locationName: "FolderId"
              },
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              Fields: {
                location: "querystring",
                locationName: "fields"
              },
              Marker: {
                location: "querystring",
                locationName: "marker"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Path: {
                shape: "S44"
              }
            }
          }
        },
        GetResources: {
          http: {
            method: "GET",
            requestUri: "/api/v1/resources",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              UserId: {
                location: "querystring",
                locationName: "userId"
              },
              CollectionType: {
                location: "querystring",
                locationName: "collectionType"
              },
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              Marker: {
                location: "querystring",
                locationName: "marker"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Folders: {
                shape: "S39"
              },
              Documents: {
                shape: "S3a"
              },
              Marker: {}
            }
          }
        },
        InitiateDocumentVersionUpload: {
          http: {
            requestUri: "/api/v1/documents",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              Id: {},
              Name: {
                shape: "S1b"
              },
              ContentCreatedTimestamp: {
                type: "timestamp"
              },
              ContentModifiedTimestamp: {
                type: "timestamp"
              },
              ContentType: {},
              DocumentSizeInBytes: {
                type: "long"
              },
              ParentFolderId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Metadata: {
                shape: "S3b"
              },
              UploadMetadata: {
                type: "structure",
                members: {
                  UploadUrl: {
                    shape: "S31"
                  },
                  SignedHeaders: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                }
              }
            }
          }
        },
        RemoveAllResourcePermissions: {
          http: {
            method: "DELETE",
            requestUri: "/api/v1/resources/{ResourceId}/permissions",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              ResourceId: {
                location: "uri",
                locationName: "ResourceId"
              }
            }
          }
        },
        RemoveResourcePermission: {
          http: {
            method: "DELETE",
            requestUri: "/api/v1/resources/{ResourceId}/permissions/{PrincipalId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "PrincipalId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              ResourceId: {
                location: "uri",
                locationName: "ResourceId"
              },
              PrincipalId: {
                location: "uri",
                locationName: "PrincipalId"
              },
              PrincipalType: {
                location: "querystring",
                locationName: "type"
              }
            }
          }
        },
        RestoreDocumentVersions: {
          http: {
            requestUri: "/api/v1/documentVersions/restore/{DocumentId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "DocumentId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              DocumentId: {
                location: "uri",
                locationName: "DocumentId"
              }
            }
          }
        },
        SearchResources: {
          http: {
            requestUri: "/api/v1/search",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              QueryText: {
                shape: "S3d"
              },
              QueryScopes: {
                type: "list",
                member: {}
              },
              OrganizationId: {},
              AdditionalResponseFields: {
                type: "list",
                member: {}
              },
              Filters: {
                type: "structure",
                members: {
                  TextLocales: {
                    type: "list",
                    member: {}
                  },
                  ContentCategories: {
                    type: "list",
                    member: {}
                  },
                  ResourceTypes: {
                    type: "list",
                    member: {}
                  },
                  Labels: {
                    type: "list",
                    member: {}
                  },
                  Principals: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Id"
                      ],
                      members: {
                        Id: {},
                        Roles: {
                          type: "list",
                          member: {}
                        }
                      }
                    }
                  },
                  AncestorIds: {
                    type: "list",
                    member: {}
                  },
                  SearchCollectionTypes: {
                    type: "list",
                    member: {}
                  },
                  SizeRange: {
                    type: "structure",
                    members: {
                      StartValue: {
                        type: "long"
                      },
                      EndValue: {
                        type: "long"
                      }
                    }
                  },
                  CreatedRange: {
                    shape: "S5d"
                  },
                  ModifiedRange: {
                    shape: "S5d"
                  }
                }
              },
              OrderBy: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Field: {},
                    Order: {}
                  }
                }
              },
              Limit: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceType: {},
                    WebUrl: {
                      type: "string",
                      sensitive: true
                    },
                    DocumentMetadata: {
                      shape: "S3b"
                    },
                    FolderMetadata: {
                      shape: "S1d"
                    },
                    CommentMetadata: {
                      shape: "S2m"
                    },
                    DocumentVersionMetadata: {
                      shape: "S2w"
                    }
                  }
                }
              },
              Marker: {}
            }
          }
        },
        UpdateDocument: {
          http: {
            method: "PATCH",
            requestUri: "/api/v1/documents/{DocumentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DocumentId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              DocumentId: {
                location: "uri",
                locationName: "DocumentId"
              },
              Name: {
                shape: "S1b"
              },
              ParentFolderId: {},
              ResourceState: {}
            }
          }
        },
        UpdateDocumentVersion: {
          http: {
            method: "PATCH",
            requestUri: "/api/v1/documents/{DocumentId}/versions/{VersionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DocumentId",
              "VersionId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              DocumentId: {
                location: "uri",
                locationName: "DocumentId"
              },
              VersionId: {
                location: "uri",
                locationName: "VersionId"
              },
              VersionStatus: {}
            }
          }
        },
        UpdateFolder: {
          http: {
            method: "PATCH",
            requestUri: "/api/v1/folders/{FolderId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FolderId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              FolderId: {
                location: "uri",
                locationName: "FolderId"
              },
              Name: {
                shape: "S1b"
              },
              ParentFolderId: {},
              ResourceState: {}
            }
          }
        },
        UpdateUser: {
          http: {
            method: "PATCH",
            requestUri: "/api/v1/users/{UserId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "UserId"
            ],
            members: {
              AuthenticationToken: {
                shape: "S2",
                location: "header",
                locationName: "Authentication"
              },
              UserId: {
                location: "uri",
                locationName: "UserId"
              },
              GivenName: {
                shape: "Sb"
              },
              Surname: {
                shape: "Sb"
              },
              Type: {},
              StorageRule: {
                shape: "Sj"
              },
              TimeZoneId: {},
              Locale: {},
              GrantPoweruserPrivileges: {}
            }
          },
          output: {
            type: "structure",
            members: {
              User: {
                shape: "S8"
              }
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "string",
          sensitive: true
        },
        S8: {
          type: "structure",
          members: {
            Id: {},
            Username: {
              shape: "S9"
            },
            EmailAddress: {
              shape: "Sa"
            },
            GivenName: {
              shape: "Sb"
            },
            Surname: {
              shape: "Sb"
            },
            OrganizationId: {},
            RootFolderId: {},
            RecycleBinFolderId: {},
            Status: {},
            Type: {},
            CreatedTimestamp: {
              type: "timestamp"
            },
            ModifiedTimestamp: {
              type: "timestamp"
            },
            TimeZoneId: {},
            Locale: {},
            Storage: {
              type: "structure",
              members: {
                StorageUtilizedInBytes: {
                  type: "long"
                },
                StorageRule: {
                  shape: "Sj"
                }
              }
            }
          }
        },
        S9: {
          type: "string",
          sensitive: true
        },
        Sa: {
          type: "string",
          sensitive: true
        },
        Sb: {
          type: "string",
          sensitive: true
        },
        Sj: {
          type: "structure",
          members: {
            StorageAllocatedInBytes: {
              type: "long"
            },
            StorageType: {}
          }
        },
        St: {
          type: "string",
          sensitive: true
        },
        S10: {
          type: "string",
          sensitive: true
        },
        S13: {
          type: "structure",
          required: [
            "CommentId"
          ],
          members: {
            CommentId: {},
            ParentId: {},
            ThreadId: {},
            Text: {
              shape: "S10"
            },
            Contributor: {
              shape: "S8"
            },
            CreatedTimestamp: {
              type: "timestamp"
            },
            Status: {},
            Visibility: {},
            RecipientId: {}
          }
        },
        S16: {
          type: "map",
          key: {},
          value: {}
        },
        S1b: {
          type: "string",
          sensitive: true
        },
        S1d: {
          type: "structure",
          members: {
            Id: {},
            Name: {
              shape: "S1b"
            },
            CreatorId: {},
            ParentFolderId: {},
            CreatedTimestamp: {
              type: "timestamp"
            },
            ModifiedTimestamp: {
              type: "timestamp"
            },
            ResourceState: {},
            Signature: {},
            Labels: {
              shape: "S1g"
            },
            Size: {
              type: "long"
            },
            LatestVersionSize: {
              type: "long"
            }
          }
        },
        S1g: {
          type: "list",
          member: {}
        },
        S1p: {
          type: "structure",
          members: {
            SubscriptionId: {},
            EndPoint: {},
            Protocol: {}
          }
        },
        S2e: {
          type: "structure",
          members: {
            Id: {},
            Username: {
              shape: "S9"
            },
            GivenName: {
              shape: "Sb"
            },
            Surname: {
              shape: "Sb"
            },
            EmailAddress: {
              shape: "Sa"
            }
          }
        },
        S2h: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Id: {},
              Name: {}
            }
          }
        },
        S2k: {
          type: "structure",
          members: {
            Type: {},
            Name: {
              shape: "S1b"
            },
            OriginalName: {
              shape: "S1b"
            },
            Id: {},
            VersionId: {},
            Owner: {
              shape: "S2e"
            },
            ParentId: {}
          }
        },
        S2m: {
          type: "structure",
          members: {
            CommentId: {},
            Contributor: {
              shape: "S8"
            },
            CreatedTimestamp: {
              type: "timestamp"
            },
            CommentStatus: {},
            RecipientId: {},
            ContributorId: {}
          }
        },
        S2w: {
          type: "structure",
          members: {
            Id: {},
            Name: {
              shape: "S1b"
            },
            ContentType: {},
            Size: {
              type: "long"
            },
            Signature: {},
            Status: {},
            CreatedTimestamp: {
              type: "timestamp"
            },
            ModifiedTimestamp: {
              type: "timestamp"
            },
            ContentCreatedTimestamp: {
              type: "timestamp"
            },
            ContentModifiedTimestamp: {
              type: "timestamp"
            },
            CreatorId: {},
            Thumbnail: {
              type: "map",
              key: {},
              value: {
                shape: "S31"
              }
            },
            Source: {
              type: "map",
              key: {},
              value: {
                shape: "S31"
              }
            }
          }
        },
        S31: {
          type: "string",
          sensitive: true
        },
        S39: {
          type: "list",
          member: {
            shape: "S1d"
          }
        },
        S3a: {
          type: "list",
          member: {
            shape: "S3b"
          }
        },
        S3b: {
          type: "structure",
          members: {
            Id: {},
            CreatorId: {},
            ParentFolderId: {},
            CreatedTimestamp: {
              type: "timestamp"
            },
            ModifiedTimestamp: {
              type: "timestamp"
            },
            LatestVersionMetadata: {
              shape: "S2w"
            },
            ResourceState: {},
            Labels: {
              shape: "S1g"
            }
          }
        },
        S3d: {
          type: "string",
          sensitive: true
        },
        S44: {
          type: "structure",
          members: {
            Components: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Id: {},
                  Name: {
                    shape: "S1b"
                  }
                }
              }
            }
          }
        },
        S5d: {
          type: "structure",
          members: {
            StartValue: {
              type: "timestamp"
            },
            EndValue: {
              type: "timestamp"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/workdocs-2016-05-01.paginators.json
var require_workdocs_2016_05_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/workdocs-2016-05-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeActivities: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "UserActivities"
        },
        DescribeComments: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "Comments"
        },
        DescribeDocumentVersions: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "DocumentVersions"
        },
        DescribeFolderContents: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: [
            "Folders",
            "Documents"
          ]
        },
        DescribeGroups: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "Groups"
        },
        DescribeNotificationSubscriptions: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "Subscriptions"
        },
        DescribeResourcePermissions: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "Principals"
        },
        DescribeRootFolders: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "Folders"
        },
        DescribeUsers: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "Users"
        },
        SearchResources: {
          input_token: "Marker",
          limit_key: "Limit",
          output_token: "Marker",
          result_key: "Items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/workdocs.js
var require_workdocs = __commonJS({
  "node_modules/aws-sdk/clients/workdocs.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["workdocs"] = {};
    AWS2.WorkDocs = Service.defineService("workdocs", ["2016-05-01"]);
    Object.defineProperty(apiLoader.services["workdocs"], "2016-05-01", {
      get: function get() {
        var model = require_workdocs_2016_05_01_min();
        model.paginators = require_workdocs_2016_05_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.WorkDocs;
  }
});

// node_modules/aws-sdk/apis/workspaces-2015-04-08.min.json
var require_workspaces_2015_04_08_min = __commonJS({
  "node_modules/aws-sdk/apis/workspaces-2015-04-08.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-04-08",
        endpointPrefix: "workspaces",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon WorkSpaces",
        serviceId: "WorkSpaces",
        signatureVersion: "v4",
        targetPrefix: "WorkspacesService",
        uid: "workspaces-2015-04-08"
      },
      operations: {
        AssociateConnectionAlias: {
          input: {
            type: "structure",
            required: [
              "AliasId",
              "ResourceId"
            ],
            members: {
              AliasId: {},
              ResourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionIdentifier: {}
            }
          }
        },
        AssociateIpGroups: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "GroupIds"
            ],
            members: {
              DirectoryId: {},
              GroupIds: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AuthorizeIpRules: {
          input: {
            type: "structure",
            required: [
              "GroupId",
              "UserRules"
            ],
            members: {
              GroupId: {},
              UserRules: {
                shape: "Sc"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CopyWorkspaceImage: {
          input: {
            type: "structure",
            required: [
              "Name",
              "SourceImageId",
              "SourceRegion"
            ],
            members: {
              Name: {},
              Description: {},
              SourceImageId: {},
              SourceRegion: {},
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ImageId: {}
            }
          }
        },
        CreateConnectClientAddIn: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "Name",
              "URL"
            ],
            members: {
              ResourceId: {},
              Name: {},
              URL: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AddInId: {}
            }
          }
        },
        CreateConnectionAlias: {
          input: {
            type: "structure",
            required: [
              "ConnectionString"
            ],
            members: {
              ConnectionString: {},
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AliasId: {}
            }
          }
        },
        CreateIpGroup: {
          input: {
            type: "structure",
            required: [
              "GroupName"
            ],
            members: {
              GroupName: {},
              GroupDesc: {},
              UserRules: {
                shape: "Sc"
              },
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GroupId: {}
            }
          }
        },
        CreateStandbyWorkspaces: {
          input: {
            type: "structure",
            required: [
              "PrimaryRegion",
              "StandbyWorkspaces"
            ],
            members: {
              PrimaryRegion: {},
              StandbyWorkspaces: {
                type: "list",
                member: {
                  shape: "S15"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedStandbyRequests: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StandbyWorkspaceRequest: {
                      shape: "S15"
                    },
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              },
              PendingStandbyRequests: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    UserName: {},
                    DirectoryId: {},
                    State: {},
                    WorkspaceId: {}
                  }
                }
              }
            }
          }
        },
        CreateTags: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "Tags"
            ],
            members: {
              ResourceId: {},
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateUpdatedWorkspaceImage: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Description",
              "SourceImageId"
            ],
            members: {
              Name: {},
              Description: {},
              SourceImageId: {},
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ImageId: {}
            }
          }
        },
        CreateWorkspaceBundle: {
          input: {
            type: "structure",
            required: [
              "BundleName",
              "BundleDescription",
              "ImageId",
              "ComputeType",
              "UserStorage"
            ],
            members: {
              BundleName: {},
              BundleDescription: {},
              ImageId: {},
              ComputeType: {
                shape: "S1o"
              },
              UserStorage: {
                shape: "S1q"
              },
              RootStorage: {
                shape: "S1r"
              },
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkspaceBundle: {
                shape: "S1t"
              }
            }
          }
        },
        CreateWorkspaceImage: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Description",
              "WorkspaceId"
            ],
            members: {
              Name: {},
              Description: {},
              WorkspaceId: {},
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ImageId: {},
              Name: {},
              Description: {},
              OperatingSystem: {
                shape: "S21"
              },
              State: {},
              RequiredTenancy: {},
              Created: {
                type: "timestamp"
              },
              OwnerAccountId: {}
            }
          }
        },
        CreateWorkspaces: {
          input: {
            type: "structure",
            required: [
              "Workspaces"
            ],
            members: {
              Workspaces: {
                type: "list",
                member: {
                  shape: "S28"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedRequests: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WorkspaceRequest: {
                      shape: "S28"
                    },
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              },
              PendingRequests: {
                shape: "S2l"
              }
            }
          }
        },
        DeleteClientBranding: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "Platforms"
            ],
            members: {
              ResourceId: {},
              Platforms: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteConnectClientAddIn: {
          input: {
            type: "structure",
            required: [
              "AddInId",
              "ResourceId"
            ],
            members: {
              AddInId: {},
              ResourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteConnectionAlias: {
          input: {
            type: "structure",
            required: [
              "AliasId"
            ],
            members: {
              AliasId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteIpGroup: {
          input: {
            type: "structure",
            required: [
              "GroupId"
            ],
            members: {
              GroupId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteTags: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "TagKeys"
            ],
            members: {
              ResourceId: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteWorkspaceBundle: {
          input: {
            type: "structure",
            members: {
              BundleId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteWorkspaceImage: {
          input: {
            type: "structure",
            required: [
              "ImageId"
            ],
            members: {
              ImageId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeregisterWorkspaceDirectory: {
          input: {
            type: "structure",
            required: [
              "DirectoryId"
            ],
            members: {
              DirectoryId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeAccount: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              DedicatedTenancySupport: {},
              DedicatedTenancyManagementCidrRange: {}
            }
          }
        },
        DescribeAccountModifications: {
          input: {
            type: "structure",
            members: {
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AccountModifications: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ModificationState: {},
                    DedicatedTenancySupport: {},
                    DedicatedTenancyManagementCidrRange: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeClientBranding: {
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              ResourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DeviceTypeWindows: {
                shape: "S3s"
              },
              DeviceTypeOsx: {
                shape: "S3s"
              },
              DeviceTypeAndroid: {
                shape: "S3s"
              },
              DeviceTypeIos: {
                shape: "S3y"
              },
              DeviceTypeLinux: {
                shape: "S3s"
              },
              DeviceTypeWeb: {
                shape: "S3s"
              }
            }
          }
        },
        DescribeClientProperties: {
          input: {
            type: "structure",
            required: [
              "ResourceIds"
            ],
            members: {
              ResourceIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ClientPropertiesList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceId: {},
                    ClientProperties: {
                      shape: "S44"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeConnectClientAddIns: {
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              ResourceId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AddIns: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AddInId: {},
                    ResourceId: {},
                    Name: {},
                    URL: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeConnectionAliasPermissions: {
          input: {
            type: "structure",
            required: [
              "AliasId"
            ],
            members: {
              AliasId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AliasId: {},
              ConnectionAliasPermissions: {
                type: "list",
                member: {
                  shape: "S4f"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeConnectionAliases: {
          input: {
            type: "structure",
            members: {
              AliasIds: {
                type: "list",
                member: {}
              },
              ResourceId: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionAliases: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ConnectionString: {},
                    AliasId: {},
                    State: {},
                    OwnerAccountId: {},
                    Associations: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          AssociationStatus: {},
                          AssociatedAccountId: {},
                          ResourceId: {},
                          ConnectionIdentifier: {}
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeIpGroups: {
          input: {
            type: "structure",
            members: {
              GroupIds: {
                shape: "S8"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Result: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    groupId: {},
                    groupName: {},
                    groupDesc: {},
                    userRules: {
                      shape: "Sc"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeTags: {
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              ResourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TagList: {
                shape: "Sm"
              }
            }
          }
        },
        DescribeWorkspaceBundles: {
          input: {
            type: "structure",
            members: {
              BundleIds: {
                type: "list",
                member: {}
              },
              Owner: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Bundles: {
                type: "list",
                member: {
                  shape: "S1t"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeWorkspaceDirectories: {
          input: {
            type: "structure",
            members: {
              DirectoryIds: {
                type: "list",
                member: {}
              },
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Directories: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DirectoryId: {},
                    Alias: {},
                    DirectoryName: {},
                    RegistrationCode: {},
                    SubnetIds: {
                      shape: "S57"
                    },
                    DnsIpAddresses: {
                      type: "list",
                      member: {}
                    },
                    CustomerUserName: {},
                    IamRoleId: {},
                    DirectoryType: {},
                    WorkspaceSecurityGroupId: {},
                    State: {},
                    WorkspaceCreationProperties: {
                      type: "structure",
                      members: {
                        EnableWorkDocs: {
                          type: "boolean"
                        },
                        EnableInternetAccess: {
                          type: "boolean"
                        },
                        DefaultOu: {},
                        CustomSecurityGroupId: {},
                        UserEnabledAsLocalAdministrator: {
                          type: "boolean"
                        },
                        EnableMaintenanceMode: {
                          type: "boolean"
                        }
                      }
                    },
                    ipGroupIds: {
                      shape: "S8"
                    },
                    WorkspaceAccessProperties: {
                      shape: "S5f"
                    },
                    Tenancy: {},
                    SelfservicePermissions: {
                      shape: "S5i"
                    },
                    SamlProperties: {
                      shape: "S5j"
                    },
                    CertificateBasedAuthProperties: {
                      shape: "S5m"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeWorkspaceImagePermissions: {
          input: {
            type: "structure",
            required: [
              "ImageId"
            ],
            members: {
              ImageId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ImageId: {},
              ImagePermissions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SharedAccountId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeWorkspaceImages: {
          input: {
            type: "structure",
            members: {
              ImageIds: {
                type: "list",
                member: {}
              },
              ImageType: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Images: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ImageId: {},
                    Name: {},
                    Description: {},
                    OperatingSystem: {
                      shape: "S21"
                    },
                    State: {},
                    RequiredTenancy: {},
                    ErrorCode: {},
                    ErrorMessage: {},
                    Created: {
                      type: "timestamp"
                    },
                    OwnerAccountId: {},
                    Updates: {
                      type: "structure",
                      members: {
                        UpdateAvailable: {
                          type: "boolean"
                        },
                        Description: {}
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeWorkspaceSnapshots: {
          input: {
            type: "structure",
            required: [
              "WorkspaceId"
            ],
            members: {
              WorkspaceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RebuildSnapshots: {
                shape: "S64"
              },
              RestoreSnapshots: {
                shape: "S64"
              }
            }
          }
        },
        DescribeWorkspaces: {
          input: {
            type: "structure",
            members: {
              WorkspaceIds: {
                shape: "S67"
              },
              DirectoryId: {},
              UserName: {},
              BundleId: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Workspaces: {
                shape: "S2l"
              },
              NextToken: {}
            }
          }
        },
        DescribeWorkspacesConnectionStatus: {
          input: {
            type: "structure",
            members: {
              WorkspaceIds: {
                shape: "S67"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WorkspacesConnectionStatus: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WorkspaceId: {},
                    ConnectionState: {},
                    ConnectionStateCheckTimestamp: {
                      type: "timestamp"
                    },
                    LastKnownUserConnectionTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DisassociateConnectionAlias: {
          input: {
            type: "structure",
            required: [
              "AliasId"
            ],
            members: {
              AliasId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateIpGroups: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "GroupIds"
            ],
            members: {
              DirectoryId: {},
              GroupIds: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ImportClientBranding: {
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              ResourceId: {},
              DeviceTypeWindows: {
                shape: "S6j"
              },
              DeviceTypeOsx: {
                shape: "S6j"
              },
              DeviceTypeAndroid: {
                shape: "S6j"
              },
              DeviceTypeIos: {
                type: "structure",
                members: {
                  Logo: {
                    type: "blob"
                  },
                  Logo2x: {
                    type: "blob"
                  },
                  Logo3x: {
                    type: "blob"
                  },
                  SupportEmail: {},
                  SupportLink: {},
                  ForgotPasswordLink: {},
                  LoginMessage: {
                    shape: "S3v"
                  }
                }
              },
              DeviceTypeLinux: {
                shape: "S6j"
              },
              DeviceTypeWeb: {
                shape: "S6j"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeviceTypeWindows: {
                shape: "S3s"
              },
              DeviceTypeOsx: {
                shape: "S3s"
              },
              DeviceTypeAndroid: {
                shape: "S3s"
              },
              DeviceTypeIos: {
                shape: "S3y"
              },
              DeviceTypeLinux: {
                shape: "S3s"
              },
              DeviceTypeWeb: {
                shape: "S3s"
              }
            }
          }
        },
        ImportWorkspaceImage: {
          input: {
            type: "structure",
            required: [
              "Ec2ImageId",
              "IngestionProcess",
              "ImageName",
              "ImageDescription"
            ],
            members: {
              Ec2ImageId: {},
              IngestionProcess: {},
              ImageName: {},
              ImageDescription: {},
              Tags: {
                shape: "Sm"
              },
              Applications: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ImageId: {}
            }
          }
        },
        ListAvailableManagementCidrRanges: {
          input: {
            type: "structure",
            required: [
              "ManagementCidrRangeConstraint"
            ],
            members: {
              ManagementCidrRangeConstraint: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ManagementCidrRanges: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        MigrateWorkspace: {
          input: {
            type: "structure",
            required: [
              "SourceWorkspaceId",
              "BundleId"
            ],
            members: {
              SourceWorkspaceId: {},
              BundleId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SourceWorkspaceId: {},
              TargetWorkspaceId: {}
            }
          }
        },
        ModifyAccount: {
          input: {
            type: "structure",
            members: {
              DedicatedTenancySupport: {},
              DedicatedTenancyManagementCidrRange: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ModifyCertificateBasedAuthProperties: {
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              ResourceId: {},
              CertificateBasedAuthProperties: {
                shape: "S5m"
              },
              PropertiesToDelete: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ModifyClientProperties: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "ClientProperties"
            ],
            members: {
              ResourceId: {},
              ClientProperties: {
                shape: "S44"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ModifySamlProperties: {
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              ResourceId: {},
              SamlProperties: {
                shape: "S5j"
              },
              PropertiesToDelete: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ModifySelfservicePermissions: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "SelfservicePermissions"
            ],
            members: {
              ResourceId: {},
              SelfservicePermissions: {
                shape: "S5i"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ModifyWorkspaceAccessProperties: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "WorkspaceAccessProperties"
            ],
            members: {
              ResourceId: {},
              WorkspaceAccessProperties: {
                shape: "S5f"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ModifyWorkspaceCreationProperties: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "WorkspaceCreationProperties"
            ],
            members: {
              ResourceId: {},
              WorkspaceCreationProperties: {
                type: "structure",
                members: {
                  EnableWorkDocs: {
                    type: "boolean"
                  },
                  EnableInternetAccess: {
                    type: "boolean"
                  },
                  DefaultOu: {},
                  CustomSecurityGroupId: {},
                  UserEnabledAsLocalAdministrator: {
                    type: "boolean"
                  },
                  EnableMaintenanceMode: {
                    type: "boolean"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ModifyWorkspaceProperties: {
          input: {
            type: "structure",
            required: [
              "WorkspaceId",
              "WorkspaceProperties"
            ],
            members: {
              WorkspaceId: {},
              WorkspaceProperties: {
                shape: "S2a"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ModifyWorkspaceState: {
          input: {
            type: "structure",
            required: [
              "WorkspaceId",
              "WorkspaceState"
            ],
            members: {
              WorkspaceId: {},
              WorkspaceState: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RebootWorkspaces: {
          input: {
            type: "structure",
            required: [
              "RebootWorkspaceRequests"
            ],
            members: {
              RebootWorkspaceRequests: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "WorkspaceId"
                  ],
                  members: {
                    WorkspaceId: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedRequests: {
                type: "list",
                member: {
                  shape: "S7x"
                }
              }
            }
          }
        },
        RebuildWorkspaces: {
          input: {
            type: "structure",
            required: [
              "RebuildWorkspaceRequests"
            ],
            members: {
              RebuildWorkspaceRequests: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "WorkspaceId"
                  ],
                  members: {
                    WorkspaceId: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedRequests: {
                type: "list",
                member: {
                  shape: "S7x"
                }
              }
            }
          }
        },
        RegisterWorkspaceDirectory: {
          input: {
            type: "structure",
            required: [
              "DirectoryId",
              "EnableWorkDocs"
            ],
            members: {
              DirectoryId: {},
              SubnetIds: {
                shape: "S57"
              },
              EnableWorkDocs: {
                type: "boolean"
              },
              EnableSelfService: {
                type: "boolean"
              },
              Tenancy: {},
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RestoreWorkspace: {
          input: {
            type: "structure",
            required: [
              "WorkspaceId"
            ],
            members: {
              WorkspaceId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RevokeIpRules: {
          input: {
            type: "structure",
            required: [
              "GroupId",
              "UserRules"
            ],
            members: {
              GroupId: {},
              UserRules: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartWorkspaces: {
          input: {
            type: "structure",
            required: [
              "StartWorkspaceRequests"
            ],
            members: {
              StartWorkspaceRequests: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WorkspaceId: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedRequests: {
                type: "list",
                member: {
                  shape: "S7x"
                }
              }
            }
          }
        },
        StopWorkspaces: {
          input: {
            type: "structure",
            required: [
              "StopWorkspaceRequests"
            ],
            members: {
              StopWorkspaceRequests: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WorkspaceId: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedRequests: {
                type: "list",
                member: {
                  shape: "S7x"
                }
              }
            }
          }
        },
        TerminateWorkspaces: {
          input: {
            type: "structure",
            required: [
              "TerminateWorkspaceRequests"
            ],
            members: {
              TerminateWorkspaceRequests: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "WorkspaceId"
                  ],
                  members: {
                    WorkspaceId: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedRequests: {
                type: "list",
                member: {
                  shape: "S7x"
                }
              }
            }
          }
        },
        UpdateConnectClientAddIn: {
          input: {
            type: "structure",
            required: [
              "AddInId",
              "ResourceId"
            ],
            members: {
              AddInId: {},
              ResourceId: {},
              Name: {},
              URL: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateConnectionAliasPermission: {
          input: {
            type: "structure",
            required: [
              "AliasId",
              "ConnectionAliasPermission"
            ],
            members: {
              AliasId: {},
              ConnectionAliasPermission: {
                shape: "S4f"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateRulesOfIpGroup: {
          input: {
            type: "structure",
            required: [
              "GroupId",
              "UserRules"
            ],
            members: {
              GroupId: {},
              UserRules: {
                shape: "Sc"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateWorkspaceBundle: {
          input: {
            type: "structure",
            members: {
              BundleId: {},
              ImageId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateWorkspaceImagePermission: {
          input: {
            type: "structure",
            required: [
              "ImageId",
              "AllowCopyImage",
              "SharedAccountId"
            ],
            members: {
              ImageId: {},
              AllowCopyImage: {
                type: "boolean"
              },
              SharedAccountId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S8: {
          type: "list",
          member: {}
        },
        Sc: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ipRule: {},
              ruleDesc: {}
            }
          }
        },
        Sm: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S15: {
          type: "structure",
          required: [
            "PrimaryWorkspaceId",
            "DirectoryId"
          ],
          members: {
            PrimaryWorkspaceId: {},
            VolumeEncryptionKey: {},
            DirectoryId: {},
            Tags: {
              shape: "Sm"
            }
          }
        },
        S1o: {
          type: "structure",
          members: {
            Name: {}
          }
        },
        S1q: {
          type: "structure",
          members: {
            Capacity: {}
          }
        },
        S1r: {
          type: "structure",
          members: {
            Capacity: {}
          }
        },
        S1t: {
          type: "structure",
          members: {
            BundleId: {},
            Name: {},
            Owner: {},
            Description: {},
            ImageId: {},
            RootStorage: {
              shape: "S1r"
            },
            UserStorage: {
              shape: "S1q"
            },
            ComputeType: {
              shape: "S1o"
            },
            LastUpdatedTime: {
              type: "timestamp"
            },
            CreationTime: {
              type: "timestamp"
            },
            State: {},
            BundleType: {}
          }
        },
        S21: {
          type: "structure",
          members: {
            Type: {}
          }
        },
        S28: {
          type: "structure",
          required: [
            "DirectoryId",
            "UserName",
            "BundleId"
          ],
          members: {
            DirectoryId: {},
            UserName: {},
            BundleId: {},
            VolumeEncryptionKey: {},
            UserVolumeEncryptionEnabled: {
              type: "boolean"
            },
            RootVolumeEncryptionEnabled: {
              type: "boolean"
            },
            WorkspaceProperties: {
              shape: "S2a"
            },
            Tags: {
              shape: "Sm"
            }
          }
        },
        S2a: {
          type: "structure",
          members: {
            RunningMode: {},
            RunningModeAutoStopTimeoutInMinutes: {
              type: "integer"
            },
            RootVolumeSizeGib: {
              type: "integer"
            },
            UserVolumeSizeGib: {
              type: "integer"
            },
            ComputeTypeName: {},
            Protocols: {
              type: "list",
              member: {}
            }
          }
        },
        S2l: {
          type: "list",
          member: {
            type: "structure",
            members: {
              WorkspaceId: {},
              DirectoryId: {},
              UserName: {},
              IpAddress: {},
              State: {},
              BundleId: {},
              SubnetId: {},
              ErrorMessage: {},
              ErrorCode: {},
              ComputerName: {},
              VolumeEncryptionKey: {},
              UserVolumeEncryptionEnabled: {
                type: "boolean"
              },
              RootVolumeEncryptionEnabled: {
                type: "boolean"
              },
              WorkspaceProperties: {
                shape: "S2a"
              },
              ModificationStates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Resource: {},
                    State: {}
                  }
                }
              },
              RelatedWorkspaces: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WorkspaceId: {},
                    Region: {},
                    State: {},
                    Type: {}
                  }
                }
              }
            }
          }
        },
        S3s: {
          type: "structure",
          members: {
            LogoUrl: {},
            SupportEmail: {},
            SupportLink: {},
            ForgotPasswordLink: {},
            LoginMessage: {
              shape: "S3v"
            }
          }
        },
        S3v: {
          type: "map",
          key: {},
          value: {}
        },
        S3y: {
          type: "structure",
          members: {
            LogoUrl: {},
            Logo2xUrl: {},
            Logo3xUrl: {},
            SupportEmail: {},
            SupportLink: {},
            ForgotPasswordLink: {},
            LoginMessage: {
              shape: "S3v"
            }
          }
        },
        S44: {
          type: "structure",
          members: {
            ReconnectEnabled: {},
            LogUploadEnabled: {}
          }
        },
        S4f: {
          type: "structure",
          required: [
            "SharedAccountId",
            "AllowAssociation"
          ],
          members: {
            SharedAccountId: {},
            AllowAssociation: {
              type: "boolean"
            }
          }
        },
        S57: {
          type: "list",
          member: {}
        },
        S5f: {
          type: "structure",
          members: {
            DeviceTypeWindows: {},
            DeviceTypeOsx: {},
            DeviceTypeWeb: {},
            DeviceTypeIos: {},
            DeviceTypeAndroid: {},
            DeviceTypeChromeOs: {},
            DeviceTypeZeroClient: {},
            DeviceTypeLinux: {}
          }
        },
        S5i: {
          type: "structure",
          members: {
            RestartWorkspace: {},
            IncreaseVolumeSize: {},
            ChangeComputeType: {},
            SwitchRunningMode: {},
            RebuildWorkspace: {}
          }
        },
        S5j: {
          type: "structure",
          members: {
            Status: {},
            UserAccessUrl: {},
            RelayStateParameterName: {}
          }
        },
        S5m: {
          type: "structure",
          members: {
            Status: {},
            CertificateAuthorityArn: {}
          }
        },
        S64: {
          type: "list",
          member: {
            type: "structure",
            members: {
              SnapshotTime: {
                type: "timestamp"
              }
            }
          }
        },
        S67: {
          type: "list",
          member: {}
        },
        S6j: {
          type: "structure",
          members: {
            Logo: {
              type: "blob"
            },
            SupportEmail: {},
            SupportLink: {},
            ForgotPasswordLink: {},
            LoginMessage: {
              shape: "S3v"
            }
          }
        },
        S7x: {
          type: "structure",
          members: {
            WorkspaceId: {},
            ErrorCode: {},
            ErrorMessage: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/workspaces-2015-04-08.paginators.json
var require_workspaces_2015_04_08_paginators = __commonJS({
  "node_modules/aws-sdk/apis/workspaces-2015-04-08.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeWorkspaceBundles: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Bundles"
        },
        DescribeWorkspaceDirectories: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Directories"
        },
        DescribeWorkspaces: {
          input_token: "NextToken",
          limit_key: "Limit",
          output_token: "NextToken",
          result_key: "Workspaces"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/workspaces.js
var require_workspaces = __commonJS({
  "node_modules/aws-sdk/clients/workspaces.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["workspaces"] = {};
    AWS2.WorkSpaces = Service.defineService("workspaces", ["2015-04-08"]);
    Object.defineProperty(apiLoader.services["workspaces"], "2015-04-08", {
      get: function get() {
        var model = require_workspaces_2015_04_08_min();
        model.paginators = require_workspaces_2015_04_08_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.WorkSpaces;
  }
});

// node_modules/aws-sdk/apis/codestar-2017-04-19.min.json
var require_codestar_2017_04_19_min = __commonJS({
  "node_modules/aws-sdk/apis/codestar-2017-04-19.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-04-19",
        endpointPrefix: "codestar",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "CodeStar",
        serviceFullName: "AWS CodeStar",
        serviceId: "CodeStar",
        signatureVersion: "v4",
        targetPrefix: "CodeStar_20170419",
        uid: "codestar-2017-04-19"
      },
      operations: {
        AssociateTeamMember: {
          input: {
            type: "structure",
            required: [
              "projectId",
              "userArn",
              "projectRole"
            ],
            members: {
              projectId: {},
              clientRequestToken: {},
              userArn: {},
              projectRole: {},
              remoteAccessAllowed: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              clientRequestToken: {}
            }
          }
        },
        CreateProject: {
          input: {
            type: "structure",
            required: [
              "name",
              "id"
            ],
            members: {
              name: {
                shape: "S9"
              },
              id: {},
              description: {
                shape: "Sa"
              },
              clientRequestToken: {},
              sourceCode: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "source",
                    "destination"
                  ],
                  members: {
                    source: {
                      type: "structure",
                      required: [
                        "s3"
                      ],
                      members: {
                        s3: {
                          shape: "Se"
                        }
                      }
                    },
                    destination: {
                      type: "structure",
                      members: {
                        codeCommit: {
                          type: "structure",
                          required: [
                            "name"
                          ],
                          members: {
                            name: {}
                          }
                        },
                        gitHub: {
                          type: "structure",
                          required: [
                            "name",
                            "type",
                            "owner",
                            "privateRepository",
                            "issuesEnabled",
                            "token"
                          ],
                          members: {
                            name: {},
                            description: {},
                            type: {},
                            owner: {},
                            privateRepository: {
                              type: "boolean"
                            },
                            issuesEnabled: {
                              type: "boolean"
                            },
                            token: {
                              type: "string",
                              sensitive: true
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              toolchain: {
                type: "structure",
                required: [
                  "source"
                ],
                members: {
                  source: {
                    type: "structure",
                    required: [
                      "s3"
                    ],
                    members: {
                      s3: {
                        shape: "Se"
                      }
                    }
                  },
                  roleArn: {},
                  stackParameters: {
                    type: "map",
                    key: {},
                    value: {
                      type: "string",
                      sensitive: true
                    }
                  }
                }
              },
              tags: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "arn"
            ],
            members: {
              id: {},
              arn: {},
              clientRequestToken: {},
              projectTemplateId: {}
            }
          }
        },
        CreateUserProfile: {
          input: {
            type: "structure",
            required: [
              "userArn",
              "displayName",
              "emailAddress"
            ],
            members: {
              userArn: {},
              displayName: {
                shape: "S14"
              },
              emailAddress: {
                shape: "S15"
              },
              sshPublicKey: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "userArn"
            ],
            members: {
              userArn: {},
              displayName: {
                shape: "S14"
              },
              emailAddress: {
                shape: "S15"
              },
              sshPublicKey: {},
              createdTimestamp: {
                type: "timestamp"
              },
              lastModifiedTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        DeleteProject: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {},
              clientRequestToken: {},
              deleteStack: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              stackId: {},
              projectArn: {}
            }
          }
        },
        DeleteUserProfile: {
          input: {
            type: "structure",
            required: [
              "userArn"
            ],
            members: {
              userArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "userArn"
            ],
            members: {
              userArn: {}
            }
          }
        },
        DescribeProject: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              name: {
                shape: "S9"
              },
              id: {},
              arn: {},
              description: {
                shape: "Sa"
              },
              clientRequestToken: {},
              createdTimeStamp: {
                type: "timestamp"
              },
              stackId: {},
              projectTemplateId: {},
              status: {
                type: "structure",
                required: [
                  "state"
                ],
                members: {
                  state: {},
                  reason: {}
                }
              }
            }
          }
        },
        DescribeUserProfile: {
          input: {
            type: "structure",
            required: [
              "userArn"
            ],
            members: {
              userArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "userArn",
              "createdTimestamp",
              "lastModifiedTimestamp"
            ],
            members: {
              userArn: {},
              displayName: {
                shape: "S14"
              },
              emailAddress: {
                shape: "S15"
              },
              sshPublicKey: {},
              createdTimestamp: {
                type: "timestamp"
              },
              lastModifiedTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        DisassociateTeamMember: {
          input: {
            type: "structure",
            required: [
              "projectId",
              "userArn"
            ],
            members: {
              projectId: {},
              userArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ListProjects: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "projects"
            ],
            members: {
              projects: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    projectId: {},
                    projectArn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListResources: {
          input: {
            type: "structure",
            required: [
              "projectId"
            ],
            members: {
              projectId: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resources: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id"
                  ],
                  members: {
                    id: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForProject: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sx"
              },
              nextToken: {}
            }
          }
        },
        ListTeamMembers: {
          input: {
            type: "structure",
            required: [
              "projectId"
            ],
            members: {
              projectId: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "teamMembers"
            ],
            members: {
              teamMembers: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "userArn",
                    "projectRole"
                  ],
                  members: {
                    userArn: {},
                    projectRole: {},
                    remoteAccessAllowed: {
                      type: "boolean"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListUserProfiles: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "userProfiles"
            ],
            members: {
              userProfiles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    userArn: {},
                    displayName: {
                      shape: "S14"
                    },
                    emailAddress: {
                      shape: "S15"
                    },
                    sshPublicKey: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        TagProject: {
          input: {
            type: "structure",
            required: [
              "id",
              "tags"
            ],
            members: {
              id: {},
              tags: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sx"
              }
            }
          }
        },
        UntagProject: {
          input: {
            type: "structure",
            required: [
              "id",
              "tags"
            ],
            members: {
              id: {},
              tags: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateProject: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {},
              name: {
                shape: "S9"
              },
              description: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateTeamMember: {
          input: {
            type: "structure",
            required: [
              "projectId",
              "userArn"
            ],
            members: {
              projectId: {},
              userArn: {},
              projectRole: {},
              remoteAccessAllowed: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              userArn: {},
              projectRole: {},
              remoteAccessAllowed: {
                type: "boolean"
              }
            }
          }
        },
        UpdateUserProfile: {
          input: {
            type: "structure",
            required: [
              "userArn"
            ],
            members: {
              userArn: {},
              displayName: {
                shape: "S14"
              },
              emailAddress: {
                shape: "S15"
              },
              sshPublicKey: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "userArn"
            ],
            members: {
              userArn: {},
              displayName: {
                shape: "S14"
              },
              emailAddress: {
                shape: "S15"
              },
              sshPublicKey: {},
              createdTimestamp: {
                type: "timestamp"
              },
              lastModifiedTimestamp: {
                type: "timestamp"
              }
            }
          }
        }
      },
      shapes: {
        S9: {
          type: "string",
          sensitive: true
        },
        Sa: {
          type: "string",
          sensitive: true
        },
        Se: {
          type: "structure",
          members: {
            bucketName: {},
            bucketKey: {}
          }
        },
        Sx: {
          type: "map",
          key: {},
          value: {}
        },
        S14: {
          type: "string",
          sensitive: true
        },
        S15: {
          type: "string",
          sensitive: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/codestar-2017-04-19.paginators.json
var require_codestar_2017_04_19_paginators = __commonJS({
  "node_modules/aws-sdk/apis/codestar-2017-04-19.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/codestar.js
var require_codestar = __commonJS({
  "node_modules/aws-sdk/clients/codestar.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["codestar"] = {};
    AWS2.CodeStar = Service.defineService("codestar", ["2017-04-19"]);
    Object.defineProperty(apiLoader.services["codestar"], "2017-04-19", {
      get: function get() {
        var model = require_codestar_2017_04_19_min();
        model.paginators = require_codestar_2017_04_19_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CodeStar;
  }
});

// node_modules/aws-sdk/apis/lex-models-2017-04-19.min.json
var require_lex_models_2017_04_19_min = __commonJS({
  "node_modules/aws-sdk/apis/lex-models-2017-04-19.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-04-19",
        endpointPrefix: "models.lex",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Lex Model Building Service",
        serviceId: "Lex Model Building Service",
        signatureVersion: "v4",
        signingName: "lex",
        uid: "lex-models-2017-04-19"
      },
      operations: {
        CreateBotVersion: {
          http: {
            requestUri: "/bots/{name}/versions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              checksum: {}
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              description: {},
              intents: {
                shape: "S6"
              },
              clarificationPrompt: {
                shape: "Sa"
              },
              abortStatement: {
                shape: "Si"
              },
              status: {},
              failureReason: {},
              lastUpdatedDate: {
                type: "timestamp"
              },
              createdDate: {
                type: "timestamp"
              },
              idleSessionTTLInSeconds: {
                type: "integer"
              },
              voiceId: {},
              checksum: {},
              version: {},
              locale: {},
              childDirected: {
                type: "boolean"
              },
              enableModelImprovements: {
                type: "boolean"
              },
              detectSentiment: {
                type: "boolean"
              }
            }
          }
        },
        CreateIntentVersion: {
          http: {
            requestUri: "/intents/{name}/versions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              checksum: {}
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              description: {},
              slots: {
                shape: "Sq"
              },
              sampleUtterances: {
                shape: "S13"
              },
              confirmationPrompt: {
                shape: "Sa"
              },
              rejectionStatement: {
                shape: "Si"
              },
              followUpPrompt: {
                shape: "S14"
              },
              conclusionStatement: {
                shape: "Si"
              },
              dialogCodeHook: {
                shape: "S15"
              },
              fulfillmentActivity: {
                shape: "S18"
              },
              parentIntentSignature: {},
              lastUpdatedDate: {
                type: "timestamp"
              },
              createdDate: {
                type: "timestamp"
              },
              version: {},
              checksum: {},
              kendraConfiguration: {
                shape: "S1b"
              },
              inputContexts: {
                shape: "S1f"
              },
              outputContexts: {
                shape: "S1i"
              }
            }
          }
        },
        CreateSlotTypeVersion: {
          http: {
            requestUri: "/slottypes/{name}/versions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              checksum: {}
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              description: {},
              enumerationValues: {
                shape: "S1q"
              },
              lastUpdatedDate: {
                type: "timestamp"
              },
              createdDate: {
                type: "timestamp"
              },
              version: {},
              checksum: {},
              valueSelectionStrategy: {},
              parentSlotTypeSignature: {},
              slotTypeConfigurations: {
                shape: "S1v"
              }
            }
          }
        },
        DeleteBot: {
          http: {
            method: "DELETE",
            requestUri: "/bots/{name}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              }
            }
          }
        },
        DeleteBotAlias: {
          http: {
            method: "DELETE",
            requestUri: "/bots/{botName}/aliases/{name}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "name",
              "botName"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              botName: {
                location: "uri",
                locationName: "botName"
              }
            }
          }
        },
        DeleteBotChannelAssociation: {
          http: {
            method: "DELETE",
            requestUri: "/bots/{botName}/aliases/{aliasName}/channels/{name}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "name",
              "botName",
              "botAlias"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              botName: {
                location: "uri",
                locationName: "botName"
              },
              botAlias: {
                location: "uri",
                locationName: "aliasName"
              }
            }
          }
        },
        DeleteBotVersion: {
          http: {
            method: "DELETE",
            requestUri: "/bots/{name}/versions/{version}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "name",
              "version"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              version: {
                location: "uri",
                locationName: "version"
              }
            }
          }
        },
        DeleteIntent: {
          http: {
            method: "DELETE",
            requestUri: "/intents/{name}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              }
            }
          }
        },
        DeleteIntentVersion: {
          http: {
            method: "DELETE",
            requestUri: "/intents/{name}/versions/{version}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "name",
              "version"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              version: {
                location: "uri",
                locationName: "version"
              }
            }
          }
        },
        DeleteSlotType: {
          http: {
            method: "DELETE",
            requestUri: "/slottypes/{name}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              }
            }
          }
        },
        DeleteSlotTypeVersion: {
          http: {
            method: "DELETE",
            requestUri: "/slottypes/{name}/version/{version}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "name",
              "version"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              version: {
                location: "uri",
                locationName: "version"
              }
            }
          }
        },
        DeleteUtterances: {
          http: {
            method: "DELETE",
            requestUri: "/bots/{botName}/utterances/{userId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "botName",
              "userId"
            ],
            members: {
              botName: {
                location: "uri",
                locationName: "botName"
              },
              userId: {
                location: "uri",
                locationName: "userId"
              }
            }
          }
        },
        GetBot: {
          http: {
            method: "GET",
            requestUri: "/bots/{name}/versions/{versionoralias}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "versionOrAlias"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              versionOrAlias: {
                location: "uri",
                locationName: "versionoralias"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              description: {},
              intents: {
                shape: "S6"
              },
              enableModelImprovements: {
                type: "boolean"
              },
              nluIntentConfidenceThreshold: {
                type: "double"
              },
              clarificationPrompt: {
                shape: "Sa"
              },
              abortStatement: {
                shape: "Si"
              },
              status: {},
              failureReason: {},
              lastUpdatedDate: {
                type: "timestamp"
              },
              createdDate: {
                type: "timestamp"
              },
              idleSessionTTLInSeconds: {
                type: "integer"
              },
              voiceId: {},
              checksum: {},
              version: {},
              locale: {},
              childDirected: {
                type: "boolean"
              },
              detectSentiment: {
                type: "boolean"
              }
            }
          }
        },
        GetBotAlias: {
          http: {
            method: "GET",
            requestUri: "/bots/{botName}/aliases/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "botName"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              botName: {
                location: "uri",
                locationName: "botName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              description: {},
              botVersion: {},
              botName: {},
              lastUpdatedDate: {
                type: "timestamp"
              },
              createdDate: {
                type: "timestamp"
              },
              checksum: {},
              conversationLogs: {
                shape: "S2h"
              }
            }
          }
        },
        GetBotAliases: {
          http: {
            method: "GET",
            requestUri: "/bots/{botName}/aliases/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botName"
            ],
            members: {
              botName: {
                location: "uri",
                locationName: "botName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nameContains: {
                location: "querystring",
                locationName: "nameContains"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BotAliases: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    description: {},
                    botVersion: {},
                    botName: {},
                    lastUpdatedDate: {
                      type: "timestamp"
                    },
                    createdDate: {
                      type: "timestamp"
                    },
                    checksum: {},
                    conversationLogs: {
                      shape: "S2h"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetBotChannelAssociation: {
          http: {
            method: "GET",
            requestUri: "/bots/{botName}/aliases/{aliasName}/channels/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "botName",
              "botAlias"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              botName: {
                location: "uri",
                locationName: "botName"
              },
              botAlias: {
                location: "uri",
                locationName: "aliasName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              description: {},
              botAlias: {},
              botName: {},
              createdDate: {
                type: "timestamp"
              },
              type: {},
              botConfiguration: {
                shape: "S2z"
              },
              status: {},
              failureReason: {}
            }
          }
        },
        GetBotChannelAssociations: {
          http: {
            method: "GET",
            requestUri: "/bots/{botName}/aliases/{aliasName}/channels/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botName",
              "botAlias"
            ],
            members: {
              botName: {
                location: "uri",
                locationName: "botName"
              },
              botAlias: {
                location: "uri",
                locationName: "aliasName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nameContains: {
                location: "querystring",
                locationName: "nameContains"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botChannelAssociations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    description: {},
                    botAlias: {},
                    botName: {},
                    createdDate: {
                      type: "timestamp"
                    },
                    type: {},
                    botConfiguration: {
                      shape: "S2z"
                    },
                    status: {},
                    failureReason: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetBotVersions: {
          http: {
            method: "GET",
            requestUri: "/bots/{name}/versions/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              bots: {
                shape: "S38"
              },
              nextToken: {}
            }
          }
        },
        GetBots: {
          http: {
            method: "GET",
            requestUri: "/bots/",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nameContains: {
                location: "querystring",
                locationName: "nameContains"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              bots: {
                shape: "S38"
              },
              nextToken: {}
            }
          }
        },
        GetBuiltinIntent: {
          http: {
            method: "GET",
            requestUri: "/builtins/intents/{signature}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "signature"
            ],
            members: {
              signature: {
                location: "uri",
                locationName: "signature"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              signature: {},
              supportedLocales: {
                shape: "S3e"
              },
              slots: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {}
                  }
                }
              }
            }
          }
        },
        GetBuiltinIntents: {
          http: {
            method: "GET",
            requestUri: "/builtins/intents/",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              locale: {
                location: "querystring",
                locationName: "locale"
              },
              signatureContains: {
                location: "querystring",
                locationName: "signatureContains"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              intents: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    signature: {},
                    supportedLocales: {
                      shape: "S3e"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetBuiltinSlotTypes: {
          http: {
            method: "GET",
            requestUri: "/builtins/slottypes/",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              locale: {
                location: "querystring",
                locationName: "locale"
              },
              signatureContains: {
                location: "querystring",
                locationName: "signatureContains"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              slotTypes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    signature: {},
                    supportedLocales: {
                      shape: "S3e"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetExport: {
          http: {
            method: "GET",
            requestUri: "/exports/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "version",
              "resourceType",
              "exportType"
            ],
            members: {
              name: {
                location: "querystring",
                locationName: "name"
              },
              version: {
                location: "querystring",
                locationName: "version"
              },
              resourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              exportType: {
                location: "querystring",
                locationName: "exportType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              version: {},
              resourceType: {},
              exportType: {},
              exportStatus: {},
              failureReason: {},
              url: {}
            }
          }
        },
        GetImport: {
          http: {
            method: "GET",
            requestUri: "/imports/{importId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "importId"
            ],
            members: {
              importId: {
                location: "uri",
                locationName: "importId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              resourceType: {},
              mergeStrategy: {},
              importId: {},
              importStatus: {},
              failureReason: {
                type: "list",
                member: {}
              },
              createdDate: {
                type: "timestamp"
              }
            }
          }
        },
        GetIntent: {
          http: {
            method: "GET",
            requestUri: "/intents/{name}/versions/{version}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "version"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              version: {
                location: "uri",
                locationName: "version"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              description: {},
              slots: {
                shape: "Sq"
              },
              sampleUtterances: {
                shape: "S13"
              },
              confirmationPrompt: {
                shape: "Sa"
              },
              rejectionStatement: {
                shape: "Si"
              },
              followUpPrompt: {
                shape: "S14"
              },
              conclusionStatement: {
                shape: "Si"
              },
              dialogCodeHook: {
                shape: "S15"
              },
              fulfillmentActivity: {
                shape: "S18"
              },
              parentIntentSignature: {},
              lastUpdatedDate: {
                type: "timestamp"
              },
              createdDate: {
                type: "timestamp"
              },
              version: {},
              checksum: {},
              kendraConfiguration: {
                shape: "S1b"
              },
              inputContexts: {
                shape: "S1f"
              },
              outputContexts: {
                shape: "S1i"
              }
            }
          }
        },
        GetIntentVersions: {
          http: {
            method: "GET",
            requestUri: "/intents/{name}/versions/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              intents: {
                shape: "S45"
              },
              nextToken: {}
            }
          }
        },
        GetIntents: {
          http: {
            method: "GET",
            requestUri: "/intents/",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nameContains: {
                location: "querystring",
                locationName: "nameContains"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              intents: {
                shape: "S45"
              },
              nextToken: {}
            }
          }
        },
        GetMigration: {
          http: {
            method: "GET",
            requestUri: "/migrations/{migrationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "migrationId"
            ],
            members: {
              migrationId: {
                location: "uri",
                locationName: "migrationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              migrationId: {},
              v1BotName: {},
              v1BotVersion: {},
              v1BotLocale: {},
              v2BotId: {},
              v2BotRole: {},
              migrationStatus: {},
              migrationStrategy: {},
              migrationTimestamp: {
                type: "timestamp"
              },
              alerts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    type: {},
                    message: {},
                    details: {
                      type: "list",
                      member: {}
                    },
                    referenceURLs: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              }
            }
          }
        },
        GetMigrations: {
          http: {
            method: "GET",
            requestUri: "/migrations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              sortByAttribute: {
                location: "querystring",
                locationName: "sortByAttribute"
              },
              sortByOrder: {
                location: "querystring",
                locationName: "sortByOrder"
              },
              v1BotNameContains: {
                location: "querystring",
                locationName: "v1BotNameContains"
              },
              migrationStatusEquals: {
                location: "querystring",
                locationName: "migrationStatusEquals"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              migrationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    migrationId: {},
                    v1BotName: {},
                    v1BotVersion: {},
                    v1BotLocale: {},
                    v2BotId: {},
                    v2BotRole: {},
                    migrationStatus: {},
                    migrationStrategy: {},
                    migrationTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetSlotType: {
          http: {
            method: "GET",
            requestUri: "/slottypes/{name}/versions/{version}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "version"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              version: {
                location: "uri",
                locationName: "version"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              description: {},
              enumerationValues: {
                shape: "S1q"
              },
              lastUpdatedDate: {
                type: "timestamp"
              },
              createdDate: {
                type: "timestamp"
              },
              version: {},
              checksum: {},
              valueSelectionStrategy: {},
              parentSlotTypeSignature: {},
              slotTypeConfigurations: {
                shape: "S1v"
              }
            }
          }
        },
        GetSlotTypeVersions: {
          http: {
            method: "GET",
            requestUri: "/slottypes/{name}/versions/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              slotTypes: {
                shape: "S4x"
              },
              nextToken: {}
            }
          }
        },
        GetSlotTypes: {
          http: {
            method: "GET",
            requestUri: "/slottypes/",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nameContains: {
                location: "querystring",
                locationName: "nameContains"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              slotTypes: {
                shape: "S4x"
              },
              nextToken: {}
            }
          }
        },
        GetUtterancesView: {
          http: {
            method: "GET",
            requestUri: "/bots/{botname}/utterances?view=aggregation",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botName",
              "botVersions",
              "statusType"
            ],
            members: {
              botName: {
                location: "uri",
                locationName: "botname"
              },
              botVersions: {
                location: "querystring",
                locationName: "bot_versions",
                type: "list",
                member: {}
              },
              statusType: {
                location: "querystring",
                locationName: "status_type"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botName: {},
              utterances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    botVersion: {},
                    utterances: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          utteranceString: {},
                          count: {
                            type: "integer"
                          },
                          distinctUsers: {
                            type: "integer"
                          },
                          firstUtteredDate: {
                            type: "timestamp"
                          },
                          lastUtteredDate: {
                            type: "timestamp"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S5e"
              }
            }
          }
        },
        PutBot: {
          http: {
            method: "PUT",
            requestUri: "/bots/{name}/versions/$LATEST",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "locale",
              "childDirected"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              description: {},
              intents: {
                shape: "S6"
              },
              enableModelImprovements: {
                type: "boolean"
              },
              nluIntentConfidenceThreshold: {
                type: "double"
              },
              clarificationPrompt: {
                shape: "Sa"
              },
              abortStatement: {
                shape: "Si"
              },
              idleSessionTTLInSeconds: {
                type: "integer"
              },
              voiceId: {},
              checksum: {},
              processBehavior: {},
              locale: {},
              childDirected: {
                type: "boolean"
              },
              detectSentiment: {
                type: "boolean"
              },
              createVersion: {
                type: "boolean"
              },
              tags: {
                shape: "S5e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              description: {},
              intents: {
                shape: "S6"
              },
              enableModelImprovements: {
                type: "boolean"
              },
              nluIntentConfidenceThreshold: {
                type: "double"
              },
              clarificationPrompt: {
                shape: "Sa"
              },
              abortStatement: {
                shape: "Si"
              },
              status: {},
              failureReason: {},
              lastUpdatedDate: {
                type: "timestamp"
              },
              createdDate: {
                type: "timestamp"
              },
              idleSessionTTLInSeconds: {
                type: "integer"
              },
              voiceId: {},
              checksum: {},
              version: {},
              locale: {},
              childDirected: {
                type: "boolean"
              },
              createVersion: {
                type: "boolean"
              },
              detectSentiment: {
                type: "boolean"
              },
              tags: {
                shape: "S5e"
              }
            }
          }
        },
        PutBotAlias: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botName}/aliases/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "botVersion",
              "botName"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              description: {},
              botVersion: {},
              botName: {
                location: "uri",
                locationName: "botName"
              },
              checksum: {},
              conversationLogs: {
                type: "structure",
                required: [
                  "logSettings",
                  "iamRoleArn"
                ],
                members: {
                  logSettings: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "logType",
                        "destination",
                        "resourceArn"
                      ],
                      members: {
                        logType: {},
                        destination: {},
                        kmsKeyArn: {},
                        resourceArn: {}
                      }
                    }
                  },
                  iamRoleArn: {}
                }
              },
              tags: {
                shape: "S5e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              description: {},
              botVersion: {},
              botName: {},
              lastUpdatedDate: {
                type: "timestamp"
              },
              createdDate: {
                type: "timestamp"
              },
              checksum: {},
              conversationLogs: {
                shape: "S2h"
              },
              tags: {
                shape: "S5e"
              }
            }
          }
        },
        PutIntent: {
          http: {
            method: "PUT",
            requestUri: "/intents/{name}/versions/$LATEST",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              description: {},
              slots: {
                shape: "Sq"
              },
              sampleUtterances: {
                shape: "S13"
              },
              confirmationPrompt: {
                shape: "Sa"
              },
              rejectionStatement: {
                shape: "Si"
              },
              followUpPrompt: {
                shape: "S14"
              },
              conclusionStatement: {
                shape: "Si"
              },
              dialogCodeHook: {
                shape: "S15"
              },
              fulfillmentActivity: {
                shape: "S18"
              },
              parentIntentSignature: {},
              checksum: {},
              createVersion: {
                type: "boolean"
              },
              kendraConfiguration: {
                shape: "S1b"
              },
              inputContexts: {
                shape: "S1f"
              },
              outputContexts: {
                shape: "S1i"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              description: {},
              slots: {
                shape: "Sq"
              },
              sampleUtterances: {
                shape: "S13"
              },
              confirmationPrompt: {
                shape: "Sa"
              },
              rejectionStatement: {
                shape: "Si"
              },
              followUpPrompt: {
                shape: "S14"
              },
              conclusionStatement: {
                shape: "Si"
              },
              dialogCodeHook: {
                shape: "S15"
              },
              fulfillmentActivity: {
                shape: "S18"
              },
              parentIntentSignature: {},
              lastUpdatedDate: {
                type: "timestamp"
              },
              createdDate: {
                type: "timestamp"
              },
              version: {},
              checksum: {},
              createVersion: {
                type: "boolean"
              },
              kendraConfiguration: {
                shape: "S1b"
              },
              inputContexts: {
                shape: "S1f"
              },
              outputContexts: {
                shape: "S1i"
              }
            }
          }
        },
        PutSlotType: {
          http: {
            method: "PUT",
            requestUri: "/slottypes/{name}/versions/$LATEST",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              description: {},
              enumerationValues: {
                shape: "S1q"
              },
              checksum: {},
              valueSelectionStrategy: {},
              createVersion: {
                type: "boolean"
              },
              parentSlotTypeSignature: {},
              slotTypeConfigurations: {
                shape: "S1v"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              description: {},
              enumerationValues: {
                shape: "S1q"
              },
              lastUpdatedDate: {
                type: "timestamp"
              },
              createdDate: {
                type: "timestamp"
              },
              version: {},
              checksum: {},
              valueSelectionStrategy: {},
              createVersion: {
                type: "boolean"
              },
              parentSlotTypeSignature: {},
              slotTypeConfigurations: {
                shape: "S1v"
              }
            }
          }
        },
        StartImport: {
          http: {
            requestUri: "/imports/",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "payload",
              "resourceType",
              "mergeStrategy"
            ],
            members: {
              payload: {
                type: "blob"
              },
              resourceType: {},
              mergeStrategy: {},
              tags: {
                shape: "S5e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              resourceType: {},
              mergeStrategy: {},
              importId: {},
              importStatus: {},
              tags: {
                shape: "S5e"
              },
              createdDate: {
                type: "timestamp"
              }
            }
          }
        },
        StartMigration: {
          http: {
            requestUri: "/migrations",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "v1BotName",
              "v1BotVersion",
              "v2BotName",
              "v2BotRole",
              "migrationStrategy"
            ],
            members: {
              v1BotName: {},
              v1BotVersion: {},
              v2BotName: {},
              v2BotRole: {},
              migrationStrategy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              v1BotName: {},
              v1BotVersion: {},
              v1BotLocale: {},
              v2BotId: {},
              v2BotRole: {},
              migrationId: {},
              migrationStrategy: {},
              migrationTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S5e"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S6: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "intentName",
              "intentVersion"
            ],
            members: {
              intentName: {},
              intentVersion: {}
            }
          }
        },
        Sa: {
          type: "structure",
          required: [
            "messages",
            "maxAttempts"
          ],
          members: {
            messages: {
              shape: "Sb"
            },
            maxAttempts: {
              type: "integer"
            },
            responseCard: {}
          }
        },
        Sb: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "contentType",
              "content"
            ],
            members: {
              contentType: {},
              content: {},
              groupNumber: {
                type: "integer"
              }
            }
          }
        },
        Si: {
          type: "structure",
          required: [
            "messages"
          ],
          members: {
            messages: {
              shape: "Sb"
            },
            responseCard: {}
          }
        },
        Sq: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "slotConstraint"
            ],
            members: {
              name: {},
              description: {},
              slotConstraint: {},
              slotType: {},
              slotTypeVersion: {},
              valueElicitationPrompt: {
                shape: "Sa"
              },
              priority: {
                type: "integer"
              },
              sampleUtterances: {
                type: "list",
                member: {}
              },
              responseCard: {},
              obfuscationSetting: {},
              defaultValueSpec: {
                type: "structure",
                required: [
                  "defaultValueList"
                ],
                members: {
                  defaultValueList: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "defaultValue"
                      ],
                      members: {
                        defaultValue: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S13: {
          type: "list",
          member: {}
        },
        S14: {
          type: "structure",
          required: [
            "prompt",
            "rejectionStatement"
          ],
          members: {
            prompt: {
              shape: "Sa"
            },
            rejectionStatement: {
              shape: "Si"
            }
          }
        },
        S15: {
          type: "structure",
          required: [
            "uri",
            "messageVersion"
          ],
          members: {
            uri: {},
            messageVersion: {}
          }
        },
        S18: {
          type: "structure",
          required: [
            "type"
          ],
          members: {
            type: {},
            codeHook: {
              shape: "S15"
            }
          }
        },
        S1b: {
          type: "structure",
          required: [
            "kendraIndex",
            "role"
          ],
          members: {
            kendraIndex: {},
            queryFilterString: {},
            role: {}
          }
        },
        S1f: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          }
        },
        S1i: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "timeToLiveInSeconds",
              "turnsToLive"
            ],
            members: {
              name: {},
              timeToLiveInSeconds: {
                type: "integer"
              },
              turnsToLive: {
                type: "integer"
              }
            }
          }
        },
        S1q: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "value"
            ],
            members: {
              value: {},
              synonyms: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S1v: {
          type: "list",
          member: {
            type: "structure",
            members: {
              regexConfiguration: {
                type: "structure",
                required: [
                  "pattern"
                ],
                members: {
                  pattern: {}
                }
              }
            }
          }
        },
        S2h: {
          type: "structure",
          members: {
            logSettings: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  logType: {},
                  destination: {},
                  kmsKeyArn: {},
                  resourceArn: {},
                  resourcePrefix: {}
                }
              }
            },
            iamRoleArn: {}
          }
        },
        S2z: {
          type: "map",
          key: {},
          value: {},
          sensitive: true
        },
        S38: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              description: {},
              status: {},
              lastUpdatedDate: {
                type: "timestamp"
              },
              createdDate: {
                type: "timestamp"
              },
              version: {}
            }
          }
        },
        S3e: {
          type: "list",
          member: {}
        },
        S45: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              description: {},
              lastUpdatedDate: {
                type: "timestamp"
              },
              createdDate: {
                type: "timestamp"
              },
              version: {}
            }
          }
        },
        S4x: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              description: {},
              lastUpdatedDate: {
                type: "timestamp"
              },
              createdDate: {
                type: "timestamp"
              },
              version: {}
            }
          }
        },
        S5e: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/lex-models-2017-04-19.paginators.json
var require_lex_models_2017_04_19_paginators = __commonJS({
  "node_modules/aws-sdk/apis/lex-models-2017-04-19.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetBotAliases: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetBotChannelAssociations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetBotVersions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetBots: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetBuiltinIntents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetBuiltinSlotTypes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetIntentVersions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetIntents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetMigrations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetSlotTypeVersions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetSlotTypes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/lexmodelbuildingservice.js
var require_lexmodelbuildingservice = __commonJS({
  "node_modules/aws-sdk/clients/lexmodelbuildingservice.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["lexmodelbuildingservice"] = {};
    AWS2.LexModelBuildingService = Service.defineService("lexmodelbuildingservice", ["2017-04-19"]);
    Object.defineProperty(apiLoader.services["lexmodelbuildingservice"], "2017-04-19", {
      get: function get() {
        var model = require_lex_models_2017_04_19_min();
        model.paginators = require_lex_models_2017_04_19_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.LexModelBuildingService;
  }
});

// node_modules/aws-sdk/apis/entitlement.marketplace-2017-01-11.min.json
var require_entitlement_marketplace_2017_01_11_min = __commonJS({
  "node_modules/aws-sdk/apis/entitlement.marketplace-2017-01-11.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-01-11",
        endpointPrefix: "entitlement.marketplace",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Marketplace Entitlement Service",
        serviceId: "Marketplace Entitlement Service",
        signatureVersion: "v4",
        signingName: "aws-marketplace",
        targetPrefix: "AWSMPEntitlementService",
        uid: "entitlement.marketplace-2017-01-11"
      },
      operations: {
        GetEntitlements: {
          input: {
            type: "structure",
            required: [
              "ProductCode"
            ],
            members: {
              ProductCode: {},
              Filter: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {}
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Entitlements: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ProductCode: {},
                    Dimension: {},
                    CustomerIdentifier: {},
                    Value: {
                      type: "structure",
                      members: {
                        IntegerValue: {
                          type: "integer"
                        },
                        DoubleValue: {
                          type: "double"
                        },
                        BooleanValue: {
                          type: "boolean"
                        },
                        StringValue: {}
                      }
                    },
                    ExpirationDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        }
      },
      shapes: {}
    };
  }
});

// node_modules/aws-sdk/apis/entitlement.marketplace-2017-01-11.paginators.json
var require_entitlement_marketplace_2017_01_11_paginators = __commonJS({
  "node_modules/aws-sdk/apis/entitlement.marketplace-2017-01-11.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/marketplaceentitlementservice.js
var require_marketplaceentitlementservice = __commonJS({
  "node_modules/aws-sdk/clients/marketplaceentitlementservice.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["marketplaceentitlementservice"] = {};
    AWS2.MarketplaceEntitlementService = Service.defineService("marketplaceentitlementservice", ["2017-01-11"]);
    Object.defineProperty(apiLoader.services["marketplaceentitlementservice"], "2017-01-11", {
      get: function get() {
        var model = require_entitlement_marketplace_2017_01_11_min();
        model.paginators = require_entitlement_marketplace_2017_01_11_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MarketplaceEntitlementService;
  }
});

// node_modules/aws-sdk/apis/athena-2017-05-18.min.json
var require_athena_2017_05_18_min = __commonJS({
  "node_modules/aws-sdk/apis/athena-2017-05-18.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-05-18",
        endpointPrefix: "athena",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Athena",
        serviceId: "Athena",
        signatureVersion: "v4",
        targetPrefix: "AmazonAthena",
        uid: "athena-2017-05-18"
      },
      operations: {
        BatchGetNamedQuery: {
          input: {
            type: "structure",
            required: [
              "NamedQueryIds"
            ],
            members: {
              NamedQueryIds: {
                shape: "S2"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NamedQueries: {
                type: "list",
                member: {
                  shape: "S6"
                }
              },
              UnprocessedNamedQueryIds: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    NamedQueryId: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        BatchGetPreparedStatement: {
          input: {
            type: "structure",
            required: [
              "PreparedStatementNames",
              "WorkGroup"
            ],
            members: {
              PreparedStatementNames: {
                type: "list",
                member: {}
              },
              WorkGroup: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PreparedStatements: {
                type: "list",
                member: {
                  shape: "Sl"
                }
              },
              UnprocessedPreparedStatementNames: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StatementName: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        BatchGetQueryExecution: {
          input: {
            type: "structure",
            required: [
              "QueryExecutionIds"
            ],
            members: {
              QueryExecutionIds: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              QueryExecutions: {
                type: "list",
                member: {
                  shape: "Su"
                }
              },
              UnprocessedQueryExecutionIds: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    QueryExecutionId: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        CancelCapacityReservation: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        CreateCapacityReservation: {
          input: {
            type: "structure",
            required: [
              "TargetDpus",
              "Name"
            ],
            members: {
              TargetDpus: {
                type: "integer"
              },
              Name: {},
              Tags: {
                shape: "S1s"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        CreateDataCatalog: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Type"
            ],
            members: {
              Name: {},
              Type: {},
              Description: {},
              Parameters: {
                shape: "S1z"
              },
              Tags: {
                shape: "S1s"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateNamedQuery: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Database",
              "QueryString"
            ],
            members: {
              Name: {},
              Description: {},
              Database: {},
              QueryString: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              WorkGroup: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NamedQueryId: {}
            }
          },
          idempotent: true
        },
        CreateNotebook: {
          input: {
            type: "structure",
            required: [
              "WorkGroup",
              "Name"
            ],
            members: {
              WorkGroup: {},
              Name: {},
              ClientRequestToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NotebookId: {}
            }
          }
        },
        CreatePreparedStatement: {
          input: {
            type: "structure",
            required: [
              "StatementName",
              "WorkGroup",
              "QueryStatement"
            ],
            members: {
              StatementName: {},
              WorkGroup: {},
              QueryStatement: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreatePresignedNotebookUrl: {
          input: {
            type: "structure",
            required: [
              "SessionId"
            ],
            members: {
              SessionId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "NotebookUrl",
              "AuthToken",
              "AuthTokenExpirationTime"
            ],
            members: {
              NotebookUrl: {},
              AuthToken: {},
              AuthTokenExpirationTime: {
                type: "long"
              }
            }
          }
        },
        CreateWorkGroup: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Configuration: {
                shape: "S2i"
              },
              Description: {},
              Tags: {
                shape: "S1s"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteCapacityReservation: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteDataCatalog: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteNamedQuery: {
          input: {
            type: "structure",
            required: [
              "NamedQueryId"
            ],
            members: {
              NamedQueryId: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteNotebook: {
          input: {
            type: "structure",
            required: [
              "NotebookId"
            ],
            members: {
              NotebookId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeletePreparedStatement: {
          input: {
            type: "structure",
            required: [
              "StatementName",
              "WorkGroup"
            ],
            members: {
              StatementName: {},
              WorkGroup: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteWorkGroup: {
          input: {
            type: "structure",
            required: [
              "WorkGroup"
            ],
            members: {
              WorkGroup: {},
              RecursiveDeleteOption: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        ExportNotebook: {
          input: {
            type: "structure",
            required: [
              "NotebookId"
            ],
            members: {
              NotebookId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NotebookMetadata: {
                shape: "S34"
              },
              Payload: {}
            }
          }
        },
        GetCalculationExecution: {
          input: {
            type: "structure",
            required: [
              "CalculationExecutionId"
            ],
            members: {
              CalculationExecutionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CalculationExecutionId: {},
              SessionId: {},
              Description: {},
              WorkingDirectory: {},
              Status: {
                shape: "S3b"
              },
              Statistics: {
                shape: "S3d"
              },
              Result: {
                type: "structure",
                members: {
                  StdOutS3Uri: {},
                  StdErrorS3Uri: {},
                  ResultS3Uri: {},
                  ResultType: {}
                }
              }
            }
          }
        },
        GetCalculationExecutionCode: {
          input: {
            type: "structure",
            required: [
              "CalculationExecutionId"
            ],
            members: {
              CalculationExecutionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CodeBlock: {}
            }
          }
        },
        GetCalculationExecutionStatus: {
          input: {
            type: "structure",
            required: [
              "CalculationExecutionId"
            ],
            members: {
              CalculationExecutionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                shape: "S3b"
              },
              Statistics: {
                shape: "S3d"
              }
            }
          }
        },
        GetCapacityAssignmentConfiguration: {
          input: {
            type: "structure",
            required: [
              "CapacityReservationName"
            ],
            members: {
              CapacityReservationName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "CapacityAssignmentConfiguration"
            ],
            members: {
              CapacityAssignmentConfiguration: {
                type: "structure",
                members: {
                  CapacityReservationName: {},
                  CapacityAssignments: {
                    shape: "S3o"
                  }
                }
              }
            }
          }
        },
        GetCapacityReservation: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "CapacityReservation"
            ],
            members: {
              CapacityReservation: {
                shape: "S3t"
              }
            }
          }
        },
        GetDataCatalog: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DataCatalog: {
                type: "structure",
                required: [
                  "Name",
                  "Type"
                ],
                members: {
                  Name: {},
                  Description: {},
                  Type: {},
                  Parameters: {
                    shape: "S1z"
                  }
                }
              }
            }
          }
        },
        GetDatabase: {
          input: {
            type: "structure",
            required: [
              "CatalogName",
              "DatabaseName"
            ],
            members: {
              CatalogName: {},
              DatabaseName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Database: {
                shape: "S44"
              }
            }
          }
        },
        GetNamedQuery: {
          input: {
            type: "structure",
            required: [
              "NamedQueryId"
            ],
            members: {
              NamedQueryId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NamedQuery: {
                shape: "S6"
              }
            }
          }
        },
        GetNotebookMetadata: {
          input: {
            type: "structure",
            required: [
              "NotebookId"
            ],
            members: {
              NotebookId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NotebookMetadata: {
                shape: "S34"
              }
            }
          }
        },
        GetPreparedStatement: {
          input: {
            type: "structure",
            required: [
              "StatementName",
              "WorkGroup"
            ],
            members: {
              StatementName: {},
              WorkGroup: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PreparedStatement: {
                shape: "Sl"
              }
            }
          }
        },
        GetQueryExecution: {
          input: {
            type: "structure",
            required: [
              "QueryExecutionId"
            ],
            members: {
              QueryExecutionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              QueryExecution: {
                shape: "Su"
              }
            }
          }
        },
        GetQueryResults: {
          input: {
            type: "structure",
            required: [
              "QueryExecutionId"
            ],
            members: {
              QueryExecutionId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UpdateCount: {
                type: "long"
              },
              ResultSet: {
                type: "structure",
                members: {
                  Rows: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Data: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              VarCharValue: {}
                            }
                          }
                        }
                      }
                    }
                  },
                  ResultSetMetadata: {
                    type: "structure",
                    members: {
                      ColumnInfo: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "Name",
                            "Type"
                          ],
                          members: {
                            CatalogName: {},
                            SchemaName: {},
                            TableName: {},
                            Name: {},
                            Label: {},
                            Type: {},
                            Precision: {
                              type: "integer"
                            },
                            Scale: {
                              type: "integer"
                            },
                            Nullable: {},
                            CaseSensitive: {
                              type: "boolean"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetQueryRuntimeStatistics: {
          input: {
            type: "structure",
            required: [
              "QueryExecutionId"
            ],
            members: {
              QueryExecutionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              QueryRuntimeStatistics: {
                type: "structure",
                members: {
                  Timeline: {
                    type: "structure",
                    members: {
                      QueryQueueTimeInMillis: {
                        type: "long"
                      },
                      QueryPlanningTimeInMillis: {
                        type: "long"
                      },
                      EngineExecutionTimeInMillis: {
                        type: "long"
                      },
                      ServiceProcessingTimeInMillis: {
                        type: "long"
                      },
                      TotalExecutionTimeInMillis: {
                        type: "long"
                      }
                    }
                  },
                  Rows: {
                    type: "structure",
                    members: {
                      InputRows: {
                        type: "long"
                      },
                      InputBytes: {
                        type: "long"
                      },
                      OutputBytes: {
                        type: "long"
                      },
                      OutputRows: {
                        type: "long"
                      }
                    }
                  },
                  OutputStage: {
                    shape: "S4x"
                  }
                }
              }
            }
          }
        },
        GetSession: {
          input: {
            type: "structure",
            required: [
              "SessionId"
            ],
            members: {
              SessionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SessionId: {},
              Description: {},
              WorkGroup: {},
              EngineVersion: {},
              EngineConfiguration: {
                shape: "S54"
              },
              NotebookVersion: {},
              SessionConfiguration: {
                type: "structure",
                members: {
                  ExecutionRole: {},
                  WorkingDirectory: {},
                  IdleTimeoutSeconds: {
                    type: "long"
                  },
                  EncryptionConfiguration: {
                    shape: "Sy"
                  }
                }
              },
              Status: {
                shape: "S59"
              },
              Statistics: {
                type: "structure",
                members: {
                  DpuExecutionInMillis: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        GetSessionStatus: {
          input: {
            type: "structure",
            required: [
              "SessionId"
            ],
            members: {
              SessionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SessionId: {},
              Status: {
                shape: "S59"
              }
            }
          }
        },
        GetTableMetadata: {
          input: {
            type: "structure",
            required: [
              "CatalogName",
              "DatabaseName",
              "TableName"
            ],
            members: {
              CatalogName: {},
              DatabaseName: {},
              TableName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TableMetadata: {
                shape: "S5g"
              }
            }
          }
        },
        GetWorkGroup: {
          input: {
            type: "structure",
            required: [
              "WorkGroup"
            ],
            members: {
              WorkGroup: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WorkGroup: {
                type: "structure",
                required: [
                  "Name"
                ],
                members: {
                  Name: {},
                  State: {},
                  Configuration: {
                    shape: "S2i"
                  },
                  Description: {},
                  CreationTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        ImportNotebook: {
          input: {
            type: "structure",
            required: [
              "WorkGroup",
              "Name",
              "Payload",
              "Type"
            ],
            members: {
              WorkGroup: {},
              Name: {},
              Payload: {},
              Type: {},
              ClientRequestToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NotebookId: {}
            }
          }
        },
        ListApplicationDPUSizes: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationDPUSizes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApplicationRuntimeId: {},
                    SupportedDPUSizes: {
                      type: "list",
                      member: {
                        type: "integer"
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCalculationExecutions: {
          input: {
            type: "structure",
            required: [
              "SessionId"
            ],
            members: {
              SessionId: {},
              StateFilter: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Calculations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CalculationExecutionId: {},
                    Description: {},
                    Status: {
                      shape: "S3b"
                    }
                  }
                }
              }
            }
          }
        },
        ListCapacityReservations: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CapacityReservations"
            ],
            members: {
              NextToken: {},
              CapacityReservations: {
                type: "list",
                member: {
                  shape: "S3t"
                }
              }
            }
          }
        },
        ListDataCatalogs: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataCatalogsSummary: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CatalogName: {},
                    Type: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDatabases: {
          input: {
            type: "structure",
            required: [
              "CatalogName"
            ],
            members: {
              CatalogName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DatabaseList: {
                type: "list",
                member: {
                  shape: "S44"
                }
              },
              NextToken: {}
            }
          }
        },
        ListEngineVersions: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EngineVersions: {
                type: "list",
                member: {
                  shape: "S1i"
                }
              },
              NextToken: {}
            }
          }
        },
        ListExecutors: {
          input: {
            type: "structure",
            required: [
              "SessionId"
            ],
            members: {
              SessionId: {},
              ExecutorStateFilter: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "SessionId"
            ],
            members: {
              SessionId: {},
              NextToken: {},
              ExecutorsSummary: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ExecutorId"
                  ],
                  members: {
                    ExecutorId: {},
                    ExecutorType: {},
                    StartDateTime: {
                      type: "long"
                    },
                    TerminationDateTime: {
                      type: "long"
                    },
                    ExecutorState: {},
                    ExecutorSize: {
                      type: "long"
                    }
                  }
                }
              }
            }
          }
        },
        ListNamedQueries: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              WorkGroup: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NamedQueryIds: {
                shape: "S2"
              },
              NextToken: {}
            }
          }
        },
        ListNotebookMetadata: {
          input: {
            type: "structure",
            required: [
              "WorkGroup"
            ],
            members: {
              Filters: {
                type: "structure",
                members: {
                  Name: {}
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              WorkGroup: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              NotebookMetadataList: {
                type: "list",
                member: {
                  shape: "S34"
                }
              }
            }
          }
        },
        ListNotebookSessions: {
          input: {
            type: "structure",
            required: [
              "NotebookId"
            ],
            members: {
              NotebookId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "NotebookSessionsList"
            ],
            members: {
              NotebookSessionsList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SessionId: {},
                    CreationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPreparedStatements: {
          input: {
            type: "structure",
            required: [
              "WorkGroup"
            ],
            members: {
              WorkGroup: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PreparedStatements: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StatementName: {},
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListQueryExecutions: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              WorkGroup: {}
            }
          },
          output: {
            type: "structure",
            members: {
              QueryExecutionIds: {
                shape: "Sq"
              },
              NextToken: {}
            }
          }
        },
        ListSessions: {
          input: {
            type: "structure",
            required: [
              "WorkGroup"
            ],
            members: {
              WorkGroup: {},
              StateFilter: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Sessions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SessionId: {},
                    Description: {},
                    EngineVersion: {
                      shape: "S1i"
                    },
                    NotebookVersion: {},
                    Status: {
                      shape: "S59"
                    }
                  }
                }
              }
            }
          }
        },
        ListTableMetadata: {
          input: {
            type: "structure",
            required: [
              "CatalogName",
              "DatabaseName"
            ],
            members: {
              CatalogName: {},
              DatabaseName: {},
              Expression: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TableMetadataList: {
                type: "list",
                member: {
                  shape: "S5g"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S1s"
              },
              NextToken: {}
            }
          }
        },
        ListWorkGroups: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    State: {},
                    Description: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    EngineVersion: {
                      shape: "S1i"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        PutCapacityAssignmentConfiguration: {
          input: {
            type: "structure",
            required: [
              "CapacityReservationName",
              "CapacityAssignments"
            ],
            members: {
              CapacityReservationName: {},
              CapacityAssignments: {
                shape: "S3o"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        StartCalculationExecution: {
          input: {
            type: "structure",
            required: [
              "SessionId"
            ],
            members: {
              SessionId: {},
              Description: {},
              CalculationConfiguration: {
                deprecated: true,
                deprecatedMessage: "Kepler Post GA Tasks : https://sim.amazon.com/issues/ATHENA-39828",
                type: "structure",
                members: {
                  CodeBlock: {}
                }
              },
              CodeBlock: {},
              ClientRequestToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CalculationExecutionId: {},
              State: {}
            }
          }
        },
        StartQueryExecution: {
          input: {
            type: "structure",
            required: [
              "QueryString"
            ],
            members: {
              QueryString: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              QueryExecutionContext: {
                shape: "S18"
              },
              ResultConfiguration: {
                shape: "Sw"
              },
              WorkGroup: {},
              ExecutionParameters: {
                shape: "S1j"
              },
              ResultReuseConfiguration: {
                shape: "S14"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              QueryExecutionId: {}
            }
          },
          idempotent: true
        },
        StartSession: {
          input: {
            type: "structure",
            required: [
              "WorkGroup",
              "EngineConfiguration"
            ],
            members: {
              Description: {},
              WorkGroup: {},
              EngineConfiguration: {
                shape: "S54"
              },
              NotebookVersion: {},
              SessionIdleTimeoutInMinutes: {
                type: "integer"
              },
              ClientRequestToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SessionId: {},
              State: {}
            }
          }
        },
        StopCalculationExecution: {
          input: {
            type: "structure",
            required: [
              "CalculationExecutionId"
            ],
            members: {
              CalculationExecutionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              State: {}
            }
          }
        },
        StopQueryExecution: {
          input: {
            type: "structure",
            required: [
              "QueryExecutionId"
            ],
            members: {
              QueryExecutionId: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S1s"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TerminateSession: {
          input: {
            type: "structure",
            required: [
              "SessionId"
            ],
            members: {
              SessionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              State: {}
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateCapacityReservation: {
          input: {
            type: "structure",
            required: [
              "TargetDpus",
              "Name"
            ],
            members: {
              TargetDpus: {
                type: "integer"
              },
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDataCatalog: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Type"
            ],
            members: {
              Name: {},
              Type: {},
              Description: {},
              Parameters: {
                shape: "S1z"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateNamedQuery: {
          input: {
            type: "structure",
            required: [
              "NamedQueryId",
              "Name",
              "QueryString"
            ],
            members: {
              NamedQueryId: {},
              Name: {},
              Description: {},
              QueryString: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateNotebook: {
          input: {
            type: "structure",
            required: [
              "NotebookId",
              "Payload",
              "Type"
            ],
            members: {
              NotebookId: {},
              Payload: {},
              Type: {},
              SessionId: {},
              ClientRequestToken: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateNotebookMetadata: {
          input: {
            type: "structure",
            required: [
              "NotebookId",
              "Name"
            ],
            members: {
              NotebookId: {},
              ClientRequestToken: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdatePreparedStatement: {
          input: {
            type: "structure",
            required: [
              "StatementName",
              "WorkGroup",
              "QueryStatement"
            ],
            members: {
              StatementName: {},
              WorkGroup: {},
              QueryStatement: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateWorkGroup: {
          input: {
            type: "structure",
            required: [
              "WorkGroup"
            ],
            members: {
              WorkGroup: {},
              Description: {},
              ConfigurationUpdates: {
                type: "structure",
                members: {
                  EnforceWorkGroupConfiguration: {
                    type: "boolean"
                  },
                  ResultConfigurationUpdates: {
                    type: "structure",
                    members: {
                      OutputLocation: {},
                      RemoveOutputLocation: {
                        type: "boolean"
                      },
                      EncryptionConfiguration: {
                        shape: "Sy"
                      },
                      RemoveEncryptionConfiguration: {
                        type: "boolean"
                      },
                      ExpectedBucketOwner: {},
                      RemoveExpectedBucketOwner: {
                        type: "boolean"
                      },
                      AclConfiguration: {
                        shape: "S12"
                      },
                      RemoveAclConfiguration: {
                        type: "boolean"
                      }
                    }
                  },
                  PublishCloudWatchMetricsEnabled: {
                    type: "boolean"
                  },
                  BytesScannedCutoffPerQuery: {
                    type: "long"
                  },
                  RemoveBytesScannedCutoffPerQuery: {
                    type: "boolean"
                  },
                  RequesterPaysEnabled: {
                    type: "boolean"
                  },
                  EngineVersion: {
                    shape: "S1i"
                  },
                  RemoveCustomerContentEncryptionConfiguration: {
                    type: "boolean"
                  },
                  AdditionalConfiguration: {},
                  ExecutionRole: {},
                  CustomerContentEncryptionConfiguration: {
                    shape: "S2m"
                  },
                  EnableMinimumEncryptionConfiguration: {
                    type: "boolean"
                  }
                }
              },
              State: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S2: {
          type: "list",
          member: {}
        },
        S6: {
          type: "structure",
          required: [
            "Name",
            "Database",
            "QueryString"
          ],
          members: {
            Name: {},
            Description: {},
            Database: {},
            QueryString: {},
            NamedQueryId: {},
            WorkGroup: {}
          }
        },
        Sl: {
          type: "structure",
          members: {
            StatementName: {},
            QueryStatement: {},
            WorkGroupName: {},
            Description: {},
            LastModifiedTime: {
              type: "timestamp"
            }
          }
        },
        Sq: {
          type: "list",
          member: {}
        },
        Su: {
          type: "structure",
          members: {
            QueryExecutionId: {},
            Query: {},
            StatementType: {},
            ResultConfiguration: {
              shape: "Sw"
            },
            ResultReuseConfiguration: {
              shape: "S14"
            },
            QueryExecutionContext: {
              shape: "S18"
            },
            Status: {
              type: "structure",
              members: {
                State: {},
                StateChangeReason: {},
                SubmissionDateTime: {
                  type: "timestamp"
                },
                CompletionDateTime: {
                  type: "timestamp"
                },
                AthenaError: {
                  type: "structure",
                  members: {
                    ErrorCategory: {
                      type: "integer"
                    },
                    ErrorType: {
                      type: "integer"
                    },
                    Retryable: {
                      type: "boolean"
                    },
                    ErrorMessage: {}
                  }
                }
              }
            },
            Statistics: {
              type: "structure",
              members: {
                EngineExecutionTimeInMillis: {
                  type: "long"
                },
                DataScannedInBytes: {
                  type: "long"
                },
                DataManifestLocation: {},
                TotalExecutionTimeInMillis: {
                  type: "long"
                },
                QueryQueueTimeInMillis: {
                  type: "long"
                },
                QueryPlanningTimeInMillis: {
                  type: "long"
                },
                ServiceProcessingTimeInMillis: {
                  type: "long"
                },
                ResultReuseInformation: {
                  type: "structure",
                  required: [
                    "ReusedPreviousResult"
                  ],
                  members: {
                    ReusedPreviousResult: {
                      type: "boolean"
                    }
                  }
                }
              }
            },
            WorkGroup: {},
            EngineVersion: {
              shape: "S1i"
            },
            ExecutionParameters: {
              shape: "S1j"
            },
            SubstatementType: {}
          }
        },
        Sw: {
          type: "structure",
          members: {
            OutputLocation: {},
            EncryptionConfiguration: {
              shape: "Sy"
            },
            ExpectedBucketOwner: {},
            AclConfiguration: {
              shape: "S12"
            }
          }
        },
        Sy: {
          type: "structure",
          required: [
            "EncryptionOption"
          ],
          members: {
            EncryptionOption: {},
            KmsKey: {}
          }
        },
        S12: {
          type: "structure",
          required: [
            "S3AclOption"
          ],
          members: {
            S3AclOption: {}
          }
        },
        S14: {
          type: "structure",
          members: {
            ResultReuseByAgeConfiguration: {
              type: "structure",
              required: [
                "Enabled"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                MaxAgeInMinutes: {
                  type: "integer"
                }
              }
            }
          }
        },
        S18: {
          type: "structure",
          members: {
            Database: {},
            Catalog: {}
          }
        },
        S1i: {
          type: "structure",
          members: {
            SelectedEngineVersion: {},
            EffectiveEngineVersion: {}
          }
        },
        S1j: {
          type: "list",
          member: {}
        },
        S1s: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S1z: {
          type: "map",
          key: {},
          value: {}
        },
        S2i: {
          type: "structure",
          members: {
            ResultConfiguration: {
              shape: "Sw"
            },
            EnforceWorkGroupConfiguration: {
              type: "boolean"
            },
            PublishCloudWatchMetricsEnabled: {
              type: "boolean"
            },
            BytesScannedCutoffPerQuery: {
              type: "long"
            },
            RequesterPaysEnabled: {
              type: "boolean"
            },
            EngineVersion: {
              shape: "S1i"
            },
            AdditionalConfiguration: {},
            ExecutionRole: {},
            CustomerContentEncryptionConfiguration: {
              shape: "S2m"
            },
            EnableMinimumEncryptionConfiguration: {
              type: "boolean"
            }
          }
        },
        S2m: {
          type: "structure",
          required: [
            "KmsKey"
          ],
          members: {
            KmsKey: {}
          }
        },
        S34: {
          type: "structure",
          members: {
            NotebookId: {},
            Name: {},
            WorkGroup: {},
            CreationTime: {
              type: "timestamp"
            },
            Type: {},
            LastModifiedTime: {
              type: "timestamp"
            }
          }
        },
        S3b: {
          type: "structure",
          members: {
            SubmissionDateTime: {
              type: "timestamp"
            },
            CompletionDateTime: {
              type: "timestamp"
            },
            State: {},
            StateChangeReason: {}
          }
        },
        S3d: {
          type: "structure",
          members: {
            DpuExecutionInMillis: {
              type: "long"
            },
            Progress: {}
          }
        },
        S3o: {
          type: "list",
          member: {
            type: "structure",
            members: {
              WorkGroupNames: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S3t: {
          type: "structure",
          required: [
            "Name",
            "Status",
            "TargetDpus",
            "AllocatedDpus",
            "CreationTime"
          ],
          members: {
            Name: {},
            Status: {},
            TargetDpus: {
              type: "integer"
            },
            AllocatedDpus: {
              type: "integer"
            },
            LastAllocation: {
              type: "structure",
              required: [
                "Status",
                "RequestTime"
              ],
              members: {
                Status: {},
                StatusMessage: {},
                RequestTime: {
                  type: "timestamp"
                },
                RequestCompletionTime: {
                  type: "timestamp"
                }
              }
            },
            LastSuccessfulAllocationTime: {
              type: "timestamp"
            },
            CreationTime: {
              type: "timestamp"
            }
          }
        },
        S44: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            Description: {},
            Parameters: {
              shape: "S1z"
            }
          }
        },
        S4x: {
          type: "structure",
          members: {
            StageId: {
              type: "long"
            },
            State: {},
            OutputBytes: {
              type: "long"
            },
            OutputRows: {
              type: "long"
            },
            InputBytes: {
              type: "long"
            },
            InputRows: {
              type: "long"
            },
            ExecutionTime: {
              type: "long"
            },
            QueryStagePlan: {
              shape: "S4y"
            },
            SubStages: {
              type: "list",
              member: {
                shape: "S4x"
              }
            }
          }
        },
        S4y: {
          type: "structure",
          members: {
            Name: {},
            Identifier: {},
            Children: {
              type: "list",
              member: {
                shape: "S4y"
              }
            },
            RemoteSources: {
              type: "list",
              member: {}
            }
          }
        },
        S54: {
          type: "structure",
          required: [
            "MaxConcurrentDpus"
          ],
          members: {
            CoordinatorDpuSize: {
              type: "integer"
            },
            MaxConcurrentDpus: {
              type: "integer"
            },
            DefaultExecutorDpuSize: {
              type: "integer"
            },
            AdditionalConfigs: {
              shape: "S1z"
            },
            SparkProperties: {
              shape: "S1z"
            }
          }
        },
        S59: {
          type: "structure",
          members: {
            StartDateTime: {
              type: "timestamp"
            },
            LastModifiedDateTime: {
              type: "timestamp"
            },
            EndDateTime: {
              type: "timestamp"
            },
            IdleSinceDateTime: {
              type: "timestamp"
            },
            State: {},
            StateChangeReason: {}
          }
        },
        S5g: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            CreateTime: {
              type: "timestamp"
            },
            LastAccessTime: {
              type: "timestamp"
            },
            TableType: {},
            Columns: {
              shape: "S5i"
            },
            PartitionKeys: {
              shape: "S5i"
            },
            Parameters: {
              shape: "S1z"
            }
          }
        },
        S5i: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Type: {},
              Comment: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/athena-2017-05-18.paginators.json
var require_athena_2017_05_18_paginators = __commonJS({
  "node_modules/aws-sdk/apis/athena-2017-05-18.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetQueryResults: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListApplicationDPUSizes: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListCalculationExecutions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListCapacityReservations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListDataCatalogs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "DataCatalogsSummary"
        },
        ListDatabases: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "DatabaseList"
        },
        ListEngineVersions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListExecutors: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListNamedQueries: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListPreparedStatements: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListQueryExecutions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListSessions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListTableMetadata: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TableMetadataList"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Tags"
        },
        ListWorkGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/athena.js
var require_athena = __commonJS({
  "node_modules/aws-sdk/clients/athena.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["athena"] = {};
    AWS2.Athena = Service.defineService("athena", ["2017-05-18"]);
    Object.defineProperty(apiLoader.services["athena"], "2017-05-18", {
      get: function get() {
        var model = require_athena_2017_05_18_min();
        model.paginators = require_athena_2017_05_18_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Athena;
  }
});

// node_modules/aws-sdk/apis/greengrass-2017-06-07.min.json
var require_greengrass_2017_06_07_min = __commonJS({
  "node_modules/aws-sdk/apis/greengrass-2017-06-07.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2017-06-07",
        endpointPrefix: "greengrass",
        signingName: "greengrass",
        serviceFullName: "AWS Greengrass",
        serviceId: "Greengrass",
        protocol: "rest-json",
        jsonVersion: "1.1",
        uid: "greengrass-2017-06-07",
        signatureVersion: "v4"
      },
      operations: {
        AssociateRoleToGroup: {
          http: {
            method: "PUT",
            requestUri: "/greengrass/groups/{GroupId}/role",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              },
              RoleArn: {}
            },
            required: [
              "GroupId",
              "RoleArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              AssociatedAt: {}
            }
          }
        },
        AssociateServiceRoleToAccount: {
          http: {
            method: "PUT",
            requestUri: "/greengrass/servicerole",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              RoleArn: {}
            },
            required: [
              "RoleArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              AssociatedAt: {}
            }
          }
        },
        CreateConnectorDefinition: {
          http: {
            requestUri: "/greengrass/definition/connectors",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              InitialVersion: {
                shape: "S7"
              },
              Name: {},
              tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {}
            }
          }
        },
        CreateConnectorDefinitionVersion: {
          http: {
            requestUri: "/greengrass/definition/connectors/{ConnectorDefinitionId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              ConnectorDefinitionId: {
                location: "uri",
                locationName: "ConnectorDefinitionId"
              },
              Connectors: {
                shape: "S8"
              }
            },
            required: [
              "ConnectorDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              Version: {}
            }
          }
        },
        CreateCoreDefinition: {
          http: {
            requestUri: "/greengrass/definition/cores",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              InitialVersion: {
                shape: "Sg"
              },
              Name: {},
              tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {}
            }
          }
        },
        CreateCoreDefinitionVersion: {
          http: {
            requestUri: "/greengrass/definition/cores/{CoreDefinitionId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              CoreDefinitionId: {
                location: "uri",
                locationName: "CoreDefinitionId"
              },
              Cores: {
                shape: "Sh"
              }
            },
            required: [
              "CoreDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              Version: {}
            }
          }
        },
        CreateDeployment: {
          http: {
            requestUri: "/greengrass/groups/{GroupId}/deployments",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              DeploymentId: {},
              DeploymentType: {},
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              },
              GroupVersionId: {}
            },
            required: [
              "GroupId",
              "DeploymentType"
            ]
          },
          output: {
            type: "structure",
            members: {
              DeploymentArn: {},
              DeploymentId: {}
            }
          }
        },
        CreateDeviceDefinition: {
          http: {
            requestUri: "/greengrass/definition/devices",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              InitialVersion: {
                shape: "Sr"
              },
              Name: {},
              tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {}
            }
          }
        },
        CreateDeviceDefinitionVersion: {
          http: {
            requestUri: "/greengrass/definition/devices/{DeviceDefinitionId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              DeviceDefinitionId: {
                location: "uri",
                locationName: "DeviceDefinitionId"
              },
              Devices: {
                shape: "Ss"
              }
            },
            required: [
              "DeviceDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              Version: {}
            }
          }
        },
        CreateFunctionDefinition: {
          http: {
            requestUri: "/greengrass/definition/functions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              InitialVersion: {
                shape: "Sy"
              },
              Name: {},
              tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {}
            }
          }
        },
        CreateFunctionDefinitionVersion: {
          http: {
            requestUri: "/greengrass/definition/functions/{FunctionDefinitionId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              DefaultConfig: {
                shape: "Sz"
              },
              FunctionDefinitionId: {
                location: "uri",
                locationName: "FunctionDefinitionId"
              },
              Functions: {
                shape: "S14"
              }
            },
            required: [
              "FunctionDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              Version: {}
            }
          }
        },
        CreateGroup: {
          http: {
            requestUri: "/greengrass/groups",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              InitialVersion: {
                shape: "S1h"
              },
              Name: {},
              tags: {
                shape: "Sb"
              }
            },
            required: [
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {}
            }
          }
        },
        CreateGroupCertificateAuthority: {
          http: {
            requestUri: "/greengrass/groups/{GroupId}/certificateauthorities",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              }
            },
            required: [
              "GroupId"
            ]
          },
          output: {
            type: "structure",
            members: {
              GroupCertificateAuthorityArn: {}
            }
          }
        },
        CreateGroupVersion: {
          http: {
            requestUri: "/greengrass/groups/{GroupId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              ConnectorDefinitionVersionArn: {},
              CoreDefinitionVersionArn: {},
              DeviceDefinitionVersionArn: {},
              FunctionDefinitionVersionArn: {},
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              },
              LoggerDefinitionVersionArn: {},
              ResourceDefinitionVersionArn: {},
              SubscriptionDefinitionVersionArn: {}
            },
            required: [
              "GroupId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              Version: {}
            }
          }
        },
        CreateLoggerDefinition: {
          http: {
            requestUri: "/greengrass/definition/loggers",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              InitialVersion: {
                shape: "S1o"
              },
              Name: {},
              tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {}
            }
          }
        },
        CreateLoggerDefinitionVersion: {
          http: {
            requestUri: "/greengrass/definition/loggers/{LoggerDefinitionId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              LoggerDefinitionId: {
                location: "uri",
                locationName: "LoggerDefinitionId"
              },
              Loggers: {
                shape: "S1p"
              }
            },
            required: [
              "LoggerDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              Version: {}
            }
          }
        },
        CreateResourceDefinition: {
          http: {
            requestUri: "/greengrass/definition/resources",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              InitialVersion: {
                shape: "S1y"
              },
              Name: {},
              tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {}
            }
          }
        },
        CreateResourceDefinitionVersion: {
          http: {
            requestUri: "/greengrass/definition/resources/{ResourceDefinitionId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              ResourceDefinitionId: {
                location: "uri",
                locationName: "ResourceDefinitionId"
              },
              Resources: {
                shape: "S1z"
              }
            },
            required: [
              "ResourceDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              Version: {}
            }
          }
        },
        CreateSoftwareUpdateJob: {
          http: {
            requestUri: "/greengrass/updates",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              S3UrlSignerRole: {},
              SoftwareToUpdate: {},
              UpdateAgentLogLevel: {},
              UpdateTargets: {
                type: "list",
                member: {}
              },
              UpdateTargetsArchitecture: {},
              UpdateTargetsOperatingSystem: {}
            },
            required: [
              "S3UrlSignerRole",
              "UpdateTargetsArchitecture",
              "SoftwareToUpdate",
              "UpdateTargets",
              "UpdateTargetsOperatingSystem"
            ]
          },
          output: {
            type: "structure",
            members: {
              IotJobArn: {},
              IotJobId: {},
              PlatformSoftwareVersion: {}
            }
          }
        },
        CreateSubscriptionDefinition: {
          http: {
            requestUri: "/greengrass/definition/subscriptions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              InitialVersion: {
                shape: "S2m"
              },
              Name: {},
              tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {}
            }
          }
        },
        CreateSubscriptionDefinitionVersion: {
          http: {
            requestUri: "/greengrass/definition/subscriptions/{SubscriptionDefinitionId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              SubscriptionDefinitionId: {
                location: "uri",
                locationName: "SubscriptionDefinitionId"
              },
              Subscriptions: {
                shape: "S2n"
              }
            },
            required: [
              "SubscriptionDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              Version: {}
            }
          }
        },
        DeleteConnectorDefinition: {
          http: {
            method: "DELETE",
            requestUri: "/greengrass/definition/connectors/{ConnectorDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConnectorDefinitionId: {
                location: "uri",
                locationName: "ConnectorDefinitionId"
              }
            },
            required: [
              "ConnectorDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteCoreDefinition: {
          http: {
            method: "DELETE",
            requestUri: "/greengrass/definition/cores/{CoreDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CoreDefinitionId: {
                location: "uri",
                locationName: "CoreDefinitionId"
              }
            },
            required: [
              "CoreDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDeviceDefinition: {
          http: {
            method: "DELETE",
            requestUri: "/greengrass/definition/devices/{DeviceDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceDefinitionId: {
                location: "uri",
                locationName: "DeviceDefinitionId"
              }
            },
            required: [
              "DeviceDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteFunctionDefinition: {
          http: {
            method: "DELETE",
            requestUri: "/greengrass/definition/functions/{FunctionDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              FunctionDefinitionId: {
                location: "uri",
                locationName: "FunctionDefinitionId"
              }
            },
            required: [
              "FunctionDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteGroup: {
          http: {
            method: "DELETE",
            requestUri: "/greengrass/groups/{GroupId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              }
            },
            required: [
              "GroupId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteLoggerDefinition: {
          http: {
            method: "DELETE",
            requestUri: "/greengrass/definition/loggers/{LoggerDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              LoggerDefinitionId: {
                location: "uri",
                locationName: "LoggerDefinitionId"
              }
            },
            required: [
              "LoggerDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteResourceDefinition: {
          http: {
            method: "DELETE",
            requestUri: "/greengrass/definition/resources/{ResourceDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceDefinitionId: {
                location: "uri",
                locationName: "ResourceDefinitionId"
              }
            },
            required: [
              "ResourceDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSubscriptionDefinition: {
          http: {
            method: "DELETE",
            requestUri: "/greengrass/definition/subscriptions/{SubscriptionDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              SubscriptionDefinitionId: {
                location: "uri",
                locationName: "SubscriptionDefinitionId"
              }
            },
            required: [
              "SubscriptionDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateRoleFromGroup: {
          http: {
            method: "DELETE",
            requestUri: "/greengrass/groups/{GroupId}/role",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              }
            },
            required: [
              "GroupId"
            ]
          },
          output: {
            type: "structure",
            members: {
              DisassociatedAt: {}
            }
          }
        },
        DisassociateServiceRoleFromAccount: {
          http: {
            method: "DELETE",
            requestUri: "/greengrass/servicerole",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              DisassociatedAt: {}
            }
          }
        },
        GetAssociatedRole: {
          http: {
            method: "GET",
            requestUri: "/greengrass/groups/{GroupId}/role",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              }
            },
            required: [
              "GroupId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AssociatedAt: {},
              RoleArn: {}
            }
          }
        },
        GetBulkDeploymentStatus: {
          http: {
            method: "GET",
            requestUri: "/greengrass/bulk/deployments/{BulkDeploymentId}/status",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BulkDeploymentId: {
                location: "uri",
                locationName: "BulkDeploymentId"
              }
            },
            required: [
              "BulkDeploymentId"
            ]
          },
          output: {
            type: "structure",
            members: {
              BulkDeploymentMetrics: {
                type: "structure",
                members: {
                  InvalidInputRecords: {
                    type: "integer"
                  },
                  RecordsProcessed: {
                    type: "integer"
                  },
                  RetryAttempts: {
                    type: "integer"
                  }
                }
              },
              BulkDeploymentStatus: {},
              CreatedAt: {},
              ErrorDetails: {
                shape: "S3i"
              },
              ErrorMessage: {},
              tags: {
                shape: "Sb"
              }
            }
          }
        },
        GetConnectivityInfo: {
          http: {
            method: "GET",
            requestUri: "/greengrass/things/{ThingName}/connectivityInfo",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ThingName: {
                location: "uri",
                locationName: "ThingName"
              }
            },
            required: [
              "ThingName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ConnectivityInfo: {
                shape: "S3m"
              },
              Message: {
                locationName: "message"
              }
            }
          }
        },
        GetConnectorDefinition: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/connectors/{ConnectorDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConnectorDefinitionId: {
                location: "uri",
                locationName: "ConnectorDefinitionId"
              }
            },
            required: [
              "ConnectorDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {},
              tags: {
                shape: "Sb"
              }
            }
          }
        },
        GetConnectorDefinitionVersion: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/connectors/{ConnectorDefinitionId}/versions/{ConnectorDefinitionVersionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConnectorDefinitionId: {
                location: "uri",
                locationName: "ConnectorDefinitionId"
              },
              ConnectorDefinitionVersionId: {
                location: "uri",
                locationName: "ConnectorDefinitionVersionId"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            },
            required: [
              "ConnectorDefinitionId",
              "ConnectorDefinitionVersionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Definition: {
                shape: "S7"
              },
              Id: {},
              NextToken: {},
              Version: {}
            }
          }
        },
        GetCoreDefinition: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/cores/{CoreDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CoreDefinitionId: {
                location: "uri",
                locationName: "CoreDefinitionId"
              }
            },
            required: [
              "CoreDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {},
              tags: {
                shape: "Sb"
              }
            }
          }
        },
        GetCoreDefinitionVersion: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/cores/{CoreDefinitionId}/versions/{CoreDefinitionVersionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CoreDefinitionId: {
                location: "uri",
                locationName: "CoreDefinitionId"
              },
              CoreDefinitionVersionId: {
                location: "uri",
                locationName: "CoreDefinitionVersionId"
              }
            },
            required: [
              "CoreDefinitionId",
              "CoreDefinitionVersionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Definition: {
                shape: "Sg"
              },
              Id: {},
              NextToken: {},
              Version: {}
            }
          }
        },
        GetDeploymentStatus: {
          http: {
            method: "GET",
            requestUri: "/greengrass/groups/{GroupId}/deployments/{DeploymentId}/status",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeploymentId: {
                location: "uri",
                locationName: "DeploymentId"
              },
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              }
            },
            required: [
              "GroupId",
              "DeploymentId"
            ]
          },
          output: {
            type: "structure",
            members: {
              DeploymentStatus: {},
              DeploymentType: {},
              ErrorDetails: {
                shape: "S3i"
              },
              ErrorMessage: {},
              UpdatedAt: {}
            }
          }
        },
        GetDeviceDefinition: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/devices/{DeviceDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceDefinitionId: {
                location: "uri",
                locationName: "DeviceDefinitionId"
              }
            },
            required: [
              "DeviceDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {},
              tags: {
                shape: "Sb"
              }
            }
          }
        },
        GetDeviceDefinitionVersion: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/devices/{DeviceDefinitionId}/versions/{DeviceDefinitionVersionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceDefinitionId: {
                location: "uri",
                locationName: "DeviceDefinitionId"
              },
              DeviceDefinitionVersionId: {
                location: "uri",
                locationName: "DeviceDefinitionVersionId"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            },
            required: [
              "DeviceDefinitionVersionId",
              "DeviceDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Definition: {
                shape: "Sr"
              },
              Id: {},
              NextToken: {},
              Version: {}
            }
          }
        },
        GetFunctionDefinition: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/functions/{FunctionDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              FunctionDefinitionId: {
                location: "uri",
                locationName: "FunctionDefinitionId"
              }
            },
            required: [
              "FunctionDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {},
              tags: {
                shape: "Sb"
              }
            }
          }
        },
        GetFunctionDefinitionVersion: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/functions/{FunctionDefinitionId}/versions/{FunctionDefinitionVersionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              FunctionDefinitionId: {
                location: "uri",
                locationName: "FunctionDefinitionId"
              },
              FunctionDefinitionVersionId: {
                location: "uri",
                locationName: "FunctionDefinitionVersionId"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            },
            required: [
              "FunctionDefinitionId",
              "FunctionDefinitionVersionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Definition: {
                shape: "Sy"
              },
              Id: {},
              NextToken: {},
              Version: {}
            }
          }
        },
        GetGroup: {
          http: {
            method: "GET",
            requestUri: "/greengrass/groups/{GroupId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              }
            },
            required: [
              "GroupId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {},
              tags: {
                shape: "Sb"
              }
            }
          }
        },
        GetGroupCertificateAuthority: {
          http: {
            method: "GET",
            requestUri: "/greengrass/groups/{GroupId}/certificateauthorities/{CertificateAuthorityId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CertificateAuthorityId: {
                location: "uri",
                locationName: "CertificateAuthorityId"
              },
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              }
            },
            required: [
              "CertificateAuthorityId",
              "GroupId"
            ]
          },
          output: {
            type: "structure",
            members: {
              GroupCertificateAuthorityArn: {},
              GroupCertificateAuthorityId: {},
              PemEncodedCertificate: {}
            }
          }
        },
        GetGroupCertificateConfiguration: {
          http: {
            method: "GET",
            requestUri: "/greengrass/groups/{GroupId}/certificateauthorities/configuration/expiry",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              }
            },
            required: [
              "GroupId"
            ]
          },
          output: {
            type: "structure",
            members: {
              CertificateAuthorityExpiryInMilliseconds: {},
              CertificateExpiryInMilliseconds: {},
              GroupId: {}
            }
          }
        },
        GetGroupVersion: {
          http: {
            method: "GET",
            requestUri: "/greengrass/groups/{GroupId}/versions/{GroupVersionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              },
              GroupVersionId: {
                location: "uri",
                locationName: "GroupVersionId"
              }
            },
            required: [
              "GroupVersionId",
              "GroupId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Definition: {
                shape: "S1h"
              },
              Id: {},
              Version: {}
            }
          }
        },
        GetLoggerDefinition: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/loggers/{LoggerDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              LoggerDefinitionId: {
                location: "uri",
                locationName: "LoggerDefinitionId"
              }
            },
            required: [
              "LoggerDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {},
              tags: {
                shape: "Sb"
              }
            }
          }
        },
        GetLoggerDefinitionVersion: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/loggers/{LoggerDefinitionId}/versions/{LoggerDefinitionVersionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              LoggerDefinitionId: {
                location: "uri",
                locationName: "LoggerDefinitionId"
              },
              LoggerDefinitionVersionId: {
                location: "uri",
                locationName: "LoggerDefinitionVersionId"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            },
            required: [
              "LoggerDefinitionVersionId",
              "LoggerDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Definition: {
                shape: "S1o"
              },
              Id: {},
              Version: {}
            }
          }
        },
        GetResourceDefinition: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/resources/{ResourceDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceDefinitionId: {
                location: "uri",
                locationName: "ResourceDefinitionId"
              }
            },
            required: [
              "ResourceDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {},
              tags: {
                shape: "Sb"
              }
            }
          }
        },
        GetResourceDefinitionVersion: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/resources/{ResourceDefinitionId}/versions/{ResourceDefinitionVersionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceDefinitionId: {
                location: "uri",
                locationName: "ResourceDefinitionId"
              },
              ResourceDefinitionVersionId: {
                location: "uri",
                locationName: "ResourceDefinitionVersionId"
              }
            },
            required: [
              "ResourceDefinitionVersionId",
              "ResourceDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Definition: {
                shape: "S1y"
              },
              Id: {},
              Version: {}
            }
          }
        },
        GetServiceRoleForAccount: {
          http: {
            method: "GET",
            requestUri: "/greengrass/servicerole",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              AssociatedAt: {},
              RoleArn: {}
            }
          }
        },
        GetSubscriptionDefinition: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/subscriptions/{SubscriptionDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              SubscriptionDefinitionId: {
                location: "uri",
                locationName: "SubscriptionDefinitionId"
              }
            },
            required: [
              "SubscriptionDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {},
              tags: {
                shape: "Sb"
              }
            }
          }
        },
        GetSubscriptionDefinitionVersion: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/subscriptions/{SubscriptionDefinitionId}/versions/{SubscriptionDefinitionVersionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              SubscriptionDefinitionId: {
                location: "uri",
                locationName: "SubscriptionDefinitionId"
              },
              SubscriptionDefinitionVersionId: {
                location: "uri",
                locationName: "SubscriptionDefinitionVersionId"
              }
            },
            required: [
              "SubscriptionDefinitionId",
              "SubscriptionDefinitionVersionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Definition: {
                shape: "S2m"
              },
              Id: {},
              NextToken: {},
              Version: {}
            }
          }
        },
        GetThingRuntimeConfiguration: {
          http: {
            method: "GET",
            requestUri: "/greengrass/things/{ThingName}/runtimeconfig",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ThingName: {
                location: "uri",
                locationName: "ThingName"
              }
            },
            required: [
              "ThingName"
            ]
          },
          output: {
            type: "structure",
            members: {
              RuntimeConfiguration: {
                type: "structure",
                members: {
                  TelemetryConfiguration: {
                    type: "structure",
                    members: {
                      ConfigurationSyncStatus: {},
                      Telemetry: {}
                    },
                    required: [
                      "Telemetry"
                    ]
                  }
                }
              }
            }
          }
        },
        ListBulkDeploymentDetailedReports: {
          http: {
            method: "GET",
            requestUri: "/greengrass/bulk/deployments/{BulkDeploymentId}/detailed-reports",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BulkDeploymentId: {
                location: "uri",
                locationName: "BulkDeploymentId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            },
            required: [
              "BulkDeploymentId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Deployments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreatedAt: {},
                    DeploymentArn: {},
                    DeploymentId: {},
                    DeploymentStatus: {},
                    DeploymentType: {},
                    ErrorDetails: {
                      shape: "S3i"
                    },
                    ErrorMessage: {},
                    GroupArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListBulkDeployments: {
          http: {
            method: "GET",
            requestUri: "/greengrass/bulk/deployments",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BulkDeployments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    BulkDeploymentArn: {},
                    BulkDeploymentId: {},
                    CreatedAt: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListConnectorDefinitionVersions: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/connectors/{ConnectorDefinitionId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConnectorDefinitionId: {
                location: "uri",
                locationName: "ConnectorDefinitionId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            },
            required: [
              "ConnectorDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Versions: {
                shape: "S58"
              }
            }
          }
        },
        ListConnectorDefinitions: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/connectors",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Definitions: {
                shape: "S5c"
              },
              NextToken: {}
            }
          }
        },
        ListCoreDefinitionVersions: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/cores/{CoreDefinitionId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CoreDefinitionId: {
                location: "uri",
                locationName: "CoreDefinitionId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            },
            required: [
              "CoreDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Versions: {
                shape: "S58"
              }
            }
          }
        },
        ListCoreDefinitions: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/cores",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Definitions: {
                shape: "S5c"
              },
              NextToken: {}
            }
          }
        },
        ListDeployments: {
          http: {
            method: "GET",
            requestUri: "/greengrass/groups/{GroupId}/deployments",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            },
            required: [
              "GroupId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Deployments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreatedAt: {},
                    DeploymentArn: {},
                    DeploymentId: {},
                    DeploymentType: {},
                    GroupArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDeviceDefinitionVersions: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/devices/{DeviceDefinitionId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceDefinitionId: {
                location: "uri",
                locationName: "DeviceDefinitionId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            },
            required: [
              "DeviceDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Versions: {
                shape: "S58"
              }
            }
          }
        },
        ListDeviceDefinitions: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/devices",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Definitions: {
                shape: "S5c"
              },
              NextToken: {}
            }
          }
        },
        ListFunctionDefinitionVersions: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/functions/{FunctionDefinitionId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              FunctionDefinitionId: {
                location: "uri",
                locationName: "FunctionDefinitionId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            },
            required: [
              "FunctionDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Versions: {
                shape: "S58"
              }
            }
          }
        },
        ListFunctionDefinitions: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/functions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Definitions: {
                shape: "S5c"
              },
              NextToken: {}
            }
          }
        },
        ListGroupCertificateAuthorities: {
          http: {
            method: "GET",
            requestUri: "/greengrass/groups/{GroupId}/certificateauthorities",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              }
            },
            required: [
              "GroupId"
            ]
          },
          output: {
            type: "structure",
            members: {
              GroupCertificateAuthorities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    GroupCertificateAuthorityArn: {},
                    GroupCertificateAuthorityId: {}
                  }
                }
              }
            }
          }
        },
        ListGroupVersions: {
          http: {
            method: "GET",
            requestUri: "/greengrass/groups/{GroupId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            },
            required: [
              "GroupId"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Versions: {
                shape: "S58"
              }
            }
          }
        },
        ListGroups: {
          http: {
            method: "GET",
            requestUri: "/greengrass/groups",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Groups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    CreationTimestamp: {},
                    Id: {},
                    LastUpdatedTimestamp: {},
                    LatestVersion: {},
                    LatestVersionArn: {},
                    Name: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLoggerDefinitionVersions: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/loggers/{LoggerDefinitionId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              LoggerDefinitionId: {
                location: "uri",
                locationName: "LoggerDefinitionId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            },
            required: [
              "LoggerDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Versions: {
                shape: "S58"
              }
            }
          }
        },
        ListLoggerDefinitions: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/loggers",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Definitions: {
                shape: "S5c"
              },
              NextToken: {}
            }
          }
        },
        ListResourceDefinitionVersions: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/resources/{ResourceDefinitionId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              ResourceDefinitionId: {
                location: "uri",
                locationName: "ResourceDefinitionId"
              }
            },
            required: [
              "ResourceDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Versions: {
                shape: "S58"
              }
            }
          }
        },
        ListResourceDefinitions: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/resources",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Definitions: {
                shape: "S5c"
              },
              NextToken: {}
            }
          }
        },
        ListSubscriptionDefinitionVersions: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/subscriptions/{SubscriptionDefinitionId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              SubscriptionDefinitionId: {
                location: "uri",
                locationName: "SubscriptionDefinitionId"
              }
            },
            required: [
              "SubscriptionDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Versions: {
                shape: "S58"
              }
            }
          }
        },
        ListSubscriptionDefinitions: {
          http: {
            method: "GET",
            requestUri: "/greengrass/definition/subscriptions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Definitions: {
                shape: "S5c"
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resource-arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              }
            },
            required: [
              "ResourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sb"
              }
            }
          }
        },
        ResetDeployments: {
          http: {
            requestUri: "/greengrass/groups/{GroupId}/deployments/$reset",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              Force: {
                type: "boolean"
              },
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              }
            },
            required: [
              "GroupId"
            ]
          },
          output: {
            type: "structure",
            members: {
              DeploymentArn: {},
              DeploymentId: {}
            }
          }
        },
        StartBulkDeployment: {
          http: {
            requestUri: "/greengrass/bulk/deployments",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AmznClientToken: {
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              ExecutionRoleArn: {},
              InputFileUri: {},
              tags: {
                shape: "Sb"
              }
            },
            required: [
              "ExecutionRoleArn",
              "InputFileUri"
            ]
          },
          output: {
            type: "structure",
            members: {
              BulkDeploymentArn: {},
              BulkDeploymentId: {}
            }
          }
        },
        StopBulkDeployment: {
          http: {
            method: "PUT",
            requestUri: "/greengrass/bulk/deployments/{BulkDeploymentId}/$stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BulkDeploymentId: {
                location: "uri",
                locationName: "BulkDeploymentId"
              }
            },
            required: [
              "BulkDeploymentId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              tags: {
                shape: "Sb"
              }
            },
            required: [
              "ResourceArn"
            ]
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              TagKeys: {
                shape: "S29",
                location: "querystring",
                locationName: "tagKeys"
              }
            },
            required: [
              "TagKeys",
              "ResourceArn"
            ]
          }
        },
        UpdateConnectivityInfo: {
          http: {
            method: "PUT",
            requestUri: "/greengrass/things/{ThingName}/connectivityInfo",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConnectivityInfo: {
                shape: "S3m"
              },
              ThingName: {
                location: "uri",
                locationName: "ThingName"
              }
            },
            required: [
              "ThingName"
            ]
          },
          output: {
            type: "structure",
            members: {
              Message: {
                locationName: "message"
              },
              Version: {}
            }
          }
        },
        UpdateConnectorDefinition: {
          http: {
            method: "PUT",
            requestUri: "/greengrass/definition/connectors/{ConnectorDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConnectorDefinitionId: {
                location: "uri",
                locationName: "ConnectorDefinitionId"
              },
              Name: {}
            },
            required: [
              "ConnectorDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateCoreDefinition: {
          http: {
            method: "PUT",
            requestUri: "/greengrass/definition/cores/{CoreDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CoreDefinitionId: {
                location: "uri",
                locationName: "CoreDefinitionId"
              },
              Name: {}
            },
            required: [
              "CoreDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDeviceDefinition: {
          http: {
            method: "PUT",
            requestUri: "/greengrass/definition/devices/{DeviceDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceDefinitionId: {
                location: "uri",
                locationName: "DeviceDefinitionId"
              },
              Name: {}
            },
            required: [
              "DeviceDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateFunctionDefinition: {
          http: {
            method: "PUT",
            requestUri: "/greengrass/definition/functions/{FunctionDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              FunctionDefinitionId: {
                location: "uri",
                locationName: "FunctionDefinitionId"
              },
              Name: {}
            },
            required: [
              "FunctionDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateGroup: {
          http: {
            method: "PUT",
            requestUri: "/greengrass/groups/{GroupId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              },
              Name: {}
            },
            required: [
              "GroupId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateGroupCertificateConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/greengrass/groups/{GroupId}/certificateauthorities/configuration/expiry",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CertificateExpiryInMilliseconds: {},
              GroupId: {
                location: "uri",
                locationName: "GroupId"
              }
            },
            required: [
              "GroupId"
            ]
          },
          output: {
            type: "structure",
            members: {
              CertificateAuthorityExpiryInMilliseconds: {},
              CertificateExpiryInMilliseconds: {},
              GroupId: {}
            }
          }
        },
        UpdateLoggerDefinition: {
          http: {
            method: "PUT",
            requestUri: "/greengrass/definition/loggers/{LoggerDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              LoggerDefinitionId: {
                location: "uri",
                locationName: "LoggerDefinitionId"
              },
              Name: {}
            },
            required: [
              "LoggerDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateResourceDefinition: {
          http: {
            method: "PUT",
            requestUri: "/greengrass/definition/resources/{ResourceDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Name: {},
              ResourceDefinitionId: {
                location: "uri",
                locationName: "ResourceDefinitionId"
              }
            },
            required: [
              "ResourceDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateSubscriptionDefinition: {
          http: {
            method: "PUT",
            requestUri: "/greengrass/definition/subscriptions/{SubscriptionDefinitionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Name: {},
              SubscriptionDefinitionId: {
                location: "uri",
                locationName: "SubscriptionDefinitionId"
              }
            },
            required: [
              "SubscriptionDefinitionId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateThingRuntimeConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/greengrass/things/{ThingName}/runtimeconfig",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              TelemetryConfiguration: {
                type: "structure",
                members: {
                  Telemetry: {}
                },
                required: [
                  "Telemetry"
                ]
              },
              ThingName: {
                location: "uri",
                locationName: "ThingName"
              }
            },
            required: [
              "ThingName"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S7: {
          type: "structure",
          members: {
            Connectors: {
              shape: "S8"
            }
          }
        },
        S8: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ConnectorArn: {},
              Id: {},
              Parameters: {
                shape: "Sa"
              }
            },
            required: [
              "ConnectorArn",
              "Id"
            ]
          }
        },
        Sa: {
          type: "map",
          key: {},
          value: {}
        },
        Sb: {
          type: "map",
          key: {},
          value: {}
        },
        Sg: {
          type: "structure",
          members: {
            Cores: {
              shape: "Sh"
            }
          }
        },
        Sh: {
          type: "list",
          member: {
            type: "structure",
            members: {
              CertificateArn: {},
              Id: {},
              SyncShadow: {
                type: "boolean"
              },
              ThingArn: {}
            },
            required: [
              "ThingArn",
              "Id",
              "CertificateArn"
            ]
          }
        },
        Sr: {
          type: "structure",
          members: {
            Devices: {
              shape: "Ss"
            }
          }
        },
        Ss: {
          type: "list",
          member: {
            type: "structure",
            members: {
              CertificateArn: {},
              Id: {},
              SyncShadow: {
                type: "boolean"
              },
              ThingArn: {}
            },
            required: [
              "ThingArn",
              "Id",
              "CertificateArn"
            ]
          }
        },
        Sy: {
          type: "structure",
          members: {
            DefaultConfig: {
              shape: "Sz"
            },
            Functions: {
              shape: "S14"
            }
          }
        },
        Sz: {
          type: "structure",
          members: {
            Execution: {
              type: "structure",
              members: {
                IsolationMode: {},
                RunAs: {
                  shape: "S12"
                }
              }
            }
          }
        },
        S12: {
          type: "structure",
          members: {
            Gid: {
              type: "integer"
            },
            Uid: {
              type: "integer"
            }
          }
        },
        S14: {
          type: "list",
          member: {
            type: "structure",
            members: {
              FunctionArn: {},
              FunctionConfiguration: {
                type: "structure",
                members: {
                  EncodingType: {},
                  Environment: {
                    type: "structure",
                    members: {
                      AccessSysfs: {
                        type: "boolean"
                      },
                      Execution: {
                        type: "structure",
                        members: {
                          IsolationMode: {},
                          RunAs: {
                            shape: "S12"
                          }
                        }
                      },
                      ResourceAccessPolicies: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            Permission: {},
                            ResourceId: {}
                          },
                          required: [
                            "ResourceId"
                          ]
                        }
                      },
                      Variables: {
                        shape: "Sa"
                      }
                    }
                  },
                  ExecArgs: {},
                  Executable: {},
                  MemorySize: {
                    type: "integer"
                  },
                  Pinned: {
                    type: "boolean"
                  },
                  Timeout: {
                    type: "integer"
                  },
                  FunctionRuntimeOverride: {}
                }
              },
              Id: {}
            },
            required: [
              "Id"
            ]
          }
        },
        S1h: {
          type: "structure",
          members: {
            ConnectorDefinitionVersionArn: {},
            CoreDefinitionVersionArn: {},
            DeviceDefinitionVersionArn: {},
            FunctionDefinitionVersionArn: {},
            LoggerDefinitionVersionArn: {},
            ResourceDefinitionVersionArn: {},
            SubscriptionDefinitionVersionArn: {}
          }
        },
        S1o: {
          type: "structure",
          members: {
            Loggers: {
              shape: "S1p"
            }
          }
        },
        S1p: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Component: {},
              Id: {},
              Level: {},
              Space: {
                type: "integer"
              },
              Type: {}
            },
            required: [
              "Type",
              "Level",
              "Id",
              "Component"
            ]
          }
        },
        S1y: {
          type: "structure",
          members: {
            Resources: {
              shape: "S1z"
            }
          }
        },
        S1z: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Id: {},
              Name: {},
              ResourceDataContainer: {
                type: "structure",
                members: {
                  LocalDeviceResourceData: {
                    type: "structure",
                    members: {
                      GroupOwnerSetting: {
                        shape: "S23"
                      },
                      SourcePath: {}
                    }
                  },
                  LocalVolumeResourceData: {
                    type: "structure",
                    members: {
                      DestinationPath: {},
                      GroupOwnerSetting: {
                        shape: "S23"
                      },
                      SourcePath: {}
                    }
                  },
                  S3MachineLearningModelResourceData: {
                    type: "structure",
                    members: {
                      DestinationPath: {},
                      OwnerSetting: {
                        shape: "S26"
                      },
                      S3Uri: {}
                    }
                  },
                  SageMakerMachineLearningModelResourceData: {
                    type: "structure",
                    members: {
                      DestinationPath: {},
                      OwnerSetting: {
                        shape: "S26"
                      },
                      SageMakerJobArn: {}
                    }
                  },
                  SecretsManagerSecretResourceData: {
                    type: "structure",
                    members: {
                      ARN: {},
                      AdditionalStagingLabelsToDownload: {
                        shape: "S29"
                      }
                    }
                  }
                }
              }
            },
            required: [
              "ResourceDataContainer",
              "Id",
              "Name"
            ]
          }
        },
        S23: {
          type: "structure",
          members: {
            AutoAddGroupOwner: {
              type: "boolean"
            },
            GroupOwner: {}
          }
        },
        S26: {
          type: "structure",
          members: {
            GroupOwner: {},
            GroupPermission: {}
          },
          required: [
            "GroupOwner",
            "GroupPermission"
          ]
        },
        S29: {
          type: "list",
          member: {}
        },
        S2m: {
          type: "structure",
          members: {
            Subscriptions: {
              shape: "S2n"
            }
          }
        },
        S2n: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Id: {},
              Source: {},
              Subject: {},
              Target: {}
            },
            required: [
              "Target",
              "Id",
              "Subject",
              "Source"
            ]
          }
        },
        S3i: {
          type: "list",
          member: {
            type: "structure",
            members: {
              DetailedErrorCode: {},
              DetailedErrorMessage: {}
            }
          }
        },
        S3m: {
          type: "list",
          member: {
            type: "structure",
            members: {
              HostAddress: {},
              Id: {},
              Metadata: {},
              PortNumber: {
                type: "integer"
              }
            }
          }
        },
        S58: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              Version: {}
            }
          }
        },
        S5c: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Arn: {},
              CreationTimestamp: {},
              Id: {},
              LastUpdatedTimestamp: {},
              LatestVersion: {},
              LatestVersionArn: {},
              Name: {},
              Tags: {
                shape: "Sb",
                locationName: "tags"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/greengrass.js
var require_greengrass = __commonJS({
  "node_modules/aws-sdk/clients/greengrass.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["greengrass"] = {};
    AWS2.Greengrass = Service.defineService("greengrass", ["2017-06-07"]);
    Object.defineProperty(apiLoader.services["greengrass"], "2017-06-07", {
      get: function get() {
        var model = require_greengrass_2017_06_07_min();
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Greengrass;
  }
});

// node_modules/aws-sdk/apis/dax-2017-04-19.min.json
var require_dax_2017_04_19_min = __commonJS({
  "node_modules/aws-sdk/apis/dax-2017-04-19.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-04-19",
        endpointPrefix: "dax",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Amazon DAX",
        serviceFullName: "Amazon DynamoDB Accelerator (DAX)",
        serviceId: "DAX",
        signatureVersion: "v4",
        targetPrefix: "AmazonDAXV3",
        uid: "dax-2017-04-19"
      },
      operations: {
        CreateCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterName",
              "NodeType",
              "ReplicationFactor",
              "IamRoleArn"
            ],
            members: {
              ClusterName: {},
              NodeType: {},
              Description: {},
              ReplicationFactor: {
                type: "integer"
              },
              AvailabilityZones: {
                shape: "S4"
              },
              SubnetGroupName: {},
              SecurityGroupIds: {
                shape: "S5"
              },
              PreferredMaintenanceWindow: {},
              NotificationTopicArn: {},
              IamRoleArn: {},
              ParameterGroupName: {},
              Tags: {
                shape: "S6"
              },
              SSESpecification: {
                type: "structure",
                required: [
                  "Enabled"
                ],
                members: {
                  Enabled: {
                    type: "boolean"
                  }
                }
              },
              ClusterEndpointEncryptionType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Cluster: {
                shape: "Sc"
              }
            }
          }
        },
        CreateParameterGroup: {
          input: {
            type: "structure",
            required: [
              "ParameterGroupName"
            ],
            members: {
              ParameterGroupName: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ParameterGroup: {
                shape: "Sr"
              }
            }
          }
        },
        CreateSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "SubnetGroupName",
              "SubnetIds"
            ],
            members: {
              SubnetGroupName: {},
              Description: {},
              SubnetIds: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SubnetGroup: {
                shape: "Sv"
              }
            }
          }
        },
        DecreaseReplicationFactor: {
          input: {
            type: "structure",
            required: [
              "ClusterName",
              "NewReplicationFactor"
            ],
            members: {
              ClusterName: {},
              NewReplicationFactor: {
                type: "integer"
              },
              AvailabilityZones: {
                shape: "S4"
              },
              NodeIdsToRemove: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Cluster: {
                shape: "Sc"
              }
            }
          }
        },
        DeleteCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterName"
            ],
            members: {
              ClusterName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Cluster: {
                shape: "Sc"
              }
            }
          }
        },
        DeleteParameterGroup: {
          input: {
            type: "structure",
            required: [
              "ParameterGroupName"
            ],
            members: {
              ParameterGroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DeletionMessage: {}
            }
          }
        },
        DeleteSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "SubnetGroupName"
            ],
            members: {
              SubnetGroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DeletionMessage: {}
            }
          }
        },
        DescribeClusters: {
          input: {
            type: "structure",
            members: {
              ClusterNames: {
                type: "list",
                member: {}
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Clusters: {
                type: "list",
                member: {
                  shape: "Sc"
                }
              }
            }
          }
        },
        DescribeDefaultParameters: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Parameters: {
                shape: "S1c"
              }
            }
          }
        },
        DescribeEvents: {
          input: {
            type: "structure",
            members: {
              SourceName: {},
              SourceType: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Duration: {
                type: "integer"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Events: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SourceName: {},
                    SourceType: {},
                    Message: {},
                    Date: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeParameterGroups: {
          input: {
            type: "structure",
            members: {
              ParameterGroupNames: {
                type: "list",
                member: {}
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ParameterGroups: {
                type: "list",
                member: {
                  shape: "Sr"
                }
              }
            }
          }
        },
        DescribeParameters: {
          input: {
            type: "structure",
            required: [
              "ParameterGroupName"
            ],
            members: {
              ParameterGroupName: {},
              Source: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Parameters: {
                shape: "S1c"
              }
            }
          }
        },
        DescribeSubnetGroups: {
          input: {
            type: "structure",
            members: {
              SubnetGroupNames: {
                type: "list",
                member: {}
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              SubnetGroups: {
                type: "list",
                member: {
                  shape: "Sv"
                }
              }
            }
          }
        },
        IncreaseReplicationFactor: {
          input: {
            type: "structure",
            required: [
              "ClusterName",
              "NewReplicationFactor"
            ],
            members: {
              ClusterName: {},
              NewReplicationFactor: {
                type: "integer"
              },
              AvailabilityZones: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Cluster: {
                shape: "Sc"
              }
            }
          }
        },
        ListTags: {
          input: {
            type: "structure",
            required: [
              "ResourceName"
            ],
            members: {
              ResourceName: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S6"
              },
              NextToken: {}
            }
          }
        },
        RebootNode: {
          input: {
            type: "structure",
            required: [
              "ClusterName",
              "NodeId"
            ],
            members: {
              ClusterName: {},
              NodeId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Cluster: {
                shape: "Sc"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "Tags"
            ],
            members: {
              ResourceName: {},
              Tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S6"
              }
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "TagKeys"
            ],
            members: {
              ResourceName: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S6"
              }
            }
          }
        },
        UpdateCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterName"
            ],
            members: {
              ClusterName: {},
              Description: {},
              PreferredMaintenanceWindow: {},
              NotificationTopicArn: {},
              NotificationTopicStatus: {},
              ParameterGroupName: {},
              SecurityGroupIds: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Cluster: {
                shape: "Sc"
              }
            }
          }
        },
        UpdateParameterGroup: {
          input: {
            type: "structure",
            required: [
              "ParameterGroupName",
              "ParameterNameValues"
            ],
            members: {
              ParameterGroupName: {},
              ParameterNameValues: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ParameterName: {},
                    ParameterValue: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ParameterGroup: {
                shape: "Sr"
              }
            }
          }
        },
        UpdateSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "SubnetGroupName"
            ],
            members: {
              SubnetGroupName: {},
              Description: {},
              SubnetIds: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SubnetGroup: {
                shape: "Sv"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "list",
          member: {}
        },
        S5: {
          type: "list",
          member: {}
        },
        S6: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sc: {
          type: "structure",
          members: {
            ClusterName: {},
            Description: {},
            ClusterArn: {},
            TotalNodes: {
              type: "integer"
            },
            ActiveNodes: {
              type: "integer"
            },
            NodeType: {},
            Status: {},
            ClusterDiscoveryEndpoint: {
              shape: "Se"
            },
            NodeIdsToRemove: {
              shape: "Sf"
            },
            Nodes: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  NodeId: {},
                  Endpoint: {
                    shape: "Se"
                  },
                  NodeCreateTime: {
                    type: "timestamp"
                  },
                  AvailabilityZone: {},
                  NodeStatus: {},
                  ParameterGroupStatus: {}
                }
              }
            },
            PreferredMaintenanceWindow: {},
            NotificationConfiguration: {
              type: "structure",
              members: {
                TopicArn: {},
                TopicStatus: {}
              }
            },
            SubnetGroup: {},
            SecurityGroups: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  SecurityGroupIdentifier: {},
                  Status: {}
                }
              }
            },
            IamRoleArn: {},
            ParameterGroup: {
              type: "structure",
              members: {
                ParameterGroupName: {},
                ParameterApplyStatus: {},
                NodeIdsToReboot: {
                  shape: "Sf"
                }
              }
            },
            SSEDescription: {
              type: "structure",
              members: {
                Status: {}
              }
            },
            ClusterEndpointEncryptionType: {}
          }
        },
        Se: {
          type: "structure",
          members: {
            Address: {},
            Port: {
              type: "integer"
            },
            URL: {}
          }
        },
        Sf: {
          type: "list",
          member: {}
        },
        Sr: {
          type: "structure",
          members: {
            ParameterGroupName: {},
            Description: {}
          }
        },
        St: {
          type: "list",
          member: {}
        },
        Sv: {
          type: "structure",
          members: {
            SubnetGroupName: {},
            Description: {},
            VpcId: {},
            Subnets: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  SubnetIdentifier: {},
                  SubnetAvailabilityZone: {}
                }
              }
            }
          }
        },
        S1c: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ParameterName: {},
              ParameterType: {},
              ParameterValue: {},
              NodeTypeSpecificValues: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    NodeType: {},
                    Value: {}
                  }
                }
              },
              Description: {},
              Source: {},
              DataType: {},
              AllowedValues: {},
              IsModifiable: {},
              ChangeType: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/dax-2017-04-19.paginators.json
var require_dax_2017_04_19_paginators = __commonJS({
  "node_modules/aws-sdk/apis/dax-2017-04-19.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/dax.js
var require_dax = __commonJS({
  "node_modules/aws-sdk/clients/dax.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["dax"] = {};
    AWS2.DAX = Service.defineService("dax", ["2017-04-19"]);
    Object.defineProperty(apiLoader.services["dax"], "2017-04-19", {
      get: function get() {
        var model = require_dax_2017_04_19_min();
        model.paginators = require_dax_2017_04_19_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.DAX;
  }
});

// node_modules/aws-sdk/apis/AWSMigrationHub-2017-05-31.min.json
var require_AWSMigrationHub_2017_05_31_min = __commonJS({
  "node_modules/aws-sdk/apis/AWSMigrationHub-2017-05-31.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-05-31",
        endpointPrefix: "mgh",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Migration Hub",
        serviceId: "Migration Hub",
        signatureVersion: "v4",
        targetPrefix: "AWSMigrationHub",
        uid: "AWSMigrationHub-2017-05-31"
      },
      operations: {
        AssociateCreatedArtifact: {
          input: {
            type: "structure",
            required: [
              "ProgressUpdateStream",
              "MigrationTaskName",
              "CreatedArtifact"
            ],
            members: {
              ProgressUpdateStream: {},
              MigrationTaskName: {},
              CreatedArtifact: {
                shape: "S4"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateDiscoveredResource: {
          input: {
            type: "structure",
            required: [
              "ProgressUpdateStream",
              "MigrationTaskName",
              "DiscoveredResource"
            ],
            members: {
              ProgressUpdateStream: {},
              MigrationTaskName: {},
              DiscoveredResource: {
                shape: "Sa"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateProgressUpdateStream: {
          input: {
            type: "structure",
            required: [
              "ProgressUpdateStreamName"
            ],
            members: {
              ProgressUpdateStreamName: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteProgressUpdateStream: {
          input: {
            type: "structure",
            required: [
              "ProgressUpdateStreamName"
            ],
            members: {
              ProgressUpdateStreamName: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeApplicationState: {
          input: {
            type: "structure",
            required: [
              "ApplicationId"
            ],
            members: {
              ApplicationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationStatus: {},
              LastUpdatedTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeMigrationTask: {
          input: {
            type: "structure",
            required: [
              "ProgressUpdateStream",
              "MigrationTaskName"
            ],
            members: {
              ProgressUpdateStream: {},
              MigrationTaskName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MigrationTask: {
                type: "structure",
                members: {
                  ProgressUpdateStream: {},
                  MigrationTaskName: {},
                  Task: {
                    shape: "Sq"
                  },
                  UpdateDateTime: {
                    type: "timestamp"
                  },
                  ResourceAttributeList: {
                    type: "list",
                    member: {
                      shape: "Sv"
                    }
                  }
                }
              }
            }
          }
        },
        DisassociateCreatedArtifact: {
          input: {
            type: "structure",
            required: [
              "ProgressUpdateStream",
              "MigrationTaskName",
              "CreatedArtifactName"
            ],
            members: {
              ProgressUpdateStream: {},
              MigrationTaskName: {},
              CreatedArtifactName: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateDiscoveredResource: {
          input: {
            type: "structure",
            required: [
              "ProgressUpdateStream",
              "MigrationTaskName",
              "ConfigurationId"
            ],
            members: {
              ProgressUpdateStream: {},
              MigrationTaskName: {},
              ConfigurationId: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ImportMigrationTask: {
          input: {
            type: "structure",
            required: [
              "ProgressUpdateStream",
              "MigrationTaskName"
            ],
            members: {
              ProgressUpdateStream: {},
              MigrationTaskName: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ListApplicationStates: {
          input: {
            type: "structure",
            members: {
              ApplicationIds: {
                type: "list",
                member: {}
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationStateList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApplicationId: {},
                    ApplicationStatus: {},
                    LastUpdatedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCreatedArtifacts: {
          input: {
            type: "structure",
            required: [
              "ProgressUpdateStream",
              "MigrationTaskName"
            ],
            members: {
              ProgressUpdateStream: {},
              MigrationTaskName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              CreatedArtifactList: {
                type: "list",
                member: {
                  shape: "S4"
                }
              }
            }
          }
        },
        ListDiscoveredResources: {
          input: {
            type: "structure",
            required: [
              "ProgressUpdateStream",
              "MigrationTaskName"
            ],
            members: {
              ProgressUpdateStream: {},
              MigrationTaskName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              DiscoveredResourceList: {
                type: "list",
                member: {
                  shape: "Sa"
                }
              }
            }
          }
        },
        ListMigrationTasks: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ResourceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              MigrationTaskSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ProgressUpdateStream: {},
                    MigrationTaskName: {},
                    Status: {},
                    ProgressPercent: {
                      type: "integer"
                    },
                    StatusDetail: {},
                    UpdateDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListProgressUpdateStreams: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProgressUpdateStreamSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ProgressUpdateStreamName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        NotifyApplicationState: {
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "Status"
            ],
            members: {
              ApplicationId: {},
              Status: {},
              UpdateDateTime: {
                type: "timestamp"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        NotifyMigrationTaskState: {
          input: {
            type: "structure",
            required: [
              "ProgressUpdateStream",
              "MigrationTaskName",
              "Task",
              "UpdateDateTime",
              "NextUpdateSeconds"
            ],
            members: {
              ProgressUpdateStream: {},
              MigrationTaskName: {},
              Task: {
                shape: "Sq"
              },
              UpdateDateTime: {
                type: "timestamp"
              },
              NextUpdateSeconds: {
                type: "integer"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutResourceAttributes: {
          input: {
            type: "structure",
            required: [
              "ProgressUpdateStream",
              "MigrationTaskName",
              "ResourceAttributeList"
            ],
            members: {
              ProgressUpdateStream: {},
              MigrationTaskName: {},
              ResourceAttributeList: {
                type: "list",
                member: {
                  shape: "Sv"
                }
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            Description: {}
          }
        },
        Sa: {
          type: "structure",
          required: [
            "ConfigurationId"
          ],
          members: {
            ConfigurationId: {},
            Description: {}
          }
        },
        Sq: {
          type: "structure",
          required: [
            "Status"
          ],
          members: {
            Status: {},
            StatusDetail: {},
            ProgressPercent: {
              type: "integer"
            }
          }
        },
        Sv: {
          type: "structure",
          required: [
            "Type",
            "Value"
          ],
          members: {
            Type: {},
            Value: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/AWSMigrationHub-2017-05-31.paginators.json
var require_AWSMigrationHub_2017_05_31_paginators = __commonJS({
  "node_modules/aws-sdk/apis/AWSMigrationHub-2017-05-31.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListApplicationStates: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ApplicationStateList"
        },
        ListCreatedArtifacts: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "CreatedArtifactList"
        },
        ListDiscoveredResources: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "DiscoveredResourceList"
        },
        ListMigrationTasks: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "MigrationTaskSummaryList"
        },
        ListProgressUpdateStreams: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ProgressUpdateStreamSummaryList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/migrationhub.js
var require_migrationhub = __commonJS({
  "node_modules/aws-sdk/clients/migrationhub.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["migrationhub"] = {};
    AWS2.MigrationHub = Service.defineService("migrationhub", ["2017-05-31"]);
    Object.defineProperty(apiLoader.services["migrationhub"], "2017-05-31", {
      get: function get() {
        var model = require_AWSMigrationHub_2017_05_31_min();
        model.paginators = require_AWSMigrationHub_2017_05_31_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MigrationHub;
  }
});

// node_modules/aws-sdk/apis/cloudhsmv2-2017-04-28.min.json
var require_cloudhsmv2_2017_04_28_min = __commonJS({
  "node_modules/aws-sdk/apis/cloudhsmv2-2017-04-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-04-28",
        endpointPrefix: "cloudhsmv2",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "CloudHSM V2",
        serviceFullName: "AWS CloudHSM V2",
        serviceId: "CloudHSM V2",
        signatureVersion: "v4",
        signingName: "cloudhsm",
        targetPrefix: "BaldrApiService",
        uid: "cloudhsmv2-2017-04-28"
      },
      operations: {
        CopyBackupToRegion: {
          input: {
            type: "structure",
            required: [
              "DestinationRegion",
              "BackupId"
            ],
            members: {
              DestinationRegion: {},
              BackupId: {},
              TagList: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DestinationBackup: {
                type: "structure",
                members: {
                  CreateTimestamp: {
                    type: "timestamp"
                  },
                  SourceRegion: {},
                  SourceBackup: {},
                  SourceCluster: {}
                }
              }
            }
          }
        },
        CreateCluster: {
          input: {
            type: "structure",
            required: [
              "HsmType",
              "SubnetIds"
            ],
            members: {
              BackupRetentionPolicy: {
                shape: "Sd"
              },
              HsmType: {},
              SourceBackupId: {},
              SubnetIds: {
                type: "list",
                member: {}
              },
              TagList: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Cluster: {
                shape: "Sk"
              }
            }
          }
        },
        CreateHsm: {
          input: {
            type: "structure",
            required: [
              "ClusterId",
              "AvailabilityZone"
            ],
            members: {
              ClusterId: {},
              AvailabilityZone: {},
              IpAddress: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Hsm: {
                shape: "Sn"
              }
            }
          }
        },
        DeleteBackup: {
          input: {
            type: "structure",
            required: [
              "BackupId"
            ],
            members: {
              BackupId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Backup: {
                shape: "S16"
              }
            }
          }
        },
        DeleteCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Cluster: {
                shape: "Sk"
              }
            }
          }
        },
        DeleteHsm: {
          input: {
            type: "structure",
            required: [
              "ClusterId"
            ],
            members: {
              ClusterId: {},
              HsmId: {},
              EniId: {},
              EniIp: {}
            }
          },
          output: {
            type: "structure",
            members: {
              HsmId: {}
            }
          }
        },
        DescribeBackups: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S1g"
              },
              SortAscending: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Backups: {
                type: "list",
                member: {
                  shape: "S16"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeClusters: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S1g"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Clusters: {
                type: "list",
                member: {
                  shape: "Sk"
                }
              },
              NextToken: {}
            }
          }
        },
        InitializeCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterId",
              "SignedCert",
              "TrustAnchor"
            ],
            members: {
              ClusterId: {},
              SignedCert: {},
              TrustAnchor: {}
            }
          },
          output: {
            type: "structure",
            members: {
              State: {},
              StateMessage: {}
            }
          }
        },
        ListTags: {
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              ResourceId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TagList"
            ],
            members: {
              TagList: {
                shape: "S4"
              },
              NextToken: {}
            }
          }
        },
        ModifyBackupAttributes: {
          input: {
            type: "structure",
            required: [
              "BackupId",
              "NeverExpires"
            ],
            members: {
              BackupId: {},
              NeverExpires: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Backup: {
                shape: "S16"
              }
            }
          }
        },
        ModifyCluster: {
          input: {
            type: "structure",
            required: [
              "BackupRetentionPolicy",
              "ClusterId"
            ],
            members: {
              BackupRetentionPolicy: {
                shape: "Sd"
              },
              ClusterId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Cluster: {
                shape: "Sk"
              }
            }
          }
        },
        RestoreBackup: {
          input: {
            type: "structure",
            required: [
              "BackupId"
            ],
            members: {
              BackupId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Backup: {
                shape: "S16"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "TagList"
            ],
            members: {
              ResourceId: {},
              TagList: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "TagKeyList"
            ],
            members: {
              ResourceId: {},
              TagKeyList: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S4: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sd: {
          type: "structure",
          members: {
            Type: {},
            Value: {}
          }
        },
        Sk: {
          type: "structure",
          members: {
            BackupPolicy: {},
            BackupRetentionPolicy: {
              shape: "Sd"
            },
            ClusterId: {},
            CreateTimestamp: {
              type: "timestamp"
            },
            Hsms: {
              type: "list",
              member: {
                shape: "Sn"
              }
            },
            HsmType: {},
            PreCoPassword: {},
            SecurityGroup: {},
            SourceBackupId: {},
            State: {},
            StateMessage: {},
            SubnetMapping: {
              type: "map",
              key: {},
              value: {}
            },
            VpcId: {},
            Certificates: {
              type: "structure",
              members: {
                ClusterCsr: {},
                HsmCertificate: {},
                AwsHardwareCertificate: {},
                ManufacturerHardwareCertificate: {},
                ClusterCertificate: {}
              }
            },
            TagList: {
              shape: "S4"
            }
          }
        },
        Sn: {
          type: "structure",
          required: [
            "HsmId"
          ],
          members: {
            AvailabilityZone: {},
            ClusterId: {},
            SubnetId: {},
            EniId: {},
            EniIp: {},
            HsmId: {},
            State: {},
            StateMessage: {}
          }
        },
        S16: {
          type: "structure",
          required: [
            "BackupId"
          ],
          members: {
            BackupId: {},
            BackupState: {},
            ClusterId: {},
            CreateTimestamp: {
              type: "timestamp"
            },
            CopyTimestamp: {
              type: "timestamp"
            },
            NeverExpires: {
              type: "boolean"
            },
            SourceRegion: {},
            SourceBackup: {},
            SourceCluster: {},
            DeleteTimestamp: {
              type: "timestamp"
            },
            TagList: {
              shape: "S4"
            }
          }
        },
        S1g: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudhsmv2-2017-04-28.paginators.json
var require_cloudhsmv2_2017_04_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cloudhsmv2-2017-04-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeBackups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeClusters: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListTags: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/cloudhsmv2.js
var require_cloudhsmv2 = __commonJS({
  "node_modules/aws-sdk/clients/cloudhsmv2.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cloudhsmv2"] = {};
    AWS2.CloudHSMV2 = Service.defineService("cloudhsmv2", ["2017-04-28"]);
    Object.defineProperty(apiLoader.services["cloudhsmv2"], "2017-04-28", {
      get: function get() {
        var model = require_cloudhsmv2_2017_04_28_min();
        model.paginators = require_cloudhsmv2_2017_04_28_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CloudHSMV2;
  }
});

// node_modules/aws-sdk/apis/glue-2017-03-31.min.json
var require_glue_2017_03_31_min = __commonJS({
  "node_modules/aws-sdk/apis/glue-2017-03-31.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-03-31",
        endpointPrefix: "glue",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Glue",
        serviceId: "Glue",
        signatureVersion: "v4",
        targetPrefix: "AWSGlue",
        uid: "glue-2017-03-31"
      },
      operations: {
        BatchCreatePartition: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "PartitionInputList"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              PartitionInputList: {
                type: "list",
                member: {
                  shape: "S5"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Errors: {
                shape: "S12"
              }
            }
          }
        },
        BatchDeleteConnection: {
          input: {
            type: "structure",
            required: [
              "ConnectionNameList"
            ],
            members: {
              CatalogId: {},
              ConnectionNameList: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Succeeded: {
                shape: "Sn"
              },
              Errors: {
                type: "map",
                key: {},
                value: {
                  shape: "S14"
                }
              }
            }
          }
        },
        BatchDeletePartition: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "PartitionsToDelete"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              PartitionsToDelete: {
                type: "list",
                member: {
                  shape: "S1c"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Errors: {
                shape: "S12"
              }
            }
          }
        },
        BatchDeleteTable: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TablesToDelete"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TablesToDelete: {
                type: "list",
                member: {}
              },
              TransactionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TableName: {},
                    ErrorDetail: {
                      shape: "S14"
                    }
                  }
                }
              }
            }
          }
        },
        BatchDeleteTableVersion: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "VersionIds"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              VersionIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TableName: {},
                    VersionId: {},
                    ErrorDetail: {
                      shape: "S14"
                    }
                  }
                }
              }
            }
          }
        },
        BatchGetBlueprints: {
          input: {
            type: "structure",
            required: [
              "Names"
            ],
            members: {
              Names: {
                type: "list",
                member: {}
              },
              IncludeBlueprint: {
                type: "boolean"
              },
              IncludeParameterSpec: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Blueprints: {
                type: "list",
                member: {
                  shape: "S1w"
                }
              },
              MissingBlueprints: {
                shape: "S24"
              }
            }
          }
        },
        BatchGetCrawlers: {
          input: {
            type: "structure",
            required: [
              "CrawlerNames"
            ],
            members: {
              CrawlerNames: {
                shape: "S26"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Crawlers: {
                shape: "S28"
              },
              CrawlersNotFound: {
                shape: "S26"
              }
            }
          }
        },
        BatchGetCustomEntityTypes: {
          input: {
            type: "structure",
            required: [
              "Names"
            ],
            members: {
              Names: {
                shape: "S3p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CustomEntityTypes: {
                shape: "S3r"
              },
              CustomEntityTypesNotFound: {
                shape: "S3p"
              }
            }
          }
        },
        BatchGetDataQualityResult: {
          input: {
            type: "structure",
            required: [
              "ResultIds"
            ],
            members: {
              ResultIds: {
                shape: "S3v"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Results"
            ],
            members: {
              Results: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResultId: {},
                    Score: {
                      type: "double"
                    },
                    DataSource: {
                      shape: "S41"
                    },
                    RulesetName: {},
                    EvaluationContext: {},
                    StartedOn: {
                      type: "timestamp"
                    },
                    CompletedOn: {
                      type: "timestamp"
                    },
                    JobName: {},
                    JobRunId: {},
                    RulesetEvaluationRunId: {},
                    RuleResults: {
                      shape: "S44"
                    }
                  }
                }
              },
              ResultsNotFound: {
                shape: "S3v"
              }
            }
          }
        },
        BatchGetDevEndpoints: {
          input: {
            type: "structure",
            required: [
              "DevEndpointNames"
            ],
            members: {
              DevEndpointNames: {
                shape: "S49"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DevEndpoints: {
                shape: "S4b"
              },
              DevEndpointsNotFound: {
                shape: "S49"
              }
            }
          }
        },
        BatchGetJobs: {
          input: {
            type: "structure",
            required: [
              "JobNames"
            ],
            members: {
              JobNames: {
                shape: "S4l"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Jobs: {
                shape: "S4n"
              },
              JobsNotFound: {
                shape: "S4l"
              }
            }
          }
        },
        BatchGetPartition: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "PartitionsToGet"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              PartitionsToGet: {
                shape: "S9t"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Partitions: {
                shape: "S9v"
              },
              UnprocessedKeys: {
                shape: "S9t"
              }
            }
          }
        },
        BatchGetTriggers: {
          input: {
            type: "structure",
            required: [
              "TriggerNames"
            ],
            members: {
              TriggerNames: {
                shape: "S9y"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Triggers: {
                shape: "Sa0"
              },
              TriggersNotFound: {
                shape: "S9y"
              }
            }
          }
        },
        BatchGetWorkflows: {
          input: {
            type: "structure",
            required: [
              "Names"
            ],
            members: {
              Names: {
                shape: "Sai"
              },
              IncludeGraph: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Workflows: {
                type: "list",
                member: {
                  shape: "Sal"
                }
              },
              MissingWorkflows: {
                shape: "Sai"
              }
            }
          }
        },
        BatchStopJobRun: {
          input: {
            type: "structure",
            required: [
              "JobName",
              "JobRunIds"
            ],
            members: {
              JobName: {},
              JobRunIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SuccessfulSubmissions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    JobName: {},
                    JobRunId: {}
                  }
                }
              },
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    JobName: {},
                    JobRunId: {},
                    ErrorDetail: {
                      shape: "S14"
                    }
                  }
                }
              }
            }
          }
        },
        BatchUpdatePartition: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "Entries"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "PartitionValueList",
                    "PartitionInput"
                  ],
                  members: {
                    PartitionValueList: {
                      shape: "Sbj"
                    },
                    PartitionInput: {
                      shape: "S5"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PartitionValueList: {
                      shape: "Sbj"
                    },
                    ErrorDetail: {
                      shape: "S14"
                    }
                  }
                }
              }
            }
          }
        },
        CancelDataQualityRuleRecommendationRun: {
          input: {
            type: "structure",
            required: [
              "RunId"
            ],
            members: {
              RunId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CancelDataQualityRulesetEvaluationRun: {
          input: {
            type: "structure",
            required: [
              "RunId"
            ],
            members: {
              RunId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CancelMLTaskRun: {
          input: {
            type: "structure",
            required: [
              "TransformId",
              "TaskRunId"
            ],
            members: {
              TransformId: {},
              TaskRunId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TransformId: {},
              TaskRunId: {},
              Status: {}
            }
          }
        },
        CancelStatement: {
          input: {
            type: "structure",
            required: [
              "SessionId",
              "Id"
            ],
            members: {
              SessionId: {},
              Id: {
                type: "integer"
              },
              RequestOrigin: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CheckSchemaVersionValidity: {
          input: {
            type: "structure",
            required: [
              "DataFormat",
              "SchemaDefinition"
            ],
            members: {
              DataFormat: {},
              SchemaDefinition: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Valid: {
                type: "boolean"
              },
              Error: {}
            }
          }
        },
        CreateBlueprint: {
          input: {
            type: "structure",
            required: [
              "Name",
              "BlueprintLocation"
            ],
            members: {
              Name: {},
              Description: {},
              BlueprintLocation: {},
              Tags: {
                shape: "Sc4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {}
            }
          }
        },
        CreateClassifier: {
          input: {
            type: "structure",
            members: {
              GrokClassifier: {
                type: "structure",
                required: [
                  "Classification",
                  "Name",
                  "GrokPattern"
                ],
                members: {
                  Classification: {},
                  Name: {},
                  GrokPattern: {},
                  CustomPatterns: {}
                }
              },
              XMLClassifier: {
                type: "structure",
                required: [
                  "Classification",
                  "Name"
                ],
                members: {
                  Classification: {},
                  Name: {},
                  RowTag: {}
                }
              },
              JsonClassifier: {
                type: "structure",
                required: [
                  "Name",
                  "JsonPath"
                ],
                members: {
                  Name: {},
                  JsonPath: {}
                }
              },
              CsvClassifier: {
                type: "structure",
                required: [
                  "Name"
                ],
                members: {
                  Name: {},
                  Delimiter: {},
                  QuoteSymbol: {},
                  ContainsHeader: {},
                  Header: {
                    shape: "Scl"
                  },
                  DisableValueTrimming: {
                    type: "boolean"
                  },
                  AllowSingleColumn: {
                    type: "boolean"
                  },
                  CustomDatatypeConfigured: {
                    type: "boolean"
                  },
                  CustomDatatypes: {
                    shape: "Scm"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateConnection: {
          input: {
            type: "structure",
            required: [
              "ConnectionInput"
            ],
            members: {
              CatalogId: {},
              ConnectionInput: {
                shape: "Scp"
              },
              Tags: {
                shape: "Sc4"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateCrawler: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Role",
              "Targets"
            ],
            members: {
              Name: {},
              Role: {},
              DatabaseName: {},
              Description: {},
              Targets: {
                shape: "S2b"
              },
              Schedule: {},
              Classifiers: {
                shape: "S30"
              },
              TablePrefix: {},
              SchemaChangePolicy: {
                shape: "S33"
              },
              RecrawlPolicy: {
                shape: "S31"
              },
              LineageConfiguration: {
                shape: "S36"
              },
              LakeFormationConfiguration: {
                shape: "S3m"
              },
              Configuration: {},
              CrawlerSecurityConfiguration: {},
              Tags: {
                shape: "Sc4"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateCustomEntityType: {
          input: {
            type: "structure",
            required: [
              "Name",
              "RegexString"
            ],
            members: {
              Name: {},
              RegexString: {},
              ContextWords: {
                shape: "S3t"
              },
              Tags: {
                shape: "Sc4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {}
            }
          }
        },
        CreateDataQualityRuleset: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Ruleset"
            ],
            members: {
              Name: {},
              Description: {},
              Ruleset: {},
              Tags: {
                shape: "Sc4"
              },
              TargetTable: {
                shape: "Sd3"
              },
              ClientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {}
            }
          },
          idempotent: true
        },
        CreateDatabase: {
          input: {
            type: "structure",
            required: [
              "DatabaseInput"
            ],
            members: {
              CatalogId: {},
              DatabaseInput: {
                shape: "Sd6"
              },
              Tags: {
                shape: "Sc4"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateDevEndpoint: {
          input: {
            type: "structure",
            required: [
              "EndpointName",
              "RoleArn"
            ],
            members: {
              EndpointName: {},
              RoleArn: {},
              SecurityGroupIds: {
                shape: "S4e"
              },
              SubnetId: {},
              PublicKey: {},
              PublicKeys: {
                shape: "S4i"
              },
              NumberOfNodes: {
                type: "integer"
              },
              WorkerType: {},
              GlueVersion: {},
              NumberOfWorkers: {
                type: "integer"
              },
              ExtraPythonLibsS3Path: {},
              ExtraJarsS3Path: {},
              SecurityConfiguration: {},
              Tags: {
                shape: "Sc4"
              },
              Arguments: {
                shape: "S4j"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EndpointName: {},
              Status: {},
              SecurityGroupIds: {
                shape: "S4e"
              },
              SubnetId: {},
              RoleArn: {},
              YarnEndpointAddress: {},
              ZeppelinRemoteSparkInterpreterPort: {
                type: "integer"
              },
              NumberOfNodes: {
                type: "integer"
              },
              WorkerType: {},
              GlueVersion: {},
              NumberOfWorkers: {
                type: "integer"
              },
              AvailabilityZone: {},
              VpcId: {},
              ExtraPythonLibsS3Path: {},
              ExtraJarsS3Path: {},
              FailureReason: {},
              SecurityConfiguration: {},
              CreatedTimestamp: {
                type: "timestamp"
              },
              Arguments: {
                shape: "S4j"
              }
            }
          }
        },
        CreateJob: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Role",
              "Command"
            ],
            members: {
              Name: {},
              Description: {},
              LogUri: {},
              Role: {},
              ExecutionProperty: {
                shape: "S4r"
              },
              Command: {
                shape: "S4t"
              },
              DefaultArguments: {
                shape: "S4x"
              },
              NonOverridableArguments: {
                shape: "S4x"
              },
              Connections: {
                shape: "S4y"
              },
              MaxRetries: {
                type: "integer"
              },
              AllocatedCapacity: {
                deprecated: true,
                deprecatedMessage: "This property is deprecated, use MaxCapacity instead.",
                type: "integer"
              },
              Timeout: {
                type: "integer"
              },
              MaxCapacity: {
                type: "double"
              },
              SecurityConfiguration: {},
              Tags: {
                shape: "Sc4"
              },
              NotificationProperty: {
                shape: "S52"
              },
              GlueVersion: {},
              NumberOfWorkers: {
                type: "integer"
              },
              WorkerType: {},
              CodeGenConfigurationNodes: {
                shape: "S54"
              },
              ExecutionClass: {},
              SourceControlDetails: {
                shape: "S9p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {}
            }
          }
        },
        CreateMLTransform: {
          input: {
            type: "structure",
            required: [
              "Name",
              "InputRecordTables",
              "Parameters",
              "Role"
            ],
            members: {
              Name: {},
              Description: {},
              InputRecordTables: {
                shape: "Sdn"
              },
              Parameters: {
                shape: "Sdo"
              },
              Role: {},
              GlueVersion: {},
              MaxCapacity: {
                type: "double"
              },
              WorkerType: {},
              NumberOfWorkers: {
                type: "integer"
              },
              Timeout: {
                type: "integer"
              },
              MaxRetries: {
                type: "integer"
              },
              Tags: {
                shape: "Sc4"
              },
              TransformEncryption: {
                shape: "Sds"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransformId: {}
            }
          }
        },
        CreatePartition: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "PartitionInput"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              PartitionInput: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreatePartitionIndex: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "PartitionIndex"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              PartitionIndex: {
                shape: "Sdz"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateRegistry: {
          input: {
            type: "structure",
            required: [
              "RegistryName"
            ],
            members: {
              RegistryName: {},
              Description: {},
              Tags: {
                shape: "Sc4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RegistryArn: {},
              RegistryName: {},
              Description: {},
              Tags: {
                shape: "Sc4"
              }
            }
          }
        },
        CreateSchema: {
          input: {
            type: "structure",
            required: [
              "SchemaName",
              "DataFormat"
            ],
            members: {
              RegistryId: {
                shape: "Se5"
              },
              SchemaName: {},
              DataFormat: {},
              Compatibility: {},
              Description: {},
              Tags: {
                shape: "Sc4"
              },
              SchemaDefinition: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RegistryName: {},
              RegistryArn: {},
              SchemaName: {},
              SchemaArn: {},
              Description: {},
              DataFormat: {},
              Compatibility: {},
              SchemaCheckpoint: {
                type: "long"
              },
              LatestSchemaVersion: {
                type: "long"
              },
              NextSchemaVersion: {
                type: "long"
              },
              SchemaStatus: {},
              Tags: {
                shape: "Sc4"
              },
              SchemaVersionId: {},
              SchemaVersionStatus: {}
            }
          }
        },
        CreateScript: {
          input: {
            type: "structure",
            members: {
              DagNodes: {
                shape: "Sec"
              },
              DagEdges: {
                shape: "Sek"
              },
              Language: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PythonScript: {},
              ScalaCode: {}
            }
          }
        },
        CreateSecurityConfiguration: {
          input: {
            type: "structure",
            required: [
              "Name",
              "EncryptionConfiguration"
            ],
            members: {
              Name: {},
              EncryptionConfiguration: {
                shape: "Ser"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              CreatedTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        CreateSession: {
          input: {
            type: "structure",
            required: [
              "Id",
              "Role",
              "Command"
            ],
            members: {
              Id: {},
              Description: {},
              Role: {},
              Command: {
                shape: "Sf3"
              },
              Timeout: {
                type: "integer"
              },
              IdleTimeout: {
                type: "integer"
              },
              DefaultArguments: {
                shape: "Sf4"
              },
              Connections: {
                shape: "S4y"
              },
              MaxCapacity: {
                type: "double"
              },
              NumberOfWorkers: {
                type: "integer"
              },
              WorkerType: {},
              SecurityConfiguration: {},
              GlueVersion: {},
              Tags: {
                shape: "Sc4"
              },
              RequestOrigin: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Session: {
                shape: "Sf7"
              }
            }
          }
        },
        CreateTable: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableInput"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableInput: {
                shape: "Sfb"
              },
              PartitionIndexes: {
                type: "list",
                member: {
                  shape: "Sdz"
                }
              },
              TransactionId: {},
              OpenTableFormatInput: {
                type: "structure",
                members: {
                  IcebergInput: {
                    type: "structure",
                    required: [
                      "MetadataOperation"
                    ],
                    members: {
                      MetadataOperation: {},
                      Version: {}
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateTrigger: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Type",
              "Actions"
            ],
            members: {
              Name: {},
              WorkflowName: {},
              Type: {},
              Schedule: {},
              Predicate: {
                shape: "Sa7"
              },
              Actions: {
                shape: "Sa5"
              },
              Description: {},
              StartOnCreation: {
                type: "boolean"
              },
              Tags: {
                shape: "Sc4"
              },
              EventBatchingCondition: {
                shape: "Sae"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {}
            }
          }
        },
        CreateUserDefinedFunction: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "FunctionInput"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              FunctionInput: {
                shape: "Sfo"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateWorkflow: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              DefaultRunProperties: {
                shape: "Sam"
              },
              Tags: {
                shape: "Sc4"
              },
              MaxConcurrentRuns: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {}
            }
          }
        },
        DeleteBlueprint: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {}
            }
          }
        },
        DeleteClassifier: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteColumnStatisticsForPartition: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "PartitionValues",
              "ColumnName"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              PartitionValues: {
                shape: "S6"
              },
              ColumnName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteColumnStatisticsForTable: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "ColumnName"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              ColumnName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteConnection: {
          input: {
            type: "structure",
            required: [
              "ConnectionName"
            ],
            members: {
              CatalogId: {},
              ConnectionName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteCrawler: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteCustomEntityType: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {}
            }
          }
        },
        DeleteDataQualityRuleset: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDatabase: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              CatalogId: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDevEndpoint: {
          input: {
            type: "structure",
            required: [
              "EndpointName"
            ],
            members: {
              EndpointName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteJob: {
          input: {
            type: "structure",
            required: [
              "JobName"
            ],
            members: {
              JobName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobName: {}
            }
          }
        },
        DeleteMLTransform: {
          input: {
            type: "structure",
            required: [
              "TransformId"
            ],
            members: {
              TransformId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TransformId: {}
            }
          }
        },
        DeletePartition: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "PartitionValues"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              PartitionValues: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeletePartitionIndex: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "IndexName"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              IndexName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteRegistry: {
          input: {
            type: "structure",
            required: [
              "RegistryId"
            ],
            members: {
              RegistryId: {
                shape: "Se5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RegistryName: {},
              RegistryArn: {},
              Status: {}
            }
          }
        },
        DeleteResourcePolicy: {
          input: {
            type: "structure",
            members: {
              PolicyHashCondition: {},
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSchema: {
          input: {
            type: "structure",
            required: [
              "SchemaId"
            ],
            members: {
              SchemaId: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArn: {},
              SchemaName: {},
              Status: {}
            }
          }
        },
        DeleteSchemaVersions: {
          input: {
            type: "structure",
            required: [
              "SchemaId",
              "Versions"
            ],
            members: {
              SchemaId: {
                shape: "Sw"
              },
              Versions: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaVersionErrors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VersionNumber: {
                      type: "long"
                    },
                    ErrorDetails: {
                      type: "structure",
                      members: {
                        ErrorCode: {},
                        ErrorMessage: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DeleteSecurityConfiguration: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSession: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {},
              RequestOrigin: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {}
            }
          }
        },
        DeleteTable: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "Name"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              Name: {},
              TransactionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteTableVersion: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "VersionId"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              VersionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteTrigger: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {}
            }
          }
        },
        DeleteUserDefinedFunction: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "FunctionName"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              FunctionName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteWorkflow: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {}
            }
          }
        },
        GetBlueprint: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              IncludeBlueprint: {
                type: "boolean"
              },
              IncludeParameterSpec: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Blueprint: {
                shape: "S1w"
              }
            }
          }
        },
        GetBlueprintRun: {
          input: {
            type: "structure",
            required: [
              "BlueprintName",
              "RunId"
            ],
            members: {
              BlueprintName: {},
              RunId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BlueprintRun: {
                shape: "Shl"
              }
            }
          }
        },
        GetBlueprintRuns: {
          input: {
            type: "structure",
            required: [
              "BlueprintName"
            ],
            members: {
              BlueprintName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BlueprintRuns: {
                type: "list",
                member: {
                  shape: "Shl"
                }
              },
              NextToken: {}
            }
          }
        },
        GetCatalogImportStatus: {
          input: {
            type: "structure",
            members: {
              CatalogId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImportStatus: {
                type: "structure",
                members: {
                  ImportCompleted: {
                    type: "boolean"
                  },
                  ImportTime: {
                    type: "timestamp"
                  },
                  ImportedBy: {}
                }
              }
            }
          }
        },
        GetClassifier: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Classifier: {
                shape: "Shz"
              }
            }
          }
        },
        GetClassifiers: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Classifiers: {
                type: "list",
                member: {
                  shape: "Shz"
                }
              },
              NextToken: {}
            }
          }
        },
        GetColumnStatisticsForPartition: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "PartitionValues",
              "ColumnNames"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              PartitionValues: {
                shape: "S6"
              },
              ColumnNames: {
                shape: "Si9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ColumnStatisticsList: {
                shape: "Sib"
              },
              Errors: {
                shape: "Sit"
              }
            }
          }
        },
        GetColumnStatisticsForTable: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "ColumnNames"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              ColumnNames: {
                shape: "Si9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ColumnStatisticsList: {
                shape: "Sib"
              },
              Errors: {
                shape: "Sit"
              }
            }
          }
        },
        GetConnection: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              CatalogId: {},
              Name: {},
              HidePassword: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Connection: {
                shape: "Siz"
              }
            }
          }
        },
        GetConnections: {
          input: {
            type: "structure",
            members: {
              CatalogId: {},
              Filter: {
                type: "structure",
                members: {
                  MatchCriteria: {
                    shape: "Scr"
                  },
                  ConnectionType: {}
                }
              },
              HidePassword: {
                type: "boolean"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionList: {
                type: "list",
                member: {
                  shape: "Siz"
                }
              },
              NextToken: {}
            }
          }
        },
        GetCrawler: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Crawler: {
                shape: "S29"
              }
            }
          }
        },
        GetCrawlerMetrics: {
          input: {
            type: "structure",
            members: {
              CrawlerNameList: {
                shape: "S26"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CrawlerMetricsList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CrawlerName: {},
                    TimeLeftSeconds: {
                      type: "double"
                    },
                    StillEstimating: {
                      type: "boolean"
                    },
                    LastRuntimeSeconds: {
                      type: "double"
                    },
                    MedianRuntimeSeconds: {
                      type: "double"
                    },
                    TablesCreated: {
                      type: "integer"
                    },
                    TablesUpdated: {
                      type: "integer"
                    },
                    TablesDeleted: {
                      type: "integer"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetCrawlers: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Crawlers: {
                shape: "S28"
              },
              NextToken: {}
            }
          }
        },
        GetCustomEntityType: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              RegexString: {},
              ContextWords: {
                shape: "S3t"
              }
            }
          }
        },
        GetDataCatalogEncryptionSettings: {
          input: {
            type: "structure",
            members: {
              CatalogId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DataCatalogEncryptionSettings: {
                shape: "Sjg"
              }
            }
          }
        },
        GetDataQualityResult: {
          input: {
            type: "structure",
            required: [
              "ResultId"
            ],
            members: {
              ResultId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResultId: {},
              Score: {
                type: "double"
              },
              DataSource: {
                shape: "S41"
              },
              RulesetName: {},
              EvaluationContext: {},
              StartedOn: {
                type: "timestamp"
              },
              CompletedOn: {
                type: "timestamp"
              },
              JobName: {},
              JobRunId: {},
              RulesetEvaluationRunId: {},
              RuleResults: {
                shape: "S44"
              }
            }
          }
        },
        GetDataQualityRuleRecommendationRun: {
          input: {
            type: "structure",
            required: [
              "RunId"
            ],
            members: {
              RunId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RunId: {},
              DataSource: {
                shape: "S41"
              },
              Role: {},
              NumberOfWorkers: {
                type: "integer"
              },
              Timeout: {
                type: "integer"
              },
              Status: {},
              ErrorString: {},
              StartedOn: {
                type: "timestamp"
              },
              LastModifiedOn: {
                type: "timestamp"
              },
              CompletedOn: {
                type: "timestamp"
              },
              ExecutionTime: {
                type: "integer"
              },
              RecommendedRuleset: {},
              CreatedRulesetName: {}
            }
          }
        },
        GetDataQualityRuleset: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Description: {},
              Ruleset: {},
              TargetTable: {
                shape: "Sd3"
              },
              CreatedOn: {
                type: "timestamp"
              },
              LastModifiedOn: {
                type: "timestamp"
              },
              RecommendationRunId: {}
            }
          }
        },
        GetDataQualityRulesetEvaluationRun: {
          input: {
            type: "structure",
            required: [
              "RunId"
            ],
            members: {
              RunId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RunId: {},
              DataSource: {
                shape: "S41"
              },
              Role: {},
              NumberOfWorkers: {
                type: "integer"
              },
              Timeout: {
                type: "integer"
              },
              AdditionalRunOptions: {
                shape: "Sjs"
              },
              Status: {},
              ErrorString: {},
              StartedOn: {
                type: "timestamp"
              },
              LastModifiedOn: {
                type: "timestamp"
              },
              CompletedOn: {
                type: "timestamp"
              },
              ExecutionTime: {
                type: "integer"
              },
              RulesetNames: {
                shape: "Sjt"
              },
              ResultIds: {
                type: "list",
                member: {}
              },
              AdditionalDataSources: {
                shape: "Sjv"
              }
            }
          }
        },
        GetDatabase: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              CatalogId: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Database: {
                shape: "Sjy"
              }
            }
          }
        },
        GetDatabases: {
          input: {
            type: "structure",
            members: {
              CatalogId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ResourceShareType: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "DatabaseList"
            ],
            members: {
              DatabaseList: {
                type: "list",
                member: {
                  shape: "Sjy"
                }
              },
              NextToken: {}
            }
          }
        },
        GetDataflowGraph: {
          input: {
            type: "structure",
            members: {
              PythonScript: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DagNodes: {
                shape: "Sec"
              },
              DagEdges: {
                shape: "Sek"
              }
            }
          }
        },
        GetDevEndpoint: {
          input: {
            type: "structure",
            required: [
              "EndpointName"
            ],
            members: {
              EndpointName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DevEndpoint: {
                shape: "S4c"
              }
            }
          }
        },
        GetDevEndpoints: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DevEndpoints: {
                shape: "S4b"
              },
              NextToken: {}
            }
          }
        },
        GetJob: {
          input: {
            type: "structure",
            required: [
              "JobName"
            ],
            members: {
              JobName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Job: {
                shape: "S4o"
              }
            }
          }
        },
        GetJobBookmark: {
          input: {
            type: "structure",
            required: [
              "JobName"
            ],
            members: {
              JobName: {},
              RunId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobBookmarkEntry: {
                shape: "Skg"
              }
            }
          }
        },
        GetJobRun: {
          input: {
            type: "structure",
            required: [
              "JobName",
              "RunId"
            ],
            members: {
              JobName: {},
              RunId: {},
              PredecessorsIncluded: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobRun: {
                shape: "Sax"
              }
            }
          }
        },
        GetJobRuns: {
          input: {
            type: "structure",
            required: [
              "JobName"
            ],
            members: {
              JobName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobRuns: {
                shape: "Saw"
              },
              NextToken: {}
            }
          }
        },
        GetJobs: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Jobs: {
                shape: "S4n"
              },
              NextToken: {}
            }
          }
        },
        GetMLTaskRun: {
          input: {
            type: "structure",
            required: [
              "TransformId",
              "TaskRunId"
            ],
            members: {
              TransformId: {},
              TaskRunId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TransformId: {},
              TaskRunId: {},
              Status: {},
              LogGroupName: {},
              Properties: {
                shape: "Skq"
              },
              ErrorString: {},
              StartedOn: {
                type: "timestamp"
              },
              LastModifiedOn: {
                type: "timestamp"
              },
              CompletedOn: {
                type: "timestamp"
              },
              ExecutionTime: {
                type: "integer"
              }
            }
          }
        },
        GetMLTaskRuns: {
          input: {
            type: "structure",
            required: [
              "TransformId"
            ],
            members: {
              TransformId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filter: {
                type: "structure",
                members: {
                  TaskRunType: {},
                  Status: {},
                  StartedBefore: {
                    type: "timestamp"
                  },
                  StartedAfter: {
                    type: "timestamp"
                  }
                }
              },
              Sort: {
                type: "structure",
                required: [
                  "Column",
                  "SortDirection"
                ],
                members: {
                  Column: {},
                  SortDirection: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TaskRuns: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TransformId: {},
                    TaskRunId: {},
                    Status: {},
                    LogGroupName: {},
                    Properties: {
                      shape: "Skq"
                    },
                    ErrorString: {},
                    StartedOn: {
                      type: "timestamp"
                    },
                    LastModifiedOn: {
                      type: "timestamp"
                    },
                    CompletedOn: {
                      type: "timestamp"
                    },
                    ExecutionTime: {
                      type: "integer"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetMLTransform: {
          input: {
            type: "structure",
            required: [
              "TransformId"
            ],
            members: {
              TransformId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TransformId: {},
              Name: {},
              Description: {},
              Status: {},
              CreatedOn: {
                type: "timestamp"
              },
              LastModifiedOn: {
                type: "timestamp"
              },
              InputRecordTables: {
                shape: "Sdn"
              },
              Parameters: {
                shape: "Sdo"
              },
              EvaluationMetrics: {
                shape: "Sl9"
              },
              LabelCount: {
                type: "integer"
              },
              Schema: {
                shape: "Slg"
              },
              Role: {},
              GlueVersion: {},
              MaxCapacity: {
                type: "double"
              },
              WorkerType: {},
              NumberOfWorkers: {
                type: "integer"
              },
              Timeout: {
                type: "integer"
              },
              MaxRetries: {
                type: "integer"
              },
              TransformEncryption: {
                shape: "Sds"
              }
            }
          }
        },
        GetMLTransforms: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filter: {
                shape: "Slj"
              },
              Sort: {
                shape: "Slk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Transforms"
            ],
            members: {
              Transforms: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TransformId: {},
                    Name: {},
                    Description: {},
                    Status: {},
                    CreatedOn: {
                      type: "timestamp"
                    },
                    LastModifiedOn: {
                      type: "timestamp"
                    },
                    InputRecordTables: {
                      shape: "Sdn"
                    },
                    Parameters: {
                      shape: "Sdo"
                    },
                    EvaluationMetrics: {
                      shape: "Sl9"
                    },
                    LabelCount: {
                      type: "integer"
                    },
                    Schema: {
                      shape: "Slg"
                    },
                    Role: {},
                    GlueVersion: {},
                    MaxCapacity: {
                      type: "double"
                    },
                    WorkerType: {},
                    NumberOfWorkers: {
                      type: "integer"
                    },
                    Timeout: {
                      type: "integer"
                    },
                    MaxRetries: {
                      type: "integer"
                    },
                    TransformEncryption: {
                      shape: "Sds"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetMapping: {
          input: {
            type: "structure",
            required: [
              "Source"
            ],
            members: {
              Source: {
                shape: "Slq"
              },
              Sinks: {
                shape: "Slr"
              },
              Location: {
                shape: "Sls"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Mapping"
            ],
            members: {
              Mapping: {
                shape: "Slu"
              }
            }
          }
        },
        GetPartition: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "PartitionValues"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              PartitionValues: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Partition: {
                shape: "S9w"
              }
            }
          }
        },
        GetPartitionIndexes: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PartitionIndexDescriptorList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "IndexName",
                    "Keys",
                    "IndexStatus"
                  ],
                  members: {
                    IndexName: {},
                    Keys: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "Name",
                          "Type"
                        ],
                        members: {
                          Name: {},
                          Type: {}
                        }
                      }
                    },
                    IndexStatus: {},
                    BackfillErrors: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Code: {},
                          Partitions: {
                            type: "list",
                            member: {
                              shape: "S1c"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetPartitions: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              Expression: {},
              NextToken: {},
              Segment: {
                shape: "Sme"
              },
              MaxResults: {
                type: "integer"
              },
              ExcludeColumnSchema: {
                type: "boolean"
              },
              TransactionId: {},
              QueryAsOfTime: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Partitions: {
                shape: "S9v"
              },
              NextToken: {}
            }
          }
        },
        GetPlan: {
          input: {
            type: "structure",
            required: [
              "Mapping",
              "Source"
            ],
            members: {
              Mapping: {
                shape: "Slu"
              },
              Source: {
                shape: "Slq"
              },
              Sinks: {
                shape: "Slr"
              },
              Location: {
                shape: "Sls"
              },
              Language: {},
              AdditionalPlanOptionsMap: {
                type: "map",
                key: {},
                value: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PythonScript: {},
              ScalaCode: {}
            }
          }
        },
        GetRegistry: {
          input: {
            type: "structure",
            required: [
              "RegistryId"
            ],
            members: {
              RegistryId: {
                shape: "Se5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RegistryName: {},
              RegistryArn: {},
              Description: {},
              Status: {},
              CreatedTime: {},
              UpdatedTime: {}
            }
          }
        },
        GetResourcePolicies: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GetResourcePoliciesResponseList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PolicyInJson: {},
                    PolicyHash: {},
                    CreateTime: {
                      type: "timestamp"
                    },
                    UpdateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetResourcePolicy: {
          input: {
            type: "structure",
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyInJson: {},
              PolicyHash: {},
              CreateTime: {
                type: "timestamp"
              },
              UpdateTime: {
                type: "timestamp"
              }
            }
          }
        },
        GetSchema: {
          input: {
            type: "structure",
            required: [
              "SchemaId"
            ],
            members: {
              SchemaId: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RegistryName: {},
              RegistryArn: {},
              SchemaName: {},
              SchemaArn: {},
              Description: {},
              DataFormat: {},
              Compatibility: {},
              SchemaCheckpoint: {
                type: "long"
              },
              LatestSchemaVersion: {
                type: "long"
              },
              NextSchemaVersion: {
                type: "long"
              },
              SchemaStatus: {},
              CreatedTime: {},
              UpdatedTime: {}
            }
          }
        },
        GetSchemaByDefinition: {
          input: {
            type: "structure",
            required: [
              "SchemaId",
              "SchemaDefinition"
            ],
            members: {
              SchemaId: {
                shape: "Sw"
              },
              SchemaDefinition: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaVersionId: {},
              SchemaArn: {},
              DataFormat: {},
              Status: {},
              CreatedTime: {}
            }
          }
        },
        GetSchemaVersion: {
          input: {
            type: "structure",
            members: {
              SchemaId: {
                shape: "Sw"
              },
              SchemaVersionId: {},
              SchemaVersionNumber: {
                shape: "Sn1"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaVersionId: {},
              SchemaDefinition: {},
              DataFormat: {},
              SchemaArn: {},
              VersionNumber: {
                type: "long"
              },
              Status: {},
              CreatedTime: {}
            }
          }
        },
        GetSchemaVersionsDiff: {
          input: {
            type: "structure",
            required: [
              "SchemaId",
              "FirstSchemaVersionNumber",
              "SecondSchemaVersionNumber",
              "SchemaDiffType"
            ],
            members: {
              SchemaId: {
                shape: "Sw"
              },
              FirstSchemaVersionNumber: {
                shape: "Sn1"
              },
              SecondSchemaVersionNumber: {
                shape: "Sn1"
              },
              SchemaDiffType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Diff: {}
            }
          }
        },
        GetSecurityConfiguration: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SecurityConfiguration: {
                shape: "Sna"
              }
            }
          }
        },
        GetSecurityConfigurations: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SecurityConfigurations: {
                type: "list",
                member: {
                  shape: "Sna"
                }
              },
              NextToken: {}
            }
          }
        },
        GetSession: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {},
              RequestOrigin: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Session: {
                shape: "Sf7"
              }
            }
          }
        },
        GetStatement: {
          input: {
            type: "structure",
            required: [
              "SessionId",
              "Id"
            ],
            members: {
              SessionId: {},
              Id: {
                type: "integer"
              },
              RequestOrigin: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Statement: {
                shape: "Sni"
              }
            }
          }
        },
        GetTable: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "Name"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              Name: {},
              TransactionId: {},
              QueryAsOfTime: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Table: {
                shape: "Snp"
              }
            }
          }
        },
        GetTableVersion: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              VersionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TableVersion: {
                shape: "Snt"
              }
            }
          }
        },
        GetTableVersions: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TableVersions: {
                type: "list",
                member: {
                  shape: "Snt"
                }
              },
              NextToken: {}
            }
          }
        },
        GetTables: {
          input: {
            type: "structure",
            required: [
              "DatabaseName"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              Expression: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              TransactionId: {},
              QueryAsOfTime: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TableList: {
                shape: "So0"
              },
              NextToken: {}
            }
          }
        },
        GetTags: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sc4"
              }
            }
          }
        },
        GetTrigger: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Trigger: {
                shape: "Sa1"
              }
            }
          }
        },
        GetTriggers: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              DependentJobName: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Triggers: {
                shape: "Sa0"
              },
              NextToken: {}
            }
          }
        },
        GetUnfilteredPartitionMetadata: {
          input: {
            type: "structure",
            required: [
              "CatalogId",
              "DatabaseName",
              "TableName",
              "PartitionValues",
              "SupportedPermissionTypes"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              PartitionValues: {
                shape: "S6"
              },
              AuditContext: {
                shape: "So8"
              },
              SupportedPermissionTypes: {
                shape: "Sob"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Partition: {
                shape: "S9w"
              },
              AuthorizedColumns: {
                shape: "Sn"
              },
              IsRegisteredWithLakeFormation: {
                type: "boolean"
              }
            }
          }
        },
        GetUnfilteredPartitionsMetadata: {
          input: {
            type: "structure",
            required: [
              "CatalogId",
              "DatabaseName",
              "TableName",
              "SupportedPermissionTypes"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              Expression: {},
              AuditContext: {
                shape: "So8"
              },
              SupportedPermissionTypes: {
                shape: "Sob"
              },
              NextToken: {},
              Segment: {
                shape: "Sme"
              },
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UnfilteredPartitions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Partition: {
                      shape: "S9w"
                    },
                    AuthorizedColumns: {
                      shape: "Sn"
                    },
                    IsRegisteredWithLakeFormation: {
                      type: "boolean"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetUnfilteredTableMetadata: {
          input: {
            type: "structure",
            required: [
              "CatalogId",
              "DatabaseName",
              "Name",
              "SupportedPermissionTypes"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              Name: {},
              AuditContext: {
                shape: "So8"
              },
              SupportedPermissionTypes: {
                shape: "Sob"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Table: {
                shape: "Snp"
              },
              AuthorizedColumns: {
                shape: "Sn"
              },
              IsRegisteredWithLakeFormation: {
                type: "boolean"
              },
              CellFilters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ColumnName: {},
                    RowFilterExpression: {}
                  }
                }
              }
            }
          }
        },
        GetUserDefinedFunction: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "FunctionName"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              FunctionName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UserDefinedFunction: {
                shape: "Soo"
              }
            }
          }
        },
        GetUserDefinedFunctions: {
          input: {
            type: "structure",
            required: [
              "Pattern"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              Pattern: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserDefinedFunctions: {
                type: "list",
                member: {
                  shape: "Soo"
                }
              },
              NextToken: {}
            }
          }
        },
        GetWorkflow: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              IncludeGraph: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Workflow: {
                shape: "Sal"
              }
            }
          }
        },
        GetWorkflowRun: {
          input: {
            type: "structure",
            required: [
              "Name",
              "RunId"
            ],
            members: {
              Name: {},
              RunId: {},
              IncludeGraph: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Run: {
                shape: "San"
              }
            }
          }
        },
        GetWorkflowRunProperties: {
          input: {
            type: "structure",
            required: [
              "Name",
              "RunId"
            ],
            members: {
              Name: {},
              RunId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RunProperties: {
                shape: "Sam"
              }
            }
          }
        },
        GetWorkflowRuns: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              IncludeGraph: {
                type: "boolean"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Runs: {
                type: "list",
                member: {
                  shape: "San"
                }
              },
              NextToken: {}
            }
          }
        },
        ImportCatalogToGlue: {
          input: {
            type: "structure",
            members: {
              CatalogId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ListBlueprints: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Tags: {
                shape: "Sc4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Blueprints: {
                shape: "S24"
              },
              NextToken: {}
            }
          }
        },
        ListCrawlers: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Tags: {
                shape: "Sc4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CrawlerNames: {
                shape: "S26"
              },
              NextToken: {}
            }
          }
        },
        ListCrawls: {
          input: {
            type: "structure",
            required: [
              "CrawlerName"
            ],
            members: {
              CrawlerName: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FieldName: {},
                    FilterOperator: {},
                    FieldValue: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Crawls: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CrawlId: {},
                    State: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    Summary: {},
                    ErrorMessage: {},
                    LogGroup: {},
                    LogStream: {},
                    MessagePrefix: {},
                    DPUHour: {
                      type: "double"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCustomEntityTypes: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Tags: {
                shape: "Sc4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CustomEntityTypes: {
                shape: "S3r"
              },
              NextToken: {}
            }
          }
        },
        ListDataQualityResults: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  DataSource: {
                    shape: "S41"
                  },
                  JobName: {},
                  JobRunId: {},
                  StartedAfter: {
                    type: "timestamp"
                  },
                  StartedBefore: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Results"
            ],
            members: {
              Results: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResultId: {},
                    DataSource: {
                      shape: "S41"
                    },
                    JobName: {},
                    JobRunId: {},
                    StartedOn: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDataQualityRuleRecommendationRuns: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                required: [
                  "DataSource"
                ],
                members: {
                  DataSource: {
                    shape: "S41"
                  },
                  StartedBefore: {
                    type: "timestamp"
                  },
                  StartedAfter: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Runs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RunId: {},
                    Status: {},
                    StartedOn: {
                      type: "timestamp"
                    },
                    DataSource: {
                      shape: "S41"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDataQualityRulesetEvaluationRuns: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                required: [
                  "DataSource"
                ],
                members: {
                  DataSource: {
                    shape: "S41"
                  },
                  StartedBefore: {
                    type: "timestamp"
                  },
                  StartedAfter: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Runs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RunId: {},
                    Status: {},
                    StartedOn: {
                      type: "timestamp"
                    },
                    DataSource: {
                      shape: "S41"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDataQualityRulesets: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filter: {
                type: "structure",
                members: {
                  Name: {},
                  Description: {},
                  CreatedBefore: {
                    type: "timestamp"
                  },
                  CreatedAfter: {
                    type: "timestamp"
                  },
                  LastModifiedBefore: {
                    type: "timestamp"
                  },
                  LastModifiedAfter: {
                    type: "timestamp"
                  },
                  TargetTable: {
                    shape: "Sd3"
                  }
                }
              },
              Tags: {
                shape: "Sc4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Rulesets: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Description: {},
                    CreatedOn: {
                      type: "timestamp"
                    },
                    LastModifiedOn: {
                      type: "timestamp"
                    },
                    TargetTable: {
                      shape: "Sd3"
                    },
                    RecommendationRunId: {},
                    RuleCount: {
                      type: "integer"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDevEndpoints: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Tags: {
                shape: "Sc4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DevEndpointNames: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListJobs: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Tags: {
                shape: "Sc4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobNames: {
                shape: "S4l"
              },
              NextToken: {}
            }
          }
        },
        ListMLTransforms: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filter: {
                shape: "Slj"
              },
              Sort: {
                shape: "Slk"
              },
              Tags: {
                shape: "Sc4"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TransformIds"
            ],
            members: {
              TransformIds: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListRegistries: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Registries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RegistryName: {},
                    RegistryArn: {},
                    Description: {},
                    Status: {},
                    CreatedTime: {},
                    UpdatedTime: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSchemaVersions: {
          input: {
            type: "structure",
            required: [
              "SchemaId"
            ],
            members: {
              SchemaId: {
                shape: "Sw"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Schemas: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SchemaArn: {},
                    SchemaVersionId: {},
                    VersionNumber: {
                      type: "long"
                    },
                    Status: {},
                    CreatedTime: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSchemas: {
          input: {
            type: "structure",
            members: {
              RegistryId: {
                shape: "Se5"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Schemas: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RegistryName: {},
                    SchemaName: {},
                    SchemaArn: {},
                    Description: {},
                    SchemaStatus: {},
                    CreatedTime: {},
                    UpdatedTime: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSessions: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Tags: {
                shape: "Sc4"
              },
              RequestOrigin: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Ids: {
                type: "list",
                member: {}
              },
              Sessions: {
                type: "list",
                member: {
                  shape: "Sf7"
                }
              },
              NextToken: {}
            }
          }
        },
        ListStatements: {
          input: {
            type: "structure",
            required: [
              "SessionId"
            ],
            members: {
              SessionId: {},
              RequestOrigin: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Statements: {
                type: "list",
                member: {
                  shape: "Sni"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTriggers: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              DependentJobName: {},
              MaxResults: {
                type: "integer"
              },
              Tags: {
                shape: "Sc4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TriggerNames: {
                shape: "S9y"
              },
              NextToken: {}
            }
          }
        },
        ListWorkflows: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Workflows: {
                shape: "Sai"
              },
              NextToken: {}
            }
          }
        },
        PutDataCatalogEncryptionSettings: {
          input: {
            type: "structure",
            required: [
              "DataCatalogEncryptionSettings"
            ],
            members: {
              CatalogId: {},
              DataCatalogEncryptionSettings: {
                shape: "Sjg"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyInJson"
            ],
            members: {
              PolicyInJson: {},
              ResourceArn: {},
              PolicyHashCondition: {},
              PolicyExistsCondition: {},
              EnableHybrid: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyHash: {}
            }
          }
        },
        PutSchemaVersionMetadata: {
          input: {
            type: "structure",
            required: [
              "MetadataKeyValue"
            ],
            members: {
              SchemaId: {
                shape: "Sw"
              },
              SchemaVersionNumber: {
                shape: "Sn1"
              },
              SchemaVersionId: {},
              MetadataKeyValue: {
                shape: "Sr8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArn: {},
              SchemaName: {},
              RegistryName: {},
              LatestVersion: {
                type: "boolean"
              },
              VersionNumber: {
                type: "long"
              },
              SchemaVersionId: {},
              MetadataKey: {},
              MetadataValue: {}
            }
          }
        },
        PutWorkflowRunProperties: {
          input: {
            type: "structure",
            required: [
              "Name",
              "RunId",
              "RunProperties"
            ],
            members: {
              Name: {},
              RunId: {},
              RunProperties: {
                shape: "Sam"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        QuerySchemaVersionMetadata: {
          input: {
            type: "structure",
            members: {
              SchemaId: {
                shape: "Sw"
              },
              SchemaVersionNumber: {
                shape: "Sn1"
              },
              SchemaVersionId: {},
              MetadataList: {
                type: "list",
                member: {
                  shape: "Sr8"
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MetadataInfoMap: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    MetadataValue: {},
                    CreatedTime: {},
                    OtherMetadataValueList: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          MetadataValue: {},
                          CreatedTime: {}
                        }
                      }
                    }
                  }
                }
              },
              SchemaVersionId: {},
              NextToken: {}
            }
          }
        },
        RegisterSchemaVersion: {
          input: {
            type: "structure",
            required: [
              "SchemaId",
              "SchemaDefinition"
            ],
            members: {
              SchemaId: {
                shape: "Sw"
              },
              SchemaDefinition: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaVersionId: {},
              VersionNumber: {
                type: "long"
              },
              Status: {}
            }
          }
        },
        RemoveSchemaVersionMetadata: {
          input: {
            type: "structure",
            required: [
              "MetadataKeyValue"
            ],
            members: {
              SchemaId: {
                shape: "Sw"
              },
              SchemaVersionNumber: {
                shape: "Sn1"
              },
              SchemaVersionId: {},
              MetadataKeyValue: {
                shape: "Sr8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArn: {},
              SchemaName: {},
              RegistryName: {},
              LatestVersion: {
                type: "boolean"
              },
              VersionNumber: {
                type: "long"
              },
              SchemaVersionId: {},
              MetadataKey: {},
              MetadataValue: {}
            }
          }
        },
        ResetJobBookmark: {
          input: {
            type: "structure",
            required: [
              "JobName"
            ],
            members: {
              JobName: {},
              RunId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobBookmarkEntry: {
                shape: "Skg"
              }
            }
          }
        },
        ResumeWorkflowRun: {
          input: {
            type: "structure",
            required: [
              "Name",
              "RunId",
              "NodeIds"
            ],
            members: {
              Name: {},
              RunId: {},
              NodeIds: {
                shape: "Srt"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RunId: {},
              NodeIds: {
                shape: "Srt"
              }
            }
          }
        },
        RunStatement: {
          input: {
            type: "structure",
            required: [
              "SessionId",
              "Code"
            ],
            members: {
              SessionId: {},
              Code: {},
              RequestOrigin: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {
                type: "integer"
              }
            }
          }
        },
        SearchTables: {
          input: {
            type: "structure",
            members: {
              CatalogId: {},
              NextToken: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Key: {},
                    Value: {},
                    Comparator: {}
                  }
                }
              },
              SearchText: {},
              SortCriteria: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FieldName: {},
                    Sort: {}
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              ResourceShareType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              TableList: {
                shape: "So0"
              }
            }
          }
        },
        StartBlueprintRun: {
          input: {
            type: "structure",
            required: [
              "BlueprintName",
              "RoleArn"
            ],
            members: {
              BlueprintName: {},
              Parameters: {},
              RoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RunId: {}
            }
          }
        },
        StartCrawler: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartCrawlerSchedule: {
          input: {
            type: "structure",
            required: [
              "CrawlerName"
            ],
            members: {
              CrawlerName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartDataQualityRuleRecommendationRun: {
          input: {
            type: "structure",
            required: [
              "DataSource",
              "Role"
            ],
            members: {
              DataSource: {
                shape: "S41"
              },
              Role: {},
              NumberOfWorkers: {
                type: "integer"
              },
              Timeout: {
                type: "integer"
              },
              CreatedRulesetName: {},
              ClientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RunId: {}
            }
          },
          idempotent: true
        },
        StartDataQualityRulesetEvaluationRun: {
          input: {
            type: "structure",
            required: [
              "DataSource",
              "Role",
              "RulesetNames"
            ],
            members: {
              DataSource: {
                shape: "S41"
              },
              Role: {},
              NumberOfWorkers: {
                type: "integer"
              },
              Timeout: {
                type: "integer"
              },
              ClientToken: {},
              AdditionalRunOptions: {
                shape: "Sjs"
              },
              RulesetNames: {
                shape: "Sjt"
              },
              AdditionalDataSources: {
                shape: "Sjv"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RunId: {}
            }
          },
          idempotent: true
        },
        StartExportLabelsTaskRun: {
          input: {
            type: "structure",
            required: [
              "TransformId",
              "OutputS3Path"
            ],
            members: {
              TransformId: {},
              OutputS3Path: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TaskRunId: {}
            }
          }
        },
        StartImportLabelsTaskRun: {
          input: {
            type: "structure",
            required: [
              "TransformId",
              "InputS3Path"
            ],
            members: {
              TransformId: {},
              InputS3Path: {},
              ReplaceAllLabels: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TaskRunId: {}
            }
          }
        },
        StartJobRun: {
          input: {
            type: "structure",
            required: [
              "JobName"
            ],
            members: {
              JobName: {},
              JobRunId: {},
              Arguments: {
                shape: "S4x"
              },
              AllocatedCapacity: {
                deprecated: true,
                deprecatedMessage: "This property is deprecated, use MaxCapacity instead.",
                type: "integer"
              },
              Timeout: {
                type: "integer"
              },
              MaxCapacity: {
                type: "double"
              },
              SecurityConfiguration: {},
              NotificationProperty: {
                shape: "S52"
              },
              WorkerType: {},
              NumberOfWorkers: {
                type: "integer"
              },
              ExecutionClass: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobRunId: {}
            }
          }
        },
        StartMLEvaluationTaskRun: {
          input: {
            type: "structure",
            required: [
              "TransformId"
            ],
            members: {
              TransformId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TaskRunId: {}
            }
          }
        },
        StartMLLabelingSetGenerationTaskRun: {
          input: {
            type: "structure",
            required: [
              "TransformId",
              "OutputS3Path"
            ],
            members: {
              TransformId: {},
              OutputS3Path: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TaskRunId: {}
            }
          }
        },
        StartTrigger: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {}
            }
          }
        },
        StartWorkflowRun: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              RunProperties: {
                shape: "Sam"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RunId: {}
            }
          }
        },
        StopCrawler: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StopCrawlerSchedule: {
          input: {
            type: "structure",
            required: [
              "CrawlerName"
            ],
            members: {
              CrawlerName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StopSession: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {},
              RequestOrigin: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {}
            }
          }
        },
        StopTrigger: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {}
            }
          }
        },
        StopWorkflowRun: {
          input: {
            type: "structure",
            required: [
              "Name",
              "RunId"
            ],
            members: {
              Name: {},
              RunId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagsToAdd"
            ],
            members: {
              ResourceArn: {},
              TagsToAdd: {
                shape: "Sc4"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagsToRemove"
            ],
            members: {
              ResourceArn: {},
              TagsToRemove: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateBlueprint: {
          input: {
            type: "structure",
            required: [
              "Name",
              "BlueprintLocation"
            ],
            members: {
              Name: {},
              Description: {},
              BlueprintLocation: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {}
            }
          }
        },
        UpdateClassifier: {
          input: {
            type: "structure",
            members: {
              GrokClassifier: {
                type: "structure",
                required: [
                  "Name"
                ],
                members: {
                  Name: {},
                  Classification: {},
                  GrokPattern: {},
                  CustomPatterns: {}
                }
              },
              XMLClassifier: {
                type: "structure",
                required: [
                  "Name"
                ],
                members: {
                  Name: {},
                  Classification: {},
                  RowTag: {}
                }
              },
              JsonClassifier: {
                type: "structure",
                required: [
                  "Name"
                ],
                members: {
                  Name: {},
                  JsonPath: {}
                }
              },
              CsvClassifier: {
                type: "structure",
                required: [
                  "Name"
                ],
                members: {
                  Name: {},
                  Delimiter: {},
                  QuoteSymbol: {},
                  ContainsHeader: {},
                  Header: {
                    shape: "Scl"
                  },
                  DisableValueTrimming: {
                    type: "boolean"
                  },
                  AllowSingleColumn: {
                    type: "boolean"
                  },
                  CustomDatatypeConfigured: {
                    type: "boolean"
                  },
                  CustomDatatypes: {
                    shape: "Scm"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateColumnStatisticsForPartition: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "PartitionValues",
              "ColumnStatisticsList"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              PartitionValues: {
                shape: "S6"
              },
              ColumnStatisticsList: {
                shape: "Sti"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Errors: {
                shape: "Stk"
              }
            }
          }
        },
        UpdateColumnStatisticsForTable: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "ColumnStatisticsList"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              ColumnStatisticsList: {
                shape: "Sti"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Errors: {
                shape: "Stk"
              }
            }
          }
        },
        UpdateConnection: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ConnectionInput"
            ],
            members: {
              CatalogId: {},
              Name: {},
              ConnectionInput: {
                shape: "Scp"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateCrawler: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Role: {},
              DatabaseName: {},
              Description: {},
              Targets: {
                shape: "S2b"
              },
              Schedule: {},
              Classifiers: {
                shape: "S30"
              },
              TablePrefix: {},
              SchemaChangePolicy: {
                shape: "S33"
              },
              RecrawlPolicy: {
                shape: "S31"
              },
              LineageConfiguration: {
                shape: "S36"
              },
              LakeFormationConfiguration: {
                shape: "S3m"
              },
              Configuration: {},
              CrawlerSecurityConfiguration: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateCrawlerSchedule: {
          input: {
            type: "structure",
            required: [
              "CrawlerName"
            ],
            members: {
              CrawlerName: {},
              Schedule: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDataQualityRuleset: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              Ruleset: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Description: {},
              Ruleset: {}
            }
          }
        },
        UpdateDatabase: {
          input: {
            type: "structure",
            required: [
              "Name",
              "DatabaseInput"
            ],
            members: {
              CatalogId: {},
              Name: {},
              DatabaseInput: {
                shape: "Sd6"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDevEndpoint: {
          input: {
            type: "structure",
            required: [
              "EndpointName"
            ],
            members: {
              EndpointName: {},
              PublicKey: {},
              AddPublicKeys: {
                shape: "S4i"
              },
              DeletePublicKeys: {
                shape: "S4i"
              },
              CustomLibraries: {
                type: "structure",
                members: {
                  ExtraPythonLibsS3Path: {},
                  ExtraJarsS3Path: {}
                }
              },
              UpdateEtlLibraries: {
                type: "boolean"
              },
              DeleteArguments: {
                shape: "S4e"
              },
              AddArguments: {
                shape: "S4j"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateJob: {
          input: {
            type: "structure",
            required: [
              "JobName",
              "JobUpdate"
            ],
            members: {
              JobName: {},
              JobUpdate: {
                type: "structure",
                members: {
                  Description: {},
                  LogUri: {},
                  Role: {},
                  ExecutionProperty: {
                    shape: "S4r"
                  },
                  Command: {
                    shape: "S4t"
                  },
                  DefaultArguments: {
                    shape: "S4x"
                  },
                  NonOverridableArguments: {
                    shape: "S4x"
                  },
                  Connections: {
                    shape: "S4y"
                  },
                  MaxRetries: {
                    type: "integer"
                  },
                  AllocatedCapacity: {
                    deprecated: true,
                    deprecatedMessage: "This property is deprecated, use MaxCapacity instead.",
                    type: "integer"
                  },
                  Timeout: {
                    type: "integer"
                  },
                  MaxCapacity: {
                    type: "double"
                  },
                  WorkerType: {},
                  NumberOfWorkers: {
                    type: "integer"
                  },
                  SecurityConfiguration: {},
                  NotificationProperty: {
                    shape: "S52"
                  },
                  GlueVersion: {},
                  CodeGenConfigurationNodes: {
                    shape: "S54"
                  },
                  ExecutionClass: {},
                  SourceControlDetails: {
                    shape: "S9p"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobName: {}
            }
          }
        },
        UpdateJobFromSourceControl: {
          input: {
            type: "structure",
            members: {
              JobName: {},
              Provider: {},
              RepositoryName: {},
              RepositoryOwner: {},
              BranchName: {},
              Folder: {},
              CommitId: {},
              AuthStrategy: {},
              AuthToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobName: {}
            }
          }
        },
        UpdateMLTransform: {
          input: {
            type: "structure",
            required: [
              "TransformId"
            ],
            members: {
              TransformId: {},
              Name: {},
              Description: {},
              Parameters: {
                shape: "Sdo"
              },
              Role: {},
              GlueVersion: {},
              MaxCapacity: {
                type: "double"
              },
              WorkerType: {},
              NumberOfWorkers: {
                type: "integer"
              },
              Timeout: {
                type: "integer"
              },
              MaxRetries: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransformId: {}
            }
          }
        },
        UpdatePartition: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "PartitionValueList",
              "PartitionInput"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              PartitionValueList: {
                shape: "Sbj"
              },
              PartitionInput: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateRegistry: {
          input: {
            type: "structure",
            required: [
              "RegistryId",
              "Description"
            ],
            members: {
              RegistryId: {
                shape: "Se5"
              },
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RegistryName: {},
              RegistryArn: {}
            }
          }
        },
        UpdateSchema: {
          input: {
            type: "structure",
            required: [
              "SchemaId"
            ],
            members: {
              SchemaId: {
                shape: "Sw"
              },
              SchemaVersionNumber: {
                shape: "Sn1"
              },
              Compatibility: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SchemaArn: {},
              SchemaName: {},
              RegistryName: {}
            }
          }
        },
        UpdateSourceControlFromJob: {
          input: {
            type: "structure",
            members: {
              JobName: {},
              Provider: {},
              RepositoryName: {},
              RepositoryOwner: {},
              BranchName: {},
              Folder: {},
              CommitId: {},
              AuthStrategy: {},
              AuthToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobName: {}
            }
          }
        },
        UpdateTable: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableInput"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableInput: {
                shape: "Sfb"
              },
              SkipArchive: {
                type: "boolean"
              },
              TransactionId: {},
              VersionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateTrigger: {
          input: {
            type: "structure",
            required: [
              "Name",
              "TriggerUpdate"
            ],
            members: {
              Name: {},
              TriggerUpdate: {
                type: "structure",
                members: {
                  Name: {},
                  Description: {},
                  Schedule: {},
                  Actions: {
                    shape: "Sa5"
                  },
                  Predicate: {
                    shape: "Sa7"
                  },
                  EventBatchingCondition: {
                    shape: "Sae"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Trigger: {
                shape: "Sa1"
              }
            }
          }
        },
        UpdateUserDefinedFunction: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "FunctionName",
              "FunctionInput"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              FunctionName: {},
              FunctionInput: {
                shape: "Sfo"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateWorkflow: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              DefaultRunProperties: {
                shape: "Sam"
              },
              MaxConcurrentRuns: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {}
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          members: {
            Values: {
              shape: "S6"
            },
            LastAccessTime: {
              type: "timestamp"
            },
            StorageDescriptor: {
              shape: "S9"
            },
            Parameters: {
              shape: "Se"
            },
            LastAnalyzedTime: {
              type: "timestamp"
            }
          }
        },
        S6: {
          type: "list",
          member: {}
        },
        S9: {
          type: "structure",
          members: {
            Columns: {
              shape: "Sa"
            },
            Location: {},
            AdditionalLocations: {
              type: "list",
              member: {}
            },
            InputFormat: {},
            OutputFormat: {},
            Compressed: {
              type: "boolean"
            },
            NumberOfBuckets: {
              type: "integer"
            },
            SerdeInfo: {
              type: "structure",
              members: {
                Name: {},
                SerializationLibrary: {},
                Parameters: {
                  shape: "Se"
                }
              }
            },
            BucketColumns: {
              shape: "Sn"
            },
            SortColumns: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Column",
                  "SortOrder"
                ],
                members: {
                  Column: {},
                  SortOrder: {
                    type: "integer"
                  }
                }
              }
            },
            Parameters: {
              shape: "Se"
            },
            SkewedInfo: {
              type: "structure",
              members: {
                SkewedColumnNames: {
                  shape: "Sn"
                },
                SkewedColumnValues: {
                  type: "list",
                  member: {}
                },
                SkewedColumnValueLocationMaps: {
                  type: "map",
                  key: {},
                  value: {}
                }
              }
            },
            StoredAsSubDirectories: {
              type: "boolean"
            },
            SchemaReference: {
              type: "structure",
              members: {
                SchemaId: {
                  shape: "Sw"
                },
                SchemaVersionId: {},
                SchemaVersionNumber: {
                  type: "long"
                }
              }
            }
          }
        },
        Sa: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Type: {},
              Comment: {},
              Parameters: {
                shape: "Se"
              }
            }
          }
        },
        Se: {
          type: "map",
          key: {},
          value: {}
        },
        Sn: {
          type: "list",
          member: {}
        },
        Sw: {
          type: "structure",
          members: {
            SchemaArn: {},
            SchemaName: {},
            RegistryName: {}
          }
        },
        S12: {
          type: "list",
          member: {
            type: "structure",
            members: {
              PartitionValues: {
                shape: "S6"
              },
              ErrorDetail: {
                shape: "S14"
              }
            }
          }
        },
        S14: {
          type: "structure",
          members: {
            ErrorCode: {},
            ErrorMessage: {}
          }
        },
        S1c: {
          type: "structure",
          required: [
            "Values"
          ],
          members: {
            Values: {
              shape: "S6"
            }
          }
        },
        S1w: {
          type: "structure",
          members: {
            Name: {},
            Description: {},
            CreatedOn: {
              type: "timestamp"
            },
            LastModifiedOn: {
              type: "timestamp"
            },
            ParameterSpec: {},
            BlueprintLocation: {},
            BlueprintServiceLocation: {},
            Status: {},
            ErrorMessage: {},
            LastActiveDefinition: {
              type: "structure",
              members: {
                Description: {},
                LastModifiedOn: {
                  type: "timestamp"
                },
                ParameterSpec: {},
                BlueprintLocation: {},
                BlueprintServiceLocation: {}
              }
            }
          }
        },
        S24: {
          type: "list",
          member: {}
        },
        S26: {
          type: "list",
          member: {}
        },
        S28: {
          type: "list",
          member: {
            shape: "S29"
          }
        },
        S29: {
          type: "structure",
          members: {
            Name: {},
            Role: {},
            Targets: {
              shape: "S2b"
            },
            DatabaseName: {},
            Description: {},
            Classifiers: {
              shape: "S30"
            },
            RecrawlPolicy: {
              shape: "S31"
            },
            SchemaChangePolicy: {
              shape: "S33"
            },
            LineageConfiguration: {
              shape: "S36"
            },
            State: {},
            TablePrefix: {},
            Schedule: {
              type: "structure",
              members: {
                ScheduleExpression: {},
                State: {}
              }
            },
            CrawlElapsedTime: {
              type: "long"
            },
            CreationTime: {
              type: "timestamp"
            },
            LastUpdated: {
              type: "timestamp"
            },
            LastCrawl: {
              type: "structure",
              members: {
                Status: {},
                ErrorMessage: {},
                LogGroup: {},
                LogStream: {},
                MessagePrefix: {},
                StartTime: {
                  type: "timestamp"
                }
              }
            },
            Version: {
              type: "long"
            },
            Configuration: {},
            CrawlerSecurityConfiguration: {},
            LakeFormationConfiguration: {
              shape: "S3m"
            }
          }
        },
        S2b: {
          type: "structure",
          members: {
            S3Targets: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Path: {},
                  Exclusions: {
                    shape: "S2f"
                  },
                  ConnectionName: {},
                  SampleSize: {
                    type: "integer"
                  },
                  EventQueueArn: {},
                  DlqEventQueueArn: {}
                }
              }
            },
            JdbcTargets: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  ConnectionName: {},
                  Path: {},
                  Exclusions: {
                    shape: "S2f"
                  },
                  EnableAdditionalMetadata: {
                    type: "list",
                    member: {}
                  }
                }
              }
            },
            MongoDBTargets: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  ConnectionName: {},
                  Path: {},
                  ScanAll: {
                    type: "boolean"
                  }
                }
              }
            },
            DynamoDBTargets: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Path: {},
                  scanAll: {
                    type: "boolean"
                  },
                  scanRate: {
                    type: "double"
                  }
                }
              }
            },
            CatalogTargets: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "DatabaseName",
                  "Tables"
                ],
                members: {
                  DatabaseName: {},
                  Tables: {
                    type: "list",
                    member: {}
                  },
                  ConnectionName: {},
                  EventQueueArn: {},
                  DlqEventQueueArn: {}
                }
              }
            },
            DeltaTargets: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  DeltaTables: {
                    shape: "S2f"
                  },
                  ConnectionName: {},
                  WriteManifest: {
                    type: "boolean"
                  },
                  CreateNativeDeltaTable: {
                    type: "boolean"
                  }
                }
              }
            },
            IcebergTargets: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Paths: {
                    shape: "S2f"
                  },
                  ConnectionName: {},
                  Exclusions: {
                    shape: "S2f"
                  },
                  MaximumTraversalDepth: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        S2f: {
          type: "list",
          member: {}
        },
        S30: {
          type: "list",
          member: {}
        },
        S31: {
          type: "structure",
          members: {
            RecrawlBehavior: {}
          }
        },
        S33: {
          type: "structure",
          members: {
            UpdateBehavior: {},
            DeleteBehavior: {}
          }
        },
        S36: {
          type: "structure",
          members: {
            CrawlerLineageSettings: {}
          }
        },
        S3m: {
          type: "structure",
          members: {
            UseLakeFormationCredentials: {
              type: "boolean"
            },
            AccountId: {}
          }
        },
        S3p: {
          type: "list",
          member: {}
        },
        S3r: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "RegexString"
            ],
            members: {
              Name: {},
              RegexString: {},
              ContextWords: {
                shape: "S3t"
              }
            }
          }
        },
        S3t: {
          type: "list",
          member: {}
        },
        S3v: {
          type: "list",
          member: {}
        },
        S41: {
          type: "structure",
          required: [
            "GlueTable"
          ],
          members: {
            GlueTable: {
              shape: "S42"
            }
          }
        },
        S42: {
          type: "structure",
          required: [
            "DatabaseName",
            "TableName"
          ],
          members: {
            DatabaseName: {},
            TableName: {},
            CatalogId: {},
            ConnectionName: {},
            AdditionalOptions: {
              type: "map",
              key: {},
              value: {}
            }
          }
        },
        S44: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Description: {},
              EvaluationMessage: {},
              Result: {},
              EvaluatedMetrics: {
                type: "map",
                key: {},
                value: {
                  type: "double"
                }
              }
            }
          }
        },
        S49: {
          type: "list",
          member: {}
        },
        S4b: {
          type: "list",
          member: {
            shape: "S4c"
          }
        },
        S4c: {
          type: "structure",
          members: {
            EndpointName: {},
            RoleArn: {},
            SecurityGroupIds: {
              shape: "S4e"
            },
            SubnetId: {},
            YarnEndpointAddress: {},
            PrivateAddress: {},
            ZeppelinRemoteSparkInterpreterPort: {
              type: "integer"
            },
            PublicAddress: {},
            Status: {},
            WorkerType: {},
            GlueVersion: {},
            NumberOfWorkers: {
              type: "integer"
            },
            NumberOfNodes: {
              type: "integer"
            },
            AvailabilityZone: {},
            VpcId: {},
            ExtraPythonLibsS3Path: {},
            ExtraJarsS3Path: {},
            FailureReason: {},
            LastUpdateStatus: {},
            CreatedTimestamp: {
              type: "timestamp"
            },
            LastModifiedTimestamp: {
              type: "timestamp"
            },
            PublicKey: {},
            PublicKeys: {
              shape: "S4i"
            },
            SecurityConfiguration: {},
            Arguments: {
              shape: "S4j"
            }
          }
        },
        S4e: {
          type: "list",
          member: {}
        },
        S4i: {
          type: "list",
          member: {}
        },
        S4j: {
          type: "map",
          key: {},
          value: {}
        },
        S4l: {
          type: "list",
          member: {}
        },
        S4n: {
          type: "list",
          member: {
            shape: "S4o"
          }
        },
        S4o: {
          type: "structure",
          members: {
            Name: {},
            Description: {},
            LogUri: {},
            Role: {},
            CreatedOn: {
              type: "timestamp"
            },
            LastModifiedOn: {
              type: "timestamp"
            },
            ExecutionProperty: {
              shape: "S4r"
            },
            Command: {
              shape: "S4t"
            },
            DefaultArguments: {
              shape: "S4x"
            },
            NonOverridableArguments: {
              shape: "S4x"
            },
            Connections: {
              shape: "S4y"
            },
            MaxRetries: {
              type: "integer"
            },
            AllocatedCapacity: {
              deprecated: true,
              deprecatedMessage: "This property is deprecated, use MaxCapacity instead.",
              type: "integer"
            },
            Timeout: {
              type: "integer"
            },
            MaxCapacity: {
              type: "double"
            },
            WorkerType: {},
            NumberOfWorkers: {
              type: "integer"
            },
            SecurityConfiguration: {},
            NotificationProperty: {
              shape: "S52"
            },
            GlueVersion: {},
            CodeGenConfigurationNodes: {
              shape: "S54"
            },
            ExecutionClass: {},
            SourceControlDetails: {
              shape: "S9p"
            }
          }
        },
        S4r: {
          type: "structure",
          members: {
            MaxConcurrentRuns: {
              type: "integer"
            }
          }
        },
        S4t: {
          type: "structure",
          members: {
            Name: {},
            ScriptLocation: {},
            PythonVersion: {},
            Runtime: {}
          }
        },
        S4x: {
          type: "map",
          key: {},
          value: {}
        },
        S4y: {
          type: "structure",
          members: {
            Connections: {
              shape: "S4z"
            }
          }
        },
        S4z: {
          type: "list",
          member: {}
        },
        S52: {
          type: "structure",
          members: {
            NotifyDelayAfter: {
              type: "integer"
            }
          }
        },
        S54: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              AthenaConnectorSource: {
                type: "structure",
                required: [
                  "Name",
                  "ConnectionName",
                  "ConnectorName",
                  "ConnectionType",
                  "SchemaName"
                ],
                members: {
                  Name: {},
                  ConnectionName: {},
                  ConnectorName: {},
                  ConnectionType: {},
                  ConnectionTable: {},
                  SchemaName: {},
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              JDBCConnectorSource: {
                type: "structure",
                required: [
                  "Name",
                  "ConnectionName",
                  "ConnectorName",
                  "ConnectionType"
                ],
                members: {
                  Name: {},
                  ConnectionName: {},
                  ConnectorName: {},
                  ConnectionType: {},
                  AdditionalOptions: {
                    type: "structure",
                    members: {
                      FilterPredicate: {},
                      PartitionColumn: {},
                      LowerBound: {
                        type: "long"
                      },
                      UpperBound: {
                        type: "long"
                      },
                      NumPartitions: {
                        type: "long"
                      },
                      JobBookmarkKeys: {
                        shape: "S5j"
                      },
                      JobBookmarkKeysSortOrder: {},
                      DataTypeMapping: {
                        type: "map",
                        key: {},
                        value: {}
                      }
                    }
                  },
                  ConnectionTable: {},
                  Query: {},
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              SparkConnectorSource: {
                type: "structure",
                required: [
                  "Name",
                  "ConnectionName",
                  "ConnectorName",
                  "ConnectionType"
                ],
                members: {
                  Name: {},
                  ConnectionName: {},
                  ConnectorName: {},
                  ConnectionType: {},
                  AdditionalOptions: {
                    shape: "S5p"
                  },
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              CatalogSource: {
                type: "structure",
                required: [
                  "Name",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Database: {},
                  Table: {}
                }
              },
              RedshiftSource: {
                type: "structure",
                required: [
                  "Name",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Database: {},
                  Table: {},
                  RedshiftTmpDir: {},
                  TmpDirIAMRole: {}
                }
              },
              S3CatalogSource: {
                type: "structure",
                required: [
                  "Name",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Database: {},
                  Table: {},
                  PartitionPredicate: {},
                  AdditionalOptions: {
                    shape: "S5t"
                  }
                }
              },
              S3CsvSource: {
                type: "structure",
                required: [
                  "Name",
                  "Paths",
                  "Separator",
                  "QuoteChar"
                ],
                members: {
                  Name: {},
                  Paths: {
                    shape: "S5j"
                  },
                  CompressionType: {},
                  Exclusions: {
                    shape: "S5j"
                  },
                  GroupSize: {},
                  GroupFiles: {},
                  Recurse: {
                    type: "boolean"
                  },
                  MaxBand: {
                    type: "integer"
                  },
                  MaxFilesInBand: {
                    type: "integer"
                  },
                  AdditionalOptions: {
                    shape: "S5z"
                  },
                  Separator: {},
                  Escaper: {},
                  QuoteChar: {},
                  Multiline: {
                    type: "boolean"
                  },
                  WithHeader: {
                    type: "boolean"
                  },
                  WriteHeader: {
                    type: "boolean"
                  },
                  SkipFirst: {
                    type: "boolean"
                  },
                  OptimizePerformance: {
                    type: "boolean"
                  },
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              S3JsonSource: {
                type: "structure",
                required: [
                  "Name",
                  "Paths"
                ],
                members: {
                  Name: {},
                  Paths: {
                    shape: "S5j"
                  },
                  CompressionType: {},
                  Exclusions: {
                    shape: "S5j"
                  },
                  GroupSize: {},
                  GroupFiles: {},
                  Recurse: {
                    type: "boolean"
                  },
                  MaxBand: {
                    type: "integer"
                  },
                  MaxFilesInBand: {
                    type: "integer"
                  },
                  AdditionalOptions: {
                    shape: "S5z"
                  },
                  JsonPath: {},
                  Multiline: {
                    type: "boolean"
                  },
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              S3ParquetSource: {
                type: "structure",
                required: [
                  "Name",
                  "Paths"
                ],
                members: {
                  Name: {},
                  Paths: {
                    shape: "S5j"
                  },
                  CompressionType: {},
                  Exclusions: {
                    shape: "S5j"
                  },
                  GroupSize: {},
                  GroupFiles: {},
                  Recurse: {
                    type: "boolean"
                  },
                  MaxBand: {
                    type: "integer"
                  },
                  MaxFilesInBand: {
                    type: "integer"
                  },
                  AdditionalOptions: {
                    shape: "S5z"
                  },
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              RelationalCatalogSource: {
                type: "structure",
                required: [
                  "Name",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Database: {},
                  Table: {}
                }
              },
              DynamoDBCatalogSource: {
                type: "structure",
                required: [
                  "Name",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Database: {},
                  Table: {}
                }
              },
              JDBCConnectorTarget: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "ConnectionName",
                  "ConnectionTable",
                  "ConnectorName",
                  "ConnectionType"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  ConnectionName: {},
                  ConnectionTable: {},
                  ConnectorName: {},
                  ConnectionType: {},
                  AdditionalOptions: {
                    shape: "S5p"
                  },
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              SparkConnectorTarget: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "ConnectionName",
                  "ConnectorName",
                  "ConnectionType"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  ConnectionName: {},
                  ConnectorName: {},
                  ConnectionType: {},
                  AdditionalOptions: {
                    shape: "S5p"
                  },
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              CatalogTarget: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Database: {},
                  Table: {}
                }
              },
              RedshiftTarget: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Database: {},
                  Table: {},
                  RedshiftTmpDir: {},
                  TmpDirIAMRole: {},
                  UpsertRedshiftOptions: {
                    type: "structure",
                    members: {
                      TableLocation: {},
                      ConnectionName: {},
                      UpsertKeys: {
                        type: "list",
                        member: {}
                      }
                    }
                  }
                }
              },
              S3CatalogTarget: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Table",
                  "Database"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  PartitionKeys: {
                    shape: "S6g"
                  },
                  Table: {},
                  Database: {},
                  SchemaChangePolicy: {
                    shape: "S6h"
                  }
                }
              },
              S3GlueParquetTarget: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Path"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  PartitionKeys: {
                    shape: "S6g"
                  },
                  Path: {},
                  Compression: {},
                  SchemaChangePolicy: {
                    shape: "S6k"
                  }
                }
              },
              S3DirectTarget: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Path",
                  "Format"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  PartitionKeys: {
                    shape: "S6g"
                  },
                  Path: {},
                  Compression: {},
                  Format: {},
                  SchemaChangePolicy: {
                    shape: "S6k"
                  }
                }
              },
              ApplyMapping: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Mapping"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Mapping: {
                    shape: "S6o"
                  }
                }
              },
              SelectFields: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Paths"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Paths: {
                    shape: "S6g"
                  }
                }
              },
              DropFields: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Paths"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Paths: {
                    shape: "S6g"
                  }
                }
              },
              RenameField: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "SourcePath",
                  "TargetPath"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  SourcePath: {
                    shape: "S5j"
                  },
                  TargetPath: {
                    shape: "S5j"
                  }
                }
              },
              Spigot: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Path"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Path: {},
                  Topk: {
                    type: "integer"
                  },
                  Prob: {
                    type: "double"
                  }
                }
              },
              Join: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "JoinType",
                  "Columns"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S6x"
                  },
                  JoinType: {},
                  Columns: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "From",
                        "Keys"
                      ],
                      members: {
                        From: {},
                        Keys: {
                          shape: "S6g"
                        }
                      }
                    }
                  }
                }
              },
              SplitFields: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Paths"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Paths: {
                    shape: "S6g"
                  }
                }
              },
              SelectFromCollection: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Index"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Index: {
                    type: "integer"
                  }
                }
              },
              FillMissingValues: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "ImputedPath"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  ImputedPath: {},
                  FilledPath: {}
                }
              },
              Filter: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "LogicalOperator",
                  "Filters"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  LogicalOperator: {},
                  Filters: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Operation",
                        "Values"
                      ],
                      members: {
                        Operation: {},
                        Negated: {
                          type: "boolean"
                        },
                        Values: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "Type",
                              "Value"
                            ],
                            members: {
                              Type: {},
                              Value: {
                                shape: "S5j"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              CustomCode: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Code",
                  "ClassName"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S7e"
                  },
                  Code: {},
                  ClassName: {},
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              SparkSQL: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "SqlQuery",
                  "SqlAliases"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S7e"
                  },
                  SqlQuery: {},
                  SqlAliases: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "From",
                        "Alias"
                      ],
                      members: {
                        From: {},
                        Alias: {}
                      }
                    }
                  },
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              DirectKinesisSource: {
                type: "structure",
                required: [
                  "Name"
                ],
                members: {
                  Name: {},
                  WindowSize: {
                    type: "integer"
                  },
                  DetectSchema: {
                    type: "boolean"
                  },
                  StreamingOptions: {
                    shape: "S7l"
                  },
                  DataPreviewOptions: {
                    shape: "S7o"
                  }
                }
              },
              DirectKafkaSource: {
                type: "structure",
                required: [
                  "Name"
                ],
                members: {
                  Name: {},
                  StreamingOptions: {
                    shape: "S7s"
                  },
                  WindowSize: {
                    type: "integer"
                  },
                  DetectSchema: {
                    type: "boolean"
                  },
                  DataPreviewOptions: {
                    shape: "S7o"
                  }
                }
              },
              CatalogKinesisSource: {
                type: "structure",
                required: [
                  "Name",
                  "Table",
                  "Database"
                ],
                members: {
                  Name: {},
                  WindowSize: {
                    type: "integer"
                  },
                  DetectSchema: {
                    type: "boolean"
                  },
                  Table: {},
                  Database: {},
                  StreamingOptions: {
                    shape: "S7l"
                  },
                  DataPreviewOptions: {
                    shape: "S7o"
                  }
                }
              },
              CatalogKafkaSource: {
                type: "structure",
                required: [
                  "Name",
                  "Table",
                  "Database"
                ],
                members: {
                  Name: {},
                  WindowSize: {
                    type: "integer"
                  },
                  DetectSchema: {
                    type: "boolean"
                  },
                  Table: {},
                  Database: {},
                  StreamingOptions: {
                    shape: "S7s"
                  },
                  DataPreviewOptions: {
                    shape: "S7o"
                  }
                }
              },
              DropNullFields: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  NullCheckBoxList: {
                    type: "structure",
                    members: {
                      IsEmpty: {
                        type: "boolean"
                      },
                      IsNullString: {
                        type: "boolean"
                      },
                      IsNegOne: {
                        type: "boolean"
                      }
                    }
                  },
                  NullTextList: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Value",
                        "Datatype"
                      ],
                      members: {
                        Value: {},
                        Datatype: {
                          type: "structure",
                          required: [
                            "Id",
                            "Label"
                          ],
                          members: {
                            Id: {},
                            Label: {}
                          }
                        }
                      }
                    }
                  }
                }
              },
              Merge: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Source",
                  "PrimaryKeys"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S6x"
                  },
                  Source: {},
                  PrimaryKeys: {
                    shape: "S6g"
                  }
                }
              },
              Union: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "UnionType"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S6x"
                  },
                  UnionType: {}
                }
              },
              PIIDetection: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "PiiType",
                  "EntityTypesToDetect"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  PiiType: {},
                  EntityTypesToDetect: {
                    shape: "S5j"
                  },
                  OutputColumnName: {},
                  SampleFraction: {
                    type: "double"
                  },
                  ThresholdFraction: {
                    type: "double"
                  },
                  MaskValue: {}
                }
              },
              Aggregate: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Groups",
                  "Aggs"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Groups: {
                    shape: "S6g"
                  },
                  Aggs: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Column",
                        "AggFunc"
                      ],
                      members: {
                        Column: {
                          shape: "S5j"
                        },
                        AggFunc: {}
                      }
                    }
                  }
                }
              },
              DropDuplicates: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Columns: {
                    type: "list",
                    member: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              GovernedCatalogTarget: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Table",
                  "Database"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  PartitionKeys: {
                    shape: "S6g"
                  },
                  Table: {},
                  Database: {},
                  SchemaChangePolicy: {
                    shape: "S6h"
                  }
                }
              },
              GovernedCatalogSource: {
                type: "structure",
                required: [
                  "Name",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Database: {},
                  Table: {},
                  PartitionPredicate: {},
                  AdditionalOptions: {
                    shape: "S5t"
                  }
                }
              },
              MicrosoftSQLServerCatalogSource: {
                type: "structure",
                required: [
                  "Name",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Database: {},
                  Table: {}
                }
              },
              MySQLCatalogSource: {
                type: "structure",
                required: [
                  "Name",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Database: {},
                  Table: {}
                }
              },
              OracleSQLCatalogSource: {
                type: "structure",
                required: [
                  "Name",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Database: {},
                  Table: {}
                }
              },
              PostgreSQLCatalogSource: {
                type: "structure",
                required: [
                  "Name",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Database: {},
                  Table: {}
                }
              },
              MicrosoftSQLServerCatalogTarget: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Database: {},
                  Table: {}
                }
              },
              MySQLCatalogTarget: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Database: {},
                  Table: {}
                }
              },
              OracleSQLCatalogTarget: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Database: {},
                  Table: {}
                }
              },
              PostgreSQLCatalogTarget: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Database: {},
                  Table: {}
                }
              },
              DynamicTransform: {
                type: "structure",
                required: [
                  "Name",
                  "TransformName",
                  "Inputs",
                  "FunctionName",
                  "Path"
                ],
                members: {
                  Name: {},
                  TransformName: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Parameters: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Name",
                        "Type"
                      ],
                      members: {
                        Name: {},
                        Type: {},
                        ValidationRule: {},
                        ValidationMessage: {},
                        Value: {
                          shape: "S5j"
                        },
                        ListType: {},
                        IsOptional: {
                          type: "boolean"
                        }
                      }
                    }
                  },
                  FunctionName: {},
                  Path: {},
                  Version: {},
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              EvaluateDataQuality: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Ruleset"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Ruleset: {},
                  Output: {},
                  PublishingOptions: {
                    shape: "S8w"
                  },
                  StopJobOnFailureOptions: {
                    shape: "S8x"
                  }
                }
              },
              S3CatalogHudiSource: {
                type: "structure",
                required: [
                  "Name",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Database: {},
                  Table: {},
                  AdditionalHudiOptions: {
                    shape: "S5p"
                  },
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              CatalogHudiSource: {
                type: "structure",
                required: [
                  "Name",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Database: {},
                  Table: {},
                  AdditionalHudiOptions: {
                    shape: "S5p"
                  },
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              S3HudiSource: {
                type: "structure",
                required: [
                  "Name",
                  "Paths"
                ],
                members: {
                  Name: {},
                  Paths: {
                    shape: "S5j"
                  },
                  AdditionalHudiOptions: {
                    shape: "S5p"
                  },
                  AdditionalOptions: {
                    shape: "S5z"
                  },
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              S3HudiCatalogTarget: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Table",
                  "Database",
                  "AdditionalOptions"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  PartitionKeys: {
                    shape: "S6g"
                  },
                  Table: {},
                  Database: {},
                  AdditionalOptions: {
                    shape: "S5p"
                  },
                  SchemaChangePolicy: {
                    shape: "S6h"
                  }
                }
              },
              S3HudiDirectTarget: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Path",
                  "Compression",
                  "Format",
                  "AdditionalOptions"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  Path: {},
                  Compression: {},
                  PartitionKeys: {
                    shape: "S6g"
                  },
                  Format: {},
                  AdditionalOptions: {
                    shape: "S5p"
                  },
                  SchemaChangePolicy: {
                    shape: "S6k"
                  }
                }
              },
              DirectJDBCSource: {
                type: "structure",
                required: [
                  "Name",
                  "Database",
                  "Table",
                  "ConnectionName",
                  "ConnectionType"
                ],
                members: {
                  Name: {},
                  Database: {},
                  Table: {},
                  ConnectionName: {},
                  ConnectionType: {},
                  RedshiftTmpDir: {}
                }
              },
              S3CatalogDeltaSource: {
                type: "structure",
                required: [
                  "Name",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Database: {},
                  Table: {},
                  AdditionalDeltaOptions: {
                    shape: "S5p"
                  },
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              CatalogDeltaSource: {
                type: "structure",
                required: [
                  "Name",
                  "Database",
                  "Table"
                ],
                members: {
                  Name: {},
                  Database: {},
                  Table: {},
                  AdditionalDeltaOptions: {
                    shape: "S5p"
                  },
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              S3DeltaSource: {
                type: "structure",
                required: [
                  "Name",
                  "Paths"
                ],
                members: {
                  Name: {},
                  Paths: {
                    shape: "S5j"
                  },
                  AdditionalDeltaOptions: {
                    shape: "S5p"
                  },
                  AdditionalOptions: {
                    shape: "S5z"
                  },
                  OutputSchemas: {
                    shape: "S5b"
                  }
                }
              },
              S3DeltaCatalogTarget: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Table",
                  "Database"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  PartitionKeys: {
                    shape: "S6g"
                  },
                  Table: {},
                  Database: {},
                  AdditionalOptions: {
                    shape: "S5p"
                  },
                  SchemaChangePolicy: {
                    shape: "S6h"
                  }
                }
              },
              S3DeltaDirectTarget: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Path",
                  "Compression",
                  "Format"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S69"
                  },
                  PartitionKeys: {
                    shape: "S6g"
                  },
                  Path: {},
                  Compression: {},
                  Format: {},
                  AdditionalOptions: {
                    shape: "S5p"
                  },
                  SchemaChangePolicy: {
                    shape: "S6k"
                  }
                }
              },
              AmazonRedshiftSource: {
                type: "structure",
                members: {
                  Name: {},
                  Data: {
                    shape: "S9e"
                  }
                }
              },
              AmazonRedshiftTarget: {
                type: "structure",
                members: {
                  Name: {},
                  Data: {
                    shape: "S9e"
                  },
                  Inputs: {
                    shape: "S69"
                  }
                }
              },
              EvaluateDataQualityMultiFrame: {
                type: "structure",
                required: [
                  "Name",
                  "Inputs",
                  "Ruleset"
                ],
                members: {
                  Name: {},
                  Inputs: {
                    shape: "S7e"
                  },
                  AdditionalDataSources: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  Ruleset: {},
                  PublishingOptions: {
                    shape: "S8w"
                  },
                  AdditionalOptions: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  StopJobOnFailureOptions: {
                    shape: "S8x"
                  }
                }
              }
            }
          },
          sensitive: true
        },
        S5b: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Columns: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name"
                  ],
                  members: {
                    Name: {},
                    Type: {}
                  }
                }
              }
            }
          }
        },
        S5j: {
          type: "list",
          member: {}
        },
        S5p: {
          type: "map",
          key: {},
          value: {}
        },
        S5t: {
          type: "structure",
          members: {
            BoundedSize: {
              type: "long"
            },
            BoundedFiles: {
              type: "long"
            }
          }
        },
        S5z: {
          type: "structure",
          members: {
            BoundedSize: {
              type: "long"
            },
            BoundedFiles: {
              type: "long"
            },
            EnableSamplePath: {
              type: "boolean"
            },
            SamplePath: {}
          }
        },
        S69: {
          type: "list",
          member: {}
        },
        S6g: {
          type: "list",
          member: {
            shape: "S5j"
          }
        },
        S6h: {
          type: "structure",
          members: {
            EnableUpdateCatalog: {
              type: "boolean"
            },
            UpdateBehavior: {}
          }
        },
        S6k: {
          type: "structure",
          members: {
            EnableUpdateCatalog: {
              type: "boolean"
            },
            UpdateBehavior: {},
            Table: {},
            Database: {}
          }
        },
        S6o: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ToKey: {},
              FromPath: {
                shape: "S5j"
              },
              FromType: {},
              ToType: {},
              Dropped: {
                type: "boolean"
              },
              Children: {
                shape: "S6o"
              }
            }
          }
        },
        S6x: {
          type: "list",
          member: {}
        },
        S7e: {
          type: "list",
          member: {}
        },
        S7l: {
          type: "structure",
          members: {
            EndpointUrl: {},
            StreamName: {},
            Classification: {},
            Delimiter: {},
            StartingPosition: {},
            MaxFetchTimeInMs: {
              type: "long"
            },
            MaxFetchRecordsPerShard: {
              type: "long"
            },
            MaxRecordPerRead: {
              type: "long"
            },
            AddIdleTimeBetweenReads: {
              type: "boolean"
            },
            IdleTimeBetweenReadsInMs: {
              type: "long"
            },
            DescribeShardInterval: {
              type: "long"
            },
            NumRetries: {
              type: "integer"
            },
            RetryIntervalMs: {
              type: "long"
            },
            MaxRetryIntervalMs: {
              type: "long"
            },
            AvoidEmptyBatches: {
              type: "boolean"
            },
            StreamArn: {},
            RoleArn: {},
            RoleSessionName: {},
            AddRecordTimestamp: {},
            EmitConsumerLagMetrics: {},
            StartingTimestamp: {
              shape: "S7n"
            }
          }
        },
        S7n: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S7o: {
          type: "structure",
          members: {
            PollingTime: {
              type: "long"
            },
            RecordPollingLimit: {
              type: "long"
            }
          }
        },
        S7s: {
          type: "structure",
          members: {
            BootstrapServers: {},
            SecurityProtocol: {},
            ConnectionName: {},
            TopicName: {},
            Assign: {},
            SubscribePattern: {},
            Classification: {},
            Delimiter: {},
            StartingOffsets: {},
            EndingOffsets: {},
            PollTimeoutMs: {
              type: "long"
            },
            NumRetries: {
              type: "integer"
            },
            RetryIntervalMs: {
              type: "long"
            },
            MaxOffsetsPerTrigger: {
              type: "long"
            },
            MinPartitions: {
              type: "integer"
            },
            IncludeHeaders: {
              type: "boolean"
            },
            AddRecordTimestamp: {},
            EmitConsumerLagMetrics: {},
            StartingTimestamp: {
              shape: "S7n"
            }
          }
        },
        S8w: {
          type: "structure",
          members: {
            EvaluationContext: {},
            ResultsS3Prefix: {},
            CloudWatchMetricsEnabled: {
              type: "boolean"
            },
            ResultsPublishingEnabled: {
              type: "boolean"
            }
          }
        },
        S8x: {
          type: "structure",
          members: {
            StopJobOnFailureTiming: {}
          }
        },
        S9e: {
          type: "structure",
          members: {
            AccessType: {},
            SourceType: {},
            Connection: {
              shape: "S9f"
            },
            Schema: {
              shape: "S9f"
            },
            Table: {
              shape: "S9f"
            },
            CatalogDatabase: {
              shape: "S9f"
            },
            CatalogTable: {
              shape: "S9f"
            },
            CatalogRedshiftSchema: {},
            CatalogRedshiftTable: {},
            TempDir: {},
            IamRole: {
              shape: "S9f"
            },
            AdvancedOptions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Key: {},
                  Value: {}
                }
              }
            },
            SampleQuery: {},
            PreAction: {},
            PostAction: {},
            Action: {},
            TablePrefix: {},
            Upsert: {
              type: "boolean"
            },
            MergeAction: {},
            MergeWhenMatched: {},
            MergeWhenNotMatched: {},
            MergeClause: {},
            CrawlerConnection: {},
            TableSchema: {
              shape: "S9i"
            },
            StagingTable: {},
            SelectedColumns: {
              shape: "S9i"
            }
          }
        },
        S9f: {
          type: "structure",
          members: {
            Value: {},
            Label: {},
            Description: {}
          }
        },
        S9i: {
          type: "list",
          member: {
            shape: "S9f"
          }
        },
        S9p: {
          type: "structure",
          members: {
            Provider: {},
            Repository: {},
            Owner: {},
            Branch: {},
            Folder: {},
            LastCommitId: {},
            AuthStrategy: {},
            AuthToken: {}
          }
        },
        S9t: {
          type: "list",
          member: {
            shape: "S1c"
          }
        },
        S9v: {
          type: "list",
          member: {
            shape: "S9w"
          }
        },
        S9w: {
          type: "structure",
          members: {
            Values: {
              shape: "S6"
            },
            DatabaseName: {},
            TableName: {},
            CreationTime: {
              type: "timestamp"
            },
            LastAccessTime: {
              type: "timestamp"
            },
            StorageDescriptor: {
              shape: "S9"
            },
            Parameters: {
              shape: "Se"
            },
            LastAnalyzedTime: {
              type: "timestamp"
            },
            CatalogId: {}
          }
        },
        S9y: {
          type: "list",
          member: {}
        },
        Sa0: {
          type: "list",
          member: {
            shape: "Sa1"
          }
        },
        Sa1: {
          type: "structure",
          members: {
            Name: {},
            WorkflowName: {},
            Id: {},
            Type: {},
            State: {},
            Description: {},
            Schedule: {},
            Actions: {
              shape: "Sa5"
            },
            Predicate: {
              shape: "Sa7"
            },
            EventBatchingCondition: {
              shape: "Sae"
            }
          }
        },
        Sa5: {
          type: "list",
          member: {
            type: "structure",
            members: {
              JobName: {},
              Arguments: {
                shape: "S4x"
              },
              Timeout: {
                type: "integer"
              },
              SecurityConfiguration: {},
              NotificationProperty: {
                shape: "S52"
              },
              CrawlerName: {}
            }
          }
        },
        Sa7: {
          type: "structure",
          members: {
            Logical: {},
            Conditions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  LogicalOperator: {},
                  JobName: {},
                  State: {},
                  CrawlerName: {},
                  CrawlState: {}
                }
              }
            }
          }
        },
        Sae: {
          type: "structure",
          required: [
            "BatchSize"
          ],
          members: {
            BatchSize: {
              type: "integer"
            },
            BatchWindow: {
              type: "integer"
            }
          }
        },
        Sai: {
          type: "list",
          member: {}
        },
        Sal: {
          type: "structure",
          members: {
            Name: {},
            Description: {},
            DefaultRunProperties: {
              shape: "Sam"
            },
            CreatedOn: {
              type: "timestamp"
            },
            LastModifiedOn: {
              type: "timestamp"
            },
            LastRun: {
              shape: "San"
            },
            Graph: {
              shape: "Saq"
            },
            MaxConcurrentRuns: {
              type: "integer"
            },
            BlueprintDetails: {
              type: "structure",
              members: {
                BlueprintName: {},
                RunId: {}
              }
            }
          }
        },
        Sam: {
          type: "map",
          key: {},
          value: {}
        },
        San: {
          type: "structure",
          members: {
            Name: {},
            WorkflowRunId: {},
            PreviousRunId: {},
            WorkflowRunProperties: {
              shape: "Sam"
            },
            StartedOn: {
              type: "timestamp"
            },
            CompletedOn: {
              type: "timestamp"
            },
            Status: {},
            ErrorMessage: {},
            Statistics: {
              type: "structure",
              members: {
                TotalActions: {
                  type: "integer"
                },
                TimeoutActions: {
                  type: "integer"
                },
                FailedActions: {
                  type: "integer"
                },
                StoppedActions: {
                  type: "integer"
                },
                SucceededActions: {
                  type: "integer"
                },
                RunningActions: {
                  type: "integer"
                },
                ErroredActions: {
                  type: "integer"
                },
                WaitingActions: {
                  type: "integer"
                }
              }
            },
            Graph: {
              shape: "Saq"
            },
            StartingEventBatchCondition: {
              type: "structure",
              members: {
                BatchSize: {
                  type: "integer"
                },
                BatchWindow: {
                  type: "integer"
                }
              }
            }
          }
        },
        Saq: {
          type: "structure",
          members: {
            Nodes: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Type: {},
                  Name: {},
                  UniqueId: {},
                  TriggerDetails: {
                    type: "structure",
                    members: {
                      Trigger: {
                        shape: "Sa1"
                      }
                    }
                  },
                  JobDetails: {
                    type: "structure",
                    members: {
                      JobRuns: {
                        shape: "Saw"
                      }
                    }
                  },
                  CrawlerDetails: {
                    type: "structure",
                    members: {
                      Crawls: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            State: {},
                            StartedOn: {
                              type: "timestamp"
                            },
                            CompletedOn: {
                              type: "timestamp"
                            },
                            ErrorMessage: {},
                            LogGroup: {},
                            LogStream: {}
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            Edges: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  SourceId: {},
                  DestinationId: {}
                }
              }
            }
          }
        },
        Saw: {
          type: "list",
          member: {
            shape: "Sax"
          }
        },
        Sax: {
          type: "structure",
          members: {
            Id: {},
            Attempt: {
              type: "integer"
            },
            PreviousRunId: {},
            TriggerName: {},
            JobName: {},
            StartedOn: {
              type: "timestamp"
            },
            LastModifiedOn: {
              type: "timestamp"
            },
            CompletedOn: {
              type: "timestamp"
            },
            JobRunState: {},
            Arguments: {
              shape: "S4x"
            },
            ErrorMessage: {},
            PredecessorRuns: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  JobName: {},
                  RunId: {}
                }
              }
            },
            AllocatedCapacity: {
              deprecated: true,
              deprecatedMessage: "This property is deprecated, use MaxCapacity instead.",
              type: "integer"
            },
            ExecutionTime: {
              type: "integer"
            },
            Timeout: {
              type: "integer"
            },
            MaxCapacity: {
              type: "double"
            },
            WorkerType: {},
            NumberOfWorkers: {
              type: "integer"
            },
            SecurityConfiguration: {},
            LogGroupName: {},
            NotificationProperty: {
              shape: "S52"
            },
            GlueVersion: {},
            DPUSeconds: {
              type: "double"
            },
            ExecutionClass: {}
          }
        },
        Sbj: {
          type: "list",
          member: {}
        },
        Sc4: {
          type: "map",
          key: {},
          value: {}
        },
        Scl: {
          type: "list",
          member: {}
        },
        Scm: {
          type: "list",
          member: {}
        },
        Scp: {
          type: "structure",
          required: [
            "Name",
            "ConnectionType",
            "ConnectionProperties"
          ],
          members: {
            Name: {},
            Description: {},
            ConnectionType: {},
            MatchCriteria: {
              shape: "Scr"
            },
            ConnectionProperties: {
              shape: "Scs"
            },
            PhysicalConnectionRequirements: {
              shape: "Scu"
            }
          }
        },
        Scr: {
          type: "list",
          member: {}
        },
        Scs: {
          type: "map",
          key: {},
          value: {}
        },
        Scu: {
          type: "structure",
          members: {
            SubnetId: {},
            SecurityGroupIdList: {
              type: "list",
              member: {}
            },
            AvailabilityZone: {}
          }
        },
        Sd3: {
          type: "structure",
          required: [
            "TableName",
            "DatabaseName"
          ],
          members: {
            TableName: {},
            DatabaseName: {},
            CatalogId: {}
          }
        },
        Sd6: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            Description: {},
            LocationUri: {},
            Parameters: {
              shape: "Se"
            },
            CreateTableDefaultPermissions: {
              shape: "Sd8"
            },
            TargetDatabase: {
              shape: "Sde"
            },
            FederatedDatabase: {
              shape: "Sdf"
            }
          }
        },
        Sd8: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Principal: {
                type: "structure",
                members: {
                  DataLakePrincipalIdentifier: {}
                }
              },
              Permissions: {
                type: "list",
                member: {}
              }
            }
          }
        },
        Sde: {
          type: "structure",
          members: {
            CatalogId: {},
            DatabaseName: {},
            Region: {}
          }
        },
        Sdf: {
          type: "structure",
          members: {
            Identifier: {},
            ConnectionName: {}
          }
        },
        Sdn: {
          type: "list",
          member: {
            shape: "S42"
          }
        },
        Sdo: {
          type: "structure",
          required: [
            "TransformType"
          ],
          members: {
            TransformType: {},
            FindMatchesParameters: {
              type: "structure",
              members: {
                PrimaryKeyColumnName: {},
                PrecisionRecallTradeoff: {
                  type: "double"
                },
                AccuracyCostTradeoff: {
                  type: "double"
                },
                EnforceProvidedLabels: {
                  type: "boolean"
                }
              }
            }
          }
        },
        Sds: {
          type: "structure",
          members: {
            MlUserDataEncryption: {
              type: "structure",
              required: [
                "MlUserDataEncryptionMode"
              ],
              members: {
                MlUserDataEncryptionMode: {},
                KmsKeyId: {}
              }
            },
            TaskRunSecurityConfigurationName: {}
          }
        },
        Sdz: {
          type: "structure",
          required: [
            "Keys",
            "IndexName"
          ],
          members: {
            Keys: {
              type: "list",
              member: {}
            },
            IndexName: {}
          }
        },
        Se5: {
          type: "structure",
          members: {
            RegistryName: {},
            RegistryArn: {}
          }
        },
        Sec: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Id",
              "NodeType",
              "Args"
            ],
            members: {
              Id: {},
              NodeType: {},
              Args: {
                shape: "Seg"
              },
              LineNumber: {
                type: "integer"
              }
            }
          }
        },
        Seg: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Value"
            ],
            members: {
              Name: {},
              Value: {},
              Param: {
                type: "boolean"
              }
            }
          }
        },
        Sek: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Source",
              "Target"
            ],
            members: {
              Source: {},
              Target: {},
              TargetParameter: {}
            }
          }
        },
        Ser: {
          type: "structure",
          members: {
            S3Encryption: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  S3EncryptionMode: {},
                  KmsKeyArn: {}
                }
              }
            },
            CloudWatchEncryption: {
              type: "structure",
              members: {
                CloudWatchEncryptionMode: {},
                KmsKeyArn: {}
              }
            },
            JobBookmarksEncryption: {
              type: "structure",
              members: {
                JobBookmarksEncryptionMode: {},
                KmsKeyArn: {}
              }
            }
          }
        },
        Sf3: {
          type: "structure",
          members: {
            Name: {},
            PythonVersion: {}
          }
        },
        Sf4: {
          type: "map",
          key: {},
          value: {}
        },
        Sf7: {
          type: "structure",
          members: {
            Id: {},
            CreatedOn: {
              type: "timestamp"
            },
            Status: {},
            ErrorMessage: {},
            Description: {},
            Role: {},
            Command: {
              shape: "Sf3"
            },
            DefaultArguments: {
              shape: "Sf4"
            },
            Connections: {
              shape: "S4y"
            },
            Progress: {
              type: "double"
            },
            MaxCapacity: {
              type: "double"
            },
            SecurityConfiguration: {},
            GlueVersion: {}
          }
        },
        Sfb: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            Description: {},
            Owner: {},
            LastAccessTime: {
              type: "timestamp"
            },
            LastAnalyzedTime: {
              type: "timestamp"
            },
            Retention: {
              type: "integer"
            },
            StorageDescriptor: {
              shape: "S9"
            },
            PartitionKeys: {
              shape: "Sa"
            },
            ViewOriginalText: {},
            ViewExpandedText: {},
            TableType: {},
            Parameters: {
              shape: "Se"
            },
            TargetTable: {
              shape: "Sff"
            }
          }
        },
        Sff: {
          type: "structure",
          members: {
            CatalogId: {},
            DatabaseName: {},
            Name: {},
            Region: {}
          }
        },
        Sfo: {
          type: "structure",
          members: {
            FunctionName: {},
            ClassName: {},
            OwnerName: {},
            OwnerType: {},
            ResourceUris: {
              shape: "Sfq"
            }
          }
        },
        Sfq: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ResourceType: {},
              Uri: {}
            }
          }
        },
        Shl: {
          type: "structure",
          members: {
            BlueprintName: {},
            RunId: {},
            WorkflowName: {},
            State: {},
            StartedOn: {
              type: "timestamp"
            },
            CompletedOn: {
              type: "timestamp"
            },
            ErrorMessage: {},
            RollbackErrorMessage: {},
            Parameters: {},
            RoleArn: {}
          }
        },
        Shz: {
          type: "structure",
          members: {
            GrokClassifier: {
              type: "structure",
              required: [
                "Name",
                "Classification",
                "GrokPattern"
              ],
              members: {
                Name: {},
                Classification: {},
                CreationTime: {
                  type: "timestamp"
                },
                LastUpdated: {
                  type: "timestamp"
                },
                Version: {
                  type: "long"
                },
                GrokPattern: {},
                CustomPatterns: {}
              }
            },
            XMLClassifier: {
              type: "structure",
              required: [
                "Name",
                "Classification"
              ],
              members: {
                Name: {},
                Classification: {},
                CreationTime: {
                  type: "timestamp"
                },
                LastUpdated: {
                  type: "timestamp"
                },
                Version: {
                  type: "long"
                },
                RowTag: {}
              }
            },
            JsonClassifier: {
              type: "structure",
              required: [
                "Name",
                "JsonPath"
              ],
              members: {
                Name: {},
                CreationTime: {
                  type: "timestamp"
                },
                LastUpdated: {
                  type: "timestamp"
                },
                Version: {
                  type: "long"
                },
                JsonPath: {}
              }
            },
            CsvClassifier: {
              type: "structure",
              required: [
                "Name"
              ],
              members: {
                Name: {},
                CreationTime: {
                  type: "timestamp"
                },
                LastUpdated: {
                  type: "timestamp"
                },
                Version: {
                  type: "long"
                },
                Delimiter: {},
                QuoteSymbol: {},
                ContainsHeader: {},
                Header: {
                  shape: "Scl"
                },
                DisableValueTrimming: {
                  type: "boolean"
                },
                AllowSingleColumn: {
                  type: "boolean"
                },
                CustomDatatypeConfigured: {
                  type: "boolean"
                },
                CustomDatatypes: {
                  shape: "Scm"
                }
              }
            }
          }
        },
        Si9: {
          type: "list",
          member: {}
        },
        Sib: {
          type: "list",
          member: {
            shape: "Sic"
          }
        },
        Sic: {
          type: "structure",
          required: [
            "ColumnName",
            "ColumnType",
            "AnalyzedTime",
            "StatisticsData"
          ],
          members: {
            ColumnName: {},
            ColumnType: {},
            AnalyzedTime: {
              type: "timestamp"
            },
            StatisticsData: {
              type: "structure",
              required: [
                "Type"
              ],
              members: {
                Type: {},
                BooleanColumnStatisticsData: {
                  type: "structure",
                  required: [
                    "NumberOfTrues",
                    "NumberOfFalses",
                    "NumberOfNulls"
                  ],
                  members: {
                    NumberOfTrues: {
                      type: "long"
                    },
                    NumberOfFalses: {
                      type: "long"
                    },
                    NumberOfNulls: {
                      type: "long"
                    }
                  }
                },
                DateColumnStatisticsData: {
                  type: "structure",
                  required: [
                    "NumberOfNulls",
                    "NumberOfDistinctValues"
                  ],
                  members: {
                    MinimumValue: {
                      type: "timestamp"
                    },
                    MaximumValue: {
                      type: "timestamp"
                    },
                    NumberOfNulls: {
                      type: "long"
                    },
                    NumberOfDistinctValues: {
                      type: "long"
                    }
                  }
                },
                DecimalColumnStatisticsData: {
                  type: "structure",
                  required: [
                    "NumberOfNulls",
                    "NumberOfDistinctValues"
                  ],
                  members: {
                    MinimumValue: {
                      shape: "Sik"
                    },
                    MaximumValue: {
                      shape: "Sik"
                    },
                    NumberOfNulls: {
                      type: "long"
                    },
                    NumberOfDistinctValues: {
                      type: "long"
                    }
                  }
                },
                DoubleColumnStatisticsData: {
                  type: "structure",
                  required: [
                    "NumberOfNulls",
                    "NumberOfDistinctValues"
                  ],
                  members: {
                    MinimumValue: {
                      type: "double"
                    },
                    MaximumValue: {
                      type: "double"
                    },
                    NumberOfNulls: {
                      type: "long"
                    },
                    NumberOfDistinctValues: {
                      type: "long"
                    }
                  }
                },
                LongColumnStatisticsData: {
                  type: "structure",
                  required: [
                    "NumberOfNulls",
                    "NumberOfDistinctValues"
                  ],
                  members: {
                    MinimumValue: {
                      type: "long"
                    },
                    MaximumValue: {
                      type: "long"
                    },
                    NumberOfNulls: {
                      type: "long"
                    },
                    NumberOfDistinctValues: {
                      type: "long"
                    }
                  }
                },
                StringColumnStatisticsData: {
                  type: "structure",
                  required: [
                    "MaximumLength",
                    "AverageLength",
                    "NumberOfNulls",
                    "NumberOfDistinctValues"
                  ],
                  members: {
                    MaximumLength: {
                      type: "long"
                    },
                    AverageLength: {
                      type: "double"
                    },
                    NumberOfNulls: {
                      type: "long"
                    },
                    NumberOfDistinctValues: {
                      type: "long"
                    }
                  }
                },
                BinaryColumnStatisticsData: {
                  type: "structure",
                  required: [
                    "MaximumLength",
                    "AverageLength",
                    "NumberOfNulls"
                  ],
                  members: {
                    MaximumLength: {
                      type: "long"
                    },
                    AverageLength: {
                      type: "double"
                    },
                    NumberOfNulls: {
                      type: "long"
                    }
                  }
                }
              }
            }
          }
        },
        Sik: {
          type: "structure",
          required: [
            "UnscaledValue",
            "Scale"
          ],
          members: {
            UnscaledValue: {
              type: "blob"
            },
            Scale: {
              type: "integer"
            }
          }
        },
        Sit: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ColumnName: {},
              Error: {
                shape: "S14"
              }
            }
          }
        },
        Siz: {
          type: "structure",
          members: {
            Name: {},
            Description: {},
            ConnectionType: {},
            MatchCriteria: {
              shape: "Scr"
            },
            ConnectionProperties: {
              shape: "Scs"
            },
            PhysicalConnectionRequirements: {
              shape: "Scu"
            },
            CreationTime: {
              type: "timestamp"
            },
            LastUpdatedTime: {
              type: "timestamp"
            },
            LastUpdatedBy: {}
          }
        },
        Sjg: {
          type: "structure",
          members: {
            EncryptionAtRest: {
              type: "structure",
              required: [
                "CatalogEncryptionMode"
              ],
              members: {
                CatalogEncryptionMode: {},
                SseAwsKmsKeyId: {}
              }
            },
            ConnectionPasswordEncryption: {
              type: "structure",
              required: [
                "ReturnConnectionPasswordEncrypted"
              ],
              members: {
                ReturnConnectionPasswordEncrypted: {
                  type: "boolean"
                },
                AwsKmsKeyId: {}
              }
            }
          }
        },
        Sjs: {
          type: "structure",
          members: {
            CloudWatchMetricsEnabled: {
              type: "boolean"
            },
            ResultsS3Prefix: {}
          }
        },
        Sjt: {
          type: "list",
          member: {}
        },
        Sjv: {
          type: "map",
          key: {},
          value: {
            shape: "S41"
          }
        },
        Sjy: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            Description: {},
            LocationUri: {},
            Parameters: {
              shape: "Se"
            },
            CreateTime: {
              type: "timestamp"
            },
            CreateTableDefaultPermissions: {
              shape: "Sd8"
            },
            TargetDatabase: {
              shape: "Sde"
            },
            CatalogId: {},
            FederatedDatabase: {
              shape: "Sdf"
            }
          }
        },
        Skg: {
          type: "structure",
          members: {
            JobName: {},
            Version: {
              type: "integer"
            },
            Run: {
              type: "integer"
            },
            Attempt: {
              type: "integer"
            },
            PreviousRunId: {},
            RunId: {},
            JobBookmark: {}
          }
        },
        Skq: {
          type: "structure",
          members: {
            TaskType: {},
            ImportLabelsTaskRunProperties: {
              type: "structure",
              members: {
                InputS3Path: {},
                Replace: {
                  type: "boolean"
                }
              }
            },
            ExportLabelsTaskRunProperties: {
              type: "structure",
              members: {
                OutputS3Path: {}
              }
            },
            LabelingSetGenerationTaskRunProperties: {
              type: "structure",
              members: {
                OutputS3Path: {}
              }
            },
            FindMatchesTaskRunProperties: {
              type: "structure",
              members: {
                JobId: {},
                JobName: {},
                JobRunId: {}
              }
            }
          }
        },
        Sl9: {
          type: "structure",
          required: [
            "TransformType"
          ],
          members: {
            TransformType: {},
            FindMatchesMetrics: {
              type: "structure",
              members: {
                AreaUnderPRCurve: {
                  type: "double"
                },
                Precision: {
                  type: "double"
                },
                Recall: {
                  type: "double"
                },
                F1: {
                  type: "double"
                },
                ConfusionMatrix: {
                  type: "structure",
                  members: {
                    NumTruePositives: {
                      type: "long"
                    },
                    NumFalsePositives: {
                      type: "long"
                    },
                    NumTrueNegatives: {
                      type: "long"
                    },
                    NumFalseNegatives: {
                      type: "long"
                    }
                  }
                },
                ColumnImportances: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      ColumnName: {},
                      Importance: {
                        type: "double"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Slg: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              DataType: {}
            }
          }
        },
        Slj: {
          type: "structure",
          members: {
            Name: {},
            TransformType: {},
            Status: {},
            GlueVersion: {},
            CreatedBefore: {
              type: "timestamp"
            },
            CreatedAfter: {
              type: "timestamp"
            },
            LastModifiedBefore: {
              type: "timestamp"
            },
            LastModifiedAfter: {
              type: "timestamp"
            },
            Schema: {
              shape: "Slg"
            }
          }
        },
        Slk: {
          type: "structure",
          required: [
            "Column",
            "SortDirection"
          ],
          members: {
            Column: {},
            SortDirection: {}
          }
        },
        Slq: {
          type: "structure",
          required: [
            "DatabaseName",
            "TableName"
          ],
          members: {
            DatabaseName: {},
            TableName: {}
          }
        },
        Slr: {
          type: "list",
          member: {
            shape: "Slq"
          }
        },
        Sls: {
          type: "structure",
          members: {
            Jdbc: {
              shape: "Seg"
            },
            S3: {
              shape: "Seg"
            },
            DynamoDB: {
              shape: "Seg"
            }
          }
        },
        Slu: {
          type: "list",
          member: {
            type: "structure",
            members: {
              SourceTable: {},
              SourcePath: {},
              SourceType: {},
              TargetTable: {},
              TargetPath: {},
              TargetType: {}
            }
          }
        },
        Sme: {
          type: "structure",
          required: [
            "SegmentNumber",
            "TotalSegments"
          ],
          members: {
            SegmentNumber: {
              type: "integer"
            },
            TotalSegments: {
              type: "integer"
            }
          }
        },
        Sn1: {
          type: "structure",
          members: {
            LatestVersion: {
              type: "boolean"
            },
            VersionNumber: {
              type: "long"
            }
          }
        },
        Sna: {
          type: "structure",
          members: {
            Name: {},
            CreatedTimeStamp: {
              type: "timestamp"
            },
            EncryptionConfiguration: {
              shape: "Ser"
            }
          }
        },
        Sni: {
          type: "structure",
          members: {
            Id: {
              type: "integer"
            },
            Code: {},
            State: {},
            Output: {
              type: "structure",
              members: {
                Data: {
                  type: "structure",
                  members: {
                    TextPlain: {}
                  }
                },
                ExecutionCount: {
                  type: "integer"
                },
                Status: {},
                ErrorName: {},
                ErrorValue: {},
                Traceback: {
                  shape: "S4z"
                }
              }
            },
            Progress: {
              type: "double"
            },
            StartedOn: {
              type: "long"
            },
            CompletedOn: {
              type: "long"
            }
          }
        },
        Snp: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            DatabaseName: {},
            Description: {},
            Owner: {},
            CreateTime: {
              type: "timestamp"
            },
            UpdateTime: {
              type: "timestamp"
            },
            LastAccessTime: {
              type: "timestamp"
            },
            LastAnalyzedTime: {
              type: "timestamp"
            },
            Retention: {
              type: "integer"
            },
            StorageDescriptor: {
              shape: "S9"
            },
            PartitionKeys: {
              shape: "Sa"
            },
            ViewOriginalText: {},
            ViewExpandedText: {},
            TableType: {},
            Parameters: {
              shape: "Se"
            },
            CreatedBy: {},
            IsRegisteredWithLakeFormation: {
              type: "boolean"
            },
            TargetTable: {
              shape: "Sff"
            },
            CatalogId: {},
            VersionId: {},
            FederatedTable: {
              type: "structure",
              members: {
                Identifier: {},
                DatabaseIdentifier: {},
                ConnectionName: {}
              }
            }
          }
        },
        Snt: {
          type: "structure",
          members: {
            Table: {
              shape: "Snp"
            },
            VersionId: {}
          }
        },
        So0: {
          type: "list",
          member: {
            shape: "Snp"
          }
        },
        So8: {
          type: "structure",
          members: {
            AdditionalAuditContext: {},
            RequestedColumns: {
              type: "list",
              member: {}
            },
            AllColumnsRequested: {
              type: "boolean"
            }
          }
        },
        Sob: {
          type: "list",
          member: {}
        },
        Soo: {
          type: "structure",
          members: {
            FunctionName: {},
            DatabaseName: {},
            ClassName: {},
            OwnerName: {},
            OwnerType: {},
            CreateTime: {
              type: "timestamp"
            },
            ResourceUris: {
              shape: "Sfq"
            },
            CatalogId: {}
          }
        },
        Sr8: {
          type: "structure",
          members: {
            MetadataKey: {},
            MetadataValue: {}
          }
        },
        Srt: {
          type: "list",
          member: {}
        },
        Sti: {
          type: "list",
          member: {
            shape: "Sic"
          }
        },
        Stk: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ColumnStatistics: {
                shape: "Sic"
              },
              Error: {
                shape: "S14"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/glue-2017-03-31.paginators.json
var require_glue_2017_03_31_paginators = __commonJS({
  "node_modules/aws-sdk/apis/glue-2017-03-31.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetBlueprintRuns: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetClassifiers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetConnections: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetCrawlerMetrics: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetCrawlers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetDatabases: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetDevEndpoints: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetJobRuns: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetMLTaskRuns: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetMLTransforms: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetPartitionIndexes: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "PartitionIndexDescriptorList"
        },
        GetPartitions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetResourcePolicies: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "GetResourcePoliciesResponseList"
        },
        GetSecurityConfigurations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "SecurityConfigurations"
        },
        GetTableVersions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetTables: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetTriggers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetUnfilteredPartitionsMetadata: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetUserDefinedFunctions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetWorkflowRuns: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListBlueprints: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListCrawlers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListCustomEntityTypes: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListDataQualityResults: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListDataQualityRuleRecommendationRuns: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListDataQualityRulesetEvaluationRuns: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListDataQualityRulesets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListDevEndpoints: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListMLTransforms: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListRegistries: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Registries"
        },
        ListSchemaVersions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Schemas"
        },
        ListSchemas: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Schemas"
        },
        ListSessions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListTriggers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListWorkflows: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        SearchTables: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/glue.js
var require_glue = __commonJS({
  "node_modules/aws-sdk/clients/glue.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["glue"] = {};
    AWS2.Glue = Service.defineService("glue", ["2017-03-31"]);
    Object.defineProperty(apiLoader.services["glue"], "2017-03-31", {
      get: function get() {
        var model = require_glue_2017_03_31_min();
        model.paginators = require_glue_2017_03_31_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Glue;
  }
});

// node_modules/aws-sdk/apis/mobile-2017-07-01.min.json
var require_mobile_2017_07_01_min = __commonJS({
  "node_modules/aws-sdk/apis/mobile-2017-07-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-07-01",
        endpointPrefix: "mobile",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Mobile",
        serviceId: "Mobile",
        signatureVersion: "v4",
        signingName: "AWSMobileHubService",
        uid: "mobile-2017-07-01"
      },
      operations: {
        CreateProject: {
          http: {
            requestUri: "/projects"
          },
          input: {
            type: "structure",
            members: {
              name: {
                location: "querystring",
                locationName: "name"
              },
              region: {
                location: "querystring",
                locationName: "region"
              },
              contents: {
                type: "blob"
              },
              snapshotId: {
                location: "querystring",
                locationName: "snapshotId"
              }
            },
            payload: "contents"
          },
          output: {
            type: "structure",
            members: {
              details: {
                shape: "S7"
              }
            }
          }
        },
        DeleteProject: {
          http: {
            method: "DELETE",
            requestUri: "/projects/{projectId}"
          },
          input: {
            type: "structure",
            required: [
              "projectId"
            ],
            members: {
              projectId: {
                location: "uri",
                locationName: "projectId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              deletedResources: {
                shape: "Sc"
              },
              orphanedResources: {
                shape: "Sc"
              }
            }
          }
        },
        DescribeBundle: {
          http: {
            method: "GET",
            requestUri: "/bundles/{bundleId}"
          },
          input: {
            type: "structure",
            required: [
              "bundleId"
            ],
            members: {
              bundleId: {
                location: "uri",
                locationName: "bundleId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              details: {
                shape: "Sq"
              }
            }
          }
        },
        DescribeProject: {
          http: {
            method: "GET",
            requestUri: "/project"
          },
          input: {
            type: "structure",
            required: [
              "projectId"
            ],
            members: {
              projectId: {
                location: "querystring",
                locationName: "projectId"
              },
              syncFromResources: {
                location: "querystring",
                locationName: "syncFromResources",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              details: {
                shape: "S7"
              }
            }
          }
        },
        ExportBundle: {
          http: {
            requestUri: "/bundles/{bundleId}"
          },
          input: {
            type: "structure",
            required: [
              "bundleId"
            ],
            members: {
              bundleId: {
                location: "uri",
                locationName: "bundleId"
              },
              projectId: {
                location: "querystring",
                locationName: "projectId"
              },
              platform: {
                location: "querystring",
                locationName: "platform"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              downloadUrl: {}
            }
          }
        },
        ExportProject: {
          http: {
            requestUri: "/exports/{projectId}"
          },
          input: {
            type: "structure",
            required: [
              "projectId"
            ],
            members: {
              projectId: {
                location: "uri",
                locationName: "projectId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              downloadUrl: {},
              shareUrl: {},
              snapshotId: {}
            }
          }
        },
        ListBundles: {
          http: {
            method: "GET",
            requestUri: "/bundles"
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              bundleList: {
                type: "list",
                member: {
                  shape: "Sq"
                }
              },
              nextToken: {}
            }
          }
        },
        ListProjects: {
          http: {
            method: "GET",
            requestUri: "/projects"
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              projects: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    projectId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        UpdateProject: {
          http: {
            requestUri: "/update"
          },
          input: {
            type: "structure",
            required: [
              "projectId"
            ],
            members: {
              contents: {
                type: "blob"
              },
              projectId: {
                location: "querystring",
                locationName: "projectId"
              }
            },
            payload: "contents"
          },
          output: {
            type: "structure",
            members: {
              details: {
                shape: "S7"
              }
            }
          }
        }
      },
      shapes: {
        S7: {
          type: "structure",
          members: {
            name: {},
            projectId: {},
            region: {},
            state: {},
            createdDate: {
              type: "timestamp"
            },
            lastUpdatedDate: {
              type: "timestamp"
            },
            consoleUrl: {},
            resources: {
              shape: "Sc"
            }
          }
        },
        Sc: {
          type: "list",
          member: {
            type: "structure",
            members: {
              type: {},
              name: {},
              arn: {},
              feature: {},
              attributes: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        Sq: {
          type: "structure",
          members: {
            bundleId: {},
            title: {},
            version: {},
            description: {},
            iconUrl: {},
            availablePlatforms: {
              type: "list",
              member: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/mobile-2017-07-01.paginators.json
var require_mobile_2017_07_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/mobile-2017-07-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListBundles: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListProjects: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/mobile.js
var require_mobile = __commonJS({
  "node_modules/aws-sdk/clients/mobile.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["mobile"] = {};
    AWS2.Mobile = Service.defineService("mobile", ["2017-07-01"]);
    Object.defineProperty(apiLoader.services["mobile"], "2017-07-01", {
      get: function get() {
        var model = require_mobile_2017_07_01_min();
        model.paginators = require_mobile_2017_07_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Mobile;
  }
});

// node_modules/aws-sdk/apis/pricing-2017-10-15.min.json
var require_pricing_2017_10_15_min = __commonJS({
  "node_modules/aws-sdk/apis/pricing-2017-10-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-10-15",
        endpointPrefix: "api.pricing",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "AWS Pricing",
        serviceFullName: "AWS Price List Service",
        serviceId: "Pricing",
        signatureVersion: "v4",
        signingName: "pricing",
        targetPrefix: "AWSPriceListService",
        uid: "pricing-2017-10-15"
      },
      operations: {
        DescribeServices: {
          input: {
            type: "structure",
            members: {
              ServiceCode: {},
              FormatVersion: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Services: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ServiceCode"
                  ],
                  members: {
                    ServiceCode: {},
                    AttributeNames: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              FormatVersion: {},
              NextToken: {}
            }
          }
        },
        GetAttributeValues: {
          input: {
            type: "structure",
            required: [
              "ServiceCode",
              "AttributeName"
            ],
            members: {
              ServiceCode: {},
              AttributeName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AttributeValues: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Value: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetPriceListFileUrl: {
          input: {
            type: "structure",
            required: [
              "PriceListArn",
              "FileFormat"
            ],
            members: {
              PriceListArn: {},
              FileFormat: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Url: {}
            }
          }
        },
        GetProducts: {
          input: {
            type: "structure",
            required: [
              "ServiceCode"
            ],
            members: {
              ServiceCode: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Type",
                    "Field",
                    "Value"
                  ],
                  members: {
                    Type: {},
                    Field: {},
                    Value: {}
                  }
                }
              },
              FormatVersion: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FormatVersion: {},
              PriceList: {
                type: "list",
                member: {
                  jsonvalue: true
                }
              },
              NextToken: {}
            }
          }
        },
        ListPriceLists: {
          input: {
            type: "structure",
            required: [
              "ServiceCode",
              "EffectiveDate",
              "CurrencyCode"
            ],
            members: {
              ServiceCode: {},
              EffectiveDate: {
                type: "timestamp"
              },
              RegionCode: {},
              CurrencyCode: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PriceLists: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PriceListArn: {},
                    RegionCode: {},
                    CurrencyCode: {},
                    FileFormats: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        }
      },
      shapes: {}
    };
  }
});

// node_modules/aws-sdk/apis/pricing-2017-10-15.paginators.json
var require_pricing_2017_10_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/pricing-2017-10-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeServices: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Services"
        },
        GetAttributeValues: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "AttributeValues"
        },
        GetProducts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "PriceList"
        },
        ListPriceLists: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "PriceLists"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/pricing-2017-10-15.waiters2.json
var require_pricing_2017_10_15_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/pricing-2017-10-15.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {}
    };
  }
});

// node_modules/aws-sdk/clients/pricing.js
var require_pricing = __commonJS({
  "node_modules/aws-sdk/clients/pricing.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["pricing"] = {};
    AWS2.Pricing = Service.defineService("pricing", ["2017-10-15"]);
    Object.defineProperty(apiLoader.services["pricing"], "2017-10-15", {
      get: function get() {
        var model = require_pricing_2017_10_15_min();
        model.paginators = require_pricing_2017_10_15_paginators().pagination;
        model.waiters = require_pricing_2017_10_15_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Pricing;
  }
});

// node_modules/aws-sdk/apis/ce-2017-10-25.min.json
var require_ce_2017_10_25_min = __commonJS({
  "node_modules/aws-sdk/apis/ce-2017-10-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-10-25",
        endpointPrefix: "ce",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "AWS Cost Explorer",
        serviceFullName: "AWS Cost Explorer Service",
        serviceId: "Cost Explorer",
        signatureVersion: "v4",
        signingName: "ce",
        targetPrefix: "AWSInsightsIndexService",
        uid: "ce-2017-10-25"
      },
      operations: {
        CreateAnomalyMonitor: {
          input: {
            type: "structure",
            required: [
              "AnomalyMonitor"
            ],
            members: {
              AnomalyMonitor: {
                shape: "S2"
              },
              ResourceTags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "MonitorArn"
            ],
            members: {
              MonitorArn: {}
            }
          }
        },
        CreateAnomalySubscription: {
          input: {
            type: "structure",
            required: [
              "AnomalySubscription"
            ],
            members: {
              AnomalySubscription: {
                shape: "Sq"
              },
              ResourceTags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "SubscriptionArn"
            ],
            members: {
              SubscriptionArn: {}
            }
          }
        },
        CreateCostCategoryDefinition: {
          input: {
            type: "structure",
            required: [
              "Name",
              "RuleVersion",
              "Rules"
            ],
            members: {
              Name: {},
              EffectiveStart: {},
              RuleVersion: {},
              Rules: {
                shape: "S14"
              },
              DefaultValue: {},
              SplitChargeRules: {
                shape: "S1a"
              },
              ResourceTags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CostCategoryArn: {},
              EffectiveStart: {}
            }
          }
        },
        DeleteAnomalyMonitor: {
          input: {
            type: "structure",
            required: [
              "MonitorArn"
            ],
            members: {
              MonitorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAnomalySubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionArn"
            ],
            members: {
              SubscriptionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteCostCategoryDefinition: {
          input: {
            type: "structure",
            required: [
              "CostCategoryArn"
            ],
            members: {
              CostCategoryArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CostCategoryArn: {},
              EffectiveEnd: {}
            }
          }
        },
        DescribeCostCategoryDefinition: {
          input: {
            type: "structure",
            required: [
              "CostCategoryArn"
            ],
            members: {
              CostCategoryArn: {},
              EffectiveOn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CostCategory: {
                type: "structure",
                required: [
                  "CostCategoryArn",
                  "EffectiveStart",
                  "Name",
                  "RuleVersion",
                  "Rules"
                ],
                members: {
                  CostCategoryArn: {},
                  EffectiveStart: {},
                  EffectiveEnd: {},
                  Name: {},
                  RuleVersion: {},
                  Rules: {
                    shape: "S14"
                  },
                  SplitChargeRules: {
                    shape: "S1a"
                  },
                  ProcessingStatus: {
                    shape: "S1s"
                  },
                  DefaultValue: {}
                }
              }
            }
          }
        },
        GetAnomalies: {
          input: {
            type: "structure",
            required: [
              "DateInterval"
            ],
            members: {
              MonitorArn: {},
              DateInterval: {
                type: "structure",
                required: [
                  "StartDate"
                ],
                members: {
                  StartDate: {},
                  EndDate: {}
                }
              },
              Feedback: {},
              TotalImpact: {
                type: "structure",
                required: [
                  "NumericOperator",
                  "StartValue"
                ],
                members: {
                  NumericOperator: {},
                  StartValue: {
                    type: "double"
                  },
                  EndValue: {
                    type: "double"
                  }
                }
              },
              NextPageToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Anomalies"
            ],
            members: {
              Anomalies: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AnomalyId",
                    "AnomalyScore",
                    "Impact",
                    "MonitorArn"
                  ],
                  members: {
                    AnomalyId: {},
                    AnomalyStartDate: {},
                    AnomalyEndDate: {},
                    DimensionValue: {},
                    RootCauses: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Service: {},
                          Region: {},
                          LinkedAccount: {},
                          UsageType: {},
                          LinkedAccountName: {}
                        }
                      }
                    },
                    AnomalyScore: {
                      type: "structure",
                      required: [
                        "MaxScore",
                        "CurrentScore"
                      ],
                      members: {
                        MaxScore: {
                          type: "double"
                        },
                        CurrentScore: {
                          type: "double"
                        }
                      }
                    },
                    Impact: {
                      type: "structure",
                      required: [
                        "MaxImpact"
                      ],
                      members: {
                        MaxImpact: {
                          type: "double"
                        },
                        TotalImpact: {
                          type: "double"
                        },
                        TotalActualSpend: {
                          type: "double"
                        },
                        TotalExpectedSpend: {
                          type: "double"
                        },
                        TotalImpactPercentage: {
                          type: "double"
                        }
                      }
                    },
                    MonitorArn: {},
                    Feedback: {}
                  }
                }
              },
              NextPageToken: {}
            }
          }
        },
        GetAnomalyMonitors: {
          input: {
            type: "structure",
            members: {
              MonitorArnList: {
                shape: "Sb"
              },
              NextPageToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "AnomalyMonitors"
            ],
            members: {
              AnomalyMonitors: {
                type: "list",
                member: {
                  shape: "S2"
                }
              },
              NextPageToken: {}
            }
          }
        },
        GetAnomalySubscriptions: {
          input: {
            type: "structure",
            members: {
              SubscriptionArnList: {
                shape: "Sb"
              },
              MonitorArn: {},
              NextPageToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "AnomalySubscriptions"
            ],
            members: {
              AnomalySubscriptions: {
                type: "list",
                member: {
                  shape: "Sq"
                }
              },
              NextPageToken: {}
            }
          }
        },
        GetCostAndUsage: {
          input: {
            type: "structure",
            required: [
              "TimePeriod",
              "Granularity",
              "Metrics"
            ],
            members: {
              TimePeriod: {
                shape: "S2i"
              },
              Granularity: {},
              Filter: {
                shape: "S7"
              },
              Metrics: {
                shape: "S2k"
              },
              GroupBy: {
                shape: "S2m"
              },
              NextPageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextPageToken: {},
              GroupDefinitions: {
                shape: "S2m"
              },
              ResultsByTime: {
                shape: "S2r"
              },
              DimensionValueAttributes: {
                shape: "S32"
              }
            }
          }
        },
        GetCostAndUsageWithResources: {
          input: {
            type: "structure",
            required: [
              "TimePeriod",
              "Granularity",
              "Filter"
            ],
            members: {
              TimePeriod: {
                shape: "S2i"
              },
              Granularity: {},
              Filter: {
                shape: "S7"
              },
              Metrics: {
                shape: "S2k"
              },
              GroupBy: {
                shape: "S2m"
              },
              NextPageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextPageToken: {},
              GroupDefinitions: {
                shape: "S2m"
              },
              ResultsByTime: {
                shape: "S2r"
              },
              DimensionValueAttributes: {
                shape: "S32"
              }
            }
          }
        },
        GetCostCategories: {
          input: {
            type: "structure",
            required: [
              "TimePeriod"
            ],
            members: {
              SearchString: {},
              TimePeriod: {
                shape: "S2i"
              },
              CostCategoryName: {},
              Filter: {
                shape: "S7"
              },
              SortBy: {
                shape: "S3b"
              },
              MaxResults: {
                type: "integer"
              },
              NextPageToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ReturnSize",
              "TotalSize"
            ],
            members: {
              NextPageToken: {},
              CostCategoryNames: {
                type: "list",
                member: {}
              },
              CostCategoryValues: {
                shape: "S3i"
              },
              ReturnSize: {
                type: "integer"
              },
              TotalSize: {
                type: "integer"
              }
            }
          }
        },
        GetCostForecast: {
          input: {
            type: "structure",
            required: [
              "TimePeriod",
              "Metric",
              "Granularity"
            ],
            members: {
              TimePeriod: {
                shape: "S2i"
              },
              Metric: {},
              Granularity: {},
              Filter: {
                shape: "S7"
              },
              PredictionIntervalLevel: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Total: {
                shape: "S2u"
              },
              ForecastResultsByTime: {
                shape: "S3n"
              }
            }
          }
        },
        GetDimensionValues: {
          input: {
            type: "structure",
            required: [
              "TimePeriod",
              "Dimension"
            ],
            members: {
              SearchString: {},
              TimePeriod: {
                shape: "S2i"
              },
              Dimension: {},
              Context: {},
              Filter: {
                shape: "S7"
              },
              SortBy: {
                shape: "S3b"
              },
              MaxResults: {
                type: "integer"
              },
              NextPageToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "DimensionValues",
              "ReturnSize",
              "TotalSize"
            ],
            members: {
              DimensionValues: {
                shape: "S32"
              },
              ReturnSize: {
                type: "integer"
              },
              TotalSize: {
                type: "integer"
              },
              NextPageToken: {}
            }
          }
        },
        GetReservationCoverage: {
          input: {
            type: "structure",
            required: [
              "TimePeriod"
            ],
            members: {
              TimePeriod: {
                shape: "S2i"
              },
              GroupBy: {
                shape: "S2m"
              },
              Granularity: {},
              Filter: {
                shape: "S7"
              },
              Metrics: {
                shape: "S2k"
              },
              NextPageToken: {},
              SortBy: {
                shape: "S3c"
              },
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CoveragesByTime"
            ],
            members: {
              CoveragesByTime: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TimePeriod: {
                      shape: "S2i"
                    },
                    Groups: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Attributes: {
                            shape: "S34"
                          },
                          Coverage: {
                            shape: "S3y"
                          }
                        }
                      }
                    },
                    Total: {
                      shape: "S3y"
                    }
                  }
                }
              },
              Total: {
                shape: "S3y"
              },
              NextPageToken: {}
            }
          }
        },
        GetReservationPurchaseRecommendation: {
          input: {
            type: "structure",
            required: [
              "Service"
            ],
            members: {
              AccountId: {},
              Service: {},
              Filter: {
                shape: "S7"
              },
              AccountScope: {},
              LookbackPeriodInDays: {},
              TermInYears: {},
              PaymentOption: {},
              ServiceSpecification: {
                shape: "S4g"
              },
              PageSize: {
                type: "integer"
              },
              NextPageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Metadata: {
                type: "structure",
                members: {
                  RecommendationId: {},
                  GenerationTimestamp: {}
                }
              },
              Recommendations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AccountScope: {},
                    LookbackPeriodInDays: {},
                    TermInYears: {},
                    PaymentOption: {},
                    ServiceSpecification: {
                      shape: "S4g"
                    },
                    RecommendationDetails: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          AccountId: {},
                          InstanceDetails: {
                            type: "structure",
                            members: {
                              EC2InstanceDetails: {
                                type: "structure",
                                members: {
                                  Family: {},
                                  InstanceType: {},
                                  Region: {},
                                  AvailabilityZone: {},
                                  Platform: {},
                                  Tenancy: {},
                                  CurrentGeneration: {
                                    type: "boolean"
                                  },
                                  SizeFlexEligible: {
                                    type: "boolean"
                                  }
                                }
                              },
                              RDSInstanceDetails: {
                                type: "structure",
                                members: {
                                  Family: {},
                                  InstanceType: {},
                                  Region: {},
                                  DatabaseEngine: {},
                                  DatabaseEdition: {},
                                  DeploymentOption: {},
                                  LicenseModel: {},
                                  CurrentGeneration: {
                                    type: "boolean"
                                  },
                                  SizeFlexEligible: {
                                    type: "boolean"
                                  }
                                }
                              },
                              RedshiftInstanceDetails: {
                                type: "structure",
                                members: {
                                  Family: {},
                                  NodeType: {},
                                  Region: {},
                                  CurrentGeneration: {
                                    type: "boolean"
                                  },
                                  SizeFlexEligible: {
                                    type: "boolean"
                                  }
                                }
                              },
                              ElastiCacheInstanceDetails: {
                                type: "structure",
                                members: {
                                  Family: {},
                                  NodeType: {},
                                  Region: {},
                                  ProductDescription: {},
                                  CurrentGeneration: {
                                    type: "boolean"
                                  },
                                  SizeFlexEligible: {
                                    type: "boolean"
                                  }
                                }
                              },
                              ESInstanceDetails: {
                                type: "structure",
                                members: {
                                  InstanceClass: {},
                                  InstanceSize: {},
                                  Region: {},
                                  CurrentGeneration: {
                                    type: "boolean"
                                  },
                                  SizeFlexEligible: {
                                    type: "boolean"
                                  }
                                }
                              }
                            }
                          },
                          RecommendedNumberOfInstancesToPurchase: {},
                          RecommendedNormalizedUnitsToPurchase: {},
                          MinimumNumberOfInstancesUsedPerHour: {},
                          MinimumNormalizedUnitsUsedPerHour: {},
                          MaximumNumberOfInstancesUsedPerHour: {},
                          MaximumNormalizedUnitsUsedPerHour: {},
                          AverageNumberOfInstancesUsedPerHour: {},
                          AverageNormalizedUnitsUsedPerHour: {},
                          AverageUtilization: {},
                          EstimatedBreakEvenInMonths: {},
                          CurrencyCode: {},
                          EstimatedMonthlySavingsAmount: {},
                          EstimatedMonthlySavingsPercentage: {},
                          EstimatedMonthlyOnDemandCost: {},
                          EstimatedReservationCostForLookbackPeriod: {},
                          UpfrontCost: {},
                          RecurringStandardMonthlyCost: {}
                        }
                      }
                    },
                    RecommendationSummary: {
                      type: "structure",
                      members: {
                        TotalEstimatedMonthlySavingsAmount: {},
                        TotalEstimatedMonthlySavingsPercentage: {},
                        CurrencyCode: {}
                      }
                    }
                  }
                }
              },
              NextPageToken: {}
            }
          }
        },
        GetReservationUtilization: {
          input: {
            type: "structure",
            required: [
              "TimePeriod"
            ],
            members: {
              TimePeriod: {
                shape: "S2i"
              },
              GroupBy: {
                shape: "S2m"
              },
              Granularity: {},
              Filter: {
                shape: "S7"
              },
              SortBy: {
                shape: "S3c"
              },
              NextPageToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UtilizationsByTime"
            ],
            members: {
              UtilizationsByTime: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TimePeriod: {
                      shape: "S2i"
                    },
                    Groups: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Key: {},
                          Value: {},
                          Attributes: {
                            shape: "S34"
                          },
                          Utilization: {
                            shape: "S55"
                          }
                        }
                      }
                    },
                    Total: {
                      shape: "S55"
                    }
                  }
                }
              },
              Total: {
                shape: "S55"
              },
              NextPageToken: {}
            }
          }
        },
        GetRightsizingRecommendation: {
          input: {
            type: "structure",
            required: [
              "Service"
            ],
            members: {
              Filter: {
                shape: "S7"
              },
              Configuration: {
                shape: "S5o"
              },
              Service: {},
              PageSize: {
                type: "integer"
              },
              NextPageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Metadata: {
                type: "structure",
                members: {
                  RecommendationId: {},
                  GenerationTimestamp: {},
                  LookbackPeriodInDays: {},
                  AdditionalMetadata: {}
                }
              },
              Summary: {
                type: "structure",
                members: {
                  TotalRecommendationCount: {},
                  EstimatedTotalMonthlySavingsAmount: {},
                  SavingsCurrencyCode: {},
                  SavingsPercentage: {}
                }
              },
              RightsizingRecommendations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AccountId: {},
                    CurrentInstance: {
                      type: "structure",
                      members: {
                        ResourceId: {},
                        InstanceName: {},
                        Tags: {
                          type: "list",
                          member: {
                            shape: "Sf"
                          }
                        },
                        ResourceDetails: {
                          shape: "S5x"
                        },
                        ResourceUtilization: {
                          shape: "S5z"
                        },
                        ReservationCoveredHoursInLookbackPeriod: {},
                        SavingsPlansCoveredHoursInLookbackPeriod: {},
                        OnDemandHoursInLookbackPeriod: {},
                        TotalRunningHoursInLookbackPeriod: {},
                        MonthlyCost: {},
                        CurrencyCode: {}
                      }
                    },
                    RightsizingType: {},
                    ModifyRecommendationDetail: {
                      type: "structure",
                      members: {
                        TargetInstances: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              EstimatedMonthlyCost: {},
                              EstimatedMonthlySavings: {},
                              CurrencyCode: {},
                              DefaultTargetInstance: {
                                type: "boolean"
                              },
                              ResourceDetails: {
                                shape: "S5x"
                              },
                              ExpectedResourceUtilization: {
                                shape: "S5z"
                              },
                              PlatformDifferences: {
                                type: "list",
                                member: {}
                              }
                            }
                          }
                        }
                      }
                    },
                    TerminateRecommendationDetail: {
                      type: "structure",
                      members: {
                        EstimatedMonthlySavings: {},
                        CurrencyCode: {}
                      }
                    },
                    FindingReasonCodes: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              NextPageToken: {},
              Configuration: {
                shape: "S5o"
              }
            }
          }
        },
        GetSavingsPlansCoverage: {
          input: {
            type: "structure",
            required: [
              "TimePeriod"
            ],
            members: {
              TimePeriod: {
                shape: "S2i"
              },
              GroupBy: {
                shape: "S2m"
              },
              Granularity: {},
              Filter: {
                shape: "S7"
              },
              Metrics: {
                shape: "S2k"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SortBy: {
                shape: "S3c"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "SavingsPlansCoverages"
            ],
            members: {
              SavingsPlansCoverages: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Attributes: {
                      shape: "S34"
                    },
                    Coverage: {
                      type: "structure",
                      members: {
                        SpendCoveredBySavingsPlans: {},
                        OnDemandCost: {},
                        TotalCost: {},
                        CoveragePercentage: {}
                      }
                    },
                    TimePeriod: {
                      shape: "S2i"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetSavingsPlansPurchaseRecommendation: {
          input: {
            type: "structure",
            required: [
              "SavingsPlansType",
              "TermInYears",
              "PaymentOption",
              "LookbackPeriodInDays"
            ],
            members: {
              SavingsPlansType: {},
              TermInYears: {},
              PaymentOption: {},
              AccountScope: {},
              NextPageToken: {},
              PageSize: {
                type: "integer"
              },
              LookbackPeriodInDays: {},
              Filter: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Metadata: {
                type: "structure",
                members: {
                  RecommendationId: {},
                  GenerationTimestamp: {},
                  AdditionalMetadata: {}
                }
              },
              SavingsPlansPurchaseRecommendation: {
                type: "structure",
                members: {
                  AccountScope: {},
                  SavingsPlansType: {},
                  TermInYears: {},
                  PaymentOption: {},
                  LookbackPeriodInDays: {},
                  SavingsPlansPurchaseRecommendationDetails: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        SavingsPlansDetails: {
                          type: "structure",
                          members: {
                            Region: {},
                            InstanceFamily: {},
                            OfferingId: {}
                          }
                        },
                        AccountId: {},
                        UpfrontCost: {},
                        EstimatedROI: {},
                        CurrencyCode: {},
                        EstimatedSPCost: {},
                        EstimatedOnDemandCost: {},
                        EstimatedOnDemandCostWithCurrentCommitment: {},
                        EstimatedSavingsAmount: {},
                        EstimatedSavingsPercentage: {},
                        HourlyCommitmentToPurchase: {},
                        EstimatedAverageUtilization: {},
                        EstimatedMonthlySavingsAmount: {},
                        CurrentMinimumHourlyOnDemandSpend: {},
                        CurrentMaximumHourlyOnDemandSpend: {},
                        CurrentAverageHourlyOnDemandSpend: {}
                      }
                    }
                  },
                  SavingsPlansPurchaseRecommendationSummary: {
                    type: "structure",
                    members: {
                      EstimatedROI: {},
                      CurrencyCode: {},
                      EstimatedTotalCost: {},
                      CurrentOnDemandSpend: {},
                      EstimatedSavingsAmount: {},
                      TotalRecommendationCount: {},
                      DailyCommitmentToPurchase: {},
                      HourlyCommitmentToPurchase: {},
                      EstimatedSavingsPercentage: {},
                      EstimatedMonthlySavingsAmount: {},
                      EstimatedOnDemandCostWithCurrentCommitment: {}
                    }
                  }
                }
              },
              NextPageToken: {}
            }
          }
        },
        GetSavingsPlansUtilization: {
          input: {
            type: "structure",
            required: [
              "TimePeriod"
            ],
            members: {
              TimePeriod: {
                shape: "S2i"
              },
              Granularity: {},
              Filter: {
                shape: "S7"
              },
              SortBy: {
                shape: "S3c"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Total"
            ],
            members: {
              SavingsPlansUtilizationsByTime: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "TimePeriod",
                    "Utilization"
                  ],
                  members: {
                    TimePeriod: {
                      shape: "S2i"
                    },
                    Utilization: {
                      shape: "S6v"
                    },
                    Savings: {
                      shape: "S6w"
                    },
                    AmortizedCommitment: {
                      shape: "S6x"
                    }
                  }
                }
              },
              Total: {
                shape: "S6y"
              }
            }
          }
        },
        GetSavingsPlansUtilizationDetails: {
          input: {
            type: "structure",
            required: [
              "TimePeriod"
            ],
            members: {
              TimePeriod: {
                shape: "S2i"
              },
              Filter: {
                shape: "S7"
              },
              DataType: {
                type: "list",
                member: {}
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SortBy: {
                shape: "S3c"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "SavingsPlansUtilizationDetails",
              "TimePeriod"
            ],
            members: {
              SavingsPlansUtilizationDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SavingsPlanArn: {},
                    Attributes: {
                      shape: "S34"
                    },
                    Utilization: {
                      shape: "S6v"
                    },
                    Savings: {
                      shape: "S6w"
                    },
                    AmortizedCommitment: {
                      shape: "S6x"
                    }
                  }
                }
              },
              Total: {
                shape: "S6y"
              },
              TimePeriod: {
                shape: "S2i"
              },
              NextToken: {}
            }
          }
        },
        GetTags: {
          input: {
            type: "structure",
            required: [
              "TimePeriod"
            ],
            members: {
              SearchString: {},
              TimePeriod: {
                shape: "S2i"
              },
              TagKey: {},
              Filter: {
                shape: "S7"
              },
              SortBy: {
                shape: "S3b"
              },
              MaxResults: {
                type: "integer"
              },
              NextPageToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Tags",
              "ReturnSize",
              "TotalSize"
            ],
            members: {
              NextPageToken: {},
              Tags: {
                type: "list",
                member: {}
              },
              ReturnSize: {
                type: "integer"
              },
              TotalSize: {
                type: "integer"
              }
            }
          }
        },
        GetUsageForecast: {
          input: {
            type: "structure",
            required: [
              "TimePeriod",
              "Metric",
              "Granularity"
            ],
            members: {
              TimePeriod: {
                shape: "S2i"
              },
              Metric: {},
              Granularity: {},
              Filter: {
                shape: "S7"
              },
              PredictionIntervalLevel: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Total: {
                shape: "S2u"
              },
              ForecastResultsByTime: {
                shape: "S3n"
              }
            }
          }
        },
        ListCostAllocationTags: {
          input: {
            type: "structure",
            members: {
              Status: {},
              TagKeys: {
                type: "list",
                member: {}
              },
              Type: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CostAllocationTags: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "TagKey",
                    "Type",
                    "Status"
                  ],
                  members: {
                    TagKey: {},
                    Type: {},
                    Status: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCostCategoryDefinitions: {
          input: {
            type: "structure",
            members: {
              EffectiveOn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CostCategoryReferences: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CostCategoryArn: {},
                    Name: {},
                    EffectiveStart: {},
                    EffectiveEnd: {},
                    NumberOfRules: {
                      type: "integer"
                    },
                    ProcessingStatus: {
                      shape: "S1s"
                    },
                    Values: {
                      shape: "S3i"
                    },
                    DefaultValue: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSavingsPlansPurchaseRecommendationGeneration: {
          input: {
            type: "structure",
            members: {
              GenerationStatus: {},
              RecommendationIds: {
                type: "list",
                member: {}
              },
              PageSize: {
                type: "integer"
              },
              NextPageToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GenerationSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RecommendationId: {},
                    GenerationStatus: {},
                    GenerationStartedTime: {},
                    GenerationCompletionTime: {},
                    EstimatedCompletionTime: {}
                  }
                }
              },
              NextPageToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceTags: {
                shape: "Sk"
              }
            }
          }
        },
        ProvideAnomalyFeedback: {
          input: {
            type: "structure",
            required: [
              "AnomalyId",
              "Feedback"
            ],
            members: {
              AnomalyId: {},
              Feedback: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "AnomalyId"
            ],
            members: {
              AnomalyId: {}
            }
          }
        },
        StartSavingsPlansPurchaseRecommendationGeneration: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              RecommendationId: {},
              GenerationStartedTime: {},
              EstimatedCompletionTime: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "ResourceTags"
            ],
            members: {
              ResourceArn: {},
              ResourceTags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "ResourceTagKeys"
            ],
            members: {
              ResourceArn: {},
              ResourceTagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAnomalyMonitor: {
          input: {
            type: "structure",
            required: [
              "MonitorArn"
            ],
            members: {
              MonitorArn: {},
              MonitorName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "MonitorArn"
            ],
            members: {
              MonitorArn: {}
            }
          }
        },
        UpdateAnomalySubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionArn"
            ],
            members: {
              SubscriptionArn: {},
              Threshold: {
                deprecated: true,
                deprecatedMessage: "Threshold has been deprecated in favor of ThresholdExpression",
                type: "double"
              },
              Frequency: {},
              MonitorArnList: {
                shape: "Sr"
              },
              Subscribers: {
                shape: "St"
              },
              SubscriptionName: {},
              ThresholdExpression: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "SubscriptionArn"
            ],
            members: {
              SubscriptionArn: {}
            }
          }
        },
        UpdateCostAllocationTagsStatus: {
          input: {
            type: "structure",
            required: [
              "CostAllocationTagsStatus"
            ],
            members: {
              CostAllocationTagsStatus: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "TagKey",
                    "Status"
                  ],
                  members: {
                    TagKey: {},
                    Status: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TagKey: {},
                    Code: {},
                    Message: {}
                  }
                }
              }
            }
          }
        },
        UpdateCostCategoryDefinition: {
          input: {
            type: "structure",
            required: [
              "CostCategoryArn",
              "RuleVersion",
              "Rules"
            ],
            members: {
              CostCategoryArn: {},
              EffectiveStart: {},
              RuleVersion: {},
              Rules: {
                shape: "S14"
              },
              DefaultValue: {},
              SplitChargeRules: {
                shape: "S1a"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CostCategoryArn: {},
              EffectiveStart: {}
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "structure",
          required: [
            "MonitorName",
            "MonitorType"
          ],
          members: {
            MonitorArn: {},
            MonitorName: {},
            CreationDate: {},
            LastUpdatedDate: {},
            LastEvaluatedDate: {},
            MonitorType: {},
            MonitorDimension: {},
            MonitorSpecification: {
              shape: "S7"
            },
            DimensionalValueCount: {
              type: "integer"
            }
          }
        },
        S7: {
          type: "structure",
          members: {
            Or: {
              shape: "S8"
            },
            And: {
              shape: "S8"
            },
            Not: {
              shape: "S7"
            },
            Dimensions: {
              type: "structure",
              members: {
                Key: {},
                Values: {
                  shape: "Sb"
                },
                MatchOptions: {
                  shape: "Sd"
                }
              }
            },
            Tags: {
              shape: "Sf"
            },
            CostCategories: {
              type: "structure",
              members: {
                Key: {},
                Values: {
                  shape: "Sb"
                },
                MatchOptions: {
                  shape: "Sd"
                }
              }
            }
          }
        },
        S8: {
          type: "list",
          member: {
            shape: "S7"
          }
        },
        Sb: {
          type: "list",
          member: {}
        },
        Sd: {
          type: "list",
          member: {}
        },
        Sf: {
          type: "structure",
          members: {
            Key: {},
            Values: {
              shape: "Sb"
            },
            MatchOptions: {
              shape: "Sd"
            }
          }
        },
        Sk: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sq: {
          type: "structure",
          required: [
            "MonitorArnList",
            "Subscribers",
            "Frequency",
            "SubscriptionName"
          ],
          members: {
            SubscriptionArn: {},
            AccountId: {},
            MonitorArnList: {
              shape: "Sr"
            },
            Subscribers: {
              shape: "St"
            },
            Threshold: {
              deprecated: true,
              deprecatedMessage: "Threshold has been deprecated in favor of ThresholdExpression",
              type: "double"
            },
            Frequency: {},
            SubscriptionName: {},
            ThresholdExpression: {
              shape: "S7"
            }
          }
        },
        Sr: {
          type: "list",
          member: {}
        },
        St: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Address: {},
              Type: {},
              Status: {}
            }
          }
        },
        S14: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Value: {},
              Rule: {
                shape: "S7"
              },
              InheritedValue: {
                type: "structure",
                members: {
                  DimensionName: {},
                  DimensionKey: {}
                }
              },
              Type: {}
            }
          }
        },
        S1a: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Source",
              "Targets",
              "Method"
            ],
            members: {
              Source: {},
              Targets: {
                type: "list",
                member: {}
              },
              Method: {},
              Parameters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Type",
                    "Values"
                  ],
                  members: {
                    Type: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              }
            }
          }
        },
        S1s: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Component: {},
              Status: {}
            }
          }
        },
        S2i: {
          type: "structure",
          required: [
            "Start",
            "End"
          ],
          members: {
            Start: {},
            End: {}
          }
        },
        S2k: {
          type: "list",
          member: {}
        },
        S2m: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {},
              Key: {}
            }
          }
        },
        S2r: {
          type: "list",
          member: {
            type: "structure",
            members: {
              TimePeriod: {
                shape: "S2i"
              },
              Total: {
                shape: "S2t"
              },
              Groups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Keys: {
                      type: "list",
                      member: {}
                    },
                    Metrics: {
                      shape: "S2t"
                    }
                  }
                }
              },
              Estimated: {
                type: "boolean"
              }
            }
          }
        },
        S2t: {
          type: "map",
          key: {},
          value: {
            shape: "S2u"
          }
        },
        S2u: {
          type: "structure",
          members: {
            Amount: {},
            Unit: {}
          }
        },
        S32: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Value: {},
              Attributes: {
                shape: "S34"
              }
            }
          }
        },
        S34: {
          type: "map",
          key: {},
          value: {}
        },
        S3b: {
          type: "list",
          member: {
            shape: "S3c"
          }
        },
        S3c: {
          type: "structure",
          required: [
            "Key"
          ],
          members: {
            Key: {},
            SortOrder: {}
          }
        },
        S3i: {
          type: "list",
          member: {}
        },
        S3n: {
          type: "list",
          member: {
            type: "structure",
            members: {
              TimePeriod: {
                shape: "S2i"
              },
              MeanValue: {},
              PredictionIntervalLowerBound: {},
              PredictionIntervalUpperBound: {}
            }
          }
        },
        S3y: {
          type: "structure",
          members: {
            CoverageHours: {
              type: "structure",
              members: {
                OnDemandHours: {},
                ReservedHours: {},
                TotalRunningHours: {},
                CoverageHoursPercentage: {}
              }
            },
            CoverageNormalizedUnits: {
              type: "structure",
              members: {
                OnDemandNormalizedUnits: {},
                ReservedNormalizedUnits: {},
                TotalRunningNormalizedUnits: {},
                CoverageNormalizedUnitsPercentage: {}
              }
            },
            CoverageCost: {
              type: "structure",
              members: {
                OnDemandCost: {}
              }
            }
          }
        },
        S4g: {
          type: "structure",
          members: {
            EC2Specification: {
              type: "structure",
              members: {
                OfferingClass: {}
              }
            }
          }
        },
        S55: {
          type: "structure",
          members: {
            UtilizationPercentage: {},
            UtilizationPercentageInUnits: {},
            PurchasedHours: {},
            PurchasedUnits: {},
            TotalActualHours: {},
            TotalActualUnits: {},
            UnusedHours: {},
            UnusedUnits: {},
            OnDemandCostOfRIHoursUsed: {},
            NetRISavings: {},
            TotalPotentialRISavings: {},
            AmortizedUpfrontFee: {},
            AmortizedRecurringFee: {},
            TotalAmortizedFee: {},
            RICostForUnusedHours: {},
            RealizedSavings: {},
            UnrealizedSavings: {}
          }
        },
        S5o: {
          type: "structure",
          required: [
            "RecommendationTarget",
            "BenefitsConsidered"
          ],
          members: {
            RecommendationTarget: {},
            BenefitsConsidered: {
              type: "boolean"
            }
          }
        },
        S5x: {
          type: "structure",
          members: {
            EC2ResourceDetails: {
              type: "structure",
              members: {
                HourlyOnDemandRate: {},
                InstanceType: {},
                Platform: {},
                Region: {},
                Sku: {},
                Memory: {},
                NetworkPerformance: {},
                Storage: {},
                Vcpu: {}
              }
            }
          }
        },
        S5z: {
          type: "structure",
          members: {
            EC2ResourceUtilization: {
              type: "structure",
              members: {
                MaxCpuUtilizationPercentage: {},
                MaxMemoryUtilizationPercentage: {},
                MaxStorageUtilizationPercentage: {},
                EBSResourceUtilization: {
                  type: "structure",
                  members: {
                    EbsReadOpsPerSecond: {},
                    EbsWriteOpsPerSecond: {},
                    EbsReadBytesPerSecond: {},
                    EbsWriteBytesPerSecond: {}
                  }
                },
                DiskResourceUtilization: {
                  type: "structure",
                  members: {
                    DiskReadOpsPerSecond: {},
                    DiskWriteOpsPerSecond: {},
                    DiskReadBytesPerSecond: {},
                    DiskWriteBytesPerSecond: {}
                  }
                },
                NetworkResourceUtilization: {
                  type: "structure",
                  members: {
                    NetworkInBytesPerSecond: {},
                    NetworkOutBytesPerSecond: {},
                    NetworkPacketsInPerSecond: {},
                    NetworkPacketsOutPerSecond: {}
                  }
                }
              }
            }
          }
        },
        S6v: {
          type: "structure",
          members: {
            TotalCommitment: {},
            UsedCommitment: {},
            UnusedCommitment: {},
            UtilizationPercentage: {}
          }
        },
        S6w: {
          type: "structure",
          members: {
            NetSavings: {},
            OnDemandCostEquivalent: {}
          }
        },
        S6x: {
          type: "structure",
          members: {
            AmortizedRecurringCommitment: {},
            AmortizedUpfrontCommitment: {},
            TotalAmortizedCommitment: {}
          }
        },
        S6y: {
          type: "structure",
          required: [
            "Utilization"
          ],
          members: {
            Utilization: {
              shape: "S6v"
            },
            Savings: {
              shape: "S6w"
            },
            AmortizedCommitment: {
              shape: "S6x"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ce-2017-10-25.paginators.json
var require_ce_2017_10_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/ce-2017-10-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetSavingsPlansCoverage: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        GetSavingsPlansUtilizationDetails: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListCostAllocationTags: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListCostCategoryDefinitions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/costexplorer.js
var require_costexplorer = __commonJS({
  "node_modules/aws-sdk/clients/costexplorer.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["costexplorer"] = {};
    AWS2.CostExplorer = Service.defineService("costexplorer", ["2017-10-25"]);
    Object.defineProperty(apiLoader.services["costexplorer"], "2017-10-25", {
      get: function get() {
        var model = require_ce_2017_10_25_min();
        model.paginators = require_ce_2017_10_25_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CostExplorer;
  }
});

// node_modules/aws-sdk/apis/mediaconvert-2017-08-29.min.json
var require_mediaconvert_2017_08_29_min = __commonJS({
  "node_modules/aws-sdk/apis/mediaconvert-2017-08-29.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2017-08-29",
        endpointPrefix: "mediaconvert",
        signingName: "mediaconvert",
        serviceFullName: "AWS Elemental MediaConvert",
        serviceId: "MediaConvert",
        protocol: "rest-json",
        jsonVersion: "1.1",
        uid: "mediaconvert-2017-08-29",
        signatureVersion: "v4",
        serviceAbbreviation: "MediaConvert"
      },
      operations: {
        AssociateCertificate: {
          http: {
            requestUri: "/2017-08-29/certificates",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              }
            },
            required: [
              "Arn"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CancelJob: {
          http: {
            method: "DELETE",
            requestUri: "/2017-08-29/jobs/{id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              Id: {
                locationName: "id",
                location: "uri"
              }
            },
            required: [
              "Id"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateJob: {
          http: {
            requestUri: "/2017-08-29/jobs",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              AccelerationSettings: {
                shape: "S7",
                locationName: "accelerationSettings"
              },
              BillingTagsSource: {
                locationName: "billingTagsSource"
              },
              ClientRequestToken: {
                locationName: "clientRequestToken",
                idempotencyToken: true
              },
              HopDestinations: {
                shape: "Sa",
                locationName: "hopDestinations"
              },
              JobTemplate: {
                locationName: "jobTemplate"
              },
              Priority: {
                locationName: "priority",
                type: "integer"
              },
              Queue: {
                locationName: "queue"
              },
              Role: {
                locationName: "role"
              },
              Settings: {
                shape: "Se",
                locationName: "settings"
              },
              SimulateReservedQueue: {
                locationName: "simulateReservedQueue"
              },
              StatusUpdateInterval: {
                locationName: "statusUpdateInterval"
              },
              Tags: {
                shape: "Ski",
                locationName: "tags"
              },
              UserMetadata: {
                shape: "Ski",
                locationName: "userMetadata"
              }
            },
            required: [
              "Role",
              "Settings"
            ]
          },
          output: {
            type: "structure",
            members: {
              Job: {
                shape: "Skk",
                locationName: "job"
              }
            }
          }
        },
        CreateJobTemplate: {
          http: {
            requestUri: "/2017-08-29/jobTemplates",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              AccelerationSettings: {
                shape: "S7",
                locationName: "accelerationSettings"
              },
              Category: {
                locationName: "category"
              },
              Description: {
                locationName: "description"
              },
              HopDestinations: {
                shape: "Sa",
                locationName: "hopDestinations"
              },
              Name: {
                locationName: "name"
              },
              Priority: {
                locationName: "priority",
                type: "integer"
              },
              Queue: {
                locationName: "queue"
              },
              Settings: {
                shape: "Sl2",
                locationName: "settings"
              },
              StatusUpdateInterval: {
                locationName: "statusUpdateInterval"
              },
              Tags: {
                shape: "Ski",
                locationName: "tags"
              }
            },
            required: [
              "Settings",
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              JobTemplate: {
                shape: "Sl6",
                locationName: "jobTemplate"
              }
            }
          }
        },
        CreatePreset: {
          http: {
            requestUri: "/2017-08-29/presets",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              Category: {
                locationName: "category"
              },
              Description: {
                locationName: "description"
              },
              Name: {
                locationName: "name"
              },
              Settings: {
                shape: "Sl9",
                locationName: "settings"
              },
              Tags: {
                shape: "Ski",
                locationName: "tags"
              }
            },
            required: [
              "Settings",
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              Preset: {
                shape: "Sld",
                locationName: "preset"
              }
            }
          }
        },
        CreateQueue: {
          http: {
            requestUri: "/2017-08-29/queues",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              Description: {
                locationName: "description"
              },
              Name: {
                locationName: "name"
              },
              PricingPlan: {
                locationName: "pricingPlan"
              },
              ReservationPlanSettings: {
                shape: "Slg",
                locationName: "reservationPlanSettings"
              },
              Status: {
                locationName: "status"
              },
              Tags: {
                shape: "Ski",
                locationName: "tags"
              }
            },
            required: [
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              Queue: {
                shape: "Sll",
                locationName: "queue"
              }
            }
          }
        },
        DeleteJobTemplate: {
          http: {
            method: "DELETE",
            requestUri: "/2017-08-29/jobTemplates/{name}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              Name: {
                locationName: "name",
                location: "uri"
              }
            },
            required: [
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeletePolicy: {
          http: {
            method: "DELETE",
            requestUri: "/2017-08-29/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeletePreset: {
          http: {
            method: "DELETE",
            requestUri: "/2017-08-29/presets/{name}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              Name: {
                locationName: "name",
                location: "uri"
              }
            },
            required: [
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteQueue: {
          http: {
            method: "DELETE",
            requestUri: "/2017-08-29/queues/{name}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              Name: {
                locationName: "name",
                location: "uri"
              }
            },
            required: [
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeEndpoints: {
          http: {
            requestUri: "/2017-08-29/endpoints",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              Mode: {
                locationName: "mode"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Endpoints: {
                locationName: "endpoints",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Url: {
                      locationName: "url"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DisassociateCertificate: {
          http: {
            method: "DELETE",
            requestUri: "/2017-08-29/certificates/{arn}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn",
                location: "uri"
              }
            },
            required: [
              "Arn"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetJob: {
          http: {
            method: "GET",
            requestUri: "/2017-08-29/jobs/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Id: {
                locationName: "id",
                location: "uri"
              }
            },
            required: [
              "Id"
            ]
          },
          output: {
            type: "structure",
            members: {
              Job: {
                shape: "Skk",
                locationName: "job"
              }
            }
          }
        },
        GetJobTemplate: {
          http: {
            method: "GET",
            requestUri: "/2017-08-29/jobTemplates/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Name: {
                locationName: "name",
                location: "uri"
              }
            },
            required: [
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              JobTemplate: {
                shape: "Sl6",
                locationName: "jobTemplate"
              }
            }
          }
        },
        GetPolicy: {
          http: {
            method: "GET",
            requestUri: "/2017-08-29/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              Policy: {
                shape: "Sm9",
                locationName: "policy"
              }
            }
          }
        },
        GetPreset: {
          http: {
            method: "GET",
            requestUri: "/2017-08-29/presets/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Name: {
                locationName: "name",
                location: "uri"
              }
            },
            required: [
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              Preset: {
                shape: "Sld",
                locationName: "preset"
              }
            }
          }
        },
        GetQueue: {
          http: {
            method: "GET",
            requestUri: "/2017-08-29/queues/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Name: {
                locationName: "name",
                location: "uri"
              }
            },
            required: [
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              Queue: {
                shape: "Sll",
                locationName: "queue"
              }
            }
          }
        },
        ListJobTemplates: {
          http: {
            method: "GET",
            requestUri: "/2017-08-29/jobTemplates",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Category: {
                locationName: "category",
                location: "querystring"
              },
              ListBy: {
                locationName: "listBy",
                location: "querystring"
              },
              MaxResults: {
                locationName: "maxResults",
                location: "querystring",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken",
                location: "querystring"
              },
              Order: {
                locationName: "order",
                location: "querystring"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobTemplates: {
                locationName: "jobTemplates",
                type: "list",
                member: {
                  shape: "Sl6"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListJobs: {
          http: {
            method: "GET",
            requestUri: "/2017-08-29/jobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                locationName: "maxResults",
                location: "querystring",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken",
                location: "querystring"
              },
              Order: {
                locationName: "order",
                location: "querystring"
              },
              Queue: {
                locationName: "queue",
                location: "querystring"
              },
              Status: {
                locationName: "status",
                location: "querystring"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Jobs: {
                locationName: "jobs",
                type: "list",
                member: {
                  shape: "Skk"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListPresets: {
          http: {
            method: "GET",
            requestUri: "/2017-08-29/presets",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Category: {
                locationName: "category",
                location: "querystring"
              },
              ListBy: {
                locationName: "listBy",
                location: "querystring"
              },
              MaxResults: {
                locationName: "maxResults",
                location: "querystring",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken",
                location: "querystring"
              },
              Order: {
                locationName: "order",
                location: "querystring"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Presets: {
                locationName: "presets",
                type: "list",
                member: {
                  shape: "Sld"
                }
              }
            }
          }
        },
        ListQueues: {
          http: {
            method: "GET",
            requestUri: "/2017-08-29/queues",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ListBy: {
                locationName: "listBy",
                location: "querystring"
              },
              MaxResults: {
                locationName: "maxResults",
                location: "querystring",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken",
                location: "querystring"
              },
              Order: {
                locationName: "order",
                location: "querystring"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Queues: {
                locationName: "queues",
                type: "list",
                member: {
                  shape: "Sll"
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/2017-08-29/tags/{arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn",
                location: "uri"
              }
            },
            required: [
              "Arn"
            ]
          },
          output: {
            type: "structure",
            members: {
              ResourceTags: {
                locationName: "resourceTags",
                type: "structure",
                members: {
                  Arn: {
                    locationName: "arn"
                  },
                  Tags: {
                    shape: "Ski",
                    locationName: "tags"
                  }
                }
              }
            }
          }
        },
        PutPolicy: {
          http: {
            method: "PUT",
            requestUri: "/2017-08-29/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Policy: {
                shape: "Sm9",
                locationName: "policy"
              }
            },
            required: [
              "Policy"
            ]
          },
          output: {
            type: "structure",
            members: {
              Policy: {
                shape: "Sm9",
                locationName: "policy"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/2017-08-29/tags",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              Tags: {
                shape: "Ski",
                locationName: "tags"
              }
            },
            required: [
              "Arn",
              "Tags"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "PUT",
            requestUri: "/2017-08-29/tags/{arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn",
                location: "uri"
              },
              TagKeys: {
                shape: "Skp",
                locationName: "tagKeys"
              }
            },
            required: [
              "Arn"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateJobTemplate: {
          http: {
            method: "PUT",
            requestUri: "/2017-08-29/jobTemplates/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AccelerationSettings: {
                shape: "S7",
                locationName: "accelerationSettings"
              },
              Category: {
                locationName: "category"
              },
              Description: {
                locationName: "description"
              },
              HopDestinations: {
                shape: "Sa",
                locationName: "hopDestinations"
              },
              Name: {
                locationName: "name",
                location: "uri"
              },
              Priority: {
                locationName: "priority",
                type: "integer"
              },
              Queue: {
                locationName: "queue"
              },
              Settings: {
                shape: "Sl2",
                locationName: "settings"
              },
              StatusUpdateInterval: {
                locationName: "statusUpdateInterval"
              }
            },
            required: [
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              JobTemplate: {
                shape: "Sl6",
                locationName: "jobTemplate"
              }
            }
          }
        },
        UpdatePreset: {
          http: {
            method: "PUT",
            requestUri: "/2017-08-29/presets/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Category: {
                locationName: "category"
              },
              Description: {
                locationName: "description"
              },
              Name: {
                locationName: "name",
                location: "uri"
              },
              Settings: {
                shape: "Sl9",
                locationName: "settings"
              }
            },
            required: [
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              Preset: {
                shape: "Sld",
                locationName: "preset"
              }
            }
          }
        },
        UpdateQueue: {
          http: {
            method: "PUT",
            requestUri: "/2017-08-29/queues/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Description: {
                locationName: "description"
              },
              Name: {
                locationName: "name",
                location: "uri"
              },
              ReservationPlanSettings: {
                shape: "Slg",
                locationName: "reservationPlanSettings"
              },
              Status: {
                locationName: "status"
              }
            },
            required: [
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              Queue: {
                shape: "Sll",
                locationName: "queue"
              }
            }
          }
        }
      },
      shapes: {
        S7: {
          type: "structure",
          members: {
            Mode: {
              locationName: "mode"
            }
          },
          required: [
            "Mode"
          ]
        },
        Sa: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Priority: {
                locationName: "priority",
                type: "integer"
              },
              Queue: {
                locationName: "queue"
              },
              WaitMinutes: {
                locationName: "waitMinutes",
                type: "integer"
              }
            }
          }
        },
        Se: {
          type: "structure",
          members: {
            AdAvailOffset: {
              locationName: "adAvailOffset",
              type: "integer"
            },
            AvailBlanking: {
              shape: "Sg",
              locationName: "availBlanking"
            },
            Esam: {
              shape: "Si",
              locationName: "esam"
            },
            ExtendedDataServices: {
              shape: "So",
              locationName: "extendedDataServices"
            },
            Inputs: {
              locationName: "inputs",
              type: "list",
              member: {
                type: "structure",
                members: {
                  AdvancedInputFilter: {
                    locationName: "advancedInputFilter"
                  },
                  AdvancedInputFilterSettings: {
                    shape: "Su",
                    locationName: "advancedInputFilterSettings"
                  },
                  AudioSelectorGroups: {
                    shape: "Sx",
                    locationName: "audioSelectorGroups"
                  },
                  AudioSelectors: {
                    shape: "S11",
                    locationName: "audioSelectors"
                  },
                  CaptionSelectors: {
                    shape: "S1n",
                    locationName: "captionSelectors"
                  },
                  Crop: {
                    shape: "S2c",
                    locationName: "crop"
                  },
                  DeblockFilter: {
                    locationName: "deblockFilter"
                  },
                  DecryptionSettings: {
                    locationName: "decryptionSettings",
                    type: "structure",
                    members: {
                      DecryptionMode: {
                        locationName: "decryptionMode"
                      },
                      EncryptedDecryptionKey: {
                        locationName: "encryptedDecryptionKey"
                      },
                      InitializationVector: {
                        locationName: "initializationVector"
                      },
                      KmsKeyRegion: {
                        locationName: "kmsKeyRegion"
                      }
                    }
                  },
                  DenoiseFilter: {
                    locationName: "denoiseFilter"
                  },
                  DolbyVisionMetadataXml: {
                    locationName: "dolbyVisionMetadataXml"
                  },
                  FileInput: {
                    locationName: "fileInput"
                  },
                  FilterEnable: {
                    locationName: "filterEnable"
                  },
                  FilterStrength: {
                    locationName: "filterStrength",
                    type: "integer"
                  },
                  ImageInserter: {
                    shape: "S2p",
                    locationName: "imageInserter"
                  },
                  InputClippings: {
                    shape: "S2x",
                    locationName: "inputClippings"
                  },
                  InputScanType: {
                    locationName: "inputScanType"
                  },
                  Position: {
                    shape: "S2c",
                    locationName: "position"
                  },
                  ProgramNumber: {
                    locationName: "programNumber",
                    type: "integer"
                  },
                  PsiControl: {
                    locationName: "psiControl"
                  },
                  SupplementalImps: {
                    locationName: "supplementalImps",
                    type: "list",
                    member: {}
                  },
                  TimecodeSource: {
                    locationName: "timecodeSource"
                  },
                  TimecodeStart: {
                    locationName: "timecodeStart"
                  },
                  VideoGenerator: {
                    locationName: "videoGenerator",
                    type: "structure",
                    members: {
                      Duration: {
                        locationName: "duration",
                        type: "integer"
                      }
                    }
                  },
                  VideoSelector: {
                    shape: "S38",
                    locationName: "videoSelector"
                  }
                }
              }
            },
            KantarWatermark: {
              shape: "S3j",
              locationName: "kantarWatermark"
            },
            MotionImageInserter: {
              shape: "S3r",
              locationName: "motionImageInserter"
            },
            NielsenConfiguration: {
              shape: "S3z",
              locationName: "nielsenConfiguration"
            },
            NielsenNonLinearWatermark: {
              shape: "S41",
              locationName: "nielsenNonLinearWatermark"
            },
            OutputGroups: {
              shape: "S48",
              locationName: "outputGroups"
            },
            TimecodeConfig: {
              shape: "Ska",
              locationName: "timecodeConfig"
            },
            TimedMetadataInsertion: {
              shape: "Skd",
              locationName: "timedMetadataInsertion"
            }
          }
        },
        Sg: {
          type: "structure",
          members: {
            AvailBlankingImage: {
              locationName: "availBlankingImage"
            }
          }
        },
        Si: {
          type: "structure",
          members: {
            ManifestConfirmConditionNotification: {
              locationName: "manifestConfirmConditionNotification",
              type: "structure",
              members: {
                MccXml: {
                  locationName: "mccXml"
                }
              }
            },
            ResponseSignalPreroll: {
              locationName: "responseSignalPreroll",
              type: "integer"
            },
            SignalProcessingNotification: {
              locationName: "signalProcessingNotification",
              type: "structure",
              members: {
                SccXml: {
                  locationName: "sccXml"
                }
              }
            }
          }
        },
        So: {
          type: "structure",
          members: {
            CopyProtectionAction: {
              locationName: "copyProtectionAction"
            },
            VchipAction: {
              locationName: "vchipAction"
            }
          }
        },
        Su: {
          type: "structure",
          members: {
            AddTexture: {
              locationName: "addTexture"
            },
            Sharpening: {
              locationName: "sharpening"
            }
          }
        },
        Sx: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              AudioSelectorNames: {
                shape: "Sz",
                locationName: "audioSelectorNames"
              }
            }
          }
        },
        Sz: {
          type: "list",
          member: {}
        },
        S11: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              AudioDurationCorrection: {
                locationName: "audioDurationCorrection"
              },
              CustomLanguageCode: {
                locationName: "customLanguageCode"
              },
              DefaultSelection: {
                locationName: "defaultSelection"
              },
              ExternalAudioFileInput: {
                locationName: "externalAudioFileInput"
              },
              HlsRenditionGroupSettings: {
                locationName: "hlsRenditionGroupSettings",
                type: "structure",
                members: {
                  RenditionGroupId: {
                    locationName: "renditionGroupId"
                  },
                  RenditionLanguageCode: {
                    locationName: "renditionLanguageCode"
                  },
                  RenditionName: {
                    locationName: "renditionName"
                  }
                }
              },
              LanguageCode: {
                locationName: "languageCode"
              },
              Offset: {
                locationName: "offset",
                type: "integer"
              },
              Pids: {
                shape: "S1a",
                locationName: "pids"
              },
              ProgramSelection: {
                locationName: "programSelection",
                type: "integer"
              },
              RemixSettings: {
                shape: "S1d",
                locationName: "remixSettings"
              },
              SelectorType: {
                locationName: "selectorType"
              },
              Tracks: {
                shape: "S1a",
                locationName: "tracks"
              }
            }
          }
        },
        S1a: {
          type: "list",
          member: {
            type: "integer"
          }
        },
        S1d: {
          type: "structure",
          members: {
            ChannelMapping: {
              locationName: "channelMapping",
              type: "structure",
              members: {
                OutputChannels: {
                  locationName: "outputChannels",
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      InputChannels: {
                        locationName: "inputChannels",
                        type: "list",
                        member: {
                          type: "integer"
                        }
                      },
                      InputChannelsFineTune: {
                        locationName: "inputChannelsFineTune",
                        type: "list",
                        member: {
                          type: "double"
                        }
                      }
                    }
                  }
                }
              }
            },
            ChannelsIn: {
              locationName: "channelsIn",
              type: "integer"
            },
            ChannelsOut: {
              locationName: "channelsOut",
              type: "integer"
            }
          }
        },
        S1n: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              CustomLanguageCode: {
                locationName: "customLanguageCode"
              },
              LanguageCode: {
                locationName: "languageCode"
              },
              SourceSettings: {
                locationName: "sourceSettings",
                type: "structure",
                members: {
                  AncillarySourceSettings: {
                    locationName: "ancillarySourceSettings",
                    type: "structure",
                    members: {
                      Convert608To708: {
                        locationName: "convert608To708"
                      },
                      SourceAncillaryChannelNumber: {
                        locationName: "sourceAncillaryChannelNumber",
                        type: "integer"
                      },
                      TerminateCaptions: {
                        locationName: "terminateCaptions"
                      }
                    }
                  },
                  DvbSubSourceSettings: {
                    locationName: "dvbSubSourceSettings",
                    type: "structure",
                    members: {
                      Pid: {
                        locationName: "pid",
                        type: "integer"
                      }
                    }
                  },
                  EmbeddedSourceSettings: {
                    locationName: "embeddedSourceSettings",
                    type: "structure",
                    members: {
                      Convert608To708: {
                        locationName: "convert608To708"
                      },
                      Source608ChannelNumber: {
                        locationName: "source608ChannelNumber",
                        type: "integer"
                      },
                      Source608TrackNumber: {
                        locationName: "source608TrackNumber",
                        type: "integer"
                      },
                      TerminateCaptions: {
                        locationName: "terminateCaptions"
                      }
                    }
                  },
                  FileSourceSettings: {
                    locationName: "fileSourceSettings",
                    type: "structure",
                    members: {
                      Convert608To708: {
                        locationName: "convert608To708"
                      },
                      ConvertPaintToPop: {
                        locationName: "convertPaintToPop"
                      },
                      Framerate: {
                        locationName: "framerate",
                        type: "structure",
                        members: {
                          FramerateDenominator: {
                            locationName: "framerateDenominator",
                            type: "integer"
                          },
                          FramerateNumerator: {
                            locationName: "framerateNumerator",
                            type: "integer"
                          }
                        }
                      },
                      SourceFile: {
                        locationName: "sourceFile"
                      },
                      TimeDelta: {
                        locationName: "timeDelta",
                        type: "integer"
                      },
                      TimeDeltaUnits: {
                        locationName: "timeDeltaUnits"
                      }
                    }
                  },
                  SourceType: {
                    locationName: "sourceType"
                  },
                  TeletextSourceSettings: {
                    locationName: "teletextSourceSettings",
                    type: "structure",
                    members: {
                      PageNumber: {
                        locationName: "pageNumber"
                      }
                    }
                  },
                  TrackSourceSettings: {
                    locationName: "trackSourceSettings",
                    type: "structure",
                    members: {
                      TrackNumber: {
                        locationName: "trackNumber",
                        type: "integer"
                      }
                    }
                  },
                  WebvttHlsSourceSettings: {
                    locationName: "webvttHlsSourceSettings",
                    type: "structure",
                    members: {
                      RenditionGroupId: {
                        locationName: "renditionGroupId"
                      },
                      RenditionLanguageCode: {
                        locationName: "renditionLanguageCode"
                      },
                      RenditionName: {
                        locationName: "renditionName"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S2c: {
          type: "structure",
          members: {
            Height: {
              locationName: "height",
              type: "integer"
            },
            Width: {
              locationName: "width",
              type: "integer"
            },
            X: {
              locationName: "x",
              type: "integer"
            },
            Y: {
              locationName: "y",
              type: "integer"
            }
          }
        },
        S2p: {
          type: "structure",
          members: {
            InsertableImages: {
              locationName: "insertableImages",
              type: "list",
              member: {
                type: "structure",
                members: {
                  Duration: {
                    locationName: "duration",
                    type: "integer"
                  },
                  FadeIn: {
                    locationName: "fadeIn",
                    type: "integer"
                  },
                  FadeOut: {
                    locationName: "fadeOut",
                    type: "integer"
                  },
                  Height: {
                    locationName: "height",
                    type: "integer"
                  },
                  ImageInserterInput: {
                    locationName: "imageInserterInput"
                  },
                  ImageX: {
                    locationName: "imageX",
                    type: "integer"
                  },
                  ImageY: {
                    locationName: "imageY",
                    type: "integer"
                  },
                  Layer: {
                    locationName: "layer",
                    type: "integer"
                  },
                  Opacity: {
                    locationName: "opacity",
                    type: "integer"
                  },
                  StartTime: {
                    locationName: "startTime"
                  },
                  Width: {
                    locationName: "width",
                    type: "integer"
                  }
                }
              }
            },
            SdrReferenceWhiteLevel: {
              locationName: "sdrReferenceWhiteLevel",
              type: "integer"
            }
          }
        },
        S2x: {
          type: "list",
          member: {
            type: "structure",
            members: {
              EndTimecode: {
                locationName: "endTimecode"
              },
              StartTimecode: {
                locationName: "startTimecode"
              }
            }
          }
        },
        S38: {
          type: "structure",
          members: {
            AlphaBehavior: {
              locationName: "alphaBehavior"
            },
            ColorSpace: {
              locationName: "colorSpace"
            },
            ColorSpaceUsage: {
              locationName: "colorSpaceUsage"
            },
            EmbeddedTimecodeOverride: {
              locationName: "embeddedTimecodeOverride"
            },
            Hdr10Metadata: {
              shape: "S3d",
              locationName: "hdr10Metadata"
            },
            PadVideo: {
              locationName: "padVideo"
            },
            Pid: {
              locationName: "pid",
              type: "integer"
            },
            ProgramNumber: {
              locationName: "programNumber",
              type: "integer"
            },
            Rotate: {
              locationName: "rotate"
            },
            SampleRange: {
              locationName: "sampleRange"
            }
          }
        },
        S3d: {
          type: "structure",
          members: {
            BluePrimaryX: {
              locationName: "bluePrimaryX",
              type: "integer"
            },
            BluePrimaryY: {
              locationName: "bluePrimaryY",
              type: "integer"
            },
            GreenPrimaryX: {
              locationName: "greenPrimaryX",
              type: "integer"
            },
            GreenPrimaryY: {
              locationName: "greenPrimaryY",
              type: "integer"
            },
            MaxContentLightLevel: {
              locationName: "maxContentLightLevel",
              type: "integer"
            },
            MaxFrameAverageLightLevel: {
              locationName: "maxFrameAverageLightLevel",
              type: "integer"
            },
            MaxLuminance: {
              locationName: "maxLuminance",
              type: "integer"
            },
            MinLuminance: {
              locationName: "minLuminance",
              type: "integer"
            },
            RedPrimaryX: {
              locationName: "redPrimaryX",
              type: "integer"
            },
            RedPrimaryY: {
              locationName: "redPrimaryY",
              type: "integer"
            },
            WhitePointX: {
              locationName: "whitePointX",
              type: "integer"
            },
            WhitePointY: {
              locationName: "whitePointY",
              type: "integer"
            }
          }
        },
        S3j: {
          type: "structure",
          members: {
            ChannelName: {
              locationName: "channelName"
            },
            ContentReference: {
              locationName: "contentReference"
            },
            CredentialsSecretName: {
              locationName: "credentialsSecretName"
            },
            FileOffset: {
              locationName: "fileOffset",
              type: "double"
            },
            KantarLicenseId: {
              locationName: "kantarLicenseId",
              type: "integer"
            },
            KantarServerUrl: {
              locationName: "kantarServerUrl"
            },
            LogDestination: {
              locationName: "logDestination"
            },
            Metadata3: {
              locationName: "metadata3"
            },
            Metadata4: {
              locationName: "metadata4"
            },
            Metadata5: {
              locationName: "metadata5"
            },
            Metadata6: {
              locationName: "metadata6"
            },
            Metadata7: {
              locationName: "metadata7"
            },
            Metadata8: {
              locationName: "metadata8"
            }
          }
        },
        S3r: {
          type: "structure",
          members: {
            Framerate: {
              locationName: "framerate",
              type: "structure",
              members: {
                FramerateDenominator: {
                  locationName: "framerateDenominator",
                  type: "integer"
                },
                FramerateNumerator: {
                  locationName: "framerateNumerator",
                  type: "integer"
                }
              }
            },
            Input: {
              locationName: "input"
            },
            InsertionMode: {
              locationName: "insertionMode"
            },
            Offset: {
              locationName: "offset",
              type: "structure",
              members: {
                ImageX: {
                  locationName: "imageX",
                  type: "integer"
                },
                ImageY: {
                  locationName: "imageY",
                  type: "integer"
                }
              }
            },
            Playback: {
              locationName: "playback"
            },
            StartTime: {
              locationName: "startTime"
            }
          }
        },
        S3z: {
          type: "structure",
          members: {
            BreakoutCode: {
              locationName: "breakoutCode",
              type: "integer"
            },
            DistributorId: {
              locationName: "distributorId"
            }
          }
        },
        S41: {
          type: "structure",
          members: {
            ActiveWatermarkProcess: {
              locationName: "activeWatermarkProcess"
            },
            AdiFilename: {
              locationName: "adiFilename"
            },
            AssetId: {
              locationName: "assetId"
            },
            AssetName: {
              locationName: "assetName"
            },
            CbetSourceId: {
              locationName: "cbetSourceId"
            },
            EpisodeId: {
              locationName: "episodeId"
            },
            MetadataDestination: {
              locationName: "metadataDestination"
            },
            SourceId: {
              locationName: "sourceId",
              type: "integer"
            },
            SourceWatermarkStatus: {
              locationName: "sourceWatermarkStatus"
            },
            TicServerUrl: {
              locationName: "ticServerUrl"
            },
            UniqueTicPerAudioTrack: {
              locationName: "uniqueTicPerAudioTrack"
            }
          }
        },
        S48: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AutomatedEncodingSettings: {
                locationName: "automatedEncodingSettings",
                type: "structure",
                members: {
                  AbrSettings: {
                    locationName: "abrSettings",
                    type: "structure",
                    members: {
                      MaxAbrBitrate: {
                        locationName: "maxAbrBitrate",
                        type: "integer"
                      },
                      MaxRenditions: {
                        locationName: "maxRenditions",
                        type: "integer"
                      },
                      MinAbrBitrate: {
                        locationName: "minAbrBitrate",
                        type: "integer"
                      },
                      Rules: {
                        locationName: "rules",
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            AllowedRenditions: {
                              locationName: "allowedRenditions",
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  Height: {
                                    locationName: "height",
                                    type: "integer"
                                  },
                                  Required: {
                                    locationName: "required"
                                  },
                                  Width: {
                                    locationName: "width",
                                    type: "integer"
                                  }
                                }
                              }
                            },
                            ForceIncludeRenditions: {
                              locationName: "forceIncludeRenditions",
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  Height: {
                                    locationName: "height",
                                    type: "integer"
                                  },
                                  Width: {
                                    locationName: "width",
                                    type: "integer"
                                  }
                                }
                              }
                            },
                            MinBottomRenditionSize: {
                              locationName: "minBottomRenditionSize",
                              type: "structure",
                              members: {
                                Height: {
                                  locationName: "height",
                                  type: "integer"
                                },
                                Width: {
                                  locationName: "width",
                                  type: "integer"
                                }
                              }
                            },
                            MinTopRenditionSize: {
                              locationName: "minTopRenditionSize",
                              type: "structure",
                              members: {
                                Height: {
                                  locationName: "height",
                                  type: "integer"
                                },
                                Width: {
                                  locationName: "width",
                                  type: "integer"
                                }
                              }
                            },
                            Type: {
                              locationName: "type"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              CustomName: {
                locationName: "customName"
              },
              Name: {
                locationName: "name"
              },
              OutputGroupSettings: {
                locationName: "outputGroupSettings",
                type: "structure",
                members: {
                  CmafGroupSettings: {
                    locationName: "cmafGroupSettings",
                    type: "structure",
                    members: {
                      AdditionalManifests: {
                        locationName: "additionalManifests",
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            ManifestNameModifier: {
                              locationName: "manifestNameModifier"
                            },
                            SelectedOutputs: {
                              shape: "Sz",
                              locationName: "selectedOutputs"
                            }
                          }
                        }
                      },
                      BaseUrl: {
                        locationName: "baseUrl"
                      },
                      ClientCache: {
                        locationName: "clientCache"
                      },
                      CodecSpecification: {
                        locationName: "codecSpecification"
                      },
                      DashManifestStyle: {
                        locationName: "dashManifestStyle"
                      },
                      Destination: {
                        locationName: "destination"
                      },
                      DestinationSettings: {
                        shape: "S4w",
                        locationName: "destinationSettings"
                      },
                      Encryption: {
                        locationName: "encryption",
                        type: "structure",
                        members: {
                          ConstantInitializationVector: {
                            locationName: "constantInitializationVector"
                          },
                          EncryptionMethod: {
                            locationName: "encryptionMethod"
                          },
                          InitializationVectorInManifest: {
                            locationName: "initializationVectorInManifest"
                          },
                          SpekeKeyProvider: {
                            locationName: "spekeKeyProvider",
                            type: "structure",
                            members: {
                              CertificateArn: {
                                locationName: "certificateArn"
                              },
                              DashSignaledSystemIds: {
                                shape: "S5a",
                                locationName: "dashSignaledSystemIds"
                              },
                              HlsSignaledSystemIds: {
                                shape: "S5a",
                                locationName: "hlsSignaledSystemIds"
                              },
                              ResourceId: {
                                locationName: "resourceId"
                              },
                              Url: {
                                locationName: "url"
                              }
                            }
                          },
                          StaticKeyProvider: {
                            shape: "S5d",
                            locationName: "staticKeyProvider"
                          },
                          Type: {
                            locationName: "type"
                          }
                        }
                      },
                      FragmentLength: {
                        locationName: "fragmentLength",
                        type: "integer"
                      },
                      ImageBasedTrickPlay: {
                        locationName: "imageBasedTrickPlay"
                      },
                      ImageBasedTrickPlaySettings: {
                        locationName: "imageBasedTrickPlaySettings",
                        type: "structure",
                        members: {
                          IntervalCadence: {
                            locationName: "intervalCadence"
                          },
                          ThumbnailHeight: {
                            locationName: "thumbnailHeight",
                            type: "integer"
                          },
                          ThumbnailInterval: {
                            locationName: "thumbnailInterval",
                            type: "double"
                          },
                          ThumbnailWidth: {
                            locationName: "thumbnailWidth",
                            type: "integer"
                          },
                          TileHeight: {
                            locationName: "tileHeight",
                            type: "integer"
                          },
                          TileWidth: {
                            locationName: "tileWidth",
                            type: "integer"
                          }
                        }
                      },
                      ManifestCompression: {
                        locationName: "manifestCompression"
                      },
                      ManifestDurationFormat: {
                        locationName: "manifestDurationFormat"
                      },
                      MinBufferTime: {
                        locationName: "minBufferTime",
                        type: "integer"
                      },
                      MinFinalSegmentLength: {
                        locationName: "minFinalSegmentLength",
                        type: "double"
                      },
                      MpdManifestBandwidthType: {
                        locationName: "mpdManifestBandwidthType"
                      },
                      MpdProfile: {
                        locationName: "mpdProfile"
                      },
                      PtsOffsetHandlingForBFrames: {
                        locationName: "ptsOffsetHandlingForBFrames"
                      },
                      SegmentControl: {
                        locationName: "segmentControl"
                      },
                      SegmentLength: {
                        locationName: "segmentLength",
                        type: "integer"
                      },
                      SegmentLengthControl: {
                        locationName: "segmentLengthControl"
                      },
                      StreamInfResolution: {
                        locationName: "streamInfResolution"
                      },
                      TargetDurationCompatibilityMode: {
                        locationName: "targetDurationCompatibilityMode"
                      },
                      VideoCompositionOffsets: {
                        locationName: "videoCompositionOffsets"
                      },
                      WriteDashManifest: {
                        locationName: "writeDashManifest"
                      },
                      WriteHlsManifest: {
                        locationName: "writeHlsManifest"
                      },
                      WriteSegmentTimelineInRepresentation: {
                        locationName: "writeSegmentTimelineInRepresentation"
                      }
                    }
                  },
                  DashIsoGroupSettings: {
                    locationName: "dashIsoGroupSettings",
                    type: "structure",
                    members: {
                      AdditionalManifests: {
                        locationName: "additionalManifests",
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            ManifestNameModifier: {
                              locationName: "manifestNameModifier"
                            },
                            SelectedOutputs: {
                              shape: "Sz",
                              locationName: "selectedOutputs"
                            }
                          }
                        }
                      },
                      AudioChannelConfigSchemeIdUri: {
                        locationName: "audioChannelConfigSchemeIdUri"
                      },
                      BaseUrl: {
                        locationName: "baseUrl"
                      },
                      DashManifestStyle: {
                        locationName: "dashManifestStyle"
                      },
                      Destination: {
                        locationName: "destination"
                      },
                      DestinationSettings: {
                        shape: "S4w",
                        locationName: "destinationSettings"
                      },
                      Encryption: {
                        locationName: "encryption",
                        type: "structure",
                        members: {
                          PlaybackDeviceCompatibility: {
                            locationName: "playbackDeviceCompatibility"
                          },
                          SpekeKeyProvider: {
                            shape: "S69",
                            locationName: "spekeKeyProvider"
                          }
                        }
                      },
                      FragmentLength: {
                        locationName: "fragmentLength",
                        type: "integer"
                      },
                      HbbtvCompliance: {
                        locationName: "hbbtvCompliance"
                      },
                      ImageBasedTrickPlay: {
                        locationName: "imageBasedTrickPlay"
                      },
                      ImageBasedTrickPlaySettings: {
                        locationName: "imageBasedTrickPlaySettings",
                        type: "structure",
                        members: {
                          IntervalCadence: {
                            locationName: "intervalCadence"
                          },
                          ThumbnailHeight: {
                            locationName: "thumbnailHeight",
                            type: "integer"
                          },
                          ThumbnailInterval: {
                            locationName: "thumbnailInterval",
                            type: "double"
                          },
                          ThumbnailWidth: {
                            locationName: "thumbnailWidth",
                            type: "integer"
                          },
                          TileHeight: {
                            locationName: "tileHeight",
                            type: "integer"
                          },
                          TileWidth: {
                            locationName: "tileWidth",
                            type: "integer"
                          }
                        }
                      },
                      MinBufferTime: {
                        locationName: "minBufferTime",
                        type: "integer"
                      },
                      MinFinalSegmentLength: {
                        locationName: "minFinalSegmentLength",
                        type: "double"
                      },
                      MpdManifestBandwidthType: {
                        locationName: "mpdManifestBandwidthType"
                      },
                      MpdProfile: {
                        locationName: "mpdProfile"
                      },
                      PtsOffsetHandlingForBFrames: {
                        locationName: "ptsOffsetHandlingForBFrames"
                      },
                      SegmentControl: {
                        locationName: "segmentControl"
                      },
                      SegmentLength: {
                        locationName: "segmentLength",
                        type: "integer"
                      },
                      SegmentLengthControl: {
                        locationName: "segmentLengthControl"
                      },
                      VideoCompositionOffsets: {
                        locationName: "videoCompositionOffsets"
                      },
                      WriteSegmentTimelineInRepresentation: {
                        locationName: "writeSegmentTimelineInRepresentation"
                      }
                    }
                  },
                  FileGroupSettings: {
                    locationName: "fileGroupSettings",
                    type: "structure",
                    members: {
                      Destination: {
                        locationName: "destination"
                      },
                      DestinationSettings: {
                        shape: "S4w",
                        locationName: "destinationSettings"
                      }
                    }
                  },
                  HlsGroupSettings: {
                    locationName: "hlsGroupSettings",
                    type: "structure",
                    members: {
                      AdMarkers: {
                        locationName: "adMarkers",
                        type: "list",
                        member: {}
                      },
                      AdditionalManifests: {
                        locationName: "additionalManifests",
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            ManifestNameModifier: {
                              locationName: "manifestNameModifier"
                            },
                            SelectedOutputs: {
                              shape: "Sz",
                              locationName: "selectedOutputs"
                            }
                          }
                        }
                      },
                      AudioOnlyHeader: {
                        locationName: "audioOnlyHeader"
                      },
                      BaseUrl: {
                        locationName: "baseUrl"
                      },
                      CaptionLanguageMappings: {
                        locationName: "captionLanguageMappings",
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            CaptionChannel: {
                              locationName: "captionChannel",
                              type: "integer"
                            },
                            CustomLanguageCode: {
                              locationName: "customLanguageCode"
                            },
                            LanguageCode: {
                              locationName: "languageCode"
                            },
                            LanguageDescription: {
                              locationName: "languageDescription"
                            }
                          }
                        }
                      },
                      CaptionLanguageSetting: {
                        locationName: "captionLanguageSetting"
                      },
                      CaptionSegmentLengthControl: {
                        locationName: "captionSegmentLengthControl"
                      },
                      ClientCache: {
                        locationName: "clientCache"
                      },
                      CodecSpecification: {
                        locationName: "codecSpecification"
                      },
                      Destination: {
                        locationName: "destination"
                      },
                      DestinationSettings: {
                        shape: "S4w",
                        locationName: "destinationSettings"
                      },
                      DirectoryStructure: {
                        locationName: "directoryStructure"
                      },
                      Encryption: {
                        locationName: "encryption",
                        type: "structure",
                        members: {
                          ConstantInitializationVector: {
                            locationName: "constantInitializationVector"
                          },
                          EncryptionMethod: {
                            locationName: "encryptionMethod"
                          },
                          InitializationVectorInManifest: {
                            locationName: "initializationVectorInManifest"
                          },
                          OfflineEncrypted: {
                            locationName: "offlineEncrypted"
                          },
                          SpekeKeyProvider: {
                            shape: "S69",
                            locationName: "spekeKeyProvider"
                          },
                          StaticKeyProvider: {
                            shape: "S5d",
                            locationName: "staticKeyProvider"
                          },
                          Type: {
                            locationName: "type"
                          }
                        }
                      },
                      ImageBasedTrickPlay: {
                        locationName: "imageBasedTrickPlay"
                      },
                      ImageBasedTrickPlaySettings: {
                        locationName: "imageBasedTrickPlaySettings",
                        type: "structure",
                        members: {
                          IntervalCadence: {
                            locationName: "intervalCadence"
                          },
                          ThumbnailHeight: {
                            locationName: "thumbnailHeight",
                            type: "integer"
                          },
                          ThumbnailInterval: {
                            locationName: "thumbnailInterval",
                            type: "double"
                          },
                          ThumbnailWidth: {
                            locationName: "thumbnailWidth",
                            type: "integer"
                          },
                          TileHeight: {
                            locationName: "tileHeight",
                            type: "integer"
                          },
                          TileWidth: {
                            locationName: "tileWidth",
                            type: "integer"
                          }
                        }
                      },
                      ManifestCompression: {
                        locationName: "manifestCompression"
                      },
                      ManifestDurationFormat: {
                        locationName: "manifestDurationFormat"
                      },
                      MinFinalSegmentLength: {
                        locationName: "minFinalSegmentLength",
                        type: "double"
                      },
                      MinSegmentLength: {
                        locationName: "minSegmentLength",
                        type: "integer"
                      },
                      OutputSelection: {
                        locationName: "outputSelection"
                      },
                      ProgramDateTime: {
                        locationName: "programDateTime"
                      },
                      ProgramDateTimePeriod: {
                        locationName: "programDateTimePeriod",
                        type: "integer"
                      },
                      ProgressiveWriteHlsManifest: {
                        locationName: "progressiveWriteHlsManifest"
                      },
                      SegmentControl: {
                        locationName: "segmentControl"
                      },
                      SegmentLength: {
                        locationName: "segmentLength",
                        type: "integer"
                      },
                      SegmentLengthControl: {
                        locationName: "segmentLengthControl"
                      },
                      SegmentsPerSubdirectory: {
                        locationName: "segmentsPerSubdirectory",
                        type: "integer"
                      },
                      StreamInfResolution: {
                        locationName: "streamInfResolution"
                      },
                      TargetDurationCompatibilityMode: {
                        locationName: "targetDurationCompatibilityMode"
                      },
                      TimedMetadataId3Frame: {
                        locationName: "timedMetadataId3Frame"
                      },
                      TimedMetadataId3Period: {
                        locationName: "timedMetadataId3Period",
                        type: "integer"
                      },
                      TimestampDeltaMilliseconds: {
                        locationName: "timestampDeltaMilliseconds",
                        type: "integer"
                      }
                    }
                  },
                  MsSmoothGroupSettings: {
                    locationName: "msSmoothGroupSettings",
                    type: "structure",
                    members: {
                      AdditionalManifests: {
                        locationName: "additionalManifests",
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            ManifestNameModifier: {
                              locationName: "manifestNameModifier"
                            },
                            SelectedOutputs: {
                              shape: "Sz",
                              locationName: "selectedOutputs"
                            }
                          }
                        }
                      },
                      AudioDeduplication: {
                        locationName: "audioDeduplication"
                      },
                      Destination: {
                        locationName: "destination"
                      },
                      DestinationSettings: {
                        shape: "S4w",
                        locationName: "destinationSettings"
                      },
                      Encryption: {
                        locationName: "encryption",
                        type: "structure",
                        members: {
                          SpekeKeyProvider: {
                            shape: "S69",
                            locationName: "spekeKeyProvider"
                          }
                        }
                      },
                      FragmentLength: {
                        locationName: "fragmentLength",
                        type: "integer"
                      },
                      FragmentLengthControl: {
                        locationName: "fragmentLengthControl"
                      },
                      ManifestEncoding: {
                        locationName: "manifestEncoding"
                      }
                    }
                  },
                  Type: {
                    locationName: "type"
                  }
                }
              },
              Outputs: {
                locationName: "outputs",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AudioDescriptions: {
                      shape: "S7v",
                      locationName: "audioDescriptions"
                    },
                    CaptionDescriptions: {
                      locationName: "captionDescriptions",
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          CaptionSelectorName: {
                            locationName: "captionSelectorName"
                          },
                          CustomLanguageCode: {
                            locationName: "customLanguageCode"
                          },
                          DestinationSettings: {
                            shape: "Saf",
                            locationName: "destinationSettings"
                          },
                          LanguageCode: {
                            locationName: "languageCode"
                          },
                          LanguageDescription: {
                            locationName: "languageDescription"
                          }
                        }
                      }
                    },
                    ContainerSettings: {
                      shape: "Sbp",
                      locationName: "containerSettings"
                    },
                    Extension: {
                      locationName: "extension"
                    },
                    NameModifier: {
                      locationName: "nameModifier"
                    },
                    OutputSettings: {
                      locationName: "outputSettings",
                      type: "structure",
                      members: {
                        HlsSettings: {
                          locationName: "hlsSettings",
                          type: "structure",
                          members: {
                            AudioGroupId: {
                              locationName: "audioGroupId"
                            },
                            AudioOnlyContainer: {
                              locationName: "audioOnlyContainer"
                            },
                            AudioRenditionSets: {
                              locationName: "audioRenditionSets"
                            },
                            AudioTrackType: {
                              locationName: "audioTrackType"
                            },
                            DescriptiveVideoServiceFlag: {
                              locationName: "descriptiveVideoServiceFlag"
                            },
                            IFrameOnlyManifest: {
                              locationName: "iFrameOnlyManifest"
                            },
                            SegmentModifier: {
                              locationName: "segmentModifier"
                            }
                          }
                        }
                      }
                    },
                    Preset: {
                      locationName: "preset"
                    },
                    VideoDescription: {
                      shape: "Se3",
                      locationName: "videoDescription"
                    }
                  }
                }
              }
            }
          }
        },
        S4w: {
          type: "structure",
          members: {
            S3Settings: {
              locationName: "s3Settings",
              type: "structure",
              members: {
                AccessControl: {
                  locationName: "accessControl",
                  type: "structure",
                  members: {
                    CannedAcl: {
                      locationName: "cannedAcl"
                    }
                  }
                },
                Encryption: {
                  locationName: "encryption",
                  type: "structure",
                  members: {
                    EncryptionType: {
                      locationName: "encryptionType"
                    },
                    KmsEncryptionContext: {
                      locationName: "kmsEncryptionContext"
                    },
                    KmsKeyArn: {
                      locationName: "kmsKeyArn"
                    }
                  }
                }
              }
            }
          }
        },
        S5a: {
          type: "list",
          member: {}
        },
        S5d: {
          type: "structure",
          members: {
            KeyFormat: {
              locationName: "keyFormat"
            },
            KeyFormatVersions: {
              locationName: "keyFormatVersions"
            },
            StaticKeyValue: {
              locationName: "staticKeyValue"
            },
            Url: {
              locationName: "url"
            }
          }
        },
        S69: {
          type: "structure",
          members: {
            CertificateArn: {
              locationName: "certificateArn"
            },
            ResourceId: {
              locationName: "resourceId"
            },
            SystemIds: {
              locationName: "systemIds",
              type: "list",
              member: {}
            },
            Url: {
              locationName: "url"
            }
          }
        },
        S7v: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AudioChannelTaggingSettings: {
                locationName: "audioChannelTaggingSettings",
                type: "structure",
                members: {
                  ChannelTag: {
                    locationName: "channelTag"
                  }
                }
              },
              AudioNormalizationSettings: {
                locationName: "audioNormalizationSettings",
                type: "structure",
                members: {
                  Algorithm: {
                    locationName: "algorithm"
                  },
                  AlgorithmControl: {
                    locationName: "algorithmControl"
                  },
                  CorrectionGateLevel: {
                    locationName: "correctionGateLevel",
                    type: "integer"
                  },
                  LoudnessLogging: {
                    locationName: "loudnessLogging"
                  },
                  PeakCalculation: {
                    locationName: "peakCalculation"
                  },
                  TargetLkfs: {
                    locationName: "targetLkfs",
                    type: "double"
                  },
                  TruePeakLimiterThreshold: {
                    locationName: "truePeakLimiterThreshold",
                    type: "double"
                  }
                }
              },
              AudioSourceName: {
                locationName: "audioSourceName"
              },
              AudioType: {
                locationName: "audioType",
                type: "integer"
              },
              AudioTypeControl: {
                locationName: "audioTypeControl"
              },
              CodecSettings: {
                locationName: "codecSettings",
                type: "structure",
                members: {
                  AacSettings: {
                    locationName: "aacSettings",
                    type: "structure",
                    members: {
                      AudioDescriptionBroadcasterMix: {
                        locationName: "audioDescriptionBroadcasterMix"
                      },
                      Bitrate: {
                        locationName: "bitrate",
                        type: "integer"
                      },
                      CodecProfile: {
                        locationName: "codecProfile"
                      },
                      CodingMode: {
                        locationName: "codingMode"
                      },
                      RateControlMode: {
                        locationName: "rateControlMode"
                      },
                      RawFormat: {
                        locationName: "rawFormat"
                      },
                      SampleRate: {
                        locationName: "sampleRate",
                        type: "integer"
                      },
                      Specification: {
                        locationName: "specification"
                      },
                      VbrQuality: {
                        locationName: "vbrQuality"
                      }
                    }
                  },
                  Ac3Settings: {
                    locationName: "ac3Settings",
                    type: "structure",
                    members: {
                      Bitrate: {
                        locationName: "bitrate",
                        type: "integer"
                      },
                      BitstreamMode: {
                        locationName: "bitstreamMode"
                      },
                      CodingMode: {
                        locationName: "codingMode"
                      },
                      Dialnorm: {
                        locationName: "dialnorm",
                        type: "integer"
                      },
                      DynamicRangeCompressionLine: {
                        locationName: "dynamicRangeCompressionLine"
                      },
                      DynamicRangeCompressionProfile: {
                        locationName: "dynamicRangeCompressionProfile"
                      },
                      DynamicRangeCompressionRf: {
                        locationName: "dynamicRangeCompressionRf"
                      },
                      LfeFilter: {
                        locationName: "lfeFilter"
                      },
                      MetadataControl: {
                        locationName: "metadataControl"
                      },
                      SampleRate: {
                        locationName: "sampleRate",
                        type: "integer"
                      }
                    }
                  },
                  AiffSettings: {
                    locationName: "aiffSettings",
                    type: "structure",
                    members: {
                      BitDepth: {
                        locationName: "bitDepth",
                        type: "integer"
                      },
                      Channels: {
                        locationName: "channels",
                        type: "integer"
                      },
                      SampleRate: {
                        locationName: "sampleRate",
                        type: "integer"
                      }
                    }
                  },
                  Codec: {
                    locationName: "codec"
                  },
                  Eac3AtmosSettings: {
                    locationName: "eac3AtmosSettings",
                    type: "structure",
                    members: {
                      Bitrate: {
                        locationName: "bitrate",
                        type: "integer"
                      },
                      BitstreamMode: {
                        locationName: "bitstreamMode"
                      },
                      CodingMode: {
                        locationName: "codingMode"
                      },
                      DialogueIntelligence: {
                        locationName: "dialogueIntelligence"
                      },
                      DownmixControl: {
                        locationName: "downmixControl"
                      },
                      DynamicRangeCompressionLine: {
                        locationName: "dynamicRangeCompressionLine"
                      },
                      DynamicRangeCompressionRf: {
                        locationName: "dynamicRangeCompressionRf"
                      },
                      DynamicRangeControl: {
                        locationName: "dynamicRangeControl"
                      },
                      LoRoCenterMixLevel: {
                        locationName: "loRoCenterMixLevel",
                        type: "double"
                      },
                      LoRoSurroundMixLevel: {
                        locationName: "loRoSurroundMixLevel",
                        type: "double"
                      },
                      LtRtCenterMixLevel: {
                        locationName: "ltRtCenterMixLevel",
                        type: "double"
                      },
                      LtRtSurroundMixLevel: {
                        locationName: "ltRtSurroundMixLevel",
                        type: "double"
                      },
                      MeteringMode: {
                        locationName: "meteringMode"
                      },
                      SampleRate: {
                        locationName: "sampleRate",
                        type: "integer"
                      },
                      SpeechThreshold: {
                        locationName: "speechThreshold",
                        type: "integer"
                      },
                      StereoDownmix: {
                        locationName: "stereoDownmix"
                      },
                      SurroundExMode: {
                        locationName: "surroundExMode"
                      }
                    }
                  },
                  Eac3Settings: {
                    locationName: "eac3Settings",
                    type: "structure",
                    members: {
                      AttenuationControl: {
                        locationName: "attenuationControl"
                      },
                      Bitrate: {
                        locationName: "bitrate",
                        type: "integer"
                      },
                      BitstreamMode: {
                        locationName: "bitstreamMode"
                      },
                      CodingMode: {
                        locationName: "codingMode"
                      },
                      DcFilter: {
                        locationName: "dcFilter"
                      },
                      Dialnorm: {
                        locationName: "dialnorm",
                        type: "integer"
                      },
                      DynamicRangeCompressionLine: {
                        locationName: "dynamicRangeCompressionLine"
                      },
                      DynamicRangeCompressionRf: {
                        locationName: "dynamicRangeCompressionRf"
                      },
                      LfeControl: {
                        locationName: "lfeControl"
                      },
                      LfeFilter: {
                        locationName: "lfeFilter"
                      },
                      LoRoCenterMixLevel: {
                        locationName: "loRoCenterMixLevel",
                        type: "double"
                      },
                      LoRoSurroundMixLevel: {
                        locationName: "loRoSurroundMixLevel",
                        type: "double"
                      },
                      LtRtCenterMixLevel: {
                        locationName: "ltRtCenterMixLevel",
                        type: "double"
                      },
                      LtRtSurroundMixLevel: {
                        locationName: "ltRtSurroundMixLevel",
                        type: "double"
                      },
                      MetadataControl: {
                        locationName: "metadataControl"
                      },
                      PassthroughControl: {
                        locationName: "passthroughControl"
                      },
                      PhaseControl: {
                        locationName: "phaseControl"
                      },
                      SampleRate: {
                        locationName: "sampleRate",
                        type: "integer"
                      },
                      StereoDownmix: {
                        locationName: "stereoDownmix"
                      },
                      SurroundExMode: {
                        locationName: "surroundExMode"
                      },
                      SurroundMode: {
                        locationName: "surroundMode"
                      }
                    }
                  },
                  Mp2Settings: {
                    locationName: "mp2Settings",
                    type: "structure",
                    members: {
                      Bitrate: {
                        locationName: "bitrate",
                        type: "integer"
                      },
                      Channels: {
                        locationName: "channels",
                        type: "integer"
                      },
                      SampleRate: {
                        locationName: "sampleRate",
                        type: "integer"
                      }
                    }
                  },
                  Mp3Settings: {
                    locationName: "mp3Settings",
                    type: "structure",
                    members: {
                      Bitrate: {
                        locationName: "bitrate",
                        type: "integer"
                      },
                      Channels: {
                        locationName: "channels",
                        type: "integer"
                      },
                      RateControlMode: {
                        locationName: "rateControlMode"
                      },
                      SampleRate: {
                        locationName: "sampleRate",
                        type: "integer"
                      },
                      VbrQuality: {
                        locationName: "vbrQuality",
                        type: "integer"
                      }
                    }
                  },
                  OpusSettings: {
                    locationName: "opusSettings",
                    type: "structure",
                    members: {
                      Bitrate: {
                        locationName: "bitrate",
                        type: "integer"
                      },
                      Channels: {
                        locationName: "channels",
                        type: "integer"
                      },
                      SampleRate: {
                        locationName: "sampleRate",
                        type: "integer"
                      }
                    }
                  },
                  VorbisSettings: {
                    locationName: "vorbisSettings",
                    type: "structure",
                    members: {
                      Channels: {
                        locationName: "channels",
                        type: "integer"
                      },
                      SampleRate: {
                        locationName: "sampleRate",
                        type: "integer"
                      },
                      VbrQuality: {
                        locationName: "vbrQuality",
                        type: "integer"
                      }
                    }
                  },
                  WavSettings: {
                    locationName: "wavSettings",
                    type: "structure",
                    members: {
                      BitDepth: {
                        locationName: "bitDepth",
                        type: "integer"
                      },
                      Channels: {
                        locationName: "channels",
                        type: "integer"
                      },
                      Format: {
                        locationName: "format"
                      },
                      SampleRate: {
                        locationName: "sampleRate",
                        type: "integer"
                      }
                    }
                  }
                }
              },
              CustomLanguageCode: {
                locationName: "customLanguageCode"
              },
              LanguageCode: {
                locationName: "languageCode"
              },
              LanguageCodeControl: {
                locationName: "languageCodeControl"
              },
              RemixSettings: {
                shape: "S1d",
                locationName: "remixSettings"
              },
              StreamName: {
                locationName: "streamName"
              }
            }
          }
        },
        Saf: {
          type: "structure",
          members: {
            BurninDestinationSettings: {
              locationName: "burninDestinationSettings",
              type: "structure",
              members: {
                Alignment: {
                  locationName: "alignment"
                },
                ApplyFontColor: {
                  locationName: "applyFontColor"
                },
                BackgroundColor: {
                  locationName: "backgroundColor"
                },
                BackgroundOpacity: {
                  locationName: "backgroundOpacity",
                  type: "integer"
                },
                FallbackFont: {
                  locationName: "fallbackFont"
                },
                FontColor: {
                  locationName: "fontColor"
                },
                FontOpacity: {
                  locationName: "fontOpacity",
                  type: "integer"
                },
                FontResolution: {
                  locationName: "fontResolution",
                  type: "integer"
                },
                FontScript: {
                  locationName: "fontScript"
                },
                FontSize: {
                  locationName: "fontSize",
                  type: "integer"
                },
                HexFontColor: {
                  locationName: "hexFontColor"
                },
                OutlineColor: {
                  locationName: "outlineColor"
                },
                OutlineSize: {
                  locationName: "outlineSize",
                  type: "integer"
                },
                ShadowColor: {
                  locationName: "shadowColor"
                },
                ShadowOpacity: {
                  locationName: "shadowOpacity",
                  type: "integer"
                },
                ShadowXOffset: {
                  locationName: "shadowXOffset",
                  type: "integer"
                },
                ShadowYOffset: {
                  locationName: "shadowYOffset",
                  type: "integer"
                },
                StylePassthrough: {
                  locationName: "stylePassthrough"
                },
                TeletextSpacing: {
                  locationName: "teletextSpacing"
                },
                XPosition: {
                  locationName: "xPosition",
                  type: "integer"
                },
                YPosition: {
                  locationName: "yPosition",
                  type: "integer"
                }
              }
            },
            DestinationType: {
              locationName: "destinationType"
            },
            DvbSubDestinationSettings: {
              locationName: "dvbSubDestinationSettings",
              type: "structure",
              members: {
                Alignment: {
                  locationName: "alignment"
                },
                ApplyFontColor: {
                  locationName: "applyFontColor"
                },
                BackgroundColor: {
                  locationName: "backgroundColor"
                },
                BackgroundOpacity: {
                  locationName: "backgroundOpacity",
                  type: "integer"
                },
                DdsHandling: {
                  locationName: "ddsHandling"
                },
                DdsXCoordinate: {
                  locationName: "ddsXCoordinate",
                  type: "integer"
                },
                DdsYCoordinate: {
                  locationName: "ddsYCoordinate",
                  type: "integer"
                },
                FallbackFont: {
                  locationName: "fallbackFont"
                },
                FontColor: {
                  locationName: "fontColor"
                },
                FontOpacity: {
                  locationName: "fontOpacity",
                  type: "integer"
                },
                FontResolution: {
                  locationName: "fontResolution",
                  type: "integer"
                },
                FontScript: {
                  locationName: "fontScript"
                },
                FontSize: {
                  locationName: "fontSize",
                  type: "integer"
                },
                Height: {
                  locationName: "height",
                  type: "integer"
                },
                HexFontColor: {
                  locationName: "hexFontColor"
                },
                OutlineColor: {
                  locationName: "outlineColor"
                },
                OutlineSize: {
                  locationName: "outlineSize",
                  type: "integer"
                },
                ShadowColor: {
                  locationName: "shadowColor"
                },
                ShadowOpacity: {
                  locationName: "shadowOpacity",
                  type: "integer"
                },
                ShadowXOffset: {
                  locationName: "shadowXOffset",
                  type: "integer"
                },
                ShadowYOffset: {
                  locationName: "shadowYOffset",
                  type: "integer"
                },
                StylePassthrough: {
                  locationName: "stylePassthrough"
                },
                SubtitlingType: {
                  locationName: "subtitlingType"
                },
                TeletextSpacing: {
                  locationName: "teletextSpacing"
                },
                Width: {
                  locationName: "width",
                  type: "integer"
                },
                XPosition: {
                  locationName: "xPosition",
                  type: "integer"
                },
                YPosition: {
                  locationName: "yPosition",
                  type: "integer"
                }
              }
            },
            EmbeddedDestinationSettings: {
              locationName: "embeddedDestinationSettings",
              type: "structure",
              members: {
                Destination608ChannelNumber: {
                  locationName: "destination608ChannelNumber",
                  type: "integer"
                },
                Destination708ServiceNumber: {
                  locationName: "destination708ServiceNumber",
                  type: "integer"
                }
              }
            },
            ImscDestinationSettings: {
              locationName: "imscDestinationSettings",
              type: "structure",
              members: {
                Accessibility: {
                  locationName: "accessibility"
                },
                StylePassthrough: {
                  locationName: "stylePassthrough"
                }
              }
            },
            SccDestinationSettings: {
              locationName: "sccDestinationSettings",
              type: "structure",
              members: {
                Framerate: {
                  locationName: "framerate"
                }
              }
            },
            SrtDestinationSettings: {
              locationName: "srtDestinationSettings",
              type: "structure",
              members: {
                StylePassthrough: {
                  locationName: "stylePassthrough"
                }
              }
            },
            TeletextDestinationSettings: {
              locationName: "teletextDestinationSettings",
              type: "structure",
              members: {
                PageNumber: {
                  locationName: "pageNumber"
                },
                PageTypes: {
                  locationName: "pageTypes",
                  type: "list",
                  member: {}
                }
              }
            },
            TtmlDestinationSettings: {
              locationName: "ttmlDestinationSettings",
              type: "structure",
              members: {
                StylePassthrough: {
                  locationName: "stylePassthrough"
                }
              }
            },
            WebvttDestinationSettings: {
              locationName: "webvttDestinationSettings",
              type: "structure",
              members: {
                Accessibility: {
                  locationName: "accessibility"
                },
                StylePassthrough: {
                  locationName: "stylePassthrough"
                }
              }
            }
          }
        },
        Sbp: {
          type: "structure",
          members: {
            CmfcSettings: {
              locationName: "cmfcSettings",
              type: "structure",
              members: {
                AudioDuration: {
                  locationName: "audioDuration"
                },
                AudioGroupId: {
                  locationName: "audioGroupId"
                },
                AudioRenditionSets: {
                  locationName: "audioRenditionSets"
                },
                AudioTrackType: {
                  locationName: "audioTrackType"
                },
                DescriptiveVideoServiceFlag: {
                  locationName: "descriptiveVideoServiceFlag"
                },
                IFrameOnlyManifest: {
                  locationName: "iFrameOnlyManifest"
                },
                KlvMetadata: {
                  locationName: "klvMetadata"
                },
                ManifestMetadataSignaling: {
                  locationName: "manifestMetadataSignaling"
                },
                Scte35Esam: {
                  locationName: "scte35Esam"
                },
                Scte35Source: {
                  locationName: "scte35Source"
                },
                TimedMetadata: {
                  locationName: "timedMetadata"
                },
                TimedMetadataBoxVersion: {
                  locationName: "timedMetadataBoxVersion"
                },
                TimedMetadataSchemeIdUri: {
                  locationName: "timedMetadataSchemeIdUri"
                },
                TimedMetadataValue: {
                  locationName: "timedMetadataValue"
                }
              }
            },
            Container: {
              locationName: "container"
            },
            F4vSettings: {
              locationName: "f4vSettings",
              type: "structure",
              members: {
                MoovPlacement: {
                  locationName: "moovPlacement"
                }
              }
            },
            M2tsSettings: {
              locationName: "m2tsSettings",
              type: "structure",
              members: {
                AudioBufferModel: {
                  locationName: "audioBufferModel"
                },
                AudioDuration: {
                  locationName: "audioDuration"
                },
                AudioFramesPerPes: {
                  locationName: "audioFramesPerPes",
                  type: "integer"
                },
                AudioPids: {
                  shape: "Sc8",
                  locationName: "audioPids"
                },
                Bitrate: {
                  locationName: "bitrate",
                  type: "integer"
                },
                BufferModel: {
                  locationName: "bufferModel"
                },
                DataPTSControl: {
                  locationName: "dataPTSControl"
                },
                DvbNitSettings: {
                  locationName: "dvbNitSettings",
                  type: "structure",
                  members: {
                    NetworkId: {
                      locationName: "networkId",
                      type: "integer"
                    },
                    NetworkName: {
                      locationName: "networkName"
                    },
                    NitInterval: {
                      locationName: "nitInterval",
                      type: "integer"
                    }
                  }
                },
                DvbSdtSettings: {
                  locationName: "dvbSdtSettings",
                  type: "structure",
                  members: {
                    OutputSdt: {
                      locationName: "outputSdt"
                    },
                    SdtInterval: {
                      locationName: "sdtInterval",
                      type: "integer"
                    },
                    ServiceName: {
                      locationName: "serviceName"
                    },
                    ServiceProviderName: {
                      locationName: "serviceProviderName"
                    }
                  }
                },
                DvbSubPids: {
                  shape: "Sc8",
                  locationName: "dvbSubPids"
                },
                DvbTdtSettings: {
                  locationName: "dvbTdtSettings",
                  type: "structure",
                  members: {
                    TdtInterval: {
                      locationName: "tdtInterval",
                      type: "integer"
                    }
                  }
                },
                DvbTeletextPid: {
                  locationName: "dvbTeletextPid",
                  type: "integer"
                },
                EbpAudioInterval: {
                  locationName: "ebpAudioInterval"
                },
                EbpPlacement: {
                  locationName: "ebpPlacement"
                },
                EsRateInPes: {
                  locationName: "esRateInPes"
                },
                ForceTsVideoEbpOrder: {
                  locationName: "forceTsVideoEbpOrder"
                },
                FragmentTime: {
                  locationName: "fragmentTime",
                  type: "double"
                },
                KlvMetadata: {
                  locationName: "klvMetadata"
                },
                MaxPcrInterval: {
                  locationName: "maxPcrInterval",
                  type: "integer"
                },
                MinEbpInterval: {
                  locationName: "minEbpInterval",
                  type: "integer"
                },
                NielsenId3: {
                  locationName: "nielsenId3"
                },
                NullPacketBitrate: {
                  locationName: "nullPacketBitrate",
                  type: "double"
                },
                PatInterval: {
                  locationName: "patInterval",
                  type: "integer"
                },
                PcrControl: {
                  locationName: "pcrControl"
                },
                PcrPid: {
                  locationName: "pcrPid",
                  type: "integer"
                },
                PmtInterval: {
                  locationName: "pmtInterval",
                  type: "integer"
                },
                PmtPid: {
                  locationName: "pmtPid",
                  type: "integer"
                },
                PrivateMetadataPid: {
                  locationName: "privateMetadataPid",
                  type: "integer"
                },
                ProgramNumber: {
                  locationName: "programNumber",
                  type: "integer"
                },
                RateMode: {
                  locationName: "rateMode"
                },
                Scte35Esam: {
                  locationName: "scte35Esam",
                  type: "structure",
                  members: {
                    Scte35EsamPid: {
                      locationName: "scte35EsamPid",
                      type: "integer"
                    }
                  }
                },
                Scte35Pid: {
                  locationName: "scte35Pid",
                  type: "integer"
                },
                Scte35Source: {
                  locationName: "scte35Source"
                },
                SegmentationMarkers: {
                  locationName: "segmentationMarkers"
                },
                SegmentationStyle: {
                  locationName: "segmentationStyle"
                },
                SegmentationTime: {
                  locationName: "segmentationTime",
                  type: "double"
                },
                TimedMetadataPid: {
                  locationName: "timedMetadataPid",
                  type: "integer"
                },
                TransportStreamId: {
                  locationName: "transportStreamId",
                  type: "integer"
                },
                VideoPid: {
                  locationName: "videoPid",
                  type: "integer"
                }
              }
            },
            M3u8Settings: {
              locationName: "m3u8Settings",
              type: "structure",
              members: {
                AudioDuration: {
                  locationName: "audioDuration"
                },
                AudioFramesPerPes: {
                  locationName: "audioFramesPerPes",
                  type: "integer"
                },
                AudioPids: {
                  shape: "Sc8",
                  locationName: "audioPids"
                },
                DataPTSControl: {
                  locationName: "dataPTSControl"
                },
                MaxPcrInterval: {
                  locationName: "maxPcrInterval",
                  type: "integer"
                },
                NielsenId3: {
                  locationName: "nielsenId3"
                },
                PatInterval: {
                  locationName: "patInterval",
                  type: "integer"
                },
                PcrControl: {
                  locationName: "pcrControl"
                },
                PcrPid: {
                  locationName: "pcrPid",
                  type: "integer"
                },
                PmtInterval: {
                  locationName: "pmtInterval",
                  type: "integer"
                },
                PmtPid: {
                  locationName: "pmtPid",
                  type: "integer"
                },
                PrivateMetadataPid: {
                  locationName: "privateMetadataPid",
                  type: "integer"
                },
                ProgramNumber: {
                  locationName: "programNumber",
                  type: "integer"
                },
                Scte35Pid: {
                  locationName: "scte35Pid",
                  type: "integer"
                },
                Scte35Source: {
                  locationName: "scte35Source"
                },
                TimedMetadata: {
                  locationName: "timedMetadata"
                },
                TimedMetadataPid: {
                  locationName: "timedMetadataPid",
                  type: "integer"
                },
                TransportStreamId: {
                  locationName: "transportStreamId",
                  type: "integer"
                },
                VideoPid: {
                  locationName: "videoPid",
                  type: "integer"
                }
              }
            },
            MovSettings: {
              locationName: "movSettings",
              type: "structure",
              members: {
                ClapAtom: {
                  locationName: "clapAtom"
                },
                CslgAtom: {
                  locationName: "cslgAtom"
                },
                Mpeg2FourCCControl: {
                  locationName: "mpeg2FourCCControl"
                },
                PaddingControl: {
                  locationName: "paddingControl"
                },
                Reference: {
                  locationName: "reference"
                }
              }
            },
            Mp4Settings: {
              locationName: "mp4Settings",
              type: "structure",
              members: {
                AudioDuration: {
                  locationName: "audioDuration"
                },
                CslgAtom: {
                  locationName: "cslgAtom"
                },
                CttsVersion: {
                  locationName: "cttsVersion",
                  type: "integer"
                },
                FreeSpaceBox: {
                  locationName: "freeSpaceBox"
                },
                MoovPlacement: {
                  locationName: "moovPlacement"
                },
                Mp4MajorBrand: {
                  locationName: "mp4MajorBrand"
                }
              }
            },
            MpdSettings: {
              locationName: "mpdSettings",
              type: "structure",
              members: {
                AccessibilityCaptionHints: {
                  locationName: "accessibilityCaptionHints"
                },
                AudioDuration: {
                  locationName: "audioDuration"
                },
                CaptionContainerType: {
                  locationName: "captionContainerType"
                },
                KlvMetadata: {
                  locationName: "klvMetadata"
                },
                ManifestMetadataSignaling: {
                  locationName: "manifestMetadataSignaling"
                },
                Scte35Esam: {
                  locationName: "scte35Esam"
                },
                Scte35Source: {
                  locationName: "scte35Source"
                },
                TimedMetadata: {
                  locationName: "timedMetadata"
                },
                TimedMetadataBoxVersion: {
                  locationName: "timedMetadataBoxVersion"
                },
                TimedMetadataSchemeIdUri: {
                  locationName: "timedMetadataSchemeIdUri"
                },
                TimedMetadataValue: {
                  locationName: "timedMetadataValue"
                }
              }
            },
            MxfSettings: {
              locationName: "mxfSettings",
              type: "structure",
              members: {
                AfdSignaling: {
                  locationName: "afdSignaling"
                },
                Profile: {
                  locationName: "profile"
                },
                XavcProfileSettings: {
                  locationName: "xavcProfileSettings",
                  type: "structure",
                  members: {
                    DurationMode: {
                      locationName: "durationMode"
                    },
                    MaxAncDataSize: {
                      locationName: "maxAncDataSize",
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        Sc8: {
          type: "list",
          member: {
            type: "integer"
          }
        },
        Se3: {
          type: "structure",
          members: {
            AfdSignaling: {
              locationName: "afdSignaling"
            },
            AntiAlias: {
              locationName: "antiAlias"
            },
            CodecSettings: {
              locationName: "codecSettings",
              type: "structure",
              members: {
                Av1Settings: {
                  locationName: "av1Settings",
                  type: "structure",
                  members: {
                    AdaptiveQuantization: {
                      locationName: "adaptiveQuantization"
                    },
                    BitDepth: {
                      locationName: "bitDepth"
                    },
                    FramerateControl: {
                      locationName: "framerateControl"
                    },
                    FramerateConversionAlgorithm: {
                      locationName: "framerateConversionAlgorithm"
                    },
                    FramerateDenominator: {
                      locationName: "framerateDenominator",
                      type: "integer"
                    },
                    FramerateNumerator: {
                      locationName: "framerateNumerator",
                      type: "integer"
                    },
                    GopSize: {
                      locationName: "gopSize",
                      type: "double"
                    },
                    MaxBitrate: {
                      locationName: "maxBitrate",
                      type: "integer"
                    },
                    NumberBFramesBetweenReferenceFrames: {
                      locationName: "numberBFramesBetweenReferenceFrames",
                      type: "integer"
                    },
                    QvbrSettings: {
                      locationName: "qvbrSettings",
                      type: "structure",
                      members: {
                        QvbrQualityLevel: {
                          locationName: "qvbrQualityLevel",
                          type: "integer"
                        },
                        QvbrQualityLevelFineTune: {
                          locationName: "qvbrQualityLevelFineTune",
                          type: "double"
                        }
                      }
                    },
                    RateControlMode: {
                      locationName: "rateControlMode"
                    },
                    Slices: {
                      locationName: "slices",
                      type: "integer"
                    },
                    SpatialAdaptiveQuantization: {
                      locationName: "spatialAdaptiveQuantization"
                    }
                  }
                },
                AvcIntraSettings: {
                  locationName: "avcIntraSettings",
                  type: "structure",
                  members: {
                    AvcIntraClass: {
                      locationName: "avcIntraClass"
                    },
                    AvcIntraUhdSettings: {
                      locationName: "avcIntraUhdSettings",
                      type: "structure",
                      members: {
                        QualityTuningLevel: {
                          locationName: "qualityTuningLevel"
                        }
                      }
                    },
                    FramerateControl: {
                      locationName: "framerateControl"
                    },
                    FramerateConversionAlgorithm: {
                      locationName: "framerateConversionAlgorithm"
                    },
                    FramerateDenominator: {
                      locationName: "framerateDenominator",
                      type: "integer"
                    },
                    FramerateNumerator: {
                      locationName: "framerateNumerator",
                      type: "integer"
                    },
                    InterlaceMode: {
                      locationName: "interlaceMode"
                    },
                    ScanTypeConversionMode: {
                      locationName: "scanTypeConversionMode"
                    },
                    SlowPal: {
                      locationName: "slowPal"
                    },
                    Telecine: {
                      locationName: "telecine"
                    }
                  }
                },
                Codec: {
                  locationName: "codec"
                },
                FrameCaptureSettings: {
                  locationName: "frameCaptureSettings",
                  type: "structure",
                  members: {
                    FramerateDenominator: {
                      locationName: "framerateDenominator",
                      type: "integer"
                    },
                    FramerateNumerator: {
                      locationName: "framerateNumerator",
                      type: "integer"
                    },
                    MaxCaptures: {
                      locationName: "maxCaptures",
                      type: "integer"
                    },
                    Quality: {
                      locationName: "quality",
                      type: "integer"
                    }
                  }
                },
                H264Settings: {
                  locationName: "h264Settings",
                  type: "structure",
                  members: {
                    AdaptiveQuantization: {
                      locationName: "adaptiveQuantization"
                    },
                    BandwidthReductionFilter: {
                      shape: "Sf1",
                      locationName: "bandwidthReductionFilter"
                    },
                    Bitrate: {
                      locationName: "bitrate",
                      type: "integer"
                    },
                    CodecLevel: {
                      locationName: "codecLevel"
                    },
                    CodecProfile: {
                      locationName: "codecProfile"
                    },
                    DynamicSubGop: {
                      locationName: "dynamicSubGop"
                    },
                    EntropyEncoding: {
                      locationName: "entropyEncoding"
                    },
                    FieldEncoding: {
                      locationName: "fieldEncoding"
                    },
                    FlickerAdaptiveQuantization: {
                      locationName: "flickerAdaptiveQuantization"
                    },
                    FramerateControl: {
                      locationName: "framerateControl"
                    },
                    FramerateConversionAlgorithm: {
                      locationName: "framerateConversionAlgorithm"
                    },
                    FramerateDenominator: {
                      locationName: "framerateDenominator",
                      type: "integer"
                    },
                    FramerateNumerator: {
                      locationName: "framerateNumerator",
                      type: "integer"
                    },
                    GopBReference: {
                      locationName: "gopBReference"
                    },
                    GopClosedCadence: {
                      locationName: "gopClosedCadence",
                      type: "integer"
                    },
                    GopSize: {
                      locationName: "gopSize",
                      type: "double"
                    },
                    GopSizeUnits: {
                      locationName: "gopSizeUnits"
                    },
                    HrdBufferFinalFillPercentage: {
                      locationName: "hrdBufferFinalFillPercentage",
                      type: "integer"
                    },
                    HrdBufferInitialFillPercentage: {
                      locationName: "hrdBufferInitialFillPercentage",
                      type: "integer"
                    },
                    HrdBufferSize: {
                      locationName: "hrdBufferSize",
                      type: "integer"
                    },
                    InterlaceMode: {
                      locationName: "interlaceMode"
                    },
                    MaxBitrate: {
                      locationName: "maxBitrate",
                      type: "integer"
                    },
                    MinIInterval: {
                      locationName: "minIInterval",
                      type: "integer"
                    },
                    NumberBFramesBetweenReferenceFrames: {
                      locationName: "numberBFramesBetweenReferenceFrames",
                      type: "integer"
                    },
                    NumberReferenceFrames: {
                      locationName: "numberReferenceFrames",
                      type: "integer"
                    },
                    ParControl: {
                      locationName: "parControl"
                    },
                    ParDenominator: {
                      locationName: "parDenominator",
                      type: "integer"
                    },
                    ParNumerator: {
                      locationName: "parNumerator",
                      type: "integer"
                    },
                    QualityTuningLevel: {
                      locationName: "qualityTuningLevel"
                    },
                    QvbrSettings: {
                      locationName: "qvbrSettings",
                      type: "structure",
                      members: {
                        MaxAverageBitrate: {
                          locationName: "maxAverageBitrate",
                          type: "integer"
                        },
                        QvbrQualityLevel: {
                          locationName: "qvbrQualityLevel",
                          type: "integer"
                        },
                        QvbrQualityLevelFineTune: {
                          locationName: "qvbrQualityLevelFineTune",
                          type: "double"
                        }
                      }
                    },
                    RateControlMode: {
                      locationName: "rateControlMode"
                    },
                    RepeatPps: {
                      locationName: "repeatPps"
                    },
                    ScanTypeConversionMode: {
                      locationName: "scanTypeConversionMode"
                    },
                    SceneChangeDetect: {
                      locationName: "sceneChangeDetect"
                    },
                    Slices: {
                      locationName: "slices",
                      type: "integer"
                    },
                    SlowPal: {
                      locationName: "slowPal"
                    },
                    Softness: {
                      locationName: "softness",
                      type: "integer"
                    },
                    SpatialAdaptiveQuantization: {
                      locationName: "spatialAdaptiveQuantization"
                    },
                    Syntax: {
                      locationName: "syntax"
                    },
                    Telecine: {
                      locationName: "telecine"
                    },
                    TemporalAdaptiveQuantization: {
                      locationName: "temporalAdaptiveQuantization"
                    },
                    UnregisteredSeiTimecode: {
                      locationName: "unregisteredSeiTimecode"
                    }
                  }
                },
                H265Settings: {
                  locationName: "h265Settings",
                  type: "structure",
                  members: {
                    AdaptiveQuantization: {
                      locationName: "adaptiveQuantization"
                    },
                    AlternateTransferFunctionSei: {
                      locationName: "alternateTransferFunctionSei"
                    },
                    BandwidthReductionFilter: {
                      shape: "Sf1",
                      locationName: "bandwidthReductionFilter"
                    },
                    Bitrate: {
                      locationName: "bitrate",
                      type: "integer"
                    },
                    CodecLevel: {
                      locationName: "codecLevel"
                    },
                    CodecProfile: {
                      locationName: "codecProfile"
                    },
                    DynamicSubGop: {
                      locationName: "dynamicSubGop"
                    },
                    FlickerAdaptiveQuantization: {
                      locationName: "flickerAdaptiveQuantization"
                    },
                    FramerateControl: {
                      locationName: "framerateControl"
                    },
                    FramerateConversionAlgorithm: {
                      locationName: "framerateConversionAlgorithm"
                    },
                    FramerateDenominator: {
                      locationName: "framerateDenominator",
                      type: "integer"
                    },
                    FramerateNumerator: {
                      locationName: "framerateNumerator",
                      type: "integer"
                    },
                    GopBReference: {
                      locationName: "gopBReference"
                    },
                    GopClosedCadence: {
                      locationName: "gopClosedCadence",
                      type: "integer"
                    },
                    GopSize: {
                      locationName: "gopSize",
                      type: "double"
                    },
                    GopSizeUnits: {
                      locationName: "gopSizeUnits"
                    },
                    HrdBufferFinalFillPercentage: {
                      locationName: "hrdBufferFinalFillPercentage",
                      type: "integer"
                    },
                    HrdBufferInitialFillPercentage: {
                      locationName: "hrdBufferInitialFillPercentage",
                      type: "integer"
                    },
                    HrdBufferSize: {
                      locationName: "hrdBufferSize",
                      type: "integer"
                    },
                    InterlaceMode: {
                      locationName: "interlaceMode"
                    },
                    MaxBitrate: {
                      locationName: "maxBitrate",
                      type: "integer"
                    },
                    MinIInterval: {
                      locationName: "minIInterval",
                      type: "integer"
                    },
                    NumberBFramesBetweenReferenceFrames: {
                      locationName: "numberBFramesBetweenReferenceFrames",
                      type: "integer"
                    },
                    NumberReferenceFrames: {
                      locationName: "numberReferenceFrames",
                      type: "integer"
                    },
                    ParControl: {
                      locationName: "parControl"
                    },
                    ParDenominator: {
                      locationName: "parDenominator",
                      type: "integer"
                    },
                    ParNumerator: {
                      locationName: "parNumerator",
                      type: "integer"
                    },
                    QualityTuningLevel: {
                      locationName: "qualityTuningLevel"
                    },
                    QvbrSettings: {
                      locationName: "qvbrSettings",
                      type: "structure",
                      members: {
                        MaxAverageBitrate: {
                          locationName: "maxAverageBitrate",
                          type: "integer"
                        },
                        QvbrQualityLevel: {
                          locationName: "qvbrQualityLevel",
                          type: "integer"
                        },
                        QvbrQualityLevelFineTune: {
                          locationName: "qvbrQualityLevelFineTune",
                          type: "double"
                        }
                      }
                    },
                    RateControlMode: {
                      locationName: "rateControlMode"
                    },
                    SampleAdaptiveOffsetFilterMode: {
                      locationName: "sampleAdaptiveOffsetFilterMode"
                    },
                    ScanTypeConversionMode: {
                      locationName: "scanTypeConversionMode"
                    },
                    SceneChangeDetect: {
                      locationName: "sceneChangeDetect"
                    },
                    Slices: {
                      locationName: "slices",
                      type: "integer"
                    },
                    SlowPal: {
                      locationName: "slowPal"
                    },
                    SpatialAdaptiveQuantization: {
                      locationName: "spatialAdaptiveQuantization"
                    },
                    Telecine: {
                      locationName: "telecine"
                    },
                    TemporalAdaptiveQuantization: {
                      locationName: "temporalAdaptiveQuantization"
                    },
                    TemporalIds: {
                      locationName: "temporalIds"
                    },
                    Tiles: {
                      locationName: "tiles"
                    },
                    UnregisteredSeiTimecode: {
                      locationName: "unregisteredSeiTimecode"
                    },
                    WriteMp4PackagingType: {
                      locationName: "writeMp4PackagingType"
                    }
                  }
                },
                Mpeg2Settings: {
                  locationName: "mpeg2Settings",
                  type: "structure",
                  members: {
                    AdaptiveQuantization: {
                      locationName: "adaptiveQuantization"
                    },
                    Bitrate: {
                      locationName: "bitrate",
                      type: "integer"
                    },
                    CodecLevel: {
                      locationName: "codecLevel"
                    },
                    CodecProfile: {
                      locationName: "codecProfile"
                    },
                    DynamicSubGop: {
                      locationName: "dynamicSubGop"
                    },
                    FramerateControl: {
                      locationName: "framerateControl"
                    },
                    FramerateConversionAlgorithm: {
                      locationName: "framerateConversionAlgorithm"
                    },
                    FramerateDenominator: {
                      locationName: "framerateDenominator",
                      type: "integer"
                    },
                    FramerateNumerator: {
                      locationName: "framerateNumerator",
                      type: "integer"
                    },
                    GopClosedCadence: {
                      locationName: "gopClosedCadence",
                      type: "integer"
                    },
                    GopSize: {
                      locationName: "gopSize",
                      type: "double"
                    },
                    GopSizeUnits: {
                      locationName: "gopSizeUnits"
                    },
                    HrdBufferFinalFillPercentage: {
                      locationName: "hrdBufferFinalFillPercentage",
                      type: "integer"
                    },
                    HrdBufferInitialFillPercentage: {
                      locationName: "hrdBufferInitialFillPercentage",
                      type: "integer"
                    },
                    HrdBufferSize: {
                      locationName: "hrdBufferSize",
                      type: "integer"
                    },
                    InterlaceMode: {
                      locationName: "interlaceMode"
                    },
                    IntraDcPrecision: {
                      locationName: "intraDcPrecision"
                    },
                    MaxBitrate: {
                      locationName: "maxBitrate",
                      type: "integer"
                    },
                    MinIInterval: {
                      locationName: "minIInterval",
                      type: "integer"
                    },
                    NumberBFramesBetweenReferenceFrames: {
                      locationName: "numberBFramesBetweenReferenceFrames",
                      type: "integer"
                    },
                    ParControl: {
                      locationName: "parControl"
                    },
                    ParDenominator: {
                      locationName: "parDenominator",
                      type: "integer"
                    },
                    ParNumerator: {
                      locationName: "parNumerator",
                      type: "integer"
                    },
                    QualityTuningLevel: {
                      locationName: "qualityTuningLevel"
                    },
                    RateControlMode: {
                      locationName: "rateControlMode"
                    },
                    ScanTypeConversionMode: {
                      locationName: "scanTypeConversionMode"
                    },
                    SceneChangeDetect: {
                      locationName: "sceneChangeDetect"
                    },
                    SlowPal: {
                      locationName: "slowPal"
                    },
                    Softness: {
                      locationName: "softness",
                      type: "integer"
                    },
                    SpatialAdaptiveQuantization: {
                      locationName: "spatialAdaptiveQuantization"
                    },
                    Syntax: {
                      locationName: "syntax"
                    },
                    Telecine: {
                      locationName: "telecine"
                    },
                    TemporalAdaptiveQuantization: {
                      locationName: "temporalAdaptiveQuantization"
                    }
                  }
                },
                ProresSettings: {
                  locationName: "proresSettings",
                  type: "structure",
                  members: {
                    ChromaSampling: {
                      locationName: "chromaSampling"
                    },
                    CodecProfile: {
                      locationName: "codecProfile"
                    },
                    FramerateControl: {
                      locationName: "framerateControl"
                    },
                    FramerateConversionAlgorithm: {
                      locationName: "framerateConversionAlgorithm"
                    },
                    FramerateDenominator: {
                      locationName: "framerateDenominator",
                      type: "integer"
                    },
                    FramerateNumerator: {
                      locationName: "framerateNumerator",
                      type: "integer"
                    },
                    InterlaceMode: {
                      locationName: "interlaceMode"
                    },
                    ParControl: {
                      locationName: "parControl"
                    },
                    ParDenominator: {
                      locationName: "parDenominator",
                      type: "integer"
                    },
                    ParNumerator: {
                      locationName: "parNumerator",
                      type: "integer"
                    },
                    ScanTypeConversionMode: {
                      locationName: "scanTypeConversionMode"
                    },
                    SlowPal: {
                      locationName: "slowPal"
                    },
                    Telecine: {
                      locationName: "telecine"
                    }
                  }
                },
                Vc3Settings: {
                  locationName: "vc3Settings",
                  type: "structure",
                  members: {
                    FramerateControl: {
                      locationName: "framerateControl"
                    },
                    FramerateConversionAlgorithm: {
                      locationName: "framerateConversionAlgorithm"
                    },
                    FramerateDenominator: {
                      locationName: "framerateDenominator",
                      type: "integer"
                    },
                    FramerateNumerator: {
                      locationName: "framerateNumerator",
                      type: "integer"
                    },
                    InterlaceMode: {
                      locationName: "interlaceMode"
                    },
                    ScanTypeConversionMode: {
                      locationName: "scanTypeConversionMode"
                    },
                    SlowPal: {
                      locationName: "slowPal"
                    },
                    Telecine: {
                      locationName: "telecine"
                    },
                    Vc3Class: {
                      locationName: "vc3Class"
                    }
                  }
                },
                Vp8Settings: {
                  locationName: "vp8Settings",
                  type: "structure",
                  members: {
                    Bitrate: {
                      locationName: "bitrate",
                      type: "integer"
                    },
                    FramerateControl: {
                      locationName: "framerateControl"
                    },
                    FramerateConversionAlgorithm: {
                      locationName: "framerateConversionAlgorithm"
                    },
                    FramerateDenominator: {
                      locationName: "framerateDenominator",
                      type: "integer"
                    },
                    FramerateNumerator: {
                      locationName: "framerateNumerator",
                      type: "integer"
                    },
                    GopSize: {
                      locationName: "gopSize",
                      type: "double"
                    },
                    HrdBufferSize: {
                      locationName: "hrdBufferSize",
                      type: "integer"
                    },
                    MaxBitrate: {
                      locationName: "maxBitrate",
                      type: "integer"
                    },
                    ParControl: {
                      locationName: "parControl"
                    },
                    ParDenominator: {
                      locationName: "parDenominator",
                      type: "integer"
                    },
                    ParNumerator: {
                      locationName: "parNumerator",
                      type: "integer"
                    },
                    QualityTuningLevel: {
                      locationName: "qualityTuningLevel"
                    },
                    RateControlMode: {
                      locationName: "rateControlMode"
                    }
                  }
                },
                Vp9Settings: {
                  locationName: "vp9Settings",
                  type: "structure",
                  members: {
                    Bitrate: {
                      locationName: "bitrate",
                      type: "integer"
                    },
                    FramerateControl: {
                      locationName: "framerateControl"
                    },
                    FramerateConversionAlgorithm: {
                      locationName: "framerateConversionAlgorithm"
                    },
                    FramerateDenominator: {
                      locationName: "framerateDenominator",
                      type: "integer"
                    },
                    FramerateNumerator: {
                      locationName: "framerateNumerator",
                      type: "integer"
                    },
                    GopSize: {
                      locationName: "gopSize",
                      type: "double"
                    },
                    HrdBufferSize: {
                      locationName: "hrdBufferSize",
                      type: "integer"
                    },
                    MaxBitrate: {
                      locationName: "maxBitrate",
                      type: "integer"
                    },
                    ParControl: {
                      locationName: "parControl"
                    },
                    ParDenominator: {
                      locationName: "parDenominator",
                      type: "integer"
                    },
                    ParNumerator: {
                      locationName: "parNumerator",
                      type: "integer"
                    },
                    QualityTuningLevel: {
                      locationName: "qualityTuningLevel"
                    },
                    RateControlMode: {
                      locationName: "rateControlMode"
                    }
                  }
                },
                XavcSettings: {
                  locationName: "xavcSettings",
                  type: "structure",
                  members: {
                    AdaptiveQuantization: {
                      locationName: "adaptiveQuantization"
                    },
                    EntropyEncoding: {
                      locationName: "entropyEncoding"
                    },
                    FramerateControl: {
                      locationName: "framerateControl"
                    },
                    FramerateConversionAlgorithm: {
                      locationName: "framerateConversionAlgorithm"
                    },
                    FramerateDenominator: {
                      locationName: "framerateDenominator",
                      type: "integer"
                    },
                    FramerateNumerator: {
                      locationName: "framerateNumerator",
                      type: "integer"
                    },
                    Profile: {
                      locationName: "profile"
                    },
                    SlowPal: {
                      locationName: "slowPal"
                    },
                    Softness: {
                      locationName: "softness",
                      type: "integer"
                    },
                    SpatialAdaptiveQuantization: {
                      locationName: "spatialAdaptiveQuantization"
                    },
                    TemporalAdaptiveQuantization: {
                      locationName: "temporalAdaptiveQuantization"
                    },
                    Xavc4kIntraCbgProfileSettings: {
                      locationName: "xavc4kIntraCbgProfileSettings",
                      type: "structure",
                      members: {
                        XavcClass: {
                          locationName: "xavcClass"
                        }
                      }
                    },
                    Xavc4kIntraVbrProfileSettings: {
                      locationName: "xavc4kIntraVbrProfileSettings",
                      type: "structure",
                      members: {
                        XavcClass: {
                          locationName: "xavcClass"
                        }
                      }
                    },
                    Xavc4kProfileSettings: {
                      locationName: "xavc4kProfileSettings",
                      type: "structure",
                      members: {
                        BitrateClass: {
                          locationName: "bitrateClass"
                        },
                        CodecProfile: {
                          locationName: "codecProfile"
                        },
                        FlickerAdaptiveQuantization: {
                          locationName: "flickerAdaptiveQuantization"
                        },
                        GopBReference: {
                          locationName: "gopBReference"
                        },
                        GopClosedCadence: {
                          locationName: "gopClosedCadence",
                          type: "integer"
                        },
                        HrdBufferSize: {
                          locationName: "hrdBufferSize",
                          type: "integer"
                        },
                        QualityTuningLevel: {
                          locationName: "qualityTuningLevel"
                        },
                        Slices: {
                          locationName: "slices",
                          type: "integer"
                        }
                      }
                    },
                    XavcHdIntraCbgProfileSettings: {
                      locationName: "xavcHdIntraCbgProfileSettings",
                      type: "structure",
                      members: {
                        XavcClass: {
                          locationName: "xavcClass"
                        }
                      }
                    },
                    XavcHdProfileSettings: {
                      locationName: "xavcHdProfileSettings",
                      type: "structure",
                      members: {
                        BitrateClass: {
                          locationName: "bitrateClass"
                        },
                        FlickerAdaptiveQuantization: {
                          locationName: "flickerAdaptiveQuantization"
                        },
                        GopBReference: {
                          locationName: "gopBReference"
                        },
                        GopClosedCadence: {
                          locationName: "gopClosedCadence",
                          type: "integer"
                        },
                        HrdBufferSize: {
                          locationName: "hrdBufferSize",
                          type: "integer"
                        },
                        InterlaceMode: {
                          locationName: "interlaceMode"
                        },
                        QualityTuningLevel: {
                          locationName: "qualityTuningLevel"
                        },
                        Slices: {
                          locationName: "slices",
                          type: "integer"
                        },
                        Telecine: {
                          locationName: "telecine"
                        }
                      }
                    }
                  }
                }
              }
            },
            ColorMetadata: {
              locationName: "colorMetadata"
            },
            Crop: {
              shape: "S2c",
              locationName: "crop"
            },
            DropFrameTimecode: {
              locationName: "dropFrameTimecode"
            },
            FixedAfd: {
              locationName: "fixedAfd",
              type: "integer"
            },
            Height: {
              locationName: "height",
              type: "integer"
            },
            Position: {
              shape: "S2c",
              locationName: "position"
            },
            RespondToAfd: {
              locationName: "respondToAfd"
            },
            ScalingBehavior: {
              locationName: "scalingBehavior"
            },
            Sharpness: {
              locationName: "sharpness",
              type: "integer"
            },
            TimecodeInsertion: {
              locationName: "timecodeInsertion"
            },
            VideoPreprocessors: {
              locationName: "videoPreprocessors",
              type: "structure",
              members: {
                ColorCorrector: {
                  locationName: "colorCorrector",
                  type: "structure",
                  members: {
                    Brightness: {
                      locationName: "brightness",
                      type: "integer"
                    },
                    ClipLimits: {
                      locationName: "clipLimits",
                      type: "structure",
                      members: {
                        MaximumRGBTolerance: {
                          locationName: "maximumRGBTolerance",
                          type: "integer"
                        },
                        MaximumYUV: {
                          locationName: "maximumYUV",
                          type: "integer"
                        },
                        MinimumRGBTolerance: {
                          locationName: "minimumRGBTolerance",
                          type: "integer"
                        },
                        MinimumYUV: {
                          locationName: "minimumYUV",
                          type: "integer"
                        }
                      }
                    },
                    ColorSpaceConversion: {
                      locationName: "colorSpaceConversion"
                    },
                    Contrast: {
                      locationName: "contrast",
                      type: "integer"
                    },
                    Hdr10Metadata: {
                      shape: "S3d",
                      locationName: "hdr10Metadata"
                    },
                    HdrToSdrToneMapper: {
                      locationName: "hdrToSdrToneMapper"
                    },
                    Hue: {
                      locationName: "hue",
                      type: "integer"
                    },
                    SampleRangeConversion: {
                      locationName: "sampleRangeConversion"
                    },
                    Saturation: {
                      locationName: "saturation",
                      type: "integer"
                    },
                    SdrReferenceWhiteLevel: {
                      locationName: "sdrReferenceWhiteLevel",
                      type: "integer"
                    }
                  }
                },
                Deinterlacer: {
                  locationName: "deinterlacer",
                  type: "structure",
                  members: {
                    Algorithm: {
                      locationName: "algorithm"
                    },
                    Control: {
                      locationName: "control"
                    },
                    Mode: {
                      locationName: "mode"
                    }
                  }
                },
                DolbyVision: {
                  locationName: "dolbyVision",
                  type: "structure",
                  members: {
                    L6Metadata: {
                      locationName: "l6Metadata",
                      type: "structure",
                      members: {
                        MaxCll: {
                          locationName: "maxCll",
                          type: "integer"
                        },
                        MaxFall: {
                          locationName: "maxFall",
                          type: "integer"
                        }
                      }
                    },
                    L6Mode: {
                      locationName: "l6Mode"
                    },
                    Mapping: {
                      locationName: "mapping"
                    },
                    Profile: {
                      locationName: "profile"
                    }
                  }
                },
                Hdr10Plus: {
                  locationName: "hdr10Plus",
                  type: "structure",
                  members: {
                    MasteringMonitorNits: {
                      locationName: "masteringMonitorNits",
                      type: "integer"
                    },
                    TargetMonitorNits: {
                      locationName: "targetMonitorNits",
                      type: "integer"
                    }
                  }
                },
                ImageInserter: {
                  shape: "S2p",
                  locationName: "imageInserter"
                },
                NoiseReducer: {
                  locationName: "noiseReducer",
                  type: "structure",
                  members: {
                    Filter: {
                      locationName: "filter"
                    },
                    FilterSettings: {
                      locationName: "filterSettings",
                      type: "structure",
                      members: {
                        Strength: {
                          locationName: "strength",
                          type: "integer"
                        }
                      }
                    },
                    SpatialFilterSettings: {
                      locationName: "spatialFilterSettings",
                      type: "structure",
                      members: {
                        PostFilterSharpenStrength: {
                          locationName: "postFilterSharpenStrength",
                          type: "integer"
                        },
                        Speed: {
                          locationName: "speed",
                          type: "integer"
                        },
                        Strength: {
                          locationName: "strength",
                          type: "integer"
                        }
                      }
                    },
                    TemporalFilterSettings: {
                      locationName: "temporalFilterSettings",
                      type: "structure",
                      members: {
                        AggressiveMode: {
                          locationName: "aggressiveMode",
                          type: "integer"
                        },
                        PostTemporalSharpening: {
                          locationName: "postTemporalSharpening"
                        },
                        PostTemporalSharpeningStrength: {
                          locationName: "postTemporalSharpeningStrength"
                        },
                        Speed: {
                          locationName: "speed",
                          type: "integer"
                        },
                        Strength: {
                          locationName: "strength",
                          type: "integer"
                        }
                      }
                    }
                  }
                },
                PartnerWatermarking: {
                  locationName: "partnerWatermarking",
                  type: "structure",
                  members: {
                    NexguardFileMarkerSettings: {
                      locationName: "nexguardFileMarkerSettings",
                      type: "structure",
                      members: {
                        License: {
                          locationName: "license"
                        },
                        Payload: {
                          locationName: "payload",
                          type: "integer"
                        },
                        Preset: {
                          locationName: "preset"
                        },
                        Strength: {
                          locationName: "strength"
                        }
                      }
                    }
                  }
                },
                TimecodeBurnin: {
                  locationName: "timecodeBurnin",
                  type: "structure",
                  members: {
                    FontSize: {
                      locationName: "fontSize",
                      type: "integer"
                    },
                    Position: {
                      locationName: "position"
                    },
                    Prefix: {
                      locationName: "prefix"
                    }
                  }
                }
              }
            },
            Width: {
              locationName: "width",
              type: "integer"
            }
          }
        },
        Sf1: {
          type: "structure",
          members: {
            Sharpening: {
              locationName: "sharpening"
            },
            Strength: {
              locationName: "strength"
            }
          }
        },
        Ska: {
          type: "structure",
          members: {
            Anchor: {
              locationName: "anchor"
            },
            Source: {
              locationName: "source"
            },
            Start: {
              locationName: "start"
            },
            TimestampOffset: {
              locationName: "timestampOffset"
            }
          }
        },
        Skd: {
          type: "structure",
          members: {
            Id3Insertions: {
              locationName: "id3Insertions",
              type: "list",
              member: {
                type: "structure",
                members: {
                  Id3: {
                    locationName: "id3"
                  },
                  Timecode: {
                    locationName: "timecode"
                  }
                }
              }
            }
          }
        },
        Ski: {
          type: "map",
          key: {},
          value: {}
        },
        Skk: {
          type: "structure",
          members: {
            AccelerationSettings: {
              shape: "S7",
              locationName: "accelerationSettings"
            },
            AccelerationStatus: {
              locationName: "accelerationStatus"
            },
            Arn: {
              locationName: "arn"
            },
            BillingTagsSource: {
              locationName: "billingTagsSource"
            },
            ClientRequestToken: {
              locationName: "clientRequestToken"
            },
            CreatedAt: {
              shape: "Skm",
              locationName: "createdAt"
            },
            CurrentPhase: {
              locationName: "currentPhase"
            },
            ErrorCode: {
              locationName: "errorCode",
              type: "integer"
            },
            ErrorMessage: {
              locationName: "errorMessage"
            },
            HopDestinations: {
              shape: "Sa",
              locationName: "hopDestinations"
            },
            Id: {
              locationName: "id"
            },
            JobPercentComplete: {
              locationName: "jobPercentComplete",
              type: "integer"
            },
            JobTemplate: {
              locationName: "jobTemplate"
            },
            Messages: {
              locationName: "messages",
              type: "structure",
              members: {
                Info: {
                  shape: "Skp",
                  locationName: "info"
                },
                Warning: {
                  shape: "Skp",
                  locationName: "warning"
                }
              }
            },
            OutputGroupDetails: {
              locationName: "outputGroupDetails",
              type: "list",
              member: {
                type: "structure",
                members: {
                  OutputDetails: {
                    locationName: "outputDetails",
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        DurationInMs: {
                          locationName: "durationInMs",
                          type: "integer"
                        },
                        VideoDetails: {
                          locationName: "videoDetails",
                          type: "structure",
                          members: {
                            HeightInPx: {
                              locationName: "heightInPx",
                              type: "integer"
                            },
                            WidthInPx: {
                              locationName: "widthInPx",
                              type: "integer"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            Priority: {
              locationName: "priority",
              type: "integer"
            },
            Queue: {
              locationName: "queue"
            },
            QueueTransitions: {
              locationName: "queueTransitions",
              type: "list",
              member: {
                type: "structure",
                members: {
                  DestinationQueue: {
                    locationName: "destinationQueue"
                  },
                  SourceQueue: {
                    locationName: "sourceQueue"
                  },
                  Timestamp: {
                    shape: "Skm",
                    locationName: "timestamp"
                  }
                }
              }
            },
            RetryCount: {
              locationName: "retryCount",
              type: "integer"
            },
            Role: {
              locationName: "role"
            },
            Settings: {
              shape: "Se",
              locationName: "settings"
            },
            SimulateReservedQueue: {
              locationName: "simulateReservedQueue"
            },
            Status: {
              locationName: "status"
            },
            StatusUpdateInterval: {
              locationName: "statusUpdateInterval"
            },
            Timing: {
              locationName: "timing",
              type: "structure",
              members: {
                FinishTime: {
                  shape: "Skm",
                  locationName: "finishTime"
                },
                StartTime: {
                  shape: "Skm",
                  locationName: "startTime"
                },
                SubmitTime: {
                  shape: "Skm",
                  locationName: "submitTime"
                }
              }
            },
            UserMetadata: {
              shape: "Ski",
              locationName: "userMetadata"
            },
            Warnings: {
              locationName: "warnings",
              type: "list",
              member: {
                type: "structure",
                members: {
                  Code: {
                    locationName: "code",
                    type: "integer"
                  },
                  Count: {
                    locationName: "count",
                    type: "integer"
                  }
                },
                required: [
                  "Count",
                  "Code"
                ]
              }
            }
          },
          required: [
            "Settings",
            "Role"
          ]
        },
        Skm: {
          type: "timestamp",
          timestampFormat: "unixTimestamp"
        },
        Skp: {
          type: "list",
          member: {}
        },
        Sl2: {
          type: "structure",
          members: {
            AdAvailOffset: {
              locationName: "adAvailOffset",
              type: "integer"
            },
            AvailBlanking: {
              shape: "Sg",
              locationName: "availBlanking"
            },
            Esam: {
              shape: "Si",
              locationName: "esam"
            },
            ExtendedDataServices: {
              shape: "So",
              locationName: "extendedDataServices"
            },
            Inputs: {
              locationName: "inputs",
              type: "list",
              member: {
                type: "structure",
                members: {
                  AdvancedInputFilter: {
                    locationName: "advancedInputFilter"
                  },
                  AdvancedInputFilterSettings: {
                    shape: "Su",
                    locationName: "advancedInputFilterSettings"
                  },
                  AudioSelectorGroups: {
                    shape: "Sx",
                    locationName: "audioSelectorGroups"
                  },
                  AudioSelectors: {
                    shape: "S11",
                    locationName: "audioSelectors"
                  },
                  CaptionSelectors: {
                    shape: "S1n",
                    locationName: "captionSelectors"
                  },
                  Crop: {
                    shape: "S2c",
                    locationName: "crop"
                  },
                  DeblockFilter: {
                    locationName: "deblockFilter"
                  },
                  DenoiseFilter: {
                    locationName: "denoiseFilter"
                  },
                  DolbyVisionMetadataXml: {
                    locationName: "dolbyVisionMetadataXml"
                  },
                  FilterEnable: {
                    locationName: "filterEnable"
                  },
                  FilterStrength: {
                    locationName: "filterStrength",
                    type: "integer"
                  },
                  ImageInserter: {
                    shape: "S2p",
                    locationName: "imageInserter"
                  },
                  InputClippings: {
                    shape: "S2x",
                    locationName: "inputClippings"
                  },
                  InputScanType: {
                    locationName: "inputScanType"
                  },
                  Position: {
                    shape: "S2c",
                    locationName: "position"
                  },
                  ProgramNumber: {
                    locationName: "programNumber",
                    type: "integer"
                  },
                  PsiControl: {
                    locationName: "psiControl"
                  },
                  TimecodeSource: {
                    locationName: "timecodeSource"
                  },
                  TimecodeStart: {
                    locationName: "timecodeStart"
                  },
                  VideoSelector: {
                    shape: "S38",
                    locationName: "videoSelector"
                  }
                }
              }
            },
            KantarWatermark: {
              shape: "S3j",
              locationName: "kantarWatermark"
            },
            MotionImageInserter: {
              shape: "S3r",
              locationName: "motionImageInserter"
            },
            NielsenConfiguration: {
              shape: "S3z",
              locationName: "nielsenConfiguration"
            },
            NielsenNonLinearWatermark: {
              shape: "S41",
              locationName: "nielsenNonLinearWatermark"
            },
            OutputGroups: {
              shape: "S48",
              locationName: "outputGroups"
            },
            TimecodeConfig: {
              shape: "Ska",
              locationName: "timecodeConfig"
            },
            TimedMetadataInsertion: {
              shape: "Skd",
              locationName: "timedMetadataInsertion"
            }
          }
        },
        Sl6: {
          type: "structure",
          members: {
            AccelerationSettings: {
              shape: "S7",
              locationName: "accelerationSettings"
            },
            Arn: {
              locationName: "arn"
            },
            Category: {
              locationName: "category"
            },
            CreatedAt: {
              shape: "Skm",
              locationName: "createdAt"
            },
            Description: {
              locationName: "description"
            },
            HopDestinations: {
              shape: "Sa",
              locationName: "hopDestinations"
            },
            LastUpdated: {
              shape: "Skm",
              locationName: "lastUpdated"
            },
            Name: {
              locationName: "name"
            },
            Priority: {
              locationName: "priority",
              type: "integer"
            },
            Queue: {
              locationName: "queue"
            },
            Settings: {
              shape: "Sl2",
              locationName: "settings"
            },
            StatusUpdateInterval: {
              locationName: "statusUpdateInterval"
            },
            Type: {
              locationName: "type"
            }
          },
          required: [
            "Settings",
            "Name"
          ]
        },
        Sl9: {
          type: "structure",
          members: {
            AudioDescriptions: {
              shape: "S7v",
              locationName: "audioDescriptions"
            },
            CaptionDescriptions: {
              locationName: "captionDescriptions",
              type: "list",
              member: {
                type: "structure",
                members: {
                  CustomLanguageCode: {
                    locationName: "customLanguageCode"
                  },
                  DestinationSettings: {
                    shape: "Saf",
                    locationName: "destinationSettings"
                  },
                  LanguageCode: {
                    locationName: "languageCode"
                  },
                  LanguageDescription: {
                    locationName: "languageDescription"
                  }
                }
              }
            },
            ContainerSettings: {
              shape: "Sbp",
              locationName: "containerSettings"
            },
            VideoDescription: {
              shape: "Se3",
              locationName: "videoDescription"
            }
          }
        },
        Sld: {
          type: "structure",
          members: {
            Arn: {
              locationName: "arn"
            },
            Category: {
              locationName: "category"
            },
            CreatedAt: {
              shape: "Skm",
              locationName: "createdAt"
            },
            Description: {
              locationName: "description"
            },
            LastUpdated: {
              shape: "Skm",
              locationName: "lastUpdated"
            },
            Name: {
              locationName: "name"
            },
            Settings: {
              shape: "Sl9",
              locationName: "settings"
            },
            Type: {
              locationName: "type"
            }
          },
          required: [
            "Settings",
            "Name"
          ]
        },
        Slg: {
          type: "structure",
          members: {
            Commitment: {
              locationName: "commitment"
            },
            RenewalType: {
              locationName: "renewalType"
            },
            ReservedSlots: {
              locationName: "reservedSlots",
              type: "integer"
            }
          },
          required: [
            "Commitment",
            "ReservedSlots",
            "RenewalType"
          ]
        },
        Sll: {
          type: "structure",
          members: {
            Arn: {
              locationName: "arn"
            },
            CreatedAt: {
              shape: "Skm",
              locationName: "createdAt"
            },
            Description: {
              locationName: "description"
            },
            LastUpdated: {
              shape: "Skm",
              locationName: "lastUpdated"
            },
            Name: {
              locationName: "name"
            },
            PricingPlan: {
              locationName: "pricingPlan"
            },
            ProgressingJobsCount: {
              locationName: "progressingJobsCount",
              type: "integer"
            },
            ReservationPlan: {
              locationName: "reservationPlan",
              type: "structure",
              members: {
                Commitment: {
                  locationName: "commitment"
                },
                ExpiresAt: {
                  shape: "Skm",
                  locationName: "expiresAt"
                },
                PurchasedAt: {
                  shape: "Skm",
                  locationName: "purchasedAt"
                },
                RenewalType: {
                  locationName: "renewalType"
                },
                ReservedSlots: {
                  locationName: "reservedSlots",
                  type: "integer"
                },
                Status: {
                  locationName: "status"
                }
              }
            },
            Status: {
              locationName: "status"
            },
            SubmittedJobsCount: {
              locationName: "submittedJobsCount",
              type: "integer"
            },
            Type: {
              locationName: "type"
            }
          },
          required: [
            "Name"
          ]
        },
        Sm9: {
          type: "structure",
          members: {
            HttpInputs: {
              locationName: "httpInputs"
            },
            HttpsInputs: {
              locationName: "httpsInputs"
            },
            S3Inputs: {
              locationName: "s3Inputs"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/mediaconvert-2017-08-29.paginators.json
var require_mediaconvert_2017_08_29_paginators = __commonJS({
  "node_modules/aws-sdk/apis/mediaconvert-2017-08-29.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeEndpoints: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Endpoints"
        },
        ListJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Jobs"
        },
        ListPresets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Presets"
        },
        ListJobTemplates: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "JobTemplates"
        },
        ListQueues: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Queues"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/mediaconvert.js
var require_mediaconvert = __commonJS({
  "node_modules/aws-sdk/clients/mediaconvert.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["mediaconvert"] = {};
    AWS2.MediaConvert = Service.defineService("mediaconvert", ["2017-08-29"]);
    Object.defineProperty(apiLoader.services["mediaconvert"], "2017-08-29", {
      get: function get() {
        var model = require_mediaconvert_2017_08_29_min();
        model.paginators = require_mediaconvert_2017_08_29_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MediaConvert;
  }
});

// node_modules/aws-sdk/apis/medialive-2017-10-14.min.json
var require_medialive_2017_10_14_min = __commonJS({
  "node_modules/aws-sdk/apis/medialive-2017-10-14.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2017-10-14",
        endpointPrefix: "medialive",
        signingName: "medialive",
        serviceFullName: "AWS Elemental MediaLive",
        serviceId: "MediaLive",
        protocol: "rest-json",
        uid: "medialive-2017-10-14",
        signatureVersion: "v4",
        serviceAbbreviation: "MediaLive",
        jsonVersion: "1.1"
      },
      operations: {
        AcceptInputDeviceTransfer: {
          http: {
            requestUri: "/prod/inputDevices/{inputDeviceId}/accept",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              InputDeviceId: {
                location: "uri",
                locationName: "inputDeviceId"
              }
            },
            required: [
              "InputDeviceId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        BatchDelete: {
          http: {
            requestUri: "/prod/batch/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ChannelIds: {
                shape: "S5",
                locationName: "channelIds"
              },
              InputIds: {
                shape: "S5",
                locationName: "inputIds"
              },
              InputSecurityGroupIds: {
                shape: "S5",
                locationName: "inputSecurityGroupIds"
              },
              MultiplexIds: {
                shape: "S5",
                locationName: "multiplexIds"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Failed: {
                shape: "S7",
                locationName: "failed"
              },
              Successful: {
                shape: "S9",
                locationName: "successful"
              }
            }
          }
        },
        BatchStart: {
          http: {
            requestUri: "/prod/batch/start",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ChannelIds: {
                shape: "S5",
                locationName: "channelIds"
              },
              MultiplexIds: {
                shape: "S5",
                locationName: "multiplexIds"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Failed: {
                shape: "S7",
                locationName: "failed"
              },
              Successful: {
                shape: "S9",
                locationName: "successful"
              }
            }
          }
        },
        BatchStop: {
          http: {
            requestUri: "/prod/batch/stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ChannelIds: {
                shape: "S5",
                locationName: "channelIds"
              },
              MultiplexIds: {
                shape: "S5",
                locationName: "multiplexIds"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Failed: {
                shape: "S7",
                locationName: "failed"
              },
              Successful: {
                shape: "S9",
                locationName: "successful"
              }
            }
          }
        },
        BatchUpdateSchedule: {
          http: {
            method: "PUT",
            requestUri: "/prod/channels/{channelId}/schedule",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ChannelId: {
                location: "uri",
                locationName: "channelId"
              },
              Creates: {
                locationName: "creates",
                type: "structure",
                members: {
                  ScheduleActions: {
                    shape: "Sh",
                    locationName: "scheduleActions"
                  }
                },
                required: [
                  "ScheduleActions"
                ]
              },
              Deletes: {
                locationName: "deletes",
                type: "structure",
                members: {
                  ActionNames: {
                    shape: "S5",
                    locationName: "actionNames"
                  }
                },
                required: [
                  "ActionNames"
                ]
              }
            },
            required: [
              "ChannelId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Creates: {
                locationName: "creates",
                type: "structure",
                members: {
                  ScheduleActions: {
                    shape: "Sh",
                    locationName: "scheduleActions"
                  }
                },
                required: [
                  "ScheduleActions"
                ]
              },
              Deletes: {
                locationName: "deletes",
                type: "structure",
                members: {
                  ScheduleActions: {
                    shape: "Sh",
                    locationName: "scheduleActions"
                  }
                },
                required: [
                  "ScheduleActions"
                ]
              }
            }
          }
        },
        CancelInputDeviceTransfer: {
          http: {
            requestUri: "/prod/inputDevices/{inputDeviceId}/cancel",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              InputDeviceId: {
                location: "uri",
                locationName: "inputDeviceId"
              }
            },
            required: [
              "InputDeviceId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ClaimDevice: {
          http: {
            requestUri: "/prod/claimDevice",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Id: {
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateChannel: {
          http: {
            requestUri: "/prod/channels",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              CdiInputSpecification: {
                shape: "S25",
                locationName: "cdiInputSpecification"
              },
              ChannelClass: {
                locationName: "channelClass"
              },
              Destinations: {
                shape: "S28",
                locationName: "destinations"
              },
              EncoderSettings: {
                shape: "S2g",
                locationName: "encoderSettings"
              },
              InputAttachments: {
                shape: "Sd2",
                locationName: "inputAttachments"
              },
              InputSpecification: {
                shape: "Ser",
                locationName: "inputSpecification"
              },
              LogLevel: {
                locationName: "logLevel"
              },
              Maintenance: {
                locationName: "maintenance",
                type: "structure",
                members: {
                  MaintenanceDay: {
                    locationName: "maintenanceDay"
                  },
                  MaintenanceStartTime: {
                    locationName: "maintenanceStartTime"
                  }
                }
              },
              Name: {
                locationName: "name"
              },
              RequestId: {
                locationName: "requestId",
                idempotencyToken: true
              },
              Reserved: {
                locationName: "reserved",
                deprecated: true
              },
              RoleArn: {
                locationName: "roleArn"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              },
              Vpc: {
                locationName: "vpc",
                type: "structure",
                members: {
                  PublicAddressAllocationIds: {
                    shape: "S5",
                    locationName: "publicAddressAllocationIds"
                  },
                  SecurityGroupIds: {
                    shape: "S5",
                    locationName: "securityGroupIds"
                  },
                  SubnetIds: {
                    shape: "S5",
                    locationName: "subnetIds"
                  }
                },
                required: [
                  "SubnetIds"
                ]
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Channel: {
                shape: "Sf2",
                locationName: "channel"
              }
            }
          }
        },
        CreateInput: {
          http: {
            requestUri: "/prod/inputs",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              Destinations: {
                shape: "Sfb",
                locationName: "destinations"
              },
              InputDevices: {
                shape: "Sfd",
                locationName: "inputDevices"
              },
              InputSecurityGroups: {
                shape: "S5",
                locationName: "inputSecurityGroups"
              },
              MediaConnectFlows: {
                shape: "Sff",
                locationName: "mediaConnectFlows"
              },
              Name: {
                locationName: "name"
              },
              RequestId: {
                locationName: "requestId",
                idempotencyToken: true
              },
              RoleArn: {
                locationName: "roleArn"
              },
              Sources: {
                shape: "Sfh",
                locationName: "sources"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              },
              Type: {
                locationName: "type"
              },
              Vpc: {
                locationName: "vpc",
                type: "structure",
                members: {
                  SecurityGroupIds: {
                    shape: "S5",
                    locationName: "securityGroupIds"
                  },
                  SubnetIds: {
                    shape: "S5",
                    locationName: "subnetIds"
                  }
                },
                required: [
                  "SubnetIds"
                ]
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Input: {
                shape: "Sfm",
                locationName: "input"
              }
            }
          }
        },
        CreateInputSecurityGroup: {
          http: {
            requestUri: "/prod/inputSecurityGroups",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sez",
                locationName: "tags"
              },
              WhitelistRules: {
                shape: "Sfy",
                locationName: "whitelistRules"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SecurityGroup: {
                shape: "Sg1",
                locationName: "securityGroup"
              }
            }
          }
        },
        CreateMultiplex: {
          http: {
            requestUri: "/prod/multiplexes",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              AvailabilityZones: {
                shape: "S5",
                locationName: "availabilityZones"
              },
              MultiplexSettings: {
                shape: "Sg6",
                locationName: "multiplexSettings"
              },
              Name: {
                locationName: "name"
              },
              RequestId: {
                locationName: "requestId",
                idempotencyToken: true
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              }
            },
            required: [
              "RequestId",
              "MultiplexSettings",
              "AvailabilityZones",
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              Multiplex: {
                shape: "Sgb",
                locationName: "multiplex"
              }
            }
          }
        },
        CreateMultiplexProgram: {
          http: {
            requestUri: "/prod/multiplexes/{multiplexId}/programs",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              MultiplexId: {
                location: "uri",
                locationName: "multiplexId"
              },
              MultiplexProgramSettings: {
                shape: "Sgh",
                locationName: "multiplexProgramSettings"
              },
              ProgramName: {
                locationName: "programName"
              },
              RequestId: {
                locationName: "requestId",
                idempotencyToken: true
              }
            },
            required: [
              "MultiplexId",
              "RequestId",
              "MultiplexProgramSettings",
              "ProgramName"
            ]
          },
          output: {
            type: "structure",
            members: {
              MultiplexProgram: {
                shape: "Sgp",
                locationName: "multiplexProgram"
              }
            }
          }
        },
        CreatePartnerInput: {
          http: {
            requestUri: "/prod/inputs/{inputId}/partners",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              InputId: {
                location: "uri",
                locationName: "inputId"
              },
              RequestId: {
                locationName: "requestId",
                idempotencyToken: true
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              }
            },
            required: [
              "InputId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Input: {
                shape: "Sfm",
                locationName: "input"
              }
            }
          }
        },
        CreateTags: {
          http: {
            requestUri: "/prod/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              }
            },
            required: [
              "ResourceArn"
            ]
          }
        },
        DeleteChannel: {
          http: {
            method: "DELETE",
            requestUri: "/prod/channels/{channelId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ChannelId: {
                location: "uri",
                locationName: "channelId"
              }
            },
            required: [
              "ChannelId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              CdiInputSpecification: {
                shape: "S25",
                locationName: "cdiInputSpecification"
              },
              ChannelClass: {
                locationName: "channelClass"
              },
              Destinations: {
                shape: "S28",
                locationName: "destinations"
              },
              EgressEndpoints: {
                shape: "Sf3",
                locationName: "egressEndpoints"
              },
              EncoderSettings: {
                shape: "S2g",
                locationName: "encoderSettings"
              },
              Id: {
                locationName: "id"
              },
              InputAttachments: {
                shape: "Sd2",
                locationName: "inputAttachments"
              },
              InputSpecification: {
                shape: "Ser",
                locationName: "inputSpecification"
              },
              LogLevel: {
                locationName: "logLevel"
              },
              Maintenance: {
                shape: "Sf5",
                locationName: "maintenance"
              },
              Name: {
                locationName: "name"
              },
              PipelineDetails: {
                shape: "Sf6",
                locationName: "pipelineDetails"
              },
              PipelinesRunningCount: {
                locationName: "pipelinesRunningCount",
                type: "integer"
              },
              RoleArn: {
                locationName: "roleArn"
              },
              State: {
                locationName: "state"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              },
              Vpc: {
                shape: "Sf9",
                locationName: "vpc"
              }
            }
          }
        },
        DeleteInput: {
          http: {
            method: "DELETE",
            requestUri: "/prod/inputs/{inputId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              InputId: {
                location: "uri",
                locationName: "inputId"
              }
            },
            required: [
              "InputId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteInputSecurityGroup: {
          http: {
            method: "DELETE",
            requestUri: "/prod/inputSecurityGroups/{inputSecurityGroupId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              InputSecurityGroupId: {
                location: "uri",
                locationName: "inputSecurityGroupId"
              }
            },
            required: [
              "InputSecurityGroupId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteMultiplex: {
          http: {
            method: "DELETE",
            requestUri: "/prod/multiplexes/{multiplexId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              MultiplexId: {
                location: "uri",
                locationName: "multiplexId"
              }
            },
            required: [
              "MultiplexId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              AvailabilityZones: {
                shape: "S5",
                locationName: "availabilityZones"
              },
              Destinations: {
                shape: "Sgc",
                locationName: "destinations"
              },
              Id: {
                locationName: "id"
              },
              MultiplexSettings: {
                shape: "Sg6",
                locationName: "multiplexSettings"
              },
              Name: {
                locationName: "name"
              },
              PipelinesRunningCount: {
                locationName: "pipelinesRunningCount",
                type: "integer"
              },
              ProgramCount: {
                locationName: "programCount",
                type: "integer"
              },
              State: {
                locationName: "state"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              }
            }
          }
        },
        DeleteMultiplexProgram: {
          http: {
            method: "DELETE",
            requestUri: "/prod/multiplexes/{multiplexId}/programs/{programName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MultiplexId: {
                location: "uri",
                locationName: "multiplexId"
              },
              ProgramName: {
                location: "uri",
                locationName: "programName"
              }
            },
            required: [
              "MultiplexId",
              "ProgramName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ChannelId: {
                locationName: "channelId"
              },
              MultiplexProgramSettings: {
                shape: "Sgh",
                locationName: "multiplexProgramSettings"
              },
              PacketIdentifiersMap: {
                shape: "Sgq",
                locationName: "packetIdentifiersMap"
              },
              PipelineDetails: {
                shape: "Sgs",
                locationName: "pipelineDetails"
              },
              ProgramName: {
                locationName: "programName"
              }
            }
          }
        },
        DeleteReservation: {
          http: {
            method: "DELETE",
            requestUri: "/prod/reservations/{reservationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ReservationId: {
                location: "uri",
                locationName: "reservationId"
              }
            },
            required: [
              "ReservationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              Count: {
                locationName: "count",
                type: "integer"
              },
              CurrencyCode: {
                locationName: "currencyCode"
              },
              Duration: {
                locationName: "duration",
                type: "integer"
              },
              DurationUnits: {
                locationName: "durationUnits"
              },
              End: {
                locationName: "end"
              },
              FixedPrice: {
                locationName: "fixedPrice",
                type: "double"
              },
              Name: {
                locationName: "name"
              },
              OfferingDescription: {
                locationName: "offeringDescription"
              },
              OfferingId: {
                locationName: "offeringId"
              },
              OfferingType: {
                locationName: "offeringType"
              },
              Region: {
                locationName: "region"
              },
              RenewalSettings: {
                shape: "Shb",
                locationName: "renewalSettings"
              },
              ReservationId: {
                locationName: "reservationId"
              },
              ResourceSpecification: {
                shape: "Shd",
                locationName: "resourceSpecification"
              },
              Start: {
                locationName: "start"
              },
              State: {
                locationName: "state"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              },
              UsagePrice: {
                locationName: "usagePrice",
                type: "double"
              }
            }
          }
        },
        DeleteSchedule: {
          http: {
            method: "DELETE",
            requestUri: "/prod/channels/{channelId}/schedule",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ChannelId: {
                location: "uri",
                locationName: "channelId"
              }
            },
            required: [
              "ChannelId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteTags: {
          http: {
            method: "DELETE",
            requestUri: "/prod/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              TagKeys: {
                shape: "S5",
                location: "querystring",
                locationName: "tagKeys"
              }
            },
            required: [
              "TagKeys",
              "ResourceArn"
            ]
          }
        },
        DescribeChannel: {
          http: {
            method: "GET",
            requestUri: "/prod/channels/{channelId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ChannelId: {
                location: "uri",
                locationName: "channelId"
              }
            },
            required: [
              "ChannelId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              CdiInputSpecification: {
                shape: "S25",
                locationName: "cdiInputSpecification"
              },
              ChannelClass: {
                locationName: "channelClass"
              },
              Destinations: {
                shape: "S28",
                locationName: "destinations"
              },
              EgressEndpoints: {
                shape: "Sf3",
                locationName: "egressEndpoints"
              },
              EncoderSettings: {
                shape: "S2g",
                locationName: "encoderSettings"
              },
              Id: {
                locationName: "id"
              },
              InputAttachments: {
                shape: "Sd2",
                locationName: "inputAttachments"
              },
              InputSpecification: {
                shape: "Ser",
                locationName: "inputSpecification"
              },
              LogLevel: {
                locationName: "logLevel"
              },
              Maintenance: {
                shape: "Sf5",
                locationName: "maintenance"
              },
              Name: {
                locationName: "name"
              },
              PipelineDetails: {
                shape: "Sf6",
                locationName: "pipelineDetails"
              },
              PipelinesRunningCount: {
                locationName: "pipelinesRunningCount",
                type: "integer"
              },
              RoleArn: {
                locationName: "roleArn"
              },
              State: {
                locationName: "state"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              },
              Vpc: {
                shape: "Sf9",
                locationName: "vpc"
              }
            }
          }
        },
        DescribeInput: {
          http: {
            method: "GET",
            requestUri: "/prod/inputs/{inputId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              InputId: {
                location: "uri",
                locationName: "inputId"
              }
            },
            required: [
              "InputId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              AttachedChannels: {
                shape: "S5",
                locationName: "attachedChannels"
              },
              Destinations: {
                shape: "Sfn",
                locationName: "destinations"
              },
              Id: {
                locationName: "id"
              },
              InputClass: {
                locationName: "inputClass"
              },
              InputDevices: {
                shape: "Sfd",
                locationName: "inputDevices"
              },
              InputPartnerIds: {
                shape: "S5",
                locationName: "inputPartnerIds"
              },
              InputSourceType: {
                locationName: "inputSourceType"
              },
              MediaConnectFlows: {
                shape: "Sfs",
                locationName: "mediaConnectFlows"
              },
              Name: {
                locationName: "name"
              },
              RoleArn: {
                locationName: "roleArn"
              },
              SecurityGroups: {
                shape: "S5",
                locationName: "securityGroups"
              },
              Sources: {
                shape: "Sfu",
                locationName: "sources"
              },
              State: {
                locationName: "state"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              },
              Type: {
                locationName: "type"
              }
            }
          }
        },
        DescribeInputDevice: {
          http: {
            method: "GET",
            requestUri: "/prod/inputDevices/{inputDeviceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              InputDeviceId: {
                location: "uri",
                locationName: "inputDeviceId"
              }
            },
            required: [
              "InputDeviceId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              ConnectionState: {
                locationName: "connectionState"
              },
              DeviceSettingsSyncState: {
                locationName: "deviceSettingsSyncState"
              },
              DeviceUpdateStatus: {
                locationName: "deviceUpdateStatus"
              },
              HdDeviceSettings: {
                shape: "Shy",
                locationName: "hdDeviceSettings"
              },
              Id: {
                locationName: "id"
              },
              MacAddress: {
                locationName: "macAddress"
              },
              Name: {
                locationName: "name"
              },
              NetworkSettings: {
                shape: "Si3",
                locationName: "networkSettings"
              },
              SerialNumber: {
                locationName: "serialNumber"
              },
              Type: {
                locationName: "type"
              },
              UhdDeviceSettings: {
                shape: "Si6",
                locationName: "uhdDeviceSettings"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              }
            }
          }
        },
        DescribeInputDeviceThumbnail: {
          http: {
            method: "GET",
            requestUri: "/prod/inputDevices/{inputDeviceId}/thumbnailData",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              InputDeviceId: {
                location: "uri",
                locationName: "inputDeviceId"
              },
              Accept: {
                location: "header",
                locationName: "accept"
              }
            },
            required: [
              "InputDeviceId",
              "Accept"
            ]
          },
          output: {
            type: "structure",
            members: {
              Body: {
                locationName: "body",
                type: "blob",
                streaming: true
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              ContentLength: {
                location: "header",
                locationName: "Content-Length",
                type: "long"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              },
              LastModified: {
                location: "header",
                locationName: "Last-Modified",
                type: "timestamp"
              }
            },
            payload: "Body"
          }
        },
        DescribeInputSecurityGroup: {
          http: {
            method: "GET",
            requestUri: "/prod/inputSecurityGroups/{inputSecurityGroupId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              InputSecurityGroupId: {
                location: "uri",
                locationName: "inputSecurityGroupId"
              }
            },
            required: [
              "InputSecurityGroupId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              Id: {
                locationName: "id"
              },
              Inputs: {
                shape: "S5",
                locationName: "inputs"
              },
              State: {
                locationName: "state"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              },
              WhitelistRules: {
                shape: "Sg3",
                locationName: "whitelistRules"
              }
            }
          }
        },
        DescribeMultiplex: {
          http: {
            method: "GET",
            requestUri: "/prod/multiplexes/{multiplexId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MultiplexId: {
                location: "uri",
                locationName: "multiplexId"
              }
            },
            required: [
              "MultiplexId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              AvailabilityZones: {
                shape: "S5",
                locationName: "availabilityZones"
              },
              Destinations: {
                shape: "Sgc",
                locationName: "destinations"
              },
              Id: {
                locationName: "id"
              },
              MultiplexSettings: {
                shape: "Sg6",
                locationName: "multiplexSettings"
              },
              Name: {
                locationName: "name"
              },
              PipelinesRunningCount: {
                locationName: "pipelinesRunningCount",
                type: "integer"
              },
              ProgramCount: {
                locationName: "programCount",
                type: "integer"
              },
              State: {
                locationName: "state"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              }
            }
          }
        },
        DescribeMultiplexProgram: {
          http: {
            method: "GET",
            requestUri: "/prod/multiplexes/{multiplexId}/programs/{programName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MultiplexId: {
                location: "uri",
                locationName: "multiplexId"
              },
              ProgramName: {
                location: "uri",
                locationName: "programName"
              }
            },
            required: [
              "MultiplexId",
              "ProgramName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ChannelId: {
                locationName: "channelId"
              },
              MultiplexProgramSettings: {
                shape: "Sgh",
                locationName: "multiplexProgramSettings"
              },
              PacketIdentifiersMap: {
                shape: "Sgq",
                locationName: "packetIdentifiersMap"
              },
              PipelineDetails: {
                shape: "Sgs",
                locationName: "pipelineDetails"
              },
              ProgramName: {
                locationName: "programName"
              }
            }
          }
        },
        DescribeOffering: {
          http: {
            method: "GET",
            requestUri: "/prod/offerings/{offeringId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              OfferingId: {
                location: "uri",
                locationName: "offeringId"
              }
            },
            required: [
              "OfferingId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              CurrencyCode: {
                locationName: "currencyCode"
              },
              Duration: {
                locationName: "duration",
                type: "integer"
              },
              DurationUnits: {
                locationName: "durationUnits"
              },
              FixedPrice: {
                locationName: "fixedPrice",
                type: "double"
              },
              OfferingDescription: {
                locationName: "offeringDescription"
              },
              OfferingId: {
                locationName: "offeringId"
              },
              OfferingType: {
                locationName: "offeringType"
              },
              Region: {
                locationName: "region"
              },
              ResourceSpecification: {
                shape: "Shd",
                locationName: "resourceSpecification"
              },
              UsagePrice: {
                locationName: "usagePrice",
                type: "double"
              }
            }
          }
        },
        DescribeReservation: {
          http: {
            method: "GET",
            requestUri: "/prod/reservations/{reservationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ReservationId: {
                location: "uri",
                locationName: "reservationId"
              }
            },
            required: [
              "ReservationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              Count: {
                locationName: "count",
                type: "integer"
              },
              CurrencyCode: {
                locationName: "currencyCode"
              },
              Duration: {
                locationName: "duration",
                type: "integer"
              },
              DurationUnits: {
                locationName: "durationUnits"
              },
              End: {
                locationName: "end"
              },
              FixedPrice: {
                locationName: "fixedPrice",
                type: "double"
              },
              Name: {
                locationName: "name"
              },
              OfferingDescription: {
                locationName: "offeringDescription"
              },
              OfferingId: {
                locationName: "offeringId"
              },
              OfferingType: {
                locationName: "offeringType"
              },
              Region: {
                locationName: "region"
              },
              RenewalSettings: {
                shape: "Shb",
                locationName: "renewalSettings"
              },
              ReservationId: {
                locationName: "reservationId"
              },
              ResourceSpecification: {
                shape: "Shd",
                locationName: "resourceSpecification"
              },
              Start: {
                locationName: "start"
              },
              State: {
                locationName: "state"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              },
              UsagePrice: {
                locationName: "usagePrice",
                type: "double"
              }
            }
          }
        },
        DescribeSchedule: {
          http: {
            method: "GET",
            requestUri: "/prod/channels/{channelId}/schedule",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ChannelId: {
                location: "uri",
                locationName: "channelId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "ChannelId"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              ScheduleActions: {
                shape: "Sh",
                locationName: "scheduleActions"
              }
            }
          }
        },
        DescribeAccountConfiguration: {
          http: {
            method: "GET",
            requestUri: "/prod/accountConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              AccountConfiguration: {
                shape: "Sit",
                locationName: "accountConfiguration"
              }
            }
          }
        },
        DescribeThumbnails: {
          http: {
            method: "GET",
            requestUri: "/prod/channels/{channelId}/thumbnails",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ChannelId: {
                location: "uri",
                locationName: "channelId"
              },
              PipelineId: {
                location: "querystring",
                locationName: "pipelineId"
              },
              ThumbnailType: {
                location: "querystring",
                locationName: "thumbnailType"
              }
            },
            required: [
              "ThumbnailType",
              "PipelineId",
              "ChannelId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ThumbnailDetails: {
                locationName: "thumbnailDetails",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PipelineId: {
                      locationName: "pipelineId"
                    },
                    Thumbnails: {
                      locationName: "thumbnails",
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Body: {
                            locationName: "body"
                          },
                          ContentType: {
                            locationName: "contentType"
                          },
                          ThumbnailType: {
                            locationName: "thumbnailType"
                          },
                          TimeStamp: {
                            locationName: "timeStamp",
                            type: "timestamp",
                            timestampFormat: "iso8601"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ListChannels: {
          http: {
            method: "GET",
            requestUri: "/prod/channels",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Channels: {
                locationName: "channels",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {
                      locationName: "arn"
                    },
                    CdiInputSpecification: {
                      shape: "S25",
                      locationName: "cdiInputSpecification"
                    },
                    ChannelClass: {
                      locationName: "channelClass"
                    },
                    Destinations: {
                      shape: "S28",
                      locationName: "destinations"
                    },
                    EgressEndpoints: {
                      shape: "Sf3",
                      locationName: "egressEndpoints"
                    },
                    Id: {
                      locationName: "id"
                    },
                    InputAttachments: {
                      shape: "Sd2",
                      locationName: "inputAttachments"
                    },
                    InputSpecification: {
                      shape: "Ser",
                      locationName: "inputSpecification"
                    },
                    LogLevel: {
                      locationName: "logLevel"
                    },
                    Maintenance: {
                      shape: "Sf5",
                      locationName: "maintenance"
                    },
                    Name: {
                      locationName: "name"
                    },
                    PipelinesRunningCount: {
                      locationName: "pipelinesRunningCount",
                      type: "integer"
                    },
                    RoleArn: {
                      locationName: "roleArn"
                    },
                    State: {
                      locationName: "state"
                    },
                    Tags: {
                      shape: "Sez",
                      locationName: "tags"
                    },
                    Vpc: {
                      shape: "Sf9",
                      locationName: "vpc"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListInputDeviceTransfers: {
          http: {
            method: "GET",
            requestUri: "/prod/inputDeviceTransfers",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              TransferType: {
                location: "querystring",
                locationName: "transferType"
              }
            },
            required: [
              "TransferType"
            ]
          },
          output: {
            type: "structure",
            members: {
              InputDeviceTransfers: {
                locationName: "inputDeviceTransfers",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {
                      locationName: "id"
                    },
                    Message: {
                      locationName: "message"
                    },
                    TargetCustomerId: {
                      locationName: "targetCustomerId"
                    },
                    TransferType: {
                      locationName: "transferType"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListInputDevices: {
          http: {
            method: "GET",
            requestUri: "/prod/inputDevices",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InputDevices: {
                locationName: "inputDevices",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {
                      locationName: "arn"
                    },
                    ConnectionState: {
                      locationName: "connectionState"
                    },
                    DeviceSettingsSyncState: {
                      locationName: "deviceSettingsSyncState"
                    },
                    DeviceUpdateStatus: {
                      locationName: "deviceUpdateStatus"
                    },
                    HdDeviceSettings: {
                      shape: "Shy",
                      locationName: "hdDeviceSettings"
                    },
                    Id: {
                      locationName: "id"
                    },
                    MacAddress: {
                      locationName: "macAddress"
                    },
                    Name: {
                      locationName: "name"
                    },
                    NetworkSettings: {
                      shape: "Si3",
                      locationName: "networkSettings"
                    },
                    SerialNumber: {
                      locationName: "serialNumber"
                    },
                    Type: {
                      locationName: "type"
                    },
                    UhdDeviceSettings: {
                      shape: "Si6",
                      locationName: "uhdDeviceSettings"
                    },
                    Tags: {
                      shape: "Sez",
                      locationName: "tags"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListInputSecurityGroups: {
          http: {
            method: "GET",
            requestUri: "/prod/inputSecurityGroups",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InputSecurityGroups: {
                locationName: "inputSecurityGroups",
                type: "list",
                member: {
                  shape: "Sg1"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListInputs: {
          http: {
            method: "GET",
            requestUri: "/prod/inputs",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Inputs: {
                locationName: "inputs",
                type: "list",
                member: {
                  shape: "Sfm"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListMultiplexPrograms: {
          http: {
            method: "GET",
            requestUri: "/prod/multiplexes/{multiplexId}/programs",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              MultiplexId: {
                location: "uri",
                locationName: "multiplexId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "MultiplexId"
            ]
          },
          output: {
            type: "structure",
            members: {
              MultiplexPrograms: {
                locationName: "multiplexPrograms",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ChannelId: {
                      locationName: "channelId"
                    },
                    ProgramName: {
                      locationName: "programName"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListMultiplexes: {
          http: {
            method: "GET",
            requestUri: "/prod/multiplexes",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Multiplexes: {
                locationName: "multiplexes",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {
                      locationName: "arn"
                    },
                    AvailabilityZones: {
                      shape: "S5",
                      locationName: "availabilityZones"
                    },
                    Id: {
                      locationName: "id"
                    },
                    MultiplexSettings: {
                      locationName: "multiplexSettings",
                      type: "structure",
                      members: {
                        TransportStreamBitrate: {
                          locationName: "transportStreamBitrate",
                          type: "integer"
                        }
                      }
                    },
                    Name: {
                      locationName: "name"
                    },
                    PipelinesRunningCount: {
                      locationName: "pipelinesRunningCount",
                      type: "integer"
                    },
                    ProgramCount: {
                      locationName: "programCount",
                      type: "integer"
                    },
                    State: {
                      locationName: "state"
                    },
                    Tags: {
                      shape: "Sez",
                      locationName: "tags"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListOfferings: {
          http: {
            method: "GET",
            requestUri: "/prod/offerings",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ChannelClass: {
                location: "querystring",
                locationName: "channelClass"
              },
              ChannelConfiguration: {
                location: "querystring",
                locationName: "channelConfiguration"
              },
              Codec: {
                location: "querystring",
                locationName: "codec"
              },
              Duration: {
                location: "querystring",
                locationName: "duration"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              MaximumBitrate: {
                location: "querystring",
                locationName: "maximumBitrate"
              },
              MaximumFramerate: {
                location: "querystring",
                locationName: "maximumFramerate"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              Resolution: {
                location: "querystring",
                locationName: "resolution"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              SpecialFeature: {
                location: "querystring",
                locationName: "specialFeature"
              },
              VideoQuality: {
                location: "querystring",
                locationName: "videoQuality"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Offerings: {
                locationName: "offerings",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {
                      locationName: "arn"
                    },
                    CurrencyCode: {
                      locationName: "currencyCode"
                    },
                    Duration: {
                      locationName: "duration",
                      type: "integer"
                    },
                    DurationUnits: {
                      locationName: "durationUnits"
                    },
                    FixedPrice: {
                      locationName: "fixedPrice",
                      type: "double"
                    },
                    OfferingDescription: {
                      locationName: "offeringDescription"
                    },
                    OfferingId: {
                      locationName: "offeringId"
                    },
                    OfferingType: {
                      locationName: "offeringType"
                    },
                    Region: {
                      locationName: "region"
                    },
                    ResourceSpecification: {
                      shape: "Shd",
                      locationName: "resourceSpecification"
                    },
                    UsagePrice: {
                      locationName: "usagePrice",
                      type: "double"
                    }
                  }
                }
              }
            }
          }
        },
        ListReservations: {
          http: {
            method: "GET",
            requestUri: "/prod/reservations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ChannelClass: {
                location: "querystring",
                locationName: "channelClass"
              },
              Codec: {
                location: "querystring",
                locationName: "codec"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              MaximumBitrate: {
                location: "querystring",
                locationName: "maximumBitrate"
              },
              MaximumFramerate: {
                location: "querystring",
                locationName: "maximumFramerate"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              Resolution: {
                location: "querystring",
                locationName: "resolution"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              SpecialFeature: {
                location: "querystring",
                locationName: "specialFeature"
              },
              VideoQuality: {
                location: "querystring",
                locationName: "videoQuality"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Reservations: {
                locationName: "reservations",
                type: "list",
                member: {
                  shape: "Sk1"
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/prod/tags/{resource-arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              }
            },
            required: [
              "ResourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sez",
                locationName: "tags"
              }
            }
          }
        },
        PurchaseOffering: {
          http: {
            requestUri: "/prod/offerings/{offeringId}/purchase",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              Count: {
                locationName: "count",
                type: "integer"
              },
              Name: {
                locationName: "name"
              },
              OfferingId: {
                location: "uri",
                locationName: "offeringId"
              },
              RenewalSettings: {
                shape: "Shb",
                locationName: "renewalSettings"
              },
              RequestId: {
                locationName: "requestId",
                idempotencyToken: true
              },
              Start: {
                locationName: "start"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              }
            },
            required: [
              "OfferingId",
              "Count"
            ]
          },
          output: {
            type: "structure",
            members: {
              Reservation: {
                shape: "Sk1",
                locationName: "reservation"
              }
            }
          }
        },
        RebootInputDevice: {
          http: {
            requestUri: "/prod/inputDevices/{inputDeviceId}/reboot",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Force: {
                locationName: "force"
              },
              InputDeviceId: {
                location: "uri",
                locationName: "inputDeviceId"
              }
            },
            required: [
              "InputDeviceId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RejectInputDeviceTransfer: {
          http: {
            requestUri: "/prod/inputDevices/{inputDeviceId}/reject",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              InputDeviceId: {
                location: "uri",
                locationName: "inputDeviceId"
              }
            },
            required: [
              "InputDeviceId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAccountConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/prod/accountConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AccountConfiguration: {
                shape: "Sit",
                locationName: "accountConfiguration"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccountConfiguration: {
                shape: "Sit",
                locationName: "accountConfiguration"
              }
            }
          }
        },
        StartChannel: {
          http: {
            requestUri: "/prod/channels/{channelId}/start",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ChannelId: {
                location: "uri",
                locationName: "channelId"
              }
            },
            required: [
              "ChannelId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              CdiInputSpecification: {
                shape: "S25",
                locationName: "cdiInputSpecification"
              },
              ChannelClass: {
                locationName: "channelClass"
              },
              Destinations: {
                shape: "S28",
                locationName: "destinations"
              },
              EgressEndpoints: {
                shape: "Sf3",
                locationName: "egressEndpoints"
              },
              EncoderSettings: {
                shape: "S2g",
                locationName: "encoderSettings"
              },
              Id: {
                locationName: "id"
              },
              InputAttachments: {
                shape: "Sd2",
                locationName: "inputAttachments"
              },
              InputSpecification: {
                shape: "Ser",
                locationName: "inputSpecification"
              },
              LogLevel: {
                locationName: "logLevel"
              },
              Maintenance: {
                shape: "Sf5",
                locationName: "maintenance"
              },
              Name: {
                locationName: "name"
              },
              PipelineDetails: {
                shape: "Sf6",
                locationName: "pipelineDetails"
              },
              PipelinesRunningCount: {
                locationName: "pipelinesRunningCount",
                type: "integer"
              },
              RoleArn: {
                locationName: "roleArn"
              },
              State: {
                locationName: "state"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              },
              Vpc: {
                shape: "Sf9",
                locationName: "vpc"
              }
            }
          }
        },
        StartInputDeviceMaintenanceWindow: {
          http: {
            requestUri: "/prod/inputDevices/{inputDeviceId}/startInputDeviceMaintenanceWindow",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              InputDeviceId: {
                location: "uri",
                locationName: "inputDeviceId"
              }
            },
            required: [
              "InputDeviceId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartMultiplex: {
          http: {
            requestUri: "/prod/multiplexes/{multiplexId}/start",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              MultiplexId: {
                location: "uri",
                locationName: "multiplexId"
              }
            },
            required: [
              "MultiplexId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              AvailabilityZones: {
                shape: "S5",
                locationName: "availabilityZones"
              },
              Destinations: {
                shape: "Sgc",
                locationName: "destinations"
              },
              Id: {
                locationName: "id"
              },
              MultiplexSettings: {
                shape: "Sg6",
                locationName: "multiplexSettings"
              },
              Name: {
                locationName: "name"
              },
              PipelinesRunningCount: {
                locationName: "pipelinesRunningCount",
                type: "integer"
              },
              ProgramCount: {
                locationName: "programCount",
                type: "integer"
              },
              State: {
                locationName: "state"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              }
            }
          }
        },
        StopChannel: {
          http: {
            requestUri: "/prod/channels/{channelId}/stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ChannelId: {
                location: "uri",
                locationName: "channelId"
              }
            },
            required: [
              "ChannelId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              CdiInputSpecification: {
                shape: "S25",
                locationName: "cdiInputSpecification"
              },
              ChannelClass: {
                locationName: "channelClass"
              },
              Destinations: {
                shape: "S28",
                locationName: "destinations"
              },
              EgressEndpoints: {
                shape: "Sf3",
                locationName: "egressEndpoints"
              },
              EncoderSettings: {
                shape: "S2g",
                locationName: "encoderSettings"
              },
              Id: {
                locationName: "id"
              },
              InputAttachments: {
                shape: "Sd2",
                locationName: "inputAttachments"
              },
              InputSpecification: {
                shape: "Ser",
                locationName: "inputSpecification"
              },
              LogLevel: {
                locationName: "logLevel"
              },
              Maintenance: {
                shape: "Sf5",
                locationName: "maintenance"
              },
              Name: {
                locationName: "name"
              },
              PipelineDetails: {
                shape: "Sf6",
                locationName: "pipelineDetails"
              },
              PipelinesRunningCount: {
                locationName: "pipelinesRunningCount",
                type: "integer"
              },
              RoleArn: {
                locationName: "roleArn"
              },
              State: {
                locationName: "state"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              },
              Vpc: {
                shape: "Sf9",
                locationName: "vpc"
              }
            }
          }
        },
        StopMultiplex: {
          http: {
            requestUri: "/prod/multiplexes/{multiplexId}/stop",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              MultiplexId: {
                location: "uri",
                locationName: "multiplexId"
              }
            },
            required: [
              "MultiplexId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              AvailabilityZones: {
                shape: "S5",
                locationName: "availabilityZones"
              },
              Destinations: {
                shape: "Sgc",
                locationName: "destinations"
              },
              Id: {
                locationName: "id"
              },
              MultiplexSettings: {
                shape: "Sg6",
                locationName: "multiplexSettings"
              },
              Name: {
                locationName: "name"
              },
              PipelinesRunningCount: {
                locationName: "pipelinesRunningCount",
                type: "integer"
              },
              ProgramCount: {
                locationName: "programCount",
                type: "integer"
              },
              State: {
                locationName: "state"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              }
            }
          }
        },
        TransferInputDevice: {
          http: {
            requestUri: "/prod/inputDevices/{inputDeviceId}/transfer",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              InputDeviceId: {
                location: "uri",
                locationName: "inputDeviceId"
              },
              TargetCustomerId: {
                locationName: "targetCustomerId"
              },
              TargetRegion: {
                locationName: "targetRegion"
              },
              TransferMessage: {
                locationName: "transferMessage"
              }
            },
            required: [
              "InputDeviceId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateChannel: {
          http: {
            method: "PUT",
            requestUri: "/prod/channels/{channelId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CdiInputSpecification: {
                shape: "S25",
                locationName: "cdiInputSpecification"
              },
              ChannelId: {
                location: "uri",
                locationName: "channelId"
              },
              Destinations: {
                shape: "S28",
                locationName: "destinations"
              },
              EncoderSettings: {
                shape: "S2g",
                locationName: "encoderSettings"
              },
              InputAttachments: {
                shape: "Sd2",
                locationName: "inputAttachments"
              },
              InputSpecification: {
                shape: "Ser",
                locationName: "inputSpecification"
              },
              LogLevel: {
                locationName: "logLevel"
              },
              Maintenance: {
                locationName: "maintenance",
                type: "structure",
                members: {
                  MaintenanceDay: {
                    locationName: "maintenanceDay"
                  },
                  MaintenanceScheduledDate: {
                    locationName: "maintenanceScheduledDate"
                  },
                  MaintenanceStartTime: {
                    locationName: "maintenanceStartTime"
                  }
                }
              },
              Name: {
                locationName: "name"
              },
              RoleArn: {
                locationName: "roleArn"
              }
            },
            required: [
              "ChannelId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Channel: {
                shape: "Sf2",
                locationName: "channel"
              }
            }
          }
        },
        UpdateChannelClass: {
          http: {
            method: "PUT",
            requestUri: "/prod/channels/{channelId}/channelClass",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ChannelClass: {
                locationName: "channelClass"
              },
              ChannelId: {
                location: "uri",
                locationName: "channelId"
              },
              Destinations: {
                shape: "S28",
                locationName: "destinations"
              }
            },
            required: [
              "ChannelId",
              "ChannelClass"
            ]
          },
          output: {
            type: "structure",
            members: {
              Channel: {
                shape: "Sf2",
                locationName: "channel"
              }
            }
          }
        },
        UpdateInput: {
          http: {
            method: "PUT",
            requestUri: "/prod/inputs/{inputId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Destinations: {
                shape: "Sfb",
                locationName: "destinations"
              },
              InputDevices: {
                locationName: "inputDevices",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {
                      locationName: "id"
                    }
                  }
                }
              },
              InputId: {
                location: "uri",
                locationName: "inputId"
              },
              InputSecurityGroups: {
                shape: "S5",
                locationName: "inputSecurityGroups"
              },
              MediaConnectFlows: {
                shape: "Sff",
                locationName: "mediaConnectFlows"
              },
              Name: {
                locationName: "name"
              },
              RoleArn: {
                locationName: "roleArn"
              },
              Sources: {
                shape: "Sfh",
                locationName: "sources"
              }
            },
            required: [
              "InputId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Input: {
                shape: "Sfm",
                locationName: "input"
              }
            }
          }
        },
        UpdateInputDevice: {
          http: {
            method: "PUT",
            requestUri: "/prod/inputDevices/{inputDeviceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              HdDeviceSettings: {
                shape: "Skz",
                locationName: "hdDeviceSettings"
              },
              InputDeviceId: {
                location: "uri",
                locationName: "inputDeviceId"
              },
              Name: {
                locationName: "name"
              },
              UhdDeviceSettings: {
                shape: "Skz",
                locationName: "uhdDeviceSettings"
              }
            },
            required: [
              "InputDeviceId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              ConnectionState: {
                locationName: "connectionState"
              },
              DeviceSettingsSyncState: {
                locationName: "deviceSettingsSyncState"
              },
              DeviceUpdateStatus: {
                locationName: "deviceUpdateStatus"
              },
              HdDeviceSettings: {
                shape: "Shy",
                locationName: "hdDeviceSettings"
              },
              Id: {
                locationName: "id"
              },
              MacAddress: {
                locationName: "macAddress"
              },
              Name: {
                locationName: "name"
              },
              NetworkSettings: {
                shape: "Si3",
                locationName: "networkSettings"
              },
              SerialNumber: {
                locationName: "serialNumber"
              },
              Type: {
                locationName: "type"
              },
              UhdDeviceSettings: {
                shape: "Si6",
                locationName: "uhdDeviceSettings"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              }
            }
          }
        },
        UpdateInputSecurityGroup: {
          http: {
            method: "PUT",
            requestUri: "/prod/inputSecurityGroups/{inputSecurityGroupId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              InputSecurityGroupId: {
                location: "uri",
                locationName: "inputSecurityGroupId"
              },
              Tags: {
                shape: "Sez",
                locationName: "tags"
              },
              WhitelistRules: {
                shape: "Sfy",
                locationName: "whitelistRules"
              }
            },
            required: [
              "InputSecurityGroupId"
            ]
          },
          output: {
            type: "structure",
            members: {
              SecurityGroup: {
                shape: "Sg1",
                locationName: "securityGroup"
              }
            }
          }
        },
        UpdateMultiplex: {
          http: {
            method: "PUT",
            requestUri: "/prod/multiplexes/{multiplexId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MultiplexId: {
                location: "uri",
                locationName: "multiplexId"
              },
              MultiplexSettings: {
                shape: "Sg6",
                locationName: "multiplexSettings"
              },
              Name: {
                locationName: "name"
              }
            },
            required: [
              "MultiplexId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Multiplex: {
                shape: "Sgb",
                locationName: "multiplex"
              }
            }
          }
        },
        UpdateMultiplexProgram: {
          http: {
            method: "PUT",
            requestUri: "/prod/multiplexes/{multiplexId}/programs/{programName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MultiplexId: {
                location: "uri",
                locationName: "multiplexId"
              },
              MultiplexProgramSettings: {
                shape: "Sgh",
                locationName: "multiplexProgramSettings"
              },
              ProgramName: {
                location: "uri",
                locationName: "programName"
              }
            },
            required: [
              "MultiplexId",
              "ProgramName"
            ]
          },
          output: {
            type: "structure",
            members: {
              MultiplexProgram: {
                shape: "Sgp",
                locationName: "multiplexProgram"
              }
            }
          }
        },
        UpdateReservation: {
          http: {
            method: "PUT",
            requestUri: "/prod/reservations/{reservationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Name: {
                locationName: "name"
              },
              RenewalSettings: {
                shape: "Shb",
                locationName: "renewalSettings"
              },
              ReservationId: {
                location: "uri",
                locationName: "reservationId"
              }
            },
            required: [
              "ReservationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Reservation: {
                shape: "Sk1",
                locationName: "reservation"
              }
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "list",
          member: {}
        },
        S7: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              Code: {
                locationName: "code"
              },
              Id: {
                locationName: "id"
              },
              Message: {
                locationName: "message"
              }
            }
          }
        },
        S9: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              Id: {
                locationName: "id"
              },
              State: {
                locationName: "state"
              }
            }
          }
        },
        Sh: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ActionName: {
                locationName: "actionName"
              },
              ScheduleActionSettings: {
                locationName: "scheduleActionSettings",
                type: "structure",
                members: {
                  HlsId3SegmentTaggingSettings: {
                    locationName: "hlsId3SegmentTaggingSettings",
                    type: "structure",
                    members: {
                      Tag: {
                        locationName: "tag"
                      },
                      Id3: {
                        locationName: "id3"
                      }
                    }
                  },
                  HlsTimedMetadataSettings: {
                    locationName: "hlsTimedMetadataSettings",
                    type: "structure",
                    members: {
                      Id3: {
                        locationName: "id3"
                      }
                    },
                    required: [
                      "Id3"
                    ]
                  },
                  InputPrepareSettings: {
                    locationName: "inputPrepareSettings",
                    type: "structure",
                    members: {
                      InputAttachmentNameReference: {
                        locationName: "inputAttachmentNameReference"
                      },
                      InputClippingSettings: {
                        shape: "Sn",
                        locationName: "inputClippingSettings"
                      },
                      UrlPath: {
                        shape: "S5",
                        locationName: "urlPath"
                      }
                    }
                  },
                  InputSwitchSettings: {
                    locationName: "inputSwitchSettings",
                    type: "structure",
                    members: {
                      InputAttachmentNameReference: {
                        locationName: "inputAttachmentNameReference"
                      },
                      InputClippingSettings: {
                        shape: "Sn",
                        locationName: "inputClippingSettings"
                      },
                      UrlPath: {
                        shape: "S5",
                        locationName: "urlPath"
                      }
                    },
                    required: [
                      "InputAttachmentNameReference"
                    ]
                  },
                  MotionGraphicsImageActivateSettings: {
                    locationName: "motionGraphicsImageActivateSettings",
                    type: "structure",
                    members: {
                      Duration: {
                        locationName: "duration",
                        type: "long"
                      },
                      PasswordParam: {
                        locationName: "passwordParam"
                      },
                      Url: {
                        locationName: "url"
                      },
                      Username: {
                        locationName: "username"
                      }
                    }
                  },
                  MotionGraphicsImageDeactivateSettings: {
                    locationName: "motionGraphicsImageDeactivateSettings",
                    type: "structure",
                    members: {}
                  },
                  PauseStateSettings: {
                    locationName: "pauseStateSettings",
                    type: "structure",
                    members: {
                      Pipelines: {
                        locationName: "pipelines",
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            PipelineId: {
                              locationName: "pipelineId"
                            }
                          },
                          required: [
                            "PipelineId"
                          ]
                        }
                      }
                    }
                  },
                  Scte35InputSettings: {
                    locationName: "scte35InputSettings",
                    type: "structure",
                    members: {
                      InputAttachmentNameReference: {
                        locationName: "inputAttachmentNameReference"
                      },
                      Mode: {
                        locationName: "mode"
                      }
                    },
                    required: [
                      "Mode"
                    ]
                  },
                  Scte35ReturnToNetworkSettings: {
                    locationName: "scte35ReturnToNetworkSettings",
                    type: "structure",
                    members: {
                      SpliceEventId: {
                        locationName: "spliceEventId",
                        type: "long"
                      }
                    },
                    required: [
                      "SpliceEventId"
                    ]
                  },
                  Scte35SpliceInsertSettings: {
                    locationName: "scte35SpliceInsertSettings",
                    type: "structure",
                    members: {
                      Duration: {
                        locationName: "duration",
                        type: "long"
                      },
                      SpliceEventId: {
                        locationName: "spliceEventId",
                        type: "long"
                      }
                    },
                    required: [
                      "SpliceEventId"
                    ]
                  },
                  Scte35TimeSignalSettings: {
                    locationName: "scte35TimeSignalSettings",
                    type: "structure",
                    members: {
                      Scte35Descriptors: {
                        locationName: "scte35Descriptors",
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            Scte35DescriptorSettings: {
                              locationName: "scte35DescriptorSettings",
                              type: "structure",
                              members: {
                                SegmentationDescriptorScte35DescriptorSettings: {
                                  locationName: "segmentationDescriptorScte35DescriptorSettings",
                                  type: "structure",
                                  members: {
                                    DeliveryRestrictions: {
                                      locationName: "deliveryRestrictions",
                                      type: "structure",
                                      members: {
                                        ArchiveAllowedFlag: {
                                          locationName: "archiveAllowedFlag"
                                        },
                                        DeviceRestrictions: {
                                          locationName: "deviceRestrictions"
                                        },
                                        NoRegionalBlackoutFlag: {
                                          locationName: "noRegionalBlackoutFlag"
                                        },
                                        WebDeliveryAllowedFlag: {
                                          locationName: "webDeliveryAllowedFlag"
                                        }
                                      },
                                      required: [
                                        "DeviceRestrictions",
                                        "ArchiveAllowedFlag",
                                        "WebDeliveryAllowedFlag",
                                        "NoRegionalBlackoutFlag"
                                      ]
                                    },
                                    SegmentNum: {
                                      locationName: "segmentNum",
                                      type: "integer"
                                    },
                                    SegmentationCancelIndicator: {
                                      locationName: "segmentationCancelIndicator"
                                    },
                                    SegmentationDuration: {
                                      locationName: "segmentationDuration",
                                      type: "long"
                                    },
                                    SegmentationEventId: {
                                      locationName: "segmentationEventId",
                                      type: "long"
                                    },
                                    SegmentationTypeId: {
                                      locationName: "segmentationTypeId",
                                      type: "integer"
                                    },
                                    SegmentationUpid: {
                                      locationName: "segmentationUpid"
                                    },
                                    SegmentationUpidType: {
                                      locationName: "segmentationUpidType",
                                      type: "integer"
                                    },
                                    SegmentsExpected: {
                                      locationName: "segmentsExpected",
                                      type: "integer"
                                    },
                                    SubSegmentNum: {
                                      locationName: "subSegmentNum",
                                      type: "integer"
                                    },
                                    SubSegmentsExpected: {
                                      locationName: "subSegmentsExpected",
                                      type: "integer"
                                    }
                                  },
                                  required: [
                                    "SegmentationEventId",
                                    "SegmentationCancelIndicator"
                                  ]
                                }
                              },
                              required: [
                                "SegmentationDescriptorScte35DescriptorSettings"
                              ]
                            }
                          },
                          required: [
                            "Scte35DescriptorSettings"
                          ]
                        }
                      }
                    },
                    required: [
                      "Scte35Descriptors"
                    ]
                  },
                  StaticImageActivateSettings: {
                    locationName: "staticImageActivateSettings",
                    type: "structure",
                    members: {
                      Duration: {
                        locationName: "duration",
                        type: "integer"
                      },
                      FadeIn: {
                        locationName: "fadeIn",
                        type: "integer"
                      },
                      FadeOut: {
                        locationName: "fadeOut",
                        type: "integer"
                      },
                      Height: {
                        locationName: "height",
                        type: "integer"
                      },
                      Image: {
                        shape: "S1m",
                        locationName: "image"
                      },
                      ImageX: {
                        locationName: "imageX",
                        type: "integer"
                      },
                      ImageY: {
                        locationName: "imageY",
                        type: "integer"
                      },
                      Layer: {
                        locationName: "layer",
                        type: "integer"
                      },
                      Opacity: {
                        locationName: "opacity",
                        type: "integer"
                      },
                      Width: {
                        locationName: "width",
                        type: "integer"
                      }
                    },
                    required: [
                      "Image"
                    ]
                  },
                  StaticImageDeactivateSettings: {
                    locationName: "staticImageDeactivateSettings",
                    type: "structure",
                    members: {
                      FadeOut: {
                        locationName: "fadeOut",
                        type: "integer"
                      },
                      Layer: {
                        locationName: "layer",
                        type: "integer"
                      }
                    }
                  }
                }
              },
              ScheduleActionStartSettings: {
                locationName: "scheduleActionStartSettings",
                type: "structure",
                members: {
                  FixedModeScheduleActionStartSettings: {
                    locationName: "fixedModeScheduleActionStartSettings",
                    type: "structure",
                    members: {
                      Time: {
                        locationName: "time"
                      }
                    },
                    required: [
                      "Time"
                    ]
                  },
                  FollowModeScheduleActionStartSettings: {
                    locationName: "followModeScheduleActionStartSettings",
                    type: "structure",
                    members: {
                      FollowPoint: {
                        locationName: "followPoint"
                      },
                      ReferenceActionName: {
                        locationName: "referenceActionName"
                      }
                    },
                    required: [
                      "ReferenceActionName",
                      "FollowPoint"
                    ]
                  },
                  ImmediateModeScheduleActionStartSettings: {
                    locationName: "immediateModeScheduleActionStartSettings",
                    type: "structure",
                    members: {}
                  }
                }
              }
            },
            required: [
              "ActionName",
              "ScheduleActionStartSettings",
              "ScheduleActionSettings"
            ]
          }
        },
        Sn: {
          type: "structure",
          members: {
            InputTimecodeSource: {
              locationName: "inputTimecodeSource"
            },
            StartTimecode: {
              locationName: "startTimecode",
              type: "structure",
              members: {
                Timecode: {
                  locationName: "timecode"
                }
              }
            },
            StopTimecode: {
              locationName: "stopTimecode",
              type: "structure",
              members: {
                LastFrameClippingBehavior: {
                  locationName: "lastFrameClippingBehavior"
                },
                Timecode: {
                  locationName: "timecode"
                }
              }
            }
          },
          required: [
            "InputTimecodeSource"
          ]
        },
        S1m: {
          type: "structure",
          members: {
            PasswordParam: {
              locationName: "passwordParam"
            },
            Uri: {
              locationName: "uri"
            },
            Username: {
              locationName: "username"
            }
          },
          required: [
            "Uri"
          ]
        },
        S25: {
          type: "structure",
          members: {
            Resolution: {
              locationName: "resolution"
            }
          }
        },
        S28: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Id: {
                locationName: "id"
              },
              MediaPackageSettings: {
                locationName: "mediaPackageSettings",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ChannelId: {
                      locationName: "channelId"
                    }
                  }
                }
              },
              MultiplexSettings: {
                locationName: "multiplexSettings",
                type: "structure",
                members: {
                  MultiplexId: {
                    locationName: "multiplexId"
                  },
                  ProgramName: {
                    locationName: "programName"
                  }
                }
              },
              Settings: {
                locationName: "settings",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PasswordParam: {
                      locationName: "passwordParam"
                    },
                    StreamName: {
                      locationName: "streamName"
                    },
                    Url: {
                      locationName: "url"
                    },
                    Username: {
                      locationName: "username"
                    }
                  }
                }
              }
            }
          }
        },
        S2g: {
          type: "structure",
          members: {
            AudioDescriptions: {
              locationName: "audioDescriptions",
              type: "list",
              member: {
                type: "structure",
                members: {
                  AudioNormalizationSettings: {
                    locationName: "audioNormalizationSettings",
                    type: "structure",
                    members: {
                      Algorithm: {
                        locationName: "algorithm"
                      },
                      AlgorithmControl: {
                        locationName: "algorithmControl"
                      },
                      TargetLkfs: {
                        locationName: "targetLkfs",
                        type: "double"
                      }
                    }
                  },
                  AudioSelectorName: {
                    locationName: "audioSelectorName"
                  },
                  AudioType: {
                    locationName: "audioType"
                  },
                  AudioTypeControl: {
                    locationName: "audioTypeControl"
                  },
                  AudioWatermarkingSettings: {
                    locationName: "audioWatermarkingSettings",
                    type: "structure",
                    members: {
                      NielsenWatermarksSettings: {
                        locationName: "nielsenWatermarksSettings",
                        type: "structure",
                        members: {
                          NielsenCbetSettings: {
                            locationName: "nielsenCbetSettings",
                            type: "structure",
                            members: {
                              CbetCheckDigitString: {
                                locationName: "cbetCheckDigitString"
                              },
                              CbetStepaside: {
                                locationName: "cbetStepaside"
                              },
                              Csid: {
                                locationName: "csid"
                              }
                            },
                            required: [
                              "CbetCheckDigitString",
                              "CbetStepaside",
                              "Csid"
                            ]
                          },
                          NielsenDistributionType: {
                            locationName: "nielsenDistributionType"
                          },
                          NielsenNaesIiNwSettings: {
                            locationName: "nielsenNaesIiNwSettings",
                            type: "structure",
                            members: {
                              CheckDigitString: {
                                locationName: "checkDigitString"
                              },
                              Sid: {
                                locationName: "sid",
                                type: "double"
                              },
                              Timezone: {
                                locationName: "timezone"
                              }
                            },
                            required: [
                              "CheckDigitString",
                              "Sid"
                            ]
                          }
                        }
                      }
                    }
                  },
                  CodecSettings: {
                    locationName: "codecSettings",
                    type: "structure",
                    members: {
                      AacSettings: {
                        locationName: "aacSettings",
                        type: "structure",
                        members: {
                          Bitrate: {
                            locationName: "bitrate",
                            type: "double"
                          },
                          CodingMode: {
                            locationName: "codingMode"
                          },
                          InputType: {
                            locationName: "inputType"
                          },
                          Profile: {
                            locationName: "profile"
                          },
                          RateControlMode: {
                            locationName: "rateControlMode"
                          },
                          RawFormat: {
                            locationName: "rawFormat"
                          },
                          SampleRate: {
                            locationName: "sampleRate",
                            type: "double"
                          },
                          Spec: {
                            locationName: "spec"
                          },
                          VbrQuality: {
                            locationName: "vbrQuality"
                          }
                        }
                      },
                      Ac3Settings: {
                        locationName: "ac3Settings",
                        type: "structure",
                        members: {
                          Bitrate: {
                            locationName: "bitrate",
                            type: "double"
                          },
                          BitstreamMode: {
                            locationName: "bitstreamMode"
                          },
                          CodingMode: {
                            locationName: "codingMode"
                          },
                          Dialnorm: {
                            locationName: "dialnorm",
                            type: "integer"
                          },
                          DrcProfile: {
                            locationName: "drcProfile"
                          },
                          LfeFilter: {
                            locationName: "lfeFilter"
                          },
                          MetadataControl: {
                            locationName: "metadataControl"
                          }
                        }
                      },
                      Eac3AtmosSettings: {
                        locationName: "eac3AtmosSettings",
                        type: "structure",
                        members: {
                          Bitrate: {
                            locationName: "bitrate",
                            type: "double"
                          },
                          CodingMode: {
                            locationName: "codingMode"
                          },
                          Dialnorm: {
                            locationName: "dialnorm",
                            type: "integer"
                          },
                          DrcLine: {
                            locationName: "drcLine"
                          },
                          DrcRf: {
                            locationName: "drcRf"
                          },
                          HeightTrim: {
                            locationName: "heightTrim",
                            type: "double"
                          },
                          SurroundTrim: {
                            locationName: "surroundTrim",
                            type: "double"
                          }
                        }
                      },
                      Eac3Settings: {
                        locationName: "eac3Settings",
                        type: "structure",
                        members: {
                          AttenuationControl: {
                            locationName: "attenuationControl"
                          },
                          Bitrate: {
                            locationName: "bitrate",
                            type: "double"
                          },
                          BitstreamMode: {
                            locationName: "bitstreamMode"
                          },
                          CodingMode: {
                            locationName: "codingMode"
                          },
                          DcFilter: {
                            locationName: "dcFilter"
                          },
                          Dialnorm: {
                            locationName: "dialnorm",
                            type: "integer"
                          },
                          DrcLine: {
                            locationName: "drcLine"
                          },
                          DrcRf: {
                            locationName: "drcRf"
                          },
                          LfeControl: {
                            locationName: "lfeControl"
                          },
                          LfeFilter: {
                            locationName: "lfeFilter"
                          },
                          LoRoCenterMixLevel: {
                            locationName: "loRoCenterMixLevel",
                            type: "double"
                          },
                          LoRoSurroundMixLevel: {
                            locationName: "loRoSurroundMixLevel",
                            type: "double"
                          },
                          LtRtCenterMixLevel: {
                            locationName: "ltRtCenterMixLevel",
                            type: "double"
                          },
                          LtRtSurroundMixLevel: {
                            locationName: "ltRtSurroundMixLevel",
                            type: "double"
                          },
                          MetadataControl: {
                            locationName: "metadataControl"
                          },
                          PassthroughControl: {
                            locationName: "passthroughControl"
                          },
                          PhaseControl: {
                            locationName: "phaseControl"
                          },
                          StereoDownmix: {
                            locationName: "stereoDownmix"
                          },
                          SurroundExMode: {
                            locationName: "surroundExMode"
                          },
                          SurroundMode: {
                            locationName: "surroundMode"
                          }
                        }
                      },
                      Mp2Settings: {
                        locationName: "mp2Settings",
                        type: "structure",
                        members: {
                          Bitrate: {
                            locationName: "bitrate",
                            type: "double"
                          },
                          CodingMode: {
                            locationName: "codingMode"
                          },
                          SampleRate: {
                            locationName: "sampleRate",
                            type: "double"
                          }
                        }
                      },
                      PassThroughSettings: {
                        locationName: "passThroughSettings",
                        type: "structure",
                        members: {}
                      },
                      WavSettings: {
                        locationName: "wavSettings",
                        type: "structure",
                        members: {
                          BitDepth: {
                            locationName: "bitDepth",
                            type: "double"
                          },
                          CodingMode: {
                            locationName: "codingMode"
                          },
                          SampleRate: {
                            locationName: "sampleRate",
                            type: "double"
                          }
                        }
                      }
                    }
                  },
                  LanguageCode: {
                    locationName: "languageCode"
                  },
                  LanguageCodeControl: {
                    locationName: "languageCodeControl"
                  },
                  Name: {
                    locationName: "name"
                  },
                  RemixSettings: {
                    locationName: "remixSettings",
                    type: "structure",
                    members: {
                      ChannelMappings: {
                        locationName: "channelMappings",
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            InputChannelLevels: {
                              locationName: "inputChannelLevels",
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  Gain: {
                                    locationName: "gain",
                                    type: "integer"
                                  },
                                  InputChannel: {
                                    locationName: "inputChannel",
                                    type: "integer"
                                  }
                                },
                                required: [
                                  "InputChannel",
                                  "Gain"
                                ]
                              }
                            },
                            OutputChannel: {
                              locationName: "outputChannel",
                              type: "integer"
                            }
                          },
                          required: [
                            "OutputChannel",
                            "InputChannelLevels"
                          ]
                        }
                      },
                      ChannelsIn: {
                        locationName: "channelsIn",
                        type: "integer"
                      },
                      ChannelsOut: {
                        locationName: "channelsOut",
                        type: "integer"
                      }
                    },
                    required: [
                      "ChannelMappings"
                    ]
                  },
                  StreamName: {
                    locationName: "streamName"
                  }
                },
                required: [
                  "AudioSelectorName",
                  "Name"
                ]
              }
            },
            AvailBlanking: {
              locationName: "availBlanking",
              type: "structure",
              members: {
                AvailBlankingImage: {
                  shape: "S1m",
                  locationName: "availBlankingImage"
                },
                State: {
                  locationName: "state"
                }
              }
            },
            AvailConfiguration: {
              locationName: "availConfiguration",
              type: "structure",
              members: {
                AvailSettings: {
                  locationName: "availSettings",
                  type: "structure",
                  members: {
                    Esam: {
                      locationName: "esam",
                      type: "structure",
                      members: {
                        AcquisitionPointId: {
                          locationName: "acquisitionPointId"
                        },
                        AdAvailOffset: {
                          locationName: "adAvailOffset",
                          type: "integer"
                        },
                        PasswordParam: {
                          locationName: "passwordParam"
                        },
                        PoisEndpoint: {
                          locationName: "poisEndpoint"
                        },
                        Username: {
                          locationName: "username"
                        },
                        ZoneIdentity: {
                          locationName: "zoneIdentity"
                        }
                      },
                      required: [
                        "AcquisitionPointId",
                        "PoisEndpoint"
                      ]
                    },
                    Scte35SpliceInsert: {
                      locationName: "scte35SpliceInsert",
                      type: "structure",
                      members: {
                        AdAvailOffset: {
                          locationName: "adAvailOffset",
                          type: "integer"
                        },
                        NoRegionalBlackoutFlag: {
                          locationName: "noRegionalBlackoutFlag"
                        },
                        WebDeliveryAllowedFlag: {
                          locationName: "webDeliveryAllowedFlag"
                        }
                      }
                    },
                    Scte35TimeSignalApos: {
                      locationName: "scte35TimeSignalApos",
                      type: "structure",
                      members: {
                        AdAvailOffset: {
                          locationName: "adAvailOffset",
                          type: "integer"
                        },
                        NoRegionalBlackoutFlag: {
                          locationName: "noRegionalBlackoutFlag"
                        },
                        WebDeliveryAllowedFlag: {
                          locationName: "webDeliveryAllowedFlag"
                        }
                      }
                    }
                  }
                }
              }
            },
            BlackoutSlate: {
              locationName: "blackoutSlate",
              type: "structure",
              members: {
                BlackoutSlateImage: {
                  shape: "S1m",
                  locationName: "blackoutSlateImage"
                },
                NetworkEndBlackout: {
                  locationName: "networkEndBlackout"
                },
                NetworkEndBlackoutImage: {
                  shape: "S1m",
                  locationName: "networkEndBlackoutImage"
                },
                NetworkId: {
                  locationName: "networkId"
                },
                State: {
                  locationName: "state"
                }
              }
            },
            CaptionDescriptions: {
              locationName: "captionDescriptions",
              type: "list",
              member: {
                type: "structure",
                members: {
                  Accessibility: {
                    locationName: "accessibility"
                  },
                  CaptionSelectorName: {
                    locationName: "captionSelectorName"
                  },
                  DestinationSettings: {
                    locationName: "destinationSettings",
                    type: "structure",
                    members: {
                      AribDestinationSettings: {
                        locationName: "aribDestinationSettings",
                        type: "structure",
                        members: {}
                      },
                      BurnInDestinationSettings: {
                        locationName: "burnInDestinationSettings",
                        type: "structure",
                        members: {
                          Alignment: {
                            locationName: "alignment"
                          },
                          BackgroundColor: {
                            locationName: "backgroundColor"
                          },
                          BackgroundOpacity: {
                            locationName: "backgroundOpacity",
                            type: "integer"
                          },
                          Font: {
                            shape: "S1m",
                            locationName: "font"
                          },
                          FontColor: {
                            locationName: "fontColor"
                          },
                          FontOpacity: {
                            locationName: "fontOpacity",
                            type: "integer"
                          },
                          FontResolution: {
                            locationName: "fontResolution",
                            type: "integer"
                          },
                          FontSize: {
                            locationName: "fontSize"
                          },
                          OutlineColor: {
                            locationName: "outlineColor"
                          },
                          OutlineSize: {
                            locationName: "outlineSize",
                            type: "integer"
                          },
                          ShadowColor: {
                            locationName: "shadowColor"
                          },
                          ShadowOpacity: {
                            locationName: "shadowOpacity",
                            type: "integer"
                          },
                          ShadowXOffset: {
                            locationName: "shadowXOffset",
                            type: "integer"
                          },
                          ShadowYOffset: {
                            locationName: "shadowYOffset",
                            type: "integer"
                          },
                          TeletextGridControl: {
                            locationName: "teletextGridControl"
                          },
                          XPosition: {
                            locationName: "xPosition",
                            type: "integer"
                          },
                          YPosition: {
                            locationName: "yPosition",
                            type: "integer"
                          }
                        }
                      },
                      DvbSubDestinationSettings: {
                        locationName: "dvbSubDestinationSettings",
                        type: "structure",
                        members: {
                          Alignment: {
                            locationName: "alignment"
                          },
                          BackgroundColor: {
                            locationName: "backgroundColor"
                          },
                          BackgroundOpacity: {
                            locationName: "backgroundOpacity",
                            type: "integer"
                          },
                          Font: {
                            shape: "S1m",
                            locationName: "font"
                          },
                          FontColor: {
                            locationName: "fontColor"
                          },
                          FontOpacity: {
                            locationName: "fontOpacity",
                            type: "integer"
                          },
                          FontResolution: {
                            locationName: "fontResolution",
                            type: "integer"
                          },
                          FontSize: {
                            locationName: "fontSize"
                          },
                          OutlineColor: {
                            locationName: "outlineColor"
                          },
                          OutlineSize: {
                            locationName: "outlineSize",
                            type: "integer"
                          },
                          ShadowColor: {
                            locationName: "shadowColor"
                          },
                          ShadowOpacity: {
                            locationName: "shadowOpacity",
                            type: "integer"
                          },
                          ShadowXOffset: {
                            locationName: "shadowXOffset",
                            type: "integer"
                          },
                          ShadowYOffset: {
                            locationName: "shadowYOffset",
                            type: "integer"
                          },
                          TeletextGridControl: {
                            locationName: "teletextGridControl"
                          },
                          XPosition: {
                            locationName: "xPosition",
                            type: "integer"
                          },
                          YPosition: {
                            locationName: "yPosition",
                            type: "integer"
                          }
                        }
                      },
                      EbuTtDDestinationSettings: {
                        locationName: "ebuTtDDestinationSettings",
                        type: "structure",
                        members: {
                          CopyrightHolder: {
                            locationName: "copyrightHolder"
                          },
                          FillLineGap: {
                            locationName: "fillLineGap"
                          },
                          FontFamily: {
                            locationName: "fontFamily"
                          },
                          StyleControl: {
                            locationName: "styleControl"
                          }
                        }
                      },
                      EmbeddedDestinationSettings: {
                        locationName: "embeddedDestinationSettings",
                        type: "structure",
                        members: {}
                      },
                      EmbeddedPlusScte20DestinationSettings: {
                        locationName: "embeddedPlusScte20DestinationSettings",
                        type: "structure",
                        members: {}
                      },
                      RtmpCaptionInfoDestinationSettings: {
                        locationName: "rtmpCaptionInfoDestinationSettings",
                        type: "structure",
                        members: {}
                      },
                      Scte20PlusEmbeddedDestinationSettings: {
                        locationName: "scte20PlusEmbeddedDestinationSettings",
                        type: "structure",
                        members: {}
                      },
                      Scte27DestinationSettings: {
                        locationName: "scte27DestinationSettings",
                        type: "structure",
                        members: {}
                      },
                      SmpteTtDestinationSettings: {
                        locationName: "smpteTtDestinationSettings",
                        type: "structure",
                        members: {}
                      },
                      TeletextDestinationSettings: {
                        locationName: "teletextDestinationSettings",
                        type: "structure",
                        members: {}
                      },
                      TtmlDestinationSettings: {
                        locationName: "ttmlDestinationSettings",
                        type: "structure",
                        members: {
                          StyleControl: {
                            locationName: "styleControl"
                          }
                        }
                      },
                      WebvttDestinationSettings: {
                        locationName: "webvttDestinationSettings",
                        type: "structure",
                        members: {
                          StyleControl: {
                            locationName: "styleControl"
                          }
                        }
                      }
                    }
                  },
                  LanguageCode: {
                    locationName: "languageCode"
                  },
                  LanguageDescription: {
                    locationName: "languageDescription"
                  },
                  Name: {
                    locationName: "name"
                  }
                },
                required: [
                  "CaptionSelectorName",
                  "Name"
                ]
              }
            },
            FeatureActivations: {
              locationName: "featureActivations",
              type: "structure",
              members: {
                InputPrepareScheduleActions: {
                  locationName: "inputPrepareScheduleActions"
                }
              }
            },
            GlobalConfiguration: {
              locationName: "globalConfiguration",
              type: "structure",
              members: {
                InitialAudioGain: {
                  locationName: "initialAudioGain",
                  type: "integer"
                },
                InputEndAction: {
                  locationName: "inputEndAction"
                },
                InputLossBehavior: {
                  locationName: "inputLossBehavior",
                  type: "structure",
                  members: {
                    BlackFrameMsec: {
                      locationName: "blackFrameMsec",
                      type: "integer"
                    },
                    InputLossImageColor: {
                      locationName: "inputLossImageColor"
                    },
                    InputLossImageSlate: {
                      shape: "S1m",
                      locationName: "inputLossImageSlate"
                    },
                    InputLossImageType: {
                      locationName: "inputLossImageType"
                    },
                    RepeatFrameMsec: {
                      locationName: "repeatFrameMsec",
                      type: "integer"
                    }
                  }
                },
                OutputLockingMode: {
                  locationName: "outputLockingMode"
                },
                OutputTimingSource: {
                  locationName: "outputTimingSource"
                },
                SupportLowFramerateInputs: {
                  locationName: "supportLowFramerateInputs"
                }
              }
            },
            MotionGraphicsConfiguration: {
              locationName: "motionGraphicsConfiguration",
              type: "structure",
              members: {
                MotionGraphicsInsertion: {
                  locationName: "motionGraphicsInsertion"
                },
                MotionGraphicsSettings: {
                  locationName: "motionGraphicsSettings",
                  type: "structure",
                  members: {
                    HtmlMotionGraphicsSettings: {
                      locationName: "htmlMotionGraphicsSettings",
                      type: "structure",
                      members: {}
                    }
                  }
                }
              },
              required: [
                "MotionGraphicsSettings"
              ]
            },
            NielsenConfiguration: {
              locationName: "nielsenConfiguration",
              type: "structure",
              members: {
                DistributorId: {
                  locationName: "distributorId"
                },
                NielsenPcmToId3Tagging: {
                  locationName: "nielsenPcmToId3Tagging"
                }
              }
            },
            OutputGroups: {
              locationName: "outputGroups",
              type: "list",
              member: {
                type: "structure",
                members: {
                  Name: {
                    locationName: "name"
                  },
                  OutputGroupSettings: {
                    locationName: "outputGroupSettings",
                    type: "structure",
                    members: {
                      ArchiveGroupSettings: {
                        locationName: "archiveGroupSettings",
                        type: "structure",
                        members: {
                          ArchiveCdnSettings: {
                            locationName: "archiveCdnSettings",
                            type: "structure",
                            members: {
                              ArchiveS3Settings: {
                                locationName: "archiveS3Settings",
                                type: "structure",
                                members: {
                                  CannedAcl: {
                                    locationName: "cannedAcl"
                                  }
                                }
                              }
                            }
                          },
                          Destination: {
                            shape: "S6o",
                            locationName: "destination"
                          },
                          RolloverInterval: {
                            locationName: "rolloverInterval",
                            type: "integer"
                          }
                        },
                        required: [
                          "Destination"
                        ]
                      },
                      FrameCaptureGroupSettings: {
                        locationName: "frameCaptureGroupSettings",
                        type: "structure",
                        members: {
                          Destination: {
                            shape: "S6o",
                            locationName: "destination"
                          },
                          FrameCaptureCdnSettings: {
                            locationName: "frameCaptureCdnSettings",
                            type: "structure",
                            members: {
                              FrameCaptureS3Settings: {
                                locationName: "frameCaptureS3Settings",
                                type: "structure",
                                members: {
                                  CannedAcl: {
                                    locationName: "cannedAcl"
                                  }
                                }
                              }
                            }
                          }
                        },
                        required: [
                          "Destination"
                        ]
                      },
                      HlsGroupSettings: {
                        locationName: "hlsGroupSettings",
                        type: "structure",
                        members: {
                          AdMarkers: {
                            locationName: "adMarkers",
                            type: "list",
                            member: {}
                          },
                          BaseUrlContent: {
                            locationName: "baseUrlContent"
                          },
                          BaseUrlContent1: {
                            locationName: "baseUrlContent1"
                          },
                          BaseUrlManifest: {
                            locationName: "baseUrlManifest"
                          },
                          BaseUrlManifest1: {
                            locationName: "baseUrlManifest1"
                          },
                          CaptionLanguageMappings: {
                            locationName: "captionLanguageMappings",
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                CaptionChannel: {
                                  locationName: "captionChannel",
                                  type: "integer"
                                },
                                LanguageCode: {
                                  locationName: "languageCode"
                                },
                                LanguageDescription: {
                                  locationName: "languageDescription"
                                }
                              },
                              required: [
                                "LanguageCode",
                                "LanguageDescription",
                                "CaptionChannel"
                              ]
                            }
                          },
                          CaptionLanguageSetting: {
                            locationName: "captionLanguageSetting"
                          },
                          ClientCache: {
                            locationName: "clientCache"
                          },
                          CodecSpecification: {
                            locationName: "codecSpecification"
                          },
                          ConstantIv: {
                            locationName: "constantIv"
                          },
                          Destination: {
                            shape: "S6o",
                            locationName: "destination"
                          },
                          DirectoryStructure: {
                            locationName: "directoryStructure"
                          },
                          DiscontinuityTags: {
                            locationName: "discontinuityTags"
                          },
                          EncryptionType: {
                            locationName: "encryptionType"
                          },
                          HlsCdnSettings: {
                            locationName: "hlsCdnSettings",
                            type: "structure",
                            members: {
                              HlsAkamaiSettings: {
                                locationName: "hlsAkamaiSettings",
                                type: "structure",
                                members: {
                                  ConnectionRetryInterval: {
                                    locationName: "connectionRetryInterval",
                                    type: "integer"
                                  },
                                  FilecacheDuration: {
                                    locationName: "filecacheDuration",
                                    type: "integer"
                                  },
                                  HttpTransferMode: {
                                    locationName: "httpTransferMode"
                                  },
                                  NumRetries: {
                                    locationName: "numRetries",
                                    type: "integer"
                                  },
                                  RestartDelay: {
                                    locationName: "restartDelay",
                                    type: "integer"
                                  },
                                  Salt: {
                                    locationName: "salt"
                                  },
                                  Token: {
                                    locationName: "token"
                                  }
                                }
                              },
                              HlsBasicPutSettings: {
                                locationName: "hlsBasicPutSettings",
                                type: "structure",
                                members: {
                                  ConnectionRetryInterval: {
                                    locationName: "connectionRetryInterval",
                                    type: "integer"
                                  },
                                  FilecacheDuration: {
                                    locationName: "filecacheDuration",
                                    type: "integer"
                                  },
                                  NumRetries: {
                                    locationName: "numRetries",
                                    type: "integer"
                                  },
                                  RestartDelay: {
                                    locationName: "restartDelay",
                                    type: "integer"
                                  }
                                }
                              },
                              HlsMediaStoreSettings: {
                                locationName: "hlsMediaStoreSettings",
                                type: "structure",
                                members: {
                                  ConnectionRetryInterval: {
                                    locationName: "connectionRetryInterval",
                                    type: "integer"
                                  },
                                  FilecacheDuration: {
                                    locationName: "filecacheDuration",
                                    type: "integer"
                                  },
                                  MediaStoreStorageClass: {
                                    locationName: "mediaStoreStorageClass"
                                  },
                                  NumRetries: {
                                    locationName: "numRetries",
                                    type: "integer"
                                  },
                                  RestartDelay: {
                                    locationName: "restartDelay",
                                    type: "integer"
                                  }
                                }
                              },
                              HlsS3Settings: {
                                locationName: "hlsS3Settings",
                                type: "structure",
                                members: {
                                  CannedAcl: {
                                    locationName: "cannedAcl"
                                  }
                                }
                              },
                              HlsWebdavSettings: {
                                locationName: "hlsWebdavSettings",
                                type: "structure",
                                members: {
                                  ConnectionRetryInterval: {
                                    locationName: "connectionRetryInterval",
                                    type: "integer"
                                  },
                                  FilecacheDuration: {
                                    locationName: "filecacheDuration",
                                    type: "integer"
                                  },
                                  HttpTransferMode: {
                                    locationName: "httpTransferMode"
                                  },
                                  NumRetries: {
                                    locationName: "numRetries",
                                    type: "integer"
                                  },
                                  RestartDelay: {
                                    locationName: "restartDelay",
                                    type: "integer"
                                  }
                                }
                              }
                            }
                          },
                          HlsId3SegmentTagging: {
                            locationName: "hlsId3SegmentTagging"
                          },
                          IFrameOnlyPlaylists: {
                            locationName: "iFrameOnlyPlaylists"
                          },
                          IncompleteSegmentBehavior: {
                            locationName: "incompleteSegmentBehavior"
                          },
                          IndexNSegments: {
                            locationName: "indexNSegments",
                            type: "integer"
                          },
                          InputLossAction: {
                            locationName: "inputLossAction"
                          },
                          IvInManifest: {
                            locationName: "ivInManifest"
                          },
                          IvSource: {
                            locationName: "ivSource"
                          },
                          KeepSegments: {
                            locationName: "keepSegments",
                            type: "integer"
                          },
                          KeyFormat: {
                            locationName: "keyFormat"
                          },
                          KeyFormatVersions: {
                            locationName: "keyFormatVersions"
                          },
                          KeyProviderSettings: {
                            locationName: "keyProviderSettings",
                            type: "structure",
                            members: {
                              StaticKeySettings: {
                                locationName: "staticKeySettings",
                                type: "structure",
                                members: {
                                  KeyProviderServer: {
                                    shape: "S1m",
                                    locationName: "keyProviderServer"
                                  },
                                  StaticKeyValue: {
                                    locationName: "staticKeyValue"
                                  }
                                },
                                required: [
                                  "StaticKeyValue"
                                ]
                              }
                            }
                          },
                          ManifestCompression: {
                            locationName: "manifestCompression"
                          },
                          ManifestDurationFormat: {
                            locationName: "manifestDurationFormat"
                          },
                          MinSegmentLength: {
                            locationName: "minSegmentLength",
                            type: "integer"
                          },
                          Mode: {
                            locationName: "mode"
                          },
                          OutputSelection: {
                            locationName: "outputSelection"
                          },
                          ProgramDateTime: {
                            locationName: "programDateTime"
                          },
                          ProgramDateTimeClock: {
                            locationName: "programDateTimeClock"
                          },
                          ProgramDateTimePeriod: {
                            locationName: "programDateTimePeriod",
                            type: "integer"
                          },
                          RedundantManifest: {
                            locationName: "redundantManifest"
                          },
                          SegmentLength: {
                            locationName: "segmentLength",
                            type: "integer"
                          },
                          SegmentationMode: {
                            locationName: "segmentationMode"
                          },
                          SegmentsPerSubdirectory: {
                            locationName: "segmentsPerSubdirectory",
                            type: "integer"
                          },
                          StreamInfResolution: {
                            locationName: "streamInfResolution"
                          },
                          TimedMetadataId3Frame: {
                            locationName: "timedMetadataId3Frame"
                          },
                          TimedMetadataId3Period: {
                            locationName: "timedMetadataId3Period",
                            type: "integer"
                          },
                          TimestampDeltaMilliseconds: {
                            locationName: "timestampDeltaMilliseconds",
                            type: "integer"
                          },
                          TsFileMode: {
                            locationName: "tsFileMode"
                          }
                        },
                        required: [
                          "Destination"
                        ]
                      },
                      MediaPackageGroupSettings: {
                        locationName: "mediaPackageGroupSettings",
                        type: "structure",
                        members: {
                          Destination: {
                            shape: "S6o",
                            locationName: "destination"
                          }
                        },
                        required: [
                          "Destination"
                        ]
                      },
                      MsSmoothGroupSettings: {
                        locationName: "msSmoothGroupSettings",
                        type: "structure",
                        members: {
                          AcquisitionPointId: {
                            locationName: "acquisitionPointId"
                          },
                          AudioOnlyTimecodeControl: {
                            locationName: "audioOnlyTimecodeControl"
                          },
                          CertificateMode: {
                            locationName: "certificateMode"
                          },
                          ConnectionRetryInterval: {
                            locationName: "connectionRetryInterval",
                            type: "integer"
                          },
                          Destination: {
                            shape: "S6o",
                            locationName: "destination"
                          },
                          EventId: {
                            locationName: "eventId"
                          },
                          EventIdMode: {
                            locationName: "eventIdMode"
                          },
                          EventStopBehavior: {
                            locationName: "eventStopBehavior"
                          },
                          FilecacheDuration: {
                            locationName: "filecacheDuration",
                            type: "integer"
                          },
                          FragmentLength: {
                            locationName: "fragmentLength",
                            type: "integer"
                          },
                          InputLossAction: {
                            locationName: "inputLossAction"
                          },
                          NumRetries: {
                            locationName: "numRetries",
                            type: "integer"
                          },
                          RestartDelay: {
                            locationName: "restartDelay",
                            type: "integer"
                          },
                          SegmentationMode: {
                            locationName: "segmentationMode"
                          },
                          SendDelayMs: {
                            locationName: "sendDelayMs",
                            type: "integer"
                          },
                          SparseTrackType: {
                            locationName: "sparseTrackType"
                          },
                          StreamManifestBehavior: {
                            locationName: "streamManifestBehavior"
                          },
                          TimestampOffset: {
                            locationName: "timestampOffset"
                          },
                          TimestampOffsetMode: {
                            locationName: "timestampOffsetMode"
                          }
                        },
                        required: [
                          "Destination"
                        ]
                      },
                      MultiplexGroupSettings: {
                        locationName: "multiplexGroupSettings",
                        type: "structure",
                        members: {}
                      },
                      RtmpGroupSettings: {
                        locationName: "rtmpGroupSettings",
                        type: "structure",
                        members: {
                          AdMarkers: {
                            locationName: "adMarkers",
                            type: "list",
                            member: {}
                          },
                          AuthenticationScheme: {
                            locationName: "authenticationScheme"
                          },
                          CacheFullBehavior: {
                            locationName: "cacheFullBehavior"
                          },
                          CacheLength: {
                            locationName: "cacheLength",
                            type: "integer"
                          },
                          CaptionData: {
                            locationName: "captionData"
                          },
                          InputLossAction: {
                            locationName: "inputLossAction"
                          },
                          RestartDelay: {
                            locationName: "restartDelay",
                            type: "integer"
                          }
                        }
                      },
                      UdpGroupSettings: {
                        locationName: "udpGroupSettings",
                        type: "structure",
                        members: {
                          InputLossAction: {
                            locationName: "inputLossAction"
                          },
                          TimedMetadataId3Frame: {
                            locationName: "timedMetadataId3Frame"
                          },
                          TimedMetadataId3Period: {
                            locationName: "timedMetadataId3Period",
                            type: "integer"
                          }
                        }
                      }
                    }
                  },
                  Outputs: {
                    locationName: "outputs",
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        AudioDescriptionNames: {
                          shape: "S5",
                          locationName: "audioDescriptionNames"
                        },
                        CaptionDescriptionNames: {
                          shape: "S5",
                          locationName: "captionDescriptionNames"
                        },
                        OutputName: {
                          locationName: "outputName"
                        },
                        OutputSettings: {
                          locationName: "outputSettings",
                          type: "structure",
                          members: {
                            ArchiveOutputSettings: {
                              locationName: "archiveOutputSettings",
                              type: "structure",
                              members: {
                                ContainerSettings: {
                                  locationName: "containerSettings",
                                  type: "structure",
                                  members: {
                                    M2tsSettings: {
                                      shape: "S8v",
                                      locationName: "m2tsSettings"
                                    },
                                    RawSettings: {
                                      locationName: "rawSettings",
                                      type: "structure",
                                      members: {}
                                    }
                                  }
                                },
                                Extension: {
                                  locationName: "extension"
                                },
                                NameModifier: {
                                  locationName: "nameModifier"
                                }
                              },
                              required: [
                                "ContainerSettings"
                              ]
                            },
                            FrameCaptureOutputSettings: {
                              locationName: "frameCaptureOutputSettings",
                              type: "structure",
                              members: {
                                NameModifier: {
                                  locationName: "nameModifier"
                                }
                              }
                            },
                            HlsOutputSettings: {
                              locationName: "hlsOutputSettings",
                              type: "structure",
                              members: {
                                H265PackagingType: {
                                  locationName: "h265PackagingType"
                                },
                                HlsSettings: {
                                  locationName: "hlsSettings",
                                  type: "structure",
                                  members: {
                                    AudioOnlyHlsSettings: {
                                      locationName: "audioOnlyHlsSettings",
                                      type: "structure",
                                      members: {
                                        AudioGroupId: {
                                          locationName: "audioGroupId"
                                        },
                                        AudioOnlyImage: {
                                          shape: "S1m",
                                          locationName: "audioOnlyImage"
                                        },
                                        AudioTrackType: {
                                          locationName: "audioTrackType"
                                        },
                                        SegmentType: {
                                          locationName: "segmentType"
                                        }
                                      }
                                    },
                                    Fmp4HlsSettings: {
                                      locationName: "fmp4HlsSettings",
                                      type: "structure",
                                      members: {
                                        AudioRenditionSets: {
                                          locationName: "audioRenditionSets"
                                        },
                                        NielsenId3Behavior: {
                                          locationName: "nielsenId3Behavior"
                                        },
                                        TimedMetadataBehavior: {
                                          locationName: "timedMetadataBehavior"
                                        }
                                      }
                                    },
                                    FrameCaptureHlsSettings: {
                                      locationName: "frameCaptureHlsSettings",
                                      type: "structure",
                                      members: {}
                                    },
                                    StandardHlsSettings: {
                                      locationName: "standardHlsSettings",
                                      type: "structure",
                                      members: {
                                        AudioRenditionSets: {
                                          locationName: "audioRenditionSets"
                                        },
                                        M3u8Settings: {
                                          locationName: "m3u8Settings",
                                          type: "structure",
                                          members: {
                                            AudioFramesPerPes: {
                                              locationName: "audioFramesPerPes",
                                              type: "integer"
                                            },
                                            AudioPids: {
                                              locationName: "audioPids"
                                            },
                                            EcmPid: {
                                              locationName: "ecmPid"
                                            },
                                            NielsenId3Behavior: {
                                              locationName: "nielsenId3Behavior"
                                            },
                                            PatInterval: {
                                              locationName: "patInterval",
                                              type: "integer"
                                            },
                                            PcrControl: {
                                              locationName: "pcrControl"
                                            },
                                            PcrPeriod: {
                                              locationName: "pcrPeriod",
                                              type: "integer"
                                            },
                                            PcrPid: {
                                              locationName: "pcrPid"
                                            },
                                            PmtInterval: {
                                              locationName: "pmtInterval",
                                              type: "integer"
                                            },
                                            PmtPid: {
                                              locationName: "pmtPid"
                                            },
                                            ProgramNum: {
                                              locationName: "programNum",
                                              type: "integer"
                                            },
                                            Scte35Behavior: {
                                              locationName: "scte35Behavior"
                                            },
                                            Scte35Pid: {
                                              locationName: "scte35Pid"
                                            },
                                            TimedMetadataBehavior: {
                                              locationName: "timedMetadataBehavior"
                                            },
                                            TimedMetadataPid: {
                                              locationName: "timedMetadataPid"
                                            },
                                            TransportStreamId: {
                                              locationName: "transportStreamId",
                                              type: "integer"
                                            },
                                            VideoPid: {
                                              locationName: "videoPid"
                                            }
                                          }
                                        }
                                      },
                                      required: [
                                        "M3u8Settings"
                                      ]
                                    }
                                  }
                                },
                                NameModifier: {
                                  locationName: "nameModifier"
                                },
                                SegmentModifier: {
                                  locationName: "segmentModifier"
                                }
                              },
                              required: [
                                "HlsSettings"
                              ]
                            },
                            MediaPackageOutputSettings: {
                              locationName: "mediaPackageOutputSettings",
                              type: "structure",
                              members: {}
                            },
                            MsSmoothOutputSettings: {
                              locationName: "msSmoothOutputSettings",
                              type: "structure",
                              members: {
                                H265PackagingType: {
                                  locationName: "h265PackagingType"
                                },
                                NameModifier: {
                                  locationName: "nameModifier"
                                }
                              }
                            },
                            MultiplexOutputSettings: {
                              locationName: "multiplexOutputSettings",
                              type: "structure",
                              members: {
                                Destination: {
                                  shape: "S6o",
                                  locationName: "destination"
                                }
                              },
                              required: [
                                "Destination"
                              ]
                            },
                            RtmpOutputSettings: {
                              locationName: "rtmpOutputSettings",
                              type: "structure",
                              members: {
                                CertificateMode: {
                                  locationName: "certificateMode"
                                },
                                ConnectionRetryInterval: {
                                  locationName: "connectionRetryInterval",
                                  type: "integer"
                                },
                                Destination: {
                                  shape: "S6o",
                                  locationName: "destination"
                                },
                                NumRetries: {
                                  locationName: "numRetries",
                                  type: "integer"
                                }
                              },
                              required: [
                                "Destination"
                              ]
                            },
                            UdpOutputSettings: {
                              locationName: "udpOutputSettings",
                              type: "structure",
                              members: {
                                BufferMsec: {
                                  locationName: "bufferMsec",
                                  type: "integer"
                                },
                                ContainerSettings: {
                                  locationName: "containerSettings",
                                  type: "structure",
                                  members: {
                                    M2tsSettings: {
                                      shape: "S8v",
                                      locationName: "m2tsSettings"
                                    }
                                  }
                                },
                                Destination: {
                                  shape: "S6o",
                                  locationName: "destination"
                                },
                                FecOutputSettings: {
                                  locationName: "fecOutputSettings",
                                  type: "structure",
                                  members: {
                                    ColumnDepth: {
                                      locationName: "columnDepth",
                                      type: "integer"
                                    },
                                    IncludeFec: {
                                      locationName: "includeFec"
                                    },
                                    RowLength: {
                                      locationName: "rowLength",
                                      type: "integer"
                                    }
                                  }
                                }
                              },
                              required: [
                                "Destination",
                                "ContainerSettings"
                              ]
                            }
                          }
                        },
                        VideoDescriptionName: {
                          locationName: "videoDescriptionName"
                        }
                      },
                      required: [
                        "OutputSettings"
                      ]
                    }
                  }
                },
                required: [
                  "Outputs",
                  "OutputGroupSettings"
                ]
              }
            },
            TimecodeConfig: {
              locationName: "timecodeConfig",
              type: "structure",
              members: {
                Source: {
                  locationName: "source"
                },
                SyncThreshold: {
                  locationName: "syncThreshold",
                  type: "integer"
                }
              },
              required: [
                "Source"
              ]
            },
            VideoDescriptions: {
              locationName: "videoDescriptions",
              type: "list",
              member: {
                type: "structure",
                members: {
                  CodecSettings: {
                    locationName: "codecSettings",
                    type: "structure",
                    members: {
                      FrameCaptureSettings: {
                        locationName: "frameCaptureSettings",
                        type: "structure",
                        members: {
                          CaptureInterval: {
                            locationName: "captureInterval",
                            type: "integer"
                          },
                          CaptureIntervalUnits: {
                            locationName: "captureIntervalUnits"
                          },
                          TimecodeBurninSettings: {
                            shape: "Sax",
                            locationName: "timecodeBurninSettings"
                          }
                        }
                      },
                      H264Settings: {
                        locationName: "h264Settings",
                        type: "structure",
                        members: {
                          AdaptiveQuantization: {
                            locationName: "adaptiveQuantization"
                          },
                          AfdSignaling: {
                            locationName: "afdSignaling"
                          },
                          Bitrate: {
                            locationName: "bitrate",
                            type: "integer"
                          },
                          BufFillPct: {
                            locationName: "bufFillPct",
                            type: "integer"
                          },
                          BufSize: {
                            locationName: "bufSize",
                            type: "integer"
                          },
                          ColorMetadata: {
                            locationName: "colorMetadata"
                          },
                          ColorSpaceSettings: {
                            locationName: "colorSpaceSettings",
                            type: "structure",
                            members: {
                              ColorSpacePassthroughSettings: {
                                shape: "Sb6",
                                locationName: "colorSpacePassthroughSettings"
                              },
                              Rec601Settings: {
                                shape: "Sb7",
                                locationName: "rec601Settings"
                              },
                              Rec709Settings: {
                                shape: "Sb8",
                                locationName: "rec709Settings"
                              }
                            }
                          },
                          EntropyEncoding: {
                            locationName: "entropyEncoding"
                          },
                          FilterSettings: {
                            locationName: "filterSettings",
                            type: "structure",
                            members: {
                              TemporalFilterSettings: {
                                shape: "Sbb",
                                locationName: "temporalFilterSettings"
                              }
                            }
                          },
                          FixedAfd: {
                            locationName: "fixedAfd"
                          },
                          FlickerAq: {
                            locationName: "flickerAq"
                          },
                          ForceFieldPictures: {
                            locationName: "forceFieldPictures"
                          },
                          FramerateControl: {
                            locationName: "framerateControl"
                          },
                          FramerateDenominator: {
                            locationName: "framerateDenominator",
                            type: "integer"
                          },
                          FramerateNumerator: {
                            locationName: "framerateNumerator",
                            type: "integer"
                          },
                          GopBReference: {
                            locationName: "gopBReference"
                          },
                          GopClosedCadence: {
                            locationName: "gopClosedCadence",
                            type: "integer"
                          },
                          GopNumBFrames: {
                            locationName: "gopNumBFrames",
                            type: "integer"
                          },
                          GopSize: {
                            locationName: "gopSize",
                            type: "double"
                          },
                          GopSizeUnits: {
                            locationName: "gopSizeUnits"
                          },
                          Level: {
                            locationName: "level"
                          },
                          LookAheadRateControl: {
                            locationName: "lookAheadRateControl"
                          },
                          MaxBitrate: {
                            locationName: "maxBitrate",
                            type: "integer"
                          },
                          MinIInterval: {
                            locationName: "minIInterval",
                            type: "integer"
                          },
                          NumRefFrames: {
                            locationName: "numRefFrames",
                            type: "integer"
                          },
                          ParControl: {
                            locationName: "parControl"
                          },
                          ParDenominator: {
                            locationName: "parDenominator",
                            type: "integer"
                          },
                          ParNumerator: {
                            locationName: "parNumerator",
                            type: "integer"
                          },
                          Profile: {
                            locationName: "profile"
                          },
                          QualityLevel: {
                            locationName: "qualityLevel"
                          },
                          QvbrQualityLevel: {
                            locationName: "qvbrQualityLevel",
                            type: "integer"
                          },
                          RateControlMode: {
                            locationName: "rateControlMode"
                          },
                          ScanType: {
                            locationName: "scanType"
                          },
                          SceneChangeDetect: {
                            locationName: "sceneChangeDetect"
                          },
                          Slices: {
                            locationName: "slices",
                            type: "integer"
                          },
                          Softness: {
                            locationName: "softness",
                            type: "integer"
                          },
                          SpatialAq: {
                            locationName: "spatialAq"
                          },
                          SubgopLength: {
                            locationName: "subgopLength"
                          },
                          Syntax: {
                            locationName: "syntax"
                          },
                          TemporalAq: {
                            locationName: "temporalAq"
                          },
                          TimecodeInsertion: {
                            locationName: "timecodeInsertion"
                          },
                          TimecodeBurninSettings: {
                            shape: "Sax",
                            locationName: "timecodeBurninSettings"
                          }
                        }
                      },
                      H265Settings: {
                        locationName: "h265Settings",
                        type: "structure",
                        members: {
                          AdaptiveQuantization: {
                            locationName: "adaptiveQuantization"
                          },
                          AfdSignaling: {
                            locationName: "afdSignaling"
                          },
                          AlternativeTransferFunction: {
                            locationName: "alternativeTransferFunction"
                          },
                          Bitrate: {
                            locationName: "bitrate",
                            type: "integer"
                          },
                          BufSize: {
                            locationName: "bufSize",
                            type: "integer"
                          },
                          ColorMetadata: {
                            locationName: "colorMetadata"
                          },
                          ColorSpaceSettings: {
                            locationName: "colorSpaceSettings",
                            type: "structure",
                            members: {
                              ColorSpacePassthroughSettings: {
                                shape: "Sb6",
                                locationName: "colorSpacePassthroughSettings"
                              },
                              DolbyVision81Settings: {
                                locationName: "dolbyVision81Settings",
                                type: "structure",
                                members: {}
                              },
                              Hdr10Settings: {
                                shape: "Sca",
                                locationName: "hdr10Settings"
                              },
                              Rec601Settings: {
                                shape: "Sb7",
                                locationName: "rec601Settings"
                              },
                              Rec709Settings: {
                                shape: "Sb8",
                                locationName: "rec709Settings"
                              }
                            }
                          },
                          FilterSettings: {
                            locationName: "filterSettings",
                            type: "structure",
                            members: {
                              TemporalFilterSettings: {
                                shape: "Sbb",
                                locationName: "temporalFilterSettings"
                              }
                            }
                          },
                          FixedAfd: {
                            locationName: "fixedAfd"
                          },
                          FlickerAq: {
                            locationName: "flickerAq"
                          },
                          FramerateDenominator: {
                            locationName: "framerateDenominator",
                            type: "integer"
                          },
                          FramerateNumerator: {
                            locationName: "framerateNumerator",
                            type: "integer"
                          },
                          GopClosedCadence: {
                            locationName: "gopClosedCadence",
                            type: "integer"
                          },
                          GopSize: {
                            locationName: "gopSize",
                            type: "double"
                          },
                          GopSizeUnits: {
                            locationName: "gopSizeUnits"
                          },
                          Level: {
                            locationName: "level"
                          },
                          LookAheadRateControl: {
                            locationName: "lookAheadRateControl"
                          },
                          MaxBitrate: {
                            locationName: "maxBitrate",
                            type: "integer"
                          },
                          MinIInterval: {
                            locationName: "minIInterval",
                            type: "integer"
                          },
                          ParDenominator: {
                            locationName: "parDenominator",
                            type: "integer"
                          },
                          ParNumerator: {
                            locationName: "parNumerator",
                            type: "integer"
                          },
                          Profile: {
                            locationName: "profile"
                          },
                          QvbrQualityLevel: {
                            locationName: "qvbrQualityLevel",
                            type: "integer"
                          },
                          RateControlMode: {
                            locationName: "rateControlMode"
                          },
                          ScanType: {
                            locationName: "scanType"
                          },
                          SceneChangeDetect: {
                            locationName: "sceneChangeDetect"
                          },
                          Slices: {
                            locationName: "slices",
                            type: "integer"
                          },
                          Tier: {
                            locationName: "tier"
                          },
                          TimecodeInsertion: {
                            locationName: "timecodeInsertion"
                          },
                          TimecodeBurninSettings: {
                            shape: "Sax",
                            locationName: "timecodeBurninSettings"
                          }
                        },
                        required: [
                          "FramerateNumerator",
                          "FramerateDenominator"
                        ]
                      },
                      Mpeg2Settings: {
                        locationName: "mpeg2Settings",
                        type: "structure",
                        members: {
                          AdaptiveQuantization: {
                            locationName: "adaptiveQuantization"
                          },
                          AfdSignaling: {
                            locationName: "afdSignaling"
                          },
                          ColorMetadata: {
                            locationName: "colorMetadata"
                          },
                          ColorSpace: {
                            locationName: "colorSpace"
                          },
                          DisplayAspectRatio: {
                            locationName: "displayAspectRatio"
                          },
                          FilterSettings: {
                            locationName: "filterSettings",
                            type: "structure",
                            members: {
                              TemporalFilterSettings: {
                                shape: "Sbb",
                                locationName: "temporalFilterSettings"
                              }
                            }
                          },
                          FixedAfd: {
                            locationName: "fixedAfd"
                          },
                          FramerateDenominator: {
                            locationName: "framerateDenominator",
                            type: "integer"
                          },
                          FramerateNumerator: {
                            locationName: "framerateNumerator",
                            type: "integer"
                          },
                          GopClosedCadence: {
                            locationName: "gopClosedCadence",
                            type: "integer"
                          },
                          GopNumBFrames: {
                            locationName: "gopNumBFrames",
                            type: "integer"
                          },
                          GopSize: {
                            locationName: "gopSize",
                            type: "double"
                          },
                          GopSizeUnits: {
                            locationName: "gopSizeUnits"
                          },
                          ScanType: {
                            locationName: "scanType"
                          },
                          SubgopLength: {
                            locationName: "subgopLength"
                          },
                          TimecodeInsertion: {
                            locationName: "timecodeInsertion"
                          },
                          TimecodeBurninSettings: {
                            shape: "Sax",
                            locationName: "timecodeBurninSettings"
                          }
                        },
                        required: [
                          "FramerateNumerator",
                          "FramerateDenominator"
                        ]
                      }
                    }
                  },
                  Height: {
                    locationName: "height",
                    type: "integer"
                  },
                  Name: {
                    locationName: "name"
                  },
                  RespondToAfd: {
                    locationName: "respondToAfd"
                  },
                  ScalingBehavior: {
                    locationName: "scalingBehavior"
                  },
                  Sharpness: {
                    locationName: "sharpness",
                    type: "integer"
                  },
                  Width: {
                    locationName: "width",
                    type: "integer"
                  }
                },
                required: [
                  "Name"
                ]
              }
            },
            ThumbnailConfiguration: {
              locationName: "thumbnailConfiguration",
              type: "structure",
              members: {
                State: {
                  locationName: "state"
                }
              },
              required: [
                "State"
              ]
            }
          },
          required: [
            "VideoDescriptions",
            "AudioDescriptions",
            "OutputGroups",
            "TimecodeConfig"
          ]
        },
        S6o: {
          type: "structure",
          members: {
            DestinationRefId: {
              locationName: "destinationRefId"
            }
          }
        },
        S8v: {
          type: "structure",
          members: {
            AbsentInputAudioBehavior: {
              locationName: "absentInputAudioBehavior"
            },
            Arib: {
              locationName: "arib"
            },
            AribCaptionsPid: {
              locationName: "aribCaptionsPid"
            },
            AribCaptionsPidControl: {
              locationName: "aribCaptionsPidControl"
            },
            AudioBufferModel: {
              locationName: "audioBufferModel"
            },
            AudioFramesPerPes: {
              locationName: "audioFramesPerPes",
              type: "integer"
            },
            AudioPids: {
              locationName: "audioPids"
            },
            AudioStreamType: {
              locationName: "audioStreamType"
            },
            Bitrate: {
              locationName: "bitrate",
              type: "integer"
            },
            BufferModel: {
              locationName: "bufferModel"
            },
            CcDescriptor: {
              locationName: "ccDescriptor"
            },
            DvbNitSettings: {
              locationName: "dvbNitSettings",
              type: "structure",
              members: {
                NetworkId: {
                  locationName: "networkId",
                  type: "integer"
                },
                NetworkName: {
                  locationName: "networkName"
                },
                RepInterval: {
                  locationName: "repInterval",
                  type: "integer"
                }
              },
              required: [
                "NetworkName",
                "NetworkId"
              ]
            },
            DvbSdtSettings: {
              locationName: "dvbSdtSettings",
              type: "structure",
              members: {
                OutputSdt: {
                  locationName: "outputSdt"
                },
                RepInterval: {
                  locationName: "repInterval",
                  type: "integer"
                },
                ServiceName: {
                  locationName: "serviceName"
                },
                ServiceProviderName: {
                  locationName: "serviceProviderName"
                }
              }
            },
            DvbSubPids: {
              locationName: "dvbSubPids"
            },
            DvbTdtSettings: {
              locationName: "dvbTdtSettings",
              type: "structure",
              members: {
                RepInterval: {
                  locationName: "repInterval",
                  type: "integer"
                }
              }
            },
            DvbTeletextPid: {
              locationName: "dvbTeletextPid"
            },
            Ebif: {
              locationName: "ebif"
            },
            EbpAudioInterval: {
              locationName: "ebpAudioInterval"
            },
            EbpLookaheadMs: {
              locationName: "ebpLookaheadMs",
              type: "integer"
            },
            EbpPlacement: {
              locationName: "ebpPlacement"
            },
            EcmPid: {
              locationName: "ecmPid"
            },
            EsRateInPes: {
              locationName: "esRateInPes"
            },
            EtvPlatformPid: {
              locationName: "etvPlatformPid"
            },
            EtvSignalPid: {
              locationName: "etvSignalPid"
            },
            FragmentTime: {
              locationName: "fragmentTime",
              type: "double"
            },
            Klv: {
              locationName: "klv"
            },
            KlvDataPids: {
              locationName: "klvDataPids"
            },
            NielsenId3Behavior: {
              locationName: "nielsenId3Behavior"
            },
            NullPacketBitrate: {
              locationName: "nullPacketBitrate",
              type: "double"
            },
            PatInterval: {
              locationName: "patInterval",
              type: "integer"
            },
            PcrControl: {
              locationName: "pcrControl"
            },
            PcrPeriod: {
              locationName: "pcrPeriod",
              type: "integer"
            },
            PcrPid: {
              locationName: "pcrPid"
            },
            PmtInterval: {
              locationName: "pmtInterval",
              type: "integer"
            },
            PmtPid: {
              locationName: "pmtPid"
            },
            ProgramNum: {
              locationName: "programNum",
              type: "integer"
            },
            RateMode: {
              locationName: "rateMode"
            },
            Scte27Pids: {
              locationName: "scte27Pids"
            },
            Scte35Control: {
              locationName: "scte35Control"
            },
            Scte35Pid: {
              locationName: "scte35Pid"
            },
            SegmentationMarkers: {
              locationName: "segmentationMarkers"
            },
            SegmentationStyle: {
              locationName: "segmentationStyle"
            },
            SegmentationTime: {
              locationName: "segmentationTime",
              type: "double"
            },
            TimedMetadataBehavior: {
              locationName: "timedMetadataBehavior"
            },
            TimedMetadataPid: {
              locationName: "timedMetadataPid"
            },
            TransportStreamId: {
              locationName: "transportStreamId",
              type: "integer"
            },
            VideoPid: {
              locationName: "videoPid"
            },
            Scte35PrerollPullupMilliseconds: {
              locationName: "scte35PrerollPullupMilliseconds",
              type: "double"
            }
          }
        },
        Sax: {
          type: "structure",
          members: {
            FontSize: {
              locationName: "fontSize"
            },
            Position: {
              locationName: "position"
            },
            Prefix: {
              locationName: "prefix"
            }
          },
          required: [
            "Position",
            "FontSize"
          ]
        },
        Sb6: {
          type: "structure",
          members: {}
        },
        Sb7: {
          type: "structure",
          members: {}
        },
        Sb8: {
          type: "structure",
          members: {}
        },
        Sbb: {
          type: "structure",
          members: {
            PostFilterSharpening: {
              locationName: "postFilterSharpening"
            },
            Strength: {
              locationName: "strength"
            }
          }
        },
        Sca: {
          type: "structure",
          members: {
            MaxCll: {
              locationName: "maxCll",
              type: "integer"
            },
            MaxFall: {
              locationName: "maxFall",
              type: "integer"
            }
          }
        },
        Sd2: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AutomaticInputFailoverSettings: {
                locationName: "automaticInputFailoverSettings",
                type: "structure",
                members: {
                  ErrorClearTimeMsec: {
                    locationName: "errorClearTimeMsec",
                    type: "integer"
                  },
                  FailoverConditions: {
                    locationName: "failoverConditions",
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        FailoverConditionSettings: {
                          locationName: "failoverConditionSettings",
                          type: "structure",
                          members: {
                            AudioSilenceSettings: {
                              locationName: "audioSilenceSettings",
                              type: "structure",
                              members: {
                                AudioSelectorName: {
                                  locationName: "audioSelectorName"
                                },
                                AudioSilenceThresholdMsec: {
                                  locationName: "audioSilenceThresholdMsec",
                                  type: "integer"
                                }
                              },
                              required: [
                                "AudioSelectorName"
                              ]
                            },
                            InputLossSettings: {
                              locationName: "inputLossSettings",
                              type: "structure",
                              members: {
                                InputLossThresholdMsec: {
                                  locationName: "inputLossThresholdMsec",
                                  type: "integer"
                                }
                              }
                            },
                            VideoBlackSettings: {
                              locationName: "videoBlackSettings",
                              type: "structure",
                              members: {
                                BlackDetectThreshold: {
                                  locationName: "blackDetectThreshold",
                                  type: "double"
                                },
                                VideoBlackThresholdMsec: {
                                  locationName: "videoBlackThresholdMsec",
                                  type: "integer"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  InputPreference: {
                    locationName: "inputPreference"
                  },
                  SecondaryInputId: {
                    locationName: "secondaryInputId"
                  }
                },
                required: [
                  "SecondaryInputId"
                ]
              },
              InputAttachmentName: {
                locationName: "inputAttachmentName"
              },
              InputId: {
                locationName: "inputId"
              },
              InputSettings: {
                locationName: "inputSettings",
                type: "structure",
                members: {
                  AudioSelectors: {
                    locationName: "audioSelectors",
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {
                          locationName: "name"
                        },
                        SelectorSettings: {
                          locationName: "selectorSettings",
                          type: "structure",
                          members: {
                            AudioHlsRenditionSelection: {
                              locationName: "audioHlsRenditionSelection",
                              type: "structure",
                              members: {
                                GroupId: {
                                  locationName: "groupId"
                                },
                                Name: {
                                  locationName: "name"
                                }
                              },
                              required: [
                                "Name",
                                "GroupId"
                              ]
                            },
                            AudioLanguageSelection: {
                              locationName: "audioLanguageSelection",
                              type: "structure",
                              members: {
                                LanguageCode: {
                                  locationName: "languageCode"
                                },
                                LanguageSelectionPolicy: {
                                  locationName: "languageSelectionPolicy"
                                }
                              },
                              required: [
                                "LanguageCode"
                              ]
                            },
                            AudioPidSelection: {
                              locationName: "audioPidSelection",
                              type: "structure",
                              members: {
                                Pid: {
                                  locationName: "pid",
                                  type: "integer"
                                }
                              },
                              required: [
                                "Pid"
                              ]
                            },
                            AudioTrackSelection: {
                              locationName: "audioTrackSelection",
                              type: "structure",
                              members: {
                                Tracks: {
                                  locationName: "tracks",
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      Track: {
                                        locationName: "track",
                                        type: "integer"
                                      }
                                    },
                                    required: [
                                      "Track"
                                    ]
                                  }
                                },
                                DolbyEDecode: {
                                  locationName: "dolbyEDecode",
                                  type: "structure",
                                  members: {
                                    ProgramSelection: {
                                      locationName: "programSelection"
                                    }
                                  },
                                  required: [
                                    "ProgramSelection"
                                  ]
                                }
                              },
                              required: [
                                "Tracks"
                              ]
                            }
                          }
                        }
                      },
                      required: [
                        "Name"
                      ]
                    }
                  },
                  CaptionSelectors: {
                    locationName: "captionSelectors",
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        LanguageCode: {
                          locationName: "languageCode"
                        },
                        Name: {
                          locationName: "name"
                        },
                        SelectorSettings: {
                          locationName: "selectorSettings",
                          type: "structure",
                          members: {
                            AncillarySourceSettings: {
                              locationName: "ancillarySourceSettings",
                              type: "structure",
                              members: {
                                SourceAncillaryChannelNumber: {
                                  locationName: "sourceAncillaryChannelNumber",
                                  type: "integer"
                                }
                              }
                            },
                            AribSourceSettings: {
                              locationName: "aribSourceSettings",
                              type: "structure",
                              members: {}
                            },
                            DvbSubSourceSettings: {
                              locationName: "dvbSubSourceSettings",
                              type: "structure",
                              members: {
                                OcrLanguage: {
                                  locationName: "ocrLanguage"
                                },
                                Pid: {
                                  locationName: "pid",
                                  type: "integer"
                                }
                              }
                            },
                            EmbeddedSourceSettings: {
                              locationName: "embeddedSourceSettings",
                              type: "structure",
                              members: {
                                Convert608To708: {
                                  locationName: "convert608To708"
                                },
                                Scte20Detection: {
                                  locationName: "scte20Detection"
                                },
                                Source608ChannelNumber: {
                                  locationName: "source608ChannelNumber",
                                  type: "integer"
                                },
                                Source608TrackNumber: {
                                  locationName: "source608TrackNumber",
                                  type: "integer"
                                }
                              }
                            },
                            Scte20SourceSettings: {
                              locationName: "scte20SourceSettings",
                              type: "structure",
                              members: {
                                Convert608To708: {
                                  locationName: "convert608To708"
                                },
                                Source608ChannelNumber: {
                                  locationName: "source608ChannelNumber",
                                  type: "integer"
                                }
                              }
                            },
                            Scte27SourceSettings: {
                              locationName: "scte27SourceSettings",
                              type: "structure",
                              members: {
                                OcrLanguage: {
                                  locationName: "ocrLanguage"
                                },
                                Pid: {
                                  locationName: "pid",
                                  type: "integer"
                                }
                              }
                            },
                            TeletextSourceSettings: {
                              locationName: "teletextSourceSettings",
                              type: "structure",
                              members: {
                                OutputRectangle: {
                                  locationName: "outputRectangle",
                                  type: "structure",
                                  members: {
                                    Height: {
                                      locationName: "height",
                                      type: "double"
                                    },
                                    LeftOffset: {
                                      locationName: "leftOffset",
                                      type: "double"
                                    },
                                    TopOffset: {
                                      locationName: "topOffset",
                                      type: "double"
                                    },
                                    Width: {
                                      locationName: "width",
                                      type: "double"
                                    }
                                  },
                                  required: [
                                    "TopOffset",
                                    "Height",
                                    "Width",
                                    "LeftOffset"
                                  ]
                                },
                                PageNumber: {
                                  locationName: "pageNumber"
                                }
                              }
                            }
                          }
                        }
                      },
                      required: [
                        "Name"
                      ]
                    }
                  },
                  DeblockFilter: {
                    locationName: "deblockFilter"
                  },
                  DenoiseFilter: {
                    locationName: "denoiseFilter"
                  },
                  FilterStrength: {
                    locationName: "filterStrength",
                    type: "integer"
                  },
                  InputFilter: {
                    locationName: "inputFilter"
                  },
                  NetworkInputSettings: {
                    locationName: "networkInputSettings",
                    type: "structure",
                    members: {
                      HlsInputSettings: {
                        locationName: "hlsInputSettings",
                        type: "structure",
                        members: {
                          Bandwidth: {
                            locationName: "bandwidth",
                            type: "integer"
                          },
                          BufferSegments: {
                            locationName: "bufferSegments",
                            type: "integer"
                          },
                          Retries: {
                            locationName: "retries",
                            type: "integer"
                          },
                          RetryInterval: {
                            locationName: "retryInterval",
                            type: "integer"
                          },
                          Scte35Source: {
                            locationName: "scte35Source"
                          }
                        }
                      },
                      ServerValidation: {
                        locationName: "serverValidation"
                      }
                    }
                  },
                  Scte35Pid: {
                    locationName: "scte35Pid",
                    type: "integer"
                  },
                  Smpte2038DataPreference: {
                    locationName: "smpte2038DataPreference"
                  },
                  SourceEndBehavior: {
                    locationName: "sourceEndBehavior"
                  },
                  VideoSelector: {
                    locationName: "videoSelector",
                    type: "structure",
                    members: {
                      ColorSpace: {
                        locationName: "colorSpace"
                      },
                      ColorSpaceSettings: {
                        locationName: "colorSpaceSettings",
                        type: "structure",
                        members: {
                          Hdr10Settings: {
                            shape: "Sca",
                            locationName: "hdr10Settings"
                          }
                        }
                      },
                      ColorSpaceUsage: {
                        locationName: "colorSpaceUsage"
                      },
                      SelectorSettings: {
                        locationName: "selectorSettings",
                        type: "structure",
                        members: {
                          VideoSelectorPid: {
                            locationName: "videoSelectorPid",
                            type: "structure",
                            members: {
                              Pid: {
                                locationName: "pid",
                                type: "integer"
                              }
                            }
                          },
                          VideoSelectorProgramId: {
                            locationName: "videoSelectorProgramId",
                            type: "structure",
                            members: {
                              ProgramId: {
                                locationName: "programId",
                                type: "integer"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Ser: {
          type: "structure",
          members: {
            Codec: {
              locationName: "codec"
            },
            MaximumBitrate: {
              locationName: "maximumBitrate"
            },
            Resolution: {
              locationName: "resolution"
            }
          }
        },
        Sez: {
          type: "map",
          key: {},
          value: {}
        },
        Sf2: {
          type: "structure",
          members: {
            Arn: {
              locationName: "arn"
            },
            CdiInputSpecification: {
              shape: "S25",
              locationName: "cdiInputSpecification"
            },
            ChannelClass: {
              locationName: "channelClass"
            },
            Destinations: {
              shape: "S28",
              locationName: "destinations"
            },
            EgressEndpoints: {
              shape: "Sf3",
              locationName: "egressEndpoints"
            },
            EncoderSettings: {
              shape: "S2g",
              locationName: "encoderSettings"
            },
            Id: {
              locationName: "id"
            },
            InputAttachments: {
              shape: "Sd2",
              locationName: "inputAttachments"
            },
            InputSpecification: {
              shape: "Ser",
              locationName: "inputSpecification"
            },
            LogLevel: {
              locationName: "logLevel"
            },
            Maintenance: {
              shape: "Sf5",
              locationName: "maintenance"
            },
            Name: {
              locationName: "name"
            },
            PipelineDetails: {
              shape: "Sf6",
              locationName: "pipelineDetails"
            },
            PipelinesRunningCount: {
              locationName: "pipelinesRunningCount",
              type: "integer"
            },
            RoleArn: {
              locationName: "roleArn"
            },
            State: {
              locationName: "state"
            },
            Tags: {
              shape: "Sez",
              locationName: "tags"
            },
            Vpc: {
              shape: "Sf9",
              locationName: "vpc"
            }
          }
        },
        Sf3: {
          type: "list",
          member: {
            type: "structure",
            members: {
              SourceIp: {
                locationName: "sourceIp"
              }
            }
          }
        },
        Sf5: {
          type: "structure",
          members: {
            MaintenanceDay: {
              locationName: "maintenanceDay"
            },
            MaintenanceDeadline: {
              locationName: "maintenanceDeadline"
            },
            MaintenanceScheduledDate: {
              locationName: "maintenanceScheduledDate"
            },
            MaintenanceStartTime: {
              locationName: "maintenanceStartTime"
            }
          }
        },
        Sf6: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ActiveInputAttachmentName: {
                locationName: "activeInputAttachmentName"
              },
              ActiveInputSwitchActionName: {
                locationName: "activeInputSwitchActionName"
              },
              ActiveMotionGraphicsActionName: {
                locationName: "activeMotionGraphicsActionName"
              },
              ActiveMotionGraphicsUri: {
                locationName: "activeMotionGraphicsUri"
              },
              PipelineId: {
                locationName: "pipelineId"
              }
            }
          }
        },
        Sf9: {
          type: "structure",
          members: {
            AvailabilityZones: {
              shape: "S5",
              locationName: "availabilityZones"
            },
            NetworkInterfaceIds: {
              shape: "S5",
              locationName: "networkInterfaceIds"
            },
            SecurityGroupIds: {
              shape: "S5",
              locationName: "securityGroupIds"
            },
            SubnetIds: {
              shape: "S5",
              locationName: "subnetIds"
            }
          }
        },
        Sfb: {
          type: "list",
          member: {
            type: "structure",
            members: {
              StreamName: {
                locationName: "streamName"
              }
            }
          }
        },
        Sfd: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Id: {
                locationName: "id"
              }
            }
          }
        },
        Sff: {
          type: "list",
          member: {
            type: "structure",
            members: {
              FlowArn: {
                locationName: "flowArn"
              }
            }
          }
        },
        Sfh: {
          type: "list",
          member: {
            type: "structure",
            members: {
              PasswordParam: {
                locationName: "passwordParam"
              },
              Url: {
                locationName: "url"
              },
              Username: {
                locationName: "username"
              }
            }
          }
        },
        Sfm: {
          type: "structure",
          members: {
            Arn: {
              locationName: "arn"
            },
            AttachedChannels: {
              shape: "S5",
              locationName: "attachedChannels"
            },
            Destinations: {
              shape: "Sfn",
              locationName: "destinations"
            },
            Id: {
              locationName: "id"
            },
            InputClass: {
              locationName: "inputClass"
            },
            InputDevices: {
              shape: "Sfd",
              locationName: "inputDevices"
            },
            InputPartnerIds: {
              shape: "S5",
              locationName: "inputPartnerIds"
            },
            InputSourceType: {
              locationName: "inputSourceType"
            },
            MediaConnectFlows: {
              shape: "Sfs",
              locationName: "mediaConnectFlows"
            },
            Name: {
              locationName: "name"
            },
            RoleArn: {
              locationName: "roleArn"
            },
            SecurityGroups: {
              shape: "S5",
              locationName: "securityGroups"
            },
            Sources: {
              shape: "Sfu",
              locationName: "sources"
            },
            State: {
              locationName: "state"
            },
            Tags: {
              shape: "Sez",
              locationName: "tags"
            },
            Type: {
              locationName: "type"
            }
          }
        },
        Sfn: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Ip: {
                locationName: "ip"
              },
              Port: {
                locationName: "port"
              },
              Url: {
                locationName: "url"
              },
              Vpc: {
                locationName: "vpc",
                type: "structure",
                members: {
                  AvailabilityZone: {
                    locationName: "availabilityZone"
                  },
                  NetworkInterfaceId: {
                    locationName: "networkInterfaceId"
                  }
                }
              }
            }
          }
        },
        Sfs: {
          type: "list",
          member: {
            type: "structure",
            members: {
              FlowArn: {
                locationName: "flowArn"
              }
            }
          }
        },
        Sfu: {
          type: "list",
          member: {
            type: "structure",
            members: {
              PasswordParam: {
                locationName: "passwordParam"
              },
              Url: {
                locationName: "url"
              },
              Username: {
                locationName: "username"
              }
            }
          }
        },
        Sfy: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Cidr: {
                locationName: "cidr"
              }
            }
          }
        },
        Sg1: {
          type: "structure",
          members: {
            Arn: {
              locationName: "arn"
            },
            Id: {
              locationName: "id"
            },
            Inputs: {
              shape: "S5",
              locationName: "inputs"
            },
            State: {
              locationName: "state"
            },
            Tags: {
              shape: "Sez",
              locationName: "tags"
            },
            WhitelistRules: {
              shape: "Sg3",
              locationName: "whitelistRules"
            }
          }
        },
        Sg3: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Cidr: {
                locationName: "cidr"
              }
            }
          }
        },
        Sg6: {
          type: "structure",
          members: {
            MaximumVideoBufferDelayMilliseconds: {
              locationName: "maximumVideoBufferDelayMilliseconds",
              type: "integer"
            },
            TransportStreamBitrate: {
              locationName: "transportStreamBitrate",
              type: "integer"
            },
            TransportStreamId: {
              locationName: "transportStreamId",
              type: "integer"
            },
            TransportStreamReservedBitrate: {
              locationName: "transportStreamReservedBitrate",
              type: "integer"
            }
          },
          required: [
            "TransportStreamBitrate",
            "TransportStreamId"
          ]
        },
        Sgb: {
          type: "structure",
          members: {
            Arn: {
              locationName: "arn"
            },
            AvailabilityZones: {
              shape: "S5",
              locationName: "availabilityZones"
            },
            Destinations: {
              shape: "Sgc",
              locationName: "destinations"
            },
            Id: {
              locationName: "id"
            },
            MultiplexSettings: {
              shape: "Sg6",
              locationName: "multiplexSettings"
            },
            Name: {
              locationName: "name"
            },
            PipelinesRunningCount: {
              locationName: "pipelinesRunningCount",
              type: "integer"
            },
            ProgramCount: {
              locationName: "programCount",
              type: "integer"
            },
            State: {
              locationName: "state"
            },
            Tags: {
              shape: "Sez",
              locationName: "tags"
            }
          }
        },
        Sgc: {
          type: "list",
          member: {
            type: "structure",
            members: {
              MediaConnectSettings: {
                locationName: "mediaConnectSettings",
                type: "structure",
                members: {
                  EntitlementArn: {
                    locationName: "entitlementArn"
                  }
                }
              }
            }
          }
        },
        Sgh: {
          type: "structure",
          members: {
            PreferredChannelPipeline: {
              locationName: "preferredChannelPipeline"
            },
            ProgramNumber: {
              locationName: "programNumber",
              type: "integer"
            },
            ServiceDescriptor: {
              locationName: "serviceDescriptor",
              type: "structure",
              members: {
                ProviderName: {
                  locationName: "providerName"
                },
                ServiceName: {
                  locationName: "serviceName"
                }
              },
              required: [
                "ProviderName",
                "ServiceName"
              ]
            },
            VideoSettings: {
              locationName: "videoSettings",
              type: "structure",
              members: {
                ConstantBitrate: {
                  locationName: "constantBitrate",
                  type: "integer"
                },
                StatmuxSettings: {
                  locationName: "statmuxSettings",
                  type: "structure",
                  members: {
                    MaximumBitrate: {
                      locationName: "maximumBitrate",
                      type: "integer"
                    },
                    MinimumBitrate: {
                      locationName: "minimumBitrate",
                      type: "integer"
                    },
                    Priority: {
                      locationName: "priority",
                      type: "integer"
                    }
                  }
                }
              }
            }
          },
          required: [
            "ProgramNumber"
          ]
        },
        Sgp: {
          type: "structure",
          members: {
            ChannelId: {
              locationName: "channelId"
            },
            MultiplexProgramSettings: {
              shape: "Sgh",
              locationName: "multiplexProgramSettings"
            },
            PacketIdentifiersMap: {
              shape: "Sgq",
              locationName: "packetIdentifiersMap"
            },
            PipelineDetails: {
              shape: "Sgs",
              locationName: "pipelineDetails"
            },
            ProgramName: {
              locationName: "programName"
            }
          }
        },
        Sgq: {
          type: "structure",
          members: {
            AudioPids: {
              shape: "Sgr",
              locationName: "audioPids"
            },
            DvbSubPids: {
              shape: "Sgr",
              locationName: "dvbSubPids"
            },
            DvbTeletextPid: {
              locationName: "dvbTeletextPid",
              type: "integer"
            },
            EtvPlatformPid: {
              locationName: "etvPlatformPid",
              type: "integer"
            },
            EtvSignalPid: {
              locationName: "etvSignalPid",
              type: "integer"
            },
            KlvDataPids: {
              shape: "Sgr",
              locationName: "klvDataPids"
            },
            PcrPid: {
              locationName: "pcrPid",
              type: "integer"
            },
            PmtPid: {
              locationName: "pmtPid",
              type: "integer"
            },
            PrivateMetadataPid: {
              locationName: "privateMetadataPid",
              type: "integer"
            },
            Scte27Pids: {
              shape: "Sgr",
              locationName: "scte27Pids"
            },
            Scte35Pid: {
              locationName: "scte35Pid",
              type: "integer"
            },
            TimedMetadataPid: {
              locationName: "timedMetadataPid",
              type: "integer"
            },
            VideoPid: {
              locationName: "videoPid",
              type: "integer"
            }
          }
        },
        Sgr: {
          type: "list",
          member: {
            type: "integer"
          }
        },
        Sgs: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ActiveChannelPipeline: {
                locationName: "activeChannelPipeline"
              },
              PipelineId: {
                locationName: "pipelineId"
              }
            }
          }
        },
        Shb: {
          type: "structure",
          members: {
            AutomaticRenewal: {
              locationName: "automaticRenewal"
            },
            RenewalCount: {
              locationName: "renewalCount",
              type: "integer"
            }
          }
        },
        Shd: {
          type: "structure",
          members: {
            ChannelClass: {
              locationName: "channelClass"
            },
            Codec: {
              locationName: "codec"
            },
            MaximumBitrate: {
              locationName: "maximumBitrate"
            },
            MaximumFramerate: {
              locationName: "maximumFramerate"
            },
            Resolution: {
              locationName: "resolution"
            },
            ResourceType: {
              locationName: "resourceType"
            },
            SpecialFeature: {
              locationName: "specialFeature"
            },
            VideoQuality: {
              locationName: "videoQuality"
            }
          }
        },
        Shy: {
          type: "structure",
          members: {
            ActiveInput: {
              locationName: "activeInput"
            },
            ConfiguredInput: {
              locationName: "configuredInput"
            },
            DeviceState: {
              locationName: "deviceState"
            },
            Framerate: {
              locationName: "framerate",
              type: "double"
            },
            Height: {
              locationName: "height",
              type: "integer"
            },
            MaxBitrate: {
              locationName: "maxBitrate",
              type: "integer"
            },
            ScanType: {
              locationName: "scanType"
            },
            Width: {
              locationName: "width",
              type: "integer"
            },
            LatencyMs: {
              locationName: "latencyMs",
              type: "integer"
            }
          }
        },
        Si3: {
          type: "structure",
          members: {
            DnsAddresses: {
              shape: "S5",
              locationName: "dnsAddresses"
            },
            Gateway: {
              locationName: "gateway"
            },
            IpAddress: {
              locationName: "ipAddress"
            },
            IpScheme: {
              locationName: "ipScheme"
            },
            SubnetMask: {
              locationName: "subnetMask"
            }
          }
        },
        Si6: {
          type: "structure",
          members: {
            ActiveInput: {
              locationName: "activeInput"
            },
            ConfiguredInput: {
              locationName: "configuredInput"
            },
            DeviceState: {
              locationName: "deviceState"
            },
            Framerate: {
              locationName: "framerate",
              type: "double"
            },
            Height: {
              locationName: "height",
              type: "integer"
            },
            MaxBitrate: {
              locationName: "maxBitrate",
              type: "integer"
            },
            ScanType: {
              locationName: "scanType"
            },
            Width: {
              locationName: "width",
              type: "integer"
            },
            LatencyMs: {
              locationName: "latencyMs",
              type: "integer"
            }
          }
        },
        Sit: {
          type: "structure",
          members: {
            KmsKeyId: {
              locationName: "kmsKeyId"
            }
          }
        },
        Sk1: {
          type: "structure",
          members: {
            Arn: {
              locationName: "arn"
            },
            Count: {
              locationName: "count",
              type: "integer"
            },
            CurrencyCode: {
              locationName: "currencyCode"
            },
            Duration: {
              locationName: "duration",
              type: "integer"
            },
            DurationUnits: {
              locationName: "durationUnits"
            },
            End: {
              locationName: "end"
            },
            FixedPrice: {
              locationName: "fixedPrice",
              type: "double"
            },
            Name: {
              locationName: "name"
            },
            OfferingDescription: {
              locationName: "offeringDescription"
            },
            OfferingId: {
              locationName: "offeringId"
            },
            OfferingType: {
              locationName: "offeringType"
            },
            Region: {
              locationName: "region"
            },
            RenewalSettings: {
              shape: "Shb",
              locationName: "renewalSettings"
            },
            ReservationId: {
              locationName: "reservationId"
            },
            ResourceSpecification: {
              shape: "Shd",
              locationName: "resourceSpecification"
            },
            Start: {
              locationName: "start"
            },
            State: {
              locationName: "state"
            },
            Tags: {
              shape: "Sez",
              locationName: "tags"
            },
            UsagePrice: {
              locationName: "usagePrice",
              type: "double"
            }
          }
        },
        Skz: {
          type: "structure",
          members: {
            ConfiguredInput: {
              locationName: "configuredInput"
            },
            MaxBitrate: {
              locationName: "maxBitrate",
              type: "integer"
            },
            LatencyMs: {
              locationName: "latencyMs",
              type: "integer"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/medialive-2017-10-14.paginators.json
var require_medialive_2017_10_14_paginators = __commonJS({
  "node_modules/aws-sdk/apis/medialive-2017-10-14.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeSchedule: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ScheduleActions"
        },
        ListChannels: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Channels"
        },
        ListInputSecurityGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "InputSecurityGroups"
        },
        ListInputs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Inputs"
        },
        ListOfferings: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Offerings"
        },
        ListReservations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Reservations"
        },
        ListMultiplexPrograms: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "MultiplexPrograms"
        },
        ListMultiplexes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Multiplexes"
        },
        ListInputDevices: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "InputDevices"
        },
        ListInputDeviceTransfers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "InputDeviceTransfers"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/medialive-2017-10-14.waiters2.json
var require_medialive_2017_10_14_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/medialive-2017-10-14.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        ChannelCreated: {
          description: "Wait until a channel has been created",
          operation: "DescribeChannel",
          delay: 3,
          maxAttempts: 5,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "State",
              expected: "IDLE"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "State",
              expected: "CREATING"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            },
            {
              state: "failure",
              matcher: "path",
              argument: "State",
              expected: "CREATE_FAILED"
            }
          ]
        },
        ChannelRunning: {
          description: "Wait until a channel is running",
          operation: "DescribeChannel",
          delay: 5,
          maxAttempts: 120,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "State",
              expected: "RUNNING"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "State",
              expected: "STARTING"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            }
          ]
        },
        ChannelStopped: {
          description: "Wait until a channel has is stopped",
          operation: "DescribeChannel",
          delay: 5,
          maxAttempts: 60,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "State",
              expected: "IDLE"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "State",
              expected: "STOPPING"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            }
          ]
        },
        ChannelDeleted: {
          description: "Wait until a channel has been deleted",
          operation: "DescribeChannel",
          delay: 5,
          maxAttempts: 84,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "State",
              expected: "DELETED"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "State",
              expected: "DELETING"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            }
          ]
        },
        InputAttached: {
          description: "Wait until an input has been attached",
          operation: "DescribeInput",
          delay: 5,
          maxAttempts: 20,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "State",
              expected: "ATTACHED"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "State",
              expected: "DETACHED"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            }
          ]
        },
        InputDetached: {
          description: "Wait until an input has been detached",
          operation: "DescribeInput",
          delay: 5,
          maxAttempts: 84,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "State",
              expected: "DETACHED"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "State",
              expected: "CREATING"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "State",
              expected: "ATTACHED"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            }
          ]
        },
        InputDeleted: {
          description: "Wait until an input has been deleted",
          operation: "DescribeInput",
          delay: 5,
          maxAttempts: 20,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "State",
              expected: "DELETED"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "State",
              expected: "DELETING"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            }
          ]
        },
        MultiplexCreated: {
          description: "Wait until a multiplex has been created",
          operation: "DescribeMultiplex",
          delay: 3,
          maxAttempts: 5,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "State",
              expected: "IDLE"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "State",
              expected: "CREATING"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            },
            {
              state: "failure",
              matcher: "path",
              argument: "State",
              expected: "CREATE_FAILED"
            }
          ]
        },
        MultiplexRunning: {
          description: "Wait until a multiplex is running",
          operation: "DescribeMultiplex",
          delay: 5,
          maxAttempts: 120,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "State",
              expected: "RUNNING"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "State",
              expected: "STARTING"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            }
          ]
        },
        MultiplexStopped: {
          description: "Wait until a multiplex has is stopped",
          operation: "DescribeMultiplex",
          delay: 5,
          maxAttempts: 28,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "State",
              expected: "IDLE"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "State",
              expected: "STOPPING"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            }
          ]
        },
        MultiplexDeleted: {
          description: "Wait until a multiplex has been deleted",
          operation: "DescribeMultiplex",
          delay: 5,
          maxAttempts: 20,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "State",
              expected: "DELETED"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "State",
              expected: "DELETING"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/medialive.js
var require_medialive = __commonJS({
  "node_modules/aws-sdk/clients/medialive.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["medialive"] = {};
    AWS2.MediaLive = Service.defineService("medialive", ["2017-10-14"]);
    Object.defineProperty(apiLoader.services["medialive"], "2017-10-14", {
      get: function get() {
        var model = require_medialive_2017_10_14_min();
        model.paginators = require_medialive_2017_10_14_paginators().pagination;
        model.waiters = require_medialive_2017_10_14_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MediaLive;
  }
});

// node_modules/aws-sdk/apis/mediapackage-2017-10-12.min.json
var require_mediapackage_2017_10_12_min = __commonJS({
  "node_modules/aws-sdk/apis/mediapackage-2017-10-12.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2017-10-12",
        endpointPrefix: "mediapackage",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "MediaPackage",
        serviceFullName: "AWS Elemental MediaPackage",
        serviceId: "MediaPackage",
        signatureVersion: "v4",
        signingName: "mediapackage",
        uid: "mediapackage-2017-10-12"
      },
      operations: {
        ConfigureLogs: {
          http: {
            method: "PUT",
            requestUri: "/channels/{id}/configure_logs",
            responseCode: 200
          },
          input: {
            members: {
              EgressAccessLogs: {
                locationName: "egressAccessLogs",
                shape: "S2"
              },
              Id: {
                location: "uri",
                locationName: "id"
              },
              IngressAccessLogs: {
                locationName: "ingressAccessLogs",
                shape: "S4"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {
              Arn: {
                locationName: "arn"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              Description: {
                locationName: "description"
              },
              EgressAccessLogs: {
                locationName: "egressAccessLogs",
                shape: "S2"
              },
              HlsIngest: {
                locationName: "hlsIngest",
                shape: "S6"
              },
              Id: {
                locationName: "id"
              },
              IngressAccessLogs: {
                locationName: "ingressAccessLogs",
                shape: "S4"
              },
              Tags: {
                locationName: "tags",
                shape: "S9"
              }
            },
            type: "structure"
          }
        },
        CreateChannel: {
          http: {
            requestUri: "/channels",
            responseCode: 200
          },
          input: {
            members: {
              Description: {
                locationName: "description"
              },
              Id: {
                locationName: "id"
              },
              Tags: {
                locationName: "tags",
                shape: "S9"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {
              Arn: {
                locationName: "arn"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              Description: {
                locationName: "description"
              },
              EgressAccessLogs: {
                locationName: "egressAccessLogs",
                shape: "S2"
              },
              HlsIngest: {
                locationName: "hlsIngest",
                shape: "S6"
              },
              Id: {
                locationName: "id"
              },
              IngressAccessLogs: {
                locationName: "ingressAccessLogs",
                shape: "S4"
              },
              Tags: {
                locationName: "tags",
                shape: "S9"
              }
            },
            type: "structure"
          }
        },
        CreateHarvestJob: {
          http: {
            requestUri: "/harvest_jobs",
            responseCode: 200
          },
          input: {
            members: {
              EndTime: {
                locationName: "endTime"
              },
              Id: {
                locationName: "id"
              },
              OriginEndpointId: {
                locationName: "originEndpointId"
              },
              S3Destination: {
                locationName: "s3Destination",
                shape: "Sd"
              },
              StartTime: {
                locationName: "startTime"
              }
            },
            required: [
              "S3Destination",
              "EndTime",
              "OriginEndpointId",
              "StartTime",
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {
              Arn: {
                locationName: "arn"
              },
              ChannelId: {
                locationName: "channelId"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              EndTime: {
                locationName: "endTime"
              },
              Id: {
                locationName: "id"
              },
              OriginEndpointId: {
                locationName: "originEndpointId"
              },
              S3Destination: {
                locationName: "s3Destination",
                shape: "Sd"
              },
              StartTime: {
                locationName: "startTime"
              },
              Status: {
                locationName: "status"
              }
            },
            type: "structure"
          }
        },
        CreateOriginEndpoint: {
          http: {
            requestUri: "/origin_endpoints",
            responseCode: 200
          },
          input: {
            members: {
              Authorization: {
                locationName: "authorization",
                shape: "Sh"
              },
              ChannelId: {
                locationName: "channelId"
              },
              CmafPackage: {
                locationName: "cmafPackage",
                shape: "Si"
              },
              DashPackage: {
                locationName: "dashPackage",
                shape: "S11"
              },
              Description: {
                locationName: "description"
              },
              HlsPackage: {
                locationName: "hlsPackage",
                shape: "S19"
              },
              Id: {
                locationName: "id"
              },
              ManifestName: {
                locationName: "manifestName"
              },
              MssPackage: {
                locationName: "mssPackage",
                shape: "S1c"
              },
              Origination: {
                locationName: "origination"
              },
              StartoverWindowSeconds: {
                locationName: "startoverWindowSeconds",
                type: "integer"
              },
              Tags: {
                locationName: "tags",
                shape: "S9"
              },
              TimeDelaySeconds: {
                locationName: "timeDelaySeconds",
                type: "integer"
              },
              Whitelist: {
                locationName: "whitelist",
                shape: "Sq"
              }
            },
            required: [
              "ChannelId",
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {
              Arn: {
                locationName: "arn"
              },
              Authorization: {
                locationName: "authorization",
                shape: "Sh"
              },
              ChannelId: {
                locationName: "channelId"
              },
              CmafPackage: {
                locationName: "cmafPackage",
                shape: "S1g"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              DashPackage: {
                locationName: "dashPackage",
                shape: "S11"
              },
              Description: {
                locationName: "description"
              },
              HlsPackage: {
                locationName: "hlsPackage",
                shape: "S19"
              },
              Id: {
                locationName: "id"
              },
              ManifestName: {
                locationName: "manifestName"
              },
              MssPackage: {
                locationName: "mssPackage",
                shape: "S1c"
              },
              Origination: {
                locationName: "origination"
              },
              StartoverWindowSeconds: {
                locationName: "startoverWindowSeconds",
                type: "integer"
              },
              Tags: {
                locationName: "tags",
                shape: "S9"
              },
              TimeDelaySeconds: {
                locationName: "timeDelaySeconds",
                type: "integer"
              },
              Url: {
                locationName: "url"
              },
              Whitelist: {
                locationName: "whitelist",
                shape: "Sq"
              }
            },
            type: "structure"
          }
        },
        DeleteChannel: {
          http: {
            method: "DELETE",
            requestUri: "/channels/{id}",
            responseCode: 202
          },
          input: {
            members: {
              Id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {},
            type: "structure"
          }
        },
        DeleteOriginEndpoint: {
          http: {
            method: "DELETE",
            requestUri: "/origin_endpoints/{id}",
            responseCode: 202
          },
          input: {
            members: {
              Id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {},
            type: "structure"
          }
        },
        DescribeChannel: {
          http: {
            method: "GET",
            requestUri: "/channels/{id}",
            responseCode: 200
          },
          input: {
            members: {
              Id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {
              Arn: {
                locationName: "arn"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              Description: {
                locationName: "description"
              },
              EgressAccessLogs: {
                locationName: "egressAccessLogs",
                shape: "S2"
              },
              HlsIngest: {
                locationName: "hlsIngest",
                shape: "S6"
              },
              Id: {
                locationName: "id"
              },
              IngressAccessLogs: {
                locationName: "ingressAccessLogs",
                shape: "S4"
              },
              Tags: {
                locationName: "tags",
                shape: "S9"
              }
            },
            type: "structure"
          }
        },
        DescribeHarvestJob: {
          http: {
            method: "GET",
            requestUri: "/harvest_jobs/{id}",
            responseCode: 200
          },
          input: {
            members: {
              Id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {
              Arn: {
                locationName: "arn"
              },
              ChannelId: {
                locationName: "channelId"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              EndTime: {
                locationName: "endTime"
              },
              Id: {
                locationName: "id"
              },
              OriginEndpointId: {
                locationName: "originEndpointId"
              },
              S3Destination: {
                locationName: "s3Destination",
                shape: "Sd"
              },
              StartTime: {
                locationName: "startTime"
              },
              Status: {
                locationName: "status"
              }
            },
            type: "structure"
          }
        },
        DescribeOriginEndpoint: {
          http: {
            method: "GET",
            requestUri: "/origin_endpoints/{id}",
            responseCode: 200
          },
          input: {
            members: {
              Id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {
              Arn: {
                locationName: "arn"
              },
              Authorization: {
                locationName: "authorization",
                shape: "Sh"
              },
              ChannelId: {
                locationName: "channelId"
              },
              CmafPackage: {
                locationName: "cmafPackage",
                shape: "S1g"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              DashPackage: {
                locationName: "dashPackage",
                shape: "S11"
              },
              Description: {
                locationName: "description"
              },
              HlsPackage: {
                locationName: "hlsPackage",
                shape: "S19"
              },
              Id: {
                locationName: "id"
              },
              ManifestName: {
                locationName: "manifestName"
              },
              MssPackage: {
                locationName: "mssPackage",
                shape: "S1c"
              },
              Origination: {
                locationName: "origination"
              },
              StartoverWindowSeconds: {
                locationName: "startoverWindowSeconds",
                type: "integer"
              },
              Tags: {
                locationName: "tags",
                shape: "S9"
              },
              TimeDelaySeconds: {
                locationName: "timeDelaySeconds",
                type: "integer"
              },
              Url: {
                locationName: "url"
              },
              Whitelist: {
                locationName: "whitelist",
                shape: "Sq"
              }
            },
            type: "structure"
          }
        },
        ListChannels: {
          http: {
            method: "GET",
            requestUri: "/channels",
            responseCode: 200
          },
          input: {
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            type: "structure"
          },
          output: {
            members: {
              Channels: {
                locationName: "channels",
                member: {
                  members: {
                    Arn: {
                      locationName: "arn"
                    },
                    CreatedAt: {
                      locationName: "createdAt"
                    },
                    Description: {
                      locationName: "description"
                    },
                    EgressAccessLogs: {
                      locationName: "egressAccessLogs",
                      shape: "S2"
                    },
                    HlsIngest: {
                      locationName: "hlsIngest",
                      shape: "S6"
                    },
                    Id: {
                      locationName: "id"
                    },
                    IngressAccessLogs: {
                      locationName: "ingressAccessLogs",
                      shape: "S4"
                    },
                    Tags: {
                      locationName: "tags",
                      shape: "S9"
                    }
                  },
                  type: "structure"
                },
                type: "list"
              },
              NextToken: {
                locationName: "nextToken"
              }
            },
            type: "structure"
          }
        },
        ListHarvestJobs: {
          http: {
            method: "GET",
            requestUri: "/harvest_jobs",
            responseCode: 200
          },
          input: {
            members: {
              IncludeChannelId: {
                location: "querystring",
                locationName: "includeChannelId"
              },
              IncludeStatus: {
                location: "querystring",
                locationName: "includeStatus"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            type: "structure"
          },
          output: {
            members: {
              HarvestJobs: {
                locationName: "harvestJobs",
                member: {
                  members: {
                    Arn: {
                      locationName: "arn"
                    },
                    ChannelId: {
                      locationName: "channelId"
                    },
                    CreatedAt: {
                      locationName: "createdAt"
                    },
                    EndTime: {
                      locationName: "endTime"
                    },
                    Id: {
                      locationName: "id"
                    },
                    OriginEndpointId: {
                      locationName: "originEndpointId"
                    },
                    S3Destination: {
                      locationName: "s3Destination",
                      shape: "Sd"
                    },
                    StartTime: {
                      locationName: "startTime"
                    },
                    Status: {
                      locationName: "status"
                    }
                  },
                  type: "structure"
                },
                type: "list"
              },
              NextToken: {
                locationName: "nextToken"
              }
            },
            type: "structure"
          }
        },
        ListOriginEndpoints: {
          http: {
            method: "GET",
            requestUri: "/origin_endpoints",
            responseCode: 200
          },
          input: {
            members: {
              ChannelId: {
                location: "querystring",
                locationName: "channelId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            type: "structure"
          },
          output: {
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              OriginEndpoints: {
                locationName: "originEndpoints",
                member: {
                  members: {
                    Arn: {
                      locationName: "arn"
                    },
                    Authorization: {
                      locationName: "authorization",
                      shape: "Sh"
                    },
                    ChannelId: {
                      locationName: "channelId"
                    },
                    CmafPackage: {
                      locationName: "cmafPackage",
                      shape: "S1g"
                    },
                    CreatedAt: {
                      locationName: "createdAt"
                    },
                    DashPackage: {
                      locationName: "dashPackage",
                      shape: "S11"
                    },
                    Description: {
                      locationName: "description"
                    },
                    HlsPackage: {
                      locationName: "hlsPackage",
                      shape: "S19"
                    },
                    Id: {
                      locationName: "id"
                    },
                    ManifestName: {
                      locationName: "manifestName"
                    },
                    MssPackage: {
                      locationName: "mssPackage",
                      shape: "S1c"
                    },
                    Origination: {
                      locationName: "origination"
                    },
                    StartoverWindowSeconds: {
                      locationName: "startoverWindowSeconds",
                      type: "integer"
                    },
                    Tags: {
                      locationName: "tags",
                      shape: "S9"
                    },
                    TimeDelaySeconds: {
                      locationName: "timeDelaySeconds",
                      type: "integer"
                    },
                    Url: {
                      locationName: "url"
                    },
                    Whitelist: {
                      locationName: "whitelist",
                      shape: "Sq"
                    }
                  },
                  type: "structure"
                },
                type: "list"
              }
            },
            type: "structure"
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resource-arn}",
            responseCode: 200
          },
          input: {
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              }
            },
            required: [
              "ResourceArn"
            ],
            type: "structure"
          },
          output: {
            members: {
              Tags: {
                locationName: "tags",
                shape: "S28"
              }
            },
            type: "structure"
          }
        },
        RotateChannelCredentials: {
          deprecated: true,
          deprecatedMessage: "This API is deprecated. Please use RotateIngestEndpointCredentials instead",
          http: {
            method: "PUT",
            requestUri: "/channels/{id}/credentials",
            responseCode: 200
          },
          input: {
            deprecated: true,
            members: {
              Id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            deprecated: true,
            members: {
              Arn: {
                locationName: "arn"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              Description: {
                locationName: "description"
              },
              EgressAccessLogs: {
                locationName: "egressAccessLogs",
                shape: "S2"
              },
              HlsIngest: {
                locationName: "hlsIngest",
                shape: "S6"
              },
              Id: {
                locationName: "id"
              },
              IngressAccessLogs: {
                locationName: "ingressAccessLogs",
                shape: "S4"
              },
              Tags: {
                locationName: "tags",
                shape: "S9"
              }
            },
            type: "structure"
          }
        },
        RotateIngestEndpointCredentials: {
          http: {
            method: "PUT",
            requestUri: "/channels/{id}/ingest_endpoints/{ingest_endpoint_id}/credentials",
            responseCode: 200
          },
          input: {
            members: {
              Id: {
                location: "uri",
                locationName: "id"
              },
              IngestEndpointId: {
                location: "uri",
                locationName: "ingest_endpoint_id"
              }
            },
            required: [
              "IngestEndpointId",
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {
              Arn: {
                locationName: "arn"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              Description: {
                locationName: "description"
              },
              EgressAccessLogs: {
                locationName: "egressAccessLogs",
                shape: "S2"
              },
              HlsIngest: {
                locationName: "hlsIngest",
                shape: "S6"
              },
              Id: {
                locationName: "id"
              },
              IngressAccessLogs: {
                locationName: "ingressAccessLogs",
                shape: "S4"
              },
              Tags: {
                locationName: "tags",
                shape: "S9"
              }
            },
            type: "structure"
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              Tags: {
                locationName: "tags",
                shape: "S28"
              }
            },
            required: [
              "ResourceArn",
              "Tags"
            ],
            type: "structure"
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                shape: "Sq"
              }
            },
            required: [
              "TagKeys",
              "ResourceArn"
            ],
            type: "structure"
          }
        },
        UpdateChannel: {
          http: {
            method: "PUT",
            requestUri: "/channels/{id}",
            responseCode: 200
          },
          input: {
            members: {
              Description: {
                locationName: "description"
              },
              Id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {
              Arn: {
                locationName: "arn"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              Description: {
                locationName: "description"
              },
              EgressAccessLogs: {
                locationName: "egressAccessLogs",
                shape: "S2"
              },
              HlsIngest: {
                locationName: "hlsIngest",
                shape: "S6"
              },
              Id: {
                locationName: "id"
              },
              IngressAccessLogs: {
                locationName: "ingressAccessLogs",
                shape: "S4"
              },
              Tags: {
                locationName: "tags",
                shape: "S9"
              }
            },
            type: "structure"
          }
        },
        UpdateOriginEndpoint: {
          http: {
            method: "PUT",
            requestUri: "/origin_endpoints/{id}",
            responseCode: 200
          },
          input: {
            members: {
              Authorization: {
                locationName: "authorization",
                shape: "Sh"
              },
              CmafPackage: {
                locationName: "cmafPackage",
                shape: "Si"
              },
              DashPackage: {
                locationName: "dashPackage",
                shape: "S11"
              },
              Description: {
                locationName: "description"
              },
              HlsPackage: {
                locationName: "hlsPackage",
                shape: "S19"
              },
              Id: {
                location: "uri",
                locationName: "id"
              },
              ManifestName: {
                locationName: "manifestName"
              },
              MssPackage: {
                locationName: "mssPackage",
                shape: "S1c"
              },
              Origination: {
                locationName: "origination"
              },
              StartoverWindowSeconds: {
                locationName: "startoverWindowSeconds",
                type: "integer"
              },
              TimeDelaySeconds: {
                locationName: "timeDelaySeconds",
                type: "integer"
              },
              Whitelist: {
                locationName: "whitelist",
                shape: "Sq"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {
              Arn: {
                locationName: "arn"
              },
              Authorization: {
                locationName: "authorization",
                shape: "Sh"
              },
              ChannelId: {
                locationName: "channelId"
              },
              CmafPackage: {
                locationName: "cmafPackage",
                shape: "S1g"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              DashPackage: {
                locationName: "dashPackage",
                shape: "S11"
              },
              Description: {
                locationName: "description"
              },
              HlsPackage: {
                locationName: "hlsPackage",
                shape: "S19"
              },
              Id: {
                locationName: "id"
              },
              ManifestName: {
                locationName: "manifestName"
              },
              MssPackage: {
                locationName: "mssPackage",
                shape: "S1c"
              },
              Origination: {
                locationName: "origination"
              },
              StartoverWindowSeconds: {
                locationName: "startoverWindowSeconds",
                type: "integer"
              },
              Tags: {
                locationName: "tags",
                shape: "S9"
              },
              TimeDelaySeconds: {
                locationName: "timeDelaySeconds",
                type: "integer"
              },
              Url: {
                locationName: "url"
              },
              Whitelist: {
                locationName: "whitelist",
                shape: "Sq"
              }
            },
            type: "structure"
          }
        }
      },
      shapes: {
        S2: {
          members: {
            LogGroupName: {
              locationName: "logGroupName"
            }
          },
          type: "structure"
        },
        S4: {
          members: {
            LogGroupName: {
              locationName: "logGroupName"
            }
          },
          type: "structure"
        },
        S6: {
          members: {
            IngestEndpoints: {
              locationName: "ingestEndpoints",
              member: {
                members: {
                  Id: {
                    locationName: "id"
                  },
                  Password: {
                    locationName: "password"
                  },
                  Url: {
                    locationName: "url"
                  },
                  Username: {
                    locationName: "username"
                  }
                },
                type: "structure"
              },
              type: "list"
            }
          },
          type: "structure"
        },
        S9: {
          key: {},
          type: "map",
          value: {}
        },
        Sd: {
          members: {
            BucketName: {
              locationName: "bucketName"
            },
            ManifestKey: {
              locationName: "manifestKey"
            },
            RoleArn: {
              locationName: "roleArn"
            }
          },
          required: [
            "ManifestKey",
            "BucketName",
            "RoleArn"
          ],
          type: "structure"
        },
        Sh: {
          members: {
            CdnIdentifierSecret: {
              locationName: "cdnIdentifierSecret"
            },
            SecretsRoleArn: {
              locationName: "secretsRoleArn"
            }
          },
          required: [
            "SecretsRoleArn",
            "CdnIdentifierSecret"
          ],
          type: "structure"
        },
        Si: {
          members: {
            Encryption: {
              locationName: "encryption",
              shape: "Sj"
            },
            HlsManifests: {
              locationName: "hlsManifests",
              member: {
                members: {
                  AdMarkers: {
                    locationName: "adMarkers"
                  },
                  AdTriggers: {
                    locationName: "adTriggers",
                    shape: "Su"
                  },
                  AdsOnDeliveryRestrictions: {
                    locationName: "adsOnDeliveryRestrictions"
                  },
                  Id: {
                    locationName: "id"
                  },
                  IncludeIframeOnlyStream: {
                    locationName: "includeIframeOnlyStream",
                    type: "boolean"
                  },
                  ManifestName: {
                    locationName: "manifestName"
                  },
                  PlaylistType: {
                    locationName: "playlistType"
                  },
                  PlaylistWindowSeconds: {
                    locationName: "playlistWindowSeconds",
                    type: "integer"
                  },
                  ProgramDateTimeIntervalSeconds: {
                    locationName: "programDateTimeIntervalSeconds",
                    type: "integer"
                  }
                },
                required: [
                  "Id"
                ],
                type: "structure"
              },
              type: "list"
            },
            SegmentDurationSeconds: {
              locationName: "segmentDurationSeconds",
              type: "integer"
            },
            SegmentPrefix: {
              locationName: "segmentPrefix"
            },
            StreamSelection: {
              locationName: "streamSelection",
              shape: "Sz"
            }
          },
          type: "structure"
        },
        Sj: {
          members: {
            ConstantInitializationVector: {
              locationName: "constantInitializationVector"
            },
            EncryptionMethod: {
              locationName: "encryptionMethod"
            },
            KeyRotationIntervalSeconds: {
              locationName: "keyRotationIntervalSeconds",
              type: "integer"
            },
            SpekeKeyProvider: {
              locationName: "spekeKeyProvider",
              shape: "Sm"
            }
          },
          required: [
            "SpekeKeyProvider"
          ],
          type: "structure"
        },
        Sm: {
          members: {
            CertificateArn: {
              locationName: "certificateArn"
            },
            EncryptionContractConfiguration: {
              locationName: "encryptionContractConfiguration",
              members: {
                PresetSpeke20Audio: {
                  locationName: "presetSpeke20Audio"
                },
                PresetSpeke20Video: {
                  locationName: "presetSpeke20Video"
                }
              },
              required: [
                "PresetSpeke20Audio",
                "PresetSpeke20Video"
              ],
              type: "structure"
            },
            ResourceId: {
              locationName: "resourceId"
            },
            RoleArn: {
              locationName: "roleArn"
            },
            SystemIds: {
              locationName: "systemIds",
              shape: "Sq"
            },
            Url: {
              locationName: "url"
            }
          },
          required: [
            "ResourceId",
            "SystemIds",
            "Url",
            "RoleArn"
          ],
          type: "structure"
        },
        Sq: {
          member: {},
          type: "list"
        },
        Su: {
          member: {},
          type: "list"
        },
        Sz: {
          members: {
            MaxVideoBitsPerSecond: {
              locationName: "maxVideoBitsPerSecond",
              type: "integer"
            },
            MinVideoBitsPerSecond: {
              locationName: "minVideoBitsPerSecond",
              type: "integer"
            },
            StreamOrder: {
              locationName: "streamOrder"
            }
          },
          type: "structure"
        },
        S11: {
          members: {
            AdTriggers: {
              locationName: "adTriggers",
              shape: "Su"
            },
            AdsOnDeliveryRestrictions: {
              locationName: "adsOnDeliveryRestrictions"
            },
            Encryption: {
              locationName: "encryption",
              members: {
                KeyRotationIntervalSeconds: {
                  locationName: "keyRotationIntervalSeconds",
                  type: "integer"
                },
                SpekeKeyProvider: {
                  locationName: "spekeKeyProvider",
                  shape: "Sm"
                }
              },
              required: [
                "SpekeKeyProvider"
              ],
              type: "structure"
            },
            IncludeIframeOnlyStream: {
              locationName: "includeIframeOnlyStream",
              type: "boolean"
            },
            ManifestLayout: {
              locationName: "manifestLayout"
            },
            ManifestWindowSeconds: {
              locationName: "manifestWindowSeconds",
              type: "integer"
            },
            MinBufferTimeSeconds: {
              locationName: "minBufferTimeSeconds",
              type: "integer"
            },
            MinUpdatePeriodSeconds: {
              locationName: "minUpdatePeriodSeconds",
              type: "integer"
            },
            PeriodTriggers: {
              locationName: "periodTriggers",
              member: {},
              type: "list"
            },
            Profile: {
              locationName: "profile"
            },
            SegmentDurationSeconds: {
              locationName: "segmentDurationSeconds",
              type: "integer"
            },
            SegmentTemplateFormat: {
              locationName: "segmentTemplateFormat"
            },
            StreamSelection: {
              locationName: "streamSelection",
              shape: "Sz"
            },
            SuggestedPresentationDelaySeconds: {
              locationName: "suggestedPresentationDelaySeconds",
              type: "integer"
            },
            UtcTiming: {
              locationName: "utcTiming"
            },
            UtcTimingUri: {
              locationName: "utcTimingUri"
            }
          },
          type: "structure"
        },
        S19: {
          members: {
            AdMarkers: {
              locationName: "adMarkers"
            },
            AdTriggers: {
              locationName: "adTriggers",
              shape: "Su"
            },
            AdsOnDeliveryRestrictions: {
              locationName: "adsOnDeliveryRestrictions"
            },
            Encryption: {
              locationName: "encryption",
              members: {
                ConstantInitializationVector: {
                  locationName: "constantInitializationVector"
                },
                EncryptionMethod: {
                  locationName: "encryptionMethod"
                },
                KeyRotationIntervalSeconds: {
                  locationName: "keyRotationIntervalSeconds",
                  type: "integer"
                },
                RepeatExtXKey: {
                  locationName: "repeatExtXKey",
                  type: "boolean"
                },
                SpekeKeyProvider: {
                  locationName: "spekeKeyProvider",
                  shape: "Sm"
                }
              },
              required: [
                "SpekeKeyProvider"
              ],
              type: "structure"
            },
            IncludeDvbSubtitles: {
              locationName: "includeDvbSubtitles",
              type: "boolean"
            },
            IncludeIframeOnlyStream: {
              locationName: "includeIframeOnlyStream",
              type: "boolean"
            },
            PlaylistType: {
              locationName: "playlistType"
            },
            PlaylistWindowSeconds: {
              locationName: "playlistWindowSeconds",
              type: "integer"
            },
            ProgramDateTimeIntervalSeconds: {
              locationName: "programDateTimeIntervalSeconds",
              type: "integer"
            },
            SegmentDurationSeconds: {
              locationName: "segmentDurationSeconds",
              type: "integer"
            },
            StreamSelection: {
              locationName: "streamSelection",
              shape: "Sz"
            },
            UseAudioRenditionGroup: {
              locationName: "useAudioRenditionGroup",
              type: "boolean"
            }
          },
          type: "structure"
        },
        S1c: {
          members: {
            Encryption: {
              locationName: "encryption",
              members: {
                SpekeKeyProvider: {
                  locationName: "spekeKeyProvider",
                  shape: "Sm"
                }
              },
              required: [
                "SpekeKeyProvider"
              ],
              type: "structure"
            },
            ManifestWindowSeconds: {
              locationName: "manifestWindowSeconds",
              type: "integer"
            },
            SegmentDurationSeconds: {
              locationName: "segmentDurationSeconds",
              type: "integer"
            },
            StreamSelection: {
              locationName: "streamSelection",
              shape: "Sz"
            }
          },
          type: "structure"
        },
        S1g: {
          members: {
            Encryption: {
              locationName: "encryption",
              shape: "Sj"
            },
            HlsManifests: {
              locationName: "hlsManifests",
              member: {
                members: {
                  AdMarkers: {
                    locationName: "adMarkers"
                  },
                  Id: {
                    locationName: "id"
                  },
                  IncludeIframeOnlyStream: {
                    locationName: "includeIframeOnlyStream",
                    type: "boolean"
                  },
                  ManifestName: {
                    locationName: "manifestName"
                  },
                  PlaylistType: {
                    locationName: "playlistType"
                  },
                  PlaylistWindowSeconds: {
                    locationName: "playlistWindowSeconds",
                    type: "integer"
                  },
                  ProgramDateTimeIntervalSeconds: {
                    locationName: "programDateTimeIntervalSeconds",
                    type: "integer"
                  },
                  Url: {
                    locationName: "url"
                  },
                  AdTriggers: {
                    locationName: "adTriggers",
                    shape: "Su"
                  },
                  AdsOnDeliveryRestrictions: {
                    locationName: "adsOnDeliveryRestrictions"
                  }
                },
                required: [
                  "Id"
                ],
                type: "structure"
              },
              type: "list"
            },
            SegmentDurationSeconds: {
              locationName: "segmentDurationSeconds",
              type: "integer"
            },
            SegmentPrefix: {
              locationName: "segmentPrefix"
            },
            StreamSelection: {
              locationName: "streamSelection",
              shape: "Sz"
            }
          },
          type: "structure"
        },
        S28: {
          key: {},
          type: "map",
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/mediapackage-2017-10-12.paginators.json
var require_mediapackage_2017_10_12_paginators = __commonJS({
  "node_modules/aws-sdk/apis/mediapackage-2017-10-12.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListChannels: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Channels"
        },
        ListOriginEndpoints: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "OriginEndpoints"
        },
        ListHarvestJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "HarvestJobs"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/mediapackage.js
var require_mediapackage = __commonJS({
  "node_modules/aws-sdk/clients/mediapackage.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["mediapackage"] = {};
    AWS2.MediaPackage = Service.defineService("mediapackage", ["2017-10-12"]);
    Object.defineProperty(apiLoader.services["mediapackage"], "2017-10-12", {
      get: function get() {
        var model = require_mediapackage_2017_10_12_min();
        model.paginators = require_mediapackage_2017_10_12_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MediaPackage;
  }
});

// node_modules/aws-sdk/apis/mediastore-2017-09-01.min.json
var require_mediastore_2017_09_01_min = __commonJS({
  "node_modules/aws-sdk/apis/mediastore-2017-09-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-09-01",
        endpointPrefix: "mediastore",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "MediaStore",
        serviceFullName: "AWS Elemental MediaStore",
        serviceId: "MediaStore",
        signatureVersion: "v4",
        signingName: "mediastore",
        targetPrefix: "MediaStore_20170901",
        uid: "mediastore-2017-09-01"
      },
      operations: {
        CreateContainer: {
          input: {
            type: "structure",
            required: [
              "ContainerName"
            ],
            members: {
              ContainerName: {},
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Container"
            ],
            members: {
              Container: {
                shape: "S8"
              }
            }
          }
        },
        DeleteContainer: {
          input: {
            type: "structure",
            required: [
              "ContainerName"
            ],
            members: {
              ContainerName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteContainerPolicy: {
          input: {
            type: "structure",
            required: [
              "ContainerName"
            ],
            members: {
              ContainerName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteCorsPolicy: {
          input: {
            type: "structure",
            required: [
              "ContainerName"
            ],
            members: {
              ContainerName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteLifecyclePolicy: {
          input: {
            type: "structure",
            required: [
              "ContainerName"
            ],
            members: {
              ContainerName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteMetricPolicy: {
          input: {
            type: "structure",
            required: [
              "ContainerName"
            ],
            members: {
              ContainerName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeContainer: {
          input: {
            type: "structure",
            members: {
              ContainerName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Container: {
                shape: "S8"
              }
            }
          }
        },
        GetContainerPolicy: {
          input: {
            type: "structure",
            required: [
              "ContainerName"
            ],
            members: {
              ContainerName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Policy"
            ],
            members: {
              Policy: {}
            }
          }
        },
        GetCorsPolicy: {
          input: {
            type: "structure",
            required: [
              "ContainerName"
            ],
            members: {
              ContainerName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "CorsPolicy"
            ],
            members: {
              CorsPolicy: {
                shape: "Sv"
              }
            }
          }
        },
        GetLifecyclePolicy: {
          input: {
            type: "structure",
            required: [
              "ContainerName"
            ],
            members: {
              ContainerName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "LifecyclePolicy"
            ],
            members: {
              LifecyclePolicy: {}
            }
          }
        },
        GetMetricPolicy: {
          input: {
            type: "structure",
            required: [
              "ContainerName"
            ],
            members: {
              ContainerName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "MetricPolicy"
            ],
            members: {
              MetricPolicy: {
                shape: "S1a"
              }
            }
          }
        },
        ListContainers: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Containers"
            ],
            members: {
              Containers: {
                type: "list",
                member: {
                  shape: "S8"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "Resource"
            ],
            members: {
              Resource: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S3"
              }
            }
          }
        },
        PutContainerPolicy: {
          input: {
            type: "structure",
            required: [
              "ContainerName",
              "Policy"
            ],
            members: {
              ContainerName: {},
              Policy: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutCorsPolicy: {
          input: {
            type: "structure",
            required: [
              "ContainerName",
              "CorsPolicy"
            ],
            members: {
              ContainerName: {},
              CorsPolicy: {
                shape: "Sv"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutLifecyclePolicy: {
          input: {
            type: "structure",
            required: [
              "ContainerName",
              "LifecyclePolicy"
            ],
            members: {
              ContainerName: {},
              LifecyclePolicy: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutMetricPolicy: {
          input: {
            type: "structure",
            required: [
              "ContainerName",
              "MetricPolicy"
            ],
            members: {
              ContainerName: {},
              MetricPolicy: {
                shape: "S1a"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartAccessLogging: {
          input: {
            type: "structure",
            required: [
              "ContainerName"
            ],
            members: {
              ContainerName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StopAccessLogging: {
          input: {
            type: "structure",
            required: [
              "ContainerName"
            ],
            members: {
              ContainerName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "Resource",
              "Tags"
            ],
            members: {
              Resource: {},
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "Resource",
              "TagKeys"
            ],
            members: {
              Resource: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S8: {
          type: "structure",
          members: {
            Endpoint: {},
            CreationTime: {
              type: "timestamp"
            },
            ARN: {},
            Name: {},
            Status: {},
            AccessLoggingEnabled: {
              type: "boolean"
            }
          }
        },
        Sv: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AllowedOrigins",
              "AllowedHeaders"
            ],
            members: {
              AllowedOrigins: {
                type: "list",
                member: {}
              },
              AllowedMethods: {
                type: "list",
                member: {}
              },
              AllowedHeaders: {
                type: "list",
                member: {}
              },
              MaxAgeSeconds: {
                type: "integer"
              },
              ExposeHeaders: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S1a: {
          type: "structure",
          required: [
            "ContainerLevelMetrics"
          ],
          members: {
            ContainerLevelMetrics: {},
            MetricPolicyRules: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "ObjectGroup",
                  "ObjectGroupName"
                ],
                members: {
                  ObjectGroup: {},
                  ObjectGroupName: {}
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/mediastore-2017-09-01.paginators.json
var require_mediastore_2017_09_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/mediastore-2017-09-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListContainers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/mediastore.js
var require_mediastore = __commonJS({
  "node_modules/aws-sdk/clients/mediastore.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["mediastore"] = {};
    AWS2.MediaStore = Service.defineService("mediastore", ["2017-09-01"]);
    Object.defineProperty(apiLoader.services["mediastore"], "2017-09-01", {
      get: function get() {
        var model = require_mediastore_2017_09_01_min();
        model.paginators = require_mediastore_2017_09_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MediaStore;
  }
});

// node_modules/aws-sdk/apis/mediastore-data-2017-09-01.min.json
var require_mediastore_data_2017_09_01_min = __commonJS({
  "node_modules/aws-sdk/apis/mediastore-data-2017-09-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-09-01",
        endpointPrefix: "data.mediastore",
        protocol: "rest-json",
        serviceAbbreviation: "MediaStore Data",
        serviceFullName: "AWS Elemental MediaStore Data Plane",
        serviceId: "MediaStore Data",
        signatureVersion: "v4",
        signingName: "mediastore",
        uid: "mediastore-data-2017-09-01"
      },
      operations: {
        DeleteObject: {
          http: {
            method: "DELETE",
            requestUri: "/{Path+}"
          },
          input: {
            type: "structure",
            required: [
              "Path"
            ],
            members: {
              Path: {
                location: "uri",
                locationName: "Path"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeObject: {
          http: {
            method: "HEAD",
            requestUri: "/{Path+}"
          },
          input: {
            type: "structure",
            required: [
              "Path"
            ],
            members: {
              Path: {
                location: "uri",
                locationName: "Path"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ETag: {
                location: "header",
                locationName: "ETag"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              ContentLength: {
                location: "header",
                locationName: "Content-Length",
                type: "long"
              },
              CacheControl: {
                location: "header",
                locationName: "Cache-Control"
              },
              LastModified: {
                location: "header",
                locationName: "Last-Modified",
                type: "timestamp"
              }
            }
          }
        },
        GetObject: {
          http: {
            method: "GET",
            requestUri: "/{Path+}"
          },
          input: {
            type: "structure",
            required: [
              "Path"
            ],
            members: {
              Path: {
                location: "uri",
                locationName: "Path"
              },
              Range: {
                location: "header",
                locationName: "Range"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "StatusCode"
            ],
            members: {
              Body: {
                shape: "Se"
              },
              CacheControl: {
                location: "header",
                locationName: "Cache-Control"
              },
              ContentRange: {
                location: "header",
                locationName: "Content-Range"
              },
              ContentLength: {
                location: "header",
                locationName: "Content-Length",
                type: "long"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              ETag: {
                location: "header",
                locationName: "ETag"
              },
              LastModified: {
                location: "header",
                locationName: "Last-Modified",
                type: "timestamp"
              },
              StatusCode: {
                location: "statusCode",
                type: "integer"
              }
            },
            payload: "Body"
          }
        },
        ListItems: {
          http: {
            method: "GET"
          },
          input: {
            type: "structure",
            members: {
              Path: {
                location: "querystring",
                locationName: "Path"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Type: {},
                    ETag: {},
                    LastModified: {
                      type: "timestamp"
                    },
                    ContentType: {},
                    ContentLength: {
                      type: "long"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        PutObject: {
          http: {
            method: "PUT",
            requestUri: "/{Path+}"
          },
          input: {
            type: "structure",
            required: [
              "Body",
              "Path"
            ],
            members: {
              Body: {
                shape: "Se"
              },
              Path: {
                location: "uri",
                locationName: "Path"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              CacheControl: {
                location: "header",
                locationName: "Cache-Control"
              },
              StorageClass: {
                location: "header",
                locationName: "x-amz-storage-class"
              },
              UploadAvailability: {
                location: "header",
                locationName: "x-amz-upload-availability"
              }
            },
            payload: "Body"
          },
          output: {
            type: "structure",
            members: {
              ContentSHA256: {},
              ETag: {},
              StorageClass: {}
            }
          },
          authtype: "v4-unsigned-body"
        }
      },
      shapes: {
        Se: {
          type: "blob",
          streaming: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/mediastore-data-2017-09-01.paginators.json
var require_mediastore_data_2017_09_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/mediastore-data-2017-09-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListItems: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/mediastoredata.js
var require_mediastoredata = __commonJS({
  "node_modules/aws-sdk/clients/mediastoredata.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["mediastoredata"] = {};
    AWS2.MediaStoreData = Service.defineService("mediastoredata", ["2017-09-01"]);
    Object.defineProperty(apiLoader.services["mediastoredata"], "2017-09-01", {
      get: function get() {
        var model = require_mediastore_data_2017_09_01_min();
        model.paginators = require_mediastore_data_2017_09_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MediaStoreData;
  }
});

// node_modules/aws-sdk/apis/appsync-2017-07-25.min.json
var require_appsync_2017_07_25_min = __commonJS({
  "node_modules/aws-sdk/apis/appsync-2017-07-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-07-25",
        endpointPrefix: "appsync",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "AWSAppSync",
        serviceFullName: "AWS AppSync",
        serviceId: "AppSync",
        signatureVersion: "v4",
        signingName: "appsync",
        uid: "appsync-2017-07-25"
      },
      operations: {
        AssociateApi: {
          http: {
            requestUri: "/v1/domainnames/{domainName}/apiassociation"
          },
          input: {
            type: "structure",
            required: [
              "domainName",
              "apiId"
            ],
            members: {
              domainName: {
                location: "uri",
                locationName: "domainName"
              },
              apiId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              apiAssociation: {
                shape: "S5"
              }
            }
          }
        },
        AssociateMergedGraphqlApi: {
          http: {
            requestUri: "/v1/sourceApis/{sourceApiIdentifier}/mergedApiAssociations"
          },
          input: {
            type: "structure",
            required: [
              "sourceApiIdentifier",
              "mergedApiIdentifier"
            ],
            members: {
              sourceApiIdentifier: {
                location: "uri",
                locationName: "sourceApiIdentifier"
              },
              mergedApiIdentifier: {},
              description: {},
              sourceApiAssociationConfig: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              sourceApiAssociation: {
                shape: "Sb"
              }
            }
          }
        },
        AssociateSourceGraphqlApi: {
          http: {
            requestUri: "/v1/mergedApis/{mergedApiIdentifier}/sourceApiAssociations"
          },
          input: {
            type: "structure",
            required: [
              "mergedApiIdentifier",
              "sourceApiIdentifier"
            ],
            members: {
              mergedApiIdentifier: {
                location: "uri",
                locationName: "mergedApiIdentifier"
              },
              sourceApiIdentifier: {},
              description: {},
              sourceApiAssociationConfig: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              sourceApiAssociation: {
                shape: "Sb"
              }
            }
          }
        },
        CreateApiCache: {
          http: {
            requestUri: "/v1/apis/{apiId}/ApiCaches"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "ttl",
              "apiCachingBehavior",
              "type"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              ttl: {
                type: "long"
              },
              transitEncryptionEnabled: {
                type: "boolean"
              },
              atRestEncryptionEnabled: {
                type: "boolean"
              },
              apiCachingBehavior: {},
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              apiCache: {
                shape: "Sm"
              }
            }
          }
        },
        CreateApiKey: {
          http: {
            requestUri: "/v1/apis/{apiId}/apikeys"
          },
          input: {
            type: "structure",
            required: [
              "apiId"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              description: {},
              expires: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              apiKey: {
                shape: "Sq"
              }
            }
          }
        },
        CreateDataSource: {
          http: {
            requestUri: "/v1/apis/{apiId}/datasources"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "name",
              "type"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              name: {},
              description: {},
              type: {},
              serviceRoleArn: {},
              dynamodbConfig: {
                shape: "Su"
              },
              lambdaConfig: {
                shape: "Sw"
              },
              elasticsearchConfig: {
                shape: "Sx"
              },
              openSearchServiceConfig: {
                shape: "Sy"
              },
              httpConfig: {
                shape: "Sz"
              },
              relationalDatabaseConfig: {
                shape: "S13"
              },
              eventBridgeConfig: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              dataSource: {
                shape: "S18"
              }
            }
          }
        },
        CreateDomainName: {
          http: {
            requestUri: "/v1/domainnames"
          },
          input: {
            type: "structure",
            required: [
              "domainName",
              "certificateArn"
            ],
            members: {
              domainName: {},
              certificateArn: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              domainNameConfig: {
                shape: "S1d"
              }
            }
          }
        },
        CreateFunction: {
          http: {
            requestUri: "/v1/apis/{apiId}/functions"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "name",
              "dataSourceName"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              name: {},
              description: {},
              dataSourceName: {},
              requestMappingTemplate: {},
              responseMappingTemplate: {},
              functionVersion: {},
              syncConfig: {
                shape: "S1g"
              },
              maxBatchSize: {
                type: "integer"
              },
              runtime: {
                shape: "S1l"
              },
              code: {}
            }
          },
          output: {
            type: "structure",
            members: {
              functionConfiguration: {
                shape: "S1p"
              }
            }
          }
        },
        CreateGraphqlApi: {
          http: {
            requestUri: "/v1/apis"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "authenticationType"
            ],
            members: {
              name: {},
              logConfig: {
                shape: "S1r"
              },
              authenticationType: {},
              userPoolConfig: {
                shape: "S1u"
              },
              openIDConnectConfig: {
                shape: "S1w"
              },
              tags: {
                shape: "S1x"
              },
              additionalAuthenticationProviders: {
                shape: "S20"
              },
              xrayEnabled: {
                type: "boolean"
              },
              lambdaAuthorizerConfig: {
                shape: "S23"
              },
              visibility: {},
              apiType: {},
              mergedApiExecutionRoleArn: {},
              ownerContact: {}
            }
          },
          output: {
            type: "structure",
            members: {
              graphqlApi: {
                shape: "S28"
              }
            }
          }
        },
        CreateResolver: {
          http: {
            requestUri: "/v1/apis/{apiId}/types/{typeName}/resolvers"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "typeName",
              "fieldName"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              typeName: {
                location: "uri",
                locationName: "typeName"
              },
              fieldName: {},
              dataSourceName: {},
              requestMappingTemplate: {},
              responseMappingTemplate: {},
              kind: {},
              pipelineConfig: {
                shape: "S2c"
              },
              syncConfig: {
                shape: "S1g"
              },
              cachingConfig: {
                shape: "S2e"
              },
              maxBatchSize: {
                type: "integer"
              },
              runtime: {
                shape: "S1l"
              },
              code: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resolver: {
                shape: "S2h"
              }
            }
          }
        },
        CreateType: {
          http: {
            requestUri: "/v1/apis/{apiId}/types"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "definition",
              "format"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              definition: {},
              format: {}
            }
          },
          output: {
            type: "structure",
            members: {
              type: {
                shape: "S2l"
              }
            }
          }
        },
        DeleteApiCache: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apis/{apiId}/ApiCaches"
          },
          input: {
            type: "structure",
            required: [
              "apiId"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteApiKey: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apis/{apiId}/apikeys/{id}"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "id"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDataSource: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apis/{apiId}/datasources/{name}"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "name"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDomainName: {
          http: {
            method: "DELETE",
            requestUri: "/v1/domainnames/{domainName}"
          },
          input: {
            type: "structure",
            required: [
              "domainName"
            ],
            members: {
              domainName: {
                location: "uri",
                locationName: "domainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteFunction: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apis/{apiId}/functions/{functionId}"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "functionId"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              functionId: {
                location: "uri",
                locationName: "functionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteGraphqlApi: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apis/{apiId}"
          },
          input: {
            type: "structure",
            required: [
              "apiId"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteResolver: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apis/{apiId}/types/{typeName}/resolvers/{fieldName}"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "typeName",
              "fieldName"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              typeName: {
                location: "uri",
                locationName: "typeName"
              },
              fieldName: {
                location: "uri",
                locationName: "fieldName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteType: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apis/{apiId}/types/{typeName}"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "typeName"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              typeName: {
                location: "uri",
                locationName: "typeName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateApi: {
          http: {
            method: "DELETE",
            requestUri: "/v1/domainnames/{domainName}/apiassociation"
          },
          input: {
            type: "structure",
            required: [
              "domainName"
            ],
            members: {
              domainName: {
                location: "uri",
                locationName: "domainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateMergedGraphqlApi: {
          http: {
            method: "DELETE",
            requestUri: "/v1/sourceApis/{sourceApiIdentifier}/mergedApiAssociations/{associationId}"
          },
          input: {
            type: "structure",
            required: [
              "sourceApiIdentifier",
              "associationId"
            ],
            members: {
              sourceApiIdentifier: {
                location: "uri",
                locationName: "sourceApiIdentifier"
              },
              associationId: {
                location: "uri",
                locationName: "associationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              sourceApiAssociationStatus: {}
            }
          }
        },
        DisassociateSourceGraphqlApi: {
          http: {
            method: "DELETE",
            requestUri: "/v1/mergedApis/{mergedApiIdentifier}/sourceApiAssociations/{associationId}"
          },
          input: {
            type: "structure",
            required: [
              "mergedApiIdentifier",
              "associationId"
            ],
            members: {
              mergedApiIdentifier: {
                location: "uri",
                locationName: "mergedApiIdentifier"
              },
              associationId: {
                location: "uri",
                locationName: "associationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              sourceApiAssociationStatus: {}
            }
          }
        },
        EvaluateCode: {
          http: {
            requestUri: "/v1/dataplane-evaluatecode"
          },
          input: {
            type: "structure",
            required: [
              "runtime",
              "code",
              "context"
            ],
            members: {
              runtime: {
                shape: "S1l"
              },
              code: {},
              context: {},
              function: {}
            }
          },
          output: {
            type: "structure",
            members: {
              evaluationResult: {},
              error: {
                type: "structure",
                members: {
                  message: {},
                  codeErrors: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        errorType: {},
                        value: {},
                        location: {
                          type: "structure",
                          members: {
                            line: {
                              type: "integer"
                            },
                            column: {
                              type: "integer"
                            },
                            span: {
                              type: "integer"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              logs: {
                shape: "S3k"
              }
            }
          }
        },
        EvaluateMappingTemplate: {
          http: {
            requestUri: "/v1/dataplane-evaluatetemplate"
          },
          input: {
            type: "structure",
            required: [
              "template",
              "context"
            ],
            members: {
              template: {},
              context: {}
            }
          },
          output: {
            type: "structure",
            members: {
              evaluationResult: {},
              error: {
                type: "structure",
                members: {
                  message: {}
                }
              },
              logs: {
                shape: "S3k"
              }
            }
          }
        },
        FlushApiCache: {
          http: {
            method: "DELETE",
            requestUri: "/v1/apis/{apiId}/FlushCache"
          },
          input: {
            type: "structure",
            required: [
              "apiId"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetApiAssociation: {
          http: {
            method: "GET",
            requestUri: "/v1/domainnames/{domainName}/apiassociation"
          },
          input: {
            type: "structure",
            required: [
              "domainName"
            ],
            members: {
              domainName: {
                location: "uri",
                locationName: "domainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              apiAssociation: {
                shape: "S5"
              }
            }
          }
        },
        GetApiCache: {
          http: {
            method: "GET",
            requestUri: "/v1/apis/{apiId}/ApiCaches"
          },
          input: {
            type: "structure",
            required: [
              "apiId"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              apiCache: {
                shape: "Sm"
              }
            }
          }
        },
        GetDataSource: {
          http: {
            method: "GET",
            requestUri: "/v1/apis/{apiId}/datasources/{name}"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "name"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              dataSource: {
                shape: "S18"
              }
            }
          }
        },
        GetDomainName: {
          http: {
            method: "GET",
            requestUri: "/v1/domainnames/{domainName}"
          },
          input: {
            type: "structure",
            required: [
              "domainName"
            ],
            members: {
              domainName: {
                location: "uri",
                locationName: "domainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              domainNameConfig: {
                shape: "S1d"
              }
            }
          }
        },
        GetFunction: {
          http: {
            method: "GET",
            requestUri: "/v1/apis/{apiId}/functions/{functionId}"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "functionId"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              functionId: {
                location: "uri",
                locationName: "functionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              functionConfiguration: {
                shape: "S1p"
              }
            }
          }
        },
        GetGraphqlApi: {
          http: {
            method: "GET",
            requestUri: "/v1/apis/{apiId}"
          },
          input: {
            type: "structure",
            required: [
              "apiId"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              graphqlApi: {
                shape: "S28"
              }
            }
          }
        },
        GetIntrospectionSchema: {
          http: {
            method: "GET",
            requestUri: "/v1/apis/{apiId}/schema"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "format"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              includeDirectives: {
                location: "querystring",
                locationName: "includeDirectives",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              schema: {
                type: "blob"
              }
            },
            payload: "schema"
          }
        },
        GetResolver: {
          http: {
            method: "GET",
            requestUri: "/v1/apis/{apiId}/types/{typeName}/resolvers/{fieldName}"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "typeName",
              "fieldName"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              typeName: {
                location: "uri",
                locationName: "typeName"
              },
              fieldName: {
                location: "uri",
                locationName: "fieldName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resolver: {
                shape: "S2h"
              }
            }
          }
        },
        GetSchemaCreationStatus: {
          http: {
            method: "GET",
            requestUri: "/v1/apis/{apiId}/schemacreation"
          },
          input: {
            type: "structure",
            required: [
              "apiId"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              status: {},
              details: {}
            }
          }
        },
        GetSourceApiAssociation: {
          http: {
            method: "GET",
            requestUri: "/v1/mergedApis/{mergedApiIdentifier}/sourceApiAssociations/{associationId}"
          },
          input: {
            type: "structure",
            required: [
              "mergedApiIdentifier",
              "associationId"
            ],
            members: {
              mergedApiIdentifier: {
                location: "uri",
                locationName: "mergedApiIdentifier"
              },
              associationId: {
                location: "uri",
                locationName: "associationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              sourceApiAssociation: {
                shape: "Sb"
              }
            }
          }
        },
        GetType: {
          http: {
            method: "GET",
            requestUri: "/v1/apis/{apiId}/types/{typeName}"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "typeName",
              "format"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              typeName: {
                location: "uri",
                locationName: "typeName"
              },
              format: {
                location: "querystring",
                locationName: "format"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              type: {
                shape: "S2l"
              }
            }
          }
        },
        ListApiKeys: {
          http: {
            method: "GET",
            requestUri: "/v1/apis/{apiId}/apikeys"
          },
          input: {
            type: "structure",
            required: [
              "apiId"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              apiKeys: {
                type: "list",
                member: {
                  shape: "Sq"
                }
              },
              nextToken: {}
            }
          }
        },
        ListDataSources: {
          http: {
            method: "GET",
            requestUri: "/v1/apis/{apiId}/datasources"
          },
          input: {
            type: "structure",
            required: [
              "apiId"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              dataSources: {
                type: "list",
                member: {
                  shape: "S18"
                }
              },
              nextToken: {}
            }
          }
        },
        ListDomainNames: {
          http: {
            method: "GET",
            requestUri: "/v1/domainnames"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              domainNameConfigs: {
                type: "list",
                member: {
                  shape: "S1d"
                }
              },
              nextToken: {}
            }
          }
        },
        ListFunctions: {
          http: {
            method: "GET",
            requestUri: "/v1/apis/{apiId}/functions"
          },
          input: {
            type: "structure",
            required: [
              "apiId"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              functions: {
                type: "list",
                member: {
                  shape: "S1p"
                }
              },
              nextToken: {}
            }
          }
        },
        ListGraphqlApis: {
          http: {
            method: "GET",
            requestUri: "/v1/apis"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              apiType: {
                location: "querystring",
                locationName: "apiType"
              },
              owner: {
                location: "querystring",
                locationName: "owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              graphqlApis: {
                type: "list",
                member: {
                  shape: "S28"
                }
              },
              nextToken: {}
            }
          }
        },
        ListResolvers: {
          http: {
            method: "GET",
            requestUri: "/v1/apis/{apiId}/types/{typeName}/resolvers"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "typeName"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              typeName: {
                location: "uri",
                locationName: "typeName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resolvers: {
                shape: "S51"
              },
              nextToken: {}
            }
          }
        },
        ListResolversByFunction: {
          http: {
            method: "GET",
            requestUri: "/v1/apis/{apiId}/functions/{functionId}/resolvers"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "functionId"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              functionId: {
                location: "uri",
                locationName: "functionId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resolvers: {
                shape: "S51"
              },
              nextToken: {}
            }
          }
        },
        ListSourceApiAssociations: {
          http: {
            method: "GET",
            requestUri: "/v1/apis/{apiId}/sourceApiAssociations"
          },
          input: {
            type: "structure",
            required: [
              "apiId"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              sourceApiAssociationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    associationId: {},
                    associationArn: {},
                    sourceApiId: {},
                    sourceApiArn: {},
                    mergedApiId: {},
                    mergedApiArn: {},
                    description: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/v1/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S1x"
              }
            }
          }
        },
        ListTypes: {
          http: {
            method: "GET",
            requestUri: "/v1/apis/{apiId}/types"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "format"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              types: {
                shape: "S5d"
              },
              nextToken: {}
            }
          }
        },
        ListTypesByAssociation: {
          http: {
            method: "GET",
            requestUri: "/v1/mergedApis/{mergedApiIdentifier}/sourceApiAssociations/{associationId}/types"
          },
          input: {
            type: "structure",
            required: [
              "mergedApiIdentifier",
              "associationId",
              "format"
            ],
            members: {
              mergedApiIdentifier: {
                location: "uri",
                locationName: "mergedApiIdentifier"
              },
              associationId: {
                location: "uri",
                locationName: "associationId"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              types: {
                shape: "S5d"
              },
              nextToken: {}
            }
          }
        },
        StartSchemaCreation: {
          http: {
            requestUri: "/v1/apis/{apiId}/schemacreation"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "definition"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              definition: {
                type: "blob"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              status: {}
            }
          }
        },
        StartSchemaMerge: {
          http: {
            requestUri: "/v1/mergedApis/{mergedApiIdentifier}/sourceApiAssociations/{associationId}/merge"
          },
          input: {
            type: "structure",
            required: [
              "associationId",
              "mergedApiIdentifier"
            ],
            members: {
              associationId: {
                location: "uri",
                locationName: "associationId"
              },
              mergedApiIdentifier: {
                location: "uri",
                locationName: "mergedApiIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              sourceApiAssociationStatus: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/v1/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S1x"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/v1/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateApiCache: {
          http: {
            requestUri: "/v1/apis/{apiId}/ApiCaches/update"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "ttl",
              "apiCachingBehavior",
              "type"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              ttl: {
                type: "long"
              },
              apiCachingBehavior: {},
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              apiCache: {
                shape: "Sm"
              }
            }
          }
        },
        UpdateApiKey: {
          http: {
            requestUri: "/v1/apis/{apiId}/apikeys/{id}"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "id"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              id: {
                location: "uri",
                locationName: "id"
              },
              description: {},
              expires: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              apiKey: {
                shape: "Sq"
              }
            }
          }
        },
        UpdateDataSource: {
          http: {
            requestUri: "/v1/apis/{apiId}/datasources/{name}"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "name",
              "type"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              name: {
                location: "uri",
                locationName: "name"
              },
              description: {},
              type: {},
              serviceRoleArn: {},
              dynamodbConfig: {
                shape: "Su"
              },
              lambdaConfig: {
                shape: "Sw"
              },
              elasticsearchConfig: {
                shape: "Sx"
              },
              openSearchServiceConfig: {
                shape: "Sy"
              },
              httpConfig: {
                shape: "Sz"
              },
              relationalDatabaseConfig: {
                shape: "S13"
              },
              eventBridgeConfig: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              dataSource: {
                shape: "S18"
              }
            }
          }
        },
        UpdateDomainName: {
          http: {
            requestUri: "/v1/domainnames/{domainName}"
          },
          input: {
            type: "structure",
            required: [
              "domainName"
            ],
            members: {
              domainName: {
                location: "uri",
                locationName: "domainName"
              },
              description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              domainNameConfig: {
                shape: "S1d"
              }
            }
          }
        },
        UpdateFunction: {
          http: {
            requestUri: "/v1/apis/{apiId}/functions/{functionId}"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "name",
              "functionId",
              "dataSourceName"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              name: {},
              description: {},
              functionId: {
                location: "uri",
                locationName: "functionId"
              },
              dataSourceName: {},
              requestMappingTemplate: {},
              responseMappingTemplate: {},
              functionVersion: {},
              syncConfig: {
                shape: "S1g"
              },
              maxBatchSize: {
                type: "integer"
              },
              runtime: {
                shape: "S1l"
              },
              code: {}
            }
          },
          output: {
            type: "structure",
            members: {
              functionConfiguration: {
                shape: "S1p"
              }
            }
          }
        },
        UpdateGraphqlApi: {
          http: {
            requestUri: "/v1/apis/{apiId}"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "name"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              name: {},
              logConfig: {
                shape: "S1r"
              },
              authenticationType: {},
              userPoolConfig: {
                shape: "S1u"
              },
              openIDConnectConfig: {
                shape: "S1w"
              },
              additionalAuthenticationProviders: {
                shape: "S20"
              },
              xrayEnabled: {
                type: "boolean"
              },
              lambdaAuthorizerConfig: {
                shape: "S23"
              },
              mergedApiExecutionRoleArn: {},
              ownerContact: {}
            }
          },
          output: {
            type: "structure",
            members: {
              graphqlApi: {
                shape: "S28"
              }
            }
          }
        },
        UpdateResolver: {
          http: {
            requestUri: "/v1/apis/{apiId}/types/{typeName}/resolvers/{fieldName}"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "typeName",
              "fieldName"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              typeName: {
                location: "uri",
                locationName: "typeName"
              },
              fieldName: {
                location: "uri",
                locationName: "fieldName"
              },
              dataSourceName: {},
              requestMappingTemplate: {},
              responseMappingTemplate: {},
              kind: {},
              pipelineConfig: {
                shape: "S2c"
              },
              syncConfig: {
                shape: "S1g"
              },
              cachingConfig: {
                shape: "S2e"
              },
              maxBatchSize: {
                type: "integer"
              },
              runtime: {
                shape: "S1l"
              },
              code: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resolver: {
                shape: "S2h"
              }
            }
          }
        },
        UpdateSourceApiAssociation: {
          http: {
            requestUri: "/v1/mergedApis/{mergedApiIdentifier}/sourceApiAssociations/{associationId}"
          },
          input: {
            type: "structure",
            required: [
              "associationId",
              "mergedApiIdentifier"
            ],
            members: {
              associationId: {
                location: "uri",
                locationName: "associationId"
              },
              mergedApiIdentifier: {
                location: "uri",
                locationName: "mergedApiIdentifier"
              },
              description: {},
              sourceApiAssociationConfig: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              sourceApiAssociation: {
                shape: "Sb"
              }
            }
          }
        },
        UpdateType: {
          http: {
            requestUri: "/v1/apis/{apiId}/types/{typeName}"
          },
          input: {
            type: "structure",
            required: [
              "apiId",
              "typeName",
              "format"
            ],
            members: {
              apiId: {
                location: "uri",
                locationName: "apiId"
              },
              typeName: {
                location: "uri",
                locationName: "typeName"
              },
              definition: {},
              format: {}
            }
          },
          output: {
            type: "structure",
            members: {
              type: {
                shape: "S2l"
              }
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          members: {
            domainName: {},
            apiId: {},
            associationStatus: {},
            deploymentDetail: {}
          }
        },
        S8: {
          type: "structure",
          members: {
            mergeType: {}
          }
        },
        Sb: {
          type: "structure",
          members: {
            associationId: {},
            associationArn: {},
            sourceApiId: {},
            sourceApiArn: {},
            mergedApiArn: {},
            mergedApiId: {},
            description: {},
            sourceApiAssociationConfig: {
              shape: "S8"
            },
            sourceApiAssociationStatus: {},
            sourceApiAssociationStatusDetail: {},
            lastSuccessfulMergeDate: {
              type: "timestamp"
            }
          }
        },
        Sm: {
          type: "structure",
          members: {
            ttl: {
              type: "long"
            },
            apiCachingBehavior: {},
            transitEncryptionEnabled: {
              type: "boolean"
            },
            atRestEncryptionEnabled: {
              type: "boolean"
            },
            type: {},
            status: {}
          }
        },
        Sq: {
          type: "structure",
          members: {
            id: {},
            description: {},
            expires: {
              type: "long"
            },
            deletes: {
              type: "long"
            }
          }
        },
        Su: {
          type: "structure",
          required: [
            "tableName",
            "awsRegion"
          ],
          members: {
            tableName: {},
            awsRegion: {},
            useCallerCredentials: {
              type: "boolean"
            },
            deltaSyncConfig: {
              type: "structure",
              members: {
                baseTableTTL: {
                  type: "long"
                },
                deltaSyncTableName: {},
                deltaSyncTableTTL: {
                  type: "long"
                }
              }
            },
            versioned: {
              type: "boolean"
            }
          }
        },
        Sw: {
          type: "structure",
          required: [
            "lambdaFunctionArn"
          ],
          members: {
            lambdaFunctionArn: {}
          }
        },
        Sx: {
          type: "structure",
          required: [
            "endpoint",
            "awsRegion"
          ],
          members: {
            endpoint: {},
            awsRegion: {}
          }
        },
        Sy: {
          type: "structure",
          required: [
            "endpoint",
            "awsRegion"
          ],
          members: {
            endpoint: {},
            awsRegion: {}
          }
        },
        Sz: {
          type: "structure",
          members: {
            endpoint: {},
            authorizationConfig: {
              type: "structure",
              required: [
                "authorizationType"
              ],
              members: {
                authorizationType: {},
                awsIamConfig: {
                  type: "structure",
                  members: {
                    signingRegion: {},
                    signingServiceName: {}
                  }
                }
              }
            }
          }
        },
        S13: {
          type: "structure",
          members: {
            relationalDatabaseSourceType: {},
            rdsHttpEndpointConfig: {
              type: "structure",
              members: {
                awsRegion: {},
                dbClusterIdentifier: {},
                databaseName: {},
                schema: {},
                awsSecretStoreArn: {}
              }
            }
          }
        },
        S16: {
          type: "structure",
          required: [
            "eventBusArn"
          ],
          members: {
            eventBusArn: {}
          }
        },
        S18: {
          type: "structure",
          members: {
            dataSourceArn: {},
            name: {},
            description: {},
            type: {},
            serviceRoleArn: {},
            dynamodbConfig: {
              shape: "Su"
            },
            lambdaConfig: {
              shape: "Sw"
            },
            elasticsearchConfig: {
              shape: "Sx"
            },
            openSearchServiceConfig: {
              shape: "Sy"
            },
            httpConfig: {
              shape: "Sz"
            },
            relationalDatabaseConfig: {
              shape: "S13"
            },
            eventBridgeConfig: {
              shape: "S16"
            }
          }
        },
        S1d: {
          type: "structure",
          members: {
            domainName: {},
            description: {},
            certificateArn: {},
            appsyncDomainName: {},
            hostedZoneId: {}
          }
        },
        S1g: {
          type: "structure",
          members: {
            conflictHandler: {},
            conflictDetection: {},
            lambdaConflictHandlerConfig: {
              type: "structure",
              members: {
                lambdaConflictHandlerArn: {}
              }
            }
          }
        },
        S1l: {
          type: "structure",
          required: [
            "name",
            "runtimeVersion"
          ],
          members: {
            name: {},
            runtimeVersion: {}
          }
        },
        S1p: {
          type: "structure",
          members: {
            functionId: {},
            functionArn: {},
            name: {},
            description: {},
            dataSourceName: {},
            requestMappingTemplate: {},
            responseMappingTemplate: {},
            functionVersion: {},
            syncConfig: {
              shape: "S1g"
            },
            maxBatchSize: {
              type: "integer"
            },
            runtime: {
              shape: "S1l"
            },
            code: {}
          }
        },
        S1r: {
          type: "structure",
          required: [
            "fieldLogLevel",
            "cloudWatchLogsRoleArn"
          ],
          members: {
            fieldLogLevel: {},
            cloudWatchLogsRoleArn: {},
            excludeVerboseContent: {
              type: "boolean"
            }
          }
        },
        S1u: {
          type: "structure",
          required: [
            "userPoolId",
            "awsRegion",
            "defaultAction"
          ],
          members: {
            userPoolId: {},
            awsRegion: {},
            defaultAction: {},
            appIdClientRegex: {}
          }
        },
        S1w: {
          type: "structure",
          required: [
            "issuer"
          ],
          members: {
            issuer: {},
            clientId: {},
            iatTTL: {
              type: "long"
            },
            authTTL: {
              type: "long"
            }
          }
        },
        S1x: {
          type: "map",
          key: {},
          value: {}
        },
        S20: {
          type: "list",
          member: {
            type: "structure",
            members: {
              authenticationType: {},
              openIDConnectConfig: {
                shape: "S1w"
              },
              userPoolConfig: {
                type: "structure",
                required: [
                  "userPoolId",
                  "awsRegion"
                ],
                members: {
                  userPoolId: {},
                  awsRegion: {},
                  appIdClientRegex: {}
                }
              },
              lambdaAuthorizerConfig: {
                shape: "S23"
              }
            }
          }
        },
        S23: {
          type: "structure",
          required: [
            "authorizerUri"
          ],
          members: {
            authorizerResultTtlInSeconds: {
              type: "integer"
            },
            authorizerUri: {},
            identityValidationExpression: {}
          }
        },
        S28: {
          type: "structure",
          members: {
            name: {},
            apiId: {},
            authenticationType: {},
            logConfig: {
              shape: "S1r"
            },
            userPoolConfig: {
              shape: "S1u"
            },
            openIDConnectConfig: {
              shape: "S1w"
            },
            arn: {},
            uris: {
              shape: "S29"
            },
            tags: {
              shape: "S1x"
            },
            additionalAuthenticationProviders: {
              shape: "S20"
            },
            xrayEnabled: {
              type: "boolean"
            },
            wafWebAclArn: {},
            lambdaAuthorizerConfig: {
              shape: "S23"
            },
            dns: {
              shape: "S29"
            },
            visibility: {},
            apiType: {},
            mergedApiExecutionRoleArn: {},
            owner: {},
            ownerContact: {}
          }
        },
        S29: {
          type: "map",
          key: {},
          value: {}
        },
        S2c: {
          type: "structure",
          members: {
            functions: {
              type: "list",
              member: {}
            }
          }
        },
        S2e: {
          type: "structure",
          required: [
            "ttl"
          ],
          members: {
            ttl: {
              type: "long"
            },
            cachingKeys: {
              type: "list",
              member: {}
            }
          }
        },
        S2h: {
          type: "structure",
          members: {
            typeName: {},
            fieldName: {},
            dataSourceName: {},
            resolverArn: {},
            requestMappingTemplate: {},
            responseMappingTemplate: {},
            kind: {},
            pipelineConfig: {
              shape: "S2c"
            },
            syncConfig: {
              shape: "S1g"
            },
            cachingConfig: {
              shape: "S2e"
            },
            maxBatchSize: {
              type: "integer"
            },
            runtime: {
              shape: "S1l"
            },
            code: {}
          }
        },
        S2l: {
          type: "structure",
          members: {
            name: {},
            description: {},
            arn: {},
            definition: {},
            format: {}
          }
        },
        S3k: {
          type: "list",
          member: {}
        },
        S51: {
          type: "list",
          member: {
            shape: "S2h"
          }
        },
        S5d: {
          type: "list",
          member: {
            shape: "S2l"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/appsync-2017-07-25.paginators.json
var require_appsync_2017_07_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/appsync-2017-07-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/appsync.js
var require_appsync = __commonJS({
  "node_modules/aws-sdk/clients/appsync.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["appsync"] = {};
    AWS2.AppSync = Service.defineService("appsync", ["2017-07-25"]);
    Object.defineProperty(apiLoader.services["appsync"], "2017-07-25", {
      get: function get() {
        var model = require_appsync_2017_07_25_min();
        model.paginators = require_appsync_2017_07_25_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.AppSync;
  }
});

// node_modules/aws-sdk/apis/guardduty-2017-11-28.min.json
var require_guardduty_2017_11_28_min = __commonJS({
  "node_modules/aws-sdk/apis/guardduty-2017-11-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-11-28",
        endpointPrefix: "guardduty",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon GuardDuty",
        serviceId: "GuardDuty",
        signatureVersion: "v4",
        signingName: "guardduty",
        uid: "guardduty-2017-11-28"
      },
      operations: {
        AcceptAdministratorInvitation: {
          http: {
            requestUri: "/detector/{detectorId}/administrator",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "AdministratorId",
              "InvitationId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              AdministratorId: {
                locationName: "administratorId"
              },
              InvitationId: {
                locationName: "invitationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AcceptInvitation: {
          http: {
            requestUri: "/detector/{detectorId}/master",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "MasterId",
              "InvitationId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              MasterId: {
                locationName: "masterId"
              },
              InvitationId: {
                locationName: "invitationId"
              }
            },
            deprecated: true,
            deprecatedMessage: "This input is deprecated, use AcceptAdministratorInvitationRequest instead"
          },
          output: {
            type: "structure",
            members: {},
            deprecated: true,
            deprecatedMessage: "This output is deprecated, use AcceptAdministratorInvitationResponse instead"
          },
          deprecated: true,
          deprecatedMessage: "This operation is deprecated, use AcceptAdministratorInvitation instead"
        },
        ArchiveFindings: {
          http: {
            requestUri: "/detector/{detectorId}/findings/archive",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "FindingIds"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              FindingIds: {
                shape: "S8",
                locationName: "findingIds"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateDetector: {
          http: {
            requestUri: "/detector",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Enable"
            ],
            members: {
              Enable: {
                locationName: "enable",
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true,
                locationName: "clientToken"
              },
              FindingPublishingFrequency: {
                locationName: "findingPublishingFrequency"
              },
              DataSources: {
                shape: "Sf",
                deprecated: true,
                deprecatedMessage: "This parameter is deprecated, use Features instead",
                locationName: "dataSources"
              },
              Tags: {
                shape: "Sl",
                locationName: "tags"
              },
              Features: {
                shape: "So",
                locationName: "features"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DetectorId: {
                locationName: "detectorId"
              },
              UnprocessedDataSources: {
                locationName: "unprocessedDataSources",
                type: "structure",
                members: {
                  MalwareProtection: {
                    shape: "Sx",
                    locationName: "malwareProtection"
                  }
                }
              }
            }
          }
        },
        CreateFilter: {
          http: {
            requestUri: "/detector/{detectorId}/filter",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "Name",
              "FindingCriteria"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              Name: {
                locationName: "name"
              },
              Description: {
                locationName: "description"
              },
              Action: {
                locationName: "action"
              },
              Rank: {
                locationName: "rank",
                type: "integer"
              },
              FindingCriteria: {
                shape: "S16",
                locationName: "findingCriteria"
              },
              ClientToken: {
                idempotencyToken: true,
                locationName: "clientToken"
              },
              Tags: {
                shape: "Sl",
                locationName: "tags"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                locationName: "name"
              }
            }
          }
        },
        CreateIPSet: {
          http: {
            requestUri: "/detector/{detectorId}/ipset",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "Name",
              "Format",
              "Location",
              "Activate"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              Name: {
                locationName: "name"
              },
              Format: {
                locationName: "format"
              },
              Location: {
                locationName: "location"
              },
              Activate: {
                locationName: "activate",
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true,
                locationName: "clientToken"
              },
              Tags: {
                shape: "Sl",
                locationName: "tags"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "IpSetId"
            ],
            members: {
              IpSetId: {
                locationName: "ipSetId"
              }
            }
          }
        },
        CreateMembers: {
          http: {
            requestUri: "/detector/{detectorId}/member",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "AccountDetails"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              AccountDetails: {
                locationName: "accountDetails",
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AccountId",
                    "Email"
                  ],
                  members: {
                    AccountId: {
                      locationName: "accountId"
                    },
                    Email: {
                      locationName: "email"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UnprocessedAccounts"
            ],
            members: {
              UnprocessedAccounts: {
                shape: "S1r",
                locationName: "unprocessedAccounts"
              }
            }
          }
        },
        CreatePublishingDestination: {
          http: {
            requestUri: "/detector/{detectorId}/publishingDestination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "DestinationType",
              "DestinationProperties"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              DestinationType: {
                locationName: "destinationType"
              },
              DestinationProperties: {
                shape: "S1v",
                locationName: "destinationProperties"
              },
              ClientToken: {
                idempotencyToken: true,
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DestinationId"
            ],
            members: {
              DestinationId: {
                locationName: "destinationId"
              }
            }
          }
        },
        CreateSampleFindings: {
          http: {
            requestUri: "/detector/{detectorId}/findings/create",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              FindingTypes: {
                locationName: "findingTypes",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateThreatIntelSet: {
          http: {
            requestUri: "/detector/{detectorId}/threatintelset",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "Name",
              "Format",
              "Location",
              "Activate"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              Name: {
                locationName: "name"
              },
              Format: {
                locationName: "format"
              },
              Location: {
                locationName: "location"
              },
              Activate: {
                locationName: "activate",
                type: "boolean"
              },
              ClientToken: {
                idempotencyToken: true,
                locationName: "clientToken"
              },
              Tags: {
                shape: "Sl",
                locationName: "tags"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ThreatIntelSetId"
            ],
            members: {
              ThreatIntelSetId: {
                locationName: "threatIntelSetId"
              }
            }
          }
        },
        DeclineInvitations: {
          http: {
            requestUri: "/invitation/decline",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountIds"
            ],
            members: {
              AccountIds: {
                shape: "S25",
                locationName: "accountIds"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UnprocessedAccounts"
            ],
            members: {
              UnprocessedAccounts: {
                shape: "S1r",
                locationName: "unprocessedAccounts"
              }
            }
          }
        },
        DeleteDetector: {
          http: {
            method: "DELETE",
            requestUri: "/detector/{detectorId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteFilter: {
          http: {
            method: "DELETE",
            requestUri: "/detector/{detectorId}/filter/{filterName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "FilterName"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              FilterName: {
                location: "uri",
                locationName: "filterName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteIPSet: {
          http: {
            method: "DELETE",
            requestUri: "/detector/{detectorId}/ipset/{ipSetId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "IpSetId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              IpSetId: {
                location: "uri",
                locationName: "ipSetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteInvitations: {
          http: {
            requestUri: "/invitation/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountIds"
            ],
            members: {
              AccountIds: {
                shape: "S25",
                locationName: "accountIds"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UnprocessedAccounts"
            ],
            members: {
              UnprocessedAccounts: {
                shape: "S1r",
                locationName: "unprocessedAccounts"
              }
            }
          }
        },
        DeleteMembers: {
          http: {
            requestUri: "/detector/{detectorId}/member/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "AccountIds"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              AccountIds: {
                shape: "S25",
                locationName: "accountIds"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UnprocessedAccounts"
            ],
            members: {
              UnprocessedAccounts: {
                shape: "S1r",
                locationName: "unprocessedAccounts"
              }
            }
          }
        },
        DeletePublishingDestination: {
          http: {
            method: "DELETE",
            requestUri: "/detector/{detectorId}/publishingDestination/{destinationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "DestinationId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              DestinationId: {
                location: "uri",
                locationName: "destinationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteThreatIntelSet: {
          http: {
            method: "DELETE",
            requestUri: "/detector/{detectorId}/threatintelset/{threatIntelSetId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "ThreatIntelSetId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              ThreatIntelSetId: {
                location: "uri",
                locationName: "threatIntelSetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeMalwareScans: {
          http: {
            requestUri: "/detector/{detectorId}/malware-scans",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              NextToken: {
                locationName: "nextToken"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              FilterCriteria: {
                locationName: "filterCriteria",
                type: "structure",
                members: {
                  FilterCriterion: {
                    locationName: "filterCriterion",
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        CriterionKey: {
                          locationName: "criterionKey"
                        },
                        FilterCondition: {
                          locationName: "filterCondition",
                          type: "structure",
                          members: {
                            EqualsValue: {
                              locationName: "equalsValue"
                            },
                            GreaterThan: {
                              locationName: "greaterThan",
                              type: "long"
                            },
                            LessThan: {
                              locationName: "lessThan",
                              type: "long"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              SortCriteria: {
                shape: "S2u",
                locationName: "sortCriteria"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Scans"
            ],
            members: {
              Scans: {
                locationName: "scans",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DetectorId: {
                      locationName: "detectorId"
                    },
                    AdminDetectorId: {
                      locationName: "adminDetectorId"
                    },
                    ScanId: {
                      locationName: "scanId"
                    },
                    ScanStatus: {
                      locationName: "scanStatus"
                    },
                    FailureReason: {
                      locationName: "failureReason"
                    },
                    ScanStartTime: {
                      locationName: "scanStartTime",
                      type: "timestamp"
                    },
                    ScanEndTime: {
                      locationName: "scanEndTime",
                      type: "timestamp"
                    },
                    TriggerDetails: {
                      locationName: "triggerDetails",
                      type: "structure",
                      members: {
                        GuardDutyFindingId: {
                          locationName: "guardDutyFindingId"
                        },
                        Description: {
                          locationName: "description"
                        }
                      }
                    },
                    ResourceDetails: {
                      locationName: "resourceDetails",
                      type: "structure",
                      members: {
                        InstanceArn: {
                          locationName: "instanceArn"
                        }
                      }
                    },
                    ScanResultDetails: {
                      locationName: "scanResultDetails",
                      type: "structure",
                      members: {
                        ScanResult: {
                          locationName: "scanResult"
                        }
                      }
                    },
                    AccountId: {
                      locationName: "accountId"
                    },
                    TotalBytes: {
                      locationName: "totalBytes",
                      type: "long"
                    },
                    FileCount: {
                      locationName: "fileCount",
                      type: "long"
                    },
                    AttachedVolumes: {
                      shape: "S37",
                      locationName: "attachedVolumes"
                    },
                    ScanType: {
                      locationName: "scanType"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeOrganizationConfiguration: {
          http: {
            method: "GET",
            requestUri: "/detector/{detectorId}/admin",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "MemberAccountLimitReached"
            ],
            members: {
              AutoEnable: {
                deprecated: true,
                deprecatedMessage: "This field is deprecated, use AutoEnableOrganizationMembers instead",
                locationName: "autoEnable",
                type: "boolean"
              },
              MemberAccountLimitReached: {
                locationName: "memberAccountLimitReached",
                type: "boolean"
              },
              DataSources: {
                deprecated: true,
                deprecatedMessage: "This parameter is deprecated, use Features instead",
                locationName: "dataSources",
                type: "structure",
                required: [
                  "S3Logs"
                ],
                members: {
                  S3Logs: {
                    locationName: "s3Logs",
                    type: "structure",
                    required: [
                      "AutoEnable"
                    ],
                    members: {
                      AutoEnable: {
                        locationName: "autoEnable",
                        type: "boolean"
                      }
                    }
                  },
                  Kubernetes: {
                    locationName: "kubernetes",
                    type: "structure",
                    required: [
                      "AuditLogs"
                    ],
                    members: {
                      AuditLogs: {
                        locationName: "auditLogs",
                        type: "structure",
                        required: [
                          "AutoEnable"
                        ],
                        members: {
                          AutoEnable: {
                            locationName: "autoEnable",
                            type: "boolean"
                          }
                        }
                      }
                    }
                  },
                  MalwareProtection: {
                    locationName: "malwareProtection",
                    type: "structure",
                    members: {
                      ScanEc2InstanceWithFindings: {
                        locationName: "scanEc2InstanceWithFindings",
                        type: "structure",
                        members: {
                          EbsVolumes: {
                            locationName: "ebsVolumes",
                            type: "structure",
                            members: {
                              AutoEnable: {
                                locationName: "autoEnable",
                                type: "boolean"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              Features: {
                locationName: "features",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {
                      locationName: "name"
                    },
                    AutoEnable: {
                      locationName: "autoEnable"
                    },
                    AdditionalConfiguration: {
                      locationName: "additionalConfiguration",
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {
                            locationName: "name"
                          },
                          AutoEnable: {
                            locationName: "autoEnable"
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              },
              AutoEnableOrganizationMembers: {
                locationName: "autoEnableOrganizationMembers"
              }
            }
          }
        },
        DescribePublishingDestination: {
          http: {
            method: "GET",
            requestUri: "/detector/{detectorId}/publishingDestination/{destinationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "DestinationId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              DestinationId: {
                location: "uri",
                locationName: "destinationId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DestinationId",
              "DestinationType",
              "Status",
              "PublishingFailureStartTimestamp",
              "DestinationProperties"
            ],
            members: {
              DestinationId: {
                locationName: "destinationId"
              },
              DestinationType: {
                locationName: "destinationType"
              },
              Status: {
                locationName: "status"
              },
              PublishingFailureStartTimestamp: {
                locationName: "publishingFailureStartTimestamp",
                type: "long"
              },
              DestinationProperties: {
                shape: "S1v",
                locationName: "destinationProperties"
              }
            }
          }
        },
        DisableOrganizationAdminAccount: {
          http: {
            requestUri: "/admin/disable",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AdminAccountId"
            ],
            members: {
              AdminAccountId: {
                locationName: "adminAccountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateFromAdministratorAccount: {
          http: {
            requestUri: "/detector/{detectorId}/administrator/disassociate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateFromMasterAccount: {
          http: {
            requestUri: "/detector/{detectorId}/master/disassociate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              }
            },
            deprecated: true,
            deprecatedMessage: "This input is deprecated, use DisassociateFromAdministratorAccountRequest instead"
          },
          output: {
            type: "structure",
            members: {},
            deprecated: true,
            deprecatedMessage: "This output is deprecated, use DisassociateFromAdministratorAccountResponse instead"
          },
          deprecated: true,
          deprecatedMessage: "This operation is deprecated, use DisassociateFromAdministratorAccount instead"
        },
        DisassociateMembers: {
          http: {
            requestUri: "/detector/{detectorId}/member/disassociate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "AccountIds"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              AccountIds: {
                shape: "S25",
                locationName: "accountIds"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UnprocessedAccounts"
            ],
            members: {
              UnprocessedAccounts: {
                shape: "S1r",
                locationName: "unprocessedAccounts"
              }
            }
          }
        },
        EnableOrganizationAdminAccount: {
          http: {
            requestUri: "/admin/enable",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AdminAccountId"
            ],
            members: {
              AdminAccountId: {
                locationName: "adminAccountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetAdministratorAccount: {
          http: {
            method: "GET",
            requestUri: "/detector/{detectorId}/administrator",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Administrator"
            ],
            members: {
              Administrator: {
                locationName: "administrator",
                type: "structure",
                members: {
                  AccountId: {
                    locationName: "accountId"
                  },
                  InvitationId: {
                    locationName: "invitationId"
                  },
                  RelationshipStatus: {
                    locationName: "relationshipStatus"
                  },
                  InvitedAt: {
                    locationName: "invitedAt"
                  }
                }
              }
            }
          }
        },
        GetCoverageStatistics: {
          http: {
            requestUri: "/detector/{detectorId}/coverage/statistics",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "StatisticsType"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              FilterCriteria: {
                shape: "S49",
                locationName: "filterCriteria"
              },
              StatisticsType: {
                locationName: "statisticsType",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoverageStatistics: {
                locationName: "coverageStatistics",
                type: "structure",
                members: {
                  CountByResourceType: {
                    locationName: "countByResourceType",
                    type: "map",
                    key: {},
                    value: {
                      type: "long"
                    }
                  },
                  CountByCoverageStatus: {
                    locationName: "countByCoverageStatus",
                    type: "map",
                    key: {},
                    value: {
                      type: "long"
                    }
                  }
                }
              }
            }
          }
        },
        GetDetector: {
          http: {
            method: "GET",
            requestUri: "/detector/{detectorId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ServiceRole",
              "Status"
            ],
            members: {
              CreatedAt: {
                locationName: "createdAt"
              },
              FindingPublishingFrequency: {
                locationName: "findingPublishingFrequency"
              },
              ServiceRole: {
                locationName: "serviceRole"
              },
              Status: {
                locationName: "status"
              },
              UpdatedAt: {
                locationName: "updatedAt"
              },
              DataSources: {
                shape: "S4p",
                deprecated: true,
                deprecatedMessage: "This parameter is deprecated, use Features instead",
                locationName: "dataSources"
              },
              Tags: {
                shape: "Sl",
                locationName: "tags"
              },
              Features: {
                locationName: "features",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {
                      locationName: "name"
                    },
                    Status: {
                      locationName: "status"
                    },
                    UpdatedAt: {
                      locationName: "updatedAt",
                      type: "timestamp"
                    },
                    AdditionalConfiguration: {
                      locationName: "additionalConfiguration",
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {
                            locationName: "name"
                          },
                          Status: {
                            locationName: "status"
                          },
                          UpdatedAt: {
                            locationName: "updatedAt",
                            type: "timestamp"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetFilter: {
          http: {
            method: "GET",
            requestUri: "/detector/{detectorId}/filter/{filterName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "FilterName"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              FilterName: {
                location: "uri",
                locationName: "filterName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name",
              "Action",
              "FindingCriteria"
            ],
            members: {
              Name: {
                locationName: "name"
              },
              Description: {
                locationName: "description"
              },
              Action: {
                locationName: "action"
              },
              Rank: {
                locationName: "rank",
                type: "integer"
              },
              FindingCriteria: {
                shape: "S16",
                locationName: "findingCriteria"
              },
              Tags: {
                shape: "Sl",
                locationName: "tags"
              }
            }
          }
        },
        GetFindings: {
          http: {
            requestUri: "/detector/{detectorId}/findings/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "FindingIds"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              FindingIds: {
                shape: "S8",
                locationName: "findingIds"
              },
              SortCriteria: {
                shape: "S2u",
                locationName: "sortCriteria"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Findings"
            ],
            members: {
              Findings: {
                locationName: "findings",
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AccountId",
                    "Arn",
                    "CreatedAt",
                    "Id",
                    "Region",
                    "Resource",
                    "SchemaVersion",
                    "Severity",
                    "Type",
                    "UpdatedAt"
                  ],
                  members: {
                    AccountId: {
                      locationName: "accountId"
                    },
                    Arn: {
                      locationName: "arn"
                    },
                    Confidence: {
                      locationName: "confidence",
                      type: "double"
                    },
                    CreatedAt: {
                      locationName: "createdAt"
                    },
                    Description: {
                      locationName: "description"
                    },
                    Id: {
                      locationName: "id"
                    },
                    Partition: {
                      locationName: "partition"
                    },
                    Region: {
                      locationName: "region"
                    },
                    Resource: {
                      locationName: "resource",
                      type: "structure",
                      members: {
                        AccessKeyDetails: {
                          locationName: "accessKeyDetails",
                          type: "structure",
                          members: {
                            AccessKeyId: {
                              locationName: "accessKeyId"
                            },
                            PrincipalId: {
                              locationName: "principalId"
                            },
                            UserName: {
                              locationName: "userName"
                            },
                            UserType: {
                              locationName: "userType"
                            }
                          }
                        },
                        S3BucketDetails: {
                          locationName: "s3BucketDetails",
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              Arn: {
                                locationName: "arn"
                              },
                              Name: {
                                locationName: "name"
                              },
                              Type: {
                                locationName: "type"
                              },
                              CreatedAt: {
                                locationName: "createdAt",
                                type: "timestamp"
                              },
                              Owner: {
                                locationName: "owner",
                                type: "structure",
                                members: {
                                  Id: {
                                    locationName: "id"
                                  }
                                }
                              },
                              Tags: {
                                shape: "S5d",
                                locationName: "tags"
                              },
                              DefaultServerSideEncryption: {
                                locationName: "defaultServerSideEncryption",
                                type: "structure",
                                members: {
                                  EncryptionType: {
                                    locationName: "encryptionType"
                                  },
                                  KmsMasterKeyArn: {
                                    locationName: "kmsMasterKeyArn"
                                  }
                                }
                              },
                              PublicAccess: {
                                locationName: "publicAccess",
                                type: "structure",
                                members: {
                                  PermissionConfiguration: {
                                    locationName: "permissionConfiguration",
                                    type: "structure",
                                    members: {
                                      BucketLevelPermissions: {
                                        locationName: "bucketLevelPermissions",
                                        type: "structure",
                                        members: {
                                          AccessControlList: {
                                            locationName: "accessControlList",
                                            type: "structure",
                                            members: {
                                              AllowsPublicReadAccess: {
                                                locationName: "allowsPublicReadAccess",
                                                type: "boolean"
                                              },
                                              AllowsPublicWriteAccess: {
                                                locationName: "allowsPublicWriteAccess",
                                                type: "boolean"
                                              }
                                            }
                                          },
                                          BucketPolicy: {
                                            locationName: "bucketPolicy",
                                            type: "structure",
                                            members: {
                                              AllowsPublicReadAccess: {
                                                locationName: "allowsPublicReadAccess",
                                                type: "boolean"
                                              },
                                              AllowsPublicWriteAccess: {
                                                locationName: "allowsPublicWriteAccess",
                                                type: "boolean"
                                              }
                                            }
                                          },
                                          BlockPublicAccess: {
                                            shape: "S5l",
                                            locationName: "blockPublicAccess"
                                          }
                                        }
                                      },
                                      AccountLevelPermissions: {
                                        locationName: "accountLevelPermissions",
                                        type: "structure",
                                        members: {
                                          BlockPublicAccess: {
                                            shape: "S5l",
                                            locationName: "blockPublicAccess"
                                          }
                                        }
                                      }
                                    }
                                  },
                                  EffectivePermission: {
                                    locationName: "effectivePermission"
                                  }
                                }
                              }
                            }
                          }
                        },
                        InstanceDetails: {
                          locationName: "instanceDetails",
                          type: "structure",
                          members: {
                            AvailabilityZone: {
                              locationName: "availabilityZone"
                            },
                            IamInstanceProfile: {
                              locationName: "iamInstanceProfile",
                              type: "structure",
                              members: {
                                Arn: {
                                  locationName: "arn"
                                },
                                Id: {
                                  locationName: "id"
                                }
                              }
                            },
                            ImageDescription: {
                              locationName: "imageDescription"
                            },
                            ImageId: {
                              locationName: "imageId"
                            },
                            InstanceId: {
                              locationName: "instanceId"
                            },
                            InstanceState: {
                              locationName: "instanceState"
                            },
                            InstanceType: {
                              locationName: "instanceType"
                            },
                            OutpostArn: {
                              locationName: "outpostArn"
                            },
                            LaunchTime: {
                              locationName: "launchTime"
                            },
                            NetworkInterfaces: {
                              locationName: "networkInterfaces",
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  Ipv6Addresses: {
                                    locationName: "ipv6Addresses",
                                    type: "list",
                                    member: {}
                                  },
                                  NetworkInterfaceId: {
                                    locationName: "networkInterfaceId"
                                  },
                                  PrivateDnsName: {
                                    locationName: "privateDnsName"
                                  },
                                  PrivateIpAddress: {
                                    locationName: "privateIpAddress"
                                  },
                                  PrivateIpAddresses: {
                                    locationName: "privateIpAddresses",
                                    type: "list",
                                    member: {
                                      type: "structure",
                                      members: {
                                        PrivateDnsName: {
                                          locationName: "privateDnsName"
                                        },
                                        PrivateIpAddress: {
                                          locationName: "privateIpAddress"
                                        }
                                      }
                                    }
                                  },
                                  PublicDnsName: {
                                    locationName: "publicDnsName"
                                  },
                                  PublicIp: {
                                    locationName: "publicIp"
                                  },
                                  SecurityGroups: {
                                    shape: "S5u",
                                    locationName: "securityGroups"
                                  },
                                  SubnetId: {
                                    locationName: "subnetId"
                                  },
                                  VpcId: {
                                    locationName: "vpcId"
                                  }
                                }
                              }
                            },
                            Platform: {
                              locationName: "platform"
                            },
                            ProductCodes: {
                              locationName: "productCodes",
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  Code: {
                                    locationName: "productCodeId"
                                  },
                                  ProductType: {
                                    locationName: "productCodeType"
                                  }
                                }
                              }
                            },
                            Tags: {
                              shape: "S5d",
                              locationName: "tags"
                            }
                          }
                        },
                        EksClusterDetails: {
                          locationName: "eksClusterDetails",
                          type: "structure",
                          members: {
                            Name: {
                              locationName: "name"
                            },
                            Arn: {
                              locationName: "arn"
                            },
                            VpcId: {
                              locationName: "vpcId"
                            },
                            Status: {
                              locationName: "status"
                            },
                            Tags: {
                              shape: "S5d",
                              locationName: "tags"
                            },
                            CreatedAt: {
                              locationName: "createdAt",
                              type: "timestamp"
                            }
                          }
                        },
                        KubernetesDetails: {
                          locationName: "kubernetesDetails",
                          type: "structure",
                          members: {
                            KubernetesUserDetails: {
                              locationName: "kubernetesUserDetails",
                              type: "structure",
                              members: {
                                Username: {
                                  locationName: "username"
                                },
                                Uid: {
                                  locationName: "uid"
                                },
                                Groups: {
                                  locationName: "groups",
                                  type: "list",
                                  member: {}
                                },
                                SessionName: {
                                  locationName: "sessionName",
                                  type: "list",
                                  member: {}
                                }
                              }
                            },
                            KubernetesWorkloadDetails: {
                              locationName: "kubernetesWorkloadDetails",
                              type: "structure",
                              members: {
                                Name: {
                                  locationName: "name"
                                },
                                Type: {
                                  locationName: "type"
                                },
                                Uid: {
                                  locationName: "uid"
                                },
                                Namespace: {
                                  locationName: "namespace"
                                },
                                HostNetwork: {
                                  locationName: "hostNetwork",
                                  type: "boolean"
                                },
                                Containers: {
                                  shape: "S64",
                                  locationName: "containers"
                                },
                                Volumes: {
                                  shape: "S69",
                                  locationName: "volumes"
                                }
                              }
                            }
                          }
                        },
                        ResourceType: {
                          locationName: "resourceType"
                        },
                        EbsVolumeDetails: {
                          locationName: "ebsVolumeDetails",
                          type: "structure",
                          members: {
                            ScannedVolumeDetails: {
                              shape: "S37",
                              locationName: "scannedVolumeDetails"
                            },
                            SkippedVolumeDetails: {
                              shape: "S37",
                              locationName: "skippedVolumeDetails"
                            }
                          }
                        },
                        EcsClusterDetails: {
                          locationName: "ecsClusterDetails",
                          type: "structure",
                          members: {
                            Name: {
                              locationName: "name"
                            },
                            Arn: {
                              locationName: "arn"
                            },
                            Status: {
                              locationName: "status"
                            },
                            ActiveServicesCount: {
                              locationName: "activeServicesCount",
                              type: "integer"
                            },
                            RegisteredContainerInstancesCount: {
                              locationName: "registeredContainerInstancesCount",
                              type: "integer"
                            },
                            RunningTasksCount: {
                              locationName: "runningTasksCount",
                              type: "integer"
                            },
                            Tags: {
                              shape: "S5d",
                              locationName: "tags"
                            },
                            TaskDetails: {
                              locationName: "taskDetails",
                              type: "structure",
                              members: {
                                Arn: {
                                  locationName: "arn"
                                },
                                DefinitionArn: {
                                  locationName: "definitionArn"
                                },
                                Version: {
                                  locationName: "version"
                                },
                                TaskCreatedAt: {
                                  locationName: "createdAt",
                                  type: "timestamp"
                                },
                                StartedAt: {
                                  locationName: "startedAt",
                                  type: "timestamp"
                                },
                                StartedBy: {
                                  locationName: "startedBy"
                                },
                                Tags: {
                                  shape: "S5d",
                                  locationName: "tags"
                                },
                                Volumes: {
                                  shape: "S69",
                                  locationName: "volumes"
                                },
                                Containers: {
                                  shape: "S64",
                                  locationName: "containers"
                                },
                                Group: {
                                  locationName: "group"
                                }
                              }
                            }
                          }
                        },
                        ContainerDetails: {
                          shape: "S65",
                          locationName: "containerDetails"
                        },
                        RdsDbInstanceDetails: {
                          locationName: "rdsDbInstanceDetails",
                          type: "structure",
                          members: {
                            DbInstanceIdentifier: {
                              locationName: "dbInstanceIdentifier"
                            },
                            Engine: {
                              locationName: "engine"
                            },
                            EngineVersion: {
                              locationName: "engineVersion"
                            },
                            DbClusterIdentifier: {
                              locationName: "dbClusterIdentifier"
                            },
                            DbInstanceArn: {
                              locationName: "dbInstanceArn"
                            },
                            Tags: {
                              shape: "S5d",
                              locationName: "tags"
                            }
                          }
                        },
                        RdsDbUserDetails: {
                          locationName: "rdsDbUserDetails",
                          type: "structure",
                          members: {
                            User: {
                              locationName: "user"
                            },
                            Application: {
                              locationName: "application"
                            },
                            Database: {
                              locationName: "database"
                            },
                            Ssl: {
                              locationName: "ssl"
                            },
                            AuthMethod: {
                              locationName: "authMethod"
                            }
                          }
                        },
                        LambdaDetails: {
                          locationName: "lambdaDetails",
                          type: "structure",
                          members: {
                            FunctionArn: {
                              locationName: "functionArn"
                            },
                            FunctionName: {
                              locationName: "functionName"
                            },
                            Description: {
                              locationName: "description"
                            },
                            LastModifiedAt: {
                              locationName: "lastModifiedAt",
                              type: "timestamp"
                            },
                            RevisionId: {
                              locationName: "revisionId"
                            },
                            FunctionVersion: {
                              locationName: "functionVersion"
                            },
                            Role: {
                              locationName: "role"
                            },
                            VpcConfig: {
                              locationName: "vpcConfig",
                              type: "structure",
                              members: {
                                SubnetIds: {
                                  locationName: "subnetIds",
                                  type: "list",
                                  member: {}
                                },
                                VpcId: {
                                  locationName: "vpcId"
                                },
                                SecurityGroups: {
                                  shape: "S5u",
                                  locationName: "securityGroups"
                                }
                              }
                            },
                            Tags: {
                              shape: "S5d",
                              locationName: "tags"
                            }
                          }
                        }
                      }
                    },
                    SchemaVersion: {
                      locationName: "schemaVersion"
                    },
                    Service: {
                      locationName: "service",
                      type: "structure",
                      members: {
                        Action: {
                          locationName: "action",
                          type: "structure",
                          members: {
                            ActionType: {
                              locationName: "actionType"
                            },
                            AwsApiCallAction: {
                              locationName: "awsApiCallAction",
                              type: "structure",
                              members: {
                                Api: {
                                  locationName: "api"
                                },
                                CallerType: {
                                  locationName: "callerType"
                                },
                                DomainDetails: {
                                  locationName: "domainDetails",
                                  type: "structure",
                                  members: {
                                    Domain: {
                                      locationName: "domain"
                                    }
                                  }
                                },
                                ErrorCode: {
                                  locationName: "errorCode"
                                },
                                UserAgent: {
                                  locationName: "userAgent"
                                },
                                RemoteIpDetails: {
                                  shape: "S6o",
                                  locationName: "remoteIpDetails"
                                },
                                ServiceName: {
                                  locationName: "serviceName"
                                },
                                RemoteAccountDetails: {
                                  locationName: "remoteAccountDetails",
                                  type: "structure",
                                  members: {
                                    AccountId: {
                                      locationName: "accountId"
                                    },
                                    Affiliated: {
                                      locationName: "affiliated",
                                      type: "boolean"
                                    }
                                  }
                                },
                                AffectedResources: {
                                  locationName: "affectedResources",
                                  type: "map",
                                  key: {},
                                  value: {}
                                }
                              }
                            },
                            DnsRequestAction: {
                              locationName: "dnsRequestAction",
                              type: "structure",
                              members: {
                                Domain: {
                                  locationName: "domain"
                                },
                                Protocol: {
                                  locationName: "protocol"
                                },
                                Blocked: {
                                  locationName: "blocked",
                                  type: "boolean"
                                }
                              }
                            },
                            NetworkConnectionAction: {
                              locationName: "networkConnectionAction",
                              type: "structure",
                              members: {
                                Blocked: {
                                  locationName: "blocked",
                                  type: "boolean"
                                },
                                ConnectionDirection: {
                                  locationName: "connectionDirection"
                                },
                                LocalPortDetails: {
                                  shape: "S6x",
                                  locationName: "localPortDetails"
                                },
                                Protocol: {
                                  locationName: "protocol"
                                },
                                LocalIpDetails: {
                                  shape: "S6y",
                                  locationName: "localIpDetails"
                                },
                                RemoteIpDetails: {
                                  shape: "S6o",
                                  locationName: "remoteIpDetails"
                                },
                                RemotePortDetails: {
                                  locationName: "remotePortDetails",
                                  type: "structure",
                                  members: {
                                    Port: {
                                      locationName: "port",
                                      type: "integer"
                                    },
                                    PortName: {
                                      locationName: "portName"
                                    }
                                  }
                                }
                              }
                            },
                            PortProbeAction: {
                              locationName: "portProbeAction",
                              type: "structure",
                              members: {
                                Blocked: {
                                  locationName: "blocked",
                                  type: "boolean"
                                },
                                PortProbeDetails: {
                                  locationName: "portProbeDetails",
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      LocalPortDetails: {
                                        shape: "S6x",
                                        locationName: "localPortDetails"
                                      },
                                      LocalIpDetails: {
                                        shape: "S6y",
                                        locationName: "localIpDetails"
                                      },
                                      RemoteIpDetails: {
                                        shape: "S6o",
                                        locationName: "remoteIpDetails"
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            KubernetesApiCallAction: {
                              locationName: "kubernetesApiCallAction",
                              type: "structure",
                              members: {
                                RequestUri: {
                                  locationName: "requestUri"
                                },
                                Verb: {
                                  locationName: "verb"
                                },
                                SourceIps: {
                                  locationName: "sourceIps",
                                  type: "list",
                                  member: {}
                                },
                                UserAgent: {
                                  locationName: "userAgent"
                                },
                                RemoteIpDetails: {
                                  shape: "S6o",
                                  locationName: "remoteIpDetails"
                                },
                                StatusCode: {
                                  locationName: "statusCode",
                                  type: "integer"
                                },
                                Parameters: {
                                  locationName: "parameters"
                                }
                              }
                            },
                            RdsLoginAttemptAction: {
                              locationName: "rdsLoginAttemptAction",
                              type: "structure",
                              members: {
                                RemoteIpDetails: {
                                  shape: "S6o",
                                  locationName: "remoteIpDetails"
                                },
                                LoginAttributes: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      User: {
                                        locationName: "user"
                                      },
                                      Application: {
                                        locationName: "application"
                                      },
                                      FailedLoginAttempts: {
                                        locationName: "failedLoginAttempts",
                                        type: "integer"
                                      },
                                      SuccessfulLoginAttempts: {
                                        locationName: "successfulLoginAttempts",
                                        type: "integer"
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        },
                        Evidence: {
                          locationName: "evidence",
                          type: "structure",
                          members: {
                            ThreatIntelligenceDetails: {
                              locationName: "threatIntelligenceDetails",
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  ThreatListName: {
                                    locationName: "threatListName"
                                  },
                                  ThreatNames: {
                                    locationName: "threatNames",
                                    type: "list",
                                    member: {}
                                  }
                                }
                              }
                            }
                          }
                        },
                        Archived: {
                          locationName: "archived",
                          type: "boolean"
                        },
                        Count: {
                          locationName: "count",
                          type: "integer"
                        },
                        DetectorId: {
                          locationName: "detectorId"
                        },
                        EventFirstSeen: {
                          locationName: "eventFirstSeen"
                        },
                        EventLastSeen: {
                          locationName: "eventLastSeen"
                        },
                        ResourceRole: {
                          locationName: "resourceRole"
                        },
                        ServiceName: {
                          locationName: "serviceName"
                        },
                        UserFeedback: {
                          locationName: "userFeedback"
                        },
                        AdditionalInfo: {
                          locationName: "additionalInfo",
                          type: "structure",
                          members: {
                            Value: {
                              locationName: "value"
                            },
                            Type: {
                              locationName: "type"
                            }
                          }
                        },
                        FeatureName: {
                          locationName: "featureName"
                        },
                        EbsVolumeScanDetails: {
                          locationName: "ebsVolumeScanDetails",
                          type: "structure",
                          members: {
                            ScanId: {
                              locationName: "scanId"
                            },
                            ScanStartedAt: {
                              locationName: "scanStartedAt",
                              type: "timestamp"
                            },
                            ScanCompletedAt: {
                              locationName: "scanCompletedAt",
                              type: "timestamp"
                            },
                            TriggerFindingId: {
                              locationName: "triggerFindingId"
                            },
                            Sources: {
                              locationName: "sources",
                              type: "list",
                              member: {}
                            },
                            ScanDetections: {
                              locationName: "scanDetections",
                              type: "structure",
                              members: {
                                ScannedItemCount: {
                                  locationName: "scannedItemCount",
                                  type: "structure",
                                  members: {
                                    TotalGb: {
                                      locationName: "totalGb",
                                      type: "integer"
                                    },
                                    Files: {
                                      locationName: "files",
                                      type: "integer"
                                    },
                                    Volumes: {
                                      locationName: "volumes",
                                      type: "integer"
                                    }
                                  }
                                },
                                ThreatsDetectedItemCount: {
                                  locationName: "threatsDetectedItemCount",
                                  type: "structure",
                                  members: {
                                    Files: {
                                      locationName: "files",
                                      type: "integer"
                                    }
                                  }
                                },
                                HighestSeverityThreatDetails: {
                                  locationName: "highestSeverityThreatDetails",
                                  type: "structure",
                                  members: {
                                    Severity: {
                                      locationName: "severity"
                                    },
                                    ThreatName: {
                                      locationName: "threatName"
                                    },
                                    Count: {
                                      locationName: "count",
                                      type: "integer"
                                    }
                                  }
                                },
                                ThreatDetectedByName: {
                                  locationName: "threatDetectedByName",
                                  type: "structure",
                                  members: {
                                    ItemCount: {
                                      locationName: "itemCount",
                                      type: "integer"
                                    },
                                    UniqueThreatNameCount: {
                                      locationName: "uniqueThreatNameCount",
                                      type: "integer"
                                    },
                                    Shortened: {
                                      locationName: "shortened",
                                      type: "boolean"
                                    },
                                    ThreatNames: {
                                      locationName: "threatNames",
                                      type: "list",
                                      member: {
                                        type: "structure",
                                        members: {
                                          Name: {
                                            locationName: "name"
                                          },
                                          Severity: {
                                            locationName: "severity"
                                          },
                                          ItemCount: {
                                            locationName: "itemCount",
                                            type: "integer"
                                          },
                                          FilePaths: {
                                            locationName: "filePaths",
                                            type: "list",
                                            member: {
                                              type: "structure",
                                              members: {
                                                FilePath: {
                                                  locationName: "filePath"
                                                },
                                                VolumeArn: {
                                                  locationName: "volumeArn"
                                                },
                                                Hash: {
                                                  locationName: "hash"
                                                },
                                                FileName: {
                                                  locationName: "fileName"
                                                }
                                              }
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            ScanType: {
                              locationName: "scanType"
                            }
                          }
                        },
                        RuntimeDetails: {
                          locationName: "runtimeDetails",
                          type: "structure",
                          members: {
                            Process: {
                              shape: "S7p",
                              locationName: "process"
                            },
                            Context: {
                              locationName: "context",
                              type: "structure",
                              members: {
                                ModifyingProcess: {
                                  shape: "S7p",
                                  locationName: "modifyingProcess"
                                },
                                ModifiedAt: {
                                  locationName: "modifiedAt",
                                  type: "timestamp"
                                },
                                ScriptPath: {
                                  locationName: "scriptPath"
                                },
                                LibraryPath: {
                                  locationName: "libraryPath"
                                },
                                LdPreloadValue: {
                                  locationName: "ldPreloadValue"
                                },
                                SocketPath: {
                                  locationName: "socketPath"
                                },
                                RuncBinaryPath: {
                                  locationName: "runcBinaryPath"
                                },
                                ReleaseAgentPath: {
                                  locationName: "releaseAgentPath"
                                },
                                MountSource: {
                                  locationName: "mountSource"
                                },
                                MountTarget: {
                                  locationName: "mountTarget"
                                },
                                FileSystemType: {
                                  locationName: "fileSystemType"
                                },
                                Flags: {
                                  locationName: "flags",
                                  type: "list",
                                  member: {}
                                },
                                ModuleName: {
                                  locationName: "moduleName"
                                },
                                ModuleFilePath: {
                                  locationName: "moduleFilePath"
                                },
                                ModuleSha256: {
                                  locationName: "moduleSha256"
                                },
                                ShellHistoryFilePath: {
                                  locationName: "shellHistoryFilePath"
                                },
                                TargetProcess: {
                                  shape: "S7p",
                                  locationName: "targetProcess"
                                },
                                AddressFamily: {
                                  locationName: "addressFamily"
                                },
                                IanaProtocolNumber: {
                                  locationName: "ianaProtocolNumber",
                                  type: "integer"
                                },
                                MemoryRegions: {
                                  locationName: "memoryRegions",
                                  type: "list",
                                  member: {}
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    Severity: {
                      locationName: "severity",
                      type: "double"
                    },
                    Title: {
                      locationName: "title"
                    },
                    Type: {
                      locationName: "type"
                    },
                    UpdatedAt: {
                      locationName: "updatedAt"
                    }
                  }
                }
              }
            }
          }
        },
        GetFindingsStatistics: {
          http: {
            requestUri: "/detector/{detectorId}/findings/statistics",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "FindingStatisticTypes"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              FindingStatisticTypes: {
                locationName: "findingStatisticTypes",
                type: "list",
                member: {}
              },
              FindingCriteria: {
                shape: "S16",
                locationName: "findingCriteria"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "FindingStatistics"
            ],
            members: {
              FindingStatistics: {
                locationName: "findingStatistics",
                type: "structure",
                members: {
                  CountBySeverity: {
                    locationName: "countBySeverity",
                    type: "map",
                    key: {},
                    value: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        GetIPSet: {
          http: {
            method: "GET",
            requestUri: "/detector/{detectorId}/ipset/{ipSetId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "IpSetId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              IpSetId: {
                location: "uri",
                locationName: "ipSetId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name",
              "Format",
              "Location",
              "Status"
            ],
            members: {
              Name: {
                locationName: "name"
              },
              Format: {
                locationName: "format"
              },
              Location: {
                locationName: "location"
              },
              Status: {
                locationName: "status"
              },
              Tags: {
                shape: "Sl",
                locationName: "tags"
              }
            }
          }
        },
        GetInvitationsCount: {
          http: {
            method: "GET",
            requestUri: "/invitation/count",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              InvitationsCount: {
                locationName: "invitationsCount",
                type: "integer"
              }
            }
          }
        },
        GetMalwareScanSettings: {
          http: {
            method: "GET",
            requestUri: "/detector/{detectorId}/malware-scan-settings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ScanResourceCriteria: {
                shape: "S88",
                locationName: "scanResourceCriteria"
              },
              EbsSnapshotPreservation: {
                locationName: "ebsSnapshotPreservation"
              }
            }
          }
        },
        GetMasterAccount: {
          http: {
            method: "GET",
            requestUri: "/detector/{detectorId}/master",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              }
            },
            deprecated: true,
            deprecatedMessage: "This input is deprecated, use GetAdministratorAccountRequest instead"
          },
          output: {
            type: "structure",
            required: [
              "Master"
            ],
            members: {
              Master: {
                locationName: "master",
                type: "structure",
                members: {
                  AccountId: {
                    locationName: "accountId"
                  },
                  InvitationId: {
                    locationName: "invitationId"
                  },
                  RelationshipStatus: {
                    locationName: "relationshipStatus"
                  },
                  InvitedAt: {
                    locationName: "invitedAt"
                  }
                }
              }
            },
            deprecated: true,
            deprecatedMessage: "This output is deprecated, use GetAdministratorAccountResponse instead"
          },
          deprecated: true,
          deprecatedMessage: "This operation is deprecated, use GetAdministratorAccount instead"
        },
        GetMemberDetectors: {
          http: {
            requestUri: "/detector/{detectorId}/member/detector/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "AccountIds"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              AccountIds: {
                shape: "S25",
                locationName: "accountIds"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "MemberDataSourceConfigurations",
              "UnprocessedAccounts"
            ],
            members: {
              MemberDataSourceConfigurations: {
                locationName: "members",
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AccountId"
                  ],
                  members: {
                    AccountId: {
                      locationName: "accountId"
                    },
                    DataSources: {
                      shape: "S4p",
                      deprecated: true,
                      deprecatedMessage: "This parameter is deprecated, use Features instead",
                      locationName: "dataSources"
                    },
                    Features: {
                      locationName: "features",
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {
                            locationName: "name"
                          },
                          Status: {
                            locationName: "status"
                          },
                          UpdatedAt: {
                            locationName: "updatedAt",
                            type: "timestamp"
                          },
                          AdditionalConfiguration: {
                            locationName: "additionalConfiguration",
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Name: {
                                  locationName: "name"
                                },
                                Status: {
                                  locationName: "status"
                                },
                                UpdatedAt: {
                                  locationName: "updatedAt",
                                  type: "timestamp"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              UnprocessedAccounts: {
                shape: "S1r",
                locationName: "unprocessedAccounts"
              }
            }
          }
        },
        GetMembers: {
          http: {
            requestUri: "/detector/{detectorId}/member/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "AccountIds"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              AccountIds: {
                shape: "S25",
                locationName: "accountIds"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Members",
              "UnprocessedAccounts"
            ],
            members: {
              Members: {
                shape: "S8s",
                locationName: "members"
              },
              UnprocessedAccounts: {
                shape: "S1r",
                locationName: "unprocessedAccounts"
              }
            }
          }
        },
        GetRemainingFreeTrialDays: {
          http: {
            requestUri: "/detector/{detectorId}/freeTrial/daysRemaining",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              AccountIds: {
                shape: "S25",
                locationName: "accountIds"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Accounts: {
                locationName: "accounts",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AccountId: {
                      locationName: "accountId"
                    },
                    DataSources: {
                      deprecated: true,
                      deprecatedMessage: "This parameter is deprecated, use Features instead",
                      locationName: "dataSources",
                      type: "structure",
                      members: {
                        CloudTrail: {
                          shape: "S8z",
                          locationName: "cloudTrail"
                        },
                        DnsLogs: {
                          shape: "S8z",
                          locationName: "dnsLogs"
                        },
                        FlowLogs: {
                          shape: "S8z",
                          locationName: "flowLogs"
                        },
                        S3Logs: {
                          shape: "S8z",
                          locationName: "s3Logs"
                        },
                        Kubernetes: {
                          locationName: "kubernetes",
                          type: "structure",
                          members: {
                            AuditLogs: {
                              shape: "S8z",
                              locationName: "auditLogs"
                            }
                          }
                        },
                        MalwareProtection: {
                          locationName: "malwareProtection",
                          type: "structure",
                          members: {
                            ScanEc2InstanceWithFindings: {
                              shape: "S8z",
                              locationName: "scanEc2InstanceWithFindings"
                            }
                          }
                        }
                      }
                    },
                    Features: {
                      locationName: "features",
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {
                            locationName: "name"
                          },
                          FreeTrialDaysRemaining: {
                            locationName: "freeTrialDaysRemaining",
                            type: "integer"
                          }
                        }
                      }
                    }
                  }
                }
              },
              UnprocessedAccounts: {
                shape: "S1r",
                locationName: "unprocessedAccounts"
              }
            }
          }
        },
        GetThreatIntelSet: {
          http: {
            method: "GET",
            requestUri: "/detector/{detectorId}/threatintelset/{threatIntelSetId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "ThreatIntelSetId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              ThreatIntelSetId: {
                location: "uri",
                locationName: "threatIntelSetId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name",
              "Format",
              "Location",
              "Status"
            ],
            members: {
              Name: {
                locationName: "name"
              },
              Format: {
                locationName: "format"
              },
              Location: {
                locationName: "location"
              },
              Status: {
                locationName: "status"
              },
              Tags: {
                shape: "Sl",
                locationName: "tags"
              }
            }
          }
        },
        GetUsageStatistics: {
          http: {
            requestUri: "/detector/{detectorId}/usage/statistics",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "UsageStatisticType",
              "UsageCriteria"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              UsageStatisticType: {
                locationName: "usageStatisticsType"
              },
              UsageCriteria: {
                locationName: "usageCriteria",
                type: "structure",
                members: {
                  AccountIds: {
                    shape: "S25",
                    locationName: "accountIds"
                  },
                  DataSources: {
                    deprecated: true,
                    deprecatedMessage: "This parameter is deprecated, use Features instead",
                    locationName: "dataSources",
                    type: "list",
                    member: {}
                  },
                  Resources: {
                    locationName: "resources",
                    type: "list",
                    member: {}
                  },
                  Features: {
                    locationName: "features",
                    type: "list",
                    member: {}
                  }
                }
              },
              Unit: {
                locationName: "unit"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UsageStatistics: {
                locationName: "usageStatistics",
                type: "structure",
                members: {
                  SumByAccount: {
                    locationName: "sumByAccount",
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        AccountId: {
                          locationName: "accountId"
                        },
                        Total: {
                          shape: "S9k",
                          locationName: "total"
                        }
                      }
                    }
                  },
                  SumByDataSource: {
                    locationName: "sumByDataSource",
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        DataSource: {
                          locationName: "dataSource"
                        },
                        Total: {
                          shape: "S9k",
                          locationName: "total"
                        }
                      }
                    }
                  },
                  SumByResource: {
                    shape: "S9n",
                    locationName: "sumByResource"
                  },
                  TopResources: {
                    shape: "S9n",
                    locationName: "topResources"
                  },
                  SumByFeature: {
                    locationName: "sumByFeature",
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Feature: {
                          locationName: "feature"
                        },
                        Total: {
                          shape: "S9k",
                          locationName: "total"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        InviteMembers: {
          http: {
            requestUri: "/detector/{detectorId}/member/invite",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "AccountIds"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              AccountIds: {
                shape: "S25",
                locationName: "accountIds"
              },
              DisableEmailNotification: {
                locationName: "disableEmailNotification",
                type: "boolean"
              },
              Message: {
                locationName: "message"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UnprocessedAccounts"
            ],
            members: {
              UnprocessedAccounts: {
                shape: "S1r",
                locationName: "unprocessedAccounts"
              }
            }
          }
        },
        ListCoverage: {
          http: {
            requestUri: "/detector/{detectorId}/coverage",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              NextToken: {
                locationName: "nextToken"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              FilterCriteria: {
                shape: "S49",
                locationName: "filterCriteria"
              },
              SortCriteria: {
                locationName: "sortCriteria",
                type: "structure",
                members: {
                  AttributeName: {
                    locationName: "attributeName"
                  },
                  OrderBy: {
                    locationName: "orderBy"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Resources"
            ],
            members: {
              Resources: {
                locationName: "resources",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceId: {
                      locationName: "resourceId"
                    },
                    DetectorId: {
                      locationName: "detectorId"
                    },
                    AccountId: {
                      locationName: "accountId"
                    },
                    ResourceDetails: {
                      locationName: "resourceDetails",
                      type: "structure",
                      members: {
                        EksClusterDetails: {
                          locationName: "eksClusterDetails",
                          type: "structure",
                          members: {
                            ClusterName: {
                              locationName: "clusterName"
                            },
                            CoveredNodes: {
                              locationName: "coveredNodes",
                              type: "long"
                            },
                            CompatibleNodes: {
                              locationName: "compatibleNodes",
                              type: "long"
                            },
                            AddonDetails: {
                              locationName: "addonDetails",
                              type: "structure",
                              members: {
                                AddonVersion: {
                                  locationName: "addonVersion"
                                },
                                AddonStatus: {
                                  locationName: "addonStatus"
                                }
                              }
                            }
                          }
                        },
                        ResourceType: {
                          locationName: "resourceType"
                        }
                      }
                    },
                    CoverageStatus: {
                      locationName: "coverageStatus"
                    },
                    Issue: {
                      locationName: "issue"
                    },
                    UpdatedAt: {
                      locationName: "updatedAt",
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListDetectors: {
          http: {
            method: "GET",
            requestUri: "/detector",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DetectorIds"
            ],
            members: {
              DetectorIds: {
                locationName: "detectorIds",
                type: "list",
                member: {}
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListFilters: {
          http: {
            method: "GET",
            requestUri: "/detector/{detectorId}/filter",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "FilterNames"
            ],
            members: {
              FilterNames: {
                locationName: "filterNames",
                type: "list",
                member: {}
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListFindings: {
          http: {
            requestUri: "/detector/{detectorId}/findings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              FindingCriteria: {
                shape: "S16",
                locationName: "findingCriteria"
              },
              SortCriteria: {
                shape: "S2u",
                locationName: "sortCriteria"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "FindingIds"
            ],
            members: {
              FindingIds: {
                shape: "S8",
                locationName: "findingIds"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListIPSets: {
          http: {
            method: "GET",
            requestUri: "/detector/{detectorId}/ipset",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "IpSetIds"
            ],
            members: {
              IpSetIds: {
                locationName: "ipSetIds",
                type: "list",
                member: {}
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListInvitations: {
          http: {
            method: "GET",
            requestUri: "/invitation",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Invitations: {
                locationName: "invitations",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AccountId: {
                      locationName: "accountId"
                    },
                    InvitationId: {
                      locationName: "invitationId"
                    },
                    RelationshipStatus: {
                      locationName: "relationshipStatus"
                    },
                    InvitedAt: {
                      locationName: "invitedAt"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListMembers: {
          http: {
            method: "GET",
            requestUri: "/detector/{detectorId}/member",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              OnlyAssociated: {
                location: "querystring",
                locationName: "onlyAssociated"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Members: {
                shape: "S8s",
                locationName: "members"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListOrganizationAdminAccounts: {
          http: {
            method: "GET",
            requestUri: "/admin",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AdminAccounts: {
                locationName: "adminAccounts",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AdminAccountId: {
                      locationName: "adminAccountId"
                    },
                    AdminStatus: {
                      locationName: "adminStatus"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListPublishingDestinations: {
          http: {
            method: "GET",
            requestUri: "/detector/{detectorId}/publishingDestination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Destinations"
            ],
            members: {
              Destinations: {
                locationName: "destinations",
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "DestinationId",
                    "DestinationType",
                    "Status"
                  ],
                  members: {
                    DestinationId: {
                      locationName: "destinationId"
                    },
                    DestinationType: {
                      locationName: "destinationType"
                    },
                    Status: {
                      locationName: "status"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sl",
                locationName: "tags"
              }
            }
          }
        },
        ListThreatIntelSets: {
          http: {
            method: "GET",
            requestUri: "/detector/{detectorId}/threatintelset",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ThreatIntelSetIds"
            ],
            members: {
              ThreatIntelSetIds: {
                locationName: "threatIntelSetIds",
                type: "list",
                member: {}
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        StartMalwareScan: {
          http: {
            requestUri: "/malware-scan/start",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ScanId: {
                locationName: "scanId"
              }
            }
          }
        },
        StartMonitoringMembers: {
          http: {
            requestUri: "/detector/{detectorId}/member/start",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "AccountIds"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              AccountIds: {
                shape: "S25",
                locationName: "accountIds"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UnprocessedAccounts"
            ],
            members: {
              UnprocessedAccounts: {
                shape: "S1r",
                locationName: "unprocessedAccounts"
              }
            }
          }
        },
        StopMonitoringMembers: {
          http: {
            requestUri: "/detector/{detectorId}/member/stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "AccountIds"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              AccountIds: {
                shape: "S25",
                locationName: "accountIds"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UnprocessedAccounts"
            ],
            members: {
              UnprocessedAccounts: {
                shape: "S1r",
                locationName: "unprocessedAccounts"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              Tags: {
                shape: "Sl",
                locationName: "tags"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UnarchiveFindings: {
          http: {
            requestUri: "/detector/{detectorId}/findings/unarchive",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "FindingIds"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              FindingIds: {
                shape: "S8",
                locationName: "findingIds"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDetector: {
          http: {
            requestUri: "/detector/{detectorId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              Enable: {
                locationName: "enable",
                type: "boolean"
              },
              FindingPublishingFrequency: {
                locationName: "findingPublishingFrequency"
              },
              DataSources: {
                shape: "Sf",
                deprecated: true,
                deprecatedMessage: "This parameter is deprecated, use Features instead",
                locationName: "dataSources"
              },
              Features: {
                shape: "So",
                locationName: "features"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateFilter: {
          http: {
            requestUri: "/detector/{detectorId}/filter/{filterName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "FilterName"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              FilterName: {
                location: "uri",
                locationName: "filterName"
              },
              Description: {
                locationName: "description"
              },
              Action: {
                locationName: "action"
              },
              Rank: {
                locationName: "rank",
                type: "integer"
              },
              FindingCriteria: {
                shape: "S16",
                locationName: "findingCriteria"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                locationName: "name"
              }
            }
          }
        },
        UpdateFindingsFeedback: {
          http: {
            requestUri: "/detector/{detectorId}/findings/feedback",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "FindingIds",
              "Feedback"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              FindingIds: {
                shape: "S8",
                locationName: "findingIds"
              },
              Feedback: {
                locationName: "feedback"
              },
              Comments: {
                locationName: "comments"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateIPSet: {
          http: {
            requestUri: "/detector/{detectorId}/ipset/{ipSetId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "IpSetId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              IpSetId: {
                location: "uri",
                locationName: "ipSetId"
              },
              Name: {
                locationName: "name"
              },
              Location: {
                locationName: "location"
              },
              Activate: {
                locationName: "activate",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateMalwareScanSettings: {
          http: {
            requestUri: "/detector/{detectorId}/malware-scan-settings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              ScanResourceCriteria: {
                shape: "S88",
                locationName: "scanResourceCriteria"
              },
              EbsSnapshotPreservation: {
                locationName: "ebsSnapshotPreservation"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateMemberDetectors: {
          http: {
            requestUri: "/detector/{detectorId}/member/detector/update",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "AccountIds"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              AccountIds: {
                shape: "S25",
                locationName: "accountIds"
              },
              DataSources: {
                shape: "Sf",
                deprecated: true,
                deprecatedMessage: "This parameter is deprecated, use Features instead",
                locationName: "dataSources"
              },
              Features: {
                locationName: "features",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {
                      locationName: "name"
                    },
                    Status: {
                      locationName: "status"
                    },
                    AdditionalConfiguration: {
                      locationName: "additionalConfiguration",
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {
                            locationName: "name"
                          },
                          Status: {
                            locationName: "status"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UnprocessedAccounts"
            ],
            members: {
              UnprocessedAccounts: {
                shape: "S1r",
                locationName: "unprocessedAccounts"
              }
            }
          }
        },
        UpdateOrganizationConfiguration: {
          http: {
            requestUri: "/detector/{detectorId}/admin",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              AutoEnable: {
                deprecated: true,
                deprecatedMessage: "This field is deprecated, use AutoEnableOrganizationMembers instead",
                locationName: "autoEnable",
                type: "boolean"
              },
              DataSources: {
                deprecated: true,
                deprecatedMessage: "This parameter is deprecated, use Features instead",
                locationName: "dataSources",
                type: "structure",
                members: {
                  S3Logs: {
                    locationName: "s3Logs",
                    type: "structure",
                    required: [
                      "AutoEnable"
                    ],
                    members: {
                      AutoEnable: {
                        locationName: "autoEnable",
                        type: "boolean"
                      }
                    }
                  },
                  Kubernetes: {
                    locationName: "kubernetes",
                    type: "structure",
                    required: [
                      "AuditLogs"
                    ],
                    members: {
                      AuditLogs: {
                        locationName: "auditLogs",
                        type: "structure",
                        required: [
                          "AutoEnable"
                        ],
                        members: {
                          AutoEnable: {
                            locationName: "autoEnable",
                            type: "boolean"
                          }
                        }
                      }
                    }
                  },
                  MalwareProtection: {
                    locationName: "malwareProtection",
                    type: "structure",
                    members: {
                      ScanEc2InstanceWithFindings: {
                        locationName: "scanEc2InstanceWithFindings",
                        type: "structure",
                        members: {
                          EbsVolumes: {
                            locationName: "ebsVolumes",
                            type: "structure",
                            members: {
                              AutoEnable: {
                                locationName: "autoEnable",
                                type: "boolean"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              Features: {
                locationName: "features",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {
                      locationName: "name"
                    },
                    AutoEnable: {
                      locationName: "autoEnable"
                    },
                    AdditionalConfiguration: {
                      locationName: "additionalConfiguration",
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {
                            locationName: "name"
                          },
                          AutoEnable: {
                            locationName: "autoEnable"
                          }
                        }
                      }
                    }
                  }
                }
              },
              AutoEnableOrganizationMembers: {
                locationName: "autoEnableOrganizationMembers"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdatePublishingDestination: {
          http: {
            requestUri: "/detector/{detectorId}/publishingDestination/{destinationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "DestinationId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              DestinationId: {
                location: "uri",
                locationName: "destinationId"
              },
              DestinationProperties: {
                shape: "S1v",
                locationName: "destinationProperties"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateThreatIntelSet: {
          http: {
            requestUri: "/detector/{detectorId}/threatintelset/{threatIntelSetId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DetectorId",
              "ThreatIntelSetId"
            ],
            members: {
              DetectorId: {
                location: "uri",
                locationName: "detectorId"
              },
              ThreatIntelSetId: {
                location: "uri",
                locationName: "threatIntelSetId"
              },
              Name: {
                locationName: "name"
              },
              Location: {
                locationName: "location"
              },
              Activate: {
                locationName: "activate",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S8: {
          type: "list",
          member: {}
        },
        Sf: {
          type: "structure",
          members: {
            S3Logs: {
              locationName: "s3Logs",
              type: "structure",
              required: [
                "Enable"
              ],
              members: {
                Enable: {
                  locationName: "enable",
                  type: "boolean"
                }
              }
            },
            Kubernetes: {
              locationName: "kubernetes",
              type: "structure",
              required: [
                "AuditLogs"
              ],
              members: {
                AuditLogs: {
                  locationName: "auditLogs",
                  type: "structure",
                  required: [
                    "Enable"
                  ],
                  members: {
                    Enable: {
                      locationName: "enable",
                      type: "boolean"
                    }
                  }
                }
              }
            },
            MalwareProtection: {
              locationName: "malwareProtection",
              type: "structure",
              members: {
                ScanEc2InstanceWithFindings: {
                  locationName: "scanEc2InstanceWithFindings",
                  type: "structure",
                  members: {
                    EbsVolumes: {
                      locationName: "ebsVolumes",
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        Sl: {
          type: "map",
          key: {},
          value: {}
        },
        So: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {
                locationName: "name"
              },
              Status: {
                locationName: "status"
              },
              AdditionalConfiguration: {
                locationName: "additionalConfiguration",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {
                      locationName: "name"
                    },
                    Status: {
                      locationName: "status"
                    }
                  }
                }
              }
            }
          }
        },
        Sx: {
          type: "structure",
          members: {
            ScanEc2InstanceWithFindings: {
              locationName: "scanEc2InstanceWithFindings",
              type: "structure",
              members: {
                EbsVolumes: {
                  locationName: "ebsVolumes",
                  type: "structure",
                  members: {
                    Status: {
                      locationName: "status"
                    },
                    Reason: {
                      locationName: "reason"
                    }
                  }
                }
              }
            },
            ServiceRole: {
              locationName: "serviceRole"
            }
          }
        },
        S16: {
          type: "structure",
          members: {
            Criterion: {
              locationName: "criterion",
              type: "map",
              key: {},
              value: {
                type: "structure",
                members: {
                  Eq: {
                    deprecated: true,
                    locationName: "eq",
                    type: "list",
                    member: {}
                  },
                  Neq: {
                    deprecated: true,
                    locationName: "neq",
                    type: "list",
                    member: {}
                  },
                  Gt: {
                    deprecated: true,
                    locationName: "gt",
                    type: "integer"
                  },
                  Gte: {
                    deprecated: true,
                    locationName: "gte",
                    type: "integer"
                  },
                  Lt: {
                    deprecated: true,
                    locationName: "lt",
                    type: "integer"
                  },
                  Lte: {
                    deprecated: true,
                    locationName: "lte",
                    type: "integer"
                  },
                  Equals: {
                    shape: "S1c",
                    locationName: "equals"
                  },
                  NotEquals: {
                    shape: "S1d",
                    locationName: "notEquals"
                  },
                  GreaterThan: {
                    locationName: "greaterThan",
                    type: "long"
                  },
                  GreaterThanOrEqual: {
                    locationName: "greaterThanOrEqual",
                    type: "long"
                  },
                  LessThan: {
                    locationName: "lessThan",
                    type: "long"
                  },
                  LessThanOrEqual: {
                    locationName: "lessThanOrEqual",
                    type: "long"
                  }
                }
              }
            }
          }
        },
        S1c: {
          type: "list",
          member: {}
        },
        S1d: {
          type: "list",
          member: {}
        },
        S1r: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AccountId",
              "Result"
            ],
            members: {
              AccountId: {
                locationName: "accountId"
              },
              Result: {
                locationName: "result"
              }
            }
          }
        },
        S1v: {
          type: "structure",
          members: {
            DestinationArn: {
              locationName: "destinationArn"
            },
            KmsKeyArn: {
              locationName: "kmsKeyArn"
            }
          }
        },
        S25: {
          type: "list",
          member: {}
        },
        S2u: {
          type: "structure",
          members: {
            AttributeName: {
              locationName: "attributeName"
            },
            OrderBy: {
              locationName: "orderBy"
            }
          }
        },
        S37: {
          type: "list",
          member: {
            type: "structure",
            members: {
              VolumeArn: {
                locationName: "volumeArn"
              },
              VolumeType: {
                locationName: "volumeType"
              },
              DeviceName: {
                locationName: "deviceName"
              },
              VolumeSizeInGB: {
                locationName: "volumeSizeInGB",
                type: "integer"
              },
              EncryptionType: {
                locationName: "encryptionType"
              },
              SnapshotArn: {
                locationName: "snapshotArn"
              },
              KmsKeyArn: {
                locationName: "kmsKeyArn"
              }
            }
          }
        },
        S49: {
          type: "structure",
          members: {
            FilterCriterion: {
              locationName: "filterCriterion",
              type: "list",
              member: {
                type: "structure",
                members: {
                  CriterionKey: {
                    locationName: "criterionKey"
                  },
                  FilterCondition: {
                    locationName: "filterCondition",
                    type: "structure",
                    members: {
                      Equals: {
                        shape: "S1c",
                        locationName: "equals"
                      },
                      NotEquals: {
                        shape: "S1d",
                        locationName: "notEquals"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S4p: {
          type: "structure",
          required: [
            "CloudTrail",
            "DNSLogs",
            "FlowLogs",
            "S3Logs"
          ],
          members: {
            CloudTrail: {
              locationName: "cloudTrail",
              type: "structure",
              required: [
                "Status"
              ],
              members: {
                Status: {
                  locationName: "status"
                }
              }
            },
            DNSLogs: {
              locationName: "dnsLogs",
              type: "structure",
              required: [
                "Status"
              ],
              members: {
                Status: {
                  locationName: "status"
                }
              }
            },
            FlowLogs: {
              locationName: "flowLogs",
              type: "structure",
              required: [
                "Status"
              ],
              members: {
                Status: {
                  locationName: "status"
                }
              }
            },
            S3Logs: {
              locationName: "s3Logs",
              type: "structure",
              required: [
                "Status"
              ],
              members: {
                Status: {
                  locationName: "status"
                }
              }
            },
            Kubernetes: {
              locationName: "kubernetes",
              type: "structure",
              required: [
                "AuditLogs"
              ],
              members: {
                AuditLogs: {
                  locationName: "auditLogs",
                  type: "structure",
                  required: [
                    "Status"
                  ],
                  members: {
                    Status: {
                      locationName: "status"
                    }
                  }
                }
              }
            },
            MalwareProtection: {
              shape: "Sx",
              locationName: "malwareProtection"
            }
          }
        },
        S5d: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {
                locationName: "key"
              },
              Value: {
                locationName: "value"
              }
            }
          }
        },
        S5l: {
          type: "structure",
          members: {
            IgnorePublicAcls: {
              locationName: "ignorePublicAcls",
              type: "boolean"
            },
            RestrictPublicBuckets: {
              locationName: "restrictPublicBuckets",
              type: "boolean"
            },
            BlockPublicAcls: {
              locationName: "blockPublicAcls",
              type: "boolean"
            },
            BlockPublicPolicy: {
              locationName: "blockPublicPolicy",
              type: "boolean"
            }
          }
        },
        S5u: {
          type: "list",
          member: {
            type: "structure",
            members: {
              GroupId: {
                locationName: "groupId"
              },
              GroupName: {
                locationName: "groupName"
              }
            }
          }
        },
        S64: {
          type: "list",
          member: {
            shape: "S65"
          }
        },
        S65: {
          type: "structure",
          members: {
            ContainerRuntime: {
              locationName: "containerRuntime"
            },
            Id: {
              locationName: "id"
            },
            Name: {
              locationName: "name"
            },
            Image: {
              locationName: "image"
            },
            ImagePrefix: {
              locationName: "imagePrefix"
            },
            VolumeMounts: {
              locationName: "volumeMounts",
              type: "list",
              member: {
                type: "structure",
                members: {
                  Name: {
                    locationName: "name"
                  },
                  MountPath: {
                    locationName: "mountPath"
                  }
                }
              }
            },
            SecurityContext: {
              locationName: "securityContext",
              type: "structure",
              members: {
                Privileged: {
                  locationName: "privileged",
                  type: "boolean"
                }
              }
            }
          }
        },
        S69: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {
                locationName: "name"
              },
              HostPath: {
                locationName: "hostPath",
                type: "structure",
                members: {
                  Path: {
                    locationName: "path"
                  }
                }
              }
            }
          }
        },
        S6o: {
          type: "structure",
          members: {
            City: {
              locationName: "city",
              type: "structure",
              members: {
                CityName: {
                  locationName: "cityName"
                }
              }
            },
            Country: {
              locationName: "country",
              type: "structure",
              members: {
                CountryCode: {
                  locationName: "countryCode"
                },
                CountryName: {
                  locationName: "countryName"
                }
              }
            },
            GeoLocation: {
              locationName: "geoLocation",
              type: "structure",
              members: {
                Lat: {
                  locationName: "lat",
                  type: "double"
                },
                Lon: {
                  locationName: "lon",
                  type: "double"
                }
              }
            },
            IpAddressV4: {
              locationName: "ipAddressV4"
            },
            Organization: {
              locationName: "organization",
              type: "structure",
              members: {
                Asn: {
                  locationName: "asn"
                },
                AsnOrg: {
                  locationName: "asnOrg"
                },
                Isp: {
                  locationName: "isp"
                },
                Org: {
                  locationName: "org"
                }
              }
            }
          }
        },
        S6x: {
          type: "structure",
          members: {
            Port: {
              locationName: "port",
              type: "integer"
            },
            PortName: {
              locationName: "portName"
            }
          }
        },
        S6y: {
          type: "structure",
          members: {
            IpAddressV4: {
              locationName: "ipAddressV4"
            }
          }
        },
        S7p: {
          type: "structure",
          members: {
            Name: {
              locationName: "name"
            },
            ExecutablePath: {
              locationName: "executablePath"
            },
            ExecutableSha256: {
              locationName: "executableSha256"
            },
            NamespacePid: {
              locationName: "namespacePid",
              type: "integer"
            },
            Pwd: {
              locationName: "pwd"
            },
            Pid: {
              locationName: "pid",
              type: "integer"
            },
            StartTime: {
              locationName: "startTime",
              type: "timestamp"
            },
            Uuid: {
              locationName: "uuid"
            },
            ParentUuid: {
              locationName: "parentUuid"
            },
            User: {
              locationName: "user"
            },
            UserId: {
              locationName: "userId",
              type: "integer"
            },
            Euid: {
              locationName: "euid",
              type: "integer"
            },
            Lineage: {
              locationName: "lineage",
              type: "list",
              member: {
                type: "structure",
                members: {
                  StartTime: {
                    locationName: "startTime",
                    type: "timestamp"
                  },
                  NamespacePid: {
                    locationName: "namespacePid",
                    type: "integer"
                  },
                  UserId: {
                    locationName: "userId",
                    type: "integer"
                  },
                  Name: {
                    locationName: "name"
                  },
                  Pid: {
                    locationName: "pid",
                    type: "integer"
                  },
                  Uuid: {
                    locationName: "uuid"
                  },
                  ExecutablePath: {
                    locationName: "executablePath"
                  },
                  Euid: {
                    locationName: "euid",
                    type: "integer"
                  },
                  ParentUuid: {
                    locationName: "parentUuid"
                  }
                }
              }
            }
          }
        },
        S88: {
          type: "structure",
          members: {
            Include: {
              shape: "S89",
              locationName: "include"
            },
            Exclude: {
              shape: "S89",
              locationName: "exclude"
            }
          }
        },
        S89: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "MapEquals"
            ],
            members: {
              MapEquals: {
                locationName: "mapEquals",
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key"
                  ],
                  members: {
                    Key: {
                      locationName: "key"
                    },
                    Value: {
                      locationName: "value"
                    }
                  }
                }
              }
            }
          }
        },
        S8s: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AccountId",
              "MasterId",
              "Email",
              "RelationshipStatus",
              "UpdatedAt"
            ],
            members: {
              AccountId: {
                locationName: "accountId"
              },
              DetectorId: {
                locationName: "detectorId"
              },
              MasterId: {
                locationName: "masterId"
              },
              Email: {
                locationName: "email"
              },
              RelationshipStatus: {
                locationName: "relationshipStatus"
              },
              InvitedAt: {
                locationName: "invitedAt"
              },
              UpdatedAt: {
                locationName: "updatedAt"
              },
              AdministratorId: {
                locationName: "administratorId"
              }
            }
          }
        },
        S8z: {
          type: "structure",
          members: {
            FreeTrialDaysRemaining: {
              locationName: "freeTrialDaysRemaining",
              type: "integer"
            }
          }
        },
        S9k: {
          type: "structure",
          members: {
            Amount: {
              locationName: "amount"
            },
            Unit: {
              locationName: "unit"
            }
          }
        },
        S9n: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Resource: {
                locationName: "resource"
              },
              Total: {
                shape: "S9k",
                locationName: "total"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/guardduty-2017-11-28.paginators.json
var require_guardduty_2017_11_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/guardduty-2017-11-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeMalwareScans: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Scans"
        },
        DescribeOrganizationConfiguration: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        GetUsageStatistics: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListCoverage: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Resources"
        },
        ListDetectors: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DetectorIds"
        },
        ListFilters: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "FilterNames"
        },
        ListFindings: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "FindingIds"
        },
        ListIPSets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "IpSetIds"
        },
        ListInvitations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Invitations"
        },
        ListMembers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Members"
        },
        ListOrganizationAdminAccounts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "AdminAccounts"
        },
        ListPublishingDestinations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListThreatIntelSets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ThreatIntelSetIds"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/guardduty.js
var require_guardduty = __commonJS({
  "node_modules/aws-sdk/clients/guardduty.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["guardduty"] = {};
    AWS2.GuardDuty = Service.defineService("guardduty", ["2017-11-28"]);
    Object.defineProperty(apiLoader.services["guardduty"], "2017-11-28", {
      get: function get() {
        var model = require_guardduty_2017_11_28_min();
        model.paginators = require_guardduty_2017_11_28_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.GuardDuty;
  }
});

// node_modules/aws-sdk/apis/mq-2017-11-27.min.json
var require_mq_2017_11_27_min = __commonJS({
  "node_modules/aws-sdk/apis/mq-2017-11-27.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2017-11-27",
        endpointPrefix: "mq",
        signingName: "mq",
        serviceFullName: "AmazonMQ",
        serviceId: "mq",
        protocol: "rest-json",
        jsonVersion: "1.1",
        uid: "mq-2017-11-27",
        signatureVersion: "v4"
      },
      operations: {
        CreateBroker: {
          http: {
            requestUri: "/v1/brokers",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AuthenticationStrategy: {
                locationName: "authenticationStrategy"
              },
              AutoMinorVersionUpgrade: {
                locationName: "autoMinorVersionUpgrade",
                type: "boolean"
              },
              BrokerName: {
                locationName: "brokerName"
              },
              Configuration: {
                shape: "S5",
                locationName: "configuration"
              },
              CreatorRequestId: {
                locationName: "creatorRequestId",
                idempotencyToken: true
              },
              DeploymentMode: {
                locationName: "deploymentMode"
              },
              EncryptionOptions: {
                shape: "S8",
                locationName: "encryptionOptions"
              },
              EngineType: {
                locationName: "engineType"
              },
              EngineVersion: {
                locationName: "engineVersion"
              },
              HostInstanceType: {
                locationName: "hostInstanceType"
              },
              LdapServerMetadata: {
                shape: "Sa",
                locationName: "ldapServerMetadata"
              },
              Logs: {
                shape: "Sc",
                locationName: "logs"
              },
              MaintenanceWindowStartTime: {
                shape: "Sd",
                locationName: "maintenanceWindowStartTime"
              },
              PubliclyAccessible: {
                locationName: "publiclyAccessible",
                type: "boolean"
              },
              SecurityGroups: {
                shape: "Sb",
                locationName: "securityGroups"
              },
              StorageType: {
                locationName: "storageType"
              },
              SubnetIds: {
                shape: "Sb",
                locationName: "subnetIds"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              },
              Users: {
                locationName: "users",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ConsoleAccess: {
                      locationName: "consoleAccess",
                      type: "boolean"
                    },
                    Groups: {
                      shape: "Sb",
                      locationName: "groups"
                    },
                    Password: {
                      locationName: "password"
                    },
                    Username: {
                      locationName: "username"
                    },
                    ReplicationUser: {
                      locationName: "replicationUser",
                      type: "boolean"
                    }
                  },
                  required: [
                    "Username",
                    "Password"
                  ]
                }
              },
              DataReplicationMode: {
                locationName: "dataReplicationMode"
              },
              DataReplicationPrimaryBrokerArn: {
                locationName: "dataReplicationPrimaryBrokerArn"
              }
            },
            required: [
              "EngineVersion",
              "HostInstanceType",
              "AutoMinorVersionUpgrade",
              "Users",
              "BrokerName",
              "DeploymentMode",
              "EngineType",
              "PubliclyAccessible"
            ]
          },
          output: {
            type: "structure",
            members: {
              BrokerArn: {
                locationName: "brokerArn"
              },
              BrokerId: {
                locationName: "brokerId"
              }
            }
          }
        },
        CreateConfiguration: {
          http: {
            requestUri: "/v1/configurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AuthenticationStrategy: {
                locationName: "authenticationStrategy"
              },
              EngineType: {
                locationName: "engineType"
              },
              EngineVersion: {
                locationName: "engineVersion"
              },
              Name: {
                locationName: "name"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              }
            },
            required: [
              "EngineVersion",
              "EngineType",
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              AuthenticationStrategy: {
                locationName: "authenticationStrategy"
              },
              Created: {
                shape: "Sn",
                locationName: "created"
              },
              Id: {
                locationName: "id"
              },
              LatestRevision: {
                shape: "So",
                locationName: "latestRevision"
              },
              Name: {
                locationName: "name"
              }
            }
          }
        },
        CreateTags: {
          http: {
            requestUri: "/v1/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              }
            },
            required: [
              "ResourceArn"
            ]
          }
        },
        CreateUser: {
          http: {
            requestUri: "/v1/brokers/{broker-id}/users/{username}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BrokerId: {
                location: "uri",
                locationName: "broker-id"
              },
              ConsoleAccess: {
                locationName: "consoleAccess",
                type: "boolean"
              },
              Groups: {
                shape: "Sb",
                locationName: "groups"
              },
              Password: {
                locationName: "password"
              },
              Username: {
                location: "uri",
                locationName: "username"
              },
              ReplicationUser: {
                locationName: "replicationUser",
                type: "boolean"
              }
            },
            required: [
              "Username",
              "BrokerId",
              "Password"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteBroker: {
          http: {
            method: "DELETE",
            requestUri: "/v1/brokers/{broker-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BrokerId: {
                location: "uri",
                locationName: "broker-id"
              }
            },
            required: [
              "BrokerId"
            ]
          },
          output: {
            type: "structure",
            members: {
              BrokerId: {
                locationName: "brokerId"
              }
            }
          }
        },
        DeleteTags: {
          http: {
            method: "DELETE",
            requestUri: "/v1/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              TagKeys: {
                shape: "Sb",
                location: "querystring",
                locationName: "tagKeys"
              }
            },
            required: [
              "TagKeys",
              "ResourceArn"
            ]
          }
        },
        DeleteUser: {
          http: {
            method: "DELETE",
            requestUri: "/v1/brokers/{broker-id}/users/{username}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BrokerId: {
                location: "uri",
                locationName: "broker-id"
              },
              Username: {
                location: "uri",
                locationName: "username"
              }
            },
            required: [
              "Username",
              "BrokerId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeBroker: {
          http: {
            method: "GET",
            requestUri: "/v1/brokers/{broker-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BrokerId: {
                location: "uri",
                locationName: "broker-id"
              }
            },
            required: [
              "BrokerId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ActionsRequired: {
                locationName: "actionsRequired",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ActionRequiredCode: {
                      locationName: "actionRequiredCode"
                    },
                    ActionRequiredInfo: {
                      locationName: "actionRequiredInfo"
                    }
                  }
                }
              },
              AuthenticationStrategy: {
                locationName: "authenticationStrategy"
              },
              AutoMinorVersionUpgrade: {
                locationName: "autoMinorVersionUpgrade",
                type: "boolean"
              },
              BrokerArn: {
                locationName: "brokerArn"
              },
              BrokerId: {
                locationName: "brokerId"
              },
              BrokerInstances: {
                locationName: "brokerInstances",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ConsoleURL: {
                      locationName: "consoleURL"
                    },
                    Endpoints: {
                      shape: "Sb",
                      locationName: "endpoints"
                    },
                    IpAddress: {
                      locationName: "ipAddress"
                    }
                  }
                }
              },
              BrokerName: {
                locationName: "brokerName"
              },
              BrokerState: {
                locationName: "brokerState"
              },
              Configurations: {
                locationName: "configurations",
                type: "structure",
                members: {
                  Current: {
                    shape: "S5",
                    locationName: "current"
                  },
                  History: {
                    locationName: "history",
                    type: "list",
                    member: {
                      shape: "S5"
                    }
                  },
                  Pending: {
                    shape: "S5",
                    locationName: "pending"
                  }
                }
              },
              Created: {
                shape: "Sn",
                locationName: "created"
              },
              DeploymentMode: {
                locationName: "deploymentMode"
              },
              EncryptionOptions: {
                shape: "S8",
                locationName: "encryptionOptions"
              },
              EngineType: {
                locationName: "engineType"
              },
              EngineVersion: {
                locationName: "engineVersion"
              },
              HostInstanceType: {
                locationName: "hostInstanceType"
              },
              LdapServerMetadata: {
                shape: "S16",
                locationName: "ldapServerMetadata"
              },
              Logs: {
                locationName: "logs",
                type: "structure",
                members: {
                  Audit: {
                    locationName: "audit",
                    type: "boolean"
                  },
                  AuditLogGroup: {
                    locationName: "auditLogGroup"
                  },
                  General: {
                    locationName: "general",
                    type: "boolean"
                  },
                  GeneralLogGroup: {
                    locationName: "generalLogGroup"
                  },
                  Pending: {
                    locationName: "pending",
                    type: "structure",
                    members: {
                      Audit: {
                        locationName: "audit",
                        type: "boolean"
                      },
                      General: {
                        locationName: "general",
                        type: "boolean"
                      }
                    }
                  }
                },
                required: [
                  "GeneralLogGroup",
                  "General"
                ]
              },
              MaintenanceWindowStartTime: {
                shape: "Sd",
                locationName: "maintenanceWindowStartTime"
              },
              PendingAuthenticationStrategy: {
                locationName: "pendingAuthenticationStrategy"
              },
              PendingEngineVersion: {
                locationName: "pendingEngineVersion"
              },
              PendingHostInstanceType: {
                locationName: "pendingHostInstanceType"
              },
              PendingLdapServerMetadata: {
                shape: "S16",
                locationName: "pendingLdapServerMetadata"
              },
              PendingSecurityGroups: {
                shape: "Sb",
                locationName: "pendingSecurityGroups"
              },
              PubliclyAccessible: {
                locationName: "publiclyAccessible",
                type: "boolean"
              },
              SecurityGroups: {
                shape: "Sb",
                locationName: "securityGroups"
              },
              StorageType: {
                locationName: "storageType"
              },
              SubnetIds: {
                shape: "Sb",
                locationName: "subnetIds"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              },
              Users: {
                shape: "S19",
                locationName: "users"
              },
              DataReplicationMetadata: {
                shape: "S1c",
                locationName: "dataReplicationMetadata"
              },
              DataReplicationMode: {
                locationName: "dataReplicationMode"
              },
              PendingDataReplicationMetadata: {
                shape: "S1c",
                locationName: "pendingDataReplicationMetadata"
              },
              PendingDataReplicationMode: {
                locationName: "pendingDataReplicationMode"
              }
            }
          }
        },
        DescribeBrokerEngineTypes: {
          http: {
            method: "GET",
            requestUri: "/v1/broker-engine-types",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              EngineType: {
                location: "querystring",
                locationName: "engineType"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BrokerEngineTypes: {
                locationName: "brokerEngineTypes",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EngineType: {
                      locationName: "engineType"
                    },
                    EngineVersions: {
                      locationName: "engineVersions",
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {
                            locationName: "name"
                          }
                        }
                      }
                    }
                  }
                }
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeBrokerInstanceOptions: {
          http: {
            method: "GET",
            requestUri: "/v1/broker-instance-options",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              EngineType: {
                location: "querystring",
                locationName: "engineType"
              },
              HostInstanceType: {
                location: "querystring",
                locationName: "hostInstanceType"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              StorageType: {
                location: "querystring",
                locationName: "storageType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BrokerInstanceOptions: {
                locationName: "brokerInstanceOptions",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AvailabilityZones: {
                      locationName: "availabilityZones",
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {
                            locationName: "name"
                          }
                        }
                      }
                    },
                    EngineType: {
                      locationName: "engineType"
                    },
                    HostInstanceType: {
                      locationName: "hostInstanceType"
                    },
                    StorageType: {
                      locationName: "storageType"
                    },
                    SupportedDeploymentModes: {
                      locationName: "supportedDeploymentModes",
                      type: "list",
                      member: {}
                    },
                    SupportedEngineVersions: {
                      shape: "Sb",
                      locationName: "supportedEngineVersions"
                    }
                  }
                }
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeConfiguration: {
          http: {
            method: "GET",
            requestUri: "/v1/configurations/{configuration-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConfigurationId: {
                location: "uri",
                locationName: "configuration-id"
              }
            },
            required: [
              "ConfigurationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              AuthenticationStrategy: {
                locationName: "authenticationStrategy"
              },
              Created: {
                shape: "Sn",
                locationName: "created"
              },
              Description: {
                locationName: "description"
              },
              EngineType: {
                locationName: "engineType"
              },
              EngineVersion: {
                locationName: "engineVersion"
              },
              Id: {
                locationName: "id"
              },
              LatestRevision: {
                shape: "So",
                locationName: "latestRevision"
              },
              Name: {
                locationName: "name"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              }
            }
          }
        },
        DescribeConfigurationRevision: {
          http: {
            method: "GET",
            requestUri: "/v1/configurations/{configuration-id}/revisions/{configuration-revision}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConfigurationId: {
                location: "uri",
                locationName: "configuration-id"
              },
              ConfigurationRevision: {
                location: "uri",
                locationName: "configuration-revision"
              }
            },
            required: [
              "ConfigurationRevision",
              "ConfigurationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ConfigurationId: {
                locationName: "configurationId"
              },
              Created: {
                shape: "Sn",
                locationName: "created"
              },
              Data: {
                locationName: "data"
              },
              Description: {
                locationName: "description"
              }
            }
          }
        },
        DescribeUser: {
          http: {
            method: "GET",
            requestUri: "/v1/brokers/{broker-id}/users/{username}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BrokerId: {
                location: "uri",
                locationName: "broker-id"
              },
              Username: {
                location: "uri",
                locationName: "username"
              }
            },
            required: [
              "Username",
              "BrokerId"
            ]
          },
          output: {
            type: "structure",
            members: {
              BrokerId: {
                locationName: "brokerId"
              },
              ConsoleAccess: {
                locationName: "consoleAccess",
                type: "boolean"
              },
              Groups: {
                shape: "Sb",
                locationName: "groups"
              },
              Pending: {
                locationName: "pending",
                type: "structure",
                members: {
                  ConsoleAccess: {
                    locationName: "consoleAccess",
                    type: "boolean"
                  },
                  Groups: {
                    shape: "Sb",
                    locationName: "groups"
                  },
                  PendingChange: {
                    locationName: "pendingChange"
                  }
                },
                required: [
                  "PendingChange"
                ]
              },
              Username: {
                locationName: "username"
              },
              ReplicationUser: {
                locationName: "replicationUser",
                type: "boolean"
              }
            }
          }
        },
        ListBrokers: {
          http: {
            method: "GET",
            requestUri: "/v1/brokers",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BrokerSummaries: {
                locationName: "brokerSummaries",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    BrokerArn: {
                      locationName: "brokerArn"
                    },
                    BrokerId: {
                      locationName: "brokerId"
                    },
                    BrokerName: {
                      locationName: "brokerName"
                    },
                    BrokerState: {
                      locationName: "brokerState"
                    },
                    Created: {
                      shape: "Sn",
                      locationName: "created"
                    },
                    DeploymentMode: {
                      locationName: "deploymentMode"
                    },
                    EngineType: {
                      locationName: "engineType"
                    },
                    HostInstanceType: {
                      locationName: "hostInstanceType"
                    }
                  },
                  required: [
                    "DeploymentMode",
                    "EngineType"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListConfigurationRevisions: {
          http: {
            method: "GET",
            requestUri: "/v1/configurations/{configuration-id}/revisions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConfigurationId: {
                location: "uri",
                locationName: "configuration-id"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "ConfigurationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ConfigurationId: {
                locationName: "configurationId"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              },
              Revisions: {
                locationName: "revisions",
                type: "list",
                member: {
                  shape: "So"
                }
              }
            }
          }
        },
        ListConfigurations: {
          http: {
            method: "GET",
            requestUri: "/v1/configurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Configurations: {
                locationName: "configurations",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {
                      locationName: "arn"
                    },
                    AuthenticationStrategy: {
                      locationName: "authenticationStrategy"
                    },
                    Created: {
                      shape: "Sn",
                      locationName: "created"
                    },
                    Description: {
                      locationName: "description"
                    },
                    EngineType: {
                      locationName: "engineType"
                    },
                    EngineVersion: {
                      locationName: "engineVersion"
                    },
                    Id: {
                      locationName: "id"
                    },
                    LatestRevision: {
                      shape: "So",
                      locationName: "latestRevision"
                    },
                    Name: {
                      locationName: "name"
                    },
                    Tags: {
                      shape: "Sg",
                      locationName: "tags"
                    }
                  },
                  required: [
                    "Description",
                    "EngineVersion",
                    "LatestRevision",
                    "AuthenticationStrategy",
                    "EngineType",
                    "Id",
                    "Arn",
                    "Name",
                    "Created"
                  ]
                }
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListTags: {
          http: {
            method: "GET",
            requestUri: "/v1/tags/{resource-arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              }
            },
            required: [
              "ResourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sg",
                locationName: "tags"
              }
            }
          }
        },
        ListUsers: {
          http: {
            method: "GET",
            requestUri: "/v1/brokers/{broker-id}/users",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BrokerId: {
                location: "uri",
                locationName: "broker-id"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "BrokerId"
            ]
          },
          output: {
            type: "structure",
            members: {
              BrokerId: {
                locationName: "brokerId"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              },
              Users: {
                shape: "S19",
                locationName: "users"
              }
            }
          }
        },
        Promote: {
          http: {
            requestUri: "/v1/brokers/{broker-id}/promote",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BrokerId: {
                location: "uri",
                locationName: "broker-id"
              },
              Mode: {
                locationName: "mode"
              }
            },
            required: [
              "BrokerId",
              "Mode"
            ]
          },
          output: {
            type: "structure",
            members: {
              BrokerId: {
                locationName: "brokerId"
              }
            }
          }
        },
        RebootBroker: {
          http: {
            requestUri: "/v1/brokers/{broker-id}/reboot",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BrokerId: {
                location: "uri",
                locationName: "broker-id"
              }
            },
            required: [
              "BrokerId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateBroker: {
          http: {
            method: "PUT",
            requestUri: "/v1/brokers/{broker-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AuthenticationStrategy: {
                locationName: "authenticationStrategy"
              },
              AutoMinorVersionUpgrade: {
                locationName: "autoMinorVersionUpgrade",
                type: "boolean"
              },
              BrokerId: {
                location: "uri",
                locationName: "broker-id"
              },
              Configuration: {
                shape: "S5",
                locationName: "configuration"
              },
              EngineVersion: {
                locationName: "engineVersion"
              },
              HostInstanceType: {
                locationName: "hostInstanceType"
              },
              LdapServerMetadata: {
                shape: "Sa",
                locationName: "ldapServerMetadata"
              },
              Logs: {
                shape: "Sc",
                locationName: "logs"
              },
              MaintenanceWindowStartTime: {
                shape: "Sd",
                locationName: "maintenanceWindowStartTime"
              },
              SecurityGroups: {
                shape: "Sb",
                locationName: "securityGroups"
              },
              DataReplicationMode: {
                locationName: "dataReplicationMode"
              }
            },
            required: [
              "BrokerId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AuthenticationStrategy: {
                locationName: "authenticationStrategy"
              },
              AutoMinorVersionUpgrade: {
                locationName: "autoMinorVersionUpgrade",
                type: "boolean"
              },
              BrokerId: {
                locationName: "brokerId"
              },
              Configuration: {
                shape: "S5",
                locationName: "configuration"
              },
              EngineVersion: {
                locationName: "engineVersion"
              },
              HostInstanceType: {
                locationName: "hostInstanceType"
              },
              LdapServerMetadata: {
                shape: "S16",
                locationName: "ldapServerMetadata"
              },
              Logs: {
                shape: "Sc",
                locationName: "logs"
              },
              MaintenanceWindowStartTime: {
                shape: "Sd",
                locationName: "maintenanceWindowStartTime"
              },
              SecurityGroups: {
                shape: "Sb",
                locationName: "securityGroups"
              },
              DataReplicationMetadata: {
                shape: "S1c",
                locationName: "dataReplicationMetadata"
              },
              DataReplicationMode: {
                locationName: "dataReplicationMode"
              },
              PendingDataReplicationMetadata: {
                shape: "S1c",
                locationName: "pendingDataReplicationMetadata"
              },
              PendingDataReplicationMode: {
                locationName: "pendingDataReplicationMode"
              }
            }
          }
        },
        UpdateConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/v1/configurations/{configuration-id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConfigurationId: {
                location: "uri",
                locationName: "configuration-id"
              },
              Data: {
                locationName: "data"
              },
              Description: {
                locationName: "description"
              }
            },
            required: [
              "ConfigurationId",
              "Data"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              Created: {
                shape: "Sn",
                locationName: "created"
              },
              Id: {
                locationName: "id"
              },
              LatestRevision: {
                shape: "So",
                locationName: "latestRevision"
              },
              Name: {
                locationName: "name"
              },
              Warnings: {
                locationName: "warnings",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AttributeName: {
                      locationName: "attributeName"
                    },
                    ElementName: {
                      locationName: "elementName"
                    },
                    Reason: {
                      locationName: "reason"
                    }
                  },
                  required: [
                    "Reason"
                  ]
                }
              }
            }
          }
        },
        UpdateUser: {
          http: {
            method: "PUT",
            requestUri: "/v1/brokers/{broker-id}/users/{username}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BrokerId: {
                location: "uri",
                locationName: "broker-id"
              },
              ConsoleAccess: {
                locationName: "consoleAccess",
                type: "boolean"
              },
              Groups: {
                shape: "Sb",
                locationName: "groups"
              },
              Password: {
                locationName: "password"
              },
              Username: {
                location: "uri",
                locationName: "username"
              },
              ReplicationUser: {
                locationName: "replicationUser",
                type: "boolean"
              }
            },
            required: [
              "Username",
              "BrokerId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          members: {
            Id: {
              locationName: "id"
            },
            Revision: {
              locationName: "revision",
              type: "integer"
            }
          },
          required: [
            "Id"
          ]
        },
        S8: {
          type: "structure",
          members: {
            KmsKeyId: {
              locationName: "kmsKeyId"
            },
            UseAwsOwnedKey: {
              locationName: "useAwsOwnedKey",
              type: "boolean"
            }
          },
          required: [
            "UseAwsOwnedKey"
          ]
        },
        Sa: {
          type: "structure",
          members: {
            Hosts: {
              shape: "Sb",
              locationName: "hosts"
            },
            RoleBase: {
              locationName: "roleBase"
            },
            RoleName: {
              locationName: "roleName"
            },
            RoleSearchMatching: {
              locationName: "roleSearchMatching"
            },
            RoleSearchSubtree: {
              locationName: "roleSearchSubtree",
              type: "boolean"
            },
            ServiceAccountPassword: {
              locationName: "serviceAccountPassword"
            },
            ServiceAccountUsername: {
              locationName: "serviceAccountUsername"
            },
            UserBase: {
              locationName: "userBase"
            },
            UserRoleName: {
              locationName: "userRoleName"
            },
            UserSearchMatching: {
              locationName: "userSearchMatching"
            },
            UserSearchSubtree: {
              locationName: "userSearchSubtree",
              type: "boolean"
            }
          },
          required: [
            "Hosts",
            "UserSearchMatching",
            "UserBase",
            "RoleSearchMatching",
            "ServiceAccountUsername",
            "RoleBase",
            "ServiceAccountPassword"
          ]
        },
        Sb: {
          type: "list",
          member: {}
        },
        Sc: {
          type: "structure",
          members: {
            Audit: {
              locationName: "audit",
              type: "boolean"
            },
            General: {
              locationName: "general",
              type: "boolean"
            }
          }
        },
        Sd: {
          type: "structure",
          members: {
            DayOfWeek: {
              locationName: "dayOfWeek"
            },
            TimeOfDay: {
              locationName: "timeOfDay"
            },
            TimeZone: {
              locationName: "timeZone"
            }
          },
          required: [
            "TimeOfDay",
            "DayOfWeek"
          ]
        },
        Sg: {
          type: "map",
          key: {},
          value: {}
        },
        Sn: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        So: {
          type: "structure",
          members: {
            Created: {
              shape: "Sn",
              locationName: "created"
            },
            Description: {
              locationName: "description"
            },
            Revision: {
              locationName: "revision",
              type: "integer"
            }
          },
          required: [
            "Revision",
            "Created"
          ]
        },
        S16: {
          type: "structure",
          members: {
            Hosts: {
              shape: "Sb",
              locationName: "hosts"
            },
            RoleBase: {
              locationName: "roleBase"
            },
            RoleName: {
              locationName: "roleName"
            },
            RoleSearchMatching: {
              locationName: "roleSearchMatching"
            },
            RoleSearchSubtree: {
              locationName: "roleSearchSubtree",
              type: "boolean"
            },
            ServiceAccountUsername: {
              locationName: "serviceAccountUsername"
            },
            UserBase: {
              locationName: "userBase"
            },
            UserRoleName: {
              locationName: "userRoleName"
            },
            UserSearchMatching: {
              locationName: "userSearchMatching"
            },
            UserSearchSubtree: {
              locationName: "userSearchSubtree",
              type: "boolean"
            }
          },
          required: [
            "Hosts",
            "UserSearchMatching",
            "UserBase",
            "RoleSearchMatching",
            "ServiceAccountUsername",
            "RoleBase"
          ]
        },
        S19: {
          type: "list",
          member: {
            type: "structure",
            members: {
              PendingChange: {
                locationName: "pendingChange"
              },
              Username: {
                locationName: "username"
              }
            },
            required: [
              "Username"
            ]
          }
        },
        S1c: {
          type: "structure",
          members: {
            DataReplicationCounterpart: {
              locationName: "dataReplicationCounterpart",
              type: "structure",
              members: {
                BrokerId: {
                  locationName: "brokerId"
                },
                Region: {
                  locationName: "region"
                }
              },
              required: [
                "BrokerId",
                "Region"
              ]
            },
            DataReplicationRole: {
              locationName: "dataReplicationRole"
            }
          },
          required: [
            "DataReplicationRole"
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/mq-2017-11-27.paginators.json
var require_mq_2017_11_27_paginators = __commonJS({
  "node_modules/aws-sdk/apis/mq-2017-11-27.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListBrokers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "BrokerSummaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/mq.js
var require_mq = __commonJS({
  "node_modules/aws-sdk/clients/mq.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["mq"] = {};
    AWS2.MQ = Service.defineService("mq", ["2017-11-27"]);
    Object.defineProperty(apiLoader.services["mq"], "2017-11-27", {
      get: function get() {
        var model = require_mq_2017_11_27_min();
        model.paginators = require_mq_2017_11_27_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MQ;
  }
});

// node_modules/aws-sdk/apis/comprehend-2017-11-27.min.json
var require_comprehend_2017_11_27_min = __commonJS({
  "node_modules/aws-sdk/apis/comprehend-2017-11-27.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-11-27",
        endpointPrefix: "comprehend",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Comprehend",
        serviceId: "Comprehend",
        signatureVersion: "v4",
        signingName: "comprehend",
        targetPrefix: "Comprehend_20171127",
        uid: "comprehend-2017-11-27"
      },
      operations: {
        BatchDetectDominantLanguage: {
          input: {
            type: "structure",
            required: [
              "TextList"
            ],
            members: {
              TextList: {
                shape: "S2"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ResultList",
              "ErrorList"
            ],
            members: {
              ResultList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Index: {
                      type: "integer"
                    },
                    Languages: {
                      shape: "S8"
                    }
                  }
                }
              },
              ErrorList: {
                shape: "Sc"
              }
            },
            sensitive: true
          }
        },
        BatchDetectEntities: {
          input: {
            type: "structure",
            required: [
              "TextList",
              "LanguageCode"
            ],
            members: {
              TextList: {
                shape: "S2"
              },
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ResultList",
              "ErrorList"
            ],
            members: {
              ResultList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Index: {
                      type: "integer"
                    },
                    Entities: {
                      shape: "Sj"
                    }
                  }
                }
              },
              ErrorList: {
                shape: "Sc"
              }
            },
            sensitive: true
          }
        },
        BatchDetectKeyPhrases: {
          input: {
            type: "structure",
            required: [
              "TextList",
              "LanguageCode"
            ],
            members: {
              TextList: {
                shape: "S2"
              },
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ResultList",
              "ErrorList"
            ],
            members: {
              ResultList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Index: {
                      type: "integer"
                    },
                    KeyPhrases: {
                      shape: "Su"
                    }
                  }
                }
              },
              ErrorList: {
                shape: "Sc"
              }
            },
            sensitive: true
          }
        },
        BatchDetectSentiment: {
          input: {
            type: "structure",
            required: [
              "TextList",
              "LanguageCode"
            ],
            members: {
              TextList: {
                shape: "S2"
              },
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ResultList",
              "ErrorList"
            ],
            members: {
              ResultList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Index: {
                      type: "integer"
                    },
                    Sentiment: {},
                    SentimentScore: {
                      shape: "S11"
                    }
                  }
                }
              },
              ErrorList: {
                shape: "Sc"
              }
            },
            sensitive: true
          }
        },
        BatchDetectSyntax: {
          input: {
            type: "structure",
            required: [
              "TextList",
              "LanguageCode"
            ],
            members: {
              TextList: {
                shape: "S2"
              },
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ResultList",
              "ErrorList"
            ],
            members: {
              ResultList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Index: {
                      type: "integer"
                    },
                    SyntaxTokens: {
                      shape: "S17"
                    }
                  }
                }
              },
              ErrorList: {
                shape: "Sc"
              }
            },
            sensitive: true
          }
        },
        BatchDetectTargetedSentiment: {
          input: {
            type: "structure",
            required: [
              "TextList",
              "LanguageCode"
            ],
            members: {
              TextList: {
                shape: "S2"
              },
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ResultList",
              "ErrorList"
            ],
            members: {
              ResultList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Index: {
                      type: "integer"
                    },
                    Entities: {
                      shape: "S1f"
                    }
                  }
                }
              },
              ErrorList: {
                shape: "Sc"
              }
            },
            sensitive: true
          }
        },
        ClassifyDocument: {
          input: {
            type: "structure",
            required: [
              "EndpointArn"
            ],
            members: {
              Text: {
                shape: "S3"
              },
              EndpointArn: {},
              Bytes: {
                type: "blob"
              },
              DocumentReaderConfig: {
                shape: "S1p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Classes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Score: {
                      type: "float"
                    },
                    Page: {
                      type: "integer"
                    }
                  }
                }
              },
              Labels: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Score: {
                      type: "float"
                    },
                    Page: {
                      type: "integer"
                    }
                  }
                }
              },
              DocumentMetadata: {
                shape: "S1z"
              },
              DocumentType: {
                shape: "S22"
              },
              Errors: {
                shape: "S25"
              },
              Warnings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Page: {
                      type: "integer"
                    },
                    WarnCode: {},
                    WarnMessage: {}
                  }
                }
              }
            },
            sensitive: true
          }
        },
        ContainsPiiEntities: {
          input: {
            type: "structure",
            required: [
              "Text",
              "LanguageCode"
            ],
            members: {
              Text: {},
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Labels: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Score: {
                      type: "float"
                    }
                  }
                }
              }
            }
          }
        },
        CreateDataset: {
          input: {
            type: "structure",
            required: [
              "FlywheelArn",
              "DatasetName",
              "InputDataConfig"
            ],
            members: {
              FlywheelArn: {},
              DatasetName: {},
              DatasetType: {},
              Description: {},
              InputDataConfig: {
                type: "structure",
                members: {
                  AugmentedManifests: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "AttributeNames",
                        "S3Uri"
                      ],
                      members: {
                        AttributeNames: {
                          shape: "S2o"
                        },
                        S3Uri: {},
                        AnnotationDataS3Uri: {},
                        SourceDocumentsS3Uri: {},
                        DocumentType: {}
                      }
                    }
                  },
                  DataFormat: {},
                  DocumentClassifierInputDataConfig: {
                    type: "structure",
                    required: [
                      "S3Uri"
                    ],
                    members: {
                      S3Uri: {},
                      LabelDelimiter: {}
                    }
                  },
                  EntityRecognizerInputDataConfig: {
                    type: "structure",
                    required: [
                      "Documents"
                    ],
                    members: {
                      Annotations: {
                        type: "structure",
                        required: [
                          "S3Uri"
                        ],
                        members: {
                          S3Uri: {}
                        }
                      },
                      Documents: {
                        type: "structure",
                        required: [
                          "S3Uri"
                        ],
                        members: {
                          S3Uri: {},
                          InputFormat: {}
                        }
                      },
                      EntityList: {
                        type: "structure",
                        required: [
                          "S3Uri"
                        ],
                        members: {
                          S3Uri: {}
                        }
                      }
                    }
                  }
                }
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S31"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetArn: {}
            }
          }
        },
        CreateDocumentClassifier: {
          input: {
            type: "structure",
            required: [
              "DocumentClassifierName",
              "DataAccessRoleArn",
              "InputDataConfig",
              "LanguageCode"
            ],
            members: {
              DocumentClassifierName: {},
              VersionName: {},
              DataAccessRoleArn: {},
              Tags: {
                shape: "S31"
              },
              InputDataConfig: {
                shape: "S3a"
              },
              OutputDataConfig: {
                shape: "S3h"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              LanguageCode: {},
              VolumeKmsKeyId: {},
              VpcConfig: {
                shape: "S3j"
              },
              Mode: {},
              ModelKmsKeyId: {},
              ModelPolicy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentClassifierArn: {}
            }
          }
        },
        CreateEndpoint: {
          input: {
            type: "structure",
            required: [
              "EndpointName",
              "DesiredInferenceUnits"
            ],
            members: {
              EndpointName: {},
              ModelArn: {},
              DesiredInferenceUnits: {
                type: "integer"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S31"
              },
              DataAccessRoleArn: {},
              FlywheelArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EndpointArn: {},
              ModelArn: {}
            }
          }
        },
        CreateEntityRecognizer: {
          input: {
            type: "structure",
            required: [
              "RecognizerName",
              "DataAccessRoleArn",
              "InputDataConfig",
              "LanguageCode"
            ],
            members: {
              RecognizerName: {},
              VersionName: {},
              DataAccessRoleArn: {},
              Tags: {
                shape: "S31"
              },
              InputDataConfig: {
                shape: "S3z"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              LanguageCode: {},
              VolumeKmsKeyId: {},
              VpcConfig: {
                shape: "S3j"
              },
              ModelKmsKeyId: {},
              ModelPolicy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EntityRecognizerArn: {}
            }
          }
        },
        CreateFlywheel: {
          input: {
            type: "structure",
            required: [
              "FlywheelName",
              "DataAccessRoleArn",
              "DataLakeS3Uri"
            ],
            members: {
              FlywheelName: {},
              ActiveModelArn: {},
              DataAccessRoleArn: {},
              TaskConfig: {
                shape: "S4b"
              },
              ModelType: {},
              DataLakeS3Uri: {},
              DataSecurityConfig: {
                shape: "S4i"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S31"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FlywheelArn: {},
              ActiveModelArn: {}
            }
          }
        },
        DeleteDocumentClassifier: {
          input: {
            type: "structure",
            required: [
              "DocumentClassifierArn"
            ],
            members: {
              DocumentClassifierArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEndpoint: {
          input: {
            type: "structure",
            required: [
              "EndpointArn"
            ],
            members: {
              EndpointArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEntityRecognizer: {
          input: {
            type: "structure",
            required: [
              "EntityRecognizerArn"
            ],
            members: {
              EntityRecognizerArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteFlywheel: {
          input: {
            type: "structure",
            required: [
              "FlywheelArn"
            ],
            members: {
              FlywheelArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              PolicyRevisionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeDataset: {
          input: {
            type: "structure",
            required: [
              "DatasetArn"
            ],
            members: {
              DatasetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetProperties: {
                shape: "S4x"
              }
            }
          }
        },
        DescribeDocumentClassificationJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentClassificationJobProperties: {
                shape: "S55"
              }
            }
          }
        },
        DescribeDocumentClassifier: {
          input: {
            type: "structure",
            required: [
              "DocumentClassifierArn"
            ],
            members: {
              DocumentClassifierArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentClassifierProperties: {
                shape: "S5d"
              }
            }
          }
        },
        DescribeDominantLanguageDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DominantLanguageDetectionJobProperties: {
                shape: "S5k"
              }
            }
          }
        },
        DescribeEndpoint: {
          input: {
            type: "structure",
            required: [
              "EndpointArn"
            ],
            members: {
              EndpointArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EndpointProperties: {
                shape: "S5n"
              }
            }
          }
        },
        DescribeEntitiesDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EntitiesDetectionJobProperties: {
                shape: "S5r"
              }
            }
          }
        },
        DescribeEntityRecognizer: {
          input: {
            type: "structure",
            required: [
              "EntityRecognizerArn"
            ],
            members: {
              EntityRecognizerArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EntityRecognizerProperties: {
                shape: "S5u"
              }
            }
          }
        },
        DescribeEventsDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EventsDetectionJobProperties: {
                shape: "S63"
              }
            }
          }
        },
        DescribeFlywheel: {
          input: {
            type: "structure",
            required: [
              "FlywheelArn"
            ],
            members: {
              FlywheelArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FlywheelProperties: {
                shape: "S68"
              }
            }
          }
        },
        DescribeFlywheelIteration: {
          input: {
            type: "structure",
            required: [
              "FlywheelArn",
              "FlywheelIterationId"
            ],
            members: {
              FlywheelArn: {},
              FlywheelIterationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FlywheelIterationProperties: {
                shape: "S6d"
              }
            }
          }
        },
        DescribeKeyPhrasesDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              KeyPhrasesDetectionJobProperties: {
                shape: "S6i"
              }
            }
          }
        },
        DescribePiiEntitiesDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PiiEntitiesDetectionJobProperties: {
                shape: "S6l"
              }
            }
          }
        },
        DescribeResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourcePolicy: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              PolicyRevisionId: {}
            }
          }
        },
        DescribeSentimentDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SentimentDetectionJobProperties: {
                shape: "S6w"
              }
            }
          }
        },
        DescribeTargetedSentimentDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TargetedSentimentDetectionJobProperties: {
                shape: "S6z"
              }
            }
          }
        },
        DescribeTopicsDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TopicsDetectionJobProperties: {
                shape: "S72"
              }
            }
          }
        },
        DetectDominantLanguage: {
          input: {
            type: "structure",
            required: [
              "Text"
            ],
            members: {
              Text: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Languages: {
                shape: "S8"
              }
            },
            sensitive: true
          }
        },
        DetectEntities: {
          input: {
            type: "structure",
            members: {
              Text: {
                shape: "S3"
              },
              LanguageCode: {},
              EndpointArn: {},
              Bytes: {
                type: "blob"
              },
              DocumentReaderConfig: {
                shape: "S1p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Entities: {
                shape: "Sj"
              },
              DocumentMetadata: {
                shape: "S1z"
              },
              DocumentType: {
                shape: "S22"
              },
              Blocks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    BlockType: {},
                    Text: {},
                    Page: {
                      type: "integer"
                    },
                    Geometry: {
                      type: "structure",
                      members: {
                        BoundingBox: {
                          type: "structure",
                          members: {
                            Height: {
                              type: "float"
                            },
                            Left: {
                              type: "float"
                            },
                            Top: {
                              type: "float"
                            },
                            Width: {
                              type: "float"
                            }
                          }
                        },
                        Polygon: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              X: {
                                type: "float"
                              },
                              Y: {
                                type: "float"
                              }
                            }
                          }
                        }
                      }
                    },
                    Relationships: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Ids: {
                            type: "list",
                            member: {}
                          },
                          Type: {}
                        }
                      }
                    }
                  }
                }
              },
              Errors: {
                shape: "S25"
              }
            },
            sensitive: true
          }
        },
        DetectKeyPhrases: {
          input: {
            type: "structure",
            required: [
              "Text",
              "LanguageCode"
            ],
            members: {
              Text: {
                shape: "S3"
              },
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              KeyPhrases: {
                shape: "Su"
              }
            },
            sensitive: true
          }
        },
        DetectPiiEntities: {
          input: {
            type: "structure",
            required: [
              "Text",
              "LanguageCode"
            ],
            members: {
              Text: {},
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Entities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Score: {
                      type: "float"
                    },
                    Type: {},
                    BeginOffset: {
                      type: "integer"
                    },
                    EndOffset: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        DetectSentiment: {
          input: {
            type: "structure",
            required: [
              "Text",
              "LanguageCode"
            ],
            members: {
              Text: {
                shape: "S3"
              },
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Sentiment: {},
              SentimentScore: {
                shape: "S11"
              }
            },
            sensitive: true
          }
        },
        DetectSyntax: {
          input: {
            type: "structure",
            required: [
              "Text",
              "LanguageCode"
            ],
            members: {
              Text: {
                shape: "S3"
              },
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SyntaxTokens: {
                shape: "S17"
              }
            },
            sensitive: true
          }
        },
        DetectTargetedSentiment: {
          input: {
            type: "structure",
            required: [
              "Text",
              "LanguageCode"
            ],
            members: {
              Text: {
                shape: "S3"
              },
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Entities: {
                shape: "S1f"
              }
            },
            sensitive: true
          }
        },
        ImportModel: {
          input: {
            type: "structure",
            required: [
              "SourceModelArn"
            ],
            members: {
              SourceModelArn: {},
              ModelName: {},
              VersionName: {},
              ModelKmsKeyId: {},
              DataAccessRoleArn: {},
              Tags: {
                shape: "S31"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ModelArn: {}
            }
          }
        },
        ListDatasets: {
          input: {
            type: "structure",
            members: {
              FlywheelArn: {},
              Filter: {
                type: "structure",
                members: {
                  Status: {},
                  DatasetType: {},
                  CreationTimeAfter: {
                    type: "timestamp"
                  },
                  CreationTimeBefore: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetPropertiesList: {
                type: "list",
                member: {
                  shape: "S4x"
                }
              },
              NextToken: {}
            }
          }
        },
        ListDocumentClassificationJobs: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  JobName: {},
                  JobStatus: {},
                  SubmitTimeBefore: {
                    type: "timestamp"
                  },
                  SubmitTimeAfter: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentClassificationJobPropertiesList: {
                type: "list",
                member: {
                  shape: "S55"
                }
              },
              NextToken: {}
            }
          }
        },
        ListDocumentClassifierSummaries: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentClassifierSummariesList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DocumentClassifierName: {},
                    NumberOfVersions: {
                      type: "integer"
                    },
                    LatestVersionCreatedAt: {
                      type: "timestamp"
                    },
                    LatestVersionName: {},
                    LatestVersionStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDocumentClassifiers: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  Status: {},
                  DocumentClassifierName: {},
                  SubmitTimeBefore: {
                    type: "timestamp"
                  },
                  SubmitTimeAfter: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentClassifierPropertiesList: {
                type: "list",
                member: {
                  shape: "S5d"
                }
              },
              NextToken: {}
            }
          }
        },
        ListDominantLanguageDetectionJobs: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  JobName: {},
                  JobStatus: {},
                  SubmitTimeBefore: {
                    type: "timestamp"
                  },
                  SubmitTimeAfter: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DominantLanguageDetectionJobPropertiesList: {
                type: "list",
                member: {
                  shape: "S5k"
                }
              },
              NextToken: {}
            }
          }
        },
        ListEndpoints: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  ModelArn: {},
                  Status: {},
                  CreationTimeBefore: {
                    type: "timestamp"
                  },
                  CreationTimeAfter: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EndpointPropertiesList: {
                type: "list",
                member: {
                  shape: "S5n"
                }
              },
              NextToken: {}
            }
          }
        },
        ListEntitiesDetectionJobs: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  JobName: {},
                  JobStatus: {},
                  SubmitTimeBefore: {
                    type: "timestamp"
                  },
                  SubmitTimeAfter: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EntitiesDetectionJobPropertiesList: {
                type: "list",
                member: {
                  shape: "S5r"
                }
              },
              NextToken: {}
            }
          }
        },
        ListEntityRecognizerSummaries: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EntityRecognizerSummariesList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RecognizerName: {},
                    NumberOfVersions: {
                      type: "integer"
                    },
                    LatestVersionCreatedAt: {
                      type: "timestamp"
                    },
                    LatestVersionName: {},
                    LatestVersionStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEntityRecognizers: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  Status: {},
                  RecognizerName: {},
                  SubmitTimeBefore: {
                    type: "timestamp"
                  },
                  SubmitTimeAfter: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EntityRecognizerPropertiesList: {
                type: "list",
                member: {
                  shape: "S5u"
                }
              },
              NextToken: {}
            }
          }
        },
        ListEventsDetectionJobs: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  JobName: {},
                  JobStatus: {},
                  SubmitTimeBefore: {
                    type: "timestamp"
                  },
                  SubmitTimeAfter: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventsDetectionJobPropertiesList: {
                type: "list",
                member: {
                  shape: "S63"
                }
              },
              NextToken: {}
            }
          }
        },
        ListFlywheelIterationHistory: {
          input: {
            type: "structure",
            required: [
              "FlywheelArn"
            ],
            members: {
              FlywheelArn: {},
              Filter: {
                type: "structure",
                members: {
                  CreationTimeAfter: {
                    type: "timestamp"
                  },
                  CreationTimeBefore: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FlywheelIterationPropertiesList: {
                type: "list",
                member: {
                  shape: "S6d"
                }
              },
              NextToken: {}
            }
          }
        },
        ListFlywheels: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  Status: {},
                  CreationTimeAfter: {
                    type: "timestamp"
                  },
                  CreationTimeBefore: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FlywheelSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FlywheelArn: {},
                    ActiveModelArn: {},
                    DataLakeS3Uri: {},
                    Status: {},
                    ModelType: {},
                    Message: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    LatestFlywheelIteration: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListKeyPhrasesDetectionJobs: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  JobName: {},
                  JobStatus: {},
                  SubmitTimeBefore: {
                    type: "timestamp"
                  },
                  SubmitTimeAfter: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KeyPhrasesDetectionJobPropertiesList: {
                type: "list",
                member: {
                  shape: "S6i"
                }
              },
              NextToken: {}
            }
          }
        },
        ListPiiEntitiesDetectionJobs: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  JobName: {},
                  JobStatus: {},
                  SubmitTimeBefore: {
                    type: "timestamp"
                  },
                  SubmitTimeAfter: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PiiEntitiesDetectionJobPropertiesList: {
                type: "list",
                member: {
                  shape: "S6l"
                }
              },
              NextToken: {}
            }
          }
        },
        ListSentimentDetectionJobs: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  JobName: {},
                  JobStatus: {},
                  SubmitTimeBefore: {
                    type: "timestamp"
                  },
                  SubmitTimeAfter: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SentimentDetectionJobPropertiesList: {
                type: "list",
                member: {
                  shape: "S6w"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S31"
              }
            }
          }
        },
        ListTargetedSentimentDetectionJobs: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  JobName: {},
                  JobStatus: {},
                  SubmitTimeBefore: {
                    type: "timestamp"
                  },
                  SubmitTimeAfter: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TargetedSentimentDetectionJobPropertiesList: {
                type: "list",
                member: {
                  shape: "S6z"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTopicsDetectionJobs: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  JobName: {},
                  JobStatus: {},
                  SubmitTimeBefore: {
                    type: "timestamp"
                  },
                  SubmitTimeAfter: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TopicsDetectionJobPropertiesList: {
                type: "list",
                member: {
                  shape: "S72"
                }
              },
              NextToken: {}
            }
          }
        },
        PutResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "ResourcePolicy"
            ],
            members: {
              ResourceArn: {},
              ResourcePolicy: {},
              PolicyRevisionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyRevisionId: {}
            }
          }
        },
        StartDocumentClassificationJob: {
          input: {
            type: "structure",
            required: [
              "InputDataConfig",
              "OutputDataConfig",
              "DataAccessRoleArn"
            ],
            members: {
              JobName: {},
              DocumentClassifierArn: {},
              InputDataConfig: {
                shape: "S59"
              },
              OutputDataConfig: {
                shape: "S5a"
              },
              DataAccessRoleArn: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              VolumeKmsKeyId: {},
              VpcConfig: {
                shape: "S3j"
              },
              Tags: {
                shape: "S31"
              },
              FlywheelArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobArn: {},
              JobStatus: {},
              DocumentClassifierArn: {}
            }
          }
        },
        StartDominantLanguageDetectionJob: {
          input: {
            type: "structure",
            required: [
              "InputDataConfig",
              "OutputDataConfig",
              "DataAccessRoleArn"
            ],
            members: {
              InputDataConfig: {
                shape: "S59"
              },
              OutputDataConfig: {
                shape: "S5a"
              },
              DataAccessRoleArn: {},
              JobName: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              VolumeKmsKeyId: {},
              VpcConfig: {
                shape: "S3j"
              },
              Tags: {
                shape: "S31"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobArn: {},
              JobStatus: {}
            }
          }
        },
        StartEntitiesDetectionJob: {
          input: {
            type: "structure",
            required: [
              "InputDataConfig",
              "OutputDataConfig",
              "DataAccessRoleArn",
              "LanguageCode"
            ],
            members: {
              InputDataConfig: {
                shape: "S59"
              },
              OutputDataConfig: {
                shape: "S5a"
              },
              DataAccessRoleArn: {},
              JobName: {},
              EntityRecognizerArn: {},
              LanguageCode: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              VolumeKmsKeyId: {},
              VpcConfig: {
                shape: "S3j"
              },
              Tags: {
                shape: "S31"
              },
              FlywheelArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobArn: {},
              JobStatus: {},
              EntityRecognizerArn: {}
            }
          }
        },
        StartEventsDetectionJob: {
          input: {
            type: "structure",
            required: [
              "InputDataConfig",
              "OutputDataConfig",
              "DataAccessRoleArn",
              "LanguageCode",
              "TargetEventTypes"
            ],
            members: {
              InputDataConfig: {
                shape: "S59"
              },
              OutputDataConfig: {
                shape: "S5a"
              },
              DataAccessRoleArn: {},
              JobName: {},
              LanguageCode: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              TargetEventTypes: {
                shape: "S64"
              },
              Tags: {
                shape: "S31"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobArn: {},
              JobStatus: {}
            }
          }
        },
        StartFlywheelIteration: {
          input: {
            type: "structure",
            required: [
              "FlywheelArn"
            ],
            members: {
              FlywheelArn: {},
              ClientRequestToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FlywheelArn: {},
              FlywheelIterationId: {}
            }
          }
        },
        StartKeyPhrasesDetectionJob: {
          input: {
            type: "structure",
            required: [
              "InputDataConfig",
              "OutputDataConfig",
              "DataAccessRoleArn",
              "LanguageCode"
            ],
            members: {
              InputDataConfig: {
                shape: "S59"
              },
              OutputDataConfig: {
                shape: "S5a"
              },
              DataAccessRoleArn: {},
              JobName: {},
              LanguageCode: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              VolumeKmsKeyId: {},
              VpcConfig: {
                shape: "S3j"
              },
              Tags: {
                shape: "S31"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobArn: {},
              JobStatus: {}
            }
          }
        },
        StartPiiEntitiesDetectionJob: {
          input: {
            type: "structure",
            required: [
              "InputDataConfig",
              "OutputDataConfig",
              "Mode",
              "DataAccessRoleArn",
              "LanguageCode"
            ],
            members: {
              InputDataConfig: {
                shape: "S59"
              },
              OutputDataConfig: {
                shape: "S5a"
              },
              Mode: {},
              RedactionConfig: {
                shape: "S6n"
              },
              DataAccessRoleArn: {},
              JobName: {},
              LanguageCode: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S31"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobArn: {},
              JobStatus: {}
            }
          }
        },
        StartSentimentDetectionJob: {
          input: {
            type: "structure",
            required: [
              "InputDataConfig",
              "OutputDataConfig",
              "DataAccessRoleArn",
              "LanguageCode"
            ],
            members: {
              InputDataConfig: {
                shape: "S59"
              },
              OutputDataConfig: {
                shape: "S5a"
              },
              DataAccessRoleArn: {},
              JobName: {},
              LanguageCode: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              VolumeKmsKeyId: {},
              VpcConfig: {
                shape: "S3j"
              },
              Tags: {
                shape: "S31"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobArn: {},
              JobStatus: {}
            }
          }
        },
        StartTargetedSentimentDetectionJob: {
          input: {
            type: "structure",
            required: [
              "InputDataConfig",
              "OutputDataConfig",
              "DataAccessRoleArn",
              "LanguageCode"
            ],
            members: {
              InputDataConfig: {
                shape: "S59"
              },
              OutputDataConfig: {
                shape: "S5a"
              },
              DataAccessRoleArn: {},
              JobName: {},
              LanguageCode: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              VolumeKmsKeyId: {},
              VpcConfig: {
                shape: "S3j"
              },
              Tags: {
                shape: "S31"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobArn: {},
              JobStatus: {}
            }
          }
        },
        StartTopicsDetectionJob: {
          input: {
            type: "structure",
            required: [
              "InputDataConfig",
              "OutputDataConfig",
              "DataAccessRoleArn"
            ],
            members: {
              InputDataConfig: {
                shape: "S59"
              },
              OutputDataConfig: {
                shape: "S5a"
              },
              DataAccessRoleArn: {},
              JobName: {},
              NumberOfTopics: {
                type: "integer"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              VolumeKmsKeyId: {},
              VpcConfig: {
                shape: "S3j"
              },
              Tags: {
                shape: "S31"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobArn: {},
              JobStatus: {}
            }
          }
        },
        StopDominantLanguageDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobStatus: {}
            }
          }
        },
        StopEntitiesDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobStatus: {}
            }
          }
        },
        StopEventsDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobStatus: {}
            }
          }
        },
        StopKeyPhrasesDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobStatus: {}
            }
          }
        },
        StopPiiEntitiesDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobStatus: {}
            }
          }
        },
        StopSentimentDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobStatus: {}
            }
          }
        },
        StopTargetedSentimentDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobStatus: {}
            }
          }
        },
        StopTrainingDocumentClassifier: {
          input: {
            type: "structure",
            required: [
              "DocumentClassifierArn"
            ],
            members: {
              DocumentClassifierArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StopTrainingEntityRecognizer: {
          input: {
            type: "structure",
            required: [
              "EntityRecognizerArn"
            ],
            members: {
              EntityRecognizerArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S31"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateEndpoint: {
          input: {
            type: "structure",
            required: [
              "EndpointArn"
            ],
            members: {
              EndpointArn: {},
              DesiredModelArn: {},
              DesiredInferenceUnits: {
                type: "integer"
              },
              DesiredDataAccessRoleArn: {},
              FlywheelArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DesiredModelArn: {}
            }
          }
        },
        UpdateFlywheel: {
          input: {
            type: "structure",
            required: [
              "FlywheelArn"
            ],
            members: {
              FlywheelArn: {},
              ActiveModelArn: {},
              DataAccessRoleArn: {},
              DataSecurityConfig: {
                type: "structure",
                members: {
                  ModelKmsKeyId: {},
                  VolumeKmsKeyId: {},
                  VpcConfig: {
                    shape: "S3j"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FlywheelProperties: {
                shape: "S68"
              }
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "list",
          member: {
            shape: "S3"
          },
          sensitive: true
        },
        S3: {
          type: "string",
          sensitive: true
        },
        S8: {
          type: "list",
          member: {
            type: "structure",
            members: {
              LanguageCode: {},
              Score: {
                type: "float"
              }
            }
          }
        },
        Sc: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Index: {
                type: "integer"
              },
              ErrorCode: {},
              ErrorMessage: {}
            }
          }
        },
        Sj: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Score: {
                type: "float"
              },
              Type: {},
              Text: {},
              BeginOffset: {
                type: "integer"
              },
              EndOffset: {
                type: "integer"
              },
              BlockReferences: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    BlockId: {},
                    BeginOffset: {
                      type: "integer"
                    },
                    EndOffset: {
                      type: "integer"
                    },
                    ChildBlocks: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ChildBlockId: {},
                          BeginOffset: {
                            type: "integer"
                          },
                          EndOffset: {
                            type: "integer"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Su: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Score: {
                type: "float"
              },
              Text: {},
              BeginOffset: {
                type: "integer"
              },
              EndOffset: {
                type: "integer"
              }
            }
          }
        },
        S11: {
          type: "structure",
          members: {
            Positive: {
              type: "float"
            },
            Negative: {
              type: "float"
            },
            Neutral: {
              type: "float"
            },
            Mixed: {
              type: "float"
            }
          }
        },
        S17: {
          type: "list",
          member: {
            type: "structure",
            members: {
              TokenId: {
                type: "integer"
              },
              Text: {},
              BeginOffset: {
                type: "integer"
              },
              EndOffset: {
                type: "integer"
              },
              PartOfSpeech: {
                type: "structure",
                members: {
                  Tag: {},
                  Score: {
                    type: "float"
                  }
                }
              }
            }
          }
        },
        S1f: {
          type: "list",
          member: {
            type: "structure",
            members: {
              DescriptiveMentionIndex: {
                type: "list",
                member: {
                  type: "integer"
                }
              },
              Mentions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Score: {
                      type: "float"
                    },
                    GroupScore: {
                      type: "float"
                    },
                    Text: {},
                    Type: {},
                    MentionSentiment: {
                      type: "structure",
                      members: {
                        Sentiment: {},
                        SentimentScore: {
                          shape: "S11"
                        }
                      }
                    },
                    BeginOffset: {
                      type: "integer"
                    },
                    EndOffset: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        S1p: {
          type: "structure",
          required: [
            "DocumentReadAction"
          ],
          members: {
            DocumentReadAction: {},
            DocumentReadMode: {},
            FeatureTypes: {
              type: "list",
              member: {}
            }
          }
        },
        S1z: {
          type: "structure",
          members: {
            Pages: {
              type: "integer"
            },
            ExtractedCharacters: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Page: {
                    type: "integer"
                  },
                  Count: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        S22: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Page: {
                type: "integer"
              },
              Type: {}
            }
          }
        },
        S25: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Page: {
                type: "integer"
              },
              ErrorCode: {},
              ErrorMessage: {}
            }
          }
        },
        S2o: {
          type: "list",
          member: {}
        },
        S31: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S3a: {
          type: "structure",
          members: {
            DataFormat: {},
            S3Uri: {},
            TestS3Uri: {},
            LabelDelimiter: {},
            AugmentedManifests: {
              type: "list",
              member: {
                shape: "S3d"
              }
            },
            DocumentType: {},
            Documents: {
              type: "structure",
              required: [
                "S3Uri"
              ],
              members: {
                S3Uri: {},
                TestS3Uri: {}
              }
            },
            DocumentReaderConfig: {
              shape: "S1p"
            }
          }
        },
        S3d: {
          type: "structure",
          required: [
            "S3Uri",
            "AttributeNames"
          ],
          members: {
            S3Uri: {},
            Split: {},
            AttributeNames: {
              shape: "S2o"
            },
            AnnotationDataS3Uri: {},
            SourceDocumentsS3Uri: {},
            DocumentType: {}
          }
        },
        S3h: {
          type: "structure",
          members: {
            S3Uri: {},
            KmsKeyId: {},
            FlywheelStatsS3Prefix: {}
          }
        },
        S3j: {
          type: "structure",
          required: [
            "SecurityGroupIds",
            "Subnets"
          ],
          members: {
            SecurityGroupIds: {
              type: "list",
              member: {}
            },
            Subnets: {
              type: "list",
              member: {}
            }
          }
        },
        S3z: {
          type: "structure",
          required: [
            "EntityTypes"
          ],
          members: {
            DataFormat: {},
            EntityTypes: {
              shape: "S41"
            },
            Documents: {
              type: "structure",
              required: [
                "S3Uri"
              ],
              members: {
                S3Uri: {},
                TestS3Uri: {},
                InputFormat: {}
              }
            },
            Annotations: {
              type: "structure",
              required: [
                "S3Uri"
              ],
              members: {
                S3Uri: {},
                TestS3Uri: {}
              }
            },
            EntityList: {
              type: "structure",
              required: [
                "S3Uri"
              ],
              members: {
                S3Uri: {}
              }
            },
            AugmentedManifests: {
              type: "list",
              member: {
                shape: "S3d"
              }
            }
          }
        },
        S41: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Type"
            ],
            members: {
              Type: {}
            }
          }
        },
        S4b: {
          type: "structure",
          required: [
            "LanguageCode"
          ],
          members: {
            LanguageCode: {},
            DocumentClassificationConfig: {
              type: "structure",
              required: [
                "Mode"
              ],
              members: {
                Mode: {},
                Labels: {
                  type: "list",
                  member: {}
                }
              }
            },
            EntityRecognitionConfig: {
              type: "structure",
              required: [
                "EntityTypes"
              ],
              members: {
                EntityTypes: {
                  shape: "S41"
                }
              }
            }
          }
        },
        S4i: {
          type: "structure",
          members: {
            ModelKmsKeyId: {},
            VolumeKmsKeyId: {},
            DataLakeKmsKeyId: {},
            VpcConfig: {
              shape: "S3j"
            }
          }
        },
        S4x: {
          type: "structure",
          members: {
            DatasetArn: {},
            DatasetName: {},
            DatasetType: {},
            DatasetS3Uri: {},
            Description: {},
            Status: {},
            Message: {},
            NumberOfDocuments: {
              type: "long"
            },
            CreationTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            }
          }
        },
        S55: {
          type: "structure",
          members: {
            JobId: {},
            JobArn: {},
            JobName: {},
            JobStatus: {},
            Message: {},
            SubmitTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            DocumentClassifierArn: {},
            InputDataConfig: {
              shape: "S59"
            },
            OutputDataConfig: {
              shape: "S5a"
            },
            DataAccessRoleArn: {},
            VolumeKmsKeyId: {},
            VpcConfig: {
              shape: "S3j"
            },
            FlywheelArn: {}
          }
        },
        S59: {
          type: "structure",
          required: [
            "S3Uri"
          ],
          members: {
            S3Uri: {},
            InputFormat: {},
            DocumentReaderConfig: {
              shape: "S1p"
            }
          }
        },
        S5a: {
          type: "structure",
          required: [
            "S3Uri"
          ],
          members: {
            S3Uri: {},
            KmsKeyId: {}
          }
        },
        S5d: {
          type: "structure",
          members: {
            DocumentClassifierArn: {},
            LanguageCode: {},
            Status: {},
            Message: {},
            SubmitTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            TrainingStartTime: {
              type: "timestamp"
            },
            TrainingEndTime: {
              type: "timestamp"
            },
            InputDataConfig: {
              shape: "S3a"
            },
            OutputDataConfig: {
              shape: "S3h"
            },
            ClassifierMetadata: {
              type: "structure",
              members: {
                NumberOfLabels: {
                  type: "integer"
                },
                NumberOfTrainedDocuments: {
                  type: "integer"
                },
                NumberOfTestDocuments: {
                  type: "integer"
                },
                EvaluationMetrics: {
                  type: "structure",
                  members: {
                    Accuracy: {
                      type: "double"
                    },
                    Precision: {
                      type: "double"
                    },
                    Recall: {
                      type: "double"
                    },
                    F1Score: {
                      type: "double"
                    },
                    MicroPrecision: {
                      type: "double"
                    },
                    MicroRecall: {
                      type: "double"
                    },
                    MicroF1Score: {
                      type: "double"
                    },
                    HammingLoss: {
                      type: "double"
                    }
                  }
                }
              },
              sensitive: true
            },
            DataAccessRoleArn: {},
            VolumeKmsKeyId: {},
            VpcConfig: {
              shape: "S3j"
            },
            Mode: {},
            ModelKmsKeyId: {},
            VersionName: {},
            SourceModelArn: {},
            FlywheelArn: {}
          }
        },
        S5k: {
          type: "structure",
          members: {
            JobId: {},
            JobArn: {},
            JobName: {},
            JobStatus: {},
            Message: {},
            SubmitTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            InputDataConfig: {
              shape: "S59"
            },
            OutputDataConfig: {
              shape: "S5a"
            },
            DataAccessRoleArn: {},
            VolumeKmsKeyId: {},
            VpcConfig: {
              shape: "S3j"
            }
          }
        },
        S5n: {
          type: "structure",
          members: {
            EndpointArn: {},
            Status: {},
            Message: {},
            ModelArn: {},
            DesiredModelArn: {},
            DesiredInferenceUnits: {
              type: "integer"
            },
            CurrentInferenceUnits: {
              type: "integer"
            },
            CreationTime: {
              type: "timestamp"
            },
            LastModifiedTime: {
              type: "timestamp"
            },
            DataAccessRoleArn: {},
            DesiredDataAccessRoleArn: {},
            FlywheelArn: {}
          }
        },
        S5r: {
          type: "structure",
          members: {
            JobId: {},
            JobArn: {},
            JobName: {},
            JobStatus: {},
            Message: {},
            SubmitTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            EntityRecognizerArn: {},
            InputDataConfig: {
              shape: "S59"
            },
            OutputDataConfig: {
              shape: "S5a"
            },
            LanguageCode: {},
            DataAccessRoleArn: {},
            VolumeKmsKeyId: {},
            VpcConfig: {
              shape: "S3j"
            },
            FlywheelArn: {}
          }
        },
        S5u: {
          type: "structure",
          members: {
            EntityRecognizerArn: {},
            LanguageCode: {},
            Status: {},
            Message: {},
            SubmitTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            TrainingStartTime: {
              type: "timestamp"
            },
            TrainingEndTime: {
              type: "timestamp"
            },
            InputDataConfig: {
              shape: "S3z"
            },
            RecognizerMetadata: {
              type: "structure",
              members: {
                NumberOfTrainedDocuments: {
                  type: "integer"
                },
                NumberOfTestDocuments: {
                  type: "integer"
                },
                EvaluationMetrics: {
                  type: "structure",
                  members: {
                    Precision: {
                      type: "double"
                    },
                    Recall: {
                      type: "double"
                    },
                    F1Score: {
                      type: "double"
                    }
                  }
                },
                EntityTypes: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      Type: {},
                      EvaluationMetrics: {
                        type: "structure",
                        members: {
                          Precision: {
                            type: "double"
                          },
                          Recall: {
                            type: "double"
                          },
                          F1Score: {
                            type: "double"
                          }
                        }
                      },
                      NumberOfTrainMentions: {
                        type: "integer"
                      }
                    }
                  }
                }
              },
              sensitive: true
            },
            DataAccessRoleArn: {},
            VolumeKmsKeyId: {},
            VpcConfig: {
              shape: "S3j"
            },
            ModelKmsKeyId: {},
            VersionName: {},
            SourceModelArn: {},
            FlywheelArn: {},
            OutputDataConfig: {
              type: "structure",
              members: {
                FlywheelStatsS3Prefix: {}
              }
            }
          }
        },
        S63: {
          type: "structure",
          members: {
            JobId: {},
            JobArn: {},
            JobName: {},
            JobStatus: {},
            Message: {},
            SubmitTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            InputDataConfig: {
              shape: "S59"
            },
            OutputDataConfig: {
              shape: "S5a"
            },
            LanguageCode: {},
            DataAccessRoleArn: {},
            TargetEventTypes: {
              shape: "S64"
            }
          }
        },
        S64: {
          type: "list",
          member: {}
        },
        S68: {
          type: "structure",
          members: {
            FlywheelArn: {},
            ActiveModelArn: {},
            DataAccessRoleArn: {},
            TaskConfig: {
              shape: "S4b"
            },
            DataLakeS3Uri: {},
            DataSecurityConfig: {
              shape: "S4i"
            },
            Status: {},
            ModelType: {},
            Message: {},
            CreationTime: {
              type: "timestamp"
            },
            LastModifiedTime: {
              type: "timestamp"
            },
            LatestFlywheelIteration: {}
          }
        },
        S6d: {
          type: "structure",
          members: {
            FlywheelArn: {},
            FlywheelIterationId: {},
            CreationTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            Status: {},
            Message: {},
            EvaluatedModelArn: {},
            EvaluatedModelMetrics: {
              shape: "S6f"
            },
            TrainedModelArn: {},
            TrainedModelMetrics: {
              shape: "S6f"
            },
            EvaluationManifestS3Prefix: {}
          }
        },
        S6f: {
          type: "structure",
          members: {
            AverageF1Score: {
              type: "double"
            },
            AveragePrecision: {
              type: "double"
            },
            AverageRecall: {
              type: "double"
            },
            AverageAccuracy: {
              type: "double"
            }
          }
        },
        S6i: {
          type: "structure",
          members: {
            JobId: {},
            JobArn: {},
            JobName: {},
            JobStatus: {},
            Message: {},
            SubmitTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            InputDataConfig: {
              shape: "S59"
            },
            OutputDataConfig: {
              shape: "S5a"
            },
            LanguageCode: {},
            DataAccessRoleArn: {},
            VolumeKmsKeyId: {},
            VpcConfig: {
              shape: "S3j"
            }
          }
        },
        S6l: {
          type: "structure",
          members: {
            JobId: {},
            JobArn: {},
            JobName: {},
            JobStatus: {},
            Message: {},
            SubmitTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            InputDataConfig: {
              shape: "S59"
            },
            OutputDataConfig: {
              type: "structure",
              required: [
                "S3Uri"
              ],
              members: {
                S3Uri: {},
                KmsKeyId: {}
              }
            },
            RedactionConfig: {
              shape: "S6n"
            },
            LanguageCode: {},
            DataAccessRoleArn: {},
            Mode: {}
          }
        },
        S6n: {
          type: "structure",
          members: {
            PiiEntityTypes: {
              type: "list",
              member: {}
            },
            MaskMode: {},
            MaskCharacter: {}
          }
        },
        S6w: {
          type: "structure",
          members: {
            JobId: {},
            JobArn: {},
            JobName: {},
            JobStatus: {},
            Message: {},
            SubmitTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            InputDataConfig: {
              shape: "S59"
            },
            OutputDataConfig: {
              shape: "S5a"
            },
            LanguageCode: {},
            DataAccessRoleArn: {},
            VolumeKmsKeyId: {},
            VpcConfig: {
              shape: "S3j"
            }
          }
        },
        S6z: {
          type: "structure",
          members: {
            JobId: {},
            JobArn: {},
            JobName: {},
            JobStatus: {},
            Message: {},
            SubmitTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            InputDataConfig: {
              shape: "S59"
            },
            OutputDataConfig: {
              shape: "S5a"
            },
            LanguageCode: {},
            DataAccessRoleArn: {},
            VolumeKmsKeyId: {},
            VpcConfig: {
              shape: "S3j"
            }
          }
        },
        S72: {
          type: "structure",
          members: {
            JobId: {},
            JobArn: {},
            JobName: {},
            JobStatus: {},
            Message: {},
            SubmitTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            InputDataConfig: {
              shape: "S59"
            },
            OutputDataConfig: {
              shape: "S5a"
            },
            NumberOfTopics: {
              type: "integer"
            },
            DataAccessRoleArn: {},
            VolumeKmsKeyId: {},
            VpcConfig: {
              shape: "S3j"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/comprehend-2017-11-27.paginators.json
var require_comprehend_2017_11_27_paginators = __commonJS({
  "node_modules/aws-sdk/apis/comprehend-2017-11-27.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDatasets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListDocumentClassificationJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListDocumentClassifierSummaries: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListDocumentClassifiers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListDominantLanguageDetectionJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListEndpoints: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "EndpointPropertiesList"
        },
        ListEntitiesDetectionJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListEntityRecognizerSummaries: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListEntityRecognizers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListEventsDetectionJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListFlywheelIterationHistory: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListFlywheels: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListKeyPhrasesDetectionJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListPiiEntitiesDetectionJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PiiEntitiesDetectionJobPropertiesList"
        },
        ListSentimentDetectionJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListTargetedSentimentDetectionJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListTopicsDetectionJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/comprehend.js
var require_comprehend = __commonJS({
  "node_modules/aws-sdk/clients/comprehend.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["comprehend"] = {};
    AWS2.Comprehend = Service.defineService("comprehend", ["2017-11-27"]);
    Object.defineProperty(apiLoader.services["comprehend"], "2017-11-27", {
      get: function get() {
        var model = require_comprehend_2017_11_27_min();
        model.paginators = require_comprehend_2017_11_27_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Comprehend;
  }
});

// node_modules/aws-sdk/apis/iot-jobs-data-2017-09-29.min.json
var require_iot_jobs_data_2017_09_29_min = __commonJS({
  "node_modules/aws-sdk/apis/iot-jobs-data-2017-09-29.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-09-29",
        endpointPrefix: "data.jobs.iot",
        protocol: "rest-json",
        serviceFullName: "AWS IoT Jobs Data Plane",
        serviceId: "IoT Jobs Data Plane",
        signatureVersion: "v4",
        signingName: "iot-jobs-data",
        uid: "iot-jobs-data-2017-09-29"
      },
      operations: {
        DescribeJobExecution: {
          http: {
            method: "GET",
            requestUri: "/things/{thingName}/jobs/{jobId}"
          },
          input: {
            type: "structure",
            required: [
              "jobId",
              "thingName"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              },
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              includeJobDocument: {
                location: "querystring",
                locationName: "includeJobDocument",
                type: "boolean"
              },
              executionNumber: {
                location: "querystring",
                locationName: "executionNumber",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              execution: {
                shape: "S7"
              }
            }
          }
        },
        GetPendingJobExecutions: {
          http: {
            method: "GET",
            requestUri: "/things/{thingName}/jobs"
          },
          input: {
            type: "structure",
            required: [
              "thingName"
            ],
            members: {
              thingName: {
                location: "uri",
                locationName: "thingName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              inProgressJobs: {
                shape: "Sl"
              },
              queuedJobs: {
                shape: "Sl"
              }
            }
          }
        },
        StartNextPendingJobExecution: {
          http: {
            method: "PUT",
            requestUri: "/things/{thingName}/jobs/$next"
          },
          input: {
            type: "structure",
            required: [
              "thingName"
            ],
            members: {
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              statusDetails: {
                shape: "Sa"
              },
              stepTimeoutInMinutes: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              execution: {
                shape: "S7"
              }
            }
          }
        },
        UpdateJobExecution: {
          http: {
            requestUri: "/things/{thingName}/jobs/{jobId}"
          },
          input: {
            type: "structure",
            required: [
              "jobId",
              "thingName",
              "status"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              },
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              status: {},
              statusDetails: {
                shape: "Sa"
              },
              stepTimeoutInMinutes: {
                type: "long"
              },
              expectedVersion: {
                type: "long"
              },
              includeJobExecutionState: {
                type: "boolean"
              },
              includeJobDocument: {
                type: "boolean"
              },
              executionNumber: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              executionState: {
                type: "structure",
                members: {
                  status: {},
                  statusDetails: {
                    shape: "Sa"
                  },
                  versionNumber: {
                    type: "long"
                  }
                }
              },
              jobDocument: {}
            }
          }
        }
      },
      shapes: {
        S7: {
          type: "structure",
          members: {
            jobId: {},
            thingName: {},
            status: {},
            statusDetails: {
              shape: "Sa"
            },
            queuedAt: {
              type: "long"
            },
            startedAt: {
              type: "long"
            },
            lastUpdatedAt: {
              type: "long"
            },
            approximateSecondsBeforeTimedOut: {
              type: "long"
            },
            versionNumber: {
              type: "long"
            },
            executionNumber: {
              type: "long"
            },
            jobDocument: {}
          }
        },
        Sa: {
          type: "map",
          key: {},
          value: {}
        },
        Sl: {
          type: "list",
          member: {
            type: "structure",
            members: {
              jobId: {},
              queuedAt: {
                type: "long"
              },
              startedAt: {
                type: "long"
              },
              lastUpdatedAt: {
                type: "long"
              },
              versionNumber: {
                type: "long"
              },
              executionNumber: {
                type: "long"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iot-jobs-data-2017-09-29.paginators.json
var require_iot_jobs_data_2017_09_29_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iot-jobs-data-2017-09-29.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/iotjobsdataplane.js
var require_iotjobsdataplane = __commonJS({
  "node_modules/aws-sdk/clients/iotjobsdataplane.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iotjobsdataplane"] = {};
    AWS2.IoTJobsDataPlane = Service.defineService("iotjobsdataplane", ["2017-09-29"]);
    Object.defineProperty(apiLoader.services["iotjobsdataplane"], "2017-09-29", {
      get: function get() {
        var model = require_iot_jobs_data_2017_09_29_min();
        model.paginators = require_iot_jobs_data_2017_09_29_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IoTJobsDataPlane;
  }
});

// node_modules/aws-sdk/apis/kinesis-video-archived-media-2017-09-30.min.json
var require_kinesis_video_archived_media_2017_09_30_min = __commonJS({
  "node_modules/aws-sdk/apis/kinesis-video-archived-media-2017-09-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-09-30",
        endpointPrefix: "kinesisvideo",
        protocol: "rest-json",
        serviceAbbreviation: "Kinesis Video Archived Media",
        serviceFullName: "Amazon Kinesis Video Streams Archived Media",
        serviceId: "Kinesis Video Archived Media",
        signatureVersion: "v4",
        uid: "kinesis-video-archived-media-2017-09-30"
      },
      operations: {
        GetClip: {
          http: {
            requestUri: "/getClip"
          },
          input: {
            type: "structure",
            required: [
              "ClipFragmentSelector"
            ],
            members: {
              StreamName: {},
              StreamARN: {},
              ClipFragmentSelector: {
                type: "structure",
                required: [
                  "FragmentSelectorType",
                  "TimestampRange"
                ],
                members: {
                  FragmentSelectorType: {},
                  TimestampRange: {
                    type: "structure",
                    required: [
                      "StartTimestamp",
                      "EndTimestamp"
                    ],
                    members: {
                      StartTimestamp: {
                        type: "timestamp"
                      },
                      EndTimestamp: {
                        type: "timestamp"
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              Payload: {
                shape: "Sa"
              }
            },
            payload: "Payload"
          }
        },
        GetDASHStreamingSessionURL: {
          http: {
            requestUri: "/getDASHStreamingSessionURL"
          },
          input: {
            type: "structure",
            members: {
              StreamName: {},
              StreamARN: {},
              PlaybackMode: {},
              DisplayFragmentTimestamp: {},
              DisplayFragmentNumber: {},
              DASHFragmentSelector: {
                type: "structure",
                members: {
                  FragmentSelectorType: {},
                  TimestampRange: {
                    type: "structure",
                    members: {
                      StartTimestamp: {
                        type: "timestamp"
                      },
                      EndTimestamp: {
                        type: "timestamp"
                      }
                    }
                  }
                }
              },
              Expires: {
                type: "integer"
              },
              MaxManifestFragmentResults: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DASHStreamingSessionURL: {}
            }
          }
        },
        GetHLSStreamingSessionURL: {
          http: {
            requestUri: "/getHLSStreamingSessionURL"
          },
          input: {
            type: "structure",
            members: {
              StreamName: {},
              StreamARN: {},
              PlaybackMode: {},
              HLSFragmentSelector: {
                type: "structure",
                members: {
                  FragmentSelectorType: {},
                  TimestampRange: {
                    type: "structure",
                    members: {
                      StartTimestamp: {
                        type: "timestamp"
                      },
                      EndTimestamp: {
                        type: "timestamp"
                      }
                    }
                  }
                }
              },
              ContainerFormat: {},
              DiscontinuityMode: {},
              DisplayFragmentTimestamp: {},
              Expires: {
                type: "integer"
              },
              MaxMediaPlaylistFragmentResults: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HLSStreamingSessionURL: {}
            }
          }
        },
        GetImages: {
          http: {
            requestUri: "/getImages"
          },
          input: {
            type: "structure",
            required: [
              "ImageSelectorType",
              "StartTimestamp",
              "EndTimestamp",
              "SamplingInterval",
              "Format"
            ],
            members: {
              StreamName: {},
              StreamARN: {},
              ImageSelectorType: {},
              StartTimestamp: {
                type: "timestamp"
              },
              EndTimestamp: {
                type: "timestamp"
              },
              SamplingInterval: {
                type: "integer"
              },
              Format: {},
              FormatConfig: {
                type: "map",
                key: {},
                value: {}
              },
              WidthPixels: {
                type: "integer"
              },
              HeightPixels: {
                type: "integer"
              },
              MaxResults: {
                type: "long"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Images: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TimeStamp: {
                      type: "timestamp"
                    },
                    Error: {},
                    ImageContent: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetMediaForFragmentList: {
          http: {
            requestUri: "/getMediaForFragmentList"
          },
          input: {
            type: "structure",
            required: [
              "Fragments"
            ],
            members: {
              StreamName: {},
              StreamARN: {},
              Fragments: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              Payload: {
                shape: "Sa"
              }
            },
            payload: "Payload"
          }
        },
        ListFragments: {
          http: {
            requestUri: "/listFragments"
          },
          input: {
            type: "structure",
            members: {
              StreamName: {},
              StreamARN: {},
              MaxResults: {
                type: "long"
              },
              NextToken: {},
              FragmentSelector: {
                type: "structure",
                required: [
                  "FragmentSelectorType",
                  "TimestampRange"
                ],
                members: {
                  FragmentSelectorType: {},
                  TimestampRange: {
                    type: "structure",
                    required: [
                      "StartTimestamp",
                      "EndTimestamp"
                    ],
                    members: {
                      StartTimestamp: {
                        type: "timestamp"
                      },
                      EndTimestamp: {
                        type: "timestamp"
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Fragments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FragmentNumber: {},
                    FragmentSizeInBytes: {
                      type: "long"
                    },
                    ProducerTimestamp: {
                      type: "timestamp"
                    },
                    ServerTimestamp: {
                      type: "timestamp"
                    },
                    FragmentLengthInMilliseconds: {
                      type: "long"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        }
      },
      shapes: {
        Sa: {
          type: "blob",
          streaming: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/kinesis-video-archived-media-2017-09-30.paginators.json
var require_kinesis_video_archived_media_2017_09_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/kinesis-video-archived-media-2017-09-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetImages: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Images"
        },
        ListFragments: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Fragments"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/kinesisvideoarchivedmedia.js
var require_kinesisvideoarchivedmedia = __commonJS({
  "node_modules/aws-sdk/clients/kinesisvideoarchivedmedia.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["kinesisvideoarchivedmedia"] = {};
    AWS2.KinesisVideoArchivedMedia = Service.defineService("kinesisvideoarchivedmedia", ["2017-09-30"]);
    Object.defineProperty(apiLoader.services["kinesisvideoarchivedmedia"], "2017-09-30", {
      get: function get() {
        var model = require_kinesis_video_archived_media_2017_09_30_min();
        model.paginators = require_kinesis_video_archived_media_2017_09_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.KinesisVideoArchivedMedia;
  }
});

// node_modules/aws-sdk/apis/kinesis-video-media-2017-09-30.min.json
var require_kinesis_video_media_2017_09_30_min = __commonJS({
  "node_modules/aws-sdk/apis/kinesis-video-media-2017-09-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-09-30",
        endpointPrefix: "kinesisvideo",
        protocol: "rest-json",
        serviceAbbreviation: "Kinesis Video Media",
        serviceFullName: "Amazon Kinesis Video Streams Media",
        serviceId: "Kinesis Video Media",
        signatureVersion: "v4",
        uid: "kinesis-video-media-2017-09-30"
      },
      operations: {
        GetMedia: {
          http: {
            requestUri: "/getMedia"
          },
          input: {
            type: "structure",
            required: [
              "StartSelector"
            ],
            members: {
              StreamName: {},
              StreamARN: {},
              StartSelector: {
                type: "structure",
                required: [
                  "StartSelectorType"
                ],
                members: {
                  StartSelectorType: {},
                  AfterFragmentNumber: {},
                  StartTimestamp: {
                    type: "timestamp"
                  },
                  ContinuationToken: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              Payload: {
                type: "blob",
                streaming: true
              }
            },
            payload: "Payload"
          }
        }
      },
      shapes: {}
    };
  }
});

// node_modules/aws-sdk/apis/kinesis-video-media-2017-09-30.paginators.json
var require_kinesis_video_media_2017_09_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/kinesis-video-media-2017-09-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/kinesisvideomedia.js
var require_kinesisvideomedia = __commonJS({
  "node_modules/aws-sdk/clients/kinesisvideomedia.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["kinesisvideomedia"] = {};
    AWS2.KinesisVideoMedia = Service.defineService("kinesisvideomedia", ["2017-09-30"]);
    Object.defineProperty(apiLoader.services["kinesisvideomedia"], "2017-09-30", {
      get: function get() {
        var model = require_kinesis_video_media_2017_09_30_min();
        model.paginators = require_kinesis_video_media_2017_09_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.KinesisVideoMedia;
  }
});

// node_modules/aws-sdk/apis/kinesisvideo-2017-09-30.min.json
var require_kinesisvideo_2017_09_30_min = __commonJS({
  "node_modules/aws-sdk/apis/kinesisvideo-2017-09-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-09-30",
        endpointPrefix: "kinesisvideo",
        protocol: "rest-json",
        serviceAbbreviation: "Kinesis Video",
        serviceFullName: "Amazon Kinesis Video Streams",
        serviceId: "Kinesis Video",
        signatureVersion: "v4",
        uid: "kinesisvideo-2017-09-30"
      },
      operations: {
        CreateSignalingChannel: {
          http: {
            requestUri: "/createSignalingChannel"
          },
          input: {
            type: "structure",
            required: [
              "ChannelName"
            ],
            members: {
              ChannelName: {},
              ChannelType: {},
              SingleMasterConfiguration: {
                shape: "S4"
              },
              Tags: {
                type: "list",
                member: {
                  shape: "S7"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelARN: {}
            }
          }
        },
        CreateStream: {
          http: {
            requestUri: "/createStream"
          },
          input: {
            type: "structure",
            required: [
              "StreamName"
            ],
            members: {
              DeviceName: {},
              StreamName: {},
              MediaType: {},
              KmsKeyId: {},
              DataRetentionInHours: {
                type: "integer"
              },
              Tags: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamARN: {}
            }
          }
        },
        DeleteEdgeConfiguration: {
          http: {
            requestUri: "/deleteEdgeConfiguration"
          },
          input: {
            type: "structure",
            members: {
              StreamName: {},
              StreamARN: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSignalingChannel: {
          http: {
            requestUri: "/deleteSignalingChannel"
          },
          input: {
            type: "structure",
            required: [
              "ChannelARN"
            ],
            members: {
              ChannelARN: {},
              CurrentVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteStream: {
          http: {
            requestUri: "/deleteStream"
          },
          input: {
            type: "structure",
            required: [
              "StreamARN"
            ],
            members: {
              StreamARN: {},
              CurrentVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeEdgeConfiguration: {
          http: {
            requestUri: "/describeEdgeConfiguration"
          },
          input: {
            type: "structure",
            members: {
              StreamName: {},
              StreamARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StreamName: {},
              StreamARN: {},
              CreationTime: {
                type: "timestamp"
              },
              LastUpdatedTime: {
                type: "timestamp"
              },
              SyncStatus: {},
              FailedStatusDetails: {},
              EdgeConfig: {
                shape: "Sw"
              },
              EdgeAgentStatus: {
                type: "structure",
                members: {
                  LastRecorderStatus: {
                    type: "structure",
                    members: {
                      JobStatusDetails: {},
                      LastCollectedTime: {
                        type: "timestamp"
                      },
                      LastUpdatedTime: {
                        type: "timestamp"
                      },
                      RecorderStatus: {}
                    }
                  },
                  LastUploaderStatus: {
                    type: "structure",
                    members: {
                      JobStatusDetails: {},
                      LastCollectedTime: {
                        type: "timestamp"
                      },
                      LastUpdatedTime: {
                        type: "timestamp"
                      },
                      UploaderStatus: {}
                    }
                  }
                }
              }
            }
          }
        },
        DescribeImageGenerationConfiguration: {
          http: {
            requestUri: "/describeImageGenerationConfiguration"
          },
          input: {
            type: "structure",
            members: {
              StreamName: {},
              StreamARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImageGenerationConfiguration: {
                shape: "S1k"
              }
            }
          }
        },
        DescribeMappedResourceConfiguration: {
          http: {
            requestUri: "/describeMappedResourceConfiguration"
          },
          input: {
            type: "structure",
            members: {
              StreamName: {},
              StreamARN: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MappedResourceConfigurationList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    ARN: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeMediaStorageConfiguration: {
          http: {
            requestUri: "/describeMediaStorageConfiguration"
          },
          input: {
            type: "structure",
            members: {
              ChannelName: {},
              ChannelARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MediaStorageConfiguration: {
                shape: "S26"
              }
            }
          }
        },
        DescribeNotificationConfiguration: {
          http: {
            requestUri: "/describeNotificationConfiguration"
          },
          input: {
            type: "structure",
            members: {
              StreamName: {},
              StreamARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NotificationConfiguration: {
                shape: "S2a"
              }
            }
          }
        },
        DescribeSignalingChannel: {
          http: {
            requestUri: "/describeSignalingChannel"
          },
          input: {
            type: "structure",
            members: {
              ChannelName: {},
              ChannelARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelInfo: {
                shape: "S2e"
              }
            }
          }
        },
        DescribeStream: {
          http: {
            requestUri: "/describeStream"
          },
          input: {
            type: "structure",
            members: {
              StreamName: {},
              StreamARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StreamInfo: {
                shape: "S2i"
              }
            }
          }
        },
        GetDataEndpoint: {
          http: {
            requestUri: "/getDataEndpoint"
          },
          input: {
            type: "structure",
            required: [
              "APIName"
            ],
            members: {
              StreamName: {},
              StreamARN: {},
              APIName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DataEndpoint: {}
            }
          }
        },
        GetSignalingChannelEndpoint: {
          http: {
            requestUri: "/getSignalingChannelEndpoint"
          },
          input: {
            type: "structure",
            required: [
              "ChannelARN"
            ],
            members: {
              ChannelARN: {},
              SingleMasterChannelEndpointConfiguration: {
                type: "structure",
                members: {
                  Protocols: {
                    type: "list",
                    member: {}
                  },
                  Role: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceEndpointList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Protocol: {},
                    ResourceEndpoint: {}
                  }
                }
              }
            }
          }
        },
        ListEdgeAgentConfigurations: {
          http: {
            requestUri: "/listEdgeAgentConfigurations"
          },
          input: {
            type: "structure",
            required: [
              "HubDeviceArn"
            ],
            members: {
              HubDeviceArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EdgeConfigs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StreamName: {},
                    StreamARN: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastUpdatedTime: {
                      type: "timestamp"
                    },
                    SyncStatus: {},
                    FailedStatusDetails: {},
                    EdgeConfig: {
                      shape: "Sw"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSignalingChannels: {
          http: {
            requestUri: "/listSignalingChannels"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              ChannelNameCondition: {
                type: "structure",
                members: {
                  ComparisonOperator: {},
                  ComparisonValue: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelInfoList: {
                type: "list",
                member: {
                  shape: "S2e"
                }
              },
              NextToken: {}
            }
          }
        },
        ListStreams: {
          http: {
            requestUri: "/listStreams"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              StreamNameCondition: {
                type: "structure",
                members: {
                  ComparisonOperator: {},
                  ComparisonValue: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamInfoList: {
                type: "list",
                member: {
                  shape: "S2i"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            requestUri: "/ListTagsForResource"
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              NextToken: {},
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Tags: {
                shape: "Si"
              }
            }
          }
        },
        ListTagsForStream: {
          http: {
            requestUri: "/listTagsForStream"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {},
              StreamARN: {},
              StreamName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Tags: {
                shape: "Si"
              }
            }
          }
        },
        StartEdgeConfigurationUpdate: {
          http: {
            requestUri: "/startEdgeConfigurationUpdate"
          },
          input: {
            type: "structure",
            required: [
              "EdgeConfig"
            ],
            members: {
              StreamName: {},
              StreamARN: {},
              EdgeConfig: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamName: {},
              StreamARN: {},
              CreationTime: {
                type: "timestamp"
              },
              LastUpdatedTime: {
                type: "timestamp"
              },
              SyncStatus: {},
              FailedStatusDetails: {},
              EdgeConfig: {
                shape: "Sw"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/TagResource"
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                type: "list",
                member: {
                  shape: "S7"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagStream: {
          http: {
            requestUri: "/tagStream"
          },
          input: {
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              StreamARN: {},
              StreamName: {},
              Tags: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            requestUri: "/UntagResource"
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeyList"
            ],
            members: {
              ResourceARN: {},
              TagKeyList: {
                shape: "S3n"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagStream: {
          http: {
            requestUri: "/untagStream"
          },
          input: {
            type: "structure",
            required: [
              "TagKeyList"
            ],
            members: {
              StreamARN: {},
              StreamName: {},
              TagKeyList: {
                shape: "S3n"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDataRetention: {
          http: {
            requestUri: "/updateDataRetention"
          },
          input: {
            type: "structure",
            required: [
              "CurrentVersion",
              "Operation",
              "DataRetentionChangeInHours"
            ],
            members: {
              StreamName: {},
              StreamARN: {},
              CurrentVersion: {},
              Operation: {},
              DataRetentionChangeInHours: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateImageGenerationConfiguration: {
          http: {
            requestUri: "/updateImageGenerationConfiguration"
          },
          input: {
            type: "structure",
            members: {
              StreamName: {},
              StreamARN: {},
              ImageGenerationConfiguration: {
                shape: "S1k"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateMediaStorageConfiguration: {
          http: {
            requestUri: "/updateMediaStorageConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "ChannelARN",
              "MediaStorageConfiguration"
            ],
            members: {
              ChannelARN: {},
              MediaStorageConfiguration: {
                shape: "S26"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateNotificationConfiguration: {
          http: {
            requestUri: "/updateNotificationConfiguration"
          },
          input: {
            type: "structure",
            members: {
              StreamName: {},
              StreamARN: {},
              NotificationConfiguration: {
                shape: "S2a"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateSignalingChannel: {
          http: {
            requestUri: "/updateSignalingChannel"
          },
          input: {
            type: "structure",
            required: [
              "ChannelARN",
              "CurrentVersion"
            ],
            members: {
              ChannelARN: {},
              CurrentVersion: {},
              SingleMasterConfiguration: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateStream: {
          http: {
            requestUri: "/updateStream"
          },
          input: {
            type: "structure",
            required: [
              "CurrentVersion"
            ],
            members: {
              StreamName: {},
              StreamARN: {},
              CurrentVersion: {},
              DeviceName: {},
              MediaType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            MessageTtlSeconds: {
              type: "integer"
            }
          }
        },
        S7: {
          type: "structure",
          required: [
            "Key",
            "Value"
          ],
          members: {
            Key: {},
            Value: {}
          }
        },
        Si: {
          type: "map",
          key: {},
          value: {}
        },
        Sw: {
          type: "structure",
          required: [
            "HubDeviceArn",
            "RecorderConfig"
          ],
          members: {
            HubDeviceArn: {},
            RecorderConfig: {
              type: "structure",
              required: [
                "MediaSourceConfig"
              ],
              members: {
                MediaSourceConfig: {
                  type: "structure",
                  required: [
                    "MediaUriSecretArn",
                    "MediaUriType"
                  ],
                  members: {
                    MediaUriSecretArn: {
                      type: "string",
                      sensitive: true
                    },
                    MediaUriType: {}
                  }
                },
                ScheduleConfig: {
                  shape: "S12"
                }
              }
            },
            UploaderConfig: {
              type: "structure",
              required: [
                "ScheduleConfig"
              ],
              members: {
                ScheduleConfig: {
                  shape: "S12"
                }
              }
            },
            DeletionConfig: {
              type: "structure",
              members: {
                EdgeRetentionInHours: {
                  type: "integer"
                },
                LocalSizeConfig: {
                  type: "structure",
                  members: {
                    MaxLocalMediaSizeInMB: {
                      type: "integer"
                    },
                    StrategyOnFullSize: {}
                  }
                },
                DeleteAfterUpload: {
                  type: "boolean"
                }
              }
            }
          }
        },
        S12: {
          type: "structure",
          required: [
            "ScheduleExpression",
            "DurationInSeconds"
          ],
          members: {
            ScheduleExpression: {},
            DurationInSeconds: {
              type: "integer"
            }
          }
        },
        S1k: {
          type: "structure",
          required: [
            "Status",
            "ImageSelectorType",
            "DestinationConfig",
            "SamplingInterval",
            "Format"
          ],
          members: {
            Status: {},
            ImageSelectorType: {},
            DestinationConfig: {
              type: "structure",
              required: [
                "Uri",
                "DestinationRegion"
              ],
              members: {
                Uri: {},
                DestinationRegion: {}
              }
            },
            SamplingInterval: {
              type: "integer"
            },
            Format: {},
            FormatConfig: {
              type: "map",
              key: {},
              value: {}
            },
            WidthPixels: {
              type: "integer"
            },
            HeightPixels: {
              type: "integer"
            }
          }
        },
        S26: {
          type: "structure",
          required: [
            "Status"
          ],
          members: {
            StreamARN: {},
            Status: {}
          }
        },
        S2a: {
          type: "structure",
          required: [
            "Status",
            "DestinationConfig"
          ],
          members: {
            Status: {},
            DestinationConfig: {
              type: "structure",
              required: [
                "Uri"
              ],
              members: {
                Uri: {}
              }
            }
          }
        },
        S2e: {
          type: "structure",
          members: {
            ChannelName: {},
            ChannelARN: {},
            ChannelType: {},
            ChannelStatus: {},
            CreationTime: {
              type: "timestamp"
            },
            SingleMasterConfiguration: {
              shape: "S4"
            },
            Version: {}
          }
        },
        S2i: {
          type: "structure",
          members: {
            DeviceName: {},
            StreamName: {},
            StreamARN: {},
            MediaType: {},
            KmsKeyId: {},
            Version: {},
            Status: {},
            CreationTime: {
              type: "timestamp"
            },
            DataRetentionInHours: {
              type: "integer"
            }
          }
        },
        S3n: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/kinesisvideo-2017-09-30.paginators.json
var require_kinesisvideo_2017_09_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/kinesisvideo-2017-09-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeMappedResourceConfiguration: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "MappedResourceConfigurationList"
        },
        ListEdgeAgentConfigurations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "EdgeConfigs"
        },
        ListSignalingChannels: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ChannelInfoList"
        },
        ListStreams: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "StreamInfoList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/kinesisvideo.js
var require_kinesisvideo = __commonJS({
  "node_modules/aws-sdk/clients/kinesisvideo.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["kinesisvideo"] = {};
    AWS2.KinesisVideo = Service.defineService("kinesisvideo", ["2017-09-30"]);
    Object.defineProperty(apiLoader.services["kinesisvideo"], "2017-09-30", {
      get: function get() {
        var model = require_kinesisvideo_2017_09_30_min();
        model.paginators = require_kinesisvideo_2017_09_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.KinesisVideo;
  }
});

// node_modules/aws-sdk/apis/runtime.sagemaker-2017-05-13.min.json
var require_runtime_sagemaker_2017_05_13_min = __commonJS({
  "node_modules/aws-sdk/apis/runtime.sagemaker-2017-05-13.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-05-13",
        endpointPrefix: "runtime.sagemaker",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon SageMaker Runtime",
        serviceId: "SageMaker Runtime",
        signatureVersion: "v4",
        signingName: "sagemaker",
        uid: "runtime.sagemaker-2017-05-13"
      },
      operations: {
        InvokeEndpoint: {
          http: {
            requestUri: "/endpoints/{EndpointName}/invocations"
          },
          input: {
            type: "structure",
            required: [
              "EndpointName",
              "Body"
            ],
            members: {
              EndpointName: {
                location: "uri",
                locationName: "EndpointName"
              },
              Body: {
                shape: "S3"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              Accept: {
                location: "header",
                locationName: "Accept"
              },
              CustomAttributes: {
                shape: "S5",
                location: "header",
                locationName: "X-Amzn-SageMaker-Custom-Attributes"
              },
              TargetModel: {
                location: "header",
                locationName: "X-Amzn-SageMaker-Target-Model"
              },
              TargetVariant: {
                location: "header",
                locationName: "X-Amzn-SageMaker-Target-Variant"
              },
              TargetContainerHostname: {
                location: "header",
                locationName: "X-Amzn-SageMaker-Target-Container-Hostname"
              },
              InferenceId: {
                location: "header",
                locationName: "X-Amzn-SageMaker-Inference-Id"
              },
              EnableExplanations: {
                location: "header",
                locationName: "X-Amzn-SageMaker-Enable-Explanations"
              }
            },
            payload: "Body"
          },
          output: {
            type: "structure",
            required: [
              "Body"
            ],
            members: {
              Body: {
                shape: "S3"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              InvokedProductionVariant: {
                location: "header",
                locationName: "x-Amzn-Invoked-Production-Variant"
              },
              CustomAttributes: {
                shape: "S5",
                location: "header",
                locationName: "X-Amzn-SageMaker-Custom-Attributes"
              }
            },
            payload: "Body"
          }
        },
        InvokeEndpointAsync: {
          http: {
            requestUri: "/endpoints/{EndpointName}/async-invocations",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "EndpointName",
              "InputLocation"
            ],
            members: {
              EndpointName: {
                location: "uri",
                locationName: "EndpointName"
              },
              ContentType: {
                location: "header",
                locationName: "X-Amzn-SageMaker-Content-Type"
              },
              Accept: {
                location: "header",
                locationName: "X-Amzn-SageMaker-Accept"
              },
              CustomAttributes: {
                shape: "S5",
                location: "header",
                locationName: "X-Amzn-SageMaker-Custom-Attributes"
              },
              InferenceId: {
                location: "header",
                locationName: "X-Amzn-SageMaker-Inference-Id"
              },
              InputLocation: {
                location: "header",
                locationName: "X-Amzn-SageMaker-InputLocation"
              },
              RequestTTLSeconds: {
                location: "header",
                locationName: "X-Amzn-SageMaker-RequestTTLSeconds",
                type: "integer"
              },
              InvocationTimeoutSeconds: {
                location: "header",
                locationName: "X-Amzn-SageMaker-InvocationTimeoutSeconds",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InferenceId: {},
              OutputLocation: {
                location: "header",
                locationName: "X-Amzn-SageMaker-OutputLocation"
              },
              FailureLocation: {
                location: "header",
                locationName: "X-Amzn-SageMaker-FailureLocation"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "blob",
          sensitive: true
        },
        S5: {
          type: "string",
          sensitive: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/runtime.sagemaker-2017-05-13.paginators.json
var require_runtime_sagemaker_2017_05_13_paginators = __commonJS({
  "node_modules/aws-sdk/apis/runtime.sagemaker-2017-05-13.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/sagemakerruntime.js
var require_sagemakerruntime = __commonJS({
  "node_modules/aws-sdk/clients/sagemakerruntime.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["sagemakerruntime"] = {};
    AWS2.SageMakerRuntime = Service.defineService("sagemakerruntime", ["2017-05-13"]);
    Object.defineProperty(apiLoader.services["sagemakerruntime"], "2017-05-13", {
      get: function get() {
        var model = require_runtime_sagemaker_2017_05_13_min();
        model.paginators = require_runtime_sagemaker_2017_05_13_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SageMakerRuntime;
  }
});

// node_modules/aws-sdk/apis/sagemaker-2017-07-24.min.json
var require_sagemaker_2017_07_24_min = __commonJS({
  "node_modules/aws-sdk/apis/sagemaker-2017-07-24.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-07-24",
        endpointPrefix: "api.sagemaker",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "SageMaker",
        serviceFullName: "Amazon SageMaker Service",
        serviceId: "SageMaker",
        signatureVersion: "v4",
        signingName: "sagemaker",
        targetPrefix: "SageMaker",
        uid: "sagemaker-2017-07-24"
      },
      operations: {
        AddAssociation: {
          input: {
            type: "structure",
            required: [
              "SourceArn",
              "DestinationArn"
            ],
            members: {
              SourceArn: {},
              DestinationArn: {},
              AssociationType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SourceArn: {},
              DestinationArn: {}
            }
          }
        },
        AddTags: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S7"
              }
            }
          }
        },
        AssociateTrialComponent: {
          input: {
            type: "structure",
            required: [
              "TrialComponentName",
              "TrialName"
            ],
            members: {
              TrialComponentName: {},
              TrialName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrialComponentArn: {},
              TrialArn: {}
            }
          }
        },
        BatchDescribeModelPackage: {
          input: {
            type: "structure",
            required: [
              "ModelPackageArnList"
            ],
            members: {
              ModelPackageArnList: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ModelPackageSummaries: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  required: [
                    "ModelPackageGroupName",
                    "ModelPackageArn",
                    "CreationTime",
                    "InferenceSpecification",
                    "ModelPackageStatus"
                  ],
                  members: {
                    ModelPackageGroupName: {},
                    ModelPackageVersion: {
                      type: "integer"
                    },
                    ModelPackageArn: {},
                    ModelPackageDescription: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    InferenceSpecification: {
                      shape: "Sr"
                    },
                    ModelPackageStatus: {},
                    ModelApprovalStatus: {}
                  }
                }
              },
              BatchDescribeModelPackageErrorMap: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  required: [
                    "ErrorCode",
                    "ErrorResponse"
                  ],
                  members: {
                    ErrorCode: {},
                    ErrorResponse: {}
                  }
                }
              }
            }
          }
        },
        CreateAction: {
          input: {
            type: "structure",
            required: [
              "ActionName",
              "Source",
              "ActionType"
            ],
            members: {
              ActionName: {},
              Source: {
                shape: "S1j"
              },
              ActionType: {},
              Description: {},
              Status: {},
              Properties: {
                shape: "S1o"
              },
              MetadataProperties: {
                shape: "S1q"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ActionArn: {}
            }
          }
        },
        CreateAlgorithm: {
          input: {
            type: "structure",
            required: [
              "AlgorithmName",
              "TrainingSpecification"
            ],
            members: {
              AlgorithmName: {},
              AlgorithmDescription: {},
              TrainingSpecification: {
                shape: "S1v"
              },
              InferenceSpecification: {
                shape: "Sr"
              },
              ValidationSpecification: {
                shape: "S2o"
              },
              CertifyForMarketplace: {
                type: "boolean"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "AlgorithmArn"
            ],
            members: {
              AlgorithmArn: {}
            }
          }
        },
        CreateApp: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "AppType",
              "AppName"
            ],
            members: {
              DomainId: {},
              UserProfileName: {},
              AppType: {},
              AppName: {},
              Tags: {
                shape: "S7"
              },
              ResourceSpec: {
                shape: "S4e"
              },
              SpaceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AppArn: {}
            }
          }
        },
        CreateAppImageConfig: {
          input: {
            type: "structure",
            required: [
              "AppImageConfigName"
            ],
            members: {
              AppImageConfigName: {},
              Tags: {
                shape: "S7"
              },
              KernelGatewayImageConfig: {
                shape: "S4o"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppImageConfigArn: {}
            }
          }
        },
        CreateArtifact: {
          input: {
            type: "structure",
            required: [
              "Source",
              "ArtifactType"
            ],
            members: {
              ArtifactName: {},
              Source: {
                shape: "S50"
              },
              ArtifactType: {},
              Properties: {
                shape: "S1o"
              },
              MetadataProperties: {
                shape: "S1q"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ArtifactArn: {}
            }
          }
        },
        CreateAutoMLJob: {
          input: {
            type: "structure",
            required: [
              "AutoMLJobName",
              "InputDataConfig",
              "OutputDataConfig",
              "RoleArn"
            ],
            members: {
              AutoMLJobName: {},
              InputDataConfig: {
                shape: "S58"
              },
              OutputDataConfig: {
                shape: "S5g"
              },
              ProblemType: {},
              AutoMLJobObjective: {
                shape: "S5i"
              },
              AutoMLJobConfig: {
                shape: "S5k"
              },
              RoleArn: {},
              GenerateCandidateDefinitionsOnly: {
                type: "boolean"
              },
              Tags: {
                shape: "S7"
              },
              ModelDeployConfig: {
                shape: "S64"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "AutoMLJobArn"
            ],
            members: {
              AutoMLJobArn: {}
            }
          }
        },
        CreateAutoMLJobV2: {
          input: {
            type: "structure",
            required: [
              "AutoMLJobName",
              "AutoMLJobInputDataConfig",
              "OutputDataConfig",
              "AutoMLProblemTypeConfig",
              "RoleArn"
            ],
            members: {
              AutoMLJobName: {},
              AutoMLJobInputDataConfig: {
                shape: "S6a"
              },
              OutputDataConfig: {
                shape: "S5g"
              },
              AutoMLProblemTypeConfig: {
                shape: "S6c"
              },
              RoleArn: {},
              Tags: {
                shape: "S7"
              },
              SecurityConfig: {
                shape: "S5p"
              },
              AutoMLJobObjective: {
                shape: "S5i"
              },
              ModelDeployConfig: {
                shape: "S64"
              },
              DataSplitConfig: {
                shape: "S5v"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "AutoMLJobArn"
            ],
            members: {
              AutoMLJobArn: {}
            }
          }
        },
        CreateCodeRepository: {
          input: {
            type: "structure",
            required: [
              "CodeRepositoryName",
              "GitConfig"
            ],
            members: {
              CodeRepositoryName: {},
              GitConfig: {
                shape: "S73"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CodeRepositoryArn"
            ],
            members: {
              CodeRepositoryArn: {}
            }
          }
        },
        CreateCompilationJob: {
          input: {
            type: "structure",
            required: [
              "CompilationJobName",
              "RoleArn",
              "OutputConfig",
              "StoppingCondition"
            ],
            members: {
              CompilationJobName: {},
              RoleArn: {},
              ModelPackageVersionArn: {},
              InputConfig: {
                shape: "S7a"
              },
              OutputConfig: {
                shape: "S7d"
              },
              VpcConfig: {
                shape: "S7k"
              },
              StoppingCondition: {
                shape: "S3n"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CompilationJobArn"
            ],
            members: {
              CompilationJobArn: {}
            }
          }
        },
        CreateContext: {
          input: {
            type: "structure",
            required: [
              "ContextName",
              "Source",
              "ContextType"
            ],
            members: {
              ContextName: {},
              Source: {
                shape: "S7s"
              },
              ContextType: {},
              Description: {},
              Properties: {
                shape: "S1o"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContextArn: {}
            }
          }
        },
        CreateDataQualityJobDefinition: {
          input: {
            type: "structure",
            required: [
              "JobDefinitionName",
              "DataQualityAppSpecification",
              "DataQualityJobInput",
              "DataQualityJobOutputConfig",
              "JobResources",
              "RoleArn"
            ],
            members: {
              JobDefinitionName: {},
              DataQualityBaselineConfig: {
                shape: "S7x"
              },
              DataQualityAppSpecification: {
                shape: "S81"
              },
              DataQualityJobInput: {
                shape: "S8a"
              },
              DataQualityJobOutputConfig: {
                shape: "S8n"
              },
              JobResources: {
                shape: "S8t"
              },
              NetworkConfig: {
                shape: "S8y"
              },
              RoleArn: {},
              StoppingCondition: {
                shape: "S8z"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "JobDefinitionArn"
            ],
            members: {
              JobDefinitionArn: {}
            }
          }
        },
        CreateDeviceFleet: {
          input: {
            type: "structure",
            required: [
              "DeviceFleetName",
              "OutputConfig"
            ],
            members: {
              DeviceFleetName: {},
              RoleArn: {},
              Description: {},
              OutputConfig: {
                shape: "S95"
              },
              Tags: {
                shape: "S7"
              },
              EnableIotRoleAlias: {
                type: "boolean"
              }
            }
          }
        },
        CreateDomain: {
          input: {
            type: "structure",
            required: [
              "DomainName",
              "AuthMode",
              "DefaultUserSettings",
              "SubnetIds",
              "VpcId"
            ],
            members: {
              DomainName: {},
              AuthMode: {},
              DefaultUserSettings: {
                shape: "S9b"
              },
              SubnetIds: {
                shape: "S5t"
              },
              VpcId: {},
              Tags: {
                shape: "S7"
              },
              AppNetworkAccessType: {},
              HomeEfsFileSystemKmsKeyId: {
                deprecated: true,
                deprecatedMessage: "This property is deprecated, use KmsKeyId instead."
              },
              KmsKeyId: {},
              AppSecurityGroupManagement: {},
              DomainSettings: {
                shape: "Sa1"
              },
              DefaultSpaceSettings: {
                shape: "Sa5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainArn: {},
              Url: {}
            }
          }
        },
        CreateEdgeDeploymentPlan: {
          input: {
            type: "structure",
            required: [
              "EdgeDeploymentPlanName",
              "ModelConfigs",
              "DeviceFleetName"
            ],
            members: {
              EdgeDeploymentPlanName: {},
              ModelConfigs: {
                shape: "Saa"
              },
              DeviceFleetName: {},
              Stages: {
                shape: "Sac"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EdgeDeploymentPlanArn"
            ],
            members: {
              EdgeDeploymentPlanArn: {}
            }
          }
        },
        CreateEdgeDeploymentStage: {
          input: {
            type: "structure",
            required: [
              "EdgeDeploymentPlanName",
              "Stages"
            ],
            members: {
              EdgeDeploymentPlanName: {},
              Stages: {
                shape: "Sac"
              }
            }
          }
        },
        CreateEdgePackagingJob: {
          input: {
            type: "structure",
            required: [
              "EdgePackagingJobName",
              "CompilationJobName",
              "ModelName",
              "ModelVersion",
              "RoleArn",
              "OutputConfig"
            ],
            members: {
              EdgePackagingJobName: {},
              CompilationJobName: {},
              ModelName: {},
              ModelVersion: {},
              RoleArn: {},
              OutputConfig: {
                shape: "S95"
              },
              ResourceKey: {},
              Tags: {
                shape: "S7"
              }
            }
          }
        },
        CreateEndpoint: {
          input: {
            type: "structure",
            required: [
              "EndpointName",
              "EndpointConfigName"
            ],
            members: {
              EndpointName: {},
              EndpointConfigName: {},
              DeploymentConfig: {
                shape: "Sas"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EndpointArn"
            ],
            members: {
              EndpointArn: {}
            }
          }
        },
        CreateEndpointConfig: {
          input: {
            type: "structure",
            required: [
              "EndpointConfigName",
              "ProductionVariants"
            ],
            members: {
              EndpointConfigName: {},
              ProductionVariants: {
                shape: "Sba"
              },
              DataCaptureConfig: {
                shape: "Sbq"
              },
              Tags: {
                shape: "S7"
              },
              KmsKeyId: {},
              AsyncInferenceConfig: {
                shape: "Sc1"
              },
              ExplainerConfig: {
                shape: "Sc9"
              },
              ShadowProductionVariants: {
                shape: "Sba"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EndpointConfigArn"
            ],
            members: {
              EndpointConfigArn: {}
            }
          }
        },
        CreateExperiment: {
          input: {
            type: "structure",
            required: [
              "ExperimentName"
            ],
            members: {
              ExperimentName: {},
              DisplayName: {},
              Description: {},
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ExperimentArn: {}
            }
          }
        },
        CreateFeatureGroup: {
          input: {
            type: "structure",
            required: [
              "FeatureGroupName",
              "RecordIdentifierFeatureName",
              "EventTimeFeatureName",
              "FeatureDefinitions"
            ],
            members: {
              FeatureGroupName: {},
              RecordIdentifierFeatureName: {},
              EventTimeFeatureName: {},
              FeatureDefinitions: {
                shape: "Sd8"
              },
              OnlineStoreConfig: {
                shape: "Sdb"
              },
              OfflineStoreConfig: {
                shape: "Sdg"
              },
              RoleArn: {},
              Description: {},
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "FeatureGroupArn"
            ],
            members: {
              FeatureGroupArn: {}
            }
          }
        },
        CreateFlowDefinition: {
          input: {
            type: "structure",
            required: [
              "FlowDefinitionName",
              "HumanLoopConfig",
              "OutputConfig",
              "RoleArn"
            ],
            members: {
              FlowDefinitionName: {},
              HumanLoopRequestSource: {
                shape: "Sds"
              },
              HumanLoopActivationConfig: {
                shape: "Sdu"
              },
              HumanLoopConfig: {
                shape: "Sdx"
              },
              OutputConfig: {
                shape: "Sec"
              },
              RoleArn: {},
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "FlowDefinitionArn"
            ],
            members: {
              FlowDefinitionArn: {}
            }
          }
        },
        CreateHub: {
          input: {
            type: "structure",
            required: [
              "HubName",
              "HubDescription"
            ],
            members: {
              HubName: {},
              HubDescription: {},
              HubDisplayName: {},
              HubSearchKeywords: {
                shape: "Sej"
              },
              S3StorageConfig: {
                shape: "Sel"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HubArn"
            ],
            members: {
              HubArn: {}
            }
          }
        },
        CreateHumanTaskUi: {
          input: {
            type: "structure",
            required: [
              "HumanTaskUiName",
              "UiTemplate"
            ],
            members: {
              HumanTaskUiName: {},
              UiTemplate: {
                shape: "Ser"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HumanTaskUiArn"
            ],
            members: {
              HumanTaskUiArn: {}
            }
          }
        },
        CreateHyperParameterTuningJob: {
          input: {
            type: "structure",
            required: [
              "HyperParameterTuningJobName",
              "HyperParameterTuningJobConfig"
            ],
            members: {
              HyperParameterTuningJobName: {},
              HyperParameterTuningJobConfig: {
                shape: "Sew"
              },
              TrainingJobDefinition: {
                shape: "Sfp"
              },
              TrainingJobDefinitions: {
                shape: "Sg5"
              },
              WarmStartConfig: {
                shape: "Sg6"
              },
              Tags: {
                shape: "S7"
              },
              Autotune: {
                shape: "Sga"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HyperParameterTuningJobArn"
            ],
            members: {
              HyperParameterTuningJobArn: {}
            }
          }
        },
        CreateImage: {
          input: {
            type: "structure",
            required: [
              "ImageName",
              "RoleArn"
            ],
            members: {
              Description: {},
              DisplayName: {},
              ImageName: {},
              RoleArn: {},
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ImageArn: {}
            }
          }
        },
        CreateImageVersion: {
          input: {
            type: "structure",
            required: [
              "BaseImage",
              "ClientToken",
              "ImageName"
            ],
            members: {
              BaseImage: {},
              ClientToken: {
                idempotencyToken: true
              },
              ImageName: {},
              Aliases: {
                shape: "Sgl"
              },
              VendorGuidance: {},
              JobType: {},
              MLFramework: {},
              ProgrammingLang: {},
              Processor: {},
              Horovod: {
                type: "boolean"
              },
              ReleaseNotes: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImageVersionArn: {}
            }
          }
        },
        CreateInferenceExperiment: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Type",
              "RoleArn",
              "EndpointName",
              "ModelVariants",
              "ShadowModeConfig"
            ],
            members: {
              Name: {},
              Type: {},
              Schedule: {
                shape: "Sgy"
              },
              Description: {},
              RoleArn: {},
              EndpointName: {},
              ModelVariants: {
                shape: "Sh1"
              },
              DataStorageConfig: {
                shape: "Sh9"
              },
              ShadowModeConfig: {
                shape: "Sha"
              },
              KmsKey: {},
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "InferenceExperimentArn"
            ],
            members: {
              InferenceExperimentArn: {}
            }
          }
        },
        CreateInferenceRecommendationsJob: {
          input: {
            type: "structure",
            required: [
              "JobName",
              "JobType",
              "RoleArn",
              "InputConfig"
            ],
            members: {
              JobName: {},
              JobType: {},
              RoleArn: {},
              InputConfig: {
                shape: "Shi"
              },
              JobDescription: {},
              StoppingConditions: {
                shape: "Sih"
              },
              OutputConfig: {
                type: "structure",
                members: {
                  KmsKeyId: {},
                  CompiledOutputConfig: {
                    type: "structure",
                    members: {
                      S3OutputUri: {}
                    }
                  }
                }
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "JobArn"
            ],
            members: {
              JobArn: {}
            }
          }
        },
        CreateLabelingJob: {
          input: {
            type: "structure",
            required: [
              "LabelingJobName",
              "LabelAttributeName",
              "InputConfig",
              "OutputConfig",
              "RoleArn",
              "HumanTaskConfig"
            ],
            members: {
              LabelingJobName: {},
              LabelAttributeName: {},
              InputConfig: {
                shape: "Sis"
              },
              OutputConfig: {
                shape: "Siz"
              },
              RoleArn: {},
              LabelCategoryConfigS3Uri: {},
              StoppingConditions: {
                shape: "Sj0"
              },
              LabelingJobAlgorithmsConfig: {
                shape: "Sj3"
              },
              HumanTaskConfig: {
                shape: "Sj7"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "LabelingJobArn"
            ],
            members: {
              LabelingJobArn: {}
            }
          }
        },
        CreateModel: {
          input: {
            type: "structure",
            required: [
              "ModelName",
              "ExecutionRoleArn"
            ],
            members: {
              ModelName: {},
              PrimaryContainer: {
                shape: "Sjm"
              },
              Containers: {
                shape: "Sk0"
              },
              InferenceExecutionConfig: {
                shape: "Sk1"
              },
              ExecutionRoleArn: {},
              Tags: {
                shape: "S7"
              },
              VpcConfig: {
                shape: "S5q"
              },
              EnableNetworkIsolation: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelArn"
            ],
            members: {
              ModelArn: {}
            }
          }
        },
        CreateModelBiasJobDefinition: {
          input: {
            type: "structure",
            required: [
              "JobDefinitionName",
              "ModelBiasAppSpecification",
              "ModelBiasJobInput",
              "ModelBiasJobOutputConfig",
              "JobResources",
              "RoleArn"
            ],
            members: {
              JobDefinitionName: {},
              ModelBiasBaselineConfig: {
                shape: "Sk5"
              },
              ModelBiasAppSpecification: {
                shape: "Sk6"
              },
              ModelBiasJobInput: {
                shape: "Sk7"
              },
              ModelBiasJobOutputConfig: {
                shape: "S8n"
              },
              JobResources: {
                shape: "S8t"
              },
              NetworkConfig: {
                shape: "S8y"
              },
              RoleArn: {},
              StoppingCondition: {
                shape: "S8z"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "JobDefinitionArn"
            ],
            members: {
              JobDefinitionArn: {}
            }
          }
        },
        CreateModelCard: {
          input: {
            type: "structure",
            required: [
              "ModelCardName",
              "Content",
              "ModelCardStatus"
            ],
            members: {
              ModelCardName: {},
              SecurityConfig: {
                shape: "Skb"
              },
              Content: {
                shape: "Skc"
              },
              ModelCardStatus: {},
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelCardArn"
            ],
            members: {
              ModelCardArn: {}
            }
          }
        },
        CreateModelCardExportJob: {
          input: {
            type: "structure",
            required: [
              "ModelCardName",
              "ModelCardExportJobName",
              "OutputConfig"
            ],
            members: {
              ModelCardName: {},
              ModelCardVersion: {
                type: "integer"
              },
              ModelCardExportJobName: {},
              OutputConfig: {
                shape: "Skh"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelCardExportJobArn"
            ],
            members: {
              ModelCardExportJobArn: {}
            }
          }
        },
        CreateModelExplainabilityJobDefinition: {
          input: {
            type: "structure",
            required: [
              "JobDefinitionName",
              "ModelExplainabilityAppSpecification",
              "ModelExplainabilityJobInput",
              "ModelExplainabilityJobOutputConfig",
              "JobResources",
              "RoleArn"
            ],
            members: {
              JobDefinitionName: {},
              ModelExplainabilityBaselineConfig: {
                shape: "Skl"
              },
              ModelExplainabilityAppSpecification: {
                shape: "Skm"
              },
              ModelExplainabilityJobInput: {
                shape: "Skn"
              },
              ModelExplainabilityJobOutputConfig: {
                shape: "S8n"
              },
              JobResources: {
                shape: "S8t"
              },
              NetworkConfig: {
                shape: "S8y"
              },
              RoleArn: {},
              StoppingCondition: {
                shape: "S8z"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "JobDefinitionArn"
            ],
            members: {
              JobDefinitionArn: {}
            }
          }
        },
        CreateModelPackage: {
          input: {
            type: "structure",
            members: {
              ModelPackageName: {},
              ModelPackageGroupName: {},
              ModelPackageDescription: {},
              InferenceSpecification: {
                shape: "Sr"
              },
              ValidationSpecification: {
                shape: "Skq"
              },
              SourceAlgorithmSpecification: {
                shape: "Skt"
              },
              CertifyForMarketplace: {
                type: "boolean"
              },
              Tags: {
                shape: "S7"
              },
              ModelApprovalStatus: {},
              MetadataProperties: {
                shape: "S1q"
              },
              ModelMetrics: {
                shape: "Skw"
              },
              ClientToken: {
                idempotencyToken: true
              },
              CustomerMetadataProperties: {
                shape: "Sl3"
              },
              DriftCheckBaselines: {
                shape: "Sl6"
              },
              Domain: {},
              Task: {},
              SamplePayloadUrl: {},
              AdditionalInferenceSpecifications: {
                shape: "Slc"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelPackageArn"
            ],
            members: {
              ModelPackageArn: {}
            }
          }
        },
        CreateModelPackageGroup: {
          input: {
            type: "structure",
            required: [
              "ModelPackageGroupName"
            ],
            members: {
              ModelPackageGroupName: {},
              ModelPackageGroupDescription: {},
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelPackageGroupArn"
            ],
            members: {
              ModelPackageGroupArn: {}
            }
          }
        },
        CreateModelQualityJobDefinition: {
          input: {
            type: "structure",
            required: [
              "JobDefinitionName",
              "ModelQualityAppSpecification",
              "ModelQualityJobInput",
              "ModelQualityJobOutputConfig",
              "JobResources",
              "RoleArn"
            ],
            members: {
              JobDefinitionName: {},
              ModelQualityBaselineConfig: {
                shape: "Slj"
              },
              ModelQualityAppSpecification: {
                shape: "Slk"
              },
              ModelQualityJobInput: {
                shape: "Slm"
              },
              ModelQualityJobOutputConfig: {
                shape: "S8n"
              },
              JobResources: {
                shape: "S8t"
              },
              NetworkConfig: {
                shape: "S8y"
              },
              RoleArn: {},
              StoppingCondition: {
                shape: "S8z"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "JobDefinitionArn"
            ],
            members: {
              JobDefinitionArn: {}
            }
          }
        },
        CreateMonitoringSchedule: {
          input: {
            type: "structure",
            required: [
              "MonitoringScheduleName",
              "MonitoringScheduleConfig"
            ],
            members: {
              MonitoringScheduleName: {},
              MonitoringScheduleConfig: {
                shape: "Slq"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "MonitoringScheduleArn"
            ],
            members: {
              MonitoringScheduleArn: {}
            }
          }
        },
        CreateNotebookInstance: {
          input: {
            type: "structure",
            required: [
              "NotebookInstanceName",
              "InstanceType",
              "RoleArn"
            ],
            members: {
              NotebookInstanceName: {},
              InstanceType: {},
              SubnetId: {},
              SecurityGroupIds: {
                shape: "S9c"
              },
              RoleArn: {},
              KmsKeyId: {},
              Tags: {
                shape: "S7"
              },
              LifecycleConfigName: {},
              DirectInternetAccess: {},
              VolumeSizeInGB: {
                type: "integer"
              },
              AcceleratorTypes: {
                shape: "Sm7"
              },
              DefaultCodeRepository: {},
              AdditionalCodeRepositories: {
                shape: "Sma"
              },
              RootAccess: {},
              PlatformIdentifier: {},
              InstanceMetadataServiceConfiguration: {
                shape: "Smd"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NotebookInstanceArn: {}
            }
          }
        },
        CreateNotebookInstanceLifecycleConfig: {
          input: {
            type: "structure",
            required: [
              "NotebookInstanceLifecycleConfigName"
            ],
            members: {
              NotebookInstanceLifecycleConfigName: {},
              OnCreate: {
                shape: "Smi"
              },
              OnStart: {
                shape: "Smi"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NotebookInstanceLifecycleConfigArn: {}
            }
          }
        },
        CreatePipeline: {
          input: {
            type: "structure",
            required: [
              "PipelineName",
              "ClientRequestToken",
              "RoleArn"
            ],
            members: {
              PipelineName: {},
              PipelineDisplayName: {},
              PipelineDefinition: {},
              PipelineDefinitionS3Location: {
                shape: "Smq"
              },
              PipelineDescription: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              RoleArn: {},
              Tags: {
                shape: "S7"
              },
              ParallelismConfiguration: {
                shape: "Smw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PipelineArn: {}
            }
          }
        },
        CreatePresignedDomainUrl: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "UserProfileName"
            ],
            members: {
              DomainId: {},
              UserProfileName: {},
              SessionExpirationDurationInSeconds: {
                type: "integer"
              },
              ExpiresInSeconds: {
                type: "integer"
              },
              SpaceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AuthorizedUrl: {}
            }
          }
        },
        CreatePresignedNotebookInstanceUrl: {
          input: {
            type: "structure",
            required: [
              "NotebookInstanceName"
            ],
            members: {
              NotebookInstanceName: {},
              SessionExpirationDurationInSeconds: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AuthorizedUrl: {}
            }
          }
        },
        CreateProcessingJob: {
          input: {
            type: "structure",
            required: [
              "ProcessingJobName",
              "ProcessingResources",
              "AppSpecification",
              "RoleArn"
            ],
            members: {
              ProcessingInputs: {
                shape: "Sn9"
              },
              ProcessingOutputConfig: {
                shape: "Snw"
              },
              ProcessingJobName: {},
              ProcessingResources: {
                shape: "So1"
              },
              StoppingCondition: {
                shape: "So3"
              },
              AppSpecification: {
                shape: "So5"
              },
              Environment: {
                shape: "So7"
              },
              NetworkConfig: {
                shape: "Sly"
              },
              RoleArn: {},
              Tags: {
                shape: "S7"
              },
              ExperimentConfig: {
                shape: "So8"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ProcessingJobArn"
            ],
            members: {
              ProcessingJobArn: {}
            }
          }
        },
        CreateProject: {
          input: {
            type: "structure",
            required: [
              "ProjectName",
              "ServiceCatalogProvisioningDetails"
            ],
            members: {
              ProjectName: {},
              ProjectDescription: {},
              ServiceCatalogProvisioningDetails: {
                shape: "Sod"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ProjectArn",
              "ProjectId"
            ],
            members: {
              ProjectArn: {},
              ProjectId: {}
            }
          }
        },
        CreateSpace: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "SpaceName"
            ],
            members: {
              DomainId: {},
              SpaceName: {},
              Tags: {
                shape: "S7"
              },
              SpaceSettings: {
                shape: "Son"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SpaceArn: {}
            }
          }
        },
        CreateStudioLifecycleConfig: {
          input: {
            type: "structure",
            required: [
              "StudioLifecycleConfigName",
              "StudioLifecycleConfigContent",
              "StudioLifecycleConfigAppType"
            ],
            members: {
              StudioLifecycleConfigName: {},
              StudioLifecycleConfigContent: {},
              StudioLifecycleConfigAppType: {},
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StudioLifecycleConfigArn: {}
            }
          }
        },
        CreateTrainingJob: {
          input: {
            type: "structure",
            required: [
              "TrainingJobName",
              "AlgorithmSpecification",
              "RoleArn",
              "OutputDataConfig",
              "ResourceConfig",
              "StoppingCondition"
            ],
            members: {
              TrainingJobName: {},
              HyperParameters: {
                shape: "S2t"
              },
              AlgorithmSpecification: {
                shape: "Sox"
              },
              RoleArn: {},
              InputDataConfig: {
                shape: "S2v"
              },
              OutputDataConfig: {
                shape: "S3e"
              },
              ResourceConfig: {
                shape: "S3h"
              },
              VpcConfig: {
                shape: "S5q"
              },
              StoppingCondition: {
                shape: "S3n"
              },
              Tags: {
                shape: "S7"
              },
              EnableNetworkIsolation: {
                type: "boolean"
              },
              EnableInterContainerTrafficEncryption: {
                type: "boolean"
              },
              EnableManagedSpotTraining: {
                type: "boolean"
              },
              CheckpointConfig: {
                shape: "Sfu"
              },
              DebugHookConfig: {
                shape: "Sp6"
              },
              DebugRuleConfigurations: {
                shape: "Spe"
              },
              TensorBoardOutputConfig: {
                shape: "Spi"
              },
              ExperimentConfig: {
                shape: "So8"
              },
              ProfilerConfig: {
                shape: "Spj"
              },
              ProfilerRuleConfigurations: {
                shape: "Spn"
              },
              Environment: {
                shape: "Spp"
              },
              RetryStrategy: {
                shape: "Sfv"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TrainingJobArn"
            ],
            members: {
              TrainingJobArn: {}
            }
          }
        },
        CreateTransformJob: {
          input: {
            type: "structure",
            required: [
              "TransformJobName",
              "ModelName",
              "TransformInput",
              "TransformOutput",
              "TransformResources"
            ],
            members: {
              TransformJobName: {},
              ModelName: {},
              MaxConcurrentTransforms: {
                type: "integer"
              },
              ModelClientConfig: {
                shape: "Spw"
              },
              MaxPayloadInMB: {
                type: "integer"
              },
              BatchStrategy: {},
              Environment: {
                shape: "S3u"
              },
              TransformInput: {
                shape: "S3x"
              },
              TransformOutput: {
                shape: "S41"
              },
              DataCaptureConfig: {
                shape: "Spz"
              },
              TransformResources: {
                shape: "S44"
              },
              DataProcessing: {
                shape: "Sq0"
              },
              Tags: {
                shape: "S7"
              },
              ExperimentConfig: {
                shape: "So8"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TransformJobArn"
            ],
            members: {
              TransformJobArn: {}
            }
          }
        },
        CreateTrial: {
          input: {
            type: "structure",
            required: [
              "TrialName",
              "ExperimentName"
            ],
            members: {
              TrialName: {},
              DisplayName: {},
              ExperimentName: {},
              MetadataProperties: {
                shape: "S1q"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrialArn: {}
            }
          }
        },
        CreateTrialComponent: {
          input: {
            type: "structure",
            required: [
              "TrialComponentName"
            ],
            members: {
              TrialComponentName: {},
              DisplayName: {},
              Status: {
                shape: "Sq8"
              },
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Parameters: {
                shape: "Sqb"
              },
              InputArtifacts: {
                shape: "Sqf"
              },
              OutputArtifacts: {
                shape: "Sqf"
              },
              MetadataProperties: {
                shape: "S1q"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrialComponentArn: {}
            }
          }
        },
        CreateUserProfile: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "UserProfileName"
            ],
            members: {
              DomainId: {},
              UserProfileName: {},
              SingleSignOnUserIdentifier: {},
              SingleSignOnUserValue: {},
              Tags: {
                shape: "S7"
              },
              UserSettings: {
                shape: "S9b"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserProfileArn: {}
            }
          }
        },
        CreateWorkforce: {
          input: {
            type: "structure",
            required: [
              "WorkforceName"
            ],
            members: {
              CognitoConfig: {
                shape: "Sqq"
              },
              OidcConfig: {
                shape: "Sqt"
              },
              SourceIpConfig: {
                shape: "Sqw"
              },
              WorkforceName: {},
              Tags: {
                shape: "S7"
              },
              WorkforceVpcConfig: {
                shape: "Sr0"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "WorkforceArn"
            ],
            members: {
              WorkforceArn: {}
            }
          }
        },
        CreateWorkteam: {
          input: {
            type: "structure",
            required: [
              "WorkteamName",
              "MemberDefinitions",
              "Description"
            ],
            members: {
              WorkteamName: {},
              WorkforceName: {},
              MemberDefinitions: {
                shape: "Sra"
              },
              Description: {},
              NotificationConfiguration: {
                shape: "Sri"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkteamArn: {}
            }
          }
        },
        DeleteAction: {
          input: {
            type: "structure",
            required: [
              "ActionName"
            ],
            members: {
              ActionName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ActionArn: {}
            }
          }
        },
        DeleteAlgorithm: {
          input: {
            type: "structure",
            required: [
              "AlgorithmName"
            ],
            members: {
              AlgorithmName: {}
            }
          }
        },
        DeleteApp: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "AppType",
              "AppName"
            ],
            members: {
              DomainId: {},
              UserProfileName: {},
              AppType: {},
              AppName: {},
              SpaceName: {}
            }
          }
        },
        DeleteAppImageConfig: {
          input: {
            type: "structure",
            required: [
              "AppImageConfigName"
            ],
            members: {
              AppImageConfigName: {}
            }
          }
        },
        DeleteArtifact: {
          input: {
            type: "structure",
            members: {
              ArtifactArn: {},
              Source: {
                shape: "S50"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ArtifactArn: {}
            }
          }
        },
        DeleteAssociation: {
          input: {
            type: "structure",
            required: [
              "SourceArn",
              "DestinationArn"
            ],
            members: {
              SourceArn: {},
              DestinationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SourceArn: {},
              DestinationArn: {}
            }
          }
        },
        DeleteCodeRepository: {
          input: {
            type: "structure",
            required: [
              "CodeRepositoryName"
            ],
            members: {
              CodeRepositoryName: {}
            }
          }
        },
        DeleteContext: {
          input: {
            type: "structure",
            required: [
              "ContextName"
            ],
            members: {
              ContextName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ContextArn: {}
            }
          }
        },
        DeleteDataQualityJobDefinition: {
          input: {
            type: "structure",
            required: [
              "JobDefinitionName"
            ],
            members: {
              JobDefinitionName: {}
            }
          }
        },
        DeleteDeviceFleet: {
          input: {
            type: "structure",
            required: [
              "DeviceFleetName"
            ],
            members: {
              DeviceFleetName: {}
            }
          }
        },
        DeleteDomain: {
          input: {
            type: "structure",
            required: [
              "DomainId"
            ],
            members: {
              DomainId: {},
              RetentionPolicy: {
                type: "structure",
                members: {
                  HomeEfsFileSystem: {}
                }
              }
            }
          }
        },
        DeleteEdgeDeploymentPlan: {
          input: {
            type: "structure",
            required: [
              "EdgeDeploymentPlanName"
            ],
            members: {
              EdgeDeploymentPlanName: {}
            }
          }
        },
        DeleteEdgeDeploymentStage: {
          input: {
            type: "structure",
            required: [
              "EdgeDeploymentPlanName",
              "StageName"
            ],
            members: {
              EdgeDeploymentPlanName: {},
              StageName: {}
            }
          }
        },
        DeleteEndpoint: {
          input: {
            type: "structure",
            required: [
              "EndpointName"
            ],
            members: {
              EndpointName: {}
            }
          }
        },
        DeleteEndpointConfig: {
          input: {
            type: "structure",
            required: [
              "EndpointConfigName"
            ],
            members: {
              EndpointConfigName: {}
            }
          }
        },
        DeleteExperiment: {
          input: {
            type: "structure",
            required: [
              "ExperimentName"
            ],
            members: {
              ExperimentName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ExperimentArn: {}
            }
          }
        },
        DeleteFeatureGroup: {
          input: {
            type: "structure",
            required: [
              "FeatureGroupName"
            ],
            members: {
              FeatureGroupName: {}
            }
          }
        },
        DeleteFlowDefinition: {
          input: {
            type: "structure",
            required: [
              "FlowDefinitionName"
            ],
            members: {
              FlowDefinitionName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteHub: {
          input: {
            type: "structure",
            required: [
              "HubName"
            ],
            members: {
              HubName: {}
            }
          }
        },
        DeleteHubContent: {
          input: {
            type: "structure",
            required: [
              "HubName",
              "HubContentType",
              "HubContentName",
              "HubContentVersion"
            ],
            members: {
              HubName: {},
              HubContentType: {},
              HubContentName: {},
              HubContentVersion: {}
            }
          }
        },
        DeleteHumanTaskUi: {
          input: {
            type: "structure",
            required: [
              "HumanTaskUiName"
            ],
            members: {
              HumanTaskUiName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteImage: {
          input: {
            type: "structure",
            required: [
              "ImageName"
            ],
            members: {
              ImageName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteImageVersion: {
          input: {
            type: "structure",
            required: [
              "ImageName"
            ],
            members: {
              ImageName: {},
              Version: {
                type: "integer"
              },
              Alias: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteInferenceExperiment: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "InferenceExperimentArn"
            ],
            members: {
              InferenceExperimentArn: {}
            }
          }
        },
        DeleteModel: {
          input: {
            type: "structure",
            required: [
              "ModelName"
            ],
            members: {
              ModelName: {}
            }
          }
        },
        DeleteModelBiasJobDefinition: {
          input: {
            type: "structure",
            required: [
              "JobDefinitionName"
            ],
            members: {
              JobDefinitionName: {}
            }
          }
        },
        DeleteModelCard: {
          input: {
            type: "structure",
            required: [
              "ModelCardName"
            ],
            members: {
              ModelCardName: {}
            }
          }
        },
        DeleteModelExplainabilityJobDefinition: {
          input: {
            type: "structure",
            required: [
              "JobDefinitionName"
            ],
            members: {
              JobDefinitionName: {}
            }
          }
        },
        DeleteModelPackage: {
          input: {
            type: "structure",
            required: [
              "ModelPackageName"
            ],
            members: {
              ModelPackageName: {}
            }
          }
        },
        DeleteModelPackageGroup: {
          input: {
            type: "structure",
            required: [
              "ModelPackageGroupName"
            ],
            members: {
              ModelPackageGroupName: {}
            }
          }
        },
        DeleteModelPackageGroupPolicy: {
          input: {
            type: "structure",
            required: [
              "ModelPackageGroupName"
            ],
            members: {
              ModelPackageGroupName: {}
            }
          }
        },
        DeleteModelQualityJobDefinition: {
          input: {
            type: "structure",
            required: [
              "JobDefinitionName"
            ],
            members: {
              JobDefinitionName: {}
            }
          }
        },
        DeleteMonitoringSchedule: {
          input: {
            type: "structure",
            required: [
              "MonitoringScheduleName"
            ],
            members: {
              MonitoringScheduleName: {}
            }
          }
        },
        DeleteNotebookInstance: {
          input: {
            type: "structure",
            required: [
              "NotebookInstanceName"
            ],
            members: {
              NotebookInstanceName: {}
            }
          }
        },
        DeleteNotebookInstanceLifecycleConfig: {
          input: {
            type: "structure",
            required: [
              "NotebookInstanceLifecycleConfigName"
            ],
            members: {
              NotebookInstanceLifecycleConfigName: {}
            }
          }
        },
        DeletePipeline: {
          input: {
            type: "structure",
            required: [
              "PipelineName",
              "ClientRequestToken"
            ],
            members: {
              PipelineName: {},
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PipelineArn: {}
            }
          }
        },
        DeleteProject: {
          input: {
            type: "structure",
            required: [
              "ProjectName"
            ],
            members: {
              ProjectName: {}
            }
          }
        },
        DeleteSpace: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "SpaceName"
            ],
            members: {
              DomainId: {},
              SpaceName: {}
            }
          }
        },
        DeleteStudioLifecycleConfig: {
          input: {
            type: "structure",
            required: [
              "StudioLifecycleConfigName"
            ],
            members: {
              StudioLifecycleConfigName: {}
            }
          }
        },
        DeleteTags: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteTrial: {
          input: {
            type: "structure",
            required: [
              "TrialName"
            ],
            members: {
              TrialName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrialArn: {}
            }
          }
        },
        DeleteTrialComponent: {
          input: {
            type: "structure",
            required: [
              "TrialComponentName"
            ],
            members: {
              TrialComponentName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrialComponentArn: {}
            }
          }
        },
        DeleteUserProfile: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "UserProfileName"
            ],
            members: {
              DomainId: {},
              UserProfileName: {}
            }
          }
        },
        DeleteWorkforce: {
          input: {
            type: "structure",
            required: [
              "WorkforceName"
            ],
            members: {
              WorkforceName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteWorkteam: {
          input: {
            type: "structure",
            required: [
              "WorkteamName"
            ],
            members: {
              WorkteamName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Success"
            ],
            members: {
              Success: {
                type: "boolean"
              }
            }
          }
        },
        DeregisterDevices: {
          input: {
            type: "structure",
            required: [
              "DeviceFleetName",
              "DeviceNames"
            ],
            members: {
              DeviceFleetName: {},
              DeviceNames: {
                shape: "Sah"
              }
            }
          }
        },
        DescribeAction: {
          input: {
            type: "structure",
            required: [
              "ActionName"
            ],
            members: {
              ActionName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ActionName: {},
              ActionArn: {},
              Source: {
                shape: "S1j"
              },
              ActionType: {},
              Description: {},
              Status: {},
              Properties: {
                shape: "S1o"
              },
              CreationTime: {
                type: "timestamp"
              },
              CreatedBy: {
                shape: "Stl"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastModifiedBy: {
                shape: "Stl"
              },
              MetadataProperties: {
                shape: "S1q"
              },
              LineageGroupArn: {}
            }
          }
        },
        DescribeAlgorithm: {
          input: {
            type: "structure",
            required: [
              "AlgorithmName"
            ],
            members: {
              AlgorithmName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "AlgorithmName",
              "AlgorithmArn",
              "CreationTime",
              "TrainingSpecification",
              "AlgorithmStatus",
              "AlgorithmStatusDetails"
            ],
            members: {
              AlgorithmName: {},
              AlgorithmArn: {},
              AlgorithmDescription: {},
              CreationTime: {
                type: "timestamp"
              },
              TrainingSpecification: {
                shape: "S1v"
              },
              InferenceSpecification: {
                shape: "Sr"
              },
              ValidationSpecification: {
                shape: "S2o"
              },
              AlgorithmStatus: {},
              AlgorithmStatusDetails: {
                type: "structure",
                members: {
                  ValidationStatuses: {
                    shape: "Sts"
                  },
                  ImageScanStatuses: {
                    shape: "Sts"
                  }
                }
              },
              ProductId: {},
              CertifyForMarketplace: {
                type: "boolean"
              }
            }
          }
        },
        DescribeApp: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "AppType",
              "AppName"
            ],
            members: {
              DomainId: {},
              UserProfileName: {},
              AppType: {},
              AppName: {},
              SpaceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AppArn: {},
              AppType: {},
              AppName: {},
              DomainId: {},
              UserProfileName: {},
              Status: {},
              LastHealthCheckTimestamp: {
                type: "timestamp"
              },
              LastUserActivityTimestamp: {
                type: "timestamp"
              },
              CreationTime: {
                type: "timestamp"
              },
              FailureReason: {},
              ResourceSpec: {
                shape: "S4e"
              },
              SpaceName: {}
            }
          }
        },
        DescribeAppImageConfig: {
          input: {
            type: "structure",
            required: [
              "AppImageConfigName"
            ],
            members: {
              AppImageConfigName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AppImageConfigArn: {},
              AppImageConfigName: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              KernelGatewayImageConfig: {
                shape: "S4o"
              }
            }
          }
        },
        DescribeArtifact: {
          input: {
            type: "structure",
            required: [
              "ArtifactArn"
            ],
            members: {
              ArtifactArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ArtifactName: {},
              ArtifactArn: {},
              Source: {
                shape: "S50"
              },
              ArtifactType: {},
              Properties: {
                shape: "S1o"
              },
              CreationTime: {
                type: "timestamp"
              },
              CreatedBy: {
                shape: "Stl"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastModifiedBy: {
                shape: "Stl"
              },
              MetadataProperties: {
                shape: "S1q"
              },
              LineageGroupArn: {}
            }
          }
        },
        DescribeAutoMLJob: {
          input: {
            type: "structure",
            required: [
              "AutoMLJobName"
            ],
            members: {
              AutoMLJobName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "AutoMLJobName",
              "AutoMLJobArn",
              "InputDataConfig",
              "OutputDataConfig",
              "RoleArn",
              "CreationTime",
              "LastModifiedTime",
              "AutoMLJobStatus",
              "AutoMLJobSecondaryStatus"
            ],
            members: {
              AutoMLJobName: {},
              AutoMLJobArn: {},
              InputDataConfig: {
                shape: "S58"
              },
              OutputDataConfig: {
                shape: "S5g"
              },
              RoleArn: {},
              AutoMLJobObjective: {
                shape: "S5i"
              },
              ProblemType: {},
              AutoMLJobConfig: {
                shape: "S5k"
              },
              CreationTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              FailureReason: {},
              PartialFailureReasons: {
                shape: "Su6"
              },
              BestCandidate: {
                shape: "Su8"
              },
              AutoMLJobStatus: {},
              AutoMLJobSecondaryStatus: {},
              GenerateCandidateDefinitionsOnly: {
                type: "boolean"
              },
              AutoMLJobArtifacts: {
                shape: "Sv0"
              },
              ResolvedAttributes: {
                type: "structure",
                members: {
                  AutoMLJobObjective: {
                    shape: "S5i"
                  },
                  ProblemType: {},
                  CompletionCriteria: {
                    shape: "S5l"
                  }
                }
              },
              ModelDeployConfig: {
                shape: "S64"
              },
              ModelDeployResult: {
                shape: "Sv4"
              }
            }
          }
        },
        DescribeAutoMLJobV2: {
          input: {
            type: "structure",
            required: [
              "AutoMLJobName"
            ],
            members: {
              AutoMLJobName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "AutoMLJobName",
              "AutoMLJobArn",
              "AutoMLJobInputDataConfig",
              "OutputDataConfig",
              "RoleArn",
              "CreationTime",
              "LastModifiedTime",
              "AutoMLJobStatus",
              "AutoMLJobSecondaryStatus"
            ],
            members: {
              AutoMLJobName: {},
              AutoMLJobArn: {},
              AutoMLJobInputDataConfig: {
                shape: "S6a"
              },
              OutputDataConfig: {
                shape: "S5g"
              },
              RoleArn: {},
              AutoMLJobObjective: {
                shape: "S5i"
              },
              AutoMLProblemTypeConfig: {
                shape: "S6c"
              },
              CreationTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              FailureReason: {},
              PartialFailureReasons: {
                shape: "Su6"
              },
              BestCandidate: {
                shape: "Su8"
              },
              AutoMLJobStatus: {},
              AutoMLJobSecondaryStatus: {},
              ModelDeployConfig: {
                shape: "S64"
              },
              ModelDeployResult: {
                shape: "Sv4"
              },
              DataSplitConfig: {
                shape: "S5v"
              },
              SecurityConfig: {
                shape: "S5p"
              },
              AutoMLJobArtifacts: {
                shape: "Sv0"
              },
              ResolvedAttributes: {
                type: "structure",
                members: {
                  AutoMLJobObjective: {
                    shape: "S5i"
                  },
                  CompletionCriteria: {
                    shape: "S5l"
                  },
                  AutoMLProblemTypeResolvedAttributes: {
                    type: "structure",
                    members: {
                      TabularResolvedAttributes: {
                        type: "structure",
                        members: {
                          ProblemType: {}
                        }
                      }
                    },
                    union: true
                  }
                }
              },
              AutoMLProblemTypeConfigName: {}
            }
          }
        },
        DescribeCodeRepository: {
          input: {
            type: "structure",
            required: [
              "CodeRepositoryName"
            ],
            members: {
              CodeRepositoryName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "CodeRepositoryName",
              "CodeRepositoryArn",
              "CreationTime",
              "LastModifiedTime"
            ],
            members: {
              CodeRepositoryName: {},
              CodeRepositoryArn: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              GitConfig: {
                shape: "S73"
              }
            }
          }
        },
        DescribeCompilationJob: {
          input: {
            type: "structure",
            required: [
              "CompilationJobName"
            ],
            members: {
              CompilationJobName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "CompilationJobName",
              "CompilationJobArn",
              "CompilationJobStatus",
              "StoppingCondition",
              "CreationTime",
              "LastModifiedTime",
              "FailureReason",
              "ModelArtifacts",
              "RoleArn",
              "InputConfig",
              "OutputConfig"
            ],
            members: {
              CompilationJobName: {},
              CompilationJobArn: {},
              CompilationJobStatus: {},
              CompilationStartTime: {
                type: "timestamp"
              },
              CompilationEndTime: {
                type: "timestamp"
              },
              StoppingCondition: {
                shape: "S3n"
              },
              InferenceImage: {},
              ModelPackageVersionArn: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              FailureReason: {},
              ModelArtifacts: {
                shape: "Svi"
              },
              ModelDigests: {
                type: "structure",
                members: {
                  ArtifactDigest: {}
                }
              },
              RoleArn: {},
              InputConfig: {
                shape: "S7a"
              },
              OutputConfig: {
                shape: "S7d"
              },
              VpcConfig: {
                shape: "S7k"
              }
            }
          }
        },
        DescribeContext: {
          input: {
            type: "structure",
            required: [
              "ContextName"
            ],
            members: {
              ContextName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ContextName: {},
              ContextArn: {},
              Source: {
                shape: "S7s"
              },
              ContextType: {},
              Description: {},
              Properties: {
                shape: "S1o"
              },
              CreationTime: {
                type: "timestamp"
              },
              CreatedBy: {
                shape: "Stl"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastModifiedBy: {
                shape: "Stl"
              },
              LineageGroupArn: {}
            }
          }
        },
        DescribeDataQualityJobDefinition: {
          input: {
            type: "structure",
            required: [
              "JobDefinitionName"
            ],
            members: {
              JobDefinitionName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "JobDefinitionArn",
              "JobDefinitionName",
              "CreationTime",
              "DataQualityAppSpecification",
              "DataQualityJobInput",
              "DataQualityJobOutputConfig",
              "JobResources",
              "RoleArn"
            ],
            members: {
              JobDefinitionArn: {},
              JobDefinitionName: {},
              CreationTime: {
                type: "timestamp"
              },
              DataQualityBaselineConfig: {
                shape: "S7x"
              },
              DataQualityAppSpecification: {
                shape: "S81"
              },
              DataQualityJobInput: {
                shape: "S8a"
              },
              DataQualityJobOutputConfig: {
                shape: "S8n"
              },
              JobResources: {
                shape: "S8t"
              },
              NetworkConfig: {
                shape: "S8y"
              },
              RoleArn: {},
              StoppingCondition: {
                shape: "S8z"
              }
            }
          }
        },
        DescribeDevice: {
          input: {
            type: "structure",
            required: [
              "DeviceName",
              "DeviceFleetName"
            ],
            members: {
              NextToken: {},
              DeviceName: {},
              DeviceFleetName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "DeviceName",
              "DeviceFleetName",
              "RegistrationTime"
            ],
            members: {
              DeviceArn: {},
              DeviceName: {},
              Description: {},
              DeviceFleetName: {},
              IotThingName: {},
              RegistrationTime: {
                type: "timestamp"
              },
              LatestHeartbeat: {
                type: "timestamp"
              },
              Models: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ModelName",
                    "ModelVersion"
                  ],
                  members: {
                    ModelName: {},
                    ModelVersion: {},
                    LatestSampleTime: {
                      type: "timestamp"
                    },
                    LatestInference: {
                      type: "timestamp"
                    }
                  }
                }
              },
              MaxModels: {
                type: "integer"
              },
              NextToken: {},
              AgentVersion: {}
            }
          }
        },
        DescribeDeviceFleet: {
          input: {
            type: "structure",
            required: [
              "DeviceFleetName"
            ],
            members: {
              DeviceFleetName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "DeviceFleetName",
              "DeviceFleetArn",
              "OutputConfig",
              "CreationTime",
              "LastModifiedTime"
            ],
            members: {
              DeviceFleetName: {},
              DeviceFleetArn: {},
              OutputConfig: {
                shape: "S95"
              },
              Description: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              RoleArn: {},
              IotRoleAlias: {}
            }
          }
        },
        DescribeDomain: {
          input: {
            type: "structure",
            required: [
              "DomainId"
            ],
            members: {
              DomainId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DomainArn: {},
              DomainId: {},
              DomainName: {},
              HomeEfsFileSystemId: {},
              SingleSignOnManagedApplicationInstanceId: {},
              Status: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              FailureReason: {},
              AuthMode: {},
              DefaultUserSettings: {
                shape: "S9b"
              },
              AppNetworkAccessType: {},
              HomeEfsFileSystemKmsKeyId: {
                deprecated: true,
                deprecatedMessage: "This property is deprecated, use KmsKeyId instead."
              },
              SubnetIds: {
                shape: "S5t"
              },
              Url: {},
              VpcId: {},
              KmsKeyId: {},
              DomainSettings: {
                shape: "Sa1"
              },
              AppSecurityGroupManagement: {},
              SecurityGroupIdForDomainBoundary: {},
              DefaultSpaceSettings: {
                shape: "Sa5"
              }
            }
          }
        },
        DescribeEdgeDeploymentPlan: {
          input: {
            type: "structure",
            required: [
              "EdgeDeploymentPlanName"
            ],
            members: {
              EdgeDeploymentPlanName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EdgeDeploymentPlanArn",
              "EdgeDeploymentPlanName",
              "ModelConfigs",
              "DeviceFleetName",
              "Stages"
            ],
            members: {
              EdgeDeploymentPlanArn: {},
              EdgeDeploymentPlanName: {},
              ModelConfigs: {
                shape: "Saa"
              },
              DeviceFleetName: {},
              EdgeDeploymentSuccess: {
                type: "integer"
              },
              EdgeDeploymentPending: {
                type: "integer"
              },
              EdgeDeploymentFailed: {
                type: "integer"
              },
              Stages: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "StageName",
                    "DeviceSelectionConfig",
                    "DeploymentConfig",
                    "DeploymentStatus"
                  ],
                  members: {
                    StageName: {},
                    DeviceSelectionConfig: {
                      shape: "Sae"
                    },
                    DeploymentConfig: {
                      shape: "Saj"
                    },
                    DeploymentStatus: {
                      type: "structure",
                      required: [
                        "StageStatus",
                        "EdgeDeploymentSuccessInStage",
                        "EdgeDeploymentPendingInStage",
                        "EdgeDeploymentFailedInStage"
                      ],
                      members: {
                        StageStatus: {},
                        EdgeDeploymentSuccessInStage: {
                          type: "integer"
                        },
                        EdgeDeploymentPendingInStage: {
                          type: "integer"
                        },
                        EdgeDeploymentFailedInStage: {
                          type: "integer"
                        },
                        EdgeDeploymentStatusMessage: {},
                        EdgeDeploymentStageStartTime: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeEdgePackagingJob: {
          input: {
            type: "structure",
            required: [
              "EdgePackagingJobName"
            ],
            members: {
              EdgePackagingJobName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "EdgePackagingJobArn",
              "EdgePackagingJobName",
              "EdgePackagingJobStatus"
            ],
            members: {
              EdgePackagingJobArn: {},
              EdgePackagingJobName: {},
              CompilationJobName: {},
              ModelName: {},
              ModelVersion: {},
              RoleArn: {},
              OutputConfig: {
                shape: "S95"
              },
              ResourceKey: {},
              EdgePackagingJobStatus: {},
              EdgePackagingJobStatusMessage: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              ModelArtifact: {},
              ModelSignature: {},
              PresetDeploymentOutput: {
                type: "structure",
                required: [
                  "Type"
                ],
                members: {
                  Type: {},
                  Artifact: {},
                  Status: {},
                  StatusMessage: {}
                }
              }
            }
          }
        },
        DescribeEndpoint: {
          input: {
            type: "structure",
            required: [
              "EndpointName"
            ],
            members: {
              EndpointName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "EndpointName",
              "EndpointArn",
              "EndpointConfigName",
              "EndpointStatus",
              "CreationTime",
              "LastModifiedTime"
            ],
            members: {
              EndpointName: {},
              EndpointArn: {},
              EndpointConfigName: {},
              ProductionVariants: {
                shape: "Swl"
              },
              DataCaptureConfig: {
                shape: "Swt"
              },
              EndpointStatus: {},
              FailureReason: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastDeploymentConfig: {
                shape: "Sas"
              },
              AsyncInferenceConfig: {
                shape: "Sc1"
              },
              PendingDeploymentSummary: {
                type: "structure",
                required: [
                  "EndpointConfigName"
                ],
                members: {
                  EndpointConfigName: {},
                  ProductionVariants: {
                    shape: "Swx"
                  },
                  StartTime: {
                    type: "timestamp"
                  },
                  ShadowProductionVariants: {
                    shape: "Swx"
                  }
                }
              },
              ExplainerConfig: {
                shape: "Sc9"
              },
              ShadowProductionVariants: {
                shape: "Swl"
              }
            }
          }
        },
        DescribeEndpointConfig: {
          input: {
            type: "structure",
            required: [
              "EndpointConfigName"
            ],
            members: {
              EndpointConfigName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "EndpointConfigName",
              "EndpointConfigArn",
              "ProductionVariants",
              "CreationTime"
            ],
            members: {
              EndpointConfigName: {},
              EndpointConfigArn: {},
              ProductionVariants: {
                shape: "Sba"
              },
              DataCaptureConfig: {
                shape: "Sbq"
              },
              KmsKeyId: {},
              CreationTime: {
                type: "timestamp"
              },
              AsyncInferenceConfig: {
                shape: "Sc1"
              },
              ExplainerConfig: {
                shape: "Sc9"
              },
              ShadowProductionVariants: {
                shape: "Sba"
              }
            }
          }
        },
        DescribeExperiment: {
          input: {
            type: "structure",
            required: [
              "ExperimentName"
            ],
            members: {
              ExperimentName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ExperimentName: {},
              ExperimentArn: {},
              DisplayName: {},
              Source: {
                shape: "Sx3"
              },
              Description: {},
              CreationTime: {
                type: "timestamp"
              },
              CreatedBy: {
                shape: "Stl"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastModifiedBy: {
                shape: "Stl"
              }
            }
          }
        },
        DescribeFeatureGroup: {
          input: {
            type: "structure",
            required: [
              "FeatureGroupName"
            ],
            members: {
              FeatureGroupName: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "FeatureGroupArn",
              "FeatureGroupName",
              "RecordIdentifierFeatureName",
              "EventTimeFeatureName",
              "FeatureDefinitions",
              "CreationTime",
              "NextToken"
            ],
            members: {
              FeatureGroupArn: {},
              FeatureGroupName: {},
              RecordIdentifierFeatureName: {},
              EventTimeFeatureName: {},
              FeatureDefinitions: {
                shape: "Sd8"
              },
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              OnlineStoreConfig: {
                shape: "Sdb"
              },
              OfflineStoreConfig: {
                shape: "Sdg"
              },
              RoleArn: {},
              FeatureGroupStatus: {},
              OfflineStoreStatus: {
                shape: "Sx9"
              },
              LastUpdateStatus: {
                shape: "Sxc"
              },
              FailureReason: {},
              Description: {},
              NextToken: {},
              OnlineStoreTotalSizeBytes: {
                type: "long"
              }
            }
          }
        },
        DescribeFeatureMetadata: {
          input: {
            type: "structure",
            required: [
              "FeatureGroupName",
              "FeatureName"
            ],
            members: {
              FeatureGroupName: {},
              FeatureName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "FeatureGroupArn",
              "FeatureGroupName",
              "FeatureName",
              "FeatureType",
              "CreationTime",
              "LastModifiedTime"
            ],
            members: {
              FeatureGroupArn: {},
              FeatureGroupName: {},
              FeatureName: {},
              FeatureType: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              Description: {},
              Parameters: {
                shape: "Sxi"
              }
            }
          }
        },
        DescribeFlowDefinition: {
          input: {
            type: "structure",
            required: [
              "FlowDefinitionName"
            ],
            members: {
              FlowDefinitionName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "FlowDefinitionArn",
              "FlowDefinitionName",
              "FlowDefinitionStatus",
              "CreationTime",
              "HumanLoopConfig",
              "OutputConfig",
              "RoleArn"
            ],
            members: {
              FlowDefinitionArn: {},
              FlowDefinitionName: {},
              FlowDefinitionStatus: {},
              CreationTime: {
                type: "timestamp"
              },
              HumanLoopRequestSource: {
                shape: "Sds"
              },
              HumanLoopActivationConfig: {
                shape: "Sdu"
              },
              HumanLoopConfig: {
                shape: "Sdx"
              },
              OutputConfig: {
                shape: "Sec"
              },
              RoleArn: {},
              FailureReason: {}
            }
          }
        },
        DescribeHub: {
          input: {
            type: "structure",
            required: [
              "HubName"
            ],
            members: {
              HubName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "HubName",
              "HubArn",
              "HubStatus",
              "CreationTime",
              "LastModifiedTime"
            ],
            members: {
              HubName: {},
              HubArn: {},
              HubDisplayName: {},
              HubDescription: {},
              HubSearchKeywords: {
                shape: "Sej"
              },
              S3StorageConfig: {
                shape: "Sel"
              },
              HubStatus: {},
              FailureReason: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeHubContent: {
          input: {
            type: "structure",
            required: [
              "HubName",
              "HubContentType",
              "HubContentName"
            ],
            members: {
              HubName: {},
              HubContentType: {},
              HubContentName: {},
              HubContentVersion: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "HubContentName",
              "HubContentArn",
              "HubContentVersion",
              "HubContentType",
              "DocumentSchemaVersion",
              "HubName",
              "HubArn",
              "HubContentDocument",
              "HubContentStatus",
              "CreationTime"
            ],
            members: {
              HubContentName: {},
              HubContentArn: {},
              HubContentVersion: {},
              HubContentType: {},
              DocumentSchemaVersion: {},
              HubName: {},
              HubArn: {},
              HubContentDisplayName: {},
              HubContentDescription: {},
              HubContentMarkdown: {},
              HubContentDocument: {},
              HubContentSearchKeywords: {
                shape: "Sy0"
              },
              HubContentDependencies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DependencyOriginPath: {},
                    DependencyCopyPath: {}
                  }
                }
              },
              HubContentStatus: {},
              FailureReason: {},
              CreationTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeHumanTaskUi: {
          input: {
            type: "structure",
            required: [
              "HumanTaskUiName"
            ],
            members: {
              HumanTaskUiName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "HumanTaskUiArn",
              "HumanTaskUiName",
              "CreationTime",
              "UiTemplate"
            ],
            members: {
              HumanTaskUiArn: {},
              HumanTaskUiName: {},
              HumanTaskUiStatus: {},
              CreationTime: {
                type: "timestamp"
              },
              UiTemplate: {
                type: "structure",
                members: {
                  Url: {},
                  ContentSha256: {}
                }
              }
            }
          }
        },
        DescribeHyperParameterTuningJob: {
          input: {
            type: "structure",
            required: [
              "HyperParameterTuningJobName"
            ],
            members: {
              HyperParameterTuningJobName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "HyperParameterTuningJobName",
              "HyperParameterTuningJobArn",
              "HyperParameterTuningJobConfig",
              "HyperParameterTuningJobStatus",
              "CreationTime",
              "TrainingJobStatusCounters",
              "ObjectiveStatusCounters"
            ],
            members: {
              HyperParameterTuningJobName: {},
              HyperParameterTuningJobArn: {},
              HyperParameterTuningJobConfig: {
                shape: "Sew"
              },
              TrainingJobDefinition: {
                shape: "Sfp"
              },
              TrainingJobDefinitions: {
                shape: "Sg5"
              },
              HyperParameterTuningJobStatus: {},
              CreationTime: {
                type: "timestamp"
              },
              HyperParameterTuningEndTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              TrainingJobStatusCounters: {
                shape: "Syf"
              },
              ObjectiveStatusCounters: {
                shape: "Syh"
              },
              BestTrainingJob: {
                shape: "Syj"
              },
              OverallBestTrainingJob: {
                shape: "Syj"
              },
              WarmStartConfig: {
                shape: "Sg6"
              },
              FailureReason: {},
              TuningJobCompletionDetails: {
                shape: "Sym"
              },
              ConsumedResources: {
                shape: "Syn"
              },
              Autotune: {
                shape: "Sga"
              }
            }
          }
        },
        DescribeImage: {
          input: {
            type: "structure",
            required: [
              "ImageName"
            ],
            members: {
              ImageName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CreationTime: {
                type: "timestamp"
              },
              Description: {},
              DisplayName: {},
              FailureReason: {},
              ImageArn: {},
              ImageName: {},
              ImageStatus: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              RoleArn: {}
            }
          }
        },
        DescribeImageVersion: {
          input: {
            type: "structure",
            required: [
              "ImageName"
            ],
            members: {
              ImageName: {},
              Version: {
                type: "integer"
              },
              Alias: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BaseImage: {},
              ContainerImage: {},
              CreationTime: {
                type: "timestamp"
              },
              FailureReason: {},
              ImageArn: {},
              ImageVersionArn: {},
              ImageVersionStatus: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              Version: {
                type: "integer"
              },
              VendorGuidance: {},
              JobType: {},
              MLFramework: {},
              ProgrammingLang: {},
              Processor: {},
              Horovod: {
                type: "boolean"
              },
              ReleaseNotes: {}
            }
          }
        },
        DescribeInferenceExperiment: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "Name",
              "Type",
              "Status",
              "EndpointMetadata",
              "ModelVariants"
            ],
            members: {
              Arn: {},
              Name: {},
              Type: {},
              Schedule: {
                shape: "Sgy"
              },
              Status: {},
              StatusReason: {},
              Description: {},
              CreationTime: {
                type: "timestamp"
              },
              CompletionTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              RoleArn: {},
              EndpointMetadata: {
                type: "structure",
                required: [
                  "EndpointName"
                ],
                members: {
                  EndpointName: {},
                  EndpointConfigName: {},
                  EndpointStatus: {},
                  FailureReason: {}
                }
              },
              ModelVariants: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ModelName",
                    "VariantName",
                    "InfrastructureConfig",
                    "Status"
                  ],
                  members: {
                    ModelName: {},
                    VariantName: {},
                    InfrastructureConfig: {
                      shape: "Sh4"
                    },
                    Status: {}
                  }
                }
              },
              DataStorageConfig: {
                shape: "Sh9"
              },
              ShadowModeConfig: {
                shape: "Sha"
              },
              KmsKey: {}
            }
          }
        },
        DescribeInferenceRecommendationsJob: {
          input: {
            type: "structure",
            required: [
              "JobName"
            ],
            members: {
              JobName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "JobName",
              "JobType",
              "JobArn",
              "RoleArn",
              "Status",
              "CreationTime",
              "LastModifiedTime",
              "InputConfig"
            ],
            members: {
              JobName: {},
              JobDescription: {},
              JobType: {},
              JobArn: {},
              RoleArn: {},
              Status: {},
              CreationTime: {
                type: "timestamp"
              },
              CompletionTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              FailureReason: {},
              InputConfig: {
                shape: "Shi"
              },
              StoppingConditions: {
                shape: "Sih"
              },
              InferenceRecommendations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Metrics",
                    "EndpointConfiguration",
                    "ModelConfiguration"
                  ],
                  members: {
                    Metrics: {
                      shape: "Sz8"
                    },
                    EndpointConfiguration: {
                      shape: "Szb"
                    },
                    ModelConfiguration: {
                      shape: "Szd"
                    },
                    RecommendationId: {},
                    InvocationEndTime: {
                      type: "timestamp"
                    },
                    InvocationStartTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              EndpointPerformances: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Metrics",
                    "EndpointInfo"
                  ],
                  members: {
                    Metrics: {
                      shape: "Szl"
                    },
                    EndpointInfo: {
                      shape: "Sia"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeLabelingJob: {
          input: {
            type: "structure",
            required: [
              "LabelingJobName"
            ],
            members: {
              LabelingJobName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "LabelingJobStatus",
              "LabelCounters",
              "CreationTime",
              "LastModifiedTime",
              "JobReferenceCode",
              "LabelingJobName",
              "LabelingJobArn",
              "InputConfig",
              "OutputConfig",
              "RoleArn",
              "HumanTaskConfig"
            ],
            members: {
              LabelingJobStatus: {},
              LabelCounters: {
                shape: "Szp"
              },
              FailureReason: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              JobReferenceCode: {},
              LabelingJobName: {},
              LabelingJobArn: {},
              LabelAttributeName: {},
              InputConfig: {
                shape: "Sis"
              },
              OutputConfig: {
                shape: "Siz"
              },
              RoleArn: {},
              LabelCategoryConfigS3Uri: {},
              StoppingConditions: {
                shape: "Sj0"
              },
              LabelingJobAlgorithmsConfig: {
                shape: "Sj3"
              },
              HumanTaskConfig: {
                shape: "Sj7"
              },
              Tags: {
                shape: "S7"
              },
              LabelingJobOutput: {
                shape: "Szs"
              }
            }
          }
        },
        DescribeLineageGroup: {
          input: {
            type: "structure",
            required: [
              "LineageGroupName"
            ],
            members: {
              LineageGroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LineageGroupName: {},
              LineageGroupArn: {},
              DisplayName: {},
              Description: {},
              CreationTime: {
                type: "timestamp"
              },
              CreatedBy: {
                shape: "Stl"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastModifiedBy: {
                shape: "Stl"
              }
            }
          }
        },
        DescribeModel: {
          input: {
            type: "structure",
            required: [
              "ModelName"
            ],
            members: {
              ModelName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelName",
              "ExecutionRoleArn",
              "CreationTime",
              "ModelArn"
            ],
            members: {
              ModelName: {},
              PrimaryContainer: {
                shape: "Sjm"
              },
              Containers: {
                shape: "Sk0"
              },
              InferenceExecutionConfig: {
                shape: "Sk1"
              },
              ExecutionRoleArn: {},
              VpcConfig: {
                shape: "S5q"
              },
              CreationTime: {
                type: "timestamp"
              },
              ModelArn: {},
              EnableNetworkIsolation: {
                type: "boolean"
              },
              DeploymentRecommendation: {
                shape: "Szx"
              }
            }
          }
        },
        DescribeModelBiasJobDefinition: {
          input: {
            type: "structure",
            required: [
              "JobDefinitionName"
            ],
            members: {
              JobDefinitionName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "JobDefinitionArn",
              "JobDefinitionName",
              "CreationTime",
              "ModelBiasAppSpecification",
              "ModelBiasJobInput",
              "ModelBiasJobOutputConfig",
              "JobResources",
              "RoleArn"
            ],
            members: {
              JobDefinitionArn: {},
              JobDefinitionName: {},
              CreationTime: {
                type: "timestamp"
              },
              ModelBiasBaselineConfig: {
                shape: "Sk5"
              },
              ModelBiasAppSpecification: {
                shape: "Sk6"
              },
              ModelBiasJobInput: {
                shape: "Sk7"
              },
              ModelBiasJobOutputConfig: {
                shape: "S8n"
              },
              JobResources: {
                shape: "S8t"
              },
              NetworkConfig: {
                shape: "S8y"
              },
              RoleArn: {},
              StoppingCondition: {
                shape: "S8z"
              }
            }
          }
        },
        DescribeModelCard: {
          input: {
            type: "structure",
            required: [
              "ModelCardName"
            ],
            members: {
              ModelCardName: {},
              ModelCardVersion: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelCardArn",
              "ModelCardName",
              "ModelCardVersion",
              "Content",
              "ModelCardStatus",
              "CreationTime",
              "CreatedBy"
            ],
            members: {
              ModelCardArn: {},
              ModelCardName: {},
              ModelCardVersion: {
                type: "integer"
              },
              Content: {
                shape: "Skc"
              },
              ModelCardStatus: {},
              SecurityConfig: {
                shape: "Skb"
              },
              CreationTime: {
                type: "timestamp"
              },
              CreatedBy: {
                shape: "Stl"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastModifiedBy: {
                shape: "Stl"
              },
              ModelCardProcessingStatus: {}
            }
          }
        },
        DescribeModelCardExportJob: {
          input: {
            type: "structure",
            required: [
              "ModelCardExportJobArn"
            ],
            members: {
              ModelCardExportJobArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelCardExportJobName",
              "ModelCardExportJobArn",
              "Status",
              "ModelCardName",
              "ModelCardVersion",
              "OutputConfig",
              "CreatedAt",
              "LastModifiedAt"
            ],
            members: {
              ModelCardExportJobName: {},
              ModelCardExportJobArn: {},
              Status: {},
              ModelCardName: {},
              ModelCardVersion: {
                type: "integer"
              },
              OutputConfig: {
                shape: "Skh"
              },
              CreatedAt: {
                type: "timestamp"
              },
              LastModifiedAt: {
                type: "timestamp"
              },
              FailureReason: {},
              ExportArtifacts: {
                type: "structure",
                required: [
                  "S3ExportArtifacts"
                ],
                members: {
                  S3ExportArtifacts: {}
                }
              }
            }
          }
        },
        DescribeModelExplainabilityJobDefinition: {
          input: {
            type: "structure",
            required: [
              "JobDefinitionName"
            ],
            members: {
              JobDefinitionName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "JobDefinitionArn",
              "JobDefinitionName",
              "CreationTime",
              "ModelExplainabilityAppSpecification",
              "ModelExplainabilityJobInput",
              "ModelExplainabilityJobOutputConfig",
              "JobResources",
              "RoleArn"
            ],
            members: {
              JobDefinitionArn: {},
              JobDefinitionName: {},
              CreationTime: {
                type: "timestamp"
              },
              ModelExplainabilityBaselineConfig: {
                shape: "Skl"
              },
              ModelExplainabilityAppSpecification: {
                shape: "Skm"
              },
              ModelExplainabilityJobInput: {
                shape: "Skn"
              },
              ModelExplainabilityJobOutputConfig: {
                shape: "S8n"
              },
              JobResources: {
                shape: "S8t"
              },
              NetworkConfig: {
                shape: "S8y"
              },
              RoleArn: {},
              StoppingCondition: {
                shape: "S8z"
              }
            }
          }
        },
        DescribeModelPackage: {
          input: {
            type: "structure",
            required: [
              "ModelPackageName"
            ],
            members: {
              ModelPackageName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelPackageName",
              "ModelPackageArn",
              "CreationTime",
              "ModelPackageStatus",
              "ModelPackageStatusDetails"
            ],
            members: {
              ModelPackageName: {},
              ModelPackageGroupName: {},
              ModelPackageVersion: {
                type: "integer"
              },
              ModelPackageArn: {},
              ModelPackageDescription: {},
              CreationTime: {
                type: "timestamp"
              },
              InferenceSpecification: {
                shape: "Sr"
              },
              SourceAlgorithmSpecification: {
                shape: "Skt"
              },
              ValidationSpecification: {
                shape: "Skq"
              },
              ModelPackageStatus: {},
              ModelPackageStatusDetails: {
                shape: "S10e"
              },
              CertifyForMarketplace: {
                type: "boolean"
              },
              ModelApprovalStatus: {},
              CreatedBy: {
                shape: "Stl"
              },
              MetadataProperties: {
                shape: "S1q"
              },
              ModelMetrics: {
                shape: "Skw"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastModifiedBy: {
                shape: "Stl"
              },
              ApprovalDescription: {},
              CustomerMetadataProperties: {
                shape: "Sl3"
              },
              DriftCheckBaselines: {
                shape: "Sl6"
              },
              Domain: {},
              Task: {},
              SamplePayloadUrl: {},
              AdditionalInferenceSpecifications: {
                shape: "Slc"
              }
            }
          }
        },
        DescribeModelPackageGroup: {
          input: {
            type: "structure",
            required: [
              "ModelPackageGroupName"
            ],
            members: {
              ModelPackageGroupName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelPackageGroupName",
              "ModelPackageGroupArn",
              "CreationTime",
              "CreatedBy",
              "ModelPackageGroupStatus"
            ],
            members: {
              ModelPackageGroupName: {},
              ModelPackageGroupArn: {},
              ModelPackageGroupDescription: {},
              CreationTime: {
                type: "timestamp"
              },
              CreatedBy: {
                shape: "Stl"
              },
              ModelPackageGroupStatus: {}
            }
          }
        },
        DescribeModelQualityJobDefinition: {
          input: {
            type: "structure",
            required: [
              "JobDefinitionName"
            ],
            members: {
              JobDefinitionName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "JobDefinitionArn",
              "JobDefinitionName",
              "CreationTime",
              "ModelQualityAppSpecification",
              "ModelQualityJobInput",
              "ModelQualityJobOutputConfig",
              "JobResources",
              "RoleArn"
            ],
            members: {
              JobDefinitionArn: {},
              JobDefinitionName: {},
              CreationTime: {
                type: "timestamp"
              },
              ModelQualityBaselineConfig: {
                shape: "Slj"
              },
              ModelQualityAppSpecification: {
                shape: "Slk"
              },
              ModelQualityJobInput: {
                shape: "Slm"
              },
              ModelQualityJobOutputConfig: {
                shape: "S8n"
              },
              JobResources: {
                shape: "S8t"
              },
              NetworkConfig: {
                shape: "S8y"
              },
              RoleArn: {},
              StoppingCondition: {
                shape: "S8z"
              }
            }
          }
        },
        DescribeMonitoringSchedule: {
          input: {
            type: "structure",
            required: [
              "MonitoringScheduleName"
            ],
            members: {
              MonitoringScheduleName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "MonitoringScheduleArn",
              "MonitoringScheduleName",
              "MonitoringScheduleStatus",
              "CreationTime",
              "LastModifiedTime",
              "MonitoringScheduleConfig"
            ],
            members: {
              MonitoringScheduleArn: {},
              MonitoringScheduleName: {},
              MonitoringScheduleStatus: {},
              MonitoringType: {},
              FailureReason: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              MonitoringScheduleConfig: {
                shape: "Slq"
              },
              EndpointName: {},
              LastMonitoringExecutionSummary: {
                shape: "S10r"
              }
            }
          }
        },
        DescribeNotebookInstance: {
          input: {
            type: "structure",
            required: [
              "NotebookInstanceName"
            ],
            members: {
              NotebookInstanceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NotebookInstanceArn: {},
              NotebookInstanceName: {},
              NotebookInstanceStatus: {},
              FailureReason: {},
              Url: {},
              InstanceType: {},
              SubnetId: {},
              SecurityGroups: {
                shape: "S9c"
              },
              RoleArn: {},
              KmsKeyId: {},
              NetworkInterfaceId: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              CreationTime: {
                type: "timestamp"
              },
              NotebookInstanceLifecycleConfigName: {},
              DirectInternetAccess: {},
              VolumeSizeInGB: {
                type: "integer"
              },
              AcceleratorTypes: {
                shape: "Sm7"
              },
              DefaultCodeRepository: {},
              AdditionalCodeRepositories: {
                shape: "Sma"
              },
              RootAccess: {},
              PlatformIdentifier: {},
              InstanceMetadataServiceConfiguration: {
                shape: "Smd"
              }
            }
          }
        },
        DescribeNotebookInstanceLifecycleConfig: {
          input: {
            type: "structure",
            required: [
              "NotebookInstanceLifecycleConfigName"
            ],
            members: {
              NotebookInstanceLifecycleConfigName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NotebookInstanceLifecycleConfigArn: {},
              NotebookInstanceLifecycleConfigName: {},
              OnCreate: {
                shape: "Smi"
              },
              OnStart: {
                shape: "Smi"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              CreationTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribePipeline: {
          input: {
            type: "structure",
            required: [
              "PipelineName"
            ],
            members: {
              PipelineName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PipelineArn: {},
              PipelineName: {},
              PipelineDisplayName: {},
              PipelineDefinition: {},
              PipelineDescription: {},
              RoleArn: {},
              PipelineStatus: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastRunTime: {
                type: "timestamp"
              },
              CreatedBy: {
                shape: "Stl"
              },
              LastModifiedBy: {
                shape: "Stl"
              },
              ParallelismConfiguration: {
                shape: "Smw"
              }
            }
          }
        },
        DescribePipelineDefinitionForExecution: {
          input: {
            type: "structure",
            required: [
              "PipelineExecutionArn"
            ],
            members: {
              PipelineExecutionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PipelineDefinition: {},
              CreationTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribePipelineExecution: {
          input: {
            type: "structure",
            required: [
              "PipelineExecutionArn"
            ],
            members: {
              PipelineExecutionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PipelineArn: {},
              PipelineExecutionArn: {},
              PipelineExecutionDisplayName: {},
              PipelineExecutionStatus: {},
              PipelineExecutionDescription: {},
              PipelineExperimentConfig: {
                shape: "S11b"
              },
              FailureReason: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              CreatedBy: {
                shape: "Stl"
              },
              LastModifiedBy: {
                shape: "Stl"
              },
              ParallelismConfiguration: {
                shape: "Smw"
              },
              SelectiveExecutionConfig: {
                shape: "S11d"
              }
            }
          }
        },
        DescribeProcessingJob: {
          input: {
            type: "structure",
            required: [
              "ProcessingJobName"
            ],
            members: {
              ProcessingJobName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ProcessingJobName",
              "ProcessingResources",
              "AppSpecification",
              "ProcessingJobArn",
              "ProcessingJobStatus",
              "CreationTime"
            ],
            members: {
              ProcessingInputs: {
                shape: "Sn9"
              },
              ProcessingOutputConfig: {
                shape: "Snw"
              },
              ProcessingJobName: {},
              ProcessingResources: {
                shape: "So1"
              },
              StoppingCondition: {
                shape: "So3"
              },
              AppSpecification: {
                shape: "So5"
              },
              Environment: {
                shape: "So7"
              },
              NetworkConfig: {
                shape: "Sly"
              },
              RoleArn: {},
              ExperimentConfig: {
                shape: "So8"
              },
              ProcessingJobArn: {},
              ProcessingJobStatus: {},
              ExitMessage: {},
              FailureReason: {},
              ProcessingEndTime: {
                type: "timestamp"
              },
              ProcessingStartTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              CreationTime: {
                type: "timestamp"
              },
              MonitoringScheduleArn: {},
              AutoMLJobArn: {},
              TrainingJobArn: {}
            }
          }
        },
        DescribeProject: {
          input: {
            type: "structure",
            required: [
              "ProjectName"
            ],
            members: {
              ProjectName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ProjectArn",
              "ProjectName",
              "ProjectId",
              "ServiceCatalogProvisioningDetails",
              "ProjectStatus",
              "CreationTime"
            ],
            members: {
              ProjectArn: {},
              ProjectName: {},
              ProjectId: {},
              ProjectDescription: {},
              ServiceCatalogProvisioningDetails: {
                shape: "Sod"
              },
              ServiceCatalogProvisionedProductDetails: {
                shape: "S11m"
              },
              ProjectStatus: {},
              CreatedBy: {
                shape: "Stl"
              },
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastModifiedBy: {
                shape: "Stl"
              }
            }
          }
        },
        DescribeSpace: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "SpaceName"
            ],
            members: {
              DomainId: {},
              SpaceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DomainId: {},
              SpaceArn: {},
              SpaceName: {},
              HomeEfsFileSystemUid: {},
              Status: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              CreationTime: {
                type: "timestamp"
              },
              FailureReason: {},
              SpaceSettings: {
                shape: "Son"
              }
            }
          }
        },
        DescribeStudioLifecycleConfig: {
          input: {
            type: "structure",
            required: [
              "StudioLifecycleConfigName"
            ],
            members: {
              StudioLifecycleConfigName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StudioLifecycleConfigArn: {},
              StudioLifecycleConfigName: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              StudioLifecycleConfigContent: {},
              StudioLifecycleConfigAppType: {}
            }
          }
        },
        DescribeSubscribedWorkteam: {
          input: {
            type: "structure",
            required: [
              "WorkteamArn"
            ],
            members: {
              WorkteamArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "SubscribedWorkteam"
            ],
            members: {
              SubscribedWorkteam: {
                shape: "S11x"
              }
            }
          }
        },
        DescribeTrainingJob: {
          input: {
            type: "structure",
            required: [
              "TrainingJobName"
            ],
            members: {
              TrainingJobName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "TrainingJobName",
              "TrainingJobArn",
              "ModelArtifacts",
              "TrainingJobStatus",
              "SecondaryStatus",
              "AlgorithmSpecification",
              "ResourceConfig",
              "StoppingCondition",
              "CreationTime"
            ],
            members: {
              TrainingJobName: {},
              TrainingJobArn: {},
              TuningJobArn: {},
              LabelingJobArn: {},
              AutoMLJobArn: {},
              ModelArtifacts: {
                shape: "Svi"
              },
              TrainingJobStatus: {},
              SecondaryStatus: {},
              FailureReason: {},
              HyperParameters: {
                shape: "S2t"
              },
              AlgorithmSpecification: {
                shape: "Sox"
              },
              RoleArn: {},
              InputDataConfig: {
                shape: "S2v"
              },
              OutputDataConfig: {
                shape: "S3e"
              },
              ResourceConfig: {
                shape: "S3h"
              },
              VpcConfig: {
                shape: "S5q"
              },
              StoppingCondition: {
                shape: "S3n"
              },
              CreationTime: {
                type: "timestamp"
              },
              TrainingStartTime: {
                type: "timestamp"
              },
              TrainingEndTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              SecondaryStatusTransitions: {
                shape: "S121"
              },
              FinalMetricDataList: {
                shape: "S124"
              },
              EnableNetworkIsolation: {
                type: "boolean"
              },
              EnableInterContainerTrafficEncryption: {
                type: "boolean"
              },
              EnableManagedSpotTraining: {
                type: "boolean"
              },
              CheckpointConfig: {
                shape: "Sfu"
              },
              TrainingTimeInSeconds: {
                type: "integer"
              },
              BillableTimeInSeconds: {
                type: "integer"
              },
              DebugHookConfig: {
                shape: "Sp6"
              },
              ExperimentConfig: {
                shape: "So8"
              },
              DebugRuleConfigurations: {
                shape: "Spe"
              },
              TensorBoardOutputConfig: {
                shape: "Spi"
              },
              DebugRuleEvaluationStatuses: {
                shape: "S128"
              },
              ProfilerConfig: {
                shape: "Spj"
              },
              ProfilerRuleConfigurations: {
                shape: "Spn"
              },
              ProfilerRuleEvaluationStatuses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RuleConfigurationName: {},
                    RuleEvaluationJobArn: {},
                    RuleEvaluationStatus: {},
                    StatusDetails: {},
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              ProfilingStatus: {},
              RetryStrategy: {
                shape: "Sfv"
              },
              Environment: {
                shape: "Spp"
              },
              WarmPoolStatus: {
                shape: "S12f"
              }
            }
          }
        },
        DescribeTransformJob: {
          input: {
            type: "structure",
            required: [
              "TransformJobName"
            ],
            members: {
              TransformJobName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "TransformJobName",
              "TransformJobArn",
              "TransformJobStatus",
              "ModelName",
              "TransformInput",
              "TransformResources",
              "CreationTime"
            ],
            members: {
              TransformJobName: {},
              TransformJobArn: {},
              TransformJobStatus: {},
              FailureReason: {},
              ModelName: {},
              MaxConcurrentTransforms: {
                type: "integer"
              },
              ModelClientConfig: {
                shape: "Spw"
              },
              MaxPayloadInMB: {
                type: "integer"
              },
              BatchStrategy: {},
              Environment: {
                shape: "S3u"
              },
              TransformInput: {
                shape: "S3x"
              },
              TransformOutput: {
                shape: "S41"
              },
              DataCaptureConfig: {
                shape: "Spz"
              },
              TransformResources: {
                shape: "S44"
              },
              CreationTime: {
                type: "timestamp"
              },
              TransformStartTime: {
                type: "timestamp"
              },
              TransformEndTime: {
                type: "timestamp"
              },
              LabelingJobArn: {},
              AutoMLJobArn: {},
              DataProcessing: {
                shape: "Sq0"
              },
              ExperimentConfig: {
                shape: "So8"
              }
            }
          }
        },
        DescribeTrial: {
          input: {
            type: "structure",
            required: [
              "TrialName"
            ],
            members: {
              TrialName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrialName: {},
              TrialArn: {},
              DisplayName: {},
              ExperimentName: {},
              Source: {
                shape: "S12n"
              },
              CreationTime: {
                type: "timestamp"
              },
              CreatedBy: {
                shape: "Stl"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastModifiedBy: {
                shape: "Stl"
              },
              MetadataProperties: {
                shape: "S1q"
              }
            }
          }
        },
        DescribeTrialComponent: {
          input: {
            type: "structure",
            required: [
              "TrialComponentName"
            ],
            members: {
              TrialComponentName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrialComponentName: {},
              TrialComponentArn: {},
              DisplayName: {},
              Source: {
                shape: "S12r"
              },
              Status: {
                shape: "Sq8"
              },
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              CreationTime: {
                type: "timestamp"
              },
              CreatedBy: {
                shape: "Stl"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastModifiedBy: {
                shape: "Stl"
              },
              Parameters: {
                shape: "Sqb"
              },
              InputArtifacts: {
                shape: "Sqf"
              },
              OutputArtifacts: {
                shape: "Sqf"
              },
              MetadataProperties: {
                shape: "S1q"
              },
              Metrics: {
                shape: "S12t"
              },
              LineageGroupArn: {},
              Sources: {
                type: "list",
                member: {
                  shape: "S12r"
                }
              }
            }
          }
        },
        DescribeUserProfile: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "UserProfileName"
            ],
            members: {
              DomainId: {},
              UserProfileName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DomainId: {},
              UserProfileArn: {},
              UserProfileName: {},
              HomeEfsFileSystemUid: {},
              Status: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              CreationTime: {
                type: "timestamp"
              },
              FailureReason: {},
              SingleSignOnUserIdentifier: {},
              SingleSignOnUserValue: {},
              UserSettings: {
                shape: "S9b"
              }
            }
          }
        },
        DescribeWorkforce: {
          input: {
            type: "structure",
            required: [
              "WorkforceName"
            ],
            members: {
              WorkforceName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Workforce"
            ],
            members: {
              Workforce: {
                shape: "S133"
              }
            }
          }
        },
        DescribeWorkteam: {
          input: {
            type: "structure",
            required: [
              "WorkteamName"
            ],
            members: {
              WorkteamName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Workteam"
            ],
            members: {
              Workteam: {
                shape: "S13b"
              }
            }
          }
        },
        DisableSagemakerServicecatalogPortfolio: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateTrialComponent: {
          input: {
            type: "structure",
            required: [
              "TrialComponentName",
              "TrialName"
            ],
            members: {
              TrialComponentName: {},
              TrialName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrialComponentArn: {},
              TrialArn: {}
            }
          }
        },
        EnableSagemakerServicecatalogPortfolio: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetDeviceFleetReport: {
          input: {
            type: "structure",
            required: [
              "DeviceFleetName"
            ],
            members: {
              DeviceFleetName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "DeviceFleetArn",
              "DeviceFleetName"
            ],
            members: {
              DeviceFleetArn: {},
              DeviceFleetName: {},
              OutputConfig: {
                shape: "S95"
              },
              Description: {},
              ReportGenerated: {
                type: "timestamp"
              },
              DeviceStats: {
                type: "structure",
                required: [
                  "ConnectedDeviceCount",
                  "RegisteredDeviceCount"
                ],
                members: {
                  ConnectedDeviceCount: {
                    type: "long"
                  },
                  RegisteredDeviceCount: {
                    type: "long"
                  }
                }
              },
              AgentVersions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Version",
                    "AgentCount"
                  ],
                  members: {
                    Version: {},
                    AgentCount: {
                      type: "long"
                    }
                  }
                }
              },
              ModelStats: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ModelName",
                    "ModelVersion",
                    "OfflineDeviceCount",
                    "ConnectedDeviceCount",
                    "ActiveDeviceCount",
                    "SamplingDeviceCount"
                  ],
                  members: {
                    ModelName: {},
                    ModelVersion: {},
                    OfflineDeviceCount: {
                      type: "long"
                    },
                    ConnectedDeviceCount: {
                      type: "long"
                    },
                    ActiveDeviceCount: {
                      type: "long"
                    },
                    SamplingDeviceCount: {
                      type: "long"
                    }
                  }
                }
              }
            }
          }
        },
        GetLineageGroupPolicy: {
          input: {
            type: "structure",
            required: [
              "LineageGroupName"
            ],
            members: {
              LineageGroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LineageGroupArn: {},
              ResourcePolicy: {}
            }
          }
        },
        GetModelPackageGroupPolicy: {
          input: {
            type: "structure",
            required: [
              "ModelPackageGroupName"
            ],
            members: {
              ModelPackageGroupName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ResourcePolicy"
            ],
            members: {
              ResourcePolicy: {}
            }
          }
        },
        GetSagemakerServicecatalogPortfolioStatus: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              Status: {}
            }
          }
        },
        GetSearchSuggestions: {
          input: {
            type: "structure",
            required: [
              "Resource"
            ],
            members: {
              Resource: {},
              SuggestionQuery: {
                type: "structure",
                members: {
                  PropertyNameQuery: {
                    type: "structure",
                    required: [
                      "PropertyNameHint"
                    ],
                    members: {
                      PropertyNameHint: {}
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PropertyNameSuggestions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PropertyName: {}
                  }
                }
              }
            }
          }
        },
        ImportHubContent: {
          input: {
            type: "structure",
            required: [
              "HubContentName",
              "HubContentType",
              "DocumentSchemaVersion",
              "HubName",
              "HubContentDocument"
            ],
            members: {
              HubContentName: {},
              HubContentVersion: {},
              HubContentType: {},
              DocumentSchemaVersion: {},
              HubName: {},
              HubContentDisplayName: {},
              HubContentDescription: {},
              HubContentMarkdown: {},
              HubContentDocument: {},
              HubContentSearchKeywords: {
                shape: "Sy0"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HubArn",
              "HubContentArn"
            ],
            members: {
              HubArn: {},
              HubContentArn: {}
            }
          }
        },
        ListActions: {
          input: {
            type: "structure",
            members: {
              SourceUri: {},
              ActionType: {},
              CreatedAfter: {
                type: "timestamp"
              },
              CreatedBefore: {
                type: "timestamp"
              },
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ActionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ActionArn: {},
                    ActionName: {},
                    Source: {
                      shape: "S1j"
                    },
                    ActionType: {},
                    Status: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAlgorithms: {
          input: {
            type: "structure",
            members: {
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              MaxResults: {
                type: "integer"
              },
              NameContains: {},
              NextToken: {},
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "AlgorithmSummaryList"
            ],
            members: {
              AlgorithmSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AlgorithmName",
                    "AlgorithmArn",
                    "CreationTime",
                    "AlgorithmStatus"
                  ],
                  members: {
                    AlgorithmName: {},
                    AlgorithmArn: {},
                    AlgorithmDescription: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    AlgorithmStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAliases: {
          input: {
            type: "structure",
            required: [
              "ImageName"
            ],
            members: {
              ImageName: {},
              Alias: {},
              Version: {
                type: "integer"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SageMakerImageVersionAliases: {
                shape: "Sgl"
              },
              NextToken: {}
            }
          }
        },
        ListAppImageConfigs: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              NameContains: {},
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              ModifiedTimeBefore: {
                type: "timestamp"
              },
              ModifiedTimeAfter: {
                type: "timestamp"
              },
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              AppImageConfigs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AppImageConfigArn: {},
                    AppImageConfigName: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    KernelGatewayImageConfig: {
                      shape: "S4o"
                    }
                  }
                }
              }
            }
          }
        },
        ListApps: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SortOrder: {},
              SortBy: {},
              DomainIdEquals: {},
              UserProfileNameEquals: {},
              SpaceNameEquals: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Apps: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DomainId: {},
                    UserProfileName: {},
                    AppType: {},
                    AppName: {},
                    Status: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    SpaceName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListArtifacts: {
          input: {
            type: "structure",
            members: {
              SourceUri: {},
              ArtifactType: {},
              CreatedAfter: {
                type: "timestamp"
              },
              CreatedBefore: {
                type: "timestamp"
              },
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ArtifactSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ArtifactArn: {},
                    ArtifactName: {},
                    Source: {
                      shape: "S50"
                    },
                    ArtifactType: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAssociations: {
          input: {
            type: "structure",
            members: {
              SourceArn: {},
              DestinationArn: {},
              SourceType: {},
              DestinationType: {},
              AssociationType: {},
              CreatedAfter: {
                type: "timestamp"
              },
              CreatedBefore: {
                type: "timestamp"
              },
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssociationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SourceArn: {},
                    DestinationArn: {},
                    SourceType: {},
                    DestinationType: {},
                    AssociationType: {},
                    SourceName: {},
                    DestinationName: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    CreatedBy: {
                      shape: "Stl"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAutoMLJobs: {
          input: {
            type: "structure",
            members: {
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              NameContains: {},
              StatusEquals: {},
              SortOrder: {},
              SortBy: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "AutoMLJobSummaries"
            ],
            members: {
              AutoMLJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AutoMLJobName",
                    "AutoMLJobArn",
                    "AutoMLJobStatus",
                    "AutoMLJobSecondaryStatus",
                    "CreationTime",
                    "LastModifiedTime"
                  ],
                  members: {
                    AutoMLJobName: {},
                    AutoMLJobArn: {},
                    AutoMLJobStatus: {},
                    AutoMLJobSecondaryStatus: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    FailureReason: {},
                    PartialFailureReasons: {
                      shape: "Su6"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCandidatesForAutoMLJob: {
          input: {
            type: "structure",
            required: [
              "AutoMLJobName"
            ],
            members: {
              AutoMLJobName: {},
              StatusEquals: {},
              CandidateNameEquals: {},
              SortOrder: {},
              SortBy: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Candidates"
            ],
            members: {
              Candidates: {
                type: "list",
                member: {
                  shape: "Su8"
                }
              },
              NextToken: {}
            }
          }
        },
        ListCodeRepositories: {
          input: {
            type: "structure",
            members: {
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              MaxResults: {
                type: "integer"
              },
              NameContains: {},
              NextToken: {},
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "CodeRepositorySummaryList"
            ],
            members: {
              CodeRepositorySummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "CodeRepositoryName",
                    "CodeRepositoryArn",
                    "CreationTime",
                    "LastModifiedTime"
                  ],
                  members: {
                    CodeRepositoryName: {},
                    CodeRepositoryArn: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    GitConfig: {
                      shape: "S73"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCompilationJobs: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              NameContains: {},
              StatusEquals: {},
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "CompilationJobSummaries"
            ],
            members: {
              CompilationJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "CompilationJobName",
                    "CompilationJobArn",
                    "CreationTime",
                    "CompilationJobStatus"
                  ],
                  members: {
                    CompilationJobName: {},
                    CompilationJobArn: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    CompilationStartTime: {
                      type: "timestamp"
                    },
                    CompilationEndTime: {
                      type: "timestamp"
                    },
                    CompilationTargetDevice: {},
                    CompilationTargetPlatformOs: {},
                    CompilationTargetPlatformArch: {},
                    CompilationTargetPlatformAccelerator: {},
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    CompilationJobStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListContexts: {
          input: {
            type: "structure",
            members: {
              SourceUri: {},
              ContextType: {},
              CreatedAfter: {
                type: "timestamp"
              },
              CreatedBefore: {
                type: "timestamp"
              },
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContextSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ContextArn: {},
                    ContextName: {},
                    Source: {
                      shape: "S7s"
                    },
                    ContextType: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDataQualityJobDefinitions: {
          input: {
            type: "structure",
            members: {
              EndpointName: {},
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              NameContains: {},
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "JobDefinitionSummaries"
            ],
            members: {
              JobDefinitionSummaries: {
                shape: "S168"
              },
              NextToken: {}
            }
          }
        },
        ListDeviceFleets: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              NameContains: {},
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "DeviceFleetSummaries"
            ],
            members: {
              DeviceFleetSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "DeviceFleetArn",
                    "DeviceFleetName"
                  ],
                  members: {
                    DeviceFleetArn: {},
                    DeviceFleetName: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDevices: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              LatestHeartbeatAfter: {
                type: "timestamp"
              },
              ModelName: {},
              DeviceFleetName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "DeviceSummaries"
            ],
            members: {
              DeviceSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "DeviceName",
                    "DeviceArn"
                  ],
                  members: {
                    DeviceName: {},
                    DeviceArn: {},
                    Description: {},
                    DeviceFleetName: {},
                    IotThingName: {},
                    RegistrationTime: {
                      type: "timestamp"
                    },
                    LatestHeartbeat: {
                      type: "timestamp"
                    },
                    Models: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "ModelName",
                          "ModelVersion"
                        ],
                        members: {
                          ModelName: {},
                          ModelVersion: {}
                        }
                      }
                    },
                    AgentVersion: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDomains: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Domains: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DomainArn: {},
                    DomainId: {},
                    DomainName: {},
                    Status: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    Url: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEdgeDeploymentPlans: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              NameContains: {},
              DeviceFleetNameContains: {},
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "EdgeDeploymentPlanSummaries"
            ],
            members: {
              EdgeDeploymentPlanSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "EdgeDeploymentPlanArn",
                    "EdgeDeploymentPlanName",
                    "DeviceFleetName",
                    "EdgeDeploymentSuccess",
                    "EdgeDeploymentPending",
                    "EdgeDeploymentFailed"
                  ],
                  members: {
                    EdgeDeploymentPlanArn: {},
                    EdgeDeploymentPlanName: {},
                    DeviceFleetName: {},
                    EdgeDeploymentSuccess: {
                      type: "integer"
                    },
                    EdgeDeploymentPending: {
                      type: "integer"
                    },
                    EdgeDeploymentFailed: {
                      type: "integer"
                    },
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEdgePackagingJobs: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              NameContains: {},
              ModelNameContains: {},
              StatusEquals: {},
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "EdgePackagingJobSummaries"
            ],
            members: {
              EdgePackagingJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "EdgePackagingJobArn",
                    "EdgePackagingJobName",
                    "EdgePackagingJobStatus"
                  ],
                  members: {
                    EdgePackagingJobArn: {},
                    EdgePackagingJobName: {},
                    EdgePackagingJobStatus: {},
                    CompilationJobName: {},
                    ModelName: {},
                    ModelVersion: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEndpointConfigs: {
          input: {
            type: "structure",
            members: {
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              NameContains: {},
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EndpointConfigs"
            ],
            members: {
              EndpointConfigs: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "EndpointConfigName",
                    "EndpointConfigArn",
                    "CreationTime"
                  ],
                  members: {
                    EndpointConfigName: {},
                    EndpointConfigArn: {},
                    CreationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEndpoints: {
          input: {
            type: "structure",
            members: {
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              NameContains: {},
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              StatusEquals: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Endpoints"
            ],
            members: {
              Endpoints: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "EndpointName",
                    "EndpointArn",
                    "CreationTime",
                    "LastModifiedTime",
                    "EndpointStatus"
                  ],
                  members: {
                    EndpointName: {},
                    EndpointArn: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    EndpointStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListExperiments: {
          input: {
            type: "structure",
            members: {
              CreatedAfter: {
                type: "timestamp"
              },
              CreatedBefore: {
                type: "timestamp"
              },
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ExperimentSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ExperimentArn: {},
                    ExperimentName: {},
                    DisplayName: {},
                    ExperimentSource: {
                      shape: "Sx3"
                    },
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListFeatureGroups: {
          input: {
            type: "structure",
            members: {
              NameContains: {},
              FeatureGroupStatusEquals: {},
              OfflineStoreStatusEquals: {},
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              SortOrder: {},
              SortBy: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "FeatureGroupSummaries",
              "NextToken"
            ],
            members: {
              FeatureGroupSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "FeatureGroupName",
                    "FeatureGroupArn",
                    "CreationTime"
                  ],
                  members: {
                    FeatureGroupName: {},
                    FeatureGroupArn: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    FeatureGroupStatus: {},
                    OfflineStoreStatus: {
                      shape: "Sx9"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListFlowDefinitions: {
          input: {
            type: "structure",
            members: {
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "FlowDefinitionSummaries"
            ],
            members: {
              FlowDefinitionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "FlowDefinitionName",
                    "FlowDefinitionArn",
                    "FlowDefinitionStatus",
                    "CreationTime"
                  ],
                  members: {
                    FlowDefinitionName: {},
                    FlowDefinitionArn: {},
                    FlowDefinitionStatus: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    FailureReason: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListHubContentVersions: {
          input: {
            type: "structure",
            required: [
              "HubName",
              "HubContentType",
              "HubContentName"
            ],
            members: {
              HubName: {},
              HubContentType: {},
              HubContentName: {},
              MinVersion: {},
              MaxSchemaVersion: {},
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              SortBy: {},
              SortOrder: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "HubContentSummaries"
            ],
            members: {
              HubContentSummaries: {
                shape: "S17y"
              },
              NextToken: {}
            }
          }
        },
        ListHubContents: {
          input: {
            type: "structure",
            required: [
              "HubName",
              "HubContentType"
            ],
            members: {
              HubName: {},
              HubContentType: {},
              NameContains: {},
              MaxSchemaVersion: {},
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              SortBy: {},
              SortOrder: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "HubContentSummaries"
            ],
            members: {
              HubContentSummaries: {
                shape: "S17y"
              },
              NextToken: {}
            }
          }
        },
        ListHubs: {
          input: {
            type: "structure",
            members: {
              NameContains: {},
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              SortBy: {},
              SortOrder: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "HubSummaries"
            ],
            members: {
              HubSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "HubName",
                    "HubArn",
                    "HubStatus",
                    "CreationTime",
                    "LastModifiedTime"
                  ],
                  members: {
                    HubName: {},
                    HubArn: {},
                    HubDisplayName: {},
                    HubDescription: {},
                    HubSearchKeywords: {
                      shape: "Sej"
                    },
                    HubStatus: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListHumanTaskUis: {
          input: {
            type: "structure",
            members: {
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HumanTaskUiSummaries"
            ],
            members: {
              HumanTaskUiSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "HumanTaskUiName",
                    "HumanTaskUiArn",
                    "CreationTime"
                  ],
                  members: {
                    HumanTaskUiName: {},
                    HumanTaskUiArn: {},
                    CreationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListHyperParameterTuningJobs: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SortBy: {},
              SortOrder: {},
              NameContains: {},
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              StatusEquals: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "HyperParameterTuningJobSummaries"
            ],
            members: {
              HyperParameterTuningJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "HyperParameterTuningJobName",
                    "HyperParameterTuningJobArn",
                    "HyperParameterTuningJobStatus",
                    "Strategy",
                    "CreationTime",
                    "TrainingJobStatusCounters",
                    "ObjectiveStatusCounters"
                  ],
                  members: {
                    HyperParameterTuningJobName: {},
                    HyperParameterTuningJobArn: {},
                    HyperParameterTuningJobStatus: {},
                    Strategy: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    HyperParameterTuningEndTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    TrainingJobStatusCounters: {
                      shape: "Syf"
                    },
                    ObjectiveStatusCounters: {
                      shape: "Syh"
                    },
                    ResourceLimits: {
                      shape: "Sf2"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListImageVersions: {
          input: {
            type: "structure",
            required: [
              "ImageName"
            ],
            members: {
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              ImageName: {},
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImageVersions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "CreationTime",
                    "ImageArn",
                    "ImageVersionArn",
                    "ImageVersionStatus",
                    "LastModifiedTime",
                    "Version"
                  ],
                  members: {
                    CreationTime: {
                      type: "timestamp"
                    },
                    FailureReason: {},
                    ImageArn: {},
                    ImageVersionArn: {},
                    ImageVersionStatus: {},
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    Version: {
                      type: "integer"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListImages: {
          input: {
            type: "structure",
            members: {
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              MaxResults: {
                type: "integer"
              },
              NameContains: {},
              NextToken: {},
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Images: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "CreationTime",
                    "ImageArn",
                    "ImageName",
                    "ImageStatus",
                    "LastModifiedTime"
                  ],
                  members: {
                    CreationTime: {
                      type: "timestamp"
                    },
                    Description: {},
                    DisplayName: {},
                    FailureReason: {},
                    ImageArn: {},
                    ImageName: {},
                    ImageStatus: {},
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListInferenceExperiments: {
          input: {
            type: "structure",
            members: {
              NameContains: {},
              Type: {},
              StatusEquals: {},
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InferenceExperiments: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Type",
                    "Status",
                    "CreationTime",
                    "LastModifiedTime"
                  ],
                  members: {
                    Name: {},
                    Type: {},
                    Schedule: {
                      shape: "Sgy"
                    },
                    Status: {},
                    StatusReason: {},
                    Description: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    CompletionTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    RoleArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListInferenceRecommendationsJobSteps: {
          input: {
            type: "structure",
            required: [
              "JobName"
            ],
            members: {
              JobName: {},
              Status: {},
              StepType: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Steps: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "StepType",
                    "JobName",
                    "Status"
                  ],
                  members: {
                    StepType: {},
                    JobName: {},
                    Status: {},
                    InferenceBenchmark: {
                      type: "structure",
                      required: [
                        "ModelConfiguration"
                      ],
                      members: {
                        Metrics: {
                          shape: "Sz8"
                        },
                        EndpointConfiguration: {
                          shape: "Szb"
                        },
                        ModelConfiguration: {
                          shape: "Szd"
                        },
                        FailureReason: {},
                        EndpointMetrics: {
                          shape: "Szl"
                        },
                        InvocationEndTime: {
                          type: "timestamp"
                        },
                        InvocationStartTime: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListInferenceRecommendationsJobs: {
          input: {
            type: "structure",
            members: {
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              NameContains: {},
              StatusEquals: {},
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ModelNameEquals: {},
              ModelPackageVersionArnEquals: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "InferenceRecommendationsJobs"
            ],
            members: {
              InferenceRecommendationsJobs: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "JobName",
                    "JobDescription",
                    "JobType",
                    "JobArn",
                    "Status",
                    "CreationTime",
                    "RoleArn",
                    "LastModifiedTime"
                  ],
                  members: {
                    JobName: {},
                    JobDescription: {},
                    JobType: {},
                    JobArn: {},
                    Status: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    CompletionTime: {
                      type: "timestamp"
                    },
                    RoleArn: {},
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    FailureReason: {},
                    ModelName: {},
                    SamplePayloadUrl: {},
                    ModelPackageVersionArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLabelingJobs: {
          input: {
            type: "structure",
            members: {
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              NameContains: {},
              SortBy: {},
              SortOrder: {},
              StatusEquals: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LabelingJobSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "LabelingJobName",
                    "LabelingJobArn",
                    "CreationTime",
                    "LastModifiedTime",
                    "LabelingJobStatus",
                    "LabelCounters",
                    "WorkteamArn",
                    "PreHumanTaskLambdaArn"
                  ],
                  members: {
                    LabelingJobName: {},
                    LabelingJobArn: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    LabelingJobStatus: {},
                    LabelCounters: {
                      shape: "Szp"
                    },
                    WorkteamArn: {},
                    PreHumanTaskLambdaArn: {},
                    AnnotationConsolidationLambdaArn: {},
                    FailureReason: {},
                    LabelingJobOutput: {
                      shape: "Szs"
                    },
                    InputConfig: {
                      shape: "Sis"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLabelingJobsForWorkteam: {
          input: {
            type: "structure",
            required: [
              "WorkteamArn"
            ],
            members: {
              WorkteamArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              JobReferenceCodeContains: {},
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "LabelingJobSummaryList"
            ],
            members: {
              LabelingJobSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "JobReferenceCode",
                    "WorkRequesterAccountId",
                    "CreationTime"
                  ],
                  members: {
                    LabelingJobName: {},
                    JobReferenceCode: {},
                    WorkRequesterAccountId: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LabelCounters: {
                      type: "structure",
                      members: {
                        HumanLabeled: {
                          type: "integer"
                        },
                        PendingHuman: {
                          type: "integer"
                        },
                        Total: {
                          type: "integer"
                        }
                      }
                    },
                    NumberOfHumanWorkersPerDataObject: {
                      type: "integer"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLineageGroups: {
          input: {
            type: "structure",
            members: {
              CreatedAfter: {
                type: "timestamp"
              },
              CreatedBefore: {
                type: "timestamp"
              },
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LineageGroupSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LineageGroupArn: {},
                    LineageGroupName: {},
                    DisplayName: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListModelBiasJobDefinitions: {
          input: {
            type: "structure",
            members: {
              EndpointName: {},
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              NameContains: {},
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "JobDefinitionSummaries"
            ],
            members: {
              JobDefinitionSummaries: {
                shape: "S168"
              },
              NextToken: {}
            }
          }
        },
        ListModelCardExportJobs: {
          input: {
            type: "structure",
            required: [
              "ModelCardName"
            ],
            members: {
              ModelCardName: {},
              ModelCardVersion: {
                type: "integer"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              ModelCardExportJobNameContains: {},
              StatusEquals: {},
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelCardExportJobSummaries"
            ],
            members: {
              ModelCardExportJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ModelCardExportJobName",
                    "ModelCardExportJobArn",
                    "Status",
                    "ModelCardName",
                    "ModelCardVersion",
                    "CreatedAt",
                    "LastModifiedAt"
                  ],
                  members: {
                    ModelCardExportJobName: {},
                    ModelCardExportJobArn: {},
                    Status: {},
                    ModelCardName: {},
                    ModelCardVersion: {
                      type: "integer"
                    },
                    CreatedAt: {
                      type: "timestamp"
                    },
                    LastModifiedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListModelCardVersions: {
          input: {
            type: "structure",
            required: [
              "ModelCardName"
            ],
            members: {
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              MaxResults: {
                type: "integer"
              },
              ModelCardName: {},
              ModelCardStatus: {},
              NextToken: {},
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelCardVersionSummaryList"
            ],
            members: {
              ModelCardVersionSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ModelCardName",
                    "ModelCardArn",
                    "ModelCardStatus",
                    "ModelCardVersion",
                    "CreationTime"
                  ],
                  members: {
                    ModelCardName: {},
                    ModelCardArn: {},
                    ModelCardStatus: {},
                    ModelCardVersion: {
                      type: "integer"
                    },
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListModelCards: {
          input: {
            type: "structure",
            members: {
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              MaxResults: {
                type: "integer"
              },
              NameContains: {},
              ModelCardStatus: {},
              NextToken: {},
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelCardSummaries"
            ],
            members: {
              ModelCardSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ModelCardName",
                    "ModelCardArn",
                    "ModelCardStatus",
                    "CreationTime"
                  ],
                  members: {
                    ModelCardName: {},
                    ModelCardArn: {},
                    ModelCardStatus: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListModelExplainabilityJobDefinitions: {
          input: {
            type: "structure",
            members: {
              EndpointName: {},
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              NameContains: {},
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "JobDefinitionSummaries"
            ],
            members: {
              JobDefinitionSummaries: {
                shape: "S168"
              },
              NextToken: {}
            }
          }
        },
        ListModelMetadata: {
          input: {
            type: "structure",
            members: {
              SearchExpression: {
                type: "structure",
                members: {
                  Filters: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Name",
                        "Value"
                      ],
                      members: {
                        Name: {},
                        Value: {}
                      }
                    }
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelMetadataSummaries"
            ],
            members: {
              ModelMetadataSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Domain",
                    "Framework",
                    "Task",
                    "Model",
                    "FrameworkVersion"
                  ],
                  members: {
                    Domain: {},
                    Framework: {},
                    Task: {},
                    Model: {},
                    FrameworkVersion: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListModelPackageGroups: {
          input: {
            type: "structure",
            members: {
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              MaxResults: {
                type: "integer"
              },
              NameContains: {},
              NextToken: {},
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelPackageGroupSummaryList"
            ],
            members: {
              ModelPackageGroupSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ModelPackageGroupName",
                    "ModelPackageGroupArn",
                    "CreationTime",
                    "ModelPackageGroupStatus"
                  ],
                  members: {
                    ModelPackageGroupName: {},
                    ModelPackageGroupArn: {},
                    ModelPackageGroupDescription: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    ModelPackageGroupStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListModelPackages: {
          input: {
            type: "structure",
            members: {
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              MaxResults: {
                type: "integer"
              },
              NameContains: {},
              ModelApprovalStatus: {},
              ModelPackageGroupName: {},
              ModelPackageType: {},
              NextToken: {},
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelPackageSummaryList"
            ],
            members: {
              ModelPackageSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ModelPackageName",
                    "ModelPackageArn",
                    "CreationTime",
                    "ModelPackageStatus"
                  ],
                  members: {
                    ModelPackageName: {},
                    ModelPackageGroupName: {},
                    ModelPackageVersion: {
                      type: "integer"
                    },
                    ModelPackageArn: {},
                    ModelPackageDescription: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    ModelPackageStatus: {},
                    ModelApprovalStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListModelQualityJobDefinitions: {
          input: {
            type: "structure",
            members: {
              EndpointName: {},
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              NameContains: {},
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "JobDefinitionSummaries"
            ],
            members: {
              JobDefinitionSummaries: {
                shape: "S168"
              },
              NextToken: {}
            }
          }
        },
        ListModels: {
          input: {
            type: "structure",
            members: {
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              NameContains: {},
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Models"
            ],
            members: {
              Models: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ModelName",
                    "ModelArn",
                    "CreationTime"
                  ],
                  members: {
                    ModelName: {},
                    ModelArn: {},
                    CreationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListMonitoringAlertHistory: {
          input: {
            type: "structure",
            members: {
              MonitoringScheduleName: {},
              MonitoringAlertName: {},
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              StatusEquals: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MonitoringAlertHistory: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "MonitoringScheduleName",
                    "MonitoringAlertName",
                    "CreationTime",
                    "AlertStatus"
                  ],
                  members: {
                    MonitoringScheduleName: {},
                    MonitoringAlertName: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    AlertStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListMonitoringAlerts: {
          input: {
            type: "structure",
            required: [
              "MonitoringScheduleName"
            ],
            members: {
              MonitoringScheduleName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MonitoringAlertSummaries: {
                shape: "S1bd"
              },
              NextToken: {}
            }
          }
        },
        ListMonitoringExecutions: {
          input: {
            type: "structure",
            members: {
              MonitoringScheduleName: {},
              EndpointName: {},
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ScheduledTimeBefore: {
                type: "timestamp"
              },
              ScheduledTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              StatusEquals: {},
              MonitoringJobDefinitionName: {},
              MonitoringTypeEquals: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "MonitoringExecutionSummaries"
            ],
            members: {
              MonitoringExecutionSummaries: {
                type: "list",
                member: {
                  shape: "S10r"
                }
              },
              NextToken: {}
            }
          }
        },
        ListMonitoringSchedules: {
          input: {
            type: "structure",
            members: {
              EndpointName: {},
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              NameContains: {},
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              StatusEquals: {},
              MonitoringJobDefinitionName: {},
              MonitoringTypeEquals: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "MonitoringScheduleSummaries"
            ],
            members: {
              MonitoringScheduleSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "MonitoringScheduleName",
                    "MonitoringScheduleArn",
                    "CreationTime",
                    "LastModifiedTime",
                    "MonitoringScheduleStatus"
                  ],
                  members: {
                    MonitoringScheduleName: {},
                    MonitoringScheduleArn: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    MonitoringScheduleStatus: {},
                    EndpointName: {},
                    MonitoringJobDefinitionName: {},
                    MonitoringType: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListNotebookInstanceLifecycleConfigs: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SortBy: {},
              SortOrder: {},
              NameContains: {},
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              NotebookInstanceLifecycleConfigs: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "NotebookInstanceLifecycleConfigName",
                    "NotebookInstanceLifecycleConfigArn"
                  ],
                  members: {
                    NotebookInstanceLifecycleConfigName: {},
                    NotebookInstanceLifecycleConfigArn: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListNotebookInstances: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SortBy: {},
              SortOrder: {},
              NameContains: {},
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              StatusEquals: {},
              NotebookInstanceLifecycleConfigNameContains: {},
              DefaultCodeRepositoryContains: {},
              AdditionalCodeRepositoryEquals: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              NotebookInstances: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "NotebookInstanceName",
                    "NotebookInstanceArn"
                  ],
                  members: {
                    NotebookInstanceName: {},
                    NotebookInstanceArn: {},
                    NotebookInstanceStatus: {},
                    Url: {},
                    InstanceType: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    NotebookInstanceLifecycleConfigName: {},
                    DefaultCodeRepository: {},
                    AdditionalCodeRepositories: {
                      shape: "Sma"
                    }
                  }
                }
              }
            }
          }
        },
        ListPipelineExecutionSteps: {
          input: {
            type: "structure",
            members: {
              PipelineExecutionArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PipelineExecutionSteps: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StepName: {},
                    StepDisplayName: {},
                    StepDescription: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    StepStatus: {},
                    CacheHitResult: {
                      type: "structure",
                      members: {
                        SourcePipelineExecutionArn: {}
                      }
                    },
                    AttemptCount: {
                      type: "integer"
                    },
                    FailureReason: {},
                    Metadata: {
                      type: "structure",
                      members: {
                        TrainingJob: {
                          type: "structure",
                          members: {
                            Arn: {}
                          }
                        },
                        ProcessingJob: {
                          type: "structure",
                          members: {
                            Arn: {}
                          }
                        },
                        TransformJob: {
                          type: "structure",
                          members: {
                            Arn: {}
                          }
                        },
                        TuningJob: {
                          type: "structure",
                          members: {
                            Arn: {}
                          }
                        },
                        Model: {
                          type: "structure",
                          members: {
                            Arn: {}
                          }
                        },
                        RegisterModel: {
                          type: "structure",
                          members: {
                            Arn: {}
                          }
                        },
                        Condition: {
                          type: "structure",
                          members: {
                            Outcome: {}
                          }
                        },
                        Callback: {
                          type: "structure",
                          members: {
                            CallbackToken: {},
                            SqsQueueUrl: {},
                            OutputParameters: {
                              shape: "S1cs"
                            }
                          }
                        },
                        Lambda: {
                          type: "structure",
                          members: {
                            Arn: {},
                            OutputParameters: {
                              shape: "S1cs"
                            }
                          }
                        },
                        QualityCheck: {
                          type: "structure",
                          members: {
                            CheckType: {},
                            BaselineUsedForDriftCheckStatistics: {},
                            BaselineUsedForDriftCheckConstraints: {},
                            CalculatedBaselineStatistics: {},
                            CalculatedBaselineConstraints: {},
                            ModelPackageGroupName: {},
                            ViolationReport: {},
                            CheckJobArn: {},
                            SkipCheck: {
                              type: "boolean"
                            },
                            RegisterNewBaseline: {
                              type: "boolean"
                            }
                          }
                        },
                        ClarifyCheck: {
                          type: "structure",
                          members: {
                            CheckType: {},
                            BaselineUsedForDriftCheckConstraints: {},
                            CalculatedBaselineConstraints: {},
                            ModelPackageGroupName: {},
                            ViolationReport: {},
                            CheckJobArn: {},
                            SkipCheck: {
                              type: "boolean"
                            },
                            RegisterNewBaseline: {
                              type: "boolean"
                            }
                          }
                        },
                        EMR: {
                          type: "structure",
                          members: {
                            ClusterId: {},
                            StepId: {},
                            StepName: {},
                            LogFilePath: {}
                          }
                        },
                        Fail: {
                          type: "structure",
                          members: {
                            ErrorMessage: {}
                          }
                        },
                        AutoMLJob: {
                          type: "structure",
                          members: {
                            Arn: {}
                          }
                        }
                      }
                    },
                    SelectiveExecutionResult: {
                      type: "structure",
                      members: {
                        SourcePipelineExecutionArn: {}
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPipelineExecutions: {
          input: {
            type: "structure",
            required: [
              "PipelineName"
            ],
            members: {
              PipelineName: {},
              CreatedAfter: {
                type: "timestamp"
              },
              CreatedBefore: {
                type: "timestamp"
              },
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PipelineExecutionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PipelineExecutionArn: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    PipelineExecutionStatus: {},
                    PipelineExecutionDescription: {},
                    PipelineExecutionDisplayName: {},
                    PipelineExecutionFailureReason: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPipelineParametersForExecution: {
          input: {
            type: "structure",
            required: [
              "PipelineExecutionArn"
            ],
            members: {
              PipelineExecutionArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PipelineParameters: {
                shape: "S1d9"
              },
              NextToken: {}
            }
          }
        },
        ListPipelines: {
          input: {
            type: "structure",
            members: {
              PipelineNamePrefix: {},
              CreatedAfter: {
                type: "timestamp"
              },
              CreatedBefore: {
                type: "timestamp"
              },
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PipelineSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PipelineArn: {},
                    PipelineName: {},
                    PipelineDisplayName: {},
                    PipelineDescription: {},
                    RoleArn: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    LastExecutionTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListProcessingJobs: {
          input: {
            type: "structure",
            members: {
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              NameContains: {},
              StatusEquals: {},
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ProcessingJobSummaries"
            ],
            members: {
              ProcessingJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ProcessingJobName",
                    "ProcessingJobArn",
                    "CreationTime",
                    "ProcessingJobStatus"
                  ],
                  members: {
                    ProcessingJobName: {},
                    ProcessingJobArn: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    ProcessingEndTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    ProcessingJobStatus: {},
                    FailureReason: {},
                    ExitMessage: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListProjects: {
          input: {
            type: "structure",
            members: {
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              MaxResults: {
                type: "integer"
              },
              NameContains: {},
              NextToken: {},
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ProjectSummaryList"
            ],
            members: {
              ProjectSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ProjectName",
                    "ProjectArn",
                    "ProjectId",
                    "CreationTime",
                    "ProjectStatus"
                  ],
                  members: {
                    ProjectName: {},
                    ProjectDescription: {},
                    ProjectArn: {},
                    ProjectId: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    ProjectStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSpaces: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SortOrder: {},
              SortBy: {},
              DomainIdEquals: {},
              SpaceNameContains: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Spaces: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DomainId: {},
                    SpaceName: {},
                    Status: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListStageDevices: {
          input: {
            type: "structure",
            required: [
              "EdgeDeploymentPlanName",
              "StageName"
            ],
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              EdgeDeploymentPlanName: {},
              ExcludeDevicesDeployedInOtherStage: {
                type: "boolean"
              },
              StageName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "DeviceDeploymentSummaries"
            ],
            members: {
              DeviceDeploymentSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "EdgeDeploymentPlanArn",
                    "EdgeDeploymentPlanName",
                    "StageName",
                    "DeviceName",
                    "DeviceArn"
                  ],
                  members: {
                    EdgeDeploymentPlanArn: {},
                    EdgeDeploymentPlanName: {},
                    StageName: {},
                    DeployedStageName: {},
                    DeviceFleetName: {},
                    DeviceName: {},
                    DeviceArn: {},
                    DeviceDeploymentStatus: {},
                    DeviceDeploymentStatusMessage: {},
                    Description: {},
                    DeploymentStartTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListStudioLifecycleConfigs: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              NameContains: {},
              AppTypeEquals: {},
              CreationTimeBefore: {
                type: "timestamp"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              ModifiedTimeBefore: {
                type: "timestamp"
              },
              ModifiedTimeAfter: {
                type: "timestamp"
              },
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              StudioLifecycleConfigs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StudioLifecycleConfigArn: {},
                    StudioLifecycleConfigName: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    StudioLifecycleConfigAppType: {}
                  }
                }
              }
            }
          }
        },
        ListSubscribedWorkteams: {
          input: {
            type: "structure",
            members: {
              NameContains: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "SubscribedWorkteams"
            ],
            members: {
              SubscribedWorkteams: {
                type: "list",
                member: {
                  shape: "S11x"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTags: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S7"
              },
              NextToken: {}
            }
          }
        },
        ListTrainingJobs: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              NameContains: {},
              StatusEquals: {},
              SortBy: {},
              SortOrder: {},
              WarmPoolStatusEquals: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "TrainingJobSummaries"
            ],
            members: {
              TrainingJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "TrainingJobName",
                    "TrainingJobArn",
                    "CreationTime",
                    "TrainingJobStatus"
                  ],
                  members: {
                    TrainingJobName: {},
                    TrainingJobArn: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    TrainingEndTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    TrainingJobStatus: {},
                    WarmPoolStatus: {
                      shape: "S12f"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTrainingJobsForHyperParameterTuningJob: {
          input: {
            type: "structure",
            required: [
              "HyperParameterTuningJobName"
            ],
            members: {
              HyperParameterTuningJobName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              StatusEquals: {},
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "TrainingJobSummaries"
            ],
            members: {
              TrainingJobSummaries: {
                type: "list",
                member: {
                  shape: "Syj"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTransformJobs: {
          input: {
            type: "structure",
            members: {
              CreationTimeAfter: {
                type: "timestamp"
              },
              CreationTimeBefore: {
                type: "timestamp"
              },
              LastModifiedTimeAfter: {
                type: "timestamp"
              },
              LastModifiedTimeBefore: {
                type: "timestamp"
              },
              NameContains: {},
              StatusEquals: {},
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TransformJobSummaries"
            ],
            members: {
              TransformJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "TransformJobName",
                    "TransformJobArn",
                    "CreationTime",
                    "TransformJobStatus"
                  ],
                  members: {
                    TransformJobName: {},
                    TransformJobArn: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    TransformEndTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    TransformJobStatus: {},
                    FailureReason: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTrialComponents: {
          input: {
            type: "structure",
            members: {
              ExperimentName: {},
              TrialName: {},
              SourceArn: {},
              CreatedAfter: {
                type: "timestamp"
              },
              CreatedBefore: {
                type: "timestamp"
              },
              SortBy: {},
              SortOrder: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrialComponentSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TrialComponentName: {},
                    TrialComponentArn: {},
                    DisplayName: {},
                    TrialComponentSource: {
                      shape: "S12r"
                    },
                    Status: {
                      shape: "Sq8"
                    },
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    CreationTime: {
                      type: "timestamp"
                    },
                    CreatedBy: {
                      shape: "Stl"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    LastModifiedBy: {
                      shape: "Stl"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTrials: {
          input: {
            type: "structure",
            members: {
              ExperimentName: {},
              TrialComponentName: {},
              CreatedAfter: {
                type: "timestamp"
              },
              CreatedBefore: {
                type: "timestamp"
              },
              SortBy: {},
              SortOrder: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrialSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TrialArn: {},
                    TrialName: {},
                    DisplayName: {},
                    TrialSource: {
                      shape: "S12n"
                    },
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListUserProfiles: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SortOrder: {},
              SortBy: {},
              DomainIdEquals: {},
              UserProfileNameContains: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UserProfiles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DomainId: {},
                    UserProfileName: {},
                    Status: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListWorkforces: {
          input: {
            type: "structure",
            members: {
              SortBy: {},
              SortOrder: {},
              NameContains: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Workforces"
            ],
            members: {
              Workforces: {
                type: "list",
                member: {
                  shape: "S133"
                }
              },
              NextToken: {}
            }
          }
        },
        ListWorkteams: {
          input: {
            type: "structure",
            members: {
              SortBy: {},
              SortOrder: {},
              NameContains: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Workteams"
            ],
            members: {
              Workteams: {
                type: "list",
                member: {
                  shape: "S13b"
                }
              },
              NextToken: {}
            }
          }
        },
        PutModelPackageGroupPolicy: {
          input: {
            type: "structure",
            required: [
              "ModelPackageGroupName",
              "ResourcePolicy"
            ],
            members: {
              ModelPackageGroupName: {},
              ResourcePolicy: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelPackageGroupArn"
            ],
            members: {
              ModelPackageGroupArn: {}
            }
          }
        },
        QueryLineage: {
          input: {
            type: "structure",
            members: {
              StartArns: {
                type: "list",
                member: {}
              },
              Direction: {},
              IncludeEdges: {
                type: "boolean"
              },
              Filters: {
                type: "structure",
                members: {
                  Types: {
                    type: "list",
                    member: {}
                  },
                  LineageTypes: {
                    type: "list",
                    member: {}
                  },
                  CreatedBefore: {
                    type: "timestamp"
                  },
                  CreatedAfter: {
                    type: "timestamp"
                  },
                  ModifiedBefore: {
                    type: "timestamp"
                  },
                  ModifiedAfter: {
                    type: "timestamp"
                  },
                  Properties: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                }
              },
              MaxDepth: {
                type: "integer"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Vertices: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Type: {},
                    LineageType: {}
                  }
                }
              },
              Edges: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SourceArn: {},
                    DestinationArn: {},
                    AssociationType: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        RegisterDevices: {
          input: {
            type: "structure",
            required: [
              "DeviceFleetName",
              "Devices"
            ],
            members: {
              DeviceFleetName: {},
              Devices: {
                shape: "S1fv"
              },
              Tags: {
                shape: "S7"
              }
            }
          }
        },
        RenderUiTemplate: {
          input: {
            type: "structure",
            required: [
              "Task",
              "RoleArn"
            ],
            members: {
              UiTemplate: {
                shape: "Ser"
              },
              Task: {
                type: "structure",
                required: [
                  "Input"
                ],
                members: {
                  Input: {}
                }
              },
              RoleArn: {},
              HumanTaskUiArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "RenderedContent",
              "Errors"
            ],
            members: {
              RenderedContent: {},
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Code",
                    "Message"
                  ],
                  members: {
                    Code: {},
                    Message: {}
                  }
                }
              }
            }
          }
        },
        RetryPipelineExecution: {
          input: {
            type: "structure",
            required: [
              "PipelineExecutionArn",
              "ClientRequestToken"
            ],
            members: {
              PipelineExecutionArn: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              ParallelismConfiguration: {
                shape: "Smw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PipelineExecutionArn: {}
            }
          }
        },
        Search: {
          input: {
            type: "structure",
            required: [
              "Resource"
            ],
            members: {
              Resource: {},
              SearchExpression: {
                shape: "S1g6"
              },
              SortBy: {},
              SortOrder: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Results: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TrainingJob: {
                      shape: "S1gj"
                    },
                    Experiment: {
                      type: "structure",
                      members: {
                        ExperimentName: {},
                        ExperimentArn: {},
                        DisplayName: {},
                        Source: {
                          shape: "Sx3"
                        },
                        Description: {},
                        CreationTime: {
                          type: "timestamp"
                        },
                        CreatedBy: {
                          shape: "Stl"
                        },
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        LastModifiedBy: {
                          shape: "Stl"
                        },
                        Tags: {
                          shape: "S7"
                        }
                      }
                    },
                    Trial: {
                      type: "structure",
                      members: {
                        TrialName: {},
                        TrialArn: {},
                        DisplayName: {},
                        ExperimentName: {},
                        Source: {
                          shape: "S12n"
                        },
                        CreationTime: {
                          type: "timestamp"
                        },
                        CreatedBy: {
                          shape: "Stl"
                        },
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        LastModifiedBy: {
                          shape: "Stl"
                        },
                        MetadataProperties: {
                          shape: "S1q"
                        },
                        Tags: {
                          shape: "S7"
                        },
                        TrialComponentSummaries: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              TrialComponentName: {},
                              TrialComponentArn: {},
                              TrialComponentSource: {
                                shape: "S12r"
                              },
                              CreationTime: {
                                type: "timestamp"
                              },
                              CreatedBy: {
                                shape: "Stl"
                              }
                            }
                          }
                        }
                      }
                    },
                    TrialComponent: {
                      type: "structure",
                      members: {
                        TrialComponentName: {},
                        DisplayName: {},
                        TrialComponentArn: {},
                        Source: {
                          shape: "S12r"
                        },
                        Status: {
                          shape: "Sq8"
                        },
                        StartTime: {
                          type: "timestamp"
                        },
                        EndTime: {
                          type: "timestamp"
                        },
                        CreationTime: {
                          type: "timestamp"
                        },
                        CreatedBy: {
                          shape: "Stl"
                        },
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        LastModifiedBy: {
                          shape: "Stl"
                        },
                        Parameters: {
                          shape: "Sqb"
                        },
                        InputArtifacts: {
                          shape: "Sqf"
                        },
                        OutputArtifacts: {
                          shape: "Sqf"
                        },
                        Metrics: {
                          shape: "S12t"
                        },
                        MetadataProperties: {
                          shape: "S1q"
                        },
                        SourceDetail: {
                          type: "structure",
                          members: {
                            SourceArn: {},
                            TrainingJob: {
                              shape: "S1gj"
                            },
                            ProcessingJob: {
                              type: "structure",
                              members: {
                                ProcessingInputs: {
                                  shape: "Sn9"
                                },
                                ProcessingOutputConfig: {
                                  shape: "Snw"
                                },
                                ProcessingJobName: {},
                                ProcessingResources: {
                                  shape: "So1"
                                },
                                StoppingCondition: {
                                  shape: "So3"
                                },
                                AppSpecification: {
                                  shape: "So5"
                                },
                                Environment: {
                                  shape: "So7"
                                },
                                NetworkConfig: {
                                  shape: "Sly"
                                },
                                RoleArn: {},
                                ExperimentConfig: {
                                  shape: "So8"
                                },
                                ProcessingJobArn: {},
                                ProcessingJobStatus: {},
                                ExitMessage: {},
                                FailureReason: {},
                                ProcessingEndTime: {
                                  type: "timestamp"
                                },
                                ProcessingStartTime: {
                                  type: "timestamp"
                                },
                                LastModifiedTime: {
                                  type: "timestamp"
                                },
                                CreationTime: {
                                  type: "timestamp"
                                },
                                MonitoringScheduleArn: {},
                                AutoMLJobArn: {},
                                TrainingJobArn: {},
                                Tags: {
                                  shape: "S7"
                                }
                              }
                            },
                            TransformJob: {
                              shape: "S1gr"
                            }
                          }
                        },
                        LineageGroupArn: {},
                        Tags: {
                          shape: "S7"
                        },
                        Parents: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              TrialName: {},
                              ExperimentName: {}
                            }
                          }
                        },
                        RunName: {}
                      }
                    },
                    Endpoint: {
                      type: "structure",
                      required: [
                        "EndpointName",
                        "EndpointArn",
                        "EndpointConfigName",
                        "EndpointStatus",
                        "CreationTime",
                        "LastModifiedTime"
                      ],
                      members: {
                        EndpointName: {},
                        EndpointArn: {},
                        EndpointConfigName: {},
                        ProductionVariants: {
                          shape: "Swl"
                        },
                        DataCaptureConfig: {
                          shape: "Swt"
                        },
                        EndpointStatus: {},
                        FailureReason: {},
                        CreationTime: {
                          type: "timestamp"
                        },
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        MonitoringSchedules: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              MonitoringScheduleArn: {},
                              MonitoringScheduleName: {},
                              MonitoringScheduleStatus: {},
                              MonitoringType: {},
                              FailureReason: {},
                              CreationTime: {
                                type: "timestamp"
                              },
                              LastModifiedTime: {
                                type: "timestamp"
                              },
                              MonitoringScheduleConfig: {
                                shape: "Slq"
                              },
                              EndpointName: {},
                              LastMonitoringExecutionSummary: {
                                shape: "S10r"
                              },
                              Tags: {
                                shape: "S7"
                              }
                            }
                          }
                        },
                        Tags: {
                          shape: "S7"
                        },
                        ShadowProductionVariants: {
                          shape: "Swl"
                        }
                      }
                    },
                    ModelPackage: {
                      type: "structure",
                      members: {
                        ModelPackageName: {},
                        ModelPackageGroupName: {},
                        ModelPackageVersion: {
                          type: "integer"
                        },
                        ModelPackageArn: {},
                        ModelPackageDescription: {},
                        CreationTime: {
                          type: "timestamp"
                        },
                        InferenceSpecification: {
                          shape: "Sr"
                        },
                        SourceAlgorithmSpecification: {
                          shape: "Skt"
                        },
                        ValidationSpecification: {
                          shape: "Skq"
                        },
                        ModelPackageStatus: {},
                        ModelPackageStatusDetails: {
                          shape: "S10e"
                        },
                        CertifyForMarketplace: {
                          type: "boolean"
                        },
                        ModelApprovalStatus: {},
                        CreatedBy: {
                          shape: "Stl"
                        },
                        MetadataProperties: {
                          shape: "S1q"
                        },
                        ModelMetrics: {
                          shape: "Skw"
                        },
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        LastModifiedBy: {
                          shape: "Stl"
                        },
                        ApprovalDescription: {},
                        Domain: {},
                        Task: {},
                        SamplePayloadUrl: {},
                        AdditionalInferenceSpecifications: {
                          shape: "Slc"
                        },
                        Tags: {
                          shape: "S7"
                        },
                        CustomerMetadataProperties: {
                          shape: "Sl3"
                        },
                        DriftCheckBaselines: {
                          shape: "Sl6"
                        }
                      }
                    },
                    ModelPackageGroup: {
                      type: "structure",
                      members: {
                        ModelPackageGroupName: {},
                        ModelPackageGroupArn: {},
                        ModelPackageGroupDescription: {},
                        CreationTime: {
                          type: "timestamp"
                        },
                        CreatedBy: {
                          shape: "Stl"
                        },
                        ModelPackageGroupStatus: {},
                        Tags: {
                          shape: "S7"
                        }
                      }
                    },
                    Pipeline: {
                      type: "structure",
                      members: {
                        PipelineArn: {},
                        PipelineName: {},
                        PipelineDisplayName: {},
                        PipelineDescription: {},
                        RoleArn: {},
                        PipelineStatus: {},
                        CreationTime: {
                          type: "timestamp"
                        },
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        LastRunTime: {
                          type: "timestamp"
                        },
                        CreatedBy: {
                          shape: "Stl"
                        },
                        LastModifiedBy: {
                          shape: "Stl"
                        },
                        ParallelismConfiguration: {
                          shape: "Smw"
                        },
                        Tags: {
                          shape: "S7"
                        }
                      }
                    },
                    PipelineExecution: {
                      type: "structure",
                      members: {
                        PipelineArn: {},
                        PipelineExecutionArn: {},
                        PipelineExecutionDisplayName: {},
                        PipelineExecutionStatus: {},
                        PipelineExecutionDescription: {},
                        PipelineExperimentConfig: {
                          shape: "S11b"
                        },
                        FailureReason: {},
                        CreationTime: {
                          type: "timestamp"
                        },
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        CreatedBy: {
                          shape: "Stl"
                        },
                        LastModifiedBy: {
                          shape: "Stl"
                        },
                        ParallelismConfiguration: {
                          shape: "Smw"
                        },
                        PipelineParameters: {
                          shape: "S1d9"
                        },
                        SelectiveExecutionConfig: {
                          shape: "S11d"
                        }
                      }
                    },
                    FeatureGroup: {
                      type: "structure",
                      members: {
                        FeatureGroupArn: {},
                        FeatureGroupName: {},
                        RecordIdentifierFeatureName: {},
                        EventTimeFeatureName: {},
                        FeatureDefinitions: {
                          shape: "Sd8"
                        },
                        CreationTime: {
                          type: "timestamp"
                        },
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        OnlineStoreConfig: {
                          shape: "Sdb"
                        },
                        OfflineStoreConfig: {
                          shape: "Sdg"
                        },
                        RoleArn: {},
                        FeatureGroupStatus: {},
                        OfflineStoreStatus: {
                          shape: "Sx9"
                        },
                        LastUpdateStatus: {
                          shape: "Sxc"
                        },
                        FailureReason: {},
                        Description: {},
                        Tags: {
                          shape: "S7"
                        }
                      }
                    },
                    Project: {
                      type: "structure",
                      members: {
                        ProjectArn: {},
                        ProjectName: {},
                        ProjectId: {},
                        ProjectDescription: {},
                        ServiceCatalogProvisioningDetails: {
                          shape: "Sod"
                        },
                        ServiceCatalogProvisionedProductDetails: {
                          shape: "S11m"
                        },
                        ProjectStatus: {},
                        CreatedBy: {
                          shape: "Stl"
                        },
                        CreationTime: {
                          type: "timestamp"
                        },
                        Tags: {
                          shape: "S7"
                        },
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        LastModifiedBy: {
                          shape: "Stl"
                        }
                      }
                    },
                    FeatureMetadata: {
                      type: "structure",
                      members: {
                        FeatureGroupArn: {},
                        FeatureGroupName: {},
                        FeatureName: {},
                        FeatureType: {},
                        CreationTime: {
                          type: "timestamp"
                        },
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        Description: {},
                        Parameters: {
                          shape: "Sxi"
                        }
                      }
                    },
                    HyperParameterTuningJob: {
                      type: "structure",
                      members: {
                        HyperParameterTuningJobName: {},
                        HyperParameterTuningJobArn: {},
                        HyperParameterTuningJobConfig: {
                          shape: "Sew"
                        },
                        TrainingJobDefinition: {
                          shape: "Sfp"
                        },
                        TrainingJobDefinitions: {
                          shape: "Sg5"
                        },
                        HyperParameterTuningJobStatus: {},
                        CreationTime: {
                          type: "timestamp"
                        },
                        HyperParameterTuningEndTime: {
                          type: "timestamp"
                        },
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        TrainingJobStatusCounters: {
                          shape: "Syf"
                        },
                        ObjectiveStatusCounters: {
                          shape: "Syh"
                        },
                        BestTrainingJob: {
                          shape: "Syj"
                        },
                        OverallBestTrainingJob: {
                          shape: "Syj"
                        },
                        WarmStartConfig: {
                          shape: "Sg6"
                        },
                        FailureReason: {},
                        Tags: {
                          shape: "S7"
                        },
                        TuningJobCompletionDetails: {
                          shape: "Sym"
                        },
                        ConsumedResources: {
                          shape: "Syn"
                        }
                      }
                    },
                    Model: {
                      type: "structure",
                      members: {
                        Model: {
                          type: "structure",
                          members: {
                            ModelName: {},
                            PrimaryContainer: {
                              shape: "Sjm"
                            },
                            Containers: {
                              shape: "Sk0"
                            },
                            InferenceExecutionConfig: {
                              shape: "Sk1"
                            },
                            ExecutionRoleArn: {},
                            VpcConfig: {
                              shape: "S5q"
                            },
                            CreationTime: {
                              type: "timestamp"
                            },
                            ModelArn: {},
                            EnableNetworkIsolation: {
                              type: "boolean"
                            },
                            Tags: {
                              shape: "S7"
                            },
                            DeploymentRecommendation: {
                              shape: "Szx"
                            }
                          }
                        },
                        Endpoints: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "EndpointName",
                              "EndpointArn",
                              "CreationTime",
                              "LastModifiedTime",
                              "EndpointStatus"
                            ],
                            members: {
                              EndpointName: {},
                              EndpointArn: {},
                              CreationTime: {
                                type: "timestamp"
                              },
                              LastModifiedTime: {
                                type: "timestamp"
                              },
                              EndpointStatus: {}
                            }
                          }
                        },
                        LastBatchTransformJob: {
                          shape: "S1gr"
                        },
                        MonitoringSchedules: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              MonitoringScheduleArn: {},
                              MonitoringScheduleName: {},
                              MonitoringScheduleStatus: {},
                              MonitoringType: {},
                              FailureReason: {},
                              CreationTime: {
                                type: "timestamp"
                              },
                              LastModifiedTime: {
                                type: "timestamp"
                              },
                              MonitoringScheduleConfig: {
                                shape: "Slq"
                              },
                              EndpointName: {},
                              MonitoringAlertSummaries: {
                                shape: "S1bd"
                              },
                              LastMonitoringExecutionSummary: {
                                shape: "S10r"
                              }
                            }
                          }
                        },
                        ModelCard: {
                          type: "structure",
                          members: {
                            ModelCardArn: {},
                            ModelCardName: {},
                            ModelCardVersion: {
                              type: "integer"
                            },
                            ModelCardStatus: {},
                            SecurityConfig: {
                              shape: "Skb"
                            },
                            CreationTime: {
                              type: "timestamp"
                            },
                            CreatedBy: {
                              shape: "Stl"
                            },
                            LastModifiedTime: {
                              type: "timestamp"
                            },
                            LastModifiedBy: {
                              shape: "Stl"
                            },
                            Tags: {
                              shape: "S7"
                            },
                            ModelId: {},
                            RiskRating: {}
                          }
                        }
                      }
                    },
                    ModelCard: {
                      type: "structure",
                      members: {
                        ModelCardArn: {},
                        ModelCardName: {},
                        ModelCardVersion: {
                          type: "integer"
                        },
                        Content: {
                          shape: "Skc"
                        },
                        ModelCardStatus: {},
                        SecurityConfig: {
                          shape: "Skb"
                        },
                        CreationTime: {
                          type: "timestamp"
                        },
                        CreatedBy: {
                          shape: "Stl"
                        },
                        LastModifiedTime: {
                          type: "timestamp"
                        },
                        LastModifiedBy: {
                          shape: "Stl"
                        },
                        Tags: {
                          shape: "S7"
                        },
                        ModelId: {},
                        RiskRating: {},
                        ModelPackageGroupName: {}
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        SendPipelineExecutionStepFailure: {
          input: {
            type: "structure",
            required: [
              "CallbackToken"
            ],
            members: {
              CallbackToken: {},
              FailureReason: {},
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PipelineExecutionArn: {}
            }
          }
        },
        SendPipelineExecutionStepSuccess: {
          input: {
            type: "structure",
            required: [
              "CallbackToken"
            ],
            members: {
              CallbackToken: {},
              OutputParameters: {
                shape: "S1cs"
              },
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PipelineExecutionArn: {}
            }
          }
        },
        StartEdgeDeploymentStage: {
          input: {
            type: "structure",
            required: [
              "EdgeDeploymentPlanName",
              "StageName"
            ],
            members: {
              EdgeDeploymentPlanName: {},
              StageName: {}
            }
          }
        },
        StartInferenceExperiment: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "InferenceExperimentArn"
            ],
            members: {
              InferenceExperimentArn: {}
            }
          }
        },
        StartMonitoringSchedule: {
          input: {
            type: "structure",
            required: [
              "MonitoringScheduleName"
            ],
            members: {
              MonitoringScheduleName: {}
            }
          }
        },
        StartNotebookInstance: {
          input: {
            type: "structure",
            required: [
              "NotebookInstanceName"
            ],
            members: {
              NotebookInstanceName: {}
            }
          }
        },
        StartPipelineExecution: {
          input: {
            type: "structure",
            required: [
              "PipelineName",
              "ClientRequestToken"
            ],
            members: {
              PipelineName: {},
              PipelineExecutionDisplayName: {},
              PipelineParameters: {
                shape: "S1d9"
              },
              PipelineExecutionDescription: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              ParallelismConfiguration: {
                shape: "Smw"
              },
              SelectiveExecutionConfig: {
                shape: "S11d"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PipelineExecutionArn: {}
            }
          }
        },
        StopAutoMLJob: {
          input: {
            type: "structure",
            required: [
              "AutoMLJobName"
            ],
            members: {
              AutoMLJobName: {}
            }
          }
        },
        StopCompilationJob: {
          input: {
            type: "structure",
            required: [
              "CompilationJobName"
            ],
            members: {
              CompilationJobName: {}
            }
          }
        },
        StopEdgeDeploymentStage: {
          input: {
            type: "structure",
            required: [
              "EdgeDeploymentPlanName",
              "StageName"
            ],
            members: {
              EdgeDeploymentPlanName: {},
              StageName: {}
            }
          }
        },
        StopEdgePackagingJob: {
          input: {
            type: "structure",
            required: [
              "EdgePackagingJobName"
            ],
            members: {
              EdgePackagingJobName: {}
            }
          }
        },
        StopHyperParameterTuningJob: {
          input: {
            type: "structure",
            required: [
              "HyperParameterTuningJobName"
            ],
            members: {
              HyperParameterTuningJobName: {}
            }
          }
        },
        StopInferenceExperiment: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ModelVariantActions"
            ],
            members: {
              Name: {},
              ModelVariantActions: {
                type: "map",
                key: {},
                value: {}
              },
              DesiredModelVariants: {
                shape: "Sh1"
              },
              DesiredState: {},
              Reason: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "InferenceExperimentArn"
            ],
            members: {
              InferenceExperimentArn: {}
            }
          }
        },
        StopInferenceRecommendationsJob: {
          input: {
            type: "structure",
            required: [
              "JobName"
            ],
            members: {
              JobName: {}
            }
          }
        },
        StopLabelingJob: {
          input: {
            type: "structure",
            required: [
              "LabelingJobName"
            ],
            members: {
              LabelingJobName: {}
            }
          }
        },
        StopMonitoringSchedule: {
          input: {
            type: "structure",
            required: [
              "MonitoringScheduleName"
            ],
            members: {
              MonitoringScheduleName: {}
            }
          }
        },
        StopNotebookInstance: {
          input: {
            type: "structure",
            required: [
              "NotebookInstanceName"
            ],
            members: {
              NotebookInstanceName: {}
            }
          }
        },
        StopPipelineExecution: {
          input: {
            type: "structure",
            required: [
              "PipelineExecutionArn",
              "ClientRequestToken"
            ],
            members: {
              PipelineExecutionArn: {},
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PipelineExecutionArn: {}
            }
          }
        },
        StopProcessingJob: {
          input: {
            type: "structure",
            required: [
              "ProcessingJobName"
            ],
            members: {
              ProcessingJobName: {}
            }
          }
        },
        StopTrainingJob: {
          input: {
            type: "structure",
            required: [
              "TrainingJobName"
            ],
            members: {
              TrainingJobName: {}
            }
          }
        },
        StopTransformJob: {
          input: {
            type: "structure",
            required: [
              "TransformJobName"
            ],
            members: {
              TransformJobName: {}
            }
          }
        },
        UpdateAction: {
          input: {
            type: "structure",
            required: [
              "ActionName"
            ],
            members: {
              ActionName: {},
              Description: {},
              Status: {},
              Properties: {
                shape: "S1o"
              },
              PropertiesToRemove: {
                shape: "S1i8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ActionArn: {}
            }
          }
        },
        UpdateAppImageConfig: {
          input: {
            type: "structure",
            required: [
              "AppImageConfigName"
            ],
            members: {
              AppImageConfigName: {},
              KernelGatewayImageConfig: {
                shape: "S4o"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppImageConfigArn: {}
            }
          }
        },
        UpdateArtifact: {
          input: {
            type: "structure",
            required: [
              "ArtifactArn"
            ],
            members: {
              ArtifactArn: {},
              ArtifactName: {},
              Properties: {
                shape: "S1o"
              },
              PropertiesToRemove: {
                shape: "S1i8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ArtifactArn: {}
            }
          }
        },
        UpdateCodeRepository: {
          input: {
            type: "structure",
            required: [
              "CodeRepositoryName"
            ],
            members: {
              CodeRepositoryName: {},
              GitConfig: {
                type: "structure",
                members: {
                  SecretArn: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CodeRepositoryArn"
            ],
            members: {
              CodeRepositoryArn: {}
            }
          }
        },
        UpdateContext: {
          input: {
            type: "structure",
            required: [
              "ContextName"
            ],
            members: {
              ContextName: {},
              Description: {},
              Properties: {
                shape: "S1o"
              },
              PropertiesToRemove: {
                shape: "S1i8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContextArn: {}
            }
          }
        },
        UpdateDeviceFleet: {
          input: {
            type: "structure",
            required: [
              "DeviceFleetName",
              "OutputConfig"
            ],
            members: {
              DeviceFleetName: {},
              RoleArn: {},
              Description: {},
              OutputConfig: {
                shape: "S95"
              },
              EnableIotRoleAlias: {
                type: "boolean"
              }
            }
          }
        },
        UpdateDevices: {
          input: {
            type: "structure",
            required: [
              "DeviceFleetName",
              "Devices"
            ],
            members: {
              DeviceFleetName: {},
              Devices: {
                shape: "S1fv"
              }
            }
          }
        },
        UpdateDomain: {
          input: {
            type: "structure",
            required: [
              "DomainId"
            ],
            members: {
              DomainId: {},
              DefaultUserSettings: {
                shape: "S9b"
              },
              DomainSettingsForUpdate: {
                type: "structure",
                members: {
                  RStudioServerProDomainSettingsForUpdate: {
                    type: "structure",
                    required: [
                      "DomainExecutionRoleArn"
                    ],
                    members: {
                      DomainExecutionRoleArn: {},
                      DefaultResourceSpec: {
                        shape: "S4e"
                      },
                      RStudioConnectUrl: {},
                      RStudioPackageManagerUrl: {}
                    }
                  },
                  ExecutionRoleIdentityConfig: {},
                  SecurityGroupIds: {
                    shape: "Sa2"
                  }
                }
              },
              DefaultSpaceSettings: {
                shape: "Sa5"
              },
              AppSecurityGroupManagement: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DomainArn: {}
            }
          }
        },
        UpdateEndpoint: {
          input: {
            type: "structure",
            required: [
              "EndpointName",
              "EndpointConfigName"
            ],
            members: {
              EndpointName: {},
              EndpointConfigName: {},
              RetainAllVariantProperties: {
                type: "boolean"
              },
              ExcludeRetainedVariantProperties: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "VariantPropertyType"
                  ],
                  members: {
                    VariantPropertyType: {}
                  }
                }
              },
              DeploymentConfig: {
                shape: "Sas"
              },
              RetainDeploymentConfig: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EndpointArn"
            ],
            members: {
              EndpointArn: {}
            }
          }
        },
        UpdateEndpointWeightsAndCapacities: {
          input: {
            type: "structure",
            required: [
              "EndpointName",
              "DesiredWeightsAndCapacities"
            ],
            members: {
              EndpointName: {},
              DesiredWeightsAndCapacities: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "VariantName"
                  ],
                  members: {
                    VariantName: {},
                    DesiredWeight: {
                      type: "float"
                    },
                    DesiredInstanceCount: {
                      type: "integer"
                    },
                    ServerlessUpdateConfig: {
                      type: "structure",
                      members: {
                        MaxConcurrency: {
                          type: "integer"
                        },
                        ProvisionedConcurrency: {
                          type: "integer"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EndpointArn"
            ],
            members: {
              EndpointArn: {}
            }
          }
        },
        UpdateExperiment: {
          input: {
            type: "structure",
            required: [
              "ExperimentName"
            ],
            members: {
              ExperimentName: {},
              DisplayName: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ExperimentArn: {}
            }
          }
        },
        UpdateFeatureGroup: {
          input: {
            type: "structure",
            required: [
              "FeatureGroupName"
            ],
            members: {
              FeatureGroupName: {},
              FeatureAdditions: {
                type: "list",
                member: {
                  shape: "Sd9"
                }
              },
              OnlineStoreConfig: {
                type: "structure",
                members: {
                  TtlDuration: {
                    shape: "Sdd"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "FeatureGroupArn"
            ],
            members: {
              FeatureGroupArn: {}
            }
          }
        },
        UpdateFeatureMetadata: {
          input: {
            type: "structure",
            required: [
              "FeatureGroupName",
              "FeatureName"
            ],
            members: {
              FeatureGroupName: {},
              FeatureName: {},
              Description: {},
              ParameterAdditions: {
                type: "list",
                member: {
                  shape: "Sxj"
                }
              },
              ParameterRemovals: {
                type: "list",
                member: {}
              }
            }
          }
        },
        UpdateHub: {
          input: {
            type: "structure",
            required: [
              "HubName"
            ],
            members: {
              HubName: {},
              HubDescription: {},
              HubDisplayName: {},
              HubSearchKeywords: {
                shape: "Sej"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HubArn"
            ],
            members: {
              HubArn: {}
            }
          }
        },
        UpdateImage: {
          input: {
            type: "structure",
            required: [
              "ImageName"
            ],
            members: {
              DeleteProperties: {
                type: "list",
                member: {}
              },
              Description: {},
              DisplayName: {},
              ImageName: {},
              RoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImageArn: {}
            }
          }
        },
        UpdateImageVersion: {
          input: {
            type: "structure",
            required: [
              "ImageName"
            ],
            members: {
              ImageName: {},
              Alias: {},
              Version: {
                type: "integer"
              },
              AliasesToAdd: {
                shape: "Sgl"
              },
              AliasesToDelete: {
                shape: "Sgl"
              },
              VendorGuidance: {},
              JobType: {},
              MLFramework: {},
              ProgrammingLang: {},
              Processor: {},
              Horovod: {
                type: "boolean"
              },
              ReleaseNotes: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImageVersionArn: {}
            }
          }
        },
        UpdateInferenceExperiment: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Schedule: {
                shape: "Sgy"
              },
              Description: {},
              ModelVariants: {
                shape: "Sh1"
              },
              DataStorageConfig: {
                shape: "Sh9"
              },
              ShadowModeConfig: {
                shape: "Sha"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "InferenceExperimentArn"
            ],
            members: {
              InferenceExperimentArn: {}
            }
          }
        },
        UpdateModelCard: {
          input: {
            type: "structure",
            required: [
              "ModelCardName"
            ],
            members: {
              ModelCardName: {},
              Content: {
                shape: "Skc"
              },
              ModelCardStatus: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelCardArn"
            ],
            members: {
              ModelCardArn: {}
            }
          }
        },
        UpdateModelPackage: {
          input: {
            type: "structure",
            required: [
              "ModelPackageArn"
            ],
            members: {
              ModelPackageArn: {},
              ModelApprovalStatus: {},
              ApprovalDescription: {},
              CustomerMetadataProperties: {
                shape: "Sl3"
              },
              CustomerMetadataPropertiesToRemove: {
                type: "list",
                member: {}
              },
              AdditionalInferenceSpecificationsToAdd: {
                shape: "Slc"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ModelPackageArn"
            ],
            members: {
              ModelPackageArn: {}
            }
          }
        },
        UpdateMonitoringAlert: {
          input: {
            type: "structure",
            required: [
              "MonitoringScheduleName",
              "MonitoringAlertName",
              "DatapointsToAlert",
              "EvaluationPeriod"
            ],
            members: {
              MonitoringScheduleName: {},
              MonitoringAlertName: {},
              DatapointsToAlert: {
                type: "integer"
              },
              EvaluationPeriod: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "MonitoringScheduleArn"
            ],
            members: {
              MonitoringScheduleArn: {},
              MonitoringAlertName: {}
            }
          }
        },
        UpdateMonitoringSchedule: {
          input: {
            type: "structure",
            required: [
              "MonitoringScheduleName",
              "MonitoringScheduleConfig"
            ],
            members: {
              MonitoringScheduleName: {},
              MonitoringScheduleConfig: {
                shape: "Slq"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "MonitoringScheduleArn"
            ],
            members: {
              MonitoringScheduleArn: {}
            }
          }
        },
        UpdateNotebookInstance: {
          input: {
            type: "structure",
            required: [
              "NotebookInstanceName"
            ],
            members: {
              NotebookInstanceName: {},
              InstanceType: {},
              RoleArn: {},
              LifecycleConfigName: {},
              DisassociateLifecycleConfig: {
                type: "boolean"
              },
              VolumeSizeInGB: {
                type: "integer"
              },
              DefaultCodeRepository: {},
              AdditionalCodeRepositories: {
                shape: "Sma"
              },
              AcceleratorTypes: {
                shape: "Sm7"
              },
              DisassociateAcceleratorTypes: {
                type: "boolean"
              },
              DisassociateDefaultCodeRepository: {
                type: "boolean"
              },
              DisassociateAdditionalCodeRepositories: {
                type: "boolean"
              },
              RootAccess: {},
              InstanceMetadataServiceConfiguration: {
                shape: "Smd"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateNotebookInstanceLifecycleConfig: {
          input: {
            type: "structure",
            required: [
              "NotebookInstanceLifecycleConfigName"
            ],
            members: {
              NotebookInstanceLifecycleConfigName: {},
              OnCreate: {
                shape: "Smi"
              },
              OnStart: {
                shape: "Smi"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdatePipeline: {
          input: {
            type: "structure",
            required: [
              "PipelineName"
            ],
            members: {
              PipelineName: {},
              PipelineDisplayName: {},
              PipelineDefinition: {},
              PipelineDefinitionS3Location: {
                shape: "Smq"
              },
              PipelineDescription: {},
              RoleArn: {},
              ParallelismConfiguration: {
                shape: "Smw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PipelineArn: {}
            }
          }
        },
        UpdatePipelineExecution: {
          input: {
            type: "structure",
            required: [
              "PipelineExecutionArn"
            ],
            members: {
              PipelineExecutionArn: {},
              PipelineExecutionDescription: {},
              PipelineExecutionDisplayName: {},
              ParallelismConfiguration: {
                shape: "Smw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PipelineExecutionArn: {}
            }
          }
        },
        UpdateProject: {
          input: {
            type: "structure",
            required: [
              "ProjectName"
            ],
            members: {
              ProjectName: {},
              ProjectDescription: {},
              ServiceCatalogProvisioningUpdateDetails: {
                type: "structure",
                members: {
                  ProvisioningArtifactId: {},
                  ProvisioningParameters: {
                    shape: "Sof"
                  }
                }
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ProjectArn"
            ],
            members: {
              ProjectArn: {}
            }
          }
        },
        UpdateSpace: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "SpaceName"
            ],
            members: {
              DomainId: {},
              SpaceName: {},
              SpaceSettings: {
                shape: "Son"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SpaceArn: {}
            }
          }
        },
        UpdateTrainingJob: {
          input: {
            type: "structure",
            required: [
              "TrainingJobName"
            ],
            members: {
              TrainingJobName: {},
              ProfilerConfig: {
                type: "structure",
                members: {
                  S3OutputPath: {},
                  ProfilingIntervalInMilliseconds: {
                    type: "long"
                  },
                  ProfilingParameters: {
                    shape: "Spl"
                  },
                  DisableProfiler: {
                    type: "boolean"
                  }
                }
              },
              ProfilerRuleConfigurations: {
                shape: "Spn"
              },
              ResourceConfig: {
                type: "structure",
                required: [
                  "KeepAlivePeriodInSeconds"
                ],
                members: {
                  KeepAlivePeriodInSeconds: {
                    type: "integer"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TrainingJobArn"
            ],
            members: {
              TrainingJobArn: {}
            }
          }
        },
        UpdateTrial: {
          input: {
            type: "structure",
            required: [
              "TrialName"
            ],
            members: {
              TrialName: {},
              DisplayName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TrialArn: {}
            }
          }
        },
        UpdateTrialComponent: {
          input: {
            type: "structure",
            required: [
              "TrialComponentName"
            ],
            members: {
              TrialComponentName: {},
              DisplayName: {},
              Status: {
                shape: "Sq8"
              },
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Parameters: {
                shape: "Sqb"
              },
              ParametersToRemove: {
                shape: "S1kf"
              },
              InputArtifacts: {
                shape: "Sqf"
              },
              InputArtifactsToRemove: {
                shape: "S1kf"
              },
              OutputArtifacts: {
                shape: "Sqf"
              },
              OutputArtifactsToRemove: {
                shape: "S1kf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrialComponentArn: {}
            }
          }
        },
        UpdateUserProfile: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "UserProfileName"
            ],
            members: {
              DomainId: {},
              UserProfileName: {},
              UserSettings: {
                shape: "S9b"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserProfileArn: {}
            }
          }
        },
        UpdateWorkforce: {
          input: {
            type: "structure",
            required: [
              "WorkforceName"
            ],
            members: {
              WorkforceName: {},
              SourceIpConfig: {
                shape: "Sqw"
              },
              OidcConfig: {
                shape: "Sqt"
              },
              WorkforceVpcConfig: {
                shape: "Sr0"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Workforce"
            ],
            members: {
              Workforce: {
                shape: "S133"
              }
            }
          }
        },
        UpdateWorkteam: {
          input: {
            type: "structure",
            required: [
              "WorkteamName"
            ],
            members: {
              WorkteamName: {},
              MemberDefinitions: {
                shape: "Sra"
              },
              Description: {},
              NotificationConfiguration: {
                shape: "Sri"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Workteam"
            ],
            members: {
              Workteam: {
                shape: "S13b"
              }
            }
          }
        }
      },
      shapes: {
        S7: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sr: {
          type: "structure",
          required: [
            "Containers",
            "SupportedContentTypes",
            "SupportedResponseMIMETypes"
          ],
          members: {
            Containers: {
              shape: "Ss"
            },
            SupportedTransformInstanceTypes: {
              shape: "S16"
            },
            SupportedRealtimeInferenceInstanceTypes: {
              shape: "S18"
            },
            SupportedContentTypes: {
              shape: "S1a"
            },
            SupportedResponseMIMETypes: {
              shape: "S1c"
            }
          }
        },
        Ss: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Image"
            ],
            members: {
              ContainerHostname: {},
              Image: {},
              ImageDigest: {},
              ModelDataUrl: {},
              ProductId: {},
              Environment: {
                shape: "Sz"
              },
              ModelInput: {
                type: "structure",
                required: [
                  "DataInputConfig"
                ],
                members: {
                  DataInputConfig: {}
                }
              },
              Framework: {},
              FrameworkVersion: {},
              NearestModelName: {}
            }
          }
        },
        Sz: {
          type: "map",
          key: {},
          value: {}
        },
        S16: {
          type: "list",
          member: {}
        },
        S18: {
          type: "list",
          member: {}
        },
        S1a: {
          type: "list",
          member: {}
        },
        S1c: {
          type: "list",
          member: {}
        },
        S1j: {
          type: "structure",
          required: [
            "SourceUri"
          ],
          members: {
            SourceUri: {},
            SourceType: {},
            SourceId: {}
          }
        },
        S1o: {
          type: "map",
          key: {},
          value: {}
        },
        S1q: {
          type: "structure",
          members: {
            CommitId: {},
            Repository: {},
            GeneratedBy: {},
            ProjectId: {}
          }
        },
        S1v: {
          type: "structure",
          required: [
            "TrainingImage",
            "SupportedTrainingInstanceTypes",
            "TrainingChannels"
          ],
          members: {
            TrainingImage: {},
            TrainingImageDigest: {},
            SupportedHyperParameters: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name",
                  "Type"
                ],
                members: {
                  Name: {},
                  Description: {},
                  Type: {},
                  Range: {
                    type: "structure",
                    members: {
                      IntegerParameterRangeSpecification: {
                        type: "structure",
                        required: [
                          "MinValue",
                          "MaxValue"
                        ],
                        members: {
                          MinValue: {},
                          MaxValue: {}
                        }
                      },
                      ContinuousParameterRangeSpecification: {
                        type: "structure",
                        required: [
                          "MinValue",
                          "MaxValue"
                        ],
                        members: {
                          MinValue: {},
                          MaxValue: {}
                        }
                      },
                      CategoricalParameterRangeSpecification: {
                        type: "structure",
                        required: [
                          "Values"
                        ],
                        members: {
                          Values: {
                            shape: "S25"
                          }
                        }
                      }
                    }
                  },
                  IsTunable: {
                    type: "boolean"
                  },
                  IsRequired: {
                    type: "boolean"
                  },
                  DefaultValue: {}
                }
              }
            },
            SupportedTrainingInstanceTypes: {
              type: "list",
              member: {}
            },
            SupportsDistributedTraining: {
              type: "boolean"
            },
            MetricDefinitions: {
              shape: "S2a"
            },
            TrainingChannels: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name",
                  "SupportedContentTypes",
                  "SupportedInputModes"
                ],
                members: {
                  Name: {},
                  Description: {},
                  IsRequired: {
                    type: "boolean"
                  },
                  SupportedContentTypes: {
                    shape: "S1a"
                  },
                  SupportedCompressionTypes: {
                    type: "list",
                    member: {}
                  },
                  SupportedInputModes: {
                    type: "list",
                    member: {}
                  }
                }
              }
            },
            SupportedTuningJobObjectiveMetrics: {
              type: "list",
              member: {
                shape: "S2m"
              }
            }
          }
        },
        S25: {
          type: "list",
          member: {}
        },
        S2a: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Regex"
            ],
            members: {
              Name: {},
              Regex: {}
            }
          }
        },
        S2m: {
          type: "structure",
          required: [
            "Type",
            "MetricName"
          ],
          members: {
            Type: {},
            MetricName: {}
          }
        },
        S2o: {
          type: "structure",
          required: [
            "ValidationRole",
            "ValidationProfiles"
          ],
          members: {
            ValidationRole: {},
            ValidationProfiles: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "ProfileName",
                  "TrainingJobDefinition"
                ],
                members: {
                  ProfileName: {},
                  TrainingJobDefinition: {
                    type: "structure",
                    required: [
                      "TrainingInputMode",
                      "InputDataConfig",
                      "OutputDataConfig",
                      "ResourceConfig",
                      "StoppingCondition"
                    ],
                    members: {
                      TrainingInputMode: {},
                      HyperParameters: {
                        shape: "S2t"
                      },
                      InputDataConfig: {
                        shape: "S2v"
                      },
                      OutputDataConfig: {
                        shape: "S3e"
                      },
                      ResourceConfig: {
                        shape: "S3h"
                      },
                      StoppingCondition: {
                        shape: "S3n"
                      }
                    }
                  },
                  TransformJobDefinition: {
                    shape: "S3q"
                  }
                }
              }
            }
          }
        },
        S2t: {
          type: "map",
          key: {},
          value: {}
        },
        S2v: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ChannelName",
              "DataSource"
            ],
            members: {
              ChannelName: {},
              DataSource: {
                type: "structure",
                members: {
                  S3DataSource: {
                    type: "structure",
                    required: [
                      "S3DataType",
                      "S3Uri"
                    ],
                    members: {
                      S3DataType: {},
                      S3Uri: {},
                      S3DataDistributionType: {},
                      AttributeNames: {
                        type: "list",
                        member: {}
                      },
                      InstanceGroupNames: {
                        type: "list",
                        member: {}
                      }
                    }
                  },
                  FileSystemDataSource: {
                    type: "structure",
                    required: [
                      "FileSystemId",
                      "FileSystemAccessMode",
                      "FileSystemType",
                      "DirectoryPath"
                    ],
                    members: {
                      FileSystemId: {},
                      FileSystemAccessMode: {},
                      FileSystemType: {},
                      DirectoryPath: {}
                    }
                  }
                }
              },
              ContentType: {},
              CompressionType: {},
              RecordWrapperType: {},
              InputMode: {},
              ShuffleConfig: {
                type: "structure",
                required: [
                  "Seed"
                ],
                members: {
                  Seed: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        S3e: {
          type: "structure",
          required: [
            "S3OutputPath"
          ],
          members: {
            KmsKeyId: {},
            S3OutputPath: {},
            CompressionType: {}
          }
        },
        S3h: {
          type: "structure",
          required: [
            "VolumeSizeInGB"
          ],
          members: {
            InstanceType: {},
            InstanceCount: {
              type: "integer"
            },
            VolumeSizeInGB: {
              type: "integer"
            },
            VolumeKmsKeyId: {},
            InstanceGroups: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "InstanceType",
                  "InstanceCount",
                  "InstanceGroupName"
                ],
                members: {
                  InstanceType: {},
                  InstanceCount: {
                    type: "integer"
                  },
                  InstanceGroupName: {}
                }
              }
            },
            KeepAlivePeriodInSeconds: {
              type: "integer"
            }
          }
        },
        S3n: {
          type: "structure",
          members: {
            MaxRuntimeInSeconds: {
              type: "integer"
            },
            MaxWaitTimeInSeconds: {
              type: "integer"
            }
          }
        },
        S3q: {
          type: "structure",
          required: [
            "TransformInput",
            "TransformOutput",
            "TransformResources"
          ],
          members: {
            MaxConcurrentTransforms: {
              type: "integer"
            },
            MaxPayloadInMB: {
              type: "integer"
            },
            BatchStrategy: {},
            Environment: {
              shape: "S3u"
            },
            TransformInput: {
              shape: "S3x"
            },
            TransformOutput: {
              shape: "S41"
            },
            TransformResources: {
              shape: "S44"
            }
          }
        },
        S3u: {
          type: "map",
          key: {},
          value: {}
        },
        S3x: {
          type: "structure",
          required: [
            "DataSource"
          ],
          members: {
            DataSource: {
              type: "structure",
              required: [
                "S3DataSource"
              ],
              members: {
                S3DataSource: {
                  type: "structure",
                  required: [
                    "S3DataType",
                    "S3Uri"
                  ],
                  members: {
                    S3DataType: {},
                    S3Uri: {}
                  }
                }
              }
            },
            ContentType: {},
            CompressionType: {},
            SplitType: {}
          }
        },
        S41: {
          type: "structure",
          required: [
            "S3OutputPath"
          ],
          members: {
            S3OutputPath: {},
            Accept: {},
            AssembleWith: {},
            KmsKeyId: {}
          }
        },
        S44: {
          type: "structure",
          required: [
            "InstanceType",
            "InstanceCount"
          ],
          members: {
            InstanceType: {},
            InstanceCount: {
              type: "integer"
            },
            VolumeKmsKeyId: {}
          }
        },
        S4e: {
          type: "structure",
          members: {
            SageMakerImageArn: {},
            SageMakerImageVersionArn: {},
            InstanceType: {},
            LifecycleConfigArn: {}
          }
        },
        S4o: {
          type: "structure",
          required: [
            "KernelSpecs"
          ],
          members: {
            KernelSpecs: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name"
                ],
                members: {
                  Name: {},
                  DisplayName: {}
                }
              }
            },
            FileSystemConfig: {
              type: "structure",
              members: {
                MountPath: {},
                DefaultUid: {
                  type: "integer"
                },
                DefaultGid: {
                  type: "integer"
                }
              }
            }
          }
        },
        S50: {
          type: "structure",
          required: [
            "SourceUri"
          ],
          members: {
            SourceUri: {},
            SourceTypes: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "SourceIdType",
                  "Value"
                ],
                members: {
                  SourceIdType: {},
                  Value: {}
                }
              }
            }
          }
        },
        S58: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DataSource",
              "TargetAttributeName"
            ],
            members: {
              DataSource: {
                shape: "S5a"
              },
              CompressionType: {},
              TargetAttributeName: {},
              ContentType: {},
              ChannelType: {},
              SampleWeightAttributeName: {}
            }
          }
        },
        S5a: {
          type: "structure",
          required: [
            "S3DataSource"
          ],
          members: {
            S3DataSource: {
              type: "structure",
              required: [
                "S3DataType",
                "S3Uri"
              ],
              members: {
                S3DataType: {},
                S3Uri: {}
              }
            }
          }
        },
        S5g: {
          type: "structure",
          required: [
            "S3OutputPath"
          ],
          members: {
            KmsKeyId: {},
            S3OutputPath: {}
          }
        },
        S5i: {
          type: "structure",
          required: [
            "MetricName"
          ],
          members: {
            MetricName: {}
          }
        },
        S5k: {
          type: "structure",
          members: {
            CompletionCriteria: {
              shape: "S5l"
            },
            SecurityConfig: {
              shape: "S5p"
            },
            DataSplitConfig: {
              shape: "S5v"
            },
            CandidateGenerationConfig: {
              type: "structure",
              members: {
                FeatureSpecificationS3Uri: {},
                AlgorithmsConfig: {
                  shape: "S5y"
                }
              }
            },
            Mode: {}
          }
        },
        S5l: {
          type: "structure",
          members: {
            MaxCandidates: {
              type: "integer"
            },
            MaxRuntimePerTrainingJobInSeconds: {
              type: "integer"
            },
            MaxAutoMLJobRuntimeInSeconds: {
              type: "integer"
            }
          }
        },
        S5p: {
          type: "structure",
          members: {
            VolumeKmsKeyId: {},
            EnableInterContainerTrafficEncryption: {
              type: "boolean"
            },
            VpcConfig: {
              shape: "S5q"
            }
          }
        },
        S5q: {
          type: "structure",
          required: [
            "SecurityGroupIds",
            "Subnets"
          ],
          members: {
            SecurityGroupIds: {
              type: "list",
              member: {}
            },
            Subnets: {
              shape: "S5t"
            }
          }
        },
        S5t: {
          type: "list",
          member: {}
        },
        S5v: {
          type: "structure",
          members: {
            ValidationFraction: {
              type: "float"
            }
          }
        },
        S5y: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AutoMLAlgorithms"
            ],
            members: {
              AutoMLAlgorithms: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S64: {
          type: "structure",
          members: {
            AutoGenerateEndpointName: {
              type: "boolean"
            },
            EndpointName: {}
          }
        },
        S6a: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ChannelType: {},
              ContentType: {},
              CompressionType: {},
              DataSource: {
                shape: "S5a"
              }
            }
          }
        },
        S6c: {
          type: "structure",
          members: {
            ImageClassificationJobConfig: {
              type: "structure",
              members: {
                CompletionCriteria: {
                  shape: "S5l"
                }
              }
            },
            TextClassificationJobConfig: {
              type: "structure",
              members: {
                CompletionCriteria: {
                  shape: "S5l"
                },
                ContentColumn: {},
                TargetLabelColumn: {}
              }
            },
            TabularJobConfig: {
              type: "structure",
              required: [
                "TargetAttributeName"
              ],
              members: {
                CandidateGenerationConfig: {
                  type: "structure",
                  members: {
                    AlgorithmsConfig: {
                      shape: "S5y"
                    }
                  }
                },
                CompletionCriteria: {
                  shape: "S5l"
                },
                FeatureSpecificationS3Uri: {},
                Mode: {},
                GenerateCandidateDefinitionsOnly: {
                  type: "boolean"
                },
                ProblemType: {},
                TargetAttributeName: {},
                SampleWeightAttributeName: {}
              }
            },
            TimeSeriesForecastingJobConfig: {
              type: "structure",
              required: [
                "ForecastFrequency",
                "ForecastHorizon",
                "TimeSeriesConfig"
              ],
              members: {
                FeatureSpecificationS3Uri: {},
                CompletionCriteria: {
                  shape: "S5l"
                },
                ForecastFrequency: {},
                ForecastHorizon: {
                  type: "integer"
                },
                ForecastQuantiles: {
                  type: "list",
                  member: {}
                },
                Transformations: {
                  type: "structure",
                  members: {
                    Filling: {
                      type: "map",
                      key: {},
                      value: {
                        type: "map",
                        key: {},
                        value: {}
                      }
                    },
                    Aggregation: {
                      type: "map",
                      key: {},
                      value: {}
                    }
                  }
                },
                TimeSeriesConfig: {
                  type: "structure",
                  required: [
                    "TargetAttributeName",
                    "TimestampAttributeName",
                    "ItemIdentifierAttributeName"
                  ],
                  members: {
                    TargetAttributeName: {},
                    TimestampAttributeName: {},
                    ItemIdentifierAttributeName: {},
                    GroupingAttributeNames: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              }
            }
          },
          union: true
        },
        S73: {
          type: "structure",
          required: [
            "RepositoryUrl"
          ],
          members: {
            RepositoryUrl: {},
            Branch: {},
            SecretArn: {}
          }
        },
        S7a: {
          type: "structure",
          required: [
            "S3Uri",
            "DataInputConfig",
            "Framework"
          ],
          members: {
            S3Uri: {},
            DataInputConfig: {},
            Framework: {},
            FrameworkVersion: {}
          }
        },
        S7d: {
          type: "structure",
          required: [
            "S3OutputLocation"
          ],
          members: {
            S3OutputLocation: {},
            TargetDevice: {},
            TargetPlatform: {
              type: "structure",
              required: [
                "Os",
                "Arch"
              ],
              members: {
                Os: {},
                Arch: {},
                Accelerator: {}
              }
            },
            CompilerOptions: {},
            KmsKeyId: {}
          }
        },
        S7k: {
          type: "structure",
          required: [
            "SecurityGroupIds",
            "Subnets"
          ],
          members: {
            SecurityGroupIds: {
              type: "list",
              member: {}
            },
            Subnets: {
              type: "list",
              member: {}
            }
          }
        },
        S7s: {
          type: "structure",
          required: [
            "SourceUri"
          ],
          members: {
            SourceUri: {},
            SourceType: {},
            SourceId: {}
          }
        },
        S7x: {
          type: "structure",
          members: {
            BaseliningJobName: {},
            ConstraintsResource: {
              shape: "S7z"
            },
            StatisticsResource: {
              shape: "S80"
            }
          }
        },
        S7z: {
          type: "structure",
          members: {
            S3Uri: {}
          }
        },
        S80: {
          type: "structure",
          members: {
            S3Uri: {}
          }
        },
        S81: {
          type: "structure",
          required: [
            "ImageUri"
          ],
          members: {
            ImageUri: {},
            ContainerEntrypoint: {
              shape: "S83"
            },
            ContainerArguments: {
              shape: "S85"
            },
            RecordPreprocessorSourceUri: {},
            PostAnalyticsProcessorSourceUri: {},
            Environment: {
              shape: "S87"
            }
          }
        },
        S83: {
          type: "list",
          member: {}
        },
        S85: {
          type: "list",
          member: {}
        },
        S87: {
          type: "map",
          key: {},
          value: {}
        },
        S8a: {
          type: "structure",
          members: {
            EndpointInput: {
              shape: "S8b"
            },
            BatchTransformInput: {
              shape: "S8h"
            }
          }
        },
        S8b: {
          type: "structure",
          required: [
            "EndpointName",
            "LocalPath"
          ],
          members: {
            EndpointName: {},
            LocalPath: {},
            S3InputMode: {},
            S3DataDistributionType: {},
            FeaturesAttribute: {},
            InferenceAttribute: {},
            ProbabilityAttribute: {},
            ProbabilityThresholdAttribute: {
              type: "double"
            },
            StartTimeOffset: {},
            EndTimeOffset: {}
          }
        },
        S8h: {
          type: "structure",
          required: [
            "DataCapturedDestinationS3Uri",
            "DatasetFormat",
            "LocalPath"
          ],
          members: {
            DataCapturedDestinationS3Uri: {},
            DatasetFormat: {
              type: "structure",
              members: {
                Csv: {
                  type: "structure",
                  members: {
                    Header: {
                      type: "boolean"
                    }
                  }
                },
                Json: {
                  type: "structure",
                  members: {
                    Line: {
                      type: "boolean"
                    }
                  }
                },
                Parquet: {
                  type: "structure",
                  members: {}
                }
              }
            },
            LocalPath: {},
            S3InputMode: {},
            S3DataDistributionType: {},
            FeaturesAttribute: {},
            InferenceAttribute: {},
            ProbabilityAttribute: {},
            ProbabilityThresholdAttribute: {
              type: "double"
            },
            StartTimeOffset: {},
            EndTimeOffset: {}
          }
        },
        S8n: {
          type: "structure",
          required: [
            "MonitoringOutputs"
          ],
          members: {
            MonitoringOutputs: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "S3Output"
                ],
                members: {
                  S3Output: {
                    type: "structure",
                    required: [
                      "S3Uri",
                      "LocalPath"
                    ],
                    members: {
                      S3Uri: {},
                      LocalPath: {},
                      S3UploadMode: {}
                    }
                  }
                }
              }
            },
            KmsKeyId: {}
          }
        },
        S8t: {
          type: "structure",
          required: [
            "ClusterConfig"
          ],
          members: {
            ClusterConfig: {
              type: "structure",
              required: [
                "InstanceCount",
                "InstanceType",
                "VolumeSizeInGB"
              ],
              members: {
                InstanceCount: {
                  type: "integer"
                },
                InstanceType: {},
                VolumeSizeInGB: {
                  type: "integer"
                },
                VolumeKmsKeyId: {}
              }
            }
          }
        },
        S8y: {
          type: "structure",
          members: {
            EnableInterContainerTrafficEncryption: {
              type: "boolean"
            },
            EnableNetworkIsolation: {
              type: "boolean"
            },
            VpcConfig: {
              shape: "S5q"
            }
          }
        },
        S8z: {
          type: "structure",
          required: [
            "MaxRuntimeInSeconds"
          ],
          members: {
            MaxRuntimeInSeconds: {
              type: "integer"
            }
          }
        },
        S95: {
          type: "structure",
          required: [
            "S3OutputLocation"
          ],
          members: {
            S3OutputLocation: {},
            KmsKeyId: {},
            PresetDeploymentType: {},
            PresetDeploymentConfig: {}
          }
        },
        S9b: {
          type: "structure",
          members: {
            ExecutionRole: {},
            SecurityGroups: {
              shape: "S9c"
            },
            SharingSettings: {
              type: "structure",
              members: {
                NotebookOutputOption: {},
                S3OutputPath: {},
                S3KmsKeyId: {}
              }
            },
            JupyterServerAppSettings: {
              shape: "S9f"
            },
            KernelGatewayAppSettings: {
              shape: "S9k"
            },
            TensorBoardAppSettings: {
              type: "structure",
              members: {
                DefaultResourceSpec: {
                  shape: "S4e"
                }
              }
            },
            RStudioServerProAppSettings: {
              type: "structure",
              members: {
                AccessStatus: {},
                UserGroup: {}
              }
            },
            RSessionAppSettings: {
              type: "structure",
              members: {
                DefaultResourceSpec: {
                  shape: "S4e"
                },
                CustomImages: {
                  shape: "S9l"
                }
              }
            },
            CanvasAppSettings: {
              type: "structure",
              members: {
                TimeSeriesForecastingSettings: {
                  type: "structure",
                  members: {
                    Status: {},
                    AmazonForecastRoleArn: {}
                  }
                },
                ModelRegisterSettings: {
                  type: "structure",
                  members: {
                    Status: {},
                    CrossAccountModelRegisterRoleArn: {}
                  }
                }
              }
            }
          }
        },
        S9c: {
          type: "list",
          member: {}
        },
        S9f: {
          type: "structure",
          members: {
            DefaultResourceSpec: {
              shape: "S4e"
            },
            LifecycleConfigArns: {
              shape: "S9g"
            },
            CodeRepositories: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "RepositoryUrl"
                ],
                members: {
                  RepositoryUrl: {}
                }
              }
            }
          }
        },
        S9g: {
          type: "list",
          member: {}
        },
        S9k: {
          type: "structure",
          members: {
            DefaultResourceSpec: {
              shape: "S4e"
            },
            CustomImages: {
              shape: "S9l"
            },
            LifecycleConfigArns: {
              shape: "S9g"
            }
          }
        },
        S9l: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ImageName",
              "AppImageConfigName"
            ],
            members: {
              ImageName: {},
              ImageVersionNumber: {
                type: "integer"
              },
              AppImageConfigName: {}
            }
          }
        },
        Sa1: {
          type: "structure",
          members: {
            SecurityGroupIds: {
              shape: "Sa2"
            },
            RStudioServerProDomainSettings: {
              type: "structure",
              required: [
                "DomainExecutionRoleArn"
              ],
              members: {
                DomainExecutionRoleArn: {},
                RStudioConnectUrl: {},
                RStudioPackageManagerUrl: {},
                DefaultResourceSpec: {
                  shape: "S4e"
                }
              }
            },
            ExecutionRoleIdentityConfig: {}
          }
        },
        Sa2: {
          type: "list",
          member: {}
        },
        Sa5: {
          type: "structure",
          members: {
            ExecutionRole: {},
            SecurityGroups: {
              shape: "S9c"
            },
            JupyterServerAppSettings: {
              shape: "S9f"
            },
            KernelGatewayAppSettings: {
              shape: "S9k"
            }
          }
        },
        Saa: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ModelHandle",
              "EdgePackagingJobName"
            ],
            members: {
              ModelHandle: {},
              EdgePackagingJobName: {}
            }
          }
        },
        Sac: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "StageName",
              "DeviceSelectionConfig"
            ],
            members: {
              StageName: {},
              DeviceSelectionConfig: {
                shape: "Sae"
              },
              DeploymentConfig: {
                shape: "Saj"
              }
            }
          }
        },
        Sae: {
          type: "structure",
          required: [
            "DeviceSubsetType"
          ],
          members: {
            DeviceSubsetType: {},
            Percentage: {
              type: "integer"
            },
            DeviceNames: {
              shape: "Sah"
            },
            DeviceNameContains: {}
          }
        },
        Sah: {
          type: "list",
          member: {}
        },
        Saj: {
          type: "structure",
          required: [
            "FailureHandlingPolicy"
          ],
          members: {
            FailureHandlingPolicy: {}
          }
        },
        Sas: {
          type: "structure",
          members: {
            BlueGreenUpdatePolicy: {
              type: "structure",
              required: [
                "TrafficRoutingConfiguration"
              ],
              members: {
                TrafficRoutingConfiguration: {
                  type: "structure",
                  required: [
                    "Type",
                    "WaitIntervalInSeconds"
                  ],
                  members: {
                    Type: {},
                    WaitIntervalInSeconds: {
                      type: "integer"
                    },
                    CanarySize: {
                      shape: "Sax"
                    },
                    LinearStepSize: {
                      shape: "Sax"
                    }
                  }
                },
                TerminationWaitInSeconds: {
                  type: "integer"
                },
                MaximumExecutionTimeoutInSeconds: {
                  type: "integer"
                }
              }
            },
            AutoRollbackConfiguration: {
              type: "structure",
              members: {
                Alarms: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      AlarmName: {}
                    }
                  }
                }
              }
            },
            RollingUpdatePolicy: {
              type: "structure",
              required: [
                "MaximumBatchSize",
                "WaitIntervalInSeconds"
              ],
              members: {
                MaximumBatchSize: {
                  shape: "Sax"
                },
                WaitIntervalInSeconds: {
                  type: "integer"
                },
                MaximumExecutionTimeoutInSeconds: {
                  type: "integer"
                },
                RollbackMaximumBatchSize: {
                  shape: "Sax"
                }
              }
            }
          }
        },
        Sax: {
          type: "structure",
          required: [
            "Type",
            "Value"
          ],
          members: {
            Type: {},
            Value: {
              type: "integer"
            }
          }
        },
        Sba: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "VariantName",
              "ModelName"
            ],
            members: {
              VariantName: {},
              ModelName: {},
              InitialInstanceCount: {
                type: "integer"
              },
              InstanceType: {},
              InitialVariantWeight: {
                type: "float"
              },
              AcceleratorType: {},
              CoreDumpConfig: {
                type: "structure",
                required: [
                  "DestinationS3Uri"
                ],
                members: {
                  DestinationS3Uri: {},
                  KmsKeyId: {}
                }
              },
              ServerlessConfig: {
                shape: "Sbi"
              },
              VolumeSizeInGB: {
                type: "integer"
              },
              ModelDataDownloadTimeoutInSeconds: {
                type: "integer"
              },
              ContainerStartupHealthCheckTimeoutInSeconds: {
                type: "integer"
              },
              EnableSSMAccess: {
                type: "boolean"
              }
            }
          }
        },
        Sbi: {
          type: "structure",
          required: [
            "MemorySizeInMB",
            "MaxConcurrency"
          ],
          members: {
            MemorySizeInMB: {
              type: "integer"
            },
            MaxConcurrency: {
              type: "integer"
            },
            ProvisionedConcurrency: {
              type: "integer"
            }
          }
        },
        Sbq: {
          type: "structure",
          required: [
            "InitialSamplingPercentage",
            "DestinationS3Uri",
            "CaptureOptions"
          ],
          members: {
            EnableCapture: {
              type: "boolean"
            },
            InitialSamplingPercentage: {
              type: "integer"
            },
            DestinationS3Uri: {},
            KmsKeyId: {},
            CaptureOptions: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "CaptureMode"
                ],
                members: {
                  CaptureMode: {}
                }
              }
            },
            CaptureContentTypeHeader: {
              shape: "Sbw"
            }
          }
        },
        Sbw: {
          type: "structure",
          members: {
            CsvContentTypes: {
              type: "list",
              member: {}
            },
            JsonContentTypes: {
              type: "list",
              member: {}
            }
          }
        },
        Sc1: {
          type: "structure",
          required: [
            "OutputConfig"
          ],
          members: {
            ClientConfig: {
              type: "structure",
              members: {
                MaxConcurrentInvocationsPerInstance: {
                  type: "integer"
                }
              }
            },
            OutputConfig: {
              type: "structure",
              members: {
                KmsKeyId: {},
                S3OutputPath: {},
                NotificationConfig: {
                  type: "structure",
                  members: {
                    SuccessTopic: {},
                    ErrorTopic: {},
                    IncludeInferenceResponseIn: {
                      type: "list",
                      member: {}
                    }
                  }
                },
                S3FailurePath: {}
              }
            }
          }
        },
        Sc9: {
          type: "structure",
          members: {
            ClarifyExplainerConfig: {
              type: "structure",
              required: [
                "ShapConfig"
              ],
              members: {
                EnableExplanations: {},
                InferenceConfig: {
                  type: "structure",
                  members: {
                    FeaturesAttribute: {},
                    ContentTemplate: {},
                    MaxRecordCount: {
                      type: "integer"
                    },
                    MaxPayloadInMB: {
                      type: "integer"
                    },
                    ProbabilityIndex: {
                      type: "integer"
                    },
                    LabelIndex: {
                      type: "integer"
                    },
                    ProbabilityAttribute: {},
                    LabelAttribute: {},
                    LabelHeaders: {
                      type: "list",
                      member: {}
                    },
                    FeatureHeaders: {
                      type: "list",
                      member: {}
                    },
                    FeatureTypes: {
                      type: "list",
                      member: {}
                    }
                  }
                },
                ShapConfig: {
                  type: "structure",
                  required: [
                    "ShapBaselineConfig"
                  ],
                  members: {
                    ShapBaselineConfig: {
                      type: "structure",
                      members: {
                        MimeType: {},
                        ShapBaseline: {},
                        ShapBaselineUri: {}
                      }
                    },
                    NumberOfSamples: {
                      type: "integer"
                    },
                    UseLogit: {
                      type: "boolean"
                    },
                    Seed: {
                      type: "integer"
                    },
                    TextConfig: {
                      type: "structure",
                      required: [
                        "Language",
                        "Granularity"
                      ],
                      members: {
                        Language: {},
                        Granularity: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sd8: {
          type: "list",
          member: {
            shape: "Sd9"
          }
        },
        Sd9: {
          type: "structure",
          members: {
            FeatureName: {},
            FeatureType: {}
          }
        },
        Sdb: {
          type: "structure",
          members: {
            SecurityConfig: {
              type: "structure",
              members: {
                KmsKeyId: {}
              }
            },
            EnableOnlineStore: {
              type: "boolean"
            },
            TtlDuration: {
              shape: "Sdd"
            }
          }
        },
        Sdd: {
          type: "structure",
          members: {
            Unit: {},
            Value: {
              type: "integer"
            }
          }
        },
        Sdg: {
          type: "structure",
          required: [
            "S3StorageConfig"
          ],
          members: {
            S3StorageConfig: {
              type: "structure",
              required: [
                "S3Uri"
              ],
              members: {
                S3Uri: {},
                KmsKeyId: {},
                ResolvedOutputS3Uri: {}
              }
            },
            DisableGlueTableCreation: {
              type: "boolean"
            },
            DataCatalogConfig: {
              type: "structure",
              required: [
                "TableName",
                "Catalog",
                "Database"
              ],
              members: {
                TableName: {},
                Catalog: {},
                Database: {}
              }
            },
            TableFormat: {}
          }
        },
        Sds: {
          type: "structure",
          required: [
            "AwsManagedHumanLoopRequestSource"
          ],
          members: {
            AwsManagedHumanLoopRequestSource: {}
          }
        },
        Sdu: {
          type: "structure",
          required: [
            "HumanLoopActivationConditionsConfig"
          ],
          members: {
            HumanLoopActivationConditionsConfig: {
              type: "structure",
              required: [
                "HumanLoopActivationConditions"
              ],
              members: {
                HumanLoopActivationConditions: {
                  jsonvalue: true
                }
              }
            }
          }
        },
        Sdx: {
          type: "structure",
          required: [
            "WorkteamArn",
            "HumanTaskUiArn",
            "TaskTitle",
            "TaskDescription",
            "TaskCount"
          ],
          members: {
            WorkteamArn: {},
            HumanTaskUiArn: {},
            TaskTitle: {},
            TaskDescription: {},
            TaskCount: {
              type: "integer"
            },
            TaskAvailabilityLifetimeInSeconds: {
              type: "integer"
            },
            TaskTimeLimitInSeconds: {
              type: "integer"
            },
            TaskKeywords: {
              type: "list",
              member: {}
            },
            PublicWorkforceTaskPrice: {
              shape: "Se7"
            }
          }
        },
        Se7: {
          type: "structure",
          members: {
            AmountInUsd: {
              type: "structure",
              members: {
                Dollars: {
                  type: "integer"
                },
                Cents: {
                  type: "integer"
                },
                TenthFractionsOfACent: {
                  type: "integer"
                }
              }
            }
          }
        },
        Sec: {
          type: "structure",
          required: [
            "S3OutputPath"
          ],
          members: {
            S3OutputPath: {},
            KmsKeyId: {}
          }
        },
        Sej: {
          type: "list",
          member: {}
        },
        Sel: {
          type: "structure",
          members: {
            S3OutputPath: {}
          }
        },
        Ser: {
          type: "structure",
          required: [
            "Content"
          ],
          members: {
            Content: {}
          }
        },
        Sew: {
          type: "structure",
          required: [
            "Strategy",
            "ResourceLimits"
          ],
          members: {
            Strategy: {},
            StrategyConfig: {
              type: "structure",
              members: {
                HyperbandStrategyConfig: {
                  type: "structure",
                  members: {
                    MinResource: {
                      type: "integer"
                    },
                    MaxResource: {
                      type: "integer"
                    }
                  }
                }
              }
            },
            HyperParameterTuningJobObjective: {
              shape: "S2m"
            },
            ResourceLimits: {
              shape: "Sf2"
            },
            ParameterRanges: {
              shape: "Sf6"
            },
            TrainingJobEarlyStoppingType: {},
            TuningJobCompletionCriteria: {
              type: "structure",
              members: {
                TargetObjectiveMetricValue: {
                  type: "float"
                },
                BestObjectiveNotImproving: {
                  type: "structure",
                  members: {
                    MaxNumberOfTrainingJobsNotImproving: {
                      type: "integer"
                    }
                  }
                },
                ConvergenceDetected: {
                  type: "structure",
                  members: {
                    CompleteOnConvergence: {}
                  }
                }
              }
            },
            RandomSeed: {
              type: "integer"
            }
          }
        },
        Sf2: {
          type: "structure",
          required: [
            "MaxParallelTrainingJobs"
          ],
          members: {
            MaxNumberOfTrainingJobs: {
              type: "integer"
            },
            MaxParallelTrainingJobs: {
              type: "integer"
            },
            MaxRuntimeInSeconds: {
              type: "integer"
            }
          }
        },
        Sf6: {
          type: "structure",
          members: {
            IntegerParameterRanges: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name",
                  "MinValue",
                  "MaxValue"
                ],
                members: {
                  Name: {},
                  MinValue: {},
                  MaxValue: {},
                  ScalingType: {}
                }
              }
            },
            ContinuousParameterRanges: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name",
                  "MinValue",
                  "MaxValue"
                ],
                members: {
                  Name: {},
                  MinValue: {},
                  MaxValue: {},
                  ScalingType: {}
                }
              }
            },
            CategoricalParameterRanges: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name",
                  "Values"
                ],
                members: {
                  Name: {},
                  Values: {
                    shape: "S25"
                  }
                }
              }
            },
            AutoParameters: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name",
                  "ValueHint"
                ],
                members: {
                  Name: {},
                  ValueHint: {}
                }
              }
            }
          }
        },
        Sfp: {
          type: "structure",
          required: [
            "AlgorithmSpecification",
            "RoleArn",
            "OutputDataConfig",
            "StoppingCondition"
          ],
          members: {
            DefinitionName: {},
            TuningObjective: {
              shape: "S2m"
            },
            HyperParameterRanges: {
              shape: "Sf6"
            },
            StaticHyperParameters: {
              shape: "S2t"
            },
            AlgorithmSpecification: {
              type: "structure",
              required: [
                "TrainingInputMode"
              ],
              members: {
                TrainingImage: {},
                TrainingInputMode: {},
                AlgorithmName: {},
                MetricDefinitions: {
                  shape: "S2a"
                }
              }
            },
            RoleArn: {},
            InputDataConfig: {
              shape: "S2v"
            },
            VpcConfig: {
              shape: "S5q"
            },
            OutputDataConfig: {
              shape: "S3e"
            },
            ResourceConfig: {
              shape: "S3h"
            },
            StoppingCondition: {
              shape: "S3n"
            },
            EnableNetworkIsolation: {
              type: "boolean"
            },
            EnableInterContainerTrafficEncryption: {
              type: "boolean"
            },
            EnableManagedSpotTraining: {
              type: "boolean"
            },
            CheckpointConfig: {
              shape: "Sfu"
            },
            RetryStrategy: {
              shape: "Sfv"
            },
            HyperParameterTuningResourceConfig: {
              type: "structure",
              members: {
                InstanceType: {},
                InstanceCount: {
                  type: "integer"
                },
                VolumeSizeInGB: {
                  type: "integer"
                },
                VolumeKmsKeyId: {},
                AllocationStrategy: {},
                InstanceConfigs: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "InstanceType",
                      "InstanceCount",
                      "VolumeSizeInGB"
                    ],
                    members: {
                      InstanceType: {},
                      InstanceCount: {
                        type: "integer"
                      },
                      VolumeSizeInGB: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            },
            Environment: {
              type: "map",
              key: {},
              value: {}
            }
          }
        },
        Sfu: {
          type: "structure",
          required: [
            "S3Uri"
          ],
          members: {
            S3Uri: {},
            LocalPath: {}
          }
        },
        Sfv: {
          type: "structure",
          required: [
            "MaximumRetryAttempts"
          ],
          members: {
            MaximumRetryAttempts: {
              type: "integer"
            }
          }
        },
        Sg5: {
          type: "list",
          member: {
            shape: "Sfp"
          }
        },
        Sg6: {
          type: "structure",
          required: [
            "ParentHyperParameterTuningJobs",
            "WarmStartType"
          ],
          members: {
            ParentHyperParameterTuningJobs: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  HyperParameterTuningJobName: {}
                }
              }
            },
            WarmStartType: {}
          }
        },
        Sga: {
          type: "structure",
          required: [
            "Mode"
          ],
          members: {
            Mode: {}
          }
        },
        Sgl: {
          type: "list",
          member: {}
        },
        Sgy: {
          type: "structure",
          members: {
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            }
          }
        },
        Sh1: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ModelName",
              "VariantName",
              "InfrastructureConfig"
            ],
            members: {
              ModelName: {},
              VariantName: {},
              InfrastructureConfig: {
                shape: "Sh4"
              }
            }
          }
        },
        Sh4: {
          type: "structure",
          required: [
            "InfrastructureType",
            "RealTimeInferenceConfig"
          ],
          members: {
            InfrastructureType: {},
            RealTimeInferenceConfig: {
              type: "structure",
              required: [
                "InstanceType",
                "InstanceCount"
              ],
              members: {
                InstanceType: {},
                InstanceCount: {
                  type: "integer"
                }
              }
            }
          }
        },
        Sh9: {
          type: "structure",
          required: [
            "Destination"
          ],
          members: {
            Destination: {},
            KmsKey: {},
            ContentType: {
              shape: "Sbw"
            }
          }
        },
        Sha: {
          type: "structure",
          required: [
            "SourceModelVariantName",
            "ShadowModelVariants"
          ],
          members: {
            SourceModelVariantName: {},
            ShadowModelVariants: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "ShadowModelVariantName",
                  "SamplingPercentage"
                ],
                members: {
                  ShadowModelVariantName: {},
                  SamplingPercentage: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        Shi: {
          type: "structure",
          members: {
            ModelPackageVersionArn: {},
            JobDurationInSeconds: {
              type: "integer"
            },
            TrafficPattern: {
              type: "structure",
              members: {
                TrafficType: {},
                Phases: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      InitialNumberOfUsers: {
                        type: "integer"
                      },
                      SpawnRate: {
                        type: "integer"
                      },
                      DurationInSeconds: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            },
            ResourceLimit: {
              type: "structure",
              members: {
                MaxNumberOfTests: {
                  type: "integer"
                },
                MaxParallelOfTests: {
                  type: "integer"
                }
              }
            },
            EndpointConfigurations: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  InstanceType: {},
                  InferenceSpecificationName: {},
                  EnvironmentParameterRanges: {
                    type: "structure",
                    members: {
                      CategoricalParameterRanges: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "Name",
                            "Value"
                          ],
                          members: {
                            Name: {},
                            Value: {
                              type: "list",
                              member: {}
                            }
                          }
                        }
                      }
                    }
                  },
                  ServerlessConfig: {
                    shape: "Sbi"
                  }
                }
              }
            },
            VolumeKmsKeyId: {},
            ContainerConfig: {
              type: "structure",
              members: {
                Domain: {},
                Task: {},
                Framework: {},
                FrameworkVersion: {},
                PayloadConfig: {
                  type: "structure",
                  members: {
                    SamplePayloadUrl: {},
                    SupportedContentTypes: {
                      type: "list",
                      member: {}
                    }
                  }
                },
                NearestModelName: {},
                SupportedInstanceTypes: {
                  type: "list",
                  member: {}
                },
                DataInputConfig: {},
                SupportedEndpointType: {}
              }
            },
            Endpoints: {
              type: "list",
              member: {
                shape: "Sia"
              }
            },
            VpcConfig: {
              type: "structure",
              required: [
                "SecurityGroupIds",
                "Subnets"
              ],
              members: {
                SecurityGroupIds: {
                  type: "list",
                  member: {}
                },
                Subnets: {
                  type: "list",
                  member: {}
                }
              }
            },
            ModelName: {}
          }
        },
        Sia: {
          type: "structure",
          required: [
            "EndpointName"
          ],
          members: {
            EndpointName: {}
          }
        },
        Sih: {
          type: "structure",
          members: {
            MaxInvocations: {
              type: "integer"
            },
            ModelLatencyThresholds: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Percentile: {},
                  ValueInMilliseconds: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        Sis: {
          type: "structure",
          required: [
            "DataSource"
          ],
          members: {
            DataSource: {
              type: "structure",
              members: {
                S3DataSource: {
                  type: "structure",
                  required: [
                    "ManifestS3Uri"
                  ],
                  members: {
                    ManifestS3Uri: {}
                  }
                },
                SnsDataSource: {
                  type: "structure",
                  required: [
                    "SnsTopicArn"
                  ],
                  members: {
                    SnsTopicArn: {}
                  }
                }
              }
            },
            DataAttributes: {
              type: "structure",
              members: {
                ContentClassifiers: {
                  type: "list",
                  member: {}
                }
              }
            }
          }
        },
        Siz: {
          type: "structure",
          required: [
            "S3OutputPath"
          ],
          members: {
            S3OutputPath: {},
            KmsKeyId: {},
            SnsTopicArn: {}
          }
        },
        Sj0: {
          type: "structure",
          members: {
            MaxHumanLabeledObjectCount: {
              type: "integer"
            },
            MaxPercentageOfInputDatasetLabeled: {
              type: "integer"
            }
          }
        },
        Sj3: {
          type: "structure",
          required: [
            "LabelingJobAlgorithmSpecificationArn"
          ],
          members: {
            LabelingJobAlgorithmSpecificationArn: {},
            InitialActiveLearningModelArn: {},
            LabelingJobResourceConfig: {
              type: "structure",
              members: {
                VolumeKmsKeyId: {},
                VpcConfig: {
                  shape: "S5q"
                }
              }
            }
          }
        },
        Sj7: {
          type: "structure",
          required: [
            "WorkteamArn",
            "UiConfig",
            "PreHumanTaskLambdaArn",
            "TaskTitle",
            "TaskDescription",
            "NumberOfHumanWorkersPerDataObject",
            "TaskTimeLimitInSeconds",
            "AnnotationConsolidationConfig"
          ],
          members: {
            WorkteamArn: {},
            UiConfig: {
              type: "structure",
              members: {
                UiTemplateS3Uri: {},
                HumanTaskUiArn: {}
              }
            },
            PreHumanTaskLambdaArn: {},
            TaskKeywords: {
              type: "list",
              member: {}
            },
            TaskTitle: {},
            TaskDescription: {},
            NumberOfHumanWorkersPerDataObject: {
              type: "integer"
            },
            TaskTimeLimitInSeconds: {
              type: "integer"
            },
            TaskAvailabilityLifetimeInSeconds: {
              type: "integer"
            },
            MaxConcurrentTaskCount: {
              type: "integer"
            },
            AnnotationConsolidationConfig: {
              type: "structure",
              required: [
                "AnnotationConsolidationLambdaArn"
              ],
              members: {
                AnnotationConsolidationLambdaArn: {}
              }
            },
            PublicWorkforceTaskPrice: {
              shape: "Se7"
            }
          }
        },
        Sjm: {
          type: "structure",
          members: {
            ContainerHostname: {},
            Image: {},
            ImageConfig: {
              type: "structure",
              required: [
                "RepositoryAccessMode"
              ],
              members: {
                RepositoryAccessMode: {},
                RepositoryAuthConfig: {
                  type: "structure",
                  required: [
                    "RepositoryCredentialsProviderArn"
                  ],
                  members: {
                    RepositoryCredentialsProviderArn: {}
                  }
                }
              }
            },
            Mode: {},
            ModelDataUrl: {},
            Environment: {
              shape: "Sz"
            },
            ModelPackageName: {},
            InferenceSpecificationName: {},
            MultiModelConfig: {
              type: "structure",
              members: {
                ModelCacheSetting: {}
              }
            },
            ModelDataSource: {
              type: "structure",
              required: [
                "S3DataSource"
              ],
              members: {
                S3DataSource: {
                  type: "structure",
                  required: [
                    "S3Uri",
                    "S3DataType",
                    "CompressionType"
                  ],
                  members: {
                    S3Uri: {},
                    S3DataType: {},
                    CompressionType: {}
                  }
                }
              }
            }
          }
        },
        Sk0: {
          type: "list",
          member: {
            shape: "Sjm"
          }
        },
        Sk1: {
          type: "structure",
          required: [
            "Mode"
          ],
          members: {
            Mode: {}
          }
        },
        Sk5: {
          type: "structure",
          members: {
            BaseliningJobName: {},
            ConstraintsResource: {
              shape: "S7z"
            }
          }
        },
        Sk6: {
          type: "structure",
          required: [
            "ImageUri",
            "ConfigUri"
          ],
          members: {
            ImageUri: {},
            ConfigUri: {},
            Environment: {
              shape: "S87"
            }
          }
        },
        Sk7: {
          type: "structure",
          required: [
            "GroundTruthS3Input"
          ],
          members: {
            EndpointInput: {
              shape: "S8b"
            },
            BatchTransformInput: {
              shape: "S8h"
            },
            GroundTruthS3Input: {
              shape: "Sk8"
            }
          }
        },
        Sk8: {
          type: "structure",
          members: {
            S3Uri: {}
          }
        },
        Skb: {
          type: "structure",
          members: {
            KmsKeyId: {}
          }
        },
        Skc: {
          type: "string",
          sensitive: true
        },
        Skh: {
          type: "structure",
          required: [
            "S3OutputPath"
          ],
          members: {
            S3OutputPath: {}
          }
        },
        Skl: {
          type: "structure",
          members: {
            BaseliningJobName: {},
            ConstraintsResource: {
              shape: "S7z"
            }
          }
        },
        Skm: {
          type: "structure",
          required: [
            "ImageUri",
            "ConfigUri"
          ],
          members: {
            ImageUri: {},
            ConfigUri: {},
            Environment: {
              shape: "S87"
            }
          }
        },
        Skn: {
          type: "structure",
          members: {
            EndpointInput: {
              shape: "S8b"
            },
            BatchTransformInput: {
              shape: "S8h"
            }
          }
        },
        Skq: {
          type: "structure",
          required: [
            "ValidationRole",
            "ValidationProfiles"
          ],
          members: {
            ValidationRole: {},
            ValidationProfiles: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "ProfileName",
                  "TransformJobDefinition"
                ],
                members: {
                  ProfileName: {},
                  TransformJobDefinition: {
                    shape: "S3q"
                  }
                }
              }
            }
          }
        },
        Skt: {
          type: "structure",
          required: [
            "SourceAlgorithms"
          ],
          members: {
            SourceAlgorithms: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "AlgorithmName"
                ],
                members: {
                  ModelDataUrl: {},
                  AlgorithmName: {}
                }
              }
            }
          }
        },
        Skw: {
          type: "structure",
          members: {
            ModelQuality: {
              type: "structure",
              members: {
                Statistics: {
                  shape: "Sky"
                },
                Constraints: {
                  shape: "Sky"
                }
              }
            },
            ModelDataQuality: {
              type: "structure",
              members: {
                Statistics: {
                  shape: "Sky"
                },
                Constraints: {
                  shape: "Sky"
                }
              }
            },
            Bias: {
              type: "structure",
              members: {
                Report: {
                  shape: "Sky"
                },
                PreTrainingReport: {
                  shape: "Sky"
                },
                PostTrainingReport: {
                  shape: "Sky"
                }
              }
            },
            Explainability: {
              type: "structure",
              members: {
                Report: {
                  shape: "Sky"
                }
              }
            }
          }
        },
        Sky: {
          type: "structure",
          required: [
            "ContentType",
            "S3Uri"
          ],
          members: {
            ContentType: {},
            ContentDigest: {},
            S3Uri: {}
          }
        },
        Sl3: {
          type: "map",
          key: {},
          value: {}
        },
        Sl6: {
          type: "structure",
          members: {
            Bias: {
              type: "structure",
              members: {
                ConfigFile: {
                  shape: "Sl8"
                },
                PreTrainingConstraints: {
                  shape: "Sky"
                },
                PostTrainingConstraints: {
                  shape: "Sky"
                }
              }
            },
            Explainability: {
              type: "structure",
              members: {
                Constraints: {
                  shape: "Sky"
                },
                ConfigFile: {
                  shape: "Sl8"
                }
              }
            },
            ModelQuality: {
              type: "structure",
              members: {
                Statistics: {
                  shape: "Sky"
                },
                Constraints: {
                  shape: "Sky"
                }
              }
            },
            ModelDataQuality: {
              type: "structure",
              members: {
                Statistics: {
                  shape: "Sky"
                },
                Constraints: {
                  shape: "Sky"
                }
              }
            }
          }
        },
        Sl8: {
          type: "structure",
          required: [
            "S3Uri"
          ],
          members: {
            ContentType: {},
            ContentDigest: {},
            S3Uri: {}
          }
        },
        Slc: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Containers"
            ],
            members: {
              Name: {},
              Description: {},
              Containers: {
                shape: "Ss"
              },
              SupportedTransformInstanceTypes: {
                shape: "S16"
              },
              SupportedRealtimeInferenceInstanceTypes: {
                shape: "S18"
              },
              SupportedContentTypes: {
                shape: "S1a"
              },
              SupportedResponseMIMETypes: {
                shape: "S1c"
              }
            }
          }
        },
        Slj: {
          type: "structure",
          members: {
            BaseliningJobName: {},
            ConstraintsResource: {
              shape: "S7z"
            }
          }
        },
        Slk: {
          type: "structure",
          required: [
            "ImageUri"
          ],
          members: {
            ImageUri: {},
            ContainerEntrypoint: {
              shape: "S83"
            },
            ContainerArguments: {
              shape: "S85"
            },
            RecordPreprocessorSourceUri: {},
            PostAnalyticsProcessorSourceUri: {},
            ProblemType: {},
            Environment: {
              shape: "S87"
            }
          }
        },
        Slm: {
          type: "structure",
          required: [
            "GroundTruthS3Input"
          ],
          members: {
            EndpointInput: {
              shape: "S8b"
            },
            BatchTransformInput: {
              shape: "S8h"
            },
            GroundTruthS3Input: {
              shape: "Sk8"
            }
          }
        },
        Slq: {
          type: "structure",
          members: {
            ScheduleConfig: {
              type: "structure",
              required: [
                "ScheduleExpression"
              ],
              members: {
                ScheduleExpression: {}
              }
            },
            MonitoringJobDefinition: {
              type: "structure",
              required: [
                "MonitoringInputs",
                "MonitoringOutputConfig",
                "MonitoringResources",
                "MonitoringAppSpecification",
                "RoleArn"
              ],
              members: {
                BaselineConfig: {
                  type: "structure",
                  members: {
                    BaseliningJobName: {},
                    ConstraintsResource: {
                      shape: "S7z"
                    },
                    StatisticsResource: {
                      shape: "S80"
                    }
                  }
                },
                MonitoringInputs: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      EndpointInput: {
                        shape: "S8b"
                      },
                      BatchTransformInput: {
                        shape: "S8h"
                      }
                    }
                  }
                },
                MonitoringOutputConfig: {
                  shape: "S8n"
                },
                MonitoringResources: {
                  shape: "S8t"
                },
                MonitoringAppSpecification: {
                  type: "structure",
                  required: [
                    "ImageUri"
                  ],
                  members: {
                    ImageUri: {},
                    ContainerEntrypoint: {
                      shape: "S83"
                    },
                    ContainerArguments: {
                      shape: "S85"
                    },
                    RecordPreprocessorSourceUri: {},
                    PostAnalyticsProcessorSourceUri: {}
                  }
                },
                StoppingCondition: {
                  shape: "S8z"
                },
                Environment: {
                  shape: "S87"
                },
                NetworkConfig: {
                  shape: "Sly"
                },
                RoleArn: {}
              }
            },
            MonitoringJobDefinitionName: {},
            MonitoringType: {}
          }
        },
        Sly: {
          type: "structure",
          members: {
            EnableInterContainerTrafficEncryption: {
              type: "boolean"
            },
            EnableNetworkIsolation: {
              type: "boolean"
            },
            VpcConfig: {
              shape: "S5q"
            }
          }
        },
        Sm7: {
          type: "list",
          member: {}
        },
        Sma: {
          type: "list",
          member: {}
        },
        Smd: {
          type: "structure",
          required: [
            "MinimumInstanceMetadataServiceVersion"
          ],
          members: {
            MinimumInstanceMetadataServiceVersion: {}
          }
        },
        Smi: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Content: {}
            }
          }
        },
        Smq: {
          type: "structure",
          required: [
            "Bucket",
            "ObjectKey"
          ],
          members: {
            Bucket: {},
            ObjectKey: {},
            VersionId: {}
          }
        },
        Smw: {
          type: "structure",
          required: [
            "MaxParallelExecutionSteps"
          ],
          members: {
            MaxParallelExecutionSteps: {
              type: "integer"
            }
          }
        },
        Sn9: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "InputName"
            ],
            members: {
              InputName: {},
              AppManaged: {
                type: "boolean"
              },
              S3Input: {
                type: "structure",
                required: [
                  "S3Uri",
                  "S3DataType"
                ],
                members: {
                  S3Uri: {},
                  LocalPath: {},
                  S3DataType: {},
                  S3InputMode: {},
                  S3DataDistributionType: {},
                  S3CompressionType: {}
                }
              },
              DatasetDefinition: {
                type: "structure",
                members: {
                  AthenaDatasetDefinition: {
                    type: "structure",
                    required: [
                      "Catalog",
                      "Database",
                      "QueryString",
                      "OutputS3Uri",
                      "OutputFormat"
                    ],
                    members: {
                      Catalog: {},
                      Database: {},
                      QueryString: {},
                      WorkGroup: {},
                      OutputS3Uri: {},
                      KmsKeyId: {},
                      OutputFormat: {},
                      OutputCompression: {}
                    }
                  },
                  RedshiftDatasetDefinition: {
                    type: "structure",
                    required: [
                      "ClusterId",
                      "Database",
                      "DbUser",
                      "QueryString",
                      "ClusterRoleArn",
                      "OutputS3Uri",
                      "OutputFormat"
                    ],
                    members: {
                      ClusterId: {},
                      Database: {},
                      DbUser: {},
                      QueryString: {},
                      ClusterRoleArn: {},
                      OutputS3Uri: {},
                      KmsKeyId: {},
                      OutputFormat: {},
                      OutputCompression: {}
                    }
                  },
                  LocalPath: {},
                  DataDistributionType: {},
                  InputMode: {}
                }
              }
            }
          }
        },
        Snw: {
          type: "structure",
          required: [
            "Outputs"
          ],
          members: {
            Outputs: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "OutputName"
                ],
                members: {
                  OutputName: {},
                  S3Output: {
                    type: "structure",
                    required: [
                      "S3Uri",
                      "LocalPath",
                      "S3UploadMode"
                    ],
                    members: {
                      S3Uri: {},
                      LocalPath: {},
                      S3UploadMode: {}
                    }
                  },
                  FeatureStoreOutput: {
                    type: "structure",
                    required: [
                      "FeatureGroupName"
                    ],
                    members: {
                      FeatureGroupName: {}
                    }
                  },
                  AppManaged: {
                    type: "boolean"
                  }
                }
              }
            },
            KmsKeyId: {}
          }
        },
        So1: {
          type: "structure",
          required: [
            "ClusterConfig"
          ],
          members: {
            ClusterConfig: {
              type: "structure",
              required: [
                "InstanceCount",
                "InstanceType",
                "VolumeSizeInGB"
              ],
              members: {
                InstanceCount: {
                  type: "integer"
                },
                InstanceType: {},
                VolumeSizeInGB: {
                  type: "integer"
                },
                VolumeKmsKeyId: {}
              }
            }
          }
        },
        So3: {
          type: "structure",
          required: [
            "MaxRuntimeInSeconds"
          ],
          members: {
            MaxRuntimeInSeconds: {
              type: "integer"
            }
          }
        },
        So5: {
          type: "structure",
          required: [
            "ImageUri"
          ],
          members: {
            ImageUri: {},
            ContainerEntrypoint: {
              shape: "S83"
            },
            ContainerArguments: {
              type: "list",
              member: {}
            }
          }
        },
        So7: {
          type: "map",
          key: {},
          value: {}
        },
        So8: {
          type: "structure",
          members: {
            ExperimentName: {},
            TrialName: {},
            TrialComponentDisplayName: {},
            RunName: {}
          }
        },
        Sod: {
          type: "structure",
          required: [
            "ProductId"
          ],
          members: {
            ProductId: {},
            ProvisioningArtifactId: {},
            PathId: {},
            ProvisioningParameters: {
              shape: "Sof"
            }
          }
        },
        Sof: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Son: {
          type: "structure",
          members: {
            JupyterServerAppSettings: {
              shape: "S9f"
            },
            KernelGatewayAppSettings: {
              shape: "S9k"
            }
          }
        },
        Sox: {
          type: "structure",
          required: [
            "TrainingInputMode"
          ],
          members: {
            TrainingImage: {},
            AlgorithmName: {},
            TrainingInputMode: {},
            MetricDefinitions: {
              shape: "S2a"
            },
            EnableSageMakerMetricsTimeSeries: {
              type: "boolean"
            },
            ContainerEntrypoint: {
              type: "list",
              member: {}
            },
            ContainerArguments: {
              type: "list",
              member: {}
            },
            TrainingImageConfig: {
              type: "structure",
              required: [
                "TrainingRepositoryAccessMode"
              ],
              members: {
                TrainingRepositoryAccessMode: {},
                TrainingRepositoryAuthConfig: {
                  type: "structure",
                  required: [
                    "TrainingRepositoryCredentialsProviderArn"
                  ],
                  members: {
                    TrainingRepositoryCredentialsProviderArn: {}
                  }
                }
              }
            }
          }
        },
        Sp6: {
          type: "structure",
          required: [
            "S3OutputPath"
          ],
          members: {
            LocalPath: {},
            S3OutputPath: {},
            HookParameters: {
              type: "map",
              key: {},
              value: {}
            },
            CollectionConfigurations: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  CollectionName: {},
                  CollectionParameters: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                }
              }
            }
          }
        },
        Spe: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "RuleConfigurationName",
              "RuleEvaluatorImage"
            ],
            members: {
              RuleConfigurationName: {},
              LocalPath: {},
              S3OutputPath: {},
              RuleEvaluatorImage: {},
              InstanceType: {},
              VolumeSizeInGB: {
                type: "integer"
              },
              RuleParameters: {
                shape: "Sph"
              }
            }
          }
        },
        Sph: {
          type: "map",
          key: {},
          value: {}
        },
        Spi: {
          type: "structure",
          required: [
            "S3OutputPath"
          ],
          members: {
            LocalPath: {},
            S3OutputPath: {}
          }
        },
        Spj: {
          type: "structure",
          members: {
            S3OutputPath: {},
            ProfilingIntervalInMilliseconds: {
              type: "long"
            },
            ProfilingParameters: {
              shape: "Spl"
            },
            DisableProfiler: {
              type: "boolean"
            }
          }
        },
        Spl: {
          type: "map",
          key: {},
          value: {}
        },
        Spn: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "RuleConfigurationName",
              "RuleEvaluatorImage"
            ],
            members: {
              RuleConfigurationName: {},
              LocalPath: {},
              S3OutputPath: {},
              RuleEvaluatorImage: {},
              InstanceType: {},
              VolumeSizeInGB: {
                type: "integer"
              },
              RuleParameters: {
                shape: "Sph"
              }
            }
          }
        },
        Spp: {
          type: "map",
          key: {},
          value: {}
        },
        Spw: {
          type: "structure",
          members: {
            InvocationsTimeoutInSeconds: {
              type: "integer"
            },
            InvocationsMaxRetries: {
              type: "integer"
            }
          }
        },
        Spz: {
          type: "structure",
          required: [
            "DestinationS3Uri"
          ],
          members: {
            DestinationS3Uri: {},
            KmsKeyId: {},
            GenerateInferenceId: {
              type: "boolean"
            }
          }
        },
        Sq0: {
          type: "structure",
          members: {
            InputFilter: {},
            OutputFilter: {},
            JoinSource: {}
          }
        },
        Sq8: {
          type: "structure",
          members: {
            PrimaryStatus: {},
            Message: {}
          }
        },
        Sqb: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              StringValue: {},
              NumberValue: {
                type: "double"
              }
            }
          }
        },
        Sqf: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "Value"
            ],
            members: {
              MediaType: {},
              Value: {}
            }
          }
        },
        Sqq: {
          type: "structure",
          required: [
            "UserPool",
            "ClientId"
          ],
          members: {
            UserPool: {},
            ClientId: {}
          }
        },
        Sqt: {
          type: "structure",
          required: [
            "ClientId",
            "ClientSecret",
            "Issuer",
            "AuthorizationEndpoint",
            "TokenEndpoint",
            "UserInfoEndpoint",
            "LogoutEndpoint",
            "JwksUri"
          ],
          members: {
            ClientId: {},
            ClientSecret: {
              type: "string",
              sensitive: true
            },
            Issuer: {},
            AuthorizationEndpoint: {},
            TokenEndpoint: {},
            UserInfoEndpoint: {},
            LogoutEndpoint: {},
            JwksUri: {}
          }
        },
        Sqw: {
          type: "structure",
          required: [
            "Cidrs"
          ],
          members: {
            Cidrs: {
              type: "list",
              member: {}
            }
          }
        },
        Sr0: {
          type: "structure",
          members: {
            VpcId: {},
            SecurityGroupIds: {
              shape: "Sr2"
            },
            Subnets: {
              shape: "Sr4"
            }
          }
        },
        Sr2: {
          type: "list",
          member: {}
        },
        Sr4: {
          type: "list",
          member: {}
        },
        Sra: {
          type: "list",
          member: {
            type: "structure",
            members: {
              CognitoMemberDefinition: {
                type: "structure",
                required: [
                  "UserPool",
                  "UserGroup",
                  "ClientId"
                ],
                members: {
                  UserPool: {},
                  UserGroup: {},
                  ClientId: {}
                }
              },
              OidcMemberDefinition: {
                type: "structure",
                required: [
                  "Groups"
                ],
                members: {
                  Groups: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          }
        },
        Sri: {
          type: "structure",
          members: {
            NotificationTopicArn: {}
          }
        },
        Stl: {
          type: "structure",
          members: {
            UserProfileArn: {},
            UserProfileName: {},
            DomainId: {},
            IamIdentity: {
              type: "structure",
              members: {
                Arn: {},
                PrincipalId: {},
                SourceIdentity: {}
              }
            }
          }
        },
        Sts: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Status"
            ],
            members: {
              Name: {},
              Status: {},
              FailureReason: {}
            }
          }
        },
        Su6: {
          type: "list",
          member: {
            type: "structure",
            members: {
              PartialFailureMessage: {}
            }
          }
        },
        Su8: {
          type: "structure",
          required: [
            "CandidateName",
            "ObjectiveStatus",
            "CandidateSteps",
            "CandidateStatus",
            "CreationTime",
            "LastModifiedTime"
          ],
          members: {
            CandidateName: {},
            FinalAutoMLJobObjectiveMetric: {
              type: "structure",
              required: [
                "MetricName",
                "Value"
              ],
              members: {
                Type: {},
                MetricName: {},
                Value: {
                  type: "float"
                },
                StandardMetricName: {}
              }
            },
            ObjectiveStatus: {},
            CandidateSteps: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "CandidateStepType",
                  "CandidateStepArn",
                  "CandidateStepName"
                ],
                members: {
                  CandidateStepType: {},
                  CandidateStepArn: {},
                  CandidateStepName: {}
                }
              }
            },
            CandidateStatus: {},
            InferenceContainers: {
              shape: "Suk"
            },
            CreationTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            LastModifiedTime: {
              type: "timestamp"
            },
            FailureReason: {},
            CandidateProperties: {
              type: "structure",
              members: {
                CandidateArtifactLocations: {
                  type: "structure",
                  required: [
                    "Explainability"
                  ],
                  members: {
                    Explainability: {},
                    ModelInsights: {},
                    BacktestResults: {}
                  }
                },
                CandidateMetrics: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      MetricName: {},
                      Value: {
                        type: "float"
                      },
                      Set: {},
                      StandardMetricName: {}
                    }
                  }
                }
              }
            },
            InferenceContainerDefinitions: {
              type: "map",
              key: {},
              value: {
                shape: "Suk"
              }
            }
          }
        },
        Suk: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Image",
              "ModelDataUrl"
            ],
            members: {
              Image: {},
              ModelDataUrl: {},
              Environment: {
                shape: "Sz"
              }
            }
          }
        },
        Sv0: {
          type: "structure",
          members: {
            CandidateDefinitionNotebookLocation: {},
            DataExplorationNotebookLocation: {}
          }
        },
        Sv4: {
          type: "structure",
          members: {
            EndpointName: {}
          }
        },
        Svi: {
          type: "structure",
          required: [
            "S3ModelArtifacts"
          ],
          members: {
            S3ModelArtifacts: {}
          }
        },
        Swl: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "VariantName"
            ],
            members: {
              VariantName: {},
              DeployedImages: {
                shape: "Swn"
              },
              CurrentWeight: {
                type: "float"
              },
              DesiredWeight: {
                type: "float"
              },
              CurrentInstanceCount: {
                type: "integer"
              },
              DesiredInstanceCount: {
                type: "integer"
              },
              VariantStatus: {
                shape: "Swp"
              },
              CurrentServerlessConfig: {
                shape: "Sbi"
              },
              DesiredServerlessConfig: {
                shape: "Sbi"
              }
            }
          }
        },
        Swn: {
          type: "list",
          member: {
            type: "structure",
            members: {
              SpecifiedImage: {},
              ResolvedImage: {},
              ResolutionTime: {
                type: "timestamp"
              }
            }
          }
        },
        Swp: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Status"
            ],
            members: {
              Status: {},
              StatusMessage: {},
              StartTime: {
                type: "timestamp"
              }
            }
          }
        },
        Swt: {
          type: "structure",
          required: [
            "EnableCapture",
            "CaptureStatus",
            "CurrentSamplingPercentage",
            "DestinationS3Uri",
            "KmsKeyId"
          ],
          members: {
            EnableCapture: {
              type: "boolean"
            },
            CaptureStatus: {},
            CurrentSamplingPercentage: {
              type: "integer"
            },
            DestinationS3Uri: {},
            KmsKeyId: {}
          }
        },
        Swx: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "VariantName"
            ],
            members: {
              VariantName: {},
              DeployedImages: {
                shape: "Swn"
              },
              CurrentWeight: {
                type: "float"
              },
              DesiredWeight: {
                type: "float"
              },
              CurrentInstanceCount: {
                type: "integer"
              },
              DesiredInstanceCount: {
                type: "integer"
              },
              InstanceType: {},
              AcceleratorType: {},
              VariantStatus: {
                shape: "Swp"
              },
              CurrentServerlessConfig: {
                shape: "Sbi"
              },
              DesiredServerlessConfig: {
                shape: "Sbi"
              }
            }
          }
        },
        Sx3: {
          type: "structure",
          required: [
            "SourceArn"
          ],
          members: {
            SourceArn: {},
            SourceType: {}
          }
        },
        Sx9: {
          type: "structure",
          required: [
            "Status"
          ],
          members: {
            Status: {},
            BlockedReason: {}
          }
        },
        Sxc: {
          type: "structure",
          required: [
            "Status"
          ],
          members: {
            Status: {},
            FailureReason: {}
          }
        },
        Sxi: {
          type: "list",
          member: {
            shape: "Sxj"
          }
        },
        Sxj: {
          type: "structure",
          members: {
            Key: {},
            Value: {}
          }
        },
        Sy0: {
          type: "list",
          member: {}
        },
        Syf: {
          type: "structure",
          members: {
            Completed: {
              type: "integer"
            },
            InProgress: {
              type: "integer"
            },
            RetryableError: {
              type: "integer"
            },
            NonRetryableError: {
              type: "integer"
            },
            Stopped: {
              type: "integer"
            }
          }
        },
        Syh: {
          type: "structure",
          members: {
            Succeeded: {
              type: "integer"
            },
            Pending: {
              type: "integer"
            },
            Failed: {
              type: "integer"
            }
          }
        },
        Syj: {
          type: "structure",
          required: [
            "TrainingJobName",
            "TrainingJobArn",
            "CreationTime",
            "TrainingJobStatus",
            "TunedHyperParameters"
          ],
          members: {
            TrainingJobDefinitionName: {},
            TrainingJobName: {},
            TrainingJobArn: {},
            TuningJobName: {},
            CreationTime: {
              type: "timestamp"
            },
            TrainingStartTime: {
              type: "timestamp"
            },
            TrainingEndTime: {
              type: "timestamp"
            },
            TrainingJobStatus: {},
            TunedHyperParameters: {
              shape: "S2t"
            },
            FailureReason: {},
            FinalHyperParameterTuningJobObjectiveMetric: {
              type: "structure",
              required: [
                "MetricName",
                "Value"
              ],
              members: {
                Type: {},
                MetricName: {},
                Value: {
                  type: "float"
                }
              }
            },
            ObjectiveStatus: {}
          }
        },
        Sym: {
          type: "structure",
          members: {
            NumberOfTrainingJobsObjectiveNotImproving: {
              type: "integer"
            },
            ConvergenceDetectedTime: {
              type: "timestamp"
            }
          }
        },
        Syn: {
          type: "structure",
          members: {
            RuntimeInSeconds: {
              type: "integer"
            }
          }
        },
        Sz8: {
          type: "structure",
          required: [
            "CostPerHour",
            "CostPerInference",
            "MaxInvocations",
            "ModelLatency"
          ],
          members: {
            CostPerHour: {
              type: "float"
            },
            CostPerInference: {
              type: "float"
            },
            MaxInvocations: {
              type: "integer"
            },
            ModelLatency: {
              type: "integer"
            },
            CpuUtilization: {
              type: "float"
            },
            MemoryUtilization: {
              type: "float"
            },
            ModelSetupTime: {
              type: "integer"
            }
          }
        },
        Szb: {
          type: "structure",
          required: [
            "EndpointName",
            "VariantName"
          ],
          members: {
            EndpointName: {},
            VariantName: {},
            InstanceType: {},
            InitialInstanceCount: {
              type: "integer"
            },
            ServerlessConfig: {
              shape: "Sbi"
            }
          }
        },
        Szd: {
          type: "structure",
          members: {
            InferenceSpecificationName: {},
            EnvironmentParameters: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Key",
                  "ValueType",
                  "Value"
                ],
                members: {
                  Key: {},
                  ValueType: {},
                  Value: {}
                }
              }
            },
            CompilationJobName: {}
          }
        },
        Szl: {
          type: "structure",
          required: [
            "MaxInvocations",
            "ModelLatency"
          ],
          members: {
            MaxInvocations: {
              type: "integer"
            },
            ModelLatency: {
              type: "integer"
            }
          }
        },
        Szp: {
          type: "structure",
          members: {
            TotalLabeled: {
              type: "integer"
            },
            HumanLabeled: {
              type: "integer"
            },
            MachineLabeled: {
              type: "integer"
            },
            FailedNonRetryableError: {
              type: "integer"
            },
            Unlabeled: {
              type: "integer"
            }
          }
        },
        Szs: {
          type: "structure",
          required: [
            "OutputDatasetS3Uri"
          ],
          members: {
            OutputDatasetS3Uri: {},
            FinalActiveLearningModelArn: {}
          }
        },
        Szx: {
          type: "structure",
          required: [
            "RecommendationStatus"
          ],
          members: {
            RecommendationStatus: {},
            RealTimeInferenceRecommendations: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "RecommendationId",
                  "InstanceType"
                ],
                members: {
                  RecommendationId: {},
                  InstanceType: {},
                  Environment: {
                    shape: "Sz"
                  }
                }
              }
            }
          }
        },
        S10e: {
          type: "structure",
          required: [
            "ValidationStatuses"
          ],
          members: {
            ValidationStatuses: {
              shape: "S10f"
            },
            ImageScanStatuses: {
              shape: "S10f"
            }
          }
        },
        S10f: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Status"
            ],
            members: {
              Name: {},
              Status: {},
              FailureReason: {}
            }
          }
        },
        S10r: {
          type: "structure",
          required: [
            "MonitoringScheduleName",
            "ScheduledTime",
            "CreationTime",
            "LastModifiedTime",
            "MonitoringExecutionStatus"
          ],
          members: {
            MonitoringScheduleName: {},
            ScheduledTime: {
              type: "timestamp"
            },
            CreationTime: {
              type: "timestamp"
            },
            LastModifiedTime: {
              type: "timestamp"
            },
            MonitoringExecutionStatus: {},
            ProcessingJobArn: {},
            EndpointName: {},
            FailureReason: {},
            MonitoringJobDefinitionName: {},
            MonitoringType: {}
          }
        },
        S11b: {
          type: "structure",
          members: {
            ExperimentName: {},
            TrialName: {}
          }
        },
        S11d: {
          type: "structure",
          required: [
            "SourcePipelineExecutionArn",
            "SelectedSteps"
          ],
          members: {
            SourcePipelineExecutionArn: {},
            SelectedSteps: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "StepName"
                ],
                members: {
                  StepName: {}
                }
              }
            }
          }
        },
        S11m: {
          type: "structure",
          members: {
            ProvisionedProductId: {},
            ProvisionedProductStatusMessage: {}
          }
        },
        S11x: {
          type: "structure",
          required: [
            "WorkteamArn"
          ],
          members: {
            WorkteamArn: {},
            MarketplaceTitle: {},
            SellerName: {},
            MarketplaceDescription: {},
            ListingId: {}
          }
        },
        S121: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Status",
              "StartTime"
            ],
            members: {
              Status: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              StatusMessage: {}
            }
          }
        },
        S124: {
          type: "list",
          member: {
            type: "structure",
            members: {
              MetricName: {},
              Value: {
                type: "float"
              },
              Timestamp: {
                type: "timestamp"
              }
            }
          }
        },
        S128: {
          type: "list",
          member: {
            type: "structure",
            members: {
              RuleConfigurationName: {},
              RuleEvaluationJobArn: {},
              RuleEvaluationStatus: {},
              StatusDetails: {},
              LastModifiedTime: {
                type: "timestamp"
              }
            }
          }
        },
        S12f: {
          type: "structure",
          required: [
            "Status"
          ],
          members: {
            Status: {},
            ResourceRetainedBillableTimeInSeconds: {
              type: "integer"
            },
            ReusedByJob: {}
          }
        },
        S12n: {
          type: "structure",
          required: [
            "SourceArn"
          ],
          members: {
            SourceArn: {},
            SourceType: {}
          }
        },
        S12r: {
          type: "structure",
          required: [
            "SourceArn"
          ],
          members: {
            SourceArn: {},
            SourceType: {}
          }
        },
        S12t: {
          type: "list",
          member: {
            type: "structure",
            members: {
              MetricName: {},
              SourceArn: {},
              TimeStamp: {
                type: "timestamp"
              },
              Max: {
                type: "double"
              },
              Min: {
                type: "double"
              },
              Last: {
                type: "double"
              },
              Count: {
                type: "integer"
              },
              Avg: {
                type: "double"
              },
              StdDev: {
                type: "double"
              }
            }
          }
        },
        S133: {
          type: "structure",
          required: [
            "WorkforceName",
            "WorkforceArn"
          ],
          members: {
            WorkforceName: {},
            WorkforceArn: {},
            LastUpdatedDate: {
              type: "timestamp"
            },
            SourceIpConfig: {
              shape: "Sqw"
            },
            SubDomain: {},
            CognitoConfig: {
              shape: "Sqq"
            },
            OidcConfig: {
              type: "structure",
              members: {
                ClientId: {},
                Issuer: {},
                AuthorizationEndpoint: {},
                TokenEndpoint: {},
                UserInfoEndpoint: {},
                LogoutEndpoint: {},
                JwksUri: {}
              }
            },
            CreateDate: {
              type: "timestamp"
            },
            WorkforceVpcConfig: {
              type: "structure",
              required: [
                "VpcId",
                "SecurityGroupIds",
                "Subnets"
              ],
              members: {
                VpcId: {},
                SecurityGroupIds: {
                  shape: "Sr2"
                },
                Subnets: {
                  shape: "Sr4"
                },
                VpcEndpointId: {}
              }
            },
            Status: {},
            FailureReason: {}
          }
        },
        S13b: {
          type: "structure",
          required: [
            "WorkteamName",
            "MemberDefinitions",
            "WorkteamArn",
            "Description"
          ],
          members: {
            WorkteamName: {},
            MemberDefinitions: {
              shape: "Sra"
            },
            WorkteamArn: {},
            WorkforceArn: {},
            ProductListingIds: {
              type: "list",
              member: {}
            },
            Description: {},
            SubDomain: {},
            CreateDate: {
              type: "timestamp"
            },
            LastUpdatedDate: {
              type: "timestamp"
            },
            NotificationConfiguration: {
              shape: "Sri"
            }
          }
        },
        S168: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "MonitoringJobDefinitionName",
              "MonitoringJobDefinitionArn",
              "CreationTime",
              "EndpointName"
            ],
            members: {
              MonitoringJobDefinitionName: {},
              MonitoringJobDefinitionArn: {},
              CreationTime: {
                type: "timestamp"
              },
              EndpointName: {}
            }
          }
        },
        S17y: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "HubContentName",
              "HubContentArn",
              "HubContentVersion",
              "HubContentType",
              "DocumentSchemaVersion",
              "HubContentStatus",
              "CreationTime"
            ],
            members: {
              HubContentName: {},
              HubContentArn: {},
              HubContentVersion: {},
              HubContentType: {},
              DocumentSchemaVersion: {},
              HubContentDisplayName: {},
              HubContentDescription: {},
              HubContentSearchKeywords: {
                shape: "Sy0"
              },
              HubContentStatus: {},
              CreationTime: {
                type: "timestamp"
              }
            }
          }
        },
        S1bd: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "MonitoringAlertName",
              "CreationTime",
              "LastModifiedTime",
              "AlertStatus",
              "DatapointsToAlert",
              "EvaluationPeriod",
              "Actions"
            ],
            members: {
              MonitoringAlertName: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              AlertStatus: {},
              DatapointsToAlert: {
                type: "integer"
              },
              EvaluationPeriod: {
                type: "integer"
              },
              Actions: {
                type: "structure",
                members: {
                  ModelDashboardIndicator: {
                    type: "structure",
                    members: {
                      Enabled: {
                        type: "boolean"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S1cs: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Value"
            ],
            members: {
              Name: {},
              Value: {}
            }
          }
        },
        S1d9: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Value"
            ],
            members: {
              Name: {},
              Value: {}
            }
          }
        },
        S1fv: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DeviceName"
            ],
            members: {
              DeviceName: {},
              Description: {},
              IotThingName: {}
            }
          }
        },
        S1g6: {
          type: "structure",
          members: {
            Filters: {
              shape: "S1g7"
            },
            NestedFilters: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "NestedPropertyName",
                  "Filters"
                ],
                members: {
                  NestedPropertyName: {},
                  Filters: {
                    shape: "S1g7"
                  }
                }
              }
            },
            SubExpressions: {
              type: "list",
              member: {
                shape: "S1g6"
              }
            },
            Operator: {}
          }
        },
        S1g7: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Operator: {},
              Value: {}
            }
          }
        },
        S1gj: {
          type: "structure",
          members: {
            TrainingJobName: {},
            TrainingJobArn: {},
            TuningJobArn: {},
            LabelingJobArn: {},
            AutoMLJobArn: {},
            ModelArtifacts: {
              shape: "Svi"
            },
            TrainingJobStatus: {},
            SecondaryStatus: {},
            FailureReason: {},
            HyperParameters: {
              shape: "S2t"
            },
            AlgorithmSpecification: {
              shape: "Sox"
            },
            RoleArn: {},
            InputDataConfig: {
              shape: "S2v"
            },
            OutputDataConfig: {
              shape: "S3e"
            },
            ResourceConfig: {
              shape: "S3h"
            },
            VpcConfig: {
              shape: "S5q"
            },
            StoppingCondition: {
              shape: "S3n"
            },
            CreationTime: {
              type: "timestamp"
            },
            TrainingStartTime: {
              type: "timestamp"
            },
            TrainingEndTime: {
              type: "timestamp"
            },
            LastModifiedTime: {
              type: "timestamp"
            },
            SecondaryStatusTransitions: {
              shape: "S121"
            },
            FinalMetricDataList: {
              shape: "S124"
            },
            EnableNetworkIsolation: {
              type: "boolean"
            },
            EnableInterContainerTrafficEncryption: {
              type: "boolean"
            },
            EnableManagedSpotTraining: {
              type: "boolean"
            },
            CheckpointConfig: {
              shape: "Sfu"
            },
            TrainingTimeInSeconds: {
              type: "integer"
            },
            BillableTimeInSeconds: {
              type: "integer"
            },
            DebugHookConfig: {
              shape: "Sp6"
            },
            ExperimentConfig: {
              shape: "So8"
            },
            DebugRuleConfigurations: {
              shape: "Spe"
            },
            TensorBoardOutputConfig: {
              shape: "Spi"
            },
            DebugRuleEvaluationStatuses: {
              shape: "S128"
            },
            Environment: {
              shape: "Spp"
            },
            RetryStrategy: {
              shape: "Sfv"
            },
            Tags: {
              shape: "S7"
            }
          }
        },
        S1gr: {
          type: "structure",
          members: {
            TransformJobName: {},
            TransformJobArn: {},
            TransformJobStatus: {},
            FailureReason: {},
            ModelName: {},
            MaxConcurrentTransforms: {
              type: "integer"
            },
            ModelClientConfig: {
              shape: "Spw"
            },
            MaxPayloadInMB: {
              type: "integer"
            },
            BatchStrategy: {},
            Environment: {
              shape: "S3u"
            },
            TransformInput: {
              shape: "S3x"
            },
            TransformOutput: {
              shape: "S41"
            },
            TransformResources: {
              shape: "S44"
            },
            CreationTime: {
              type: "timestamp"
            },
            TransformStartTime: {
              type: "timestamp"
            },
            TransformEndTime: {
              type: "timestamp"
            },
            LabelingJobArn: {},
            AutoMLJobArn: {},
            DataProcessing: {
              shape: "Sq0"
            },
            ExperimentConfig: {
              shape: "So8"
            },
            Tags: {
              shape: "S7"
            }
          }
        },
        S1i8: {
          type: "list",
          member: {}
        },
        S1kf: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/sagemaker-2017-07-24.paginators.json
var require_sagemaker_2017_07_24_paginators = __commonJS({
  "node_modules/aws-sdk/apis/sagemaker-2017-07-24.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListActions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ActionSummaries"
        },
        ListAlgorithms: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "AlgorithmSummaryList"
        },
        ListAliases: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "SageMakerImageVersionAliases"
        },
        ListAppImageConfigs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "AppImageConfigs"
        },
        ListApps: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Apps"
        },
        ListArtifacts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ArtifactSummaries"
        },
        ListAssociations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "AssociationSummaries"
        },
        ListAutoMLJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "AutoMLJobSummaries"
        },
        ListCandidatesForAutoMLJob: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Candidates"
        },
        ListCodeRepositories: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "CodeRepositorySummaryList"
        },
        ListCompilationJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "CompilationJobSummaries"
        },
        ListContexts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ContextSummaries"
        },
        ListDataQualityJobDefinitions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "JobDefinitionSummaries"
        },
        ListDeviceFleets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DeviceFleetSummaries"
        },
        ListDevices: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DeviceSummaries"
        },
        ListDomains: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Domains"
        },
        ListEdgeDeploymentPlans: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "EdgeDeploymentPlanSummaries"
        },
        ListEdgePackagingJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "EdgePackagingJobSummaries"
        },
        ListEndpointConfigs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "EndpointConfigs"
        },
        ListEndpoints: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Endpoints"
        },
        ListExperiments: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ExperimentSummaries"
        },
        ListFeatureGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "FeatureGroupSummaries"
        },
        ListFlowDefinitions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "FlowDefinitionSummaries"
        },
        ListHumanTaskUis: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "HumanTaskUiSummaries"
        },
        ListHyperParameterTuningJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "HyperParameterTuningJobSummaries"
        },
        ListImageVersions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ImageVersions"
        },
        ListImages: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Images"
        },
        ListInferenceExperiments: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "InferenceExperiments"
        },
        ListInferenceRecommendationsJobSteps: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Steps"
        },
        ListInferenceRecommendationsJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "InferenceRecommendationsJobs"
        },
        ListLabelingJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "LabelingJobSummaryList"
        },
        ListLabelingJobsForWorkteam: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "LabelingJobSummaryList"
        },
        ListLineageGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "LineageGroupSummaries"
        },
        ListModelBiasJobDefinitions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "JobDefinitionSummaries"
        },
        ListModelCardExportJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ModelCardExportJobSummaries"
        },
        ListModelCardVersions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ModelCardVersionSummaryList"
        },
        ListModelCards: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ModelCardSummaries"
        },
        ListModelExplainabilityJobDefinitions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "JobDefinitionSummaries"
        },
        ListModelMetadata: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ModelMetadataSummaries"
        },
        ListModelPackageGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ModelPackageGroupSummaryList"
        },
        ListModelPackages: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ModelPackageSummaryList"
        },
        ListModelQualityJobDefinitions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "JobDefinitionSummaries"
        },
        ListModels: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Models"
        },
        ListMonitoringAlertHistory: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "MonitoringAlertHistory"
        },
        ListMonitoringAlerts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "MonitoringAlertSummaries"
        },
        ListMonitoringExecutions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "MonitoringExecutionSummaries"
        },
        ListMonitoringSchedules: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "MonitoringScheduleSummaries"
        },
        ListNotebookInstanceLifecycleConfigs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "NotebookInstanceLifecycleConfigs"
        },
        ListNotebookInstances: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "NotebookInstances"
        },
        ListPipelineExecutionSteps: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "PipelineExecutionSteps"
        },
        ListPipelineExecutions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "PipelineExecutionSummaries"
        },
        ListPipelineParametersForExecution: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "PipelineParameters"
        },
        ListPipelines: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "PipelineSummaries"
        },
        ListProcessingJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ProcessingJobSummaries"
        },
        ListProjects: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListSpaces: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Spaces"
        },
        ListStageDevices: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DeviceDeploymentSummaries"
        },
        ListStudioLifecycleConfigs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "StudioLifecycleConfigs"
        },
        ListSubscribedWorkteams: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "SubscribedWorkteams"
        },
        ListTags: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Tags"
        },
        ListTrainingJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "TrainingJobSummaries"
        },
        ListTrainingJobsForHyperParameterTuningJob: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "TrainingJobSummaries"
        },
        ListTransformJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "TransformJobSummaries"
        },
        ListTrialComponents: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "TrialComponentSummaries"
        },
        ListTrials: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "TrialSummaries"
        },
        ListUserProfiles: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "UserProfiles"
        },
        ListWorkforces: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Workforces"
        },
        ListWorkteams: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Workteams"
        },
        QueryLineage: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        Search: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Results"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/sagemaker-2017-07-24.waiters2.json
var require_sagemaker_2017_07_24_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/sagemaker-2017-07-24.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        NotebookInstanceInService: {
          delay: 30,
          maxAttempts: 60,
          operation: "DescribeNotebookInstance",
          acceptors: [
            {
              expected: "InService",
              matcher: "path",
              state: "success",
              argument: "NotebookInstanceStatus"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "NotebookInstanceStatus"
            }
          ]
        },
        NotebookInstanceStopped: {
          delay: 30,
          operation: "DescribeNotebookInstance",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "Stopped",
              matcher: "path",
              state: "success",
              argument: "NotebookInstanceStatus"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "NotebookInstanceStatus"
            }
          ]
        },
        NotebookInstanceDeleted: {
          delay: 30,
          maxAttempts: 60,
          operation: "DescribeNotebookInstance",
          acceptors: [
            {
              expected: "ValidationException",
              matcher: "error",
              state: "success"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "NotebookInstanceStatus"
            }
          ]
        },
        TrainingJobCompletedOrStopped: {
          delay: 120,
          maxAttempts: 180,
          operation: "DescribeTrainingJob",
          acceptors: [
            {
              expected: "Completed",
              matcher: "path",
              state: "success",
              argument: "TrainingJobStatus"
            },
            {
              expected: "Stopped",
              matcher: "path",
              state: "success",
              argument: "TrainingJobStatus"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "TrainingJobStatus"
            },
            {
              expected: "ValidationException",
              matcher: "error",
              state: "failure"
            }
          ]
        },
        EndpointInService: {
          delay: 30,
          maxAttempts: 120,
          operation: "DescribeEndpoint",
          acceptors: [
            {
              expected: "InService",
              matcher: "path",
              state: "success",
              argument: "EndpointStatus"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "EndpointStatus"
            },
            {
              expected: "ValidationException",
              matcher: "error",
              state: "failure"
            }
          ]
        },
        EndpointDeleted: {
          delay: 30,
          maxAttempts: 60,
          operation: "DescribeEndpoint",
          acceptors: [
            {
              expected: "ValidationException",
              matcher: "error",
              state: "success"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "EndpointStatus"
            }
          ]
        },
        TransformJobCompletedOrStopped: {
          delay: 60,
          maxAttempts: 60,
          operation: "DescribeTransformJob",
          acceptors: [
            {
              expected: "Completed",
              matcher: "path",
              state: "success",
              argument: "TransformJobStatus"
            },
            {
              expected: "Stopped",
              matcher: "path",
              state: "success",
              argument: "TransformJobStatus"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "TransformJobStatus"
            },
            {
              expected: "ValidationException",
              matcher: "error",
              state: "failure"
            }
          ]
        },
        ProcessingJobCompletedOrStopped: {
          delay: 60,
          maxAttempts: 60,
          operation: "DescribeProcessingJob",
          acceptors: [
            {
              expected: "Completed",
              matcher: "path",
              state: "success",
              argument: "ProcessingJobStatus"
            },
            {
              expected: "Stopped",
              matcher: "path",
              state: "success",
              argument: "ProcessingJobStatus"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "ProcessingJobStatus"
            },
            {
              expected: "ValidationException",
              matcher: "error",
              state: "failure"
            }
          ]
        },
        ImageCreated: {
          delay: 60,
          maxAttempts: 60,
          operation: "DescribeImage",
          acceptors: [
            {
              expected: "CREATED",
              matcher: "path",
              state: "success",
              argument: "ImageStatus"
            },
            {
              expected: "CREATE_FAILED",
              matcher: "path",
              state: "failure",
              argument: "ImageStatus"
            },
            {
              expected: "ValidationException",
              matcher: "error",
              state: "failure"
            }
          ]
        },
        ImageUpdated: {
          delay: 60,
          maxAttempts: 60,
          operation: "DescribeImage",
          acceptors: [
            {
              expected: "CREATED",
              matcher: "path",
              state: "success",
              argument: "ImageStatus"
            },
            {
              expected: "UPDATE_FAILED",
              matcher: "path",
              state: "failure",
              argument: "ImageStatus"
            },
            {
              expected: "ValidationException",
              matcher: "error",
              state: "failure"
            }
          ]
        },
        ImageDeleted: {
          delay: 60,
          maxAttempts: 60,
          operation: "DescribeImage",
          acceptors: [
            {
              expected: "ResourceNotFoundException",
              matcher: "error",
              state: "success"
            },
            {
              expected: "DELETE_FAILED",
              matcher: "path",
              state: "failure",
              argument: "ImageStatus"
            },
            {
              expected: "ValidationException",
              matcher: "error",
              state: "failure"
            }
          ]
        },
        ImageVersionCreated: {
          delay: 60,
          maxAttempts: 60,
          operation: "DescribeImageVersion",
          acceptors: [
            {
              expected: "CREATED",
              matcher: "path",
              state: "success",
              argument: "ImageVersionStatus"
            },
            {
              expected: "CREATE_FAILED",
              matcher: "path",
              state: "failure",
              argument: "ImageVersionStatus"
            },
            {
              expected: "ValidationException",
              matcher: "error",
              state: "failure"
            }
          ]
        },
        ImageVersionDeleted: {
          delay: 60,
          maxAttempts: 60,
          operation: "DescribeImageVersion",
          acceptors: [
            {
              expected: "ResourceNotFoundException",
              matcher: "error",
              state: "success"
            },
            {
              expected: "DELETE_FAILED",
              matcher: "path",
              state: "failure",
              argument: "ImageVersionStatus"
            },
            {
              expected: "ValidationException",
              matcher: "error",
              state: "failure"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/sagemaker.js
var require_sagemaker = __commonJS({
  "node_modules/aws-sdk/clients/sagemaker.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["sagemaker"] = {};
    AWS2.SageMaker = Service.defineService("sagemaker", ["2017-07-24"]);
    Object.defineProperty(apiLoader.services["sagemaker"], "2017-07-24", {
      get: function get() {
        var model = require_sagemaker_2017_07_24_min();
        model.paginators = require_sagemaker_2017_07_24_paginators().pagination;
        model.waiters = require_sagemaker_2017_07_24_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SageMaker;
  }
});

// node_modules/aws-sdk/apis/translate-2017-07-01.min.json
var require_translate_2017_07_01_min = __commonJS({
  "node_modules/aws-sdk/apis/translate-2017-07-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-07-01",
        endpointPrefix: "translate",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Translate",
        serviceId: "Translate",
        signatureVersion: "v4",
        signingName: "translate",
        targetPrefix: "AWSShineFrontendService_20170701",
        uid: "translate-2017-07-01"
      },
      operations: {
        CreateParallelData: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ParallelDataConfig",
              "ClientToken"
            ],
            members: {
              Name: {},
              Description: {},
              ParallelDataConfig: {
                shape: "S4"
              },
              EncryptionKey: {
                shape: "S7"
              },
              ClientToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Status: {}
            }
          }
        },
        DeleteParallelData: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Status: {}
            }
          }
        },
        DeleteTerminology: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        DescribeTextTranslationJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TextTranslationJobProperties: {
                shape: "Sn"
              }
            }
          }
        },
        GetParallelData: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ParallelDataProperties: {
                shape: "S16"
              },
              DataLocation: {
                shape: "S1a"
              },
              AuxiliaryDataLocation: {
                shape: "S1a"
              },
              LatestUpdateAttemptAuxiliaryDataLocation: {
                shape: "S1a"
              }
            }
          }
        },
        GetTerminology: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              TerminologyDataFormat: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TerminologyProperties: {
                shape: "S1f"
              },
              TerminologyDataLocation: {
                shape: "S1i"
              },
              AuxiliaryDataLocation: {
                shape: "S1i"
              }
            }
          }
        },
        ImportTerminology: {
          input: {
            type: "structure",
            required: [
              "Name",
              "MergeStrategy",
              "TerminologyData"
            ],
            members: {
              Name: {},
              MergeStrategy: {},
              Description: {},
              TerminologyData: {
                type: "structure",
                required: [
                  "File",
                  "Format"
                ],
                members: {
                  File: {
                    type: "blob",
                    sensitive: true
                  },
                  Format: {},
                  Directionality: {}
                }
              },
              EncryptionKey: {
                shape: "S7"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TerminologyProperties: {
                shape: "S1f"
              },
              AuxiliaryDataLocation: {
                shape: "S1i"
              }
            }
          }
        },
        ListLanguages: {
          input: {
            type: "structure",
            members: {
              DisplayLanguageCode: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Languages: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "LanguageName",
                    "LanguageCode"
                  ],
                  members: {
                    LanguageName: {},
                    LanguageCode: {}
                  }
                }
              },
              DisplayLanguageCode: {},
              NextToken: {}
            }
          }
        },
        ListParallelData: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ParallelDataPropertiesList: {
                type: "list",
                member: {
                  shape: "S16"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sb"
              }
            }
          }
        },
        ListTerminologies: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TerminologyPropertiesList: {
                type: "list",
                member: {
                  shape: "S1f"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTextTranslationJobs: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  JobName: {},
                  JobStatus: {},
                  SubmittedBeforeTime: {
                    type: "timestamp"
                  },
                  SubmittedAfterTime: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TextTranslationJobPropertiesList: {
                type: "list",
                member: {
                  shape: "Sn"
                }
              },
              NextToken: {}
            }
          }
        },
        StartTextTranslationJob: {
          input: {
            type: "structure",
            required: [
              "InputDataConfig",
              "OutputDataConfig",
              "DataAccessRoleArn",
              "SourceLanguageCode",
              "TargetLanguageCodes",
              "ClientToken"
            ],
            members: {
              JobName: {},
              InputDataConfig: {
                shape: "Sx"
              },
              OutputDataConfig: {
                shape: "Sz"
              },
              DataAccessRoleArn: {},
              SourceLanguageCode: {},
              TargetLanguageCodes: {
                shape: "St"
              },
              TerminologyNames: {
                shape: "Su"
              },
              ParallelDataNames: {
                shape: "Su"
              },
              ClientToken: {
                idempotencyToken: true
              },
              Settings: {
                shape: "S11"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobStatus: {}
            }
          }
        },
        StopTextTranslationJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              JobStatus: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TranslateDocument: {
          input: {
            type: "structure",
            required: [
              "Document",
              "SourceLanguageCode",
              "TargetLanguageCode"
            ],
            members: {
              Document: {
                type: "structure",
                required: [
                  "Content",
                  "ContentType"
                ],
                members: {
                  Content: {
                    type: "blob",
                    sensitive: true
                  },
                  ContentType: {}
                }
              },
              TerminologyNames: {
                shape: "Su"
              },
              SourceLanguageCode: {},
              TargetLanguageCode: {},
              Settings: {
                shape: "S11"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TranslatedDocument",
              "SourceLanguageCode",
              "TargetLanguageCode"
            ],
            members: {
              TranslatedDocument: {
                type: "structure",
                required: [
                  "Content"
                ],
                members: {
                  Content: {
                    type: "blob",
                    sensitive: true
                  }
                }
              },
              SourceLanguageCode: {},
              TargetLanguageCode: {},
              AppliedTerminologies: {
                shape: "S2l"
              },
              AppliedSettings: {
                shape: "S11"
              }
            }
          }
        },
        TranslateText: {
          input: {
            type: "structure",
            required: [
              "Text",
              "SourceLanguageCode",
              "TargetLanguageCode"
            ],
            members: {
              Text: {},
              TerminologyNames: {
                shape: "Su"
              },
              SourceLanguageCode: {},
              TargetLanguageCode: {},
              Settings: {
                shape: "S11"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TranslatedText",
              "SourceLanguageCode",
              "TargetLanguageCode"
            ],
            members: {
              TranslatedText: {},
              SourceLanguageCode: {},
              TargetLanguageCode: {},
              AppliedTerminologies: {
                shape: "S2l"
              },
              AppliedSettings: {
                shape: "S11"
              }
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateParallelData: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ParallelDataConfig",
              "ClientToken"
            ],
            members: {
              Name: {},
              Description: {},
              ParallelDataConfig: {
                shape: "S4"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Status: {},
              LatestUpdateAttemptStatus: {},
              LatestUpdateAttemptAt: {
                type: "timestamp"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          required: [
            "S3Uri",
            "Format"
          ],
          members: {
            S3Uri: {},
            Format: {}
          }
        },
        S7: {
          type: "structure",
          required: [
            "Type",
            "Id"
          ],
          members: {
            Type: {},
            Id: {}
          }
        },
        Sb: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sn: {
          type: "structure",
          members: {
            JobId: {},
            JobName: {},
            JobStatus: {},
            JobDetails: {
              type: "structure",
              members: {
                TranslatedDocumentsCount: {
                  type: "integer"
                },
                DocumentsWithErrorsCount: {
                  type: "integer"
                },
                InputDocumentsCount: {
                  type: "integer"
                }
              }
            },
            SourceLanguageCode: {},
            TargetLanguageCodes: {
              shape: "St"
            },
            TerminologyNames: {
              shape: "Su"
            },
            ParallelDataNames: {
              shape: "Su"
            },
            Message: {},
            SubmittedTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            InputDataConfig: {
              shape: "Sx"
            },
            OutputDataConfig: {
              shape: "Sz"
            },
            DataAccessRoleArn: {},
            Settings: {
              shape: "S11"
            }
          }
        },
        St: {
          type: "list",
          member: {}
        },
        Su: {
          type: "list",
          member: {}
        },
        Sx: {
          type: "structure",
          required: [
            "S3Uri",
            "ContentType"
          ],
          members: {
            S3Uri: {},
            ContentType: {}
          }
        },
        Sz: {
          type: "structure",
          required: [
            "S3Uri"
          ],
          members: {
            S3Uri: {},
            EncryptionKey: {
              shape: "S7"
            }
          }
        },
        S11: {
          type: "structure",
          members: {
            Formality: {},
            Profanity: {}
          }
        },
        S16: {
          type: "structure",
          members: {
            Name: {},
            Arn: {},
            Description: {},
            Status: {},
            SourceLanguageCode: {},
            TargetLanguageCodes: {
              shape: "S18"
            },
            ParallelDataConfig: {
              shape: "S4"
            },
            Message: {},
            ImportedDataSize: {
              type: "long"
            },
            ImportedRecordCount: {
              type: "long"
            },
            FailedRecordCount: {
              type: "long"
            },
            SkippedRecordCount: {
              type: "long"
            },
            EncryptionKey: {
              shape: "S7"
            },
            CreatedAt: {
              type: "timestamp"
            },
            LastUpdatedAt: {
              type: "timestamp"
            },
            LatestUpdateAttemptStatus: {},
            LatestUpdateAttemptAt: {
              type: "timestamp"
            }
          }
        },
        S18: {
          type: "list",
          member: {}
        },
        S1a: {
          type: "structure",
          required: [
            "RepositoryType",
            "Location"
          ],
          members: {
            RepositoryType: {},
            Location: {}
          }
        },
        S1f: {
          type: "structure",
          members: {
            Name: {},
            Description: {},
            Arn: {},
            SourceLanguageCode: {},
            TargetLanguageCodes: {
              shape: "S18"
            },
            EncryptionKey: {
              shape: "S7"
            },
            SizeBytes: {
              type: "integer"
            },
            TermCount: {
              type: "integer"
            },
            CreatedAt: {
              type: "timestamp"
            },
            LastUpdatedAt: {
              type: "timestamp"
            },
            Directionality: {},
            Message: {},
            SkippedTermCount: {
              type: "integer"
            },
            Format: {}
          }
        },
        S1i: {
          type: "structure",
          required: [
            "RepositoryType",
            "Location"
          ],
          members: {
            RepositoryType: {},
            Location: {}
          }
        },
        S2l: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Terms: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SourceText: {},
                    TargetText: {}
                  }
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/translate-2017-07-01.paginators.json
var require_translate_2017_07_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/translate-2017-07-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListLanguages: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListParallelData: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListTerminologies: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListTextTranslationJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/translate.js
var require_translate = __commonJS({
  "node_modules/aws-sdk/clients/translate.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["translate"] = {};
    AWS2.Translate = Service.defineService("translate", ["2017-07-01"]);
    Object.defineProperty(apiLoader.services["translate"], "2017-07-01", {
      get: function get() {
        var model = require_translate_2017_07_01_min();
        model.paginators = require_translate_2017_07_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Translate;
  }
});

// node_modules/aws-sdk/apis/resource-groups-2017-11-27.min.json
var require_resource_groups_2017_11_27_min = __commonJS({
  "node_modules/aws-sdk/apis/resource-groups-2017-11-27.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-11-27",
        endpointPrefix: "resource-groups",
        protocol: "rest-json",
        serviceAbbreviation: "Resource Groups",
        serviceFullName: "AWS Resource Groups",
        serviceId: "Resource Groups",
        signatureVersion: "v4",
        signingName: "resource-groups",
        uid: "resource-groups-2017-11-27"
      },
      operations: {
        CreateGroup: {
          http: {
            requestUri: "/groups"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              ResourceQuery: {
                shape: "S4"
              },
              Tags: {
                shape: "S7"
              },
              Configuration: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Group: {
                shape: "Sj"
              },
              ResourceQuery: {
                shape: "S4"
              },
              Tags: {
                shape: "S7"
              },
              GroupConfiguration: {
                shape: "Sl"
              }
            }
          }
        },
        DeleteGroup: {
          http: {
            requestUri: "/delete-group"
          },
          input: {
            type: "structure",
            members: {
              GroupName: {
                deprecated: true,
                deprecatedMessage: "This field is deprecated, use Group instead."
              },
              Group: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Group: {
                shape: "Sj"
              }
            }
          }
        },
        GetAccountSettings: {
          http: {
            requestUri: "/get-account-settings"
          },
          output: {
            type: "structure",
            members: {
              AccountSettings: {
                shape: "Ss"
              }
            }
          }
        },
        GetGroup: {
          http: {
            requestUri: "/get-group"
          },
          input: {
            type: "structure",
            members: {
              GroupName: {
                deprecated: true,
                deprecatedMessage: "This field is deprecated, use Group instead."
              },
              Group: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Group: {
                shape: "Sj"
              }
            }
          }
        },
        GetGroupConfiguration: {
          http: {
            requestUri: "/get-group-configuration"
          },
          input: {
            type: "structure",
            members: {
              Group: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GroupConfiguration: {
                shape: "Sl"
              }
            }
          }
        },
        GetGroupQuery: {
          http: {
            requestUri: "/get-group-query"
          },
          input: {
            type: "structure",
            members: {
              GroupName: {
                deprecated: true,
                deprecatedMessage: "This field is deprecated, use Group instead."
              },
              Group: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GroupQuery: {
                shape: "S12"
              }
            }
          }
        },
        GetTags: {
          http: {
            method: "GET",
            requestUri: "/resources/{Arn}/tags"
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {
                location: "uri",
                locationName: "Arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Tags: {
                shape: "S7"
              }
            }
          }
        },
        GroupResources: {
          http: {
            requestUri: "/group-resources"
          },
          input: {
            type: "structure",
            required: [
              "Group",
              "ResourceArns"
            ],
            members: {
              Group: {},
              ResourceArns: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Succeeded: {
                shape: "S16"
              },
              Failed: {
                shape: "S19"
              },
              Pending: {
                shape: "S1d"
              }
            }
          }
        },
        ListGroupResources: {
          http: {
            requestUri: "/list-group-resources"
          },
          input: {
            type: "structure",
            members: {
              GroupName: {
                deprecated: true,
                deprecatedMessage: "This field is deprecated, use Group instead."
              },
              Group: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Values"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Resources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Identifier: {
                      shape: "S1q"
                    },
                    Status: {
                      type: "structure",
                      members: {
                        Name: {}
                      }
                    }
                  }
                }
              },
              ResourceIdentifiers: {
                shape: "S1u",
                deprecated: true,
                deprecatedMessage: "This field is deprecated, use Resources instead."
              },
              NextToken: {},
              QueryErrors: {
                shape: "S1v"
              }
            }
          }
        },
        ListGroups: {
          http: {
            requestUri: "/groups-list"
          },
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Values"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GroupIdentifiers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    GroupName: {},
                    GroupArn: {}
                  }
                }
              },
              Groups: {
                deprecated: true,
                deprecatedMessage: "This field is deprecated, use GroupIdentifiers instead.",
                type: "list",
                member: {
                  shape: "Sj"
                }
              },
              NextToken: {}
            }
          }
        },
        PutGroupConfiguration: {
          http: {
            requestUri: "/put-group-configuration",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              Group: {},
              Configuration: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SearchResources: {
          http: {
            requestUri: "/resources/search"
          },
          input: {
            type: "structure",
            required: [
              "ResourceQuery"
            ],
            members: {
              ResourceQuery: {
                shape: "S4"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceIdentifiers: {
                shape: "S1u"
              },
              NextToken: {},
              QueryErrors: {
                shape: "S1v"
              }
            }
          }
        },
        Tag: {
          http: {
            method: "PUT",
            requestUri: "/resources/{Arn}/tags"
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "Tags"
            ],
            members: {
              Arn: {
                location: "uri",
                locationName: "Arn"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Tags: {
                shape: "S7"
              }
            }
          }
        },
        UngroupResources: {
          http: {
            requestUri: "/ungroup-resources"
          },
          input: {
            type: "structure",
            required: [
              "Group",
              "ResourceArns"
            ],
            members: {
              Group: {},
              ResourceArns: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Succeeded: {
                shape: "S16"
              },
              Failed: {
                shape: "S19"
              },
              Pending: {
                shape: "S1d"
              }
            }
          }
        },
        Untag: {
          http: {
            method: "PATCH",
            requestUri: "/resources/{Arn}/tags"
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "Keys"
            ],
            members: {
              Arn: {
                location: "uri",
                locationName: "Arn"
              },
              Keys: {
                shape: "S2i"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Keys: {
                shape: "S2i"
              }
            }
          }
        },
        UpdateAccountSettings: {
          http: {
            requestUri: "/update-account-settings"
          },
          input: {
            type: "structure",
            members: {
              GroupLifecycleEventsDesiredStatus: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AccountSettings: {
                shape: "Ss"
              }
            }
          }
        },
        UpdateGroup: {
          http: {
            requestUri: "/update-group"
          },
          input: {
            type: "structure",
            members: {
              GroupName: {
                deprecated: true,
                deprecatedMessage: "This field is deprecated, use Group instead."
              },
              Group: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Group: {
                shape: "Sj"
              }
            }
          }
        },
        UpdateGroupQuery: {
          http: {
            requestUri: "/update-group-query"
          },
          input: {
            type: "structure",
            required: [
              "ResourceQuery"
            ],
            members: {
              GroupName: {
                deprecated: true,
                deprecatedMessage: "This field is deprecated, use Group instead."
              },
              Group: {},
              ResourceQuery: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GroupQuery: {
                shape: "S12"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          required: [
            "Type",
            "Query"
          ],
          members: {
            Type: {},
            Query: {}
          }
        },
        S7: {
          type: "map",
          key: {},
          value: {}
        },
        Sa: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Type"
            ],
            members: {
              Type: {},
              Parameters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              }
            }
          }
        },
        Sj: {
          type: "structure",
          required: [
            "GroupArn",
            "Name"
          ],
          members: {
            GroupArn: {},
            Name: {},
            Description: {}
          }
        },
        Sl: {
          type: "structure",
          members: {
            Configuration: {
              shape: "Sa"
            },
            ProposedConfiguration: {
              shape: "Sa"
            },
            Status: {},
            FailureReason: {}
          }
        },
        Ss: {
          type: "structure",
          members: {
            GroupLifecycleEventsDesiredStatus: {},
            GroupLifecycleEventsStatus: {},
            GroupLifecycleEventsStatusMessage: {}
          }
        },
        S12: {
          type: "structure",
          required: [
            "GroupName",
            "ResourceQuery"
          ],
          members: {
            GroupName: {},
            ResourceQuery: {
              shape: "S4"
            }
          }
        },
        S16: {
          type: "list",
          member: {}
        },
        S19: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ResourceArn: {},
              ErrorMessage: {},
              ErrorCode: {}
            }
          }
        },
        S1d: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ResourceArn: {}
            }
          }
        },
        S1q: {
          type: "structure",
          members: {
            ResourceArn: {},
            ResourceType: {}
          }
        },
        S1u: {
          type: "list",
          member: {
            shape: "S1q"
          }
        },
        S1v: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ErrorCode: {},
              Message: {}
            }
          }
        },
        S2i: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/resource-groups-2017-11-27.paginators.json
var require_resource_groups_2017_11_27_paginators = __commonJS({
  "node_modules/aws-sdk/apis/resource-groups-2017-11-27.paginators.json"(exports, module2) {
    module2.exports = { pagination: { ListGroupResources: { input_token: "NextToken", output_token: "NextToken", limit_key: "MaxResults", result_key: ["ResourceIdentifiers", "Resources"] }, ListGroups: { input_token: "NextToken", output_token: "NextToken", limit_key: "MaxResults", result_key: "GroupIdentifiers" }, SearchResources: { input_token: "NextToken", output_token: "NextToken", limit_key: "MaxResults", result_key: "ResourceIdentifiers" } } };
  }
});

// node_modules/aws-sdk/clients/resourcegroups.js
var require_resourcegroups = __commonJS({
  "node_modules/aws-sdk/clients/resourcegroups.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["resourcegroups"] = {};
    AWS2.ResourceGroups = Service.defineService("resourcegroups", ["2017-11-27"]);
    Object.defineProperty(apiLoader.services["resourcegroups"], "2017-11-27", {
      get: function get() {
        var model = require_resource_groups_2017_11_27_min();
        model.paginators = require_resource_groups_2017_11_27_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ResourceGroups;
  }
});

// node_modules/aws-sdk/apis/alexaforbusiness-2017-11-09.min.json
var require_alexaforbusiness_2017_11_09_min = __commonJS({
  "node_modules/aws-sdk/apis/alexaforbusiness-2017-11-09.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-11-09",
        endpointPrefix: "a4b",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Alexa For Business",
        serviceId: "Alexa For Business",
        signatureVersion: "v4",
        targetPrefix: "AlexaForBusiness",
        uid: "alexaforbusiness-2017-11-09"
      },
      operations: {
        ApproveSkill: {
          input: {
            type: "structure",
            required: [
              "SkillId"
            ],
            members: {
              SkillId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        AssociateContactWithAddressBook: {
          input: {
            type: "structure",
            required: [
              "ContactArn",
              "AddressBookArn"
            ],
            members: {
              ContactArn: {},
              AddressBookArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        AssociateDeviceWithNetworkProfile: {
          input: {
            type: "structure",
            required: [
              "DeviceArn",
              "NetworkProfileArn"
            ],
            members: {
              DeviceArn: {},
              NetworkProfileArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        AssociateDeviceWithRoom: {
          input: {
            type: "structure",
            members: {
              DeviceArn: {},
              RoomArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        AssociateSkillGroupWithRoom: {
          input: {
            type: "structure",
            members: {
              SkillGroupArn: {},
              RoomArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        AssociateSkillWithSkillGroup: {
          input: {
            type: "structure",
            required: [
              "SkillId"
            ],
            members: {
              SkillGroupArn: {},
              SkillId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        AssociateSkillWithUsers: {
          input: {
            type: "structure",
            required: [
              "SkillId"
            ],
            members: {
              SkillId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        CreateAddressBook: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AddressBookArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        CreateBusinessReportSchedule: {
          input: {
            type: "structure",
            required: [
              "Format",
              "ContentRange"
            ],
            members: {
              ScheduleName: {},
              S3BucketName: {},
              S3KeyPrefix: {},
              Format: {},
              ContentRange: {
                shape: "Sv"
              },
              Recurrence: {
                shape: "Sx"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ScheduleArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        CreateConferenceProvider: {
          input: {
            type: "structure",
            required: [
              "ConferenceProviderName",
              "ConferenceProviderType",
              "MeetingSetting"
            ],
            members: {
              ConferenceProviderName: {},
              ConferenceProviderType: {},
              IPDialIn: {
                shape: "S13"
              },
              PSTNDialIn: {
                shape: "S16"
              },
              MeetingSetting: {
                shape: "S1b"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConferenceProviderArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        CreateContact: {
          input: {
            type: "structure",
            required: [
              "FirstName"
            ],
            members: {
              DisplayName: {},
              FirstName: {},
              LastName: {},
              PhoneNumber: {
                shape: "S1g"
              },
              PhoneNumbers: {
                shape: "S1h"
              },
              SipAddresses: {
                shape: "S1k"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContactArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        CreateGatewayGroup: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ClientRequestToken"
            ],
            members: {
              Name: {},
              Description: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayGroupArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        CreateNetworkProfile: {
          input: {
            type: "structure",
            required: [
              "NetworkProfileName",
              "Ssid",
              "SecurityType",
              "ClientRequestToken"
            ],
            members: {
              NetworkProfileName: {},
              Description: {},
              Ssid: {},
              SecurityType: {},
              EapMethod: {},
              CurrentPassword: {
                shape: "S1z"
              },
              NextPassword: {
                shape: "S20"
              },
              CertificateAuthorityArn: {},
              TrustAnchors: {
                shape: "S21"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkProfileArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        CreateProfile: {
          input: {
            type: "structure",
            required: [
              "ProfileName",
              "Timezone",
              "Address",
              "DistanceUnit",
              "TemperatureUnit",
              "WakeWord"
            ],
            members: {
              ProfileName: {},
              Timezone: {},
              Address: {},
              DistanceUnit: {},
              TemperatureUnit: {},
              WakeWord: {},
              Locale: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              SetupModeDisabled: {
                type: "boolean"
              },
              MaxVolumeLimit: {
                type: "integer"
              },
              PSTNEnabled: {
                type: "boolean"
              },
              DataRetentionOptIn: {
                type: "boolean"
              },
              MeetingRoomConfiguration: {
                type: "structure",
                members: {
                  RoomUtilizationMetricsEnabled: {
                    type: "boolean"
                  },
                  EndOfMeetingReminder: {
                    type: "structure",
                    required: [
                      "ReminderAtMinutes",
                      "ReminderType",
                      "Enabled"
                    ],
                    members: {
                      ReminderAtMinutes: {
                        shape: "S2g"
                      },
                      ReminderType: {},
                      Enabled: {
                        type: "boolean"
                      }
                    }
                  },
                  InstantBooking: {
                    type: "structure",
                    required: [
                      "DurationInMinutes",
                      "Enabled"
                    ],
                    members: {
                      DurationInMinutes: {
                        type: "integer"
                      },
                      Enabled: {
                        type: "boolean"
                      }
                    }
                  },
                  RequireCheckIn: {
                    type: "structure",
                    required: [
                      "ReleaseAfterMinutes",
                      "Enabled"
                    ],
                    members: {
                      ReleaseAfterMinutes: {
                        type: "integer"
                      },
                      Enabled: {
                        type: "boolean"
                      }
                    }
                  },
                  ProactiveJoin: {
                    type: "structure",
                    required: [
                      "EnabledByMotion"
                    ],
                    members: {
                      EnabledByMotion: {
                        type: "boolean"
                      }
                    }
                  }
                }
              },
              Tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProfileArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        CreateRoom: {
          input: {
            type: "structure",
            required: [
              "RoomName"
            ],
            members: {
              RoomName: {},
              Description: {},
              ProfileArn: {},
              ProviderCalendarId: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RoomArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        CreateSkillGroup: {
          input: {
            type: "structure",
            required: [
              "SkillGroupName"
            ],
            members: {
              SkillGroupName: {},
              Description: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SkillGroupArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        CreateUser: {
          input: {
            type: "structure",
            required: [
              "UserId"
            ],
            members: {
              UserId: {},
              FirstName: {},
              LastName: {},
              Email: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DeleteAddressBook: {
          input: {
            type: "structure",
            required: [
              "AddressBookArn"
            ],
            members: {
              AddressBookArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DeleteBusinessReportSchedule: {
          input: {
            type: "structure",
            required: [
              "ScheduleArn"
            ],
            members: {
              ScheduleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DeleteConferenceProvider: {
          input: {
            type: "structure",
            required: [
              "ConferenceProviderArn"
            ],
            members: {
              ConferenceProviderArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DeleteContact: {
          input: {
            type: "structure",
            required: [
              "ContactArn"
            ],
            members: {
              ContactArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DeleteDevice: {
          input: {
            type: "structure",
            required: [
              "DeviceArn"
            ],
            members: {
              DeviceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DeleteDeviceUsageData: {
          input: {
            type: "structure",
            required: [
              "DeviceArn",
              "DeviceUsageType"
            ],
            members: {
              DeviceArn: {},
              DeviceUsageType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DeleteGatewayGroup: {
          input: {
            type: "structure",
            required: [
              "GatewayGroupArn"
            ],
            members: {
              GatewayGroupArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DeleteNetworkProfile: {
          input: {
            type: "structure",
            required: [
              "NetworkProfileArn"
            ],
            members: {
              NetworkProfileArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DeleteProfile: {
          input: {
            type: "structure",
            members: {
              ProfileArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DeleteRoom: {
          input: {
            type: "structure",
            members: {
              RoomArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DeleteRoomSkillParameter: {
          input: {
            type: "structure",
            required: [
              "SkillId",
              "ParameterKey"
            ],
            members: {
              RoomArn: {},
              SkillId: {},
              ParameterKey: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DeleteSkillAuthorization: {
          input: {
            type: "structure",
            required: [
              "SkillId"
            ],
            members: {
              SkillId: {},
              RoomArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DeleteSkillGroup: {
          input: {
            type: "structure",
            members: {
              SkillGroupArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DeleteUser: {
          input: {
            type: "structure",
            required: [
              "EnrollmentId"
            ],
            members: {
              UserArn: {},
              EnrollmentId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DisassociateContactFromAddressBook: {
          input: {
            type: "structure",
            required: [
              "ContactArn",
              "AddressBookArn"
            ],
            members: {
              ContactArn: {},
              AddressBookArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DisassociateDeviceFromRoom: {
          input: {
            type: "structure",
            members: {
              DeviceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DisassociateSkillFromSkillGroup: {
          input: {
            type: "structure",
            required: [
              "SkillId"
            ],
            members: {
              SkillGroupArn: {},
              SkillId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DisassociateSkillFromUsers: {
          input: {
            type: "structure",
            required: [
              "SkillId"
            ],
            members: {
              SkillId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        DisassociateSkillGroupFromRoom: {
          input: {
            type: "structure",
            members: {
              SkillGroupArn: {},
              RoomArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        ForgetSmartHomeAppliances: {
          input: {
            type: "structure",
            required: [
              "RoomArn"
            ],
            members: {
              RoomArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        GetAddressBook: {
          input: {
            type: "structure",
            required: [
              "AddressBookArn"
            ],
            members: {
              AddressBookArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AddressBook: {
                type: "structure",
                members: {
                  AddressBookArn: {},
                  Name: {},
                  Description: {}
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        GetConferencePreference: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              Preference: {
                shape: "S4e"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        GetConferenceProvider: {
          input: {
            type: "structure",
            required: [
              "ConferenceProviderArn"
            ],
            members: {
              ConferenceProviderArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConferenceProvider: {
                shape: "S4h"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        GetContact: {
          input: {
            type: "structure",
            required: [
              "ContactArn"
            ],
            members: {
              ContactArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Contact: {
                type: "structure",
                members: {
                  ContactArn: {},
                  DisplayName: {},
                  FirstName: {},
                  LastName: {},
                  PhoneNumber: {
                    shape: "S1g"
                  },
                  PhoneNumbers: {
                    shape: "S1h"
                  },
                  SipAddresses: {
                    shape: "S1k"
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        GetDevice: {
          input: {
            type: "structure",
            members: {
              DeviceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Device: {
                type: "structure",
                members: {
                  DeviceArn: {},
                  DeviceSerialNumber: {},
                  DeviceType: {},
                  DeviceName: {},
                  SoftwareVersion: {},
                  MacAddress: {},
                  RoomArn: {},
                  DeviceStatus: {},
                  DeviceStatusInfo: {
                    shape: "S4u"
                  },
                  NetworkProfileInfo: {
                    type: "structure",
                    members: {
                      NetworkProfileArn: {},
                      CertificateArn: {},
                      CertificateExpirationTime: {
                        type: "timestamp"
                      }
                    }
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        GetGateway: {
          input: {
            type: "structure",
            required: [
              "GatewayArn"
            ],
            members: {
              GatewayArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Gateway: {
                type: "structure",
                members: {
                  Arn: {},
                  Name: {},
                  Description: {},
                  GatewayGroupArn: {},
                  SoftwareVersion: {}
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        GetGatewayGroup: {
          input: {
            type: "structure",
            required: [
              "GatewayGroupArn"
            ],
            members: {
              GatewayGroupArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayGroup: {
                type: "structure",
                members: {
                  Arn: {},
                  Name: {},
                  Description: {}
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        GetInvitationConfiguration: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              OrganizationName: {},
              ContactEmail: {},
              PrivateSkillIds: {
                shape: "S5f"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        GetNetworkProfile: {
          input: {
            type: "structure",
            required: [
              "NetworkProfileArn"
            ],
            members: {
              NetworkProfileArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkProfile: {
                type: "structure",
                members: {
                  NetworkProfileArn: {},
                  NetworkProfileName: {},
                  Description: {},
                  Ssid: {},
                  SecurityType: {},
                  EapMethod: {},
                  CurrentPassword: {
                    shape: "S1z"
                  },
                  NextPassword: {
                    shape: "S20"
                  },
                  CertificateAuthorityArn: {},
                  TrustAnchors: {
                    shape: "S21"
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        GetProfile: {
          input: {
            type: "structure",
            members: {
              ProfileArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Profile: {
                type: "structure",
                members: {
                  ProfileArn: {},
                  ProfileName: {},
                  IsDefault: {
                    type: "boolean"
                  },
                  Address: {},
                  Timezone: {},
                  DistanceUnit: {},
                  TemperatureUnit: {},
                  WakeWord: {},
                  Locale: {},
                  SetupModeDisabled: {
                    type: "boolean"
                  },
                  MaxVolumeLimit: {
                    type: "integer"
                  },
                  PSTNEnabled: {
                    type: "boolean"
                  },
                  DataRetentionOptIn: {
                    type: "boolean"
                  },
                  AddressBookArn: {},
                  MeetingRoomConfiguration: {
                    type: "structure",
                    members: {
                      RoomUtilizationMetricsEnabled: {
                        type: "boolean"
                      },
                      EndOfMeetingReminder: {
                        type: "structure",
                        members: {
                          ReminderAtMinutes: {
                            shape: "S2g"
                          },
                          ReminderType: {},
                          Enabled: {
                            type: "boolean"
                          }
                        }
                      },
                      InstantBooking: {
                        type: "structure",
                        members: {
                          DurationInMinutes: {
                            type: "integer"
                          },
                          Enabled: {
                            type: "boolean"
                          }
                        }
                      },
                      RequireCheckIn: {
                        type: "structure",
                        members: {
                          ReleaseAfterMinutes: {
                            type: "integer"
                          },
                          Enabled: {
                            type: "boolean"
                          }
                        }
                      },
                      ProactiveJoin: {
                        type: "structure",
                        members: {
                          EnabledByMotion: {
                            type: "boolean"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        GetRoom: {
          input: {
            type: "structure",
            members: {
              RoomArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Room: {
                type: "structure",
                members: {
                  RoomArn: {},
                  RoomName: {},
                  Description: {},
                  ProviderCalendarId: {},
                  ProfileArn: {}
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        GetRoomSkillParameter: {
          input: {
            type: "structure",
            required: [
              "SkillId",
              "ParameterKey"
            ],
            members: {
              RoomArn: {},
              SkillId: {},
              ParameterKey: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RoomSkillParameter: {
                shape: "S5w"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        GetSkillGroup: {
          input: {
            type: "structure",
            members: {
              SkillGroupArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SkillGroup: {
                type: "structure",
                members: {
                  SkillGroupArn: {},
                  SkillGroupName: {},
                  Description: {}
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        ListBusinessReportSchedules: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BusinessReportSchedules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ScheduleArn: {},
                    ScheduleName: {},
                    S3BucketName: {},
                    S3KeyPrefix: {},
                    Format: {},
                    ContentRange: {
                      shape: "Sv"
                    },
                    Recurrence: {
                      shape: "Sx"
                    },
                    LastBusinessReport: {
                      type: "structure",
                      members: {
                        Status: {},
                        FailureCode: {},
                        S3Location: {
                          type: "structure",
                          members: {
                            Path: {},
                            BucketName: {}
                          }
                        },
                        DeliveryTime: {
                          type: "timestamp"
                        },
                        DownloadUrl: {}
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        ListConferenceProviders: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConferenceProviders: {
                type: "list",
                member: {
                  shape: "S4h"
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        ListDeviceEvents: {
          input: {
            type: "structure",
            required: [
              "DeviceArn"
            ],
            members: {
              DeviceArn: {},
              EventType: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeviceEvents: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    Value: {},
                    Timestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        ListGatewayGroups: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Name: {},
                    Description: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        ListGateways: {
          input: {
            type: "structure",
            members: {
              GatewayGroupArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Gateways: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Name: {},
                    Description: {},
                    GatewayGroupArn: {},
                    SoftwareVersion: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        ListSkills: {
          input: {
            type: "structure",
            members: {
              SkillGroupArn: {},
              EnablementType: {},
              SkillType: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SkillSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SkillId: {},
                    SkillName: {},
                    SupportsLinking: {
                      type: "boolean"
                    },
                    EnablementType: {},
                    SkillType: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        ListSkillsStoreCategories: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CategoryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CategoryId: {
                      type: "long"
                    },
                    CategoryName: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        ListSkillsStoreSkillsByCategory: {
          input: {
            type: "structure",
            required: [
              "CategoryId"
            ],
            members: {
              CategoryId: {
                type: "long"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SkillsStoreSkills: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SkillId: {},
                    SkillName: {},
                    ShortDescription: {},
                    IconUrl: {},
                    SampleUtterances: {
                      type: "list",
                      member: {}
                    },
                    SkillDetails: {
                      type: "structure",
                      members: {
                        ProductDescription: {},
                        InvocationPhrase: {},
                        ReleaseDate: {},
                        EndUserLicenseAgreement: {},
                        GenericKeywords: {
                          type: "list",
                          member: {}
                        },
                        BulletPoints: {
                          type: "list",
                          member: {}
                        },
                        NewInThisVersionBulletPoints: {
                          type: "list",
                          member: {}
                        },
                        SkillTypes: {
                          type: "list",
                          member: {}
                        },
                        Reviews: {
                          type: "map",
                          key: {},
                          value: {}
                        },
                        DeveloperInfo: {
                          type: "structure",
                          members: {
                            DeveloperName: {},
                            PrivacyPolicy: {},
                            Email: {},
                            Url: {}
                          }
                        }
                      }
                    },
                    SupportsLinking: {
                      type: "boolean"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        ListSmartHomeAppliances: {
          input: {
            type: "structure",
            required: [
              "RoomArn"
            ],
            members: {
              RoomArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SmartHomeAppliances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FriendlyName: {},
                    Description: {},
                    ManufacturerName: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        ListTags: {
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sl"
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        PutConferencePreference: {
          input: {
            type: "structure",
            required: [
              "ConferencePreference"
            ],
            members: {
              ConferencePreference: {
                shape: "S4e"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        PutInvitationConfiguration: {
          input: {
            type: "structure",
            required: [
              "OrganizationName"
            ],
            members: {
              OrganizationName: {},
              ContactEmail: {},
              PrivateSkillIds: {
                shape: "S5f"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        PutRoomSkillParameter: {
          input: {
            type: "structure",
            required: [
              "SkillId",
              "RoomSkillParameter"
            ],
            members: {
              RoomArn: {},
              SkillId: {},
              RoomSkillParameter: {
                shape: "S5w"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        PutSkillAuthorization: {
          input: {
            type: "structure",
            required: [
              "AuthorizationResult",
              "SkillId"
            ],
            members: {
              AuthorizationResult: {
                type: "map",
                key: {},
                value: {},
                sensitive: true
              },
              SkillId: {},
              RoomArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        RegisterAVSDevice: {
          input: {
            type: "structure",
            required: [
              "ClientId",
              "UserCode",
              "ProductId",
              "AmazonId"
            ],
            members: {
              ClientId: {},
              UserCode: {},
              ProductId: {},
              DeviceSerialNumber: {},
              AmazonId: {},
              RoomArn: {},
              Tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeviceArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        RejectSkill: {
          input: {
            type: "structure",
            required: [
              "SkillId"
            ],
            members: {
              SkillId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        ResolveRoom: {
          input: {
            type: "structure",
            required: [
              "UserId",
              "SkillId"
            ],
            members: {
              UserId: {},
              SkillId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RoomArn: {},
              RoomName: {},
              RoomSkillParameters: {
                type: "list",
                member: {
                  shape: "S5w"
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        RevokeInvitation: {
          input: {
            type: "structure",
            members: {
              UserArn: {},
              EnrollmentId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        SearchAddressBooks: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S94"
              },
              SortCriteria: {
                shape: "S99"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AddressBooks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AddressBookArn: {},
                    Name: {},
                    Description: {}
                  }
                }
              },
              NextToken: {},
              TotalCount: {
                type: "integer"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        SearchContacts: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S94"
              },
              SortCriteria: {
                shape: "S99"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Contacts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ContactArn: {},
                    DisplayName: {},
                    FirstName: {},
                    LastName: {},
                    PhoneNumber: {
                      shape: "S1g"
                    },
                    PhoneNumbers: {
                      shape: "S1h"
                    },
                    SipAddresses: {
                      shape: "S1k"
                    }
                  }
                }
              },
              NextToken: {},
              TotalCount: {
                type: "integer"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        SearchDevices: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S94"
              },
              SortCriteria: {
                shape: "S99"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Devices: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DeviceArn: {},
                    DeviceSerialNumber: {},
                    DeviceType: {},
                    DeviceName: {},
                    SoftwareVersion: {},
                    MacAddress: {},
                    DeviceStatus: {},
                    NetworkProfileArn: {},
                    NetworkProfileName: {},
                    RoomArn: {},
                    RoomName: {},
                    DeviceStatusInfo: {
                      shape: "S4u"
                    },
                    CreatedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {},
              TotalCount: {
                type: "integer"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        SearchNetworkProfiles: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S94"
              },
              SortCriteria: {
                shape: "S99"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkProfiles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    NetworkProfileArn: {},
                    NetworkProfileName: {},
                    Description: {},
                    Ssid: {},
                    SecurityType: {},
                    EapMethod: {},
                    CertificateAuthorityArn: {}
                  }
                }
              },
              NextToken: {},
              TotalCount: {
                type: "integer"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        SearchProfiles: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S94"
              },
              SortCriteria: {
                shape: "S99"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Profiles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ProfileArn: {},
                    ProfileName: {},
                    IsDefault: {
                      type: "boolean"
                    },
                    Address: {},
                    Timezone: {},
                    DistanceUnit: {},
                    TemperatureUnit: {},
                    WakeWord: {},
                    Locale: {}
                  }
                }
              },
              NextToken: {},
              TotalCount: {
                type: "integer"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        SearchRooms: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S94"
              },
              SortCriteria: {
                shape: "S99"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Rooms: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RoomArn: {},
                    RoomName: {},
                    Description: {},
                    ProviderCalendarId: {},
                    ProfileArn: {},
                    ProfileName: {}
                  }
                }
              },
              NextToken: {},
              TotalCount: {
                type: "integer"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        SearchSkillGroups: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S94"
              },
              SortCriteria: {
                shape: "S99"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SkillGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SkillGroupArn: {},
                    SkillGroupName: {},
                    Description: {}
                  }
                }
              },
              NextToken: {},
              TotalCount: {
                type: "integer"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        SearchUsers: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S94"
              },
              SortCriteria: {
                shape: "S99"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Users: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    UserArn: {},
                    FirstName: {},
                    LastName: {},
                    Email: {},
                    EnrollmentStatus: {},
                    EnrollmentId: {}
                  }
                }
              },
              NextToken: {},
              TotalCount: {
                type: "integer"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        SendAnnouncement: {
          input: {
            type: "structure",
            required: [
              "RoomFilters",
              "Content",
              "ClientRequestToken"
            ],
            members: {
              RoomFilters: {
                shape: "S94"
              },
              Content: {
                type: "structure",
                members: {
                  TextList: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Locale",
                        "Value"
                      ],
                      members: {
                        Locale: {},
                        Value: {}
                      }
                    }
                  },
                  SsmlList: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Locale",
                        "Value"
                      ],
                      members: {
                        Locale: {},
                        Value: {}
                      }
                    }
                  },
                  AudioList: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Locale",
                        "Location"
                      ],
                      members: {
                        Locale: {},
                        Location: {}
                      }
                    }
                  }
                }
              },
              TimeToLiveInSeconds: {
                type: "integer"
              },
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AnnouncementArn: {}
            }
          }
        },
        SendInvitation: {
          input: {
            type: "structure",
            members: {
              UserArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        StartDeviceSync: {
          input: {
            type: "structure",
            required: [
              "Features"
            ],
            members: {
              RoomArn: {},
              DeviceArn: {},
              Features: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        StartSmartHomeApplianceDiscovery: {
          input: {
            type: "structure",
            required: [
              "RoomArn"
            ],
            members: {
              RoomArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "Arn",
              "Tags"
            ],
            members: {
              Arn: {},
              Tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "Arn",
              "TagKeys"
            ],
            members: {
              Arn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        UpdateAddressBook: {
          input: {
            type: "structure",
            required: [
              "AddressBookArn"
            ],
            members: {
              AddressBookArn: {},
              Name: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        UpdateBusinessReportSchedule: {
          input: {
            type: "structure",
            required: [
              "ScheduleArn"
            ],
            members: {
              ScheduleArn: {},
              S3BucketName: {},
              S3KeyPrefix: {},
              Format: {},
              ScheduleName: {},
              Recurrence: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        UpdateConferenceProvider: {
          input: {
            type: "structure",
            required: [
              "ConferenceProviderArn",
              "ConferenceProviderType",
              "MeetingSetting"
            ],
            members: {
              ConferenceProviderArn: {},
              ConferenceProviderType: {},
              IPDialIn: {
                shape: "S13"
              },
              PSTNDialIn: {
                shape: "S16"
              },
              MeetingSetting: {
                shape: "S1b"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        UpdateContact: {
          input: {
            type: "structure",
            required: [
              "ContactArn"
            ],
            members: {
              ContactArn: {},
              DisplayName: {},
              FirstName: {},
              LastName: {},
              PhoneNumber: {
                shape: "S1g"
              },
              PhoneNumbers: {
                shape: "S1h"
              },
              SipAddresses: {
                shape: "S1k"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        UpdateDevice: {
          input: {
            type: "structure",
            members: {
              DeviceArn: {},
              DeviceName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        UpdateGateway: {
          input: {
            type: "structure",
            required: [
              "GatewayArn"
            ],
            members: {
              GatewayArn: {},
              Name: {},
              Description: {},
              SoftwareVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        UpdateGatewayGroup: {
          input: {
            type: "structure",
            required: [
              "GatewayGroupArn"
            ],
            members: {
              GatewayGroupArn: {},
              Name: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        UpdateNetworkProfile: {
          input: {
            type: "structure",
            required: [
              "NetworkProfileArn"
            ],
            members: {
              NetworkProfileArn: {},
              NetworkProfileName: {},
              Description: {},
              CurrentPassword: {
                shape: "S1z"
              },
              NextPassword: {
                shape: "S20"
              },
              CertificateAuthorityArn: {},
              TrustAnchors: {
                shape: "S21"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        UpdateProfile: {
          input: {
            type: "structure",
            members: {
              ProfileArn: {},
              ProfileName: {},
              IsDefault: {
                type: "boolean"
              },
              Timezone: {},
              Address: {},
              DistanceUnit: {},
              TemperatureUnit: {},
              WakeWord: {},
              Locale: {},
              SetupModeDisabled: {
                type: "boolean"
              },
              MaxVolumeLimit: {
                type: "integer"
              },
              PSTNEnabled: {
                type: "boolean"
              },
              DataRetentionOptIn: {
                type: "boolean"
              },
              MeetingRoomConfiguration: {
                type: "structure",
                members: {
                  RoomUtilizationMetricsEnabled: {
                    type: "boolean"
                  },
                  EndOfMeetingReminder: {
                    type: "structure",
                    members: {
                      ReminderAtMinutes: {
                        shape: "S2g"
                      },
                      ReminderType: {},
                      Enabled: {
                        type: "boolean"
                      }
                    }
                  },
                  InstantBooking: {
                    type: "structure",
                    members: {
                      DurationInMinutes: {
                        type: "integer"
                      },
                      Enabled: {
                        type: "boolean"
                      }
                    }
                  },
                  RequireCheckIn: {
                    type: "structure",
                    members: {
                      ReleaseAfterMinutes: {
                        type: "integer"
                      },
                      Enabled: {
                        type: "boolean"
                      }
                    }
                  },
                  ProactiveJoin: {
                    type: "structure",
                    required: [
                      "EnabledByMotion"
                    ],
                    members: {
                      EnabledByMotion: {
                        type: "boolean"
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        UpdateRoom: {
          input: {
            type: "structure",
            members: {
              RoomArn: {},
              RoomName: {},
              Description: {},
              ProviderCalendarId: {},
              ProfileArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        },
        UpdateSkillGroup: {
          input: {
            type: "structure",
            members: {
              SkillGroupArn: {},
              SkillGroupName: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Alexa For Business is no longer supported"
        }
      },
      shapes: {
        Sl: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sv: {
          type: "structure",
          required: [
            "Interval"
          ],
          members: {
            Interval: {}
          }
        },
        Sx: {
          type: "structure",
          members: {
            StartDate: {}
          }
        },
        S13: {
          type: "structure",
          required: [
            "Endpoint",
            "CommsProtocol"
          ],
          members: {
            Endpoint: {},
            CommsProtocol: {}
          }
        },
        S16: {
          type: "structure",
          required: [
            "CountryCode",
            "PhoneNumber",
            "OneClickIdDelay",
            "OneClickPinDelay"
          ],
          members: {
            CountryCode: {},
            PhoneNumber: {},
            OneClickIdDelay: {},
            OneClickPinDelay: {}
          }
        },
        S1b: {
          type: "structure",
          required: [
            "RequirePin"
          ],
          members: {
            RequirePin: {}
          }
        },
        S1g: {
          type: "string",
          sensitive: true
        },
        S1h: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Number",
              "Type"
            ],
            members: {
              Number: {
                shape: "S1g"
              },
              Type: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        S1k: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Uri",
              "Type"
            ],
            members: {
              Uri: {
                type: "string",
                sensitive: true
              },
              Type: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        S1z: {
          type: "string",
          sensitive: true
        },
        S20: {
          type: "string",
          sensitive: true
        },
        S21: {
          type: "list",
          member: {}
        },
        S2g: {
          type: "list",
          member: {
            type: "integer"
          }
        },
        S4e: {
          type: "structure",
          members: {
            DefaultConferenceProviderArn: {}
          }
        },
        S4h: {
          type: "structure",
          members: {
            Arn: {},
            Name: {},
            Type: {},
            IPDialIn: {
              shape: "S13"
            },
            PSTNDialIn: {
              shape: "S16"
            },
            MeetingSetting: {
              shape: "S1b"
            }
          }
        },
        S4u: {
          type: "structure",
          members: {
            DeviceStatusDetails: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Feature: {},
                  Code: {}
                }
              }
            },
            ConnectionStatus: {},
            ConnectionStatusUpdatedTime: {
              type: "timestamp"
            }
          }
        },
        S5f: {
          type: "list",
          member: {}
        },
        S5w: {
          type: "structure",
          required: [
            "ParameterKey",
            "ParameterValue"
          ],
          members: {
            ParameterKey: {},
            ParameterValue: {}
          }
        },
        S94: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Values"
            ],
            members: {
              Key: {},
              Values: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S99: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        }
      },
      deprecated: true,
      deprecatedMessage: "Alexa For Business is no longer supported"
    };
  }
});

// node_modules/aws-sdk/apis/alexaforbusiness-2017-11-09.paginators.json
var require_alexaforbusiness_2017_11_09_paginators = __commonJS({
  "node_modules/aws-sdk/apis/alexaforbusiness-2017-11-09.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListBusinessReportSchedules: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListConferenceProviders: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDeviceEvents: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListGatewayGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListGateways: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListSkills: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListSkillsStoreCategories: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListSkillsStoreSkillsByCategory: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListSmartHomeAppliances: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListTags: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        SearchAddressBooks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        SearchContacts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        SearchDevices: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        SearchNetworkProfiles: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        SearchProfiles: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        SearchRooms: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        SearchSkillGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        SearchUsers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/alexaforbusiness.js
var require_alexaforbusiness = __commonJS({
  "node_modules/aws-sdk/clients/alexaforbusiness.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["alexaforbusiness"] = {};
    AWS2.AlexaForBusiness = Service.defineService("alexaforbusiness", ["2017-11-09"]);
    Object.defineProperty(apiLoader.services["alexaforbusiness"], "2017-11-09", {
      get: function get() {
        var model = require_alexaforbusiness_2017_11_09_min();
        model.paginators = require_alexaforbusiness_2017_11_09_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.AlexaForBusiness;
  }
});

// node_modules/aws-sdk/apis/cloud9-2017-09-23.min.json
var require_cloud9_2017_09_23_min = __commonJS({
  "node_modules/aws-sdk/apis/cloud9-2017-09-23.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-09-23",
        endpointPrefix: "cloud9",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Cloud9",
        serviceId: "Cloud9",
        signatureVersion: "v4",
        targetPrefix: "AWSCloud9WorkspaceManagementService",
        uid: "cloud9-2017-09-23"
      },
      operations: {
        CreateEnvironmentEC2: {
          input: {
            type: "structure",
            required: [
              "name",
              "instanceType"
            ],
            members: {
              name: {},
              description: {
                shape: "S3"
              },
              clientRequestToken: {},
              instanceType: {},
              subnetId: {},
              imageId: {},
              automaticStopTimeMinutes: {
                type: "integer"
              },
              ownerArn: {},
              tags: {
                shape: "Sa"
              },
              connectionType: {},
              dryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              environmentId: {}
            }
          },
          idempotent: true
        },
        CreateEnvironmentMembership: {
          input: {
            type: "structure",
            required: [
              "environmentId",
              "userArn",
              "permissions"
            ],
            members: {
              environmentId: {},
              userArn: {},
              permissions: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "membership"
            ],
            members: {
              membership: {
                shape: "Sl"
              }
            }
          },
          idempotent: true
        },
        DeleteEnvironment: {
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteEnvironmentMembership: {
          input: {
            type: "structure",
            required: [
              "environmentId",
              "userArn"
            ],
            members: {
              environmentId: {},
              userArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DescribeEnvironmentMemberships: {
          input: {
            type: "structure",
            members: {
              userArn: {},
              environmentId: {},
              permissions: {
                type: "list",
                member: {}
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              memberships: {
                type: "list",
                member: {
                  shape: "Sl"
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeEnvironmentStatus: {
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "status",
              "message"
            ],
            members: {
              status: {},
              message: {}
            }
          }
        },
        DescribeEnvironments: {
          input: {
            type: "structure",
            required: [
              "environmentIds"
            ],
            members: {
              environmentIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              environments: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "type",
                    "arn",
                    "ownerArn"
                  ],
                  members: {
                    id: {},
                    name: {},
                    description: {
                      shape: "S3"
                    },
                    type: {},
                    connectionType: {},
                    arn: {},
                    ownerArn: {},
                    lifecycle: {
                      type: "structure",
                      members: {
                        status: {},
                        reason: {},
                        failureResource: {}
                      }
                    },
                    managedCredentialsStatus: {}
                  }
                }
              }
            }
          }
        },
        ListEnvironments: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              environmentIds: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sa"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {
                  shape: "Sc"
                },
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateEnvironment: {
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {},
              name: {},
              description: {
                shape: "S3"
              },
              managedCredentialsAction: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateEnvironmentMembership: {
          input: {
            type: "structure",
            required: [
              "environmentId",
              "userArn",
              "permissions"
            ],
            members: {
              environmentId: {},
              userArn: {},
              permissions: {}
            }
          },
          output: {
            type: "structure",
            members: {
              membership: {
                shape: "Sl"
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S3: {
          type: "string",
          sensitive: true
        },
        Sa: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {
                shape: "Sc"
              },
              Value: {
                type: "string",
                sensitive: true
              }
            },
            sensitive: true
          },
          sensitive: true
        },
        Sc: {
          type: "string",
          sensitive: true
        },
        Sl: {
          type: "structure",
          required: [
            "permissions",
            "userId",
            "userArn",
            "environmentId"
          ],
          members: {
            permissions: {},
            userId: {},
            userArn: {},
            environmentId: {},
            lastAccess: {
              type: "timestamp"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloud9-2017-09-23.paginators.json
var require_cloud9_2017_09_23_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cloud9-2017-09-23.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeEnvironmentMemberships: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListEnvironments: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/cloud9.js
var require_cloud9 = __commonJS({
  "node_modules/aws-sdk/clients/cloud9.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cloud9"] = {};
    AWS2.Cloud9 = Service.defineService("cloud9", ["2017-09-23"]);
    Object.defineProperty(apiLoader.services["cloud9"], "2017-09-23", {
      get: function get() {
        var model = require_cloud9_2017_09_23_min();
        model.paginators = require_cloud9_2017_09_23_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Cloud9;
  }
});

// node_modules/aws-sdk/apis/serverlessrepo-2017-09-08.min.json
var require_serverlessrepo_2017_09_08_min = __commonJS({
  "node_modules/aws-sdk/apis/serverlessrepo-2017-09-08.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2017-09-08",
        endpointPrefix: "serverlessrepo",
        signingName: "serverlessrepo",
        serviceFullName: "AWSServerlessApplicationRepository",
        serviceId: "ServerlessApplicationRepository",
        protocol: "rest-json",
        jsonVersion: "1.1",
        uid: "serverlessrepo-2017-09-08",
        signatureVersion: "v4"
      },
      operations: {
        CreateApplication: {
          http: {
            requestUri: "/applications",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              Author: {
                locationName: "author"
              },
              Description: {
                locationName: "description"
              },
              HomePageUrl: {
                locationName: "homePageUrl"
              },
              Labels: {
                shape: "S3",
                locationName: "labels"
              },
              LicenseBody: {
                locationName: "licenseBody"
              },
              LicenseUrl: {
                locationName: "licenseUrl"
              },
              Name: {
                locationName: "name"
              },
              ReadmeBody: {
                locationName: "readmeBody"
              },
              ReadmeUrl: {
                locationName: "readmeUrl"
              },
              SemanticVersion: {
                locationName: "semanticVersion"
              },
              SourceCodeArchiveUrl: {
                locationName: "sourceCodeArchiveUrl"
              },
              SourceCodeUrl: {
                locationName: "sourceCodeUrl"
              },
              SpdxLicenseId: {
                locationName: "spdxLicenseId"
              },
              TemplateBody: {
                locationName: "templateBody"
              },
              TemplateUrl: {
                locationName: "templateUrl"
              }
            },
            required: [
              "Description",
              "Name",
              "Author"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApplicationId: {
                locationName: "applicationId"
              },
              Author: {
                locationName: "author"
              },
              CreationTime: {
                locationName: "creationTime"
              },
              Description: {
                locationName: "description"
              },
              HomePageUrl: {
                locationName: "homePageUrl"
              },
              IsVerifiedAuthor: {
                locationName: "isVerifiedAuthor",
                type: "boolean"
              },
              Labels: {
                shape: "S3",
                locationName: "labels"
              },
              LicenseUrl: {
                locationName: "licenseUrl"
              },
              Name: {
                locationName: "name"
              },
              ReadmeUrl: {
                locationName: "readmeUrl"
              },
              SpdxLicenseId: {
                locationName: "spdxLicenseId"
              },
              VerifiedAuthorUrl: {
                locationName: "verifiedAuthorUrl"
              },
              Version: {
                shape: "S6",
                locationName: "version"
              }
            }
          }
        },
        CreateApplicationVersion: {
          http: {
            method: "PUT",
            requestUri: "/applications/{applicationId}/versions/{semanticVersion}",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              SemanticVersion: {
                location: "uri",
                locationName: "semanticVersion"
              },
              SourceCodeArchiveUrl: {
                locationName: "sourceCodeArchiveUrl"
              },
              SourceCodeUrl: {
                locationName: "sourceCodeUrl"
              },
              TemplateBody: {
                locationName: "templateBody"
              },
              TemplateUrl: {
                locationName: "templateUrl"
              }
            },
            required: [
              "ApplicationId",
              "SemanticVersion"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApplicationId: {
                locationName: "applicationId"
              },
              CreationTime: {
                locationName: "creationTime"
              },
              ParameterDefinitions: {
                shape: "S7",
                locationName: "parameterDefinitions"
              },
              RequiredCapabilities: {
                shape: "Sa",
                locationName: "requiredCapabilities"
              },
              ResourcesSupported: {
                locationName: "resourcesSupported",
                type: "boolean"
              },
              SemanticVersion: {
                locationName: "semanticVersion"
              },
              SourceCodeArchiveUrl: {
                locationName: "sourceCodeArchiveUrl"
              },
              SourceCodeUrl: {
                locationName: "sourceCodeUrl"
              },
              TemplateUrl: {
                locationName: "templateUrl"
              }
            }
          }
        },
        CreateCloudFormationChangeSet: {
          http: {
            requestUri: "/applications/{applicationId}/changesets",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              Capabilities: {
                shape: "S3",
                locationName: "capabilities"
              },
              ChangeSetName: {
                locationName: "changeSetName"
              },
              ClientToken: {
                locationName: "clientToken"
              },
              Description: {
                locationName: "description"
              },
              NotificationArns: {
                shape: "S3",
                locationName: "notificationArns"
              },
              ParameterOverrides: {
                locationName: "parameterOverrides",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {
                      locationName: "name"
                    },
                    Value: {
                      locationName: "value"
                    }
                  },
                  required: [
                    "Value",
                    "Name"
                  ]
                }
              },
              ResourceTypes: {
                shape: "S3",
                locationName: "resourceTypes"
              },
              RollbackConfiguration: {
                locationName: "rollbackConfiguration",
                type: "structure",
                members: {
                  MonitoringTimeInMinutes: {
                    locationName: "monitoringTimeInMinutes",
                    type: "integer"
                  },
                  RollbackTriggers: {
                    locationName: "rollbackTriggers",
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Arn: {
                          locationName: "arn"
                        },
                        Type: {
                          locationName: "type"
                        }
                      },
                      required: [
                        "Type",
                        "Arn"
                      ]
                    }
                  }
                }
              },
              SemanticVersion: {
                locationName: "semanticVersion"
              },
              StackName: {
                locationName: "stackName"
              },
              Tags: {
                locationName: "tags",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Key: {
                      locationName: "key"
                    },
                    Value: {
                      locationName: "value"
                    }
                  },
                  required: [
                    "Value",
                    "Key"
                  ]
                }
              },
              TemplateId: {
                locationName: "templateId"
              }
            },
            required: [
              "ApplicationId",
              "StackName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApplicationId: {
                locationName: "applicationId"
              },
              ChangeSetId: {
                locationName: "changeSetId"
              },
              SemanticVersion: {
                locationName: "semanticVersion"
              },
              StackId: {
                locationName: "stackId"
              }
            }
          }
        },
        CreateCloudFormationTemplate: {
          http: {
            requestUri: "/applications/{applicationId}/templates",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              SemanticVersion: {
                locationName: "semanticVersion"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApplicationId: {
                locationName: "applicationId"
              },
              CreationTime: {
                locationName: "creationTime"
              },
              ExpirationTime: {
                locationName: "expirationTime"
              },
              SemanticVersion: {
                locationName: "semanticVersion"
              },
              Status: {
                locationName: "status"
              },
              TemplateId: {
                locationName: "templateId"
              },
              TemplateUrl: {
                locationName: "templateUrl"
              }
            }
          }
        },
        DeleteApplication: {
          http: {
            method: "DELETE",
            requestUri: "/applications/{applicationId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "applicationId"
              }
            },
            required: [
              "ApplicationId"
            ]
          }
        },
        GetApplication: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              SemanticVersion: {
                location: "querystring",
                locationName: "semanticVersion"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApplicationId: {
                locationName: "applicationId"
              },
              Author: {
                locationName: "author"
              },
              CreationTime: {
                locationName: "creationTime"
              },
              Description: {
                locationName: "description"
              },
              HomePageUrl: {
                locationName: "homePageUrl"
              },
              IsVerifiedAuthor: {
                locationName: "isVerifiedAuthor",
                type: "boolean"
              },
              Labels: {
                shape: "S3",
                locationName: "labels"
              },
              LicenseUrl: {
                locationName: "licenseUrl"
              },
              Name: {
                locationName: "name"
              },
              ReadmeUrl: {
                locationName: "readmeUrl"
              },
              SpdxLicenseId: {
                locationName: "spdxLicenseId"
              },
              VerifiedAuthorUrl: {
                locationName: "verifiedAuthorUrl"
              },
              Version: {
                shape: "S6",
                locationName: "version"
              }
            }
          }
        },
        GetApplicationPolicy: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "applicationId"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Statements: {
                shape: "Sv",
                locationName: "statements"
              }
            }
          }
        },
        GetCloudFormationTemplate: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/templates/{templateId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              TemplateId: {
                location: "uri",
                locationName: "templateId"
              }
            },
            required: [
              "ApplicationId",
              "TemplateId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApplicationId: {
                locationName: "applicationId"
              },
              CreationTime: {
                locationName: "creationTime"
              },
              ExpirationTime: {
                locationName: "expirationTime"
              },
              SemanticVersion: {
                locationName: "semanticVersion"
              },
              Status: {
                locationName: "status"
              },
              TemplateId: {
                locationName: "templateId"
              },
              TemplateUrl: {
                locationName: "templateUrl"
              }
            }
          }
        },
        ListApplicationDependencies: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/dependencies",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              MaxItems: {
                location: "querystring",
                locationName: "maxItems",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              SemanticVersion: {
                location: "querystring",
                locationName: "semanticVersion"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Dependencies: {
                locationName: "dependencies",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApplicationId: {
                      locationName: "applicationId"
                    },
                    SemanticVersion: {
                      locationName: "semanticVersion"
                    }
                  },
                  required: [
                    "ApplicationId",
                    "SemanticVersion"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListApplicationVersions: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              MaxItems: {
                location: "querystring",
                locationName: "maxItems",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Versions: {
                locationName: "versions",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApplicationId: {
                      locationName: "applicationId"
                    },
                    CreationTime: {
                      locationName: "creationTime"
                    },
                    SemanticVersion: {
                      locationName: "semanticVersion"
                    },
                    SourceCodeUrl: {
                      locationName: "sourceCodeUrl"
                    }
                  },
                  required: [
                    "CreationTime",
                    "ApplicationId",
                    "SemanticVersion"
                  ]
                }
              }
            }
          }
        },
        ListApplications: {
          http: {
            method: "GET",
            requestUri: "/applications",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxItems: {
                location: "querystring",
                locationName: "maxItems",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Applications: {
                locationName: "applications",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApplicationId: {
                      locationName: "applicationId"
                    },
                    Author: {
                      locationName: "author"
                    },
                    CreationTime: {
                      locationName: "creationTime"
                    },
                    Description: {
                      locationName: "description"
                    },
                    HomePageUrl: {
                      locationName: "homePageUrl"
                    },
                    Labels: {
                      shape: "S3",
                      locationName: "labels"
                    },
                    Name: {
                      locationName: "name"
                    },
                    SpdxLicenseId: {
                      locationName: "spdxLicenseId"
                    }
                  },
                  required: [
                    "Description",
                    "Author",
                    "ApplicationId",
                    "Name"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        PutApplicationPolicy: {
          http: {
            method: "PUT",
            requestUri: "/applications/{applicationId}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              Statements: {
                shape: "Sv",
                locationName: "statements"
              }
            },
            required: [
              "ApplicationId",
              "Statements"
            ]
          },
          output: {
            type: "structure",
            members: {
              Statements: {
                shape: "Sv",
                locationName: "statements"
              }
            }
          }
        },
        UnshareApplication: {
          http: {
            requestUri: "/applications/{applicationId}/unshare",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              OrganizationId: {
                locationName: "organizationId"
              }
            },
            required: [
              "ApplicationId",
              "OrganizationId"
            ]
          }
        },
        UpdateApplication: {
          http: {
            method: "PATCH",
            requestUri: "/applications/{applicationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              Author: {
                locationName: "author"
              },
              Description: {
                locationName: "description"
              },
              HomePageUrl: {
                locationName: "homePageUrl"
              },
              Labels: {
                shape: "S3",
                locationName: "labels"
              },
              ReadmeBody: {
                locationName: "readmeBody"
              },
              ReadmeUrl: {
                locationName: "readmeUrl"
              }
            },
            required: [
              "ApplicationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApplicationId: {
                locationName: "applicationId"
              },
              Author: {
                locationName: "author"
              },
              CreationTime: {
                locationName: "creationTime"
              },
              Description: {
                locationName: "description"
              },
              HomePageUrl: {
                locationName: "homePageUrl"
              },
              IsVerifiedAuthor: {
                locationName: "isVerifiedAuthor",
                type: "boolean"
              },
              Labels: {
                shape: "S3",
                locationName: "labels"
              },
              LicenseUrl: {
                locationName: "licenseUrl"
              },
              Name: {
                locationName: "name"
              },
              ReadmeUrl: {
                locationName: "readmeUrl"
              },
              SpdxLicenseId: {
                locationName: "spdxLicenseId"
              },
              VerifiedAuthorUrl: {
                locationName: "verifiedAuthorUrl"
              },
              Version: {
                shape: "S6",
                locationName: "version"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {}
        },
        S6: {
          type: "structure",
          members: {
            ApplicationId: {
              locationName: "applicationId"
            },
            CreationTime: {
              locationName: "creationTime"
            },
            ParameterDefinitions: {
              shape: "S7",
              locationName: "parameterDefinitions"
            },
            RequiredCapabilities: {
              shape: "Sa",
              locationName: "requiredCapabilities"
            },
            ResourcesSupported: {
              locationName: "resourcesSupported",
              type: "boolean"
            },
            SemanticVersion: {
              locationName: "semanticVersion"
            },
            SourceCodeArchiveUrl: {
              locationName: "sourceCodeArchiveUrl"
            },
            SourceCodeUrl: {
              locationName: "sourceCodeUrl"
            },
            TemplateUrl: {
              locationName: "templateUrl"
            }
          },
          required: [
            "TemplateUrl",
            "ParameterDefinitions",
            "ResourcesSupported",
            "CreationTime",
            "RequiredCapabilities",
            "ApplicationId",
            "SemanticVersion"
          ]
        },
        S7: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AllowedPattern: {
                locationName: "allowedPattern"
              },
              AllowedValues: {
                shape: "S3",
                locationName: "allowedValues"
              },
              ConstraintDescription: {
                locationName: "constraintDescription"
              },
              DefaultValue: {
                locationName: "defaultValue"
              },
              Description: {
                locationName: "description"
              },
              MaxLength: {
                locationName: "maxLength",
                type: "integer"
              },
              MaxValue: {
                locationName: "maxValue",
                type: "integer"
              },
              MinLength: {
                locationName: "minLength",
                type: "integer"
              },
              MinValue: {
                locationName: "minValue",
                type: "integer"
              },
              Name: {
                locationName: "name"
              },
              NoEcho: {
                locationName: "noEcho",
                type: "boolean"
              },
              ReferencedByResources: {
                shape: "S3",
                locationName: "referencedByResources"
              },
              Type: {
                locationName: "type"
              }
            },
            required: [
              "ReferencedByResources",
              "Name"
            ]
          }
        },
        Sa: {
          type: "list",
          member: {}
        },
        Sv: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Actions: {
                shape: "S3",
                locationName: "actions"
              },
              PrincipalOrgIDs: {
                shape: "S3",
                locationName: "principalOrgIDs"
              },
              Principals: {
                shape: "S3",
                locationName: "principals"
              },
              StatementId: {
                locationName: "statementId"
              }
            },
            required: [
              "Principals",
              "Actions"
            ]
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/serverlessrepo-2017-09-08.paginators.json
var require_serverlessrepo_2017_09_08_paginators = __commonJS({
  "node_modules/aws-sdk/apis/serverlessrepo-2017-09-08.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListApplicationVersions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxItems"
        },
        ListApplications: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxItems"
        },
        ListApplicationDependencies: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxItems"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/serverlessapplicationrepository.js
var require_serverlessapplicationrepository = __commonJS({
  "node_modules/aws-sdk/clients/serverlessapplicationrepository.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["serverlessapplicationrepository"] = {};
    AWS2.ServerlessApplicationRepository = Service.defineService("serverlessapplicationrepository", ["2017-09-08"]);
    Object.defineProperty(apiLoader.services["serverlessapplicationrepository"], "2017-09-08", {
      get: function get() {
        var model = require_serverlessrepo_2017_09_08_min();
        model.paginators = require_serverlessrepo_2017_09_08_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ServerlessApplicationRepository;
  }
});

// node_modules/aws-sdk/apis/servicediscovery-2017-03-14.min.json
var require_servicediscovery_2017_03_14_min = __commonJS({
  "node_modules/aws-sdk/apis/servicediscovery-2017-03-14.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-03-14",
        endpointPrefix: "servicediscovery",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "ServiceDiscovery",
        serviceFullName: "AWS Cloud Map",
        serviceId: "ServiceDiscovery",
        signatureVersion: "v4",
        targetPrefix: "Route53AutoNaming_v20170314",
        uid: "servicediscovery-2017-03-14"
      },
      operations: {
        CreateHttpNamespace: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              CreatorRequestId: {
                idempotencyToken: true
              },
              Description: {},
              Tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        CreatePrivateDnsNamespace: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Vpc"
            ],
            members: {
              Name: {},
              CreatorRequestId: {
                idempotencyToken: true
              },
              Description: {},
              Vpc: {},
              Tags: {
                shape: "S5"
              },
              Properties: {
                type: "structure",
                required: [
                  "DnsProperties"
                ],
                members: {
                  DnsProperties: {
                    type: "structure",
                    required: [
                      "SOA"
                    ],
                    members: {
                      SOA: {
                        shape: "Sf"
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        CreatePublicDnsNamespace: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              CreatorRequestId: {
                idempotencyToken: true
              },
              Description: {},
              Tags: {
                shape: "S5"
              },
              Properties: {
                type: "structure",
                required: [
                  "DnsProperties"
                ],
                members: {
                  DnsProperties: {
                    type: "structure",
                    required: [
                      "SOA"
                    ],
                    members: {
                      SOA: {
                        shape: "Sf"
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        CreateService: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              NamespaceId: {},
              CreatorRequestId: {
                idempotencyToken: true
              },
              Description: {},
              DnsConfig: {
                shape: "Sp"
              },
              HealthCheckConfig: {
                shape: "Su"
              },
              HealthCheckCustomConfig: {
                shape: "Sy"
              },
              Tags: {
                shape: "S5"
              },
              Type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Service: {
                shape: "S11"
              }
            }
          }
        },
        DeleteNamespace: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        DeleteService: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeregisterInstance: {
          input: {
            type: "structure",
            required: [
              "ServiceId",
              "InstanceId"
            ],
            members: {
              ServiceId: {},
              InstanceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        DiscoverInstances: {
          input: {
            type: "structure",
            required: [
              "NamespaceName",
              "ServiceName"
            ],
            members: {
              NamespaceName: {},
              ServiceName: {},
              MaxResults: {
                type: "integer"
              },
              QueryParameters: {
                shape: "S1f"
              },
              OptionalParameters: {
                shape: "S1f"
              },
              HealthStatus: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Instances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InstanceId: {},
                    NamespaceName: {},
                    ServiceName: {},
                    HealthStatus: {},
                    Attributes: {
                      shape: "S1f"
                    }
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "data-"
          }
        },
        GetInstance: {
          input: {
            type: "structure",
            required: [
              "ServiceId",
              "InstanceId"
            ],
            members: {
              ServiceId: {},
              InstanceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Instance: {
                type: "structure",
                required: [
                  "Id"
                ],
                members: {
                  Id: {},
                  CreatorRequestId: {},
                  Attributes: {
                    shape: "S1f"
                  }
                }
              }
            }
          }
        },
        GetInstancesHealthStatus: {
          input: {
            type: "structure",
            required: [
              "ServiceId"
            ],
            members: {
              ServiceId: {},
              Instances: {
                type: "list",
                member: {}
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                type: "map",
                key: {},
                value: {}
              },
              NextToken: {}
            }
          }
        },
        GetNamespace: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Namespace: {
                type: "structure",
                members: {
                  Id: {},
                  Arn: {},
                  Name: {},
                  Type: {},
                  Description: {},
                  ServiceCount: {
                    type: "integer"
                  },
                  Properties: {
                    shape: "S20"
                  },
                  CreateDate: {
                    type: "timestamp"
                  },
                  CreatorRequestId: {}
                }
              }
            }
          }
        },
        GetOperation: {
          input: {
            type: "structure",
            required: [
              "OperationId"
            ],
            members: {
              OperationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Operation: {
                type: "structure",
                members: {
                  Id: {},
                  Type: {},
                  Status: {},
                  ErrorMessage: {},
                  ErrorCode: {},
                  CreateDate: {
                    type: "timestamp"
                  },
                  UpdateDate: {
                    type: "timestamp"
                  },
                  Targets: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                }
              }
            }
          }
        },
        GetService: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Service: {
                shape: "S11"
              }
            }
          }
        },
        ListInstances: {
          input: {
            type: "structure",
            required: [
              "ServiceId"
            ],
            members: {
              ServiceId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Instances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Attributes: {
                      shape: "S1f"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListNamespaces: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Values"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      shape: "S2m"
                    },
                    Condition: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Namespaces: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Name: {},
                    Type: {},
                    Description: {},
                    ServiceCount: {
                      type: "integer"
                    },
                    Properties: {
                      shape: "S20"
                    },
                    CreateDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListOperations: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Values"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      shape: "S2m"
                    },
                    Condition: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Operations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Status: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListServices: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Values"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      shape: "S2m"
                    },
                    Condition: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Services: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Name: {},
                    Type: {},
                    Description: {},
                    InstanceCount: {
                      type: "integer"
                    },
                    DnsConfig: {
                      shape: "Sp"
                    },
                    HealthCheckConfig: {
                      shape: "Su"
                    },
                    HealthCheckCustomConfig: {
                      shape: "Sy"
                    },
                    CreateDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S5"
              }
            }
          }
        },
        RegisterInstance: {
          input: {
            type: "structure",
            required: [
              "ServiceId",
              "InstanceId",
              "Attributes"
            ],
            members: {
              ServiceId: {},
              InstanceId: {},
              CreatorRequestId: {
                idempotencyToken: true
              },
              Attributes: {
                shape: "S1f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateHttpNamespace: {
          input: {
            type: "structure",
            required: [
              "Id",
              "Namespace"
            ],
            members: {
              Id: {},
              UpdaterRequestId: {
                idempotencyToken: true
              },
              Namespace: {
                type: "structure",
                required: [
                  "Description"
                ],
                members: {
                  Description: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        UpdateInstanceCustomHealthStatus: {
          input: {
            type: "structure",
            required: [
              "ServiceId",
              "InstanceId",
              "Status"
            ],
            members: {
              ServiceId: {},
              InstanceId: {},
              Status: {}
            }
          }
        },
        UpdatePrivateDnsNamespace: {
          input: {
            type: "structure",
            required: [
              "Id",
              "Namespace"
            ],
            members: {
              Id: {},
              UpdaterRequestId: {
                idempotencyToken: true
              },
              Namespace: {
                type: "structure",
                members: {
                  Description: {},
                  Properties: {
                    type: "structure",
                    required: [
                      "DnsProperties"
                    ],
                    members: {
                      DnsProperties: {
                        type: "structure",
                        required: [
                          "SOA"
                        ],
                        members: {
                          SOA: {
                            shape: "S3q"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        UpdatePublicDnsNamespace: {
          input: {
            type: "structure",
            required: [
              "Id",
              "Namespace"
            ],
            members: {
              Id: {},
              UpdaterRequestId: {
                idempotencyToken: true
              },
              Namespace: {
                type: "structure",
                members: {
                  Description: {},
                  Properties: {
                    type: "structure",
                    required: [
                      "DnsProperties"
                    ],
                    members: {
                      DnsProperties: {
                        type: "structure",
                        required: [
                          "SOA"
                        ],
                        members: {
                          SOA: {
                            shape: "S3q"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        },
        UpdateService: {
          input: {
            type: "structure",
            required: [
              "Id",
              "Service"
            ],
            members: {
              Id: {},
              Service: {
                type: "structure",
                members: {
                  Description: {},
                  DnsConfig: {
                    type: "structure",
                    required: [
                      "DnsRecords"
                    ],
                    members: {
                      DnsRecords: {
                        shape: "Sr"
                      }
                    }
                  },
                  HealthCheckConfig: {
                    shape: "Su"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OperationId: {}
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sf: {
          type: "structure",
          required: [
            "TTL"
          ],
          members: {
            TTL: {
              type: "long"
            }
          }
        },
        Sp: {
          type: "structure",
          required: [
            "DnsRecords"
          ],
          members: {
            NamespaceId: {
              deprecated: true,
              deprecatedMessage: "Top level attribute in request should be used to reference namespace-id"
            },
            RoutingPolicy: {},
            DnsRecords: {
              shape: "Sr"
            }
          }
        },
        Sr: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Type",
              "TTL"
            ],
            members: {
              Type: {},
              TTL: {
                type: "long"
              }
            }
          }
        },
        Su: {
          type: "structure",
          required: [
            "Type"
          ],
          members: {
            Type: {},
            ResourcePath: {},
            FailureThreshold: {
              type: "integer"
            }
          }
        },
        Sy: {
          type: "structure",
          members: {
            FailureThreshold: {
              deprecated: true,
              deprecatedMessage: "Configurable FailureThreshold of HealthCheckCustomConfig is deprecated.  It will always have value 1.",
              type: "integer"
            }
          }
        },
        S11: {
          type: "structure",
          members: {
            Id: {},
            Arn: {},
            Name: {},
            NamespaceId: {},
            Description: {},
            InstanceCount: {
              type: "integer"
            },
            DnsConfig: {
              shape: "Sp"
            },
            Type: {},
            HealthCheckConfig: {
              shape: "Su"
            },
            HealthCheckCustomConfig: {
              shape: "Sy"
            },
            CreateDate: {
              type: "timestamp"
            },
            CreatorRequestId: {}
          }
        },
        S1f: {
          type: "map",
          key: {},
          value: {}
        },
        S20: {
          type: "structure",
          members: {
            DnsProperties: {
              type: "structure",
              members: {
                HostedZoneId: {},
                SOA: {
                  shape: "Sf"
                }
              }
            },
            HttpProperties: {
              type: "structure",
              members: {
                HttpName: {}
              }
            }
          }
        },
        S2m: {
          type: "list",
          member: {}
        },
        S3q: {
          type: "structure",
          required: [
            "TTL"
          ],
          members: {
            TTL: {
              type: "long"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/servicediscovery-2017-03-14.paginators.json
var require_servicediscovery_2017_03_14_paginators = __commonJS({
  "node_modules/aws-sdk/apis/servicediscovery-2017-03-14.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetInstancesHealthStatus: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListInstances: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListNamespaces: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListOperations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListServices: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/servicediscovery.js
var require_servicediscovery = __commonJS({
  "node_modules/aws-sdk/clients/servicediscovery.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["servicediscovery"] = {};
    AWS2.ServiceDiscovery = Service.defineService("servicediscovery", ["2017-03-14"]);
    Object.defineProperty(apiLoader.services["servicediscovery"], "2017-03-14", {
      get: function get() {
        var model = require_servicediscovery_2017_03_14_min();
        model.paginators = require_servicediscovery_2017_03_14_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ServiceDiscovery;
  }
});

// node_modules/aws-sdk/apis/workmail-2017-10-01.min.json
var require_workmail_2017_10_01_min = __commonJS({
  "node_modules/aws-sdk/apis/workmail-2017-10-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-10-01",
        endpointPrefix: "workmail",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon WorkMail",
        serviceId: "WorkMail",
        signatureVersion: "v4",
        targetPrefix: "WorkMailService",
        uid: "workmail-2017-10-01"
      },
      operations: {
        AssociateDelegateToResource: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "ResourceId",
              "EntityId"
            ],
            members: {
              OrganizationId: {},
              ResourceId: {},
              EntityId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        AssociateMemberToGroup: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "GroupId",
              "MemberId"
            ],
            members: {
              OrganizationId: {},
              GroupId: {},
              MemberId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        AssumeImpersonationRole: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "ImpersonationRoleId"
            ],
            members: {
              OrganizationId: {},
              ImpersonationRoleId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Token: {},
              ExpiresIn: {
                type: "long"
              }
            }
          }
        },
        CancelMailboxExportJob: {
          input: {
            type: "structure",
            required: [
              "ClientToken",
              "JobId",
              "OrganizationId"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              JobId: {},
              OrganizationId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        CreateAlias: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "EntityId",
              "Alias"
            ],
            members: {
              OrganizationId: {},
              EntityId: {},
              Alias: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        CreateAvailabilityConfiguration: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "DomainName"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              OrganizationId: {},
              DomainName: {},
              EwsProvider: {
                shape: "Sm"
              },
              LambdaProvider: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        CreateGroup: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "Name"
            ],
            members: {
              OrganizationId: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GroupId: {}
            }
          },
          idempotent: true
        },
        CreateImpersonationRole: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "Name",
              "Type",
              "Rules"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              OrganizationId: {},
              Name: {},
              Type: {},
              Description: {},
              Rules: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ImpersonationRoleId: {}
            }
          }
        },
        CreateMobileDeviceAccessRule: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "Name",
              "Effect"
            ],
            members: {
              OrganizationId: {},
              ClientToken: {
                idempotencyToken: true
              },
              Name: {},
              Description: {},
              Effect: {},
              DeviceTypes: {
                shape: "S1d"
              },
              NotDeviceTypes: {
                shape: "S1d"
              },
              DeviceModels: {
                shape: "S1f"
              },
              NotDeviceModels: {
                shape: "S1f"
              },
              DeviceOperatingSystems: {
                shape: "S1h"
              },
              NotDeviceOperatingSystems: {
                shape: "S1h"
              },
              DeviceUserAgents: {
                shape: "S1j"
              },
              NotDeviceUserAgents: {
                shape: "S1j"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MobileDeviceAccessRuleId: {}
            }
          }
        },
        CreateOrganization: {
          input: {
            type: "structure",
            required: [
              "Alias"
            ],
            members: {
              DirectoryId: {},
              Alias: {},
              ClientToken: {
                idempotencyToken: true
              },
              Domains: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DomainName: {},
                    HostedZoneId: {}
                  }
                }
              },
              KmsKeyArn: {},
              EnableInteroperability: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationId: {}
            }
          },
          idempotent: true
        },
        CreateResource: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "Name",
              "Type"
            ],
            members: {
              OrganizationId: {},
              Name: {},
              Type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceId: {}
            }
          },
          idempotent: true
        },
        CreateUser: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "Name",
              "DisplayName",
              "Password"
            ],
            members: {
              OrganizationId: {},
              Name: {},
              DisplayName: {},
              Password: {
                shape: "Sp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserId: {}
            }
          },
          idempotent: true
        },
        DeleteAccessControlRule: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "Name"
            ],
            members: {
              OrganizationId: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAlias: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "EntityId",
              "Alias"
            ],
            members: {
              OrganizationId: {},
              EntityId: {},
              Alias: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteAvailabilityConfiguration: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "DomainName"
            ],
            members: {
              OrganizationId: {},
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteEmailMonitoringConfiguration: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteGroup: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "GroupId"
            ],
            members: {
              OrganizationId: {},
              GroupId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteImpersonationRole: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "ImpersonationRoleId"
            ],
            members: {
              OrganizationId: {},
              ImpersonationRoleId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteMailboxPermissions: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "EntityId",
              "GranteeId"
            ],
            members: {
              OrganizationId: {},
              EntityId: {},
              GranteeId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteMobileDeviceAccessOverride: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "UserId",
              "DeviceId"
            ],
            members: {
              OrganizationId: {},
              UserId: {},
              DeviceId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteMobileDeviceAccessRule: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "MobileDeviceAccessRuleId"
            ],
            members: {
              OrganizationId: {},
              MobileDeviceAccessRuleId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteOrganization: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "DeleteDirectory"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              OrganizationId: {},
              DeleteDirectory: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationId: {},
              State: {}
            }
          },
          idempotent: true
        },
        DeleteResource: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "ResourceId"
            ],
            members: {
              OrganizationId: {},
              ResourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteRetentionPolicy: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "Id"
            ],
            members: {
              OrganizationId: {},
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteUser: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "UserId"
            ],
            members: {
              OrganizationId: {},
              UserId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeregisterFromWorkMail: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "EntityId"
            ],
            members: {
              OrganizationId: {},
              EntityId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeregisterMailDomain: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "DomainName"
            ],
            members: {
              OrganizationId: {},
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DescribeEmailMonitoringConfiguration: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RoleArn: {},
              LogGroupArn: {}
            }
          },
          idempotent: true
        },
        DescribeGroup: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "GroupId"
            ],
            members: {
              OrganizationId: {},
              GroupId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GroupId: {},
              Name: {},
              Email: {},
              State: {},
              EnabledDate: {
                type: "timestamp"
              },
              DisabledDate: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        },
        DescribeInboundDmarcSettings: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Enforced: {
                type: "boolean"
              }
            }
          },
          idempotent: true
        },
        DescribeMailboxExportJob: {
          input: {
            type: "structure",
            required: [
              "JobId",
              "OrganizationId"
            ],
            members: {
              JobId: {},
              OrganizationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EntityId: {},
              Description: {},
              RoleArn: {},
              KmsKeyArn: {},
              S3BucketName: {},
              S3Prefix: {},
              S3Path: {},
              EstimatedProgress: {
                type: "integer"
              },
              State: {},
              ErrorInfo: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        },
        DescribeOrganization: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationId: {},
              Alias: {},
              State: {},
              DirectoryId: {},
              DirectoryType: {},
              DefaultMailDomain: {},
              CompletedDate: {
                type: "timestamp"
              },
              ErrorMessage: {},
              ARN: {}
            }
          },
          idempotent: true
        },
        DescribeResource: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "ResourceId"
            ],
            members: {
              OrganizationId: {},
              ResourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceId: {},
              Email: {},
              Name: {},
              Type: {},
              BookingOptions: {
                shape: "S3p"
              },
              State: {},
              EnabledDate: {
                type: "timestamp"
              },
              DisabledDate: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        },
        DescribeUser: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "UserId"
            ],
            members: {
              OrganizationId: {},
              UserId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UserId: {},
              Name: {},
              Email: {},
              DisplayName: {},
              State: {},
              UserRole: {},
              EnabledDate: {
                type: "timestamp"
              },
              DisabledDate: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        },
        DisassociateDelegateFromResource: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "ResourceId",
              "EntityId"
            ],
            members: {
              OrganizationId: {},
              ResourceId: {},
              EntityId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DisassociateMemberFromGroup: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "GroupId",
              "MemberId"
            ],
            members: {
              OrganizationId: {},
              GroupId: {},
              MemberId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetAccessControlEffect: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "IpAddress",
              "Action"
            ],
            members: {
              OrganizationId: {},
              IpAddress: {},
              Action: {},
              UserId: {},
              ImpersonationRoleId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Effect: {},
              MatchedRules: {
                type: "list",
                member: {}
              }
            }
          }
        },
        GetDefaultRetentionPolicy: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              Name: {},
              Description: {},
              FolderConfigurations: {
                shape: "S45"
              }
            }
          },
          idempotent: true
        },
        GetImpersonationRole: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "ImpersonationRoleId"
            ],
            members: {
              OrganizationId: {},
              ImpersonationRoleId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ImpersonationRoleId: {},
              Name: {},
              Type: {},
              Description: {},
              Rules: {
                shape: "S10"
              },
              DateCreated: {
                type: "timestamp"
              },
              DateModified: {
                type: "timestamp"
              }
            }
          }
        },
        GetImpersonationRoleEffect: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "ImpersonationRoleId",
              "TargetUser"
            ],
            members: {
              OrganizationId: {},
              ImpersonationRoleId: {},
              TargetUser: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Type: {},
              Effect: {},
              MatchedRules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ImpersonationRuleId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        GetMailDomain: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "DomainName"
            ],
            members: {
              OrganizationId: {},
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Records: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    Hostname: {},
                    Value: {}
                  }
                }
              },
              IsTestDomain: {
                type: "boolean"
              },
              IsDefault: {
                type: "boolean"
              },
              OwnershipVerificationStatus: {},
              DkimVerificationStatus: {}
            }
          },
          idempotent: true
        },
        GetMailboxDetails: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "UserId"
            ],
            members: {
              OrganizationId: {},
              UserId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MailboxQuota: {
                type: "integer"
              },
              MailboxSize: {
                type: "double"
              }
            }
          },
          idempotent: true
        },
        GetMobileDeviceAccessEffect: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {},
              DeviceType: {},
              DeviceModel: {},
              DeviceOperatingSystem: {},
              DeviceUserAgent: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Effect: {},
              MatchedRules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MobileDeviceAccessRuleId: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        GetMobileDeviceAccessOverride: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "UserId",
              "DeviceId"
            ],
            members: {
              OrganizationId: {},
              UserId: {},
              DeviceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UserId: {},
              DeviceId: {},
              Effect: {},
              Description: {},
              DateCreated: {
                type: "timestamp"
              },
              DateModified: {
                type: "timestamp"
              }
            }
          }
        },
        ListAccessControlRules: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Rules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Effect: {},
                    Description: {},
                    IpRanges: {
                      shape: "S50"
                    },
                    NotIpRanges: {
                      shape: "S50"
                    },
                    Actions: {
                      shape: "S52"
                    },
                    NotActions: {
                      shape: "S52"
                    },
                    UserIds: {
                      shape: "S53"
                    },
                    NotUserIds: {
                      shape: "S53"
                    },
                    DateCreated: {
                      type: "timestamp"
                    },
                    DateModified: {
                      type: "timestamp"
                    },
                    ImpersonationRoleIds: {
                      shape: "S54"
                    },
                    NotImpersonationRoleIds: {
                      shape: "S54"
                    }
                  }
                }
              }
            }
          }
        },
        ListAliases: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "EntityId"
            ],
            members: {
              OrganizationId: {},
              EntityId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Aliases: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListAvailabilityConfigurations: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AvailabilityConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DomainName: {},
                    ProviderType: {},
                    EwsProvider: {
                      type: "structure",
                      members: {
                        EwsEndpoint: {},
                        EwsUsername: {}
                      }
                    },
                    LambdaProvider: {
                      shape: "Sq"
                    },
                    DateCreated: {
                      type: "timestamp"
                    },
                    DateModified: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListGroupMembers: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "GroupId"
            ],
            members: {
              OrganizationId: {},
              GroupId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Members: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Name: {},
                    Type: {},
                    State: {},
                    EnabledDate: {
                      type: "timestamp"
                    },
                    DisabledDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListGroups: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Groups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Email: {},
                    Name: {},
                    State: {},
                    EnabledDate: {
                      type: "timestamp"
                    },
                    DisabledDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListImpersonationRoles: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Roles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ImpersonationRoleId: {},
                    Name: {},
                    Type: {},
                    DateCreated: {
                      type: "timestamp"
                    },
                    DateModified: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListMailDomains: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MailDomains: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DomainName: {},
                    DefaultDomain: {
                      type: "boolean"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListMailboxExportJobs: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Jobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    JobId: {},
                    EntityId: {},
                    Description: {},
                    S3BucketName: {},
                    S3Path: {},
                    EstimatedProgress: {
                      type: "integer"
                    },
                    State: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListMailboxPermissions: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "EntityId"
            ],
            members: {
              OrganizationId: {},
              EntityId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Permissions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "GranteeId",
                    "GranteeType",
                    "PermissionValues"
                  ],
                  members: {
                    GranteeId: {},
                    GranteeType: {},
                    PermissionValues: {
                      shape: "S65"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListMobileDeviceAccessOverrides: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {},
              UserId: {},
              DeviceId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Overrides: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    UserId: {},
                    DeviceId: {},
                    Effect: {},
                    Description: {},
                    DateCreated: {
                      type: "timestamp"
                    },
                    DateModified: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListMobileDeviceAccessRules: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Rules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MobileDeviceAccessRuleId: {},
                    Name: {},
                    Description: {},
                    Effect: {},
                    DeviceTypes: {
                      shape: "S1d"
                    },
                    NotDeviceTypes: {
                      shape: "S1d"
                    },
                    DeviceModels: {
                      shape: "S1f"
                    },
                    NotDeviceModels: {
                      shape: "S1f"
                    },
                    DeviceOperatingSystems: {
                      shape: "S1h"
                    },
                    NotDeviceOperatingSystems: {
                      shape: "S1h"
                    },
                    DeviceUserAgents: {
                      shape: "S1j"
                    },
                    NotDeviceUserAgents: {
                      shape: "S1j"
                    },
                    DateCreated: {
                      type: "timestamp"
                    },
                    DateModified: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListOrganizations: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    OrganizationId: {},
                    Alias: {},
                    DefaultMailDomain: {},
                    ErrorMessage: {},
                    State: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListResourceDelegates: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "ResourceId"
            ],
            members: {
              OrganizationId: {},
              ResourceId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Delegates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Id",
                    "Type"
                  ],
                  members: {
                    Id: {},
                    Type: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListResources: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Resources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Email: {},
                    Name: {},
                    Type: {},
                    State: {},
                    EnabledDate: {
                      type: "timestamp"
                    },
                    DisabledDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S6t"
              }
            }
          }
        },
        ListUsers: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Users: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Email: {},
                    Name: {},
                    DisplayName: {},
                    State: {},
                    UserRole: {},
                    EnabledDate: {
                      type: "timestamp"
                    },
                    DisabledDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        PutAccessControlRule: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Effect",
              "Description",
              "OrganizationId"
            ],
            members: {
              Name: {},
              Effect: {},
              Description: {},
              IpRanges: {
                shape: "S50"
              },
              NotIpRanges: {
                shape: "S50"
              },
              Actions: {
                shape: "S52"
              },
              NotActions: {
                shape: "S52"
              },
              UserIds: {
                shape: "S53"
              },
              NotUserIds: {
                shape: "S53"
              },
              OrganizationId: {},
              ImpersonationRoleIds: {
                shape: "S54"
              },
              NotImpersonationRoleIds: {
                shape: "S54"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutEmailMonitoringConfiguration: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "RoleArn",
              "LogGroupArn"
            ],
            members: {
              OrganizationId: {},
              RoleArn: {},
              LogGroupArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        PutInboundDmarcSettings: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "Enforced"
            ],
            members: {
              OrganizationId: {},
              Enforced: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        PutMailboxPermissions: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "EntityId",
              "GranteeId",
              "PermissionValues"
            ],
            members: {
              OrganizationId: {},
              EntityId: {},
              GranteeId: {},
              PermissionValues: {
                shape: "S65"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        PutMobileDeviceAccessOverride: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "UserId",
              "DeviceId",
              "Effect"
            ],
            members: {
              OrganizationId: {},
              UserId: {},
              DeviceId: {},
              Effect: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutRetentionPolicy: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "Name",
              "FolderConfigurations"
            ],
            members: {
              OrganizationId: {},
              Id: {},
              Name: {},
              Description: {
                type: "string",
                sensitive: true
              },
              FolderConfigurations: {
                shape: "S45"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        RegisterMailDomain: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "DomainName"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              OrganizationId: {},
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        RegisterToWorkMail: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "EntityId",
              "Email"
            ],
            members: {
              OrganizationId: {},
              EntityId: {},
              Email: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        ResetPassword: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "UserId",
              "Password"
            ],
            members: {
              OrganizationId: {},
              UserId: {},
              Password: {
                shape: "Sp"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        StartMailboxExportJob: {
          input: {
            type: "structure",
            required: [
              "ClientToken",
              "OrganizationId",
              "EntityId",
              "RoleArn",
              "KmsKeyArn",
              "S3BucketName",
              "S3Prefix"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              OrganizationId: {},
              EntityId: {},
              Description: {},
              RoleArn: {},
              KmsKeyArn: {},
              S3BucketName: {},
              S3Prefix: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          },
          idempotent: true
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S6t"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TestAvailabilityConfiguration: {
          input: {
            type: "structure",
            required: [
              "OrganizationId"
            ],
            members: {
              OrganizationId: {},
              DomainName: {},
              EwsProvider: {
                shape: "Sm"
              },
              LambdaProvider: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TestPassed: {
                type: "boolean"
              },
              FailureReason: {}
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAvailabilityConfiguration: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "DomainName"
            ],
            members: {
              OrganizationId: {},
              DomainName: {},
              EwsProvider: {
                shape: "Sm"
              },
              LambdaProvider: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateDefaultMailDomain: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "DomainName"
            ],
            members: {
              OrganizationId: {},
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateImpersonationRole: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "ImpersonationRoleId",
              "Name",
              "Type",
              "Rules"
            ],
            members: {
              OrganizationId: {},
              ImpersonationRoleId: {},
              Name: {},
              Type: {},
              Description: {},
              Rules: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateMailboxQuota: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "UserId",
              "MailboxQuota"
            ],
            members: {
              OrganizationId: {},
              UserId: {},
              MailboxQuota: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateMobileDeviceAccessRule: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "MobileDeviceAccessRuleId",
              "Name",
              "Effect"
            ],
            members: {
              OrganizationId: {},
              MobileDeviceAccessRuleId: {},
              Name: {},
              Description: {},
              Effect: {},
              DeviceTypes: {
                shape: "S1d"
              },
              NotDeviceTypes: {
                shape: "S1d"
              },
              DeviceModels: {
                shape: "S1f"
              },
              NotDeviceModels: {
                shape: "S1f"
              },
              DeviceOperatingSystems: {
                shape: "S1h"
              },
              NotDeviceOperatingSystems: {
                shape: "S1h"
              },
              DeviceUserAgents: {
                shape: "S1j"
              },
              NotDeviceUserAgents: {
                shape: "S1j"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdatePrimaryEmailAddress: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "EntityId",
              "Email"
            ],
            members: {
              OrganizationId: {},
              EntityId: {},
              Email: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateResource: {
          input: {
            type: "structure",
            required: [
              "OrganizationId",
              "ResourceId"
            ],
            members: {
              OrganizationId: {},
              ResourceId: {},
              Name: {},
              BookingOptions: {
                shape: "S3p"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        }
      },
      shapes: {
        Sm: {
          type: "structure",
          required: [
            "EwsEndpoint",
            "EwsUsername",
            "EwsPassword"
          ],
          members: {
            EwsEndpoint: {},
            EwsUsername: {},
            EwsPassword: {
              shape: "Sp"
            }
          }
        },
        Sp: {
          type: "string",
          sensitive: true
        },
        Sq: {
          type: "structure",
          required: [
            "LambdaArn"
          ],
          members: {
            LambdaArn: {}
          }
        },
        S10: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ImpersonationRuleId",
              "Effect"
            ],
            members: {
              ImpersonationRuleId: {},
              Name: {},
              Description: {},
              Effect: {},
              TargetUsers: {
                shape: "S16"
              },
              NotTargetUsers: {
                shape: "S16"
              }
            }
          }
        },
        S16: {
          type: "list",
          member: {}
        },
        S1d: {
          type: "list",
          member: {}
        },
        S1f: {
          type: "list",
          member: {}
        },
        S1h: {
          type: "list",
          member: {}
        },
        S1j: {
          type: "list",
          member: {}
        },
        S3p: {
          type: "structure",
          members: {
            AutoAcceptRequests: {
              type: "boolean"
            },
            AutoDeclineRecurringRequests: {
              type: "boolean"
            },
            AutoDeclineConflictingRequests: {
              type: "boolean"
            }
          }
        },
        S45: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Action"
            ],
            members: {
              Name: {},
              Action: {},
              Period: {
                type: "integer"
              }
            }
          }
        },
        S50: {
          type: "list",
          member: {}
        },
        S52: {
          type: "list",
          member: {}
        },
        S53: {
          type: "list",
          member: {}
        },
        S54: {
          type: "list",
          member: {}
        },
        S65: {
          type: "list",
          member: {}
        },
        S6t: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/workmail-2017-10-01.paginators.json
var require_workmail_2017_10_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/workmail-2017-10-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAliases: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAvailabilityConfigurations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "AvailabilityConfigurations"
        },
        ListGroupMembers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListImpersonationRoles: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMailDomains: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMailboxExportJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMailboxPermissions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMobileDeviceAccessOverrides: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListOrganizations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListResourceDelegates: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListResources: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListUsers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/workmail.js
var require_workmail = __commonJS({
  "node_modules/aws-sdk/clients/workmail.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["workmail"] = {};
    AWS2.WorkMail = Service.defineService("workmail", ["2017-10-01"]);
    Object.defineProperty(apiLoader.services["workmail"], "2017-10-01", {
      get: function get() {
        var model = require_workmail_2017_10_01_min();
        model.paginators = require_workmail_2017_10_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.WorkMail;
  }
});

// node_modules/aws-sdk/apis/autoscaling-plans-2018-01-06.min.json
var require_autoscaling_plans_2018_01_06_min = __commonJS({
  "node_modules/aws-sdk/apis/autoscaling-plans-2018-01-06.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-01-06",
        endpointPrefix: "autoscaling-plans",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Auto Scaling Plans",
        serviceId: "Auto Scaling Plans",
        signatureVersion: "v4",
        signingName: "autoscaling-plans",
        targetPrefix: "AnyScaleScalingPlannerFrontendService",
        uid: "autoscaling-plans-2018-01-06"
      },
      operations: {
        CreateScalingPlan: {
          input: {
            type: "structure",
            required: [
              "ScalingPlanName",
              "ApplicationSource",
              "ScalingInstructions"
            ],
            members: {
              ScalingPlanName: {},
              ApplicationSource: {
                shape: "S3"
              },
              ScalingInstructions: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ScalingPlanVersion"
            ],
            members: {
              ScalingPlanVersion: {
                type: "long"
              }
            }
          }
        },
        DeleteScalingPlan: {
          input: {
            type: "structure",
            required: [
              "ScalingPlanName",
              "ScalingPlanVersion"
            ],
            members: {
              ScalingPlanName: {},
              ScalingPlanVersion: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeScalingPlanResources: {
          input: {
            type: "structure",
            required: [
              "ScalingPlanName",
              "ScalingPlanVersion"
            ],
            members: {
              ScalingPlanName: {},
              ScalingPlanVersion: {
                type: "long"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ScalingPlanResources: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ScalingPlanName",
                    "ScalingPlanVersion",
                    "ServiceNamespace",
                    "ResourceId",
                    "ScalableDimension",
                    "ScalingStatusCode"
                  ],
                  members: {
                    ScalingPlanName: {},
                    ScalingPlanVersion: {
                      type: "long"
                    },
                    ServiceNamespace: {},
                    ResourceId: {},
                    ScalableDimension: {},
                    ScalingPolicies: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "PolicyName",
                          "PolicyType"
                        ],
                        members: {
                          PolicyName: {},
                          PolicyType: {},
                          TargetTrackingConfiguration: {
                            shape: "Sh"
                          }
                        }
                      }
                    },
                    ScalingStatusCode: {},
                    ScalingStatusMessage: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeScalingPlans: {
          input: {
            type: "structure",
            members: {
              ScalingPlanNames: {
                type: "list",
                member: {}
              },
              ScalingPlanVersion: {
                type: "long"
              },
              ApplicationSources: {
                type: "list",
                member: {
                  shape: "S3"
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ScalingPlans: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ScalingPlanName",
                    "ScalingPlanVersion",
                    "ApplicationSource",
                    "ScalingInstructions",
                    "StatusCode"
                  ],
                  members: {
                    ScalingPlanName: {},
                    ScalingPlanVersion: {
                      type: "long"
                    },
                    ApplicationSource: {
                      shape: "S3"
                    },
                    ScalingInstructions: {
                      shape: "Sa"
                    },
                    StatusCode: {},
                    StatusMessage: {},
                    StatusStartTime: {
                      type: "timestamp"
                    },
                    CreationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetScalingPlanResourceForecastData: {
          input: {
            type: "structure",
            required: [
              "ScalingPlanName",
              "ScalingPlanVersion",
              "ServiceNamespace",
              "ResourceId",
              "ScalableDimension",
              "ForecastDataType",
              "StartTime",
              "EndTime"
            ],
            members: {
              ScalingPlanName: {},
              ScalingPlanVersion: {
                type: "long"
              },
              ServiceNamespace: {},
              ResourceId: {},
              ScalableDimension: {},
              ForecastDataType: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Datapoints"
            ],
            members: {
              Datapoints: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Timestamp: {
                      type: "timestamp"
                    },
                    Value: {
                      type: "double"
                    }
                  }
                }
              }
            }
          }
        },
        UpdateScalingPlan: {
          input: {
            type: "structure",
            required: [
              "ScalingPlanName",
              "ScalingPlanVersion"
            ],
            members: {
              ScalingPlanName: {},
              ScalingPlanVersion: {
                type: "long"
              },
              ApplicationSource: {
                shape: "S3"
              },
              ScalingInstructions: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S3: {
          type: "structure",
          members: {
            CloudFormationStackARN: {},
            TagFilters: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Key: {},
                  Values: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          }
        },
        Sa: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ServiceNamespace",
              "ResourceId",
              "ScalableDimension",
              "MinCapacity",
              "MaxCapacity",
              "TargetTrackingConfigurations"
            ],
            members: {
              ServiceNamespace: {},
              ResourceId: {},
              ScalableDimension: {},
              MinCapacity: {
                type: "integer"
              },
              MaxCapacity: {
                type: "integer"
              },
              TargetTrackingConfigurations: {
                type: "list",
                member: {
                  shape: "Sh"
                }
              },
              PredefinedLoadMetricSpecification: {
                type: "structure",
                required: [
                  "PredefinedLoadMetricType"
                ],
                members: {
                  PredefinedLoadMetricType: {},
                  ResourceLabel: {}
                }
              },
              CustomizedLoadMetricSpecification: {
                type: "structure",
                required: [
                  "MetricName",
                  "Namespace",
                  "Statistic"
                ],
                members: {
                  MetricName: {},
                  Namespace: {},
                  Dimensions: {
                    shape: "So"
                  },
                  Statistic: {},
                  Unit: {}
                }
              },
              ScheduledActionBufferTime: {
                type: "integer"
              },
              PredictiveScalingMaxCapacityBehavior: {},
              PredictiveScalingMaxCapacityBuffer: {
                type: "integer"
              },
              PredictiveScalingMode: {},
              ScalingPolicyUpdateBehavior: {},
              DisableDynamicScaling: {
                type: "boolean"
              }
            }
          }
        },
        Sh: {
          type: "structure",
          required: [
            "TargetValue"
          ],
          members: {
            PredefinedScalingMetricSpecification: {
              type: "structure",
              required: [
                "PredefinedScalingMetricType"
              ],
              members: {
                PredefinedScalingMetricType: {},
                ResourceLabel: {}
              }
            },
            CustomizedScalingMetricSpecification: {
              type: "structure",
              required: [
                "MetricName",
                "Namespace",
                "Statistic"
              ],
              members: {
                MetricName: {},
                Namespace: {},
                Dimensions: {
                  shape: "So"
                },
                Statistic: {},
                Unit: {}
              }
            },
            TargetValue: {
              type: "double"
            },
            DisableScaleIn: {
              type: "boolean"
            },
            ScaleOutCooldown: {
              type: "integer"
            },
            ScaleInCooldown: {
              type: "integer"
            },
            EstimatedInstanceWarmup: {
              type: "integer"
            }
          }
        },
        So: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Value"
            ],
            members: {
              Name: {},
              Value: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/autoscaling-plans-2018-01-06.paginators.json
var require_autoscaling_plans_2018_01_06_paginators = __commonJS({
  "node_modules/aws-sdk/apis/autoscaling-plans-2018-01-06.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/autoscalingplans.js
var require_autoscalingplans = __commonJS({
  "node_modules/aws-sdk/clients/autoscalingplans.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["autoscalingplans"] = {};
    AWS2.AutoScalingPlans = Service.defineService("autoscalingplans", ["2018-01-06"]);
    Object.defineProperty(apiLoader.services["autoscalingplans"], "2018-01-06", {
      get: function get() {
        var model = require_autoscaling_plans_2018_01_06_min();
        model.paginators = require_autoscaling_plans_2018_01_06_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.AutoScalingPlans;
  }
});

// node_modules/aws-sdk/apis/transcribe-2017-10-26.min.json
var require_transcribe_2017_10_26_min = __commonJS({
  "node_modules/aws-sdk/apis/transcribe-2017-10-26.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-10-26",
        endpointPrefix: "transcribe",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Transcribe Service",
        serviceId: "Transcribe",
        signatureVersion: "v4",
        signingName: "transcribe",
        targetPrefix: "Transcribe",
        uid: "transcribe-2017-10-26"
      },
      operations: {
        CreateCallAnalyticsCategory: {
          input: {
            type: "structure",
            required: [
              "CategoryName",
              "Rules"
            ],
            members: {
              CategoryName: {},
              Rules: {
                shape: "S3"
              },
              InputType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CategoryProperties: {
                shape: "Sm"
              }
            }
          }
        },
        CreateLanguageModel: {
          input: {
            type: "structure",
            required: [
              "LanguageCode",
              "BaseModelName",
              "ModelName",
              "InputDataConfig"
            ],
            members: {
              LanguageCode: {},
              BaseModelName: {},
              ModelName: {},
              InputDataConfig: {
                shape: "Ss"
              },
              Tags: {
                shape: "Sv"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LanguageCode: {},
              BaseModelName: {},
              ModelName: {},
              InputDataConfig: {
                shape: "Ss"
              },
              ModelStatus: {}
            }
          }
        },
        CreateMedicalVocabulary: {
          input: {
            type: "structure",
            required: [
              "VocabularyName",
              "LanguageCode",
              "VocabularyFileUri"
            ],
            members: {
              VocabularyName: {},
              LanguageCode: {},
              VocabularyFileUri: {},
              Tags: {
                shape: "Sv"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VocabularyName: {},
              LanguageCode: {},
              VocabularyState: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              FailureReason: {}
            }
          }
        },
        CreateVocabulary: {
          input: {
            type: "structure",
            required: [
              "VocabularyName",
              "LanguageCode"
            ],
            members: {
              VocabularyName: {},
              LanguageCode: {},
              Phrases: {
                shape: "S18"
              },
              VocabularyFileUri: {},
              Tags: {
                shape: "Sv"
              },
              DataAccessRoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VocabularyName: {},
              LanguageCode: {},
              VocabularyState: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              FailureReason: {}
            }
          }
        },
        CreateVocabularyFilter: {
          input: {
            type: "structure",
            required: [
              "VocabularyFilterName",
              "LanguageCode"
            ],
            members: {
              VocabularyFilterName: {},
              LanguageCode: {},
              Words: {
                shape: "S1d"
              },
              VocabularyFilterFileUri: {},
              Tags: {
                shape: "Sv"
              },
              DataAccessRoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VocabularyFilterName: {},
              LanguageCode: {},
              LastModifiedTime: {
                type: "timestamp"
              }
            }
          }
        },
        DeleteCallAnalyticsCategory: {
          input: {
            type: "structure",
            required: [
              "CategoryName"
            ],
            members: {
              CategoryName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteCallAnalyticsJob: {
          input: {
            type: "structure",
            required: [
              "CallAnalyticsJobName"
            ],
            members: {
              CallAnalyticsJobName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteLanguageModel: {
          input: {
            type: "structure",
            required: [
              "ModelName"
            ],
            members: {
              ModelName: {}
            }
          }
        },
        DeleteMedicalTranscriptionJob: {
          input: {
            type: "structure",
            required: [
              "MedicalTranscriptionJobName"
            ],
            members: {
              MedicalTranscriptionJobName: {}
            }
          }
        },
        DeleteMedicalVocabulary: {
          input: {
            type: "structure",
            required: [
              "VocabularyName"
            ],
            members: {
              VocabularyName: {}
            }
          }
        },
        DeleteTranscriptionJob: {
          input: {
            type: "structure",
            required: [
              "TranscriptionJobName"
            ],
            members: {
              TranscriptionJobName: {}
            }
          }
        },
        DeleteVocabulary: {
          input: {
            type: "structure",
            required: [
              "VocabularyName"
            ],
            members: {
              VocabularyName: {}
            }
          }
        },
        DeleteVocabularyFilter: {
          input: {
            type: "structure",
            required: [
              "VocabularyFilterName"
            ],
            members: {
              VocabularyFilterName: {}
            }
          }
        },
        DescribeLanguageModel: {
          input: {
            type: "structure",
            required: [
              "ModelName"
            ],
            members: {
              ModelName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LanguageModel: {
                shape: "S1u"
              }
            }
          }
        },
        GetCallAnalyticsCategory: {
          input: {
            type: "structure",
            required: [
              "CategoryName"
            ],
            members: {
              CategoryName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CategoryProperties: {
                shape: "Sm"
              }
            }
          }
        },
        GetCallAnalyticsJob: {
          input: {
            type: "structure",
            required: [
              "CallAnalyticsJobName"
            ],
            members: {
              CallAnalyticsJobName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CallAnalyticsJob: {
                shape: "S1z"
              }
            }
          }
        },
        GetMedicalTranscriptionJob: {
          input: {
            type: "structure",
            required: [
              "MedicalTranscriptionJobName"
            ],
            members: {
              MedicalTranscriptionJobName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MedicalTranscriptionJob: {
                shape: "S2l"
              }
            }
          }
        },
        GetMedicalVocabulary: {
          input: {
            type: "structure",
            required: [
              "VocabularyName"
            ],
            members: {
              VocabularyName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VocabularyName: {},
              LanguageCode: {},
              VocabularyState: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              FailureReason: {},
              DownloadUri: {}
            }
          }
        },
        GetTranscriptionJob: {
          input: {
            type: "structure",
            required: [
              "TranscriptionJobName"
            ],
            members: {
              TranscriptionJobName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TranscriptionJob: {
                shape: "S2z"
              }
            }
          }
        },
        GetVocabulary: {
          input: {
            type: "structure",
            required: [
              "VocabularyName"
            ],
            members: {
              VocabularyName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VocabularyName: {},
              LanguageCode: {},
              VocabularyState: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              FailureReason: {},
              DownloadUri: {}
            }
          }
        },
        GetVocabularyFilter: {
          input: {
            type: "structure",
            required: [
              "VocabularyFilterName"
            ],
            members: {
              VocabularyFilterName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VocabularyFilterName: {},
              LanguageCode: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              DownloadUri: {}
            }
          }
        },
        ListCallAnalyticsCategories: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Categories: {
                type: "list",
                member: {
                  shape: "Sm"
                }
              }
            }
          }
        },
        ListCallAnalyticsJobs: {
          input: {
            type: "structure",
            members: {
              Status: {},
              JobNameContains: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {},
              NextToken: {},
              CallAnalyticsJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CallAnalyticsJobName: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    StartTime: {
                      type: "timestamp"
                    },
                    CompletionTime: {
                      type: "timestamp"
                    },
                    LanguageCode: {},
                    CallAnalyticsJobStatus: {},
                    FailureReason: {}
                  }
                }
              }
            }
          }
        },
        ListLanguageModels: {
          input: {
            type: "structure",
            members: {
              StatusEquals: {},
              NameContains: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Models: {
                type: "list",
                member: {
                  shape: "S1u"
                }
              }
            }
          }
        },
        ListMedicalTranscriptionJobs: {
          input: {
            type: "structure",
            members: {
              Status: {},
              JobNameContains: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {},
              NextToken: {},
              MedicalTranscriptionJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MedicalTranscriptionJobName: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    StartTime: {
                      type: "timestamp"
                    },
                    CompletionTime: {
                      type: "timestamp"
                    },
                    LanguageCode: {},
                    TranscriptionJobStatus: {},
                    FailureReason: {},
                    OutputLocationType: {},
                    Specialty: {},
                    ContentIdentificationType: {},
                    Type: {}
                  }
                }
              }
            }
          }
        },
        ListMedicalVocabularies: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              StateEquals: {},
              NameContains: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {},
              NextToken: {},
              Vocabularies: {
                shape: "S3y"
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sv"
              }
            }
          }
        },
        ListTranscriptionJobs: {
          input: {
            type: "structure",
            members: {
              Status: {},
              JobNameContains: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {},
              NextToken: {},
              TranscriptionJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TranscriptionJobName: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    StartTime: {
                      type: "timestamp"
                    },
                    CompletionTime: {
                      type: "timestamp"
                    },
                    LanguageCode: {},
                    TranscriptionJobStatus: {},
                    FailureReason: {},
                    OutputLocationType: {},
                    ContentRedaction: {
                      shape: "S28"
                    },
                    ModelSettings: {
                      shape: "S31"
                    },
                    IdentifyLanguage: {
                      type: "boolean"
                    },
                    IdentifyMultipleLanguages: {
                      type: "boolean"
                    },
                    IdentifiedLanguageScore: {
                      type: "float"
                    },
                    LanguageCodes: {
                      shape: "S33"
                    }
                  }
                }
              }
            }
          }
        },
        ListVocabularies: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              StateEquals: {},
              NameContains: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {},
              NextToken: {},
              Vocabularies: {
                shape: "S3y"
              }
            }
          }
        },
        ListVocabularyFilters: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              NameContains: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              VocabularyFilters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VocabularyFilterName: {},
                    LanguageCode: {},
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        StartCallAnalyticsJob: {
          input: {
            type: "structure",
            required: [
              "CallAnalyticsJobName",
              "Media"
            ],
            members: {
              CallAnalyticsJobName: {},
              Media: {
                shape: "S23"
              },
              OutputLocation: {},
              OutputEncryptionKMSKeyId: {},
              DataAccessRoleArn: {},
              Settings: {
                shape: "S26"
              },
              ChannelDefinitions: {
                shape: "S2g"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CallAnalyticsJob: {
                shape: "S1z"
              }
            }
          }
        },
        StartMedicalTranscriptionJob: {
          input: {
            type: "structure",
            required: [
              "MedicalTranscriptionJobName",
              "LanguageCode",
              "Media",
              "OutputBucketName",
              "Specialty",
              "Type"
            ],
            members: {
              MedicalTranscriptionJobName: {},
              LanguageCode: {},
              MediaSampleRateHertz: {
                type: "integer"
              },
              MediaFormat: {},
              Media: {
                shape: "S23"
              },
              OutputBucketName: {},
              OutputKey: {},
              OutputEncryptionKMSKeyId: {},
              KMSEncryptionContext: {
                shape: "S4j"
              },
              Settings: {
                shape: "S2p"
              },
              ContentIdentificationType: {},
              Specialty: {},
              Type: {},
              Tags: {
                shape: "Sv"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MedicalTranscriptionJob: {
                shape: "S2l"
              }
            }
          }
        },
        StartTranscriptionJob: {
          input: {
            type: "structure",
            required: [
              "TranscriptionJobName",
              "Media"
            ],
            members: {
              TranscriptionJobName: {},
              LanguageCode: {},
              MediaSampleRateHertz: {
                type: "integer"
              },
              MediaFormat: {},
              Media: {
                shape: "S23"
              },
              OutputBucketName: {},
              OutputKey: {},
              OutputEncryptionKMSKeyId: {},
              KMSEncryptionContext: {
                shape: "S4j"
              },
              Settings: {
                shape: "S30"
              },
              ModelSettings: {
                shape: "S31"
              },
              JobExecutionSettings: {
                shape: "S32"
              },
              ContentRedaction: {
                shape: "S28"
              },
              IdentifyLanguage: {
                type: "boolean"
              },
              IdentifyMultipleLanguages: {
                type: "boolean"
              },
              LanguageOptions: {
                shape: "S2d"
              },
              Subtitles: {
                type: "structure",
                members: {
                  Formats: {
                    shape: "S37"
                  },
                  OutputStartIndex: {
                    type: "integer"
                  }
                }
              },
              Tags: {
                shape: "Sv"
              },
              LanguageIdSettings: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TranscriptionJob: {
                shape: "S2z"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sv"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateCallAnalyticsCategory: {
          input: {
            type: "structure",
            required: [
              "CategoryName",
              "Rules"
            ],
            members: {
              CategoryName: {},
              Rules: {
                shape: "S3"
              },
              InputType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CategoryProperties: {
                shape: "Sm"
              }
            }
          }
        },
        UpdateMedicalVocabulary: {
          input: {
            type: "structure",
            required: [
              "VocabularyName",
              "LanguageCode",
              "VocabularyFileUri"
            ],
            members: {
              VocabularyName: {},
              LanguageCode: {},
              VocabularyFileUri: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VocabularyName: {},
              LanguageCode: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              VocabularyState: {}
            }
          }
        },
        UpdateVocabulary: {
          input: {
            type: "structure",
            required: [
              "VocabularyName",
              "LanguageCode"
            ],
            members: {
              VocabularyName: {},
              LanguageCode: {},
              Phrases: {
                shape: "S18"
              },
              VocabularyFileUri: {},
              DataAccessRoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VocabularyName: {},
              LanguageCode: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              VocabularyState: {}
            }
          }
        },
        UpdateVocabularyFilter: {
          input: {
            type: "structure",
            required: [
              "VocabularyFilterName"
            ],
            members: {
              VocabularyFilterName: {},
              Words: {
                shape: "S1d"
              },
              VocabularyFilterFileUri: {},
              DataAccessRoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VocabularyFilterName: {},
              LanguageCode: {},
              LastModifiedTime: {
                type: "timestamp"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            type: "structure",
            members: {
              NonTalkTimeFilter: {
                type: "structure",
                members: {
                  Threshold: {
                    type: "long"
                  },
                  AbsoluteTimeRange: {
                    shape: "S7"
                  },
                  RelativeTimeRange: {
                    shape: "S8"
                  },
                  Negate: {
                    type: "boolean"
                  }
                }
              },
              InterruptionFilter: {
                type: "structure",
                members: {
                  Threshold: {
                    type: "long"
                  },
                  ParticipantRole: {},
                  AbsoluteTimeRange: {
                    shape: "S7"
                  },
                  RelativeTimeRange: {
                    shape: "S8"
                  },
                  Negate: {
                    type: "boolean"
                  }
                }
              },
              TranscriptFilter: {
                type: "structure",
                required: [
                  "TranscriptFilterType",
                  "Targets"
                ],
                members: {
                  TranscriptFilterType: {},
                  AbsoluteTimeRange: {
                    shape: "S7"
                  },
                  RelativeTimeRange: {
                    shape: "S8"
                  },
                  ParticipantRole: {},
                  Negate: {
                    type: "boolean"
                  },
                  Targets: {
                    type: "list",
                    member: {}
                  }
                }
              },
              SentimentFilter: {
                type: "structure",
                required: [
                  "Sentiments"
                ],
                members: {
                  Sentiments: {
                    type: "list",
                    member: {}
                  },
                  AbsoluteTimeRange: {
                    shape: "S7"
                  },
                  RelativeTimeRange: {
                    shape: "S8"
                  },
                  ParticipantRole: {},
                  Negate: {
                    type: "boolean"
                  }
                }
              }
            },
            union: true
          }
        },
        S7: {
          type: "structure",
          members: {
            StartTime: {
              type: "long"
            },
            EndTime: {
              type: "long"
            },
            First: {
              type: "long"
            },
            Last: {
              type: "long"
            }
          }
        },
        S8: {
          type: "structure",
          members: {
            StartPercentage: {
              type: "integer"
            },
            EndPercentage: {
              type: "integer"
            },
            First: {
              type: "integer"
            },
            Last: {
              type: "integer"
            }
          }
        },
        Sm: {
          type: "structure",
          members: {
            CategoryName: {},
            Rules: {
              shape: "S3"
            },
            CreateTime: {
              type: "timestamp"
            },
            LastUpdateTime: {
              type: "timestamp"
            },
            InputType: {}
          }
        },
        Ss: {
          type: "structure",
          required: [
            "S3Uri",
            "DataAccessRoleArn"
          ],
          members: {
            S3Uri: {},
            TuningDataS3Uri: {},
            DataAccessRoleArn: {}
          }
        },
        Sv: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S18: {
          type: "list",
          member: {}
        },
        S1d: {
          type: "list",
          member: {}
        },
        S1u: {
          type: "structure",
          members: {
            ModelName: {},
            CreateTime: {
              type: "timestamp"
            },
            LastModifiedTime: {
              type: "timestamp"
            },
            LanguageCode: {},
            BaseModelName: {},
            ModelStatus: {},
            UpgradeAvailability: {
              type: "boolean"
            },
            FailureReason: {},
            InputDataConfig: {
              shape: "Ss"
            }
          }
        },
        S1z: {
          type: "structure",
          members: {
            CallAnalyticsJobName: {},
            CallAnalyticsJobStatus: {},
            LanguageCode: {},
            MediaSampleRateHertz: {
              type: "integer"
            },
            MediaFormat: {},
            Media: {
              shape: "S23"
            },
            Transcript: {
              shape: "S24"
            },
            StartTime: {
              type: "timestamp"
            },
            CreationTime: {
              type: "timestamp"
            },
            CompletionTime: {
              type: "timestamp"
            },
            FailureReason: {},
            DataAccessRoleArn: {},
            IdentifiedLanguageScore: {
              type: "float"
            },
            Settings: {
              shape: "S26"
            },
            ChannelDefinitions: {
              shape: "S2g"
            }
          }
        },
        S23: {
          type: "structure",
          members: {
            MediaFileUri: {},
            RedactedMediaFileUri: {}
          }
        },
        S24: {
          type: "structure",
          members: {
            TranscriptFileUri: {},
            RedactedTranscriptFileUri: {}
          }
        },
        S26: {
          type: "structure",
          members: {
            VocabularyName: {},
            VocabularyFilterName: {},
            VocabularyFilterMethod: {},
            LanguageModelName: {},
            ContentRedaction: {
              shape: "S28"
            },
            LanguageOptions: {
              shape: "S2d"
            },
            LanguageIdSettings: {
              shape: "S2e"
            }
          }
        },
        S28: {
          type: "structure",
          required: [
            "RedactionType",
            "RedactionOutput"
          ],
          members: {
            RedactionType: {},
            RedactionOutput: {},
            PiiEntityTypes: {
              type: "list",
              member: {}
            }
          }
        },
        S2d: {
          type: "list",
          member: {}
        },
        S2e: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              VocabularyName: {},
              VocabularyFilterName: {},
              LanguageModelName: {}
            }
          }
        },
        S2g: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ChannelId: {
                type: "integer"
              },
              ParticipantRole: {}
            }
          }
        },
        S2l: {
          type: "structure",
          members: {
            MedicalTranscriptionJobName: {},
            TranscriptionJobStatus: {},
            LanguageCode: {},
            MediaSampleRateHertz: {
              type: "integer"
            },
            MediaFormat: {},
            Media: {
              shape: "S23"
            },
            Transcript: {
              type: "structure",
              members: {
                TranscriptFileUri: {}
              }
            },
            StartTime: {
              type: "timestamp"
            },
            CreationTime: {
              type: "timestamp"
            },
            CompletionTime: {
              type: "timestamp"
            },
            FailureReason: {},
            Settings: {
              shape: "S2p"
            },
            ContentIdentificationType: {},
            Specialty: {},
            Type: {},
            Tags: {
              shape: "Sv"
            }
          }
        },
        S2p: {
          type: "structure",
          members: {
            ShowSpeakerLabels: {
              type: "boolean"
            },
            MaxSpeakerLabels: {
              type: "integer"
            },
            ChannelIdentification: {
              type: "boolean"
            },
            ShowAlternatives: {
              type: "boolean"
            },
            MaxAlternatives: {
              type: "integer"
            },
            VocabularyName: {}
          }
        },
        S2z: {
          type: "structure",
          members: {
            TranscriptionJobName: {},
            TranscriptionJobStatus: {},
            LanguageCode: {},
            MediaSampleRateHertz: {
              type: "integer"
            },
            MediaFormat: {},
            Media: {
              shape: "S23"
            },
            Transcript: {
              shape: "S24"
            },
            StartTime: {
              type: "timestamp"
            },
            CreationTime: {
              type: "timestamp"
            },
            CompletionTime: {
              type: "timestamp"
            },
            FailureReason: {},
            Settings: {
              shape: "S30"
            },
            ModelSettings: {
              shape: "S31"
            },
            JobExecutionSettings: {
              shape: "S32"
            },
            ContentRedaction: {
              shape: "S28"
            },
            IdentifyLanguage: {
              type: "boolean"
            },
            IdentifyMultipleLanguages: {
              type: "boolean"
            },
            LanguageOptions: {
              shape: "S2d"
            },
            IdentifiedLanguageScore: {
              type: "float"
            },
            LanguageCodes: {
              shape: "S33"
            },
            Tags: {
              shape: "Sv"
            },
            Subtitles: {
              type: "structure",
              members: {
                Formats: {
                  shape: "S37"
                },
                SubtitleFileUris: {
                  type: "list",
                  member: {}
                },
                OutputStartIndex: {
                  type: "integer"
                }
              }
            },
            LanguageIdSettings: {
              shape: "S2e"
            }
          }
        },
        S30: {
          type: "structure",
          members: {
            VocabularyName: {},
            ShowSpeakerLabels: {
              type: "boolean"
            },
            MaxSpeakerLabels: {
              type: "integer"
            },
            ChannelIdentification: {
              type: "boolean"
            },
            ShowAlternatives: {
              type: "boolean"
            },
            MaxAlternatives: {
              type: "integer"
            },
            VocabularyFilterName: {},
            VocabularyFilterMethod: {}
          }
        },
        S31: {
          type: "structure",
          members: {
            LanguageModelName: {}
          }
        },
        S32: {
          type: "structure",
          members: {
            AllowDeferredExecution: {
              type: "boolean"
            },
            DataAccessRoleArn: {}
          }
        },
        S33: {
          type: "list",
          member: {
            type: "structure",
            members: {
              LanguageCode: {},
              DurationInSeconds: {
                type: "float"
              }
            }
          }
        },
        S37: {
          type: "list",
          member: {}
        },
        S3y: {
          type: "list",
          member: {
            type: "structure",
            members: {
              VocabularyName: {},
              LanguageCode: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              VocabularyState: {}
            }
          }
        },
        S4j: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/transcribe-2017-10-26.paginators.json
var require_transcribe_2017_10_26_paginators = __commonJS({
  "node_modules/aws-sdk/apis/transcribe-2017-10-26.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListCallAnalyticsCategories: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListCallAnalyticsJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListLanguageModels: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMedicalTranscriptionJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMedicalVocabularies: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListTranscriptionJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListVocabularies: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListVocabularyFilters: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/transcribeservice.js
var require_transcribeservice = __commonJS({
  "node_modules/aws-sdk/clients/transcribeservice.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["transcribeservice"] = {};
    AWS2.TranscribeService = Service.defineService("transcribeservice", ["2017-10-26"]);
    Object.defineProperty(apiLoader.services["transcribeservice"], "2017-10-26", {
      get: function get() {
        var model = require_transcribe_2017_10_26_min();
        model.paginators = require_transcribe_2017_10_26_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.TranscribeService;
  }
});

// node_modules/aws-sdk/apis/connect-2017-08-08.min.json
var require_connect_2017_08_08_min = __commonJS({
  "node_modules/aws-sdk/apis/connect-2017-08-08.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-08-08",
        endpointPrefix: "connect",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Amazon Connect",
        serviceFullName: "Amazon Connect Service",
        serviceId: "Connect",
        signatureVersion: "v4",
        signingName: "connect",
        uid: "connect-2017-08-08"
      },
      operations: {
        ActivateEvaluationForm: {
          http: {
            requestUri: "/evaluation-forms/{InstanceId}/{EvaluationFormId}/activate"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "EvaluationFormId",
              "EvaluationFormVersion"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              EvaluationFormId: {
                location: "uri",
                locationName: "EvaluationFormId"
              },
              EvaluationFormVersion: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EvaluationFormId",
              "EvaluationFormArn",
              "EvaluationFormVersion"
            ],
            members: {
              EvaluationFormId: {},
              EvaluationFormArn: {},
              EvaluationFormVersion: {
                type: "integer"
              }
            }
          }
        },
        AssociateApprovedOrigin: {
          http: {
            method: "PUT",
            requestUri: "/instance/{InstanceId}/approved-origin"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Origin"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Origin: {}
            }
          }
        },
        AssociateBot: {
          http: {
            method: "PUT",
            requestUri: "/instance/{InstanceId}/bot"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              LexBot: {
                shape: "Sa"
              },
              LexV2Bot: {
                shape: "Sd"
              }
            }
          }
        },
        AssociateDefaultVocabulary: {
          http: {
            method: "PUT",
            requestUri: "/default-vocabulary/{InstanceId}/{LanguageCode}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "LanguageCode"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              LanguageCode: {
                location: "uri",
                locationName: "LanguageCode"
              },
              VocabularyId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateInstanceStorageConfig: {
          http: {
            method: "PUT",
            requestUri: "/instance/{InstanceId}/storage-config"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ResourceType",
              "StorageConfig"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ResourceType: {},
              StorageConfig: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssociationId: {}
            }
          }
        },
        AssociateLambdaFunction: {
          http: {
            method: "PUT",
            requestUri: "/instance/{InstanceId}/lambda-function"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "FunctionArn"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              FunctionArn: {}
            }
          }
        },
        AssociateLexBot: {
          http: {
            method: "PUT",
            requestUri: "/instance/{InstanceId}/lex-bot"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "LexBot"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              LexBot: {
                shape: "Sa"
              }
            }
          }
        },
        AssociatePhoneNumberContactFlow: {
          http: {
            method: "PUT",
            requestUri: "/phone-number/{PhoneNumberId}/contact-flow"
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberId",
              "InstanceId",
              "ContactFlowId"
            ],
            members: {
              PhoneNumberId: {
                location: "uri",
                locationName: "PhoneNumberId"
              },
              InstanceId: {},
              ContactFlowId: {}
            }
          }
        },
        AssociateQueueQuickConnects: {
          http: {
            requestUri: "/queues/{InstanceId}/{QueueId}/associate-quick-connects"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "QueueId",
              "QuickConnectIds"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              QueueId: {
                location: "uri",
                locationName: "QueueId"
              },
              QuickConnectIds: {
                shape: "S17"
              }
            }
          }
        },
        AssociateRoutingProfileQueues: {
          http: {
            requestUri: "/routing-profiles/{InstanceId}/{RoutingProfileId}/associate-queues"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "RoutingProfileId",
              "QueueConfigs"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              RoutingProfileId: {
                location: "uri",
                locationName: "RoutingProfileId"
              },
              QueueConfigs: {
                shape: "S1b"
              }
            }
          }
        },
        AssociateSecurityKey: {
          http: {
            method: "PUT",
            requestUri: "/instance/{InstanceId}/security-key"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Key"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Key: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AssociationId: {}
            }
          }
        },
        ClaimPhoneNumber: {
          http: {
            requestUri: "/phone-number/claim"
          },
          input: {
            type: "structure",
            required: [
              "TargetArn",
              "PhoneNumber"
            ],
            members: {
              TargetArn: {},
              PhoneNumber: {},
              PhoneNumberDescription: {},
              Tags: {
                shape: "S1n"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberId: {},
              PhoneNumberArn: {}
            }
          }
        },
        CreateAgentStatus: {
          http: {
            method: "PUT",
            requestUri: "/agent-status/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Name",
              "State"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Name: {},
              Description: {},
              State: {},
              DisplayOrder: {
                type: "integer"
              },
              Tags: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AgentStatusARN: {},
              AgentStatusId: {}
            }
          }
        },
        CreateContactFlow: {
          http: {
            method: "PUT",
            requestUri: "/contact-flows/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Name",
              "Type",
              "Content"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Name: {},
              Type: {},
              Description: {},
              Content: {},
              Tags: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContactFlowId: {},
              ContactFlowArn: {}
            }
          }
        },
        CreateContactFlowModule: {
          http: {
            method: "PUT",
            requestUri: "/contact-flow-modules/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Name",
              "Content"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Name: {},
              Description: {},
              Content: {},
              Tags: {
                shape: "S1n"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              Arn: {}
            }
          }
        },
        CreateEvaluationForm: {
          http: {
            method: "PUT",
            requestUri: "/evaluation-forms/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Title",
              "Items"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Title: {},
              Description: {},
              Items: {
                shape: "S2e"
              },
              ScoringStrategy: {
                shape: "S39"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EvaluationFormId",
              "EvaluationFormArn"
            ],
            members: {
              EvaluationFormId: {},
              EvaluationFormArn: {}
            }
          },
          idempotent: true
        },
        CreateHoursOfOperation: {
          http: {
            method: "PUT",
            requestUri: "/hours-of-operations/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Name",
              "TimeZone",
              "Config"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Name: {},
              Description: {},
              TimeZone: {},
              Config: {
                shape: "S3h"
              },
              Tags: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HoursOfOperationId: {},
              HoursOfOperationArn: {}
            }
          }
        },
        CreateInstance: {
          http: {
            method: "PUT",
            requestUri: "/instance"
          },
          input: {
            type: "structure",
            required: [
              "IdentityManagementType",
              "InboundCallsEnabled",
              "OutboundCallsEnabled"
            ],
            members: {
              ClientToken: {},
              IdentityManagementType: {},
              InstanceAlias: {
                shape: "S3r"
              },
              DirectoryId: {},
              InboundCallsEnabled: {
                type: "boolean"
              },
              OutboundCallsEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              Arn: {}
            }
          }
        },
        CreateIntegrationAssociation: {
          http: {
            method: "PUT",
            requestUri: "/instance/{InstanceId}/integration-associations"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "IntegrationType",
              "IntegrationArn"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              IntegrationType: {},
              IntegrationArn: {},
              SourceApplicationUrl: {},
              SourceApplicationName: {},
              SourceType: {},
              Tags: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IntegrationAssociationId: {},
              IntegrationAssociationArn: {}
            }
          }
        },
        CreateParticipant: {
          http: {
            requestUri: "/contact/create-participant"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId",
              "ParticipantDetails"
            ],
            members: {
              InstanceId: {},
              ContactId: {},
              ClientToken: {
                idempotencyToken: true
              },
              ParticipantDetails: {
                type: "structure",
                members: {
                  ParticipantRole: {},
                  DisplayName: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ParticipantCredentials: {
                type: "structure",
                members: {
                  ParticipantToken: {},
                  Expiry: {}
                }
              },
              ParticipantId: {}
            }
          }
        },
        CreatePrompt: {
          http: {
            method: "PUT",
            requestUri: "/prompts/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Name",
              "S3Uri"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Name: {},
              Description: {},
              S3Uri: {},
              Tags: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PromptARN: {},
              PromptId: {}
            }
          }
        },
        CreateQueue: {
          http: {
            method: "PUT",
            requestUri: "/queues/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Name",
              "HoursOfOperationId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Name: {},
              Description: {},
              OutboundCallerConfig: {
                shape: "S4k"
              },
              HoursOfOperationId: {},
              MaxContacts: {
                type: "integer"
              },
              QuickConnectIds: {
                shape: "S17"
              },
              Tags: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              QueueArn: {},
              QueueId: {}
            }
          }
        },
        CreateQuickConnect: {
          http: {
            method: "PUT",
            requestUri: "/quick-connects/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Name",
              "QuickConnectConfig"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Name: {},
              Description: {},
              QuickConnectConfig: {
                shape: "S4r"
              },
              Tags: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              QuickConnectARN: {},
              QuickConnectId: {}
            }
          }
        },
        CreateRoutingProfile: {
          http: {
            method: "PUT",
            requestUri: "/routing-profiles/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Name",
              "Description",
              "DefaultOutboundQueueId",
              "MediaConcurrencies"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Name: {},
              Description: {},
              DefaultOutboundQueueId: {},
              QueueConfigs: {
                shape: "S1b"
              },
              MediaConcurrencies: {
                shape: "S51"
              },
              Tags: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RoutingProfileArn: {},
              RoutingProfileId: {}
            }
          }
        },
        CreateRule: {
          http: {
            requestUri: "/rules/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Name",
              "TriggerEventSource",
              "Function",
              "Actions",
              "PublishStatus"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Name: {},
              TriggerEventSource: {
                shape: "S59"
              },
              Function: {},
              Actions: {
                shape: "S5c"
              },
              PublishStatus: {},
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "RuleArn",
              "RuleId"
            ],
            members: {
              RuleArn: {},
              RuleId: {}
            }
          }
        },
        CreateSecurityProfile: {
          http: {
            method: "PUT",
            requestUri: "/security-profiles/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "SecurityProfileName",
              "InstanceId"
            ],
            members: {
              SecurityProfileName: {},
              Description: {},
              Permissions: {
                shape: "S65"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Tags: {
                shape: "S1n"
              },
              AllowedAccessControlTags: {
                shape: "S67"
              },
              TagRestrictedResources: {
                shape: "S6a"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SecurityProfileId: {},
              SecurityProfileArn: {}
            }
          }
        },
        CreateTaskTemplate: {
          http: {
            method: "PUT",
            requestUri: "/instance/{InstanceId}/task/template"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Name",
              "Fields"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Name: {},
              Description: {},
              ContactFlowId: {},
              Constraints: {
                shape: "S6h"
              },
              Defaults: {
                shape: "S6q"
              },
              Status: {},
              Fields: {
                shape: "S6v"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Id",
              "Arn"
            ],
            members: {
              Id: {},
              Arn: {}
            }
          }
        },
        CreateTrafficDistributionGroup: {
          http: {
            method: "PUT",
            requestUri: "/traffic-distribution-group"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "InstanceId"
            ],
            members: {
              Name: {},
              Description: {},
              InstanceId: {},
              ClientToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              Arn: {}
            }
          }
        },
        CreateUseCase: {
          http: {
            method: "PUT",
            requestUri: "/instance/{InstanceId}/integration-associations/{IntegrationAssociationId}/use-cases"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "IntegrationAssociationId",
              "UseCaseType"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              IntegrationAssociationId: {
                location: "uri",
                locationName: "IntegrationAssociationId"
              },
              UseCaseType: {},
              Tags: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UseCaseId: {},
              UseCaseArn: {}
            }
          }
        },
        CreateUser: {
          http: {
            method: "PUT",
            requestUri: "/users/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "Username",
              "PhoneConfig",
              "SecurityProfileIds",
              "RoutingProfileId",
              "InstanceId"
            ],
            members: {
              Username: {},
              Password: {},
              IdentityInfo: {
                shape: "S7i"
              },
              PhoneConfig: {
                shape: "S7m"
              },
              DirectoryUserId: {},
              SecurityProfileIds: {
                shape: "S7r"
              },
              RoutingProfileId: {},
              HierarchyGroupId: {},
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Tags: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserId: {},
              UserArn: {}
            }
          }
        },
        CreateUserHierarchyGroup: {
          http: {
            method: "PUT",
            requestUri: "/user-hierarchy-groups/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "InstanceId"
            ],
            members: {
              Name: {},
              ParentGroupId: {},
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Tags: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HierarchyGroupId: {},
              HierarchyGroupArn: {}
            }
          }
        },
        CreateVocabulary: {
          http: {
            requestUri: "/vocabulary/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "VocabularyName",
              "LanguageCode",
              "Content"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              VocabularyName: {},
              LanguageCode: {},
              Content: {},
              Tags: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "VocabularyArn",
              "VocabularyId",
              "State"
            ],
            members: {
              VocabularyArn: {},
              VocabularyId: {},
              State: {}
            }
          }
        },
        DeactivateEvaluationForm: {
          http: {
            requestUri: "/evaluation-forms/{InstanceId}/{EvaluationFormId}/deactivate"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "EvaluationFormId",
              "EvaluationFormVersion"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              EvaluationFormId: {
                location: "uri",
                locationName: "EvaluationFormId"
              },
              EvaluationFormVersion: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EvaluationFormId",
              "EvaluationFormArn",
              "EvaluationFormVersion"
            ],
            members: {
              EvaluationFormId: {},
              EvaluationFormArn: {},
              EvaluationFormVersion: {
                type: "integer"
              }
            }
          }
        },
        DeleteContactEvaluation: {
          http: {
            method: "DELETE",
            requestUri: "/contact-evaluations/{InstanceId}/{EvaluationId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "EvaluationId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              EvaluationId: {
                location: "uri",
                locationName: "EvaluationId"
              }
            }
          },
          idempotent: true
        },
        DeleteContactFlow: {
          http: {
            method: "DELETE",
            requestUri: "/contact-flows/{InstanceId}/{ContactFlowId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactFlowId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactFlowId: {
                location: "uri",
                locationName: "ContactFlowId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteContactFlowModule: {
          http: {
            method: "DELETE",
            requestUri: "/contact-flow-modules/{InstanceId}/{ContactFlowModuleId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactFlowModuleId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactFlowModuleId: {
                location: "uri",
                locationName: "ContactFlowModuleId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEvaluationForm: {
          http: {
            method: "DELETE",
            requestUri: "/evaluation-forms/{InstanceId}/{EvaluationFormId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "EvaluationFormId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              EvaluationFormId: {
                location: "uri",
                locationName: "EvaluationFormId"
              },
              EvaluationFormVersion: {
                location: "querystring",
                locationName: "version",
                type: "integer"
              }
            }
          },
          idempotent: true
        },
        DeleteHoursOfOperation: {
          http: {
            method: "DELETE",
            requestUri: "/hours-of-operations/{InstanceId}/{HoursOfOperationId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "HoursOfOperationId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              HoursOfOperationId: {
                location: "uri",
                locationName: "HoursOfOperationId"
              }
            }
          }
        },
        DeleteInstance: {
          http: {
            method: "DELETE",
            requestUri: "/instance/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              }
            }
          }
        },
        DeleteIntegrationAssociation: {
          http: {
            method: "DELETE",
            requestUri: "/instance/{InstanceId}/integration-associations/{IntegrationAssociationId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "IntegrationAssociationId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              IntegrationAssociationId: {
                location: "uri",
                locationName: "IntegrationAssociationId"
              }
            }
          }
        },
        DeletePrompt: {
          http: {
            method: "DELETE",
            requestUri: "/prompts/{InstanceId}/{PromptId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "PromptId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              PromptId: {
                location: "uri",
                locationName: "PromptId"
              }
            }
          }
        },
        DeleteQuickConnect: {
          http: {
            method: "DELETE",
            requestUri: "/quick-connects/{InstanceId}/{QuickConnectId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "QuickConnectId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              QuickConnectId: {
                location: "uri",
                locationName: "QuickConnectId"
              }
            }
          }
        },
        DeleteRule: {
          http: {
            method: "DELETE",
            requestUri: "/rules/{InstanceId}/{RuleId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "RuleId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              RuleId: {
                location: "uri",
                locationName: "RuleId"
              }
            }
          }
        },
        DeleteSecurityProfile: {
          http: {
            method: "DELETE",
            requestUri: "/security-profiles/{InstanceId}/{SecurityProfileId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "SecurityProfileId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              SecurityProfileId: {
                location: "uri",
                locationName: "SecurityProfileId"
              }
            }
          }
        },
        DeleteTaskTemplate: {
          http: {
            method: "DELETE",
            requestUri: "/instance/{InstanceId}/task/template/{TaskTemplateId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "TaskTemplateId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              TaskTemplateId: {
                location: "uri",
                locationName: "TaskTemplateId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteTrafficDistributionGroup: {
          http: {
            method: "DELETE",
            requestUri: "/traffic-distribution-group/{TrafficDistributionGroupId}"
          },
          input: {
            type: "structure",
            required: [
              "TrafficDistributionGroupId"
            ],
            members: {
              TrafficDistributionGroupId: {
                location: "uri",
                locationName: "TrafficDistributionGroupId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteUseCase: {
          http: {
            method: "DELETE",
            requestUri: "/instance/{InstanceId}/integration-associations/{IntegrationAssociationId}/use-cases/{UseCaseId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "IntegrationAssociationId",
              "UseCaseId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              IntegrationAssociationId: {
                location: "uri",
                locationName: "IntegrationAssociationId"
              },
              UseCaseId: {
                location: "uri",
                locationName: "UseCaseId"
              }
            }
          }
        },
        DeleteUser: {
          http: {
            method: "DELETE",
            requestUri: "/users/{InstanceId}/{UserId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "UserId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              UserId: {
                location: "uri",
                locationName: "UserId"
              }
            }
          }
        },
        DeleteUserHierarchyGroup: {
          http: {
            method: "DELETE",
            requestUri: "/user-hierarchy-groups/{InstanceId}/{HierarchyGroupId}"
          },
          input: {
            type: "structure",
            required: [
              "HierarchyGroupId",
              "InstanceId"
            ],
            members: {
              HierarchyGroupId: {
                location: "uri",
                locationName: "HierarchyGroupId"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              }
            }
          }
        },
        DeleteVocabulary: {
          http: {
            requestUri: "/vocabulary-remove/{InstanceId}/{VocabularyId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "VocabularyId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              VocabularyId: {
                location: "uri",
                locationName: "VocabularyId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "VocabularyArn",
              "VocabularyId",
              "State"
            ],
            members: {
              VocabularyArn: {},
              VocabularyId: {},
              State: {}
            }
          }
        },
        DescribeAgentStatus: {
          http: {
            method: "GET",
            requestUri: "/agent-status/{InstanceId}/{AgentStatusId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "AgentStatusId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              AgentStatusId: {
                location: "uri",
                locationName: "AgentStatusId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AgentStatus: {
                type: "structure",
                members: {
                  AgentStatusARN: {},
                  AgentStatusId: {},
                  Name: {},
                  Description: {},
                  Type: {},
                  DisplayOrder: {
                    type: "integer"
                  },
                  State: {},
                  Tags: {
                    shape: "S1n"
                  }
                }
              }
            }
          }
        },
        DescribeContact: {
          http: {
            method: "GET",
            requestUri: "/contacts/{InstanceId}/{ContactId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactId: {
                location: "uri",
                locationName: "ContactId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Contact: {
                type: "structure",
                members: {
                  Arn: {},
                  Id: {},
                  InitialContactId: {},
                  PreviousContactId: {},
                  InitiationMethod: {},
                  Name: {},
                  Description: {},
                  Channel: {},
                  QueueInfo: {
                    type: "structure",
                    members: {
                      Id: {},
                      EnqueueTimestamp: {
                        type: "timestamp"
                      }
                    }
                  },
                  AgentInfo: {
                    type: "structure",
                    members: {
                      Id: {},
                      ConnectedToAgentTimestamp: {
                        type: "timestamp"
                      }
                    }
                  },
                  InitiationTimestamp: {
                    type: "timestamp"
                  },
                  DisconnectTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdateTimestamp: {
                    type: "timestamp"
                  },
                  ScheduledTimestamp: {
                    type: "timestamp"
                  },
                  RelatedContactId: {},
                  WisdomInfo: {
                    type: "structure",
                    members: {
                      SessionArn: {}
                    }
                  }
                }
              }
            }
          }
        },
        DescribeContactEvaluation: {
          http: {
            method: "GET",
            requestUri: "/contact-evaluations/{InstanceId}/{EvaluationId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "EvaluationId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              EvaluationId: {
                location: "uri",
                locationName: "EvaluationId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Evaluation",
              "EvaluationForm"
            ],
            members: {
              Evaluation: {
                type: "structure",
                required: [
                  "EvaluationId",
                  "EvaluationArn",
                  "Metadata",
                  "Answers",
                  "Notes",
                  "Status",
                  "CreatedTime",
                  "LastModifiedTime"
                ],
                members: {
                  EvaluationId: {},
                  EvaluationArn: {},
                  Metadata: {
                    type: "structure",
                    required: [
                      "ContactId",
                      "EvaluatorArn"
                    ],
                    members: {
                      ContactId: {},
                      EvaluatorArn: {},
                      ContactAgentId: {},
                      Score: {
                        shape: "S9a"
                      }
                    }
                  },
                  Answers: {
                    type: "map",
                    key: {},
                    value: {
                      type: "structure",
                      members: {
                        Value: {
                          shape: "S9e"
                        },
                        SystemSuggestedValue: {
                          shape: "S9e"
                        }
                      }
                    }
                  },
                  Notes: {
                    shape: "S9h"
                  },
                  Status: {},
                  Scores: {
                    type: "map",
                    key: {},
                    value: {
                      shape: "S9a"
                    }
                  },
                  CreatedTime: {
                    type: "timestamp"
                  },
                  LastModifiedTime: {
                    type: "timestamp"
                  },
                  Tags: {
                    shape: "S1n"
                  }
                }
              },
              EvaluationForm: {
                type: "structure",
                required: [
                  "EvaluationFormVersion",
                  "EvaluationFormId",
                  "EvaluationFormArn",
                  "Title",
                  "Items"
                ],
                members: {
                  EvaluationFormVersion: {
                    type: "integer"
                  },
                  EvaluationFormId: {},
                  EvaluationFormArn: {},
                  Title: {},
                  Description: {},
                  Items: {
                    shape: "S2e"
                  },
                  ScoringStrategy: {
                    shape: "S39"
                  }
                }
              }
            }
          }
        },
        DescribeContactFlow: {
          http: {
            method: "GET",
            requestUri: "/contact-flows/{InstanceId}/{ContactFlowId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactFlowId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactFlowId: {
                location: "uri",
                locationName: "ContactFlowId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContactFlow: {
                type: "structure",
                members: {
                  Arn: {},
                  Id: {},
                  Name: {},
                  Type: {},
                  State: {},
                  Description: {},
                  Content: {},
                  Tags: {
                    shape: "S1n"
                  }
                }
              }
            }
          }
        },
        DescribeContactFlowModule: {
          http: {
            method: "GET",
            requestUri: "/contact-flow-modules/{InstanceId}/{ContactFlowModuleId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactFlowModuleId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactFlowModuleId: {
                location: "uri",
                locationName: "ContactFlowModuleId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContactFlowModule: {
                type: "structure",
                members: {
                  Arn: {},
                  Id: {},
                  Name: {},
                  Content: {},
                  Description: {},
                  State: {},
                  Status: {},
                  Tags: {
                    shape: "S1n"
                  }
                }
              }
            }
          }
        },
        DescribeEvaluationForm: {
          http: {
            method: "GET",
            requestUri: "/evaluation-forms/{InstanceId}/{EvaluationFormId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "EvaluationFormId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              EvaluationFormId: {
                location: "uri",
                locationName: "EvaluationFormId"
              },
              EvaluationFormVersion: {
                location: "querystring",
                locationName: "version",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EvaluationForm"
            ],
            members: {
              EvaluationForm: {
                type: "structure",
                required: [
                  "EvaluationFormId",
                  "EvaluationFormVersion",
                  "Locked",
                  "EvaluationFormArn",
                  "Title",
                  "Status",
                  "Items",
                  "CreatedTime",
                  "CreatedBy",
                  "LastModifiedTime",
                  "LastModifiedBy"
                ],
                members: {
                  EvaluationFormId: {},
                  EvaluationFormVersion: {
                    type: "integer"
                  },
                  Locked: {
                    type: "boolean"
                  },
                  EvaluationFormArn: {},
                  Title: {},
                  Description: {},
                  Status: {},
                  Items: {
                    shape: "S2e"
                  },
                  ScoringStrategy: {
                    shape: "S39"
                  },
                  CreatedTime: {
                    type: "timestamp"
                  },
                  CreatedBy: {},
                  LastModifiedTime: {
                    type: "timestamp"
                  },
                  LastModifiedBy: {},
                  Tags: {
                    shape: "S1n"
                  }
                }
              }
            }
          }
        },
        DescribeHoursOfOperation: {
          http: {
            method: "GET",
            requestUri: "/hours-of-operations/{InstanceId}/{HoursOfOperationId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "HoursOfOperationId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              HoursOfOperationId: {
                location: "uri",
                locationName: "HoursOfOperationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HoursOfOperation: {
                shape: "Sa4"
              }
            }
          }
        },
        DescribeInstance: {
          http: {
            method: "GET",
            requestUri: "/instance/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Instance: {
                type: "structure",
                members: {
                  Id: {},
                  Arn: {},
                  IdentityManagementType: {},
                  InstanceAlias: {
                    shape: "S3r"
                  },
                  CreatedTime: {
                    type: "timestamp"
                  },
                  ServiceRole: {},
                  InstanceStatus: {},
                  StatusReason: {
                    type: "structure",
                    members: {
                      Message: {}
                    }
                  },
                  InboundCallsEnabled: {
                    type: "boolean"
                  },
                  OutboundCallsEnabled: {
                    type: "boolean"
                  },
                  InstanceAccessUrl: {}
                }
              }
            }
          }
        },
        DescribeInstanceAttribute: {
          http: {
            method: "GET",
            requestUri: "/instance/{InstanceId}/attribute/{AttributeType}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "AttributeType"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              AttributeType: {
                location: "uri",
                locationName: "AttributeType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attribute: {
                shape: "Sae"
              }
            }
          }
        },
        DescribeInstanceStorageConfig: {
          http: {
            method: "GET",
            requestUri: "/instance/{InstanceId}/storage-config/{AssociationId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "AssociationId",
              "ResourceType"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              AssociationId: {
                location: "uri",
                locationName: "AssociationId"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StorageConfig: {
                shape: "Sl"
              }
            }
          }
        },
        DescribePhoneNumber: {
          http: {
            method: "GET",
            requestUri: "/phone-number/{PhoneNumberId}"
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberId"
            ],
            members: {
              PhoneNumberId: {
                location: "uri",
                locationName: "PhoneNumberId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ClaimedPhoneNumberSummary: {
                type: "structure",
                members: {
                  PhoneNumberId: {},
                  PhoneNumberArn: {},
                  PhoneNumber: {},
                  PhoneNumberCountryCode: {},
                  PhoneNumberType: {},
                  PhoneNumberDescription: {},
                  TargetArn: {},
                  Tags: {
                    shape: "S1n"
                  },
                  PhoneNumberStatus: {
                    type: "structure",
                    members: {
                      Status: {},
                      Message: {}
                    }
                  }
                }
              }
            }
          }
        },
        DescribePrompt: {
          http: {
            method: "GET",
            requestUri: "/prompts/{InstanceId}/{PromptId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "PromptId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              PromptId: {
                location: "uri",
                locationName: "PromptId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Prompt: {
                shape: "Sas"
              }
            }
          }
        },
        DescribeQueue: {
          http: {
            method: "GET",
            requestUri: "/queues/{InstanceId}/{QueueId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "QueueId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              QueueId: {
                location: "uri",
                locationName: "QueueId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Queue: {
                shape: "Sav"
              }
            }
          }
        },
        DescribeQuickConnect: {
          http: {
            method: "GET",
            requestUri: "/quick-connects/{InstanceId}/{QuickConnectId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "QuickConnectId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              QuickConnectId: {
                location: "uri",
                locationName: "QuickConnectId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              QuickConnect: {
                shape: "Saz"
              }
            }
          }
        },
        DescribeRoutingProfile: {
          http: {
            method: "GET",
            requestUri: "/routing-profiles/{InstanceId}/{RoutingProfileId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "RoutingProfileId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              RoutingProfileId: {
                location: "uri",
                locationName: "RoutingProfileId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RoutingProfile: {
                shape: "Sb2"
              }
            }
          }
        },
        DescribeRule: {
          http: {
            method: "GET",
            requestUri: "/rules/{InstanceId}/{RuleId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "RuleId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              RuleId: {
                location: "uri",
                locationName: "RuleId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Rule"
            ],
            members: {
              Rule: {
                type: "structure",
                required: [
                  "Name",
                  "RuleId",
                  "RuleArn",
                  "TriggerEventSource",
                  "Function",
                  "Actions",
                  "PublishStatus",
                  "CreatedTime",
                  "LastUpdatedTime",
                  "LastUpdatedBy"
                ],
                members: {
                  Name: {},
                  RuleId: {},
                  RuleArn: {},
                  TriggerEventSource: {
                    shape: "S59"
                  },
                  Function: {},
                  Actions: {
                    shape: "S5c"
                  },
                  PublishStatus: {},
                  CreatedTime: {
                    type: "timestamp"
                  },
                  LastUpdatedTime: {
                    type: "timestamp"
                  },
                  LastUpdatedBy: {},
                  Tags: {
                    shape: "S1n"
                  }
                }
              }
            }
          }
        },
        DescribeSecurityProfile: {
          http: {
            method: "GET",
            requestUri: "/security-profiles/{InstanceId}/{SecurityProfileId}"
          },
          input: {
            type: "structure",
            required: [
              "SecurityProfileId",
              "InstanceId"
            ],
            members: {
              SecurityProfileId: {
                location: "uri",
                locationName: "SecurityProfileId"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SecurityProfile: {
                type: "structure",
                members: {
                  Id: {},
                  OrganizationResourceId: {},
                  Arn: {},
                  SecurityProfileName: {},
                  Description: {},
                  Tags: {
                    shape: "S1n"
                  },
                  AllowedAccessControlTags: {
                    shape: "S67"
                  },
                  TagRestrictedResources: {
                    shape: "S6a"
                  }
                }
              }
            }
          }
        },
        DescribeTrafficDistributionGroup: {
          http: {
            method: "GET",
            requestUri: "/traffic-distribution-group/{TrafficDistributionGroupId}"
          },
          input: {
            type: "structure",
            required: [
              "TrafficDistributionGroupId"
            ],
            members: {
              TrafficDistributionGroupId: {
                location: "uri",
                locationName: "TrafficDistributionGroupId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TrafficDistributionGroup: {
                type: "structure",
                members: {
                  Id: {},
                  Arn: {},
                  Name: {},
                  Description: {},
                  InstanceArn: {},
                  Status: {},
                  Tags: {
                    shape: "S1n"
                  }
                }
              }
            }
          }
        },
        DescribeUser: {
          http: {
            method: "GET",
            requestUri: "/users/{InstanceId}/{UserId}"
          },
          input: {
            type: "structure",
            required: [
              "UserId",
              "InstanceId"
            ],
            members: {
              UserId: {
                location: "uri",
                locationName: "UserId"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              User: {
                type: "structure",
                members: {
                  Id: {},
                  Arn: {},
                  Username: {},
                  IdentityInfo: {
                    shape: "S7i"
                  },
                  PhoneConfig: {
                    shape: "S7m"
                  },
                  DirectoryUserId: {},
                  SecurityProfileIds: {
                    shape: "S7r"
                  },
                  RoutingProfileId: {},
                  HierarchyGroupId: {},
                  Tags: {
                    shape: "S1n"
                  }
                }
              }
            }
          }
        },
        DescribeUserHierarchyGroup: {
          http: {
            method: "GET",
            requestUri: "/user-hierarchy-groups/{InstanceId}/{HierarchyGroupId}"
          },
          input: {
            type: "structure",
            required: [
              "HierarchyGroupId",
              "InstanceId"
            ],
            members: {
              HierarchyGroupId: {
                location: "uri",
                locationName: "HierarchyGroupId"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HierarchyGroup: {
                type: "structure",
                members: {
                  Id: {},
                  Arn: {},
                  Name: {},
                  LevelId: {},
                  HierarchyPath: {
                    type: "structure",
                    members: {
                      LevelOne: {
                        shape: "Sbo"
                      },
                      LevelTwo: {
                        shape: "Sbo"
                      },
                      LevelThree: {
                        shape: "Sbo"
                      },
                      LevelFour: {
                        shape: "Sbo"
                      },
                      LevelFive: {
                        shape: "Sbo"
                      }
                    }
                  },
                  Tags: {
                    shape: "S1n"
                  }
                }
              }
            }
          }
        },
        DescribeUserHierarchyStructure: {
          http: {
            method: "GET",
            requestUri: "/user-hierarchy-structure/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HierarchyStructure: {
                type: "structure",
                members: {
                  LevelOne: {
                    shape: "Sbs"
                  },
                  LevelTwo: {
                    shape: "Sbs"
                  },
                  LevelThree: {
                    shape: "Sbs"
                  },
                  LevelFour: {
                    shape: "Sbs"
                  },
                  LevelFive: {
                    shape: "Sbs"
                  }
                }
              }
            }
          }
        },
        DescribeVocabulary: {
          http: {
            method: "GET",
            requestUri: "/vocabulary/{InstanceId}/{VocabularyId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "VocabularyId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              VocabularyId: {
                location: "uri",
                locationName: "VocabularyId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Vocabulary"
            ],
            members: {
              Vocabulary: {
                type: "structure",
                required: [
                  "Name",
                  "Id",
                  "Arn",
                  "LanguageCode",
                  "State",
                  "LastModifiedTime"
                ],
                members: {
                  Name: {},
                  Id: {},
                  Arn: {},
                  LanguageCode: {},
                  State: {},
                  LastModifiedTime: {
                    type: "timestamp"
                  },
                  FailureReason: {},
                  Content: {},
                  Tags: {
                    shape: "S1n"
                  }
                }
              }
            }
          }
        },
        DisassociateApprovedOrigin: {
          http: {
            method: "DELETE",
            requestUri: "/instance/{InstanceId}/approved-origin"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Origin"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Origin: {
                location: "querystring",
                locationName: "origin"
              }
            }
          }
        },
        DisassociateBot: {
          http: {
            requestUri: "/instance/{InstanceId}/bot"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              LexBot: {
                shape: "Sa"
              },
              LexV2Bot: {
                shape: "Sd"
              }
            }
          }
        },
        DisassociateInstanceStorageConfig: {
          http: {
            method: "DELETE",
            requestUri: "/instance/{InstanceId}/storage-config/{AssociationId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "AssociationId",
              "ResourceType"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              AssociationId: {
                location: "uri",
                locationName: "AssociationId"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              }
            }
          }
        },
        DisassociateLambdaFunction: {
          http: {
            method: "DELETE",
            requestUri: "/instance/{InstanceId}/lambda-function"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "FunctionArn"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              FunctionArn: {
                location: "querystring",
                locationName: "functionArn"
              }
            }
          }
        },
        DisassociateLexBot: {
          http: {
            method: "DELETE",
            requestUri: "/instance/{InstanceId}/lex-bot"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "BotName",
              "LexRegion"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              BotName: {
                location: "querystring",
                locationName: "botName"
              },
              LexRegion: {
                location: "querystring",
                locationName: "lexRegion"
              }
            }
          }
        },
        DisassociatePhoneNumberContactFlow: {
          http: {
            method: "DELETE",
            requestUri: "/phone-number/{PhoneNumberId}/contact-flow"
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberId",
              "InstanceId"
            ],
            members: {
              PhoneNumberId: {
                location: "uri",
                locationName: "PhoneNumberId"
              },
              InstanceId: {
                location: "querystring",
                locationName: "instanceId"
              }
            }
          }
        },
        DisassociateQueueQuickConnects: {
          http: {
            requestUri: "/queues/{InstanceId}/{QueueId}/disassociate-quick-connects"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "QueueId",
              "QuickConnectIds"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              QueueId: {
                location: "uri",
                locationName: "QueueId"
              },
              QuickConnectIds: {
                shape: "S17"
              }
            }
          }
        },
        DisassociateRoutingProfileQueues: {
          http: {
            requestUri: "/routing-profiles/{InstanceId}/{RoutingProfileId}/disassociate-queues"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "RoutingProfileId",
              "QueueReferences"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              RoutingProfileId: {
                location: "uri",
                locationName: "RoutingProfileId"
              },
              QueueReferences: {
                type: "list",
                member: {
                  shape: "S1d"
                }
              }
            }
          }
        },
        DisassociateSecurityKey: {
          http: {
            method: "DELETE",
            requestUri: "/instance/{InstanceId}/security-key/{AssociationId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "AssociationId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              AssociationId: {
                location: "uri",
                locationName: "AssociationId"
              }
            }
          }
        },
        DismissUserContact: {
          http: {
            requestUri: "/users/{InstanceId}/{UserId}/contact"
          },
          input: {
            type: "structure",
            required: [
              "UserId",
              "InstanceId",
              "ContactId"
            ],
            members: {
              UserId: {
                location: "uri",
                locationName: "UserId"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetContactAttributes: {
          http: {
            method: "GET",
            requestUri: "/contact/attributes/{InstanceId}/{InitialContactId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "InitialContactId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              InitialContactId: {
                location: "uri",
                locationName: "InitialContactId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                shape: "Scd"
              }
            }
          }
        },
        GetCurrentMetricData: {
          http: {
            requestUri: "/metrics/current/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Filters",
              "CurrentMetrics"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Filters: {
                shape: "Sch"
              },
              Groupings: {
                shape: "Scl"
              },
              CurrentMetrics: {
                type: "list",
                member: {
                  shape: "Sco"
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SortCriteria: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SortByMetric: {},
                    SortOrder: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              MetricResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Dimensions: {
                      shape: "Scz"
                    },
                    Collections: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Metric: {
                            shape: "Sco"
                          },
                          Value: {
                            type: "double"
                          }
                        }
                      }
                    }
                  }
                }
              },
              DataSnapshotTime: {
                type: "timestamp"
              },
              ApproximateTotalCount: {
                type: "long"
              }
            }
          }
        },
        GetCurrentUserData: {
          http: {
            requestUri: "/metrics/userdata/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Filters"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Filters: {
                type: "structure",
                members: {
                  Queues: {
                    shape: "Sci"
                  },
                  ContactFilter: {
                    type: "structure",
                    members: {
                      ContactStates: {
                        type: "list",
                        member: {}
                      }
                    }
                  },
                  RoutingProfiles: {
                    shape: "Sck"
                  },
                  Agents: {
                    type: "list",
                    member: {}
                  },
                  UserHierarchyGroups: {
                    type: "list",
                    member: {}
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              UserDataList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    User: {
                      type: "structure",
                      members: {
                        Id: {},
                        Arn: {}
                      }
                    },
                    RoutingProfile: {
                      shape: "Sd1"
                    },
                    HierarchyPath: {
                      type: "structure",
                      members: {
                        LevelOne: {
                          shape: "Sdi"
                        },
                        LevelTwo: {
                          shape: "Sdi"
                        },
                        LevelThree: {
                          shape: "Sdi"
                        },
                        LevelFour: {
                          shape: "Sdi"
                        },
                        LevelFive: {
                          shape: "Sdi"
                        }
                      }
                    },
                    Status: {
                      type: "structure",
                      members: {
                        StatusStartTimestamp: {
                          type: "timestamp"
                        },
                        StatusArn: {},
                        StatusName: {}
                      }
                    },
                    AvailableSlotsByChannel: {
                      shape: "Sdk"
                    },
                    MaxSlotsByChannel: {
                      shape: "Sdk"
                    },
                    ActiveSlotsByChannel: {
                      shape: "Sdk"
                    },
                    Contacts: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ContactId: {},
                          Channel: {},
                          InitiationMethod: {},
                          AgentContactState: {},
                          StateStartTimestamp: {
                            type: "timestamp"
                          },
                          ConnectedToAgentTimestamp: {
                            type: "timestamp"
                          },
                          Queue: {
                            shape: "Sd0"
                          }
                        }
                      }
                    },
                    NextStatus: {}
                  }
                }
              },
              ApproximateTotalCount: {
                type: "long"
              }
            }
          }
        },
        GetFederationToken: {
          http: {
            method: "GET",
            requestUri: "/user/federate/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Credentials: {
                type: "structure",
                members: {
                  AccessToken: {
                    shape: "Sdr"
                  },
                  AccessTokenExpiration: {
                    type: "timestamp"
                  },
                  RefreshToken: {
                    shape: "Sdr"
                  },
                  RefreshTokenExpiration: {
                    type: "timestamp"
                  }
                }
              },
              SignInUrl: {},
              UserArn: {},
              UserId: {}
            }
          }
        },
        GetMetricData: {
          http: {
            requestUri: "/metrics/historical/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "StartTime",
              "EndTime",
              "Filters",
              "HistoricalMetrics"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Filters: {
                shape: "Sch"
              },
              Groupings: {
                shape: "Scl"
              },
              HistoricalMetrics: {
                type: "list",
                member: {
                  shape: "Sdu"
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              MetricResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Dimensions: {
                      shape: "Scz"
                    },
                    Collections: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Metric: {
                            shape: "Sdu"
                          },
                          Value: {
                            type: "double"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetMetricDataV2: {
          http: {
            requestUri: "/metrics/data"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "StartTime",
              "EndTime",
              "Filters",
              "Metrics"
            ],
            members: {
              ResourceArn: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FilterKey: {},
                    FilterValues: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              Groupings: {
                type: "list",
                member: {}
              },
              Metrics: {
                type: "list",
                member: {
                  shape: "Sed"
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              MetricResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Dimensions: {
                      type: "map",
                      key: {},
                      value: {}
                    },
                    Collections: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Metric: {
                            shape: "Sed"
                          },
                          Value: {
                            type: "double"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetPromptFile: {
          http: {
            method: "GET",
            requestUri: "/prompts/{InstanceId}/{PromptId}/file"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "PromptId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              PromptId: {
                location: "uri",
                locationName: "PromptId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PromptPresignedUrl: {}
            }
          }
        },
        GetTaskTemplate: {
          http: {
            method: "GET",
            requestUri: "/instance/{InstanceId}/task/template/{TaskTemplateId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "TaskTemplateId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              TaskTemplateId: {
                location: "uri",
                locationName: "TaskTemplateId"
              },
              SnapshotVersion: {
                location: "querystring",
                locationName: "snapshotVersion"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Id",
              "Arn",
              "Name"
            ],
            members: {
              InstanceId: {},
              Id: {},
              Arn: {},
              Name: {},
              Description: {},
              ContactFlowId: {},
              Constraints: {
                shape: "S6h"
              },
              Defaults: {
                shape: "S6q"
              },
              Fields: {
                shape: "S6v"
              },
              Status: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              CreatedTime: {
                type: "timestamp"
              },
              Tags: {
                shape: "S1n"
              }
            }
          }
        },
        GetTrafficDistribution: {
          http: {
            method: "GET",
            requestUri: "/traffic-distribution/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TelephonyConfig: {
                shape: "Sf1"
              },
              Id: {},
              Arn: {}
            }
          }
        },
        ListAgentStatuses: {
          http: {
            method: "GET",
            requestUri: "/agent-status/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              AgentStatusTypes: {
                location: "querystring",
                locationName: "AgentStatusTypes",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              AgentStatusSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Name: {},
                    Type: {}
                  }
                }
              }
            }
          }
        },
        ListApprovedOrigins: {
          http: {
            method: "GET",
            requestUri: "/instance/{InstanceId}/approved-origins"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Origins: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListBots: {
          http: {
            method: "GET",
            requestUri: "/instance/{InstanceId}/bots"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "LexVersion"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              LexVersion: {
                location: "querystring",
                locationName: "lexVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LexBots: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LexBot: {
                      shape: "Sa"
                    },
                    LexV2Bot: {
                      shape: "Sd"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListContactEvaluations: {
          http: {
            method: "GET",
            requestUri: "/contact-evaluations/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactId: {
                location: "querystring",
                locationName: "contactId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EvaluationSummaryList"
            ],
            members: {
              EvaluationSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "EvaluationId",
                    "EvaluationArn",
                    "EvaluationFormTitle",
                    "EvaluationFormId",
                    "Status",
                    "EvaluatorArn",
                    "CreatedTime",
                    "LastModifiedTime"
                  ],
                  members: {
                    EvaluationId: {},
                    EvaluationArn: {},
                    EvaluationFormTitle: {},
                    EvaluationFormId: {},
                    Status: {},
                    EvaluatorArn: {},
                    Score: {
                      shape: "S9a"
                    },
                    CreatedTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListContactFlowModules: {
          http: {
            method: "GET",
            requestUri: "/contact-flow-modules-summary/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              ContactFlowModuleState: {
                location: "querystring",
                locationName: "state"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContactFlowModulesSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Name: {},
                    State: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListContactFlows: {
          http: {
            method: "GET",
            requestUri: "/contact-flows-summary/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactFlowTypes: {
                location: "querystring",
                locationName: "contactFlowTypes",
                type: "list",
                member: {}
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContactFlowSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Name: {},
                    ContactFlowType: {},
                    ContactFlowState: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListContactReferences: {
          http: {
            method: "GET",
            requestUri: "/contact/references/{InstanceId}/{ContactId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId",
              "ReferenceTypes"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactId: {
                location: "uri",
                locationName: "ContactId"
              },
              ReferenceTypes: {
                location: "querystring",
                locationName: "referenceTypes",
                type: "list",
                member: {}
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReferenceSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Url: {
                      type: "structure",
                      members: {
                        Name: {},
                        Value: {}
                      }
                    },
                    Attachment: {
                      type: "structure",
                      members: {
                        Name: {},
                        Value: {},
                        Status: {}
                      }
                    },
                    String: {
                      type: "structure",
                      members: {
                        Name: {},
                        Value: {}
                      }
                    },
                    Number: {
                      type: "structure",
                      members: {
                        Name: {},
                        Value: {}
                      }
                    },
                    Date: {
                      type: "structure",
                      members: {
                        Name: {},
                        Value: {}
                      }
                    },
                    Email: {
                      type: "structure",
                      members: {
                        Name: {},
                        Value: {}
                      }
                    }
                  },
                  union: true
                }
              },
              NextToken: {}
            }
          }
        },
        ListDefaultVocabularies: {
          http: {
            requestUri: "/default-vocabulary-summary/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              LanguageCode: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "DefaultVocabularyList"
            ],
            members: {
              DefaultVocabularyList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "InstanceId",
                    "LanguageCode",
                    "VocabularyId",
                    "VocabularyName"
                  ],
                  members: {
                    InstanceId: {},
                    LanguageCode: {},
                    VocabularyId: {},
                    VocabularyName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEvaluationFormVersions: {
          http: {
            method: "GET",
            requestUri: "/evaluation-forms/{InstanceId}/{EvaluationFormId}/versions"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "EvaluationFormId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              EvaluationFormId: {
                location: "uri",
                locationName: "EvaluationFormId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EvaluationFormVersionSummaryList"
            ],
            members: {
              EvaluationFormVersionSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "EvaluationFormArn",
                    "EvaluationFormId",
                    "EvaluationFormVersion",
                    "Locked",
                    "Status",
                    "CreatedTime",
                    "CreatedBy",
                    "LastModifiedTime",
                    "LastModifiedBy"
                  ],
                  members: {
                    EvaluationFormArn: {},
                    EvaluationFormId: {},
                    EvaluationFormVersion: {
                      type: "integer"
                    },
                    Locked: {
                      type: "boolean"
                    },
                    Status: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    CreatedBy: {},
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    LastModifiedBy: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEvaluationForms: {
          http: {
            method: "GET",
            requestUri: "/evaluation-forms/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EvaluationFormSummaryList"
            ],
            members: {
              EvaluationFormSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "EvaluationFormId",
                    "EvaluationFormArn",
                    "Title",
                    "CreatedTime",
                    "CreatedBy",
                    "LastModifiedTime",
                    "LastModifiedBy",
                    "LatestVersion"
                  ],
                  members: {
                    EvaluationFormId: {},
                    EvaluationFormArn: {},
                    Title: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    CreatedBy: {},
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    LastModifiedBy: {},
                    LastActivatedTime: {
                      type: "timestamp"
                    },
                    LastActivatedBy: {},
                    LatestVersion: {
                      type: "integer"
                    },
                    ActiveVersion: {
                      type: "integer"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListHoursOfOperations: {
          http: {
            method: "GET",
            requestUri: "/hours-of-operations-summary/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HoursOfOperationSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Name: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListInstanceAttributes: {
          http: {
            method: "GET",
            requestUri: "/instance/{InstanceId}/attributes"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attributes: {
                type: "list",
                member: {
                  shape: "Sae"
                }
              },
              NextToken: {}
            }
          }
        },
        ListInstanceStorageConfigs: {
          http: {
            method: "GET",
            requestUri: "/instance/{InstanceId}/storage-configs"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ResourceType"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StorageConfigs: {
                type: "list",
                member: {
                  shape: "Sl"
                }
              },
              NextToken: {}
            }
          }
        },
        ListInstances: {
          http: {
            method: "GET",
            requestUri: "/instance"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    IdentityManagementType: {},
                    InstanceAlias: {
                      shape: "S3r"
                    },
                    CreatedTime: {
                      type: "timestamp"
                    },
                    ServiceRole: {},
                    InstanceStatus: {},
                    InboundCallsEnabled: {
                      type: "boolean"
                    },
                    OutboundCallsEnabled: {
                      type: "boolean"
                    },
                    InstanceAccessUrl: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListIntegrationAssociations: {
          http: {
            method: "GET",
            requestUri: "/instance/{InstanceId}/integration-associations"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              IntegrationType: {
                location: "querystring",
                locationName: "integrationType"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IntegrationAssociationSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    IntegrationAssociationId: {},
                    IntegrationAssociationArn: {},
                    InstanceId: {},
                    IntegrationType: {},
                    IntegrationArn: {},
                    SourceApplicationUrl: {},
                    SourceApplicationName: {},
                    SourceType: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLambdaFunctions: {
          http: {
            method: "GET",
            requestUri: "/instance/{InstanceId}/lambda-functions"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LambdaFunctions: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListLexBots: {
          http: {
            method: "GET",
            requestUri: "/instance/{InstanceId}/lex-bots"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LexBots: {
                type: "list",
                member: {
                  shape: "Sa"
                }
              },
              NextToken: {}
            }
          }
        },
        ListPhoneNumbers: {
          http: {
            method: "GET",
            requestUri: "/phone-numbers-summary/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              PhoneNumberTypes: {
                shape: "Shf",
                location: "querystring",
                locationName: "phoneNumberTypes"
              },
              PhoneNumberCountryCodes: {
                shape: "Shg",
                location: "querystring",
                locationName: "phoneNumberCountryCodes"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    PhoneNumber: {},
                    PhoneNumberType: {},
                    PhoneNumberCountryCode: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPhoneNumbersV2: {
          http: {
            requestUri: "/phone-number/list"
          },
          input: {
            type: "structure",
            members: {
              TargetArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              PhoneNumberCountryCodes: {
                shape: "Shg"
              },
              PhoneNumberTypes: {
                shape: "Shf"
              },
              PhoneNumberPrefix: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ListPhoneNumbersSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PhoneNumberId: {},
                    PhoneNumberArn: {},
                    PhoneNumber: {},
                    PhoneNumberCountryCode: {},
                    PhoneNumberType: {},
                    TargetArn: {}
                  }
                }
              }
            }
          }
        },
        ListPrompts: {
          http: {
            method: "GET",
            requestUri: "/prompts-summary/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PromptSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Name: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListQueueQuickConnects: {
          http: {
            method: "GET",
            requestUri: "/queues/{InstanceId}/{QueueId}/quick-connects"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "QueueId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              QueueId: {
                location: "uri",
                locationName: "QueueId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              QuickConnectSummaryList: {
                shape: "Shx"
              }
            }
          }
        },
        ListQueues: {
          http: {
            method: "GET",
            requestUri: "/queues-summary/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              QueueTypes: {
                location: "querystring",
                locationName: "queueTypes",
                type: "list",
                member: {}
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              QueueSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Name: {},
                    QueueType: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListQuickConnects: {
          http: {
            method: "GET",
            requestUri: "/quick-connects/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              QuickConnectTypes: {
                location: "querystring",
                locationName: "QuickConnectTypes",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              QuickConnectSummaryList: {
                shape: "Shx"
              },
              NextToken: {}
            }
          }
        },
        ListRoutingProfileQueues: {
          http: {
            method: "GET",
            requestUri: "/routing-profiles/{InstanceId}/{RoutingProfileId}/queues"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "RoutingProfileId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              RoutingProfileId: {
                location: "uri",
                locationName: "RoutingProfileId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              RoutingProfileQueueConfigSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "QueueId",
                    "QueueArn",
                    "QueueName",
                    "Priority",
                    "Delay",
                    "Channel"
                  ],
                  members: {
                    QueueId: {},
                    QueueArn: {},
                    QueueName: {},
                    Priority: {
                      type: "integer"
                    },
                    Delay: {
                      type: "integer"
                    },
                    Channel: {}
                  }
                }
              }
            }
          }
        },
        ListRoutingProfiles: {
          http: {
            method: "GET",
            requestUri: "/routing-profiles-summary/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RoutingProfileSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Name: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListRules: {
          http: {
            method: "GET",
            requestUri: "/rules/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              PublishStatus: {
                location: "querystring",
                locationName: "publishStatus"
              },
              EventSourceName: {
                location: "querystring",
                locationName: "eventSourceName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "RuleSummaryList"
            ],
            members: {
              RuleSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "RuleId",
                    "RuleArn",
                    "EventSourceName",
                    "PublishStatus",
                    "ActionSummaries",
                    "CreatedTime",
                    "LastUpdatedTime"
                  ],
                  members: {
                    Name: {},
                    RuleId: {},
                    RuleArn: {},
                    EventSourceName: {},
                    PublishStatus: {},
                    ActionSummaries: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "ActionType"
                        ],
                        members: {
                          ActionType: {}
                        }
                      }
                    },
                    CreatedTime: {
                      type: "timestamp"
                    },
                    LastUpdatedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSecurityKeys: {
          http: {
            method: "GET",
            requestUri: "/instance/{InstanceId}/security-keys"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SecurityKeys: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AssociationId: {},
                    Key: {},
                    CreationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSecurityProfilePermissions: {
          http: {
            method: "GET",
            requestUri: "/security-profiles-permissions/{InstanceId}/{SecurityProfileId}"
          },
          input: {
            type: "structure",
            required: [
              "SecurityProfileId",
              "InstanceId"
            ],
            members: {
              SecurityProfileId: {
                location: "uri",
                locationName: "SecurityProfileId"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Permissions: {
                shape: "S65"
              },
              NextToken: {}
            }
          }
        },
        ListSecurityProfiles: {
          http: {
            method: "GET",
            requestUri: "/security-profiles-summary/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SecurityProfileSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Name: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S1n"
              }
            }
          }
        },
        ListTaskTemplates: {
          http: {
            method: "GET",
            requestUri: "/instance/{InstanceId}/task/template"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              Status: {
                location: "querystring",
                locationName: "status"
              },
              Name: {
                location: "querystring",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TaskTemplates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Name: {},
                    Description: {},
                    Status: {},
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    CreatedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTrafficDistributionGroups: {
          http: {
            method: "GET",
            requestUri: "/traffic-distribution-groups"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              InstanceId: {
                location: "querystring",
                locationName: "instanceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              TrafficDistributionGroupSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Name: {},
                    InstanceArn: {},
                    Status: {}
                  }
                }
              }
            }
          }
        },
        ListUseCases: {
          http: {
            method: "GET",
            requestUri: "/instance/{InstanceId}/integration-associations/{IntegrationAssociationId}/use-cases"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "IntegrationAssociationId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              IntegrationAssociationId: {
                location: "uri",
                locationName: "IntegrationAssociationId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UseCaseSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    UseCaseId: {},
                    UseCaseArn: {},
                    UseCaseType: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListUserHierarchyGroups: {
          http: {
            method: "GET",
            requestUri: "/user-hierarchy-groups-summary/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserHierarchyGroupSummaryList: {
                type: "list",
                member: {
                  shape: "Sbo"
                }
              },
              NextToken: {}
            }
          }
        },
        ListUsers: {
          http: {
            method: "GET",
            requestUri: "/users-summary/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Username: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        MonitorContact: {
          http: {
            requestUri: "/contact/monitor"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId",
              "UserId"
            ],
            members: {
              InstanceId: {},
              ContactId: {},
              UserId: {},
              AllowedMonitorCapabilities: {
                type: "list",
                member: {}
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContactId: {},
              ContactArn: {}
            }
          }
        },
        PutUserStatus: {
          http: {
            method: "PUT",
            requestUri: "/users/{InstanceId}/{UserId}/status"
          },
          input: {
            type: "structure",
            required: [
              "UserId",
              "InstanceId",
              "AgentStatusId"
            ],
            members: {
              UserId: {
                location: "uri",
                locationName: "UserId"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              AgentStatusId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ReleasePhoneNumber: {
          http: {
            method: "DELETE",
            requestUri: "/phone-number/{PhoneNumberId}"
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberId"
            ],
            members: {
              PhoneNumberId: {
                location: "uri",
                locationName: "PhoneNumberId"
              },
              ClientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          }
        },
        ReplicateInstance: {
          http: {
            requestUri: "/instance/{InstanceId}/replicate"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ReplicaRegion",
              "ReplicaAlias"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ReplicaRegion: {},
              ClientToken: {
                idempotencyToken: true
              },
              ReplicaAlias: {
                shape: "S3r"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              Arn: {}
            }
          }
        },
        ResumeContactRecording: {
          http: {
            requestUri: "/contact/resume-recording"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId",
              "InitialContactId"
            ],
            members: {
              InstanceId: {},
              ContactId: {},
              InitialContactId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SearchAvailablePhoneNumbers: {
          http: {
            requestUri: "/phone-number/search-available"
          },
          input: {
            type: "structure",
            required: [
              "TargetArn",
              "PhoneNumberCountryCode",
              "PhoneNumberType"
            ],
            members: {
              TargetArn: {},
              PhoneNumberCountryCode: {},
              PhoneNumberType: {},
              PhoneNumberPrefix: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              AvailableNumbersList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PhoneNumber: {},
                    PhoneNumberCountryCode: {},
                    PhoneNumberType: {}
                  }
                }
              }
            }
          }
        },
        SearchHoursOfOperations: {
          http: {
            requestUri: "/search-hours-of-operations"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SearchFilter: {
                type: "structure",
                members: {
                  TagFilter: {
                    shape: "Sk1"
                  }
                }
              },
              SearchCriteria: {
                shape: "Sk5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HoursOfOperations: {
                type: "list",
                member: {
                  shape: "Sa4"
                }
              },
              NextToken: {},
              ApproximateTotalCount: {
                type: "long"
              }
            }
          }
        },
        SearchPrompts: {
          http: {
            requestUri: "/search-prompts"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SearchFilter: {
                type: "structure",
                members: {
                  TagFilter: {
                    shape: "Sk1"
                  }
                }
              },
              SearchCriteria: {
                shape: "Skd"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Prompts: {
                type: "list",
                member: {
                  shape: "Sas"
                }
              },
              NextToken: {},
              ApproximateTotalCount: {
                type: "long"
              }
            }
          }
        },
        SearchQueues: {
          http: {
            requestUri: "/search-queues"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SearchFilter: {
                type: "structure",
                members: {
                  TagFilter: {
                    shape: "Sk1"
                  }
                }
              },
              SearchCriteria: {
                shape: "Skj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Queues: {
                type: "list",
                member: {
                  shape: "Sav"
                }
              },
              NextToken: {},
              ApproximateTotalCount: {
                type: "long"
              }
            }
          }
        },
        SearchQuickConnects: {
          http: {
            requestUri: "/search-quick-connects"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SearchFilter: {
                type: "structure",
                members: {
                  TagFilter: {
                    shape: "Sk1"
                  }
                }
              },
              SearchCriteria: {
                shape: "Skq"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              QuickConnects: {
                type: "list",
                member: {
                  shape: "Saz"
                }
              },
              NextToken: {},
              ApproximateTotalCount: {
                type: "long"
              }
            }
          }
        },
        SearchResourceTags: {
          http: {
            requestUri: "/search-resource-tags"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              ResourceTypes: {
                type: "list",
                member: {}
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SearchCriteria: {
                type: "structure",
                members: {
                  TagSearchCondition: {
                    type: "structure",
                    members: {
                      tagKey: {},
                      tagValue: {},
                      tagKeyComparisonType: {},
                      tagValueComparisonType: {}
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    key: {},
                    value: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        SearchRoutingProfiles: {
          http: {
            requestUri: "/search-routing-profiles"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SearchFilter: {
                type: "structure",
                members: {
                  TagFilter: {
                    shape: "Sk1"
                  }
                }
              },
              SearchCriteria: {
                shape: "Sl5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RoutingProfiles: {
                type: "list",
                member: {
                  shape: "Sb2"
                }
              },
              NextToken: {},
              ApproximateTotalCount: {
                type: "long"
              }
            }
          }
        },
        SearchSecurityProfiles: {
          http: {
            requestUri: "/search-security-profiles"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SearchCriteria: {
                shape: "Sla"
              },
              SearchFilter: {
                type: "structure",
                members: {
                  TagFilter: {
                    shape: "Sk1"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SecurityProfiles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    OrganizationResourceId: {},
                    Arn: {},
                    SecurityProfileName: {},
                    Description: {},
                    Tags: {
                      shape: "S1n"
                    }
                  }
                }
              },
              NextToken: {},
              ApproximateTotalCount: {
                type: "long"
              }
            }
          }
        },
        SearchUsers: {
          http: {
            requestUri: "/search-users"
          },
          input: {
            type: "structure",
            members: {
              InstanceId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              SearchFilter: {
                type: "structure",
                members: {
                  TagFilter: {
                    shape: "Sk1"
                  }
                }
              },
              SearchCriteria: {
                shape: "Sli"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Users: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    DirectoryUserId: {},
                    HierarchyGroupId: {},
                    Id: {},
                    IdentityInfo: {
                      type: "structure",
                      members: {
                        FirstName: {},
                        LastName: {}
                      }
                    },
                    PhoneConfig: {
                      shape: "S7m"
                    },
                    RoutingProfileId: {},
                    SecurityProfileIds: {
                      shape: "S7r"
                    },
                    Tags: {
                      shape: "S1n"
                    },
                    Username: {}
                  }
                }
              },
              NextToken: {},
              ApproximateTotalCount: {
                type: "long"
              }
            }
          }
        },
        SearchVocabularies: {
          http: {
            requestUri: "/vocabulary-summary/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              State: {},
              NameStartsWith: {},
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VocabularySummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Id",
                    "Arn",
                    "LanguageCode",
                    "State",
                    "LastModifiedTime"
                  ],
                  members: {
                    Name: {},
                    Id: {},
                    Arn: {},
                    LanguageCode: {},
                    State: {},
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    FailureReason: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        StartChatContact: {
          http: {
            method: "PUT",
            requestUri: "/contact/chat"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactFlowId",
              "ParticipantDetails"
            ],
            members: {
              InstanceId: {},
              ContactFlowId: {},
              Attributes: {
                shape: "Scd"
              },
              ParticipantDetails: {
                type: "structure",
                required: [
                  "DisplayName"
                ],
                members: {
                  DisplayName: {}
                }
              },
              InitialMessage: {
                type: "structure",
                required: [
                  "ContentType",
                  "Content"
                ],
                members: {
                  ContentType: {},
                  Content: {}
                }
              },
              ClientToken: {
                idempotencyToken: true
              },
              ChatDurationInMinutes: {
                type: "integer"
              },
              SupportedMessagingContentTypes: {
                type: "list",
                member: {}
              },
              PersistentChat: {
                type: "structure",
                members: {
                  RehydrationType: {},
                  SourceContactId: {}
                }
              },
              RelatedContactId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ContactId: {},
              ParticipantId: {},
              ParticipantToken: {},
              ContinuedFromContactId: {}
            }
          }
        },
        StartContactEvaluation: {
          http: {
            method: "PUT",
            requestUri: "/contact-evaluations/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId",
              "EvaluationFormId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactId: {},
              EvaluationFormId: {},
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EvaluationId",
              "EvaluationArn"
            ],
            members: {
              EvaluationId: {},
              EvaluationArn: {}
            }
          },
          idempotent: true
        },
        StartContactRecording: {
          http: {
            requestUri: "/contact/start-recording"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId",
              "InitialContactId",
              "VoiceRecordingConfiguration"
            ],
            members: {
              InstanceId: {},
              ContactId: {},
              InitialContactId: {},
              VoiceRecordingConfiguration: {
                type: "structure",
                members: {
                  VoiceRecordingTrack: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartContactStreaming: {
          http: {
            requestUri: "/contact/start-streaming"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId",
              "ChatStreamingConfiguration",
              "ClientToken"
            ],
            members: {
              InstanceId: {},
              ContactId: {},
              ChatStreamingConfiguration: {
                type: "structure",
                required: [
                  "StreamingEndpointArn"
                ],
                members: {
                  StreamingEndpointArn: {}
                }
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "StreamingId"
            ],
            members: {
              StreamingId: {}
            }
          }
        },
        StartOutboundVoiceContact: {
          http: {
            method: "PUT",
            requestUri: "/contact/outbound-voice"
          },
          input: {
            type: "structure",
            required: [
              "DestinationPhoneNumber",
              "ContactFlowId",
              "InstanceId"
            ],
            members: {
              DestinationPhoneNumber: {},
              ContactFlowId: {},
              InstanceId: {},
              ClientToken: {
                idempotencyToken: true
              },
              SourcePhoneNumber: {},
              QueueId: {},
              Attributes: {
                shape: "Scd"
              },
              AnswerMachineDetectionConfig: {
                type: "structure",
                members: {
                  EnableAnswerMachineDetection: {
                    type: "boolean"
                  },
                  AwaitAnswerMachinePrompt: {
                    type: "boolean"
                  }
                }
              },
              CampaignId: {},
              TrafficType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ContactId: {}
            }
          }
        },
        StartTaskContact: {
          http: {
            method: "PUT",
            requestUri: "/contact/task"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "Name"
            ],
            members: {
              InstanceId: {},
              PreviousContactId: {},
              ContactFlowId: {},
              Attributes: {
                shape: "Scd"
              },
              Name: {},
              References: {
                shape: "S5i"
              },
              Description: {},
              ClientToken: {
                idempotencyToken: true
              },
              ScheduledTime: {
                type: "timestamp"
              },
              TaskTemplateId: {},
              QuickConnectId: {},
              RelatedContactId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ContactId: {}
            }
          }
        },
        StopContact: {
          http: {
            requestUri: "/contact/stop"
          },
          input: {
            type: "structure",
            required: [
              "ContactId",
              "InstanceId"
            ],
            members: {
              ContactId: {},
              InstanceId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StopContactRecording: {
          http: {
            requestUri: "/contact/stop-recording"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId",
              "InitialContactId"
            ],
            members: {
              InstanceId: {},
              ContactId: {},
              InitialContactId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StopContactStreaming: {
          http: {
            requestUri: "/contact/stop-streaming"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId",
              "StreamingId"
            ],
            members: {
              InstanceId: {},
              ContactId: {},
              StreamingId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SubmitContactEvaluation: {
          http: {
            requestUri: "/contact-evaluations/{InstanceId}/{EvaluationId}/submit"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "EvaluationId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              EvaluationId: {
                location: "uri",
                locationName: "EvaluationId"
              },
              Answers: {
                shape: "Smu"
              },
              Notes: {
                shape: "S9h"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EvaluationId",
              "EvaluationArn"
            ],
            members: {
              EvaluationId: {},
              EvaluationArn: {}
            }
          }
        },
        SuspendContactRecording: {
          http: {
            requestUri: "/contact/suspend-recording"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId",
              "InitialContactId"
            ],
            members: {
              InstanceId: {},
              ContactId: {},
              InitialContactId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S1n"
              }
            }
          }
        },
        TransferContact: {
          http: {
            requestUri: "/contact/transfer"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId",
              "ContactFlowId"
            ],
            members: {
              InstanceId: {},
              ContactId: {},
              QueueId: {},
              UserId: {},
              ContactFlowId: {},
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContactId: {},
              ContactArn: {}
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          }
        },
        UpdateAgentStatus: {
          http: {
            requestUri: "/agent-status/{InstanceId}/{AgentStatusId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "AgentStatusId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              AgentStatusId: {
                location: "uri",
                locationName: "AgentStatusId"
              },
              Name: {},
              Description: {},
              State: {},
              DisplayOrder: {
                type: "integer"
              },
              ResetOrderNumber: {
                type: "boolean"
              }
            }
          }
        },
        UpdateContact: {
          http: {
            requestUri: "/contacts/{InstanceId}/{ContactId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactId: {
                location: "uri",
                locationName: "ContactId"
              },
              Name: {},
              Description: {},
              References: {
                shape: "S5i"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateContactAttributes: {
          http: {
            requestUri: "/contact/attributes"
          },
          input: {
            type: "structure",
            required: [
              "InitialContactId",
              "InstanceId",
              "Attributes"
            ],
            members: {
              InitialContactId: {},
              InstanceId: {},
              Attributes: {
                shape: "Scd"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateContactEvaluation: {
          http: {
            requestUri: "/contact-evaluations/{InstanceId}/{EvaluationId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "EvaluationId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              EvaluationId: {
                location: "uri",
                locationName: "EvaluationId"
              },
              Answers: {
                shape: "Smu"
              },
              Notes: {
                shape: "S9h"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EvaluationId",
              "EvaluationArn"
            ],
            members: {
              EvaluationId: {},
              EvaluationArn: {}
            }
          }
        },
        UpdateContactFlowContent: {
          http: {
            requestUri: "/contact-flows/{InstanceId}/{ContactFlowId}/content"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactFlowId",
              "Content"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactFlowId: {
                location: "uri",
                locationName: "ContactFlowId"
              },
              Content: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateContactFlowMetadata: {
          http: {
            requestUri: "/contact-flows/{InstanceId}/{ContactFlowId}/metadata"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactFlowId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactFlowId: {
                location: "uri",
                locationName: "ContactFlowId"
              },
              Name: {},
              Description: {},
              ContactFlowState: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateContactFlowModuleContent: {
          http: {
            requestUri: "/contact-flow-modules/{InstanceId}/{ContactFlowModuleId}/content"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactFlowModuleId",
              "Content"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactFlowModuleId: {
                location: "uri",
                locationName: "ContactFlowModuleId"
              },
              Content: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateContactFlowModuleMetadata: {
          http: {
            requestUri: "/contact-flow-modules/{InstanceId}/{ContactFlowModuleId}/metadata"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactFlowModuleId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactFlowModuleId: {
                location: "uri",
                locationName: "ContactFlowModuleId"
              },
              Name: {},
              Description: {},
              State: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateContactFlowName: {
          http: {
            requestUri: "/contact-flows/{InstanceId}/{ContactFlowId}/name"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactFlowId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactFlowId: {
                location: "uri",
                locationName: "ContactFlowId"
              },
              Name: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateContactSchedule: {
          http: {
            requestUri: "/contact/schedule"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId",
              "ScheduledTime"
            ],
            members: {
              InstanceId: {},
              ContactId: {},
              ScheduledTime: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateEvaluationForm: {
          http: {
            method: "PUT",
            requestUri: "/evaluation-forms/{InstanceId}/{EvaluationFormId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "EvaluationFormId",
              "EvaluationFormVersion",
              "Title",
              "Items"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              EvaluationFormId: {
                location: "uri",
                locationName: "EvaluationFormId"
              },
              EvaluationFormVersion: {
                type: "integer"
              },
              CreateNewVersion: {
                type: "boolean"
              },
              Title: {},
              Description: {},
              Items: {
                shape: "S2e"
              },
              ScoringStrategy: {
                shape: "S39"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EvaluationFormId",
              "EvaluationFormArn",
              "EvaluationFormVersion"
            ],
            members: {
              EvaluationFormId: {},
              EvaluationFormArn: {},
              EvaluationFormVersion: {
                type: "integer"
              }
            }
          },
          idempotent: true
        },
        UpdateHoursOfOperation: {
          http: {
            requestUri: "/hours-of-operations/{InstanceId}/{HoursOfOperationId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "HoursOfOperationId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              HoursOfOperationId: {
                location: "uri",
                locationName: "HoursOfOperationId"
              },
              Name: {},
              Description: {},
              TimeZone: {},
              Config: {
                shape: "S3h"
              }
            }
          }
        },
        UpdateInstanceAttribute: {
          http: {
            requestUri: "/instance/{InstanceId}/attribute/{AttributeType}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "AttributeType",
              "Value"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              AttributeType: {
                location: "uri",
                locationName: "AttributeType"
              },
              Value: {}
            }
          }
        },
        UpdateInstanceStorageConfig: {
          http: {
            requestUri: "/instance/{InstanceId}/storage-config/{AssociationId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "AssociationId",
              "ResourceType",
              "StorageConfig"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              AssociationId: {
                location: "uri",
                locationName: "AssociationId"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              StorageConfig: {
                shape: "Sl"
              }
            }
          }
        },
        UpdateParticipantRoleConfig: {
          http: {
            method: "PUT",
            requestUri: "/contact/participant-role-config/{InstanceId}/{ContactId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId",
              "ChannelConfiguration"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              ContactId: {
                location: "uri",
                locationName: "ContactId"
              },
              ChannelConfiguration: {
                type: "structure",
                members: {
                  Chat: {
                    type: "structure",
                    required: [
                      "ParticipantTimerConfigList"
                    ],
                    members: {
                      ParticipantTimerConfigList: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "ParticipantRole",
                            "TimerType",
                            "TimerValue"
                          ],
                          members: {
                            ParticipantRole: {},
                            TimerType: {},
                            TimerValue: {
                              type: "structure",
                              members: {
                                ParticipantTimerAction: {},
                                ParticipantTimerDurationInMinutes: {
                                  type: "integer"
                                }
                              },
                              union: true
                            }
                          }
                        }
                      }
                    }
                  }
                },
                union: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdatePhoneNumber: {
          http: {
            method: "PUT",
            requestUri: "/phone-number/{PhoneNumberId}"
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberId",
              "TargetArn"
            ],
            members: {
              PhoneNumberId: {
                location: "uri",
                locationName: "PhoneNumberId"
              },
              TargetArn: {},
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberId: {},
              PhoneNumberArn: {}
            }
          }
        },
        UpdatePrompt: {
          http: {
            requestUri: "/prompts/{InstanceId}/{PromptId}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "PromptId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              PromptId: {
                location: "uri",
                locationName: "PromptId"
              },
              Name: {},
              Description: {},
              S3Uri: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PromptARN: {},
              PromptId: {}
            }
          }
        },
        UpdateQueueHoursOfOperation: {
          http: {
            requestUri: "/queues/{InstanceId}/{QueueId}/hours-of-operation"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "QueueId",
              "HoursOfOperationId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              QueueId: {
                location: "uri",
                locationName: "QueueId"
              },
              HoursOfOperationId: {}
            }
          }
        },
        UpdateQueueMaxContacts: {
          http: {
            requestUri: "/queues/{InstanceId}/{QueueId}/max-contacts"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "QueueId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              QueueId: {
                location: "uri",
                locationName: "QueueId"
              },
              MaxContacts: {
                type: "integer"
              }
            }
          }
        },
        UpdateQueueName: {
          http: {
            requestUri: "/queues/{InstanceId}/{QueueId}/name"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "QueueId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              QueueId: {
                location: "uri",
                locationName: "QueueId"
              },
              Name: {},
              Description: {}
            }
          }
        },
        UpdateQueueOutboundCallerConfig: {
          http: {
            requestUri: "/queues/{InstanceId}/{QueueId}/outbound-caller-config"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "QueueId",
              "OutboundCallerConfig"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              QueueId: {
                location: "uri",
                locationName: "QueueId"
              },
              OutboundCallerConfig: {
                shape: "S4k"
              }
            }
          }
        },
        UpdateQueueStatus: {
          http: {
            requestUri: "/queues/{InstanceId}/{QueueId}/status"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "QueueId",
              "Status"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              QueueId: {
                location: "uri",
                locationName: "QueueId"
              },
              Status: {}
            }
          }
        },
        UpdateQuickConnectConfig: {
          http: {
            requestUri: "/quick-connects/{InstanceId}/{QuickConnectId}/config"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "QuickConnectId",
              "QuickConnectConfig"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              QuickConnectId: {
                location: "uri",
                locationName: "QuickConnectId"
              },
              QuickConnectConfig: {
                shape: "S4r"
              }
            }
          }
        },
        UpdateQuickConnectName: {
          http: {
            requestUri: "/quick-connects/{InstanceId}/{QuickConnectId}/name"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "QuickConnectId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              QuickConnectId: {
                location: "uri",
                locationName: "QuickConnectId"
              },
              Name: {},
              Description: {}
            }
          }
        },
        UpdateRoutingProfileConcurrency: {
          http: {
            requestUri: "/routing-profiles/{InstanceId}/{RoutingProfileId}/concurrency"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "RoutingProfileId",
              "MediaConcurrencies"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              RoutingProfileId: {
                location: "uri",
                locationName: "RoutingProfileId"
              },
              MediaConcurrencies: {
                shape: "S51"
              }
            }
          }
        },
        UpdateRoutingProfileDefaultOutboundQueue: {
          http: {
            requestUri: "/routing-profiles/{InstanceId}/{RoutingProfileId}/default-outbound-queue"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "RoutingProfileId",
              "DefaultOutboundQueueId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              RoutingProfileId: {
                location: "uri",
                locationName: "RoutingProfileId"
              },
              DefaultOutboundQueueId: {}
            }
          }
        },
        UpdateRoutingProfileName: {
          http: {
            requestUri: "/routing-profiles/{InstanceId}/{RoutingProfileId}/name"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "RoutingProfileId"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              RoutingProfileId: {
                location: "uri",
                locationName: "RoutingProfileId"
              },
              Name: {},
              Description: {}
            }
          }
        },
        UpdateRoutingProfileQueues: {
          http: {
            requestUri: "/routing-profiles/{InstanceId}/{RoutingProfileId}/queues"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "RoutingProfileId",
              "QueueConfigs"
            ],
            members: {
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              RoutingProfileId: {
                location: "uri",
                locationName: "RoutingProfileId"
              },
              QueueConfigs: {
                shape: "S1b"
              }
            }
          }
        },
        UpdateRule: {
          http: {
            method: "PUT",
            requestUri: "/rules/{InstanceId}/{RuleId}"
          },
          input: {
            type: "structure",
            required: [
              "RuleId",
              "InstanceId",
              "Name",
              "Function",
              "Actions",
              "PublishStatus"
            ],
            members: {
              RuleId: {
                location: "uri",
                locationName: "RuleId"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Name: {},
              Function: {},
              Actions: {
                shape: "S5c"
              },
              PublishStatus: {}
            }
          }
        },
        UpdateSecurityProfile: {
          http: {
            requestUri: "/security-profiles/{InstanceId}/{SecurityProfileId}"
          },
          input: {
            type: "structure",
            required: [
              "SecurityProfileId",
              "InstanceId"
            ],
            members: {
              Description: {},
              Permissions: {
                shape: "S65"
              },
              SecurityProfileId: {
                location: "uri",
                locationName: "SecurityProfileId"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              AllowedAccessControlTags: {
                shape: "S67"
              },
              TagRestrictedResources: {
                shape: "S6a"
              }
            }
          }
        },
        UpdateTaskTemplate: {
          http: {
            requestUri: "/instance/{InstanceId}/task/template/{TaskTemplateId}"
          },
          input: {
            type: "structure",
            required: [
              "TaskTemplateId",
              "InstanceId"
            ],
            members: {
              TaskTemplateId: {
                location: "uri",
                locationName: "TaskTemplateId"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              },
              Name: {},
              Description: {},
              ContactFlowId: {},
              Constraints: {
                shape: "S6h"
              },
              Defaults: {
                shape: "S6q"
              },
              Status: {},
              Fields: {
                shape: "S6v"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceId: {},
              Id: {},
              Arn: {},
              Name: {},
              Description: {},
              ContactFlowId: {},
              Constraints: {
                shape: "S6h"
              },
              Defaults: {
                shape: "S6q"
              },
              Fields: {
                shape: "S6v"
              },
              Status: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              CreatedTime: {
                type: "timestamp"
              }
            }
          }
        },
        UpdateTrafficDistribution: {
          http: {
            method: "PUT",
            requestUri: "/traffic-distribution/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              TelephonyConfig: {
                shape: "Sf1"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateUserHierarchy: {
          http: {
            requestUri: "/users/{InstanceId}/{UserId}/hierarchy"
          },
          input: {
            type: "structure",
            required: [
              "UserId",
              "InstanceId"
            ],
            members: {
              HierarchyGroupId: {},
              UserId: {
                location: "uri",
                locationName: "UserId"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              }
            }
          }
        },
        UpdateUserHierarchyGroupName: {
          http: {
            requestUri: "/user-hierarchy-groups/{InstanceId}/{HierarchyGroupId}/name"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "HierarchyGroupId",
              "InstanceId"
            ],
            members: {
              Name: {},
              HierarchyGroupId: {
                location: "uri",
                locationName: "HierarchyGroupId"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              }
            }
          }
        },
        UpdateUserHierarchyStructure: {
          http: {
            requestUri: "/user-hierarchy-structure/{InstanceId}"
          },
          input: {
            type: "structure",
            required: [
              "HierarchyStructure",
              "InstanceId"
            ],
            members: {
              HierarchyStructure: {
                type: "structure",
                members: {
                  LevelOne: {
                    shape: "Sow"
                  },
                  LevelTwo: {
                    shape: "Sow"
                  },
                  LevelThree: {
                    shape: "Sow"
                  },
                  LevelFour: {
                    shape: "Sow"
                  },
                  LevelFive: {
                    shape: "Sow"
                  }
                }
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              }
            }
          }
        },
        UpdateUserIdentityInfo: {
          http: {
            requestUri: "/users/{InstanceId}/{UserId}/identity-info"
          },
          input: {
            type: "structure",
            required: [
              "IdentityInfo",
              "UserId",
              "InstanceId"
            ],
            members: {
              IdentityInfo: {
                shape: "S7i"
              },
              UserId: {
                location: "uri",
                locationName: "UserId"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              }
            }
          }
        },
        UpdateUserPhoneConfig: {
          http: {
            requestUri: "/users/{InstanceId}/{UserId}/phone-config"
          },
          input: {
            type: "structure",
            required: [
              "PhoneConfig",
              "UserId",
              "InstanceId"
            ],
            members: {
              PhoneConfig: {
                shape: "S7m"
              },
              UserId: {
                location: "uri",
                locationName: "UserId"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              }
            }
          }
        },
        UpdateUserRoutingProfile: {
          http: {
            requestUri: "/users/{InstanceId}/{UserId}/routing-profile"
          },
          input: {
            type: "structure",
            required: [
              "RoutingProfileId",
              "UserId",
              "InstanceId"
            ],
            members: {
              RoutingProfileId: {},
              UserId: {
                location: "uri",
                locationName: "UserId"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              }
            }
          }
        },
        UpdateUserSecurityProfiles: {
          http: {
            requestUri: "/users/{InstanceId}/{UserId}/security-profiles"
          },
          input: {
            type: "structure",
            required: [
              "SecurityProfileIds",
              "UserId",
              "InstanceId"
            ],
            members: {
              SecurityProfileIds: {
                shape: "S7r"
              },
              UserId: {
                location: "uri",
                locationName: "UserId"
              },
              InstanceId: {
                location: "uri",
                locationName: "InstanceId"
              }
            }
          }
        }
      },
      shapes: {
        Sa: {
          type: "structure",
          required: [
            "Name",
            "LexRegion"
          ],
          members: {
            Name: {},
            LexRegion: {}
          }
        },
        Sd: {
          type: "structure",
          members: {
            AliasArn: {}
          }
        },
        Sl: {
          type: "structure",
          required: [
            "StorageType"
          ],
          members: {
            AssociationId: {},
            StorageType: {},
            S3Config: {
              type: "structure",
              required: [
                "BucketName",
                "BucketPrefix"
              ],
              members: {
                BucketName: {},
                BucketPrefix: {},
                EncryptionConfig: {
                  shape: "Sr"
                }
              }
            },
            KinesisVideoStreamConfig: {
              type: "structure",
              required: [
                "Prefix",
                "RetentionPeriodHours",
                "EncryptionConfig"
              ],
              members: {
                Prefix: {},
                RetentionPeriodHours: {
                  type: "integer"
                },
                EncryptionConfig: {
                  shape: "Sr"
                }
              }
            },
            KinesisStreamConfig: {
              type: "structure",
              required: [
                "StreamArn"
              ],
              members: {
                StreamArn: {}
              }
            },
            KinesisFirehoseConfig: {
              type: "structure",
              required: [
                "FirehoseArn"
              ],
              members: {
                FirehoseArn: {}
              }
            }
          }
        },
        Sr: {
          type: "structure",
          required: [
            "EncryptionType",
            "KeyId"
          ],
          members: {
            EncryptionType: {},
            KeyId: {}
          }
        },
        S17: {
          type: "list",
          member: {}
        },
        S1b: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "QueueReference",
              "Priority",
              "Delay"
            ],
            members: {
              QueueReference: {
                shape: "S1d"
              },
              Priority: {
                type: "integer"
              },
              Delay: {
                type: "integer"
              }
            }
          }
        },
        S1d: {
          type: "structure",
          required: [
            "QueueId",
            "Channel"
          ],
          members: {
            QueueId: {},
            Channel: {}
          }
        },
        S1n: {
          type: "map",
          key: {},
          value: {}
        },
        S2e: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Section: {
                type: "structure",
                required: [
                  "Title",
                  "RefId",
                  "Items"
                ],
                members: {
                  Title: {},
                  RefId: {},
                  Instructions: {},
                  Items: {
                    shape: "S2e"
                  },
                  Weight: {
                    type: "double"
                  }
                }
              },
              Question: {
                type: "structure",
                required: [
                  "Title",
                  "RefId",
                  "QuestionType"
                ],
                members: {
                  Title: {},
                  Instructions: {},
                  RefId: {},
                  NotApplicableEnabled: {
                    type: "boolean"
                  },
                  QuestionType: {},
                  QuestionTypeProperties: {
                    type: "structure",
                    members: {
                      Numeric: {
                        type: "structure",
                        required: [
                          "MinValue",
                          "MaxValue"
                        ],
                        members: {
                          MinValue: {
                            type: "integer"
                          },
                          MaxValue: {
                            type: "integer"
                          },
                          Options: {
                            type: "list",
                            member: {
                              type: "structure",
                              required: [
                                "MinValue",
                                "MaxValue"
                              ],
                              members: {
                                MinValue: {
                                  type: "integer"
                                },
                                MaxValue: {
                                  type: "integer"
                                },
                                Score: {
                                  type: "integer"
                                },
                                AutomaticFail: {
                                  type: "boolean"
                                }
                              }
                            }
                          },
                          Automation: {
                            type: "structure",
                            members: {
                              PropertyValue: {
                                type: "structure",
                                required: [
                                  "Label"
                                ],
                                members: {
                                  Label: {}
                                }
                              }
                            },
                            union: true
                          }
                        }
                      },
                      SingleSelect: {
                        type: "structure",
                        required: [
                          "Options"
                        ],
                        members: {
                          Options: {
                            type: "list",
                            member: {
                              type: "structure",
                              required: [
                                "RefId",
                                "Text"
                              ],
                              members: {
                                RefId: {},
                                Text: {},
                                Score: {
                                  type: "integer"
                                },
                                AutomaticFail: {
                                  type: "boolean"
                                }
                              }
                            }
                          },
                          DisplayAs: {},
                          Automation: {
                            type: "structure",
                            required: [
                              "Options"
                            ],
                            members: {
                              Options: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    RuleCategory: {
                                      type: "structure",
                                      required: [
                                        "Category",
                                        "Condition",
                                        "OptionRefId"
                                      ],
                                      members: {
                                        Category: {},
                                        Condition: {},
                                        OptionRefId: {}
                                      }
                                    }
                                  },
                                  union: true
                                }
                              },
                              DefaultOptionRefId: {}
                            }
                          }
                        }
                      }
                    },
                    union: true
                  },
                  Weight: {
                    type: "double"
                  }
                }
              }
            },
            union: true
          }
        },
        S39: {
          type: "structure",
          required: [
            "Mode",
            "Status"
          ],
          members: {
            Mode: {},
            Status: {}
          }
        },
        S3h: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Day",
              "StartTime",
              "EndTime"
            ],
            members: {
              Day: {},
              StartTime: {
                shape: "S3k"
              },
              EndTime: {
                shape: "S3k"
              }
            }
          }
        },
        S3k: {
          type: "structure",
          required: [
            "Hours",
            "Minutes"
          ],
          members: {
            Hours: {
              type: "integer"
            },
            Minutes: {
              type: "integer"
            }
          }
        },
        S3r: {
          type: "string",
          sensitive: true
        },
        S4k: {
          type: "structure",
          members: {
            OutboundCallerIdName: {},
            OutboundCallerIdNumberId: {},
            OutboundFlowId: {}
          }
        },
        S4r: {
          type: "structure",
          required: [
            "QuickConnectType"
          ],
          members: {
            QuickConnectType: {},
            UserConfig: {
              type: "structure",
              required: [
                "UserId",
                "ContactFlowId"
              ],
              members: {
                UserId: {},
                ContactFlowId: {}
              }
            },
            QueueConfig: {
              type: "structure",
              required: [
                "QueueId",
                "ContactFlowId"
              ],
              members: {
                QueueId: {},
                ContactFlowId: {}
              }
            },
            PhoneConfig: {
              type: "structure",
              required: [
                "PhoneNumber"
              ],
              members: {
                PhoneNumber: {}
              }
            }
          }
        },
        S51: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Channel",
              "Concurrency"
            ],
            members: {
              Channel: {},
              Concurrency: {
                type: "integer"
              },
              CrossChannelBehavior: {
                type: "structure",
                required: [
                  "BehaviorType"
                ],
                members: {
                  BehaviorType: {}
                }
              }
            }
          }
        },
        S59: {
          type: "structure",
          required: [
            "EventSourceName"
          ],
          members: {
            EventSourceName: {},
            IntegrationAssociationId: {}
          }
        },
        S5c: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ActionType"
            ],
            members: {
              ActionType: {},
              TaskAction: {
                type: "structure",
                required: [
                  "Name",
                  "ContactFlowId"
                ],
                members: {
                  Name: {},
                  Description: {},
                  ContactFlowId: {},
                  References: {
                    shape: "S5i"
                  }
                }
              },
              EventBridgeAction: {
                type: "structure",
                required: [
                  "Name"
                ],
                members: {
                  Name: {}
                }
              },
              AssignContactCategoryAction: {
                type: "structure",
                members: {}
              },
              SendNotificationAction: {
                type: "structure",
                required: [
                  "DeliveryMethod",
                  "Content",
                  "ContentType",
                  "Recipient"
                ],
                members: {
                  DeliveryMethod: {},
                  Subject: {},
                  Content: {},
                  ContentType: {},
                  Recipient: {
                    type: "structure",
                    members: {
                      UserTags: {
                        type: "map",
                        key: {},
                        value: {}
                      },
                      UserIds: {
                        type: "list",
                        member: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S5i: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "Value",
              "Type"
            ],
            members: {
              Value: {},
              Type: {}
            }
          }
        },
        S65: {
          type: "list",
          member: {}
        },
        S67: {
          type: "map",
          key: {},
          value: {}
        },
        S6a: {
          type: "list",
          member: {}
        },
        S6h: {
          type: "structure",
          members: {
            RequiredFields: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Id: {
                    shape: "S6k"
                  }
                }
              }
            },
            ReadOnlyFields: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Id: {
                    shape: "S6k"
                  }
                }
              }
            },
            InvisibleFields: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Id: {
                    shape: "S6k"
                  }
                }
              }
            }
          }
        },
        S6k: {
          type: "structure",
          members: {
            Name: {}
          }
        },
        S6q: {
          type: "structure",
          members: {
            DefaultFieldValues: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Id: {
                    shape: "S6k"
                  },
                  DefaultValue: {}
                }
              }
            }
          }
        },
        S6v: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                shape: "S6k"
              },
              Description: {},
              Type: {},
              SingleSelectOptions: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S7i: {
          type: "structure",
          members: {
            FirstName: {},
            LastName: {},
            Email: {},
            SecondaryEmail: {},
            Mobile: {}
          }
        },
        S7m: {
          type: "structure",
          required: [
            "PhoneType"
          ],
          members: {
            PhoneType: {},
            AutoAccept: {
              type: "boolean"
            },
            AfterContactWorkTimeLimit: {
              type: "integer"
            },
            DeskPhoneNumber: {}
          }
        },
        S7r: {
          type: "list",
          member: {}
        },
        S9a: {
          type: "structure",
          members: {
            Percentage: {
              type: "double"
            },
            NotApplicable: {
              type: "boolean"
            },
            AutomaticFail: {
              type: "boolean"
            }
          }
        },
        S9e: {
          type: "structure",
          members: {
            StringValue: {},
            NumericValue: {
              type: "double"
            },
            NotApplicable: {
              type: "boolean"
            }
          },
          union: true
        },
        S9h: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              Value: {}
            }
          }
        },
        Sa4: {
          type: "structure",
          members: {
            HoursOfOperationId: {},
            HoursOfOperationArn: {},
            Name: {},
            Description: {},
            TimeZone: {},
            Config: {
              shape: "S3h"
            },
            Tags: {
              shape: "S1n"
            }
          }
        },
        Sae: {
          type: "structure",
          members: {
            AttributeType: {},
            Value: {}
          }
        },
        Sas: {
          type: "structure",
          members: {
            PromptARN: {},
            PromptId: {},
            Name: {},
            Description: {},
            Tags: {
              shape: "S1n"
            }
          }
        },
        Sav: {
          type: "structure",
          members: {
            Name: {},
            QueueArn: {},
            QueueId: {},
            Description: {},
            OutboundCallerConfig: {
              shape: "S4k"
            },
            HoursOfOperationId: {},
            MaxContacts: {
              type: "integer"
            },
            Status: {},
            Tags: {
              shape: "S1n"
            }
          }
        },
        Saz: {
          type: "structure",
          members: {
            QuickConnectARN: {},
            QuickConnectId: {},
            Name: {},
            Description: {},
            QuickConnectConfig: {
              shape: "S4r"
            },
            Tags: {
              shape: "S1n"
            }
          }
        },
        Sb2: {
          type: "structure",
          members: {
            InstanceId: {},
            Name: {},
            RoutingProfileArn: {},
            RoutingProfileId: {},
            Description: {},
            MediaConcurrencies: {
              shape: "S51"
            },
            DefaultOutboundQueueId: {},
            Tags: {
              shape: "S1n"
            },
            NumberOfAssociatedQueues: {
              type: "long"
            },
            NumberOfAssociatedUsers: {
              type: "long"
            }
          }
        },
        Sbo: {
          type: "structure",
          members: {
            Id: {},
            Arn: {},
            Name: {}
          }
        },
        Sbs: {
          type: "structure",
          members: {
            Id: {},
            Arn: {},
            Name: {}
          }
        },
        Scd: {
          type: "map",
          key: {},
          value: {}
        },
        Sch: {
          type: "structure",
          members: {
            Queues: {
              shape: "Sci"
            },
            Channels: {
              type: "list",
              member: {}
            },
            RoutingProfiles: {
              shape: "Sck"
            }
          }
        },
        Sci: {
          type: "list",
          member: {}
        },
        Sck: {
          type: "list",
          member: {}
        },
        Scl: {
          type: "list",
          member: {}
        },
        Sco: {
          type: "structure",
          members: {
            Name: {},
            Unit: {}
          }
        },
        Scz: {
          type: "structure",
          members: {
            Queue: {
              shape: "Sd0"
            },
            Channel: {},
            RoutingProfile: {
              shape: "Sd1"
            }
          }
        },
        Sd0: {
          type: "structure",
          members: {
            Id: {},
            Arn: {}
          }
        },
        Sd1: {
          type: "structure",
          members: {
            Id: {},
            Arn: {}
          }
        },
        Sdi: {
          type: "structure",
          members: {
            Id: {},
            Arn: {}
          }
        },
        Sdk: {
          type: "map",
          key: {},
          value: {
            type: "integer"
          }
        },
        Sdr: {
          type: "string",
          sensitive: true
        },
        Sdu: {
          type: "structure",
          members: {
            Name: {},
            Threshold: {
              type: "structure",
              members: {
                Comparison: {},
                ThresholdValue: {
                  type: "double"
                }
              }
            },
            Statistic: {},
            Unit: {}
          }
        },
        Sed: {
          type: "structure",
          members: {
            Name: {},
            Threshold: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Comparison: {},
                  ThresholdValue: {
                    type: "double"
                  }
                }
              }
            },
            MetricFilters: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  MetricFilterKey: {},
                  MetricFilterValues: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          }
        },
        Sf1: {
          type: "structure",
          required: [
            "Distributions"
          ],
          members: {
            Distributions: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Region",
                  "Percentage"
                ],
                members: {
                  Region: {},
                  Percentage: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        Shf: {
          type: "list",
          member: {}
        },
        Shg: {
          type: "list",
          member: {}
        },
        Shx: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Id: {},
              Arn: {},
              Name: {},
              QuickConnectType: {}
            }
          }
        },
        Sk1: {
          type: "structure",
          members: {
            OrConditions: {
              type: "list",
              member: {
                shape: "Sk3"
              }
            },
            AndConditions: {
              shape: "Sk3"
            },
            TagCondition: {
              shape: "Sk4"
            }
          }
        },
        Sk3: {
          type: "list",
          member: {
            shape: "Sk4"
          }
        },
        Sk4: {
          type: "structure",
          members: {
            TagKey: {},
            TagValue: {}
          }
        },
        Sk5: {
          type: "structure",
          members: {
            OrConditions: {
              shape: "Sk6"
            },
            AndConditions: {
              shape: "Sk6"
            },
            StringCondition: {
              shape: "Sk7"
            }
          }
        },
        Sk6: {
          type: "list",
          member: {
            shape: "Sk5"
          }
        },
        Sk7: {
          type: "structure",
          members: {
            FieldName: {},
            Value: {},
            ComparisonType: {}
          }
        },
        Skd: {
          type: "structure",
          members: {
            OrConditions: {
              shape: "Ske"
            },
            AndConditions: {
              shape: "Ske"
            },
            StringCondition: {
              shape: "Sk7"
            }
          }
        },
        Ske: {
          type: "list",
          member: {
            shape: "Skd"
          }
        },
        Skj: {
          type: "structure",
          members: {
            OrConditions: {
              shape: "Skk"
            },
            AndConditions: {
              shape: "Skk"
            },
            StringCondition: {
              shape: "Sk7"
            },
            QueueTypeCondition: {}
          }
        },
        Skk: {
          type: "list",
          member: {
            shape: "Skj"
          }
        },
        Skq: {
          type: "structure",
          members: {
            OrConditions: {
              shape: "Skr"
            },
            AndConditions: {
              shape: "Skr"
            },
            StringCondition: {
              shape: "Sk7"
            }
          }
        },
        Skr: {
          type: "list",
          member: {
            shape: "Skq"
          }
        },
        Sl5: {
          type: "structure",
          members: {
            OrConditions: {
              shape: "Sl6"
            },
            AndConditions: {
              shape: "Sl6"
            },
            StringCondition: {
              shape: "Sk7"
            }
          }
        },
        Sl6: {
          type: "list",
          member: {
            shape: "Sl5"
          }
        },
        Sla: {
          type: "structure",
          members: {
            OrConditions: {
              shape: "Slb"
            },
            AndConditions: {
              shape: "Slb"
            },
            StringCondition: {
              shape: "Sk7"
            }
          }
        },
        Slb: {
          type: "list",
          member: {
            shape: "Sla"
          }
        },
        Sli: {
          type: "structure",
          members: {
            OrConditions: {
              shape: "Slj"
            },
            AndConditions: {
              shape: "Slj"
            },
            StringCondition: {
              shape: "Sk7"
            },
            HierarchyGroupCondition: {
              type: "structure",
              members: {
                Value: {},
                HierarchyGroupMatchType: {}
              }
            }
          }
        },
        Slj: {
          type: "list",
          member: {
            shape: "Sli"
          }
        },
        Smu: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              Value: {
                shape: "S9e"
              }
            }
          }
        },
        Sow: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/connect-2017-08-08.paginators.json
var require_connect_2017_08_08_paginators = __commonJS({
  "node_modules/aws-sdk/apis/connect-2017-08-08.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetCurrentMetricData: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetCurrentUserData: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetMetricData: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetMetricDataV2: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListAgentStatuses: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AgentStatusSummaryList"
        },
        ListApprovedOrigins: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Origins"
        },
        ListBots: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "LexBots"
        },
        ListContactEvaluations: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "EvaluationSummaryList"
        },
        ListContactFlowModules: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ContactFlowModulesSummaryList"
        },
        ListContactFlows: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ContactFlowSummaryList"
        },
        ListContactReferences: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "ReferenceSummaryList"
        },
        ListDefaultVocabularies: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "DefaultVocabularyList"
        },
        ListEvaluationFormVersions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "EvaluationFormVersionSummaryList"
        },
        ListEvaluationForms: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "EvaluationFormSummaryList"
        },
        ListHoursOfOperations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "HoursOfOperationSummaryList"
        },
        ListInstanceAttributes: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Attributes"
        },
        ListInstanceStorageConfigs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "StorageConfigs"
        },
        ListInstances: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "InstanceSummaryList"
        },
        ListIntegrationAssociations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "IntegrationAssociationSummaryList"
        },
        ListLambdaFunctions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "LambdaFunctions"
        },
        ListLexBots: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "LexBots"
        },
        ListPhoneNumbers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PhoneNumberSummaryList"
        },
        ListPhoneNumbersV2: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ListPhoneNumbersSummaryList"
        },
        ListPrompts: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PromptSummaryList"
        },
        ListQueueQuickConnects: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "QuickConnectSummaryList"
        },
        ListQueues: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "QueueSummaryList"
        },
        ListQuickConnects: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "QuickConnectSummaryList"
        },
        ListRoutingProfileQueues: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "RoutingProfileQueueConfigSummaryList"
        },
        ListRoutingProfiles: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "RoutingProfileSummaryList"
        },
        ListRules: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "RuleSummaryList"
        },
        ListSecurityKeys: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "SecurityKeys"
        },
        ListSecurityProfilePermissions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Permissions"
        },
        ListSecurityProfiles: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "SecurityProfileSummaryList"
        },
        ListTaskTemplates: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TaskTemplates"
        },
        ListTrafficDistributionGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TrafficDistributionGroupSummaryList"
        },
        ListUseCases: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "UseCaseSummaryList"
        },
        ListUserHierarchyGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "UserHierarchyGroupSummaryList"
        },
        ListUsers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "UserSummaryList"
        },
        SearchAvailablePhoneNumbers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AvailableNumbersList"
        },
        SearchHoursOfOperations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          non_aggregate_keys: [
            "ApproximateTotalCount"
          ],
          output_token: "NextToken",
          result_key: "HoursOfOperations"
        },
        SearchPrompts: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          non_aggregate_keys: [
            "ApproximateTotalCount"
          ],
          output_token: "NextToken",
          result_key: "Prompts"
        },
        SearchQueues: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          non_aggregate_keys: [
            "ApproximateTotalCount"
          ],
          output_token: "NextToken",
          result_key: "Queues"
        },
        SearchQuickConnects: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          non_aggregate_keys: [
            "ApproximateTotalCount"
          ],
          output_token: "NextToken",
          result_key: "QuickConnects"
        },
        SearchResourceTags: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Tags"
        },
        SearchRoutingProfiles: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          non_aggregate_keys: [
            "ApproximateTotalCount"
          ],
          output_token: "NextToken",
          result_key: "RoutingProfiles"
        },
        SearchSecurityProfiles: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          non_aggregate_keys: [
            "ApproximateTotalCount"
          ],
          output_token: "NextToken",
          result_key: "SecurityProfiles"
        },
        SearchUsers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          non_aggregate_keys: [
            "ApproximateTotalCount"
          ],
          output_token: "NextToken",
          result_key: "Users"
        },
        SearchVocabularies: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "VocabularySummaryList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/connect.js
var require_connect = __commonJS({
  "node_modules/aws-sdk/clients/connect.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["connect"] = {};
    AWS2.Connect = Service.defineService("connect", ["2017-08-08"]);
    Object.defineProperty(apiLoader.services["connect"], "2017-08-08", {
      get: function get() {
        var model = require_connect_2017_08_08_min();
        model.paginators = require_connect_2017_08_08_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Connect;
  }
});

// node_modules/aws-sdk/apis/acm-pca-2017-08-22.min.json
var require_acm_pca_2017_08_22_min = __commonJS({
  "node_modules/aws-sdk/apis/acm-pca-2017-08-22.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-08-22",
        endpointPrefix: "acm-pca",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "ACM-PCA",
        serviceFullName: "AWS Certificate Manager Private Certificate Authority",
        serviceId: "ACM PCA",
        signatureVersion: "v4",
        targetPrefix: "ACMPrivateCA",
        uid: "acm-pca-2017-08-22"
      },
      operations: {
        CreateCertificateAuthority: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityConfiguration",
              "CertificateAuthorityType"
            ],
            members: {
              CertificateAuthorityConfiguration: {
                shape: "S2"
              },
              RevocationConfiguration: {
                shape: "Sv"
              },
              CertificateAuthorityType: {},
              IdempotencyToken: {},
              KeyStorageSecurityStandard: {},
              Tags: {
                shape: "S15"
              },
              UsageMode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CertificateAuthorityArn: {}
            }
          },
          idempotent: true
        },
        CreateCertificateAuthorityAuditReport: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn",
              "S3BucketName",
              "AuditReportResponseFormat"
            ],
            members: {
              CertificateAuthorityArn: {},
              S3BucketName: {},
              AuditReportResponseFormat: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AuditReportId: {},
              S3Key: {}
            }
          },
          idempotent: true
        },
        CreatePermission: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn",
              "Principal",
              "Actions"
            ],
            members: {
              CertificateAuthorityArn: {},
              Principal: {},
              SourceAccount: {},
              Actions: {
                shape: "S1l"
              }
            }
          }
        },
        DeleteCertificateAuthority: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn"
            ],
            members: {
              CertificateAuthorityArn: {},
              PermanentDeletionTimeInDays: {
                type: "integer"
              }
            }
          }
        },
        DeletePermission: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn",
              "Principal"
            ],
            members: {
              CertificateAuthorityArn: {},
              Principal: {},
              SourceAccount: {}
            }
          }
        },
        DeletePolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          }
        },
        DescribeCertificateAuthority: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn"
            ],
            members: {
              CertificateAuthorityArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CertificateAuthority: {
                shape: "S1t"
              }
            }
          }
        },
        DescribeCertificateAuthorityAuditReport: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn",
              "AuditReportId"
            ],
            members: {
              CertificateAuthorityArn: {},
              AuditReportId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AuditReportStatus: {},
              S3BucketName: {},
              S3Key: {},
              CreatedAt: {
                type: "timestamp"
              }
            }
          }
        },
        GetCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn",
              "CertificateArn"
            ],
            members: {
              CertificateAuthorityArn: {},
              CertificateArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Certificate: {},
              CertificateChain: {}
            }
          }
        },
        GetCertificateAuthorityCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn"
            ],
            members: {
              CertificateAuthorityArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Certificate: {},
              CertificateChain: {}
            }
          }
        },
        GetCertificateAuthorityCsr: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn"
            ],
            members: {
              CertificateAuthorityArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Csr: {}
            }
          }
        },
        GetPolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {}
            }
          }
        },
        ImportCertificateAuthorityCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn",
              "Certificate"
            ],
            members: {
              CertificateAuthorityArn: {},
              Certificate: {
                type: "blob"
              },
              CertificateChain: {
                type: "blob"
              }
            }
          }
        },
        IssueCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn",
              "Csr",
              "SigningAlgorithm",
              "Validity"
            ],
            members: {
              ApiPassthrough: {
                type: "structure",
                members: {
                  Extensions: {
                    type: "structure",
                    members: {
                      CertificatePolicies: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "CertPolicyId"
                          ],
                          members: {
                            CertPolicyId: {},
                            PolicyQualifiers: {
                              type: "list",
                              member: {
                                type: "structure",
                                required: [
                                  "PolicyQualifierId",
                                  "Qualifier"
                                ],
                                members: {
                                  PolicyQualifierId: {},
                                  Qualifier: {
                                    type: "structure",
                                    required: [
                                      "CpsUri"
                                    ],
                                    members: {
                                      CpsUri: {}
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      },
                      ExtendedKeyUsage: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            ExtendedKeyUsageType: {},
                            ExtendedKeyUsageObjectIdentifier: {}
                          }
                        }
                      },
                      KeyUsage: {
                        shape: "Sj"
                      },
                      SubjectAlternativeNames: {
                        type: "list",
                        member: {
                          shape: "Sp"
                        }
                      },
                      CustomExtensions: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "ObjectIdentifier",
                            "Value"
                          ],
                          members: {
                            ObjectIdentifier: {},
                            Value: {},
                            Critical: {
                              type: "boolean"
                            }
                          }
                        }
                      }
                    }
                  },
                  Subject: {
                    shape: "S5"
                  }
                }
              },
              CertificateAuthorityArn: {},
              Csr: {
                type: "blob"
              },
              SigningAlgorithm: {},
              TemplateArn: {},
              Validity: {
                shape: "S2x"
              },
              ValidityNotBefore: {
                shape: "S2x"
              },
              IdempotencyToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CertificateArn: {}
            }
          },
          idempotent: true
        },
        ListCertificateAuthorities: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ResourceOwner: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CertificateAuthorities: {
                type: "list",
                member: {
                  shape: "S1t"
                }
              },
              NextToken: {}
            }
          }
        },
        ListPermissions: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn"
            ],
            members: {
              CertificateAuthorityArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Permissions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CertificateAuthorityArn: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    Principal: {},
                    SourceAccount: {},
                    Actions: {
                      shape: "S1l"
                    },
                    Policy: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTags: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn"
            ],
            members: {
              CertificateAuthorityArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S15"
              },
              NextToken: {}
            }
          }
        },
        PutPolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Policy"
            ],
            members: {
              ResourceArn: {},
              Policy: {}
            }
          }
        },
        RestoreCertificateAuthority: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn"
            ],
            members: {
              CertificateAuthorityArn: {}
            }
          }
        },
        RevokeCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn",
              "CertificateSerial",
              "RevocationReason"
            ],
            members: {
              CertificateAuthorityArn: {},
              CertificateSerial: {},
              RevocationReason: {}
            }
          }
        },
        TagCertificateAuthority: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn",
              "Tags"
            ],
            members: {
              CertificateAuthorityArn: {},
              Tags: {
                shape: "S15"
              }
            }
          }
        },
        UntagCertificateAuthority: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn",
              "Tags"
            ],
            members: {
              CertificateAuthorityArn: {},
              Tags: {
                shape: "S15"
              }
            }
          }
        },
        UpdateCertificateAuthority: {
          input: {
            type: "structure",
            required: [
              "CertificateAuthorityArn"
            ],
            members: {
              CertificateAuthorityArn: {},
              RevocationConfiguration: {
                shape: "Sv"
              },
              Status: {}
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "structure",
          required: [
            "KeyAlgorithm",
            "SigningAlgorithm",
            "Subject"
          ],
          members: {
            KeyAlgorithm: {},
            SigningAlgorithm: {},
            Subject: {
              shape: "S5"
            },
            CsrExtensions: {
              type: "structure",
              members: {
                KeyUsage: {
                  shape: "Sj"
                },
                SubjectInformationAccess: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "AccessMethod",
                      "AccessLocation"
                    ],
                    members: {
                      AccessMethod: {
                        type: "structure",
                        members: {
                          CustomObjectIdentifier: {},
                          AccessMethodType: {}
                        }
                      },
                      AccessLocation: {
                        shape: "Sp"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S5: {
          type: "structure",
          members: {
            Country: {},
            Organization: {},
            OrganizationalUnit: {},
            DistinguishedNameQualifier: {},
            State: {},
            CommonName: {},
            SerialNumber: {},
            Locality: {},
            Title: {},
            Surname: {},
            GivenName: {},
            Initials: {},
            Pseudonym: {},
            GenerationQualifier: {},
            CustomAttributes: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "ObjectIdentifier",
                  "Value"
                ],
                members: {
                  ObjectIdentifier: {},
                  Value: {}
                }
              }
            }
          }
        },
        Sj: {
          type: "structure",
          members: {
            DigitalSignature: {
              type: "boolean"
            },
            NonRepudiation: {
              type: "boolean"
            },
            KeyEncipherment: {
              type: "boolean"
            },
            DataEncipherment: {
              type: "boolean"
            },
            KeyAgreement: {
              type: "boolean"
            },
            KeyCertSign: {
              type: "boolean"
            },
            CRLSign: {
              type: "boolean"
            },
            EncipherOnly: {
              type: "boolean"
            },
            DecipherOnly: {
              type: "boolean"
            }
          }
        },
        Sp: {
          type: "structure",
          members: {
            OtherName: {
              type: "structure",
              required: [
                "TypeId",
                "Value"
              ],
              members: {
                TypeId: {},
                Value: {}
              }
            },
            Rfc822Name: {},
            DnsName: {},
            DirectoryName: {
              shape: "S5"
            },
            EdiPartyName: {
              type: "structure",
              required: [
                "PartyName"
              ],
              members: {
                PartyName: {},
                NameAssigner: {}
              }
            },
            UniformResourceIdentifier: {},
            IpAddress: {},
            RegisteredId: {}
          }
        },
        Sv: {
          type: "structure",
          members: {
            CrlConfiguration: {
              type: "structure",
              required: [
                "Enabled"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                ExpirationInDays: {
                  type: "integer"
                },
                CustomCname: {},
                S3BucketName: {},
                S3ObjectAcl: {}
              }
            },
            OcspConfiguration: {
              type: "structure",
              required: [
                "Enabled"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                },
                OcspCustomCname: {}
              }
            }
          }
        },
        S15: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S1l: {
          type: "list",
          member: {}
        },
        S1t: {
          type: "structure",
          members: {
            Arn: {},
            OwnerAccount: {},
            CreatedAt: {
              type: "timestamp"
            },
            LastStateChangeAt: {
              type: "timestamp"
            },
            Type: {},
            Serial: {},
            Status: {},
            NotBefore: {
              type: "timestamp"
            },
            NotAfter: {
              type: "timestamp"
            },
            FailureReason: {},
            CertificateAuthorityConfiguration: {
              shape: "S2"
            },
            RevocationConfiguration: {
              shape: "Sv"
            },
            RestorableUntil: {
              type: "timestamp"
            },
            KeyStorageSecurityStandard: {},
            UsageMode: {}
          }
        },
        S2x: {
          type: "structure",
          required: [
            "Value",
            "Type"
          ],
          members: {
            Value: {
              type: "long"
            },
            Type: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/acm-pca-2017-08-22.paginators.json
var require_acm_pca_2017_08_22_paginators = __commonJS({
  "node_modules/aws-sdk/apis/acm-pca-2017-08-22.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListCertificateAuthorities: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "CertificateAuthorities"
        },
        ListPermissions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Permissions"
        },
        ListTags: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Tags"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/acm-pca-2017-08-22.waiters2.json
var require_acm_pca_2017_08_22_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/acm-pca-2017-08-22.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        CertificateAuthorityCSRCreated: {
          description: "Wait until a Certificate Authority CSR is created",
          operation: "GetCertificateAuthorityCsr",
          delay: 3,
          maxAttempts: 60,
          acceptors: [
            {
              state: "success",
              matcher: "status",
              expected: 200
            },
            {
              state: "retry",
              matcher: "error",
              expected: "RequestInProgressException"
            }
          ]
        },
        CertificateIssued: {
          description: "Wait until a certificate is issued",
          operation: "GetCertificate",
          delay: 3,
          maxAttempts: 60,
          acceptors: [
            {
              state: "success",
              matcher: "status",
              expected: 200
            },
            {
              state: "retry",
              matcher: "error",
              expected: "RequestInProgressException"
            }
          ]
        },
        AuditReportCreated: {
          description: "Wait until a Audit Report is created",
          operation: "DescribeCertificateAuthorityAuditReport",
          delay: 3,
          maxAttempts: 60,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "AuditReportStatus",
              expected: "SUCCESS"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "AuditReportStatus",
              expected: "FAILED"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/acmpca.js
var require_acmpca = __commonJS({
  "node_modules/aws-sdk/clients/acmpca.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["acmpca"] = {};
    AWS2.ACMPCA = Service.defineService("acmpca", ["2017-08-22"]);
    Object.defineProperty(apiLoader.services["acmpca"], "2017-08-22", {
      get: function get() {
        var model = require_acm_pca_2017_08_22_min();
        model.paginators = require_acm_pca_2017_08_22_paginators().pagination;
        model.waiters = require_acm_pca_2017_08_22_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ACMPCA;
  }
});

// node_modules/aws-sdk/apis/fms-2018-01-01.min.json
var require_fms_2018_01_01_min = __commonJS({
  "node_modules/aws-sdk/apis/fms-2018-01-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-01-01",
        endpointPrefix: "fms",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "FMS",
        serviceFullName: "Firewall Management Service",
        serviceId: "FMS",
        signatureVersion: "v4",
        targetPrefix: "AWSFMS_20180101",
        uid: "fms-2018-01-01"
      },
      operations: {
        AssociateAdminAccount: {
          input: {
            type: "structure",
            required: [
              "AdminAccount"
            ],
            members: {
              AdminAccount: {}
            }
          }
        },
        AssociateThirdPartyFirewall: {
          input: {
            type: "structure",
            required: [
              "ThirdPartyFirewall"
            ],
            members: {
              ThirdPartyFirewall: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ThirdPartyFirewallStatus: {}
            }
          }
        },
        BatchAssociateResource: {
          input: {
            type: "structure",
            required: [
              "ResourceSetIdentifier",
              "Items"
            ],
            members: {
              ResourceSetIdentifier: {},
              Items: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ResourceSetIdentifier",
              "FailedItems"
            ],
            members: {
              ResourceSetIdentifier: {},
              FailedItems: {
                shape: "Sb"
              }
            }
          }
        },
        BatchDisassociateResource: {
          input: {
            type: "structure",
            required: [
              "ResourceSetIdentifier",
              "Items"
            ],
            members: {
              ResourceSetIdentifier: {},
              Items: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ResourceSetIdentifier",
              "FailedItems"
            ],
            members: {
              ResourceSetIdentifier: {},
              FailedItems: {
                shape: "Sb"
              }
            }
          }
        },
        DeleteAppsList: {
          input: {
            type: "structure",
            required: [
              "ListId"
            ],
            members: {
              ListId: {}
            }
          }
        },
        DeleteNotificationChannel: {
          input: {
            type: "structure",
            members: {}
          }
        },
        DeletePolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyId"
            ],
            members: {
              PolicyId: {},
              DeleteAllPolicyResources: {
                type: "boolean"
              }
            }
          }
        },
        DeleteProtocolsList: {
          input: {
            type: "structure",
            required: [
              "ListId"
            ],
            members: {
              ListId: {}
            }
          }
        },
        DeleteResourceSet: {
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {}
            }
          }
        },
        DisassociateAdminAccount: {
          input: {
            type: "structure",
            members: {}
          }
        },
        DisassociateThirdPartyFirewall: {
          input: {
            type: "structure",
            required: [
              "ThirdPartyFirewall"
            ],
            members: {
              ThirdPartyFirewall: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ThirdPartyFirewallStatus: {}
            }
          }
        },
        GetAdminAccount: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              AdminAccount: {},
              RoleStatus: {}
            }
          }
        },
        GetAdminScope: {
          input: {
            type: "structure",
            required: [
              "AdminAccount"
            ],
            members: {
              AdminAccount: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AdminScope: {
                shape: "Sx"
              },
              Status: {}
            }
          }
        },
        GetAppsList: {
          input: {
            type: "structure",
            required: [
              "ListId"
            ],
            members: {
              ListId: {},
              DefaultList: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppsList: {
                shape: "S1c"
              },
              AppsListArn: {}
            }
          }
        },
        GetComplianceDetail: {
          input: {
            type: "structure",
            required: [
              "PolicyId",
              "MemberAccount"
            ],
            members: {
              PolicyId: {},
              MemberAccount: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyComplianceDetail: {
                type: "structure",
                members: {
                  PolicyOwner: {},
                  PolicyId: {},
                  MemberAccount: {},
                  Violators: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        ResourceId: {},
                        ViolationReason: {},
                        ResourceType: {},
                        Metadata: {
                          type: "map",
                          key: {},
                          value: {}
                        }
                      }
                    }
                  },
                  EvaluationLimitExceeded: {
                    type: "boolean"
                  },
                  ExpiredAt: {
                    type: "timestamp"
                  },
                  IssueInfoMap: {
                    shape: "S1x"
                  }
                }
              }
            }
          }
        },
        GetNotificationChannel: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              SnsTopicArn: {},
              SnsRoleName: {}
            }
          }
        },
        GetPolicy: {
          input: {
            type: "structure",
            required: [
              "PolicyId"
            ],
            members: {
              PolicyId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {
                shape: "S24"
              },
              PolicyArn: {}
            }
          }
        },
        GetProtectionStatus: {
          input: {
            type: "structure",
            required: [
              "PolicyId"
            ],
            members: {
              PolicyId: {},
              MemberAccountId: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AdminAccountId: {},
              ServiceType: {},
              Data: {},
              NextToken: {}
            }
          }
        },
        GetProtocolsList: {
          input: {
            type: "structure",
            required: [
              "ListId"
            ],
            members: {
              ListId: {},
              DefaultList: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProtocolsList: {
                shape: "S2v"
              },
              ProtocolsListArn: {}
            }
          }
        },
        GetResourceSet: {
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ResourceSet",
              "ResourceSetArn"
            ],
            members: {
              ResourceSet: {
                shape: "S30"
              },
              ResourceSetArn: {}
            }
          }
        },
        GetThirdPartyFirewallAssociationStatus: {
          input: {
            type: "structure",
            required: [
              "ThirdPartyFirewall"
            ],
            members: {
              ThirdPartyFirewall: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ThirdPartyFirewallStatus: {},
              MarketplaceOnboardingStatus: {}
            }
          }
        },
        GetViolationDetails: {
          input: {
            type: "structure",
            required: [
              "PolicyId",
              "MemberAccount",
              "ResourceId",
              "ResourceType"
            ],
            members: {
              PolicyId: {},
              MemberAccount: {},
              ResourceId: {},
              ResourceType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ViolationDetail: {
                type: "structure",
                required: [
                  "PolicyId",
                  "MemberAccount",
                  "ResourceId",
                  "ResourceType",
                  "ResourceViolations"
                ],
                members: {
                  PolicyId: {},
                  MemberAccount: {},
                  ResourceId: {},
                  ResourceType: {},
                  ResourceViolations: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        AwsVPCSecurityGroupViolation: {
                          type: "structure",
                          members: {
                            ViolationTarget: {},
                            ViolationTargetDescription: {},
                            PartialMatches: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  Reference: {},
                                  TargetViolationReasons: {
                                    type: "list",
                                    member: {}
                                  }
                                }
                              }
                            },
                            PossibleSecurityGroupRemediationActions: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  RemediationActionType: {},
                                  Description: {},
                                  RemediationResult: {
                                    type: "structure",
                                    members: {
                                      IPV4Range: {},
                                      IPV6Range: {},
                                      PrefixListId: {},
                                      Protocol: {},
                                      FromPort: {
                                        type: "long"
                                      },
                                      ToPort: {
                                        type: "long"
                                      }
                                    }
                                  },
                                  IsDefaultAction: {
                                    type: "boolean"
                                  }
                                }
                              }
                            }
                          }
                        },
                        AwsEc2NetworkInterfaceViolation: {
                          shape: "S3p"
                        },
                        AwsEc2InstanceViolation: {
                          type: "structure",
                          members: {
                            ViolationTarget: {},
                            AwsEc2NetworkInterfaceViolations: {
                              type: "list",
                              member: {
                                shape: "S3p"
                              }
                            }
                          }
                        },
                        NetworkFirewallMissingFirewallViolation: {
                          type: "structure",
                          members: {
                            ViolationTarget: {},
                            VPC: {},
                            AvailabilityZone: {},
                            TargetViolationReason: {}
                          }
                        },
                        NetworkFirewallMissingSubnetViolation: {
                          type: "structure",
                          members: {
                            ViolationTarget: {},
                            VPC: {},
                            AvailabilityZone: {},
                            TargetViolationReason: {}
                          }
                        },
                        NetworkFirewallMissingExpectedRTViolation: {
                          type: "structure",
                          members: {
                            ViolationTarget: {},
                            VPC: {},
                            AvailabilityZone: {},
                            CurrentRouteTable: {},
                            ExpectedRouteTable: {}
                          }
                        },
                        NetworkFirewallPolicyModifiedViolation: {
                          type: "structure",
                          members: {
                            ViolationTarget: {},
                            CurrentPolicyDescription: {
                              shape: "S3x"
                            },
                            ExpectedPolicyDescription: {
                              shape: "S3x"
                            }
                          }
                        },
                        NetworkFirewallInternetTrafficNotInspectedViolation: {
                          type: "structure",
                          members: {
                            SubnetId: {},
                            SubnetAvailabilityZone: {},
                            RouteTableId: {},
                            ViolatingRoutes: {
                              shape: "S4c"
                            },
                            IsRouteTableUsedInDifferentAZ: {
                              type: "boolean"
                            },
                            CurrentFirewallSubnetRouteTable: {},
                            ExpectedFirewallEndpoint: {},
                            FirewallSubnetId: {},
                            ExpectedFirewallSubnetRoutes: {
                              shape: "S4g"
                            },
                            ActualFirewallSubnetRoutes: {
                              shape: "S4c"
                            },
                            InternetGatewayId: {},
                            CurrentInternetGatewayRouteTable: {},
                            ExpectedInternetGatewayRoutes: {
                              shape: "S4g"
                            },
                            ActualInternetGatewayRoutes: {
                              shape: "S4c"
                            },
                            VpcId: {}
                          }
                        },
                        NetworkFirewallInvalidRouteConfigurationViolation: {
                          type: "structure",
                          members: {
                            AffectedSubnets: {
                              shape: "S3q"
                            },
                            RouteTableId: {},
                            IsRouteTableUsedInDifferentAZ: {
                              type: "boolean"
                            },
                            ViolatingRoute: {
                              shape: "S4d"
                            },
                            CurrentFirewallSubnetRouteTable: {},
                            ExpectedFirewallEndpoint: {},
                            ActualFirewallEndpoint: {},
                            ExpectedFirewallSubnetId: {},
                            ActualFirewallSubnetId: {},
                            ExpectedFirewallSubnetRoutes: {
                              shape: "S4g"
                            },
                            ActualFirewallSubnetRoutes: {
                              shape: "S4c"
                            },
                            InternetGatewayId: {},
                            CurrentInternetGatewayRouteTable: {},
                            ExpectedInternetGatewayRoutes: {
                              shape: "S4g"
                            },
                            ActualInternetGatewayRoutes: {
                              shape: "S4c"
                            },
                            VpcId: {}
                          }
                        },
                        NetworkFirewallBlackHoleRouteDetectedViolation: {
                          type: "structure",
                          members: {
                            ViolationTarget: {},
                            RouteTableId: {},
                            VpcId: {},
                            ViolatingRoutes: {
                              shape: "S4c"
                            }
                          }
                        },
                        NetworkFirewallUnexpectedFirewallRoutesViolation: {
                          type: "structure",
                          members: {
                            FirewallSubnetId: {},
                            ViolatingRoutes: {
                              shape: "S4c"
                            },
                            RouteTableId: {},
                            FirewallEndpoint: {},
                            VpcId: {}
                          }
                        },
                        NetworkFirewallUnexpectedGatewayRoutesViolation: {
                          type: "structure",
                          members: {
                            GatewayId: {},
                            ViolatingRoutes: {
                              shape: "S4c"
                            },
                            RouteTableId: {},
                            VpcId: {}
                          }
                        },
                        NetworkFirewallMissingExpectedRoutesViolation: {
                          type: "structure",
                          members: {
                            ViolationTarget: {},
                            ExpectedRoutes: {
                              shape: "S4g"
                            },
                            VpcId: {}
                          }
                        },
                        DnsRuleGroupPriorityConflictViolation: {
                          type: "structure",
                          members: {
                            ViolationTarget: {},
                            ViolationTargetDescription: {},
                            ConflictingPriority: {
                              type: "integer"
                            },
                            ConflictingPolicyId: {},
                            UnavailablePriorities: {
                              type: "list",
                              member: {
                                type: "integer"
                              }
                            }
                          }
                        },
                        DnsDuplicateRuleGroupViolation: {
                          type: "structure",
                          members: {
                            ViolationTarget: {},
                            ViolationTargetDescription: {}
                          }
                        },
                        DnsRuleGroupLimitExceededViolation: {
                          type: "structure",
                          members: {
                            ViolationTarget: {},
                            ViolationTargetDescription: {},
                            NumberOfRuleGroupsAlreadyAssociated: {
                              type: "integer"
                            }
                          }
                        },
                        PossibleRemediationActions: {
                          type: "structure",
                          members: {
                            Description: {},
                            Actions: {
                              type: "list",
                              member: {
                                type: "structure",
                                required: [
                                  "OrderedRemediationActions"
                                ],
                                members: {
                                  Description: {},
                                  OrderedRemediationActions: {
                                    type: "list",
                                    member: {
                                      type: "structure",
                                      members: {
                                        RemediationAction: {
                                          type: "structure",
                                          members: {
                                            Description: {},
                                            EC2CreateRouteAction: {
                                              type: "structure",
                                              required: [
                                                "RouteTableId"
                                              ],
                                              members: {
                                                Description: {},
                                                DestinationCidrBlock: {},
                                                DestinationPrefixListId: {},
                                                DestinationIpv6CidrBlock: {},
                                                VpcEndpointId: {
                                                  shape: "S51"
                                                },
                                                GatewayId: {
                                                  shape: "S51"
                                                },
                                                RouteTableId: {
                                                  shape: "S51"
                                                }
                                              }
                                            },
                                            EC2ReplaceRouteAction: {
                                              type: "structure",
                                              required: [
                                                "RouteTableId"
                                              ],
                                              members: {
                                                Description: {},
                                                DestinationCidrBlock: {},
                                                DestinationPrefixListId: {},
                                                DestinationIpv6CidrBlock: {},
                                                GatewayId: {
                                                  shape: "S51"
                                                },
                                                RouteTableId: {
                                                  shape: "S51"
                                                }
                                              }
                                            },
                                            EC2DeleteRouteAction: {
                                              type: "structure",
                                              required: [
                                                "RouteTableId"
                                              ],
                                              members: {
                                                Description: {},
                                                DestinationCidrBlock: {},
                                                DestinationPrefixListId: {},
                                                DestinationIpv6CidrBlock: {},
                                                RouteTableId: {
                                                  shape: "S51"
                                                }
                                              }
                                            },
                                            EC2CopyRouteTableAction: {
                                              type: "structure",
                                              required: [
                                                "VpcId",
                                                "RouteTableId"
                                              ],
                                              members: {
                                                Description: {},
                                                VpcId: {
                                                  shape: "S51"
                                                },
                                                RouteTableId: {
                                                  shape: "S51"
                                                }
                                              }
                                            },
                                            EC2ReplaceRouteTableAssociationAction: {
                                              type: "structure",
                                              required: [
                                                "AssociationId",
                                                "RouteTableId"
                                              ],
                                              members: {
                                                Description: {},
                                                AssociationId: {
                                                  shape: "S51"
                                                },
                                                RouteTableId: {
                                                  shape: "S51"
                                                }
                                              }
                                            },
                                            EC2AssociateRouteTableAction: {
                                              type: "structure",
                                              required: [
                                                "RouteTableId"
                                              ],
                                              members: {
                                                Description: {},
                                                RouteTableId: {
                                                  shape: "S51"
                                                },
                                                SubnetId: {
                                                  shape: "S51"
                                                },
                                                GatewayId: {
                                                  shape: "S51"
                                                }
                                              }
                                            },
                                            EC2CreateRouteTableAction: {
                                              type: "structure",
                                              required: [
                                                "VpcId"
                                              ],
                                              members: {
                                                Description: {},
                                                VpcId: {
                                                  shape: "S51"
                                                }
                                              }
                                            },
                                            FMSPolicyUpdateFirewallCreationConfigAction: {
                                              type: "structure",
                                              members: {
                                                Description: {},
                                                FirewallCreationConfig: {}
                                              }
                                            }
                                          }
                                        },
                                        Order: {
                                          type: "integer"
                                        }
                                      }
                                    }
                                  },
                                  IsDefaultAction: {
                                    type: "boolean"
                                  }
                                }
                              }
                            }
                          }
                        },
                        FirewallSubnetIsOutOfScopeViolation: {
                          type: "structure",
                          members: {
                            FirewallSubnetId: {},
                            VpcId: {},
                            SubnetAvailabilityZone: {},
                            SubnetAvailabilityZoneId: {},
                            VpcEndpointId: {}
                          }
                        },
                        RouteHasOutOfScopeEndpointViolation: {
                          type: "structure",
                          members: {
                            SubnetId: {},
                            VpcId: {},
                            RouteTableId: {},
                            ViolatingRoutes: {
                              shape: "S4c"
                            },
                            SubnetAvailabilityZone: {},
                            SubnetAvailabilityZoneId: {},
                            CurrentFirewallSubnetRouteTable: {},
                            FirewallSubnetId: {},
                            FirewallSubnetRoutes: {
                              shape: "S4c"
                            },
                            InternetGatewayId: {},
                            CurrentInternetGatewayRouteTable: {},
                            InternetGatewayRoutes: {
                              shape: "S4c"
                            }
                          }
                        },
                        ThirdPartyFirewallMissingFirewallViolation: {
                          type: "structure",
                          members: {
                            ViolationTarget: {},
                            VPC: {},
                            AvailabilityZone: {},
                            TargetViolationReason: {}
                          }
                        },
                        ThirdPartyFirewallMissingSubnetViolation: {
                          type: "structure",
                          members: {
                            ViolationTarget: {},
                            VPC: {},
                            AvailabilityZone: {},
                            TargetViolationReason: {}
                          }
                        },
                        ThirdPartyFirewallMissingExpectedRouteTableViolation: {
                          type: "structure",
                          members: {
                            ViolationTarget: {},
                            VPC: {},
                            AvailabilityZone: {},
                            CurrentRouteTable: {},
                            ExpectedRouteTable: {}
                          }
                        },
                        FirewallSubnetMissingVPCEndpointViolation: {
                          type: "structure",
                          members: {
                            FirewallSubnetId: {},
                            VpcId: {},
                            SubnetAvailabilityZone: {},
                            SubnetAvailabilityZoneId: {}
                          }
                        }
                      }
                    }
                  },
                  ResourceTags: {
                    shape: "S5f"
                  },
                  ResourceDescription: {}
                }
              }
            }
          }
        },
        ListAdminAccountsForOrganization: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AdminAccounts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AdminAccount: {},
                    DefaultAdmin: {
                      type: "boolean"
                    },
                    Status: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAdminsManagingAccount: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AdminAccounts: {
                shape: "Sz"
              },
              NextToken: {}
            }
          }
        },
        ListAppsLists: {
          input: {
            type: "structure",
            required: [
              "MaxResults"
            ],
            members: {
              DefaultLists: {
                type: "boolean"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppsLists: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ListArn: {},
                    ListId: {},
                    ListName: {},
                    AppsList: {
                      shape: "S1g"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListComplianceStatus: {
          input: {
            type: "structure",
            required: [
              "PolicyId"
            ],
            members: {
              PolicyId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyComplianceStatusList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PolicyOwner: {},
                    PolicyId: {},
                    PolicyName: {},
                    MemberAccount: {},
                    EvaluationResults: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ComplianceStatus: {},
                          ViolatorCount: {
                            type: "long"
                          },
                          EvaluationLimitExceeded: {
                            type: "boolean"
                          }
                        }
                      }
                    },
                    LastUpdated: {
                      type: "timestamp"
                    },
                    IssueInfoMap: {
                      shape: "S1x"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDiscoveredResources: {
          input: {
            type: "structure",
            required: [
              "MemberAccountIds",
              "ResourceType"
            ],
            members: {
              MemberAccountIds: {
                type: "list",
                member: {}
              },
              ResourceType: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    URI: {},
                    AccountId: {},
                    Type: {},
                    Name: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListMemberAccounts: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MemberAccounts: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListPolicies: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PolicyArn: {},
                    PolicyId: {},
                    PolicyName: {},
                    ResourceType: {},
                    SecurityServiceType: {},
                    RemediationEnabled: {
                      type: "boolean"
                    },
                    DeleteUnusedFMManagedResources: {
                      type: "boolean"
                    },
                    PolicyStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListProtocolsLists: {
          input: {
            type: "structure",
            required: [
              "MaxResults"
            ],
            members: {
              DefaultLists: {
                type: "boolean"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProtocolsLists: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ListArn: {},
                    ListId: {},
                    ListName: {},
                    ProtocolsList: {
                      shape: "S2w"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListResourceSetResources: {
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Items"
            ],
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "URI"
                  ],
                  members: {
                    URI: {},
                    AccountId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListResourceSets: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceSets: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Name: {},
                    Description: {},
                    LastUpdateTime: {
                      type: "timestamp"
                    },
                    ResourceSetStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TagList: {
                shape: "S5f"
              }
            }
          }
        },
        ListThirdPartyFirewallFirewallPolicies: {
          input: {
            type: "structure",
            required: [
              "ThirdPartyFirewall",
              "MaxResults"
            ],
            members: {
              ThirdPartyFirewall: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ThirdPartyFirewallFirewallPolicies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FirewallPolicyId: {},
                    FirewallPolicyName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        PutAdminAccount: {
          input: {
            type: "structure",
            required: [
              "AdminAccount"
            ],
            members: {
              AdminAccount: {},
              AdminScope: {
                shape: "Sx"
              }
            }
          }
        },
        PutAppsList: {
          input: {
            type: "structure",
            required: [
              "AppsList"
            ],
            members: {
              AppsList: {
                shape: "S1c"
              },
              TagList: {
                shape: "S5f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppsList: {
                shape: "S1c"
              },
              AppsListArn: {}
            }
          }
        },
        PutNotificationChannel: {
          input: {
            type: "structure",
            required: [
              "SnsTopicArn",
              "SnsRoleName"
            ],
            members: {
              SnsTopicArn: {},
              SnsRoleName: {}
            }
          }
        },
        PutPolicy: {
          input: {
            type: "structure",
            required: [
              "Policy"
            ],
            members: {
              Policy: {
                shape: "S24"
              },
              TagList: {
                shape: "S5f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {
                shape: "S24"
              },
              PolicyArn: {}
            }
          }
        },
        PutProtocolsList: {
          input: {
            type: "structure",
            required: [
              "ProtocolsList"
            ],
            members: {
              ProtocolsList: {
                shape: "S2v"
              },
              TagList: {
                shape: "S5f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProtocolsList: {
                shape: "S2v"
              },
              ProtocolsListArn: {}
            }
          }
        },
        PutResourceSet: {
          input: {
            type: "structure",
            required: [
              "ResourceSet"
            ],
            members: {
              ResourceSet: {
                shape: "S30"
              },
              TagList: {
                shape: "S5f"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ResourceSet",
              "ResourceSetArn"
            ],
            members: {
              ResourceSet: {
                shape: "S30"
              },
              ResourceSetArn: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagList"
            ],
            members: {
              ResourceArn: {},
              TagList: {
                shape: "S5f"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S9: {
          type: "list",
          member: {}
        },
        Sb: {
          type: "list",
          member: {
            type: "structure",
            members: {
              URI: {},
              Reason: {}
            }
          }
        },
        Sx: {
          type: "structure",
          members: {
            AccountScope: {
              type: "structure",
              members: {
                Accounts: {
                  shape: "Sz"
                },
                AllAccountsEnabled: {
                  type: "boolean"
                },
                ExcludeSpecifiedAccounts: {
                  type: "boolean"
                }
              }
            },
            OrganizationalUnitScope: {
              type: "structure",
              members: {
                OrganizationalUnits: {
                  type: "list",
                  member: {}
                },
                AllOrganizationalUnitsEnabled: {
                  type: "boolean"
                },
                ExcludeSpecifiedOrganizationalUnits: {
                  type: "boolean"
                }
              }
            },
            RegionScope: {
              type: "structure",
              members: {
                Regions: {
                  type: "list",
                  member: {}
                },
                AllRegionsEnabled: {
                  type: "boolean"
                }
              }
            },
            PolicyTypeScope: {
              type: "structure",
              members: {
                PolicyTypes: {
                  type: "list",
                  member: {}
                },
                AllPolicyTypesEnabled: {
                  type: "boolean"
                }
              }
            }
          }
        },
        Sz: {
          type: "list",
          member: {}
        },
        S1c: {
          type: "structure",
          required: [
            "ListName",
            "AppsList"
          ],
          members: {
            ListId: {},
            ListName: {},
            ListUpdateToken: {},
            CreateTime: {
              type: "timestamp"
            },
            LastUpdateTime: {
              type: "timestamp"
            },
            AppsList: {
              shape: "S1g"
            },
            PreviousAppsList: {
              type: "map",
              key: {},
              value: {
                shape: "S1g"
              }
            }
          }
        },
        S1g: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AppName",
              "Protocol",
              "Port"
            ],
            members: {
              AppName: {},
              Protocol: {},
              Port: {
                type: "long"
              }
            }
          }
        },
        S1x: {
          type: "map",
          key: {},
          value: {}
        },
        S24: {
          type: "structure",
          required: [
            "PolicyName",
            "SecurityServicePolicyData",
            "ResourceType",
            "ExcludeResourceTags",
            "RemediationEnabled"
          ],
          members: {
            PolicyId: {},
            PolicyName: {},
            PolicyUpdateToken: {},
            SecurityServicePolicyData: {
              type: "structure",
              required: [
                "Type"
              ],
              members: {
                Type: {},
                ManagedServiceData: {},
                PolicyOption: {
                  type: "structure",
                  members: {
                    NetworkFirewallPolicy: {
                      type: "structure",
                      members: {
                        FirewallDeploymentModel: {}
                      }
                    },
                    ThirdPartyFirewallPolicy: {
                      type: "structure",
                      members: {
                        FirewallDeploymentModel: {}
                      }
                    }
                  }
                }
              }
            },
            ResourceType: {},
            ResourceTypeList: {
              shape: "S2c"
            },
            ResourceTags: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Key"
                ],
                members: {
                  Key: {},
                  Value: {}
                }
              }
            },
            ExcludeResourceTags: {
              type: "boolean"
            },
            RemediationEnabled: {
              type: "boolean"
            },
            DeleteUnusedFMManagedResources: {
              type: "boolean"
            },
            IncludeMap: {
              shape: "S2h"
            },
            ExcludeMap: {
              shape: "S2h"
            },
            ResourceSetIds: {
              type: "list",
              member: {}
            },
            PolicyDescription: {},
            PolicyStatus: {}
          }
        },
        S2c: {
          type: "list",
          member: {}
        },
        S2h: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {}
          }
        },
        S2v: {
          type: "structure",
          required: [
            "ListName",
            "ProtocolsList"
          ],
          members: {
            ListId: {},
            ListName: {},
            ListUpdateToken: {},
            CreateTime: {
              type: "timestamp"
            },
            LastUpdateTime: {
              type: "timestamp"
            },
            ProtocolsList: {
              shape: "S2w"
            },
            PreviousProtocolsList: {
              type: "map",
              key: {},
              value: {
                shape: "S2w"
              }
            }
          }
        },
        S2w: {
          type: "list",
          member: {}
        },
        S30: {
          type: "structure",
          required: [
            "Name",
            "ResourceTypeList"
          ],
          members: {
            Id: {},
            Name: {},
            Description: {},
            UpdateToken: {},
            ResourceTypeList: {
              shape: "S2c"
            },
            LastUpdateTime: {
              type: "timestamp"
            },
            ResourceSetStatus: {}
          }
        },
        S3p: {
          type: "structure",
          members: {
            ViolationTarget: {},
            ViolatingSecurityGroups: {
              shape: "S3q"
            }
          }
        },
        S3q: {
          type: "list",
          member: {}
        },
        S3x: {
          type: "structure",
          members: {
            StatelessRuleGroups: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  RuleGroupName: {},
                  ResourceId: {},
                  Priority: {
                    type: "integer"
                  }
                }
              }
            },
            StatelessDefaultActions: {
              shape: "S42"
            },
            StatelessFragmentDefaultActions: {
              shape: "S42"
            },
            StatelessCustomActions: {
              shape: "S42"
            },
            StatefulRuleGroups: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  RuleGroupName: {},
                  ResourceId: {},
                  Priority: {
                    type: "integer"
                  },
                  Override: {
                    type: "structure",
                    members: {
                      Action: {}
                    }
                  }
                }
              }
            },
            StatefulDefaultActions: {
              shape: "S42"
            },
            StatefulEngineOptions: {
              type: "structure",
              members: {
                RuleOrder: {}
              }
            }
          }
        },
        S42: {
          type: "list",
          member: {}
        },
        S4c: {
          type: "list",
          member: {
            shape: "S4d"
          }
        },
        S4d: {
          type: "structure",
          members: {
            DestinationType: {},
            TargetType: {},
            Destination: {},
            Target: {}
          }
        },
        S4g: {
          type: "list",
          member: {
            type: "structure",
            members: {
              IpV4Cidr: {},
              PrefixListId: {},
              IpV6Cidr: {},
              ContributingSubnets: {
                shape: "S3q"
              },
              AllowedTargets: {
                type: "list",
                member: {}
              },
              RouteTableId: {}
            }
          }
        },
        S51: {
          type: "structure",
          members: {
            ResourceId: {},
            Description: {}
          }
        },
        S5f: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/fms-2018-01-01.paginators.json
var require_fms_2018_01_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/fms-2018-01-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAdminAccountsForOrganization: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AdminAccounts"
        },
        ListAdminsManagingAccount: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AdminAccounts"
        },
        ListAppsLists: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AppsLists"
        },
        ListComplianceStatus: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PolicyComplianceStatusList"
        },
        ListMemberAccounts: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "MemberAccounts"
        },
        ListPolicies: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PolicyList"
        },
        ListProtocolsLists: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ProtocolsLists"
        },
        ListThirdPartyFirewallFirewallPolicies: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ThirdPartyFirewallFirewallPolicies"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/fms.js
var require_fms = __commonJS({
  "node_modules/aws-sdk/clients/fms.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["fms"] = {};
    AWS2.FMS = Service.defineService("fms", ["2018-01-01"]);
    Object.defineProperty(apiLoader.services["fms"], "2018-01-01", {
      get: function get() {
        var model = require_fms_2018_01_01_min();
        model.paginators = require_fms_2018_01_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.FMS;
  }
});

// node_modules/aws-sdk/apis/secretsmanager-2017-10-17.min.json
var require_secretsmanager_2017_10_17_min = __commonJS({
  "node_modules/aws-sdk/apis/secretsmanager-2017-10-17.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-10-17",
        endpointPrefix: "secretsmanager",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Secrets Manager",
        serviceId: "Secrets Manager",
        signatureVersion: "v4",
        signingName: "secretsmanager",
        targetPrefix: "secretsmanager",
        uid: "secretsmanager-2017-10-17"
      },
      operations: {
        CancelRotateSecret: {
          input: {
            type: "structure",
            required: [
              "SecretId"
            ],
            members: {
              SecretId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ARN: {},
              Name: {},
              VersionId: {}
            }
          }
        },
        CreateSecret: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              Description: {},
              KmsKeyId: {},
              SecretBinary: {
                shape: "Sc"
              },
              SecretString: {
                shape: "Sd"
              },
              Tags: {
                shape: "Se"
              },
              AddReplicaRegions: {
                shape: "Si"
              },
              ForceOverwriteReplicaSecret: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ARN: {},
              Name: {},
              VersionId: {},
              ReplicationStatus: {
                shape: "Sn"
              }
            }
          }
        },
        DeleteResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "SecretId"
            ],
            members: {
              SecretId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ARN: {},
              Name: {}
            }
          }
        },
        DeleteSecret: {
          input: {
            type: "structure",
            required: [
              "SecretId"
            ],
            members: {
              SecretId: {},
              RecoveryWindowInDays: {
                type: "long"
              },
              ForceDeleteWithoutRecovery: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ARN: {},
              Name: {},
              DeletionDate: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeSecret: {
          input: {
            type: "structure",
            required: [
              "SecretId"
            ],
            members: {
              SecretId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ARN: {},
              Name: {},
              Description: {},
              KmsKeyId: {},
              RotationEnabled: {
                type: "boolean"
              },
              RotationLambdaARN: {},
              RotationRules: {
                shape: "S12"
              },
              LastRotatedDate: {
                type: "timestamp"
              },
              LastChangedDate: {
                type: "timestamp"
              },
              LastAccessedDate: {
                type: "timestamp"
              },
              DeletedDate: {
                type: "timestamp"
              },
              NextRotationDate: {
                type: "timestamp"
              },
              Tags: {
                shape: "Se"
              },
              VersionIdsToStages: {
                shape: "S1a"
              },
              OwningService: {},
              CreatedDate: {
                type: "timestamp"
              },
              PrimaryRegion: {},
              ReplicationStatus: {
                shape: "Sn"
              }
            }
          }
        },
        GetRandomPassword: {
          input: {
            type: "structure",
            members: {
              PasswordLength: {
                type: "long"
              },
              ExcludeCharacters: {},
              ExcludeNumbers: {
                type: "boolean"
              },
              ExcludePunctuation: {
                type: "boolean"
              },
              ExcludeUppercase: {
                type: "boolean"
              },
              ExcludeLowercase: {
                type: "boolean"
              },
              IncludeSpace: {
                type: "boolean"
              },
              RequireEachIncludedType: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RandomPassword: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        GetResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "SecretId"
            ],
            members: {
              SecretId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ARN: {},
              Name: {},
              ResourcePolicy: {}
            }
          }
        },
        GetSecretValue: {
          input: {
            type: "structure",
            required: [
              "SecretId"
            ],
            members: {
              SecretId: {},
              VersionId: {},
              VersionStage: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ARN: {},
              Name: {},
              VersionId: {},
              SecretBinary: {
                shape: "Sc"
              },
              SecretString: {
                shape: "Sd"
              },
              VersionStages: {
                shape: "S1b"
              },
              CreatedDate: {
                type: "timestamp"
              }
            }
          }
        },
        ListSecretVersionIds: {
          input: {
            type: "structure",
            required: [
              "SecretId"
            ],
            members: {
              SecretId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              IncludeDeprecated: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Versions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VersionId: {},
                    VersionStages: {
                      shape: "S1b"
                    },
                    LastAccessedDate: {
                      type: "timestamp"
                    },
                    CreatedDate: {
                      type: "timestamp"
                    },
                    KmsKeyIds: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              NextToken: {},
              ARN: {},
              Name: {}
            }
          }
        },
        ListSecrets: {
          input: {
            type: "structure",
            members: {
              IncludePlannedDeletion: {
                type: "boolean"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Key: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SecretList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ARN: {},
                    Name: {},
                    Description: {},
                    KmsKeyId: {},
                    RotationEnabled: {
                      type: "boolean"
                    },
                    RotationLambdaARN: {},
                    RotationRules: {
                      shape: "S12"
                    },
                    LastRotatedDate: {
                      type: "timestamp"
                    },
                    LastChangedDate: {
                      type: "timestamp"
                    },
                    LastAccessedDate: {
                      type: "timestamp"
                    },
                    DeletedDate: {
                      type: "timestamp"
                    },
                    NextRotationDate: {
                      type: "timestamp"
                    },
                    Tags: {
                      shape: "Se"
                    },
                    SecretVersionsToStages: {
                      shape: "S1a"
                    },
                    OwningService: {},
                    CreatedDate: {
                      type: "timestamp"
                    },
                    PrimaryRegion: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        PutResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "SecretId",
              "ResourcePolicy"
            ],
            members: {
              SecretId: {},
              ResourcePolicy: {},
              BlockPublicPolicy: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ARN: {},
              Name: {}
            }
          }
        },
        PutSecretValue: {
          input: {
            type: "structure",
            required: [
              "SecretId"
            ],
            members: {
              SecretId: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              SecretBinary: {
                shape: "Sc"
              },
              SecretString: {
                shape: "Sd"
              },
              VersionStages: {
                shape: "S1b"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ARN: {},
              Name: {},
              VersionId: {},
              VersionStages: {
                shape: "S1b"
              }
            }
          }
        },
        RemoveRegionsFromReplication: {
          input: {
            type: "structure",
            required: [
              "SecretId",
              "RemoveReplicaRegions"
            ],
            members: {
              SecretId: {},
              RemoveReplicaRegions: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ARN: {},
              ReplicationStatus: {
                shape: "Sn"
              }
            }
          }
        },
        ReplicateSecretToRegions: {
          input: {
            type: "structure",
            required: [
              "SecretId",
              "AddReplicaRegions"
            ],
            members: {
              SecretId: {},
              AddReplicaRegions: {
                shape: "Si"
              },
              ForceOverwriteReplicaSecret: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ARN: {},
              ReplicationStatus: {
                shape: "Sn"
              }
            }
          }
        },
        RestoreSecret: {
          input: {
            type: "structure",
            required: [
              "SecretId"
            ],
            members: {
              SecretId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ARN: {},
              Name: {}
            }
          }
        },
        RotateSecret: {
          input: {
            type: "structure",
            required: [
              "SecretId"
            ],
            members: {
              SecretId: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              RotationLambdaARN: {},
              RotationRules: {
                shape: "S12"
              },
              RotateImmediately: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ARN: {},
              Name: {},
              VersionId: {}
            }
          }
        },
        StopReplicationToReplica: {
          input: {
            type: "structure",
            required: [
              "SecretId"
            ],
            members: {
              SecretId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ARN: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "SecretId",
              "Tags"
            ],
            members: {
              SecretId: {},
              Tags: {
                shape: "Se"
              }
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "SecretId",
              "TagKeys"
            ],
            members: {
              SecretId: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        },
        UpdateSecret: {
          input: {
            type: "structure",
            required: [
              "SecretId"
            ],
            members: {
              SecretId: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              Description: {},
              KmsKeyId: {},
              SecretBinary: {
                shape: "Sc"
              },
              SecretString: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ARN: {},
              Name: {},
              VersionId: {}
            }
          }
        },
        UpdateSecretVersionStage: {
          input: {
            type: "structure",
            required: [
              "SecretId",
              "VersionStage"
            ],
            members: {
              SecretId: {},
              VersionStage: {},
              RemoveFromVersionId: {},
              MoveToVersionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ARN: {},
              Name: {}
            }
          }
        },
        ValidateResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "ResourcePolicy"
            ],
            members: {
              SecretId: {},
              ResourcePolicy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyValidationPassed: {
                type: "boolean"
              },
              ValidationErrors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CheckName: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        }
      },
      shapes: {
        Sc: {
          type: "blob",
          sensitive: true
        },
        Sd: {
          type: "string",
          sensitive: true
        },
        Se: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Si: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Region: {},
              KmsKeyId: {}
            }
          }
        },
        Sn: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Region: {},
              KmsKeyId: {},
              Status: {},
              StatusMessage: {},
              LastAccessedDate: {
                type: "timestamp"
              }
            }
          }
        },
        S12: {
          type: "structure",
          members: {
            AutomaticallyAfterDays: {
              type: "long"
            },
            Duration: {},
            ScheduleExpression: {}
          }
        },
        S1a: {
          type: "map",
          key: {},
          value: {
            shape: "S1b"
          }
        },
        S1b: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/secretsmanager-2017-10-17.paginators.json
var require_secretsmanager_2017_10_17_paginators = __commonJS({
  "node_modules/aws-sdk/apis/secretsmanager-2017-10-17.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListSecretVersionIds: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListSecrets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/secretsmanager.js
var require_secretsmanager = __commonJS({
  "node_modules/aws-sdk/clients/secretsmanager.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["secretsmanager"] = {};
    AWS2.SecretsManager = Service.defineService("secretsmanager", ["2017-10-17"]);
    Object.defineProperty(apiLoader.services["secretsmanager"], "2017-10-17", {
      get: function get() {
        var model = require_secretsmanager_2017_10_17_min();
        model.paginators = require_secretsmanager_2017_10_17_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SecretsManager;
  }
});

// node_modules/aws-sdk/apis/iotanalytics-2017-11-27.min.json
var require_iotanalytics_2017_11_27_min = __commonJS({
  "node_modules/aws-sdk/apis/iotanalytics-2017-11-27.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-11-27",
        endpointPrefix: "iotanalytics",
        protocol: "rest-json",
        serviceFullName: "AWS IoT Analytics",
        serviceId: "IoTAnalytics",
        signatureVersion: "v4",
        signingName: "iotanalytics",
        uid: "iotanalytics-2017-11-27"
      },
      operations: {
        BatchPutMessage: {
          http: {
            requestUri: "/messages/batch",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "channelName",
              "messages"
            ],
            members: {
              channelName: {},
              messages: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "messageId",
                    "payload"
                  ],
                  members: {
                    messageId: {},
                    payload: {
                      type: "blob"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              batchPutMessageErrorEntries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    messageId: {},
                    errorCode: {},
                    errorMessage: {}
                  }
                }
              }
            }
          }
        },
        CancelPipelineReprocessing: {
          http: {
            method: "DELETE",
            requestUri: "/pipelines/{pipelineName}/reprocessing/{reprocessingId}"
          },
          input: {
            type: "structure",
            required: [
              "pipelineName",
              "reprocessingId"
            ],
            members: {
              pipelineName: {
                location: "uri",
                locationName: "pipelineName"
              },
              reprocessingId: {
                location: "uri",
                locationName: "reprocessingId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateChannel: {
          http: {
            requestUri: "/channels",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "channelName"
            ],
            members: {
              channelName: {},
              channelStorage: {
                shape: "Sh"
              },
              retentionPeriod: {
                shape: "Sn"
              },
              tags: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              channelName: {},
              channelArn: {},
              retentionPeriod: {
                shape: "Sn"
              }
            }
          }
        },
        CreateDataset: {
          http: {
            requestUri: "/datasets",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "datasetName",
              "actions"
            ],
            members: {
              datasetName: {},
              actions: {
                shape: "Sy"
              },
              triggers: {
                shape: "S1l"
              },
              contentDeliveryRules: {
                shape: "S1q"
              },
              retentionPeriod: {
                shape: "Sn"
              },
              versioningConfiguration: {
                shape: "S21"
              },
              tags: {
                shape: "Sq"
              },
              lateDataRules: {
                shape: "S24"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasetName: {},
              datasetArn: {},
              retentionPeriod: {
                shape: "Sn"
              }
            }
          }
        },
        CreateDatasetContent: {
          http: {
            requestUri: "/datasets/{datasetName}/content"
          },
          input: {
            type: "structure",
            required: [
              "datasetName"
            ],
            members: {
              datasetName: {
                location: "uri",
                locationName: "datasetName"
              },
              versionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              versionId: {}
            }
          }
        },
        CreateDatastore: {
          http: {
            requestUri: "/datastores",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "datastoreName"
            ],
            members: {
              datastoreName: {},
              datastoreStorage: {
                shape: "S2h"
              },
              retentionPeriod: {
                shape: "Sn"
              },
              tags: {
                shape: "Sq"
              },
              fileFormatConfiguration: {
                shape: "S2m"
              },
              datastorePartitions: {
                shape: "S2u"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datastoreName: {},
              datastoreArn: {},
              retentionPeriod: {
                shape: "Sn"
              }
            }
          }
        },
        CreatePipeline: {
          http: {
            requestUri: "/pipelines",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "pipelineName",
              "pipelineActivities"
            ],
            members: {
              pipelineName: {},
              pipelineActivities: {
                shape: "S34"
              },
              tags: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              pipelineName: {},
              pipelineArn: {}
            }
          }
        },
        DeleteChannel: {
          http: {
            method: "DELETE",
            requestUri: "/channels/{channelName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "channelName"
            ],
            members: {
              channelName: {
                location: "uri",
                locationName: "channelName"
              }
            }
          }
        },
        DeleteDataset: {
          http: {
            method: "DELETE",
            requestUri: "/datasets/{datasetName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "datasetName"
            ],
            members: {
              datasetName: {
                location: "uri",
                locationName: "datasetName"
              }
            }
          }
        },
        DeleteDatasetContent: {
          http: {
            method: "DELETE",
            requestUri: "/datasets/{datasetName}/content",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "datasetName"
            ],
            members: {
              datasetName: {
                location: "uri",
                locationName: "datasetName"
              },
              versionId: {
                location: "querystring",
                locationName: "versionId"
              }
            }
          }
        },
        DeleteDatastore: {
          http: {
            method: "DELETE",
            requestUri: "/datastores/{datastoreName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "datastoreName"
            ],
            members: {
              datastoreName: {
                location: "uri",
                locationName: "datastoreName"
              }
            }
          }
        },
        DeletePipeline: {
          http: {
            method: "DELETE",
            requestUri: "/pipelines/{pipelineName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "pipelineName"
            ],
            members: {
              pipelineName: {
                location: "uri",
                locationName: "pipelineName"
              }
            }
          }
        },
        DescribeChannel: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelName}"
          },
          input: {
            type: "structure",
            required: [
              "channelName"
            ],
            members: {
              channelName: {
                location: "uri",
                locationName: "channelName"
              },
              includeStatistics: {
                location: "querystring",
                locationName: "includeStatistics",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              channel: {
                type: "structure",
                members: {
                  name: {},
                  storage: {
                    shape: "Sh"
                  },
                  arn: {},
                  status: {},
                  retentionPeriod: {
                    shape: "Sn"
                  },
                  creationTime: {
                    type: "timestamp"
                  },
                  lastUpdateTime: {
                    type: "timestamp"
                  },
                  lastMessageArrivalTime: {
                    type: "timestamp"
                  }
                }
              },
              statistics: {
                type: "structure",
                members: {
                  size: {
                    shape: "S42"
                  }
                }
              }
            }
          }
        },
        DescribeDataset: {
          http: {
            method: "GET",
            requestUri: "/datasets/{datasetName}"
          },
          input: {
            type: "structure",
            required: [
              "datasetName"
            ],
            members: {
              datasetName: {
                location: "uri",
                locationName: "datasetName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              dataset: {
                type: "structure",
                members: {
                  name: {},
                  arn: {},
                  actions: {
                    shape: "Sy"
                  },
                  triggers: {
                    shape: "S1l"
                  },
                  contentDeliveryRules: {
                    shape: "S1q"
                  },
                  status: {},
                  creationTime: {
                    type: "timestamp"
                  },
                  lastUpdateTime: {
                    type: "timestamp"
                  },
                  retentionPeriod: {
                    shape: "Sn"
                  },
                  versioningConfiguration: {
                    shape: "S21"
                  },
                  lateDataRules: {
                    shape: "S24"
                  }
                }
              }
            }
          }
        },
        DescribeDatastore: {
          http: {
            method: "GET",
            requestUri: "/datastores/{datastoreName}"
          },
          input: {
            type: "structure",
            required: [
              "datastoreName"
            ],
            members: {
              datastoreName: {
                location: "uri",
                locationName: "datastoreName"
              },
              includeStatistics: {
                location: "querystring",
                locationName: "includeStatistics",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datastore: {
                type: "structure",
                members: {
                  name: {},
                  storage: {
                    shape: "S2h"
                  },
                  arn: {},
                  status: {},
                  retentionPeriod: {
                    shape: "Sn"
                  },
                  creationTime: {
                    type: "timestamp"
                  },
                  lastUpdateTime: {
                    type: "timestamp"
                  },
                  lastMessageArrivalTime: {
                    type: "timestamp"
                  },
                  fileFormatConfiguration: {
                    shape: "S2m"
                  },
                  datastorePartitions: {
                    shape: "S2u"
                  }
                }
              },
              statistics: {
                type: "structure",
                members: {
                  size: {
                    shape: "S42"
                  }
                }
              }
            }
          }
        },
        DescribeLoggingOptions: {
          http: {
            method: "GET",
            requestUri: "/logging"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              loggingOptions: {
                shape: "S4f"
              }
            }
          }
        },
        DescribePipeline: {
          http: {
            method: "GET",
            requestUri: "/pipelines/{pipelineName}"
          },
          input: {
            type: "structure",
            required: [
              "pipelineName"
            ],
            members: {
              pipelineName: {
                location: "uri",
                locationName: "pipelineName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              pipeline: {
                type: "structure",
                members: {
                  name: {},
                  arn: {},
                  activities: {
                    shape: "S34"
                  },
                  reprocessingSummaries: {
                    shape: "S4l"
                  },
                  creationTime: {
                    type: "timestamp"
                  },
                  lastUpdateTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        GetDatasetContent: {
          http: {
            method: "GET",
            requestUri: "/datasets/{datasetName}/content"
          },
          input: {
            type: "structure",
            required: [
              "datasetName"
            ],
            members: {
              datasetName: {
                location: "uri",
                locationName: "datasetName"
              },
              versionId: {
                location: "querystring",
                locationName: "versionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              entries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    entryName: {},
                    dataURI: {}
                  }
                }
              },
              timestamp: {
                type: "timestamp"
              },
              status: {
                shape: "S4t"
              }
            }
          }
        },
        ListChannels: {
          http: {
            method: "GET",
            requestUri: "/channels"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              channelSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    channelName: {},
                    channelStorage: {
                      type: "structure",
                      members: {
                        serviceManagedS3: {
                          type: "structure",
                          members: {}
                        },
                        customerManagedS3: {
                          type: "structure",
                          members: {
                            bucket: {},
                            keyPrefix: {},
                            roleArn: {}
                          }
                        }
                      }
                    },
                    status: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    lastUpdateTime: {
                      type: "timestamp"
                    },
                    lastMessageArrivalTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDatasetContents: {
          http: {
            method: "GET",
            requestUri: "/datasets/{datasetName}/contents"
          },
          input: {
            type: "structure",
            required: [
              "datasetName"
            ],
            members: {
              datasetName: {
                location: "uri",
                locationName: "datasetName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              scheduledOnOrAfter: {
                location: "querystring",
                locationName: "scheduledOnOrAfter",
                type: "timestamp"
              },
              scheduledBefore: {
                location: "querystring",
                locationName: "scheduledBefore",
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasetContentSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    version: {},
                    status: {
                      shape: "S4t"
                    },
                    creationTime: {
                      type: "timestamp"
                    },
                    scheduleTime: {
                      type: "timestamp"
                    },
                    completionTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDatasets: {
          http: {
            method: "GET",
            requestUri: "/datasets"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasetSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    datasetName: {},
                    status: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    lastUpdateTime: {
                      type: "timestamp"
                    },
                    triggers: {
                      shape: "S1l"
                    },
                    actions: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          actionName: {},
                          actionType: {}
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDatastores: {
          http: {
            method: "GET",
            requestUri: "/datastores"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datastoreSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    datastoreName: {},
                    datastoreStorage: {
                      type: "structure",
                      members: {
                        serviceManagedS3: {
                          type: "structure",
                          members: {}
                        },
                        customerManagedS3: {
                          type: "structure",
                          members: {
                            bucket: {},
                            keyPrefix: {},
                            roleArn: {}
                          }
                        },
                        iotSiteWiseMultiLayerStorage: {
                          type: "structure",
                          members: {
                            customerManagedS3Storage: {
                              type: "structure",
                              members: {
                                bucket: {},
                                keyPrefix: {}
                              }
                            }
                          }
                        }
                      }
                    },
                    status: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    lastUpdateTime: {
                      type: "timestamp"
                    },
                    lastMessageArrivalTime: {
                      type: "timestamp"
                    },
                    fileFormatType: {},
                    datastorePartitions: {
                      shape: "S2u"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListPipelines: {
          http: {
            method: "GET",
            requestUri: "/pipelines"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              pipelineSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    pipelineName: {},
                    reprocessingSummaries: {
                      shape: "S4l"
                    },
                    creationTime: {
                      type: "timestamp"
                    },
                    lastUpdateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sq"
              }
            }
          }
        },
        PutLoggingOptions: {
          http: {
            method: "PUT",
            requestUri: "/logging"
          },
          input: {
            type: "structure",
            required: [
              "loggingOptions"
            ],
            members: {
              loggingOptions: {
                shape: "S4f"
              }
            }
          }
        },
        RunPipelineActivity: {
          http: {
            requestUri: "/pipelineactivities/run"
          },
          input: {
            type: "structure",
            required: [
              "pipelineActivity",
              "payloads"
            ],
            members: {
              pipelineActivity: {
                shape: "S35"
              },
              payloads: {
                shape: "S5z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              payloads: {
                shape: "S5z"
              },
              logResult: {}
            }
          }
        },
        SampleChannelData: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelName}/sample"
          },
          input: {
            type: "structure",
            required: [
              "channelName"
            ],
            members: {
              channelName: {
                location: "uri",
                locationName: "channelName"
              },
              maxMessages: {
                location: "querystring",
                locationName: "maxMessages",
                type: "integer"
              },
              startTime: {
                location: "querystring",
                locationName: "startTime",
                type: "timestamp"
              },
              endTime: {
                location: "querystring",
                locationName: "endTime",
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              payloads: {
                shape: "S5z"
              }
            }
          }
        },
        StartPipelineReprocessing: {
          http: {
            requestUri: "/pipelines/{pipelineName}/reprocessing"
          },
          input: {
            type: "structure",
            required: [
              "pipelineName"
            ],
            members: {
              pipelineName: {
                location: "uri",
                locationName: "pipelineName"
              },
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              channelMessages: {
                type: "structure",
                members: {
                  s3Paths: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              reprocessingId: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateChannel: {
          http: {
            method: "PUT",
            requestUri: "/channels/{channelName}"
          },
          input: {
            type: "structure",
            required: [
              "channelName"
            ],
            members: {
              channelName: {
                location: "uri",
                locationName: "channelName"
              },
              channelStorage: {
                shape: "Sh"
              },
              retentionPeriod: {
                shape: "Sn"
              }
            }
          }
        },
        UpdateDataset: {
          http: {
            method: "PUT",
            requestUri: "/datasets/{datasetName}"
          },
          input: {
            type: "structure",
            required: [
              "datasetName",
              "actions"
            ],
            members: {
              datasetName: {
                location: "uri",
                locationName: "datasetName"
              },
              actions: {
                shape: "Sy"
              },
              triggers: {
                shape: "S1l"
              },
              contentDeliveryRules: {
                shape: "S1q"
              },
              retentionPeriod: {
                shape: "Sn"
              },
              versioningConfiguration: {
                shape: "S21"
              },
              lateDataRules: {
                shape: "S24"
              }
            }
          }
        },
        UpdateDatastore: {
          http: {
            method: "PUT",
            requestUri: "/datastores/{datastoreName}"
          },
          input: {
            type: "structure",
            required: [
              "datastoreName"
            ],
            members: {
              datastoreName: {
                location: "uri",
                locationName: "datastoreName"
              },
              retentionPeriod: {
                shape: "Sn"
              },
              datastoreStorage: {
                shape: "S2h"
              },
              fileFormatConfiguration: {
                shape: "S2m"
              }
            }
          }
        },
        UpdatePipeline: {
          http: {
            method: "PUT",
            requestUri: "/pipelines/{pipelineName}"
          },
          input: {
            type: "structure",
            required: [
              "pipelineName",
              "pipelineActivities"
            ],
            members: {
              pipelineName: {
                location: "uri",
                locationName: "pipelineName"
              },
              pipelineActivities: {
                shape: "S34"
              }
            }
          }
        }
      },
      shapes: {
        Sh: {
          type: "structure",
          members: {
            serviceManagedS3: {
              type: "structure",
              members: {}
            },
            customerManagedS3: {
              type: "structure",
              required: [
                "bucket",
                "roleArn"
              ],
              members: {
                bucket: {},
                keyPrefix: {},
                roleArn: {}
              }
            }
          }
        },
        Sn: {
          type: "structure",
          members: {
            unlimited: {
              type: "boolean"
            },
            numberOfDays: {
              type: "integer"
            }
          }
        },
        Sq: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        Sy: {
          type: "list",
          member: {
            type: "structure",
            members: {
              actionName: {},
              queryAction: {
                type: "structure",
                required: [
                  "sqlQuery"
                ],
                members: {
                  sqlQuery: {},
                  filters: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        deltaTime: {
                          type: "structure",
                          required: [
                            "offsetSeconds",
                            "timeExpression"
                          ],
                          members: {
                            offsetSeconds: {
                              type: "integer"
                            },
                            timeExpression: {}
                          }
                        }
                      }
                    }
                  }
                }
              },
              containerAction: {
                type: "structure",
                required: [
                  "image",
                  "executionRoleArn",
                  "resourceConfiguration"
                ],
                members: {
                  image: {},
                  executionRoleArn: {},
                  resourceConfiguration: {
                    type: "structure",
                    required: [
                      "computeType",
                      "volumeSizeInGB"
                    ],
                    members: {
                      computeType: {},
                      volumeSizeInGB: {
                        type: "integer"
                      }
                    }
                  },
                  variables: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "name"
                      ],
                      members: {
                        name: {},
                        stringValue: {},
                        doubleValue: {
                          type: "double"
                        },
                        datasetContentVersionValue: {
                          type: "structure",
                          required: [
                            "datasetName"
                          ],
                          members: {
                            datasetName: {}
                          }
                        },
                        outputFileUriValue: {
                          type: "structure",
                          required: [
                            "fileName"
                          ],
                          members: {
                            fileName: {}
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S1l: {
          type: "list",
          member: {
            type: "structure",
            members: {
              schedule: {
                type: "structure",
                members: {
                  expression: {}
                }
              },
              dataset: {
                type: "structure",
                required: [
                  "name"
                ],
                members: {
                  name: {}
                }
              }
            }
          }
        },
        S1q: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "destination"
            ],
            members: {
              entryName: {},
              destination: {
                type: "structure",
                members: {
                  iotEventsDestinationConfiguration: {
                    type: "structure",
                    required: [
                      "inputName",
                      "roleArn"
                    ],
                    members: {
                      inputName: {},
                      roleArn: {}
                    }
                  },
                  s3DestinationConfiguration: {
                    type: "structure",
                    required: [
                      "bucket",
                      "key",
                      "roleArn"
                    ],
                    members: {
                      bucket: {},
                      key: {},
                      glueConfiguration: {
                        type: "structure",
                        required: [
                          "tableName",
                          "databaseName"
                        ],
                        members: {
                          tableName: {},
                          databaseName: {}
                        }
                      },
                      roleArn: {}
                    }
                  }
                }
              }
            }
          }
        },
        S21: {
          type: "structure",
          members: {
            unlimited: {
              type: "boolean"
            },
            maxVersions: {
              type: "integer"
            }
          }
        },
        S24: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ruleConfiguration"
            ],
            members: {
              ruleName: {},
              ruleConfiguration: {
                type: "structure",
                members: {
                  deltaTimeSessionWindowConfiguration: {
                    type: "structure",
                    required: [
                      "timeoutInMinutes"
                    ],
                    members: {
                      timeoutInMinutes: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S2h: {
          type: "structure",
          members: {
            serviceManagedS3: {
              type: "structure",
              members: {}
            },
            customerManagedS3: {
              type: "structure",
              required: [
                "bucket",
                "roleArn"
              ],
              members: {
                bucket: {},
                keyPrefix: {},
                roleArn: {}
              }
            },
            iotSiteWiseMultiLayerStorage: {
              type: "structure",
              required: [
                "customerManagedS3Storage"
              ],
              members: {
                customerManagedS3Storage: {
                  type: "structure",
                  required: [
                    "bucket"
                  ],
                  members: {
                    bucket: {},
                    keyPrefix: {}
                  }
                }
              }
            }
          }
        },
        S2m: {
          type: "structure",
          members: {
            jsonConfiguration: {
              type: "structure",
              members: {}
            },
            parquetConfiguration: {
              type: "structure",
              members: {
                schemaDefinition: {
                  type: "structure",
                  members: {
                    columns: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "name",
                          "type"
                        ],
                        members: {
                          name: {},
                          type: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S2u: {
          type: "structure",
          members: {
            partitions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  attributePartition: {
                    type: "structure",
                    required: [
                      "attributeName"
                    ],
                    members: {
                      attributeName: {}
                    }
                  },
                  timestampPartition: {
                    type: "structure",
                    required: [
                      "attributeName"
                    ],
                    members: {
                      attributeName: {},
                      timestampFormat: {}
                    }
                  }
                }
              }
            }
          }
        },
        S34: {
          type: "list",
          member: {
            shape: "S35"
          }
        },
        S35: {
          type: "structure",
          members: {
            channel: {
              type: "structure",
              required: [
                "name",
                "channelName"
              ],
              members: {
                name: {},
                channelName: {},
                next: {}
              }
            },
            lambda: {
              type: "structure",
              required: [
                "name",
                "lambdaName",
                "batchSize"
              ],
              members: {
                name: {},
                lambdaName: {},
                batchSize: {
                  type: "integer"
                },
                next: {}
              }
            },
            datastore: {
              type: "structure",
              required: [
                "name",
                "datastoreName"
              ],
              members: {
                name: {},
                datastoreName: {}
              }
            },
            addAttributes: {
              type: "structure",
              required: [
                "name",
                "attributes"
              ],
              members: {
                name: {},
                attributes: {
                  type: "map",
                  key: {},
                  value: {}
                },
                next: {}
              }
            },
            removeAttributes: {
              type: "structure",
              required: [
                "name",
                "attributes"
              ],
              members: {
                name: {},
                attributes: {
                  shape: "S3g"
                },
                next: {}
              }
            },
            selectAttributes: {
              type: "structure",
              required: [
                "name",
                "attributes"
              ],
              members: {
                name: {},
                attributes: {
                  shape: "S3g"
                },
                next: {}
              }
            },
            filter: {
              type: "structure",
              required: [
                "name",
                "filter"
              ],
              members: {
                name: {},
                filter: {},
                next: {}
              }
            },
            math: {
              type: "structure",
              required: [
                "name",
                "attribute",
                "math"
              ],
              members: {
                name: {},
                attribute: {},
                math: {},
                next: {}
              }
            },
            deviceRegistryEnrich: {
              type: "structure",
              required: [
                "name",
                "attribute",
                "thingName",
                "roleArn"
              ],
              members: {
                name: {},
                attribute: {},
                thingName: {},
                roleArn: {},
                next: {}
              }
            },
            deviceShadowEnrich: {
              type: "structure",
              required: [
                "name",
                "attribute",
                "thingName",
                "roleArn"
              ],
              members: {
                name: {},
                attribute: {},
                thingName: {},
                roleArn: {},
                next: {}
              }
            }
          }
        },
        S3g: {
          type: "list",
          member: {}
        },
        S42: {
          type: "structure",
          members: {
            estimatedSizeInBytes: {
              type: "double"
            },
            estimatedOn: {
              type: "timestamp"
            }
          }
        },
        S4f: {
          type: "structure",
          required: [
            "roleArn",
            "level",
            "enabled"
          ],
          members: {
            roleArn: {},
            level: {},
            enabled: {
              type: "boolean"
            }
          }
        },
        S4l: {
          type: "list",
          member: {
            type: "structure",
            members: {
              id: {},
              status: {},
              creationTime: {
                type: "timestamp"
              }
            }
          }
        },
        S4t: {
          type: "structure",
          members: {
            state: {},
            reason: {}
          }
        },
        S5z: {
          type: "list",
          member: {
            type: "blob"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iotanalytics-2017-11-27.paginators.json
var require_iotanalytics_2017_11_27_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iotanalytics-2017-11-27.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListChannels: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListDatasetContents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListDatasets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListDatastores: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListPipelines: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/iotanalytics.js
var require_iotanalytics = __commonJS({
  "node_modules/aws-sdk/clients/iotanalytics.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iotanalytics"] = {};
    AWS2.IoTAnalytics = Service.defineService("iotanalytics", ["2017-11-27"]);
    Object.defineProperty(apiLoader.services["iotanalytics"], "2017-11-27", {
      get: function get() {
        var model = require_iotanalytics_2017_11_27_min();
        model.paginators = require_iotanalytics_2017_11_27_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IoTAnalytics;
  }
});

// node_modules/aws-sdk/apis/iot1click-devices-2018-05-14.min.json
var require_iot1click_devices_2018_05_14_min = __commonJS({
  "node_modules/aws-sdk/apis/iot1click-devices-2018-05-14.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2018-05-14",
        endpointPrefix: "devices.iot1click",
        signingName: "iot1click",
        serviceFullName: "AWS IoT 1-Click Devices Service",
        serviceId: "IoT 1Click Devices Service",
        protocol: "rest-json",
        jsonVersion: "1.1",
        uid: "devices-2018-05-14",
        signatureVersion: "v4"
      },
      operations: {
        ClaimDevicesByClaimCode: {
          http: {
            method: "PUT",
            requestUri: "/claims/{claimCode}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClaimCode: {
                location: "uri",
                locationName: "claimCode"
              }
            },
            required: [
              "ClaimCode"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClaimCode: {
                locationName: "claimCode"
              },
              Total: {
                locationName: "total",
                type: "integer"
              }
            }
          }
        },
        DescribeDevice: {
          http: {
            method: "GET",
            requestUri: "/devices/{deviceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceId: {
                location: "uri",
                locationName: "deviceId"
              }
            },
            required: [
              "DeviceId"
            ]
          },
          output: {
            type: "structure",
            members: {
              DeviceDescription: {
                shape: "S8",
                locationName: "deviceDescription"
              }
            }
          }
        },
        FinalizeDeviceClaim: {
          http: {
            method: "PUT",
            requestUri: "/devices/{deviceId}/finalize-claim",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceId: {
                location: "uri",
                locationName: "deviceId"
              },
              Tags: {
                shape: "Sc",
                locationName: "tags"
              }
            },
            required: [
              "DeviceId"
            ]
          },
          output: {
            type: "structure",
            members: {
              State: {
                locationName: "state"
              }
            }
          }
        },
        GetDeviceMethods: {
          http: {
            method: "GET",
            requestUri: "/devices/{deviceId}/methods",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceId: {
                location: "uri",
                locationName: "deviceId"
              }
            },
            required: [
              "DeviceId"
            ]
          },
          output: {
            type: "structure",
            members: {
              DeviceMethods: {
                locationName: "deviceMethods",
                type: "list",
                member: {
                  shape: "Si"
                }
              }
            }
          }
        },
        InitiateDeviceClaim: {
          http: {
            method: "PUT",
            requestUri: "/devices/{deviceId}/initiate-claim",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceId: {
                location: "uri",
                locationName: "deviceId"
              }
            },
            required: [
              "DeviceId"
            ]
          },
          output: {
            type: "structure",
            members: {
              State: {
                locationName: "state"
              }
            }
          }
        },
        InvokeDeviceMethod: {
          http: {
            requestUri: "/devices/{deviceId}/methods",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceId: {
                location: "uri",
                locationName: "deviceId"
              },
              DeviceMethod: {
                shape: "Si",
                locationName: "deviceMethod"
              },
              DeviceMethodParameters: {
                locationName: "deviceMethodParameters"
              }
            },
            required: [
              "DeviceId"
            ]
          },
          output: {
            type: "structure",
            members: {
              DeviceMethodResponse: {
                locationName: "deviceMethodResponse"
              }
            }
          }
        },
        ListDeviceEvents: {
          http: {
            method: "GET",
            requestUri: "/devices/{deviceId}/events",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceId: {
                location: "uri",
                locationName: "deviceId"
              },
              FromTimeStamp: {
                shape: "So",
                location: "querystring",
                locationName: "fromTimeStamp"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              ToTimeStamp: {
                shape: "So",
                location: "querystring",
                locationName: "toTimeStamp"
              }
            },
            required: [
              "DeviceId",
              "FromTimeStamp",
              "ToTimeStamp"
            ]
          },
          output: {
            type: "structure",
            members: {
              Events: {
                locationName: "events",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Device: {
                      locationName: "device",
                      type: "structure",
                      members: {
                        Attributes: {
                          locationName: "attributes",
                          type: "structure",
                          members: {}
                        },
                        DeviceId: {
                          locationName: "deviceId"
                        },
                        Type: {
                          locationName: "type"
                        }
                      }
                    },
                    StdEvent: {
                      locationName: "stdEvent"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListDevices: {
          http: {
            method: "GET",
            requestUri: "/devices",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceType: {
                location: "querystring",
                locationName: "deviceType"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Devices: {
                locationName: "devices",
                type: "list",
                member: {
                  shape: "S8"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resource-arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              }
            },
            required: [
              "ResourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sc",
                locationName: "tags"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              Tags: {
                shape: "Sc",
                locationName: "tags"
              }
            },
            required: [
              "ResourceArn",
              "Tags"
            ]
          }
        },
        UnclaimDevice: {
          http: {
            method: "PUT",
            requestUri: "/devices/{deviceId}/unclaim",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceId: {
                location: "uri",
                locationName: "deviceId"
              }
            },
            required: [
              "DeviceId"
            ]
          },
          output: {
            type: "structure",
            members: {
              State: {
                locationName: "state"
              }
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            },
            required: [
              "TagKeys",
              "ResourceArn"
            ]
          }
        },
        UpdateDeviceState: {
          http: {
            method: "PUT",
            requestUri: "/devices/{deviceId}/state",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceId: {
                location: "uri",
                locationName: "deviceId"
              },
              Enabled: {
                locationName: "enabled",
                type: "boolean"
              }
            },
            required: [
              "DeviceId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S8: {
          type: "structure",
          members: {
            Arn: {
              locationName: "arn"
            },
            Attributes: {
              locationName: "attributes",
              type: "map",
              key: {},
              value: {}
            },
            DeviceId: {
              locationName: "deviceId"
            },
            Enabled: {
              locationName: "enabled",
              type: "boolean"
            },
            RemainingLife: {
              locationName: "remainingLife",
              type: "double"
            },
            Type: {
              locationName: "type"
            },
            Tags: {
              shape: "Sc",
              locationName: "tags"
            }
          }
        },
        Sc: {
          type: "map",
          key: {},
          value: {}
        },
        Si: {
          type: "structure",
          members: {
            DeviceType: {
              locationName: "deviceType"
            },
            MethodName: {
              locationName: "methodName"
            }
          }
        },
        So: {
          type: "timestamp",
          timestampFormat: "iso8601"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/iot1clickdevicesservice.js
var require_iot1clickdevicesservice = __commonJS({
  "node_modules/aws-sdk/clients/iot1clickdevicesservice.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iot1clickdevicesservice"] = {};
    AWS2.IoT1ClickDevicesService = Service.defineService("iot1clickdevicesservice", ["2018-05-14"]);
    Object.defineProperty(apiLoader.services["iot1clickdevicesservice"], "2018-05-14", {
      get: function get() {
        var model = require_iot1click_devices_2018_05_14_min();
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IoT1ClickDevicesService;
  }
});

// node_modules/aws-sdk/apis/iot1click-projects-2018-05-14.min.json
var require_iot1click_projects_2018_05_14_min = __commonJS({
  "node_modules/aws-sdk/apis/iot1click-projects-2018-05-14.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-05-14",
        endpointPrefix: "projects.iot1click",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "AWS IoT 1-Click Projects",
        serviceFullName: "AWS IoT 1-Click Projects Service",
        serviceId: "IoT 1Click Projects",
        signatureVersion: "v4",
        signingName: "iot1click",
        uid: "iot1click-projects-2018-05-14"
      },
      operations: {
        AssociateDeviceWithPlacement: {
          http: {
            method: "PUT",
            requestUri: "/projects/{projectName}/placements/{placementName}/devices/{deviceTemplateName}"
          },
          input: {
            type: "structure",
            required: [
              "projectName",
              "placementName",
              "deviceId",
              "deviceTemplateName"
            ],
            members: {
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              placementName: {
                location: "uri",
                locationName: "placementName"
              },
              deviceId: {},
              deviceTemplateName: {
                location: "uri",
                locationName: "deviceTemplateName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreatePlacement: {
          http: {
            requestUri: "/projects/{projectName}/placements"
          },
          input: {
            type: "structure",
            required: [
              "placementName",
              "projectName"
            ],
            members: {
              placementName: {},
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              attributes: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateProject: {
          http: {
            requestUri: "/projects"
          },
          input: {
            type: "structure",
            required: [
              "projectName"
            ],
            members: {
              projectName: {},
              description: {},
              placementTemplate: {
                shape: "Se"
              },
              tags: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeletePlacement: {
          http: {
            method: "DELETE",
            requestUri: "/projects/{projectName}/placements/{placementName}"
          },
          input: {
            type: "structure",
            required: [
              "placementName",
              "projectName"
            ],
            members: {
              placementName: {
                location: "uri",
                locationName: "placementName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteProject: {
          http: {
            method: "DELETE",
            requestUri: "/projects/{projectName}"
          },
          input: {
            type: "structure",
            required: [
              "projectName"
            ],
            members: {
              projectName: {
                location: "uri",
                locationName: "projectName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribePlacement: {
          http: {
            method: "GET",
            requestUri: "/projects/{projectName}/placements/{placementName}"
          },
          input: {
            type: "structure",
            required: [
              "placementName",
              "projectName"
            ],
            members: {
              placementName: {
                location: "uri",
                locationName: "placementName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "placement"
            ],
            members: {
              placement: {
                type: "structure",
                required: [
                  "projectName",
                  "placementName",
                  "attributes",
                  "createdDate",
                  "updatedDate"
                ],
                members: {
                  projectName: {},
                  placementName: {},
                  attributes: {
                    shape: "S8"
                  },
                  createdDate: {
                    type: "timestamp"
                  },
                  updatedDate: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        DescribeProject: {
          http: {
            method: "GET",
            requestUri: "/projects/{projectName}"
          },
          input: {
            type: "structure",
            required: [
              "projectName"
            ],
            members: {
              projectName: {
                location: "uri",
                locationName: "projectName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "project"
            ],
            members: {
              project: {
                type: "structure",
                required: [
                  "projectName",
                  "createdDate",
                  "updatedDate"
                ],
                members: {
                  arn: {},
                  projectName: {},
                  description: {},
                  createdDate: {
                    type: "timestamp"
                  },
                  updatedDate: {
                    type: "timestamp"
                  },
                  placementTemplate: {
                    shape: "Se"
                  },
                  tags: {
                    shape: "Sn"
                  }
                }
              }
            }
          }
        },
        DisassociateDeviceFromPlacement: {
          http: {
            method: "DELETE",
            requestUri: "/projects/{projectName}/placements/{placementName}/devices/{deviceTemplateName}"
          },
          input: {
            type: "structure",
            required: [
              "projectName",
              "placementName",
              "deviceTemplateName"
            ],
            members: {
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              placementName: {
                location: "uri",
                locationName: "placementName"
              },
              deviceTemplateName: {
                location: "uri",
                locationName: "deviceTemplateName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetDevicesInPlacement: {
          http: {
            method: "GET",
            requestUri: "/projects/{projectName}/placements/{placementName}/devices"
          },
          input: {
            type: "structure",
            required: [
              "projectName",
              "placementName"
            ],
            members: {
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              placementName: {
                location: "uri",
                locationName: "placementName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "devices"
            ],
            members: {
              devices: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        ListPlacements: {
          http: {
            method: "GET",
            requestUri: "/projects/{projectName}/placements"
          },
          input: {
            type: "structure",
            required: [
              "projectName"
            ],
            members: {
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "placements"
            ],
            members: {
              placements: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "projectName",
                    "placementName",
                    "createdDate",
                    "updatedDate"
                  ],
                  members: {
                    projectName: {},
                    placementName: {},
                    createdDate: {
                      type: "timestamp"
                    },
                    updatedDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListProjects: {
          http: {
            method: "GET",
            requestUri: "/projects"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "projects"
            ],
            members: {
              projects: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "projectName",
                    "createdDate",
                    "updatedDate"
                  ],
                  members: {
                    arn: {},
                    projectName: {},
                    createdDate: {
                      type: "timestamp"
                    },
                    updatedDate: {
                      type: "timestamp"
                    },
                    tags: {
                      shape: "Sn"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sn"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdatePlacement: {
          http: {
            method: "PUT",
            requestUri: "/projects/{projectName}/placements/{placementName}"
          },
          input: {
            type: "structure",
            required: [
              "placementName",
              "projectName"
            ],
            members: {
              placementName: {
                location: "uri",
                locationName: "placementName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              attributes: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateProject: {
          http: {
            method: "PUT",
            requestUri: "/projects/{projectName}"
          },
          input: {
            type: "structure",
            required: [
              "projectName"
            ],
            members: {
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              description: {},
              placementTemplate: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S8: {
          type: "map",
          key: {},
          value: {}
        },
        Se: {
          type: "structure",
          members: {
            defaultAttributes: {
              type: "map",
              key: {},
              value: {}
            },
            deviceTemplates: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                members: {
                  deviceType: {},
                  callbackOverrides: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                }
              }
            }
          }
        },
        Sn: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iot1click-projects-2018-05-14.paginators.json
var require_iot1click_projects_2018_05_14_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iot1click-projects-2018-05-14.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListPlacements: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "placements"
        },
        ListProjects: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "projects"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/iot1clickprojects.js
var require_iot1clickprojects = __commonJS({
  "node_modules/aws-sdk/clients/iot1clickprojects.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iot1clickprojects"] = {};
    AWS2.IoT1ClickProjects = Service.defineService("iot1clickprojects", ["2018-05-14"]);
    Object.defineProperty(apiLoader.services["iot1clickprojects"], "2018-05-14", {
      get: function get() {
        var model = require_iot1click_projects_2018_05_14_min();
        model.paginators = require_iot1click_projects_2018_05_14_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IoT1ClickProjects;
  }
});

// node_modules/aws-sdk/apis/pi-2018-02-27.min.json
var require_pi_2018_02_27_min = __commonJS({
  "node_modules/aws-sdk/apis/pi-2018-02-27.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-02-27",
        endpointPrefix: "pi",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "AWS PI",
        serviceFullName: "AWS Performance Insights",
        serviceId: "PI",
        signatureVersion: "v4",
        signingName: "pi",
        targetPrefix: "PerformanceInsightsv20180227",
        uid: "pi-2018-02-27"
      },
      operations: {
        DescribeDimensionKeys: {
          input: {
            type: "structure",
            required: [
              "ServiceType",
              "Identifier",
              "StartTime",
              "EndTime",
              "Metric",
              "GroupBy"
            ],
            members: {
              ServiceType: {},
              Identifier: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Metric: {},
              PeriodInSeconds: {
                type: "integer"
              },
              GroupBy: {
                shape: "S6"
              },
              AdditionalMetrics: {
                type: "list",
                member: {}
              },
              PartitionBy: {
                shape: "S6"
              },
              Filter: {
                shape: "Sa"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AlignedStartTime: {
                type: "timestamp"
              },
              AlignedEndTime: {
                type: "timestamp"
              },
              PartitionKeys: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Dimensions"
                  ],
                  members: {
                    Dimensions: {
                      shape: "Sg"
                    }
                  }
                }
              },
              Keys: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Dimensions: {
                      shape: "Sg"
                    },
                    Total: {
                      type: "double"
                    },
                    AdditionalMetrics: {
                      type: "map",
                      key: {},
                      value: {
                        type: "double"
                      }
                    },
                    Partitions: {
                      type: "list",
                      member: {
                        type: "double"
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetDimensionKeyDetails: {
          input: {
            type: "structure",
            required: [
              "ServiceType",
              "Identifier",
              "Group",
              "GroupIdentifier"
            ],
            members: {
              ServiceType: {},
              Identifier: {},
              Group: {},
              GroupIdentifier: {},
              RequestedDimensions: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Dimensions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Value: {},
                    Dimension: {},
                    Status: {}
                  }
                }
              }
            }
          }
        },
        GetResourceMetadata: {
          input: {
            type: "structure",
            required: [
              "ServiceType",
              "Identifier"
            ],
            members: {
              ServiceType: {},
              Identifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Identifier: {},
              Features: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    Status: {}
                  }
                }
              }
            }
          }
        },
        GetResourceMetrics: {
          input: {
            type: "structure",
            required: [
              "ServiceType",
              "Identifier",
              "MetricQueries",
              "StartTime",
              "EndTime"
            ],
            members: {
              ServiceType: {},
              Identifier: {},
              MetricQueries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Metric"
                  ],
                  members: {
                    Metric: {},
                    GroupBy: {
                      shape: "S6"
                    },
                    Filter: {
                      shape: "Sa"
                    }
                  }
                }
              },
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              PeriodInSeconds: {
                type: "integer"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              PeriodAlignment: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AlignedStartTime: {
                type: "timestamp"
              },
              AlignedEndTime: {
                type: "timestamp"
              },
              Identifier: {},
              MetricList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Key: {
                      type: "structure",
                      required: [
                        "Metric"
                      ],
                      members: {
                        Metric: {},
                        Dimensions: {
                          shape: "Sg"
                        }
                      }
                    },
                    DataPoints: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "Timestamp",
                          "Value"
                        ],
                        members: {
                          Timestamp: {
                            type: "timestamp"
                          },
                          Value: {
                            type: "double"
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAvailableResourceDimensions: {
          input: {
            type: "structure",
            required: [
              "ServiceType",
              "Identifier",
              "Metrics"
            ],
            members: {
              ServiceType: {},
              Identifier: {},
              Metrics: {
                type: "list",
                member: {}
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MetricDimensions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Metric: {},
                    Groups: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Group: {},
                          Dimensions: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Identifier: {}
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAvailableResourceMetrics: {
          input: {
            type: "structure",
            required: [
              "ServiceType",
              "Identifier",
              "MetricTypes"
            ],
            members: {
              ServiceType: {},
              Identifier: {},
              MetricTypes: {
                type: "list",
                member: {}
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Metrics: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Metric: {},
                    Description: {},
                    Unit: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        }
      },
      shapes: {
        S6: {
          type: "structure",
          required: [
            "Group"
          ],
          members: {
            Group: {},
            Dimensions: {
              type: "list",
              member: {}
            },
            Limit: {
              type: "integer"
            }
          }
        },
        Sa: {
          type: "map",
          key: {},
          value: {}
        },
        Sg: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/pi-2018-02-27.paginators.json
var require_pi_2018_02_27_paginators = __commonJS({
  "node_modules/aws-sdk/apis/pi-2018-02-27.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeDimensionKeys: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        GetResourceMetrics: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAvailableResourceDimensions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAvailableResourceMetrics: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/pi.js
var require_pi = __commonJS({
  "node_modules/aws-sdk/clients/pi.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["pi"] = {};
    AWS2.PI = Service.defineService("pi", ["2018-02-27"]);
    Object.defineProperty(apiLoader.services["pi"], "2018-02-27", {
      get: function get() {
        var model = require_pi_2018_02_27_min();
        model.paginators = require_pi_2018_02_27_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.PI;
  }
});

// node_modules/aws-sdk/lib/services/neptune.js
var require_neptune = __commonJS({
  "node_modules/aws-sdk/lib/services/neptune.js"() {
    var AWS2 = require_core();
    var rdsutil = require_rdsutil();
    var crossRegionOperations = ["createDBCluster", "copyDBClusterSnapshot"];
    AWS2.util.update(AWS2.Neptune.prototype, {
      /**
      * @api private
      */
      setupRequestListeners: function setupRequestListeners(request) {
        if (crossRegionOperations.indexOf(request.operation) !== -1 && this.config.params && this.config.params.SourceRegion && request.params && !request.params.SourceRegion) {
          request.params.SourceRegion = this.config.params.SourceRegion;
        }
        rdsutil.setupRequestListeners(this, request, crossRegionOperations);
      }
    });
  }
});

// node_modules/aws-sdk/apis/neptune-2014-10-31.min.json
var require_neptune_2014_10_31_min = __commonJS({
  "node_modules/aws-sdk/apis/neptune-2014-10-31.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2014-10-31",
        endpointPrefix: "rds",
        protocol: "query",
        serviceAbbreviation: "Amazon Neptune",
        serviceFullName: "Amazon Neptune",
        serviceId: "Neptune",
        signatureVersion: "v4",
        signingName: "rds",
        uid: "neptune-2014-10-31",
        xmlNamespace: "http://rds.amazonaws.com/doc/2014-10-31/"
      },
      operations: {
        AddRoleToDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "RoleArn"
            ],
            members: {
              DBClusterIdentifier: {},
              RoleArn: {},
              FeatureName: {}
            }
          }
        },
        AddSourceIdentifierToSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SourceIdentifier"
            ],
            members: {
              SubscriptionName: {},
              SourceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "AddSourceIdentifierToSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S5"
              }
            }
          }
        },
        AddTagsToResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "Tags"
            ],
            members: {
              ResourceName: {},
              Tags: {
                shape: "Sa"
              }
            }
          }
        },
        ApplyPendingMaintenanceAction: {
          input: {
            type: "structure",
            required: [
              "ResourceIdentifier",
              "ApplyAction",
              "OptInType"
            ],
            members: {
              ResourceIdentifier: {},
              ApplyAction: {},
              OptInType: {}
            }
          },
          output: {
            resultWrapper: "ApplyPendingMaintenanceActionResult",
            type: "structure",
            members: {
              ResourcePendingMaintenanceActions: {
                shape: "Se"
              }
            }
          }
        },
        CopyDBClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "SourceDBClusterParameterGroupIdentifier",
              "TargetDBClusterParameterGroupIdentifier",
              "TargetDBClusterParameterGroupDescription"
            ],
            members: {
              SourceDBClusterParameterGroupIdentifier: {},
              TargetDBClusterParameterGroupIdentifier: {},
              TargetDBClusterParameterGroupDescription: {},
              Tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            resultWrapper: "CopyDBClusterParameterGroupResult",
            type: "structure",
            members: {
              DBClusterParameterGroup: {
                shape: "Sk"
              }
            }
          }
        },
        CopyDBClusterSnapshot: {
          input: {
            type: "structure",
            required: [
              "SourceDBClusterSnapshotIdentifier",
              "TargetDBClusterSnapshotIdentifier"
            ],
            members: {
              SourceDBClusterSnapshotIdentifier: {},
              TargetDBClusterSnapshotIdentifier: {},
              KmsKeyId: {},
              PreSignedUrl: {},
              CopyTags: {
                type: "boolean"
              },
              Tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            resultWrapper: "CopyDBClusterSnapshotResult",
            type: "structure",
            members: {
              DBClusterSnapshot: {
                shape: "So"
              }
            }
          }
        },
        CopyDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "SourceDBParameterGroupIdentifier",
              "TargetDBParameterGroupIdentifier",
              "TargetDBParameterGroupDescription"
            ],
            members: {
              SourceDBParameterGroupIdentifier: {},
              TargetDBParameterGroupIdentifier: {},
              TargetDBParameterGroupDescription: {},
              Tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            resultWrapper: "CopyDBParameterGroupResult",
            type: "structure",
            members: {
              DBParameterGroup: {
                shape: "St"
              }
            }
          }
        },
        CreateDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "Engine"
            ],
            members: {
              AvailabilityZones: {
                shape: "Sp"
              },
              BackupRetentionPeriod: {
                type: "integer"
              },
              CharacterSetName: {},
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              DatabaseName: {},
              DBClusterIdentifier: {},
              DBClusterParameterGroupName: {},
              VpcSecurityGroupIds: {
                shape: "Sw"
              },
              DBSubnetGroupName: {},
              Engine: {},
              EngineVersion: {},
              Port: {
                type: "integer"
              },
              MasterUsername: {},
              MasterUserPassword: {},
              OptionGroupName: {},
              PreferredBackupWindow: {},
              PreferredMaintenanceWindow: {},
              ReplicationSourceIdentifier: {},
              Tags: {
                shape: "Sa"
              },
              StorageEncrypted: {
                type: "boolean"
              },
              KmsKeyId: {},
              PreSignedUrl: {},
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              EnableCloudwatchLogsExports: {
                shape: "Sx"
              },
              DeletionProtection: {
                type: "boolean"
              },
              ServerlessV2ScalingConfiguration: {
                shape: "Sy"
              },
              GlobalClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "CreateDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S12"
              }
            }
          }
        },
        CreateDBClusterEndpoint: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "DBClusterEndpointIdentifier",
              "EndpointType"
            ],
            members: {
              DBClusterIdentifier: {},
              DBClusterEndpointIdentifier: {},
              EndpointType: {},
              StaticMembers: {
                shape: "S1g"
              },
              ExcludedMembers: {
                shape: "S1g"
              },
              Tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBClusterEndpointResult",
            type: "structure",
            members: {
              DBClusterEndpointIdentifier: {},
              DBClusterIdentifier: {},
              DBClusterEndpointResourceIdentifier: {},
              Endpoint: {},
              Status: {},
              EndpointType: {},
              CustomEndpointType: {},
              StaticMembers: {
                shape: "S1g"
              },
              ExcludedMembers: {
                shape: "S1g"
              },
              DBClusterEndpointArn: {}
            }
          }
        },
        CreateDBClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBClusterParameterGroupName",
              "DBParameterGroupFamily",
              "Description"
            ],
            members: {
              DBClusterParameterGroupName: {},
              DBParameterGroupFamily: {},
              Description: {},
              Tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBClusterParameterGroupResult",
            type: "structure",
            members: {
              DBClusterParameterGroup: {
                shape: "Sk"
              }
            }
          }
        },
        CreateDBClusterSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBClusterSnapshotIdentifier",
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterSnapshotIdentifier: {},
              DBClusterIdentifier: {},
              Tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBClusterSnapshotResult",
            type: "structure",
            members: {
              DBClusterSnapshot: {
                shape: "So"
              }
            }
          }
        },
        CreateDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "DBInstanceClass",
              "Engine",
              "DBClusterIdentifier"
            ],
            members: {
              DBName: {},
              DBInstanceIdentifier: {},
              AllocatedStorage: {
                type: "integer"
              },
              DBInstanceClass: {},
              Engine: {},
              MasterUsername: {},
              MasterUserPassword: {},
              DBSecurityGroups: {
                shape: "S1n"
              },
              VpcSecurityGroupIds: {
                shape: "Sw"
              },
              AvailabilityZone: {},
              DBSubnetGroupName: {},
              PreferredMaintenanceWindow: {},
              DBParameterGroupName: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {},
              Port: {
                type: "integer"
              },
              MultiAZ: {
                type: "boolean"
              },
              EngineVersion: {},
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              CharacterSetName: {},
              PubliclyAccessible: {
                deprecated: true,
                type: "boolean"
              },
              Tags: {
                shape: "Sa"
              },
              DBClusterIdentifier: {},
              StorageType: {},
              TdeCredentialArn: {},
              TdeCredentialPassword: {},
              StorageEncrypted: {
                type: "boolean"
              },
              KmsKeyId: {},
              Domain: {},
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              MonitoringInterval: {
                type: "integer"
              },
              MonitoringRoleArn: {},
              DomainIAMRoleName: {},
              PromotionTier: {
                type: "integer"
              },
              Timezone: {},
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              EnablePerformanceInsights: {
                type: "boolean"
              },
              PerformanceInsightsKMSKeyId: {},
              EnableCloudwatchLogsExports: {
                shape: "Sx"
              },
              DeletionProtection: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S1p"
              }
            }
          }
        },
        CreateDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName",
              "DBParameterGroupFamily",
              "Description"
            ],
            members: {
              DBParameterGroupName: {},
              DBParameterGroupFamily: {},
              Description: {},
              Tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBParameterGroupResult",
            type: "structure",
            members: {
              DBParameterGroup: {
                shape: "St"
              }
            }
          }
        },
        CreateDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName",
              "DBSubnetGroupDescription",
              "SubnetIds"
            ],
            members: {
              DBSubnetGroupName: {},
              DBSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S2b"
              },
              Tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBSubnetGroupResult",
            type: "structure",
            members: {
              DBSubnetGroup: {
                shape: "S1v"
              }
            }
          }
        },
        CreateEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SnsTopicArn"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              EventCategories: {
                shape: "S7"
              },
              SourceIds: {
                shape: "S6"
              },
              Enabled: {
                type: "boolean"
              },
              Tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            resultWrapper: "CreateEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S5"
              }
            }
          }
        },
        CreateGlobalCluster: {
          input: {
            type: "structure",
            required: [
              "GlobalClusterIdentifier"
            ],
            members: {
              GlobalClusterIdentifier: {},
              SourceDBClusterIdentifier: {},
              Engine: {},
              EngineVersion: {},
              DeletionProtection: {
                type: "boolean"
              },
              StorageEncrypted: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "CreateGlobalClusterResult",
            type: "structure",
            members: {
              GlobalCluster: {
                shape: "S2h"
              }
            }
          }
        },
        DeleteDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {},
              SkipFinalSnapshot: {
                type: "boolean"
              },
              FinalDBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S12"
              }
            }
          }
        },
        DeleteDBClusterEndpoint: {
          input: {
            type: "structure",
            required: [
              "DBClusterEndpointIdentifier"
            ],
            members: {
              DBClusterEndpointIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBClusterEndpointResult",
            type: "structure",
            members: {
              DBClusterEndpointIdentifier: {},
              DBClusterIdentifier: {},
              DBClusterEndpointResourceIdentifier: {},
              Endpoint: {},
              Status: {},
              EndpointType: {},
              CustomEndpointType: {},
              StaticMembers: {
                shape: "S1g"
              },
              ExcludedMembers: {
                shape: "S1g"
              },
              DBClusterEndpointArn: {}
            }
          }
        },
        DeleteDBClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBClusterParameterGroupName"
            ],
            members: {
              DBClusterParameterGroupName: {}
            }
          }
        },
        DeleteDBClusterSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBClusterSnapshotIdentifier"
            ],
            members: {
              DBClusterSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBClusterSnapshotResult",
            type: "structure",
            members: {
              DBClusterSnapshot: {
                shape: "So"
              }
            }
          }
        },
        DeleteDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              SkipFinalSnapshot: {
                type: "boolean"
              },
              FinalDBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S1p"
              }
            }
          }
        },
        DeleteDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {}
            }
          }
        },
        DeleteDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName"
            ],
            members: {
              DBSubnetGroupName: {}
            }
          }
        },
        DeleteEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {}
            }
          },
          output: {
            resultWrapper: "DeleteEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S5"
              }
            }
          }
        },
        DeleteGlobalCluster: {
          input: {
            type: "structure",
            required: [
              "GlobalClusterIdentifier"
            ],
            members: {
              GlobalClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteGlobalClusterResult",
            type: "structure",
            members: {
              GlobalCluster: {
                shape: "S2h"
              }
            }
          }
        },
        DescribeDBClusterEndpoints: {
          input: {
            type: "structure",
            members: {
              DBClusterIdentifier: {},
              DBClusterEndpointIdentifier: {},
              Filters: {
                shape: "S31"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBClusterEndpointsResult",
            type: "structure",
            members: {
              Marker: {},
              DBClusterEndpoints: {
                type: "list",
                member: {
                  locationName: "DBClusterEndpointList",
                  type: "structure",
                  members: {
                    DBClusterEndpointIdentifier: {},
                    DBClusterIdentifier: {},
                    DBClusterEndpointResourceIdentifier: {},
                    Endpoint: {},
                    Status: {},
                    EndpointType: {},
                    CustomEndpointType: {},
                    StaticMembers: {
                      shape: "S1g"
                    },
                    ExcludedMembers: {
                      shape: "S1g"
                    },
                    DBClusterEndpointArn: {}
                  }
                }
              }
            }
          }
        },
        DescribeDBClusterParameterGroups: {
          input: {
            type: "structure",
            members: {
              DBClusterParameterGroupName: {},
              Filters: {
                shape: "S31"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBClusterParameterGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBClusterParameterGroups: {
                type: "list",
                member: {
                  shape: "Sk",
                  locationName: "DBClusterParameterGroup"
                }
              }
            }
          }
        },
        DescribeDBClusterParameters: {
          input: {
            type: "structure",
            required: [
              "DBClusterParameterGroupName"
            ],
            members: {
              DBClusterParameterGroupName: {},
              Source: {},
              Filters: {
                shape: "S31"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBClusterParametersResult",
            type: "structure",
            members: {
              Parameters: {
                shape: "S3c"
              },
              Marker: {}
            }
          }
        },
        DescribeDBClusterSnapshotAttributes: {
          input: {
            type: "structure",
            required: [
              "DBClusterSnapshotIdentifier"
            ],
            members: {
              DBClusterSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBClusterSnapshotAttributesResult",
            type: "structure",
            members: {
              DBClusterSnapshotAttributesResult: {
                shape: "S3h"
              }
            }
          }
        },
        DescribeDBClusterSnapshots: {
          input: {
            type: "structure",
            members: {
              DBClusterIdentifier: {},
              DBClusterSnapshotIdentifier: {},
              SnapshotType: {},
              Filters: {
                shape: "S31"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              IncludeShared: {
                type: "boolean"
              },
              IncludePublic: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeDBClusterSnapshotsResult",
            type: "structure",
            members: {
              Marker: {},
              DBClusterSnapshots: {
                type: "list",
                member: {
                  shape: "So",
                  locationName: "DBClusterSnapshot"
                }
              }
            }
          }
        },
        DescribeDBClusters: {
          input: {
            type: "structure",
            members: {
              DBClusterIdentifier: {},
              Filters: {
                shape: "S31"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBClustersResult",
            type: "structure",
            members: {
              Marker: {},
              DBClusters: {
                type: "list",
                member: {
                  shape: "S12",
                  locationName: "DBCluster"
                }
              }
            }
          }
        },
        DescribeDBEngineVersions: {
          input: {
            type: "structure",
            members: {
              Engine: {},
              EngineVersion: {},
              DBParameterGroupFamily: {},
              Filters: {
                shape: "S31"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              DefaultOnly: {
                type: "boolean"
              },
              ListSupportedCharacterSets: {
                type: "boolean"
              },
              ListSupportedTimezones: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeDBEngineVersionsResult",
            type: "structure",
            members: {
              Marker: {},
              DBEngineVersions: {
                type: "list",
                member: {
                  locationName: "DBEngineVersion",
                  type: "structure",
                  members: {
                    Engine: {},
                    EngineVersion: {},
                    DBParameterGroupFamily: {},
                    DBEngineDescription: {},
                    DBEngineVersionDescription: {},
                    DefaultCharacterSet: {
                      shape: "S3v"
                    },
                    SupportedCharacterSets: {
                      type: "list",
                      member: {
                        shape: "S3v",
                        locationName: "CharacterSet"
                      }
                    },
                    ValidUpgradeTarget: {
                      type: "list",
                      member: {
                        locationName: "UpgradeTarget",
                        type: "structure",
                        members: {
                          Engine: {},
                          EngineVersion: {},
                          Description: {},
                          AutoUpgrade: {
                            type: "boolean"
                          },
                          IsMajorVersionUpgrade: {
                            type: "boolean"
                          },
                          SupportsGlobalDatabases: {
                            type: "boolean"
                          }
                        }
                      }
                    },
                    SupportedTimezones: {
                      type: "list",
                      member: {
                        locationName: "Timezone",
                        type: "structure",
                        members: {
                          TimezoneName: {}
                        }
                      }
                    },
                    ExportableLogTypes: {
                      shape: "Sx"
                    },
                    SupportsLogExportsToCloudwatchLogs: {
                      type: "boolean"
                    },
                    SupportsReadReplica: {
                      type: "boolean"
                    },
                    SupportsGlobalDatabases: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeDBInstances: {
          input: {
            type: "structure",
            members: {
              DBInstanceIdentifier: {},
              Filters: {
                shape: "S31"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBInstancesResult",
            type: "structure",
            members: {
              Marker: {},
              DBInstances: {
                type: "list",
                member: {
                  shape: "S1p",
                  locationName: "DBInstance"
                }
              }
            }
          }
        },
        DescribeDBParameterGroups: {
          input: {
            type: "structure",
            members: {
              DBParameterGroupName: {},
              Filters: {
                shape: "S31"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBParameterGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBParameterGroups: {
                type: "list",
                member: {
                  shape: "St",
                  locationName: "DBParameterGroup"
                }
              }
            }
          }
        },
        DescribeDBParameters: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {},
              Source: {},
              Filters: {
                shape: "S31"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBParametersResult",
            type: "structure",
            members: {
              Parameters: {
                shape: "S3c"
              },
              Marker: {}
            }
          }
        },
        DescribeDBSubnetGroups: {
          input: {
            type: "structure",
            members: {
              DBSubnetGroupName: {},
              Filters: {
                shape: "S31"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSubnetGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSubnetGroups: {
                type: "list",
                member: {
                  shape: "S1v",
                  locationName: "DBSubnetGroup"
                }
              }
            }
          }
        },
        DescribeEngineDefaultClusterParameters: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupFamily"
            ],
            members: {
              DBParameterGroupFamily: {},
              Filters: {
                shape: "S31"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEngineDefaultClusterParametersResult",
            type: "structure",
            members: {
              EngineDefaults: {
                shape: "S4e"
              }
            }
          }
        },
        DescribeEngineDefaultParameters: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupFamily"
            ],
            members: {
              DBParameterGroupFamily: {},
              Filters: {
                shape: "S31"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEngineDefaultParametersResult",
            type: "structure",
            members: {
              EngineDefaults: {
                shape: "S4e"
              }
            }
          }
        },
        DescribeEventCategories: {
          input: {
            type: "structure",
            members: {
              SourceType: {},
              Filters: {
                shape: "S31"
              }
            }
          },
          output: {
            resultWrapper: "DescribeEventCategoriesResult",
            type: "structure",
            members: {
              EventCategoriesMapList: {
                type: "list",
                member: {
                  locationName: "EventCategoriesMap",
                  type: "structure",
                  members: {
                    SourceType: {},
                    EventCategories: {
                      shape: "S7"
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        DescribeEventSubscriptions: {
          input: {
            type: "structure",
            members: {
              SubscriptionName: {},
              Filters: {
                shape: "S31"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventSubscriptionsResult",
            type: "structure",
            members: {
              Marker: {},
              EventSubscriptionsList: {
                type: "list",
                member: {
                  shape: "S5",
                  locationName: "EventSubscription"
                }
              }
            }
          }
        },
        DescribeEvents: {
          input: {
            type: "structure",
            members: {
              SourceIdentifier: {},
              SourceType: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Duration: {
                type: "integer"
              },
              EventCategories: {
                shape: "S7"
              },
              Filters: {
                shape: "S31"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventsResult",
            type: "structure",
            members: {
              Marker: {},
              Events: {
                type: "list",
                member: {
                  locationName: "Event",
                  type: "structure",
                  members: {
                    SourceIdentifier: {},
                    SourceType: {},
                    Message: {},
                    EventCategories: {
                      shape: "S7"
                    },
                    Date: {
                      type: "timestamp"
                    },
                    SourceArn: {}
                  }
                }
              }
            }
          }
        },
        DescribeGlobalClusters: {
          input: {
            type: "structure",
            members: {
              GlobalClusterIdentifier: {},
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeGlobalClustersResult",
            type: "structure",
            members: {
              Marker: {},
              GlobalClusters: {
                type: "list",
                member: {
                  shape: "S2h",
                  locationName: "GlobalClusterMember"
                }
              }
            }
          }
        },
        DescribeOrderableDBInstanceOptions: {
          input: {
            type: "structure",
            required: [
              "Engine"
            ],
            members: {
              Engine: {},
              EngineVersion: {},
              DBInstanceClass: {},
              LicenseModel: {},
              Vpc: {
                type: "boolean"
              },
              Filters: {
                shape: "S31"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeOrderableDBInstanceOptionsResult",
            type: "structure",
            members: {
              OrderableDBInstanceOptions: {
                type: "list",
                member: {
                  locationName: "OrderableDBInstanceOption",
                  type: "structure",
                  members: {
                    Engine: {},
                    EngineVersion: {},
                    DBInstanceClass: {},
                    LicenseModel: {},
                    AvailabilityZones: {
                      type: "list",
                      member: {
                        shape: "S1y",
                        locationName: "AvailabilityZone"
                      }
                    },
                    MultiAZCapable: {
                      type: "boolean"
                    },
                    ReadReplicaCapable: {
                      type: "boolean"
                    },
                    Vpc: {
                      type: "boolean"
                    },
                    SupportsStorageEncryption: {
                      type: "boolean"
                    },
                    StorageType: {},
                    SupportsIops: {
                      type: "boolean"
                    },
                    SupportsEnhancedMonitoring: {
                      type: "boolean"
                    },
                    SupportsIAMDatabaseAuthentication: {
                      type: "boolean"
                    },
                    SupportsPerformanceInsights: {
                      type: "boolean"
                    },
                    MinStorageSize: {
                      type: "integer"
                    },
                    MaxStorageSize: {
                      type: "integer"
                    },
                    MinIopsPerDbInstance: {
                      type: "integer"
                    },
                    MaxIopsPerDbInstance: {
                      type: "integer"
                    },
                    MinIopsPerGib: {
                      type: "double"
                    },
                    MaxIopsPerGib: {
                      type: "double"
                    },
                    SupportsGlobalDatabases: {
                      type: "boolean"
                    }
                  },
                  wrapper: true
                }
              },
              Marker: {}
            }
          }
        },
        DescribePendingMaintenanceActions: {
          input: {
            type: "structure",
            members: {
              ResourceIdentifier: {},
              Filters: {
                shape: "S31"
              },
              Marker: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribePendingMaintenanceActionsResult",
            type: "structure",
            members: {
              PendingMaintenanceActions: {
                type: "list",
                member: {
                  shape: "Se",
                  locationName: "ResourcePendingMaintenanceActions"
                }
              },
              Marker: {}
            }
          }
        },
        DescribeValidDBInstanceModifications: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DescribeValidDBInstanceModificationsResult",
            type: "structure",
            members: {
              ValidDBInstanceModificationsMessage: {
                type: "structure",
                members: {
                  Storage: {
                    type: "list",
                    member: {
                      locationName: "ValidStorageOptions",
                      type: "structure",
                      members: {
                        StorageType: {},
                        StorageSize: {
                          shape: "S59"
                        },
                        ProvisionedIops: {
                          shape: "S59"
                        },
                        IopsToStorageRatio: {
                          type: "list",
                          member: {
                            locationName: "DoubleRange",
                            type: "structure",
                            members: {
                              From: {
                                type: "double"
                              },
                              To: {
                                type: "double"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                },
                wrapper: true
              }
            }
          }
        },
        FailoverDBCluster: {
          input: {
            type: "structure",
            members: {
              DBClusterIdentifier: {},
              TargetDBInstanceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "FailoverDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S12"
              }
            }
          }
        },
        FailoverGlobalCluster: {
          input: {
            type: "structure",
            required: [
              "GlobalClusterIdentifier",
              "TargetDbClusterIdentifier"
            ],
            members: {
              GlobalClusterIdentifier: {},
              TargetDbClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "FailoverGlobalClusterResult",
            type: "structure",
            members: {
              GlobalCluster: {
                shape: "S2h"
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName"
            ],
            members: {
              ResourceName: {},
              Filters: {
                shape: "S31"
              }
            }
          },
          output: {
            resultWrapper: "ListTagsForResourceResult",
            type: "structure",
            members: {
              TagList: {
                shape: "Sa"
              }
            }
          }
        },
        ModifyDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {},
              NewDBClusterIdentifier: {},
              ApplyImmediately: {
                type: "boolean"
              },
              BackupRetentionPeriod: {
                type: "integer"
              },
              DBClusterParameterGroupName: {},
              VpcSecurityGroupIds: {
                shape: "Sw"
              },
              Port: {
                type: "integer"
              },
              MasterUserPassword: {},
              OptionGroupName: {},
              PreferredBackupWindow: {},
              PreferredMaintenanceWindow: {},
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              CloudwatchLogsExportConfiguration: {
                shape: "S5l"
              },
              EngineVersion: {},
              AllowMajorVersionUpgrade: {
                type: "boolean"
              },
              DBInstanceParameterGroupName: {},
              DeletionProtection: {
                type: "boolean"
              },
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              ServerlessV2ScalingConfiguration: {
                shape: "Sy"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S12"
              }
            }
          }
        },
        ModifyDBClusterEndpoint: {
          input: {
            type: "structure",
            required: [
              "DBClusterEndpointIdentifier"
            ],
            members: {
              DBClusterEndpointIdentifier: {},
              EndpointType: {},
              StaticMembers: {
                shape: "S1g"
              },
              ExcludedMembers: {
                shape: "S1g"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBClusterEndpointResult",
            type: "structure",
            members: {
              DBClusterEndpointIdentifier: {},
              DBClusterIdentifier: {},
              DBClusterEndpointResourceIdentifier: {},
              Endpoint: {},
              Status: {},
              EndpointType: {},
              CustomEndpointType: {},
              StaticMembers: {
                shape: "S1g"
              },
              ExcludedMembers: {
                shape: "S1g"
              },
              DBClusterEndpointArn: {}
            }
          }
        },
        ModifyDBClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBClusterParameterGroupName",
              "Parameters"
            ],
            members: {
              DBClusterParameterGroupName: {},
              Parameters: {
                shape: "S3c"
              }
            }
          },
          output: {
            shape: "S5q",
            resultWrapper: "ModifyDBClusterParameterGroupResult"
          }
        },
        ModifyDBClusterSnapshotAttribute: {
          input: {
            type: "structure",
            required: [
              "DBClusterSnapshotIdentifier",
              "AttributeName"
            ],
            members: {
              DBClusterSnapshotIdentifier: {},
              AttributeName: {},
              ValuesToAdd: {
                shape: "S3k"
              },
              ValuesToRemove: {
                shape: "S3k"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBClusterSnapshotAttributeResult",
            type: "structure",
            members: {
              DBClusterSnapshotAttributesResult: {
                shape: "S3h"
              }
            }
          }
        },
        ModifyDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              AllocatedStorage: {
                type: "integer"
              },
              DBInstanceClass: {},
              DBSubnetGroupName: {},
              DBSecurityGroups: {
                shape: "S1n"
              },
              VpcSecurityGroupIds: {
                shape: "Sw"
              },
              ApplyImmediately: {
                type: "boolean"
              },
              MasterUserPassword: {},
              DBParameterGroupName: {},
              BackupRetentionPeriod: {
                type: "integer"
              },
              PreferredBackupWindow: {},
              PreferredMaintenanceWindow: {},
              MultiAZ: {
                type: "boolean"
              },
              EngineVersion: {},
              AllowMajorVersionUpgrade: {
                type: "boolean"
              },
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              LicenseModel: {},
              Iops: {
                type: "integer"
              },
              OptionGroupName: {},
              NewDBInstanceIdentifier: {},
              StorageType: {},
              TdeCredentialArn: {},
              TdeCredentialPassword: {},
              CACertificateIdentifier: {},
              Domain: {},
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              MonitoringInterval: {
                type: "integer"
              },
              DBPortNumber: {
                type: "integer"
              },
              PubliclyAccessible: {
                deprecated: true,
                type: "boolean"
              },
              MonitoringRoleArn: {},
              DomainIAMRoleName: {},
              PromotionTier: {
                type: "integer"
              },
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              EnablePerformanceInsights: {
                type: "boolean"
              },
              PerformanceInsightsKMSKeyId: {},
              CloudwatchLogsExportConfiguration: {
                shape: "S5l"
              },
              DeletionProtection: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S1p"
              }
            }
          }
        },
        ModifyDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName",
              "Parameters"
            ],
            members: {
              DBParameterGroupName: {},
              Parameters: {
                shape: "S3c"
              }
            }
          },
          output: {
            shape: "S5w",
            resultWrapper: "ModifyDBParameterGroupResult"
          }
        },
        ModifyDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName",
              "SubnetIds"
            ],
            members: {
              DBSubnetGroupName: {},
              DBSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S2b"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBSubnetGroupResult",
            type: "structure",
            members: {
              DBSubnetGroup: {
                shape: "S1v"
              }
            }
          }
        },
        ModifyEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              EventCategories: {
                shape: "S7"
              },
              Enabled: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S5"
              }
            }
          }
        },
        ModifyGlobalCluster: {
          input: {
            type: "structure",
            required: [
              "GlobalClusterIdentifier"
            ],
            members: {
              GlobalClusterIdentifier: {},
              NewGlobalClusterIdentifier: {},
              DeletionProtection: {
                type: "boolean"
              },
              EngineVersion: {},
              AllowMajorVersionUpgrade: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyGlobalClusterResult",
            type: "structure",
            members: {
              GlobalCluster: {
                shape: "S2h"
              }
            }
          }
        },
        PromoteReadReplicaDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "PromoteReadReplicaDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S12"
              }
            }
          }
        },
        RebootDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              ForceFailover: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "RebootDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S1p"
              }
            }
          }
        },
        RemoveFromGlobalCluster: {
          input: {
            type: "structure",
            required: [
              "GlobalClusterIdentifier",
              "DbClusterIdentifier"
            ],
            members: {
              GlobalClusterIdentifier: {},
              DbClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "RemoveFromGlobalClusterResult",
            type: "structure",
            members: {
              GlobalCluster: {
                shape: "S2h"
              }
            }
          }
        },
        RemoveRoleFromDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "RoleArn"
            ],
            members: {
              DBClusterIdentifier: {},
              RoleArn: {},
              FeatureName: {}
            }
          }
        },
        RemoveSourceIdentifierFromSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SourceIdentifier"
            ],
            members: {
              SubscriptionName: {},
              SourceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "RemoveSourceIdentifierFromSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S5"
              }
            }
          }
        },
        RemoveTagsFromResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "TagKeys"
            ],
            members: {
              ResourceName: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ResetDBClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBClusterParameterGroupName"
            ],
            members: {
              DBClusterParameterGroupName: {},
              ResetAllParameters: {
                type: "boolean"
              },
              Parameters: {
                shape: "S3c"
              }
            }
          },
          output: {
            shape: "S5q",
            resultWrapper: "ResetDBClusterParameterGroupResult"
          }
        },
        ResetDBParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupName"
            ],
            members: {
              DBParameterGroupName: {},
              ResetAllParameters: {
                type: "boolean"
              },
              Parameters: {
                shape: "S3c"
              }
            }
          },
          output: {
            shape: "S5w",
            resultWrapper: "ResetDBParameterGroupResult"
          }
        },
        RestoreDBClusterFromSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "SnapshotIdentifier",
              "Engine"
            ],
            members: {
              AvailabilityZones: {
                shape: "Sp"
              },
              DBClusterIdentifier: {},
              SnapshotIdentifier: {},
              Engine: {},
              EngineVersion: {},
              Port: {
                type: "integer"
              },
              DBSubnetGroupName: {},
              DatabaseName: {},
              OptionGroupName: {},
              VpcSecurityGroupIds: {
                shape: "Sw"
              },
              Tags: {
                shape: "Sa"
              },
              KmsKeyId: {},
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              EnableCloudwatchLogsExports: {
                shape: "Sx"
              },
              DBClusterParameterGroupName: {},
              DeletionProtection: {
                type: "boolean"
              },
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              ServerlessV2ScalingConfiguration: {
                shape: "Sy"
              }
            }
          },
          output: {
            resultWrapper: "RestoreDBClusterFromSnapshotResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S12"
              }
            }
          }
        },
        RestoreDBClusterToPointInTime: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "SourceDBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {},
              RestoreType: {},
              SourceDBClusterIdentifier: {},
              RestoreToTime: {
                type: "timestamp"
              },
              UseLatestRestorableTime: {
                type: "boolean"
              },
              Port: {
                type: "integer"
              },
              DBSubnetGroupName: {},
              OptionGroupName: {},
              VpcSecurityGroupIds: {
                shape: "Sw"
              },
              Tags: {
                shape: "Sa"
              },
              KmsKeyId: {},
              EnableIAMDatabaseAuthentication: {
                type: "boolean"
              },
              EnableCloudwatchLogsExports: {
                shape: "Sx"
              },
              DBClusterParameterGroupName: {},
              DeletionProtection: {
                type: "boolean"
              },
              ServerlessV2ScalingConfiguration: {
                shape: "Sy"
              }
            }
          },
          output: {
            resultWrapper: "RestoreDBClusterToPointInTimeResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S12"
              }
            }
          }
        },
        StartDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "StartDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S12"
              }
            }
          }
        },
        StopDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "StopDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "S12"
              }
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          members: {
            CustomerAwsId: {},
            CustSubscriptionId: {},
            SnsTopicArn: {},
            Status: {},
            SubscriptionCreationTime: {},
            SourceType: {},
            SourceIdsList: {
              shape: "S6"
            },
            EventCategoriesList: {
              shape: "S7"
            },
            Enabled: {
              type: "boolean"
            },
            EventSubscriptionArn: {}
          },
          wrapper: true
        },
        S6: {
          type: "list",
          member: {
            locationName: "SourceId"
          }
        },
        S7: {
          type: "list",
          member: {
            locationName: "EventCategory"
          }
        },
        Sa: {
          type: "list",
          member: {
            locationName: "Tag",
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Se: {
          type: "structure",
          members: {
            ResourceIdentifier: {},
            PendingMaintenanceActionDetails: {
              type: "list",
              member: {
                locationName: "PendingMaintenanceAction",
                type: "structure",
                members: {
                  Action: {},
                  AutoAppliedAfterDate: {
                    type: "timestamp"
                  },
                  ForcedApplyDate: {
                    type: "timestamp"
                  },
                  OptInStatus: {},
                  CurrentApplyDate: {
                    type: "timestamp"
                  },
                  Description: {}
                }
              }
            }
          },
          wrapper: true
        },
        Sk: {
          type: "structure",
          members: {
            DBClusterParameterGroupName: {},
            DBParameterGroupFamily: {},
            Description: {},
            DBClusterParameterGroupArn: {}
          },
          wrapper: true
        },
        So: {
          type: "structure",
          members: {
            AvailabilityZones: {
              shape: "Sp"
            },
            DBClusterSnapshotIdentifier: {},
            DBClusterIdentifier: {},
            SnapshotCreateTime: {
              type: "timestamp"
            },
            Engine: {},
            AllocatedStorage: {
              type: "integer"
            },
            Status: {},
            Port: {
              type: "integer"
            },
            VpcId: {},
            ClusterCreateTime: {
              type: "timestamp"
            },
            MasterUsername: {},
            EngineVersion: {},
            LicenseModel: {},
            SnapshotType: {},
            PercentProgress: {
              type: "integer"
            },
            StorageEncrypted: {
              type: "boolean"
            },
            KmsKeyId: {},
            DBClusterSnapshotArn: {},
            SourceDBClusterSnapshotArn: {},
            IAMDatabaseAuthenticationEnabled: {
              type: "boolean"
            }
          },
          wrapper: true
        },
        Sp: {
          type: "list",
          member: {
            locationName: "AvailabilityZone"
          }
        },
        St: {
          type: "structure",
          members: {
            DBParameterGroupName: {},
            DBParameterGroupFamily: {},
            Description: {},
            DBParameterGroupArn: {}
          },
          wrapper: true
        },
        Sw: {
          type: "list",
          member: {
            locationName: "VpcSecurityGroupId"
          }
        },
        Sx: {
          type: "list",
          member: {}
        },
        Sy: {
          type: "structure",
          members: {
            MinCapacity: {
              type: "double"
            },
            MaxCapacity: {
              type: "double"
            }
          }
        },
        S12: {
          type: "structure",
          members: {
            AllocatedStorage: {
              type: "integer"
            },
            AvailabilityZones: {
              shape: "Sp"
            },
            BackupRetentionPeriod: {
              type: "integer"
            },
            CharacterSetName: {},
            DatabaseName: {},
            DBClusterIdentifier: {},
            DBClusterParameterGroup: {},
            DBSubnetGroup: {},
            Status: {},
            PercentProgress: {},
            EarliestRestorableTime: {
              type: "timestamp"
            },
            Endpoint: {},
            ReaderEndpoint: {},
            MultiAZ: {
              type: "boolean"
            },
            Engine: {},
            EngineVersion: {},
            LatestRestorableTime: {
              type: "timestamp"
            },
            Port: {
              type: "integer"
            },
            MasterUsername: {},
            DBClusterOptionGroupMemberships: {
              type: "list",
              member: {
                locationName: "DBClusterOptionGroup",
                type: "structure",
                members: {
                  DBClusterOptionGroupName: {},
                  Status: {}
                }
              }
            },
            PreferredBackupWindow: {},
            PreferredMaintenanceWindow: {},
            ReplicationSourceIdentifier: {},
            ReadReplicaIdentifiers: {
              type: "list",
              member: {
                locationName: "ReadReplicaIdentifier"
              }
            },
            DBClusterMembers: {
              type: "list",
              member: {
                locationName: "DBClusterMember",
                type: "structure",
                members: {
                  DBInstanceIdentifier: {},
                  IsClusterWriter: {
                    type: "boolean"
                  },
                  DBClusterParameterGroupStatus: {},
                  PromotionTier: {
                    type: "integer"
                  }
                },
                wrapper: true
              }
            },
            VpcSecurityGroups: {
              shape: "S18"
            },
            HostedZoneId: {},
            StorageEncrypted: {
              type: "boolean"
            },
            KmsKeyId: {},
            DbClusterResourceId: {},
            DBClusterArn: {},
            AssociatedRoles: {
              type: "list",
              member: {
                locationName: "DBClusterRole",
                type: "structure",
                members: {
                  RoleArn: {},
                  Status: {},
                  FeatureName: {}
                }
              }
            },
            IAMDatabaseAuthenticationEnabled: {
              type: "boolean"
            },
            CloneGroupId: {},
            ClusterCreateTime: {
              type: "timestamp"
            },
            CopyTagsToSnapshot: {
              type: "boolean"
            },
            EnabledCloudwatchLogsExports: {
              shape: "Sx"
            },
            PendingModifiedValues: {
              type: "structure",
              members: {
                PendingCloudwatchLogsExports: {
                  shape: "S1d"
                },
                DBClusterIdentifier: {},
                IAMDatabaseAuthenticationEnabled: {
                  type: "boolean"
                },
                EngineVersion: {},
                BackupRetentionPeriod: {
                  type: "integer"
                },
                AllocatedStorage: {
                  type: "integer"
                },
                Iops: {
                  type: "integer"
                }
              }
            },
            DeletionProtection: {
              type: "boolean"
            },
            CrossAccountClone: {
              type: "boolean"
            },
            AutomaticRestartTime: {
              type: "timestamp"
            },
            ServerlessV2ScalingConfiguration: {
              type: "structure",
              members: {
                MinCapacity: {
                  type: "double"
                },
                MaxCapacity: {
                  type: "double"
                }
              }
            },
            GlobalClusterIdentifier: {}
          },
          wrapper: true
        },
        S18: {
          type: "list",
          member: {
            locationName: "VpcSecurityGroupMembership",
            type: "structure",
            members: {
              VpcSecurityGroupId: {},
              Status: {}
            }
          }
        },
        S1d: {
          type: "structure",
          members: {
            LogTypesToEnable: {
              shape: "Sx"
            },
            LogTypesToDisable: {
              shape: "Sx"
            }
          }
        },
        S1g: {
          type: "list",
          member: {}
        },
        S1n: {
          type: "list",
          member: {
            locationName: "DBSecurityGroupName"
          }
        },
        S1p: {
          type: "structure",
          members: {
            DBInstanceIdentifier: {},
            DBInstanceClass: {},
            Engine: {},
            DBInstanceStatus: {},
            MasterUsername: {},
            DBName: {},
            Endpoint: {
              type: "structure",
              members: {
                Address: {},
                Port: {
                  type: "integer"
                },
                HostedZoneId: {}
              }
            },
            AllocatedStorage: {
              type: "integer"
            },
            InstanceCreateTime: {
              type: "timestamp"
            },
            PreferredBackupWindow: {},
            BackupRetentionPeriod: {
              type: "integer"
            },
            DBSecurityGroups: {
              type: "list",
              member: {
                locationName: "DBSecurityGroup",
                type: "structure",
                members: {
                  DBSecurityGroupName: {},
                  Status: {}
                }
              }
            },
            VpcSecurityGroups: {
              shape: "S18"
            },
            DBParameterGroups: {
              type: "list",
              member: {
                locationName: "DBParameterGroup",
                type: "structure",
                members: {
                  DBParameterGroupName: {},
                  ParameterApplyStatus: {}
                }
              }
            },
            AvailabilityZone: {},
            DBSubnetGroup: {
              shape: "S1v"
            },
            PreferredMaintenanceWindow: {},
            PendingModifiedValues: {
              type: "structure",
              members: {
                DBInstanceClass: {},
                AllocatedStorage: {
                  type: "integer"
                },
                MasterUserPassword: {},
                Port: {
                  type: "integer"
                },
                BackupRetentionPeriod: {
                  type: "integer"
                },
                MultiAZ: {
                  type: "boolean"
                },
                EngineVersion: {},
                LicenseModel: {},
                Iops: {
                  type: "integer"
                },
                DBInstanceIdentifier: {},
                StorageType: {},
                CACertificateIdentifier: {},
                DBSubnetGroupName: {},
                PendingCloudwatchLogsExports: {
                  shape: "S1d"
                }
              }
            },
            LatestRestorableTime: {
              type: "timestamp"
            },
            MultiAZ: {
              type: "boolean"
            },
            EngineVersion: {},
            AutoMinorVersionUpgrade: {
              type: "boolean"
            },
            ReadReplicaSourceDBInstanceIdentifier: {},
            ReadReplicaDBInstanceIdentifiers: {
              type: "list",
              member: {
                locationName: "ReadReplicaDBInstanceIdentifier"
              }
            },
            ReadReplicaDBClusterIdentifiers: {
              type: "list",
              member: {
                locationName: "ReadReplicaDBClusterIdentifier"
              }
            },
            LicenseModel: {},
            Iops: {
              type: "integer"
            },
            OptionGroupMemberships: {
              type: "list",
              member: {
                locationName: "OptionGroupMembership",
                type: "structure",
                members: {
                  OptionGroupName: {},
                  Status: {}
                }
              }
            },
            CharacterSetName: {},
            SecondaryAvailabilityZone: {},
            PubliclyAccessible: {
              deprecated: true,
              type: "boolean"
            },
            StatusInfos: {
              type: "list",
              member: {
                locationName: "DBInstanceStatusInfo",
                type: "structure",
                members: {
                  StatusType: {},
                  Normal: {
                    type: "boolean"
                  },
                  Status: {},
                  Message: {}
                }
              }
            },
            StorageType: {},
            TdeCredentialArn: {},
            DbInstancePort: {
              type: "integer"
            },
            DBClusterIdentifier: {},
            StorageEncrypted: {
              type: "boolean"
            },
            KmsKeyId: {},
            DbiResourceId: {},
            CACertificateIdentifier: {},
            DomainMemberships: {
              type: "list",
              member: {
                locationName: "DomainMembership",
                type: "structure",
                members: {
                  Domain: {},
                  Status: {},
                  FQDN: {},
                  IAMRoleName: {}
                }
              }
            },
            CopyTagsToSnapshot: {
              type: "boolean"
            },
            MonitoringInterval: {
              type: "integer"
            },
            EnhancedMonitoringResourceArn: {},
            MonitoringRoleArn: {},
            PromotionTier: {
              type: "integer"
            },
            DBInstanceArn: {},
            Timezone: {},
            IAMDatabaseAuthenticationEnabled: {
              type: "boolean"
            },
            PerformanceInsightsEnabled: {
              type: "boolean"
            },
            PerformanceInsightsKMSKeyId: {},
            EnabledCloudwatchLogsExports: {
              shape: "Sx"
            },
            DeletionProtection: {
              type: "boolean"
            }
          },
          wrapper: true
        },
        S1v: {
          type: "structure",
          members: {
            DBSubnetGroupName: {},
            DBSubnetGroupDescription: {},
            VpcId: {},
            SubnetGroupStatus: {},
            Subnets: {
              type: "list",
              member: {
                locationName: "Subnet",
                type: "structure",
                members: {
                  SubnetIdentifier: {},
                  SubnetAvailabilityZone: {
                    shape: "S1y"
                  },
                  SubnetStatus: {}
                }
              }
            },
            DBSubnetGroupArn: {}
          },
          wrapper: true
        },
        S1y: {
          type: "structure",
          members: {
            Name: {}
          },
          wrapper: true
        },
        S2b: {
          type: "list",
          member: {
            locationName: "SubnetIdentifier"
          }
        },
        S2h: {
          type: "structure",
          members: {
            GlobalClusterIdentifier: {},
            GlobalClusterResourceId: {},
            GlobalClusterArn: {},
            Status: {},
            Engine: {},
            EngineVersion: {},
            StorageEncrypted: {
              type: "boolean"
            },
            DeletionProtection: {
              type: "boolean"
            },
            GlobalClusterMembers: {
              type: "list",
              member: {
                locationName: "GlobalClusterMember",
                type: "structure",
                members: {
                  DBClusterArn: {},
                  Readers: {
                    type: "list",
                    member: {}
                  },
                  IsWriter: {
                    type: "boolean"
                  }
                },
                wrapper: true
              }
            }
          },
          wrapper: true
        },
        S31: {
          type: "list",
          member: {
            locationName: "Filter",
            type: "structure",
            required: [
              "Name",
              "Values"
            ],
            members: {
              Name: {},
              Values: {
                type: "list",
                member: {
                  locationName: "Value"
                }
              }
            }
          }
        },
        S3c: {
          type: "list",
          member: {
            locationName: "Parameter",
            type: "structure",
            members: {
              ParameterName: {},
              ParameterValue: {},
              Description: {},
              Source: {},
              ApplyType: {},
              DataType: {},
              AllowedValues: {},
              IsModifiable: {
                type: "boolean"
              },
              MinimumEngineVersion: {},
              ApplyMethod: {}
            }
          }
        },
        S3h: {
          type: "structure",
          members: {
            DBClusterSnapshotIdentifier: {},
            DBClusterSnapshotAttributes: {
              type: "list",
              member: {
                locationName: "DBClusterSnapshotAttribute",
                type: "structure",
                members: {
                  AttributeName: {},
                  AttributeValues: {
                    shape: "S3k"
                  }
                }
              }
            }
          },
          wrapper: true
        },
        S3k: {
          type: "list",
          member: {
            locationName: "AttributeValue"
          }
        },
        S3v: {
          type: "structure",
          members: {
            CharacterSetName: {},
            CharacterSetDescription: {}
          }
        },
        S4e: {
          type: "structure",
          members: {
            DBParameterGroupFamily: {},
            Marker: {},
            Parameters: {
              shape: "S3c"
            }
          },
          wrapper: true
        },
        S59: {
          type: "list",
          member: {
            locationName: "Range",
            type: "structure",
            members: {
              From: {
                type: "integer"
              },
              To: {
                type: "integer"
              },
              Step: {
                type: "integer"
              }
            }
          }
        },
        S5l: {
          type: "structure",
          members: {
            EnableLogTypes: {
              shape: "Sx"
            },
            DisableLogTypes: {
              shape: "Sx"
            }
          }
        },
        S5q: {
          type: "structure",
          members: {
            DBClusterParameterGroupName: {}
          }
        },
        S5w: {
          type: "structure",
          members: {
            DBParameterGroupName: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/neptune-2014-10-31.paginators.json
var require_neptune_2014_10_31_paginators = __commonJS({
  "node_modules/aws-sdk/apis/neptune-2014-10-31.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeDBClusterEndpoints: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBClusterEndpoints"
        },
        DescribeDBClusterParameterGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBClusterParameterGroups"
        },
        DescribeDBClusterParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Parameters"
        },
        DescribeDBClusterSnapshots: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBClusterSnapshots"
        },
        DescribeDBClusters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBClusters"
        },
        DescribeDBEngineVersions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBEngineVersions"
        },
        DescribeDBInstances: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBInstances"
        },
        DescribeDBParameterGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBParameterGroups"
        },
        DescribeDBParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Parameters"
        },
        DescribeDBSubnetGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBSubnetGroups"
        },
        DescribeEngineDefaultParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "EngineDefaults.Marker",
          result_key: "EngineDefaults.Parameters"
        },
        DescribeEventSubscriptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "EventSubscriptionsList"
        },
        DescribeEvents: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Events"
        },
        DescribeGlobalClusters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "GlobalClusters"
        },
        DescribeOrderableDBInstanceOptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "OrderableDBInstanceOptions"
        },
        DescribePendingMaintenanceActions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "PendingMaintenanceActions"
        },
        ListTagsForResource: {
          result_key: "TagList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/neptune-2014-10-31.waiters2.json
var require_neptune_2014_10_31_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/neptune-2014-10-31.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        DBInstanceAvailable: {
          delay: 30,
          operation: "DescribeDBInstances",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "available",
              matcher: "pathAll",
              state: "success",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "deleted",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "deleting",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "failed",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "incompatible-restore",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "incompatible-parameters",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            }
          ]
        },
        DBInstanceDeleted: {
          delay: 30,
          operation: "DescribeDBInstances",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "deleted",
              matcher: "pathAll",
              state: "success",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "DBInstanceNotFound",
              matcher: "error",
              state: "success"
            },
            {
              expected: "creating",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "modifying",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "rebooting",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "resetting-master-credentials",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/neptune.js
var require_neptune2 = __commonJS({
  "node_modules/aws-sdk/clients/neptune.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["neptune"] = {};
    AWS2.Neptune = Service.defineService("neptune", ["2014-10-31"]);
    require_neptune();
    Object.defineProperty(apiLoader.services["neptune"], "2014-10-31", {
      get: function get() {
        var model = require_neptune_2014_10_31_min();
        model.paginators = require_neptune_2014_10_31_paginators().pagination;
        model.waiters = require_neptune_2014_10_31_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Neptune;
  }
});

// node_modules/aws-sdk/apis/mediatailor-2018-04-23.min.json
var require_mediatailor_2018_04_23_min = __commonJS({
  "node_modules/aws-sdk/apis/mediatailor-2018-04-23.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-04-23",
        endpointPrefix: "api.mediatailor",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "MediaTailor",
        serviceFullName: "AWS MediaTailor",
        serviceId: "MediaTailor",
        signatureVersion: "v4",
        signingName: "mediatailor",
        uid: "mediatailor-2018-04-23"
      },
      operations: {
        ConfigureLogsForChannel: {
          http: {
            method: "PUT",
            requestUri: "/configureLogs/channel",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelName",
              "LogTypes"
            ],
            members: {
              ChannelName: {},
              LogTypes: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelName: {},
              LogTypes: {
                shape: "S3"
              }
            }
          }
        },
        ConfigureLogsForPlaybackConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/configureLogs/playbackConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PercentEnabled",
              "PlaybackConfigurationName"
            ],
            members: {
              PercentEnabled: {
                type: "integer"
              },
              PlaybackConfigurationName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "PercentEnabled"
            ],
            members: {
              PercentEnabled: {
                type: "integer"
              },
              PlaybackConfigurationName: {}
            }
          },
          idempotent: true
        },
        CreateChannel: {
          http: {
            requestUri: "/channel/{ChannelName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelName",
              "Outputs",
              "PlaybackMode"
            ],
            members: {
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              FillerSlate: {
                shape: "Sa"
              },
              Outputs: {
                shape: "Sb"
              },
              PlaybackMode: {},
              Tags: {
                shape: "Si",
                locationName: "tags"
              },
              Tier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              ChannelName: {},
              ChannelState: {},
              CreationTime: {
                shape: "Sm"
              },
              FillerSlate: {
                shape: "Sa"
              },
              LastModifiedTime: {
                shape: "Sm"
              },
              Outputs: {
                shape: "Sn"
              },
              PlaybackMode: {},
              Tags: {
                shape: "Si",
                locationName: "tags"
              },
              Tier: {}
            }
          },
          idempotent: true
        },
        CreateLiveSource: {
          http: {
            requestUri: "/sourceLocation/{SourceLocationName}/liveSource/{LiveSourceName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "HttpPackageConfigurations",
              "LiveSourceName",
              "SourceLocationName"
            ],
            members: {
              HttpPackageConfigurations: {
                shape: "Sq"
              },
              LiveSourceName: {
                location: "uri",
                locationName: "LiveSourceName"
              },
              SourceLocationName: {
                location: "uri",
                locationName: "SourceLocationName"
              },
              Tags: {
                shape: "Si",
                locationName: "tags"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTime: {
                shape: "Sm"
              },
              HttpPackageConfigurations: {
                shape: "Sq"
              },
              LastModifiedTime: {
                shape: "Sm"
              },
              LiveSourceName: {},
              SourceLocationName: {},
              Tags: {
                shape: "Si",
                locationName: "tags"
              }
            }
          },
          idempotent: true
        },
        CreatePrefetchSchedule: {
          http: {
            requestUri: "/prefetchSchedule/{PlaybackConfigurationName}/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Consumption",
              "Name",
              "PlaybackConfigurationName",
              "Retrieval"
            ],
            members: {
              Consumption: {
                shape: "Sv"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              },
              PlaybackConfigurationName: {
                location: "uri",
                locationName: "PlaybackConfigurationName"
              },
              Retrieval: {
                shape: "Sz"
              },
              StreamId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Consumption: {
                shape: "Sv"
              },
              Name: {},
              PlaybackConfigurationName: {},
              Retrieval: {
                shape: "Sz"
              },
              StreamId: {}
            }
          },
          idempotent: true
        },
        CreateProgram: {
          http: {
            requestUri: "/channel/{ChannelName}/program/{ProgramName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelName",
              "ProgramName",
              "ScheduleConfiguration",
              "SourceLocationName"
            ],
            members: {
              AdBreaks: {
                shape: "S12"
              },
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              LiveSourceName: {},
              ProgramName: {
                location: "uri",
                locationName: "ProgramName"
              },
              ScheduleConfiguration: {
                type: "structure",
                required: [
                  "Transition"
                ],
                members: {
                  ClipRange: {
                    shape: "S1f"
                  },
                  Transition: {
                    type: "structure",
                    required: [
                      "RelativePosition",
                      "Type"
                    ],
                    members: {
                      DurationMillis: {
                        type: "long"
                      },
                      RelativePosition: {},
                      RelativeProgram: {},
                      ScheduledStartTimeMillis: {
                        type: "long"
                      },
                      Type: {}
                    }
                  }
                }
              },
              SourceLocationName: {},
              VodSourceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AdBreaks: {
                shape: "S12"
              },
              Arn: {},
              ChannelName: {},
              ClipRange: {
                shape: "S1f"
              },
              CreationTime: {
                shape: "Sm"
              },
              DurationMillis: {
                type: "long"
              },
              LiveSourceName: {},
              ProgramName: {},
              ScheduledStartTime: {
                shape: "Sm"
              },
              SourceLocationName: {},
              VodSourceName: {}
            }
          },
          idempotent: true
        },
        CreateSourceLocation: {
          http: {
            requestUri: "/sourceLocation/{SourceLocationName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "HttpConfiguration",
              "SourceLocationName"
            ],
            members: {
              AccessConfiguration: {
                shape: "S1k"
              },
              DefaultSegmentDeliveryConfiguration: {
                shape: "S1n"
              },
              HttpConfiguration: {
                shape: "S1o"
              },
              SegmentDeliveryConfigurations: {
                shape: "S1p"
              },
              SourceLocationName: {
                location: "uri",
                locationName: "SourceLocationName"
              },
              Tags: {
                shape: "Si",
                locationName: "tags"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccessConfiguration: {
                shape: "S1k"
              },
              Arn: {},
              CreationTime: {
                shape: "Sm"
              },
              DefaultSegmentDeliveryConfiguration: {
                shape: "S1n"
              },
              HttpConfiguration: {
                shape: "S1o"
              },
              LastModifiedTime: {
                shape: "Sm"
              },
              SegmentDeliveryConfigurations: {
                shape: "S1p"
              },
              SourceLocationName: {},
              Tags: {
                shape: "Si",
                locationName: "tags"
              }
            }
          },
          idempotent: true
        },
        CreateVodSource: {
          http: {
            requestUri: "/sourceLocation/{SourceLocationName}/vodSource/{VodSourceName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "HttpPackageConfigurations",
              "SourceLocationName",
              "VodSourceName"
            ],
            members: {
              HttpPackageConfigurations: {
                shape: "Sq"
              },
              SourceLocationName: {
                location: "uri",
                locationName: "SourceLocationName"
              },
              Tags: {
                shape: "Si",
                locationName: "tags"
              },
              VodSourceName: {
                location: "uri",
                locationName: "VodSourceName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTime: {
                shape: "Sm"
              },
              HttpPackageConfigurations: {
                shape: "Sq"
              },
              LastModifiedTime: {
                shape: "Sm"
              },
              SourceLocationName: {},
              Tags: {
                shape: "Si",
                locationName: "tags"
              },
              VodSourceName: {}
            }
          },
          idempotent: true
        },
        DeleteChannel: {
          http: {
            method: "DELETE",
            requestUri: "/channel/{ChannelName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelName"
            ],
            members: {
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteChannelPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/channel/{ChannelName}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelName"
            ],
            members: {
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteLiveSource: {
          http: {
            method: "DELETE",
            requestUri: "/sourceLocation/{SourceLocationName}/liveSource/{LiveSourceName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "LiveSourceName",
              "SourceLocationName"
            ],
            members: {
              LiveSourceName: {
                location: "uri",
                locationName: "LiveSourceName"
              },
              SourceLocationName: {
                location: "uri",
                locationName: "SourceLocationName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeletePlaybackConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/playbackConfiguration/{Name}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeletePrefetchSchedule: {
          http: {
            method: "DELETE",
            requestUri: "/prefetchSchedule/{PlaybackConfigurationName}/{Name}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "PlaybackConfigurationName"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              },
              PlaybackConfigurationName: {
                location: "uri",
                locationName: "PlaybackConfigurationName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteProgram: {
          http: {
            method: "DELETE",
            requestUri: "/channel/{ChannelName}/program/{ProgramName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelName",
              "ProgramName"
            ],
            members: {
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              ProgramName: {
                location: "uri",
                locationName: "ProgramName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteSourceLocation: {
          http: {
            method: "DELETE",
            requestUri: "/sourceLocation/{SourceLocationName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SourceLocationName"
            ],
            members: {
              SourceLocationName: {
                location: "uri",
                locationName: "SourceLocationName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteVodSource: {
          http: {
            method: "DELETE",
            requestUri: "/sourceLocation/{SourceLocationName}/vodSource/{VodSourceName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SourceLocationName",
              "VodSourceName"
            ],
            members: {
              SourceLocationName: {
                location: "uri",
                locationName: "SourceLocationName"
              },
              VodSourceName: {
                location: "uri",
                locationName: "VodSourceName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DescribeChannel: {
          http: {
            method: "GET",
            requestUri: "/channel/{ChannelName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelName"
            ],
            members: {
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "LogConfiguration"
            ],
            members: {
              Arn: {},
              ChannelName: {},
              ChannelState: {},
              CreationTime: {
                shape: "Sm"
              },
              FillerSlate: {
                shape: "Sa"
              },
              LastModifiedTime: {
                shape: "Sm"
              },
              LogConfiguration: {
                shape: "S2c"
              },
              Outputs: {
                shape: "Sn"
              },
              PlaybackMode: {},
              Tags: {
                shape: "Si",
                locationName: "tags"
              },
              Tier: {}
            }
          }
        },
        DescribeLiveSource: {
          http: {
            method: "GET",
            requestUri: "/sourceLocation/{SourceLocationName}/liveSource/{LiveSourceName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "LiveSourceName",
              "SourceLocationName"
            ],
            members: {
              LiveSourceName: {
                location: "uri",
                locationName: "LiveSourceName"
              },
              SourceLocationName: {
                location: "uri",
                locationName: "SourceLocationName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTime: {
                shape: "Sm"
              },
              HttpPackageConfigurations: {
                shape: "Sq"
              },
              LastModifiedTime: {
                shape: "Sm"
              },
              LiveSourceName: {},
              SourceLocationName: {},
              Tags: {
                shape: "Si",
                locationName: "tags"
              }
            }
          }
        },
        DescribeProgram: {
          http: {
            method: "GET",
            requestUri: "/channel/{ChannelName}/program/{ProgramName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelName",
              "ProgramName"
            ],
            members: {
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              ProgramName: {
                location: "uri",
                locationName: "ProgramName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AdBreaks: {
                shape: "S12"
              },
              Arn: {},
              ChannelName: {},
              ClipRange: {
                shape: "S1f"
              },
              CreationTime: {
                shape: "Sm"
              },
              DurationMillis: {
                type: "long"
              },
              LiveSourceName: {},
              ProgramName: {},
              ScheduledStartTime: {
                shape: "Sm"
              },
              SourceLocationName: {},
              VodSourceName: {}
            }
          }
        },
        DescribeSourceLocation: {
          http: {
            method: "GET",
            requestUri: "/sourceLocation/{SourceLocationName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SourceLocationName"
            ],
            members: {
              SourceLocationName: {
                location: "uri",
                locationName: "SourceLocationName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccessConfiguration: {
                shape: "S1k"
              },
              Arn: {},
              CreationTime: {
                shape: "Sm"
              },
              DefaultSegmentDeliveryConfiguration: {
                shape: "S1n"
              },
              HttpConfiguration: {
                shape: "S1o"
              },
              LastModifiedTime: {
                shape: "Sm"
              },
              SegmentDeliveryConfigurations: {
                shape: "S1p"
              },
              SourceLocationName: {},
              Tags: {
                shape: "Si",
                locationName: "tags"
              }
            }
          }
        },
        DescribeVodSource: {
          http: {
            method: "GET",
            requestUri: "/sourceLocation/{SourceLocationName}/vodSource/{VodSourceName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SourceLocationName",
              "VodSourceName"
            ],
            members: {
              SourceLocationName: {
                location: "uri",
                locationName: "SourceLocationName"
              },
              VodSourceName: {
                location: "uri",
                locationName: "VodSourceName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTime: {
                shape: "Sm"
              },
              HttpPackageConfigurations: {
                shape: "Sq"
              },
              LastModifiedTime: {
                shape: "Sm"
              },
              SourceLocationName: {},
              Tags: {
                shape: "Si",
                locationName: "tags"
              },
              VodSourceName: {}
            }
          }
        },
        GetChannelPolicy: {
          http: {
            method: "GET",
            requestUri: "/channel/{ChannelName}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelName"
            ],
            members: {
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {}
            }
          }
        },
        GetChannelSchedule: {
          http: {
            method: "GET",
            requestUri: "/channel/{ChannelName}/schedule",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelName"
            ],
            members: {
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              DurationMinutes: {
                location: "querystring",
                locationName: "durationMinutes"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn",
                    "ChannelName",
                    "ProgramName",
                    "SourceLocationName"
                  ],
                  members: {
                    ApproximateDurationSeconds: {
                      type: "long"
                    },
                    ApproximateStartTime: {
                      shape: "Sm"
                    },
                    Arn: {},
                    ChannelName: {},
                    LiveSourceName: {},
                    ProgramName: {},
                    ScheduleAdBreaks: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ApproximateDurationSeconds: {
                            type: "long"
                          },
                          ApproximateStartTime: {
                            shape: "Sm"
                          },
                          SourceLocationName: {},
                          VodSourceName: {}
                        }
                      }
                    },
                    ScheduleEntryType: {},
                    SourceLocationName: {},
                    VodSourceName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetPlaybackConfiguration: {
          http: {
            method: "GET",
            requestUri: "/playbackConfiguration/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AdDecisionServerUrl: {},
              AvailSuppression: {
                shape: "S2y"
              },
              Bumper: {
                shape: "S31"
              },
              CdnConfiguration: {
                shape: "S32"
              },
              ConfigurationAliases: {
                shape: "S33"
              },
              DashConfiguration: {
                shape: "S34"
              },
              HlsConfiguration: {
                shape: "S36"
              },
              LivePreRollConfiguration: {
                shape: "S37"
              },
              LogConfiguration: {
                shape: "S38"
              },
              ManifestProcessingRules: {
                shape: "S39"
              },
              Name: {},
              PersonalizationThresholdSeconds: {
                type: "integer"
              },
              PlaybackConfigurationArn: {},
              PlaybackEndpointPrefix: {},
              SessionInitializationEndpointPrefix: {},
              SlateAdUrl: {},
              Tags: {
                shape: "Si",
                locationName: "tags"
              },
              TranscodeProfileName: {},
              VideoContentSourceUrl: {}
            }
          }
        },
        GetPrefetchSchedule: {
          http: {
            method: "GET",
            requestUri: "/prefetchSchedule/{PlaybackConfigurationName}/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "PlaybackConfigurationName"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              },
              PlaybackConfigurationName: {
                location: "uri",
                locationName: "PlaybackConfigurationName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Consumption: {
                shape: "Sv"
              },
              Name: {},
              PlaybackConfigurationName: {},
              Retrieval: {
                shape: "Sz"
              },
              StreamId: {}
            }
          }
        },
        ListAlerts: {
          http: {
            method: "GET",
            requestUri: "/alerts",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              ResourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AlertCode",
                    "AlertMessage",
                    "LastModifiedTime",
                    "RelatedResourceArns",
                    "ResourceArn"
                  ],
                  members: {
                    AlertCode: {},
                    AlertMessage: {},
                    LastModifiedTime: {
                      shape: "Sm"
                    },
                    RelatedResourceArns: {
                      shape: "S3j"
                    },
                    ResourceArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListChannels: {
          http: {
            method: "GET",
            requestUri: "/channels",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn",
                    "ChannelName",
                    "ChannelState",
                    "LogConfiguration",
                    "Outputs",
                    "PlaybackMode",
                    "Tier"
                  ],
                  members: {
                    Arn: {},
                    ChannelName: {},
                    ChannelState: {},
                    CreationTime: {
                      shape: "Sm"
                    },
                    FillerSlate: {
                      shape: "Sa"
                    },
                    LastModifiedTime: {
                      shape: "Sm"
                    },
                    LogConfiguration: {
                      shape: "S2c"
                    },
                    Outputs: {
                      shape: "Sn"
                    },
                    PlaybackMode: {},
                    Tags: {
                      shape: "Si",
                      locationName: "tags"
                    },
                    Tier: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLiveSources: {
          http: {
            method: "GET",
            requestUri: "/sourceLocation/{SourceLocationName}/liveSources",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SourceLocationName"
            ],
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              SourceLocationName: {
                location: "uri",
                locationName: "SourceLocationName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn",
                    "HttpPackageConfigurations",
                    "LiveSourceName",
                    "SourceLocationName"
                  ],
                  members: {
                    Arn: {},
                    CreationTime: {
                      shape: "Sm"
                    },
                    HttpPackageConfigurations: {
                      shape: "Sq"
                    },
                    LastModifiedTime: {
                      shape: "Sm"
                    },
                    LiveSourceName: {},
                    SourceLocationName: {},
                    Tags: {
                      shape: "Si",
                      locationName: "tags"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPlaybackConfigurations: {
          http: {
            method: "GET",
            requestUri: "/playbackConfigurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AdDecisionServerUrl: {},
                    AvailSuppression: {
                      shape: "S2y"
                    },
                    Bumper: {
                      shape: "S31"
                    },
                    CdnConfiguration: {
                      shape: "S32"
                    },
                    ConfigurationAliases: {
                      shape: "S33"
                    },
                    DashConfiguration: {
                      shape: "S34"
                    },
                    HlsConfiguration: {
                      shape: "S36"
                    },
                    LivePreRollConfiguration: {
                      shape: "S37"
                    },
                    LogConfiguration: {
                      shape: "S38"
                    },
                    ManifestProcessingRules: {
                      shape: "S39"
                    },
                    Name: {},
                    PersonalizationThresholdSeconds: {
                      type: "integer"
                    },
                    PlaybackConfigurationArn: {},
                    PlaybackEndpointPrefix: {},
                    SessionInitializationEndpointPrefix: {},
                    SlateAdUrl: {},
                    Tags: {
                      shape: "Si",
                      locationName: "tags"
                    },
                    TranscodeProfileName: {},
                    VideoContentSourceUrl: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPrefetchSchedules: {
          http: {
            requestUri: "/prefetchSchedule/{PlaybackConfigurationName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PlaybackConfigurationName"
            ],
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              PlaybackConfigurationName: {
                location: "uri",
                locationName: "PlaybackConfigurationName"
              },
              StreamId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn",
                    "Consumption",
                    "Name",
                    "PlaybackConfigurationName",
                    "Retrieval"
                  ],
                  members: {
                    Arn: {},
                    Consumption: {
                      shape: "Sv"
                    },
                    Name: {},
                    PlaybackConfigurationName: {},
                    Retrieval: {
                      shape: "Sz"
                    },
                    StreamId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSourceLocations: {
          http: {
            method: "GET",
            requestUri: "/sourceLocations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn",
                    "HttpConfiguration",
                    "SourceLocationName"
                  ],
                  members: {
                    AccessConfiguration: {
                      shape: "S1k"
                    },
                    Arn: {},
                    CreationTime: {
                      shape: "Sm"
                    },
                    DefaultSegmentDeliveryConfiguration: {
                      shape: "S1n"
                    },
                    HttpConfiguration: {
                      shape: "S1o"
                    },
                    LastModifiedTime: {
                      shape: "Sm"
                    },
                    SegmentDeliveryConfigurations: {
                      shape: "S1p"
                    },
                    SourceLocationName: {},
                    Tags: {
                      shape: "Si",
                      locationName: "tags"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Si",
                locationName: "tags"
              }
            }
          }
        },
        ListVodSources: {
          http: {
            method: "GET",
            requestUri: "/sourceLocation/{SourceLocationName}/vodSources",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SourceLocationName"
            ],
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              SourceLocationName: {
                location: "uri",
                locationName: "SourceLocationName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn",
                    "HttpPackageConfigurations",
                    "SourceLocationName",
                    "VodSourceName"
                  ],
                  members: {
                    Arn: {},
                    CreationTime: {
                      shape: "Sm"
                    },
                    HttpPackageConfigurations: {
                      shape: "Sq"
                    },
                    LastModifiedTime: {
                      shape: "Sm"
                    },
                    SourceLocationName: {},
                    Tags: {
                      shape: "Si",
                      locationName: "tags"
                    },
                    VodSourceName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        PutChannelPolicy: {
          http: {
            method: "PUT",
            requestUri: "/channel/{ChannelName}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelName",
              "Policy"
            ],
            members: {
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              Policy: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        PutPlaybackConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/playbackConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              AdDecisionServerUrl: {},
              AvailSuppression: {
                shape: "S2y"
              },
              Bumper: {
                shape: "S31"
              },
              CdnConfiguration: {
                shape: "S32"
              },
              ConfigurationAliases: {
                type: "map",
                key: {},
                value: {
                  shape: "Si"
                }
              },
              DashConfiguration: {
                type: "structure",
                members: {
                  MpdLocation: {},
                  OriginManifestType: {}
                }
              },
              LivePreRollConfiguration: {
                shape: "S37"
              },
              ManifestProcessingRules: {
                shape: "S39"
              },
              Name: {},
              PersonalizationThresholdSeconds: {
                type: "integer"
              },
              SlateAdUrl: {},
              Tags: {
                shape: "Si",
                locationName: "tags"
              },
              TranscodeProfileName: {},
              VideoContentSourceUrl: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AdDecisionServerUrl: {},
              AvailSuppression: {
                shape: "S2y"
              },
              Bumper: {
                shape: "S31"
              },
              CdnConfiguration: {
                shape: "S32"
              },
              ConfigurationAliases: {
                shape: "S33"
              },
              DashConfiguration: {
                shape: "S34"
              },
              HlsConfiguration: {
                shape: "S36"
              },
              LivePreRollConfiguration: {
                shape: "S37"
              },
              LogConfiguration: {
                shape: "S38"
              },
              ManifestProcessingRules: {
                shape: "S39"
              },
              Name: {},
              PersonalizationThresholdSeconds: {
                type: "integer"
              },
              PlaybackConfigurationArn: {},
              PlaybackEndpointPrefix: {},
              SessionInitializationEndpointPrefix: {},
              SlateAdUrl: {},
              Tags: {
                shape: "Si",
                locationName: "tags"
              },
              TranscodeProfileName: {},
              VideoContentSourceUrl: {}
            }
          },
          idempotent: true
        },
        StartChannel: {
          http: {
            method: "PUT",
            requestUri: "/channel/{ChannelName}/start",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelName"
            ],
            members: {
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        StopChannel: {
          http: {
            method: "PUT",
            requestUri: "/channel/{ChannelName}/stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelName"
            ],
            members: {
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "Si",
                locationName: "tags"
              }
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                shape: "S3j",
                location: "querystring",
                locationName: "tagKeys"
              }
            }
          },
          idempotent: true
        },
        UpdateChannel: {
          http: {
            method: "PUT",
            requestUri: "/channel/{ChannelName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelName",
              "Outputs"
            ],
            members: {
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              FillerSlate: {
                shape: "Sa"
              },
              Outputs: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              ChannelName: {},
              ChannelState: {},
              CreationTime: {
                shape: "Sm"
              },
              FillerSlate: {
                shape: "Sa"
              },
              LastModifiedTime: {
                shape: "Sm"
              },
              Outputs: {
                shape: "Sn"
              },
              PlaybackMode: {},
              Tags: {
                shape: "Si",
                locationName: "tags"
              },
              Tier: {}
            }
          },
          idempotent: true
        },
        UpdateLiveSource: {
          http: {
            method: "PUT",
            requestUri: "/sourceLocation/{SourceLocationName}/liveSource/{LiveSourceName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "HttpPackageConfigurations",
              "LiveSourceName",
              "SourceLocationName"
            ],
            members: {
              HttpPackageConfigurations: {
                shape: "Sq"
              },
              LiveSourceName: {
                location: "uri",
                locationName: "LiveSourceName"
              },
              SourceLocationName: {
                location: "uri",
                locationName: "SourceLocationName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTime: {
                shape: "Sm"
              },
              HttpPackageConfigurations: {
                shape: "Sq"
              },
              LastModifiedTime: {
                shape: "Sm"
              },
              LiveSourceName: {},
              SourceLocationName: {},
              Tags: {
                shape: "Si",
                locationName: "tags"
              }
            }
          },
          idempotent: true
        },
        UpdateProgram: {
          http: {
            method: "PUT",
            requestUri: "/channel/{ChannelName}/program/{ProgramName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelName",
              "ProgramName",
              "ScheduleConfiguration"
            ],
            members: {
              AdBreaks: {
                shape: "S12"
              },
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              ProgramName: {
                location: "uri",
                locationName: "ProgramName"
              },
              ScheduleConfiguration: {
                type: "structure",
                members: {
                  ClipRange: {
                    shape: "S1f"
                  },
                  Transition: {
                    type: "structure",
                    members: {
                      DurationMillis: {
                        type: "long"
                      },
                      ScheduledStartTimeMillis: {
                        type: "long"
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AdBreaks: {
                shape: "S12"
              },
              Arn: {},
              ChannelName: {},
              ClipRange: {
                shape: "S1f"
              },
              CreationTime: {
                shape: "Sm"
              },
              DurationMillis: {
                type: "long"
              },
              LiveSourceName: {},
              ProgramName: {},
              ScheduledStartTime: {
                shape: "Sm"
              },
              SourceLocationName: {},
              VodSourceName: {}
            }
          },
          idempotent: true
        },
        UpdateSourceLocation: {
          http: {
            method: "PUT",
            requestUri: "/sourceLocation/{SourceLocationName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "HttpConfiguration",
              "SourceLocationName"
            ],
            members: {
              AccessConfiguration: {
                shape: "S1k"
              },
              DefaultSegmentDeliveryConfiguration: {
                shape: "S1n"
              },
              HttpConfiguration: {
                shape: "S1o"
              },
              SegmentDeliveryConfigurations: {
                shape: "S1p"
              },
              SourceLocationName: {
                location: "uri",
                locationName: "SourceLocationName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccessConfiguration: {
                shape: "S1k"
              },
              Arn: {},
              CreationTime: {
                shape: "Sm"
              },
              DefaultSegmentDeliveryConfiguration: {
                shape: "S1n"
              },
              HttpConfiguration: {
                shape: "S1o"
              },
              LastModifiedTime: {
                shape: "Sm"
              },
              SegmentDeliveryConfigurations: {
                shape: "S1p"
              },
              SourceLocationName: {},
              Tags: {
                shape: "Si",
                locationName: "tags"
              }
            }
          },
          idempotent: true
        },
        UpdateVodSource: {
          http: {
            method: "PUT",
            requestUri: "/sourceLocation/{SourceLocationName}/vodSource/{VodSourceName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "HttpPackageConfigurations",
              "SourceLocationName",
              "VodSourceName"
            ],
            members: {
              HttpPackageConfigurations: {
                shape: "Sq"
              },
              SourceLocationName: {
                location: "uri",
                locationName: "SourceLocationName"
              },
              VodSourceName: {
                location: "uri",
                locationName: "VodSourceName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTime: {
                shape: "Sm"
              },
              HttpPackageConfigurations: {
                shape: "Sq"
              },
              LastModifiedTime: {
                shape: "Sm"
              },
              SourceLocationName: {},
              Tags: {
                shape: "Si",
                locationName: "tags"
              },
              VodSourceName: {}
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {}
        },
        Sa: {
          type: "structure",
          members: {
            SourceLocationName: {},
            VodSourceName: {}
          }
        },
        Sb: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ManifestName",
              "SourceGroup"
            ],
            members: {
              DashPlaylistSettings: {
                shape: "Sd"
              },
              HlsPlaylistSettings: {
                shape: "Se"
              },
              ManifestName: {},
              SourceGroup: {}
            }
          }
        },
        Sd: {
          type: "structure",
          members: {
            ManifestWindowSeconds: {
              type: "integer"
            },
            MinBufferTimeSeconds: {
              type: "integer"
            },
            MinUpdatePeriodSeconds: {
              type: "integer"
            },
            SuggestedPresentationDelaySeconds: {
              type: "integer"
            }
          }
        },
        Se: {
          type: "structure",
          members: {
            AdMarkupType: {
              type: "list",
              member: {}
            },
            ManifestWindowSeconds: {
              type: "integer"
            }
          }
        },
        Si: {
          type: "map",
          key: {},
          value: {}
        },
        Sm: {
          type: "timestamp",
          timestampFormat: "unixTimestamp"
        },
        Sn: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ManifestName",
              "PlaybackUrl",
              "SourceGroup"
            ],
            members: {
              DashPlaylistSettings: {
                shape: "Sd"
              },
              HlsPlaylistSettings: {
                shape: "Se"
              },
              ManifestName: {},
              PlaybackUrl: {},
              SourceGroup: {}
            }
          }
        },
        Sq: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Path",
              "SourceGroup",
              "Type"
            ],
            members: {
              Path: {},
              SourceGroup: {},
              Type: {}
            }
          }
        },
        Sv: {
          type: "structure",
          required: [
            "EndTime"
          ],
          members: {
            AvailMatchingCriteria: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "DynamicVariable",
                  "Operator"
                ],
                members: {
                  DynamicVariable: {},
                  Operator: {}
                }
              }
            },
            EndTime: {
              shape: "Sm"
            },
            StartTime: {
              shape: "Sm"
            }
          }
        },
        Sz: {
          type: "structure",
          required: [
            "EndTime"
          ],
          members: {
            DynamicVariables: {
              shape: "Si"
            },
            EndTime: {
              shape: "Sm"
            },
            StartTime: {
              shape: "Sm"
            }
          }
        },
        S12: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AdBreakMetadata: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key",
                    "Value"
                  ],
                  members: {
                    Key: {},
                    Value: {}
                  }
                }
              },
              MessageType: {},
              OffsetMillis: {
                type: "long"
              },
              Slate: {
                shape: "Sa"
              },
              SpliceInsertMessage: {
                type: "structure",
                members: {
                  AvailNum: {
                    type: "integer"
                  },
                  AvailsExpected: {
                    type: "integer"
                  },
                  SpliceEventId: {
                    type: "integer"
                  },
                  UniqueProgramId: {
                    type: "integer"
                  }
                }
              },
              TimeSignalMessage: {
                type: "structure",
                members: {
                  SegmentationDescriptors: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        SegmentNum: {
                          type: "integer"
                        },
                        SegmentationEventId: {
                          type: "integer"
                        },
                        SegmentationTypeId: {
                          type: "integer"
                        },
                        SegmentationUpid: {},
                        SegmentationUpidType: {
                          type: "integer"
                        },
                        SegmentsExpected: {
                          type: "integer"
                        },
                        SubSegmentNum: {
                          type: "integer"
                        },
                        SubSegmentsExpected: {
                          type: "integer"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S1f: {
          type: "structure",
          required: [
            "EndOffsetMillis"
          ],
          members: {
            EndOffsetMillis: {
              type: "long"
            }
          }
        },
        S1k: {
          type: "structure",
          members: {
            AccessType: {},
            SecretsManagerAccessTokenConfiguration: {
              type: "structure",
              members: {
                HeaderName: {},
                SecretArn: {},
                SecretStringKey: {}
              }
            }
          }
        },
        S1n: {
          type: "structure",
          members: {
            BaseUrl: {}
          }
        },
        S1o: {
          type: "structure",
          required: [
            "BaseUrl"
          ],
          members: {
            BaseUrl: {}
          }
        },
        S1p: {
          type: "list",
          member: {
            type: "structure",
            members: {
              BaseUrl: {},
              Name: {}
            }
          }
        },
        S2c: {
          type: "structure",
          members: {
            LogTypes: {
              shape: "S3"
            }
          }
        },
        S2y: {
          type: "structure",
          members: {
            FillPolicy: {},
            Mode: {},
            Value: {}
          }
        },
        S31: {
          type: "structure",
          members: {
            EndUrl: {},
            StartUrl: {}
          }
        },
        S32: {
          type: "structure",
          members: {
            AdSegmentUrlPrefix: {},
            ContentSegmentUrlPrefix: {}
          }
        },
        S33: {
          type: "map",
          key: {},
          value: {
            shape: "Si"
          }
        },
        S34: {
          type: "structure",
          members: {
            ManifestEndpointPrefix: {},
            MpdLocation: {},
            OriginManifestType: {}
          }
        },
        S36: {
          type: "structure",
          members: {
            ManifestEndpointPrefix: {}
          }
        },
        S37: {
          type: "structure",
          members: {
            AdDecisionServerUrl: {},
            MaxDurationSeconds: {
              type: "integer"
            }
          }
        },
        S38: {
          type: "structure",
          required: [
            "PercentEnabled"
          ],
          members: {
            PercentEnabled: {
              type: "integer"
            }
          }
        },
        S39: {
          type: "structure",
          members: {
            AdMarkerPassthrough: {
              type: "structure",
              members: {
                Enabled: {
                  type: "boolean"
                }
              }
            }
          }
        },
        S3j: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/mediatailor-2018-04-23.paginators.json
var require_mediatailor_2018_04_23_paginators = __commonJS({
  "node_modules/aws-sdk/apis/mediatailor-2018-04-23.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetChannelSchedule: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Items"
        },
        ListAlerts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Items"
        },
        ListChannels: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Items"
        },
        ListLiveSources: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Items"
        },
        ListPlaybackConfigurations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Items"
        },
        ListPrefetchSchedules: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Items"
        },
        ListSourceLocations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Items"
        },
        ListVodSources: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/mediatailor.js
var require_mediatailor = __commonJS({
  "node_modules/aws-sdk/clients/mediatailor.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["mediatailor"] = {};
    AWS2.MediaTailor = Service.defineService("mediatailor", ["2018-04-23"]);
    Object.defineProperty(apiLoader.services["mediatailor"], "2018-04-23", {
      get: function get() {
        var model = require_mediatailor_2018_04_23_min();
        model.paginators = require_mediatailor_2018_04_23_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MediaTailor;
  }
});

// node_modules/aws-sdk/apis/eks-2017-11-01.min.json
var require_eks_2017_11_01_min = __commonJS({
  "node_modules/aws-sdk/apis/eks-2017-11-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-11-01",
        endpointPrefix: "eks",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Amazon EKS",
        serviceFullName: "Amazon Elastic Kubernetes Service",
        serviceId: "EKS",
        signatureVersion: "v4",
        signingName: "eks",
        uid: "eks-2017-11-01"
      },
      operations: {
        AssociateEncryptionConfig: {
          http: {
            requestUri: "/clusters/{name}/encryption-config/associate"
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "encryptionConfig"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              encryptionConfig: {
                shape: "S3"
              },
              clientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              update: {
                shape: "S8"
              }
            }
          }
        },
        AssociateIdentityProviderConfig: {
          http: {
            requestUri: "/clusters/{name}/identity-provider-configs/associate"
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "oidc"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              oidc: {
                type: "structure",
                required: [
                  "identityProviderConfigName",
                  "issuerUrl",
                  "clientId"
                ],
                members: {
                  identityProviderConfigName: {},
                  issuerUrl: {},
                  clientId: {},
                  usernameClaim: {},
                  usernamePrefix: {},
                  groupsClaim: {},
                  groupsPrefix: {},
                  requiredClaims: {
                    shape: "Sk"
                  }
                }
              },
              tags: {
                shape: "Sn"
              },
              clientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              update: {
                shape: "S8"
              },
              tags: {
                shape: "Sn"
              }
            }
          }
        },
        CreateAddon: {
          http: {
            requestUri: "/clusters/{name}/addons"
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "addonName"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              addonName: {},
              addonVersion: {},
              serviceAccountRoleArn: {},
              resolveConflicts: {},
              clientRequestToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "Sn"
              },
              configurationValues: {}
            }
          },
          output: {
            type: "structure",
            members: {
              addon: {
                shape: "Sw"
              }
            }
          }
        },
        CreateCluster: {
          http: {
            requestUri: "/clusters"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "roleArn",
              "resourcesVpcConfig"
            ],
            members: {
              name: {},
              version: {},
              roleArn: {},
              resourcesVpcConfig: {
                shape: "S14"
              },
              kubernetesNetworkConfig: {
                type: "structure",
                members: {
                  serviceIpv4Cidr: {},
                  ipFamily: {}
                }
              },
              logging: {
                shape: "S18"
              },
              clientRequestToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "Sn"
              },
              encryptionConfig: {
                shape: "S3"
              },
              outpostConfig: {
                type: "structure",
                required: [
                  "outpostArns",
                  "controlPlaneInstanceType"
                ],
                members: {
                  outpostArns: {
                    shape: "S5"
                  },
                  controlPlaneInstanceType: {},
                  controlPlanePlacement: {
                    type: "structure",
                    members: {
                      groupName: {}
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              cluster: {
                shape: "S1g"
              }
            }
          }
        },
        CreateFargateProfile: {
          http: {
            requestUri: "/clusters/{name}/fargate-profiles"
          },
          input: {
            type: "structure",
            required: [
              "fargateProfileName",
              "clusterName",
              "podExecutionRoleArn"
            ],
            members: {
              fargateProfileName: {},
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              podExecutionRoleArn: {},
              subnets: {
                shape: "S5"
              },
              selectors: {
                shape: "S1w"
              },
              clientRequestToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              fargateProfile: {
                shape: "S20"
              }
            }
          }
        },
        CreateNodegroup: {
          http: {
            requestUri: "/clusters/{name}/node-groups"
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "nodegroupName",
              "subnets",
              "nodeRole"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              nodegroupName: {},
              scalingConfig: {
                shape: "S23"
              },
              diskSize: {
                type: "integer"
              },
              subnets: {
                shape: "S5"
              },
              instanceTypes: {
                shape: "S5"
              },
              amiType: {},
              remoteAccess: {
                shape: "S28"
              },
              nodeRole: {},
              labels: {
                shape: "S29"
              },
              taints: {
                shape: "S2c"
              },
              tags: {
                shape: "Sn"
              },
              clientRequestToken: {
                idempotencyToken: true
              },
              launchTemplate: {
                shape: "S2h"
              },
              updateConfig: {
                shape: "S2i"
              },
              capacityType: {},
              version: {},
              releaseVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nodegroup: {
                shape: "S2n"
              }
            }
          }
        },
        DeleteAddon: {
          http: {
            method: "DELETE",
            requestUri: "/clusters/{name}/addons/{addonName}"
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "addonName"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              addonName: {
                location: "uri",
                locationName: "addonName"
              },
              preserve: {
                location: "querystring",
                locationName: "preserve",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              addon: {
                shape: "Sw"
              }
            }
          }
        },
        DeleteCluster: {
          http: {
            method: "DELETE",
            requestUri: "/clusters/{name}"
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              cluster: {
                shape: "S1g"
              }
            }
          }
        },
        DeleteFargateProfile: {
          http: {
            method: "DELETE",
            requestUri: "/clusters/{name}/fargate-profiles/{fargateProfileName}"
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "fargateProfileName"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              fargateProfileName: {
                location: "uri",
                locationName: "fargateProfileName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              fargateProfile: {
                shape: "S20"
              }
            }
          }
        },
        DeleteNodegroup: {
          http: {
            method: "DELETE",
            requestUri: "/clusters/{name}/node-groups/{nodegroupName}"
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "nodegroupName"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              nodegroupName: {
                location: "uri",
                locationName: "nodegroupName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nodegroup: {
                shape: "S2n"
              }
            }
          }
        },
        DeregisterCluster: {
          http: {
            method: "DELETE",
            requestUri: "/cluster-registrations/{name}"
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              cluster: {
                shape: "S1g"
              }
            }
          }
        },
        DescribeAddon: {
          http: {
            method: "GET",
            requestUri: "/clusters/{name}/addons/{addonName}"
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "addonName"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              addonName: {
                location: "uri",
                locationName: "addonName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              addon: {
                shape: "Sw"
              }
            }
          }
        },
        DescribeAddonConfiguration: {
          http: {
            method: "GET",
            requestUri: "/addons/configuration-schemas"
          },
          input: {
            type: "structure",
            required: [
              "addonName",
              "addonVersion"
            ],
            members: {
              addonName: {
                location: "querystring",
                locationName: "addonName"
              },
              addonVersion: {
                location: "querystring",
                locationName: "addonVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              addonName: {},
              addonVersion: {},
              configurationSchema: {}
            }
          }
        },
        DescribeAddonVersions: {
          http: {
            method: "GET",
            requestUri: "/addons/supported-versions"
          },
          input: {
            type: "structure",
            members: {
              kubernetesVersion: {
                location: "querystring",
                locationName: "kubernetesVersion"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              addonName: {
                location: "querystring",
                locationName: "addonName"
              },
              types: {
                shape: "S5",
                location: "querystring",
                locationName: "types"
              },
              publishers: {
                shape: "S5",
                location: "querystring",
                locationName: "publishers"
              },
              owners: {
                shape: "S5",
                location: "querystring",
                locationName: "owners"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              addons: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    addonName: {},
                    type: {},
                    addonVersions: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          addonVersion: {},
                          architecture: {
                            shape: "S5"
                          },
                          compatibilities: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                clusterVersion: {},
                                platformVersions: {
                                  shape: "S5"
                                },
                                defaultVersion: {
                                  type: "boolean"
                                }
                              }
                            }
                          },
                          requiresConfiguration: {
                            type: "boolean"
                          }
                        }
                      }
                    },
                    publisher: {},
                    owner: {},
                    marketplaceInformation: {
                      shape: "S12"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeCluster: {
          http: {
            method: "GET",
            requestUri: "/clusters/{name}"
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              cluster: {
                shape: "S1g"
              }
            }
          }
        },
        DescribeFargateProfile: {
          http: {
            method: "GET",
            requestUri: "/clusters/{name}/fargate-profiles/{fargateProfileName}"
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "fargateProfileName"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              fargateProfileName: {
                location: "uri",
                locationName: "fargateProfileName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              fargateProfile: {
                shape: "S20"
              }
            }
          }
        },
        DescribeIdentityProviderConfig: {
          http: {
            requestUri: "/clusters/{name}/identity-provider-configs/describe"
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "identityProviderConfig"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              identityProviderConfig: {
                shape: "S3o"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              identityProviderConfig: {
                type: "structure",
                members: {
                  oidc: {
                    type: "structure",
                    members: {
                      identityProviderConfigName: {},
                      identityProviderConfigArn: {},
                      clusterName: {},
                      issuerUrl: {},
                      clientId: {},
                      usernameClaim: {},
                      usernamePrefix: {},
                      groupsClaim: {},
                      groupsPrefix: {},
                      requiredClaims: {
                        shape: "Sk"
                      },
                      tags: {
                        shape: "Sn"
                      },
                      status: {}
                    }
                  }
                }
              }
            }
          }
        },
        DescribeNodegroup: {
          http: {
            method: "GET",
            requestUri: "/clusters/{name}/node-groups/{nodegroupName}"
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "nodegroupName"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              nodegroupName: {
                location: "uri",
                locationName: "nodegroupName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nodegroup: {
                shape: "S2n"
              }
            }
          }
        },
        DescribeUpdate: {
          http: {
            method: "GET",
            requestUri: "/clusters/{name}/updates/{updateId}"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "updateId"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              updateId: {
                location: "uri",
                locationName: "updateId"
              },
              nodegroupName: {
                location: "querystring",
                locationName: "nodegroupName"
              },
              addonName: {
                location: "querystring",
                locationName: "addonName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              update: {
                shape: "S8"
              }
            }
          }
        },
        DisassociateIdentityProviderConfig: {
          http: {
            requestUri: "/clusters/{name}/identity-provider-configs/disassociate"
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "identityProviderConfig"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              identityProviderConfig: {
                shape: "S3o"
              },
              clientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              update: {
                shape: "S8"
              }
            }
          }
        },
        ListAddons: {
          http: {
            method: "GET",
            requestUri: "/clusters/{name}/addons"
          },
          input: {
            type: "structure",
            required: [
              "clusterName"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              addons: {
                shape: "S5"
              },
              nextToken: {}
            }
          }
        },
        ListClusters: {
          http: {
            method: "GET",
            requestUri: "/clusters"
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              include: {
                location: "querystring",
                locationName: "include",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              clusters: {
                shape: "S5"
              },
              nextToken: {}
            }
          }
        },
        ListFargateProfiles: {
          http: {
            method: "GET",
            requestUri: "/clusters/{name}/fargate-profiles"
          },
          input: {
            type: "structure",
            required: [
              "clusterName"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              fargateProfileNames: {
                shape: "S5"
              },
              nextToken: {}
            }
          }
        },
        ListIdentityProviderConfigs: {
          http: {
            method: "GET",
            requestUri: "/clusters/{name}/identity-provider-configs"
          },
          input: {
            type: "structure",
            required: [
              "clusterName"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              identityProviderConfigs: {
                type: "list",
                member: {
                  shape: "S3o"
                }
              },
              nextToken: {}
            }
          }
        },
        ListNodegroups: {
          http: {
            method: "GET",
            requestUri: "/clusters/{name}/node-groups"
          },
          input: {
            type: "structure",
            required: [
              "clusterName"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nodegroups: {
                shape: "S5"
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sn"
              }
            }
          }
        },
        ListUpdates: {
          http: {
            method: "GET",
            requestUri: "/clusters/{name}/updates"
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              nodegroupName: {
                location: "querystring",
                locationName: "nodegroupName"
              },
              addonName: {
                location: "querystring",
                locationName: "addonName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              updateIds: {
                shape: "S5"
              },
              nextToken: {}
            }
          }
        },
        RegisterCluster: {
          http: {
            requestUri: "/cluster-registrations"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "connectorConfig"
            ],
            members: {
              name: {},
              connectorConfig: {
                type: "structure",
                required: [
                  "roleArn",
                  "provider"
                ],
                members: {
                  roleArn: {},
                  provider: {}
                }
              },
              clientRequestToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              cluster: {
                shape: "S1g"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAddon: {
          http: {
            requestUri: "/clusters/{name}/addons/{addonName}/update"
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "addonName"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              addonName: {
                location: "uri",
                locationName: "addonName"
              },
              addonVersion: {},
              serviceAccountRoleArn: {},
              resolveConflicts: {},
              clientRequestToken: {
                idempotencyToken: true
              },
              configurationValues: {}
            }
          },
          output: {
            type: "structure",
            members: {
              update: {
                shape: "S8"
              }
            }
          }
        },
        UpdateClusterConfig: {
          http: {
            requestUri: "/clusters/{name}/update-config"
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              resourcesVpcConfig: {
                shape: "S14"
              },
              logging: {
                shape: "S18"
              },
              clientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              update: {
                shape: "S8"
              }
            }
          }
        },
        UpdateClusterVersion: {
          http: {
            requestUri: "/clusters/{name}/updates"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "version"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              version: {},
              clientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              update: {
                shape: "S8"
              }
            }
          }
        },
        UpdateNodegroupConfig: {
          http: {
            requestUri: "/clusters/{name}/node-groups/{nodegroupName}/update-config"
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "nodegroupName"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              nodegroupName: {
                location: "uri",
                locationName: "nodegroupName"
              },
              labels: {
                type: "structure",
                members: {
                  addOrUpdateLabels: {
                    shape: "S29"
                  },
                  removeLabels: {
                    type: "list",
                    member: {}
                  }
                }
              },
              taints: {
                type: "structure",
                members: {
                  addOrUpdateTaints: {
                    shape: "S2c"
                  },
                  removeTaints: {
                    shape: "S2c"
                  }
                }
              },
              scalingConfig: {
                shape: "S23"
              },
              updateConfig: {
                shape: "S2i"
              },
              clientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              update: {
                shape: "S8"
              }
            }
          }
        },
        UpdateNodegroupVersion: {
          http: {
            requestUri: "/clusters/{name}/node-groups/{nodegroupName}/update-version"
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "nodegroupName"
            ],
            members: {
              clusterName: {
                location: "uri",
                locationName: "name"
              },
              nodegroupName: {
                location: "uri",
                locationName: "nodegroupName"
              },
              version: {},
              releaseVersion: {},
              launchTemplate: {
                shape: "S2h"
              },
              force: {
                type: "boolean"
              },
              clientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              update: {
                shape: "S8"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            type: "structure",
            members: {
              resources: {
                shape: "S5"
              },
              provider: {
                type: "structure",
                members: {
                  keyArn: {}
                }
              }
            }
          }
        },
        S5: {
          type: "list",
          member: {}
        },
        S8: {
          type: "structure",
          members: {
            id: {},
            status: {},
            type: {},
            params: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  type: {},
                  value: {}
                }
              }
            },
            createdAt: {
              type: "timestamp"
            },
            errors: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  errorCode: {},
                  errorMessage: {},
                  resourceIds: {
                    shape: "S5"
                  }
                }
              }
            }
          }
        },
        Sk: {
          type: "map",
          key: {},
          value: {}
        },
        Sn: {
          type: "map",
          key: {},
          value: {}
        },
        Sw: {
          type: "structure",
          members: {
            addonName: {},
            clusterName: {},
            status: {},
            addonVersion: {},
            health: {
              type: "structure",
              members: {
                issues: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      code: {},
                      message: {},
                      resourceIds: {
                        shape: "S5"
                      }
                    }
                  }
                }
              }
            },
            addonArn: {},
            createdAt: {
              type: "timestamp"
            },
            modifiedAt: {
              type: "timestamp"
            },
            serviceAccountRoleArn: {},
            tags: {
              shape: "Sn"
            },
            publisher: {},
            owner: {},
            marketplaceInformation: {
              shape: "S12"
            },
            configurationValues: {}
          }
        },
        S12: {
          type: "structure",
          members: {
            productId: {},
            productUrl: {}
          }
        },
        S14: {
          type: "structure",
          members: {
            subnetIds: {
              shape: "S5"
            },
            securityGroupIds: {
              shape: "S5"
            },
            endpointPublicAccess: {
              type: "boolean"
            },
            endpointPrivateAccess: {
              type: "boolean"
            },
            publicAccessCidrs: {
              shape: "S5"
            }
          }
        },
        S18: {
          type: "structure",
          members: {
            clusterLogging: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  types: {
                    type: "list",
                    member: {}
                  },
                  enabled: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        S1g: {
          type: "structure",
          members: {
            name: {},
            arn: {},
            createdAt: {
              type: "timestamp"
            },
            version: {},
            endpoint: {},
            roleArn: {},
            resourcesVpcConfig: {
              type: "structure",
              members: {
                subnetIds: {
                  shape: "S5"
                },
                securityGroupIds: {
                  shape: "S5"
                },
                clusterSecurityGroupId: {},
                vpcId: {},
                endpointPublicAccess: {
                  type: "boolean"
                },
                endpointPrivateAccess: {
                  type: "boolean"
                },
                publicAccessCidrs: {
                  shape: "S5"
                }
              }
            },
            kubernetesNetworkConfig: {
              type: "structure",
              members: {
                serviceIpv4Cidr: {},
                serviceIpv6Cidr: {},
                ipFamily: {}
              }
            },
            logging: {
              shape: "S18"
            },
            identity: {
              type: "structure",
              members: {
                oidc: {
                  type: "structure",
                  members: {
                    issuer: {}
                  }
                }
              }
            },
            status: {},
            certificateAuthority: {
              type: "structure",
              members: {
                data: {}
              }
            },
            clientRequestToken: {},
            platformVersion: {},
            tags: {
              shape: "Sn"
            },
            encryptionConfig: {
              shape: "S3"
            },
            connectorConfig: {
              type: "structure",
              members: {
                activationId: {},
                activationCode: {},
                activationExpiry: {
                  type: "timestamp"
                },
                provider: {},
                roleArn: {}
              }
            },
            id: {},
            health: {
              type: "structure",
              members: {
                issues: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      code: {},
                      message: {},
                      resourceIds: {
                        shape: "S5"
                      }
                    }
                  }
                }
              }
            },
            outpostConfig: {
              type: "structure",
              required: [
                "outpostArns",
                "controlPlaneInstanceType"
              ],
              members: {
                outpostArns: {
                  shape: "S5"
                },
                controlPlaneInstanceType: {},
                controlPlanePlacement: {
                  type: "structure",
                  members: {
                    groupName: {}
                  }
                }
              }
            }
          }
        },
        S1w: {
          type: "list",
          member: {
            type: "structure",
            members: {
              namespace: {},
              labels: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        S20: {
          type: "structure",
          members: {
            fargateProfileName: {},
            fargateProfileArn: {},
            clusterName: {},
            createdAt: {
              type: "timestamp"
            },
            podExecutionRoleArn: {},
            subnets: {
              shape: "S5"
            },
            selectors: {
              shape: "S1w"
            },
            status: {},
            tags: {
              shape: "Sn"
            }
          }
        },
        S23: {
          type: "structure",
          members: {
            minSize: {
              type: "integer"
            },
            maxSize: {
              type: "integer"
            },
            desiredSize: {
              type: "integer"
            }
          }
        },
        S28: {
          type: "structure",
          members: {
            ec2SshKey: {},
            sourceSecurityGroups: {
              shape: "S5"
            }
          }
        },
        S29: {
          type: "map",
          key: {},
          value: {}
        },
        S2c: {
          type: "list",
          member: {
            type: "structure",
            members: {
              key: {},
              value: {},
              effect: {}
            }
          }
        },
        S2h: {
          type: "structure",
          members: {
            name: {},
            version: {},
            id: {}
          }
        },
        S2i: {
          type: "structure",
          members: {
            maxUnavailable: {
              type: "integer"
            },
            maxUnavailablePercentage: {
              type: "integer"
            }
          }
        },
        S2n: {
          type: "structure",
          members: {
            nodegroupName: {},
            nodegroupArn: {},
            clusterName: {},
            version: {},
            releaseVersion: {},
            createdAt: {
              type: "timestamp"
            },
            modifiedAt: {
              type: "timestamp"
            },
            status: {},
            capacityType: {},
            scalingConfig: {
              shape: "S23"
            },
            instanceTypes: {
              shape: "S5"
            },
            subnets: {
              shape: "S5"
            },
            remoteAccess: {
              shape: "S28"
            },
            amiType: {},
            nodeRole: {},
            labels: {
              shape: "S29"
            },
            taints: {
              shape: "S2c"
            },
            resources: {
              type: "structure",
              members: {
                autoScalingGroups: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      name: {}
                    }
                  }
                },
                remoteAccessSecurityGroup: {}
              }
            },
            diskSize: {
              type: "integer"
            },
            health: {
              type: "structure",
              members: {
                issues: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      code: {},
                      message: {},
                      resourceIds: {
                        shape: "S5"
                      }
                    }
                  }
                }
              }
            },
            updateConfig: {
              shape: "S2i"
            },
            launchTemplate: {
              shape: "S2h"
            },
            tags: {
              shape: "Sn"
            }
          }
        },
        S3o: {
          type: "structure",
          required: [
            "type",
            "name"
          ],
          members: {
            type: {},
            name: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/eks-2017-11-01.paginators.json
var require_eks_2017_11_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/eks-2017-11-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeAddonVersions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "addons"
        },
        ListAddons: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "addons"
        },
        ListClusters: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "clusters"
        },
        ListFargateProfiles: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "fargateProfileNames"
        },
        ListIdentityProviderConfigs: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "identityProviderConfigs"
        },
        ListNodegroups: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "nodegroups"
        },
        ListUpdates: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "updateIds"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/eks-2017-11-01.waiters2.json
var require_eks_2017_11_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/eks-2017-11-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        ClusterActive: {
          delay: 30,
          operation: "DescribeCluster",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "DELETING",
              matcher: "path",
              state: "failure",
              argument: "cluster.status"
            },
            {
              expected: "FAILED",
              matcher: "path",
              state: "failure",
              argument: "cluster.status"
            },
            {
              expected: "ACTIVE",
              matcher: "path",
              state: "success",
              argument: "cluster.status"
            }
          ]
        },
        ClusterDeleted: {
          delay: 30,
          operation: "DescribeCluster",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "ACTIVE",
              matcher: "path",
              state: "failure",
              argument: "cluster.status"
            },
            {
              expected: "CREATING",
              matcher: "path",
              state: "failure",
              argument: "cluster.status"
            },
            {
              expected: "PENDING",
              matcher: "path",
              state: "failure",
              argument: "cluster.status"
            },
            {
              expected: "ResourceNotFoundException",
              matcher: "error",
              state: "success"
            }
          ]
        },
        NodegroupActive: {
          delay: 30,
          operation: "DescribeNodegroup",
          maxAttempts: 80,
          acceptors: [
            {
              expected: "CREATE_FAILED",
              matcher: "path",
              state: "failure",
              argument: "nodegroup.status"
            },
            {
              expected: "ACTIVE",
              matcher: "path",
              state: "success",
              argument: "nodegroup.status"
            }
          ]
        },
        NodegroupDeleted: {
          delay: 30,
          operation: "DescribeNodegroup",
          maxAttempts: 40,
          acceptors: [
            {
              expected: "DELETE_FAILED",
              matcher: "path",
              state: "failure",
              argument: "nodegroup.status"
            },
            {
              expected: "ResourceNotFoundException",
              matcher: "error",
              state: "success"
            }
          ]
        },
        AddonActive: {
          delay: 10,
          operation: "DescribeAddon",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "CREATE_FAILED",
              matcher: "path",
              state: "failure",
              argument: "addon.status"
            },
            {
              expected: "DEGRADED",
              matcher: "path",
              state: "failure",
              argument: "addon.status"
            },
            {
              expected: "ACTIVE",
              matcher: "path",
              state: "success",
              argument: "addon.status"
            }
          ]
        },
        AddonDeleted: {
          delay: 10,
          operation: "DescribeAddon",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "DELETE_FAILED",
              matcher: "path",
              state: "failure",
              argument: "addon.status"
            },
            {
              expected: "ResourceNotFoundException",
              matcher: "error",
              state: "success"
            }
          ]
        },
        FargateProfileActive: {
          delay: 10,
          operation: "DescribeFargateProfile",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "CREATE_FAILED",
              matcher: "path",
              state: "failure",
              argument: "fargateProfile.status"
            },
            {
              expected: "ACTIVE",
              matcher: "path",
              state: "success",
              argument: "fargateProfile.status"
            }
          ]
        },
        FargateProfileDeleted: {
          delay: 30,
          operation: "DescribeFargateProfile",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "DELETE_FAILED",
              matcher: "path",
              state: "failure",
              argument: "fargateProfile.status"
            },
            {
              expected: "ResourceNotFoundException",
              matcher: "error",
              state: "success"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/eks.js
var require_eks = __commonJS({
  "node_modules/aws-sdk/clients/eks.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["eks"] = {};
    AWS2.EKS = Service.defineService("eks", ["2017-11-01"]);
    Object.defineProperty(apiLoader.services["eks"], "2017-11-01", {
      get: function get() {
        var model = require_eks_2017_11_01_min();
        model.paginators = require_eks_2017_11_01_paginators().pagination;
        model.waiters = require_eks_2017_11_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.EKS;
  }
});

// node_modules/aws-sdk/apis/macie-2017-12-19.min.json
var require_macie_2017_12_19_min = __commonJS({
  "node_modules/aws-sdk/apis/macie-2017-12-19.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-12-19",
        endpointPrefix: "macie",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Macie",
        serviceId: "Macie",
        signatureVersion: "v4",
        targetPrefix: "MacieService",
        uid: "macie-2017-12-19"
      },
      operations: {
        AssociateMemberAccount: {
          input: {
            type: "structure",
            required: [
              "memberAccountId"
            ],
            members: {
              memberAccountId: {}
            }
          }
        },
        AssociateS3Resources: {
          input: {
            type: "structure",
            required: [
              "s3Resources"
            ],
            members: {
              memberAccountId: {},
              s3Resources: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              failedS3Resources: {
                shape: "Sc"
              }
            }
          }
        },
        DisassociateMemberAccount: {
          input: {
            type: "structure",
            required: [
              "memberAccountId"
            ],
            members: {
              memberAccountId: {}
            }
          }
        },
        DisassociateS3Resources: {
          input: {
            type: "structure",
            required: [
              "associatedS3Resources"
            ],
            members: {
              memberAccountId: {},
              associatedS3Resources: {
                type: "list",
                member: {
                  shape: "Se"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              failedS3Resources: {
                shape: "Sc"
              }
            }
          }
        },
        ListMemberAccounts: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              memberAccounts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    accountId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListS3Resources: {
          input: {
            type: "structure",
            members: {
              memberAccountId: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              s3Resources: {
                shape: "S4"
              },
              nextToken: {}
            }
          }
        },
        UpdateS3Resources: {
          input: {
            type: "structure",
            required: [
              "s3ResourcesUpdate"
            ],
            members: {
              memberAccountId: {},
              s3ResourcesUpdate: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "bucketName",
                    "classificationTypeUpdate"
                  ],
                  members: {
                    bucketName: {},
                    prefix: {},
                    classificationTypeUpdate: {
                      type: "structure",
                      members: {
                        oneTime: {},
                        continuous: {}
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              failedS3Resources: {
                shape: "Sc"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "bucketName",
              "classificationType"
            ],
            members: {
              bucketName: {},
              prefix: {},
              classificationType: {
                type: "structure",
                required: [
                  "oneTime",
                  "continuous"
                ],
                members: {
                  oneTime: {},
                  continuous: {}
                }
              }
            }
          }
        },
        Sc: {
          type: "list",
          member: {
            type: "structure",
            members: {
              failedItem: {
                shape: "Se"
              },
              errorCode: {},
              errorMessage: {}
            }
          }
        },
        Se: {
          type: "structure",
          required: [
            "bucketName"
          ],
          members: {
            bucketName: {},
            prefix: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/macie-2017-12-19.paginators.json
var require_macie_2017_12_19_paginators = __commonJS({
  "node_modules/aws-sdk/apis/macie-2017-12-19.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListMemberAccounts: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListS3Resources: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/macie.js
var require_macie = __commonJS({
  "node_modules/aws-sdk/clients/macie.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["macie"] = {};
    AWS2.Macie = Service.defineService("macie", ["2017-12-19"]);
    Object.defineProperty(apiLoader.services["macie"], "2017-12-19", {
      get: function get() {
        var model = require_macie_2017_12_19_min();
        model.paginators = require_macie_2017_12_19_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Macie;
  }
});

// node_modules/aws-sdk/apis/dlm-2018-01-12.min.json
var require_dlm_2018_01_12_min = __commonJS({
  "node_modules/aws-sdk/apis/dlm-2018-01-12.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-01-12",
        endpointPrefix: "dlm",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Amazon DLM",
        serviceFullName: "Amazon Data Lifecycle Manager",
        serviceId: "DLM",
        signatureVersion: "v4",
        signingName: "dlm",
        uid: "dlm-2018-01-12"
      },
      operations: {
        CreateLifecyclePolicy: {
          http: {
            requestUri: "/policies"
          },
          input: {
            type: "structure",
            required: [
              "ExecutionRoleArn",
              "Description",
              "State",
              "PolicyDetails"
            ],
            members: {
              ExecutionRoleArn: {},
              Description: {},
              State: {},
              PolicyDetails: {
                shape: "S5"
              },
              Tags: {
                shape: "S1w"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyId: {}
            }
          }
        },
        DeleteLifecyclePolicy: {
          http: {
            method: "DELETE",
            requestUri: "/policies/{policyId}/"
          },
          input: {
            type: "structure",
            required: [
              "PolicyId"
            ],
            members: {
              PolicyId: {
                location: "uri",
                locationName: "policyId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetLifecyclePolicies: {
          http: {
            method: "GET",
            requestUri: "/policies"
          },
          input: {
            type: "structure",
            members: {
              PolicyIds: {
                location: "querystring",
                locationName: "policyIds",
                type: "list",
                member: {}
              },
              State: {
                location: "querystring",
                locationName: "state"
              },
              ResourceTypes: {
                shape: "S7",
                location: "querystring",
                locationName: "resourceTypes"
              },
              TargetTags: {
                location: "querystring",
                locationName: "targetTags",
                type: "list",
                member: {}
              },
              TagsToAdd: {
                location: "querystring",
                locationName: "tagsToAdd",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PolicyId: {},
                    Description: {},
                    State: {},
                    Tags: {
                      shape: "S1w"
                    },
                    PolicyType: {}
                  }
                }
              }
            }
          }
        },
        GetLifecyclePolicy: {
          http: {
            method: "GET",
            requestUri: "/policies/{policyId}/"
          },
          input: {
            type: "structure",
            required: [
              "PolicyId"
            ],
            members: {
              PolicyId: {
                location: "uri",
                locationName: "policyId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {
                type: "structure",
                members: {
                  PolicyId: {},
                  Description: {},
                  State: {},
                  StatusMessage: {},
                  ExecutionRoleArn: {},
                  DateCreated: {
                    shape: "S2g"
                  },
                  DateModified: {
                    shape: "S2g"
                  },
                  PolicyDetails: {
                    shape: "S5"
                  },
                  Tags: {
                    shape: "S1w"
                  },
                  PolicyArn: {}
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S1w"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              Tags: {
                shape: "S1w"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateLifecyclePolicy: {
          http: {
            method: "PATCH",
            requestUri: "/policies/{policyId}"
          },
          input: {
            type: "structure",
            required: [
              "PolicyId"
            ],
            members: {
              PolicyId: {
                location: "uri",
                locationName: "policyId"
              },
              ExecutionRoleArn: {},
              State: {},
              Description: {},
              PolicyDetails: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          members: {
            PolicyType: {},
            ResourceTypes: {
              shape: "S7"
            },
            ResourceLocations: {
              type: "list",
              member: {}
            },
            TargetTags: {
              type: "list",
              member: {
                shape: "Sc"
              }
            },
            Schedules: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Name: {},
                  CopyTags: {
                    type: "boolean"
                  },
                  TagsToAdd: {
                    type: "list",
                    member: {
                      shape: "Sc"
                    }
                  },
                  VariableTags: {
                    type: "list",
                    member: {
                      shape: "Sc"
                    }
                  },
                  CreateRule: {
                    type: "structure",
                    members: {
                      Location: {},
                      Interval: {
                        type: "integer"
                      },
                      IntervalUnit: {},
                      Times: {
                        type: "list",
                        member: {}
                      },
                      CronExpression: {}
                    }
                  },
                  RetainRule: {
                    type: "structure",
                    members: {
                      Count: {
                        type: "integer"
                      },
                      Interval: {
                        type: "integer"
                      },
                      IntervalUnit: {}
                    }
                  },
                  FastRestoreRule: {
                    type: "structure",
                    required: [
                      "AvailabilityZones"
                    ],
                    members: {
                      Count: {
                        type: "integer"
                      },
                      Interval: {
                        type: "integer"
                      },
                      IntervalUnit: {},
                      AvailabilityZones: {
                        type: "list",
                        member: {}
                      }
                    }
                  },
                  CrossRegionCopyRules: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Encrypted"
                      ],
                      members: {
                        TargetRegion: {},
                        Target: {},
                        Encrypted: {
                          type: "boolean"
                        },
                        CmkArn: {},
                        CopyTags: {
                          type: "boolean"
                        },
                        RetainRule: {
                          shape: "S16"
                        },
                        DeprecateRule: {
                          type: "structure",
                          members: {
                            Interval: {
                              type: "integer"
                            },
                            IntervalUnit: {}
                          }
                        }
                      }
                    }
                  },
                  ShareRules: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "TargetAccounts"
                      ],
                      members: {
                        TargetAccounts: {
                          type: "list",
                          member: {}
                        },
                        UnshareInterval: {
                          type: "integer"
                        },
                        UnshareIntervalUnit: {}
                      }
                    }
                  },
                  DeprecateRule: {
                    type: "structure",
                    members: {
                      Count: {
                        type: "integer"
                      },
                      Interval: {
                        type: "integer"
                      },
                      IntervalUnit: {}
                    }
                  },
                  ArchiveRule: {
                    type: "structure",
                    required: [
                      "RetainRule"
                    ],
                    members: {
                      RetainRule: {
                        type: "structure",
                        required: [
                          "RetentionArchiveTier"
                        ],
                        members: {
                          RetentionArchiveTier: {
                            type: "structure",
                            members: {
                              Count: {
                                type: "integer"
                              },
                              Interval: {
                                type: "integer"
                              },
                              IntervalUnit: {}
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            Parameters: {
              type: "structure",
              members: {
                ExcludeBootVolume: {
                  type: "boolean"
                },
                NoReboot: {
                  type: "boolean"
                },
                ExcludeDataVolumeTags: {
                  type: "list",
                  member: {
                    shape: "Sc"
                  }
                }
              }
            },
            EventSource: {
              type: "structure",
              required: [
                "Type"
              ],
              members: {
                Type: {},
                Parameters: {
                  type: "structure",
                  required: [
                    "EventType",
                    "SnapshotOwner",
                    "DescriptionRegex"
                  ],
                  members: {
                    EventType: {},
                    SnapshotOwner: {
                      type: "list",
                      member: {}
                    },
                    DescriptionRegex: {}
                  }
                }
              }
            },
            Actions: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name",
                  "CrossRegionCopy"
                ],
                members: {
                  Name: {},
                  CrossRegionCopy: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Target",
                        "EncryptionConfiguration"
                      ],
                      members: {
                        Target: {},
                        EncryptionConfiguration: {
                          type: "structure",
                          required: [
                            "Encrypted"
                          ],
                          members: {
                            Encrypted: {
                              type: "boolean"
                            },
                            CmkArn: {}
                          }
                        },
                        RetainRule: {
                          shape: "S16"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S7: {
          type: "list",
          member: {}
        },
        Sc: {
          type: "structure",
          required: [
            "Key",
            "Value"
          ],
          members: {
            Key: {},
            Value: {}
          }
        },
        S16: {
          type: "structure",
          members: {
            Interval: {
              type: "integer"
            },
            IntervalUnit: {}
          }
        },
        S1w: {
          type: "map",
          key: {},
          value: {}
        },
        S2g: {
          type: "timestamp",
          timestampFormat: "iso8601"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/dlm-2018-01-12.paginators.json
var require_dlm_2018_01_12_paginators = __commonJS({
  "node_modules/aws-sdk/apis/dlm-2018-01-12.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/dlm.js
var require_dlm = __commonJS({
  "node_modules/aws-sdk/clients/dlm.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["dlm"] = {};
    AWS2.DLM = Service.defineService("dlm", ["2018-01-12"]);
    Object.defineProperty(apiLoader.services["dlm"], "2018-01-12", {
      get: function get() {
        var model = require_dlm_2018_01_12_min();
        model.paginators = require_dlm_2018_01_12_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.DLM;
  }
});

// node_modules/aws-sdk/apis/signer-2017-08-25.min.json
var require_signer_2017_08_25_min = __commonJS({
  "node_modules/aws-sdk/apis/signer-2017-08-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-08-25",
        endpointPrefix: "signer",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "signer",
        serviceFullName: "AWS Signer",
        serviceId: "signer",
        signatureVersion: "v4",
        signingName: "signer",
        uid: "signer-2017-08-25"
      },
      operations: {
        AddProfilePermission: {
          http: {
            requestUri: "/signing-profiles/{profileName}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "action",
              "principal",
              "statementId",
              "profileName"
            ],
            members: {
              profileName: {
                location: "uri",
                locationName: "profileName"
              },
              profileVersion: {},
              action: {},
              principal: {},
              revisionId: {},
              statementId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              revisionId: {}
            }
          }
        },
        CancelSigningProfile: {
          http: {
            method: "DELETE",
            requestUri: "/signing-profiles/{profileName}"
          },
          input: {
            type: "structure",
            required: [
              "profileName"
            ],
            members: {
              profileName: {
                location: "uri",
                locationName: "profileName"
              }
            }
          }
        },
        DescribeSigningJob: {
          http: {
            method: "GET",
            requestUri: "/signing-jobs/{jobId}"
          },
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobId: {},
              source: {
                shape: "Sa"
              },
              signingMaterial: {
                shape: "Sf"
              },
              platformId: {},
              platformDisplayName: {},
              profileName: {},
              profileVersion: {},
              overrides: {
                shape: "Sj"
              },
              signingParameters: {
                shape: "So"
              },
              createdAt: {
                type: "timestamp"
              },
              completedAt: {
                type: "timestamp"
              },
              signatureExpiresAt: {
                type: "timestamp"
              },
              requestedBy: {},
              status: {},
              statusReason: {},
              revocationRecord: {
                type: "structure",
                members: {
                  reason: {},
                  revokedAt: {
                    type: "timestamp"
                  },
                  revokedBy: {}
                }
              },
              signedObject: {
                shape: "Sw"
              },
              jobOwner: {},
              jobInvoker: {}
            }
          }
        },
        GetRevocationStatus: {
          http: {
            method: "GET",
            requestUri: "/revocations"
          },
          input: {
            type: "structure",
            required: [
              "signatureTimestamp",
              "platformId",
              "profileVersionArn",
              "jobArn",
              "certificateHashes"
            ],
            members: {
              signatureTimestamp: {
                location: "querystring",
                locationName: "signatureTimestamp",
                type: "timestamp"
              },
              platformId: {
                location: "querystring",
                locationName: "platformId"
              },
              profileVersionArn: {
                location: "querystring",
                locationName: "profileVersionArn"
              },
              jobArn: {
                location: "querystring",
                locationName: "jobArn"
              },
              certificateHashes: {
                location: "querystring",
                locationName: "certificateHashes",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              revokedEntities: {
                type: "list",
                member: {}
              }
            }
          },
          endpoint: {
            hostPrefix: "verification."
          }
        },
        GetSigningPlatform: {
          http: {
            method: "GET",
            requestUri: "/signing-platforms/{platformId}"
          },
          input: {
            type: "structure",
            required: [
              "platformId"
            ],
            members: {
              platformId: {
                location: "uri",
                locationName: "platformId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              platformId: {},
              displayName: {},
              partner: {},
              target: {},
              category: {},
              signingConfiguration: {
                shape: "S17"
              },
              signingImageFormat: {
                shape: "S1c"
              },
              maxSizeInMB: {
                type: "integer"
              },
              revocationSupported: {
                type: "boolean"
              }
            }
          }
        },
        GetSigningProfile: {
          http: {
            method: "GET",
            requestUri: "/signing-profiles/{profileName}"
          },
          input: {
            type: "structure",
            required: [
              "profileName"
            ],
            members: {
              profileName: {
                location: "uri",
                locationName: "profileName"
              },
              profileOwner: {
                location: "querystring",
                locationName: "profileOwner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              profileName: {},
              profileVersion: {},
              profileVersionArn: {},
              revocationRecord: {
                type: "structure",
                members: {
                  revocationEffectiveFrom: {
                    type: "timestamp"
                  },
                  revokedAt: {
                    type: "timestamp"
                  },
                  revokedBy: {}
                }
              },
              signingMaterial: {
                shape: "Sf"
              },
              platformId: {},
              platformDisplayName: {},
              signatureValidityPeriod: {
                shape: "S1j"
              },
              overrides: {
                shape: "Sj"
              },
              signingParameters: {
                shape: "So"
              },
              status: {},
              statusReason: {},
              arn: {},
              tags: {
                shape: "S1o"
              }
            }
          }
        },
        ListProfilePermissions: {
          http: {
            method: "GET",
            requestUri: "/signing-profiles/{profileName}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "profileName"
            ],
            members: {
              profileName: {
                location: "uri",
                locationName: "profileName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              revisionId: {},
              policySizeBytes: {
                type: "integer"
              },
              permissions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    action: {},
                    principal: {},
                    statementId: {},
                    profileVersion: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSigningJobs: {
          http: {
            method: "GET",
            requestUri: "/signing-jobs"
          },
          input: {
            type: "structure",
            members: {
              status: {
                location: "querystring",
                locationName: "status"
              },
              platformId: {
                location: "querystring",
                locationName: "platformId"
              },
              requestedBy: {
                location: "querystring",
                locationName: "requestedBy"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              isRevoked: {
                location: "querystring",
                locationName: "isRevoked",
                type: "boolean"
              },
              signatureExpiresBefore: {
                location: "querystring",
                locationName: "signatureExpiresBefore",
                type: "timestamp"
              },
              signatureExpiresAfter: {
                location: "querystring",
                locationName: "signatureExpiresAfter",
                type: "timestamp"
              },
              jobInvoker: {
                location: "querystring",
                locationName: "jobInvoker"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    jobId: {},
                    source: {
                      shape: "Sa"
                    },
                    signedObject: {
                      shape: "Sw"
                    },
                    signingMaterial: {
                      shape: "Sf"
                    },
                    createdAt: {
                      type: "timestamp"
                    },
                    status: {},
                    isRevoked: {
                      type: "boolean"
                    },
                    profileName: {},
                    profileVersion: {},
                    platformId: {},
                    platformDisplayName: {},
                    signatureExpiresAt: {
                      type: "timestamp"
                    },
                    jobOwner: {},
                    jobInvoker: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSigningPlatforms: {
          http: {
            method: "GET",
            requestUri: "/signing-platforms"
          },
          input: {
            type: "structure",
            members: {
              category: {
                location: "querystring",
                locationName: "category"
              },
              partner: {
                location: "querystring",
                locationName: "partner"
              },
              target: {
                location: "querystring",
                locationName: "target"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              platforms: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    platformId: {},
                    displayName: {},
                    partner: {},
                    target: {},
                    category: {},
                    signingConfiguration: {
                      shape: "S17"
                    },
                    signingImageFormat: {
                      shape: "S1c"
                    },
                    maxSizeInMB: {
                      type: "integer"
                    },
                    revocationSupported: {
                      type: "boolean"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSigningProfiles: {
          http: {
            method: "GET",
            requestUri: "/signing-profiles"
          },
          input: {
            type: "structure",
            members: {
              includeCanceled: {
                location: "querystring",
                locationName: "includeCanceled",
                type: "boolean"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              platformId: {
                location: "querystring",
                locationName: "platformId"
              },
              statuses: {
                location: "querystring",
                locationName: "statuses",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              profiles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    profileName: {},
                    profileVersion: {},
                    profileVersionArn: {},
                    signingMaterial: {
                      shape: "Sf"
                    },
                    signatureValidityPeriod: {
                      shape: "S1j"
                    },
                    platformId: {},
                    platformDisplayName: {},
                    signingParameters: {
                      shape: "So"
                    },
                    status: {},
                    arn: {},
                    tags: {
                      shape: "S1o"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S1o"
              }
            }
          }
        },
        PutSigningProfile: {
          http: {
            method: "PUT",
            requestUri: "/signing-profiles/{profileName}"
          },
          input: {
            type: "structure",
            required: [
              "profileName",
              "platformId"
            ],
            members: {
              profileName: {
                location: "uri",
                locationName: "profileName"
              },
              signingMaterial: {
                shape: "Sf"
              },
              signatureValidityPeriod: {
                shape: "S1j"
              },
              platformId: {},
              overrides: {
                shape: "Sj"
              },
              signingParameters: {
                shape: "So"
              },
              tags: {
                shape: "S1o"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              profileVersion: {},
              profileVersionArn: {}
            }
          }
        },
        RemoveProfilePermission: {
          http: {
            method: "DELETE",
            requestUri: "/signing-profiles/{profileName}/permissions/{statementId}"
          },
          input: {
            type: "structure",
            required: [
              "revisionId",
              "profileName",
              "statementId"
            ],
            members: {
              profileName: {
                location: "uri",
                locationName: "profileName"
              },
              revisionId: {
                location: "querystring",
                locationName: "revisionId"
              },
              statementId: {
                location: "uri",
                locationName: "statementId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              revisionId: {}
            }
          }
        },
        RevokeSignature: {
          http: {
            method: "PUT",
            requestUri: "/signing-jobs/{jobId}/revoke"
          },
          input: {
            type: "structure",
            required: [
              "reason",
              "jobId"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              },
              jobOwner: {},
              reason: {}
            }
          }
        },
        RevokeSigningProfile: {
          http: {
            method: "PUT",
            requestUri: "/signing-profiles/{profileName}/revoke"
          },
          input: {
            type: "structure",
            required: [
              "profileVersion",
              "reason",
              "effectiveTime",
              "profileName"
            ],
            members: {
              profileName: {
                location: "uri",
                locationName: "profileName"
              },
              profileVersion: {},
              reason: {},
              effectiveTime: {
                type: "timestamp"
              }
            }
          }
        },
        SignPayload: {
          http: {
            requestUri: "/signing-jobs/with-payload"
          },
          input: {
            type: "structure",
            required: [
              "profileName",
              "payload",
              "payloadFormat"
            ],
            members: {
              profileName: {},
              profileOwner: {},
              payload: {
                type: "blob"
              },
              payloadFormat: {}
            }
          },
          output: {
            type: "structure",
            members: {
              jobId: {},
              jobOwner: {},
              metadata: {
                type: "map",
                key: {},
                value: {}
              },
              signature: {
                type: "blob"
              }
            }
          }
        },
        StartSigningJob: {
          http: {
            requestUri: "/signing-jobs"
          },
          input: {
            type: "structure",
            required: [
              "source",
              "destination",
              "profileName",
              "clientRequestToken"
            ],
            members: {
              source: {
                shape: "Sa"
              },
              destination: {
                type: "structure",
                members: {
                  s3: {
                    type: "structure",
                    members: {
                      bucketName: {},
                      prefix: {}
                    }
                  }
                }
              },
              profileName: {},
              clientRequestToken: {
                idempotencyToken: true
              },
              profileOwner: {}
            }
          },
          output: {
            type: "structure",
            members: {
              jobId: {},
              jobOwner: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S1o"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        Sa: {
          type: "structure",
          members: {
            s3: {
              type: "structure",
              required: [
                "bucketName",
                "key",
                "version"
              ],
              members: {
                bucketName: {},
                key: {},
                version: {}
              }
            }
          }
        },
        Sf: {
          type: "structure",
          required: [
            "certificateArn"
          ],
          members: {
            certificateArn: {}
          }
        },
        Sj: {
          type: "structure",
          members: {
            signingConfiguration: {
              type: "structure",
              members: {
                encryptionAlgorithm: {},
                hashAlgorithm: {}
              }
            },
            signingImageFormat: {}
          }
        },
        So: {
          type: "map",
          key: {},
          value: {}
        },
        Sw: {
          type: "structure",
          members: {
            s3: {
              type: "structure",
              members: {
                bucketName: {},
                key: {}
              }
            }
          }
        },
        S17: {
          type: "structure",
          required: [
            "encryptionAlgorithmOptions",
            "hashAlgorithmOptions"
          ],
          members: {
            encryptionAlgorithmOptions: {
              type: "structure",
              required: [
                "allowedValues",
                "defaultValue"
              ],
              members: {
                allowedValues: {
                  type: "list",
                  member: {}
                },
                defaultValue: {}
              }
            },
            hashAlgorithmOptions: {
              type: "structure",
              required: [
                "allowedValues",
                "defaultValue"
              ],
              members: {
                allowedValues: {
                  type: "list",
                  member: {}
                },
                defaultValue: {}
              }
            }
          }
        },
        S1c: {
          type: "structure",
          required: [
            "supportedFormats",
            "defaultFormat"
          ],
          members: {
            supportedFormats: {
              type: "list",
              member: {}
            },
            defaultFormat: {}
          }
        },
        S1j: {
          type: "structure",
          members: {
            value: {
              type: "integer"
            },
            type: {}
          }
        },
        S1o: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/signer-2017-08-25.paginators.json
var require_signer_2017_08_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/signer-2017-08-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListSigningJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListSigningPlatforms: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListSigningProfiles: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/signer-2017-08-25.waiters2.json
var require_signer_2017_08_25_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/signer-2017-08-25.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        SuccessfulSigningJob: {
          delay: 20,
          operation: "DescribeSigningJob",
          maxAttempts: 25,
          acceptors: [
            {
              expected: "Succeeded",
              matcher: "path",
              state: "success",
              argument: "status"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "status"
            },
            {
              expected: "ResourceNotFoundException",
              matcher: "error",
              state: "failure"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/signer.js
var require_signer3 = __commonJS({
  "node_modules/aws-sdk/clients/signer.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["signer"] = {};
    AWS2.Signer = Service.defineService("signer", ["2017-08-25"]);
    Object.defineProperty(apiLoader.services["signer"], "2017-08-25", {
      get: function get() {
        var model = require_signer_2017_08_25_min();
        model.paginators = require_signer_2017_08_25_paginators().pagination;
        model.waiters = require_signer_2017_08_25_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Signer;
  }
});

// node_modules/aws-sdk/apis/chime-2018-05-01.min.json
var require_chime_2018_05_01_min = __commonJS({
  "node_modules/aws-sdk/apis/chime-2018-05-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-05-01",
        endpointPrefix: "chime",
        protocol: "rest-json",
        serviceFullName: "Amazon Chime",
        serviceId: "Chime",
        signatureVersion: "v4",
        uid: "chime-2018-05-01"
      },
      operations: {
        AssociatePhoneNumberWithUser: {
          http: {
            requestUri: "/accounts/{accountId}/users/{userId}?operation=associate-phone-number",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "UserId",
              "E164PhoneNumber"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              UserId: {
                location: "uri",
                locationName: "userId"
              },
              E164PhoneNumber: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociatePhoneNumbersWithVoiceConnector: {
          http: {
            requestUri: "/voice-connectors/{voiceConnectorId}?operation=associate-phone-numbers",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "E164PhoneNumbers"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              E164PhoneNumbers: {
                shape: "S7"
              },
              ForceAssociate: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberErrors: {
                shape: "Sa"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by AssociatePhoneNumbersWithVoiceConnector in the Amazon Chime SDK Voice Namespace"
        },
        AssociatePhoneNumbersWithVoiceConnectorGroup: {
          http: {
            requestUri: "/voice-connector-groups/{voiceConnectorGroupId}?operation=associate-phone-numbers",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorGroupId",
              "E164PhoneNumbers"
            ],
            members: {
              VoiceConnectorGroupId: {
                location: "uri",
                locationName: "voiceConnectorGroupId"
              },
              E164PhoneNumbers: {
                shape: "S7"
              },
              ForceAssociate: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberErrors: {
                shape: "Sa"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by AssociatePhoneNumbersWithVoiceConnectorGroup in the Amazon Chime SDK Voice Namespace"
        },
        AssociateSigninDelegateGroupsWithAccount: {
          http: {
            requestUri: "/accounts/{accountId}?operation=associate-signin-delegate-groups",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "SigninDelegateGroups"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              SigninDelegateGroups: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        BatchCreateAttendee: {
          http: {
            requestUri: "/meetings/{meetingId}/attendees?operation=batch-create",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "Attendees"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "meetingId"
              },
              Attendees: {
                type: "list",
                member: {
                  shape: "Sm"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attendees: {
                shape: "St"
              },
              Errors: {
                shape: "Sw"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by BatchCreateAttendee in the Amazon Chime SDK Meetings Namespace"
        },
        BatchCreateChannelMembership: {
          http: {
            requestUri: "/channels/{channelArn}/memberships?operation=batch-create",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MemberArns"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              Type: {},
              MemberArns: {
                type: "list",
                member: {}
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BatchChannelMemberships: {
                type: "structure",
                members: {
                  InvitedBy: {
                    shape: "S14"
                  },
                  Type: {},
                  Members: {
                    type: "list",
                    member: {
                      shape: "S14"
                    }
                  },
                  ChannelArn: {}
                }
              },
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MemberArn: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by BatchCreateChannelMembership in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        BatchCreateRoomMembership: {
          http: {
            requestUri: "/accounts/{accountId}/rooms/{roomId}/memberships?operation=batch-create",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "RoomId",
              "MembershipItemList"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              RoomId: {
                location: "uri",
                locationName: "roomId"
              },
              MembershipItemList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MemberId: {},
                    Role: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MemberId: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        BatchDeletePhoneNumber: {
          http: {
            requestUri: "/phone-numbers?operation=batch-delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberIds"
            ],
            members: {
              PhoneNumberIds: {
                shape: "S1h"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberErrors: {
                shape: "Sa"
              }
            }
          }
        },
        BatchSuspendUser: {
          http: {
            requestUri: "/accounts/{accountId}/users?operation=suspend",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "UserIdList"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              UserIdList: {
                shape: "S1k"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserErrors: {
                shape: "S1m"
              }
            }
          }
        },
        BatchUnsuspendUser: {
          http: {
            requestUri: "/accounts/{accountId}/users?operation=unsuspend",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "UserIdList"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              UserIdList: {
                shape: "S1k"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserErrors: {
                shape: "S1m"
              }
            }
          }
        },
        BatchUpdatePhoneNumber: {
          http: {
            requestUri: "/phone-numbers?operation=batch-update",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "UpdatePhoneNumberRequestItems"
            ],
            members: {
              UpdatePhoneNumberRequestItems: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "PhoneNumberId"
                  ],
                  members: {
                    PhoneNumberId: {},
                    ProductType: {},
                    CallingName: {
                      shape: "S1u"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberErrors: {
                shape: "Sa"
              }
            }
          }
        },
        BatchUpdateUser: {
          http: {
            requestUri: "/accounts/{accountId}/users",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "UpdateUserRequestItems"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              UpdateUserRequestItems: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "UserId"
                  ],
                  members: {
                    UserId: {},
                    LicenseType: {},
                    UserType: {},
                    AlexaForBusinessMetadata: {
                      shape: "S21"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserErrors: {
                shape: "S1m"
              }
            }
          }
        },
        CreateAccount: {
          http: {
            requestUri: "/accounts",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Account: {
                shape: "S28"
              }
            }
          }
        },
        CreateAppInstance: {
          http: {
            requestUri: "/app-instances",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "ClientRequestToken"
            ],
            members: {
              Name: {
                shape: "S2e"
              },
              Metadata: {
                shape: "S2f"
              },
              ClientRequestToken: {
                shape: "S2g",
                idempotencyToken: true
              },
              Tags: {
                shape: "S2h"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateAppInstance in the Amazon Chime SDK Identity Namespace",
          endpoint: {
            hostPrefix: "identity-"
          }
        },
        CreateAppInstanceAdmin: {
          http: {
            requestUri: "/app-instances/{appInstanceArn}/admins",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceAdminArn",
              "AppInstanceArn"
            ],
            members: {
              AppInstanceAdminArn: {},
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceAdmin: {
                shape: "S14"
              },
              AppInstanceArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateAppInstanceAdmin in the Amazon Chime SDK Identity Namespace",
          endpoint: {
            hostPrefix: "identity-"
          }
        },
        CreateAppInstanceUser: {
          http: {
            requestUri: "/app-instance-users",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn",
              "AppInstanceUserId",
              "Name",
              "ClientRequestToken"
            ],
            members: {
              AppInstanceArn: {},
              AppInstanceUserId: {
                type: "string",
                sensitive: true
              },
              Name: {
                shape: "S2n"
              },
              Metadata: {
                shape: "S2f"
              },
              ClientRequestToken: {
                shape: "S2g",
                idempotencyToken: true
              },
              Tags: {
                shape: "S2h"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceUserArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateAppInstanceUser in the Amazon Chime SDK Identity Namespace",
          endpoint: {
            hostPrefix: "identity-"
          }
        },
        CreateAttendee: {
          http: {
            requestUri: "/meetings/{meetingId}/attendees",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "ExternalUserId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "meetingId"
              },
              ExternalUserId: {
                shape: "Sn"
              },
              Tags: {
                shape: "So"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attendee: {
                shape: "Su"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateAttendee in the Amazon Chime SDK Meetings Namespace"
        },
        CreateBot: {
          http: {
            requestUri: "/accounts/{accountId}/bots",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DisplayName",
              "AccountId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              DisplayName: {
                shape: "S23"
              },
              Domain: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Bot: {
                shape: "S2t"
              }
            }
          }
        },
        CreateChannel: {
          http: {
            requestUri: "/channels",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn",
              "Name",
              "ClientRequestToken"
            ],
            members: {
              AppInstanceArn: {},
              Name: {
                shape: "S2e"
              },
              Mode: {},
              Privacy: {},
              Metadata: {
                shape: "S2f"
              },
              ClientRequestToken: {
                shape: "S2g",
                idempotencyToken: true
              },
              Tags: {
                shape: "S2h"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateChannel in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        CreateChannelBan: {
          http: {
            requestUri: "/channels/{channelArn}/bans",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MemberArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MemberArn: {},
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              Member: {
                shape: "S14"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateChannelBan in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        CreateChannelMembership: {
          http: {
            requestUri: "/channels/{channelArn}/memberships",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MemberArn",
              "Type"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MemberArn: {},
              Type: {},
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              Member: {
                shape: "S14"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateChannelMembership in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        CreateChannelModerator: {
          http: {
            requestUri: "/channels/{channelArn}/moderators",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChannelModeratorArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              ChannelModeratorArn: {},
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              ChannelModerator: {
                shape: "S14"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateChannelModerator in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        CreateMediaCapturePipeline: {
          http: {
            requestUri: "/media-capture-pipelines",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "SourceType",
              "SourceArn",
              "SinkType",
              "SinkArn"
            ],
            members: {
              SourceType: {},
              SourceArn: {
                shape: "S37"
              },
              SinkType: {},
              SinkArn: {
                shape: "S37"
              },
              ClientRequestToken: {
                shape: "S2g",
                idempotencyToken: true
              },
              ChimeSdkMeetingConfiguration: {
                shape: "S39"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MediaCapturePipeline: {
                shape: "S3n"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateMediaCapturePipeline in the Amazon Chime SDK Media Pipelines Namespace"
        },
        CreateMeeting: {
          http: {
            requestUri: "/meetings",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ClientRequestToken"
            ],
            members: {
              ClientRequestToken: {
                shape: "S2g",
                idempotencyToken: true
              },
              ExternalMeetingId: {
                shape: "S3q"
              },
              MeetingHostId: {
                shape: "Sn"
              },
              MediaRegion: {},
              Tags: {
                shape: "S3r"
              },
              NotificationsConfiguration: {
                shape: "S3s"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Meeting: {
                shape: "S3u"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateMeeting in the Amazon Chime SDK Meetings Namespace"
        },
        CreateMeetingDialOut: {
          http: {
            requestUri: "/meetings/{meetingId}/dial-outs",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "FromPhoneNumber",
              "ToPhoneNumber",
              "JoinToken"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "meetingId"
              },
              FromPhoneNumber: {
                shape: "S3"
              },
              ToPhoneNumber: {
                shape: "S3"
              },
              JoinToken: {
                shape: "Sv"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransactionId: {}
            }
          }
        },
        CreateMeetingWithAttendees: {
          http: {
            requestUri: "/meetings?operation=create-attendees",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ClientRequestToken"
            ],
            members: {
              ClientRequestToken: {
                shape: "S2g",
                idempotencyToken: true
              },
              ExternalMeetingId: {
                shape: "S3q"
              },
              MeetingHostId: {
                shape: "Sn"
              },
              MediaRegion: {},
              Tags: {
                shape: "S3r"
              },
              NotificationsConfiguration: {
                shape: "S3s"
              },
              Attendees: {
                type: "list",
                member: {
                  shape: "Sm"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Meeting: {
                shape: "S3u"
              },
              Attendees: {
                shape: "St"
              },
              Errors: {
                shape: "Sw"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateMeetingWithAttendees in the Amazon Chime SDK Meetings Namespace"
        },
        CreatePhoneNumberOrder: {
          http: {
            requestUri: "/phone-number-orders",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ProductType",
              "E164PhoneNumbers"
            ],
            members: {
              ProductType: {},
              E164PhoneNumbers: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberOrder: {
                shape: "S44"
              }
            }
          }
        },
        CreateProxySession: {
          http: {
            requestUri: "/voice-connectors/{voiceConnectorId}/proxy-sessions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ParticipantPhoneNumbers",
              "Capabilities",
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              ParticipantPhoneNumbers: {
                type: "list",
                member: {
                  shape: "S3"
                }
              },
              Name: {
                type: "string",
                sensitive: true
              },
              ExpiryMinutes: {
                type: "integer"
              },
              Capabilities: {
                shape: "S4e"
              },
              NumberSelectionBehavior: {},
              GeoMatchLevel: {},
              GeoMatchParams: {
                shape: "S4i"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProxySession: {
                shape: "S4m"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateProxySession in the Amazon Chime SDK Voice Namespace"
        },
        CreateRoom: {
          http: {
            requestUri: "/accounts/{accountId}/rooms",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "Name"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              Name: {
                shape: "S23"
              },
              ClientRequestToken: {
                shape: "S2g",
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Room: {
                shape: "S4t"
              }
            }
          }
        },
        CreateRoomMembership: {
          http: {
            requestUri: "/accounts/{accountId}/rooms/{roomId}/memberships",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "RoomId",
              "MemberId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              RoomId: {
                location: "uri",
                locationName: "roomId"
              },
              MemberId: {},
              Role: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RoomMembership: {
                shape: "S4w"
              }
            }
          }
        },
        CreateSipMediaApplication: {
          http: {
            requestUri: "/sip-media-applications",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AwsRegion",
              "Name",
              "Endpoints"
            ],
            members: {
              AwsRegion: {},
              Name: {},
              Endpoints: {
                shape: "S51"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplication: {
                shape: "S55"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateSipMediaApplication in the Amazon Chime SDK Voice Namespace"
        },
        CreateSipMediaApplicationCall: {
          http: {
            requestUri: "/sip-media-applications/{sipMediaApplicationId}/calls",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FromPhoneNumber",
              "ToPhoneNumber",
              "SipMediaApplicationId"
            ],
            members: {
              FromPhoneNumber: {
                shape: "S3"
              },
              ToPhoneNumber: {
                shape: "S3"
              },
              SipMediaApplicationId: {
                location: "uri",
                locationName: "sipMediaApplicationId"
              },
              SipHeaders: {
                type: "map",
                key: {
                  shape: "S23"
                },
                value: {
                  shape: "S23"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplicationCall: {
                shape: "S59"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateSipMediaApplicationCall in the Amazon Chime SDK Voice Namespace"
        },
        CreateSipRule: {
          http: {
            requestUri: "/sip-rules",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "TriggerType",
              "TriggerValue",
              "TargetApplications"
            ],
            members: {
              Name: {},
              TriggerType: {},
              TriggerValue: {},
              Disabled: {
                type: "boolean"
              },
              TargetApplications: {
                shape: "S5d"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipRule: {
                shape: "S5h"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateSipRule in the Amazon Chime SDK Voice Namespace"
        },
        CreateUser: {
          http: {
            requestUri: "/accounts/{accountId}/users?operation=create",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              Username: {},
              Email: {
                shape: "S5j"
              },
              UserType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              User: {
                shape: "S5l"
              }
            }
          }
        },
        CreateVoiceConnector: {
          http: {
            requestUri: "/voice-connectors",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "RequireEncryption"
            ],
            members: {
              Name: {},
              AwsRegion: {},
              RequireEncryption: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceConnector: {
                shape: "S5s"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateVoiceConnector in the Amazon Chime SDK Voice Namespace"
        },
        CreateVoiceConnectorGroup: {
          http: {
            requestUri: "/voice-connector-groups",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              VoiceConnectorItems: {
                shape: "S5v"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceConnectorGroup: {
                shape: "S5z"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by CreateVoiceConnectorGroup in the Amazon Chime SDK Voice Namespace"
        },
        DeleteAccount: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{accountId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAppInstance: {
          http: {
            method: "DELETE",
            requestUri: "/app-instances/{appInstanceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteAppInstance in the Amazon Chime SDK Identity Namespace",
          endpoint: {
            hostPrefix: "identity-"
          }
        },
        DeleteAppInstanceAdmin: {
          http: {
            method: "DELETE",
            requestUri: "/app-instances/{appInstanceArn}/admins/{appInstanceAdminArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceAdminArn",
              "AppInstanceArn"
            ],
            members: {
              AppInstanceAdminArn: {
                location: "uri",
                locationName: "appInstanceAdminArn"
              },
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteAppInstanceAdmin in the Amazon Chime SDK Identity Namespace",
          endpoint: {
            hostPrefix: "identity-"
          }
        },
        DeleteAppInstanceStreamingConfigurations: {
          http: {
            method: "DELETE",
            requestUri: "/app-instances/{appInstanceArn}/streaming-configurations",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteAppInstanceStreamingConfigurations in the Amazon Chime SDK Messaging Namespace"
        },
        DeleteAppInstanceUser: {
          http: {
            method: "DELETE",
            requestUri: "/app-instance-users/{appInstanceUserArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceUserArn"
            ],
            members: {
              AppInstanceUserArn: {
                location: "uri",
                locationName: "appInstanceUserArn"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteAppInstanceUser in the Amazon Chime SDK Identity Namespace",
          endpoint: {
            hostPrefix: "identity-"
          }
        },
        DeleteAttendee: {
          http: {
            method: "DELETE",
            requestUri: "/meetings/{meetingId}/attendees/{attendeeId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "AttendeeId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "meetingId"
              },
              AttendeeId: {
                location: "uri",
                locationName: "attendeeId"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteAttendee in the Amazon Chime SDK Meetings Namespace"
        },
        DeleteChannel: {
          http: {
            method: "DELETE",
            requestUri: "/channels/{channelArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteChannel in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        DeleteChannelBan: {
          http: {
            method: "DELETE",
            requestUri: "/channels/{channelArn}/bans/{memberArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MemberArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MemberArn: {
                location: "uri",
                locationName: "memberArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteChannelBan in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        DeleteChannelMembership: {
          http: {
            method: "DELETE",
            requestUri: "/channels/{channelArn}/memberships/{memberArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MemberArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MemberArn: {
                location: "uri",
                locationName: "memberArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteChannelMembership in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        DeleteChannelMessage: {
          http: {
            method: "DELETE",
            requestUri: "/channels/{channelArn}/messages/{messageId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MessageId"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MessageId: {
                location: "uri",
                locationName: "messageId"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteChannelMessage in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        DeleteChannelModerator: {
          http: {
            method: "DELETE",
            requestUri: "/channels/{channelArn}/moderators/{channelModeratorArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChannelModeratorArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              ChannelModeratorArn: {
                location: "uri",
                locationName: "channelModeratorArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteChannelModerator in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        DeleteEventsConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{accountId}/bots/{botId}/events-configuration",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BotId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              BotId: {
                location: "uri",
                locationName: "botId"
              }
            }
          }
        },
        DeleteMediaCapturePipeline: {
          http: {
            method: "DELETE",
            requestUri: "/media-capture-pipelines/{mediaPipelineId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "MediaPipelineId"
            ],
            members: {
              MediaPipelineId: {
                location: "uri",
                locationName: "mediaPipelineId"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteMediaCapturePipeline in the Amazon Chime SDK Media Pipelines Namespace"
        },
        DeleteMeeting: {
          http: {
            method: "DELETE",
            requestUri: "/meetings/{meetingId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "MeetingId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "meetingId"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteMeeting in the Amazon Chime SDK Meetings Namespace"
        },
        DeletePhoneNumber: {
          http: {
            method: "DELETE",
            requestUri: "/phone-numbers/{phoneNumberId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberId"
            ],
            members: {
              PhoneNumberId: {
                location: "uri",
                locationName: "phoneNumberId"
              }
            }
          }
        },
        DeleteProxySession: {
          http: {
            method: "DELETE",
            requestUri: "/voice-connectors/{voiceConnectorId}/proxy-sessions/{proxySessionId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "ProxySessionId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              ProxySessionId: {
                location: "uri",
                locationName: "proxySessionId"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteProxySession in the Amazon Chime SDK Voice Namespace"
        },
        DeleteRoom: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{accountId}/rooms/{roomId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "RoomId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              RoomId: {
                location: "uri",
                locationName: "roomId"
              }
            }
          }
        },
        DeleteRoomMembership: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{accountId}/rooms/{roomId}/memberships/{memberId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "RoomId",
              "MemberId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              RoomId: {
                location: "uri",
                locationName: "roomId"
              },
              MemberId: {
                location: "uri",
                locationName: "memberId"
              }
            }
          }
        },
        DeleteSipMediaApplication: {
          http: {
            method: "DELETE",
            requestUri: "/sip-media-applications/{sipMediaApplicationId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "SipMediaApplicationId"
            ],
            members: {
              SipMediaApplicationId: {
                location: "uri",
                locationName: "sipMediaApplicationId"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteSipMediaApplication in the Amazon Chime SDK Voice Namespace"
        },
        DeleteSipRule: {
          http: {
            method: "DELETE",
            requestUri: "/sip-rules/{sipRuleId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "SipRuleId"
            ],
            members: {
              SipRuleId: {
                location: "uri",
                locationName: "sipRuleId"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteSipRule in the Amazon Chime SDK Voice Namespace"
        },
        DeleteVoiceConnector: {
          http: {
            method: "DELETE",
            requestUri: "/voice-connectors/{voiceConnectorId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteVoiceConnector in the Amazon Chime SDK Voice Namespace"
        },
        DeleteVoiceConnectorEmergencyCallingConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/voice-connectors/{voiceConnectorId}/emergency-calling-configuration",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteVoiceConnectorEmergencyCallingConfiguration in the Amazon Chime SDK Voice Namespace"
        },
        DeleteVoiceConnectorGroup: {
          http: {
            method: "DELETE",
            requestUri: "/voice-connector-groups/{voiceConnectorGroupId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorGroupId"
            ],
            members: {
              VoiceConnectorGroupId: {
                location: "uri",
                locationName: "voiceConnectorGroupId"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteVoiceConnectorGroup in the Amazon Chime SDK Voice Namespace"
        },
        DeleteVoiceConnectorOrigination: {
          http: {
            method: "DELETE",
            requestUri: "/voice-connectors/{voiceConnectorId}/origination",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteVoiceConnectorOrigination in the Amazon Chime SDK Voice Namespace"
        },
        DeleteVoiceConnectorProxy: {
          http: {
            method: "DELETE",
            requestUri: "/voice-connectors/{voiceConnectorId}/programmable-numbers/proxy",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteVoiceConnectorProxy in the Amazon Chime SDK Voice Namespace"
        },
        DeleteVoiceConnectorStreamingConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/voice-connectors/{voiceConnectorId}/streaming-configuration",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteVoiceConnectorStreamingConfiguration in the Amazon Chime SDK Voice Namespace"
        },
        DeleteVoiceConnectorTermination: {
          http: {
            method: "DELETE",
            requestUri: "/voice-connectors/{voiceConnectorId}/termination",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteVoiceConnectorTermination in the Amazon Chime SDK Voice Namespace"
        },
        DeleteVoiceConnectorTerminationCredentials: {
          http: {
            requestUri: "/voice-connectors/{voiceConnectorId}/termination/credentials?operation=delete",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Usernames",
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              Usernames: {
                shape: "S6u"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DeleteVoiceConnectorTerminationCredentials in the Amazon Chime SDK Voice Namespace"
        },
        DescribeAppInstance: {
          http: {
            method: "GET",
            requestUri: "/app-instances/{appInstanceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstance: {
                type: "structure",
                members: {
                  AppInstanceArn: {},
                  Name: {
                    shape: "S2e"
                  },
                  Metadata: {
                    shape: "S2f"
                  },
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DescribeAppInstance in the Amazon Chime SDK Identity Namespace",
          endpoint: {
            hostPrefix: "identity-"
          }
        },
        DescribeAppInstanceAdmin: {
          http: {
            method: "GET",
            requestUri: "/app-instances/{appInstanceArn}/admins/{appInstanceAdminArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceAdminArn",
              "AppInstanceArn"
            ],
            members: {
              AppInstanceAdminArn: {
                location: "uri",
                locationName: "appInstanceAdminArn"
              },
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceAdmin: {
                type: "structure",
                members: {
                  Admin: {
                    shape: "S14"
                  },
                  AppInstanceArn: {},
                  CreatedTimestamp: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DescribeAppInstanceAdmin in the Amazon Chime SDK Identity Namespace",
          endpoint: {
            hostPrefix: "identity-"
          }
        },
        DescribeAppInstanceUser: {
          http: {
            method: "GET",
            requestUri: "/app-instance-users/{appInstanceUserArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceUserArn"
            ],
            members: {
              AppInstanceUserArn: {
                location: "uri",
                locationName: "appInstanceUserArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceUser: {
                type: "structure",
                members: {
                  AppInstanceUserArn: {},
                  Name: {
                    shape: "S2n"
                  },
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  Metadata: {
                    shape: "S2f"
                  },
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DescribeAppInstanceUser in the Amazon Chime SDK Identity Namespace",
          endpoint: {
            hostPrefix: "identity-"
          }
        },
        DescribeChannel: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Channel: {
                type: "structure",
                members: {
                  Name: {
                    shape: "S2e"
                  },
                  ChannelArn: {},
                  Mode: {},
                  Privacy: {},
                  Metadata: {
                    shape: "S2f"
                  },
                  CreatedBy: {
                    shape: "S14"
                  },
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  LastMessageTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DescribeChannel in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        DescribeChannelBan: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/bans/{memberArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MemberArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MemberArn: {
                location: "uri",
                locationName: "memberArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelBan: {
                type: "structure",
                members: {
                  Member: {
                    shape: "S14"
                  },
                  ChannelArn: {},
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  CreatedBy: {
                    shape: "S14"
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DescribeChannelBan in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        DescribeChannelMembership: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/memberships/{memberArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MemberArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MemberArn: {
                location: "uri",
                locationName: "memberArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelMembership: {
                type: "structure",
                members: {
                  InvitedBy: {
                    shape: "S14"
                  },
                  Type: {},
                  Member: {
                    shape: "S14"
                  },
                  ChannelArn: {},
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DescribeChannelMembership in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        DescribeChannelMembershipForAppInstanceUser: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}?scope=app-instance-user-membership",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "AppInstanceUserArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              AppInstanceUserArn: {
                location: "querystring",
                locationName: "app-instance-user-arn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelMembership: {
                shape: "S7g"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DescribeChannelMembershipForAppInstanceUser in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        DescribeChannelModeratedByAppInstanceUser: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}?scope=app-instance-user-moderated-channel",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "AppInstanceUserArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              AppInstanceUserArn: {
                location: "querystring",
                locationName: "app-instance-user-arn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Channel: {
                shape: "S7l"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DescribeChannelModeratedByAppInstanceUser in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        DescribeChannelModerator: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/moderators/{channelModeratorArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChannelModeratorArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              ChannelModeratorArn: {
                location: "uri",
                locationName: "channelModeratorArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelModerator: {
                type: "structure",
                members: {
                  Moderator: {
                    shape: "S14"
                  },
                  ChannelArn: {},
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  CreatedBy: {
                    shape: "S14"
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DescribeChannelModerator in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        DisassociatePhoneNumberFromUser: {
          http: {
            requestUri: "/accounts/{accountId}/users/{userId}?operation=disassociate-phone-number",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "UserId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              UserId: {
                location: "uri",
                locationName: "userId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociatePhoneNumbersFromVoiceConnector: {
          http: {
            requestUri: "/voice-connectors/{voiceConnectorId}?operation=disassociate-phone-numbers",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "E164PhoneNumbers"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              E164PhoneNumbers: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberErrors: {
                shape: "Sa"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DisassociatePhoneNumbersFromVoiceConnector in the Amazon Chime SDK Voice Namespace"
        },
        DisassociatePhoneNumbersFromVoiceConnectorGroup: {
          http: {
            requestUri: "/voice-connector-groups/{voiceConnectorGroupId}?operation=disassociate-phone-numbers",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorGroupId",
              "E164PhoneNumbers"
            ],
            members: {
              VoiceConnectorGroupId: {
                location: "uri",
                locationName: "voiceConnectorGroupId"
              },
              E164PhoneNumbers: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberErrors: {
                shape: "Sa"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by DisassociatePhoneNumbersFromVoiceConnectorGroup in the Amazon Chime SDK Voice Namespace"
        },
        DisassociateSigninDelegateGroupsFromAccount: {
          http: {
            requestUri: "/accounts/{accountId}?operation=disassociate-signin-delegate-groups",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "GroupNames"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              GroupNames: {
                shape: "S1h"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetAccount: {
          http: {
            method: "GET",
            requestUri: "/accounts/{accountId}"
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Account: {
                shape: "S28"
              }
            }
          }
        },
        GetAccountSettings: {
          http: {
            method: "GET",
            requestUri: "/accounts/{accountId}/settings"
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccountSettings: {
                shape: "S81"
              }
            }
          }
        },
        GetAppInstanceRetentionSettings: {
          http: {
            method: "GET",
            requestUri: "/app-instances/{appInstanceArn}/retention-settings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceRetentionSettings: {
                shape: "S84"
              },
              InitiateDeletionTimestamp: {
                type: "timestamp"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetAppInstanceRetentionSettings in the Amazon Chime SDK Identity Namespace",
          endpoint: {
            hostPrefix: "identity-"
          }
        },
        GetAppInstanceStreamingConfigurations: {
          http: {
            method: "GET",
            requestUri: "/app-instances/{appInstanceArn}/streaming-configurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceStreamingConfigurations: {
                shape: "S89"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetAppInstanceStreamingConfigurations in the Amazon Chime SDK Messaging Namespace"
        },
        GetAttendee: {
          http: {
            method: "GET",
            requestUri: "/meetings/{meetingId}/attendees/{attendeeId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "AttendeeId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "meetingId"
              },
              AttendeeId: {
                location: "uri",
                locationName: "attendeeId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attendee: {
                shape: "Su"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetAttendee in the Amazon Chime SDK Meetings Namespace"
        },
        GetBot: {
          http: {
            method: "GET",
            requestUri: "/accounts/{accountId}/bots/{botId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BotId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              BotId: {
                location: "uri",
                locationName: "botId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Bot: {
                shape: "S2t"
              }
            }
          }
        },
        GetChannelMessage: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/messages/{messageId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MessageId"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MessageId: {
                location: "uri",
                locationName: "messageId"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelMessage: {
                type: "structure",
                members: {
                  ChannelArn: {},
                  MessageId: {},
                  Content: {
                    shape: "S8j"
                  },
                  Metadata: {
                    shape: "S2f"
                  },
                  Type: {},
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  LastEditedTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  },
                  Sender: {
                    shape: "S14"
                  },
                  Redacted: {
                    type: "boolean"
                  },
                  Persistence: {}
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetChannelMessage in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        GetEventsConfiguration: {
          http: {
            method: "GET",
            requestUri: "/accounts/{accountId}/bots/{botId}/events-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BotId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              BotId: {
                location: "uri",
                locationName: "botId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventsConfiguration: {
                shape: "S8p"
              }
            }
          }
        },
        GetGlobalSettings: {
          http: {
            method: "GET",
            requestUri: "/settings",
            responseCode: 200
          },
          output: {
            type: "structure",
            members: {
              BusinessCalling: {
                shape: "S8r"
              },
              VoiceConnector: {
                shape: "S8s"
              }
            }
          }
        },
        GetMediaCapturePipeline: {
          http: {
            method: "GET",
            requestUri: "/media-capture-pipelines/{mediaPipelineId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MediaPipelineId"
            ],
            members: {
              MediaPipelineId: {
                location: "uri",
                locationName: "mediaPipelineId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MediaCapturePipeline: {
                shape: "S3n"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetMediaCapturePipeline in the Amazon Chime SDK Media Pipelines Namespace"
        },
        GetMeeting: {
          http: {
            method: "GET",
            requestUri: "/meetings/{meetingId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MeetingId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "meetingId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Meeting: {
                shape: "S3u"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetMeeting in the Amazon Chime SDK Meetings Namespace"
        },
        GetMessagingSessionEndpoint: {
          http: {
            method: "GET",
            requestUri: "/endpoints/messaging-session",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              Endpoint: {
                type: "structure",
                members: {
                  Url: {}
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetMessagingSessionEndpoint in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        GetPhoneNumber: {
          http: {
            method: "GET",
            requestUri: "/phone-numbers/{phoneNumberId}"
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberId"
            ],
            members: {
              PhoneNumberId: {
                location: "uri",
                locationName: "phoneNumberId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumber: {
                shape: "S93"
              }
            }
          }
        },
        GetPhoneNumberOrder: {
          http: {
            method: "GET",
            requestUri: "/phone-number-orders/{phoneNumberOrderId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberOrderId"
            ],
            members: {
              PhoneNumberOrderId: {
                location: "uri",
                locationName: "phoneNumberOrderId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberOrder: {
                shape: "S44"
              }
            }
          }
        },
        GetPhoneNumberSettings: {
          http: {
            method: "GET",
            requestUri: "/settings/phone-number",
            responseCode: 200
          },
          output: {
            type: "structure",
            members: {
              CallingName: {
                shape: "S1u"
              },
              CallingNameUpdatedTimestamp: {
                shape: "S2a"
              }
            }
          }
        },
        GetProxySession: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/proxy-sessions/{proxySessionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "ProxySessionId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              ProxySessionId: {
                location: "uri",
                locationName: "proxySessionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProxySession: {
                shape: "S4m"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetProxySession in the Amazon Chime SDK Voice Namespace"
        },
        GetRetentionSettings: {
          http: {
            method: "GET",
            requestUri: "/accounts/{accountId}/retention-settings"
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RetentionSettings: {
                shape: "S9j"
              },
              InitiateDeletionTimestamp: {
                shape: "S2a"
              }
            }
          }
        },
        GetRoom: {
          http: {
            method: "GET",
            requestUri: "/accounts/{accountId}/rooms/{roomId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "RoomId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              RoomId: {
                location: "uri",
                locationName: "roomId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Room: {
                shape: "S4t"
              }
            }
          }
        },
        GetSipMediaApplication: {
          http: {
            method: "GET",
            requestUri: "/sip-media-applications/{sipMediaApplicationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SipMediaApplicationId"
            ],
            members: {
              SipMediaApplicationId: {
                location: "uri",
                locationName: "sipMediaApplicationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplication: {
                shape: "S55"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetSipMediaApplication in the Amazon Chime SDK Voice Namespace"
        },
        GetSipMediaApplicationLoggingConfiguration: {
          http: {
            method: "GET",
            requestUri: "/sip-media-applications/{sipMediaApplicationId}/logging-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SipMediaApplicationId"
            ],
            members: {
              SipMediaApplicationId: {
                location: "uri",
                locationName: "sipMediaApplicationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplicationLoggingConfiguration: {
                shape: "S9s"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetSipMediaApplicationLoggingConfiguration in the Amazon Chime SDK Voice Namespace"
        },
        GetSipRule: {
          http: {
            method: "GET",
            requestUri: "/sip-rules/{sipRuleId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SipRuleId"
            ],
            members: {
              SipRuleId: {
                location: "uri",
                locationName: "sipRuleId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipRule: {
                shape: "S5h"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetSipRule in the Amazon Chime SDK Voice Namespace"
        },
        GetUser: {
          http: {
            method: "GET",
            requestUri: "/accounts/{accountId}/users/{userId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "UserId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              UserId: {
                location: "uri",
                locationName: "userId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              User: {
                shape: "S5l"
              }
            }
          }
        },
        GetUserSettings: {
          http: {
            method: "GET",
            requestUri: "/accounts/{accountId}/users/{userId}/settings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "UserId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              UserId: {
                location: "uri",
                locationName: "userId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserSettings: {
                shape: "S9z"
              }
            }
          }
        },
        GetVoiceConnector: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceConnector: {
                shape: "S5s"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetVoiceConnector in the Amazon Chime SDK Voice Namespace"
        },
        GetVoiceConnectorEmergencyCallingConfiguration: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/emergency-calling-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EmergencyCallingConfiguration: {
                shape: "Sa5"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetVoiceConnectorEmergencyCallingConfiguration in the Amazon Chime SDK Voice Namespace"
        },
        GetVoiceConnectorGroup: {
          http: {
            method: "GET",
            requestUri: "/voice-connector-groups/{voiceConnectorGroupId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorGroupId"
            ],
            members: {
              VoiceConnectorGroupId: {
                location: "uri",
                locationName: "voiceConnectorGroupId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceConnectorGroup: {
                shape: "S5z"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetVoiceConnectorGroup in the Amazon Chime SDK Voice Namespace"
        },
        GetVoiceConnectorLoggingConfiguration: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/logging-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LoggingConfiguration: {
                shape: "Sac"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetVoiceConnectorLoggingConfiguration in the Amazon Chime SDK Voice Namespace"
        },
        GetVoiceConnectorOrigination: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/origination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Origination: {
                shape: "Saf"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetVoiceConnectorOrigination in the Amazon Chime SDK Voice Namespace"
        },
        GetVoiceConnectorProxy: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/programmable-numbers/proxy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Proxy: {
                shape: "Sao"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetVoiceConnectorProxy in the Amazon Chime SDK Voice Namespace"
        },
        GetVoiceConnectorStreamingConfiguration: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/streaming-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingConfiguration: {
                shape: "Sat"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetVoiceConnectorStreamingConfiguration in the Amazon Chime SDK Voice Namespace"
        },
        GetVoiceConnectorTermination: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/termination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Termination: {
                shape: "Sb0"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetVoiceConnectorTermination in the Amazon Chime SDK Voice Namespace"
        },
        GetVoiceConnectorTerminationHealth: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/termination/health",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TerminationHealth: {
                type: "structure",
                members: {
                  Timestamp: {
                    shape: "S2a"
                  },
                  Source: {}
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by GetVoiceConnectorTerminationHealth in the Amazon Chime SDK Voice Namespace"
        },
        InviteUsers: {
          http: {
            requestUri: "/accounts/{accountId}/users?operation=add",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "UserEmailList"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              UserEmailList: {
                type: "list",
                member: {
                  shape: "S5j"
                }
              },
              UserType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Invites: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InviteId: {},
                    Status: {},
                    EmailAddress: {
                      shape: "S5j"
                    },
                    EmailStatus: {}
                  }
                }
              }
            }
          }
        },
        ListAccounts: {
          http: {
            method: "GET",
            requestUri: "/accounts"
          },
          input: {
            type: "structure",
            members: {
              Name: {
                location: "querystring",
                locationName: "name"
              },
              UserEmail: {
                shape: "S5j",
                location: "querystring",
                locationName: "user-email"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Accounts: {
                type: "list",
                member: {
                  shape: "S28"
                }
              },
              NextToken: {}
            }
          }
        },
        ListAppInstanceAdmins: {
          http: {
            method: "GET",
            requestUri: "/app-instances/{appInstanceArn}/admins",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "Sbj",
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceArn: {},
              AppInstanceAdmins: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Admin: {
                      shape: "S14"
                    }
                  }
                }
              },
              NextToken: {
                shape: "Sbj"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListAppInstanceAdmins in the Amazon Chime SDK Identity Namespace",
          endpoint: {
            hostPrefix: "identity-"
          }
        },
        ListAppInstanceUsers: {
          http: {
            method: "GET",
            requestUri: "/app-instance-users",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "querystring",
                locationName: "app-instance-arn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "Sbj",
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceArn: {},
              AppInstanceUsers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AppInstanceUserArn: {},
                    Name: {
                      shape: "S2n"
                    },
                    Metadata: {
                      shape: "S2f"
                    }
                  }
                }
              },
              NextToken: {
                shape: "Sbj"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListAppInstanceUsers in the Amazon Chime SDK Identity Namespace",
          endpoint: {
            hostPrefix: "identity-"
          }
        },
        ListAppInstances: {
          http: {
            method: "GET",
            requestUri: "/app-instances",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "Sbj",
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AppInstanceArn: {},
                    Name: {
                      shape: "S2e"
                    },
                    Metadata: {
                      shape: "S2f"
                    }
                  }
                }
              },
              NextToken: {
                shape: "Sbj"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListAppInstances in the Amazon Chime SDK Identity Namespace",
          endpoint: {
            hostPrefix: "identity-"
          }
        },
        ListAttendeeTags: {
          http: {
            method: "GET",
            requestUri: "/meetings/{meetingId}/attendees/{attendeeId}/tags",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "AttendeeId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "meetingId"
              },
              AttendeeId: {
                location: "uri",
                locationName: "attendeeId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S2h"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Attendee Tags are not supported in the Amazon Chime SDK Meetings Namespace. Update your application to remove calls to this API."
        },
        ListAttendees: {
          http: {
            method: "GET",
            requestUri: "/meetings/{meetingId}/attendees",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MeetingId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "meetingId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attendees: {
                shape: "St"
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListAttendees in the Amazon Chime SDK Meetings Namespace"
        },
        ListBots: {
          http: {
            method: "GET",
            requestUri: "/accounts/{accountId}/bots",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Bots: {
                type: "list",
                member: {
                  shape: "S2t"
                }
              },
              NextToken: {}
            }
          }
        },
        ListChannelBans: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/bans",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "Sbj",
                location: "querystring",
                locationName: "next-token"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              NextToken: {
                shape: "Sbj"
              },
              ChannelBans: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Member: {
                      shape: "S14"
                    }
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListChannelBans in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        ListChannelMemberships: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/memberships",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              Type: {
                location: "querystring",
                locationName: "type"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "Sbj",
                location: "querystring",
                locationName: "next-token"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              ChannelMemberships: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Member: {
                      shape: "S14"
                    }
                  }
                }
              },
              NextToken: {
                shape: "Sbj"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListChannelMemberships in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        ListChannelMembershipsForAppInstanceUser: {
          http: {
            method: "GET",
            requestUri: "/channels?scope=app-instance-user-memberships",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppInstanceUserArn: {
                location: "querystring",
                locationName: "app-instance-user-arn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "Sbj",
                location: "querystring",
                locationName: "next-token"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelMemberships: {
                type: "list",
                member: {
                  shape: "S7g"
                }
              },
              NextToken: {
                shape: "Sbj"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListChannelMembershipsForAppInstanceUser in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        ListChannelMessages: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/messages",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              SortOrder: {
                location: "querystring",
                locationName: "sort-order"
              },
              NotBefore: {
                location: "querystring",
                locationName: "not-before",
                type: "timestamp"
              },
              NotAfter: {
                location: "querystring",
                locationName: "not-after",
                type: "timestamp"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "Sbj",
                location: "querystring",
                locationName: "next-token"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              NextToken: {
                shape: "Sbj"
              },
              ChannelMessages: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MessageId: {},
                    Content: {
                      shape: "S8j"
                    },
                    Metadata: {
                      shape: "S2f"
                    },
                    Type: {},
                    CreatedTimestamp: {
                      type: "timestamp"
                    },
                    LastUpdatedTimestamp: {
                      type: "timestamp"
                    },
                    LastEditedTimestamp: {
                      type: "timestamp"
                    },
                    Sender: {
                      shape: "S14"
                    },
                    Redacted: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListChannelMessages in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        ListChannelModerators: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/moderators",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "Sbj",
                location: "querystring",
                locationName: "next-token"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              NextToken: {
                shape: "Sbj"
              },
              ChannelModerators: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Moderator: {
                      shape: "S14"
                    }
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListChannelModerators in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        ListChannels: {
          http: {
            method: "GET",
            requestUri: "/channels",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "querystring",
                locationName: "app-instance-arn"
              },
              Privacy: {
                location: "querystring",
                locationName: "privacy"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "Sbj",
                location: "querystring",
                locationName: "next-token"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Channels: {
                type: "list",
                member: {
                  shape: "S7h"
                }
              },
              NextToken: {
                shape: "Sbj"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListChannels in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        ListChannelsModeratedByAppInstanceUser: {
          http: {
            method: "GET",
            requestUri: "/channels?scope=app-instance-user-moderated-channels",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppInstanceUserArn: {
                location: "querystring",
                locationName: "app-instance-user-arn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "Sbj",
                location: "querystring",
                locationName: "next-token"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Channels: {
                type: "list",
                member: {
                  shape: "S7l"
                }
              },
              NextToken: {
                shape: "Sbj"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListChannelsModeratedByAppInstanceUser in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        ListMediaCapturePipelines: {
          http: {
            method: "GET",
            requestUri: "/media-capture-pipelines",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MediaCapturePipelines: {
                type: "list",
                member: {
                  shape: "S3n"
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListMediaCapturePipelines in the Amazon Chime SDK Media Pipelines Namespace"
        },
        ListMeetingTags: {
          http: {
            method: "GET",
            requestUri: "/meetings/{meetingId}/tags",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MeetingId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "meetingId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S2h"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Use ListTagsForResource in the Amazon Chime SDK Meetings Namespace."
        },
        ListMeetings: {
          http: {
            method: "GET",
            requestUri: "/meetings",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Meetings: {
                type: "list",
                member: {
                  shape: "S3u"
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "ListMeetings is not supported in the Amazon Chime SDK Meetings Namespace. Update your application to remove calls to this API."
        },
        ListPhoneNumberOrders: {
          http: {
            method: "GET",
            requestUri: "/phone-number-orders",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberOrders: {
                type: "list",
                member: {
                  shape: "S44"
                }
              },
              NextToken: {}
            }
          }
        },
        ListPhoneNumbers: {
          http: {
            method: "GET",
            requestUri: "/phone-numbers"
          },
          input: {
            type: "structure",
            members: {
              Status: {
                location: "querystring",
                locationName: "status"
              },
              ProductType: {
                location: "querystring",
                locationName: "product-type"
              },
              FilterName: {
                location: "querystring",
                locationName: "filter-name"
              },
              FilterValue: {
                location: "querystring",
                locationName: "filter-value"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumbers: {
                type: "list",
                member: {
                  shape: "S93"
                }
              },
              NextToken: {}
            }
          }
        },
        ListProxySessions: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/proxy-sessions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              Status: {
                location: "querystring",
                locationName: "status"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProxySessions: {
                type: "list",
                member: {
                  shape: "S4m"
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListProxySessions in the Amazon Chime SDK Voice Namespace"
        },
        ListRoomMemberships: {
          http: {
            method: "GET",
            requestUri: "/accounts/{accountId}/rooms/{roomId}/memberships",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "RoomId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              RoomId: {
                location: "uri",
                locationName: "roomId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RoomMemberships: {
                type: "list",
                member: {
                  shape: "S4w"
                }
              },
              NextToken: {}
            }
          }
        },
        ListRooms: {
          http: {
            method: "GET",
            requestUri: "/accounts/{accountId}/rooms",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              MemberId: {
                location: "querystring",
                locationName: "member-id"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Rooms: {
                type: "list",
                member: {
                  shape: "S4t"
                }
              },
              NextToken: {}
            }
          }
        },
        ListSipMediaApplications: {
          http: {
            method: "GET",
            requestUri: "/sip-media-applications",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplications: {
                type: "list",
                member: {
                  shape: "S55"
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListSipMediaApplications in the Amazon Chime SDK Voice Namespace"
        },
        ListSipRules: {
          http: {
            method: "GET",
            requestUri: "/sip-rules",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              SipMediaApplicationId: {
                location: "querystring",
                locationName: "sip-media-application"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipRules: {
                type: "list",
                member: {
                  shape: "S5h"
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListSipRules in the Amazon Chime SDK Voice Namespace"
        },
        ListSupportedPhoneNumberCountries: {
          http: {
            method: "GET",
            requestUri: "/phone-number-countries",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ProductType"
            ],
            members: {
              ProductType: {
                location: "querystring",
                locationName: "product-type"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberCountries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CountryCode: {},
                    SupportedPhoneNumberTypes: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags"
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {
                shape: "S37",
                location: "querystring",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S2h"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListTagsForResource in the Amazon Chime SDK Voice, Amazon Chime SDK Meetings, Amazon Chime SDK Identity, Amazon Chime SDK Messaging, and Amazon Chime SDK Media Pipelines Namespaces"
        },
        ListUsers: {
          http: {
            method: "GET",
            requestUri: "/accounts/{accountId}/users",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              UserEmail: {
                shape: "S5j",
                location: "querystring",
                locationName: "user-email"
              },
              UserType: {
                location: "querystring",
                locationName: "user-type"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Users: {
                type: "list",
                member: {
                  shape: "S5l"
                }
              },
              NextToken: {}
            }
          }
        },
        ListVoiceConnectorGroups: {
          http: {
            method: "GET",
            requestUri: "/voice-connector-groups",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceConnectorGroups: {
                type: "list",
                member: {
                  shape: "S5z"
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListVoiceConnectorGroups in the Amazon Chime SDK Voice Namespace"
        },
        ListVoiceConnectorTerminationCredentials: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/termination/credentials",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Usernames: {
                shape: "S6u"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListVoiceConnectorTerminationCredentials in the Amazon Chime SDK Voice Namespace"
        },
        ListVoiceConnectors: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceConnectors: {
                type: "list",
                member: {
                  shape: "S5s"
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ListVoiceConnectors in the Amazon Chime SDK Voice Namespace"
        },
        LogoutUser: {
          http: {
            requestUri: "/accounts/{accountId}/users/{userId}?operation=logout",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "UserId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              UserId: {
                location: "uri",
                locationName: "userId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutAppInstanceRetentionSettings: {
          http: {
            method: "PUT",
            requestUri: "/app-instances/{appInstanceArn}/retention-settings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn",
              "AppInstanceRetentionSettings"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              },
              AppInstanceRetentionSettings: {
                shape: "S84"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceRetentionSettings: {
                shape: "S84"
              },
              InitiateDeletionTimestamp: {
                type: "timestamp"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by PutAppInstanceRetentionSettings in the Amazon Chime SDK Identity Namespace",
          endpoint: {
            hostPrefix: "identity-"
          }
        },
        PutAppInstanceStreamingConfigurations: {
          http: {
            method: "PUT",
            requestUri: "/app-instances/{appInstanceArn}/streaming-configurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn",
              "AppInstanceStreamingConfigurations"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              },
              AppInstanceStreamingConfigurations: {
                shape: "S89"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceStreamingConfigurations: {
                shape: "S89"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by PutAppInstanceStreamingConfigurations in the Amazon Chime SDK Messaging Namespace"
        },
        PutEventsConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{accountId}/bots/{botId}/events-configuration",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BotId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              BotId: {
                location: "uri",
                locationName: "botId"
              },
              OutboundEventsHTTPSEndpoint: {
                shape: "S23"
              },
              LambdaFunctionArn: {
                shape: "S23"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventsConfiguration: {
                shape: "S8p"
              }
            }
          }
        },
        PutRetentionSettings: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{accountId}/retention-settings",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "RetentionSettings"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              RetentionSettings: {
                shape: "S9j"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RetentionSettings: {
                shape: "S9j"
              },
              InitiateDeletionTimestamp: {
                shape: "S2a"
              }
            }
          }
        },
        PutSipMediaApplicationLoggingConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/sip-media-applications/{sipMediaApplicationId}/logging-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SipMediaApplicationId"
            ],
            members: {
              SipMediaApplicationId: {
                location: "uri",
                locationName: "sipMediaApplicationId"
              },
              SipMediaApplicationLoggingConfiguration: {
                shape: "S9s"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplicationLoggingConfiguration: {
                shape: "S9s"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by PutSipMediaApplicationLoggingConfiguration in the Amazon Chime SDK Voice Namespace"
        },
        PutVoiceConnectorEmergencyCallingConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/voice-connectors/{voiceConnectorId}/emergency-calling-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "EmergencyCallingConfiguration"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              EmergencyCallingConfiguration: {
                shape: "Sa5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EmergencyCallingConfiguration: {
                shape: "Sa5"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by PutVoiceConnectorEmergencyCallingConfiguration in the Amazon Chime SDK Voice Namespace"
        },
        PutVoiceConnectorLoggingConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/voice-connectors/{voiceConnectorId}/logging-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "LoggingConfiguration"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              LoggingConfiguration: {
                shape: "Sac"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LoggingConfiguration: {
                shape: "Sac"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by PutVoiceConnectorLoggingConfiguration in the Amazon Chime SDK Voice Namespace"
        },
        PutVoiceConnectorOrigination: {
          http: {
            method: "PUT",
            requestUri: "/voice-connectors/{voiceConnectorId}/origination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "Origination"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              Origination: {
                shape: "Saf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Origination: {
                shape: "Saf"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by PutVoiceConnectorOrigination in the Amazon Chime SDK Voice Namespace"
        },
        PutVoiceConnectorProxy: {
          http: {
            method: "PUT",
            requestUri: "/voice-connectors/{voiceConnectorId}/programmable-numbers/proxy"
          },
          input: {
            type: "structure",
            required: [
              "DefaultSessionExpiryMinutes",
              "PhoneNumberPoolCountries",
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              DefaultSessionExpiryMinutes: {
                type: "integer"
              },
              PhoneNumberPoolCountries: {
                type: "list",
                member: {}
              },
              FallBackPhoneNumber: {
                shape: "S3"
              },
              Disabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Proxy: {
                shape: "Sao"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by PutVoiceConnectorProxy in the Amazon Chime SDK Voice Namespace"
        },
        PutVoiceConnectorStreamingConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/voice-connectors/{voiceConnectorId}/streaming-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "StreamingConfiguration"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              StreamingConfiguration: {
                shape: "Sat"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingConfiguration: {
                shape: "Sat"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by PutVoiceConnectorStreamingConfiguration in the Amazon Chime SDK Voice Namespace"
        },
        PutVoiceConnectorTermination: {
          http: {
            method: "PUT",
            requestUri: "/voice-connectors/{voiceConnectorId}/termination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "Termination"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              Termination: {
                shape: "Sb0"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Termination: {
                shape: "Sb0"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by PutVoiceConnectorTermination in the Amazon Chime SDK Voice Namespace"
        },
        PutVoiceConnectorTerminationCredentials: {
          http: {
            requestUri: "/voice-connectors/{voiceConnectorId}/termination/credentials?operation=put",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              Credentials: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Username: {
                      shape: "S23"
                    },
                    Password: {
                      shape: "S23"
                    }
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by PutVoiceConnectorTerminationCredentials in the Amazon Chime SDK Voice Namespace"
        },
        RedactChannelMessage: {
          http: {
            requestUri: "/channels/{channelArn}/messages/{messageId}?operation=redact",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MessageId"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MessageId: {
                location: "uri",
                locationName: "messageId"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              MessageId: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by RedactChannelMessage in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        RedactConversationMessage: {
          http: {
            requestUri: "/accounts/{accountId}/conversations/{conversationId}/messages/{messageId}?operation=redact",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "ConversationId",
              "MessageId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              ConversationId: {
                location: "uri",
                locationName: "conversationId"
              },
              MessageId: {
                location: "uri",
                locationName: "messageId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RedactRoomMessage: {
          http: {
            requestUri: "/accounts/{accountId}/rooms/{roomId}/messages/{messageId}?operation=redact",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "RoomId",
              "MessageId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              RoomId: {
                location: "uri",
                locationName: "roomId"
              },
              MessageId: {
                location: "uri",
                locationName: "messageId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RegenerateSecurityToken: {
          http: {
            requestUri: "/accounts/{accountId}/bots/{botId}?operation=regenerate-security-token",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BotId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              BotId: {
                location: "uri",
                locationName: "botId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Bot: {
                shape: "S2t"
              }
            }
          }
        },
        ResetPersonalPIN: {
          http: {
            requestUri: "/accounts/{accountId}/users/{userId}?operation=reset-personal-pin",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "UserId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              UserId: {
                location: "uri",
                locationName: "userId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              User: {
                shape: "S5l"
              }
            }
          }
        },
        RestorePhoneNumber: {
          http: {
            requestUri: "/phone-numbers/{phoneNumberId}?operation=restore",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberId"
            ],
            members: {
              PhoneNumberId: {
                location: "uri",
                locationName: "phoneNumberId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumber: {
                shape: "S93"
              }
            }
          }
        },
        SearchAvailablePhoneNumbers: {
          http: {
            method: "GET",
            requestUri: "/search?type=phone-numbers"
          },
          input: {
            type: "structure",
            members: {
              AreaCode: {
                location: "querystring",
                locationName: "area-code"
              },
              City: {
                location: "querystring",
                locationName: "city"
              },
              Country: {
                location: "querystring",
                locationName: "country"
              },
              State: {
                location: "querystring",
                locationName: "state"
              },
              TollFreePrefix: {
                location: "querystring",
                locationName: "toll-free-prefix"
              },
              PhoneNumberType: {
                location: "querystring",
                locationName: "phone-number-type"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              E164PhoneNumbers: {
                shape: "S7"
              },
              NextToken: {}
            }
          }
        },
        SendChannelMessage: {
          http: {
            requestUri: "/channels/{channelArn}/messages",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "Content",
              "Type",
              "Persistence",
              "ClientRequestToken"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              Content: {
                type: "string",
                sensitive: true
              },
              Type: {},
              Persistence: {},
              Metadata: {
                shape: "S2f"
              },
              ClientRequestToken: {
                shape: "S2g",
                idempotencyToken: true
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              MessageId: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by SendChannelMessage in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        StartMeetingTranscription: {
          http: {
            requestUri: "/meetings/{meetingId}/transcription?operation=start",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "TranscriptionConfiguration"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "meetingId"
              },
              TranscriptionConfiguration: {
                type: "structure",
                members: {
                  EngineTranscribeSettings: {
                    type: "structure",
                    members: {
                      LanguageCode: {},
                      VocabularyFilterMethod: {},
                      VocabularyFilterName: {},
                      VocabularyName: {},
                      Region: {},
                      EnablePartialResultsStabilization: {
                        type: "boolean"
                      },
                      PartialResultsStability: {},
                      ContentIdentificationType: {},
                      ContentRedactionType: {},
                      PiiEntityTypes: {},
                      LanguageModelName: {},
                      IdentifyLanguage: {
                        type: "boolean"
                      },
                      LanguageOptions: {},
                      PreferredLanguage: {},
                      VocabularyNames: {},
                      VocabularyFilterNames: {}
                    }
                  },
                  EngineTranscribeMedicalSettings: {
                    type: "structure",
                    required: [
                      "LanguageCode",
                      "Specialty",
                      "Type"
                    ],
                    members: {
                      LanguageCode: {},
                      Specialty: {},
                      Type: {},
                      VocabularyName: {},
                      Region: {},
                      ContentIdentificationType: {}
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Replaced by StartMeetingTranscription in the Amazon Chime SDK Meetings Namespace"
        },
        StopMeetingTranscription: {
          http: {
            requestUri: "/meetings/{meetingId}/transcription?operation=stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MeetingId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "meetingId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Replaced by StopMeetingTranscription in the Amazon Chime SDK Meetings Namespace"
        },
        TagAttendee: {
          http: {
            requestUri: "/meetings/{meetingId}/attendees/{attendeeId}/tags?operation=add",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "AttendeeId",
              "Tags"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "meetingId"
              },
              AttendeeId: {
                location: "uri",
                locationName: "attendeeId"
              },
              Tags: {
                shape: "So"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Attendee Tags are not supported in the Amazon Chime SDK Meetings Namespace. Update your application to remove calls to this API."
        },
        TagMeeting: {
          http: {
            requestUri: "/meetings/{meetingId}/tags?operation=add",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "Tags"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "meetingId"
              },
              Tags: {
                shape: "S3r"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Use TagResource in the Amazon Chime SDK Meetings Namespace."
        },
        TagResource: {
          http: {
            requestUri: "/tags?operation=tag-resource",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {
                shape: "S37"
              },
              Tags: {
                shape: "S2h"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by TagResource in the Amazon Chime SDK Voice, Amazon Chime SDK Meetings, Amazon Chime SDK Identity, Amazon Chime SDK Messaging, and Amazon Chime SDK Media Pipelines Namespaces"
        },
        UntagAttendee: {
          http: {
            requestUri: "/meetings/{meetingId}/attendees/{attendeeId}/tags?operation=delete",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "TagKeys",
              "AttendeeId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "meetingId"
              },
              AttendeeId: {
                location: "uri",
                locationName: "attendeeId"
              },
              TagKeys: {
                type: "list",
                member: {
                  shape: "Sq"
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Attendee Tags are not supported in the Amazon Chime SDK Meetings Namespace. Update your application to remove calls to this API."
        },
        UntagMeeting: {
          http: {
            requestUri: "/meetings/{meetingId}/tags?operation=delete",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "TagKeys"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "meetingId"
              },
              TagKeys: {
                type: "list",
                member: {
                  shape: "Sq"
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Use UntagResource in the Amazon Chime SDK Meetings Namespace."
        },
        UntagResource: {
          http: {
            requestUri: "/tags?operation=untag-resource",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {
                shape: "S37"
              },
              TagKeys: {
                type: "list",
                member: {
                  shape: "Sq"
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by UntagResource in the Amazon Chime SDK Voice, Amazon Chime SDK Meetings, Amazon Chime SDK Identity, Amazon Chime SDK Messaging, and Amazon Chime SDK Media Pipelines Namespaces"
        },
        UpdateAccount: {
          http: {
            requestUri: "/accounts/{accountId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              Name: {},
              DefaultLicense: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Account: {
                shape: "S28"
              }
            }
          }
        },
        UpdateAccountSettings: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{accountId}/settings",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "AccountSettings"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              AccountSettings: {
                shape: "S81"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAppInstance: {
          http: {
            method: "PUT",
            requestUri: "/app-instances/{appInstanceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn",
              "Name"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              },
              Name: {
                shape: "S2e"
              },
              Metadata: {
                shape: "S2f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by UpdateAppInstance in the Amazon Chime SDK Identity Namespace",
          endpoint: {
            hostPrefix: "identity-"
          }
        },
        UpdateAppInstanceUser: {
          http: {
            method: "PUT",
            requestUri: "/app-instance-users/{appInstanceUserArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceUserArn",
              "Name"
            ],
            members: {
              AppInstanceUserArn: {
                location: "uri",
                locationName: "appInstanceUserArn"
              },
              Name: {
                shape: "S2n"
              },
              Metadata: {
                shape: "S2f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceUserArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by UpdateAppInstanceUser in the Amazon Chime SDK Identity Namespace",
          endpoint: {
            hostPrefix: "identity-"
          }
        },
        UpdateBot: {
          http: {
            requestUri: "/accounts/{accountId}/bots/{botId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "BotId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              BotId: {
                location: "uri",
                locationName: "botId"
              },
              Disabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Bot: {
                shape: "S2t"
              }
            }
          }
        },
        UpdateChannel: {
          http: {
            method: "PUT",
            requestUri: "/channels/{channelArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "Name",
              "Mode"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              Name: {
                shape: "S2e"
              },
              Mode: {},
              Metadata: {
                shape: "S2f"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by UpdateChannel in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        UpdateChannelMessage: {
          http: {
            method: "PUT",
            requestUri: "/channels/{channelArn}/messages/{messageId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MessageId"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MessageId: {
                location: "uri",
                locationName: "messageId"
              },
              Content: {
                shape: "S8j"
              },
              Metadata: {
                shape: "S2f"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              MessageId: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by UpdateChannelMessage in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        UpdateChannelReadMarker: {
          http: {
            method: "PUT",
            requestUri: "/channels/{channelArn}/readMarker",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by UpdateChannelReadMarker in the Amazon Chime SDK Messaging Namespace",
          endpoint: {
            hostPrefix: "messaging-"
          }
        },
        UpdateGlobalSettings: {
          http: {
            method: "PUT",
            requestUri: "/settings",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              BusinessCalling: {
                shape: "S8r"
              },
              VoiceConnector: {
                shape: "S8s"
              }
            }
          }
        },
        UpdatePhoneNumber: {
          http: {
            requestUri: "/phone-numbers/{phoneNumberId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberId"
            ],
            members: {
              PhoneNumberId: {
                location: "uri",
                locationName: "phoneNumberId"
              },
              ProductType: {},
              CallingName: {
                shape: "S1u"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumber: {
                shape: "S93"
              }
            }
          }
        },
        UpdatePhoneNumberSettings: {
          http: {
            method: "PUT",
            requestUri: "/settings/phone-number",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "CallingName"
            ],
            members: {
              CallingName: {
                shape: "S1u"
              }
            }
          }
        },
        UpdateProxySession: {
          http: {
            requestUri: "/voice-connectors/{voiceConnectorId}/proxy-sessions/{proxySessionId}",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Capabilities",
              "VoiceConnectorId",
              "ProxySessionId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              ProxySessionId: {
                location: "uri",
                locationName: "proxySessionId"
              },
              Capabilities: {
                shape: "S4e"
              },
              ExpiryMinutes: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProxySession: {
                shape: "S4m"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by UpdateProxySession in the Amazon Chime SDK Voice Namespace"
        },
        UpdateRoom: {
          http: {
            requestUri: "/accounts/{accountId}/rooms/{roomId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "RoomId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              RoomId: {
                location: "uri",
                locationName: "roomId"
              },
              Name: {
                shape: "S23"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Room: {
                shape: "S4t"
              }
            }
          }
        },
        UpdateRoomMembership: {
          http: {
            requestUri: "/accounts/{accountId}/rooms/{roomId}/memberships/{memberId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "RoomId",
              "MemberId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              RoomId: {
                location: "uri",
                locationName: "roomId"
              },
              MemberId: {
                location: "uri",
                locationName: "memberId"
              },
              Role: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RoomMembership: {
                shape: "S4w"
              }
            }
          }
        },
        UpdateSipMediaApplication: {
          http: {
            method: "PUT",
            requestUri: "/sip-media-applications/{sipMediaApplicationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SipMediaApplicationId"
            ],
            members: {
              SipMediaApplicationId: {
                location: "uri",
                locationName: "sipMediaApplicationId"
              },
              Name: {},
              Endpoints: {
                shape: "S51"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplication: {
                shape: "S55"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by UpdateSipMediaApplication in the Amazon Chime SDK Voice Namespace"
        },
        UpdateSipMediaApplicationCall: {
          http: {
            requestUri: "/sip-media-applications/{sipMediaApplicationId}/calls/{transactionId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "SipMediaApplicationId",
              "TransactionId",
              "Arguments"
            ],
            members: {
              SipMediaApplicationId: {
                location: "uri",
                locationName: "sipMediaApplicationId"
              },
              TransactionId: {
                location: "uri",
                locationName: "transactionId"
              },
              Arguments: {
                type: "map",
                key: {
                  shape: "S23"
                },
                value: {
                  shape: "S23"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplicationCall: {
                shape: "S59"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by UpdateSipMediaApplicationCall in the Amazon Chime SDK Voice Namespace"
        },
        UpdateSipRule: {
          http: {
            method: "PUT",
            requestUri: "/sip-rules/{sipRuleId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "SipRuleId",
              "Name"
            ],
            members: {
              SipRuleId: {
                location: "uri",
                locationName: "sipRuleId"
              },
              Name: {},
              Disabled: {
                type: "boolean"
              },
              TargetApplications: {
                shape: "S5d"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipRule: {
                shape: "S5h"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by UpdateSipRule in the Amazon Chime SDK Voice Namespace"
        },
        UpdateUser: {
          http: {
            requestUri: "/accounts/{accountId}/users/{userId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "UserId"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              UserId: {
                location: "uri",
                locationName: "userId"
              },
              LicenseType: {},
              UserType: {},
              AlexaForBusinessMetadata: {
                shape: "S21"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              User: {
                shape: "S5l"
              }
            }
          }
        },
        UpdateUserSettings: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{accountId}/users/{userId}/settings",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AccountId",
              "UserId",
              "UserSettings"
            ],
            members: {
              AccountId: {
                location: "uri",
                locationName: "accountId"
              },
              UserId: {
                location: "uri",
                locationName: "userId"
              },
              UserSettings: {
                shape: "S9z"
              }
            }
          }
        },
        UpdateVoiceConnector: {
          http: {
            method: "PUT",
            requestUri: "/voice-connectors/{voiceConnectorId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "Name",
              "RequireEncryption"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              Name: {},
              RequireEncryption: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceConnector: {
                shape: "S5s"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by UpdateVoiceConnector in the Amazon Chime SDK Voice Namespace"
        },
        UpdateVoiceConnectorGroup: {
          http: {
            method: "PUT",
            requestUri: "/voice-connector-groups/{voiceConnectorGroupId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorGroupId",
              "Name",
              "VoiceConnectorItems"
            ],
            members: {
              VoiceConnectorGroupId: {
                location: "uri",
                locationName: "voiceConnectorGroupId"
              },
              Name: {},
              VoiceConnectorItems: {
                shape: "S5v"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceConnectorGroup: {
                shape: "S5z"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by UpdateVoiceConnectorGroup in the Amazon Chime SDK Voice Namespace"
        },
        ValidateE911Address: {
          http: {
            requestUri: "/emergency-calling/address",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "StreetNumber",
              "StreetInfo",
              "City",
              "State",
              "Country",
              "PostalCode"
            ],
            members: {
              AwsAccountId: {},
              StreetNumber: {
                shape: "Shg"
              },
              StreetInfo: {
                shape: "Shg"
              },
              City: {
                shape: "Shg"
              },
              State: {
                shape: "Shg"
              },
              Country: {
                shape: "Shg"
              },
              PostalCode: {
                shape: "Shg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ValidationResult: {
                type: "integer"
              },
              AddressExternalId: {},
              Address: {
                type: "structure",
                members: {
                  streetName: {
                    shape: "Shg"
                  },
                  streetSuffix: {
                    shape: "Shg"
                  },
                  postDirectional: {
                    shape: "Shg"
                  },
                  preDirectional: {
                    shape: "Shg"
                  },
                  streetNumber: {
                    shape: "Shg"
                  },
                  city: {
                    shape: "Shg"
                  },
                  state: {
                    shape: "Shg"
                  },
                  postalCode: {
                    shape: "Shg"
                  },
                  postalCodePlus4: {
                    shape: "Shg"
                  },
                  country: {
                    shape: "Shg"
                  }
                }
              },
              CandidateAddressList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    streetInfo: {
                      shape: "Shg"
                    },
                    streetNumber: {
                      shape: "Shg"
                    },
                    city: {
                      shape: "Shg"
                    },
                    state: {
                      shape: "Shg"
                    },
                    postalCode: {
                      shape: "Shg"
                    },
                    postalCodePlus4: {
                      shape: "Shg"
                    },
                    country: {
                      shape: "Shg"
                    }
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Replaced by ValidateE911Address in the Amazon Chime SDK Voice Namespace"
        }
      },
      shapes: {
        S3: {
          type: "string",
          sensitive: true
        },
        S7: {
          type: "list",
          member: {
            shape: "S3"
          }
        },
        Sa: {
          type: "list",
          member: {
            type: "structure",
            members: {
              PhoneNumberId: {},
              ErrorCode: {},
              ErrorMessage: {}
            }
          }
        },
        Sg: {
          type: "list",
          member: {
            type: "structure",
            members: {
              GroupName: {}
            }
          }
        },
        Sm: {
          type: "structure",
          required: [
            "ExternalUserId"
          ],
          members: {
            ExternalUserId: {
              shape: "Sn"
            },
            Tags: {
              shape: "So"
            }
          }
        },
        Sn: {
          type: "string",
          sensitive: true
        },
        So: {
          type: "list",
          member: {
            shape: "Sp"
          }
        },
        Sp: {
          type: "structure",
          required: [
            "Key",
            "Value"
          ],
          members: {
            Key: {
              shape: "Sq"
            },
            Value: {
              type: "string",
              sensitive: true
            }
          }
        },
        Sq: {
          type: "string",
          sensitive: true
        },
        St: {
          type: "list",
          member: {
            shape: "Su"
          }
        },
        Su: {
          type: "structure",
          members: {
            ExternalUserId: {
              shape: "Sn"
            },
            AttendeeId: {},
            JoinToken: {
              shape: "Sv"
            }
          }
        },
        Sv: {
          type: "string",
          sensitive: true
        },
        Sw: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ExternalUserId: {
                shape: "Sn"
              },
              ErrorCode: {},
              ErrorMessage: {}
            }
          }
        },
        S14: {
          type: "structure",
          members: {
            Arn: {},
            Name: {
              type: "string",
              sensitive: true
            }
          }
        },
        S1h: {
          type: "list",
          member: {}
        },
        S1k: {
          type: "list",
          member: {}
        },
        S1m: {
          type: "list",
          member: {
            type: "structure",
            members: {
              UserId: {},
              ErrorCode: {},
              ErrorMessage: {}
            }
          }
        },
        S1u: {
          type: "string",
          sensitive: true
        },
        S21: {
          type: "structure",
          members: {
            IsAlexaForBusinessEnabled: {
              type: "boolean"
            },
            AlexaForBusinessRoomArn: {
              shape: "S23"
            }
          }
        },
        S23: {
          type: "string",
          sensitive: true
        },
        S28: {
          type: "structure",
          required: [
            "AwsAccountId",
            "AccountId",
            "Name"
          ],
          members: {
            AwsAccountId: {},
            AccountId: {},
            Name: {},
            AccountType: {},
            CreatedTimestamp: {
              shape: "S2a"
            },
            DefaultLicense: {},
            SupportedLicenses: {
              type: "list",
              member: {}
            },
            AccountStatus: {},
            SigninDelegateGroups: {
              shape: "Sg"
            }
          }
        },
        S2a: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S2e: {
          type: "string",
          sensitive: true
        },
        S2f: {
          type: "string",
          sensitive: true
        },
        S2g: {
          type: "string",
          sensitive: true
        },
        S2h: {
          type: "list",
          member: {
            shape: "Sp"
          }
        },
        S2n: {
          type: "string",
          sensitive: true
        },
        S2t: {
          type: "structure",
          members: {
            BotId: {},
            UserId: {},
            DisplayName: {
              shape: "S23"
            },
            BotType: {},
            Disabled: {
              type: "boolean"
            },
            CreatedTimestamp: {
              shape: "S2a"
            },
            UpdatedTimestamp: {
              shape: "S2a"
            },
            BotEmail: {
              shape: "S23"
            },
            SecurityToken: {
              shape: "S23"
            }
          }
        },
        S37: {
          type: "string",
          sensitive: true
        },
        S39: {
          type: "structure",
          members: {
            SourceConfiguration: {
              type: "structure",
              members: {
                SelectedVideoStreams: {
                  type: "structure",
                  members: {
                    AttendeeIds: {
                      type: "list",
                      member: {}
                    },
                    ExternalUserIds: {
                      type: "list",
                      member: {
                        shape: "Sn"
                      }
                    }
                  }
                }
              }
            },
            ArtifactsConfiguration: {
              type: "structure",
              required: [
                "Audio",
                "Video",
                "Content"
              ],
              members: {
                Audio: {
                  type: "structure",
                  required: [
                    "MuxType"
                  ],
                  members: {
                    MuxType: {}
                  }
                },
                Video: {
                  type: "structure",
                  required: [
                    "State"
                  ],
                  members: {
                    State: {},
                    MuxType: {}
                  }
                },
                Content: {
                  type: "structure",
                  required: [
                    "State"
                  ],
                  members: {
                    State: {},
                    MuxType: {}
                  }
                }
              }
            }
          }
        },
        S3n: {
          type: "structure",
          members: {
            MediaPipelineId: {},
            SourceType: {},
            SourceArn: {
              shape: "S37"
            },
            Status: {},
            SinkType: {},
            SinkArn: {
              shape: "S37"
            },
            CreatedTimestamp: {
              shape: "S2a"
            },
            UpdatedTimestamp: {
              shape: "S2a"
            },
            ChimeSdkMeetingConfiguration: {
              shape: "S39"
            }
          }
        },
        S3q: {
          type: "string",
          sensitive: true
        },
        S3r: {
          type: "list",
          member: {
            shape: "Sp"
          }
        },
        S3s: {
          type: "structure",
          members: {
            SnsTopicArn: {
              shape: "S37"
            },
            SqsQueueArn: {
              shape: "S37"
            }
          }
        },
        S3u: {
          type: "structure",
          members: {
            MeetingId: {},
            ExternalMeetingId: {
              shape: "S3q"
            },
            MediaPlacement: {
              type: "structure",
              members: {
                AudioHostUrl: {},
                AudioFallbackUrl: {},
                ScreenDataUrl: {},
                ScreenSharingUrl: {},
                ScreenViewingUrl: {},
                SignalingUrl: {},
                TurnControlUrl: {},
                EventIngestionUrl: {}
              }
            },
            MediaRegion: {}
          }
        },
        S44: {
          type: "structure",
          members: {
            PhoneNumberOrderId: {},
            ProductType: {},
            Status: {},
            OrderedPhoneNumbers: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  E164PhoneNumber: {
                    shape: "S3"
                  },
                  Status: {}
                }
              }
            },
            CreatedTimestamp: {
              shape: "S2a"
            },
            UpdatedTimestamp: {
              shape: "S2a"
            }
          }
        },
        S4e: {
          type: "list",
          member: {}
        },
        S4i: {
          type: "structure",
          required: [
            "Country",
            "AreaCode"
          ],
          members: {
            Country: {},
            AreaCode: {}
          }
        },
        S4m: {
          type: "structure",
          members: {
            VoiceConnectorId: {},
            ProxySessionId: {},
            Name: {},
            Status: {},
            ExpiryMinutes: {
              type: "integer"
            },
            Capabilities: {
              shape: "S4e"
            },
            CreatedTimestamp: {
              shape: "S2a"
            },
            UpdatedTimestamp: {
              shape: "S2a"
            },
            EndedTimestamp: {
              shape: "S2a"
            },
            Participants: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  PhoneNumber: {
                    shape: "S3"
                  },
                  ProxyPhoneNumber: {
                    shape: "S3"
                  }
                }
              }
            },
            NumberSelectionBehavior: {},
            GeoMatchLevel: {},
            GeoMatchParams: {
              shape: "S4i"
            }
          }
        },
        S4t: {
          type: "structure",
          members: {
            RoomId: {},
            Name: {
              shape: "S23"
            },
            AccountId: {},
            CreatedBy: {},
            CreatedTimestamp: {
              shape: "S2a"
            },
            UpdatedTimestamp: {
              shape: "S2a"
            }
          }
        },
        S4w: {
          type: "structure",
          members: {
            RoomId: {},
            Member: {
              type: "structure",
              members: {
                MemberId: {},
                MemberType: {},
                Email: {
                  shape: "S23"
                },
                FullName: {
                  shape: "S23"
                },
                AccountId: {}
              }
            },
            Role: {},
            InvitedBy: {},
            UpdatedTimestamp: {
              shape: "S2a"
            }
          }
        },
        S51: {
          type: "list",
          member: {
            type: "structure",
            members: {
              LambdaArn: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        S55: {
          type: "structure",
          members: {
            SipMediaApplicationId: {},
            AwsRegion: {},
            Name: {},
            Endpoints: {
              shape: "S51"
            },
            CreatedTimestamp: {
              shape: "S2a"
            },
            UpdatedTimestamp: {
              shape: "S2a"
            }
          }
        },
        S59: {
          type: "structure",
          members: {
            TransactionId: {}
          }
        },
        S5d: {
          type: "list",
          member: {
            type: "structure",
            members: {
              SipMediaApplicationId: {},
              Priority: {
                type: "integer"
              },
              AwsRegion: {}
            }
          }
        },
        S5h: {
          type: "structure",
          members: {
            SipRuleId: {},
            Name: {},
            Disabled: {
              type: "boolean"
            },
            TriggerType: {},
            TriggerValue: {},
            TargetApplications: {
              shape: "S5d"
            },
            CreatedTimestamp: {
              shape: "S2a"
            },
            UpdatedTimestamp: {
              shape: "S2a"
            }
          }
        },
        S5j: {
          type: "string",
          sensitive: true
        },
        S5l: {
          type: "structure",
          required: [
            "UserId"
          ],
          members: {
            UserId: {},
            AccountId: {},
            PrimaryEmail: {
              shape: "S5j"
            },
            PrimaryProvisionedNumber: {
              shape: "S23"
            },
            DisplayName: {
              shape: "S23"
            },
            LicenseType: {},
            UserType: {},
            UserRegistrationStatus: {},
            UserInvitationStatus: {},
            RegisteredOn: {
              shape: "S2a"
            },
            InvitedOn: {
              shape: "S2a"
            },
            AlexaForBusinessMetadata: {
              shape: "S21"
            },
            PersonalPIN: {}
          }
        },
        S5s: {
          type: "structure",
          members: {
            VoiceConnectorId: {},
            AwsRegion: {},
            Name: {},
            OutboundHostName: {},
            RequireEncryption: {
              type: "boolean"
            },
            CreatedTimestamp: {
              shape: "S2a"
            },
            UpdatedTimestamp: {
              shape: "S2a"
            },
            VoiceConnectorArn: {}
          }
        },
        S5v: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "Priority"
            ],
            members: {
              VoiceConnectorId: {},
              Priority: {
                type: "integer"
              }
            }
          }
        },
        S5z: {
          type: "structure",
          members: {
            VoiceConnectorGroupId: {},
            Name: {},
            VoiceConnectorItems: {
              shape: "S5v"
            },
            CreatedTimestamp: {
              shape: "S2a"
            },
            UpdatedTimestamp: {
              shape: "S2a"
            },
            VoiceConnectorGroupArn: {}
          }
        },
        S6u: {
          type: "list",
          member: {
            shape: "S23"
          }
        },
        S7g: {
          type: "structure",
          members: {
            ChannelSummary: {
              shape: "S7h"
            },
            AppInstanceUserMembershipSummary: {
              type: "structure",
              members: {
                Type: {},
                ReadMarkerTimestamp: {
                  type: "timestamp"
                }
              }
            }
          }
        },
        S7h: {
          type: "structure",
          members: {
            Name: {
              shape: "S2e"
            },
            ChannelArn: {},
            Mode: {},
            Privacy: {},
            Metadata: {
              shape: "S2f"
            },
            LastMessageTimestamp: {
              type: "timestamp"
            }
          }
        },
        S7l: {
          type: "structure",
          members: {
            ChannelSummary: {
              shape: "S7h"
            }
          }
        },
        S81: {
          type: "structure",
          members: {
            DisableRemoteControl: {
              type: "boolean"
            },
            EnableDialOut: {
              type: "boolean"
            }
          }
        },
        S84: {
          type: "structure",
          members: {
            ChannelRetentionSettings: {
              type: "structure",
              members: {
                RetentionDays: {
                  type: "integer"
                }
              }
            }
          }
        },
        S89: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AppInstanceDataType",
              "ResourceArn"
            ],
            members: {
              AppInstanceDataType: {},
              ResourceArn: {
                shape: "S37"
              }
            }
          }
        },
        S8j: {
          type: "string",
          sensitive: true
        },
        S8p: {
          type: "structure",
          members: {
            BotId: {},
            OutboundEventsHTTPSEndpoint: {
              shape: "S23"
            },
            LambdaFunctionArn: {
              shape: "S23"
            }
          }
        },
        S8r: {
          type: "structure",
          members: {
            CdrBucket: {}
          }
        },
        S8s: {
          type: "structure",
          members: {
            CdrBucket: {}
          }
        },
        S93: {
          type: "structure",
          members: {
            PhoneNumberId: {},
            E164PhoneNumber: {
              shape: "S3"
            },
            Country: {},
            Type: {},
            ProductType: {},
            Status: {},
            Capabilities: {
              type: "structure",
              members: {
                InboundCall: {
                  type: "boolean"
                },
                OutboundCall: {
                  type: "boolean"
                },
                InboundSMS: {
                  type: "boolean"
                },
                OutboundSMS: {
                  type: "boolean"
                },
                InboundMMS: {
                  type: "boolean"
                },
                OutboundMMS: {
                  type: "boolean"
                }
              }
            },
            Associations: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Value: {},
                  Name: {},
                  AssociatedTimestamp: {
                    shape: "S2a"
                  }
                }
              }
            },
            CallingName: {
              shape: "S1u"
            },
            CallingNameStatus: {},
            CreatedTimestamp: {
              shape: "S2a"
            },
            UpdatedTimestamp: {
              shape: "S2a"
            },
            DeletionTimestamp: {
              shape: "S2a"
            }
          }
        },
        S9j: {
          type: "structure",
          members: {
            RoomRetentionSettings: {
              type: "structure",
              members: {
                RetentionDays: {
                  type: "integer"
                }
              }
            },
            ConversationRetentionSettings: {
              type: "structure",
              members: {
                RetentionDays: {
                  type: "integer"
                }
              }
            }
          }
        },
        S9s: {
          type: "structure",
          members: {
            EnableSipMediaApplicationMessageLogs: {
              type: "boolean"
            }
          }
        },
        S9z: {
          type: "structure",
          required: [
            "Telephony"
          ],
          members: {
            Telephony: {
              type: "structure",
              required: [
                "InboundCalling",
                "OutboundCalling",
                "SMS"
              ],
              members: {
                InboundCalling: {
                  type: "boolean"
                },
                OutboundCalling: {
                  type: "boolean"
                },
                SMS: {
                  type: "boolean"
                }
              }
            }
          }
        },
        Sa5: {
          type: "structure",
          members: {
            DNIS: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "EmergencyPhoneNumber",
                  "CallingCountry"
                ],
                members: {
                  EmergencyPhoneNumber: {
                    shape: "S3"
                  },
                  TestPhoneNumber: {
                    shape: "S3"
                  },
                  CallingCountry: {}
                }
              }
            }
          }
        },
        Sac: {
          type: "structure",
          members: {
            EnableSIPLogs: {
              type: "boolean"
            },
            EnableMediaMetricLogs: {
              type: "boolean"
            }
          }
        },
        Saf: {
          type: "structure",
          members: {
            Routes: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Host: {},
                  Port: {
                    type: "integer"
                  },
                  Protocol: {},
                  Priority: {
                    type: "integer"
                  },
                  Weight: {
                    type: "integer"
                  }
                }
              }
            },
            Disabled: {
              type: "boolean"
            }
          }
        },
        Sao: {
          type: "structure",
          members: {
            DefaultSessionExpiryMinutes: {
              type: "integer"
            },
            Disabled: {
              type: "boolean"
            },
            FallBackPhoneNumber: {
              shape: "S3"
            },
            PhoneNumberCountries: {
              shape: "Saq"
            }
          }
        },
        Saq: {
          type: "list",
          member: {}
        },
        Sat: {
          type: "structure",
          required: [
            "DataRetentionInHours"
          ],
          members: {
            DataRetentionInHours: {
              type: "integer"
            },
            Disabled: {
              type: "boolean"
            },
            StreamingNotificationTargets: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "NotificationTarget"
                ],
                members: {
                  NotificationTarget: {}
                }
              }
            }
          }
        },
        Sb0: {
          type: "structure",
          members: {
            CpsLimit: {
              type: "integer"
            },
            DefaultPhoneNumber: {
              shape: "S3"
            },
            CallingRegions: {
              type: "list",
              member: {}
            },
            CidrAllowedList: {
              shape: "Saq"
            },
            Disabled: {
              type: "boolean"
            }
          }
        },
        Sbj: {
          type: "string",
          sensitive: true
        },
        Shg: {
          type: "string",
          sensitive: true
        }
      },
      deprecated: true,
      deprecatedMessage: "This namespace has been deprecated"
    };
  }
});

// node_modules/aws-sdk/apis/chime-2018-05-01.paginators.json
var require_chime_2018_05_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/chime-2018-05-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAccounts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAppInstanceAdmins: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAppInstanceUsers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAppInstances: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAttendees: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListBots: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListChannelBans: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListChannelMemberships: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListChannelMembershipsForAppInstanceUser: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListChannelMessages: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListChannelModerators: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListChannels: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListChannelsModeratedByAppInstanceUser: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMediaCapturePipelines: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMeetings: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListPhoneNumberOrders: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListPhoneNumbers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListProxySessions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListRoomMemberships: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListRooms: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListSipMediaApplications: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListSipRules: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListUsers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListVoiceConnectorGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListVoiceConnectors: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        SearchAvailablePhoneNumbers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/chime.js
var require_chime = __commonJS({
  "node_modules/aws-sdk/clients/chime.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["chime"] = {};
    AWS2.Chime = Service.defineService("chime", ["2018-05-01"]);
    Object.defineProperty(apiLoader.services["chime"], "2018-05-01", {
      get: function get() {
        var model = require_chime_2018_05_01_min();
        model.paginators = require_chime_2018_05_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Chime;
  }
});

// node_modules/aws-sdk/apis/pinpoint-email-2018-07-26.min.json
var require_pinpoint_email_2018_07_26_min = __commonJS({
  "node_modules/aws-sdk/apis/pinpoint-email-2018-07-26.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-07-26",
        endpointPrefix: "email",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Pinpoint Email",
        serviceFullName: "Amazon Pinpoint Email Service",
        serviceId: "Pinpoint Email",
        signatureVersion: "v4",
        signingName: "ses",
        uid: "pinpoint-email-2018-07-26"
      },
      operations: {
        CreateConfigurationSet: {
          http: {
            requestUri: "/v1/email/configuration-sets"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {},
              TrackingOptions: {
                shape: "S3"
              },
              DeliveryOptions: {
                shape: "S5"
              },
              ReputationOptions: {
                shape: "S8"
              },
              SendingOptions: {
                shape: "Sb"
              },
              Tags: {
                shape: "Sc"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateConfigurationSetEventDestination: {
          http: {
            requestUri: "/v1/email/configuration-sets/{ConfigurationSetName}/event-destinations"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "EventDestinationName",
              "EventDestination"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              EventDestinationName: {},
              EventDestination: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateDedicatedIpPool: {
          http: {
            requestUri: "/v1/email/dedicated-ip-pools"
          },
          input: {
            type: "structure",
            required: [
              "PoolName"
            ],
            members: {
              PoolName: {},
              Tags: {
                shape: "Sc"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateDeliverabilityTestReport: {
          http: {
            requestUri: "/v1/email/deliverability-dashboard/test"
          },
          input: {
            type: "structure",
            required: [
              "FromEmailAddress",
              "Content"
            ],
            members: {
              ReportName: {},
              FromEmailAddress: {},
              Content: {
                shape: "S12"
              },
              Tags: {
                shape: "Sc"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ReportId",
              "DeliverabilityTestStatus"
            ],
            members: {
              ReportId: {},
              DeliverabilityTestStatus: {}
            }
          }
        },
        CreateEmailIdentity: {
          http: {
            requestUri: "/v1/email/identities"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity"
            ],
            members: {
              EmailIdentity: {},
              Tags: {
                shape: "Sc"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityType: {},
              VerifiedForSendingStatus: {
                type: "boolean"
              },
              DkimAttributes: {
                shape: "S1k"
              }
            }
          }
        },
        DeleteConfigurationSet: {
          http: {
            method: "DELETE",
            requestUri: "/v1/email/configuration-sets/{ConfigurationSetName}"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteConfigurationSetEventDestination: {
          http: {
            method: "DELETE",
            requestUri: "/v1/email/configuration-sets/{ConfigurationSetName}/event-destinations/{EventDestinationName}"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "EventDestinationName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              EventDestinationName: {
                location: "uri",
                locationName: "EventDestinationName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDedicatedIpPool: {
          http: {
            method: "DELETE",
            requestUri: "/v1/email/dedicated-ip-pools/{PoolName}"
          },
          input: {
            type: "structure",
            required: [
              "PoolName"
            ],
            members: {
              PoolName: {
                location: "uri",
                locationName: "PoolName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEmailIdentity: {
          http: {
            method: "DELETE",
            requestUri: "/v1/email/identities/{EmailIdentity}"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity"
            ],
            members: {
              EmailIdentity: {
                location: "uri",
                locationName: "EmailIdentity"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetAccount: {
          http: {
            method: "GET",
            requestUri: "/v1/email/account"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              SendQuota: {
                type: "structure",
                members: {
                  Max24HourSend: {
                    type: "double"
                  },
                  MaxSendRate: {
                    type: "double"
                  },
                  SentLast24Hours: {
                    type: "double"
                  }
                }
              },
              SendingEnabled: {
                type: "boolean"
              },
              DedicatedIpAutoWarmupEnabled: {
                type: "boolean"
              },
              EnforcementStatus: {},
              ProductionAccessEnabled: {
                type: "boolean"
              }
            }
          }
        },
        GetBlacklistReports: {
          http: {
            method: "GET",
            requestUri: "/v1/email/deliverability-dashboard/blacklist-report"
          },
          input: {
            type: "structure",
            required: [
              "BlacklistItemNames"
            ],
            members: {
              BlacklistItemNames: {
                location: "querystring",
                locationName: "BlacklistItemNames",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "BlacklistReport"
            ],
            members: {
              BlacklistReport: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      RblName: {},
                      ListingTime: {
                        type: "timestamp"
                      },
                      Description: {}
                    }
                  }
                }
              }
            }
          }
        },
        GetConfigurationSet: {
          http: {
            method: "GET",
            requestUri: "/v1/email/configuration-sets/{ConfigurationSetName}"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationSetName: {},
              TrackingOptions: {
                shape: "S3"
              },
              DeliveryOptions: {
                shape: "S5"
              },
              ReputationOptions: {
                shape: "S8"
              },
              SendingOptions: {
                shape: "Sb"
              },
              Tags: {
                shape: "Sc"
              }
            }
          }
        },
        GetConfigurationSetEventDestinations: {
          http: {
            method: "GET",
            requestUri: "/v1/email/configuration-sets/{ConfigurationSetName}/event-destinations"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventDestinations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "MatchingEventTypes"
                  ],
                  members: {
                    Name: {},
                    Enabled: {
                      type: "boolean"
                    },
                    MatchingEventTypes: {
                      shape: "Sk"
                    },
                    KinesisFirehoseDestination: {
                      shape: "Sm"
                    },
                    CloudWatchDestination: {
                      shape: "So"
                    },
                    SnsDestination: {
                      shape: "Su"
                    },
                    PinpointDestination: {
                      shape: "Sv"
                    }
                  }
                }
              }
            }
          }
        },
        GetDedicatedIp: {
          http: {
            method: "GET",
            requestUri: "/v1/email/dedicated-ips/{IP}"
          },
          input: {
            type: "structure",
            required: [
              "Ip"
            ],
            members: {
              Ip: {
                location: "uri",
                locationName: "IP"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DedicatedIp: {
                shape: "S2m"
              }
            }
          }
        },
        GetDedicatedIps: {
          http: {
            method: "GET",
            requestUri: "/v1/email/dedicated-ips"
          },
          input: {
            type: "structure",
            members: {
              PoolName: {
                location: "querystring",
                locationName: "PoolName"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DedicatedIps: {
                type: "list",
                member: {
                  shape: "S2m"
                }
              },
              NextToken: {}
            }
          }
        },
        GetDeliverabilityDashboardOptions: {
          http: {
            method: "GET",
            requestUri: "/v1/email/deliverability-dashboard"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "DashboardEnabled"
            ],
            members: {
              DashboardEnabled: {
                type: "boolean"
              },
              SubscriptionExpiryDate: {
                type: "timestamp"
              },
              AccountStatus: {},
              ActiveSubscribedDomains: {
                shape: "S2x"
              },
              PendingExpirationSubscribedDomains: {
                shape: "S2x"
              }
            }
          }
        },
        GetDeliverabilityTestReport: {
          http: {
            method: "GET",
            requestUri: "/v1/email/deliverability-dashboard/test-reports/{ReportId}"
          },
          input: {
            type: "structure",
            required: [
              "ReportId"
            ],
            members: {
              ReportId: {
                location: "uri",
                locationName: "ReportId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DeliverabilityTestReport",
              "OverallPlacement",
              "IspPlacements"
            ],
            members: {
              DeliverabilityTestReport: {
                shape: "S35"
              },
              OverallPlacement: {
                shape: "S37"
              },
              IspPlacements: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    IspName: {},
                    PlacementStatistics: {
                      shape: "S37"
                    }
                  }
                }
              },
              Message: {},
              Tags: {
                shape: "Sc"
              }
            }
          }
        },
        GetDomainDeliverabilityCampaign: {
          http: {
            method: "GET",
            requestUri: "/v1/email/deliverability-dashboard/campaigns/{CampaignId}"
          },
          input: {
            type: "structure",
            required: [
              "CampaignId"
            ],
            members: {
              CampaignId: {
                location: "uri",
                locationName: "CampaignId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainDeliverabilityCampaign"
            ],
            members: {
              DomainDeliverabilityCampaign: {
                shape: "S3f"
              }
            }
          }
        },
        GetDomainStatisticsReport: {
          http: {
            method: "GET",
            requestUri: "/v1/email/deliverability-dashboard/statistics-report/{Domain}"
          },
          input: {
            type: "structure",
            required: [
              "Domain",
              "StartDate",
              "EndDate"
            ],
            members: {
              Domain: {
                location: "uri",
                locationName: "Domain"
              },
              StartDate: {
                location: "querystring",
                locationName: "StartDate",
                type: "timestamp"
              },
              EndDate: {
                location: "querystring",
                locationName: "EndDate",
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "OverallVolume",
              "DailyVolumes"
            ],
            members: {
              OverallVolume: {
                type: "structure",
                members: {
                  VolumeStatistics: {
                    shape: "S3p"
                  },
                  ReadRatePercent: {
                    type: "double"
                  },
                  DomainIspPlacements: {
                    shape: "S3q"
                  }
                }
              },
              DailyVolumes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StartDate: {
                      type: "timestamp"
                    },
                    VolumeStatistics: {
                      shape: "S3p"
                    },
                    DomainIspPlacements: {
                      shape: "S3q"
                    }
                  }
                }
              }
            }
          }
        },
        GetEmailIdentity: {
          http: {
            method: "GET",
            requestUri: "/v1/email/identities/{EmailIdentity}"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity"
            ],
            members: {
              EmailIdentity: {
                location: "uri",
                locationName: "EmailIdentity"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityType: {},
              FeedbackForwardingStatus: {
                type: "boolean"
              },
              VerifiedForSendingStatus: {
                type: "boolean"
              },
              DkimAttributes: {
                shape: "S1k"
              },
              MailFromAttributes: {
                type: "structure",
                required: [
                  "MailFromDomain",
                  "MailFromDomainStatus",
                  "BehaviorOnMxFailure"
                ],
                members: {
                  MailFromDomain: {},
                  MailFromDomainStatus: {},
                  BehaviorOnMxFailure: {}
                }
              },
              Tags: {
                shape: "Sc"
              }
            }
          }
        },
        ListConfigurationSets: {
          http: {
            method: "GET",
            requestUri: "/v1/email/configuration-sets"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationSets: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListDedicatedIpPools: {
          http: {
            method: "GET",
            requestUri: "/v1/email/dedicated-ip-pools"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DedicatedIpPools: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListDeliverabilityTestReports: {
          http: {
            method: "GET",
            requestUri: "/v1/email/deliverability-dashboard/test-reports"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DeliverabilityTestReports"
            ],
            members: {
              DeliverabilityTestReports: {
                type: "list",
                member: {
                  shape: "S35"
                }
              },
              NextToken: {}
            }
          }
        },
        ListDomainDeliverabilityCampaigns: {
          http: {
            method: "GET",
            requestUri: "/v1/email/deliverability-dashboard/domains/{SubscribedDomain}/campaigns"
          },
          input: {
            type: "structure",
            required: [
              "StartDate",
              "EndDate",
              "SubscribedDomain"
            ],
            members: {
              StartDate: {
                location: "querystring",
                locationName: "StartDate",
                type: "timestamp"
              },
              EndDate: {
                location: "querystring",
                locationName: "EndDate",
                type: "timestamp"
              },
              SubscribedDomain: {
                location: "uri",
                locationName: "SubscribedDomain"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainDeliverabilityCampaigns"
            ],
            members: {
              DomainDeliverabilityCampaigns: {
                type: "list",
                member: {
                  shape: "S3f"
                }
              },
              NextToken: {}
            }
          }
        },
        ListEmailIdentities: {
          http: {
            method: "GET",
            requestUri: "/v1/email/identities"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EmailIdentities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    IdentityType: {},
                    IdentityName: {},
                    SendingEnabled: {
                      type: "boolean"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/v1/email/tags"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "querystring",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "Sc"
              }
            }
          }
        },
        PutAccountDedicatedIpWarmupAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v1/email/account/dedicated-ips/warmup"
          },
          input: {
            type: "structure",
            members: {
              AutoWarmupEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutAccountSendingAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v1/email/account/sending"
          },
          input: {
            type: "structure",
            members: {
              SendingEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutConfigurationSetDeliveryOptions: {
          http: {
            method: "PUT",
            requestUri: "/v1/email/configuration-sets/{ConfigurationSetName}/delivery-options"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              TlsPolicy: {},
              SendingPoolName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutConfigurationSetReputationOptions: {
          http: {
            method: "PUT",
            requestUri: "/v1/email/configuration-sets/{ConfigurationSetName}/reputation-options"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              ReputationMetricsEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutConfigurationSetSendingOptions: {
          http: {
            method: "PUT",
            requestUri: "/v1/email/configuration-sets/{ConfigurationSetName}/sending"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              SendingEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutConfigurationSetTrackingOptions: {
          http: {
            method: "PUT",
            requestUri: "/v1/email/configuration-sets/{ConfigurationSetName}/tracking-options"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              CustomRedirectDomain: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutDedicatedIpInPool: {
          http: {
            method: "PUT",
            requestUri: "/v1/email/dedicated-ips/{IP}/pool"
          },
          input: {
            type: "structure",
            required: [
              "Ip",
              "DestinationPoolName"
            ],
            members: {
              Ip: {
                location: "uri",
                locationName: "IP"
              },
              DestinationPoolName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutDedicatedIpWarmupAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v1/email/dedicated-ips/{IP}/warmup"
          },
          input: {
            type: "structure",
            required: [
              "Ip",
              "WarmupPercentage"
            ],
            members: {
              Ip: {
                location: "uri",
                locationName: "IP"
              },
              WarmupPercentage: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutDeliverabilityDashboardOption: {
          http: {
            method: "PUT",
            requestUri: "/v1/email/deliverability-dashboard"
          },
          input: {
            type: "structure",
            required: [
              "DashboardEnabled"
            ],
            members: {
              DashboardEnabled: {
                type: "boolean"
              },
              SubscribedDomains: {
                shape: "S2x"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutEmailIdentityDkimAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v1/email/identities/{EmailIdentity}/dkim"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity"
            ],
            members: {
              EmailIdentity: {
                location: "uri",
                locationName: "EmailIdentity"
              },
              SigningEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutEmailIdentityFeedbackAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v1/email/identities/{EmailIdentity}/feedback"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity"
            ],
            members: {
              EmailIdentity: {
                location: "uri",
                locationName: "EmailIdentity"
              },
              EmailForwardingEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutEmailIdentityMailFromAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v1/email/identities/{EmailIdentity}/mail-from"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity"
            ],
            members: {
              EmailIdentity: {
                location: "uri",
                locationName: "EmailIdentity"
              },
              MailFromDomain: {},
              BehaviorOnMxFailure: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SendEmail: {
          http: {
            requestUri: "/v1/email/outbound-emails"
          },
          input: {
            type: "structure",
            required: [
              "Destination",
              "Content"
            ],
            members: {
              FromEmailAddress: {},
              Destination: {
                type: "structure",
                members: {
                  ToAddresses: {
                    shape: "S59"
                  },
                  CcAddresses: {
                    shape: "S59"
                  },
                  BccAddresses: {
                    shape: "S59"
                  }
                }
              },
              ReplyToAddresses: {
                shape: "S59"
              },
              FeedbackForwardingEmailAddress: {},
              Content: {
                shape: "S12"
              },
              EmailTags: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Value"
                  ],
                  members: {
                    Name: {},
                    Value: {}
                  }
                }
              },
              ConfigurationSetName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MessageId: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/v1/email/tags"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sc"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/v1/email/tags"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "querystring",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "TagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateConfigurationSetEventDestination: {
          http: {
            method: "PUT",
            requestUri: "/v1/email/configuration-sets/{ConfigurationSetName}/event-destinations/{EventDestinationName}"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "EventDestinationName",
              "EventDestination"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              EventDestinationName: {
                location: "uri",
                locationName: "EventDestinationName"
              },
              EventDestination: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S3: {
          type: "structure",
          required: [
            "CustomRedirectDomain"
          ],
          members: {
            CustomRedirectDomain: {}
          }
        },
        S5: {
          type: "structure",
          members: {
            TlsPolicy: {},
            SendingPoolName: {}
          }
        },
        S8: {
          type: "structure",
          members: {
            ReputationMetricsEnabled: {
              type: "boolean"
            },
            LastFreshStart: {
              type: "timestamp"
            }
          }
        },
        Sb: {
          type: "structure",
          members: {
            SendingEnabled: {
              type: "boolean"
            }
          }
        },
        Sc: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sj: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            MatchingEventTypes: {
              shape: "Sk"
            },
            KinesisFirehoseDestination: {
              shape: "Sm"
            },
            CloudWatchDestination: {
              shape: "So"
            },
            SnsDestination: {
              shape: "Su"
            },
            PinpointDestination: {
              shape: "Sv"
            }
          }
        },
        Sk: {
          type: "list",
          member: {}
        },
        Sm: {
          type: "structure",
          required: [
            "IamRoleArn",
            "DeliveryStreamArn"
          ],
          members: {
            IamRoleArn: {},
            DeliveryStreamArn: {}
          }
        },
        So: {
          type: "structure",
          required: [
            "DimensionConfigurations"
          ],
          members: {
            DimensionConfigurations: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "DimensionName",
                  "DimensionValueSource",
                  "DefaultDimensionValue"
                ],
                members: {
                  DimensionName: {},
                  DimensionValueSource: {},
                  DefaultDimensionValue: {}
                }
              }
            }
          }
        },
        Su: {
          type: "structure",
          required: [
            "TopicArn"
          ],
          members: {
            TopicArn: {}
          }
        },
        Sv: {
          type: "structure",
          members: {
            ApplicationArn: {}
          }
        },
        S12: {
          type: "structure",
          members: {
            Simple: {
              type: "structure",
              required: [
                "Subject",
                "Body"
              ],
              members: {
                Subject: {
                  shape: "S14"
                },
                Body: {
                  type: "structure",
                  members: {
                    Text: {
                      shape: "S14"
                    },
                    Html: {
                      shape: "S14"
                    }
                  }
                }
              }
            },
            Raw: {
              type: "structure",
              required: [
                "Data"
              ],
              members: {
                Data: {
                  type: "blob"
                }
              }
            },
            Template: {
              type: "structure",
              members: {
                TemplateArn: {},
                TemplateData: {}
              }
            }
          }
        },
        S14: {
          type: "structure",
          required: [
            "Data"
          ],
          members: {
            Data: {},
            Charset: {}
          }
        },
        S1k: {
          type: "structure",
          members: {
            SigningEnabled: {
              type: "boolean"
            },
            Status: {},
            Tokens: {
              type: "list",
              member: {}
            }
          }
        },
        S2m: {
          type: "structure",
          required: [
            "Ip",
            "WarmupStatus",
            "WarmupPercentage"
          ],
          members: {
            Ip: {},
            WarmupStatus: {},
            WarmupPercentage: {
              type: "integer"
            },
            PoolName: {}
          }
        },
        S2x: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Domain: {},
              SubscriptionStartDate: {
                type: "timestamp"
              },
              InboxPlacementTrackingOption: {
                type: "structure",
                members: {
                  Global: {
                    type: "boolean"
                  },
                  TrackedIsps: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          }
        },
        S35: {
          type: "structure",
          members: {
            ReportId: {},
            ReportName: {},
            Subject: {},
            FromEmailAddress: {},
            CreateDate: {
              type: "timestamp"
            },
            DeliverabilityTestStatus: {}
          }
        },
        S37: {
          type: "structure",
          members: {
            InboxPercentage: {
              type: "double"
            },
            SpamPercentage: {
              type: "double"
            },
            MissingPercentage: {
              type: "double"
            },
            SpfPercentage: {
              type: "double"
            },
            DkimPercentage: {
              type: "double"
            }
          }
        },
        S3f: {
          type: "structure",
          members: {
            CampaignId: {},
            ImageUrl: {},
            Subject: {},
            FromAddress: {},
            SendingIps: {
              type: "list",
              member: {}
            },
            FirstSeenDateTime: {
              type: "timestamp"
            },
            LastSeenDateTime: {
              type: "timestamp"
            },
            InboxCount: {
              type: "long"
            },
            SpamCount: {
              type: "long"
            },
            ReadRate: {
              type: "double"
            },
            DeleteRate: {
              type: "double"
            },
            ReadDeleteRate: {
              type: "double"
            },
            ProjectedVolume: {
              type: "long"
            },
            Esps: {
              type: "list",
              member: {}
            }
          }
        },
        S3p: {
          type: "structure",
          members: {
            InboxRawCount: {
              type: "long"
            },
            SpamRawCount: {
              type: "long"
            },
            ProjectedInbox: {
              type: "long"
            },
            ProjectedSpam: {
              type: "long"
            }
          }
        },
        S3q: {
          type: "list",
          member: {
            type: "structure",
            members: {
              IspName: {},
              InboxRawCount: {
                type: "long"
              },
              SpamRawCount: {
                type: "long"
              },
              InboxPercentage: {
                type: "double"
              },
              SpamPercentage: {
                type: "double"
              }
            }
          }
        },
        S59: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/pinpoint-email-2018-07-26.paginators.json
var require_pinpoint_email_2018_07_26_paginators = __commonJS({
  "node_modules/aws-sdk/apis/pinpoint-email-2018-07-26.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetDedicatedIps: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListConfigurationSets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListDedicatedIpPools: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListDeliverabilityTestReports: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListDomainDeliverabilityCampaigns: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListEmailIdentities: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/pinpointemail.js
var require_pinpointemail = __commonJS({
  "node_modules/aws-sdk/clients/pinpointemail.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["pinpointemail"] = {};
    AWS2.PinpointEmail = Service.defineService("pinpointemail", ["2018-07-26"]);
    Object.defineProperty(apiLoader.services["pinpointemail"], "2018-07-26", {
      get: function get() {
        var model = require_pinpoint_email_2018_07_26_min();
        model.paginators = require_pinpoint_email_2018_07_26_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.PinpointEmail;
  }
});

// node_modules/aws-sdk/apis/ram-2018-01-04.min.json
var require_ram_2018_01_04_min = __commonJS({
  "node_modules/aws-sdk/apis/ram-2018-01-04.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-01-04",
        endpointPrefix: "ram",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "RAM",
        serviceFullName: "AWS Resource Access Manager",
        serviceId: "RAM",
        signatureVersion: "v4",
        uid: "ram-2018-01-04"
      },
      operations: {
        AcceptResourceShareInvitation: {
          http: {
            requestUri: "/acceptresourceshareinvitation"
          },
          input: {
            type: "structure",
            required: [
              "resourceShareInvitationArn"
            ],
            members: {
              resourceShareInvitationArn: {},
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resourceShareInvitation: {
                shape: "S4"
              },
              clientToken: {}
            }
          }
        },
        AssociateResourceShare: {
          http: {
            requestUri: "/associateresourceshare"
          },
          input: {
            type: "structure",
            required: [
              "resourceShareArn"
            ],
            members: {
              resourceShareArn: {},
              resourceArns: {
                shape: "Sd"
              },
              principals: {
                shape: "Se"
              },
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resourceShareAssociations: {
                shape: "S7"
              },
              clientToken: {}
            }
          }
        },
        AssociateResourceSharePermission: {
          http: {
            requestUri: "/associateresourcesharepermission"
          },
          input: {
            type: "structure",
            required: [
              "resourceShareArn",
              "permissionArn"
            ],
            members: {
              resourceShareArn: {},
              permissionArn: {},
              replace: {
                type: "boolean"
              },
              clientToken: {},
              permissionVersion: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              returnValue: {
                type: "boolean"
              },
              clientToken: {}
            }
          }
        },
        CreatePermission: {
          http: {
            requestUri: "/createpermission"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "resourceType",
              "policyTemplate"
            ],
            members: {
              name: {},
              resourceType: {},
              policyTemplate: {},
              clientToken: {},
              tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              permission: {
                shape: "Sr"
              },
              clientToken: {}
            }
          }
        },
        CreatePermissionVersion: {
          http: {
            requestUri: "/createpermissionversion"
          },
          input: {
            type: "structure",
            required: [
              "permissionArn",
              "policyTemplate"
            ],
            members: {
              permissionArn: {},
              policyTemplate: {},
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              permission: {
                shape: "Sw"
              },
              clientToken: {}
            }
          }
        },
        CreateResourceShare: {
          http: {
            requestUri: "/createresourceshare"
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              resourceArns: {
                shape: "Sd"
              },
              principals: {
                shape: "Se"
              },
              tags: {
                shape: "Sm"
              },
              allowExternalPrincipals: {
                type: "boolean"
              },
              clientToken: {},
              permissionArns: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resourceShare: {
                shape: "S11"
              },
              clientToken: {}
            }
          }
        },
        DeletePermission: {
          http: {
            method: "DELETE",
            requestUri: "/deletepermission"
          },
          input: {
            type: "structure",
            required: [
              "permissionArn"
            ],
            members: {
              permissionArn: {
                location: "querystring",
                locationName: "permissionArn"
              },
              clientToken: {
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              returnValue: {
                type: "boolean"
              },
              clientToken: {},
              permissionStatus: {}
            }
          }
        },
        DeletePermissionVersion: {
          http: {
            method: "DELETE",
            requestUri: "/deletepermissionversion"
          },
          input: {
            type: "structure",
            required: [
              "permissionArn",
              "permissionVersion"
            ],
            members: {
              permissionArn: {
                location: "querystring",
                locationName: "permissionArn"
              },
              permissionVersion: {
                location: "querystring",
                locationName: "permissionVersion",
                type: "integer"
              },
              clientToken: {
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              returnValue: {
                type: "boolean"
              },
              clientToken: {},
              permissionStatus: {}
            }
          }
        },
        DeleteResourceShare: {
          http: {
            method: "DELETE",
            requestUri: "/deleteresourceshare"
          },
          input: {
            type: "structure",
            required: [
              "resourceShareArn"
            ],
            members: {
              resourceShareArn: {
                location: "querystring",
                locationName: "resourceShareArn"
              },
              clientToken: {
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              returnValue: {
                type: "boolean"
              },
              clientToken: {}
            }
          }
        },
        DisassociateResourceShare: {
          http: {
            requestUri: "/disassociateresourceshare"
          },
          input: {
            type: "structure",
            required: [
              "resourceShareArn"
            ],
            members: {
              resourceShareArn: {},
              resourceArns: {
                shape: "Sd"
              },
              principals: {
                shape: "Se"
              },
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resourceShareAssociations: {
                shape: "S7"
              },
              clientToken: {}
            }
          }
        },
        DisassociateResourceSharePermission: {
          http: {
            requestUri: "/disassociateresourcesharepermission"
          },
          input: {
            type: "structure",
            required: [
              "resourceShareArn",
              "permissionArn"
            ],
            members: {
              resourceShareArn: {},
              permissionArn: {},
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              returnValue: {
                type: "boolean"
              },
              clientToken: {}
            }
          }
        },
        EnableSharingWithAwsOrganization: {
          http: {
            requestUri: "/enablesharingwithawsorganization"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              returnValue: {
                type: "boolean"
              }
            }
          }
        },
        GetPermission: {
          http: {
            requestUri: "/getpermission"
          },
          input: {
            type: "structure",
            required: [
              "permissionArn"
            ],
            members: {
              permissionArn: {},
              permissionVersion: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              permission: {
                shape: "Sw"
              }
            }
          }
        },
        GetResourcePolicies: {
          http: {
            requestUri: "/getresourcepolicies"
          },
          input: {
            type: "structure",
            required: [
              "resourceArns"
            ],
            members: {
              resourceArns: {
                shape: "Sd"
              },
              principal: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              policies: {
                type: "list",
                member: {}
              },
              nextToken: {}
            }
          }
        },
        GetResourceShareAssociations: {
          http: {
            requestUri: "/getresourceshareassociations"
          },
          input: {
            type: "structure",
            required: [
              "associationType"
            ],
            members: {
              associationType: {},
              resourceShareArns: {
                shape: "S1n"
              },
              resourceArn: {},
              principal: {},
              associationStatus: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resourceShareAssociations: {
                shape: "S7"
              },
              nextToken: {}
            }
          }
        },
        GetResourceShareInvitations: {
          http: {
            requestUri: "/getresourceshareinvitations"
          },
          input: {
            type: "structure",
            members: {
              resourceShareInvitationArns: {
                type: "list",
                member: {}
              },
              resourceShareArns: {
                shape: "S1n"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resourceShareInvitations: {
                type: "list",
                member: {
                  shape: "S4"
                }
              },
              nextToken: {}
            }
          }
        },
        GetResourceShares: {
          http: {
            requestUri: "/getresourceshares"
          },
          input: {
            type: "structure",
            required: [
              "resourceOwner"
            ],
            members: {
              resourceShareArns: {
                shape: "S1n"
              },
              resourceShareStatus: {},
              resourceOwner: {},
              name: {},
              tagFilters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    tagKey: {},
                    tagValues: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              permissionArn: {},
              permissionVersion: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resourceShares: {
                type: "list",
                member: {
                  shape: "S11"
                }
              },
              nextToken: {}
            }
          }
        },
        ListPendingInvitationResources: {
          http: {
            requestUri: "/listpendinginvitationresources"
          },
          input: {
            type: "structure",
            required: [
              "resourceShareInvitationArn"
            ],
            members: {
              resourceShareInvitationArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              resourceRegionScope: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resources: {
                shape: "S23"
              },
              nextToken: {}
            }
          }
        },
        ListPermissionAssociations: {
          http: {
            requestUri: "/listpermissionassociations"
          },
          input: {
            type: "structure",
            members: {
              permissionArn: {},
              permissionVersion: {
                type: "integer"
              },
              associationStatus: {},
              resourceType: {},
              featureSet: {},
              defaultVersion: {
                type: "boolean"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              permissions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    permissionVersion: {},
                    defaultVersion: {
                      type: "boolean"
                    },
                    resourceType: {},
                    status: {},
                    featureSet: {},
                    lastUpdatedTime: {
                      type: "timestamp"
                    },
                    resourceShareArn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListPermissionVersions: {
          http: {
            requestUri: "/listpermissionversions"
          },
          input: {
            type: "structure",
            required: [
              "permissionArn"
            ],
            members: {
              permissionArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              permissions: {
                shape: "S2d"
              },
              nextToken: {}
            }
          }
        },
        ListPermissions: {
          http: {
            requestUri: "/listpermissions"
          },
          input: {
            type: "structure",
            members: {
              resourceType: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              permissionType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              permissions: {
                shape: "S2d"
              },
              nextToken: {}
            }
          }
        },
        ListPrincipals: {
          http: {
            requestUri: "/listprincipals"
          },
          input: {
            type: "structure",
            required: [
              "resourceOwner"
            ],
            members: {
              resourceOwner: {},
              resourceArn: {},
              principals: {
                shape: "Se"
              },
              resourceType: {},
              resourceShareArns: {
                shape: "S1n"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              principals: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    resourceShareArn: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    lastUpdatedTime: {
                      type: "timestamp"
                    },
                    external: {
                      type: "boolean"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListReplacePermissionAssociationsWork: {
          http: {
            requestUri: "/listreplacepermissionassociationswork"
          },
          input: {
            type: "structure",
            members: {
              workIds: {
                type: "list",
                member: {}
              },
              status: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              replacePermissionAssociationsWorks: {
                type: "list",
                member: {
                  shape: "S2q"
                }
              },
              nextToken: {}
            }
          }
        },
        ListResourceSharePermissions: {
          http: {
            requestUri: "/listresourcesharepermissions"
          },
          input: {
            type: "structure",
            required: [
              "resourceShareArn"
            ],
            members: {
              resourceShareArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              permissions: {
                shape: "S2d"
              },
              nextToken: {}
            }
          }
        },
        ListResourceTypes: {
          http: {
            requestUri: "/listresourcetypes"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              resourceRegionScope: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resourceTypes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    resourceType: {},
                    serviceName: {},
                    resourceRegionScope: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListResources: {
          http: {
            requestUri: "/listresources"
          },
          input: {
            type: "structure",
            required: [
              "resourceOwner"
            ],
            members: {
              resourceOwner: {},
              principal: {},
              resourceType: {},
              resourceArns: {
                shape: "Sd"
              },
              resourceShareArns: {
                shape: "S1n"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              resourceRegionScope: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resources: {
                shape: "S23"
              },
              nextToken: {}
            }
          }
        },
        PromotePermissionCreatedFromPolicy: {
          http: {
            requestUri: "/promotepermissioncreatedfrompolicy"
          },
          input: {
            type: "structure",
            required: [
              "permissionArn",
              "name"
            ],
            members: {
              permissionArn: {},
              name: {},
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              permission: {
                shape: "Sr"
              },
              clientToken: {}
            }
          }
        },
        PromoteResourceShareCreatedFromPolicy: {
          http: {
            requestUri: "/promoteresourcesharecreatedfrompolicy"
          },
          input: {
            type: "structure",
            required: [
              "resourceShareArn"
            ],
            members: {
              resourceShareArn: {
                location: "querystring",
                locationName: "resourceShareArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              returnValue: {
                type: "boolean"
              }
            }
          }
        },
        RejectResourceShareInvitation: {
          http: {
            requestUri: "/rejectresourceshareinvitation"
          },
          input: {
            type: "structure",
            required: [
              "resourceShareInvitationArn"
            ],
            members: {
              resourceShareInvitationArn: {},
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resourceShareInvitation: {
                shape: "S4"
              },
              clientToken: {}
            }
          }
        },
        ReplacePermissionAssociations: {
          http: {
            requestUri: "/replacepermissionassociations"
          },
          input: {
            type: "structure",
            required: [
              "fromPermissionArn",
              "toPermissionArn"
            ],
            members: {
              fromPermissionArn: {},
              fromPermissionVersion: {
                type: "integer"
              },
              toPermissionArn: {},
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              replacePermissionAssociationsWork: {
                shape: "S2q"
              },
              clientToken: {}
            }
          }
        },
        SetDefaultPermissionVersion: {
          http: {
            requestUri: "/setdefaultpermissionversion"
          },
          input: {
            type: "structure",
            required: [
              "permissionArn",
              "permissionVersion"
            ],
            members: {
              permissionArn: {},
              permissionVersion: {
                type: "integer"
              },
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              returnValue: {
                type: "boolean"
              },
              clientToken: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tagresource"
          },
          input: {
            type: "structure",
            required: [
              "tags"
            ],
            members: {
              resourceShareArn: {},
              tags: {
                shape: "Sm"
              },
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            requestUri: "/untagresource"
          },
          input: {
            type: "structure",
            required: [
              "tagKeys"
            ],
            members: {
              resourceShareArn: {},
              tagKeys: {
                type: "list",
                member: {}
              },
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateResourceShare: {
          http: {
            requestUri: "/updateresourceshare"
          },
          input: {
            type: "structure",
            required: [
              "resourceShareArn"
            ],
            members: {
              resourceShareArn: {},
              name: {},
              allowExternalPrincipals: {
                type: "boolean"
              },
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resourceShare: {
                shape: "S11"
              },
              clientToken: {}
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            resourceShareInvitationArn: {},
            resourceShareName: {},
            resourceShareArn: {},
            senderAccountId: {},
            receiverAccountId: {},
            invitationTimestamp: {
              type: "timestamp"
            },
            status: {},
            resourceShareAssociations: {
              shape: "S7",
              deprecated: true,
              deprecatedMessage: "This member has been deprecated. Use ListPendingInvitationResources."
            },
            receiverArn: {}
          }
        },
        S7: {
          type: "list",
          member: {
            type: "structure",
            members: {
              resourceShareArn: {},
              resourceShareName: {},
              associatedEntity: {},
              associationType: {},
              status: {},
              statusMessage: {},
              creationTime: {
                type: "timestamp"
              },
              lastUpdatedTime: {
                type: "timestamp"
              },
              external: {
                type: "boolean"
              }
            }
          }
        },
        Sd: {
          type: "list",
          member: {}
        },
        Se: {
          type: "list",
          member: {}
        },
        Sm: {
          type: "list",
          member: {
            type: "structure",
            members: {
              key: {},
              value: {}
            }
          }
        },
        Sr: {
          type: "structure",
          members: {
            arn: {},
            version: {},
            defaultVersion: {
              type: "boolean"
            },
            name: {},
            resourceType: {},
            status: {},
            creationTime: {
              type: "timestamp"
            },
            lastUpdatedTime: {
              type: "timestamp"
            },
            isResourceTypeDefault: {
              type: "boolean"
            },
            permissionType: {},
            featureSet: {},
            tags: {
              shape: "Sm"
            }
          }
        },
        Sw: {
          type: "structure",
          members: {
            arn: {},
            version: {},
            defaultVersion: {
              type: "boolean"
            },
            name: {},
            resourceType: {},
            permission: {},
            creationTime: {
              type: "timestamp"
            },
            lastUpdatedTime: {
              type: "timestamp"
            },
            isResourceTypeDefault: {
              type: "boolean"
            },
            permissionType: {},
            featureSet: {},
            status: {},
            tags: {
              shape: "Sm"
            }
          }
        },
        S11: {
          type: "structure",
          members: {
            resourceShareArn: {},
            name: {},
            owningAccountId: {},
            allowExternalPrincipals: {
              type: "boolean"
            },
            status: {},
            statusMessage: {},
            tags: {
              shape: "Sm"
            },
            creationTime: {
              type: "timestamp"
            },
            lastUpdatedTime: {
              type: "timestamp"
            },
            featureSet: {}
          }
        },
        S1n: {
          type: "list",
          member: {}
        },
        S23: {
          type: "list",
          member: {
            type: "structure",
            members: {
              arn: {},
              type: {},
              resourceShareArn: {},
              resourceGroupArn: {},
              status: {},
              statusMessage: {},
              creationTime: {
                type: "timestamp"
              },
              lastUpdatedTime: {
                type: "timestamp"
              },
              resourceRegionScope: {}
            }
          }
        },
        S2d: {
          type: "list",
          member: {
            shape: "Sr"
          }
        },
        S2q: {
          type: "structure",
          members: {
            id: {},
            fromPermissionArn: {},
            fromPermissionVersion: {},
            toPermissionArn: {},
            toPermissionVersion: {},
            status: {},
            statusMessage: {},
            creationTime: {
              type: "timestamp"
            },
            lastUpdatedTime: {
              type: "timestamp"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ram-2018-01-04.paginators.json
var require_ram_2018_01_04_paginators = __commonJS({
  "node_modules/aws-sdk/apis/ram-2018-01-04.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetResourcePolicies: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetResourceShareAssociations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetResourceShareInvitations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetResourceShares: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListPendingInvitationResources: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListPermissionAssociations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListPermissionVersions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListPermissions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListPrincipals: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListReplacePermissionAssociationsWork: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListResourceSharePermissions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListResourceTypes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListResources: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/ram.js
var require_ram = __commonJS({
  "node_modules/aws-sdk/clients/ram.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ram"] = {};
    AWS2.RAM = Service.defineService("ram", ["2018-01-04"]);
    Object.defineProperty(apiLoader.services["ram"], "2018-01-04", {
      get: function get() {
        var model = require_ram_2018_01_04_min();
        model.paginators = require_ram_2018_01_04_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.RAM;
  }
});

// node_modules/aws-sdk/apis/route53resolver-2018-04-01.min.json
var require_route53resolver_2018_04_01_min = __commonJS({
  "node_modules/aws-sdk/apis/route53resolver-2018-04-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-04-01",
        endpointPrefix: "route53resolver",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Route53Resolver",
        serviceFullName: "Amazon Route 53 Resolver",
        serviceId: "Route53Resolver",
        signatureVersion: "v4",
        targetPrefix: "Route53Resolver",
        uid: "route53resolver-2018-04-01"
      },
      operations: {
        AssociateFirewallRuleGroup: {
          input: {
            type: "structure",
            required: [
              "CreatorRequestId",
              "FirewallRuleGroupId",
              "VpcId",
              "Priority",
              "Name"
            ],
            members: {
              CreatorRequestId: {
                idempotencyToken: true
              },
              FirewallRuleGroupId: {},
              VpcId: {},
              Priority: {
                type: "integer"
              },
              Name: {},
              MutationProtection: {},
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallRuleGroupAssociation: {
                shape: "Sc"
              }
            }
          }
        },
        AssociateResolverEndpointIpAddress: {
          input: {
            type: "structure",
            required: [
              "ResolverEndpointId",
              "IpAddress"
            ],
            members: {
              ResolverEndpointId: {},
              IpAddress: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverEndpoint: {
                shape: "So"
              }
            }
          }
        },
        AssociateResolverQueryLogConfig: {
          input: {
            type: "structure",
            required: [
              "ResolverQueryLogConfigId",
              "ResourceId"
            ],
            members: {
              ResolverQueryLogConfigId: {},
              ResourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverQueryLogConfigAssociation: {
                shape: "Sw"
              }
            }
          }
        },
        AssociateResolverRule: {
          input: {
            type: "structure",
            required: [
              "ResolverRuleId",
              "VPCId"
            ],
            members: {
              ResolverRuleId: {},
              Name: {},
              VPCId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverRuleAssociation: {
                shape: "S12"
              }
            }
          }
        },
        CreateFirewallDomainList: {
          input: {
            type: "structure",
            required: [
              "CreatorRequestId",
              "Name"
            ],
            members: {
              CreatorRequestId: {
                idempotencyToken: true
              },
              Name: {},
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallDomainList: {
                shape: "S16"
              }
            }
          }
        },
        CreateFirewallRule: {
          input: {
            type: "structure",
            required: [
              "CreatorRequestId",
              "FirewallRuleGroupId",
              "FirewallDomainListId",
              "Priority",
              "Action",
              "Name"
            ],
            members: {
              CreatorRequestId: {
                idempotencyToken: true
              },
              FirewallRuleGroupId: {},
              FirewallDomainListId: {},
              Priority: {
                type: "integer"
              },
              Action: {},
              BlockResponse: {},
              BlockOverrideDomain: {},
              BlockOverrideDnsType: {},
              BlockOverrideTtl: {
                type: "integer"
              },
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallRule: {
                shape: "S1g"
              }
            }
          }
        },
        CreateFirewallRuleGroup: {
          input: {
            type: "structure",
            required: [
              "CreatorRequestId",
              "Name"
            ],
            members: {
              CreatorRequestId: {
                idempotencyToken: true
              },
              Name: {},
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallRuleGroup: {
                shape: "S1j"
              }
            }
          }
        },
        CreateResolverEndpoint: {
          input: {
            type: "structure",
            required: [
              "CreatorRequestId",
              "SecurityGroupIds",
              "Direction",
              "IpAddresses"
            ],
            members: {
              CreatorRequestId: {},
              Name: {},
              SecurityGroupIds: {
                shape: "Sp"
              },
              Direction: {},
              IpAddresses: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "SubnetId"
                  ],
                  members: {
                    SubnetId: {},
                    Ip: {},
                    Ipv6: {}
                  }
                }
              },
              Tags: {
                shape: "S7"
              },
              ResolverEndpointType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverEndpoint: {
                shape: "So"
              }
            }
          }
        },
        CreateResolverQueryLogConfig: {
          input: {
            type: "structure",
            required: [
              "Name",
              "DestinationArn",
              "CreatorRequestId"
            ],
            members: {
              Name: {},
              DestinationArn: {},
              CreatorRequestId: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverQueryLogConfig: {
                shape: "S1v"
              }
            }
          }
        },
        CreateResolverRule: {
          input: {
            type: "structure",
            required: [
              "CreatorRequestId",
              "RuleType",
              "DomainName"
            ],
            members: {
              CreatorRequestId: {},
              Name: {},
              RuleType: {},
              DomainName: {},
              TargetIps: {
                shape: "S21"
              },
              ResolverEndpointId: {},
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverRule: {
                shape: "S25"
              }
            }
          }
        },
        DeleteFirewallDomainList: {
          input: {
            type: "structure",
            required: [
              "FirewallDomainListId"
            ],
            members: {
              FirewallDomainListId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallDomainList: {
                shape: "S16"
              }
            }
          }
        },
        DeleteFirewallRule: {
          input: {
            type: "structure",
            required: [
              "FirewallRuleGroupId",
              "FirewallDomainListId"
            ],
            members: {
              FirewallRuleGroupId: {},
              FirewallDomainListId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallRule: {
                shape: "S1g"
              }
            }
          }
        },
        DeleteFirewallRuleGroup: {
          input: {
            type: "structure",
            required: [
              "FirewallRuleGroupId"
            ],
            members: {
              FirewallRuleGroupId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallRuleGroup: {
                shape: "S1j"
              }
            }
          }
        },
        DeleteResolverEndpoint: {
          input: {
            type: "structure",
            required: [
              "ResolverEndpointId"
            ],
            members: {
              ResolverEndpointId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverEndpoint: {
                shape: "So"
              }
            }
          }
        },
        DeleteResolverQueryLogConfig: {
          input: {
            type: "structure",
            required: [
              "ResolverQueryLogConfigId"
            ],
            members: {
              ResolverQueryLogConfigId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverQueryLogConfig: {
                shape: "S1v"
              }
            }
          }
        },
        DeleteResolverRule: {
          input: {
            type: "structure",
            required: [
              "ResolverRuleId"
            ],
            members: {
              ResolverRuleId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverRule: {
                shape: "S25"
              }
            }
          }
        },
        DisassociateFirewallRuleGroup: {
          input: {
            type: "structure",
            required: [
              "FirewallRuleGroupAssociationId"
            ],
            members: {
              FirewallRuleGroupAssociationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallRuleGroupAssociation: {
                shape: "Sc"
              }
            }
          }
        },
        DisassociateResolverEndpointIpAddress: {
          input: {
            type: "structure",
            required: [
              "ResolverEndpointId",
              "IpAddress"
            ],
            members: {
              ResolverEndpointId: {},
              IpAddress: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverEndpoint: {
                shape: "So"
              }
            }
          }
        },
        DisassociateResolverQueryLogConfig: {
          input: {
            type: "structure",
            required: [
              "ResolverQueryLogConfigId",
              "ResourceId"
            ],
            members: {
              ResolverQueryLogConfigId: {},
              ResourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverQueryLogConfigAssociation: {
                shape: "Sw"
              }
            }
          }
        },
        DisassociateResolverRule: {
          input: {
            type: "structure",
            required: [
              "VPCId",
              "ResolverRuleId"
            ],
            members: {
              VPCId: {},
              ResolverRuleId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverRuleAssociation: {
                shape: "S12"
              }
            }
          }
        },
        GetFirewallConfig: {
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              ResourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallConfig: {
                shape: "S2t"
              }
            }
          }
        },
        GetFirewallDomainList: {
          input: {
            type: "structure",
            required: [
              "FirewallDomainListId"
            ],
            members: {
              FirewallDomainListId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallDomainList: {
                shape: "S16"
              }
            }
          }
        },
        GetFirewallRuleGroup: {
          input: {
            type: "structure",
            required: [
              "FirewallRuleGroupId"
            ],
            members: {
              FirewallRuleGroupId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallRuleGroup: {
                shape: "S1j"
              }
            }
          }
        },
        GetFirewallRuleGroupAssociation: {
          input: {
            type: "structure",
            required: [
              "FirewallRuleGroupAssociationId"
            ],
            members: {
              FirewallRuleGroupAssociationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallRuleGroupAssociation: {
                shape: "Sc"
              }
            }
          }
        },
        GetFirewallRuleGroupPolicy: {
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallRuleGroupPolicy: {}
            }
          }
        },
        GetResolverConfig: {
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              ResourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverConfig: {
                shape: "S36"
              }
            }
          }
        },
        GetResolverDnssecConfig: {
          input: {
            type: "structure",
            required: [
              "ResourceId"
            ],
            members: {
              ResourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverDNSSECConfig: {
                shape: "S3a"
              }
            }
          }
        },
        GetResolverEndpoint: {
          input: {
            type: "structure",
            required: [
              "ResolverEndpointId"
            ],
            members: {
              ResolverEndpointId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverEndpoint: {
                shape: "So"
              }
            }
          }
        },
        GetResolverQueryLogConfig: {
          input: {
            type: "structure",
            required: [
              "ResolverQueryLogConfigId"
            ],
            members: {
              ResolverQueryLogConfigId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverQueryLogConfig: {
                shape: "S1v"
              }
            }
          }
        },
        GetResolverQueryLogConfigAssociation: {
          input: {
            type: "structure",
            required: [
              "ResolverQueryLogConfigAssociationId"
            ],
            members: {
              ResolverQueryLogConfigAssociationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverQueryLogConfigAssociation: {
                shape: "Sw"
              }
            }
          }
        },
        GetResolverQueryLogConfigPolicy: {
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverQueryLogConfigPolicy: {}
            }
          }
        },
        GetResolverRule: {
          input: {
            type: "structure",
            required: [
              "ResolverRuleId"
            ],
            members: {
              ResolverRuleId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverRule: {
                shape: "S25"
              }
            }
          }
        },
        GetResolverRuleAssociation: {
          input: {
            type: "structure",
            required: [
              "ResolverRuleAssociationId"
            ],
            members: {
              ResolverRuleAssociationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverRuleAssociation: {
                shape: "S12"
              }
            }
          }
        },
        GetResolverRulePolicy: {
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverRulePolicy: {}
            }
          }
        },
        ImportFirewallDomains: {
          input: {
            type: "structure",
            required: [
              "FirewallDomainListId",
              "Operation",
              "DomainFileUrl"
            ],
            members: {
              FirewallDomainListId: {},
              Operation: {},
              DomainFileUrl: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              Name: {},
              Status: {},
              StatusMessage: {}
            }
          }
        },
        ListFirewallConfigs: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              FirewallConfigs: {
                type: "list",
                member: {
                  shape: "S2t"
                }
              }
            }
          }
        },
        ListFirewallDomainLists: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              FirewallDomainLists: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Name: {},
                    CreatorRequestId: {},
                    ManagedOwnerName: {}
                  }
                }
              }
            }
          }
        },
        ListFirewallDomains: {
          input: {
            type: "structure",
            required: [
              "FirewallDomainListId"
            ],
            members: {
              FirewallDomainListId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Domains: {
                shape: "S49"
              }
            }
          }
        },
        ListFirewallRuleGroupAssociations: {
          input: {
            type: "structure",
            members: {
              FirewallRuleGroupId: {},
              VpcId: {},
              Priority: {
                type: "integer"
              },
              Status: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              FirewallRuleGroupAssociations: {
                type: "list",
                member: {
                  shape: "Sc"
                }
              }
            }
          }
        },
        ListFirewallRuleGroups: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              FirewallRuleGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Name: {},
                    OwnerId: {},
                    CreatorRequestId: {},
                    ShareStatus: {}
                  }
                }
              }
            }
          }
        },
        ListFirewallRules: {
          input: {
            type: "structure",
            required: [
              "FirewallRuleGroupId"
            ],
            members: {
              FirewallRuleGroupId: {},
              Priority: {
                type: "integer"
              },
              Action: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              FirewallRules: {
                type: "list",
                member: {
                  shape: "S1g"
                }
              }
            }
          }
        },
        ListResolverConfigs: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ResolverConfigs: {
                type: "list",
                member: {
                  shape: "S36"
                }
              }
            }
          }
        },
        ListResolverDnssecConfigs: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "S4q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ResolverDnssecConfigs: {
                type: "list",
                member: {
                  shape: "S3a"
                }
              }
            }
          }
        },
        ListResolverEndpointIpAddresses: {
          input: {
            type: "structure",
            required: [
              "ResolverEndpointId"
            ],
            members: {
              ResolverEndpointId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              IpAddresses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    IpId: {},
                    SubnetId: {},
                    Ip: {},
                    Ipv6: {},
                    Status: {},
                    StatusMessage: {},
                    CreationTime: {},
                    ModificationTime: {}
                  }
                }
              }
            }
          }
        },
        ListResolverEndpoints: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "S4q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ResolverEndpoints: {
                type: "list",
                member: {
                  shape: "So"
                }
              }
            }
          }
        },
        ListResolverQueryLogConfigAssociations: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "S4q"
              },
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              TotalCount: {
                type: "integer"
              },
              TotalFilteredCount: {
                type: "integer"
              },
              ResolverQueryLogConfigAssociations: {
                type: "list",
                member: {
                  shape: "Sw"
                }
              }
            }
          }
        },
        ListResolverQueryLogConfigs: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "S4q"
              },
              SortBy: {},
              SortOrder: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              TotalCount: {
                type: "integer"
              },
              TotalFilteredCount: {
                type: "integer"
              },
              ResolverQueryLogConfigs: {
                type: "list",
                member: {
                  shape: "S1v"
                }
              }
            }
          }
        },
        ListResolverRuleAssociations: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "S4q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ResolverRuleAssociations: {
                type: "list",
                member: {
                  shape: "S12"
                }
              }
            }
          }
        },
        ListResolverRules: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "S4q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ResolverRules: {
                type: "list",
                member: {
                  shape: "S25"
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S7"
              },
              NextToken: {}
            }
          }
        },
        PutFirewallRuleGroupPolicy: {
          input: {
            type: "structure",
            required: [
              "Arn",
              "FirewallRuleGroupPolicy"
            ],
            members: {
              Arn: {},
              FirewallRuleGroupPolicy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReturnValue: {
                type: "boolean"
              }
            }
          }
        },
        PutResolverQueryLogConfigPolicy: {
          input: {
            type: "structure",
            required: [
              "Arn",
              "ResolverQueryLogConfigPolicy"
            ],
            members: {
              Arn: {},
              ResolverQueryLogConfigPolicy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReturnValue: {
                type: "boolean"
              }
            }
          }
        },
        PutResolverRulePolicy: {
          input: {
            type: "structure",
            required: [
              "Arn",
              "ResolverRulePolicy"
            ],
            members: {
              Arn: {},
              ResolverRulePolicy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReturnValue: {
                type: "boolean"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateFirewallConfig: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "FirewallFailOpen"
            ],
            members: {
              ResourceId: {},
              FirewallFailOpen: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallConfig: {
                shape: "S2t"
              }
            }
          }
        },
        UpdateFirewallDomains: {
          input: {
            type: "structure",
            required: [
              "FirewallDomainListId",
              "Operation",
              "Domains"
            ],
            members: {
              FirewallDomainListId: {},
              Operation: {},
              Domains: {
                shape: "S49"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              Name: {},
              Status: {},
              StatusMessage: {}
            }
          }
        },
        UpdateFirewallRule: {
          input: {
            type: "structure",
            required: [
              "FirewallRuleGroupId",
              "FirewallDomainListId"
            ],
            members: {
              FirewallRuleGroupId: {},
              FirewallDomainListId: {},
              Priority: {
                type: "integer"
              },
              Action: {},
              BlockResponse: {},
              BlockOverrideDomain: {},
              BlockOverrideDnsType: {},
              BlockOverrideTtl: {
                type: "integer"
              },
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallRule: {
                shape: "S1g"
              }
            }
          }
        },
        UpdateFirewallRuleGroupAssociation: {
          input: {
            type: "structure",
            required: [
              "FirewallRuleGroupAssociationId"
            ],
            members: {
              FirewallRuleGroupAssociationId: {},
              Priority: {
                type: "integer"
              },
              MutationProtection: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallRuleGroupAssociation: {
                shape: "Sc"
              }
            }
          }
        },
        UpdateResolverConfig: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "AutodefinedReverseFlag"
            ],
            members: {
              ResourceId: {},
              AutodefinedReverseFlag: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverConfig: {
                shape: "S36"
              }
            }
          }
        },
        UpdateResolverDnssecConfig: {
          input: {
            type: "structure",
            required: [
              "ResourceId",
              "Validation"
            ],
            members: {
              ResourceId: {},
              Validation: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverDNSSECConfig: {
                shape: "S3a"
              }
            }
          }
        },
        UpdateResolverEndpoint: {
          input: {
            type: "structure",
            required: [
              "ResolverEndpointId"
            ],
            members: {
              ResolverEndpointId: {},
              Name: {},
              ResolverEndpointType: {},
              UpdateIpAddresses: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "IpId",
                    "Ipv6"
                  ],
                  members: {
                    IpId: {},
                    Ipv6: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverEndpoint: {
                shape: "So"
              }
            }
          }
        },
        UpdateResolverRule: {
          input: {
            type: "structure",
            required: [
              "ResolverRuleId",
              "Config"
            ],
            members: {
              ResolverRuleId: {},
              Config: {
                type: "structure",
                members: {
                  Name: {},
                  TargetIps: {
                    shape: "S21"
                  },
                  ResolverEndpointId: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResolverRule: {
                shape: "S25"
              }
            }
          }
        }
      },
      shapes: {
        S7: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sc: {
          type: "structure",
          members: {
            Id: {},
            Arn: {},
            FirewallRuleGroupId: {},
            VpcId: {},
            Name: {},
            Priority: {
              type: "integer"
            },
            MutationProtection: {},
            ManagedOwnerName: {},
            Status: {},
            StatusMessage: {},
            CreatorRequestId: {},
            CreationTime: {},
            ModificationTime: {}
          }
        },
        Sj: {
          type: "structure",
          members: {
            IpId: {},
            SubnetId: {},
            Ip: {},
            Ipv6: {}
          }
        },
        So: {
          type: "structure",
          members: {
            Id: {},
            CreatorRequestId: {},
            Arn: {},
            Name: {},
            SecurityGroupIds: {
              shape: "Sp"
            },
            Direction: {},
            IpAddressCount: {
              type: "integer"
            },
            HostVPCId: {},
            Status: {},
            StatusMessage: {},
            CreationTime: {},
            ModificationTime: {},
            ResolverEndpointType: {}
          }
        },
        Sp: {
          type: "list",
          member: {}
        },
        Sw: {
          type: "structure",
          members: {
            Id: {},
            ResolverQueryLogConfigId: {},
            ResourceId: {},
            Status: {},
            Error: {},
            ErrorMessage: {},
            CreationTime: {}
          }
        },
        S12: {
          type: "structure",
          members: {
            Id: {},
            ResolverRuleId: {},
            Name: {},
            VPCId: {},
            Status: {},
            StatusMessage: {}
          }
        },
        S16: {
          type: "structure",
          members: {
            Id: {},
            Arn: {},
            Name: {},
            DomainCount: {
              type: "integer"
            },
            Status: {},
            StatusMessage: {},
            ManagedOwnerName: {},
            CreatorRequestId: {},
            CreationTime: {},
            ModificationTime: {}
          }
        },
        S1g: {
          type: "structure",
          members: {
            FirewallRuleGroupId: {},
            FirewallDomainListId: {},
            Name: {},
            Priority: {
              type: "integer"
            },
            Action: {},
            BlockResponse: {},
            BlockOverrideDomain: {},
            BlockOverrideDnsType: {},
            BlockOverrideTtl: {
              type: "integer"
            },
            CreatorRequestId: {},
            CreationTime: {},
            ModificationTime: {}
          }
        },
        S1j: {
          type: "structure",
          members: {
            Id: {},
            Arn: {},
            Name: {},
            RuleCount: {
              type: "integer"
            },
            Status: {},
            StatusMessage: {},
            OwnerId: {},
            CreatorRequestId: {},
            ShareStatus: {},
            CreationTime: {},
            ModificationTime: {}
          }
        },
        S1v: {
          type: "structure",
          members: {
            Id: {},
            OwnerId: {},
            Status: {},
            ShareStatus: {},
            AssociationCount: {
              type: "integer"
            },
            Arn: {},
            Name: {},
            DestinationArn: {},
            CreatorRequestId: {},
            CreationTime: {}
          }
        },
        S21: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Ip: {},
              Port: {
                type: "integer"
              },
              Ipv6: {}
            }
          }
        },
        S25: {
          type: "structure",
          members: {
            Id: {},
            CreatorRequestId: {},
            Arn: {},
            DomainName: {},
            Status: {},
            StatusMessage: {},
            RuleType: {},
            Name: {},
            TargetIps: {
              shape: "S21"
            },
            ResolverEndpointId: {},
            OwnerId: {},
            ShareStatus: {},
            CreationTime: {},
            ModificationTime: {}
          }
        },
        S2t: {
          type: "structure",
          members: {
            Id: {},
            ResourceId: {},
            OwnerId: {},
            FirewallFailOpen: {}
          }
        },
        S36: {
          type: "structure",
          members: {
            Id: {},
            ResourceId: {},
            OwnerId: {},
            AutodefinedReverse: {}
          }
        },
        S3a: {
          type: "structure",
          members: {
            Id: {},
            OwnerId: {},
            ResourceId: {},
            ValidationStatus: {}
          }
        },
        S49: {
          type: "list",
          member: {}
        },
        S4q: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Values: {
                type: "list",
                member: {}
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/route53resolver-2018-04-01.paginators.json
var require_route53resolver_2018_04_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/route53resolver-2018-04-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListFirewallConfigs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "FirewallConfigs"
        },
        ListFirewallDomainLists: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "FirewallDomainLists"
        },
        ListFirewallDomains: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Domains"
        },
        ListFirewallRuleGroupAssociations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "FirewallRuleGroupAssociations"
        },
        ListFirewallRuleGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "FirewallRuleGroups"
        },
        ListFirewallRules: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "FirewallRules"
        },
        ListResolverConfigs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ResolverConfigs"
        },
        ListResolverDnssecConfigs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ResolverDnssecConfigs"
        },
        ListResolverEndpointIpAddresses: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "IpAddresses"
        },
        ListResolverEndpoints: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ResolverEndpoints"
        },
        ListResolverQueryLogConfigAssociations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ResolverQueryLogConfigAssociations"
        },
        ListResolverQueryLogConfigs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ResolverQueryLogConfigs"
        },
        ListResolverRuleAssociations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ResolverRuleAssociations"
        },
        ListResolverRules: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ResolverRules"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Tags"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/route53resolver.js
var require_route53resolver = __commonJS({
  "node_modules/aws-sdk/clients/route53resolver.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["route53resolver"] = {};
    AWS2.Route53Resolver = Service.defineService("route53resolver", ["2018-04-01"]);
    Object.defineProperty(apiLoader.services["route53resolver"], "2018-04-01", {
      get: function get() {
        var model = require_route53resolver_2018_04_01_min();
        model.paginators = require_route53resolver_2018_04_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Route53Resolver;
  }
});

// node_modules/aws-sdk/apis/sms-voice-2018-09-05.min.json
var require_sms_voice_2018_09_05_min = __commonJS({
  "node_modules/aws-sdk/apis/sms-voice-2018-09-05.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2018-09-05",
        endpointPrefix: "sms-voice.pinpoint",
        signingName: "sms-voice",
        serviceAbbreviation: "Pinpoint SMS Voice",
        serviceFullName: "Amazon Pinpoint SMS and Voice Service",
        serviceId: "Pinpoint SMS Voice",
        protocol: "rest-json",
        jsonVersion: "1.1",
        uid: "pinpoint-sms-voice-2018-09-05",
        signatureVersion: "v4"
      },
      operations: {
        CreateConfigurationSet: {
          http: {
            requestUri: "/v1/sms-voice/configuration-sets",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConfigurationSetName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateConfigurationSetEventDestination: {
          http: {
            requestUri: "/v1/sms-voice/configuration-sets/{ConfigurationSetName}/event-destinations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              EventDestination: {
                shape: "S6"
              },
              EventDestinationName: {}
            },
            required: [
              "ConfigurationSetName"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteConfigurationSet: {
          http: {
            method: "DELETE",
            requestUri: "/v1/sms-voice/configuration-sets/{ConfigurationSetName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              }
            },
            required: [
              "ConfigurationSetName"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteConfigurationSetEventDestination: {
          http: {
            method: "DELETE",
            requestUri: "/v1/sms-voice/configuration-sets/{ConfigurationSetName}/event-destinations/{EventDestinationName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              EventDestinationName: {
                location: "uri",
                locationName: "EventDestinationName"
              }
            },
            required: [
              "EventDestinationName",
              "ConfigurationSetName"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetConfigurationSetEventDestinations: {
          http: {
            method: "GET",
            requestUri: "/v1/sms-voice/configuration-sets/{ConfigurationSetName}/event-destinations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              }
            },
            required: [
              "ConfigurationSetName"
            ]
          },
          output: {
            type: "structure",
            members: {
              EventDestinations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CloudWatchLogsDestination: {
                      shape: "S7"
                    },
                    Enabled: {
                      type: "boolean"
                    },
                    KinesisFirehoseDestination: {
                      shape: "Sa"
                    },
                    MatchingEventTypes: {
                      shape: "Sb"
                    },
                    Name: {},
                    SnsDestination: {
                      shape: "Sd"
                    }
                  }
                }
              }
            }
          }
        },
        ListConfigurationSets: {
          http: {
            method: "GET",
            requestUri: "/v1/sms-voice/configuration-sets",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationSets: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        SendVoiceMessage: {
          http: {
            requestUri: "/v1/sms-voice/voice/message",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CallerId: {},
              ConfigurationSetName: {},
              Content: {
                type: "structure",
                members: {
                  CallInstructionsMessage: {
                    type: "structure",
                    members: {
                      Text: {}
                    },
                    required: []
                  },
                  PlainTextMessage: {
                    type: "structure",
                    members: {
                      LanguageCode: {},
                      Text: {},
                      VoiceId: {}
                    },
                    required: []
                  },
                  SSMLMessage: {
                    type: "structure",
                    members: {
                      LanguageCode: {},
                      Text: {},
                      VoiceId: {}
                    },
                    required: []
                  }
                }
              },
              DestinationPhoneNumber: {},
              OriginationPhoneNumber: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MessageId: {}
            }
          }
        },
        UpdateConfigurationSetEventDestination: {
          http: {
            method: "PUT",
            requestUri: "/v1/sms-voice/configuration-sets/{ConfigurationSetName}/event-destinations/{EventDestinationName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              EventDestination: {
                shape: "S6"
              },
              EventDestinationName: {
                location: "uri",
                locationName: "EventDestinationName"
              }
            },
            required: [
              "EventDestinationName",
              "ConfigurationSetName"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S6: {
          type: "structure",
          members: {
            CloudWatchLogsDestination: {
              shape: "S7"
            },
            Enabled: {
              type: "boolean"
            },
            KinesisFirehoseDestination: {
              shape: "Sa"
            },
            MatchingEventTypes: {
              shape: "Sb"
            },
            SnsDestination: {
              shape: "Sd"
            }
          },
          required: []
        },
        S7: {
          type: "structure",
          members: {
            IamRoleArn: {},
            LogGroupArn: {}
          },
          required: []
        },
        Sa: {
          type: "structure",
          members: {
            DeliveryStreamArn: {},
            IamRoleArn: {}
          },
          required: []
        },
        Sb: {
          type: "list",
          member: {}
        },
        Sd: {
          type: "structure",
          members: {
            TopicArn: {}
          },
          required: []
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/pinpointsmsvoice.js
var require_pinpointsmsvoice = __commonJS({
  "node_modules/aws-sdk/clients/pinpointsmsvoice.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["pinpointsmsvoice"] = {};
    AWS2.PinpointSMSVoice = Service.defineService("pinpointsmsvoice", ["2018-09-05"]);
    Object.defineProperty(apiLoader.services["pinpointsmsvoice"], "2018-09-05", {
      get: function get() {
        var model = require_sms_voice_2018_09_05_min();
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.PinpointSMSVoice;
  }
});

// node_modules/aws-sdk/apis/quicksight-2018-04-01.min.json
var require_quicksight_2018_04_01_min = __commonJS({
  "node_modules/aws-sdk/apis/quicksight-2018-04-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-04-01",
        endpointPrefix: "quicksight",
        jsonVersion: "1.0",
        protocol: "rest-json",
        serviceFullName: "Amazon QuickSight",
        serviceId: "QuickSight",
        signatureVersion: "v4",
        uid: "quicksight-2018-04-01"
      },
      operations: {
        CancelIngestion: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}/ingestions/{IngestionId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSetId",
              "IngestionId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              IngestionId: {
                location: "uri",
                locationName: "IngestionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              IngestionId: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        CreateAccountCustomization: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/customizations"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AccountCustomization"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              AccountCustomization: {
                shape: "Sa"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              AwsAccountId: {},
              Namespace: {},
              AccountCustomization: {
                shape: "Sa"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        CreateAccountSubscription: {
          http: {
            requestUri: "/account/{AwsAccountId}"
          },
          input: {
            type: "structure",
            required: [
              "Edition",
              "AuthenticationMethod",
              "AwsAccountId",
              "AccountName",
              "NotificationEmail"
            ],
            members: {
              Edition: {},
              AuthenticationMethod: {},
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AccountName: {},
              NotificationEmail: {},
              ActiveDirectoryName: {},
              Realm: {},
              DirectoryId: {},
              AdminGroup: {
                shape: "Sj"
              },
              AuthorGroup: {
                shape: "Sj"
              },
              ReaderGroup: {
                shape: "Sj"
              },
              FirstName: {},
              LastName: {},
              EmailAddress: {},
              ContactNumber: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SignupResponse: {
                type: "structure",
                members: {
                  IAMUser: {
                    type: "boolean"
                  },
                  userLoginName: {},
                  accountName: {},
                  directoryType: {}
                }
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        CreateAnalysis: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/analyses/{AnalysisId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AnalysisId",
              "Name"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AnalysisId: {
                location: "uri",
                locationName: "AnalysisId"
              },
              Name: {},
              Parameters: {
                shape: "Sq"
              },
              Permissions: {
                shape: "S18"
              },
              SourceEntity: {
                shape: "S1c"
              },
              ThemeArn: {},
              Tags: {
                shape: "Sb"
              },
              Definition: {
                shape: "S1g"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              AnalysisId: {},
              CreationStatus: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        CreateDashboard: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/dashboards/{DashboardId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DashboardId",
              "Name"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DashboardId: {
                location: "uri",
                locationName: "DashboardId"
              },
              Name: {},
              Parameters: {
                shape: "Sq"
              },
              Permissions: {
                shape: "S18"
              },
              SourceEntity: {
                shape: "Slb"
              },
              Tags: {
                shape: "Sb"
              },
              VersionDescription: {},
              DashboardPublishOptions: {
                shape: "Sle"
              },
              ThemeArn: {},
              Definition: {
                shape: "Slt"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              VersionArn: {},
              DashboardId: {},
              CreationStatus: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        CreateDataSet: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/data-sets"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSetId",
              "Name",
              "PhysicalTableMap",
              "ImportMode"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSetId: {},
              Name: {},
              PhysicalTableMap: {
                shape: "Sly"
              },
              LogicalTableMap: {
                shape: "Smh"
              },
              ImportMode: {},
              ColumnGroups: {
                shape: "Sno"
              },
              FieldFolders: {
                shape: "Snu"
              },
              Permissions: {
                shape: "S18"
              },
              RowLevelPermissionDataSet: {
                shape: "Snz"
              },
              RowLevelPermissionTagConfiguration: {
                shape: "So3"
              },
              ColumnLevelPermissionRules: {
                shape: "Sob"
              },
              Tags: {
                shape: "Sb"
              },
              DataSetUsageConfiguration: {
                shape: "Sof"
              },
              DatasetParameters: {
                shape: "Sog"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              DataSetId: {},
              IngestionArn: {},
              IngestionId: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        CreateDataSource: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/data-sources"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSourceId",
              "Name",
              "Type"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSourceId: {},
              Name: {},
              Type: {},
              DataSourceParameters: {
                shape: "Sov"
              },
              Credentials: {
                shape: "Sq1"
              },
              Permissions: {
                shape: "S18"
              },
              VpcConnectionProperties: {
                shape: "Sq8"
              },
              SslProperties: {
                shape: "Sq9"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              DataSourceId: {},
              CreationStatus: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        CreateFolder: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/folders/{FolderId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "FolderId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              FolderId: {
                location: "uri",
                locationName: "FolderId"
              },
              Name: {},
              FolderType: {},
              ParentFolderArn: {},
              Permissions: {
                shape: "S18"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              },
              Arn: {},
              FolderId: {},
              RequestId: {}
            }
          }
        },
        CreateFolderMembership: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/folders/{FolderId}/members/{MemberType}/{MemberId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "FolderId",
              "MemberId",
              "MemberType"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              FolderId: {
                location: "uri",
                locationName: "FolderId"
              },
              MemberId: {
                location: "uri",
                locationName: "MemberId"
              },
              MemberType: {
                location: "uri",
                locationName: "MemberType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                type: "integer"
              },
              FolderMember: {
                type: "structure",
                members: {
                  MemberId: {},
                  MemberType: {}
                }
              },
              RequestId: {}
            }
          }
        },
        CreateGroup: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/groups"
          },
          input: {
            type: "structure",
            required: [
              "GroupName",
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              GroupName: {},
              Description: {},
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Group: {
                shape: "Sqo"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        CreateGroupMembership: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/groups/{GroupName}/members/{MemberName}"
          },
          input: {
            type: "structure",
            required: [
              "MemberName",
              "GroupName",
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              MemberName: {
                location: "uri",
                locationName: "MemberName"
              },
              GroupName: {
                location: "uri",
                locationName: "GroupName"
              },
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GroupMember: {
                shape: "Sqs"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        CreateIAMPolicyAssignment: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/iam-policy-assignments/"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AssignmentName",
              "AssignmentStatus",
              "Namespace"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AssignmentName: {},
              AssignmentStatus: {},
              PolicyArn: {},
              Identities: {
                shape: "Sqw"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssignmentName: {},
              AssignmentId: {},
              AssignmentStatus: {},
              PolicyArn: {},
              Identities: {
                shape: "Sqw"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        CreateIngestion: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}/ingestions/{IngestionId}"
          },
          input: {
            type: "structure",
            required: [
              "DataSetId",
              "IngestionId",
              "AwsAccountId"
            ],
            members: {
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              IngestionId: {
                location: "uri",
                locationName: "IngestionId"
              },
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              IngestionType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              IngestionId: {},
              IngestionStatus: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        CreateNamespace: {
          http: {
            requestUri: "/accounts/{AwsAccountId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "Namespace",
              "IdentityStore"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {},
              IdentityStore: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Name: {},
              CapacityRegion: {},
              CreationStatus: {},
              IdentityStore: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        CreateRefreshSchedule: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}/refresh-schedules"
          },
          input: {
            type: "structure",
            required: [
              "DataSetId",
              "AwsAccountId",
              "Schedule"
            ],
            members: {
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Schedule: {
                shape: "Sr9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {},
              ScheduleId: {},
              Arn: {}
            }
          }
        },
        CreateTemplate: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/templates/{TemplateId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TemplateId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TemplateId: {
                location: "uri",
                locationName: "TemplateId"
              },
              Name: {},
              Permissions: {
                shape: "S18"
              },
              SourceEntity: {
                shape: "Sri"
              },
              Tags: {
                shape: "Sb"
              },
              VersionDescription: {},
              Definition: {
                shape: "Srl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              VersionArn: {},
              TemplateId: {},
              CreationStatus: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        CreateTemplateAlias: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/templates/{TemplateId}/aliases/{AliasName}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TemplateId",
              "AliasName",
              "TemplateVersionNumber"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TemplateId: {
                location: "uri",
                locationName: "TemplateId"
              },
              AliasName: {
                location: "uri",
                locationName: "AliasName"
              },
              TemplateVersionNumber: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TemplateAlias: {
                shape: "Ss0"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        CreateTheme: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/themes/{ThemeId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "ThemeId",
              "Name",
              "BaseThemeId",
              "Configuration"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              ThemeId: {
                location: "uri",
                locationName: "ThemeId"
              },
              Name: {},
              BaseThemeId: {},
              VersionDescription: {},
              Configuration: {
                shape: "Ss3"
              },
              Permissions: {
                shape: "S18"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              VersionArn: {},
              ThemeId: {},
              CreationStatus: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        CreateThemeAlias: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/themes/{ThemeId}/aliases/{AliasName}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "ThemeId",
              "AliasName",
              "ThemeVersionNumber"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              ThemeId: {
                location: "uri",
                locationName: "ThemeId"
              },
              AliasName: {
                location: "uri",
                locationName: "AliasName"
              },
              ThemeVersionNumber: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ThemeAlias: {
                shape: "Ssj"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        CreateTopic: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/topics"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TopicId",
              "Topic"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TopicId: {},
              Topic: {
                shape: "Ssm"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              TopicId: {},
              RefreshArn: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        CreateTopicRefreshSchedule: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/topics/{TopicId}/schedules"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TopicId",
              "DatasetArn",
              "RefreshSchedule"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TopicId: {
                location: "uri",
                locationName: "TopicId"
              },
              DatasetArn: {},
              DatasetName: {},
              RefreshSchedule: {
                shape: "Sua"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TopicId: {},
              TopicArn: {},
              DatasetArn: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        CreateVPCConnection: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/vpc-connections"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "VPCConnectionId",
              "Name",
              "SubnetIds",
              "SecurityGroupIds",
              "RoleArn"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              VPCConnectionId: {},
              Name: {},
              SubnetIds: {
                shape: "Suf"
              },
              SecurityGroupIds: {
                shape: "Suh"
              },
              DnsResolvers: {
                shape: "Suj"
              },
              RoleArn: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              VPCConnectionId: {},
              CreationStatus: {},
              AvailabilityStatus: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DeleteAccountCustomization: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/customizations"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "querystring",
                locationName: "namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DeleteAccountSubscription: {
          http: {
            method: "DELETE",
            requestUri: "/account/{AwsAccountId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DeleteAnalysis: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/analyses/{AnalysisId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AnalysisId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AnalysisId: {
                location: "uri",
                locationName: "AnalysisId"
              },
              RecoveryWindowInDays: {
                location: "querystring",
                locationName: "recovery-window-in-days",
                type: "long"
              },
              ForceDeleteWithoutRecovery: {
                location: "querystring",
                locationName: "force-delete-without-recovery",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              },
              Arn: {},
              AnalysisId: {},
              DeletionTime: {
                type: "timestamp"
              },
              RequestId: {}
            }
          }
        },
        DeleteDashboard: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/dashboards/{DashboardId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DashboardId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DashboardId: {
                location: "uri",
                locationName: "DashboardId"
              },
              VersionNumber: {
                location: "querystring",
                locationName: "version-number",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              },
              Arn: {},
              DashboardId: {},
              RequestId: {}
            }
          }
        },
        DeleteDataSet: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSetId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              DataSetId: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DeleteDataSetRefreshProperties: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}/refresh-properties"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSetId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DeleteDataSource: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/data-sources/{DataSourceId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSourceId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSourceId: {
                location: "uri",
                locationName: "DataSourceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              DataSourceId: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DeleteFolder: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/folders/{FolderId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "FolderId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              FolderId: {
                location: "uri",
                locationName: "FolderId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              },
              Arn: {},
              FolderId: {},
              RequestId: {}
            }
          }
        },
        DeleteFolderMembership: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/folders/{FolderId}/members/{MemberType}/{MemberId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "FolderId",
              "MemberId",
              "MemberType"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              FolderId: {
                location: "uri",
                locationName: "FolderId"
              },
              MemberId: {
                location: "uri",
                locationName: "MemberId"
              },
              MemberType: {
                location: "uri",
                locationName: "MemberType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        DeleteGroup: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/groups/{GroupName}"
          },
          input: {
            type: "structure",
            required: [
              "GroupName",
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              GroupName: {
                location: "uri",
                locationName: "GroupName"
              },
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DeleteGroupMembership: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/groups/{GroupName}/members/{MemberName}"
          },
          input: {
            type: "structure",
            required: [
              "MemberName",
              "GroupName",
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              MemberName: {
                location: "uri",
                locationName: "MemberName"
              },
              GroupName: {
                location: "uri",
                locationName: "GroupName"
              },
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DeleteIAMPolicyAssignment: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/namespace/{Namespace}/iam-policy-assignments/{AssignmentName}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AssignmentName",
              "Namespace"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AssignmentName: {
                location: "uri",
                locationName: "AssignmentName"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssignmentName: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DeleteNamespace: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DeleteRefreshSchedule: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}/refresh-schedules/{ScheduleId}"
          },
          input: {
            type: "structure",
            required: [
              "DataSetId",
              "AwsAccountId",
              "ScheduleId"
            ],
            members: {
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              ScheduleId: {
                location: "uri",
                locationName: "ScheduleId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {},
              ScheduleId: {},
              Arn: {}
            }
          }
        },
        DeleteTemplate: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/templates/{TemplateId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TemplateId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TemplateId: {
                location: "uri",
                locationName: "TemplateId"
              },
              VersionNumber: {
                location: "querystring",
                locationName: "version-number",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Arn: {},
              TemplateId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DeleteTemplateAlias: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/templates/{TemplateId}/aliases/{AliasName}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TemplateId",
              "AliasName"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TemplateId: {
                location: "uri",
                locationName: "TemplateId"
              },
              AliasName: {
                location: "uri",
                locationName: "AliasName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              },
              TemplateId: {},
              AliasName: {},
              Arn: {},
              RequestId: {}
            }
          }
        },
        DeleteTheme: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/themes/{ThemeId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "ThemeId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              ThemeId: {
                location: "uri",
                locationName: "ThemeId"
              },
              VersionNumber: {
                location: "querystring",
                locationName: "version-number",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              ThemeId: {}
            }
          }
        },
        DeleteThemeAlias: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/themes/{ThemeId}/aliases/{AliasName}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "ThemeId",
              "AliasName"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              ThemeId: {
                location: "uri",
                locationName: "ThemeId"
              },
              AliasName: {
                location: "uri",
                locationName: "AliasName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AliasName: {},
              Arn: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              ThemeId: {}
            }
          }
        },
        DeleteTopic: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/topics/{TopicId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TopicId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TopicId: {
                location: "uri",
                locationName: "TopicId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              TopicId: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DeleteTopicRefreshSchedule: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/topics/{TopicId}/schedules/{DatasetId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TopicId",
              "DatasetId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TopicId: {
                location: "uri",
                locationName: "TopicId"
              },
              DatasetId: {
                location: "uri",
                locationName: "DatasetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TopicId: {},
              TopicArn: {},
              DatasetArn: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        DeleteUser: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/users/{UserName}"
          },
          input: {
            type: "structure",
            required: [
              "UserName",
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              UserName: {
                location: "uri",
                locationName: "UserName"
              },
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DeleteUserByPrincipalId: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/user-principals/{PrincipalId}"
          },
          input: {
            type: "structure",
            required: [
              "PrincipalId",
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              PrincipalId: {
                location: "uri",
                locationName: "PrincipalId"
              },
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DeleteVPCConnection: {
          http: {
            method: "DELETE",
            requestUri: "/accounts/{AwsAccountId}/vpc-connections/{VPCConnectionId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "VPCConnectionId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              VPCConnectionId: {
                location: "uri",
                locationName: "VPCConnectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              VPCConnectionId: {},
              DeletionStatus: {},
              AvailabilityStatus: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeAccountCustomization: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/customizations"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              Resolved: {
                location: "querystring",
                locationName: "resolved",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              AwsAccountId: {},
              Namespace: {},
              AccountCustomization: {
                shape: "Sa"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeAccountSettings: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/settings"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccountSettings: {
                type: "structure",
                members: {
                  AccountName: {},
                  Edition: {},
                  DefaultNamespace: {},
                  NotificationEmail: {},
                  PublicSharingEnabled: {
                    type: "boolean"
                  },
                  TerminationProtectionEnabled: {
                    type: "boolean"
                  }
                }
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeAccountSubscription: {
          http: {
            method: "GET",
            requestUri: "/account/{AwsAccountId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccountInfo: {
                type: "structure",
                members: {
                  AccountName: {},
                  Edition: {},
                  NotificationEmail: {},
                  AuthenticationType: {},
                  AccountSubscriptionStatus: {}
                }
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        DescribeAnalysis: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/analyses/{AnalysisId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AnalysisId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AnalysisId: {
                location: "uri",
                locationName: "AnalysisId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Analysis: {
                type: "structure",
                members: {
                  AnalysisId: {},
                  Arn: {},
                  Name: {},
                  Status: {},
                  Errors: {
                    shape: "Swd"
                  },
                  DataSetArns: {
                    shape: "Swi"
                  },
                  ThemeArn: {},
                  CreatedTime: {
                    type: "timestamp"
                  },
                  LastUpdatedTime: {
                    type: "timestamp"
                  },
                  Sheets: {
                    shape: "Swj"
                  }
                }
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        DescribeAnalysisDefinition: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/analyses/{AnalysisId}/definition"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AnalysisId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AnalysisId: {
                location: "uri",
                locationName: "AnalysisId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AnalysisId: {},
              Name: {},
              Errors: {
                shape: "Swd"
              },
              ResourceStatus: {},
              ThemeArn: {},
              Definition: {
                shape: "S1g"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        DescribeAnalysisPermissions: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/analyses/{AnalysisId}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AnalysisId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AnalysisId: {
                location: "uri",
                locationName: "AnalysisId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AnalysisId: {},
              AnalysisArn: {},
              Permissions: {
                shape: "S18"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        DescribeAssetBundleExportJob: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/asset-bundle-export-jobs/{AssetBundleExportJobId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AssetBundleExportJobId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AssetBundleExportJobId: {
                location: "uri",
                locationName: "AssetBundleExportJobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobStatus: {},
              DownloadUrl: {},
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Type: {},
                    Message: {}
                  }
                }
              },
              Arn: {},
              CreatedTime: {
                type: "timestamp"
              },
              AssetBundleExportJobId: {},
              AwsAccountId: {},
              ResourceArns: {
                shape: "Swu"
              },
              IncludeAllDependencies: {
                type: "boolean"
              },
              ExportFormat: {},
              CloudFormationOverridePropertyConfiguration: {
                shape: "Sww"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeAssetBundleImportJob: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/asset-bundle-import-jobs/{AssetBundleImportJobId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AssetBundleImportJobId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AssetBundleImportJobId: {
                location: "uri",
                locationName: "AssetBundleImportJobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobStatus: {},
              Errors: {
                shape: "Sxt"
              },
              RollbackErrors: {
                shape: "Sxt"
              },
              Arn: {},
              CreatedTime: {
                type: "timestamp"
              },
              AssetBundleImportJobId: {},
              AwsAccountId: {},
              AssetBundleImportSource: {
                type: "structure",
                members: {
                  Body: {},
                  S3Uri: {}
                }
              },
              OverrideParameters: {
                shape: "Sxx"
              },
              FailureAction: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeDashboard: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/dashboards/{DashboardId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DashboardId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DashboardId: {
                location: "uri",
                locationName: "DashboardId"
              },
              VersionNumber: {
                location: "querystring",
                locationName: "version-number",
                type: "long"
              },
              AliasName: {
                location: "querystring",
                locationName: "alias-name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Dashboard: {
                type: "structure",
                members: {
                  DashboardId: {},
                  Arn: {},
                  Name: {},
                  Version: {
                    type: "structure",
                    members: {
                      CreatedTime: {
                        type: "timestamp"
                      },
                      Errors: {
                        shape: "Syk"
                      },
                      VersionNumber: {
                        type: "long"
                      },
                      Status: {},
                      Arn: {},
                      SourceEntityArn: {},
                      DataSetArns: {
                        shape: "Swi"
                      },
                      Description: {},
                      ThemeArn: {},
                      Sheets: {
                        shape: "Swj"
                      }
                    }
                  },
                  CreatedTime: {
                    type: "timestamp"
                  },
                  LastPublishedTime: {
                    type: "timestamp"
                  },
                  LastUpdatedTime: {
                    type: "timestamp"
                  }
                }
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        DescribeDashboardDefinition: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/dashboards/{DashboardId}/definition"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DashboardId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DashboardId: {
                location: "uri",
                locationName: "DashboardId"
              },
              VersionNumber: {
                location: "querystring",
                locationName: "version-number",
                type: "long"
              },
              AliasName: {
                location: "querystring",
                locationName: "alias-name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DashboardId: {},
              Errors: {
                shape: "Syk"
              },
              Name: {},
              ResourceStatus: {},
              ThemeArn: {},
              Definition: {
                shape: "Slt"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {},
              DashboardPublishOptions: {
                shape: "Sle"
              }
            }
          }
        },
        DescribeDashboardPermissions: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/dashboards/{DashboardId}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DashboardId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DashboardId: {
                location: "uri",
                locationName: "DashboardId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DashboardId: {},
              DashboardArn: {},
              Permissions: {
                shape: "S18"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {},
              LinkSharingConfiguration: {
                shape: "Syr"
              }
            }
          }
        },
        DescribeDataSet: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSetId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataSet: {
                type: "structure",
                members: {
                  Arn: {},
                  DataSetId: {},
                  Name: {},
                  CreatedTime: {
                    type: "timestamp"
                  },
                  LastUpdatedTime: {
                    type: "timestamp"
                  },
                  PhysicalTableMap: {
                    shape: "Sly"
                  },
                  LogicalTableMap: {
                    shape: "Smh"
                  },
                  OutputColumns: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {},
                        Description: {},
                        Type: {}
                      }
                    }
                  },
                  ImportMode: {},
                  ConsumedSpiceCapacityInBytes: {
                    type: "long"
                  },
                  ColumnGroups: {
                    shape: "Sno"
                  },
                  FieldFolders: {
                    shape: "Snu"
                  },
                  RowLevelPermissionDataSet: {
                    shape: "Snz"
                  },
                  RowLevelPermissionTagConfiguration: {
                    shape: "So3"
                  },
                  ColumnLevelPermissionRules: {
                    shape: "Sob"
                  },
                  DataSetUsageConfiguration: {
                    shape: "Sof"
                  },
                  DatasetParameters: {
                    shape: "Sog"
                  }
                }
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeDataSetPermissions: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSetId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataSetArn: {},
              DataSetId: {},
              Permissions: {
                shape: "S18"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeDataSetRefreshProperties: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}/refresh-properties"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSetId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              DataSetRefreshProperties: {
                shape: "Sz1"
              }
            }
          }
        },
        DescribeDataSource: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/data-sources/{DataSourceId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSourceId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSourceId: {
                location: "uri",
                locationName: "DataSourceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataSource: {
                shape: "Sz9"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeDataSourcePermissions: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/data-sources/{DataSourceId}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSourceId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSourceId: {
                location: "uri",
                locationName: "DataSourceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataSourceArn: {},
              DataSourceId: {},
              Permissions: {
                shape: "S18"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeFolder: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/folders/{FolderId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "FolderId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              FolderId: {
                location: "uri",
                locationName: "FolderId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              },
              Folder: {
                type: "structure",
                members: {
                  FolderId: {},
                  Arn: {},
                  Name: {},
                  FolderType: {},
                  FolderPath: {
                    type: "list",
                    member: {}
                  },
                  CreatedTime: {
                    type: "timestamp"
                  },
                  LastUpdatedTime: {
                    type: "timestamp"
                  }
                }
              },
              RequestId: {}
            }
          }
        },
        DescribeFolderPermissions: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/folders/{FolderId}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "FolderId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              FolderId: {
                location: "uri",
                locationName: "FolderId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              },
              FolderId: {},
              Arn: {},
              Permissions: {
                shape: "S18"
              },
              RequestId: {}
            }
          }
        },
        DescribeFolderResolvedPermissions: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/folders/{FolderId}/resolved-permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "FolderId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              FolderId: {
                location: "uri",
                locationName: "FolderId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              },
              FolderId: {},
              Arn: {},
              Permissions: {
                shape: "S18"
              },
              RequestId: {}
            }
          }
        },
        DescribeGroup: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/groups/{GroupName}"
          },
          input: {
            type: "structure",
            required: [
              "GroupName",
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              GroupName: {
                location: "uri",
                locationName: "GroupName"
              },
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Group: {
                shape: "Sqo"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeGroupMembership: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/groups/{GroupName}/members/{MemberName}"
          },
          input: {
            type: "structure",
            required: [
              "MemberName",
              "GroupName",
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              MemberName: {
                location: "uri",
                locationName: "MemberName"
              },
              GroupName: {
                location: "uri",
                locationName: "GroupName"
              },
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GroupMember: {
                shape: "Sqs"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeIAMPolicyAssignment: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/iam-policy-assignments/{AssignmentName}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AssignmentName",
              "Namespace"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AssignmentName: {
                location: "uri",
                locationName: "AssignmentName"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IAMPolicyAssignment: {
                type: "structure",
                members: {
                  AwsAccountId: {},
                  AssignmentId: {},
                  AssignmentName: {},
                  PolicyArn: {},
                  Identities: {
                    shape: "Sqw"
                  },
                  AssignmentStatus: {}
                }
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeIngestion: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}/ingestions/{IngestionId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSetId",
              "IngestionId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              IngestionId: {
                location: "uri",
                locationName: "IngestionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Ingestion: {
                shape: "Szv"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeIpRestriction: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/ip-restriction"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AwsAccountId: {},
              IpRestrictionRuleMap: {
                shape: "S104"
              },
              Enabled: {
                type: "boolean"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeNamespace: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Namespace: {
                shape: "S109"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeRefreshSchedule: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}/refresh-schedules/{ScheduleId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSetId",
              "ScheduleId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              ScheduleId: {
                location: "uri",
                locationName: "ScheduleId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RefreshSchedule: {
                shape: "Sr9"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {},
              Arn: {}
            }
          }
        },
        DescribeTemplate: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/templates/{TemplateId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TemplateId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TemplateId: {
                location: "uri",
                locationName: "TemplateId"
              },
              VersionNumber: {
                location: "querystring",
                locationName: "version-number",
                type: "long"
              },
              AliasName: {
                location: "querystring",
                locationName: "alias-name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Template: {
                type: "structure",
                members: {
                  Arn: {},
                  Name: {},
                  Version: {
                    type: "structure",
                    members: {
                      CreatedTime: {
                        type: "timestamp"
                      },
                      Errors: {
                        shape: "S10i"
                      },
                      VersionNumber: {
                        type: "long"
                      },
                      Status: {},
                      DataSetConfigurations: {
                        shape: "Srm"
                      },
                      Description: {},
                      SourceEntityArn: {},
                      ThemeArn: {},
                      Sheets: {
                        shape: "Swj"
                      }
                    }
                  },
                  TemplateId: {},
                  LastUpdatedTime: {
                    type: "timestamp"
                  },
                  CreatedTime: {
                    type: "timestamp"
                  }
                }
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        DescribeTemplateAlias: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/templates/{TemplateId}/aliases/{AliasName}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TemplateId",
              "AliasName"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TemplateId: {
                location: "uri",
                locationName: "TemplateId"
              },
              AliasName: {
                location: "uri",
                locationName: "AliasName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TemplateAlias: {
                shape: "Ss0"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        DescribeTemplateDefinition: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/templates/{TemplateId}/definition"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TemplateId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TemplateId: {
                location: "uri",
                locationName: "TemplateId"
              },
              VersionNumber: {
                location: "querystring",
                locationName: "version-number",
                type: "long"
              },
              AliasName: {
                location: "querystring",
                locationName: "alias-name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              TemplateId: {},
              Errors: {
                shape: "S10i"
              },
              ResourceStatus: {},
              ThemeArn: {},
              Definition: {
                shape: "Srl"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        DescribeTemplatePermissions: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/templates/{TemplateId}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TemplateId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TemplateId: {
                location: "uri",
                locationName: "TemplateId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TemplateId: {},
              TemplateArn: {},
              Permissions: {
                shape: "S18"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeTheme: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/themes/{ThemeId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "ThemeId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              ThemeId: {
                location: "uri",
                locationName: "ThemeId"
              },
              VersionNumber: {
                location: "querystring",
                locationName: "version-number",
                type: "long"
              },
              AliasName: {
                location: "querystring",
                locationName: "alias-name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Theme: {
                type: "structure",
                members: {
                  Arn: {},
                  Name: {},
                  ThemeId: {},
                  Version: {
                    type: "structure",
                    members: {
                      VersionNumber: {
                        type: "long"
                      },
                      Arn: {},
                      Description: {},
                      BaseThemeId: {},
                      CreatedTime: {
                        type: "timestamp"
                      },
                      Configuration: {
                        shape: "Ss3"
                      },
                      Errors: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            Type: {},
                            Message: {}
                          }
                        }
                      },
                      Status: {}
                    }
                  },
                  CreatedTime: {
                    type: "timestamp"
                  },
                  LastUpdatedTime: {
                    type: "timestamp"
                  },
                  Type: {}
                }
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        DescribeThemeAlias: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/themes/{ThemeId}/aliases/{AliasName}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "ThemeId",
              "AliasName"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              ThemeId: {
                location: "uri",
                locationName: "ThemeId"
              },
              AliasName: {
                location: "uri",
                locationName: "AliasName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ThemeAlias: {
                shape: "Ssj"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        DescribeThemePermissions: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/themes/{ThemeId}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "ThemeId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              ThemeId: {
                location: "uri",
                locationName: "ThemeId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ThemeId: {},
              ThemeArn: {},
              Permissions: {
                shape: "S18"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeTopic: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/topics/{TopicId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TopicId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TopicId: {
                location: "uri",
                locationName: "TopicId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              TopicId: {},
              Topic: {
                shape: "Ssm"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeTopicPermissions: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/topics/{TopicId}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TopicId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TopicId: {
                location: "uri",
                locationName: "TopicId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TopicId: {},
              TopicArn: {},
              Permissions: {
                shape: "S18"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        DescribeTopicRefresh: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/topics/{TopicId}/refresh/{RefreshId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TopicId",
              "RefreshId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TopicId: {
                location: "uri",
                locationName: "TopicId"
              },
              RefreshId: {
                location: "uri",
                locationName: "RefreshId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RefreshDetails: {
                type: "structure",
                members: {
                  RefreshArn: {},
                  RefreshId: {},
                  RefreshStatus: {}
                }
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeTopicRefreshSchedule: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/topics/{TopicId}/schedules/{DatasetId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TopicId",
              "DatasetId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TopicId: {
                location: "uri",
                locationName: "TopicId"
              },
              DatasetId: {
                location: "uri",
                locationName: "DatasetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TopicId: {},
              TopicArn: {},
              DatasetArn: {},
              RefreshSchedule: {
                shape: "Sua"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        DescribeUser: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/users/{UserName}"
          },
          input: {
            type: "structure",
            required: [
              "UserName",
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              UserName: {
                location: "uri",
                locationName: "UserName"
              },
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              User: {
                shape: "S11g"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        DescribeVPCConnection: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/vpc-connections/{VPCConnectionId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "VPCConnectionId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              VPCConnectionId: {
                location: "uri",
                locationName: "VPCConnectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VPCConnection: {
                type: "structure",
                members: {
                  VPCConnectionId: {},
                  Arn: {},
                  Name: {},
                  VPCId: {},
                  SecurityGroupIds: {
                    shape: "Suh"
                  },
                  DnsResolvers: {
                    shape: "St3"
                  },
                  Status: {},
                  AvailabilityStatus: {},
                  NetworkInterfaces: {
                    shape: "S11n"
                  },
                  RoleArn: {},
                  CreatedTime: {
                    type: "timestamp"
                  },
                  LastUpdatedTime: {
                    type: "timestamp"
                  }
                }
              },
              RequestId: {},
              Status: {
                type: "integer"
              }
            }
          }
        },
        GenerateEmbedUrlForAnonymousUser: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/embed-url/anonymous-user"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "Namespace",
              "AuthorizedResourceArns",
              "ExperienceConfiguration"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              SessionLifetimeInMinutes: {
                type: "long"
              },
              Namespace: {},
              SessionTags: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key",
                    "Value"
                  ],
                  members: {
                    Key: {},
                    Value: {
                      shape: "So8"
                    }
                  }
                }
              },
              AuthorizedResourceArns: {
                type: "list",
                member: {}
              },
              ExperienceConfiguration: {
                type: "structure",
                members: {
                  Dashboard: {
                    type: "structure",
                    required: [
                      "InitialDashboardId"
                    ],
                    members: {
                      InitialDashboardId: {}
                    }
                  },
                  DashboardVisual: {
                    type: "structure",
                    required: [
                      "InitialDashboardVisualId"
                    ],
                    members: {
                      InitialDashboardVisualId: {
                        shape: "S11z"
                      }
                    }
                  },
                  QSearchBar: {
                    type: "structure",
                    required: [
                      "InitialTopicId"
                    ],
                    members: {
                      InitialTopicId: {}
                    }
                  }
                }
              },
              AllowedDomains: {
                shape: "St3"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EmbedUrl",
              "Status",
              "RequestId",
              "AnonymousUserArn"
            ],
            members: {
              EmbedUrl: {
                shape: "S122"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {},
              AnonymousUserArn: {}
            }
          }
        },
        GenerateEmbedUrlForRegisteredUser: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/embed-url/registered-user"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "UserArn",
              "ExperienceConfiguration"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              SessionLifetimeInMinutes: {
                type: "long"
              },
              UserArn: {},
              ExperienceConfiguration: {
                type: "structure",
                members: {
                  Dashboard: {
                    type: "structure",
                    required: [
                      "InitialDashboardId"
                    ],
                    members: {
                      InitialDashboardId: {},
                      FeatureConfigurations: {
                        type: "structure",
                        members: {
                          StatePersistence: {
                            shape: "S127"
                          },
                          Bookmarks: {
                            type: "structure",
                            required: [
                              "Enabled"
                            ],
                            members: {
                              Enabled: {
                                type: "boolean"
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  QuickSightConsole: {
                    type: "structure",
                    members: {
                      InitialPath: {},
                      FeatureConfigurations: {
                        type: "structure",
                        members: {
                          StatePersistence: {
                            shape: "S127"
                          }
                        }
                      }
                    }
                  },
                  QSearchBar: {
                    type: "structure",
                    members: {
                      InitialTopicId: {}
                    }
                  },
                  DashboardVisual: {
                    type: "structure",
                    required: [
                      "InitialDashboardVisualId"
                    ],
                    members: {
                      InitialDashboardVisualId: {
                        shape: "S11z"
                      }
                    }
                  }
                }
              },
              AllowedDomains: {
                shape: "St3"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EmbedUrl",
              "Status",
              "RequestId"
            ],
            members: {
              EmbedUrl: {
                shape: "S122"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        GetDashboardEmbedUrl: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/dashboards/{DashboardId}/embed-url"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DashboardId",
              "IdentityType"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DashboardId: {
                location: "uri",
                locationName: "DashboardId"
              },
              IdentityType: {
                location: "querystring",
                locationName: "creds-type"
              },
              SessionLifetimeInMinutes: {
                location: "querystring",
                locationName: "session-lifetime",
                type: "long"
              },
              UndoRedoDisabled: {
                location: "querystring",
                locationName: "undo-redo-disabled",
                type: "boolean"
              },
              ResetDisabled: {
                location: "querystring",
                locationName: "reset-disabled",
                type: "boolean"
              },
              StatePersistenceEnabled: {
                location: "querystring",
                locationName: "state-persistence-enabled",
                type: "boolean"
              },
              UserArn: {
                location: "querystring",
                locationName: "user-arn"
              },
              Namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              AdditionalDashboardIds: {
                location: "querystring",
                locationName: "additional-dashboard-ids",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EmbedUrl: {
                shape: "S122"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        GetSessionEmbedUrl: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/session-embed-url"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              EntryPoint: {
                location: "querystring",
                locationName: "entry-point"
              },
              SessionLifetimeInMinutes: {
                location: "querystring",
                locationName: "session-lifetime",
                type: "long"
              },
              UserArn: {
                location: "querystring",
                locationName: "user-arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EmbedUrl: {
                shape: "S122"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        ListAnalyses: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/analyses"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AnalysisSummaryList: {
                shape: "S12p"
              },
              NextToken: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        ListAssetBundleExportJobs: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/asset-bundle-export-jobs"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssetBundleExportJobSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    JobStatus: {},
                    Arn: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    AssetBundleExportJobId: {},
                    IncludeAllDependencies: {
                      type: "boolean"
                    },
                    ExportFormat: {}
                  }
                }
              },
              NextToken: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        ListAssetBundleImportJobs: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/asset-bundle-import-jobs"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssetBundleImportJobSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    JobStatus: {},
                    Arn: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    AssetBundleImportJobId: {},
                    FailureAction: {}
                  }
                }
              },
              NextToken: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        ListDashboardVersions: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/dashboards/{DashboardId}/versions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DashboardId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DashboardId: {
                location: "uri",
                locationName: "DashboardId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DashboardVersionSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    VersionNumber: {
                      type: "long"
                    },
                    Status: {},
                    SourceEntityArn: {},
                    Description: {}
                  }
                }
              },
              NextToken: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        ListDashboards: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/dashboards"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DashboardSummaryList: {
                shape: "S135"
              },
              NextToken: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        ListDataSets: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/data-sets"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataSetSummaries: {
                shape: "S139"
              },
              NextToken: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        ListDataSources: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/data-sources"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataSources: {
                type: "list",
                member: {
                  shape: "Sz9"
                }
              },
              NextToken: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        ListFolderMembers: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/folders/{FolderId}/members"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "FolderId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              FolderId: {
                location: "uri",
                locationName: "FolderId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              },
              FolderMemberList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MemberId: {},
                    MemberArn: {}
                  }
                }
              },
              NextToken: {},
              RequestId: {}
            }
          }
        },
        ListFolders: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/folders"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              },
              FolderSummaryList: {
                shape: "S13k"
              },
              NextToken: {},
              RequestId: {}
            }
          }
        },
        ListGroupMemberships: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/groups/{GroupName}/members"
          },
          input: {
            type: "structure",
            required: [
              "GroupName",
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              GroupName: {
                location: "uri",
                locationName: "GroupName"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GroupMemberList: {
                type: "list",
                member: {
                  shape: "Sqs"
                }
              },
              NextToken: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        ListGroups: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/groups"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GroupList: {
                shape: "S13r"
              },
              NextToken: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        ListIAMPolicyAssignments: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/v2/iam-policy-assignments"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AssignmentStatus: {
                location: "querystring",
                locationName: "assignment-status"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IAMPolicyAssignments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AssignmentName: {},
                    AssignmentStatus: {}
                  }
                }
              },
              NextToken: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        ListIAMPolicyAssignmentsForUser: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/users/{UserName}/iam-policy-assignments"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "UserName",
              "Namespace"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              UserName: {
                location: "uri",
                locationName: "UserName"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ActiveAssignments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AssignmentName: {},
                    PolicyArn: {}
                  }
                }
              },
              RequestId: {},
              NextToken: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        ListIngestions: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}/ingestions"
          },
          input: {
            type: "structure",
            required: [
              "DataSetId",
              "AwsAccountId"
            ],
            members: {
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Ingestions: {
                type: "list",
                member: {
                  shape: "Szv"
                }
              },
              NextToken: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        ListNamespaces: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/namespaces"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Namespaces: {
                type: "list",
                member: {
                  shape: "S109"
                }
              },
              NextToken: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        ListRefreshSchedules: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}/refresh-schedules"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSetId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RefreshSchedules: {
                type: "list",
                member: {
                  shape: "Sr9"
                }
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/resources/{ResourceArn}/tags"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sb"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        ListTemplateAliases: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/templates/{TemplateId}/aliases"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TemplateId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TemplateId: {
                location: "uri",
                locationName: "TemplateId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-result",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TemplateAliasList: {
                type: "list",
                member: {
                  shape: "Ss0"
                }
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {},
              NextToken: {}
            }
          }
        },
        ListTemplateVersions: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/templates/{TemplateId}/versions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TemplateId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TemplateId: {
                location: "uri",
                locationName: "TemplateId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TemplateVersionSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    VersionNumber: {
                      type: "long"
                    },
                    CreatedTime: {
                      type: "timestamp"
                    },
                    Status: {},
                    Description: {}
                  }
                }
              },
              NextToken: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        ListTemplates: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/templates"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-result",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TemplateSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    TemplateId: {},
                    Name: {},
                    LatestVersionNumber: {
                      type: "long"
                    },
                    CreatedTime: {
                      type: "timestamp"
                    },
                    LastUpdatedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        ListThemeAliases: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/themes/{ThemeId}/aliases"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "ThemeId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              ThemeId: {
                location: "uri",
                locationName: "ThemeId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-result",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ThemeAliasList: {
                type: "list",
                member: {
                  shape: "Ssj"
                }
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {},
              NextToken: {}
            }
          }
        },
        ListThemeVersions: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/themes/{ThemeId}/versions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "ThemeId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              ThemeId: {
                location: "uri",
                locationName: "ThemeId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ThemeVersionSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VersionNumber: {
                      type: "long"
                    },
                    Arn: {},
                    Description: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    Status: {}
                  }
                }
              },
              NextToken: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        ListThemes: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/themes"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              Type: {
                location: "querystring",
                locationName: "type"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ThemeSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Name: {},
                    ThemeId: {},
                    LatestVersionNumber: {
                      type: "long"
                    },
                    CreatedTime: {
                      type: "timestamp"
                    },
                    LastUpdatedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        ListTopicRefreshSchedules: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/topics/{TopicId}/schedules"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TopicId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TopicId: {
                location: "uri",
                locationName: "TopicId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TopicId: {},
              TopicArn: {},
              RefreshSchedules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DatasetId: {},
                    DatasetArn: {},
                    DatasetName: {},
                    RefreshSchedule: {
                      shape: "Sua"
                    }
                  }
                }
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        ListTopics: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/topics"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TopicsSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    TopicId: {},
                    Name: {}
                  }
                }
              },
              NextToken: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        ListUserGroups: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/users/{UserName}/groups"
          },
          input: {
            type: "structure",
            required: [
              "UserName",
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              UserName: {
                location: "uri",
                locationName: "UserName"
              },
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GroupList: {
                shape: "S13r"
              },
              NextToken: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        ListUsers: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/users"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UserList: {
                type: "list",
                member: {
                  shape: "S11g"
                }
              },
              NextToken: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        ListVPCConnections: {
          http: {
            method: "GET",
            requestUri: "/accounts/{AwsAccountId}/vpc-connections"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VPCConnectionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VPCConnectionId: {},
                    Arn: {},
                    Name: {},
                    VPCId: {},
                    SecurityGroupIds: {
                      shape: "Suh"
                    },
                    DnsResolvers: {
                      shape: "St3"
                    },
                    Status: {},
                    AvailabilityStatus: {},
                    NetworkInterfaces: {
                      shape: "S11n"
                    },
                    RoleArn: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    LastUpdatedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        PutDataSetRefreshProperties: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}/refresh-properties"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSetId",
              "DataSetRefreshProperties"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              DataSetRefreshProperties: {
                shape: "Sz1"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        RegisterUser: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/users"
          },
          input: {
            type: "structure",
            required: [
              "IdentityType",
              "Email",
              "UserRole",
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              IdentityType: {},
              Email: {},
              UserRole: {},
              IamArn: {},
              SessionName: {},
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              },
              UserName: {},
              CustomPermissionsName: {},
              ExternalLoginFederationProviderType: {},
              CustomFederationProviderUrl: {},
              ExternalLoginId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              User: {
                shape: "S11g"
              },
              UserInvitationUrl: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        RestoreAnalysis: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/restore/analyses/{AnalysisId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AnalysisId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AnalysisId: {
                location: "uri",
                locationName: "AnalysisId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              },
              Arn: {},
              AnalysisId: {},
              RequestId: {}
            }
          }
        },
        SearchAnalyses: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/search/analyses"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "Filters"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Operator: {},
                    Name: {},
                    Value: {}
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AnalysisSummaryList: {
                shape: "S12p"
              },
              NextToken: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        SearchDashboards: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/search/dashboards"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "Filters"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Operator"
                  ],
                  members: {
                    Operator: {},
                    Name: {},
                    Value: {}
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DashboardSummaryList: {
                shape: "S135"
              },
              NextToken: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        SearchDataSets: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/search/data-sets"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "Filters"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Operator",
                    "Name",
                    "Value"
                  ],
                  members: {
                    Operator: {},
                    Name: {},
                    Value: {}
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataSetSummaries: {
                shape: "S139"
              },
              NextToken: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        SearchDataSources: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/search/data-sources"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "Filters"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Operator",
                    "Name",
                    "Value"
                  ],
                  members: {
                    Operator: {},
                    Name: {},
                    Value: {}
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataSourceSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    DataSourceId: {},
                    Name: {},
                    Type: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    LastUpdatedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        SearchFolders: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/search/folders"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "Filters"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Operator: {},
                    Name: {},
                    Value: {}
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              },
              FolderSummaryList: {
                shape: "S13k"
              },
              NextToken: {},
              RequestId: {}
            }
          }
        },
        SearchGroups: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/groups-search"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "Namespace",
              "Filters"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Operator",
                    "Name",
                    "Value"
                  ],
                  members: {
                    Operator: {},
                    Name: {},
                    Value: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GroupList: {
                shape: "S13r"
              },
              NextToken: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        StartAssetBundleExportJob: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/asset-bundle-export-jobs/export"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AssetBundleExportJobId",
              "ResourceArns",
              "ExportFormat"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AssetBundleExportJobId: {},
              ResourceArns: {
                shape: "Swu"
              },
              IncludeAllDependencies: {
                type: "boolean"
              },
              ExportFormat: {},
              CloudFormationOverridePropertyConfiguration: {
                shape: "Sww"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              AssetBundleExportJobId: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        StartAssetBundleImportJob: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/asset-bundle-import-jobs/import"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AssetBundleImportJobId",
              "AssetBundleImportSource"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AssetBundleImportJobId: {},
              AssetBundleImportSource: {
                type: "structure",
                members: {
                  Body: {
                    type: "blob",
                    sensitive: true
                  },
                  S3Uri: {}
                }
              },
              OverrideParameters: {
                shape: "Sxx"
              },
              FailureAction: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              AssetBundleImportJobId: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/resources/{ResourceArn}/tags"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/resources/{ResourceArn}/tags"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "keys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UpdateAccountCustomization: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/customizations"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AccountCustomization"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              AccountCustomization: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              AwsAccountId: {},
              Namespace: {},
              AccountCustomization: {
                shape: "Sa"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UpdateAccountSettings: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/settings"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DefaultNamespace"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DefaultNamespace: {},
              NotificationEmail: {},
              TerminationProtectionEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UpdateAnalysis: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/analyses/{AnalysisId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AnalysisId",
              "Name"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AnalysisId: {
                location: "uri",
                locationName: "AnalysisId"
              },
              Name: {},
              Parameters: {
                shape: "Sq"
              },
              SourceEntity: {
                shape: "S1c"
              },
              ThemeArn: {},
              Definition: {
                shape: "S1g"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              AnalysisId: {},
              UpdateStatus: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        UpdateAnalysisPermissions: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/analyses/{AnalysisId}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AnalysisId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AnalysisId: {
                location: "uri",
                locationName: "AnalysisId"
              },
              GrantPermissions: {
                shape: "S172"
              },
              RevokePermissions: {
                shape: "S172"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AnalysisArn: {},
              AnalysisId: {},
              Permissions: {
                shape: "S18"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UpdateDashboard: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/dashboards/{DashboardId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DashboardId",
              "Name"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DashboardId: {
                location: "uri",
                locationName: "DashboardId"
              },
              Name: {},
              SourceEntity: {
                shape: "Slb"
              },
              Parameters: {
                shape: "Sq"
              },
              VersionDescription: {},
              DashboardPublishOptions: {
                shape: "Sle"
              },
              ThemeArn: {},
              Definition: {
                shape: "Slt"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              VersionArn: {},
              DashboardId: {},
              CreationStatus: {},
              Status: {
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        UpdateDashboardPermissions: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/dashboards/{DashboardId}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DashboardId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DashboardId: {
                location: "uri",
                locationName: "DashboardId"
              },
              GrantPermissions: {
                shape: "S172"
              },
              RevokePermissions: {
                shape: "S172"
              },
              GrantLinkPermissions: {
                shape: "S177"
              },
              RevokeLinkPermissions: {
                shape: "S177"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DashboardArn: {},
              DashboardId: {},
              Permissions: {
                shape: "S18"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              LinkSharingConfiguration: {
                shape: "Syr"
              }
            }
          }
        },
        UpdateDashboardPublishedVersion: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/dashboards/{DashboardId}/versions/{VersionNumber}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DashboardId",
              "VersionNumber"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DashboardId: {
                location: "uri",
                locationName: "DashboardId"
              },
              VersionNumber: {
                location: "uri",
                locationName: "VersionNumber",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DashboardId: {},
              DashboardArn: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        UpdateDataSet: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSetId",
              "Name",
              "PhysicalTableMap",
              "ImportMode"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              Name: {},
              PhysicalTableMap: {
                shape: "Sly"
              },
              LogicalTableMap: {
                shape: "Smh"
              },
              ImportMode: {},
              ColumnGroups: {
                shape: "Sno"
              },
              FieldFolders: {
                shape: "Snu"
              },
              RowLevelPermissionDataSet: {
                shape: "Snz"
              },
              RowLevelPermissionTagConfiguration: {
                shape: "So3"
              },
              ColumnLevelPermissionRules: {
                shape: "Sob"
              },
              DataSetUsageConfiguration: {
                shape: "Sof"
              },
              DatasetParameters: {
                shape: "Sog"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              DataSetId: {},
              IngestionArn: {},
              IngestionId: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UpdateDataSetPermissions: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSetId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              GrantPermissions: {
                shape: "S18"
              },
              RevokePermissions: {
                shape: "S18"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataSetArn: {},
              DataSetId: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UpdateDataSource: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/data-sources/{DataSourceId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSourceId",
              "Name"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSourceId: {
                location: "uri",
                locationName: "DataSourceId"
              },
              Name: {},
              DataSourceParameters: {
                shape: "Sov"
              },
              Credentials: {
                shape: "Sq1"
              },
              VpcConnectionProperties: {
                shape: "Sq8"
              },
              SslProperties: {
                shape: "Sq9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              DataSourceId: {},
              UpdateStatus: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UpdateDataSourcePermissions: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/data-sources/{DataSourceId}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "DataSourceId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              DataSourceId: {
                location: "uri",
                locationName: "DataSourceId"
              },
              GrantPermissions: {
                shape: "S18"
              },
              RevokePermissions: {
                shape: "S18"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataSourceArn: {},
              DataSourceId: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UpdateFolder: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/folders/{FolderId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "FolderId",
              "Name"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              FolderId: {
                location: "uri",
                locationName: "FolderId"
              },
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              },
              Arn: {},
              FolderId: {},
              RequestId: {}
            }
          }
        },
        UpdateFolderPermissions: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/folders/{FolderId}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "FolderId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              FolderId: {
                location: "uri",
                locationName: "FolderId"
              },
              GrantPermissions: {
                shape: "S18"
              },
              RevokePermissions: {
                shape: "S18"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                type: "integer"
              },
              Arn: {},
              FolderId: {},
              Permissions: {
                shape: "S18"
              },
              RequestId: {}
            }
          }
        },
        UpdateGroup: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/groups/{GroupName}"
          },
          input: {
            type: "structure",
            required: [
              "GroupName",
              "AwsAccountId",
              "Namespace"
            ],
            members: {
              GroupName: {
                location: "uri",
                locationName: "GroupName"
              },
              Description: {},
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Group: {
                shape: "Sqo"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UpdateIAMPolicyAssignment: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/iam-policy-assignments/{AssignmentName}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "AssignmentName",
              "Namespace"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              AssignmentName: {
                location: "uri",
                locationName: "AssignmentName"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              },
              AssignmentStatus: {},
              PolicyArn: {},
              Identities: {
                shape: "Sqw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssignmentName: {},
              AssignmentId: {},
              PolicyArn: {},
              Identities: {
                shape: "Sqw"
              },
              AssignmentStatus: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UpdateIpRestriction: {
          http: {
            requestUri: "/accounts/{AwsAccountId}/ip-restriction"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              IpRestrictionRuleMap: {
                shape: "S104"
              },
              Enabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AwsAccountId: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UpdatePublicSharingSettings: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/public-sharing-settings"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              PublicSharingEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UpdateRefreshSchedule: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/data-sets/{DataSetId}/refresh-schedules"
          },
          input: {
            type: "structure",
            required: [
              "DataSetId",
              "AwsAccountId",
              "Schedule"
            ],
            members: {
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Schedule: {
                shape: "Sr9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {},
              ScheduleId: {},
              Arn: {}
            }
          }
        },
        UpdateTemplate: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/templates/{TemplateId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TemplateId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TemplateId: {
                location: "uri",
                locationName: "TemplateId"
              },
              SourceEntity: {
                shape: "Sri"
              },
              VersionDescription: {},
              Name: {},
              Definition: {
                shape: "Srl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TemplateId: {},
              Arn: {},
              VersionArn: {},
              CreationStatus: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        UpdateTemplateAlias: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/templates/{TemplateId}/aliases/{AliasName}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TemplateId",
              "AliasName",
              "TemplateVersionNumber"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TemplateId: {
                location: "uri",
                locationName: "TemplateId"
              },
              AliasName: {
                location: "uri",
                locationName: "AliasName"
              },
              TemplateVersionNumber: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TemplateAlias: {
                shape: "Ss0"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        UpdateTemplatePermissions: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/templates/{TemplateId}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TemplateId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TemplateId: {
                location: "uri",
                locationName: "TemplateId"
              },
              GrantPermissions: {
                shape: "S172"
              },
              RevokePermissions: {
                shape: "S172"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TemplateId: {},
              TemplateArn: {},
              Permissions: {
                shape: "S18"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UpdateTheme: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/themes/{ThemeId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "ThemeId",
              "BaseThemeId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              ThemeId: {
                location: "uri",
                locationName: "ThemeId"
              },
              Name: {},
              BaseThemeId: {},
              VersionDescription: {},
              Configuration: {
                shape: "Ss3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ThemeId: {},
              Arn: {},
              VersionArn: {},
              CreationStatus: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        UpdateThemeAlias: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/themes/{ThemeId}/aliases/{AliasName}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "ThemeId",
              "AliasName",
              "ThemeVersionNumber"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              ThemeId: {
                location: "uri",
                locationName: "ThemeId"
              },
              AliasName: {
                location: "uri",
                locationName: "AliasName"
              },
              ThemeVersionNumber: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ThemeAlias: {
                shape: "Ssj"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        UpdateThemePermissions: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/themes/{ThemeId}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "ThemeId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              ThemeId: {
                location: "uri",
                locationName: "ThemeId"
              },
              GrantPermissions: {
                shape: "S172"
              },
              RevokePermissions: {
                shape: "S172"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ThemeId: {},
              ThemeArn: {},
              Permissions: {
                shape: "S18"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UpdateTopic: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/topics/{TopicId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TopicId",
              "Topic"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TopicId: {
                location: "uri",
                locationName: "TopicId"
              },
              Topic: {
                shape: "Ssm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TopicId: {},
              Arn: {},
              RefreshArn: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UpdateTopicPermissions: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/topics/{TopicId}/permissions"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TopicId"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TopicId: {
                location: "uri",
                locationName: "TopicId"
              },
              GrantPermissions: {
                shape: "S172"
              },
              RevokePermissions: {
                shape: "S172"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TopicId: {},
              TopicArn: {},
              Permissions: {
                shape: "S18"
              },
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        UpdateTopicRefreshSchedule: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/topics/{TopicId}/schedules/{DatasetId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "TopicId",
              "DatasetId",
              "RefreshSchedule"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              TopicId: {
                location: "uri",
                locationName: "TopicId"
              },
              DatasetId: {
                location: "uri",
                locationName: "DatasetId"
              },
              RefreshSchedule: {
                shape: "Sua"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TopicId: {},
              TopicArn: {},
              DatasetArn: {},
              Status: {
                location: "statusCode",
                type: "integer"
              },
              RequestId: {}
            }
          }
        },
        UpdateUser: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/namespaces/{Namespace}/users/{UserName}"
          },
          input: {
            type: "structure",
            required: [
              "UserName",
              "AwsAccountId",
              "Namespace",
              "Email",
              "Role"
            ],
            members: {
              UserName: {
                location: "uri",
                locationName: "UserName"
              },
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              },
              Email: {},
              Role: {},
              CustomPermissionsName: {},
              UnapplyCustomPermissions: {
                type: "boolean"
              },
              ExternalLoginFederationProviderType: {},
              CustomFederationProviderUrl: {},
              ExternalLoginId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              User: {
                shape: "S11g"
              },
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        UpdateVPCConnection: {
          http: {
            method: "PUT",
            requestUri: "/accounts/{AwsAccountId}/vpc-connections/{VPCConnectionId}"
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "VPCConnectionId",
              "Name",
              "SubnetIds",
              "SecurityGroupIds",
              "RoleArn"
            ],
            members: {
              AwsAccountId: {
                location: "uri",
                locationName: "AwsAccountId"
              },
              VPCConnectionId: {
                location: "uri",
                locationName: "VPCConnectionId"
              },
              Name: {},
              SubnetIds: {
                shape: "Suf"
              },
              SecurityGroupIds: {
                shape: "Suh"
              },
              DnsResolvers: {
                shape: "Suj"
              },
              RoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              VPCConnectionId: {},
              UpdateStatus: {},
              AvailabilityStatus: {},
              RequestId: {},
              Status: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        }
      },
      shapes: {
        Sa: {
          type: "structure",
          members: {
            DefaultTheme: {},
            DefaultEmailCustomizationTemplate: {}
          }
        },
        Sb: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sj: {
          type: "list",
          member: {}
        },
        Sq: {
          type: "structure",
          members: {
            StringParameters: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name",
                  "Values"
                ],
                members: {
                  Name: {},
                  Values: {
                    shape: "Su"
                  }
                }
              }
            },
            IntegerParameters: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name",
                  "Values"
                ],
                members: {
                  Name: {},
                  Values: {
                    type: "list",
                    member: {
                      shape: "Sz"
                    }
                  }
                }
              }
            },
            DecimalParameters: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name",
                  "Values"
                ],
                members: {
                  Name: {},
                  Values: {
                    type: "list",
                    member: {
                      shape: "S13"
                    }
                  }
                }
              }
            },
            DateTimeParameters: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name",
                  "Values"
                ],
                members: {
                  Name: {},
                  Values: {
                    type: "list",
                    member: {
                      shape: "S17"
                    }
                  }
                }
              }
            }
          }
        },
        Su: {
          type: "list",
          member: {
            shape: "Sv"
          }
        },
        Sv: {
          type: "string",
          sensitive: true
        },
        Sz: {
          type: "long",
          sensitive: true
        },
        S13: {
          type: "double",
          sensitive: true
        },
        S17: {
          type: "timestamp",
          sensitive: true
        },
        S18: {
          type: "list",
          member: {
            shape: "S19"
          }
        },
        S19: {
          type: "structure",
          required: [
            "Principal",
            "Actions"
          ],
          members: {
            Principal: {},
            Actions: {
              type: "list",
              member: {}
            }
          }
        },
        S1c: {
          type: "structure",
          members: {
            SourceTemplate: {
              type: "structure",
              required: [
                "DataSetReferences",
                "Arn"
              ],
              members: {
                DataSetReferences: {
                  shape: "S1e"
                },
                Arn: {}
              }
            }
          }
        },
        S1e: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DataSetPlaceholder",
              "DataSetArn"
            ],
            members: {
              DataSetPlaceholder: {},
              DataSetArn: {}
            }
          }
        },
        S1g: {
          type: "structure",
          required: [
            "DataSetIdentifierDeclarations"
          ],
          members: {
            DataSetIdentifierDeclarations: {
              shape: "S1h"
            },
            Sheets: {
              shape: "S1k"
            },
            CalculatedFields: {
              shape: "Sj7"
            },
            ParameterDeclarations: {
              shape: "Sja"
            },
            FilterGroups: {
              shape: "Sju"
            },
            ColumnConfigurations: {
              shape: "Skt"
            },
            AnalysisDefaults: {
              shape: "Sl0"
            }
          }
        },
        S1h: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Identifier",
              "DataSetArn"
            ],
            members: {
              Identifier: {},
              DataSetArn: {}
            }
          }
        },
        S1k: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "SheetId"
            ],
            members: {
              SheetId: {},
              Title: {},
              Description: {},
              Name: {},
              ParameterControls: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DateTimePicker: {
                      type: "structure",
                      required: [
                        "ParameterControlId",
                        "Title",
                        "SourceParameterName"
                      ],
                      members: {
                        ParameterControlId: {},
                        Title: {},
                        SourceParameterName: {},
                        DisplayOptions: {
                          shape: "S1u"
                        }
                      }
                    },
                    List: {
                      type: "structure",
                      required: [
                        "ParameterControlId",
                        "Title",
                        "SourceParameterName"
                      ],
                      members: {
                        ParameterControlId: {},
                        Title: {},
                        SourceParameterName: {},
                        DisplayOptions: {
                          shape: "S27"
                        },
                        Type: {},
                        SelectableValues: {
                          shape: "S2b"
                        },
                        CascadingControlConfiguration: {
                          shape: "S2f"
                        }
                      }
                    },
                    Dropdown: {
                      type: "structure",
                      required: [
                        "ParameterControlId",
                        "Title",
                        "SourceParameterName"
                      ],
                      members: {
                        ParameterControlId: {},
                        Title: {},
                        SourceParameterName: {},
                        DisplayOptions: {
                          shape: "S2j"
                        },
                        Type: {},
                        SelectableValues: {
                          shape: "S2b"
                        },
                        CascadingControlConfiguration: {
                          shape: "S2f"
                        }
                      }
                    },
                    TextField: {
                      type: "structure",
                      required: [
                        "ParameterControlId",
                        "Title",
                        "SourceParameterName"
                      ],
                      members: {
                        ParameterControlId: {},
                        Title: {},
                        SourceParameterName: {},
                        DisplayOptions: {
                          shape: "S2l"
                        }
                      }
                    },
                    TextArea: {
                      type: "structure",
                      required: [
                        "ParameterControlId",
                        "Title",
                        "SourceParameterName"
                      ],
                      members: {
                        ParameterControlId: {},
                        Title: {},
                        SourceParameterName: {},
                        Delimiter: {},
                        DisplayOptions: {
                          shape: "S2p"
                        }
                      }
                    },
                    Slider: {
                      type: "structure",
                      required: [
                        "ParameterControlId",
                        "Title",
                        "SourceParameterName",
                        "MaximumValue",
                        "MinimumValue",
                        "StepSize"
                      ],
                      members: {
                        ParameterControlId: {},
                        Title: {},
                        SourceParameterName: {},
                        DisplayOptions: {
                          shape: "S2r"
                        },
                        MaximumValue: {
                          type: "double"
                        },
                        MinimumValue: {
                          type: "double"
                        },
                        StepSize: {
                          type: "double"
                        }
                      }
                    }
                  }
                }
              },
              FilterControls: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DateTimePicker: {
                      type: "structure",
                      required: [
                        "FilterControlId",
                        "Title",
                        "SourceFilterId"
                      ],
                      members: {
                        FilterControlId: {},
                        Title: {},
                        SourceFilterId: {},
                        DisplayOptions: {
                          shape: "S1u"
                        },
                        Type: {}
                      }
                    },
                    List: {
                      type: "structure",
                      required: [
                        "FilterControlId",
                        "Title",
                        "SourceFilterId"
                      ],
                      members: {
                        FilterControlId: {},
                        Title: {},
                        SourceFilterId: {},
                        DisplayOptions: {
                          shape: "S27"
                        },
                        Type: {},
                        SelectableValues: {
                          shape: "S2y"
                        },
                        CascadingControlConfiguration: {
                          shape: "S2f"
                        }
                      }
                    },
                    Dropdown: {
                      type: "structure",
                      required: [
                        "FilterControlId",
                        "Title",
                        "SourceFilterId"
                      ],
                      members: {
                        FilterControlId: {},
                        Title: {},
                        SourceFilterId: {},
                        DisplayOptions: {
                          shape: "S2j"
                        },
                        Type: {},
                        SelectableValues: {
                          shape: "S2y"
                        },
                        CascadingControlConfiguration: {
                          shape: "S2f"
                        }
                      }
                    },
                    TextField: {
                      type: "structure",
                      required: [
                        "FilterControlId",
                        "Title",
                        "SourceFilterId"
                      ],
                      members: {
                        FilterControlId: {},
                        Title: {},
                        SourceFilterId: {},
                        DisplayOptions: {
                          shape: "S2l"
                        }
                      }
                    },
                    TextArea: {
                      type: "structure",
                      required: [
                        "FilterControlId",
                        "Title",
                        "SourceFilterId"
                      ],
                      members: {
                        FilterControlId: {},
                        Title: {},
                        SourceFilterId: {},
                        Delimiter: {},
                        DisplayOptions: {
                          shape: "S2p"
                        }
                      }
                    },
                    Slider: {
                      type: "structure",
                      required: [
                        "FilterControlId",
                        "Title",
                        "SourceFilterId",
                        "MaximumValue",
                        "MinimumValue",
                        "StepSize"
                      ],
                      members: {
                        FilterControlId: {},
                        Title: {},
                        SourceFilterId: {},
                        DisplayOptions: {
                          shape: "S2r"
                        },
                        Type: {},
                        MaximumValue: {
                          type: "double"
                        },
                        MinimumValue: {
                          type: "double"
                        },
                        StepSize: {
                          type: "double"
                        }
                      }
                    },
                    RelativeDateTime: {
                      type: "structure",
                      required: [
                        "FilterControlId",
                        "Title",
                        "SourceFilterId"
                      ],
                      members: {
                        FilterControlId: {},
                        Title: {},
                        SourceFilterId: {},
                        DisplayOptions: {
                          type: "structure",
                          members: {
                            TitleOptions: {
                              shape: "S1v"
                            },
                            DateTimeFormat: {}
                          }
                        }
                      }
                    }
                  }
                }
              },
              Visuals: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TableVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                TableAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    GroupBy: {
                                      shape: "S3k"
                                    },
                                    Values: {
                                      shape: "S4c"
                                    }
                                  }
                                },
                                TableUnaggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    Values: {
                                      type: "list",
                                      member: {
                                        type: "structure",
                                        required: [
                                          "FieldId",
                                          "Column"
                                        ],
                                        members: {
                                          FieldId: {},
                                          Column: {
                                            shape: "S2d"
                                          },
                                          FormatConfiguration: {
                                            shape: "S4s"
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            SortConfiguration: {
                              type: "structure",
                              members: {
                                RowSort: {
                                  type: "list",
                                  member: {
                                    shape: "S4v"
                                  }
                                },
                                PaginationConfiguration: {
                                  shape: "S50"
                                }
                              }
                            },
                            TableOptions: {
                              type: "structure",
                              members: {
                                Orientation: {},
                                HeaderStyle: {
                                  shape: "S55"
                                },
                                CellStyle: {
                                  shape: "S55"
                                },
                                RowAlternateColorOptions: {
                                  shape: "S5f"
                                }
                              }
                            },
                            TotalOptions: {
                              type: "structure",
                              members: {
                                TotalsVisibility: {},
                                Placement: {},
                                ScrollStatus: {},
                                CustomLabel: {},
                                TotalCellStyle: {
                                  shape: "S55"
                                }
                              }
                            },
                            FieldOptions: {
                              type: "structure",
                              members: {
                                SelectedFieldOptions: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    required: [
                                      "FieldId"
                                    ],
                                    members: {
                                      FieldId: {},
                                      Width: {},
                                      CustomLabel: {},
                                      Visibility: {},
                                      URLStyling: {
                                        type: "structure",
                                        members: {
                                          LinkConfiguration: {
                                            type: "structure",
                                            required: [
                                              "Target",
                                              "Content"
                                            ],
                                            members: {
                                              Target: {},
                                              Content: {
                                                type: "structure",
                                                members: {
                                                  CustomTextContent: {
                                                    type: "structure",
                                                    required: [
                                                      "FontConfiguration"
                                                    ],
                                                    members: {
                                                      Value: {},
                                                      FontConfiguration: {
                                                        shape: "S1x"
                                                      }
                                                    }
                                                  },
                                                  CustomIconContent: {
                                                    type: "structure",
                                                    members: {
                                                      Icon: {}
                                                    }
                                                  }
                                                }
                                              }
                                            }
                                          },
                                          ImageConfiguration: {
                                            type: "structure",
                                            members: {
                                              SizingOptions: {
                                                type: "structure",
                                                members: {
                                                  TableCellImageScalingConfiguration: {}
                                                }
                                              }
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                },
                                Order: {
                                  type: "list",
                                  member: {}
                                }
                              }
                            },
                            PaginatedReportOptions: {
                              type: "structure",
                              members: {
                                VerticalOverflowVisibility: {},
                                OverflowColumnHeaderVisibility: {}
                              }
                            },
                            TableInlineVisualizations: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  DataBars: {
                                    type: "structure",
                                    required: [
                                      "FieldId"
                                    ],
                                    members: {
                                      FieldId: {},
                                      PositiveColor: {},
                                      NegativeColor: {}
                                    }
                                  }
                                }
                              }
                            }
                          }
                        },
                        ConditionalFormatting: {
                          type: "structure",
                          members: {
                            ConditionalFormattingOptions: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  Cell: {
                                    type: "structure",
                                    required: [
                                      "FieldId"
                                    ],
                                    members: {
                                      FieldId: {},
                                      TextFormat: {
                                        shape: "S69"
                                      }
                                    }
                                  },
                                  Row: {
                                    type: "structure",
                                    members: {
                                      BackgroundColor: {
                                        shape: "S6a"
                                      },
                                      TextColor: {
                                        shape: "S6a"
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        }
                      }
                    },
                    PivotTableVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                PivotTableAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    Rows: {
                                      shape: "S7s"
                                    },
                                    Columns: {
                                      shape: "S7s"
                                    },
                                    Values: {
                                      type: "list",
                                      member: {
                                        shape: "S4d"
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            SortConfiguration: {
                              type: "structure",
                              members: {
                                FieldSortOptions: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    required: [
                                      "FieldId",
                                      "SortBy"
                                    ],
                                    members: {
                                      FieldId: {},
                                      SortBy: {
                                        type: "structure",
                                        members: {
                                          Field: {
                                            shape: "S4w"
                                          },
                                          Column: {
                                            shape: "S4y"
                                          },
                                          DataPath: {
                                            type: "structure",
                                            required: [
                                              "Direction",
                                              "SortPaths"
                                            ],
                                            members: {
                                              Direction: {},
                                              SortPaths: {
                                                shape: "S7z"
                                              }
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            TableOptions: {
                              type: "structure",
                              members: {
                                MetricPlacement: {},
                                SingleMetricVisibility: {},
                                ColumnNamesVisibility: {},
                                ToggleButtonsVisibility: {},
                                ColumnHeaderStyle: {
                                  shape: "S55"
                                },
                                RowHeaderStyle: {
                                  shape: "S55"
                                },
                                CellStyle: {
                                  shape: "S55"
                                },
                                RowFieldNamesStyle: {
                                  shape: "S55"
                                },
                                RowAlternateColorOptions: {
                                  shape: "S5f"
                                },
                                CollapsedRowDimensionsVisibility: {}
                              }
                            },
                            TotalOptions: {
                              type: "structure",
                              members: {
                                RowSubtotalOptions: {
                                  shape: "S85"
                                },
                                ColumnSubtotalOptions: {
                                  shape: "S85"
                                },
                                RowTotalOptions: {
                                  shape: "S89"
                                },
                                ColumnTotalOptions: {
                                  shape: "S89"
                                }
                              }
                            },
                            FieldOptions: {
                              type: "structure",
                              members: {
                                SelectedFieldOptions: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    required: [
                                      "FieldId"
                                    ],
                                    members: {
                                      FieldId: {},
                                      CustomLabel: {},
                                      Visibility: {}
                                    }
                                  }
                                },
                                DataPathOptions: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    required: [
                                      "DataPathList"
                                    ],
                                    members: {
                                      DataPathList: {
                                        shape: "S7z"
                                      },
                                      Width: {}
                                    }
                                  }
                                },
                                CollapseStateOptions: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    required: [
                                      "Target"
                                    ],
                                    members: {
                                      Target: {
                                        type: "structure",
                                        members: {
                                          FieldId: {},
                                          FieldDataPathValues: {
                                            shape: "S7z"
                                          }
                                        }
                                      },
                                      State: {}
                                    }
                                  }
                                }
                              }
                            },
                            PaginatedReportOptions: {
                              type: "structure",
                              members: {
                                VerticalOverflowVisibility: {},
                                OverflowColumnHeaderVisibility: {}
                              }
                            }
                          }
                        },
                        ConditionalFormatting: {
                          type: "structure",
                          members: {
                            ConditionalFormattingOptions: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  Cell: {
                                    type: "structure",
                                    required: [
                                      "FieldId"
                                    ],
                                    members: {
                                      FieldId: {},
                                      TextFormat: {
                                        shape: "S69"
                                      },
                                      Scope: {
                                        shape: "S8o"
                                      },
                                      Scopes: {
                                        type: "list",
                                        member: {
                                          shape: "S8o"
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        }
                      }
                    },
                    BarChartVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                BarChartAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    Category: {
                                      shape: "S3k"
                                    },
                                    Values: {
                                      shape: "S4c"
                                    },
                                    Colors: {
                                      shape: "S3k"
                                    },
                                    SmallMultiples: {
                                      shape: "S8v"
                                    }
                                  }
                                }
                              }
                            },
                            SortConfiguration: {
                              type: "structure",
                              members: {
                                CategorySort: {
                                  shape: "S8x"
                                },
                                CategoryItemsLimit: {
                                  shape: "S8y"
                                },
                                ColorSort: {
                                  shape: "S8x"
                                },
                                ColorItemsLimit: {
                                  shape: "S8y"
                                },
                                SmallMultiplesSort: {
                                  shape: "S8x"
                                },
                                SmallMultiplesLimitConfiguration: {
                                  shape: "S8y"
                                }
                              }
                            },
                            Orientation: {},
                            BarsArrangement: {},
                            VisualPalette: {
                              shape: "S92"
                            },
                            SmallMultiplesOptions: {
                              shape: "S95"
                            },
                            CategoryAxis: {
                              shape: "S9f"
                            },
                            CategoryLabelOptions: {
                              shape: "S9v"
                            },
                            ValueAxis: {
                              shape: "S9f"
                            },
                            ValueLabelOptions: {
                              shape: "S9v"
                            },
                            ColorLabelOptions: {
                              shape: "S9v"
                            },
                            Legend: {
                              shape: "S9z"
                            },
                            DataLabels: {
                              shape: "Sa1"
                            },
                            Tooltip: {
                              shape: "Sac"
                            },
                            ReferenceLines: {
                              shape: "Sak"
                            },
                            ContributionAnalysisDefaults: {
                              shape: "Say"
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        },
                        ColumnHierarchies: {
                          shape: "Sb1"
                        }
                      }
                    },
                    KPIVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                Values: {
                                  shape: "S4c"
                                },
                                TargetValues: {
                                  shape: "S4c"
                                },
                                TrendGroups: {
                                  shape: "S3k"
                                }
                              }
                            },
                            SortConfiguration: {
                              type: "structure",
                              members: {
                                TrendGroupSort: {
                                  shape: "S8x"
                                }
                              }
                            },
                            KPIOptions: {
                              type: "structure",
                              members: {
                                ProgressBar: {
                                  type: "structure",
                                  members: {
                                    Visibility: {}
                                  }
                                },
                                TrendArrows: {
                                  type: "structure",
                                  members: {
                                    Visibility: {}
                                  }
                                },
                                SecondaryValue: {
                                  type: "structure",
                                  members: {
                                    Visibility: {}
                                  }
                                },
                                Comparison: {
                                  shape: "Sbo"
                                },
                                PrimaryValueDisplayType: {},
                                PrimaryValueFontConfiguration: {
                                  shape: "S1x"
                                },
                                SecondaryValueFontConfiguration: {
                                  shape: "S1x"
                                }
                              }
                            }
                          }
                        },
                        ConditionalFormatting: {
                          type: "structure",
                          members: {
                            ConditionalFormattingOptions: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  PrimaryValue: {
                                    type: "structure",
                                    members: {
                                      TextColor: {
                                        shape: "S6a"
                                      },
                                      Icon: {
                                        shape: "S6g"
                                      }
                                    }
                                  },
                                  ProgressBar: {
                                    type: "structure",
                                    members: {
                                      ForegroundColor: {
                                        shape: "S6a"
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        },
                        ColumnHierarchies: {
                          shape: "Sb1"
                        }
                      }
                    },
                    PieChartVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                PieChartAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    Category: {
                                      shape: "S3k"
                                    },
                                    Values: {
                                      shape: "S4c"
                                    },
                                    SmallMultiples: {
                                      shape: "S8v"
                                    }
                                  }
                                }
                              }
                            },
                            SortConfiguration: {
                              type: "structure",
                              members: {
                                CategorySort: {
                                  shape: "S8x"
                                },
                                CategoryItemsLimit: {
                                  shape: "S8y"
                                },
                                SmallMultiplesSort: {
                                  shape: "S8x"
                                },
                                SmallMultiplesLimitConfiguration: {
                                  shape: "S8y"
                                }
                              }
                            },
                            DonutOptions: {
                              type: "structure",
                              members: {
                                ArcOptions: {
                                  type: "structure",
                                  members: {
                                    ArcThickness: {}
                                  }
                                },
                                DonutCenterOptions: {
                                  type: "structure",
                                  members: {
                                    LabelVisibility: {}
                                  }
                                }
                              }
                            },
                            SmallMultiplesOptions: {
                              shape: "S95"
                            },
                            CategoryLabelOptions: {
                              shape: "S9v"
                            },
                            ValueLabelOptions: {
                              shape: "S9v"
                            },
                            Legend: {
                              shape: "S9z"
                            },
                            DataLabels: {
                              shape: "Sa1"
                            },
                            Tooltip: {
                              shape: "Sac"
                            },
                            VisualPalette: {
                              shape: "S92"
                            },
                            ContributionAnalysisDefaults: {
                              shape: "Say"
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        },
                        ColumnHierarchies: {
                          shape: "Sb1"
                        }
                      }
                    },
                    GaugeChartVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                Values: {
                                  shape: "S4c"
                                },
                                TargetValues: {
                                  shape: "S4c"
                                }
                              }
                            },
                            GaugeChartOptions: {
                              type: "structure",
                              members: {
                                PrimaryValueDisplayType: {},
                                Comparison: {
                                  shape: "Sbo"
                                },
                                ArcAxis: {
                                  type: "structure",
                                  members: {
                                    Range: {
                                      type: "structure",
                                      members: {
                                        Min: {
                                          type: "double"
                                        },
                                        Max: {
                                          type: "double"
                                        }
                                      }
                                    },
                                    ReserveRange: {
                                      type: "integer"
                                    }
                                  }
                                },
                                Arc: {
                                  type: "structure",
                                  members: {
                                    ArcAngle: {
                                      type: "double"
                                    },
                                    ArcThickness: {}
                                  }
                                },
                                PrimaryValueFontConfiguration: {
                                  shape: "S1x"
                                }
                              }
                            },
                            DataLabels: {
                              shape: "Sa1"
                            },
                            TooltipOptions: {
                              shape: "Sac"
                            },
                            VisualPalette: {
                              shape: "S92"
                            }
                          }
                        },
                        ConditionalFormatting: {
                          type: "structure",
                          members: {
                            ConditionalFormattingOptions: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  PrimaryValue: {
                                    type: "structure",
                                    members: {
                                      TextColor: {
                                        shape: "S6a"
                                      },
                                      Icon: {
                                        shape: "S6g"
                                      }
                                    }
                                  },
                                  Arc: {
                                    type: "structure",
                                    members: {
                                      ForegroundColor: {
                                        shape: "S6a"
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        }
                      }
                    },
                    LineChartVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                LineChartAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    Category: {
                                      shape: "S3k"
                                    },
                                    Values: {
                                      shape: "S4c"
                                    },
                                    Colors: {
                                      shape: "S3k"
                                    },
                                    SmallMultiples: {
                                      shape: "S8v"
                                    }
                                  }
                                }
                              }
                            },
                            SortConfiguration: {
                              type: "structure",
                              members: {
                                CategorySort: {
                                  shape: "S8x"
                                },
                                CategoryItemsLimitConfiguration: {
                                  shape: "S8y"
                                },
                                ColorItemsLimitConfiguration: {
                                  shape: "S8y"
                                },
                                SmallMultiplesSort: {
                                  shape: "S8x"
                                },
                                SmallMultiplesLimitConfiguration: {
                                  shape: "S8y"
                                }
                              }
                            },
                            ForecastConfigurations: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  ForecastProperties: {
                                    type: "structure",
                                    members: {
                                      PeriodsForward: {
                                        type: "integer"
                                      },
                                      PeriodsBackward: {
                                        type: "integer"
                                      },
                                      UpperBoundary: {
                                        type: "double"
                                      },
                                      LowerBoundary: {
                                        type: "double"
                                      },
                                      PredictionInterval: {
                                        type: "integer"
                                      },
                                      Seasonality: {
                                        type: "integer"
                                      }
                                    }
                                  },
                                  Scenario: {
                                    type: "structure",
                                    members: {
                                      WhatIfPointScenario: {
                                        type: "structure",
                                        required: [
                                          "Date",
                                          "Value"
                                        ],
                                        members: {
                                          Date: {
                                            type: "timestamp"
                                          },
                                          Value: {
                                            type: "double"
                                          }
                                        }
                                      },
                                      WhatIfRangeScenario: {
                                        type: "structure",
                                        required: [
                                          "StartDate",
                                          "EndDate",
                                          "Value"
                                        ],
                                        members: {
                                          StartDate: {
                                            type: "timestamp"
                                          },
                                          EndDate: {
                                            type: "timestamp"
                                          },
                                          Value: {
                                            type: "double"
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            Type: {},
                            SmallMultiplesOptions: {
                              shape: "S95"
                            },
                            XAxisDisplayOptions: {
                              shape: "S9f"
                            },
                            XAxisLabelOptions: {
                              shape: "S9v"
                            },
                            PrimaryYAxisDisplayOptions: {
                              shape: "Scz"
                            },
                            PrimaryYAxisLabelOptions: {
                              shape: "S9v"
                            },
                            SecondaryYAxisDisplayOptions: {
                              shape: "Scz"
                            },
                            SecondaryYAxisLabelOptions: {
                              shape: "S9v"
                            },
                            DefaultSeriesSettings: {
                              type: "structure",
                              members: {
                                AxisBinding: {},
                                LineStyleSettings: {
                                  shape: "Sd4"
                                },
                                MarkerStyleSettings: {
                                  shape: "Sd7"
                                }
                              }
                            },
                            Series: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  FieldSeriesItem: {
                                    type: "structure",
                                    required: [
                                      "FieldId",
                                      "AxisBinding"
                                    ],
                                    members: {
                                      FieldId: {},
                                      AxisBinding: {},
                                      Settings: {
                                        shape: "Sdc"
                                      }
                                    }
                                  },
                                  DataFieldSeriesItem: {
                                    type: "structure",
                                    required: [
                                      "FieldId",
                                      "AxisBinding"
                                    ],
                                    members: {
                                      FieldId: {},
                                      FieldValue: {
                                        shape: "Sv"
                                      },
                                      AxisBinding: {},
                                      Settings: {
                                        shape: "Sdc"
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            Legend: {
                              shape: "S9z"
                            },
                            DataLabels: {
                              shape: "Sa1"
                            },
                            ReferenceLines: {
                              shape: "Sak"
                            },
                            Tooltip: {
                              shape: "Sac"
                            },
                            ContributionAnalysisDefaults: {
                              shape: "Say"
                            },
                            VisualPalette: {
                              shape: "S92"
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        },
                        ColumnHierarchies: {
                          shape: "Sb1"
                        }
                      }
                    },
                    HeatMapVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                HeatMapAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    Rows: {
                                      shape: "Sdi"
                                    },
                                    Columns: {
                                      shape: "Sdi"
                                    },
                                    Values: {
                                      type: "list",
                                      member: {
                                        shape: "S4d"
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            SortConfiguration: {
                              type: "structure",
                              members: {
                                HeatMapRowSort: {
                                  shape: "S8x"
                                },
                                HeatMapColumnSort: {
                                  shape: "S8x"
                                },
                                HeatMapRowItemsLimitConfiguration: {
                                  shape: "S8y"
                                },
                                HeatMapColumnItemsLimitConfiguration: {
                                  shape: "S8y"
                                }
                              }
                            },
                            RowLabelOptions: {
                              shape: "S9v"
                            },
                            ColumnLabelOptions: {
                              shape: "S9v"
                            },
                            ColorScale: {
                              shape: "Sdl"
                            },
                            Legend: {
                              shape: "S9z"
                            },
                            DataLabels: {
                              shape: "Sa1"
                            },
                            Tooltip: {
                              shape: "Sac"
                            }
                          }
                        },
                        ColumnHierarchies: {
                          shape: "Sb1"
                        },
                        Actions: {
                          shape: "S6q"
                        }
                      }
                    },
                    TreeMapVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                TreeMapAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    Groups: {
                                      type: "list",
                                      member: {
                                        shape: "S3l"
                                      }
                                    },
                                    Sizes: {
                                      shape: "Sdu"
                                    },
                                    Colors: {
                                      shape: "Sdu"
                                    }
                                  }
                                }
                              }
                            },
                            SortConfiguration: {
                              type: "structure",
                              members: {
                                TreeMapSort: {
                                  shape: "S8x"
                                },
                                TreeMapGroupItemsLimitConfiguration: {
                                  shape: "S8y"
                                }
                              }
                            },
                            GroupLabelOptions: {
                              shape: "S9v"
                            },
                            SizeLabelOptions: {
                              shape: "S9v"
                            },
                            ColorLabelOptions: {
                              shape: "S9v"
                            },
                            ColorScale: {
                              shape: "Sdl"
                            },
                            Legend: {
                              shape: "S9z"
                            },
                            DataLabels: {
                              shape: "Sa1"
                            },
                            Tooltip: {
                              shape: "Sac"
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        },
                        ColumnHierarchies: {
                          shape: "Sb1"
                        }
                      }
                    },
                    GeospatialMapVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                GeospatialMapAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    Geospatial: {
                                      shape: "S3k"
                                    },
                                    Values: {
                                      shape: "S4c"
                                    },
                                    Colors: {
                                      shape: "S3k"
                                    }
                                  }
                                }
                              }
                            },
                            Legend: {
                              shape: "S9z"
                            },
                            Tooltip: {
                              shape: "Sac"
                            },
                            WindowOptions: {
                              shape: "Se0"
                            },
                            MapStyleOptions: {
                              shape: "Se5"
                            },
                            PointStyleOptions: {
                              type: "structure",
                              members: {
                                SelectedPointStyle: {},
                                ClusterMarkerConfiguration: {
                                  type: "structure",
                                  members: {
                                    ClusterMarker: {
                                      type: "structure",
                                      members: {
                                        SimpleClusterMarker: {
                                          type: "structure",
                                          members: {
                                            Color: {}
                                          }
                                        }
                                      }
                                    }
                                  }
                                },
                                HeatmapConfiguration: {
                                  type: "structure",
                                  members: {
                                    HeatmapColor: {
                                      type: "structure",
                                      members: {
                                        Colors: {
                                          type: "list",
                                          member: {
                                            type: "structure",
                                            required: [
                                              "Color"
                                            ],
                                            members: {
                                              Color: {}
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            VisualPalette: {
                              shape: "S92"
                            }
                          }
                        },
                        ColumnHierarchies: {
                          shape: "Sb1"
                        },
                        Actions: {
                          shape: "S6q"
                        }
                      }
                    },
                    FilledMapVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                FilledMapAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    Geospatial: {
                                      type: "list",
                                      member: {
                                        shape: "S3l"
                                      }
                                    },
                                    Values: {
                                      type: "list",
                                      member: {
                                        shape: "S4d"
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            SortConfiguration: {
                              type: "structure",
                              members: {
                                CategorySort: {
                                  shape: "S8x"
                                }
                              }
                            },
                            Legend: {
                              shape: "S9z"
                            },
                            Tooltip: {
                              shape: "Sac"
                            },
                            WindowOptions: {
                              shape: "Se0"
                            },
                            MapStyleOptions: {
                              shape: "Se5"
                            }
                          }
                        },
                        ConditionalFormatting: {
                          type: "structure",
                          required: [
                            "ConditionalFormattingOptions"
                          ],
                          members: {
                            ConditionalFormattingOptions: {
                              type: "list",
                              member: {
                                type: "structure",
                                required: [
                                  "Shape"
                                ],
                                members: {
                                  Shape: {
                                    type: "structure",
                                    required: [
                                      "FieldId"
                                    ],
                                    members: {
                                      FieldId: {},
                                      Format: {
                                        type: "structure",
                                        required: [
                                          "BackgroundColor"
                                        ],
                                        members: {
                                          BackgroundColor: {
                                            shape: "S6a"
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        },
                        ColumnHierarchies: {
                          shape: "Sb1"
                        },
                        Actions: {
                          shape: "S6q"
                        }
                      }
                    },
                    FunnelChartVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                FunnelChartAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    Category: {
                                      type: "list",
                                      member: {
                                        shape: "S3l"
                                      }
                                    },
                                    Values: {
                                      type: "list",
                                      member: {
                                        shape: "S4d"
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            SortConfiguration: {
                              type: "structure",
                              members: {
                                CategorySort: {
                                  shape: "S8x"
                                },
                                CategoryItemsLimit: {
                                  shape: "S8y"
                                }
                              }
                            },
                            CategoryLabelOptions: {
                              shape: "S9v"
                            },
                            ValueLabelOptions: {
                              shape: "S9v"
                            },
                            Tooltip: {
                              shape: "Sac"
                            },
                            DataLabelOptions: {
                              type: "structure",
                              members: {
                                Visibility: {},
                                CategoryLabelVisibility: {},
                                MeasureLabelVisibility: {},
                                Position: {},
                                LabelFontConfiguration: {
                                  shape: "S1x"
                                },
                                LabelColor: {},
                                MeasureDataLabelStyle: {}
                              }
                            },
                            VisualPalette: {
                              shape: "S92"
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        },
                        ColumnHierarchies: {
                          shape: "Sb1"
                        }
                      }
                    },
                    ScatterPlotVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                ScatterPlotCategoricallyAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    XAxis: {
                                      shape: "S4c"
                                    },
                                    YAxis: {
                                      shape: "S4c"
                                    },
                                    Category: {
                                      shape: "S3k"
                                    },
                                    Size: {
                                      shape: "S4c"
                                    },
                                    Label: {
                                      shape: "S3k"
                                    }
                                  }
                                },
                                ScatterPlotUnaggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    XAxis: {
                                      shape: "S3k"
                                    },
                                    YAxis: {
                                      shape: "S3k"
                                    },
                                    Size: {
                                      shape: "S4c"
                                    },
                                    Category: {
                                      shape: "S3k"
                                    },
                                    Label: {
                                      shape: "S3k"
                                    }
                                  }
                                }
                              }
                            },
                            XAxisLabelOptions: {
                              shape: "S9v"
                            },
                            XAxisDisplayOptions: {
                              shape: "S9f"
                            },
                            YAxisLabelOptions: {
                              shape: "S9v"
                            },
                            YAxisDisplayOptions: {
                              shape: "S9f"
                            },
                            Legend: {
                              shape: "S9z"
                            },
                            DataLabels: {
                              shape: "Sa1"
                            },
                            Tooltip: {
                              shape: "Sac"
                            },
                            VisualPalette: {
                              shape: "S92"
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        },
                        ColumnHierarchies: {
                          shape: "Sb1"
                        }
                      }
                    },
                    ComboChartVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                ComboChartAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    Category: {
                                      shape: "S3k"
                                    },
                                    BarValues: {
                                      shape: "S4c"
                                    },
                                    Colors: {
                                      shape: "S3k"
                                    },
                                    LineValues: {
                                      shape: "S4c"
                                    }
                                  }
                                }
                              }
                            },
                            SortConfiguration: {
                              type: "structure",
                              members: {
                                CategorySort: {
                                  shape: "S8x"
                                },
                                CategoryItemsLimit: {
                                  shape: "S8y"
                                },
                                ColorSort: {
                                  shape: "S8x"
                                },
                                ColorItemsLimit: {
                                  shape: "S8y"
                                }
                              }
                            },
                            BarsArrangement: {},
                            CategoryAxis: {
                              shape: "S9f"
                            },
                            CategoryLabelOptions: {
                              shape: "S9v"
                            },
                            PrimaryYAxisDisplayOptions: {
                              shape: "S9f"
                            },
                            PrimaryYAxisLabelOptions: {
                              shape: "S9v"
                            },
                            SecondaryYAxisDisplayOptions: {
                              shape: "S9f"
                            },
                            SecondaryYAxisLabelOptions: {
                              shape: "S9v"
                            },
                            ColorLabelOptions: {
                              shape: "S9v"
                            },
                            Legend: {
                              shape: "S9z"
                            },
                            BarDataLabels: {
                              shape: "Sa1"
                            },
                            LineDataLabels: {
                              shape: "Sa1"
                            },
                            Tooltip: {
                              shape: "Sac"
                            },
                            ReferenceLines: {
                              shape: "Sak"
                            },
                            VisualPalette: {
                              shape: "S92"
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        },
                        ColumnHierarchies: {
                          shape: "Sb1"
                        }
                      }
                    },
                    BoxPlotVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                BoxPlotAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    GroupBy: {
                                      type: "list",
                                      member: {
                                        shape: "S3l"
                                      }
                                    },
                                    Values: {
                                      type: "list",
                                      member: {
                                        shape: "S4d"
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            SortConfiguration: {
                              type: "structure",
                              members: {
                                CategorySort: {
                                  shape: "S8x"
                                },
                                PaginationConfiguration: {
                                  shape: "S50"
                                }
                              }
                            },
                            BoxPlotOptions: {
                              type: "structure",
                              members: {
                                StyleOptions: {
                                  type: "structure",
                                  members: {
                                    FillStyle: {}
                                  }
                                },
                                OutlierVisibility: {},
                                AllDataPointsVisibility: {}
                              }
                            },
                            CategoryAxis: {
                              shape: "S9f"
                            },
                            CategoryLabelOptions: {
                              shape: "S9v"
                            },
                            PrimaryYAxisDisplayOptions: {
                              shape: "S9f"
                            },
                            PrimaryYAxisLabelOptions: {
                              shape: "S9v"
                            },
                            Legend: {
                              shape: "S9z"
                            },
                            Tooltip: {
                              shape: "Sac"
                            },
                            ReferenceLines: {
                              shape: "Sak"
                            },
                            VisualPalette: {
                              shape: "S92"
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        },
                        ColumnHierarchies: {
                          shape: "Sb1"
                        }
                      }
                    },
                    WaterfallVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                WaterfallChartAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    Categories: {
                                      shape: "S3k"
                                    },
                                    Values: {
                                      shape: "S4c"
                                    },
                                    Breakdowns: {
                                      shape: "S3k"
                                    }
                                  }
                                }
                              }
                            },
                            SortConfiguration: {
                              type: "structure",
                              members: {
                                CategorySort: {
                                  shape: "S8x"
                                },
                                BreakdownItemsLimit: {
                                  shape: "S8y"
                                }
                              }
                            },
                            WaterfallChartOptions: {
                              type: "structure",
                              members: {
                                TotalBarLabel: {}
                              }
                            },
                            CategoryAxisLabelOptions: {
                              shape: "S9v"
                            },
                            CategoryAxisDisplayOptions: {
                              shape: "S9f"
                            },
                            PrimaryYAxisLabelOptions: {
                              shape: "S9v"
                            },
                            PrimaryYAxisDisplayOptions: {
                              shape: "S9f"
                            },
                            Legend: {
                              shape: "S9z"
                            },
                            DataLabels: {
                              shape: "Sa1"
                            },
                            VisualPalette: {
                              shape: "S92"
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        },
                        ColumnHierarchies: {
                          shape: "Sb1"
                        }
                      }
                    },
                    HistogramVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                HistogramAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    Values: {
                                      type: "list",
                                      member: {
                                        shape: "S4d"
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            XAxisDisplayOptions: {
                              shape: "S9f"
                            },
                            XAxisLabelOptions: {
                              shape: "S9v"
                            },
                            YAxisDisplayOptions: {
                              shape: "S9f"
                            },
                            BinOptions: {
                              type: "structure",
                              members: {
                                SelectedBinType: {},
                                BinCount: {
                                  type: "structure",
                                  members: {
                                    Value: {
                                      type: "integer"
                                    }
                                  }
                                },
                                BinWidth: {
                                  type: "structure",
                                  members: {
                                    Value: {
                                      type: "double"
                                    },
                                    BinCountLimit: {
                                      type: "long"
                                    }
                                  }
                                },
                                StartValue: {
                                  type: "double"
                                }
                              }
                            },
                            DataLabels: {
                              shape: "Sa1"
                            },
                            Tooltip: {
                              shape: "Sac"
                            },
                            VisualPalette: {
                              shape: "S92"
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        }
                      }
                    },
                    WordCloudVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                WordCloudAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    GroupBy: {
                                      type: "list",
                                      member: {
                                        shape: "S3l"
                                      }
                                    },
                                    Size: {
                                      type: "list",
                                      member: {
                                        shape: "S4d"
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            SortConfiguration: {
                              type: "structure",
                              members: {
                                CategoryItemsLimit: {
                                  shape: "S8y"
                                },
                                CategorySort: {
                                  shape: "S8x"
                                }
                              }
                            },
                            CategoryLabelOptions: {
                              shape: "S9v"
                            },
                            WordCloudOptions: {
                              type: "structure",
                              members: {
                                WordOrientation: {},
                                WordScaling: {},
                                CloudLayout: {},
                                WordCasing: {},
                                WordPadding: {},
                                MaximumStringLength: {
                                  type: "integer"
                                }
                              }
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        },
                        ColumnHierarchies: {
                          shape: "Sb1"
                        }
                      }
                    },
                    InsightVisual: {
                      type: "structure",
                      required: [
                        "VisualId",
                        "DataSetIdentifier"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        InsightConfiguration: {
                          type: "structure",
                          members: {
                            Computations: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  TopBottomRanked: {
                                    type: "structure",
                                    required: [
                                      "ComputationId",
                                      "Category",
                                      "Type"
                                    ],
                                    members: {
                                      ComputationId: {},
                                      Name: {},
                                      Category: {
                                        shape: "S3l"
                                      },
                                      Value: {
                                        shape: "S4d"
                                      },
                                      ResultSize: {
                                        type: "integer"
                                      },
                                      Type: {}
                                    }
                                  },
                                  TopBottomMovers: {
                                    type: "structure",
                                    required: [
                                      "ComputationId",
                                      "Time",
                                      "Category",
                                      "Type"
                                    ],
                                    members: {
                                      ComputationId: {},
                                      Name: {},
                                      Time: {
                                        shape: "S3l"
                                      },
                                      Category: {
                                        shape: "S3l"
                                      },
                                      Value: {
                                        shape: "S4d"
                                      },
                                      MoverSize: {
                                        type: "integer"
                                      },
                                      SortOrder: {},
                                      Type: {}
                                    }
                                  },
                                  TotalAggregation: {
                                    type: "structure",
                                    required: [
                                      "ComputationId",
                                      "Value"
                                    ],
                                    members: {
                                      ComputationId: {},
                                      Name: {},
                                      Value: {
                                        shape: "S4d"
                                      }
                                    }
                                  },
                                  MaximumMinimum: {
                                    type: "structure",
                                    required: [
                                      "ComputationId",
                                      "Time",
                                      "Type"
                                    ],
                                    members: {
                                      ComputationId: {},
                                      Name: {},
                                      Time: {
                                        shape: "S3l"
                                      },
                                      Value: {
                                        shape: "S4d"
                                      },
                                      Type: {}
                                    }
                                  },
                                  MetricComparison: {
                                    type: "structure",
                                    required: [
                                      "ComputationId",
                                      "Time",
                                      "FromValue",
                                      "TargetValue"
                                    ],
                                    members: {
                                      ComputationId: {},
                                      Name: {},
                                      Time: {
                                        shape: "S3l"
                                      },
                                      FromValue: {
                                        shape: "S4d"
                                      },
                                      TargetValue: {
                                        shape: "S4d"
                                      }
                                    }
                                  },
                                  PeriodOverPeriod: {
                                    type: "structure",
                                    required: [
                                      "ComputationId",
                                      "Time"
                                    ],
                                    members: {
                                      ComputationId: {},
                                      Name: {},
                                      Time: {
                                        shape: "S3l"
                                      },
                                      Value: {
                                        shape: "S4d"
                                      }
                                    }
                                  },
                                  PeriodToDate: {
                                    type: "structure",
                                    required: [
                                      "ComputationId",
                                      "Time"
                                    ],
                                    members: {
                                      ComputationId: {},
                                      Name: {},
                                      Time: {
                                        shape: "S3l"
                                      },
                                      Value: {
                                        shape: "S4d"
                                      },
                                      PeriodTimeGranularity: {}
                                    }
                                  },
                                  GrowthRate: {
                                    type: "structure",
                                    required: [
                                      "ComputationId",
                                      "Time"
                                    ],
                                    members: {
                                      ComputationId: {},
                                      Name: {},
                                      Time: {
                                        shape: "S3l"
                                      },
                                      Value: {
                                        shape: "S4d"
                                      },
                                      PeriodSize: {
                                        type: "integer"
                                      }
                                    }
                                  },
                                  UniqueValues: {
                                    type: "structure",
                                    required: [
                                      "ComputationId",
                                      "Category"
                                    ],
                                    members: {
                                      ComputationId: {},
                                      Name: {},
                                      Category: {
                                        shape: "S3l"
                                      }
                                    }
                                  },
                                  Forecast: {
                                    type: "structure",
                                    required: [
                                      "ComputationId",
                                      "Time"
                                    ],
                                    members: {
                                      ComputationId: {},
                                      Name: {},
                                      Time: {
                                        shape: "S3l"
                                      },
                                      Value: {
                                        shape: "S4d"
                                      },
                                      PeriodsForward: {
                                        type: "integer"
                                      },
                                      PeriodsBackward: {
                                        type: "integer"
                                      },
                                      UpperBoundary: {
                                        type: "double"
                                      },
                                      LowerBoundary: {
                                        type: "double"
                                      },
                                      PredictionInterval: {
                                        type: "integer"
                                      },
                                      Seasonality: {},
                                      CustomSeasonalityValue: {
                                        type: "integer"
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            CustomNarrative: {
                              type: "structure",
                              required: [
                                "Narrative"
                              ],
                              members: {
                                Narrative: {}
                              }
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        },
                        DataSetIdentifier: {}
                      }
                    },
                    SankeyDiagramVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                SankeyDiagramAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    Source: {
                                      shape: "S3k"
                                    },
                                    Destination: {
                                      shape: "S3k"
                                    },
                                    Weight: {
                                      shape: "S4c"
                                    }
                                  }
                                }
                              }
                            },
                            SortConfiguration: {
                              type: "structure",
                              members: {
                                WeightSort: {
                                  shape: "S8x"
                                },
                                SourceItemsLimit: {
                                  shape: "S8y"
                                },
                                DestinationItemsLimit: {
                                  shape: "S8y"
                                }
                              }
                            },
                            DataLabels: {
                              shape: "Sa1"
                            }
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        }
                      }
                    },
                    CustomContentVisual: {
                      type: "structure",
                      required: [
                        "VisualId",
                        "DataSetIdentifier"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            ContentUrl: {},
                            ContentType: {},
                            ImageScaling: {}
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        },
                        DataSetIdentifier: {}
                      }
                    },
                    EmptyVisual: {
                      type: "structure",
                      required: [
                        "VisualId",
                        "DataSetIdentifier"
                      ],
                      members: {
                        VisualId: {},
                        DataSetIdentifier: {},
                        Actions: {
                          shape: "S6q"
                        }
                      }
                    },
                    RadarChartVisual: {
                      type: "structure",
                      required: [
                        "VisualId"
                      ],
                      members: {
                        VisualId: {},
                        Title: {
                          shape: "S39"
                        },
                        Subtitle: {
                          shape: "S3d"
                        },
                        ChartConfiguration: {
                          type: "structure",
                          members: {
                            FieldWells: {
                              type: "structure",
                              members: {
                                RadarChartAggregatedFieldWells: {
                                  type: "structure",
                                  members: {
                                    Category: {
                                      type: "list",
                                      member: {
                                        shape: "S3l"
                                      }
                                    },
                                    Color: {
                                      type: "list",
                                      member: {
                                        shape: "S3l"
                                      }
                                    },
                                    Values: {
                                      type: "list",
                                      member: {
                                        shape: "S4d"
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            SortConfiguration: {
                              type: "structure",
                              members: {
                                CategorySort: {
                                  shape: "S8x"
                                },
                                CategoryItemsLimit: {
                                  shape: "S8y"
                                },
                                ColorSort: {
                                  shape: "S8x"
                                },
                                ColorItemsLimit: {
                                  shape: "S8y"
                                }
                              }
                            },
                            Shape: {},
                            BaseSeriesSettings: {
                              type: "structure",
                              members: {
                                AreaStyleSettings: {
                                  type: "structure",
                                  members: {
                                    Visibility: {}
                                  }
                                }
                              }
                            },
                            StartAngle: {
                              type: "double"
                            },
                            VisualPalette: {
                              shape: "S92"
                            },
                            AlternateBandColorsVisibility: {},
                            AlternateBandEvenColor: {},
                            AlternateBandOddColor: {},
                            CategoryAxis: {
                              shape: "S9f"
                            },
                            CategoryLabelOptions: {
                              shape: "S9v"
                            },
                            ColorAxis: {
                              shape: "S9f"
                            },
                            ColorLabelOptions: {
                              shape: "S9v"
                            },
                            Legend: {
                              shape: "S9z"
                            },
                            AxesRangeScale: {}
                          }
                        },
                        Actions: {
                          shape: "S6q"
                        },
                        ColumnHierarchies: {
                          shape: "Sb1"
                        }
                      }
                    }
                  }
                }
              },
              TextBoxes: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "SheetTextBoxId"
                  ],
                  members: {
                    SheetTextBoxId: {},
                    Content: {}
                  }
                }
              },
              Layouts: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Configuration"
                  ],
                  members: {
                    Configuration: {
                      type: "structure",
                      members: {
                        GridLayout: {
                          shape: "Shy"
                        },
                        FreeFormLayout: {
                          type: "structure",
                          required: [
                            "Elements"
                          ],
                          members: {
                            Elements: {
                              shape: "Sia"
                            },
                            CanvasSizeOptions: {
                              shape: "Sij"
                            }
                          }
                        },
                        SectionBasedLayout: {
                          type: "structure",
                          required: [
                            "HeaderSections",
                            "BodySections",
                            "FooterSections",
                            "CanvasSizeOptions"
                          ],
                          members: {
                            HeaderSections: {
                              shape: "Sim"
                            },
                            BodySections: {
                              type: "list",
                              member: {
                                type: "structure",
                                required: [
                                  "SectionId",
                                  "Content"
                                ],
                                members: {
                                  SectionId: {},
                                  Content: {
                                    type: "structure",
                                    members: {
                                      Layout: {
                                        shape: "Sio"
                                      }
                                    }
                                  },
                                  Style: {
                                    shape: "Siq"
                                  },
                                  PageBreakConfiguration: {
                                    type: "structure",
                                    members: {
                                      After: {
                                        type: "structure",
                                        members: {
                                          Status: {}
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            FooterSections: {
                              shape: "Sim"
                            },
                            CanvasSizeOptions: {
                              shape: "Siz"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              SheetControlLayouts: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Configuration"
                  ],
                  members: {
                    Configuration: {
                      type: "structure",
                      members: {
                        GridLayout: {
                          shape: "Shy"
                        }
                      }
                    }
                  }
                }
              },
              ContentType: {}
            }
          }
        },
        S1u: {
          type: "structure",
          members: {
            TitleOptions: {
              shape: "S1v"
            },
            DateTimeFormat: {}
          }
        },
        S1v: {
          type: "structure",
          members: {
            Visibility: {},
            FontConfiguration: {
              shape: "S1x"
            },
            CustomLabel: {}
          }
        },
        S1x: {
          type: "structure",
          members: {
            FontSize: {
              type: "structure",
              members: {
                Relative: {}
              }
            },
            FontDecoration: {},
            FontColor: {},
            FontWeight: {
              type: "structure",
              members: {
                Name: {}
              }
            },
            FontStyle: {}
          }
        },
        S27: {
          type: "structure",
          members: {
            SearchOptions: {
              type: "structure",
              members: {
                Visibility: {}
              }
            },
            SelectAllOptions: {
              shape: "S29"
            },
            TitleOptions: {
              shape: "S1v"
            }
          }
        },
        S29: {
          type: "structure",
          members: {
            Visibility: {}
          }
        },
        S2b: {
          type: "structure",
          members: {
            Values: {
              shape: "S2c"
            },
            LinkToDataSetColumn: {
              shape: "S2d"
            }
          }
        },
        S2c: {
          type: "list",
          member: {}
        },
        S2d: {
          type: "structure",
          required: [
            "DataSetIdentifier",
            "ColumnName"
          ],
          members: {
            DataSetIdentifier: {},
            ColumnName: {}
          }
        },
        S2f: {
          type: "structure",
          members: {
            SourceControls: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  SourceSheetControlId: {},
                  ColumnToMatch: {
                    shape: "S2d"
                  }
                }
              }
            }
          }
        },
        S2j: {
          type: "structure",
          members: {
            SelectAllOptions: {
              shape: "S29"
            },
            TitleOptions: {
              shape: "S1v"
            }
          }
        },
        S2l: {
          type: "structure",
          members: {
            TitleOptions: {
              shape: "S1v"
            },
            PlaceholderOptions: {
              shape: "S2m"
            }
          }
        },
        S2m: {
          type: "structure",
          members: {
            Visibility: {}
          }
        },
        S2p: {
          type: "structure",
          members: {
            TitleOptions: {
              shape: "S1v"
            },
            PlaceholderOptions: {
              shape: "S2m"
            }
          }
        },
        S2r: {
          type: "structure",
          members: {
            TitleOptions: {
              shape: "S1v"
            }
          }
        },
        S2y: {
          type: "structure",
          members: {
            Values: {
              shape: "S2c"
            }
          }
        },
        S39: {
          type: "structure",
          members: {
            Visibility: {},
            FormatText: {
              type: "structure",
              members: {
                PlainText: {},
                RichText: {}
              }
            }
          }
        },
        S3d: {
          type: "structure",
          members: {
            Visibility: {},
            FormatText: {
              type: "structure",
              members: {
                PlainText: {},
                RichText: {}
              }
            }
          }
        },
        S3k: {
          type: "list",
          member: {
            shape: "S3l"
          }
        },
        S3l: {
          type: "structure",
          members: {
            NumericalDimensionField: {
              type: "structure",
              required: [
                "FieldId",
                "Column"
              ],
              members: {
                FieldId: {},
                Column: {
                  shape: "S2d"
                },
                HierarchyId: {},
                FormatConfiguration: {
                  shape: "S3p"
                }
              }
            },
            CategoricalDimensionField: {
              type: "structure",
              required: [
                "FieldId",
                "Column"
              ],
              members: {
                FieldId: {},
                Column: {
                  shape: "S2d"
                },
                HierarchyId: {},
                FormatConfiguration: {
                  shape: "S48"
                }
              }
            },
            DateDimensionField: {
              type: "structure",
              required: [
                "FieldId",
                "Column"
              ],
              members: {
                FieldId: {},
                Column: {
                  shape: "S2d"
                },
                DateGranularity: {},
                HierarchyId: {},
                FormatConfiguration: {
                  shape: "S4b"
                }
              }
            }
          }
        },
        S3p: {
          type: "structure",
          members: {
            FormatConfiguration: {
              shape: "S3q"
            }
          }
        },
        S3q: {
          type: "structure",
          members: {
            NumberDisplayFormatConfiguration: {
              shape: "S3r"
            },
            CurrencyDisplayFormatConfiguration: {
              type: "structure",
              members: {
                Prefix: {
                  shape: "S3s"
                },
                Suffix: {
                  shape: "S3t"
                },
                SeparatorConfiguration: {
                  shape: "S3u"
                },
                Symbol: {},
                DecimalPlacesConfiguration: {
                  shape: "S3x"
                },
                NumberScale: {},
                NegativeValueConfiguration: {
                  shape: "S40"
                },
                NullValueFormatConfiguration: {
                  shape: "S42"
                }
              }
            },
            PercentageDisplayFormatConfiguration: {
              shape: "S46"
            }
          }
        },
        S3r: {
          type: "structure",
          members: {
            Prefix: {
              shape: "S3s"
            },
            Suffix: {
              shape: "S3t"
            },
            SeparatorConfiguration: {
              shape: "S3u"
            },
            DecimalPlacesConfiguration: {
              shape: "S3x"
            },
            NumberScale: {},
            NegativeValueConfiguration: {
              shape: "S40"
            },
            NullValueFormatConfiguration: {
              shape: "S42"
            }
          }
        },
        S3s: {
          type: "string",
          sensitive: true
        },
        S3t: {
          type: "string",
          sensitive: true
        },
        S3u: {
          type: "structure",
          members: {
            DecimalSeparator: {},
            ThousandsSeparator: {
              type: "structure",
              members: {
                Symbol: {},
                Visibility: {}
              }
            }
          }
        },
        S3x: {
          type: "structure",
          required: [
            "DecimalPlaces"
          ],
          members: {
            DecimalPlaces: {
              type: "long"
            }
          }
        },
        S40: {
          type: "structure",
          required: [
            "DisplayMode"
          ],
          members: {
            DisplayMode: {}
          }
        },
        S42: {
          type: "structure",
          required: [
            "NullString"
          ],
          members: {
            NullString: {
              type: "string",
              sensitive: true
            }
          }
        },
        S46: {
          type: "structure",
          members: {
            Prefix: {
              shape: "S3s"
            },
            Suffix: {
              shape: "S3t"
            },
            SeparatorConfiguration: {
              shape: "S3u"
            },
            DecimalPlacesConfiguration: {
              shape: "S3x"
            },
            NegativeValueConfiguration: {
              shape: "S40"
            },
            NullValueFormatConfiguration: {
              shape: "S42"
            }
          }
        },
        S48: {
          type: "structure",
          members: {
            NullValueFormatConfiguration: {
              shape: "S42"
            },
            NumericFormatConfiguration: {
              shape: "S3q"
            }
          }
        },
        S4b: {
          type: "structure",
          members: {
            DateTimeFormat: {},
            NullValueFormatConfiguration: {
              shape: "S42"
            },
            NumericFormatConfiguration: {
              shape: "S3q"
            }
          }
        },
        S4c: {
          type: "list",
          member: {
            shape: "S4d"
          }
        },
        S4d: {
          type: "structure",
          members: {
            NumericalMeasureField: {
              type: "structure",
              required: [
                "FieldId",
                "Column"
              ],
              members: {
                FieldId: {},
                Column: {
                  shape: "S2d"
                },
                AggregationFunction: {
                  shape: "S4f"
                },
                FormatConfiguration: {
                  shape: "S3p"
                }
              }
            },
            CategoricalMeasureField: {
              type: "structure",
              required: [
                "FieldId",
                "Column"
              ],
              members: {
                FieldId: {},
                Column: {
                  shape: "S2d"
                },
                AggregationFunction: {},
                FormatConfiguration: {
                  shape: "S48"
                }
              }
            },
            DateMeasureField: {
              type: "structure",
              required: [
                "FieldId",
                "Column"
              ],
              members: {
                FieldId: {},
                Column: {
                  shape: "S2d"
                },
                AggregationFunction: {},
                FormatConfiguration: {
                  shape: "S4b"
                }
              }
            },
            CalculatedMeasureField: {
              type: "structure",
              required: [
                "FieldId",
                "Expression"
              ],
              members: {
                FieldId: {},
                Expression: {
                  shape: "S4o"
                }
              }
            }
          }
        },
        S4f: {
          type: "structure",
          members: {
            SimpleNumericalAggregation: {},
            PercentileAggregation: {
              type: "structure",
              members: {
                PercentileValue: {
                  type: "double"
                }
              }
            }
          }
        },
        S4o: {
          type: "string",
          sensitive: true
        },
        S4s: {
          type: "structure",
          members: {
            StringFormatConfiguration: {
              shape: "S48"
            },
            NumberFormatConfiguration: {
              shape: "S3p"
            },
            DateTimeFormatConfiguration: {
              shape: "S4b"
            }
          }
        },
        S4v: {
          type: "structure",
          members: {
            FieldSort: {
              shape: "S4w"
            },
            ColumnSort: {
              shape: "S4y"
            }
          }
        },
        S4w: {
          type: "structure",
          required: [
            "FieldId",
            "Direction"
          ],
          members: {
            FieldId: {},
            Direction: {}
          }
        },
        S4y: {
          type: "structure",
          required: [
            "SortBy",
            "Direction"
          ],
          members: {
            SortBy: {
              shape: "S2d"
            },
            Direction: {},
            AggregationFunction: {
              shape: "S4z"
            }
          }
        },
        S4z: {
          type: "structure",
          members: {
            NumericalAggregationFunction: {
              shape: "S4f"
            },
            CategoricalAggregationFunction: {},
            DateAggregationFunction: {}
          }
        },
        S50: {
          type: "structure",
          required: [
            "PageSize",
            "PageNumber"
          ],
          members: {
            PageSize: {
              type: "long"
            },
            PageNumber: {
              type: "long"
            }
          }
        },
        S55: {
          type: "structure",
          members: {
            Visibility: {},
            FontConfiguration: {
              shape: "S1x"
            },
            TextWrap: {},
            HorizontalTextAlignment: {},
            VerticalTextAlignment: {},
            BackgroundColor: {},
            Height: {
              type: "integer"
            },
            Border: {
              type: "structure",
              members: {
                UniformBorder: {
                  shape: "S5b"
                },
                SideSpecificBorder: {
                  type: "structure",
                  members: {
                    InnerVertical: {
                      shape: "S5b"
                    },
                    InnerHorizontal: {
                      shape: "S5b"
                    },
                    Left: {
                      shape: "S5b"
                    },
                    Right: {
                      shape: "S5b"
                    },
                    Top: {
                      shape: "S5b"
                    },
                    Bottom: {
                      shape: "S5b"
                    }
                  }
                }
              }
            }
          }
        },
        S5b: {
          type: "structure",
          members: {
            Color: {},
            Thickness: {
              type: "integer"
            },
            Style: {}
          }
        },
        S5f: {
          type: "structure",
          members: {
            Status: {},
            RowAlternateColors: {
              type: "list",
              member: {}
            }
          }
        },
        S69: {
          type: "structure",
          members: {
            BackgroundColor: {
              shape: "S6a"
            },
            TextColor: {
              shape: "S6a"
            },
            Icon: {
              shape: "S6g"
            }
          }
        },
        S6a: {
          type: "structure",
          members: {
            Solid: {
              type: "structure",
              required: [
                "Expression"
              ],
              members: {
                Expression: {
                  shape: "S4o"
                },
                Color: {}
              }
            },
            Gradient: {
              type: "structure",
              required: [
                "Expression",
                "Color"
              ],
              members: {
                Expression: {
                  shape: "S4o"
                },
                Color: {
                  type: "structure",
                  members: {
                    Stops: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "GradientOffset"
                        ],
                        members: {
                          GradientOffset: {
                            type: "double"
                          },
                          DataValue: {
                            type: "double"
                          },
                          Color: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S6g: {
          type: "structure",
          members: {
            IconSet: {
              type: "structure",
              required: [
                "Expression"
              ],
              members: {
                Expression: {
                  shape: "S4o"
                },
                IconSetType: {}
              }
            },
            CustomCondition: {
              type: "structure",
              required: [
                "Expression",
                "IconOptions"
              ],
              members: {
                Expression: {
                  shape: "S4o"
                },
                IconOptions: {
                  type: "structure",
                  members: {
                    Icon: {},
                    UnicodeIcon: {}
                  }
                },
                Color: {},
                DisplayConfiguration: {
                  type: "structure",
                  members: {
                    IconDisplayOption: {}
                  }
                }
              }
            }
          }
        },
        S6q: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "CustomActionId",
              "Name",
              "Trigger",
              "ActionOperations"
            ],
            members: {
              CustomActionId: {},
              Name: {},
              Status: {},
              Trigger: {},
              ActionOperations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FilterOperation: {
                      type: "structure",
                      required: [
                        "SelectedFieldsConfiguration",
                        "TargetVisualsConfiguration"
                      ],
                      members: {
                        SelectedFieldsConfiguration: {
                          type: "structure",
                          members: {
                            SelectedFields: {
                              type: "list",
                              member: {}
                            },
                            SelectedFieldOptions: {},
                            SelectedColumns: {
                              type: "list",
                              member: {
                                shape: "S2d"
                              }
                            }
                          }
                        },
                        TargetVisualsConfiguration: {
                          type: "structure",
                          members: {
                            SameSheetTargetVisualConfiguration: {
                              type: "structure",
                              members: {
                                TargetVisuals: {
                                  type: "list",
                                  member: {}
                                },
                                TargetVisualOptions: {}
                              }
                            }
                          }
                        }
                      }
                    },
                    NavigationOperation: {
                      type: "structure",
                      members: {
                        LocalNavigationConfiguration: {
                          type: "structure",
                          required: [
                            "TargetSheetId"
                          ],
                          members: {
                            TargetSheetId: {}
                          }
                        }
                      }
                    },
                    URLOperation: {
                      type: "structure",
                      required: [
                        "URLTemplate",
                        "URLTarget"
                      ],
                      members: {
                        URLTemplate: {},
                        URLTarget: {}
                      }
                    },
                    SetParametersOperation: {
                      type: "structure",
                      required: [
                        "ParameterValueConfigurations"
                      ],
                      members: {
                        ParameterValueConfigurations: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "DestinationParameterName",
                              "Value"
                            ],
                            members: {
                              DestinationParameterName: {},
                              Value: {
                                type: "structure",
                                members: {
                                  CustomValuesConfiguration: {
                                    type: "structure",
                                    required: [
                                      "CustomValues"
                                    ],
                                    members: {
                                      IncludeNullValue: {
                                        type: "boolean"
                                      },
                                      CustomValues: {
                                        type: "structure",
                                        members: {
                                          StringValues: {
                                            shape: "S7g"
                                          },
                                          IntegerValues: {
                                            shape: "S7i"
                                          },
                                          DecimalValues: {
                                            shape: "S7k"
                                          },
                                          DateTimeValues: {
                                            shape: "S7m"
                                          }
                                        }
                                      }
                                    }
                                  },
                                  SelectAllValueOptions: {},
                                  SourceParameterName: {},
                                  SourceField: {},
                                  SourceColumn: {
                                    shape: "S2d"
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S7g: {
          type: "list",
          member: {
            type: "string",
            sensitive: true
          }
        },
        S7i: {
          type: "list",
          member: {
            type: "long",
            sensitive: true
          }
        },
        S7k: {
          type: "list",
          member: {
            type: "double",
            sensitive: true
          }
        },
        S7m: {
          type: "list",
          member: {
            shape: "S17"
          }
        },
        S7s: {
          type: "list",
          member: {
            shape: "S3l"
          }
        },
        S7z: {
          type: "list",
          member: {
            shape: "S80"
          }
        },
        S80: {
          type: "structure",
          required: [
            "FieldId",
            "FieldValue"
          ],
          members: {
            FieldId: {},
            FieldValue: {
              shape: "S81"
            }
          }
        },
        S81: {
          type: "string",
          sensitive: true
        },
        S85: {
          type: "structure",
          members: {
            TotalsVisibility: {},
            CustomLabel: {},
            FieldLevel: {},
            FieldLevelOptions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  FieldId: {}
                }
              }
            },
            TotalCellStyle: {
              shape: "S55"
            },
            ValueCellStyle: {
              shape: "S55"
            },
            MetricHeaderCellStyle: {
              shape: "S55"
            }
          }
        },
        S89: {
          type: "structure",
          members: {
            TotalsVisibility: {},
            Placement: {},
            ScrollStatus: {},
            CustomLabel: {},
            TotalCellStyle: {
              shape: "S55"
            },
            ValueCellStyle: {
              shape: "S55"
            },
            MetricHeaderCellStyle: {
              shape: "S55"
            }
          }
        },
        S8o: {
          type: "structure",
          members: {
            Role: {}
          }
        },
        S8v: {
          type: "list",
          member: {
            shape: "S3l"
          }
        },
        S8x: {
          type: "list",
          member: {
            shape: "S4v"
          }
        },
        S8y: {
          type: "structure",
          members: {
            ItemsLimit: {
              type: "long"
            },
            OtherCategories: {}
          }
        },
        S92: {
          type: "structure",
          members: {
            ChartColor: {},
            ColorMap: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Element",
                  "Color"
                ],
                members: {
                  Element: {
                    shape: "S80"
                  },
                  Color: {},
                  TimeGranularity: {}
                }
              }
            }
          }
        },
        S95: {
          type: "structure",
          members: {
            MaxVisibleRows: {
              type: "long"
            },
            MaxVisibleColumns: {
              type: "long"
            },
            PanelConfiguration: {
              type: "structure",
              members: {
                Title: {
                  type: "structure",
                  members: {
                    Visibility: {},
                    FontConfiguration: {
                      shape: "S1x"
                    },
                    HorizontalTextAlignment: {}
                  }
                },
                BorderVisibility: {},
                BorderThickness: {},
                BorderStyle: {},
                BorderColor: {},
                GutterVisibility: {},
                GutterSpacing: {},
                BackgroundVisibility: {},
                BackgroundColor: {}
              }
            },
            XAxis: {
              shape: "S9c"
            },
            YAxis: {
              shape: "S9c"
            }
          }
        },
        S9c: {
          type: "structure",
          members: {
            Scale: {},
            Placement: {}
          }
        },
        S9f: {
          type: "structure",
          members: {
            TickLabelOptions: {
              type: "structure",
              members: {
                LabelOptions: {
                  shape: "S1v"
                },
                RotationAngle: {
                  type: "double"
                }
              }
            },
            AxisLineVisibility: {},
            GridLineVisibility: {},
            DataOptions: {
              type: "structure",
              members: {
                NumericAxisOptions: {
                  type: "structure",
                  members: {
                    Scale: {
                      type: "structure",
                      members: {
                        Linear: {
                          type: "structure",
                          members: {
                            StepCount: {
                              type: "integer"
                            },
                            StepSize: {
                              type: "double"
                            }
                          }
                        },
                        Logarithmic: {
                          type: "structure",
                          members: {
                            Base: {
                              type: "double"
                            }
                          }
                        }
                      }
                    },
                    Range: {
                      type: "structure",
                      members: {
                        MinMax: {
                          type: "structure",
                          members: {
                            Minimum: {
                              type: "double"
                            },
                            Maximum: {
                              type: "double"
                            }
                          }
                        },
                        DataDriven: {
                          type: "structure",
                          members: {}
                        }
                      }
                    }
                  }
                },
                DateAxisOptions: {
                  type: "structure",
                  members: {
                    MissingDateVisibility: {}
                  }
                }
              }
            },
            ScrollbarOptions: {
              type: "structure",
              members: {
                Visibility: {},
                VisibleRange: {
                  type: "structure",
                  members: {
                    PercentRange: {
                      type: "structure",
                      members: {
                        From: {
                          type: "double"
                        },
                        To: {
                          type: "double"
                        }
                      }
                    }
                  }
                }
              }
            },
            AxisOffset: {}
          }
        },
        S9v: {
          type: "structure",
          members: {
            Visibility: {},
            SortIconVisibility: {},
            AxisLabelOptions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  FontConfiguration: {
                    shape: "S1x"
                  },
                  CustomLabel: {},
                  ApplyTo: {
                    type: "structure",
                    required: [
                      "FieldId",
                      "Column"
                    ],
                    members: {
                      FieldId: {},
                      Column: {
                        shape: "S2d"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S9z: {
          type: "structure",
          members: {
            Visibility: {},
            Title: {
              shape: "S1v"
            },
            Position: {},
            Width: {},
            Height: {}
          }
        },
        Sa1: {
          type: "structure",
          members: {
            Visibility: {},
            CategoryLabelVisibility: {},
            MeasureLabelVisibility: {},
            DataLabelTypes: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  FieldLabelType: {
                    type: "structure",
                    members: {
                      FieldId: {},
                      Visibility: {}
                    }
                  },
                  DataPathLabelType: {
                    type: "structure",
                    members: {
                      FieldId: {},
                      FieldValue: {
                        shape: "S81"
                      },
                      Visibility: {}
                    }
                  },
                  RangeEndsLabelType: {
                    type: "structure",
                    members: {
                      Visibility: {}
                    }
                  },
                  MinimumLabelType: {
                    type: "structure",
                    members: {
                      Visibility: {}
                    }
                  },
                  MaximumLabelType: {
                    type: "structure",
                    members: {
                      Visibility: {}
                    }
                  }
                }
              }
            },
            Position: {},
            LabelContent: {},
            LabelFontConfiguration: {
              shape: "S1x"
            },
            LabelColor: {},
            Overlap: {},
            TotalsVisibility: {}
          }
        },
        Sac: {
          type: "structure",
          members: {
            TooltipVisibility: {},
            SelectedTooltipType: {},
            FieldBasedTooltip: {
              type: "structure",
              members: {
                AggregationVisibility: {},
                TooltipTitleType: {},
                TooltipFields: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      FieldTooltipItem: {
                        type: "structure",
                        required: [
                          "FieldId"
                        ],
                        members: {
                          FieldId: {},
                          Label: {},
                          Visibility: {}
                        }
                      },
                      ColumnTooltipItem: {
                        type: "structure",
                        required: [
                          "Column"
                        ],
                        members: {
                          Column: {
                            shape: "S2d"
                          },
                          Label: {},
                          Visibility: {},
                          Aggregation: {
                            shape: "S4z"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sak: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DataConfiguration"
            ],
            members: {
              Status: {},
              DataConfiguration: {
                type: "structure",
                members: {
                  StaticConfiguration: {
                    type: "structure",
                    required: [
                      "Value"
                    ],
                    members: {
                      Value: {
                        shape: "S13"
                      }
                    }
                  },
                  DynamicConfiguration: {
                    type: "structure",
                    required: [
                      "Column",
                      "Calculation"
                    ],
                    members: {
                      Column: {
                        shape: "S2d"
                      },
                      MeasureAggregationFunction: {
                        shape: "S4z"
                      },
                      Calculation: {
                        shape: "S4f"
                      }
                    }
                  },
                  AxisBinding: {}
                }
              },
              StyleConfiguration: {
                type: "structure",
                members: {
                  Pattern: {},
                  Color: {}
                }
              },
              LabelConfiguration: {
                type: "structure",
                members: {
                  ValueLabelConfiguration: {
                    type: "structure",
                    members: {
                      RelativePosition: {},
                      FormatConfiguration: {
                        shape: "S3q"
                      }
                    }
                  },
                  CustomLabelConfiguration: {
                    type: "structure",
                    required: [
                      "CustomLabel"
                    ],
                    members: {
                      CustomLabel: {}
                    }
                  },
                  FontConfiguration: {
                    shape: "S1x"
                  },
                  FontColor: {},
                  HorizontalPosition: {},
                  VerticalPosition: {}
                }
              }
            }
          }
        },
        Say: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "MeasureFieldId",
              "ContributorDimensions"
            ],
            members: {
              MeasureFieldId: {},
              ContributorDimensions: {
                type: "list",
                member: {
                  shape: "S2d"
                }
              }
            }
          }
        },
        Sb1: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ExplicitHierarchy: {
                type: "structure",
                required: [
                  "HierarchyId",
                  "Columns"
                ],
                members: {
                  HierarchyId: {},
                  Columns: {
                    type: "list",
                    member: {
                      shape: "S2d"
                    }
                  },
                  DrillDownFilters: {
                    shape: "Sb5"
                  }
                }
              },
              DateTimeHierarchy: {
                type: "structure",
                required: [
                  "HierarchyId"
                ],
                members: {
                  HierarchyId: {},
                  DrillDownFilters: {
                    shape: "Sb5"
                  }
                }
              },
              PredefinedHierarchy: {
                type: "structure",
                required: [
                  "HierarchyId",
                  "Columns"
                ],
                members: {
                  HierarchyId: {},
                  Columns: {
                    type: "list",
                    member: {
                      shape: "S2d"
                    }
                  },
                  DrillDownFilters: {
                    shape: "Sb5"
                  }
                }
              }
            }
          }
        },
        Sb5: {
          type: "list",
          member: {
            type: "structure",
            members: {
              NumericEqualityFilter: {
                type: "structure",
                required: [
                  "Column",
                  "Value"
                ],
                members: {
                  Column: {
                    shape: "S2d"
                  },
                  Value: {
                    type: "double"
                  }
                }
              },
              CategoryFilter: {
                type: "structure",
                required: [
                  "Column",
                  "CategoryValues"
                ],
                members: {
                  Column: {
                    shape: "S2d"
                  },
                  CategoryValues: {
                    shape: "Sb9"
                  }
                }
              },
              TimeRangeFilter: {
                type: "structure",
                required: [
                  "Column",
                  "RangeMinimum",
                  "RangeMaximum",
                  "TimeGranularity"
                ],
                members: {
                  Column: {
                    shape: "S2d"
                  },
                  RangeMinimum: {
                    type: "timestamp"
                  },
                  RangeMaximum: {
                    type: "timestamp"
                  },
                  TimeGranularity: {}
                }
              }
            }
          }
        },
        Sb9: {
          type: "list",
          member: {}
        },
        Sbo: {
          type: "structure",
          members: {
            ComparisonMethod: {},
            ComparisonFormat: {
              type: "structure",
              members: {
                NumberDisplayFormatConfiguration: {
                  shape: "S3r"
                },
                PercentageDisplayFormatConfiguration: {
                  shape: "S46"
                }
              }
            }
          }
        },
        Scz: {
          type: "structure",
          members: {
            AxisOptions: {
              shape: "S9f"
            },
            MissingDataConfigurations: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  TreatmentOption: {}
                }
              }
            }
          }
        },
        Sd4: {
          type: "structure",
          members: {
            LineVisibility: {},
            LineInterpolation: {},
            LineStyle: {},
            LineWidth: {}
          }
        },
        Sd7: {
          type: "structure",
          members: {
            MarkerVisibility: {},
            MarkerShape: {},
            MarkerSize: {},
            MarkerColor: {}
          }
        },
        Sdc: {
          type: "structure",
          members: {
            LineStyleSettings: {
              shape: "Sd4"
            },
            MarkerStyleSettings: {
              shape: "Sd7"
            }
          }
        },
        Sdi: {
          type: "list",
          member: {
            shape: "S3l"
          }
        },
        Sdl: {
          type: "structure",
          required: [
            "Colors",
            "ColorFillType"
          ],
          members: {
            Colors: {
              type: "list",
              member: {
                shape: "Sdn"
              }
            },
            ColorFillType: {},
            NullValueColor: {
              shape: "Sdn"
            }
          }
        },
        Sdn: {
          type: "structure",
          members: {
            Color: {},
            DataValue: {
              type: "double"
            }
          }
        },
        Sdu: {
          type: "list",
          member: {
            shape: "S4d"
          }
        },
        Se0: {
          type: "structure",
          members: {
            Bounds: {
              type: "structure",
              required: [
                "North",
                "South",
                "West",
                "East"
              ],
              members: {
                North: {
                  type: "double"
                },
                South: {
                  type: "double"
                },
                West: {
                  type: "double"
                },
                East: {
                  type: "double"
                }
              }
            },
            MapZoomMode: {}
          }
        },
        Se5: {
          type: "structure",
          members: {
            BaseMapStyle: {}
          }
        },
        Shy: {
          type: "structure",
          required: [
            "Elements"
          ],
          members: {
            Elements: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "ElementId",
                  "ElementType",
                  "ColumnSpan",
                  "RowSpan"
                ],
                members: {
                  ElementId: {},
                  ElementType: {},
                  ColumnIndex: {
                    type: "integer"
                  },
                  ColumnSpan: {
                    type: "integer"
                  },
                  RowIndex: {
                    type: "integer"
                  },
                  RowSpan: {
                    type: "integer"
                  }
                }
              }
            },
            CanvasSizeOptions: {
              shape: "Si6"
            }
          }
        },
        Si6: {
          type: "structure",
          members: {
            ScreenCanvasSizeOptions: {
              type: "structure",
              required: [
                "ResizeOption"
              ],
              members: {
                ResizeOption: {},
                OptimizedViewPortWidth: {}
              }
            }
          }
        },
        Sia: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ElementId",
              "ElementType",
              "XAxisLocation",
              "YAxisLocation",
              "Width",
              "Height"
            ],
            members: {
              ElementId: {},
              ElementType: {},
              XAxisLocation: {},
              YAxisLocation: {},
              Width: {},
              Height: {},
              Visibility: {},
              RenderingRules: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Expression",
                    "ConfigurationOverrides"
                  ],
                  members: {
                    Expression: {
                      shape: "S4o"
                    },
                    ConfigurationOverrides: {
                      type: "structure",
                      members: {
                        Visibility: {}
                      }
                    }
                  }
                }
              },
              BorderStyle: {
                shape: "Sig"
              },
              SelectedBorderStyle: {
                shape: "Sig"
              },
              BackgroundStyle: {
                type: "structure",
                members: {
                  Visibility: {},
                  Color: {}
                }
              },
              LoadingAnimation: {
                type: "structure",
                members: {
                  Visibility: {}
                }
              }
            }
          }
        },
        Sig: {
          type: "structure",
          members: {
            Visibility: {},
            Color: {}
          }
        },
        Sij: {
          type: "structure",
          members: {
            ScreenCanvasSizeOptions: {
              type: "structure",
              required: [
                "OptimizedViewPortWidth"
              ],
              members: {
                OptimizedViewPortWidth: {}
              }
            }
          }
        },
        Sim: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "SectionId",
              "Layout"
            ],
            members: {
              SectionId: {},
              Layout: {
                shape: "Sio"
              },
              Style: {
                shape: "Siq"
              }
            }
          }
        },
        Sio: {
          type: "structure",
          required: [
            "FreeFormLayout"
          ],
          members: {
            FreeFormLayout: {
              type: "structure",
              required: [
                "Elements"
              ],
              members: {
                Elements: {
                  shape: "Sia"
                }
              }
            }
          }
        },
        Siq: {
          type: "structure",
          members: {
            Height: {},
            Padding: {
              shape: "Sir"
            }
          }
        },
        Sir: {
          type: "structure",
          members: {
            Top: {},
            Bottom: {},
            Left: {},
            Right: {}
          }
        },
        Siz: {
          type: "structure",
          members: {
            PaperCanvasSizeOptions: {
              type: "structure",
              members: {
                PaperSize: {},
                PaperOrientation: {},
                PaperMargin: {
                  shape: "Sir"
                }
              }
            }
          }
        },
        Sj7: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DataSetIdentifier",
              "Name",
              "Expression"
            ],
            members: {
              DataSetIdentifier: {},
              Name: {},
              Expression: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        Sja: {
          type: "list",
          member: {
            type: "structure",
            members: {
              StringParameterDeclaration: {
                type: "structure",
                required: [
                  "ParameterValueType",
                  "Name"
                ],
                members: {
                  ParameterValueType: {},
                  Name: {},
                  DefaultValues: {
                    type: "structure",
                    members: {
                      DynamicValue: {
                        shape: "Sjf"
                      },
                      StaticValues: {
                        shape: "S7g"
                      }
                    }
                  },
                  ValueWhenUnset: {
                    type: "structure",
                    members: {
                      ValueWhenUnsetOption: {},
                      CustomValue: {
                        shape: "Sv"
                      }
                    }
                  },
                  MappedDataSetParameters: {
                    shape: "Sji"
                  }
                }
              },
              DecimalParameterDeclaration: {
                type: "structure",
                required: [
                  "ParameterValueType",
                  "Name"
                ],
                members: {
                  ParameterValueType: {},
                  Name: {},
                  DefaultValues: {
                    type: "structure",
                    members: {
                      DynamicValue: {
                        shape: "Sjf"
                      },
                      StaticValues: {
                        shape: "S7k"
                      }
                    }
                  },
                  ValueWhenUnset: {
                    type: "structure",
                    members: {
                      ValueWhenUnsetOption: {},
                      CustomValue: {
                        shape: "S13"
                      }
                    }
                  },
                  MappedDataSetParameters: {
                    shape: "Sji"
                  }
                }
              },
              IntegerParameterDeclaration: {
                type: "structure",
                required: [
                  "ParameterValueType",
                  "Name"
                ],
                members: {
                  ParameterValueType: {},
                  Name: {},
                  DefaultValues: {
                    type: "structure",
                    members: {
                      DynamicValue: {
                        shape: "Sjf"
                      },
                      StaticValues: {
                        shape: "S7i"
                      }
                    }
                  },
                  ValueWhenUnset: {
                    type: "structure",
                    members: {
                      ValueWhenUnsetOption: {},
                      CustomValue: {
                        shape: "Sz"
                      }
                    }
                  },
                  MappedDataSetParameters: {
                    shape: "Sji"
                  }
                }
              },
              DateTimeParameterDeclaration: {
                type: "structure",
                required: [
                  "Name"
                ],
                members: {
                  Name: {},
                  DefaultValues: {
                    type: "structure",
                    members: {
                      DynamicValue: {
                        shape: "Sjf"
                      },
                      StaticValues: {
                        shape: "S7m"
                      },
                      RollingDate: {
                        shape: "Sjs"
                      }
                    }
                  },
                  TimeGranularity: {},
                  ValueWhenUnset: {
                    type: "structure",
                    members: {
                      ValueWhenUnsetOption: {},
                      CustomValue: {
                        shape: "S17"
                      }
                    }
                  },
                  MappedDataSetParameters: {
                    shape: "Sji"
                  }
                }
              }
            }
          }
        },
        Sjf: {
          type: "structure",
          required: [
            "DefaultValueColumn"
          ],
          members: {
            UserNameColumn: {
              shape: "S2d"
            },
            GroupNameColumn: {
              shape: "S2d"
            },
            DefaultValueColumn: {
              shape: "S2d"
            }
          }
        },
        Sji: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DataSetIdentifier",
              "DataSetParameterName"
            ],
            members: {
              DataSetIdentifier: {},
              DataSetParameterName: {}
            }
          }
        },
        Sjs: {
          type: "structure",
          required: [
            "Expression"
          ],
          members: {
            DataSetIdentifier: {},
            Expression: {
              shape: "S4o"
            }
          }
        },
        Sju: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "FilterGroupId",
              "Filters",
              "ScopeConfiguration",
              "CrossDataset"
            ],
            members: {
              FilterGroupId: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CategoryFilter: {
                      type: "structure",
                      required: [
                        "FilterId",
                        "Column",
                        "Configuration"
                      ],
                      members: {
                        FilterId: {},
                        Column: {
                          shape: "S2d"
                        },
                        Configuration: {
                          type: "structure",
                          members: {
                            FilterListConfiguration: {
                              type: "structure",
                              required: [
                                "MatchOperator"
                              ],
                              members: {
                                MatchOperator: {},
                                CategoryValues: {
                                  shape: "Sb9"
                                },
                                SelectAllOptions: {}
                              }
                            },
                            CustomFilterListConfiguration: {
                              type: "structure",
                              required: [
                                "MatchOperator",
                                "NullOption"
                              ],
                              members: {
                                MatchOperator: {},
                                CategoryValues: {
                                  shape: "Sb9"
                                },
                                SelectAllOptions: {},
                                NullOption: {}
                              }
                            },
                            CustomFilterConfiguration: {
                              type: "structure",
                              required: [
                                "MatchOperator",
                                "NullOption"
                              ],
                              members: {
                                MatchOperator: {},
                                CategoryValue: {},
                                SelectAllOptions: {},
                                ParameterName: {},
                                NullOption: {}
                              }
                            }
                          }
                        }
                      }
                    },
                    NumericRangeFilter: {
                      type: "structure",
                      required: [
                        "FilterId",
                        "Column",
                        "NullOption"
                      ],
                      members: {
                        FilterId: {},
                        Column: {
                          shape: "S2d"
                        },
                        IncludeMinimum: {
                          type: "boolean"
                        },
                        IncludeMaximum: {
                          type: "boolean"
                        },
                        RangeMinimum: {
                          shape: "Sk7"
                        },
                        RangeMaximum: {
                          shape: "Sk7"
                        },
                        SelectAllOptions: {},
                        AggregationFunction: {
                          shape: "S4z"
                        },
                        NullOption: {}
                      }
                    },
                    NumericEqualityFilter: {
                      type: "structure",
                      required: [
                        "FilterId",
                        "Column",
                        "MatchOperator",
                        "NullOption"
                      ],
                      members: {
                        FilterId: {},
                        Column: {
                          shape: "S2d"
                        },
                        Value: {
                          type: "double"
                        },
                        SelectAllOptions: {},
                        MatchOperator: {},
                        AggregationFunction: {
                          shape: "S4z"
                        },
                        ParameterName: {},
                        NullOption: {}
                      }
                    },
                    TimeEqualityFilter: {
                      type: "structure",
                      required: [
                        "FilterId",
                        "Column"
                      ],
                      members: {
                        FilterId: {},
                        Column: {
                          shape: "S2d"
                        },
                        Value: {
                          type: "timestamp"
                        },
                        ParameterName: {},
                        TimeGranularity: {}
                      }
                    },
                    TimeRangeFilter: {
                      type: "structure",
                      required: [
                        "FilterId",
                        "Column",
                        "NullOption"
                      ],
                      members: {
                        FilterId: {},
                        Column: {
                          shape: "S2d"
                        },
                        IncludeMinimum: {
                          type: "boolean"
                        },
                        IncludeMaximum: {
                          type: "boolean"
                        },
                        RangeMinimumValue: {
                          shape: "Skd"
                        },
                        RangeMaximumValue: {
                          shape: "Skd"
                        },
                        NullOption: {},
                        ExcludePeriodConfiguration: {
                          shape: "Ske"
                        },
                        TimeGranularity: {}
                      }
                    },
                    RelativeDatesFilter: {
                      type: "structure",
                      required: [
                        "FilterId",
                        "Column",
                        "AnchorDateConfiguration",
                        "TimeGranularity",
                        "RelativeDateType",
                        "NullOption"
                      ],
                      members: {
                        FilterId: {},
                        Column: {
                          shape: "S2d"
                        },
                        AnchorDateConfiguration: {
                          type: "structure",
                          members: {
                            AnchorOption: {},
                            ParameterName: {}
                          }
                        },
                        MinimumGranularity: {},
                        TimeGranularity: {},
                        RelativeDateType: {},
                        RelativeDateValue: {
                          type: "integer"
                        },
                        ParameterName: {},
                        NullOption: {},
                        ExcludePeriodConfiguration: {
                          shape: "Ske"
                        }
                      }
                    },
                    TopBottomFilter: {
                      type: "structure",
                      required: [
                        "FilterId",
                        "Column",
                        "AggregationSortConfigurations"
                      ],
                      members: {
                        FilterId: {},
                        Column: {
                          shape: "S2d"
                        },
                        Limit: {
                          type: "integer"
                        },
                        AggregationSortConfigurations: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "Column",
                              "SortDirection"
                            ],
                            members: {
                              Column: {
                                shape: "S2d"
                              },
                              SortDirection: {},
                              AggregationFunction: {
                                shape: "S4z"
                              }
                            }
                          }
                        },
                        TimeGranularity: {},
                        ParameterName: {}
                      }
                    }
                  }
                }
              },
              ScopeConfiguration: {
                type: "structure",
                members: {
                  SelectedSheets: {
                    type: "structure",
                    members: {
                      SheetVisualScopingConfigurations: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "SheetId",
                            "Scope"
                          ],
                          members: {
                            SheetId: {},
                            Scope: {},
                            VisualIds: {
                              type: "list",
                              member: {}
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              Status: {},
              CrossDataset: {}
            }
          }
        },
        Sk7: {
          type: "structure",
          members: {
            StaticValue: {
              type: "double"
            },
            Parameter: {}
          }
        },
        Skd: {
          type: "structure",
          members: {
            StaticValue: {
              type: "timestamp"
            },
            RollingDate: {
              shape: "Sjs"
            },
            Parameter: {}
          }
        },
        Ske: {
          type: "structure",
          required: [
            "Amount",
            "Granularity"
          ],
          members: {
            Amount: {
              type: "integer"
            },
            Granularity: {},
            Status: {}
          }
        },
        Skt: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Column"
            ],
            members: {
              Column: {
                shape: "S2d"
              },
              FormatConfiguration: {
                shape: "S4s"
              },
              Role: {},
              ColorsConfiguration: {
                type: "structure",
                members: {
                  CustomColors: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Color"
                      ],
                      members: {
                        FieldValue: {
                          shape: "S81"
                        },
                        Color: {},
                        SpecialValue: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sl0: {
          type: "structure",
          required: [
            "DefaultNewSheetConfiguration"
          ],
          members: {
            DefaultNewSheetConfiguration: {
              type: "structure",
              members: {
                InteractiveLayoutConfiguration: {
                  type: "structure",
                  members: {
                    Grid: {
                      type: "structure",
                      required: [
                        "CanvasSizeOptions"
                      ],
                      members: {
                        CanvasSizeOptions: {
                          shape: "Si6"
                        }
                      }
                    },
                    FreeForm: {
                      type: "structure",
                      required: [
                        "CanvasSizeOptions"
                      ],
                      members: {
                        CanvasSizeOptions: {
                          shape: "Sij"
                        }
                      }
                    }
                  }
                },
                PaginatedLayoutConfiguration: {
                  type: "structure",
                  members: {
                    SectionBased: {
                      type: "structure",
                      required: [
                        "CanvasSizeOptions"
                      ],
                      members: {
                        CanvasSizeOptions: {
                          shape: "Siz"
                        }
                      }
                    }
                  }
                },
                SheetContentType: {}
              }
            }
          }
        },
        Slb: {
          type: "structure",
          members: {
            SourceTemplate: {
              type: "structure",
              required: [
                "DataSetReferences",
                "Arn"
              ],
              members: {
                DataSetReferences: {
                  shape: "S1e"
                },
                Arn: {}
              }
            }
          }
        },
        Sle: {
          type: "structure",
          members: {
            AdHocFilteringOption: {
              type: "structure",
              members: {
                AvailabilityStatus: {}
              }
            },
            ExportToCSVOption: {
              type: "structure",
              members: {
                AvailabilityStatus: {}
              }
            },
            SheetControlsOption: {
              type: "structure",
              members: {
                VisibilityState: {}
              }
            },
            VisualPublishOptions: {
              deprecated: true,
              deprecatedMessage: "VisualPublishOptions property will reach its end of standard support in a future release. To perform this action, use ExportWithHiddenFields.",
              type: "structure",
              members: {
                ExportHiddenFieldsOption: {
                  type: "structure",
                  members: {
                    AvailabilityStatus: {}
                  }
                }
              }
            },
            SheetLayoutElementMaximizationOption: {
              type: "structure",
              members: {
                AvailabilityStatus: {}
              }
            },
            VisualMenuOption: {
              type: "structure",
              members: {
                AvailabilityStatus: {}
              }
            },
            VisualAxisSortOption: {
              type: "structure",
              members: {
                AvailabilityStatus: {}
              }
            },
            ExportWithHiddenFieldsOption: {
              type: "structure",
              members: {
                AvailabilityStatus: {}
              }
            },
            DataPointDrillUpDownOption: {
              type: "structure",
              members: {
                AvailabilityStatus: {}
              }
            },
            DataPointMenuLabelOption: {
              type: "structure",
              members: {
                AvailabilityStatus: {}
              }
            },
            DataPointTooltipOption: {
              type: "structure",
              members: {
                AvailabilityStatus: {}
              }
            }
          }
        },
        Slt: {
          type: "structure",
          required: [
            "DataSetIdentifierDeclarations"
          ],
          members: {
            DataSetIdentifierDeclarations: {
              shape: "S1h"
            },
            Sheets: {
              shape: "S1k"
            },
            CalculatedFields: {
              shape: "Sj7"
            },
            ParameterDeclarations: {
              shape: "Sja"
            },
            FilterGroups: {
              shape: "Sju"
            },
            ColumnConfigurations: {
              shape: "Skt"
            },
            AnalysisDefaults: {
              shape: "Sl0"
            }
          }
        },
        Sly: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              RelationalTable: {
                type: "structure",
                required: [
                  "DataSourceArn",
                  "Name",
                  "InputColumns"
                ],
                members: {
                  DataSourceArn: {},
                  Catalog: {},
                  Schema: {},
                  Name: {},
                  InputColumns: {
                    shape: "Sm5"
                  }
                }
              },
              CustomSql: {
                type: "structure",
                required: [
                  "DataSourceArn",
                  "Name",
                  "SqlQuery"
                ],
                members: {
                  DataSourceArn: {},
                  Name: {},
                  SqlQuery: {},
                  Columns: {
                    shape: "Sm5"
                  }
                }
              },
              S3Source: {
                type: "structure",
                required: [
                  "DataSourceArn",
                  "InputColumns"
                ],
                members: {
                  DataSourceArn: {},
                  UploadSettings: {
                    type: "structure",
                    members: {
                      Format: {},
                      StartFromRow: {
                        type: "integer"
                      },
                      ContainsHeader: {
                        type: "boolean"
                      },
                      TextQualifier: {},
                      Delimiter: {}
                    }
                  },
                  InputColumns: {
                    shape: "Sm5"
                  }
                }
              }
            }
          }
        },
        Sm5: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Type"
            ],
            members: {
              Name: {},
              Type: {}
            }
          }
        },
        Smh: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "Alias",
              "Source"
            ],
            members: {
              Alias: {},
              DataTransforms: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ProjectOperation: {
                      type: "structure",
                      required: [
                        "ProjectedColumns"
                      ],
                      members: {
                        ProjectedColumns: {
                          type: "list",
                          member: {}
                        }
                      }
                    },
                    FilterOperation: {
                      type: "structure",
                      required: [
                        "ConditionExpression"
                      ],
                      members: {
                        ConditionExpression: {
                          shape: "S4o"
                        }
                      }
                    },
                    CreateColumnsOperation: {
                      type: "structure",
                      required: [
                        "Columns"
                      ],
                      members: {
                        Columns: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "ColumnName",
                              "ColumnId",
                              "Expression"
                            ],
                            members: {
                              ColumnName: {},
                              ColumnId: {},
                              Expression: {
                                shape: "S4o"
                              }
                            }
                          }
                        }
                      }
                    },
                    RenameColumnOperation: {
                      type: "structure",
                      required: [
                        "ColumnName",
                        "NewColumnName"
                      ],
                      members: {
                        ColumnName: {},
                        NewColumnName: {}
                      }
                    },
                    CastColumnTypeOperation: {
                      type: "structure",
                      required: [
                        "ColumnName",
                        "NewColumnType"
                      ],
                      members: {
                        ColumnName: {},
                        NewColumnType: {},
                        Format: {}
                      }
                    },
                    TagColumnOperation: {
                      type: "structure",
                      required: [
                        "ColumnName",
                        "Tags"
                      ],
                      members: {
                        ColumnName: {},
                        Tags: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              ColumnGeographicRole: {},
                              ColumnDescription: {
                                type: "structure",
                                members: {
                                  Text: {}
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    UntagColumnOperation: {
                      type: "structure",
                      required: [
                        "ColumnName",
                        "TagNames"
                      ],
                      members: {
                        ColumnName: {},
                        TagNames: {
                          type: "list",
                          member: {}
                        }
                      }
                    },
                    OverrideDatasetParameterOperation: {
                      type: "structure",
                      required: [
                        "ParameterName"
                      ],
                      members: {
                        ParameterName: {},
                        NewParameterName: {},
                        NewDefaultValues: {
                          type: "structure",
                          members: {
                            StringStaticValues: {
                              shape: "Sna"
                            },
                            DecimalStaticValues: {
                              shape: "Snc"
                            },
                            DateTimeStaticValues: {
                              shape: "Sne"
                            },
                            IntegerStaticValues: {
                              shape: "Sng"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              Source: {
                type: "structure",
                members: {
                  JoinInstruction: {
                    type: "structure",
                    required: [
                      "LeftOperand",
                      "RightOperand",
                      "Type",
                      "OnClause"
                    ],
                    members: {
                      LeftOperand: {},
                      RightOperand: {},
                      LeftJoinKeyProperties: {
                        shape: "Snk"
                      },
                      RightJoinKeyProperties: {
                        shape: "Snk"
                      },
                      Type: {},
                      OnClause: {}
                    }
                  },
                  PhysicalTableId: {},
                  DataSetArn: {}
                }
              }
            }
          }
        },
        Sna: {
          type: "list",
          member: {}
        },
        Snc: {
          type: "list",
          member: {
            type: "double"
          }
        },
        Sne: {
          type: "list",
          member: {
            type: "timestamp"
          }
        },
        Sng: {
          type: "list",
          member: {
            type: "long"
          }
        },
        Snk: {
          type: "structure",
          members: {
            UniqueKey: {
              type: "boolean"
            }
          }
        },
        Sno: {
          type: "list",
          member: {
            type: "structure",
            members: {
              GeoSpatialColumnGroup: {
                type: "structure",
                required: [
                  "Name",
                  "Columns"
                ],
                members: {
                  Name: {},
                  CountryCode: {},
                  Columns: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          }
        },
        Snu: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              description: {},
              columns: {
                type: "list",
                member: {}
              }
            }
          }
        },
        Snz: {
          type: "structure",
          required: [
            "Arn",
            "PermissionPolicy"
          ],
          members: {
            Namespace: {},
            Arn: {},
            PermissionPolicy: {},
            FormatVersion: {},
            Status: {}
          }
        },
        So3: {
          type: "structure",
          required: [
            "TagRules"
          ],
          members: {
            Status: {},
            TagRules: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "TagKey",
                  "ColumnName"
                ],
                members: {
                  TagKey: {},
                  ColumnName: {},
                  TagMultiValueDelimiter: {},
                  MatchAllValue: {
                    shape: "So8"
                  }
                }
              }
            },
            TagRuleConfigurations: {
              type: "list",
              member: {
                type: "list",
                member: {}
              }
            }
          }
        },
        So8: {
          type: "string",
          sensitive: true
        },
        Sob: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Principals: {
                type: "list",
                member: {}
              },
              ColumnNames: {
                type: "list",
                member: {}
              }
            }
          }
        },
        Sof: {
          type: "structure",
          members: {
            DisableUseAsDirectQuerySource: {
              type: "boolean"
            },
            DisableUseAsImportedSource: {
              type: "boolean"
            }
          }
        },
        Sog: {
          type: "list",
          member: {
            type: "structure",
            members: {
              StringDatasetParameter: {
                type: "structure",
                required: [
                  "Id",
                  "Name",
                  "ValueType"
                ],
                members: {
                  Id: {},
                  Name: {},
                  ValueType: {},
                  DefaultValues: {
                    type: "structure",
                    members: {
                      StaticValues: {
                        shape: "Sna"
                      }
                    }
                  }
                }
              },
              DecimalDatasetParameter: {
                type: "structure",
                required: [
                  "Id",
                  "Name",
                  "ValueType"
                ],
                members: {
                  Id: {},
                  Name: {},
                  ValueType: {},
                  DefaultValues: {
                    type: "structure",
                    members: {
                      StaticValues: {
                        shape: "Snc"
                      }
                    }
                  }
                }
              },
              IntegerDatasetParameter: {
                type: "structure",
                required: [
                  "Id",
                  "Name",
                  "ValueType"
                ],
                members: {
                  Id: {},
                  Name: {},
                  ValueType: {},
                  DefaultValues: {
                    type: "structure",
                    members: {
                      StaticValues: {
                        shape: "Sng"
                      }
                    }
                  }
                }
              },
              DateTimeDatasetParameter: {
                type: "structure",
                required: [
                  "Id",
                  "Name",
                  "ValueType"
                ],
                members: {
                  Id: {},
                  Name: {},
                  ValueType: {},
                  TimeGranularity: {},
                  DefaultValues: {
                    type: "structure",
                    members: {
                      StaticValues: {
                        shape: "Sne"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sov: {
          type: "structure",
          members: {
            AmazonElasticsearchParameters: {
              type: "structure",
              required: [
                "Domain"
              ],
              members: {
                Domain: {}
              }
            },
            AthenaParameters: {
              type: "structure",
              members: {
                WorkGroup: {},
                RoleArn: {}
              }
            },
            AuroraParameters: {
              type: "structure",
              required: [
                "Host",
                "Port",
                "Database"
              ],
              members: {
                Host: {},
                Port: {
                  type: "integer"
                },
                Database: {}
              }
            },
            AuroraPostgreSqlParameters: {
              type: "structure",
              required: [
                "Host",
                "Port",
                "Database"
              ],
              members: {
                Host: {},
                Port: {
                  type: "integer"
                },
                Database: {}
              }
            },
            AwsIotAnalyticsParameters: {
              type: "structure",
              required: [
                "DataSetName"
              ],
              members: {
                DataSetName: {}
              }
            },
            JiraParameters: {
              type: "structure",
              required: [
                "SiteBaseUrl"
              ],
              members: {
                SiteBaseUrl: {}
              }
            },
            MariaDbParameters: {
              type: "structure",
              required: [
                "Host",
                "Port",
                "Database"
              ],
              members: {
                Host: {},
                Port: {
                  type: "integer"
                },
                Database: {}
              }
            },
            MySqlParameters: {
              type: "structure",
              required: [
                "Host",
                "Port",
                "Database"
              ],
              members: {
                Host: {},
                Port: {
                  type: "integer"
                },
                Database: {}
              }
            },
            OracleParameters: {
              type: "structure",
              required: [
                "Host",
                "Port",
                "Database"
              ],
              members: {
                Host: {},
                Port: {
                  type: "integer"
                },
                Database: {}
              }
            },
            PostgreSqlParameters: {
              type: "structure",
              required: [
                "Host",
                "Port",
                "Database"
              ],
              members: {
                Host: {},
                Port: {
                  type: "integer"
                },
                Database: {}
              }
            },
            PrestoParameters: {
              type: "structure",
              required: [
                "Host",
                "Port",
                "Catalog"
              ],
              members: {
                Host: {},
                Port: {
                  type: "integer"
                },
                Catalog: {}
              }
            },
            RdsParameters: {
              type: "structure",
              required: [
                "InstanceId",
                "Database"
              ],
              members: {
                InstanceId: {},
                Database: {}
              }
            },
            RedshiftParameters: {
              type: "structure",
              required: [
                "Database"
              ],
              members: {
                Host: {},
                Port: {
                  type: "integer"
                },
                Database: {},
                ClusterId: {}
              }
            },
            S3Parameters: {
              type: "structure",
              required: [
                "ManifestFileLocation"
              ],
              members: {
                ManifestFileLocation: {
                  type: "structure",
                  required: [
                    "Bucket",
                    "Key"
                  ],
                  members: {
                    Bucket: {},
                    Key: {}
                  }
                },
                RoleArn: {}
              }
            },
            ServiceNowParameters: {
              type: "structure",
              required: [
                "SiteBaseUrl"
              ],
              members: {
                SiteBaseUrl: {}
              }
            },
            SnowflakeParameters: {
              type: "structure",
              required: [
                "Host",
                "Database",
                "Warehouse"
              ],
              members: {
                Host: {},
                Database: {},
                Warehouse: {}
              }
            },
            SparkParameters: {
              type: "structure",
              required: [
                "Host",
                "Port"
              ],
              members: {
                Host: {},
                Port: {
                  type: "integer"
                }
              }
            },
            SqlServerParameters: {
              type: "structure",
              required: [
                "Host",
                "Port",
                "Database"
              ],
              members: {
                Host: {},
                Port: {
                  type: "integer"
                },
                Database: {}
              }
            },
            TeradataParameters: {
              type: "structure",
              required: [
                "Host",
                "Port",
                "Database"
              ],
              members: {
                Host: {},
                Port: {
                  type: "integer"
                },
                Database: {}
              }
            },
            TwitterParameters: {
              type: "structure",
              required: [
                "Query",
                "MaxRows"
              ],
              members: {
                Query: {},
                MaxRows: {
                  type: "integer"
                }
              }
            },
            AmazonOpenSearchParameters: {
              type: "structure",
              required: [
                "Domain"
              ],
              members: {
                Domain: {}
              }
            },
            ExasolParameters: {
              type: "structure",
              required: [
                "Host",
                "Port"
              ],
              members: {
                Host: {},
                Port: {
                  type: "integer"
                }
              }
            },
            DatabricksParameters: {
              type: "structure",
              required: [
                "Host",
                "Port",
                "SqlEndpointPath"
              ],
              members: {
                Host: {},
                Port: {
                  type: "integer"
                },
                SqlEndpointPath: {}
              }
            }
          }
        },
        Sq1: {
          type: "structure",
          members: {
            CredentialPair: {
              type: "structure",
              required: [
                "Username",
                "Password"
              ],
              members: {
                Username: {},
                Password: {},
                AlternateDataSourceParameters: {
                  shape: "Sq5"
                }
              }
            },
            CopySourceArn: {},
            SecretArn: {}
          },
          sensitive: true
        },
        Sq5: {
          type: "list",
          member: {
            shape: "Sov"
          }
        },
        Sq8: {
          type: "structure",
          required: [
            "VpcConnectionArn"
          ],
          members: {
            VpcConnectionArn: {}
          }
        },
        Sq9: {
          type: "structure",
          members: {
            DisableSsl: {
              type: "boolean"
            }
          }
        },
        Sqo: {
          type: "structure",
          members: {
            Arn: {},
            GroupName: {},
            Description: {},
            PrincipalId: {}
          }
        },
        Sqs: {
          type: "structure",
          members: {
            Arn: {},
            MemberName: {}
          }
        },
        Sqw: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {}
          }
        },
        Sr9: {
          type: "structure",
          required: [
            "ScheduleId",
            "ScheduleFrequency",
            "RefreshType"
          ],
          members: {
            ScheduleId: {},
            ScheduleFrequency: {
              type: "structure",
              required: [
                "Interval"
              ],
              members: {
                Interval: {},
                RefreshOnDay: {
                  type: "structure",
                  members: {
                    DayOfWeek: {},
                    DayOfMonth: {}
                  }
                },
                Timezone: {},
                TimeOfTheDay: {}
              }
            },
            StartAfterDateTime: {
              type: "timestamp"
            },
            RefreshType: {},
            Arn: {}
          }
        },
        Sri: {
          type: "structure",
          members: {
            SourceAnalysis: {
              type: "structure",
              required: [
                "Arn",
                "DataSetReferences"
              ],
              members: {
                Arn: {},
                DataSetReferences: {
                  shape: "S1e"
                }
              }
            },
            SourceTemplate: {
              type: "structure",
              required: [
                "Arn"
              ],
              members: {
                Arn: {}
              }
            }
          }
        },
        Srl: {
          type: "structure",
          required: [
            "DataSetConfigurations"
          ],
          members: {
            DataSetConfigurations: {
              shape: "Srm"
            },
            Sheets: {
              shape: "S1k"
            },
            CalculatedFields: {
              shape: "Sj7"
            },
            ParameterDeclarations: {
              shape: "Sja"
            },
            FilterGroups: {
              shape: "Sju"
            },
            ColumnConfigurations: {
              shape: "Skt"
            },
            AnalysisDefaults: {
              shape: "Sl0"
            }
          }
        },
        Srm: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Placeholder: {},
              DataSetSchema: {
                type: "structure",
                members: {
                  ColumnSchemaList: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {},
                        DataType: {},
                        GeographicRole: {}
                      }
                    }
                  }
                }
              },
              ColumnGroupSchemaList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    ColumnGroupColumnSchemaList: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Ss0: {
          type: "structure",
          members: {
            AliasName: {},
            Arn: {},
            TemplateVersionNumber: {
              type: "long"
            }
          }
        },
        Ss3: {
          type: "structure",
          members: {
            DataColorPalette: {
              type: "structure",
              members: {
                Colors: {
                  shape: "Ss5"
                },
                MinMaxGradient: {
                  shape: "Ss5"
                },
                EmptyFillColor: {}
              }
            },
            UIColorPalette: {
              type: "structure",
              members: {
                PrimaryForeground: {},
                PrimaryBackground: {},
                SecondaryForeground: {},
                SecondaryBackground: {},
                Accent: {},
                AccentForeground: {},
                Danger: {},
                DangerForeground: {},
                Warning: {},
                WarningForeground: {},
                Success: {},
                SuccessForeground: {},
                Dimension: {},
                DimensionForeground: {},
                Measure: {},
                MeasureForeground: {}
              }
            },
            Sheet: {
              type: "structure",
              members: {
                Tile: {
                  type: "structure",
                  members: {
                    Border: {
                      type: "structure",
                      members: {
                        Show: {
                          type: "boolean"
                        }
                      }
                    }
                  }
                },
                TileLayout: {
                  type: "structure",
                  members: {
                    Gutter: {
                      type: "structure",
                      members: {
                        Show: {
                          type: "boolean"
                        }
                      }
                    },
                    Margin: {
                      type: "structure",
                      members: {
                        Show: {
                          type: "boolean"
                        }
                      }
                    }
                  }
                }
              }
            },
            Typography: {
              type: "structure",
              members: {
                FontFamilies: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      FontFamily: {}
                    }
                  }
                }
              }
            }
          }
        },
        Ss5: {
          type: "list",
          member: {}
        },
        Ssj: {
          type: "structure",
          members: {
            Arn: {},
            AliasName: {},
            ThemeVersionNumber: {
              type: "long"
            }
          }
        },
        Ssm: {
          type: "structure",
          members: {
            Name: {},
            Description: {},
            DataSets: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "DatasetArn"
                ],
                members: {
                  DatasetArn: {},
                  DatasetName: {},
                  DatasetDescription: {},
                  DataAggregation: {
                    type: "structure",
                    members: {
                      DatasetRowDateGranularity: {},
                      DefaultDateColumnName: {}
                    }
                  },
                  Filters: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "FilterName",
                        "OperandFieldName"
                      ],
                      members: {
                        FilterDescription: {},
                        FilterClass: {},
                        FilterName: {},
                        FilterSynonyms: {
                          shape: "Ssv"
                        },
                        OperandFieldName: {},
                        FilterType: {},
                        CategoryFilter: {
                          type: "structure",
                          members: {
                            CategoryFilterFunction: {},
                            CategoryFilterType: {},
                            Constant: {
                              type: "structure",
                              members: {
                                ConstantType: {},
                                SingularConstant: {},
                                CollectiveConstant: {
                                  type: "structure",
                                  members: {
                                    ValueList: {
                                      shape: "St3"
                                    }
                                  }
                                }
                              },
                              sensitive: true
                            },
                            Inverse: {
                              type: "boolean"
                            }
                          }
                        },
                        NumericEqualityFilter: {
                          type: "structure",
                          members: {
                            Constant: {
                              shape: "St5"
                            },
                            Aggregation: {}
                          }
                        },
                        NumericRangeFilter: {
                          type: "structure",
                          members: {
                            Inclusive: {
                              type: "boolean"
                            },
                            Constant: {
                              shape: "St8"
                            },
                            Aggregation: {}
                          }
                        },
                        DateRangeFilter: {
                          type: "structure",
                          members: {
                            Inclusive: {
                              type: "boolean"
                            },
                            Constant: {
                              shape: "St8"
                            }
                          }
                        },
                        RelativeDateFilter: {
                          type: "structure",
                          members: {
                            TimeGranularity: {},
                            RelativeDateFilterFunction: {},
                            Constant: {
                              shape: "St5"
                            }
                          }
                        }
                      }
                    }
                  },
                  Columns: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "ColumnName"
                      ],
                      members: {
                        ColumnName: {},
                        ColumnFriendlyName: {},
                        ColumnDescription: {},
                        ColumnSynonyms: {
                          shape: "Ssv"
                        },
                        ColumnDataRole: {},
                        Aggregation: {},
                        IsIncludedInTopic: {
                          type: "boolean"
                        },
                        DisableIndexing: {
                          type: "boolean"
                        },
                        ComparativeOrder: {
                          shape: "Sti"
                        },
                        SemanticType: {
                          shape: "Stl"
                        },
                        TimeGranularity: {},
                        AllowedAggregations: {
                          shape: "Stn"
                        },
                        NotAllowedAggregations: {
                          shape: "Stn"
                        },
                        DefaultFormatting: {
                          shape: "Stp"
                        },
                        NeverAggregateInFilter: {
                          type: "boolean"
                        },
                        CellValueSynonyms: {
                          shape: "Stu"
                        }
                      }
                    }
                  },
                  CalculatedFields: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "CalculatedFieldName",
                        "Expression"
                      ],
                      members: {
                        CalculatedFieldName: {},
                        CalculatedFieldDescription: {},
                        Expression: {
                          shape: "S4o"
                        },
                        CalculatedFieldSynonyms: {
                          shape: "Ssv"
                        },
                        IsIncludedInTopic: {
                          type: "boolean"
                        },
                        DisableIndexing: {
                          type: "boolean"
                        },
                        ColumnDataRole: {},
                        TimeGranularity: {},
                        DefaultFormatting: {
                          shape: "Stp"
                        },
                        Aggregation: {},
                        ComparativeOrder: {
                          shape: "Sti"
                        },
                        SemanticType: {
                          shape: "Stl"
                        },
                        AllowedAggregations: {
                          shape: "Stn"
                        },
                        NotAllowedAggregations: {
                          shape: "Stn"
                        },
                        NeverAggregateInFilter: {
                          type: "boolean"
                        },
                        CellValueSynonyms: {
                          shape: "Stu"
                        }
                      }
                    }
                  },
                  NamedEntities: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "EntityName"
                      ],
                      members: {
                        EntityName: {},
                        EntityDescription: {},
                        EntitySynonyms: {
                          shape: "Ssv"
                        },
                        SemanticEntityType: {
                          type: "structure",
                          members: {
                            TypeName: {},
                            SubTypeName: {},
                            TypeParameters: {
                              shape: "Stm"
                            }
                          }
                        },
                        Definition: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              FieldName: {},
                              PropertyName: {},
                              PropertyRole: {},
                              PropertyUsage: {},
                              Metric: {
                                type: "structure",
                                members: {
                                  Aggregation: {},
                                  AggregationFunctionParameters: {
                                    type: "map",
                                    key: {},
                                    value: {}
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Ssv: {
          type: "list",
          member: {}
        },
        St3: {
          type: "list",
          member: {}
        },
        St5: {
          type: "structure",
          members: {
            ConstantType: {},
            SingularConstant: {}
          },
          sensitive: true
        },
        St8: {
          type: "structure",
          members: {
            ConstantType: {},
            RangeConstant: {
              type: "structure",
              members: {
                Minimum: {},
                Maximum: {}
              }
            }
          },
          sensitive: true
        },
        Sti: {
          type: "structure",
          members: {
            UseOrdering: {},
            SpecifedOrder: {
              shape: "St3"
            },
            TreatUndefinedSpecifiedValues: {}
          }
        },
        Stl: {
          type: "structure",
          members: {
            TypeName: {},
            SubTypeName: {},
            TypeParameters: {
              shape: "Stm"
            },
            TruthyCellValue: {
              shape: "Sv"
            },
            TruthyCellValueSynonyms: {
              shape: "Su"
            },
            FalseyCellValue: {
              shape: "Sv"
            },
            FalseyCellValueSynonyms: {
              shape: "Su"
            }
          }
        },
        Stm: {
          type: "map",
          key: {},
          value: {}
        },
        Stn: {
          type: "list",
          member: {}
        },
        Stp: {
          type: "structure",
          members: {
            DisplayFormat: {},
            DisplayFormatOptions: {
              type: "structure",
              members: {
                UseBlankCellFormat: {
                  type: "boolean"
                },
                BlankCellFormat: {},
                DateFormat: {},
                DecimalSeparator: {},
                GroupingSeparator: {},
                UseGrouping: {
                  type: "boolean"
                },
                FractionDigits: {
                  type: "integer"
                },
                Prefix: {},
                Suffix: {},
                UnitScaler: {},
                NegativeFormat: {
                  type: "structure",
                  members: {
                    Prefix: {},
                    Suffix: {}
                  }
                },
                CurrencySymbol: {}
              }
            }
          }
        },
        Stu: {
          type: "list",
          member: {
            type: "structure",
            members: {
              CellValue: {},
              Synonyms: {
                shape: "St3"
              }
            }
          }
        },
        Sua: {
          type: "structure",
          required: [
            "IsEnabled",
            "BasedOnSpiceSchedule"
          ],
          members: {
            IsEnabled: {
              type: "boolean"
            },
            BasedOnSpiceSchedule: {
              type: "boolean"
            },
            StartingAt: {
              type: "timestamp"
            },
            Timezone: {},
            RepeatAt: {},
            TopicScheduleType: {}
          }
        },
        Suf: {
          type: "list",
          member: {}
        },
        Suh: {
          type: "list",
          member: {}
        },
        Suj: {
          type: "list",
          member: {}
        },
        Swd: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {},
              Message: {},
              ViolatedEntities: {
                shape: "Swg"
              }
            }
          }
        },
        Swg: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Path: {}
            }
          }
        },
        Swi: {
          type: "list",
          member: {}
        },
        Swj: {
          type: "list",
          member: {
            type: "structure",
            members: {
              SheetId: {},
              Name: {}
            }
          }
        },
        Swu: {
          type: "list",
          member: {}
        },
        Sww: {
          type: "structure",
          members: {
            ResourceIdOverrideConfiguration: {
              type: "structure",
              members: {
                PrefixForAllResources: {
                  type: "boolean"
                }
              }
            },
            VPCConnections: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Properties"
                ],
                members: {
                  Arn: {},
                  Properties: {
                    type: "list",
                    member: {}
                  }
                }
              }
            },
            RefreshSchedules: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Properties"
                ],
                members: {
                  Arn: {},
                  Properties: {
                    type: "list",
                    member: {}
                  }
                }
              }
            },
            DataSources: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Properties"
                ],
                members: {
                  Arn: {},
                  Properties: {
                    type: "list",
                    member: {}
                  }
                }
              }
            },
            DataSets: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Properties"
                ],
                members: {
                  Arn: {},
                  Properties: {
                    type: "list",
                    member: {}
                  }
                }
              }
            },
            Themes: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Properties"
                ],
                members: {
                  Arn: {},
                  Properties: {
                    type: "list",
                    member: {}
                  }
                }
              }
            },
            Analyses: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Properties"
                ],
                members: {
                  Arn: {},
                  Properties: {
                    type: "list",
                    member: {}
                  }
                }
              }
            },
            Dashboards: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Properties"
                ],
                members: {
                  Arn: {},
                  Properties: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          }
        },
        Sxt: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Arn: {},
              Type: {},
              Message: {}
            }
          }
        },
        Sxx: {
          type: "structure",
          members: {
            ResourceIdOverrideConfiguration: {
              type: "structure",
              members: {
                PrefixForAllResources: {}
              }
            },
            VPCConnections: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "VPCConnectionId"
                ],
                members: {
                  VPCConnectionId: {},
                  Name: {},
                  SubnetIds: {
                    shape: "Suf"
                  },
                  SecurityGroupIds: {
                    shape: "Suh"
                  },
                  DnsResolvers: {
                    shape: "Suj"
                  },
                  RoleArn: {}
                }
              }
            },
            RefreshSchedules: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "DataSetId",
                  "ScheduleId"
                ],
                members: {
                  DataSetId: {},
                  ScheduleId: {},
                  StartAfterDateTime: {
                    type: "timestamp"
                  }
                }
              }
            },
            DataSources: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "DataSourceId"
                ],
                members: {
                  DataSourceId: {},
                  Name: {},
                  DataSourceParameters: {
                    shape: "Sov"
                  },
                  VpcConnectionProperties: {
                    shape: "Sq8"
                  },
                  SslProperties: {
                    shape: "Sq9"
                  },
                  Credentials: {
                    type: "structure",
                    members: {
                      CredentialPair: {
                        type: "structure",
                        required: [
                          "Username",
                          "Password"
                        ],
                        members: {
                          Username: {},
                          Password: {}
                        },
                        sensitive: true
                      },
                      SecretArn: {}
                    }
                  }
                }
              }
            },
            DataSets: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "DataSetId"
                ],
                members: {
                  DataSetId: {},
                  Name: {}
                }
              }
            },
            Themes: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "ThemeId"
                ],
                members: {
                  ThemeId: {},
                  Name: {}
                }
              }
            },
            Analyses: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "AnalysisId"
                ],
                members: {
                  AnalysisId: {},
                  Name: {}
                }
              }
            },
            Dashboards: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "DashboardId"
                ],
                members: {
                  DashboardId: {},
                  Name: {}
                }
              }
            }
          }
        },
        Syk: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {},
              Message: {},
              ViolatedEntities: {
                shape: "Swg"
              }
            }
          }
        },
        Syr: {
          type: "structure",
          members: {
            Permissions: {
              shape: "S18"
            }
          }
        },
        Sz1: {
          type: "structure",
          required: [
            "RefreshConfiguration"
          ],
          members: {
            RefreshConfiguration: {
              type: "structure",
              required: [
                "IncrementalRefresh"
              ],
              members: {
                IncrementalRefresh: {
                  type: "structure",
                  required: [
                    "LookbackWindow"
                  ],
                  members: {
                    LookbackWindow: {
                      type: "structure",
                      required: [
                        "ColumnName",
                        "Size",
                        "SizeUnit"
                      ],
                      members: {
                        ColumnName: {},
                        Size: {
                          type: "long"
                        },
                        SizeUnit: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sz9: {
          type: "structure",
          members: {
            Arn: {},
            DataSourceId: {},
            Name: {},
            Type: {},
            Status: {},
            CreatedTime: {
              type: "timestamp"
            },
            LastUpdatedTime: {
              type: "timestamp"
            },
            DataSourceParameters: {
              shape: "Sov"
            },
            AlternateDataSourceParameters: {
              shape: "Sq5"
            },
            VpcConnectionProperties: {
              shape: "Sq8"
            },
            SslProperties: {
              shape: "Sq9"
            },
            ErrorInfo: {
              type: "structure",
              members: {
                Type: {},
                Message: {}
              }
            },
            SecretArn: {}
          }
        },
        Szv: {
          type: "structure",
          required: [
            "Arn",
            "IngestionStatus",
            "CreatedTime"
          ],
          members: {
            Arn: {},
            IngestionId: {},
            IngestionStatus: {},
            ErrorInfo: {
              type: "structure",
              members: {
                Type: {},
                Message: {}
              }
            },
            RowInfo: {
              type: "structure",
              members: {
                RowsIngested: {
                  type: "long"
                },
                RowsDropped: {
                  type: "long"
                },
                TotalRowsInDataset: {
                  type: "long"
                }
              }
            },
            QueueInfo: {
              type: "structure",
              required: [
                "WaitingOnIngestion",
                "QueuedIngestion"
              ],
              members: {
                WaitingOnIngestion: {},
                QueuedIngestion: {}
              }
            },
            CreatedTime: {
              type: "timestamp"
            },
            IngestionTimeInSeconds: {
              type: "long"
            },
            IngestionSizeInBytes: {
              type: "long"
            },
            RequestSource: {},
            RequestType: {}
          }
        },
        S104: {
          type: "map",
          key: {},
          value: {}
        },
        S109: {
          type: "structure",
          members: {
            Name: {},
            Arn: {},
            CapacityRegion: {},
            CreationStatus: {},
            IdentityStore: {},
            NamespaceError: {
              type: "structure",
              members: {
                Type: {},
                Message: {}
              }
            }
          }
        },
        S10i: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {},
              Message: {},
              ViolatedEntities: {
                shape: "Swg"
              }
            }
          }
        },
        S11g: {
          type: "structure",
          members: {
            Arn: {},
            UserName: {},
            Email: {},
            Role: {},
            IdentityType: {},
            Active: {
              type: "boolean"
            },
            PrincipalId: {},
            CustomPermissionsName: {},
            ExternalLoginFederationProviderType: {},
            ExternalLoginFederationProviderUrl: {},
            ExternalLoginId: {}
          }
        },
        S11n: {
          type: "list",
          member: {
            type: "structure",
            members: {
              SubnetId: {},
              AvailabilityZone: {},
              ErrorMessage: {},
              Status: {},
              NetworkInterfaceId: {}
            }
          }
        },
        S11z: {
          type: "structure",
          required: [
            "DashboardId",
            "SheetId",
            "VisualId"
          ],
          members: {
            DashboardId: {},
            SheetId: {},
            VisualId: {}
          }
        },
        S122: {
          type: "string",
          sensitive: true
        },
        S127: {
          type: "structure",
          required: [
            "Enabled"
          ],
          members: {
            Enabled: {
              type: "boolean"
            }
          }
        },
        S12p: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Arn: {},
              AnalysisId: {},
              Name: {},
              Status: {},
              CreatedTime: {
                type: "timestamp"
              },
              LastUpdatedTime: {
                type: "timestamp"
              }
            }
          }
        },
        S135: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Arn: {},
              DashboardId: {},
              Name: {},
              CreatedTime: {
                type: "timestamp"
              },
              LastUpdatedTime: {
                type: "timestamp"
              },
              PublishedVersionNumber: {
                type: "long"
              },
              LastPublishedTime: {
                type: "timestamp"
              }
            }
          }
        },
        S139: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Arn: {},
              DataSetId: {},
              Name: {},
              CreatedTime: {
                type: "timestamp"
              },
              LastUpdatedTime: {
                type: "timestamp"
              },
              ImportMode: {},
              RowLevelPermissionDataSet: {
                shape: "Snz"
              },
              RowLevelPermissionTagConfigurationApplied: {
                type: "boolean"
              },
              ColumnLevelPermissionRulesApplied: {
                type: "boolean"
              }
            }
          }
        },
        S13k: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Arn: {},
              FolderId: {},
              Name: {},
              FolderType: {},
              CreatedTime: {
                type: "timestamp"
              },
              LastUpdatedTime: {
                type: "timestamp"
              }
            }
          }
        },
        S13r: {
          type: "list",
          member: {
            shape: "Sqo"
          }
        },
        S172: {
          type: "list",
          member: {
            shape: "S19"
          }
        },
        S177: {
          type: "list",
          member: {
            shape: "S19"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/quicksight-2018-04-01.paginators.json
var require_quicksight_2018_04_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/quicksight-2018-04-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAnalyses: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "AnalysisSummaryList"
        },
        ListAssetBundleExportJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "AssetBundleExportJobSummaryList"
        },
        ListAssetBundleImportJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "AssetBundleImportJobSummaryList"
        },
        ListDashboardVersions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DashboardVersionSummaryList"
        },
        ListDashboards: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DashboardSummaryList"
        },
        ListDataSets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DataSetSummaries"
        },
        ListDataSources: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DataSources"
        },
        ListIngestions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Ingestions"
        },
        ListNamespaces: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Namespaces"
        },
        ListTemplateAliases: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "TemplateAliasList"
        },
        ListTemplateVersions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "TemplateVersionSummaryList"
        },
        ListTemplates: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "TemplateSummaryList"
        },
        ListThemeVersions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ThemeVersionSummaryList"
        },
        ListThemes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ThemeSummaryList"
        },
        ListTopics: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListVPCConnections: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        SearchAnalyses: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "AnalysisSummaryList"
        },
        SearchDashboards: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DashboardSummaryList"
        },
        SearchDataSets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DataSetSummaries"
        },
        SearchDataSources: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DataSourceSummaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/quicksight.js
var require_quicksight = __commonJS({
  "node_modules/aws-sdk/clients/quicksight.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["quicksight"] = {};
    AWS2.QuickSight = Service.defineService("quicksight", ["2018-04-01"]);
    Object.defineProperty(apiLoader.services["quicksight"], "2018-04-01", {
      get: function get() {
        var model = require_quicksight_2018_04_01_min();
        model.paginators = require_quicksight_2018_04_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.QuickSight;
  }
});

// node_modules/aws-sdk/lib/services/rdsdataservice.js
var require_rdsdataservice = __commonJS({
  "node_modules/aws-sdk/lib/services/rdsdataservice.js"() {
    var AWS2 = require_core();
    AWS2.util.update(AWS2.RDSDataService.prototype, {
      /**
       * @return [Boolean] whether the error can be retried
       * @api private
       */
      retryableError: function retryableError(error) {
        if (error.code === "BadRequestException" && error.message && error.message.match(/^Communications link failure/) && error.statusCode === 400) {
          return true;
        } else {
          var _super = AWS2.Service.prototype.retryableError;
          return _super.call(this, error);
        }
      }
    });
  }
});

// node_modules/aws-sdk/apis/rds-data-2018-08-01.min.json
var require_rds_data_2018_08_01_min = __commonJS({
  "node_modules/aws-sdk/apis/rds-data-2018-08-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-08-01",
        endpointPrefix: "rds-data",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS RDS DataService",
        serviceId: "RDS Data",
        signatureVersion: "v4",
        signingName: "rds-data",
        uid: "rds-data-2018-08-01"
      },
      operations: {
        BatchExecuteStatement: {
          http: {
            requestUri: "/BatchExecute",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "secretArn",
              "sql"
            ],
            members: {
              resourceArn: {},
              secretArn: {},
              sql: {},
              database: {},
              schema: {},
              parameterSets: {
                type: "list",
                member: {
                  shape: "S6"
                }
              },
              transactionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              updateResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    generatedFields: {
                      shape: "Sq"
                    }
                  }
                }
              }
            }
          }
        },
        BeginTransaction: {
          http: {
            requestUri: "/BeginTransaction",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "secretArn"
            ],
            members: {
              resourceArn: {},
              secretArn: {},
              database: {},
              schema: {}
            }
          },
          output: {
            type: "structure",
            members: {
              transactionId: {}
            }
          }
        },
        CommitTransaction: {
          http: {
            requestUri: "/CommitTransaction",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "secretArn",
              "transactionId"
            ],
            members: {
              resourceArn: {},
              secretArn: {},
              transactionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              transactionStatus: {}
            }
          }
        },
        ExecuteSql: {
          http: {
            requestUri: "/ExecuteSql",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "dbClusterOrInstanceArn",
              "awsSecretStoreArn",
              "sqlStatements"
            ],
            members: {
              dbClusterOrInstanceArn: {},
              awsSecretStoreArn: {},
              sqlStatements: {},
              database: {},
              schema: {}
            }
          },
          output: {
            type: "structure",
            members: {
              sqlStatementResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    resultFrame: {
                      type: "structure",
                      members: {
                        resultSetMetadata: {
                          type: "structure",
                          members: {
                            columnCount: {
                              type: "long"
                            },
                            columnMetadata: {
                              shape: "S13"
                            }
                          }
                        },
                        records: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              values: {
                                type: "list",
                                member: {
                                  shape: "S1a"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    numberOfRecordsUpdated: {
                      type: "long"
                    }
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "The ExecuteSql API is deprecated, please use the ExecuteStatement API."
        },
        ExecuteStatement: {
          http: {
            requestUri: "/Execute",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "secretArn",
              "sql"
            ],
            members: {
              resourceArn: {},
              secretArn: {},
              sql: {},
              database: {},
              schema: {},
              parameters: {
                shape: "S6"
              },
              transactionId: {},
              includeResultMetadata: {
                type: "boolean"
              },
              continueAfterTimeout: {
                type: "boolean"
              },
              resultSetOptions: {
                type: "structure",
                members: {
                  decimalReturnType: {},
                  longReturnType: {}
                }
              },
              formatRecordsAs: {}
            }
          },
          output: {
            type: "structure",
            members: {
              records: {
                type: "list",
                member: {
                  shape: "Sq"
                }
              },
              columnMetadata: {
                shape: "S13"
              },
              numberOfRecordsUpdated: {
                type: "long"
              },
              generatedFields: {
                shape: "Sq"
              },
              formattedRecords: {}
            }
          }
        },
        RollbackTransaction: {
          http: {
            requestUri: "/RollbackTransaction",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "secretArn",
              "transactionId"
            ],
            members: {
              resourceArn: {},
              secretArn: {},
              transactionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              transactionStatus: {}
            }
          }
        }
      },
      shapes: {
        S6: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              value: {
                shape: "S9"
              },
              typeHint: {}
            }
          }
        },
        S9: {
          type: "structure",
          members: {
            isNull: {
              type: "boolean"
            },
            booleanValue: {
              type: "boolean"
            },
            longValue: {
              type: "long"
            },
            doubleValue: {
              type: "double"
            },
            stringValue: {},
            blobValue: {
              type: "blob"
            },
            arrayValue: {
              shape: "Sf"
            }
          },
          union: true
        },
        Sf: {
          type: "structure",
          members: {
            booleanValues: {
              type: "list",
              member: {
                type: "boolean"
              }
            },
            longValues: {
              type: "list",
              member: {
                type: "long"
              }
            },
            doubleValues: {
              type: "list",
              member: {
                type: "double"
              }
            },
            stringValues: {
              type: "list",
              member: {}
            },
            arrayValues: {
              type: "list",
              member: {
                shape: "Sf"
              }
            }
          },
          union: true
        },
        Sq: {
          type: "list",
          member: {
            shape: "S9"
          }
        },
        S13: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              type: {
                type: "integer"
              },
              typeName: {},
              label: {},
              schemaName: {},
              tableName: {},
              isAutoIncrement: {
                type: "boolean"
              },
              isSigned: {
                type: "boolean"
              },
              isCurrency: {
                type: "boolean"
              },
              isCaseSensitive: {
                type: "boolean"
              },
              nullable: {
                type: "integer"
              },
              precision: {
                type: "integer"
              },
              scale: {
                type: "integer"
              },
              arrayBaseColumnType: {
                type: "integer"
              }
            }
          }
        },
        S1a: {
          type: "structure",
          members: {
            isNull: {
              type: "boolean"
            },
            bitValue: {
              type: "boolean"
            },
            bigIntValue: {
              type: "long"
            },
            intValue: {
              type: "integer"
            },
            doubleValue: {
              type: "double"
            },
            realValue: {
              type: "float"
            },
            stringValue: {},
            blobValue: {
              type: "blob"
            },
            arrayValues: {
              shape: "S1d"
            },
            structValue: {
              type: "structure",
              members: {
                attributes: {
                  shape: "S1d"
                }
              }
            }
          },
          union: true
        },
        S1d: {
          type: "list",
          member: {
            shape: "S1a"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/rds-data-2018-08-01.paginators.json
var require_rds_data_2018_08_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/rds-data-2018-08-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/rdsdataservice.js
var require_rdsdataservice2 = __commonJS({
  "node_modules/aws-sdk/clients/rdsdataservice.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["rdsdataservice"] = {};
    AWS2.RDSDataService = Service.defineService("rdsdataservice", ["2018-08-01"]);
    require_rdsdataservice();
    Object.defineProperty(apiLoader.services["rdsdataservice"], "2018-08-01", {
      get: function get() {
        var model = require_rds_data_2018_08_01_min();
        model.paginators = require_rds_data_2018_08_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.RDSDataService;
  }
});

// node_modules/aws-sdk/apis/amplify-2017-07-25.min.json
var require_amplify_2017_07_25_min = __commonJS({
  "node_modules/aws-sdk/apis/amplify-2017-07-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-07-25",
        endpointPrefix: "amplify",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Amplify",
        serviceFullName: "AWS Amplify",
        serviceId: "Amplify",
        signatureVersion: "v4",
        signingName: "amplify",
        uid: "amplify-2017-07-25"
      },
      operations: {
        CreateApp: {
          http: {
            requestUri: "/apps"
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              repository: {},
              platform: {},
              iamServiceRoleArn: {},
              oauthToken: {
                shape: "S7"
              },
              accessToken: {
                shape: "S8"
              },
              environmentVariables: {
                shape: "S9"
              },
              enableBranchAutoBuild: {
                type: "boolean"
              },
              enableBranchAutoDeletion: {
                type: "boolean"
              },
              enableBasicAuth: {
                type: "boolean"
              },
              basicAuthCredentials: {
                shape: "Sf"
              },
              customRules: {
                shape: "Sg"
              },
              tags: {
                shape: "Sm"
              },
              buildSpec: {
                shape: "Sp"
              },
              customHeaders: {},
              enableAutoBranchCreation: {
                type: "boolean"
              },
              autoBranchCreationPatterns: {
                shape: "Ss"
              },
              autoBranchCreationConfig: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "app"
            ],
            members: {
              app: {
                shape: "S12"
              }
            }
          }
        },
        CreateBackendEnvironment: {
          http: {
            requestUri: "/apps/{appId}/backendenvironments"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {},
              stackName: {},
              deploymentArtifacts: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "backendEnvironment"
            ],
            members: {
              backendEnvironment: {
                shape: "S1i"
              }
            }
          }
        },
        CreateBranch: {
          http: {
            requestUri: "/apps/{appId}/branches"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "branchName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              branchName: {},
              description: {},
              stage: {},
              framework: {},
              enableNotification: {
                type: "boolean"
              },
              enableAutoBuild: {
                type: "boolean"
              },
              environmentVariables: {
                shape: "S9"
              },
              basicAuthCredentials: {
                shape: "Sf"
              },
              enableBasicAuth: {
                type: "boolean"
              },
              enablePerformanceMode: {
                type: "boolean"
              },
              tags: {
                shape: "Sm"
              },
              buildSpec: {
                shape: "Sp"
              },
              ttl: {},
              displayName: {},
              enablePullRequestPreview: {
                type: "boolean"
              },
              pullRequestEnvironmentName: {},
              backendEnvironmentArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "branch"
            ],
            members: {
              branch: {
                shape: "S1p"
              }
            }
          }
        },
        CreateDeployment: {
          http: {
            requestUri: "/apps/{appId}/branches/{branchName}/deployments"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "branchName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              branchName: {
                location: "uri",
                locationName: "branchName"
              },
              fileMap: {
                type: "map",
                key: {},
                value: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "fileUploadUrls",
              "zipUploadUrl"
            ],
            members: {
              jobId: {},
              fileUploadUrls: {
                type: "map",
                key: {},
                value: {}
              },
              zipUploadUrl: {}
            }
          }
        },
        CreateDomainAssociation: {
          http: {
            requestUri: "/apps/{appId}/domains"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "domainName",
              "subDomainSettings"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              domainName: {},
              enableAutoSubDomain: {
                type: "boolean"
              },
              subDomainSettings: {
                shape: "S28"
              },
              autoSubDomainCreationPatterns: {
                shape: "S2b"
              },
              autoSubDomainIAMRole: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "domainAssociation"
            ],
            members: {
              domainAssociation: {
                shape: "S2f"
              }
            }
          }
        },
        CreateWebhook: {
          http: {
            requestUri: "/apps/{appId}/webhooks"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "branchName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              branchName: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "webhook"
            ],
            members: {
              webhook: {
                shape: "S2q"
              }
            }
          }
        },
        DeleteApp: {
          http: {
            method: "DELETE",
            requestUri: "/apps/{appId}"
          },
          input: {
            type: "structure",
            required: [
              "appId"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "app"
            ],
            members: {
              app: {
                shape: "S12"
              }
            }
          }
        },
        DeleteBackendEnvironment: {
          http: {
            method: "DELETE",
            requestUri: "/apps/{appId}/backendenvironments/{environmentName}"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "backendEnvironment"
            ],
            members: {
              backendEnvironment: {
                shape: "S1i"
              }
            }
          }
        },
        DeleteBranch: {
          http: {
            method: "DELETE",
            requestUri: "/apps/{appId}/branches/{branchName}"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "branchName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              branchName: {
                location: "uri",
                locationName: "branchName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "branch"
            ],
            members: {
              branch: {
                shape: "S1p"
              }
            }
          }
        },
        DeleteDomainAssociation: {
          http: {
            method: "DELETE",
            requestUri: "/apps/{appId}/domains/{domainName}"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "domainName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              domainName: {
                location: "uri",
                locationName: "domainName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "domainAssociation"
            ],
            members: {
              domainAssociation: {
                shape: "S2f"
              }
            }
          }
        },
        DeleteJob: {
          http: {
            method: "DELETE",
            requestUri: "/apps/{appId}/branches/{branchName}/jobs/{jobId}"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "branchName",
              "jobId"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              branchName: {
                location: "uri",
                locationName: "branchName"
              },
              jobId: {
                location: "uri",
                locationName: "jobId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobSummary"
            ],
            members: {
              jobSummary: {
                shape: "S34"
              }
            }
          }
        },
        DeleteWebhook: {
          http: {
            method: "DELETE",
            requestUri: "/webhooks/{webhookId}"
          },
          input: {
            type: "structure",
            required: [
              "webhookId"
            ],
            members: {
              webhookId: {
                location: "uri",
                locationName: "webhookId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "webhook"
            ],
            members: {
              webhook: {
                shape: "S2q"
              }
            }
          }
        },
        GenerateAccessLogs: {
          http: {
            requestUri: "/apps/{appId}/accesslogs"
          },
          input: {
            type: "structure",
            required: [
              "domainName",
              "appId"
            ],
            members: {
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              domainName: {},
              appId: {
                location: "uri",
                locationName: "appId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              logUrl: {}
            }
          }
        },
        GetApp: {
          http: {
            method: "GET",
            requestUri: "/apps/{appId}"
          },
          input: {
            type: "structure",
            required: [
              "appId"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "app"
            ],
            members: {
              app: {
                shape: "S12"
              }
            }
          }
        },
        GetArtifactUrl: {
          http: {
            method: "GET",
            requestUri: "/artifacts/{artifactId}"
          },
          input: {
            type: "structure",
            required: [
              "artifactId"
            ],
            members: {
              artifactId: {
                location: "uri",
                locationName: "artifactId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "artifactId",
              "artifactUrl"
            ],
            members: {
              artifactId: {},
              artifactUrl: {}
            }
          }
        },
        GetBackendEnvironment: {
          http: {
            method: "GET",
            requestUri: "/apps/{appId}/backendenvironments/{environmentName}"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "backendEnvironment"
            ],
            members: {
              backendEnvironment: {
                shape: "S1i"
              }
            }
          }
        },
        GetBranch: {
          http: {
            method: "GET",
            requestUri: "/apps/{appId}/branches/{branchName}"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "branchName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              branchName: {
                location: "uri",
                locationName: "branchName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "branch"
            ],
            members: {
              branch: {
                shape: "S1p"
              }
            }
          }
        },
        GetDomainAssociation: {
          http: {
            method: "GET",
            requestUri: "/apps/{appId}/domains/{domainName}"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "domainName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              domainName: {
                location: "uri",
                locationName: "domainName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "domainAssociation"
            ],
            members: {
              domainAssociation: {
                shape: "S2f"
              }
            }
          }
        },
        GetJob: {
          http: {
            method: "GET",
            requestUri: "/apps/{appId}/branches/{branchName}/jobs/{jobId}"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "branchName",
              "jobId"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              branchName: {
                location: "uri",
                locationName: "branchName"
              },
              jobId: {
                location: "uri",
                locationName: "jobId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "job"
            ],
            members: {
              job: {
                type: "structure",
                required: [
                  "summary",
                  "steps"
                ],
                members: {
                  summary: {
                    shape: "S34"
                  },
                  steps: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "stepName",
                        "startTime",
                        "status",
                        "endTime"
                      ],
                      members: {
                        stepName: {},
                        startTime: {
                          type: "timestamp"
                        },
                        status: {},
                        endTime: {
                          type: "timestamp"
                        },
                        logUrl: {},
                        artifactsUrl: {},
                        testArtifactsUrl: {},
                        testConfigUrl: {},
                        screenshots: {
                          type: "map",
                          key: {},
                          value: {}
                        },
                        statusReason: {},
                        context: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetWebhook: {
          http: {
            method: "GET",
            requestUri: "/webhooks/{webhookId}"
          },
          input: {
            type: "structure",
            required: [
              "webhookId"
            ],
            members: {
              webhookId: {
                location: "uri",
                locationName: "webhookId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "webhook"
            ],
            members: {
              webhook: {
                shape: "S2q"
              }
            }
          }
        },
        ListApps: {
          http: {
            method: "GET",
            requestUri: "/apps"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "apps"
            ],
            members: {
              apps: {
                type: "list",
                member: {
                  shape: "S12"
                }
              },
              nextToken: {}
            }
          }
        },
        ListArtifacts: {
          http: {
            method: "GET",
            requestUri: "/apps/{appId}/branches/{branchName}/jobs/{jobId}/artifacts"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "branchName",
              "jobId"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              branchName: {
                location: "uri",
                locationName: "branchName"
              },
              jobId: {
                location: "uri",
                locationName: "jobId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "artifacts"
            ],
            members: {
              artifacts: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "artifactFileName",
                    "artifactId"
                  ],
                  members: {
                    artifactFileName: {},
                    artifactId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListBackendEnvironments: {
          http: {
            method: "GET",
            requestUri: "/apps/{appId}/backendenvironments"
          },
          input: {
            type: "structure",
            required: [
              "appId"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "querystring",
                locationName: "environmentName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "backendEnvironments"
            ],
            members: {
              backendEnvironments: {
                type: "list",
                member: {
                  shape: "S1i"
                }
              },
              nextToken: {}
            }
          }
        },
        ListBranches: {
          http: {
            method: "GET",
            requestUri: "/apps/{appId}/branches"
          },
          input: {
            type: "structure",
            required: [
              "appId"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "branches"
            ],
            members: {
              branches: {
                type: "list",
                member: {
                  shape: "S1p"
                }
              },
              nextToken: {}
            }
          }
        },
        ListDomainAssociations: {
          http: {
            method: "GET",
            requestUri: "/apps/{appId}/domains"
          },
          input: {
            type: "structure",
            required: [
              "appId"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "domainAssociations"
            ],
            members: {
              domainAssociations: {
                type: "list",
                member: {
                  shape: "S2f"
                }
              },
              nextToken: {}
            }
          }
        },
        ListJobs: {
          http: {
            method: "GET",
            requestUri: "/apps/{appId}/branches/{branchName}/jobs"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "branchName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              branchName: {
                location: "uri",
                locationName: "branchName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobSummaries"
            ],
            members: {
              jobSummaries: {
                type: "list",
                member: {
                  shape: "S34"
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sm"
              }
            }
          }
        },
        ListWebhooks: {
          http: {
            method: "GET",
            requestUri: "/apps/{appId}/webhooks"
          },
          input: {
            type: "structure",
            required: [
              "appId"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "webhooks"
            ],
            members: {
              webhooks: {
                type: "list",
                member: {
                  shape: "S2q"
                }
              },
              nextToken: {}
            }
          }
        },
        StartDeployment: {
          http: {
            requestUri: "/apps/{appId}/branches/{branchName}/deployments/start"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "branchName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              branchName: {
                location: "uri",
                locationName: "branchName"
              },
              jobId: {},
              sourceUrl: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "jobSummary"
            ],
            members: {
              jobSummary: {
                shape: "S34"
              }
            }
          }
        },
        StartJob: {
          http: {
            requestUri: "/apps/{appId}/branches/{branchName}/jobs"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "branchName",
              "jobType"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              branchName: {
                location: "uri",
                locationName: "branchName"
              },
              jobId: {},
              jobType: {},
              jobReason: {},
              commitId: {},
              commitMessage: {},
              commitTime: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobSummary"
            ],
            members: {
              jobSummary: {
                shape: "S34"
              }
            }
          }
        },
        StopJob: {
          http: {
            method: "DELETE",
            requestUri: "/apps/{appId}/branches/{branchName}/jobs/{jobId}/stop"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "branchName",
              "jobId"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              branchName: {
                location: "uri",
                locationName: "branchName"
              },
              jobId: {
                location: "uri",
                locationName: "jobId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobSummary"
            ],
            members: {
              jobSummary: {
                shape: "S34"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateApp: {
          http: {
            requestUri: "/apps/{appId}"
          },
          input: {
            type: "structure",
            required: [
              "appId"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              name: {},
              description: {},
              platform: {},
              iamServiceRoleArn: {},
              environmentVariables: {
                shape: "S9"
              },
              enableBranchAutoBuild: {
                type: "boolean"
              },
              enableBranchAutoDeletion: {
                type: "boolean"
              },
              enableBasicAuth: {
                type: "boolean"
              },
              basicAuthCredentials: {
                shape: "Sf"
              },
              customRules: {
                shape: "Sg"
              },
              buildSpec: {
                shape: "Sp"
              },
              customHeaders: {},
              enableAutoBranchCreation: {
                type: "boolean"
              },
              autoBranchCreationPatterns: {
                shape: "Ss"
              },
              autoBranchCreationConfig: {
                shape: "Su"
              },
              repository: {},
              oauthToken: {
                shape: "S7"
              },
              accessToken: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "app"
            ],
            members: {
              app: {
                shape: "S12"
              }
            }
          }
        },
        UpdateBranch: {
          http: {
            requestUri: "/apps/{appId}/branches/{branchName}"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "branchName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              branchName: {
                location: "uri",
                locationName: "branchName"
              },
              description: {},
              framework: {},
              stage: {},
              enableNotification: {
                type: "boolean"
              },
              enableAutoBuild: {
                type: "boolean"
              },
              environmentVariables: {
                shape: "S9"
              },
              basicAuthCredentials: {
                shape: "Sf"
              },
              enableBasicAuth: {
                type: "boolean"
              },
              enablePerformanceMode: {
                type: "boolean"
              },
              buildSpec: {
                shape: "Sp"
              },
              ttl: {},
              displayName: {},
              enablePullRequestPreview: {
                type: "boolean"
              },
              pullRequestEnvironmentName: {},
              backendEnvironmentArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "branch"
            ],
            members: {
              branch: {
                shape: "S1p"
              }
            }
          }
        },
        UpdateDomainAssociation: {
          http: {
            requestUri: "/apps/{appId}/domains/{domainName}"
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "domainName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              domainName: {
                location: "uri",
                locationName: "domainName"
              },
              enableAutoSubDomain: {
                type: "boolean"
              },
              subDomainSettings: {
                shape: "S28"
              },
              autoSubDomainCreationPatterns: {
                shape: "S2b"
              },
              autoSubDomainIAMRole: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "domainAssociation"
            ],
            members: {
              domainAssociation: {
                shape: "S2f"
              }
            }
          }
        },
        UpdateWebhook: {
          http: {
            requestUri: "/webhooks/{webhookId}"
          },
          input: {
            type: "structure",
            required: [
              "webhookId"
            ],
            members: {
              webhookId: {
                location: "uri",
                locationName: "webhookId"
              },
              branchName: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "webhook"
            ],
            members: {
              webhook: {
                shape: "S2q"
              }
            }
          }
        }
      },
      shapes: {
        S7: {
          type: "string",
          sensitive: true
        },
        S8: {
          type: "string",
          sensitive: true
        },
        S9: {
          type: "map",
          key: {},
          value: {}
        },
        Sf: {
          type: "string",
          sensitive: true
        },
        Sg: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "source",
              "target"
            ],
            members: {
              source: {},
              target: {},
              status: {},
              condition: {}
            }
          }
        },
        Sm: {
          type: "map",
          key: {},
          value: {}
        },
        Sp: {
          type: "string",
          sensitive: true
        },
        Ss: {
          type: "list",
          member: {}
        },
        Su: {
          type: "structure",
          members: {
            stage: {},
            framework: {},
            enableAutoBuild: {
              type: "boolean"
            },
            environmentVariables: {
              shape: "S9"
            },
            basicAuthCredentials: {
              shape: "Sf"
            },
            enableBasicAuth: {
              type: "boolean"
            },
            enablePerformanceMode: {
              type: "boolean"
            },
            buildSpec: {
              shape: "Sp"
            },
            enablePullRequestPreview: {
              type: "boolean"
            },
            pullRequestEnvironmentName: {}
          }
        },
        S12: {
          type: "structure",
          required: [
            "appId",
            "appArn",
            "name",
            "description",
            "repository",
            "platform",
            "createTime",
            "updateTime",
            "environmentVariables",
            "defaultDomain",
            "enableBranchAutoBuild",
            "enableBasicAuth"
          ],
          members: {
            appId: {},
            appArn: {},
            name: {},
            tags: {
              shape: "Sm"
            },
            description: {},
            repository: {},
            platform: {},
            createTime: {
              type: "timestamp"
            },
            updateTime: {
              type: "timestamp"
            },
            iamServiceRoleArn: {},
            environmentVariables: {
              shape: "S9"
            },
            defaultDomain: {},
            enableBranchAutoBuild: {
              type: "boolean"
            },
            enableBranchAutoDeletion: {
              type: "boolean"
            },
            enableBasicAuth: {
              type: "boolean"
            },
            basicAuthCredentials: {
              shape: "Sf"
            },
            customRules: {
              shape: "Sg"
            },
            productionBranch: {
              type: "structure",
              members: {
                lastDeployTime: {
                  type: "timestamp"
                },
                status: {},
                thumbnailUrl: {},
                branchName: {}
              }
            },
            buildSpec: {
              shape: "Sp"
            },
            customHeaders: {},
            enableAutoBranchCreation: {
              type: "boolean"
            },
            autoBranchCreationPatterns: {
              shape: "Ss"
            },
            autoBranchCreationConfig: {
              shape: "Su"
            },
            repositoryCloneMethod: {}
          }
        },
        S1i: {
          type: "structure",
          required: [
            "backendEnvironmentArn",
            "environmentName",
            "createTime",
            "updateTime"
          ],
          members: {
            backendEnvironmentArn: {},
            environmentName: {},
            stackName: {},
            deploymentArtifacts: {},
            createTime: {
              type: "timestamp"
            },
            updateTime: {
              type: "timestamp"
            }
          }
        },
        S1p: {
          type: "structure",
          required: [
            "branchArn",
            "branchName",
            "description",
            "stage",
            "displayName",
            "enableNotification",
            "createTime",
            "updateTime",
            "environmentVariables",
            "enableAutoBuild",
            "customDomains",
            "framework",
            "activeJobId",
            "totalNumberOfJobs",
            "enableBasicAuth",
            "ttl",
            "enablePullRequestPreview"
          ],
          members: {
            branchArn: {},
            branchName: {},
            description: {},
            tags: {
              shape: "Sm"
            },
            stage: {},
            displayName: {},
            enableNotification: {
              type: "boolean"
            },
            createTime: {
              type: "timestamp"
            },
            updateTime: {
              type: "timestamp"
            },
            environmentVariables: {
              shape: "S9"
            },
            enableAutoBuild: {
              type: "boolean"
            },
            customDomains: {
              type: "list",
              member: {}
            },
            framework: {},
            activeJobId: {},
            totalNumberOfJobs: {},
            enableBasicAuth: {
              type: "boolean"
            },
            enablePerformanceMode: {
              type: "boolean"
            },
            thumbnailUrl: {},
            basicAuthCredentials: {
              shape: "Sf"
            },
            buildSpec: {
              shape: "Sp"
            },
            ttl: {},
            associatedResources: {
              type: "list",
              member: {}
            },
            enablePullRequestPreview: {
              type: "boolean"
            },
            pullRequestEnvironmentName: {},
            destinationBranch: {},
            sourceBranch: {},
            backendEnvironmentArn: {}
          }
        },
        S28: {
          type: "list",
          member: {
            shape: "S29"
          }
        },
        S29: {
          type: "structure",
          required: [
            "prefix",
            "branchName"
          ],
          members: {
            prefix: {},
            branchName: {}
          }
        },
        S2b: {
          type: "list",
          member: {}
        },
        S2f: {
          type: "structure",
          required: [
            "domainAssociationArn",
            "domainName",
            "enableAutoSubDomain",
            "domainStatus",
            "statusReason",
            "subDomains"
          ],
          members: {
            domainAssociationArn: {},
            domainName: {},
            enableAutoSubDomain: {
              type: "boolean"
            },
            autoSubDomainCreationPatterns: {
              shape: "S2b"
            },
            autoSubDomainIAMRole: {},
            domainStatus: {},
            statusReason: {},
            certificateVerificationDNSRecord: {},
            subDomains: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "subDomainSetting",
                  "verified",
                  "dnsRecord"
                ],
                members: {
                  subDomainSetting: {
                    shape: "S29"
                  },
                  verified: {
                    type: "boolean"
                  },
                  dnsRecord: {}
                }
              }
            }
          }
        },
        S2q: {
          type: "structure",
          required: [
            "webhookArn",
            "webhookId",
            "webhookUrl",
            "branchName",
            "description",
            "createTime",
            "updateTime"
          ],
          members: {
            webhookArn: {},
            webhookId: {},
            webhookUrl: {},
            branchName: {},
            description: {},
            createTime: {
              type: "timestamp"
            },
            updateTime: {
              type: "timestamp"
            }
          }
        },
        S34: {
          type: "structure",
          required: [
            "jobArn",
            "jobId",
            "commitId",
            "commitMessage",
            "commitTime",
            "startTime",
            "status",
            "jobType"
          ],
          members: {
            jobArn: {},
            jobId: {},
            commitId: {},
            commitMessage: {},
            commitTime: {
              type: "timestamp"
            },
            startTime: {
              type: "timestamp"
            },
            status: {},
            endTime: {
              type: "timestamp"
            },
            jobType: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/amplify-2017-07-25.paginators.json
var require_amplify_2017_07_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/amplify-2017-07-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/amplify.js
var require_amplify = __commonJS({
  "node_modules/aws-sdk/clients/amplify.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["amplify"] = {};
    AWS2.Amplify = Service.defineService("amplify", ["2017-07-25"]);
    Object.defineProperty(apiLoader.services["amplify"], "2017-07-25", {
      get: function get() {
        var model = require_amplify_2017_07_25_min();
        model.paginators = require_amplify_2017_07_25_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Amplify;
  }
});

// node_modules/aws-sdk/apis/datasync-2018-11-09.min.json
var require_datasync_2018_11_09_min = __commonJS({
  "node_modules/aws-sdk/apis/datasync-2018-11-09.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-11-09",
        endpointPrefix: "datasync",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "DataSync",
        serviceFullName: "AWS DataSync",
        serviceId: "DataSync",
        signatureVersion: "v4",
        signingName: "datasync",
        targetPrefix: "FmrsService",
        uid: "datasync-2018-11-09"
      },
      operations: {
        AddStorageSystem: {
          input: {
            type: "structure",
            required: [
              "ServerConfiguration",
              "SystemType",
              "AgentArns",
              "ClientToken",
              "Credentials"
            ],
            members: {
              ServerConfiguration: {
                shape: "S2"
              },
              SystemType: {},
              AgentArns: {
                shape: "S6"
              },
              CloudWatchLogGroupArn: {},
              Tags: {
                shape: "S9"
              },
              Name: {},
              ClientToken: {
                idempotencyToken: true
              },
              Credentials: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "StorageSystemArn"
            ],
            members: {
              StorageSystemArn: {}
            }
          },
          endpoint: {
            hostPrefix: "discovery-"
          }
        },
        CancelTaskExecution: {
          input: {
            type: "structure",
            required: [
              "TaskExecutionArn"
            ],
            members: {
              TaskExecutionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateAgent: {
          input: {
            type: "structure",
            required: [
              "ActivationKey"
            ],
            members: {
              ActivationKey: {},
              AgentName: {},
              Tags: {
                shape: "S9"
              },
              VpcEndpointId: {},
              SubnetArns: {
                shape: "Sq"
              },
              SecurityGroupArns: {
                shape: "Ss"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AgentArn: {}
            }
          }
        },
        CreateLocationEfs: {
          input: {
            type: "structure",
            required: [
              "EfsFilesystemArn",
              "Ec2Config"
            ],
            members: {
              Subdirectory: {},
              EfsFilesystemArn: {},
              Ec2Config: {
                shape: "Sy"
              },
              Tags: {
                shape: "S9"
              },
              AccessPointArn: {},
              FileSystemAccessRoleArn: {},
              InTransitEncryption: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {}
            }
          }
        },
        CreateLocationFsxLustre: {
          input: {
            type: "structure",
            required: [
              "FsxFilesystemArn",
              "SecurityGroupArns"
            ],
            members: {
              FsxFilesystemArn: {},
              SecurityGroupArns: {
                shape: "Sz"
              },
              Subdirectory: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {}
            }
          }
        },
        CreateLocationFsxOntap: {
          input: {
            type: "structure",
            required: [
              "Protocol",
              "SecurityGroupArns",
              "StorageVirtualMachineArn"
            ],
            members: {
              Protocol: {
                shape: "S1a"
              },
              SecurityGroupArns: {
                shape: "Sz"
              },
              StorageVirtualMachineArn: {},
              Subdirectory: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {}
            }
          }
        },
        CreateLocationFsxOpenZfs: {
          input: {
            type: "structure",
            required: [
              "FsxFilesystemArn",
              "Protocol",
              "SecurityGroupArns"
            ],
            members: {
              FsxFilesystemArn: {},
              Protocol: {
                shape: "S1a"
              },
              SecurityGroupArns: {
                shape: "Sz"
              },
              Subdirectory: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {}
            }
          }
        },
        CreateLocationFsxWindows: {
          input: {
            type: "structure",
            required: [
              "FsxFilesystemArn",
              "SecurityGroupArns",
              "User",
              "Password"
            ],
            members: {
              Subdirectory: {},
              FsxFilesystemArn: {},
              SecurityGroupArns: {
                shape: "Sz"
              },
              Tags: {
                shape: "S9"
              },
              User: {},
              Domain: {},
              Password: {
                shape: "S1i"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {}
            }
          }
        },
        CreateLocationHdfs: {
          input: {
            type: "structure",
            required: [
              "NameNodes",
              "AuthenticationType",
              "AgentArns"
            ],
            members: {
              Subdirectory: {},
              NameNodes: {
                shape: "S1v"
              },
              BlockSize: {
                type: "integer"
              },
              ReplicationFactor: {
                type: "integer"
              },
              KmsKeyProviderUri: {},
              QopConfiguration: {
                shape: "S22"
              },
              AuthenticationType: {},
              SimpleUser: {},
              KerberosPrincipal: {},
              KerberosKeytab: {
                type: "blob"
              },
              KerberosKrb5Conf: {
                type: "blob"
              },
              AgentArns: {
                shape: "S2a"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {}
            }
          }
        },
        CreateLocationNfs: {
          input: {
            type: "structure",
            required: [
              "Subdirectory",
              "ServerHostname",
              "OnPremConfig"
            ],
            members: {
              Subdirectory: {},
              ServerHostname: {},
              OnPremConfig: {
                shape: "S2f"
              },
              MountOptions: {
                shape: "S1c"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {}
            }
          }
        },
        CreateLocationObjectStorage: {
          input: {
            type: "structure",
            required: [
              "ServerHostname",
              "BucketName",
              "AgentArns"
            ],
            members: {
              ServerHostname: {},
              ServerPort: {
                type: "integer"
              },
              ServerProtocol: {},
              Subdirectory: {},
              BucketName: {},
              AccessKey: {},
              SecretKey: {
                shape: "S2n"
              },
              AgentArns: {
                shape: "S2a"
              },
              Tags: {
                shape: "S9"
              },
              ServerCertificate: {
                type: "blob"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {}
            }
          }
        },
        CreateLocationS3: {
          input: {
            type: "structure",
            required: [
              "S3BucketArn",
              "S3Config"
            ],
            members: {
              Subdirectory: {},
              S3BucketArn: {},
              S3StorageClass: {},
              S3Config: {
                shape: "S2t"
              },
              AgentArns: {
                shape: "S2a"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {}
            }
          }
        },
        CreateLocationSmb: {
          input: {
            type: "structure",
            required: [
              "Subdirectory",
              "ServerHostname",
              "User",
              "Password",
              "AgentArns"
            ],
            members: {
              Subdirectory: {},
              ServerHostname: {},
              User: {},
              Domain: {},
              Password: {
                shape: "S1i"
              },
              AgentArns: {
                shape: "S2a"
              },
              MountOptions: {
                shape: "S1g"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {}
            }
          }
        },
        CreateTask: {
          input: {
            type: "structure",
            required: [
              "SourceLocationArn",
              "DestinationLocationArn"
            ],
            members: {
              SourceLocationArn: {},
              DestinationLocationArn: {},
              CloudWatchLogGroupArn: {},
              Name: {},
              Options: {
                shape: "S2z"
              },
              Excludes: {
                shape: "S3f"
              },
              Schedule: {
                shape: "S3j"
              },
              Tags: {
                shape: "S9"
              },
              Includes: {
                shape: "S3f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TaskArn: {}
            }
          }
        },
        DeleteAgent: {
          input: {
            type: "structure",
            required: [
              "AgentArn"
            ],
            members: {
              AgentArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteLocation: {
          input: {
            type: "structure",
            required: [
              "LocationArn"
            ],
            members: {
              LocationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteTask: {
          input: {
            type: "structure",
            required: [
              "TaskArn"
            ],
            members: {
              TaskArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeAgent: {
          input: {
            type: "structure",
            required: [
              "AgentArn"
            ],
            members: {
              AgentArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AgentArn: {},
              Name: {},
              Status: {},
              LastConnectionTime: {
                type: "timestamp"
              },
              CreationTime: {
                type: "timestamp"
              },
              EndpointType: {},
              PrivateLinkConfig: {
                type: "structure",
                members: {
                  VpcEndpointId: {},
                  PrivateLinkEndpoint: {},
                  SubnetArns: {
                    shape: "Sq"
                  },
                  SecurityGroupArns: {
                    shape: "Ss"
                  }
                }
              }
            }
          }
        },
        DescribeDiscoveryJob: {
          input: {
            type: "structure",
            required: [
              "DiscoveryJobArn"
            ],
            members: {
              DiscoveryJobArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StorageSystemArn: {},
              DiscoveryJobArn: {},
              CollectionDurationMinutes: {
                type: "integer"
              },
              Status: {},
              JobStartTime: {
                type: "timestamp"
              },
              JobEndTime: {
                type: "timestamp"
              }
            }
          },
          endpoint: {
            hostPrefix: "discovery-"
          }
        },
        DescribeLocationEfs: {
          input: {
            type: "structure",
            required: [
              "LocationArn"
            ],
            members: {
              LocationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {},
              LocationUri: {},
              Ec2Config: {
                shape: "Sy"
              },
              CreationTime: {
                type: "timestamp"
              },
              AccessPointArn: {},
              FileSystemAccessRoleArn: {},
              InTransitEncryption: {}
            }
          }
        },
        DescribeLocationFsxLustre: {
          input: {
            type: "structure",
            required: [
              "LocationArn"
            ],
            members: {
              LocationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {},
              LocationUri: {},
              SecurityGroupArns: {
                shape: "Sz"
              },
              CreationTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeLocationFsxOntap: {
          input: {
            type: "structure",
            required: [
              "LocationArn"
            ],
            members: {
              LocationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CreationTime: {
                type: "timestamp"
              },
              LocationArn: {},
              LocationUri: {},
              Protocol: {
                shape: "S1a"
              },
              SecurityGroupArns: {
                shape: "Sz"
              },
              StorageVirtualMachineArn: {},
              FsxFilesystemArn: {}
            }
          }
        },
        DescribeLocationFsxOpenZfs: {
          input: {
            type: "structure",
            required: [
              "LocationArn"
            ],
            members: {
              LocationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {},
              LocationUri: {},
              SecurityGroupArns: {
                shape: "Sz"
              },
              Protocol: {
                shape: "S1a"
              },
              CreationTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeLocationFsxWindows: {
          input: {
            type: "structure",
            required: [
              "LocationArn"
            ],
            members: {
              LocationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {},
              LocationUri: {},
              SecurityGroupArns: {
                shape: "Sz"
              },
              CreationTime: {
                type: "timestamp"
              },
              User: {},
              Domain: {}
            }
          }
        },
        DescribeLocationHdfs: {
          input: {
            type: "structure",
            required: [
              "LocationArn"
            ],
            members: {
              LocationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {},
              LocationUri: {},
              NameNodes: {
                shape: "S1v"
              },
              BlockSize: {
                type: "integer"
              },
              ReplicationFactor: {
                type: "integer"
              },
              KmsKeyProviderUri: {},
              QopConfiguration: {
                shape: "S22"
              },
              AuthenticationType: {},
              SimpleUser: {},
              KerberosPrincipal: {},
              AgentArns: {
                shape: "S2a"
              },
              CreationTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeLocationNfs: {
          input: {
            type: "structure",
            required: [
              "LocationArn"
            ],
            members: {
              LocationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {},
              LocationUri: {},
              OnPremConfig: {
                shape: "S2f"
              },
              MountOptions: {
                shape: "S1c"
              },
              CreationTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeLocationObjectStorage: {
          input: {
            type: "structure",
            required: [
              "LocationArn"
            ],
            members: {
              LocationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {},
              LocationUri: {},
              AccessKey: {},
              ServerPort: {
                type: "integer"
              },
              ServerProtocol: {},
              AgentArns: {
                shape: "S2a"
              },
              CreationTime: {
                type: "timestamp"
              },
              ServerCertificate: {
                type: "blob"
              }
            }
          }
        },
        DescribeLocationS3: {
          input: {
            type: "structure",
            required: [
              "LocationArn"
            ],
            members: {
              LocationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {},
              LocationUri: {},
              S3StorageClass: {},
              S3Config: {
                shape: "S2t"
              },
              AgentArns: {
                shape: "S2a"
              },
              CreationTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeLocationSmb: {
          input: {
            type: "structure",
            required: [
              "LocationArn"
            ],
            members: {
              LocationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LocationArn: {},
              LocationUri: {},
              AgentArns: {
                shape: "S2a"
              },
              User: {},
              Domain: {},
              MountOptions: {
                shape: "S1g"
              },
              CreationTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeStorageSystem: {
          input: {
            type: "structure",
            required: [
              "StorageSystemArn"
            ],
            members: {
              StorageSystemArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StorageSystemArn: {},
              ServerConfiguration: {
                shape: "S2"
              },
              SystemType: {},
              AgentArns: {
                shape: "S6"
              },
              Name: {},
              ErrorMessage: {},
              ConnectivityStatus: {},
              CloudWatchLogGroupArn: {},
              CreationTime: {
                type: "timestamp"
              },
              SecretsManagerArn: {}
            }
          },
          endpoint: {
            hostPrefix: "discovery-"
          }
        },
        DescribeStorageSystemResourceMetrics: {
          input: {
            type: "structure",
            required: [
              "DiscoveryJobArn",
              "ResourceType",
              "ResourceId"
            ],
            members: {
              DiscoveryJobArn: {},
              ResourceType: {},
              ResourceId: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Metrics: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Timestamp: {
                      type: "timestamp"
                    },
                    P95Metrics: {
                      type: "structure",
                      members: {
                        IOPS: {
                          type: "structure",
                          members: {
                            Read: {
                              type: "double"
                            },
                            Write: {
                              type: "double"
                            },
                            Other: {
                              type: "double"
                            },
                            Total: {
                              type: "double"
                            }
                          }
                        },
                        Throughput: {
                          type: "structure",
                          members: {
                            Read: {
                              type: "double"
                            },
                            Write: {
                              type: "double"
                            },
                            Other: {
                              type: "double"
                            },
                            Total: {
                              type: "double"
                            }
                          }
                        },
                        Latency: {
                          type: "structure",
                          members: {
                            Read: {
                              type: "double"
                            },
                            Write: {
                              type: "double"
                            },
                            Other: {
                              type: "double"
                            }
                          }
                        }
                      }
                    },
                    Capacity: {
                      type: "structure",
                      members: {
                        Used: {
                          type: "long"
                        },
                        Provisioned: {
                          type: "long"
                        },
                        LogicalUsed: {
                          type: "long"
                        }
                      }
                    },
                    ResourceId: {},
                    ResourceType: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "discovery-"
          }
        },
        DescribeStorageSystemResources: {
          input: {
            type: "structure",
            required: [
              "DiscoveryJobArn",
              "ResourceType"
            ],
            members: {
              DiscoveryJobArn: {},
              ResourceType: {},
              ResourceIds: {
                shape: "S5d"
              },
              Filter: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {}
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceDetails: {
                type: "structure",
                members: {
                  NetAppONTAPSVMs: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        ClusterUuid: {},
                        ResourceId: {},
                        SvmName: {},
                        CifsShareCount: {
                          type: "long"
                        },
                        EnabledProtocols: {
                          type: "list",
                          member: {}
                        },
                        TotalCapacityUsed: {
                          type: "long"
                        },
                        TotalCapacityProvisioned: {
                          type: "long"
                        },
                        TotalLogicalCapacityUsed: {
                          type: "long"
                        },
                        MaxP95Performance: {
                          shape: "S5n"
                        },
                        Recommendations: {
                          shape: "S5o"
                        },
                        NfsExportedVolumes: {
                          type: "long"
                        },
                        RecommendationStatus: {},
                        TotalSnapshotCapacityUsed: {
                          type: "long"
                        }
                      }
                    }
                  },
                  NetAppONTAPVolumes: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        VolumeName: {},
                        ResourceId: {},
                        CifsShareCount: {
                          type: "long"
                        },
                        SecurityStyle: {},
                        SvmUuid: {},
                        SvmName: {},
                        CapacityUsed: {
                          type: "long"
                        },
                        CapacityProvisioned: {
                          type: "long"
                        },
                        LogicalCapacityUsed: {
                          type: "long"
                        },
                        NfsExported: {
                          type: "boolean"
                        },
                        SnapshotCapacityUsed: {
                          type: "long"
                        },
                        MaxP95Performance: {
                          shape: "S5n"
                        },
                        Recommendations: {
                          shape: "S5o"
                        },
                        RecommendationStatus: {}
                      }
                    }
                  },
                  NetAppONTAPClusters: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        CifsShareCount: {
                          type: "long"
                        },
                        NfsExportedVolumes: {
                          type: "long"
                        },
                        ResourceId: {},
                        ClusterName: {},
                        MaxP95Performance: {
                          shape: "S5n"
                        },
                        ClusterBlockStorageSize: {
                          type: "long"
                        },
                        ClusterBlockStorageUsed: {
                          type: "long"
                        },
                        ClusterBlockStorageLogicalUsed: {
                          type: "long"
                        },
                        Recommendations: {
                          shape: "S5o"
                        },
                        RecommendationStatus: {}
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "discovery-"
          }
        },
        DescribeTask: {
          input: {
            type: "structure",
            required: [
              "TaskArn"
            ],
            members: {
              TaskArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TaskArn: {},
              Status: {},
              Name: {},
              CurrentTaskExecutionArn: {},
              SourceLocationArn: {},
              DestinationLocationArn: {},
              CloudWatchLogGroupArn: {},
              SourceNetworkInterfaceArns: {
                type: "list",
                member: {}
              },
              DestinationNetworkInterfaceArns: {
                type: "list",
                member: {}
              },
              Options: {
                shape: "S2z"
              },
              Excludes: {
                shape: "S3f"
              },
              Schedule: {
                shape: "S3j"
              },
              ErrorCode: {},
              ErrorDetail: {},
              CreationTime: {
                type: "timestamp"
              },
              Includes: {
                shape: "S3f"
              }
            }
          }
        },
        DescribeTaskExecution: {
          input: {
            type: "structure",
            required: [
              "TaskExecutionArn"
            ],
            members: {
              TaskExecutionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TaskExecutionArn: {},
              Status: {},
              Options: {
                shape: "S2z"
              },
              Excludes: {
                shape: "S3f"
              },
              Includes: {
                shape: "S3f"
              },
              StartTime: {
                type: "timestamp"
              },
              EstimatedFilesToTransfer: {
                type: "long"
              },
              EstimatedBytesToTransfer: {
                type: "long"
              },
              FilesTransferred: {
                type: "long"
              },
              BytesWritten: {
                type: "long"
              },
              BytesTransferred: {
                type: "long"
              },
              Result: {
                type: "structure",
                members: {
                  PrepareDuration: {
                    type: "long"
                  },
                  PrepareStatus: {},
                  TotalDuration: {
                    type: "long"
                  },
                  TransferDuration: {
                    type: "long"
                  },
                  TransferStatus: {},
                  VerifyDuration: {
                    type: "long"
                  },
                  VerifyStatus: {},
                  ErrorCode: {},
                  ErrorDetail: {}
                }
              },
              BytesCompressed: {
                type: "long"
              }
            }
          }
        },
        GenerateRecommendations: {
          input: {
            type: "structure",
            required: [
              "DiscoveryJobArn",
              "ResourceIds",
              "ResourceType"
            ],
            members: {
              DiscoveryJobArn: {},
              ResourceIds: {
                shape: "S5d"
              },
              ResourceType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "discovery-"
          }
        },
        ListAgents: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Agents: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AgentArn: {},
                    Name: {},
                    Status: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDiscoveryJobs: {
          input: {
            type: "structure",
            members: {
              StorageSystemArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DiscoveryJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DiscoveryJobArn: {},
                    Status: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "discovery-"
          }
        },
        ListLocations: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Values",
                    "Operator"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      shape: "S6r"
                    },
                    Operator: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Locations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LocationArn: {},
                    LocationUri: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListStorageSystems: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StorageSystems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StorageSystemArn: {},
                    Name: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "discovery-"
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                type: "list",
                member: {
                  shape: "Sa"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTaskExecutions: {
          input: {
            type: "structure",
            members: {
              TaskArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TaskExecutions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TaskExecutionArn: {},
                    Status: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTasks: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Values",
                    "Operator"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      shape: "S6r"
                    },
                    Operator: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tasks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TaskArn: {},
                    Status: {},
                    Name: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        RemoveStorageSystem: {
          input: {
            type: "structure",
            required: [
              "StorageSystemArn"
            ],
            members: {
              StorageSystemArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "discovery-"
          }
        },
        StartDiscoveryJob: {
          input: {
            type: "structure",
            required: [
              "StorageSystemArn",
              "CollectionDurationMinutes",
              "ClientToken"
            ],
            members: {
              StorageSystemArn: {},
              CollectionDurationMinutes: {
                type: "integer"
              },
              ClientToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DiscoveryJobArn: {}
            }
          },
          endpoint: {
            hostPrefix: "discovery-"
          }
        },
        StartTaskExecution: {
          input: {
            type: "structure",
            required: [
              "TaskArn"
            ],
            members: {
              TaskArn: {},
              OverrideOptions: {
                shape: "S2z"
              },
              Includes: {
                shape: "S3f"
              },
              Excludes: {
                shape: "S3f"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TaskExecutionArn: {}
            }
          }
        },
        StopDiscoveryJob: {
          input: {
            type: "structure",
            required: [
              "DiscoveryJobArn"
            ],
            members: {
              DiscoveryJobArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "discovery-"
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Keys"
            ],
            members: {
              ResourceArn: {},
              Keys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAgent: {
          input: {
            type: "structure",
            required: [
              "AgentArn"
            ],
            members: {
              AgentArn: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDiscoveryJob: {
          input: {
            type: "structure",
            required: [
              "DiscoveryJobArn",
              "CollectionDurationMinutes"
            ],
            members: {
              DiscoveryJobArn: {},
              CollectionDurationMinutes: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "discovery-"
          }
        },
        UpdateLocationHdfs: {
          input: {
            type: "structure",
            required: [
              "LocationArn"
            ],
            members: {
              LocationArn: {},
              Subdirectory: {},
              NameNodes: {
                shape: "S1v"
              },
              BlockSize: {
                type: "integer"
              },
              ReplicationFactor: {
                type: "integer"
              },
              KmsKeyProviderUri: {},
              QopConfiguration: {
                shape: "S22"
              },
              AuthenticationType: {},
              SimpleUser: {},
              KerberosPrincipal: {},
              KerberosKeytab: {
                type: "blob"
              },
              KerberosKrb5Conf: {
                type: "blob"
              },
              AgentArns: {
                shape: "S2a"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateLocationNfs: {
          input: {
            type: "structure",
            required: [
              "LocationArn"
            ],
            members: {
              LocationArn: {},
              Subdirectory: {},
              OnPremConfig: {
                shape: "S2f"
              },
              MountOptions: {
                shape: "S1c"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateLocationObjectStorage: {
          input: {
            type: "structure",
            required: [
              "LocationArn"
            ],
            members: {
              LocationArn: {},
              ServerPort: {
                type: "integer"
              },
              ServerProtocol: {},
              Subdirectory: {},
              AccessKey: {},
              SecretKey: {
                shape: "S2n"
              },
              AgentArns: {
                shape: "S2a"
              },
              ServerCertificate: {
                type: "blob"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateLocationSmb: {
          input: {
            type: "structure",
            required: [
              "LocationArn"
            ],
            members: {
              LocationArn: {},
              Subdirectory: {},
              User: {},
              Domain: {},
              Password: {
                shape: "S1i"
              },
              AgentArns: {
                shape: "S2a"
              },
              MountOptions: {
                shape: "S1g"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateStorageSystem: {
          input: {
            type: "structure",
            required: [
              "StorageSystemArn"
            ],
            members: {
              StorageSystemArn: {},
              ServerConfiguration: {
                shape: "S2"
              },
              AgentArns: {
                shape: "S6"
              },
              Name: {},
              CloudWatchLogGroupArn: {},
              Credentials: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "discovery-"
          }
        },
        UpdateTask: {
          input: {
            type: "structure",
            required: [
              "TaskArn"
            ],
            members: {
              TaskArn: {},
              Options: {
                shape: "S2z"
              },
              Excludes: {
                shape: "S3f"
              },
              Schedule: {
                shape: "S3j"
              },
              Name: {},
              CloudWatchLogGroupArn: {},
              Includes: {
                shape: "S3f"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateTaskExecution: {
          input: {
            type: "structure",
            required: [
              "TaskExecutionArn",
              "Options"
            ],
            members: {
              TaskExecutionArn: {},
              Options: {
                shape: "S2z"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S2: {
          type: "structure",
          required: [
            "ServerHostname"
          ],
          members: {
            ServerHostname: {},
            ServerPort: {
              type: "integer"
            }
          }
        },
        S6: {
          type: "list",
          member: {}
        },
        S9: {
          type: "list",
          member: {
            shape: "Sa"
          }
        },
        Sa: {
          type: "structure",
          required: [
            "Key"
          ],
          members: {
            Key: {},
            Value: {}
          }
        },
        Sf: {
          type: "structure",
          required: [
            "Username",
            "Password"
          ],
          members: {
            Username: {
              type: "string",
              sensitive: true
            },
            Password: {
              type: "string",
              sensitive: true
            }
          }
        },
        Sq: {
          type: "list",
          member: {}
        },
        Ss: {
          type: "list",
          member: {}
        },
        Sy: {
          type: "structure",
          required: [
            "SubnetArn",
            "SecurityGroupArns"
          ],
          members: {
            SubnetArn: {},
            SecurityGroupArns: {
              shape: "Sz"
            }
          }
        },
        Sz: {
          type: "list",
          member: {}
        },
        S1a: {
          type: "structure",
          members: {
            NFS: {
              type: "structure",
              members: {
                MountOptions: {
                  shape: "S1c"
                }
              }
            },
            SMB: {
              type: "structure",
              required: [
                "Password",
                "User"
              ],
              members: {
                Domain: {},
                MountOptions: {
                  shape: "S1g"
                },
                Password: {
                  shape: "S1i"
                },
                User: {}
              }
            }
          }
        },
        S1c: {
          type: "structure",
          members: {
            Version: {}
          }
        },
        S1g: {
          type: "structure",
          members: {
            Version: {}
          }
        },
        S1i: {
          type: "string",
          sensitive: true
        },
        S1v: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Hostname",
              "Port"
            ],
            members: {
              Hostname: {},
              Port: {
                type: "integer"
              }
            }
          }
        },
        S22: {
          type: "structure",
          members: {
            RpcProtection: {},
            DataTransferProtection: {}
          }
        },
        S2a: {
          type: "list",
          member: {}
        },
        S2f: {
          type: "structure",
          required: [
            "AgentArns"
          ],
          members: {
            AgentArns: {
              shape: "S2a"
            }
          }
        },
        S2n: {
          type: "string",
          sensitive: true
        },
        S2t: {
          type: "structure",
          required: [
            "BucketAccessRoleArn"
          ],
          members: {
            BucketAccessRoleArn: {}
          }
        },
        S2z: {
          type: "structure",
          members: {
            VerifyMode: {},
            OverwriteMode: {},
            Atime: {},
            Mtime: {},
            Uid: {},
            Gid: {},
            PreserveDeletedFiles: {},
            PreserveDevices: {},
            PosixPermissions: {},
            BytesPerSecond: {
              type: "long"
            },
            TaskQueueing: {},
            LogLevel: {},
            TransferMode: {},
            SecurityDescriptorCopyFlags: {},
            ObjectTags: {}
          }
        },
        S3f: {
          type: "list",
          member: {
            type: "structure",
            members: {
              FilterType: {},
              Value: {}
            }
          }
        },
        S3j: {
          type: "structure",
          required: [
            "ScheduleExpression"
          ],
          members: {
            ScheduleExpression: {}
          }
        },
        S5d: {
          type: "list",
          member: {}
        },
        S5n: {
          type: "structure",
          members: {
            IopsRead: {
              type: "double"
            },
            IopsWrite: {
              type: "double"
            },
            IopsOther: {
              type: "double"
            },
            IopsTotal: {
              type: "double"
            },
            ThroughputRead: {
              type: "double"
            },
            ThroughputWrite: {
              type: "double"
            },
            ThroughputOther: {
              type: "double"
            },
            ThroughputTotal: {
              type: "double"
            },
            LatencyRead: {
              type: "double"
            },
            LatencyWrite: {
              type: "double"
            },
            LatencyOther: {
              type: "double"
            }
          }
        },
        S5o: {
          type: "list",
          member: {
            type: "structure",
            members: {
              StorageType: {},
              StorageConfiguration: {
                type: "map",
                key: {},
                value: {}
              },
              EstimatedMonthlyStorageCost: {}
            }
          }
        },
        S6r: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/datasync-2018-11-09.paginators.json
var require_datasync_2018_11_09_paginators = __commonJS({
  "node_modules/aws-sdk/apis/datasync-2018-11-09.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeStorageSystemResourceMetrics: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Metrics"
        },
        DescribeStorageSystemResources: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAgents: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Agents"
        },
        ListDiscoveryJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DiscoveryJobs"
        },
        ListLocations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Locations"
        },
        ListStorageSystems: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "StorageSystems"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Tags"
        },
        ListTaskExecutions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "TaskExecutions"
        },
        ListTasks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Tasks"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/datasync.js
var require_datasync = __commonJS({
  "node_modules/aws-sdk/clients/datasync.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["datasync"] = {};
    AWS2.DataSync = Service.defineService("datasync", ["2018-11-09"]);
    Object.defineProperty(apiLoader.services["datasync"], "2018-11-09", {
      get: function get() {
        var model = require_datasync_2018_11_09_min();
        model.paginators = require_datasync_2018_11_09_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.DataSync;
  }
});

// node_modules/aws-sdk/apis/robomaker-2018-06-29.min.json
var require_robomaker_2018_06_29_min = __commonJS({
  "node_modules/aws-sdk/apis/robomaker-2018-06-29.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-06-29",
        endpointPrefix: "robomaker",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "RoboMaker",
        serviceFullName: "AWS RoboMaker",
        serviceId: "RoboMaker",
        signatureVersion: "v4",
        signingName: "robomaker",
        uid: "robomaker-2018-06-29"
      },
      operations: {
        BatchDeleteWorlds: {
          http: {
            requestUri: "/batchDeleteWorlds"
          },
          input: {
            type: "structure",
            required: [
              "worlds"
            ],
            members: {
              worlds: {
                shape: "S2"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              unprocessedWorlds: {
                shape: "S2"
              }
            }
          }
        },
        BatchDescribeSimulationJob: {
          http: {
            requestUri: "/batchDescribeSimulationJob"
          },
          input: {
            type: "structure",
            required: [
              "jobs"
            ],
            members: {
              jobs: {
                shape: "S2"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    name: {},
                    status: {},
                    lastStartedAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    failureBehavior: {},
                    failureCode: {},
                    failureReason: {},
                    clientRequestToken: {},
                    outputLocation: {
                      shape: "Sh"
                    },
                    loggingConfig: {
                      shape: "Sk"
                    },
                    maxJobDurationInSeconds: {
                      type: "long"
                    },
                    simulationTimeMillis: {
                      type: "long"
                    },
                    iamRole: {},
                    robotApplications: {
                      shape: "Sp"
                    },
                    simulationApplications: {
                      shape: "S1d"
                    },
                    dataSources: {
                      shape: "S1h"
                    },
                    tags: {
                      shape: "S1o"
                    },
                    vpcConfig: {
                      shape: "S1r"
                    },
                    networkInterface: {
                      shape: "S1u"
                    },
                    compute: {
                      shape: "S1v"
                    }
                  }
                }
              },
              unprocessedJobs: {
                shape: "S2"
              }
            }
          }
        },
        CancelDeploymentJob: {
          http: {
            requestUri: "/cancelDeploymentJob"
          },
          input: {
            type: "structure",
            required: [
              "job"
            ],
            members: {
              job: {}
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          output: {
            type: "structure",
            members: {},
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          deprecated: true,
          deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
        },
        CancelSimulationJob: {
          http: {
            requestUri: "/cancelSimulationJob"
          },
          input: {
            type: "structure",
            required: [
              "job"
            ],
            members: {
              job: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CancelSimulationJobBatch: {
          http: {
            requestUri: "/cancelSimulationJobBatch"
          },
          input: {
            type: "structure",
            required: [
              "batch"
            ],
            members: {
              batch: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CancelWorldExportJob: {
          http: {
            requestUri: "/cancelWorldExportJob"
          },
          input: {
            type: "structure",
            required: [
              "job"
            ],
            members: {
              job: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CancelWorldGenerationJob: {
          http: {
            requestUri: "/cancelWorldGenerationJob"
          },
          input: {
            type: "structure",
            required: [
              "job"
            ],
            members: {
              job: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateDeploymentJob: {
          http: {
            requestUri: "/createDeploymentJob"
          },
          input: {
            type: "structure",
            required: [
              "clientRequestToken",
              "fleet",
              "deploymentApplicationConfigs"
            ],
            members: {
              deploymentConfig: {
                shape: "S2a"
              },
              clientRequestToken: {
                idempotencyToken: true
              },
              fleet: {},
              deploymentApplicationConfigs: {
                shape: "S2e"
              },
              tags: {
                shape: "S1o"
              }
            },
            deprecated: true,
            deprecatedMessage: "AWS RoboMaker is unable to process this request as the support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              fleet: {},
              status: {},
              deploymentApplicationConfigs: {
                shape: "S2e"
              },
              failureReason: {},
              failureCode: {},
              createdAt: {
                type: "timestamp"
              },
              deploymentConfig: {
                shape: "S2a"
              },
              tags: {
                shape: "S1o"
              }
            },
            deprecated: true,
            deprecatedMessage: "AWS RoboMaker is unable to process this request as the support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          deprecated: true,
          deprecatedMessage: "AWS RoboMaker is unable to process this request as the support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
        },
        CreateFleet: {
          http: {
            requestUri: "/createFleet"
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              tags: {
                shape: "S1o"
              }
            },
            deprecated: true,
            deprecatedMessage: "AWS RoboMaker is unable to process this request as the support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              name: {},
              createdAt: {
                type: "timestamp"
              },
              tags: {
                shape: "S1o"
              }
            },
            deprecated: true,
            deprecatedMessage: "AWS RoboMaker is unable to process this request as the support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          deprecated: true,
          deprecatedMessage: "AWS RoboMaker is unable to process this request as the support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
        },
        CreateRobot: {
          http: {
            requestUri: "/createRobot"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "architecture",
              "greengrassGroupId"
            ],
            members: {
              name: {},
              architecture: {},
              greengrassGroupId: {},
              tags: {
                shape: "S1o"
              }
            },
            deprecated: true,
            deprecatedMessage: "AWS RoboMaker is unable to process this request as the support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              name: {},
              createdAt: {
                type: "timestamp"
              },
              greengrassGroupId: {},
              architecture: {},
              tags: {
                shape: "S1o"
              }
            },
            deprecated: true,
            deprecatedMessage: "AWS RoboMaker is unable to process this request as the support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          deprecated: true,
          deprecatedMessage: "AWS RoboMaker is unable to process this request as the support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
        },
        CreateRobotApplication: {
          http: {
            requestUri: "/createRobotApplication"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "robotSoftwareSuite"
            ],
            members: {
              name: {},
              sources: {
                shape: "S2t"
              },
              robotSoftwareSuite: {
                shape: "S2v"
              },
              tags: {
                shape: "S1o"
              },
              environment: {
                shape: "S2y"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              name: {},
              version: {},
              sources: {
                shape: "S31"
              },
              robotSoftwareSuite: {
                shape: "S2v"
              },
              lastUpdatedAt: {
                type: "timestamp"
              },
              revisionId: {},
              tags: {
                shape: "S1o"
              },
              environment: {
                shape: "S2y"
              }
            }
          }
        },
        CreateRobotApplicationVersion: {
          http: {
            requestUri: "/createRobotApplicationVersion"
          },
          input: {
            type: "structure",
            required: [
              "application"
            ],
            members: {
              application: {},
              currentRevisionId: {},
              s3Etags: {
                shape: "S35"
              },
              imageDigest: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              name: {},
              version: {},
              sources: {
                shape: "S31"
              },
              robotSoftwareSuite: {
                shape: "S2v"
              },
              lastUpdatedAt: {
                type: "timestamp"
              },
              revisionId: {},
              environment: {
                shape: "S2y"
              }
            }
          }
        },
        CreateSimulationApplication: {
          http: {
            requestUri: "/createSimulationApplication"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "simulationSoftwareSuite",
              "robotSoftwareSuite"
            ],
            members: {
              name: {},
              sources: {
                shape: "S2t"
              },
              simulationSoftwareSuite: {
                shape: "S39"
              },
              robotSoftwareSuite: {
                shape: "S2v"
              },
              renderingEngine: {
                shape: "S3c"
              },
              tags: {
                shape: "S1o"
              },
              environment: {
                shape: "S2y"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              name: {},
              version: {},
              sources: {
                shape: "S31"
              },
              simulationSoftwareSuite: {
                shape: "S39"
              },
              robotSoftwareSuite: {
                shape: "S2v"
              },
              renderingEngine: {
                shape: "S3c"
              },
              lastUpdatedAt: {
                type: "timestamp"
              },
              revisionId: {},
              tags: {
                shape: "S1o"
              },
              environment: {
                shape: "S2y"
              }
            }
          }
        },
        CreateSimulationApplicationVersion: {
          http: {
            requestUri: "/createSimulationApplicationVersion"
          },
          input: {
            type: "structure",
            required: [
              "application"
            ],
            members: {
              application: {},
              currentRevisionId: {},
              s3Etags: {
                shape: "S35"
              },
              imageDigest: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              name: {},
              version: {},
              sources: {
                shape: "S31"
              },
              simulationSoftwareSuite: {
                shape: "S39"
              },
              robotSoftwareSuite: {
                shape: "S2v"
              },
              renderingEngine: {
                shape: "S3c"
              },
              lastUpdatedAt: {
                type: "timestamp"
              },
              revisionId: {},
              environment: {
                shape: "S2y"
              }
            }
          }
        },
        CreateSimulationJob: {
          http: {
            requestUri: "/createSimulationJob"
          },
          input: {
            type: "structure",
            required: [
              "maxJobDurationInSeconds",
              "iamRole"
            ],
            members: {
              clientRequestToken: {
                idempotencyToken: true
              },
              outputLocation: {
                shape: "Sh"
              },
              loggingConfig: {
                shape: "Sk"
              },
              maxJobDurationInSeconds: {
                type: "long"
              },
              iamRole: {},
              failureBehavior: {},
              robotApplications: {
                shape: "Sp"
              },
              simulationApplications: {
                shape: "S1d"
              },
              dataSources: {
                shape: "S3j"
              },
              tags: {
                shape: "S1o"
              },
              vpcConfig: {
                shape: "S3m"
              },
              compute: {
                shape: "S3n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              status: {},
              lastStartedAt: {
                type: "timestamp"
              },
              lastUpdatedAt: {
                type: "timestamp"
              },
              failureBehavior: {},
              failureCode: {},
              clientRequestToken: {},
              outputLocation: {
                shape: "Sh"
              },
              loggingConfig: {
                shape: "Sk"
              },
              maxJobDurationInSeconds: {
                type: "long"
              },
              simulationTimeMillis: {
                type: "long"
              },
              iamRole: {},
              robotApplications: {
                shape: "Sp"
              },
              simulationApplications: {
                shape: "S1d"
              },
              dataSources: {
                shape: "S1h"
              },
              tags: {
                shape: "S1o"
              },
              vpcConfig: {
                shape: "S1r"
              },
              compute: {
                shape: "S1v"
              }
            }
          }
        },
        CreateWorldExportJob: {
          http: {
            requestUri: "/createWorldExportJob"
          },
          input: {
            type: "structure",
            required: [
              "worlds",
              "outputLocation",
              "iamRole"
            ],
            members: {
              clientRequestToken: {
                idempotencyToken: true
              },
              worlds: {
                shape: "S2"
              },
              outputLocation: {
                shape: "Sh"
              },
              iamRole: {},
              tags: {
                shape: "S1o"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              status: {},
              createdAt: {
                type: "timestamp"
              },
              failureCode: {},
              clientRequestToken: {},
              outputLocation: {
                shape: "Sh"
              },
              iamRole: {},
              tags: {
                shape: "S1o"
              }
            }
          }
        },
        CreateWorldGenerationJob: {
          http: {
            requestUri: "/createWorldGenerationJob"
          },
          input: {
            type: "structure",
            required: [
              "template",
              "worldCount"
            ],
            members: {
              clientRequestToken: {
                idempotencyToken: true
              },
              template: {},
              worldCount: {
                shape: "S3u"
              },
              tags: {
                shape: "S1o"
              },
              worldTags: {
                shape: "S1o"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              status: {},
              createdAt: {
                type: "timestamp"
              },
              failureCode: {},
              clientRequestToken: {},
              template: {},
              worldCount: {
                shape: "S3u"
              },
              tags: {
                shape: "S1o"
              },
              worldTags: {
                shape: "S1o"
              }
            }
          }
        },
        CreateWorldTemplate: {
          http: {
            requestUri: "/createWorldTemplate"
          },
          input: {
            type: "structure",
            members: {
              clientRequestToken: {},
              name: {},
              templateBody: {},
              templateLocation: {
                shape: "S43"
              },
              tags: {
                shape: "S1o"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              clientRequestToken: {},
              createdAt: {
                type: "timestamp"
              },
              name: {},
              tags: {
                shape: "S1o"
              }
            }
          }
        },
        DeleteFleet: {
          http: {
            requestUri: "/deleteFleet"
          },
          input: {
            type: "structure",
            required: [
              "fleet"
            ],
            members: {
              fleet: {}
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          output: {
            type: "structure",
            members: {},
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          deprecated: true,
          deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
        },
        DeleteRobot: {
          http: {
            requestUri: "/deleteRobot"
          },
          input: {
            type: "structure",
            required: [
              "robot"
            ],
            members: {
              robot: {}
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          output: {
            type: "structure",
            members: {},
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          deprecated: true,
          deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
        },
        DeleteRobotApplication: {
          http: {
            requestUri: "/deleteRobotApplication"
          },
          input: {
            type: "structure",
            required: [
              "application"
            ],
            members: {
              application: {},
              applicationVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSimulationApplication: {
          http: {
            requestUri: "/deleteSimulationApplication"
          },
          input: {
            type: "structure",
            required: [
              "application"
            ],
            members: {
              application: {},
              applicationVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteWorldTemplate: {
          http: {
            requestUri: "/deleteWorldTemplate"
          },
          input: {
            type: "structure",
            required: [
              "template"
            ],
            members: {
              template: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeregisterRobot: {
          http: {
            requestUri: "/deregisterRobot"
          },
          input: {
            type: "structure",
            required: [
              "fleet",
              "robot"
            ],
            members: {
              fleet: {},
              robot: {}
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          output: {
            type: "structure",
            members: {
              fleet: {},
              robot: {}
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          deprecated: true,
          deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
        },
        DescribeDeploymentJob: {
          http: {
            requestUri: "/describeDeploymentJob"
          },
          input: {
            type: "structure",
            required: [
              "job"
            ],
            members: {
              job: {}
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              fleet: {},
              status: {},
              deploymentConfig: {
                shape: "S2a"
              },
              deploymentApplicationConfigs: {
                shape: "S2e"
              },
              failureReason: {},
              failureCode: {},
              createdAt: {
                type: "timestamp"
              },
              robotDeploymentSummary: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    deploymentStartTime: {
                      type: "timestamp"
                    },
                    deploymentFinishTime: {
                      type: "timestamp"
                    },
                    status: {},
                    progressDetail: {
                      type: "structure",
                      members: {
                        currentProgress: {},
                        percentDone: {
                          type: "float"
                        },
                        estimatedTimeRemainingSeconds: {
                          type: "integer"
                        },
                        targetResource: {}
                      }
                    },
                    failureReason: {},
                    failureCode: {}
                  }
                }
              },
              tags: {
                shape: "S1o"
              }
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          deprecated: true,
          deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
        },
        DescribeFleet: {
          http: {
            requestUri: "/describeFleet"
          },
          input: {
            type: "structure",
            required: [
              "fleet"
            ],
            members: {
              fleet: {}
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          output: {
            type: "structure",
            members: {
              name: {},
              arn: {},
              robots: {
                shape: "S4s"
              },
              createdAt: {
                type: "timestamp"
              },
              lastDeploymentStatus: {},
              lastDeploymentJob: {},
              lastDeploymentTime: {
                type: "timestamp"
              },
              tags: {
                shape: "S1o"
              }
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          deprecated: true,
          deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
        },
        DescribeRobot: {
          http: {
            requestUri: "/describeRobot"
          },
          input: {
            type: "structure",
            required: [
              "robot"
            ],
            members: {
              robot: {}
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              name: {},
              fleetArn: {},
              status: {},
              greengrassGroupId: {},
              createdAt: {
                type: "timestamp"
              },
              architecture: {},
              lastDeploymentJob: {},
              lastDeploymentTime: {
                type: "timestamp"
              },
              tags: {
                shape: "S1o"
              }
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          deprecated: true,
          deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
        },
        DescribeRobotApplication: {
          http: {
            requestUri: "/describeRobotApplication"
          },
          input: {
            type: "structure",
            required: [
              "application"
            ],
            members: {
              application: {},
              applicationVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              name: {},
              version: {},
              sources: {
                shape: "S31"
              },
              robotSoftwareSuite: {
                shape: "S2v"
              },
              revisionId: {},
              lastUpdatedAt: {
                type: "timestamp"
              },
              tags: {
                shape: "S1o"
              },
              environment: {
                shape: "S2y"
              },
              imageDigest: {}
            }
          }
        },
        DescribeSimulationApplication: {
          http: {
            requestUri: "/describeSimulationApplication"
          },
          input: {
            type: "structure",
            required: [
              "application"
            ],
            members: {
              application: {},
              applicationVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              name: {},
              version: {},
              sources: {
                shape: "S31"
              },
              simulationSoftwareSuite: {
                shape: "S39"
              },
              robotSoftwareSuite: {
                shape: "S2v"
              },
              renderingEngine: {
                shape: "S3c"
              },
              revisionId: {},
              lastUpdatedAt: {
                type: "timestamp"
              },
              tags: {
                shape: "S1o"
              },
              environment: {
                shape: "S2y"
              },
              imageDigest: {}
            }
          }
        },
        DescribeSimulationJob: {
          http: {
            requestUri: "/describeSimulationJob"
          },
          input: {
            type: "structure",
            required: [
              "job"
            ],
            members: {
              job: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              name: {},
              status: {},
              lastStartedAt: {
                type: "timestamp"
              },
              lastUpdatedAt: {
                type: "timestamp"
              },
              failureBehavior: {},
              failureCode: {},
              failureReason: {},
              clientRequestToken: {},
              outputLocation: {
                shape: "Sh"
              },
              loggingConfig: {
                shape: "Sk"
              },
              maxJobDurationInSeconds: {
                type: "long"
              },
              simulationTimeMillis: {
                type: "long"
              },
              iamRole: {},
              robotApplications: {
                shape: "Sp"
              },
              simulationApplications: {
                shape: "S1d"
              },
              dataSources: {
                shape: "S1h"
              },
              tags: {
                shape: "S1o"
              },
              vpcConfig: {
                shape: "S1r"
              },
              networkInterface: {
                shape: "S1u"
              },
              compute: {
                shape: "S1v"
              }
            }
          }
        },
        DescribeSimulationJobBatch: {
          http: {
            requestUri: "/describeSimulationJobBatch"
          },
          input: {
            type: "structure",
            required: [
              "batch"
            ],
            members: {
              batch: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              status: {},
              lastUpdatedAt: {
                type: "timestamp"
              },
              createdAt: {
                type: "timestamp"
              },
              clientRequestToken: {},
              batchPolicy: {
                shape: "S55"
              },
              failureCode: {},
              failureReason: {},
              failedRequests: {
                shape: "S59"
              },
              pendingRequests: {
                shape: "S5d"
              },
              createdRequests: {
                shape: "S5e"
              },
              tags: {
                shape: "S1o"
              }
            }
          }
        },
        DescribeWorld: {
          http: {
            requestUri: "/describeWorld"
          },
          input: {
            type: "structure",
            required: [
              "world"
            ],
            members: {
              world: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              generationJob: {},
              template: {},
              createdAt: {
                type: "timestamp"
              },
              tags: {
                shape: "S1o"
              },
              worldDescriptionBody: {}
            }
          }
        },
        DescribeWorldExportJob: {
          http: {
            requestUri: "/describeWorldExportJob"
          },
          input: {
            type: "structure",
            required: [
              "job"
            ],
            members: {
              job: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              status: {},
              createdAt: {
                type: "timestamp"
              },
              failureCode: {},
              failureReason: {},
              clientRequestToken: {},
              worlds: {
                shape: "S2"
              },
              outputLocation: {
                shape: "Sh"
              },
              iamRole: {},
              tags: {
                shape: "S1o"
              }
            }
          }
        },
        DescribeWorldGenerationJob: {
          http: {
            requestUri: "/describeWorldGenerationJob"
          },
          input: {
            type: "structure",
            required: [
              "job"
            ],
            members: {
              job: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              status: {},
              createdAt: {
                type: "timestamp"
              },
              failureCode: {},
              failureReason: {},
              clientRequestToken: {},
              template: {},
              worldCount: {
                shape: "S3u"
              },
              finishedWorldsSummary: {
                type: "structure",
                members: {
                  finishedCount: {
                    type: "integer"
                  },
                  succeededWorlds: {
                    shape: "S2"
                  },
                  failureSummary: {
                    type: "structure",
                    members: {
                      totalFailureCount: {
                        type: "integer"
                      },
                      failures: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            failureCode: {},
                            sampleFailureReason: {},
                            failureCount: {
                              type: "integer"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              tags: {
                shape: "S1o"
              },
              worldTags: {
                shape: "S1o"
              }
            }
          }
        },
        DescribeWorldTemplate: {
          http: {
            requestUri: "/describeWorldTemplate"
          },
          input: {
            type: "structure",
            required: [
              "template"
            ],
            members: {
              template: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              clientRequestToken: {},
              name: {},
              createdAt: {
                type: "timestamp"
              },
              lastUpdatedAt: {
                type: "timestamp"
              },
              tags: {
                shape: "S1o"
              },
              version: {}
            }
          }
        },
        GetWorldTemplateBody: {
          http: {
            requestUri: "/getWorldTemplateBody"
          },
          input: {
            type: "structure",
            members: {
              template: {},
              generationJob: {}
            }
          },
          output: {
            type: "structure",
            members: {
              templateBody: {}
            }
          }
        },
        ListDeploymentJobs: {
          http: {
            requestUri: "/listDeploymentJobs"
          },
          input: {
            type: "structure",
            members: {
              filters: {
                shape: "S5z"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          output: {
            type: "structure",
            members: {
              deploymentJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    fleet: {},
                    status: {},
                    deploymentApplicationConfigs: {
                      shape: "S2e"
                    },
                    deploymentConfig: {
                      shape: "S2a"
                    },
                    failureReason: {},
                    failureCode: {},
                    createdAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          deprecated: true,
          deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
        },
        ListFleets: {
          http: {
            requestUri: "/listFleets"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filters: {
                shape: "S5z"
              }
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          output: {
            type: "structure",
            members: {
              fleetDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    lastDeploymentStatus: {},
                    lastDeploymentJob: {},
                    lastDeploymentTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          deprecated: true,
          deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
        },
        ListRobotApplications: {
          http: {
            requestUri: "/listRobotApplications"
          },
          input: {
            type: "structure",
            members: {
              versionQualifier: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filters: {
                shape: "S5z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              robotApplicationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    arn: {},
                    version: {},
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    robotSoftwareSuite: {
                      shape: "S2v"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListRobots: {
          http: {
            requestUri: "/listRobots"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filters: {
                shape: "S5z"
              }
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          output: {
            type: "structure",
            members: {
              robots: {
                shape: "S4s"
              },
              nextToken: {}
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          deprecated: true,
          deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
        },
        ListSimulationApplications: {
          http: {
            requestUri: "/listSimulationApplications"
          },
          input: {
            type: "structure",
            members: {
              versionQualifier: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filters: {
                shape: "S5z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              simulationApplicationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    arn: {},
                    version: {},
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    robotSoftwareSuite: {
                      shape: "S2v"
                    },
                    simulationSoftwareSuite: {
                      shape: "S39"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSimulationJobBatches: {
          http: {
            requestUri: "/listSimulationJobBatches"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filters: {
                shape: "S5z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              simulationJobBatchSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    createdAt: {
                      type: "timestamp"
                    },
                    status: {},
                    failedRequestCount: {
                      type: "integer"
                    },
                    pendingRequestCount: {
                      type: "integer"
                    },
                    createdRequestCount: {
                      type: "integer"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSimulationJobs: {
          http: {
            requestUri: "/listSimulationJobs"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filters: {
                shape: "S5z"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "simulationJobSummaries"
            ],
            members: {
              simulationJobSummaries: {
                shape: "S5e"
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S1o"
              }
            }
          }
        },
        ListWorldExportJobs: {
          http: {
            requestUri: "/listWorldExportJobs"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filters: {
                shape: "S5z"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "worldExportJobSummaries"
            ],
            members: {
              worldExportJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    status: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    worlds: {
                      shape: "S2"
                    },
                    outputLocation: {
                      shape: "Sh"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListWorldGenerationJobs: {
          http: {
            requestUri: "/listWorldGenerationJobs"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filters: {
                shape: "S5z"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "worldGenerationJobSummaries"
            ],
            members: {
              worldGenerationJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    template: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    status: {},
                    worldCount: {
                      shape: "S3u"
                    },
                    succeededWorldCount: {
                      type: "integer"
                    },
                    failedWorldCount: {
                      type: "integer"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListWorldTemplates: {
          http: {
            requestUri: "/listWorldTemplates"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              templateSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    name: {},
                    version: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListWorlds: {
          http: {
            requestUri: "/listWorlds"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filters: {
                shape: "S5z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              worldSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    generationJob: {},
                    template: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        RegisterRobot: {
          http: {
            requestUri: "/registerRobot"
          },
          input: {
            type: "structure",
            required: [
              "fleet",
              "robot"
            ],
            members: {
              fleet: {},
              robot: {}
            },
            deprecated: true,
            deprecatedMessage: "AWS RoboMaker is unable to process this request as the support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          output: {
            type: "structure",
            members: {
              fleet: {},
              robot: {}
            },
            deprecated: true,
            deprecatedMessage: "AWS RoboMaker is unable to process this request as the support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          deprecated: true,
          deprecatedMessage: "AWS RoboMaker is unable to process this request as the support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
        },
        RestartSimulationJob: {
          http: {
            requestUri: "/restartSimulationJob"
          },
          input: {
            type: "structure",
            required: [
              "job"
            ],
            members: {
              job: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartSimulationJobBatch: {
          http: {
            requestUri: "/startSimulationJobBatch"
          },
          input: {
            type: "structure",
            required: [
              "createSimulationJobRequests"
            ],
            members: {
              clientRequestToken: {
                idempotencyToken: true
              },
              batchPolicy: {
                shape: "S55"
              },
              createSimulationJobRequests: {
                shape: "S5d"
              },
              tags: {
                shape: "S1o"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              status: {},
              createdAt: {
                type: "timestamp"
              },
              clientRequestToken: {},
              batchPolicy: {
                shape: "S55"
              },
              failureCode: {},
              failureReason: {},
              failedRequests: {
                shape: "S59"
              },
              pendingRequests: {
                shape: "S5d"
              },
              createdRequests: {
                shape: "S5e"
              },
              tags: {
                shape: "S1o"
              }
            }
          }
        },
        SyncDeploymentJob: {
          http: {
            requestUri: "/syncDeploymentJob"
          },
          input: {
            type: "structure",
            required: [
              "clientRequestToken",
              "fleet"
            ],
            members: {
              clientRequestToken: {
                idempotencyToken: true
              },
              fleet: {}
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              fleet: {},
              status: {},
              deploymentConfig: {
                shape: "S2a"
              },
              deploymentApplicationConfigs: {
                shape: "S2e"
              },
              failureReason: {},
              failureCode: {},
              createdAt: {
                type: "timestamp"
              }
            },
            deprecated: true,
            deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
          },
          deprecated: true,
          deprecatedMessage: "Support for the AWS RoboMaker application deployment feature has ended. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/fleets.html."
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S1o"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateRobotApplication: {
          http: {
            requestUri: "/updateRobotApplication"
          },
          input: {
            type: "structure",
            required: [
              "application",
              "robotSoftwareSuite"
            ],
            members: {
              application: {},
              sources: {
                shape: "S2t"
              },
              robotSoftwareSuite: {
                shape: "S2v"
              },
              currentRevisionId: {},
              environment: {
                shape: "S2y"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              name: {},
              version: {},
              sources: {
                shape: "S31"
              },
              robotSoftwareSuite: {
                shape: "S2v"
              },
              lastUpdatedAt: {
                type: "timestamp"
              },
              revisionId: {},
              environment: {
                shape: "S2y"
              }
            }
          }
        },
        UpdateSimulationApplication: {
          http: {
            requestUri: "/updateSimulationApplication"
          },
          input: {
            type: "structure",
            required: [
              "application",
              "simulationSoftwareSuite",
              "robotSoftwareSuite"
            ],
            members: {
              application: {},
              sources: {
                shape: "S2t"
              },
              simulationSoftwareSuite: {
                shape: "S39"
              },
              robotSoftwareSuite: {
                shape: "S2v"
              },
              renderingEngine: {
                shape: "S3c"
              },
              currentRevisionId: {},
              environment: {
                shape: "S2y"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              name: {},
              version: {},
              sources: {
                shape: "S31"
              },
              simulationSoftwareSuite: {
                shape: "S39"
              },
              robotSoftwareSuite: {
                shape: "S2v"
              },
              renderingEngine: {
                shape: "S3c"
              },
              lastUpdatedAt: {
                type: "timestamp"
              },
              revisionId: {},
              environment: {
                shape: "S2y"
              }
            }
          }
        },
        UpdateWorldTemplate: {
          http: {
            requestUri: "/updateWorldTemplate"
          },
          input: {
            type: "structure",
            required: [
              "template"
            ],
            members: {
              template: {},
              name: {},
              templateBody: {},
              templateLocation: {
                shape: "S43"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              name: {},
              createdAt: {
                type: "timestamp"
              },
              lastUpdatedAt: {
                type: "timestamp"
              }
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "list",
          member: {}
        },
        Sh: {
          type: "structure",
          members: {
            s3Bucket: {},
            s3Prefix: {}
          }
        },
        Sk: {
          type: "structure",
          members: {
            recordAllRosTopics: {
              deprecated: true,
              deprecatedMessage: "AWS RoboMaker is ending support for ROS software suite. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/software-support-policy.html.",
              type: "boolean"
            }
          }
        },
        Sp: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "application",
              "launchConfig"
            ],
            members: {
              application: {},
              applicationVersion: {},
              launchConfig: {
                shape: "Ss"
              },
              uploadConfigurations: {
                shape: "S15"
              },
              useDefaultUploadConfigurations: {
                deprecated: true,
                deprecatedMessage: "AWS RoboMaker is ending support for ROS software suite. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/software-support-policy.html.",
                type: "boolean"
              },
              tools: {
                shape: "S19"
              },
              useDefaultTools: {
                deprecated: true,
                deprecatedMessage: "AWS RoboMaker is ending support for ROS software suite. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/software-support-policy.html.",
                type: "boolean"
              }
            }
          }
        },
        Ss: {
          type: "structure",
          members: {
            packageName: {},
            launchFile: {},
            environmentVariables: {
              shape: "Su"
            },
            portForwardingConfig: {
              type: "structure",
              members: {
                portMappings: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "jobPort",
                      "applicationPort"
                    ],
                    members: {
                      jobPort: {
                        type: "integer"
                      },
                      applicationPort: {
                        type: "integer"
                      },
                      enableOnPublicIp: {
                        type: "boolean"
                      }
                    }
                  }
                }
              }
            },
            streamUI: {
              type: "boolean"
            },
            command: {
              type: "list",
              member: {}
            }
          }
        },
        Su: {
          type: "map",
          key: {},
          value: {}
        },
        S15: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "path",
              "uploadBehavior"
            ],
            members: {
              name: {},
              path: {},
              uploadBehavior: {}
            }
          }
        },
        S19: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "command"
            ],
            members: {
              streamUI: {
                type: "boolean"
              },
              name: {},
              command: {},
              streamOutputToCloudWatch: {
                type: "boolean"
              },
              exitBehavior: {}
            }
          }
        },
        S1d: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "application",
              "launchConfig"
            ],
            members: {
              application: {},
              applicationVersion: {},
              launchConfig: {
                shape: "Ss"
              },
              uploadConfigurations: {
                shape: "S15"
              },
              worldConfigs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    world: {}
                  }
                }
              },
              useDefaultUploadConfigurations: {
                deprecated: true,
                deprecatedMessage: "AWS RoboMaker is ending support for ROS software suite. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/software-support-policy.html.",
                type: "boolean"
              },
              tools: {
                shape: "S19"
              },
              useDefaultTools: {
                deprecated: true,
                deprecatedMessage: "AWS RoboMaker is ending support for ROS software suite. For additional information, see https://docs.aws.amazon.com/robomaker/latest/dg/software-support-policy.html.",
                type: "boolean"
              }
            }
          }
        },
        S1h: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              s3Bucket: {},
              s3Keys: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    s3Key: {},
                    etag: {}
                  }
                }
              },
              type: {},
              destination: {}
            }
          }
        },
        S1o: {
          type: "map",
          key: {},
          value: {}
        },
        S1r: {
          type: "structure",
          members: {
            subnets: {
              shape: "S1s"
            },
            securityGroups: {
              shape: "S1t"
            },
            vpcId: {},
            assignPublicIp: {
              type: "boolean"
            }
          }
        },
        S1s: {
          type: "list",
          member: {}
        },
        S1t: {
          type: "list",
          member: {}
        },
        S1u: {
          type: "structure",
          members: {
            networkInterfaceId: {},
            privateIpAddress: {},
            publicIpAddress: {}
          }
        },
        S1v: {
          type: "structure",
          members: {
            simulationUnitLimit: {
              type: "integer"
            },
            computeType: {},
            gpuUnitLimit: {
              type: "integer"
            }
          }
        },
        S2a: {
          type: "structure",
          members: {
            concurrentDeploymentPercentage: {
              type: "integer"
            },
            failureThresholdPercentage: {
              type: "integer"
            },
            robotDeploymentTimeoutInSeconds: {
              type: "long"
            },
            downloadConditionFile: {
              type: "structure",
              required: [
                "bucket",
                "key"
              ],
              members: {
                bucket: {},
                key: {},
                etag: {}
              }
            }
          }
        },
        S2e: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "application",
              "applicationVersion",
              "launchConfig"
            ],
            members: {
              application: {},
              applicationVersion: {},
              launchConfig: {
                type: "structure",
                required: [
                  "packageName",
                  "launchFile"
                ],
                members: {
                  packageName: {},
                  preLaunchFile: {},
                  launchFile: {},
                  postLaunchFile: {},
                  environmentVariables: {
                    shape: "Su"
                  }
                }
              }
            }
          }
        },
        S2t: {
          type: "list",
          member: {
            type: "structure",
            members: {
              s3Bucket: {},
              s3Key: {},
              architecture: {}
            }
          }
        },
        S2v: {
          type: "structure",
          members: {
            name: {},
            version: {}
          }
        },
        S2y: {
          type: "structure",
          members: {
            uri: {}
          }
        },
        S31: {
          type: "list",
          member: {
            type: "structure",
            members: {
              s3Bucket: {},
              s3Key: {},
              etag: {},
              architecture: {}
            }
          }
        },
        S35: {
          type: "list",
          member: {}
        },
        S39: {
          type: "structure",
          members: {
            name: {},
            version: {}
          }
        },
        S3c: {
          type: "structure",
          members: {
            name: {},
            version: {}
          }
        },
        S3j: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "s3Bucket",
              "s3Keys"
            ],
            members: {
              name: {},
              s3Bucket: {},
              s3Keys: {
                type: "list",
                member: {}
              },
              type: {},
              destination: {}
            }
          }
        },
        S3m: {
          type: "structure",
          required: [
            "subnets"
          ],
          members: {
            subnets: {
              shape: "S1s"
            },
            securityGroups: {
              shape: "S1t"
            },
            assignPublicIp: {
              type: "boolean"
            }
          }
        },
        S3n: {
          type: "structure",
          members: {
            simulationUnitLimit: {
              type: "integer"
            },
            computeType: {},
            gpuUnitLimit: {
              type: "integer"
            }
          }
        },
        S3u: {
          type: "structure",
          members: {
            floorplanCount: {
              type: "integer"
            },
            interiorCountPerFloorplan: {
              type: "integer"
            }
          }
        },
        S43: {
          type: "structure",
          required: [
            "s3Bucket",
            "s3Key"
          ],
          members: {
            s3Bucket: {},
            s3Key: {}
          }
        },
        S4s: {
          type: "list",
          member: {
            type: "structure",
            members: {
              arn: {},
              name: {},
              fleetArn: {},
              status: {},
              greenGrassGroupId: {},
              createdAt: {
                type: "timestamp"
              },
              architecture: {},
              lastDeploymentJob: {},
              lastDeploymentTime: {
                type: "timestamp"
              }
            }
          }
        },
        S55: {
          type: "structure",
          members: {
            timeoutInSeconds: {
              type: "long"
            },
            maxConcurrency: {
              type: "integer"
            }
          }
        },
        S59: {
          type: "list",
          member: {
            type: "structure",
            members: {
              request: {
                shape: "S5b"
              },
              failureReason: {},
              failureCode: {},
              failedAt: {
                type: "timestamp"
              }
            }
          }
        },
        S5b: {
          type: "structure",
          required: [
            "maxJobDurationInSeconds"
          ],
          members: {
            outputLocation: {
              shape: "Sh"
            },
            loggingConfig: {
              shape: "Sk"
            },
            maxJobDurationInSeconds: {
              type: "long"
            },
            iamRole: {},
            failureBehavior: {},
            useDefaultApplications: {
              type: "boolean"
            },
            robotApplications: {
              shape: "Sp"
            },
            simulationApplications: {
              shape: "S1d"
            },
            dataSources: {
              shape: "S3j"
            },
            vpcConfig: {
              shape: "S3m"
            },
            compute: {
              shape: "S3n"
            },
            tags: {
              shape: "S1o"
            }
          }
        },
        S5d: {
          type: "list",
          member: {
            shape: "S5b"
          }
        },
        S5e: {
          type: "list",
          member: {
            type: "structure",
            members: {
              arn: {},
              lastUpdatedAt: {
                type: "timestamp"
              },
              name: {},
              status: {},
              simulationApplicationNames: {
                type: "list",
                member: {}
              },
              robotApplicationNames: {
                type: "list",
                member: {}
              },
              dataSourceNames: {
                type: "list",
                member: {}
              },
              computeType: {}
            }
          }
        },
        S5z: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              values: {
                type: "list",
                member: {}
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/robomaker-2018-06-29.paginators.json
var require_robomaker_2018_06_29_paginators = __commonJS({
  "node_modules/aws-sdk/apis/robomaker-2018-06-29.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDeploymentJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "deploymentJobs"
        },
        ListFleets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "fleetDetails"
        },
        ListRobotApplications: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "robotApplicationSummaries"
        },
        ListRobots: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "robots"
        },
        ListSimulationApplications: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "simulationApplicationSummaries"
        },
        ListSimulationJobBatches: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "simulationJobBatchSummaries"
        },
        ListSimulationJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "simulationJobSummaries"
        },
        ListWorldExportJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "worldExportJobSummaries"
        },
        ListWorldGenerationJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "worldGenerationJobSummaries"
        },
        ListWorldTemplates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "templateSummaries"
        },
        ListWorlds: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "worldSummaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/robomaker.js
var require_robomaker = __commonJS({
  "node_modules/aws-sdk/clients/robomaker.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["robomaker"] = {};
    AWS2.RoboMaker = Service.defineService("robomaker", ["2018-06-29"]);
    Object.defineProperty(apiLoader.services["robomaker"], "2018-06-29", {
      get: function get() {
        var model = require_robomaker_2018_06_29_min();
        model.paginators = require_robomaker_2018_06_29_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.RoboMaker;
  }
});

// node_modules/aws-sdk/apis/transfer-2018-11-05.min.json
var require_transfer_2018_11_05_min = __commonJS({
  "node_modules/aws-sdk/apis/transfer-2018-11-05.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-11-05",
        endpointPrefix: "transfer",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "AWS Transfer",
        serviceFullName: "AWS Transfer Family",
        serviceId: "Transfer",
        signatureVersion: "v4",
        signingName: "transfer",
        targetPrefix: "TransferService",
        uid: "transfer-2018-11-05"
      },
      operations: {
        CreateAccess: {
          input: {
            type: "structure",
            required: [
              "Role",
              "ServerId",
              "ExternalId"
            ],
            members: {
              HomeDirectory: {},
              HomeDirectoryType: {},
              HomeDirectoryMappings: {
                shape: "S4"
              },
              Policy: {},
              PosixProfile: {
                shape: "S9"
              },
              Role: {},
              ServerId: {},
              ExternalId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ServerId",
              "ExternalId"
            ],
            members: {
              ServerId: {},
              ExternalId: {}
            }
          }
        },
        CreateAgreement: {
          input: {
            type: "structure",
            required: [
              "ServerId",
              "LocalProfileId",
              "PartnerProfileId",
              "BaseDirectory",
              "AccessRole"
            ],
            members: {
              Description: {},
              ServerId: {},
              LocalProfileId: {},
              PartnerProfileId: {},
              BaseDirectory: {},
              AccessRole: {},
              Status: {},
              Tags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "AgreementId"
            ],
            members: {
              AgreementId: {}
            }
          }
        },
        CreateConnector: {
          input: {
            type: "structure",
            required: [
              "Url",
              "As2Config",
              "AccessRole"
            ],
            members: {
              Url: {},
              As2Config: {
                shape: "Ss"
              },
              AccessRole: {},
              LoggingRole: {},
              Tags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ConnectorId"
            ],
            members: {
              ConnectorId: {}
            }
          }
        },
        CreateProfile: {
          input: {
            type: "structure",
            required: [
              "As2Id",
              "ProfileType"
            ],
            members: {
              As2Id: {},
              ProfileType: {},
              CertificateIds: {
                shape: "S15"
              },
              Tags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ProfileId"
            ],
            members: {
              ProfileId: {}
            }
          }
        },
        CreateServer: {
          input: {
            type: "structure",
            members: {
              Certificate: {},
              Domain: {},
              EndpointDetails: {
                shape: "S1b"
              },
              EndpointType: {},
              HostKey: {
                shape: "S1l"
              },
              IdentityProviderDetails: {
                shape: "S1m"
              },
              IdentityProviderType: {},
              LoggingRole: {},
              PostAuthenticationLoginBanner: {},
              PreAuthenticationLoginBanner: {},
              Protocols: {
                shape: "S1t"
              },
              ProtocolDetails: {
                shape: "S1v"
              },
              SecurityPolicyName: {},
              Tags: {
                shape: "Sk"
              },
              WorkflowDetails: {
                shape: "S22"
              },
              StructuredLogDestinations: {
                shape: "S27"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ServerId"
            ],
            members: {
              ServerId: {}
            }
          }
        },
        CreateUser: {
          input: {
            type: "structure",
            required: [
              "Role",
              "ServerId",
              "UserName"
            ],
            members: {
              HomeDirectory: {},
              HomeDirectoryType: {},
              HomeDirectoryMappings: {
                shape: "S4"
              },
              Policy: {},
              PosixProfile: {
                shape: "S9"
              },
              Role: {},
              ServerId: {},
              SshPublicKeyBody: {},
              Tags: {
                shape: "Sk"
              },
              UserName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ServerId",
              "UserName"
            ],
            members: {
              ServerId: {},
              UserName: {}
            }
          }
        },
        CreateWorkflow: {
          input: {
            type: "structure",
            required: [
              "Steps"
            ],
            members: {
              Description: {},
              Steps: {
                shape: "S2g"
              },
              OnExceptionSteps: {
                shape: "S2g"
              },
              Tags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "WorkflowId"
            ],
            members: {
              WorkflowId: {}
            }
          }
        },
        DeleteAccess: {
          input: {
            type: "structure",
            required: [
              "ServerId",
              "ExternalId"
            ],
            members: {
              ServerId: {},
              ExternalId: {}
            }
          }
        },
        DeleteAgreement: {
          input: {
            type: "structure",
            required: [
              "AgreementId",
              "ServerId"
            ],
            members: {
              AgreementId: {},
              ServerId: {}
            }
          }
        },
        DeleteCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateId"
            ],
            members: {
              CertificateId: {}
            }
          }
        },
        DeleteConnector: {
          input: {
            type: "structure",
            required: [
              "ConnectorId"
            ],
            members: {
              ConnectorId: {}
            }
          }
        },
        DeleteHostKey: {
          input: {
            type: "structure",
            required: [
              "ServerId",
              "HostKeyId"
            ],
            members: {
              ServerId: {},
              HostKeyId: {}
            }
          }
        },
        DeleteProfile: {
          input: {
            type: "structure",
            required: [
              "ProfileId"
            ],
            members: {
              ProfileId: {}
            }
          }
        },
        DeleteServer: {
          input: {
            type: "structure",
            required: [
              "ServerId"
            ],
            members: {
              ServerId: {}
            }
          }
        },
        DeleteSshPublicKey: {
          input: {
            type: "structure",
            required: [
              "ServerId",
              "SshPublicKeyId",
              "UserName"
            ],
            members: {
              ServerId: {},
              SshPublicKeyId: {},
              UserName: {}
            }
          }
        },
        DeleteUser: {
          input: {
            type: "structure",
            required: [
              "ServerId",
              "UserName"
            ],
            members: {
              ServerId: {},
              UserName: {}
            }
          }
        },
        DeleteWorkflow: {
          input: {
            type: "structure",
            required: [
              "WorkflowId"
            ],
            members: {
              WorkflowId: {}
            }
          }
        },
        DescribeAccess: {
          input: {
            type: "structure",
            required: [
              "ServerId",
              "ExternalId"
            ],
            members: {
              ServerId: {},
              ExternalId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ServerId",
              "Access"
            ],
            members: {
              ServerId: {},
              Access: {
                type: "structure",
                members: {
                  HomeDirectory: {},
                  HomeDirectoryMappings: {
                    shape: "S4"
                  },
                  HomeDirectoryType: {},
                  Policy: {},
                  PosixProfile: {
                    shape: "S9"
                  },
                  Role: {},
                  ExternalId: {}
                }
              }
            }
          }
        },
        DescribeAgreement: {
          input: {
            type: "structure",
            required: [
              "AgreementId",
              "ServerId"
            ],
            members: {
              AgreementId: {},
              ServerId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Agreement"
            ],
            members: {
              Agreement: {
                type: "structure",
                required: [
                  "Arn"
                ],
                members: {
                  Arn: {},
                  AgreementId: {},
                  Description: {},
                  Status: {},
                  ServerId: {},
                  LocalProfileId: {},
                  PartnerProfileId: {},
                  BaseDirectory: {},
                  AccessRole: {},
                  Tags: {
                    shape: "Sk"
                  }
                }
              }
            }
          }
        },
        DescribeCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateId"
            ],
            members: {
              CertificateId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Certificate"
            ],
            members: {
              Certificate: {
                type: "structure",
                required: [
                  "Arn"
                ],
                members: {
                  Arn: {},
                  CertificateId: {},
                  Usage: {},
                  Status: {},
                  Certificate: {
                    shape: "S3t"
                  },
                  CertificateChain: {
                    shape: "S3u"
                  },
                  ActiveDate: {
                    type: "timestamp"
                  },
                  InactiveDate: {
                    type: "timestamp"
                  },
                  Serial: {},
                  NotBeforeDate: {
                    type: "timestamp"
                  },
                  NotAfterDate: {
                    type: "timestamp"
                  },
                  Type: {},
                  Description: {},
                  Tags: {
                    shape: "Sk"
                  }
                }
              }
            }
          }
        },
        DescribeConnector: {
          input: {
            type: "structure",
            required: [
              "ConnectorId"
            ],
            members: {
              ConnectorId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Connector"
            ],
            members: {
              Connector: {
                type: "structure",
                required: [
                  "Arn"
                ],
                members: {
                  Arn: {},
                  ConnectorId: {},
                  Url: {},
                  As2Config: {
                    shape: "Ss"
                  },
                  AccessRole: {},
                  LoggingRole: {},
                  Tags: {
                    shape: "Sk"
                  }
                }
              }
            }
          }
        },
        DescribeExecution: {
          input: {
            type: "structure",
            required: [
              "ExecutionId",
              "WorkflowId"
            ],
            members: {
              ExecutionId: {},
              WorkflowId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "WorkflowId",
              "Execution"
            ],
            members: {
              WorkflowId: {},
              Execution: {
                type: "structure",
                members: {
                  ExecutionId: {},
                  InitialFileLocation: {
                    shape: "S45"
                  },
                  ServiceMetadata: {
                    shape: "S49"
                  },
                  ExecutionRole: {},
                  LoggingConfiguration: {
                    type: "structure",
                    members: {
                      LoggingRole: {},
                      LogGroupName: {}
                    }
                  },
                  PosixProfile: {
                    shape: "S9"
                  },
                  Status: {},
                  Results: {
                    type: "structure",
                    members: {
                      Steps: {
                        shape: "S4g"
                      },
                      OnExceptionSteps: {
                        shape: "S4g"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeHostKey: {
          input: {
            type: "structure",
            required: [
              "ServerId",
              "HostKeyId"
            ],
            members: {
              ServerId: {},
              HostKeyId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "HostKey"
            ],
            members: {
              HostKey: {
                type: "structure",
                required: [
                  "Arn"
                ],
                members: {
                  Arn: {},
                  HostKeyId: {},
                  HostKeyFingerprint: {},
                  Description: {},
                  Type: {},
                  DateImported: {
                    type: "timestamp"
                  },
                  Tags: {
                    shape: "Sk"
                  }
                }
              }
            }
          }
        },
        DescribeProfile: {
          input: {
            type: "structure",
            required: [
              "ProfileId"
            ],
            members: {
              ProfileId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Profile"
            ],
            members: {
              Profile: {
                type: "structure",
                required: [
                  "Arn"
                ],
                members: {
                  Arn: {},
                  ProfileId: {},
                  ProfileType: {},
                  As2Id: {},
                  CertificateIds: {
                    shape: "S15"
                  },
                  Tags: {
                    shape: "Sk"
                  }
                }
              }
            }
          }
        },
        DescribeSecurityPolicy: {
          input: {
            type: "structure",
            required: [
              "SecurityPolicyName"
            ],
            members: {
              SecurityPolicyName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "SecurityPolicy"
            ],
            members: {
              SecurityPolicy: {
                type: "structure",
                required: [
                  "SecurityPolicyName"
                ],
                members: {
                  Fips: {
                    type: "boolean"
                  },
                  SecurityPolicyName: {},
                  SshCiphers: {
                    shape: "S50"
                  },
                  SshKexs: {
                    shape: "S50"
                  },
                  SshMacs: {
                    shape: "S50"
                  },
                  TlsCiphers: {
                    shape: "S50"
                  }
                }
              }
            }
          }
        },
        DescribeServer: {
          input: {
            type: "structure",
            required: [
              "ServerId"
            ],
            members: {
              ServerId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Server"
            ],
            members: {
              Server: {
                type: "structure",
                required: [
                  "Arn"
                ],
                members: {
                  Arn: {},
                  Certificate: {},
                  ProtocolDetails: {
                    shape: "S1v"
                  },
                  Domain: {},
                  EndpointDetails: {
                    shape: "S1b"
                  },
                  EndpointType: {},
                  HostKeyFingerprint: {},
                  IdentityProviderDetails: {
                    shape: "S1m"
                  },
                  IdentityProviderType: {},
                  LoggingRole: {},
                  PostAuthenticationLoginBanner: {},
                  PreAuthenticationLoginBanner: {},
                  Protocols: {
                    shape: "S1t"
                  },
                  SecurityPolicyName: {},
                  ServerId: {},
                  State: {},
                  Tags: {
                    shape: "Sk"
                  },
                  UserCount: {
                    type: "integer"
                  },
                  WorkflowDetails: {
                    shape: "S22"
                  },
                  StructuredLogDestinations: {
                    shape: "S27"
                  }
                }
              }
            }
          }
        },
        DescribeUser: {
          input: {
            type: "structure",
            required: [
              "ServerId",
              "UserName"
            ],
            members: {
              ServerId: {},
              UserName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ServerId",
              "User"
            ],
            members: {
              ServerId: {},
              User: {
                type: "structure",
                required: [
                  "Arn"
                ],
                members: {
                  Arn: {},
                  HomeDirectory: {},
                  HomeDirectoryMappings: {
                    shape: "S4"
                  },
                  HomeDirectoryType: {},
                  Policy: {},
                  PosixProfile: {
                    shape: "S9"
                  },
                  Role: {},
                  SshPublicKeys: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "DateImported",
                        "SshPublicKeyBody",
                        "SshPublicKeyId"
                      ],
                      members: {
                        DateImported: {
                          type: "timestamp"
                        },
                        SshPublicKeyBody: {},
                        SshPublicKeyId: {}
                      }
                    }
                  },
                  Tags: {
                    shape: "Sk"
                  },
                  UserName: {}
                }
              }
            }
          }
        },
        DescribeWorkflow: {
          input: {
            type: "structure",
            required: [
              "WorkflowId"
            ],
            members: {
              WorkflowId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Workflow"
            ],
            members: {
              Workflow: {
                type: "structure",
                required: [
                  "Arn"
                ],
                members: {
                  Arn: {},
                  Description: {},
                  Steps: {
                    shape: "S2g"
                  },
                  OnExceptionSteps: {
                    shape: "S2g"
                  },
                  WorkflowId: {},
                  Tags: {
                    shape: "Sk"
                  }
                }
              }
            }
          }
        },
        ImportCertificate: {
          input: {
            type: "structure",
            required: [
              "Usage",
              "Certificate"
            ],
            members: {
              Usage: {},
              Certificate: {
                shape: "S3t"
              },
              CertificateChain: {
                shape: "S3u"
              },
              PrivateKey: {
                type: "string",
                sensitive: true
              },
              ActiveDate: {
                type: "timestamp"
              },
              InactiveDate: {
                type: "timestamp"
              },
              Description: {},
              Tags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CertificateId"
            ],
            members: {
              CertificateId: {}
            }
          }
        },
        ImportHostKey: {
          input: {
            type: "structure",
            required: [
              "ServerId",
              "HostKeyBody"
            ],
            members: {
              ServerId: {},
              HostKeyBody: {
                shape: "S1l"
              },
              Description: {},
              Tags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ServerId",
              "HostKeyId"
            ],
            members: {
              ServerId: {},
              HostKeyId: {}
            }
          }
        },
        ImportSshPublicKey: {
          input: {
            type: "structure",
            required: [
              "ServerId",
              "SshPublicKeyBody",
              "UserName"
            ],
            members: {
              ServerId: {},
              SshPublicKeyBody: {},
              UserName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ServerId",
              "SshPublicKeyId",
              "UserName"
            ],
            members: {
              ServerId: {},
              SshPublicKeyId: {},
              UserName: {}
            }
          }
        },
        ListAccesses: {
          input: {
            type: "structure",
            required: [
              "ServerId"
            ],
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              ServerId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ServerId",
              "Accesses"
            ],
            members: {
              NextToken: {},
              ServerId: {},
              Accesses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    HomeDirectory: {},
                    HomeDirectoryType: {},
                    Role: {},
                    ExternalId: {}
                  }
                }
              }
            }
          }
        },
        ListAgreements: {
          input: {
            type: "structure",
            required: [
              "ServerId"
            ],
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              ServerId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Agreements"
            ],
            members: {
              NextToken: {},
              Agreements: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    AgreementId: {},
                    Description: {},
                    Status: {},
                    ServerId: {},
                    LocalProfileId: {},
                    PartnerProfileId: {}
                  }
                }
              }
            }
          }
        },
        ListCertificates: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Certificates"
            ],
            members: {
              NextToken: {},
              Certificates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    CertificateId: {},
                    Usage: {},
                    Status: {},
                    ActiveDate: {
                      type: "timestamp"
                    },
                    InactiveDate: {
                      type: "timestamp"
                    },
                    Type: {},
                    Description: {}
                  }
                }
              }
            }
          }
        },
        ListConnectors: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Connectors"
            ],
            members: {
              NextToken: {},
              Connectors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    ConnectorId: {},
                    Url: {}
                  }
                }
              }
            }
          }
        },
        ListExecutions: {
          input: {
            type: "structure",
            required: [
              "WorkflowId"
            ],
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              WorkflowId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "WorkflowId",
              "Executions"
            ],
            members: {
              NextToken: {},
              WorkflowId: {},
              Executions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ExecutionId: {},
                    InitialFileLocation: {
                      shape: "S45"
                    },
                    ServiceMetadata: {
                      shape: "S49"
                    },
                    Status: {}
                  }
                }
              }
            }
          }
        },
        ListHostKeys: {
          input: {
            type: "structure",
            required: [
              "ServerId"
            ],
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              ServerId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ServerId",
              "HostKeys"
            ],
            members: {
              NextToken: {},
              ServerId: {},
              HostKeys: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn"
                  ],
                  members: {
                    Arn: {},
                    HostKeyId: {},
                    Fingerprint: {},
                    Description: {},
                    Type: {},
                    DateImported: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListProfiles: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              ProfileType: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Profiles"
            ],
            members: {
              NextToken: {},
              Profiles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    ProfileId: {},
                    As2Id: {},
                    ProfileType: {}
                  }
                }
              }
            }
          }
        },
        ListSecurityPolicies: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "SecurityPolicyNames"
            ],
            members: {
              NextToken: {},
              SecurityPolicyNames: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ListServers: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Servers"
            ],
            members: {
              NextToken: {},
              Servers: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn"
                  ],
                  members: {
                    Arn: {},
                    Domain: {},
                    IdentityProviderType: {},
                    EndpointType: {},
                    LoggingRole: {},
                    ServerId: {},
                    State: {},
                    UserCount: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              NextToken: {},
              Tags: {
                shape: "Sk"
              }
            }
          }
        },
        ListUsers: {
          input: {
            type: "structure",
            required: [
              "ServerId"
            ],
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              ServerId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ServerId",
              "Users"
            ],
            members: {
              NextToken: {},
              ServerId: {},
              Users: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn"
                  ],
                  members: {
                    Arn: {},
                    HomeDirectory: {},
                    HomeDirectoryType: {},
                    Role: {},
                    SshPublicKeyCount: {
                      type: "integer"
                    },
                    UserName: {}
                  }
                }
              }
            }
          }
        },
        ListWorkflows: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Workflows"
            ],
            members: {
              NextToken: {},
              Workflows: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WorkflowId: {},
                    Description: {},
                    Arn: {}
                  }
                }
              }
            }
          }
        },
        SendWorkflowStepState: {
          input: {
            type: "structure",
            required: [
              "WorkflowId",
              "ExecutionId",
              "Token",
              "Status"
            ],
            members: {
              WorkflowId: {},
              ExecutionId: {},
              Token: {},
              Status: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartFileTransfer: {
          input: {
            type: "structure",
            required: [
              "ConnectorId",
              "SendFilePaths"
            ],
            members: {
              ConnectorId: {},
              SendFilePaths: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TransferId"
            ],
            members: {
              TransferId: {}
            }
          }
        },
        StartServer: {
          input: {
            type: "structure",
            required: [
              "ServerId"
            ],
            members: {
              ServerId: {}
            }
          }
        },
        StopServer: {
          input: {
            type: "structure",
            required: [
              "ServerId"
            ],
            members: {
              ServerId: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "Arn",
              "Tags"
            ],
            members: {
              Arn: {},
              Tags: {
                shape: "Sk"
              }
            }
          }
        },
        TestIdentityProvider: {
          input: {
            type: "structure",
            required: [
              "ServerId",
              "UserName"
            ],
            members: {
              ServerId: {},
              ServerProtocol: {},
              SourceIp: {},
              UserName: {},
              UserPassword: {
                type: "string",
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "StatusCode",
              "Url"
            ],
            members: {
              Response: {},
              StatusCode: {
                type: "integer"
              },
              Message: {},
              Url: {}
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "Arn",
              "TagKeys"
            ],
            members: {
              Arn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        },
        UpdateAccess: {
          input: {
            type: "structure",
            required: [
              "ServerId",
              "ExternalId"
            ],
            members: {
              HomeDirectory: {},
              HomeDirectoryType: {},
              HomeDirectoryMappings: {
                shape: "S4"
              },
              Policy: {},
              PosixProfile: {
                shape: "S9"
              },
              Role: {},
              ServerId: {},
              ExternalId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ServerId",
              "ExternalId"
            ],
            members: {
              ServerId: {},
              ExternalId: {}
            }
          }
        },
        UpdateAgreement: {
          input: {
            type: "structure",
            required: [
              "AgreementId",
              "ServerId"
            ],
            members: {
              AgreementId: {},
              ServerId: {},
              Description: {},
              Status: {},
              LocalProfileId: {},
              PartnerProfileId: {},
              BaseDirectory: {},
              AccessRole: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "AgreementId"
            ],
            members: {
              AgreementId: {}
            }
          }
        },
        UpdateCertificate: {
          input: {
            type: "structure",
            required: [
              "CertificateId"
            ],
            members: {
              CertificateId: {},
              ActiveDate: {
                type: "timestamp"
              },
              InactiveDate: {
                type: "timestamp"
              },
              Description: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "CertificateId"
            ],
            members: {
              CertificateId: {}
            }
          }
        },
        UpdateConnector: {
          input: {
            type: "structure",
            required: [
              "ConnectorId"
            ],
            members: {
              ConnectorId: {},
              Url: {},
              As2Config: {
                shape: "Ss"
              },
              AccessRole: {},
              LoggingRole: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ConnectorId"
            ],
            members: {
              ConnectorId: {}
            }
          }
        },
        UpdateHostKey: {
          input: {
            type: "structure",
            required: [
              "ServerId",
              "HostKeyId",
              "Description"
            ],
            members: {
              ServerId: {},
              HostKeyId: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ServerId",
              "HostKeyId"
            ],
            members: {
              ServerId: {},
              HostKeyId: {}
            }
          }
        },
        UpdateProfile: {
          input: {
            type: "structure",
            required: [
              "ProfileId"
            ],
            members: {
              ProfileId: {},
              CertificateIds: {
                shape: "S15"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ProfileId"
            ],
            members: {
              ProfileId: {}
            }
          }
        },
        UpdateServer: {
          input: {
            type: "structure",
            required: [
              "ServerId"
            ],
            members: {
              Certificate: {},
              ProtocolDetails: {
                shape: "S1v"
              },
              EndpointDetails: {
                shape: "S1b"
              },
              EndpointType: {},
              HostKey: {
                shape: "S1l"
              },
              IdentityProviderDetails: {
                shape: "S1m"
              },
              LoggingRole: {},
              PostAuthenticationLoginBanner: {},
              PreAuthenticationLoginBanner: {},
              Protocols: {
                shape: "S1t"
              },
              SecurityPolicyName: {},
              ServerId: {},
              WorkflowDetails: {
                shape: "S22"
              },
              StructuredLogDestinations: {
                shape: "S27"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ServerId"
            ],
            members: {
              ServerId: {}
            }
          }
        },
        UpdateUser: {
          input: {
            type: "structure",
            required: [
              "ServerId",
              "UserName"
            ],
            members: {
              HomeDirectory: {},
              HomeDirectoryType: {},
              HomeDirectoryMappings: {
                shape: "S4"
              },
              Policy: {},
              PosixProfile: {
                shape: "S9"
              },
              Role: {},
              ServerId: {},
              UserName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ServerId",
              "UserName"
            ],
            members: {
              ServerId: {},
              UserName: {}
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Entry",
              "Target"
            ],
            members: {
              Entry: {},
              Target: {}
            }
          }
        },
        S9: {
          type: "structure",
          required: [
            "Uid",
            "Gid"
          ],
          members: {
            Uid: {
              type: "long"
            },
            Gid: {
              type: "long"
            },
            SecondaryGids: {
              type: "list",
              member: {
                type: "long"
              }
            }
          }
        },
        Sk: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Ss: {
          type: "structure",
          members: {
            LocalProfileId: {},
            PartnerProfileId: {},
            MessageSubject: {},
            Compression: {},
            EncryptionAlgorithm: {},
            SigningAlgorithm: {},
            MdnSigningAlgorithm: {},
            MdnResponse: {},
            BasicAuthSecretId: {}
          }
        },
        S15: {
          type: "list",
          member: {}
        },
        S1b: {
          type: "structure",
          members: {
            AddressAllocationIds: {
              type: "list",
              member: {}
            },
            SubnetIds: {
              type: "list",
              member: {}
            },
            VpcEndpointId: {},
            VpcId: {},
            SecurityGroupIds: {
              type: "list",
              member: {}
            }
          }
        },
        S1l: {
          type: "string",
          sensitive: true
        },
        S1m: {
          type: "structure",
          members: {
            Url: {},
            InvocationRole: {},
            DirectoryId: {},
            Function: {},
            SftpAuthenticationMethods: {}
          }
        },
        S1t: {
          type: "list",
          member: {}
        },
        S1v: {
          type: "structure",
          members: {
            PassiveIp: {},
            TlsSessionResumptionMode: {},
            SetStatOption: {},
            As2Transports: {
              type: "list",
              member: {}
            }
          }
        },
        S22: {
          type: "structure",
          members: {
            OnUpload: {
              type: "list",
              member: {
                shape: "S24"
              }
            },
            OnPartialUpload: {
              type: "list",
              member: {
                shape: "S24"
              }
            }
          }
        },
        S24: {
          type: "structure",
          required: [
            "WorkflowId",
            "ExecutionRole"
          ],
          members: {
            WorkflowId: {},
            ExecutionRole: {}
          }
        },
        S27: {
          type: "list",
          member: {}
        },
        S2g: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {},
              CopyStepDetails: {
                type: "structure",
                members: {
                  Name: {},
                  DestinationFileLocation: {
                    shape: "S2l"
                  },
                  OverwriteExisting: {},
                  SourceFileLocation: {}
                }
              },
              CustomStepDetails: {
                type: "structure",
                members: {
                  Name: {},
                  Target: {},
                  TimeoutSeconds: {
                    type: "integer"
                  },
                  SourceFileLocation: {}
                }
              },
              DeleteStepDetails: {
                type: "structure",
                members: {
                  Name: {},
                  SourceFileLocation: {}
                }
              },
              TagStepDetails: {
                type: "structure",
                members: {
                  Name: {},
                  Tags: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Key",
                        "Value"
                      ],
                      members: {
                        Key: {},
                        Value: {}
                      }
                    }
                  },
                  SourceFileLocation: {}
                }
              },
              DecryptStepDetails: {
                type: "structure",
                required: [
                  "Type",
                  "DestinationFileLocation"
                ],
                members: {
                  Name: {},
                  Type: {},
                  SourceFileLocation: {},
                  OverwriteExisting: {},
                  DestinationFileLocation: {
                    shape: "S2l"
                  }
                }
              }
            }
          }
        },
        S2l: {
          type: "structure",
          members: {
            S3FileLocation: {
              type: "structure",
              members: {
                Bucket: {},
                Key: {}
              }
            },
            EfsFileLocation: {
              shape: "S2p"
            }
          }
        },
        S2p: {
          type: "structure",
          members: {
            FileSystemId: {},
            Path: {}
          }
        },
        S3t: {
          type: "string",
          sensitive: true
        },
        S3u: {
          type: "string",
          sensitive: true
        },
        S45: {
          type: "structure",
          members: {
            S3FileLocation: {
              type: "structure",
              members: {
                Bucket: {},
                Key: {},
                VersionId: {},
                Etag: {}
              }
            },
            EfsFileLocation: {
              shape: "S2p"
            }
          }
        },
        S49: {
          type: "structure",
          required: [
            "UserDetails"
          ],
          members: {
            UserDetails: {
              type: "structure",
              required: [
                "UserName",
                "ServerId"
              ],
              members: {
                UserName: {},
                ServerId: {},
                SessionId: {}
              }
            }
          }
        },
        S4g: {
          type: "list",
          member: {
            type: "structure",
            members: {
              StepType: {},
              Outputs: {},
              Error: {
                type: "structure",
                required: [
                  "Type",
                  "Message"
                ],
                members: {
                  Type: {},
                  Message: {}
                }
              }
            }
          }
        },
        S50: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/transfer-2018-11-05.paginators.json
var require_transfer_2018_11_05_paginators = __commonJS({
  "node_modules/aws-sdk/apis/transfer-2018-11-05.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAccesses: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          non_aggregate_keys: [
            "ServerId"
          ],
          output_token: "NextToken",
          result_key: "Accesses"
        },
        ListAgreements: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Agreements"
        },
        ListCertificates: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Certificates"
        },
        ListConnectors: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Connectors"
        },
        ListExecutions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          non_aggregate_keys: [
            "WorkflowId"
          ],
          output_token: "NextToken",
          result_key: "Executions"
        },
        ListProfiles: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Profiles"
        },
        ListSecurityPolicies: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "SecurityPolicyNames"
        },
        ListServers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Servers"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          non_aggregate_keys: [
            "Arn"
          ],
          output_token: "NextToken",
          result_key: "Tags"
        },
        ListUsers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          non_aggregate_keys: [
            "ServerId"
          ],
          output_token: "NextToken",
          result_key: "Users"
        },
        ListWorkflows: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Workflows"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/transfer-2018-11-05.waiters2.json
var require_transfer_2018_11_05_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/transfer-2018-11-05.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        ServerOffline: {
          acceptors: [
            {
              argument: "Server.State",
              expected: "OFFLINE",
              matcher: "path",
              state: "success"
            },
            {
              argument: "Server.State",
              expected: "STOP_FAILED",
              matcher: "path",
              state: "failure"
            }
          ],
          delay: 30,
          maxAttempts: 120,
          operation: "DescribeServer",
          type: "api"
        },
        ServerOnline: {
          acceptors: [
            {
              argument: "Server.State",
              expected: "ONLINE",
              matcher: "path",
              state: "success"
            },
            {
              argument: "Server.State",
              expected: "START_FAILED",
              matcher: "path",
              state: "failure"
            }
          ],
          delay: 30,
          maxAttempts: 120,
          operation: "DescribeServer",
          type: "api"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/transfer.js
var require_transfer = __commonJS({
  "node_modules/aws-sdk/clients/transfer.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["transfer"] = {};
    AWS2.Transfer = Service.defineService("transfer", ["2018-11-05"]);
    Object.defineProperty(apiLoader.services["transfer"], "2018-11-05", {
      get: function get() {
        var model = require_transfer_2018_11_05_min();
        model.paginators = require_transfer_2018_11_05_paginators().pagination;
        model.waiters = require_transfer_2018_11_05_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Transfer;
  }
});

// node_modules/aws-sdk/apis/globalaccelerator-2018-08-08.min.json
var require_globalaccelerator_2018_08_08_min = __commonJS({
  "node_modules/aws-sdk/apis/globalaccelerator-2018-08-08.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-08-08",
        endpointPrefix: "globalaccelerator",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Global Accelerator",
        serviceId: "Global Accelerator",
        signatureVersion: "v4",
        signingName: "globalaccelerator",
        targetPrefix: "GlobalAccelerator_V20180706",
        uid: "globalaccelerator-2018-08-08"
      },
      operations: {
        AddCustomRoutingEndpoints: {
          input: {
            type: "structure",
            required: [
              "EndpointConfigurations",
              "EndpointGroupArn"
            ],
            members: {
              EndpointConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EndpointId: {}
                  }
                }
              },
              EndpointGroupArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EndpointDescriptions: {
                shape: "S6"
              },
              EndpointGroupArn: {}
            }
          }
        },
        AddEndpoints: {
          input: {
            type: "structure",
            required: [
              "EndpointConfigurations",
              "EndpointGroupArn"
            ],
            members: {
              EndpointConfigurations: {
                shape: "S9"
              },
              EndpointGroupArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EndpointDescriptions: {
                shape: "Se"
              },
              EndpointGroupArn: {}
            }
          }
        },
        AdvertiseByoipCidr: {
          input: {
            type: "structure",
            required: [
              "Cidr"
            ],
            members: {
              Cidr: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ByoipCidr: {
                shape: "Sj"
              }
            }
          }
        },
        AllowCustomRoutingTraffic: {
          input: {
            type: "structure",
            required: [
              "EndpointGroupArn",
              "EndpointId"
            ],
            members: {
              EndpointGroupArn: {},
              EndpointId: {},
              DestinationAddresses: {
                shape: "Sp"
              },
              DestinationPorts: {
                shape: "Sr"
              },
              AllowAllTrafficToEndpoint: {
                type: "boolean"
              }
            }
          }
        },
        CreateAccelerator: {
          input: {
            type: "structure",
            required: [
              "Name",
              "IdempotencyToken"
            ],
            members: {
              Name: {},
              IpAddressType: {},
              IpAddresses: {
                shape: "Sv"
              },
              Enabled: {
                type: "boolean"
              },
              IdempotencyToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Accelerator: {
                shape: "S12"
              }
            }
          }
        },
        CreateCustomRoutingAccelerator: {
          input: {
            type: "structure",
            required: [
              "Name",
              "IdempotencyToken"
            ],
            members: {
              Name: {},
              IpAddressType: {},
              IpAddresses: {
                shape: "Sv"
              },
              Enabled: {
                type: "boolean"
              },
              IdempotencyToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Accelerator: {
                shape: "S1b"
              }
            }
          }
        },
        CreateCustomRoutingEndpointGroup: {
          input: {
            type: "structure",
            required: [
              "ListenerArn",
              "EndpointGroupRegion",
              "DestinationConfigurations",
              "IdempotencyToken"
            ],
            members: {
              ListenerArn: {},
              EndpointGroupRegion: {},
              DestinationConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "FromPort",
                    "ToPort",
                    "Protocols"
                  ],
                  members: {
                    FromPort: {
                      type: "integer"
                    },
                    ToPort: {
                      type: "integer"
                    },
                    Protocols: {
                      shape: "S1g"
                    }
                  }
                }
              },
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EndpointGroup: {
                shape: "S1j"
              }
            }
          }
        },
        CreateCustomRoutingListener: {
          input: {
            type: "structure",
            required: [
              "AcceleratorArn",
              "PortRanges",
              "IdempotencyToken"
            ],
            members: {
              AcceleratorArn: {},
              PortRanges: {
                shape: "S1p"
              },
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Listener: {
                shape: "S1s"
              }
            }
          }
        },
        CreateEndpointGroup: {
          input: {
            type: "structure",
            required: [
              "ListenerArn",
              "EndpointGroupRegion",
              "IdempotencyToken"
            ],
            members: {
              ListenerArn: {},
              EndpointGroupRegion: {},
              EndpointConfigurations: {
                shape: "S9"
              },
              TrafficDialPercentage: {
                type: "float"
              },
              HealthCheckPort: {
                type: "integer"
              },
              HealthCheckProtocol: {},
              HealthCheckPath: {},
              HealthCheckIntervalSeconds: {
                type: "integer"
              },
              ThresholdCount: {
                type: "integer"
              },
              IdempotencyToken: {
                idempotencyToken: true
              },
              PortOverrides: {
                shape: "S20"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EndpointGroup: {
                shape: "S23"
              }
            }
          }
        },
        CreateListener: {
          input: {
            type: "structure",
            required: [
              "AcceleratorArn",
              "PortRanges",
              "Protocol",
              "IdempotencyToken"
            ],
            members: {
              AcceleratorArn: {},
              PortRanges: {
                shape: "S1p"
              },
              Protocol: {},
              ClientAffinity: {},
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Listener: {
                shape: "S27"
              }
            }
          }
        },
        DeleteAccelerator: {
          input: {
            type: "structure",
            required: [
              "AcceleratorArn"
            ],
            members: {
              AcceleratorArn: {}
            }
          }
        },
        DeleteCustomRoutingAccelerator: {
          input: {
            type: "structure",
            required: [
              "AcceleratorArn"
            ],
            members: {
              AcceleratorArn: {}
            }
          }
        },
        DeleteCustomRoutingEndpointGroup: {
          input: {
            type: "structure",
            required: [
              "EndpointGroupArn"
            ],
            members: {
              EndpointGroupArn: {}
            }
          }
        },
        DeleteCustomRoutingListener: {
          input: {
            type: "structure",
            required: [
              "ListenerArn"
            ],
            members: {
              ListenerArn: {}
            }
          }
        },
        DeleteEndpointGroup: {
          input: {
            type: "structure",
            required: [
              "EndpointGroupArn"
            ],
            members: {
              EndpointGroupArn: {}
            }
          }
        },
        DeleteListener: {
          input: {
            type: "structure",
            required: [
              "ListenerArn"
            ],
            members: {
              ListenerArn: {}
            }
          }
        },
        DenyCustomRoutingTraffic: {
          input: {
            type: "structure",
            required: [
              "EndpointGroupArn",
              "EndpointId"
            ],
            members: {
              EndpointGroupArn: {},
              EndpointId: {},
              DestinationAddresses: {
                shape: "Sp"
              },
              DestinationPorts: {
                shape: "Sr"
              },
              DenyAllTrafficToEndpoint: {
                type: "boolean"
              }
            }
          }
        },
        DeprovisionByoipCidr: {
          input: {
            type: "structure",
            required: [
              "Cidr"
            ],
            members: {
              Cidr: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ByoipCidr: {
                shape: "Sj"
              }
            }
          }
        },
        DescribeAccelerator: {
          input: {
            type: "structure",
            required: [
              "AcceleratorArn"
            ],
            members: {
              AcceleratorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Accelerator: {
                shape: "S12"
              }
            }
          }
        },
        DescribeAcceleratorAttributes: {
          input: {
            type: "structure",
            required: [
              "AcceleratorArn"
            ],
            members: {
              AcceleratorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AcceleratorAttributes: {
                shape: "S2l"
              }
            }
          }
        },
        DescribeCustomRoutingAccelerator: {
          input: {
            type: "structure",
            required: [
              "AcceleratorArn"
            ],
            members: {
              AcceleratorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Accelerator: {
                shape: "S1b"
              }
            }
          }
        },
        DescribeCustomRoutingAcceleratorAttributes: {
          input: {
            type: "structure",
            required: [
              "AcceleratorArn"
            ],
            members: {
              AcceleratorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AcceleratorAttributes: {
                shape: "S2q"
              }
            }
          }
        },
        DescribeCustomRoutingEndpointGroup: {
          input: {
            type: "structure",
            required: [
              "EndpointGroupArn"
            ],
            members: {
              EndpointGroupArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EndpointGroup: {
                shape: "S1j"
              }
            }
          }
        },
        DescribeCustomRoutingListener: {
          input: {
            type: "structure",
            required: [
              "ListenerArn"
            ],
            members: {
              ListenerArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Listener: {
                shape: "S1s"
              }
            }
          }
        },
        DescribeEndpointGroup: {
          input: {
            type: "structure",
            required: [
              "EndpointGroupArn"
            ],
            members: {
              EndpointGroupArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EndpointGroup: {
                shape: "S23"
              }
            }
          }
        },
        DescribeListener: {
          input: {
            type: "structure",
            required: [
              "ListenerArn"
            ],
            members: {
              ListenerArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Listener: {
                shape: "S27"
              }
            }
          }
        },
        ListAccelerators: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Accelerators: {
                type: "list",
                member: {
                  shape: "S12"
                }
              },
              NextToken: {}
            }
          }
        },
        ListByoipCidrs: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ByoipCidrs: {
                type: "list",
                member: {
                  shape: "Sj"
                }
              },
              NextToken: {}
            }
          }
        },
        ListCustomRoutingAccelerators: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Accelerators: {
                type: "list",
                member: {
                  shape: "S1b"
                }
              },
              NextToken: {}
            }
          }
        },
        ListCustomRoutingEndpointGroups: {
          input: {
            type: "structure",
            required: [
              "ListenerArn"
            ],
            members: {
              ListenerArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EndpointGroups: {
                type: "list",
                member: {
                  shape: "S1j"
                }
              },
              NextToken: {}
            }
          }
        },
        ListCustomRoutingListeners: {
          input: {
            type: "structure",
            required: [
              "AcceleratorArn"
            ],
            members: {
              AcceleratorArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Listeners: {
                type: "list",
                member: {
                  shape: "S1s"
                }
              },
              NextToken: {}
            }
          }
        },
        ListCustomRoutingPortMappings: {
          input: {
            type: "structure",
            required: [
              "AcceleratorArn"
            ],
            members: {
              AcceleratorArn: {},
              EndpointGroupArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PortMappings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AcceleratorPort: {
                      type: "integer"
                    },
                    EndpointGroupArn: {},
                    EndpointId: {},
                    DestinationSocketAddress: {
                      shape: "S3k"
                    },
                    Protocols: {
                      shape: "S1g"
                    },
                    DestinationTrafficState: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCustomRoutingPortMappingsByDestination: {
          input: {
            type: "structure",
            required: [
              "EndpointId",
              "DestinationAddress"
            ],
            members: {
              EndpointId: {},
              DestinationAddress: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DestinationPortMappings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AcceleratorArn: {},
                    AcceleratorSocketAddresses: {
                      type: "list",
                      member: {
                        shape: "S3k"
                      }
                    },
                    EndpointGroupArn: {},
                    EndpointId: {},
                    EndpointGroupRegion: {},
                    DestinationSocketAddress: {
                      shape: "S3k"
                    },
                    IpAddressType: {},
                    DestinationTrafficState: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEndpointGroups: {
          input: {
            type: "structure",
            required: [
              "ListenerArn"
            ],
            members: {
              ListenerArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EndpointGroups: {
                type: "list",
                member: {
                  shape: "S23"
                }
              },
              NextToken: {}
            }
          }
        },
        ListListeners: {
          input: {
            type: "structure",
            required: [
              "AcceleratorArn"
            ],
            members: {
              AcceleratorArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Listeners: {
                type: "list",
                member: {
                  shape: "S27"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sx"
              }
            }
          }
        },
        ProvisionByoipCidr: {
          input: {
            type: "structure",
            required: [
              "Cidr",
              "CidrAuthorizationContext"
            ],
            members: {
              Cidr: {},
              CidrAuthorizationContext: {
                type: "structure",
                required: [
                  "Message",
                  "Signature"
                ],
                members: {
                  Message: {},
                  Signature: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ByoipCidr: {
                shape: "Sj"
              }
            }
          }
        },
        RemoveCustomRoutingEndpoints: {
          input: {
            type: "structure",
            required: [
              "EndpointIds",
              "EndpointGroupArn"
            ],
            members: {
              EndpointIds: {
                type: "list",
                member: {}
              },
              EndpointGroupArn: {}
            }
          }
        },
        RemoveEndpoints: {
          input: {
            type: "structure",
            required: [
              "EndpointIdentifiers",
              "EndpointGroupArn"
            ],
            members: {
              EndpointIdentifiers: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "EndpointId"
                  ],
                  members: {
                    EndpointId: {},
                    ClientIPPreservationEnabled: {
                      type: "boolean"
                    }
                  }
                }
              },
              EndpointGroupArn: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAccelerator: {
          input: {
            type: "structure",
            required: [
              "AcceleratorArn"
            ],
            members: {
              AcceleratorArn: {},
              Name: {},
              IpAddressType: {},
              Enabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Accelerator: {
                shape: "S12"
              }
            }
          }
        },
        UpdateAcceleratorAttributes: {
          input: {
            type: "structure",
            required: [
              "AcceleratorArn"
            ],
            members: {
              AcceleratorArn: {},
              FlowLogsEnabled: {
                type: "boolean"
              },
              FlowLogsS3Bucket: {},
              FlowLogsS3Prefix: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AcceleratorAttributes: {
                shape: "S2l"
              }
            }
          }
        },
        UpdateCustomRoutingAccelerator: {
          input: {
            type: "structure",
            required: [
              "AcceleratorArn"
            ],
            members: {
              AcceleratorArn: {},
              Name: {},
              IpAddressType: {},
              Enabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Accelerator: {
                shape: "S1b"
              }
            }
          }
        },
        UpdateCustomRoutingAcceleratorAttributes: {
          input: {
            type: "structure",
            required: [
              "AcceleratorArn"
            ],
            members: {
              AcceleratorArn: {},
              FlowLogsEnabled: {
                type: "boolean"
              },
              FlowLogsS3Bucket: {},
              FlowLogsS3Prefix: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AcceleratorAttributes: {
                shape: "S2q"
              }
            }
          }
        },
        UpdateCustomRoutingListener: {
          input: {
            type: "structure",
            required: [
              "ListenerArn",
              "PortRanges"
            ],
            members: {
              ListenerArn: {},
              PortRanges: {
                shape: "S1p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Listener: {
                shape: "S1s"
              }
            }
          }
        },
        UpdateEndpointGroup: {
          input: {
            type: "structure",
            required: [
              "EndpointGroupArn"
            ],
            members: {
              EndpointGroupArn: {},
              EndpointConfigurations: {
                shape: "S9"
              },
              TrafficDialPercentage: {
                type: "float"
              },
              HealthCheckPort: {
                type: "integer"
              },
              HealthCheckProtocol: {},
              HealthCheckPath: {},
              HealthCheckIntervalSeconds: {
                type: "integer"
              },
              ThresholdCount: {
                type: "integer"
              },
              PortOverrides: {
                shape: "S20"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EndpointGroup: {
                shape: "S23"
              }
            }
          }
        },
        UpdateListener: {
          input: {
            type: "structure",
            required: [
              "ListenerArn"
            ],
            members: {
              ListenerArn: {},
              PortRanges: {
                shape: "S1p"
              },
              Protocol: {},
              ClientAffinity: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Listener: {
                shape: "S27"
              }
            }
          }
        },
        WithdrawByoipCidr: {
          input: {
            type: "structure",
            required: [
              "Cidr"
            ],
            members: {
              Cidr: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ByoipCidr: {
                shape: "Sj"
              }
            }
          }
        }
      },
      shapes: {
        S6: {
          type: "list",
          member: {
            type: "structure",
            members: {
              EndpointId: {}
            }
          }
        },
        S9: {
          type: "list",
          member: {
            type: "structure",
            members: {
              EndpointId: {},
              Weight: {
                type: "integer"
              },
              ClientIPPreservationEnabled: {
                type: "boolean"
              }
            }
          }
        },
        Se: {
          type: "list",
          member: {
            type: "structure",
            members: {
              EndpointId: {},
              Weight: {
                type: "integer"
              },
              HealthState: {},
              HealthReason: {},
              ClientIPPreservationEnabled: {
                type: "boolean"
              }
            }
          }
        },
        Sj: {
          type: "structure",
          members: {
            Cidr: {},
            State: {},
            Events: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Message: {},
                  Timestamp: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        Sp: {
          type: "list",
          member: {}
        },
        Sr: {
          type: "list",
          member: {
            type: "integer"
          }
        },
        Sv: {
          type: "list",
          member: {}
        },
        Sx: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S12: {
          type: "structure",
          members: {
            AcceleratorArn: {},
            Name: {},
            IpAddressType: {},
            Enabled: {
              type: "boolean"
            },
            IpSets: {
              shape: "S13"
            },
            DnsName: {},
            Status: {},
            CreatedTime: {
              type: "timestamp"
            },
            LastModifiedTime: {
              type: "timestamp"
            },
            DualStackDnsName: {},
            Events: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Message: {},
                  Timestamp: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        S13: {
          type: "list",
          member: {
            type: "structure",
            members: {
              IpFamily: {
                deprecated: true,
                deprecatedMessage: "IpFamily has been replaced by IpAddressFamily"
              },
              IpAddresses: {
                shape: "Sv"
              },
              IpAddressFamily: {}
            }
          }
        },
        S1b: {
          type: "structure",
          members: {
            AcceleratorArn: {},
            Name: {},
            IpAddressType: {},
            Enabled: {
              type: "boolean"
            },
            IpSets: {
              shape: "S13"
            },
            DnsName: {},
            Status: {},
            CreatedTime: {
              type: "timestamp"
            },
            LastModifiedTime: {
              type: "timestamp"
            }
          }
        },
        S1g: {
          type: "list",
          member: {}
        },
        S1j: {
          type: "structure",
          members: {
            EndpointGroupArn: {},
            EndpointGroupRegion: {},
            DestinationDescriptions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  FromPort: {
                    type: "integer"
                  },
                  ToPort: {
                    type: "integer"
                  },
                  Protocols: {
                    type: "list",
                    member: {}
                  }
                }
              }
            },
            EndpointDescriptions: {
              shape: "S6"
            }
          }
        },
        S1p: {
          type: "list",
          member: {
            type: "structure",
            members: {
              FromPort: {
                type: "integer"
              },
              ToPort: {
                type: "integer"
              }
            }
          }
        },
        S1s: {
          type: "structure",
          members: {
            ListenerArn: {},
            PortRanges: {
              shape: "S1p"
            }
          }
        },
        S20: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ListenerPort: {
                type: "integer"
              },
              EndpointPort: {
                type: "integer"
              }
            }
          }
        },
        S23: {
          type: "structure",
          members: {
            EndpointGroupArn: {},
            EndpointGroupRegion: {},
            EndpointDescriptions: {
              shape: "Se"
            },
            TrafficDialPercentage: {
              type: "float"
            },
            HealthCheckPort: {
              type: "integer"
            },
            HealthCheckProtocol: {},
            HealthCheckPath: {},
            HealthCheckIntervalSeconds: {
              type: "integer"
            },
            ThresholdCount: {
              type: "integer"
            },
            PortOverrides: {
              shape: "S20"
            }
          }
        },
        S27: {
          type: "structure",
          members: {
            ListenerArn: {},
            PortRanges: {
              shape: "S1p"
            },
            Protocol: {},
            ClientAffinity: {}
          }
        },
        S2l: {
          type: "structure",
          members: {
            FlowLogsEnabled: {
              type: "boolean"
            },
            FlowLogsS3Bucket: {},
            FlowLogsS3Prefix: {}
          }
        },
        S2q: {
          type: "structure",
          members: {
            FlowLogsEnabled: {
              type: "boolean"
            },
            FlowLogsS3Bucket: {},
            FlowLogsS3Prefix: {}
          }
        },
        S3k: {
          type: "structure",
          members: {
            IpAddress: {},
            Port: {
              type: "integer"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/globalaccelerator-2018-08-08.paginators.json
var require_globalaccelerator_2018_08_08_paginators = __commonJS({
  "node_modules/aws-sdk/apis/globalaccelerator-2018-08-08.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAccelerators: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Accelerators"
        },
        ListByoipCidrs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ByoipCidrs"
        },
        ListCustomRoutingAccelerators: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Accelerators"
        },
        ListCustomRoutingEndpointGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListCustomRoutingListeners: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Listeners"
        },
        ListCustomRoutingPortMappings: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "PortMappings"
        },
        ListCustomRoutingPortMappingsByDestination: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DestinationPortMappings"
        },
        ListEndpointGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "EndpointGroups"
        },
        ListListeners: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Listeners"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/globalaccelerator.js
var require_globalaccelerator = __commonJS({
  "node_modules/aws-sdk/clients/globalaccelerator.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["globalaccelerator"] = {};
    AWS2.GlobalAccelerator = Service.defineService("globalaccelerator", ["2018-08-08"]);
    Object.defineProperty(apiLoader.services["globalaccelerator"], "2018-08-08", {
      get: function get() {
        var model = require_globalaccelerator_2018_08_08_min();
        model.paginators = require_globalaccelerator_2018_08_08_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.GlobalAccelerator;
  }
});

// node_modules/aws-sdk/apis/comprehendmedical-2018-10-30.min.json
var require_comprehendmedical_2018_10_30_min = __commonJS({
  "node_modules/aws-sdk/apis/comprehendmedical-2018-10-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-10-30",
        endpointPrefix: "comprehendmedical",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "ComprehendMedical",
        serviceFullName: "AWS Comprehend Medical",
        serviceId: "ComprehendMedical",
        signatureVersion: "v4",
        signingName: "comprehendmedical",
        targetPrefix: "ComprehendMedical_20181030",
        uid: "comprehendmedical-2018-10-30"
      },
      operations: {
        DescribeEntitiesDetectionV2Job: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ComprehendMedicalAsyncJobProperties: {
                shape: "S4"
              }
            }
          }
        },
        DescribeICD10CMInferenceJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ComprehendMedicalAsyncJobProperties: {
                shape: "S4"
              }
            }
          }
        },
        DescribePHIDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ComprehendMedicalAsyncJobProperties: {
                shape: "S4"
              }
            }
          }
        },
        DescribeRxNormInferenceJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ComprehendMedicalAsyncJobProperties: {
                shape: "S4"
              }
            }
          }
        },
        DescribeSNOMEDCTInferenceJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ComprehendMedicalAsyncJobProperties: {
                shape: "S4"
              }
            }
          }
        },
        DetectEntities: {
          input: {
            type: "structure",
            required: [
              "Text"
            ],
            members: {
              Text: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Entities",
              "ModelVersion"
            ],
            members: {
              Entities: {
                shape: "St"
              },
              UnmappedAttributes: {
                shape: "S16"
              },
              PaginationToken: {},
              ModelVersion: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "This operation is deprecated, use DetectEntitiesV2 instead."
        },
        DetectEntitiesV2: {
          input: {
            type: "structure",
            required: [
              "Text"
            ],
            members: {
              Text: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Entities",
              "ModelVersion"
            ],
            members: {
              Entities: {
                shape: "St"
              },
              UnmappedAttributes: {
                shape: "S16"
              },
              PaginationToken: {},
              ModelVersion: {}
            }
          }
        },
        DetectPHI: {
          input: {
            type: "structure",
            required: [
              "Text"
            ],
            members: {
              Text: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Entities",
              "ModelVersion"
            ],
            members: {
              Entities: {
                shape: "St"
              },
              PaginationToken: {},
              ModelVersion: {}
            }
          }
        },
        InferICD10CM: {
          input: {
            type: "structure",
            required: [
              "Text"
            ],
            members: {
              Text: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Entities"
            ],
            members: {
              Entities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {
                      type: "integer"
                    },
                    Text: {},
                    Category: {},
                    Type: {},
                    Score: {
                      type: "float"
                    },
                    BeginOffset: {
                      type: "integer"
                    },
                    EndOffset: {
                      type: "integer"
                    },
                    Attributes: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Type: {},
                          Score: {
                            type: "float"
                          },
                          RelationshipScore: {
                            type: "float"
                          },
                          Id: {
                            type: "integer"
                          },
                          BeginOffset: {
                            type: "integer"
                          },
                          EndOffset: {
                            type: "integer"
                          },
                          Text: {},
                          Traits: {
                            shape: "S1m"
                          },
                          Category: {},
                          RelationshipType: {}
                        }
                      }
                    },
                    Traits: {
                      shape: "S1m"
                    },
                    ICD10CMConcepts: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Description: {},
                          Code: {},
                          Score: {
                            type: "float"
                          }
                        }
                      }
                    }
                  }
                }
              },
              PaginationToken: {},
              ModelVersion: {}
            }
          }
        },
        InferRxNorm: {
          input: {
            type: "structure",
            required: [
              "Text"
            ],
            members: {
              Text: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Entities"
            ],
            members: {
              Entities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {
                      type: "integer"
                    },
                    Text: {},
                    Category: {},
                    Type: {},
                    Score: {
                      type: "float"
                    },
                    BeginOffset: {
                      type: "integer"
                    },
                    EndOffset: {
                      type: "integer"
                    },
                    Attributes: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Type: {},
                          Score: {
                            type: "float"
                          },
                          RelationshipScore: {
                            type: "float"
                          },
                          Id: {
                            type: "integer"
                          },
                          BeginOffset: {
                            type: "integer"
                          },
                          EndOffset: {
                            type: "integer"
                          },
                          Text: {},
                          Traits: {
                            shape: "S21"
                          }
                        }
                      }
                    },
                    Traits: {
                      shape: "S21"
                    },
                    RxNormConcepts: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Description: {},
                          Code: {},
                          Score: {
                            type: "float"
                          }
                        }
                      }
                    }
                  }
                }
              },
              PaginationToken: {},
              ModelVersion: {}
            }
          }
        },
        InferSNOMEDCT: {
          input: {
            type: "structure",
            required: [
              "Text"
            ],
            members: {
              Text: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Entities"
            ],
            members: {
              Entities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {
                      type: "integer"
                    },
                    Text: {},
                    Category: {},
                    Type: {},
                    Score: {
                      type: "float"
                    },
                    BeginOffset: {
                      type: "integer"
                    },
                    EndOffset: {
                      type: "integer"
                    },
                    Attributes: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Category: {},
                          Type: {},
                          Score: {
                            type: "float"
                          },
                          RelationshipScore: {
                            type: "float"
                          },
                          RelationshipType: {},
                          Id: {
                            type: "integer"
                          },
                          BeginOffset: {
                            type: "integer"
                          },
                          EndOffset: {
                            type: "integer"
                          },
                          Text: {},
                          Traits: {
                            shape: "S2g"
                          },
                          SNOMEDCTConcepts: {
                            shape: "S2j"
                          }
                        }
                      }
                    },
                    Traits: {
                      shape: "S2g"
                    },
                    SNOMEDCTConcepts: {
                      shape: "S2j"
                    }
                  }
                }
              },
              PaginationToken: {},
              ModelVersion: {},
              SNOMEDCTDetails: {
                type: "structure",
                members: {
                  Edition: {},
                  Language: {},
                  VersionDate: {}
                }
              },
              Characters: {
                type: "structure",
                members: {
                  OriginalTextCharacters: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        ListEntitiesDetectionV2Jobs: {
          input: {
            type: "structure",
            members: {
              Filter: {
                shape: "S2o"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ComprehendMedicalAsyncJobPropertiesList: {
                shape: "S2r"
              },
              NextToken: {}
            }
          }
        },
        ListICD10CMInferenceJobs: {
          input: {
            type: "structure",
            members: {
              Filter: {
                shape: "S2o"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ComprehendMedicalAsyncJobPropertiesList: {
                shape: "S2r"
              },
              NextToken: {}
            }
          }
        },
        ListPHIDetectionJobs: {
          input: {
            type: "structure",
            members: {
              Filter: {
                shape: "S2o"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ComprehendMedicalAsyncJobPropertiesList: {
                shape: "S2r"
              },
              NextToken: {}
            }
          }
        },
        ListRxNormInferenceJobs: {
          input: {
            type: "structure",
            members: {
              Filter: {
                shape: "S2o"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ComprehendMedicalAsyncJobPropertiesList: {
                shape: "S2r"
              },
              NextToken: {}
            }
          }
        },
        ListSNOMEDCTInferenceJobs: {
          input: {
            type: "structure",
            members: {
              Filter: {
                shape: "S2o"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ComprehendMedicalAsyncJobPropertiesList: {
                shape: "S2r"
              },
              NextToken: {}
            }
          }
        },
        StartEntitiesDetectionV2Job: {
          input: {
            type: "structure",
            required: [
              "InputDataConfig",
              "OutputDataConfig",
              "DataAccessRoleArn",
              "LanguageCode"
            ],
            members: {
              InputDataConfig: {
                shape: "S9"
              },
              OutputDataConfig: {
                shape: "Sc"
              },
              DataAccessRoleArn: {},
              JobName: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              KMSKey: {},
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          }
        },
        StartICD10CMInferenceJob: {
          input: {
            type: "structure",
            required: [
              "InputDataConfig",
              "OutputDataConfig",
              "DataAccessRoleArn",
              "LanguageCode"
            ],
            members: {
              InputDataConfig: {
                shape: "S9"
              },
              OutputDataConfig: {
                shape: "Sc"
              },
              DataAccessRoleArn: {},
              JobName: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              KMSKey: {},
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          }
        },
        StartPHIDetectionJob: {
          input: {
            type: "structure",
            required: [
              "InputDataConfig",
              "OutputDataConfig",
              "DataAccessRoleArn",
              "LanguageCode"
            ],
            members: {
              InputDataConfig: {
                shape: "S9"
              },
              OutputDataConfig: {
                shape: "Sc"
              },
              DataAccessRoleArn: {},
              JobName: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              KMSKey: {},
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          }
        },
        StartRxNormInferenceJob: {
          input: {
            type: "structure",
            required: [
              "InputDataConfig",
              "OutputDataConfig",
              "DataAccessRoleArn",
              "LanguageCode"
            ],
            members: {
              InputDataConfig: {
                shape: "S9"
              },
              OutputDataConfig: {
                shape: "Sc"
              },
              DataAccessRoleArn: {},
              JobName: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              KMSKey: {},
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          }
        },
        StartSNOMEDCTInferenceJob: {
          input: {
            type: "structure",
            required: [
              "InputDataConfig",
              "OutputDataConfig",
              "DataAccessRoleArn",
              "LanguageCode"
            ],
            members: {
              InputDataConfig: {
                shape: "S9"
              },
              OutputDataConfig: {
                shape: "Sc"
              },
              DataAccessRoleArn: {},
              JobName: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              KMSKey: {},
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          }
        },
        StopEntitiesDetectionV2Job: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          }
        },
        StopICD10CMInferenceJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          }
        },
        StopPHIDetectionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          }
        },
        StopRxNormInferenceJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          }
        },
        StopSNOMEDCTInferenceJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            JobId: {},
            JobName: {},
            JobStatus: {},
            Message: {},
            SubmitTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            ExpirationTime: {
              type: "timestamp"
            },
            InputDataConfig: {
              shape: "S9"
            },
            OutputDataConfig: {
              shape: "Sc"
            },
            LanguageCode: {},
            DataAccessRoleArn: {},
            ManifestFilePath: {},
            KMSKey: {},
            ModelVersion: {}
          }
        },
        S9: {
          type: "structure",
          required: [
            "S3Bucket"
          ],
          members: {
            S3Bucket: {},
            S3Key: {}
          }
        },
        Sc: {
          type: "structure",
          required: [
            "S3Bucket"
          ],
          members: {
            S3Bucket: {},
            S3Key: {}
          }
        },
        St: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Id: {
                type: "integer"
              },
              BeginOffset: {
                type: "integer"
              },
              EndOffset: {
                type: "integer"
              },
              Score: {
                type: "float"
              },
              Text: {},
              Category: {},
              Type: {},
              Traits: {
                shape: "S10"
              },
              Attributes: {
                type: "list",
                member: {
                  shape: "S14"
                }
              }
            }
          }
        },
        S10: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Score: {
                type: "float"
              }
            }
          }
        },
        S14: {
          type: "structure",
          members: {
            Type: {},
            Score: {
              type: "float"
            },
            RelationshipScore: {
              type: "float"
            },
            RelationshipType: {},
            Id: {
              type: "integer"
            },
            BeginOffset: {
              type: "integer"
            },
            EndOffset: {
              type: "integer"
            },
            Text: {},
            Category: {},
            Traits: {
              shape: "S10"
            }
          }
        },
        S16: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {},
              Attribute: {
                shape: "S14"
              }
            }
          }
        },
        S1m: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Score: {
                type: "float"
              }
            }
          }
        },
        S21: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Score: {
                type: "float"
              }
            }
          }
        },
        S2g: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Score: {
                type: "float"
              }
            }
          }
        },
        S2j: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Description: {},
              Code: {},
              Score: {
                type: "float"
              }
            }
          }
        },
        S2o: {
          type: "structure",
          members: {
            JobName: {},
            JobStatus: {},
            SubmitTimeBefore: {
              type: "timestamp"
            },
            SubmitTimeAfter: {
              type: "timestamp"
            }
          }
        },
        S2r: {
          type: "list",
          member: {
            shape: "S4"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/comprehendmedical-2018-10-30.paginators.json
var require_comprehendmedical_2018_10_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/comprehendmedical-2018-10-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/comprehendmedical.js
var require_comprehendmedical = __commonJS({
  "node_modules/aws-sdk/clients/comprehendmedical.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["comprehendmedical"] = {};
    AWS2.ComprehendMedical = Service.defineService("comprehendmedical", ["2018-10-30"]);
    Object.defineProperty(apiLoader.services["comprehendmedical"], "2018-10-30", {
      get: function get() {
        var model = require_comprehendmedical_2018_10_30_min();
        model.paginators = require_comprehendmedical_2018_10_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ComprehendMedical;
  }
});

// node_modules/aws-sdk/apis/kinesisanalyticsv2-2018-05-23.min.json
var require_kinesisanalyticsv2_2018_05_23_min = __commonJS({
  "node_modules/aws-sdk/apis/kinesisanalyticsv2-2018-05-23.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-05-23",
        endpointPrefix: "kinesisanalytics",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Kinesis Analytics V2",
        serviceFullName: "Amazon Kinesis Analytics",
        serviceId: "Kinesis Analytics V2",
        signatureVersion: "v4",
        signingName: "kinesisanalytics",
        targetPrefix: "KinesisAnalytics_20180523",
        uid: "kinesisanalyticsv2-2018-05-23"
      },
      operations: {
        AddApplicationCloudWatchLoggingOption: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CloudWatchLoggingOption"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              CloudWatchLoggingOption: {
                shape: "S4"
              },
              ConditionalToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationARN: {},
              ApplicationVersionId: {
                type: "long"
              },
              CloudWatchLoggingOptionDescriptions: {
                shape: "S9"
              }
            }
          }
        },
        AddApplicationInput: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "Input"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              Input: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationARN: {},
              ApplicationVersionId: {
                type: "long"
              },
              InputDescriptions: {
                shape: "S12"
              }
            }
          }
        },
        AddApplicationInputProcessingConfiguration: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "InputId",
              "InputProcessingConfiguration"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              InputId: {},
              InputProcessingConfiguration: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationARN: {},
              ApplicationVersionId: {
                type: "long"
              },
              InputId: {},
              InputProcessingConfigurationDescription: {
                shape: "S15"
              }
            }
          }
        },
        AddApplicationOutput: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "Output"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              Output: {
                shape: "S1e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationARN: {},
              ApplicationVersionId: {
                type: "long"
              },
              OutputDescriptions: {
                shape: "S1k"
              }
            }
          }
        },
        AddApplicationReferenceDataSource: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "ReferenceDataSource"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              ReferenceDataSource: {
                shape: "S1q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationARN: {},
              ApplicationVersionId: {
                type: "long"
              },
              ReferenceDataSourceDescriptions: {
                shape: "S1w"
              }
            }
          }
        },
        AddApplicationVpcConfiguration: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "VpcConfiguration"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              VpcConfiguration: {
                shape: "S20"
              },
              ConditionalToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationARN: {},
              ApplicationVersionId: {
                type: "long"
              },
              VpcConfigurationDescription: {
                shape: "S26"
              }
            }
          }
        },
        CreateApplication: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "RuntimeEnvironment",
              "ServiceExecutionRole"
            ],
            members: {
              ApplicationName: {},
              ApplicationDescription: {},
              RuntimeEnvironment: {},
              ServiceExecutionRole: {},
              ApplicationConfiguration: {
                type: "structure",
                members: {
                  SqlApplicationConfiguration: {
                    type: "structure",
                    members: {
                      Inputs: {
                        type: "list",
                        member: {
                          shape: "Se"
                        }
                      },
                      Outputs: {
                        type: "list",
                        member: {
                          shape: "S1e"
                        }
                      },
                      ReferenceDataSources: {
                        type: "list",
                        member: {
                          shape: "S1q"
                        }
                      }
                    }
                  },
                  FlinkApplicationConfiguration: {
                    type: "structure",
                    members: {
                      CheckpointConfiguration: {
                        type: "structure",
                        required: [
                          "ConfigurationType"
                        ],
                        members: {
                          ConfigurationType: {},
                          CheckpointingEnabled: {
                            type: "boolean"
                          },
                          CheckpointInterval: {
                            type: "long"
                          },
                          MinPauseBetweenCheckpoints: {
                            type: "long"
                          }
                        }
                      },
                      MonitoringConfiguration: {
                        type: "structure",
                        required: [
                          "ConfigurationType"
                        ],
                        members: {
                          ConfigurationType: {},
                          MetricsLevel: {},
                          LogLevel: {}
                        }
                      },
                      ParallelismConfiguration: {
                        type: "structure",
                        required: [
                          "ConfigurationType"
                        ],
                        members: {
                          ConfigurationType: {},
                          Parallelism: {
                            type: "integer"
                          },
                          ParallelismPerKPU: {
                            type: "integer"
                          },
                          AutoScalingEnabled: {
                            type: "boolean"
                          }
                        }
                      }
                    }
                  },
                  EnvironmentProperties: {
                    type: "structure",
                    required: [
                      "PropertyGroups"
                    ],
                    members: {
                      PropertyGroups: {
                        shape: "S2t"
                      }
                    }
                  },
                  ApplicationCodeConfiguration: {
                    type: "structure",
                    required: [
                      "CodeContentType"
                    ],
                    members: {
                      CodeContent: {
                        type: "structure",
                        members: {
                          TextContent: {},
                          ZipFileContent: {
                            type: "blob"
                          },
                          S3ContentLocation: {
                            shape: "S32"
                          }
                        }
                      },
                      CodeContentType: {}
                    }
                  },
                  ApplicationSnapshotConfiguration: {
                    type: "structure",
                    required: [
                      "SnapshotsEnabled"
                    ],
                    members: {
                      SnapshotsEnabled: {
                        type: "boolean"
                      }
                    }
                  },
                  VpcConfigurations: {
                    type: "list",
                    member: {
                      shape: "S20"
                    }
                  },
                  ZeppelinApplicationConfiguration: {
                    type: "structure",
                    members: {
                      MonitoringConfiguration: {
                        type: "structure",
                        required: [
                          "LogLevel"
                        ],
                        members: {
                          LogLevel: {}
                        }
                      },
                      CatalogConfiguration: {
                        type: "structure",
                        required: [
                          "GlueDataCatalogConfiguration"
                        ],
                        members: {
                          GlueDataCatalogConfiguration: {
                            type: "structure",
                            required: [
                              "DatabaseARN"
                            ],
                            members: {
                              DatabaseARN: {}
                            }
                          }
                        }
                      },
                      DeployAsApplicationConfiguration: {
                        type: "structure",
                        required: [
                          "S3ContentLocation"
                        ],
                        members: {
                          S3ContentLocation: {
                            type: "structure",
                            required: [
                              "BucketARN"
                            ],
                            members: {
                              BucketARN: {},
                              BasePath: {}
                            }
                          }
                        }
                      },
                      CustomArtifactsConfiguration: {
                        shape: "S3f"
                      }
                    }
                  }
                }
              },
              CloudWatchLoggingOptions: {
                type: "list",
                member: {
                  shape: "S4"
                }
              },
              Tags: {
                shape: "S3n"
              },
              ApplicationMode: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ApplicationDetail"
            ],
            members: {
              ApplicationDetail: {
                shape: "S3t"
              }
            }
          }
        },
        CreateApplicationPresignedUrl: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "UrlType"
            ],
            members: {
              ApplicationName: {},
              UrlType: {},
              SessionExpirationDurationInSeconds: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AuthorizedUrl: {}
            }
          }
        },
        CreateApplicationSnapshot: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "SnapshotName"
            ],
            members: {
              ApplicationName: {},
              SnapshotName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteApplication: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CreateTimestamp"
            ],
            members: {
              ApplicationName: {},
              CreateTimestamp: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteApplicationCloudWatchLoggingOption: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CloudWatchLoggingOptionId"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              CloudWatchLoggingOptionId: {},
              ConditionalToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationARN: {},
              ApplicationVersionId: {
                type: "long"
              },
              CloudWatchLoggingOptionDescriptions: {
                shape: "S9"
              }
            }
          }
        },
        DeleteApplicationInputProcessingConfiguration: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "InputId"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              InputId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationARN: {},
              ApplicationVersionId: {
                type: "long"
              }
            }
          }
        },
        DeleteApplicationOutput: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "OutputId"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              OutputId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationARN: {},
              ApplicationVersionId: {
                type: "long"
              }
            }
          }
        },
        DeleteApplicationReferenceDataSource: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId",
              "ReferenceId"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              ReferenceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationARN: {},
              ApplicationVersionId: {
                type: "long"
              }
            }
          }
        },
        DeleteApplicationSnapshot: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "SnapshotName",
              "SnapshotCreationTimestamp"
            ],
            members: {
              ApplicationName: {},
              SnapshotName: {},
              SnapshotCreationTimestamp: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteApplicationVpcConfiguration: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "VpcConfigurationId"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              VpcConfigurationId: {},
              ConditionalToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationARN: {},
              ApplicationVersionId: {
                type: "long"
              }
            }
          }
        },
        DescribeApplication: {
          input: {
            type: "structure",
            required: [
              "ApplicationName"
            ],
            members: {
              ApplicationName: {},
              IncludeAdditionalDetails: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ApplicationDetail"
            ],
            members: {
              ApplicationDetail: {
                shape: "S3t"
              }
            }
          }
        },
        DescribeApplicationSnapshot: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "SnapshotName"
            ],
            members: {
              ApplicationName: {},
              SnapshotName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "SnapshotDetails"
            ],
            members: {
              SnapshotDetails: {
                shape: "S5g"
              }
            }
          }
        },
        DescribeApplicationVersion: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "ApplicationVersionId"
            ],
            members: {
              ApplicationName: {},
              ApplicationVersionId: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationVersionDetail: {
                shape: "S3t"
              }
            }
          }
        },
        DiscoverInputSchema: {
          input: {
            type: "structure",
            required: [
              "ServiceExecutionRole"
            ],
            members: {
              ResourceARN: {},
              ServiceExecutionRole: {},
              InputStartingPositionConfiguration: {
                shape: "S19"
              },
              S3Configuration: {
                type: "structure",
                required: [
                  "BucketARN",
                  "FileKey"
                ],
                members: {
                  BucketARN: {},
                  FileKey: {}
                }
              },
              InputProcessingConfiguration: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InputSchema: {
                shape: "Sm"
              },
              ParsedInputRecords: {
                type: "list",
                member: {
                  type: "list",
                  member: {}
                }
              },
              ProcessedInputRecords: {
                type: "list",
                member: {}
              },
              RawInputRecords: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ListApplicationSnapshots: {
          input: {
            type: "structure",
            required: [
              "ApplicationName"
            ],
            members: {
              ApplicationName: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SnapshotSummaries: {
                type: "list",
                member: {
                  shape: "S5g"
                }
              },
              NextToken: {}
            }
          }
        },
        ListApplicationVersions: {
          input: {
            type: "structure",
            required: [
              "ApplicationName"
            ],
            members: {
              ApplicationName: {},
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationVersionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ApplicationVersionId",
                    "ApplicationStatus"
                  ],
                  members: {
                    ApplicationVersionId: {
                      type: "long"
                    },
                    ApplicationStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListApplications: {
          input: {
            type: "structure",
            members: {
              Limit: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ApplicationSummaries"
            ],
            members: {
              ApplicationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ApplicationName",
                    "ApplicationARN",
                    "ApplicationStatus",
                    "ApplicationVersionId",
                    "RuntimeEnvironment"
                  ],
                  members: {
                    ApplicationName: {},
                    ApplicationARN: {},
                    ApplicationStatus: {},
                    ApplicationVersionId: {
                      type: "long"
                    },
                    RuntimeEnvironment: {},
                    ApplicationMode: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S3n"
              }
            }
          }
        },
        RollbackApplication: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "CurrentApplicationVersionId"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ApplicationDetail"
            ],
            members: {
              ApplicationDetail: {
                shape: "S3t"
              }
            }
          }
        },
        StartApplication: {
          input: {
            type: "structure",
            required: [
              "ApplicationName"
            ],
            members: {
              ApplicationName: {},
              RunConfiguration: {
                type: "structure",
                members: {
                  FlinkRunConfiguration: {
                    shape: "S47"
                  },
                  SqlRunConfigurations: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "InputId",
                        "InputStartingPositionConfiguration"
                      ],
                      members: {
                        InputId: {},
                        InputStartingPositionConfiguration: {
                          shape: "S19"
                        }
                      }
                    }
                  },
                  ApplicationRestoreConfiguration: {
                    shape: "S44"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StopApplication: {
          input: {
            type: "structure",
            required: [
              "ApplicationName"
            ],
            members: {
              ApplicationName: {},
              Force: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S3n"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateApplication: {
          input: {
            type: "structure",
            required: [
              "ApplicationName"
            ],
            members: {
              ApplicationName: {},
              CurrentApplicationVersionId: {
                type: "long"
              },
              ApplicationConfigurationUpdate: {
                type: "structure",
                members: {
                  SqlApplicationConfigurationUpdate: {
                    type: "structure",
                    members: {
                      InputUpdates: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "InputId"
                          ],
                          members: {
                            InputId: {},
                            NamePrefixUpdate: {},
                            InputProcessingConfigurationUpdate: {
                              type: "structure",
                              required: [
                                "InputLambdaProcessorUpdate"
                              ],
                              members: {
                                InputLambdaProcessorUpdate: {
                                  type: "structure",
                                  required: [
                                    "ResourceARNUpdate"
                                  ],
                                  members: {
                                    ResourceARNUpdate: {}
                                  }
                                }
                              }
                            },
                            KinesisStreamsInputUpdate: {
                              type: "structure",
                              required: [
                                "ResourceARNUpdate"
                              ],
                              members: {
                                ResourceARNUpdate: {}
                              }
                            },
                            KinesisFirehoseInputUpdate: {
                              type: "structure",
                              required: [
                                "ResourceARNUpdate"
                              ],
                              members: {
                                ResourceARNUpdate: {}
                              }
                            },
                            InputSchemaUpdate: {
                              type: "structure",
                              members: {
                                RecordFormatUpdate: {
                                  shape: "Sn"
                                },
                                RecordEncodingUpdate: {},
                                RecordColumnUpdates: {
                                  shape: "Sw"
                                }
                              }
                            },
                            InputParallelismUpdate: {
                              type: "structure",
                              required: [
                                "CountUpdate"
                              ],
                              members: {
                                CountUpdate: {
                                  type: "integer"
                                }
                              }
                            }
                          }
                        }
                      },
                      OutputUpdates: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "OutputId"
                          ],
                          members: {
                            OutputId: {},
                            NameUpdate: {},
                            KinesisStreamsOutputUpdate: {
                              type: "structure",
                              required: [
                                "ResourceARNUpdate"
                              ],
                              members: {
                                ResourceARNUpdate: {}
                              }
                            },
                            KinesisFirehoseOutputUpdate: {
                              type: "structure",
                              required: [
                                "ResourceARNUpdate"
                              ],
                              members: {
                                ResourceARNUpdate: {}
                              }
                            },
                            LambdaOutputUpdate: {
                              type: "structure",
                              required: [
                                "ResourceARNUpdate"
                              ],
                              members: {
                                ResourceARNUpdate: {}
                              }
                            },
                            DestinationSchemaUpdate: {
                              shape: "S1i"
                            }
                          }
                        }
                      },
                      ReferenceDataSourceUpdates: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "ReferenceId"
                          ],
                          members: {
                            ReferenceId: {},
                            TableNameUpdate: {},
                            S3ReferenceDataSourceUpdate: {
                              type: "structure",
                              members: {
                                BucketARNUpdate: {},
                                FileKeyUpdate: {}
                              }
                            },
                            ReferenceSchemaUpdate: {
                              shape: "Sm"
                            }
                          }
                        }
                      }
                    }
                  },
                  ApplicationCodeConfigurationUpdate: {
                    type: "structure",
                    members: {
                      CodeContentTypeUpdate: {},
                      CodeContentUpdate: {
                        type: "structure",
                        members: {
                          TextContentUpdate: {},
                          ZipFileContentUpdate: {
                            type: "blob"
                          },
                          S3ContentLocationUpdate: {
                            type: "structure",
                            members: {
                              BucketARNUpdate: {},
                              FileKeyUpdate: {},
                              ObjectVersionUpdate: {}
                            }
                          }
                        }
                      }
                    }
                  },
                  FlinkApplicationConfigurationUpdate: {
                    type: "structure",
                    members: {
                      CheckpointConfigurationUpdate: {
                        type: "structure",
                        members: {
                          ConfigurationTypeUpdate: {},
                          CheckpointingEnabledUpdate: {
                            type: "boolean"
                          },
                          CheckpointIntervalUpdate: {
                            type: "long"
                          },
                          MinPauseBetweenCheckpointsUpdate: {
                            type: "long"
                          }
                        }
                      },
                      MonitoringConfigurationUpdate: {
                        type: "structure",
                        members: {
                          ConfigurationTypeUpdate: {},
                          MetricsLevelUpdate: {},
                          LogLevelUpdate: {}
                        }
                      },
                      ParallelismConfigurationUpdate: {
                        type: "structure",
                        members: {
                          ConfigurationTypeUpdate: {},
                          ParallelismUpdate: {
                            type: "integer"
                          },
                          ParallelismPerKPUUpdate: {
                            type: "integer"
                          },
                          AutoScalingEnabledUpdate: {
                            type: "boolean"
                          }
                        }
                      }
                    }
                  },
                  EnvironmentPropertyUpdates: {
                    type: "structure",
                    required: [
                      "PropertyGroups"
                    ],
                    members: {
                      PropertyGroups: {
                        shape: "S2t"
                      }
                    }
                  },
                  ApplicationSnapshotConfigurationUpdate: {
                    type: "structure",
                    required: [
                      "SnapshotsEnabledUpdate"
                    ],
                    members: {
                      SnapshotsEnabledUpdate: {
                        type: "boolean"
                      }
                    }
                  },
                  VpcConfigurationUpdates: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "VpcConfigurationId"
                      ],
                      members: {
                        VpcConfigurationId: {},
                        SubnetIdUpdates: {
                          shape: "S21"
                        },
                        SecurityGroupIdUpdates: {
                          shape: "S23"
                        }
                      }
                    }
                  },
                  ZeppelinApplicationConfigurationUpdate: {
                    type: "structure",
                    members: {
                      MonitoringConfigurationUpdate: {
                        type: "structure",
                        required: [
                          "LogLevelUpdate"
                        ],
                        members: {
                          LogLevelUpdate: {}
                        }
                      },
                      CatalogConfigurationUpdate: {
                        type: "structure",
                        required: [
                          "GlueDataCatalogConfigurationUpdate"
                        ],
                        members: {
                          GlueDataCatalogConfigurationUpdate: {
                            type: "structure",
                            required: [
                              "DatabaseARNUpdate"
                            ],
                            members: {
                              DatabaseARNUpdate: {}
                            }
                          }
                        }
                      },
                      DeployAsApplicationConfigurationUpdate: {
                        type: "structure",
                        members: {
                          S3ContentLocationUpdate: {
                            type: "structure",
                            members: {
                              BucketARNUpdate: {},
                              BasePathUpdate: {}
                            }
                          }
                        }
                      },
                      CustomArtifactsConfigurationUpdate: {
                        shape: "S3f"
                      }
                    }
                  }
                }
              },
              ServiceExecutionRoleUpdate: {},
              RunConfigurationUpdate: {
                type: "structure",
                members: {
                  FlinkRunConfiguration: {
                    shape: "S47"
                  },
                  ApplicationRestoreConfiguration: {
                    shape: "S44"
                  }
                }
              },
              CloudWatchLoggingOptionUpdates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "CloudWatchLoggingOptionId"
                  ],
                  members: {
                    CloudWatchLoggingOptionId: {},
                    LogStreamARNUpdate: {}
                  }
                }
              },
              ConditionalToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ApplicationDetail"
            ],
            members: {
              ApplicationDetail: {
                shape: "S3t"
              }
            }
          }
        },
        UpdateApplicationMaintenanceConfiguration: {
          input: {
            type: "structure",
            required: [
              "ApplicationName",
              "ApplicationMaintenanceConfigurationUpdate"
            ],
            members: {
              ApplicationName: {},
              ApplicationMaintenanceConfigurationUpdate: {
                type: "structure",
                required: [
                  "ApplicationMaintenanceWindowStartTimeUpdate"
                ],
                members: {
                  ApplicationMaintenanceWindowStartTimeUpdate: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationARN: {},
              ApplicationMaintenanceConfigurationDescription: {
                shape: "S4o"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          required: [
            "LogStreamARN"
          ],
          members: {
            LogStreamARN: {}
          }
        },
        S9: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "LogStreamARN"
            ],
            members: {
              CloudWatchLoggingOptionId: {},
              LogStreamARN: {},
              RoleARN: {}
            }
          }
        },
        Se: {
          type: "structure",
          required: [
            "NamePrefix",
            "InputSchema"
          ],
          members: {
            NamePrefix: {},
            InputProcessingConfiguration: {
              shape: "Sg"
            },
            KinesisStreamsInput: {
              type: "structure",
              required: [
                "ResourceARN"
              ],
              members: {
                ResourceARN: {}
              }
            },
            KinesisFirehoseInput: {
              type: "structure",
              required: [
                "ResourceARN"
              ],
              members: {
                ResourceARN: {}
              }
            },
            InputParallelism: {
              shape: "Sk"
            },
            InputSchema: {
              shape: "Sm"
            }
          }
        },
        Sg: {
          type: "structure",
          required: [
            "InputLambdaProcessor"
          ],
          members: {
            InputLambdaProcessor: {
              type: "structure",
              required: [
                "ResourceARN"
              ],
              members: {
                ResourceARN: {}
              }
            }
          }
        },
        Sk: {
          type: "structure",
          members: {
            Count: {
              type: "integer"
            }
          }
        },
        Sm: {
          type: "structure",
          required: [
            "RecordFormat",
            "RecordColumns"
          ],
          members: {
            RecordFormat: {
              shape: "Sn"
            },
            RecordEncoding: {},
            RecordColumns: {
              shape: "Sw"
            }
          }
        },
        Sn: {
          type: "structure",
          required: [
            "RecordFormatType"
          ],
          members: {
            RecordFormatType: {},
            MappingParameters: {
              type: "structure",
              members: {
                JSONMappingParameters: {
                  type: "structure",
                  required: [
                    "RecordRowPath"
                  ],
                  members: {
                    RecordRowPath: {}
                  }
                },
                CSVMappingParameters: {
                  type: "structure",
                  required: [
                    "RecordRowDelimiter",
                    "RecordColumnDelimiter"
                  ],
                  members: {
                    RecordRowDelimiter: {},
                    RecordColumnDelimiter: {}
                  }
                }
              }
            }
          }
        },
        Sw: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "SqlType"
            ],
            members: {
              Name: {},
              Mapping: {},
              SqlType: {}
            }
          }
        },
        S12: {
          type: "list",
          member: {
            type: "structure",
            members: {
              InputId: {},
              NamePrefix: {},
              InAppStreamNames: {
                type: "list",
                member: {}
              },
              InputProcessingConfigurationDescription: {
                shape: "S15"
              },
              KinesisStreamsInputDescription: {
                type: "structure",
                required: [
                  "ResourceARN"
                ],
                members: {
                  ResourceARN: {},
                  RoleARN: {}
                }
              },
              KinesisFirehoseInputDescription: {
                type: "structure",
                required: [
                  "ResourceARN"
                ],
                members: {
                  ResourceARN: {},
                  RoleARN: {}
                }
              },
              InputSchema: {
                shape: "Sm"
              },
              InputParallelism: {
                shape: "Sk"
              },
              InputStartingPositionConfiguration: {
                shape: "S19"
              }
            }
          }
        },
        S15: {
          type: "structure",
          members: {
            InputLambdaProcessorDescription: {
              type: "structure",
              required: [
                "ResourceARN"
              ],
              members: {
                ResourceARN: {},
                RoleARN: {}
              }
            }
          }
        },
        S19: {
          type: "structure",
          members: {
            InputStartingPosition: {}
          }
        },
        S1e: {
          type: "structure",
          required: [
            "Name",
            "DestinationSchema"
          ],
          members: {
            Name: {},
            KinesisStreamsOutput: {
              type: "structure",
              required: [
                "ResourceARN"
              ],
              members: {
                ResourceARN: {}
              }
            },
            KinesisFirehoseOutput: {
              type: "structure",
              required: [
                "ResourceARN"
              ],
              members: {
                ResourceARN: {}
              }
            },
            LambdaOutput: {
              type: "structure",
              required: [
                "ResourceARN"
              ],
              members: {
                ResourceARN: {}
              }
            },
            DestinationSchema: {
              shape: "S1i"
            }
          }
        },
        S1i: {
          type: "structure",
          required: [
            "RecordFormatType"
          ],
          members: {
            RecordFormatType: {}
          }
        },
        S1k: {
          type: "list",
          member: {
            type: "structure",
            members: {
              OutputId: {},
              Name: {},
              KinesisStreamsOutputDescription: {
                type: "structure",
                required: [
                  "ResourceARN"
                ],
                members: {
                  ResourceARN: {},
                  RoleARN: {}
                }
              },
              KinesisFirehoseOutputDescription: {
                type: "structure",
                required: [
                  "ResourceARN"
                ],
                members: {
                  ResourceARN: {},
                  RoleARN: {}
                }
              },
              LambdaOutputDescription: {
                type: "structure",
                required: [
                  "ResourceARN"
                ],
                members: {
                  ResourceARN: {},
                  RoleARN: {}
                }
              },
              DestinationSchema: {
                shape: "S1i"
              }
            }
          }
        },
        S1q: {
          type: "structure",
          required: [
            "TableName",
            "ReferenceSchema"
          ],
          members: {
            TableName: {},
            S3ReferenceDataSource: {
              type: "structure",
              members: {
                BucketARN: {},
                FileKey: {}
              }
            },
            ReferenceSchema: {
              shape: "Sm"
            }
          }
        },
        S1w: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ReferenceId",
              "TableName",
              "S3ReferenceDataSourceDescription"
            ],
            members: {
              ReferenceId: {},
              TableName: {},
              S3ReferenceDataSourceDescription: {
                type: "structure",
                required: [
                  "BucketARN",
                  "FileKey"
                ],
                members: {
                  BucketARN: {},
                  FileKey: {},
                  ReferenceRoleARN: {}
                }
              },
              ReferenceSchema: {
                shape: "Sm"
              }
            }
          }
        },
        S20: {
          type: "structure",
          required: [
            "SubnetIds",
            "SecurityGroupIds"
          ],
          members: {
            SubnetIds: {
              shape: "S21"
            },
            SecurityGroupIds: {
              shape: "S23"
            }
          }
        },
        S21: {
          type: "list",
          member: {}
        },
        S23: {
          type: "list",
          member: {}
        },
        S26: {
          type: "structure",
          required: [
            "VpcConfigurationId",
            "VpcId",
            "SubnetIds",
            "SecurityGroupIds"
          ],
          members: {
            VpcConfigurationId: {},
            VpcId: {},
            SubnetIds: {
              shape: "S21"
            },
            SecurityGroupIds: {
              shape: "S23"
            }
          }
        },
        S2t: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "PropertyGroupId",
              "PropertyMap"
            ],
            members: {
              PropertyGroupId: {},
              PropertyMap: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        S32: {
          type: "structure",
          required: [
            "BucketARN",
            "FileKey"
          ],
          members: {
            BucketARN: {},
            FileKey: {},
            ObjectVersion: {}
          }
        },
        S3f: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ArtifactType"
            ],
            members: {
              ArtifactType: {},
              S3ContentLocation: {
                shape: "S32"
              },
              MavenReference: {
                shape: "S3i"
              }
            }
          }
        },
        S3i: {
          type: "structure",
          required: [
            "GroupId",
            "ArtifactId",
            "Version"
          ],
          members: {
            GroupId: {},
            ArtifactId: {},
            Version: {}
          }
        },
        S3n: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S3t: {
          type: "structure",
          required: [
            "ApplicationARN",
            "ApplicationName",
            "RuntimeEnvironment",
            "ApplicationStatus",
            "ApplicationVersionId"
          ],
          members: {
            ApplicationARN: {},
            ApplicationDescription: {},
            ApplicationName: {},
            RuntimeEnvironment: {},
            ServiceExecutionRole: {},
            ApplicationStatus: {},
            ApplicationVersionId: {
              type: "long"
            },
            CreateTimestamp: {
              type: "timestamp"
            },
            LastUpdateTimestamp: {
              type: "timestamp"
            },
            ApplicationConfigurationDescription: {
              type: "structure",
              members: {
                SqlApplicationConfigurationDescription: {
                  type: "structure",
                  members: {
                    InputDescriptions: {
                      shape: "S12"
                    },
                    OutputDescriptions: {
                      shape: "S1k"
                    },
                    ReferenceDataSourceDescriptions: {
                      shape: "S1w"
                    }
                  }
                },
                ApplicationCodeConfigurationDescription: {
                  type: "structure",
                  required: [
                    "CodeContentType"
                  ],
                  members: {
                    CodeContentType: {},
                    CodeContentDescription: {
                      type: "structure",
                      members: {
                        TextContent: {},
                        CodeMD5: {},
                        CodeSize: {
                          type: "long"
                        },
                        S3ApplicationCodeLocationDescription: {
                          type: "structure",
                          required: [
                            "BucketARN",
                            "FileKey"
                          ],
                          members: {
                            BucketARN: {},
                            FileKey: {},
                            ObjectVersion: {}
                          }
                        }
                      }
                    }
                  }
                },
                RunConfigurationDescription: {
                  type: "structure",
                  members: {
                    ApplicationRestoreConfigurationDescription: {
                      shape: "S44"
                    },
                    FlinkRunConfigurationDescription: {
                      shape: "S47"
                    }
                  }
                },
                FlinkApplicationConfigurationDescription: {
                  type: "structure",
                  members: {
                    CheckpointConfigurationDescription: {
                      type: "structure",
                      members: {
                        ConfigurationType: {},
                        CheckpointingEnabled: {
                          type: "boolean"
                        },
                        CheckpointInterval: {
                          type: "long"
                        },
                        MinPauseBetweenCheckpoints: {
                          type: "long"
                        }
                      }
                    },
                    MonitoringConfigurationDescription: {
                      type: "structure",
                      members: {
                        ConfigurationType: {},
                        MetricsLevel: {},
                        LogLevel: {}
                      }
                    },
                    ParallelismConfigurationDescription: {
                      type: "structure",
                      members: {
                        ConfigurationType: {},
                        Parallelism: {
                          type: "integer"
                        },
                        ParallelismPerKPU: {
                          type: "integer"
                        },
                        CurrentParallelism: {
                          type: "integer"
                        },
                        AutoScalingEnabled: {
                          type: "boolean"
                        }
                      }
                    },
                    JobPlanDescription: {}
                  }
                },
                EnvironmentPropertyDescriptions: {
                  type: "structure",
                  members: {
                    PropertyGroupDescriptions: {
                      shape: "S2t"
                    }
                  }
                },
                ApplicationSnapshotConfigurationDescription: {
                  type: "structure",
                  required: [
                    "SnapshotsEnabled"
                  ],
                  members: {
                    SnapshotsEnabled: {
                      type: "boolean"
                    }
                  }
                },
                VpcConfigurationDescriptions: {
                  type: "list",
                  member: {
                    shape: "S26"
                  }
                },
                ZeppelinApplicationConfigurationDescription: {
                  type: "structure",
                  required: [
                    "MonitoringConfigurationDescription"
                  ],
                  members: {
                    MonitoringConfigurationDescription: {
                      type: "structure",
                      members: {
                        LogLevel: {}
                      }
                    },
                    CatalogConfigurationDescription: {
                      type: "structure",
                      required: [
                        "GlueDataCatalogConfigurationDescription"
                      ],
                      members: {
                        GlueDataCatalogConfigurationDescription: {
                          type: "structure",
                          required: [
                            "DatabaseARN"
                          ],
                          members: {
                            DatabaseARN: {}
                          }
                        }
                      }
                    },
                    DeployAsApplicationConfigurationDescription: {
                      type: "structure",
                      required: [
                        "S3ContentLocationDescription"
                      ],
                      members: {
                        S3ContentLocationDescription: {
                          type: "structure",
                          required: [
                            "BucketARN"
                          ],
                          members: {
                            BucketARN: {},
                            BasePath: {}
                          }
                        }
                      }
                    },
                    CustomArtifactsConfigurationDescription: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ArtifactType: {},
                          S3ContentLocationDescription: {
                            shape: "S32"
                          },
                          MavenReferenceDescription: {
                            shape: "S3i"
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            CloudWatchLoggingOptionDescriptions: {
              shape: "S9"
            },
            ApplicationMaintenanceConfigurationDescription: {
              shape: "S4o"
            },
            ApplicationVersionUpdatedFrom: {
              type: "long"
            },
            ApplicationVersionRolledBackFrom: {
              type: "long"
            },
            ConditionalToken: {},
            ApplicationVersionRolledBackTo: {
              type: "long"
            },
            ApplicationMode: {}
          }
        },
        S44: {
          type: "structure",
          required: [
            "ApplicationRestoreType"
          ],
          members: {
            ApplicationRestoreType: {},
            SnapshotName: {}
          }
        },
        S47: {
          type: "structure",
          members: {
            AllowNonRestoredState: {
              type: "boolean"
            }
          }
        },
        S4o: {
          type: "structure",
          required: [
            "ApplicationMaintenanceWindowStartTime",
            "ApplicationMaintenanceWindowEndTime"
          ],
          members: {
            ApplicationMaintenanceWindowStartTime: {},
            ApplicationMaintenanceWindowEndTime: {}
          }
        },
        S5g: {
          type: "structure",
          required: [
            "SnapshotName",
            "SnapshotStatus",
            "ApplicationVersionId"
          ],
          members: {
            SnapshotName: {},
            SnapshotStatus: {},
            ApplicationVersionId: {
              type: "long"
            },
            SnapshotCreationTimestamp: {
              type: "timestamp"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/kinesisanalyticsv2-2018-05-23.paginators.json
var require_kinesisanalyticsv2_2018_05_23_paginators = __commonJS({
  "node_modules/aws-sdk/apis/kinesisanalyticsv2-2018-05-23.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/kinesisanalyticsv2.js
var require_kinesisanalyticsv2 = __commonJS({
  "node_modules/aws-sdk/clients/kinesisanalyticsv2.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["kinesisanalyticsv2"] = {};
    AWS2.KinesisAnalyticsV2 = Service.defineService("kinesisanalyticsv2", ["2018-05-23"]);
    Object.defineProperty(apiLoader.services["kinesisanalyticsv2"], "2018-05-23", {
      get: function get() {
        var model = require_kinesisanalyticsv2_2018_05_23_min();
        model.paginators = require_kinesisanalyticsv2_2018_05_23_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.KinesisAnalyticsV2;
  }
});

// node_modules/aws-sdk/apis/mediaconnect-2018-11-14.min.json
var require_mediaconnect_2018_11_14_min = __commonJS({
  "node_modules/aws-sdk/apis/mediaconnect-2018-11-14.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2018-11-14",
        endpointPrefix: "mediaconnect",
        signingName: "mediaconnect",
        serviceFullName: "AWS MediaConnect",
        serviceId: "MediaConnect",
        protocol: "rest-json",
        jsonVersion: "1.1",
        uid: "mediaconnect-2018-11-14",
        signatureVersion: "v4"
      },
      operations: {
        AddBridgeOutputs: {
          http: {
            requestUri: "/v1/bridges/{bridgeArn}/outputs",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              BridgeArn: {
                location: "uri",
                locationName: "bridgeArn"
              },
              Outputs: {
                shape: "S3",
                locationName: "outputs"
              }
            },
            required: [
              "BridgeArn",
              "Outputs"
            ]
          },
          output: {
            type: "structure",
            members: {
              BridgeArn: {
                locationName: "bridgeArn"
              },
              Outputs: {
                shape: "S9",
                locationName: "outputs"
              }
            }
          }
        },
        AddBridgeSources: {
          http: {
            requestUri: "/v1/bridges/{bridgeArn}/sources",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              BridgeArn: {
                location: "uri",
                locationName: "bridgeArn"
              },
              Sources: {
                shape: "Se",
                locationName: "sources"
              }
            },
            required: [
              "BridgeArn",
              "Sources"
            ]
          },
          output: {
            type: "structure",
            members: {
              BridgeArn: {
                locationName: "bridgeArn"
              },
              Sources: {
                shape: "Sk",
                locationName: "sources"
              }
            }
          }
        },
        AddFlowMediaStreams: {
          http: {
            requestUri: "/v1/flows/{flowArn}/mediaStreams",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              },
              MediaStreams: {
                shape: "Sp",
                locationName: "mediaStreams"
              }
            },
            required: [
              "FlowArn",
              "MediaStreams"
            ]
          },
          output: {
            type: "structure",
            members: {
              FlowArn: {
                locationName: "flowArn"
              },
              MediaStreams: {
                shape: "Sz",
                locationName: "mediaStreams"
              }
            }
          }
        },
        AddFlowOutputs: {
          http: {
            requestUri: "/v1/flows/{flowArn}/outputs",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              },
              Outputs: {
                shape: "S14",
                locationName: "outputs"
              }
            },
            required: [
              "FlowArn",
              "Outputs"
            ]
          },
          output: {
            type: "structure",
            members: {
              FlowArn: {
                locationName: "flowArn"
              },
              Outputs: {
                shape: "S1k",
                locationName: "outputs"
              }
            }
          }
        },
        AddFlowSources: {
          http: {
            requestUri: "/v1/flows/{flowArn}/source",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              },
              Sources: {
                shape: "S1v",
                locationName: "sources"
              }
            },
            required: [
              "FlowArn",
              "Sources"
            ]
          },
          output: {
            type: "structure",
            members: {
              FlowArn: {
                locationName: "flowArn"
              },
              Sources: {
                shape: "S23",
                locationName: "sources"
              }
            }
          }
        },
        AddFlowVpcInterfaces: {
          http: {
            requestUri: "/v1/flows/{flowArn}/vpcInterfaces",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              },
              VpcInterfaces: {
                shape: "S2b",
                locationName: "vpcInterfaces"
              }
            },
            required: [
              "FlowArn",
              "VpcInterfaces"
            ]
          },
          output: {
            type: "structure",
            members: {
              FlowArn: {
                locationName: "flowArn"
              },
              VpcInterfaces: {
                shape: "S2f",
                locationName: "vpcInterfaces"
              }
            }
          }
        },
        CreateBridge: {
          http: {
            requestUri: "/v1/bridges",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              EgressGatewayBridge: {
                locationName: "egressGatewayBridge",
                type: "structure",
                members: {
                  MaxBitrate: {
                    locationName: "maxBitrate",
                    type: "integer"
                  }
                },
                required: [
                  "MaxBitrate"
                ]
              },
              IngressGatewayBridge: {
                locationName: "ingressGatewayBridge",
                type: "structure",
                members: {
                  MaxBitrate: {
                    locationName: "maxBitrate",
                    type: "integer"
                  },
                  MaxOutputs: {
                    locationName: "maxOutputs",
                    type: "integer"
                  }
                },
                required: [
                  "MaxOutputs",
                  "MaxBitrate"
                ]
              },
              Name: {
                locationName: "name"
              },
              Outputs: {
                shape: "S3",
                locationName: "outputs"
              },
              PlacementArn: {
                locationName: "placementArn"
              },
              SourceFailoverConfig: {
                shape: "S2k",
                locationName: "sourceFailoverConfig"
              },
              Sources: {
                shape: "Se",
                locationName: "sources"
              }
            },
            required: [
              "Sources",
              "PlacementArn",
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              Bridge: {
                shape: "S2p",
                locationName: "bridge"
              }
            }
          }
        },
        CreateFlow: {
          http: {
            requestUri: "/v1/flows",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              AvailabilityZone: {
                locationName: "availabilityZone"
              },
              Entitlements: {
                shape: "S2w",
                locationName: "entitlements"
              },
              MediaStreams: {
                shape: "Sp",
                locationName: "mediaStreams"
              },
              Name: {
                locationName: "name"
              },
              Outputs: {
                shape: "S14",
                locationName: "outputs"
              },
              Source: {
                shape: "S1w",
                locationName: "source"
              },
              SourceFailoverConfig: {
                shape: "S2k",
                locationName: "sourceFailoverConfig"
              },
              Sources: {
                shape: "S1v",
                locationName: "sources"
              },
              VpcInterfaces: {
                shape: "S2b",
                locationName: "vpcInterfaces"
              },
              Maintenance: {
                locationName: "maintenance",
                type: "structure",
                members: {
                  MaintenanceDay: {
                    locationName: "maintenanceDay"
                  },
                  MaintenanceStartHour: {
                    locationName: "maintenanceStartHour"
                  }
                },
                required: [
                  "MaintenanceDay",
                  "MaintenanceStartHour"
                ]
              }
            },
            required: [
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              Flow: {
                shape: "S32",
                locationName: "flow"
              }
            }
          }
        },
        CreateGateway: {
          http: {
            requestUri: "/v1/gateways",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              EgressCidrBlocks: {
                shape: "S16",
                locationName: "egressCidrBlocks"
              },
              Name: {
                locationName: "name"
              },
              Networks: {
                shape: "S38",
                locationName: "networks"
              }
            },
            required: [
              "Networks",
              "EgressCidrBlocks",
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              Gateway: {
                shape: "S3b",
                locationName: "gateway"
              }
            }
          }
        },
        DeleteBridge: {
          http: {
            method: "DELETE",
            requestUri: "/v1/bridges/{bridgeArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BridgeArn: {
                location: "uri",
                locationName: "bridgeArn"
              }
            },
            required: [
              "BridgeArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              BridgeArn: {
                locationName: "bridgeArn"
              }
            }
          }
        },
        DeleteFlow: {
          http: {
            method: "DELETE",
            requestUri: "/v1/flows/{flowArn}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              }
            },
            required: [
              "FlowArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              FlowArn: {
                locationName: "flowArn"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        DeleteGateway: {
          http: {
            method: "DELETE",
            requestUri: "/v1/gateways/{gatewayArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              GatewayArn: {
                location: "uri",
                locationName: "gatewayArn"
              }
            },
            required: [
              "GatewayArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              GatewayArn: {
                locationName: "gatewayArn"
              }
            }
          }
        },
        DeregisterGatewayInstance: {
          http: {
            method: "DELETE",
            requestUri: "/v1/gateway-instances/{gatewayInstanceArn}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              Force: {
                location: "querystring",
                locationName: "force",
                type: "boolean"
              },
              GatewayInstanceArn: {
                location: "uri",
                locationName: "gatewayInstanceArn"
              }
            },
            required: [
              "GatewayInstanceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              GatewayInstanceArn: {
                locationName: "gatewayInstanceArn"
              },
              InstanceState: {
                locationName: "instanceState"
              }
            }
          }
        },
        DescribeBridge: {
          http: {
            method: "GET",
            requestUri: "/v1/bridges/{bridgeArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BridgeArn: {
                location: "uri",
                locationName: "bridgeArn"
              }
            },
            required: [
              "BridgeArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Bridge: {
                shape: "S2p",
                locationName: "bridge"
              }
            }
          }
        },
        DescribeFlow: {
          http: {
            method: "GET",
            requestUri: "/v1/flows/{flowArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              }
            },
            required: [
              "FlowArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Flow: {
                shape: "S32",
                locationName: "flow"
              },
              Messages: {
                locationName: "messages",
                type: "structure",
                members: {
                  Errors: {
                    shape: "S16",
                    locationName: "errors"
                  }
                },
                required: [
                  "Errors"
                ]
              }
            }
          }
        },
        DescribeGateway: {
          http: {
            method: "GET",
            requestUri: "/v1/gateways/{gatewayArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              GatewayArn: {
                location: "uri",
                locationName: "gatewayArn"
              }
            },
            required: [
              "GatewayArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Gateway: {
                shape: "S3b",
                locationName: "gateway"
              }
            }
          }
        },
        DescribeGatewayInstance: {
          http: {
            method: "GET",
            requestUri: "/v1/gateway-instances/{gatewayInstanceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              GatewayInstanceArn: {
                location: "uri",
                locationName: "gatewayInstanceArn"
              }
            },
            required: [
              "GatewayInstanceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              GatewayInstance: {
                locationName: "gatewayInstance",
                type: "structure",
                members: {
                  BridgePlacement: {
                    locationName: "bridgePlacement"
                  },
                  ConnectionStatus: {
                    locationName: "connectionStatus"
                  },
                  GatewayArn: {
                    locationName: "gatewayArn"
                  },
                  GatewayInstanceArn: {
                    locationName: "gatewayInstanceArn"
                  },
                  InstanceId: {
                    locationName: "instanceId"
                  },
                  InstanceMessages: {
                    shape: "S2q",
                    locationName: "instanceMessages"
                  },
                  InstanceState: {
                    locationName: "instanceState"
                  },
                  RunningBridgeCount: {
                    locationName: "runningBridgeCount",
                    type: "integer"
                  }
                },
                required: [
                  "GatewayArn",
                  "InstanceState",
                  "GatewayInstanceArn",
                  "InstanceId",
                  "RunningBridgeCount",
                  "BridgePlacement",
                  "ConnectionStatus"
                ]
              }
            }
          }
        },
        DescribeOffering: {
          http: {
            method: "GET",
            requestUri: "/v1/offerings/{offeringArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              OfferingArn: {
                location: "uri",
                locationName: "offeringArn"
              }
            },
            required: [
              "OfferingArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Offering: {
                shape: "S41",
                locationName: "offering"
              }
            }
          }
        },
        DescribeReservation: {
          http: {
            method: "GET",
            requestUri: "/v1/reservations/{reservationArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ReservationArn: {
                location: "uri",
                locationName: "reservationArn"
              }
            },
            required: [
              "ReservationArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Reservation: {
                shape: "S48",
                locationName: "reservation"
              }
            }
          }
        },
        GrantFlowEntitlements: {
          http: {
            requestUri: "/v1/flows/{flowArn}/entitlements",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Entitlements: {
                shape: "S2w",
                locationName: "entitlements"
              },
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              }
            },
            required: [
              "FlowArn",
              "Entitlements"
            ]
          },
          output: {
            type: "structure",
            members: {
              Entitlements: {
                shape: "S33",
                locationName: "entitlements"
              },
              FlowArn: {
                locationName: "flowArn"
              }
            }
          }
        },
        ListBridges: {
          http: {
            method: "GET",
            requestUri: "/v1/bridges",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              FilterArn: {
                location: "querystring",
                locationName: "filterArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Bridges: {
                locationName: "bridges",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    BridgeArn: {
                      locationName: "bridgeArn"
                    },
                    BridgeState: {
                      locationName: "bridgeState"
                    },
                    BridgeType: {
                      locationName: "bridgeType"
                    },
                    Name: {
                      locationName: "name"
                    },
                    PlacementArn: {
                      locationName: "placementArn"
                    }
                  },
                  required: [
                    "BridgeArn",
                    "BridgeState",
                    "PlacementArn",
                    "BridgeType",
                    "Name"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListEntitlements: {
          http: {
            method: "GET",
            requestUri: "/v1/entitlements",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Entitlements: {
                locationName: "entitlements",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DataTransferSubscriberFeePercent: {
                      locationName: "dataTransferSubscriberFeePercent",
                      type: "integer"
                    },
                    EntitlementArn: {
                      locationName: "entitlementArn"
                    },
                    EntitlementName: {
                      locationName: "entitlementName"
                    }
                  },
                  required: [
                    "EntitlementArn",
                    "EntitlementName"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListFlows: {
          http: {
            method: "GET",
            requestUri: "/v1/flows",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Flows: {
                locationName: "flows",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AvailabilityZone: {
                      locationName: "availabilityZone"
                    },
                    Description: {
                      locationName: "description"
                    },
                    FlowArn: {
                      locationName: "flowArn"
                    },
                    Name: {
                      locationName: "name"
                    },
                    SourceType: {
                      locationName: "sourceType"
                    },
                    Status: {
                      locationName: "status"
                    },
                    Maintenance: {
                      shape: "S36",
                      locationName: "maintenance"
                    }
                  },
                  required: [
                    "Status",
                    "Description",
                    "SourceType",
                    "AvailabilityZone",
                    "FlowArn",
                    "Name"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListGatewayInstances: {
          http: {
            method: "GET",
            requestUri: "/v1/gateway-instances",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              FilterArn: {
                location: "querystring",
                locationName: "filterArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Instances: {
                locationName: "instances",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    GatewayArn: {
                      locationName: "gatewayArn"
                    },
                    GatewayInstanceArn: {
                      locationName: "gatewayInstanceArn"
                    },
                    InstanceId: {
                      locationName: "instanceId"
                    },
                    InstanceState: {
                      locationName: "instanceState"
                    }
                  },
                  required: [
                    "GatewayArn",
                    "GatewayInstanceArn",
                    "InstanceId"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListGateways: {
          http: {
            method: "GET",
            requestUri: "/v1/gateways",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Gateways: {
                locationName: "gateways",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    GatewayArn: {
                      locationName: "gatewayArn"
                    },
                    GatewayState: {
                      locationName: "gatewayState"
                    },
                    Name: {
                      locationName: "name"
                    }
                  },
                  required: [
                    "GatewayArn",
                    "GatewayState",
                    "Name"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListOfferings: {
          http: {
            method: "GET",
            requestUri: "/v1/offerings",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Offerings: {
                locationName: "offerings",
                type: "list",
                member: {
                  shape: "S41"
                }
              }
            }
          }
        },
        ListReservations: {
          http: {
            method: "GET",
            requestUri: "/v1/reservations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Reservations: {
                locationName: "reservations",
                type: "list",
                member: {
                  shape: "S48"
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            },
            required: [
              "ResourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S56",
                locationName: "tags"
              }
            }
          }
        },
        PurchaseOffering: {
          http: {
            requestUri: "/v1/offerings/{offeringArn}",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              OfferingArn: {
                location: "uri",
                locationName: "offeringArn"
              },
              ReservationName: {
                locationName: "reservationName"
              },
              Start: {
                locationName: "start"
              }
            },
            required: [
              "OfferingArn",
              "Start",
              "ReservationName"
            ]
          },
          output: {
            type: "structure",
            members: {
              Reservation: {
                shape: "S48",
                locationName: "reservation"
              }
            }
          }
        },
        RemoveBridgeOutput: {
          http: {
            method: "DELETE",
            requestUri: "/v1/bridges/{bridgeArn}/outputs/{outputName}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              BridgeArn: {
                location: "uri",
                locationName: "bridgeArn"
              },
              OutputName: {
                location: "uri",
                locationName: "outputName"
              }
            },
            required: [
              "OutputName",
              "BridgeArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              BridgeArn: {
                locationName: "bridgeArn"
              },
              OutputName: {
                locationName: "outputName"
              }
            }
          }
        },
        RemoveBridgeSource: {
          http: {
            method: "DELETE",
            requestUri: "/v1/bridges/{bridgeArn}/sources/{sourceName}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              BridgeArn: {
                location: "uri",
                locationName: "bridgeArn"
              },
              SourceName: {
                location: "uri",
                locationName: "sourceName"
              }
            },
            required: [
              "BridgeArn",
              "SourceName"
            ]
          },
          output: {
            type: "structure",
            members: {
              BridgeArn: {
                locationName: "bridgeArn"
              },
              SourceName: {
                locationName: "sourceName"
              }
            }
          }
        },
        RemoveFlowMediaStream: {
          http: {
            method: "DELETE",
            requestUri: "/v1/flows/{flowArn}/mediaStreams/{mediaStreamName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              },
              MediaStreamName: {
                location: "uri",
                locationName: "mediaStreamName"
              }
            },
            required: [
              "FlowArn",
              "MediaStreamName"
            ]
          },
          output: {
            type: "structure",
            members: {
              FlowArn: {
                locationName: "flowArn"
              },
              MediaStreamName: {
                locationName: "mediaStreamName"
              }
            }
          }
        },
        RemoveFlowOutput: {
          http: {
            method: "DELETE",
            requestUri: "/v1/flows/{flowArn}/outputs/{outputArn}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              },
              OutputArn: {
                location: "uri",
                locationName: "outputArn"
              }
            },
            required: [
              "FlowArn",
              "OutputArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              FlowArn: {
                locationName: "flowArn"
              },
              OutputArn: {
                locationName: "outputArn"
              }
            }
          }
        },
        RemoveFlowSource: {
          http: {
            method: "DELETE",
            requestUri: "/v1/flows/{flowArn}/source/{sourceArn}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              },
              SourceArn: {
                location: "uri",
                locationName: "sourceArn"
              }
            },
            required: [
              "FlowArn",
              "SourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              FlowArn: {
                locationName: "flowArn"
              },
              SourceArn: {
                locationName: "sourceArn"
              }
            }
          }
        },
        RemoveFlowVpcInterface: {
          http: {
            method: "DELETE",
            requestUri: "/v1/flows/{flowArn}/vpcInterfaces/{vpcInterfaceName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              },
              VpcInterfaceName: {
                location: "uri",
                locationName: "vpcInterfaceName"
              }
            },
            required: [
              "FlowArn",
              "VpcInterfaceName"
            ]
          },
          output: {
            type: "structure",
            members: {
              FlowArn: {
                locationName: "flowArn"
              },
              NonDeletedNetworkInterfaceIds: {
                shape: "S16",
                locationName: "nonDeletedNetworkInterfaceIds"
              },
              VpcInterfaceName: {
                locationName: "vpcInterfaceName"
              }
            }
          }
        },
        RevokeFlowEntitlement: {
          http: {
            method: "DELETE",
            requestUri: "/v1/flows/{flowArn}/entitlements/{entitlementArn}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              EntitlementArn: {
                location: "uri",
                locationName: "entitlementArn"
              },
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              }
            },
            required: [
              "FlowArn",
              "EntitlementArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              EntitlementArn: {
                locationName: "entitlementArn"
              },
              FlowArn: {
                locationName: "flowArn"
              }
            }
          }
        },
        StartFlow: {
          http: {
            requestUri: "/v1/flows/start/{flowArn}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              }
            },
            required: [
              "FlowArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              FlowArn: {
                locationName: "flowArn"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        StopFlow: {
          http: {
            requestUri: "/v1/flows/stop/{flowArn}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              }
            },
            required: [
              "FlowArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              FlowArn: {
                locationName: "flowArn"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              Tags: {
                shape: "S56",
                locationName: "tags"
              }
            },
            required: [
              "ResourceArn",
              "Tags"
            ]
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              TagKeys: {
                shape: "S16",
                location: "querystring",
                locationName: "tagKeys"
              }
            },
            required: [
              "TagKeys",
              "ResourceArn"
            ]
          }
        },
        UpdateBridge: {
          http: {
            method: "PUT",
            requestUri: "/v1/bridges/{bridgeArn}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              BridgeArn: {
                location: "uri",
                locationName: "bridgeArn"
              },
              EgressGatewayBridge: {
                locationName: "egressGatewayBridge",
                type: "structure",
                members: {
                  MaxBitrate: {
                    locationName: "maxBitrate",
                    type: "integer"
                  }
                }
              },
              IngressGatewayBridge: {
                locationName: "ingressGatewayBridge",
                type: "structure",
                members: {
                  MaxBitrate: {
                    locationName: "maxBitrate",
                    type: "integer"
                  },
                  MaxOutputs: {
                    locationName: "maxOutputs",
                    type: "integer"
                  }
                }
              },
              SourceFailoverConfig: {
                shape: "S5w",
                locationName: "sourceFailoverConfig"
              }
            },
            required: [
              "BridgeArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Bridge: {
                shape: "S2p",
                locationName: "bridge"
              }
            }
          }
        },
        UpdateBridgeOutput: {
          http: {
            method: "PUT",
            requestUri: "/v1/bridges/{bridgeArn}/outputs/{outputName}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              BridgeArn: {
                location: "uri",
                locationName: "bridgeArn"
              },
              NetworkOutput: {
                locationName: "networkOutput",
                type: "structure",
                members: {
                  IpAddress: {
                    locationName: "ipAddress"
                  },
                  NetworkName: {
                    locationName: "networkName"
                  },
                  Port: {
                    locationName: "port",
                    type: "integer"
                  },
                  Protocol: {
                    locationName: "protocol"
                  },
                  Ttl: {
                    locationName: "ttl",
                    type: "integer"
                  }
                }
              },
              OutputName: {
                location: "uri",
                locationName: "outputName"
              }
            },
            required: [
              "OutputName",
              "BridgeArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              BridgeArn: {
                locationName: "bridgeArn"
              },
              Output: {
                shape: "Sa",
                locationName: "output"
              }
            }
          }
        },
        UpdateBridgeSource: {
          http: {
            method: "PUT",
            requestUri: "/v1/bridges/{bridgeArn}/sources/{sourceName}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              BridgeArn: {
                location: "uri",
                locationName: "bridgeArn"
              },
              FlowSource: {
                locationName: "flowSource",
                type: "structure",
                members: {
                  FlowArn: {
                    locationName: "flowArn"
                  },
                  FlowVpcInterfaceAttachment: {
                    shape: "Sh",
                    locationName: "flowVpcInterfaceAttachment"
                  }
                }
              },
              NetworkSource: {
                locationName: "networkSource",
                type: "structure",
                members: {
                  MulticastIp: {
                    locationName: "multicastIp"
                  },
                  NetworkName: {
                    locationName: "networkName"
                  },
                  Port: {
                    locationName: "port",
                    type: "integer"
                  },
                  Protocol: {
                    locationName: "protocol"
                  }
                }
              },
              SourceName: {
                location: "uri",
                locationName: "sourceName"
              }
            },
            required: [
              "BridgeArn",
              "SourceName"
            ]
          },
          output: {
            type: "structure",
            members: {
              BridgeArn: {
                locationName: "bridgeArn"
              },
              Source: {
                shape: "Sl",
                locationName: "source"
              }
            }
          }
        },
        UpdateBridgeState: {
          http: {
            method: "PUT",
            requestUri: "/v1/bridges/{bridgeArn}/state",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              BridgeArn: {
                location: "uri",
                locationName: "bridgeArn"
              },
              DesiredState: {
                locationName: "desiredState"
              }
            },
            required: [
              "BridgeArn",
              "DesiredState"
            ]
          },
          output: {
            type: "structure",
            members: {
              BridgeArn: {
                locationName: "bridgeArn"
              },
              DesiredState: {
                locationName: "desiredState"
              }
            }
          }
        },
        UpdateFlow: {
          http: {
            method: "PUT",
            requestUri: "/v1/flows/{flowArn}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              },
              SourceFailoverConfig: {
                shape: "S5w",
                locationName: "sourceFailoverConfig"
              },
              Maintenance: {
                locationName: "maintenance",
                type: "structure",
                members: {
                  MaintenanceDay: {
                    locationName: "maintenanceDay"
                  },
                  MaintenanceScheduledDate: {
                    locationName: "maintenanceScheduledDate"
                  },
                  MaintenanceStartHour: {
                    locationName: "maintenanceStartHour"
                  }
                }
              }
            },
            required: [
              "FlowArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Flow: {
                shape: "S32",
                locationName: "flow"
              }
            }
          }
        },
        UpdateFlowEntitlement: {
          http: {
            method: "PUT",
            requestUri: "/v1/flows/{flowArn}/entitlements/{entitlementArn}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              Description: {
                locationName: "description"
              },
              Encryption: {
                shape: "S6c",
                locationName: "encryption"
              },
              EntitlementArn: {
                location: "uri",
                locationName: "entitlementArn"
              },
              EntitlementStatus: {
                locationName: "entitlementStatus"
              },
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              },
              Subscribers: {
                shape: "S16",
                locationName: "subscribers"
              }
            },
            required: [
              "FlowArn",
              "EntitlementArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Entitlement: {
                shape: "S34",
                locationName: "entitlement"
              },
              FlowArn: {
                locationName: "flowArn"
              }
            }
          }
        },
        UpdateFlowMediaStream: {
          http: {
            method: "PUT",
            requestUri: "/v1/flows/{flowArn}/mediaStreams/{mediaStreamName}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              Attributes: {
                shape: "Sr",
                locationName: "attributes"
              },
              ClockRate: {
                locationName: "clockRate",
                type: "integer"
              },
              Description: {
                locationName: "description"
              },
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              },
              MediaStreamName: {
                location: "uri",
                locationName: "mediaStreamName"
              },
              MediaStreamType: {
                locationName: "mediaStreamType"
              },
              VideoFormat: {
                locationName: "videoFormat"
              }
            },
            required: [
              "FlowArn",
              "MediaStreamName"
            ]
          },
          output: {
            type: "structure",
            members: {
              FlowArn: {
                locationName: "flowArn"
              },
              MediaStream: {
                shape: "S10",
                locationName: "mediaStream"
              }
            }
          }
        },
        UpdateFlowOutput: {
          http: {
            method: "PUT",
            requestUri: "/v1/flows/{flowArn}/outputs/{outputArn}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              CidrAllowList: {
                shape: "S16",
                locationName: "cidrAllowList"
              },
              Description: {
                locationName: "description"
              },
              Destination: {
                locationName: "destination"
              },
              Encryption: {
                shape: "S6c",
                locationName: "encryption"
              },
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              },
              MaxLatency: {
                locationName: "maxLatency",
                type: "integer"
              },
              MediaStreamOutputConfigurations: {
                shape: "S1a",
                locationName: "mediaStreamOutputConfigurations"
              },
              MinLatency: {
                locationName: "minLatency",
                type: "integer"
              },
              OutputArn: {
                location: "uri",
                locationName: "outputArn"
              },
              Port: {
                locationName: "port",
                type: "integer"
              },
              Protocol: {
                locationName: "protocol"
              },
              RemoteId: {
                locationName: "remoteId"
              },
              SenderControlPort: {
                locationName: "senderControlPort",
                type: "integer"
              },
              SenderIpAddress: {
                locationName: "senderIpAddress"
              },
              SmoothingLatency: {
                locationName: "smoothingLatency",
                type: "integer"
              },
              StreamId: {
                locationName: "streamId"
              },
              VpcInterfaceAttachment: {
                shape: "Sh",
                locationName: "vpcInterfaceAttachment"
              }
            },
            required: [
              "FlowArn",
              "OutputArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              FlowArn: {
                locationName: "flowArn"
              },
              Output: {
                shape: "S1l",
                locationName: "output"
              }
            }
          }
        },
        UpdateFlowSource: {
          http: {
            method: "PUT",
            requestUri: "/v1/flows/{flowArn}/source/{sourceArn}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              Decryption: {
                shape: "S6c",
                locationName: "decryption"
              },
              Description: {
                locationName: "description"
              },
              EntitlementArn: {
                locationName: "entitlementArn"
              },
              FlowArn: {
                location: "uri",
                locationName: "flowArn"
              },
              IngestPort: {
                locationName: "ingestPort",
                type: "integer"
              },
              MaxBitrate: {
                locationName: "maxBitrate",
                type: "integer"
              },
              MaxLatency: {
                locationName: "maxLatency",
                type: "integer"
              },
              MaxSyncBuffer: {
                locationName: "maxSyncBuffer",
                type: "integer"
              },
              MediaStreamSourceConfigurations: {
                shape: "S1x",
                locationName: "mediaStreamSourceConfigurations"
              },
              MinLatency: {
                locationName: "minLatency",
                type: "integer"
              },
              Protocol: {
                locationName: "protocol"
              },
              SenderControlPort: {
                locationName: "senderControlPort",
                type: "integer"
              },
              SenderIpAddress: {
                locationName: "senderIpAddress"
              },
              SourceArn: {
                location: "uri",
                locationName: "sourceArn"
              },
              SourceListenerAddress: {
                locationName: "sourceListenerAddress"
              },
              SourceListenerPort: {
                locationName: "sourceListenerPort",
                type: "integer"
              },
              StreamId: {
                locationName: "streamId"
              },
              VpcInterfaceName: {
                locationName: "vpcInterfaceName"
              },
              WhitelistCidr: {
                locationName: "whitelistCidr"
              },
              GatewayBridgeSource: {
                locationName: "gatewayBridgeSource",
                type: "structure",
                members: {
                  BridgeArn: {
                    locationName: "bridgeArn"
                  },
                  VpcInterfaceAttachment: {
                    shape: "Sh",
                    locationName: "vpcInterfaceAttachment"
                  }
                }
              }
            },
            required: [
              "FlowArn",
              "SourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              FlowArn: {
                locationName: "flowArn"
              },
              Source: {
                shape: "S24",
                locationName: "source"
              }
            }
          }
        },
        UpdateGatewayInstance: {
          http: {
            method: "PUT",
            requestUri: "/v1/gateway-instances/{gatewayInstanceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BridgePlacement: {
                locationName: "bridgePlacement"
              },
              GatewayInstanceArn: {
                location: "uri",
                locationName: "gatewayInstanceArn"
              }
            },
            required: [
              "GatewayInstanceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              BridgePlacement: {
                locationName: "bridgePlacement"
              },
              GatewayInstanceArn: {
                locationName: "gatewayInstanceArn"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            type: "structure",
            members: {
              NetworkOutput: {
                locationName: "networkOutput",
                type: "structure",
                members: {
                  IpAddress: {
                    locationName: "ipAddress"
                  },
                  Name: {
                    locationName: "name"
                  },
                  NetworkName: {
                    locationName: "networkName"
                  },
                  Port: {
                    locationName: "port",
                    type: "integer"
                  },
                  Protocol: {
                    locationName: "protocol"
                  },
                  Ttl: {
                    locationName: "ttl",
                    type: "integer"
                  }
                },
                required: [
                  "NetworkName",
                  "Port",
                  "IpAddress",
                  "Protocol",
                  "Ttl",
                  "Name"
                ]
              }
            }
          }
        },
        S9: {
          type: "list",
          member: {
            shape: "Sa"
          }
        },
        Sa: {
          type: "structure",
          members: {
            FlowOutput: {
              locationName: "flowOutput",
              type: "structure",
              members: {
                FlowArn: {
                  locationName: "flowArn"
                },
                FlowSourceArn: {
                  locationName: "flowSourceArn"
                },
                Name: {
                  locationName: "name"
                }
              },
              required: [
                "FlowSourceArn",
                "FlowArn",
                "Name"
              ]
            },
            NetworkOutput: {
              locationName: "networkOutput",
              type: "structure",
              members: {
                IpAddress: {
                  locationName: "ipAddress"
                },
                Name: {
                  locationName: "name"
                },
                NetworkName: {
                  locationName: "networkName"
                },
                Port: {
                  locationName: "port",
                  type: "integer"
                },
                Protocol: {
                  locationName: "protocol"
                },
                Ttl: {
                  locationName: "ttl",
                  type: "integer"
                }
              },
              required: [
                "NetworkName",
                "Port",
                "IpAddress",
                "Protocol",
                "Ttl",
                "Name"
              ]
            }
          }
        },
        Se: {
          type: "list",
          member: {
            type: "structure",
            members: {
              FlowSource: {
                locationName: "flowSource",
                type: "structure",
                members: {
                  FlowArn: {
                    locationName: "flowArn"
                  },
                  FlowVpcInterfaceAttachment: {
                    shape: "Sh",
                    locationName: "flowVpcInterfaceAttachment"
                  },
                  Name: {
                    locationName: "name"
                  }
                },
                required: [
                  "FlowArn",
                  "Name"
                ]
              },
              NetworkSource: {
                locationName: "networkSource",
                type: "structure",
                members: {
                  MulticastIp: {
                    locationName: "multicastIp"
                  },
                  Name: {
                    locationName: "name"
                  },
                  NetworkName: {
                    locationName: "networkName"
                  },
                  Port: {
                    locationName: "port",
                    type: "integer"
                  },
                  Protocol: {
                    locationName: "protocol"
                  }
                },
                required: [
                  "NetworkName",
                  "MulticastIp",
                  "Port",
                  "Protocol",
                  "Name"
                ]
              }
            }
          }
        },
        Sh: {
          type: "structure",
          members: {
            VpcInterfaceName: {
              locationName: "vpcInterfaceName"
            }
          }
        },
        Sk: {
          type: "list",
          member: {
            shape: "Sl"
          }
        },
        Sl: {
          type: "structure",
          members: {
            FlowSource: {
              locationName: "flowSource",
              type: "structure",
              members: {
                FlowArn: {
                  locationName: "flowArn"
                },
                FlowVpcInterfaceAttachment: {
                  shape: "Sh",
                  locationName: "flowVpcInterfaceAttachment"
                },
                Name: {
                  locationName: "name"
                },
                OutputArn: {
                  locationName: "outputArn"
                }
              },
              required: [
                "FlowArn",
                "Name"
              ]
            },
            NetworkSource: {
              locationName: "networkSource",
              type: "structure",
              members: {
                MulticastIp: {
                  locationName: "multicastIp"
                },
                Name: {
                  locationName: "name"
                },
                NetworkName: {
                  locationName: "networkName"
                },
                Port: {
                  locationName: "port",
                  type: "integer"
                },
                Protocol: {
                  locationName: "protocol"
                }
              },
              required: [
                "NetworkName",
                "MulticastIp",
                "Port",
                "Protocol",
                "Name"
              ]
            }
          }
        },
        Sp: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Attributes: {
                shape: "Sr",
                locationName: "attributes"
              },
              ClockRate: {
                locationName: "clockRate",
                type: "integer"
              },
              Description: {
                locationName: "description"
              },
              MediaStreamId: {
                locationName: "mediaStreamId",
                type: "integer"
              },
              MediaStreamName: {
                locationName: "mediaStreamName"
              },
              MediaStreamType: {
                locationName: "mediaStreamType"
              },
              VideoFormat: {
                locationName: "videoFormat"
              }
            },
            required: [
              "MediaStreamType",
              "MediaStreamId",
              "MediaStreamName"
            ]
          }
        },
        Sr: {
          type: "structure",
          members: {
            Fmtp: {
              locationName: "fmtp",
              type: "structure",
              members: {
                ChannelOrder: {
                  locationName: "channelOrder"
                },
                Colorimetry: {
                  locationName: "colorimetry"
                },
                ExactFramerate: {
                  locationName: "exactFramerate"
                },
                Par: {
                  locationName: "par"
                },
                Range: {
                  locationName: "range"
                },
                ScanMode: {
                  locationName: "scanMode"
                },
                Tcs: {
                  locationName: "tcs"
                }
              }
            },
            Lang: {
              locationName: "lang"
            }
          }
        },
        Sz: {
          type: "list",
          member: {
            shape: "S10"
          }
        },
        S10: {
          type: "structure",
          members: {
            Attributes: {
              locationName: "attributes",
              type: "structure",
              members: {
                Fmtp: {
                  locationName: "fmtp",
                  type: "structure",
                  members: {
                    ChannelOrder: {
                      locationName: "channelOrder"
                    },
                    Colorimetry: {
                      locationName: "colorimetry"
                    },
                    ExactFramerate: {
                      locationName: "exactFramerate"
                    },
                    Par: {
                      locationName: "par"
                    },
                    Range: {
                      locationName: "range"
                    },
                    ScanMode: {
                      locationName: "scanMode"
                    },
                    Tcs: {
                      locationName: "tcs"
                    }
                  }
                },
                Lang: {
                  locationName: "lang"
                }
              },
              required: [
                "Fmtp"
              ]
            },
            ClockRate: {
              locationName: "clockRate",
              type: "integer"
            },
            Description: {
              locationName: "description"
            },
            Fmt: {
              locationName: "fmt",
              type: "integer"
            },
            MediaStreamId: {
              locationName: "mediaStreamId",
              type: "integer"
            },
            MediaStreamName: {
              locationName: "mediaStreamName"
            },
            MediaStreamType: {
              locationName: "mediaStreamType"
            },
            VideoFormat: {
              locationName: "videoFormat"
            }
          },
          required: [
            "MediaStreamType",
            "MediaStreamId",
            "MediaStreamName",
            "Fmt"
          ]
        },
        S14: {
          type: "list",
          member: {
            type: "structure",
            members: {
              CidrAllowList: {
                shape: "S16",
                locationName: "cidrAllowList"
              },
              Description: {
                locationName: "description"
              },
              Destination: {
                locationName: "destination"
              },
              Encryption: {
                shape: "S17",
                locationName: "encryption"
              },
              MaxLatency: {
                locationName: "maxLatency",
                type: "integer"
              },
              MediaStreamOutputConfigurations: {
                shape: "S1a",
                locationName: "mediaStreamOutputConfigurations"
              },
              MinLatency: {
                locationName: "minLatency",
                type: "integer"
              },
              Name: {
                locationName: "name"
              },
              Port: {
                locationName: "port",
                type: "integer"
              },
              Protocol: {
                locationName: "protocol"
              },
              RemoteId: {
                locationName: "remoteId"
              },
              SenderControlPort: {
                locationName: "senderControlPort",
                type: "integer"
              },
              SmoothingLatency: {
                locationName: "smoothingLatency",
                type: "integer"
              },
              StreamId: {
                locationName: "streamId"
              },
              VpcInterfaceAttachment: {
                shape: "Sh",
                locationName: "vpcInterfaceAttachment"
              }
            },
            required: [
              "Protocol"
            ]
          }
        },
        S16: {
          type: "list",
          member: {}
        },
        S17: {
          type: "structure",
          members: {
            Algorithm: {
              locationName: "algorithm"
            },
            ConstantInitializationVector: {
              locationName: "constantInitializationVector"
            },
            DeviceId: {
              locationName: "deviceId"
            },
            KeyType: {
              locationName: "keyType"
            },
            Region: {
              locationName: "region"
            },
            ResourceId: {
              locationName: "resourceId"
            },
            RoleArn: {
              locationName: "roleArn"
            },
            SecretArn: {
              locationName: "secretArn"
            },
            Url: {
              locationName: "url"
            }
          },
          required: [
            "RoleArn"
          ]
        },
        S1a: {
          type: "list",
          member: {
            type: "structure",
            members: {
              DestinationConfigurations: {
                locationName: "destinationConfigurations",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DestinationIp: {
                      locationName: "destinationIp"
                    },
                    DestinationPort: {
                      locationName: "destinationPort",
                      type: "integer"
                    },
                    Interface: {
                      shape: "S1e",
                      locationName: "interface"
                    }
                  },
                  required: [
                    "DestinationIp",
                    "DestinationPort",
                    "Interface"
                  ]
                }
              },
              EncodingName: {
                locationName: "encodingName"
              },
              EncodingParameters: {
                locationName: "encodingParameters",
                type: "structure",
                members: {
                  CompressionFactor: {
                    locationName: "compressionFactor",
                    type: "double"
                  },
                  EncoderProfile: {
                    locationName: "encoderProfile"
                  }
                },
                required: [
                  "EncoderProfile",
                  "CompressionFactor"
                ]
              },
              MediaStreamName: {
                locationName: "mediaStreamName"
              }
            },
            required: [
              "MediaStreamName",
              "EncodingName"
            ]
          }
        },
        S1e: {
          type: "structure",
          members: {
            Name: {
              locationName: "name"
            }
          },
          required: [
            "Name"
          ]
        },
        S1k: {
          type: "list",
          member: {
            shape: "S1l"
          }
        },
        S1l: {
          type: "structure",
          members: {
            DataTransferSubscriberFeePercent: {
              locationName: "dataTransferSubscriberFeePercent",
              type: "integer"
            },
            Description: {
              locationName: "description"
            },
            Destination: {
              locationName: "destination"
            },
            Encryption: {
              shape: "S17",
              locationName: "encryption"
            },
            EntitlementArn: {
              locationName: "entitlementArn"
            },
            ListenerAddress: {
              locationName: "listenerAddress"
            },
            MediaLiveInputArn: {
              locationName: "mediaLiveInputArn"
            },
            MediaStreamOutputConfigurations: {
              locationName: "mediaStreamOutputConfigurations",
              type: "list",
              member: {
                type: "structure",
                members: {
                  DestinationConfigurations: {
                    locationName: "destinationConfigurations",
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        DestinationIp: {
                          locationName: "destinationIp"
                        },
                        DestinationPort: {
                          locationName: "destinationPort",
                          type: "integer"
                        },
                        Interface: {
                          shape: "S1q",
                          locationName: "interface"
                        },
                        OutboundIp: {
                          locationName: "outboundIp"
                        }
                      },
                      required: [
                        "DestinationIp",
                        "DestinationPort",
                        "Interface",
                        "OutboundIp"
                      ]
                    }
                  },
                  EncodingName: {
                    locationName: "encodingName"
                  },
                  EncodingParameters: {
                    locationName: "encodingParameters",
                    type: "structure",
                    members: {
                      CompressionFactor: {
                        locationName: "compressionFactor",
                        type: "double"
                      },
                      EncoderProfile: {
                        locationName: "encoderProfile"
                      }
                    },
                    required: [
                      "EncoderProfile",
                      "CompressionFactor"
                    ]
                  },
                  MediaStreamName: {
                    locationName: "mediaStreamName"
                  }
                },
                required: [
                  "MediaStreamName",
                  "EncodingName"
                ]
              }
            },
            Name: {
              locationName: "name"
            },
            OutputArn: {
              locationName: "outputArn"
            },
            Port: {
              locationName: "port",
              type: "integer"
            },
            Transport: {
              shape: "S1s",
              locationName: "transport"
            },
            VpcInterfaceAttachment: {
              shape: "Sh",
              locationName: "vpcInterfaceAttachment"
            },
            BridgeArn: {
              locationName: "bridgeArn"
            },
            BridgePorts: {
              locationName: "bridgePorts",
              type: "list",
              member: {
                type: "integer"
              }
            }
          },
          required: [
            "OutputArn",
            "Name"
          ]
        },
        S1q: {
          type: "structure",
          members: {
            Name: {
              locationName: "name"
            }
          },
          required: [
            "Name"
          ]
        },
        S1s: {
          type: "structure",
          members: {
            CidrAllowList: {
              shape: "S16",
              locationName: "cidrAllowList"
            },
            MaxBitrate: {
              locationName: "maxBitrate",
              type: "integer"
            },
            MaxLatency: {
              locationName: "maxLatency",
              type: "integer"
            },
            MaxSyncBuffer: {
              locationName: "maxSyncBuffer",
              type: "integer"
            },
            MinLatency: {
              locationName: "minLatency",
              type: "integer"
            },
            Protocol: {
              locationName: "protocol"
            },
            RemoteId: {
              locationName: "remoteId"
            },
            SenderControlPort: {
              locationName: "senderControlPort",
              type: "integer"
            },
            SenderIpAddress: {
              locationName: "senderIpAddress"
            },
            SmoothingLatency: {
              locationName: "smoothingLatency",
              type: "integer"
            },
            SourceListenerAddress: {
              locationName: "sourceListenerAddress"
            },
            SourceListenerPort: {
              locationName: "sourceListenerPort",
              type: "integer"
            },
            StreamId: {
              locationName: "streamId"
            }
          },
          required: [
            "Protocol"
          ]
        },
        S1v: {
          type: "list",
          member: {
            shape: "S1w"
          }
        },
        S1w: {
          type: "structure",
          members: {
            Decryption: {
              shape: "S17",
              locationName: "decryption"
            },
            Description: {
              locationName: "description"
            },
            EntitlementArn: {
              locationName: "entitlementArn"
            },
            IngestPort: {
              locationName: "ingestPort",
              type: "integer"
            },
            MaxBitrate: {
              locationName: "maxBitrate",
              type: "integer"
            },
            MaxLatency: {
              locationName: "maxLatency",
              type: "integer"
            },
            MaxSyncBuffer: {
              locationName: "maxSyncBuffer",
              type: "integer"
            },
            MediaStreamSourceConfigurations: {
              shape: "S1x",
              locationName: "mediaStreamSourceConfigurations"
            },
            MinLatency: {
              locationName: "minLatency",
              type: "integer"
            },
            Name: {
              locationName: "name"
            },
            Protocol: {
              locationName: "protocol"
            },
            SenderControlPort: {
              locationName: "senderControlPort",
              type: "integer"
            },
            SenderIpAddress: {
              locationName: "senderIpAddress"
            },
            SourceListenerAddress: {
              locationName: "sourceListenerAddress"
            },
            SourceListenerPort: {
              locationName: "sourceListenerPort",
              type: "integer"
            },
            StreamId: {
              locationName: "streamId"
            },
            VpcInterfaceName: {
              locationName: "vpcInterfaceName"
            },
            WhitelistCidr: {
              locationName: "whitelistCidr"
            },
            GatewayBridgeSource: {
              locationName: "gatewayBridgeSource",
              type: "structure",
              members: {
                BridgeArn: {
                  locationName: "bridgeArn"
                },
                VpcInterfaceAttachment: {
                  shape: "Sh",
                  locationName: "vpcInterfaceAttachment"
                }
              },
              required: [
                "BridgeArn"
              ]
            }
          }
        },
        S1x: {
          type: "list",
          member: {
            type: "structure",
            members: {
              EncodingName: {
                locationName: "encodingName"
              },
              InputConfigurations: {
                locationName: "inputConfigurations",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InputPort: {
                      locationName: "inputPort",
                      type: "integer"
                    },
                    Interface: {
                      shape: "S1e",
                      locationName: "interface"
                    }
                  },
                  required: [
                    "InputPort",
                    "Interface"
                  ]
                }
              },
              MediaStreamName: {
                locationName: "mediaStreamName"
              }
            },
            required: [
              "MediaStreamName",
              "EncodingName"
            ]
          }
        },
        S23: {
          type: "list",
          member: {
            shape: "S24"
          }
        },
        S24: {
          type: "structure",
          members: {
            DataTransferSubscriberFeePercent: {
              locationName: "dataTransferSubscriberFeePercent",
              type: "integer"
            },
            Decryption: {
              shape: "S17",
              locationName: "decryption"
            },
            Description: {
              locationName: "description"
            },
            EntitlementArn: {
              locationName: "entitlementArn"
            },
            IngestIp: {
              locationName: "ingestIp"
            },
            IngestPort: {
              locationName: "ingestPort",
              type: "integer"
            },
            MediaStreamSourceConfigurations: {
              locationName: "mediaStreamSourceConfigurations",
              type: "list",
              member: {
                type: "structure",
                members: {
                  EncodingName: {
                    locationName: "encodingName"
                  },
                  InputConfigurations: {
                    locationName: "inputConfigurations",
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        InputIp: {
                          locationName: "inputIp"
                        },
                        InputPort: {
                          locationName: "inputPort",
                          type: "integer"
                        },
                        Interface: {
                          shape: "S1q",
                          locationName: "interface"
                        }
                      },
                      required: [
                        "InputPort",
                        "InputIp",
                        "Interface"
                      ]
                    }
                  },
                  MediaStreamName: {
                    locationName: "mediaStreamName"
                  }
                },
                required: [
                  "MediaStreamName",
                  "EncodingName"
                ]
              }
            },
            Name: {
              locationName: "name"
            },
            SenderControlPort: {
              locationName: "senderControlPort",
              type: "integer"
            },
            SenderIpAddress: {
              locationName: "senderIpAddress"
            },
            SourceArn: {
              locationName: "sourceArn"
            },
            Transport: {
              shape: "S1s",
              locationName: "transport"
            },
            VpcInterfaceName: {
              locationName: "vpcInterfaceName"
            },
            WhitelistCidr: {
              locationName: "whitelistCidr"
            },
            GatewayBridgeSource: {
              locationName: "gatewayBridgeSource",
              type: "structure",
              members: {
                BridgeArn: {
                  locationName: "bridgeArn"
                },
                VpcInterfaceAttachment: {
                  shape: "Sh",
                  locationName: "vpcInterfaceAttachment"
                }
              },
              required: [
                "BridgeArn"
              ]
            }
          },
          required: [
            "Name",
            "SourceArn"
          ]
        },
        S2b: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {
                locationName: "name"
              },
              NetworkInterfaceType: {
                locationName: "networkInterfaceType"
              },
              RoleArn: {
                locationName: "roleArn"
              },
              SecurityGroupIds: {
                shape: "S16",
                locationName: "securityGroupIds"
              },
              SubnetId: {
                locationName: "subnetId"
              }
            },
            required: [
              "SubnetId",
              "SecurityGroupIds",
              "RoleArn",
              "Name"
            ]
          }
        },
        S2f: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {
                locationName: "name"
              },
              NetworkInterfaceIds: {
                shape: "S16",
                locationName: "networkInterfaceIds"
              },
              NetworkInterfaceType: {
                locationName: "networkInterfaceType"
              },
              RoleArn: {
                locationName: "roleArn"
              },
              SecurityGroupIds: {
                shape: "S16",
                locationName: "securityGroupIds"
              },
              SubnetId: {
                locationName: "subnetId"
              }
            },
            required: [
              "NetworkInterfaceType",
              "NetworkInterfaceIds",
              "SubnetId",
              "SecurityGroupIds",
              "RoleArn",
              "Name"
            ]
          }
        },
        S2k: {
          type: "structure",
          members: {
            FailoverMode: {
              locationName: "failoverMode"
            },
            RecoveryWindow: {
              locationName: "recoveryWindow",
              type: "integer"
            },
            SourcePriority: {
              shape: "S2m",
              locationName: "sourcePriority"
            },
            State: {
              locationName: "state"
            }
          }
        },
        S2m: {
          type: "structure",
          members: {
            PrimarySource: {
              locationName: "primarySource"
            }
          }
        },
        S2p: {
          type: "structure",
          members: {
            BridgeArn: {
              locationName: "bridgeArn"
            },
            BridgeMessages: {
              shape: "S2q",
              locationName: "bridgeMessages"
            },
            BridgeState: {
              locationName: "bridgeState"
            },
            EgressGatewayBridge: {
              locationName: "egressGatewayBridge",
              type: "structure",
              members: {
                InstanceId: {
                  locationName: "instanceId"
                },
                MaxBitrate: {
                  locationName: "maxBitrate",
                  type: "integer"
                }
              },
              required: [
                "MaxBitrate"
              ]
            },
            IngressGatewayBridge: {
              locationName: "ingressGatewayBridge",
              type: "structure",
              members: {
                InstanceId: {
                  locationName: "instanceId"
                },
                MaxBitrate: {
                  locationName: "maxBitrate",
                  type: "integer"
                },
                MaxOutputs: {
                  locationName: "maxOutputs",
                  type: "integer"
                }
              },
              required: [
                "MaxOutputs",
                "MaxBitrate"
              ]
            },
            Name: {
              locationName: "name"
            },
            Outputs: {
              shape: "S9",
              locationName: "outputs"
            },
            PlacementArn: {
              locationName: "placementArn"
            },
            SourceFailoverConfig: {
              shape: "S2k",
              locationName: "sourceFailoverConfig"
            },
            Sources: {
              shape: "Sk",
              locationName: "sources"
            }
          },
          required: [
            "BridgeArn",
            "BridgeState",
            "PlacementArn",
            "Name"
          ]
        },
        S2q: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Code: {
                locationName: "code"
              },
              Message: {
                locationName: "message"
              },
              ResourceName: {
                locationName: "resourceName"
              }
            },
            required: [
              "Message",
              "Code"
            ]
          }
        },
        S2w: {
          type: "list",
          member: {
            type: "structure",
            members: {
              DataTransferSubscriberFeePercent: {
                locationName: "dataTransferSubscriberFeePercent",
                type: "integer"
              },
              Description: {
                locationName: "description"
              },
              Encryption: {
                shape: "S17",
                locationName: "encryption"
              },
              EntitlementStatus: {
                locationName: "entitlementStatus"
              },
              Name: {
                locationName: "name"
              },
              Subscribers: {
                shape: "S16",
                locationName: "subscribers"
              }
            },
            required: [
              "Subscribers"
            ]
          }
        },
        S32: {
          type: "structure",
          members: {
            AvailabilityZone: {
              locationName: "availabilityZone"
            },
            Description: {
              locationName: "description"
            },
            EgressIp: {
              locationName: "egressIp"
            },
            Entitlements: {
              shape: "S33",
              locationName: "entitlements"
            },
            FlowArn: {
              locationName: "flowArn"
            },
            MediaStreams: {
              shape: "Sz",
              locationName: "mediaStreams"
            },
            Name: {
              locationName: "name"
            },
            Outputs: {
              shape: "S1k",
              locationName: "outputs"
            },
            Source: {
              shape: "S24",
              locationName: "source"
            },
            SourceFailoverConfig: {
              shape: "S2k",
              locationName: "sourceFailoverConfig"
            },
            Sources: {
              shape: "S23",
              locationName: "sources"
            },
            Status: {
              locationName: "status"
            },
            VpcInterfaces: {
              shape: "S2f",
              locationName: "vpcInterfaces"
            },
            Maintenance: {
              shape: "S36",
              locationName: "maintenance"
            }
          },
          required: [
            "Status",
            "AvailabilityZone",
            "Source",
            "Name",
            "Entitlements",
            "Outputs",
            "FlowArn"
          ]
        },
        S33: {
          type: "list",
          member: {
            shape: "S34"
          }
        },
        S34: {
          type: "structure",
          members: {
            DataTransferSubscriberFeePercent: {
              locationName: "dataTransferSubscriberFeePercent",
              type: "integer"
            },
            Description: {
              locationName: "description"
            },
            Encryption: {
              shape: "S17",
              locationName: "encryption"
            },
            EntitlementArn: {
              locationName: "entitlementArn"
            },
            EntitlementStatus: {
              locationName: "entitlementStatus"
            },
            Name: {
              locationName: "name"
            },
            Subscribers: {
              shape: "S16",
              locationName: "subscribers"
            }
          },
          required: [
            "EntitlementArn",
            "Subscribers",
            "Name"
          ]
        },
        S36: {
          type: "structure",
          members: {
            MaintenanceDay: {
              locationName: "maintenanceDay"
            },
            MaintenanceDeadline: {
              locationName: "maintenanceDeadline"
            },
            MaintenanceScheduledDate: {
              locationName: "maintenanceScheduledDate"
            },
            MaintenanceStartHour: {
              locationName: "maintenanceStartHour"
            }
          }
        },
        S38: {
          type: "list",
          member: {
            type: "structure",
            members: {
              CidrBlock: {
                locationName: "cidrBlock"
              },
              Name: {
                locationName: "name"
              }
            },
            required: [
              "CidrBlock",
              "Name"
            ]
          }
        },
        S3b: {
          type: "structure",
          members: {
            EgressCidrBlocks: {
              shape: "S16",
              locationName: "egressCidrBlocks"
            },
            GatewayArn: {
              locationName: "gatewayArn"
            },
            GatewayMessages: {
              shape: "S2q",
              locationName: "gatewayMessages"
            },
            GatewayState: {
              locationName: "gatewayState"
            },
            Name: {
              locationName: "name"
            },
            Networks: {
              shape: "S38",
              locationName: "networks"
            }
          },
          required: [
            "GatewayArn",
            "Networks",
            "EgressCidrBlocks",
            "Name"
          ]
        },
        S41: {
          type: "structure",
          members: {
            CurrencyCode: {
              locationName: "currencyCode"
            },
            Duration: {
              locationName: "duration",
              type: "integer"
            },
            DurationUnits: {
              locationName: "durationUnits"
            },
            OfferingArn: {
              locationName: "offeringArn"
            },
            OfferingDescription: {
              locationName: "offeringDescription"
            },
            PricePerUnit: {
              locationName: "pricePerUnit"
            },
            PriceUnits: {
              locationName: "priceUnits"
            },
            ResourceSpecification: {
              shape: "S44",
              locationName: "resourceSpecification"
            }
          },
          required: [
            "CurrencyCode",
            "OfferingArn",
            "OfferingDescription",
            "DurationUnits",
            "Duration",
            "PricePerUnit",
            "ResourceSpecification",
            "PriceUnits"
          ]
        },
        S44: {
          type: "structure",
          members: {
            ReservedBitrate: {
              locationName: "reservedBitrate",
              type: "integer"
            },
            ResourceType: {
              locationName: "resourceType"
            }
          },
          required: [
            "ResourceType"
          ]
        },
        S48: {
          type: "structure",
          members: {
            CurrencyCode: {
              locationName: "currencyCode"
            },
            Duration: {
              locationName: "duration",
              type: "integer"
            },
            DurationUnits: {
              locationName: "durationUnits"
            },
            End: {
              locationName: "end"
            },
            OfferingArn: {
              locationName: "offeringArn"
            },
            OfferingDescription: {
              locationName: "offeringDescription"
            },
            PricePerUnit: {
              locationName: "pricePerUnit"
            },
            PriceUnits: {
              locationName: "priceUnits"
            },
            ReservationArn: {
              locationName: "reservationArn"
            },
            ReservationName: {
              locationName: "reservationName"
            },
            ReservationState: {
              locationName: "reservationState"
            },
            ResourceSpecification: {
              shape: "S44",
              locationName: "resourceSpecification"
            },
            Start: {
              locationName: "start"
            }
          },
          required: [
            "CurrencyCode",
            "ReservationState",
            "OfferingArn",
            "ReservationArn",
            "Start",
            "OfferingDescription",
            "ReservationName",
            "End",
            "Duration",
            "DurationUnits",
            "PricePerUnit",
            "ResourceSpecification",
            "PriceUnits"
          ]
        },
        S56: {
          type: "map",
          key: {},
          value: {}
        },
        S5w: {
          type: "structure",
          members: {
            FailoverMode: {
              locationName: "failoverMode"
            },
            RecoveryWindow: {
              locationName: "recoveryWindow",
              type: "integer"
            },
            SourcePriority: {
              shape: "S2m",
              locationName: "sourcePriority"
            },
            State: {
              locationName: "state"
            }
          }
        },
        S6c: {
          type: "structure",
          members: {
            Algorithm: {
              locationName: "algorithm"
            },
            ConstantInitializationVector: {
              locationName: "constantInitializationVector"
            },
            DeviceId: {
              locationName: "deviceId"
            },
            KeyType: {
              locationName: "keyType"
            },
            Region: {
              locationName: "region"
            },
            ResourceId: {
              locationName: "resourceId"
            },
            RoleArn: {
              locationName: "roleArn"
            },
            SecretArn: {
              locationName: "secretArn"
            },
            Url: {
              locationName: "url"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/mediaconnect-2018-11-14.paginators.json
var require_mediaconnect_2018_11_14_paginators = __commonJS({
  "node_modules/aws-sdk/apis/mediaconnect-2018-11-14.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListBridges: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Bridges"
        },
        ListEntitlements: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Entitlements"
        },
        ListFlows: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Flows"
        },
        ListGatewayInstances: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Instances"
        },
        ListGateways: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Gateways"
        },
        ListOfferings: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Offerings"
        },
        ListReservations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Reservations"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/mediaconnect-2018-11-14.waiters2.json
var require_mediaconnect_2018_11_14_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/mediaconnect-2018-11-14.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        FlowActive: {
          description: "Wait until a flow is active",
          operation: "DescribeFlow",
          delay: 3,
          maxAttempts: 40,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "Flow.Status",
              expected: "ACTIVE"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "Flow.Status",
              expected: "STARTING"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "Flow.Status",
              expected: "UPDATING"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            },
            {
              state: "retry",
              matcher: "status",
              expected: 503
            },
            {
              state: "failure",
              matcher: "path",
              argument: "Flow.Status",
              expected: "ERROR"
            }
          ]
        },
        FlowStandby: {
          description: "Wait until a flow is in standby mode",
          operation: "DescribeFlow",
          delay: 3,
          maxAttempts: 40,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "Flow.Status",
              expected: "STANDBY"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "Flow.Status",
              expected: "STOPPING"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            },
            {
              state: "retry",
              matcher: "status",
              expected: 503
            },
            {
              state: "failure",
              matcher: "path",
              argument: "Flow.Status",
              expected: "ERROR"
            }
          ]
        },
        FlowDeleted: {
          description: "Wait until a flow is deleted",
          operation: "DescribeFlow",
          delay: 3,
          maxAttempts: 40,
          acceptors: [
            {
              state: "success",
              matcher: "status",
              expected: 404
            },
            {
              state: "retry",
              matcher: "path",
              argument: "Flow.Status",
              expected: "DELETING"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            },
            {
              state: "retry",
              matcher: "status",
              expected: 503
            },
            {
              state: "failure",
              matcher: "path",
              argument: "Flow.Status",
              expected: "ERROR"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/mediaconnect.js
var require_mediaconnect = __commonJS({
  "node_modules/aws-sdk/clients/mediaconnect.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["mediaconnect"] = {};
    AWS2.MediaConnect = Service.defineService("mediaconnect", ["2018-11-14"]);
    Object.defineProperty(apiLoader.services["mediaconnect"], "2018-11-14", {
      get: function get() {
        var model = require_mediaconnect_2018_11_14_min();
        model.paginators = require_mediaconnect_2018_11_14_paginators().pagination;
        model.waiters = require_mediaconnect_2018_11_14_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MediaConnect;
  }
});

// node_modules/aws-sdk/apis/fsx-2018-03-01.min.json
var require_fsx_2018_03_01_min = __commonJS({
  "node_modules/aws-sdk/apis/fsx-2018-03-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-03-01",
        endpointPrefix: "fsx",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon FSx",
        serviceId: "FSx",
        signatureVersion: "v4",
        signingName: "fsx",
        targetPrefix: "AWSSimbaAPIService_v20180301",
        uid: "fsx-2018-03-01"
      },
      operations: {
        AssociateFileSystemAliases: {
          input: {
            type: "structure",
            required: [
              "FileSystemId",
              "Aliases"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              FileSystemId: {},
              Aliases: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Aliases: {
                shape: "S7"
              }
            }
          }
        },
        CancelDataRepositoryTask: {
          input: {
            type: "structure",
            required: [
              "TaskId"
            ],
            members: {
              TaskId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Lifecycle: {},
              TaskId: {}
            }
          },
          idempotent: true
        },
        CopyBackup: {
          input: {
            type: "structure",
            required: [
              "SourceBackupId"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              SourceBackupId: {},
              SourceRegion: {},
              KmsKeyId: {},
              CopyTags: {
                type: "boolean"
              },
              Tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Backup: {
                shape: "So"
              }
            }
          },
          idempotent: true
        },
        CreateBackup: {
          input: {
            type: "structure",
            members: {
              FileSystemId: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sj"
              },
              VolumeId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Backup: {
                shape: "So"
              }
            }
          },
          idempotent: true
        },
        CreateDataRepositoryAssociation: {
          input: {
            type: "structure",
            required: [
              "FileSystemId",
              "DataRepositoryPath"
            ],
            members: {
              FileSystemId: {},
              FileSystemPath: {},
              DataRepositoryPath: {},
              BatchImportMetaDataOnCreate: {
                type: "boolean"
              },
              ImportedFileChunkSize: {
                type: "integer"
              },
              S3: {
                shape: "S47"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Association: {
                shape: "S4d"
              }
            }
          },
          idempotent: true
        },
        CreateDataRepositoryTask: {
          input: {
            type: "structure",
            required: [
              "Type",
              "FileSystemId",
              "Report"
            ],
            members: {
              Type: {},
              Paths: {
                shape: "S4m"
              },
              FileSystemId: {},
              Report: {
                shape: "S4o"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sj"
              },
              CapacityToRelease: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataRepositoryTask: {
                shape: "S4t"
              }
            }
          },
          idempotent: true
        },
        CreateFileCache: {
          input: {
            type: "structure",
            required: [
              "FileCacheType",
              "FileCacheTypeVersion",
              "StorageCapacity",
              "SubnetIds"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              FileCacheType: {},
              FileCacheTypeVersion: {},
              StorageCapacity: {
                type: "integer"
              },
              SubnetIds: {
                shape: "S15"
              },
              SecurityGroupIds: {
                shape: "S55"
              },
              Tags: {
                shape: "Sj"
              },
              CopyTagsToDataRepositoryAssociations: {
                type: "boolean"
              },
              KmsKeyId: {},
              LustreConfiguration: {
                type: "structure",
                required: [
                  "PerUnitStorageThroughput",
                  "DeploymentType",
                  "MetadataConfiguration"
                ],
                members: {
                  PerUnitStorageThroughput: {
                    type: "integer"
                  },
                  DeploymentType: {},
                  WeeklyMaintenanceStartTime: {},
                  MetadataConfiguration: {
                    shape: "S5a"
                  }
                }
              },
              DataRepositoryAssociations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "FileCachePath",
                    "DataRepositoryPath"
                  ],
                  members: {
                    FileCachePath: {},
                    DataRepositoryPath: {},
                    DataRepositorySubdirectories: {
                      shape: "S4g"
                    },
                    NFS: {
                      type: "structure",
                      required: [
                        "Version"
                      ],
                      members: {
                        Version: {},
                        DnsIps: {
                          shape: "S4j"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FileCache: {
                type: "structure",
                members: {
                  OwnerId: {},
                  CreationTime: {
                    type: "timestamp"
                  },
                  FileCacheId: {},
                  FileCacheType: {},
                  FileCacheTypeVersion: {},
                  Lifecycle: {},
                  FailureDetails: {
                    shape: "S5i"
                  },
                  StorageCapacity: {
                    type: "integer"
                  },
                  VpcId: {},
                  SubnetIds: {
                    shape: "S15"
                  },
                  NetworkInterfaceIds: {
                    shape: "S17"
                  },
                  DNSName: {},
                  KmsKeyId: {},
                  ResourceARN: {},
                  Tags: {
                    shape: "Sj"
                  },
                  CopyTagsToDataRepositoryAssociations: {
                    type: "boolean"
                  },
                  LustreConfiguration: {
                    shape: "S5j"
                  },
                  DataRepositoryAssociationIds: {
                    shape: "S5k"
                  }
                }
              }
            }
          },
          idempotent: true
        },
        CreateFileSystem: {
          input: {
            type: "structure",
            required: [
              "FileSystemType",
              "StorageCapacity",
              "SubnetIds"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              FileSystemType: {},
              StorageCapacity: {
                type: "integer"
              },
              StorageType: {},
              SubnetIds: {
                shape: "S15"
              },
              SecurityGroupIds: {
                shape: "S55"
              },
              Tags: {
                shape: "Sj"
              },
              KmsKeyId: {},
              WindowsConfiguration: {
                shape: "S5m"
              },
              LustreConfiguration: {
                shape: "S5q"
              },
              OntapConfiguration: {
                type: "structure",
                required: [
                  "DeploymentType",
                  "ThroughputCapacity"
                ],
                members: {
                  AutomaticBackupRetentionDays: {
                    type: "integer"
                  },
                  DailyAutomaticBackupStartTime: {},
                  DeploymentType: {},
                  EndpointIpAddressRange: {},
                  FsxAdminPassword: {
                    shape: "S3w"
                  },
                  DiskIopsConfiguration: {
                    shape: "S3r"
                  },
                  PreferredSubnetId: {},
                  RouteTableIds: {
                    shape: "S3u"
                  },
                  ThroughputCapacity: {
                    type: "integer"
                  },
                  WeeklyMaintenanceStartTime: {}
                }
              },
              FileSystemTypeVersion: {},
              OpenZFSConfiguration: {
                shape: "S5t"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FileSystem: {
                shape: "Sx"
              }
            }
          }
        },
        CreateFileSystemFromBackup: {
          input: {
            type: "structure",
            required: [
              "BackupId",
              "SubnetIds"
            ],
            members: {
              BackupId: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              SubnetIds: {
                shape: "S15"
              },
              SecurityGroupIds: {
                shape: "S55"
              },
              Tags: {
                shape: "Sj"
              },
              WindowsConfiguration: {
                shape: "S5m"
              },
              LustreConfiguration: {
                shape: "S5q"
              },
              StorageType: {},
              KmsKeyId: {},
              FileSystemTypeVersion: {},
              OpenZFSConfiguration: {
                shape: "S5t"
              },
              StorageCapacity: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FileSystem: {
                shape: "Sx"
              }
            }
          }
        },
        CreateSnapshot: {
          input: {
            type: "structure",
            required: [
              "Name",
              "VolumeId"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              Name: {},
              VolumeId: {},
              Tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Snapshot: {
                shape: "S3i"
              }
            }
          },
          idempotent: true
        },
        CreateStorageVirtualMachine: {
          input: {
            type: "structure",
            required: [
              "FileSystemId",
              "Name"
            ],
            members: {
              ActiveDirectoryConfiguration: {
                type: "structure",
                required: [
                  "NetBiosName"
                ],
                members: {
                  NetBiosName: {},
                  SelfManagedActiveDirectoryConfiguration: {
                    shape: "S5n"
                  }
                }
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              FileSystemId: {},
              Name: {},
              SvmAdminPassword: {
                shape: "S3w"
              },
              Tags: {
                shape: "Sj"
              },
              RootVolumeSecurityStyle: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StorageVirtualMachine: {
                shape: "S66"
              }
            }
          }
        },
        CreateVolume: {
          input: {
            type: "structure",
            required: [
              "VolumeType",
              "Name"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              VolumeType: {},
              Name: {},
              OntapConfiguration: {
                shape: "S6d"
              },
              Tags: {
                shape: "Sj"
              },
              OpenZFSConfiguration: {
                type: "structure",
                required: [
                  "ParentVolumeId"
                ],
                members: {
                  ParentVolumeId: {},
                  StorageCapacityReservationGiB: {
                    type: "integer"
                  },
                  StorageCapacityQuotaGiB: {
                    type: "integer"
                  },
                  RecordSizeKiB: {
                    type: "integer"
                  },
                  DataCompressionType: {},
                  CopyTagsToSnapshots: {
                    type: "boolean"
                  },
                  OriginSnapshot: {
                    type: "structure",
                    required: [
                      "SnapshotARN",
                      "CopyStrategy"
                    ],
                    members: {
                      SnapshotARN: {},
                      CopyStrategy: {}
                    }
                  },
                  ReadOnly: {
                    type: "boolean"
                  },
                  NfsExports: {
                    shape: "S37"
                  },
                  UserAndGroupQuotas: {
                    shape: "S3e"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Volume: {
                shape: "S2h"
              }
            }
          }
        },
        CreateVolumeFromBackup: {
          input: {
            type: "structure",
            required: [
              "BackupId",
              "Name"
            ],
            members: {
              BackupId: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              Name: {},
              OntapConfiguration: {
                shape: "S6d"
              },
              Tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Volume: {
                shape: "S2h"
              }
            }
          }
        },
        DeleteBackup: {
          input: {
            type: "structure",
            required: [
              "BackupId"
            ],
            members: {
              BackupId: {},
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BackupId: {},
              Lifecycle: {}
            }
          },
          idempotent: true
        },
        DeleteDataRepositoryAssociation: {
          input: {
            type: "structure",
            required: [
              "AssociationId"
            ],
            members: {
              AssociationId: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              DeleteDataInFileSystem: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssociationId: {},
              Lifecycle: {},
              DeleteDataInFileSystem: {
                type: "boolean"
              }
            }
          },
          idempotent: true
        },
        DeleteFileCache: {
          input: {
            type: "structure",
            required: [
              "FileCacheId"
            ],
            members: {
              FileCacheId: {},
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FileCacheId: {},
              Lifecycle: {}
            }
          },
          idempotent: true
        },
        DeleteFileSystem: {
          input: {
            type: "structure",
            required: [
              "FileSystemId"
            ],
            members: {
              FileSystemId: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              WindowsConfiguration: {
                type: "structure",
                members: {
                  SkipFinalBackup: {
                    type: "boolean"
                  },
                  FinalBackupTags: {
                    shape: "Sj"
                  }
                }
              },
              LustreConfiguration: {
                type: "structure",
                members: {
                  SkipFinalBackup: {
                    type: "boolean"
                  },
                  FinalBackupTags: {
                    shape: "Sj"
                  }
                }
              },
              OpenZFSConfiguration: {
                type: "structure",
                members: {
                  SkipFinalBackup: {
                    type: "boolean"
                  },
                  FinalBackupTags: {
                    shape: "Sj"
                  },
                  Options: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FileSystemId: {},
              Lifecycle: {},
              WindowsResponse: {
                type: "structure",
                members: {
                  FinalBackupId: {},
                  FinalBackupTags: {
                    shape: "Sj"
                  }
                }
              },
              LustreResponse: {
                type: "structure",
                members: {
                  FinalBackupId: {},
                  FinalBackupTags: {
                    shape: "Sj"
                  }
                }
              },
              OpenZFSResponse: {
                type: "structure",
                members: {
                  FinalBackupId: {},
                  FinalBackupTags: {
                    shape: "Sj"
                  }
                }
              }
            }
          },
          idempotent: true
        },
        DeleteSnapshot: {
          input: {
            type: "structure",
            required: [
              "SnapshotId"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              SnapshotId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SnapshotId: {},
              Lifecycle: {}
            }
          },
          idempotent: true
        },
        DeleteStorageVirtualMachine: {
          input: {
            type: "structure",
            required: [
              "StorageVirtualMachineId"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              StorageVirtualMachineId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StorageVirtualMachineId: {},
              Lifecycle: {}
            }
          }
        },
        DeleteVolume: {
          input: {
            type: "structure",
            required: [
              "VolumeId"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              VolumeId: {},
              OntapConfiguration: {
                type: "structure",
                members: {
                  SkipFinalBackup: {
                    type: "boolean"
                  },
                  FinalBackupTags: {
                    shape: "Sj"
                  }
                }
              },
              OpenZFSConfiguration: {
                type: "structure",
                members: {
                  Options: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VolumeId: {},
              Lifecycle: {},
              OntapResponse: {
                type: "structure",
                members: {
                  FinalBackupId: {},
                  FinalBackupTags: {
                    shape: "Sj"
                  }
                }
              }
            }
          }
        },
        DescribeBackups: {
          input: {
            type: "structure",
            members: {
              BackupIds: {
                type: "list",
                member: {}
              },
              Filters: {
                shape: "S7f"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Backups: {
                type: "list",
                member: {
                  shape: "So"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeDataRepositoryAssociations: {
          input: {
            type: "structure",
            members: {
              AssociationIds: {
                shape: "S5k"
              },
              Filters: {
                shape: "S7f"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Associations: {
                type: "list",
                member: {
                  shape: "S4d"
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        DescribeDataRepositoryTasks: {
          input: {
            type: "structure",
            members: {
              TaskIds: {
                type: "list",
                member: {}
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DataRepositoryTasks: {
                type: "list",
                member: {
                  shape: "S4t"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeFileCaches: {
          input: {
            type: "structure",
            members: {
              FileCacheIds: {
                type: "list",
                member: {}
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FileCaches: {
                type: "list",
                member: {
                  shape: "S85"
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        DescribeFileSystemAliases: {
          input: {
            type: "structure",
            required: [
              "FileSystemId"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              FileSystemId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Aliases: {
                shape: "S7"
              },
              NextToken: {}
            }
          }
        },
        DescribeFileSystems: {
          input: {
            type: "structure",
            members: {
              FileSystemIds: {
                type: "list",
                member: {}
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FileSystems: {
                type: "list",
                member: {
                  shape: "Sx"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeSnapshots: {
          input: {
            type: "structure",
            members: {
              SnapshotIds: {
                type: "list",
                member: {}
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Snapshots: {
                type: "list",
                member: {
                  shape: "S3i"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeStorageVirtualMachines: {
          input: {
            type: "structure",
            members: {
              StorageVirtualMachineIds: {
                type: "list",
                member: {}
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StorageVirtualMachines: {
                type: "list",
                member: {
                  shape: "S66"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeVolumes: {
          input: {
            type: "structure",
            members: {
              VolumeIds: {
                type: "list",
                member: {}
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Volumes: {
                type: "list",
                member: {
                  shape: "S2h"
                }
              },
              NextToken: {}
            }
          }
        },
        DisassociateFileSystemAliases: {
          input: {
            type: "structure",
            required: [
              "FileSystemId",
              "Aliases"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              FileSystemId: {},
              Aliases: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Aliases: {
                shape: "S7"
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sj"
              },
              NextToken: {}
            }
          }
        },
        ReleaseFileSystemNfsV3Locks: {
          input: {
            type: "structure",
            required: [
              "FileSystemId"
            ],
            members: {
              FileSystemId: {},
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FileSystem: {
                shape: "Sx"
              }
            }
          },
          idempotent: true
        },
        RestoreVolumeFromSnapshot: {
          input: {
            type: "structure",
            required: [
              "VolumeId",
              "SnapshotId"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              VolumeId: {},
              SnapshotId: {},
              Options: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VolumeId: {},
              Lifecycle: {},
              AdministrativeActions: {
                shape: "S2b"
              }
            }
          },
          idempotent: true
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateDataRepositoryAssociation: {
          input: {
            type: "structure",
            required: [
              "AssociationId"
            ],
            members: {
              AssociationId: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              ImportedFileChunkSize: {
                type: "integer"
              },
              S3: {
                shape: "S47"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Association: {
                shape: "S4d"
              }
            }
          },
          idempotent: true
        },
        UpdateFileCache: {
          input: {
            type: "structure",
            required: [
              "FileCacheId"
            ],
            members: {
              FileCacheId: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              LustreConfiguration: {
                type: "structure",
                members: {
                  WeeklyMaintenanceStartTime: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FileCache: {
                shape: "S85"
              }
            }
          },
          idempotent: true
        },
        UpdateFileSystem: {
          input: {
            type: "structure",
            required: [
              "FileSystemId"
            ],
            members: {
              FileSystemId: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              StorageCapacity: {
                type: "integer"
              },
              WindowsConfiguration: {
                type: "structure",
                members: {
                  WeeklyMaintenanceStartTime: {},
                  DailyAutomaticBackupStartTime: {},
                  AutomaticBackupRetentionDays: {
                    type: "integer"
                  },
                  ThroughputCapacity: {
                    type: "integer"
                  },
                  SelfManagedActiveDirectoryConfiguration: {
                    shape: "S9p"
                  },
                  AuditLogConfiguration: {
                    shape: "S5p"
                  }
                }
              },
              LustreConfiguration: {
                type: "structure",
                members: {
                  WeeklyMaintenanceStartTime: {},
                  DailyAutomaticBackupStartTime: {},
                  AutomaticBackupRetentionDays: {
                    type: "integer"
                  },
                  AutoImportPolicy: {},
                  DataCompressionType: {},
                  LogConfiguration: {
                    shape: "S5r"
                  },
                  RootSquashConfiguration: {
                    shape: "S27"
                  }
                }
              },
              OntapConfiguration: {
                type: "structure",
                members: {
                  AutomaticBackupRetentionDays: {
                    type: "integer"
                  },
                  DailyAutomaticBackupStartTime: {},
                  FsxAdminPassword: {
                    shape: "S3w"
                  },
                  WeeklyMaintenanceStartTime: {},
                  DiskIopsConfiguration: {
                    shape: "S3r"
                  },
                  ThroughputCapacity: {
                    type: "integer"
                  },
                  AddRouteTableIds: {
                    shape: "S3u"
                  },
                  RemoveRouteTableIds: {
                    shape: "S3u"
                  }
                }
              },
              OpenZFSConfiguration: {
                type: "structure",
                members: {
                  AutomaticBackupRetentionDays: {
                    type: "integer"
                  },
                  CopyTagsToBackups: {
                    type: "boolean"
                  },
                  CopyTagsToVolumes: {
                    type: "boolean"
                  },
                  DailyAutomaticBackupStartTime: {},
                  ThroughputCapacity: {
                    type: "integer"
                  },
                  WeeklyMaintenanceStartTime: {},
                  DiskIopsConfiguration: {
                    shape: "S3r"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FileSystem: {
                shape: "Sx"
              }
            }
          }
        },
        UpdateSnapshot: {
          input: {
            type: "structure",
            required: [
              "Name",
              "SnapshotId"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              Name: {},
              SnapshotId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Snapshot: {
                shape: "S3i"
              }
            }
          },
          idempotent: true
        },
        UpdateStorageVirtualMachine: {
          input: {
            type: "structure",
            required: [
              "StorageVirtualMachineId"
            ],
            members: {
              ActiveDirectoryConfiguration: {
                type: "structure",
                members: {
                  SelfManagedActiveDirectoryConfiguration: {
                    shape: "S9p"
                  },
                  NetBiosName: {}
                }
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              StorageVirtualMachineId: {},
              SvmAdminPassword: {
                shape: "S3w"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StorageVirtualMachine: {
                shape: "S66"
              }
            }
          }
        },
        UpdateVolume: {
          input: {
            type: "structure",
            required: [
              "VolumeId"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              VolumeId: {},
              OntapConfiguration: {
                type: "structure",
                members: {
                  JunctionPath: {},
                  SecurityStyle: {},
                  SizeInMegabytes: {
                    type: "integer"
                  },
                  StorageEfficiencyEnabled: {
                    type: "boolean"
                  },
                  TieringPolicy: {
                    shape: "S2q"
                  },
                  SnapshotPolicy: {},
                  CopyTagsToBackups: {
                    type: "boolean"
                  }
                }
              },
              Name: {},
              OpenZFSConfiguration: {
                type: "structure",
                members: {
                  StorageCapacityReservationGiB: {
                    type: "integer"
                  },
                  StorageCapacityQuotaGiB: {
                    type: "integer"
                  },
                  RecordSizeKiB: {
                    type: "integer"
                  },
                  DataCompressionType: {},
                  NfsExports: {
                    shape: "S37"
                  },
                  UserAndGroupQuotas: {
                    shape: "S3e"
                  },
                  ReadOnly: {
                    type: "boolean"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Volume: {
                shape: "S2h"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "list",
          member: {}
        },
        S7: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Lifecycle: {}
            }
          }
        },
        Sj: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        So: {
          type: "structure",
          required: [
            "BackupId",
            "Lifecycle",
            "Type",
            "CreationTime",
            "FileSystem"
          ],
          members: {
            BackupId: {},
            Lifecycle: {},
            FailureDetails: {
              type: "structure",
              members: {
                Message: {}
              }
            },
            Type: {},
            ProgressPercent: {
              type: "integer"
            },
            CreationTime: {
              type: "timestamp"
            },
            KmsKeyId: {},
            ResourceARN: {},
            Tags: {
              shape: "Sj"
            },
            FileSystem: {
              shape: "Sx"
            },
            DirectoryInformation: {
              type: "structure",
              members: {
                DomainName: {},
                ActiveDirectoryId: {},
                ResourceARN: {}
              }
            },
            OwnerId: {},
            SourceBackupId: {},
            SourceBackupRegion: {},
            ResourceType: {},
            Volume: {
              shape: "S2h"
            }
          }
        },
        Sx: {
          type: "structure",
          members: {
            OwnerId: {},
            CreationTime: {
              type: "timestamp"
            },
            FileSystemId: {},
            FileSystemType: {},
            Lifecycle: {},
            FailureDetails: {
              type: "structure",
              members: {
                Message: {}
              }
            },
            StorageCapacity: {
              type: "integer"
            },
            StorageType: {},
            VpcId: {},
            SubnetIds: {
              shape: "S15"
            },
            NetworkInterfaceIds: {
              shape: "S17"
            },
            DNSName: {},
            KmsKeyId: {},
            ResourceARN: {},
            Tags: {
              shape: "Sj"
            },
            WindowsConfiguration: {
              type: "structure",
              members: {
                ActiveDirectoryId: {},
                SelfManagedActiveDirectoryConfiguration: {
                  shape: "S1c"
                },
                DeploymentType: {},
                RemoteAdministrationEndpoint: {},
                PreferredSubnetId: {},
                PreferredFileServerIp: {},
                ThroughputCapacity: {
                  type: "integer"
                },
                MaintenanceOperationsInProgress: {
                  type: "list",
                  member: {}
                },
                WeeklyMaintenanceStartTime: {},
                DailyAutomaticBackupStartTime: {},
                AutomaticBackupRetentionDays: {
                  type: "integer"
                },
                CopyTagsToBackups: {
                  type: "boolean"
                },
                Aliases: {
                  shape: "S7"
                },
                AuditLogConfiguration: {
                  type: "structure",
                  required: [
                    "FileAccessAuditLogLevel",
                    "FileShareAccessAuditLogLevel"
                  ],
                  members: {
                    FileAccessAuditLogLevel: {},
                    FileShareAccessAuditLogLevel: {},
                    AuditLogDestination: {}
                  }
                }
              }
            },
            LustreConfiguration: {
              type: "structure",
              members: {
                WeeklyMaintenanceStartTime: {},
                DataRepositoryConfiguration: {
                  type: "structure",
                  members: {
                    Lifecycle: {},
                    ImportPath: {},
                    ExportPath: {},
                    ImportedFileChunkSize: {
                      type: "integer"
                    },
                    AutoImportPolicy: {},
                    FailureDetails: {
                      shape: "S1z"
                    }
                  }
                },
                DeploymentType: {},
                PerUnitStorageThroughput: {
                  type: "integer"
                },
                MountName: {},
                DailyAutomaticBackupStartTime: {},
                AutomaticBackupRetentionDays: {
                  type: "integer"
                },
                CopyTagsToBackups: {
                  type: "boolean"
                },
                DriveCacheType: {},
                DataCompressionType: {},
                LogConfiguration: {
                  shape: "S25"
                },
                RootSquashConfiguration: {
                  shape: "S27"
                }
              }
            },
            AdministrativeActions: {
              shape: "S2b"
            },
            OntapConfiguration: {
              type: "structure",
              members: {
                AutomaticBackupRetentionDays: {
                  type: "integer"
                },
                DailyAutomaticBackupStartTime: {},
                DeploymentType: {},
                EndpointIpAddressRange: {},
                Endpoints: {
                  type: "structure",
                  members: {
                    Intercluster: {
                      shape: "S3p"
                    },
                    Management: {
                      shape: "S3p"
                    }
                  }
                },
                DiskIopsConfiguration: {
                  shape: "S3r"
                },
                PreferredSubnetId: {},
                RouteTableIds: {
                  shape: "S3u"
                },
                ThroughputCapacity: {
                  type: "integer"
                },
                WeeklyMaintenanceStartTime: {},
                FsxAdminPassword: {
                  shape: "S3w"
                }
              }
            },
            FileSystemTypeVersion: {},
            OpenZFSConfiguration: {
              type: "structure",
              members: {
                AutomaticBackupRetentionDays: {
                  type: "integer"
                },
                CopyTagsToBackups: {
                  type: "boolean"
                },
                CopyTagsToVolumes: {
                  type: "boolean"
                },
                DailyAutomaticBackupStartTime: {},
                DeploymentType: {},
                ThroughputCapacity: {
                  type: "integer"
                },
                WeeklyMaintenanceStartTime: {},
                DiskIopsConfiguration: {
                  shape: "S3r"
                },
                RootVolumeId: {}
              }
            }
          }
        },
        S15: {
          type: "list",
          member: {}
        },
        S17: {
          type: "list",
          member: {}
        },
        S1c: {
          type: "structure",
          members: {
            DomainName: {},
            OrganizationalUnitDistinguishedName: {},
            FileSystemAdministratorsGroup: {},
            UserName: {},
            DnsIps: {
              shape: "S1h"
            }
          }
        },
        S1h: {
          type: "list",
          member: {}
        },
        S1z: {
          type: "structure",
          members: {
            Message: {}
          }
        },
        S25: {
          type: "structure",
          required: [
            "Level"
          ],
          members: {
            Level: {},
            Destination: {}
          }
        },
        S27: {
          type: "structure",
          members: {
            RootSquash: {},
            NoSquashNids: {
              type: "list",
              member: {}
            }
          }
        },
        S2b: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AdministrativeActionType: {},
              ProgressPercent: {
                type: "integer"
              },
              RequestTime: {
                type: "timestamp"
              },
              Status: {},
              TargetFileSystemValues: {
                shape: "Sx"
              },
              FailureDetails: {
                type: "structure",
                members: {
                  Message: {}
                }
              },
              TargetVolumeValues: {
                shape: "S2h"
              },
              TargetSnapshotValues: {
                shape: "S3i"
              }
            }
          }
        },
        S2h: {
          type: "structure",
          members: {
            CreationTime: {
              type: "timestamp"
            },
            FileSystemId: {},
            Lifecycle: {},
            Name: {},
            OntapConfiguration: {
              type: "structure",
              members: {
                FlexCacheEndpointType: {},
                JunctionPath: {},
                SecurityStyle: {},
                SizeInMegabytes: {
                  type: "integer"
                },
                StorageEfficiencyEnabled: {
                  type: "boolean"
                },
                StorageVirtualMachineId: {},
                StorageVirtualMachineRoot: {
                  type: "boolean"
                },
                TieringPolicy: {
                  shape: "S2q"
                },
                UUID: {},
                OntapVolumeType: {},
                SnapshotPolicy: {},
                CopyTagsToBackups: {
                  type: "boolean"
                }
              }
            },
            ResourceARN: {},
            Tags: {
              shape: "Sj"
            },
            VolumeId: {},
            VolumeType: {},
            LifecycleTransitionReason: {
              shape: "S2y"
            },
            AdministrativeActions: {
              shape: "S2b"
            },
            OpenZFSConfiguration: {
              type: "structure",
              members: {
                ParentVolumeId: {},
                VolumePath: {},
                StorageCapacityReservationGiB: {
                  type: "integer"
                },
                StorageCapacityQuotaGiB: {
                  type: "integer"
                },
                RecordSizeKiB: {
                  type: "integer"
                },
                DataCompressionType: {},
                CopyTagsToSnapshots: {
                  type: "boolean"
                },
                OriginSnapshot: {
                  type: "structure",
                  members: {
                    SnapshotARN: {},
                    CopyStrategy: {}
                  }
                },
                ReadOnly: {
                  type: "boolean"
                },
                NfsExports: {
                  shape: "S37"
                },
                UserAndGroupQuotas: {
                  shape: "S3e"
                },
                RestoreToSnapshot: {},
                DeleteIntermediateSnaphots: {
                  type: "boolean"
                },
                DeleteClonedVolumes: {
                  type: "boolean"
                }
              }
            }
          }
        },
        S2q: {
          type: "structure",
          members: {
            CoolingPeriod: {
              type: "integer"
            },
            Name: {}
          }
        },
        S2y: {
          type: "structure",
          members: {
            Message: {}
          }
        },
        S37: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ClientConfigurations"
            ],
            members: {
              ClientConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Clients",
                    "Options"
                  ],
                  members: {
                    Clients: {},
                    Options: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              }
            }
          }
        },
        S3e: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Type",
              "Id",
              "StorageCapacityQuotaGiB"
            ],
            members: {
              Type: {},
              Id: {
                type: "integer"
              },
              StorageCapacityQuotaGiB: {
                type: "integer"
              }
            }
          }
        },
        S3i: {
          type: "structure",
          members: {
            ResourceARN: {},
            SnapshotId: {},
            Name: {},
            VolumeId: {},
            CreationTime: {
              type: "timestamp"
            },
            Lifecycle: {},
            LifecycleTransitionReason: {
              shape: "S2y"
            },
            Tags: {
              shape: "Sj"
            },
            AdministrativeActions: {
              shape: "S2b"
            }
          }
        },
        S3p: {
          type: "structure",
          members: {
            DNSName: {},
            IpAddresses: {
              shape: "S3q"
            }
          }
        },
        S3q: {
          type: "list",
          member: {}
        },
        S3r: {
          type: "structure",
          members: {
            Mode: {},
            Iops: {
              type: "long"
            }
          }
        },
        S3u: {
          type: "list",
          member: {}
        },
        S3w: {
          type: "string",
          sensitive: true
        },
        S47: {
          type: "structure",
          members: {
            AutoImportPolicy: {
              type: "structure",
              members: {
                Events: {
                  shape: "S49"
                }
              }
            },
            AutoExportPolicy: {
              shape: "S4b"
            }
          }
        },
        S49: {
          type: "list",
          member: {}
        },
        S4b: {
          type: "structure",
          members: {
            Events: {
              shape: "S49"
            }
          }
        },
        S4d: {
          type: "structure",
          members: {
            AssociationId: {},
            ResourceARN: {},
            FileSystemId: {},
            Lifecycle: {},
            FailureDetails: {
              shape: "S1z"
            },
            FileSystemPath: {},
            DataRepositoryPath: {},
            BatchImportMetaDataOnCreate: {
              type: "boolean"
            },
            ImportedFileChunkSize: {
              type: "integer"
            },
            S3: {
              shape: "S47"
            },
            Tags: {
              shape: "Sj"
            },
            CreationTime: {
              type: "timestamp"
            },
            FileCacheId: {},
            FileCachePath: {},
            DataRepositorySubdirectories: {
              shape: "S4g"
            },
            NFS: {
              type: "structure",
              required: [
                "Version"
              ],
              members: {
                Version: {},
                DnsIps: {
                  shape: "S4j"
                },
                AutoExportPolicy: {
                  shape: "S4b"
                }
              }
            }
          }
        },
        S4g: {
          type: "list",
          member: {}
        },
        S4j: {
          type: "list",
          member: {}
        },
        S4m: {
          type: "list",
          member: {}
        },
        S4o: {
          type: "structure",
          required: [
            "Enabled"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Path: {},
            Format: {},
            Scope: {}
          }
        },
        S4t: {
          type: "structure",
          required: [
            "TaskId",
            "Lifecycle",
            "Type",
            "CreationTime"
          ],
          members: {
            TaskId: {},
            Lifecycle: {},
            Type: {},
            CreationTime: {
              type: "timestamp"
            },
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            ResourceARN: {},
            Tags: {
              shape: "Sj"
            },
            FileSystemId: {},
            Paths: {
              shape: "S4m"
            },
            FailureDetails: {
              type: "structure",
              members: {
                Message: {}
              }
            },
            Status: {
              type: "structure",
              members: {
                TotalCount: {
                  type: "long"
                },
                SucceededCount: {
                  type: "long"
                },
                FailedCount: {
                  type: "long"
                },
                LastUpdatedTime: {
                  type: "timestamp"
                },
                ReleasedCapacity: {
                  type: "long"
                }
              }
            },
            Report: {
              shape: "S4o"
            },
            CapacityToRelease: {
              type: "long"
            },
            FileCacheId: {}
          }
        },
        S55: {
          type: "list",
          member: {}
        },
        S5a: {
          type: "structure",
          required: [
            "StorageCapacity"
          ],
          members: {
            StorageCapacity: {
              type: "integer"
            }
          }
        },
        S5i: {
          type: "structure",
          members: {
            Message: {}
          }
        },
        S5j: {
          type: "structure",
          members: {
            PerUnitStorageThroughput: {
              type: "integer"
            },
            DeploymentType: {},
            MountName: {},
            WeeklyMaintenanceStartTime: {},
            MetadataConfiguration: {
              shape: "S5a"
            },
            LogConfiguration: {
              shape: "S25"
            }
          }
        },
        S5k: {
          type: "list",
          member: {}
        },
        S5m: {
          type: "structure",
          required: [
            "ThroughputCapacity"
          ],
          members: {
            ActiveDirectoryId: {},
            SelfManagedActiveDirectoryConfiguration: {
              shape: "S5n"
            },
            DeploymentType: {},
            PreferredSubnetId: {},
            ThroughputCapacity: {
              type: "integer"
            },
            WeeklyMaintenanceStartTime: {},
            DailyAutomaticBackupStartTime: {},
            AutomaticBackupRetentionDays: {
              type: "integer"
            },
            CopyTagsToBackups: {
              type: "boolean"
            },
            Aliases: {
              shape: "S4"
            },
            AuditLogConfiguration: {
              shape: "S5p"
            }
          }
        },
        S5n: {
          type: "structure",
          required: [
            "DomainName",
            "UserName",
            "Password",
            "DnsIps"
          ],
          members: {
            DomainName: {},
            OrganizationalUnitDistinguishedName: {},
            FileSystemAdministratorsGroup: {},
            UserName: {},
            Password: {
              shape: "S5o"
            },
            DnsIps: {
              shape: "S1h"
            }
          }
        },
        S5o: {
          type: "string",
          sensitive: true
        },
        S5p: {
          type: "structure",
          required: [
            "FileAccessAuditLogLevel",
            "FileShareAccessAuditLogLevel"
          ],
          members: {
            FileAccessAuditLogLevel: {},
            FileShareAccessAuditLogLevel: {},
            AuditLogDestination: {}
          }
        },
        S5q: {
          type: "structure",
          members: {
            WeeklyMaintenanceStartTime: {},
            ImportPath: {},
            ExportPath: {},
            ImportedFileChunkSize: {
              type: "integer"
            },
            DeploymentType: {},
            AutoImportPolicy: {},
            PerUnitStorageThroughput: {
              type: "integer"
            },
            DailyAutomaticBackupStartTime: {},
            AutomaticBackupRetentionDays: {
              type: "integer"
            },
            CopyTagsToBackups: {
              type: "boolean"
            },
            DriveCacheType: {},
            DataCompressionType: {},
            LogConfiguration: {
              shape: "S5r"
            },
            RootSquashConfiguration: {
              shape: "S27"
            }
          }
        },
        S5r: {
          type: "structure",
          required: [
            "Level"
          ],
          members: {
            Level: {},
            Destination: {}
          }
        },
        S5t: {
          type: "structure",
          required: [
            "DeploymentType",
            "ThroughputCapacity"
          ],
          members: {
            AutomaticBackupRetentionDays: {
              type: "integer"
            },
            CopyTagsToBackups: {
              type: "boolean"
            },
            CopyTagsToVolumes: {
              type: "boolean"
            },
            DailyAutomaticBackupStartTime: {},
            DeploymentType: {},
            ThroughputCapacity: {
              type: "integer"
            },
            WeeklyMaintenanceStartTime: {},
            DiskIopsConfiguration: {
              shape: "S3r"
            },
            RootVolumeConfiguration: {
              type: "structure",
              members: {
                RecordSizeKiB: {
                  type: "integer"
                },
                DataCompressionType: {},
                NfsExports: {
                  shape: "S37"
                },
                UserAndGroupQuotas: {
                  shape: "S3e"
                },
                CopyTagsToSnapshots: {
                  type: "boolean"
                },
                ReadOnly: {
                  type: "boolean"
                }
              }
            }
          }
        },
        S66: {
          type: "structure",
          members: {
            ActiveDirectoryConfiguration: {
              type: "structure",
              members: {
                NetBiosName: {},
                SelfManagedActiveDirectoryConfiguration: {
                  shape: "S1c"
                }
              }
            },
            CreationTime: {
              type: "timestamp"
            },
            Endpoints: {
              type: "structure",
              members: {
                Iscsi: {
                  shape: "S69"
                },
                Management: {
                  shape: "S69"
                },
                Nfs: {
                  shape: "S69"
                },
                Smb: {
                  shape: "S69"
                }
              }
            },
            FileSystemId: {},
            Lifecycle: {},
            Name: {},
            ResourceARN: {},
            StorageVirtualMachineId: {},
            Subtype: {},
            UUID: {},
            Tags: {
              shape: "Sj"
            },
            LifecycleTransitionReason: {
              shape: "S2y"
            },
            RootVolumeSecurityStyle: {}
          }
        },
        S69: {
          type: "structure",
          members: {
            DNSName: {},
            IpAddresses: {
              shape: "S3q"
            }
          }
        },
        S6d: {
          type: "structure",
          required: [
            "SizeInMegabytes",
            "StorageVirtualMachineId"
          ],
          members: {
            JunctionPath: {},
            SecurityStyle: {},
            SizeInMegabytes: {
              type: "integer"
            },
            StorageEfficiencyEnabled: {
              type: "boolean"
            },
            StorageVirtualMachineId: {},
            TieringPolicy: {
              shape: "S2q"
            },
            OntapVolumeType: {},
            SnapshotPolicy: {},
            CopyTagsToBackups: {
              type: "boolean"
            }
          }
        },
        S7f: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Values: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S85: {
          type: "structure",
          members: {
            OwnerId: {},
            CreationTime: {
              type: "timestamp"
            },
            FileCacheId: {},
            FileCacheType: {},
            FileCacheTypeVersion: {},
            Lifecycle: {},
            FailureDetails: {
              shape: "S5i"
            },
            StorageCapacity: {
              type: "integer"
            },
            VpcId: {},
            SubnetIds: {
              shape: "S15"
            },
            NetworkInterfaceIds: {
              shape: "S17"
            },
            DNSName: {},
            KmsKeyId: {},
            ResourceARN: {},
            LustreConfiguration: {
              shape: "S5j"
            },
            DataRepositoryAssociationIds: {
              shape: "S5k"
            }
          }
        },
        S9p: {
          type: "structure",
          members: {
            UserName: {},
            Password: {
              shape: "S5o"
            },
            DnsIps: {
              shape: "S1h"
            },
            DomainName: {},
            OrganizationalUnitDistinguishedName: {},
            FileSystemAdministratorsGroup: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/fsx-2018-03-01.paginators.json
var require_fsx_2018_03_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/fsx-2018-03-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeBackups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeDataRepositoryAssociations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeDataRepositoryTasks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeFileCaches: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeFileSystemAliases: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeFileSystems: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeSnapshots: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeStorageVirtualMachines: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "StorageVirtualMachines"
        },
        DescribeVolumes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Volumes"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/fsx.js
var require_fsx = __commonJS({
  "node_modules/aws-sdk/clients/fsx.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["fsx"] = {};
    AWS2.FSx = Service.defineService("fsx", ["2018-03-01"]);
    Object.defineProperty(apiLoader.services["fsx"], "2018-03-01", {
      get: function get() {
        var model = require_fsx_2018_03_01_min();
        model.paginators = require_fsx_2018_03_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.FSx;
  }
});

// node_modules/aws-sdk/apis/securityhub-2018-10-26.min.json
var require_securityhub_2018_10_26_min = __commonJS({
  "node_modules/aws-sdk/apis/securityhub-2018-10-26.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-10-26",
        endpointPrefix: "securityhub",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS SecurityHub",
        serviceId: "SecurityHub",
        signatureVersion: "v4",
        signingName: "securityhub",
        uid: "securityhub-2018-10-26"
      },
      operations: {
        AcceptAdministratorInvitation: {
          http: {
            requestUri: "/administrator"
          },
          input: {
            type: "structure",
            required: [
              "AdministratorId",
              "InvitationId"
            ],
            members: {
              AdministratorId: {},
              InvitationId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AcceptInvitation: {
          http: {
            requestUri: "/master"
          },
          input: {
            type: "structure",
            required: [
              "MasterId",
              "InvitationId"
            ],
            members: {
              MasterId: {},
              InvitationId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "This API has been deprecated, use AcceptAdministratorInvitation API instead."
        },
        BatchDeleteAutomationRules: {
          http: {
            requestUri: "/automationrules/delete"
          },
          input: {
            type: "structure",
            required: [
              "AutomationRulesArns"
            ],
            members: {
              AutomationRulesArns: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProcessedAutomationRules: {
                shape: "S7"
              },
              UnprocessedAutomationRules: {
                shape: "S9"
              }
            }
          }
        },
        BatchDisableStandards: {
          http: {
            requestUri: "/standards/deregister"
          },
          input: {
            type: "structure",
            required: [
              "StandardsSubscriptionArns"
            ],
            members: {
              StandardsSubscriptionArns: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StandardsSubscriptions: {
                shape: "Sf"
              }
            }
          }
        },
        BatchEnableStandards: {
          http: {
            requestUri: "/standards/register"
          },
          input: {
            type: "structure",
            required: [
              "StandardsSubscriptionRequests"
            ],
            members: {
              StandardsSubscriptionRequests: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "StandardsArn"
                  ],
                  members: {
                    StandardsArn: {},
                    StandardsInput: {
                      shape: "Sh"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StandardsSubscriptions: {
                shape: "Sf"
              }
            }
          }
        },
        BatchGetAutomationRules: {
          http: {
            requestUri: "/automationrules/get"
          },
          input: {
            type: "structure",
            required: [
              "AutomationRulesArns"
            ],
            members: {
              AutomationRulesArns: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Rules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RuleArn: {},
                    RuleStatus: {},
                    RuleOrder: {
                      type: "integer"
                    },
                    RuleName: {},
                    Description: {},
                    IsTerminal: {
                      type: "boolean"
                    },
                    Criteria: {
                      shape: "Sw"
                    },
                    Actions: {
                      shape: "S1a"
                    },
                    CreatedAt: {
                      shape: "S1p"
                    },
                    UpdatedAt: {
                      shape: "S1p"
                    },
                    CreatedBy: {}
                  }
                }
              },
              UnprocessedAutomationRules: {
                shape: "S9"
              }
            }
          }
        },
        BatchGetSecurityControls: {
          http: {
            requestUri: "/securityControls/batchGet"
          },
          input: {
            type: "structure",
            required: [
              "SecurityControlIds"
            ],
            members: {
              SecurityControlIds: {
                shape: "S1r"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "SecurityControls"
            ],
            members: {
              SecurityControls: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "SecurityControlId",
                    "SecurityControlArn",
                    "Title",
                    "Description",
                    "RemediationUrl",
                    "SeverityRating",
                    "SecurityControlStatus"
                  ],
                  members: {
                    SecurityControlId: {},
                    SecurityControlArn: {},
                    Title: {},
                    Description: {},
                    RemediationUrl: {},
                    SeverityRating: {},
                    SecurityControlStatus: {}
                  }
                }
              },
              UnprocessedIds: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "SecurityControlId",
                    "ErrorCode"
                  ],
                  members: {
                    SecurityControlId: {},
                    ErrorCode: {},
                    ErrorReason: {}
                  }
                }
              }
            }
          }
        },
        BatchGetStandardsControlAssociations: {
          http: {
            requestUri: "/associations/batchGet"
          },
          input: {
            type: "structure",
            required: [
              "StandardsControlAssociationIds"
            ],
            members: {
              StandardsControlAssociationIds: {
                type: "list",
                member: {
                  shape: "S22"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "StandardsControlAssociationDetails"
            ],
            members: {
              StandardsControlAssociationDetails: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "StandardsArn",
                    "SecurityControlId",
                    "SecurityControlArn",
                    "AssociationStatus"
                  ],
                  members: {
                    StandardsArn: {},
                    SecurityControlId: {},
                    SecurityControlArn: {},
                    AssociationStatus: {},
                    RelatedRequirements: {
                      shape: "S27"
                    },
                    UpdatedAt: {
                      shape: "S1p"
                    },
                    UpdatedReason: {},
                    StandardsControlTitle: {},
                    StandardsControlDescription: {},
                    StandardsControlArns: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              UnprocessedAssociations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "StandardsControlAssociationId",
                    "ErrorCode"
                  ],
                  members: {
                    StandardsControlAssociationId: {
                      shape: "S22"
                    },
                    ErrorCode: {},
                    ErrorReason: {}
                  }
                }
              }
            }
          }
        },
        BatchImportFindings: {
          http: {
            requestUri: "/findings/import"
          },
          input: {
            type: "structure",
            required: [
              "Findings"
            ],
            members: {
              Findings: {
                type: "list",
                member: {
                  shape: "S2d"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "FailedCount",
              "SuccessCount"
            ],
            members: {
              FailedCount: {
                type: "integer"
              },
              SuccessCount: {
                type: "integer"
              },
              FailedFindings: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Id",
                    "ErrorCode",
                    "ErrorMessage"
                  ],
                  members: {
                    Id: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        BatchUpdateAutomationRules: {
          http: {
            method: "PATCH",
            requestUri: "/automationrules/update"
          },
          input: {
            type: "structure",
            required: [
              "UpdateAutomationRulesRequestItems"
            ],
            members: {
              UpdateAutomationRulesRequestItems: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "RuleArn"
                  ],
                  members: {
                    RuleArn: {},
                    RuleStatus: {},
                    RuleOrder: {
                      type: "integer"
                    },
                    Description: {},
                    RuleName: {},
                    IsTerminal: {
                      type: "boolean"
                    },
                    Criteria: {
                      shape: "Sw"
                    },
                    Actions: {
                      shape: "S1a"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProcessedAutomationRules: {
                shape: "S7"
              },
              UnprocessedAutomationRules: {
                shape: "S9"
              }
            }
          }
        },
        BatchUpdateFindings: {
          http: {
            method: "PATCH",
            requestUri: "/findings/batchupdate"
          },
          input: {
            type: "structure",
            required: [
              "FindingIdentifiers"
            ],
            members: {
              FindingIdentifiers: {
                shape: "Snh"
              },
              Note: {
                shape: "S1e"
              },
              Severity: {
                shape: "S1f"
              },
              VerificationState: {},
              Confidence: {
                type: "integer"
              },
              Criticality: {
                type: "integer"
              },
              Types: {
                shape: "S1j"
              },
              UserDefinedFields: {
                shape: "S1k"
              },
              Workflow: {
                shape: "S1l"
              },
              RelatedFindings: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ProcessedFindings",
              "UnprocessedFindings"
            ],
            members: {
              ProcessedFindings: {
                shape: "Snh"
              },
              UnprocessedFindings: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "FindingIdentifier",
                    "ErrorCode",
                    "ErrorMessage"
                  ],
                  members: {
                    FindingIdentifier: {
                      shape: "Sni"
                    },
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        BatchUpdateStandardsControlAssociations: {
          http: {
            method: "PATCH",
            requestUri: "/associations"
          },
          input: {
            type: "structure",
            required: [
              "StandardsControlAssociationUpdates"
            ],
            members: {
              StandardsControlAssociationUpdates: {
                type: "list",
                member: {
                  shape: "Sno"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UnprocessedAssociationUpdates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "StandardsControlAssociationUpdate",
                    "ErrorCode"
                  ],
                  members: {
                    StandardsControlAssociationUpdate: {
                      shape: "Sno"
                    },
                    ErrorCode: {},
                    ErrorReason: {}
                  }
                }
              }
            }
          }
        },
        CreateActionTarget: {
          http: {
            requestUri: "/actionTargets"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "Description",
              "Id"
            ],
            members: {
              Name: {},
              Description: {},
              Id: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ActionTargetArn"
            ],
            members: {
              ActionTargetArn: {}
            }
          }
        },
        CreateAutomationRule: {
          http: {
            requestUri: "/automationrules/create"
          },
          input: {
            type: "structure",
            required: [
              "RuleOrder",
              "RuleName",
              "Description",
              "Criteria",
              "Actions"
            ],
            members: {
              Tags: {
                shape: "Snv"
              },
              RuleStatus: {},
              RuleOrder: {
                type: "integer"
              },
              RuleName: {},
              Description: {},
              IsTerminal: {
                type: "boolean"
              },
              Criteria: {
                shape: "Sw"
              },
              Actions: {
                shape: "S1a"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RuleArn: {}
            }
          }
        },
        CreateFindingAggregator: {
          http: {
            requestUri: "/findingAggregator/create"
          },
          input: {
            type: "structure",
            required: [
              "RegionLinkingMode"
            ],
            members: {
              RegionLinkingMode: {},
              Regions: {
                shape: "S1r"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FindingAggregatorArn: {},
              FindingAggregationRegion: {},
              RegionLinkingMode: {},
              Regions: {
                shape: "S1r"
              }
            }
          }
        },
        CreateInsight: {
          http: {
            requestUri: "/insights"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "Filters",
              "GroupByAttribute"
            ],
            members: {
              Name: {},
              Filters: {
                shape: "So2"
              },
              GroupByAttribute: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "InsightArn"
            ],
            members: {
              InsightArn: {}
            }
          }
        },
        CreateMembers: {
          http: {
            requestUri: "/members"
          },
          input: {
            type: "structure",
            required: [
              "AccountDetails"
            ],
            members: {
              AccountDetails: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AccountId"
                  ],
                  members: {
                    AccountId: {},
                    Email: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UnprocessedAccounts: {
                shape: "Sof"
              }
            }
          }
        },
        DeclineInvitations: {
          http: {
            requestUri: "/invitations/decline"
          },
          input: {
            type: "structure",
            required: [
              "AccountIds"
            ],
            members: {
              AccountIds: {
                shape: "Soi"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UnprocessedAccounts: {
                shape: "Sof"
              }
            }
          }
        },
        DeleteActionTarget: {
          http: {
            method: "DELETE",
            requestUri: "/actionTargets/{ActionTargetArn+}"
          },
          input: {
            type: "structure",
            required: [
              "ActionTargetArn"
            ],
            members: {
              ActionTargetArn: {
                location: "uri",
                locationName: "ActionTargetArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ActionTargetArn"
            ],
            members: {
              ActionTargetArn: {}
            }
          }
        },
        DeleteFindingAggregator: {
          http: {
            method: "DELETE",
            requestUri: "/findingAggregator/delete/{FindingAggregatorArn+}"
          },
          input: {
            type: "structure",
            required: [
              "FindingAggregatorArn"
            ],
            members: {
              FindingAggregatorArn: {
                location: "uri",
                locationName: "FindingAggregatorArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteInsight: {
          http: {
            method: "DELETE",
            requestUri: "/insights/{InsightArn+}"
          },
          input: {
            type: "structure",
            required: [
              "InsightArn"
            ],
            members: {
              InsightArn: {
                location: "uri",
                locationName: "InsightArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "InsightArn"
            ],
            members: {
              InsightArn: {}
            }
          }
        },
        DeleteInvitations: {
          http: {
            requestUri: "/invitations/delete"
          },
          input: {
            type: "structure",
            required: [
              "AccountIds"
            ],
            members: {
              AccountIds: {
                shape: "Soi"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UnprocessedAccounts: {
                shape: "Sof"
              }
            }
          }
        },
        DeleteMembers: {
          http: {
            requestUri: "/members/delete"
          },
          input: {
            type: "structure",
            required: [
              "AccountIds"
            ],
            members: {
              AccountIds: {
                shape: "Soi"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UnprocessedAccounts: {
                shape: "Sof"
              }
            }
          }
        },
        DescribeActionTargets: {
          http: {
            requestUri: "/actionTargets/get"
          },
          input: {
            type: "structure",
            members: {
              ActionTargetArns: {
                shape: "Sov"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ActionTargets"
            ],
            members: {
              ActionTargets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ActionTargetArn",
                    "Name",
                    "Description"
                  ],
                  members: {
                    ActionTargetArn: {},
                    Name: {},
                    Description: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeHub: {
          http: {
            method: "GET",
            requestUri: "/accounts"
          },
          input: {
            type: "structure",
            members: {
              HubArn: {
                location: "querystring",
                locationName: "HubArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HubArn: {},
              SubscribedAt: {},
              AutoEnableControls: {
                type: "boolean"
              },
              ControlFindingGenerator: {}
            }
          }
        },
        DescribeOrganizationConfiguration: {
          http: {
            method: "GET",
            requestUri: "/organization/configuration"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              AutoEnable: {
                type: "boolean"
              },
              MemberAccountLimitReached: {
                type: "boolean"
              },
              AutoEnableStandards: {}
            }
          }
        },
        DescribeProducts: {
          http: {
            method: "GET",
            requestUri: "/products"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              ProductArn: {
                location: "querystring",
                locationName: "ProductArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Products"
            ],
            members: {
              Products: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ProductArn"
                  ],
                  members: {
                    ProductArn: {},
                    ProductName: {},
                    CompanyName: {},
                    Description: {},
                    Categories: {
                      type: "list",
                      member: {}
                    },
                    IntegrationTypes: {
                      type: "list",
                      member: {}
                    },
                    MarketplaceUrl: {},
                    ActivationUrl: {},
                    ProductSubscriptionResourcePolicy: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeStandards: {
          http: {
            method: "GET",
            requestUri: "/standards"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Standards: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StandardsArn: {},
                    Name: {},
                    Description: {},
                    EnabledByDefault: {
                      type: "boolean"
                    },
                    StandardsManagedBy: {
                      type: "structure",
                      members: {
                        Company: {},
                        Product: {}
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeStandardsControls: {
          http: {
            method: "GET",
            requestUri: "/standards/controls/{StandardsSubscriptionArn+}"
          },
          input: {
            type: "structure",
            required: [
              "StandardsSubscriptionArn"
            ],
            members: {
              StandardsSubscriptionArn: {
                location: "uri",
                locationName: "StandardsSubscriptionArn"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Controls: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StandardsControlArn: {},
                    ControlStatus: {},
                    DisabledReason: {},
                    ControlStatusUpdatedAt: {
                      shape: "S1p"
                    },
                    ControlId: {},
                    Title: {},
                    Description: {},
                    RemediationUrl: {},
                    SeverityRating: {},
                    RelatedRequirements: {
                      shape: "S27"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DisableImportFindingsForProduct: {
          http: {
            method: "DELETE",
            requestUri: "/productSubscriptions/{ProductSubscriptionArn+}"
          },
          input: {
            type: "structure",
            required: [
              "ProductSubscriptionArn"
            ],
            members: {
              ProductSubscriptionArn: {
                location: "uri",
                locationName: "ProductSubscriptionArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisableOrganizationAdminAccount: {
          http: {
            requestUri: "/organization/admin/disable"
          },
          input: {
            type: "structure",
            required: [
              "AdminAccountId"
            ],
            members: {
              AdminAccountId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisableSecurityHub: {
          http: {
            method: "DELETE",
            requestUri: "/accounts"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateFromAdministratorAccount: {
          http: {
            requestUri: "/administrator/disassociate"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateFromMasterAccount: {
          http: {
            requestUri: "/master/disassociate"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "This API has been deprecated, use DisassociateFromAdministratorAccount API instead."
        },
        DisassociateMembers: {
          http: {
            requestUri: "/members/disassociate"
          },
          input: {
            type: "structure",
            required: [
              "AccountIds"
            ],
            members: {
              AccountIds: {
                shape: "Soi"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        EnableImportFindingsForProduct: {
          http: {
            requestUri: "/productSubscriptions"
          },
          input: {
            type: "structure",
            required: [
              "ProductArn"
            ],
            members: {
              ProductArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProductSubscriptionArn: {}
            }
          }
        },
        EnableOrganizationAdminAccount: {
          http: {
            requestUri: "/organization/admin/enable"
          },
          input: {
            type: "structure",
            required: [
              "AdminAccountId"
            ],
            members: {
              AdminAccountId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        EnableSecurityHub: {
          http: {
            requestUri: "/accounts"
          },
          input: {
            type: "structure",
            members: {
              Tags: {
                shape: "Snv"
              },
              EnableDefaultStandards: {
                type: "boolean"
              },
              ControlFindingGenerator: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetAdministratorAccount: {
          http: {
            method: "GET",
            requestUri: "/administrator"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              Administrator: {
                shape: "Sq7"
              }
            }
          }
        },
        GetEnabledStandards: {
          http: {
            requestUri: "/standards/get"
          },
          input: {
            type: "structure",
            members: {
              StandardsSubscriptionArns: {
                shape: "Sd"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StandardsSubscriptions: {
                shape: "Sf"
              },
              NextToken: {}
            }
          }
        },
        GetFindingAggregator: {
          http: {
            method: "GET",
            requestUri: "/findingAggregator/get/{FindingAggregatorArn+}"
          },
          input: {
            type: "structure",
            required: [
              "FindingAggregatorArn"
            ],
            members: {
              FindingAggregatorArn: {
                location: "uri",
                locationName: "FindingAggregatorArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FindingAggregatorArn: {},
              FindingAggregationRegion: {},
              RegionLinkingMode: {},
              Regions: {
                shape: "S1r"
              }
            }
          }
        },
        GetFindingHistory: {
          http: {
            requestUri: "/findingHistory/get"
          },
          input: {
            type: "structure",
            required: [
              "FindingIdentifier"
            ],
            members: {
              FindingIdentifier: {
                shape: "Sni"
              },
              StartTime: {
                shape: "S1p"
              },
              EndTime: {
                shape: "S1p"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Records: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FindingIdentifier: {
                      shape: "Sni"
                    },
                    UpdateTime: {
                      shape: "S1p"
                    },
                    FindingCreated: {
                      type: "boolean"
                    },
                    UpdateSource: {
                      type: "structure",
                      members: {
                        Type: {},
                        Identity: {}
                      }
                    },
                    Updates: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          UpdatedField: {},
                          OldValue: {},
                          NewValue: {}
                        }
                      }
                    },
                    NextToken: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetFindings: {
          http: {
            requestUri: "/findings"
          },
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "So2"
              },
              SortCriteria: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Field: {},
                    SortOrder: {}
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Findings"
            ],
            members: {
              Findings: {
                type: "list",
                member: {
                  shape: "S2d"
                }
              },
              NextToken: {}
            }
          }
        },
        GetInsightResults: {
          http: {
            method: "GET",
            requestUri: "/insights/results/{InsightArn+}"
          },
          input: {
            type: "structure",
            required: [
              "InsightArn"
            ],
            members: {
              InsightArn: {
                location: "uri",
                locationName: "InsightArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "InsightResults"
            ],
            members: {
              InsightResults: {
                type: "structure",
                required: [
                  "InsightArn",
                  "GroupByAttribute",
                  "ResultValues"
                ],
                members: {
                  InsightArn: {},
                  GroupByAttribute: {},
                  ResultValues: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "GroupByAttributeValue",
                        "Count"
                      ],
                      members: {
                        GroupByAttributeValue: {},
                        Count: {
                          type: "integer"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetInsights: {
          http: {
            requestUri: "/insights/get"
          },
          input: {
            type: "structure",
            members: {
              InsightArns: {
                shape: "Sov"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Insights"
            ],
            members: {
              Insights: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "InsightArn",
                    "Name",
                    "Filters",
                    "GroupByAttribute"
                  ],
                  members: {
                    InsightArn: {},
                    Name: {},
                    Filters: {
                      shape: "So2"
                    },
                    GroupByAttribute: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetInvitationsCount: {
          http: {
            method: "GET",
            requestUri: "/invitations/count"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              InvitationsCount: {
                type: "integer"
              }
            }
          }
        },
        GetMasterAccount: {
          http: {
            method: "GET",
            requestUri: "/master"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              Master: {
                shape: "Sq7"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "This API has been deprecated, use GetAdministratorAccount API instead."
        },
        GetMembers: {
          http: {
            requestUri: "/members/get"
          },
          input: {
            type: "structure",
            required: [
              "AccountIds"
            ],
            members: {
              AccountIds: {
                shape: "Soi"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Members: {
                shape: "Sr5"
              },
              UnprocessedAccounts: {
                shape: "Sof"
              }
            }
          }
        },
        InviteMembers: {
          http: {
            requestUri: "/members/invite"
          },
          input: {
            type: "structure",
            required: [
              "AccountIds"
            ],
            members: {
              AccountIds: {
                shape: "Soi"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UnprocessedAccounts: {
                shape: "Sof"
              }
            }
          }
        },
        ListAutomationRules: {
          http: {
            method: "GET",
            requestUri: "/automationrules/list"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AutomationRulesMetadata: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RuleArn: {},
                    RuleStatus: {},
                    RuleOrder: {
                      type: "integer"
                    },
                    RuleName: {},
                    Description: {},
                    IsTerminal: {
                      type: "boolean"
                    },
                    CreatedAt: {
                      shape: "S1p"
                    },
                    UpdatedAt: {
                      shape: "S1p"
                    },
                    CreatedBy: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEnabledProductsForImport: {
          http: {
            method: "GET",
            requestUri: "/productSubscriptions"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProductSubscriptions: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListFindingAggregators: {
          http: {
            method: "GET",
            requestUri: "/findingAggregator/list"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FindingAggregators: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FindingAggregatorArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListInvitations: {
          http: {
            method: "GET",
            requestUri: "/invitations"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Invitations: {
                type: "list",
                member: {
                  shape: "Sq7"
                }
              },
              NextToken: {}
            }
          }
        },
        ListMembers: {
          http: {
            method: "GET",
            requestUri: "/members"
          },
          input: {
            type: "structure",
            members: {
              OnlyAssociated: {
                location: "querystring",
                locationName: "OnlyAssociated",
                type: "boolean"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Members: {
                shape: "Sr5"
              },
              NextToken: {}
            }
          }
        },
        ListOrganizationAdminAccounts: {
          http: {
            method: "GET",
            requestUri: "/organization/admin"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AdminAccounts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AccountId: {},
                    Status: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSecurityControlDefinitions: {
          http: {
            method: "GET",
            requestUri: "/securityControls/definitions"
          },
          input: {
            type: "structure",
            members: {
              StandardsArn: {
                location: "querystring",
                locationName: "StandardsArn"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "SecurityControlDefinitions"
            ],
            members: {
              SecurityControlDefinitions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "SecurityControlId",
                    "Title",
                    "Description",
                    "RemediationUrl",
                    "SeverityRating",
                    "CurrentRegionAvailability"
                  ],
                  members: {
                    SecurityControlId: {},
                    Title: {},
                    Description: {},
                    RemediationUrl: {},
                    SeverityRating: {},
                    CurrentRegionAvailability: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListStandardsControlAssociations: {
          http: {
            method: "GET",
            requestUri: "/associations"
          },
          input: {
            type: "structure",
            required: [
              "SecurityControlId"
            ],
            members: {
              SecurityControlId: {
                location: "querystring",
                locationName: "SecurityControlId"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "StandardsControlAssociationSummaries"
            ],
            members: {
              StandardsControlAssociationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "StandardsArn",
                    "SecurityControlId",
                    "SecurityControlArn",
                    "AssociationStatus"
                  ],
                  members: {
                    StandardsArn: {},
                    SecurityControlId: {},
                    SecurityControlArn: {},
                    AssociationStatus: {},
                    RelatedRequirements: {
                      shape: "S27"
                    },
                    UpdatedAt: {
                      shape: "S1p"
                    },
                    UpdatedReason: {},
                    StandardsControlTitle: {},
                    StandardsControlDescription: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Snv"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "Snv"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateActionTarget: {
          http: {
            method: "PATCH",
            requestUri: "/actionTargets/{ActionTargetArn+}"
          },
          input: {
            type: "structure",
            required: [
              "ActionTargetArn"
            ],
            members: {
              ActionTargetArn: {
                location: "uri",
                locationName: "ActionTargetArn"
              },
              Name: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateFindingAggregator: {
          http: {
            method: "PATCH",
            requestUri: "/findingAggregator/update"
          },
          input: {
            type: "structure",
            required: [
              "FindingAggregatorArn",
              "RegionLinkingMode"
            ],
            members: {
              FindingAggregatorArn: {},
              RegionLinkingMode: {},
              Regions: {
                shape: "S1r"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FindingAggregatorArn: {},
              FindingAggregationRegion: {},
              RegionLinkingMode: {},
              Regions: {
                shape: "S1r"
              }
            }
          }
        },
        UpdateFindings: {
          http: {
            method: "PATCH",
            requestUri: "/findings"
          },
          input: {
            type: "structure",
            required: [
              "Filters"
            ],
            members: {
              Filters: {
                shape: "So2"
              },
              Note: {
                shape: "S1e"
              },
              RecordState: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateInsight: {
          http: {
            method: "PATCH",
            requestUri: "/insights/{InsightArn+}"
          },
          input: {
            type: "structure",
            required: [
              "InsightArn"
            ],
            members: {
              InsightArn: {
                location: "uri",
                locationName: "InsightArn"
              },
              Name: {},
              Filters: {
                shape: "So2"
              },
              GroupByAttribute: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateOrganizationConfiguration: {
          http: {
            requestUri: "/organization/configuration"
          },
          input: {
            type: "structure",
            required: [
              "AutoEnable"
            ],
            members: {
              AutoEnable: {
                type: "boolean"
              },
              AutoEnableStandards: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateSecurityHubConfiguration: {
          http: {
            method: "PATCH",
            requestUri: "/accounts"
          },
          input: {
            type: "structure",
            members: {
              AutoEnableControls: {
                type: "boolean"
              },
              ControlFindingGenerator: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateStandardsControl: {
          http: {
            method: "PATCH",
            requestUri: "/standards/control/{StandardsControlArn+}"
          },
          input: {
            type: "structure",
            required: [
              "StandardsControlArn"
            ],
            members: {
              StandardsControlArn: {
                location: "uri",
                locationName: "StandardsControlArn"
              },
              ControlStatus: {},
              DisabledReason: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S7: {
          type: "list",
          member: {}
        },
        S9: {
          type: "list",
          member: {
            type: "structure",
            members: {
              RuleArn: {},
              ErrorCode: {
                type: "integer"
              },
              ErrorMessage: {}
            }
          }
        },
        Sd: {
          type: "list",
          member: {}
        },
        Sf: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "StandardsSubscriptionArn",
              "StandardsArn",
              "StandardsInput",
              "StandardsStatus"
            ],
            members: {
              StandardsSubscriptionArn: {},
              StandardsArn: {},
              StandardsInput: {
                shape: "Sh"
              },
              StandardsStatus: {},
              StandardsStatusReason: {
                type: "structure",
                required: [
                  "StatusReasonCode"
                ],
                members: {
                  StatusReasonCode: {}
                }
              }
            }
          }
        },
        Sh: {
          type: "map",
          key: {},
          value: {}
        },
        Sw: {
          type: "structure",
          members: {
            ProductArn: {
              shape: "Sx"
            },
            AwsAccountId: {
              shape: "Sx"
            },
            Id: {
              shape: "Sx"
            },
            GeneratorId: {
              shape: "Sx"
            },
            Type: {
              shape: "Sx"
            },
            FirstObservedAt: {
              shape: "S10"
            },
            LastObservedAt: {
              shape: "S10"
            },
            CreatedAt: {
              shape: "S10"
            },
            UpdatedAt: {
              shape: "S10"
            },
            Confidence: {
              shape: "S14"
            },
            Criticality: {
              shape: "S14"
            },
            Title: {
              shape: "Sx"
            },
            Description: {
              shape: "Sx"
            },
            SourceUrl: {
              shape: "Sx"
            },
            ProductName: {
              shape: "Sx"
            },
            CompanyName: {
              shape: "Sx"
            },
            SeverityLabel: {
              shape: "Sx"
            },
            ResourceType: {
              shape: "Sx"
            },
            ResourceId: {
              shape: "Sx"
            },
            ResourcePartition: {
              shape: "Sx"
            },
            ResourceRegion: {
              shape: "Sx"
            },
            ResourceTags: {
              shape: "S17"
            },
            ResourceDetailsOther: {
              shape: "S17"
            },
            ComplianceStatus: {
              shape: "Sx"
            },
            ComplianceSecurityControlId: {
              shape: "Sx"
            },
            ComplianceAssociatedStandardsId: {
              shape: "Sx"
            },
            VerificationState: {
              shape: "Sx"
            },
            WorkflowStatus: {
              shape: "Sx"
            },
            RecordState: {
              shape: "Sx"
            },
            RelatedFindingsProductArn: {
              shape: "Sx"
            },
            RelatedFindingsId: {
              shape: "Sx"
            },
            NoteText: {
              shape: "Sx"
            },
            NoteUpdatedAt: {
              shape: "S10"
            },
            NoteUpdatedBy: {
              shape: "Sx"
            },
            UserDefinedFields: {
              shape: "S17"
            }
          }
        },
        Sx: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Value: {},
              Comparison: {}
            }
          }
        },
        S10: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Start: {},
              End: {},
              DateRange: {
                type: "structure",
                members: {
                  Value: {
                    type: "integer"
                  },
                  Unit: {}
                }
              }
            }
          }
        },
        S14: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Gte: {
                type: "double"
              },
              Lte: {
                type: "double"
              },
              Eq: {
                type: "double"
              }
            }
          }
        },
        S17: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {},
              Comparison: {}
            }
          }
        },
        S1a: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {},
              FindingFieldsUpdate: {
                type: "structure",
                members: {
                  Note: {
                    shape: "S1e"
                  },
                  Severity: {
                    shape: "S1f"
                  },
                  VerificationState: {},
                  Confidence: {
                    type: "integer"
                  },
                  Criticality: {
                    type: "integer"
                  },
                  Types: {
                    shape: "S1j"
                  },
                  UserDefinedFields: {
                    shape: "S1k"
                  },
                  Workflow: {
                    shape: "S1l"
                  },
                  RelatedFindings: {
                    shape: "S1n"
                  }
                }
              }
            }
          }
        },
        S1e: {
          type: "structure",
          required: [
            "Text",
            "UpdatedBy"
          ],
          members: {
            Text: {},
            UpdatedBy: {}
          }
        },
        S1f: {
          type: "structure",
          members: {
            Normalized: {
              type: "integer"
            },
            Product: {
              type: "double"
            },
            Label: {}
          }
        },
        S1j: {
          type: "list",
          member: {}
        },
        S1k: {
          type: "map",
          key: {},
          value: {}
        },
        S1l: {
          type: "structure",
          members: {
            Status: {}
          }
        },
        S1n: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ProductArn",
              "Id"
            ],
            members: {
              ProductArn: {},
              Id: {}
            }
          }
        },
        S1p: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S1r: {
          type: "list",
          member: {}
        },
        S22: {
          type: "structure",
          required: [
            "SecurityControlId",
            "StandardsArn"
          ],
          members: {
            SecurityControlId: {},
            StandardsArn: {}
          }
        },
        S27: {
          type: "list",
          member: {}
        },
        S2d: {
          type: "structure",
          required: [
            "SchemaVersion",
            "Id",
            "ProductArn",
            "GeneratorId",
            "AwsAccountId",
            "CreatedAt",
            "UpdatedAt",
            "Title",
            "Description",
            "Resources"
          ],
          members: {
            SchemaVersion: {},
            Id: {},
            ProductArn: {},
            ProductName: {},
            CompanyName: {},
            Region: {},
            GeneratorId: {},
            AwsAccountId: {},
            Types: {
              shape: "S1j"
            },
            FirstObservedAt: {},
            LastObservedAt: {},
            CreatedAt: {},
            UpdatedAt: {},
            Severity: {
              type: "structure",
              members: {
                Product: {
                  type: "double"
                },
                Label: {},
                Normalized: {
                  type: "integer"
                },
                Original: {}
              }
            },
            Confidence: {
              type: "integer"
            },
            Criticality: {
              type: "integer"
            },
            Title: {},
            Description: {},
            Remediation: {
              type: "structure",
              members: {
                Recommendation: {
                  type: "structure",
                  members: {
                    Text: {},
                    Url: {}
                  }
                }
              }
            },
            SourceUrl: {},
            ProductFields: {
              shape: "S1k"
            },
            UserDefinedFields: {
              shape: "S1k"
            },
            Malware: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name"
                ],
                members: {
                  Name: {},
                  Type: {},
                  Path: {},
                  State: {}
                }
              }
            },
            Network: {
              type: "structure",
              members: {
                Direction: {},
                Protocol: {},
                OpenPortRange: {
                  shape: "S2n"
                },
                SourceIpV4: {},
                SourceIpV6: {},
                SourcePort: {
                  type: "integer"
                },
                SourceDomain: {},
                SourceMac: {},
                DestinationIpV4: {},
                DestinationIpV6: {},
                DestinationPort: {
                  type: "integer"
                },
                DestinationDomain: {}
              }
            },
            NetworkPath: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  ComponentId: {},
                  ComponentType: {},
                  Egress: {
                    shape: "S2q"
                  },
                  Ingress: {
                    shape: "S2q"
                  }
                }
              }
            },
            Process: {
              type: "structure",
              members: {
                Name: {},
                Path: {},
                Pid: {
                  type: "integer"
                },
                ParentPid: {
                  type: "integer"
                },
                LaunchedAt: {},
                TerminatedAt: {}
              }
            },
            Threats: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Name: {},
                  Severity: {},
                  ItemCount: {
                    type: "integer"
                  },
                  FilePaths: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        FilePath: {},
                        FileName: {},
                        ResourceId: {},
                        Hash: {}
                      }
                    }
                  }
                }
              }
            },
            ThreatIntelIndicators: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Type: {},
                  Value: {},
                  Category: {},
                  LastObservedAt: {},
                  Source: {},
                  SourceUrl: {}
                }
              }
            },
            Resources: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Type",
                  "Id"
                ],
                members: {
                  Type: {},
                  Id: {},
                  Partition: {},
                  Region: {},
                  ResourceRole: {},
                  Tags: {
                    shape: "S1k"
                  },
                  DataClassification: {
                    type: "structure",
                    members: {
                      DetailedResultsLocation: {},
                      Result: {
                        type: "structure",
                        members: {
                          MimeType: {},
                          SizeClassified: {
                            type: "long"
                          },
                          AdditionalOccurrences: {
                            type: "boolean"
                          },
                          Status: {
                            type: "structure",
                            members: {
                              Code: {},
                              Reason: {}
                            }
                          },
                          SensitiveData: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Category: {},
                                Detections: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      Count: {
                                        type: "long"
                                      },
                                      Type: {},
                                      Occurrences: {
                                        shape: "S3d"
                                      }
                                    }
                                  }
                                },
                                TotalCount: {
                                  type: "long"
                                }
                              }
                            }
                          },
                          CustomDataIdentifiers: {
                            type: "structure",
                            members: {
                              Detections: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    Count: {
                                      type: "long"
                                    },
                                    Arn: {},
                                    Name: {},
                                    Occurrences: {
                                      shape: "S3d"
                                    }
                                  }
                                }
                              },
                              TotalCount: {
                                type: "long"
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  Details: {
                    type: "structure",
                    members: {
                      AwsAutoScalingAutoScalingGroup: {
                        type: "structure",
                        members: {
                          LaunchConfigurationName: {},
                          LoadBalancerNames: {
                            shape: "S1r"
                          },
                          HealthCheckType: {},
                          HealthCheckGracePeriod: {
                            type: "integer"
                          },
                          CreatedTime: {},
                          MixedInstancesPolicy: {
                            type: "structure",
                            members: {
                              InstancesDistribution: {
                                type: "structure",
                                members: {
                                  OnDemandAllocationStrategy: {},
                                  OnDemandBaseCapacity: {
                                    type: "integer"
                                  },
                                  OnDemandPercentageAboveBaseCapacity: {
                                    type: "integer"
                                  },
                                  SpotAllocationStrategy: {},
                                  SpotInstancePools: {
                                    type: "integer"
                                  },
                                  SpotMaxPrice: {}
                                }
                              },
                              LaunchTemplate: {
                                type: "structure",
                                members: {
                                  LaunchTemplateSpecification: {
                                    type: "structure",
                                    members: {
                                      LaunchTemplateId: {},
                                      LaunchTemplateName: {},
                                      Version: {}
                                    }
                                  },
                                  Overrides: {
                                    type: "list",
                                    member: {
                                      type: "structure",
                                      members: {
                                        InstanceType: {},
                                        WeightedCapacity: {}
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          AvailabilityZones: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Value: {}
                              }
                            }
                          },
                          LaunchTemplate: {
                            type: "structure",
                            members: {
                              LaunchTemplateId: {},
                              LaunchTemplateName: {},
                              Version: {}
                            }
                          },
                          CapacityRebalance: {
                            type: "boolean"
                          }
                        }
                      },
                      AwsCodeBuildProject: {
                        type: "structure",
                        members: {
                          EncryptionKey: {},
                          Artifacts: {
                            shape: "S41"
                          },
                          Environment: {
                            type: "structure",
                            members: {
                              Certificate: {},
                              EnvironmentVariables: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    Name: {},
                                    Type: {},
                                    Value: {}
                                  }
                                }
                              },
                              PrivilegedMode: {
                                type: "boolean"
                              },
                              ImagePullCredentialsType: {},
                              RegistryCredential: {
                                type: "structure",
                                members: {
                                  Credential: {},
                                  CredentialProvider: {}
                                }
                              },
                              Type: {}
                            }
                          },
                          Name: {},
                          Source: {
                            type: "structure",
                            members: {
                              Type: {},
                              Location: {},
                              GitCloneDepth: {
                                type: "integer"
                              },
                              InsecureSsl: {
                                type: "boolean"
                              }
                            }
                          },
                          ServiceRole: {},
                          LogsConfig: {
                            type: "structure",
                            members: {
                              CloudWatchLogs: {
                                type: "structure",
                                members: {
                                  GroupName: {},
                                  Status: {},
                                  StreamName: {}
                                }
                              },
                              S3Logs: {
                                type: "structure",
                                members: {
                                  EncryptionDisabled: {
                                    type: "boolean"
                                  },
                                  Location: {},
                                  Status: {}
                                }
                              }
                            }
                          },
                          VpcConfig: {
                            type: "structure",
                            members: {
                              VpcId: {},
                              Subnets: {
                                shape: "S4c"
                              },
                              SecurityGroupIds: {
                                shape: "S4c"
                              }
                            }
                          },
                          SecondaryArtifacts: {
                            shape: "S41"
                          }
                        }
                      },
                      AwsCloudFrontDistribution: {
                        type: "structure",
                        members: {
                          CacheBehaviors: {
                            type: "structure",
                            members: {
                              Items: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    ViewerProtocolPolicy: {}
                                  }
                                }
                              }
                            }
                          },
                          DefaultCacheBehavior: {
                            type: "structure",
                            members: {
                              ViewerProtocolPolicy: {}
                            }
                          },
                          DefaultRootObject: {},
                          DomainName: {},
                          ETag: {},
                          LastModifiedTime: {},
                          Logging: {
                            type: "structure",
                            members: {
                              Bucket: {},
                              Enabled: {
                                type: "boolean"
                              },
                              IncludeCookies: {
                                type: "boolean"
                              },
                              Prefix: {}
                            }
                          },
                          Origins: {
                            type: "structure",
                            members: {
                              Items: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    DomainName: {},
                                    Id: {},
                                    OriginPath: {},
                                    S3OriginConfig: {
                                      type: "structure",
                                      members: {
                                        OriginAccessIdentity: {}
                                      }
                                    },
                                    CustomOriginConfig: {
                                      type: "structure",
                                      members: {
                                        HttpPort: {
                                          type: "integer"
                                        },
                                        HttpsPort: {
                                          type: "integer"
                                        },
                                        OriginKeepaliveTimeout: {
                                          type: "integer"
                                        },
                                        OriginProtocolPolicy: {},
                                        OriginReadTimeout: {
                                          type: "integer"
                                        },
                                        OriginSslProtocols: {
                                          type: "structure",
                                          members: {
                                            Items: {
                                              shape: "S4c"
                                            },
                                            Quantity: {
                                              type: "integer"
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          OriginGroups: {
                            type: "structure",
                            members: {
                              Items: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    FailoverCriteria: {
                                      type: "structure",
                                      members: {
                                        StatusCodes: {
                                          type: "structure",
                                          members: {
                                            Items: {
                                              type: "list",
                                              member: {
                                                type: "integer"
                                              }
                                            },
                                            Quantity: {
                                              type: "integer"
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          ViewerCertificate: {
                            type: "structure",
                            members: {
                              AcmCertificateArn: {},
                              Certificate: {},
                              CertificateSource: {},
                              CloudFrontDefaultCertificate: {
                                type: "boolean"
                              },
                              IamCertificateId: {},
                              MinimumProtocolVersion: {},
                              SslSupportMethod: {}
                            }
                          },
                          Status: {},
                          WebAclId: {}
                        }
                      },
                      AwsEc2Instance: {
                        type: "structure",
                        members: {
                          Type: {},
                          ImageId: {},
                          IpV4Addresses: {
                            shape: "S1r"
                          },
                          IpV6Addresses: {
                            shape: "S1r"
                          },
                          KeyName: {},
                          IamInstanceProfileArn: {},
                          VpcId: {},
                          SubnetId: {},
                          LaunchedAt: {},
                          NetworkInterfaces: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                NetworkInterfaceId: {}
                              }
                            }
                          },
                          VirtualizationType: {},
                          MetadataOptions: {
                            type: "structure",
                            members: {
                              HttpEndpoint: {},
                              HttpProtocolIpv6: {},
                              HttpPutResponseHopLimit: {
                                type: "integer"
                              },
                              HttpTokens: {},
                              InstanceMetadataTags: {}
                            }
                          },
                          Monitoring: {
                            type: "structure",
                            members: {
                              State: {}
                            }
                          }
                        }
                      },
                      AwsEc2NetworkInterface: {
                        type: "structure",
                        members: {
                          Attachment: {
                            type: "structure",
                            members: {
                              AttachTime: {},
                              AttachmentId: {},
                              DeleteOnTermination: {
                                type: "boolean"
                              },
                              DeviceIndex: {
                                type: "integer"
                              },
                              InstanceId: {},
                              InstanceOwnerId: {},
                              Status: {}
                            }
                          },
                          NetworkInterfaceId: {},
                          SecurityGroups: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                GroupName: {},
                                GroupId: {}
                              }
                            }
                          },
                          SourceDestCheck: {
                            type: "boolean"
                          },
                          IpV6Addresses: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                IpV6Address: {}
                              }
                            }
                          },
                          PrivateIpAddresses: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                PrivateIpAddress: {},
                                PrivateDnsName: {}
                              }
                            }
                          },
                          PublicDnsName: {},
                          PublicIp: {}
                        }
                      },
                      AwsEc2SecurityGroup: {
                        type: "structure",
                        members: {
                          GroupName: {},
                          GroupId: {},
                          OwnerId: {},
                          VpcId: {},
                          IpPermissions: {
                            shape: "S5a"
                          },
                          IpPermissionsEgress: {
                            shape: "S5a"
                          }
                        }
                      },
                      AwsEc2Volume: {
                        type: "structure",
                        members: {
                          CreateTime: {},
                          DeviceName: {},
                          Encrypted: {
                            type: "boolean"
                          },
                          Size: {
                            type: "integer"
                          },
                          SnapshotId: {},
                          Status: {},
                          KmsKeyId: {},
                          Attachments: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                AttachTime: {},
                                DeleteOnTermination: {
                                  type: "boolean"
                                },
                                InstanceId: {},
                                Status: {}
                              }
                            }
                          },
                          VolumeId: {},
                          VolumeType: {},
                          VolumeScanStatus: {}
                        }
                      },
                      AwsEc2Vpc: {
                        type: "structure",
                        members: {
                          CidrBlockAssociationSet: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                AssociationId: {},
                                CidrBlock: {},
                                CidrBlockState: {}
                              }
                            }
                          },
                          Ipv6CidrBlockAssociationSet: {
                            shape: "S5q"
                          },
                          DhcpOptionsId: {},
                          State: {}
                        }
                      },
                      AwsEc2Eip: {
                        type: "structure",
                        members: {
                          InstanceId: {},
                          PublicIp: {},
                          AllocationId: {},
                          AssociationId: {},
                          Domain: {},
                          PublicIpv4Pool: {},
                          NetworkBorderGroup: {},
                          NetworkInterfaceId: {},
                          NetworkInterfaceOwnerId: {},
                          PrivateIpAddress: {}
                        }
                      },
                      AwsEc2Subnet: {
                        type: "structure",
                        members: {
                          AssignIpv6AddressOnCreation: {
                            type: "boolean"
                          },
                          AvailabilityZone: {},
                          AvailabilityZoneId: {},
                          AvailableIpAddressCount: {
                            type: "integer"
                          },
                          CidrBlock: {},
                          DefaultForAz: {
                            type: "boolean"
                          },
                          MapPublicIpOnLaunch: {
                            type: "boolean"
                          },
                          OwnerId: {},
                          State: {},
                          SubnetArn: {},
                          SubnetId: {},
                          VpcId: {},
                          Ipv6CidrBlockAssociationSet: {
                            shape: "S5q"
                          }
                        }
                      },
                      AwsEc2NetworkAcl: {
                        type: "structure",
                        members: {
                          IsDefault: {
                            type: "boolean"
                          },
                          NetworkAclId: {},
                          OwnerId: {},
                          VpcId: {},
                          Associations: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                NetworkAclAssociationId: {},
                                NetworkAclId: {},
                                SubnetId: {}
                              }
                            }
                          },
                          Entries: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                CidrBlock: {},
                                Egress: {
                                  type: "boolean"
                                },
                                IcmpTypeCode: {
                                  type: "structure",
                                  members: {
                                    Code: {
                                      type: "integer"
                                    },
                                    Type: {
                                      type: "integer"
                                    }
                                  }
                                },
                                Ipv6CidrBlock: {},
                                PortRange: {
                                  type: "structure",
                                  members: {
                                    From: {
                                      type: "integer"
                                    },
                                    To: {
                                      type: "integer"
                                    }
                                  }
                                },
                                Protocol: {},
                                RuleAction: {},
                                RuleNumber: {
                                  type: "integer"
                                }
                              }
                            }
                          }
                        }
                      },
                      AwsElbv2LoadBalancer: {
                        type: "structure",
                        members: {
                          AvailabilityZones: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                ZoneName: {},
                                SubnetId: {}
                              }
                            }
                          },
                          CanonicalHostedZoneId: {},
                          CreatedTime: {},
                          DNSName: {},
                          IpAddressType: {},
                          Scheme: {},
                          SecurityGroups: {
                            type: "list",
                            member: {}
                          },
                          State: {
                            type: "structure",
                            members: {
                              Code: {},
                              Reason: {}
                            }
                          },
                          Type: {},
                          VpcId: {},
                          LoadBalancerAttributes: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Key: {},
                                Value: {}
                              }
                            }
                          }
                        }
                      },
                      AwsElasticBeanstalkEnvironment: {
                        type: "structure",
                        members: {
                          ApplicationName: {},
                          Cname: {},
                          DateCreated: {},
                          DateUpdated: {},
                          Description: {},
                          EndpointUrl: {},
                          EnvironmentArn: {},
                          EnvironmentId: {},
                          EnvironmentLinks: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                EnvironmentName: {},
                                LinkName: {}
                              }
                            }
                          },
                          EnvironmentName: {},
                          OptionSettings: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Namespace: {},
                                OptionName: {},
                                ResourceName: {},
                                Value: {}
                              }
                            }
                          },
                          PlatformArn: {},
                          SolutionStackName: {},
                          Status: {},
                          Tier: {
                            type: "structure",
                            members: {
                              Name: {},
                              Type: {},
                              Version: {}
                            }
                          },
                          VersionLabel: {}
                        }
                      },
                      AwsElasticsearchDomain: {
                        type: "structure",
                        members: {
                          AccessPolicies: {},
                          DomainEndpointOptions: {
                            type: "structure",
                            members: {
                              EnforceHTTPS: {
                                type: "boolean"
                              },
                              TLSSecurityPolicy: {}
                            }
                          },
                          DomainId: {},
                          DomainName: {},
                          Endpoint: {},
                          Endpoints: {
                            shape: "S1k"
                          },
                          ElasticsearchVersion: {},
                          ElasticsearchClusterConfig: {
                            type: "structure",
                            members: {
                              DedicatedMasterCount: {
                                type: "integer"
                              },
                              DedicatedMasterEnabled: {
                                type: "boolean"
                              },
                              DedicatedMasterType: {},
                              InstanceCount: {
                                type: "integer"
                              },
                              InstanceType: {},
                              ZoneAwarenessConfig: {
                                type: "structure",
                                members: {
                                  AvailabilityZoneCount: {
                                    type: "integer"
                                  }
                                }
                              },
                              ZoneAwarenessEnabled: {
                                type: "boolean"
                              }
                            }
                          },
                          EncryptionAtRestOptions: {
                            type: "structure",
                            members: {
                              Enabled: {
                                type: "boolean"
                              },
                              KmsKeyId: {}
                            }
                          },
                          LogPublishingOptions: {
                            type: "structure",
                            members: {
                              IndexSlowLogs: {
                                shape: "S6k"
                              },
                              SearchSlowLogs: {
                                shape: "S6k"
                              },
                              AuditLogs: {
                                shape: "S6k"
                              }
                            }
                          },
                          NodeToNodeEncryptionOptions: {
                            type: "structure",
                            members: {
                              Enabled: {
                                type: "boolean"
                              }
                            }
                          },
                          ServiceSoftwareOptions: {
                            type: "structure",
                            members: {
                              AutomatedUpdateDate: {},
                              Cancellable: {
                                type: "boolean"
                              },
                              CurrentVersion: {},
                              Description: {},
                              NewVersion: {},
                              UpdateAvailable: {
                                type: "boolean"
                              },
                              UpdateStatus: {}
                            }
                          },
                          VPCOptions: {
                            type: "structure",
                            members: {
                              AvailabilityZones: {
                                shape: "S4c"
                              },
                              SecurityGroupIds: {
                                shape: "S4c"
                              },
                              SubnetIds: {
                                shape: "S4c"
                              },
                              VPCId: {}
                            }
                          }
                        }
                      },
                      AwsS3Bucket: {
                        type: "structure",
                        members: {
                          OwnerId: {},
                          OwnerName: {},
                          OwnerAccountId: {},
                          CreatedAt: {},
                          ServerSideEncryptionConfiguration: {
                            type: "structure",
                            members: {
                              Rules: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    ApplyServerSideEncryptionByDefault: {
                                      type: "structure",
                                      members: {
                                        SSEAlgorithm: {},
                                        KMSMasterKeyID: {}
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          BucketLifecycleConfiguration: {
                            type: "structure",
                            members: {
                              Rules: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    AbortIncompleteMultipartUpload: {
                                      type: "structure",
                                      members: {
                                        DaysAfterInitiation: {
                                          type: "integer"
                                        }
                                      }
                                    },
                                    ExpirationDate: {},
                                    ExpirationInDays: {
                                      type: "integer"
                                    },
                                    ExpiredObjectDeleteMarker: {
                                      type: "boolean"
                                    },
                                    Filter: {
                                      type: "structure",
                                      members: {
                                        Predicate: {
                                          type: "structure",
                                          members: {
                                            Operands: {
                                              type: "list",
                                              member: {
                                                type: "structure",
                                                members: {
                                                  Prefix: {},
                                                  Tag: {
                                                    type: "structure",
                                                    members: {
                                                      Key: {},
                                                      Value: {}
                                                    }
                                                  },
                                                  Type: {}
                                                }
                                              }
                                            },
                                            Prefix: {},
                                            Tag: {
                                              type: "structure",
                                              members: {
                                                Key: {},
                                                Value: {}
                                              }
                                            },
                                            Type: {}
                                          }
                                        }
                                      }
                                    },
                                    ID: {},
                                    NoncurrentVersionExpirationInDays: {
                                      type: "integer"
                                    },
                                    NoncurrentVersionTransitions: {
                                      type: "list",
                                      member: {
                                        type: "structure",
                                        members: {
                                          Days: {
                                            type: "integer"
                                          },
                                          StorageClass: {}
                                        }
                                      }
                                    },
                                    Prefix: {},
                                    Status: {},
                                    Transitions: {
                                      type: "list",
                                      member: {
                                        type: "structure",
                                        members: {
                                          Date: {},
                                          Days: {
                                            type: "integer"
                                          },
                                          StorageClass: {}
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          PublicAccessBlockConfiguration: {
                            shape: "S77"
                          },
                          AccessControlList: {},
                          BucketLoggingConfiguration: {
                            type: "structure",
                            members: {
                              DestinationBucketName: {},
                              LogFilePrefix: {}
                            }
                          },
                          BucketWebsiteConfiguration: {
                            type: "structure",
                            members: {
                              ErrorDocument: {},
                              IndexDocumentSuffix: {},
                              RedirectAllRequestsTo: {
                                type: "structure",
                                members: {
                                  Hostname: {},
                                  Protocol: {}
                                }
                              },
                              RoutingRules: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    Condition: {
                                      type: "structure",
                                      members: {
                                        HttpErrorCodeReturnedEquals: {},
                                        KeyPrefixEquals: {}
                                      }
                                    },
                                    Redirect: {
                                      type: "structure",
                                      members: {
                                        Hostname: {},
                                        HttpRedirectCode: {},
                                        Protocol: {},
                                        ReplaceKeyPrefixWith: {},
                                        ReplaceKeyWith: {}
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          BucketNotificationConfiguration: {
                            type: "structure",
                            members: {
                              Configurations: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    Events: {
                                      type: "list",
                                      member: {}
                                    },
                                    Filter: {
                                      type: "structure",
                                      members: {
                                        S3KeyFilter: {
                                          type: "structure",
                                          members: {
                                            FilterRules: {
                                              type: "list",
                                              member: {
                                                type: "structure",
                                                members: {
                                                  Name: {},
                                                  Value: {}
                                                }
                                              }
                                            }
                                          }
                                        }
                                      }
                                    },
                                    Destination: {},
                                    Type: {}
                                  }
                                }
                              }
                            }
                          },
                          BucketVersioningConfiguration: {
                            type: "structure",
                            members: {
                              IsMfaDeleteEnabled: {
                                type: "boolean"
                              },
                              Status: {}
                            }
                          },
                          ObjectLockConfiguration: {
                            type: "structure",
                            members: {
                              ObjectLockEnabled: {},
                              Rule: {
                                type: "structure",
                                members: {
                                  DefaultRetention: {
                                    type: "structure",
                                    members: {
                                      Days: {
                                        type: "integer"
                                      },
                                      Mode: {},
                                      Years: {
                                        type: "integer"
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      },
                      AwsS3AccountPublicAccessBlock: {
                        shape: "S77"
                      },
                      AwsS3Object: {
                        type: "structure",
                        members: {
                          LastModified: {},
                          ETag: {},
                          VersionId: {},
                          ContentType: {},
                          ServerSideEncryption: {},
                          SSEKMSKeyId: {}
                        }
                      },
                      AwsSecretsManagerSecret: {
                        type: "structure",
                        members: {
                          RotationRules: {
                            type: "structure",
                            members: {
                              AutomaticallyAfterDays: {
                                type: "integer"
                              }
                            }
                          },
                          RotationOccurredWithinFrequency: {
                            type: "boolean"
                          },
                          KmsKeyId: {},
                          RotationEnabled: {
                            type: "boolean"
                          },
                          RotationLambdaArn: {},
                          Deleted: {
                            type: "boolean"
                          },
                          Name: {},
                          Description: {}
                        }
                      },
                      AwsIamAccessKey: {
                        type: "structure",
                        members: {
                          UserName: {
                            deprecated: true,
                            deprecatedMessage: "This filter is deprecated. Instead, use PrincipalName."
                          },
                          Status: {},
                          CreatedAt: {},
                          PrincipalId: {},
                          PrincipalType: {},
                          PrincipalName: {},
                          AccountId: {},
                          AccessKeyId: {},
                          SessionContext: {
                            type: "structure",
                            members: {
                              Attributes: {
                                type: "structure",
                                members: {
                                  MfaAuthenticated: {
                                    type: "boolean"
                                  },
                                  CreationDate: {}
                                }
                              },
                              SessionIssuer: {
                                type: "structure",
                                members: {
                                  Type: {},
                                  PrincipalId: {},
                                  Arn: {},
                                  AccountId: {},
                                  UserName: {}
                                }
                              }
                            }
                          }
                        }
                      },
                      AwsIamUser: {
                        type: "structure",
                        members: {
                          AttachedManagedPolicies: {
                            shape: "S81"
                          },
                          CreateDate: {},
                          GroupList: {
                            shape: "S1r"
                          },
                          Path: {},
                          PermissionsBoundary: {
                            shape: "S83"
                          },
                          UserId: {},
                          UserName: {},
                          UserPolicyList: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                PolicyName: {}
                              }
                            }
                          }
                        }
                      },
                      AwsIamPolicy: {
                        type: "structure",
                        members: {
                          AttachmentCount: {
                            type: "integer"
                          },
                          CreateDate: {},
                          DefaultVersionId: {},
                          Description: {},
                          IsAttachable: {
                            type: "boolean"
                          },
                          Path: {},
                          PermissionsBoundaryUsageCount: {
                            type: "integer"
                          },
                          PolicyId: {},
                          PolicyName: {},
                          PolicyVersionList: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                VersionId: {},
                                IsDefaultVersion: {
                                  type: "boolean"
                                },
                                CreateDate: {}
                              }
                            }
                          },
                          UpdateDate: {}
                        }
                      },
                      AwsApiGatewayV2Stage: {
                        type: "structure",
                        members: {
                          ClientCertificateId: {},
                          CreatedDate: {},
                          Description: {},
                          DefaultRouteSettings: {
                            shape: "S8a"
                          },
                          DeploymentId: {},
                          LastUpdatedDate: {},
                          RouteSettings: {
                            shape: "S8a"
                          },
                          StageName: {},
                          StageVariables: {
                            shape: "S1k"
                          },
                          AccessLogSettings: {
                            shape: "S8b"
                          },
                          AutoDeploy: {
                            type: "boolean"
                          },
                          LastDeploymentStatusMessage: {},
                          ApiGatewayManaged: {
                            type: "boolean"
                          }
                        }
                      },
                      AwsApiGatewayV2Api: {
                        type: "structure",
                        members: {
                          ApiEndpoint: {},
                          ApiId: {},
                          ApiKeySelectionExpression: {},
                          CreatedDate: {},
                          Description: {},
                          Version: {},
                          Name: {},
                          ProtocolType: {},
                          RouteSelectionExpression: {},
                          CorsConfiguration: {
                            type: "structure",
                            members: {
                              AllowOrigins: {
                                shape: "S4c"
                              },
                              AllowCredentials: {
                                type: "boolean"
                              },
                              ExposeHeaders: {
                                shape: "S4c"
                              },
                              MaxAge: {
                                type: "integer"
                              },
                              AllowMethods: {
                                shape: "S4c"
                              },
                              AllowHeaders: {
                                shape: "S4c"
                              }
                            }
                          }
                        }
                      },
                      AwsDynamoDbTable: {
                        type: "structure",
                        members: {
                          AttributeDefinitions: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                AttributeName: {},
                                AttributeType: {}
                              }
                            }
                          },
                          BillingModeSummary: {
                            type: "structure",
                            members: {
                              BillingMode: {},
                              LastUpdateToPayPerRequestDateTime: {}
                            }
                          },
                          CreationDateTime: {},
                          GlobalSecondaryIndexes: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Backfilling: {
                                  type: "boolean"
                                },
                                IndexArn: {},
                                IndexName: {},
                                IndexSizeBytes: {
                                  type: "long"
                                },
                                IndexStatus: {},
                                ItemCount: {
                                  type: "integer"
                                },
                                KeySchema: {
                                  shape: "S8l"
                                },
                                Projection: {
                                  shape: "S8n"
                                },
                                ProvisionedThroughput: {
                                  shape: "S8o"
                                }
                              }
                            }
                          },
                          GlobalTableVersion: {},
                          ItemCount: {
                            type: "integer"
                          },
                          KeySchema: {
                            shape: "S8l"
                          },
                          LatestStreamArn: {},
                          LatestStreamLabel: {},
                          LocalSecondaryIndexes: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                IndexArn: {},
                                IndexName: {},
                                KeySchema: {
                                  shape: "S8l"
                                },
                                Projection: {
                                  shape: "S8n"
                                }
                              }
                            }
                          },
                          ProvisionedThroughput: {
                            shape: "S8o"
                          },
                          Replicas: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                GlobalSecondaryIndexes: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      IndexName: {},
                                      ProvisionedThroughputOverride: {
                                        shape: "S8v"
                                      }
                                    }
                                  }
                                },
                                KmsMasterKeyId: {},
                                ProvisionedThroughputOverride: {
                                  shape: "S8v"
                                },
                                RegionName: {},
                                ReplicaStatus: {},
                                ReplicaStatusDescription: {}
                              }
                            }
                          },
                          RestoreSummary: {
                            type: "structure",
                            members: {
                              SourceBackupArn: {},
                              SourceTableArn: {},
                              RestoreDateTime: {},
                              RestoreInProgress: {
                                type: "boolean"
                              }
                            }
                          },
                          SseDescription: {
                            type: "structure",
                            members: {
                              InaccessibleEncryptionDateTime: {},
                              Status: {},
                              SseType: {},
                              KmsMasterKeyArn: {}
                            }
                          },
                          StreamSpecification: {
                            type: "structure",
                            members: {
                              StreamEnabled: {
                                type: "boolean"
                              },
                              StreamViewType: {}
                            }
                          },
                          TableId: {},
                          TableName: {},
                          TableSizeBytes: {
                            type: "long"
                          },
                          TableStatus: {}
                        }
                      },
                      AwsApiGatewayStage: {
                        type: "structure",
                        members: {
                          DeploymentId: {},
                          ClientCertificateId: {},
                          StageName: {},
                          Description: {},
                          CacheClusterEnabled: {
                            type: "boolean"
                          },
                          CacheClusterSize: {},
                          CacheClusterStatus: {},
                          MethodSettings: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                MetricsEnabled: {
                                  type: "boolean"
                                },
                                LoggingLevel: {},
                                DataTraceEnabled: {
                                  type: "boolean"
                                },
                                ThrottlingBurstLimit: {
                                  type: "integer"
                                },
                                ThrottlingRateLimit: {
                                  type: "double"
                                },
                                CachingEnabled: {
                                  type: "boolean"
                                },
                                CacheTtlInSeconds: {
                                  type: "integer"
                                },
                                CacheDataEncrypted: {
                                  type: "boolean"
                                },
                                RequireAuthorizationForCacheControl: {
                                  type: "boolean"
                                },
                                UnauthorizedCacheControlHeaderStrategy: {},
                                HttpMethod: {},
                                ResourcePath: {}
                              }
                            }
                          },
                          Variables: {
                            shape: "S1k"
                          },
                          DocumentationVersion: {},
                          AccessLogSettings: {
                            shape: "S8b"
                          },
                          CanarySettings: {
                            type: "structure",
                            members: {
                              PercentTraffic: {
                                type: "double"
                              },
                              DeploymentId: {},
                              StageVariableOverrides: {
                                shape: "S1k"
                              },
                              UseStageCache: {
                                type: "boolean"
                              }
                            }
                          },
                          TracingEnabled: {
                            type: "boolean"
                          },
                          CreatedDate: {},
                          LastUpdatedDate: {},
                          WebAclArn: {}
                        }
                      },
                      AwsApiGatewayRestApi: {
                        type: "structure",
                        members: {
                          Id: {},
                          Name: {},
                          Description: {},
                          CreatedDate: {},
                          Version: {},
                          BinaryMediaTypes: {
                            shape: "S4c"
                          },
                          MinimumCompressionSize: {
                            type: "integer"
                          },
                          ApiKeySource: {},
                          EndpointConfiguration: {
                            type: "structure",
                            members: {
                              Types: {
                                shape: "S4c"
                              }
                            }
                          }
                        }
                      },
                      AwsCloudTrailTrail: {
                        type: "structure",
                        members: {
                          CloudWatchLogsLogGroupArn: {},
                          CloudWatchLogsRoleArn: {},
                          HasCustomEventSelectors: {
                            type: "boolean"
                          },
                          HomeRegion: {},
                          IncludeGlobalServiceEvents: {
                            type: "boolean"
                          },
                          IsMultiRegionTrail: {
                            type: "boolean"
                          },
                          IsOrganizationTrail: {
                            type: "boolean"
                          },
                          KmsKeyId: {},
                          LogFileValidationEnabled: {
                            type: "boolean"
                          },
                          Name: {},
                          S3BucketName: {},
                          S3KeyPrefix: {},
                          SnsTopicArn: {},
                          SnsTopicName: {},
                          TrailArn: {}
                        }
                      },
                      AwsSsmPatchCompliance: {
                        type: "structure",
                        members: {
                          Patch: {
                            type: "structure",
                            members: {
                              ComplianceSummary: {
                                type: "structure",
                                members: {
                                  Status: {},
                                  CompliantCriticalCount: {
                                    type: "integer"
                                  },
                                  CompliantHighCount: {
                                    type: "integer"
                                  },
                                  CompliantMediumCount: {
                                    type: "integer"
                                  },
                                  ExecutionType: {},
                                  NonCompliantCriticalCount: {
                                    type: "integer"
                                  },
                                  CompliantInformationalCount: {
                                    type: "integer"
                                  },
                                  NonCompliantInformationalCount: {
                                    type: "integer"
                                  },
                                  CompliantUnspecifiedCount: {
                                    type: "integer"
                                  },
                                  NonCompliantLowCount: {
                                    type: "integer"
                                  },
                                  NonCompliantHighCount: {
                                    type: "integer"
                                  },
                                  CompliantLowCount: {
                                    type: "integer"
                                  },
                                  ComplianceType: {},
                                  PatchBaselineId: {},
                                  OverallSeverity: {},
                                  NonCompliantMediumCount: {
                                    type: "integer"
                                  },
                                  NonCompliantUnspecifiedCount: {
                                    type: "integer"
                                  },
                                  PatchGroup: {}
                                }
                              }
                            }
                          }
                        }
                      },
                      AwsCertificateManagerCertificate: {
                        type: "structure",
                        members: {
                          CertificateAuthorityArn: {},
                          CreatedAt: {},
                          DomainName: {},
                          DomainValidationOptions: {
                            shape: "S9a"
                          },
                          ExtendedKeyUsages: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Name: {},
                                OId: {}
                              }
                            }
                          },
                          FailureReason: {},
                          ImportedAt: {},
                          InUseBy: {
                            shape: "S1r"
                          },
                          IssuedAt: {},
                          Issuer: {},
                          KeyAlgorithm: {},
                          KeyUsages: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Name: {}
                              }
                            }
                          },
                          NotAfter: {},
                          NotBefore: {},
                          Options: {
                            type: "structure",
                            members: {
                              CertificateTransparencyLoggingPreference: {}
                            }
                          },
                          RenewalEligibility: {},
                          RenewalSummary: {
                            type: "structure",
                            members: {
                              DomainValidationOptions: {
                                shape: "S9a"
                              },
                              RenewalStatus: {},
                              RenewalStatusReason: {},
                              UpdatedAt: {}
                            }
                          },
                          Serial: {},
                          SignatureAlgorithm: {},
                          Status: {},
                          Subject: {},
                          SubjectAlternativeNames: {
                            shape: "S1r"
                          },
                          Type: {}
                        }
                      },
                      AwsRedshiftCluster: {
                        type: "structure",
                        members: {
                          AllowVersionUpgrade: {
                            type: "boolean"
                          },
                          AutomatedSnapshotRetentionPeriod: {
                            type: "integer"
                          },
                          AvailabilityZone: {},
                          ClusterAvailabilityStatus: {},
                          ClusterCreateTime: {},
                          ClusterIdentifier: {},
                          ClusterNodes: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                NodeRole: {},
                                PrivateIpAddress: {},
                                PublicIpAddress: {}
                              }
                            }
                          },
                          ClusterParameterGroups: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                ClusterParameterStatusList: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      ParameterName: {},
                                      ParameterApplyStatus: {},
                                      ParameterApplyErrorDescription: {}
                                    }
                                  }
                                },
                                ParameterApplyStatus: {},
                                ParameterGroupName: {}
                              }
                            }
                          },
                          ClusterPublicKey: {},
                          ClusterRevisionNumber: {},
                          ClusterSecurityGroups: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                ClusterSecurityGroupName: {},
                                Status: {}
                              }
                            }
                          },
                          ClusterSnapshotCopyStatus: {
                            type: "structure",
                            members: {
                              DestinationRegion: {},
                              ManualSnapshotRetentionPeriod: {
                                type: "integer"
                              },
                              RetentionPeriod: {
                                type: "integer"
                              },
                              SnapshotCopyGrantName: {}
                            }
                          },
                          ClusterStatus: {},
                          ClusterSubnetGroupName: {},
                          ClusterVersion: {},
                          DBName: {},
                          DeferredMaintenanceWindows: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                DeferMaintenanceEndTime: {},
                                DeferMaintenanceIdentifier: {},
                                DeferMaintenanceStartTime: {}
                              }
                            }
                          },
                          ElasticIpStatus: {
                            type: "structure",
                            members: {
                              ElasticIp: {},
                              Status: {}
                            }
                          },
                          ElasticResizeNumberOfNodeOptions: {},
                          Encrypted: {
                            type: "boolean"
                          },
                          Endpoint: {
                            type: "structure",
                            members: {
                              Address: {},
                              Port: {
                                type: "integer"
                              }
                            }
                          },
                          EnhancedVpcRouting: {
                            type: "boolean"
                          },
                          ExpectedNextSnapshotScheduleTime: {},
                          ExpectedNextSnapshotScheduleTimeStatus: {},
                          HsmStatus: {
                            type: "structure",
                            members: {
                              HsmClientCertificateIdentifier: {},
                              HsmConfigurationIdentifier: {},
                              Status: {}
                            }
                          },
                          IamRoles: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                ApplyStatus: {},
                                IamRoleArn: {}
                              }
                            }
                          },
                          KmsKeyId: {},
                          MaintenanceTrackName: {},
                          ManualSnapshotRetentionPeriod: {
                            type: "integer"
                          },
                          MasterUsername: {},
                          NextMaintenanceWindowStartTime: {},
                          NodeType: {},
                          NumberOfNodes: {
                            type: "integer"
                          },
                          PendingActions: {
                            shape: "S1r"
                          },
                          PendingModifiedValues: {
                            type: "structure",
                            members: {
                              AutomatedSnapshotRetentionPeriod: {
                                type: "integer"
                              },
                              ClusterIdentifier: {},
                              ClusterType: {},
                              ClusterVersion: {},
                              EncryptionType: {},
                              EnhancedVpcRouting: {
                                type: "boolean"
                              },
                              MaintenanceTrackName: {},
                              MasterUserPassword: {},
                              NodeType: {},
                              NumberOfNodes: {
                                type: "integer"
                              },
                              PubliclyAccessible: {
                                type: "boolean"
                              }
                            }
                          },
                          PreferredMaintenanceWindow: {},
                          PubliclyAccessible: {
                            type: "boolean"
                          },
                          ResizeInfo: {
                            type: "structure",
                            members: {
                              AllowCancelResize: {
                                type: "boolean"
                              },
                              ResizeType: {}
                            }
                          },
                          RestoreStatus: {
                            type: "structure",
                            members: {
                              CurrentRestoreRateInMegaBytesPerSecond: {
                                type: "double"
                              },
                              ElapsedTimeInSeconds: {
                                type: "long"
                              },
                              EstimatedTimeToCompletionInSeconds: {
                                type: "long"
                              },
                              ProgressInMegaBytes: {
                                type: "long"
                              },
                              SnapshotSizeInMegaBytes: {
                                type: "long"
                              },
                              Status: {}
                            }
                          },
                          SnapshotScheduleIdentifier: {},
                          SnapshotScheduleState: {},
                          VpcId: {},
                          VpcSecurityGroups: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Status: {},
                                VpcSecurityGroupId: {}
                              }
                            }
                          },
                          LoggingStatus: {
                            type: "structure",
                            members: {
                              BucketName: {},
                              LastFailureMessage: {},
                              LastFailureTime: {},
                              LastSuccessfulDeliveryTime: {},
                              LoggingEnabled: {
                                type: "boolean"
                              },
                              S3KeyPrefix: {}
                            }
                          }
                        }
                      },
                      AwsElbLoadBalancer: {
                        type: "structure",
                        members: {
                          AvailabilityZones: {
                            shape: "S1r"
                          },
                          BackendServerDescriptions: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                InstancePort: {
                                  type: "integer"
                                },
                                PolicyNames: {
                                  shape: "S1r"
                                }
                              }
                            }
                          },
                          CanonicalHostedZoneName: {},
                          CanonicalHostedZoneNameID: {},
                          CreatedTime: {},
                          DnsName: {},
                          HealthCheck: {
                            type: "structure",
                            members: {
                              HealthyThreshold: {
                                type: "integer"
                              },
                              Interval: {
                                type: "integer"
                              },
                              Target: {},
                              Timeout: {
                                type: "integer"
                              },
                              UnhealthyThreshold: {
                                type: "integer"
                              }
                            }
                          },
                          Instances: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                InstanceId: {}
                              }
                            }
                          },
                          ListenerDescriptions: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Listener: {
                                  type: "structure",
                                  members: {
                                    InstancePort: {
                                      type: "integer"
                                    },
                                    InstanceProtocol: {},
                                    LoadBalancerPort: {
                                      type: "integer"
                                    },
                                    Protocol: {},
                                    SslCertificateId: {}
                                  }
                                },
                                PolicyNames: {
                                  shape: "S1r"
                                }
                              }
                            }
                          },
                          LoadBalancerAttributes: {
                            type: "structure",
                            members: {
                              AccessLog: {
                                type: "structure",
                                members: {
                                  EmitInterval: {
                                    type: "integer"
                                  },
                                  Enabled: {
                                    type: "boolean"
                                  },
                                  S3BucketName: {},
                                  S3BucketPrefix: {}
                                }
                              },
                              ConnectionDraining: {
                                type: "structure",
                                members: {
                                  Enabled: {
                                    type: "boolean"
                                  },
                                  Timeout: {
                                    type: "integer"
                                  }
                                }
                              },
                              ConnectionSettings: {
                                type: "structure",
                                members: {
                                  IdleTimeout: {
                                    type: "integer"
                                  }
                                }
                              },
                              CrossZoneLoadBalancing: {
                                type: "structure",
                                members: {
                                  Enabled: {
                                    type: "boolean"
                                  }
                                }
                              },
                              AdditionalAttributes: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    Key: {},
                                    Value: {}
                                  }
                                }
                              }
                            }
                          },
                          LoadBalancerName: {},
                          Policies: {
                            type: "structure",
                            members: {
                              AppCookieStickinessPolicies: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    CookieName: {},
                                    PolicyName: {}
                                  }
                                }
                              },
                              LbCookieStickinessPolicies: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    CookieExpirationPeriod: {
                                      type: "long"
                                    },
                                    PolicyName: {}
                                  }
                                }
                              },
                              OtherPolicies: {
                                shape: "S1r"
                              }
                            }
                          },
                          Scheme: {},
                          SecurityGroups: {
                            shape: "S1r"
                          },
                          SourceSecurityGroup: {
                            type: "structure",
                            members: {
                              GroupName: {},
                              OwnerAlias: {}
                            }
                          },
                          Subnets: {
                            shape: "S1r"
                          },
                          VpcId: {}
                        }
                      },
                      AwsIamGroup: {
                        type: "structure",
                        members: {
                          AttachedManagedPolicies: {
                            shape: "S81"
                          },
                          CreateDate: {},
                          GroupId: {},
                          GroupName: {},
                          GroupPolicyList: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                PolicyName: {}
                              }
                            }
                          },
                          Path: {}
                        }
                      },
                      AwsIamRole: {
                        type: "structure",
                        members: {
                          AssumeRolePolicyDocument: {},
                          AttachedManagedPolicies: {
                            shape: "S81"
                          },
                          CreateDate: {},
                          InstanceProfileList: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Arn: {},
                                CreateDate: {},
                                InstanceProfileId: {},
                                InstanceProfileName: {},
                                Path: {},
                                Roles: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      Arn: {},
                                      AssumeRolePolicyDocument: {},
                                      CreateDate: {},
                                      Path: {},
                                      RoleId: {},
                                      RoleName: {}
                                    }
                                  }
                                }
                              }
                            }
                          },
                          PermissionsBoundary: {
                            shape: "S83"
                          },
                          RoleId: {},
                          RoleName: {},
                          RolePolicyList: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                PolicyName: {}
                              }
                            }
                          },
                          MaxSessionDuration: {
                            type: "integer"
                          },
                          Path: {}
                        }
                      },
                      AwsKmsKey: {
                        type: "structure",
                        members: {
                          AWSAccountId: {},
                          CreationDate: {
                            type: "double"
                          },
                          KeyId: {},
                          KeyManager: {},
                          KeyState: {},
                          Origin: {},
                          Description: {},
                          KeyRotationStatus: {
                            type: "boolean"
                          }
                        }
                      },
                      AwsLambdaFunction: {
                        type: "structure",
                        members: {
                          Code: {
                            type: "structure",
                            members: {
                              S3Bucket: {},
                              S3Key: {},
                              S3ObjectVersion: {},
                              ZipFile: {}
                            }
                          },
                          CodeSha256: {},
                          DeadLetterConfig: {
                            type: "structure",
                            members: {
                              TargetArn: {}
                            }
                          },
                          Environment: {
                            type: "structure",
                            members: {
                              Variables: {
                                shape: "S1k"
                              },
                              Error: {
                                type: "structure",
                                members: {
                                  ErrorCode: {},
                                  Message: {}
                                }
                              }
                            }
                          },
                          FunctionName: {},
                          Handler: {},
                          KmsKeyArn: {},
                          LastModified: {},
                          Layers: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Arn: {},
                                CodeSize: {
                                  type: "integer"
                                }
                              }
                            }
                          },
                          MasterArn: {},
                          MemorySize: {
                            type: "integer"
                          },
                          RevisionId: {},
                          Role: {},
                          Runtime: {},
                          Timeout: {
                            type: "integer"
                          },
                          TracingConfig: {
                            type: "structure",
                            members: {
                              Mode: {}
                            }
                          },
                          VpcConfig: {
                            type: "structure",
                            members: {
                              SecurityGroupIds: {
                                shape: "S4c"
                              },
                              SubnetIds: {
                                shape: "S4c"
                              },
                              VpcId: {}
                            }
                          },
                          Version: {},
                          Architectures: {
                            shape: "S4c"
                          },
                          PackageType: {}
                        }
                      },
                      AwsLambdaLayerVersion: {
                        type: "structure",
                        members: {
                          Version: {
                            type: "long"
                          },
                          CompatibleRuntimes: {
                            shape: "S4c"
                          },
                          CreatedDate: {}
                        }
                      },
                      AwsRdsDbInstance: {
                        type: "structure",
                        members: {
                          AssociatedRoles: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                RoleArn: {},
                                FeatureName: {},
                                Status: {}
                              }
                            }
                          },
                          CACertificateIdentifier: {},
                          DBClusterIdentifier: {},
                          DBInstanceIdentifier: {},
                          DBInstanceClass: {},
                          DbInstancePort: {
                            type: "integer"
                          },
                          DbiResourceId: {},
                          DBName: {},
                          DeletionProtection: {
                            type: "boolean"
                          },
                          Endpoint: {
                            shape: "Sbi"
                          },
                          Engine: {},
                          EngineVersion: {},
                          IAMDatabaseAuthenticationEnabled: {
                            type: "boolean"
                          },
                          InstanceCreateTime: {},
                          KmsKeyId: {},
                          PubliclyAccessible: {
                            type: "boolean"
                          },
                          StorageEncrypted: {
                            type: "boolean"
                          },
                          TdeCredentialArn: {},
                          VpcSecurityGroups: {
                            shape: "Sbj"
                          },
                          MultiAz: {
                            type: "boolean"
                          },
                          EnhancedMonitoringResourceArn: {},
                          DbInstanceStatus: {},
                          MasterUsername: {},
                          AllocatedStorage: {
                            type: "integer"
                          },
                          PreferredBackupWindow: {},
                          BackupRetentionPeriod: {
                            type: "integer"
                          },
                          DbSecurityGroups: {
                            shape: "S1r"
                          },
                          DbParameterGroups: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                DbParameterGroupName: {},
                                ParameterApplyStatus: {}
                              }
                            }
                          },
                          AvailabilityZone: {},
                          DbSubnetGroup: {
                            type: "structure",
                            members: {
                              DbSubnetGroupName: {},
                              DbSubnetGroupDescription: {},
                              VpcId: {},
                              SubnetGroupStatus: {},
                              Subnets: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    SubnetIdentifier: {},
                                    SubnetAvailabilityZone: {
                                      type: "structure",
                                      members: {
                                        Name: {}
                                      }
                                    },
                                    SubnetStatus: {}
                                  }
                                }
                              },
                              DbSubnetGroupArn: {}
                            }
                          },
                          PreferredMaintenanceWindow: {},
                          PendingModifiedValues: {
                            type: "structure",
                            members: {
                              DbInstanceClass: {},
                              AllocatedStorage: {
                                type: "integer"
                              },
                              MasterUserPassword: {},
                              Port: {
                                type: "integer"
                              },
                              BackupRetentionPeriod: {
                                type: "integer"
                              },
                              MultiAZ: {
                                type: "boolean"
                              },
                              EngineVersion: {},
                              LicenseModel: {},
                              Iops: {
                                type: "integer"
                              },
                              DbInstanceIdentifier: {},
                              StorageType: {},
                              CaCertificateIdentifier: {},
                              DbSubnetGroupName: {},
                              PendingCloudWatchLogsExports: {
                                type: "structure",
                                members: {
                                  LogTypesToEnable: {
                                    shape: "S1r"
                                  },
                                  LogTypesToDisable: {
                                    shape: "S1r"
                                  }
                                }
                              },
                              ProcessorFeatures: {
                                shape: "Sbt"
                              }
                            }
                          },
                          LatestRestorableTime: {},
                          AutoMinorVersionUpgrade: {
                            type: "boolean"
                          },
                          ReadReplicaSourceDBInstanceIdentifier: {},
                          ReadReplicaDBInstanceIdentifiers: {
                            shape: "S1r"
                          },
                          ReadReplicaDBClusterIdentifiers: {
                            shape: "S1r"
                          },
                          LicenseModel: {},
                          Iops: {
                            type: "integer"
                          },
                          OptionGroupMemberships: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                OptionGroupName: {},
                                Status: {}
                              }
                            }
                          },
                          CharacterSetName: {},
                          SecondaryAvailabilityZone: {},
                          StatusInfos: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                StatusType: {},
                                Normal: {
                                  type: "boolean"
                                },
                                Status: {},
                                Message: {}
                              }
                            }
                          },
                          StorageType: {},
                          DomainMemberships: {
                            shape: "Sbz"
                          },
                          CopyTagsToSnapshot: {
                            type: "boolean"
                          },
                          MonitoringInterval: {
                            type: "integer"
                          },
                          MonitoringRoleArn: {},
                          PromotionTier: {
                            type: "integer"
                          },
                          Timezone: {},
                          PerformanceInsightsEnabled: {
                            type: "boolean"
                          },
                          PerformanceInsightsKmsKeyId: {},
                          PerformanceInsightsRetentionPeriod: {
                            type: "integer"
                          },
                          EnabledCloudWatchLogsExports: {
                            shape: "S1r"
                          },
                          ProcessorFeatures: {
                            shape: "Sbt"
                          },
                          ListenerEndpoint: {
                            shape: "Sbi"
                          },
                          MaxAllocatedStorage: {
                            type: "integer"
                          }
                        }
                      },
                      AwsSnsTopic: {
                        type: "structure",
                        members: {
                          KmsMasterKeyId: {},
                          Subscription: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Endpoint: {},
                                Protocol: {}
                              }
                            }
                          },
                          TopicName: {},
                          Owner: {},
                          SqsSuccessFeedbackRoleArn: {},
                          SqsFailureFeedbackRoleArn: {},
                          ApplicationSuccessFeedbackRoleArn: {},
                          FirehoseSuccessFeedbackRoleArn: {},
                          FirehoseFailureFeedbackRoleArn: {},
                          HttpSuccessFeedbackRoleArn: {},
                          HttpFailureFeedbackRoleArn: {}
                        }
                      },
                      AwsSqsQueue: {
                        type: "structure",
                        members: {
                          KmsDataKeyReusePeriodSeconds: {
                            type: "integer"
                          },
                          KmsMasterKeyId: {},
                          QueueName: {},
                          DeadLetterTargetArn: {}
                        }
                      },
                      AwsWafWebAcl: {
                        type: "structure",
                        members: {
                          Name: {},
                          DefaultAction: {},
                          Rules: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Action: {
                                  type: "structure",
                                  members: {
                                    Type: {}
                                  }
                                },
                                ExcludedRules: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      RuleId: {}
                                    }
                                  }
                                },
                                OverrideAction: {
                                  type: "structure",
                                  members: {
                                    Type: {}
                                  }
                                },
                                Priority: {
                                  type: "integer"
                                },
                                RuleId: {},
                                Type: {}
                              }
                            }
                          },
                          WebAclId: {}
                        }
                      },
                      AwsRdsDbSnapshot: {
                        type: "structure",
                        members: {
                          DbSnapshotIdentifier: {},
                          DbInstanceIdentifier: {},
                          SnapshotCreateTime: {},
                          Engine: {},
                          AllocatedStorage: {
                            type: "integer"
                          },
                          Status: {},
                          Port: {
                            type: "integer"
                          },
                          AvailabilityZone: {},
                          VpcId: {},
                          InstanceCreateTime: {},
                          MasterUsername: {},
                          EngineVersion: {},
                          LicenseModel: {},
                          SnapshotType: {},
                          Iops: {
                            type: "integer"
                          },
                          OptionGroupName: {},
                          PercentProgress: {
                            type: "integer"
                          },
                          SourceRegion: {},
                          SourceDbSnapshotIdentifier: {},
                          StorageType: {},
                          TdeCredentialArn: {},
                          Encrypted: {
                            type: "boolean"
                          },
                          KmsKeyId: {},
                          Timezone: {},
                          IamDatabaseAuthenticationEnabled: {
                            type: "boolean"
                          },
                          ProcessorFeatures: {
                            shape: "Sbt"
                          },
                          DbiResourceId: {}
                        }
                      },
                      AwsRdsDbClusterSnapshot: {
                        type: "structure",
                        members: {
                          AvailabilityZones: {
                            shape: "S1r"
                          },
                          SnapshotCreateTime: {},
                          Engine: {},
                          AllocatedStorage: {
                            type: "integer"
                          },
                          Status: {},
                          Port: {
                            type: "integer"
                          },
                          VpcId: {},
                          ClusterCreateTime: {},
                          MasterUsername: {},
                          EngineVersion: {},
                          LicenseModel: {},
                          SnapshotType: {},
                          PercentProgress: {
                            type: "integer"
                          },
                          StorageEncrypted: {
                            type: "boolean"
                          },
                          KmsKeyId: {},
                          DbClusterIdentifier: {},
                          DbClusterSnapshotIdentifier: {},
                          IamDatabaseAuthenticationEnabled: {
                            type: "boolean"
                          }
                        }
                      },
                      AwsRdsDbCluster: {
                        type: "structure",
                        members: {
                          AllocatedStorage: {
                            type: "integer"
                          },
                          AvailabilityZones: {
                            shape: "S1r"
                          },
                          BackupRetentionPeriod: {
                            type: "integer"
                          },
                          DatabaseName: {},
                          Status: {},
                          Endpoint: {},
                          ReaderEndpoint: {},
                          CustomEndpoints: {
                            shape: "S1r"
                          },
                          MultiAz: {
                            type: "boolean"
                          },
                          Engine: {},
                          EngineVersion: {},
                          Port: {
                            type: "integer"
                          },
                          MasterUsername: {},
                          PreferredBackupWindow: {},
                          PreferredMaintenanceWindow: {},
                          ReadReplicaIdentifiers: {
                            shape: "S1r"
                          },
                          VpcSecurityGroups: {
                            shape: "Sbj"
                          },
                          HostedZoneId: {},
                          StorageEncrypted: {
                            type: "boolean"
                          },
                          KmsKeyId: {},
                          DbClusterResourceId: {},
                          AssociatedRoles: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                RoleArn: {},
                                Status: {}
                              }
                            }
                          },
                          ClusterCreateTime: {},
                          EnabledCloudWatchLogsExports: {
                            shape: "S1r"
                          },
                          EngineMode: {},
                          DeletionProtection: {
                            type: "boolean"
                          },
                          HttpEndpointEnabled: {
                            type: "boolean"
                          },
                          ActivityStreamStatus: {},
                          CopyTagsToSnapshot: {
                            type: "boolean"
                          },
                          CrossAccountClone: {
                            type: "boolean"
                          },
                          DomainMemberships: {
                            shape: "Sbz"
                          },
                          DbClusterParameterGroup: {},
                          DbSubnetGroup: {},
                          DbClusterOptionGroupMemberships: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                DbClusterOptionGroupName: {},
                                Status: {}
                              }
                            }
                          },
                          DbClusterIdentifier: {},
                          DbClusterMembers: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                IsClusterWriter: {
                                  type: "boolean"
                                },
                                PromotionTier: {
                                  type: "integer"
                                },
                                DbInstanceIdentifier: {},
                                DbClusterParameterGroupStatus: {}
                              }
                            }
                          },
                          IamDatabaseAuthenticationEnabled: {
                            type: "boolean"
                          }
                        }
                      },
                      AwsEcsCluster: {
                        type: "structure",
                        members: {
                          ClusterArn: {},
                          ActiveServicesCount: {
                            type: "integer"
                          },
                          CapacityProviders: {
                            shape: "S4c"
                          },
                          ClusterSettings: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Name: {},
                                Value: {}
                              }
                            }
                          },
                          Configuration: {
                            type: "structure",
                            members: {
                              ExecuteCommandConfiguration: {
                                type: "structure",
                                members: {
                                  KmsKeyId: {},
                                  LogConfiguration: {
                                    type: "structure",
                                    members: {
                                      CloudWatchEncryptionEnabled: {
                                        type: "boolean"
                                      },
                                      CloudWatchLogGroupName: {},
                                      S3BucketName: {},
                                      S3EncryptionEnabled: {
                                        type: "boolean"
                                      },
                                      S3KeyPrefix: {}
                                    }
                                  },
                                  Logging: {}
                                }
                              }
                            }
                          },
                          DefaultCapacityProviderStrategy: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Base: {
                                  type: "integer"
                                },
                                CapacityProvider: {},
                                Weight: {
                                  type: "integer"
                                }
                              }
                            }
                          },
                          ClusterName: {},
                          RegisteredContainerInstancesCount: {
                            type: "integer"
                          },
                          RunningTasksCount: {
                            type: "integer"
                          },
                          Status: {}
                        }
                      },
                      AwsEcsContainer: {
                        shape: "Sct"
                      },
                      AwsEcsTaskDefinition: {
                        type: "structure",
                        members: {
                          ContainerDefinitions: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Command: {
                                  shape: "S4c"
                                },
                                Cpu: {
                                  type: "integer"
                                },
                                DependsOn: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      Condition: {},
                                      ContainerName: {}
                                    }
                                  }
                                },
                                DisableNetworking: {
                                  type: "boolean"
                                },
                                DnsSearchDomains: {
                                  shape: "S4c"
                                },
                                DnsServers: {
                                  shape: "S4c"
                                },
                                DockerLabels: {
                                  shape: "S1k"
                                },
                                DockerSecurityOptions: {
                                  shape: "S4c"
                                },
                                EntryPoint: {
                                  shape: "S4c"
                                },
                                Environment: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      Name: {},
                                      Value: {}
                                    }
                                  }
                                },
                                EnvironmentFiles: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      Type: {},
                                      Value: {}
                                    }
                                  }
                                },
                                Essential: {
                                  type: "boolean"
                                },
                                ExtraHosts: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      Hostname: {},
                                      IpAddress: {}
                                    }
                                  }
                                },
                                FirelensConfiguration: {
                                  type: "structure",
                                  members: {
                                    Options: {
                                      shape: "S1k"
                                    },
                                    Type: {}
                                  }
                                },
                                HealthCheck: {
                                  type: "structure",
                                  members: {
                                    Command: {
                                      shape: "S4c"
                                    },
                                    Interval: {
                                      type: "integer"
                                    },
                                    Retries: {
                                      type: "integer"
                                    },
                                    StartPeriod: {
                                      type: "integer"
                                    },
                                    Timeout: {
                                      type: "integer"
                                    }
                                  }
                                },
                                Hostname: {},
                                Image: {},
                                Interactive: {
                                  type: "boolean"
                                },
                                Links: {
                                  shape: "S4c"
                                },
                                LinuxParameters: {
                                  type: "structure",
                                  members: {
                                    Capabilities: {
                                      type: "structure",
                                      members: {
                                        Add: {
                                          shape: "S4c"
                                        },
                                        Drop: {
                                          shape: "S4c"
                                        }
                                      }
                                    },
                                    Devices: {
                                      type: "list",
                                      member: {
                                        type: "structure",
                                        members: {
                                          ContainerPath: {},
                                          HostPath: {},
                                          Permissions: {
                                            shape: "S4c"
                                          }
                                        }
                                      }
                                    },
                                    InitProcessEnabled: {
                                      type: "boolean"
                                    },
                                    MaxSwap: {
                                      type: "integer"
                                    },
                                    SharedMemorySize: {
                                      type: "integer"
                                    },
                                    Swappiness: {
                                      type: "integer"
                                    },
                                    Tmpfs: {
                                      type: "list",
                                      member: {
                                        type: "structure",
                                        members: {
                                          ContainerPath: {},
                                          MountOptions: {
                                            shape: "S4c"
                                          },
                                          Size: {
                                            type: "integer"
                                          }
                                        }
                                      }
                                    }
                                  }
                                },
                                LogConfiguration: {
                                  type: "structure",
                                  members: {
                                    LogDriver: {},
                                    Options: {
                                      shape: "S1k"
                                    },
                                    SecretOptions: {
                                      type: "list",
                                      member: {
                                        type: "structure",
                                        members: {
                                          Name: {},
                                          ValueFrom: {}
                                        }
                                      }
                                    }
                                  }
                                },
                                Memory: {
                                  type: "integer"
                                },
                                MemoryReservation: {
                                  type: "integer"
                                },
                                MountPoints: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      ContainerPath: {},
                                      ReadOnly: {
                                        type: "boolean"
                                      },
                                      SourceVolume: {}
                                    }
                                  }
                                },
                                Name: {},
                                PortMappings: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      ContainerPort: {
                                        type: "integer"
                                      },
                                      HostPort: {
                                        type: "integer"
                                      },
                                      Protocol: {}
                                    }
                                  }
                                },
                                Privileged: {
                                  type: "boolean"
                                },
                                PseudoTerminal: {
                                  type: "boolean"
                                },
                                ReadonlyRootFilesystem: {
                                  type: "boolean"
                                },
                                RepositoryCredentials: {
                                  type: "structure",
                                  members: {
                                    CredentialsParameter: {}
                                  }
                                },
                                ResourceRequirements: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      Type: {},
                                      Value: {}
                                    }
                                  }
                                },
                                Secrets: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      Name: {},
                                      ValueFrom: {}
                                    }
                                  }
                                },
                                StartTimeout: {
                                  type: "integer"
                                },
                                StopTimeout: {
                                  type: "integer"
                                },
                                SystemControls: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      Namespace: {},
                                      Value: {}
                                    }
                                  }
                                },
                                Ulimits: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      HardLimit: {
                                        type: "integer"
                                      },
                                      Name: {},
                                      SoftLimit: {
                                        type: "integer"
                                      }
                                    }
                                  }
                                },
                                User: {},
                                VolumesFrom: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      ReadOnly: {
                                        type: "boolean"
                                      },
                                      SourceContainer: {}
                                    }
                                  }
                                },
                                WorkingDirectory: {}
                              }
                            }
                          },
                          Cpu: {},
                          ExecutionRoleArn: {},
                          Family: {},
                          InferenceAccelerators: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                DeviceName: {},
                                DeviceType: {}
                              }
                            }
                          },
                          IpcMode: {},
                          Memory: {},
                          NetworkMode: {},
                          PidMode: {},
                          PlacementConstraints: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Expression: {},
                                Type: {}
                              }
                            }
                          },
                          ProxyConfiguration: {
                            type: "structure",
                            members: {
                              ContainerName: {},
                              ProxyConfigurationProperties: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    Name: {},
                                    Value: {}
                                  }
                                }
                              },
                              Type: {}
                            }
                          },
                          RequiresCompatibilities: {
                            shape: "S4c"
                          },
                          TaskRoleArn: {},
                          Volumes: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                DockerVolumeConfiguration: {
                                  type: "structure",
                                  members: {
                                    Autoprovision: {
                                      type: "boolean"
                                    },
                                    Driver: {},
                                    DriverOpts: {
                                      shape: "S1k"
                                    },
                                    Labels: {
                                      shape: "S1k"
                                    },
                                    Scope: {}
                                  }
                                },
                                EfsVolumeConfiguration: {
                                  type: "structure",
                                  members: {
                                    AuthorizationConfig: {
                                      type: "structure",
                                      members: {
                                        AccessPointId: {},
                                        Iam: {}
                                      }
                                    },
                                    FilesystemId: {},
                                    RootDirectory: {},
                                    TransitEncryption: {},
                                    TransitEncryptionPort: {
                                      type: "integer"
                                    }
                                  }
                                },
                                Host: {
                                  type: "structure",
                                  members: {
                                    SourcePath: {}
                                  }
                                },
                                Name: {}
                              }
                            }
                          }
                        }
                      },
                      Container: {
                        type: "structure",
                        members: {
                          ContainerRuntime: {},
                          Name: {},
                          ImageId: {},
                          ImageName: {},
                          LaunchedAt: {},
                          VolumeMounts: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Name: {},
                                MountPath: {}
                              }
                            }
                          },
                          Privileged: {
                            type: "boolean"
                          }
                        }
                      },
                      Other: {
                        shape: "S1k"
                      },
                      AwsRdsEventSubscription: {
                        type: "structure",
                        members: {
                          CustSubscriptionId: {},
                          CustomerAwsId: {},
                          Enabled: {
                            type: "boolean"
                          },
                          EventCategoriesList: {
                            shape: "S4c"
                          },
                          EventSubscriptionArn: {},
                          SnsTopicArn: {},
                          SourceIdsList: {
                            shape: "S4c"
                          },
                          SourceType: {},
                          Status: {},
                          SubscriptionCreationTime: {}
                        }
                      },
                      AwsEcsService: {
                        type: "structure",
                        members: {
                          CapacityProviderStrategy: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Base: {
                                  type: "integer"
                                },
                                CapacityProvider: {},
                                Weight: {
                                  type: "integer"
                                }
                              }
                            }
                          },
                          Cluster: {},
                          DeploymentConfiguration: {
                            type: "structure",
                            members: {
                              DeploymentCircuitBreaker: {
                                type: "structure",
                                members: {
                                  Enable: {
                                    type: "boolean"
                                  },
                                  Rollback: {
                                    type: "boolean"
                                  }
                                }
                              },
                              MaximumPercent: {
                                type: "integer"
                              },
                              MinimumHealthyPercent: {
                                type: "integer"
                              }
                            }
                          },
                          DeploymentController: {
                            type: "structure",
                            members: {
                              Type: {}
                            }
                          },
                          DesiredCount: {
                            type: "integer"
                          },
                          EnableEcsManagedTags: {
                            type: "boolean"
                          },
                          EnableExecuteCommand: {
                            type: "boolean"
                          },
                          HealthCheckGracePeriodSeconds: {
                            type: "integer"
                          },
                          LaunchType: {},
                          LoadBalancers: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                ContainerName: {},
                                ContainerPort: {
                                  type: "integer"
                                },
                                LoadBalancerName: {},
                                TargetGroupArn: {}
                              }
                            }
                          },
                          Name: {},
                          NetworkConfiguration: {
                            type: "structure",
                            members: {
                              AwsVpcConfiguration: {
                                type: "structure",
                                members: {
                                  AssignPublicIp: {},
                                  SecurityGroups: {
                                    shape: "S4c"
                                  },
                                  Subnets: {
                                    shape: "S4c"
                                  }
                                }
                              }
                            }
                          },
                          PlacementConstraints: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Expression: {},
                                Type: {}
                              }
                            }
                          },
                          PlacementStrategies: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Field: {},
                                Type: {}
                              }
                            }
                          },
                          PlatformVersion: {},
                          PropagateTags: {},
                          Role: {},
                          SchedulingStrategy: {},
                          ServiceArn: {},
                          ServiceName: {},
                          ServiceRegistries: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                ContainerName: {},
                                ContainerPort: {
                                  type: "integer"
                                },
                                Port: {
                                  type: "integer"
                                },
                                RegistryArn: {}
                              }
                            }
                          },
                          TaskDefinition: {}
                        }
                      },
                      AwsAutoScalingLaunchConfiguration: {
                        type: "structure",
                        members: {
                          AssociatePublicIpAddress: {
                            type: "boolean"
                          },
                          BlockDeviceMappings: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                DeviceName: {},
                                Ebs: {
                                  type: "structure",
                                  members: {
                                    DeleteOnTermination: {
                                      type: "boolean"
                                    },
                                    Encrypted: {
                                      type: "boolean"
                                    },
                                    Iops: {
                                      type: "integer"
                                    },
                                    SnapshotId: {},
                                    VolumeSize: {
                                      type: "integer"
                                    },
                                    VolumeType: {}
                                  }
                                },
                                NoDevice: {
                                  type: "boolean"
                                },
                                VirtualName: {}
                              }
                            }
                          },
                          ClassicLinkVpcId: {},
                          ClassicLinkVpcSecurityGroups: {
                            shape: "S4c"
                          },
                          CreatedTime: {},
                          EbsOptimized: {
                            type: "boolean"
                          },
                          IamInstanceProfile: {},
                          ImageId: {},
                          InstanceMonitoring: {
                            type: "structure",
                            members: {
                              Enabled: {
                                type: "boolean"
                              }
                            }
                          },
                          InstanceType: {},
                          KernelId: {},
                          KeyName: {},
                          LaunchConfigurationName: {},
                          PlacementTenancy: {},
                          RamdiskId: {},
                          SecurityGroups: {
                            shape: "S4c"
                          },
                          SpotPrice: {},
                          UserData: {},
                          MetadataOptions: {
                            type: "structure",
                            members: {
                              HttpEndpoint: {},
                              HttpPutResponseHopLimit: {
                                type: "integer"
                              },
                              HttpTokens: {}
                            }
                          }
                        }
                      },
                      AwsEc2VpnConnection: {
                        type: "structure",
                        members: {
                          VpnConnectionId: {},
                          State: {},
                          CustomerGatewayId: {},
                          CustomerGatewayConfiguration: {},
                          Type: {},
                          VpnGatewayId: {},
                          Category: {},
                          VgwTelemetry: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                AcceptedRouteCount: {
                                  type: "integer"
                                },
                                CertificateArn: {},
                                LastStatusChange: {},
                                OutsideIpAddress: {},
                                Status: {},
                                StatusMessage: {}
                              }
                            }
                          },
                          Options: {
                            type: "structure",
                            members: {
                              StaticRoutesOnly: {
                                type: "boolean"
                              },
                              TunnelOptions: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    DpdTimeoutSeconds: {
                                      type: "integer"
                                    },
                                    IkeVersions: {
                                      shape: "S4c"
                                    },
                                    OutsideIpAddress: {},
                                    Phase1DhGroupNumbers: {
                                      shape: "Sf6"
                                    },
                                    Phase1EncryptionAlgorithms: {
                                      shape: "S4c"
                                    },
                                    Phase1IntegrityAlgorithms: {
                                      shape: "S4c"
                                    },
                                    Phase1LifetimeSeconds: {
                                      type: "integer"
                                    },
                                    Phase2DhGroupNumbers: {
                                      shape: "Sf6"
                                    },
                                    Phase2EncryptionAlgorithms: {
                                      shape: "S4c"
                                    },
                                    Phase2IntegrityAlgorithms: {
                                      shape: "S4c"
                                    },
                                    Phase2LifetimeSeconds: {
                                      type: "integer"
                                    },
                                    PreSharedKey: {},
                                    RekeyFuzzPercentage: {
                                      type: "integer"
                                    },
                                    RekeyMarginTimeSeconds: {
                                      type: "integer"
                                    },
                                    ReplayWindowSize: {
                                      type: "integer"
                                    },
                                    TunnelInsideCidr: {}
                                  }
                                }
                              }
                            }
                          },
                          Routes: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                DestinationCidrBlock: {},
                                State: {}
                              }
                            }
                          },
                          TransitGatewayId: {}
                        }
                      },
                      AwsEcrContainerImage: {
                        type: "structure",
                        members: {
                          RegistryId: {},
                          RepositoryName: {},
                          Architecture: {},
                          ImageDigest: {},
                          ImageTags: {
                            shape: "S4c"
                          },
                          ImagePublishedAt: {}
                        }
                      },
                      AwsOpenSearchServiceDomain: {
                        type: "structure",
                        members: {
                          Arn: {},
                          AccessPolicies: {},
                          DomainName: {},
                          Id: {},
                          DomainEndpoint: {},
                          EngineVersion: {},
                          EncryptionAtRestOptions: {
                            type: "structure",
                            members: {
                              Enabled: {
                                type: "boolean"
                              },
                              KmsKeyId: {}
                            }
                          },
                          NodeToNodeEncryptionOptions: {
                            type: "structure",
                            members: {
                              Enabled: {
                                type: "boolean"
                              }
                            }
                          },
                          ServiceSoftwareOptions: {
                            type: "structure",
                            members: {
                              AutomatedUpdateDate: {},
                              Cancellable: {
                                type: "boolean"
                              },
                              CurrentVersion: {},
                              Description: {},
                              NewVersion: {},
                              UpdateAvailable: {
                                type: "boolean"
                              },
                              UpdateStatus: {},
                              OptionalDeployment: {
                                type: "boolean"
                              }
                            }
                          },
                          ClusterConfig: {
                            type: "structure",
                            members: {
                              InstanceCount: {
                                type: "integer"
                              },
                              WarmEnabled: {
                                type: "boolean"
                              },
                              WarmCount: {
                                type: "integer"
                              },
                              DedicatedMasterEnabled: {
                                type: "boolean"
                              },
                              ZoneAwarenessConfig: {
                                type: "structure",
                                members: {
                                  AvailabilityZoneCount: {
                                    type: "integer"
                                  }
                                }
                              },
                              DedicatedMasterCount: {
                                type: "integer"
                              },
                              InstanceType: {},
                              WarmType: {},
                              ZoneAwarenessEnabled: {
                                type: "boolean"
                              },
                              DedicatedMasterType: {}
                            }
                          },
                          DomainEndpointOptions: {
                            type: "structure",
                            members: {
                              CustomEndpointCertificateArn: {},
                              CustomEndpointEnabled: {
                                type: "boolean"
                              },
                              EnforceHTTPS: {
                                type: "boolean"
                              },
                              CustomEndpoint: {},
                              TLSSecurityPolicy: {}
                            }
                          },
                          VpcOptions: {
                            type: "structure",
                            members: {
                              SecurityGroupIds: {
                                shape: "S4c"
                              },
                              SubnetIds: {
                                shape: "S4c"
                              }
                            }
                          },
                          LogPublishingOptions: {
                            type: "structure",
                            members: {
                              IndexSlowLogs: {
                                shape: "Sfj"
                              },
                              SearchSlowLogs: {
                                shape: "Sfj"
                              },
                              AuditLogs: {
                                shape: "Sfj"
                              }
                            }
                          },
                          DomainEndpoints: {
                            shape: "S1k"
                          },
                          AdvancedSecurityOptions: {
                            type: "structure",
                            members: {
                              Enabled: {
                                type: "boolean"
                              },
                              InternalUserDatabaseEnabled: {
                                type: "boolean"
                              },
                              MasterUserOptions: {
                                type: "structure",
                                members: {
                                  MasterUserArn: {},
                                  MasterUserName: {},
                                  MasterUserPassword: {}
                                }
                              }
                            }
                          }
                        }
                      },
                      AwsEc2VpcEndpointService: {
                        type: "structure",
                        members: {
                          AcceptanceRequired: {
                            type: "boolean"
                          },
                          AvailabilityZones: {
                            shape: "S4c"
                          },
                          BaseEndpointDnsNames: {
                            shape: "S4c"
                          },
                          ManagesVpcEndpoints: {
                            type: "boolean"
                          },
                          GatewayLoadBalancerArns: {
                            shape: "S4c"
                          },
                          NetworkLoadBalancerArns: {
                            shape: "S4c"
                          },
                          PrivateDnsName: {},
                          ServiceId: {},
                          ServiceName: {},
                          ServiceState: {},
                          ServiceType: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                ServiceType: {}
                              }
                            }
                          }
                        }
                      },
                      AwsXrayEncryptionConfig: {
                        type: "structure",
                        members: {
                          KeyId: {},
                          Status: {},
                          Type: {}
                        }
                      },
                      AwsWafRateBasedRule: {
                        type: "structure",
                        members: {
                          MetricName: {},
                          Name: {},
                          RateKey: {},
                          RateLimit: {
                            type: "long"
                          },
                          RuleId: {},
                          MatchPredicates: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                DataId: {},
                                Negated: {
                                  type: "boolean"
                                },
                                Type: {}
                              }
                            }
                          }
                        }
                      },
                      AwsWafRegionalRateBasedRule: {
                        type: "structure",
                        members: {
                          MetricName: {},
                          Name: {},
                          RateKey: {},
                          RateLimit: {
                            type: "long"
                          },
                          RuleId: {},
                          MatchPredicates: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                DataId: {},
                                Negated: {
                                  type: "boolean"
                                },
                                Type: {}
                              }
                            }
                          }
                        }
                      },
                      AwsEcrRepository: {
                        type: "structure",
                        members: {
                          Arn: {},
                          ImageScanningConfiguration: {
                            type: "structure",
                            members: {
                              ScanOnPush: {
                                type: "boolean"
                              }
                            }
                          },
                          ImageTagMutability: {},
                          LifecyclePolicy: {
                            type: "structure",
                            members: {
                              LifecyclePolicyText: {},
                              RegistryId: {}
                            }
                          },
                          RepositoryName: {},
                          RepositoryPolicyText: {}
                        }
                      },
                      AwsEksCluster: {
                        type: "structure",
                        members: {
                          Arn: {},
                          CertificateAuthorityData: {},
                          ClusterStatus: {},
                          Endpoint: {},
                          Name: {},
                          ResourcesVpcConfig: {
                            type: "structure",
                            members: {
                              SecurityGroupIds: {
                                shape: "S4c"
                              },
                              SubnetIds: {
                                shape: "S4c"
                              },
                              EndpointPublicAccess: {
                                type: "boolean"
                              }
                            }
                          },
                          RoleArn: {},
                          Version: {},
                          Logging: {
                            type: "structure",
                            members: {
                              ClusterLogging: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    Enabled: {
                                      type: "boolean"
                                    },
                                    Types: {
                                      shape: "S4c"
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      },
                      AwsNetworkFirewallFirewallPolicy: {
                        type: "structure",
                        members: {
                          FirewallPolicy: {
                            type: "structure",
                            members: {
                              StatefulRuleGroupReferences: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    ResourceArn: {}
                                  }
                                }
                              },
                              StatelessCustomActions: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    ActionDefinition: {
                                      shape: "Sga"
                                    },
                                    ActionName: {}
                                  }
                                }
                              },
                              StatelessDefaultActions: {
                                shape: "S4c"
                              },
                              StatelessFragmentDefaultActions: {
                                shape: "S4c"
                              },
                              StatelessRuleGroupReferences: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    Priority: {
                                      type: "integer"
                                    },
                                    ResourceArn: {}
                                  }
                                }
                              }
                            }
                          },
                          FirewallPolicyArn: {},
                          FirewallPolicyId: {},
                          FirewallPolicyName: {},
                          Description: {}
                        }
                      },
                      AwsNetworkFirewallFirewall: {
                        type: "structure",
                        members: {
                          DeleteProtection: {
                            type: "boolean"
                          },
                          Description: {},
                          FirewallArn: {},
                          FirewallId: {},
                          FirewallName: {},
                          FirewallPolicyArn: {},
                          FirewallPolicyChangeProtection: {
                            type: "boolean"
                          },
                          SubnetChangeProtection: {
                            type: "boolean"
                          },
                          SubnetMappings: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                SubnetId: {}
                              }
                            }
                          },
                          VpcId: {}
                        }
                      },
                      AwsNetworkFirewallRuleGroup: {
                        type: "structure",
                        members: {
                          Capacity: {
                            type: "integer"
                          },
                          Description: {},
                          RuleGroup: {
                            type: "structure",
                            members: {
                              RuleVariables: {
                                type: "structure",
                                members: {
                                  IpSets: {
                                    type: "structure",
                                    members: {
                                      Definition: {
                                        shape: "S4c"
                                      }
                                    }
                                  },
                                  PortSets: {
                                    type: "structure",
                                    members: {
                                      Definition: {
                                        shape: "S4c"
                                      }
                                    }
                                  }
                                }
                              },
                              RulesSource: {
                                type: "structure",
                                members: {
                                  RulesSourceList: {
                                    type: "structure",
                                    members: {
                                      GeneratedRulesType: {},
                                      TargetTypes: {
                                        shape: "S4c"
                                      },
                                      Targets: {
                                        shape: "S4c"
                                      }
                                    }
                                  },
                                  RulesString: {},
                                  StatefulRules: {
                                    type: "list",
                                    member: {
                                      type: "structure",
                                      members: {
                                        Action: {},
                                        Header: {
                                          type: "structure",
                                          members: {
                                            Destination: {},
                                            DestinationPort: {},
                                            Direction: {},
                                            Protocol: {},
                                            Source: {},
                                            SourcePort: {}
                                          }
                                        },
                                        RuleOptions: {
                                          type: "list",
                                          member: {
                                            type: "structure",
                                            members: {
                                              Keyword: {},
                                              Settings: {
                                                type: "list",
                                                member: {}
                                              }
                                            }
                                          }
                                        }
                                      }
                                    }
                                  },
                                  StatelessRulesAndCustomActions: {
                                    type: "structure",
                                    members: {
                                      CustomActions: {
                                        type: "list",
                                        member: {
                                          type: "structure",
                                          members: {
                                            ActionDefinition: {
                                              shape: "Sga"
                                            },
                                            ActionName: {}
                                          }
                                        }
                                      },
                                      StatelessRules: {
                                        type: "list",
                                        member: {
                                          type: "structure",
                                          members: {
                                            Priority: {
                                              type: "integer"
                                            },
                                            RuleDefinition: {
                                              type: "structure",
                                              members: {
                                                Actions: {
                                                  shape: "S4c"
                                                },
                                                MatchAttributes: {
                                                  type: "structure",
                                                  members: {
                                                    DestinationPorts: {
                                                      type: "list",
                                                      member: {
                                                        type: "structure",
                                                        members: {
                                                          FromPort: {
                                                            type: "integer"
                                                          },
                                                          ToPort: {
                                                            type: "integer"
                                                          }
                                                        }
                                                      }
                                                    },
                                                    Destinations: {
                                                      type: "list",
                                                      member: {
                                                        type: "structure",
                                                        members: {
                                                          AddressDefinition: {}
                                                        }
                                                      }
                                                    },
                                                    Protocols: {
                                                      type: "list",
                                                      member: {
                                                        type: "integer"
                                                      }
                                                    },
                                                    SourcePorts: {
                                                      type: "list",
                                                      member: {
                                                        type: "structure",
                                                        members: {
                                                          FromPort: {
                                                            type: "integer"
                                                          },
                                                          ToPort: {
                                                            type: "integer"
                                                          }
                                                        }
                                                      }
                                                    },
                                                    Sources: {
                                                      type: "list",
                                                      member: {
                                                        type: "structure",
                                                        members: {
                                                          AddressDefinition: {}
                                                        }
                                                      }
                                                    },
                                                    TcpFlags: {
                                                      type: "list",
                                                      member: {
                                                        type: "structure",
                                                        members: {
                                                          Flags: {
                                                            shape: "S4c"
                                                          },
                                                          Masks: {
                                                            shape: "S4c"
                                                          }
                                                        }
                                                      }
                                                    }
                                                  }
                                                }
                                              }
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          RuleGroupArn: {},
                          RuleGroupId: {},
                          RuleGroupName: {},
                          Type: {}
                        }
                      },
                      AwsRdsDbSecurityGroup: {
                        type: "structure",
                        members: {
                          DbSecurityGroupArn: {},
                          DbSecurityGroupDescription: {},
                          DbSecurityGroupName: {},
                          Ec2SecurityGroups: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Ec2SecurityGroupId: {},
                                Ec2SecurityGroupName: {},
                                Ec2SecurityGroupOwnerId: {},
                                Status: {}
                              }
                            }
                          },
                          IpRanges: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                CidrIp: {},
                                Status: {}
                              }
                            }
                          },
                          OwnerId: {},
                          VpcId: {}
                        }
                      },
                      AwsKinesisStream: {
                        type: "structure",
                        members: {
                          Name: {},
                          Arn: {},
                          StreamEncryption: {
                            type: "structure",
                            members: {
                              EncryptionType: {},
                              KeyId: {}
                            }
                          },
                          ShardCount: {
                            type: "integer"
                          },
                          RetentionPeriodHours: {
                            type: "integer"
                          }
                        }
                      },
                      AwsEc2TransitGateway: {
                        type: "structure",
                        members: {
                          Id: {},
                          Description: {},
                          DefaultRouteTablePropagation: {},
                          AutoAcceptSharedAttachments: {},
                          DefaultRouteTableAssociation: {},
                          TransitGatewayCidrBlocks: {
                            shape: "S4c"
                          },
                          AssociationDefaultRouteTableId: {},
                          PropagationDefaultRouteTableId: {},
                          VpnEcmpSupport: {},
                          DnsSupport: {},
                          MulticastSupport: {},
                          AmazonSideAsn: {
                            type: "integer"
                          }
                        }
                      },
                      AwsEfsAccessPoint: {
                        type: "structure",
                        members: {
                          AccessPointId: {},
                          Arn: {},
                          ClientToken: {},
                          FileSystemId: {},
                          PosixUser: {
                            type: "structure",
                            members: {
                              Gid: {},
                              SecondaryGids: {
                                shape: "S4c"
                              },
                              Uid: {}
                            }
                          },
                          RootDirectory: {
                            type: "structure",
                            members: {
                              CreationInfo: {
                                type: "structure",
                                members: {
                                  OwnerGid: {},
                                  OwnerUid: {},
                                  Permissions: {}
                                }
                              },
                              Path: {}
                            }
                          }
                        }
                      },
                      AwsCloudFormationStack: {
                        type: "structure",
                        members: {
                          Capabilities: {
                            shape: "S4c"
                          },
                          CreationTime: {},
                          Description: {},
                          DisableRollback: {
                            type: "boolean"
                          },
                          DriftInformation: {
                            type: "structure",
                            members: {
                              StackDriftStatus: {}
                            }
                          },
                          EnableTerminationProtection: {
                            type: "boolean"
                          },
                          LastUpdatedTime: {},
                          NotificationArns: {
                            shape: "S4c"
                          },
                          Outputs: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Description: {},
                                OutputKey: {},
                                OutputValue: {}
                              }
                            }
                          },
                          RoleArn: {},
                          StackId: {},
                          StackName: {},
                          StackStatus: {},
                          StackStatusReason: {},
                          TimeoutInMinutes: {
                            type: "integer"
                          }
                        }
                      },
                      AwsCloudWatchAlarm: {
                        type: "structure",
                        members: {
                          ActionsEnabled: {
                            type: "boolean"
                          },
                          AlarmActions: {
                            shape: "S4c"
                          },
                          AlarmArn: {},
                          AlarmConfigurationUpdatedTimestamp: {},
                          AlarmDescription: {},
                          AlarmName: {},
                          ComparisonOperator: {},
                          DatapointsToAlarm: {
                            type: "integer"
                          },
                          Dimensions: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Name: {},
                                Value: {}
                              }
                            }
                          },
                          EvaluateLowSampleCountPercentile: {},
                          EvaluationPeriods: {
                            type: "integer"
                          },
                          ExtendedStatistic: {},
                          InsufficientDataActions: {
                            shape: "S4c"
                          },
                          MetricName: {},
                          Namespace: {},
                          OkActions: {
                            shape: "S4c"
                          },
                          Period: {
                            type: "integer"
                          },
                          Statistic: {},
                          Threshold: {
                            type: "double"
                          },
                          ThresholdMetricId: {},
                          TreatMissingData: {},
                          Unit: {}
                        }
                      },
                      AwsEc2VpcPeeringConnection: {
                        type: "structure",
                        members: {
                          AccepterVpcInfo: {
                            shape: "Shy"
                          },
                          ExpirationTime: {},
                          RequesterVpcInfo: {
                            shape: "Shy"
                          },
                          Status: {
                            type: "structure",
                            members: {
                              Code: {},
                              Message: {}
                            }
                          },
                          VpcPeeringConnectionId: {}
                        }
                      },
                      AwsWafRegionalRuleGroup: {
                        type: "structure",
                        members: {
                          MetricName: {},
                          Name: {},
                          RuleGroupId: {},
                          Rules: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Action: {
                                  type: "structure",
                                  members: {
                                    Type: {}
                                  }
                                },
                                Priority: {
                                  type: "integer"
                                },
                                RuleId: {},
                                Type: {}
                              }
                            }
                          }
                        }
                      },
                      AwsWafRegionalRule: {
                        type: "structure",
                        members: {
                          MetricName: {},
                          Name: {},
                          PredicateList: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                DataId: {},
                                Negated: {
                                  type: "boolean"
                                },
                                Type: {}
                              }
                            }
                          },
                          RuleId: {}
                        }
                      },
                      AwsWafRegionalWebAcl: {
                        type: "structure",
                        members: {
                          DefaultAction: {},
                          MetricName: {},
                          Name: {},
                          RulesList: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Action: {
                                  type: "structure",
                                  members: {
                                    Type: {}
                                  }
                                },
                                OverrideAction: {
                                  type: "structure",
                                  members: {
                                    Type: {}
                                  }
                                },
                                Priority: {
                                  type: "integer"
                                },
                                RuleId: {},
                                Type: {}
                              }
                            }
                          },
                          WebAclId: {}
                        }
                      },
                      AwsWafRule: {
                        type: "structure",
                        members: {
                          MetricName: {},
                          Name: {},
                          PredicateList: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                DataId: {},
                                Negated: {
                                  type: "boolean"
                                },
                                Type: {}
                              }
                            }
                          },
                          RuleId: {}
                        }
                      },
                      AwsWafRuleGroup: {
                        type: "structure",
                        members: {
                          MetricName: {},
                          Name: {},
                          RuleGroupId: {},
                          Rules: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Action: {
                                  type: "structure",
                                  members: {
                                    Type: {}
                                  }
                                },
                                Priority: {
                                  type: "integer"
                                },
                                RuleId: {},
                                Type: {}
                              }
                            }
                          }
                        }
                      },
                      AwsEcsTask: {
                        type: "structure",
                        members: {
                          ClusterArn: {},
                          TaskDefinitionArn: {},
                          Version: {},
                          CreatedAt: {},
                          StartedAt: {},
                          StartedBy: {},
                          Group: {},
                          Volumes: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Name: {},
                                Host: {
                                  type: "structure",
                                  members: {
                                    SourcePath: {}
                                  }
                                }
                              }
                            }
                          },
                          Containers: {
                            type: "list",
                            member: {
                              shape: "Sct"
                            }
                          }
                        }
                      },
                      AwsBackupBackupVault: {
                        type: "structure",
                        members: {
                          BackupVaultArn: {},
                          BackupVaultName: {},
                          EncryptionKeyArn: {},
                          Notifications: {
                            type: "structure",
                            members: {
                              BackupVaultEvents: {
                                shape: "S4c"
                              },
                              SnsTopicArn: {}
                            }
                          },
                          AccessPolicy: {}
                        }
                      },
                      AwsBackupBackupPlan: {
                        type: "structure",
                        members: {
                          BackupPlan: {
                            type: "structure",
                            members: {
                              BackupPlanName: {},
                              AdvancedBackupSettings: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    BackupOptions: {
                                      shape: "S1k"
                                    },
                                    ResourceType: {}
                                  }
                                }
                              },
                              BackupPlanRule: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    TargetBackupVault: {},
                                    StartWindowMinutes: {
                                      type: "long"
                                    },
                                    ScheduleExpression: {},
                                    RuleName: {},
                                    RuleId: {},
                                    EnableContinuousBackup: {
                                      type: "boolean"
                                    },
                                    CompletionWindowMinutes: {
                                      type: "long"
                                    },
                                    CopyActions: {
                                      type: "list",
                                      member: {
                                        type: "structure",
                                        members: {
                                          DestinationBackupVaultArn: {},
                                          Lifecycle: {
                                            shape: "Sj3"
                                          }
                                        }
                                      }
                                    },
                                    Lifecycle: {
                                      shape: "Sj3"
                                    }
                                  }
                                }
                              }
                            }
                          },
                          BackupPlanArn: {},
                          BackupPlanId: {},
                          VersionId: {}
                        }
                      },
                      AwsBackupRecoveryPoint: {
                        type: "structure",
                        members: {
                          BackupSizeInBytes: {
                            type: "long"
                          },
                          BackupVaultArn: {},
                          BackupVaultName: {},
                          CalculatedLifecycle: {
                            type: "structure",
                            members: {
                              DeleteAt: {},
                              MoveToColdStorageAt: {}
                            }
                          },
                          CompletionDate: {},
                          CreatedBy: {
                            type: "structure",
                            members: {
                              BackupPlanArn: {},
                              BackupPlanId: {},
                              BackupPlanVersion: {},
                              BackupRuleId: {}
                            }
                          },
                          CreationDate: {},
                          EncryptionKeyArn: {},
                          IamRoleArn: {},
                          IsEncrypted: {
                            type: "boolean"
                          },
                          LastRestoreTime: {},
                          Lifecycle: {
                            type: "structure",
                            members: {
                              DeleteAfterDays: {
                                type: "long"
                              },
                              MoveToColdStorageAfterDays: {
                                type: "long"
                              }
                            }
                          },
                          RecoveryPointArn: {},
                          ResourceArn: {},
                          ResourceType: {},
                          SourceBackupVaultArn: {},
                          Status: {},
                          StatusMessage: {},
                          StorageClass: {}
                        }
                      },
                      AwsEc2LaunchTemplate: {
                        type: "structure",
                        members: {
                          LaunchTemplateName: {},
                          Id: {},
                          LaunchTemplateData: {
                            type: "structure",
                            members: {
                              BlockDeviceMappingSet: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    DeviceName: {},
                                    Ebs: {
                                      type: "structure",
                                      members: {
                                        DeleteOnTermination: {
                                          type: "boolean"
                                        },
                                        Encrypted: {
                                          type: "boolean"
                                        },
                                        Iops: {
                                          type: "integer"
                                        },
                                        KmsKeyId: {},
                                        SnapshotId: {},
                                        Throughput: {
                                          type: "integer"
                                        },
                                        VolumeSize: {
                                          type: "integer"
                                        },
                                        VolumeType: {}
                                      }
                                    },
                                    NoDevice: {},
                                    VirtualName: {}
                                  }
                                }
                              },
                              CapacityReservationSpecification: {
                                type: "structure",
                                members: {
                                  CapacityReservationPreference: {},
                                  CapacityReservationTarget: {
                                    type: "structure",
                                    members: {
                                      CapacityReservationId: {},
                                      CapacityReservationResourceGroupArn: {}
                                    }
                                  }
                                }
                              },
                              CpuOptions: {
                                type: "structure",
                                members: {
                                  CoreCount: {
                                    type: "integer"
                                  },
                                  ThreadsPerCore: {
                                    type: "integer"
                                  }
                                }
                              },
                              CreditSpecification: {
                                type: "structure",
                                members: {
                                  CpuCredits: {}
                                }
                              },
                              DisableApiStop: {
                                type: "boolean"
                              },
                              DisableApiTermination: {
                                type: "boolean"
                              },
                              EbsOptimized: {
                                type: "boolean"
                              },
                              ElasticGpuSpecificationSet: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    Type: {}
                                  }
                                }
                              },
                              ElasticInferenceAcceleratorSet: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    Count: {
                                      type: "integer"
                                    },
                                    Type: {}
                                  }
                                }
                              },
                              EnclaveOptions: {
                                type: "structure",
                                members: {
                                  Enabled: {
                                    type: "boolean"
                                  }
                                }
                              },
                              HibernationOptions: {
                                type: "structure",
                                members: {
                                  Configured: {
                                    type: "boolean"
                                  }
                                }
                              },
                              IamInstanceProfile: {
                                type: "structure",
                                members: {
                                  Arn: {},
                                  Name: {}
                                }
                              },
                              ImageId: {},
                              InstanceInitiatedShutdownBehavior: {},
                              InstanceMarketOptions: {
                                type: "structure",
                                members: {
                                  MarketType: {},
                                  SpotOptions: {
                                    type: "structure",
                                    members: {
                                      BlockDurationMinutes: {
                                        type: "integer"
                                      },
                                      InstanceInterruptionBehavior: {},
                                      MaxPrice: {},
                                      SpotInstanceType: {},
                                      ValidUntil: {}
                                    }
                                  }
                                }
                              },
                              InstanceRequirements: {
                                type: "structure",
                                members: {
                                  AcceleratorCount: {
                                    type: "structure",
                                    members: {
                                      Max: {
                                        type: "integer"
                                      },
                                      Min: {
                                        type: "integer"
                                      }
                                    }
                                  },
                                  AcceleratorManufacturers: {
                                    shape: "S4c"
                                  },
                                  AcceleratorNames: {
                                    shape: "S4c"
                                  },
                                  AcceleratorTotalMemoryMiB: {
                                    type: "structure",
                                    members: {
                                      Max: {
                                        type: "integer"
                                      },
                                      Min: {
                                        type: "integer"
                                      }
                                    }
                                  },
                                  AcceleratorTypes: {
                                    shape: "S4c"
                                  },
                                  BareMetal: {},
                                  BaselineEbsBandwidthMbps: {
                                    type: "structure",
                                    members: {
                                      Max: {
                                        type: "integer"
                                      },
                                      Min: {
                                        type: "integer"
                                      }
                                    }
                                  },
                                  BurstablePerformance: {},
                                  CpuManufacturers: {
                                    shape: "S4c"
                                  },
                                  ExcludedInstanceTypes: {
                                    shape: "S4c"
                                  },
                                  InstanceGenerations: {
                                    shape: "S4c"
                                  },
                                  LocalStorage: {},
                                  LocalStorageTypes: {
                                    shape: "S4c"
                                  },
                                  MemoryGiBPerVCpu: {
                                    type: "structure",
                                    members: {
                                      Max: {
                                        type: "double"
                                      },
                                      Min: {
                                        type: "double"
                                      }
                                    }
                                  },
                                  MemoryMiB: {
                                    type: "structure",
                                    members: {
                                      Max: {
                                        type: "integer"
                                      },
                                      Min: {
                                        type: "integer"
                                      }
                                    }
                                  },
                                  NetworkInterfaceCount: {
                                    type: "structure",
                                    members: {
                                      Max: {
                                        type: "integer"
                                      },
                                      Min: {
                                        type: "integer"
                                      }
                                    }
                                  },
                                  OnDemandMaxPricePercentageOverLowestPrice: {
                                    type: "integer"
                                  },
                                  RequireHibernateSupport: {
                                    type: "boolean"
                                  },
                                  SpotMaxPricePercentageOverLowestPrice: {
                                    type: "integer"
                                  },
                                  TotalLocalStorageGB: {
                                    type: "structure",
                                    members: {
                                      Max: {
                                        type: "double"
                                      },
                                      Min: {
                                        type: "double"
                                      }
                                    }
                                  },
                                  VCpuCount: {
                                    type: "structure",
                                    members: {
                                      Max: {
                                        type: "integer"
                                      },
                                      Min: {
                                        type: "integer"
                                      }
                                    }
                                  }
                                }
                              },
                              InstanceType: {},
                              KernelId: {},
                              KeyName: {},
                              LicenseSet: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    LicenseConfigurationArn: {}
                                  }
                                }
                              },
                              MaintenanceOptions: {
                                type: "structure",
                                members: {
                                  AutoRecovery: {}
                                }
                              },
                              MetadataOptions: {
                                type: "structure",
                                members: {
                                  HttpEndpoint: {},
                                  HttpProtocolIpv6: {},
                                  HttpTokens: {},
                                  HttpPutResponseHopLimit: {
                                    type: "integer"
                                  },
                                  InstanceMetadataTags: {}
                                }
                              },
                              Monitoring: {
                                type: "structure",
                                members: {
                                  Enabled: {
                                    type: "boolean"
                                  }
                                }
                              },
                              NetworkInterfaceSet: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    AssociateCarrierIpAddress: {
                                      type: "boolean"
                                    },
                                    AssociatePublicIpAddress: {
                                      type: "boolean"
                                    },
                                    DeleteOnTermination: {
                                      type: "boolean"
                                    },
                                    Description: {},
                                    DeviceIndex: {
                                      type: "integer"
                                    },
                                    Groups: {
                                      shape: "S4c"
                                    },
                                    InterfaceType: {},
                                    Ipv4PrefixCount: {
                                      type: "integer"
                                    },
                                    Ipv4Prefixes: {
                                      type: "list",
                                      member: {
                                        type: "structure",
                                        members: {
                                          Ipv4Prefix: {}
                                        }
                                      }
                                    },
                                    Ipv6AddressCount: {
                                      type: "integer"
                                    },
                                    Ipv6Addresses: {
                                      type: "list",
                                      member: {
                                        type: "structure",
                                        members: {
                                          Ipv6Address: {}
                                        }
                                      }
                                    },
                                    Ipv6PrefixCount: {
                                      type: "integer"
                                    },
                                    Ipv6Prefixes: {
                                      type: "list",
                                      member: {
                                        type: "structure",
                                        members: {
                                          Ipv6Prefix: {}
                                        }
                                      }
                                    },
                                    NetworkCardIndex: {
                                      type: "integer"
                                    },
                                    NetworkInterfaceId: {},
                                    PrivateIpAddress: {},
                                    PrivateIpAddresses: {
                                      type: "list",
                                      member: {
                                        type: "structure",
                                        members: {
                                          Primary: {
                                            type: "boolean"
                                          },
                                          PrivateIpAddress: {}
                                        }
                                      }
                                    },
                                    SecondaryPrivateIpAddressCount: {
                                      type: "integer"
                                    },
                                    SubnetId: {}
                                  }
                                }
                              },
                              Placement: {
                                type: "structure",
                                members: {
                                  Affinity: {},
                                  AvailabilityZone: {},
                                  GroupName: {},
                                  HostId: {},
                                  HostResourceGroupArn: {},
                                  PartitionNumber: {
                                    type: "integer"
                                  },
                                  SpreadDomain: {},
                                  Tenancy: {}
                                }
                              },
                              PrivateDnsNameOptions: {
                                type: "structure",
                                members: {
                                  EnableResourceNameDnsAAAARecord: {
                                    type: "boolean"
                                  },
                                  EnableResourceNameDnsARecord: {
                                    type: "boolean"
                                  },
                                  HostnameType: {}
                                }
                              },
                              RamDiskId: {},
                              SecurityGroupIdSet: {
                                shape: "S4c"
                              },
                              SecurityGroupSet: {
                                shape: "S4c"
                              },
                              UserData: {}
                            }
                          },
                          DefaultVersionNumber: {
                            type: "long"
                          },
                          LatestVersionNumber: {
                            type: "long"
                          }
                        }
                      },
                      AwsSageMakerNotebookInstance: {
                        type: "structure",
                        members: {
                          AcceleratorTypes: {
                            shape: "S4c"
                          },
                          AdditionalCodeRepositories: {
                            shape: "S4c"
                          },
                          DefaultCodeRepository: {},
                          DirectInternetAccess: {},
                          FailureReason: {},
                          InstanceMetadataServiceConfiguration: {
                            type: "structure",
                            members: {
                              MinimumInstanceMetadataServiceVersion: {}
                            }
                          },
                          InstanceType: {},
                          KmsKeyId: {},
                          NetworkInterfaceId: {},
                          NotebookInstanceArn: {},
                          NotebookInstanceLifecycleConfigName: {},
                          NotebookInstanceName: {},
                          NotebookInstanceStatus: {},
                          PlatformIdentifier: {},
                          RoleArn: {},
                          RootAccess: {},
                          SecurityGroups: {
                            shape: "S4c"
                          },
                          SubnetId: {},
                          Url: {},
                          VolumeSizeInGB: {
                            type: "integer"
                          }
                        }
                      },
                      AwsWafv2WebAcl: {
                        type: "structure",
                        members: {
                          Name: {},
                          Arn: {},
                          ManagedbyFirewallManager: {
                            type: "boolean"
                          },
                          Id: {},
                          Capacity: {
                            type: "long"
                          },
                          CaptchaConfig: {
                            type: "structure",
                            members: {
                              ImmunityTimeProperty: {
                                type: "structure",
                                members: {
                                  ImmunityTime: {
                                    type: "long"
                                  }
                                }
                              }
                            }
                          },
                          DefaultAction: {
                            type: "structure",
                            members: {
                              Allow: {
                                shape: "Skm"
                              },
                              Block: {
                                shape: "Skq"
                              }
                            }
                          },
                          Description: {},
                          Rules: {
                            shape: "Sks"
                          },
                          VisibilityConfig: {
                            shape: "Skx"
                          }
                        }
                      },
                      AwsWafv2RuleGroup: {
                        type: "structure",
                        members: {
                          Capacity: {
                            type: "long"
                          },
                          Description: {},
                          Id: {},
                          Name: {},
                          Arn: {},
                          Rules: {
                            shape: "Sks"
                          },
                          Scope: {},
                          VisibilityConfig: {
                            shape: "Skx"
                          }
                        }
                      },
                      AwsEc2RouteTable: {
                        type: "structure",
                        members: {
                          AssociationSet: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                AssociationState: {
                                  type: "structure",
                                  members: {
                                    State: {},
                                    StatusMessage: {}
                                  }
                                },
                                GatewayId: {},
                                Main: {
                                  type: "boolean"
                                },
                                RouteTableAssociationId: {},
                                RouteTableId: {},
                                SubnetId: {}
                              }
                            }
                          },
                          OwnerId: {},
                          PropagatingVgwSet: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                GatewayId: {}
                              }
                            }
                          },
                          RouteTableId: {},
                          RouteSet: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                CarrierGatewayId: {},
                                CoreNetworkArn: {},
                                DestinationCidrBlock: {},
                                DestinationIpv6CidrBlock: {},
                                DestinationPrefixListId: {},
                                EgressOnlyInternetGatewayId: {},
                                GatewayId: {},
                                InstanceId: {},
                                InstanceOwnerId: {},
                                LocalGatewayId: {},
                                NatGatewayId: {},
                                NetworkInterfaceId: {},
                                Origin: {},
                                State: {},
                                TransitGatewayId: {},
                                VpcPeeringConnectionId: {}
                              }
                            }
                          },
                          VpcId: {}
                        }
                      },
                      AwsAmazonMqBroker: {
                        type: "structure",
                        members: {
                          AuthenticationStrategy: {},
                          AutoMinorVersionUpgrade: {
                            type: "boolean"
                          },
                          BrokerArn: {},
                          BrokerName: {},
                          DeploymentMode: {},
                          EncryptionOptions: {
                            type: "structure",
                            members: {
                              KmsKeyId: {},
                              UseAwsOwnedKey: {
                                type: "boolean"
                              }
                            }
                          },
                          EngineType: {},
                          EngineVersion: {},
                          HostInstanceType: {},
                          BrokerId: {},
                          LdapServerMetadata: {
                            type: "structure",
                            members: {
                              Hosts: {
                                shape: "S1r"
                              },
                              RoleBase: {},
                              RoleName: {},
                              RoleSearchMatching: {},
                              RoleSearchSubtree: {
                                type: "boolean"
                              },
                              ServiceAccountUsername: {},
                              UserBase: {},
                              UserRoleName: {},
                              UserSearchMatching: {},
                              UserSearchSubtree: {
                                type: "boolean"
                              }
                            }
                          },
                          Logs: {
                            type: "structure",
                            members: {
                              Audit: {
                                type: "boolean"
                              },
                              General: {
                                type: "boolean"
                              },
                              AuditLogGroup: {},
                              GeneralLogGroup: {},
                              Pending: {
                                type: "structure",
                                members: {
                                  Audit: {
                                    type: "boolean"
                                  },
                                  General: {
                                    type: "boolean"
                                  }
                                }
                              }
                            }
                          },
                          MaintenanceWindowStartTime: {
                            type: "structure",
                            members: {
                              DayOfWeek: {},
                              TimeOfDay: {},
                              TimeZone: {}
                            }
                          },
                          PubliclyAccessible: {
                            type: "boolean"
                          },
                          SecurityGroups: {
                            shape: "S1r"
                          },
                          StorageType: {},
                          SubnetIds: {
                            shape: "S1r"
                          },
                          Users: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                PendingChange: {},
                                Username: {}
                              }
                            }
                          }
                        }
                      },
                      AwsAppSyncGraphQlApi: {
                        type: "structure",
                        members: {
                          ApiId: {},
                          Id: {},
                          OpenIdConnectConfig: {
                            shape: "Slg"
                          },
                          Name: {},
                          LambdaAuthorizerConfig: {
                            shape: "Slh"
                          },
                          XrayEnabled: {
                            type: "boolean"
                          },
                          Arn: {},
                          UserPoolConfig: {
                            shape: "Sli"
                          },
                          AuthenticationType: {},
                          LogConfig: {
                            type: "structure",
                            members: {
                              CloudWatchLogsRoleArn: {},
                              ExcludeVerboseContent: {
                                type: "boolean"
                              },
                              FieldLogLevel: {}
                            }
                          },
                          AdditionalAuthenticationProviders: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                AuthenticationType: {},
                                LambdaAuthorizerConfig: {
                                  shape: "Slh"
                                },
                                OpenIdConnectConfig: {
                                  shape: "Slg"
                                },
                                UserPoolConfig: {
                                  shape: "Sli"
                                }
                              }
                            }
                          },
                          WafWebAclArn: {}
                        }
                      },
                      AwsEventSchemasRegistry: {
                        type: "structure",
                        members: {
                          Description: {},
                          RegistryArn: {},
                          RegistryName: {}
                        }
                      },
                      AwsGuardDutyDetector: {
                        type: "structure",
                        members: {
                          DataSources: {
                            type: "structure",
                            members: {
                              CloudTrail: {
                                type: "structure",
                                members: {
                                  Status: {}
                                }
                              },
                              DnsLogs: {
                                type: "structure",
                                members: {
                                  Status: {}
                                }
                              },
                              FlowLogs: {
                                type: "structure",
                                members: {
                                  Status: {}
                                }
                              },
                              Kubernetes: {
                                type: "structure",
                                members: {
                                  AuditLogs: {
                                    type: "structure",
                                    members: {
                                      Status: {}
                                    }
                                  }
                                }
                              },
                              MalwareProtection: {
                                type: "structure",
                                members: {
                                  ScanEc2InstanceWithFindings: {
                                    type: "structure",
                                    members: {
                                      EbsVolumes: {
                                        type: "structure",
                                        members: {
                                          Reason: {},
                                          Status: {}
                                        }
                                      }
                                    }
                                  },
                                  ServiceRole: {}
                                }
                              },
                              S3Logs: {
                                type: "structure",
                                members: {
                                  Status: {}
                                }
                              }
                            }
                          },
                          Features: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Name: {},
                                Status: {}
                              }
                            }
                          },
                          FindingPublishingFrequency: {},
                          ServiceRole: {},
                          Status: {}
                        }
                      },
                      AwsStepFunctionStateMachine: {
                        type: "structure",
                        members: {
                          Label: {},
                          LoggingConfiguration: {
                            type: "structure",
                            members: {
                              Destinations: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    CloudWatchLogsLogGroup: {
                                      type: "structure",
                                      members: {
                                        LogGroupArn: {}
                                      }
                                    }
                                  }
                                }
                              },
                              IncludeExecutionData: {
                                type: "boolean"
                              },
                              Level: {}
                            }
                          },
                          Name: {},
                          RoleArn: {},
                          StateMachineArn: {},
                          Status: {},
                          TracingConfiguration: {
                            type: "structure",
                            members: {
                              Enabled: {
                                type: "boolean"
                              }
                            }
                          },
                          Type: {}
                        }
                      }
                    }
                  }
                }
              }
            },
            Compliance: {
              type: "structure",
              members: {
                Status: {},
                RelatedRequirements: {
                  shape: "S27"
                },
                StatusReasons: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "ReasonCode"
                    ],
                    members: {
                      ReasonCode: {},
                      Description: {}
                    }
                  }
                },
                SecurityControlId: {},
                AssociatedStandards: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      StandardsId: {}
                    }
                  }
                }
              }
            },
            VerificationState: {},
            WorkflowState: {
              type: "string",
              deprecated: true,
              deprecatedMessage: "This filter is deprecated. Instead, use SeverityLabel or FindingProviderFieldsSeverityLabel."
            },
            Workflow: {
              type: "structure",
              members: {
                Status: {}
              }
            },
            RecordState: {},
            RelatedFindings: {
              shape: "S1n"
            },
            Note: {
              type: "structure",
              required: [
                "Text",
                "UpdatedBy",
                "UpdatedAt"
              ],
              members: {
                Text: {},
                UpdatedBy: {},
                UpdatedAt: {}
              }
            },
            Vulnerabilities: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Id"
                ],
                members: {
                  Id: {},
                  VulnerablePackages: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {},
                        Version: {},
                        Epoch: {},
                        Release: {},
                        Architecture: {},
                        PackageManager: {},
                        FilePath: {},
                        FixedInVersion: {},
                        Remediation: {},
                        SourceLayerHash: {},
                        SourceLayerArn: {}
                      }
                    }
                  },
                  Cvss: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Version: {},
                        BaseScore: {
                          type: "double"
                        },
                        BaseVector: {},
                        Source: {},
                        Adjustments: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              Metric: {},
                              Reason: {}
                            }
                          }
                        }
                      }
                    }
                  },
                  RelatedVulnerabilities: {
                    shape: "S1r"
                  },
                  Vendor: {
                    type: "structure",
                    required: [
                      "Name"
                    ],
                    members: {
                      Name: {},
                      Url: {},
                      VendorSeverity: {},
                      VendorCreatedAt: {},
                      VendorUpdatedAt: {}
                    }
                  },
                  ReferenceUrls: {
                    shape: "S1r"
                  },
                  FixAvailable: {}
                }
              }
            },
            PatchSummary: {
              type: "structure",
              required: [
                "Id"
              ],
              members: {
                Id: {},
                InstalledCount: {
                  type: "integer"
                },
                MissingCount: {
                  type: "integer"
                },
                FailedCount: {
                  type: "integer"
                },
                InstalledOtherCount: {
                  type: "integer"
                },
                InstalledRejectedCount: {
                  type: "integer"
                },
                InstalledPendingReboot: {
                  type: "integer"
                },
                OperationStartTime: {},
                OperationEndTime: {},
                RebootOption: {},
                Operation: {}
              }
            },
            Action: {
              type: "structure",
              members: {
                ActionType: {},
                NetworkConnectionAction: {
                  type: "structure",
                  members: {
                    ConnectionDirection: {},
                    RemoteIpDetails: {
                      shape: "Smt"
                    },
                    RemotePortDetails: {
                      type: "structure",
                      members: {
                        Port: {
                          type: "integer"
                        },
                        PortName: {}
                      }
                    },
                    LocalPortDetails: {
                      shape: "Smz"
                    },
                    Protocol: {},
                    Blocked: {
                      type: "boolean"
                    }
                  }
                },
                AwsApiCallAction: {
                  type: "structure",
                  members: {
                    Api: {},
                    ServiceName: {},
                    CallerType: {},
                    RemoteIpDetails: {
                      shape: "Smt"
                    },
                    DomainDetails: {
                      type: "structure",
                      members: {
                        Domain: {}
                      }
                    },
                    AffectedResources: {
                      shape: "S1k"
                    },
                    FirstSeen: {},
                    LastSeen: {}
                  }
                },
                DnsRequestAction: {
                  type: "structure",
                  members: {
                    Domain: {},
                    Protocol: {},
                    Blocked: {
                      type: "boolean"
                    }
                  }
                },
                PortProbeAction: {
                  type: "structure",
                  members: {
                    PortProbeDetails: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          LocalPortDetails: {
                            shape: "Smz"
                          },
                          LocalIpDetails: {
                            type: "structure",
                            members: {
                              IpAddressV4: {}
                            }
                          },
                          RemoteIpDetails: {
                            shape: "Smt"
                          }
                        }
                      }
                    },
                    Blocked: {
                      type: "boolean"
                    }
                  }
                }
              }
            },
            FindingProviderFields: {
              type: "structure",
              members: {
                Confidence: {
                  type: "integer"
                },
                Criticality: {
                  type: "integer"
                },
                RelatedFindings: {
                  shape: "S1n"
                },
                Severity: {
                  type: "structure",
                  members: {
                    Label: {},
                    Original: {}
                  }
                },
                Types: {
                  shape: "S1j"
                }
              }
            },
            Sample: {
              type: "boolean"
            }
          }
        },
        S2n: {
          type: "structure",
          members: {
            Begin: {
              type: "integer"
            },
            End: {
              type: "integer"
            }
          }
        },
        S2q: {
          type: "structure",
          members: {
            Protocol: {},
            Destination: {
              shape: "S2r"
            },
            Source: {
              shape: "S2r"
            }
          }
        },
        S2r: {
          type: "structure",
          members: {
            Address: {
              shape: "S1r"
            },
            PortRanges: {
              type: "list",
              member: {
                shape: "S2n"
              }
            }
          }
        },
        S3d: {
          type: "structure",
          members: {
            LineRanges: {
              shape: "S3e"
            },
            OffsetRanges: {
              shape: "S3e"
            },
            Pages: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  PageNumber: {
                    type: "long"
                  },
                  LineRange: {
                    shape: "S3f"
                  },
                  OffsetRange: {
                    shape: "S3f"
                  }
                }
              }
            },
            Records: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  JsonPath: {},
                  RecordIndex: {
                    type: "long"
                  }
                }
              }
            },
            Cells: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Column: {
                    type: "long"
                  },
                  Row: {
                    type: "long"
                  },
                  ColumnName: {},
                  CellReference: {}
                }
              }
            }
          }
        },
        S3e: {
          type: "list",
          member: {
            shape: "S3f"
          }
        },
        S3f: {
          type: "structure",
          members: {
            Start: {
              type: "long"
            },
            End: {
              type: "long"
            },
            StartColumn: {
              type: "long"
            }
          }
        },
        S41: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ArtifactIdentifier: {},
              EncryptionDisabled: {
                type: "boolean"
              },
              Location: {},
              Name: {},
              NamespaceType: {},
              OverrideArtifactName: {
                type: "boolean"
              },
              Packaging: {},
              Path: {},
              Type: {}
            }
          }
        },
        S4c: {
          type: "list",
          member: {}
        },
        S5a: {
          type: "list",
          member: {
            type: "structure",
            members: {
              IpProtocol: {},
              FromPort: {
                type: "integer"
              },
              ToPort: {
                type: "integer"
              },
              UserIdGroupPairs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    GroupId: {},
                    GroupName: {},
                    PeeringStatus: {},
                    UserId: {},
                    VpcId: {},
                    VpcPeeringConnectionId: {}
                  }
                }
              },
              IpRanges: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CidrIp: {}
                  }
                }
              },
              Ipv6Ranges: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CidrIpv6: {}
                  }
                }
              },
              PrefixListIds: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PrefixListId: {}
                  }
                }
              }
            }
          }
        },
        S5q: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AssociationId: {},
              Ipv6CidrBlock: {},
              CidrBlockState: {}
            }
          }
        },
        S6k: {
          type: "structure",
          members: {
            CloudWatchLogsLogGroupArn: {},
            Enabled: {
              type: "boolean"
            }
          }
        },
        S77: {
          type: "structure",
          members: {
            BlockPublicAcls: {
              type: "boolean"
            },
            BlockPublicPolicy: {
              type: "boolean"
            },
            IgnorePublicAcls: {
              type: "boolean"
            },
            RestrictPublicBuckets: {
              type: "boolean"
            }
          }
        },
        S81: {
          type: "list",
          member: {
            type: "structure",
            members: {
              PolicyName: {},
              PolicyArn: {}
            }
          }
        },
        S83: {
          type: "structure",
          members: {
            PermissionsBoundaryArn: {},
            PermissionsBoundaryType: {}
          }
        },
        S8a: {
          type: "structure",
          members: {
            DetailedMetricsEnabled: {
              type: "boolean"
            },
            LoggingLevel: {},
            DataTraceEnabled: {
              type: "boolean"
            },
            ThrottlingBurstLimit: {
              type: "integer"
            },
            ThrottlingRateLimit: {
              type: "double"
            }
          }
        },
        S8b: {
          type: "structure",
          members: {
            Format: {},
            DestinationArn: {}
          }
        },
        S8l: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AttributeName: {},
              KeyType: {}
            }
          }
        },
        S8n: {
          type: "structure",
          members: {
            NonKeyAttributes: {
              shape: "S1r"
            },
            ProjectionType: {}
          }
        },
        S8o: {
          type: "structure",
          members: {
            LastDecreaseDateTime: {},
            LastIncreaseDateTime: {},
            NumberOfDecreasesToday: {
              type: "integer"
            },
            ReadCapacityUnits: {
              type: "integer"
            },
            WriteCapacityUnits: {
              type: "integer"
            }
          }
        },
        S8v: {
          type: "structure",
          members: {
            ReadCapacityUnits: {
              type: "integer"
            }
          }
        },
        S9a: {
          type: "list",
          member: {
            type: "structure",
            members: {
              DomainName: {},
              ResourceRecord: {
                type: "structure",
                members: {
                  Name: {},
                  Type: {},
                  Value: {}
                }
              },
              ValidationDomain: {},
              ValidationEmails: {
                shape: "S1r"
              },
              ValidationMethod: {},
              ValidationStatus: {}
            }
          }
        },
        Sbi: {
          type: "structure",
          members: {
            Address: {},
            Port: {
              type: "integer"
            },
            HostedZoneId: {}
          }
        },
        Sbj: {
          type: "list",
          member: {
            type: "structure",
            members: {
              VpcSecurityGroupId: {},
              Status: {}
            }
          }
        },
        Sbt: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Value: {}
            }
          }
        },
        Sbz: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Domain: {},
              Status: {},
              Fqdn: {},
              IamRoleName: {}
            }
          }
        },
        Sct: {
          type: "structure",
          members: {
            Name: {},
            Image: {},
            MountPoints: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  SourceVolume: {},
                  ContainerPath: {}
                }
              }
            },
            Privileged: {
              type: "boolean"
            }
          }
        },
        Sf6: {
          type: "list",
          member: {
            type: "integer"
          }
        },
        Sfj: {
          type: "structure",
          members: {
            CloudWatchLogsLogGroupArn: {},
            Enabled: {
              type: "boolean"
            }
          }
        },
        Sga: {
          type: "structure",
          members: {
            PublishMetricAction: {
              type: "structure",
              members: {
                Dimensions: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      Value: {}
                    }
                  }
                }
              }
            }
          }
        },
        Shy: {
          type: "structure",
          members: {
            CidrBlock: {},
            CidrBlockSet: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  CidrBlock: {}
                }
              }
            },
            Ipv6CidrBlockSet: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Ipv6CidrBlock: {}
                }
              }
            },
            OwnerId: {},
            PeeringOptions: {
              type: "structure",
              members: {
                AllowDnsResolutionFromRemoteVpc: {
                  type: "boolean"
                },
                AllowEgressFromLocalClassicLinkToRemoteVpc: {
                  type: "boolean"
                },
                AllowEgressFromLocalVpcToRemoteClassicLink: {
                  type: "boolean"
                }
              }
            },
            Region: {},
            VpcId: {}
          }
        },
        Sj3: {
          type: "structure",
          members: {
            DeleteAfterDays: {
              type: "long"
            },
            MoveToColdStorageAfterDays: {
              type: "long"
            }
          }
        },
        Skm: {
          type: "structure",
          members: {
            CustomRequestHandling: {
              shape: "Skn"
            }
          }
        },
        Skn: {
          type: "structure",
          members: {
            InsertHeaders: {
              shape: "Sko"
            }
          }
        },
        Sko: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Value: {}
            }
          }
        },
        Skq: {
          type: "structure",
          members: {
            CustomResponse: {
              type: "structure",
              members: {
                CustomResponseBodyKey: {},
                ResponseCode: {
                  type: "integer"
                },
                ResponseHeaders: {
                  shape: "Sko"
                }
              }
            }
          }
        },
        Sks: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Action: {
                type: "structure",
                members: {
                  Allow: {
                    shape: "Skm"
                  },
                  Block: {
                    shape: "Skq"
                  },
                  Captcha: {
                    type: "structure",
                    members: {
                      CustomRequestHandling: {
                        shape: "Skn"
                      }
                    }
                  },
                  Count: {
                    type: "structure",
                    members: {
                      CustomRequestHandling: {
                        shape: "Skn"
                      }
                    }
                  }
                }
              },
              Name: {},
              OverrideAction: {},
              Priority: {
                type: "integer"
              },
              VisibilityConfig: {
                shape: "Skx"
              }
            }
          }
        },
        Skx: {
          type: "structure",
          members: {
            CloudWatchMetricsEnabled: {
              type: "boolean"
            },
            MetricName: {},
            SampledRequestsEnabled: {
              type: "boolean"
            }
          }
        },
        Slg: {
          type: "structure",
          members: {
            AuthTtL: {
              type: "long"
            },
            ClientId: {},
            IatTtL: {
              type: "long"
            },
            Issuer: {}
          }
        },
        Slh: {
          type: "structure",
          members: {
            AuthorizerResultTtlInSeconds: {
              type: "integer"
            },
            AuthorizerUri: {},
            IdentityValidationExpression: {}
          }
        },
        Sli: {
          type: "structure",
          members: {
            AppIdClientRegex: {},
            AwsRegion: {},
            DefaultAction: {},
            UserPoolId: {}
          }
        },
        Smt: {
          type: "structure",
          members: {
            IpAddressV4: {},
            Organization: {
              type: "structure",
              members: {
                Asn: {
                  type: "integer"
                },
                AsnOrg: {},
                Isp: {},
                Org: {}
              }
            },
            Country: {
              type: "structure",
              members: {
                CountryCode: {},
                CountryName: {}
              }
            },
            City: {
              type: "structure",
              members: {
                CityName: {}
              }
            },
            GeoLocation: {
              type: "structure",
              members: {
                Lon: {
                  type: "double"
                },
                Lat: {
                  type: "double"
                }
              }
            }
          }
        },
        Smz: {
          type: "structure",
          members: {
            Port: {
              type: "integer"
            },
            PortName: {}
          }
        },
        Snh: {
          type: "list",
          member: {
            shape: "Sni"
          }
        },
        Sni: {
          type: "structure",
          required: [
            "Id",
            "ProductArn"
          ],
          members: {
            Id: {},
            ProductArn: {}
          }
        },
        Sno: {
          type: "structure",
          required: [
            "StandardsArn",
            "SecurityControlId",
            "AssociationStatus"
          ],
          members: {
            StandardsArn: {},
            SecurityControlId: {},
            AssociationStatus: {},
            UpdatedReason: {}
          }
        },
        Snv: {
          type: "map",
          key: {},
          value: {}
        },
        So2: {
          type: "structure",
          members: {
            ProductArn: {
              shape: "Sx"
            },
            AwsAccountId: {
              shape: "Sx"
            },
            Id: {
              shape: "Sx"
            },
            GeneratorId: {
              shape: "Sx"
            },
            Region: {
              shape: "Sx"
            },
            Type: {
              shape: "Sx"
            },
            FirstObservedAt: {
              shape: "S10"
            },
            LastObservedAt: {
              shape: "S10"
            },
            CreatedAt: {
              shape: "S10"
            },
            UpdatedAt: {
              shape: "S10"
            },
            SeverityProduct: {
              shape: "S14",
              deprecated: true,
              deprecatedMessage: "This filter is deprecated. Instead, use FindingProviderSeverityOriginal."
            },
            SeverityNormalized: {
              shape: "S14",
              deprecated: true,
              deprecatedMessage: "This filter is deprecated. Instead, use SeverityLabel or FindingProviderFieldsSeverityLabel."
            },
            SeverityLabel: {
              shape: "Sx"
            },
            Confidence: {
              shape: "S14"
            },
            Criticality: {
              shape: "S14"
            },
            Title: {
              shape: "Sx"
            },
            Description: {
              shape: "Sx"
            },
            RecommendationText: {
              shape: "Sx"
            },
            SourceUrl: {
              shape: "Sx"
            },
            ProductFields: {
              shape: "S17"
            },
            ProductName: {
              shape: "Sx"
            },
            CompanyName: {
              shape: "Sx"
            },
            UserDefinedFields: {
              shape: "S17"
            },
            MalwareName: {
              shape: "Sx"
            },
            MalwareType: {
              shape: "Sx"
            },
            MalwarePath: {
              shape: "Sx"
            },
            MalwareState: {
              shape: "Sx"
            },
            NetworkDirection: {
              shape: "Sx"
            },
            NetworkProtocol: {
              shape: "Sx"
            },
            NetworkSourceIpV4: {
              shape: "So3"
            },
            NetworkSourceIpV6: {
              shape: "So3"
            },
            NetworkSourcePort: {
              shape: "S14"
            },
            NetworkSourceDomain: {
              shape: "Sx"
            },
            NetworkSourceMac: {
              shape: "Sx"
            },
            NetworkDestinationIpV4: {
              shape: "So3"
            },
            NetworkDestinationIpV6: {
              shape: "So3"
            },
            NetworkDestinationPort: {
              shape: "S14"
            },
            NetworkDestinationDomain: {
              shape: "Sx"
            },
            ProcessName: {
              shape: "Sx"
            },
            ProcessPath: {
              shape: "Sx"
            },
            ProcessPid: {
              shape: "S14"
            },
            ProcessParentPid: {
              shape: "S14"
            },
            ProcessLaunchedAt: {
              shape: "S10"
            },
            ProcessTerminatedAt: {
              shape: "S10"
            },
            ThreatIntelIndicatorType: {
              shape: "Sx"
            },
            ThreatIntelIndicatorValue: {
              shape: "Sx"
            },
            ThreatIntelIndicatorCategory: {
              shape: "Sx"
            },
            ThreatIntelIndicatorLastObservedAt: {
              shape: "S10"
            },
            ThreatIntelIndicatorSource: {
              shape: "Sx"
            },
            ThreatIntelIndicatorSourceUrl: {
              shape: "Sx"
            },
            ResourceType: {
              shape: "Sx"
            },
            ResourceId: {
              shape: "Sx"
            },
            ResourcePartition: {
              shape: "Sx"
            },
            ResourceRegion: {
              shape: "Sx"
            },
            ResourceTags: {
              shape: "S17"
            },
            ResourceAwsEc2InstanceType: {
              shape: "Sx"
            },
            ResourceAwsEc2InstanceImageId: {
              shape: "Sx"
            },
            ResourceAwsEc2InstanceIpV4Addresses: {
              shape: "So3"
            },
            ResourceAwsEc2InstanceIpV6Addresses: {
              shape: "So3"
            },
            ResourceAwsEc2InstanceKeyName: {
              shape: "Sx"
            },
            ResourceAwsEc2InstanceIamInstanceProfileArn: {
              shape: "Sx"
            },
            ResourceAwsEc2InstanceVpcId: {
              shape: "Sx"
            },
            ResourceAwsEc2InstanceSubnetId: {
              shape: "Sx"
            },
            ResourceAwsEc2InstanceLaunchedAt: {
              shape: "S10"
            },
            ResourceAwsS3BucketOwnerId: {
              shape: "Sx"
            },
            ResourceAwsS3BucketOwnerName: {
              shape: "Sx"
            },
            ResourceAwsIamAccessKeyUserName: {
              shape: "Sx",
              deprecated: true,
              deprecatedMessage: "This filter is deprecated. Instead, use ResourceAwsIamAccessKeyPrincipalName."
            },
            ResourceAwsIamAccessKeyPrincipalName: {
              shape: "Sx"
            },
            ResourceAwsIamAccessKeyStatus: {
              shape: "Sx"
            },
            ResourceAwsIamAccessKeyCreatedAt: {
              shape: "S10"
            },
            ResourceAwsIamUserUserName: {
              shape: "Sx"
            },
            ResourceContainerName: {
              shape: "Sx"
            },
            ResourceContainerImageId: {
              shape: "Sx"
            },
            ResourceContainerImageName: {
              shape: "Sx"
            },
            ResourceContainerLaunchedAt: {
              shape: "S10"
            },
            ResourceDetailsOther: {
              shape: "S17"
            },
            ComplianceStatus: {
              shape: "Sx"
            },
            VerificationState: {
              shape: "Sx"
            },
            WorkflowState: {
              shape: "Sx"
            },
            WorkflowStatus: {
              shape: "Sx"
            },
            RecordState: {
              shape: "Sx"
            },
            RelatedFindingsProductArn: {
              shape: "Sx"
            },
            RelatedFindingsId: {
              shape: "Sx"
            },
            NoteText: {
              shape: "Sx"
            },
            NoteUpdatedAt: {
              shape: "S10"
            },
            NoteUpdatedBy: {
              shape: "Sx"
            },
            Keyword: {
              deprecated: true,
              deprecatedMessage: "The Keyword property is deprecated.",
              type: "list",
              member: {
                type: "structure",
                members: {
                  Value: {}
                }
              }
            },
            FindingProviderFieldsConfidence: {
              shape: "S14"
            },
            FindingProviderFieldsCriticality: {
              shape: "S14"
            },
            FindingProviderFieldsRelatedFindingsId: {
              shape: "Sx"
            },
            FindingProviderFieldsRelatedFindingsProductArn: {
              shape: "Sx"
            },
            FindingProviderFieldsSeverityLabel: {
              shape: "Sx"
            },
            FindingProviderFieldsSeverityOriginal: {
              shape: "Sx"
            },
            FindingProviderFieldsTypes: {
              shape: "Sx"
            },
            Sample: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Value: {
                    type: "boolean"
                  }
                }
              }
            },
            ComplianceSecurityControlId: {
              shape: "Sx"
            },
            ComplianceAssociatedStandardsId: {
              shape: "Sx"
            }
          }
        },
        So3: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Cidr: {}
            }
          }
        },
        Sof: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AccountId: {},
              ProcessingResult: {}
            }
          }
        },
        Soi: {
          type: "list",
          member: {}
        },
        Sov: {
          type: "list",
          member: {}
        },
        Sq7: {
          type: "structure",
          members: {
            AccountId: {},
            InvitationId: {},
            InvitedAt: {
              shape: "S1p"
            },
            MemberStatus: {}
          }
        },
        Sr5: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AccountId: {},
              Email: {},
              MasterId: {
                deprecated: true,
                deprecatedMessage: "This field is deprecated, use AdministratorId instead."
              },
              AdministratorId: {},
              MemberStatus: {},
              InvitedAt: {
                shape: "S1p"
              },
              UpdatedAt: {
                shape: "S1p"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/securityhub-2018-10-26.paginators.json
var require_securityhub_2018_10_26_paginators = __commonJS({
  "node_modules/aws-sdk/apis/securityhub-2018-10-26.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeActionTargets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ActionTargets"
        },
        DescribeProducts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Products"
        },
        DescribeStandards: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Standards"
        },
        DescribeStandardsControls: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Controls"
        },
        GetEnabledStandards: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "StandardsSubscriptions"
        },
        GetFindingHistory: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Records"
        },
        GetFindings: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Findings"
        },
        GetInsights: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Insights"
        },
        ListEnabledProductsForImport: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ProductSubscriptions"
        },
        ListFindingAggregators: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "FindingAggregators"
        },
        ListInvitations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Invitations"
        },
        ListMembers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Members"
        },
        ListOrganizationAdminAccounts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "AdminAccounts"
        },
        ListSecurityControlDefinitions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "SecurityControlDefinitions"
        },
        ListStandardsControlAssociations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "StandardsControlAssociationSummaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/securityhub.js
var require_securityhub = __commonJS({
  "node_modules/aws-sdk/clients/securityhub.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["securityhub"] = {};
    AWS2.SecurityHub = Service.defineService("securityhub", ["2018-10-26"]);
    Object.defineProperty(apiLoader.services["securityhub"], "2018-10-26", {
      get: function get() {
        var model = require_securityhub_2018_10_26_min();
        model.paginators = require_securityhub_2018_10_26_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SecurityHub;
  }
});

// node_modules/aws-sdk/apis/appmesh-2018-10-01.min.json
var require_appmesh_2018_10_01_min = __commonJS({
  "node_modules/aws-sdk/apis/appmesh-2018-10-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-10-01",
        endpointPrefix: "appmesh",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS App Mesh",
        serviceId: "App Mesh",
        signatureVersion: "v4",
        signingName: "appmesh",
        uid: "appmesh-2018-10-01"
      },
      operations: {
        CreateMesh: {
          http: {
            method: "PUT",
            requestUri: "/meshes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              mesh: {
                shape: "S5"
              }
            },
            payload: "mesh"
          },
          idempotent: true
        },
        CreateRoute: {
          http: {
            method: "PUT",
            requestUri: "/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "routeName",
              "spec",
              "virtualRouterName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              routeName: {},
              spec: {
                shape: "Sd"
              },
              virtualRouterName: {
                location: "uri",
                locationName: "virtualRouterName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              route: {
                shape: "Sl"
              }
            },
            payload: "route"
          },
          idempotent: true
        },
        CreateVirtualNode: {
          http: {
            method: "PUT",
            requestUri: "/meshes/{meshName}/virtualNodes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "spec",
              "virtualNodeName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              spec: {
                shape: "Sp"
              },
              virtualNodeName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              virtualNode: {
                shape: "S14"
              }
            },
            payload: "virtualNode"
          },
          idempotent: true
        },
        CreateVirtualRouter: {
          http: {
            method: "PUT",
            requestUri: "/meshes/{meshName}/virtualRouters",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "spec",
              "virtualRouterName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              spec: {
                shape: "S18"
              },
              virtualRouterName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              virtualRouter: {
                shape: "S1b"
              }
            },
            payload: "virtualRouter"
          },
          idempotent: true
        },
        DeleteMesh: {
          http: {
            method: "DELETE",
            requestUri: "/meshes/{meshName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              mesh: {
                shape: "S5"
              }
            },
            payload: "mesh"
          },
          idempotent: true
        },
        DeleteRoute: {
          http: {
            method: "DELETE",
            requestUri: "/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes/{routeName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "routeName",
              "virtualRouterName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              routeName: {
                location: "uri",
                locationName: "routeName"
              },
              virtualRouterName: {
                location: "uri",
                locationName: "virtualRouterName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              route: {
                shape: "Sl"
              }
            },
            payload: "route"
          },
          idempotent: true
        },
        DeleteVirtualNode: {
          http: {
            method: "DELETE",
            requestUri: "/meshes/{meshName}/virtualNodes/{virtualNodeName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "virtualNodeName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              virtualNodeName: {
                location: "uri",
                locationName: "virtualNodeName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              virtualNode: {
                shape: "S14"
              }
            },
            payload: "virtualNode"
          },
          idempotent: true
        },
        DeleteVirtualRouter: {
          http: {
            method: "DELETE",
            requestUri: "/meshes/{meshName}/virtualRouters/{virtualRouterName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "virtualRouterName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              virtualRouterName: {
                location: "uri",
                locationName: "virtualRouterName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              virtualRouter: {
                shape: "S1b"
              }
            },
            payload: "virtualRouter"
          },
          idempotent: true
        },
        DescribeMesh: {
          http: {
            method: "GET",
            requestUri: "/meshes/{meshName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              mesh: {
                shape: "S5"
              }
            },
            payload: "mesh"
          }
        },
        DescribeRoute: {
          http: {
            method: "GET",
            requestUri: "/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes/{routeName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "routeName",
              "virtualRouterName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              routeName: {
                location: "uri",
                locationName: "routeName"
              },
              virtualRouterName: {
                location: "uri",
                locationName: "virtualRouterName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              route: {
                shape: "Sl"
              }
            },
            payload: "route"
          }
        },
        DescribeVirtualNode: {
          http: {
            method: "GET",
            requestUri: "/meshes/{meshName}/virtualNodes/{virtualNodeName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "virtualNodeName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              virtualNodeName: {
                location: "uri",
                locationName: "virtualNodeName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              virtualNode: {
                shape: "S14"
              }
            },
            payload: "virtualNode"
          }
        },
        DescribeVirtualRouter: {
          http: {
            method: "GET",
            requestUri: "/meshes/{meshName}/virtualRouters/{virtualRouterName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "virtualRouterName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              virtualRouterName: {
                location: "uri",
                locationName: "virtualRouterName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              virtualRouter: {
                shape: "S1b"
              }
            },
            payload: "virtualRouter"
          }
        },
        ListMeshes: {
          http: {
            method: "GET",
            requestUri: "/meshes",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "meshes"
            ],
            members: {
              meshes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    meshName: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListRoutes: {
          http: {
            method: "GET",
            requestUri: "/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "virtualRouterName"
            ],
            members: {
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              virtualRouterName: {
                location: "uri",
                locationName: "virtualRouterName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "routes"
            ],
            members: {
              nextToken: {},
              routes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    meshName: {},
                    routeName: {},
                    virtualRouterName: {}
                  }
                }
              }
            }
          }
        },
        ListVirtualNodes: {
          http: {
            method: "GET",
            requestUri: "/meshes/{meshName}/virtualNodes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName"
            ],
            members: {
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualNodes"
            ],
            members: {
              nextToken: {},
              virtualNodes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    meshName: {},
                    virtualNodeName: {}
                  }
                }
              }
            }
          }
        },
        ListVirtualRouters: {
          http: {
            method: "GET",
            requestUri: "/meshes/{meshName}/virtualRouters",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName"
            ],
            members: {
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualRouters"
            ],
            members: {
              nextToken: {},
              virtualRouters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    meshName: {},
                    virtualRouterName: {}
                  }
                }
              }
            }
          }
        },
        UpdateRoute: {
          http: {
            method: "PUT",
            requestUri: "/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes/{routeName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "routeName",
              "spec",
              "virtualRouterName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              routeName: {
                location: "uri",
                locationName: "routeName"
              },
              spec: {
                shape: "Sd"
              },
              virtualRouterName: {
                location: "uri",
                locationName: "virtualRouterName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              route: {
                shape: "Sl"
              }
            },
            payload: "route"
          },
          idempotent: true
        },
        UpdateVirtualNode: {
          http: {
            method: "PUT",
            requestUri: "/meshes/{meshName}/virtualNodes/{virtualNodeName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "spec",
              "virtualNodeName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              spec: {
                shape: "Sp"
              },
              virtualNodeName: {
                location: "uri",
                locationName: "virtualNodeName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              virtualNode: {
                shape: "S14"
              }
            },
            payload: "virtualNode"
          },
          idempotent: true
        },
        UpdateVirtualRouter: {
          http: {
            method: "PUT",
            requestUri: "/meshes/{meshName}/virtualRouters/{virtualRouterName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "spec",
              "virtualRouterName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              spec: {
                shape: "S18"
              },
              virtualRouterName: {
                location: "uri",
                locationName: "virtualRouterName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              virtualRouter: {
                shape: "S1b"
              }
            },
            payload: "virtualRouter"
          },
          idempotent: true
        }
      },
      shapes: {
        S5: {
          type: "structure",
          required: [
            "meshName",
            "metadata"
          ],
          members: {
            meshName: {},
            metadata: {
              shape: "S6"
            },
            status: {
              type: "structure",
              members: {
                status: {}
              }
            }
          }
        },
        S6: {
          type: "structure",
          members: {
            arn: {},
            createdAt: {
              type: "timestamp"
            },
            lastUpdatedAt: {
              type: "timestamp"
            },
            uid: {},
            version: {
              type: "long"
            }
          }
        },
        Sd: {
          type: "structure",
          members: {
            httpRoute: {
              type: "structure",
              members: {
                action: {
                  type: "structure",
                  members: {
                    weightedTargets: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          virtualNode: {},
                          weight: {
                            type: "integer"
                          }
                        }
                      }
                    }
                  }
                },
                match: {
                  type: "structure",
                  members: {
                    prefix: {}
                  }
                }
              }
            }
          }
        },
        Sl: {
          type: "structure",
          required: [
            "meshName",
            "routeName",
            "virtualRouterName"
          ],
          members: {
            meshName: {},
            metadata: {
              shape: "S6"
            },
            routeName: {},
            spec: {
              shape: "Sd"
            },
            status: {
              type: "structure",
              members: {
                status: {}
              }
            },
            virtualRouterName: {}
          }
        },
        Sp: {
          type: "structure",
          members: {
            backends: {
              type: "list",
              member: {}
            },
            listeners: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  healthCheck: {
                    type: "structure",
                    required: [
                      "healthyThreshold",
                      "intervalMillis",
                      "protocol",
                      "timeoutMillis",
                      "unhealthyThreshold"
                    ],
                    members: {
                      healthyThreshold: {
                        type: "integer"
                      },
                      intervalMillis: {
                        type: "long"
                      },
                      path: {},
                      port: {
                        type: "integer"
                      },
                      protocol: {},
                      timeoutMillis: {
                        type: "long"
                      },
                      unhealthyThreshold: {
                        type: "integer"
                      }
                    }
                  },
                  portMapping: {
                    type: "structure",
                    members: {
                      port: {
                        type: "integer"
                      },
                      protocol: {}
                    }
                  }
                }
              }
            },
            serviceDiscovery: {
              type: "structure",
              members: {
                dns: {
                  type: "structure",
                  members: {
                    serviceName: {}
                  }
                }
              }
            }
          }
        },
        S14: {
          type: "structure",
          required: [
            "meshName",
            "virtualNodeName"
          ],
          members: {
            meshName: {},
            metadata: {
              shape: "S6"
            },
            spec: {
              shape: "Sp"
            },
            status: {
              type: "structure",
              members: {
                status: {}
              }
            },
            virtualNodeName: {}
          }
        },
        S18: {
          type: "structure",
          members: {
            serviceNames: {
              type: "list",
              member: {}
            }
          }
        },
        S1b: {
          type: "structure",
          required: [
            "meshName",
            "virtualRouterName"
          ],
          members: {
            meshName: {},
            metadata: {
              shape: "S6"
            },
            spec: {
              shape: "S18"
            },
            status: {
              type: "structure",
              members: {
                status: {}
              }
            },
            virtualRouterName: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/appmesh-2018-10-01.paginators.json
var require_appmesh_2018_10_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/appmesh-2018-10-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListMeshes: {
          input_token: "nextToken",
          limit_key: "limit",
          output_token: "nextToken",
          result_key: "meshes"
        },
        ListRoutes: {
          input_token: "nextToken",
          limit_key: "limit",
          output_token: "nextToken",
          result_key: "routes"
        },
        ListVirtualNodes: {
          input_token: "nextToken",
          limit_key: "limit",
          output_token: "nextToken",
          result_key: "virtualNodes"
        },
        ListVirtualRouters: {
          input_token: "nextToken",
          limit_key: "limit",
          output_token: "nextToken",
          result_key: "virtualRouters"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/appmesh-2019-01-25.min.json
var require_appmesh_2019_01_25_min = __commonJS({
  "node_modules/aws-sdk/apis/appmesh-2019-01-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-01-25",
        endpointPrefix: "appmesh",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS App Mesh",
        serviceId: "App Mesh",
        signatureVersion: "v4",
        signingName: "appmesh",
        uid: "appmesh-2019-01-25"
      },
      operations: {
        CreateGatewayRoute: {
          http: {
            method: "PUT",
            requestUri: "/v20190125/meshes/{meshName}/virtualGateway/{virtualGatewayName}/gatewayRoutes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "gatewayRouteName",
              "meshName",
              "spec",
              "virtualGatewayName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              gatewayRouteName: {},
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              spec: {
                shape: "S5"
              },
              tags: {
                shape: "S1a"
              },
              virtualGatewayName: {
                location: "uri",
                locationName: "virtualGatewayName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "gatewayRoute"
            ],
            members: {
              gatewayRoute: {
                shape: "S1f"
              }
            },
            payload: "gatewayRoute"
          },
          idempotent: true
        },
        CreateMesh: {
          http: {
            method: "PUT",
            requestUri: "/v20190125/meshes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {},
              spec: {
                shape: "S1m"
              },
              tags: {
                shape: "S1a"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "mesh"
            ],
            members: {
              mesh: {
                shape: "S1s"
              }
            },
            payload: "mesh"
          },
          idempotent: true
        },
        CreateRoute: {
          http: {
            method: "PUT",
            requestUri: "/v20190125/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "routeName",
              "spec",
              "virtualRouterName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              routeName: {},
              spec: {
                shape: "S1w"
              },
              tags: {
                shape: "S1a"
              },
              virtualRouterName: {
                location: "uri",
                locationName: "virtualRouterName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "route"
            ],
            members: {
              route: {
                shape: "S2x"
              }
            },
            payload: "route"
          },
          idempotent: true
        },
        CreateVirtualGateway: {
          http: {
            method: "PUT",
            requestUri: "/v20190125/meshes/{meshName}/virtualGateways",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "spec",
              "virtualGatewayName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              spec: {
                shape: "S31"
              },
              tags: {
                shape: "S1a"
              },
              virtualGatewayName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualGateway"
            ],
            members: {
              virtualGateway: {
                shape: "S4h"
              }
            },
            payload: "virtualGateway"
          },
          idempotent: true
        },
        CreateVirtualNode: {
          http: {
            method: "PUT",
            requestUri: "/v20190125/meshes/{meshName}/virtualNodes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "spec",
              "virtualNodeName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              spec: {
                shape: "S4l"
              },
              tags: {
                shape: "S1a"
              },
              virtualNodeName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualNode"
            ],
            members: {
              virtualNode: {
                shape: "S63"
              }
            },
            payload: "virtualNode"
          },
          idempotent: true
        },
        CreateVirtualRouter: {
          http: {
            method: "PUT",
            requestUri: "/v20190125/meshes/{meshName}/virtualRouters",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "spec",
              "virtualRouterName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              spec: {
                shape: "S67"
              },
              tags: {
                shape: "S1a"
              },
              virtualRouterName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualRouter"
            ],
            members: {
              virtualRouter: {
                shape: "S6b"
              }
            },
            payload: "virtualRouter"
          },
          idempotent: true
        },
        CreateVirtualService: {
          http: {
            method: "PUT",
            requestUri: "/v20190125/meshes/{meshName}/virtualServices",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "spec",
              "virtualServiceName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              spec: {
                shape: "S6f"
              },
              tags: {
                shape: "S1a"
              },
              virtualServiceName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualService"
            ],
            members: {
              virtualService: {
                shape: "S6k"
              }
            },
            payload: "virtualService"
          },
          idempotent: true
        },
        DeleteGatewayRoute: {
          http: {
            method: "DELETE",
            requestUri: "/v20190125/meshes/{meshName}/virtualGateway/{virtualGatewayName}/gatewayRoutes/{gatewayRouteName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "gatewayRouteName",
              "meshName",
              "virtualGatewayName"
            ],
            members: {
              gatewayRouteName: {
                location: "uri",
                locationName: "gatewayRouteName"
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              virtualGatewayName: {
                location: "uri",
                locationName: "virtualGatewayName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "gatewayRoute"
            ],
            members: {
              gatewayRoute: {
                shape: "S1f"
              }
            },
            payload: "gatewayRoute"
          },
          idempotent: true
        },
        DeleteMesh: {
          http: {
            method: "DELETE",
            requestUri: "/v20190125/meshes/{meshName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "mesh"
            ],
            members: {
              mesh: {
                shape: "S1s"
              }
            },
            payload: "mesh"
          },
          idempotent: true
        },
        DeleteRoute: {
          http: {
            method: "DELETE",
            requestUri: "/v20190125/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes/{routeName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "routeName",
              "virtualRouterName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              routeName: {
                location: "uri",
                locationName: "routeName"
              },
              virtualRouterName: {
                location: "uri",
                locationName: "virtualRouterName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "route"
            ],
            members: {
              route: {
                shape: "S2x"
              }
            },
            payload: "route"
          },
          idempotent: true
        },
        DeleteVirtualGateway: {
          http: {
            method: "DELETE",
            requestUri: "/v20190125/meshes/{meshName}/virtualGateways/{virtualGatewayName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "virtualGatewayName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              virtualGatewayName: {
                location: "uri",
                locationName: "virtualGatewayName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualGateway"
            ],
            members: {
              virtualGateway: {
                shape: "S4h"
              }
            },
            payload: "virtualGateway"
          },
          idempotent: true
        },
        DeleteVirtualNode: {
          http: {
            method: "DELETE",
            requestUri: "/v20190125/meshes/{meshName}/virtualNodes/{virtualNodeName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "virtualNodeName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              virtualNodeName: {
                location: "uri",
                locationName: "virtualNodeName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualNode"
            ],
            members: {
              virtualNode: {
                shape: "S63"
              }
            },
            payload: "virtualNode"
          },
          idempotent: true
        },
        DeleteVirtualRouter: {
          http: {
            method: "DELETE",
            requestUri: "/v20190125/meshes/{meshName}/virtualRouters/{virtualRouterName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "virtualRouterName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              virtualRouterName: {
                location: "uri",
                locationName: "virtualRouterName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualRouter"
            ],
            members: {
              virtualRouter: {
                shape: "S6b"
              }
            },
            payload: "virtualRouter"
          },
          idempotent: true
        },
        DeleteVirtualService: {
          http: {
            method: "DELETE",
            requestUri: "/v20190125/meshes/{meshName}/virtualServices/{virtualServiceName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "virtualServiceName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              virtualServiceName: {
                location: "uri",
                locationName: "virtualServiceName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualService"
            ],
            members: {
              virtualService: {
                shape: "S6k"
              }
            },
            payload: "virtualService"
          },
          idempotent: true
        },
        DescribeGatewayRoute: {
          http: {
            method: "GET",
            requestUri: "/v20190125/meshes/{meshName}/virtualGateway/{virtualGatewayName}/gatewayRoutes/{gatewayRouteName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "gatewayRouteName",
              "meshName",
              "virtualGatewayName"
            ],
            members: {
              gatewayRouteName: {
                location: "uri",
                locationName: "gatewayRouteName"
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              virtualGatewayName: {
                location: "uri",
                locationName: "virtualGatewayName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "gatewayRoute"
            ],
            members: {
              gatewayRoute: {
                shape: "S1f"
              }
            },
            payload: "gatewayRoute"
          }
        },
        DescribeMesh: {
          http: {
            method: "GET",
            requestUri: "/v20190125/meshes/{meshName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "mesh"
            ],
            members: {
              mesh: {
                shape: "S1s"
              }
            },
            payload: "mesh"
          }
        },
        DescribeRoute: {
          http: {
            method: "GET",
            requestUri: "/v20190125/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes/{routeName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "routeName",
              "virtualRouterName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              routeName: {
                location: "uri",
                locationName: "routeName"
              },
              virtualRouterName: {
                location: "uri",
                locationName: "virtualRouterName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "route"
            ],
            members: {
              route: {
                shape: "S2x"
              }
            },
            payload: "route"
          }
        },
        DescribeVirtualGateway: {
          http: {
            method: "GET",
            requestUri: "/v20190125/meshes/{meshName}/virtualGateways/{virtualGatewayName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "virtualGatewayName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              virtualGatewayName: {
                location: "uri",
                locationName: "virtualGatewayName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualGateway"
            ],
            members: {
              virtualGateway: {
                shape: "S4h"
              }
            },
            payload: "virtualGateway"
          }
        },
        DescribeVirtualNode: {
          http: {
            method: "GET",
            requestUri: "/v20190125/meshes/{meshName}/virtualNodes/{virtualNodeName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "virtualNodeName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              virtualNodeName: {
                location: "uri",
                locationName: "virtualNodeName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualNode"
            ],
            members: {
              virtualNode: {
                shape: "S63"
              }
            },
            payload: "virtualNode"
          }
        },
        DescribeVirtualRouter: {
          http: {
            method: "GET",
            requestUri: "/v20190125/meshes/{meshName}/virtualRouters/{virtualRouterName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "virtualRouterName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              virtualRouterName: {
                location: "uri",
                locationName: "virtualRouterName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualRouter"
            ],
            members: {
              virtualRouter: {
                shape: "S6b"
              }
            },
            payload: "virtualRouter"
          }
        },
        DescribeVirtualService: {
          http: {
            method: "GET",
            requestUri: "/v20190125/meshes/{meshName}/virtualServices/{virtualServiceName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "virtualServiceName"
            ],
            members: {
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              virtualServiceName: {
                location: "uri",
                locationName: "virtualServiceName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualService"
            ],
            members: {
              virtualService: {
                shape: "S6k"
              }
            },
            payload: "virtualService"
          }
        },
        ListGatewayRoutes: {
          http: {
            method: "GET",
            requestUri: "/v20190125/meshes/{meshName}/virtualGateway/{virtualGatewayName}/gatewayRoutes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "virtualGatewayName"
            ],
            members: {
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              virtualGatewayName: {
                location: "uri",
                locationName: "virtualGatewayName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "gatewayRoutes"
            ],
            members: {
              gatewayRoutes: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdAt",
                    "gatewayRouteName",
                    "lastUpdatedAt",
                    "meshName",
                    "meshOwner",
                    "resourceOwner",
                    "version",
                    "virtualGatewayName"
                  ],
                  members: {
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    gatewayRouteName: {},
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    meshName: {},
                    meshOwner: {},
                    resourceOwner: {},
                    version: {
                      type: "long"
                    },
                    virtualGatewayName: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListMeshes: {
          http: {
            method: "GET",
            requestUri: "/v20190125/meshes",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "meshes"
            ],
            members: {
              meshes: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdAt",
                    "lastUpdatedAt",
                    "meshName",
                    "meshOwner",
                    "resourceOwner",
                    "version"
                  ],
                  members: {
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    meshName: {},
                    meshOwner: {},
                    resourceOwner: {},
                    version: {
                      type: "long"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListRoutes: {
          http: {
            method: "GET",
            requestUri: "/v20190125/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "virtualRouterName"
            ],
            members: {
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              virtualRouterName: {
                location: "uri",
                locationName: "virtualRouterName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "routes"
            ],
            members: {
              nextToken: {},
              routes: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdAt",
                    "lastUpdatedAt",
                    "meshName",
                    "meshOwner",
                    "resourceOwner",
                    "routeName",
                    "version",
                    "virtualRouterName"
                  ],
                  members: {
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    meshName: {},
                    meshOwner: {},
                    resourceOwner: {},
                    routeName: {},
                    version: {
                      type: "long"
                    },
                    virtualRouterName: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/v20190125/tags",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "tags"
            ],
            members: {
              nextToken: {},
              tags: {
                shape: "S1a"
              }
            }
          }
        },
        ListVirtualGateways: {
          http: {
            method: "GET",
            requestUri: "/v20190125/meshes/{meshName}/virtualGateways",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName"
            ],
            members: {
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualGateways"
            ],
            members: {
              nextToken: {},
              virtualGateways: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdAt",
                    "lastUpdatedAt",
                    "meshName",
                    "meshOwner",
                    "resourceOwner",
                    "version",
                    "virtualGatewayName"
                  ],
                  members: {
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    meshName: {},
                    meshOwner: {},
                    resourceOwner: {},
                    version: {
                      type: "long"
                    },
                    virtualGatewayName: {}
                  }
                }
              }
            }
          }
        },
        ListVirtualNodes: {
          http: {
            method: "GET",
            requestUri: "/v20190125/meshes/{meshName}/virtualNodes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName"
            ],
            members: {
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualNodes"
            ],
            members: {
              nextToken: {},
              virtualNodes: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdAt",
                    "lastUpdatedAt",
                    "meshName",
                    "meshOwner",
                    "resourceOwner",
                    "version",
                    "virtualNodeName"
                  ],
                  members: {
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    meshName: {},
                    meshOwner: {},
                    resourceOwner: {},
                    version: {
                      type: "long"
                    },
                    virtualNodeName: {}
                  }
                }
              }
            }
          }
        },
        ListVirtualRouters: {
          http: {
            method: "GET",
            requestUri: "/v20190125/meshes/{meshName}/virtualRouters",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName"
            ],
            members: {
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualRouters"
            ],
            members: {
              nextToken: {},
              virtualRouters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdAt",
                    "lastUpdatedAt",
                    "meshName",
                    "meshOwner",
                    "resourceOwner",
                    "version",
                    "virtualRouterName"
                  ],
                  members: {
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    meshName: {},
                    meshOwner: {},
                    resourceOwner: {},
                    version: {
                      type: "long"
                    },
                    virtualRouterName: {}
                  }
                }
              }
            }
          }
        },
        ListVirtualServices: {
          http: {
            method: "GET",
            requestUri: "/v20190125/meshes/{meshName}/virtualServices",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName"
            ],
            members: {
              limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualServices"
            ],
            members: {
              nextToken: {},
              virtualServices: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdAt",
                    "lastUpdatedAt",
                    "meshName",
                    "meshOwner",
                    "resourceOwner",
                    "version",
                    "virtualServiceName"
                  ],
                  members: {
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    meshName: {},
                    meshOwner: {},
                    resourceOwner: {},
                    version: {
                      type: "long"
                    },
                    virtualServiceName: {}
                  }
                }
              }
            }
          }
        },
        TagResource: {
          http: {
            method: "PUT",
            requestUri: "/v20190125/tag",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S1a"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UntagResource: {
          http: {
            method: "PUT",
            requestUri: "/v20190125/untag",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateGatewayRoute: {
          http: {
            method: "PUT",
            requestUri: "/v20190125/meshes/{meshName}/virtualGateway/{virtualGatewayName}/gatewayRoutes/{gatewayRouteName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "gatewayRouteName",
              "meshName",
              "spec",
              "virtualGatewayName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              gatewayRouteName: {
                location: "uri",
                locationName: "gatewayRouteName"
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              spec: {
                shape: "S5"
              },
              virtualGatewayName: {
                location: "uri",
                locationName: "virtualGatewayName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "gatewayRoute"
            ],
            members: {
              gatewayRoute: {
                shape: "S1f"
              }
            },
            payload: "gatewayRoute"
          },
          idempotent: true
        },
        UpdateMesh: {
          http: {
            method: "PUT",
            requestUri: "/v20190125/meshes/{meshName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              spec: {
                shape: "S1m"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "mesh"
            ],
            members: {
              mesh: {
                shape: "S1s"
              }
            },
            payload: "mesh"
          },
          idempotent: true
        },
        UpdateRoute: {
          http: {
            method: "PUT",
            requestUri: "/v20190125/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes/{routeName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "routeName",
              "spec",
              "virtualRouterName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              routeName: {
                location: "uri",
                locationName: "routeName"
              },
              spec: {
                shape: "S1w"
              },
              virtualRouterName: {
                location: "uri",
                locationName: "virtualRouterName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "route"
            ],
            members: {
              route: {
                shape: "S2x"
              }
            },
            payload: "route"
          },
          idempotent: true
        },
        UpdateVirtualGateway: {
          http: {
            method: "PUT",
            requestUri: "/v20190125/meshes/{meshName}/virtualGateways/{virtualGatewayName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "spec",
              "virtualGatewayName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              spec: {
                shape: "S31"
              },
              virtualGatewayName: {
                location: "uri",
                locationName: "virtualGatewayName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualGateway"
            ],
            members: {
              virtualGateway: {
                shape: "S4h"
              }
            },
            payload: "virtualGateway"
          },
          idempotent: true
        },
        UpdateVirtualNode: {
          http: {
            method: "PUT",
            requestUri: "/v20190125/meshes/{meshName}/virtualNodes/{virtualNodeName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "spec",
              "virtualNodeName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              spec: {
                shape: "S4l"
              },
              virtualNodeName: {
                location: "uri",
                locationName: "virtualNodeName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualNode"
            ],
            members: {
              virtualNode: {
                shape: "S63"
              }
            },
            payload: "virtualNode"
          },
          idempotent: true
        },
        UpdateVirtualRouter: {
          http: {
            method: "PUT",
            requestUri: "/v20190125/meshes/{meshName}/virtualRouters/{virtualRouterName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "spec",
              "virtualRouterName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              spec: {
                shape: "S67"
              },
              virtualRouterName: {
                location: "uri",
                locationName: "virtualRouterName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualRouter"
            ],
            members: {
              virtualRouter: {
                shape: "S6b"
              }
            },
            payload: "virtualRouter"
          },
          idempotent: true
        },
        UpdateVirtualService: {
          http: {
            method: "PUT",
            requestUri: "/v20190125/meshes/{meshName}/virtualServices/{virtualServiceName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "meshName",
              "spec",
              "virtualServiceName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              meshName: {
                location: "uri",
                locationName: "meshName"
              },
              meshOwner: {
                location: "querystring",
                locationName: "meshOwner"
              },
              spec: {
                shape: "S6f"
              },
              virtualServiceName: {
                location: "uri",
                locationName: "virtualServiceName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "virtualService"
            ],
            members: {
              virtualService: {
                shape: "S6k"
              }
            },
            payload: "virtualService"
          },
          idempotent: true
        }
      },
      shapes: {
        S5: {
          type: "structure",
          members: {
            grpcRoute: {
              type: "structure",
              required: [
                "action",
                "match"
              ],
              members: {
                action: {
                  type: "structure",
                  required: [
                    "target"
                  ],
                  members: {
                    rewrite: {
                      type: "structure",
                      members: {
                        hostname: {
                          shape: "S9"
                        }
                      }
                    },
                    target: {
                      shape: "Sb"
                    }
                  }
                },
                match: {
                  type: "structure",
                  members: {
                    hostname: {
                      shape: "Sf"
                    },
                    metadata: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "name"
                        ],
                        members: {
                          invert: {
                            type: "boolean"
                          },
                          match: {
                            type: "structure",
                            members: {
                              exact: {},
                              prefix: {},
                              range: {
                                shape: "Sn"
                              },
                              regex: {},
                              suffix: {}
                            },
                            union: true
                          },
                          name: {}
                        }
                      }
                    },
                    port: {
                      type: "integer"
                    },
                    serviceName: {}
                  }
                }
              }
            },
            http2Route: {
              shape: "Sr"
            },
            httpRoute: {
              shape: "Sr"
            },
            priority: {
              type: "integer"
            }
          }
        },
        S9: {
          type: "structure",
          members: {
            defaultTargetHostname: {}
          }
        },
        Sb: {
          type: "structure",
          required: [
            "virtualService"
          ],
          members: {
            port: {
              type: "integer"
            },
            virtualService: {
              type: "structure",
              required: [
                "virtualServiceName"
              ],
              members: {
                virtualServiceName: {}
              }
            }
          }
        },
        Sf: {
          type: "structure",
          members: {
            exact: {},
            suffix: {}
          }
        },
        Sn: {
          type: "structure",
          required: [
            "end",
            "start"
          ],
          members: {
            end: {
              type: "long"
            },
            start: {
              type: "long"
            }
          }
        },
        Sr: {
          type: "structure",
          required: [
            "action",
            "match"
          ],
          members: {
            action: {
              type: "structure",
              required: [
                "target"
              ],
              members: {
                rewrite: {
                  type: "structure",
                  members: {
                    hostname: {
                      shape: "S9"
                    },
                    path: {
                      type: "structure",
                      members: {
                        exact: {}
                      }
                    },
                    prefix: {
                      type: "structure",
                      members: {
                        defaultPrefix: {},
                        value: {}
                      }
                    }
                  }
                },
                target: {
                  shape: "Sb"
                }
              }
            },
            match: {
              type: "structure",
              members: {
                headers: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "name"
                    ],
                    members: {
                      invert: {
                        type: "boolean"
                      },
                      match: {
                        shape: "S11"
                      },
                      name: {}
                    }
                  }
                },
                hostname: {
                  shape: "Sf"
                },
                method: {},
                path: {
                  shape: "S13"
                },
                port: {
                  type: "integer"
                },
                prefix: {},
                queryParameters: {
                  shape: "S15"
                }
              }
            }
          }
        },
        S11: {
          type: "structure",
          members: {
            exact: {},
            prefix: {},
            range: {
              shape: "Sn"
            },
            regex: {},
            suffix: {}
          },
          union: true
        },
        S13: {
          type: "structure",
          members: {
            exact: {},
            regex: {}
          }
        },
        S15: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              match: {
                type: "structure",
                members: {
                  exact: {}
                }
              },
              name: {}
            }
          }
        },
        S1a: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        S1f: {
          type: "structure",
          required: [
            "gatewayRouteName",
            "meshName",
            "metadata",
            "spec",
            "status",
            "virtualGatewayName"
          ],
          members: {
            gatewayRouteName: {},
            meshName: {},
            metadata: {
              shape: "S1g"
            },
            spec: {
              shape: "S5"
            },
            status: {
              type: "structure",
              required: [
                "status"
              ],
              members: {
                status: {}
              }
            },
            virtualGatewayName: {}
          }
        },
        S1g: {
          type: "structure",
          required: [
            "arn",
            "createdAt",
            "lastUpdatedAt",
            "meshOwner",
            "resourceOwner",
            "uid",
            "version"
          ],
          members: {
            arn: {},
            createdAt: {
              type: "timestamp"
            },
            lastUpdatedAt: {
              type: "timestamp"
            },
            meshOwner: {},
            resourceOwner: {},
            uid: {},
            version: {
              type: "long"
            }
          }
        },
        S1m: {
          type: "structure",
          members: {
            egressFilter: {
              type: "structure",
              required: [
                "type"
              ],
              members: {
                type: {}
              }
            },
            serviceDiscovery: {
              type: "structure",
              members: {
                ipPreference: {}
              }
            }
          }
        },
        S1s: {
          type: "structure",
          required: [
            "meshName",
            "metadata",
            "spec",
            "status"
          ],
          members: {
            meshName: {},
            metadata: {
              shape: "S1g"
            },
            spec: {
              shape: "S1m"
            },
            status: {
              type: "structure",
              members: {
                status: {}
              }
            }
          }
        },
        S1w: {
          type: "structure",
          members: {
            grpcRoute: {
              type: "structure",
              required: [
                "action",
                "match"
              ],
              members: {
                action: {
                  type: "structure",
                  required: [
                    "weightedTargets"
                  ],
                  members: {
                    weightedTargets: {
                      shape: "S1z"
                    }
                  }
                },
                match: {
                  type: "structure",
                  members: {
                    metadata: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "name"
                        ],
                        members: {
                          invert: {
                            type: "boolean"
                          },
                          match: {
                            type: "structure",
                            members: {
                              exact: {},
                              prefix: {},
                              range: {
                                shape: "Sn"
                              },
                              regex: {},
                              suffix: {}
                            },
                            union: true
                          },
                          name: {}
                        }
                      }
                    },
                    methodName: {},
                    port: {
                      type: "integer"
                    },
                    serviceName: {}
                  }
                },
                retryPolicy: {
                  type: "structure",
                  required: [
                    "maxRetries",
                    "perRetryTimeout"
                  ],
                  members: {
                    grpcRetryEvents: {
                      type: "list",
                      member: {}
                    },
                    httpRetryEvents: {
                      shape: "S2a"
                    },
                    maxRetries: {
                      type: "long"
                    },
                    perRetryTimeout: {
                      shape: "S2d"
                    },
                    tcpRetryEvents: {
                      shape: "S2g"
                    }
                  }
                },
                timeout: {
                  shape: "S2i"
                }
              }
            },
            http2Route: {
              shape: "S2j"
            },
            httpRoute: {
              shape: "S2j"
            },
            priority: {
              type: "integer"
            },
            tcpRoute: {
              type: "structure",
              required: [
                "action"
              ],
              members: {
                action: {
                  type: "structure",
                  required: [
                    "weightedTargets"
                  ],
                  members: {
                    weightedTargets: {
                      shape: "S1z"
                    }
                  }
                },
                match: {
                  type: "structure",
                  members: {
                    port: {
                      type: "integer"
                    }
                  }
                },
                timeout: {
                  shape: "S2v"
                }
              }
            }
          }
        },
        S1z: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "virtualNode",
              "weight"
            ],
            members: {
              port: {
                type: "integer"
              },
              virtualNode: {},
              weight: {
                type: "integer"
              }
            }
          }
        },
        S2a: {
          type: "list",
          member: {}
        },
        S2d: {
          type: "structure",
          members: {
            unit: {},
            value: {
              type: "long"
            }
          }
        },
        S2g: {
          type: "list",
          member: {}
        },
        S2i: {
          type: "structure",
          members: {
            idle: {
              shape: "S2d"
            },
            perRequest: {
              shape: "S2d"
            }
          }
        },
        S2j: {
          type: "structure",
          required: [
            "action",
            "match"
          ],
          members: {
            action: {
              type: "structure",
              required: [
                "weightedTargets"
              ],
              members: {
                weightedTargets: {
                  shape: "S1z"
                }
              }
            },
            match: {
              type: "structure",
              members: {
                headers: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "name"
                    ],
                    members: {
                      invert: {
                        type: "boolean"
                      },
                      match: {
                        shape: "S11"
                      },
                      name: {}
                    }
                  }
                },
                method: {},
                path: {
                  shape: "S13"
                },
                port: {
                  type: "integer"
                },
                prefix: {},
                queryParameters: {
                  shape: "S15"
                },
                scheme: {}
              }
            },
            retryPolicy: {
              type: "structure",
              required: [
                "maxRetries",
                "perRetryTimeout"
              ],
              members: {
                httpRetryEvents: {
                  shape: "S2a"
                },
                maxRetries: {
                  type: "long"
                },
                perRetryTimeout: {
                  shape: "S2d"
                },
                tcpRetryEvents: {
                  shape: "S2g"
                }
              }
            },
            timeout: {
              shape: "S2q"
            }
          }
        },
        S2q: {
          type: "structure",
          members: {
            idle: {
              shape: "S2d"
            },
            perRequest: {
              shape: "S2d"
            }
          }
        },
        S2v: {
          type: "structure",
          members: {
            idle: {
              shape: "S2d"
            }
          }
        },
        S2x: {
          type: "structure",
          required: [
            "meshName",
            "metadata",
            "routeName",
            "spec",
            "status",
            "virtualRouterName"
          ],
          members: {
            meshName: {},
            metadata: {
              shape: "S1g"
            },
            routeName: {},
            spec: {
              shape: "S1w"
            },
            status: {
              type: "structure",
              required: [
                "status"
              ],
              members: {
                status: {}
              }
            },
            virtualRouterName: {}
          }
        },
        S31: {
          type: "structure",
          required: [
            "listeners"
          ],
          members: {
            backendDefaults: {
              type: "structure",
              members: {
                clientPolicy: {
                  type: "structure",
                  members: {
                    tls: {
                      type: "structure",
                      required: [
                        "validation"
                      ],
                      members: {
                        certificate: {
                          type: "structure",
                          members: {
                            file: {
                              shape: "S36"
                            },
                            sds: {
                              shape: "S38"
                            }
                          },
                          union: true
                        },
                        enforce: {
                          type: "boolean"
                        },
                        ports: {
                          shape: "S3a"
                        },
                        validation: {
                          type: "structure",
                          required: [
                            "trust"
                          ],
                          members: {
                            subjectAlternativeNames: {
                              shape: "S3d"
                            },
                            trust: {
                              type: "structure",
                              members: {
                                acm: {
                                  type: "structure",
                                  required: [
                                    "certificateAuthorityArns"
                                  ],
                                  members: {
                                    certificateAuthorityArns: {
                                      type: "list",
                                      member: {}
                                    }
                                  }
                                },
                                file: {
                                  shape: "S3k"
                                },
                                sds: {
                                  shape: "S3l"
                                }
                              },
                              union: true
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            listeners: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "portMapping"
                ],
                members: {
                  connectionPool: {
                    type: "structure",
                    members: {
                      grpc: {
                        type: "structure",
                        required: [
                          "maxRequests"
                        ],
                        members: {
                          maxRequests: {
                            type: "integer"
                          }
                        }
                      },
                      http: {
                        type: "structure",
                        required: [
                          "maxConnections"
                        ],
                        members: {
                          maxConnections: {
                            type: "integer"
                          },
                          maxPendingRequests: {
                            type: "integer"
                          }
                        }
                      },
                      http2: {
                        type: "structure",
                        required: [
                          "maxRequests"
                        ],
                        members: {
                          maxRequests: {
                            type: "integer"
                          }
                        }
                      }
                    },
                    union: true
                  },
                  healthCheck: {
                    type: "structure",
                    required: [
                      "healthyThreshold",
                      "intervalMillis",
                      "protocol",
                      "timeoutMillis",
                      "unhealthyThreshold"
                    ],
                    members: {
                      healthyThreshold: {
                        type: "integer"
                      },
                      intervalMillis: {
                        type: "long"
                      },
                      path: {},
                      port: {
                        type: "integer"
                      },
                      protocol: {},
                      timeoutMillis: {
                        type: "long"
                      },
                      unhealthyThreshold: {
                        type: "integer"
                      }
                    }
                  },
                  portMapping: {
                    type: "structure",
                    required: [
                      "port",
                      "protocol"
                    ],
                    members: {
                      port: {
                        type: "integer"
                      },
                      protocol: {}
                    }
                  },
                  tls: {
                    type: "structure",
                    required: [
                      "certificate",
                      "mode"
                    ],
                    members: {
                      certificate: {
                        type: "structure",
                        members: {
                          acm: {
                            type: "structure",
                            required: [
                              "certificateArn"
                            ],
                            members: {
                              certificateArn: {}
                            }
                          },
                          file: {
                            shape: "S36"
                          },
                          sds: {
                            shape: "S38"
                          }
                        },
                        union: true
                      },
                      mode: {},
                      validation: {
                        type: "structure",
                        required: [
                          "trust"
                        ],
                        members: {
                          subjectAlternativeNames: {
                            shape: "S3d"
                          },
                          trust: {
                            type: "structure",
                            members: {
                              file: {
                                shape: "S3k"
                              },
                              sds: {
                                shape: "S3l"
                              }
                            },
                            union: true
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            logging: {
              type: "structure",
              members: {
                accessLog: {
                  type: "structure",
                  members: {
                    file: {
                      type: "structure",
                      required: [
                        "path"
                      ],
                      members: {
                        format: {
                          shape: "S4a"
                        },
                        path: {}
                      }
                    }
                  },
                  union: true
                }
              }
            }
          }
        },
        S36: {
          type: "structure",
          required: [
            "certificateChain",
            "privateKey"
          ],
          members: {
            certificateChain: {},
            privateKey: {}
          }
        },
        S38: {
          type: "structure",
          required: [
            "secretName"
          ],
          members: {
            secretName: {}
          }
        },
        S3a: {
          type: "list",
          member: {
            type: "integer"
          }
        },
        S3d: {
          type: "structure",
          required: [
            "match"
          ],
          members: {
            match: {
              type: "structure",
              required: [
                "exact"
              ],
              members: {
                exact: {
                  type: "list",
                  member: {}
                }
              }
            }
          }
        },
        S3k: {
          type: "structure",
          required: [
            "certificateChain"
          ],
          members: {
            certificateChain: {}
          }
        },
        S3l: {
          type: "structure",
          required: [
            "secretName"
          ],
          members: {
            secretName: {}
          }
        },
        S4a: {
          type: "structure",
          members: {
            json: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "key",
                  "value"
                ],
                members: {
                  key: {},
                  value: {}
                }
              }
            },
            text: {}
          },
          union: true
        },
        S4h: {
          type: "structure",
          required: [
            "meshName",
            "metadata",
            "spec",
            "status",
            "virtualGatewayName"
          ],
          members: {
            meshName: {},
            metadata: {
              shape: "S1g"
            },
            spec: {
              shape: "S31"
            },
            status: {
              type: "structure",
              required: [
                "status"
              ],
              members: {
                status: {}
              }
            },
            virtualGatewayName: {}
          }
        },
        S4l: {
          type: "structure",
          members: {
            backendDefaults: {
              type: "structure",
              members: {
                clientPolicy: {
                  shape: "S4n"
                }
              }
            },
            backends: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  virtualService: {
                    type: "structure",
                    required: [
                      "virtualServiceName"
                    ],
                    members: {
                      clientPolicy: {
                        shape: "S4n"
                      },
                      virtualServiceName: {}
                    }
                  }
                },
                union: true
              }
            },
            listeners: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "portMapping"
                ],
                members: {
                  connectionPool: {
                    type: "structure",
                    members: {
                      grpc: {
                        type: "structure",
                        required: [
                          "maxRequests"
                        ],
                        members: {
                          maxRequests: {
                            type: "integer"
                          }
                        }
                      },
                      http: {
                        type: "structure",
                        required: [
                          "maxConnections"
                        ],
                        members: {
                          maxConnections: {
                            type: "integer"
                          },
                          maxPendingRequests: {
                            type: "integer"
                          }
                        }
                      },
                      http2: {
                        type: "structure",
                        required: [
                          "maxRequests"
                        ],
                        members: {
                          maxRequests: {
                            type: "integer"
                          }
                        }
                      },
                      tcp: {
                        type: "structure",
                        required: [
                          "maxConnections"
                        ],
                        members: {
                          maxConnections: {
                            type: "integer"
                          }
                        }
                      }
                    },
                    union: true
                  },
                  healthCheck: {
                    type: "structure",
                    required: [
                      "healthyThreshold",
                      "intervalMillis",
                      "protocol",
                      "timeoutMillis",
                      "unhealthyThreshold"
                    ],
                    members: {
                      healthyThreshold: {
                        type: "integer"
                      },
                      intervalMillis: {
                        type: "long"
                      },
                      path: {},
                      port: {
                        type: "integer"
                      },
                      protocol: {},
                      timeoutMillis: {
                        type: "long"
                      },
                      unhealthyThreshold: {
                        type: "integer"
                      }
                    }
                  },
                  outlierDetection: {
                    type: "structure",
                    required: [
                      "baseEjectionDuration",
                      "interval",
                      "maxEjectionPercent",
                      "maxServerErrors"
                    ],
                    members: {
                      baseEjectionDuration: {
                        shape: "S2d"
                      },
                      interval: {
                        shape: "S2d"
                      },
                      maxEjectionPercent: {
                        type: "integer"
                      },
                      maxServerErrors: {
                        type: "long"
                      }
                    }
                  },
                  portMapping: {
                    shape: "S5h"
                  },
                  timeout: {
                    type: "structure",
                    members: {
                      grpc: {
                        shape: "S2i"
                      },
                      http: {
                        shape: "S2q"
                      },
                      http2: {
                        shape: "S2q"
                      },
                      tcp: {
                        shape: "S2v"
                      }
                    },
                    union: true
                  },
                  tls: {
                    type: "structure",
                    required: [
                      "certificate",
                      "mode"
                    ],
                    members: {
                      certificate: {
                        type: "structure",
                        members: {
                          acm: {
                            type: "structure",
                            required: [
                              "certificateArn"
                            ],
                            members: {
                              certificateArn: {}
                            }
                          },
                          file: {
                            shape: "S4q"
                          },
                          sds: {
                            shape: "S4r"
                          }
                        },
                        union: true
                      },
                      mode: {},
                      validation: {
                        type: "structure",
                        required: [
                          "trust"
                        ],
                        members: {
                          subjectAlternativeNames: {
                            shape: "S3d"
                          },
                          trust: {
                            type: "structure",
                            members: {
                              file: {
                                shape: "S4x"
                              },
                              sds: {
                                shape: "S4y"
                              }
                            },
                            union: true
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            logging: {
              type: "structure",
              members: {
                accessLog: {
                  type: "structure",
                  members: {
                    file: {
                      type: "structure",
                      required: [
                        "path"
                      ],
                      members: {
                        format: {
                          shape: "S4a"
                        },
                        path: {}
                      }
                    }
                  },
                  union: true
                }
              }
            },
            serviceDiscovery: {
              type: "structure",
              members: {
                awsCloudMap: {
                  type: "structure",
                  required: [
                    "namespaceName",
                    "serviceName"
                  ],
                  members: {
                    attributes: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "key",
                          "value"
                        ],
                        members: {
                          key: {},
                          value: {}
                        }
                      }
                    },
                    ipPreference: {},
                    namespaceName: {},
                    serviceName: {}
                  }
                },
                dns: {
                  type: "structure",
                  required: [
                    "hostname"
                  ],
                  members: {
                    hostname: {},
                    ipPreference: {},
                    responseType: {}
                  }
                }
              },
              union: true
            }
          }
        },
        S4n: {
          type: "structure",
          members: {
            tls: {
              type: "structure",
              required: [
                "validation"
              ],
              members: {
                certificate: {
                  type: "structure",
                  members: {
                    file: {
                      shape: "S4q"
                    },
                    sds: {
                      shape: "S4r"
                    }
                  },
                  union: true
                },
                enforce: {
                  type: "boolean"
                },
                ports: {
                  shape: "S3a"
                },
                validation: {
                  type: "structure",
                  required: [
                    "trust"
                  ],
                  members: {
                    subjectAlternativeNames: {
                      shape: "S3d"
                    },
                    trust: {
                      type: "structure",
                      members: {
                        acm: {
                          type: "structure",
                          required: [
                            "certificateAuthorityArns"
                          ],
                          members: {
                            certificateAuthorityArns: {
                              type: "list",
                              member: {}
                            }
                          }
                        },
                        file: {
                          shape: "S4x"
                        },
                        sds: {
                          shape: "S4y"
                        }
                      },
                      union: true
                    }
                  }
                }
              }
            }
          }
        },
        S4q: {
          type: "structure",
          required: [
            "certificateChain",
            "privateKey"
          ],
          members: {
            certificateChain: {},
            privateKey: {}
          }
        },
        S4r: {
          type: "structure",
          required: [
            "secretName"
          ],
          members: {
            secretName: {}
          }
        },
        S4x: {
          type: "structure",
          required: [
            "certificateChain"
          ],
          members: {
            certificateChain: {}
          }
        },
        S4y: {
          type: "structure",
          required: [
            "secretName"
          ],
          members: {
            secretName: {}
          }
        },
        S5h: {
          type: "structure",
          required: [
            "port",
            "protocol"
          ],
          members: {
            port: {
              type: "integer"
            },
            protocol: {}
          }
        },
        S63: {
          type: "structure",
          required: [
            "meshName",
            "metadata",
            "spec",
            "status",
            "virtualNodeName"
          ],
          members: {
            meshName: {},
            metadata: {
              shape: "S1g"
            },
            spec: {
              shape: "S4l"
            },
            status: {
              type: "structure",
              required: [
                "status"
              ],
              members: {
                status: {}
              }
            },
            virtualNodeName: {}
          }
        },
        S67: {
          type: "structure",
          members: {
            listeners: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "portMapping"
                ],
                members: {
                  portMapping: {
                    shape: "S5h"
                  }
                }
              }
            }
          }
        },
        S6b: {
          type: "structure",
          required: [
            "meshName",
            "metadata",
            "spec",
            "status",
            "virtualRouterName"
          ],
          members: {
            meshName: {},
            metadata: {
              shape: "S1g"
            },
            spec: {
              shape: "S67"
            },
            status: {
              type: "structure",
              required: [
                "status"
              ],
              members: {
                status: {}
              }
            },
            virtualRouterName: {}
          }
        },
        S6f: {
          type: "structure",
          members: {
            provider: {
              type: "structure",
              members: {
                virtualNode: {
                  type: "structure",
                  required: [
                    "virtualNodeName"
                  ],
                  members: {
                    virtualNodeName: {}
                  }
                },
                virtualRouter: {
                  type: "structure",
                  required: [
                    "virtualRouterName"
                  ],
                  members: {
                    virtualRouterName: {}
                  }
                }
              },
              union: true
            }
          }
        },
        S6k: {
          type: "structure",
          required: [
            "meshName",
            "metadata",
            "spec",
            "status",
            "virtualServiceName"
          ],
          members: {
            meshName: {},
            metadata: {
              shape: "S1g"
            },
            spec: {
              shape: "S6f"
            },
            status: {
              type: "structure",
              required: [
                "status"
              ],
              members: {
                status: {}
              }
            },
            virtualServiceName: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/appmesh-2019-01-25.paginators.json
var require_appmesh_2019_01_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/appmesh-2019-01-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListGatewayRoutes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "limit",
          result_key: "gatewayRoutes"
        },
        ListMeshes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "limit",
          result_key: "meshes"
        },
        ListRoutes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "limit",
          result_key: "routes"
        },
        ListTagsForResource: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "limit",
          result_key: "tags"
        },
        ListVirtualGateways: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "limit",
          result_key: "virtualGateways"
        },
        ListVirtualNodes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "limit",
          result_key: "virtualNodes"
        },
        ListVirtualRouters: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "limit",
          result_key: "virtualRouters"
        },
        ListVirtualServices: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "limit",
          result_key: "virtualServices"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/appmesh.js
var require_appmesh = __commonJS({
  "node_modules/aws-sdk/clients/appmesh.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["appmesh"] = {};
    AWS2.AppMesh = Service.defineService("appmesh", ["2018-10-01", "2018-10-01*", "2019-01-25"]);
    Object.defineProperty(apiLoader.services["appmesh"], "2018-10-01", {
      get: function get() {
        var model = require_appmesh_2018_10_01_min();
        model.paginators = require_appmesh_2018_10_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(apiLoader.services["appmesh"], "2019-01-25", {
      get: function get() {
        var model = require_appmesh_2019_01_25_min();
        model.paginators = require_appmesh_2019_01_25_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.AppMesh;
  }
});

// node_modules/aws-sdk/apis/license-manager-2018-08-01.min.json
var require_license_manager_2018_08_01_min = __commonJS({
  "node_modules/aws-sdk/apis/license-manager-2018-08-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-08-01",
        endpointPrefix: "license-manager",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS License Manager",
        serviceId: "License Manager",
        signatureVersion: "v4",
        targetPrefix: "AWSLicenseManager",
        uid: "license-manager-2018-08-01"
      },
      operations: {
        AcceptGrant: {
          input: {
            type: "structure",
            required: [
              "GrantArn"
            ],
            members: {
              GrantArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GrantArn: {},
              Status: {},
              Version: {}
            }
          }
        },
        CheckInLicense: {
          input: {
            type: "structure",
            required: [
              "LicenseConsumptionToken"
            ],
            members: {
              LicenseConsumptionToken: {},
              Beneficiary: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CheckoutBorrowLicense: {
          input: {
            type: "structure",
            required: [
              "LicenseArn",
              "Entitlements",
              "DigitalSignatureMethod",
              "ClientToken"
            ],
            members: {
              LicenseArn: {},
              Entitlements: {
                shape: "S9"
              },
              DigitalSignatureMethod: {},
              NodeId: {},
              CheckoutMetadata: {
                shape: "Sd"
              },
              ClientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LicenseArn: {},
              LicenseConsumptionToken: {},
              EntitlementsAllowed: {
                shape: "S9"
              },
              NodeId: {},
              SignedToken: {},
              IssuedAt: {},
              Expiration: {},
              CheckoutMetadata: {
                shape: "Sd"
              }
            }
          }
        },
        CheckoutLicense: {
          input: {
            type: "structure",
            required: [
              "ProductSKU",
              "CheckoutType",
              "KeyFingerprint",
              "Entitlements",
              "ClientToken"
            ],
            members: {
              ProductSKU: {},
              CheckoutType: {},
              KeyFingerprint: {},
              Entitlements: {
                shape: "S9"
              },
              ClientToken: {},
              Beneficiary: {},
              NodeId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CheckoutType: {},
              LicenseConsumptionToken: {},
              EntitlementsAllowed: {
                shape: "S9"
              },
              SignedToken: {},
              NodeId: {},
              IssuedAt: {},
              Expiration: {},
              LicenseArn: {}
            }
          }
        },
        CreateGrant: {
          input: {
            type: "structure",
            required: [
              "ClientToken",
              "GrantName",
              "LicenseArn",
              "Principals",
              "HomeRegion",
              "AllowedOperations"
            ],
            members: {
              ClientToken: {},
              GrantName: {},
              LicenseArn: {},
              Principals: {
                type: "list",
                member: {}
              },
              HomeRegion: {},
              AllowedOperations: {
                shape: "So"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GrantArn: {},
              Status: {},
              Version: {}
            }
          }
        },
        CreateGrantVersion: {
          input: {
            type: "structure",
            required: [
              "ClientToken",
              "GrantArn"
            ],
            members: {
              ClientToken: {},
              GrantArn: {},
              GrantName: {},
              AllowedOperations: {
                shape: "So"
              },
              Status: {},
              StatusReason: {},
              SourceVersion: {},
              Options: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GrantArn: {},
              Status: {},
              Version: {}
            }
          }
        },
        CreateLicense: {
          input: {
            type: "structure",
            required: [
              "LicenseName",
              "ProductName",
              "ProductSKU",
              "Issuer",
              "HomeRegion",
              "Validity",
              "Entitlements",
              "Beneficiary",
              "ConsumptionConfiguration",
              "ClientToken"
            ],
            members: {
              LicenseName: {},
              ProductName: {},
              ProductSKU: {},
              Issuer: {
                shape: "Sx"
              },
              HomeRegion: {},
              Validity: {
                shape: "Sy"
              },
              Entitlements: {
                shape: "Sz"
              },
              Beneficiary: {},
              ConsumptionConfiguration: {
                shape: "S14"
              },
              LicenseMetadata: {
                shape: "Sd"
              },
              ClientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LicenseArn: {},
              Status: {},
              Version: {}
            }
          }
        },
        CreateLicenseConfiguration: {
          input: {
            type: "structure",
            required: [
              "Name",
              "LicenseCountingType"
            ],
            members: {
              Name: {},
              Description: {},
              LicenseCountingType: {},
              LicenseCount: {
                type: "long"
              },
              LicenseCountHardLimit: {
                type: "boolean"
              },
              LicenseRules: {
                shape: "S1e"
              },
              Tags: {
                shape: "S1f"
              },
              DisassociateWhenNotFound: {
                type: "boolean"
              },
              ProductInformationList: {
                shape: "S1h"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LicenseConfigurationArn: {}
            }
          }
        },
        CreateLicenseConversionTaskForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "SourceLicenseContext",
              "DestinationLicenseContext"
            ],
            members: {
              ResourceArn: {},
              SourceLicenseContext: {
                shape: "S1n"
              },
              DestinationLicenseContext: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LicenseConversionTaskId: {}
            }
          }
        },
        CreateLicenseManagerReportGenerator: {
          input: {
            type: "structure",
            required: [
              "ReportGeneratorName",
              "Type",
              "ReportContext",
              "ReportFrequency",
              "ClientToken"
            ],
            members: {
              ReportGeneratorName: {},
              Type: {
                shape: "S1t"
              },
              ReportContext: {
                shape: "S1v"
              },
              ReportFrequency: {
                shape: "S1x"
              },
              ClientToken: {},
              Description: {},
              Tags: {
                shape: "S1f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LicenseManagerReportGeneratorArn: {}
            }
          }
        },
        CreateLicenseVersion: {
          input: {
            type: "structure",
            required: [
              "LicenseArn",
              "LicenseName",
              "ProductName",
              "Issuer",
              "HomeRegion",
              "Validity",
              "Entitlements",
              "ConsumptionConfiguration",
              "Status",
              "ClientToken"
            ],
            members: {
              LicenseArn: {},
              LicenseName: {},
              ProductName: {},
              Issuer: {
                shape: "Sx"
              },
              HomeRegion: {},
              Validity: {
                shape: "Sy"
              },
              LicenseMetadata: {
                shape: "Sd"
              },
              Entitlements: {
                shape: "Sz"
              },
              ConsumptionConfiguration: {
                shape: "S14"
              },
              Status: {},
              ClientToken: {},
              SourceVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LicenseArn: {},
              Version: {},
              Status: {}
            }
          }
        },
        CreateToken: {
          input: {
            type: "structure",
            required: [
              "LicenseArn",
              "ClientToken"
            ],
            members: {
              LicenseArn: {},
              RoleArns: {
                shape: "S1w"
              },
              ExpirationInDays: {
                type: "integer"
              },
              TokenProperties: {
                shape: "S25"
              },
              ClientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TokenId: {},
              TokenType: {},
              Token: {}
            }
          }
        },
        DeleteGrant: {
          input: {
            type: "structure",
            required: [
              "GrantArn",
              "Version"
            ],
            members: {
              GrantArn: {},
              StatusReason: {},
              Version: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GrantArn: {},
              Status: {},
              Version: {}
            }
          }
        },
        DeleteLicense: {
          input: {
            type: "structure",
            required: [
              "LicenseArn",
              "SourceVersion"
            ],
            members: {
              LicenseArn: {},
              SourceVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {},
              DeletionDate: {}
            }
          }
        },
        DeleteLicenseConfiguration: {
          input: {
            type: "structure",
            required: [
              "LicenseConfigurationArn"
            ],
            members: {
              LicenseConfigurationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteLicenseManagerReportGenerator: {
          input: {
            type: "structure",
            required: [
              "LicenseManagerReportGeneratorArn"
            ],
            members: {
              LicenseManagerReportGeneratorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteToken: {
          input: {
            type: "structure",
            required: [
              "TokenId"
            ],
            members: {
              TokenId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ExtendLicenseConsumption: {
          input: {
            type: "structure",
            required: [
              "LicenseConsumptionToken"
            ],
            members: {
              LicenseConsumptionToken: {},
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LicenseConsumptionToken: {},
              Expiration: {}
            }
          }
        },
        GetAccessToken: {
          input: {
            type: "structure",
            required: [
              "Token"
            ],
            members: {
              Token: {},
              TokenProperties: {
                shape: "S25"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccessToken: {}
            }
          }
        },
        GetGrant: {
          input: {
            type: "structure",
            required: [
              "GrantArn"
            ],
            members: {
              GrantArn: {},
              Version: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Grant: {
                shape: "S2r"
              }
            }
          }
        },
        GetLicense: {
          input: {
            type: "structure",
            required: [
              "LicenseArn"
            ],
            members: {
              LicenseArn: {},
              Version: {}
            }
          },
          output: {
            type: "structure",
            members: {
              License: {
                shape: "S2u"
              }
            }
          }
        },
        GetLicenseConfiguration: {
          input: {
            type: "structure",
            required: [
              "LicenseConfigurationArn"
            ],
            members: {
              LicenseConfigurationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LicenseConfigurationId: {},
              LicenseConfigurationArn: {},
              Name: {},
              Description: {},
              LicenseCountingType: {},
              LicenseRules: {
                shape: "S1e"
              },
              LicenseCount: {
                type: "long"
              },
              LicenseCountHardLimit: {
                type: "boolean"
              },
              ConsumedLicenses: {
                type: "long"
              },
              Status: {},
              OwnerAccountId: {},
              ConsumedLicenseSummaryList: {
                shape: "S2y"
              },
              ManagedResourceSummaryList: {
                shape: "S31"
              },
              Tags: {
                shape: "S1f"
              },
              ProductInformationList: {
                shape: "S1h"
              },
              AutomatedDiscoveryInformation: {
                shape: "S33"
              },
              DisassociateWhenNotFound: {
                type: "boolean"
              }
            }
          }
        },
        GetLicenseConversionTask: {
          input: {
            type: "structure",
            required: [
              "LicenseConversionTaskId"
            ],
            members: {
              LicenseConversionTaskId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LicenseConversionTaskId: {},
              ResourceArn: {},
              SourceLicenseContext: {
                shape: "S1n"
              },
              DestinationLicenseContext: {
                shape: "S1n"
              },
              StatusMessage: {},
              Status: {},
              StartTime: {
                type: "timestamp"
              },
              LicenseConversionTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              }
            }
          }
        },
        GetLicenseManagerReportGenerator: {
          input: {
            type: "structure",
            required: [
              "LicenseManagerReportGeneratorArn"
            ],
            members: {
              LicenseManagerReportGeneratorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReportGenerator: {
                shape: "S3a"
              }
            }
          }
        },
        GetLicenseUsage: {
          input: {
            type: "structure",
            required: [
              "LicenseArn"
            ],
            members: {
              LicenseArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LicenseUsage: {
                type: "structure",
                members: {
                  EntitlementUsages: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Name",
                        "ConsumedValue",
                        "Unit"
                      ],
                      members: {
                        Name: {},
                        ConsumedValue: {},
                        MaxCount: {},
                        Unit: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetServiceSettings: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              S3BucketArn: {},
              SnsTopicArn: {},
              OrganizationConfiguration: {
                shape: "S3j"
              },
              EnableCrossAccountsDiscovery: {
                type: "boolean"
              },
              LicenseManagerResourceShareArn: {}
            }
          }
        },
        ListAssociationsForLicenseConfiguration: {
          input: {
            type: "structure",
            required: [
              "LicenseConfigurationArn"
            ],
            members: {
              LicenseConfigurationArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LicenseConfigurationAssociations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceArn: {},
                    ResourceType: {},
                    ResourceOwnerId: {},
                    AssociationTime: {
                      type: "timestamp"
                    },
                    AmiAssociationScope: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDistributedGrants: {
          input: {
            type: "structure",
            members: {
              GrantArns: {
                shape: "S1w"
              },
              Filters: {
                shape: "S3p"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Grants: {
                shape: "S3w"
              },
              NextToken: {}
            }
          }
        },
        ListFailuresForLicenseConfigurationOperations: {
          input: {
            type: "structure",
            required: [
              "LicenseConfigurationArn"
            ],
            members: {
              LicenseConfigurationArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LicenseOperationFailureList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceArn: {},
                    ResourceType: {},
                    ErrorMessage: {},
                    FailureTime: {
                      type: "timestamp"
                    },
                    OperationName: {},
                    ResourceOwnerId: {},
                    OperationRequestedBy: {},
                    MetadataList: {
                      shape: "Sd"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLicenseConfigurations: {
          input: {
            type: "structure",
            members: {
              LicenseConfigurationArns: {
                shape: "S1e"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "S42"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LicenseConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LicenseConfigurationId: {},
                    LicenseConfigurationArn: {},
                    Name: {},
                    Description: {},
                    LicenseCountingType: {},
                    LicenseRules: {
                      shape: "S1e"
                    },
                    LicenseCount: {
                      type: "long"
                    },
                    LicenseCountHardLimit: {
                      type: "boolean"
                    },
                    DisassociateWhenNotFound: {
                      type: "boolean"
                    },
                    ConsumedLicenses: {
                      type: "long"
                    },
                    Status: {},
                    OwnerAccountId: {},
                    ConsumedLicenseSummaryList: {
                      shape: "S2y"
                    },
                    ManagedResourceSummaryList: {
                      shape: "S31"
                    },
                    ProductInformationList: {
                      shape: "S1h"
                    },
                    AutomatedDiscoveryInformation: {
                      shape: "S33"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLicenseConversionTasks: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S42"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LicenseConversionTasks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LicenseConversionTaskId: {},
                    ResourceArn: {},
                    SourceLicenseContext: {
                      shape: "S1n"
                    },
                    DestinationLicenseContext: {
                      shape: "S1n"
                    },
                    Status: {},
                    StatusMessage: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    LicenseConversionTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLicenseManagerReportGenerators: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3p"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReportGenerators: {
                type: "list",
                member: {
                  shape: "S3a"
                }
              },
              NextToken: {}
            }
          }
        },
        ListLicenseSpecificationsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LicenseSpecifications: {
                shape: "S4f"
              },
              NextToken: {}
            }
          }
        },
        ListLicenseVersions: {
          input: {
            type: "structure",
            required: [
              "LicenseArn"
            ],
            members: {
              LicenseArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Licenses: {
                shape: "S4j"
              },
              NextToken: {}
            }
          }
        },
        ListLicenses: {
          input: {
            type: "structure",
            members: {
              LicenseArns: {
                shape: "S1w"
              },
              Filters: {
                shape: "S3p"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Licenses: {
                shape: "S4j"
              },
              NextToken: {}
            }
          }
        },
        ListReceivedGrants: {
          input: {
            type: "structure",
            members: {
              GrantArns: {
                shape: "S1w"
              },
              Filters: {
                shape: "S3p"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Grants: {
                shape: "S3w"
              },
              NextToken: {}
            }
          }
        },
        ListReceivedGrantsForOrganization: {
          input: {
            type: "structure",
            required: [
              "LicenseArn"
            ],
            members: {
              LicenseArn: {},
              Filters: {
                shape: "S3p"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Grants: {
                shape: "S3w"
              },
              NextToken: {}
            }
          }
        },
        ListReceivedLicenses: {
          input: {
            type: "structure",
            members: {
              LicenseArns: {
                shape: "S1w"
              },
              Filters: {
                shape: "S3p"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Licenses: {
                shape: "S4s"
              },
              NextToken: {}
            }
          }
        },
        ListReceivedLicensesForOrganization: {
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S3p"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Licenses: {
                shape: "S4s"
              },
              NextToken: {}
            }
          }
        },
        ListResourceInventory: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Condition"
                  ],
                  members: {
                    Name: {},
                    Condition: {},
                    Value: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceInventoryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceId: {},
                    ResourceType: {},
                    ResourceArn: {},
                    Platform: {},
                    PlatformVersion: {},
                    ResourceOwningAccountId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S1f"
              }
            }
          }
        },
        ListTokens: {
          input: {
            type: "structure",
            members: {
              TokenIds: {
                shape: "S1e"
              },
              Filters: {
                shape: "S3p"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tokens: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TokenId: {},
                    TokenType: {},
                    LicenseArn: {},
                    ExpirationTime: {},
                    TokenProperties: {
                      shape: "S25"
                    },
                    RoleArns: {
                      shape: "S1w"
                    },
                    Status: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListUsageForLicenseConfiguration: {
          input: {
            type: "structure",
            required: [
              "LicenseConfigurationArn"
            ],
            members: {
              LicenseConfigurationArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "S42"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LicenseConfigurationUsageList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceArn: {},
                    ResourceType: {},
                    ResourceStatus: {},
                    ResourceOwnerId: {},
                    AssociationTime: {
                      type: "timestamp"
                    },
                    ConsumedLicenses: {
                      type: "long"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        RejectGrant: {
          input: {
            type: "structure",
            required: [
              "GrantArn"
            ],
            members: {
              GrantArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GrantArn: {},
              Status: {},
              Version: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S1f"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateLicenseConfiguration: {
          input: {
            type: "structure",
            required: [
              "LicenseConfigurationArn"
            ],
            members: {
              LicenseConfigurationArn: {},
              LicenseConfigurationStatus: {},
              LicenseRules: {
                shape: "S1e"
              },
              LicenseCount: {
                type: "long"
              },
              LicenseCountHardLimit: {
                type: "boolean"
              },
              Name: {},
              Description: {},
              ProductInformationList: {
                shape: "S1h"
              },
              DisassociateWhenNotFound: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateLicenseManagerReportGenerator: {
          input: {
            type: "structure",
            required: [
              "LicenseManagerReportGeneratorArn",
              "ReportGeneratorName",
              "Type",
              "ReportContext",
              "ReportFrequency",
              "ClientToken"
            ],
            members: {
              LicenseManagerReportGeneratorArn: {},
              ReportGeneratorName: {},
              Type: {
                shape: "S1t"
              },
              ReportContext: {
                shape: "S1v"
              },
              ReportFrequency: {
                shape: "S1x"
              },
              ClientToken: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateLicenseSpecificationsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              AddLicenseSpecifications: {
                shape: "S4f"
              },
              RemoveLicenseSpecifications: {
                shape: "S4f"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateServiceSettings: {
          input: {
            type: "structure",
            members: {
              S3BucketArn: {},
              SnsTopicArn: {},
              OrganizationConfiguration: {
                shape: "S3j"
              },
              EnableCrossAccountsDiscovery: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S9: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Unit"
            ],
            members: {
              Name: {},
              Value: {},
              Unit: {}
            }
          }
        },
        Sd: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Value: {}
            }
          }
        },
        So: {
          type: "list",
          member: {}
        },
        St: {
          type: "structure",
          members: {
            ActivationOverrideBehavior: {}
          }
        },
        Sx: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            SignKey: {}
          }
        },
        Sy: {
          type: "structure",
          required: [
            "Begin"
          ],
          members: {
            Begin: {},
            End: {}
          }
        },
        Sz: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Unit"
            ],
            members: {
              Name: {},
              Value: {},
              MaxCount: {
                type: "long"
              },
              Overage: {
                type: "boolean"
              },
              Unit: {},
              AllowCheckIn: {
                type: "boolean"
              }
            }
          }
        },
        S14: {
          type: "structure",
          members: {
            RenewType: {},
            ProvisionalConfiguration: {
              type: "structure",
              required: [
                "MaxTimeToLiveInMinutes"
              ],
              members: {
                MaxTimeToLiveInMinutes: {
                  type: "integer"
                }
              }
            },
            BorrowConfiguration: {
              type: "structure",
              required: [
                "AllowEarlyCheckIn",
                "MaxTimeToLiveInMinutes"
              ],
              members: {
                AllowEarlyCheckIn: {
                  type: "boolean"
                },
                MaxTimeToLiveInMinutes: {
                  type: "integer"
                }
              }
            }
          }
        },
        S1e: {
          type: "list",
          member: {}
        },
        S1f: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S1h: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ResourceType",
              "ProductInformationFilterList"
            ],
            members: {
              ResourceType: {},
              ProductInformationFilterList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ProductInformationFilterName",
                    "ProductInformationFilterComparator"
                  ],
                  members: {
                    ProductInformationFilterName: {},
                    ProductInformationFilterValue: {
                      shape: "S1e"
                    },
                    ProductInformationFilterComparator: {}
                  }
                }
              }
            }
          }
        },
        S1n: {
          type: "structure",
          members: {
            UsageOperation: {}
          }
        },
        S1t: {
          type: "list",
          member: {}
        },
        S1v: {
          type: "structure",
          required: [
            "licenseConfigurationArns"
          ],
          members: {
            licenseConfigurationArns: {
              shape: "S1w"
            }
          }
        },
        S1w: {
          type: "list",
          member: {}
        },
        S1x: {
          type: "structure",
          members: {
            value: {
              type: "integer"
            },
            period: {}
          }
        },
        S25: {
          type: "list",
          member: {}
        },
        S2r: {
          type: "structure",
          required: [
            "GrantArn",
            "GrantName",
            "ParentArn",
            "LicenseArn",
            "GranteePrincipalArn",
            "HomeRegion",
            "GrantStatus",
            "Version",
            "GrantedOperations"
          ],
          members: {
            GrantArn: {},
            GrantName: {},
            ParentArn: {},
            LicenseArn: {},
            GranteePrincipalArn: {},
            HomeRegion: {},
            GrantStatus: {},
            StatusReason: {},
            Version: {},
            GrantedOperations: {
              shape: "So"
            },
            Options: {
              shape: "St"
            }
          }
        },
        S2u: {
          type: "structure",
          members: {
            LicenseArn: {},
            LicenseName: {},
            ProductName: {},
            ProductSKU: {},
            Issuer: {
              shape: "S2v"
            },
            HomeRegion: {},
            Status: {},
            Validity: {
              shape: "Sy"
            },
            Beneficiary: {},
            Entitlements: {
              shape: "Sz"
            },
            ConsumptionConfiguration: {
              shape: "S14"
            },
            LicenseMetadata: {
              shape: "Sd"
            },
            CreateTime: {},
            Version: {}
          }
        },
        S2v: {
          type: "structure",
          members: {
            Name: {},
            SignKey: {},
            KeyFingerprint: {}
          }
        },
        S2y: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ResourceType: {},
              ConsumedLicenses: {
                type: "long"
              }
            }
          }
        },
        S31: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ResourceType: {},
              AssociationCount: {
                type: "long"
              }
            }
          }
        },
        S33: {
          type: "structure",
          members: {
            LastRunTime: {
              type: "timestamp"
            }
          }
        },
        S3a: {
          type: "structure",
          members: {
            ReportGeneratorName: {},
            ReportType: {
              shape: "S1t"
            },
            ReportContext: {
              shape: "S1v"
            },
            ReportFrequency: {
              shape: "S1x"
            },
            LicenseManagerReportGeneratorArn: {},
            LastRunStatus: {},
            LastRunFailureReason: {},
            LastReportGenerationTime: {},
            ReportCreatorAccount: {},
            Description: {},
            S3Location: {
              type: "structure",
              members: {
                bucket: {},
                keyPrefix: {}
              }
            },
            CreateTime: {},
            Tags: {
              shape: "S1f"
            }
          }
        },
        S3j: {
          type: "structure",
          required: [
            "EnableIntegration"
          ],
          members: {
            EnableIntegration: {
              type: "boolean"
            }
          }
        },
        S3p: {
          type: "list",
          member: {
            shape: "S3q"
          }
        },
        S3q: {
          type: "structure",
          members: {
            Name: {},
            Values: {
              type: "list",
              member: {}
            }
          }
        },
        S3w: {
          type: "list",
          member: {
            shape: "S2r"
          }
        },
        S42: {
          type: "list",
          member: {
            shape: "S3q"
          }
        },
        S4f: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "LicenseConfigurationArn"
            ],
            members: {
              LicenseConfigurationArn: {},
              AmiAssociationScope: {}
            }
          }
        },
        S4j: {
          type: "list",
          member: {
            shape: "S2u"
          }
        },
        S4s: {
          type: "list",
          member: {
            type: "structure",
            members: {
              LicenseArn: {},
              LicenseName: {},
              ProductName: {},
              ProductSKU: {},
              Issuer: {
                shape: "S2v"
              },
              HomeRegion: {},
              Status: {},
              Validity: {
                shape: "Sy"
              },
              Beneficiary: {},
              Entitlements: {
                shape: "Sz"
              },
              ConsumptionConfiguration: {
                shape: "S14"
              },
              LicenseMetadata: {
                shape: "Sd"
              },
              CreateTime: {},
              Version: {},
              ReceivedMetadata: {
                type: "structure",
                members: {
                  ReceivedStatus: {},
                  ReceivedStatusReason: {},
                  AllowedOperations: {
                    shape: "So"
                  }
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/license-manager-2018-08-01.paginators.json
var require_license_manager_2018_08_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/license-manager-2018-08-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/licensemanager.js
var require_licensemanager = __commonJS({
  "node_modules/aws-sdk/clients/licensemanager.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["licensemanager"] = {};
    AWS2.LicenseManager = Service.defineService("licensemanager", ["2018-08-01"]);
    Object.defineProperty(apiLoader.services["licensemanager"], "2018-08-01", {
      get: function get() {
        var model = require_license_manager_2018_08_01_min();
        model.paginators = require_license_manager_2018_08_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.LicenseManager;
  }
});

// node_modules/aws-sdk/apis/kafka-2018-11-14.min.json
var require_kafka_2018_11_14_min = __commonJS({
  "node_modules/aws-sdk/apis/kafka-2018-11-14.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2018-11-14",
        endpointPrefix: "kafka",
        signingName: "kafka",
        serviceFullName: "Managed Streaming for Kafka",
        serviceAbbreviation: "Kafka",
        serviceId: "Kafka",
        protocol: "rest-json",
        jsonVersion: "1.1",
        uid: "kafka-2018-11-14",
        signatureVersion: "v4"
      },
      operations: {
        BatchAssociateScramSecret: {
          http: {
            requestUri: "/v1/clusters/{clusterArn}/scram-secrets",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              SecretArnList: {
                shape: "S3",
                locationName: "secretArnList"
              }
            },
            required: [
              "ClusterArn",
              "SecretArnList"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterArn: {
                locationName: "clusterArn"
              },
              UnprocessedScramSecrets: {
                shape: "S5",
                locationName: "unprocessedScramSecrets"
              }
            }
          }
        },
        CreateCluster: {
          http: {
            requestUri: "/v1/clusters",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BrokerNodeGroupInfo: {
                shape: "S8",
                locationName: "brokerNodeGroupInfo"
              },
              ClientAuthentication: {
                shape: "Sp",
                locationName: "clientAuthentication"
              },
              ClusterName: {
                locationName: "clusterName"
              },
              ConfigurationInfo: {
                shape: "Sw",
                locationName: "configurationInfo"
              },
              EncryptionInfo: {
                shape: "Sy",
                locationName: "encryptionInfo"
              },
              EnhancedMonitoring: {
                locationName: "enhancedMonitoring"
              },
              OpenMonitoring: {
                shape: "S13",
                locationName: "openMonitoring"
              },
              KafkaVersion: {
                locationName: "kafkaVersion"
              },
              LoggingInfo: {
                shape: "S18",
                locationName: "loggingInfo"
              },
              NumberOfBrokerNodes: {
                locationName: "numberOfBrokerNodes",
                type: "integer"
              },
              Tags: {
                shape: "S1e",
                locationName: "tags"
              },
              StorageMode: {
                locationName: "storageMode"
              }
            },
            required: [
              "BrokerNodeGroupInfo",
              "KafkaVersion",
              "NumberOfBrokerNodes",
              "ClusterName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterArn: {
                locationName: "clusterArn"
              },
              ClusterName: {
                locationName: "clusterName"
              },
              State: {
                locationName: "state"
              }
            }
          }
        },
        CreateClusterV2: {
          http: {
            requestUri: "/api/v2/clusters",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterName: {
                locationName: "clusterName"
              },
              Tags: {
                shape: "S1e",
                locationName: "tags"
              },
              Provisioned: {
                locationName: "provisioned",
                type: "structure",
                members: {
                  BrokerNodeGroupInfo: {
                    shape: "S8",
                    locationName: "brokerNodeGroupInfo"
                  },
                  ClientAuthentication: {
                    shape: "Sp",
                    locationName: "clientAuthentication"
                  },
                  ConfigurationInfo: {
                    shape: "Sw",
                    locationName: "configurationInfo"
                  },
                  EncryptionInfo: {
                    shape: "Sy",
                    locationName: "encryptionInfo"
                  },
                  EnhancedMonitoring: {
                    locationName: "enhancedMonitoring"
                  },
                  OpenMonitoring: {
                    shape: "S13",
                    locationName: "openMonitoring"
                  },
                  KafkaVersion: {
                    locationName: "kafkaVersion"
                  },
                  LoggingInfo: {
                    shape: "S18",
                    locationName: "loggingInfo"
                  },
                  NumberOfBrokerNodes: {
                    locationName: "numberOfBrokerNodes",
                    type: "integer"
                  },
                  StorageMode: {
                    locationName: "storageMode"
                  }
                },
                required: [
                  "BrokerNodeGroupInfo",
                  "KafkaVersion",
                  "NumberOfBrokerNodes"
                ]
              },
              Serverless: {
                locationName: "serverless",
                type: "structure",
                members: {
                  VpcConfigs: {
                    shape: "S1l",
                    locationName: "vpcConfigs"
                  },
                  ClientAuthentication: {
                    shape: "S1n",
                    locationName: "clientAuthentication"
                  }
                },
                required: [
                  "VpcConfigs"
                ]
              }
            },
            required: [
              "ClusterName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterArn: {
                locationName: "clusterArn"
              },
              ClusterName: {
                locationName: "clusterName"
              },
              State: {
                locationName: "state"
              },
              ClusterType: {
                locationName: "clusterType"
              }
            }
          }
        },
        CreateConfiguration: {
          http: {
            requestUri: "/v1/configurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Description: {
                locationName: "description"
              },
              KafkaVersions: {
                shape: "S3",
                locationName: "kafkaVersions"
              },
              Name: {
                locationName: "name"
              },
              ServerProperties: {
                locationName: "serverProperties",
                type: "blob"
              }
            },
            required: [
              "ServerProperties",
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              CreationTime: {
                shape: "S1u",
                locationName: "creationTime"
              },
              LatestRevision: {
                shape: "S1v",
                locationName: "latestRevision"
              },
              Name: {
                locationName: "name"
              },
              State: {
                locationName: "state"
              }
            }
          }
        },
        CreateVpcConnection: {
          http: {
            requestUri: "/v1/vpc-connection",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              TargetClusterArn: {
                locationName: "targetClusterArn"
              },
              Authentication: {
                locationName: "authentication"
              },
              VpcId: {
                locationName: "vpcId"
              },
              ClientSubnets: {
                shape: "S3",
                locationName: "clientSubnets"
              },
              SecurityGroups: {
                shape: "S3",
                locationName: "securityGroups"
              },
              Tags: {
                shape: "S1e",
                locationName: "tags"
              }
            },
            required: [
              "TargetClusterArn",
              "Authentication",
              "VpcId",
              "ClientSubnets",
              "SecurityGroups"
            ]
          },
          output: {
            type: "structure",
            members: {
              VpcConnectionArn: {
                locationName: "vpcConnectionArn"
              },
              State: {
                locationName: "state"
              },
              Authentication: {
                locationName: "authentication"
              },
              VpcId: {
                locationName: "vpcId"
              },
              ClientSubnets: {
                shape: "S3",
                locationName: "clientSubnets"
              },
              SecurityGroups: {
                shape: "S3",
                locationName: "securityGroups"
              },
              CreationTime: {
                shape: "S1u",
                locationName: "creationTime"
              },
              Tags: {
                shape: "S1e",
                locationName: "tags"
              }
            }
          }
        },
        DeleteCluster: {
          http: {
            method: "DELETE",
            requestUri: "/v1/clusters/{clusterArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              CurrentVersion: {
                location: "querystring",
                locationName: "currentVersion"
              }
            },
            required: [
              "ClusterArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterArn: {
                locationName: "clusterArn"
              },
              State: {
                locationName: "state"
              }
            }
          }
        },
        DeleteClusterPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/v1/clusters/{clusterArn}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              }
            },
            required: [
              "ClusterArn"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/v1/configurations/{arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Arn: {
                location: "uri",
                locationName: "arn"
              }
            },
            required: [
              "Arn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              State: {
                locationName: "state"
              }
            }
          }
        },
        DeleteVpcConnection: {
          http: {
            method: "DELETE",
            requestUri: "/v1/vpc-connection/{arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Arn: {
                location: "uri",
                locationName: "arn"
              }
            },
            required: [
              "Arn"
            ]
          },
          output: {
            type: "structure",
            members: {
              VpcConnectionArn: {
                locationName: "vpcConnectionArn"
              },
              State: {
                locationName: "state"
              }
            }
          }
        },
        DescribeCluster: {
          http: {
            method: "GET",
            requestUri: "/v1/clusters/{clusterArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              }
            },
            required: [
              "ClusterArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterInfo: {
                shape: "S2a",
                locationName: "clusterInfo"
              }
            }
          }
        },
        DescribeClusterV2: {
          http: {
            method: "GET",
            requestUri: "/api/v2/clusters/{clusterArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              }
            },
            required: [
              "ClusterArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterInfo: {
                shape: "S2j",
                locationName: "clusterInfo"
              }
            }
          }
        },
        DescribeClusterOperation: {
          http: {
            method: "GET",
            requestUri: "/v1/operations/{clusterOperationArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterOperationArn: {
                location: "uri",
                locationName: "clusterOperationArn"
              }
            },
            required: [
              "ClusterOperationArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterOperationInfo: {
                shape: "S2o",
                locationName: "clusterOperationInfo"
              }
            }
          }
        },
        DescribeConfiguration: {
          http: {
            method: "GET",
            requestUri: "/v1/configurations/{arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Arn: {
                location: "uri",
                locationName: "arn"
              }
            },
            required: [
              "Arn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              CreationTime: {
                shape: "S1u",
                locationName: "creationTime"
              },
              Description: {
                locationName: "description"
              },
              KafkaVersions: {
                shape: "S3",
                locationName: "kafkaVersions"
              },
              LatestRevision: {
                shape: "S1v",
                locationName: "latestRevision"
              },
              Name: {
                locationName: "name"
              },
              State: {
                locationName: "state"
              }
            }
          }
        },
        DescribeConfigurationRevision: {
          http: {
            method: "GET",
            requestUri: "/v1/configurations/{arn}/revisions/{revision}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Arn: {
                location: "uri",
                locationName: "arn"
              },
              Revision: {
                location: "uri",
                locationName: "revision",
                type: "long"
              }
            },
            required: [
              "Revision",
              "Arn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              CreationTime: {
                shape: "S1u",
                locationName: "creationTime"
              },
              Description: {
                locationName: "description"
              },
              Revision: {
                locationName: "revision",
                type: "long"
              },
              ServerProperties: {
                locationName: "serverProperties",
                type: "blob"
              }
            }
          }
        },
        DescribeVpcConnection: {
          http: {
            method: "GET",
            requestUri: "/v1/vpc-connection/{arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Arn: {
                location: "uri",
                locationName: "arn"
              }
            },
            required: [
              "Arn"
            ]
          },
          output: {
            type: "structure",
            members: {
              VpcConnectionArn: {
                locationName: "vpcConnectionArn"
              },
              TargetClusterArn: {
                locationName: "targetClusterArn"
              },
              State: {
                locationName: "state"
              },
              Authentication: {
                locationName: "authentication"
              },
              VpcId: {
                locationName: "vpcId"
              },
              Subnets: {
                shape: "S3",
                locationName: "subnets"
              },
              SecurityGroups: {
                shape: "S3",
                locationName: "securityGroups"
              },
              CreationTime: {
                shape: "S1u",
                locationName: "creationTime"
              },
              Tags: {
                shape: "S1e",
                locationName: "tags"
              }
            }
          }
        },
        BatchDisassociateScramSecret: {
          http: {
            method: "PATCH",
            requestUri: "/v1/clusters/{clusterArn}/scram-secrets",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              SecretArnList: {
                shape: "S3",
                locationName: "secretArnList"
              }
            },
            required: [
              "ClusterArn",
              "SecretArnList"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterArn: {
                locationName: "clusterArn"
              },
              UnprocessedScramSecrets: {
                shape: "S5",
                locationName: "unprocessedScramSecrets"
              }
            }
          }
        },
        GetBootstrapBrokers: {
          http: {
            method: "GET",
            requestUri: "/v1/clusters/{clusterArn}/bootstrap-brokers",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              }
            },
            required: [
              "ClusterArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              BootstrapBrokerString: {
                locationName: "bootstrapBrokerString"
              },
              BootstrapBrokerStringTls: {
                locationName: "bootstrapBrokerStringTls"
              },
              BootstrapBrokerStringSaslScram: {
                locationName: "bootstrapBrokerStringSaslScram"
              },
              BootstrapBrokerStringSaslIam: {
                locationName: "bootstrapBrokerStringSaslIam"
              },
              BootstrapBrokerStringPublicTls: {
                locationName: "bootstrapBrokerStringPublicTls"
              },
              BootstrapBrokerStringPublicSaslScram: {
                locationName: "bootstrapBrokerStringPublicSaslScram"
              },
              BootstrapBrokerStringPublicSaslIam: {
                locationName: "bootstrapBrokerStringPublicSaslIam"
              },
              BootstrapBrokerStringVpcConnectivityTls: {
                locationName: "bootstrapBrokerStringVpcConnectivityTls"
              },
              BootstrapBrokerStringVpcConnectivitySaslScram: {
                locationName: "bootstrapBrokerStringVpcConnectivitySaslScram"
              },
              BootstrapBrokerStringVpcConnectivitySaslIam: {
                locationName: "bootstrapBrokerStringVpcConnectivitySaslIam"
              }
            }
          }
        },
        GetCompatibleKafkaVersions: {
          http: {
            method: "GET",
            requestUri: "/v1/compatible-kafka-versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "querystring",
                locationName: "clusterArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CompatibleKafkaVersions: {
                locationName: "compatibleKafkaVersions",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SourceVersion: {
                      locationName: "sourceVersion"
                    },
                    TargetVersions: {
                      shape: "S3",
                      locationName: "targetVersions"
                    }
                  }
                }
              }
            }
          }
        },
        GetClusterPolicy: {
          http: {
            method: "GET",
            requestUri: "/v1/clusters/{clusterArn}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              }
            },
            required: [
              "ClusterArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              CurrentVersion: {
                locationName: "currentVersion"
              },
              Policy: {
                locationName: "policy"
              }
            }
          }
        },
        ListClusterOperations: {
          http: {
            method: "GET",
            requestUri: "/v1/clusters/{clusterArn}/operations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "ClusterArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterOperationInfoList: {
                locationName: "clusterOperationInfoList",
                type: "list",
                member: {
                  shape: "S2o"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListClusters: {
          http: {
            method: "GET",
            requestUri: "/v1/clusters",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterNameFilter: {
                location: "querystring",
                locationName: "clusterNameFilter"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ClusterInfoList: {
                locationName: "clusterInfoList",
                type: "list",
                member: {
                  shape: "S2a"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListClustersV2: {
          http: {
            method: "GET",
            requestUri: "/api/v2/clusters",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterNameFilter: {
                location: "querystring",
                locationName: "clusterNameFilter"
              },
              ClusterTypeFilter: {
                location: "querystring",
                locationName: "clusterTypeFilter"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ClusterInfoList: {
                locationName: "clusterInfoList",
                type: "list",
                member: {
                  shape: "S2j"
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListConfigurationRevisions: {
          http: {
            method: "GET",
            requestUri: "/v1/configurations/{arn}/revisions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Arn: {
                location: "uri",
                locationName: "arn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "Arn"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Revisions: {
                locationName: "revisions",
                type: "list",
                member: {
                  shape: "S1v"
                }
              }
            }
          }
        },
        ListConfigurations: {
          http: {
            method: "GET",
            requestUri: "/v1/configurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Configurations: {
                locationName: "configurations",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {
                      locationName: "arn"
                    },
                    CreationTime: {
                      shape: "S1u",
                      locationName: "creationTime"
                    },
                    Description: {
                      locationName: "description"
                    },
                    KafkaVersions: {
                      shape: "S3",
                      locationName: "kafkaVersions"
                    },
                    LatestRevision: {
                      shape: "S1v",
                      locationName: "latestRevision"
                    },
                    Name: {
                      locationName: "name"
                    },
                    State: {
                      locationName: "state"
                    }
                  },
                  required: [
                    "Description",
                    "LatestRevision",
                    "CreationTime",
                    "KafkaVersions",
                    "Arn",
                    "Name",
                    "State"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListKafkaVersions: {
          http: {
            method: "GET",
            requestUri: "/v1/kafka-versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KafkaVersions: {
                locationName: "kafkaVersions",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Version: {
                      locationName: "version"
                    },
                    Status: {
                      locationName: "status"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListNodes: {
          http: {
            method: "GET",
            requestUri: "/v1/clusters/{clusterArn}/nodes",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "ClusterArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              NodeInfoList: {
                locationName: "nodeInfoList",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AddedToClusterTime: {
                      locationName: "addedToClusterTime"
                    },
                    BrokerNodeInfo: {
                      locationName: "brokerNodeInfo",
                      type: "structure",
                      members: {
                        AttachedENIId: {
                          locationName: "attachedENIId"
                        },
                        BrokerId: {
                          locationName: "brokerId",
                          type: "double"
                        },
                        ClientSubnet: {
                          locationName: "clientSubnet"
                        },
                        ClientVpcIpAddress: {
                          locationName: "clientVpcIpAddress"
                        },
                        CurrentBrokerSoftwareInfo: {
                          shape: "S2b",
                          locationName: "currentBrokerSoftwareInfo"
                        },
                        Endpoints: {
                          shape: "S3",
                          locationName: "endpoints"
                        }
                      }
                    },
                    InstanceType: {
                      locationName: "instanceType"
                    },
                    NodeARN: {
                      locationName: "nodeARN"
                    },
                    NodeType: {
                      locationName: "nodeType"
                    },
                    ZookeeperNodeInfo: {
                      locationName: "zookeeperNodeInfo",
                      type: "structure",
                      members: {
                        AttachedENIId: {
                          locationName: "attachedENIId"
                        },
                        ClientVpcIpAddress: {
                          locationName: "clientVpcIpAddress"
                        },
                        Endpoints: {
                          shape: "S3",
                          locationName: "endpoints"
                        },
                        ZookeeperId: {
                          locationName: "zookeeperId",
                          type: "double"
                        },
                        ZookeeperVersion: {
                          locationName: "zookeeperVersion"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ListScramSecrets: {
          http: {
            method: "GET",
            requestUri: "/v1/clusters/{clusterArn}/scram-secrets",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "ClusterArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              SecretArnList: {
                shape: "S3",
                locationName: "secretArnList"
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/v1/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            },
            required: [
              "ResourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S1e",
                locationName: "tags"
              }
            }
          }
        },
        ListClientVpcConnections: {
          http: {
            method: "GET",
            requestUri: "/v1/clusters/{clusterArn}/client-vpc-connections",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "ClusterArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClientVpcConnections: {
                locationName: "clientVpcConnections",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Authentication: {
                      locationName: "authentication"
                    },
                    CreationTime: {
                      shape: "S1u",
                      locationName: "creationTime"
                    },
                    State: {
                      locationName: "state"
                    },
                    VpcConnectionArn: {
                      locationName: "vpcConnectionArn"
                    },
                    Owner: {
                      locationName: "owner"
                    }
                  },
                  required: [
                    "VpcConnectionArn"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListVpcConnections: {
          http: {
            method: "GET",
            requestUri: "/v1/vpc-connections",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpcConnections: {
                locationName: "vpcConnections",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VpcConnectionArn: {
                      locationName: "vpcConnectionArn"
                    },
                    TargetClusterArn: {
                      locationName: "targetClusterArn"
                    },
                    CreationTime: {
                      shape: "S1u",
                      locationName: "creationTime"
                    },
                    Authentication: {
                      locationName: "authentication"
                    },
                    VpcId: {
                      locationName: "vpcId"
                    },
                    State: {
                      locationName: "state"
                    }
                  },
                  required: [
                    "VpcConnectionArn",
                    "TargetClusterArn"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        RejectClientVpcConnection: {
          http: {
            method: "PUT",
            requestUri: "/v1/clusters/{clusterArn}/client-vpc-connection",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              VpcConnectionArn: {
                locationName: "vpcConnectionArn"
              }
            },
            required: [
              "VpcConnectionArn",
              "ClusterArn"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutClusterPolicy: {
          http: {
            method: "PUT",
            requestUri: "/v1/clusters/{clusterArn}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              CurrentVersion: {
                locationName: "currentVersion"
              },
              Policy: {
                locationName: "policy"
              }
            },
            required: [
              "ClusterArn",
              "Policy"
            ]
          },
          output: {
            type: "structure",
            members: {
              CurrentVersion: {
                locationName: "currentVersion"
              }
            }
          }
        },
        RebootBroker: {
          http: {
            method: "PUT",
            requestUri: "/v1/clusters/{clusterArn}/reboot-broker",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BrokerIds: {
                shape: "S3",
                locationName: "brokerIds"
              },
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              }
            },
            required: [
              "ClusterArn",
              "BrokerIds"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterArn: {
                locationName: "clusterArn"
              },
              ClusterOperationArn: {
                locationName: "clusterOperationArn"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/v1/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              Tags: {
                shape: "S1e",
                locationName: "tags"
              }
            },
            required: [
              "ResourceArn",
              "Tags"
            ]
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/v1/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              TagKeys: {
                shape: "S3",
                location: "querystring",
                locationName: "tagKeys"
              }
            },
            required: [
              "TagKeys",
              "ResourceArn"
            ]
          }
        },
        UpdateBrokerCount: {
          http: {
            method: "PUT",
            requestUri: "/v1/clusters/{clusterArn}/nodes/count",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              CurrentVersion: {
                locationName: "currentVersion"
              },
              TargetNumberOfBrokerNodes: {
                locationName: "targetNumberOfBrokerNodes",
                type: "integer"
              }
            },
            required: [
              "ClusterArn",
              "CurrentVersion",
              "TargetNumberOfBrokerNodes"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterArn: {
                locationName: "clusterArn"
              },
              ClusterOperationArn: {
                locationName: "clusterOperationArn"
              }
            }
          }
        },
        UpdateBrokerType: {
          http: {
            method: "PUT",
            requestUri: "/v1/clusters/{clusterArn}/nodes/type",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              CurrentVersion: {
                locationName: "currentVersion"
              },
              TargetInstanceType: {
                locationName: "targetInstanceType"
              }
            },
            required: [
              "ClusterArn",
              "CurrentVersion",
              "TargetInstanceType"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterArn: {
                locationName: "clusterArn"
              },
              ClusterOperationArn: {
                locationName: "clusterOperationArn"
              }
            }
          }
        },
        UpdateBrokerStorage: {
          http: {
            method: "PUT",
            requestUri: "/v1/clusters/{clusterArn}/nodes/storage",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              CurrentVersion: {
                locationName: "currentVersion"
              },
              TargetBrokerEBSVolumeInfo: {
                shape: "S2u",
                locationName: "targetBrokerEBSVolumeInfo"
              }
            },
            required: [
              "ClusterArn",
              "TargetBrokerEBSVolumeInfo",
              "CurrentVersion"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterArn: {
                locationName: "clusterArn"
              },
              ClusterOperationArn: {
                locationName: "clusterOperationArn"
              }
            }
          }
        },
        UpdateConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/v1/configurations/{arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Arn: {
                location: "uri",
                locationName: "arn"
              },
              Description: {
                locationName: "description"
              },
              ServerProperties: {
                locationName: "serverProperties",
                type: "blob"
              }
            },
            required: [
              "Arn",
              "ServerProperties"
            ]
          },
          output: {
            type: "structure",
            members: {
              Arn: {
                locationName: "arn"
              },
              LatestRevision: {
                shape: "S1v",
                locationName: "latestRevision"
              }
            }
          }
        },
        UpdateConnectivity: {
          http: {
            method: "PUT",
            requestUri: "/v1/clusters/{clusterArn}/connectivity",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              ConnectivityInfo: {
                shape: "Sh",
                locationName: "connectivityInfo"
              },
              CurrentVersion: {
                locationName: "currentVersion"
              }
            },
            required: [
              "ClusterArn",
              "ConnectivityInfo",
              "CurrentVersion"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterArn: {
                locationName: "clusterArn"
              },
              ClusterOperationArn: {
                locationName: "clusterOperationArn"
              }
            }
          }
        },
        UpdateClusterConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/v1/clusters/{clusterArn}/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              ConfigurationInfo: {
                shape: "Sw",
                locationName: "configurationInfo"
              },
              CurrentVersion: {
                locationName: "currentVersion"
              }
            },
            required: [
              "ClusterArn",
              "CurrentVersion",
              "ConfigurationInfo"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterArn: {
                locationName: "clusterArn"
              },
              ClusterOperationArn: {
                locationName: "clusterOperationArn"
              }
            }
          }
        },
        UpdateClusterKafkaVersion: {
          http: {
            method: "PUT",
            requestUri: "/v1/clusters/{clusterArn}/version",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              ConfigurationInfo: {
                shape: "Sw",
                locationName: "configurationInfo"
              },
              CurrentVersion: {
                locationName: "currentVersion"
              },
              TargetKafkaVersion: {
                locationName: "targetKafkaVersion"
              }
            },
            required: [
              "ClusterArn",
              "TargetKafkaVersion",
              "CurrentVersion"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterArn: {
                locationName: "clusterArn"
              },
              ClusterOperationArn: {
                locationName: "clusterOperationArn"
              }
            }
          }
        },
        UpdateMonitoring: {
          http: {
            method: "PUT",
            requestUri: "/v1/clusters/{clusterArn}/monitoring",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              CurrentVersion: {
                locationName: "currentVersion"
              },
              EnhancedMonitoring: {
                locationName: "enhancedMonitoring"
              },
              OpenMonitoring: {
                shape: "S13",
                locationName: "openMonitoring"
              },
              LoggingInfo: {
                shape: "S18",
                locationName: "loggingInfo"
              }
            },
            required: [
              "ClusterArn",
              "CurrentVersion"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterArn: {
                locationName: "clusterArn"
              },
              ClusterOperationArn: {
                locationName: "clusterOperationArn"
              }
            }
          }
        },
        UpdateSecurity: {
          http: {
            method: "PATCH",
            requestUri: "/v1/clusters/{clusterArn}/security",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClientAuthentication: {
                shape: "Sp",
                locationName: "clientAuthentication"
              },
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              CurrentVersion: {
                locationName: "currentVersion"
              },
              EncryptionInfo: {
                shape: "Sy",
                locationName: "encryptionInfo"
              }
            },
            required: [
              "ClusterArn",
              "CurrentVersion"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterArn: {
                locationName: "clusterArn"
              },
              ClusterOperationArn: {
                locationName: "clusterOperationArn"
              }
            }
          }
        },
        UpdateStorage: {
          http: {
            method: "PUT",
            requestUri: "/v1/clusters/{clusterArn}/storage",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              CurrentVersion: {
                locationName: "currentVersion"
              },
              ProvisionedThroughput: {
                shape: "Sd",
                locationName: "provisionedThroughput"
              },
              StorageMode: {
                locationName: "storageMode"
              },
              VolumeSizeGB: {
                locationName: "volumeSizeGB",
                type: "integer"
              }
            },
            required: [
              "ClusterArn",
              "CurrentVersion"
            ]
          },
          output: {
            type: "structure",
            members: {
              ClusterArn: {
                locationName: "clusterArn"
              },
              ClusterOperationArn: {
                locationName: "clusterOperationArn"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {}
        },
        S5: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ErrorCode: {
                locationName: "errorCode"
              },
              ErrorMessage: {
                locationName: "errorMessage"
              },
              SecretArn: {
                locationName: "secretArn"
              }
            }
          }
        },
        S8: {
          type: "structure",
          members: {
            BrokerAZDistribution: {
              locationName: "brokerAZDistribution"
            },
            ClientSubnets: {
              shape: "S3",
              locationName: "clientSubnets"
            },
            InstanceType: {
              locationName: "instanceType"
            },
            SecurityGroups: {
              shape: "S3",
              locationName: "securityGroups"
            },
            StorageInfo: {
              locationName: "storageInfo",
              type: "structure",
              members: {
                EbsStorageInfo: {
                  locationName: "ebsStorageInfo",
                  type: "structure",
                  members: {
                    ProvisionedThroughput: {
                      shape: "Sd",
                      locationName: "provisionedThroughput"
                    },
                    VolumeSize: {
                      locationName: "volumeSize",
                      type: "integer"
                    }
                  }
                }
              }
            },
            ConnectivityInfo: {
              shape: "Sh",
              locationName: "connectivityInfo"
            },
            ZoneIds: {
              shape: "S3",
              locationName: "zoneIds"
            }
          },
          required: [
            "ClientSubnets",
            "InstanceType"
          ]
        },
        Sd: {
          type: "structure",
          members: {
            Enabled: {
              locationName: "enabled",
              type: "boolean"
            },
            VolumeThroughput: {
              locationName: "volumeThroughput",
              type: "integer"
            }
          }
        },
        Sh: {
          type: "structure",
          members: {
            PublicAccess: {
              locationName: "publicAccess",
              type: "structure",
              members: {
                Type: {
                  locationName: "type"
                }
              }
            },
            VpcConnectivity: {
              locationName: "vpcConnectivity",
              type: "structure",
              members: {
                ClientAuthentication: {
                  locationName: "clientAuthentication",
                  type: "structure",
                  members: {
                    Sasl: {
                      locationName: "sasl",
                      type: "structure",
                      members: {
                        Scram: {
                          locationName: "scram",
                          type: "structure",
                          members: {
                            Enabled: {
                              locationName: "enabled",
                              type: "boolean"
                            }
                          }
                        },
                        Iam: {
                          locationName: "iam",
                          type: "structure",
                          members: {
                            Enabled: {
                              locationName: "enabled",
                              type: "boolean"
                            }
                          }
                        }
                      }
                    },
                    Tls: {
                      locationName: "tls",
                      type: "structure",
                      members: {
                        Enabled: {
                          locationName: "enabled",
                          type: "boolean"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sp: {
          type: "structure",
          members: {
            Sasl: {
              locationName: "sasl",
              type: "structure",
              members: {
                Scram: {
                  locationName: "scram",
                  type: "structure",
                  members: {
                    Enabled: {
                      locationName: "enabled",
                      type: "boolean"
                    }
                  }
                },
                Iam: {
                  shape: "Ss",
                  locationName: "iam"
                }
              }
            },
            Tls: {
              locationName: "tls",
              type: "structure",
              members: {
                CertificateAuthorityArnList: {
                  shape: "S3",
                  locationName: "certificateAuthorityArnList"
                },
                Enabled: {
                  locationName: "enabled",
                  type: "boolean"
                }
              }
            },
            Unauthenticated: {
              locationName: "unauthenticated",
              type: "structure",
              members: {
                Enabled: {
                  locationName: "enabled",
                  type: "boolean"
                }
              }
            }
          }
        },
        Ss: {
          type: "structure",
          members: {
            Enabled: {
              locationName: "enabled",
              type: "boolean"
            }
          }
        },
        Sw: {
          type: "structure",
          members: {
            Arn: {
              locationName: "arn"
            },
            Revision: {
              locationName: "revision",
              type: "long"
            }
          },
          required: [
            "Revision",
            "Arn"
          ]
        },
        Sy: {
          type: "structure",
          members: {
            EncryptionAtRest: {
              locationName: "encryptionAtRest",
              type: "structure",
              members: {
                DataVolumeKMSKeyId: {
                  locationName: "dataVolumeKMSKeyId"
                }
              },
              required: [
                "DataVolumeKMSKeyId"
              ]
            },
            EncryptionInTransit: {
              locationName: "encryptionInTransit",
              type: "structure",
              members: {
                ClientBroker: {
                  locationName: "clientBroker"
                },
                InCluster: {
                  locationName: "inCluster",
                  type: "boolean"
                }
              }
            }
          }
        },
        S13: {
          type: "structure",
          members: {
            Prometheus: {
              locationName: "prometheus",
              type: "structure",
              members: {
                JmxExporter: {
                  locationName: "jmxExporter",
                  type: "structure",
                  members: {
                    EnabledInBroker: {
                      locationName: "enabledInBroker",
                      type: "boolean"
                    }
                  },
                  required: [
                    "EnabledInBroker"
                  ]
                },
                NodeExporter: {
                  locationName: "nodeExporter",
                  type: "structure",
                  members: {
                    EnabledInBroker: {
                      locationName: "enabledInBroker",
                      type: "boolean"
                    }
                  },
                  required: [
                    "EnabledInBroker"
                  ]
                }
              }
            }
          },
          required: [
            "Prometheus"
          ]
        },
        S18: {
          type: "structure",
          members: {
            BrokerLogs: {
              locationName: "brokerLogs",
              type: "structure",
              members: {
                CloudWatchLogs: {
                  locationName: "cloudWatchLogs",
                  type: "structure",
                  members: {
                    Enabled: {
                      locationName: "enabled",
                      type: "boolean"
                    },
                    LogGroup: {
                      locationName: "logGroup"
                    }
                  },
                  required: [
                    "Enabled"
                  ]
                },
                Firehose: {
                  locationName: "firehose",
                  type: "structure",
                  members: {
                    DeliveryStream: {
                      locationName: "deliveryStream"
                    },
                    Enabled: {
                      locationName: "enabled",
                      type: "boolean"
                    }
                  },
                  required: [
                    "Enabled"
                  ]
                },
                S3: {
                  locationName: "s3",
                  type: "structure",
                  members: {
                    Bucket: {
                      locationName: "bucket"
                    },
                    Enabled: {
                      locationName: "enabled",
                      type: "boolean"
                    },
                    Prefix: {
                      locationName: "prefix"
                    }
                  },
                  required: [
                    "Enabled"
                  ]
                }
              }
            }
          },
          required: [
            "BrokerLogs"
          ]
        },
        S1e: {
          type: "map",
          key: {},
          value: {}
        },
        S1l: {
          type: "list",
          member: {
            type: "structure",
            members: {
              SubnetIds: {
                shape: "S3",
                locationName: "subnetIds"
              },
              SecurityGroupIds: {
                shape: "S3",
                locationName: "securityGroupIds"
              }
            },
            required: [
              "SubnetIds"
            ]
          }
        },
        S1n: {
          type: "structure",
          members: {
            Sasl: {
              locationName: "sasl",
              type: "structure",
              members: {
                Iam: {
                  shape: "Ss",
                  locationName: "iam"
                }
              }
            }
          }
        },
        S1u: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S1v: {
          type: "structure",
          members: {
            CreationTime: {
              shape: "S1u",
              locationName: "creationTime"
            },
            Description: {
              locationName: "description"
            },
            Revision: {
              locationName: "revision",
              type: "long"
            }
          },
          required: [
            "Revision",
            "CreationTime"
          ]
        },
        S2a: {
          type: "structure",
          members: {
            ActiveOperationArn: {
              locationName: "activeOperationArn"
            },
            BrokerNodeGroupInfo: {
              shape: "S8",
              locationName: "brokerNodeGroupInfo"
            },
            ClientAuthentication: {
              shape: "Sp",
              locationName: "clientAuthentication"
            },
            ClusterArn: {
              locationName: "clusterArn"
            },
            ClusterName: {
              locationName: "clusterName"
            },
            CreationTime: {
              shape: "S1u",
              locationName: "creationTime"
            },
            CurrentBrokerSoftwareInfo: {
              shape: "S2b",
              locationName: "currentBrokerSoftwareInfo"
            },
            CurrentVersion: {
              locationName: "currentVersion"
            },
            EncryptionInfo: {
              shape: "Sy",
              locationName: "encryptionInfo"
            },
            EnhancedMonitoring: {
              locationName: "enhancedMonitoring"
            },
            OpenMonitoring: {
              shape: "S2c",
              locationName: "openMonitoring"
            },
            LoggingInfo: {
              shape: "S18",
              locationName: "loggingInfo"
            },
            NumberOfBrokerNodes: {
              locationName: "numberOfBrokerNodes",
              type: "integer"
            },
            State: {
              locationName: "state"
            },
            StateInfo: {
              shape: "S2g",
              locationName: "stateInfo"
            },
            Tags: {
              shape: "S1e",
              locationName: "tags"
            },
            ZookeeperConnectString: {
              locationName: "zookeeperConnectString"
            },
            ZookeeperConnectStringTls: {
              locationName: "zookeeperConnectStringTls"
            },
            StorageMode: {
              locationName: "storageMode"
            }
          }
        },
        S2b: {
          type: "structure",
          members: {
            ConfigurationArn: {
              locationName: "configurationArn"
            },
            ConfigurationRevision: {
              locationName: "configurationRevision",
              type: "long"
            },
            KafkaVersion: {
              locationName: "kafkaVersion"
            }
          }
        },
        S2c: {
          type: "structure",
          members: {
            Prometheus: {
              locationName: "prometheus",
              type: "structure",
              members: {
                JmxExporter: {
                  locationName: "jmxExporter",
                  type: "structure",
                  members: {
                    EnabledInBroker: {
                      locationName: "enabledInBroker",
                      type: "boolean"
                    }
                  },
                  required: [
                    "EnabledInBroker"
                  ]
                },
                NodeExporter: {
                  locationName: "nodeExporter",
                  type: "structure",
                  members: {
                    EnabledInBroker: {
                      locationName: "enabledInBroker",
                      type: "boolean"
                    }
                  },
                  required: [
                    "EnabledInBroker"
                  ]
                }
              }
            }
          },
          required: [
            "Prometheus"
          ]
        },
        S2g: {
          type: "structure",
          members: {
            Code: {
              locationName: "code"
            },
            Message: {
              locationName: "message"
            }
          }
        },
        S2j: {
          type: "structure",
          members: {
            ActiveOperationArn: {
              locationName: "activeOperationArn"
            },
            ClusterType: {
              locationName: "clusterType"
            },
            ClusterArn: {
              locationName: "clusterArn"
            },
            ClusterName: {
              locationName: "clusterName"
            },
            CreationTime: {
              shape: "S1u",
              locationName: "creationTime"
            },
            CurrentVersion: {
              locationName: "currentVersion"
            },
            State: {
              locationName: "state"
            },
            StateInfo: {
              shape: "S2g",
              locationName: "stateInfo"
            },
            Tags: {
              shape: "S1e",
              locationName: "tags"
            },
            Provisioned: {
              locationName: "provisioned",
              type: "structure",
              members: {
                BrokerNodeGroupInfo: {
                  shape: "S8",
                  locationName: "brokerNodeGroupInfo"
                },
                CurrentBrokerSoftwareInfo: {
                  shape: "S2b",
                  locationName: "currentBrokerSoftwareInfo"
                },
                ClientAuthentication: {
                  shape: "Sp",
                  locationName: "clientAuthentication"
                },
                EncryptionInfo: {
                  shape: "Sy",
                  locationName: "encryptionInfo"
                },
                EnhancedMonitoring: {
                  locationName: "enhancedMonitoring"
                },
                OpenMonitoring: {
                  shape: "S13",
                  locationName: "openMonitoring"
                },
                LoggingInfo: {
                  shape: "S18",
                  locationName: "loggingInfo"
                },
                NumberOfBrokerNodes: {
                  locationName: "numberOfBrokerNodes",
                  type: "integer"
                },
                ZookeeperConnectString: {
                  locationName: "zookeeperConnectString"
                },
                ZookeeperConnectStringTls: {
                  locationName: "zookeeperConnectStringTls"
                },
                StorageMode: {
                  locationName: "storageMode"
                }
              },
              required: [
                "BrokerNodeGroupInfo",
                "NumberOfBrokerNodes"
              ]
            },
            Serverless: {
              locationName: "serverless",
              type: "structure",
              members: {
                VpcConfigs: {
                  shape: "S1l",
                  locationName: "vpcConfigs"
                },
                ClientAuthentication: {
                  shape: "S1n",
                  locationName: "clientAuthentication"
                }
              },
              required: [
                "VpcConfigs"
              ]
            }
          }
        },
        S2o: {
          type: "structure",
          members: {
            ClientRequestId: {
              locationName: "clientRequestId"
            },
            ClusterArn: {
              locationName: "clusterArn"
            },
            CreationTime: {
              shape: "S1u",
              locationName: "creationTime"
            },
            EndTime: {
              shape: "S1u",
              locationName: "endTime"
            },
            ErrorInfo: {
              locationName: "errorInfo",
              type: "structure",
              members: {
                ErrorCode: {
                  locationName: "errorCode"
                },
                ErrorString: {
                  locationName: "errorString"
                }
              }
            },
            OperationArn: {
              locationName: "operationArn"
            },
            OperationState: {
              locationName: "operationState"
            },
            OperationSteps: {
              locationName: "operationSteps",
              type: "list",
              member: {
                type: "structure",
                members: {
                  StepInfo: {
                    locationName: "stepInfo",
                    type: "structure",
                    members: {
                      StepStatus: {
                        locationName: "stepStatus"
                      }
                    }
                  },
                  StepName: {
                    locationName: "stepName"
                  }
                }
              }
            },
            OperationType: {
              locationName: "operationType"
            },
            SourceClusterInfo: {
              shape: "S2t",
              locationName: "sourceClusterInfo"
            },
            TargetClusterInfo: {
              shape: "S2t",
              locationName: "targetClusterInfo"
            },
            VpcConnectionInfo: {
              locationName: "vpcConnectionInfo",
              type: "structure",
              members: {
                VpcConnectionArn: {
                  locationName: "vpcConnectionArn"
                },
                Owner: {
                  locationName: "owner"
                },
                UserIdentity: {
                  locationName: "userIdentity",
                  type: "structure",
                  members: {
                    Type: {
                      locationName: "type"
                    },
                    PrincipalId: {
                      locationName: "principalId"
                    }
                  }
                },
                CreationTime: {
                  shape: "S1u",
                  locationName: "creationTime"
                }
              }
            }
          }
        },
        S2t: {
          type: "structure",
          members: {
            BrokerEBSVolumeInfo: {
              shape: "S2u",
              locationName: "brokerEBSVolumeInfo"
            },
            ConfigurationInfo: {
              shape: "Sw",
              locationName: "configurationInfo"
            },
            NumberOfBrokerNodes: {
              locationName: "numberOfBrokerNodes",
              type: "integer"
            },
            EnhancedMonitoring: {
              locationName: "enhancedMonitoring"
            },
            OpenMonitoring: {
              shape: "S2c",
              locationName: "openMonitoring"
            },
            KafkaVersion: {
              locationName: "kafkaVersion"
            },
            LoggingInfo: {
              shape: "S18",
              locationName: "loggingInfo"
            },
            InstanceType: {
              locationName: "instanceType"
            },
            ClientAuthentication: {
              shape: "Sp",
              locationName: "clientAuthentication"
            },
            EncryptionInfo: {
              shape: "Sy",
              locationName: "encryptionInfo"
            },
            ConnectivityInfo: {
              shape: "Sh",
              locationName: "connectivityInfo"
            },
            StorageMode: {
              locationName: "storageMode"
            }
          }
        },
        S2u: {
          type: "list",
          member: {
            type: "structure",
            members: {
              KafkaBrokerNodeId: {
                locationName: "kafkaBrokerNodeId"
              },
              ProvisionedThroughput: {
                shape: "Sd",
                locationName: "provisionedThroughput"
              },
              VolumeSizeGB: {
                locationName: "volumeSizeGB",
                type: "integer"
              }
            },
            required: [
              "KafkaBrokerNodeId"
            ]
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/kafka-2018-11-14.paginators.json
var require_kafka_2018_11_14_paginators = __commonJS({
  "node_modules/aws-sdk/apis/kafka-2018-11-14.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListClusters: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ClusterInfoList"
        },
        ListClustersV2: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ClusterInfoList"
        },
        ListConfigurations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Configurations"
        },
        ListKafkaVersions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "KafkaVersions"
        },
        ListNodes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "NodeInfoList"
        },
        ListClusterOperations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ClusterOperationInfoList"
        },
        ListConfigurationRevisions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Revisions"
        },
        ListScramSecrets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "SecretArnList"
        },
        ListVpcConnections: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "VpcConnections"
        },
        ListClientVpcConnections: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ClientVpcConnections"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/kafka.js
var require_kafka = __commonJS({
  "node_modules/aws-sdk/clients/kafka.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["kafka"] = {};
    AWS2.Kafka = Service.defineService("kafka", ["2018-11-14"]);
    Object.defineProperty(apiLoader.services["kafka"], "2018-11-14", {
      get: function get() {
        var model = require_kafka_2018_11_14_min();
        model.paginators = require_kafka_2018_11_14_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Kafka;
  }
});

// node_modules/aws-sdk/apis/apigatewaymanagementapi-2018-11-29.min.json
var require_apigatewaymanagementapi_2018_11_29_min = __commonJS({
  "node_modules/aws-sdk/apis/apigatewaymanagementapi-2018-11-29.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2018-11-29",
        endpointPrefix: "execute-api",
        signingName: "execute-api",
        serviceFullName: "AmazonApiGatewayManagementApi",
        serviceId: "ApiGatewayManagementApi",
        protocol: "rest-json",
        jsonVersion: "1.1",
        uid: "apigatewaymanagementapi-2018-11-29",
        signatureVersion: "v4"
      },
      operations: {
        DeleteConnection: {
          http: {
            method: "DELETE",
            requestUri: "/@connections/{connectionId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ConnectionId: {
                location: "uri",
                locationName: "connectionId"
              }
            },
            required: [
              "ConnectionId"
            ]
          }
        },
        GetConnection: {
          http: {
            method: "GET",
            requestUri: "/@connections/{connectionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ConnectionId: {
                location: "uri",
                locationName: "connectionId"
              }
            },
            required: [
              "ConnectionId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ConnectedAt: {
                shape: "S5",
                locationName: "connectedAt"
              },
              Identity: {
                locationName: "identity",
                type: "structure",
                members: {
                  SourceIp: {
                    locationName: "sourceIp"
                  },
                  UserAgent: {
                    locationName: "userAgent"
                  }
                },
                required: [
                  "SourceIp",
                  "UserAgent"
                ]
              },
              LastActiveAt: {
                shape: "S5",
                locationName: "lastActiveAt"
              }
            }
          }
        },
        PostToConnection: {
          http: {
            requestUri: "/@connections/{connectionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Data: {
                type: "blob"
              },
              ConnectionId: {
                location: "uri",
                locationName: "connectionId"
              }
            },
            required: [
              "ConnectionId",
              "Data"
            ],
            payload: "Data"
          }
        }
      },
      shapes: {
        S5: {
          type: "timestamp",
          timestampFormat: "iso8601"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/apigatewaymanagementapi-2018-11-29.paginators.json
var require_apigatewaymanagementapi_2018_11_29_paginators = __commonJS({
  "node_modules/aws-sdk/apis/apigatewaymanagementapi-2018-11-29.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/apigatewaymanagementapi.js
var require_apigatewaymanagementapi = __commonJS({
  "node_modules/aws-sdk/clients/apigatewaymanagementapi.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["apigatewaymanagementapi"] = {};
    AWS2.ApiGatewayManagementApi = Service.defineService("apigatewaymanagementapi", ["2018-11-29"]);
    Object.defineProperty(apiLoader.services["apigatewaymanagementapi"], "2018-11-29", {
      get: function get() {
        var model = require_apigatewaymanagementapi_2018_11_29_min();
        model.paginators = require_apigatewaymanagementapi_2018_11_29_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ApiGatewayManagementApi;
  }
});

// node_modules/aws-sdk/apis/apigatewayv2-2018-11-29.min.json
var require_apigatewayv2_2018_11_29_min = __commonJS({
  "node_modules/aws-sdk/apis/apigatewayv2-2018-11-29.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2018-11-29",
        endpointPrefix: "apigateway",
        signingName: "apigateway",
        serviceFullName: "AmazonApiGatewayV2",
        serviceId: "ApiGatewayV2",
        protocol: "rest-json",
        jsonVersion: "1.1",
        uid: "apigatewayv2-2018-11-29",
        signatureVersion: "v4"
      },
      operations: {
        CreateApi: {
          http: {
            requestUri: "/v2/apis",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApiKeySelectionExpression: {
                locationName: "apiKeySelectionExpression"
              },
              CorsConfiguration: {
                shape: "S3",
                locationName: "corsConfiguration"
              },
              CredentialsArn: {
                locationName: "credentialsArn"
              },
              Description: {
                locationName: "description"
              },
              DisableSchemaValidation: {
                locationName: "disableSchemaValidation",
                type: "boolean"
              },
              DisableExecuteApiEndpoint: {
                locationName: "disableExecuteApiEndpoint",
                type: "boolean"
              },
              Name: {
                locationName: "name"
              },
              ProtocolType: {
                locationName: "protocolType"
              },
              RouteKey: {
                locationName: "routeKey"
              },
              RouteSelectionExpression: {
                locationName: "routeSelectionExpression"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              },
              Target: {
                locationName: "target"
              },
              Version: {
                locationName: "version"
              }
            },
            required: [
              "ProtocolType",
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiEndpoint: {
                locationName: "apiEndpoint"
              },
              ApiGatewayManaged: {
                locationName: "apiGatewayManaged",
                type: "boolean"
              },
              ApiId: {
                locationName: "apiId"
              },
              ApiKeySelectionExpression: {
                locationName: "apiKeySelectionExpression"
              },
              CorsConfiguration: {
                shape: "S3",
                locationName: "corsConfiguration"
              },
              CreatedDate: {
                shape: "Sl",
                locationName: "createdDate"
              },
              Description: {
                locationName: "description"
              },
              DisableSchemaValidation: {
                locationName: "disableSchemaValidation",
                type: "boolean"
              },
              DisableExecuteApiEndpoint: {
                locationName: "disableExecuteApiEndpoint",
                type: "boolean"
              },
              ImportInfo: {
                shape: "Sm",
                locationName: "importInfo"
              },
              Name: {
                locationName: "name"
              },
              ProtocolType: {
                locationName: "protocolType"
              },
              RouteSelectionExpression: {
                locationName: "routeSelectionExpression"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              },
              Version: {
                locationName: "version"
              },
              Warnings: {
                shape: "Sm",
                locationName: "warnings"
              }
            }
          }
        },
        CreateApiMapping: {
          http: {
            requestUri: "/v2/domainnames/{domainName}/apimappings",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                locationName: "apiId"
              },
              ApiMappingKey: {
                locationName: "apiMappingKey"
              },
              DomainName: {
                location: "uri",
                locationName: "domainName"
              },
              Stage: {
                locationName: "stage"
              }
            },
            required: [
              "DomainName",
              "Stage",
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiId: {
                locationName: "apiId"
              },
              ApiMappingId: {
                locationName: "apiMappingId"
              },
              ApiMappingKey: {
                locationName: "apiMappingKey"
              },
              Stage: {
                locationName: "stage"
              }
            }
          }
        },
        CreateAuthorizer: {
          http: {
            requestUri: "/v2/apis/{apiId}/authorizers",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              AuthorizerCredentialsArn: {
                locationName: "authorizerCredentialsArn"
              },
              AuthorizerPayloadFormatVersion: {
                locationName: "authorizerPayloadFormatVersion"
              },
              AuthorizerResultTtlInSeconds: {
                locationName: "authorizerResultTtlInSeconds",
                type: "integer"
              },
              AuthorizerType: {
                locationName: "authorizerType"
              },
              AuthorizerUri: {
                locationName: "authorizerUri"
              },
              EnableSimpleResponses: {
                locationName: "enableSimpleResponses",
                type: "boolean"
              },
              IdentitySource: {
                shape: "Ss",
                locationName: "identitySource"
              },
              IdentityValidationExpression: {
                locationName: "identityValidationExpression"
              },
              JwtConfiguration: {
                shape: "St",
                locationName: "jwtConfiguration"
              },
              Name: {
                locationName: "name"
              }
            },
            required: [
              "ApiId",
              "AuthorizerType",
              "IdentitySource",
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              AuthorizerCredentialsArn: {
                locationName: "authorizerCredentialsArn"
              },
              AuthorizerId: {
                locationName: "authorizerId"
              },
              AuthorizerPayloadFormatVersion: {
                locationName: "authorizerPayloadFormatVersion"
              },
              AuthorizerResultTtlInSeconds: {
                locationName: "authorizerResultTtlInSeconds",
                type: "integer"
              },
              AuthorizerType: {
                locationName: "authorizerType"
              },
              AuthorizerUri: {
                locationName: "authorizerUri"
              },
              EnableSimpleResponses: {
                locationName: "enableSimpleResponses",
                type: "boolean"
              },
              IdentitySource: {
                shape: "Ss",
                locationName: "identitySource"
              },
              IdentityValidationExpression: {
                locationName: "identityValidationExpression"
              },
              JwtConfiguration: {
                shape: "St",
                locationName: "jwtConfiguration"
              },
              Name: {
                locationName: "name"
              }
            }
          }
        },
        CreateDeployment: {
          http: {
            requestUri: "/v2/apis/{apiId}/deployments",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              Description: {
                locationName: "description"
              },
              StageName: {
                locationName: "stageName"
              }
            },
            required: [
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AutoDeployed: {
                locationName: "autoDeployed",
                type: "boolean"
              },
              CreatedDate: {
                shape: "Sl",
                locationName: "createdDate"
              },
              DeploymentId: {
                locationName: "deploymentId"
              },
              DeploymentStatus: {
                locationName: "deploymentStatus"
              },
              DeploymentStatusMessage: {
                locationName: "deploymentStatusMessage"
              },
              Description: {
                locationName: "description"
              }
            }
          }
        },
        CreateDomainName: {
          http: {
            requestUri: "/v2/domainnames",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              DomainName: {
                locationName: "domainName"
              },
              DomainNameConfigurations: {
                shape: "S10",
                locationName: "domainNameConfigurations"
              },
              MutualTlsAuthentication: {
                shape: "S15",
                locationName: "mutualTlsAuthentication"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              }
            },
            required: [
              "DomainName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiMappingSelectionExpression: {
                locationName: "apiMappingSelectionExpression"
              },
              DomainName: {
                locationName: "domainName"
              },
              DomainNameConfigurations: {
                shape: "S10",
                locationName: "domainNameConfigurations"
              },
              MutualTlsAuthentication: {
                shape: "S17",
                locationName: "mutualTlsAuthentication"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              }
            }
          }
        },
        CreateIntegration: {
          http: {
            requestUri: "/v2/apis/{apiId}/integrations",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              ConnectionId: {
                locationName: "connectionId"
              },
              ConnectionType: {
                locationName: "connectionType"
              },
              ContentHandlingStrategy: {
                locationName: "contentHandlingStrategy"
              },
              CredentialsArn: {
                locationName: "credentialsArn"
              },
              Description: {
                locationName: "description"
              },
              IntegrationMethod: {
                locationName: "integrationMethod"
              },
              IntegrationSubtype: {
                locationName: "integrationSubtype"
              },
              IntegrationType: {
                locationName: "integrationType"
              },
              IntegrationUri: {
                locationName: "integrationUri"
              },
              PassthroughBehavior: {
                locationName: "passthroughBehavior"
              },
              PayloadFormatVersion: {
                locationName: "payloadFormatVersion"
              },
              RequestParameters: {
                shape: "S1e",
                locationName: "requestParameters"
              },
              RequestTemplates: {
                shape: "S1f",
                locationName: "requestTemplates"
              },
              ResponseParameters: {
                shape: "S1h",
                locationName: "responseParameters"
              },
              TemplateSelectionExpression: {
                locationName: "templateSelectionExpression"
              },
              TimeoutInMillis: {
                locationName: "timeoutInMillis",
                type: "integer"
              },
              TlsConfig: {
                shape: "S1j",
                locationName: "tlsConfig"
              }
            },
            required: [
              "ApiId",
              "IntegrationType"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiGatewayManaged: {
                locationName: "apiGatewayManaged",
                type: "boolean"
              },
              ConnectionId: {
                locationName: "connectionId"
              },
              ConnectionType: {
                locationName: "connectionType"
              },
              ContentHandlingStrategy: {
                locationName: "contentHandlingStrategy"
              },
              CredentialsArn: {
                locationName: "credentialsArn"
              },
              Description: {
                locationName: "description"
              },
              IntegrationId: {
                locationName: "integrationId"
              },
              IntegrationMethod: {
                locationName: "integrationMethod"
              },
              IntegrationResponseSelectionExpression: {
                locationName: "integrationResponseSelectionExpression"
              },
              IntegrationSubtype: {
                locationName: "integrationSubtype"
              },
              IntegrationType: {
                locationName: "integrationType"
              },
              IntegrationUri: {
                locationName: "integrationUri"
              },
              PassthroughBehavior: {
                locationName: "passthroughBehavior"
              },
              PayloadFormatVersion: {
                locationName: "payloadFormatVersion"
              },
              RequestParameters: {
                shape: "S1e",
                locationName: "requestParameters"
              },
              RequestTemplates: {
                shape: "S1f",
                locationName: "requestTemplates"
              },
              ResponseParameters: {
                shape: "S1h",
                locationName: "responseParameters"
              },
              TemplateSelectionExpression: {
                locationName: "templateSelectionExpression"
              },
              TimeoutInMillis: {
                locationName: "timeoutInMillis",
                type: "integer"
              },
              TlsConfig: {
                shape: "S1l",
                locationName: "tlsConfig"
              }
            }
          }
        },
        CreateIntegrationResponse: {
          http: {
            requestUri: "/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              ContentHandlingStrategy: {
                locationName: "contentHandlingStrategy"
              },
              IntegrationId: {
                location: "uri",
                locationName: "integrationId"
              },
              IntegrationResponseKey: {
                locationName: "integrationResponseKey"
              },
              ResponseParameters: {
                shape: "S1e",
                locationName: "responseParameters"
              },
              ResponseTemplates: {
                shape: "S1f",
                locationName: "responseTemplates"
              },
              TemplateSelectionExpression: {
                locationName: "templateSelectionExpression"
              }
            },
            required: [
              "ApiId",
              "IntegrationId",
              "IntegrationResponseKey"
            ]
          },
          output: {
            type: "structure",
            members: {
              ContentHandlingStrategy: {
                locationName: "contentHandlingStrategy"
              },
              IntegrationResponseId: {
                locationName: "integrationResponseId"
              },
              IntegrationResponseKey: {
                locationName: "integrationResponseKey"
              },
              ResponseParameters: {
                shape: "S1e",
                locationName: "responseParameters"
              },
              ResponseTemplates: {
                shape: "S1f",
                locationName: "responseTemplates"
              },
              TemplateSelectionExpression: {
                locationName: "templateSelectionExpression"
              }
            }
          }
        },
        CreateModel: {
          http: {
            requestUri: "/v2/apis/{apiId}/models",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              ContentType: {
                locationName: "contentType"
              },
              Description: {
                locationName: "description"
              },
              Name: {
                locationName: "name"
              },
              Schema: {
                locationName: "schema"
              }
            },
            required: [
              "ApiId",
              "Schema",
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              ContentType: {
                locationName: "contentType"
              },
              Description: {
                locationName: "description"
              },
              ModelId: {
                locationName: "modelId"
              },
              Name: {
                locationName: "name"
              },
              Schema: {
                locationName: "schema"
              }
            }
          }
        },
        CreateRoute: {
          http: {
            requestUri: "/v2/apis/{apiId}/routes",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              ApiKeyRequired: {
                locationName: "apiKeyRequired",
                type: "boolean"
              },
              AuthorizationScopes: {
                shape: "S1s",
                locationName: "authorizationScopes"
              },
              AuthorizationType: {
                locationName: "authorizationType"
              },
              AuthorizerId: {
                locationName: "authorizerId"
              },
              ModelSelectionExpression: {
                locationName: "modelSelectionExpression"
              },
              OperationName: {
                locationName: "operationName"
              },
              RequestModels: {
                shape: "S1u",
                locationName: "requestModels"
              },
              RequestParameters: {
                shape: "S1v",
                locationName: "requestParameters"
              },
              RouteKey: {
                locationName: "routeKey"
              },
              RouteResponseSelectionExpression: {
                locationName: "routeResponseSelectionExpression"
              },
              Target: {
                locationName: "target"
              }
            },
            required: [
              "ApiId",
              "RouteKey"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiGatewayManaged: {
                locationName: "apiGatewayManaged",
                type: "boolean"
              },
              ApiKeyRequired: {
                locationName: "apiKeyRequired",
                type: "boolean"
              },
              AuthorizationScopes: {
                shape: "S1s",
                locationName: "authorizationScopes"
              },
              AuthorizationType: {
                locationName: "authorizationType"
              },
              AuthorizerId: {
                locationName: "authorizerId"
              },
              ModelSelectionExpression: {
                locationName: "modelSelectionExpression"
              },
              OperationName: {
                locationName: "operationName"
              },
              RequestModels: {
                shape: "S1u",
                locationName: "requestModels"
              },
              RequestParameters: {
                shape: "S1v",
                locationName: "requestParameters"
              },
              RouteId: {
                locationName: "routeId"
              },
              RouteKey: {
                locationName: "routeKey"
              },
              RouteResponseSelectionExpression: {
                locationName: "routeResponseSelectionExpression"
              },
              Target: {
                locationName: "target"
              }
            }
          }
        },
        CreateRouteResponse: {
          http: {
            requestUri: "/v2/apis/{apiId}/routes/{routeId}/routeresponses",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              ModelSelectionExpression: {
                locationName: "modelSelectionExpression"
              },
              ResponseModels: {
                shape: "S1u",
                locationName: "responseModels"
              },
              ResponseParameters: {
                shape: "S1v",
                locationName: "responseParameters"
              },
              RouteId: {
                location: "uri",
                locationName: "routeId"
              },
              RouteResponseKey: {
                locationName: "routeResponseKey"
              }
            },
            required: [
              "ApiId",
              "RouteId",
              "RouteResponseKey"
            ]
          },
          output: {
            type: "structure",
            members: {
              ModelSelectionExpression: {
                locationName: "modelSelectionExpression"
              },
              ResponseModels: {
                shape: "S1u",
                locationName: "responseModels"
              },
              ResponseParameters: {
                shape: "S1v",
                locationName: "responseParameters"
              },
              RouteResponseId: {
                locationName: "routeResponseId"
              },
              RouteResponseKey: {
                locationName: "routeResponseKey"
              }
            }
          }
        },
        CreateStage: {
          http: {
            requestUri: "/v2/apis/{apiId}/stages",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              AccessLogSettings: {
                shape: "S21",
                locationName: "accessLogSettings"
              },
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              AutoDeploy: {
                locationName: "autoDeploy",
                type: "boolean"
              },
              ClientCertificateId: {
                locationName: "clientCertificateId"
              },
              DefaultRouteSettings: {
                shape: "S22",
                locationName: "defaultRouteSettings"
              },
              DeploymentId: {
                locationName: "deploymentId"
              },
              Description: {
                locationName: "description"
              },
              RouteSettings: {
                shape: "S26",
                locationName: "routeSettings"
              },
              StageName: {
                locationName: "stageName"
              },
              StageVariables: {
                shape: "S27",
                locationName: "stageVariables"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              }
            },
            required: [
              "ApiId",
              "StageName"
            ]
          },
          output: {
            type: "structure",
            members: {
              AccessLogSettings: {
                shape: "S21",
                locationName: "accessLogSettings"
              },
              ApiGatewayManaged: {
                locationName: "apiGatewayManaged",
                type: "boolean"
              },
              AutoDeploy: {
                locationName: "autoDeploy",
                type: "boolean"
              },
              ClientCertificateId: {
                locationName: "clientCertificateId"
              },
              CreatedDate: {
                shape: "Sl",
                locationName: "createdDate"
              },
              DefaultRouteSettings: {
                shape: "S22",
                locationName: "defaultRouteSettings"
              },
              DeploymentId: {
                locationName: "deploymentId"
              },
              Description: {
                locationName: "description"
              },
              LastDeploymentStatusMessage: {
                locationName: "lastDeploymentStatusMessage"
              },
              LastUpdatedDate: {
                shape: "Sl",
                locationName: "lastUpdatedDate"
              },
              RouteSettings: {
                shape: "S26",
                locationName: "routeSettings"
              },
              StageName: {
                locationName: "stageName"
              },
              StageVariables: {
                shape: "S27",
                locationName: "stageVariables"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              }
            }
          }
        },
        CreateVpcLink: {
          http: {
            requestUri: "/v2/vpclinks",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              Name: {
                locationName: "name"
              },
              SecurityGroupIds: {
                shape: "S2b",
                locationName: "securityGroupIds"
              },
              SubnetIds: {
                shape: "S2c",
                locationName: "subnetIds"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              }
            },
            required: [
              "SubnetIds",
              "Name"
            ]
          },
          output: {
            type: "structure",
            members: {
              CreatedDate: {
                shape: "Sl",
                locationName: "createdDate"
              },
              Name: {
                locationName: "name"
              },
              SecurityGroupIds: {
                shape: "S2b",
                locationName: "securityGroupIds"
              },
              SubnetIds: {
                shape: "S2c",
                locationName: "subnetIds"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              },
              VpcLinkId: {
                locationName: "vpcLinkId"
              },
              VpcLinkStatus: {
                locationName: "vpcLinkStatus"
              },
              VpcLinkStatusMessage: {
                locationName: "vpcLinkStatusMessage"
              },
              VpcLinkVersion: {
                locationName: "vpcLinkVersion"
              }
            }
          }
        },
        DeleteAccessLogSettings: {
          http: {
            method: "DELETE",
            requestUri: "/v2/apis/{apiId}/stages/{stageName}/accesslogsettings",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              StageName: {
                location: "uri",
                locationName: "stageName"
              }
            },
            required: [
              "StageName",
              "ApiId"
            ]
          }
        },
        DeleteApi: {
          http: {
            method: "DELETE",
            requestUri: "/v2/apis/{apiId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              }
            },
            required: [
              "ApiId"
            ]
          }
        },
        DeleteApiMapping: {
          http: {
            method: "DELETE",
            requestUri: "/v2/domainnames/{domainName}/apimappings/{apiMappingId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApiMappingId: {
                location: "uri",
                locationName: "apiMappingId"
              },
              DomainName: {
                location: "uri",
                locationName: "domainName"
              }
            },
            required: [
              "ApiMappingId",
              "DomainName"
            ]
          }
        },
        DeleteAuthorizer: {
          http: {
            method: "DELETE",
            requestUri: "/v2/apis/{apiId}/authorizers/{authorizerId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              AuthorizerId: {
                location: "uri",
                locationName: "authorizerId"
              }
            },
            required: [
              "AuthorizerId",
              "ApiId"
            ]
          }
        },
        DeleteCorsConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/v2/apis/{apiId}/cors",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              }
            },
            required: [
              "ApiId"
            ]
          }
        },
        DeleteDeployment: {
          http: {
            method: "DELETE",
            requestUri: "/v2/apis/{apiId}/deployments/{deploymentId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              DeploymentId: {
                location: "uri",
                locationName: "deploymentId"
              }
            },
            required: [
              "ApiId",
              "DeploymentId"
            ]
          }
        },
        DeleteDomainName: {
          http: {
            method: "DELETE",
            requestUri: "/v2/domainnames/{domainName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              DomainName: {
                location: "uri",
                locationName: "domainName"
              }
            },
            required: [
              "DomainName"
            ]
          }
        },
        DeleteIntegration: {
          http: {
            method: "DELETE",
            requestUri: "/v2/apis/{apiId}/integrations/{integrationId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              IntegrationId: {
                location: "uri",
                locationName: "integrationId"
              }
            },
            required: [
              "ApiId",
              "IntegrationId"
            ]
          }
        },
        DeleteIntegrationResponse: {
          http: {
            method: "DELETE",
            requestUri: "/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses/{integrationResponseId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              IntegrationId: {
                location: "uri",
                locationName: "integrationId"
              },
              IntegrationResponseId: {
                location: "uri",
                locationName: "integrationResponseId"
              }
            },
            required: [
              "ApiId",
              "IntegrationResponseId",
              "IntegrationId"
            ]
          }
        },
        DeleteModel: {
          http: {
            method: "DELETE",
            requestUri: "/v2/apis/{apiId}/models/{modelId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              ModelId: {
                location: "uri",
                locationName: "modelId"
              }
            },
            required: [
              "ModelId",
              "ApiId"
            ]
          }
        },
        DeleteRoute: {
          http: {
            method: "DELETE",
            requestUri: "/v2/apis/{apiId}/routes/{routeId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              RouteId: {
                location: "uri",
                locationName: "routeId"
              }
            },
            required: [
              "ApiId",
              "RouteId"
            ]
          }
        },
        DeleteRouteRequestParameter: {
          http: {
            method: "DELETE",
            requestUri: "/v2/apis/{apiId}/routes/{routeId}/requestparameters/{requestParameterKey}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              RequestParameterKey: {
                location: "uri",
                locationName: "requestParameterKey"
              },
              RouteId: {
                location: "uri",
                locationName: "routeId"
              }
            },
            required: [
              "RequestParameterKey",
              "ApiId",
              "RouteId"
            ]
          }
        },
        DeleteRouteResponse: {
          http: {
            method: "DELETE",
            requestUri: "/v2/apis/{apiId}/routes/{routeId}/routeresponses/{routeResponseId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              RouteId: {
                location: "uri",
                locationName: "routeId"
              },
              RouteResponseId: {
                location: "uri",
                locationName: "routeResponseId"
              }
            },
            required: [
              "RouteResponseId",
              "ApiId",
              "RouteId"
            ]
          }
        },
        DeleteRouteSettings: {
          http: {
            method: "DELETE",
            requestUri: "/v2/apis/{apiId}/stages/{stageName}/routesettings/{routeKey}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              RouteKey: {
                location: "uri",
                locationName: "routeKey"
              },
              StageName: {
                location: "uri",
                locationName: "stageName"
              }
            },
            required: [
              "StageName",
              "RouteKey",
              "ApiId"
            ]
          }
        },
        DeleteStage: {
          http: {
            method: "DELETE",
            requestUri: "/v2/apis/{apiId}/stages/{stageName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              StageName: {
                location: "uri",
                locationName: "stageName"
              }
            },
            required: [
              "StageName",
              "ApiId"
            ]
          }
        },
        DeleteVpcLink: {
          http: {
            method: "DELETE",
            requestUri: "/v2/vpclinks/{vpcLinkId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              VpcLinkId: {
                location: "uri",
                locationName: "vpcLinkId"
              }
            },
            required: [
              "VpcLinkId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ExportApi: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/exports/{specification}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              ExportVersion: {
                location: "querystring",
                locationName: "exportVersion"
              },
              IncludeExtensions: {
                location: "querystring",
                locationName: "includeExtensions",
                type: "boolean"
              },
              OutputType: {
                location: "querystring",
                locationName: "outputType"
              },
              Specification: {
                location: "uri",
                locationName: "specification"
              },
              StageName: {
                location: "querystring",
                locationName: "stageName"
              }
            },
            required: [
              "Specification",
              "OutputType",
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              body: {
                type: "blob"
              }
            },
            payload: "body"
          }
        },
        ResetAuthorizersCache: {
          http: {
            method: "DELETE",
            requestUri: "/v2/apis/{apiId}/stages/{stageName}/cache/authorizers",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              StageName: {
                location: "uri",
                locationName: "stageName"
              }
            },
            required: [
              "StageName",
              "ApiId"
            ]
          }
        },
        GetApi: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              }
            },
            required: [
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiEndpoint: {
                locationName: "apiEndpoint"
              },
              ApiGatewayManaged: {
                locationName: "apiGatewayManaged",
                type: "boolean"
              },
              ApiId: {
                locationName: "apiId"
              },
              ApiKeySelectionExpression: {
                locationName: "apiKeySelectionExpression"
              },
              CorsConfiguration: {
                shape: "S3",
                locationName: "corsConfiguration"
              },
              CreatedDate: {
                shape: "Sl",
                locationName: "createdDate"
              },
              Description: {
                locationName: "description"
              },
              DisableSchemaValidation: {
                locationName: "disableSchemaValidation",
                type: "boolean"
              },
              DisableExecuteApiEndpoint: {
                locationName: "disableExecuteApiEndpoint",
                type: "boolean"
              },
              ImportInfo: {
                shape: "Sm",
                locationName: "importInfo"
              },
              Name: {
                locationName: "name"
              },
              ProtocolType: {
                locationName: "protocolType"
              },
              RouteSelectionExpression: {
                locationName: "routeSelectionExpression"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              },
              Version: {
                locationName: "version"
              },
              Warnings: {
                shape: "Sm",
                locationName: "warnings"
              }
            }
          }
        },
        GetApiMapping: {
          http: {
            method: "GET",
            requestUri: "/v2/domainnames/{domainName}/apimappings/{apiMappingId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiMappingId: {
                location: "uri",
                locationName: "apiMappingId"
              },
              DomainName: {
                location: "uri",
                locationName: "domainName"
              }
            },
            required: [
              "ApiMappingId",
              "DomainName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiId: {
                locationName: "apiId"
              },
              ApiMappingId: {
                locationName: "apiMappingId"
              },
              ApiMappingKey: {
                locationName: "apiMappingKey"
              },
              Stage: {
                locationName: "stage"
              }
            }
          }
        },
        GetApiMappings: {
          http: {
            method: "GET",
            requestUri: "/v2/domainnames/{domainName}/apimappings",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DomainName: {
                location: "uri",
                locationName: "domainName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "DomainName"
            ]
          },
          output: {
            type: "structure",
            members: {
              Items: {
                locationName: "items",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApiId: {
                      locationName: "apiId"
                    },
                    ApiMappingId: {
                      locationName: "apiMappingId"
                    },
                    ApiMappingKey: {
                      locationName: "apiMappingKey"
                    },
                    Stage: {
                      locationName: "stage"
                    }
                  },
                  required: [
                    "Stage",
                    "ApiId"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetApis: {
          http: {
            method: "GET",
            requestUri: "/v2/apis",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                locationName: "items",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApiEndpoint: {
                      locationName: "apiEndpoint"
                    },
                    ApiGatewayManaged: {
                      locationName: "apiGatewayManaged",
                      type: "boolean"
                    },
                    ApiId: {
                      locationName: "apiId"
                    },
                    ApiKeySelectionExpression: {
                      locationName: "apiKeySelectionExpression"
                    },
                    CorsConfiguration: {
                      shape: "S3",
                      locationName: "corsConfiguration"
                    },
                    CreatedDate: {
                      shape: "Sl",
                      locationName: "createdDate"
                    },
                    Description: {
                      locationName: "description"
                    },
                    DisableSchemaValidation: {
                      locationName: "disableSchemaValidation",
                      type: "boolean"
                    },
                    DisableExecuteApiEndpoint: {
                      locationName: "disableExecuteApiEndpoint",
                      type: "boolean"
                    },
                    ImportInfo: {
                      shape: "Sm",
                      locationName: "importInfo"
                    },
                    Name: {
                      locationName: "name"
                    },
                    ProtocolType: {
                      locationName: "protocolType"
                    },
                    RouteSelectionExpression: {
                      locationName: "routeSelectionExpression"
                    },
                    Tags: {
                      shape: "Sg",
                      locationName: "tags"
                    },
                    Version: {
                      locationName: "version"
                    },
                    Warnings: {
                      shape: "Sm",
                      locationName: "warnings"
                    }
                  },
                  required: [
                    "RouteSelectionExpression",
                    "Name",
                    "ProtocolType"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetAuthorizer: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/authorizers/{authorizerId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              AuthorizerId: {
                location: "uri",
                locationName: "authorizerId"
              }
            },
            required: [
              "AuthorizerId",
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AuthorizerCredentialsArn: {
                locationName: "authorizerCredentialsArn"
              },
              AuthorizerId: {
                locationName: "authorizerId"
              },
              AuthorizerPayloadFormatVersion: {
                locationName: "authorizerPayloadFormatVersion"
              },
              AuthorizerResultTtlInSeconds: {
                locationName: "authorizerResultTtlInSeconds",
                type: "integer"
              },
              AuthorizerType: {
                locationName: "authorizerType"
              },
              AuthorizerUri: {
                locationName: "authorizerUri"
              },
              EnableSimpleResponses: {
                locationName: "enableSimpleResponses",
                type: "boolean"
              },
              IdentitySource: {
                shape: "Ss",
                locationName: "identitySource"
              },
              IdentityValidationExpression: {
                locationName: "identityValidationExpression"
              },
              JwtConfiguration: {
                shape: "St",
                locationName: "jwtConfiguration"
              },
              Name: {
                locationName: "name"
              }
            }
          }
        },
        GetAuthorizers: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/authorizers",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Items: {
                locationName: "items",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AuthorizerCredentialsArn: {
                      locationName: "authorizerCredentialsArn"
                    },
                    AuthorizerId: {
                      locationName: "authorizerId"
                    },
                    AuthorizerPayloadFormatVersion: {
                      locationName: "authorizerPayloadFormatVersion"
                    },
                    AuthorizerResultTtlInSeconds: {
                      locationName: "authorizerResultTtlInSeconds",
                      type: "integer"
                    },
                    AuthorizerType: {
                      locationName: "authorizerType"
                    },
                    AuthorizerUri: {
                      locationName: "authorizerUri"
                    },
                    EnableSimpleResponses: {
                      locationName: "enableSimpleResponses",
                      type: "boolean"
                    },
                    IdentitySource: {
                      shape: "Ss",
                      locationName: "identitySource"
                    },
                    IdentityValidationExpression: {
                      locationName: "identityValidationExpression"
                    },
                    JwtConfiguration: {
                      shape: "St",
                      locationName: "jwtConfiguration"
                    },
                    Name: {
                      locationName: "name"
                    }
                  },
                  required: [
                    "Name"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetDeployment: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/deployments/{deploymentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              DeploymentId: {
                location: "uri",
                locationName: "deploymentId"
              }
            },
            required: [
              "ApiId",
              "DeploymentId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AutoDeployed: {
                locationName: "autoDeployed",
                type: "boolean"
              },
              CreatedDate: {
                shape: "Sl",
                locationName: "createdDate"
              },
              DeploymentId: {
                locationName: "deploymentId"
              },
              DeploymentStatus: {
                locationName: "deploymentStatus"
              },
              DeploymentStatusMessage: {
                locationName: "deploymentStatusMessage"
              },
              Description: {
                locationName: "description"
              }
            }
          }
        },
        GetDeployments: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/deployments",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Items: {
                locationName: "items",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AutoDeployed: {
                      locationName: "autoDeployed",
                      type: "boolean"
                    },
                    CreatedDate: {
                      shape: "Sl",
                      locationName: "createdDate"
                    },
                    DeploymentId: {
                      locationName: "deploymentId"
                    },
                    DeploymentStatus: {
                      locationName: "deploymentStatus"
                    },
                    DeploymentStatusMessage: {
                      locationName: "deploymentStatusMessage"
                    },
                    Description: {
                      locationName: "description"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetDomainName: {
          http: {
            method: "GET",
            requestUri: "/v2/domainnames/{domainName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DomainName: {
                location: "uri",
                locationName: "domainName"
              }
            },
            required: [
              "DomainName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiMappingSelectionExpression: {
                locationName: "apiMappingSelectionExpression"
              },
              DomainName: {
                locationName: "domainName"
              },
              DomainNameConfigurations: {
                shape: "S10",
                locationName: "domainNameConfigurations"
              },
              MutualTlsAuthentication: {
                shape: "S17",
                locationName: "mutualTlsAuthentication"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              }
            }
          }
        },
        GetDomainNames: {
          http: {
            method: "GET",
            requestUri: "/v2/domainnames",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                locationName: "items",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApiMappingSelectionExpression: {
                      locationName: "apiMappingSelectionExpression"
                    },
                    DomainName: {
                      locationName: "domainName"
                    },
                    DomainNameConfigurations: {
                      shape: "S10",
                      locationName: "domainNameConfigurations"
                    },
                    MutualTlsAuthentication: {
                      shape: "S17",
                      locationName: "mutualTlsAuthentication"
                    },
                    Tags: {
                      shape: "Sg",
                      locationName: "tags"
                    }
                  },
                  required: [
                    "DomainName"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetIntegration: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/integrations/{integrationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              IntegrationId: {
                location: "uri",
                locationName: "integrationId"
              }
            },
            required: [
              "ApiId",
              "IntegrationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiGatewayManaged: {
                locationName: "apiGatewayManaged",
                type: "boolean"
              },
              ConnectionId: {
                locationName: "connectionId"
              },
              ConnectionType: {
                locationName: "connectionType"
              },
              ContentHandlingStrategy: {
                locationName: "contentHandlingStrategy"
              },
              CredentialsArn: {
                locationName: "credentialsArn"
              },
              Description: {
                locationName: "description"
              },
              IntegrationId: {
                locationName: "integrationId"
              },
              IntegrationMethod: {
                locationName: "integrationMethod"
              },
              IntegrationResponseSelectionExpression: {
                locationName: "integrationResponseSelectionExpression"
              },
              IntegrationSubtype: {
                locationName: "integrationSubtype"
              },
              IntegrationType: {
                locationName: "integrationType"
              },
              IntegrationUri: {
                locationName: "integrationUri"
              },
              PassthroughBehavior: {
                locationName: "passthroughBehavior"
              },
              PayloadFormatVersion: {
                locationName: "payloadFormatVersion"
              },
              RequestParameters: {
                shape: "S1e",
                locationName: "requestParameters"
              },
              RequestTemplates: {
                shape: "S1f",
                locationName: "requestTemplates"
              },
              ResponseParameters: {
                shape: "S1h",
                locationName: "responseParameters"
              },
              TemplateSelectionExpression: {
                locationName: "templateSelectionExpression"
              },
              TimeoutInMillis: {
                locationName: "timeoutInMillis",
                type: "integer"
              },
              TlsConfig: {
                shape: "S1l",
                locationName: "tlsConfig"
              }
            }
          }
        },
        GetIntegrationResponse: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses/{integrationResponseId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              IntegrationId: {
                location: "uri",
                locationName: "integrationId"
              },
              IntegrationResponseId: {
                location: "uri",
                locationName: "integrationResponseId"
              }
            },
            required: [
              "ApiId",
              "IntegrationResponseId",
              "IntegrationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ContentHandlingStrategy: {
                locationName: "contentHandlingStrategy"
              },
              IntegrationResponseId: {
                locationName: "integrationResponseId"
              },
              IntegrationResponseKey: {
                locationName: "integrationResponseKey"
              },
              ResponseParameters: {
                shape: "S1e",
                locationName: "responseParameters"
              },
              ResponseTemplates: {
                shape: "S1f",
                locationName: "responseTemplates"
              },
              TemplateSelectionExpression: {
                locationName: "templateSelectionExpression"
              }
            }
          }
        },
        GetIntegrationResponses: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              IntegrationId: {
                location: "uri",
                locationName: "integrationId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "IntegrationId",
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Items: {
                locationName: "items",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ContentHandlingStrategy: {
                      locationName: "contentHandlingStrategy"
                    },
                    IntegrationResponseId: {
                      locationName: "integrationResponseId"
                    },
                    IntegrationResponseKey: {
                      locationName: "integrationResponseKey"
                    },
                    ResponseParameters: {
                      shape: "S1e",
                      locationName: "responseParameters"
                    },
                    ResponseTemplates: {
                      shape: "S1f",
                      locationName: "responseTemplates"
                    },
                    TemplateSelectionExpression: {
                      locationName: "templateSelectionExpression"
                    }
                  },
                  required: [
                    "IntegrationResponseKey"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetIntegrations: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/integrations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Items: {
                locationName: "items",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApiGatewayManaged: {
                      locationName: "apiGatewayManaged",
                      type: "boolean"
                    },
                    ConnectionId: {
                      locationName: "connectionId"
                    },
                    ConnectionType: {
                      locationName: "connectionType"
                    },
                    ContentHandlingStrategy: {
                      locationName: "contentHandlingStrategy"
                    },
                    CredentialsArn: {
                      locationName: "credentialsArn"
                    },
                    Description: {
                      locationName: "description"
                    },
                    IntegrationId: {
                      locationName: "integrationId"
                    },
                    IntegrationMethod: {
                      locationName: "integrationMethod"
                    },
                    IntegrationResponseSelectionExpression: {
                      locationName: "integrationResponseSelectionExpression"
                    },
                    IntegrationSubtype: {
                      locationName: "integrationSubtype"
                    },
                    IntegrationType: {
                      locationName: "integrationType"
                    },
                    IntegrationUri: {
                      locationName: "integrationUri"
                    },
                    PassthroughBehavior: {
                      locationName: "passthroughBehavior"
                    },
                    PayloadFormatVersion: {
                      locationName: "payloadFormatVersion"
                    },
                    RequestParameters: {
                      shape: "S1e",
                      locationName: "requestParameters"
                    },
                    RequestTemplates: {
                      shape: "S1f",
                      locationName: "requestTemplates"
                    },
                    ResponseParameters: {
                      shape: "S1h",
                      locationName: "responseParameters"
                    },
                    TemplateSelectionExpression: {
                      locationName: "templateSelectionExpression"
                    },
                    TimeoutInMillis: {
                      locationName: "timeoutInMillis",
                      type: "integer"
                    },
                    TlsConfig: {
                      shape: "S1l",
                      locationName: "tlsConfig"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetModel: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/models/{modelId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              ModelId: {
                location: "uri",
                locationName: "modelId"
              }
            },
            required: [
              "ModelId",
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ContentType: {
                locationName: "contentType"
              },
              Description: {
                locationName: "description"
              },
              ModelId: {
                locationName: "modelId"
              },
              Name: {
                locationName: "name"
              },
              Schema: {
                locationName: "schema"
              }
            }
          }
        },
        GetModelTemplate: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/models/{modelId}/template",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              ModelId: {
                location: "uri",
                locationName: "modelId"
              }
            },
            required: [
              "ModelId",
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Value: {
                locationName: "value"
              }
            }
          }
        },
        GetModels: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/models",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Items: {
                locationName: "items",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ContentType: {
                      locationName: "contentType"
                    },
                    Description: {
                      locationName: "description"
                    },
                    ModelId: {
                      locationName: "modelId"
                    },
                    Name: {
                      locationName: "name"
                    },
                    Schema: {
                      locationName: "schema"
                    }
                  },
                  required: [
                    "Name"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetRoute: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/routes/{routeId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              RouteId: {
                location: "uri",
                locationName: "routeId"
              }
            },
            required: [
              "ApiId",
              "RouteId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiGatewayManaged: {
                locationName: "apiGatewayManaged",
                type: "boolean"
              },
              ApiKeyRequired: {
                locationName: "apiKeyRequired",
                type: "boolean"
              },
              AuthorizationScopes: {
                shape: "S1s",
                locationName: "authorizationScopes"
              },
              AuthorizationType: {
                locationName: "authorizationType"
              },
              AuthorizerId: {
                locationName: "authorizerId"
              },
              ModelSelectionExpression: {
                locationName: "modelSelectionExpression"
              },
              OperationName: {
                locationName: "operationName"
              },
              RequestModels: {
                shape: "S1u",
                locationName: "requestModels"
              },
              RequestParameters: {
                shape: "S1v",
                locationName: "requestParameters"
              },
              RouteId: {
                locationName: "routeId"
              },
              RouteKey: {
                locationName: "routeKey"
              },
              RouteResponseSelectionExpression: {
                locationName: "routeResponseSelectionExpression"
              },
              Target: {
                locationName: "target"
              }
            }
          }
        },
        GetRouteResponse: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/routes/{routeId}/routeresponses/{routeResponseId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              RouteId: {
                location: "uri",
                locationName: "routeId"
              },
              RouteResponseId: {
                location: "uri",
                locationName: "routeResponseId"
              }
            },
            required: [
              "RouteResponseId",
              "ApiId",
              "RouteId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ModelSelectionExpression: {
                locationName: "modelSelectionExpression"
              },
              ResponseModels: {
                shape: "S1u",
                locationName: "responseModels"
              },
              ResponseParameters: {
                shape: "S1v",
                locationName: "responseParameters"
              },
              RouteResponseId: {
                locationName: "routeResponseId"
              },
              RouteResponseKey: {
                locationName: "routeResponseKey"
              }
            }
          }
        },
        GetRouteResponses: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/routes/{routeId}/routeresponses",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              RouteId: {
                location: "uri",
                locationName: "routeId"
              }
            },
            required: [
              "RouteId",
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Items: {
                locationName: "items",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ModelSelectionExpression: {
                      locationName: "modelSelectionExpression"
                    },
                    ResponseModels: {
                      shape: "S1u",
                      locationName: "responseModels"
                    },
                    ResponseParameters: {
                      shape: "S1v",
                      locationName: "responseParameters"
                    },
                    RouteResponseId: {
                      locationName: "routeResponseId"
                    },
                    RouteResponseKey: {
                      locationName: "routeResponseKey"
                    }
                  },
                  required: [
                    "RouteResponseKey"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetRoutes: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/routes",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Items: {
                locationName: "items",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApiGatewayManaged: {
                      locationName: "apiGatewayManaged",
                      type: "boolean"
                    },
                    ApiKeyRequired: {
                      locationName: "apiKeyRequired",
                      type: "boolean"
                    },
                    AuthorizationScopes: {
                      shape: "S1s",
                      locationName: "authorizationScopes"
                    },
                    AuthorizationType: {
                      locationName: "authorizationType"
                    },
                    AuthorizerId: {
                      locationName: "authorizerId"
                    },
                    ModelSelectionExpression: {
                      locationName: "modelSelectionExpression"
                    },
                    OperationName: {
                      locationName: "operationName"
                    },
                    RequestModels: {
                      shape: "S1u",
                      locationName: "requestModels"
                    },
                    RequestParameters: {
                      shape: "S1v",
                      locationName: "requestParameters"
                    },
                    RouteId: {
                      locationName: "routeId"
                    },
                    RouteKey: {
                      locationName: "routeKey"
                    },
                    RouteResponseSelectionExpression: {
                      locationName: "routeResponseSelectionExpression"
                    },
                    Target: {
                      locationName: "target"
                    }
                  },
                  required: [
                    "RouteKey"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetStage: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/stages/{stageName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              StageName: {
                location: "uri",
                locationName: "stageName"
              }
            },
            required: [
              "StageName",
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AccessLogSettings: {
                shape: "S21",
                locationName: "accessLogSettings"
              },
              ApiGatewayManaged: {
                locationName: "apiGatewayManaged",
                type: "boolean"
              },
              AutoDeploy: {
                locationName: "autoDeploy",
                type: "boolean"
              },
              ClientCertificateId: {
                locationName: "clientCertificateId"
              },
              CreatedDate: {
                shape: "Sl",
                locationName: "createdDate"
              },
              DefaultRouteSettings: {
                shape: "S22",
                locationName: "defaultRouteSettings"
              },
              DeploymentId: {
                locationName: "deploymentId"
              },
              Description: {
                locationName: "description"
              },
              LastDeploymentStatusMessage: {
                locationName: "lastDeploymentStatusMessage"
              },
              LastUpdatedDate: {
                shape: "Sl",
                locationName: "lastUpdatedDate"
              },
              RouteSettings: {
                shape: "S26",
                locationName: "routeSettings"
              },
              StageName: {
                locationName: "stageName"
              },
              StageVariables: {
                shape: "S27",
                locationName: "stageVariables"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              }
            }
          }
        },
        GetStages: {
          http: {
            method: "GET",
            requestUri: "/v2/apis/{apiId}/stages",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Items: {
                locationName: "items",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AccessLogSettings: {
                      shape: "S21",
                      locationName: "accessLogSettings"
                    },
                    ApiGatewayManaged: {
                      locationName: "apiGatewayManaged",
                      type: "boolean"
                    },
                    AutoDeploy: {
                      locationName: "autoDeploy",
                      type: "boolean"
                    },
                    ClientCertificateId: {
                      locationName: "clientCertificateId"
                    },
                    CreatedDate: {
                      shape: "Sl",
                      locationName: "createdDate"
                    },
                    DefaultRouteSettings: {
                      shape: "S22",
                      locationName: "defaultRouteSettings"
                    },
                    DeploymentId: {
                      locationName: "deploymentId"
                    },
                    Description: {
                      locationName: "description"
                    },
                    LastDeploymentStatusMessage: {
                      locationName: "lastDeploymentStatusMessage"
                    },
                    LastUpdatedDate: {
                      shape: "Sl",
                      locationName: "lastUpdatedDate"
                    },
                    RouteSettings: {
                      shape: "S26",
                      locationName: "routeSettings"
                    },
                    StageName: {
                      locationName: "stageName"
                    },
                    StageVariables: {
                      shape: "S27",
                      locationName: "stageVariables"
                    },
                    Tags: {
                      shape: "Sg",
                      locationName: "tags"
                    }
                  },
                  required: [
                    "StageName"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        GetTags: {
          http: {
            method: "GET",
            requestUri: "/v2/tags/{resource-arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              }
            },
            required: [
              "ResourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sg",
                locationName: "tags"
              }
            }
          }
        },
        GetVpcLink: {
          http: {
            method: "GET",
            requestUri: "/v2/vpclinks/{vpcLinkId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              VpcLinkId: {
                location: "uri",
                locationName: "vpcLinkId"
              }
            },
            required: [
              "VpcLinkId"
            ]
          },
          output: {
            type: "structure",
            members: {
              CreatedDate: {
                shape: "Sl",
                locationName: "createdDate"
              },
              Name: {
                locationName: "name"
              },
              SecurityGroupIds: {
                shape: "S2b",
                locationName: "securityGroupIds"
              },
              SubnetIds: {
                shape: "S2c",
                locationName: "subnetIds"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              },
              VpcLinkId: {
                locationName: "vpcLinkId"
              },
              VpcLinkStatus: {
                locationName: "vpcLinkStatus"
              },
              VpcLinkStatusMessage: {
                locationName: "vpcLinkStatusMessage"
              },
              VpcLinkVersion: {
                locationName: "vpcLinkVersion"
              }
            }
          }
        },
        GetVpcLinks: {
          http: {
            method: "GET",
            requestUri: "/v2/vpclinks",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                locationName: "items",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreatedDate: {
                      shape: "Sl",
                      locationName: "createdDate"
                    },
                    Name: {
                      locationName: "name"
                    },
                    SecurityGroupIds: {
                      shape: "S2b",
                      locationName: "securityGroupIds"
                    },
                    SubnetIds: {
                      shape: "S2c",
                      locationName: "subnetIds"
                    },
                    Tags: {
                      shape: "Sg",
                      locationName: "tags"
                    },
                    VpcLinkId: {
                      locationName: "vpcLinkId"
                    },
                    VpcLinkStatus: {
                      locationName: "vpcLinkStatus"
                    },
                    VpcLinkStatusMessage: {
                      locationName: "vpcLinkStatusMessage"
                    },
                    VpcLinkVersion: {
                      locationName: "vpcLinkVersion"
                    }
                  },
                  required: [
                    "VpcLinkId",
                    "SecurityGroupIds",
                    "SubnetIds",
                    "Name"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ImportApi: {
          http: {
            method: "PUT",
            requestUri: "/v2/apis",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              Basepath: {
                location: "querystring",
                locationName: "basepath"
              },
              Body: {
                locationName: "body"
              },
              FailOnWarnings: {
                location: "querystring",
                locationName: "failOnWarnings",
                type: "boolean"
              }
            },
            required: [
              "Body"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiEndpoint: {
                locationName: "apiEndpoint"
              },
              ApiGatewayManaged: {
                locationName: "apiGatewayManaged",
                type: "boolean"
              },
              ApiId: {
                locationName: "apiId"
              },
              ApiKeySelectionExpression: {
                locationName: "apiKeySelectionExpression"
              },
              CorsConfiguration: {
                shape: "S3",
                locationName: "corsConfiguration"
              },
              CreatedDate: {
                shape: "Sl",
                locationName: "createdDate"
              },
              Description: {
                locationName: "description"
              },
              DisableSchemaValidation: {
                locationName: "disableSchemaValidation",
                type: "boolean"
              },
              DisableExecuteApiEndpoint: {
                locationName: "disableExecuteApiEndpoint",
                type: "boolean"
              },
              ImportInfo: {
                shape: "Sm",
                locationName: "importInfo"
              },
              Name: {
                locationName: "name"
              },
              ProtocolType: {
                locationName: "protocolType"
              },
              RouteSelectionExpression: {
                locationName: "routeSelectionExpression"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              },
              Version: {
                locationName: "version"
              },
              Warnings: {
                shape: "Sm",
                locationName: "warnings"
              }
            }
          }
        },
        ReimportApi: {
          http: {
            method: "PUT",
            requestUri: "/v2/apis/{apiId}",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              Basepath: {
                location: "querystring",
                locationName: "basepath"
              },
              Body: {
                locationName: "body"
              },
              FailOnWarnings: {
                location: "querystring",
                locationName: "failOnWarnings",
                type: "boolean"
              }
            },
            required: [
              "ApiId",
              "Body"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiEndpoint: {
                locationName: "apiEndpoint"
              },
              ApiGatewayManaged: {
                locationName: "apiGatewayManaged",
                type: "boolean"
              },
              ApiId: {
                locationName: "apiId"
              },
              ApiKeySelectionExpression: {
                locationName: "apiKeySelectionExpression"
              },
              CorsConfiguration: {
                shape: "S3",
                locationName: "corsConfiguration"
              },
              CreatedDate: {
                shape: "Sl",
                locationName: "createdDate"
              },
              Description: {
                locationName: "description"
              },
              DisableSchemaValidation: {
                locationName: "disableSchemaValidation",
                type: "boolean"
              },
              DisableExecuteApiEndpoint: {
                locationName: "disableExecuteApiEndpoint",
                type: "boolean"
              },
              ImportInfo: {
                shape: "Sm",
                locationName: "importInfo"
              },
              Name: {
                locationName: "name"
              },
              ProtocolType: {
                locationName: "protocolType"
              },
              RouteSelectionExpression: {
                locationName: "routeSelectionExpression"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              },
              Version: {
                locationName: "version"
              },
              Warnings: {
                shape: "Sm",
                locationName: "warnings"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/v2/tags/{resource-arn}",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              }
            },
            required: [
              "ResourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/v2/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              TagKeys: {
                shape: "Sm",
                location: "querystring",
                locationName: "tagKeys"
              }
            },
            required: [
              "ResourceArn",
              "TagKeys"
            ]
          }
        },
        UpdateApi: {
          http: {
            method: "PATCH",
            requestUri: "/v2/apis/{apiId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              ApiKeySelectionExpression: {
                locationName: "apiKeySelectionExpression"
              },
              CorsConfiguration: {
                shape: "S3",
                locationName: "corsConfiguration"
              },
              CredentialsArn: {
                locationName: "credentialsArn"
              },
              Description: {
                locationName: "description"
              },
              DisableSchemaValidation: {
                locationName: "disableSchemaValidation",
                type: "boolean"
              },
              DisableExecuteApiEndpoint: {
                locationName: "disableExecuteApiEndpoint",
                type: "boolean"
              },
              Name: {
                locationName: "name"
              },
              RouteKey: {
                locationName: "routeKey"
              },
              RouteSelectionExpression: {
                locationName: "routeSelectionExpression"
              },
              Target: {
                locationName: "target"
              },
              Version: {
                locationName: "version"
              }
            },
            required: [
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiEndpoint: {
                locationName: "apiEndpoint"
              },
              ApiGatewayManaged: {
                locationName: "apiGatewayManaged",
                type: "boolean"
              },
              ApiId: {
                locationName: "apiId"
              },
              ApiKeySelectionExpression: {
                locationName: "apiKeySelectionExpression"
              },
              CorsConfiguration: {
                shape: "S3",
                locationName: "corsConfiguration"
              },
              CreatedDate: {
                shape: "Sl",
                locationName: "createdDate"
              },
              Description: {
                locationName: "description"
              },
              DisableSchemaValidation: {
                locationName: "disableSchemaValidation",
                type: "boolean"
              },
              DisableExecuteApiEndpoint: {
                locationName: "disableExecuteApiEndpoint",
                type: "boolean"
              },
              ImportInfo: {
                shape: "Sm",
                locationName: "importInfo"
              },
              Name: {
                locationName: "name"
              },
              ProtocolType: {
                locationName: "protocolType"
              },
              RouteSelectionExpression: {
                locationName: "routeSelectionExpression"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              },
              Version: {
                locationName: "version"
              },
              Warnings: {
                shape: "Sm",
                locationName: "warnings"
              }
            }
          }
        },
        UpdateApiMapping: {
          http: {
            method: "PATCH",
            requestUri: "/v2/domainnames/{domainName}/apimappings/{apiMappingId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                locationName: "apiId"
              },
              ApiMappingId: {
                location: "uri",
                locationName: "apiMappingId"
              },
              ApiMappingKey: {
                locationName: "apiMappingKey"
              },
              DomainName: {
                location: "uri",
                locationName: "domainName"
              },
              Stage: {
                locationName: "stage"
              }
            },
            required: [
              "ApiMappingId",
              "ApiId",
              "DomainName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiId: {
                locationName: "apiId"
              },
              ApiMappingId: {
                locationName: "apiMappingId"
              },
              ApiMappingKey: {
                locationName: "apiMappingKey"
              },
              Stage: {
                locationName: "stage"
              }
            }
          }
        },
        UpdateAuthorizer: {
          http: {
            method: "PATCH",
            requestUri: "/v2/apis/{apiId}/authorizers/{authorizerId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              AuthorizerCredentialsArn: {
                locationName: "authorizerCredentialsArn"
              },
              AuthorizerId: {
                location: "uri",
                locationName: "authorizerId"
              },
              AuthorizerPayloadFormatVersion: {
                locationName: "authorizerPayloadFormatVersion"
              },
              AuthorizerResultTtlInSeconds: {
                locationName: "authorizerResultTtlInSeconds",
                type: "integer"
              },
              AuthorizerType: {
                locationName: "authorizerType"
              },
              AuthorizerUri: {
                locationName: "authorizerUri"
              },
              EnableSimpleResponses: {
                locationName: "enableSimpleResponses",
                type: "boolean"
              },
              IdentitySource: {
                shape: "Ss",
                locationName: "identitySource"
              },
              IdentityValidationExpression: {
                locationName: "identityValidationExpression"
              },
              JwtConfiguration: {
                shape: "St",
                locationName: "jwtConfiguration"
              },
              Name: {
                locationName: "name"
              }
            },
            required: [
              "AuthorizerId",
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AuthorizerCredentialsArn: {
                locationName: "authorizerCredentialsArn"
              },
              AuthorizerId: {
                locationName: "authorizerId"
              },
              AuthorizerPayloadFormatVersion: {
                locationName: "authorizerPayloadFormatVersion"
              },
              AuthorizerResultTtlInSeconds: {
                locationName: "authorizerResultTtlInSeconds",
                type: "integer"
              },
              AuthorizerType: {
                locationName: "authorizerType"
              },
              AuthorizerUri: {
                locationName: "authorizerUri"
              },
              EnableSimpleResponses: {
                locationName: "enableSimpleResponses",
                type: "boolean"
              },
              IdentitySource: {
                shape: "Ss",
                locationName: "identitySource"
              },
              IdentityValidationExpression: {
                locationName: "identityValidationExpression"
              },
              JwtConfiguration: {
                shape: "St",
                locationName: "jwtConfiguration"
              },
              Name: {
                locationName: "name"
              }
            }
          }
        },
        UpdateDeployment: {
          http: {
            method: "PATCH",
            requestUri: "/v2/apis/{apiId}/deployments/{deploymentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              DeploymentId: {
                location: "uri",
                locationName: "deploymentId"
              },
              Description: {
                locationName: "description"
              }
            },
            required: [
              "ApiId",
              "DeploymentId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AutoDeployed: {
                locationName: "autoDeployed",
                type: "boolean"
              },
              CreatedDate: {
                shape: "Sl",
                locationName: "createdDate"
              },
              DeploymentId: {
                locationName: "deploymentId"
              },
              DeploymentStatus: {
                locationName: "deploymentStatus"
              },
              DeploymentStatusMessage: {
                locationName: "deploymentStatusMessage"
              },
              Description: {
                locationName: "description"
              }
            }
          }
        },
        UpdateDomainName: {
          http: {
            method: "PATCH",
            requestUri: "/v2/domainnames/{domainName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DomainName: {
                location: "uri",
                locationName: "domainName"
              },
              DomainNameConfigurations: {
                shape: "S10",
                locationName: "domainNameConfigurations"
              },
              MutualTlsAuthentication: {
                shape: "S15",
                locationName: "mutualTlsAuthentication"
              }
            },
            required: [
              "DomainName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiMappingSelectionExpression: {
                locationName: "apiMappingSelectionExpression"
              },
              DomainName: {
                locationName: "domainName"
              },
              DomainNameConfigurations: {
                shape: "S10",
                locationName: "domainNameConfigurations"
              },
              MutualTlsAuthentication: {
                shape: "S17",
                locationName: "mutualTlsAuthentication"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              }
            }
          }
        },
        UpdateIntegration: {
          http: {
            method: "PATCH",
            requestUri: "/v2/apis/{apiId}/integrations/{integrationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              ConnectionId: {
                locationName: "connectionId"
              },
              ConnectionType: {
                locationName: "connectionType"
              },
              ContentHandlingStrategy: {
                locationName: "contentHandlingStrategy"
              },
              CredentialsArn: {
                locationName: "credentialsArn"
              },
              Description: {
                locationName: "description"
              },
              IntegrationId: {
                location: "uri",
                locationName: "integrationId"
              },
              IntegrationMethod: {
                locationName: "integrationMethod"
              },
              IntegrationSubtype: {
                locationName: "integrationSubtype"
              },
              IntegrationType: {
                locationName: "integrationType"
              },
              IntegrationUri: {
                locationName: "integrationUri"
              },
              PassthroughBehavior: {
                locationName: "passthroughBehavior"
              },
              PayloadFormatVersion: {
                locationName: "payloadFormatVersion"
              },
              RequestParameters: {
                shape: "S1e",
                locationName: "requestParameters"
              },
              RequestTemplates: {
                shape: "S1f",
                locationName: "requestTemplates"
              },
              ResponseParameters: {
                shape: "S1h",
                locationName: "responseParameters"
              },
              TemplateSelectionExpression: {
                locationName: "templateSelectionExpression"
              },
              TimeoutInMillis: {
                locationName: "timeoutInMillis",
                type: "integer"
              },
              TlsConfig: {
                shape: "S1j",
                locationName: "tlsConfig"
              }
            },
            required: [
              "ApiId",
              "IntegrationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiGatewayManaged: {
                locationName: "apiGatewayManaged",
                type: "boolean"
              },
              ConnectionId: {
                locationName: "connectionId"
              },
              ConnectionType: {
                locationName: "connectionType"
              },
              ContentHandlingStrategy: {
                locationName: "contentHandlingStrategy"
              },
              CredentialsArn: {
                locationName: "credentialsArn"
              },
              Description: {
                locationName: "description"
              },
              IntegrationId: {
                locationName: "integrationId"
              },
              IntegrationMethod: {
                locationName: "integrationMethod"
              },
              IntegrationResponseSelectionExpression: {
                locationName: "integrationResponseSelectionExpression"
              },
              IntegrationSubtype: {
                locationName: "integrationSubtype"
              },
              IntegrationType: {
                locationName: "integrationType"
              },
              IntegrationUri: {
                locationName: "integrationUri"
              },
              PassthroughBehavior: {
                locationName: "passthroughBehavior"
              },
              PayloadFormatVersion: {
                locationName: "payloadFormatVersion"
              },
              RequestParameters: {
                shape: "S1e",
                locationName: "requestParameters"
              },
              RequestTemplates: {
                shape: "S1f",
                locationName: "requestTemplates"
              },
              ResponseParameters: {
                shape: "S1h",
                locationName: "responseParameters"
              },
              TemplateSelectionExpression: {
                locationName: "templateSelectionExpression"
              },
              TimeoutInMillis: {
                locationName: "timeoutInMillis",
                type: "integer"
              },
              TlsConfig: {
                shape: "S1l",
                locationName: "tlsConfig"
              }
            }
          }
        },
        UpdateIntegrationResponse: {
          http: {
            method: "PATCH",
            requestUri: "/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses/{integrationResponseId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              ContentHandlingStrategy: {
                locationName: "contentHandlingStrategy"
              },
              IntegrationId: {
                location: "uri",
                locationName: "integrationId"
              },
              IntegrationResponseId: {
                location: "uri",
                locationName: "integrationResponseId"
              },
              IntegrationResponseKey: {
                locationName: "integrationResponseKey"
              },
              ResponseParameters: {
                shape: "S1e",
                locationName: "responseParameters"
              },
              ResponseTemplates: {
                shape: "S1f",
                locationName: "responseTemplates"
              },
              TemplateSelectionExpression: {
                locationName: "templateSelectionExpression"
              }
            },
            required: [
              "ApiId",
              "IntegrationResponseId",
              "IntegrationId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ContentHandlingStrategy: {
                locationName: "contentHandlingStrategy"
              },
              IntegrationResponseId: {
                locationName: "integrationResponseId"
              },
              IntegrationResponseKey: {
                locationName: "integrationResponseKey"
              },
              ResponseParameters: {
                shape: "S1e",
                locationName: "responseParameters"
              },
              ResponseTemplates: {
                shape: "S1f",
                locationName: "responseTemplates"
              },
              TemplateSelectionExpression: {
                locationName: "templateSelectionExpression"
              }
            }
          }
        },
        UpdateModel: {
          http: {
            method: "PATCH",
            requestUri: "/v2/apis/{apiId}/models/{modelId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              ContentType: {
                locationName: "contentType"
              },
              Description: {
                locationName: "description"
              },
              ModelId: {
                location: "uri",
                locationName: "modelId"
              },
              Name: {
                locationName: "name"
              },
              Schema: {
                locationName: "schema"
              }
            },
            required: [
              "ModelId",
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ContentType: {
                locationName: "contentType"
              },
              Description: {
                locationName: "description"
              },
              ModelId: {
                locationName: "modelId"
              },
              Name: {
                locationName: "name"
              },
              Schema: {
                locationName: "schema"
              }
            }
          }
        },
        UpdateRoute: {
          http: {
            method: "PATCH",
            requestUri: "/v2/apis/{apiId}/routes/{routeId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              ApiKeyRequired: {
                locationName: "apiKeyRequired",
                type: "boolean"
              },
              AuthorizationScopes: {
                shape: "S1s",
                locationName: "authorizationScopes"
              },
              AuthorizationType: {
                locationName: "authorizationType"
              },
              AuthorizerId: {
                locationName: "authorizerId"
              },
              ModelSelectionExpression: {
                locationName: "modelSelectionExpression"
              },
              OperationName: {
                locationName: "operationName"
              },
              RequestModels: {
                shape: "S1u",
                locationName: "requestModels"
              },
              RequestParameters: {
                shape: "S1v",
                locationName: "requestParameters"
              },
              RouteId: {
                location: "uri",
                locationName: "routeId"
              },
              RouteKey: {
                locationName: "routeKey"
              },
              RouteResponseSelectionExpression: {
                locationName: "routeResponseSelectionExpression"
              },
              Target: {
                locationName: "target"
              }
            },
            required: [
              "ApiId",
              "RouteId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ApiGatewayManaged: {
                locationName: "apiGatewayManaged",
                type: "boolean"
              },
              ApiKeyRequired: {
                locationName: "apiKeyRequired",
                type: "boolean"
              },
              AuthorizationScopes: {
                shape: "S1s",
                locationName: "authorizationScopes"
              },
              AuthorizationType: {
                locationName: "authorizationType"
              },
              AuthorizerId: {
                locationName: "authorizerId"
              },
              ModelSelectionExpression: {
                locationName: "modelSelectionExpression"
              },
              OperationName: {
                locationName: "operationName"
              },
              RequestModels: {
                shape: "S1u",
                locationName: "requestModels"
              },
              RequestParameters: {
                shape: "S1v",
                locationName: "requestParameters"
              },
              RouteId: {
                locationName: "routeId"
              },
              RouteKey: {
                locationName: "routeKey"
              },
              RouteResponseSelectionExpression: {
                locationName: "routeResponseSelectionExpression"
              },
              Target: {
                locationName: "target"
              }
            }
          }
        },
        UpdateRouteResponse: {
          http: {
            method: "PATCH",
            requestUri: "/v2/apis/{apiId}/routes/{routeId}/routeresponses/{routeResponseId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              ModelSelectionExpression: {
                locationName: "modelSelectionExpression"
              },
              ResponseModels: {
                shape: "S1u",
                locationName: "responseModels"
              },
              ResponseParameters: {
                shape: "S1v",
                locationName: "responseParameters"
              },
              RouteId: {
                location: "uri",
                locationName: "routeId"
              },
              RouteResponseId: {
                location: "uri",
                locationName: "routeResponseId"
              },
              RouteResponseKey: {
                locationName: "routeResponseKey"
              }
            },
            required: [
              "RouteResponseId",
              "ApiId",
              "RouteId"
            ]
          },
          output: {
            type: "structure",
            members: {
              ModelSelectionExpression: {
                locationName: "modelSelectionExpression"
              },
              ResponseModels: {
                shape: "S1u",
                locationName: "responseModels"
              },
              ResponseParameters: {
                shape: "S1v",
                locationName: "responseParameters"
              },
              RouteResponseId: {
                locationName: "routeResponseId"
              },
              RouteResponseKey: {
                locationName: "routeResponseKey"
              }
            }
          }
        },
        UpdateStage: {
          http: {
            method: "PATCH",
            requestUri: "/v2/apis/{apiId}/stages/{stageName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AccessLogSettings: {
                shape: "S21",
                locationName: "accessLogSettings"
              },
              ApiId: {
                location: "uri",
                locationName: "apiId"
              },
              AutoDeploy: {
                locationName: "autoDeploy",
                type: "boolean"
              },
              ClientCertificateId: {
                locationName: "clientCertificateId"
              },
              DefaultRouteSettings: {
                shape: "S22",
                locationName: "defaultRouteSettings"
              },
              DeploymentId: {
                locationName: "deploymentId"
              },
              Description: {
                locationName: "description"
              },
              RouteSettings: {
                shape: "S26",
                locationName: "routeSettings"
              },
              StageName: {
                location: "uri",
                locationName: "stageName"
              },
              StageVariables: {
                shape: "S27",
                locationName: "stageVariables"
              }
            },
            required: [
              "StageName",
              "ApiId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AccessLogSettings: {
                shape: "S21",
                locationName: "accessLogSettings"
              },
              ApiGatewayManaged: {
                locationName: "apiGatewayManaged",
                type: "boolean"
              },
              AutoDeploy: {
                locationName: "autoDeploy",
                type: "boolean"
              },
              ClientCertificateId: {
                locationName: "clientCertificateId"
              },
              CreatedDate: {
                shape: "Sl",
                locationName: "createdDate"
              },
              DefaultRouteSettings: {
                shape: "S22",
                locationName: "defaultRouteSettings"
              },
              DeploymentId: {
                locationName: "deploymentId"
              },
              Description: {
                locationName: "description"
              },
              LastDeploymentStatusMessage: {
                locationName: "lastDeploymentStatusMessage"
              },
              LastUpdatedDate: {
                shape: "Sl",
                locationName: "lastUpdatedDate"
              },
              RouteSettings: {
                shape: "S26",
                locationName: "routeSettings"
              },
              StageName: {
                locationName: "stageName"
              },
              StageVariables: {
                shape: "S27",
                locationName: "stageVariables"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              }
            }
          }
        },
        UpdateVpcLink: {
          http: {
            method: "PATCH",
            requestUri: "/v2/vpclinks/{vpcLinkId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Name: {
                locationName: "name"
              },
              VpcLinkId: {
                location: "uri",
                locationName: "vpcLinkId"
              }
            },
            required: [
              "VpcLinkId"
            ]
          },
          output: {
            type: "structure",
            members: {
              CreatedDate: {
                shape: "Sl",
                locationName: "createdDate"
              },
              Name: {
                locationName: "name"
              },
              SecurityGroupIds: {
                shape: "S2b",
                locationName: "securityGroupIds"
              },
              SubnetIds: {
                shape: "S2c",
                locationName: "subnetIds"
              },
              Tags: {
                shape: "Sg",
                locationName: "tags"
              },
              VpcLinkId: {
                locationName: "vpcLinkId"
              },
              VpcLinkStatus: {
                locationName: "vpcLinkStatus"
              },
              VpcLinkStatusMessage: {
                locationName: "vpcLinkStatusMessage"
              },
              VpcLinkVersion: {
                locationName: "vpcLinkVersion"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "structure",
          members: {
            AllowCredentials: {
              locationName: "allowCredentials",
              type: "boolean"
            },
            AllowHeaders: {
              shape: "S5",
              locationName: "allowHeaders"
            },
            AllowMethods: {
              locationName: "allowMethods",
              type: "list",
              member: {}
            },
            AllowOrigins: {
              locationName: "allowOrigins",
              type: "list",
              member: {}
            },
            ExposeHeaders: {
              shape: "S5",
              locationName: "exposeHeaders"
            },
            MaxAge: {
              locationName: "maxAge",
              type: "integer"
            }
          }
        },
        S5: {
          type: "list",
          member: {}
        },
        Sg: {
          type: "map",
          key: {},
          value: {}
        },
        Sl: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sm: {
          type: "list",
          member: {}
        },
        Ss: {
          type: "list",
          member: {}
        },
        St: {
          type: "structure",
          members: {
            Audience: {
              shape: "Sm",
              locationName: "audience"
            },
            Issuer: {
              locationName: "issuer"
            }
          }
        },
        S10: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ApiGatewayDomainName: {
                locationName: "apiGatewayDomainName"
              },
              CertificateArn: {
                locationName: "certificateArn"
              },
              CertificateName: {
                locationName: "certificateName"
              },
              CertificateUploadDate: {
                shape: "Sl",
                locationName: "certificateUploadDate"
              },
              DomainNameStatus: {
                locationName: "domainNameStatus"
              },
              DomainNameStatusMessage: {
                locationName: "domainNameStatusMessage"
              },
              EndpointType: {
                locationName: "endpointType"
              },
              HostedZoneId: {
                locationName: "hostedZoneId"
              },
              SecurityPolicy: {
                locationName: "securityPolicy"
              },
              OwnershipVerificationCertificateArn: {
                locationName: "ownershipVerificationCertificateArn"
              }
            }
          }
        },
        S15: {
          type: "structure",
          members: {
            TruststoreUri: {
              locationName: "truststoreUri"
            },
            TruststoreVersion: {
              locationName: "truststoreVersion"
            }
          }
        },
        S17: {
          type: "structure",
          members: {
            TruststoreUri: {
              locationName: "truststoreUri"
            },
            TruststoreVersion: {
              locationName: "truststoreVersion"
            },
            TruststoreWarnings: {
              shape: "Sm",
              locationName: "truststoreWarnings"
            }
          }
        },
        S1e: {
          type: "map",
          key: {},
          value: {}
        },
        S1f: {
          type: "map",
          key: {},
          value: {}
        },
        S1h: {
          type: "map",
          key: {},
          value: {
            shape: "S1e"
          }
        },
        S1j: {
          type: "structure",
          members: {
            ServerNameToVerify: {
              locationName: "serverNameToVerify"
            }
          }
        },
        S1l: {
          type: "structure",
          members: {
            ServerNameToVerify: {
              locationName: "serverNameToVerify"
            }
          }
        },
        S1s: {
          type: "list",
          member: {}
        },
        S1u: {
          type: "map",
          key: {},
          value: {}
        },
        S1v: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              Required: {
                locationName: "required",
                type: "boolean"
              }
            }
          }
        },
        S21: {
          type: "structure",
          members: {
            DestinationArn: {
              locationName: "destinationArn"
            },
            Format: {
              locationName: "format"
            }
          }
        },
        S22: {
          type: "structure",
          members: {
            DataTraceEnabled: {
              locationName: "dataTraceEnabled",
              type: "boolean"
            },
            DetailedMetricsEnabled: {
              locationName: "detailedMetricsEnabled",
              type: "boolean"
            },
            LoggingLevel: {
              locationName: "loggingLevel"
            },
            ThrottlingBurstLimit: {
              locationName: "throttlingBurstLimit",
              type: "integer"
            },
            ThrottlingRateLimit: {
              locationName: "throttlingRateLimit",
              type: "double"
            }
          }
        },
        S26: {
          type: "map",
          key: {},
          value: {
            shape: "S22"
          }
        },
        S27: {
          type: "map",
          key: {},
          value: {}
        },
        S2b: {
          type: "list",
          member: {}
        },
        S2c: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/apigatewayv2-2018-11-29.paginators.json
var require_apigatewayv2_2018_11_29_paginators = __commonJS({
  "node_modules/aws-sdk/apis/apigatewayv2-2018-11-29.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/apigatewayv2.js
var require_apigatewayv2 = __commonJS({
  "node_modules/aws-sdk/clients/apigatewayv2.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["apigatewayv2"] = {};
    AWS2.ApiGatewayV2 = Service.defineService("apigatewayv2", ["2018-11-29"]);
    Object.defineProperty(apiLoader.services["apigatewayv2"], "2018-11-29", {
      get: function get() {
        var model = require_apigatewayv2_2018_11_29_min();
        model.paginators = require_apigatewayv2_2018_11_29_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ApiGatewayV2;
  }
});

// node_modules/aws-sdk/lib/services/docdb.js
var require_docdb = __commonJS({
  "node_modules/aws-sdk/lib/services/docdb.js"() {
    var AWS2 = require_core();
    var rdsutil = require_rdsutil();
    var crossRegionOperations = ["createDBCluster", "copyDBClusterSnapshot"];
    AWS2.util.update(AWS2.DocDB.prototype, {
      /**
      * @api private
      */
      setupRequestListeners: function setupRequestListeners(request) {
        if (crossRegionOperations.indexOf(request.operation) !== -1 && this.config.params && this.config.params.SourceRegion && request.params && !request.params.SourceRegion) {
          request.params.SourceRegion = this.config.params.SourceRegion;
        }
        rdsutil.setupRequestListeners(this, request, crossRegionOperations);
      }
    });
  }
});

// node_modules/aws-sdk/apis/docdb-2014-10-31.min.json
var require_docdb_2014_10_31_min = __commonJS({
  "node_modules/aws-sdk/apis/docdb-2014-10-31.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2014-10-31",
        endpointPrefix: "rds",
        protocol: "query",
        serviceAbbreviation: "Amazon DocDB",
        serviceFullName: "Amazon DocumentDB with MongoDB compatibility",
        serviceId: "DocDB",
        signatureVersion: "v4",
        signingName: "rds",
        uid: "docdb-2014-10-31",
        xmlNamespace: "http://rds.amazonaws.com/doc/2014-10-31/"
      },
      operations: {
        AddSourceIdentifierToSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SourceIdentifier"
            ],
            members: {
              SubscriptionName: {},
              SourceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "AddSourceIdentifierToSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        AddTagsToResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "Tags"
            ],
            members: {
              ResourceName: {},
              Tags: {
                shape: "S9"
              }
            }
          }
        },
        ApplyPendingMaintenanceAction: {
          input: {
            type: "structure",
            required: [
              "ResourceIdentifier",
              "ApplyAction",
              "OptInType"
            ],
            members: {
              ResourceIdentifier: {},
              ApplyAction: {},
              OptInType: {}
            }
          },
          output: {
            resultWrapper: "ApplyPendingMaintenanceActionResult",
            type: "structure",
            members: {
              ResourcePendingMaintenanceActions: {
                shape: "Sd"
              }
            }
          }
        },
        CopyDBClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "SourceDBClusterParameterGroupIdentifier",
              "TargetDBClusterParameterGroupIdentifier",
              "TargetDBClusterParameterGroupDescription"
            ],
            members: {
              SourceDBClusterParameterGroupIdentifier: {},
              TargetDBClusterParameterGroupIdentifier: {},
              TargetDBClusterParameterGroupDescription: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CopyDBClusterParameterGroupResult",
            type: "structure",
            members: {
              DBClusterParameterGroup: {
                shape: "Sj"
              }
            }
          }
        },
        CopyDBClusterSnapshot: {
          input: {
            type: "structure",
            required: [
              "SourceDBClusterSnapshotIdentifier",
              "TargetDBClusterSnapshotIdentifier"
            ],
            members: {
              SourceDBClusterSnapshotIdentifier: {},
              TargetDBClusterSnapshotIdentifier: {},
              KmsKeyId: {},
              PreSignedUrl: {},
              CopyTags: {
                type: "boolean"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CopyDBClusterSnapshotResult",
            type: "structure",
            members: {
              DBClusterSnapshot: {
                shape: "Sn"
              }
            }
          }
        },
        CreateDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "Engine"
            ],
            members: {
              AvailabilityZones: {
                shape: "So"
              },
              BackupRetentionPeriod: {
                type: "integer"
              },
              DBClusterIdentifier: {},
              DBClusterParameterGroupName: {},
              VpcSecurityGroupIds: {
                shape: "Ss"
              },
              DBSubnetGroupName: {},
              Engine: {},
              EngineVersion: {},
              Port: {
                type: "integer"
              },
              MasterUsername: {},
              MasterUserPassword: {},
              PreferredBackupWindow: {},
              PreferredMaintenanceWindow: {},
              Tags: {
                shape: "S9"
              },
              StorageEncrypted: {
                type: "boolean"
              },
              KmsKeyId: {},
              PreSignedUrl: {},
              EnableCloudwatchLogsExports: {
                shape: "St"
              },
              DeletionProtection: {
                type: "boolean"
              },
              GlobalClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "CreateDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "Sw"
              }
            }
          }
        },
        CreateDBClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBClusterParameterGroupName",
              "DBParameterGroupFamily",
              "Description"
            ],
            members: {
              DBClusterParameterGroupName: {},
              DBParameterGroupFamily: {},
              Description: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBClusterParameterGroupResult",
            type: "structure",
            members: {
              DBClusterParameterGroup: {
                shape: "Sj"
              }
            }
          }
        },
        CreateDBClusterSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBClusterSnapshotIdentifier",
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterSnapshotIdentifier: {},
              DBClusterIdentifier: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBClusterSnapshotResult",
            type: "structure",
            members: {
              DBClusterSnapshot: {
                shape: "Sn"
              }
            }
          }
        },
        CreateDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier",
              "DBInstanceClass",
              "Engine",
              "DBClusterIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              DBInstanceClass: {},
              Engine: {},
              AvailabilityZone: {},
              PreferredMaintenanceWindow: {},
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              Tags: {
                shape: "S9"
              },
              DBClusterIdentifier: {},
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              PromotionTier: {
                type: "integer"
              },
              EnablePerformanceInsights: {
                type: "boolean"
              },
              PerformanceInsightsKMSKeyId: {}
            }
          },
          output: {
            resultWrapper: "CreateDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S1a"
              }
            }
          }
        },
        CreateDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName",
              "DBSubnetGroupDescription",
              "SubnetIds"
            ],
            members: {
              DBSubnetGroupName: {},
              DBSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S1l"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateDBSubnetGroupResult",
            type: "structure",
            members: {
              DBSubnetGroup: {
                shape: "S1c"
              }
            }
          }
        },
        CreateEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SnsTopicArn"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              EventCategories: {
                shape: "S6"
              },
              SourceIds: {
                shape: "S5"
              },
              Enabled: {
                type: "boolean"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            resultWrapper: "CreateEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        CreateGlobalCluster: {
          input: {
            type: "structure",
            required: [
              "GlobalClusterIdentifier"
            ],
            members: {
              GlobalClusterIdentifier: {},
              SourceDBClusterIdentifier: {},
              Engine: {},
              EngineVersion: {},
              DeletionProtection: {
                type: "boolean"
              },
              DatabaseName: {},
              StorageEncrypted: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "CreateGlobalClusterResult",
            type: "structure",
            members: {
              GlobalCluster: {
                shape: "S1r"
              }
            }
          }
        },
        DeleteDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {},
              SkipFinalSnapshot: {
                type: "boolean"
              },
              FinalDBSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "Sw"
              }
            }
          }
        },
        DeleteDBClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBClusterParameterGroupName"
            ],
            members: {
              DBClusterParameterGroupName: {}
            }
          }
        },
        DeleteDBClusterSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBClusterSnapshotIdentifier"
            ],
            members: {
              DBClusterSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBClusterSnapshotResult",
            type: "structure",
            members: {
              DBClusterSnapshot: {
                shape: "Sn"
              }
            }
          }
        },
        DeleteDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S1a"
              }
            }
          }
        },
        DeleteDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName"
            ],
            members: {
              DBSubnetGroupName: {}
            }
          }
        },
        DeleteEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {}
            }
          },
          output: {
            resultWrapper: "DeleteEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        DeleteGlobalCluster: {
          input: {
            type: "structure",
            required: [
              "GlobalClusterIdentifier"
            ],
            members: {
              GlobalClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DeleteGlobalClusterResult",
            type: "structure",
            members: {
              GlobalCluster: {
                shape: "S1r"
              }
            }
          }
        },
        DescribeCertificates: {
          input: {
            type: "structure",
            members: {
              CertificateIdentifier: {},
              Filters: {
                shape: "S28"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeCertificatesResult",
            type: "structure",
            members: {
              Certificates: {
                type: "list",
                member: {
                  locationName: "Certificate",
                  type: "structure",
                  members: {
                    CertificateIdentifier: {},
                    CertificateType: {},
                    Thumbprint: {},
                    ValidFrom: {
                      type: "timestamp"
                    },
                    ValidTill: {
                      type: "timestamp"
                    },
                    CertificateArn: {}
                  },
                  wrapper: true
                }
              },
              Marker: {}
            }
          }
        },
        DescribeDBClusterParameterGroups: {
          input: {
            type: "structure",
            members: {
              DBClusterParameterGroupName: {},
              Filters: {
                shape: "S28"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBClusterParameterGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBClusterParameterGroups: {
                type: "list",
                member: {
                  shape: "Sj",
                  locationName: "DBClusterParameterGroup"
                }
              }
            }
          }
        },
        DescribeDBClusterParameters: {
          input: {
            type: "structure",
            required: [
              "DBClusterParameterGroupName"
            ],
            members: {
              DBClusterParameterGroupName: {},
              Source: {},
              Filters: {
                shape: "S28"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBClusterParametersResult",
            type: "structure",
            members: {
              Parameters: {
                shape: "S2j"
              },
              Marker: {}
            }
          }
        },
        DescribeDBClusterSnapshotAttributes: {
          input: {
            type: "structure",
            required: [
              "DBClusterSnapshotIdentifier"
            ],
            members: {
              DBClusterSnapshotIdentifier: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBClusterSnapshotAttributesResult",
            type: "structure",
            members: {
              DBClusterSnapshotAttributesResult: {
                shape: "S2o"
              }
            }
          }
        },
        DescribeDBClusterSnapshots: {
          input: {
            type: "structure",
            members: {
              DBClusterIdentifier: {},
              DBClusterSnapshotIdentifier: {},
              SnapshotType: {},
              Filters: {
                shape: "S28"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              IncludeShared: {
                type: "boolean"
              },
              IncludePublic: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeDBClusterSnapshotsResult",
            type: "structure",
            members: {
              Marker: {},
              DBClusterSnapshots: {
                type: "list",
                member: {
                  shape: "Sn",
                  locationName: "DBClusterSnapshot"
                }
              }
            }
          }
        },
        DescribeDBClusters: {
          input: {
            type: "structure",
            members: {
              DBClusterIdentifier: {},
              Filters: {
                shape: "S28"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBClustersResult",
            type: "structure",
            members: {
              Marker: {},
              DBClusters: {
                type: "list",
                member: {
                  shape: "Sw",
                  locationName: "DBCluster"
                }
              }
            }
          }
        },
        DescribeDBEngineVersions: {
          input: {
            type: "structure",
            members: {
              Engine: {},
              EngineVersion: {},
              DBParameterGroupFamily: {},
              Filters: {
                shape: "S28"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {},
              DefaultOnly: {
                type: "boolean"
              },
              ListSupportedCharacterSets: {
                type: "boolean"
              },
              ListSupportedTimezones: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "DescribeDBEngineVersionsResult",
            type: "structure",
            members: {
              Marker: {},
              DBEngineVersions: {
                type: "list",
                member: {
                  locationName: "DBEngineVersion",
                  type: "structure",
                  members: {
                    Engine: {},
                    EngineVersion: {},
                    DBParameterGroupFamily: {},
                    DBEngineDescription: {},
                    DBEngineVersionDescription: {},
                    ValidUpgradeTarget: {
                      type: "list",
                      member: {
                        locationName: "UpgradeTarget",
                        type: "structure",
                        members: {
                          Engine: {},
                          EngineVersion: {},
                          Description: {},
                          AutoUpgrade: {
                            type: "boolean"
                          },
                          IsMajorVersionUpgrade: {
                            type: "boolean"
                          }
                        }
                      }
                    },
                    ExportableLogTypes: {
                      shape: "St"
                    },
                    SupportsLogExportsToCloudwatchLogs: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeDBInstances: {
          input: {
            type: "structure",
            members: {
              DBInstanceIdentifier: {},
              Filters: {
                shape: "S28"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBInstancesResult",
            type: "structure",
            members: {
              Marker: {},
              DBInstances: {
                type: "list",
                member: {
                  shape: "S1a",
                  locationName: "DBInstance"
                }
              }
            }
          }
        },
        DescribeDBSubnetGroups: {
          input: {
            type: "structure",
            members: {
              DBSubnetGroupName: {},
              Filters: {
                shape: "S28"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeDBSubnetGroupsResult",
            type: "structure",
            members: {
              Marker: {},
              DBSubnetGroups: {
                type: "list",
                member: {
                  shape: "S1c",
                  locationName: "DBSubnetGroup"
                }
              }
            }
          }
        },
        DescribeEngineDefaultClusterParameters: {
          input: {
            type: "structure",
            required: [
              "DBParameterGroupFamily"
            ],
            members: {
              DBParameterGroupFamily: {},
              Filters: {
                shape: "S28"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEngineDefaultClusterParametersResult",
            type: "structure",
            members: {
              EngineDefaults: {
                type: "structure",
                members: {
                  DBParameterGroupFamily: {},
                  Marker: {},
                  Parameters: {
                    shape: "S2j"
                  }
                },
                wrapper: true
              }
            }
          }
        },
        DescribeEventCategories: {
          input: {
            type: "structure",
            members: {
              SourceType: {},
              Filters: {
                shape: "S28"
              }
            }
          },
          output: {
            resultWrapper: "DescribeEventCategoriesResult",
            type: "structure",
            members: {
              EventCategoriesMapList: {
                type: "list",
                member: {
                  locationName: "EventCategoriesMap",
                  type: "structure",
                  members: {
                    SourceType: {},
                    EventCategories: {
                      shape: "S6"
                    }
                  },
                  wrapper: true
                }
              }
            }
          }
        },
        DescribeEventSubscriptions: {
          input: {
            type: "structure",
            members: {
              SubscriptionName: {},
              Filters: {
                shape: "S28"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventSubscriptionsResult",
            type: "structure",
            members: {
              Marker: {},
              EventSubscriptionsList: {
                type: "list",
                member: {
                  shape: "S4",
                  locationName: "EventSubscription"
                }
              }
            }
          }
        },
        DescribeEvents: {
          input: {
            type: "structure",
            members: {
              SourceIdentifier: {},
              SourceType: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Duration: {
                type: "integer"
              },
              EventCategories: {
                shape: "S6"
              },
              Filters: {
                shape: "S28"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeEventsResult",
            type: "structure",
            members: {
              Marker: {},
              Events: {
                type: "list",
                member: {
                  locationName: "Event",
                  type: "structure",
                  members: {
                    SourceIdentifier: {},
                    SourceType: {},
                    Message: {},
                    EventCategories: {
                      shape: "S6"
                    },
                    Date: {
                      type: "timestamp"
                    },
                    SourceArn: {}
                  }
                }
              }
            }
          }
        },
        DescribeGlobalClusters: {
          input: {
            type: "structure",
            members: {
              GlobalClusterIdentifier: {},
              Filters: {
                shape: "S28"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeGlobalClustersResult",
            type: "structure",
            members: {
              Marker: {},
              GlobalClusters: {
                type: "list",
                member: {
                  shape: "S1r",
                  locationName: "GlobalClusterMember"
                }
              }
            }
          }
        },
        DescribeOrderableDBInstanceOptions: {
          input: {
            type: "structure",
            required: [
              "Engine"
            ],
            members: {
              Engine: {},
              EngineVersion: {},
              DBInstanceClass: {},
              LicenseModel: {},
              Vpc: {
                type: "boolean"
              },
              Filters: {
                shape: "S28"
              },
              MaxRecords: {
                type: "integer"
              },
              Marker: {}
            }
          },
          output: {
            resultWrapper: "DescribeOrderableDBInstanceOptionsResult",
            type: "structure",
            members: {
              OrderableDBInstanceOptions: {
                type: "list",
                member: {
                  locationName: "OrderableDBInstanceOption",
                  type: "structure",
                  members: {
                    Engine: {},
                    EngineVersion: {},
                    DBInstanceClass: {},
                    LicenseModel: {},
                    AvailabilityZones: {
                      type: "list",
                      member: {
                        shape: "S1f",
                        locationName: "AvailabilityZone"
                      }
                    },
                    Vpc: {
                      type: "boolean"
                    }
                  },
                  wrapper: true
                }
              },
              Marker: {}
            }
          }
        },
        DescribePendingMaintenanceActions: {
          input: {
            type: "structure",
            members: {
              ResourceIdentifier: {},
              Filters: {
                shape: "S28"
              },
              Marker: {},
              MaxRecords: {
                type: "integer"
              }
            }
          },
          output: {
            resultWrapper: "DescribePendingMaintenanceActionsResult",
            type: "structure",
            members: {
              PendingMaintenanceActions: {
                type: "list",
                member: {
                  shape: "Sd",
                  locationName: "ResourcePendingMaintenanceActions"
                }
              },
              Marker: {}
            }
          }
        },
        FailoverDBCluster: {
          input: {
            type: "structure",
            members: {
              DBClusterIdentifier: {},
              TargetDBInstanceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "FailoverDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "Sw"
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName"
            ],
            members: {
              ResourceName: {},
              Filters: {
                shape: "S28"
              }
            }
          },
          output: {
            resultWrapper: "ListTagsForResourceResult",
            type: "structure",
            members: {
              TagList: {
                shape: "S9"
              }
            }
          }
        },
        ModifyDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {},
              NewDBClusterIdentifier: {},
              ApplyImmediately: {
                type: "boolean"
              },
              BackupRetentionPeriod: {
                type: "integer"
              },
              DBClusterParameterGroupName: {},
              VpcSecurityGroupIds: {
                shape: "Ss"
              },
              Port: {
                type: "integer"
              },
              MasterUserPassword: {},
              PreferredBackupWindow: {},
              PreferredMaintenanceWindow: {},
              CloudwatchLogsExportConfiguration: {
                type: "structure",
                members: {
                  EnableLogTypes: {
                    shape: "St"
                  },
                  DisableLogTypes: {
                    shape: "St"
                  }
                }
              },
              EngineVersion: {},
              DeletionProtection: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "Sw"
              }
            }
          }
        },
        ModifyDBClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBClusterParameterGroupName",
              "Parameters"
            ],
            members: {
              DBClusterParameterGroupName: {},
              Parameters: {
                shape: "S2j"
              }
            }
          },
          output: {
            shape: "S48",
            resultWrapper: "ModifyDBClusterParameterGroupResult"
          }
        },
        ModifyDBClusterSnapshotAttribute: {
          input: {
            type: "structure",
            required: [
              "DBClusterSnapshotIdentifier",
              "AttributeName"
            ],
            members: {
              DBClusterSnapshotIdentifier: {},
              AttributeName: {},
              ValuesToAdd: {
                shape: "S2r"
              },
              ValuesToRemove: {
                shape: "S2r"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBClusterSnapshotAttributeResult",
            type: "structure",
            members: {
              DBClusterSnapshotAttributesResult: {
                shape: "S2o"
              }
            }
          }
        },
        ModifyDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              DBInstanceClass: {},
              ApplyImmediately: {
                type: "boolean"
              },
              PreferredMaintenanceWindow: {},
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              NewDBInstanceIdentifier: {},
              CACertificateIdentifier: {},
              CopyTagsToSnapshot: {
                type: "boolean"
              },
              PromotionTier: {
                type: "integer"
              },
              EnablePerformanceInsights: {
                type: "boolean"
              },
              PerformanceInsightsKMSKeyId: {}
            }
          },
          output: {
            resultWrapper: "ModifyDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S1a"
              }
            }
          }
        },
        ModifyDBSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "DBSubnetGroupName",
              "SubnetIds"
            ],
            members: {
              DBSubnetGroupName: {},
              DBSubnetGroupDescription: {},
              SubnetIds: {
                shape: "S1l"
              }
            }
          },
          output: {
            resultWrapper: "ModifyDBSubnetGroupResult",
            type: "structure",
            members: {
              DBSubnetGroup: {
                shape: "S1c"
              }
            }
          }
        },
        ModifyEventSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName"
            ],
            members: {
              SubscriptionName: {},
              SnsTopicArn: {},
              SourceType: {},
              EventCategories: {
                shape: "S6"
              },
              Enabled: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyEventSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        ModifyGlobalCluster: {
          input: {
            type: "structure",
            required: [
              "GlobalClusterIdentifier"
            ],
            members: {
              GlobalClusterIdentifier: {},
              NewGlobalClusterIdentifier: {},
              DeletionProtection: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "ModifyGlobalClusterResult",
            type: "structure",
            members: {
              GlobalCluster: {
                shape: "S1r"
              }
            }
          }
        },
        RebootDBInstance: {
          input: {
            type: "structure",
            required: [
              "DBInstanceIdentifier"
            ],
            members: {
              DBInstanceIdentifier: {},
              ForceFailover: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "RebootDBInstanceResult",
            type: "structure",
            members: {
              DBInstance: {
                shape: "S1a"
              }
            }
          }
        },
        RemoveFromGlobalCluster: {
          input: {
            type: "structure",
            required: [
              "GlobalClusterIdentifier",
              "DbClusterIdentifier"
            ],
            members: {
              GlobalClusterIdentifier: {},
              DbClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "RemoveFromGlobalClusterResult",
            type: "structure",
            members: {
              GlobalCluster: {
                shape: "S1r"
              }
            }
          }
        },
        RemoveSourceIdentifierFromSubscription: {
          input: {
            type: "structure",
            required: [
              "SubscriptionName",
              "SourceIdentifier"
            ],
            members: {
              SubscriptionName: {},
              SourceIdentifier: {}
            }
          },
          output: {
            resultWrapper: "RemoveSourceIdentifierFromSubscriptionResult",
            type: "structure",
            members: {
              EventSubscription: {
                shape: "S4"
              }
            }
          }
        },
        RemoveTagsFromResource: {
          input: {
            type: "structure",
            required: [
              "ResourceName",
              "TagKeys"
            ],
            members: {
              ResourceName: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ResetDBClusterParameterGroup: {
          input: {
            type: "structure",
            required: [
              "DBClusterParameterGroupName"
            ],
            members: {
              DBClusterParameterGroupName: {},
              ResetAllParameters: {
                type: "boolean"
              },
              Parameters: {
                shape: "S2j"
              }
            }
          },
          output: {
            shape: "S48",
            resultWrapper: "ResetDBClusterParameterGroupResult"
          }
        },
        RestoreDBClusterFromSnapshot: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "SnapshotIdentifier",
              "Engine"
            ],
            members: {
              AvailabilityZones: {
                shape: "So"
              },
              DBClusterIdentifier: {},
              SnapshotIdentifier: {},
              Engine: {},
              EngineVersion: {},
              Port: {
                type: "integer"
              },
              DBSubnetGroupName: {},
              VpcSecurityGroupIds: {
                shape: "Ss"
              },
              Tags: {
                shape: "S9"
              },
              KmsKeyId: {},
              EnableCloudwatchLogsExports: {
                shape: "St"
              },
              DeletionProtection: {
                type: "boolean"
              },
              DBClusterParameterGroupName: {}
            }
          },
          output: {
            resultWrapper: "RestoreDBClusterFromSnapshotResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "Sw"
              }
            }
          }
        },
        RestoreDBClusterToPointInTime: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier",
              "SourceDBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {},
              RestoreType: {},
              SourceDBClusterIdentifier: {},
              RestoreToTime: {
                type: "timestamp"
              },
              UseLatestRestorableTime: {
                type: "boolean"
              },
              Port: {
                type: "integer"
              },
              DBSubnetGroupName: {},
              VpcSecurityGroupIds: {
                shape: "Ss"
              },
              Tags: {
                shape: "S9"
              },
              KmsKeyId: {},
              EnableCloudwatchLogsExports: {
                shape: "St"
              },
              DeletionProtection: {
                type: "boolean"
              }
            }
          },
          output: {
            resultWrapper: "RestoreDBClusterToPointInTimeResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "Sw"
              }
            }
          }
        },
        StartDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "StartDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "Sw"
              }
            }
          }
        },
        StopDBCluster: {
          input: {
            type: "structure",
            required: [
              "DBClusterIdentifier"
            ],
            members: {
              DBClusterIdentifier: {}
            }
          },
          output: {
            resultWrapper: "StopDBClusterResult",
            type: "structure",
            members: {
              DBCluster: {
                shape: "Sw"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            CustomerAwsId: {},
            CustSubscriptionId: {},
            SnsTopicArn: {},
            Status: {},
            SubscriptionCreationTime: {},
            SourceType: {},
            SourceIdsList: {
              shape: "S5"
            },
            EventCategoriesList: {
              shape: "S6"
            },
            Enabled: {
              type: "boolean"
            },
            EventSubscriptionArn: {}
          },
          wrapper: true
        },
        S5: {
          type: "list",
          member: {
            locationName: "SourceId"
          }
        },
        S6: {
          type: "list",
          member: {
            locationName: "EventCategory"
          }
        },
        S9: {
          type: "list",
          member: {
            locationName: "Tag",
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sd: {
          type: "structure",
          members: {
            ResourceIdentifier: {},
            PendingMaintenanceActionDetails: {
              type: "list",
              member: {
                locationName: "PendingMaintenanceAction",
                type: "structure",
                members: {
                  Action: {},
                  AutoAppliedAfterDate: {
                    type: "timestamp"
                  },
                  ForcedApplyDate: {
                    type: "timestamp"
                  },
                  OptInStatus: {},
                  CurrentApplyDate: {
                    type: "timestamp"
                  },
                  Description: {}
                }
              }
            }
          },
          wrapper: true
        },
        Sj: {
          type: "structure",
          members: {
            DBClusterParameterGroupName: {},
            DBParameterGroupFamily: {},
            Description: {},
            DBClusterParameterGroupArn: {}
          },
          wrapper: true
        },
        Sn: {
          type: "structure",
          members: {
            AvailabilityZones: {
              shape: "So"
            },
            DBClusterSnapshotIdentifier: {},
            DBClusterIdentifier: {},
            SnapshotCreateTime: {
              type: "timestamp"
            },
            Engine: {},
            Status: {},
            Port: {
              type: "integer"
            },
            VpcId: {},
            ClusterCreateTime: {
              type: "timestamp"
            },
            MasterUsername: {},
            EngineVersion: {},
            SnapshotType: {},
            PercentProgress: {
              type: "integer"
            },
            StorageEncrypted: {
              type: "boolean"
            },
            KmsKeyId: {},
            DBClusterSnapshotArn: {},
            SourceDBClusterSnapshotArn: {}
          },
          wrapper: true
        },
        So: {
          type: "list",
          member: {
            locationName: "AvailabilityZone"
          }
        },
        Ss: {
          type: "list",
          member: {
            locationName: "VpcSecurityGroupId"
          }
        },
        St: {
          type: "list",
          member: {}
        },
        Sw: {
          type: "structure",
          members: {
            AvailabilityZones: {
              shape: "So"
            },
            BackupRetentionPeriod: {
              type: "integer"
            },
            DBClusterIdentifier: {},
            DBClusterParameterGroup: {},
            DBSubnetGroup: {},
            Status: {},
            PercentProgress: {},
            EarliestRestorableTime: {
              type: "timestamp"
            },
            Endpoint: {},
            ReaderEndpoint: {},
            MultiAZ: {
              type: "boolean"
            },
            Engine: {},
            EngineVersion: {},
            LatestRestorableTime: {
              type: "timestamp"
            },
            Port: {
              type: "integer"
            },
            MasterUsername: {},
            PreferredBackupWindow: {},
            PreferredMaintenanceWindow: {},
            ReplicationSourceIdentifier: {},
            ReadReplicaIdentifiers: {
              type: "list",
              member: {
                locationName: "ReadReplicaIdentifier"
              }
            },
            DBClusterMembers: {
              type: "list",
              member: {
                locationName: "DBClusterMember",
                type: "structure",
                members: {
                  DBInstanceIdentifier: {},
                  IsClusterWriter: {
                    type: "boolean"
                  },
                  DBClusterParameterGroupStatus: {},
                  PromotionTier: {
                    type: "integer"
                  }
                },
                wrapper: true
              }
            },
            VpcSecurityGroups: {
              shape: "S10"
            },
            HostedZoneId: {},
            StorageEncrypted: {
              type: "boolean"
            },
            KmsKeyId: {},
            DbClusterResourceId: {},
            DBClusterArn: {},
            AssociatedRoles: {
              type: "list",
              member: {
                locationName: "DBClusterRole",
                type: "structure",
                members: {
                  RoleArn: {},
                  Status: {}
                }
              }
            },
            CloneGroupId: {},
            ClusterCreateTime: {
              type: "timestamp"
            },
            EnabledCloudwatchLogsExports: {
              shape: "St"
            },
            DeletionProtection: {
              type: "boolean"
            }
          },
          wrapper: true
        },
        S10: {
          type: "list",
          member: {
            locationName: "VpcSecurityGroupMembership",
            type: "structure",
            members: {
              VpcSecurityGroupId: {},
              Status: {}
            }
          }
        },
        S1a: {
          type: "structure",
          members: {
            DBInstanceIdentifier: {},
            DBInstanceClass: {},
            Engine: {},
            DBInstanceStatus: {},
            Endpoint: {
              type: "structure",
              members: {
                Address: {},
                Port: {
                  type: "integer"
                },
                HostedZoneId: {}
              }
            },
            InstanceCreateTime: {
              type: "timestamp"
            },
            PreferredBackupWindow: {},
            BackupRetentionPeriod: {
              type: "integer"
            },
            VpcSecurityGroups: {
              shape: "S10"
            },
            AvailabilityZone: {},
            DBSubnetGroup: {
              shape: "S1c"
            },
            PreferredMaintenanceWindow: {},
            PendingModifiedValues: {
              type: "structure",
              members: {
                DBInstanceClass: {},
                AllocatedStorage: {
                  type: "integer"
                },
                MasterUserPassword: {},
                Port: {
                  type: "integer"
                },
                BackupRetentionPeriod: {
                  type: "integer"
                },
                MultiAZ: {
                  type: "boolean"
                },
                EngineVersion: {},
                LicenseModel: {},
                Iops: {
                  type: "integer"
                },
                DBInstanceIdentifier: {},
                StorageType: {},
                CACertificateIdentifier: {},
                DBSubnetGroupName: {},
                PendingCloudwatchLogsExports: {
                  type: "structure",
                  members: {
                    LogTypesToEnable: {
                      shape: "St"
                    },
                    LogTypesToDisable: {
                      shape: "St"
                    }
                  }
                }
              }
            },
            LatestRestorableTime: {
              type: "timestamp"
            },
            EngineVersion: {},
            AutoMinorVersionUpgrade: {
              type: "boolean"
            },
            PubliclyAccessible: {
              type: "boolean"
            },
            StatusInfos: {
              type: "list",
              member: {
                locationName: "DBInstanceStatusInfo",
                type: "structure",
                members: {
                  StatusType: {},
                  Normal: {
                    type: "boolean"
                  },
                  Status: {},
                  Message: {}
                }
              }
            },
            DBClusterIdentifier: {},
            StorageEncrypted: {
              type: "boolean"
            },
            KmsKeyId: {},
            DbiResourceId: {},
            CACertificateIdentifier: {},
            CopyTagsToSnapshot: {
              type: "boolean"
            },
            PromotionTier: {
              type: "integer"
            },
            DBInstanceArn: {},
            EnabledCloudwatchLogsExports: {
              shape: "St"
            }
          },
          wrapper: true
        },
        S1c: {
          type: "structure",
          members: {
            DBSubnetGroupName: {},
            DBSubnetGroupDescription: {},
            VpcId: {},
            SubnetGroupStatus: {},
            Subnets: {
              type: "list",
              member: {
                locationName: "Subnet",
                type: "structure",
                members: {
                  SubnetIdentifier: {},
                  SubnetAvailabilityZone: {
                    shape: "S1f"
                  },
                  SubnetStatus: {}
                }
              }
            },
            DBSubnetGroupArn: {}
          },
          wrapper: true
        },
        S1f: {
          type: "structure",
          members: {
            Name: {}
          },
          wrapper: true
        },
        S1l: {
          type: "list",
          member: {
            locationName: "SubnetIdentifier"
          }
        },
        S1r: {
          type: "structure",
          members: {
            GlobalClusterIdentifier: {},
            GlobalClusterResourceId: {},
            GlobalClusterArn: {},
            Status: {},
            Engine: {},
            EngineVersion: {},
            DatabaseName: {},
            StorageEncrypted: {
              type: "boolean"
            },
            DeletionProtection: {
              type: "boolean"
            },
            GlobalClusterMembers: {
              type: "list",
              member: {
                locationName: "GlobalClusterMember",
                type: "structure",
                members: {
                  DBClusterArn: {},
                  Readers: {
                    type: "list",
                    member: {}
                  },
                  IsWriter: {
                    type: "boolean"
                  }
                },
                wrapper: true
              }
            }
          },
          wrapper: true
        },
        S28: {
          type: "list",
          member: {
            locationName: "Filter",
            type: "structure",
            required: [
              "Name",
              "Values"
            ],
            members: {
              Name: {},
              Values: {
                type: "list",
                member: {
                  locationName: "Value"
                }
              }
            }
          }
        },
        S2j: {
          type: "list",
          member: {
            locationName: "Parameter",
            type: "structure",
            members: {
              ParameterName: {},
              ParameterValue: {},
              Description: {},
              Source: {},
              ApplyType: {},
              DataType: {},
              AllowedValues: {},
              IsModifiable: {
                type: "boolean"
              },
              MinimumEngineVersion: {},
              ApplyMethod: {}
            }
          }
        },
        S2o: {
          type: "structure",
          members: {
            DBClusterSnapshotIdentifier: {},
            DBClusterSnapshotAttributes: {
              type: "list",
              member: {
                locationName: "DBClusterSnapshotAttribute",
                type: "structure",
                members: {
                  AttributeName: {},
                  AttributeValues: {
                    shape: "S2r"
                  }
                }
              }
            }
          },
          wrapper: true
        },
        S2r: {
          type: "list",
          member: {
            locationName: "AttributeValue"
          }
        },
        S48: {
          type: "structure",
          members: {
            DBClusterParameterGroupName: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/docdb-2014-10-31.paginators.json
var require_docdb_2014_10_31_paginators = __commonJS({
  "node_modules/aws-sdk/apis/docdb-2014-10-31.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeCertificates: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Certificates"
        },
        DescribeDBClusterParameterGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBClusterParameterGroups"
        },
        DescribeDBClusterParameters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Parameters"
        },
        DescribeDBClusterSnapshots: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBClusterSnapshots"
        },
        DescribeDBClusters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBClusters"
        },
        DescribeDBEngineVersions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBEngineVersions"
        },
        DescribeDBInstances: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBInstances"
        },
        DescribeDBSubnetGroups: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "DBSubnetGroups"
        },
        DescribeEventSubscriptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "EventSubscriptionsList"
        },
        DescribeEvents: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "Events"
        },
        DescribeGlobalClusters: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "GlobalClusters"
        },
        DescribeOrderableDBInstanceOptions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "OrderableDBInstanceOptions"
        },
        DescribePendingMaintenanceActions: {
          input_token: "Marker",
          limit_key: "MaxRecords",
          output_token: "Marker",
          result_key: "PendingMaintenanceActions"
        },
        ListTagsForResource: {
          result_key: "TagList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/docdb-2014-10-31.waiters2.json
var require_docdb_2014_10_31_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/docdb-2014-10-31.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        DBInstanceAvailable: {
          delay: 30,
          operation: "DescribeDBInstances",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "available",
              matcher: "pathAll",
              state: "success",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "deleted",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "deleting",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "failed",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "incompatible-restore",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "incompatible-parameters",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            }
          ]
        },
        DBInstanceDeleted: {
          delay: 30,
          operation: "DescribeDBInstances",
          maxAttempts: 60,
          acceptors: [
            {
              expected: "deleted",
              matcher: "pathAll",
              state: "success",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "DBInstanceNotFound",
              matcher: "error",
              state: "success"
            },
            {
              expected: "creating",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "modifying",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "rebooting",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            },
            {
              expected: "resetting-master-credentials",
              matcher: "pathAny",
              state: "failure",
              argument: "DBInstances[].DBInstanceStatus"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/docdb.js
var require_docdb2 = __commonJS({
  "node_modules/aws-sdk/clients/docdb.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["docdb"] = {};
    AWS2.DocDB = Service.defineService("docdb", ["2014-10-31"]);
    require_docdb();
    Object.defineProperty(apiLoader.services["docdb"], "2014-10-31", {
      get: function get() {
        var model = require_docdb_2014_10_31_min();
        model.paginators = require_docdb_2014_10_31_paginators().pagination;
        model.waiters = require_docdb_2014_10_31_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.DocDB;
  }
});

// node_modules/aws-sdk/apis/backup-2018-11-15.min.json
var require_backup_2018_11_15_min = __commonJS({
  "node_modules/aws-sdk/apis/backup-2018-11-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-11-15",
        endpointPrefix: "backup",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Backup",
        serviceId: "Backup",
        signatureVersion: "v4",
        uid: "backup-2018-11-15"
      },
      operations: {
        CancelLegalHold: {
          http: {
            method: "DELETE",
            requestUri: "/legal-holds/{legalHoldId}",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "LegalHoldId",
              "CancelDescription"
            ],
            members: {
              LegalHoldId: {
                location: "uri",
                locationName: "legalHoldId"
              },
              CancelDescription: {
                location: "querystring",
                locationName: "cancelDescription"
              },
              RetainRecordInDays: {
                location: "querystring",
                locationName: "retainRecordInDays",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        CreateBackupPlan: {
          http: {
            method: "PUT",
            requestUri: "/backup/plans/"
          },
          input: {
            type: "structure",
            required: [
              "BackupPlan"
            ],
            members: {
              BackupPlan: {
                shape: "S6"
              },
              BackupPlanTags: {
                shape: "Sf"
              },
              CreatorRequestId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BackupPlanId: {},
              BackupPlanArn: {},
              CreationDate: {
                type: "timestamp"
              },
              VersionId: {},
              AdvancedBackupSettings: {
                shape: "Sm"
              }
            }
          },
          idempotent: true
        },
        CreateBackupSelection: {
          http: {
            method: "PUT",
            requestUri: "/backup/plans/{backupPlanId}/selections/"
          },
          input: {
            type: "structure",
            required: [
              "BackupPlanId",
              "BackupSelection"
            ],
            members: {
              BackupPlanId: {
                location: "uri",
                locationName: "backupPlanId"
              },
              BackupSelection: {
                shape: "Sv"
              },
              CreatorRequestId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SelectionId: {},
              BackupPlanId: {},
              CreationDate: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        },
        CreateBackupVault: {
          http: {
            method: "PUT",
            requestUri: "/backup-vaults/{backupVaultName}"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              },
              BackupVaultTags: {
                shape: "Sf"
              },
              EncryptionKeyArn: {},
              CreatorRequestId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BackupVaultName: {},
              BackupVaultArn: {},
              CreationDate: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        },
        CreateFramework: {
          http: {
            requestUri: "/audit/frameworks"
          },
          input: {
            type: "structure",
            required: [
              "FrameworkName",
              "FrameworkControls"
            ],
            members: {
              FrameworkName: {},
              FrameworkDescription: {},
              FrameworkControls: {
                shape: "S1d"
              },
              IdempotencyToken: {
                idempotencyToken: true
              },
              FrameworkTags: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FrameworkName: {},
              FrameworkArn: {}
            }
          },
          idempotent: true
        },
        CreateLegalHold: {
          http: {
            requestUri: "/legal-holds/"
          },
          input: {
            type: "structure",
            required: [
              "Title",
              "Description"
            ],
            members: {
              Title: {},
              Description: {},
              IdempotencyToken: {},
              RecoveryPointSelection: {
                shape: "S1q"
              },
              Tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Title: {},
              Status: {},
              Description: {},
              LegalHoldId: {},
              LegalHoldArn: {},
              CreationDate: {
                type: "timestamp"
              },
              RecoveryPointSelection: {
                shape: "S1q"
              }
            }
          },
          idempotent: true
        },
        CreateReportPlan: {
          http: {
            requestUri: "/audit/report-plans"
          },
          input: {
            type: "structure",
            required: [
              "ReportPlanName",
              "ReportDeliveryChannel",
              "ReportSetting"
            ],
            members: {
              ReportPlanName: {},
              ReportPlanDescription: {},
              ReportDeliveryChannel: {
                shape: "S1z"
              },
              ReportSetting: {
                shape: "S21"
              },
              ReportPlanTags: {
                shape: "S1n"
              },
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReportPlanName: {},
              ReportPlanArn: {},
              CreationTime: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        },
        DeleteBackupPlan: {
          http: {
            method: "DELETE",
            requestUri: "/backup/plans/{backupPlanId}"
          },
          input: {
            type: "structure",
            required: [
              "BackupPlanId"
            ],
            members: {
              BackupPlanId: {
                location: "uri",
                locationName: "backupPlanId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BackupPlanId: {},
              BackupPlanArn: {},
              DeletionDate: {
                type: "timestamp"
              },
              VersionId: {}
            }
          }
        },
        DeleteBackupSelection: {
          http: {
            method: "DELETE",
            requestUri: "/backup/plans/{backupPlanId}/selections/{selectionId}"
          },
          input: {
            type: "structure",
            required: [
              "BackupPlanId",
              "SelectionId"
            ],
            members: {
              BackupPlanId: {
                location: "uri",
                locationName: "backupPlanId"
              },
              SelectionId: {
                location: "uri",
                locationName: "selectionId"
              }
            }
          }
        },
        DeleteBackupVault: {
          http: {
            method: "DELETE",
            requestUri: "/backup-vaults/{backupVaultName}"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              }
            }
          }
        },
        DeleteBackupVaultAccessPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/backup-vaults/{backupVaultName}/access-policy"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              }
            }
          },
          idempotent: true
        },
        DeleteBackupVaultLockConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/backup-vaults/{backupVaultName}/vault-lock"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              }
            }
          },
          idempotent: true
        },
        DeleteBackupVaultNotifications: {
          http: {
            method: "DELETE",
            requestUri: "/backup-vaults/{backupVaultName}/notification-configuration"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              }
            }
          },
          idempotent: true
        },
        DeleteFramework: {
          http: {
            method: "DELETE",
            requestUri: "/audit/frameworks/{frameworkName}"
          },
          input: {
            type: "structure",
            required: [
              "FrameworkName"
            ],
            members: {
              FrameworkName: {
                location: "uri",
                locationName: "frameworkName"
              }
            }
          }
        },
        DeleteRecoveryPoint: {
          http: {
            method: "DELETE",
            requestUri: "/backup-vaults/{backupVaultName}/recovery-points/{recoveryPointArn}"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName",
              "RecoveryPointArn"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              },
              RecoveryPointArn: {
                location: "uri",
                locationName: "recoveryPointArn"
              }
            }
          },
          idempotent: true
        },
        DeleteReportPlan: {
          http: {
            method: "DELETE",
            requestUri: "/audit/report-plans/{reportPlanName}"
          },
          input: {
            type: "structure",
            required: [
              "ReportPlanName"
            ],
            members: {
              ReportPlanName: {
                location: "uri",
                locationName: "reportPlanName"
              }
            }
          },
          idempotent: true
        },
        DescribeBackupJob: {
          http: {
            method: "GET",
            requestUri: "/backup-jobs/{backupJobId}"
          },
          input: {
            type: "structure",
            required: [
              "BackupJobId"
            ],
            members: {
              BackupJobId: {
                location: "uri",
                locationName: "backupJobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccountId: {},
              BackupJobId: {},
              BackupVaultName: {},
              BackupVaultArn: {},
              RecoveryPointArn: {},
              ResourceArn: {},
              CreationDate: {
                type: "timestamp"
              },
              CompletionDate: {
                type: "timestamp"
              },
              State: {},
              StatusMessage: {},
              PercentDone: {},
              BackupSizeInBytes: {
                type: "long"
              },
              IamRoleArn: {},
              CreatedBy: {
                shape: "S2j"
              },
              ResourceType: {},
              BytesTransferred: {
                type: "long"
              },
              ExpectedCompletionDate: {
                type: "timestamp"
              },
              StartBy: {
                type: "timestamp"
              },
              BackupOptions: {
                shape: "Sp"
              },
              BackupType: {},
              ParentJobId: {},
              IsParent: {
                type: "boolean"
              },
              NumberOfChildJobs: {
                type: "long"
              },
              ChildJobsInState: {
                type: "map",
                key: {},
                value: {
                  type: "long"
                }
              },
              ResourceName: {}
            }
          },
          idempotent: true
        },
        DescribeBackupVault: {
          http: {
            method: "GET",
            requestUri: "/backup-vaults/{backupVaultName}"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BackupVaultName: {},
              BackupVaultArn: {},
              EncryptionKeyArn: {},
              CreationDate: {
                type: "timestamp"
              },
              CreatorRequestId: {},
              NumberOfRecoveryPoints: {
                type: "long"
              },
              Locked: {
                type: "boolean"
              },
              MinRetentionDays: {
                type: "long"
              },
              MaxRetentionDays: {
                type: "long"
              },
              LockDate: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        },
        DescribeCopyJob: {
          http: {
            method: "GET",
            requestUri: "/copy-jobs/{copyJobId}"
          },
          input: {
            type: "structure",
            required: [
              "CopyJobId"
            ],
            members: {
              CopyJobId: {
                location: "uri",
                locationName: "copyJobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CopyJob: {
                shape: "S2r"
              }
            }
          },
          idempotent: true
        },
        DescribeFramework: {
          http: {
            method: "GET",
            requestUri: "/audit/frameworks/{frameworkName}"
          },
          input: {
            type: "structure",
            required: [
              "FrameworkName"
            ],
            members: {
              FrameworkName: {
                location: "uri",
                locationName: "frameworkName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FrameworkName: {},
              FrameworkArn: {},
              FrameworkDescription: {},
              FrameworkControls: {
                shape: "S1d"
              },
              CreationTime: {
                type: "timestamp"
              },
              DeploymentStatus: {},
              FrameworkStatus: {},
              IdempotencyToken: {}
            }
          }
        },
        DescribeGlobalSettings: {
          http: {
            method: "GET",
            requestUri: "/global-settings"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              GlobalSettings: {
                shape: "S2y"
              },
              LastUpdateTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeProtectedResource: {
          http: {
            method: "GET",
            requestUri: "/resources/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceArn: {},
              ResourceType: {},
              LastBackupTime: {
                type: "timestamp"
              },
              ResourceName: {}
            }
          },
          idempotent: true
        },
        DescribeRecoveryPoint: {
          http: {
            method: "GET",
            requestUri: "/backup-vaults/{backupVaultName}/recovery-points/{recoveryPointArn}"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName",
              "RecoveryPointArn"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              },
              RecoveryPointArn: {
                location: "uri",
                locationName: "recoveryPointArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RecoveryPointArn: {},
              BackupVaultName: {},
              BackupVaultArn: {},
              SourceBackupVaultArn: {},
              ResourceArn: {},
              ResourceType: {},
              CreatedBy: {
                shape: "S2j"
              },
              IamRoleArn: {},
              Status: {},
              StatusMessage: {},
              CreationDate: {
                type: "timestamp"
              },
              CompletionDate: {
                type: "timestamp"
              },
              BackupSizeInBytes: {
                type: "long"
              },
              CalculatedLifecycle: {
                shape: "S36"
              },
              Lifecycle: {
                shape: "Se"
              },
              EncryptionKeyArn: {},
              IsEncrypted: {
                type: "boolean"
              },
              StorageClass: {},
              LastRestoreTime: {
                type: "timestamp"
              },
              ParentRecoveryPointArn: {},
              CompositeMemberIdentifier: {},
              IsParent: {
                type: "boolean"
              },
              ResourceName: {}
            }
          },
          idempotent: true
        },
        DescribeRegionSettings: {
          http: {
            method: "GET",
            requestUri: "/account-settings"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              ResourceTypeOptInPreference: {
                shape: "S3a"
              },
              ResourceTypeManagementPreference: {
                shape: "S3c"
              }
            }
          }
        },
        DescribeReportJob: {
          http: {
            method: "GET",
            requestUri: "/audit/report-jobs/{reportJobId}"
          },
          input: {
            type: "structure",
            required: [
              "ReportJobId"
            ],
            members: {
              ReportJobId: {
                location: "uri",
                locationName: "reportJobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReportJob: {
                shape: "S3g"
              }
            }
          }
        },
        DescribeReportPlan: {
          http: {
            method: "GET",
            requestUri: "/audit/report-plans/{reportPlanName}"
          },
          input: {
            type: "structure",
            required: [
              "ReportPlanName"
            ],
            members: {
              ReportPlanName: {
                location: "uri",
                locationName: "reportPlanName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReportPlan: {
                shape: "S3k"
              }
            }
          }
        },
        DescribeRestoreJob: {
          http: {
            method: "GET",
            requestUri: "/restore-jobs/{restoreJobId}"
          },
          input: {
            type: "structure",
            required: [
              "RestoreJobId"
            ],
            members: {
              RestoreJobId: {
                location: "uri",
                locationName: "restoreJobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccountId: {},
              RestoreJobId: {},
              RecoveryPointArn: {},
              CreationDate: {
                type: "timestamp"
              },
              CompletionDate: {
                type: "timestamp"
              },
              Status: {},
              StatusMessage: {},
              PercentDone: {},
              BackupSizeInBytes: {
                type: "long"
              },
              IamRoleArn: {},
              ExpectedCompletionTimeMinutes: {
                type: "long"
              },
              CreatedResourceArn: {},
              ResourceType: {}
            }
          },
          idempotent: true
        },
        DisassociateRecoveryPoint: {
          http: {
            requestUri: "/backup-vaults/{backupVaultName}/recovery-points/{recoveryPointArn}/disassociate"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName",
              "RecoveryPointArn"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              },
              RecoveryPointArn: {
                location: "uri",
                locationName: "recoveryPointArn"
              }
            }
          }
        },
        DisassociateRecoveryPointFromParent: {
          http: {
            method: "DELETE",
            requestUri: "/backup-vaults/{backupVaultName}/recovery-points/{recoveryPointArn}/parentAssociation",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName",
              "RecoveryPointArn"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              },
              RecoveryPointArn: {
                location: "uri",
                locationName: "recoveryPointArn"
              }
            }
          }
        },
        ExportBackupPlanTemplate: {
          http: {
            method: "GET",
            requestUri: "/backup/plans/{backupPlanId}/toTemplate/"
          },
          input: {
            type: "structure",
            required: [
              "BackupPlanId"
            ],
            members: {
              BackupPlanId: {
                location: "uri",
                locationName: "backupPlanId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BackupPlanTemplateJson: {}
            }
          }
        },
        GetBackupPlan: {
          http: {
            method: "GET",
            requestUri: "/backup/plans/{backupPlanId}/"
          },
          input: {
            type: "structure",
            required: [
              "BackupPlanId"
            ],
            members: {
              BackupPlanId: {
                location: "uri",
                locationName: "backupPlanId"
              },
              VersionId: {
                location: "querystring",
                locationName: "versionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BackupPlan: {
                shape: "S3v"
              },
              BackupPlanId: {},
              BackupPlanArn: {},
              VersionId: {},
              CreatorRequestId: {},
              CreationDate: {
                type: "timestamp"
              },
              DeletionDate: {
                type: "timestamp"
              },
              LastExecutionDate: {
                type: "timestamp"
              },
              AdvancedBackupSettings: {
                shape: "Sm"
              }
            }
          },
          idempotent: true
        },
        GetBackupPlanFromJSON: {
          http: {
            requestUri: "/backup/template/json/toPlan"
          },
          input: {
            type: "structure",
            required: [
              "BackupPlanTemplateJson"
            ],
            members: {
              BackupPlanTemplateJson: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BackupPlan: {
                shape: "S3v"
              }
            }
          }
        },
        GetBackupPlanFromTemplate: {
          http: {
            method: "GET",
            requestUri: "/backup/template/plans/{templateId}/toPlan"
          },
          input: {
            type: "structure",
            required: [
              "BackupPlanTemplateId"
            ],
            members: {
              BackupPlanTemplateId: {
                location: "uri",
                locationName: "templateId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BackupPlanDocument: {
                shape: "S3v"
              }
            }
          }
        },
        GetBackupSelection: {
          http: {
            method: "GET",
            requestUri: "/backup/plans/{backupPlanId}/selections/{selectionId}"
          },
          input: {
            type: "structure",
            required: [
              "BackupPlanId",
              "SelectionId"
            ],
            members: {
              BackupPlanId: {
                location: "uri",
                locationName: "backupPlanId"
              },
              SelectionId: {
                location: "uri",
                locationName: "selectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BackupSelection: {
                shape: "Sv"
              },
              SelectionId: {},
              BackupPlanId: {},
              CreationDate: {
                type: "timestamp"
              },
              CreatorRequestId: {}
            }
          },
          idempotent: true
        },
        GetBackupVaultAccessPolicy: {
          http: {
            method: "GET",
            requestUri: "/backup-vaults/{backupVaultName}/access-policy"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BackupVaultName: {},
              BackupVaultArn: {},
              Policy: {}
            }
          },
          idempotent: true
        },
        GetBackupVaultNotifications: {
          http: {
            method: "GET",
            requestUri: "/backup-vaults/{backupVaultName}/notification-configuration"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BackupVaultName: {},
              BackupVaultArn: {},
              SNSTopicArn: {},
              BackupVaultEvents: {
                shape: "S49"
              }
            }
          },
          idempotent: true
        },
        GetLegalHold: {
          http: {
            method: "GET",
            requestUri: "/legal-holds/{legalHoldId}/"
          },
          input: {
            type: "structure",
            required: [
              "LegalHoldId"
            ],
            members: {
              LegalHoldId: {
                location: "uri",
                locationName: "legalHoldId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Title: {},
              Status: {},
              Description: {},
              CancelDescription: {},
              LegalHoldId: {},
              LegalHoldArn: {},
              CreationDate: {
                type: "timestamp"
              },
              CancellationDate: {
                type: "timestamp"
              },
              RetainRecordUntil: {
                type: "timestamp"
              },
              RecoveryPointSelection: {
                shape: "S1q"
              }
            }
          },
          idempotent: true
        },
        GetRecoveryPointRestoreMetadata: {
          http: {
            method: "GET",
            requestUri: "/backup-vaults/{backupVaultName}/recovery-points/{recoveryPointArn}/restore-metadata"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName",
              "RecoveryPointArn"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              },
              RecoveryPointArn: {
                location: "uri",
                locationName: "recoveryPointArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BackupVaultArn: {},
              RecoveryPointArn: {},
              RestoreMetadata: {
                shape: "S4f"
              }
            }
          },
          idempotent: true
        },
        GetSupportedResourceTypes: {
          http: {
            method: "GET",
            requestUri: "/supported-resource-types"
          },
          output: {
            type: "structure",
            members: {
              ResourceTypes: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ListBackupJobs: {
          http: {
            method: "GET",
            requestUri: "/backup-jobs/"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              ByResourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              ByState: {
                location: "querystring",
                locationName: "state"
              },
              ByBackupVaultName: {
                location: "querystring",
                locationName: "backupVaultName"
              },
              ByCreatedBefore: {
                location: "querystring",
                locationName: "createdBefore",
                type: "timestamp"
              },
              ByCreatedAfter: {
                location: "querystring",
                locationName: "createdAfter",
                type: "timestamp"
              },
              ByResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              ByAccountId: {
                location: "querystring",
                locationName: "accountId"
              },
              ByCompleteAfter: {
                location: "querystring",
                locationName: "completeAfter",
                type: "timestamp"
              },
              ByCompleteBefore: {
                location: "querystring",
                locationName: "completeBefore",
                type: "timestamp"
              },
              ByParentJobId: {
                location: "querystring",
                locationName: "parentJobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BackupJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AccountId: {},
                    BackupJobId: {},
                    BackupVaultName: {},
                    BackupVaultArn: {},
                    RecoveryPointArn: {},
                    ResourceArn: {},
                    CreationDate: {
                      type: "timestamp"
                    },
                    CompletionDate: {
                      type: "timestamp"
                    },
                    State: {},
                    StatusMessage: {},
                    PercentDone: {},
                    BackupSizeInBytes: {
                      type: "long"
                    },
                    IamRoleArn: {},
                    CreatedBy: {
                      shape: "S2j"
                    },
                    ExpectedCompletionDate: {
                      type: "timestamp"
                    },
                    StartBy: {
                      type: "timestamp"
                    },
                    ResourceType: {},
                    BytesTransferred: {
                      type: "long"
                    },
                    BackupOptions: {
                      shape: "Sp"
                    },
                    BackupType: {},
                    ParentJobId: {},
                    IsParent: {
                      type: "boolean"
                    },
                    ResourceName: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListBackupPlanTemplates: {
          http: {
            method: "GET",
            requestUri: "/backup/template/plans"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              BackupPlanTemplatesList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    BackupPlanTemplateId: {},
                    BackupPlanTemplateName: {}
                  }
                }
              }
            }
          }
        },
        ListBackupPlanVersions: {
          http: {
            method: "GET",
            requestUri: "/backup/plans/{backupPlanId}/versions/"
          },
          input: {
            type: "structure",
            required: [
              "BackupPlanId"
            ],
            members: {
              BackupPlanId: {
                location: "uri",
                locationName: "backupPlanId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              BackupPlanVersionsList: {
                type: "list",
                member: {
                  shape: "S4w"
                }
              }
            }
          },
          idempotent: true
        },
        ListBackupPlans: {
          http: {
            method: "GET",
            requestUri: "/backup/plans/"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              IncludeDeleted: {
                location: "querystring",
                locationName: "includeDeleted",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              BackupPlansList: {
                type: "list",
                member: {
                  shape: "S4w"
                }
              }
            }
          },
          idempotent: true
        },
        ListBackupSelections: {
          http: {
            method: "GET",
            requestUri: "/backup/plans/{backupPlanId}/selections/"
          },
          input: {
            type: "structure",
            required: [
              "BackupPlanId"
            ],
            members: {
              BackupPlanId: {
                location: "uri",
                locationName: "backupPlanId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              BackupSelectionsList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SelectionId: {},
                    SelectionName: {},
                    BackupPlanId: {},
                    CreationDate: {
                      type: "timestamp"
                    },
                    CreatorRequestId: {},
                    IamRoleArn: {}
                  }
                }
              }
            }
          },
          idempotent: true
        },
        ListBackupVaults: {
          http: {
            method: "GET",
            requestUri: "/backup-vaults/"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BackupVaultList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    BackupVaultName: {},
                    BackupVaultArn: {},
                    CreationDate: {
                      type: "timestamp"
                    },
                    EncryptionKeyArn: {},
                    CreatorRequestId: {},
                    NumberOfRecoveryPoints: {
                      type: "long"
                    },
                    Locked: {
                      type: "boolean"
                    },
                    MinRetentionDays: {
                      type: "long"
                    },
                    MaxRetentionDays: {
                      type: "long"
                    },
                    LockDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListCopyJobs: {
          http: {
            method: "GET",
            requestUri: "/copy-jobs/"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              ByResourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              ByState: {
                location: "querystring",
                locationName: "state"
              },
              ByCreatedBefore: {
                location: "querystring",
                locationName: "createdBefore",
                type: "timestamp"
              },
              ByCreatedAfter: {
                location: "querystring",
                locationName: "createdAfter",
                type: "timestamp"
              },
              ByResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              ByDestinationVaultArn: {
                location: "querystring",
                locationName: "destinationVaultArn"
              },
              ByAccountId: {
                location: "querystring",
                locationName: "accountId"
              },
              ByCompleteBefore: {
                location: "querystring",
                locationName: "completeBefore",
                type: "timestamp"
              },
              ByCompleteAfter: {
                location: "querystring",
                locationName: "completeAfter",
                type: "timestamp"
              },
              ByParentJobId: {
                location: "querystring",
                locationName: "parentJobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CopyJobs: {
                type: "list",
                member: {
                  shape: "S2r"
                }
              },
              NextToken: {}
            }
          }
        },
        ListFrameworks: {
          http: {
            method: "GET",
            requestUri: "/audit/frameworks"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Frameworks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FrameworkName: {},
                    FrameworkArn: {},
                    FrameworkDescription: {},
                    NumberOfControls: {
                      type: "integer"
                    },
                    CreationTime: {
                      type: "timestamp"
                    },
                    DeploymentStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLegalHolds: {
          http: {
            method: "GET",
            requestUri: "/legal-holds/"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              LegalHolds: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Title: {},
                    Status: {},
                    Description: {},
                    LegalHoldId: {},
                    LegalHoldArn: {},
                    CreationDate: {
                      type: "timestamp"
                    },
                    CancellationDate: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          },
          idempotent: true
        },
        ListProtectedResources: {
          http: {
            method: "GET",
            requestUri: "/resources/"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Results: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceArn: {},
                    ResourceType: {},
                    LastBackupTime: {
                      type: "timestamp"
                    },
                    ResourceName: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListRecoveryPointsByBackupVault: {
          http: {
            method: "GET",
            requestUri: "/backup-vaults/{backupVaultName}/recovery-points/"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              ByResourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              ByResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              ByBackupPlanId: {
                location: "querystring",
                locationName: "backupPlanId"
              },
              ByCreatedBefore: {
                location: "querystring",
                locationName: "createdBefore",
                type: "timestamp"
              },
              ByCreatedAfter: {
                location: "querystring",
                locationName: "createdAfter",
                type: "timestamp"
              },
              ByParentRecoveryPointArn: {
                location: "querystring",
                locationName: "parentRecoveryPointArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              RecoveryPoints: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RecoveryPointArn: {},
                    BackupVaultName: {},
                    BackupVaultArn: {},
                    SourceBackupVaultArn: {},
                    ResourceArn: {},
                    ResourceType: {},
                    CreatedBy: {
                      shape: "S2j"
                    },
                    IamRoleArn: {},
                    Status: {},
                    StatusMessage: {},
                    CreationDate: {
                      type: "timestamp"
                    },
                    CompletionDate: {
                      type: "timestamp"
                    },
                    BackupSizeInBytes: {
                      type: "long"
                    },
                    CalculatedLifecycle: {
                      shape: "S36"
                    },
                    Lifecycle: {
                      shape: "Se"
                    },
                    EncryptionKeyArn: {},
                    IsEncrypted: {
                      type: "boolean"
                    },
                    LastRestoreTime: {
                      type: "timestamp"
                    },
                    ParentRecoveryPointArn: {},
                    CompositeMemberIdentifier: {},
                    IsParent: {
                      type: "boolean"
                    },
                    ResourceName: {}
                  }
                }
              }
            }
          },
          idempotent: true
        },
        ListRecoveryPointsByLegalHold: {
          http: {
            method: "GET",
            requestUri: "/legal-holds/{legalHoldId}/recovery-points"
          },
          input: {
            type: "structure",
            required: [
              "LegalHoldId"
            ],
            members: {
              LegalHoldId: {
                location: "uri",
                locationName: "legalHoldId"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RecoveryPoints: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RecoveryPointArn: {},
                    ResourceArn: {},
                    ResourceType: {},
                    BackupVaultName: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListRecoveryPointsByResource: {
          http: {
            method: "GET",
            requestUri: "/resources/{resourceArn}/recovery-points/"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              RecoveryPoints: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RecoveryPointArn: {},
                    CreationDate: {
                      type: "timestamp"
                    },
                    Status: {},
                    StatusMessage: {},
                    EncryptionKeyArn: {},
                    BackupSizeBytes: {
                      type: "long"
                    },
                    BackupVaultName: {},
                    IsParent: {
                      type: "boolean"
                    },
                    ParentRecoveryPointArn: {},
                    ResourceName: {}
                  }
                }
              }
            }
          },
          idempotent: true
        },
        ListReportJobs: {
          http: {
            method: "GET",
            requestUri: "/audit/report-jobs"
          },
          input: {
            type: "structure",
            members: {
              ByReportPlanName: {
                location: "querystring",
                locationName: "ReportPlanName"
              },
              ByCreationBefore: {
                location: "querystring",
                locationName: "CreationBefore",
                type: "timestamp"
              },
              ByCreationAfter: {
                location: "querystring",
                locationName: "CreationAfter",
                type: "timestamp"
              },
              ByStatus: {
                location: "querystring",
                locationName: "Status"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReportJobs: {
                type: "list",
                member: {
                  shape: "S3g"
                }
              },
              NextToken: {}
            }
          }
        },
        ListReportPlans: {
          http: {
            method: "GET",
            requestUri: "/audit/report-plans"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReportPlans: {
                type: "list",
                member: {
                  shape: "S3k"
                }
              },
              NextToken: {}
            }
          }
        },
        ListRestoreJobs: {
          http: {
            method: "GET",
            requestUri: "/restore-jobs/"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              ByAccountId: {
                location: "querystring",
                locationName: "accountId"
              },
              ByCreatedBefore: {
                location: "querystring",
                locationName: "createdBefore",
                type: "timestamp"
              },
              ByCreatedAfter: {
                location: "querystring",
                locationName: "createdAfter",
                type: "timestamp"
              },
              ByStatus: {
                location: "querystring",
                locationName: "status"
              },
              ByCompleteBefore: {
                location: "querystring",
                locationName: "completeBefore",
                type: "timestamp"
              },
              ByCompleteAfter: {
                location: "querystring",
                locationName: "completeAfter",
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RestoreJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AccountId: {},
                    RestoreJobId: {},
                    RecoveryPointArn: {},
                    CreationDate: {
                      type: "timestamp"
                    },
                    CompletionDate: {
                      type: "timestamp"
                    },
                    Status: {},
                    StatusMessage: {},
                    PercentDone: {},
                    BackupSizeInBytes: {
                      type: "long"
                    },
                    IamRoleArn: {},
                    ExpectedCompletionTimeMinutes: {
                      type: "long"
                    },
                    CreatedResourceArn: {},
                    ResourceType: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListTags: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}/"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Tags: {
                shape: "Sf"
              }
            }
          },
          idempotent: true
        },
        PutBackupVaultAccessPolicy: {
          http: {
            method: "PUT",
            requestUri: "/backup-vaults/{backupVaultName}/access-policy"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              },
              Policy: {}
            }
          },
          idempotent: true
        },
        PutBackupVaultLockConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/backup-vaults/{backupVaultName}/vault-lock"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              },
              MinRetentionDays: {
                type: "long"
              },
              MaxRetentionDays: {
                type: "long"
              },
              ChangeableForDays: {
                type: "long"
              }
            }
          },
          idempotent: true
        },
        PutBackupVaultNotifications: {
          http: {
            method: "PUT",
            requestUri: "/backup-vaults/{backupVaultName}/notification-configuration"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName",
              "SNSTopicArn",
              "BackupVaultEvents"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              },
              SNSTopicArn: {},
              BackupVaultEvents: {
                shape: "S49"
              }
            }
          },
          idempotent: true
        },
        StartBackupJob: {
          http: {
            method: "PUT",
            requestUri: "/backup-jobs"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName",
              "ResourceArn",
              "IamRoleArn"
            ],
            members: {
              BackupVaultName: {},
              ResourceArn: {},
              IamRoleArn: {},
              IdempotencyToken: {},
              StartWindowMinutes: {
                type: "long"
              },
              CompleteWindowMinutes: {
                type: "long"
              },
              Lifecycle: {
                shape: "Se"
              },
              RecoveryPointTags: {
                shape: "Sf"
              },
              BackupOptions: {
                shape: "Sp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BackupJobId: {},
              RecoveryPointArn: {},
              CreationDate: {
                type: "timestamp"
              },
              IsParent: {
                type: "boolean"
              }
            }
          },
          idempotent: true
        },
        StartCopyJob: {
          http: {
            method: "PUT",
            requestUri: "/copy-jobs"
          },
          input: {
            type: "structure",
            required: [
              "RecoveryPointArn",
              "SourceBackupVaultName",
              "DestinationBackupVaultArn",
              "IamRoleArn"
            ],
            members: {
              RecoveryPointArn: {},
              SourceBackupVaultName: {},
              DestinationBackupVaultArn: {},
              IamRoleArn: {},
              IdempotencyToken: {},
              Lifecycle: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CopyJobId: {},
              CreationDate: {
                type: "timestamp"
              },
              IsParent: {
                type: "boolean"
              }
            }
          },
          idempotent: true
        },
        StartReportJob: {
          http: {
            requestUri: "/audit/report-jobs/{reportPlanName}"
          },
          input: {
            type: "structure",
            required: [
              "ReportPlanName"
            ],
            members: {
              ReportPlanName: {
                location: "uri",
                locationName: "reportPlanName"
              },
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReportJobId: {}
            }
          },
          idempotent: true
        },
        StartRestoreJob: {
          http: {
            method: "PUT",
            requestUri: "/restore-jobs"
          },
          input: {
            type: "structure",
            required: [
              "RecoveryPointArn",
              "Metadata"
            ],
            members: {
              RecoveryPointArn: {},
              Metadata: {
                shape: "S4f"
              },
              IamRoleArn: {},
              IdempotencyToken: {},
              ResourceType: {},
              CopySourceTagsToRestoredResource: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RestoreJobId: {}
            }
          },
          idempotent: true
        },
        StopBackupJob: {
          http: {
            requestUri: "/backup-jobs/{backupJobId}"
          },
          input: {
            type: "structure",
            required: [
              "BackupJobId"
            ],
            members: {
              BackupJobId: {
                location: "uri",
                locationName: "backupJobId"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              Tags: {
                shape: "Sf"
              }
            }
          },
          idempotent: true
        },
        UntagResource: {
          http: {
            requestUri: "/untag/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeyList"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              TagKeyList: {
                type: "list",
                member: {},
                sensitive: true
              }
            }
          },
          idempotent: true
        },
        UpdateBackupPlan: {
          http: {
            requestUri: "/backup/plans/{backupPlanId}"
          },
          input: {
            type: "structure",
            required: [
              "BackupPlanId",
              "BackupPlan"
            ],
            members: {
              BackupPlanId: {
                location: "uri",
                locationName: "backupPlanId"
              },
              BackupPlan: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BackupPlanId: {},
              BackupPlanArn: {},
              CreationDate: {
                type: "timestamp"
              },
              VersionId: {},
              AdvancedBackupSettings: {
                shape: "Sm"
              }
            }
          },
          idempotent: true
        },
        UpdateFramework: {
          http: {
            method: "PUT",
            requestUri: "/audit/frameworks/{frameworkName}"
          },
          input: {
            type: "structure",
            required: [
              "FrameworkName"
            ],
            members: {
              FrameworkName: {
                location: "uri",
                locationName: "frameworkName"
              },
              FrameworkDescription: {},
              FrameworkControls: {
                shape: "S1d"
              },
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FrameworkName: {},
              FrameworkArn: {},
              CreationTime: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        },
        UpdateGlobalSettings: {
          http: {
            method: "PUT",
            requestUri: "/global-settings"
          },
          input: {
            type: "structure",
            members: {
              GlobalSettings: {
                shape: "S2y"
              }
            }
          }
        },
        UpdateRecoveryPointLifecycle: {
          http: {
            requestUri: "/backup-vaults/{backupVaultName}/recovery-points/{recoveryPointArn}"
          },
          input: {
            type: "structure",
            required: [
              "BackupVaultName",
              "RecoveryPointArn"
            ],
            members: {
              BackupVaultName: {
                location: "uri",
                locationName: "backupVaultName"
              },
              RecoveryPointArn: {
                location: "uri",
                locationName: "recoveryPointArn"
              },
              Lifecycle: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BackupVaultArn: {},
              RecoveryPointArn: {},
              Lifecycle: {
                shape: "Se"
              },
              CalculatedLifecycle: {
                shape: "S36"
              }
            }
          },
          idempotent: true
        },
        UpdateRegionSettings: {
          http: {
            method: "PUT",
            requestUri: "/account-settings"
          },
          input: {
            type: "structure",
            members: {
              ResourceTypeOptInPreference: {
                shape: "S3a"
              },
              ResourceTypeManagementPreference: {
                shape: "S3c"
              }
            }
          }
        },
        UpdateReportPlan: {
          http: {
            method: "PUT",
            requestUri: "/audit/report-plans/{reportPlanName}"
          },
          input: {
            type: "structure",
            required: [
              "ReportPlanName"
            ],
            members: {
              ReportPlanName: {
                location: "uri",
                locationName: "reportPlanName"
              },
              ReportPlanDescription: {},
              ReportDeliveryChannel: {
                shape: "S1z"
              },
              ReportSetting: {
                shape: "S21"
              },
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReportPlanName: {},
              ReportPlanArn: {},
              CreationTime: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S6: {
          type: "structure",
          required: [
            "BackupPlanName",
            "Rules"
          ],
          members: {
            BackupPlanName: {},
            Rules: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "RuleName",
                  "TargetBackupVaultName"
                ],
                members: {
                  RuleName: {},
                  TargetBackupVaultName: {},
                  ScheduleExpression: {},
                  StartWindowMinutes: {
                    type: "long"
                  },
                  CompletionWindowMinutes: {
                    type: "long"
                  },
                  Lifecycle: {
                    shape: "Se"
                  },
                  RecoveryPointTags: {
                    shape: "Sf"
                  },
                  CopyActions: {
                    shape: "Si"
                  },
                  EnableContinuousBackup: {
                    type: "boolean"
                  }
                }
              }
            },
            AdvancedBackupSettings: {
              shape: "Sm"
            }
          }
        },
        Se: {
          type: "structure",
          members: {
            MoveToColdStorageAfterDays: {
              type: "long"
            },
            DeleteAfterDays: {
              type: "long"
            }
          }
        },
        Sf: {
          type: "map",
          key: {},
          value: {},
          sensitive: true
        },
        Si: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DestinationBackupVaultArn"
            ],
            members: {
              Lifecycle: {
                shape: "Se"
              },
              DestinationBackupVaultArn: {}
            }
          }
        },
        Sm: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ResourceType: {},
              BackupOptions: {
                shape: "Sp"
              }
            }
          }
        },
        Sp: {
          type: "map",
          key: {},
          value: {}
        },
        Sv: {
          type: "structure",
          required: [
            "SelectionName",
            "IamRoleArn"
          ],
          members: {
            SelectionName: {},
            IamRoleArn: {},
            Resources: {
              shape: "Sy"
            },
            ListOfTags: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "ConditionType",
                  "ConditionKey",
                  "ConditionValue"
                ],
                members: {
                  ConditionType: {},
                  ConditionKey: {},
                  ConditionValue: {}
                }
              }
            },
            NotResources: {
              shape: "Sy"
            },
            Conditions: {
              type: "structure",
              members: {
                StringEquals: {
                  shape: "S15"
                },
                StringNotEquals: {
                  shape: "S15"
                },
                StringLike: {
                  shape: "S15"
                },
                StringNotLike: {
                  shape: "S15"
                }
              }
            }
          }
        },
        Sy: {
          type: "list",
          member: {}
        },
        S15: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ConditionKey: {},
              ConditionValue: {}
            }
          }
        },
        S1d: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ControlName"
            ],
            members: {
              ControlName: {},
              ControlInputParameters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ParameterName: {},
                    ParameterValue: {}
                  }
                }
              },
              ControlScope: {
                type: "structure",
                members: {
                  ComplianceResourceIds: {
                    type: "list",
                    member: {}
                  },
                  ComplianceResourceTypes: {
                    type: "list",
                    member: {}
                  },
                  Tags: {
                    shape: "S1n"
                  }
                }
              }
            }
          }
        },
        S1n: {
          type: "map",
          key: {},
          value: {}
        },
        S1q: {
          type: "structure",
          members: {
            VaultNames: {
              type: "list",
              member: {}
            },
            ResourceIdentifiers: {
              type: "list",
              member: {}
            },
            DateRange: {
              type: "structure",
              required: [
                "FromDate",
                "ToDate"
              ],
              members: {
                FromDate: {
                  type: "timestamp"
                },
                ToDate: {
                  type: "timestamp"
                }
              }
            }
          }
        },
        S1z: {
          type: "structure",
          required: [
            "S3BucketName"
          ],
          members: {
            S3BucketName: {},
            S3KeyPrefix: {},
            Formats: {
              type: "list",
              member: {}
            }
          }
        },
        S21: {
          type: "structure",
          required: [
            "ReportTemplate"
          ],
          members: {
            ReportTemplate: {},
            FrameworkArns: {
              shape: "S22"
            },
            NumberOfFrameworks: {
              type: "integer"
            },
            Accounts: {
              shape: "S22"
            },
            OrganizationUnits: {
              shape: "S22"
            },
            Regions: {
              shape: "S22"
            }
          }
        },
        S22: {
          type: "list",
          member: {}
        },
        S2j: {
          type: "structure",
          members: {
            BackupPlanId: {},
            BackupPlanArn: {},
            BackupPlanVersion: {},
            BackupRuleId: {}
          }
        },
        S2r: {
          type: "structure",
          members: {
            AccountId: {},
            CopyJobId: {},
            SourceBackupVaultArn: {},
            SourceRecoveryPointArn: {},
            DestinationBackupVaultArn: {},
            DestinationRecoveryPointArn: {},
            ResourceArn: {},
            CreationDate: {
              type: "timestamp"
            },
            CompletionDate: {
              type: "timestamp"
            },
            State: {},
            StatusMessage: {},
            BackupSizeInBytes: {
              type: "long"
            },
            IamRoleArn: {},
            CreatedBy: {
              shape: "S2j"
            },
            ResourceType: {},
            ParentJobId: {},
            IsParent: {
              type: "boolean"
            },
            CompositeMemberIdentifier: {},
            NumberOfChildJobs: {
              type: "long"
            },
            ChildJobsInState: {
              type: "map",
              key: {},
              value: {
                type: "long"
              }
            },
            ResourceName: {}
          }
        },
        S2y: {
          type: "map",
          key: {},
          value: {}
        },
        S36: {
          type: "structure",
          members: {
            MoveToColdStorageAt: {
              type: "timestamp"
            },
            DeleteAt: {
              type: "timestamp"
            }
          }
        },
        S3a: {
          type: "map",
          key: {},
          value: {
            type: "boolean"
          }
        },
        S3c: {
          type: "map",
          key: {},
          value: {
            type: "boolean"
          }
        },
        S3g: {
          type: "structure",
          members: {
            ReportJobId: {},
            ReportPlanArn: {},
            ReportTemplate: {},
            CreationTime: {
              type: "timestamp"
            },
            CompletionTime: {
              type: "timestamp"
            },
            Status: {},
            StatusMessage: {},
            ReportDestination: {
              type: "structure",
              members: {
                S3BucketName: {},
                S3Keys: {
                  shape: "S22"
                }
              }
            }
          }
        },
        S3k: {
          type: "structure",
          members: {
            ReportPlanArn: {},
            ReportPlanName: {},
            ReportPlanDescription: {},
            ReportSetting: {
              shape: "S21"
            },
            ReportDeliveryChannel: {
              shape: "S1z"
            },
            DeploymentStatus: {},
            CreationTime: {
              type: "timestamp"
            },
            LastAttemptedExecutionTime: {
              type: "timestamp"
            },
            LastSuccessfulExecutionTime: {
              type: "timestamp"
            }
          }
        },
        S3v: {
          type: "structure",
          required: [
            "BackupPlanName",
            "Rules"
          ],
          members: {
            BackupPlanName: {},
            Rules: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "RuleName",
                  "TargetBackupVaultName"
                ],
                members: {
                  RuleName: {},
                  TargetBackupVaultName: {},
                  ScheduleExpression: {},
                  StartWindowMinutes: {
                    type: "long"
                  },
                  CompletionWindowMinutes: {
                    type: "long"
                  },
                  Lifecycle: {
                    shape: "Se"
                  },
                  RecoveryPointTags: {
                    shape: "Sf"
                  },
                  RuleId: {},
                  CopyActions: {
                    shape: "Si"
                  },
                  EnableContinuousBackup: {
                    type: "boolean"
                  }
                }
              }
            },
            AdvancedBackupSettings: {
              shape: "Sm"
            }
          }
        },
        S49: {
          type: "list",
          member: {}
        },
        S4f: {
          type: "map",
          key: {},
          value: {},
          sensitive: true
        },
        S4w: {
          type: "structure",
          members: {
            BackupPlanArn: {},
            BackupPlanId: {},
            CreationDate: {
              type: "timestamp"
            },
            DeletionDate: {
              type: "timestamp"
            },
            VersionId: {},
            BackupPlanName: {},
            CreatorRequestId: {},
            LastExecutionDate: {
              type: "timestamp"
            },
            AdvancedBackupSettings: {
              shape: "Sm"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/backup-2018-11-15.paginators.json
var require_backup_2018_11_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/backup-2018-11-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListBackupJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "BackupJobs"
        },
        ListBackupPlanTemplates: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "BackupPlanTemplatesList"
        },
        ListBackupPlanVersions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "BackupPlanVersionsList"
        },
        ListBackupPlans: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "BackupPlansList"
        },
        ListBackupSelections: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "BackupSelectionsList"
        },
        ListBackupVaults: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "BackupVaultList"
        },
        ListCopyJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "CopyJobs"
        },
        ListFrameworks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListLegalHolds: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "LegalHolds"
        },
        ListProtectedResources: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Results"
        },
        ListRecoveryPointsByBackupVault: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "RecoveryPoints"
        },
        ListRecoveryPointsByLegalHold: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "RecoveryPoints"
        },
        ListRecoveryPointsByResource: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "RecoveryPoints"
        },
        ListReportJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListReportPlans: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListRestoreJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "RestoreJobs"
        },
        ListTags: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/backup.js
var require_backup = __commonJS({
  "node_modules/aws-sdk/clients/backup.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["backup"] = {};
    AWS2.Backup = Service.defineService("backup", ["2018-11-15"]);
    Object.defineProperty(apiLoader.services["backup"], "2018-11-15", {
      get: function get() {
        var model = require_backup_2018_11_15_min();
        model.paginators = require_backup_2018_11_15_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Backup;
  }
});

// node_modules/aws-sdk/apis/worklink-2018-09-25.min.json
var require_worklink_2018_09_25_min = __commonJS({
  "node_modules/aws-sdk/apis/worklink-2018-09-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-09-25",
        endpointPrefix: "worklink",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "WorkLink",
        serviceFullName: "Amazon WorkLink",
        serviceId: "WorkLink",
        signatureVersion: "v4",
        signingName: "worklink",
        uid: "worklink-2018-09-25"
      },
      operations: {
        AssociateDomain: {
          http: {
            requestUri: "/associateDomain"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn",
              "DomainName",
              "AcmCertificateArn"
            ],
            members: {
              FleetArn: {},
              DomainName: {},
              DisplayName: {},
              AcmCertificateArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        AssociateWebsiteAuthorizationProvider: {
          http: {
            requestUri: "/associateWebsiteAuthorizationProvider"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn",
              "AuthorizationProviderType"
            ],
            members: {
              FleetArn: {},
              AuthorizationProviderType: {},
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AuthorizationProviderId: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        AssociateWebsiteCertificateAuthority: {
          http: {
            requestUri: "/associateWebsiteCertificateAuthority"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn",
              "Certificate"
            ],
            members: {
              FleetArn: {},
              Certificate: {},
              DisplayName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WebsiteCaId: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        CreateFleet: {
          http: {
            requestUri: "/createFleet"
          },
          input: {
            type: "structure",
            required: [
              "FleetName"
            ],
            members: {
              FleetName: {},
              DisplayName: {},
              OptimizeForEndUserLocation: {
                type: "boolean"
              },
              Tags: {
                shape: "Sh"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FleetArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        DeleteFleet: {
          http: {
            requestUri: "/deleteFleet"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn"
            ],
            members: {
              FleetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        DescribeAuditStreamConfiguration: {
          http: {
            requestUri: "/describeAuditStreamConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn"
            ],
            members: {
              FleetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AuditStreamArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        DescribeCompanyNetworkConfiguration: {
          http: {
            requestUri: "/describeCompanyNetworkConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn"
            ],
            members: {
              FleetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VpcId: {},
              SubnetIds: {
                shape: "St"
              },
              SecurityGroupIds: {
                shape: "Sv"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        DescribeDevice: {
          http: {
            requestUri: "/describeDevice"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn",
              "DeviceId"
            ],
            members: {
              FleetArn: {},
              DeviceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {},
              Model: {},
              Manufacturer: {},
              OperatingSystem: {},
              OperatingSystemVersion: {},
              PatchLevel: {},
              FirstAccessedTime: {
                type: "timestamp"
              },
              LastAccessedTime: {
                type: "timestamp"
              },
              Username: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        DescribeDevicePolicyConfiguration: {
          http: {
            requestUri: "/describeDevicePolicyConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn"
            ],
            members: {
              FleetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DeviceCaCertificate: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        DescribeDomain: {
          http: {
            requestUri: "/describeDomain"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn",
              "DomainName"
            ],
            members: {
              FleetArn: {},
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DomainName: {},
              DisplayName: {},
              CreatedTime: {
                type: "timestamp"
              },
              DomainStatus: {},
              AcmCertificateArn: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        DescribeFleetMetadata: {
          http: {
            requestUri: "/describeFleetMetadata"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn"
            ],
            members: {
              FleetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CreatedTime: {
                type: "timestamp"
              },
              LastUpdatedTime: {
                type: "timestamp"
              },
              FleetName: {},
              DisplayName: {},
              OptimizeForEndUserLocation: {
                type: "boolean"
              },
              CompanyCode: {},
              FleetStatus: {},
              Tags: {
                shape: "Sh"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        DescribeIdentityProviderConfiguration: {
          http: {
            requestUri: "/describeIdentityProviderConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn"
            ],
            members: {
              FleetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityProviderType: {},
              ServiceProviderSamlMetadata: {},
              IdentityProviderSamlMetadata: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        DescribeWebsiteCertificateAuthority: {
          http: {
            requestUri: "/describeWebsiteCertificateAuthority"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn",
              "WebsiteCaId"
            ],
            members: {
              FleetArn: {},
              WebsiteCaId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Certificate: {},
              CreatedTime: {
                type: "timestamp"
              },
              DisplayName: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        DisassociateDomain: {
          http: {
            requestUri: "/disassociateDomain"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn",
              "DomainName"
            ],
            members: {
              FleetArn: {},
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        DisassociateWebsiteAuthorizationProvider: {
          http: {
            requestUri: "/disassociateWebsiteAuthorizationProvider"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn",
              "AuthorizationProviderId"
            ],
            members: {
              FleetArn: {},
              AuthorizationProviderId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        DisassociateWebsiteCertificateAuthority: {
          http: {
            requestUri: "/disassociateWebsiteCertificateAuthority"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn",
              "WebsiteCaId"
            ],
            members: {
              FleetArn: {},
              WebsiteCaId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        ListDevices: {
          http: {
            requestUri: "/listDevices"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn"
            ],
            members: {
              FleetArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Devices: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DeviceId: {},
                    DeviceStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        ListDomains: {
          http: {
            requestUri: "/listDomains"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn"
            ],
            members: {
              FleetArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Domains: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "DomainName",
                    "CreatedTime",
                    "DomainStatus"
                  ],
                  members: {
                    DomainName: {},
                    DisplayName: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    DomainStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        ListFleets: {
          http: {
            requestUri: "/listFleets"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FleetSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FleetArn: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    LastUpdatedTime: {
                      type: "timestamp"
                    },
                    FleetName: {},
                    DisplayName: {},
                    CompanyCode: {},
                    FleetStatus: {},
                    Tags: {
                      shape: "Sh"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sh"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        ListWebsiteAuthorizationProviders: {
          http: {
            requestUri: "/listWebsiteAuthorizationProviders"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn"
            ],
            members: {
              FleetArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WebsiteAuthorizationProviders: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AuthorizationProviderType"
                  ],
                  members: {
                    AuthorizationProviderId: {},
                    AuthorizationProviderType: {},
                    DomainName: {},
                    CreatedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        ListWebsiteCertificateAuthorities: {
          http: {
            requestUri: "/listWebsiteCertificateAuthorities"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn"
            ],
            members: {
              FleetArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WebsiteCertificateAuthorities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WebsiteCaId: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    DisplayName: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        RestoreDomainAccess: {
          http: {
            requestUri: "/restoreDomainAccess"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn",
              "DomainName"
            ],
            members: {
              FleetArn: {},
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        RevokeDomainAccess: {
          http: {
            requestUri: "/revokeDomainAccess"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn",
              "DomainName"
            ],
            members: {
              FleetArn: {},
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        SignOutUser: {
          http: {
            requestUri: "/signOutUser"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn",
              "Username"
            ],
            members: {
              FleetArn: {},
              Username: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "Sh"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        UpdateAuditStreamConfiguration: {
          http: {
            requestUri: "/updateAuditStreamConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn"
            ],
            members: {
              FleetArn: {},
              AuditStreamArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        UpdateCompanyNetworkConfiguration: {
          http: {
            requestUri: "/updateCompanyNetworkConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn",
              "VpcId",
              "SubnetIds",
              "SecurityGroupIds"
            ],
            members: {
              FleetArn: {},
              VpcId: {},
              SubnetIds: {
                shape: "St"
              },
              SecurityGroupIds: {
                shape: "Sv"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        UpdateDevicePolicyConfiguration: {
          http: {
            requestUri: "/updateDevicePolicyConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn"
            ],
            members: {
              FleetArn: {},
              DeviceCaCertificate: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        UpdateDomainMetadata: {
          http: {
            requestUri: "/updateDomainMetadata"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn",
              "DomainName"
            ],
            members: {
              FleetArn: {},
              DomainName: {},
              DisplayName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        UpdateFleetMetadata: {
          http: {
            requestUri: "/UpdateFleetMetadata"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn"
            ],
            members: {
              FleetArn: {},
              DisplayName: {},
              OptimizeForEndUserLocation: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        },
        UpdateIdentityProviderConfiguration: {
          http: {
            requestUri: "/updateIdentityProviderConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "FleetArn",
              "IdentityProviderType"
            ],
            members: {
              FleetArn: {},
              IdentityProviderType: {},
              IdentityProviderSamlMetadata: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "Amazon WorkLink is no longer supported. This will be removed in a future version of the SDK."
        }
      },
      shapes: {
        Sh: {
          type: "map",
          key: {},
          value: {}
        },
        St: {
          type: "list",
          member: {}
        },
        Sv: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/worklink-2018-09-25.paginators.json
var require_worklink_2018_09_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/worklink-2018-09-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDevices: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDomains: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListFleets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListWebsiteAuthorizationProviders: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListWebsiteCertificateAuthorities: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/worklink.js
var require_worklink = __commonJS({
  "node_modules/aws-sdk/clients/worklink.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["worklink"] = {};
    AWS2.WorkLink = Service.defineService("worklink", ["2018-09-25"]);
    Object.defineProperty(apiLoader.services["worklink"], "2018-09-25", {
      get: function get() {
        var model = require_worklink_2018_09_25_min();
        model.paginators = require_worklink_2018_09_25_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.WorkLink;
  }
});

// node_modules/aws-sdk/apis/textract-2018-06-27.min.json
var require_textract_2018_06_27_min = __commonJS({
  "node_modules/aws-sdk/apis/textract-2018-06-27.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-06-27",
        endpointPrefix: "textract",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Textract",
        serviceId: "Textract",
        signatureVersion: "v4",
        targetPrefix: "Textract",
        uid: "textract-2018-06-27"
      },
      operations: {
        AnalyzeDocument: {
          input: {
            type: "structure",
            required: [
              "Document",
              "FeatureTypes"
            ],
            members: {
              Document: {
                shape: "S2"
              },
              FeatureTypes: {
                shape: "S8"
              },
              HumanLoopConfig: {
                type: "structure",
                required: [
                  "HumanLoopName",
                  "FlowDefinitionArn"
                ],
                members: {
                  HumanLoopName: {},
                  FlowDefinitionArn: {},
                  DataAttributes: {
                    type: "structure",
                    members: {
                      ContentClassifiers: {
                        type: "list",
                        member: {}
                      }
                    }
                  }
                }
              },
              QueriesConfig: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentMetadata: {
                shape: "Sn"
              },
              Blocks: {
                shape: "Sp"
              },
              HumanLoopActivationOutput: {
                type: "structure",
                members: {
                  HumanLoopArn: {},
                  HumanLoopActivationReasons: {
                    type: "list",
                    member: {}
                  },
                  HumanLoopActivationConditionsEvaluationResults: {
                    jsonvalue: true
                  }
                }
              },
              AnalyzeDocumentModelVersion: {}
            }
          }
        },
        AnalyzeExpense: {
          input: {
            type: "structure",
            required: [
              "Document"
            ],
            members: {
              Document: {
                shape: "S2"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentMetadata: {
                shape: "Sn"
              },
              ExpenseDocuments: {
                shape: "S1f"
              }
            }
          }
        },
        AnalyzeID: {
          input: {
            type: "structure",
            required: [
              "DocumentPages"
            ],
            members: {
              DocumentPages: {
                type: "list",
                member: {
                  shape: "S2"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityDocuments: {
                type: "list",
                member: {
                  shape: "S1x"
                }
              },
              DocumentMetadata: {
                shape: "Sn"
              },
              AnalyzeIDModelVersion: {}
            }
          }
        },
        DetectDocumentText: {
          input: {
            type: "structure",
            required: [
              "Document"
            ],
            members: {
              Document: {
                shape: "S2"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentMetadata: {
                shape: "Sn"
              },
              Blocks: {
                shape: "Sp"
              },
              DetectDocumentTextModelVersion: {}
            }
          }
        },
        GetDocumentAnalysis: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentMetadata: {
                shape: "Sn"
              },
              JobStatus: {},
              NextToken: {},
              Blocks: {
                shape: "Sp"
              },
              Warnings: {
                shape: "S2b"
              },
              StatusMessage: {},
              AnalyzeDocumentModelVersion: {}
            }
          }
        },
        GetDocumentTextDetection: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentMetadata: {
                shape: "Sn"
              },
              JobStatus: {},
              NextToken: {},
              Blocks: {
                shape: "Sp"
              },
              Warnings: {
                shape: "S2b"
              },
              StatusMessage: {},
              DetectDocumentTextModelVersion: {}
            }
          }
        },
        GetExpenseAnalysis: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentMetadata: {
                shape: "Sn"
              },
              JobStatus: {},
              NextToken: {},
              ExpenseDocuments: {
                shape: "S1f"
              },
              Warnings: {
                shape: "S2b"
              },
              StatusMessage: {},
              AnalyzeExpenseModelVersion: {}
            }
          }
        },
        GetLendingAnalysis: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentMetadata: {
                shape: "Sn"
              },
              JobStatus: {},
              NextToken: {},
              Results: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Page: {
                      type: "integer"
                    },
                    PageClassification: {
                      type: "structure",
                      required: [
                        "PageType",
                        "PageNumber"
                      ],
                      members: {
                        PageType: {
                          shape: "S2p"
                        },
                        PageNumber: {
                          shape: "S2p"
                        }
                      }
                    },
                    Extractions: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          LendingDocument: {
                            type: "structure",
                            members: {
                              LendingFields: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    Type: {},
                                    KeyDetection: {
                                      shape: "S2w"
                                    },
                                    ValueDetections: {
                                      type: "list",
                                      member: {
                                        shape: "S2w"
                                      }
                                    }
                                  }
                                }
                              },
                              SignatureDetections: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    Confidence: {
                                      type: "float"
                                    },
                                    Geometry: {
                                      shape: "Sv"
                                    }
                                  }
                                }
                              }
                            }
                          },
                          ExpenseDocument: {
                            shape: "S1g"
                          },
                          IdentityDocument: {
                            shape: "S1x"
                          }
                        }
                      }
                    }
                  }
                }
              },
              Warnings: {
                shape: "S2b"
              },
              StatusMessage: {},
              AnalyzeLendingModelVersion: {}
            }
          }
        },
        GetLendingAnalysisSummary: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DocumentMetadata: {
                shape: "Sn"
              },
              JobStatus: {},
              Summary: {
                type: "structure",
                members: {
                  DocumentGroups: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Type: {},
                        SplitDocuments: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              Index: {
                                type: "integer"
                              },
                              Pages: {
                                type: "list",
                                member: {
                                  type: "integer"
                                }
                              }
                            }
                          }
                        },
                        DetectedSignatures: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              Page: {
                                type: "integer"
                              }
                            }
                          }
                        },
                        UndetectedSignatures: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              Page: {
                                type: "integer"
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  UndetectedDocumentTypes: {
                    type: "list",
                    member: {}
                  }
                }
              },
              Warnings: {
                shape: "S2b"
              },
              StatusMessage: {},
              AnalyzeLendingModelVersion: {}
            }
          }
        },
        StartDocumentAnalysis: {
          input: {
            type: "structure",
            required: [
              "DocumentLocation",
              "FeatureTypes"
            ],
            members: {
              DocumentLocation: {
                shape: "S3e"
              },
              FeatureTypes: {
                shape: "S8"
              },
              ClientRequestToken: {},
              JobTag: {},
              NotificationChannel: {
                shape: "S3h"
              },
              OutputConfig: {
                shape: "S3k"
              },
              KMSKeyId: {},
              QueriesConfig: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          }
        },
        StartDocumentTextDetection: {
          input: {
            type: "structure",
            required: [
              "DocumentLocation"
            ],
            members: {
              DocumentLocation: {
                shape: "S3e"
              },
              ClientRequestToken: {},
              JobTag: {},
              NotificationChannel: {
                shape: "S3h"
              },
              OutputConfig: {
                shape: "S3k"
              },
              KMSKeyId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          }
        },
        StartExpenseAnalysis: {
          input: {
            type: "structure",
            required: [
              "DocumentLocation"
            ],
            members: {
              DocumentLocation: {
                shape: "S3e"
              },
              ClientRequestToken: {},
              JobTag: {},
              NotificationChannel: {
                shape: "S3h"
              },
              OutputConfig: {
                shape: "S3k"
              },
              KMSKeyId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          }
        },
        StartLendingAnalysis: {
          input: {
            type: "structure",
            required: [
              "DocumentLocation"
            ],
            members: {
              DocumentLocation: {
                shape: "S3e"
              },
              ClientRequestToken: {},
              JobTag: {},
              NotificationChannel: {
                shape: "S3h"
              },
              OutputConfig: {
                shape: "S3k"
              },
              KMSKeyId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "structure",
          members: {
            Bytes: {
              type: "blob"
            },
            S3Object: {
              shape: "S4"
            }
          }
        },
        S4: {
          type: "structure",
          members: {
            Bucket: {},
            Name: {},
            Version: {}
          }
        },
        S8: {
          type: "list",
          member: {}
        },
        Sg: {
          type: "structure",
          required: [
            "Queries"
          ],
          members: {
            Queries: {
              type: "list",
              member: {
                shape: "Si"
              }
            }
          }
        },
        Si: {
          type: "structure",
          required: [
            "Text"
          ],
          members: {
            Text: {},
            Alias: {},
            Pages: {
              type: "list",
              member: {}
            }
          }
        },
        Sn: {
          type: "structure",
          members: {
            Pages: {
              type: "integer"
            }
          }
        },
        Sp: {
          type: "list",
          member: {
            type: "structure",
            members: {
              BlockType: {},
              Confidence: {
                type: "float"
              },
              Text: {},
              TextType: {},
              RowIndex: {
                type: "integer"
              },
              ColumnIndex: {
                type: "integer"
              },
              RowSpan: {
                type: "integer"
              },
              ColumnSpan: {
                type: "integer"
              },
              Geometry: {
                shape: "Sv"
              },
              Id: {},
              Relationships: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    Ids: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              EntityTypes: {
                type: "list",
                member: {}
              },
              SelectionStatus: {},
              Page: {
                type: "integer"
              },
              Query: {
                shape: "Si"
              }
            }
          }
        },
        Sv: {
          type: "structure",
          members: {
            BoundingBox: {
              type: "structure",
              members: {
                Width: {
                  type: "float"
                },
                Height: {
                  type: "float"
                },
                Left: {
                  type: "float"
                },
                Top: {
                  type: "float"
                }
              }
            },
            Polygon: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  X: {
                    type: "float"
                  },
                  Y: {
                    type: "float"
                  }
                }
              }
            }
          }
        },
        S1f: {
          type: "list",
          member: {
            shape: "S1g"
          }
        },
        S1g: {
          type: "structure",
          members: {
            ExpenseIndex: {
              type: "integer"
            },
            SummaryFields: {
              shape: "S1h"
            },
            LineItemGroups: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  LineItemGroupIndex: {
                    type: "integer"
                  },
                  LineItems: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        LineItemExpenseFields: {
                          shape: "S1h"
                        }
                      }
                    }
                  }
                }
              }
            },
            Blocks: {
              shape: "Sp"
            }
          }
        },
        S1h: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {
                type: "structure",
                members: {
                  Text: {},
                  Confidence: {
                    type: "float"
                  }
                }
              },
              LabelDetection: {
                shape: "S1k"
              },
              ValueDetection: {
                shape: "S1k"
              },
              PageNumber: {
                type: "integer"
              },
              Currency: {
                type: "structure",
                members: {
                  Code: {},
                  Confidence: {
                    type: "float"
                  }
                }
              },
              GroupProperties: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Types: {
                      type: "list",
                      member: {}
                    },
                    Id: {}
                  }
                }
              }
            }
          }
        },
        S1k: {
          type: "structure",
          members: {
            Text: {},
            Geometry: {
              shape: "Sv"
            },
            Confidence: {
              type: "float"
            }
          }
        },
        S1x: {
          type: "structure",
          members: {
            DocumentIndex: {
              type: "integer"
            },
            IdentityDocumentFields: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Type: {
                    shape: "S20"
                  },
                  ValueDetection: {
                    shape: "S20"
                  }
                }
              }
            },
            Blocks: {
              shape: "Sp"
            }
          }
        },
        S20: {
          type: "structure",
          required: [
            "Text"
          ],
          members: {
            Text: {},
            NormalizedValue: {
              type: "structure",
              members: {
                Value: {},
                ValueType: {}
              }
            },
            Confidence: {
              type: "float"
            }
          }
        },
        S2b: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ErrorCode: {},
              Pages: {
                type: "list",
                member: {
                  type: "integer"
                }
              }
            }
          }
        },
        S2p: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Value: {},
              Confidence: {
                type: "float"
              }
            }
          }
        },
        S2w: {
          type: "structure",
          members: {
            Text: {},
            SelectionStatus: {},
            Geometry: {
              shape: "Sv"
            },
            Confidence: {
              type: "float"
            }
          }
        },
        S3e: {
          type: "structure",
          members: {
            S3Object: {
              shape: "S4"
            }
          }
        },
        S3h: {
          type: "structure",
          required: [
            "SNSTopicArn",
            "RoleArn"
          ],
          members: {
            SNSTopicArn: {},
            RoleArn: {}
          }
        },
        S3k: {
          type: "structure",
          required: [
            "S3Bucket"
          ],
          members: {
            S3Bucket: {},
            S3Prefix: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/textract-2018-06-27.paginators.json
var require_textract_2018_06_27_paginators = __commonJS({
  "node_modules/aws-sdk/apis/textract-2018-06-27.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/textract.js
var require_textract = __commonJS({
  "node_modules/aws-sdk/clients/textract.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["textract"] = {};
    AWS2.Textract = Service.defineService("textract", ["2018-06-27"]);
    Object.defineProperty(apiLoader.services["textract"], "2018-06-27", {
      get: function get() {
        var model = require_textract_2018_06_27_min();
        model.paginators = require_textract_2018_06_27_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Textract;
  }
});

// node_modules/aws-sdk/apis/managedblockchain-2018-09-24.min.json
var require_managedblockchain_2018_09_24_min = __commonJS({
  "node_modules/aws-sdk/apis/managedblockchain-2018-09-24.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-09-24",
        endpointPrefix: "managedblockchain",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "ManagedBlockchain",
        serviceFullName: "Amazon Managed Blockchain",
        serviceId: "ManagedBlockchain",
        signatureVersion: "v4",
        signingName: "managedblockchain",
        uid: "managedblockchain-2018-09-24"
      },
      operations: {
        CreateAccessor: {
          http: {
            requestUri: "/accessors"
          },
          input: {
            type: "structure",
            required: [
              "ClientRequestToken",
              "AccessorType"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              AccessorType: {},
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccessorId: {},
              BillingToken: {}
            }
          }
        },
        CreateMember: {
          http: {
            requestUri: "/networks/{networkId}/members"
          },
          input: {
            type: "structure",
            required: [
              "ClientRequestToken",
              "InvitationId",
              "NetworkId",
              "MemberConfiguration"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              InvitationId: {},
              NetworkId: {
                location: "uri",
                locationName: "networkId"
              },
              MemberConfiguration: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MemberId: {}
            }
          }
        },
        CreateNetwork: {
          http: {
            requestUri: "/networks"
          },
          input: {
            type: "structure",
            required: [
              "ClientRequestToken",
              "Name",
              "Framework",
              "FrameworkVersion",
              "VotingPolicy",
              "MemberConfiguration"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              Name: {},
              Description: {},
              Framework: {},
              FrameworkVersion: {},
              FrameworkConfiguration: {
                type: "structure",
                members: {
                  Fabric: {
                    type: "structure",
                    required: [
                      "Edition"
                    ],
                    members: {
                      Edition: {}
                    }
                  }
                }
              },
              VotingPolicy: {
                shape: "Sw"
              },
              MemberConfiguration: {
                shape: "Sb"
              },
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkId: {},
              MemberId: {}
            }
          }
        },
        CreateNode: {
          http: {
            requestUri: "/networks/{networkId}/nodes"
          },
          input: {
            type: "structure",
            required: [
              "ClientRequestToken",
              "NetworkId",
              "NodeConfiguration"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              NetworkId: {
                location: "uri",
                locationName: "networkId"
              },
              MemberId: {},
              NodeConfiguration: {
                type: "structure",
                required: [
                  "InstanceType"
                ],
                members: {
                  InstanceType: {},
                  AvailabilityZone: {},
                  LogPublishingConfiguration: {
                    shape: "S16"
                  },
                  StateDB: {}
                }
              },
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NodeId: {}
            }
          }
        },
        CreateProposal: {
          http: {
            requestUri: "/networks/{networkId}/proposals"
          },
          input: {
            type: "structure",
            required: [
              "ClientRequestToken",
              "NetworkId",
              "MemberId",
              "Actions"
            ],
            members: {
              ClientRequestToken: {
                idempotencyToken: true
              },
              NetworkId: {
                location: "uri",
                locationName: "networkId"
              },
              MemberId: {},
              Actions: {
                shape: "S1b"
              },
              Description: {},
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProposalId: {}
            }
          }
        },
        DeleteAccessor: {
          http: {
            method: "DELETE",
            requestUri: "/accessors/{AccessorId}"
          },
          input: {
            type: "structure",
            required: [
              "AccessorId"
            ],
            members: {
              AccessorId: {
                location: "uri",
                locationName: "AccessorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteMember: {
          http: {
            method: "DELETE",
            requestUri: "/networks/{networkId}/members/{memberId}"
          },
          input: {
            type: "structure",
            required: [
              "NetworkId",
              "MemberId"
            ],
            members: {
              NetworkId: {
                location: "uri",
                locationName: "networkId"
              },
              MemberId: {
                location: "uri",
                locationName: "memberId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteNode: {
          http: {
            method: "DELETE",
            requestUri: "/networks/{networkId}/nodes/{nodeId}"
          },
          input: {
            type: "structure",
            required: [
              "NetworkId",
              "NodeId"
            ],
            members: {
              NetworkId: {
                location: "uri",
                locationName: "networkId"
              },
              MemberId: {
                location: "querystring",
                locationName: "memberId"
              },
              NodeId: {
                location: "uri",
                locationName: "nodeId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetAccessor: {
          http: {
            method: "GET",
            requestUri: "/accessors/{AccessorId}"
          },
          input: {
            type: "structure",
            required: [
              "AccessorId"
            ],
            members: {
              AccessorId: {
                location: "uri",
                locationName: "AccessorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Accessor: {
                type: "structure",
                members: {
                  Id: {},
                  Type: {},
                  BillingToken: {},
                  Status: {},
                  CreationDate: {
                    shape: "S1s"
                  },
                  Arn: {},
                  Tags: {
                    shape: "S1t"
                  }
                }
              }
            }
          }
        },
        GetMember: {
          http: {
            method: "GET",
            requestUri: "/networks/{networkId}/members/{memberId}"
          },
          input: {
            type: "structure",
            required: [
              "NetworkId",
              "MemberId"
            ],
            members: {
              NetworkId: {
                location: "uri",
                locationName: "networkId"
              },
              MemberId: {
                location: "uri",
                locationName: "memberId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Member: {
                type: "structure",
                members: {
                  NetworkId: {},
                  Id: {},
                  Name: {},
                  Description: {},
                  FrameworkAttributes: {
                    type: "structure",
                    members: {
                      Fabric: {
                        type: "structure",
                        members: {
                          AdminUsername: {},
                          CaEndpoint: {}
                        }
                      }
                    }
                  },
                  LogPublishingConfiguration: {
                    shape: "Si"
                  },
                  Status: {},
                  CreationDate: {
                    shape: "S1s"
                  },
                  Tags: {
                    shape: "S1t"
                  },
                  Arn: {},
                  KmsKeyArn: {}
                }
              }
            }
          }
        },
        GetNetwork: {
          http: {
            method: "GET",
            requestUri: "/networks/{networkId}"
          },
          input: {
            type: "structure",
            required: [
              "NetworkId"
            ],
            members: {
              NetworkId: {
                location: "uri",
                locationName: "networkId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Network: {
                type: "structure",
                members: {
                  Id: {},
                  Name: {},
                  Description: {},
                  Framework: {},
                  FrameworkVersion: {},
                  FrameworkAttributes: {
                    type: "structure",
                    members: {
                      Fabric: {
                        type: "structure",
                        members: {
                          OrderingServiceEndpoint: {},
                          Edition: {}
                        }
                      },
                      Ethereum: {
                        type: "structure",
                        members: {
                          ChainId: {}
                        }
                      }
                    }
                  },
                  VpcEndpointServiceName: {},
                  VotingPolicy: {
                    shape: "Sw"
                  },
                  Status: {},
                  CreationDate: {
                    shape: "S1s"
                  },
                  Tags: {
                    shape: "S1t"
                  },
                  Arn: {}
                }
              }
            }
          }
        },
        GetNode: {
          http: {
            method: "GET",
            requestUri: "/networks/{networkId}/nodes/{nodeId}"
          },
          input: {
            type: "structure",
            required: [
              "NetworkId",
              "NodeId"
            ],
            members: {
              NetworkId: {
                location: "uri",
                locationName: "networkId"
              },
              MemberId: {
                location: "querystring",
                locationName: "memberId"
              },
              NodeId: {
                location: "uri",
                locationName: "nodeId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Node: {
                type: "structure",
                members: {
                  NetworkId: {},
                  MemberId: {},
                  Id: {},
                  InstanceType: {},
                  AvailabilityZone: {},
                  FrameworkAttributes: {
                    type: "structure",
                    members: {
                      Fabric: {
                        type: "structure",
                        members: {
                          PeerEndpoint: {},
                          PeerEventEndpoint: {}
                        }
                      },
                      Ethereum: {
                        type: "structure",
                        members: {
                          HttpEndpoint: {},
                          WebSocketEndpoint: {}
                        }
                      }
                    }
                  },
                  LogPublishingConfiguration: {
                    shape: "S16"
                  },
                  StateDB: {},
                  Status: {},
                  CreationDate: {
                    shape: "S1s"
                  },
                  Tags: {
                    shape: "S1t"
                  },
                  Arn: {},
                  KmsKeyArn: {}
                }
              }
            }
          }
        },
        GetProposal: {
          http: {
            method: "GET",
            requestUri: "/networks/{networkId}/proposals/{proposalId}"
          },
          input: {
            type: "structure",
            required: [
              "NetworkId",
              "ProposalId"
            ],
            members: {
              NetworkId: {
                location: "uri",
                locationName: "networkId"
              },
              ProposalId: {
                location: "uri",
                locationName: "proposalId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Proposal: {
                type: "structure",
                members: {
                  ProposalId: {},
                  NetworkId: {},
                  Description: {},
                  Actions: {
                    shape: "S1b"
                  },
                  ProposedByMemberId: {},
                  ProposedByMemberName: {},
                  Status: {},
                  CreationDate: {
                    shape: "S1s"
                  },
                  ExpirationDate: {
                    shape: "S1s"
                  },
                  YesVoteCount: {
                    type: "integer"
                  },
                  NoVoteCount: {
                    type: "integer"
                  },
                  OutstandingVoteCount: {
                    type: "integer"
                  },
                  Tags: {
                    shape: "S1t"
                  },
                  Arn: {}
                }
              }
            }
          }
        },
        ListAccessors: {
          http: {
            method: "GET",
            requestUri: "/accessors"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Accessors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Type: {},
                    Status: {},
                    CreationDate: {
                      shape: "S1s"
                    },
                    Arn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListInvitations: {
          http: {
            method: "GET",
            requestUri: "/invitations"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Invitations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InvitationId: {},
                    CreationDate: {
                      shape: "S1s"
                    },
                    ExpirationDate: {
                      shape: "S1s"
                    },
                    Status: {},
                    NetworkSummary: {
                      shape: "S2w"
                    },
                    Arn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListMembers: {
          http: {
            method: "GET",
            requestUri: "/networks/{networkId}/members"
          },
          input: {
            type: "structure",
            required: [
              "NetworkId"
            ],
            members: {
              NetworkId: {
                location: "uri",
                locationName: "networkId"
              },
              Name: {
                location: "querystring",
                locationName: "name"
              },
              Status: {
                location: "querystring",
                locationName: "status"
              },
              IsOwned: {
                location: "querystring",
                locationName: "isOwned",
                type: "boolean"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Members: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Name: {},
                    Description: {},
                    Status: {},
                    CreationDate: {
                      shape: "S1s"
                    },
                    IsOwned: {
                      type: "boolean"
                    },
                    Arn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListNetworks: {
          http: {
            method: "GET",
            requestUri: "/networks"
          },
          input: {
            type: "structure",
            members: {
              Name: {
                location: "querystring",
                locationName: "name"
              },
              Framework: {
                location: "querystring",
                locationName: "framework"
              },
              Status: {
                location: "querystring",
                locationName: "status"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Networks: {
                type: "list",
                member: {
                  shape: "S2w"
                }
              },
              NextToken: {}
            }
          }
        },
        ListNodes: {
          http: {
            method: "GET",
            requestUri: "/networks/{networkId}/nodes"
          },
          input: {
            type: "structure",
            required: [
              "NetworkId"
            ],
            members: {
              NetworkId: {
                location: "uri",
                locationName: "networkId"
              },
              MemberId: {
                location: "querystring",
                locationName: "memberId"
              },
              Status: {
                location: "querystring",
                locationName: "status"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Nodes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Status: {},
                    CreationDate: {
                      shape: "S1s"
                    },
                    AvailabilityZone: {},
                    InstanceType: {},
                    Arn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListProposalVotes: {
          http: {
            method: "GET",
            requestUri: "/networks/{networkId}/proposals/{proposalId}/votes"
          },
          input: {
            type: "structure",
            required: [
              "NetworkId",
              "ProposalId"
            ],
            members: {
              NetworkId: {
                location: "uri",
                locationName: "networkId"
              },
              ProposalId: {
                location: "uri",
                locationName: "proposalId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProposalVotes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Vote: {},
                    MemberName: {},
                    MemberId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListProposals: {
          http: {
            method: "GET",
            requestUri: "/networks/{networkId}/proposals"
          },
          input: {
            type: "structure",
            required: [
              "NetworkId"
            ],
            members: {
              NetworkId: {
                location: "uri",
                locationName: "networkId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Proposals: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ProposalId: {},
                    Description: {},
                    ProposedByMemberId: {},
                    ProposedByMemberName: {},
                    Status: {},
                    CreationDate: {
                      shape: "S1s"
                    },
                    ExpirationDate: {
                      shape: "S1s"
                    },
                    Arn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S1t"
              }
            }
          }
        },
        RejectInvitation: {
          http: {
            method: "DELETE",
            requestUri: "/invitations/{invitationId}"
          },
          input: {
            type: "structure",
            required: [
              "InvitationId"
            ],
            members: {
              InvitationId: {
                location: "uri",
                locationName: "invitationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateMember: {
          http: {
            method: "PATCH",
            requestUri: "/networks/{networkId}/members/{memberId}"
          },
          input: {
            type: "structure",
            required: [
              "NetworkId",
              "MemberId"
            ],
            members: {
              NetworkId: {
                location: "uri",
                locationName: "networkId"
              },
              MemberId: {
                location: "uri",
                locationName: "memberId"
              },
              LogPublishingConfiguration: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateNode: {
          http: {
            method: "PATCH",
            requestUri: "/networks/{networkId}/nodes/{nodeId}"
          },
          input: {
            type: "structure",
            required: [
              "NetworkId",
              "NodeId"
            ],
            members: {
              NetworkId: {
                location: "uri",
                locationName: "networkId"
              },
              MemberId: {},
              NodeId: {
                location: "uri",
                locationName: "nodeId"
              },
              LogPublishingConfiguration: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        VoteOnProposal: {
          http: {
            requestUri: "/networks/{networkId}/proposals/{proposalId}/votes"
          },
          input: {
            type: "structure",
            required: [
              "NetworkId",
              "ProposalId",
              "VoterMemberId",
              "Vote"
            ],
            members: {
              NetworkId: {
                location: "uri",
                locationName: "networkId"
              },
              ProposalId: {
                location: "uri",
                locationName: "proposalId"
              },
              VoterMemberId: {},
              Vote: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S4: {
          type: "map",
          key: {},
          value: {}
        },
        Sb: {
          type: "structure",
          required: [
            "Name",
            "FrameworkConfiguration"
          ],
          members: {
            Name: {},
            Description: {},
            FrameworkConfiguration: {
              type: "structure",
              members: {
                Fabric: {
                  type: "structure",
                  required: [
                    "AdminUsername",
                    "AdminPassword"
                  ],
                  members: {
                    AdminUsername: {},
                    AdminPassword: {
                      type: "string",
                      sensitive: true
                    }
                  }
                }
              }
            },
            LogPublishingConfiguration: {
              shape: "Si"
            },
            Tags: {
              shape: "S4"
            },
            KmsKeyArn: {}
          }
        },
        Si: {
          type: "structure",
          members: {
            Fabric: {
              type: "structure",
              members: {
                CaLogs: {
                  shape: "Sk"
                }
              }
            }
          }
        },
        Sk: {
          type: "structure",
          members: {
            Cloudwatch: {
              type: "structure",
              members: {
                Enabled: {
                  type: "boolean"
                }
              }
            }
          }
        },
        Sw: {
          type: "structure",
          members: {
            ApprovalThresholdPolicy: {
              type: "structure",
              members: {
                ThresholdPercentage: {
                  type: "integer"
                },
                ProposalDurationInHours: {
                  type: "integer"
                },
                ThresholdComparator: {}
              }
            }
          }
        },
        S16: {
          type: "structure",
          members: {
            Fabric: {
              type: "structure",
              members: {
                ChaincodeLogs: {
                  shape: "Sk"
                },
                PeerLogs: {
                  shape: "Sk"
                }
              }
            }
          }
        },
        S1b: {
          type: "structure",
          members: {
            Invitations: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Principal"
                ],
                members: {
                  Principal: {}
                }
              }
            },
            Removals: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "MemberId"
                ],
                members: {
                  MemberId: {}
                }
              }
            }
          }
        },
        S1s: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S1t: {
          type: "map",
          key: {},
          value: {}
        },
        S2w: {
          type: "structure",
          members: {
            Id: {},
            Name: {},
            Description: {},
            Framework: {},
            FrameworkVersion: {},
            Status: {},
            CreationDate: {
              shape: "S1s"
            },
            Arn: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/managedblockchain-2018-09-24.paginators.json
var require_managedblockchain_2018_09_24_paginators = __commonJS({
  "node_modules/aws-sdk/apis/managedblockchain-2018-09-24.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAccessors: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Accessors"
        },
        ListInvitations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMembers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListNetworks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListNodes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListProposalVotes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListProposals: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/managedblockchain.js
var require_managedblockchain = __commonJS({
  "node_modules/aws-sdk/clients/managedblockchain.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["managedblockchain"] = {};
    AWS2.ManagedBlockchain = Service.defineService("managedblockchain", ["2018-09-24"]);
    Object.defineProperty(apiLoader.services["managedblockchain"], "2018-09-24", {
      get: function get() {
        var model = require_managedblockchain_2018_09_24_min();
        model.paginators = require_managedblockchain_2018_09_24_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ManagedBlockchain;
  }
});

// node_modules/aws-sdk/apis/mediapackage-vod-2018-11-07.min.json
var require_mediapackage_vod_2018_11_07_min = __commonJS({
  "node_modules/aws-sdk/apis/mediapackage-vod-2018-11-07.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2018-11-07",
        endpointPrefix: "mediapackage-vod",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "MediaPackage Vod",
        serviceFullName: "AWS Elemental MediaPackage VOD",
        serviceId: "MediaPackage Vod",
        signatureVersion: "v4",
        signingName: "mediapackage-vod",
        uid: "mediapackage-vod-2018-11-07"
      },
      operations: {
        ConfigureLogs: {
          http: {
            method: "PUT",
            requestUri: "/packaging_groups/{id}/configure_logs",
            responseCode: 200
          },
          input: {
            members: {
              EgressAccessLogs: {
                locationName: "egressAccessLogs",
                shape: "S2"
              },
              Id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {
              Arn: {
                locationName: "arn"
              },
              Authorization: {
                locationName: "authorization",
                shape: "S5"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              DomainName: {
                locationName: "domainName"
              },
              EgressAccessLogs: {
                locationName: "egressAccessLogs",
                shape: "S2"
              },
              Id: {
                locationName: "id"
              },
              Tags: {
                locationName: "tags",
                shape: "S6"
              }
            },
            type: "structure"
          }
        },
        CreateAsset: {
          http: {
            requestUri: "/assets",
            responseCode: 200
          },
          input: {
            members: {
              Id: {
                locationName: "id"
              },
              PackagingGroupId: {
                locationName: "packagingGroupId"
              },
              ResourceId: {
                locationName: "resourceId"
              },
              SourceArn: {
                locationName: "sourceArn"
              },
              SourceRoleArn: {
                locationName: "sourceRoleArn"
              },
              Tags: {
                locationName: "tags",
                shape: "S6"
              }
            },
            required: [
              "SourceArn",
              "Id",
              "PackagingGroupId",
              "SourceRoleArn"
            ],
            type: "structure"
          },
          output: {
            members: {
              Arn: {
                locationName: "arn"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              EgressEndpoints: {
                locationName: "egressEndpoints",
                shape: "S9"
              },
              Id: {
                locationName: "id"
              },
              PackagingGroupId: {
                locationName: "packagingGroupId"
              },
              ResourceId: {
                locationName: "resourceId"
              },
              SourceArn: {
                locationName: "sourceArn"
              },
              SourceRoleArn: {
                locationName: "sourceRoleArn"
              },
              Tags: {
                locationName: "tags",
                shape: "S6"
              }
            },
            type: "structure"
          }
        },
        CreatePackagingConfiguration: {
          http: {
            requestUri: "/packaging_configurations",
            responseCode: 200
          },
          input: {
            members: {
              CmafPackage: {
                locationName: "cmafPackage",
                shape: "Sc"
              },
              DashPackage: {
                locationName: "dashPackage",
                shape: "Sq"
              },
              HlsPackage: {
                locationName: "hlsPackage",
                shape: "S10"
              },
              Id: {
                locationName: "id"
              },
              MssPackage: {
                locationName: "mssPackage",
                shape: "S13"
              },
              PackagingGroupId: {
                locationName: "packagingGroupId"
              },
              Tags: {
                locationName: "tags",
                shape: "S6"
              }
            },
            required: [
              "Id",
              "PackagingGroupId"
            ],
            type: "structure"
          },
          output: {
            members: {
              Arn: {
                locationName: "arn"
              },
              CmafPackage: {
                locationName: "cmafPackage",
                shape: "Sc"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              DashPackage: {
                locationName: "dashPackage",
                shape: "Sq"
              },
              HlsPackage: {
                locationName: "hlsPackage",
                shape: "S10"
              },
              Id: {
                locationName: "id"
              },
              MssPackage: {
                locationName: "mssPackage",
                shape: "S13"
              },
              PackagingGroupId: {
                locationName: "packagingGroupId"
              },
              Tags: {
                locationName: "tags",
                shape: "S6"
              }
            },
            type: "structure"
          }
        },
        CreatePackagingGroup: {
          http: {
            requestUri: "/packaging_groups",
            responseCode: 200
          },
          input: {
            members: {
              Authorization: {
                locationName: "authorization",
                shape: "S5"
              },
              EgressAccessLogs: {
                locationName: "egressAccessLogs",
                shape: "S2"
              },
              Id: {
                locationName: "id"
              },
              Tags: {
                locationName: "tags",
                shape: "S6"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {
              Arn: {
                locationName: "arn"
              },
              Authorization: {
                locationName: "authorization",
                shape: "S5"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              DomainName: {
                locationName: "domainName"
              },
              EgressAccessLogs: {
                locationName: "egressAccessLogs",
                shape: "S2"
              },
              Id: {
                locationName: "id"
              },
              Tags: {
                locationName: "tags",
                shape: "S6"
              }
            },
            type: "structure"
          }
        },
        DeleteAsset: {
          http: {
            method: "DELETE",
            requestUri: "/assets/{id}",
            responseCode: 202
          },
          input: {
            members: {
              Id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {},
            type: "structure"
          }
        },
        DeletePackagingConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/packaging_configurations/{id}",
            responseCode: 202
          },
          input: {
            members: {
              Id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {},
            type: "structure"
          }
        },
        DeletePackagingGroup: {
          http: {
            method: "DELETE",
            requestUri: "/packaging_groups/{id}",
            responseCode: 202
          },
          input: {
            members: {
              Id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {},
            type: "structure"
          }
        },
        DescribeAsset: {
          http: {
            method: "GET",
            requestUri: "/assets/{id}",
            responseCode: 200
          },
          input: {
            members: {
              Id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {
              Arn: {
                locationName: "arn"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              EgressEndpoints: {
                locationName: "egressEndpoints",
                shape: "S9"
              },
              Id: {
                locationName: "id"
              },
              PackagingGroupId: {
                locationName: "packagingGroupId"
              },
              ResourceId: {
                locationName: "resourceId"
              },
              SourceArn: {
                locationName: "sourceArn"
              },
              SourceRoleArn: {
                locationName: "sourceRoleArn"
              },
              Tags: {
                locationName: "tags",
                shape: "S6"
              }
            },
            type: "structure"
          }
        },
        DescribePackagingConfiguration: {
          http: {
            method: "GET",
            requestUri: "/packaging_configurations/{id}",
            responseCode: 200
          },
          input: {
            members: {
              Id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {
              Arn: {
                locationName: "arn"
              },
              CmafPackage: {
                locationName: "cmafPackage",
                shape: "Sc"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              DashPackage: {
                locationName: "dashPackage",
                shape: "Sq"
              },
              HlsPackage: {
                locationName: "hlsPackage",
                shape: "S10"
              },
              Id: {
                locationName: "id"
              },
              MssPackage: {
                locationName: "mssPackage",
                shape: "S13"
              },
              PackagingGroupId: {
                locationName: "packagingGroupId"
              },
              Tags: {
                locationName: "tags",
                shape: "S6"
              }
            },
            type: "structure"
          }
        },
        DescribePackagingGroup: {
          http: {
            method: "GET",
            requestUri: "/packaging_groups/{id}",
            responseCode: 200
          },
          input: {
            members: {
              Id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {
              ApproximateAssetCount: {
                locationName: "approximateAssetCount",
                type: "integer"
              },
              Arn: {
                locationName: "arn"
              },
              Authorization: {
                locationName: "authorization",
                shape: "S5"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              DomainName: {
                locationName: "domainName"
              },
              EgressAccessLogs: {
                locationName: "egressAccessLogs",
                shape: "S2"
              },
              Id: {
                locationName: "id"
              },
              Tags: {
                locationName: "tags",
                shape: "S6"
              }
            },
            type: "structure"
          }
        },
        ListAssets: {
          http: {
            method: "GET",
            requestUri: "/assets",
            responseCode: 200
          },
          input: {
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              PackagingGroupId: {
                location: "querystring",
                locationName: "packagingGroupId"
              }
            },
            type: "structure"
          },
          output: {
            members: {
              Assets: {
                locationName: "assets",
                member: {
                  members: {
                    Arn: {
                      locationName: "arn"
                    },
                    CreatedAt: {
                      locationName: "createdAt"
                    },
                    Id: {
                      locationName: "id"
                    },
                    PackagingGroupId: {
                      locationName: "packagingGroupId"
                    },
                    ResourceId: {
                      locationName: "resourceId"
                    },
                    SourceArn: {
                      locationName: "sourceArn"
                    },
                    SourceRoleArn: {
                      locationName: "sourceRoleArn"
                    },
                    Tags: {
                      locationName: "tags",
                      shape: "S6"
                    }
                  },
                  type: "structure"
                },
                type: "list"
              },
              NextToken: {
                locationName: "nextToken"
              }
            },
            type: "structure"
          }
        },
        ListPackagingConfigurations: {
          http: {
            method: "GET",
            requestUri: "/packaging_configurations",
            responseCode: 200
          },
          input: {
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              PackagingGroupId: {
                location: "querystring",
                locationName: "packagingGroupId"
              }
            },
            type: "structure"
          },
          output: {
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              PackagingConfigurations: {
                locationName: "packagingConfigurations",
                member: {
                  members: {
                    Arn: {
                      locationName: "arn"
                    },
                    CmafPackage: {
                      locationName: "cmafPackage",
                      shape: "Sc"
                    },
                    CreatedAt: {
                      locationName: "createdAt"
                    },
                    DashPackage: {
                      locationName: "dashPackage",
                      shape: "Sq"
                    },
                    HlsPackage: {
                      locationName: "hlsPackage",
                      shape: "S10"
                    },
                    Id: {
                      locationName: "id"
                    },
                    MssPackage: {
                      locationName: "mssPackage",
                      shape: "S13"
                    },
                    PackagingGroupId: {
                      locationName: "packagingGroupId"
                    },
                    Tags: {
                      locationName: "tags",
                      shape: "S6"
                    }
                  },
                  type: "structure"
                },
                type: "list"
              }
            },
            type: "structure"
          }
        },
        ListPackagingGroups: {
          http: {
            method: "GET",
            requestUri: "/packaging_groups",
            responseCode: 200
          },
          input: {
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            type: "structure"
          },
          output: {
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              PackagingGroups: {
                locationName: "packagingGroups",
                member: {
                  members: {
                    ApproximateAssetCount: {
                      locationName: "approximateAssetCount",
                      type: "integer"
                    },
                    Arn: {
                      locationName: "arn"
                    },
                    Authorization: {
                      locationName: "authorization",
                      shape: "S5"
                    },
                    CreatedAt: {
                      locationName: "createdAt"
                    },
                    DomainName: {
                      locationName: "domainName"
                    },
                    EgressAccessLogs: {
                      locationName: "egressAccessLogs",
                      shape: "S2"
                    },
                    Id: {
                      locationName: "id"
                    },
                    Tags: {
                      locationName: "tags",
                      shape: "S6"
                    }
                  },
                  type: "structure"
                },
                type: "list"
              }
            },
            type: "structure"
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resource-arn}",
            responseCode: 200
          },
          input: {
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              }
            },
            required: [
              "ResourceArn"
            ],
            type: "structure"
          },
          output: {
            members: {
              Tags: {
                locationName: "tags",
                shape: "S21"
              }
            },
            type: "structure"
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              Tags: {
                locationName: "tags",
                shape: "S21"
              }
            },
            required: [
              "ResourceArn",
              "Tags"
            ],
            type: "structure"
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                shape: "Si"
              }
            },
            required: [
              "TagKeys",
              "ResourceArn"
            ],
            type: "structure"
          }
        },
        UpdatePackagingGroup: {
          http: {
            method: "PUT",
            requestUri: "/packaging_groups/{id}",
            responseCode: 200
          },
          input: {
            members: {
              Authorization: {
                locationName: "authorization",
                shape: "S5"
              },
              Id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "Id"
            ],
            type: "structure"
          },
          output: {
            members: {
              ApproximateAssetCount: {
                locationName: "approximateAssetCount",
                type: "integer"
              },
              Arn: {
                locationName: "arn"
              },
              Authorization: {
                locationName: "authorization",
                shape: "S5"
              },
              CreatedAt: {
                locationName: "createdAt"
              },
              DomainName: {
                locationName: "domainName"
              },
              EgressAccessLogs: {
                locationName: "egressAccessLogs",
                shape: "S2"
              },
              Id: {
                locationName: "id"
              },
              Tags: {
                locationName: "tags",
                shape: "S6"
              }
            },
            type: "structure"
          }
        }
      },
      shapes: {
        S2: {
          members: {
            LogGroupName: {
              locationName: "logGroupName"
            }
          },
          type: "structure"
        },
        S5: {
          members: {
            CdnIdentifierSecret: {
              locationName: "cdnIdentifierSecret"
            },
            SecretsRoleArn: {
              locationName: "secretsRoleArn"
            }
          },
          required: [
            "SecretsRoleArn",
            "CdnIdentifierSecret"
          ],
          type: "structure"
        },
        S6: {
          key: {},
          type: "map",
          value: {}
        },
        S9: {
          member: {
            members: {
              PackagingConfigurationId: {
                locationName: "packagingConfigurationId"
              },
              Status: {
                locationName: "status"
              },
              Url: {
                locationName: "url"
              }
            },
            type: "structure"
          },
          type: "list"
        },
        Sc: {
          members: {
            Encryption: {
              locationName: "encryption",
              members: {
                ConstantInitializationVector: {
                  locationName: "constantInitializationVector"
                },
                SpekeKeyProvider: {
                  locationName: "spekeKeyProvider",
                  shape: "Se"
                }
              },
              required: [
                "SpekeKeyProvider"
              ],
              type: "structure"
            },
            HlsManifests: {
              locationName: "hlsManifests",
              shape: "Sj"
            },
            IncludeEncoderConfigurationInSegments: {
              locationName: "includeEncoderConfigurationInSegments",
              type: "boolean"
            },
            SegmentDurationSeconds: {
              locationName: "segmentDurationSeconds",
              type: "integer"
            }
          },
          required: [
            "HlsManifests"
          ],
          type: "structure"
        },
        Se: {
          members: {
            EncryptionContractConfiguration: {
              locationName: "encryptionContractConfiguration",
              members: {
                PresetSpeke20Audio: {
                  locationName: "presetSpeke20Audio"
                },
                PresetSpeke20Video: {
                  locationName: "presetSpeke20Video"
                }
              },
              required: [
                "PresetSpeke20Audio",
                "PresetSpeke20Video"
              ],
              type: "structure"
            },
            RoleArn: {
              locationName: "roleArn"
            },
            SystemIds: {
              locationName: "systemIds",
              shape: "Si"
            },
            Url: {
              locationName: "url"
            }
          },
          required: [
            "SystemIds",
            "Url",
            "RoleArn"
          ],
          type: "structure"
        },
        Si: {
          member: {},
          type: "list"
        },
        Sj: {
          member: {
            members: {
              AdMarkers: {
                locationName: "adMarkers"
              },
              IncludeIframeOnlyStream: {
                locationName: "includeIframeOnlyStream",
                type: "boolean"
              },
              ManifestName: {
                locationName: "manifestName"
              },
              ProgramDateTimeIntervalSeconds: {
                locationName: "programDateTimeIntervalSeconds",
                type: "integer"
              },
              RepeatExtXKey: {
                locationName: "repeatExtXKey",
                type: "boolean"
              },
              StreamSelection: {
                locationName: "streamSelection",
                shape: "So"
              }
            },
            type: "structure"
          },
          type: "list"
        },
        So: {
          members: {
            MaxVideoBitsPerSecond: {
              locationName: "maxVideoBitsPerSecond",
              type: "integer"
            },
            MinVideoBitsPerSecond: {
              locationName: "minVideoBitsPerSecond",
              type: "integer"
            },
            StreamOrder: {
              locationName: "streamOrder"
            }
          },
          type: "structure"
        },
        Sq: {
          members: {
            DashManifests: {
              locationName: "dashManifests",
              member: {
                members: {
                  ManifestLayout: {
                    locationName: "manifestLayout"
                  },
                  ManifestName: {
                    locationName: "manifestName"
                  },
                  MinBufferTimeSeconds: {
                    locationName: "minBufferTimeSeconds",
                    type: "integer"
                  },
                  Profile: {
                    locationName: "profile"
                  },
                  ScteMarkersSource: {
                    locationName: "scteMarkersSource"
                  },
                  StreamSelection: {
                    locationName: "streamSelection",
                    shape: "So"
                  }
                },
                type: "structure"
              },
              type: "list"
            },
            Encryption: {
              locationName: "encryption",
              members: {
                SpekeKeyProvider: {
                  locationName: "spekeKeyProvider",
                  shape: "Se"
                }
              },
              required: [
                "SpekeKeyProvider"
              ],
              type: "structure"
            },
            IncludeEncoderConfigurationInSegments: {
              locationName: "includeEncoderConfigurationInSegments",
              type: "boolean"
            },
            IncludeIframeOnlyStream: {
              locationName: "includeIframeOnlyStream",
              type: "boolean"
            },
            PeriodTriggers: {
              locationName: "periodTriggers",
              member: {},
              type: "list"
            },
            SegmentDurationSeconds: {
              locationName: "segmentDurationSeconds",
              type: "integer"
            },
            SegmentTemplateFormat: {
              locationName: "segmentTemplateFormat"
            }
          },
          required: [
            "DashManifests"
          ],
          type: "structure"
        },
        S10: {
          members: {
            Encryption: {
              locationName: "encryption",
              members: {
                ConstantInitializationVector: {
                  locationName: "constantInitializationVector"
                },
                EncryptionMethod: {
                  locationName: "encryptionMethod"
                },
                SpekeKeyProvider: {
                  locationName: "spekeKeyProvider",
                  shape: "Se"
                }
              },
              required: [
                "SpekeKeyProvider"
              ],
              type: "structure"
            },
            HlsManifests: {
              locationName: "hlsManifests",
              shape: "Sj"
            },
            IncludeDvbSubtitles: {
              locationName: "includeDvbSubtitles",
              type: "boolean"
            },
            SegmentDurationSeconds: {
              locationName: "segmentDurationSeconds",
              type: "integer"
            },
            UseAudioRenditionGroup: {
              locationName: "useAudioRenditionGroup",
              type: "boolean"
            }
          },
          required: [
            "HlsManifests"
          ],
          type: "structure"
        },
        S13: {
          members: {
            Encryption: {
              locationName: "encryption",
              members: {
                SpekeKeyProvider: {
                  locationName: "spekeKeyProvider",
                  shape: "Se"
                }
              },
              required: [
                "SpekeKeyProvider"
              ],
              type: "structure"
            },
            MssManifests: {
              locationName: "mssManifests",
              member: {
                members: {
                  ManifestName: {
                    locationName: "manifestName"
                  },
                  StreamSelection: {
                    locationName: "streamSelection",
                    shape: "So"
                  }
                },
                type: "structure"
              },
              type: "list"
            },
            SegmentDurationSeconds: {
              locationName: "segmentDurationSeconds",
              type: "integer"
            }
          },
          required: [
            "MssManifests"
          ],
          type: "structure"
        },
        S21: {
          key: {},
          type: "map",
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/mediapackage-vod-2018-11-07.paginators.json
var require_mediapackage_vod_2018_11_07_paginators = __commonJS({
  "node_modules/aws-sdk/apis/mediapackage-vod-2018-11-07.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAssets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Assets"
        },
        ListPackagingConfigurations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PackagingConfigurations"
        },
        ListPackagingGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PackagingGroups"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/mediapackagevod.js
var require_mediapackagevod = __commonJS({
  "node_modules/aws-sdk/clients/mediapackagevod.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["mediapackagevod"] = {};
    AWS2.MediaPackageVod = Service.defineService("mediapackagevod", ["2018-11-07"]);
    Object.defineProperty(apiLoader.services["mediapackagevod"], "2018-11-07", {
      get: function get() {
        var model = require_mediapackage_vod_2018_11_07_min();
        model.paginators = require_mediapackage_vod_2018_11_07_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MediaPackageVod;
  }
});

// node_modules/aws-sdk/apis/groundstation-2019-05-23.min.json
var require_groundstation_2019_05_23_min = __commonJS({
  "node_modules/aws-sdk/apis/groundstation-2019-05-23.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-05-23",
        endpointPrefix: "groundstation",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Ground Station",
        serviceId: "GroundStation",
        signatureVersion: "v4",
        signingName: "groundstation",
        uid: "groundstation-2019-05-23"
      },
      operations: {
        CancelContact: {
          http: {
            method: "DELETE",
            requestUri: "/contact/{contactId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "contactId"
            ],
            members: {
              contactId: {
                location: "uri",
                locationName: "contactId"
              }
            }
          },
          output: {
            shape: "S3"
          },
          idempotent: true
        },
        CreateConfig: {
          http: {
            requestUri: "/config",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "configData",
              "name"
            ],
            members: {
              configData: {
                shape: "S5"
              },
              name: {},
              tags: {
                shape: "Sy"
              }
            }
          },
          output: {
            shape: "Sz"
          }
        },
        CreateDataflowEndpointGroup: {
          http: {
            requestUri: "/dataflowEndpointGroup",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "endpointDetails"
            ],
            members: {
              contactPostPassDurationSeconds: {
                type: "integer"
              },
              contactPrePassDurationSeconds: {
                type: "integer"
              },
              endpointDetails: {
                shape: "S13"
              },
              tags: {
                shape: "Sy"
              }
            }
          },
          output: {
            shape: "S1p"
          }
        },
        CreateEphemeris: {
          http: {
            requestUri: "/ephemeris",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "satelliteId"
            ],
            members: {
              enabled: {
                type: "boolean"
              },
              ephemeris: {
                type: "structure",
                members: {
                  oem: {
                    type: "structure",
                    members: {
                      oemData: {},
                      s3Object: {
                        shape: "S1u"
                      }
                    }
                  },
                  tle: {
                    type: "structure",
                    members: {
                      s3Object: {
                        shape: "S1u"
                      },
                      tleData: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "tleLine1",
                            "tleLine2",
                            "validTimeRange"
                          ],
                          members: {
                            tleLine1: {},
                            tleLine2: {},
                            validTimeRange: {
                              type: "structure",
                              required: [
                                "endTime",
                                "startTime"
                              ],
                              members: {
                                endTime: {
                                  type: "timestamp"
                                },
                                startTime: {
                                  type: "timestamp"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                },
                union: true
              },
              expirationTime: {
                type: "timestamp"
              },
              kmsKeyArn: {},
              name: {},
              priority: {
                type: "integer"
              },
              satelliteId: {},
              tags: {
                shape: "Sy"
              }
            }
          },
          output: {
            shape: "S27"
          }
        },
        CreateMissionProfile: {
          http: {
            requestUri: "/missionprofile",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "dataflowEdges",
              "minimumViableContactDurationSeconds",
              "name",
              "trackingConfigArn"
            ],
            members: {
              contactPostPassDurationSeconds: {
                type: "integer"
              },
              contactPrePassDurationSeconds: {
                type: "integer"
              },
              dataflowEdges: {
                shape: "S2a"
              },
              minimumViableContactDurationSeconds: {
                type: "integer"
              },
              name: {},
              streamsKmsKey: {
                shape: "S2d"
              },
              streamsKmsRole: {},
              tags: {
                shape: "Sy"
              },
              trackingConfigArn: {}
            }
          },
          output: {
            shape: "S2f"
          }
        },
        DeleteConfig: {
          http: {
            method: "DELETE",
            requestUri: "/config/{configType}/{configId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "configId",
              "configType"
            ],
            members: {
              configId: {
                location: "uri",
                locationName: "configId"
              },
              configType: {
                location: "uri",
                locationName: "configType"
              }
            }
          },
          output: {
            shape: "Sz"
          },
          idempotent: true
        },
        DeleteDataflowEndpointGroup: {
          http: {
            method: "DELETE",
            requestUri: "/dataflowEndpointGroup/{dataflowEndpointGroupId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "dataflowEndpointGroupId"
            ],
            members: {
              dataflowEndpointGroupId: {
                location: "uri",
                locationName: "dataflowEndpointGroupId"
              }
            }
          },
          output: {
            shape: "S1p"
          },
          idempotent: true
        },
        DeleteEphemeris: {
          http: {
            method: "DELETE",
            requestUri: "/ephemeris/{ephemerisId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ephemerisId"
            ],
            members: {
              ephemerisId: {
                location: "uri",
                locationName: "ephemerisId"
              }
            }
          },
          output: {
            shape: "S27"
          },
          idempotent: true
        },
        DeleteMissionProfile: {
          http: {
            method: "DELETE",
            requestUri: "/missionprofile/{missionProfileId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "missionProfileId"
            ],
            members: {
              missionProfileId: {
                location: "uri",
                locationName: "missionProfileId"
              }
            }
          },
          output: {
            shape: "S2f"
          },
          idempotent: true
        },
        DescribeContact: {
          http: {
            method: "GET",
            requestUri: "/contact/{contactId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "contactId"
            ],
            members: {
              contactId: {
                location: "uri",
                locationName: "contactId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              contactId: {},
              contactStatus: {},
              dataflowList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    destination: {
                      type: "structure",
                      members: {
                        configDetails: {
                          shape: "S2q"
                        },
                        configId: {},
                        configType: {},
                        dataflowDestinationRegion: {}
                      }
                    },
                    errorMessage: {},
                    source: {
                      type: "structure",
                      members: {
                        configDetails: {
                          shape: "S2q"
                        },
                        configId: {},
                        configType: {},
                        dataflowSourceRegion: {}
                      }
                    }
                  }
                }
              },
              endTime: {
                type: "timestamp"
              },
              errorMessage: {},
              groundStation: {},
              maximumElevation: {
                shape: "S2u"
              },
              missionProfileArn: {},
              postPassEndTime: {
                type: "timestamp"
              },
              prePassStartTime: {
                type: "timestamp"
              },
              region: {},
              satelliteArn: {},
              startTime: {
                type: "timestamp"
              },
              tags: {
                shape: "Sy"
              }
            }
          }
        },
        DescribeEphemeris: {
          http: {
            method: "GET",
            requestUri: "/ephemeris/{ephemerisId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ephemerisId"
            ],
            members: {
              ephemerisId: {
                location: "uri",
                locationName: "ephemerisId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              creationTime: {
                type: "timestamp"
              },
              enabled: {
                type: "boolean"
              },
              ephemerisId: {},
              invalidReason: {},
              name: {},
              priority: {
                type: "integer"
              },
              satelliteId: {},
              status: {},
              suppliedData: {
                type: "structure",
                members: {
                  oem: {
                    shape: "S34"
                  },
                  tle: {
                    shape: "S34"
                  }
                },
                union: true
              },
              tags: {
                shape: "Sy"
              }
            }
          }
        },
        GetAgentConfiguration: {
          http: {
            method: "GET",
            requestUri: "/agent/{agentId}/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "agentId"
            ],
            members: {
              agentId: {
                location: "uri",
                locationName: "agentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              agentId: {},
              taskingDocument: {}
            }
          }
        },
        GetConfig: {
          http: {
            method: "GET",
            requestUri: "/config/{configType}/{configId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "configId",
              "configType"
            ],
            members: {
              configId: {
                location: "uri",
                locationName: "configId"
              },
              configType: {
                location: "uri",
                locationName: "configType"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "configArn",
              "configData",
              "configId",
              "name"
            ],
            members: {
              configArn: {},
              configData: {
                shape: "S5"
              },
              configId: {},
              configType: {},
              name: {},
              tags: {
                shape: "Sy"
              }
            }
          }
        },
        GetDataflowEndpointGroup: {
          http: {
            method: "GET",
            requestUri: "/dataflowEndpointGroup/{dataflowEndpointGroupId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "dataflowEndpointGroupId"
            ],
            members: {
              dataflowEndpointGroupId: {
                location: "uri",
                locationName: "dataflowEndpointGroupId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              contactPostPassDurationSeconds: {
                type: "integer"
              },
              contactPrePassDurationSeconds: {
                type: "integer"
              },
              dataflowEndpointGroupArn: {},
              dataflowEndpointGroupId: {},
              endpointsDetails: {
                shape: "S13"
              },
              tags: {
                shape: "Sy"
              }
            }
          }
        },
        GetMinuteUsage: {
          http: {
            requestUri: "/minute-usage",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "month",
              "year"
            ],
            members: {
              month: {
                type: "integer"
              },
              year: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              estimatedMinutesRemaining: {
                type: "integer"
              },
              isReservedMinutesCustomer: {
                type: "boolean"
              },
              totalReservedMinuteAllocation: {
                type: "integer"
              },
              totalScheduledMinutes: {
                type: "integer"
              },
              upcomingMinutesScheduled: {
                type: "integer"
              }
            }
          }
        },
        GetMissionProfile: {
          http: {
            method: "GET",
            requestUri: "/missionprofile/{missionProfileId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "missionProfileId"
            ],
            members: {
              missionProfileId: {
                location: "uri",
                locationName: "missionProfileId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              contactPostPassDurationSeconds: {
                type: "integer"
              },
              contactPrePassDurationSeconds: {
                type: "integer"
              },
              dataflowEdges: {
                shape: "S2a"
              },
              minimumViableContactDurationSeconds: {
                type: "integer"
              },
              missionProfileArn: {},
              missionProfileId: {},
              name: {},
              region: {},
              streamsKmsKey: {
                shape: "S2d"
              },
              streamsKmsRole: {},
              tags: {
                shape: "Sy"
              },
              trackingConfigArn: {}
            }
          }
        },
        GetSatellite: {
          http: {
            method: "GET",
            requestUri: "/satellite/{satelliteId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "satelliteId"
            ],
            members: {
              satelliteId: {
                location: "uri",
                locationName: "satelliteId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              currentEphemeris: {
                shape: "S3l"
              },
              groundStations: {
                shape: "S3n"
              },
              noradSatelliteID: {
                type: "integer"
              },
              satelliteArn: {},
              satelliteId: {}
            }
          }
        },
        ListConfigs: {
          http: {
            method: "GET",
            requestUri: "/config",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              configList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    configArn: {},
                    configId: {},
                    configType: {},
                    name: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListContacts: {
          http: {
            requestUri: "/contacts",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "endTime",
              "startTime",
              "statusList"
            ],
            members: {
              endTime: {
                type: "timestamp"
              },
              groundStation: {},
              maxResults: {
                type: "integer"
              },
              missionProfileArn: {},
              nextToken: {},
              satelliteArn: {},
              startTime: {
                type: "timestamp"
              },
              statusList: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              contactList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    contactId: {},
                    contactStatus: {},
                    endTime: {
                      type: "timestamp"
                    },
                    errorMessage: {},
                    groundStation: {},
                    maximumElevation: {
                      shape: "S2u"
                    },
                    missionProfileArn: {},
                    postPassEndTime: {
                      type: "timestamp"
                    },
                    prePassStartTime: {
                      type: "timestamp"
                    },
                    region: {},
                    satelliteArn: {},
                    startTime: {
                      type: "timestamp"
                    },
                    tags: {
                      shape: "Sy"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDataflowEndpointGroups: {
          http: {
            method: "GET",
            requestUri: "/dataflowEndpointGroup",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              dataflowEndpointGroupList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    dataflowEndpointGroupArn: {},
                    dataflowEndpointGroupId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListEphemerides: {
          http: {
            requestUri: "/ephemerides",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "endTime",
              "satelliteId",
              "startTime"
            ],
            members: {
              endTime: {
                type: "timestamp"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              satelliteId: {},
              startTime: {
                type: "timestamp"
              },
              statusList: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ephemerides: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    creationTime: {
                      type: "timestamp"
                    },
                    enabled: {
                      type: "boolean"
                    },
                    ephemerisId: {},
                    name: {},
                    priority: {
                      type: "integer"
                    },
                    sourceS3Object: {
                      shape: "S1u"
                    },
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListGroundStations: {
          http: {
            method: "GET",
            requestUri: "/groundstation",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              satelliteId: {
                location: "querystring",
                locationName: "satelliteId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              groundStationList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    groundStationId: {},
                    groundStationName: {},
                    region: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListMissionProfiles: {
          http: {
            method: "GET",
            requestUri: "/missionprofile",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              missionProfileList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    missionProfileArn: {},
                    missionProfileId: {},
                    name: {},
                    region: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSatellites: {
          http: {
            method: "GET",
            requestUri: "/satellite",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              satellites: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    currentEphemeris: {
                      shape: "S3l"
                    },
                    groundStations: {
                      shape: "S3n"
                    },
                    noradSatelliteID: {
                      type: "integer"
                    },
                    satelliteArn: {},
                    satelliteId: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sy"
              }
            }
          }
        },
        RegisterAgent: {
          http: {
            requestUri: "/agent",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "agentDetails",
              "discoveryData"
            ],
            members: {
              agentDetails: {
                type: "structure",
                required: [
                  "agentVersion",
                  "componentVersions",
                  "instanceId",
                  "instanceType"
                ],
                members: {
                  agentCpuCores: {
                    shape: "S4r"
                  },
                  agentVersion: {},
                  componentVersions: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "componentType",
                        "versions"
                      ],
                      members: {
                        componentType: {},
                        versions: {
                          type: "list",
                          member: {}
                        }
                      }
                    }
                  },
                  instanceId: {},
                  instanceType: {},
                  reservedCpuCores: {
                    shape: "S4r"
                  }
                }
              },
              discoveryData: {
                type: "structure",
                required: [
                  "capabilityArns",
                  "privateIpAddresses",
                  "publicIpAddresses"
                ],
                members: {
                  capabilityArns: {
                    type: "list",
                    member: {}
                  },
                  privateIpAddresses: {
                    shape: "S52"
                  },
                  publicIpAddresses: {
                    shape: "S52"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              agentId: {}
            }
          }
        },
        ReserveContact: {
          http: {
            requestUri: "/contact",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "endTime",
              "groundStation",
              "missionProfileArn",
              "satelliteArn",
              "startTime"
            ],
            members: {
              endTime: {
                type: "timestamp"
              },
              groundStation: {},
              missionProfileArn: {},
              satelliteArn: {},
              startTime: {
                type: "timestamp"
              },
              tags: {
                shape: "Sy"
              }
            }
          },
          output: {
            shape: "S3"
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sy"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateAgentStatus: {
          http: {
            method: "PUT",
            requestUri: "/agent/{agentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "agentId",
              "aggregateStatus",
              "componentStatuses",
              "taskId"
            ],
            members: {
              agentId: {
                location: "uri",
                locationName: "agentId"
              },
              aggregateStatus: {
                type: "structure",
                required: [
                  "status"
                ],
                members: {
                  signatureMap: {
                    type: "map",
                    key: {},
                    value: {
                      type: "boolean"
                    }
                  },
                  status: {}
                }
              },
              componentStatuses: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "capabilityArn",
                    "componentType",
                    "dataflowId",
                    "status"
                  ],
                  members: {
                    bytesReceived: {
                      type: "long"
                    },
                    bytesSent: {
                      type: "long"
                    },
                    capabilityArn: {},
                    componentType: {},
                    dataflowId: {},
                    packetsDropped: {
                      type: "long"
                    },
                    status: {}
                  }
                }
              },
              taskId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "agentId"
            ],
            members: {
              agentId: {}
            }
          },
          idempotent: true
        },
        UpdateConfig: {
          http: {
            method: "PUT",
            requestUri: "/config/{configType}/{configId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "configData",
              "configId",
              "configType",
              "name"
            ],
            members: {
              configData: {
                shape: "S5"
              },
              configId: {
                location: "uri",
                locationName: "configId"
              },
              configType: {
                location: "uri",
                locationName: "configType"
              },
              name: {}
            }
          },
          output: {
            shape: "Sz"
          },
          idempotent: true
        },
        UpdateEphemeris: {
          http: {
            method: "PUT",
            requestUri: "/ephemeris/{ephemerisId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "enabled",
              "ephemerisId"
            ],
            members: {
              enabled: {
                type: "boolean"
              },
              ephemerisId: {
                location: "uri",
                locationName: "ephemerisId"
              },
              name: {},
              priority: {
                type: "integer"
              }
            }
          },
          output: {
            shape: "S27"
          },
          idempotent: true
        },
        UpdateMissionProfile: {
          http: {
            method: "PUT",
            requestUri: "/missionprofile/{missionProfileId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "missionProfileId"
            ],
            members: {
              contactPostPassDurationSeconds: {
                type: "integer"
              },
              contactPrePassDurationSeconds: {
                type: "integer"
              },
              dataflowEdges: {
                shape: "S2a"
              },
              minimumViableContactDurationSeconds: {
                type: "integer"
              },
              missionProfileId: {
                location: "uri",
                locationName: "missionProfileId"
              },
              name: {},
              streamsKmsKey: {
                shape: "S2d"
              },
              streamsKmsRole: {},
              trackingConfigArn: {}
            }
          },
          output: {
            shape: "S2f"
          },
          idempotent: true
        }
      },
      shapes: {
        S3: {
          type: "structure",
          members: {
            contactId: {}
          }
        },
        S5: {
          type: "structure",
          members: {
            antennaDownlinkConfig: {
              type: "structure",
              required: [
                "spectrumConfig"
              ],
              members: {
                spectrumConfig: {
                  shape: "S7"
                }
              }
            },
            antennaDownlinkDemodDecodeConfig: {
              type: "structure",
              required: [
                "decodeConfig",
                "demodulationConfig",
                "spectrumConfig"
              ],
              members: {
                decodeConfig: {
                  type: "structure",
                  required: [
                    "unvalidatedJSON"
                  ],
                  members: {
                    unvalidatedJSON: {}
                  }
                },
                demodulationConfig: {
                  type: "structure",
                  required: [
                    "unvalidatedJSON"
                  ],
                  members: {
                    unvalidatedJSON: {}
                  }
                },
                spectrumConfig: {
                  shape: "S7"
                }
              }
            },
            antennaUplinkConfig: {
              type: "structure",
              required: [
                "spectrumConfig",
                "targetEirp"
              ],
              members: {
                spectrumConfig: {
                  type: "structure",
                  required: [
                    "centerFrequency"
                  ],
                  members: {
                    centerFrequency: {
                      shape: "Sb"
                    },
                    polarization: {}
                  }
                },
                targetEirp: {
                  type: "structure",
                  required: [
                    "units",
                    "value"
                  ],
                  members: {
                    units: {},
                    value: {
                      type: "double"
                    }
                  }
                },
                transmitDisabled: {
                  type: "boolean"
                }
              }
            },
            dataflowEndpointConfig: {
              type: "structure",
              required: [
                "dataflowEndpointName"
              ],
              members: {
                dataflowEndpointName: {},
                dataflowEndpointRegion: {}
              }
            },
            s3RecordingConfig: {
              type: "structure",
              required: [
                "bucketArn",
                "roleArn"
              ],
              members: {
                bucketArn: {},
                prefix: {},
                roleArn: {}
              }
            },
            trackingConfig: {
              type: "structure",
              required: [
                "autotrack"
              ],
              members: {
                autotrack: {}
              }
            },
            uplinkEchoConfig: {
              type: "structure",
              required: [
                "antennaUplinkConfigArn",
                "enabled"
              ],
              members: {
                antennaUplinkConfigArn: {},
                enabled: {
                  type: "boolean"
                }
              }
            }
          },
          union: true
        },
        S7: {
          type: "structure",
          required: [
            "bandwidth",
            "centerFrequency"
          ],
          members: {
            bandwidth: {
              type: "structure",
              required: [
                "units",
                "value"
              ],
              members: {
                units: {},
                value: {
                  type: "double"
                }
              }
            },
            centerFrequency: {
              shape: "Sb"
            },
            polarization: {}
          }
        },
        Sb: {
          type: "structure",
          required: [
            "units",
            "value"
          ],
          members: {
            units: {},
            value: {
              type: "double"
            }
          }
        },
        Sy: {
          type: "map",
          key: {},
          value: {}
        },
        Sz: {
          type: "structure",
          members: {
            configArn: {},
            configId: {},
            configType: {}
          }
        },
        S13: {
          type: "list",
          member: {
            shape: "S14"
          }
        },
        S14: {
          type: "structure",
          members: {
            awsGroundStationAgentEndpoint: {
              type: "structure",
              required: [
                "egressAddress",
                "ingressAddress",
                "name"
              ],
              members: {
                agentStatus: {},
                auditResults: {},
                egressAddress: {
                  type: "structure",
                  required: [
                    "socketAddress"
                  ],
                  members: {
                    mtu: {
                      type: "integer"
                    },
                    socketAddress: {
                      shape: "S1a"
                    }
                  }
                },
                ingressAddress: {
                  type: "structure",
                  required: [
                    "socketAddress"
                  ],
                  members: {
                    mtu: {
                      type: "integer"
                    },
                    socketAddress: {
                      type: "structure",
                      required: [
                        "name",
                        "portRange"
                      ],
                      members: {
                        name: {},
                        portRange: {
                          type: "structure",
                          required: [
                            "maximum",
                            "minimum"
                          ],
                          members: {
                            maximum: {
                              type: "integer"
                            },
                            minimum: {
                              type: "integer"
                            }
                          }
                        }
                      }
                    }
                  }
                },
                name: {}
              }
            },
            endpoint: {
              type: "structure",
              members: {
                address: {
                  shape: "S1a"
                },
                mtu: {
                  type: "integer"
                },
                name: {},
                status: {}
              }
            },
            healthReasons: {
              type: "list",
              member: {}
            },
            healthStatus: {},
            securityDetails: {
              type: "structure",
              required: [
                "roleArn",
                "securityGroupIds",
                "subnetIds"
              ],
              members: {
                roleArn: {},
                securityGroupIds: {
                  type: "list",
                  member: {}
                },
                subnetIds: {
                  type: "list",
                  member: {}
                }
              }
            }
          }
        },
        S1a: {
          type: "structure",
          required: [
            "name",
            "port"
          ],
          members: {
            name: {},
            port: {
              type: "integer"
            }
          }
        },
        S1p: {
          type: "structure",
          members: {
            dataflowEndpointGroupId: {}
          }
        },
        S1u: {
          type: "structure",
          members: {
            bucket: {},
            key: {},
            version: {}
          }
        },
        S27: {
          type: "structure",
          members: {
            ephemerisId: {}
          }
        },
        S2a: {
          type: "list",
          member: {
            type: "list",
            member: {}
          }
        },
        S2d: {
          type: "structure",
          members: {
            kmsAliasArn: {},
            kmsKeyArn: {}
          },
          union: true
        },
        S2f: {
          type: "structure",
          members: {
            missionProfileId: {}
          }
        },
        S2q: {
          type: "structure",
          members: {
            antennaDemodDecodeDetails: {
              type: "structure",
              members: {
                outputNode: {}
              }
            },
            endpointDetails: {
              shape: "S14"
            },
            s3RecordingDetails: {
              type: "structure",
              members: {
                bucketArn: {},
                keyTemplate: {}
              }
            }
          },
          union: true
        },
        S2u: {
          type: "structure",
          required: [
            "unit",
            "value"
          ],
          members: {
            unit: {},
            value: {
              type: "double"
            }
          }
        },
        S34: {
          type: "structure",
          members: {
            ephemerisData: {},
            sourceS3Object: {
              shape: "S1u"
            }
          }
        },
        S3l: {
          type: "structure",
          required: [
            "source"
          ],
          members: {
            ephemerisId: {},
            epoch: {
              type: "timestamp"
            },
            name: {},
            source: {}
          }
        },
        S3n: {
          type: "list",
          member: {}
        },
        S4r: {
          type: "list",
          member: {
            type: "integer"
          }
        },
        S52: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/groundstation-2019-05-23.paginators.json
var require_groundstation_2019_05_23_paginators = __commonJS({
  "node_modules/aws-sdk/apis/groundstation-2019-05-23.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListConfigs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "configList"
        },
        ListContacts: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "contactList"
        },
        ListDataflowEndpointGroups: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "dataflowEndpointGroupList"
        },
        ListEphemerides: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "ephemerides"
        },
        ListGroundStations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "groundStationList"
        },
        ListMissionProfiles: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "missionProfileList"
        },
        ListSatellites: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "satellites"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/groundstation-2019-05-23.waiters2.json
var require_groundstation_2019_05_23_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/groundstation-2019-05-23.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        ContactScheduled: {
          description: "Waits until a contact has been scheduled",
          delay: 5,
          maxAttempts: 180,
          operation: "DescribeContact",
          acceptors: [{
            matcher: "path",
            argument: "contactStatus",
            state: "failure",
            expected: "FAILED_TO_SCHEDULE"
          }, {
            matcher: "path",
            argument: "contactStatus",
            state: "success",
            expected: "SCHEDULED"
          }]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/groundstation.js
var require_groundstation = __commonJS({
  "node_modules/aws-sdk/clients/groundstation.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["groundstation"] = {};
    AWS2.GroundStation = Service.defineService("groundstation", ["2019-05-23"]);
    Object.defineProperty(apiLoader.services["groundstation"], "2019-05-23", {
      get: function get() {
        var model = require_groundstation_2019_05_23_min();
        model.paginators = require_groundstation_2019_05_23_paginators().pagination;
        model.waiters = require_groundstation_2019_05_23_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.GroundStation;
  }
});

// node_modules/aws-sdk/apis/iotthingsgraph-2018-09-06.min.json
var require_iotthingsgraph_2018_09_06_min = __commonJS({
  "node_modules/aws-sdk/apis/iotthingsgraph-2018-09-06.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-09-06",
        endpointPrefix: "iotthingsgraph",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS IoT Things Graph",
        serviceId: "IoTThingsGraph",
        signatureVersion: "v4",
        signingName: "iotthingsgraph",
        targetPrefix: "IotThingsGraphFrontEndService",
        uid: "iotthingsgraph-2018-09-06"
      },
      operations: {
        AssociateEntityToThing: {
          input: {
            type: "structure",
            required: [
              "thingName",
              "entityId"
            ],
            members: {
              thingName: {},
              entityId: {},
              namespaceVersion: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        CreateFlowTemplate: {
          input: {
            type: "structure",
            required: [
              "definition"
            ],
            members: {
              definition: {
                shape: "S7"
              },
              compatibleNamespaceVersion: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              summary: {
                shape: "Sb"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        CreateSystemInstance: {
          input: {
            type: "structure",
            required: [
              "definition",
              "target"
            ],
            members: {
              tags: {
                shape: "Sf"
              },
              definition: {
                shape: "S7"
              },
              target: {},
              greengrassGroupName: {},
              s3BucketName: {},
              metricsConfiguration: {
                shape: "Sm"
              },
              flowActionsRoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              summary: {
                shape: "Sq"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        CreateSystemTemplate: {
          input: {
            type: "structure",
            required: [
              "definition"
            ],
            members: {
              definition: {
                shape: "S7"
              },
              compatibleNamespaceVersion: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              summary: {
                shape: "Sw"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        DeleteFlowTemplate: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        DeleteNamespace: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              namespaceArn: {},
              namespaceName: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        DeleteSystemInstance: {
          input: {
            type: "structure",
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        DeleteSystemTemplate: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        DeploySystemInstance: {
          input: {
            type: "structure",
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "summary"
            ],
            members: {
              summary: {
                shape: "Sq"
              },
              greengrassDeploymentId: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        DeprecateFlowTemplate: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        DeprecateSystemTemplate: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        DescribeNamespace: {
          input: {
            type: "structure",
            members: {
              namespaceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              namespaceArn: {},
              namespaceName: {},
              trackingNamespaceName: {},
              trackingNamespaceVersion: {
                type: "long"
              },
              namespaceVersion: {
                type: "long"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        DissociateEntityFromThing: {
          input: {
            type: "structure",
            required: [
              "thingName",
              "entityType"
            ],
            members: {
              thingName: {},
              entityType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        GetEntities: {
          input: {
            type: "structure",
            required: [
              "ids"
            ],
            members: {
              ids: {
                type: "list",
                member: {}
              },
              namespaceVersion: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              descriptions: {
                shape: "S1l"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        GetFlowTemplate: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {},
              revisionNumber: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              description: {
                type: "structure",
                members: {
                  summary: {
                    shape: "Sb"
                  },
                  definition: {
                    shape: "S7"
                  },
                  validatedNamespaceVersion: {
                    type: "long"
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        GetFlowTemplateRevisions: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              summaries: {
                shape: "S1u"
              },
              nextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        GetNamespaceDeletionStatus: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              namespaceArn: {},
              namespaceName: {},
              status: {},
              errorCode: {},
              errorMessage: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        GetSystemInstance: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              description: {
                type: "structure",
                members: {
                  summary: {
                    shape: "Sq"
                  },
                  definition: {
                    shape: "S7"
                  },
                  s3BucketName: {},
                  metricsConfiguration: {
                    shape: "Sm"
                  },
                  validatedNamespaceVersion: {
                    type: "long"
                  },
                  validatedDependencyRevisions: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        id: {},
                        revisionNumber: {
                          type: "long"
                        }
                      }
                    }
                  },
                  flowActionsRoleArn: {}
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        GetSystemTemplate: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {},
              revisionNumber: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              description: {
                type: "structure",
                members: {
                  summary: {
                    shape: "Sw"
                  },
                  definition: {
                    shape: "S7"
                  },
                  validatedNamespaceVersion: {
                    type: "long"
                  }
                }
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        GetSystemTemplateRevisions: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              summaries: {
                shape: "S2a"
              },
              nextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        GetUploadStatus: {
          input: {
            type: "structure",
            required: [
              "uploadId"
            ],
            members: {
              uploadId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "uploadId",
              "uploadStatus",
              "createdDate"
            ],
            members: {
              uploadId: {},
              uploadStatus: {},
              namespaceArn: {},
              namespaceName: {},
              namespaceVersion: {
                type: "long"
              },
              failureReason: {
                type: "list",
                member: {}
              },
              createdDate: {
                type: "timestamp"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        ListFlowExecutionMessages: {
          input: {
            type: "structure",
            required: [
              "flowExecutionId"
            ],
            members: {
              flowExecutionId: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              messages: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    messageId: {},
                    eventType: {},
                    timestamp: {
                      type: "timestamp"
                    },
                    payload: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              maxResults: {
                type: "integer"
              },
              resourceArn: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sf"
              },
              nextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        SearchEntities: {
          input: {
            type: "structure",
            required: [
              "entityTypes"
            ],
            members: {
              entityTypes: {
                type: "list",
                member: {}
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    value: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              namespaceVersion: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              descriptions: {
                shape: "S1l"
              },
              nextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        SearchFlowExecutions: {
          input: {
            type: "structure",
            required: [
              "systemInstanceId"
            ],
            members: {
              systemInstanceId: {},
              flowExecutionId: {},
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              summaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    flowExecutionId: {},
                    status: {},
                    systemInstanceId: {},
                    flowTemplateId: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    updatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        SearchFlowTemplates: {
          input: {
            type: "structure",
            members: {
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "value"
                  ],
                  members: {
                    name: {},
                    value: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              summaries: {
                shape: "S1u"
              },
              nextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        SearchSystemInstances: {
          input: {
            type: "structure",
            members: {
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    value: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              summaries: {
                type: "list",
                member: {
                  shape: "Sq"
                }
              },
              nextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        SearchSystemTemplates: {
          input: {
            type: "structure",
            members: {
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "value"
                  ],
                  members: {
                    name: {},
                    value: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              summaries: {
                shape: "S2a"
              },
              nextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        SearchThings: {
          input: {
            type: "structure",
            required: [
              "entityId"
            ],
            members: {
              entityId: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              namespaceVersion: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              things: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    thingArn: {},
                    thingName: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        UndeploySystemInstance: {
          input: {
            type: "structure",
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              summary: {
                shape: "Sq"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        UpdateFlowTemplate: {
          input: {
            type: "structure",
            required: [
              "id",
              "definition"
            ],
            members: {
              id: {},
              definition: {
                shape: "S7"
              },
              compatibleNamespaceVersion: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              summary: {
                shape: "Sb"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        UpdateSystemTemplate: {
          input: {
            type: "structure",
            required: [
              "id",
              "definition"
            ],
            members: {
              id: {},
              definition: {
                shape: "S7"
              },
              compatibleNamespaceVersion: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              summary: {
                shape: "Sw"
              }
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        },
        UploadEntityDefinitions: {
          input: {
            type: "structure",
            members: {
              document: {
                shape: "S7"
              },
              syncWithPublicNamespace: {
                type: "boolean"
              },
              deprecateExistingEntities: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "uploadId"
            ],
            members: {
              uploadId: {}
            }
          },
          deprecated: true,
          deprecatedMessage: "since: 2022-08-30"
        }
      },
      shapes: {
        S7: {
          type: "structure",
          required: [
            "language",
            "text"
          ],
          members: {
            language: {},
            text: {}
          }
        },
        Sb: {
          type: "structure",
          members: {
            id: {},
            arn: {},
            revisionNumber: {
              type: "long"
            },
            createdAt: {
              type: "timestamp"
            }
          }
        },
        Sf: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        Sm: {
          type: "structure",
          members: {
            cloudMetricEnabled: {
              type: "boolean"
            },
            metricRuleRoleArn: {}
          }
        },
        Sq: {
          type: "structure",
          members: {
            id: {},
            arn: {},
            status: {},
            target: {},
            greengrassGroupName: {},
            createdAt: {
              type: "timestamp"
            },
            updatedAt: {
              type: "timestamp"
            },
            greengrassGroupId: {},
            greengrassGroupVersionId: {}
          }
        },
        Sw: {
          type: "structure",
          members: {
            id: {},
            arn: {},
            revisionNumber: {
              type: "long"
            },
            createdAt: {
              type: "timestamp"
            }
          }
        },
        S1l: {
          type: "list",
          member: {
            type: "structure",
            members: {
              id: {},
              arn: {},
              type: {},
              createdAt: {
                type: "timestamp"
              },
              definition: {
                shape: "S7"
              }
            }
          }
        },
        S1u: {
          type: "list",
          member: {
            shape: "Sb"
          }
        },
        S2a: {
          type: "list",
          member: {
            shape: "Sw"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iotthingsgraph-2018-09-06.paginators.json
var require_iotthingsgraph_2018_09_06_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iotthingsgraph-2018-09-06.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetFlowTemplateRevisions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "summaries"
        },
        GetSystemTemplateRevisions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "summaries"
        },
        ListFlowExecutionMessages: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "messages"
        },
        ListTagsForResource: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "tags"
        },
        SearchEntities: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "descriptions"
        },
        SearchFlowExecutions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "summaries"
        },
        SearchFlowTemplates: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "summaries"
        },
        SearchSystemInstances: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "summaries"
        },
        SearchSystemTemplates: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "summaries"
        },
        SearchThings: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "things"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/iotthingsgraph.js
var require_iotthingsgraph = __commonJS({
  "node_modules/aws-sdk/clients/iotthingsgraph.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iotthingsgraph"] = {};
    AWS2.IoTThingsGraph = Service.defineService("iotthingsgraph", ["2018-09-06"]);
    Object.defineProperty(apiLoader.services["iotthingsgraph"], "2018-09-06", {
      get: function get() {
        var model = require_iotthingsgraph_2018_09_06_min();
        model.paginators = require_iotthingsgraph_2018_09_06_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IoTThingsGraph;
  }
});

// node_modules/aws-sdk/apis/iotevents-2018-07-27.min.json
var require_iotevents_2018_07_27_min = __commonJS({
  "node_modules/aws-sdk/apis/iotevents-2018-07-27.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-07-27",
        endpointPrefix: "iotevents",
        protocol: "rest-json",
        serviceFullName: "AWS IoT Events",
        serviceId: "IoT Events",
        signatureVersion: "v4",
        signingName: "iotevents",
        uid: "iotevents-2018-07-27"
      },
      operations: {
        CreateAlarmModel: {
          http: {
            requestUri: "/alarm-models"
          },
          input: {
            type: "structure",
            required: [
              "alarmModelName",
              "roleArn",
              "alarmRule"
            ],
            members: {
              alarmModelName: {},
              alarmModelDescription: {},
              roleArn: {},
              tags: {
                shape: "S5"
              },
              key: {},
              severity: {
                type: "integer"
              },
              alarmRule: {
                shape: "Sb"
              },
              alarmNotification: {
                shape: "Sg"
              },
              alarmEventActions: {
                shape: "S13"
              },
              alarmCapabilities: {
                shape: "S23"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              creationTime: {
                type: "timestamp"
              },
              alarmModelArn: {},
              alarmModelVersion: {},
              lastUpdateTime: {
                type: "timestamp"
              },
              status: {}
            }
          }
        },
        CreateDetectorModel: {
          http: {
            requestUri: "/detector-models"
          },
          input: {
            type: "structure",
            required: [
              "detectorModelName",
              "detectorModelDefinition",
              "roleArn"
            ],
            members: {
              detectorModelName: {},
              detectorModelDefinition: {
                shape: "S2f"
              },
              detectorModelDescription: {},
              key: {},
              roleArn: {},
              tags: {
                shape: "S5"
              },
              evaluationMethod: {}
            }
          },
          output: {
            type: "structure",
            members: {
              detectorModelConfiguration: {
                shape: "S35"
              }
            }
          }
        },
        CreateInput: {
          http: {
            requestUri: "/inputs",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "inputName",
              "inputDefinition"
            ],
            members: {
              inputName: {},
              inputDescription: {},
              inputDefinition: {
                shape: "S3b"
              },
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              inputConfiguration: {
                shape: "S3f"
              }
            }
          }
        },
        DeleteAlarmModel: {
          http: {
            method: "DELETE",
            requestUri: "/alarm-models/{alarmModelName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "alarmModelName"
            ],
            members: {
              alarmModelName: {
                location: "uri",
                locationName: "alarmModelName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDetectorModel: {
          http: {
            method: "DELETE",
            requestUri: "/detector-models/{detectorModelName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "detectorModelName"
            ],
            members: {
              detectorModelName: {
                location: "uri",
                locationName: "detectorModelName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteInput: {
          http: {
            method: "DELETE",
            requestUri: "/inputs/{inputName}"
          },
          input: {
            type: "structure",
            required: [
              "inputName"
            ],
            members: {
              inputName: {
                location: "uri",
                locationName: "inputName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeAlarmModel: {
          http: {
            method: "GET",
            requestUri: "/alarm-models/{alarmModelName}"
          },
          input: {
            type: "structure",
            required: [
              "alarmModelName"
            ],
            members: {
              alarmModelName: {
                location: "uri",
                locationName: "alarmModelName"
              },
              alarmModelVersion: {
                location: "querystring",
                locationName: "version"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              creationTime: {
                type: "timestamp"
              },
              alarmModelArn: {},
              alarmModelVersion: {},
              lastUpdateTime: {
                type: "timestamp"
              },
              status: {},
              statusMessage: {},
              alarmModelName: {},
              alarmModelDescription: {},
              roleArn: {},
              key: {},
              severity: {
                type: "integer"
              },
              alarmRule: {
                shape: "Sb"
              },
              alarmNotification: {
                shape: "Sg"
              },
              alarmEventActions: {
                shape: "S13"
              },
              alarmCapabilities: {
                shape: "S23"
              }
            }
          }
        },
        DescribeDetectorModel: {
          http: {
            method: "GET",
            requestUri: "/detector-models/{detectorModelName}"
          },
          input: {
            type: "structure",
            required: [
              "detectorModelName"
            ],
            members: {
              detectorModelName: {
                location: "uri",
                locationName: "detectorModelName"
              },
              detectorModelVersion: {
                location: "querystring",
                locationName: "version"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              detectorModel: {
                type: "structure",
                members: {
                  detectorModelDefinition: {
                    shape: "S2f"
                  },
                  detectorModelConfiguration: {
                    shape: "S35"
                  }
                }
              }
            }
          }
        },
        DescribeDetectorModelAnalysis: {
          http: {
            method: "GET",
            requestUri: "/analysis/detector-models/{analysisId}"
          },
          input: {
            type: "structure",
            required: [
              "analysisId"
            ],
            members: {
              analysisId: {
                location: "uri",
                locationName: "analysisId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              status: {}
            }
          }
        },
        DescribeInput: {
          http: {
            method: "GET",
            requestUri: "/inputs/{inputName}"
          },
          input: {
            type: "structure",
            required: [
              "inputName"
            ],
            members: {
              inputName: {
                location: "uri",
                locationName: "inputName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              input: {
                type: "structure",
                members: {
                  inputConfiguration: {
                    shape: "S3f"
                  },
                  inputDefinition: {
                    shape: "S3b"
                  }
                }
              }
            }
          }
        },
        DescribeLoggingOptions: {
          http: {
            method: "GET",
            requestUri: "/logging"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              loggingOptions: {
                shape: "S43"
              }
            }
          }
        },
        GetDetectorModelAnalysisResults: {
          http: {
            method: "GET",
            requestUri: "/analysis/detector-models/{analysisId}/results"
          },
          input: {
            type: "structure",
            required: [
              "analysisId"
            ],
            members: {
              analysisId: {
                location: "uri",
                locationName: "analysisId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              analysisResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    type: {},
                    level: {},
                    message: {},
                    locations: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          path: {}
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAlarmModelVersions: {
          http: {
            method: "GET",
            requestUri: "/alarm-models/{alarmModelName}/versions"
          },
          input: {
            type: "structure",
            required: [
              "alarmModelName"
            ],
            members: {
              alarmModelName: {
                location: "uri",
                locationName: "alarmModelName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              alarmModelVersionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    alarmModelName: {},
                    alarmModelArn: {},
                    alarmModelVersion: {},
                    roleArn: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    lastUpdateTime: {
                      type: "timestamp"
                    },
                    status: {},
                    statusMessage: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAlarmModels: {
          http: {
            method: "GET",
            requestUri: "/alarm-models"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              alarmModelSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    creationTime: {
                      type: "timestamp"
                    },
                    alarmModelDescription: {},
                    alarmModelName: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDetectorModelVersions: {
          http: {
            method: "GET",
            requestUri: "/detector-models/{detectorModelName}/versions"
          },
          input: {
            type: "structure",
            required: [
              "detectorModelName"
            ],
            members: {
              detectorModelName: {
                location: "uri",
                locationName: "detectorModelName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              detectorModelVersionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    detectorModelName: {},
                    detectorModelVersion: {},
                    detectorModelArn: {},
                    roleArn: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    lastUpdateTime: {
                      type: "timestamp"
                    },
                    status: {},
                    evaluationMethod: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDetectorModels: {
          http: {
            method: "GET",
            requestUri: "/detector-models"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              detectorModelSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    detectorModelName: {},
                    detectorModelDescription: {},
                    creationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListInputRoutings: {
          http: {
            requestUri: "/input-routings"
          },
          input: {
            type: "structure",
            required: [
              "inputIdentifier"
            ],
            members: {
              inputIdentifier: {
                type: "structure",
                members: {
                  iotEventsInputIdentifier: {
                    type: "structure",
                    required: [
                      "inputName"
                    ],
                    members: {
                      inputName: {}
                    }
                  },
                  iotSiteWiseInputIdentifier: {
                    type: "structure",
                    members: {
                      iotSiteWiseAssetModelPropertyIdentifier: {
                        type: "structure",
                        required: [
                          "assetModelId",
                          "propertyId"
                        ],
                        members: {
                          assetModelId: {},
                          propertyId: {}
                        }
                      }
                    }
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              routedResources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    arn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListInputs: {
          http: {
            method: "GET",
            requestUri: "/inputs"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              inputSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    inputName: {},
                    inputDescription: {},
                    inputArn: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    lastUpdateTime: {
                      type: "timestamp"
                    },
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S5"
              }
            }
          }
        },
        PutLoggingOptions: {
          http: {
            method: "PUT",
            requestUri: "/logging"
          },
          input: {
            type: "structure",
            required: [
              "loggingOptions"
            ],
            members: {
              loggingOptions: {
                shape: "S43"
              }
            }
          }
        },
        StartDetectorModelAnalysis: {
          http: {
            requestUri: "/analysis/detector-models/"
          },
          input: {
            type: "structure",
            required: [
              "detectorModelDefinition"
            ],
            members: {
              detectorModelDefinition: {
                shape: "S2f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              analysisId: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAlarmModel: {
          http: {
            requestUri: "/alarm-models/{alarmModelName}"
          },
          input: {
            type: "structure",
            required: [
              "alarmModelName",
              "roleArn",
              "alarmRule"
            ],
            members: {
              alarmModelName: {
                location: "uri",
                locationName: "alarmModelName"
              },
              alarmModelDescription: {},
              roleArn: {},
              severity: {
                type: "integer"
              },
              alarmRule: {
                shape: "Sb"
              },
              alarmNotification: {
                shape: "Sg"
              },
              alarmEventActions: {
                shape: "S13"
              },
              alarmCapabilities: {
                shape: "S23"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              creationTime: {
                type: "timestamp"
              },
              alarmModelArn: {},
              alarmModelVersion: {},
              lastUpdateTime: {
                type: "timestamp"
              },
              status: {}
            }
          }
        },
        UpdateDetectorModel: {
          http: {
            requestUri: "/detector-models/{detectorModelName}"
          },
          input: {
            type: "structure",
            required: [
              "detectorModelName",
              "detectorModelDefinition",
              "roleArn"
            ],
            members: {
              detectorModelName: {
                location: "uri",
                locationName: "detectorModelName"
              },
              detectorModelDefinition: {
                shape: "S2f"
              },
              detectorModelDescription: {},
              roleArn: {},
              evaluationMethod: {}
            }
          },
          output: {
            type: "structure",
            members: {
              detectorModelConfiguration: {
                shape: "S35"
              }
            }
          }
        },
        UpdateInput: {
          http: {
            method: "PUT",
            requestUri: "/inputs/{inputName}"
          },
          input: {
            type: "structure",
            required: [
              "inputName",
              "inputDefinition"
            ],
            members: {
              inputName: {
                location: "uri",
                locationName: "inputName"
              },
              inputDescription: {},
              inputDefinition: {
                shape: "S3b"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              inputConfiguration: {
                shape: "S3f"
              }
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        Sb: {
          type: "structure",
          members: {
            simpleRule: {
              type: "structure",
              required: [
                "inputProperty",
                "comparisonOperator",
                "threshold"
              ],
              members: {
                inputProperty: {},
                comparisonOperator: {},
                threshold: {}
              }
            }
          }
        },
        Sg: {
          type: "structure",
          members: {
            notificationActions: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "action"
                ],
                members: {
                  action: {
                    type: "structure",
                    members: {
                      lambdaAction: {
                        shape: "Sk"
                      }
                    }
                  },
                  smsConfigurations: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "recipients"
                      ],
                      members: {
                        senderId: {},
                        additionalMessage: {},
                        recipients: {
                          shape: "Ss"
                        }
                      }
                    }
                  },
                  emailConfigurations: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "from",
                        "recipients"
                      ],
                      members: {
                        from: {},
                        content: {
                          type: "structure",
                          members: {
                            subject: {},
                            additionalMessage: {}
                          }
                        },
                        recipients: {
                          type: "structure",
                          members: {
                            to: {
                              shape: "Ss"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sk: {
          type: "structure",
          required: [
            "functionArn"
          ],
          members: {
            functionArn: {},
            payload: {
              shape: "Sl"
            }
          }
        },
        Sl: {
          type: "structure",
          required: [
            "contentExpression",
            "type"
          ],
          members: {
            contentExpression: {},
            type: {}
          }
        },
        Ss: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ssoIdentity: {
                type: "structure",
                required: [
                  "identityStoreId"
                ],
                members: {
                  identityStoreId: {},
                  userId: {}
                }
              }
            }
          }
        },
        S13: {
          type: "structure",
          members: {
            alarmActions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  sns: {
                    shape: "S16"
                  },
                  iotTopicPublish: {
                    shape: "S17"
                  },
                  lambda: {
                    shape: "Sk"
                  },
                  iotEvents: {
                    shape: "S19"
                  },
                  sqs: {
                    shape: "S1b"
                  },
                  firehose: {
                    shape: "S1e"
                  },
                  dynamoDB: {
                    shape: "S1h"
                  },
                  dynamoDBv2: {
                    shape: "S1n"
                  },
                  iotSiteWise: {
                    shape: "S1o"
                  }
                }
              }
            }
          }
        },
        S16: {
          type: "structure",
          required: [
            "targetArn"
          ],
          members: {
            targetArn: {},
            payload: {
              shape: "Sl"
            }
          }
        },
        S17: {
          type: "structure",
          required: [
            "mqttTopic"
          ],
          members: {
            mqttTopic: {},
            payload: {
              shape: "Sl"
            }
          }
        },
        S19: {
          type: "structure",
          required: [
            "inputName"
          ],
          members: {
            inputName: {},
            payload: {
              shape: "Sl"
            }
          }
        },
        S1b: {
          type: "structure",
          required: [
            "queueUrl"
          ],
          members: {
            queueUrl: {},
            useBase64: {
              type: "boolean"
            },
            payload: {
              shape: "Sl"
            }
          }
        },
        S1e: {
          type: "structure",
          required: [
            "deliveryStreamName"
          ],
          members: {
            deliveryStreamName: {},
            separator: {},
            payload: {
              shape: "Sl"
            }
          }
        },
        S1h: {
          type: "structure",
          required: [
            "hashKeyField",
            "hashKeyValue",
            "tableName"
          ],
          members: {
            hashKeyType: {},
            hashKeyField: {},
            hashKeyValue: {},
            rangeKeyType: {},
            rangeKeyField: {},
            rangeKeyValue: {},
            operation: {},
            payloadField: {},
            tableName: {},
            payload: {
              shape: "Sl"
            }
          }
        },
        S1n: {
          type: "structure",
          required: [
            "tableName"
          ],
          members: {
            tableName: {},
            payload: {
              shape: "Sl"
            }
          }
        },
        S1o: {
          type: "structure",
          members: {
            entryId: {},
            assetId: {},
            propertyId: {},
            propertyAlias: {},
            propertyValue: {
              type: "structure",
              members: {
                value: {
                  type: "structure",
                  members: {
                    stringValue: {},
                    integerValue: {},
                    doubleValue: {},
                    booleanValue: {}
                  }
                },
                timestamp: {
                  type: "structure",
                  required: [
                    "timeInSeconds"
                  ],
                  members: {
                    timeInSeconds: {},
                    offsetInNanos: {}
                  }
                },
                quality: {}
              }
            }
          }
        },
        S23: {
          type: "structure",
          members: {
            initializationConfiguration: {
              type: "structure",
              required: [
                "disabledOnInitialization"
              ],
              members: {
                disabledOnInitialization: {
                  type: "boolean"
                }
              }
            },
            acknowledgeFlow: {
              type: "structure",
              required: [
                "enabled"
              ],
              members: {
                enabled: {
                  type: "boolean"
                }
              }
            }
          }
        },
        S2f: {
          type: "structure",
          required: [
            "states",
            "initialStateName"
          ],
          members: {
            states: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "stateName"
                ],
                members: {
                  stateName: {},
                  onInput: {
                    type: "structure",
                    members: {
                      events: {
                        shape: "S2k"
                      },
                      transitionEvents: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "eventName",
                            "condition",
                            "nextState"
                          ],
                          members: {
                            eventName: {},
                            condition: {},
                            actions: {
                              shape: "S2o"
                            },
                            nextState: {}
                          }
                        }
                      }
                    }
                  },
                  onEnter: {
                    type: "structure",
                    members: {
                      events: {
                        shape: "S2k"
                      }
                    }
                  },
                  onExit: {
                    type: "structure",
                    members: {
                      events: {
                        shape: "S2k"
                      }
                    }
                  }
                }
              }
            },
            initialStateName: {}
          }
        },
        S2k: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "eventName"
            ],
            members: {
              eventName: {},
              condition: {},
              actions: {
                shape: "S2o"
              }
            }
          }
        },
        S2o: {
          type: "list",
          member: {
            type: "structure",
            members: {
              setVariable: {
                type: "structure",
                required: [
                  "variableName",
                  "value"
                ],
                members: {
                  variableName: {},
                  value: {}
                }
              },
              sns: {
                shape: "S16"
              },
              iotTopicPublish: {
                shape: "S17"
              },
              setTimer: {
                type: "structure",
                required: [
                  "timerName"
                ],
                members: {
                  timerName: {},
                  seconds: {
                    deprecated: true,
                    deprecatedMessage: "seconds is deprecated. You can use durationExpression for SetTimerAction. The value of seconds can be used as a string expression for durationExpression.",
                    type: "integer"
                  },
                  durationExpression: {}
                }
              },
              clearTimer: {
                type: "structure",
                required: [
                  "timerName"
                ],
                members: {
                  timerName: {}
                }
              },
              resetTimer: {
                type: "structure",
                required: [
                  "timerName"
                ],
                members: {
                  timerName: {}
                }
              },
              lambda: {
                shape: "Sk"
              },
              iotEvents: {
                shape: "S19"
              },
              sqs: {
                shape: "S1b"
              },
              firehose: {
                shape: "S1e"
              },
              dynamoDB: {
                shape: "S1h"
              },
              dynamoDBv2: {
                shape: "S1n"
              },
              iotSiteWise: {
                shape: "S1o"
              }
            }
          }
        },
        S35: {
          type: "structure",
          members: {
            detectorModelName: {},
            detectorModelVersion: {},
            detectorModelDescription: {},
            detectorModelArn: {},
            roleArn: {},
            creationTime: {
              type: "timestamp"
            },
            lastUpdateTime: {
              type: "timestamp"
            },
            status: {},
            key: {},
            evaluationMethod: {}
          }
        },
        S3b: {
          type: "structure",
          required: [
            "attributes"
          ],
          members: {
            attributes: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "jsonPath"
                ],
                members: {
                  jsonPath: {}
                }
              }
            }
          }
        },
        S3f: {
          type: "structure",
          required: [
            "inputName",
            "inputArn",
            "creationTime",
            "lastUpdateTime",
            "status"
          ],
          members: {
            inputName: {},
            inputDescription: {},
            inputArn: {},
            creationTime: {
              type: "timestamp"
            },
            lastUpdateTime: {
              type: "timestamp"
            },
            status: {}
          }
        },
        S43: {
          type: "structure",
          required: [
            "roleArn",
            "level",
            "enabled"
          ],
          members: {
            roleArn: {},
            level: {},
            enabled: {
              type: "boolean"
            },
            detectorDebugOptions: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "detectorModelName"
                ],
                members: {
                  detectorModelName: {},
                  keyValue: {}
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iotevents-2018-07-27.paginators.json
var require_iotevents_2018_07_27_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iotevents-2018-07-27.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/iotevents.js
var require_iotevents = __commonJS({
  "node_modules/aws-sdk/clients/iotevents.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iotevents"] = {};
    AWS2.IoTEvents = Service.defineService("iotevents", ["2018-07-27"]);
    Object.defineProperty(apiLoader.services["iotevents"], "2018-07-27", {
      get: function get() {
        var model = require_iotevents_2018_07_27_min();
        model.paginators = require_iotevents_2018_07_27_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IoTEvents;
  }
});

// node_modules/aws-sdk/apis/iotevents-data-2018-10-23.min.json
var require_iotevents_data_2018_10_23_min = __commonJS({
  "node_modules/aws-sdk/apis/iotevents-data-2018-10-23.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-10-23",
        endpointPrefix: "data.iotevents",
        protocol: "rest-json",
        serviceFullName: "AWS IoT Events Data",
        serviceId: "IoT Events Data",
        signatureVersion: "v4",
        signingName: "ioteventsdata",
        uid: "iotevents-data-2018-10-23"
      },
      operations: {
        BatchAcknowledgeAlarm: {
          http: {
            requestUri: "/alarms/acknowledge",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "acknowledgeActionRequests"
            ],
            members: {
              acknowledgeActionRequests: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "requestId",
                    "alarmModelName"
                  ],
                  members: {
                    requestId: {},
                    alarmModelName: {},
                    keyValue: {},
                    note: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errorEntries: {
                shape: "S9"
              }
            }
          }
        },
        BatchDeleteDetector: {
          http: {
            requestUri: "/detectors/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "detectors"
            ],
            members: {
              detectors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "messageId",
                    "detectorModelName"
                  ],
                  members: {
                    messageId: {},
                    detectorModelName: {},
                    keyValue: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              batchDeleteDetectorErrorEntries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    messageId: {},
                    errorCode: {},
                    errorMessage: {}
                  }
                }
              }
            }
          }
        },
        BatchDisableAlarm: {
          http: {
            requestUri: "/alarms/disable",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "disableActionRequests"
            ],
            members: {
              disableActionRequests: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "requestId",
                    "alarmModelName"
                  ],
                  members: {
                    requestId: {},
                    alarmModelName: {},
                    keyValue: {},
                    note: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errorEntries: {
                shape: "S9"
              }
            }
          }
        },
        BatchEnableAlarm: {
          http: {
            requestUri: "/alarms/enable",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "enableActionRequests"
            ],
            members: {
              enableActionRequests: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "requestId",
                    "alarmModelName"
                  ],
                  members: {
                    requestId: {},
                    alarmModelName: {},
                    keyValue: {},
                    note: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errorEntries: {
                shape: "S9"
              }
            }
          }
        },
        BatchPutMessage: {
          http: {
            requestUri: "/inputs/messages",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "messages"
            ],
            members: {
              messages: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "messageId",
                    "inputName",
                    "payload"
                  ],
                  members: {
                    messageId: {},
                    inputName: {},
                    payload: {
                      type: "blob"
                    },
                    timestamp: {
                      type: "structure",
                      members: {
                        timeInMillis: {
                          type: "long"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BatchPutMessageErrorEntries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    messageId: {},
                    errorCode: {},
                    errorMessage: {}
                  }
                }
              }
            }
          }
        },
        BatchResetAlarm: {
          http: {
            requestUri: "/alarms/reset",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "resetActionRequests"
            ],
            members: {
              resetActionRequests: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "requestId",
                    "alarmModelName"
                  ],
                  members: {
                    requestId: {},
                    alarmModelName: {},
                    keyValue: {},
                    note: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errorEntries: {
                shape: "S9"
              }
            }
          }
        },
        BatchSnoozeAlarm: {
          http: {
            requestUri: "/alarms/snooze",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "snoozeActionRequests"
            ],
            members: {
              snoozeActionRequests: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "requestId",
                    "alarmModelName",
                    "snoozeDuration"
                  ],
                  members: {
                    requestId: {},
                    alarmModelName: {},
                    keyValue: {},
                    note: {},
                    snoozeDuration: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errorEntries: {
                shape: "S9"
              }
            }
          }
        },
        BatchUpdateDetector: {
          http: {
            requestUri: "/detectors",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "detectors"
            ],
            members: {
              detectors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "messageId",
                    "detectorModelName",
                    "state"
                  ],
                  members: {
                    messageId: {},
                    detectorModelName: {},
                    keyValue: {},
                    state: {
                      type: "structure",
                      required: [
                        "stateName",
                        "variables",
                        "timers"
                      ],
                      members: {
                        stateName: {},
                        variables: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "name",
                              "value"
                            ],
                            members: {
                              name: {},
                              value: {}
                            }
                          }
                        },
                        timers: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "name",
                              "seconds"
                            ],
                            members: {
                              name: {},
                              seconds: {
                                type: "integer"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              batchUpdateDetectorErrorEntries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    messageId: {},
                    errorCode: {},
                    errorMessage: {}
                  }
                }
              }
            }
          }
        },
        DescribeAlarm: {
          http: {
            method: "GET",
            requestUri: "/alarms/{alarmModelName}/keyValues/"
          },
          input: {
            type: "structure",
            required: [
              "alarmModelName"
            ],
            members: {
              alarmModelName: {
                location: "uri",
                locationName: "alarmModelName"
              },
              keyValue: {
                location: "querystring",
                locationName: "keyValue"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              alarm: {
                type: "structure",
                members: {
                  alarmModelName: {},
                  alarmModelVersion: {},
                  keyValue: {},
                  alarmState: {
                    type: "structure",
                    members: {
                      stateName: {},
                      ruleEvaluation: {
                        type: "structure",
                        members: {
                          simpleRuleEvaluation: {
                            type: "structure",
                            members: {
                              inputPropertyValue: {},
                              operator: {},
                              thresholdValue: {}
                            }
                          }
                        }
                      },
                      customerAction: {
                        type: "structure",
                        members: {
                          actionName: {},
                          snoozeActionConfiguration: {
                            type: "structure",
                            members: {
                              snoozeDuration: {
                                type: "integer"
                              },
                              note: {}
                            }
                          },
                          enableActionConfiguration: {
                            type: "structure",
                            members: {
                              note: {}
                            }
                          },
                          disableActionConfiguration: {
                            type: "structure",
                            members: {
                              note: {}
                            }
                          },
                          acknowledgeActionConfiguration: {
                            type: "structure",
                            members: {
                              note: {}
                            }
                          },
                          resetActionConfiguration: {
                            type: "structure",
                            members: {
                              note: {}
                            }
                          }
                        }
                      },
                      systemEvent: {
                        type: "structure",
                        members: {
                          eventType: {},
                          stateChangeConfiguration: {
                            type: "structure",
                            members: {
                              triggerType: {}
                            }
                          }
                        }
                      }
                    }
                  },
                  severity: {
                    type: "integer"
                  },
                  creationTime: {
                    type: "timestamp"
                  },
                  lastUpdateTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        DescribeDetector: {
          http: {
            method: "GET",
            requestUri: "/detectors/{detectorModelName}/keyValues/"
          },
          input: {
            type: "structure",
            required: [
              "detectorModelName"
            ],
            members: {
              detectorModelName: {
                location: "uri",
                locationName: "detectorModelName"
              },
              keyValue: {
                location: "querystring",
                locationName: "keyValue"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              detector: {
                type: "structure",
                members: {
                  detectorModelName: {},
                  keyValue: {},
                  detectorModelVersion: {},
                  state: {
                    type: "structure",
                    required: [
                      "stateName",
                      "variables",
                      "timers"
                    ],
                    members: {
                      stateName: {},
                      variables: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "name",
                            "value"
                          ],
                          members: {
                            name: {},
                            value: {}
                          }
                        }
                      },
                      timers: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "name",
                            "timestamp"
                          ],
                          members: {
                            name: {},
                            timestamp: {
                              type: "timestamp"
                            }
                          }
                        }
                      }
                    }
                  },
                  creationTime: {
                    type: "timestamp"
                  },
                  lastUpdateTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        ListAlarms: {
          http: {
            method: "GET",
            requestUri: "/alarms/{alarmModelName}"
          },
          input: {
            type: "structure",
            required: [
              "alarmModelName"
            ],
            members: {
              alarmModelName: {
                location: "uri",
                locationName: "alarmModelName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              alarmSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    alarmModelName: {},
                    alarmModelVersion: {},
                    keyValue: {},
                    stateName: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    lastUpdateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDetectors: {
          http: {
            method: "GET",
            requestUri: "/detectors/{detectorModelName}"
          },
          input: {
            type: "structure",
            required: [
              "detectorModelName"
            ],
            members: {
              detectorModelName: {
                location: "uri",
                locationName: "detectorModelName"
              },
              stateName: {
                location: "querystring",
                locationName: "stateName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              detectorSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    detectorModelName: {},
                    keyValue: {},
                    detectorModelVersion: {},
                    state: {
                      type: "structure",
                      members: {
                        stateName: {}
                      }
                    },
                    creationTime: {
                      type: "timestamp"
                    },
                    lastUpdateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        }
      },
      shapes: {
        S9: {
          type: "list",
          member: {
            type: "structure",
            members: {
              requestId: {},
              errorCode: {},
              errorMessage: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iotevents-data-2018-10-23.paginators.json
var require_iotevents_data_2018_10_23_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iotevents-data-2018-10-23.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/ioteventsdata.js
var require_ioteventsdata = __commonJS({
  "node_modules/aws-sdk/clients/ioteventsdata.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ioteventsdata"] = {};
    AWS2.IoTEventsData = Service.defineService("ioteventsdata", ["2018-10-23"]);
    Object.defineProperty(apiLoader.services["ioteventsdata"], "2018-10-23", {
      get: function get() {
        var model = require_iotevents_data_2018_10_23_min();
        model.paginators = require_iotevents_data_2018_10_23_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IoTEventsData;
  }
});

// node_modules/aws-sdk/apis/personalize-2018-05-22.min.json
var require_personalize_2018_05_22_min = __commonJS({
  "node_modules/aws-sdk/apis/personalize-2018-05-22.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-05-22",
        endpointPrefix: "personalize",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Personalize",
        serviceId: "Personalize",
        signatureVersion: "v4",
        signingName: "personalize",
        targetPrefix: "AmazonPersonalize",
        uid: "personalize-2018-05-22"
      },
      operations: {
        CreateBatchInferenceJob: {
          input: {
            type: "structure",
            required: [
              "jobName",
              "solutionVersionArn",
              "jobInput",
              "jobOutput",
              "roleArn"
            ],
            members: {
              jobName: {},
              solutionVersionArn: {},
              filterArn: {},
              numResults: {
                type: "integer"
              },
              jobInput: {
                shape: "S5"
              },
              jobOutput: {
                shape: "S9"
              },
              roleArn: {},
              batchInferenceJobConfig: {
                shape: "Sb"
              },
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              batchInferenceJobArn: {}
            }
          }
        },
        CreateBatchSegmentJob: {
          input: {
            type: "structure",
            required: [
              "jobName",
              "solutionVersionArn",
              "jobInput",
              "jobOutput",
              "roleArn"
            ],
            members: {
              jobName: {},
              solutionVersionArn: {},
              filterArn: {},
              numResults: {
                type: "integer"
              },
              jobInput: {
                shape: "Sl"
              },
              jobOutput: {
                shape: "Sm"
              },
              roleArn: {},
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              batchSegmentJobArn: {}
            }
          }
        },
        CreateCampaign: {
          input: {
            type: "structure",
            required: [
              "name",
              "solutionVersionArn"
            ],
            members: {
              name: {},
              solutionVersionArn: {},
              minProvisionedTPS: {
                type: "integer"
              },
              campaignConfig: {
                shape: "Sq"
              },
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              campaignArn: {}
            }
          },
          idempotent: true
        },
        CreateDataset: {
          input: {
            type: "structure",
            required: [
              "name",
              "schemaArn",
              "datasetGroupArn",
              "datasetType"
            ],
            members: {
              name: {},
              schemaArn: {},
              datasetGroupArn: {},
              datasetType: {},
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasetArn: {}
            }
          },
          idempotent: true
        },
        CreateDatasetExportJob: {
          input: {
            type: "structure",
            required: [
              "jobName",
              "datasetArn",
              "roleArn",
              "jobOutput"
            ],
            members: {
              jobName: {},
              datasetArn: {},
              ingestionMode: {},
              roleArn: {},
              jobOutput: {
                shape: "Sx"
              },
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasetExportJobArn: {}
            }
          },
          idempotent: true
        },
        CreateDatasetGroup: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              roleArn: {},
              kmsKeyArn: {},
              domain: {},
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasetGroupArn: {},
              domain: {}
            }
          }
        },
        CreateDatasetImportJob: {
          input: {
            type: "structure",
            required: [
              "jobName",
              "datasetArn",
              "dataSource",
              "roleArn"
            ],
            members: {
              jobName: {},
              datasetArn: {},
              dataSource: {
                shape: "S13"
              },
              roleArn: {},
              tags: {
                shape: "Sf"
              },
              importMode: {},
              publishAttributionMetricsToS3: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasetImportJobArn: {}
            }
          }
        },
        CreateEventTracker: {
          input: {
            type: "structure",
            required: [
              "name",
              "datasetGroupArn"
            ],
            members: {
              name: {},
              datasetGroupArn: {},
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              eventTrackerArn: {},
              trackingId: {}
            }
          },
          idempotent: true
        },
        CreateFilter: {
          input: {
            type: "structure",
            required: [
              "name",
              "datasetGroupArn",
              "filterExpression"
            ],
            members: {
              name: {},
              datasetGroupArn: {},
              filterExpression: {
                shape: "S1b"
              },
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              filterArn: {}
            }
          }
        },
        CreateMetricAttribution: {
          input: {
            type: "structure",
            required: [
              "name",
              "datasetGroupArn",
              "metrics",
              "metricsOutputConfig"
            ],
            members: {
              name: {},
              datasetGroupArn: {},
              metrics: {
                shape: "S1e"
              },
              metricsOutputConfig: {
                shape: "S1j"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              metricAttributionArn: {}
            }
          }
        },
        CreateRecommender: {
          input: {
            type: "structure",
            required: [
              "name",
              "datasetGroupArn",
              "recipeArn"
            ],
            members: {
              name: {},
              datasetGroupArn: {},
              recipeArn: {},
              recommenderConfig: {
                shape: "S1m"
              },
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              recommenderArn: {}
            }
          },
          idempotent: true
        },
        CreateSchema: {
          input: {
            type: "structure",
            required: [
              "name",
              "schema"
            ],
            members: {
              name: {},
              schema: {},
              domain: {}
            }
          },
          output: {
            type: "structure",
            members: {
              schemaArn: {}
            }
          },
          idempotent: true
        },
        CreateSolution: {
          input: {
            type: "structure",
            required: [
              "name",
              "datasetGroupArn"
            ],
            members: {
              name: {},
              performHPO: {
                type: "boolean"
              },
              performAutoML: {
                type: "boolean"
              },
              recipeArn: {},
              datasetGroupArn: {},
              eventType: {},
              solutionConfig: {
                shape: "S1x"
              },
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              solutionArn: {}
            }
          }
        },
        CreateSolutionVersion: {
          input: {
            type: "structure",
            required: [
              "solutionArn"
            ],
            members: {
              name: {},
              solutionArn: {},
              trainingMode: {},
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              solutionVersionArn: {}
            }
          }
        },
        DeleteCampaign: {
          input: {
            type: "structure",
            required: [
              "campaignArn"
            ],
            members: {
              campaignArn: {}
            }
          },
          idempotent: true
        },
        DeleteDataset: {
          input: {
            type: "structure",
            required: [
              "datasetArn"
            ],
            members: {
              datasetArn: {}
            }
          },
          idempotent: true
        },
        DeleteDatasetGroup: {
          input: {
            type: "structure",
            required: [
              "datasetGroupArn"
            ],
            members: {
              datasetGroupArn: {}
            }
          },
          idempotent: true
        },
        DeleteEventTracker: {
          input: {
            type: "structure",
            required: [
              "eventTrackerArn"
            ],
            members: {
              eventTrackerArn: {}
            }
          },
          idempotent: true
        },
        DeleteFilter: {
          input: {
            type: "structure",
            required: [
              "filterArn"
            ],
            members: {
              filterArn: {}
            }
          }
        },
        DeleteMetricAttribution: {
          input: {
            type: "structure",
            required: [
              "metricAttributionArn"
            ],
            members: {
              metricAttributionArn: {}
            }
          },
          idempotent: true
        },
        DeleteRecommender: {
          input: {
            type: "structure",
            required: [
              "recommenderArn"
            ],
            members: {
              recommenderArn: {}
            }
          },
          idempotent: true
        },
        DeleteSchema: {
          input: {
            type: "structure",
            required: [
              "schemaArn"
            ],
            members: {
              schemaArn: {}
            }
          },
          idempotent: true
        },
        DeleteSolution: {
          input: {
            type: "structure",
            required: [
              "solutionArn"
            ],
            members: {
              solutionArn: {}
            }
          },
          idempotent: true
        },
        DescribeAlgorithm: {
          input: {
            type: "structure",
            required: [
              "algorithmArn"
            ],
            members: {
              algorithmArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              algorithm: {
                type: "structure",
                members: {
                  name: {},
                  algorithmArn: {},
                  algorithmImage: {
                    type: "structure",
                    required: [
                      "dockerURI"
                    ],
                    members: {
                      name: {},
                      dockerURI: {}
                    }
                  },
                  defaultHyperParameters: {
                    shape: "Sc"
                  },
                  defaultHyperParameterRanges: {
                    type: "structure",
                    members: {
                      integerHyperParameterRanges: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            name: {},
                            minValue: {
                              type: "integer"
                            },
                            maxValue: {
                              type: "integer"
                            },
                            isTunable: {
                              type: "boolean"
                            }
                          }
                        }
                      },
                      continuousHyperParameterRanges: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            name: {},
                            minValue: {
                              type: "double"
                            },
                            maxValue: {
                              type: "double"
                            },
                            isTunable: {
                              type: "boolean"
                            }
                          }
                        }
                      },
                      categoricalHyperParameterRanges: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            name: {},
                            values: {
                              shape: "S2g"
                            },
                            isTunable: {
                              type: "boolean"
                            }
                          }
                        }
                      }
                    }
                  },
                  defaultResourceConfig: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  trainingInputMode: {},
                  roleArn: {},
                  creationDateTime: {
                    type: "timestamp"
                  },
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          idempotent: true
        },
        DescribeBatchInferenceJob: {
          input: {
            type: "structure",
            required: [
              "batchInferenceJobArn"
            ],
            members: {
              batchInferenceJobArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              batchInferenceJob: {
                type: "structure",
                members: {
                  jobName: {},
                  batchInferenceJobArn: {},
                  filterArn: {},
                  failureReason: {},
                  solutionVersionArn: {},
                  numResults: {
                    type: "integer"
                  },
                  jobInput: {
                    shape: "S5"
                  },
                  jobOutput: {
                    shape: "S9"
                  },
                  batchInferenceJobConfig: {
                    shape: "Sb"
                  },
                  roleArn: {},
                  status: {},
                  creationDateTime: {
                    type: "timestamp"
                  },
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          idempotent: true
        },
        DescribeBatchSegmentJob: {
          input: {
            type: "structure",
            required: [
              "batchSegmentJobArn"
            ],
            members: {
              batchSegmentJobArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              batchSegmentJob: {
                type: "structure",
                members: {
                  jobName: {},
                  batchSegmentJobArn: {},
                  filterArn: {},
                  failureReason: {},
                  solutionVersionArn: {},
                  numResults: {
                    type: "integer"
                  },
                  jobInput: {
                    shape: "Sl"
                  },
                  jobOutput: {
                    shape: "Sm"
                  },
                  roleArn: {},
                  status: {},
                  creationDateTime: {
                    type: "timestamp"
                  },
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          idempotent: true
        },
        DescribeCampaign: {
          input: {
            type: "structure",
            required: [
              "campaignArn"
            ],
            members: {
              campaignArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              campaign: {
                type: "structure",
                members: {
                  name: {},
                  campaignArn: {},
                  solutionVersionArn: {},
                  minProvisionedTPS: {
                    type: "integer"
                  },
                  campaignConfig: {
                    shape: "Sq"
                  },
                  status: {},
                  failureReason: {},
                  creationDateTime: {
                    type: "timestamp"
                  },
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  },
                  latestCampaignUpdate: {
                    type: "structure",
                    members: {
                      solutionVersionArn: {},
                      minProvisionedTPS: {
                        type: "integer"
                      },
                      campaignConfig: {
                        shape: "Sq"
                      },
                      status: {},
                      failureReason: {},
                      creationDateTime: {
                        type: "timestamp"
                      },
                      lastUpdatedDateTime: {
                        type: "timestamp"
                      }
                    }
                  }
                }
              }
            }
          },
          idempotent: true
        },
        DescribeDataset: {
          input: {
            type: "structure",
            required: [
              "datasetArn"
            ],
            members: {
              datasetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              dataset: {
                type: "structure",
                members: {
                  name: {},
                  datasetArn: {},
                  datasetGroupArn: {},
                  datasetType: {},
                  schemaArn: {},
                  status: {},
                  creationDateTime: {
                    type: "timestamp"
                  },
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          idempotent: true
        },
        DescribeDatasetExportJob: {
          input: {
            type: "structure",
            required: [
              "datasetExportJobArn"
            ],
            members: {
              datasetExportJobArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              datasetExportJob: {
                type: "structure",
                members: {
                  jobName: {},
                  datasetExportJobArn: {},
                  datasetArn: {},
                  ingestionMode: {},
                  roleArn: {},
                  status: {},
                  jobOutput: {
                    shape: "Sx"
                  },
                  creationDateTime: {
                    type: "timestamp"
                  },
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  },
                  failureReason: {}
                }
              }
            }
          },
          idempotent: true
        },
        DescribeDatasetGroup: {
          input: {
            type: "structure",
            required: [
              "datasetGroupArn"
            ],
            members: {
              datasetGroupArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              datasetGroup: {
                type: "structure",
                members: {
                  name: {},
                  datasetGroupArn: {},
                  status: {},
                  roleArn: {},
                  kmsKeyArn: {},
                  creationDateTime: {
                    type: "timestamp"
                  },
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  },
                  failureReason: {},
                  domain: {}
                }
              }
            }
          },
          idempotent: true
        },
        DescribeDatasetImportJob: {
          input: {
            type: "structure",
            required: [
              "datasetImportJobArn"
            ],
            members: {
              datasetImportJobArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              datasetImportJob: {
                type: "structure",
                members: {
                  jobName: {},
                  datasetImportJobArn: {},
                  datasetArn: {},
                  dataSource: {
                    shape: "S13"
                  },
                  roleArn: {},
                  status: {},
                  creationDateTime: {
                    type: "timestamp"
                  },
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  },
                  failureReason: {},
                  importMode: {},
                  publishAttributionMetricsToS3: {
                    type: "boolean"
                  }
                }
              }
            }
          },
          idempotent: true
        },
        DescribeEventTracker: {
          input: {
            type: "structure",
            required: [
              "eventTrackerArn"
            ],
            members: {
              eventTrackerArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              eventTracker: {
                type: "structure",
                members: {
                  name: {},
                  eventTrackerArn: {},
                  accountId: {},
                  trackingId: {},
                  datasetGroupArn: {},
                  status: {},
                  creationDateTime: {
                    type: "timestamp"
                  },
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          idempotent: true
        },
        DescribeFeatureTransformation: {
          input: {
            type: "structure",
            required: [
              "featureTransformationArn"
            ],
            members: {
              featureTransformationArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              featureTransformation: {
                type: "structure",
                members: {
                  name: {},
                  featureTransformationArn: {},
                  defaultParameters: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  creationDateTime: {
                    type: "timestamp"
                  },
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  },
                  status: {}
                }
              }
            }
          },
          idempotent: true
        },
        DescribeFilter: {
          input: {
            type: "structure",
            required: [
              "filterArn"
            ],
            members: {
              filterArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              filter: {
                type: "structure",
                members: {
                  name: {},
                  filterArn: {},
                  creationDateTime: {
                    type: "timestamp"
                  },
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  },
                  datasetGroupArn: {},
                  failureReason: {},
                  filterExpression: {
                    shape: "S1b"
                  },
                  status: {}
                }
              }
            }
          },
          idempotent: true
        },
        DescribeMetricAttribution: {
          input: {
            type: "structure",
            required: [
              "metricAttributionArn"
            ],
            members: {
              metricAttributionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              metricAttribution: {
                type: "structure",
                members: {
                  name: {},
                  metricAttributionArn: {},
                  datasetGroupArn: {},
                  metricsOutputConfig: {
                    shape: "S1j"
                  },
                  status: {},
                  creationDateTime: {
                    type: "timestamp"
                  },
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  },
                  failureReason: {}
                }
              }
            }
          }
        },
        DescribeRecipe: {
          input: {
            type: "structure",
            required: [
              "recipeArn"
            ],
            members: {
              recipeArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              recipe: {
                type: "structure",
                members: {
                  name: {},
                  recipeArn: {},
                  algorithmArn: {},
                  featureTransformationArn: {},
                  status: {},
                  description: {},
                  creationDateTime: {
                    type: "timestamp"
                  },
                  recipeType: {},
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          idempotent: true
        },
        DescribeRecommender: {
          input: {
            type: "structure",
            required: [
              "recommenderArn"
            ],
            members: {
              recommenderArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              recommender: {
                type: "structure",
                members: {
                  recommenderArn: {},
                  datasetGroupArn: {},
                  name: {},
                  recipeArn: {},
                  recommenderConfig: {
                    shape: "S1m"
                  },
                  creationDateTime: {
                    type: "timestamp"
                  },
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  },
                  status: {},
                  failureReason: {},
                  latestRecommenderUpdate: {
                    type: "structure",
                    members: {
                      recommenderConfig: {
                        shape: "S1m"
                      },
                      creationDateTime: {
                        type: "timestamp"
                      },
                      lastUpdatedDateTime: {
                        type: "timestamp"
                      },
                      status: {},
                      failureReason: {}
                    }
                  },
                  modelMetrics: {
                    shape: "S4s"
                  }
                }
              }
            }
          },
          idempotent: true
        },
        DescribeSchema: {
          input: {
            type: "structure",
            required: [
              "schemaArn"
            ],
            members: {
              schemaArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              schema: {
                type: "structure",
                members: {
                  name: {},
                  schemaArn: {},
                  schema: {},
                  creationDateTime: {
                    type: "timestamp"
                  },
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  },
                  domain: {}
                }
              }
            }
          },
          idempotent: true
        },
        DescribeSolution: {
          input: {
            type: "structure",
            required: [
              "solutionArn"
            ],
            members: {
              solutionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              solution: {
                type: "structure",
                members: {
                  name: {},
                  solutionArn: {},
                  performHPO: {
                    type: "boolean"
                  },
                  performAutoML: {
                    type: "boolean"
                  },
                  recipeArn: {},
                  datasetGroupArn: {},
                  eventType: {},
                  solutionConfig: {
                    shape: "S1x"
                  },
                  autoMLResult: {
                    type: "structure",
                    members: {
                      bestRecipeArn: {}
                    }
                  },
                  status: {},
                  creationDateTime: {
                    type: "timestamp"
                  },
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  },
                  latestSolutionVersion: {
                    shape: "S52"
                  }
                }
              }
            }
          },
          idempotent: true
        },
        DescribeSolutionVersion: {
          input: {
            type: "structure",
            required: [
              "solutionVersionArn"
            ],
            members: {
              solutionVersionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              solutionVersion: {
                type: "structure",
                members: {
                  name: {},
                  solutionVersionArn: {},
                  solutionArn: {},
                  performHPO: {
                    type: "boolean"
                  },
                  performAutoML: {
                    type: "boolean"
                  },
                  recipeArn: {},
                  eventType: {},
                  datasetGroupArn: {},
                  solutionConfig: {
                    shape: "S1x"
                  },
                  trainingHours: {
                    type: "double"
                  },
                  trainingMode: {},
                  tunedHPOParams: {
                    type: "structure",
                    members: {
                      algorithmHyperParameters: {
                        shape: "Sc"
                      }
                    }
                  },
                  status: {},
                  failureReason: {},
                  creationDateTime: {
                    type: "timestamp"
                  },
                  lastUpdatedDateTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          idempotent: true
        },
        GetSolutionMetrics: {
          input: {
            type: "structure",
            required: [
              "solutionVersionArn"
            ],
            members: {
              solutionVersionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              solutionVersionArn: {},
              metrics: {
                shape: "S4s"
              }
            }
          }
        },
        ListBatchInferenceJobs: {
          input: {
            type: "structure",
            members: {
              solutionVersionArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              batchInferenceJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    batchInferenceJobArn: {},
                    jobName: {},
                    status: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    failureReason: {},
                    solutionVersionArn: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListBatchSegmentJobs: {
          input: {
            type: "structure",
            members: {
              solutionVersionArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              batchSegmentJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    batchSegmentJobArn: {},
                    jobName: {},
                    status: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    failureReason: {},
                    solutionVersionArn: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListCampaigns: {
          input: {
            type: "structure",
            members: {
              solutionArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              campaigns: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    campaignArn: {},
                    status: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    failureReason: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListDatasetExportJobs: {
          input: {
            type: "structure",
            members: {
              datasetArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasetExportJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    datasetExportJobArn: {},
                    jobName: {},
                    status: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    failureReason: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListDatasetGroups: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasetGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    datasetGroupArn: {},
                    status: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    failureReason: {},
                    domain: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListDatasetImportJobs: {
          input: {
            type: "structure",
            members: {
              datasetArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasetImportJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    datasetImportJobArn: {},
                    jobName: {},
                    status: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    failureReason: {},
                    importMode: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListDatasets: {
          input: {
            type: "structure",
            members: {
              datasetGroupArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasets: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    datasetArn: {},
                    datasetType: {},
                    status: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListEventTrackers: {
          input: {
            type: "structure",
            members: {
              datasetGroupArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              eventTrackers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    eventTrackerArn: {},
                    status: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListFilters: {
          input: {
            type: "structure",
            members: {
              datasetGroupArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    filterArn: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    datasetGroupArn: {},
                    failureReason: {},
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListMetricAttributionMetrics: {
          input: {
            type: "structure",
            members: {
              metricAttributionArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              metrics: {
                shape: "S1e"
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListMetricAttributions: {
          input: {
            type: "structure",
            members: {
              datasetGroupArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              metricAttributions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    metricAttributionArn: {},
                    status: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    failureReason: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListRecipes: {
          input: {
            type: "structure",
            members: {
              recipeProvider: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              domain: {}
            }
          },
          output: {
            type: "structure",
            members: {
              recipes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    recipeArn: {},
                    status: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    domain: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListRecommenders: {
          input: {
            type: "structure",
            members: {
              datasetGroupArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              recommenders: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    recommenderArn: {},
                    datasetGroupArn: {},
                    recipeArn: {},
                    recommenderConfig: {
                      shape: "S1m"
                    },
                    status: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListSchemas: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              schemas: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    schemaArn: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    domain: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListSolutionVersions: {
          input: {
            type: "structure",
            members: {
              solutionArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              solutionVersions: {
                type: "list",
                member: {
                  shape: "S52"
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListSolutions: {
          input: {
            type: "structure",
            members: {
              datasetGroupArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              solutions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    solutionArn: {},
                    status: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    recipeArn: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sf"
              }
            }
          }
        },
        StartRecommender: {
          input: {
            type: "structure",
            required: [
              "recommenderArn"
            ],
            members: {
              recommenderArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              recommenderArn: {}
            }
          },
          idempotent: true
        },
        StopRecommender: {
          input: {
            type: "structure",
            required: [
              "recommenderArn"
            ],
            members: {
              recommenderArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              recommenderArn: {}
            }
          },
          idempotent: true
        },
        StopSolutionVersionCreation: {
          input: {
            type: "structure",
            required: [
              "solutionVersionArn"
            ],
            members: {
              solutionVersionArn: {}
            }
          },
          idempotent: true
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateCampaign: {
          input: {
            type: "structure",
            required: [
              "campaignArn"
            ],
            members: {
              campaignArn: {},
              solutionVersionArn: {},
              minProvisionedTPS: {
                type: "integer"
              },
              campaignConfig: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              campaignArn: {}
            }
          },
          idempotent: true
        },
        UpdateMetricAttribution: {
          input: {
            type: "structure",
            members: {
              addMetrics: {
                shape: "S1e"
              },
              removeMetrics: {
                type: "list",
                member: {}
              },
              metricsOutputConfig: {
                shape: "S1j"
              },
              metricAttributionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              metricAttributionArn: {}
            }
          }
        },
        UpdateRecommender: {
          input: {
            type: "structure",
            required: [
              "recommenderArn",
              "recommenderConfig"
            ],
            members: {
              recommenderArn: {},
              recommenderConfig: {
                shape: "S1m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              recommenderArn: {}
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S5: {
          type: "structure",
          required: [
            "s3DataSource"
          ],
          members: {
            s3DataSource: {
              shape: "S6"
            }
          }
        },
        S6: {
          type: "structure",
          required: [
            "path"
          ],
          members: {
            path: {},
            kmsKeyArn: {}
          }
        },
        S9: {
          type: "structure",
          required: [
            "s3DataDestination"
          ],
          members: {
            s3DataDestination: {
              shape: "S6"
            }
          }
        },
        Sb: {
          type: "structure",
          members: {
            itemExplorationConfig: {
              shape: "Sc"
            }
          }
        },
        Sc: {
          type: "map",
          key: {},
          value: {}
        },
        Sf: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "tagKey",
              "tagValue"
            ],
            members: {
              tagKey: {},
              tagValue: {}
            }
          }
        },
        Sl: {
          type: "structure",
          required: [
            "s3DataSource"
          ],
          members: {
            s3DataSource: {
              shape: "S6"
            }
          }
        },
        Sm: {
          type: "structure",
          required: [
            "s3DataDestination"
          ],
          members: {
            s3DataDestination: {
              shape: "S6"
            }
          }
        },
        Sq: {
          type: "structure",
          members: {
            itemExplorationConfig: {
              shape: "Sc"
            }
          }
        },
        Sx: {
          type: "structure",
          required: [
            "s3DataDestination"
          ],
          members: {
            s3DataDestination: {
              shape: "S6"
            }
          }
        },
        S13: {
          type: "structure",
          members: {
            dataLocation: {}
          }
        },
        S1b: {
          type: "string",
          sensitive: true
        },
        S1e: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "eventType",
              "metricName",
              "expression"
            ],
            members: {
              eventType: {},
              metricName: {},
              expression: {}
            }
          }
        },
        S1j: {
          type: "structure",
          required: [
            "roleArn"
          ],
          members: {
            s3DataDestination: {
              shape: "S6"
            },
            roleArn: {}
          }
        },
        S1m: {
          type: "structure",
          members: {
            itemExplorationConfig: {
              shape: "Sc"
            },
            minRecommendationRequestsPerSecond: {
              type: "integer"
            },
            trainingDataConfig: {
              shape: "S1n"
            }
          }
        },
        S1n: {
          type: "structure",
          members: {
            excludedDatasetColumns: {
              type: "map",
              key: {},
              value: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S1x: {
          type: "structure",
          members: {
            eventValueThreshold: {},
            hpoConfig: {
              type: "structure",
              members: {
                hpoObjective: {
                  type: "structure",
                  members: {
                    type: {},
                    metricName: {},
                    metricRegex: {}
                  }
                },
                hpoResourceConfig: {
                  type: "structure",
                  members: {
                    maxNumberOfTrainingJobs: {},
                    maxParallelTrainingJobs: {}
                  }
                },
                algorithmHyperParameterRanges: {
                  type: "structure",
                  members: {
                    integerHyperParameterRanges: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          name: {},
                          minValue: {
                            type: "integer"
                          },
                          maxValue: {
                            type: "integer"
                          }
                        }
                      }
                    },
                    continuousHyperParameterRanges: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          name: {},
                          minValue: {
                            type: "double"
                          },
                          maxValue: {
                            type: "double"
                          }
                        }
                      }
                    },
                    categoricalHyperParameterRanges: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          name: {},
                          values: {
                            shape: "S2g"
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            algorithmHyperParameters: {
              shape: "Sc"
            },
            featureTransformationParameters: {
              type: "map",
              key: {},
              value: {}
            },
            autoMLConfig: {
              type: "structure",
              members: {
                metricName: {},
                recipeList: {
                  type: "list",
                  member: {}
                }
              }
            },
            optimizationObjective: {
              type: "structure",
              members: {
                itemAttribute: {},
                objectiveSensitivity: {}
              }
            },
            trainingDataConfig: {
              shape: "S1n"
            }
          }
        },
        S2g: {
          type: "list",
          member: {}
        },
        S4s: {
          type: "map",
          key: {},
          value: {
            type: "double"
          }
        },
        S52: {
          type: "structure",
          members: {
            solutionVersionArn: {},
            status: {},
            creationDateTime: {
              type: "timestamp"
            },
            lastUpdatedDateTime: {
              type: "timestamp"
            },
            failureReason: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/personalize-2018-05-22.paginators.json
var require_personalize_2018_05_22_paginators = __commonJS({
  "node_modules/aws-sdk/apis/personalize-2018-05-22.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListBatchInferenceJobs: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "batchInferenceJobs"
        },
        ListBatchSegmentJobs: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "batchSegmentJobs"
        },
        ListCampaigns: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "campaigns"
        },
        ListDatasetExportJobs: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "datasetExportJobs"
        },
        ListDatasetGroups: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "datasetGroups"
        },
        ListDatasetImportJobs: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "datasetImportJobs"
        },
        ListDatasets: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "datasets"
        },
        ListEventTrackers: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "eventTrackers"
        },
        ListFilters: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "Filters"
        },
        ListMetricAttributionMetrics: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "metrics"
        },
        ListMetricAttributions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "metricAttributions"
        },
        ListRecipes: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "recipes"
        },
        ListRecommenders: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "recommenders"
        },
        ListSchemas: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "schemas"
        },
        ListSolutionVersions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "solutionVersions"
        },
        ListSolutions: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "solutions"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/personalize.js
var require_personalize = __commonJS({
  "node_modules/aws-sdk/clients/personalize.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["personalize"] = {};
    AWS2.Personalize = Service.defineService("personalize", ["2018-05-22"]);
    Object.defineProperty(apiLoader.services["personalize"], "2018-05-22", {
      get: function get() {
        var model = require_personalize_2018_05_22_min();
        model.paginators = require_personalize_2018_05_22_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Personalize;
  }
});

// node_modules/aws-sdk/apis/personalize-events-2018-03-22.min.json
var require_personalize_events_2018_03_22_min = __commonJS({
  "node_modules/aws-sdk/apis/personalize-events-2018-03-22.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-03-22",
        endpointPrefix: "personalize-events",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Personalize Events",
        serviceId: "Personalize Events",
        signatureVersion: "v4",
        signingName: "personalize",
        uid: "personalize-events-2018-03-22"
      },
      operations: {
        PutEvents: {
          http: {
            requestUri: "/events"
          },
          input: {
            type: "structure",
            required: [
              "trackingId",
              "sessionId",
              "eventList"
            ],
            members: {
              trackingId: {},
              userId: {
                type: "string",
                sensitive: true
              },
              sessionId: {},
              eventList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "eventType",
                    "sentAt"
                  ],
                  members: {
                    eventId: {},
                    eventType: {},
                    eventValue: {
                      type: "float"
                    },
                    itemId: {
                      shape: "S7"
                    },
                    properties: {
                      jsonvalue: true,
                      type: "string",
                      sensitive: true
                    },
                    sentAt: {
                      type: "timestamp"
                    },
                    recommendationId: {},
                    impression: {
                      type: "list",
                      member: {
                        shape: "S7"
                      }
                    },
                    metricAttribution: {
                      type: "structure",
                      required: [
                        "eventAttributionSource"
                      ],
                      members: {
                        eventAttributionSource: {}
                      }
                    }
                  },
                  sensitive: true
                }
              }
            }
          }
        },
        PutItems: {
          http: {
            requestUri: "/items"
          },
          input: {
            type: "structure",
            required: [
              "datasetArn",
              "items"
            ],
            members: {
              datasetArn: {},
              items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "itemId"
                  ],
                  members: {
                    itemId: {},
                    properties: {
                      jsonvalue: true,
                      type: "string",
                      sensitive: true
                    }
                  }
                }
              }
            }
          }
        },
        PutUsers: {
          http: {
            requestUri: "/users"
          },
          input: {
            type: "structure",
            required: [
              "datasetArn",
              "users"
            ],
            members: {
              datasetArn: {},
              users: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "userId"
                  ],
                  members: {
                    userId: {},
                    properties: {
                      jsonvalue: true,
                      type: "string",
                      sensitive: true
                    }
                  }
                }
              }
            }
          }
        }
      },
      shapes: {
        S7: {
          type: "string",
          sensitive: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/personalize-events-2018-03-22.paginators.json
var require_personalize_events_2018_03_22_paginators = __commonJS({
  "node_modules/aws-sdk/apis/personalize-events-2018-03-22.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/personalizeevents.js
var require_personalizeevents = __commonJS({
  "node_modules/aws-sdk/clients/personalizeevents.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["personalizeevents"] = {};
    AWS2.PersonalizeEvents = Service.defineService("personalizeevents", ["2018-03-22"]);
    Object.defineProperty(apiLoader.services["personalizeevents"], "2018-03-22", {
      get: function get() {
        var model = require_personalize_events_2018_03_22_min();
        model.paginators = require_personalize_events_2018_03_22_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.PersonalizeEvents;
  }
});

// node_modules/aws-sdk/apis/personalize-runtime-2018-05-22.min.json
var require_personalize_runtime_2018_05_22_min = __commonJS({
  "node_modules/aws-sdk/apis/personalize-runtime-2018-05-22.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-05-22",
        endpointPrefix: "personalize-runtime",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Personalize Runtime",
        serviceId: "Personalize Runtime",
        signatureVersion: "v4",
        signingName: "personalize",
        uid: "personalize-runtime-2018-05-22"
      },
      operations: {
        GetPersonalizedRanking: {
          http: {
            requestUri: "/personalize-ranking"
          },
          input: {
            type: "structure",
            required: [
              "campaignArn",
              "inputList",
              "userId"
            ],
            members: {
              campaignArn: {},
              inputList: {
                type: "list",
                member: {}
              },
              userId: {},
              context: {
                shape: "S6"
              },
              filterArn: {},
              filterValues: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              personalizedRanking: {
                shape: "Sd"
              },
              recommendationId: {}
            }
          },
          idempotent: true
        },
        GetRecommendations: {
          http: {
            requestUri: "/recommendations"
          },
          input: {
            type: "structure",
            members: {
              campaignArn: {},
              itemId: {},
              userId: {},
              numResults: {
                type: "integer"
              },
              context: {
                shape: "S6"
              },
              filterArn: {},
              filterValues: {
                shape: "S9"
              },
              recommenderArn: {},
              promotions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    percentPromotedItems: {
                      type: "integer"
                    },
                    filterArn: {},
                    filterValues: {
                      shape: "S9"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              itemList: {
                shape: "Sd"
              },
              recommendationId: {}
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S6: {
          type: "map",
          key: {},
          value: {
            type: "string",
            sensitive: true
          }
        },
        S9: {
          type: "map",
          key: {},
          value: {
            type: "string",
            sensitive: true
          }
        },
        Sd: {
          type: "list",
          member: {
            type: "structure",
            members: {
              itemId: {},
              score: {
                type: "double"
              },
              promotionName: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/personalize-runtime-2018-05-22.paginators.json
var require_personalize_runtime_2018_05_22_paginators = __commonJS({
  "node_modules/aws-sdk/apis/personalize-runtime-2018-05-22.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/personalizeruntime.js
var require_personalizeruntime = __commonJS({
  "node_modules/aws-sdk/clients/personalizeruntime.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["personalizeruntime"] = {};
    AWS2.PersonalizeRuntime = Service.defineService("personalizeruntime", ["2018-05-22"]);
    Object.defineProperty(apiLoader.services["personalizeruntime"], "2018-05-22", {
      get: function get() {
        var model = require_personalize_runtime_2018_05_22_min();
        model.paginators = require_personalize_runtime_2018_05_22_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.PersonalizeRuntime;
  }
});

// node_modules/aws-sdk/apis/application-insights-2018-11-25.min.json
var require_application_insights_2018_11_25_min = __commonJS({
  "node_modules/aws-sdk/apis/application-insights-2018-11-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-11-25",
        endpointPrefix: "applicationinsights",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Application Insights",
        serviceFullName: "Amazon CloudWatch Application Insights",
        serviceId: "Application Insights",
        signatureVersion: "v4",
        signingName: "applicationinsights",
        targetPrefix: "EC2WindowsBarleyService",
        uid: "application-insights-2018-11-25"
      },
      operations: {
        CreateApplication: {
          input: {
            type: "structure",
            members: {
              ResourceGroupName: {},
              OpsCenterEnabled: {
                type: "boolean"
              },
              CWEMonitorEnabled: {
                type: "boolean"
              },
              OpsItemSNSTopicArn: {},
              Tags: {
                shape: "S6"
              },
              AutoConfigEnabled: {
                type: "boolean"
              },
              AutoCreate: {
                type: "boolean"
              },
              GroupingType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationInfo: {
                shape: "Se"
              }
            }
          }
        },
        CreateComponent: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName",
              "ComponentName",
              "ResourceList"
            ],
            members: {
              ResourceGroupName: {},
              ComponentName: {},
              ResourceList: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateLogPattern: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName",
              "PatternSetName",
              "PatternName",
              "Pattern",
              "Rank"
            ],
            members: {
              ResourceGroupName: {},
              PatternSetName: {},
              PatternName: {},
              Pattern: {},
              Rank: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LogPattern: {
                shape: "St"
              },
              ResourceGroupName: {}
            }
          }
        },
        DeleteApplication: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName"
            ],
            members: {
              ResourceGroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteComponent: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName",
              "ComponentName"
            ],
            members: {
              ResourceGroupName: {},
              ComponentName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteLogPattern: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName",
              "PatternSetName",
              "PatternName"
            ],
            members: {
              ResourceGroupName: {},
              PatternSetName: {},
              PatternName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeApplication: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName"
            ],
            members: {
              ResourceGroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationInfo: {
                shape: "Se"
              }
            }
          }
        },
        DescribeComponent: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName",
              "ComponentName"
            ],
            members: {
              ResourceGroupName: {},
              ComponentName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationComponent: {
                shape: "S15"
              },
              ResourceList: {
                shape: "Sk"
              }
            }
          }
        },
        DescribeComponentConfiguration: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName",
              "ComponentName"
            ],
            members: {
              ResourceGroupName: {},
              ComponentName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Monitor: {
                type: "boolean"
              },
              Tier: {},
              ComponentConfiguration: {}
            }
          }
        },
        DescribeComponentConfigurationRecommendation: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName",
              "ComponentName",
              "Tier"
            ],
            members: {
              ResourceGroupName: {},
              ComponentName: {},
              Tier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ComponentConfiguration: {}
            }
          }
        },
        DescribeLogPattern: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName",
              "PatternSetName",
              "PatternName"
            ],
            members: {
              ResourceGroupName: {},
              PatternSetName: {},
              PatternName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceGroupName: {},
              LogPattern: {
                shape: "St"
              }
            }
          }
        },
        DescribeObservation: {
          input: {
            type: "structure",
            required: [
              "ObservationId"
            ],
            members: {
              ObservationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Observation: {
                shape: "S1o"
              }
            }
          }
        },
        DescribeProblem: {
          input: {
            type: "structure",
            required: [
              "ProblemId"
            ],
            members: {
              ProblemId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Problem: {
                shape: "S30"
              }
            }
          }
        },
        DescribeProblemObservations: {
          input: {
            type: "structure",
            required: [
              "ProblemId"
            ],
            members: {
              ProblemId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RelatedObservations: {
                type: "structure",
                members: {
                  ObservationList: {
                    type: "list",
                    member: {
                      shape: "S1o"
                    }
                  }
                }
              }
            }
          }
        },
        ListApplications: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationInfoList: {
                type: "list",
                member: {
                  shape: "Se"
                }
              },
              NextToken: {}
            }
          }
        },
        ListComponents: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName"
            ],
            members: {
              ResourceGroupName: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationComponentList: {
                type: "list",
                member: {
                  shape: "S15"
                }
              },
              NextToken: {}
            }
          }
        },
        ListConfigurationHistory: {
          input: {
            type: "structure",
            members: {
              ResourceGroupName: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              EventStatus: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EventList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MonitoredResourceARN: {},
                    EventStatus: {},
                    EventResourceType: {},
                    EventTime: {
                      type: "timestamp"
                    },
                    EventDetail: {},
                    EventResourceName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLogPatternSets: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName"
            ],
            members: {
              ResourceGroupName: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceGroupName: {},
              LogPatternSets: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListLogPatterns: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName"
            ],
            members: {
              ResourceGroupName: {},
              PatternSetName: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceGroupName: {},
              LogPatterns: {
                type: "list",
                member: {
                  shape: "St"
                }
              },
              NextToken: {}
            }
          }
        },
        ListProblems: {
          input: {
            type: "structure",
            members: {
              ResourceGroupName: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              ComponentName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProblemList: {
                type: "list",
                member: {
                  shape: "S30"
                }
              },
              NextToken: {},
              ResourceGroupName: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S6"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateApplication: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName"
            ],
            members: {
              ResourceGroupName: {},
              OpsCenterEnabled: {
                type: "boolean"
              },
              CWEMonitorEnabled: {
                type: "boolean"
              },
              OpsItemSNSTopicArn: {},
              RemoveSNSTopic: {
                type: "boolean"
              },
              AutoConfigEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationInfo: {
                shape: "Se"
              }
            }
          }
        },
        UpdateComponent: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName",
              "ComponentName"
            ],
            members: {
              ResourceGroupName: {},
              ComponentName: {},
              NewComponentName: {},
              ResourceList: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateComponentConfiguration: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName",
              "ComponentName"
            ],
            members: {
              ResourceGroupName: {},
              ComponentName: {},
              Monitor: {
                type: "boolean"
              },
              Tier: {},
              ComponentConfiguration: {},
              AutoConfigEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateLogPattern: {
          input: {
            type: "structure",
            required: [
              "ResourceGroupName",
              "PatternSetName",
              "PatternName"
            ],
            members: {
              ResourceGroupName: {},
              PatternSetName: {},
              PatternName: {},
              Pattern: {},
              Rank: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceGroupName: {},
              LogPattern: {
                shape: "St"
              }
            }
          }
        }
      },
      shapes: {
        S6: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Se: {
          type: "structure",
          members: {
            ResourceGroupName: {},
            LifeCycle: {},
            OpsItemSNSTopicArn: {},
            OpsCenterEnabled: {
              type: "boolean"
            },
            CWEMonitorEnabled: {
              type: "boolean"
            },
            Remarks: {},
            AutoConfigEnabled: {
              type: "boolean"
            },
            DiscoveryType: {}
          }
        },
        Sk: {
          type: "list",
          member: {}
        },
        St: {
          type: "structure",
          members: {
            PatternSetName: {},
            PatternName: {},
            Pattern: {},
            Rank: {
              type: "integer"
            }
          }
        },
        S15: {
          type: "structure",
          members: {
            ComponentName: {},
            ComponentRemarks: {},
            ResourceType: {},
            OsType: {},
            Tier: {},
            Monitor: {
              type: "boolean"
            },
            DetectedWorkload: {
              type: "map",
              key: {},
              value: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        S1o: {
          type: "structure",
          members: {
            Id: {},
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            SourceType: {},
            SourceARN: {},
            LogGroup: {},
            LineTime: {
              type: "timestamp"
            },
            LogText: {},
            LogFilter: {},
            MetricNamespace: {},
            MetricName: {},
            Unit: {},
            Value: {
              type: "double"
            },
            CloudWatchEventId: {},
            CloudWatchEventSource: {},
            CloudWatchEventDetailType: {},
            HealthEventArn: {},
            HealthService: {},
            HealthEventTypeCode: {},
            HealthEventTypeCategory: {},
            HealthEventDescription: {},
            CodeDeployDeploymentId: {},
            CodeDeployDeploymentGroup: {},
            CodeDeployState: {},
            CodeDeployApplication: {},
            CodeDeployInstanceGroupId: {},
            Ec2State: {},
            RdsEventCategories: {},
            RdsEventMessage: {},
            S3EventName: {},
            StatesExecutionArn: {},
            StatesArn: {},
            StatesStatus: {},
            StatesInput: {},
            EbsEvent: {},
            EbsResult: {},
            EbsCause: {},
            EbsRequestId: {},
            XRayFaultPercent: {
              type: "integer"
            },
            XRayThrottlePercent: {
              type: "integer"
            },
            XRayErrorPercent: {
              type: "integer"
            },
            XRayRequestCount: {
              type: "integer"
            },
            XRayRequestAverageLatency: {
              type: "long"
            },
            XRayNodeName: {},
            XRayNodeType: {}
          }
        },
        S30: {
          type: "structure",
          members: {
            Id: {},
            Title: {},
            Insights: {},
            Status: {},
            AffectedResource: {},
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            SeverityLevel: {},
            ResourceGroupName: {},
            Feedback: {
              type: "map",
              key: {},
              value: {}
            },
            RecurringCount: {
              type: "long"
            },
            LastRecurrenceTime: {
              type: "timestamp"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/application-insights-2018-11-25.paginators.json
var require_application_insights_2018_11_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/application-insights-2018-11-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListApplications: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListComponents: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListConfigurationHistory: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListLogPatternSets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListLogPatterns: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListProblems: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/applicationinsights.js
var require_applicationinsights = __commonJS({
  "node_modules/aws-sdk/clients/applicationinsights.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["applicationinsights"] = {};
    AWS2.ApplicationInsights = Service.defineService("applicationinsights", ["2018-11-25"]);
    Object.defineProperty(apiLoader.services["applicationinsights"], "2018-11-25", {
      get: function get() {
        var model = require_application_insights_2018_11_25_min();
        model.paginators = require_application_insights_2018_11_25_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ApplicationInsights;
  }
});

// node_modules/aws-sdk/apis/service-quotas-2019-06-24.min.json
var require_service_quotas_2019_06_24_min = __commonJS({
  "node_modules/aws-sdk/apis/service-quotas-2019-06-24.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-06-24",
        endpointPrefix: "servicequotas",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Service Quotas",
        serviceId: "Service Quotas",
        signatureVersion: "v4",
        targetPrefix: "ServiceQuotasV20190624",
        uid: "service-quotas-2019-06-24"
      },
      operations: {
        AssociateServiceQuotaTemplate: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteServiceQuotaIncreaseRequestFromTemplate: {
          input: {
            type: "structure",
            required: [
              "ServiceCode",
              "QuotaCode",
              "AwsRegion"
            ],
            members: {
              ServiceCode: {},
              QuotaCode: {},
              AwsRegion: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateServiceQuotaTemplate: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetAWSDefaultServiceQuota: {
          input: {
            type: "structure",
            required: [
              "ServiceCode",
              "QuotaCode"
            ],
            members: {
              ServiceCode: {},
              QuotaCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Quota: {
                shape: "Sc"
              }
            }
          }
        },
        GetAssociationForServiceQuotaTemplate: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              ServiceQuotaTemplateAssociationStatus: {}
            }
          }
        },
        GetRequestedServiceQuotaChange: {
          input: {
            type: "structure",
            required: [
              "RequestId"
            ],
            members: {
              RequestId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RequestedQuota: {
                shape: "S13"
              }
            }
          }
        },
        GetServiceQuota: {
          input: {
            type: "structure",
            required: [
              "ServiceCode",
              "QuotaCode"
            ],
            members: {
              ServiceCode: {},
              QuotaCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Quota: {
                shape: "Sc"
              }
            }
          }
        },
        GetServiceQuotaIncreaseRequestFromTemplate: {
          input: {
            type: "structure",
            required: [
              "ServiceCode",
              "QuotaCode",
              "AwsRegion"
            ],
            members: {
              ServiceCode: {},
              QuotaCode: {},
              AwsRegion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceQuotaIncreaseRequestInTemplate: {
                shape: "S1c"
              }
            }
          }
        },
        ListAWSDefaultServiceQuotas: {
          input: {
            type: "structure",
            required: [
              "ServiceCode"
            ],
            members: {
              ServiceCode: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Quotas: {
                shape: "S1h"
              }
            }
          }
        },
        ListRequestedServiceQuotaChangeHistory: {
          input: {
            type: "structure",
            members: {
              ServiceCode: {},
              Status: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              RequestedQuotas: {
                shape: "S1k"
              }
            }
          }
        },
        ListRequestedServiceQuotaChangeHistoryByQuota: {
          input: {
            type: "structure",
            required: [
              "ServiceCode",
              "QuotaCode"
            ],
            members: {
              ServiceCode: {},
              QuotaCode: {},
              Status: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              RequestedQuotas: {
                shape: "S1k"
              }
            }
          }
        },
        ListServiceQuotaIncreaseRequestsInTemplate: {
          input: {
            type: "structure",
            members: {
              ServiceCode: {},
              AwsRegion: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceQuotaIncreaseRequestInTemplateList: {
                type: "list",
                member: {
                  shape: "S1c"
                }
              },
              NextToken: {}
            }
          }
        },
        ListServiceQuotas: {
          input: {
            type: "structure",
            required: [
              "ServiceCode"
            ],
            members: {
              ServiceCode: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Quotas: {
                shape: "S1h"
              }
            }
          }
        },
        ListServices: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Services: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ServiceCode: {},
                    ServiceName: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                type: "list",
                member: {
                  shape: "S20"
                }
              }
            }
          }
        },
        PutServiceQuotaIncreaseRequestIntoTemplate: {
          input: {
            type: "structure",
            required: [
              "QuotaCode",
              "ServiceCode",
              "AwsRegion",
              "DesiredValue"
            ],
            members: {
              QuotaCode: {},
              ServiceCode: {},
              AwsRegion: {},
              DesiredValue: {
                type: "double"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceQuotaIncreaseRequestInTemplate: {
                shape: "S1c"
              }
            }
          }
        },
        RequestServiceQuotaIncrease: {
          input: {
            type: "structure",
            required: [
              "ServiceCode",
              "QuotaCode",
              "DesiredValue"
            ],
            members: {
              ServiceCode: {},
              QuotaCode: {},
              DesiredValue: {
                type: "double"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RequestedQuota: {
                shape: "S13"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                type: "list",
                member: {
                  shape: "S20"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        Sc: {
          type: "structure",
          members: {
            ServiceCode: {},
            ServiceName: {},
            QuotaArn: {},
            QuotaCode: {},
            QuotaName: {},
            Value: {
              type: "double"
            },
            Unit: {},
            Adjustable: {
              type: "boolean"
            },
            GlobalQuota: {
              type: "boolean"
            },
            UsageMetric: {
              type: "structure",
              members: {
                MetricNamespace: {},
                MetricName: {},
                MetricDimensions: {
                  type: "map",
                  key: {},
                  value: {}
                },
                MetricStatisticRecommendation: {}
              }
            },
            Period: {
              type: "structure",
              members: {
                PeriodValue: {
                  type: "integer"
                },
                PeriodUnit: {}
              }
            },
            ErrorReason: {
              type: "structure",
              members: {
                ErrorCode: {},
                ErrorMessage: {}
              }
            }
          }
        },
        S13: {
          type: "structure",
          members: {
            Id: {},
            CaseId: {},
            ServiceCode: {},
            ServiceName: {},
            QuotaCode: {},
            QuotaName: {},
            DesiredValue: {
              type: "double"
            },
            Status: {},
            Created: {
              type: "timestamp"
            },
            LastUpdated: {
              type: "timestamp"
            },
            Requester: {},
            QuotaArn: {},
            GlobalQuota: {
              type: "boolean"
            },
            Unit: {}
          }
        },
        S1c: {
          type: "structure",
          members: {
            ServiceCode: {},
            ServiceName: {},
            QuotaCode: {},
            QuotaName: {},
            DesiredValue: {
              type: "double"
            },
            AwsRegion: {},
            Unit: {},
            GlobalQuota: {
              type: "boolean"
            }
          }
        },
        S1h: {
          type: "list",
          member: {
            shape: "Sc"
          }
        },
        S1k: {
          type: "list",
          member: {
            shape: "S13"
          }
        },
        S20: {
          type: "structure",
          required: [
            "Key",
            "Value"
          ],
          members: {
            Key: {},
            Value: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/service-quotas-2019-06-24.paginators.json
var require_service_quotas_2019_06_24_paginators = __commonJS({
  "node_modules/aws-sdk/apis/service-quotas-2019-06-24.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAWSDefaultServiceQuotas: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Quotas"
        },
        ListRequestedServiceQuotaChangeHistory: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "RequestedQuotas"
        },
        ListRequestedServiceQuotaChangeHistoryByQuota: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "RequestedQuotas"
        },
        ListServiceQuotaIncreaseRequestsInTemplate: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ServiceQuotaIncreaseRequestInTemplateList"
        },
        ListServiceQuotas: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Quotas"
        },
        ListServices: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Services"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/servicequotas.js
var require_servicequotas = __commonJS({
  "node_modules/aws-sdk/clients/servicequotas.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["servicequotas"] = {};
    AWS2.ServiceQuotas = Service.defineService("servicequotas", ["2019-06-24"]);
    Object.defineProperty(apiLoader.services["servicequotas"], "2019-06-24", {
      get: function get() {
        var model = require_service_quotas_2019_06_24_min();
        model.paginators = require_service_quotas_2019_06_24_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ServiceQuotas;
  }
});

// node_modules/aws-sdk/apis/ec2-instance-connect-2018-04-02.min.json
var require_ec2_instance_connect_2018_04_02_min = __commonJS({
  "node_modules/aws-sdk/apis/ec2-instance-connect-2018-04-02.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-04-02",
        endpointPrefix: "ec2-instance-connect",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "EC2 Instance Connect",
        serviceFullName: "AWS EC2 Instance Connect",
        serviceId: "EC2 Instance Connect",
        signatureVersion: "v4",
        targetPrefix: "AWSEC2InstanceConnectService",
        uid: "ec2-instance-connect-2018-04-02"
      },
      operations: {
        SendSSHPublicKey: {
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "InstanceOSUser",
              "SSHPublicKey"
            ],
            members: {
              InstanceId: {},
              InstanceOSUser: {},
              SSHPublicKey: {},
              AvailabilityZone: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Success: {
                type: "boolean"
              }
            }
          }
        },
        SendSerialConsoleSSHPublicKey: {
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "SSHPublicKey"
            ],
            members: {
              InstanceId: {},
              SerialPort: {
                type: "integer"
              },
              SSHPublicKey: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RequestId: {},
              Success: {
                type: "boolean"
              }
            }
          }
        }
      },
      shapes: {}
    };
  }
});

// node_modules/aws-sdk/apis/ec2-instance-connect-2018-04-02.paginators.json
var require_ec2_instance_connect_2018_04_02_paginators = __commonJS({
  "node_modules/aws-sdk/apis/ec2-instance-connect-2018-04-02.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/ec2instanceconnect.js
var require_ec2instanceconnect = __commonJS({
  "node_modules/aws-sdk/clients/ec2instanceconnect.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ec2instanceconnect"] = {};
    AWS2.EC2InstanceConnect = Service.defineService("ec2instanceconnect", ["2018-04-02"]);
    Object.defineProperty(apiLoader.services["ec2instanceconnect"], "2018-04-02", {
      get: function get() {
        var model = require_ec2_instance_connect_2018_04_02_min();
        model.paginators = require_ec2_instance_connect_2018_04_02_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.EC2InstanceConnect;
  }
});

// node_modules/aws-sdk/lib/services/eventbridge.js
var require_eventbridge = __commonJS({
  "node_modules/aws-sdk/lib/services/eventbridge.js"() {
    var AWS2 = require_core();
    AWS2.util.update(AWS2.EventBridge.prototype, {
      /**
       * @api private
       */
      setupRequestListeners: function setupRequestListeners(request) {
        if (request.operation === "putEvents") {
          var params = request.params || {};
          if (params.EndpointId !== void 0) {
            throw new AWS2.util.error(new Error(), {
              code: "InvalidParameter",
              message: "EndpointId is not supported in current SDK.\nYou should consider switching to V3(https://github.com/aws/aws-sdk-js-v3)."
            });
          }
        }
      }
    });
  }
});

// node_modules/aws-sdk/apis/eventbridge-2015-10-07.min.json
var require_eventbridge_2015_10_07_min = __commonJS({
  "node_modules/aws-sdk/apis/eventbridge-2015-10-07.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-10-07",
        endpointPrefix: "events",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon EventBridge",
        serviceId: "EventBridge",
        signatureVersion: "v4",
        targetPrefix: "AWSEvents",
        uid: "eventbridge-2015-10-07"
      },
      operations: {
        ActivateEventSource: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        CancelReplay: {
          input: {
            type: "structure",
            required: [
              "ReplayName"
            ],
            members: {
              ReplayName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplayArn: {},
              State: {},
              StateReason: {}
            }
          }
        },
        CreateApiDestination: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ConnectionArn",
              "InvocationEndpoint",
              "HttpMethod"
            ],
            members: {
              Name: {},
              Description: {},
              ConnectionArn: {},
              InvocationEndpoint: {},
              HttpMethod: {},
              InvocationRateLimitPerSecond: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApiDestinationArn: {},
              ApiDestinationState: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              }
            }
          }
        },
        CreateArchive: {
          input: {
            type: "structure",
            required: [
              "ArchiveName",
              "EventSourceArn"
            ],
            members: {
              ArchiveName: {},
              EventSourceArn: {},
              Description: {},
              EventPattern: {},
              RetentionDays: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ArchiveArn: {},
              State: {},
              StateReason: {},
              CreationTime: {
                type: "timestamp"
              }
            }
          }
        },
        CreateConnection: {
          input: {
            type: "structure",
            required: [
              "Name",
              "AuthorizationType",
              "AuthParameters"
            ],
            members: {
              Name: {},
              Description: {},
              AuthorizationType: {},
              AuthParameters: {
                type: "structure",
                members: {
                  BasicAuthParameters: {
                    type: "structure",
                    required: [
                      "Username",
                      "Password"
                    ],
                    members: {
                      Username: {},
                      Password: {}
                    }
                  },
                  OAuthParameters: {
                    type: "structure",
                    required: [
                      "ClientParameters",
                      "AuthorizationEndpoint",
                      "HttpMethod"
                    ],
                    members: {
                      ClientParameters: {
                        type: "structure",
                        required: [
                          "ClientID",
                          "ClientSecret"
                        ],
                        members: {
                          ClientID: {},
                          ClientSecret: {}
                        }
                      },
                      AuthorizationEndpoint: {},
                      HttpMethod: {},
                      OAuthHttpParameters: {
                        shape: "S14"
                      }
                    }
                  },
                  ApiKeyAuthParameters: {
                    type: "structure",
                    required: [
                      "ApiKeyName",
                      "ApiKeyValue"
                    ],
                    members: {
                      ApiKeyName: {},
                      ApiKeyValue: {}
                    }
                  },
                  InvocationHttpParameters: {
                    shape: "S14"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionArn: {},
              ConnectionState: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              }
            }
          }
        },
        CreateEndpoint: {
          input: {
            type: "structure",
            required: [
              "Name",
              "RoutingConfig",
              "EventBuses"
            ],
            members: {
              Name: {},
              Description: {},
              RoutingConfig: {
                shape: "S1n"
              },
              ReplicationConfig: {
                shape: "S1t"
              },
              EventBuses: {
                shape: "S1v"
              },
              RoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Arn: {},
              RoutingConfig: {
                shape: "S1n"
              },
              ReplicationConfig: {
                shape: "S1t"
              },
              EventBuses: {
                shape: "S1v"
              },
              RoleArn: {},
              State: {}
            }
          }
        },
        CreateEventBus: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              EventSourceName: {},
              Tags: {
                shape: "S24"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventBusArn: {}
            }
          }
        },
        CreatePartnerEventSource: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Account"
            ],
            members: {
              Name: {},
              Account: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EventSourceArn: {}
            }
          }
        },
        DeactivateEventSource: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        DeauthorizeConnection: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionArn: {},
              ConnectionState: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastAuthorizedTime: {
                type: "timestamp"
              }
            }
          }
        },
        DeleteApiDestination: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteArchive: {
          input: {
            type: "structure",
            required: [
              "ArchiveName"
            ],
            members: {
              ArchiveName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteConnection: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionArn: {},
              ConnectionState: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastAuthorizedTime: {
                type: "timestamp"
              }
            }
          }
        },
        DeleteEndpoint: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEventBus: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        DeletePartnerEventSource: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Account"
            ],
            members: {
              Name: {},
              Account: {}
            }
          }
        },
        DeleteRule: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              EventBusName: {},
              Force: {
                type: "boolean"
              }
            }
          }
        },
        DescribeApiDestination: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApiDestinationArn: {},
              Name: {},
              Description: {},
              ApiDestinationState: {},
              ConnectionArn: {},
              InvocationEndpoint: {},
              HttpMethod: {},
              InvocationRateLimitPerSecond: {
                type: "integer"
              },
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeArchive: {
          input: {
            type: "structure",
            required: [
              "ArchiveName"
            ],
            members: {
              ArchiveName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ArchiveArn: {},
              ArchiveName: {},
              EventSourceArn: {},
              Description: {},
              EventPattern: {},
              State: {},
              StateReason: {},
              RetentionDays: {
                type: "integer"
              },
              SizeBytes: {
                type: "long"
              },
              EventCount: {
                type: "long"
              },
              CreationTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeConnection: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionArn: {},
              Name: {},
              Description: {},
              ConnectionState: {},
              StateReason: {},
              AuthorizationType: {},
              SecretArn: {},
              AuthParameters: {
                type: "structure",
                members: {
                  BasicAuthParameters: {
                    type: "structure",
                    members: {
                      Username: {}
                    }
                  },
                  OAuthParameters: {
                    type: "structure",
                    members: {
                      ClientParameters: {
                        type: "structure",
                        members: {
                          ClientID: {}
                        }
                      },
                      AuthorizationEndpoint: {},
                      HttpMethod: {},
                      OAuthHttpParameters: {
                        shape: "S14"
                      }
                    }
                  },
                  ApiKeyAuthParameters: {
                    type: "structure",
                    members: {
                      ApiKeyName: {}
                    }
                  },
                  InvocationHttpParameters: {
                    shape: "S14"
                  }
                }
              },
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastAuthorizedTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeEndpoint: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              HomeRegion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Description: {},
              Arn: {},
              RoutingConfig: {
                shape: "S1n"
              },
              ReplicationConfig: {
                shape: "S1t"
              },
              EventBuses: {
                shape: "S1v"
              },
              RoleArn: {},
              EndpointId: {},
              EndpointUrl: {},
              State: {},
              StateReason: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeEventBus: {
          input: {
            type: "structure",
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Arn: {},
              Policy: {}
            }
          }
        },
        DescribeEventSource: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreatedBy: {},
              CreationTime: {
                type: "timestamp"
              },
              ExpirationTime: {
                type: "timestamp"
              },
              Name: {},
              State: {}
            }
          }
        },
        DescribePartnerEventSource: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Name: {}
            }
          }
        },
        DescribeReplay: {
          input: {
            type: "structure",
            required: [
              "ReplayName"
            ],
            members: {
              ReplayName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ReplayName: {},
              ReplayArn: {},
              Description: {},
              State: {},
              StateReason: {},
              EventSourceArn: {},
              Destination: {
                shape: "S3m"
              },
              EventStartTime: {
                type: "timestamp"
              },
              EventEndTime: {
                type: "timestamp"
              },
              EventLastReplayedTime: {
                type: "timestamp"
              },
              ReplayStartTime: {
                type: "timestamp"
              },
              ReplayEndTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeRule: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              EventBusName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Arn: {},
              EventPattern: {},
              ScheduleExpression: {},
              State: {},
              Description: {},
              RoleArn: {},
              ManagedBy: {},
              EventBusName: {},
              CreatedBy: {}
            }
          }
        },
        DisableRule: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              EventBusName: {}
            }
          }
        },
        EnableRule: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              EventBusName: {}
            }
          }
        },
        ListApiDestinations: {
          input: {
            type: "structure",
            members: {
              NamePrefix: {},
              ConnectionArn: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApiDestinations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApiDestinationArn: {},
                    Name: {},
                    ApiDestinationState: {},
                    ConnectionArn: {},
                    InvocationEndpoint: {},
                    HttpMethod: {},
                    InvocationRateLimitPerSecond: {
                      type: "integer"
                    },
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListArchives: {
          input: {
            type: "structure",
            members: {
              NamePrefix: {},
              EventSourceArn: {},
              State: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Archives: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ArchiveName: {},
                    EventSourceArn: {},
                    State: {},
                    StateReason: {},
                    RetentionDays: {
                      type: "integer"
                    },
                    SizeBytes: {
                      type: "long"
                    },
                    EventCount: {
                      type: "long"
                    },
                    CreationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListConnections: {
          input: {
            type: "structure",
            members: {
              NamePrefix: {},
              ConnectionState: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Connections: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ConnectionArn: {},
                    Name: {},
                    ConnectionState: {},
                    StateReason: {},
                    AuthorizationType: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    LastAuthorizedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEndpoints: {
          input: {
            type: "structure",
            members: {
              NamePrefix: {},
              HomeRegion: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Endpoints: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Description: {},
                    Arn: {},
                    RoutingConfig: {
                      shape: "S1n"
                    },
                    ReplicationConfig: {
                      shape: "S1t"
                    },
                    EventBuses: {
                      shape: "S1v"
                    },
                    RoleArn: {},
                    EndpointId: {},
                    EndpointUrl: {},
                    State: {},
                    StateReason: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModifiedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEventBuses: {
          input: {
            type: "structure",
            members: {
              NamePrefix: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventBuses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Arn: {},
                    Policy: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEventSources: {
          input: {
            type: "structure",
            members: {
              NamePrefix: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventSources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    CreatedBy: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    ExpirationTime: {
                      type: "timestamp"
                    },
                    Name: {},
                    State: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPartnerEventSourceAccounts: {
          input: {
            type: "structure",
            required: [
              "EventSourceName"
            ],
            members: {
              EventSourceName: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PartnerEventSourceAccounts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Account: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    ExpirationTime: {
                      type: "timestamp"
                    },
                    State: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPartnerEventSources: {
          input: {
            type: "structure",
            required: [
              "NamePrefix"
            ],
            members: {
              NamePrefix: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PartnerEventSources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Name: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListReplays: {
          input: {
            type: "structure",
            members: {
              NamePrefix: {},
              State: {},
              EventSourceArn: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Replays: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ReplayName: {},
                    EventSourceArn: {},
                    State: {},
                    StateReason: {},
                    EventStartTime: {
                      type: "timestamp"
                    },
                    EventEndTime: {
                      type: "timestamp"
                    },
                    EventLastReplayedTime: {
                      type: "timestamp"
                    },
                    ReplayStartTime: {
                      type: "timestamp"
                    },
                    ReplayEndTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListRuleNamesByTarget: {
          input: {
            type: "structure",
            required: [
              "TargetArn"
            ],
            members: {
              TargetArn: {},
              EventBusName: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RuleNames: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListRules: {
          input: {
            type: "structure",
            members: {
              NamePrefix: {},
              EventBusName: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Rules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Arn: {},
                    EventPattern: {},
                    State: {},
                    Description: {},
                    ScheduleExpression: {},
                    RoleArn: {},
                    ManagedBy: {},
                    EventBusName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S24"
              }
            }
          }
        },
        ListTargetsByRule: {
          input: {
            type: "structure",
            required: [
              "Rule"
            ],
            members: {
              Rule: {},
              EventBusName: {},
              NextToken: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Targets: {
                shape: "S5f"
              },
              NextToken: {}
            }
          }
        },
        PutEvents: {
          input: {
            type: "structure",
            required: [
              "Entries"
            ],
            members: {
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Time: {
                      type: "timestamp"
                    },
                    Source: {},
                    Resources: {
                      shape: "S7e"
                    },
                    DetailType: {},
                    Detail: {},
                    EventBusName: {},
                    TraceHeader: {}
                  }
                }
              },
              EndpointId: {
                contextParam: {
                  name: "EndpointId"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedEntryCount: {
                type: "integer"
              },
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EventId: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        PutPartnerEvents: {
          input: {
            type: "structure",
            required: [
              "Entries"
            ],
            members: {
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Time: {
                      type: "timestamp"
                    },
                    Source: {},
                    Resources: {
                      shape: "S7e"
                    },
                    DetailType: {},
                    Detail: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedEntryCount: {
                type: "integer"
              },
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EventId: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        PutPermission: {
          input: {
            type: "structure",
            members: {
              EventBusName: {},
              Action: {},
              Principal: {},
              StatementId: {},
              Condition: {
                type: "structure",
                required: [
                  "Type",
                  "Key",
                  "Value"
                ],
                members: {
                  Type: {},
                  Key: {},
                  Value: {}
                }
              },
              Policy: {}
            }
          }
        },
        PutRule: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              ScheduleExpression: {},
              EventPattern: {},
              State: {},
              Description: {},
              RoleArn: {},
              Tags: {
                shape: "S24"
              },
              EventBusName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RuleArn: {}
            }
          }
        },
        PutTargets: {
          input: {
            type: "structure",
            required: [
              "Rule",
              "Targets"
            ],
            members: {
              Rule: {},
              EventBusName: {},
              Targets: {
                shape: "S5f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedEntryCount: {
                type: "integer"
              },
              FailedEntries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TargetId: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        RemovePermission: {
          input: {
            type: "structure",
            members: {
              StatementId: {},
              RemoveAllPermissions: {
                type: "boolean"
              },
              EventBusName: {}
            }
          }
        },
        RemoveTargets: {
          input: {
            type: "structure",
            required: [
              "Rule",
              "Ids"
            ],
            members: {
              Rule: {},
              EventBusName: {},
              Ids: {
                type: "list",
                member: {}
              },
              Force: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedEntryCount: {
                type: "integer"
              },
              FailedEntries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TargetId: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        StartReplay: {
          input: {
            type: "structure",
            required: [
              "ReplayName",
              "EventSourceArn",
              "EventStartTime",
              "EventEndTime",
              "Destination"
            ],
            members: {
              ReplayName: {},
              Description: {},
              EventSourceArn: {},
              EventStartTime: {
                type: "timestamp"
              },
              EventEndTime: {
                type: "timestamp"
              },
              Destination: {
                shape: "S3m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReplayArn: {},
              State: {},
              StateReason: {},
              ReplayStartTime: {
                type: "timestamp"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S24"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TestEventPattern: {
          input: {
            type: "structure",
            required: [
              "EventPattern",
              "Event"
            ],
            members: {
              EventPattern: {},
              Event: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Result: {
                type: "boolean"
              }
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateApiDestination: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              ConnectionArn: {},
              InvocationEndpoint: {},
              HttpMethod: {},
              InvocationRateLimitPerSecond: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApiDestinationArn: {},
              ApiDestinationState: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              }
            }
          }
        },
        UpdateArchive: {
          input: {
            type: "structure",
            required: [
              "ArchiveName"
            ],
            members: {
              ArchiveName: {},
              Description: {},
              EventPattern: {},
              RetentionDays: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ArchiveArn: {},
              State: {},
              StateReason: {},
              CreationTime: {
                type: "timestamp"
              }
            }
          }
        },
        UpdateConnection: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              AuthorizationType: {},
              AuthParameters: {
                type: "structure",
                members: {
                  BasicAuthParameters: {
                    type: "structure",
                    members: {
                      Username: {},
                      Password: {}
                    }
                  },
                  OAuthParameters: {
                    type: "structure",
                    members: {
                      ClientParameters: {
                        type: "structure",
                        members: {
                          ClientID: {},
                          ClientSecret: {}
                        }
                      },
                      AuthorizationEndpoint: {},
                      HttpMethod: {},
                      OAuthHttpParameters: {
                        shape: "S14"
                      }
                    }
                  },
                  ApiKeyAuthParameters: {
                    type: "structure",
                    members: {
                      ApiKeyName: {},
                      ApiKeyValue: {}
                    }
                  },
                  InvocationHttpParameters: {
                    shape: "S14"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionArn: {},
              ConnectionState: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              LastAuthorizedTime: {
                type: "timestamp"
              }
            }
          }
        },
        UpdateEndpoint: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              RoutingConfig: {
                shape: "S1n"
              },
              ReplicationConfig: {
                shape: "S1t"
              },
              EventBuses: {
                shape: "S1v"
              },
              RoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Arn: {},
              RoutingConfig: {
                shape: "S1n"
              },
              ReplicationConfig: {
                shape: "S1t"
              },
              EventBuses: {
                shape: "S1v"
              },
              RoleArn: {},
              EndpointId: {},
              EndpointUrl: {},
              State: {}
            }
          }
        }
      },
      shapes: {
        S14: {
          type: "structure",
          members: {
            HeaderParameters: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Key: {},
                  Value: {},
                  IsValueSecret: {
                    type: "boolean"
                  }
                }
              }
            },
            QueryStringParameters: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Key: {},
                  Value: {},
                  IsValueSecret: {
                    type: "boolean"
                  }
                }
              }
            },
            BodyParameters: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Key: {},
                  Value: {},
                  IsValueSecret: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        S1n: {
          type: "structure",
          required: [
            "FailoverConfig"
          ],
          members: {
            FailoverConfig: {
              type: "structure",
              required: [
                "Primary",
                "Secondary"
              ],
              members: {
                Primary: {
                  type: "structure",
                  required: [
                    "HealthCheck"
                  ],
                  members: {
                    HealthCheck: {}
                  }
                },
                Secondary: {
                  type: "structure",
                  required: [
                    "Route"
                  ],
                  members: {
                    Route: {}
                  }
                }
              }
            }
          }
        },
        S1t: {
          type: "structure",
          members: {
            State: {}
          }
        },
        S1v: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "EventBusArn"
            ],
            members: {
              EventBusArn: {}
            }
          }
        },
        S24: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S3m: {
          type: "structure",
          required: [
            "Arn"
          ],
          members: {
            Arn: {},
            FilterArns: {
              type: "list",
              member: {}
            }
          }
        },
        S5f: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Id",
              "Arn"
            ],
            members: {
              Id: {},
              Arn: {},
              RoleArn: {},
              Input: {},
              InputPath: {},
              InputTransformer: {
                type: "structure",
                required: [
                  "InputTemplate"
                ],
                members: {
                  InputPathsMap: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  InputTemplate: {}
                }
              },
              KinesisParameters: {
                type: "structure",
                required: [
                  "PartitionKeyPath"
                ],
                members: {
                  PartitionKeyPath: {}
                }
              },
              RunCommandParameters: {
                type: "structure",
                required: [
                  "RunCommandTargets"
                ],
                members: {
                  RunCommandTargets: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Key",
                        "Values"
                      ],
                      members: {
                        Key: {},
                        Values: {
                          type: "list",
                          member: {}
                        }
                      }
                    }
                  }
                }
              },
              EcsParameters: {
                type: "structure",
                required: [
                  "TaskDefinitionArn"
                ],
                members: {
                  TaskDefinitionArn: {},
                  TaskCount: {
                    type: "integer"
                  },
                  LaunchType: {},
                  NetworkConfiguration: {
                    type: "structure",
                    members: {
                      awsvpcConfiguration: {
                        type: "structure",
                        required: [
                          "Subnets"
                        ],
                        members: {
                          Subnets: {
                            shape: "S61"
                          },
                          SecurityGroups: {
                            shape: "S61"
                          },
                          AssignPublicIp: {}
                        }
                      }
                    }
                  },
                  PlatformVersion: {},
                  Group: {},
                  CapacityProviderStrategy: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "capacityProvider"
                      ],
                      members: {
                        capacityProvider: {},
                        weight: {
                          type: "integer"
                        },
                        base: {
                          type: "integer"
                        }
                      }
                    }
                  },
                  EnableECSManagedTags: {
                    type: "boolean"
                  },
                  EnableExecuteCommand: {
                    type: "boolean"
                  },
                  PlacementConstraints: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        type: {},
                        expression: {}
                      }
                    }
                  },
                  PlacementStrategy: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        type: {},
                        field: {}
                      }
                    }
                  },
                  PropagateTags: {},
                  ReferenceId: {},
                  Tags: {
                    shape: "S24"
                  }
                }
              },
              BatchParameters: {
                type: "structure",
                required: [
                  "JobDefinition",
                  "JobName"
                ],
                members: {
                  JobDefinition: {},
                  JobName: {},
                  ArrayProperties: {
                    type: "structure",
                    members: {
                      Size: {
                        type: "integer"
                      }
                    }
                  },
                  RetryStrategy: {
                    type: "structure",
                    members: {
                      Attempts: {
                        type: "integer"
                      }
                    }
                  }
                }
              },
              SqsParameters: {
                type: "structure",
                members: {
                  MessageGroupId: {}
                }
              },
              HttpParameters: {
                type: "structure",
                members: {
                  PathParameterValues: {
                    type: "list",
                    member: {}
                  },
                  HeaderParameters: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  QueryStringParameters: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                }
              },
              RedshiftDataParameters: {
                type: "structure",
                required: [
                  "Database"
                ],
                members: {
                  SecretManagerArn: {},
                  Database: {},
                  DbUser: {},
                  Sql: {
                    shape: "S6x"
                  },
                  StatementName: {},
                  WithEvent: {
                    type: "boolean"
                  },
                  Sqls: {
                    type: "list",
                    member: {
                      shape: "S6x"
                    },
                    sensitive: true
                  }
                }
              },
              SageMakerPipelineParameters: {
                type: "structure",
                members: {
                  PipelineParameterList: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Name",
                        "Value"
                      ],
                      members: {
                        Name: {},
                        Value: {}
                      }
                    }
                  }
                }
              },
              DeadLetterConfig: {
                type: "structure",
                members: {
                  Arn: {}
                }
              },
              RetryPolicy: {
                type: "structure",
                members: {
                  MaximumRetryAttempts: {
                    type: "integer"
                  },
                  MaximumEventAgeInSeconds: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        S61: {
          type: "list",
          member: {}
        },
        S6x: {
          type: "string",
          sensitive: true
        },
        S7e: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/eventbridge-2015-10-07.paginators.json
var require_eventbridge_2015_10_07_paginators = __commonJS({
  "node_modules/aws-sdk/apis/eventbridge-2015-10-07.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/eventbridge.js
var require_eventbridge2 = __commonJS({
  "node_modules/aws-sdk/clients/eventbridge.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["eventbridge"] = {};
    AWS2.EventBridge = Service.defineService("eventbridge", ["2015-10-07"]);
    require_eventbridge();
    Object.defineProperty(apiLoader.services["eventbridge"], "2015-10-07", {
      get: function get() {
        var model = require_eventbridge_2015_10_07_min();
        model.paginators = require_eventbridge_2015_10_07_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.EventBridge;
  }
});

// node_modules/aws-sdk/apis/lakeformation-2017-03-31.min.json
var require_lakeformation_2017_03_31_min = __commonJS({
  "node_modules/aws-sdk/apis/lakeformation-2017-03-31.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-03-31",
        endpointPrefix: "lakeformation",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Lake Formation",
        serviceId: "LakeFormation",
        signatureVersion: "v4",
        signingName: "lakeformation",
        uid: "lakeformation-2017-03-31"
      },
      operations: {
        AddLFTagsToResource: {
          http: {
            requestUri: "/AddLFTagsToResource"
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "LFTags"
            ],
            members: {
              CatalogId: {},
              Resource: {
                shape: "S3"
              },
              LFTags: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Failures: {
                shape: "Sq"
              }
            }
          }
        },
        AssumeDecoratedRoleWithSAML: {
          http: {
            requestUri: "/AssumeDecoratedRoleWithSAML"
          },
          input: {
            type: "structure",
            required: [
              "SAMLAssertion",
              "RoleArn",
              "PrincipalArn"
            ],
            members: {
              SAMLAssertion: {},
              RoleArn: {},
              PrincipalArn: {},
              DurationSeconds: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccessKeyId: {},
              SecretAccessKey: {},
              SessionToken: {},
              Expiration: {
                type: "timestamp"
              }
            }
          }
        },
        BatchGrantPermissions: {
          http: {
            requestUri: "/BatchGrantPermissions"
          },
          input: {
            type: "structure",
            required: [
              "Entries"
            ],
            members: {
              CatalogId: {},
              Entries: {
                shape: "S15"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Failures: {
                shape: "S1d"
              }
            }
          }
        },
        BatchRevokePermissions: {
          http: {
            requestUri: "/BatchRevokePermissions"
          },
          input: {
            type: "structure",
            required: [
              "Entries"
            ],
            members: {
              CatalogId: {},
              Entries: {
                shape: "S15"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Failures: {
                shape: "S1d"
              }
            }
          }
        },
        CancelTransaction: {
          http: {
            requestUri: "/CancelTransaction"
          },
          input: {
            type: "structure",
            required: [
              "TransactionId"
            ],
            members: {
              TransactionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CommitTransaction: {
          http: {
            requestUri: "/CommitTransaction"
          },
          input: {
            type: "structure",
            required: [
              "TransactionId"
            ],
            members: {
              TransactionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TransactionStatus: {}
            }
          }
        },
        CreateDataCellsFilter: {
          http: {
            requestUri: "/CreateDataCellsFilter"
          },
          input: {
            type: "structure",
            required: [
              "TableData"
            ],
            members: {
              TableData: {
                shape: "S1o"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateLFTag: {
          http: {
            requestUri: "/CreateLFTag"
          },
          input: {
            type: "structure",
            required: [
              "TagKey",
              "TagValues"
            ],
            members: {
              CatalogId: {},
              TagKey: {},
              TagValues: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDataCellsFilter: {
          http: {
            requestUri: "/DeleteDataCellsFilter"
          },
          input: {
            type: "structure",
            members: {
              TableCatalogId: {},
              DatabaseName: {},
              TableName: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteLFTag: {
          http: {
            requestUri: "/DeleteLFTag"
          },
          input: {
            type: "structure",
            required: [
              "TagKey"
            ],
            members: {
              CatalogId: {},
              TagKey: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteObjectsOnCancel: {
          http: {
            requestUri: "/DeleteObjectsOnCancel"
          },
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "TransactionId",
              "Objects"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              TransactionId: {},
              Objects: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Uri"
                  ],
                  members: {
                    Uri: {},
                    ETag: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeregisterResource: {
          http: {
            requestUri: "/DeregisterResource"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeResource: {
          http: {
            requestUri: "/DescribeResource"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceInfo: {
                shape: "S2a"
              }
            }
          }
        },
        DescribeTransaction: {
          http: {
            requestUri: "/DescribeTransaction"
          },
          input: {
            type: "structure",
            required: [
              "TransactionId"
            ],
            members: {
              TransactionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TransactionDescription: {
                shape: "S2f"
              }
            }
          }
        },
        ExtendTransaction: {
          http: {
            requestUri: "/ExtendTransaction"
          },
          input: {
            type: "structure",
            members: {
              TransactionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetDataCellsFilter: {
          http: {
            requestUri: "/GetDataCellsFilter"
          },
          input: {
            type: "structure",
            required: [
              "TableCatalogId",
              "DatabaseName",
              "TableName",
              "Name"
            ],
            members: {
              TableCatalogId: {},
              DatabaseName: {},
              TableName: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DataCellsFilter: {
                shape: "S1o"
              }
            }
          }
        },
        GetDataLakeSettings: {
          http: {
            requestUri: "/GetDataLakeSettings"
          },
          input: {
            type: "structure",
            members: {
              CatalogId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DataLakeSettings: {
                shape: "S2n"
              }
            }
          }
        },
        GetEffectivePermissionsForPath: {
          http: {
            requestUri: "/GetEffectivePermissionsForPath"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              CatalogId: {},
              ResourceArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Permissions: {
                shape: "S30"
              },
              NextToken: {}
            }
          }
        },
        GetLFTag: {
          http: {
            requestUri: "/GetLFTag"
          },
          input: {
            type: "structure",
            required: [
              "TagKey"
            ],
            members: {
              CatalogId: {},
              TagKey: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CatalogId: {},
              TagKey: {},
              TagValues: {
                shape: "Sg"
              }
            }
          }
        },
        GetQueryState: {
          http: {
            requestUri: "/GetQueryState",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "QueryId"
            ],
            members: {
              QueryId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "State"
            ],
            members: {
              Error: {},
              State: {}
            }
          },
          endpoint: {
            hostPrefix: "query-"
          }
        },
        GetQueryStatistics: {
          http: {
            requestUri: "/GetQueryStatistics",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "QueryId"
            ],
            members: {
              QueryId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ExecutionStatistics: {
                type: "structure",
                members: {
                  AverageExecutionTimeMillis: {
                    type: "long"
                  },
                  DataScannedBytes: {
                    type: "long"
                  },
                  WorkUnitsExecutedCount: {
                    type: "long"
                  }
                }
              },
              PlanningStatistics: {
                type: "structure",
                members: {
                  EstimatedDataToScanBytes: {
                    type: "long"
                  },
                  PlanningTimeMillis: {
                    type: "long"
                  },
                  QueueTimeMillis: {
                    type: "long"
                  },
                  WorkUnitsGeneratedCount: {
                    type: "long"
                  }
                }
              },
              QuerySubmissionTime: {
                type: "timestamp",
                timestampFormat: "iso8601"
              }
            }
          },
          endpoint: {
            hostPrefix: "query-"
          }
        },
        GetResourceLFTags: {
          http: {
            requestUri: "/GetResourceLFTags"
          },
          input: {
            type: "structure",
            required: [
              "Resource"
            ],
            members: {
              CatalogId: {},
              Resource: {
                shape: "S3"
              },
              ShowAssignedLFTags: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LFTagOnDatabase: {
                shape: "Sn"
              },
              LFTagsOnTable: {
                shape: "Sn"
              },
              LFTagsOnColumns: {
                shape: "S3o"
              }
            }
          }
        },
        GetTableObjects: {
          http: {
            requestUri: "/GetTableObjects"
          },
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              TransactionId: {},
              QueryAsOfTime: {
                type: "timestamp"
              },
              PartitionPredicate: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Objects: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PartitionValues: {
                      shape: "S3v"
                    },
                    Objects: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Uri: {},
                          ETag: {},
                          Size: {
                            type: "long"
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetTemporaryGluePartitionCredentials: {
          http: {
            requestUri: "/GetTemporaryGluePartitionCredentials"
          },
          input: {
            type: "structure",
            required: [
              "TableArn",
              "Partition",
              "SupportedPermissionTypes"
            ],
            members: {
              TableArn: {},
              Partition: {
                type: "structure",
                required: [
                  "Values"
                ],
                members: {
                  Values: {
                    type: "list",
                    member: {}
                  }
                }
              },
              Permissions: {
                shape: "S1a"
              },
              DurationSeconds: {
                type: "integer"
              },
              AuditContext: {
                shape: "S44"
              },
              SupportedPermissionTypes: {
                shape: "S46"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccessKeyId: {},
              SecretAccessKey: {},
              SessionToken: {},
              Expiration: {
                type: "timestamp"
              }
            }
          }
        },
        GetTemporaryGlueTableCredentials: {
          http: {
            requestUri: "/GetTemporaryGlueTableCredentials"
          },
          input: {
            type: "structure",
            required: [
              "TableArn",
              "SupportedPermissionTypes"
            ],
            members: {
              TableArn: {},
              Permissions: {
                shape: "S1a"
              },
              DurationSeconds: {
                type: "integer"
              },
              AuditContext: {
                shape: "S44"
              },
              SupportedPermissionTypes: {
                shape: "S46"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccessKeyId: {},
              SecretAccessKey: {},
              SessionToken: {},
              Expiration: {
                type: "timestamp"
              }
            }
          }
        },
        GetWorkUnitResults: {
          http: {
            requestUri: "/GetWorkUnitResults",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "QueryId",
              "WorkUnitId",
              "WorkUnitToken"
            ],
            members: {
              QueryId: {},
              WorkUnitId: {
                type: "long"
              },
              WorkUnitToken: {
                type: "string",
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResultStream: {
                type: "blob",
                streaming: true
              }
            },
            payload: "ResultStream"
          },
          endpoint: {
            hostPrefix: "data-"
          }
        },
        GetWorkUnits: {
          http: {
            requestUri: "/GetWorkUnits",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "QueryId"
            ],
            members: {
              NextToken: {},
              PageSize: {
                type: "integer"
              },
              QueryId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "QueryId",
              "WorkUnitRanges"
            ],
            members: {
              NextToken: {},
              QueryId: {},
              WorkUnitRanges: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "WorkUnitIdMax",
                    "WorkUnitIdMin",
                    "WorkUnitToken"
                  ],
                  members: {
                    WorkUnitIdMax: {
                      type: "long"
                    },
                    WorkUnitIdMin: {
                      type: "long"
                    },
                    WorkUnitToken: {}
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "query-"
          }
        },
        GrantPermissions: {
          http: {
            requestUri: "/GrantPermissions"
          },
          input: {
            type: "structure",
            required: [
              "Principal",
              "Resource",
              "Permissions"
            ],
            members: {
              CatalogId: {},
              Principal: {
                shape: "S18"
              },
              Resource: {
                shape: "S3"
              },
              Permissions: {
                shape: "S1a"
              },
              PermissionsWithGrantOption: {
                shape: "S1a"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ListDataCellsFilter: {
          http: {
            requestUri: "/ListDataCellsFilter"
          },
          input: {
            type: "structure",
            members: {
              Table: {
                shape: "S7"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataCellsFilters: {
                type: "list",
                member: {
                  shape: "S1o"
                }
              },
              NextToken: {}
            }
          }
        },
        ListLFTags: {
          http: {
            requestUri: "/ListLFTags"
          },
          input: {
            type: "structure",
            members: {
              CatalogId: {},
              ResourceShareType: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LFTags: {
                shape: "Sn"
              },
              NextToken: {}
            }
          }
        },
        ListPermissions: {
          http: {
            requestUri: "/ListPermissions"
          },
          input: {
            type: "structure",
            members: {
              CatalogId: {},
              Principal: {
                shape: "S18"
              },
              ResourceType: {},
              Resource: {
                shape: "S3"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              IncludeRelated: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PrincipalResourcePermissions: {
                shape: "S30"
              },
              NextToken: {}
            }
          }
        },
        ListResources: {
          http: {
            requestUri: "/ListResources"
          },
          input: {
            type: "structure",
            members: {
              FilterConditionList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Field: {},
                    ComparisonOperator: {},
                    StringValueList: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceInfoList: {
                type: "list",
                member: {
                  shape: "S2a"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTableStorageOptimizers: {
          http: {
            requestUri: "/ListTableStorageOptimizers"
          },
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              StorageOptimizerType: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StorageOptimizerList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StorageOptimizerType: {},
                    Config: {
                      shape: "S5g"
                    },
                    ErrorMessage: {},
                    Warnings: {},
                    LastRunDetails: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTransactions: {
          http: {
            requestUri: "/ListTransactions"
          },
          input: {
            type: "structure",
            members: {
              CatalogId: {},
              StatusFilter: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Transactions: {
                type: "list",
                member: {
                  shape: "S2f"
                }
              },
              NextToken: {}
            }
          }
        },
        PutDataLakeSettings: {
          http: {
            requestUri: "/PutDataLakeSettings"
          },
          input: {
            type: "structure",
            required: [
              "DataLakeSettings"
            ],
            members: {
              CatalogId: {},
              DataLakeSettings: {
                shape: "S2n"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RegisterResource: {
          http: {
            requestUri: "/RegisterResource"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {},
              UseServiceLinkedRole: {
                type: "boolean"
              },
              RoleArn: {},
              WithFederation: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RemoveLFTagsFromResource: {
          http: {
            requestUri: "/RemoveLFTagsFromResource"
          },
          input: {
            type: "structure",
            required: [
              "Resource",
              "LFTags"
            ],
            members: {
              CatalogId: {},
              Resource: {
                shape: "S3"
              },
              LFTags: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Failures: {
                shape: "Sq"
              }
            }
          }
        },
        RevokePermissions: {
          http: {
            requestUri: "/RevokePermissions"
          },
          input: {
            type: "structure",
            required: [
              "Principal",
              "Resource",
              "Permissions"
            ],
            members: {
              CatalogId: {},
              Principal: {
                shape: "S18"
              },
              Resource: {
                shape: "S3"
              },
              Permissions: {
                shape: "S1a"
              },
              PermissionsWithGrantOption: {
                shape: "S1a"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SearchDatabasesByLFTags: {
          http: {
            requestUri: "/SearchDatabasesByLFTags"
          },
          input: {
            type: "structure",
            required: [
              "Expression"
            ],
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              CatalogId: {},
              Expression: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              DatabaseList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Database: {
                      shape: "S5"
                    },
                    LFTags: {
                      shape: "Sn"
                    }
                  }
                }
              }
            }
          }
        },
        SearchTablesByLFTags: {
          http: {
            requestUri: "/SearchTablesByLFTags"
          },
          input: {
            type: "structure",
            required: [
              "Expression"
            ],
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              CatalogId: {},
              Expression: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              TableList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Table: {
                      shape: "S7"
                    },
                    LFTagOnDatabase: {
                      shape: "Sn"
                    },
                    LFTagsOnTable: {
                      shape: "Sn"
                    },
                    LFTagsOnColumns: {
                      shape: "S3o"
                    }
                  }
                }
              }
            }
          }
        },
        StartQueryPlanning: {
          http: {
            requestUri: "/StartQueryPlanning",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "QueryPlanningContext",
              "QueryString"
            ],
            members: {
              QueryPlanningContext: {
                type: "structure",
                required: [
                  "DatabaseName"
                ],
                members: {
                  CatalogId: {},
                  DatabaseName: {},
                  QueryAsOfTime: {
                    type: "timestamp"
                  },
                  QueryParameters: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  TransactionId: {}
                }
              },
              QueryString: {
                type: "string",
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "QueryId"
            ],
            members: {
              QueryId: {}
            }
          },
          endpoint: {
            hostPrefix: "query-"
          }
        },
        StartTransaction: {
          http: {
            requestUri: "/StartTransaction"
          },
          input: {
            type: "structure",
            members: {
              TransactionType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TransactionId: {}
            }
          }
        },
        UpdateDataCellsFilter: {
          http: {
            requestUri: "/UpdateDataCellsFilter"
          },
          input: {
            type: "structure",
            required: [
              "TableData"
            ],
            members: {
              TableData: {
                shape: "S1o"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateLFTag: {
          http: {
            requestUri: "/UpdateLFTag"
          },
          input: {
            type: "structure",
            required: [
              "TagKey"
            ],
            members: {
              CatalogId: {},
              TagKey: {},
              TagValuesToDelete: {
                shape: "Sg"
              },
              TagValuesToAdd: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateResource: {
          http: {
            requestUri: "/UpdateResource"
          },
          input: {
            type: "structure",
            required: [
              "RoleArn",
              "ResourceArn"
            ],
            members: {
              RoleArn: {},
              ResourceArn: {},
              WithFederation: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateTableObjects: {
          http: {
            requestUri: "/UpdateTableObjects"
          },
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "WriteOperations"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              TransactionId: {},
              WriteOperations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AddObject: {
                      type: "structure",
                      required: [
                        "Uri",
                        "ETag",
                        "Size"
                      ],
                      members: {
                        Uri: {},
                        ETag: {},
                        Size: {
                          type: "long"
                        },
                        PartitionValues: {
                          shape: "S3v"
                        }
                      }
                    },
                    DeleteObject: {
                      type: "structure",
                      required: [
                        "Uri"
                      ],
                      members: {
                        Uri: {},
                        ETag: {},
                        PartitionValues: {
                          shape: "S3v"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateTableStorageOptimizer: {
          http: {
            requestUri: "/UpdateTableStorageOptimizer"
          },
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "StorageOptimizerConfig"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              StorageOptimizerConfig: {
                type: "map",
                key: {},
                value: {
                  shape: "S5g"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Result: {}
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "structure",
          members: {
            Catalog: {
              type: "structure",
              members: {}
            },
            Database: {
              shape: "S5"
            },
            Table: {
              shape: "S7"
            },
            TableWithColumns: {
              type: "structure",
              required: [
                "DatabaseName",
                "Name"
              ],
              members: {
                CatalogId: {},
                DatabaseName: {},
                Name: {},
                ColumnNames: {
                  shape: "Sa"
                },
                ColumnWildcard: {
                  shape: "Sb"
                }
              }
            },
            DataLocation: {
              type: "structure",
              required: [
                "ResourceArn"
              ],
              members: {
                CatalogId: {},
                ResourceArn: {}
              }
            },
            DataCellsFilter: {
              type: "structure",
              members: {
                TableCatalogId: {},
                DatabaseName: {},
                TableName: {},
                Name: {}
              }
            },
            LFTag: {
              type: "structure",
              required: [
                "TagKey",
                "TagValues"
              ],
              members: {
                CatalogId: {},
                TagKey: {},
                TagValues: {
                  shape: "Sg"
                }
              }
            },
            LFTagPolicy: {
              type: "structure",
              required: [
                "ResourceType",
                "Expression"
              ],
              members: {
                CatalogId: {},
                ResourceType: {},
                Expression: {
                  shape: "Sk"
                }
              }
            }
          }
        },
        S5: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            CatalogId: {},
            Name: {}
          }
        },
        S7: {
          type: "structure",
          required: [
            "DatabaseName"
          ],
          members: {
            CatalogId: {},
            DatabaseName: {},
            Name: {},
            TableWildcard: {
              type: "structure",
              members: {}
            }
          }
        },
        Sa: {
          type: "list",
          member: {}
        },
        Sb: {
          type: "structure",
          members: {
            ExcludedColumnNames: {
              shape: "Sa"
            }
          }
        },
        Sg: {
          type: "list",
          member: {}
        },
        Sk: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "TagKey",
              "TagValues"
            ],
            members: {
              TagKey: {},
              TagValues: {
                shape: "Sg"
              }
            }
          }
        },
        Sn: {
          type: "list",
          member: {
            shape: "So"
          }
        },
        So: {
          type: "structure",
          required: [
            "TagKey",
            "TagValues"
          ],
          members: {
            CatalogId: {},
            TagKey: {},
            TagValues: {
              shape: "Sg"
            }
          }
        },
        Sq: {
          type: "list",
          member: {
            type: "structure",
            members: {
              LFTag: {
                shape: "So"
              },
              Error: {
                shape: "Ss"
              }
            }
          }
        },
        Ss: {
          type: "structure",
          members: {
            ErrorCode: {},
            ErrorMessage: {}
          }
        },
        S15: {
          type: "list",
          member: {
            shape: "S16"
          }
        },
        S16: {
          type: "structure",
          required: [
            "Id"
          ],
          members: {
            Id: {},
            Principal: {
              shape: "S18"
            },
            Resource: {
              shape: "S3"
            },
            Permissions: {
              shape: "S1a"
            },
            PermissionsWithGrantOption: {
              shape: "S1a"
            }
          }
        },
        S18: {
          type: "structure",
          members: {
            DataLakePrincipalIdentifier: {}
          }
        },
        S1a: {
          type: "list",
          member: {}
        },
        S1d: {
          type: "list",
          member: {
            type: "structure",
            members: {
              RequestEntry: {
                shape: "S16"
              },
              Error: {
                shape: "Ss"
              }
            }
          }
        },
        S1o: {
          type: "structure",
          required: [
            "TableCatalogId",
            "DatabaseName",
            "TableName",
            "Name"
          ],
          members: {
            TableCatalogId: {},
            DatabaseName: {},
            TableName: {},
            Name: {},
            RowFilter: {
              type: "structure",
              members: {
                FilterExpression: {},
                AllRowsWildcard: {
                  type: "structure",
                  members: {}
                }
              }
            },
            ColumnNames: {
              shape: "Sa"
            },
            ColumnWildcard: {
              shape: "Sb"
            },
            VersionId: {}
          }
        },
        S2a: {
          type: "structure",
          members: {
            ResourceArn: {},
            RoleArn: {},
            LastModified: {
              type: "timestamp"
            },
            WithFederation: {
              type: "boolean"
            }
          }
        },
        S2f: {
          type: "structure",
          members: {
            TransactionId: {},
            TransactionStatus: {},
            TransactionStartTime: {
              type: "timestamp"
            },
            TransactionEndTime: {
              type: "timestamp"
            }
          }
        },
        S2n: {
          type: "structure",
          members: {
            DataLakeAdmins: {
              shape: "S2o"
            },
            CreateDatabaseDefaultPermissions: {
              shape: "S2p"
            },
            CreateTableDefaultPermissions: {
              shape: "S2p"
            },
            Parameters: {
              type: "map",
              key: {},
              value: {}
            },
            TrustedResourceOwners: {
              type: "list",
              member: {}
            },
            AllowExternalDataFiltering: {
              type: "boolean"
            },
            ExternalDataFilteringAllowList: {
              shape: "S2o"
            },
            AuthorizedSessionTagValueList: {
              type: "list",
              member: {}
            }
          }
        },
        S2o: {
          type: "list",
          member: {
            shape: "S18"
          }
        },
        S2p: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Principal: {
                shape: "S18"
              },
              Permissions: {
                shape: "S1a"
              }
            }
          }
        },
        S30: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Principal: {
                shape: "S18"
              },
              Resource: {
                shape: "S3"
              },
              Permissions: {
                shape: "S1a"
              },
              PermissionsWithGrantOption: {
                shape: "S1a"
              },
              AdditionalDetails: {
                type: "structure",
                members: {
                  ResourceShare: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          }
        },
        S3o: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              LFTags: {
                shape: "Sn"
              }
            }
          }
        },
        S3v: {
          type: "list",
          member: {}
        },
        S44: {
          type: "structure",
          members: {
            AdditionalAuditContext: {}
          }
        },
        S46: {
          type: "list",
          member: {}
        },
        S5g: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/lakeformation-2017-03-31.paginators.json
var require_lakeformation_2017_03_31_paginators = __commonJS({
  "node_modules/aws-sdk/apis/lakeformation-2017-03-31.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetEffectivePermissionsForPath: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetTableObjects: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetWorkUnits: {
          input_token: "NextToken",
          limit_key: "PageSize",
          output_token: "NextToken",
          result_key: "WorkUnitRanges"
        },
        ListDataCellsFilter: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "DataCellsFilters"
        },
        ListLFTags: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "LFTags"
        },
        ListPermissions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListResources: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListTableStorageOptimizers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListTransactions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        SearchDatabasesByLFTags: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "DatabaseList"
        },
        SearchTablesByLFTags: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "TableList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/lakeformation.js
var require_lakeformation = __commonJS({
  "node_modules/aws-sdk/clients/lakeformation.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["lakeformation"] = {};
    AWS2.LakeFormation = Service.defineService("lakeformation", ["2017-03-31"]);
    Object.defineProperty(apiLoader.services["lakeformation"], "2017-03-31", {
      get: function get() {
        var model = require_lakeformation_2017_03_31_min();
        model.paginators = require_lakeformation_2017_03_31_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.LakeFormation;
  }
});

// node_modules/aws-sdk/apis/forecast-2018-06-26.min.json
var require_forecast_2018_06_26_min = __commonJS({
  "node_modules/aws-sdk/apis/forecast-2018-06-26.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-06-26",
        endpointPrefix: "forecast",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Forecast Service",
        serviceId: "forecast",
        signatureVersion: "v4",
        signingName: "forecast",
        targetPrefix: "AmazonForecast",
        uid: "forecast-2018-06-26"
      },
      operations: {
        CreateAutoPredictor: {
          input: {
            type: "structure",
            required: [
              "PredictorName"
            ],
            members: {
              PredictorName: {},
              ForecastHorizon: {
                type: "integer"
              },
              ForecastTypes: {
                shape: "S4"
              },
              ForecastDimensions: {
                shape: "S6"
              },
              ForecastFrequency: {},
              DataConfig: {
                shape: "S8"
              },
              EncryptionConfig: {
                shape: "Si"
              },
              ReferencePredictorArn: {},
              OptimizationMetric: {},
              ExplainPredictor: {
                type: "boolean"
              },
              Tags: {
                shape: "Sm"
              },
              MonitorConfig: {
                type: "structure",
                required: [
                  "MonitorName"
                ],
                members: {
                  MonitorName: {}
                }
              },
              TimeAlignmentBoundary: {
                shape: "Sr"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PredictorArn: {}
            }
          }
        },
        CreateDataset: {
          input: {
            type: "structure",
            required: [
              "DatasetName",
              "Domain",
              "DatasetType",
              "Schema"
            ],
            members: {
              DatasetName: {},
              Domain: {},
              DatasetType: {},
              DataFrequency: {},
              Schema: {
                shape: "S10"
              },
              EncryptionConfig: {
                shape: "Si"
              },
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetArn: {}
            }
          }
        },
        CreateDatasetGroup: {
          input: {
            type: "structure",
            required: [
              "DatasetGroupName",
              "Domain"
            ],
            members: {
              DatasetGroupName: {},
              Domain: {},
              DatasetArns: {
                shape: "S16"
              },
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetGroupArn: {}
            }
          }
        },
        CreateDatasetImportJob: {
          input: {
            type: "structure",
            required: [
              "DatasetImportJobName",
              "DatasetArn",
              "DataSource"
            ],
            members: {
              DatasetImportJobName: {},
              DatasetArn: {},
              DataSource: {
                shape: "S19"
              },
              TimestampFormat: {},
              TimeZone: {},
              UseGeolocationForTimeZone: {
                type: "boolean"
              },
              GeolocationFormat: {},
              Tags: {
                shape: "Sm"
              },
              Format: {},
              ImportMode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetImportJobArn: {}
            }
          }
        },
        CreateExplainability: {
          input: {
            type: "structure",
            required: [
              "ExplainabilityName",
              "ResourceArn",
              "ExplainabilityConfig"
            ],
            members: {
              ExplainabilityName: {},
              ResourceArn: {},
              ExplainabilityConfig: {
                shape: "S1k"
              },
              DataSource: {
                shape: "S19"
              },
              Schema: {
                shape: "S10"
              },
              EnableVisualization: {
                type: "boolean"
              },
              StartDateTime: {},
              EndDateTime: {},
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ExplainabilityArn: {}
            }
          }
        },
        CreateExplainabilityExport: {
          input: {
            type: "structure",
            required: [
              "ExplainabilityExportName",
              "ExplainabilityArn",
              "Destination"
            ],
            members: {
              ExplainabilityExportName: {},
              ExplainabilityArn: {},
              Destination: {
                shape: "S1q"
              },
              Tags: {
                shape: "Sm"
              },
              Format: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ExplainabilityExportArn: {}
            }
          }
        },
        CreateForecast: {
          input: {
            type: "structure",
            required: [
              "ForecastName",
              "PredictorArn"
            ],
            members: {
              ForecastName: {},
              PredictorArn: {},
              ForecastTypes: {
                shape: "S4"
              },
              Tags: {
                shape: "Sm"
              },
              TimeSeriesSelector: {
                shape: "S1t"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ForecastArn: {}
            }
          }
        },
        CreateForecastExportJob: {
          input: {
            type: "structure",
            required: [
              "ForecastExportJobName",
              "ForecastArn",
              "Destination"
            ],
            members: {
              ForecastExportJobName: {},
              ForecastArn: {},
              Destination: {
                shape: "S1q"
              },
              Tags: {
                shape: "Sm"
              },
              Format: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ForecastExportJobArn: {}
            }
          }
        },
        CreateMonitor: {
          input: {
            type: "structure",
            required: [
              "MonitorName",
              "ResourceArn"
            ],
            members: {
              MonitorName: {},
              ResourceArn: {},
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MonitorArn: {}
            }
          }
        },
        CreatePredictor: {
          input: {
            type: "structure",
            required: [
              "PredictorName",
              "ForecastHorizon",
              "InputDataConfig",
              "FeaturizationConfig"
            ],
            members: {
              PredictorName: {},
              AlgorithmArn: {},
              ForecastHorizon: {
                type: "integer"
              },
              ForecastTypes: {
                shape: "S4"
              },
              PerformAutoML: {
                type: "boolean"
              },
              AutoMLOverrideStrategy: {},
              PerformHPO: {
                type: "boolean"
              },
              TrainingParameters: {
                shape: "S22"
              },
              EvaluationParameters: {
                shape: "S25"
              },
              HPOConfig: {
                shape: "S26"
              },
              InputDataConfig: {
                shape: "S2g"
              },
              FeaturizationConfig: {
                shape: "S2j"
              },
              EncryptionConfig: {
                shape: "Si"
              },
              Tags: {
                shape: "Sm"
              },
              OptimizationMetric: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PredictorArn: {}
            }
          }
        },
        CreatePredictorBacktestExportJob: {
          input: {
            type: "structure",
            required: [
              "PredictorBacktestExportJobName",
              "PredictorArn",
              "Destination"
            ],
            members: {
              PredictorBacktestExportJobName: {},
              PredictorArn: {},
              Destination: {
                shape: "S1q"
              },
              Tags: {
                shape: "Sm"
              },
              Format: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PredictorBacktestExportJobArn: {}
            }
          }
        },
        CreateWhatIfAnalysis: {
          input: {
            type: "structure",
            required: [
              "WhatIfAnalysisName",
              "ForecastArn"
            ],
            members: {
              WhatIfAnalysisName: {},
              ForecastArn: {},
              TimeSeriesSelector: {
                shape: "S1t"
              },
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WhatIfAnalysisArn: {}
            }
          }
        },
        CreateWhatIfForecast: {
          input: {
            type: "structure",
            required: [
              "WhatIfForecastName",
              "WhatIfAnalysisArn"
            ],
            members: {
              WhatIfForecastName: {},
              WhatIfAnalysisArn: {},
              TimeSeriesTransformations: {
                shape: "S2w"
              },
              TimeSeriesReplacementsDataSource: {
                shape: "S34"
              },
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WhatIfForecastArn: {}
            }
          }
        },
        CreateWhatIfForecastExport: {
          input: {
            type: "structure",
            required: [
              "WhatIfForecastExportName",
              "WhatIfForecastArns",
              "Destination"
            ],
            members: {
              WhatIfForecastExportName: {},
              WhatIfForecastArns: {
                shape: "S38"
              },
              Destination: {
                shape: "S1q"
              },
              Tags: {
                shape: "Sm"
              },
              Format: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WhatIfForecastExportArn: {}
            }
          }
        },
        DeleteDataset: {
          input: {
            type: "structure",
            required: [
              "DatasetArn"
            ],
            members: {
              DatasetArn: {}
            }
          },
          idempotent: true
        },
        DeleteDatasetGroup: {
          input: {
            type: "structure",
            required: [
              "DatasetGroupArn"
            ],
            members: {
              DatasetGroupArn: {}
            }
          },
          idempotent: true
        },
        DeleteDatasetImportJob: {
          input: {
            type: "structure",
            required: [
              "DatasetImportJobArn"
            ],
            members: {
              DatasetImportJobArn: {}
            }
          },
          idempotent: true
        },
        DeleteExplainability: {
          input: {
            type: "structure",
            required: [
              "ExplainabilityArn"
            ],
            members: {
              ExplainabilityArn: {}
            }
          },
          idempotent: true
        },
        DeleteExplainabilityExport: {
          input: {
            type: "structure",
            required: [
              "ExplainabilityExportArn"
            ],
            members: {
              ExplainabilityExportArn: {}
            }
          },
          idempotent: true
        },
        DeleteForecast: {
          input: {
            type: "structure",
            required: [
              "ForecastArn"
            ],
            members: {
              ForecastArn: {}
            }
          },
          idempotent: true
        },
        DeleteForecastExportJob: {
          input: {
            type: "structure",
            required: [
              "ForecastExportJobArn"
            ],
            members: {
              ForecastExportJobArn: {}
            }
          },
          idempotent: true
        },
        DeleteMonitor: {
          input: {
            type: "structure",
            required: [
              "MonitorArn"
            ],
            members: {
              MonitorArn: {}
            }
          },
          idempotent: true
        },
        DeletePredictor: {
          input: {
            type: "structure",
            required: [
              "PredictorArn"
            ],
            members: {
              PredictorArn: {}
            }
          },
          idempotent: true
        },
        DeletePredictorBacktestExportJob: {
          input: {
            type: "structure",
            required: [
              "PredictorBacktestExportJobArn"
            ],
            members: {
              PredictorBacktestExportJobArn: {}
            }
          },
          idempotent: true
        },
        DeleteResourceTree: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          idempotent: true
        },
        DeleteWhatIfAnalysis: {
          input: {
            type: "structure",
            required: [
              "WhatIfAnalysisArn"
            ],
            members: {
              WhatIfAnalysisArn: {}
            }
          },
          idempotent: true
        },
        DeleteWhatIfForecast: {
          input: {
            type: "structure",
            required: [
              "WhatIfForecastArn"
            ],
            members: {
              WhatIfForecastArn: {}
            }
          },
          idempotent: true
        },
        DeleteWhatIfForecastExport: {
          input: {
            type: "structure",
            required: [
              "WhatIfForecastExportArn"
            ],
            members: {
              WhatIfForecastExportArn: {}
            }
          },
          idempotent: true
        },
        DescribeAutoPredictor: {
          input: {
            type: "structure",
            required: [
              "PredictorArn"
            ],
            members: {
              PredictorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PredictorArn: {},
              PredictorName: {},
              ForecastHorizon: {
                type: "integer"
              },
              ForecastTypes: {
                shape: "S4"
              },
              ForecastFrequency: {},
              ForecastDimensions: {
                shape: "S6"
              },
              DatasetImportJobArns: {
                shape: "S16"
              },
              DataConfig: {
                shape: "S8"
              },
              EncryptionConfig: {
                shape: "Si"
              },
              ReferencePredictorSummary: {
                shape: "S3q"
              },
              EstimatedTimeRemainingInMinutes: {
                type: "long"
              },
              Status: {},
              Message: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModificationTime: {
                type: "timestamp"
              },
              OptimizationMetric: {},
              ExplainabilityInfo: {
                type: "structure",
                members: {
                  ExplainabilityArn: {},
                  Status: {}
                }
              },
              MonitorInfo: {
                type: "structure",
                members: {
                  MonitorArn: {},
                  Status: {}
                }
              },
              TimeAlignmentBoundary: {
                shape: "Sr"
              }
            }
          },
          idempotent: true
        },
        DescribeDataset: {
          input: {
            type: "structure",
            required: [
              "DatasetArn"
            ],
            members: {
              DatasetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetArn: {},
              DatasetName: {},
              Domain: {},
              DatasetType: {},
              DataFrequency: {},
              Schema: {
                shape: "S10"
              },
              EncryptionConfig: {
                shape: "Si"
              },
              Status: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModificationTime: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        },
        DescribeDatasetGroup: {
          input: {
            type: "structure",
            required: [
              "DatasetGroupArn"
            ],
            members: {
              DatasetGroupArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetGroupName: {},
              DatasetGroupArn: {},
              DatasetArns: {
                shape: "S16"
              },
              Domain: {},
              Status: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModificationTime: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        },
        DescribeDatasetImportJob: {
          input: {
            type: "structure",
            required: [
              "DatasetImportJobArn"
            ],
            members: {
              DatasetImportJobArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetImportJobName: {},
              DatasetImportJobArn: {},
              DatasetArn: {},
              TimestampFormat: {},
              TimeZone: {},
              UseGeolocationForTimeZone: {
                type: "boolean"
              },
              GeolocationFormat: {},
              DataSource: {
                shape: "S19"
              },
              EstimatedTimeRemainingInMinutes: {
                type: "long"
              },
              FieldStatistics: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    Count: {
                      type: "integer"
                    },
                    CountDistinct: {
                      type: "integer"
                    },
                    CountNull: {
                      type: "integer"
                    },
                    CountNan: {
                      type: "integer"
                    },
                    Min: {},
                    Max: {},
                    Avg: {
                      type: "double"
                    },
                    Stddev: {
                      type: "double"
                    },
                    CountLong: {
                      type: "long"
                    },
                    CountDistinctLong: {
                      type: "long"
                    },
                    CountNullLong: {
                      type: "long"
                    },
                    CountNanLong: {
                      type: "long"
                    }
                  }
                }
              },
              DataSize: {
                type: "double"
              },
              Status: {},
              Message: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModificationTime: {
                type: "timestamp"
              },
              Format: {},
              ImportMode: {}
            }
          },
          idempotent: true
        },
        DescribeExplainability: {
          input: {
            type: "structure",
            required: [
              "ExplainabilityArn"
            ],
            members: {
              ExplainabilityArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ExplainabilityArn: {},
              ExplainabilityName: {},
              ResourceArn: {},
              ExplainabilityConfig: {
                shape: "S1k"
              },
              EnableVisualization: {
                type: "boolean"
              },
              DataSource: {
                shape: "S19"
              },
              Schema: {
                shape: "S10"
              },
              StartDateTime: {},
              EndDateTime: {},
              EstimatedTimeRemainingInMinutes: {
                type: "long"
              },
              Message: {},
              Status: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModificationTime: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        },
        DescribeExplainabilityExport: {
          input: {
            type: "structure",
            required: [
              "ExplainabilityExportArn"
            ],
            members: {
              ExplainabilityExportArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ExplainabilityExportArn: {},
              ExplainabilityExportName: {},
              ExplainabilityArn: {},
              Destination: {
                shape: "S1q"
              },
              Message: {},
              Status: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModificationTime: {
                type: "timestamp"
              },
              Format: {}
            }
          },
          idempotent: true
        },
        DescribeForecast: {
          input: {
            type: "structure",
            required: [
              "ForecastArn"
            ],
            members: {
              ForecastArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ForecastArn: {},
              ForecastName: {},
              ForecastTypes: {
                shape: "S4"
              },
              PredictorArn: {},
              DatasetGroupArn: {},
              EstimatedTimeRemainingInMinutes: {
                type: "long"
              },
              Status: {},
              Message: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModificationTime: {
                type: "timestamp"
              },
              TimeSeriesSelector: {
                shape: "S1t"
              }
            }
          },
          idempotent: true
        },
        DescribeForecastExportJob: {
          input: {
            type: "structure",
            required: [
              "ForecastExportJobArn"
            ],
            members: {
              ForecastExportJobArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ForecastExportJobArn: {},
              ForecastExportJobName: {},
              ForecastArn: {},
              Destination: {
                shape: "S1q"
              },
              Message: {},
              Status: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModificationTime: {
                type: "timestamp"
              },
              Format: {}
            }
          },
          idempotent: true
        },
        DescribeMonitor: {
          input: {
            type: "structure",
            required: [
              "MonitorArn"
            ],
            members: {
              MonitorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MonitorName: {},
              MonitorArn: {},
              ResourceArn: {},
              Status: {},
              LastEvaluationTime: {
                type: "timestamp"
              },
              LastEvaluationState: {},
              Baseline: {
                type: "structure",
                members: {
                  PredictorBaseline: {
                    type: "structure",
                    members: {
                      BaselineMetrics: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            Name: {},
                            Value: {
                              type: "double"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              Message: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModificationTime: {
                type: "timestamp"
              },
              EstimatedEvaluationTimeRemainingInMinutes: {
                type: "long"
              }
            }
          },
          idempotent: true
        },
        DescribePredictor: {
          input: {
            type: "structure",
            required: [
              "PredictorArn"
            ],
            members: {
              PredictorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PredictorArn: {},
              PredictorName: {},
              AlgorithmArn: {},
              AutoMLAlgorithmArns: {
                shape: "S16"
              },
              ForecastHorizon: {
                type: "integer"
              },
              ForecastTypes: {
                shape: "S4"
              },
              PerformAutoML: {
                type: "boolean"
              },
              AutoMLOverrideStrategy: {},
              PerformHPO: {
                type: "boolean"
              },
              TrainingParameters: {
                shape: "S22"
              },
              EvaluationParameters: {
                shape: "S25"
              },
              HPOConfig: {
                shape: "S26"
              },
              InputDataConfig: {
                shape: "S2g"
              },
              FeaturizationConfig: {
                shape: "S2j"
              },
              EncryptionConfig: {
                shape: "Si"
              },
              PredictorExecutionDetails: {
                type: "structure",
                members: {
                  PredictorExecutions: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        AlgorithmArn: {},
                        TestWindows: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              TestWindowStart: {
                                type: "timestamp"
                              },
                              TestWindowEnd: {
                                type: "timestamp"
                              },
                              Status: {},
                              Message: {}
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              EstimatedTimeRemainingInMinutes: {
                type: "long"
              },
              IsAutoPredictor: {
                type: "boolean"
              },
              DatasetImportJobArns: {
                shape: "S16"
              },
              Status: {},
              Message: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModificationTime: {
                type: "timestamp"
              },
              OptimizationMetric: {}
            }
          },
          idempotent: true
        },
        DescribePredictorBacktestExportJob: {
          input: {
            type: "structure",
            required: [
              "PredictorBacktestExportJobArn"
            ],
            members: {
              PredictorBacktestExportJobArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PredictorBacktestExportJobArn: {},
              PredictorBacktestExportJobName: {},
              PredictorArn: {},
              Destination: {
                shape: "S1q"
              },
              Message: {},
              Status: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModificationTime: {
                type: "timestamp"
              },
              Format: {}
            }
          },
          idempotent: true
        },
        DescribeWhatIfAnalysis: {
          input: {
            type: "structure",
            required: [
              "WhatIfAnalysisArn"
            ],
            members: {
              WhatIfAnalysisArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WhatIfAnalysisName: {},
              WhatIfAnalysisArn: {},
              ForecastArn: {},
              EstimatedTimeRemainingInMinutes: {
                type: "long"
              },
              Status: {},
              Message: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModificationTime: {
                type: "timestamp"
              },
              TimeSeriesSelector: {
                shape: "S1t"
              }
            }
          },
          idempotent: true
        },
        DescribeWhatIfForecast: {
          input: {
            type: "structure",
            required: [
              "WhatIfForecastArn"
            ],
            members: {
              WhatIfForecastArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WhatIfForecastName: {},
              WhatIfForecastArn: {},
              WhatIfAnalysisArn: {},
              EstimatedTimeRemainingInMinutes: {
                type: "long"
              },
              Status: {},
              Message: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModificationTime: {
                type: "timestamp"
              },
              TimeSeriesTransformations: {
                shape: "S2w"
              },
              TimeSeriesReplacementsDataSource: {
                shape: "S34"
              },
              ForecastTypes: {
                shape: "S4"
              }
            }
          },
          idempotent: true
        },
        DescribeWhatIfForecastExport: {
          input: {
            type: "structure",
            required: [
              "WhatIfForecastExportArn"
            ],
            members: {
              WhatIfForecastExportArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WhatIfForecastExportArn: {},
              WhatIfForecastExportName: {},
              WhatIfForecastArns: {
                type: "list",
                member: {}
              },
              Destination: {
                shape: "S1q"
              },
              Message: {},
              Status: {},
              CreationTime: {
                type: "timestamp"
              },
              EstimatedTimeRemainingInMinutes: {
                type: "long"
              },
              LastModificationTime: {
                type: "timestamp"
              },
              Format: {}
            }
          },
          idempotent: true
        },
        GetAccuracyMetrics: {
          input: {
            type: "structure",
            required: [
              "PredictorArn"
            ],
            members: {
              PredictorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PredictorEvaluationResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AlgorithmArn: {},
                    TestWindows: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          TestWindowStart: {
                            type: "timestamp"
                          },
                          TestWindowEnd: {
                            type: "timestamp"
                          },
                          ItemCount: {
                            type: "integer"
                          },
                          EvaluationType: {},
                          Metrics: {
                            type: "structure",
                            members: {
                              RMSE: {
                                deprecated: true,
                                deprecatedMessage: "This property is deprecated, please refer to ErrorMetrics for both RMSE and WAPE",
                                type: "double"
                              },
                              WeightedQuantileLosses: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    Quantile: {
                                      type: "double"
                                    },
                                    LossValue: {
                                      type: "double"
                                    }
                                  }
                                }
                              },
                              ErrorMetrics: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    ForecastType: {},
                                    WAPE: {
                                      type: "double"
                                    },
                                    RMSE: {
                                      type: "double"
                                    },
                                    MASE: {
                                      type: "double"
                                    },
                                    MAPE: {
                                      type: "double"
                                    }
                                  }
                                }
                              },
                              AverageWeightedQuantileLoss: {
                                type: "double"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              IsAutoPredictor: {
                type: "boolean"
              },
              AutoMLOverrideStrategy: {},
              OptimizationMetric: {}
            }
          },
          idempotent: true
        },
        ListDatasetGroups: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DatasetGroupArn: {},
                    DatasetGroupName: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListDatasetImportJobs: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S5m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetImportJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DatasetImportJobArn: {},
                    DatasetImportJobName: {},
                    DataSource: {
                      shape: "S19"
                    },
                    Status: {},
                    Message: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModificationTime: {
                      type: "timestamp"
                    },
                    ImportMode: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListDatasets: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Datasets: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DatasetArn: {},
                    DatasetName: {},
                    DatasetType: {},
                    Domain: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListExplainabilities: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S5m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Explainabilities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ExplainabilityArn: {},
                    ExplainabilityName: {},
                    ResourceArn: {},
                    ExplainabilityConfig: {
                      shape: "S1k"
                    },
                    Status: {},
                    Message: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListExplainabilityExports: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S5m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ExplainabilityExports: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ExplainabilityExportArn: {},
                    ExplainabilityExportName: {},
                    Destination: {
                      shape: "S1q"
                    },
                    Status: {},
                    Message: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListForecastExportJobs: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S5m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ForecastExportJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ForecastExportJobArn: {},
                    ForecastExportJobName: {},
                    Destination: {
                      shape: "S1q"
                    },
                    Status: {},
                    Message: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListForecasts: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S5m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Forecasts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ForecastArn: {},
                    ForecastName: {},
                    PredictorArn: {},
                    CreatedUsingAutoPredictor: {
                      type: "boolean"
                    },
                    DatasetGroupArn: {},
                    Status: {},
                    Message: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListMonitorEvaluations: {
          input: {
            type: "structure",
            required: [
              "MonitorArn"
            ],
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              MonitorArn: {},
              Filters: {
                shape: "S5m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              PredictorMonitorEvaluations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceArn: {},
                    MonitorArn: {},
                    EvaluationTime: {
                      type: "timestamp"
                    },
                    EvaluationState: {},
                    WindowStartDatetime: {
                      type: "timestamp"
                    },
                    WindowEndDatetime: {
                      type: "timestamp"
                    },
                    PredictorEvent: {
                      type: "structure",
                      members: {
                        Detail: {},
                        Datetime: {
                          type: "timestamp"
                        }
                      }
                    },
                    MonitorDataSource: {
                      type: "structure",
                      members: {
                        DatasetImportJobArn: {},
                        ForecastArn: {},
                        PredictorArn: {}
                      }
                    },
                    MetricResults: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          MetricName: {},
                          MetricValue: {
                            type: "double"
                          }
                        }
                      }
                    },
                    NumItemsEvaluated: {
                      type: "long"
                    },
                    Message: {}
                  }
                }
              }
            }
          },
          idempotent: true
        },
        ListMonitors: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S5m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Monitors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MonitorArn: {},
                    MonitorName: {},
                    ResourceArn: {},
                    Status: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListPredictorBacktestExportJobs: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S5m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PredictorBacktestExportJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PredictorBacktestExportJobArn: {},
                    PredictorBacktestExportJobName: {},
                    Destination: {
                      shape: "S1q"
                    },
                    Status: {},
                    Message: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListPredictors: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S5m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Predictors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PredictorArn: {},
                    PredictorName: {},
                    DatasetGroupArn: {},
                    IsAutoPredictor: {
                      type: "boolean"
                    },
                    ReferencePredictorSummary: {
                      shape: "S3q"
                    },
                    Status: {},
                    Message: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sm"
              }
            }
          }
        },
        ListWhatIfAnalyses: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S5m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WhatIfAnalyses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WhatIfAnalysisArn: {},
                    WhatIfAnalysisName: {},
                    ForecastArn: {},
                    Status: {},
                    Message: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListWhatIfForecastExports: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S5m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WhatIfForecastExports: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WhatIfForecastExportArn: {},
                    WhatIfForecastArns: {
                      shape: "S38"
                    },
                    WhatIfForecastExportName: {},
                    Destination: {
                      shape: "S1q"
                    },
                    Status: {},
                    Message: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListWhatIfForecasts: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Filters: {
                shape: "S5m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WhatIfForecasts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    WhatIfForecastArn: {},
                    WhatIfForecastName: {},
                    WhatIfAnalysisArn: {},
                    Status: {},
                    Message: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ResumeResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          idempotent: true
        },
        StopResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          idempotent: true
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {
                  shape: "So"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDatasetGroup: {
          input: {
            type: "structure",
            required: [
              "DatasetGroupArn",
              "DatasetArns"
            ],
            members: {
              DatasetGroupArn: {},
              DatasetArns: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        }
      },
      shapes: {
        S4: {
          type: "list",
          member: {}
        },
        S6: {
          type: "list",
          member: {}
        },
        S8: {
          type: "structure",
          required: [
            "DatasetGroupArn"
          ],
          members: {
            DatasetGroupArn: {},
            AttributeConfigs: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "AttributeName",
                  "Transformations"
                ],
                members: {
                  AttributeName: {},
                  Transformations: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                }
              }
            },
            AdditionalDatasets: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name"
                ],
                members: {
                  Name: {},
                  Configuration: {
                    type: "map",
                    key: {},
                    value: {
                      shape: "Sh"
                    }
                  }
                }
              }
            }
          }
        },
        Sh: {
          type: "list",
          member: {}
        },
        Si: {
          type: "structure",
          required: [
            "RoleArn",
            "KMSKeyArn"
          ],
          members: {
            RoleArn: {},
            KMSKeyArn: {}
          }
        },
        Sm: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {
                shape: "So"
              },
              Value: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        So: {
          type: "string",
          sensitive: true
        },
        Sr: {
          type: "structure",
          members: {
            Month: {},
            DayOfMonth: {
              type: "integer"
            },
            DayOfWeek: {},
            Hour: {
              type: "integer"
            }
          }
        },
        S10: {
          type: "structure",
          members: {
            Attributes: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  AttributeName: {},
                  AttributeType: {}
                }
              }
            }
          }
        },
        S16: {
          type: "list",
          member: {}
        },
        S19: {
          type: "structure",
          required: [
            "S3Config"
          ],
          members: {
            S3Config: {
              shape: "S1a"
            }
          }
        },
        S1a: {
          type: "structure",
          required: [
            "Path",
            "RoleArn"
          ],
          members: {
            Path: {},
            RoleArn: {},
            KMSKeyArn: {}
          }
        },
        S1k: {
          type: "structure",
          required: [
            "TimeSeriesGranularity",
            "TimePointGranularity"
          ],
          members: {
            TimeSeriesGranularity: {},
            TimePointGranularity: {}
          }
        },
        S1q: {
          type: "structure",
          required: [
            "S3Config"
          ],
          members: {
            S3Config: {
              shape: "S1a"
            }
          }
        },
        S1t: {
          type: "structure",
          members: {
            TimeSeriesIdentifiers: {
              type: "structure",
              members: {
                DataSource: {
                  shape: "S19"
                },
                Schema: {
                  shape: "S10"
                },
                Format: {}
              }
            }
          }
        },
        S22: {
          type: "map",
          key: {},
          value: {}
        },
        S25: {
          type: "structure",
          members: {
            NumberOfBacktestWindows: {
              type: "integer"
            },
            BackTestWindowOffset: {
              type: "integer"
            }
          }
        },
        S26: {
          type: "structure",
          members: {
            ParameterRanges: {
              type: "structure",
              members: {
                CategoricalParameterRanges: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "Name",
                      "Values"
                    ],
                    members: {
                      Name: {},
                      Values: {
                        shape: "Sh"
                      }
                    }
                  }
                },
                ContinuousParameterRanges: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "Name",
                      "MaxValue",
                      "MinValue"
                    ],
                    members: {
                      Name: {},
                      MaxValue: {
                        type: "double"
                      },
                      MinValue: {
                        type: "double"
                      },
                      ScalingType: {}
                    }
                  }
                },
                IntegerParameterRanges: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "Name",
                      "MaxValue",
                      "MinValue"
                    ],
                    members: {
                      Name: {},
                      MaxValue: {
                        type: "integer"
                      },
                      MinValue: {
                        type: "integer"
                      },
                      ScalingType: {}
                    }
                  }
                }
              }
            }
          }
        },
        S2g: {
          type: "structure",
          required: [
            "DatasetGroupArn"
          ],
          members: {
            DatasetGroupArn: {},
            SupplementaryFeatures: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name",
                  "Value"
                ],
                members: {
                  Name: {},
                  Value: {}
                }
              }
            }
          }
        },
        S2j: {
          type: "structure",
          required: [
            "ForecastFrequency"
          ],
          members: {
            ForecastFrequency: {},
            ForecastDimensions: {
              shape: "S6"
            },
            Featurizations: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "AttributeName"
                ],
                members: {
                  AttributeName: {},
                  FeaturizationPipeline: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "FeaturizationMethodName"
                      ],
                      members: {
                        FeaturizationMethodName: {},
                        FeaturizationMethodParameters: {
                          type: "map",
                          key: {},
                          value: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S2w: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Action: {
                type: "structure",
                required: [
                  "AttributeName",
                  "Operation",
                  "Value"
                ],
                members: {
                  AttributeName: {},
                  Operation: {},
                  Value: {
                    type: "double"
                  }
                }
              },
              TimeSeriesConditions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AttributeName",
                    "AttributeValue",
                    "Condition"
                  ],
                  members: {
                    AttributeName: {},
                    AttributeValue: {},
                    Condition: {}
                  }
                }
              }
            }
          }
        },
        S34: {
          type: "structure",
          required: [
            "S3Config",
            "Schema"
          ],
          members: {
            S3Config: {
              shape: "S1a"
            },
            Schema: {
              shape: "S10"
            },
            Format: {},
            TimestampFormat: {}
          }
        },
        S38: {
          type: "list",
          member: {}
        },
        S3q: {
          type: "structure",
          members: {
            Arn: {},
            State: {}
          }
        },
        S5m: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value",
              "Condition"
            ],
            members: {
              Key: {},
              Value: {},
              Condition: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/forecast-2018-06-26.paginators.json
var require_forecast_2018_06_26_paginators = __commonJS({
  "node_modules/aws-sdk/apis/forecast-2018-06-26.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDatasetGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "DatasetGroups"
        },
        ListDatasetImportJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "DatasetImportJobs"
        },
        ListDatasets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Datasets"
        },
        ListExplainabilities: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Explainabilities"
        },
        ListExplainabilityExports: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ExplainabilityExports"
        },
        ListForecastExportJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ForecastExportJobs"
        },
        ListForecasts: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Forecasts"
        },
        ListMonitorEvaluations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PredictorMonitorEvaluations"
        },
        ListMonitors: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Monitors"
        },
        ListPredictorBacktestExportJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PredictorBacktestExportJobs"
        },
        ListPredictors: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Predictors"
        },
        ListWhatIfAnalyses: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "WhatIfAnalyses"
        },
        ListWhatIfForecastExports: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "WhatIfForecastExports"
        },
        ListWhatIfForecasts: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "WhatIfForecasts"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/forecastservice.js
var require_forecastservice = __commonJS({
  "node_modules/aws-sdk/clients/forecastservice.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["forecastservice"] = {};
    AWS2.ForecastService = Service.defineService("forecastservice", ["2018-06-26"]);
    Object.defineProperty(apiLoader.services["forecastservice"], "2018-06-26", {
      get: function get() {
        var model = require_forecast_2018_06_26_min();
        model.paginators = require_forecast_2018_06_26_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ForecastService;
  }
});

// node_modules/aws-sdk/apis/forecastquery-2018-06-26.min.json
var require_forecastquery_2018_06_26_min = __commonJS({
  "node_modules/aws-sdk/apis/forecastquery-2018-06-26.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-06-26",
        endpointPrefix: "forecastquery",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Forecast Query Service",
        serviceId: "forecastquery",
        signatureVersion: "v4",
        signingName: "forecast",
        targetPrefix: "AmazonForecastRuntime",
        uid: "forecastquery-2018-06-26"
      },
      operations: {
        QueryForecast: {
          input: {
            type: "structure",
            required: [
              "ForecastArn",
              "Filters"
            ],
            members: {
              ForecastArn: {},
              StartDate: {},
              EndDate: {},
              Filters: {
                shape: "S4"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Forecast: {
                shape: "S9"
              }
            }
          }
        },
        QueryWhatIfForecast: {
          input: {
            type: "structure",
            required: [
              "WhatIfForecastArn",
              "Filters"
            ],
            members: {
              WhatIfForecastArn: {},
              StartDate: {},
              EndDate: {},
              Filters: {
                shape: "S4"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Forecast: {
                shape: "S9"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "map",
          key: {},
          value: {}
        },
        S9: {
          type: "structure",
          members: {
            Predictions: {
              type: "map",
              key: {},
              value: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Timestamp: {},
                    Value: {
                      type: "double"
                    }
                  }
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/forecastquery-2018-06-26.paginators.json
var require_forecastquery_2018_06_26_paginators = __commonJS({
  "node_modules/aws-sdk/apis/forecastquery-2018-06-26.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/forecastqueryservice.js
var require_forecastqueryservice = __commonJS({
  "node_modules/aws-sdk/clients/forecastqueryservice.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["forecastqueryservice"] = {};
    AWS2.ForecastQueryService = Service.defineService("forecastqueryservice", ["2018-06-26"]);
    Object.defineProperty(apiLoader.services["forecastqueryservice"], "2018-06-26", {
      get: function get() {
        var model = require_forecastquery_2018_06_26_min();
        model.paginators = require_forecastquery_2018_06_26_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ForecastQueryService;
  }
});

// node_modules/aws-sdk/apis/qldb-2019-01-02.min.json
var require_qldb_2019_01_02_min = __commonJS({
  "node_modules/aws-sdk/apis/qldb-2019-01-02.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-01-02",
        endpointPrefix: "qldb",
        jsonVersion: "1.0",
        protocol: "rest-json",
        serviceAbbreviation: "QLDB",
        serviceFullName: "Amazon QLDB",
        serviceId: "QLDB",
        signatureVersion: "v4",
        signingName: "qldb",
        uid: "qldb-2019-01-02"
      },
      operations: {
        CancelJournalKinesisStream: {
          http: {
            method: "DELETE",
            requestUri: "/ledgers/{name}/journal-kinesis-streams/{streamId}"
          },
          input: {
            type: "structure",
            required: [
              "LedgerName",
              "StreamId"
            ],
            members: {
              LedgerName: {
                location: "uri",
                locationName: "name"
              },
              StreamId: {
                location: "uri",
                locationName: "streamId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamId: {}
            }
          }
        },
        CreateLedger: {
          http: {
            requestUri: "/ledgers"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "PermissionsMode"
            ],
            members: {
              Name: {},
              Tags: {
                shape: "S6"
              },
              PermissionsMode: {},
              DeletionProtection: {
                type: "boolean"
              },
              KmsKey: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Arn: {},
              State: {},
              CreationDateTime: {
                type: "timestamp"
              },
              PermissionsMode: {},
              DeletionProtection: {
                type: "boolean"
              },
              KmsKeyArn: {}
            }
          }
        },
        DeleteLedger: {
          http: {
            method: "DELETE",
            requestUri: "/ledgers/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          }
        },
        DescribeJournalKinesisStream: {
          http: {
            method: "GET",
            requestUri: "/ledgers/{name}/journal-kinesis-streams/{streamId}"
          },
          input: {
            type: "structure",
            required: [
              "LedgerName",
              "StreamId"
            ],
            members: {
              LedgerName: {
                location: "uri",
                locationName: "name"
              },
              StreamId: {
                location: "uri",
                locationName: "streamId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Stream: {
                shape: "Sj"
              }
            }
          }
        },
        DescribeJournalS3Export: {
          http: {
            method: "GET",
            requestUri: "/ledgers/{name}/journal-s3-exports/{exportId}"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "ExportId"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              ExportId: {
                location: "uri",
                locationName: "exportId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ExportDescription"
            ],
            members: {
              ExportDescription: {
                shape: "Sr"
              }
            }
          }
        },
        DescribeLedger: {
          http: {
            method: "GET",
            requestUri: "/ledgers/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Arn: {},
              State: {},
              CreationDateTime: {
                type: "timestamp"
              },
              PermissionsMode: {},
              DeletionProtection: {
                type: "boolean"
              },
              EncryptionDescription: {
                shape: "S11"
              }
            }
          }
        },
        ExportJournalToS3: {
          http: {
            requestUri: "/ledgers/{name}/journal-s3-exports"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "InclusiveStartTime",
              "ExclusiveEndTime",
              "S3ExportConfiguration",
              "RoleArn"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              InclusiveStartTime: {
                type: "timestamp"
              },
              ExclusiveEndTime: {
                type: "timestamp"
              },
              S3ExportConfiguration: {
                shape: "St"
              },
              RoleArn: {},
              OutputFormat: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ExportId"
            ],
            members: {
              ExportId: {}
            }
          }
        },
        GetBlock: {
          http: {
            requestUri: "/ledgers/{name}/block"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "BlockAddress"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              BlockAddress: {
                shape: "S16"
              },
              DigestTipAddress: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Block"
            ],
            members: {
              Block: {
                shape: "S16"
              },
              Proof: {
                shape: "S16"
              }
            }
          }
        },
        GetDigest: {
          http: {
            requestUri: "/ledgers/{name}/digest"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Digest",
              "DigestTipAddress"
            ],
            members: {
              Digest: {
                type: "blob"
              },
              DigestTipAddress: {
                shape: "S16"
              }
            }
          }
        },
        GetRevision: {
          http: {
            requestUri: "/ledgers/{name}/revision"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "BlockAddress",
              "DocumentId"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              BlockAddress: {
                shape: "S16"
              },
              DocumentId: {},
              DigestTipAddress: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Revision"
            ],
            members: {
              Proof: {
                shape: "S16"
              },
              Revision: {
                shape: "S16"
              }
            }
          }
        },
        ListJournalKinesisStreamsForLedger: {
          http: {
            method: "GET",
            requestUri: "/ledgers/{name}/journal-kinesis-streams"
          },
          input: {
            type: "structure",
            required: [
              "LedgerName"
            ],
            members: {
              LedgerName: {
                location: "uri",
                locationName: "name"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next_token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Streams: {
                type: "list",
                member: {
                  shape: "Sj"
                }
              },
              NextToken: {}
            }
          }
        },
        ListJournalS3Exports: {
          http: {
            method: "GET",
            requestUri: "/journal-s3-exports"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next_token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JournalS3Exports: {
                shape: "S1l"
              },
              NextToken: {}
            }
          }
        },
        ListJournalS3ExportsForLedger: {
          http: {
            method: "GET",
            requestUri: "/ledgers/{name}/journal-s3-exports"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next_token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JournalS3Exports: {
                shape: "S1l"
              },
              NextToken: {}
            }
          }
        },
        ListLedgers: {
          http: {
            method: "GET",
            requestUri: "/ledgers"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next_token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Ledgers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    State: {},
                    CreationDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S6"
              }
            }
          }
        },
        StreamJournalToKinesis: {
          http: {
            requestUri: "/ledgers/{name}/journal-kinesis-streams"
          },
          input: {
            type: "structure",
            required: [
              "LedgerName",
              "RoleArn",
              "InclusiveStartTime",
              "KinesisConfiguration",
              "StreamName"
            ],
            members: {
              LedgerName: {
                location: "uri",
                locationName: "name"
              },
              RoleArn: {},
              Tags: {
                shape: "S6"
              },
              InclusiveStartTime: {
                type: "timestamp"
              },
              ExclusiveEndTime: {
                type: "timestamp"
              },
              KinesisConfiguration: {
                shape: "Sl"
              },
              StreamName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              StreamId: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              Tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateLedger: {
          http: {
            method: "PATCH",
            requestUri: "/ledgers/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              DeletionProtection: {
                type: "boolean"
              },
              KmsKey: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Arn: {},
              State: {},
              CreationDateTime: {
                type: "timestamp"
              },
              DeletionProtection: {
                type: "boolean"
              },
              EncryptionDescription: {
                shape: "S11"
              }
            }
          }
        },
        UpdateLedgerPermissionsMode: {
          http: {
            method: "PATCH",
            requestUri: "/ledgers/{name}/permissions-mode"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "PermissionsMode"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              PermissionsMode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Arn: {},
              PermissionsMode: {}
            }
          }
        }
      },
      shapes: {
        S6: {
          type: "map",
          key: {},
          value: {}
        },
        Sj: {
          type: "structure",
          required: [
            "LedgerName",
            "RoleArn",
            "StreamId",
            "Status",
            "KinesisConfiguration",
            "StreamName"
          ],
          members: {
            LedgerName: {},
            CreationTime: {
              type: "timestamp"
            },
            InclusiveStartTime: {
              type: "timestamp"
            },
            ExclusiveEndTime: {
              type: "timestamp"
            },
            RoleArn: {},
            StreamId: {},
            Arn: {},
            Status: {},
            KinesisConfiguration: {
              shape: "Sl"
            },
            ErrorCause: {},
            StreamName: {}
          }
        },
        Sl: {
          type: "structure",
          required: [
            "StreamArn"
          ],
          members: {
            StreamArn: {},
            AggregationEnabled: {
              type: "boolean"
            }
          }
        },
        Sr: {
          type: "structure",
          required: [
            "LedgerName",
            "ExportId",
            "ExportCreationTime",
            "Status",
            "InclusiveStartTime",
            "ExclusiveEndTime",
            "S3ExportConfiguration",
            "RoleArn"
          ],
          members: {
            LedgerName: {},
            ExportId: {},
            ExportCreationTime: {
              type: "timestamp"
            },
            Status: {},
            InclusiveStartTime: {
              type: "timestamp"
            },
            ExclusiveEndTime: {
              type: "timestamp"
            },
            S3ExportConfiguration: {
              shape: "St"
            },
            RoleArn: {},
            OutputFormat: {}
          }
        },
        St: {
          type: "structure",
          required: [
            "Bucket",
            "Prefix",
            "EncryptionConfiguration"
          ],
          members: {
            Bucket: {},
            Prefix: {},
            EncryptionConfiguration: {
              type: "structure",
              required: [
                "ObjectEncryptionType"
              ],
              members: {
                ObjectEncryptionType: {},
                KmsKeyArn: {}
              }
            }
          }
        },
        S11: {
          type: "structure",
          required: [
            "KmsKeyArn",
            "EncryptionStatus"
          ],
          members: {
            KmsKeyArn: {},
            EncryptionStatus: {},
            InaccessibleKmsKeyDateTime: {
              type: "timestamp"
            }
          }
        },
        S16: {
          type: "structure",
          members: {
            IonText: {
              type: "string",
              sensitive: true
            }
          },
          sensitive: true
        },
        S1l: {
          type: "list",
          member: {
            shape: "Sr"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/qldb-2019-01-02.paginators.json
var require_qldb_2019_01_02_paginators = __commonJS({
  "node_modules/aws-sdk/apis/qldb-2019-01-02.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListJournalKinesisStreamsForLedger: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListJournalS3Exports: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListJournalS3ExportsForLedger: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListLedgers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/qldb.js
var require_qldb = __commonJS({
  "node_modules/aws-sdk/clients/qldb.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["qldb"] = {};
    AWS2.QLDB = Service.defineService("qldb", ["2019-01-02"]);
    Object.defineProperty(apiLoader.services["qldb"], "2019-01-02", {
      get: function get() {
        var model = require_qldb_2019_01_02_min();
        model.paginators = require_qldb_2019_01_02_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.QLDB;
  }
});

// node_modules/aws-sdk/apis/qldb-session-2019-07-11.min.json
var require_qldb_session_2019_07_11_min = __commonJS({
  "node_modules/aws-sdk/apis/qldb-session-2019-07-11.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-07-11",
        endpointPrefix: "session.qldb",
        jsonVersion: "1.0",
        protocol: "json",
        serviceAbbreviation: "QLDB Session",
        serviceFullName: "Amazon QLDB Session",
        serviceId: "QLDB Session",
        signatureVersion: "v4",
        signingName: "qldb",
        targetPrefix: "QLDBSession",
        uid: "qldb-session-2019-07-11"
      },
      operations: {
        SendCommand: {
          input: {
            type: "structure",
            members: {
              SessionToken: {},
              StartSession: {
                type: "structure",
                required: [
                  "LedgerName"
                ],
                members: {
                  LedgerName: {}
                }
              },
              StartTransaction: {
                type: "structure",
                members: {}
              },
              EndSession: {
                type: "structure",
                members: {}
              },
              CommitTransaction: {
                type: "structure",
                required: [
                  "TransactionId",
                  "CommitDigest"
                ],
                members: {
                  TransactionId: {},
                  CommitDigest: {
                    type: "blob"
                  }
                }
              },
              AbortTransaction: {
                type: "structure",
                members: {}
              },
              ExecuteStatement: {
                type: "structure",
                required: [
                  "TransactionId",
                  "Statement"
                ],
                members: {
                  TransactionId: {},
                  Statement: {},
                  Parameters: {
                    type: "list",
                    member: {
                      shape: "Se"
                    }
                  }
                }
              },
              FetchPage: {
                type: "structure",
                required: [
                  "TransactionId",
                  "NextPageToken"
                ],
                members: {
                  TransactionId: {},
                  NextPageToken: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StartSession: {
                type: "structure",
                members: {
                  SessionToken: {},
                  TimingInformation: {
                    shape: "Sl"
                  }
                }
              },
              StartTransaction: {
                type: "structure",
                members: {
                  TransactionId: {},
                  TimingInformation: {
                    shape: "Sl"
                  }
                }
              },
              EndSession: {
                type: "structure",
                members: {
                  TimingInformation: {
                    shape: "Sl"
                  }
                }
              },
              CommitTransaction: {
                type: "structure",
                members: {
                  TransactionId: {},
                  CommitDigest: {
                    type: "blob"
                  },
                  TimingInformation: {
                    shape: "Sl"
                  },
                  ConsumedIOs: {
                    shape: "Sq"
                  }
                }
              },
              AbortTransaction: {
                type: "structure",
                members: {
                  TimingInformation: {
                    shape: "Sl"
                  }
                }
              },
              ExecuteStatement: {
                type: "structure",
                members: {
                  FirstPage: {
                    shape: "Sv"
                  },
                  TimingInformation: {
                    shape: "Sl"
                  },
                  ConsumedIOs: {
                    shape: "Sq"
                  }
                }
              },
              FetchPage: {
                type: "structure",
                members: {
                  Page: {
                    shape: "Sv"
                  },
                  TimingInformation: {
                    shape: "Sl"
                  },
                  ConsumedIOs: {
                    shape: "Sq"
                  }
                }
              }
            }
          }
        }
      },
      shapes: {
        Se: {
          type: "structure",
          members: {
            IonBinary: {
              type: "blob"
            },
            IonText: {}
          }
        },
        Sl: {
          type: "structure",
          members: {
            ProcessingTimeMilliseconds: {
              type: "long"
            }
          }
        },
        Sq: {
          type: "structure",
          members: {
            ReadIOs: {
              type: "long"
            },
            WriteIOs: {
              type: "long"
            }
          }
        },
        Sv: {
          type: "structure",
          members: {
            Values: {
              type: "list",
              member: {
                shape: "Se"
              }
            },
            NextPageToken: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/qldb-session-2019-07-11.paginators.json
var require_qldb_session_2019_07_11_paginators = __commonJS({
  "node_modules/aws-sdk/apis/qldb-session-2019-07-11.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/qldbsession.js
var require_qldbsession = __commonJS({
  "node_modules/aws-sdk/clients/qldbsession.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["qldbsession"] = {};
    AWS2.QLDBSession = Service.defineService("qldbsession", ["2019-07-11"]);
    Object.defineProperty(apiLoader.services["qldbsession"], "2019-07-11", {
      get: function get() {
        var model = require_qldb_session_2019_07_11_min();
        model.paginators = require_qldb_session_2019_07_11_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.QLDBSession;
  }
});

// node_modules/aws-sdk/apis/workmailmessageflow-2019-05-01.min.json
var require_workmailmessageflow_2019_05_01_min = __commonJS({
  "node_modules/aws-sdk/apis/workmailmessageflow-2019-05-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-05-01",
        endpointPrefix: "workmailmessageflow",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon WorkMail Message Flow",
        serviceId: "WorkMailMessageFlow",
        signatureVersion: "v4",
        uid: "workmailmessageflow-2019-05-01"
      },
      operations: {
        GetRawMessageContent: {
          http: {
            method: "GET",
            requestUri: "/messages/{messageId}"
          },
          input: {
            type: "structure",
            required: [
              "messageId"
            ],
            members: {
              messageId: {
                location: "uri",
                locationName: "messageId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "messageContent"
            ],
            members: {
              messageContent: {
                type: "blob",
                streaming: true
              }
            },
            payload: "messageContent"
          }
        },
        PutRawMessageContent: {
          http: {
            requestUri: "/messages/{messageId}"
          },
          input: {
            type: "structure",
            required: [
              "messageId",
              "content"
            ],
            members: {
              messageId: {
                location: "uri",
                locationName: "messageId"
              },
              content: {
                type: "structure",
                required: [
                  "s3Reference"
                ],
                members: {
                  s3Reference: {
                    type: "structure",
                    required: [
                      "bucket",
                      "key"
                    ],
                    members: {
                      bucket: {},
                      key: {},
                      objectVersion: {}
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {}
    };
  }
});

// node_modules/aws-sdk/apis/workmailmessageflow-2019-05-01.paginators.json
var require_workmailmessageflow_2019_05_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/workmailmessageflow-2019-05-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/workmailmessageflow.js
var require_workmailmessageflow = __commonJS({
  "node_modules/aws-sdk/clients/workmailmessageflow.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["workmailmessageflow"] = {};
    AWS2.WorkMailMessageFlow = Service.defineService("workmailmessageflow", ["2019-05-01"]);
    Object.defineProperty(apiLoader.services["workmailmessageflow"], "2019-05-01", {
      get: function get() {
        var model = require_workmailmessageflow_2019_05_01_min();
        model.paginators = require_workmailmessageflow_2019_05_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.WorkMailMessageFlow;
  }
});

// node_modules/aws-sdk/apis/codestar-notifications-2019-10-15.min.json
var require_codestar_notifications_2019_10_15_min = __commonJS({
  "node_modules/aws-sdk/apis/codestar-notifications-2019-10-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-10-15",
        endpointPrefix: "codestar-notifications",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS CodeStar Notifications",
        serviceId: "codestar notifications",
        signatureVersion: "v4",
        signingName: "codestar-notifications",
        uid: "codestar-notifications-2019-10-15"
      },
      operations: {
        CreateNotificationRule: {
          http: {
            requestUri: "/createNotificationRule"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "EventTypeIds",
              "Resource",
              "Targets",
              "DetailType"
            ],
            members: {
              Name: {
                shape: "S2"
              },
              EventTypeIds: {
                shape: "S3"
              },
              Resource: {},
              Targets: {
                shape: "S6"
              },
              DetailType: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sc"
              },
              Status: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          }
        },
        DeleteNotificationRule: {
          http: {
            requestUri: "/deleteNotificationRule"
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          }
        },
        DeleteTarget: {
          http: {
            requestUri: "/deleteTarget"
          },
          input: {
            type: "structure",
            required: [
              "TargetAddress"
            ],
            members: {
              TargetAddress: {
                shape: "S9"
              },
              ForceUnsubscribeAll: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeNotificationRule: {
          http: {
            requestUri: "/describeNotificationRule"
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {},
              Name: {
                shape: "S2"
              },
              EventTypes: {
                shape: "Sp"
              },
              Resource: {},
              Targets: {
                shape: "Su"
              },
              DetailType: {},
              CreatedBy: {},
              Status: {},
              CreatedTimestamp: {
                type: "timestamp"
              },
              LastModifiedTimestamp: {
                type: "timestamp"
              },
              Tags: {
                shape: "Sc"
              }
            }
          }
        },
        ListEventTypes: {
          http: {
            requestUri: "/listEventTypes"
          },
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Value"
                  ],
                  members: {
                    Name: {},
                    Value: {}
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventTypes: {
                shape: "Sp"
              },
              NextToken: {}
            }
          }
        },
        ListNotificationRules: {
          http: {
            requestUri: "/listNotificationRules"
          },
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Value"
                  ],
                  members: {
                    Name: {},
                    Value: {}
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              NotificationRules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            requestUri: "/listTagsForResource"
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sc"
              }
            }
          }
        },
        ListTargets: {
          http: {
            requestUri: "/listTargets"
          },
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Value"
                  ],
                  members: {
                    Name: {},
                    Value: {}
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Targets: {
                shape: "Su"
              },
              NextToken: {}
            }
          }
        },
        Subscribe: {
          http: {
            requestUri: "/subscribe"
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "Target"
            ],
            members: {
              Arn: {},
              Target: {
                shape: "S7"
              },
              ClientRequestToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tagResource"
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "Tags"
            ],
            members: {
              Arn: {},
              Tags: {
                shape: "Sc"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sc"
              }
            }
          }
        },
        Unsubscribe: {
          http: {
            requestUri: "/unsubscribe"
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "TargetAddress"
            ],
            members: {
              Arn: {},
              TargetAddress: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {}
            }
          }
        },
        UntagResource: {
          http: {
            requestUri: "/untagResource/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "TagKeys"
            ],
            members: {
              Arn: {
                location: "uri",
                locationName: "resourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateNotificationRule: {
          http: {
            requestUri: "/updateNotificationRule"
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {},
              Name: {
                shape: "S2"
              },
              Status: {},
              EventTypeIds: {
                shape: "S3"
              },
              Targets: {
                shape: "S6"
              },
              DetailType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S2: {
          type: "string",
          sensitive: true
        },
        S3: {
          type: "list",
          member: {}
        },
        S6: {
          type: "list",
          member: {
            shape: "S7"
          }
        },
        S7: {
          type: "structure",
          members: {
            TargetType: {},
            TargetAddress: {
              shape: "S9"
            }
          }
        },
        S9: {
          type: "string",
          sensitive: true
        },
        Sc: {
          type: "map",
          key: {},
          value: {}
        },
        Sp: {
          type: "list",
          member: {
            type: "structure",
            members: {
              EventTypeId: {},
              ServiceName: {},
              EventTypeName: {},
              ResourceType: {}
            }
          }
        },
        Su: {
          type: "list",
          member: {
            type: "structure",
            members: {
              TargetAddress: {
                shape: "S9"
              },
              TargetType: {},
              TargetStatus: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/codestar-notifications-2019-10-15.paginators.json
var require_codestar_notifications_2019_10_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/codestar-notifications-2019-10-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListEventTypes: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "EventTypes"
        },
        ListNotificationRules: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "NotificationRules"
        },
        ListTargets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Targets"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/codestarnotifications.js
var require_codestarnotifications = __commonJS({
  "node_modules/aws-sdk/clients/codestarnotifications.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["codestarnotifications"] = {};
    AWS2.CodeStarNotifications = Service.defineService("codestarnotifications", ["2019-10-15"]);
    Object.defineProperty(apiLoader.services["codestarnotifications"], "2019-10-15", {
      get: function get() {
        var model = require_codestar_notifications_2019_10_15_min();
        model.paginators = require_codestar_notifications_2019_10_15_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CodeStarNotifications;
  }
});

// node_modules/aws-sdk/apis/savingsplans-2019-06-28.min.json
var require_savingsplans_2019_06_28_min = __commonJS({
  "node_modules/aws-sdk/apis/savingsplans-2019-06-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-06-28",
        endpointPrefix: "savingsplans",
        globalEndpoint: "savingsplans.amazonaws.com",
        jsonVersion: "1.0",
        protocol: "rest-json",
        serviceAbbreviation: "AWSSavingsPlans",
        serviceFullName: "AWS Savings Plans",
        serviceId: "savingsplans",
        signatureVersion: "v4",
        uid: "savingsplans-2019-06-28"
      },
      operations: {
        CreateSavingsPlan: {
          http: {
            requestUri: "/CreateSavingsPlan"
          },
          input: {
            type: "structure",
            required: [
              "savingsPlanOfferingId",
              "commitment"
            ],
            members: {
              savingsPlanOfferingId: {},
              commitment: {},
              upfrontPaymentAmount: {},
              purchaseTime: {
                type: "timestamp"
              },
              clientToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              savingsPlanId: {}
            }
          }
        },
        DeleteQueuedSavingsPlan: {
          http: {
            requestUri: "/DeleteQueuedSavingsPlan"
          },
          input: {
            type: "structure",
            required: [
              "savingsPlanId"
            ],
            members: {
              savingsPlanId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeSavingsPlanRates: {
          http: {
            requestUri: "/DescribeSavingsPlanRates"
          },
          input: {
            type: "structure",
            required: [
              "savingsPlanId"
            ],
            members: {
              savingsPlanId: {},
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    values: {
                      shape: "Sh"
                    }
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              savingsPlanId: {},
              searchResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    rate: {},
                    currency: {},
                    unit: {},
                    productType: {},
                    serviceCode: {},
                    usageType: {},
                    operation: {},
                    properties: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          name: {},
                          value: {}
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeSavingsPlans: {
          http: {
            requestUri: "/DescribeSavingsPlans"
          },
          input: {
            type: "structure",
            members: {
              savingsPlanArns: {
                type: "list",
                member: {}
              },
              savingsPlanIds: {
                type: "list",
                member: {}
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              states: {
                type: "list",
                member: {}
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    values: {
                      shape: "Sh"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              savingsPlans: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    offeringId: {},
                    savingsPlanId: {},
                    savingsPlanArn: {},
                    description: {},
                    start: {},
                    end: {},
                    state: {},
                    region: {},
                    ec2InstanceFamily: {},
                    savingsPlanType: {},
                    paymentOption: {},
                    productTypes: {
                      shape: "S1e"
                    },
                    currency: {},
                    commitment: {},
                    upfrontPaymentAmount: {},
                    recurringPaymentAmount: {},
                    termDurationInSeconds: {
                      type: "long"
                    },
                    tags: {
                      shape: "S6"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeSavingsPlansOfferingRates: {
          http: {
            requestUri: "/DescribeSavingsPlansOfferingRates"
          },
          input: {
            type: "structure",
            members: {
              savingsPlanOfferingIds: {
                shape: "S1h"
              },
              savingsPlanPaymentOptions: {
                shape: "S1j"
              },
              savingsPlanTypes: {
                shape: "S1k"
              },
              products: {
                shape: "S1e"
              },
              serviceCodes: {
                type: "list",
                member: {}
              },
              usageTypes: {
                type: "list",
                member: {}
              },
              operations: {
                type: "list",
                member: {}
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    values: {
                      shape: "S1r"
                    }
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              searchResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    savingsPlanOffering: {
                      type: "structure",
                      members: {
                        offeringId: {},
                        paymentOption: {},
                        planType: {},
                        durationSeconds: {
                          type: "long"
                        },
                        currency: {},
                        planDescription: {}
                      }
                    },
                    rate: {},
                    unit: {},
                    productType: {},
                    serviceCode: {},
                    usageType: {},
                    operation: {},
                    properties: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          name: {},
                          value: {}
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeSavingsPlansOfferings: {
          http: {
            requestUri: "/DescribeSavingsPlansOfferings"
          },
          input: {
            type: "structure",
            members: {
              offeringIds: {
                shape: "S1h"
              },
              paymentOptions: {
                shape: "S1j"
              },
              productType: {},
              planTypes: {
                shape: "S1k"
              },
              durations: {
                type: "list",
                member: {
                  type: "long"
                }
              },
              currencies: {
                type: "list",
                member: {}
              },
              descriptions: {
                type: "list",
                member: {}
              },
              serviceCodes: {
                type: "list",
                member: {}
              },
              usageTypes: {
                type: "list",
                member: {}
              },
              operations: {
                type: "list",
                member: {}
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    values: {
                      shape: "S1r"
                    }
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              searchResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    offeringId: {},
                    productTypes: {
                      shape: "S1e"
                    },
                    planType: {},
                    description: {},
                    paymentOption: {},
                    durationSeconds: {
                      type: "long"
                    },
                    currency: {},
                    serviceCode: {},
                    usageType: {},
                    operation: {},
                    properties: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          name: {},
                          value: {}
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            requestUri: "/ListTagsForResource"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S6"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/TagResource"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            requestUri: "/UntagResource"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S6: {
          type: "map",
          key: {},
          value: {}
        },
        Sh: {
          type: "list",
          member: {}
        },
        S1e: {
          type: "list",
          member: {}
        },
        S1h: {
          type: "list",
          member: {}
        },
        S1j: {
          type: "list",
          member: {}
        },
        S1k: {
          type: "list",
          member: {}
        },
        S1r: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/savingsplans-2019-06-28.paginators.json
var require_savingsplans_2019_06_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/savingsplans-2019-06-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/savingsplans.js
var require_savingsplans = __commonJS({
  "node_modules/aws-sdk/clients/savingsplans.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["savingsplans"] = {};
    AWS2.SavingsPlans = Service.defineService("savingsplans", ["2019-06-28"]);
    Object.defineProperty(apiLoader.services["savingsplans"], "2019-06-28", {
      get: function get() {
        var model = require_savingsplans_2019_06_28_min();
        model.paginators = require_savingsplans_2019_06_28_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SavingsPlans;
  }
});

// node_modules/aws-sdk/apis/sso-2019-06-10.min.json
var require_sso_2019_06_10_min = __commonJS({
  "node_modules/aws-sdk/apis/sso-2019-06-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-06-10",
        endpointPrefix: "portal.sso",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "SSO",
        serviceFullName: "AWS Single Sign-On",
        serviceId: "SSO",
        signatureVersion: "v4",
        signingName: "awsssoportal",
        uid: "sso-2019-06-10"
      },
      operations: {
        GetRoleCredentials: {
          http: {
            method: "GET",
            requestUri: "/federation/credentials"
          },
          input: {
            type: "structure",
            required: [
              "roleName",
              "accountId",
              "accessToken"
            ],
            members: {
              roleName: {
                location: "querystring",
                locationName: "role_name"
              },
              accountId: {
                location: "querystring",
                locationName: "account_id"
              },
              accessToken: {
                shape: "S4",
                location: "header",
                locationName: "x-amz-sso_bearer_token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              roleCredentials: {
                type: "structure",
                members: {
                  accessKeyId: {},
                  secretAccessKey: {
                    type: "string",
                    sensitive: true
                  },
                  sessionToken: {
                    type: "string",
                    sensitive: true
                  },
                  expiration: {
                    type: "long"
                  }
                }
              }
            }
          },
          authtype: "none"
        },
        ListAccountRoles: {
          http: {
            method: "GET",
            requestUri: "/assignment/roles"
          },
          input: {
            type: "structure",
            required: [
              "accessToken",
              "accountId"
            ],
            members: {
              nextToken: {
                location: "querystring",
                locationName: "next_token"
              },
              maxResults: {
                location: "querystring",
                locationName: "max_result",
                type: "integer"
              },
              accessToken: {
                shape: "S4",
                location: "header",
                locationName: "x-amz-sso_bearer_token"
              },
              accountId: {
                location: "querystring",
                locationName: "account_id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              roleList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    roleName: {},
                    accountId: {}
                  }
                }
              }
            }
          },
          authtype: "none"
        },
        ListAccounts: {
          http: {
            method: "GET",
            requestUri: "/assignment/accounts"
          },
          input: {
            type: "structure",
            required: [
              "accessToken"
            ],
            members: {
              nextToken: {
                location: "querystring",
                locationName: "next_token"
              },
              maxResults: {
                location: "querystring",
                locationName: "max_result",
                type: "integer"
              },
              accessToken: {
                shape: "S4",
                location: "header",
                locationName: "x-amz-sso_bearer_token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              accountList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    accountId: {},
                    accountName: {},
                    emailAddress: {}
                  }
                }
              }
            }
          },
          authtype: "none"
        },
        Logout: {
          http: {
            requestUri: "/logout"
          },
          input: {
            type: "structure",
            required: [
              "accessToken"
            ],
            members: {
              accessToken: {
                shape: "S4",
                location: "header",
                locationName: "x-amz-sso_bearer_token"
              }
            }
          },
          authtype: "none"
        }
      },
      shapes: {
        S4: {
          type: "string",
          sensitive: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/sso-2019-06-10.paginators.json
var require_sso_2019_06_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/sso-2019-06-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAccountRoles: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "roleList"
        },
        ListAccounts: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "accountList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/sso.js
var require_sso = __commonJS({
  "node_modules/aws-sdk/clients/sso.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["sso"] = {};
    AWS2.SSO = Service.defineService("sso", ["2019-06-10"]);
    Object.defineProperty(apiLoader.services["sso"], "2019-06-10", {
      get: function get() {
        var model = require_sso_2019_06_10_min();
        model.paginators = require_sso_2019_06_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SSO;
  }
});

// node_modules/aws-sdk/apis/sso-oidc-2019-06-10.min.json
var require_sso_oidc_2019_06_10_min = __commonJS({
  "node_modules/aws-sdk/apis/sso-oidc-2019-06-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-06-10",
        endpointPrefix: "oidc",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "SSO OIDC",
        serviceFullName: "AWS SSO OIDC",
        serviceId: "SSO OIDC",
        signatureVersion: "v4",
        signingName: "awsssooidc",
        uid: "sso-oidc-2019-06-10"
      },
      operations: {
        CreateToken: {
          http: {
            requestUri: "/token"
          },
          input: {
            type: "structure",
            required: [
              "clientId",
              "clientSecret",
              "grantType"
            ],
            members: {
              clientId: {},
              clientSecret: {},
              grantType: {},
              deviceCode: {},
              code: {},
              refreshToken: {},
              scope: {
                shape: "S8"
              },
              redirectUri: {}
            }
          },
          output: {
            type: "structure",
            members: {
              accessToken: {},
              tokenType: {},
              expiresIn: {
                type: "integer"
              },
              refreshToken: {},
              idToken: {}
            }
          },
          authtype: "none"
        },
        RegisterClient: {
          http: {
            requestUri: "/client/register"
          },
          input: {
            type: "structure",
            required: [
              "clientName",
              "clientType"
            ],
            members: {
              clientName: {},
              clientType: {},
              scopes: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              clientId: {},
              clientSecret: {},
              clientIdIssuedAt: {
                type: "long"
              },
              clientSecretExpiresAt: {
                type: "long"
              },
              authorizationEndpoint: {},
              tokenEndpoint: {}
            }
          },
          authtype: "none"
        },
        StartDeviceAuthorization: {
          http: {
            requestUri: "/device_authorization"
          },
          input: {
            type: "structure",
            required: [
              "clientId",
              "clientSecret",
              "startUrl"
            ],
            members: {
              clientId: {},
              clientSecret: {},
              startUrl: {}
            }
          },
          output: {
            type: "structure",
            members: {
              deviceCode: {},
              userCode: {},
              verificationUri: {},
              verificationUriComplete: {},
              expiresIn: {
                type: "integer"
              },
              interval: {
                type: "integer"
              }
            }
          },
          authtype: "none"
        }
      },
      shapes: {
        S8: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/sso-oidc-2019-06-10.paginators.json
var require_sso_oidc_2019_06_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/sso-oidc-2019-06-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/ssooidc.js
var require_ssooidc = __commonJS({
  "node_modules/aws-sdk/clients/ssooidc.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ssooidc"] = {};
    AWS2.SSOOIDC = Service.defineService("ssooidc", ["2019-06-10"]);
    Object.defineProperty(apiLoader.services["ssooidc"], "2019-06-10", {
      get: function get() {
        var model = require_sso_oidc_2019_06_10_min();
        model.paginators = require_sso_oidc_2019_06_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SSOOIDC;
  }
});

// node_modules/aws-sdk/apis/marketplace-catalog-2018-09-17.min.json
var require_marketplace_catalog_2018_09_17_min = __commonJS({
  "node_modules/aws-sdk/apis/marketplace-catalog-2018-09-17.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-09-17",
        endpointPrefix: "catalog.marketplace",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "AWS Marketplace Catalog",
        serviceFullName: "AWS Marketplace Catalog Service",
        serviceId: "Marketplace Catalog",
        signatureVersion: "v4",
        signingName: "aws-marketplace",
        uid: "marketplace-catalog-2018-09-17"
      },
      operations: {
        CancelChangeSet: {
          http: {
            method: "PATCH",
            requestUri: "/CancelChangeSet"
          },
          input: {
            type: "structure",
            required: [
              "Catalog",
              "ChangeSetId"
            ],
            members: {
              Catalog: {
                location: "querystring",
                locationName: "catalog"
              },
              ChangeSetId: {
                location: "querystring",
                locationName: "changeSetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeSetId: {},
              ChangeSetArn: {}
            }
          }
        },
        DeleteResourcePolicy: {
          http: {
            method: "DELETE",
            requestUri: "/DeleteResourcePolicy"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeChangeSet: {
          http: {
            method: "GET",
            requestUri: "/DescribeChangeSet"
          },
          input: {
            type: "structure",
            required: [
              "Catalog",
              "ChangeSetId"
            ],
            members: {
              Catalog: {
                location: "querystring",
                locationName: "catalog"
              },
              ChangeSetId: {
                location: "querystring",
                locationName: "changeSetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeSetId: {},
              ChangeSetArn: {},
              ChangeSetName: {},
              StartTime: {},
              EndTime: {},
              Status: {},
              FailureCode: {},
              FailureDescription: {},
              ChangeSet: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ChangeType: {},
                    Entity: {
                      shape: "Sj"
                    },
                    Details: {},
                    ErrorDetailList: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ErrorCode: {},
                          ErrorMessage: {}
                        }
                      }
                    },
                    ChangeName: {}
                  }
                }
              }
            }
          }
        },
        DescribeEntity: {
          http: {
            method: "GET",
            requestUri: "/DescribeEntity"
          },
          input: {
            type: "structure",
            required: [
              "Catalog",
              "EntityId"
            ],
            members: {
              Catalog: {
                location: "querystring",
                locationName: "catalog"
              },
              EntityId: {
                location: "querystring",
                locationName: "entityId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EntityType: {},
              EntityIdentifier: {},
              EntityArn: {},
              LastModifiedDate: {},
              Details: {}
            }
          }
        },
        GetResourcePolicy: {
          http: {
            method: "GET",
            requestUri: "/GetResourcePolicy"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {}
            }
          }
        },
        ListChangeSets: {
          http: {
            requestUri: "/ListChangeSets"
          },
          input: {
            type: "structure",
            required: [
              "Catalog"
            ],
            members: {
              Catalog: {},
              FilterList: {
                shape: "Sx"
              },
              Sort: {
                shape: "S12"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeSetSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ChangeSetId: {},
                    ChangeSetArn: {},
                    ChangeSetName: {},
                    StartTime: {},
                    EndTime: {},
                    Status: {},
                    EntityIdList: {
                      type: "list",
                      member: {}
                    },
                    FailureCode: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEntities: {
          http: {
            requestUri: "/ListEntities"
          },
          input: {
            type: "structure",
            required: [
              "Catalog",
              "EntityType"
            ],
            members: {
              Catalog: {},
              EntityType: {},
              FilterList: {
                shape: "Sx"
              },
              Sort: {
                shape: "S12"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              OwnershipType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EntitySummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    EntityType: {},
                    EntityId: {},
                    EntityArn: {},
                    LastModifiedDate: {},
                    Visibility: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            requestUri: "/ListTagsForResource"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S1l"
              }
            }
          }
        },
        PutResourcePolicy: {
          http: {
            requestUri: "/PutResourcePolicy"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Policy"
            ],
            members: {
              ResourceArn: {},
              Policy: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartChangeSet: {
          http: {
            requestUri: "/StartChangeSet"
          },
          input: {
            type: "structure",
            required: [
              "Catalog",
              "ChangeSet"
            ],
            members: {
              Catalog: {},
              ChangeSet: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ChangeType",
                    "Entity",
                    "Details"
                  ],
                  members: {
                    ChangeType: {},
                    Entity: {
                      shape: "Sj"
                    },
                    EntityTags: {
                      shape: "S1l"
                    },
                    Details: {},
                    ChangeName: {}
                  }
                }
              },
              ChangeSetName: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              ChangeSetTags: {
                shape: "S1l"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeSetId: {},
              ChangeSetArn: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/TagResource"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S1l"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            requestUri: "/UntagResource"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        Sj: {
          type: "structure",
          required: [
            "Type"
          ],
          members: {
            Type: {},
            Identifier: {}
          }
        },
        Sx: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              ValueList: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S12: {
          type: "structure",
          members: {
            SortBy: {},
            SortOrder: {}
          }
        },
        S1l: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/marketplace-catalog-2018-09-17.paginators.json
var require_marketplace_catalog_2018_09_17_paginators = __commonJS({
  "node_modules/aws-sdk/apis/marketplace-catalog-2018-09-17.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListChangeSets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ChangeSetSummaryList"
        },
        ListEntities: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "EntitySummaryList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/marketplacecatalog.js
var require_marketplacecatalog = __commonJS({
  "node_modules/aws-sdk/clients/marketplacecatalog.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["marketplacecatalog"] = {};
    AWS2.MarketplaceCatalog = Service.defineService("marketplacecatalog", ["2018-09-17"]);
    Object.defineProperty(apiLoader.services["marketplacecatalog"], "2018-09-17", {
      get: function get() {
        var model = require_marketplace_catalog_2018_09_17_min();
        model.paginators = require_marketplace_catalog_2018_09_17_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MarketplaceCatalog;
  }
});

// node_modules/aws-sdk/apis/dataexchange-2017-07-25.min.json
var require_dataexchange_2017_07_25_min = __commonJS({
  "node_modules/aws-sdk/apis/dataexchange-2017-07-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-07-25",
        endpointPrefix: "dataexchange",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Data Exchange",
        serviceId: "DataExchange",
        signatureVersion: "v4",
        signingName: "dataexchange",
        uid: "dataexchange-2017-07-25"
      },
      operations: {
        CancelJob: {
          http: {
            method: "DELETE",
            requestUri: "/v1/jobs/{JobId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {
                location: "uri",
                locationName: "JobId"
              }
            }
          }
        },
        CreateDataSet: {
          http: {
            requestUri: "/v1/data-sets",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AssetType",
              "Description",
              "Name"
            ],
            members: {
              AssetType: {},
              Description: {},
              Name: {},
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              AssetType: {},
              CreatedAt: {
                shape: "Sa"
              },
              Description: {},
              Id: {},
              Name: {},
              Origin: {},
              OriginDetails: {
                shape: "Sd"
              },
              SourceId: {},
              Tags: {
                shape: "S7"
              },
              UpdatedAt: {
                shape: "Sa"
              }
            }
          }
        },
        CreateEventAction: {
          http: {
            requestUri: "/v1/event-actions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Action",
              "Event"
            ],
            members: {
              Action: {
                shape: "Sf"
              },
              Event: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Action: {
                shape: "Sf"
              },
              Arn: {},
              CreatedAt: {
                shape: "Sa"
              },
              Event: {
                shape: "Sk"
              },
              Id: {},
              UpdatedAt: {
                shape: "Sa"
              }
            }
          }
        },
        CreateJob: {
          http: {
            requestUri: "/v1/jobs",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Details",
              "Type"
            ],
            members: {
              Details: {
                type: "structure",
                members: {
                  ExportAssetToSignedUrl: {
                    type: "structure",
                    required: [
                      "AssetId",
                      "DataSetId",
                      "RevisionId"
                    ],
                    members: {
                      AssetId: {},
                      DataSetId: {},
                      RevisionId: {}
                    }
                  },
                  ExportAssetsToS3: {
                    type: "structure",
                    required: [
                      "AssetDestinations",
                      "DataSetId",
                      "RevisionId"
                    ],
                    members: {
                      AssetDestinations: {
                        shape: "Sr"
                      },
                      DataSetId: {},
                      Encryption: {
                        shape: "Sh"
                      },
                      RevisionId: {}
                    }
                  },
                  ExportRevisionsToS3: {
                    type: "structure",
                    required: [
                      "DataSetId",
                      "RevisionDestinations"
                    ],
                    members: {
                      DataSetId: {},
                      Encryption: {
                        shape: "Sh"
                      },
                      RevisionDestinations: {
                        shape: "Su"
                      }
                    }
                  },
                  ImportAssetFromSignedUrl: {
                    type: "structure",
                    required: [
                      "AssetName",
                      "DataSetId",
                      "Md5Hash",
                      "RevisionId"
                    ],
                    members: {
                      AssetName: {},
                      DataSetId: {},
                      Md5Hash: {},
                      RevisionId: {}
                    }
                  },
                  ImportAssetsFromS3: {
                    type: "structure",
                    required: [
                      "AssetSources",
                      "DataSetId",
                      "RevisionId"
                    ],
                    members: {
                      AssetSources: {
                        shape: "S10"
                      },
                      DataSetId: {},
                      RevisionId: {}
                    }
                  },
                  ImportAssetsFromRedshiftDataShares: {
                    type: "structure",
                    required: [
                      "AssetSources",
                      "DataSetId",
                      "RevisionId"
                    ],
                    members: {
                      AssetSources: {
                        shape: "S13"
                      },
                      DataSetId: {},
                      RevisionId: {}
                    }
                  },
                  ImportAssetFromApiGatewayApi: {
                    type: "structure",
                    required: [
                      "ApiId",
                      "ApiName",
                      "ApiSpecificationMd5Hash",
                      "DataSetId",
                      "ProtocolType",
                      "RevisionId",
                      "Stage"
                    ],
                    members: {
                      ApiDescription: {},
                      ApiId: {},
                      ApiKey: {},
                      ApiName: {},
                      ApiSpecificationMd5Hash: {},
                      DataSetId: {},
                      ProtocolType: {},
                      RevisionId: {},
                      Stage: {}
                    }
                  },
                  CreateS3DataAccessFromS3Bucket: {
                    type: "structure",
                    required: [
                      "AssetSource",
                      "DataSetId",
                      "RevisionId"
                    ],
                    members: {
                      AssetSource: {
                        shape: "S19"
                      },
                      DataSetId: {},
                      RevisionId: {}
                    }
                  },
                  ImportAssetsFromLakeFormationTagPolicy: {
                    type: "structure",
                    required: [
                      "CatalogId",
                      "RoleArn",
                      "DataSetId",
                      "RevisionId"
                    ],
                    members: {
                      CatalogId: {},
                      Database: {
                        shape: "S1g"
                      },
                      Table: {
                        shape: "S1n"
                      },
                      RoleArn: {},
                      DataSetId: {},
                      RevisionId: {}
                    }
                  }
                }
              },
              Type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreatedAt: {
                shape: "Sa"
              },
              Details: {
                shape: "S1t"
              },
              Errors: {
                shape: "S23"
              },
              Id: {},
              State: {},
              Type: {},
              UpdatedAt: {
                shape: "Sa"
              }
            }
          }
        },
        CreateRevision: {
          http: {
            requestUri: "/v1/data-sets/{DataSetId}/revisions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DataSetId"
            ],
            members: {
              Comment: {},
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Comment: {},
              CreatedAt: {
                shape: "Sa"
              },
              DataSetId: {},
              Finalized: {
                type: "boolean"
              },
              Id: {},
              SourceId: {},
              Tags: {
                shape: "S7"
              },
              UpdatedAt: {
                shape: "Sa"
              },
              RevocationComment: {},
              Revoked: {
                type: "boolean"
              },
              RevokedAt: {
                shape: "Sa"
              }
            }
          }
        },
        DeleteAsset: {
          http: {
            method: "DELETE",
            requestUri: "/v1/data-sets/{DataSetId}/revisions/{RevisionId}/assets/{AssetId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AssetId",
              "DataSetId",
              "RevisionId"
            ],
            members: {
              AssetId: {
                location: "uri",
                locationName: "AssetId"
              },
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              RevisionId: {
                location: "uri",
                locationName: "RevisionId"
              }
            }
          }
        },
        DeleteDataSet: {
          http: {
            method: "DELETE",
            requestUri: "/v1/data-sets/{DataSetId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "DataSetId"
            ],
            members: {
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              }
            }
          }
        },
        DeleteEventAction: {
          http: {
            method: "DELETE",
            requestUri: "/v1/event-actions/{EventActionId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "EventActionId"
            ],
            members: {
              EventActionId: {
                location: "uri",
                locationName: "EventActionId"
              }
            }
          }
        },
        DeleteRevision: {
          http: {
            method: "DELETE",
            requestUri: "/v1/data-sets/{DataSetId}/revisions/{RevisionId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "DataSetId",
              "RevisionId"
            ],
            members: {
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              RevisionId: {
                location: "uri",
                locationName: "RevisionId"
              }
            }
          }
        },
        GetAsset: {
          http: {
            method: "GET",
            requestUri: "/v1/data-sets/{DataSetId}/revisions/{RevisionId}/assets/{AssetId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AssetId",
              "DataSetId",
              "RevisionId"
            ],
            members: {
              AssetId: {
                location: "uri",
                locationName: "AssetId"
              },
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              RevisionId: {
                location: "uri",
                locationName: "RevisionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              AssetDetails: {
                shape: "S2n"
              },
              AssetType: {},
              CreatedAt: {
                shape: "Sa"
              },
              DataSetId: {},
              Id: {},
              Name: {},
              RevisionId: {},
              SourceId: {},
              UpdatedAt: {
                shape: "Sa"
              }
            }
          }
        },
        GetDataSet: {
          http: {
            method: "GET",
            requestUri: "/v1/data-sets/{DataSetId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DataSetId"
            ],
            members: {
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              AssetType: {},
              CreatedAt: {
                shape: "Sa"
              },
              Description: {},
              Id: {},
              Name: {},
              Origin: {},
              OriginDetails: {
                shape: "Sd"
              },
              SourceId: {},
              Tags: {
                shape: "S7"
              },
              UpdatedAt: {
                shape: "Sa"
              }
            }
          }
        },
        GetEventAction: {
          http: {
            method: "GET",
            requestUri: "/v1/event-actions/{EventActionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "EventActionId"
            ],
            members: {
              EventActionId: {
                location: "uri",
                locationName: "EventActionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Action: {
                shape: "Sf"
              },
              Arn: {},
              CreatedAt: {
                shape: "Sa"
              },
              Event: {
                shape: "Sk"
              },
              Id: {},
              UpdatedAt: {
                shape: "Sa"
              }
            }
          }
        },
        GetJob: {
          http: {
            method: "GET",
            requestUri: "/v1/jobs/{JobId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {
                location: "uri",
                locationName: "JobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreatedAt: {
                shape: "Sa"
              },
              Details: {
                shape: "S1t"
              },
              Errors: {
                shape: "S23"
              },
              Id: {},
              State: {},
              Type: {},
              UpdatedAt: {
                shape: "Sa"
              }
            }
          }
        },
        GetRevision: {
          http: {
            method: "GET",
            requestUri: "/v1/data-sets/{DataSetId}/revisions/{RevisionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DataSetId",
              "RevisionId"
            ],
            members: {
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              RevisionId: {
                location: "uri",
                locationName: "RevisionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Comment: {},
              CreatedAt: {
                shape: "Sa"
              },
              DataSetId: {},
              Finalized: {
                type: "boolean"
              },
              Id: {},
              SourceId: {},
              Tags: {
                shape: "S7"
              },
              UpdatedAt: {
                shape: "Sa"
              },
              RevocationComment: {},
              Revoked: {
                type: "boolean"
              },
              RevokedAt: {
                shape: "Sa"
              }
            }
          }
        },
        ListDataSetRevisions: {
          http: {
            method: "GET",
            requestUri: "/v1/data-sets/{DataSetId}/revisions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DataSetId"
            ],
            members: {
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Revisions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn",
                    "CreatedAt",
                    "DataSetId",
                    "Id",
                    "UpdatedAt"
                  ],
                  members: {
                    Arn: {},
                    Comment: {},
                    CreatedAt: {
                      shape: "Sa"
                    },
                    DataSetId: {},
                    Finalized: {
                      type: "boolean"
                    },
                    Id: {},
                    SourceId: {},
                    UpdatedAt: {
                      shape: "Sa"
                    },
                    RevocationComment: {},
                    Revoked: {
                      type: "boolean"
                    },
                    RevokedAt: {
                      shape: "Sa"
                    }
                  }
                }
              }
            }
          }
        },
        ListDataSets: {
          http: {
            method: "GET",
            requestUri: "/v1/data-sets",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              Origin: {
                location: "querystring",
                locationName: "origin"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn",
                    "AssetType",
                    "CreatedAt",
                    "Description",
                    "Id",
                    "Name",
                    "Origin",
                    "UpdatedAt"
                  ],
                  members: {
                    Arn: {},
                    AssetType: {},
                    CreatedAt: {
                      shape: "Sa"
                    },
                    Description: {},
                    Id: {},
                    Name: {},
                    Origin: {},
                    OriginDetails: {
                      shape: "Sd"
                    },
                    SourceId: {},
                    UpdatedAt: {
                      shape: "Sa"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEventActions: {
          http: {
            method: "GET",
            requestUri: "/v1/event-actions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              EventSourceId: {
                location: "querystring",
                locationName: "eventSourceId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventActions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Action",
                    "Arn",
                    "CreatedAt",
                    "Event",
                    "Id",
                    "UpdatedAt"
                  ],
                  members: {
                    Action: {
                      shape: "Sf"
                    },
                    Arn: {},
                    CreatedAt: {
                      shape: "Sa"
                    },
                    Event: {
                      shape: "Sk"
                    },
                    Id: {},
                    UpdatedAt: {
                      shape: "Sa"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListJobs: {
          http: {
            method: "GET",
            requestUri: "/v1/jobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DataSetId: {
                location: "querystring",
                locationName: "dataSetId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              RevisionId: {
                location: "querystring",
                locationName: "revisionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Jobs: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn",
                    "CreatedAt",
                    "Details",
                    "Id",
                    "State",
                    "Type",
                    "UpdatedAt"
                  ],
                  members: {
                    Arn: {},
                    CreatedAt: {
                      shape: "Sa"
                    },
                    Details: {
                      shape: "S1t"
                    },
                    Errors: {
                      shape: "S23"
                    },
                    Id: {},
                    State: {},
                    Type: {},
                    UpdatedAt: {
                      shape: "Sa"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListRevisionAssets: {
          http: {
            method: "GET",
            requestUri: "/v1/data-sets/{DataSetId}/revisions/{RevisionId}/assets",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DataSetId",
              "RevisionId"
            ],
            members: {
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              RevisionId: {
                location: "uri",
                locationName: "RevisionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Assets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn",
                    "AssetDetails",
                    "AssetType",
                    "CreatedAt",
                    "DataSetId",
                    "Id",
                    "Name",
                    "RevisionId",
                    "UpdatedAt"
                  ],
                  members: {
                    Arn: {},
                    AssetDetails: {
                      shape: "S2n"
                    },
                    AssetType: {},
                    CreatedAt: {
                      shape: "Sa"
                    },
                    DataSetId: {},
                    Id: {},
                    Name: {},
                    RevisionId: {},
                    SourceId: {},
                    UpdatedAt: {
                      shape: "Sa"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S7",
                locationName: "tags"
              }
            }
          }
        },
        RevokeRevision: {
          http: {
            requestUri: "/v1/data-sets/{DataSetId}/revisions/{RevisionId}/revoke",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DataSetId",
              "RevisionId",
              "RevocationComment"
            ],
            members: {
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              RevisionId: {
                location: "uri",
                locationName: "RevisionId"
              },
              RevocationComment: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Comment: {},
              CreatedAt: {
                shape: "Sa"
              },
              DataSetId: {},
              Finalized: {
                type: "boolean"
              },
              Id: {},
              SourceId: {},
              UpdatedAt: {
                shape: "Sa"
              },
              RevocationComment: {},
              Revoked: {
                type: "boolean"
              },
              RevokedAt: {
                shape: "Sa"
              }
            }
          }
        },
        SendApiAsset: {
          http: {
            requestUri: "/v1",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AssetId",
              "DataSetId",
              "RevisionId"
            ],
            members: {
              Body: {},
              QueryStringParameters: {
                shape: "S7",
                location: "querystring"
              },
              AssetId: {
                location: "header",
                locationName: "x-amzn-dataexchange-asset-id"
              },
              DataSetId: {
                location: "header",
                locationName: "x-amzn-dataexchange-data-set-id"
              },
              RequestHeaders: {
                shape: "S7",
                location: "headers",
                locationName: "x-amzn-dataexchange-header-"
              },
              Method: {
                location: "header",
                locationName: "x-amzn-dataexchange-http-method"
              },
              Path: {
                location: "header",
                locationName: "x-amzn-dataexchange-path"
              },
              RevisionId: {
                location: "header",
                locationName: "x-amzn-dataexchange-revision-id"
              }
            },
            payload: "Body"
          },
          output: {
            type: "structure",
            members: {
              Body: {},
              ResponseHeaders: {
                shape: "S7",
                location: "headers",
                locationName: ""
              }
            },
            payload: "Body"
          },
          endpoint: {
            hostPrefix: "api-fulfill."
          }
        },
        StartJob: {
          http: {
            method: "PATCH",
            requestUri: "/v1/jobs/{JobId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {
                location: "uri",
                locationName: "JobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "S7",
                locationName: "tags"
              }
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                shape: "S1a",
                location: "querystring",
                locationName: "tagKeys"
              }
            }
          },
          idempotent: true
        },
        UpdateAsset: {
          http: {
            method: "PATCH",
            requestUri: "/v1/data-sets/{DataSetId}/revisions/{RevisionId}/assets/{AssetId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AssetId",
              "DataSetId",
              "Name",
              "RevisionId"
            ],
            members: {
              AssetId: {
                location: "uri",
                locationName: "AssetId"
              },
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              Name: {},
              RevisionId: {
                location: "uri",
                locationName: "RevisionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              AssetDetails: {
                shape: "S2n"
              },
              AssetType: {},
              CreatedAt: {
                shape: "Sa"
              },
              DataSetId: {},
              Id: {},
              Name: {},
              RevisionId: {},
              SourceId: {},
              UpdatedAt: {
                shape: "Sa"
              }
            }
          }
        },
        UpdateDataSet: {
          http: {
            method: "PATCH",
            requestUri: "/v1/data-sets/{DataSetId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DataSetId"
            ],
            members: {
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              Description: {},
              Name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              AssetType: {},
              CreatedAt: {
                shape: "Sa"
              },
              Description: {},
              Id: {},
              Name: {},
              Origin: {},
              OriginDetails: {
                shape: "Sd"
              },
              SourceId: {},
              UpdatedAt: {
                shape: "Sa"
              }
            }
          }
        },
        UpdateEventAction: {
          http: {
            method: "PATCH",
            requestUri: "/v1/event-actions/{EventActionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "EventActionId"
            ],
            members: {
              Action: {
                shape: "Sf"
              },
              EventActionId: {
                location: "uri",
                locationName: "EventActionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Action: {
                shape: "Sf"
              },
              Arn: {},
              CreatedAt: {
                shape: "Sa"
              },
              Event: {
                shape: "Sk"
              },
              Id: {},
              UpdatedAt: {
                shape: "Sa"
              }
            }
          }
        },
        UpdateRevision: {
          http: {
            method: "PATCH",
            requestUri: "/v1/data-sets/{DataSetId}/revisions/{RevisionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DataSetId",
              "RevisionId"
            ],
            members: {
              Comment: {},
              DataSetId: {
                location: "uri",
                locationName: "DataSetId"
              },
              Finalized: {
                type: "boolean"
              },
              RevisionId: {
                location: "uri",
                locationName: "RevisionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Comment: {},
              CreatedAt: {
                shape: "Sa"
              },
              DataSetId: {},
              Finalized: {
                type: "boolean"
              },
              Id: {},
              SourceId: {},
              UpdatedAt: {
                shape: "Sa"
              },
              RevocationComment: {},
              Revoked: {
                type: "boolean"
              },
              RevokedAt: {
                shape: "Sa"
              }
            }
          }
        }
      },
      shapes: {
        S7: {
          type: "map",
          key: {},
          value: {}
        },
        Sa: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sd: {
          type: "structure",
          required: [
            "ProductId"
          ],
          members: {
            ProductId: {}
          }
        },
        Sf: {
          type: "structure",
          members: {
            ExportRevisionToS3: {
              type: "structure",
              required: [
                "RevisionDestination"
              ],
              members: {
                Encryption: {
                  shape: "Sh"
                },
                RevisionDestination: {
                  type: "structure",
                  required: [
                    "Bucket"
                  ],
                  members: {
                    Bucket: {},
                    KeyPattern: {}
                  }
                }
              }
            }
          }
        },
        Sh: {
          type: "structure",
          required: [
            "Type"
          ],
          members: {
            KmsKeyArn: {},
            Type: {}
          }
        },
        Sk: {
          type: "structure",
          members: {
            RevisionPublished: {
              type: "structure",
              required: [
                "DataSetId"
              ],
              members: {
                DataSetId: {}
              }
            }
          }
        },
        Sr: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AssetId",
              "Bucket"
            ],
            members: {
              AssetId: {},
              Bucket: {},
              Key: {}
            }
          }
        },
        Su: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Bucket",
              "RevisionId"
            ],
            members: {
              Bucket: {},
              KeyPattern: {},
              RevisionId: {}
            }
          }
        },
        S10: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Bucket",
              "Key"
            ],
            members: {
              Bucket: {},
              Key: {}
            }
          }
        },
        S13: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DataShareArn"
            ],
            members: {
              DataShareArn: {}
            }
          }
        },
        S19: {
          type: "structure",
          required: [
            "Bucket"
          ],
          members: {
            Bucket: {},
            KeyPrefixes: {
              shape: "S1a"
            },
            Keys: {
              shape: "S1a"
            },
            KmsKeysToGrant: {
              shape: "S1b"
            }
          }
        },
        S1a: {
          type: "list",
          member: {}
        },
        S1b: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "KmsKeyArn"
            ],
            members: {
              KmsKeyArn: {}
            }
          }
        },
        S1g: {
          type: "structure",
          required: [
            "Expression",
            "Permissions"
          ],
          members: {
            Expression: {
              shape: "S1h"
            },
            Permissions: {
              type: "list",
              member: {}
            }
          }
        },
        S1h: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "TagKey",
              "TagValues"
            ],
            members: {
              TagKey: {},
              TagValues: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S1n: {
          type: "structure",
          required: [
            "Expression",
            "Permissions"
          ],
          members: {
            Expression: {
              shape: "S1h"
            },
            Permissions: {
              type: "list",
              member: {}
            }
          }
        },
        S1t: {
          type: "structure",
          members: {
            ExportAssetToSignedUrl: {
              type: "structure",
              required: [
                "AssetId",
                "DataSetId",
                "RevisionId"
              ],
              members: {
                AssetId: {},
                DataSetId: {},
                RevisionId: {},
                SignedUrl: {},
                SignedUrlExpiresAt: {
                  shape: "Sa"
                }
              }
            },
            ExportAssetsToS3: {
              type: "structure",
              required: [
                "AssetDestinations",
                "DataSetId",
                "RevisionId"
              ],
              members: {
                AssetDestinations: {
                  shape: "Sr"
                },
                DataSetId: {},
                Encryption: {
                  shape: "Sh"
                },
                RevisionId: {}
              }
            },
            ExportRevisionsToS3: {
              type: "structure",
              required: [
                "DataSetId",
                "RevisionDestinations"
              ],
              members: {
                DataSetId: {},
                Encryption: {
                  shape: "Sh"
                },
                RevisionDestinations: {
                  shape: "Su"
                },
                EventActionArn: {}
              }
            },
            ImportAssetFromSignedUrl: {
              type: "structure",
              required: [
                "AssetName",
                "DataSetId",
                "RevisionId"
              ],
              members: {
                AssetName: {},
                DataSetId: {},
                Md5Hash: {},
                RevisionId: {},
                SignedUrl: {},
                SignedUrlExpiresAt: {
                  shape: "Sa"
                }
              }
            },
            ImportAssetsFromS3: {
              type: "structure",
              required: [
                "AssetSources",
                "DataSetId",
                "RevisionId"
              ],
              members: {
                AssetSources: {
                  shape: "S10"
                },
                DataSetId: {},
                RevisionId: {}
              }
            },
            ImportAssetsFromRedshiftDataShares: {
              type: "structure",
              required: [
                "AssetSources",
                "DataSetId",
                "RevisionId"
              ],
              members: {
                AssetSources: {
                  shape: "S13"
                },
                DataSetId: {},
                RevisionId: {}
              }
            },
            ImportAssetFromApiGatewayApi: {
              type: "structure",
              required: [
                "ApiId",
                "ApiName",
                "ApiSpecificationMd5Hash",
                "ApiSpecificationUploadUrl",
                "ApiSpecificationUploadUrlExpiresAt",
                "DataSetId",
                "ProtocolType",
                "RevisionId",
                "Stage"
              ],
              members: {
                ApiDescription: {},
                ApiId: {},
                ApiKey: {},
                ApiName: {},
                ApiSpecificationMd5Hash: {},
                ApiSpecificationUploadUrl: {},
                ApiSpecificationUploadUrlExpiresAt: {
                  shape: "Sa"
                },
                DataSetId: {},
                ProtocolType: {},
                RevisionId: {},
                Stage: {}
              }
            },
            CreateS3DataAccessFromS3Bucket: {
              type: "structure",
              required: [
                "AssetSource",
                "DataSetId",
                "RevisionId"
              ],
              members: {
                AssetSource: {
                  shape: "S19"
                },
                DataSetId: {},
                RevisionId: {}
              }
            },
            ImportAssetsFromLakeFormationTagPolicy: {
              type: "structure",
              required: [
                "CatalogId",
                "RoleArn",
                "DataSetId",
                "RevisionId"
              ],
              members: {
                CatalogId: {},
                Database: {
                  shape: "S1g"
                },
                Table: {
                  shape: "S1n"
                },
                RoleArn: {},
                DataSetId: {},
                RevisionId: {}
              }
            }
          }
        },
        S23: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Code",
              "Message"
            ],
            members: {
              Code: {},
              Details: {
                type: "structure",
                members: {
                  ImportAssetFromSignedUrlJobErrorDetails: {
                    type: "structure",
                    required: [
                      "AssetName"
                    ],
                    members: {
                      AssetName: {}
                    }
                  },
                  ImportAssetsFromS3JobErrorDetails: {
                    shape: "S10"
                  }
                }
              },
              LimitName: {},
              LimitValue: {
                type: "double"
              },
              Message: {},
              ResourceId: {},
              ResourceType: {}
            }
          }
        },
        S2n: {
          type: "structure",
          members: {
            S3SnapshotAsset: {
              type: "structure",
              required: [
                "Size"
              ],
              members: {
                Size: {
                  type: "double"
                }
              }
            },
            RedshiftDataShareAsset: {
              type: "structure",
              required: [
                "Arn"
              ],
              members: {
                Arn: {}
              }
            },
            ApiGatewayApiAsset: {
              type: "structure",
              members: {
                ApiDescription: {},
                ApiEndpoint: {},
                ApiId: {},
                ApiKey: {},
                ApiName: {},
                ApiSpecificationDownloadUrl: {},
                ApiSpecificationDownloadUrlExpiresAt: {
                  shape: "Sa"
                },
                ProtocolType: {},
                Stage: {}
              }
            },
            S3DataAccessAsset: {
              type: "structure",
              required: [
                "Bucket"
              ],
              members: {
                Bucket: {},
                KeyPrefixes: {
                  shape: "S1a"
                },
                Keys: {
                  shape: "S1a"
                },
                S3AccessPointAlias: {},
                S3AccessPointArn: {},
                KmsKeysToGrant: {
                  shape: "S1b"
                }
              }
            },
            LakeFormationDataPermissionAsset: {
              type: "structure",
              required: [
                "LakeFormationDataPermissionDetails",
                "LakeFormationDataPermissionType",
                "Permissions"
              ],
              members: {
                LakeFormationDataPermissionDetails: {
                  type: "structure",
                  members: {
                    LFTagPolicy: {
                      type: "structure",
                      required: [
                        "CatalogId",
                        "ResourceType",
                        "ResourceDetails"
                      ],
                      members: {
                        CatalogId: {},
                        ResourceType: {},
                        ResourceDetails: {
                          type: "structure",
                          members: {
                            Database: {
                              type: "structure",
                              required: [
                                "Expression"
                              ],
                              members: {
                                Expression: {
                                  shape: "S1h"
                                }
                              }
                            },
                            Table: {
                              type: "structure",
                              required: [
                                "Expression"
                              ],
                              members: {
                                Expression: {
                                  shape: "S1h"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                },
                LakeFormationDataPermissionType: {},
                Permissions: {
                  type: "list",
                  member: {}
                },
                RoleArn: {}
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/dataexchange-2017-07-25.paginators.json
var require_dataexchange_2017_07_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/dataexchange-2017-07-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDataSetRevisions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Revisions"
        },
        ListDataSets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DataSets"
        },
        ListEventActions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "EventActions"
        },
        ListJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Jobs"
        },
        ListRevisionAssets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Assets"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/dataexchange-2017-07-25.waiters2.json
var require_dataexchange_2017_07_25_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/dataexchange-2017-07-25.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {}
    };
  }
});

// node_modules/aws-sdk/clients/dataexchange.js
var require_dataexchange = __commonJS({
  "node_modules/aws-sdk/clients/dataexchange.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["dataexchange"] = {};
    AWS2.DataExchange = Service.defineService("dataexchange", ["2017-07-25"]);
    Object.defineProperty(apiLoader.services["dataexchange"], "2017-07-25", {
      get: function get() {
        var model = require_dataexchange_2017_07_25_min();
        model.paginators = require_dataexchange_2017_07_25_paginators().pagination;
        model.waiters = require_dataexchange_2017_07_25_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.DataExchange;
  }
});

// node_modules/aws-sdk/apis/sesv2-2019-09-27.min.json
var require_sesv2_2019_09_27_min = __commonJS({
  "node_modules/aws-sdk/apis/sesv2-2019-09-27.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-09-27",
        endpointPrefix: "email",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Amazon SES V2",
        serviceFullName: "Amazon Simple Email Service",
        serviceId: "SESv2",
        signatureVersion: "v4",
        signingName: "ses",
        uid: "sesv2-2019-09-27"
      },
      operations: {
        BatchGetMetricData: {
          http: {
            requestUri: "/v2/email/metrics/batch"
          },
          input: {
            type: "structure",
            required: [
              "Queries"
            ],
            members: {
              Queries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Id",
                    "Namespace",
                    "Metric",
                    "StartDate",
                    "EndDate"
                  ],
                  members: {
                    Id: {},
                    Namespace: {},
                    Metric: {},
                    Dimensions: {
                      type: "map",
                      key: {},
                      value: {}
                    },
                    StartDate: {
                      type: "timestamp"
                    },
                    EndDate: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Results: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Timestamps: {
                      type: "list",
                      member: {
                        type: "timestamp"
                      }
                    },
                    Values: {
                      type: "list",
                      member: {
                        type: "long"
                      }
                    }
                  }
                }
              },
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Code: {},
                    Message: {}
                  }
                }
              }
            }
          }
        },
        CreateConfigurationSet: {
          http: {
            requestUri: "/v2/email/configuration-sets"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {},
              TrackingOptions: {
                shape: "Sn"
              },
              DeliveryOptions: {
                shape: "Sp"
              },
              ReputationOptions: {
                shape: "Ss"
              },
              SendingOptions: {
                shape: "Sv"
              },
              Tags: {
                shape: "Sw"
              },
              SuppressionOptions: {
                shape: "S10"
              },
              VdmOptions: {
                shape: "S13"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateConfigurationSetEventDestination: {
          http: {
            requestUri: "/v2/email/configuration-sets/{ConfigurationSetName}/event-destinations"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "EventDestinationName",
              "EventDestination"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              EventDestinationName: {},
              EventDestination: {
                shape: "S1a"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateContact: {
          http: {
            requestUri: "/v2/email/contact-lists/{ContactListName}/contacts"
          },
          input: {
            type: "structure",
            required: [
              "ContactListName",
              "EmailAddress"
            ],
            members: {
              ContactListName: {
                location: "uri",
                locationName: "ContactListName"
              },
              EmailAddress: {},
              TopicPreferences: {
                shape: "S1r"
              },
              UnsubscribeAll: {
                type: "boolean"
              },
              AttributesData: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateContactList: {
          http: {
            requestUri: "/v2/email/contact-lists"
          },
          input: {
            type: "structure",
            required: [
              "ContactListName"
            ],
            members: {
              ContactListName: {},
              Topics: {
                shape: "S1z"
              },
              Description: {},
              Tags: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateCustomVerificationEmailTemplate: {
          http: {
            requestUri: "/v2/email/custom-verification-email-templates"
          },
          input: {
            type: "structure",
            required: [
              "TemplateName",
              "FromEmailAddress",
              "TemplateSubject",
              "TemplateContent",
              "SuccessRedirectionURL",
              "FailureRedirectionURL"
            ],
            members: {
              TemplateName: {},
              FromEmailAddress: {},
              TemplateSubject: {},
              TemplateContent: {},
              SuccessRedirectionURL: {},
              FailureRedirectionURL: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateDedicatedIpPool: {
          http: {
            requestUri: "/v2/email/dedicated-ip-pools"
          },
          input: {
            type: "structure",
            required: [
              "PoolName"
            ],
            members: {
              PoolName: {},
              Tags: {
                shape: "Sw"
              },
              ScalingMode: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateDeliverabilityTestReport: {
          http: {
            requestUri: "/v2/email/deliverability-dashboard/test"
          },
          input: {
            type: "structure",
            required: [
              "FromEmailAddress",
              "Content"
            ],
            members: {
              ReportName: {},
              FromEmailAddress: {},
              Content: {
                shape: "S2g"
              },
              Tags: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ReportId",
              "DeliverabilityTestStatus"
            ],
            members: {
              ReportId: {},
              DeliverabilityTestStatus: {}
            }
          }
        },
        CreateEmailIdentity: {
          http: {
            requestUri: "/v2/email/identities"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity"
            ],
            members: {
              EmailIdentity: {},
              Tags: {
                shape: "Sw"
              },
              DkimSigningAttributes: {
                shape: "S2v"
              },
              ConfigurationSetName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityType: {},
              VerifiedForSendingStatus: {
                type: "boolean"
              },
              DkimAttributes: {
                shape: "S31"
              }
            }
          }
        },
        CreateEmailIdentityPolicy: {
          http: {
            requestUri: "/v2/email/identities/{EmailIdentity}/policies/{PolicyName}"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity",
              "PolicyName",
              "Policy"
            ],
            members: {
              EmailIdentity: {
                location: "uri",
                locationName: "EmailIdentity"
              },
              PolicyName: {
                location: "uri",
                locationName: "PolicyName"
              },
              Policy: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateEmailTemplate: {
          http: {
            requestUri: "/v2/email/templates"
          },
          input: {
            type: "structure",
            required: [
              "TemplateName",
              "TemplateContent"
            ],
            members: {
              TemplateName: {},
              TemplateContent: {
                shape: "S3b"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateImportJob: {
          http: {
            requestUri: "/v2/email/import-jobs"
          },
          input: {
            type: "structure",
            required: [
              "ImportDestination",
              "ImportDataSource"
            ],
            members: {
              ImportDestination: {
                shape: "S3g"
              },
              ImportDataSource: {
                shape: "S3l"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {}
            }
          }
        },
        DeleteConfigurationSet: {
          http: {
            method: "DELETE",
            requestUri: "/v2/email/configuration-sets/{ConfigurationSetName}"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteConfigurationSetEventDestination: {
          http: {
            method: "DELETE",
            requestUri: "/v2/email/configuration-sets/{ConfigurationSetName}/event-destinations/{EventDestinationName}"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "EventDestinationName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              EventDestinationName: {
                location: "uri",
                locationName: "EventDestinationName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteContact: {
          http: {
            method: "DELETE",
            requestUri: "/v2/email/contact-lists/{ContactListName}/contacts/{EmailAddress}"
          },
          input: {
            type: "structure",
            required: [
              "ContactListName",
              "EmailAddress"
            ],
            members: {
              ContactListName: {
                location: "uri",
                locationName: "ContactListName"
              },
              EmailAddress: {
                location: "uri",
                locationName: "EmailAddress"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteContactList: {
          http: {
            method: "DELETE",
            requestUri: "/v2/email/contact-lists/{ContactListName}"
          },
          input: {
            type: "structure",
            required: [
              "ContactListName"
            ],
            members: {
              ContactListName: {
                location: "uri",
                locationName: "ContactListName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteCustomVerificationEmailTemplate: {
          http: {
            method: "DELETE",
            requestUri: "/v2/email/custom-verification-email-templates/{TemplateName}"
          },
          input: {
            type: "structure",
            required: [
              "TemplateName"
            ],
            members: {
              TemplateName: {
                location: "uri",
                locationName: "TemplateName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDedicatedIpPool: {
          http: {
            method: "DELETE",
            requestUri: "/v2/email/dedicated-ip-pools/{PoolName}"
          },
          input: {
            type: "structure",
            required: [
              "PoolName"
            ],
            members: {
              PoolName: {
                location: "uri",
                locationName: "PoolName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEmailIdentity: {
          http: {
            method: "DELETE",
            requestUri: "/v2/email/identities/{EmailIdentity}"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity"
            ],
            members: {
              EmailIdentity: {
                location: "uri",
                locationName: "EmailIdentity"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEmailIdentityPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/v2/email/identities/{EmailIdentity}/policies/{PolicyName}"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity",
              "PolicyName"
            ],
            members: {
              EmailIdentity: {
                location: "uri",
                locationName: "EmailIdentity"
              },
              PolicyName: {
                location: "uri",
                locationName: "PolicyName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEmailTemplate: {
          http: {
            method: "DELETE",
            requestUri: "/v2/email/templates/{TemplateName}"
          },
          input: {
            type: "structure",
            required: [
              "TemplateName"
            ],
            members: {
              TemplateName: {
                location: "uri",
                locationName: "TemplateName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSuppressedDestination: {
          http: {
            method: "DELETE",
            requestUri: "/v2/email/suppression/addresses/{EmailAddress}"
          },
          input: {
            type: "structure",
            required: [
              "EmailAddress"
            ],
            members: {
              EmailAddress: {
                location: "uri",
                locationName: "EmailAddress"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetAccount: {
          http: {
            method: "GET",
            requestUri: "/v2/email/account"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              DedicatedIpAutoWarmupEnabled: {
                type: "boolean"
              },
              EnforcementStatus: {},
              ProductionAccessEnabled: {
                type: "boolean"
              },
              SendQuota: {
                type: "structure",
                members: {
                  Max24HourSend: {
                    type: "double"
                  },
                  MaxSendRate: {
                    type: "double"
                  },
                  SentLast24Hours: {
                    type: "double"
                  }
                }
              },
              SendingEnabled: {
                type: "boolean"
              },
              SuppressionAttributes: {
                type: "structure",
                members: {
                  SuppressedReasons: {
                    shape: "S11"
                  }
                }
              },
              Details: {
                type: "structure",
                members: {
                  MailType: {},
                  WebsiteURL: {
                    shape: "S4k"
                  },
                  ContactLanguage: {},
                  UseCaseDescription: {
                    shape: "S4m"
                  },
                  AdditionalContactEmailAddresses: {
                    shape: "S4n"
                  },
                  ReviewDetails: {
                    type: "structure",
                    members: {
                      Status: {},
                      CaseId: {}
                    }
                  }
                }
              },
              VdmAttributes: {
                shape: "S4s"
              }
            }
          }
        },
        GetBlacklistReports: {
          http: {
            method: "GET",
            requestUri: "/v2/email/deliverability-dashboard/blacklist-report"
          },
          input: {
            type: "structure",
            required: [
              "BlacklistItemNames"
            ],
            members: {
              BlacklistItemNames: {
                location: "querystring",
                locationName: "BlacklistItemNames",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "BlacklistReport"
            ],
            members: {
              BlacklistReport: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      RblName: {},
                      ListingTime: {
                        type: "timestamp"
                      },
                      Description: {}
                    }
                  }
                }
              }
            }
          }
        },
        GetConfigurationSet: {
          http: {
            method: "GET",
            requestUri: "/v2/email/configuration-sets/{ConfigurationSetName}"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationSetName: {},
              TrackingOptions: {
                shape: "Sn"
              },
              DeliveryOptions: {
                shape: "Sp"
              },
              ReputationOptions: {
                shape: "Ss"
              },
              SendingOptions: {
                shape: "Sv"
              },
              Tags: {
                shape: "Sw"
              },
              SuppressionOptions: {
                shape: "S10"
              },
              VdmOptions: {
                shape: "S13"
              }
            }
          }
        },
        GetConfigurationSetEventDestinations: {
          http: {
            method: "GET",
            requestUri: "/v2/email/configuration-sets/{ConfigurationSetName}/event-destinations"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventDestinations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "MatchingEventTypes"
                  ],
                  members: {
                    Name: {},
                    Enabled: {
                      type: "boolean"
                    },
                    MatchingEventTypes: {
                      shape: "S1b"
                    },
                    KinesisFirehoseDestination: {
                      shape: "S1d"
                    },
                    CloudWatchDestination: {
                      shape: "S1f"
                    },
                    SnsDestination: {
                      shape: "S1l"
                    },
                    PinpointDestination: {
                      shape: "S1m"
                    }
                  }
                }
              }
            }
          }
        },
        GetContact: {
          http: {
            method: "GET",
            requestUri: "/v2/email/contact-lists/{ContactListName}/contacts/{EmailAddress}"
          },
          input: {
            type: "structure",
            required: [
              "ContactListName",
              "EmailAddress"
            ],
            members: {
              ContactListName: {
                location: "uri",
                locationName: "ContactListName"
              },
              EmailAddress: {
                location: "uri",
                locationName: "EmailAddress"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContactListName: {},
              EmailAddress: {},
              TopicPreferences: {
                shape: "S1r"
              },
              TopicDefaultPreferences: {
                shape: "S1r"
              },
              UnsubscribeAll: {
                type: "boolean"
              },
              AttributesData: {},
              CreatedTimestamp: {
                type: "timestamp"
              },
              LastUpdatedTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        GetContactList: {
          http: {
            method: "GET",
            requestUri: "/v2/email/contact-lists/{ContactListName}"
          },
          input: {
            type: "structure",
            required: [
              "ContactListName"
            ],
            members: {
              ContactListName: {
                location: "uri",
                locationName: "ContactListName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContactListName: {},
              Topics: {
                shape: "S1z"
              },
              Description: {},
              CreatedTimestamp: {
                type: "timestamp"
              },
              LastUpdatedTimestamp: {
                type: "timestamp"
              },
              Tags: {
                shape: "Sw"
              }
            }
          }
        },
        GetCustomVerificationEmailTemplate: {
          http: {
            method: "GET",
            requestUri: "/v2/email/custom-verification-email-templates/{TemplateName}"
          },
          input: {
            type: "structure",
            required: [
              "TemplateName"
            ],
            members: {
              TemplateName: {
                location: "uri",
                locationName: "TemplateName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TemplateName: {},
              FromEmailAddress: {},
              TemplateSubject: {},
              TemplateContent: {},
              SuccessRedirectionURL: {},
              FailureRedirectionURL: {}
            }
          }
        },
        GetDedicatedIp: {
          http: {
            method: "GET",
            requestUri: "/v2/email/dedicated-ips/{IP}"
          },
          input: {
            type: "structure",
            required: [
              "Ip"
            ],
            members: {
              Ip: {
                location: "uri",
                locationName: "IP"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DedicatedIp: {
                shape: "S5j"
              }
            }
          }
        },
        GetDedicatedIpPool: {
          http: {
            method: "GET",
            requestUri: "/v2/email/dedicated-ip-pools/{PoolName}"
          },
          input: {
            type: "structure",
            required: [
              "PoolName"
            ],
            members: {
              PoolName: {
                location: "uri",
                locationName: "PoolName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DedicatedIpPool: {
                type: "structure",
                required: [
                  "PoolName",
                  "ScalingMode"
                ],
                members: {
                  PoolName: {},
                  ScalingMode: {}
                }
              }
            }
          }
        },
        GetDedicatedIps: {
          http: {
            method: "GET",
            requestUri: "/v2/email/dedicated-ips"
          },
          input: {
            type: "structure",
            members: {
              PoolName: {
                location: "querystring",
                locationName: "PoolName"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DedicatedIps: {
                type: "list",
                member: {
                  shape: "S5j"
                }
              },
              NextToken: {}
            }
          }
        },
        GetDeliverabilityDashboardOptions: {
          http: {
            method: "GET",
            requestUri: "/v2/email/deliverability-dashboard"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "DashboardEnabled"
            ],
            members: {
              DashboardEnabled: {
                type: "boolean"
              },
              SubscriptionExpiryDate: {
                type: "timestamp"
              },
              AccountStatus: {},
              ActiveSubscribedDomains: {
                shape: "S5x"
              },
              PendingExpirationSubscribedDomains: {
                shape: "S5x"
              }
            }
          }
        },
        GetDeliverabilityTestReport: {
          http: {
            method: "GET",
            requestUri: "/v2/email/deliverability-dashboard/test-reports/{ReportId}"
          },
          input: {
            type: "structure",
            required: [
              "ReportId"
            ],
            members: {
              ReportId: {
                location: "uri",
                locationName: "ReportId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DeliverabilityTestReport",
              "OverallPlacement",
              "IspPlacements"
            ],
            members: {
              DeliverabilityTestReport: {
                shape: "S65"
              },
              OverallPlacement: {
                shape: "S67"
              },
              IspPlacements: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    IspName: {},
                    PlacementStatistics: {
                      shape: "S67"
                    }
                  }
                }
              },
              Message: {},
              Tags: {
                shape: "Sw"
              }
            }
          }
        },
        GetDomainDeliverabilityCampaign: {
          http: {
            method: "GET",
            requestUri: "/v2/email/deliverability-dashboard/campaigns/{CampaignId}"
          },
          input: {
            type: "structure",
            required: [
              "CampaignId"
            ],
            members: {
              CampaignId: {
                location: "uri",
                locationName: "CampaignId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainDeliverabilityCampaign"
            ],
            members: {
              DomainDeliverabilityCampaign: {
                shape: "S6f"
              }
            }
          }
        },
        GetDomainStatisticsReport: {
          http: {
            method: "GET",
            requestUri: "/v2/email/deliverability-dashboard/statistics-report/{Domain}"
          },
          input: {
            type: "structure",
            required: [
              "Domain",
              "StartDate",
              "EndDate"
            ],
            members: {
              Domain: {
                location: "uri",
                locationName: "Domain"
              },
              StartDate: {
                location: "querystring",
                locationName: "StartDate",
                type: "timestamp"
              },
              EndDate: {
                location: "querystring",
                locationName: "EndDate",
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "OverallVolume",
              "DailyVolumes"
            ],
            members: {
              OverallVolume: {
                type: "structure",
                members: {
                  VolumeStatistics: {
                    shape: "S6p"
                  },
                  ReadRatePercent: {
                    type: "double"
                  },
                  DomainIspPlacements: {
                    shape: "S6q"
                  }
                }
              },
              DailyVolumes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StartDate: {
                      type: "timestamp"
                    },
                    VolumeStatistics: {
                      shape: "S6p"
                    },
                    DomainIspPlacements: {
                      shape: "S6q"
                    }
                  }
                }
              }
            }
          }
        },
        GetEmailIdentity: {
          http: {
            method: "GET",
            requestUri: "/v2/email/identities/{EmailIdentity}"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity"
            ],
            members: {
              EmailIdentity: {
                location: "uri",
                locationName: "EmailIdentity"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityType: {},
              FeedbackForwardingStatus: {
                type: "boolean"
              },
              VerifiedForSendingStatus: {
                type: "boolean"
              },
              DkimAttributes: {
                shape: "S31"
              },
              MailFromAttributes: {
                type: "structure",
                required: [
                  "MailFromDomain",
                  "MailFromDomainStatus",
                  "BehaviorOnMxFailure"
                ],
                members: {
                  MailFromDomain: {},
                  MailFromDomainStatus: {},
                  BehaviorOnMxFailure: {}
                }
              },
              Policies: {
                shape: "S70"
              },
              Tags: {
                shape: "Sw"
              },
              ConfigurationSetName: {},
              VerificationStatus: {}
            }
          }
        },
        GetEmailIdentityPolicies: {
          http: {
            method: "GET",
            requestUri: "/v2/email/identities/{EmailIdentity}/policies"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity"
            ],
            members: {
              EmailIdentity: {
                location: "uri",
                locationName: "EmailIdentity"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policies: {
                shape: "S70"
              }
            }
          }
        },
        GetEmailTemplate: {
          http: {
            method: "GET",
            requestUri: "/v2/email/templates/{TemplateName}"
          },
          input: {
            type: "structure",
            required: [
              "TemplateName"
            ],
            members: {
              TemplateName: {
                location: "uri",
                locationName: "TemplateName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TemplateName",
              "TemplateContent"
            ],
            members: {
              TemplateName: {},
              TemplateContent: {
                shape: "S3b"
              }
            }
          }
        },
        GetImportJob: {
          http: {
            method: "GET",
            requestUri: "/v2/email/import-jobs/{JobId}"
          },
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {
                location: "uri",
                locationName: "JobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              ImportDestination: {
                shape: "S3g"
              },
              ImportDataSource: {
                shape: "S3l"
              },
              FailureInfo: {
                type: "structure",
                members: {
                  FailedRecordsS3Url: {},
                  ErrorMessage: {}
                }
              },
              JobStatus: {},
              CreatedTimestamp: {
                type: "timestamp"
              },
              CompletedTimestamp: {
                type: "timestamp"
              },
              ProcessedRecordsCount: {
                type: "integer"
              },
              FailedRecordsCount: {
                type: "integer"
              }
            }
          }
        },
        GetSuppressedDestination: {
          http: {
            method: "GET",
            requestUri: "/v2/email/suppression/addresses/{EmailAddress}"
          },
          input: {
            type: "structure",
            required: [
              "EmailAddress"
            ],
            members: {
              EmailAddress: {
                location: "uri",
                locationName: "EmailAddress"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "SuppressedDestination"
            ],
            members: {
              SuppressedDestination: {
                type: "structure",
                required: [
                  "EmailAddress",
                  "Reason",
                  "LastUpdateTime"
                ],
                members: {
                  EmailAddress: {},
                  Reason: {},
                  LastUpdateTime: {
                    type: "timestamp"
                  },
                  Attributes: {
                    type: "structure",
                    members: {
                      MessageId: {},
                      FeedbackId: {}
                    }
                  }
                }
              }
            }
          }
        },
        ListConfigurationSets: {
          http: {
            method: "GET",
            requestUri: "/v2/email/configuration-sets"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationSets: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListContactLists: {
          http: {
            method: "GET",
            requestUri: "/v2/email/contact-lists"
          },
          input: {
            type: "structure",
            members: {
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ContactLists: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ContactListName: {},
                    LastUpdatedTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListContacts: {
          http: {
            method: "GET",
            requestUri: "/v2/email/contact-lists/{ContactListName}/contacts"
          },
          input: {
            type: "structure",
            required: [
              "ContactListName"
            ],
            members: {
              ContactListName: {
                location: "uri",
                locationName: "ContactListName"
              },
              Filter: {
                type: "structure",
                members: {
                  FilteredStatus: {},
                  TopicFilter: {
                    type: "structure",
                    members: {
                      TopicName: {},
                      UseDefaultIfPreferenceUnavailable: {
                        type: "boolean"
                      }
                    }
                  }
                }
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Contacts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EmailAddress: {},
                    TopicPreferences: {
                      shape: "S1r"
                    },
                    TopicDefaultPreferences: {
                      shape: "S1r"
                    },
                    UnsubscribeAll: {
                      type: "boolean"
                    },
                    LastUpdatedTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCustomVerificationEmailTemplates: {
          http: {
            method: "GET",
            requestUri: "/v2/email/custom-verification-email-templates"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CustomVerificationEmailTemplates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TemplateName: {},
                    FromEmailAddress: {},
                    TemplateSubject: {},
                    SuccessRedirectionURL: {},
                    FailureRedirectionURL: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDedicatedIpPools: {
          http: {
            method: "GET",
            requestUri: "/v2/email/dedicated-ip-pools"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DedicatedIpPools: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListDeliverabilityTestReports: {
          http: {
            method: "GET",
            requestUri: "/v2/email/deliverability-dashboard/test-reports"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DeliverabilityTestReports"
            ],
            members: {
              DeliverabilityTestReports: {
                type: "list",
                member: {
                  shape: "S65"
                }
              },
              NextToken: {}
            }
          }
        },
        ListDomainDeliverabilityCampaigns: {
          http: {
            method: "GET",
            requestUri: "/v2/email/deliverability-dashboard/domains/{SubscribedDomain}/campaigns"
          },
          input: {
            type: "structure",
            required: [
              "StartDate",
              "EndDate",
              "SubscribedDomain"
            ],
            members: {
              StartDate: {
                location: "querystring",
                locationName: "StartDate",
                type: "timestamp"
              },
              EndDate: {
                location: "querystring",
                locationName: "EndDate",
                type: "timestamp"
              },
              SubscribedDomain: {
                location: "uri",
                locationName: "SubscribedDomain"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainDeliverabilityCampaigns"
            ],
            members: {
              DomainDeliverabilityCampaigns: {
                type: "list",
                member: {
                  shape: "S6f"
                }
              },
              NextToken: {}
            }
          }
        },
        ListEmailIdentities: {
          http: {
            method: "GET",
            requestUri: "/v2/email/identities"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EmailIdentities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    IdentityType: {},
                    IdentityName: {},
                    SendingEnabled: {
                      type: "boolean"
                    },
                    VerificationStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEmailTemplates: {
          http: {
            method: "GET",
            requestUri: "/v2/email/templates"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TemplatesMetadata: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TemplateName: {},
                    CreatedTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListImportJobs: {
          http: {
            method: "GET",
            requestUri: "/v2/email/import-jobs"
          },
          input: {
            type: "structure",
            members: {
              ImportDestinationType: {},
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ImportJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    JobId: {},
                    ImportDestination: {
                      shape: "S3g"
                    },
                    JobStatus: {},
                    CreatedTimestamp: {
                      type: "timestamp"
                    },
                    ProcessedRecordsCount: {
                      type: "integer"
                    },
                    FailedRecordsCount: {
                      type: "integer"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListRecommendations: {
          http: {
            requestUri: "/v2/email/vdm/recommendations"
          },
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "map",
                key: {},
                value: {}
              },
              NextToken: {},
              PageSize: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Recommendations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceArn: {},
                    Type: {},
                    Description: {},
                    Status: {},
                    CreatedTimestamp: {
                      type: "timestamp"
                    },
                    LastUpdatedTimestamp: {
                      type: "timestamp"
                    },
                    Impact: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSuppressedDestinations: {
          http: {
            method: "GET",
            requestUri: "/v2/email/suppression/addresses"
          },
          input: {
            type: "structure",
            members: {
              Reasons: {
                shape: "S11",
                location: "querystring",
                locationName: "Reason"
              },
              StartDate: {
                location: "querystring",
                locationName: "StartDate",
                type: "timestamp"
              },
              EndDate: {
                location: "querystring",
                locationName: "EndDate",
                type: "timestamp"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              PageSize: {
                location: "querystring",
                locationName: "PageSize",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SuppressedDestinationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "EmailAddress",
                    "Reason",
                    "LastUpdateTime"
                  ],
                  members: {
                    EmailAddress: {},
                    Reason: {},
                    LastUpdateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/v2/email/tags"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "querystring",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "Sw"
              }
            }
          }
        },
        PutAccountDedicatedIpWarmupAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/account/dedicated-ips/warmup"
          },
          input: {
            type: "structure",
            members: {
              AutoWarmupEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutAccountDetails: {
          http: {
            requestUri: "/v2/email/account/details"
          },
          input: {
            type: "structure",
            required: [
              "MailType",
              "WebsiteURL",
              "UseCaseDescription"
            ],
            members: {
              MailType: {},
              WebsiteURL: {
                shape: "S4k"
              },
              ContactLanguage: {},
              UseCaseDescription: {
                shape: "S4m"
              },
              AdditionalContactEmailAddresses: {
                shape: "S4n"
              },
              ProductionAccessEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutAccountSendingAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/account/sending"
          },
          input: {
            type: "structure",
            members: {
              SendingEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutAccountSuppressionAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/account/suppression"
          },
          input: {
            type: "structure",
            members: {
              SuppressedReasons: {
                shape: "S11"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutAccountVdmAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/account/vdm"
          },
          input: {
            type: "structure",
            required: [
              "VdmAttributes"
            ],
            members: {
              VdmAttributes: {
                shape: "S4s"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutConfigurationSetDeliveryOptions: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/configuration-sets/{ConfigurationSetName}/delivery-options"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              TlsPolicy: {},
              SendingPoolName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutConfigurationSetReputationOptions: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/configuration-sets/{ConfigurationSetName}/reputation-options"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              ReputationMetricsEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutConfigurationSetSendingOptions: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/configuration-sets/{ConfigurationSetName}/sending"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              SendingEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutConfigurationSetSuppressionOptions: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/configuration-sets/{ConfigurationSetName}/suppression-options"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              SuppressedReasons: {
                shape: "S11"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutConfigurationSetTrackingOptions: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/configuration-sets/{ConfigurationSetName}/tracking-options"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              CustomRedirectDomain: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutConfigurationSetVdmOptions: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/configuration-sets/{ConfigurationSetName}/vdm-options"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              VdmOptions: {
                shape: "S13"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutDedicatedIpInPool: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/dedicated-ips/{IP}/pool"
          },
          input: {
            type: "structure",
            required: [
              "Ip",
              "DestinationPoolName"
            ],
            members: {
              Ip: {
                location: "uri",
                locationName: "IP"
              },
              DestinationPoolName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutDedicatedIpPoolScalingAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/dedicated-ip-pools/{PoolName}/scaling"
          },
          input: {
            type: "structure",
            required: [
              "PoolName",
              "ScalingMode"
            ],
            members: {
              PoolName: {
                location: "uri",
                locationName: "PoolName"
              },
              ScalingMode: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        PutDedicatedIpWarmupAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/dedicated-ips/{IP}/warmup"
          },
          input: {
            type: "structure",
            required: [
              "Ip",
              "WarmupPercentage"
            ],
            members: {
              Ip: {
                location: "uri",
                locationName: "IP"
              },
              WarmupPercentage: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutDeliverabilityDashboardOption: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/deliverability-dashboard"
          },
          input: {
            type: "structure",
            required: [
              "DashboardEnabled"
            ],
            members: {
              DashboardEnabled: {
                type: "boolean"
              },
              SubscribedDomains: {
                shape: "S5x"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutEmailIdentityConfigurationSetAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/identities/{EmailIdentity}/configuration-set"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity"
            ],
            members: {
              EmailIdentity: {
                location: "uri",
                locationName: "EmailIdentity"
              },
              ConfigurationSetName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutEmailIdentityDkimAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/identities/{EmailIdentity}/dkim"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity"
            ],
            members: {
              EmailIdentity: {
                location: "uri",
                locationName: "EmailIdentity"
              },
              SigningEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutEmailIdentityDkimSigningAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v1/email/identities/{EmailIdentity}/dkim/signing"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity",
              "SigningAttributesOrigin"
            ],
            members: {
              EmailIdentity: {
                location: "uri",
                locationName: "EmailIdentity"
              },
              SigningAttributesOrigin: {},
              SigningAttributes: {
                shape: "S2v"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DkimStatus: {},
              DkimTokens: {
                shape: "S33"
              }
            }
          }
        },
        PutEmailIdentityFeedbackAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/identities/{EmailIdentity}/feedback"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity"
            ],
            members: {
              EmailIdentity: {
                location: "uri",
                locationName: "EmailIdentity"
              },
              EmailForwardingEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutEmailIdentityMailFromAttributes: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/identities/{EmailIdentity}/mail-from"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity"
            ],
            members: {
              EmailIdentity: {
                location: "uri",
                locationName: "EmailIdentity"
              },
              MailFromDomain: {},
              BehaviorOnMxFailure: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutSuppressedDestination: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/suppression/addresses"
          },
          input: {
            type: "structure",
            required: [
              "EmailAddress",
              "Reason"
            ],
            members: {
              EmailAddress: {},
              Reason: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SendBulkEmail: {
          http: {
            requestUri: "/v2/email/outbound-bulk-emails"
          },
          input: {
            type: "structure",
            required: [
              "DefaultContent",
              "BulkEmailEntries"
            ],
            members: {
              FromEmailAddress: {},
              FromEmailAddressIdentityArn: {},
              ReplyToAddresses: {
                shape: "Sae"
              },
              FeedbackForwardingEmailAddress: {},
              FeedbackForwardingEmailAddressIdentityArn: {},
              DefaultEmailTags: {
                shape: "Saf"
              },
              DefaultContent: {
                type: "structure",
                members: {
                  Template: {
                    shape: "S2o"
                  }
                }
              },
              BulkEmailEntries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Destination"
                  ],
                  members: {
                    Destination: {
                      shape: "Sam"
                    },
                    ReplacementTags: {
                      shape: "Saf"
                    },
                    ReplacementEmailContent: {
                      type: "structure",
                      members: {
                        ReplacementTemplate: {
                          type: "structure",
                          members: {
                            ReplacementTemplateData: {}
                          }
                        }
                      }
                    }
                  }
                }
              },
              ConfigurationSetName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "BulkEmailEntryResults"
            ],
            members: {
              BulkEmailEntryResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Status: {},
                    Error: {},
                    MessageId: {}
                  }
                }
              }
            }
          }
        },
        SendCustomVerificationEmail: {
          http: {
            requestUri: "/v2/email/outbound-custom-verification-emails"
          },
          input: {
            type: "structure",
            required: [
              "EmailAddress",
              "TemplateName"
            ],
            members: {
              EmailAddress: {},
              TemplateName: {},
              ConfigurationSetName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MessageId: {}
            }
          }
        },
        SendEmail: {
          http: {
            requestUri: "/v2/email/outbound-emails"
          },
          input: {
            type: "structure",
            required: [
              "Content"
            ],
            members: {
              FromEmailAddress: {},
              FromEmailAddressIdentityArn: {},
              Destination: {
                shape: "Sam"
              },
              ReplyToAddresses: {
                shape: "Sae"
              },
              FeedbackForwardingEmailAddress: {},
              FeedbackForwardingEmailAddressIdentityArn: {},
              Content: {
                shape: "S2g"
              },
              EmailTags: {
                shape: "Saf"
              },
              ConfigurationSetName: {},
              ListManagementOptions: {
                type: "structure",
                required: [
                  "ContactListName"
                ],
                members: {
                  ContactListName: {},
                  TopicName: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MessageId: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/v2/email/tags"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TestRenderEmailTemplate: {
          http: {
            requestUri: "/v2/email/templates/{TemplateName}/render"
          },
          input: {
            type: "structure",
            required: [
              "TemplateName",
              "TemplateData"
            ],
            members: {
              TemplateName: {
                location: "uri",
                locationName: "TemplateName"
              },
              TemplateData: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "RenderedTemplate"
            ],
            members: {
              RenderedTemplate: {}
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/v2/email/tags"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "querystring",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "TagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateConfigurationSetEventDestination: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/configuration-sets/{ConfigurationSetName}/event-destinations/{EventDestinationName}"
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "EventDestinationName",
              "EventDestination"
            ],
            members: {
              ConfigurationSetName: {
                location: "uri",
                locationName: "ConfigurationSetName"
              },
              EventDestinationName: {
                location: "uri",
                locationName: "EventDestinationName"
              },
              EventDestination: {
                shape: "S1a"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateContact: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/contact-lists/{ContactListName}/contacts/{EmailAddress}"
          },
          input: {
            type: "structure",
            required: [
              "ContactListName",
              "EmailAddress"
            ],
            members: {
              ContactListName: {
                location: "uri",
                locationName: "ContactListName"
              },
              EmailAddress: {
                location: "uri",
                locationName: "EmailAddress"
              },
              TopicPreferences: {
                shape: "S1r"
              },
              UnsubscribeAll: {
                type: "boolean"
              },
              AttributesData: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateContactList: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/contact-lists/{ContactListName}"
          },
          input: {
            type: "structure",
            required: [
              "ContactListName"
            ],
            members: {
              ContactListName: {
                location: "uri",
                locationName: "ContactListName"
              },
              Topics: {
                shape: "S1z"
              },
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateCustomVerificationEmailTemplate: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/custom-verification-email-templates/{TemplateName}"
          },
          input: {
            type: "structure",
            required: [
              "TemplateName",
              "FromEmailAddress",
              "TemplateSubject",
              "TemplateContent",
              "SuccessRedirectionURL",
              "FailureRedirectionURL"
            ],
            members: {
              TemplateName: {
                location: "uri",
                locationName: "TemplateName"
              },
              FromEmailAddress: {},
              TemplateSubject: {},
              TemplateContent: {},
              SuccessRedirectionURL: {},
              FailureRedirectionURL: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateEmailIdentityPolicy: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/identities/{EmailIdentity}/policies/{PolicyName}"
          },
          input: {
            type: "structure",
            required: [
              "EmailIdentity",
              "PolicyName",
              "Policy"
            ],
            members: {
              EmailIdentity: {
                location: "uri",
                locationName: "EmailIdentity"
              },
              PolicyName: {
                location: "uri",
                locationName: "PolicyName"
              },
              Policy: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateEmailTemplate: {
          http: {
            method: "PUT",
            requestUri: "/v2/email/templates/{TemplateName}"
          },
          input: {
            type: "structure",
            required: [
              "TemplateName",
              "TemplateContent"
            ],
            members: {
              TemplateName: {
                location: "uri",
                locationName: "TemplateName"
              },
              TemplateContent: {
                shape: "S3b"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        Sn: {
          type: "structure",
          required: [
            "CustomRedirectDomain"
          ],
          members: {
            CustomRedirectDomain: {}
          }
        },
        Sp: {
          type: "structure",
          members: {
            TlsPolicy: {},
            SendingPoolName: {}
          }
        },
        Ss: {
          type: "structure",
          members: {
            ReputationMetricsEnabled: {
              type: "boolean"
            },
            LastFreshStart: {
              type: "timestamp"
            }
          }
        },
        Sv: {
          type: "structure",
          members: {
            SendingEnabled: {
              type: "boolean"
            }
          }
        },
        Sw: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S10: {
          type: "structure",
          members: {
            SuppressedReasons: {
              shape: "S11"
            }
          }
        },
        S11: {
          type: "list",
          member: {}
        },
        S13: {
          type: "structure",
          members: {
            DashboardOptions: {
              type: "structure",
              members: {
                EngagementMetrics: {}
              }
            },
            GuardianOptions: {
              type: "structure",
              members: {
                OptimizedSharedDelivery: {}
              }
            }
          }
        },
        S1a: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            MatchingEventTypes: {
              shape: "S1b"
            },
            KinesisFirehoseDestination: {
              shape: "S1d"
            },
            CloudWatchDestination: {
              shape: "S1f"
            },
            SnsDestination: {
              shape: "S1l"
            },
            PinpointDestination: {
              shape: "S1m"
            }
          }
        },
        S1b: {
          type: "list",
          member: {}
        },
        S1d: {
          type: "structure",
          required: [
            "IamRoleArn",
            "DeliveryStreamArn"
          ],
          members: {
            IamRoleArn: {},
            DeliveryStreamArn: {}
          }
        },
        S1f: {
          type: "structure",
          required: [
            "DimensionConfigurations"
          ],
          members: {
            DimensionConfigurations: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "DimensionName",
                  "DimensionValueSource",
                  "DefaultDimensionValue"
                ],
                members: {
                  DimensionName: {},
                  DimensionValueSource: {},
                  DefaultDimensionValue: {}
                }
              }
            }
          }
        },
        S1l: {
          type: "structure",
          required: [
            "TopicArn"
          ],
          members: {
            TopicArn: {}
          }
        },
        S1m: {
          type: "structure",
          members: {
            ApplicationArn: {}
          }
        },
        S1r: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "TopicName",
              "SubscriptionStatus"
            ],
            members: {
              TopicName: {},
              SubscriptionStatus: {}
            }
          }
        },
        S1z: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "TopicName",
              "DisplayName",
              "DefaultSubscriptionStatus"
            ],
            members: {
              TopicName: {},
              DisplayName: {},
              Description: {},
              DefaultSubscriptionStatus: {}
            }
          }
        },
        S2g: {
          type: "structure",
          members: {
            Simple: {
              type: "structure",
              required: [
                "Subject",
                "Body"
              ],
              members: {
                Subject: {
                  shape: "S2i"
                },
                Body: {
                  type: "structure",
                  members: {
                    Text: {
                      shape: "S2i"
                    },
                    Html: {
                      shape: "S2i"
                    }
                  }
                }
              }
            },
            Raw: {
              type: "structure",
              required: [
                "Data"
              ],
              members: {
                Data: {
                  type: "blob"
                }
              }
            },
            Template: {
              shape: "S2o"
            }
          }
        },
        S2i: {
          type: "structure",
          required: [
            "Data"
          ],
          members: {
            Data: {},
            Charset: {}
          }
        },
        S2o: {
          type: "structure",
          members: {
            TemplateName: {},
            TemplateArn: {},
            TemplateData: {}
          }
        },
        S2v: {
          type: "structure",
          members: {
            DomainSigningSelector: {},
            DomainSigningPrivateKey: {
              type: "string",
              sensitive: true
            },
            NextSigningKeyLength: {}
          }
        },
        S31: {
          type: "structure",
          members: {
            SigningEnabled: {
              type: "boolean"
            },
            Status: {},
            Tokens: {
              shape: "S33"
            },
            SigningAttributesOrigin: {},
            NextSigningKeyLength: {},
            CurrentSigningKeyLength: {},
            LastKeyGenerationTimestamp: {
              type: "timestamp"
            }
          }
        },
        S33: {
          type: "list",
          member: {}
        },
        S3b: {
          type: "structure",
          members: {
            Subject: {},
            Text: {},
            Html: {}
          }
        },
        S3g: {
          type: "structure",
          members: {
            SuppressionListDestination: {
              type: "structure",
              required: [
                "SuppressionListImportAction"
              ],
              members: {
                SuppressionListImportAction: {}
              }
            },
            ContactListDestination: {
              type: "structure",
              required: [
                "ContactListName",
                "ContactListImportAction"
              ],
              members: {
                ContactListName: {},
                ContactListImportAction: {}
              }
            }
          }
        },
        S3l: {
          type: "structure",
          required: [
            "S3Url",
            "DataFormat"
          ],
          members: {
            S3Url: {},
            DataFormat: {}
          }
        },
        S4k: {
          type: "string",
          sensitive: true
        },
        S4m: {
          type: "string",
          sensitive: true
        },
        S4n: {
          type: "list",
          member: {
            type: "string",
            sensitive: true
          },
          sensitive: true
        },
        S4s: {
          type: "structure",
          required: [
            "VdmEnabled"
          ],
          members: {
            VdmEnabled: {},
            DashboardAttributes: {
              type: "structure",
              members: {
                EngagementMetrics: {}
              }
            },
            GuardianAttributes: {
              type: "structure",
              members: {
                OptimizedSharedDelivery: {}
              }
            }
          }
        },
        S5j: {
          type: "structure",
          required: [
            "Ip",
            "WarmupStatus",
            "WarmupPercentage"
          ],
          members: {
            Ip: {},
            WarmupStatus: {},
            WarmupPercentage: {
              type: "integer"
            },
            PoolName: {}
          }
        },
        S5x: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Domain: {},
              SubscriptionStartDate: {
                type: "timestamp"
              },
              InboxPlacementTrackingOption: {
                type: "structure",
                members: {
                  Global: {
                    type: "boolean"
                  },
                  TrackedIsps: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          }
        },
        S65: {
          type: "structure",
          members: {
            ReportId: {},
            ReportName: {},
            Subject: {},
            FromEmailAddress: {},
            CreateDate: {
              type: "timestamp"
            },
            DeliverabilityTestStatus: {}
          }
        },
        S67: {
          type: "structure",
          members: {
            InboxPercentage: {
              type: "double"
            },
            SpamPercentage: {
              type: "double"
            },
            MissingPercentage: {
              type: "double"
            },
            SpfPercentage: {
              type: "double"
            },
            DkimPercentage: {
              type: "double"
            }
          }
        },
        S6f: {
          type: "structure",
          members: {
            CampaignId: {},
            ImageUrl: {},
            Subject: {},
            FromAddress: {},
            SendingIps: {
              type: "list",
              member: {}
            },
            FirstSeenDateTime: {
              type: "timestamp"
            },
            LastSeenDateTime: {
              type: "timestamp"
            },
            InboxCount: {
              type: "long"
            },
            SpamCount: {
              type: "long"
            },
            ReadRate: {
              type: "double"
            },
            DeleteRate: {
              type: "double"
            },
            ReadDeleteRate: {
              type: "double"
            },
            ProjectedVolume: {
              type: "long"
            },
            Esps: {
              type: "list",
              member: {}
            }
          }
        },
        S6p: {
          type: "structure",
          members: {
            InboxRawCount: {
              type: "long"
            },
            SpamRawCount: {
              type: "long"
            },
            ProjectedInbox: {
              type: "long"
            },
            ProjectedSpam: {
              type: "long"
            }
          }
        },
        S6q: {
          type: "list",
          member: {
            type: "structure",
            members: {
              IspName: {},
              InboxRawCount: {
                type: "long"
              },
              SpamRawCount: {
                type: "long"
              },
              InboxPercentage: {
                type: "double"
              },
              SpamPercentage: {
                type: "double"
              }
            }
          }
        },
        S70: {
          type: "map",
          key: {},
          value: {}
        },
        Sae: {
          type: "list",
          member: {}
        },
        Saf: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Value"
            ],
            members: {
              Name: {},
              Value: {}
            }
          }
        },
        Sam: {
          type: "structure",
          members: {
            ToAddresses: {
              shape: "Sae"
            },
            CcAddresses: {
              shape: "Sae"
            },
            BccAddresses: {
              shape: "Sae"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/sesv2-2019-09-27.paginators.json
var require_sesv2_2019_09_27_paginators = __commonJS({
  "node_modules/aws-sdk/apis/sesv2-2019-09-27.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetDedicatedIps: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListConfigurationSets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListContactLists: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListContacts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListCustomVerificationEmailTemplates: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListDedicatedIpPools: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListDeliverabilityTestReports: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListDomainDeliverabilityCampaigns: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListEmailIdentities: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListEmailTemplates: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListImportJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListRecommendations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        },
        ListSuppressedDestinations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "PageSize"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/sesv2.js
var require_sesv2 = __commonJS({
  "node_modules/aws-sdk/clients/sesv2.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["sesv2"] = {};
    AWS2.SESV2 = Service.defineService("sesv2", ["2019-09-27"]);
    Object.defineProperty(apiLoader.services["sesv2"], "2019-09-27", {
      get: function get() {
        var model = require_sesv2_2019_09_27_min();
        model.paginators = require_sesv2_2019_09_27_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SESV2;
  }
});

// node_modules/aws-sdk/apis/migrationhub-config-2019-06-30.min.json
var require_migrationhub_config_2019_06_30_min = __commonJS({
  "node_modules/aws-sdk/apis/migrationhub-config-2019-06-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-06-30",
        endpointPrefix: "migrationhub-config",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS Migration Hub Config",
        serviceId: "MigrationHub Config",
        signatureVersion: "v4",
        signingName: "mgh",
        targetPrefix: "AWSMigrationHubMultiAccountService",
        uid: "migrationhub-config-2019-06-30"
      },
      operations: {
        CreateHomeRegionControl: {
          input: {
            type: "structure",
            required: [
              "HomeRegion",
              "Target"
            ],
            members: {
              HomeRegion: {},
              Target: {
                shape: "S3"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HomeRegionControl: {
                shape: "S8"
              }
            }
          }
        },
        DescribeHomeRegionControls: {
          input: {
            type: "structure",
            members: {
              ControlId: {},
              HomeRegion: {},
              Target: {
                shape: "S3"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              HomeRegionControls: {
                type: "list",
                member: {
                  shape: "S8"
                }
              },
              NextToken: {}
            }
          }
        },
        GetHomeRegion: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              HomeRegion: {}
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "structure",
          required: [
            "Type"
          ],
          members: {
            Type: {},
            Id: {}
          }
        },
        S8: {
          type: "structure",
          members: {
            ControlId: {},
            HomeRegion: {},
            Target: {
              shape: "S3"
            },
            RequestedTime: {
              type: "timestamp"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/migrationhub-config-2019-06-30.paginators.json
var require_migrationhub_config_2019_06_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/migrationhub-config-2019-06-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeHomeRegionControls: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/migrationhubconfig.js
var require_migrationhubconfig = __commonJS({
  "node_modules/aws-sdk/clients/migrationhubconfig.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["migrationhubconfig"] = {};
    AWS2.MigrationHubConfig = Service.defineService("migrationhubconfig", ["2019-06-30"]);
    Object.defineProperty(apiLoader.services["migrationhubconfig"], "2019-06-30", {
      get: function get() {
        var model = require_migrationhub_config_2019_06_30_min();
        model.paginators = require_migrationhub_config_2019_06_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MigrationHubConfig;
  }
});

// node_modules/aws-sdk/apis/connectparticipant-2018-09-07.min.json
var require_connectparticipant_2018_09_07_min = __commonJS({
  "node_modules/aws-sdk/apis/connectparticipant-2018-09-07.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-09-07",
        endpointPrefix: "participant.connect",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Amazon Connect Participant",
        serviceFullName: "Amazon Connect Participant Service",
        serviceId: "ConnectParticipant",
        signatureVersion: "v4",
        signingName: "execute-api",
        uid: "connectparticipant-2018-09-07"
      },
      operations: {
        CompleteAttachmentUpload: {
          http: {
            requestUri: "/participant/complete-attachment-upload"
          },
          input: {
            type: "structure",
            required: [
              "AttachmentIds",
              "ClientToken",
              "ConnectionToken"
            ],
            members: {
              AttachmentIds: {
                type: "list",
                member: {}
              },
              ClientToken: {
                idempotencyToken: true
              },
              ConnectionToken: {
                location: "header",
                locationName: "X-Amz-Bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateParticipantConnection: {
          http: {
            requestUri: "/participant/connection"
          },
          input: {
            type: "structure",
            required: [
              "ParticipantToken"
            ],
            members: {
              Type: {
                type: "list",
                member: {}
              },
              ParticipantToken: {
                location: "header",
                locationName: "X-Amz-Bearer"
              },
              ConnectParticipant: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Websocket: {
                type: "structure",
                members: {
                  Url: {},
                  ConnectionExpiry: {}
                }
              },
              ConnectionCredentials: {
                type: "structure",
                members: {
                  ConnectionToken: {},
                  Expiry: {}
                }
              }
            }
          }
        },
        DisconnectParticipant: {
          http: {
            requestUri: "/participant/disconnect"
          },
          input: {
            type: "structure",
            required: [
              "ConnectionToken"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              ConnectionToken: {
                location: "header",
                locationName: "X-Amz-Bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetAttachment: {
          http: {
            requestUri: "/participant/attachment"
          },
          input: {
            type: "structure",
            required: [
              "AttachmentId",
              "ConnectionToken"
            ],
            members: {
              AttachmentId: {},
              ConnectionToken: {
                location: "header",
                locationName: "X-Amz-Bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Url: {},
              UrlExpiry: {}
            }
          }
        },
        GetTranscript: {
          http: {
            requestUri: "/participant/transcript"
          },
          input: {
            type: "structure",
            required: [
              "ConnectionToken"
            ],
            members: {
              ContactId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              ScanDirection: {},
              SortOrder: {},
              StartPosition: {
                type: "structure",
                members: {
                  Id: {},
                  AbsoluteTime: {},
                  MostRecent: {
                    type: "integer"
                  }
                }
              },
              ConnectionToken: {
                location: "header",
                locationName: "X-Amz-Bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InitialContactId: {},
              Transcript: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AbsoluteTime: {},
                    Content: {},
                    ContentType: {},
                    Id: {},
                    Type: {},
                    ParticipantId: {},
                    DisplayName: {},
                    ParticipantRole: {},
                    Attachments: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ContentType: {},
                          AttachmentId: {},
                          AttachmentName: {},
                          Status: {}
                        }
                      }
                    },
                    MessageMetadata: {
                      type: "structure",
                      members: {
                        MessageId: {},
                        Receipts: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              DeliveredTimestamp: {},
                              ReadTimestamp: {},
                              RecipientParticipantId: {}
                            }
                          }
                        }
                      }
                    },
                    RelatedContactId: {},
                    ContactId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        SendEvent: {
          http: {
            requestUri: "/participant/event"
          },
          input: {
            type: "structure",
            required: [
              "ContentType",
              "ConnectionToken"
            ],
            members: {
              ContentType: {},
              Content: {},
              ClientToken: {
                idempotencyToken: true
              },
              ConnectionToken: {
                location: "header",
                locationName: "X-Amz-Bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              AbsoluteTime: {}
            }
          }
        },
        SendMessage: {
          http: {
            requestUri: "/participant/message"
          },
          input: {
            type: "structure",
            required: [
              "ContentType",
              "Content",
              "ConnectionToken"
            ],
            members: {
              ContentType: {},
              Content: {},
              ClientToken: {
                idempotencyToken: true
              },
              ConnectionToken: {
                location: "header",
                locationName: "X-Amz-Bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              AbsoluteTime: {}
            }
          }
        },
        StartAttachmentUpload: {
          http: {
            requestUri: "/participant/start-attachment-upload"
          },
          input: {
            type: "structure",
            required: [
              "ContentType",
              "AttachmentSizeInBytes",
              "AttachmentName",
              "ClientToken",
              "ConnectionToken"
            ],
            members: {
              ContentType: {},
              AttachmentSizeInBytes: {
                type: "long"
              },
              AttachmentName: {},
              ClientToken: {
                idempotencyToken: true
              },
              ConnectionToken: {
                location: "header",
                locationName: "X-Amz-Bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AttachmentId: {},
              UploadMetadata: {
                type: "structure",
                members: {
                  Url: {},
                  UrlExpiry: {},
                  HeadersToInclude: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                }
              }
            }
          }
        }
      },
      shapes: {}
    };
  }
});

// node_modules/aws-sdk/apis/connectparticipant-2018-09-07.paginators.json
var require_connectparticipant_2018_09_07_paginators = __commonJS({
  "node_modules/aws-sdk/apis/connectparticipant-2018-09-07.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetTranscript: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/connectparticipant.js
var require_connectparticipant = __commonJS({
  "node_modules/aws-sdk/clients/connectparticipant.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["connectparticipant"] = {};
    AWS2.ConnectParticipant = Service.defineService("connectparticipant", ["2018-09-07"]);
    Object.defineProperty(apiLoader.services["connectparticipant"], "2018-09-07", {
      get: function get() {
        var model = require_connectparticipant_2018_09_07_min();
        model.paginators = require_connectparticipant_2018_09_07_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ConnectParticipant;
  }
});

// node_modules/aws-sdk/apis/appconfig-2019-10-09.min.json
var require_appconfig_2019_10_09_min = __commonJS({
  "node_modules/aws-sdk/apis/appconfig-2019-10-09.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-10-09",
        endpointPrefix: "appconfig",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "AppConfig",
        serviceFullName: "Amazon AppConfig",
        serviceId: "AppConfig",
        signatureVersion: "v4",
        signingName: "appconfig",
        uid: "appconfig-2019-10-09"
      },
      operations: {
        CreateApplication: {
          http: {
            requestUri: "/applications",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            shape: "S7"
          }
        },
        CreateConfigurationProfile: {
          http: {
            requestUri: "/applications/{ApplicationId}/configurationprofiles",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "Name",
              "LocationUri"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              Name: {},
              Description: {},
              LocationUri: {},
              RetrievalRoleArn: {},
              Validators: {
                shape: "Sd"
              },
              Tags: {
                shape: "S4"
              },
              Type: {}
            }
          },
          output: {
            shape: "Si"
          }
        },
        CreateDeploymentStrategy: {
          http: {
            requestUri: "/deploymentstrategies",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "DeploymentDurationInMinutes",
              "GrowthFactor"
            ],
            members: {
              Name: {},
              Description: {},
              DeploymentDurationInMinutes: {
                type: "integer"
              },
              FinalBakeTimeInMinutes: {
                type: "integer"
              },
              GrowthFactor: {
                type: "float"
              },
              GrowthType: {},
              ReplicateTo: {},
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            shape: "So"
          }
        },
        CreateEnvironment: {
          http: {
            requestUri: "/applications/{ApplicationId}/environments",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "Name"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              Name: {},
              Description: {},
              Monitors: {
                shape: "Sr"
              },
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            shape: "Su"
          }
        },
        CreateExtension: {
          http: {
            requestUri: "/extensions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "Actions"
            ],
            members: {
              Name: {},
              Description: {},
              Actions: {
                shape: "Sx"
              },
              Parameters: {
                shape: "S12"
              },
              Tags: {
                shape: "S4"
              },
              LatestVersionNumber: {
                location: "header",
                locationName: "Latest-Version-Number",
                type: "integer"
              }
            }
          },
          output: {
            shape: "S16"
          }
        },
        CreateExtensionAssociation: {
          http: {
            requestUri: "/extensionassociations",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ExtensionIdentifier",
              "ResourceIdentifier"
            ],
            members: {
              ExtensionIdentifier: {},
              ExtensionVersionNumber: {
                type: "integer"
              },
              ResourceIdentifier: {},
              Parameters: {
                shape: "S19"
              },
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            shape: "S1a"
          }
        },
        CreateHostedConfigurationVersion: {
          http: {
            requestUri: "/applications/{ApplicationId}/configurationprofiles/{ConfigurationProfileId}/hostedconfigurationversions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "ConfigurationProfileId",
              "Content",
              "ContentType"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              ConfigurationProfileId: {
                location: "uri",
                locationName: "ConfigurationProfileId"
              },
              Description: {
                location: "header",
                locationName: "Description"
              },
              Content: {
                shape: "S1c"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              LatestVersionNumber: {
                location: "header",
                locationName: "Latest-Version-Number",
                type: "integer"
              },
              VersionLabel: {
                location: "header",
                locationName: "VersionLabel"
              }
            },
            payload: "Content"
          },
          output: {
            shape: "S1f"
          }
        },
        DeleteApplication: {
          http: {
            method: "DELETE",
            requestUri: "/applications/{ApplicationId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              }
            }
          }
        },
        DeleteConfigurationProfile: {
          http: {
            method: "DELETE",
            requestUri: "/applications/{ApplicationId}/configurationprofiles/{ConfigurationProfileId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "ConfigurationProfileId"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              ConfigurationProfileId: {
                location: "uri",
                locationName: "ConfigurationProfileId"
              }
            }
          }
        },
        DeleteDeploymentStrategy: {
          http: {
            method: "DELETE",
            requestUri: "/deployementstrategies/{DeploymentStrategyId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "DeploymentStrategyId"
            ],
            members: {
              DeploymentStrategyId: {
                location: "uri",
                locationName: "DeploymentStrategyId"
              }
            }
          }
        },
        DeleteEnvironment: {
          http: {
            method: "DELETE",
            requestUri: "/applications/{ApplicationId}/environments/{EnvironmentId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "EnvironmentId"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              EnvironmentId: {
                location: "uri",
                locationName: "EnvironmentId"
              }
            }
          }
        },
        DeleteExtension: {
          http: {
            method: "DELETE",
            requestUri: "/extensions/{ExtensionIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ExtensionIdentifier"
            ],
            members: {
              ExtensionIdentifier: {
                location: "uri",
                locationName: "ExtensionIdentifier"
              },
              VersionNumber: {
                location: "querystring",
                locationName: "version",
                type: "integer"
              }
            }
          }
        },
        DeleteExtensionAssociation: {
          http: {
            method: "DELETE",
            requestUri: "/extensionassociations/{ExtensionAssociationId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ExtensionAssociationId"
            ],
            members: {
              ExtensionAssociationId: {
                location: "uri",
                locationName: "ExtensionAssociationId"
              }
            }
          }
        },
        DeleteHostedConfigurationVersion: {
          http: {
            method: "DELETE",
            requestUri: "/applications/{ApplicationId}/configurationprofiles/{ConfigurationProfileId}/hostedconfigurationversions/{VersionNumber}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "ConfigurationProfileId",
              "VersionNumber"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              ConfigurationProfileId: {
                location: "uri",
                locationName: "ConfigurationProfileId"
              },
              VersionNumber: {
                location: "uri",
                locationName: "VersionNumber",
                type: "integer"
              }
            }
          }
        },
        GetApplication: {
          http: {
            method: "GET",
            requestUri: "/applications/{ApplicationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              }
            }
          },
          output: {
            shape: "S7"
          }
        },
        GetConfiguration: {
          http: {
            method: "GET",
            requestUri: "/applications/{Application}/environments/{Environment}/configurations/{Configuration}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Application",
              "Environment",
              "Configuration",
              "ClientId"
            ],
            members: {
              Application: {
                location: "uri",
                locationName: "Application"
              },
              Environment: {
                location: "uri",
                locationName: "Environment"
              },
              Configuration: {
                location: "uri",
                locationName: "Configuration"
              },
              ClientId: {
                location: "querystring",
                locationName: "client_id"
              },
              ClientConfigurationVersion: {
                location: "querystring",
                locationName: "client_configuration_version"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Content: {
                shape: "S1c"
              },
              ConfigurationVersion: {
                location: "header",
                locationName: "Configuration-Version"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              }
            },
            payload: "Content"
          },
          deprecated: true,
          deprecatedMessage: "This API has been deprecated in favor of the GetLatestConfiguration API used in conjunction with StartConfigurationSession."
        },
        GetConfigurationProfile: {
          http: {
            method: "GET",
            requestUri: "/applications/{ApplicationId}/configurationprofiles/{ConfigurationProfileId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "ConfigurationProfileId"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              ConfigurationProfileId: {
                location: "uri",
                locationName: "ConfigurationProfileId"
              }
            }
          },
          output: {
            shape: "Si"
          }
        },
        GetDeployment: {
          http: {
            method: "GET",
            requestUri: "/applications/{ApplicationId}/environments/{EnvironmentId}/deployments/{DeploymentNumber}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "EnvironmentId",
              "DeploymentNumber"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              EnvironmentId: {
                location: "uri",
                locationName: "EnvironmentId"
              },
              DeploymentNumber: {
                location: "uri",
                locationName: "DeploymentNumber",
                type: "integer"
              }
            }
          },
          output: {
            shape: "S1w"
          }
        },
        GetDeploymentStrategy: {
          http: {
            method: "GET",
            requestUri: "/deploymentstrategies/{DeploymentStrategyId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DeploymentStrategyId"
            ],
            members: {
              DeploymentStrategyId: {
                location: "uri",
                locationName: "DeploymentStrategyId"
              }
            }
          },
          output: {
            shape: "So"
          }
        },
        GetEnvironment: {
          http: {
            method: "GET",
            requestUri: "/applications/{ApplicationId}/environments/{EnvironmentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "EnvironmentId"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              EnvironmentId: {
                location: "uri",
                locationName: "EnvironmentId"
              }
            }
          },
          output: {
            shape: "Su"
          }
        },
        GetExtension: {
          http: {
            method: "GET",
            requestUri: "/extensions/{ExtensionIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ExtensionIdentifier"
            ],
            members: {
              ExtensionIdentifier: {
                location: "uri",
                locationName: "ExtensionIdentifier"
              },
              VersionNumber: {
                location: "querystring",
                locationName: "version_number",
                type: "integer"
              }
            }
          },
          output: {
            shape: "S16"
          }
        },
        GetExtensionAssociation: {
          http: {
            method: "GET",
            requestUri: "/extensionassociations/{ExtensionAssociationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ExtensionAssociationId"
            ],
            members: {
              ExtensionAssociationId: {
                location: "uri",
                locationName: "ExtensionAssociationId"
              }
            }
          },
          output: {
            shape: "S1a"
          }
        },
        GetHostedConfigurationVersion: {
          http: {
            method: "GET",
            requestUri: "/applications/{ApplicationId}/configurationprofiles/{ConfigurationProfileId}/hostedconfigurationversions/{VersionNumber}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "ConfigurationProfileId",
              "VersionNumber"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              ConfigurationProfileId: {
                location: "uri",
                locationName: "ConfigurationProfileId"
              },
              VersionNumber: {
                location: "uri",
                locationName: "VersionNumber",
                type: "integer"
              }
            }
          },
          output: {
            shape: "S1f"
          }
        },
        ListApplications: {
          http: {
            method: "GET",
            requestUri: "/applications",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next_token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  shape: "S7"
                }
              },
              NextToken: {}
            }
          }
        },
        ListConfigurationProfiles: {
          http: {
            method: "GET",
            requestUri: "/applications/{ApplicationId}/configurationprofiles",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next_token"
              },
              Type: {
                location: "querystring",
                locationName: "type"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApplicationId: {},
                    Id: {},
                    Name: {},
                    LocationUri: {},
                    ValidatorTypes: {
                      type: "list",
                      member: {}
                    },
                    Type: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDeploymentStrategies: {
          http: {
            method: "GET",
            requestUri: "/deploymentstrategies",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next_token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  shape: "So"
                }
              },
              NextToken: {}
            }
          }
        },
        ListDeployments: {
          http: {
            method: "GET",
            requestUri: "/applications/{ApplicationId}/environments/{EnvironmentId}/deployments",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "EnvironmentId"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              EnvironmentId: {
                location: "uri",
                locationName: "EnvironmentId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next_token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DeploymentNumber: {
                      type: "integer"
                    },
                    ConfigurationName: {},
                    ConfigurationVersion: {},
                    DeploymentDurationInMinutes: {
                      type: "integer"
                    },
                    GrowthType: {},
                    GrowthFactor: {
                      type: "float"
                    },
                    FinalBakeTimeInMinutes: {
                      type: "integer"
                    },
                    State: {},
                    PercentageComplete: {
                      type: "float"
                    },
                    StartedAt: {
                      shape: "S24"
                    },
                    CompletedAt: {
                      shape: "S24"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEnvironments: {
          http: {
            method: "GET",
            requestUri: "/applications/{ApplicationId}/environments",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next_token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  shape: "Su"
                }
              },
              NextToken: {}
            }
          }
        },
        ListExtensionAssociations: {
          http: {
            method: "GET",
            requestUri: "/extensionassociations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceIdentifier: {
                location: "querystring",
                locationName: "resource_identifier"
              },
              ExtensionIdentifier: {
                location: "querystring",
                locationName: "extension_identifier"
              },
              ExtensionVersionNumber: {
                location: "querystring",
                locationName: "extension_version_number",
                type: "integer"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next_token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    ExtensionArn: {},
                    ResourceArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListExtensions: {
          http: {
            method: "GET",
            requestUri: "/extensions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next_token"
              },
              Name: {
                location: "querystring",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Name: {},
                    VersionNumber: {
                      type: "integer"
                    },
                    Arn: {},
                    Description: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListHostedConfigurationVersions: {
          http: {
            method: "GET",
            requestUri: "/applications/{ApplicationId}/configurationprofiles/{ConfigurationProfileId}/hostedconfigurationversions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "ConfigurationProfileId"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              ConfigurationProfileId: {
                location: "uri",
                locationName: "ConfigurationProfileId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next_token"
              },
              VersionLabel: {
                location: "querystring",
                locationName: "version_label"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApplicationId: {},
                    ConfigurationProfileId: {},
                    VersionNumber: {
                      type: "integer"
                    },
                    Description: {},
                    ContentType: {},
                    VersionLabel: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S4"
              }
            }
          }
        },
        StartDeployment: {
          http: {
            requestUri: "/applications/{ApplicationId}/environments/{EnvironmentId}/deployments",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "EnvironmentId",
              "DeploymentStrategyId",
              "ConfigurationProfileId",
              "ConfigurationVersion"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              EnvironmentId: {
                location: "uri",
                locationName: "EnvironmentId"
              },
              DeploymentStrategyId: {},
              ConfigurationProfileId: {},
              ConfigurationVersion: {},
              Description: {},
              Tags: {
                shape: "S4"
              },
              KmsKeyIdentifier: {}
            }
          },
          output: {
            shape: "S1w"
          }
        },
        StopDeployment: {
          http: {
            method: "DELETE",
            requestUri: "/applications/{ApplicationId}/environments/{EnvironmentId}/deployments/{DeploymentNumber}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "EnvironmentId",
              "DeploymentNumber"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              EnvironmentId: {
                location: "uri",
                locationName: "EnvironmentId"
              },
              DeploymentNumber: {
                location: "uri",
                locationName: "DeploymentNumber",
                type: "integer"
              }
            }
          },
          output: {
            shape: "S1w"
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "S4"
              }
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          }
        },
        UpdateApplication: {
          http: {
            method: "PATCH",
            requestUri: "/applications/{ApplicationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              Name: {},
              Description: {}
            }
          },
          output: {
            shape: "S7"
          }
        },
        UpdateConfigurationProfile: {
          http: {
            method: "PATCH",
            requestUri: "/applications/{ApplicationId}/configurationprofiles/{ConfigurationProfileId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "ConfigurationProfileId"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              ConfigurationProfileId: {
                location: "uri",
                locationName: "ConfigurationProfileId"
              },
              Name: {},
              Description: {},
              RetrievalRoleArn: {},
              Validators: {
                shape: "Sd"
              }
            }
          },
          output: {
            shape: "Si"
          }
        },
        UpdateDeploymentStrategy: {
          http: {
            method: "PATCH",
            requestUri: "/deploymentstrategies/{DeploymentStrategyId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DeploymentStrategyId"
            ],
            members: {
              DeploymentStrategyId: {
                location: "uri",
                locationName: "DeploymentStrategyId"
              },
              Description: {},
              DeploymentDurationInMinutes: {
                type: "integer"
              },
              FinalBakeTimeInMinutes: {
                type: "integer"
              },
              GrowthFactor: {
                type: "float"
              },
              GrowthType: {}
            }
          },
          output: {
            shape: "So"
          }
        },
        UpdateEnvironment: {
          http: {
            method: "PATCH",
            requestUri: "/applications/{ApplicationId}/environments/{EnvironmentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "EnvironmentId"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              EnvironmentId: {
                location: "uri",
                locationName: "EnvironmentId"
              },
              Name: {},
              Description: {},
              Monitors: {
                shape: "Sr"
              }
            }
          },
          output: {
            shape: "Su"
          }
        },
        UpdateExtension: {
          http: {
            method: "PATCH",
            requestUri: "/extensions/{ExtensionIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ExtensionIdentifier"
            ],
            members: {
              ExtensionIdentifier: {
                location: "uri",
                locationName: "ExtensionIdentifier"
              },
              Description: {},
              Actions: {
                shape: "Sx"
              },
              Parameters: {
                shape: "S12"
              },
              VersionNumber: {
                type: "integer"
              }
            }
          },
          output: {
            shape: "S16"
          }
        },
        UpdateExtensionAssociation: {
          http: {
            method: "PATCH",
            requestUri: "/extensionassociations/{ExtensionAssociationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ExtensionAssociationId"
            ],
            members: {
              ExtensionAssociationId: {
                location: "uri",
                locationName: "ExtensionAssociationId"
              },
              Parameters: {
                shape: "S19"
              }
            }
          },
          output: {
            shape: "S1a"
          }
        },
        ValidateConfiguration: {
          http: {
            requestUri: "/applications/{ApplicationId}/configurationprofiles/{ConfigurationProfileId}/validators",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "ConfigurationProfileId",
              "ConfigurationVersion"
            ],
            members: {
              ApplicationId: {
                location: "uri",
                locationName: "ApplicationId"
              },
              ConfigurationProfileId: {
                location: "uri",
                locationName: "ConfigurationProfileId"
              },
              ConfigurationVersion: {
                location: "querystring",
                locationName: "configuration_version"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "map",
          key: {},
          value: {}
        },
        S7: {
          type: "structure",
          members: {
            Id: {},
            Name: {},
            Description: {}
          }
        },
        Sd: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Type",
              "Content"
            ],
            members: {
              Type: {},
              Content: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        Si: {
          type: "structure",
          members: {
            ApplicationId: {},
            Id: {},
            Name: {},
            Description: {},
            LocationUri: {},
            RetrievalRoleArn: {},
            Validators: {
              shape: "Sd"
            },
            Type: {}
          }
        },
        So: {
          type: "structure",
          members: {
            Id: {},
            Name: {},
            Description: {},
            DeploymentDurationInMinutes: {
              type: "integer"
            },
            GrowthType: {},
            GrowthFactor: {
              type: "float"
            },
            FinalBakeTimeInMinutes: {
              type: "integer"
            },
            ReplicateTo: {}
          }
        },
        Sr: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AlarmArn"
            ],
            members: {
              AlarmArn: {},
              AlarmRoleArn: {}
            }
          }
        },
        Su: {
          type: "structure",
          members: {
            ApplicationId: {},
            Id: {},
            Name: {},
            Description: {},
            State: {},
            Monitors: {
              shape: "Sr"
            }
          }
        },
        Sx: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {
              type: "structure",
              members: {
                Name: {},
                Description: {},
                Uri: {},
                RoleArn: {}
              }
            }
          }
        },
        S12: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              Description: {},
              Required: {
                type: "boolean"
              }
            }
          }
        },
        S16: {
          type: "structure",
          members: {
            Id: {},
            Name: {},
            VersionNumber: {
              type: "integer"
            },
            Arn: {},
            Description: {},
            Actions: {
              shape: "Sx"
            },
            Parameters: {
              shape: "S12"
            }
          }
        },
        S19: {
          type: "map",
          key: {},
          value: {}
        },
        S1a: {
          type: "structure",
          members: {
            Id: {},
            ExtensionArn: {},
            ResourceArn: {},
            Arn: {},
            Parameters: {
              shape: "S19"
            },
            ExtensionVersionNumber: {
              type: "integer"
            }
          }
        },
        S1c: {
          type: "blob",
          sensitive: true
        },
        S1f: {
          type: "structure",
          members: {
            ApplicationId: {
              location: "header",
              locationName: "Application-Id"
            },
            ConfigurationProfileId: {
              location: "header",
              locationName: "Configuration-Profile-Id"
            },
            VersionNumber: {
              location: "header",
              locationName: "Version-Number",
              type: "integer"
            },
            Description: {
              location: "header",
              locationName: "Description"
            },
            Content: {
              shape: "S1c"
            },
            ContentType: {
              location: "header",
              locationName: "Content-Type"
            },
            VersionLabel: {
              location: "header",
              locationName: "VersionLabel"
            }
          },
          payload: "Content"
        },
        S1w: {
          type: "structure",
          members: {
            ApplicationId: {},
            EnvironmentId: {},
            DeploymentStrategyId: {},
            ConfigurationProfileId: {},
            DeploymentNumber: {
              type: "integer"
            },
            ConfigurationName: {},
            ConfigurationLocationUri: {},
            ConfigurationVersion: {},
            Description: {},
            DeploymentDurationInMinutes: {
              type: "integer"
            },
            GrowthType: {},
            GrowthFactor: {
              type: "float"
            },
            FinalBakeTimeInMinutes: {
              type: "integer"
            },
            State: {},
            EventLog: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  EventType: {},
                  TriggeredBy: {},
                  Description: {},
                  ActionInvocations: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        ExtensionIdentifier: {},
                        ActionName: {},
                        Uri: {},
                        RoleArn: {},
                        ErrorMessage: {},
                        ErrorCode: {},
                        InvocationId: {}
                      }
                    }
                  },
                  OccurredAt: {
                    shape: "S24"
                  }
                }
              }
            },
            PercentageComplete: {
              type: "float"
            },
            StartedAt: {
              shape: "S24"
            },
            CompletedAt: {
              shape: "S24"
            },
            AppliedExtensions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  ExtensionId: {},
                  ExtensionAssociationId: {},
                  VersionNumber: {
                    type: "integer"
                  },
                  Parameters: {
                    shape: "S19"
                  }
                }
              }
            },
            KmsKeyArn: {},
            KmsKeyIdentifier: {}
          }
        },
        S24: {
          type: "timestamp",
          timestampFormat: "iso8601"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/appconfig-2019-10-09.paginators.json
var require_appconfig_2019_10_09_paginators = __commonJS({
  "node_modules/aws-sdk/apis/appconfig-2019-10-09.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListApplications: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListConfigurationProfiles: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDeploymentStrategies: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDeployments: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListEnvironments: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListExtensionAssociations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListExtensions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListHostedConfigurationVersions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/appconfig.js
var require_appconfig = __commonJS({
  "node_modules/aws-sdk/clients/appconfig.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["appconfig"] = {};
    AWS2.AppConfig = Service.defineService("appconfig", ["2019-10-09"]);
    Object.defineProperty(apiLoader.services["appconfig"], "2019-10-09", {
      get: function get() {
        var model = require_appconfig_2019_10_09_min();
        model.paginators = require_appconfig_2019_10_09_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.AppConfig;
  }
});

// node_modules/aws-sdk/apis/iotsecuretunneling-2018-10-05.min.json
var require_iotsecuretunneling_2018_10_05_min = __commonJS({
  "node_modules/aws-sdk/apis/iotsecuretunneling-2018-10-05.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-10-05",
        endpointPrefix: "api.tunneling.iot",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "AWS IoT Secure Tunneling",
        serviceId: "IoTSecureTunneling",
        signatureVersion: "v4",
        signingName: "IoTSecuredTunneling",
        targetPrefix: "IoTSecuredTunneling",
        uid: "iotsecuretunneling-2018-10-05"
      },
      operations: {
        CloseTunnel: {
          input: {
            type: "structure",
            required: [
              "tunnelId"
            ],
            members: {
              tunnelId: {},
              delete: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeTunnel: {
          input: {
            type: "structure",
            required: [
              "tunnelId"
            ],
            members: {
              tunnelId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tunnel: {
                type: "structure",
                members: {
                  tunnelId: {},
                  tunnelArn: {},
                  status: {},
                  sourceConnectionState: {
                    shape: "Sa"
                  },
                  destinationConnectionState: {
                    shape: "Sa"
                  },
                  description: {},
                  destinationConfig: {
                    shape: "Se"
                  },
                  timeoutConfig: {
                    shape: "Si"
                  },
                  tags: {
                    shape: "Sk"
                  },
                  createdAt: {
                    type: "timestamp"
                  },
                  lastUpdatedAt: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sk"
              }
            }
          }
        },
        ListTunnels: {
          input: {
            type: "structure",
            members: {
              thingName: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tunnelSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    tunnelId: {},
                    tunnelArn: {},
                    status: {},
                    description: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        OpenTunnel: {
          input: {
            type: "structure",
            members: {
              description: {},
              tags: {
                shape: "Sk"
              },
              destinationConfig: {
                shape: "Se"
              },
              timeoutConfig: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tunnelId: {},
              tunnelArn: {},
              sourceAccessToken: {
                shape: "Sz"
              },
              destinationAccessToken: {
                shape: "Sz"
              }
            }
          }
        },
        RotateTunnelAccessToken: {
          input: {
            type: "structure",
            required: [
              "tunnelId",
              "clientMode"
            ],
            members: {
              tunnelId: {},
              clientMode: {},
              destinationConfig: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tunnelArn: {},
              sourceAccessToken: {
                shape: "Sz"
              },
              destinationAccessToken: {
                shape: "Sz"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        Sa: {
          type: "structure",
          members: {
            status: {},
            lastUpdatedAt: {
              type: "timestamp"
            }
          }
        },
        Se: {
          type: "structure",
          required: [
            "services"
          ],
          members: {
            thingName: {},
            services: {
              type: "list",
              member: {}
            }
          }
        },
        Si: {
          type: "structure",
          members: {
            maxLifetimeTimeoutMinutes: {
              type: "integer"
            }
          }
        },
        Sk: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        Sz: {
          type: "string",
          sensitive: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iotsecuretunneling-2018-10-05.paginators.json
var require_iotsecuretunneling_2018_10_05_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iotsecuretunneling-2018-10-05.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListTunnels: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/iotsecuretunneling.js
var require_iotsecuretunneling = __commonJS({
  "node_modules/aws-sdk/clients/iotsecuretunneling.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iotsecuretunneling"] = {};
    AWS2.IoTSecureTunneling = Service.defineService("iotsecuretunneling", ["2018-10-05"]);
    Object.defineProperty(apiLoader.services["iotsecuretunneling"], "2018-10-05", {
      get: function get() {
        var model = require_iotsecuretunneling_2018_10_05_min();
        model.paginators = require_iotsecuretunneling_2018_10_05_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IoTSecureTunneling;
  }
});

// node_modules/aws-sdk/apis/wafv2-2019-07-29.min.json
var require_wafv2_2019_07_29_min = __commonJS({
  "node_modules/aws-sdk/apis/wafv2-2019-07-29.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-07-29",
        endpointPrefix: "wafv2",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "WAFV2",
        serviceFullName: "AWS WAFV2",
        serviceId: "WAFV2",
        signatureVersion: "v4",
        targetPrefix: "AWSWAF_20190729",
        uid: "wafv2-2019-07-29"
      },
      operations: {
        AssociateWebACL: {
          input: {
            type: "structure",
            required: [
              "WebACLArn",
              "ResourceArn"
            ],
            members: {
              WebACLArn: {},
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CheckCapacity: {
          input: {
            type: "structure",
            required: [
              "Scope",
              "Rules"
            ],
            members: {
              Scope: {},
              Rules: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Capacity: {
                type: "long"
              }
            }
          }
        },
        CreateAPIKey: {
          input: {
            type: "structure",
            required: [
              "Scope",
              "TokenDomains"
            ],
            members: {
              Scope: {},
              TokenDomains: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              APIKey: {}
            }
          }
        },
        CreateIPSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "IPAddressVersion",
              "Addresses"
            ],
            members: {
              Name: {},
              Scope: {},
              Description: {},
              IPAddressVersion: {},
              Addresses: {
                shape: "S4l"
              },
              Tags: {
                shape: "S4n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Summary: {
                shape: "S4s"
              }
            }
          }
        },
        CreateRegexPatternSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "RegularExpressionList"
            ],
            members: {
              Name: {},
              Scope: {},
              Description: {},
              RegularExpressionList: {
                shape: "S4w"
              },
              Tags: {
                shape: "S4n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Summary: {
                shape: "S4z"
              }
            }
          }
        },
        CreateRuleGroup: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "Capacity",
              "VisibilityConfig"
            ],
            members: {
              Name: {},
              Scope: {},
              Capacity: {
                type: "long"
              },
              Description: {},
              Rules: {
                shape: "S6"
              },
              VisibilityConfig: {
                shape: "S45"
              },
              Tags: {
                shape: "S4n"
              },
              CustomResponseBodies: {
                shape: "S52"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Summary: {
                shape: "S57"
              }
            }
          }
        },
        CreateWebACL: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "DefaultAction",
              "VisibilityConfig"
            ],
            members: {
              Name: {},
              Scope: {},
              DefaultAction: {
                shape: "S59"
              },
              Description: {},
              Rules: {
                shape: "S6"
              },
              VisibilityConfig: {
                shape: "S45"
              },
              Tags: {
                shape: "S4n"
              },
              CustomResponseBodies: {
                shape: "S52"
              },
              CaptchaConfig: {
                shape: "S47"
              },
              ChallengeConfig: {
                shape: "S4a"
              },
              TokenDomains: {
                shape: "S5a"
              },
              AssociationConfig: {
                shape: "S5b"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Summary: {
                shape: "S5h"
              }
            }
          }
        },
        DeleteFirewallManagerRuleGroups: {
          input: {
            type: "structure",
            required: [
              "WebACLArn",
              "WebACLLockToken"
            ],
            members: {
              WebACLArn: {},
              WebACLLockToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextWebACLLockToken: {}
            }
          }
        },
        DeleteIPSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "Id",
              "LockToken"
            ],
            members: {
              Name: {},
              Scope: {},
              Id: {},
              LockToken: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteLoggingConfiguration: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeletePermissionPolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteRegexPatternSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "Id",
              "LockToken"
            ],
            members: {
              Name: {},
              Scope: {},
              Id: {},
              LockToken: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteRuleGroup: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "Id",
              "LockToken"
            ],
            members: {
              Name: {},
              Scope: {},
              Id: {},
              LockToken: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteWebACL: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "Id",
              "LockToken"
            ],
            members: {
              Name: {},
              Scope: {},
              Id: {},
              LockToken: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeAllManagedProducts: {
          input: {
            type: "structure",
            required: [
              "Scope"
            ],
            members: {
              Scope: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ManagedProducts: {
                shape: "S5y"
              }
            }
          }
        },
        DescribeManagedProductsByVendor: {
          input: {
            type: "structure",
            required: [
              "VendorName",
              "Scope"
            ],
            members: {
              VendorName: {},
              Scope: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ManagedProducts: {
                shape: "S5y"
              }
            }
          }
        },
        DescribeManagedRuleGroup: {
          input: {
            type: "structure",
            required: [
              "VendorName",
              "Name",
              "Scope"
            ],
            members: {
              VendorName: {},
              Name: {},
              Scope: {},
              VersionName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VersionName: {},
              SnsTopicArn: {},
              Capacity: {
                type: "long"
              },
              Rules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Action: {
                      shape: "S1p"
                    }
                  }
                }
              },
              LabelNamespace: {},
              AvailableLabels: {
                shape: "S6a"
              },
              ConsumedLabels: {
                shape: "S6a"
              }
            }
          }
        },
        DisassociateWebACL: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GenerateMobileSdkReleaseUrl: {
          input: {
            type: "structure",
            required: [
              "Platform",
              "ReleaseVersion"
            ],
            members: {
              Platform: {},
              ReleaseVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Url: {}
            }
          }
        },
        GetDecryptedAPIKey: {
          input: {
            type: "structure",
            required: [
              "Scope",
              "APIKey"
            ],
            members: {
              Scope: {},
              APIKey: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TokenDomains: {
                shape: "S5a"
              },
              CreationTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        GetIPSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "Id"
            ],
            members: {
              Name: {},
              Scope: {},
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IPSet: {
                type: "structure",
                required: [
                  "Name",
                  "Id",
                  "ARN",
                  "IPAddressVersion",
                  "Addresses"
                ],
                members: {
                  Name: {},
                  Id: {},
                  ARN: {},
                  Description: {},
                  IPAddressVersion: {},
                  Addresses: {
                    shape: "S4l"
                  }
                }
              },
              LockToken: {}
            }
          }
        },
        GetLoggingConfiguration: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LoggingConfiguration: {
                shape: "S6q"
              }
            }
          }
        },
        GetManagedRuleSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "Id"
            ],
            members: {
              Name: {},
              Scope: {},
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ManagedRuleSet: {
                type: "structure",
                required: [
                  "Name",
                  "Id",
                  "ARN"
                ],
                members: {
                  Name: {},
                  Id: {},
                  ARN: {},
                  Description: {},
                  PublishedVersions: {
                    type: "map",
                    key: {},
                    value: {
                      type: "structure",
                      members: {
                        AssociatedRuleGroupArn: {},
                        Capacity: {
                          type: "long"
                        },
                        ForecastedLifetime: {
                          type: "integer"
                        },
                        PublishTimestamp: {
                          type: "timestamp"
                        },
                        LastUpdateTimestamp: {
                          type: "timestamp"
                        },
                        ExpiryTimestamp: {
                          type: "timestamp"
                        }
                      }
                    }
                  },
                  RecommendedVersion: {},
                  LabelNamespace: {}
                }
              },
              LockToken: {}
            }
          }
        },
        GetMobileSdkRelease: {
          input: {
            type: "structure",
            required: [
              "Platform",
              "ReleaseVersion"
            ],
            members: {
              Platform: {},
              ReleaseVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MobileSdkRelease: {
                type: "structure",
                members: {
                  ReleaseVersion: {},
                  Timestamp: {
                    type: "timestamp"
                  },
                  ReleaseNotes: {},
                  Tags: {
                    shape: "S4n"
                  }
                }
              }
            }
          }
        },
        GetPermissionPolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {}
            }
          }
        },
        GetRateBasedStatementManagedKeys: {
          input: {
            type: "structure",
            required: [
              "Scope",
              "WebACLName",
              "WebACLId",
              "RuleName"
            ],
            members: {
              Scope: {},
              WebACLName: {},
              WebACLId: {},
              RuleGroupRuleName: {},
              RuleName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ManagedKeysIPV4: {
                shape: "S7i"
              },
              ManagedKeysIPV6: {
                shape: "S7i"
              }
            }
          }
        },
        GetRegexPatternSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "Id"
            ],
            members: {
              Name: {},
              Scope: {},
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RegexPatternSet: {
                type: "structure",
                members: {
                  Name: {},
                  Id: {},
                  ARN: {},
                  Description: {},
                  RegularExpressionList: {
                    shape: "S4w"
                  }
                }
              },
              LockToken: {}
            }
          }
        },
        GetRuleGroup: {
          input: {
            type: "structure",
            members: {
              Name: {},
              Scope: {},
              Id: {},
              ARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RuleGroup: {
                type: "structure",
                required: [
                  "Name",
                  "Id",
                  "Capacity",
                  "ARN",
                  "VisibilityConfig"
                ],
                members: {
                  Name: {},
                  Id: {},
                  Capacity: {
                    type: "long"
                  },
                  ARN: {},
                  Description: {},
                  Rules: {
                    shape: "S6"
                  },
                  VisibilityConfig: {
                    shape: "S45"
                  },
                  LabelNamespace: {},
                  CustomResponseBodies: {
                    shape: "S52"
                  },
                  AvailableLabels: {
                    shape: "S6a"
                  },
                  ConsumedLabels: {
                    shape: "S6a"
                  }
                }
              },
              LockToken: {}
            }
          }
        },
        GetSampledRequests: {
          input: {
            type: "structure",
            required: [
              "WebAclArn",
              "RuleMetricName",
              "Scope",
              "TimeWindow",
              "MaxItems"
            ],
            members: {
              WebAclArn: {},
              RuleMetricName: {},
              Scope: {},
              TimeWindow: {
                shape: "S7q"
              },
              MaxItems: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SampledRequests: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Request",
                    "Weight"
                  ],
                  members: {
                    Request: {
                      type: "structure",
                      members: {
                        ClientIP: {},
                        Country: {},
                        URI: {},
                        Method: {},
                        HTTPVersion: {},
                        Headers: {
                          shape: "S81"
                        }
                      }
                    },
                    Weight: {
                      type: "long"
                    },
                    Timestamp: {
                      type: "timestamp"
                    },
                    Action: {},
                    RuleNameWithinRuleGroup: {},
                    RequestHeadersInserted: {
                      shape: "S81"
                    },
                    ResponseCodeSent: {
                      type: "integer"
                    },
                    Labels: {
                      shape: "S42"
                    },
                    CaptchaResponse: {
                      type: "structure",
                      members: {
                        ResponseCode: {
                          type: "integer"
                        },
                        SolveTimestamp: {
                          type: "long"
                        },
                        FailureReason: {}
                      }
                    },
                    ChallengeResponse: {
                      type: "structure",
                      members: {
                        ResponseCode: {
                          type: "integer"
                        },
                        SolveTimestamp: {
                          type: "long"
                        },
                        FailureReason: {}
                      }
                    },
                    OverriddenAction: {}
                  }
                }
              },
              PopulationSize: {
                type: "long"
              },
              TimeWindow: {
                shape: "S7q"
              }
            }
          }
        },
        GetWebACL: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "Id"
            ],
            members: {
              Name: {},
              Scope: {},
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WebACL: {
                shape: "S8f"
              },
              LockToken: {},
              ApplicationIntegrationURL: {}
            }
          }
        },
        GetWebACLForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WebACL: {
                shape: "S8f"
              }
            }
          }
        },
        ListAPIKeys: {
          input: {
            type: "structure",
            required: [
              "Scope"
            ],
            members: {
              Scope: {},
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              APIKeySummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TokenDomains: {
                      shape: "S5a"
                    },
                    APIKey: {},
                    CreationTimestamp: {
                      type: "timestamp"
                    },
                    Version: {
                      type: "integer"
                    }
                  }
                }
              },
              ApplicationIntegrationURL: {}
            }
          }
        },
        ListAvailableManagedRuleGroupVersions: {
          input: {
            type: "structure",
            required: [
              "VendorName",
              "Name",
              "Scope"
            ],
            members: {
              VendorName: {},
              Name: {},
              Scope: {},
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              Versions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    LastUpdateTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              CurrentDefaultVersion: {}
            }
          }
        },
        ListAvailableManagedRuleGroups: {
          input: {
            type: "structure",
            required: [
              "Scope"
            ],
            members: {
              Scope: {},
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              ManagedRuleGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VendorName: {},
                    Name: {},
                    VersioningSupported: {
                      type: "boolean"
                    },
                    Description: {}
                  }
                }
              }
            }
          }
        },
        ListIPSets: {
          input: {
            type: "structure",
            required: [
              "Scope"
            ],
            members: {
              Scope: {},
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              IPSets: {
                type: "list",
                member: {
                  shape: "S4s"
                }
              }
            }
          }
        },
        ListLoggingConfigurations: {
          input: {
            type: "structure",
            required: [
              "Scope"
            ],
            members: {
              Scope: {},
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LoggingConfigurations: {
                type: "list",
                member: {
                  shape: "S6q"
                }
              },
              NextMarker: {}
            }
          }
        },
        ListManagedRuleSets: {
          input: {
            type: "structure",
            required: [
              "Scope"
            ],
            members: {
              Scope: {},
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              ManagedRuleSets: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Id: {},
                    Description: {},
                    LockToken: {},
                    ARN: {},
                    LabelNamespace: {}
                  }
                }
              }
            }
          }
        },
        ListMobileSdkReleases: {
          input: {
            type: "structure",
            required: [
              "Platform"
            ],
            members: {
              Platform: {},
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReleaseSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ReleaseVersion: {},
                    Timestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextMarker: {}
            }
          }
        },
        ListRegexPatternSets: {
          input: {
            type: "structure",
            required: [
              "Scope"
            ],
            members: {
              Scope: {},
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              RegexPatternSets: {
                type: "list",
                member: {
                  shape: "S4z"
                }
              }
            }
          }
        },
        ListResourcesForWebACL: {
          input: {
            type: "structure",
            required: [
              "WebACLArn"
            ],
            members: {
              WebACLArn: {},
              ResourceType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceArns: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ListRuleGroups: {
          input: {
            type: "structure",
            required: [
              "Scope"
            ],
            members: {
              Scope: {},
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              RuleGroups: {
                type: "list",
                member: {
                  shape: "S57"
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              NextMarker: {},
              Limit: {
                type: "integer"
              },
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              TagInfoForResource: {
                type: "structure",
                members: {
                  ResourceARN: {},
                  TagList: {
                    shape: "S4n"
                  }
                }
              }
            }
          }
        },
        ListWebACLs: {
          input: {
            type: "structure",
            required: [
              "Scope"
            ],
            members: {
              Scope: {},
              NextMarker: {},
              Limit: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextMarker: {},
              WebACLs: {
                type: "list",
                member: {
                  shape: "S5h"
                }
              }
            }
          }
        },
        PutLoggingConfiguration: {
          input: {
            type: "structure",
            required: [
              "LoggingConfiguration"
            ],
            members: {
              LoggingConfiguration: {
                shape: "S6q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LoggingConfiguration: {
                shape: "S6q"
              }
            }
          }
        },
        PutManagedRuleSetVersions: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "Id",
              "LockToken"
            ],
            members: {
              Name: {},
              Scope: {},
              Id: {},
              LockToken: {},
              RecommendedVersion: {},
              VersionsToPublish: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    AssociatedRuleGroupArn: {},
                    ForecastedLifetime: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextLockToken: {}
            }
          }
        },
        PutPermissionPolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Policy"
            ],
            members: {
              ResourceArn: {},
              Policy: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S4n"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateIPSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "Id",
              "Addresses",
              "LockToken"
            ],
            members: {
              Name: {},
              Scope: {},
              Id: {},
              Description: {},
              Addresses: {
                shape: "S4l"
              },
              LockToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextLockToken: {}
            }
          }
        },
        UpdateManagedRuleSetVersionExpiryDate: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "Id",
              "LockToken",
              "VersionToExpire",
              "ExpiryTimestamp"
            ],
            members: {
              Name: {},
              Scope: {},
              Id: {},
              LockToken: {},
              VersionToExpire: {},
              ExpiryTimestamp: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ExpiringVersion: {},
              ExpiryTimestamp: {
                type: "timestamp"
              },
              NextLockToken: {}
            }
          }
        },
        UpdateRegexPatternSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "Id",
              "RegularExpressionList",
              "LockToken"
            ],
            members: {
              Name: {},
              Scope: {},
              Id: {},
              Description: {},
              RegularExpressionList: {
                shape: "S4w"
              },
              LockToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextLockToken: {}
            }
          }
        },
        UpdateRuleGroup: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "Id",
              "VisibilityConfig",
              "LockToken"
            ],
            members: {
              Name: {},
              Scope: {},
              Id: {},
              Description: {},
              Rules: {
                shape: "S6"
              },
              VisibilityConfig: {
                shape: "S45"
              },
              LockToken: {},
              CustomResponseBodies: {
                shape: "S52"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextLockToken: {}
            }
          }
        },
        UpdateWebACL: {
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "Id",
              "DefaultAction",
              "VisibilityConfig",
              "LockToken"
            ],
            members: {
              Name: {},
              Scope: {},
              Id: {},
              DefaultAction: {
                shape: "S59"
              },
              Description: {},
              Rules: {
                shape: "S6"
              },
              VisibilityConfig: {
                shape: "S45"
              },
              LockToken: {},
              CustomResponseBodies: {
                shape: "S52"
              },
              CaptchaConfig: {
                shape: "S47"
              },
              ChallengeConfig: {
                shape: "S4a"
              },
              TokenDomains: {
                shape: "S5a"
              },
              AssociationConfig: {
                shape: "S5b"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextLockToken: {}
            }
          }
        }
      },
      shapes: {
        S6: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Priority",
              "Statement",
              "VisibilityConfig"
            ],
            members: {
              Name: {},
              Priority: {
                type: "integer"
              },
              Statement: {
                shape: "Sa"
              },
              Action: {
                shape: "S1p"
              },
              OverrideAction: {
                shape: "S40"
              },
              RuleLabels: {
                shape: "S42"
              },
              VisibilityConfig: {
                shape: "S45"
              },
              CaptchaConfig: {
                shape: "S47"
              },
              ChallengeConfig: {
                shape: "S4a"
              }
            }
          }
        },
        Sa: {
          type: "structure",
          members: {
            ByteMatchStatement: {
              type: "structure",
              required: [
                "SearchString",
                "FieldToMatch",
                "TextTransformations",
                "PositionalConstraint"
              ],
              members: {
                SearchString: {
                  type: "blob"
                },
                FieldToMatch: {
                  shape: "Sd"
                },
                TextTransformations: {
                  shape: "S13"
                },
                PositionalConstraint: {}
              }
            },
            SqliMatchStatement: {
              type: "structure",
              required: [
                "FieldToMatch",
                "TextTransformations"
              ],
              members: {
                FieldToMatch: {
                  shape: "Sd"
                },
                TextTransformations: {
                  shape: "S13"
                },
                SensitivityLevel: {}
              }
            },
            XssMatchStatement: {
              type: "structure",
              required: [
                "FieldToMatch",
                "TextTransformations"
              ],
              members: {
                FieldToMatch: {
                  shape: "Sd"
                },
                TextTransformations: {
                  shape: "S13"
                }
              }
            },
            SizeConstraintStatement: {
              type: "structure",
              required: [
                "FieldToMatch",
                "ComparisonOperator",
                "Size",
                "TextTransformations"
              ],
              members: {
                FieldToMatch: {
                  shape: "Sd"
                },
                ComparisonOperator: {},
                Size: {
                  type: "long"
                },
                TextTransformations: {
                  shape: "S13"
                }
              }
            },
            GeoMatchStatement: {
              type: "structure",
              members: {
                CountryCodes: {
                  type: "list",
                  member: {}
                },
                ForwardedIPConfig: {
                  shape: "S1h"
                }
              }
            },
            RuleGroupReferenceStatement: {
              shape: "S1k"
            },
            IPSetReferenceStatement: {
              type: "structure",
              required: [
                "ARN"
              ],
              members: {
                ARN: {},
                IPSetForwardedIPConfig: {
                  type: "structure",
                  required: [
                    "HeaderName",
                    "FallbackBehavior",
                    "Position"
                  ],
                  members: {
                    HeaderName: {},
                    FallbackBehavior: {},
                    Position: {}
                  }
                }
              }
            },
            RegexPatternSetReferenceStatement: {
              type: "structure",
              required: [
                "ARN",
                "FieldToMatch",
                "TextTransformations"
              ],
              members: {
                ARN: {},
                FieldToMatch: {
                  shape: "Sd"
                },
                TextTransformations: {
                  shape: "S13"
                }
              }
            },
            RateBasedStatement: {
              type: "structure",
              required: [
                "Limit",
                "AggregateKeyType"
              ],
              members: {
                Limit: {
                  type: "long"
                },
                AggregateKeyType: {},
                ScopeDownStatement: {
                  shape: "Sa"
                },
                ForwardedIPConfig: {
                  shape: "S1h"
                },
                CustomKeys: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      Header: {
                        type: "structure",
                        required: [
                          "Name",
                          "TextTransformations"
                        ],
                        members: {
                          Name: {},
                          TextTransformations: {
                            shape: "S13"
                          }
                        }
                      },
                      Cookie: {
                        type: "structure",
                        required: [
                          "Name",
                          "TextTransformations"
                        ],
                        members: {
                          Name: {},
                          TextTransformations: {
                            shape: "S13"
                          }
                        }
                      },
                      QueryArgument: {
                        type: "structure",
                        required: [
                          "Name",
                          "TextTransformations"
                        ],
                        members: {
                          Name: {},
                          TextTransformations: {
                            shape: "S13"
                          }
                        }
                      },
                      QueryString: {
                        type: "structure",
                        required: [
                          "TextTransformations"
                        ],
                        members: {
                          TextTransformations: {
                            shape: "S13"
                          }
                        }
                      },
                      HTTPMethod: {
                        type: "structure",
                        members: {}
                      },
                      ForwardedIP: {
                        type: "structure",
                        members: {}
                      },
                      IP: {
                        type: "structure",
                        members: {}
                      },
                      LabelNamespace: {
                        type: "structure",
                        required: [
                          "Namespace"
                        ],
                        members: {
                          Namespace: {}
                        }
                      }
                    }
                  }
                }
              }
            },
            AndStatement: {
              type: "structure",
              required: [
                "Statements"
              ],
              members: {
                Statements: {
                  shape: "S2l"
                }
              }
            },
            OrStatement: {
              type: "structure",
              required: [
                "Statements"
              ],
              members: {
                Statements: {
                  shape: "S2l"
                }
              }
            },
            NotStatement: {
              type: "structure",
              required: [
                "Statement"
              ],
              members: {
                Statement: {
                  shape: "Sa"
                }
              }
            },
            ManagedRuleGroupStatement: {
              shape: "S2o"
            },
            LabelMatchStatement: {
              type: "structure",
              required: [
                "Scope",
                "Key"
              ],
              members: {
                Scope: {},
                Key: {}
              }
            },
            RegexMatchStatement: {
              type: "structure",
              required: [
                "RegexString",
                "FieldToMatch",
                "TextTransformations"
              ],
              members: {
                RegexString: {},
                FieldToMatch: {
                  shape: "Sd"
                },
                TextTransformations: {
                  shape: "S13"
                }
              }
            }
          }
        },
        Sd: {
          type: "structure",
          members: {
            SingleHeader: {
              type: "structure",
              required: [
                "Name"
              ],
              members: {
                Name: {}
              }
            },
            SingleQueryArgument: {
              type: "structure",
              required: [
                "Name"
              ],
              members: {
                Name: {}
              }
            },
            AllQueryArguments: {
              type: "structure",
              members: {}
            },
            UriPath: {
              type: "structure",
              members: {}
            },
            QueryString: {
              type: "structure",
              members: {}
            },
            Body: {
              type: "structure",
              members: {
                OversizeHandling: {}
              }
            },
            Method: {
              type: "structure",
              members: {}
            },
            JsonBody: {
              type: "structure",
              required: [
                "MatchPattern",
                "MatchScope"
              ],
              members: {
                MatchPattern: {
                  type: "structure",
                  members: {
                    All: {
                      shape: "Sp"
                    },
                    IncludedPaths: {
                      type: "list",
                      member: {}
                    }
                  }
                },
                MatchScope: {},
                InvalidFallbackBehavior: {},
                OversizeHandling: {}
              }
            },
            Headers: {
              type: "structure",
              required: [
                "MatchPattern",
                "MatchScope",
                "OversizeHandling"
              ],
              members: {
                MatchPattern: {
                  type: "structure",
                  members: {
                    All: {
                      shape: "Sp"
                    },
                    IncludedHeaders: {
                      shape: "Sw"
                    },
                    ExcludedHeaders: {
                      shape: "Sw"
                    }
                  }
                },
                MatchScope: {},
                OversizeHandling: {}
              }
            },
            Cookies: {
              type: "structure",
              required: [
                "MatchPattern",
                "MatchScope",
                "OversizeHandling"
              ],
              members: {
                MatchPattern: {
                  type: "structure",
                  members: {
                    All: {
                      shape: "Sp"
                    },
                    IncludedCookies: {
                      shape: "S10"
                    },
                    ExcludedCookies: {
                      shape: "S10"
                    }
                  }
                },
                MatchScope: {},
                OversizeHandling: {}
              }
            },
            HeaderOrder: {
              type: "structure",
              required: [
                "OversizeHandling"
              ],
              members: {
                OversizeHandling: {}
              }
            }
          }
        },
        Sp: {
          type: "structure",
          members: {}
        },
        Sw: {
          type: "list",
          member: {}
        },
        S10: {
          type: "list",
          member: {}
        },
        S13: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Priority",
              "Type"
            ],
            members: {
              Priority: {
                type: "integer"
              },
              Type: {}
            }
          }
        },
        S1h: {
          type: "structure",
          required: [
            "HeaderName",
            "FallbackBehavior"
          ],
          members: {
            HeaderName: {},
            FallbackBehavior: {}
          }
        },
        S1k: {
          type: "structure",
          required: [
            "ARN"
          ],
          members: {
            ARN: {},
            ExcludedRules: {
              shape: "S1l"
            },
            RuleActionOverrides: {
              shape: "S1n"
            }
          }
        },
        S1l: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        S1n: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "ActionToUse"
            ],
            members: {
              Name: {},
              ActionToUse: {
                shape: "S1p"
              }
            }
          }
        },
        S1p: {
          type: "structure",
          members: {
            Block: {
              shape: "S1q"
            },
            Allow: {
              shape: "S1x"
            },
            Count: {
              shape: "S1z"
            },
            Captcha: {
              type: "structure",
              members: {
                CustomRequestHandling: {
                  shape: "S1y"
                }
              }
            },
            Challenge: {
              type: "structure",
              members: {
                CustomRequestHandling: {
                  shape: "S1y"
                }
              }
            }
          }
        },
        S1q: {
          type: "structure",
          members: {
            CustomResponse: {
              type: "structure",
              required: [
                "ResponseCode"
              ],
              members: {
                ResponseCode: {
                  type: "integer"
                },
                CustomResponseBodyKey: {},
                ResponseHeaders: {
                  shape: "S1t"
                }
              }
            }
          }
        },
        S1t: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Value"
            ],
            members: {
              Name: {},
              Value: {}
            }
          }
        },
        S1x: {
          type: "structure",
          members: {
            CustomRequestHandling: {
              shape: "S1y"
            }
          }
        },
        S1y: {
          type: "structure",
          required: [
            "InsertHeaders"
          ],
          members: {
            InsertHeaders: {
              shape: "S1t"
            }
          }
        },
        S1z: {
          type: "structure",
          members: {
            CustomRequestHandling: {
              shape: "S1y"
            }
          }
        },
        S2l: {
          type: "list",
          member: {
            shape: "Sa"
          }
        },
        S2o: {
          type: "structure",
          required: [
            "VendorName",
            "Name"
          ],
          members: {
            VendorName: {},
            Name: {},
            Version: {},
            ExcludedRules: {
              shape: "S1l"
            },
            ScopeDownStatement: {
              shape: "Sa"
            },
            ManagedRuleGroupConfigs: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  LoginPath: {
                    deprecated: true,
                    deprecatedMessage: "Deprecated. Use AWSManagedRulesATPRuleSet LoginPath"
                  },
                  PayloadType: {
                    deprecated: true,
                    deprecatedMessage: "Deprecated. Use AWSManagedRulesATPRuleSet RequestInspection PayloadType"
                  },
                  UsernameField: {
                    shape: "S2v",
                    deprecated: true,
                    deprecatedMessage: "Deprecated. Use AWSManagedRulesATPRuleSet RequestInspection UsernameField"
                  },
                  PasswordField: {
                    shape: "S2x",
                    deprecated: true,
                    deprecatedMessage: "Deprecated. Use AWSManagedRulesATPRuleSet RequestInspection PasswordField"
                  },
                  AWSManagedRulesBotControlRuleSet: {
                    type: "structure",
                    required: [
                      "InspectionLevel"
                    ],
                    members: {
                      InspectionLevel: {}
                    }
                  },
                  AWSManagedRulesATPRuleSet: {
                    type: "structure",
                    required: [
                      "LoginPath"
                    ],
                    members: {
                      LoginPath: {},
                      RequestInspection: {
                        type: "structure",
                        required: [
                          "PayloadType",
                          "UsernameField",
                          "PasswordField"
                        ],
                        members: {
                          PayloadType: {},
                          UsernameField: {
                            shape: "S2v"
                          },
                          PasswordField: {
                            shape: "S2x"
                          }
                        }
                      },
                      ResponseInspection: {
                        shape: "S33"
                      },
                      EnableRegexInPath: {
                        type: "boolean"
                      }
                    }
                  },
                  AWSManagedRulesACFPRuleSet: {
                    type: "structure",
                    required: [
                      "CreationPath",
                      "RegistrationPagePath",
                      "RequestInspection"
                    ],
                    members: {
                      CreationPath: {},
                      RegistrationPagePath: {},
                      RequestInspection: {
                        type: "structure",
                        required: [
                          "PayloadType"
                        ],
                        members: {
                          PayloadType: {},
                          UsernameField: {
                            shape: "S2v"
                          },
                          PasswordField: {
                            shape: "S2x"
                          },
                          EmailField: {
                            type: "structure",
                            required: [
                              "Identifier"
                            ],
                            members: {
                              Identifier: {}
                            }
                          },
                          PhoneNumberFields: {
                            type: "list",
                            member: {
                              type: "structure",
                              required: [
                                "Identifier"
                              ],
                              members: {
                                Identifier: {}
                              }
                            }
                          },
                          AddressFields: {
                            type: "list",
                            member: {
                              type: "structure",
                              required: [
                                "Identifier"
                              ],
                              members: {
                                Identifier: {}
                              }
                            }
                          }
                        }
                      },
                      ResponseInspection: {
                        shape: "S33"
                      },
                      EnableRegexInPath: {
                        type: "boolean"
                      }
                    }
                  }
                }
              }
            },
            RuleActionOverrides: {
              shape: "S1n"
            }
          }
        },
        S2v: {
          type: "structure",
          required: [
            "Identifier"
          ],
          members: {
            Identifier: {}
          }
        },
        S2x: {
          type: "structure",
          required: [
            "Identifier"
          ],
          members: {
            Identifier: {}
          }
        },
        S33: {
          type: "structure",
          members: {
            StatusCode: {
              type: "structure",
              required: [
                "SuccessCodes",
                "FailureCodes"
              ],
              members: {
                SuccessCodes: {
                  type: "list",
                  member: {
                    type: "integer"
                  }
                },
                FailureCodes: {
                  type: "list",
                  member: {
                    type: "integer"
                  }
                }
              }
            },
            Header: {
              type: "structure",
              required: [
                "Name",
                "SuccessValues",
                "FailureValues"
              ],
              members: {
                Name: {},
                SuccessValues: {
                  type: "list",
                  member: {}
                },
                FailureValues: {
                  type: "list",
                  member: {}
                }
              }
            },
            BodyContains: {
              type: "structure",
              required: [
                "SuccessStrings",
                "FailureStrings"
              ],
              members: {
                SuccessStrings: {
                  type: "list",
                  member: {}
                },
                FailureStrings: {
                  type: "list",
                  member: {}
                }
              }
            },
            Json: {
              type: "structure",
              required: [
                "Identifier",
                "SuccessValues",
                "FailureValues"
              ],
              members: {
                Identifier: {},
                SuccessValues: {
                  type: "list",
                  member: {}
                },
                FailureValues: {
                  type: "list",
                  member: {}
                }
              }
            }
          }
        },
        S40: {
          type: "structure",
          members: {
            Count: {
              shape: "S1z"
            },
            None: {
              type: "structure",
              members: {}
            }
          }
        },
        S42: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        S45: {
          type: "structure",
          required: [
            "SampledRequestsEnabled",
            "CloudWatchMetricsEnabled",
            "MetricName"
          ],
          members: {
            SampledRequestsEnabled: {
              type: "boolean"
            },
            CloudWatchMetricsEnabled: {
              type: "boolean"
            },
            MetricName: {}
          }
        },
        S47: {
          type: "structure",
          members: {
            ImmunityTimeProperty: {
              shape: "S48"
            }
          }
        },
        S48: {
          type: "structure",
          required: [
            "ImmunityTime"
          ],
          members: {
            ImmunityTime: {
              type: "long"
            }
          }
        },
        S4a: {
          type: "structure",
          members: {
            ImmunityTimeProperty: {
              shape: "S48"
            }
          }
        },
        S4l: {
          type: "list",
          member: {}
        },
        S4n: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S4s: {
          type: "structure",
          members: {
            Name: {},
            Id: {},
            Description: {},
            LockToken: {},
            ARN: {}
          }
        },
        S4w: {
          type: "list",
          member: {
            type: "structure",
            members: {
              RegexString: {}
            }
          }
        },
        S4z: {
          type: "structure",
          members: {
            Name: {},
            Id: {},
            Description: {},
            LockToken: {},
            ARN: {}
          }
        },
        S52: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "ContentType",
              "Content"
            ],
            members: {
              ContentType: {},
              Content: {}
            }
          }
        },
        S57: {
          type: "structure",
          members: {
            Name: {},
            Id: {},
            Description: {},
            LockToken: {},
            ARN: {}
          }
        },
        S59: {
          type: "structure",
          members: {
            Block: {
              shape: "S1q"
            },
            Allow: {
              shape: "S1x"
            }
          }
        },
        S5a: {
          type: "list",
          member: {}
        },
        S5b: {
          type: "structure",
          members: {
            RequestBody: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                required: [
                  "DefaultSizeInspectionLimit"
                ],
                members: {
                  DefaultSizeInspectionLimit: {}
                }
              }
            }
          }
        },
        S5h: {
          type: "structure",
          members: {
            Name: {},
            Id: {},
            Description: {},
            LockToken: {},
            ARN: {}
          }
        },
        S5y: {
          type: "list",
          member: {
            type: "structure",
            members: {
              VendorName: {},
              ManagedRuleSetName: {},
              ProductId: {},
              ProductLink: {},
              ProductTitle: {},
              ProductDescription: {},
              SnsTopicArn: {},
              IsVersioningSupported: {
                type: "boolean"
              },
              IsAdvancedManagedRuleSet: {
                type: "boolean"
              }
            }
          }
        },
        S6a: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {}
            }
          }
        },
        S6q: {
          type: "structure",
          required: [
            "ResourceArn",
            "LogDestinationConfigs"
          ],
          members: {
            ResourceArn: {},
            LogDestinationConfigs: {
              type: "list",
              member: {}
            },
            RedactedFields: {
              type: "list",
              member: {
                shape: "Sd"
              }
            },
            ManagedByFirewallManager: {
              type: "boolean"
            },
            LoggingFilter: {
              type: "structure",
              required: [
                "Filters",
                "DefaultBehavior"
              ],
              members: {
                Filters: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "Behavior",
                      "Requirement",
                      "Conditions"
                    ],
                    members: {
                      Behavior: {},
                      Requirement: {},
                      Conditions: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            ActionCondition: {
                              type: "structure",
                              required: [
                                "Action"
                              ],
                              members: {
                                Action: {}
                              }
                            },
                            LabelNameCondition: {
                              type: "structure",
                              required: [
                                "LabelName"
                              ],
                              members: {
                                LabelName: {}
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                },
                DefaultBehavior: {}
              }
            }
          }
        },
        S7i: {
          type: "structure",
          members: {
            IPAddressVersion: {},
            Addresses: {
              shape: "S4l"
            }
          }
        },
        S7q: {
          type: "structure",
          required: [
            "StartTime",
            "EndTime"
          ],
          members: {
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            }
          }
        },
        S81: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Value: {}
            }
          }
        },
        S8f: {
          type: "structure",
          required: [
            "Name",
            "Id",
            "ARN",
            "DefaultAction",
            "VisibilityConfig"
          ],
          members: {
            Name: {},
            Id: {},
            ARN: {},
            DefaultAction: {
              shape: "S59"
            },
            Description: {},
            Rules: {
              shape: "S6"
            },
            VisibilityConfig: {
              shape: "S45"
            },
            Capacity: {
              type: "long"
            },
            PreProcessFirewallManagerRuleGroups: {
              shape: "S8g"
            },
            PostProcessFirewallManagerRuleGroups: {
              shape: "S8g"
            },
            ManagedByFirewallManager: {
              type: "boolean"
            },
            LabelNamespace: {},
            CustomResponseBodies: {
              shape: "S52"
            },
            CaptchaConfig: {
              shape: "S47"
            },
            ChallengeConfig: {
              shape: "S4a"
            },
            TokenDomains: {
              shape: "S5a"
            },
            AssociationConfig: {
              shape: "S5b"
            }
          }
        },
        S8g: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Priority",
              "FirewallManagerStatement",
              "OverrideAction",
              "VisibilityConfig"
            ],
            members: {
              Name: {},
              Priority: {
                type: "integer"
              },
              FirewallManagerStatement: {
                type: "structure",
                members: {
                  ManagedRuleGroupStatement: {
                    shape: "S2o"
                  },
                  RuleGroupReferenceStatement: {
                    shape: "S1k"
                  }
                }
              },
              OverrideAction: {
                shape: "S40"
              },
              VisibilityConfig: {
                shape: "S45"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/wafv2-2019-07-29.paginators.json
var require_wafv2_2019_07_29_paginators = __commonJS({
  "node_modules/aws-sdk/apis/wafv2-2019-07-29.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/wafv2.js
var require_wafv2 = __commonJS({
  "node_modules/aws-sdk/clients/wafv2.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["wafv2"] = {};
    AWS2.WAFV2 = Service.defineService("wafv2", ["2019-07-29"]);
    Object.defineProperty(apiLoader.services["wafv2"], "2019-07-29", {
      get: function get() {
        var model = require_wafv2_2019_07_29_min();
        model.paginators = require_wafv2_2019_07_29_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.WAFV2;
  }
});

// node_modules/aws-sdk/apis/elastic-inference-2017-07-25.min.json
var require_elastic_inference_2017_07_25_min = __commonJS({
  "node_modules/aws-sdk/apis/elastic-inference-2017-07-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-07-25",
        endpointPrefix: "api.elastic-inference",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Amazon Elastic Inference",
        serviceFullName: "Amazon Elastic  Inference",
        serviceId: "Elastic Inference",
        signatureVersion: "v4",
        signingName: "elastic-inference",
        uid: "elastic-inference-2017-07-25"
      },
      operations: {
        DescribeAcceleratorOfferings: {
          http: {
            requestUri: "/describe-accelerator-offerings"
          },
          input: {
            type: "structure",
            required: [
              "locationType"
            ],
            members: {
              locationType: {},
              acceleratorTypes: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              acceleratorTypeOfferings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    acceleratorType: {},
                    locationType: {},
                    location: {}
                  }
                }
              }
            }
          }
        },
        DescribeAcceleratorTypes: {
          http: {
            method: "GET",
            requestUri: "/describe-accelerator-types"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              acceleratorTypes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    acceleratorTypeName: {},
                    memoryInfo: {
                      type: "structure",
                      members: {
                        sizeInMiB: {
                          type: "integer"
                        }
                      }
                    },
                    throughputInfo: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          key: {},
                          value: {
                            type: "integer"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeAccelerators: {
          http: {
            requestUri: "/describe-accelerators"
          },
          input: {
            type: "structure",
            members: {
              acceleratorIds: {
                type: "list",
                member: {}
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              acceleratorSet: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    acceleratorHealth: {
                      type: "structure",
                      members: {
                        status: {}
                      }
                    },
                    acceleratorType: {},
                    acceleratorId: {},
                    availabilityZone: {},
                    attachedResource: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S13"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S13"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S13: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/elastic-inference-2017-07-25.paginators.json
var require_elastic_inference_2017_07_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/elastic-inference-2017-07-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeAccelerators: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "acceleratorSet"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/elasticinference.js
var require_elasticinference = __commonJS({
  "node_modules/aws-sdk/clients/elasticinference.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["elasticinference"] = {};
    AWS2.ElasticInference = Service.defineService("elasticinference", ["2017-07-25"]);
    Object.defineProperty(apiLoader.services["elasticinference"], "2017-07-25", {
      get: function get() {
        var model = require_elastic_inference_2017_07_25_min();
        model.paginators = require_elastic_inference_2017_07_25_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ElasticInference;
  }
});

// node_modules/aws-sdk/apis/imagebuilder-2019-12-02.min.json
var require_imagebuilder_2019_12_02_min = __commonJS({
  "node_modules/aws-sdk/apis/imagebuilder-2019-12-02.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-12-02",
        endpointPrefix: "imagebuilder",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "imagebuilder",
        serviceFullName: "EC2 Image Builder",
        serviceId: "imagebuilder",
        signatureVersion: "v4",
        signingName: "imagebuilder",
        uid: "imagebuilder-2019-12-02"
      },
      operations: {
        CancelImageCreation: {
          http: {
            method: "PUT",
            requestUri: "/CancelImageCreation"
          },
          input: {
            type: "structure",
            required: [
              "imageBuildVersionArn",
              "clientToken"
            ],
            members: {
              imageBuildVersionArn: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              clientToken: {},
              imageBuildVersionArn: {}
            }
          }
        },
        CreateComponent: {
          http: {
            method: "PUT",
            requestUri: "/CreateComponent"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "semanticVersion",
              "platform",
              "clientToken"
            ],
            members: {
              name: {},
              semanticVersion: {},
              description: {},
              changeDescription: {},
              platform: {},
              supportedOsVersions: {
                shape: "Sa"
              },
              data: {},
              uri: {},
              kmsKeyId: {},
              tags: {
                shape: "Se"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              clientToken: {},
              componentBuildVersionArn: {}
            }
          }
        },
        CreateContainerRecipe: {
          http: {
            method: "PUT",
            requestUri: "/CreateContainerRecipe"
          },
          input: {
            type: "structure",
            required: [
              "containerType",
              "name",
              "semanticVersion",
              "components",
              "parentImage",
              "targetRepository",
              "clientToken"
            ],
            members: {
              containerType: {},
              name: {},
              description: {},
              semanticVersion: {},
              components: {
                shape: "Sl"
              },
              instanceConfiguration: {
                shape: "St"
              },
              dockerfileTemplateData: {},
              dockerfileTemplateUri: {},
              platformOverride: {},
              imageOsVersionOverride: {},
              parentImage: {},
              tags: {
                shape: "Se"
              },
              workingDirectory: {},
              targetRepository: {
                shape: "S14"
              },
              kmsKeyId: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              clientToken: {},
              containerRecipeArn: {}
            }
          }
        },
        CreateDistributionConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/CreateDistributionConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "distributions",
              "clientToken"
            ],
            members: {
              name: {},
              description: {},
              distributions: {
                shape: "S19"
              },
              tags: {
                shape: "Se"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              clientToken: {},
              distributionConfigurationArn: {}
            }
          }
        },
        CreateImage: {
          http: {
            method: "PUT",
            requestUri: "/CreateImage"
          },
          input: {
            type: "structure",
            required: [
              "infrastructureConfigurationArn",
              "clientToken"
            ],
            members: {
              imageRecipeArn: {},
              containerRecipeArn: {},
              distributionConfigurationArn: {},
              infrastructureConfigurationArn: {},
              imageTestsConfiguration: {
                shape: "S25"
              },
              enhancedImageMetadataEnabled: {
                type: "boolean"
              },
              tags: {
                shape: "Se"
              },
              clientToken: {
                idempotencyToken: true
              },
              imageScanningConfiguration: {
                shape: "S27"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              clientToken: {},
              imageBuildVersionArn: {}
            }
          }
        },
        CreateImagePipeline: {
          http: {
            method: "PUT",
            requestUri: "/CreateImagePipeline"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "infrastructureConfigurationArn",
              "clientToken"
            ],
            members: {
              name: {},
              description: {},
              imageRecipeArn: {},
              containerRecipeArn: {},
              infrastructureConfigurationArn: {},
              distributionConfigurationArn: {},
              imageTestsConfiguration: {
                shape: "S25"
              },
              enhancedImageMetadataEnabled: {
                type: "boolean"
              },
              schedule: {
                shape: "S2b"
              },
              status: {},
              tags: {
                shape: "Se"
              },
              clientToken: {
                idempotencyToken: true
              },
              imageScanningConfiguration: {
                shape: "S27"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              clientToken: {},
              imagePipelineArn: {}
            }
          }
        },
        CreateImageRecipe: {
          http: {
            method: "PUT",
            requestUri: "/CreateImageRecipe"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "semanticVersion",
              "components",
              "parentImage",
              "clientToken"
            ],
            members: {
              name: {},
              description: {},
              semanticVersion: {},
              components: {
                shape: "Sl"
              },
              parentImage: {},
              blockDeviceMappings: {
                shape: "Su"
              },
              tags: {
                shape: "Se"
              },
              workingDirectory: {},
              additionalInstanceConfiguration: {
                shape: "S2i"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              clientToken: {},
              imageRecipeArn: {}
            }
          }
        },
        CreateInfrastructureConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/CreateInfrastructureConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "instanceProfileName",
              "clientToken"
            ],
            members: {
              name: {},
              description: {},
              instanceTypes: {
                shape: "S2n"
              },
              instanceProfileName: {},
              securityGroupIds: {
                shape: "S2q"
              },
              subnetId: {},
              logging: {
                shape: "S2r"
              },
              keyPair: {},
              terminateInstanceOnFailure: {
                type: "boolean"
              },
              snsTopicArn: {},
              resourceTags: {
                shape: "S2u"
              },
              instanceMetadataOptions: {
                shape: "S2v"
              },
              tags: {
                shape: "Se"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              clientToken: {},
              infrastructureConfigurationArn: {}
            }
          }
        },
        DeleteComponent: {
          http: {
            method: "DELETE",
            requestUri: "/DeleteComponent"
          },
          input: {
            type: "structure",
            required: [
              "componentBuildVersionArn"
            ],
            members: {
              componentBuildVersionArn: {
                location: "querystring",
                locationName: "componentBuildVersionArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              componentBuildVersionArn: {}
            }
          }
        },
        DeleteContainerRecipe: {
          http: {
            method: "DELETE",
            requestUri: "/DeleteContainerRecipe"
          },
          input: {
            type: "structure",
            required: [
              "containerRecipeArn"
            ],
            members: {
              containerRecipeArn: {
                location: "querystring",
                locationName: "containerRecipeArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              containerRecipeArn: {}
            }
          }
        },
        DeleteDistributionConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/DeleteDistributionConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "distributionConfigurationArn"
            ],
            members: {
              distributionConfigurationArn: {
                location: "querystring",
                locationName: "distributionConfigurationArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              distributionConfigurationArn: {}
            }
          }
        },
        DeleteImage: {
          http: {
            method: "DELETE",
            requestUri: "/DeleteImage"
          },
          input: {
            type: "structure",
            required: [
              "imageBuildVersionArn"
            ],
            members: {
              imageBuildVersionArn: {
                location: "querystring",
                locationName: "imageBuildVersionArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              imageBuildVersionArn: {}
            }
          }
        },
        DeleteImagePipeline: {
          http: {
            method: "DELETE",
            requestUri: "/DeleteImagePipeline"
          },
          input: {
            type: "structure",
            required: [
              "imagePipelineArn"
            ],
            members: {
              imagePipelineArn: {
                location: "querystring",
                locationName: "imagePipelineArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              imagePipelineArn: {}
            }
          }
        },
        DeleteImageRecipe: {
          http: {
            method: "DELETE",
            requestUri: "/DeleteImageRecipe"
          },
          input: {
            type: "structure",
            required: [
              "imageRecipeArn"
            ],
            members: {
              imageRecipeArn: {
                location: "querystring",
                locationName: "imageRecipeArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              imageRecipeArn: {}
            }
          }
        },
        DeleteInfrastructureConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/DeleteInfrastructureConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "infrastructureConfigurationArn"
            ],
            members: {
              infrastructureConfigurationArn: {
                location: "querystring",
                locationName: "infrastructureConfigurationArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              infrastructureConfigurationArn: {}
            }
          }
        },
        GetComponent: {
          http: {
            method: "GET",
            requestUri: "/GetComponent"
          },
          input: {
            type: "structure",
            required: [
              "componentBuildVersionArn"
            ],
            members: {
              componentBuildVersionArn: {
                location: "querystring",
                locationName: "componentBuildVersionArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              component: {
                type: "structure",
                members: {
                  arn: {},
                  name: {},
                  version: {},
                  description: {},
                  changeDescription: {},
                  type: {},
                  platform: {},
                  supportedOsVersions: {
                    shape: "Sa"
                  },
                  state: {
                    shape: "S3i"
                  },
                  parameters: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "name",
                        "type"
                      ],
                      members: {
                        name: {},
                        type: {},
                        defaultValue: {
                          shape: "Sr"
                        },
                        description: {}
                      }
                    }
                  },
                  owner: {},
                  data: {},
                  kmsKeyId: {},
                  encrypted: {
                    type: "boolean"
                  },
                  dateCreated: {},
                  tags: {
                    shape: "Se"
                  },
                  publisher: {},
                  obfuscate: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        GetComponentPolicy: {
          http: {
            method: "GET",
            requestUri: "/GetComponentPolicy"
          },
          input: {
            type: "structure",
            required: [
              "componentArn"
            ],
            members: {
              componentArn: {
                location: "querystring",
                locationName: "componentArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              policy: {}
            }
          }
        },
        GetContainerRecipe: {
          http: {
            method: "GET",
            requestUri: "/GetContainerRecipe"
          },
          input: {
            type: "structure",
            required: [
              "containerRecipeArn"
            ],
            members: {
              containerRecipeArn: {
                location: "querystring",
                locationName: "containerRecipeArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              containerRecipe: {
                shape: "S3v"
              }
            }
          }
        },
        GetContainerRecipePolicy: {
          http: {
            method: "GET",
            requestUri: "/GetContainerRecipePolicy"
          },
          input: {
            type: "structure",
            required: [
              "containerRecipeArn"
            ],
            members: {
              containerRecipeArn: {
                location: "querystring",
                locationName: "containerRecipeArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              policy: {}
            }
          }
        },
        GetDistributionConfiguration: {
          http: {
            method: "GET",
            requestUri: "/GetDistributionConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "distributionConfigurationArn"
            ],
            members: {
              distributionConfigurationArn: {
                location: "querystring",
                locationName: "distributionConfigurationArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              distributionConfiguration: {
                shape: "S41"
              }
            }
          }
        },
        GetImage: {
          http: {
            method: "GET",
            requestUri: "/GetImage"
          },
          input: {
            type: "structure",
            required: [
              "imageBuildVersionArn"
            ],
            members: {
              imageBuildVersionArn: {
                location: "querystring",
                locationName: "imageBuildVersionArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              image: {
                type: "structure",
                members: {
                  arn: {},
                  type: {},
                  name: {},
                  version: {},
                  platform: {},
                  enhancedImageMetadataEnabled: {
                    type: "boolean"
                  },
                  osVersion: {},
                  state: {
                    shape: "S48"
                  },
                  imageRecipe: {
                    shape: "S4a"
                  },
                  containerRecipe: {
                    shape: "S3v"
                  },
                  sourcePipelineName: {},
                  sourcePipelineArn: {},
                  infrastructureConfiguration: {
                    shape: "S4c"
                  },
                  distributionConfiguration: {
                    shape: "S41"
                  },
                  imageTestsConfiguration: {
                    shape: "S25"
                  },
                  dateCreated: {},
                  outputResources: {
                    shape: "S4d"
                  },
                  tags: {
                    shape: "Se"
                  },
                  buildType: {},
                  imageSource: {},
                  scanState: {
                    type: "structure",
                    members: {
                      status: {},
                      reason: {}
                    }
                  },
                  imageScanningConfiguration: {
                    shape: "S27"
                  }
                }
              }
            }
          }
        },
        GetImagePipeline: {
          http: {
            method: "GET",
            requestUri: "/GetImagePipeline"
          },
          input: {
            type: "structure",
            required: [
              "imagePipelineArn"
            ],
            members: {
              imagePipelineArn: {
                location: "querystring",
                locationName: "imagePipelineArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              imagePipeline: {
                shape: "S4o"
              }
            }
          }
        },
        GetImagePolicy: {
          http: {
            method: "GET",
            requestUri: "/GetImagePolicy"
          },
          input: {
            type: "structure",
            required: [
              "imageArn"
            ],
            members: {
              imageArn: {
                location: "querystring",
                locationName: "imageArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              policy: {}
            }
          }
        },
        GetImageRecipe: {
          http: {
            method: "GET",
            requestUri: "/GetImageRecipe"
          },
          input: {
            type: "structure",
            required: [
              "imageRecipeArn"
            ],
            members: {
              imageRecipeArn: {
                location: "querystring",
                locationName: "imageRecipeArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              imageRecipe: {
                shape: "S4a"
              }
            }
          }
        },
        GetImageRecipePolicy: {
          http: {
            method: "GET",
            requestUri: "/GetImageRecipePolicy"
          },
          input: {
            type: "structure",
            required: [
              "imageRecipeArn"
            ],
            members: {
              imageRecipeArn: {
                location: "querystring",
                locationName: "imageRecipeArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              policy: {}
            }
          }
        },
        GetInfrastructureConfiguration: {
          http: {
            method: "GET",
            requestUri: "/GetInfrastructureConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "infrastructureConfigurationArn"
            ],
            members: {
              infrastructureConfigurationArn: {
                location: "querystring",
                locationName: "infrastructureConfigurationArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              infrastructureConfiguration: {
                shape: "S4c"
              }
            }
          }
        },
        GetWorkflowExecution: {
          http: {
            method: "GET",
            requestUri: "/GetWorkflowExecution"
          },
          input: {
            type: "structure",
            required: [
              "workflowExecutionId"
            ],
            members: {
              workflowExecutionId: {
                location: "querystring",
                locationName: "workflowExecutionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              workflowBuildVersionArn: {},
              workflowExecutionId: {},
              imageBuildVersionArn: {},
              type: {},
              status: {},
              message: {},
              totalStepCount: {
                type: "integer"
              },
              totalStepsSucceeded: {
                type: "integer"
              },
              totalStepsFailed: {
                type: "integer"
              },
              totalStepsSkipped: {
                type: "integer"
              },
              startTime: {},
              endTime: {}
            }
          }
        },
        GetWorkflowStepExecution: {
          http: {
            method: "GET",
            requestUri: "/GetWorkflowStepExecution"
          },
          input: {
            type: "structure",
            required: [
              "stepExecutionId"
            ],
            members: {
              stepExecutionId: {
                location: "querystring",
                locationName: "stepExecutionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              stepExecutionId: {},
              workflowBuildVersionArn: {},
              workflowExecutionId: {},
              imageBuildVersionArn: {},
              name: {},
              description: {},
              action: {},
              status: {},
              rollbackStatus: {},
              message: {},
              inputs: {},
              outputs: {},
              startTime: {},
              endTime: {},
              onFailure: {},
              timeoutSeconds: {
                type: "integer"
              }
            }
          }
        },
        ImportComponent: {
          http: {
            method: "PUT",
            requestUri: "/ImportComponent"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "semanticVersion",
              "type",
              "format",
              "platform",
              "clientToken"
            ],
            members: {
              name: {},
              semanticVersion: {},
              description: {},
              changeDescription: {},
              type: {},
              format: {},
              platform: {},
              data: {},
              uri: {},
              kmsKeyId: {},
              tags: {
                shape: "Se"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              clientToken: {},
              componentBuildVersionArn: {}
            }
          }
        },
        ImportVmImage: {
          http: {
            method: "PUT",
            requestUri: "/ImportVmImage"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "semanticVersion",
              "platform",
              "vmImportTaskId",
              "clientToken"
            ],
            members: {
              name: {},
              semanticVersion: {},
              description: {},
              platform: {},
              osVersion: {},
              vmImportTaskId: {},
              tags: {
                shape: "Se"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              imageArn: {},
              clientToken: {}
            }
          }
        },
        ListComponentBuildVersions: {
          http: {
            requestUri: "/ListComponentBuildVersions"
          },
          input: {
            type: "structure",
            required: [
              "componentVersionArn"
            ],
            members: {
              componentVersionArn: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              componentSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    name: {},
                    version: {},
                    platform: {},
                    supportedOsVersions: {
                      shape: "Sa"
                    },
                    state: {
                      shape: "S3i"
                    },
                    type: {},
                    owner: {},
                    description: {},
                    changeDescription: {},
                    dateCreated: {},
                    tags: {
                      shape: "Se"
                    },
                    publisher: {},
                    obfuscate: {
                      type: "boolean"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListComponents: {
          http: {
            requestUri: "/ListComponents"
          },
          input: {
            type: "structure",
            members: {
              owner: {},
              filters: {
                shape: "S5v"
              },
              byName: {
                type: "boolean"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              componentVersionList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    name: {},
                    version: {},
                    description: {},
                    platform: {},
                    supportedOsVersions: {
                      shape: "Sa"
                    },
                    type: {},
                    owner: {},
                    dateCreated: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListContainerRecipes: {
          http: {
            requestUri: "/ListContainerRecipes"
          },
          input: {
            type: "structure",
            members: {
              owner: {},
              filters: {
                shape: "S5v"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              containerRecipeSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    containerType: {},
                    name: {},
                    platform: {},
                    owner: {},
                    parentImage: {},
                    dateCreated: {},
                    tags: {
                      shape: "Se"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDistributionConfigurations: {
          http: {
            requestUri: "/ListDistributionConfigurations"
          },
          input: {
            type: "structure",
            members: {
              filters: {
                shape: "S5v"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              distributionConfigurationSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    name: {},
                    description: {},
                    dateCreated: {},
                    dateUpdated: {},
                    tags: {
                      shape: "Se"
                    },
                    regions: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListImageBuildVersions: {
          http: {
            requestUri: "/ListImageBuildVersions"
          },
          input: {
            type: "structure",
            required: [
              "imageVersionArn"
            ],
            members: {
              imageVersionArn: {},
              filters: {
                shape: "S5v"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              imageSummaryList: {
                shape: "S6f"
              },
              nextToken: {}
            }
          }
        },
        ListImagePackages: {
          http: {
            requestUri: "/ListImagePackages"
          },
          input: {
            type: "structure",
            required: [
              "imageBuildVersionArn"
            ],
            members: {
              imageBuildVersionArn: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              imagePackageList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    packageName: {},
                    packageVersion: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListImagePipelineImages: {
          http: {
            requestUri: "/ListImagePipelineImages"
          },
          input: {
            type: "structure",
            required: [
              "imagePipelineArn"
            ],
            members: {
              imagePipelineArn: {},
              filters: {
                shape: "S5v"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              imageSummaryList: {
                shape: "S6f"
              },
              nextToken: {}
            }
          }
        },
        ListImagePipelines: {
          http: {
            requestUri: "/ListImagePipelines"
          },
          input: {
            type: "structure",
            members: {
              filters: {
                shape: "S5v"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              imagePipelineList: {
                type: "list",
                member: {
                  shape: "S4o"
                }
              },
              nextToken: {}
            }
          }
        },
        ListImageRecipes: {
          http: {
            requestUri: "/ListImageRecipes"
          },
          input: {
            type: "structure",
            members: {
              owner: {},
              filters: {
                shape: "S5v"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              imageRecipeSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    name: {},
                    platform: {},
                    owner: {},
                    parentImage: {},
                    dateCreated: {},
                    tags: {
                      shape: "Se"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListImageScanFindingAggregations: {
          http: {
            requestUri: "/ListImageScanFindingAggregations"
          },
          input: {
            type: "structure",
            members: {
              filter: {
                shape: "S5w"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              aggregationType: {},
              responses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    accountAggregation: {
                      type: "structure",
                      members: {
                        accountId: {},
                        severityCounts: {
                          shape: "S6z"
                        }
                      }
                    },
                    imageAggregation: {
                      type: "structure",
                      members: {
                        imageBuildVersionArn: {},
                        severityCounts: {
                          shape: "S6z"
                        }
                      }
                    },
                    imagePipelineAggregation: {
                      type: "structure",
                      members: {
                        imagePipelineArn: {},
                        severityCounts: {
                          shape: "S6z"
                        }
                      }
                    },
                    vulnerabilityIdAggregation: {
                      type: "structure",
                      members: {
                        vulnerabilityId: {},
                        severityCounts: {
                          shape: "S6z"
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListImageScanFindings: {
          http: {
            requestUri: "/ListImageScanFindings"
          },
          input: {
            type: "structure",
            members: {
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              findings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    awsAccountId: {},
                    imageBuildVersionArn: {},
                    imagePipelineArn: {},
                    type: {},
                    description: {},
                    title: {},
                    remediation: {
                      type: "structure",
                      members: {
                        recommendation: {
                          type: "structure",
                          members: {
                            text: {},
                            url: {}
                          }
                        }
                      }
                    },
                    severity: {},
                    firstObservedAt: {
                      type: "timestamp"
                    },
                    updatedAt: {
                      type: "timestamp"
                    },
                    inspectorScore: {
                      type: "double"
                    },
                    inspectorScoreDetails: {
                      type: "structure",
                      members: {
                        adjustedCvss: {
                          type: "structure",
                          members: {
                            scoreSource: {},
                            cvssSource: {},
                            version: {},
                            score: {
                              type: "double"
                            },
                            scoringVector: {},
                            adjustments: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  metric: {},
                                  reason: {}
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    packageVulnerabilityDetails: {
                      type: "structure",
                      required: [
                        "vulnerabilityId"
                      ],
                      members: {
                        vulnerabilityId: {},
                        vulnerablePackages: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              name: {},
                              version: {},
                              sourceLayerHash: {},
                              epoch: {
                                type: "integer"
                              },
                              release: {},
                              arch: {},
                              packageManager: {},
                              filePath: {},
                              fixedInVersion: {},
                              remediation: {}
                            }
                          }
                        },
                        source: {},
                        cvss: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              baseScore: {
                                type: "double"
                              },
                              scoringVector: {},
                              version: {},
                              source: {}
                            }
                          }
                        },
                        relatedVulnerabilities: {
                          type: "list",
                          member: {}
                        },
                        sourceUrl: {},
                        vendorSeverity: {},
                        vendorCreatedAt: {
                          type: "timestamp"
                        },
                        vendorUpdatedAt: {
                          type: "timestamp"
                        },
                        referenceUrls: {
                          type: "list",
                          member: {}
                        }
                      }
                    },
                    fixAvailable: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListImages: {
          http: {
            requestUri: "/ListImages"
          },
          input: {
            type: "structure",
            members: {
              owner: {},
              filters: {
                shape: "S5v"
              },
              byName: {
                type: "boolean"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              includeDeprecated: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              imageVersionList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    name: {},
                    type: {},
                    version: {},
                    platform: {},
                    osVersion: {},
                    owner: {},
                    dateCreated: {},
                    buildType: {},
                    imageSource: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListInfrastructureConfigurations: {
          http: {
            requestUri: "/ListInfrastructureConfigurations"
          },
          input: {
            type: "structure",
            members: {
              filters: {
                shape: "S5v"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              infrastructureConfigurationSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    name: {},
                    description: {},
                    dateCreated: {},
                    dateUpdated: {},
                    resourceTags: {
                      shape: "S2u"
                    },
                    tags: {
                      shape: "Se"
                    },
                    instanceTypes: {
                      shape: "S2n"
                    },
                    instanceProfileName: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Se"
              }
            }
          }
        },
        ListWorkflowExecutions: {
          http: {
            requestUri: "/ListWorkflowExecutions"
          },
          input: {
            type: "structure",
            required: [
              "imageBuildVersionArn"
            ],
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              imageBuildVersionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              workflowExecutions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    workflowBuildVersionArn: {},
                    workflowExecutionId: {},
                    type: {},
                    status: {},
                    message: {},
                    totalStepCount: {
                      type: "integer"
                    },
                    totalStepsSucceeded: {
                      type: "integer"
                    },
                    totalStepsFailed: {
                      type: "integer"
                    },
                    totalStepsSkipped: {
                      type: "integer"
                    },
                    startTime: {},
                    endTime: {}
                  }
                }
              },
              imageBuildVersionArn: {},
              message: {},
              nextToken: {}
            }
          }
        },
        ListWorkflowStepExecutions: {
          http: {
            requestUri: "/ListWorkflowStepExecutions"
          },
          input: {
            type: "structure",
            required: [
              "workflowExecutionId"
            ],
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              workflowExecutionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              steps: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    stepExecutionId: {},
                    name: {},
                    description: {},
                    action: {},
                    status: {},
                    rollbackStatus: {},
                    message: {},
                    inputs: {},
                    outputs: {},
                    startTime: {},
                    endTime: {}
                  }
                }
              },
              workflowBuildVersionArn: {},
              workflowExecutionId: {},
              imageBuildVersionArn: {},
              message: {},
              nextToken: {}
            }
          }
        },
        PutComponentPolicy: {
          http: {
            method: "PUT",
            requestUri: "/PutComponentPolicy"
          },
          input: {
            type: "structure",
            required: [
              "componentArn",
              "policy"
            ],
            members: {
              componentArn: {},
              policy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              componentArn: {}
            }
          }
        },
        PutContainerRecipePolicy: {
          http: {
            method: "PUT",
            requestUri: "/PutContainerRecipePolicy"
          },
          input: {
            type: "structure",
            required: [
              "containerRecipeArn",
              "policy"
            ],
            members: {
              containerRecipeArn: {},
              policy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              containerRecipeArn: {}
            }
          }
        },
        PutImagePolicy: {
          http: {
            method: "PUT",
            requestUri: "/PutImagePolicy"
          },
          input: {
            type: "structure",
            required: [
              "imageArn",
              "policy"
            ],
            members: {
              imageArn: {},
              policy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              imageArn: {}
            }
          }
        },
        PutImageRecipePolicy: {
          http: {
            method: "PUT",
            requestUri: "/PutImageRecipePolicy"
          },
          input: {
            type: "structure",
            required: [
              "imageRecipeArn",
              "policy"
            ],
            members: {
              imageRecipeArn: {},
              policy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              imageRecipeArn: {}
            }
          }
        },
        StartImagePipelineExecution: {
          http: {
            method: "PUT",
            requestUri: "/StartImagePipelineExecution"
          },
          input: {
            type: "structure",
            required: [
              "imagePipelineArn",
              "clientToken"
            ],
            members: {
              imagePipelineArn: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              clientToken: {},
              imageBuildVersionArn: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDistributionConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/UpdateDistributionConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "distributionConfigurationArn",
              "distributions",
              "clientToken"
            ],
            members: {
              distributionConfigurationArn: {},
              description: {},
              distributions: {
                shape: "S19"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              clientToken: {},
              distributionConfigurationArn: {}
            }
          }
        },
        UpdateImagePipeline: {
          http: {
            method: "PUT",
            requestUri: "/UpdateImagePipeline"
          },
          input: {
            type: "structure",
            required: [
              "imagePipelineArn",
              "infrastructureConfigurationArn",
              "clientToken"
            ],
            members: {
              imagePipelineArn: {},
              description: {},
              imageRecipeArn: {},
              containerRecipeArn: {},
              infrastructureConfigurationArn: {},
              distributionConfigurationArn: {},
              imageTestsConfiguration: {
                shape: "S25"
              },
              enhancedImageMetadataEnabled: {
                type: "boolean"
              },
              schedule: {
                shape: "S2b"
              },
              status: {},
              clientToken: {
                idempotencyToken: true
              },
              imageScanningConfiguration: {
                shape: "S27"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              clientToken: {},
              imagePipelineArn: {}
            }
          }
        },
        UpdateInfrastructureConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/UpdateInfrastructureConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "infrastructureConfigurationArn",
              "instanceProfileName",
              "clientToken"
            ],
            members: {
              infrastructureConfigurationArn: {},
              description: {},
              instanceTypes: {
                shape: "S2n"
              },
              instanceProfileName: {},
              securityGroupIds: {
                shape: "S2q"
              },
              subnetId: {},
              logging: {
                shape: "S2r"
              },
              keyPair: {},
              terminateInstanceOnFailure: {
                type: "boolean"
              },
              snsTopicArn: {},
              clientToken: {
                idempotencyToken: true
              },
              resourceTags: {
                shape: "S2u"
              },
              instanceMetadataOptions: {
                shape: "S2v"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              requestId: {},
              clientToken: {},
              infrastructureConfigurationArn: {}
            }
          }
        }
      },
      shapes: {
        Sa: {
          type: "list",
          member: {}
        },
        Se: {
          type: "map",
          key: {},
          value: {}
        },
        Sl: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "componentArn"
            ],
            members: {
              componentArn: {},
              parameters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "value"
                  ],
                  members: {
                    name: {},
                    value: {
                      shape: "Sr"
                    }
                  }
                }
              }
            }
          }
        },
        Sr: {
          type: "list",
          member: {}
        },
        St: {
          type: "structure",
          members: {
            image: {},
            blockDeviceMappings: {
              shape: "Su"
            }
          }
        },
        Su: {
          type: "list",
          member: {
            type: "structure",
            members: {
              deviceName: {},
              ebs: {
                type: "structure",
                members: {
                  encrypted: {
                    type: "boolean"
                  },
                  deleteOnTermination: {
                    type: "boolean"
                  },
                  iops: {
                    type: "integer"
                  },
                  kmsKeyId: {},
                  snapshotId: {},
                  volumeSize: {
                    type: "integer"
                  },
                  volumeType: {},
                  throughput: {
                    type: "integer"
                  }
                }
              },
              virtualName: {},
              noDevice: {}
            }
          }
        },
        S14: {
          type: "structure",
          required: [
            "service",
            "repositoryName"
          ],
          members: {
            service: {},
            repositoryName: {}
          }
        },
        S19: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "region"
            ],
            members: {
              region: {},
              amiDistributionConfiguration: {
                type: "structure",
                members: {
                  name: {},
                  description: {},
                  targetAccountIds: {
                    shape: "S1d"
                  },
                  amiTags: {
                    shape: "Se"
                  },
                  kmsKeyId: {},
                  launchPermission: {
                    type: "structure",
                    members: {
                      userIds: {
                        shape: "S1d"
                      },
                      userGroups: {
                        shape: "S1g"
                      },
                      organizationArns: {
                        type: "list",
                        member: {}
                      },
                      organizationalUnitArns: {
                        type: "list",
                        member: {}
                      }
                    }
                  }
                }
              },
              containerDistributionConfiguration: {
                type: "structure",
                required: [
                  "targetRepository"
                ],
                members: {
                  description: {},
                  containerTags: {
                    shape: "S1g"
                  },
                  targetRepository: {
                    shape: "S14"
                  }
                }
              },
              licenseConfigurationArns: {
                type: "list",
                member: {}
              },
              launchTemplateConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "launchTemplateId"
                  ],
                  members: {
                    launchTemplateId: {},
                    accountId: {},
                    setDefaultVersion: {
                      type: "boolean"
                    }
                  }
                }
              },
              s3ExportConfiguration: {
                type: "structure",
                required: [
                  "roleName",
                  "diskImageFormat",
                  "s3Bucket"
                ],
                members: {
                  roleName: {},
                  diskImageFormat: {},
                  s3Bucket: {},
                  s3Prefix: {}
                }
              },
              fastLaunchConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "enabled"
                  ],
                  members: {
                    enabled: {
                      type: "boolean"
                    },
                    snapshotConfiguration: {
                      type: "structure",
                      members: {
                        targetResourceCount: {
                          type: "integer"
                        }
                      }
                    },
                    maxParallelLaunches: {
                      type: "integer"
                    },
                    launchTemplate: {
                      type: "structure",
                      members: {
                        launchTemplateId: {},
                        launchTemplateName: {},
                        launchTemplateVersion: {}
                      }
                    },
                    accountId: {}
                  }
                }
              }
            }
          }
        },
        S1d: {
          type: "list",
          member: {}
        },
        S1g: {
          type: "list",
          member: {}
        },
        S25: {
          type: "structure",
          members: {
            imageTestsEnabled: {
              type: "boolean"
            },
            timeoutMinutes: {
              type: "integer"
            }
          }
        },
        S27: {
          type: "structure",
          members: {
            imageScanningEnabled: {
              type: "boolean"
            },
            ecrConfiguration: {
              type: "structure",
              members: {
                repositoryName: {},
                containerTags: {
                  shape: "S1g"
                }
              }
            }
          }
        },
        S2b: {
          type: "structure",
          members: {
            scheduleExpression: {},
            timezone: {},
            pipelineExecutionStartCondition: {}
          }
        },
        S2i: {
          type: "structure",
          members: {
            systemsManagerAgent: {
              type: "structure",
              members: {
                uninstallAfterBuild: {
                  type: "boolean"
                }
              }
            },
            userDataOverride: {}
          }
        },
        S2n: {
          type: "list",
          member: {}
        },
        S2q: {
          type: "list",
          member: {}
        },
        S2r: {
          type: "structure",
          members: {
            s3Logs: {
              type: "structure",
              members: {
                s3BucketName: {},
                s3KeyPrefix: {}
              }
            }
          }
        },
        S2u: {
          type: "map",
          key: {},
          value: {}
        },
        S2v: {
          type: "structure",
          members: {
            httpTokens: {},
            httpPutResponseHopLimit: {
              type: "integer"
            }
          }
        },
        S3i: {
          type: "structure",
          members: {
            status: {},
            reason: {}
          }
        },
        S3v: {
          type: "structure",
          members: {
            arn: {},
            containerType: {},
            name: {},
            description: {},
            platform: {},
            owner: {},
            version: {},
            components: {
              shape: "Sl"
            },
            instanceConfiguration: {
              shape: "St"
            },
            dockerfileTemplateData: {},
            kmsKeyId: {},
            encrypted: {
              type: "boolean"
            },
            parentImage: {},
            dateCreated: {},
            tags: {
              shape: "Se"
            },
            workingDirectory: {},
            targetRepository: {
              shape: "S14"
            }
          }
        },
        S41: {
          type: "structure",
          required: [
            "timeoutMinutes"
          ],
          members: {
            arn: {},
            name: {},
            description: {},
            distributions: {
              shape: "S19"
            },
            timeoutMinutes: {
              type: "integer"
            },
            dateCreated: {},
            dateUpdated: {},
            tags: {
              shape: "Se"
            }
          }
        },
        S48: {
          type: "structure",
          members: {
            status: {},
            reason: {}
          }
        },
        S4a: {
          type: "structure",
          members: {
            arn: {},
            type: {},
            name: {},
            description: {},
            platform: {},
            owner: {},
            version: {},
            components: {
              shape: "Sl"
            },
            parentImage: {},
            blockDeviceMappings: {
              shape: "Su"
            },
            dateCreated: {},
            tags: {
              shape: "Se"
            },
            workingDirectory: {},
            additionalInstanceConfiguration: {
              shape: "S2i"
            }
          }
        },
        S4c: {
          type: "structure",
          members: {
            arn: {},
            name: {},
            description: {},
            instanceTypes: {
              shape: "S2n"
            },
            instanceProfileName: {},
            securityGroupIds: {
              shape: "S2q"
            },
            subnetId: {},
            logging: {
              shape: "S2r"
            },
            keyPair: {},
            terminateInstanceOnFailure: {
              type: "boolean"
            },
            snsTopicArn: {},
            dateCreated: {},
            dateUpdated: {},
            resourceTags: {
              shape: "S2u"
            },
            instanceMetadataOptions: {
              shape: "S2v"
            },
            tags: {
              shape: "Se"
            }
          }
        },
        S4d: {
          type: "structure",
          members: {
            amis: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  region: {},
                  image: {},
                  name: {},
                  description: {},
                  state: {
                    shape: "S48"
                  },
                  accountId: {}
                }
              }
            },
            containers: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  region: {},
                  imageUris: {
                    shape: "S1g"
                  }
                }
              }
            }
          }
        },
        S4o: {
          type: "structure",
          members: {
            arn: {},
            name: {},
            description: {},
            platform: {},
            enhancedImageMetadataEnabled: {
              type: "boolean"
            },
            imageRecipeArn: {},
            containerRecipeArn: {},
            infrastructureConfigurationArn: {},
            distributionConfigurationArn: {},
            imageTestsConfiguration: {
              shape: "S25"
            },
            schedule: {
              shape: "S2b"
            },
            status: {},
            dateCreated: {},
            dateUpdated: {},
            dateLastRun: {},
            dateNextRun: {},
            tags: {
              shape: "Se"
            },
            imageScanningConfiguration: {
              shape: "S27"
            }
          }
        },
        S5v: {
          type: "list",
          member: {
            shape: "S5w"
          }
        },
        S5w: {
          type: "structure",
          members: {
            name: {},
            values: {
              type: "list",
              member: {}
            }
          }
        },
        S6f: {
          type: "list",
          member: {
            type: "structure",
            members: {
              arn: {},
              name: {},
              type: {},
              version: {},
              platform: {},
              osVersion: {},
              state: {
                shape: "S48"
              },
              owner: {},
              dateCreated: {},
              outputResources: {
                shape: "S4d"
              },
              tags: {
                shape: "Se"
              },
              buildType: {},
              imageSource: {}
            }
          }
        },
        S6z: {
          type: "structure",
          members: {
            all: {
              type: "long"
            },
            critical: {
              type: "long"
            },
            high: {
              type: "long"
            },
            medium: {
              type: "long"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/imagebuilder-2019-12-02.paginators.json
var require_imagebuilder_2019_12_02_paginators = __commonJS({
  "node_modules/aws-sdk/apis/imagebuilder-2019-12-02.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListComponentBuildVersions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "componentSummaryList"
        },
        ListComponents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "componentVersionList"
        },
        ListContainerRecipes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "containerRecipeSummaryList"
        },
        ListDistributionConfigurations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "distributionConfigurationSummaryList"
        },
        ListImageBuildVersions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "imageSummaryList"
        },
        ListImagePackages: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "imagePackageList"
        },
        ListImagePipelineImages: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "imageSummaryList"
        },
        ListImagePipelines: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "imagePipelineList"
        },
        ListImageRecipes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "imageRecipeSummaryList"
        },
        ListImageScanFindingAggregations: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "responses"
        },
        ListImageScanFindings: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "findings"
        },
        ListImages: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "imageVersionList"
        },
        ListInfrastructureConfigurations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "infrastructureConfigurationSummaryList"
        },
        ListWorkflowExecutions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "workflowExecutions"
        },
        ListWorkflowStepExecutions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "steps"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/imagebuilder.js
var require_imagebuilder = __commonJS({
  "node_modules/aws-sdk/clients/imagebuilder.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["imagebuilder"] = {};
    AWS2.Imagebuilder = Service.defineService("imagebuilder", ["2019-12-02"]);
    Object.defineProperty(apiLoader.services["imagebuilder"], "2019-12-02", {
      get: function get() {
        var model = require_imagebuilder_2019_12_02_min();
        model.paginators = require_imagebuilder_2019_12_02_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Imagebuilder;
  }
});

// node_modules/aws-sdk/apis/schemas-2019-12-02.min.json
var require_schemas_2019_12_02_min = __commonJS({
  "node_modules/aws-sdk/apis/schemas-2019-12-02.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2019-12-02",
        endpointPrefix: "schemas",
        signingName: "schemas",
        serviceFullName: "Schemas",
        serviceId: "schemas",
        protocol: "rest-json",
        jsonVersion: "1.1",
        uid: "schemas-2019-12-02",
        signatureVersion: "v4"
      },
      operations: {
        CreateDiscoverer: {
          http: {
            requestUri: "/v1/discoverers",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              Description: {},
              SourceArn: {},
              CrossAccount: {
                type: "boolean"
              },
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            },
            required: [
              "SourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Description: {},
              DiscovererArn: {},
              DiscovererId: {},
              SourceArn: {},
              State: {},
              CrossAccount: {
                type: "boolean"
              },
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            }
          }
        },
        CreateRegistry: {
          http: {
            requestUri: "/v1/registries/name/{registryName}",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              Description: {},
              RegistryName: {
                location: "uri",
                locationName: "registryName"
              },
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            },
            required: [
              "RegistryName"
            ]
          },
          output: {
            type: "structure",
            members: {
              Description: {},
              RegistryArn: {},
              RegistryName: {},
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            }
          }
        },
        CreateSchema: {
          http: {
            requestUri: "/v1/registries/name/{registryName}/schemas/name/{schemaName}",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              Content: {},
              Description: {},
              RegistryName: {
                location: "uri",
                locationName: "registryName"
              },
              SchemaName: {
                location: "uri",
                locationName: "schemaName"
              },
              Tags: {
                shape: "S5",
                locationName: "tags"
              },
              Type: {}
            },
            required: [
              "RegistryName",
              "SchemaName",
              "Type",
              "Content"
            ]
          },
          output: {
            type: "structure",
            members: {
              Description: {},
              LastModified: {
                shape: "Sf"
              },
              SchemaArn: {},
              SchemaName: {},
              SchemaVersion: {},
              Tags: {
                shape: "S5",
                locationName: "tags"
              },
              Type: {},
              VersionCreatedDate: {
                shape: "Sf"
              }
            }
          }
        },
        DeleteDiscoverer: {
          http: {
            method: "DELETE",
            requestUri: "/v1/discoverers/id/{discovererId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              DiscovererId: {
                location: "uri",
                locationName: "discovererId"
              }
            },
            required: [
              "DiscovererId"
            ]
          }
        },
        DeleteRegistry: {
          http: {
            method: "DELETE",
            requestUri: "/v1/registries/name/{registryName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              RegistryName: {
                location: "uri",
                locationName: "registryName"
              }
            },
            required: [
              "RegistryName"
            ]
          }
        },
        DeleteResourcePolicy: {
          http: {
            method: "DELETE",
            requestUri: "/v1/policy",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              RegistryName: {
                location: "querystring",
                locationName: "registryName"
              }
            }
          }
        },
        DeleteSchema: {
          http: {
            method: "DELETE",
            requestUri: "/v1/registries/name/{registryName}/schemas/name/{schemaName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              RegistryName: {
                location: "uri",
                locationName: "registryName"
              },
              SchemaName: {
                location: "uri",
                locationName: "schemaName"
              }
            },
            required: [
              "RegistryName",
              "SchemaName"
            ]
          }
        },
        DeleteSchemaVersion: {
          http: {
            method: "DELETE",
            requestUri: "/v1/registries/name/{registryName}/schemas/name/{schemaName}/version/{schemaVersion}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              RegistryName: {
                location: "uri",
                locationName: "registryName"
              },
              SchemaName: {
                location: "uri",
                locationName: "schemaName"
              },
              SchemaVersion: {
                location: "uri",
                locationName: "schemaVersion"
              }
            },
            required: [
              "SchemaVersion",
              "RegistryName",
              "SchemaName"
            ]
          }
        },
        DescribeCodeBinding: {
          http: {
            method: "GET",
            requestUri: "/v1/registries/name/{registryName}/schemas/name/{schemaName}/language/{language}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Language: {
                location: "uri",
                locationName: "language"
              },
              RegistryName: {
                location: "uri",
                locationName: "registryName"
              },
              SchemaName: {
                location: "uri",
                locationName: "schemaName"
              },
              SchemaVersion: {
                location: "querystring",
                locationName: "schemaVersion"
              }
            },
            required: [
              "RegistryName",
              "SchemaName",
              "Language"
            ]
          },
          output: {
            type: "structure",
            members: {
              CreationDate: {
                shape: "Sf"
              },
              LastModified: {
                shape: "Sf"
              },
              SchemaVersion: {},
              Status: {}
            }
          }
        },
        DescribeDiscoverer: {
          http: {
            method: "GET",
            requestUri: "/v1/discoverers/id/{discovererId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DiscovererId: {
                location: "uri",
                locationName: "discovererId"
              }
            },
            required: [
              "DiscovererId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Description: {},
              DiscovererArn: {},
              DiscovererId: {},
              SourceArn: {},
              State: {},
              CrossAccount: {
                type: "boolean"
              },
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            }
          }
        },
        DescribeRegistry: {
          http: {
            method: "GET",
            requestUri: "/v1/registries/name/{registryName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              RegistryName: {
                location: "uri",
                locationName: "registryName"
              }
            },
            required: [
              "RegistryName"
            ]
          },
          output: {
            type: "structure",
            members: {
              Description: {},
              RegistryArn: {},
              RegistryName: {},
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            }
          }
        },
        DescribeSchema: {
          http: {
            method: "GET",
            requestUri: "/v1/registries/name/{registryName}/schemas/name/{schemaName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              RegistryName: {
                location: "uri",
                locationName: "registryName"
              },
              SchemaName: {
                location: "uri",
                locationName: "schemaName"
              },
              SchemaVersion: {
                location: "querystring",
                locationName: "schemaVersion"
              }
            },
            required: [
              "RegistryName",
              "SchemaName"
            ]
          },
          output: {
            type: "structure",
            members: {
              Content: {},
              Description: {},
              LastModified: {
                shape: "Sf"
              },
              SchemaArn: {},
              SchemaName: {},
              SchemaVersion: {},
              Tags: {
                shape: "S5",
                locationName: "tags"
              },
              Type: {},
              VersionCreatedDate: {
                shape: "Sf"
              }
            }
          }
        },
        ExportSchema: {
          http: {
            method: "GET",
            requestUri: "/v1/registries/name/{registryName}/schemas/name/{schemaName}/export",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              RegistryName: {
                location: "uri",
                locationName: "registryName"
              },
              SchemaName: {
                location: "uri",
                locationName: "schemaName"
              },
              SchemaVersion: {
                location: "querystring",
                locationName: "schemaVersion"
              },
              Type: {
                location: "querystring",
                locationName: "type"
              }
            },
            required: [
              "RegistryName",
              "SchemaName",
              "Type"
            ]
          },
          output: {
            type: "structure",
            members: {
              Content: {},
              SchemaArn: {},
              SchemaName: {},
              SchemaVersion: {},
              Type: {}
            }
          }
        },
        GetCodeBindingSource: {
          http: {
            method: "GET",
            requestUri: "/v1/registries/name/{registryName}/schemas/name/{schemaName}/language/{language}/source",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Language: {
                location: "uri",
                locationName: "language"
              },
              RegistryName: {
                location: "uri",
                locationName: "registryName"
              },
              SchemaName: {
                location: "uri",
                locationName: "schemaName"
              },
              SchemaVersion: {
                location: "querystring",
                locationName: "schemaVersion"
              }
            },
            required: [
              "RegistryName",
              "SchemaName",
              "Language"
            ]
          },
          output: {
            type: "structure",
            members: {
              Body: {
                type: "blob"
              }
            },
            payload: "Body"
          }
        },
        GetDiscoveredSchema: {
          http: {
            requestUri: "/v1/discover",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Events: {
                type: "list",
                member: {}
              },
              Type: {}
            },
            required: [
              "Type",
              "Events"
            ]
          },
          output: {
            type: "structure",
            members: {
              Content: {}
            }
          }
        },
        GetResourcePolicy: {
          http: {
            method: "GET",
            requestUri: "/v1/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              RegistryName: {
                location: "querystring",
                locationName: "registryName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {
                jsonvalue: true
              },
              RevisionId: {}
            }
          }
        },
        ListDiscoverers: {
          http: {
            method: "GET",
            requestUri: "/v1/discoverers",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DiscovererIdPrefix: {
                location: "querystring",
                locationName: "discovererIdPrefix"
              },
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              SourceArnPrefix: {
                location: "querystring",
                locationName: "sourceArnPrefix"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Discoverers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DiscovererArn: {},
                    DiscovererId: {},
                    SourceArn: {},
                    State: {},
                    CrossAccount: {
                      type: "boolean"
                    },
                    Tags: {
                      shape: "S5",
                      locationName: "tags"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListRegistries: {
          http: {
            method: "GET",
            requestUri: "/v1/registries",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              RegistryNamePrefix: {
                location: "querystring",
                locationName: "registryNamePrefix"
              },
              Scope: {
                location: "querystring",
                locationName: "scope"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Registries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RegistryArn: {},
                    RegistryName: {},
                    Tags: {
                      shape: "S5",
                      locationName: "tags"
                    }
                  }
                }
              }
            }
          }
        },
        ListSchemaVersions: {
          http: {
            method: "GET",
            requestUri: "/v1/registries/name/{registryName}/schemas/name/{schemaName}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              RegistryName: {
                location: "uri",
                locationName: "registryName"
              },
              SchemaName: {
                location: "uri",
                locationName: "schemaName"
              }
            },
            required: [
              "RegistryName",
              "SchemaName"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              SchemaVersions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SchemaArn: {},
                    SchemaName: {},
                    SchemaVersion: {},
                    Type: {}
                  }
                }
              }
            }
          }
        },
        ListSchemas: {
          http: {
            method: "GET",
            requestUri: "/v1/registries/name/{registryName}/schemas",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              RegistryName: {
                location: "uri",
                locationName: "registryName"
              },
              SchemaNamePrefix: {
                location: "querystring",
                locationName: "schemaNamePrefix"
              }
            },
            required: [
              "RegistryName"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Schemas: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LastModified: {
                      shape: "Sf"
                    },
                    SchemaArn: {},
                    SchemaName: {},
                    Tags: {
                      shape: "S5",
                      locationName: "tags"
                    },
                    VersionCount: {
                      type: "long"
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resource-arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              }
            },
            required: [
              "ResourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            }
          }
        },
        PutCodeBinding: {
          http: {
            requestUri: "/v1/registries/name/{registryName}/schemas/name/{schemaName}/language/{language}",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              Language: {
                location: "uri",
                locationName: "language"
              },
              RegistryName: {
                location: "uri",
                locationName: "registryName"
              },
              SchemaName: {
                location: "uri",
                locationName: "schemaName"
              },
              SchemaVersion: {
                location: "querystring",
                locationName: "schemaVersion"
              }
            },
            required: [
              "RegistryName",
              "SchemaName",
              "Language"
            ]
          },
          output: {
            type: "structure",
            members: {
              CreationDate: {
                shape: "Sf"
              },
              LastModified: {
                shape: "Sf"
              },
              SchemaVersion: {},
              Status: {}
            }
          }
        },
        PutResourcePolicy: {
          http: {
            method: "PUT",
            requestUri: "/v1/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Policy: {
                jsonvalue: true
              },
              RegistryName: {
                location: "querystring",
                locationName: "registryName"
              },
              RevisionId: {}
            },
            required: [
              "Policy"
            ]
          },
          output: {
            type: "structure",
            members: {
              Policy: {
                jsonvalue: true
              },
              RevisionId: {}
            }
          }
        },
        SearchSchemas: {
          http: {
            method: "GET",
            requestUri: "/v1/registries/name/{registryName}/schemas/search",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Keywords: {
                location: "querystring",
                locationName: "keywords"
              },
              Limit: {
                location: "querystring",
                locationName: "limit",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              RegistryName: {
                location: "uri",
                locationName: "registryName"
              }
            },
            required: [
              "RegistryName",
              "Keywords"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Schemas: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RegistryName: {},
                    SchemaArn: {},
                    SchemaName: {},
                    SchemaVersions: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          CreatedDate: {
                            shape: "Sf"
                          },
                          SchemaVersion: {},
                          Type: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        StartDiscoverer: {
          http: {
            requestUri: "/v1/discoverers/id/{discovererId}/start",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DiscovererId: {
                location: "uri",
                locationName: "discovererId"
              }
            },
            required: [
              "DiscovererId"
            ]
          },
          output: {
            type: "structure",
            members: {
              DiscovererId: {},
              State: {}
            }
          }
        },
        StopDiscoverer: {
          http: {
            requestUri: "/v1/discoverers/id/{discovererId}/stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DiscovererId: {
                location: "uri",
                locationName: "discovererId"
              }
            },
            required: [
              "DiscovererId"
            ]
          },
          output: {
            type: "structure",
            members: {
              DiscovererId: {},
              State: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            },
            required: [
              "ResourceArn",
              "Tags"
            ]
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            },
            required: [
              "TagKeys",
              "ResourceArn"
            ]
          }
        },
        UpdateDiscoverer: {
          http: {
            method: "PUT",
            requestUri: "/v1/discoverers/id/{discovererId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Description: {},
              DiscovererId: {
                location: "uri",
                locationName: "discovererId"
              },
              CrossAccount: {
                type: "boolean"
              }
            },
            required: [
              "DiscovererId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Description: {},
              DiscovererArn: {},
              DiscovererId: {},
              SourceArn: {},
              State: {},
              CrossAccount: {
                type: "boolean"
              },
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            }
          }
        },
        UpdateRegistry: {
          http: {
            method: "PUT",
            requestUri: "/v1/registries/name/{registryName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Description: {},
              RegistryName: {
                location: "uri",
                locationName: "registryName"
              }
            },
            required: [
              "RegistryName"
            ]
          },
          output: {
            type: "structure",
            members: {
              Description: {},
              RegistryArn: {},
              RegistryName: {},
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            }
          }
        },
        UpdateSchema: {
          http: {
            method: "PUT",
            requestUri: "/v1/registries/name/{registryName}/schemas/name/{schemaName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClientTokenId: {
                idempotencyToken: true
              },
              Content: {},
              Description: {},
              RegistryName: {
                location: "uri",
                locationName: "registryName"
              },
              SchemaName: {
                location: "uri",
                locationName: "schemaName"
              },
              Type: {}
            },
            required: [
              "RegistryName",
              "SchemaName"
            ]
          },
          output: {
            type: "structure",
            members: {
              Description: {},
              LastModified: {
                shape: "Sf"
              },
              SchemaArn: {},
              SchemaName: {},
              SchemaVersion: {},
              Tags: {
                shape: "S5",
                locationName: "tags"
              },
              Type: {},
              VersionCreatedDate: {
                shape: "Sf"
              }
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "map",
          key: {},
          value: {}
        },
        Sf: {
          type: "timestamp",
          timestampFormat: "iso8601"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/schemas-2019-12-02.paginators.json
var require_schemas_2019_12_02_paginators = __commonJS({
  "node_modules/aws-sdk/apis/schemas-2019-12-02.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDiscoverers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "Discoverers"
        },
        ListRegistries: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "Registries"
        },
        ListSchemaVersions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "SchemaVersions"
        },
        ListSchemas: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "Schemas"
        },
        SearchSchemas: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "Schemas"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/schemas-2019-12-02.waiters2.json
var require_schemas_2019_12_02_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/schemas-2019-12-02.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        CodeBindingExists: {
          description: "Wait until code binding is generated",
          delay: 2,
          operation: "DescribeCodeBinding",
          maxAttempts: 30,
          acceptors: [
            {
              expected: "CREATE_COMPLETE",
              matcher: "path",
              state: "success",
              argument: "Status"
            },
            {
              expected: "CREATE_IN_PROGRESS",
              matcher: "path",
              state: "retry",
              argument: "Status"
            },
            {
              expected: "CREATE_FAILED",
              matcher: "path",
              state: "failure",
              argument: "Status"
            },
            {
              matcher: "error",
              expected: "NotFoundException",
              state: "failure"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/schemas.js
var require_schemas = __commonJS({
  "node_modules/aws-sdk/clients/schemas.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["schemas"] = {};
    AWS2.Schemas = Service.defineService("schemas", ["2019-12-02"]);
    Object.defineProperty(apiLoader.services["schemas"], "2019-12-02", {
      get: function get() {
        var model = require_schemas_2019_12_02_min();
        model.paginators = require_schemas_2019_12_02_paginators().pagination;
        model.waiters = require_schemas_2019_12_02_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Schemas;
  }
});

// node_modules/aws-sdk/apis/accessanalyzer-2019-11-01.min.json
var require_accessanalyzer_2019_11_01_min = __commonJS({
  "node_modules/aws-sdk/apis/accessanalyzer-2019-11-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-11-01",
        endpointPrefix: "access-analyzer",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Access Analyzer",
        serviceId: "AccessAnalyzer",
        signatureVersion: "v4",
        signingName: "access-analyzer",
        uid: "accessanalyzer-2019-11-01"
      },
      operations: {
        ApplyArchiveRule: {
          http: {
            method: "PUT",
            requestUri: "/archive-rule",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerArn",
              "ruleName"
            ],
            members: {
              analyzerArn: {},
              ruleName: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          idempotent: true
        },
        CancelPolicyGeneration: {
          http: {
            method: "PUT",
            requestUri: "/policy/generation/{jobId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        CreateAccessPreview: {
          http: {
            method: "PUT",
            requestUri: "/access-preview",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerArn",
              "configurations"
            ],
            members: {
              analyzerArn: {},
              configurations: {
                shape: "S9"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          idempotent: true
        },
        CreateAnalyzer: {
          http: {
            method: "PUT",
            requestUri: "/analyzer",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerName",
              "type"
            ],
            members: {
              analyzerName: {},
              type: {},
              archiveRules: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ruleName",
                    "filter"
                  ],
                  members: {
                    ruleName: {},
                    filter: {
                      shape: "S2c"
                    }
                  }
                }
              },
              tags: {
                shape: "S2f"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {}
            }
          },
          idempotent: true
        },
        CreateArchiveRule: {
          http: {
            method: "PUT",
            requestUri: "/analyzer/{analyzerName}/archive-rule",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerName",
              "ruleName",
              "filter"
            ],
            members: {
              analyzerName: {
                location: "uri",
                locationName: "analyzerName"
              },
              ruleName: {},
              filter: {
                shape: "S2c"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          idempotent: true
        },
        DeleteAnalyzer: {
          http: {
            method: "DELETE",
            requestUri: "/analyzer/{analyzerName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerName"
            ],
            members: {
              analyzerName: {
                location: "uri",
                locationName: "analyzerName"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          idempotent: true
        },
        DeleteArchiveRule: {
          http: {
            method: "DELETE",
            requestUri: "/analyzer/{analyzerName}/archive-rule/{ruleName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerName",
              "ruleName"
            ],
            members: {
              analyzerName: {
                location: "uri",
                locationName: "analyzerName"
              },
              ruleName: {
                location: "uri",
                locationName: "ruleName"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          idempotent: true
        },
        GetAccessPreview: {
          http: {
            method: "GET",
            requestUri: "/access-preview/{accessPreviewId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accessPreviewId",
              "analyzerArn"
            ],
            members: {
              accessPreviewId: {
                location: "uri",
                locationName: "accessPreviewId"
              },
              analyzerArn: {
                location: "querystring",
                locationName: "analyzerArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "accessPreview"
            ],
            members: {
              accessPreview: {
                type: "structure",
                required: [
                  "id",
                  "analyzerArn",
                  "configurations",
                  "createdAt",
                  "status"
                ],
                members: {
                  id: {},
                  analyzerArn: {},
                  configurations: {
                    shape: "S9"
                  },
                  createdAt: {
                    shape: "S2n"
                  },
                  status: {},
                  statusReason: {
                    shape: "S2p"
                  }
                }
              }
            }
          }
        },
        GetAnalyzedResource: {
          http: {
            method: "GET",
            requestUri: "/analyzed-resource",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerArn",
              "resourceArn"
            ],
            members: {
              analyzerArn: {
                location: "querystring",
                locationName: "analyzerArn"
              },
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resource: {
                type: "structure",
                required: [
                  "resourceArn",
                  "resourceType",
                  "createdAt",
                  "analyzedAt",
                  "updatedAt",
                  "isPublic",
                  "resourceOwnerAccount"
                ],
                members: {
                  resourceArn: {},
                  resourceType: {},
                  createdAt: {
                    shape: "S2n"
                  },
                  analyzedAt: {
                    shape: "S2n"
                  },
                  updatedAt: {
                    shape: "S2n"
                  },
                  isPublic: {
                    type: "boolean"
                  },
                  actions: {
                    shape: "S2w"
                  },
                  sharedVia: {
                    type: "list",
                    member: {}
                  },
                  status: {},
                  resourceOwnerAccount: {},
                  error: {}
                }
              }
            }
          }
        },
        GetAnalyzer: {
          http: {
            method: "GET",
            requestUri: "/analyzer/{analyzerName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerName"
            ],
            members: {
              analyzerName: {
                location: "uri",
                locationName: "analyzerName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "analyzer"
            ],
            members: {
              analyzer: {
                shape: "S31"
              }
            }
          }
        },
        GetArchiveRule: {
          http: {
            method: "GET",
            requestUri: "/analyzer/{analyzerName}/archive-rule/{ruleName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerName",
              "ruleName"
            ],
            members: {
              analyzerName: {
                location: "uri",
                locationName: "analyzerName"
              },
              ruleName: {
                location: "uri",
                locationName: "ruleName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "archiveRule"
            ],
            members: {
              archiveRule: {
                shape: "S37"
              }
            }
          }
        },
        GetFinding: {
          http: {
            method: "GET",
            requestUri: "/finding/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerArn",
              "id"
            ],
            members: {
              analyzerArn: {
                location: "querystring",
                locationName: "analyzerArn"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              finding: {
                type: "structure",
                required: [
                  "id",
                  "resourceType",
                  "condition",
                  "createdAt",
                  "analyzedAt",
                  "updatedAt",
                  "status",
                  "resourceOwnerAccount"
                ],
                members: {
                  id: {},
                  principal: {
                    shape: "S3c"
                  },
                  action: {
                    shape: "S2w"
                  },
                  resource: {},
                  isPublic: {
                    type: "boolean"
                  },
                  resourceType: {},
                  condition: {
                    shape: "S3d"
                  },
                  createdAt: {
                    shape: "S2n"
                  },
                  analyzedAt: {
                    shape: "S2n"
                  },
                  updatedAt: {
                    shape: "S2n"
                  },
                  status: {},
                  resourceOwnerAccount: {},
                  error: {},
                  sources: {
                    shape: "S3e"
                  }
                }
              }
            }
          }
        },
        GetGeneratedPolicy: {
          http: {
            method: "GET",
            requestUri: "/policy/generation/{jobId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              },
              includeResourcePlaceholders: {
                location: "querystring",
                locationName: "includeResourcePlaceholders",
                type: "boolean"
              },
              includeServiceLevelTemplate: {
                location: "querystring",
                locationName: "includeServiceLevelTemplate",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobDetails",
              "generatedPolicyResult"
            ],
            members: {
              jobDetails: {
                type: "structure",
                required: [
                  "jobId",
                  "status",
                  "startedOn"
                ],
                members: {
                  jobId: {},
                  status: {},
                  startedOn: {
                    shape: "S2n"
                  },
                  completedOn: {
                    shape: "S2n"
                  },
                  jobError: {
                    type: "structure",
                    required: [
                      "code",
                      "message"
                    ],
                    members: {
                      code: {},
                      message: {}
                    }
                  }
                }
              },
              generatedPolicyResult: {
                type: "structure",
                required: [
                  "properties"
                ],
                members: {
                  properties: {
                    type: "structure",
                    required: [
                      "principalArn"
                    ],
                    members: {
                      isComplete: {
                        type: "boolean"
                      },
                      principalArn: {},
                      cloudTrailProperties: {
                        type: "structure",
                        required: [
                          "trailProperties",
                          "startTime",
                          "endTime"
                        ],
                        members: {
                          trailProperties: {
                            type: "list",
                            member: {
                              type: "structure",
                              required: [
                                "cloudTrailArn"
                              ],
                              members: {
                                cloudTrailArn: {},
                                regions: {
                                  shape: "S3v"
                                },
                                allRegions: {
                                  type: "boolean"
                                }
                              }
                            }
                          },
                          startTime: {
                            shape: "S2n"
                          },
                          endTime: {
                            shape: "S2n"
                          }
                        }
                      }
                    }
                  },
                  generatedPolicies: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "policy"
                      ],
                      members: {
                        policy: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ListAccessPreviewFindings: {
          http: {
            requestUri: "/access-preview/{accessPreviewId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accessPreviewId",
              "analyzerArn"
            ],
            members: {
              accessPreviewId: {
                location: "uri",
                locationName: "accessPreviewId"
              },
              analyzerArn: {},
              filter: {
                shape: "S2c"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "findings"
            ],
            members: {
              findings: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "resourceType",
                    "createdAt",
                    "changeType",
                    "status",
                    "resourceOwnerAccount"
                  ],
                  members: {
                    id: {},
                    existingFindingId: {},
                    existingFindingStatus: {},
                    principal: {
                      shape: "S3c"
                    },
                    action: {
                      shape: "S2w"
                    },
                    condition: {
                      shape: "S3d"
                    },
                    resource: {},
                    isPublic: {
                      type: "boolean"
                    },
                    resourceType: {},
                    createdAt: {
                      shape: "S2n"
                    },
                    changeType: {},
                    status: {},
                    resourceOwnerAccount: {},
                    error: {},
                    sources: {
                      shape: "S3e"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAccessPreviews: {
          http: {
            method: "GET",
            requestUri: "/access-preview",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerArn"
            ],
            members: {
              analyzerArn: {
                location: "querystring",
                locationName: "analyzerArn"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "accessPreviews"
            ],
            members: {
              accessPreviews: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "analyzerArn",
                    "createdAt",
                    "status"
                  ],
                  members: {
                    id: {},
                    analyzerArn: {},
                    createdAt: {
                      shape: "S2n"
                    },
                    status: {},
                    statusReason: {
                      shape: "S2p"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAnalyzedResources: {
          http: {
            requestUri: "/analyzed-resource",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerArn"
            ],
            members: {
              analyzerArn: {},
              resourceType: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "analyzedResources"
            ],
            members: {
              analyzedResources: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "resourceArn",
                    "resourceOwnerAccount",
                    "resourceType"
                  ],
                  members: {
                    resourceArn: {},
                    resourceOwnerAccount: {},
                    resourceType: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAnalyzers: {
          http: {
            method: "GET",
            requestUri: "/analyzer",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              type: {
                location: "querystring",
                locationName: "type"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "analyzers"
            ],
            members: {
              analyzers: {
                type: "list",
                member: {
                  shape: "S31"
                }
              },
              nextToken: {}
            }
          }
        },
        ListArchiveRules: {
          http: {
            method: "GET",
            requestUri: "/analyzer/{analyzerName}/archive-rule",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerName"
            ],
            members: {
              analyzerName: {
                location: "uri",
                locationName: "analyzerName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "archiveRules"
            ],
            members: {
              archiveRules: {
                type: "list",
                member: {
                  shape: "S37"
                }
              },
              nextToken: {}
            }
          }
        },
        ListFindings: {
          http: {
            requestUri: "/finding",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerArn"
            ],
            members: {
              analyzerArn: {},
              filter: {
                shape: "S2c"
              },
              sort: {
                type: "structure",
                members: {
                  attributeName: {},
                  orderBy: {}
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "findings"
            ],
            members: {
              findings: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "resourceType",
                    "condition",
                    "createdAt",
                    "analyzedAt",
                    "updatedAt",
                    "status",
                    "resourceOwnerAccount"
                  ],
                  members: {
                    id: {},
                    principal: {
                      shape: "S3c"
                    },
                    action: {
                      shape: "S2w"
                    },
                    resource: {},
                    isPublic: {
                      type: "boolean"
                    },
                    resourceType: {},
                    condition: {
                      shape: "S3d"
                    },
                    createdAt: {
                      shape: "S2n"
                    },
                    analyzedAt: {
                      shape: "S2n"
                    },
                    updatedAt: {
                      shape: "S2n"
                    },
                    status: {},
                    resourceOwnerAccount: {},
                    error: {},
                    sources: {
                      shape: "S3e"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListPolicyGenerations: {
          http: {
            method: "GET",
            requestUri: "/policy/generation",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              principalArn: {
                location: "querystring",
                locationName: "principalArn"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "policyGenerations"
            ],
            members: {
              policyGenerations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "jobId",
                    "principalArn",
                    "status",
                    "startedOn"
                  ],
                  members: {
                    jobId: {},
                    principalArn: {},
                    status: {},
                    startedOn: {
                      shape: "S2n"
                    },
                    completedOn: {
                      shape: "S2n"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S2f"
              }
            }
          }
        },
        StartPolicyGeneration: {
          http: {
            method: "PUT",
            requestUri: "/policy/generation",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "policyGenerationDetails"
            ],
            members: {
              policyGenerationDetails: {
                type: "structure",
                required: [
                  "principalArn"
                ],
                members: {
                  principalArn: {}
                }
              },
              cloudTrailDetails: {
                type: "structure",
                required: [
                  "trails",
                  "accessRole",
                  "startTime"
                ],
                members: {
                  trails: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "cloudTrailArn"
                      ],
                      members: {
                        cloudTrailArn: {},
                        regions: {
                          shape: "S3v"
                        },
                        allRegions: {
                          type: "boolean"
                        }
                      }
                    }
                  },
                  accessRole: {},
                  startTime: {
                    shape: "S2n"
                  },
                  endTime: {
                    shape: "S2n"
                  }
                }
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {}
            }
          },
          idempotent: true
        },
        StartResourceScan: {
          http: {
            requestUri: "/resource/scan",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerArn",
              "resourceArn"
            ],
            members: {
              analyzerArn: {},
              resourceArn: {},
              resourceOwnerAccount: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S2f"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateArchiveRule: {
          http: {
            method: "PUT",
            requestUri: "/analyzer/{analyzerName}/archive-rule/{ruleName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerName",
              "ruleName",
              "filter"
            ],
            members: {
              analyzerName: {
                location: "uri",
                locationName: "analyzerName"
              },
              ruleName: {
                location: "uri",
                locationName: "ruleName"
              },
              filter: {
                shape: "S2c"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          idempotent: true
        },
        UpdateFindings: {
          http: {
            method: "PUT",
            requestUri: "/finding",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analyzerArn",
              "status"
            ],
            members: {
              analyzerArn: {},
              status: {},
              ids: {
                type: "list",
                member: {}
              },
              resourceArn: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          idempotent: true
        },
        ValidatePolicy: {
          http: {
            requestUri: "/policy/validation",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "policyDocument",
              "policyType"
            ],
            members: {
              locale: {},
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              policyDocument: {},
              policyType: {},
              validatePolicyResourceType: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "findings"
            ],
            members: {
              findings: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "findingDetails",
                    "findingType",
                    "issueCode",
                    "learnMoreLink",
                    "locations"
                  ],
                  members: {
                    findingDetails: {},
                    findingType: {},
                    issueCode: {},
                    learnMoreLink: {},
                    locations: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "path",
                          "span"
                        ],
                        members: {
                          path: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                index: {
                                  type: "integer"
                                },
                                key: {},
                                substring: {
                                  type: "structure",
                                  required: [
                                    "start",
                                    "length"
                                  ],
                                  members: {
                                    start: {
                                      type: "integer"
                                    },
                                    length: {
                                      type: "integer"
                                    }
                                  }
                                },
                                value: {}
                              },
                              union: true
                            }
                          },
                          span: {
                            type: "structure",
                            required: [
                              "start",
                              "end"
                            ],
                            members: {
                              start: {
                                shape: "S5v"
                              },
                              end: {
                                shape: "S5v"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        }
      },
      shapes: {
        S9: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              ebsSnapshot: {
                type: "structure",
                members: {
                  userIds: {
                    type: "list",
                    member: {}
                  },
                  groups: {
                    type: "list",
                    member: {}
                  },
                  kmsKeyId: {}
                }
              },
              ecrRepository: {
                type: "structure",
                members: {
                  repositoryPolicy: {}
                }
              },
              iamRole: {
                type: "structure",
                members: {
                  trustPolicy: {}
                }
              },
              efsFileSystem: {
                type: "structure",
                members: {
                  fileSystemPolicy: {}
                }
              },
              kmsKey: {
                type: "structure",
                members: {
                  keyPolicies: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  grants: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "operations",
                        "granteePrincipal",
                        "issuingAccount"
                      ],
                      members: {
                        operations: {
                          type: "list",
                          member: {}
                        },
                        granteePrincipal: {},
                        retiringPrincipal: {},
                        constraints: {
                          type: "structure",
                          members: {
                            encryptionContextEquals: {
                              shape: "Sz"
                            },
                            encryptionContextSubset: {
                              shape: "Sz"
                            }
                          }
                        },
                        issuingAccount: {}
                      }
                    }
                  }
                }
              },
              rdsDbClusterSnapshot: {
                type: "structure",
                members: {
                  attributes: {
                    type: "map",
                    key: {},
                    value: {
                      type: "structure",
                      members: {
                        accountIds: {
                          type: "list",
                          member: {}
                        }
                      },
                      union: true
                    }
                  },
                  kmsKeyId: {}
                }
              },
              rdsDbSnapshot: {
                type: "structure",
                members: {
                  attributes: {
                    type: "map",
                    key: {},
                    value: {
                      type: "structure",
                      members: {
                        accountIds: {
                          type: "list",
                          member: {}
                        }
                      },
                      union: true
                    }
                  },
                  kmsKeyId: {}
                }
              },
              secretsManagerSecret: {
                type: "structure",
                members: {
                  kmsKeyId: {},
                  secretPolicy: {}
                }
              },
              s3Bucket: {
                type: "structure",
                members: {
                  bucketPolicy: {},
                  bucketAclGrants: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "permission",
                        "grantee"
                      ],
                      members: {
                        permission: {},
                        grantee: {
                          type: "structure",
                          members: {
                            id: {},
                            uri: {}
                          },
                          union: true
                        }
                      }
                    }
                  },
                  bucketPublicAccessBlock: {
                    shape: "S1s"
                  },
                  accessPoints: {
                    type: "map",
                    key: {},
                    value: {
                      type: "structure",
                      members: {
                        accessPointPolicy: {},
                        publicAccessBlock: {
                          shape: "S1s"
                        },
                        networkOrigin: {
                          type: "structure",
                          members: {
                            vpcConfiguration: {
                              type: "structure",
                              required: [
                                "vpcId"
                              ],
                              members: {
                                vpcId: {}
                              }
                            },
                            internetConfiguration: {
                              type: "structure",
                              members: {}
                            }
                          },
                          union: true
                        }
                      }
                    }
                  }
                }
              },
              snsTopic: {
                type: "structure",
                members: {
                  topicPolicy: {}
                }
              },
              sqsQueue: {
                type: "structure",
                members: {
                  queuePolicy: {}
                }
              }
            },
            union: true
          }
        },
        Sz: {
          type: "map",
          key: {},
          value: {}
        },
        S1s: {
          type: "structure",
          required: [
            "ignorePublicAcls",
            "restrictPublicBuckets"
          ],
          members: {
            ignorePublicAcls: {
              type: "boolean"
            },
            restrictPublicBuckets: {
              type: "boolean"
            }
          }
        },
        S2c: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              eq: {
                shape: "S2e"
              },
              neq: {
                shape: "S2e"
              },
              contains: {
                shape: "S2e"
              },
              exists: {
                type: "boolean"
              }
            }
          }
        },
        S2e: {
          type: "list",
          member: {}
        },
        S2f: {
          type: "map",
          key: {},
          value: {}
        },
        S2n: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S2p: {
          type: "structure",
          required: [
            "code"
          ],
          members: {
            code: {}
          }
        },
        S2w: {
          type: "list",
          member: {}
        },
        S31: {
          type: "structure",
          required: [
            "arn",
            "name",
            "type",
            "createdAt",
            "status"
          ],
          members: {
            arn: {},
            name: {},
            type: {},
            createdAt: {
              shape: "S2n"
            },
            lastResourceAnalyzed: {},
            lastResourceAnalyzedAt: {
              shape: "S2n"
            },
            tags: {
              shape: "S2f"
            },
            status: {},
            statusReason: {
              type: "structure",
              required: [
                "code"
              ],
              members: {
                code: {}
              }
            }
          }
        },
        S37: {
          type: "structure",
          required: [
            "ruleName",
            "filter",
            "createdAt",
            "updatedAt"
          ],
          members: {
            ruleName: {},
            filter: {
              shape: "S2c"
            },
            createdAt: {
              shape: "S2n"
            },
            updatedAt: {
              shape: "S2n"
            }
          }
        },
        S3c: {
          type: "map",
          key: {},
          value: {}
        },
        S3d: {
          type: "map",
          key: {},
          value: {}
        },
        S3e: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "type"
            ],
            members: {
              type: {},
              detail: {
                type: "structure",
                members: {
                  accessPointArn: {},
                  accessPointAccount: {}
                }
              }
            }
          }
        },
        S3v: {
          type: "list",
          member: {}
        },
        S5v: {
          type: "structure",
          required: [
            "line",
            "column",
            "offset"
          ],
          members: {
            line: {
              type: "integer"
            },
            column: {
              type: "integer"
            },
            offset: {
              type: "integer"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/accessanalyzer-2019-11-01.paginators.json
var require_accessanalyzer_2019_11_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/accessanalyzer-2019-11-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAccessPreviewFindings: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "findings"
        },
        ListAccessPreviews: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "accessPreviews"
        },
        ListAnalyzedResources: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "analyzedResources"
        },
        ListAnalyzers: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "analyzers"
        },
        ListArchiveRules: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "archiveRules"
        },
        ListFindings: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "findings"
        },
        ListPolicyGenerations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "policyGenerations"
        },
        ValidatePolicy: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "findings"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/accessanalyzer.js
var require_accessanalyzer = __commonJS({
  "node_modules/aws-sdk/clients/accessanalyzer.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["accessanalyzer"] = {};
    AWS2.AccessAnalyzer = Service.defineService("accessanalyzer", ["2019-11-01"]);
    Object.defineProperty(apiLoader.services["accessanalyzer"], "2019-11-01", {
      get: function get() {
        var model = require_accessanalyzer_2019_11_01_min();
        model.paginators = require_accessanalyzer_2019_11_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.AccessAnalyzer;
  }
});

// node_modules/aws-sdk/apis/codeguru-reviewer-2019-09-19.min.json
var require_codeguru_reviewer_2019_09_19_min = __commonJS({
  "node_modules/aws-sdk/apis/codeguru-reviewer-2019-09-19.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-09-19",
        endpointPrefix: "codeguru-reviewer",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "CodeGuruReviewer",
        serviceFullName: "Amazon CodeGuru Reviewer",
        serviceId: "CodeGuru Reviewer",
        signatureVersion: "v4",
        signingName: "codeguru-reviewer",
        uid: "codeguru-reviewer-2019-09-19"
      },
      operations: {
        AssociateRepository: {
          http: {
            requestUri: "/associations"
          },
          input: {
            type: "structure",
            required: [
              "Repository"
            ],
            members: {
              Repository: {
                type: "structure",
                members: {
                  CodeCommit: {
                    type: "structure",
                    required: [
                      "Name"
                    ],
                    members: {
                      Name: {}
                    }
                  },
                  Bitbucket: {
                    shape: "S5"
                  },
                  GitHubEnterpriseServer: {
                    shape: "S5"
                  },
                  S3Bucket: {
                    type: "structure",
                    required: [
                      "Name",
                      "BucketName"
                    ],
                    members: {
                      Name: {},
                      BucketName: {}
                    }
                  }
                }
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sb"
              },
              KMSKeyDetails: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RepositoryAssociation: {
                shape: "Si"
              },
              Tags: {
                shape: "Sb"
              }
            }
          }
        },
        CreateCodeReview: {
          http: {
            requestUri: "/codereviews"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "RepositoryAssociationArn",
              "Type"
            ],
            members: {
              Name: {},
              RepositoryAssociationArn: {},
              Type: {
                type: "structure",
                required: [
                  "RepositoryAnalysis"
                ],
                members: {
                  RepositoryAnalysis: {
                    type: "structure",
                    members: {
                      RepositoryHead: {
                        shape: "Sy"
                      },
                      SourceCodeType: {
                        shape: "S10"
                      }
                    }
                  },
                  AnalysisTypes: {
                    shape: "S1c"
                  }
                }
              },
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CodeReview: {
                shape: "S1f"
              }
            }
          }
        },
        DescribeCodeReview: {
          http: {
            method: "GET",
            requestUri: "/codereviews/{CodeReviewArn}"
          },
          input: {
            type: "structure",
            required: [
              "CodeReviewArn"
            ],
            members: {
              CodeReviewArn: {
                location: "uri",
                locationName: "CodeReviewArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CodeReview: {
                shape: "S1f"
              }
            }
          }
        },
        DescribeRecommendationFeedback: {
          http: {
            method: "GET",
            requestUri: "/feedback/{CodeReviewArn}"
          },
          input: {
            type: "structure",
            required: [
              "CodeReviewArn",
              "RecommendationId"
            ],
            members: {
              CodeReviewArn: {
                location: "uri",
                locationName: "CodeReviewArn"
              },
              RecommendationId: {
                location: "querystring",
                locationName: "RecommendationId"
              },
              UserId: {
                location: "querystring",
                locationName: "UserId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RecommendationFeedback: {
                type: "structure",
                members: {
                  CodeReviewArn: {},
                  RecommendationId: {},
                  Reactions: {
                    shape: "S1u"
                  },
                  UserId: {},
                  CreatedTimeStamp: {
                    type: "timestamp"
                  },
                  LastUpdatedTimeStamp: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        DescribeRepositoryAssociation: {
          http: {
            method: "GET",
            requestUri: "/associations/{AssociationArn}"
          },
          input: {
            type: "structure",
            required: [
              "AssociationArn"
            ],
            members: {
              AssociationArn: {
                location: "uri",
                locationName: "AssociationArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RepositoryAssociation: {
                shape: "Si"
              },
              Tags: {
                shape: "Sb"
              }
            }
          }
        },
        DisassociateRepository: {
          http: {
            method: "DELETE",
            requestUri: "/associations/{AssociationArn}"
          },
          input: {
            type: "structure",
            required: [
              "AssociationArn"
            ],
            members: {
              AssociationArn: {
                location: "uri",
                locationName: "AssociationArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RepositoryAssociation: {
                shape: "Si"
              },
              Tags: {
                shape: "Sb"
              }
            }
          }
        },
        ListCodeReviews: {
          http: {
            method: "GET",
            requestUri: "/codereviews"
          },
          input: {
            type: "structure",
            required: [
              "Type"
            ],
            members: {
              ProviderTypes: {
                shape: "S21",
                location: "querystring",
                locationName: "ProviderTypes"
              },
              States: {
                location: "querystring",
                locationName: "States",
                type: "list",
                member: {}
              },
              RepositoryNames: {
                location: "querystring",
                locationName: "RepositoryNames",
                type: "list",
                member: {}
              },
              Type: {
                location: "querystring",
                locationName: "Type"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CodeReviewSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    CodeReviewArn: {},
                    RepositoryName: {},
                    Owner: {},
                    ProviderType: {},
                    State: {},
                    CreatedTimeStamp: {
                      type: "timestamp"
                    },
                    LastUpdatedTimeStamp: {
                      type: "timestamp"
                    },
                    Type: {},
                    PullRequestId: {},
                    MetricsSummary: {
                      type: "structure",
                      members: {
                        MeteredLinesOfCodeCount: {
                          type: "long"
                        },
                        SuppressedLinesOfCodeCount: {
                          type: "long"
                        },
                        FindingsCount: {
                          type: "long"
                        }
                      }
                    },
                    SourceCodeType: {
                      shape: "S10"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListRecommendationFeedback: {
          http: {
            method: "GET",
            requestUri: "/feedback/{CodeReviewArn}/RecommendationFeedback"
          },
          input: {
            type: "structure",
            required: [
              "CodeReviewArn"
            ],
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              CodeReviewArn: {
                location: "uri",
                locationName: "CodeReviewArn"
              },
              UserIds: {
                location: "querystring",
                locationName: "UserIds",
                type: "list",
                member: {}
              },
              RecommendationIds: {
                location: "querystring",
                locationName: "RecommendationIds",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RecommendationFeedbackSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RecommendationId: {},
                    Reactions: {
                      shape: "S1u"
                    },
                    UserId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListRecommendations: {
          http: {
            method: "GET",
            requestUri: "/codereviews/{CodeReviewArn}/Recommendations"
          },
          input: {
            type: "structure",
            required: [
              "CodeReviewArn"
            ],
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              CodeReviewArn: {
                location: "uri",
                locationName: "CodeReviewArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RecommendationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FilePath: {},
                    RecommendationId: {},
                    StartLine: {
                      type: "integer"
                    },
                    EndLine: {
                      type: "integer"
                    },
                    Description: {},
                    RecommendationCategory: {},
                    RuleMetadata: {
                      type: "structure",
                      members: {
                        RuleId: {},
                        RuleName: {},
                        ShortDescription: {},
                        LongDescription: {},
                        RuleTags: {
                          type: "list",
                          member: {}
                        }
                      }
                    },
                    Severity: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListRepositoryAssociations: {
          http: {
            method: "GET",
            requestUri: "/associations"
          },
          input: {
            type: "structure",
            members: {
              ProviderTypes: {
                shape: "S21",
                location: "querystring",
                locationName: "ProviderType"
              },
              States: {
                location: "querystring",
                locationName: "State",
                type: "list",
                member: {}
              },
              Names: {
                location: "querystring",
                locationName: "Name",
                type: "list",
                member: {}
              },
              Owners: {
                location: "querystring",
                locationName: "Owner",
                type: "list",
                member: {}
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RepositoryAssociationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AssociationArn: {},
                    ConnectionArn: {},
                    LastUpdatedTimeStamp: {
                      type: "timestamp"
                    },
                    AssociationId: {},
                    Name: {},
                    Owner: {},
                    ProviderType: {},
                    State: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sb"
              }
            }
          }
        },
        PutRecommendationFeedback: {
          http: {
            method: "PUT",
            requestUri: "/feedback"
          },
          input: {
            type: "structure",
            required: [
              "CodeReviewArn",
              "RecommendationId",
              "Reactions"
            ],
            members: {
              CodeReviewArn: {},
              RecommendationId: {},
              Reactions: {
                shape: "S1u"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "Tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "TagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          required: [
            "Name",
            "ConnectionArn",
            "Owner"
          ],
          members: {
            Name: {},
            ConnectionArn: {},
            Owner: {}
          }
        },
        Sb: {
          type: "map",
          key: {},
          value: {}
        },
        Se: {
          type: "structure",
          members: {
            KMSKeyId: {},
            EncryptionOption: {}
          }
        },
        Si: {
          type: "structure",
          members: {
            AssociationId: {},
            AssociationArn: {},
            ConnectionArn: {},
            Name: {},
            Owner: {},
            ProviderType: {},
            State: {},
            StateReason: {},
            LastUpdatedTimeStamp: {
              type: "timestamp"
            },
            CreatedTimeStamp: {
              type: "timestamp"
            },
            KMSKeyDetails: {
              shape: "Se"
            },
            S3RepositoryDetails: {
              shape: "Sp"
            }
          }
        },
        Sp: {
          type: "structure",
          members: {
            BucketName: {},
            CodeArtifacts: {
              type: "structure",
              required: [
                "SourceCodeArtifactsObjectKey"
              ],
              members: {
                SourceCodeArtifactsObjectKey: {},
                BuildArtifactsObjectKey: {}
              }
            }
          }
        },
        Sy: {
          type: "structure",
          required: [
            "BranchName"
          ],
          members: {
            BranchName: {}
          }
        },
        S10: {
          type: "structure",
          members: {
            CommitDiff: {
              type: "structure",
              members: {
                SourceCommit: {},
                DestinationCommit: {},
                MergeBaseCommit: {}
              }
            },
            RepositoryHead: {
              shape: "Sy"
            },
            BranchDiff: {
              type: "structure",
              required: [
                "SourceBranchName",
                "DestinationBranchName"
              ],
              members: {
                SourceBranchName: {},
                DestinationBranchName: {}
              }
            },
            S3BucketRepository: {
              type: "structure",
              required: [
                "Name"
              ],
              members: {
                Name: {},
                Details: {
                  shape: "Sp"
                }
              }
            },
            RequestMetadata: {
              type: "structure",
              members: {
                RequestId: {},
                Requester: {},
                EventInfo: {
                  type: "structure",
                  members: {
                    Name: {},
                    State: {}
                  }
                },
                VendorName: {}
              }
            }
          }
        },
        S1c: {
          type: "list",
          member: {}
        },
        S1f: {
          type: "structure",
          members: {
            Name: {},
            CodeReviewArn: {},
            RepositoryName: {},
            Owner: {},
            ProviderType: {},
            State: {},
            StateReason: {},
            CreatedTimeStamp: {
              type: "timestamp"
            },
            LastUpdatedTimeStamp: {
              type: "timestamp"
            },
            Type: {},
            PullRequestId: {},
            SourceCodeType: {
              shape: "S10"
            },
            AssociationArn: {},
            Metrics: {
              type: "structure",
              members: {
                MeteredLinesOfCodeCount: {
                  type: "long"
                },
                SuppressedLinesOfCodeCount: {
                  type: "long"
                },
                FindingsCount: {
                  type: "long"
                }
              }
            },
            AnalysisTypes: {
              shape: "S1c"
            },
            ConfigFileState: {}
          }
        },
        S1u: {
          type: "list",
          member: {}
        },
        S21: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/codeguru-reviewer-2019-09-19.paginators.json
var require_codeguru_reviewer_2019_09_19_paginators = __commonJS({
  "node_modules/aws-sdk/apis/codeguru-reviewer-2019-09-19.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListCodeReviews: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListRecommendationFeedback: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListRecommendations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListRepositoryAssociations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "RepositoryAssociationSummaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/codeguru-reviewer-2019-09-19.waiters2.json
var require_codeguru_reviewer_2019_09_19_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/codeguru-reviewer-2019-09-19.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        RepositoryAssociationSucceeded: {
          description: "Wait until a repository association is complete.",
          operation: "DescribeRepositoryAssociation",
          delay: 10,
          maxAttempts: 30,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "RepositoryAssociation.State",
              expected: "Associated"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "RepositoryAssociation.State",
              expected: "Failed"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "RepositoryAssociation.State",
              expected: "Associating"
            }
          ]
        },
        CodeReviewCompleted: {
          description: "Wait until a code review is complete.",
          operation: "DescribeCodeReview",
          delay: 10,
          maxAttempts: 180,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "CodeReview.State",
              expected: "Completed"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "CodeReview.State",
              expected: "Failed"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "CodeReview.State",
              expected: "Pending"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/codegurureviewer.js
var require_codegurureviewer = __commonJS({
  "node_modules/aws-sdk/clients/codegurureviewer.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["codegurureviewer"] = {};
    AWS2.CodeGuruReviewer = Service.defineService("codegurureviewer", ["2019-09-19"]);
    Object.defineProperty(apiLoader.services["codegurureviewer"], "2019-09-19", {
      get: function get() {
        var model = require_codeguru_reviewer_2019_09_19_min();
        model.paginators = require_codeguru_reviewer_2019_09_19_paginators().pagination;
        model.waiters = require_codeguru_reviewer_2019_09_19_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CodeGuruReviewer;
  }
});

// node_modules/aws-sdk/apis/codeguruprofiler-2019-07-18.min.json
var require_codeguruprofiler_2019_07_18_min = __commonJS({
  "node_modules/aws-sdk/apis/codeguruprofiler-2019-07-18.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-07-18",
        endpointPrefix: "codeguru-profiler",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon CodeGuru Profiler",
        serviceId: "CodeGuruProfiler",
        signatureVersion: "v4",
        signingName: "codeguru-profiler",
        uid: "codeguruprofiler-2019-07-18"
      },
      operations: {
        AddNotificationChannels: {
          http: {
            requestUri: "/profilingGroups/{profilingGroupName}/notificationConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "channels",
              "profilingGroupName"
            ],
            members: {
              channels: {
                shape: "S2"
              },
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              notificationConfiguration: {
                shape: "Sa"
              }
            }
          }
        },
        BatchGetFrameMetricData: {
          http: {
            requestUri: "/profilingGroups/{profilingGroupName}/frames/-/metrics",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "profilingGroupName"
            ],
            members: {
              endTime: {
                shape: "Sc",
                location: "querystring",
                locationName: "endTime"
              },
              frameMetrics: {
                type: "list",
                member: {
                  shape: "Se"
                }
              },
              period: {
                location: "querystring",
                locationName: "period"
              },
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              },
              startTime: {
                shape: "Sc",
                location: "querystring",
                locationName: "startTime"
              },
              targetResolution: {
                location: "querystring",
                locationName: "targetResolution"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "endTime",
              "endTimes",
              "frameMetricData",
              "resolution",
              "startTime",
              "unprocessedEndTimes"
            ],
            members: {
              endTime: {
                shape: "Sc"
              },
              endTimes: {
                shape: "Sl"
              },
              frameMetricData: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "frameMetric",
                    "values"
                  ],
                  members: {
                    frameMetric: {
                      shape: "Se"
                    },
                    values: {
                      type: "list",
                      member: {
                        type: "double"
                      }
                    }
                  }
                }
              },
              resolution: {},
              startTime: {
                shape: "Sc"
              },
              unprocessedEndTimes: {
                type: "map",
                key: {},
                value: {
                  shape: "Sl"
                }
              }
            }
          }
        },
        ConfigureAgent: {
          http: {
            requestUri: "/profilingGroups/{profilingGroupName}/configureAgent",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "profilingGroupName"
            ],
            members: {
              fleetInstanceId: {},
              metadata: {
                type: "map",
                key: {},
                value: {}
              },
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "configuration"
            ],
            members: {
              configuration: {
                type: "structure",
                required: [
                  "periodInSeconds",
                  "shouldProfile"
                ],
                members: {
                  agentParameters: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  periodInSeconds: {
                    type: "integer"
                  },
                  shouldProfile: {
                    type: "boolean"
                  }
                }
              }
            },
            payload: "configuration"
          }
        },
        CreateProfilingGroup: {
          http: {
            requestUri: "/profilingGroups",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "clientToken",
              "profilingGroupName"
            ],
            members: {
              agentOrchestrationConfig: {
                shape: "S13"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              },
              computePlatform: {},
              profilingGroupName: {},
              tags: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "profilingGroup"
            ],
            members: {
              profilingGroup: {
                shape: "S18"
              }
            },
            payload: "profilingGroup"
          },
          idempotent: true
        },
        DeleteProfilingGroup: {
          http: {
            method: "DELETE",
            requestUri: "/profilingGroups/{profilingGroupName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "profilingGroupName"
            ],
            members: {
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DescribeProfilingGroup: {
          http: {
            method: "GET",
            requestUri: "/profilingGroups/{profilingGroupName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "profilingGroupName"
            ],
            members: {
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "profilingGroup"
            ],
            members: {
              profilingGroup: {
                shape: "S18"
              }
            },
            payload: "profilingGroup"
          }
        },
        GetFindingsReportAccountSummary: {
          http: {
            method: "GET",
            requestUri: "/internal/findingsReports",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              dailyReportsOnly: {
                location: "querystring",
                locationName: "dailyReportsOnly",
                type: "boolean"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "reportSummaries"
            ],
            members: {
              nextToken: {},
              reportSummaries: {
                shape: "S1k"
              }
            }
          }
        },
        GetNotificationConfiguration: {
          http: {
            method: "GET",
            requestUri: "/profilingGroups/{profilingGroupName}/notificationConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "profilingGroupName"
            ],
            members: {
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "notificationConfiguration"
            ],
            members: {
              notificationConfiguration: {
                shape: "Sa"
              }
            }
          }
        },
        GetPolicy: {
          http: {
            method: "GET",
            requestUri: "/profilingGroups/{profilingGroupName}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "profilingGroupName"
            ],
            members: {
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "policy",
              "revisionId"
            ],
            members: {
              policy: {},
              revisionId: {}
            }
          }
        },
        GetProfile: {
          http: {
            method: "GET",
            requestUri: "/profilingGroups/{profilingGroupName}/profile",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "profilingGroupName"
            ],
            members: {
              accept: {
                location: "header",
                locationName: "Accept"
              },
              endTime: {
                shape: "Sc",
                location: "querystring",
                locationName: "endTime"
              },
              maxDepth: {
                location: "querystring",
                locationName: "maxDepth",
                type: "integer"
              },
              period: {
                location: "querystring",
                locationName: "period"
              },
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              },
              startTime: {
                shape: "Sc",
                location: "querystring",
                locationName: "startTime"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "contentType",
              "profile"
            ],
            members: {
              contentEncoding: {
                location: "header",
                locationName: "Content-Encoding"
              },
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              profile: {
                type: "blob"
              }
            },
            payload: "profile"
          }
        },
        GetRecommendations: {
          http: {
            method: "GET",
            requestUri: "/internal/profilingGroups/{profilingGroupName}/recommendations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "endTime",
              "profilingGroupName",
              "startTime"
            ],
            members: {
              endTime: {
                shape: "Sc",
                location: "querystring",
                locationName: "endTime"
              },
              locale: {
                location: "querystring",
                locationName: "locale"
              },
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              },
              startTime: {
                shape: "Sc",
                location: "querystring",
                locationName: "startTime"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "anomalies",
              "profileEndTime",
              "profileStartTime",
              "profilingGroupName",
              "recommendations"
            ],
            members: {
              anomalies: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "instances",
                    "metric",
                    "reason"
                  ],
                  members: {
                    instances: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "id",
                          "startTime"
                        ],
                        members: {
                          endTime: {
                            shape: "Sc"
                          },
                          id: {},
                          startTime: {
                            shape: "Sc"
                          },
                          userFeedback: {
                            type: "structure",
                            required: [
                              "type"
                            ],
                            members: {
                              type: {}
                            }
                          }
                        }
                      }
                    },
                    metric: {
                      type: "structure",
                      required: [
                        "frameName",
                        "threadStates",
                        "type"
                      ],
                      members: {
                        frameName: {},
                        threadStates: {
                          shape: "S26"
                        },
                        type: {}
                      }
                    },
                    reason: {}
                  }
                }
              },
              profileEndTime: {
                shape: "Sc"
              },
              profileStartTime: {
                shape: "Sc"
              },
              profilingGroupName: {},
              recommendations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "allMatchesCount",
                    "allMatchesSum",
                    "endTime",
                    "pattern",
                    "startTime",
                    "topMatches"
                  ],
                  members: {
                    allMatchesCount: {
                      type: "integer"
                    },
                    allMatchesSum: {
                      type: "double"
                    },
                    endTime: {
                      shape: "Sc"
                    },
                    pattern: {
                      type: "structure",
                      members: {
                        countersToAggregate: {
                          shape: "S26"
                        },
                        description: {},
                        id: {},
                        name: {},
                        resolutionSteps: {},
                        targetFrames: {
                          type: "list",
                          member: {
                            type: "list",
                            member: {}
                          }
                        },
                        thresholdPercent: {
                          type: "double"
                        }
                      }
                    },
                    startTime: {
                      shape: "Sc"
                    },
                    topMatches: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          frameAddress: {},
                          targetFramesIndex: {
                            type: "integer"
                          },
                          thresholdBreachValue: {
                            type: "double"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ListFindingsReports: {
          http: {
            method: "GET",
            requestUri: "/internal/profilingGroups/{profilingGroupName}/findingsReports",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "endTime",
              "profilingGroupName",
              "startTime"
            ],
            members: {
              dailyReportsOnly: {
                location: "querystring",
                locationName: "dailyReportsOnly",
                type: "boolean"
              },
              endTime: {
                shape: "Sc",
                location: "querystring",
                locationName: "endTime"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              },
              startTime: {
                shape: "Sc",
                location: "querystring",
                locationName: "startTime"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "findingsReportSummaries"
            ],
            members: {
              findingsReportSummaries: {
                shape: "S1k"
              },
              nextToken: {}
            }
          }
        },
        ListProfileTimes: {
          http: {
            method: "GET",
            requestUri: "/profilingGroups/{profilingGroupName}/profileTimes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "endTime",
              "period",
              "profilingGroupName",
              "startTime"
            ],
            members: {
              endTime: {
                shape: "Sc",
                location: "querystring",
                locationName: "endTime"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              orderBy: {
                location: "querystring",
                locationName: "orderBy"
              },
              period: {
                location: "querystring",
                locationName: "period"
              },
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              },
              startTime: {
                shape: "Sc",
                location: "querystring",
                locationName: "startTime"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "profileTimes"
            ],
            members: {
              nextToken: {},
              profileTimes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    start: {
                      shape: "Sc"
                    }
                  }
                }
              }
            }
          }
        },
        ListProfilingGroups: {
          http: {
            method: "GET",
            requestUri: "/profilingGroups",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              includeDescription: {
                location: "querystring",
                locationName: "includeDescription",
                type: "boolean"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "profilingGroupNames"
            ],
            members: {
              nextToken: {},
              profilingGroupNames: {
                type: "list",
                member: {}
              },
              profilingGroups: {
                type: "list",
                member: {
                  shape: "S18"
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S16"
              }
            }
          }
        },
        PostAgentProfile: {
          http: {
            requestUri: "/profilingGroups/{profilingGroupName}/agentProfile",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "agentProfile",
              "contentType",
              "profilingGroupName"
            ],
            members: {
              agentProfile: {
                type: "blob"
              },
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              profileToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "profileToken"
              },
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              }
            },
            payload: "agentProfile"
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutPermission: {
          http: {
            method: "PUT",
            requestUri: "/profilingGroups/{profilingGroupName}/policy/{actionGroup}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "actionGroup",
              "principals",
              "profilingGroupName"
            ],
            members: {
              actionGroup: {
                location: "uri",
                locationName: "actionGroup"
              },
              principals: {
                type: "list",
                member: {}
              },
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              },
              revisionId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "policy",
              "revisionId"
            ],
            members: {
              policy: {},
              revisionId: {}
            }
          },
          idempotent: true
        },
        RemoveNotificationChannel: {
          http: {
            method: "DELETE",
            requestUri: "/profilingGroups/{profilingGroupName}/notificationConfiguration/{channelId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "channelId",
              "profilingGroupName"
            ],
            members: {
              channelId: {
                location: "uri",
                locationName: "channelId"
              },
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              notificationConfiguration: {
                shape: "Sa"
              }
            }
          },
          idempotent: true
        },
        RemovePermission: {
          http: {
            method: "DELETE",
            requestUri: "/profilingGroups/{profilingGroupName}/policy/{actionGroup}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "actionGroup",
              "profilingGroupName",
              "revisionId"
            ],
            members: {
              actionGroup: {
                location: "uri",
                locationName: "actionGroup"
              },
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              },
              revisionId: {
                location: "querystring",
                locationName: "revisionId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "policy",
              "revisionId"
            ],
            members: {
              policy: {},
              revisionId: {}
            }
          }
        },
        SubmitFeedback: {
          http: {
            requestUri: "/internal/profilingGroups/{profilingGroupName}/anomalies/{anomalyInstanceId}/feedback",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "anomalyInstanceId",
              "profilingGroupName",
              "type"
            ],
            members: {
              anomalyInstanceId: {
                location: "uri",
                locationName: "anomalyInstanceId"
              },
              comment: {},
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              },
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateProfilingGroup: {
          http: {
            method: "PUT",
            requestUri: "/profilingGroups/{profilingGroupName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "agentOrchestrationConfig",
              "profilingGroupName"
            ],
            members: {
              agentOrchestrationConfig: {
                shape: "S13"
              },
              profilingGroupName: {
                location: "uri",
                locationName: "profilingGroupName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "profilingGroup"
            ],
            members: {
              profilingGroup: {
                shape: "S18"
              }
            },
            payload: "profilingGroup"
          },
          idempotent: true
        }
      },
      shapes: {
        S2: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "eventPublishers",
              "uri"
            ],
            members: {
              eventPublishers: {
                type: "list",
                member: {}
              },
              id: {},
              uri: {}
            }
          }
        },
        Sa: {
          type: "structure",
          members: {
            channels: {
              shape: "S2"
            }
          }
        },
        Sc: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Se: {
          type: "structure",
          required: [
            "frameName",
            "threadStates",
            "type"
          ],
          members: {
            frameName: {},
            threadStates: {
              type: "list",
              member: {}
            },
            type: {}
          }
        },
        Sl: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "value"
            ],
            members: {
              value: {
                shape: "Sc"
              }
            }
          }
        },
        S13: {
          type: "structure",
          required: [
            "profilingEnabled"
          ],
          members: {
            profilingEnabled: {
              type: "boolean"
            }
          }
        },
        S16: {
          type: "map",
          key: {},
          value: {}
        },
        S18: {
          type: "structure",
          members: {
            agentOrchestrationConfig: {
              shape: "S13"
            },
            arn: {},
            computePlatform: {},
            createdAt: {
              shape: "Sc"
            },
            name: {},
            profilingStatus: {
              type: "structure",
              members: {
                latestAgentOrchestratedAt: {
                  shape: "Sc"
                },
                latestAgentProfileReportedAt: {
                  shape: "Sc"
                },
                latestAggregatedProfile: {
                  type: "structure",
                  members: {
                    period: {},
                    start: {
                      shape: "Sc"
                    }
                  }
                }
              }
            },
            tags: {
              shape: "S16"
            },
            updatedAt: {
              shape: "Sc"
            }
          }
        },
        S1k: {
          type: "list",
          member: {
            type: "structure",
            members: {
              id: {},
              profileEndTime: {
                shape: "Sc"
              },
              profileStartTime: {
                shape: "Sc"
              },
              profilingGroupName: {},
              totalNumberOfFindings: {
                type: "integer"
              }
            }
          }
        },
        S26: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/codeguruprofiler-2019-07-18.paginators.json
var require_codeguruprofiler_2019_07_18_paginators = __commonJS({
  "node_modules/aws-sdk/apis/codeguruprofiler-2019-07-18.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetFindingsReportAccountSummary: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListFindingsReports: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListProfileTimes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "profileTimes"
        },
        ListProfilingGroups: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/codeguruprofiler.js
var require_codeguruprofiler = __commonJS({
  "node_modules/aws-sdk/clients/codeguruprofiler.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["codeguruprofiler"] = {};
    AWS2.CodeGuruProfiler = Service.defineService("codeguruprofiler", ["2019-07-18"]);
    Object.defineProperty(apiLoader.services["codeguruprofiler"], "2019-07-18", {
      get: function get() {
        var model = require_codeguruprofiler_2019_07_18_min();
        model.paginators = require_codeguruprofiler_2019_07_18_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CodeGuruProfiler;
  }
});

// node_modules/aws-sdk/apis/compute-optimizer-2019-11-01.min.json
var require_compute_optimizer_2019_11_01_min = __commonJS({
  "node_modules/aws-sdk/apis/compute-optimizer-2019-11-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-11-01",
        endpointPrefix: "compute-optimizer",
        jsonVersion: "1.0",
        protocol: "json",
        serviceFullName: "AWS Compute Optimizer",
        serviceId: "Compute Optimizer",
        signatureVersion: "v4",
        signingName: "compute-optimizer",
        targetPrefix: "ComputeOptimizerService",
        uid: "compute-optimizer-2019-11-01"
      },
      operations: {
        DeleteRecommendationPreferences: {
          input: {
            type: "structure",
            required: [
              "resourceType",
              "recommendationPreferenceNames"
            ],
            members: {
              resourceType: {},
              scope: {
                shape: "S3"
              },
              recommendationPreferenceNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeRecommendationExportJobs: {
          input: {
            type: "structure",
            members: {
              jobIds: {
                type: "list",
                member: {}
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    values: {
                      shape: "Sf"
                    }
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              recommendationExportJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    jobId: {},
                    destination: {
                      type: "structure",
                      members: {
                        s3: {
                          shape: "Sn"
                        }
                      }
                    },
                    resourceType: {},
                    status: {},
                    creationTimestamp: {
                      type: "timestamp"
                    },
                    lastUpdatedTimestamp: {
                      type: "timestamp"
                    },
                    failureReason: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ExportAutoScalingGroupRecommendations: {
          input: {
            type: "structure",
            required: [
              "s3DestinationConfig"
            ],
            members: {
              accountIds: {
                shape: "Sw"
              },
              filters: {
                shape: "Sy"
              },
              fieldsToExport: {
                type: "list",
                member: {}
              },
              s3DestinationConfig: {
                shape: "S13"
              },
              fileFormat: {},
              includeMemberAccounts: {
                type: "boolean"
              },
              recommendationPreferences: {
                shape: "S17"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobId: {},
              s3Destination: {
                shape: "Sn"
              }
            }
          }
        },
        ExportEBSVolumeRecommendations: {
          input: {
            type: "structure",
            required: [
              "s3DestinationConfig"
            ],
            members: {
              accountIds: {
                shape: "Sw"
              },
              filters: {
                shape: "S1c"
              },
              fieldsToExport: {
                type: "list",
                member: {}
              },
              s3DestinationConfig: {
                shape: "S13"
              },
              fileFormat: {},
              includeMemberAccounts: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobId: {},
              s3Destination: {
                shape: "Sn"
              }
            }
          }
        },
        ExportEC2InstanceRecommendations: {
          input: {
            type: "structure",
            required: [
              "s3DestinationConfig"
            ],
            members: {
              accountIds: {
                shape: "Sw"
              },
              filters: {
                shape: "Sy"
              },
              fieldsToExport: {
                type: "list",
                member: {}
              },
              s3DestinationConfig: {
                shape: "S13"
              },
              fileFormat: {},
              includeMemberAccounts: {
                type: "boolean"
              },
              recommendationPreferences: {
                shape: "S17"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobId: {},
              s3Destination: {
                shape: "Sn"
              }
            }
          }
        },
        ExportECSServiceRecommendations: {
          input: {
            type: "structure",
            required: [
              "s3DestinationConfig"
            ],
            members: {
              accountIds: {
                shape: "Sw"
              },
              filters: {
                shape: "S1n"
              },
              fieldsToExport: {
                type: "list",
                member: {}
              },
              s3DestinationConfig: {
                shape: "S13"
              },
              fileFormat: {},
              includeMemberAccounts: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobId: {},
              s3Destination: {
                shape: "Sn"
              }
            }
          }
        },
        ExportLambdaFunctionRecommendations: {
          input: {
            type: "structure",
            required: [
              "s3DestinationConfig"
            ],
            members: {
              accountIds: {
                shape: "Sw"
              },
              filters: {
                shape: "S1u"
              },
              fieldsToExport: {
                type: "list",
                member: {}
              },
              s3DestinationConfig: {
                shape: "S13"
              },
              fileFormat: {},
              includeMemberAccounts: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobId: {},
              s3Destination: {
                shape: "Sn"
              }
            }
          }
        },
        GetAutoScalingGroupRecommendations: {
          input: {
            type: "structure",
            members: {
              accountIds: {
                shape: "Sw"
              },
              autoScalingGroupArns: {
                type: "list",
                member: {}
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filters: {
                shape: "Sy"
              },
              recommendationPreferences: {
                shape: "S17"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              autoScalingGroupRecommendations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    accountId: {},
                    autoScalingGroupArn: {},
                    autoScalingGroupName: {},
                    finding: {},
                    utilizationMetrics: {
                      shape: "S28"
                    },
                    lookBackPeriodInDays: {
                      type: "double"
                    },
                    currentConfiguration: {
                      shape: "S2e"
                    },
                    recommendationOptions: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          configuration: {
                            shape: "S2e"
                          },
                          projectedUtilizationMetrics: {
                            shape: "S2l"
                          },
                          performanceRisk: {
                            type: "double"
                          },
                          rank: {
                            type: "integer"
                          },
                          savingsOpportunity: {
                            shape: "S2o"
                          },
                          migrationEffort: {}
                        }
                      }
                    },
                    lastRefreshTimestamp: {
                      type: "timestamp"
                    },
                    currentPerformanceRisk: {},
                    effectiveRecommendationPreferences: {
                      shape: "S2w"
                    },
                    inferredWorkloadTypes: {
                      shape: "S31"
                    }
                  }
                }
              },
              errors: {
                shape: "S33"
              }
            }
          }
        },
        GetEBSVolumeRecommendations: {
          input: {
            type: "structure",
            members: {
              volumeArns: {
                type: "list",
                member: {}
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filters: {
                shape: "S1c"
              },
              accountIds: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              volumeRecommendations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    volumeArn: {},
                    accountId: {},
                    currentConfiguration: {
                      shape: "S3e"
                    },
                    finding: {},
                    utilizationMetrics: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          name: {},
                          statistic: {},
                          value: {
                            type: "double"
                          }
                        }
                      }
                    },
                    lookBackPeriodInDays: {
                      type: "double"
                    },
                    volumeRecommendationOptions: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          configuration: {
                            shape: "S3e"
                          },
                          performanceRisk: {
                            type: "double"
                          },
                          rank: {
                            type: "integer"
                          },
                          savingsOpportunity: {
                            shape: "S2o"
                          }
                        }
                      }
                    },
                    lastRefreshTimestamp: {
                      type: "timestamp"
                    },
                    currentPerformanceRisk: {},
                    tags: {
                      shape: "S3s"
                    }
                  }
                }
              },
              errors: {
                shape: "S33"
              }
            }
          }
        },
        GetEC2InstanceRecommendations: {
          input: {
            type: "structure",
            members: {
              instanceArns: {
                type: "list",
                member: {}
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filters: {
                shape: "Sy"
              },
              accountIds: {
                shape: "Sw"
              },
              recommendationPreferences: {
                shape: "S17"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              instanceRecommendations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    instanceArn: {},
                    accountId: {},
                    instanceName: {},
                    currentInstanceType: {},
                    finding: {},
                    findingReasonCodes: {
                      type: "list",
                      member: {}
                    },
                    utilizationMetrics: {
                      shape: "S28"
                    },
                    lookBackPeriodInDays: {
                      type: "double"
                    },
                    recommendationOptions: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          instanceType: {},
                          projectedUtilizationMetrics: {
                            shape: "S2l"
                          },
                          platformDifferences: {
                            type: "list",
                            member: {}
                          },
                          performanceRisk: {
                            type: "double"
                          },
                          rank: {
                            type: "integer"
                          },
                          savingsOpportunity: {
                            shape: "S2o"
                          },
                          migrationEffort: {}
                        }
                      }
                    },
                    recommendationSources: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          recommendationSourceArn: {},
                          recommendationSourceType: {}
                        }
                      }
                    },
                    lastRefreshTimestamp: {
                      type: "timestamp"
                    },
                    currentPerformanceRisk: {},
                    effectiveRecommendationPreferences: {
                      shape: "S2w"
                    },
                    inferredWorkloadTypes: {
                      shape: "S31"
                    },
                    instanceState: {},
                    tags: {
                      shape: "S3s"
                    },
                    externalMetricStatus: {
                      type: "structure",
                      members: {
                        statusCode: {},
                        statusReason: {}
                      }
                    }
                  }
                }
              },
              errors: {
                shape: "S33"
              }
            }
          }
        },
        GetEC2RecommendationProjectedMetrics: {
          input: {
            type: "structure",
            required: [
              "instanceArn",
              "stat",
              "period",
              "startTime",
              "endTime"
            ],
            members: {
              instanceArn: {},
              stat: {},
              period: {
                type: "integer"
              },
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              recommendationPreferences: {
                shape: "S17"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              recommendedOptionProjectedMetrics: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    recommendedInstanceType: {},
                    rank: {
                      type: "integer"
                    },
                    projectedMetrics: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          name: {},
                          timestamps: {
                            shape: "S4r"
                          },
                          values: {
                            shape: "S4s"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetECSServiceRecommendationProjectedMetrics: {
          input: {
            type: "structure",
            required: [
              "serviceArn",
              "stat",
              "period",
              "startTime",
              "endTime"
            ],
            members: {
              serviceArn: {},
              stat: {},
              period: {
                type: "integer"
              },
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              recommendedOptionProjectedMetrics: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    recommendedCpuUnits: {
                      type: "integer"
                    },
                    recommendedMemorySize: {
                      type: "integer"
                    },
                    projectedMetrics: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          name: {},
                          timestamps: {
                            shape: "S4r"
                          },
                          upperBoundValues: {
                            shape: "S4s"
                          },
                          lowerBoundValues: {
                            shape: "S4s"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetECSServiceRecommendations: {
          input: {
            type: "structure",
            members: {
              serviceArns: {
                type: "list",
                member: {}
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filters: {
                shape: "S1n"
              },
              accountIds: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              ecsServiceRecommendations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    serviceArn: {},
                    accountId: {},
                    currentServiceConfiguration: {
                      type: "structure",
                      members: {
                        memory: {
                          type: "integer"
                        },
                        cpu: {
                          type: "integer"
                        },
                        containerConfigurations: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              containerName: {},
                              memorySizeConfiguration: {
                                shape: "S5e"
                              },
                              cpu: {
                                type: "integer"
                              }
                            }
                          }
                        },
                        autoScalingConfiguration: {},
                        taskDefinitionArn: {}
                      }
                    },
                    utilizationMetrics: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          name: {},
                          statistic: {},
                          value: {
                            type: "double"
                          }
                        }
                      }
                    },
                    lookbackPeriodInDays: {
                      type: "double"
                    },
                    launchType: {},
                    lastRefreshTimestamp: {
                      type: "timestamp"
                    },
                    finding: {},
                    findingReasonCodes: {
                      type: "list",
                      member: {}
                    },
                    serviceRecommendationOptions: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          memory: {
                            type: "integer"
                          },
                          cpu: {
                            type: "integer"
                          },
                          savingsOpportunity: {
                            shape: "S2o"
                          },
                          projectedUtilizationMetrics: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                name: {},
                                statistic: {},
                                lowerBoundValue: {
                                  type: "double"
                                },
                                upperBoundValue: {
                                  type: "double"
                                }
                              }
                            }
                          },
                          containerRecommendations: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                containerName: {},
                                memorySizeConfiguration: {
                                  shape: "S5e"
                                },
                                cpu: {
                                  type: "integer"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    currentPerformanceRisk: {},
                    tags: {
                      shape: "S3s"
                    }
                  }
                }
              },
              errors: {
                shape: "S33"
              }
            }
          }
        },
        GetEffectiveRecommendationPreferences: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              enhancedInfrastructureMetrics: {},
              externalMetricsPreference: {
                shape: "S2z"
              }
            }
          }
        },
        GetEnrollmentStatus: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              status: {},
              statusReason: {},
              memberAccountsEnrolled: {
                type: "boolean"
              },
              lastUpdatedTimestamp: {
                type: "timestamp"
              },
              numberOfMemberAccountsOptedIn: {
                type: "integer"
              }
            }
          }
        },
        GetEnrollmentStatusesForOrganization: {
          input: {
            type: "structure",
            members: {
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    values: {
                      shape: "Sf"
                    }
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              accountEnrollmentStatuses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    accountId: {},
                    status: {},
                    statusReason: {},
                    lastUpdatedTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetLambdaFunctionRecommendations: {
          input: {
            type: "structure",
            members: {
              functionArns: {
                type: "list",
                member: {}
              },
              accountIds: {
                shape: "Sw"
              },
              filters: {
                shape: "S1u"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              lambdaFunctionRecommendations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    functionArn: {},
                    functionVersion: {},
                    accountId: {},
                    currentMemorySize: {
                      type: "integer"
                    },
                    numberOfInvocations: {
                      type: "long"
                    },
                    utilizationMetrics: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          name: {},
                          statistic: {},
                          value: {
                            type: "double"
                          }
                        }
                      }
                    },
                    lookbackPeriodInDays: {
                      type: "double"
                    },
                    lastRefreshTimestamp: {
                      type: "timestamp"
                    },
                    finding: {},
                    findingReasonCodes: {
                      type: "list",
                      member: {}
                    },
                    memorySizeRecommendationOptions: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          rank: {
                            type: "integer"
                          },
                          memorySize: {
                            type: "integer"
                          },
                          projectedUtilizationMetrics: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                name: {},
                                statistic: {},
                                value: {
                                  type: "double"
                                }
                              }
                            }
                          },
                          savingsOpportunity: {
                            shape: "S2o"
                          }
                        }
                      }
                    },
                    currentPerformanceRisk: {},
                    tags: {
                      shape: "S3s"
                    }
                  }
                }
              }
            }
          }
        },
        GetRecommendationPreferences: {
          input: {
            type: "structure",
            required: [
              "resourceType"
            ],
            members: {
              resourceType: {},
              scope: {
                shape: "S3"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              recommendationPreferencesDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    scope: {
                      shape: "S3"
                    },
                    resourceType: {},
                    enhancedInfrastructureMetrics: {},
                    inferredWorkloadTypes: {},
                    externalMetricsPreference: {
                      shape: "S2z"
                    }
                  }
                }
              }
            }
          }
        },
        GetRecommendationSummaries: {
          input: {
            type: "structure",
            members: {
              accountIds: {
                shape: "Sw"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              recommendationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    summaries: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          name: {},
                          value: {
                            type: "double"
                          },
                          reasonCodeSummaries: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                name: {},
                                value: {
                                  type: "double"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    recommendationResourceType: {},
                    accountId: {},
                    savingsOpportunity: {
                      shape: "S2o"
                    },
                    currentPerformanceRiskRatings: {
                      type: "structure",
                      members: {
                        high: {
                          type: "long"
                        },
                        medium: {
                          type: "long"
                        },
                        low: {
                          type: "long"
                        },
                        veryLow: {
                          type: "long"
                        }
                      }
                    },
                    inferredWorkloadSavings: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          inferredWorkloadTypes: {
                            shape: "S31"
                          },
                          estimatedMonthlySavings: {
                            shape: "S2q"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        PutRecommendationPreferences: {
          input: {
            type: "structure",
            required: [
              "resourceType"
            ],
            members: {
              resourceType: {},
              scope: {
                shape: "S3"
              },
              enhancedInfrastructureMetrics: {},
              inferredWorkloadTypes: {},
              externalMetricsPreference: {
                shape: "S2z"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateEnrollmentStatus: {
          input: {
            type: "structure",
            required: [
              "status"
            ],
            members: {
              status: {},
              includeMemberAccounts: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              status: {},
              statusReason: {}
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "structure",
          members: {
            name: {},
            value: {}
          }
        },
        Sf: {
          type: "list",
          member: {}
        },
        Sn: {
          type: "structure",
          members: {
            bucket: {},
            key: {},
            metadataKey: {}
          }
        },
        Sw: {
          type: "list",
          member: {}
        },
        Sy: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              values: {
                shape: "Sf"
              }
            }
          }
        },
        S13: {
          type: "structure",
          members: {
            bucket: {},
            keyPrefix: {}
          }
        },
        S17: {
          type: "structure",
          members: {
            cpuVendorArchitectures: {
              shape: "S18"
            }
          }
        },
        S18: {
          type: "list",
          member: {}
        },
        S1c: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              values: {
                shape: "Sf"
              }
            }
          }
        },
        S1n: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              values: {
                shape: "Sf"
              }
            }
          }
        },
        S1u: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              values: {
                shape: "Sf"
              }
            }
          }
        },
        S28: {
          type: "list",
          member: {
            shape: "S29"
          }
        },
        S29: {
          type: "structure",
          members: {
            name: {},
            statistic: {},
            value: {
              type: "double"
            }
          }
        },
        S2e: {
          type: "structure",
          members: {
            desiredCapacity: {
              type: "integer"
            },
            minSize: {
              type: "integer"
            },
            maxSize: {
              type: "integer"
            },
            instanceType: {}
          }
        },
        S2l: {
          type: "list",
          member: {
            shape: "S29"
          }
        },
        S2o: {
          type: "structure",
          members: {
            savingsOpportunityPercentage: {
              type: "double"
            },
            estimatedMonthlySavings: {
              shape: "S2q"
            }
          }
        },
        S2q: {
          type: "structure",
          members: {
            currency: {},
            value: {
              type: "double"
            }
          }
        },
        S2w: {
          type: "structure",
          members: {
            cpuVendorArchitectures: {
              shape: "S18"
            },
            enhancedInfrastructureMetrics: {},
            inferredWorkloadTypes: {},
            externalMetricsPreference: {
              shape: "S2z"
            }
          }
        },
        S2z: {
          type: "structure",
          members: {
            source: {}
          }
        },
        S31: {
          type: "list",
          member: {}
        },
        S33: {
          type: "list",
          member: {
            type: "structure",
            members: {
              identifier: {},
              code: {},
              message: {}
            }
          }
        },
        S3e: {
          type: "structure",
          members: {
            volumeType: {},
            volumeSize: {
              type: "integer"
            },
            volumeBaselineIOPS: {
              type: "integer"
            },
            volumeBurstIOPS: {
              type: "integer"
            },
            volumeBaselineThroughput: {
              type: "integer"
            },
            volumeBurstThroughput: {
              type: "integer"
            },
            rootVolume: {
              type: "boolean"
            }
          }
        },
        S3s: {
          type: "list",
          member: {
            type: "structure",
            members: {
              key: {},
              value: {}
            }
          }
        },
        S4r: {
          type: "list",
          member: {
            type: "timestamp"
          }
        },
        S4s: {
          type: "list",
          member: {
            type: "double"
          }
        },
        S5e: {
          type: "structure",
          members: {
            memory: {
              type: "integer"
            },
            memoryReservation: {
              type: "integer"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/compute-optimizer-2019-11-01.paginators.json
var require_compute_optimizer_2019_11_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/compute-optimizer-2019-11-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeRecommendationExportJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "recommendationExportJobs"
        },
        GetEnrollmentStatusesForOrganization: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "accountEnrollmentStatuses"
        },
        GetLambdaFunctionRecommendations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "lambdaFunctionRecommendations"
        },
        GetRecommendationPreferences: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "recommendationPreferencesDetails"
        },
        GetRecommendationSummaries: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "recommendationSummaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/computeoptimizer.js
var require_computeoptimizer = __commonJS({
  "node_modules/aws-sdk/clients/computeoptimizer.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["computeoptimizer"] = {};
    AWS2.ComputeOptimizer = Service.defineService("computeoptimizer", ["2019-11-01"]);
    Object.defineProperty(apiLoader.services["computeoptimizer"], "2019-11-01", {
      get: function get() {
        var model = require_compute_optimizer_2019_11_01_min();
        model.paginators = require_compute_optimizer_2019_11_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ComputeOptimizer;
  }
});

// node_modules/aws-sdk/apis/frauddetector-2019-11-15.min.json
var require_frauddetector_2019_11_15_min = __commonJS({
  "node_modules/aws-sdk/apis/frauddetector-2019-11-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-11-15",
        endpointPrefix: "frauddetector",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Amazon Fraud Detector",
        serviceId: "FraudDetector",
        signatureVersion: "v4",
        targetPrefix: "AWSHawksNestServiceFacade",
        uid: "frauddetector-2019-11-15"
      },
      operations: {
        BatchCreateVariable: {
          input: {
            type: "structure",
            required: [
              "variableEntries"
            ],
            members: {
              variableEntries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    dataType: {},
                    dataSource: {},
                    defaultValue: {},
                    description: {},
                    variableType: {}
                  }
                }
              },
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    code: {
                      type: "integer"
                    },
                    message: {}
                  }
                }
              }
            }
          }
        },
        BatchGetVariable: {
          input: {
            type: "structure",
            required: [
              "names"
            ],
            members: {
              names: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              variables: {
                shape: "Sg"
              },
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    code: {
                      type: "integer"
                    },
                    message: {}
                  }
                }
              }
            }
          }
        },
        CancelBatchImportJob: {
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CancelBatchPredictionJob: {
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateBatchImportJob: {
          input: {
            type: "structure",
            required: [
              "jobId",
              "inputPath",
              "outputPath",
              "eventTypeName",
              "iamRoleArn"
            ],
            members: {
              jobId: {},
              inputPath: {},
              outputPath: {},
              eventTypeName: {},
              iamRoleArn: {},
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateBatchPredictionJob: {
          input: {
            type: "structure",
            required: [
              "jobId",
              "inputPath",
              "outputPath",
              "eventTypeName",
              "detectorName",
              "iamRoleArn"
            ],
            members: {
              jobId: {},
              inputPath: {},
              outputPath: {},
              eventTypeName: {},
              detectorName: {},
              detectorVersion: {},
              iamRoleArn: {},
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateDetectorVersion: {
          input: {
            type: "structure",
            required: [
              "detectorId",
              "rules"
            ],
            members: {
              detectorId: {},
              description: {},
              externalModelEndpoints: {
                shape: "S12"
              },
              rules: {
                shape: "S13"
              },
              modelVersions: {
                shape: "S15"
              },
              ruleExecutionMode: {},
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              detectorId: {},
              detectorVersionId: {},
              status: {}
            }
          }
        },
        CreateList: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              elements: {
                shape: "S1f"
              },
              variableType: {},
              description: {},
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateModel: {
          input: {
            type: "structure",
            required: [
              "modelId",
              "modelType",
              "eventTypeName"
            ],
            members: {
              modelId: {},
              modelType: {},
              description: {},
              eventTypeName: {},
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateModelVersion: {
          input: {
            type: "structure",
            required: [
              "modelId",
              "modelType",
              "trainingDataSource",
              "trainingDataSchema"
            ],
            members: {
              modelId: {},
              modelType: {},
              trainingDataSource: {},
              trainingDataSchema: {
                shape: "S1n"
              },
              externalEventsDetail: {
                shape: "S1r"
              },
              ingestedEventsDetail: {
                shape: "S1s"
              },
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              modelId: {},
              modelType: {},
              modelVersionNumber: {},
              status: {}
            }
          }
        },
        CreateRule: {
          input: {
            type: "structure",
            required: [
              "ruleId",
              "detectorId",
              "expression",
              "language",
              "outcomes"
            ],
            members: {
              ruleId: {},
              detectorId: {},
              description: {},
              expression: {
                shape: "S1w"
              },
              language: {},
              outcomes: {
                shape: "S1y"
              },
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              rule: {
                shape: "S14"
              }
            }
          }
        },
        CreateVariable: {
          input: {
            type: "structure",
            required: [
              "name",
              "dataType",
              "dataSource",
              "defaultValue"
            ],
            members: {
              name: {},
              dataType: {},
              dataSource: {},
              defaultValue: {},
              description: {},
              variableType: {},
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteBatchImportJob: {
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteBatchPredictionJob: {
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDetector: {
          input: {
            type: "structure",
            required: [
              "detectorId"
            ],
            members: {
              detectorId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDetectorVersion: {
          input: {
            type: "structure",
            required: [
              "detectorId",
              "detectorVersionId"
            ],
            members: {
              detectorId: {},
              detectorVersionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEntityType: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEvent: {
          input: {
            type: "structure",
            required: [
              "eventId",
              "eventTypeName"
            ],
            members: {
              eventId: {},
              eventTypeName: {},
              deleteAuditHistory: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEventType: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEventsByEventType: {
          input: {
            type: "structure",
            required: [
              "eventTypeName"
            ],
            members: {
              eventTypeName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              eventTypeName: {},
              eventsDeletionStatus: {}
            }
          }
        },
        DeleteExternalModel: {
          input: {
            type: "structure",
            required: [
              "modelEndpoint"
            ],
            members: {
              modelEndpoint: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteLabel: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteList: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteModel: {
          input: {
            type: "structure",
            required: [
              "modelId",
              "modelType"
            ],
            members: {
              modelId: {},
              modelType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteModelVersion: {
          input: {
            type: "structure",
            required: [
              "modelId",
              "modelType",
              "modelVersionNumber"
            ],
            members: {
              modelId: {},
              modelType: {},
              modelVersionNumber: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteOutcome: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteRule: {
          input: {
            type: "structure",
            required: [
              "rule"
            ],
            members: {
              rule: {
                shape: "S14"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteVariable: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeDetector: {
          input: {
            type: "structure",
            required: [
              "detectorId"
            ],
            members: {
              detectorId: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              detectorId: {},
              detectorVersionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    detectorVersionId: {},
                    status: {},
                    description: {},
                    lastUpdatedTime: {}
                  }
                }
              },
              nextToken: {},
              arn: {}
            }
          }
        },
        DescribeModelVersions: {
          input: {
            type: "structure",
            members: {
              modelId: {},
              modelVersionNumber: {},
              modelType: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              modelVersionDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    modelId: {},
                    modelType: {},
                    modelVersionNumber: {},
                    status: {},
                    trainingDataSource: {},
                    trainingDataSchema: {
                      shape: "S1n"
                    },
                    externalEventsDetail: {
                      shape: "S1r"
                    },
                    ingestedEventsDetail: {
                      shape: "S1s"
                    },
                    trainingResult: {
                      type: "structure",
                      members: {
                        dataValidationMetrics: {
                          shape: "S3b"
                        },
                        trainingMetrics: {
                          type: "structure",
                          members: {
                            auc: {
                              type: "float"
                            },
                            metricDataPoints: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  fpr: {
                                    type: "float"
                                  },
                                  precision: {
                                    type: "float"
                                  },
                                  tpr: {
                                    type: "float"
                                  },
                                  threshold: {
                                    type: "float"
                                  }
                                }
                              }
                            }
                          }
                        },
                        variableImportanceMetrics: {
                          shape: "S3k"
                        }
                      }
                    },
                    lastUpdatedTime: {},
                    createdTime: {},
                    arn: {},
                    trainingResultV2: {
                      type: "structure",
                      members: {
                        dataValidationMetrics: {
                          shape: "S3b"
                        },
                        trainingMetricsV2: {
                          type: "structure",
                          members: {
                            ofi: {
                              type: "structure",
                              members: {
                                metricDataPoints: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      fpr: {
                                        type: "float"
                                      },
                                      precision: {
                                        type: "float"
                                      },
                                      tpr: {
                                        type: "float"
                                      },
                                      threshold: {
                                        type: "float"
                                      }
                                    }
                                  }
                                },
                                modelPerformance: {
                                  type: "structure",
                                  members: {
                                    auc: {
                                      type: "float"
                                    },
                                    uncertaintyRange: {
                                      shape: "S3t"
                                    }
                                  }
                                }
                              }
                            },
                            tfi: {
                              type: "structure",
                              members: {
                                metricDataPoints: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      fpr: {
                                        type: "float"
                                      },
                                      precision: {
                                        type: "float"
                                      },
                                      tpr: {
                                        type: "float"
                                      },
                                      threshold: {
                                        type: "float"
                                      }
                                    }
                                  }
                                },
                                modelPerformance: {
                                  type: "structure",
                                  members: {
                                    auc: {
                                      type: "float"
                                    },
                                    uncertaintyRange: {
                                      shape: "S3t"
                                    }
                                  }
                                }
                              }
                            },
                            ati: {
                              type: "structure",
                              members: {
                                metricDataPoints: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      cr: {
                                        type: "float"
                                      },
                                      adr: {
                                        type: "float"
                                      },
                                      threshold: {
                                        type: "float"
                                      },
                                      atodr: {
                                        type: "float"
                                      }
                                    }
                                  }
                                },
                                modelPerformance: {
                                  type: "structure",
                                  members: {
                                    asi: {
                                      type: "float"
                                    }
                                  }
                                }
                              }
                            }
                          }
                        },
                        variableImportanceMetrics: {
                          shape: "S3k"
                        },
                        aggregatedVariablesImportanceMetrics: {
                          type: "structure",
                          members: {
                            logOddsMetrics: {
                              type: "list",
                              member: {
                                type: "structure",
                                required: [
                                  "variableNames",
                                  "aggregatedVariablesImportance"
                                ],
                                members: {
                                  variableNames: {
                                    shape: "S12"
                                  },
                                  aggregatedVariablesImportance: {
                                    type: "float"
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetBatchImportJobs: {
          input: {
            type: "structure",
            members: {
              jobId: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              batchImports: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    jobId: {},
                    status: {},
                    failureReason: {},
                    startTime: {},
                    completionTime: {},
                    inputPath: {},
                    outputPath: {},
                    eventTypeName: {},
                    iamRoleArn: {},
                    arn: {},
                    processedRecordsCount: {
                      type: "integer"
                    },
                    failedRecordsCount: {
                      type: "integer"
                    },
                    totalRecordsCount: {
                      type: "integer"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetBatchPredictionJobs: {
          input: {
            type: "structure",
            members: {
              jobId: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              batchPredictions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    jobId: {},
                    status: {},
                    failureReason: {},
                    startTime: {},
                    completionTime: {},
                    lastHeartbeatTime: {},
                    inputPath: {},
                    outputPath: {},
                    eventTypeName: {},
                    detectorName: {},
                    detectorVersion: {},
                    iamRoleArn: {},
                    arn: {},
                    processedRecordsCount: {
                      type: "integer"
                    },
                    totalRecordsCount: {
                      type: "integer"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetDeleteEventsByEventTypeStatus: {
          input: {
            type: "structure",
            required: [
              "eventTypeName"
            ],
            members: {
              eventTypeName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              eventTypeName: {},
              eventsDeletionStatus: {}
            }
          }
        },
        GetDetectorVersion: {
          input: {
            type: "structure",
            required: [
              "detectorId",
              "detectorVersionId"
            ],
            members: {
              detectorId: {},
              detectorVersionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              detectorId: {},
              detectorVersionId: {},
              description: {},
              externalModelEndpoints: {
                shape: "S12"
              },
              modelVersions: {
                shape: "S15"
              },
              rules: {
                shape: "S13"
              },
              status: {},
              lastUpdatedTime: {},
              createdTime: {},
              ruleExecutionMode: {},
              arn: {}
            }
          }
        },
        GetDetectors: {
          input: {
            type: "structure",
            members: {
              detectorId: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              detectors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    detectorId: {},
                    description: {},
                    eventTypeName: {},
                    lastUpdatedTime: {},
                    createdTime: {},
                    arn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetEntityTypes: {
          input: {
            type: "structure",
            members: {
              name: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              entityTypes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    description: {},
                    lastUpdatedTime: {},
                    createdTime: {},
                    arn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetEvent: {
          input: {
            type: "structure",
            required: [
              "eventId",
              "eventTypeName"
            ],
            members: {
              eventId: {},
              eventTypeName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              event: {
                type: "structure",
                members: {
                  eventId: {},
                  eventTypeName: {},
                  eventTimestamp: {},
                  eventVariables: {
                    type: "map",
                    key: {},
                    value: {
                      type: "string",
                      sensitive: true
                    }
                  },
                  currentLabel: {},
                  labelTimestamp: {},
                  entities: {
                    shape: "S51"
                  }
                }
              }
            }
          }
        },
        GetEventPrediction: {
          input: {
            type: "structure",
            required: [
              "detectorId",
              "eventId",
              "eventTypeName",
              "entities",
              "eventTimestamp",
              "eventVariables"
            ],
            members: {
              detectorId: {},
              detectorVersionId: {},
              eventId: {},
              eventTypeName: {},
              entities: {
                shape: "S51"
              },
              eventTimestamp: {},
              eventVariables: {
                shape: "S56"
              },
              externalModelEndpointDataBlobs: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    byteBuffer: {
                      type: "blob"
                    },
                    contentType: {}
                  }
                },
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              modelScores: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    modelVersion: {
                      shape: "S16"
                    },
                    scores: {
                      type: "map",
                      key: {},
                      value: {
                        type: "float"
                      }
                    }
                  }
                }
              },
              ruleResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ruleId: {},
                    outcomes: {
                      shape: "S12"
                    }
                  }
                }
              },
              externalModelOutputs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    externalModel: {
                      type: "structure",
                      members: {
                        modelEndpoint: {},
                        modelSource: {}
                      }
                    },
                    outputs: {
                      type: "map",
                      key: {},
                      value: {}
                    }
                  }
                }
              }
            }
          }
        },
        GetEventPredictionMetadata: {
          input: {
            type: "structure",
            required: [
              "eventId",
              "eventTypeName",
              "detectorId",
              "detectorVersionId",
              "predictionTimestamp"
            ],
            members: {
              eventId: {},
              eventTypeName: {},
              detectorId: {},
              detectorVersionId: {},
              predictionTimestamp: {}
            }
          },
          output: {
            type: "structure",
            members: {
              eventId: {},
              eventTypeName: {},
              entityId: {},
              entityType: {},
              eventTimestamp: {},
              detectorId: {},
              detectorVersionId: {},
              detectorVersionStatus: {},
              eventVariables: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {
                      shape: "S5s"
                    },
                    value: {
                      shape: "S5s"
                    },
                    source: {
                      shape: "S5s"
                    }
                  }
                }
              },
              rules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ruleId: {},
                    ruleVersion: {},
                    expression: {
                      shape: "S5s"
                    },
                    expressionWithValues: {
                      shape: "S5s"
                    },
                    outcomes: {
                      shape: "S12"
                    },
                    evaluated: {
                      type: "boolean"
                    },
                    matched: {
                      type: "boolean"
                    }
                  }
                }
              },
              ruleExecutionMode: {},
              outcomes: {
                shape: "S12"
              },
              evaluatedModelVersions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    modelId: {},
                    modelVersion: {},
                    modelType: {},
                    evaluations: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          outputVariableName: {},
                          evaluationScore: {},
                          predictionExplanations: {
                            type: "structure",
                            members: {
                              variableImpactExplanations: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    eventVariableName: {},
                                    relativeImpact: {},
                                    logOddsImpact: {
                                      type: "float"
                                    }
                                  }
                                }
                              },
                              aggregatedVariablesImpactExplanations: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    eventVariableNames: {
                                      shape: "S12"
                                    },
                                    relativeImpact: {},
                                    logOddsImpact: {
                                      type: "float"
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              evaluatedExternalModels: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    modelEndpoint: {},
                    useEventVariables: {
                      type: "boolean"
                    },
                    inputVariables: {
                      shape: "S67"
                    },
                    outputVariables: {
                      shape: "S67"
                    }
                  }
                }
              },
              predictionTimestamp: {}
            }
          }
        },
        GetEventTypes: {
          input: {
            type: "structure",
            members: {
              name: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              eventTypes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    description: {},
                    eventVariables: {
                      shape: "S12"
                    },
                    labels: {
                      shape: "S12"
                    },
                    entityTypes: {
                      shape: "S1y"
                    },
                    eventIngestion: {},
                    ingestedEventStatistics: {
                      type: "structure",
                      members: {
                        numberOfEvents: {
                          type: "long"
                        },
                        eventDataSizeInBytes: {
                          type: "long"
                        },
                        leastRecentEvent: {},
                        mostRecentEvent: {},
                        lastUpdatedTime: {}
                      }
                    },
                    lastUpdatedTime: {},
                    createdTime: {},
                    arn: {},
                    eventOrchestration: {
                      shape: "S6g"
                    }
                  },
                  sensitive: true
                }
              },
              nextToken: {}
            }
          }
        },
        GetExternalModels: {
          input: {
            type: "structure",
            members: {
              modelEndpoint: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              externalModels: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    modelEndpoint: {},
                    modelSource: {},
                    invokeModelEndpointRoleArn: {},
                    inputConfiguration: {
                      shape: "S6m"
                    },
                    outputConfiguration: {
                      shape: "S6q"
                    },
                    modelEndpointStatus: {},
                    lastUpdatedTime: {},
                    createdTime: {},
                    arn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetKMSEncryptionKey: {
          output: {
            type: "structure",
            members: {
              kmsKey: {
                type: "structure",
                members: {
                  kmsEncryptionKeyArn: {}
                }
              }
            }
          }
        },
        GetLabels: {
          input: {
            type: "structure",
            members: {
              name: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              labels: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    description: {},
                    lastUpdatedTime: {},
                    createdTime: {},
                    arn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetListElements: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              elements: {
                shape: "S1f"
              },
              nextToken: {}
            }
          }
        },
        GetListsMetadata: {
          input: {
            type: "structure",
            members: {
              name: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              lists: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name"
                  ],
                  members: {
                    name: {},
                    description: {},
                    variableType: {},
                    createdTime: {},
                    updatedTime: {},
                    arn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetModelVersion: {
          input: {
            type: "structure",
            required: [
              "modelId",
              "modelType",
              "modelVersionNumber"
            ],
            members: {
              modelId: {},
              modelType: {},
              modelVersionNumber: {}
            }
          },
          output: {
            type: "structure",
            members: {
              modelId: {},
              modelType: {},
              modelVersionNumber: {},
              trainingDataSource: {},
              trainingDataSchema: {
                shape: "S1n"
              },
              externalEventsDetail: {
                shape: "S1r"
              },
              ingestedEventsDetail: {
                shape: "S1s"
              },
              status: {},
              arn: {}
            }
          }
        },
        GetModels: {
          input: {
            type: "structure",
            members: {
              modelId: {},
              modelType: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              models: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    modelId: {},
                    modelType: {},
                    description: {},
                    eventTypeName: {},
                    createdTime: {},
                    lastUpdatedTime: {},
                    arn: {}
                  }
                }
              }
            }
          }
        },
        GetOutcomes: {
          input: {
            type: "structure",
            members: {
              name: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              outcomes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    description: {},
                    lastUpdatedTime: {},
                    createdTime: {},
                    arn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetRules: {
          input: {
            type: "structure",
            required: [
              "detectorId"
            ],
            members: {
              ruleId: {},
              detectorId: {},
              ruleVersion: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ruleDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ruleId: {},
                    description: {},
                    detectorId: {},
                    ruleVersion: {},
                    expression: {
                      shape: "S1w"
                    },
                    language: {},
                    outcomes: {
                      shape: "S1y"
                    },
                    lastUpdatedTime: {},
                    createdTime: {},
                    arn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetVariables: {
          input: {
            type: "structure",
            members: {
              name: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              variables: {
                shape: "Sg"
              },
              nextToken: {}
            }
          }
        },
        ListEventPredictions: {
          input: {
            type: "structure",
            members: {
              eventId: {
                shape: "S7w"
              },
              eventType: {
                shape: "S7w"
              },
              detectorId: {
                shape: "S7w"
              },
              detectorVersionId: {
                shape: "S7w"
              },
              predictionTimeRange: {
                type: "structure",
                required: [
                  "startTime",
                  "endTime"
                ],
                members: {
                  startTime: {},
                  endTime: {}
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              eventPredictionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    eventId: {},
                    eventTypeName: {},
                    eventTimestamp: {},
                    predictionTimestamp: {},
                    detectorId: {},
                    detectorVersionId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceARN"
            ],
            members: {
              resourceARN: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S5"
              },
              nextToken: {}
            }
          }
        },
        PutDetector: {
          input: {
            type: "structure",
            required: [
              "detectorId",
              "eventTypeName"
            ],
            members: {
              detectorId: {},
              description: {},
              eventTypeName: {},
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutEntityType: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutEventType: {
          input: {
            type: "structure",
            required: [
              "name",
              "eventVariables",
              "entityTypes"
            ],
            members: {
              name: {},
              description: {},
              eventVariables: {
                shape: "S1y"
              },
              labels: {
                shape: "S12"
              },
              entityTypes: {
                shape: "S1y"
              },
              eventIngestion: {},
              tags: {
                shape: "S5"
              },
              eventOrchestration: {
                shape: "S6g"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutExternalModel: {
          input: {
            type: "structure",
            required: [
              "modelEndpoint",
              "modelSource",
              "invokeModelEndpointRoleArn",
              "inputConfiguration",
              "outputConfiguration",
              "modelEndpointStatus"
            ],
            members: {
              modelEndpoint: {},
              modelSource: {},
              invokeModelEndpointRoleArn: {},
              inputConfiguration: {
                shape: "S6m"
              },
              outputConfiguration: {
                shape: "S6q"
              },
              modelEndpointStatus: {},
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutKMSEncryptionKey: {
          input: {
            type: "structure",
            required: [
              "kmsEncryptionKeyArn"
            ],
            members: {
              kmsEncryptionKeyArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutLabel: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutOutcome: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SendEvent: {
          input: {
            type: "structure",
            required: [
              "eventId",
              "eventTypeName",
              "eventTimestamp",
              "eventVariables",
              "entities"
            ],
            members: {
              eventId: {},
              eventTypeName: {},
              eventTimestamp: {},
              eventVariables: {
                shape: "S56"
              },
              assignedLabel: {},
              labelTimestamp: {},
              entities: {
                shape: "S51"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceARN",
              "tags"
            ],
            members: {
              resourceARN: {},
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceARN",
              "tagKeys"
            ],
            members: {
              resourceARN: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDetectorVersion: {
          input: {
            type: "structure",
            required: [
              "detectorId",
              "detectorVersionId",
              "externalModelEndpoints",
              "rules"
            ],
            members: {
              detectorId: {},
              detectorVersionId: {},
              externalModelEndpoints: {
                shape: "S12"
              },
              rules: {
                shape: "S13"
              },
              description: {},
              modelVersions: {
                shape: "S15"
              },
              ruleExecutionMode: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDetectorVersionMetadata: {
          input: {
            type: "structure",
            required: [
              "detectorId",
              "detectorVersionId",
              "description"
            ],
            members: {
              detectorId: {},
              detectorVersionId: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDetectorVersionStatus: {
          input: {
            type: "structure",
            required: [
              "detectorId",
              "detectorVersionId",
              "status"
            ],
            members: {
              detectorId: {},
              detectorVersionId: {},
              status: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateEventLabel: {
          input: {
            type: "structure",
            required: [
              "eventId",
              "eventTypeName",
              "assignedLabel",
              "labelTimestamp"
            ],
            members: {
              eventId: {},
              eventTypeName: {},
              assignedLabel: {},
              labelTimestamp: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateList: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              elements: {
                shape: "S1f"
              },
              description: {},
              updateMode: {},
              variableType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateModel: {
          input: {
            type: "structure",
            required: [
              "modelId",
              "modelType"
            ],
            members: {
              modelId: {},
              modelType: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateModelVersion: {
          input: {
            type: "structure",
            required: [
              "modelId",
              "modelType",
              "majorVersionNumber"
            ],
            members: {
              modelId: {},
              modelType: {},
              majorVersionNumber: {},
              externalEventsDetail: {
                shape: "S1r"
              },
              ingestedEventsDetail: {
                shape: "S1s"
              },
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              modelId: {},
              modelType: {},
              modelVersionNumber: {},
              status: {}
            }
          }
        },
        UpdateModelVersionStatus: {
          input: {
            type: "structure",
            required: [
              "modelId",
              "modelType",
              "modelVersionNumber",
              "status"
            ],
            members: {
              modelId: {},
              modelType: {},
              modelVersionNumber: {},
              status: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateRuleMetadata: {
          input: {
            type: "structure",
            required: [
              "rule",
              "description"
            ],
            members: {
              rule: {
                shape: "S14"
              },
              description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateRuleVersion: {
          input: {
            type: "structure",
            required: [
              "rule",
              "expression",
              "language",
              "outcomes"
            ],
            members: {
              rule: {
                shape: "S14"
              },
              description: {},
              expression: {
                shape: "S1w"
              },
              language: {},
              outcomes: {
                shape: "S1y"
              },
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              rule: {
                shape: "S14"
              }
            }
          }
        },
        UpdateVariable: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              defaultValue: {},
              description: {},
              variableType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S5: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        Sg: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              dataType: {},
              dataSource: {},
              defaultValue: {},
              description: {},
              variableType: {},
              lastUpdatedTime: {},
              createdTime: {},
              arn: {}
            }
          }
        },
        S12: {
          type: "list",
          member: {}
        },
        S13: {
          type: "list",
          member: {
            shape: "S14"
          }
        },
        S14: {
          type: "structure",
          required: [
            "detectorId",
            "ruleId",
            "ruleVersion"
          ],
          members: {
            detectorId: {},
            ruleId: {},
            ruleVersion: {}
          }
        },
        S15: {
          type: "list",
          member: {
            shape: "S16"
          }
        },
        S16: {
          type: "structure",
          required: [
            "modelId",
            "modelType",
            "modelVersionNumber"
          ],
          members: {
            modelId: {},
            modelType: {},
            modelVersionNumber: {},
            arn: {}
          }
        },
        S1f: {
          type: "list",
          member: {
            type: "string",
            sensitive: true
          }
        },
        S1n: {
          type: "structure",
          required: [
            "modelVariables"
          ],
          members: {
            modelVariables: {
              shape: "S12"
            },
            labelSchema: {
              type: "structure",
              members: {
                labelMapper: {
                  type: "map",
                  key: {},
                  value: {
                    shape: "S12"
                  }
                },
                unlabeledEventsTreatment: {}
              }
            }
          }
        },
        S1r: {
          type: "structure",
          required: [
            "dataLocation",
            "dataAccessRoleArn"
          ],
          members: {
            dataLocation: {},
            dataAccessRoleArn: {}
          }
        },
        S1s: {
          type: "structure",
          required: [
            "ingestedEventsTimeWindow"
          ],
          members: {
            ingestedEventsTimeWindow: {
              type: "structure",
              required: [
                "startTime",
                "endTime"
              ],
              members: {
                startTime: {},
                endTime: {}
              }
            }
          }
        },
        S1w: {
          type: "string",
          sensitive: true
        },
        S1y: {
          type: "list",
          member: {}
        },
        S3b: {
          type: "structure",
          members: {
            fileLevelMessages: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  title: {},
                  content: {},
                  type: {}
                }
              }
            },
            fieldLevelMessages: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  fieldName: {},
                  identifier: {},
                  title: {},
                  content: {},
                  type: {}
                }
              }
            }
          }
        },
        S3k: {
          type: "structure",
          members: {
            logOddsMetrics: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "variableName",
                  "variableType",
                  "variableImportance"
                ],
                members: {
                  variableName: {},
                  variableType: {},
                  variableImportance: {
                    type: "float"
                  }
                }
              }
            }
          }
        },
        S3t: {
          type: "structure",
          required: [
            "lowerBoundValue",
            "upperBoundValue"
          ],
          members: {
            lowerBoundValue: {
              type: "float"
            },
            upperBoundValue: {
              type: "float"
            }
          }
        },
        S51: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "entityType",
              "entityId"
            ],
            members: {
              entityType: {},
              entityId: {}
            },
            sensitive: true
          }
        },
        S56: {
          type: "map",
          key: {},
          value: {
            type: "string",
            sensitive: true
          }
        },
        S5s: {
          type: "string",
          sensitive: true
        },
        S67: {
          type: "map",
          key: {},
          value: {},
          sensitive: true
        },
        S6g: {
          type: "structure",
          required: [
            "eventBridgeEnabled"
          ],
          members: {
            eventBridgeEnabled: {
              type: "boolean"
            }
          }
        },
        S6m: {
          type: "structure",
          required: [
            "useEventVariables"
          ],
          members: {
            eventTypeName: {},
            format: {},
            useEventVariables: {
              type: "boolean"
            },
            jsonInputTemplate: {},
            csvInputTemplate: {}
          }
        },
        S6q: {
          type: "structure",
          required: [
            "format"
          ],
          members: {
            format: {},
            jsonKeyToVariableMap: {
              type: "map",
              key: {},
              value: {}
            },
            csvIndexToVariableMap: {
              type: "map",
              key: {},
              value: {}
            }
          }
        },
        S7w: {
          type: "structure",
          members: {
            value: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/frauddetector-2019-11-15.paginators.json
var require_frauddetector_2019_11_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/frauddetector-2019-11-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeModelVersions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetBatchImportJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetBatchPredictionJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetDetectors: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetEntityTypes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetEventTypes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetExternalModels: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetLabels: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetListElements: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetListsMetadata: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetModels: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetOutcomes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetRules: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetVariables: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListEventPredictions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListTagsForResource: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/frauddetector.js
var require_frauddetector = __commonJS({
  "node_modules/aws-sdk/clients/frauddetector.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["frauddetector"] = {};
    AWS2.FraudDetector = Service.defineService("frauddetector", ["2019-11-15"]);
    Object.defineProperty(apiLoader.services["frauddetector"], "2019-11-15", {
      get: function get() {
        var model = require_frauddetector_2019_11_15_min();
        model.paginators = require_frauddetector_2019_11_15_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.FraudDetector;
  }
});

// node_modules/aws-sdk/apis/kendra-2019-02-03.min.json
var require_kendra_2019_02_03_min = __commonJS({
  "node_modules/aws-sdk/apis/kendra-2019-02-03.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-02-03",
        endpointPrefix: "kendra",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "kendra",
        serviceFullName: "AWSKendraFrontendService",
        serviceId: "kendra",
        signatureVersion: "v4",
        signingName: "kendra",
        targetPrefix: "AWSKendraFrontendService",
        uid: "kendra-2019-02-03"
      },
      operations: {
        AssociateEntitiesToExperience: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId",
              "EntityList"
            ],
            members: {
              Id: {},
              IndexId: {},
              EntityList: {
                type: "list",
                member: {
                  shape: "S5"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedEntityList: {
                type: "list",
                member: {
                  shape: "Sa"
                }
              }
            }
          }
        },
        AssociatePersonasToEntities: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId",
              "Personas"
            ],
            members: {
              Id: {},
              IndexId: {},
              Personas: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "EntityId",
                    "Persona"
                  ],
                  members: {
                    EntityId: {},
                    Persona: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedEntityList: {
                shape: "Sh"
              }
            }
          }
        },
        BatchDeleteDocument: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "DocumentIdList"
            ],
            members: {
              IndexId: {},
              DocumentIdList: {
                type: "list",
                member: {}
              },
              DataSourceSyncJobMetricTarget: {
                type: "structure",
                required: [
                  "DataSourceId"
                ],
                members: {
                  DataSourceId: {},
                  DataSourceSyncJobId: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedDocuments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        BatchDeleteFeaturedResultsSet: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "FeaturedResultsSetIds"
            ],
            members: {
              IndexId: {},
              FeaturedResultsSetIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Errors"
            ],
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Id",
                    "ErrorCode",
                    "ErrorMessage"
                  ],
                  members: {
                    Id: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        BatchGetDocumentStatus: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "DocumentInfoList"
            ],
            members: {
              IndexId: {},
              DocumentInfoList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "DocumentId"
                  ],
                  members: {
                    DocumentId: {},
                    Attributes: {
                      shape: "S11"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DocumentId: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              },
              DocumentStatusList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DocumentId: {},
                    DocumentStatus: {},
                    FailureCode: {},
                    FailureReason: {}
                  }
                }
              }
            }
          }
        },
        BatchPutDocument: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "Documents"
            ],
            members: {
              IndexId: {},
              RoleArn: {},
              Documents: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Id"
                  ],
                  members: {
                    Id: {},
                    Title: {},
                    Blob: {
                      type: "blob"
                    },
                    S3Path: {
                      shape: "S1m"
                    },
                    Attributes: {
                      shape: "S11"
                    },
                    AccessControlList: {
                      shape: "S1p"
                    },
                    HierarchicalAccessControlList: {
                      shape: "S1u"
                    },
                    ContentType: {},
                    AccessControlConfigurationId: {}
                  }
                }
              },
              CustomDocumentEnrichmentConfiguration: {
                shape: "S1y"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedDocuments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        ClearQuerySuggestions: {
          input: {
            type: "structure",
            required: [
              "IndexId"
            ],
            members: {
              IndexId: {}
            }
          }
        },
        CreateAccessControlConfiguration: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "Name"
            ],
            members: {
              IndexId: {},
              Name: {},
              Description: {},
              AccessControlList: {
                shape: "S1p"
              },
              HierarchicalAccessControlList: {
                shape: "S1u"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          }
        },
        CreateDataSource: {
          input: {
            type: "structure",
            required: [
              "Name",
              "IndexId",
              "Type"
            ],
            members: {
              Name: {},
              IndexId: {},
              Type: {},
              Configuration: {
                shape: "S2j"
              },
              VpcConfiguration: {
                shape: "S2u"
              },
              Description: {},
              Schedule: {},
              RoleArn: {},
              Tags: {
                shape: "S6r"
              },
              ClientToken: {
                idempotencyToken: true
              },
              LanguageCode: {},
              CustomDocumentEnrichmentConfiguration: {
                shape: "S1y"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          }
        },
        CreateExperience: {
          input: {
            type: "structure",
            required: [
              "Name",
              "IndexId"
            ],
            members: {
              Name: {},
              IndexId: {},
              RoleArn: {},
              Configuration: {
                shape: "S6z"
              },
              Description: {},
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          }
        },
        CreateFaq: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "Name",
              "S3Path",
              "RoleArn"
            ],
            members: {
              IndexId: {},
              Name: {},
              Description: {},
              S3Path: {
                shape: "S1m"
              },
              RoleArn: {},
              Tags: {
                shape: "S6r"
              },
              FileFormat: {},
              ClientToken: {
                idempotencyToken: true
              },
              LanguageCode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {}
            }
          }
        },
        CreateFeaturedResultsSet: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "FeaturedResultsSetName"
            ],
            members: {
              IndexId: {},
              FeaturedResultsSetName: {},
              Description: {},
              ClientToken: {},
              Status: {},
              QueryTexts: {
                shape: "S7f"
              },
              FeaturedDocuments: {
                shape: "S7h"
              },
              Tags: {
                shape: "S6r"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FeaturedResultsSet: {
                shape: "S7k"
              }
            }
          }
        },
        CreateIndex: {
          input: {
            type: "structure",
            required: [
              "Name",
              "RoleArn"
            ],
            members: {
              Name: {},
              Edition: {},
              RoleArn: {},
              ServerSideEncryptionConfiguration: {
                shape: "S7o"
              },
              Description: {},
              ClientToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S6r"
              },
              UserTokenConfigurations: {
                shape: "S7q"
              },
              UserContextPolicy: {},
              UserGroupResolutionConfiguration: {
                shape: "S80"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {}
            }
          }
        },
        CreateQuerySuggestionsBlockList: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "Name",
              "SourceS3Path",
              "RoleArn"
            ],
            members: {
              IndexId: {},
              Name: {},
              Description: {},
              SourceS3Path: {
                shape: "S1m"
              },
              ClientToken: {
                idempotencyToken: true
              },
              RoleArn: {},
              Tags: {
                shape: "S6r"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {}
            }
          }
        },
        CreateThesaurus: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "Name",
              "RoleArn",
              "SourceS3Path"
            ],
            members: {
              IndexId: {},
              Name: {},
              Description: {},
              RoleArn: {},
              Tags: {
                shape: "S6r"
              },
              SourceS3Path: {
                shape: "S1m"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {}
            }
          }
        },
        DeleteAccessControlConfiguration: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "Id"
            ],
            members: {
              IndexId: {},
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDataSource: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId"
            ],
            members: {
              Id: {},
              IndexId: {}
            }
          }
        },
        DeleteExperience: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId"
            ],
            members: {
              Id: {},
              IndexId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteFaq: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId"
            ],
            members: {
              Id: {},
              IndexId: {}
            }
          }
        },
        DeleteIndex: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          }
        },
        DeletePrincipalMapping: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "GroupId"
            ],
            members: {
              IndexId: {},
              DataSourceId: {},
              GroupId: {},
              OrderingId: {
                type: "long"
              }
            }
          }
        },
        DeleteQuerySuggestionsBlockList: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "Id"
            ],
            members: {
              IndexId: {},
              Id: {}
            }
          }
        },
        DeleteThesaurus: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId"
            ],
            members: {
              Id: {},
              IndexId: {}
            }
          }
        },
        DescribeAccessControlConfiguration: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "Id"
            ],
            members: {
              IndexId: {},
              Id: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              ErrorMessage: {},
              AccessControlList: {
                shape: "S1p"
              },
              HierarchicalAccessControlList: {
                shape: "S1u"
              }
            }
          }
        },
        DescribeDataSource: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId"
            ],
            members: {
              Id: {},
              IndexId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              IndexId: {},
              Name: {},
              Type: {},
              Configuration: {
                shape: "S2j"
              },
              VpcConfiguration: {
                shape: "S2u"
              },
              CreatedAt: {
                type: "timestamp"
              },
              UpdatedAt: {
                type: "timestamp"
              },
              Description: {},
              Status: {},
              Schedule: {},
              RoleArn: {},
              ErrorMessage: {},
              LanguageCode: {},
              CustomDocumentEnrichmentConfiguration: {
                shape: "S1y"
              }
            }
          }
        },
        DescribeExperience: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId"
            ],
            members: {
              Id: {},
              IndexId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              IndexId: {},
              Name: {},
              Endpoints: {
                shape: "S8u"
              },
              Configuration: {
                shape: "S6z"
              },
              CreatedAt: {
                type: "timestamp"
              },
              UpdatedAt: {
                type: "timestamp"
              },
              Description: {},
              Status: {},
              RoleArn: {},
              ErrorMessage: {}
            }
          }
        },
        DescribeFaq: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId"
            ],
            members: {
              Id: {},
              IndexId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              IndexId: {},
              Name: {},
              Description: {},
              CreatedAt: {
                type: "timestamp"
              },
              UpdatedAt: {
                type: "timestamp"
              },
              S3Path: {
                shape: "S1m"
              },
              Status: {},
              RoleArn: {},
              ErrorMessage: {},
              FileFormat: {},
              LanguageCode: {}
            }
          }
        },
        DescribeFeaturedResultsSet: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "FeaturedResultsSetId"
            ],
            members: {
              IndexId: {},
              FeaturedResultsSetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FeaturedResultsSetId: {},
              FeaturedResultsSetName: {},
              Description: {},
              Status: {},
              QueryTexts: {
                shape: "S7f"
              },
              FeaturedDocumentsWithMetadata: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Title: {},
                    URI: {}
                  }
                }
              },
              FeaturedDocumentsMissing: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {}
                  }
                }
              },
              LastUpdatedTimestamp: {
                type: "long"
              },
              CreationTimestamp: {
                type: "long"
              }
            }
          }
        },
        DescribeIndex: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Id: {},
              Edition: {},
              RoleArn: {},
              ServerSideEncryptionConfiguration: {
                shape: "S7o"
              },
              Status: {},
              Description: {},
              CreatedAt: {
                type: "timestamp"
              },
              UpdatedAt: {
                type: "timestamp"
              },
              DocumentMetadataConfigurations: {
                shape: "S9b"
              },
              IndexStatistics: {
                type: "structure",
                required: [
                  "FaqStatistics",
                  "TextDocumentStatistics"
                ],
                members: {
                  FaqStatistics: {
                    type: "structure",
                    required: [
                      "IndexedQuestionAnswersCount"
                    ],
                    members: {
                      IndexedQuestionAnswersCount: {
                        type: "integer"
                      }
                    }
                  },
                  TextDocumentStatistics: {
                    type: "structure",
                    required: [
                      "IndexedTextDocumentsCount",
                      "IndexedTextBytes"
                    ],
                    members: {
                      IndexedTextDocumentsCount: {
                        type: "integer"
                      },
                      IndexedTextBytes: {
                        type: "long"
                      }
                    }
                  }
                }
              },
              ErrorMessage: {},
              CapacityUnits: {
                shape: "S9t"
              },
              UserTokenConfigurations: {
                shape: "S7q"
              },
              UserContextPolicy: {},
              UserGroupResolutionConfiguration: {
                shape: "S80"
              }
            }
          }
        },
        DescribePrincipalMapping: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "GroupId"
            ],
            members: {
              IndexId: {},
              DataSourceId: {},
              GroupId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IndexId: {},
              DataSourceId: {},
              GroupId: {},
              GroupOrderingIdSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Status: {},
                    LastUpdatedAt: {
                      type: "timestamp"
                    },
                    ReceivedAt: {
                      type: "timestamp"
                    },
                    OrderingId: {
                      type: "long"
                    },
                    FailureReason: {}
                  }
                }
              }
            }
          }
        },
        DescribeQuerySuggestionsBlockList: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "Id"
            ],
            members: {
              IndexId: {},
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IndexId: {},
              Id: {},
              Name: {},
              Description: {},
              Status: {},
              ErrorMessage: {},
              CreatedAt: {
                type: "timestamp"
              },
              UpdatedAt: {
                type: "timestamp"
              },
              SourceS3Path: {
                shape: "S1m"
              },
              ItemCount: {
                type: "integer"
              },
              FileSizeBytes: {
                type: "long"
              },
              RoleArn: {}
            }
          }
        },
        DescribeQuerySuggestionsConfig: {
          input: {
            type: "structure",
            required: [
              "IndexId"
            ],
            members: {
              IndexId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Mode: {},
              Status: {},
              QueryLogLookBackWindowInDays: {
                type: "integer"
              },
              IncludeQueriesWithoutUserInformation: {
                type: "boolean"
              },
              MinimumNumberOfQueryingUsers: {
                type: "integer"
              },
              MinimumQueryCount: {
                type: "integer"
              },
              LastSuggestionsBuildTime: {
                type: "timestamp"
              },
              LastClearTime: {
                type: "timestamp"
              },
              TotalSuggestionsCount: {
                type: "integer"
              },
              AttributeSuggestionsConfig: {
                type: "structure",
                members: {
                  SuggestableConfigList: {
                    shape: "Sae"
                  },
                  AttributeSuggestionsMode: {}
                }
              }
            }
          }
        },
        DescribeThesaurus: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId"
            ],
            members: {
              Id: {},
              IndexId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              IndexId: {},
              Name: {},
              Description: {},
              Status: {},
              ErrorMessage: {},
              CreatedAt: {
                type: "timestamp"
              },
              UpdatedAt: {
                type: "timestamp"
              },
              RoleArn: {},
              SourceS3Path: {
                shape: "S1m"
              },
              FileSizeBytes: {
                type: "long"
              },
              TermCount: {
                type: "long"
              },
              SynonymRuleCount: {
                type: "long"
              }
            }
          }
        },
        DisassociateEntitiesFromExperience: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId",
              "EntityList"
            ],
            members: {
              Id: {},
              IndexId: {},
              EntityList: {
                type: "list",
                member: {
                  shape: "S5"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedEntityList: {
                shape: "Sh"
              }
            }
          }
        },
        DisassociatePersonasFromEntities: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId",
              "EntityIds"
            ],
            members: {
              Id: {},
              IndexId: {},
              EntityIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FailedEntityList: {
                shape: "Sh"
              }
            }
          }
        },
        GetQuerySuggestions: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "QueryText"
            ],
            members: {
              IndexId: {},
              QueryText: {},
              MaxSuggestionsCount: {
                type: "integer"
              },
              SuggestionTypes: {
                type: "list",
                member: {}
              },
              AttributeSuggestionsConfig: {
                type: "structure",
                members: {
                  SuggestionAttributes: {
                    shape: "Sav"
                  },
                  AdditionalResponseAttributes: {
                    shape: "Sav"
                  },
                  AttributeFilter: {
                    shape: "Saw"
                  },
                  UserContext: {
                    shape: "Say"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              QuerySuggestionsId: {},
              Suggestions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Value: {
                      type: "structure",
                      members: {
                        Text: {
                          type: "structure",
                          members: {
                            Text: {},
                            Highlights: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  BeginOffset: {
                                    type: "integer"
                                  },
                                  EndOffset: {
                                    type: "integer"
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    SourceDocuments: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          DocumentId: {},
                          SuggestionAttributes: {
                            shape: "Sav"
                          },
                          AdditionalAttributes: {
                            shape: "S11"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetSnapshots: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "Interval",
              "MetricType"
            ],
            members: {
              IndexId: {},
              Interval: {},
              MetricType: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SnapShotTimeFilter: {
                shape: "Sbj"
              },
              SnapshotsDataHeader: {
                type: "list",
                member: {}
              },
              SnapshotsData: {
                type: "list",
                member: {
                  type: "list",
                  member: {}
                }
              },
              NextToken: {}
            }
          }
        },
        ListAccessControlConfigurations: {
          input: {
            type: "structure",
            required: [
              "IndexId"
            ],
            members: {
              IndexId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "AccessControlConfigurations"
            ],
            members: {
              NextToken: {},
              AccessControlConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Id"
                  ],
                  members: {
                    Id: {}
                  }
                }
              }
            }
          }
        },
        ListDataSourceSyncJobs: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId"
            ],
            members: {
              Id: {},
              IndexId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              StartTimeFilter: {
                shape: "Sbj"
              },
              StatusFilter: {}
            }
          },
          output: {
            type: "structure",
            members: {
              History: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ExecutionId: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    Status: {},
                    ErrorMessage: {},
                    ErrorCode: {},
                    DataSourceErrorCode: {},
                    Metrics: {
                      type: "structure",
                      members: {
                        DocumentsAdded: {},
                        DocumentsModified: {},
                        DocumentsDeleted: {},
                        DocumentsFailed: {},
                        DocumentsScanned: {}
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDataSources: {
          input: {
            type: "structure",
            required: [
              "IndexId"
            ],
            members: {
              IndexId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SummaryItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Id: {},
                    Type: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    UpdatedAt: {
                      type: "timestamp"
                    },
                    Status: {},
                    LanguageCode: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEntityPersonas: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId"
            ],
            members: {
              Id: {},
              IndexId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SummaryItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EntityId: {},
                    Persona: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    UpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListExperienceEntities: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId"
            ],
            members: {
              Id: {},
              IndexId: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SummaryItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EntityId: {},
                    EntityType: {},
                    DisplayData: {
                      type: "structure",
                      members: {
                        UserName: {
                          shape: "Scf"
                        },
                        GroupName: {
                          shape: "Scf"
                        },
                        IdentifiedUserName: {
                          shape: "Scf"
                        },
                        FirstName: {
                          shape: "Scf"
                        },
                        LastName: {
                          shape: "Scf"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListExperiences: {
          input: {
            type: "structure",
            required: [
              "IndexId"
            ],
            members: {
              IndexId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SummaryItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Id: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    Status: {},
                    Endpoints: {
                      shape: "S8u"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListFaqs: {
          input: {
            type: "structure",
            required: [
              "IndexId"
            ],
            members: {
              IndexId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              FaqSummaryItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Name: {},
                    Status: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    UpdatedAt: {
                      type: "timestamp"
                    },
                    FileFormat: {},
                    LanguageCode: {}
                  }
                }
              }
            }
          }
        },
        ListFeaturedResultsSets: {
          input: {
            type: "structure",
            required: [
              "IndexId"
            ],
            members: {
              IndexId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FeaturedResultsSetSummaryItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FeaturedResultsSetId: {},
                    FeaturedResultsSetName: {},
                    Status: {},
                    LastUpdatedTimestamp: {
                      type: "long"
                    },
                    CreationTimestamp: {
                      type: "long"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListGroupsOlderThanOrderingId: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "OrderingId"
            ],
            members: {
              IndexId: {},
              DataSourceId: {},
              OrderingId: {
                type: "long"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GroupsSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    GroupId: {},
                    OrderingId: {
                      type: "long"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListIndices: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IndexConfigurationSummaryItems: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "CreatedAt",
                    "UpdatedAt",
                    "Status"
                  ],
                  members: {
                    Name: {},
                    Id: {},
                    Edition: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    UpdatedAt: {
                      type: "timestamp"
                    },
                    Status: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListQuerySuggestionsBlockLists: {
          input: {
            type: "structure",
            required: [
              "IndexId"
            ],
            members: {
              IndexId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BlockListSummaryItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Name: {},
                    Status: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    UpdatedAt: {
                      type: "timestamp"
                    },
                    ItemCount: {
                      type: "integer"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S6r"
              }
            }
          }
        },
        ListThesauri: {
          input: {
            type: "structure",
            required: [
              "IndexId"
            ],
            members: {
              IndexId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ThesaurusSummaryItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Name: {},
                    Status: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    UpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        PutPrincipalMapping: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "GroupId",
              "GroupMembers"
            ],
            members: {
              IndexId: {},
              DataSourceId: {},
              GroupId: {},
              GroupMembers: {
                type: "structure",
                members: {
                  MemberGroups: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "GroupId"
                      ],
                      members: {
                        GroupId: {},
                        DataSourceId: {}
                      }
                    }
                  },
                  MemberUsers: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "UserId"
                      ],
                      members: {
                        UserId: {}
                      }
                    }
                  },
                  S3PathforGroupMembers: {
                    shape: "S1m"
                  }
                }
              },
              OrderingId: {
                type: "long"
              },
              RoleArn: {}
            }
          }
        },
        Query: {
          input: {
            type: "structure",
            required: [
              "IndexId"
            ],
            members: {
              IndexId: {},
              QueryText: {},
              AttributeFilter: {
                shape: "Saw"
              },
              Facets: {
                shape: "Sdq"
              },
              RequestedDocumentAttributes: {
                shape: "Sav"
              },
              QueryResultTypeFilter: {},
              DocumentRelevanceOverrideConfigurations: {
                shape: "Sdu"
              },
              PageNumber: {
                type: "integer"
              },
              PageSize: {
                type: "integer"
              },
              SortingConfiguration: {
                type: "structure",
                required: [
                  "DocumentAttributeKey",
                  "SortOrder"
                ],
                members: {
                  DocumentAttributeKey: {},
                  SortOrder: {}
                }
              },
              UserContext: {
                shape: "Say"
              },
              VisitorId: {},
              SpellCorrectionConfiguration: {
                type: "structure",
                required: [
                  "IncludeQuerySpellCheckSuggestions"
                ],
                members: {
                  IncludeQuerySpellCheckSuggestions: {
                    type: "boolean"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              QueryId: {},
              ResultItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Type: {},
                    Format: {},
                    AdditionalAttributes: {
                      shape: "Se5"
                    },
                    DocumentId: {},
                    DocumentTitle: {
                      shape: "Se9"
                    },
                    DocumentExcerpt: {
                      shape: "Se9"
                    },
                    DocumentURI: {},
                    DocumentAttributes: {
                      shape: "S11"
                    },
                    ScoreAttributes: {
                      type: "structure",
                      members: {
                        ScoreConfidence: {}
                      }
                    },
                    FeedbackToken: {},
                    TableExcerpt: {
                      type: "structure",
                      members: {
                        Rows: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              Cells: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    Value: {},
                                    TopAnswer: {
                                      type: "boolean"
                                    },
                                    Highlighted: {
                                      type: "boolean"
                                    },
                                    Header: {
                                      type: "boolean"
                                    }
                                  }
                                }
                              }
                            }
                          }
                        },
                        TotalNumberOfRows: {
                          type: "integer"
                        }
                      }
                    }
                  }
                }
              },
              FacetResults: {
                shape: "Sel"
              },
              TotalNumberOfResults: {
                type: "integer"
              },
              Warnings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Message: {},
                    Code: {}
                  }
                }
              },
              SpellCorrectedQueries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SuggestedQueryText: {},
                    Corrections: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          BeginOffset: {
                            type: "integer"
                          },
                          EndOffset: {
                            type: "integer"
                          },
                          Term: {},
                          CorrectedTerm: {}
                        }
                      }
                    }
                  }
                }
              },
              FeaturedResultsItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Type: {},
                    AdditionalAttributes: {
                      shape: "Se5"
                    },
                    DocumentId: {},
                    DocumentTitle: {
                      shape: "Se9"
                    },
                    DocumentExcerpt: {
                      shape: "Se9"
                    },
                    DocumentURI: {},
                    DocumentAttributes: {
                      shape: "S11"
                    },
                    FeedbackToken: {}
                  }
                }
              }
            }
          }
        },
        Retrieve: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "QueryText"
            ],
            members: {
              IndexId: {},
              QueryText: {},
              AttributeFilter: {
                shape: "Saw"
              },
              RequestedDocumentAttributes: {
                shape: "Sav"
              },
              DocumentRelevanceOverrideConfigurations: {
                shape: "Sdu"
              },
              PageNumber: {
                type: "integer"
              },
              PageSize: {
                type: "integer"
              },
              UserContext: {
                shape: "Say"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              QueryId: {},
              ResultItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    DocumentId: {},
                    DocumentTitle: {},
                    Content: {},
                    DocumentURI: {},
                    DocumentAttributes: {
                      shape: "S11"
                    }
                  }
                }
              }
            }
          }
        },
        StartDataSourceSyncJob: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId"
            ],
            members: {
              Id: {},
              IndexId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ExecutionId: {}
            }
          }
        },
        StopDataSourceSyncJob: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId"
            ],
            members: {
              Id: {},
              IndexId: {}
            }
          }
        },
        SubmitFeedback: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "QueryId"
            ],
            members: {
              IndexId: {},
              QueryId: {},
              ClickFeedbackItems: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ResultId",
                    "ClickTime"
                  ],
                  members: {
                    ResultId: {},
                    ClickTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              RelevanceFeedbackItems: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ResultId",
                    "RelevanceValue"
                  ],
                  members: {
                    ResultId: {},
                    RelevanceValue: {}
                  }
                }
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S6r"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAccessControlConfiguration: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "Id"
            ],
            members: {
              IndexId: {},
              Id: {},
              Name: {},
              Description: {},
              AccessControlList: {
                shape: "S1p"
              },
              HierarchicalAccessControlList: {
                shape: "S1u"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDataSource: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId"
            ],
            members: {
              Id: {},
              Name: {},
              IndexId: {},
              Configuration: {
                shape: "S2j"
              },
              VpcConfiguration: {
                shape: "S2u"
              },
              Description: {},
              Schedule: {},
              RoleArn: {},
              LanguageCode: {},
              CustomDocumentEnrichmentConfiguration: {
                shape: "S1y"
              }
            }
          }
        },
        UpdateExperience: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId"
            ],
            members: {
              Id: {},
              Name: {},
              IndexId: {},
              RoleArn: {},
              Configuration: {
                shape: "S6z"
              },
              Description: {}
            }
          }
        },
        UpdateFeaturedResultsSet: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "FeaturedResultsSetId"
            ],
            members: {
              IndexId: {},
              FeaturedResultsSetId: {},
              FeaturedResultsSetName: {},
              Description: {},
              Status: {},
              QueryTexts: {
                shape: "S7f"
              },
              FeaturedDocuments: {
                shape: "S7h"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FeaturedResultsSet: {
                shape: "S7k"
              }
            }
          }
        },
        UpdateIndex: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {},
              Name: {},
              RoleArn: {},
              Description: {},
              DocumentMetadataConfigurationUpdates: {
                shape: "S9b"
              },
              CapacityUnits: {
                shape: "S9t"
              },
              UserTokenConfigurations: {
                shape: "S7q"
              },
              UserContextPolicy: {},
              UserGroupResolutionConfiguration: {
                shape: "S80"
              }
            }
          }
        },
        UpdateQuerySuggestionsBlockList: {
          input: {
            type: "structure",
            required: [
              "IndexId",
              "Id"
            ],
            members: {
              IndexId: {},
              Id: {},
              Name: {},
              Description: {},
              SourceS3Path: {
                shape: "S1m"
              },
              RoleArn: {}
            }
          }
        },
        UpdateQuerySuggestionsConfig: {
          input: {
            type: "structure",
            required: [
              "IndexId"
            ],
            members: {
              IndexId: {},
              Mode: {},
              QueryLogLookBackWindowInDays: {
                type: "integer"
              },
              IncludeQueriesWithoutUserInformation: {
                type: "boolean"
              },
              MinimumNumberOfQueryingUsers: {
                type: "integer"
              },
              MinimumQueryCount: {
                type: "integer"
              },
              AttributeSuggestionsConfig: {
                type: "structure",
                members: {
                  SuggestableConfigList: {
                    shape: "Sae"
                  },
                  AttributeSuggestionsMode: {}
                }
              }
            }
          }
        },
        UpdateThesaurus: {
          input: {
            type: "structure",
            required: [
              "Id",
              "IndexId"
            ],
            members: {
              Id: {},
              Name: {},
              IndexId: {},
              Description: {},
              RoleArn: {},
              SourceS3Path: {
                shape: "S1m"
              }
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          required: [
            "EntityId",
            "EntityType"
          ],
          members: {
            EntityId: {},
            EntityType: {}
          }
        },
        Sa: {
          type: "structure",
          members: {
            EntityId: {},
            ErrorMessage: {}
          }
        },
        Sh: {
          type: "list",
          member: {
            shape: "Sa"
          }
        },
        S11: {
          type: "list",
          member: {
            shape: "S12"
          }
        },
        S12: {
          type: "structure",
          required: [
            "Key",
            "Value"
          ],
          members: {
            Key: {},
            Value: {
              shape: "S14"
            }
          }
        },
        S14: {
          type: "structure",
          members: {
            StringValue: {},
            StringListValue: {
              type: "list",
              member: {}
            },
            LongValue: {
              type: "long"
            },
            DateValue: {
              type: "timestamp"
            }
          }
        },
        S1m: {
          type: "structure",
          required: [
            "Bucket",
            "Key"
          ],
          members: {
            Bucket: {},
            Key: {}
          }
        },
        S1p: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Type",
              "Access"
            ],
            members: {
              Name: {},
              Type: {},
              Access: {},
              DataSourceId: {}
            }
          }
        },
        S1u: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "PrincipalList"
            ],
            members: {
              PrincipalList: {
                shape: "S1p"
              }
            }
          }
        },
        S1y: {
          type: "structure",
          members: {
            InlineConfigurations: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Condition: {
                    shape: "S21"
                  },
                  Target: {
                    type: "structure",
                    members: {
                      TargetDocumentAttributeKey: {},
                      TargetDocumentAttributeValueDeletion: {
                        type: "boolean"
                      },
                      TargetDocumentAttributeValue: {
                        shape: "S14"
                      }
                    }
                  },
                  DocumentContentDeletion: {
                    type: "boolean"
                  }
                }
              }
            },
            PreExtractionHookConfiguration: {
              shape: "S25"
            },
            PostExtractionHookConfiguration: {
              shape: "S25"
            },
            RoleArn: {}
          }
        },
        S21: {
          type: "structure",
          required: [
            "ConditionDocumentAttributeKey",
            "Operator"
          ],
          members: {
            ConditionDocumentAttributeKey: {},
            Operator: {},
            ConditionOnValue: {
              shape: "S14"
            }
          }
        },
        S25: {
          type: "structure",
          required: [
            "LambdaArn",
            "S3Bucket"
          ],
          members: {
            InvocationCondition: {
              shape: "S21"
            },
            LambdaArn: {},
            S3Bucket: {}
          }
        },
        S2j: {
          type: "structure",
          members: {
            S3Configuration: {
              type: "structure",
              required: [
                "BucketName"
              ],
              members: {
                BucketName: {},
                InclusionPrefixes: {
                  shape: "S2l"
                },
                InclusionPatterns: {
                  shape: "S2l"
                },
                ExclusionPatterns: {
                  shape: "S2l"
                },
                DocumentsMetadataConfiguration: {
                  type: "structure",
                  members: {
                    S3Prefix: {}
                  }
                },
                AccessControlListConfiguration: {
                  type: "structure",
                  members: {
                    KeyPath: {}
                  }
                }
              }
            },
            SharePointConfiguration: {
              type: "structure",
              required: [
                "SharePointVersion",
                "Urls",
                "SecretArn"
              ],
              members: {
                SharePointVersion: {},
                Urls: {
                  type: "list",
                  member: {}
                },
                SecretArn: {},
                CrawlAttachments: {
                  type: "boolean"
                },
                UseChangeLog: {
                  type: "boolean"
                },
                InclusionPatterns: {
                  shape: "S2l"
                },
                ExclusionPatterns: {
                  shape: "S2l"
                },
                VpcConfiguration: {
                  shape: "S2u"
                },
                FieldMappings: {
                  shape: "S2z"
                },
                DocumentTitleFieldName: {},
                DisableLocalGroups: {
                  type: "boolean"
                },
                SslCertificateS3Path: {
                  shape: "S1m"
                },
                AuthenticationType: {},
                ProxyConfiguration: {
                  shape: "S35"
                }
              }
            },
            DatabaseConfiguration: {
              type: "structure",
              required: [
                "DatabaseEngineType",
                "ConnectionConfiguration",
                "ColumnConfiguration"
              ],
              members: {
                DatabaseEngineType: {},
                ConnectionConfiguration: {
                  type: "structure",
                  required: [
                    "DatabaseHost",
                    "DatabasePort",
                    "DatabaseName",
                    "TableName",
                    "SecretArn"
                  ],
                  members: {
                    DatabaseHost: {},
                    DatabasePort: {
                      type: "integer"
                    },
                    DatabaseName: {},
                    TableName: {},
                    SecretArn: {}
                  }
                },
                VpcConfiguration: {
                  shape: "S2u"
                },
                ColumnConfiguration: {
                  type: "structure",
                  required: [
                    "DocumentIdColumnName",
                    "DocumentDataColumnName",
                    "ChangeDetectingColumns"
                  ],
                  members: {
                    DocumentIdColumnName: {},
                    DocumentDataColumnName: {},
                    DocumentTitleColumnName: {},
                    FieldMappings: {
                      shape: "S2z"
                    },
                    ChangeDetectingColumns: {
                      type: "list",
                      member: {}
                    }
                  }
                },
                AclConfiguration: {
                  type: "structure",
                  required: [
                    "AllowedGroupsColumnName"
                  ],
                  members: {
                    AllowedGroupsColumnName: {}
                  }
                },
                SqlConfiguration: {
                  type: "structure",
                  members: {
                    QueryIdentifiersEnclosingOption: {}
                  }
                }
              }
            },
            SalesforceConfiguration: {
              type: "structure",
              required: [
                "ServerUrl",
                "SecretArn"
              ],
              members: {
                ServerUrl: {},
                SecretArn: {},
                StandardObjectConfigurations: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "Name",
                      "DocumentDataFieldName"
                    ],
                    members: {
                      Name: {},
                      DocumentDataFieldName: {},
                      DocumentTitleFieldName: {},
                      FieldMappings: {
                        shape: "S2z"
                      }
                    }
                  }
                },
                KnowledgeArticleConfiguration: {
                  type: "structure",
                  required: [
                    "IncludedStates"
                  ],
                  members: {
                    IncludedStates: {
                      type: "list",
                      member: {}
                    },
                    StandardKnowledgeArticleTypeConfiguration: {
                      type: "structure",
                      required: [
                        "DocumentDataFieldName"
                      ],
                      members: {
                        DocumentDataFieldName: {},
                        DocumentTitleFieldName: {},
                        FieldMappings: {
                          shape: "S2z"
                        }
                      }
                    },
                    CustomKnowledgeArticleTypeConfigurations: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "Name",
                          "DocumentDataFieldName"
                        ],
                        members: {
                          Name: {},
                          DocumentDataFieldName: {},
                          DocumentTitleFieldName: {},
                          FieldMappings: {
                            shape: "S2z"
                          }
                        }
                      }
                    }
                  }
                },
                ChatterFeedConfiguration: {
                  type: "structure",
                  required: [
                    "DocumentDataFieldName"
                  ],
                  members: {
                    DocumentDataFieldName: {},
                    DocumentTitleFieldName: {},
                    FieldMappings: {
                      shape: "S2z"
                    },
                    IncludeFilterTypes: {
                      type: "list",
                      member: {}
                    }
                  }
                },
                CrawlAttachments: {
                  type: "boolean"
                },
                StandardObjectAttachmentConfiguration: {
                  type: "structure",
                  members: {
                    DocumentTitleFieldName: {},
                    FieldMappings: {
                      shape: "S2z"
                    }
                  }
                },
                IncludeAttachmentFilePatterns: {
                  shape: "S2l"
                },
                ExcludeAttachmentFilePatterns: {
                  shape: "S2l"
                }
              }
            },
            OneDriveConfiguration: {
              type: "structure",
              required: [
                "TenantDomain",
                "SecretArn",
                "OneDriveUsers"
              ],
              members: {
                TenantDomain: {},
                SecretArn: {},
                OneDriveUsers: {
                  type: "structure",
                  members: {
                    OneDriveUserList: {
                      type: "list",
                      member: {}
                    },
                    OneDriveUserS3Path: {
                      shape: "S1m"
                    }
                  }
                },
                InclusionPatterns: {
                  shape: "S2l"
                },
                ExclusionPatterns: {
                  shape: "S2l"
                },
                FieldMappings: {
                  shape: "S2z"
                },
                DisableLocalGroups: {
                  type: "boolean"
                }
              }
            },
            ServiceNowConfiguration: {
              type: "structure",
              required: [
                "HostUrl",
                "SecretArn",
                "ServiceNowBuildVersion"
              ],
              members: {
                HostUrl: {},
                SecretArn: {},
                ServiceNowBuildVersion: {},
                KnowledgeArticleConfiguration: {
                  type: "structure",
                  required: [
                    "DocumentDataFieldName"
                  ],
                  members: {
                    CrawlAttachments: {
                      type: "boolean"
                    },
                    IncludeAttachmentFilePatterns: {
                      shape: "S2l"
                    },
                    ExcludeAttachmentFilePatterns: {
                      shape: "S2l"
                    },
                    DocumentDataFieldName: {},
                    DocumentTitleFieldName: {},
                    FieldMappings: {
                      shape: "S2z"
                    },
                    FilterQuery: {}
                  }
                },
                ServiceCatalogConfiguration: {
                  type: "structure",
                  required: [
                    "DocumentDataFieldName"
                  ],
                  members: {
                    CrawlAttachments: {
                      type: "boolean"
                    },
                    IncludeAttachmentFilePatterns: {
                      shape: "S2l"
                    },
                    ExcludeAttachmentFilePatterns: {
                      shape: "S2l"
                    },
                    DocumentDataFieldName: {},
                    DocumentTitleFieldName: {},
                    FieldMappings: {
                      shape: "S2z"
                    }
                  }
                },
                AuthenticationType: {}
              }
            },
            ConfluenceConfiguration: {
              type: "structure",
              required: [
                "ServerUrl",
                "SecretArn",
                "Version"
              ],
              members: {
                ServerUrl: {},
                SecretArn: {},
                Version: {},
                SpaceConfiguration: {
                  type: "structure",
                  members: {
                    CrawlPersonalSpaces: {
                      type: "boolean"
                    },
                    CrawlArchivedSpaces: {
                      type: "boolean"
                    },
                    IncludeSpaces: {
                      shape: "S4f"
                    },
                    ExcludeSpaces: {
                      shape: "S4f"
                    },
                    SpaceFieldMappings: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          DataSourceFieldName: {},
                          DateFieldFormat: {},
                          IndexFieldName: {}
                        }
                      }
                    }
                  }
                },
                PageConfiguration: {
                  type: "structure",
                  members: {
                    PageFieldMappings: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          DataSourceFieldName: {},
                          DateFieldFormat: {},
                          IndexFieldName: {}
                        }
                      }
                    }
                  }
                },
                BlogConfiguration: {
                  type: "structure",
                  members: {
                    BlogFieldMappings: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          DataSourceFieldName: {},
                          DateFieldFormat: {},
                          IndexFieldName: {}
                        }
                      }
                    }
                  }
                },
                AttachmentConfiguration: {
                  type: "structure",
                  members: {
                    CrawlAttachments: {
                      type: "boolean"
                    },
                    AttachmentFieldMappings: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          DataSourceFieldName: {},
                          DateFieldFormat: {},
                          IndexFieldName: {}
                        }
                      }
                    }
                  }
                },
                VpcConfiguration: {
                  shape: "S2u"
                },
                InclusionPatterns: {
                  shape: "S2l"
                },
                ExclusionPatterns: {
                  shape: "S2l"
                },
                ProxyConfiguration: {
                  shape: "S35"
                },
                AuthenticationType: {}
              }
            },
            GoogleDriveConfiguration: {
              type: "structure",
              required: [
                "SecretArn"
              ],
              members: {
                SecretArn: {},
                InclusionPatterns: {
                  shape: "S2l"
                },
                ExclusionPatterns: {
                  shape: "S2l"
                },
                FieldMappings: {
                  shape: "S2z"
                },
                ExcludeMimeTypes: {
                  type: "list",
                  member: {}
                },
                ExcludeUserAccounts: {
                  type: "list",
                  member: {}
                },
                ExcludeSharedDrives: {
                  type: "list",
                  member: {}
                }
              }
            },
            WebCrawlerConfiguration: {
              type: "structure",
              required: [
                "Urls"
              ],
              members: {
                Urls: {
                  type: "structure",
                  members: {
                    SeedUrlConfiguration: {
                      type: "structure",
                      required: [
                        "SeedUrls"
                      ],
                      members: {
                        SeedUrls: {
                          type: "list",
                          member: {}
                        },
                        WebCrawlerMode: {}
                      }
                    },
                    SiteMapsConfiguration: {
                      type: "structure",
                      required: [
                        "SiteMaps"
                      ],
                      members: {
                        SiteMaps: {
                          type: "list",
                          member: {}
                        }
                      }
                    }
                  }
                },
                CrawlDepth: {
                  type: "integer"
                },
                MaxLinksPerPage: {
                  type: "integer"
                },
                MaxContentSizePerPageInMegaBytes: {
                  type: "float"
                },
                MaxUrlsPerMinuteCrawlRate: {
                  type: "integer"
                },
                UrlInclusionPatterns: {
                  shape: "S2l"
                },
                UrlExclusionPatterns: {
                  shape: "S2l"
                },
                ProxyConfiguration: {
                  shape: "S35"
                },
                AuthenticationConfiguration: {
                  type: "structure",
                  members: {
                    BasicAuthentication: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "Host",
                          "Port",
                          "Credentials"
                        ],
                        members: {
                          Host: {},
                          Port: {
                            type: "integer"
                          },
                          Credentials: {}
                        }
                      }
                    }
                  }
                }
              }
            },
            WorkDocsConfiguration: {
              type: "structure",
              required: [
                "OrganizationId"
              ],
              members: {
                OrganizationId: {},
                CrawlComments: {
                  type: "boolean"
                },
                UseChangeLog: {
                  type: "boolean"
                },
                InclusionPatterns: {
                  shape: "S2l"
                },
                ExclusionPatterns: {
                  shape: "S2l"
                },
                FieldMappings: {
                  shape: "S2z"
                }
              }
            },
            FsxConfiguration: {
              type: "structure",
              required: [
                "FileSystemId",
                "FileSystemType",
                "VpcConfiguration"
              ],
              members: {
                FileSystemId: {},
                FileSystemType: {},
                VpcConfiguration: {
                  shape: "S2u"
                },
                SecretArn: {},
                InclusionPatterns: {
                  shape: "S2l"
                },
                ExclusionPatterns: {
                  shape: "S2l"
                },
                FieldMappings: {
                  shape: "S2z"
                }
              }
            },
            SlackConfiguration: {
              type: "structure",
              required: [
                "TeamId",
                "SecretArn",
                "SlackEntityList",
                "SinceCrawlDate"
              ],
              members: {
                TeamId: {},
                SecretArn: {},
                VpcConfiguration: {
                  shape: "S2u"
                },
                SlackEntityList: {
                  type: "list",
                  member: {}
                },
                UseChangeLog: {
                  type: "boolean"
                },
                CrawlBotMessage: {
                  type: "boolean"
                },
                ExcludeArchived: {
                  type: "boolean"
                },
                SinceCrawlDate: {},
                LookBackPeriod: {
                  type: "integer"
                },
                PrivateChannelFilter: {
                  type: "list",
                  member: {}
                },
                PublicChannelFilter: {
                  type: "list",
                  member: {}
                },
                InclusionPatterns: {
                  shape: "S2l"
                },
                ExclusionPatterns: {
                  shape: "S2l"
                },
                FieldMappings: {
                  shape: "S2z"
                }
              }
            },
            BoxConfiguration: {
              type: "structure",
              required: [
                "EnterpriseId",
                "SecretArn"
              ],
              members: {
                EnterpriseId: {},
                SecretArn: {},
                UseChangeLog: {
                  type: "boolean"
                },
                CrawlComments: {
                  type: "boolean"
                },
                CrawlTasks: {
                  type: "boolean"
                },
                CrawlWebLinks: {
                  type: "boolean"
                },
                FileFieldMappings: {
                  shape: "S2z"
                },
                TaskFieldMappings: {
                  shape: "S2z"
                },
                CommentFieldMappings: {
                  shape: "S2z"
                },
                WebLinkFieldMappings: {
                  shape: "S2z"
                },
                InclusionPatterns: {
                  shape: "S2l"
                },
                ExclusionPatterns: {
                  shape: "S2l"
                },
                VpcConfiguration: {
                  shape: "S2u"
                }
              }
            },
            QuipConfiguration: {
              type: "structure",
              required: [
                "Domain",
                "SecretArn"
              ],
              members: {
                Domain: {},
                SecretArn: {},
                CrawlFileComments: {
                  type: "boolean"
                },
                CrawlChatRooms: {
                  type: "boolean"
                },
                CrawlAttachments: {
                  type: "boolean"
                },
                FolderIds: {
                  type: "list",
                  member: {}
                },
                ThreadFieldMappings: {
                  shape: "S2z"
                },
                MessageFieldMappings: {
                  shape: "S2z"
                },
                AttachmentFieldMappings: {
                  shape: "S2z"
                },
                InclusionPatterns: {
                  shape: "S2l"
                },
                ExclusionPatterns: {
                  shape: "S2l"
                },
                VpcConfiguration: {
                  shape: "S2u"
                }
              }
            },
            JiraConfiguration: {
              type: "structure",
              required: [
                "JiraAccountUrl",
                "SecretArn"
              ],
              members: {
                JiraAccountUrl: {},
                SecretArn: {},
                UseChangeLog: {
                  type: "boolean"
                },
                Project: {
                  type: "list",
                  member: {}
                },
                IssueType: {
                  type: "list",
                  member: {}
                },
                Status: {
                  type: "list",
                  member: {}
                },
                IssueSubEntityFilter: {
                  type: "list",
                  member: {}
                },
                AttachmentFieldMappings: {
                  shape: "S2z"
                },
                CommentFieldMappings: {
                  shape: "S2z"
                },
                IssueFieldMappings: {
                  shape: "S2z"
                },
                ProjectFieldMappings: {
                  shape: "S2z"
                },
                WorkLogFieldMappings: {
                  shape: "S2z"
                },
                InclusionPatterns: {
                  shape: "S2l"
                },
                ExclusionPatterns: {
                  shape: "S2l"
                },
                VpcConfiguration: {
                  shape: "S2u"
                }
              }
            },
            GitHubConfiguration: {
              type: "structure",
              required: [
                "SecretArn"
              ],
              members: {
                SaaSConfiguration: {
                  type: "structure",
                  required: [
                    "OrganizationName",
                    "HostUrl"
                  ],
                  members: {
                    OrganizationName: {},
                    HostUrl: {}
                  }
                },
                OnPremiseConfiguration: {
                  type: "structure",
                  required: [
                    "HostUrl",
                    "OrganizationName",
                    "SslCertificateS3Path"
                  ],
                  members: {
                    HostUrl: {},
                    OrganizationName: {},
                    SslCertificateS3Path: {
                      shape: "S1m"
                    }
                  }
                },
                Type: {},
                SecretArn: {},
                UseChangeLog: {
                  type: "boolean"
                },
                GitHubDocumentCrawlProperties: {
                  type: "structure",
                  members: {
                    CrawlRepositoryDocuments: {
                      type: "boolean"
                    },
                    CrawlIssue: {
                      type: "boolean"
                    },
                    CrawlIssueComment: {
                      type: "boolean"
                    },
                    CrawlIssueCommentAttachment: {
                      type: "boolean"
                    },
                    CrawlPullRequest: {
                      type: "boolean"
                    },
                    CrawlPullRequestComment: {
                      type: "boolean"
                    },
                    CrawlPullRequestCommentAttachment: {
                      type: "boolean"
                    }
                  }
                },
                RepositoryFilter: {
                  type: "list",
                  member: {}
                },
                InclusionFolderNamePatterns: {
                  shape: "S6i"
                },
                InclusionFileTypePatterns: {
                  shape: "S6i"
                },
                InclusionFileNamePatterns: {
                  shape: "S6i"
                },
                ExclusionFolderNamePatterns: {
                  shape: "S6i"
                },
                ExclusionFileTypePatterns: {
                  shape: "S6i"
                },
                ExclusionFileNamePatterns: {
                  shape: "S6i"
                },
                VpcConfiguration: {
                  shape: "S2u"
                },
                GitHubRepositoryConfigurationFieldMappings: {
                  shape: "S2z"
                },
                GitHubCommitConfigurationFieldMappings: {
                  shape: "S2z"
                },
                GitHubIssueDocumentConfigurationFieldMappings: {
                  shape: "S2z"
                },
                GitHubIssueCommentConfigurationFieldMappings: {
                  shape: "S2z"
                },
                GitHubIssueAttachmentConfigurationFieldMappings: {
                  shape: "S2z"
                },
                GitHubPullRequestCommentConfigurationFieldMappings: {
                  shape: "S2z"
                },
                GitHubPullRequestDocumentConfigurationFieldMappings: {
                  shape: "S2z"
                },
                GitHubPullRequestDocumentAttachmentConfigurationFieldMappings: {
                  shape: "S2z"
                }
              }
            },
            AlfrescoConfiguration: {
              deprecated: true,
              deprecatedMessage: "Deprecated AlfrescoConfiguration in favor of TemplateConfiguration",
              type: "structure",
              required: [
                "SiteUrl",
                "SiteId",
                "SecretArn",
                "SslCertificateS3Path"
              ],
              members: {
                SiteUrl: {},
                SiteId: {},
                SecretArn: {},
                SslCertificateS3Path: {
                  shape: "S1m"
                },
                CrawlSystemFolders: {
                  type: "boolean"
                },
                CrawlComments: {
                  type: "boolean"
                },
                EntityFilter: {
                  type: "list",
                  member: {}
                },
                DocumentLibraryFieldMappings: {
                  shape: "S2z"
                },
                BlogFieldMappings: {
                  shape: "S2z"
                },
                WikiFieldMappings: {
                  shape: "S2z"
                },
                InclusionPatterns: {
                  shape: "S2l"
                },
                ExclusionPatterns: {
                  shape: "S2l"
                },
                VpcConfiguration: {
                  shape: "S2u"
                }
              }
            },
            TemplateConfiguration: {
              type: "structure",
              members: {
                Template: {
                  type: "structure",
                  members: {},
                  document: true
                }
              }
            }
          }
        },
        S2l: {
          type: "list",
          member: {}
        },
        S2u: {
          type: "structure",
          required: [
            "SubnetIds",
            "SecurityGroupIds"
          ],
          members: {
            SubnetIds: {
              type: "list",
              member: {}
            },
            SecurityGroupIds: {
              type: "list",
              member: {}
            }
          }
        },
        S2z: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DataSourceFieldName",
              "IndexFieldName"
            ],
            members: {
              DataSourceFieldName: {},
              DateFieldFormat: {},
              IndexFieldName: {}
            }
          }
        },
        S35: {
          type: "structure",
          required: [
            "Host",
            "Port"
          ],
          members: {
            Host: {},
            Port: {
              type: "integer"
            },
            Credentials: {}
          }
        },
        S4f: {
          type: "list",
          member: {}
        },
        S6i: {
          type: "list",
          member: {}
        },
        S6r: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S6z: {
          type: "structure",
          members: {
            ContentSourceConfiguration: {
              type: "structure",
              members: {
                DataSourceIds: {
                  type: "list",
                  member: {}
                },
                FaqIds: {
                  type: "list",
                  member: {}
                },
                DirectPutContent: {
                  type: "boolean"
                }
              }
            },
            UserIdentityConfiguration: {
              type: "structure",
              members: {
                IdentityAttributeName: {}
              }
            }
          }
        },
        S7f: {
          type: "list",
          member: {}
        },
        S7h: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Id: {}
            }
          }
        },
        S7k: {
          type: "structure",
          members: {
            FeaturedResultsSetId: {},
            FeaturedResultsSetName: {},
            Description: {},
            Status: {},
            QueryTexts: {
              shape: "S7f"
            },
            FeaturedDocuments: {
              shape: "S7h"
            },
            LastUpdatedTimestamp: {
              type: "long"
            },
            CreationTimestamp: {
              type: "long"
            }
          }
        },
        S7o: {
          type: "structure",
          members: {
            KmsKeyId: {
              type: "string",
              sensitive: true
            }
          }
        },
        S7q: {
          type: "list",
          member: {
            type: "structure",
            members: {
              JwtTokenTypeConfiguration: {
                type: "structure",
                required: [
                  "KeyLocation"
                ],
                members: {
                  KeyLocation: {},
                  URL: {},
                  SecretManagerArn: {},
                  UserNameAttributeField: {},
                  GroupAttributeField: {},
                  Issuer: {},
                  ClaimRegex: {}
                }
              },
              JsonTokenTypeConfiguration: {
                type: "structure",
                required: [
                  "UserNameAttributeField",
                  "GroupAttributeField"
                ],
                members: {
                  UserNameAttributeField: {},
                  GroupAttributeField: {}
                }
              }
            }
          }
        },
        S80: {
          type: "structure",
          required: [
            "UserGroupResolutionMode"
          ],
          members: {
            UserGroupResolutionMode: {}
          }
        },
        S8u: {
          type: "list",
          member: {
            type: "structure",
            members: {
              EndpointType: {},
              Endpoint: {}
            }
          }
        },
        S9b: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Type"
            ],
            members: {
              Name: {},
              Type: {},
              Relevance: {
                shape: "S9f"
              },
              Search: {
                type: "structure",
                members: {
                  Facetable: {
                    type: "boolean"
                  },
                  Searchable: {
                    type: "boolean"
                  },
                  Displayable: {
                    type: "boolean"
                  },
                  Sortable: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        S9f: {
          type: "structure",
          members: {
            Freshness: {
              type: "boolean"
            },
            Importance: {
              type: "integer"
            },
            Duration: {},
            RankOrder: {},
            ValueImportanceMap: {
              type: "map",
              key: {},
              value: {
                type: "integer"
              }
            }
          }
        },
        S9t: {
          type: "structure",
          required: [
            "StorageCapacityUnits",
            "QueryCapacityUnits"
          ],
          members: {
            StorageCapacityUnits: {
              type: "integer"
            },
            QueryCapacityUnits: {
              type: "integer"
            }
          }
        },
        Sae: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AttributeName: {},
              Suggestable: {
                type: "boolean"
              }
            }
          }
        },
        Sav: {
          type: "list",
          member: {}
        },
        Saw: {
          type: "structure",
          members: {
            AndAllFilters: {
              shape: "Sax"
            },
            OrAllFilters: {
              shape: "Sax"
            },
            NotFilter: {
              shape: "Saw"
            },
            EqualsTo: {
              shape: "S12"
            },
            ContainsAll: {
              shape: "S12"
            },
            ContainsAny: {
              shape: "S12"
            },
            GreaterThan: {
              shape: "S12"
            },
            GreaterThanOrEquals: {
              shape: "S12"
            },
            LessThan: {
              shape: "S12"
            },
            LessThanOrEquals: {
              shape: "S12"
            }
          }
        },
        Sax: {
          type: "list",
          member: {
            shape: "Saw"
          }
        },
        Say: {
          type: "structure",
          members: {
            Token: {},
            UserId: {},
            Groups: {
              type: "list",
              member: {}
            },
            DataSourceGroups: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "GroupId",
                  "DataSourceId"
                ],
                members: {
                  GroupId: {},
                  DataSourceId: {}
                }
              }
            }
          }
        },
        Sbj: {
          type: "structure",
          members: {
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            }
          }
        },
        Scf: {
          type: "string",
          sensitive: true
        },
        Sdq: {
          type: "list",
          member: {
            type: "structure",
            members: {
              DocumentAttributeKey: {},
              Facets: {
                shape: "Sdq"
              },
              MaxResults: {
                type: "integer"
              }
            }
          }
        },
        Sdu: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Relevance"
            ],
            members: {
              Name: {},
              Relevance: {
                shape: "S9f"
              }
            }
          }
        },
        Se5: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "ValueType",
              "Value"
            ],
            members: {
              Key: {},
              ValueType: {},
              Value: {
                type: "structure",
                members: {
                  TextWithHighlightsValue: {
                    shape: "Se9"
                  }
                }
              }
            }
          }
        },
        Se9: {
          type: "structure",
          members: {
            Text: {},
            Highlights: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "BeginOffset",
                  "EndOffset"
                ],
                members: {
                  BeginOffset: {
                    type: "integer"
                  },
                  EndOffset: {
                    type: "integer"
                  },
                  TopAnswer: {
                    type: "boolean"
                  },
                  Type: {}
                }
              }
            }
          }
        },
        Sel: {
          type: "list",
          member: {
            type: "structure",
            members: {
              DocumentAttributeKey: {},
              DocumentAttributeValueType: {},
              DocumentAttributeValueCountPairs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DocumentAttributeValue: {
                      shape: "S14"
                    },
                    Count: {
                      type: "integer"
                    },
                    FacetResults: {
                      shape: "Sel"
                    }
                  }
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/kendra-2019-02-03.paginators.json
var require_kendra_2019_02_03_paginators = __commonJS({
  "node_modules/aws-sdk/apis/kendra-2019-02-03.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetSnapshots: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAccessControlConfigurations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDataSourceSyncJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDataSources: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListEntityPersonas: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListExperienceEntities: {
          input_token: "NextToken",
          output_token: "NextToken"
        },
        ListExperiences: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListFaqs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListGroupsOlderThanOrderingId: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListIndices: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListQuerySuggestionsBlockLists: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListThesauri: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/kendra.js
var require_kendra = __commonJS({
  "node_modules/aws-sdk/clients/kendra.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["kendra"] = {};
    AWS2.Kendra = Service.defineService("kendra", ["2019-02-03"]);
    Object.defineProperty(apiLoader.services["kendra"], "2019-02-03", {
      get: function get() {
        var model = require_kendra_2019_02_03_min();
        model.paginators = require_kendra_2019_02_03_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Kendra;
  }
});

// node_modules/aws-sdk/apis/networkmanager-2019-07-05.min.json
var require_networkmanager_2019_07_05_min = __commonJS({
  "node_modules/aws-sdk/apis/networkmanager-2019-07-05.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-07-05",
        endpointPrefix: "networkmanager",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "NetworkManager",
        serviceFullName: "AWS Network Manager",
        serviceId: "NetworkManager",
        signatureVersion: "v4",
        signingName: "networkmanager",
        uid: "networkmanager-2019-07-05"
      },
      operations: {
        AcceptAttachment: {
          http: {
            requestUri: "/attachments/{attachmentId}/accept"
          },
          input: {
            type: "structure",
            required: [
              "AttachmentId"
            ],
            members: {
              AttachmentId: {
                location: "uri",
                locationName: "attachmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attachment: {
                shape: "S4"
              }
            }
          }
        },
        AssociateConnectPeer: {
          http: {
            requestUri: "/global-networks/{globalNetworkId}/connect-peer-associations"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "ConnectPeerId",
              "DeviceId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              ConnectPeerId: {},
              DeviceId: {},
              LinkId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectPeerAssociation: {
                shape: "Sq"
              }
            }
          }
        },
        AssociateCustomerGateway: {
          http: {
            requestUri: "/global-networks/{globalNetworkId}/customer-gateway-associations"
          },
          input: {
            type: "structure",
            required: [
              "CustomerGatewayArn",
              "GlobalNetworkId",
              "DeviceId"
            ],
            members: {
              CustomerGatewayArn: {},
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              DeviceId: {},
              LinkId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CustomerGatewayAssociation: {
                shape: "Sv"
              }
            }
          }
        },
        AssociateLink: {
          http: {
            requestUri: "/global-networks/{globalNetworkId}/link-associations"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "DeviceId",
              "LinkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              DeviceId: {},
              LinkId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LinkAssociation: {
                shape: "Sz"
              }
            }
          }
        },
        AssociateTransitGatewayConnectPeer: {
          http: {
            requestUri: "/global-networks/{globalNetworkId}/transit-gateway-connect-peer-associations"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "TransitGatewayConnectPeerArn",
              "DeviceId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              TransitGatewayConnectPeerArn: {},
              DeviceId: {},
              LinkId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayConnectPeerAssociation: {
                shape: "S14"
              }
            }
          }
        },
        CreateConnectAttachment: {
          http: {
            requestUri: "/connect-attachments"
          },
          input: {
            type: "structure",
            required: [
              "CoreNetworkId",
              "EdgeLocation",
              "TransportAttachmentId",
              "Options"
            ],
            members: {
              CoreNetworkId: {},
              EdgeLocation: {},
              TransportAttachmentId: {},
              Options: {
                shape: "S17"
              },
              Tags: {
                shape: "Se"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectAttachment: {
                shape: "S1b"
              }
            }
          }
        },
        CreateConnectPeer: {
          http: {
            requestUri: "/connect-peers"
          },
          input: {
            type: "structure",
            required: [
              "ConnectAttachmentId",
              "PeerAddress",
              "InsideCidrBlocks"
            ],
            members: {
              ConnectAttachmentId: {},
              CoreNetworkAddress: {},
              PeerAddress: {},
              BgpOptions: {
                type: "structure",
                members: {
                  PeerAsn: {
                    type: "long"
                  }
                }
              },
              InsideCidrBlocks: {
                shape: "S1g"
              },
              Tags: {
                shape: "Se"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectPeer: {
                shape: "S1i"
              }
            }
          }
        },
        CreateConnection: {
          http: {
            requestUri: "/global-networks/{globalNetworkId}/connections"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "DeviceId",
              "ConnectedDeviceId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              DeviceId: {},
              ConnectedDeviceId: {},
              LinkId: {},
              ConnectedLinkId: {},
              Description: {},
              Tags: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Connection: {
                shape: "S1p"
              }
            }
          }
        },
        CreateCoreNetwork: {
          http: {
            requestUri: "/core-networks"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {},
              Description: {},
              Tags: {
                shape: "Se"
              },
              PolicyDocument: {},
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoreNetwork: {
                shape: "S1w"
              }
            }
          }
        },
        CreateDevice: {
          http: {
            requestUri: "/global-networks/{globalNetworkId}/devices"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              AWSLocation: {
                shape: "S24"
              },
              Description: {},
              Type: {},
              Vendor: {},
              Model: {},
              SerialNumber: {},
              Location: {
                shape: "S26"
              },
              SiteId: {},
              Tags: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Device: {
                shape: "S29"
              }
            }
          }
        },
        CreateGlobalNetwork: {
          http: {
            requestUri: "/global-networks"
          },
          input: {
            type: "structure",
            members: {
              Description: {},
              Tags: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GlobalNetwork: {
                shape: "S2e"
              }
            }
          }
        },
        CreateLink: {
          http: {
            requestUri: "/global-networks/{globalNetworkId}/links"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "Bandwidth",
              "SiteId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              Description: {},
              Type: {},
              Bandwidth: {
                shape: "S2i"
              },
              Provider: {},
              SiteId: {},
              Tags: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Link: {
                shape: "S2k"
              }
            }
          }
        },
        CreateSite: {
          http: {
            requestUri: "/global-networks/{globalNetworkId}/sites"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              Description: {},
              Location: {
                shape: "S26"
              },
              Tags: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Site: {
                shape: "S2p"
              }
            }
          }
        },
        CreateSiteToSiteVpnAttachment: {
          http: {
            requestUri: "/site-to-site-vpn-attachments"
          },
          input: {
            type: "structure",
            required: [
              "CoreNetworkId",
              "VpnConnectionArn"
            ],
            members: {
              CoreNetworkId: {},
              VpnConnectionArn: {},
              Tags: {
                shape: "Se"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SiteToSiteVpnAttachment: {
                shape: "S2v"
              }
            }
          }
        },
        CreateTransitGatewayPeering: {
          http: {
            requestUri: "/transit-gateway-peerings"
          },
          input: {
            type: "structure",
            required: [
              "CoreNetworkId",
              "TransitGatewayArn"
            ],
            members: {
              CoreNetworkId: {},
              TransitGatewayArn: {},
              Tags: {
                shape: "Se"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayPeering: {
                shape: "S2z"
              }
            }
          }
        },
        CreateTransitGatewayRouteTableAttachment: {
          http: {
            requestUri: "/transit-gateway-route-table-attachments"
          },
          input: {
            type: "structure",
            required: [
              "PeeringId",
              "TransitGatewayRouteTableArn"
            ],
            members: {
              PeeringId: {},
              TransitGatewayRouteTableArn: {},
              Tags: {
                shape: "Se"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayRouteTableAttachment: {
                shape: "S38"
              }
            }
          }
        },
        CreateVpcAttachment: {
          http: {
            requestUri: "/vpc-attachments"
          },
          input: {
            type: "structure",
            required: [
              "CoreNetworkId",
              "VpcArn",
              "SubnetArns"
            ],
            members: {
              CoreNetworkId: {},
              VpcArn: {},
              SubnetArns: {
                shape: "S3b"
              },
              Options: {
                shape: "S3c"
              },
              Tags: {
                shape: "Se"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpcAttachment: {
                shape: "S3f"
              }
            }
          }
        },
        DeleteAttachment: {
          http: {
            method: "DELETE",
            requestUri: "/attachments/{attachmentId}"
          },
          input: {
            type: "structure",
            required: [
              "AttachmentId"
            ],
            members: {
              AttachmentId: {
                location: "uri",
                locationName: "attachmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attachment: {
                shape: "S4"
              }
            }
          }
        },
        DeleteConnectPeer: {
          http: {
            method: "DELETE",
            requestUri: "/connect-peers/{connectPeerId}"
          },
          input: {
            type: "structure",
            required: [
              "ConnectPeerId"
            ],
            members: {
              ConnectPeerId: {
                location: "uri",
                locationName: "connectPeerId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectPeer: {
                shape: "S1i"
              }
            }
          }
        },
        DeleteConnection: {
          http: {
            method: "DELETE",
            requestUri: "/global-networks/{globalNetworkId}/connections/{connectionId}"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "ConnectionId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              ConnectionId: {
                location: "uri",
                locationName: "connectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Connection: {
                shape: "S1p"
              }
            }
          }
        },
        DeleteCoreNetwork: {
          http: {
            method: "DELETE",
            requestUri: "/core-networks/{coreNetworkId}"
          },
          input: {
            type: "structure",
            required: [
              "CoreNetworkId"
            ],
            members: {
              CoreNetworkId: {
                location: "uri",
                locationName: "coreNetworkId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoreNetwork: {
                shape: "S1w"
              }
            }
          }
        },
        DeleteCoreNetworkPolicyVersion: {
          http: {
            method: "DELETE",
            requestUri: "/core-networks/{coreNetworkId}/core-network-policy-versions/{policyVersionId}"
          },
          input: {
            type: "structure",
            required: [
              "CoreNetworkId",
              "PolicyVersionId"
            ],
            members: {
              CoreNetworkId: {
                location: "uri",
                locationName: "coreNetworkId"
              },
              PolicyVersionId: {
                location: "uri",
                locationName: "policyVersionId",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoreNetworkPolicy: {
                shape: "S3q"
              }
            }
          }
        },
        DeleteDevice: {
          http: {
            method: "DELETE",
            requestUri: "/global-networks/{globalNetworkId}/devices/{deviceId}"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "DeviceId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              DeviceId: {
                location: "uri",
                locationName: "deviceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Device: {
                shape: "S29"
              }
            }
          }
        },
        DeleteGlobalNetwork: {
          http: {
            method: "DELETE",
            requestUri: "/global-networks/{globalNetworkId}"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GlobalNetwork: {
                shape: "S2e"
              }
            }
          }
        },
        DeleteLink: {
          http: {
            method: "DELETE",
            requestUri: "/global-networks/{globalNetworkId}/links/{linkId}"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "LinkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              LinkId: {
                location: "uri",
                locationName: "linkId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Link: {
                shape: "S2k"
              }
            }
          }
        },
        DeletePeering: {
          http: {
            method: "DELETE",
            requestUri: "/peerings/{peeringId}"
          },
          input: {
            type: "structure",
            required: [
              "PeeringId"
            ],
            members: {
              PeeringId: {
                location: "uri",
                locationName: "peeringId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Peering: {
                shape: "S30"
              }
            }
          }
        },
        DeleteResourcePolicy: {
          http: {
            method: "DELETE",
            requestUri: "/resource-policy/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSite: {
          http: {
            method: "DELETE",
            requestUri: "/global-networks/{globalNetworkId}/sites/{siteId}"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "SiteId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              SiteId: {
                location: "uri",
                locationName: "siteId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Site: {
                shape: "S2p"
              }
            }
          }
        },
        DeregisterTransitGateway: {
          http: {
            method: "DELETE",
            requestUri: "/global-networks/{globalNetworkId}/transit-gateway-registrations/{transitGatewayArn}"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "TransitGatewayArn"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              TransitGatewayArn: {
                location: "uri",
                locationName: "transitGatewayArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayRegistration: {
                shape: "S4a"
              }
            }
          }
        },
        DescribeGlobalNetworks: {
          http: {
            method: "GET",
            requestUri: "/global-networks"
          },
          input: {
            type: "structure",
            members: {
              GlobalNetworkIds: {
                location: "querystring",
                locationName: "globalNetworkIds",
                type: "list",
                member: {}
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GlobalNetworks: {
                type: "list",
                member: {
                  shape: "S2e"
                }
              },
              NextToken: {}
            }
          }
        },
        DisassociateConnectPeer: {
          http: {
            method: "DELETE",
            requestUri: "/global-networks/{globalNetworkId}/connect-peer-associations/{connectPeerId}"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "ConnectPeerId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              ConnectPeerId: {
                location: "uri",
                locationName: "connectPeerId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectPeerAssociation: {
                shape: "Sq"
              }
            }
          }
        },
        DisassociateCustomerGateway: {
          http: {
            method: "DELETE",
            requestUri: "/global-networks/{globalNetworkId}/customer-gateway-associations/{customerGatewayArn}"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "CustomerGatewayArn"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              CustomerGatewayArn: {
                location: "uri",
                locationName: "customerGatewayArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CustomerGatewayAssociation: {
                shape: "Sv"
              }
            }
          }
        },
        DisassociateLink: {
          http: {
            method: "DELETE",
            requestUri: "/global-networks/{globalNetworkId}/link-associations"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "DeviceId",
              "LinkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              DeviceId: {
                location: "querystring",
                locationName: "deviceId"
              },
              LinkId: {
                location: "querystring",
                locationName: "linkId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LinkAssociation: {
                shape: "Sz"
              }
            }
          }
        },
        DisassociateTransitGatewayConnectPeer: {
          http: {
            method: "DELETE",
            requestUri: "/global-networks/{globalNetworkId}/transit-gateway-connect-peer-associations/{transitGatewayConnectPeerArn}"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "TransitGatewayConnectPeerArn"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              TransitGatewayConnectPeerArn: {
                location: "uri",
                locationName: "transitGatewayConnectPeerArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayConnectPeerAssociation: {
                shape: "S14"
              }
            }
          }
        },
        ExecuteCoreNetworkChangeSet: {
          http: {
            requestUri: "/core-networks/{coreNetworkId}/core-network-change-sets/{policyVersionId}/execute"
          },
          input: {
            type: "structure",
            required: [
              "CoreNetworkId",
              "PolicyVersionId"
            ],
            members: {
              CoreNetworkId: {
                location: "uri",
                locationName: "coreNetworkId"
              },
              PolicyVersionId: {
                location: "uri",
                locationName: "policyVersionId",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetConnectAttachment: {
          http: {
            method: "GET",
            requestUri: "/connect-attachments/{attachmentId}"
          },
          input: {
            type: "structure",
            required: [
              "AttachmentId"
            ],
            members: {
              AttachmentId: {
                location: "uri",
                locationName: "attachmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectAttachment: {
                shape: "S1b"
              }
            }
          }
        },
        GetConnectPeer: {
          http: {
            method: "GET",
            requestUri: "/connect-peers/{connectPeerId}"
          },
          input: {
            type: "structure",
            required: [
              "ConnectPeerId"
            ],
            members: {
              ConnectPeerId: {
                location: "uri",
                locationName: "connectPeerId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectPeer: {
                shape: "S1i"
              }
            }
          }
        },
        GetConnectPeerAssociations: {
          http: {
            method: "GET",
            requestUri: "/global-networks/{globalNetworkId}/connect-peer-associations"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              ConnectPeerIds: {
                location: "querystring",
                locationName: "connectPeerIds",
                type: "list",
                member: {}
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectPeerAssociations: {
                type: "list",
                member: {
                  shape: "Sq"
                }
              },
              NextToken: {}
            }
          }
        },
        GetConnections: {
          http: {
            method: "GET",
            requestUri: "/global-networks/{globalNetworkId}/connections"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              ConnectionIds: {
                location: "querystring",
                locationName: "connectionIds",
                type: "list",
                member: {}
              },
              DeviceId: {
                location: "querystring",
                locationName: "deviceId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Connections: {
                type: "list",
                member: {
                  shape: "S1p"
                }
              },
              NextToken: {}
            }
          }
        },
        GetCoreNetwork: {
          http: {
            method: "GET",
            requestUri: "/core-networks/{coreNetworkId}"
          },
          input: {
            type: "structure",
            required: [
              "CoreNetworkId"
            ],
            members: {
              CoreNetworkId: {
                location: "uri",
                locationName: "coreNetworkId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoreNetwork: {
                shape: "S1w"
              }
            }
          }
        },
        GetCoreNetworkChangeEvents: {
          http: {
            method: "GET",
            requestUri: "/core-networks/{coreNetworkId}/core-network-change-events/{policyVersionId}"
          },
          input: {
            type: "structure",
            required: [
              "CoreNetworkId",
              "PolicyVersionId"
            ],
            members: {
              CoreNetworkId: {
                location: "uri",
                locationName: "coreNetworkId"
              },
              PolicyVersionId: {
                location: "uri",
                locationName: "policyVersionId",
                type: "integer"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoreNetworkChangeEvents: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    Action: {},
                    IdentifierPath: {},
                    EventTime: {
                      type: "timestamp"
                    },
                    Status: {},
                    Values: {
                      type: "structure",
                      members: {
                        EdgeLocation: {},
                        SegmentName: {},
                        AttachmentId: {},
                        Cidr: {}
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetCoreNetworkChangeSet: {
          http: {
            method: "GET",
            requestUri: "/core-networks/{coreNetworkId}/core-network-change-sets/{policyVersionId}"
          },
          input: {
            type: "structure",
            required: [
              "CoreNetworkId",
              "PolicyVersionId"
            ],
            members: {
              CoreNetworkId: {
                location: "uri",
                locationName: "coreNetworkId"
              },
              PolicyVersionId: {
                location: "uri",
                locationName: "policyVersionId",
                type: "integer"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoreNetworkChanges: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    Action: {},
                    Identifier: {},
                    PreviousValues: {
                      shape: "S5j"
                    },
                    NewValues: {
                      shape: "S5j"
                    },
                    IdentifierPath: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetCoreNetworkPolicy: {
          http: {
            method: "GET",
            requestUri: "/core-networks/{coreNetworkId}/core-network-policy"
          },
          input: {
            type: "structure",
            required: [
              "CoreNetworkId"
            ],
            members: {
              CoreNetworkId: {
                location: "uri",
                locationName: "coreNetworkId"
              },
              PolicyVersionId: {
                location: "querystring",
                locationName: "policyVersionId",
                type: "integer"
              },
              Alias: {
                location: "querystring",
                locationName: "alias"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoreNetworkPolicy: {
                shape: "S3q"
              }
            }
          }
        },
        GetCustomerGatewayAssociations: {
          http: {
            method: "GET",
            requestUri: "/global-networks/{globalNetworkId}/customer-gateway-associations"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              CustomerGatewayArns: {
                location: "querystring",
                locationName: "customerGatewayArns",
                type: "list",
                member: {}
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CustomerGatewayAssociations: {
                type: "list",
                member: {
                  shape: "Sv"
                }
              },
              NextToken: {}
            }
          }
        },
        GetDevices: {
          http: {
            method: "GET",
            requestUri: "/global-networks/{globalNetworkId}/devices"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              DeviceIds: {
                location: "querystring",
                locationName: "deviceIds",
                type: "list",
                member: {}
              },
              SiteId: {
                location: "querystring",
                locationName: "siteId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Devices: {
                type: "list",
                member: {
                  shape: "S29"
                }
              },
              NextToken: {}
            }
          }
        },
        GetLinkAssociations: {
          http: {
            method: "GET",
            requestUri: "/global-networks/{globalNetworkId}/link-associations"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              DeviceId: {
                location: "querystring",
                locationName: "deviceId"
              },
              LinkId: {
                location: "querystring",
                locationName: "linkId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LinkAssociations: {
                type: "list",
                member: {
                  shape: "Sz"
                }
              },
              NextToken: {}
            }
          }
        },
        GetLinks: {
          http: {
            method: "GET",
            requestUri: "/global-networks/{globalNetworkId}/links"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              LinkIds: {
                location: "querystring",
                locationName: "linkIds",
                type: "list",
                member: {}
              },
              SiteId: {
                location: "querystring",
                locationName: "siteId"
              },
              Type: {
                location: "querystring",
                locationName: "type"
              },
              Provider: {
                location: "querystring",
                locationName: "provider"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Links: {
                type: "list",
                member: {
                  shape: "S2k"
                }
              },
              NextToken: {}
            }
          }
        },
        GetNetworkResourceCounts: {
          http: {
            method: "GET",
            requestUri: "/global-networks/{globalNetworkId}/network-resource-count"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkResourceCounts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceType: {},
                    Count: {
                      type: "integer"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetNetworkResourceRelationships: {
          http: {
            method: "GET",
            requestUri: "/global-networks/{globalNetworkId}/network-resource-relationships"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              CoreNetworkId: {
                location: "querystring",
                locationName: "coreNetworkId"
              },
              RegisteredGatewayArn: {
                location: "querystring",
                locationName: "registeredGatewayArn"
              },
              AwsRegion: {
                location: "querystring",
                locationName: "awsRegion"
              },
              AccountId: {
                location: "querystring",
                locationName: "accountId"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              ResourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Relationships: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    From: {},
                    To: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetNetworkResources: {
          http: {
            method: "GET",
            requestUri: "/global-networks/{globalNetworkId}/network-resources"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              CoreNetworkId: {
                location: "querystring",
                locationName: "coreNetworkId"
              },
              RegisteredGatewayArn: {
                location: "querystring",
                locationName: "registeredGatewayArn"
              },
              AwsRegion: {
                location: "querystring",
                locationName: "awsRegion"
              },
              AccountId: {
                location: "querystring",
                locationName: "accountId"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              ResourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkResources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RegisteredGatewayArn: {},
                    CoreNetworkId: {},
                    AwsRegion: {},
                    AccountId: {},
                    ResourceType: {},
                    ResourceId: {},
                    ResourceArn: {},
                    Definition: {},
                    DefinitionTimestamp: {
                      type: "timestamp"
                    },
                    Tags: {
                      shape: "Se"
                    },
                    Metadata: {
                      shape: "S6d"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetNetworkRoutes: {
          http: {
            requestUri: "/global-networks/{globalNetworkId}/network-routes"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "RouteTableIdentifier"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              RouteTableIdentifier: {
                type: "structure",
                members: {
                  TransitGatewayRouteTableArn: {},
                  CoreNetworkSegmentEdge: {
                    shape: "S6g"
                  }
                }
              },
              ExactCidrMatches: {
                shape: "S1g"
              },
              LongestPrefixMatches: {
                shape: "S1g"
              },
              SubnetOfMatches: {
                shape: "S1g"
              },
              SupernetOfMatches: {
                shape: "S1g"
              },
              PrefixListIds: {
                shape: "S1g"
              },
              States: {
                type: "list",
                member: {}
              },
              Types: {
                type: "list",
                member: {}
              },
              DestinationFilters: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RouteTableArn: {},
              CoreNetworkSegmentEdge: {
                shape: "S6g"
              },
              RouteTableType: {},
              RouteTableTimestamp: {
                type: "timestamp"
              },
              NetworkRoutes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DestinationCidrBlock: {},
                    Destinations: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          CoreNetworkAttachmentId: {},
                          TransitGatewayAttachmentId: {},
                          SegmentName: {},
                          EdgeLocation: {},
                          ResourceType: {},
                          ResourceId: {}
                        }
                      }
                    },
                    PrefixListId: {},
                    State: {},
                    Type: {}
                  }
                }
              }
            }
          }
        },
        GetNetworkTelemetry: {
          http: {
            method: "GET",
            requestUri: "/global-networks/{globalNetworkId}/network-telemetry"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              CoreNetworkId: {
                location: "querystring",
                locationName: "coreNetworkId"
              },
              RegisteredGatewayArn: {
                location: "querystring",
                locationName: "registeredGatewayArn"
              },
              AwsRegion: {
                location: "querystring",
                locationName: "awsRegion"
              },
              AccountId: {
                location: "querystring",
                locationName: "accountId"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              ResourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NetworkTelemetry: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RegisteredGatewayArn: {},
                    CoreNetworkId: {},
                    AwsRegion: {},
                    AccountId: {},
                    ResourceType: {},
                    ResourceId: {},
                    ResourceArn: {},
                    Address: {},
                    Health: {
                      type: "structure",
                      members: {
                        Type: {},
                        Status: {},
                        Timestamp: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetResourcePolicy: {
          http: {
            method: "GET",
            requestUri: "/resource-policy/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PolicyDocument: {
                jsonvalue: true
              }
            }
          }
        },
        GetRouteAnalysis: {
          http: {
            method: "GET",
            requestUri: "/global-networks/{globalNetworkId}/route-analyses/{routeAnalysisId}"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "RouteAnalysisId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              RouteAnalysisId: {
                location: "uri",
                locationName: "routeAnalysisId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RouteAnalysis: {
                shape: "S78"
              }
            }
          }
        },
        GetSiteToSiteVpnAttachment: {
          http: {
            method: "GET",
            requestUri: "/site-to-site-vpn-attachments/{attachmentId}"
          },
          input: {
            type: "structure",
            required: [
              "AttachmentId"
            ],
            members: {
              AttachmentId: {
                location: "uri",
                locationName: "attachmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SiteToSiteVpnAttachment: {
                shape: "S2v"
              }
            }
          }
        },
        GetSites: {
          http: {
            method: "GET",
            requestUri: "/global-networks/{globalNetworkId}/sites"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              SiteIds: {
                location: "querystring",
                locationName: "siteIds",
                type: "list",
                member: {}
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Sites: {
                type: "list",
                member: {
                  shape: "S2p"
                }
              },
              NextToken: {}
            }
          }
        },
        GetTransitGatewayConnectPeerAssociations: {
          http: {
            method: "GET",
            requestUri: "/global-networks/{globalNetworkId}/transit-gateway-connect-peer-associations"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              TransitGatewayConnectPeerArns: {
                location: "querystring",
                locationName: "transitGatewayConnectPeerArns",
                type: "list",
                member: {}
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayConnectPeerAssociations: {
                type: "list",
                member: {
                  shape: "S14"
                }
              },
              NextToken: {}
            }
          }
        },
        GetTransitGatewayPeering: {
          http: {
            method: "GET",
            requestUri: "/transit-gateway-peerings/{peeringId}"
          },
          input: {
            type: "structure",
            required: [
              "PeeringId"
            ],
            members: {
              PeeringId: {
                location: "uri",
                locationName: "peeringId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayPeering: {
                shape: "S2z"
              }
            }
          }
        },
        GetTransitGatewayRegistrations: {
          http: {
            method: "GET",
            requestUri: "/global-networks/{globalNetworkId}/transit-gateway-registrations"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              TransitGatewayArns: {
                location: "querystring",
                locationName: "transitGatewayArns",
                type: "list",
                member: {}
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayRegistrations: {
                type: "list",
                member: {
                  shape: "S4a"
                }
              },
              NextToken: {}
            }
          }
        },
        GetTransitGatewayRouteTableAttachment: {
          http: {
            method: "GET",
            requestUri: "/transit-gateway-route-table-attachments/{attachmentId}"
          },
          input: {
            type: "structure",
            required: [
              "AttachmentId"
            ],
            members: {
              AttachmentId: {
                location: "uri",
                locationName: "attachmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayRouteTableAttachment: {
                shape: "S38"
              }
            }
          }
        },
        GetVpcAttachment: {
          http: {
            method: "GET",
            requestUri: "/vpc-attachments/{attachmentId}"
          },
          input: {
            type: "structure",
            required: [
              "AttachmentId"
            ],
            members: {
              AttachmentId: {
                location: "uri",
                locationName: "attachmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpcAttachment: {
                shape: "S3f"
              }
            }
          }
        },
        ListAttachments: {
          http: {
            method: "GET",
            requestUri: "/attachments"
          },
          input: {
            type: "structure",
            members: {
              CoreNetworkId: {
                location: "querystring",
                locationName: "coreNetworkId"
              },
              AttachmentType: {
                location: "querystring",
                locationName: "attachmentType"
              },
              EdgeLocation: {
                location: "querystring",
                locationName: "edgeLocation"
              },
              State: {
                location: "querystring",
                locationName: "state"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attachments: {
                type: "list",
                member: {
                  shape: "S4"
                }
              },
              NextToken: {}
            }
          }
        },
        ListConnectPeers: {
          http: {
            method: "GET",
            requestUri: "/connect-peers"
          },
          input: {
            type: "structure",
            members: {
              CoreNetworkId: {
                location: "querystring",
                locationName: "coreNetworkId"
              },
              ConnectAttachmentId: {
                location: "querystring",
                locationName: "connectAttachmentId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectPeers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CoreNetworkId: {},
                    ConnectAttachmentId: {},
                    ConnectPeerId: {},
                    EdgeLocation: {},
                    ConnectPeerState: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    Tags: {
                      shape: "Se"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCoreNetworkPolicyVersions: {
          http: {
            method: "GET",
            requestUri: "/core-networks/{coreNetworkId}/core-network-policy-versions"
          },
          input: {
            type: "structure",
            required: [
              "CoreNetworkId"
            ],
            members: {
              CoreNetworkId: {
                location: "uri",
                locationName: "coreNetworkId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoreNetworkPolicyVersions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CoreNetworkId: {},
                    PolicyVersionId: {
                      type: "integer"
                    },
                    Alias: {},
                    Description: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    ChangeSetState: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCoreNetworks: {
          http: {
            method: "GET",
            requestUri: "/core-networks"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoreNetworks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CoreNetworkId: {},
                    CoreNetworkArn: {},
                    GlobalNetworkId: {},
                    OwnerAccountId: {},
                    State: {},
                    Description: {},
                    Tags: {
                      shape: "Se"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListOrganizationServiceAccessStatus: {
          http: {
            method: "GET",
            requestUri: "/organizations/service-access"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationStatus: {
                shape: "S8n"
              },
              NextToken: {}
            }
          }
        },
        ListPeerings: {
          http: {
            method: "GET",
            requestUri: "/peerings"
          },
          input: {
            type: "structure",
            members: {
              CoreNetworkId: {
                location: "querystring",
                locationName: "coreNetworkId"
              },
              PeeringType: {
                location: "querystring",
                locationName: "peeringType"
              },
              EdgeLocation: {
                location: "querystring",
                locationName: "edgeLocation"
              },
              State: {
                location: "querystring",
                locationName: "state"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Peerings: {
                type: "list",
                member: {
                  shape: "S30"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TagList: {
                shape: "Se"
              }
            }
          }
        },
        PutCoreNetworkPolicy: {
          http: {
            requestUri: "/core-networks/{coreNetworkId}/core-network-policy"
          },
          input: {
            type: "structure",
            required: [
              "CoreNetworkId",
              "PolicyDocument"
            ],
            members: {
              CoreNetworkId: {
                location: "uri",
                locationName: "coreNetworkId"
              },
              PolicyDocument: {
                jsonvalue: true
              },
              Description: {},
              LatestVersionId: {
                type: "integer"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoreNetworkPolicy: {
                shape: "S3q"
              }
            }
          }
        },
        PutResourcePolicy: {
          http: {
            requestUri: "/resource-policy/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "PolicyDocument",
              "ResourceArn"
            ],
            members: {
              PolicyDocument: {
                jsonvalue: true
              },
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RegisterTransitGateway: {
          http: {
            requestUri: "/global-networks/{globalNetworkId}/transit-gateway-registrations"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "TransitGatewayArn"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              TransitGatewayArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TransitGatewayRegistration: {
                shape: "S4a"
              }
            }
          }
        },
        RejectAttachment: {
          http: {
            requestUri: "/attachments/{attachmentId}/reject"
          },
          input: {
            type: "structure",
            required: [
              "AttachmentId"
            ],
            members: {
              AttachmentId: {
                location: "uri",
                locationName: "attachmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attachment: {
                shape: "S4"
              }
            }
          }
        },
        RestoreCoreNetworkPolicyVersion: {
          http: {
            requestUri: "/core-networks/{coreNetworkId}/core-network-policy-versions/{policyVersionId}/restore"
          },
          input: {
            type: "structure",
            required: [
              "CoreNetworkId",
              "PolicyVersionId"
            ],
            members: {
              CoreNetworkId: {
                location: "uri",
                locationName: "coreNetworkId"
              },
              PolicyVersionId: {
                location: "uri",
                locationName: "policyVersionId",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CoreNetworkPolicy: {
                shape: "S3q"
              }
            }
          }
        },
        StartOrganizationServiceAccessUpdate: {
          http: {
            requestUri: "/organizations/service-access"
          },
          input: {
            type: "structure",
            required: [
              "Action"
            ],
            members: {
              Action: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OrganizationStatus: {
                shape: "S8n"
              }
            }
          }
        },
        StartRouteAnalysis: {
          http: {
            requestUri: "/global-networks/{globalNetworkId}/route-analyses"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "Source",
              "Destination"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              Source: {
                shape: "S9d"
              },
              Destination: {
                shape: "S9d"
              },
              IncludeReturnPath: {
                type: "boolean"
              },
              UseMiddleboxes: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RouteAnalysis: {
                shape: "S78"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              Tags: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateConnection: {
          http: {
            method: "PATCH",
            requestUri: "/global-networks/{globalNetworkId}/connections/{connectionId}"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "ConnectionId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              ConnectionId: {
                location: "uri",
                locationName: "connectionId"
              },
              LinkId: {},
              ConnectedLinkId: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Connection: {
                shape: "S1p"
              }
            }
          }
        },
        UpdateCoreNetwork: {
          http: {
            method: "PATCH",
            requestUri: "/core-networks/{coreNetworkId}"
          },
          input: {
            type: "structure",
            required: [
              "CoreNetworkId"
            ],
            members: {
              CoreNetworkId: {
                location: "uri",
                locationName: "coreNetworkId"
              },
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CoreNetwork: {
                shape: "S1w"
              }
            }
          }
        },
        UpdateDevice: {
          http: {
            method: "PATCH",
            requestUri: "/global-networks/{globalNetworkId}/devices/{deviceId}"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "DeviceId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              DeviceId: {
                location: "uri",
                locationName: "deviceId"
              },
              AWSLocation: {
                shape: "S24"
              },
              Description: {},
              Type: {},
              Vendor: {},
              Model: {},
              SerialNumber: {},
              Location: {
                shape: "S26"
              },
              SiteId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Device: {
                shape: "S29"
              }
            }
          }
        },
        UpdateGlobalNetwork: {
          http: {
            method: "PATCH",
            requestUri: "/global-networks/{globalNetworkId}"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GlobalNetwork: {
                shape: "S2e"
              }
            }
          }
        },
        UpdateLink: {
          http: {
            method: "PATCH",
            requestUri: "/global-networks/{globalNetworkId}/links/{linkId}"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "LinkId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              LinkId: {
                location: "uri",
                locationName: "linkId"
              },
              Description: {},
              Type: {},
              Bandwidth: {
                shape: "S2i"
              },
              Provider: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Link: {
                shape: "S2k"
              }
            }
          }
        },
        UpdateNetworkResourceMetadata: {
          http: {
            method: "PATCH",
            requestUri: "/global-networks/{globalNetworkId}/network-resources/{resourceArn}/metadata"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "ResourceArn",
              "Metadata"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              Metadata: {
                shape: "S6d"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceArn: {},
              Metadata: {
                shape: "S6d"
              }
            }
          }
        },
        UpdateSite: {
          http: {
            method: "PATCH",
            requestUri: "/global-networks/{globalNetworkId}/sites/{siteId}"
          },
          input: {
            type: "structure",
            required: [
              "GlobalNetworkId",
              "SiteId"
            ],
            members: {
              GlobalNetworkId: {
                location: "uri",
                locationName: "globalNetworkId"
              },
              SiteId: {
                location: "uri",
                locationName: "siteId"
              },
              Description: {},
              Location: {
                shape: "S26"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Site: {
                shape: "S2p"
              }
            }
          }
        },
        UpdateVpcAttachment: {
          http: {
            method: "PATCH",
            requestUri: "/vpc-attachments/{attachmentId}"
          },
          input: {
            type: "structure",
            required: [
              "AttachmentId"
            ],
            members: {
              AttachmentId: {
                location: "uri",
                locationName: "attachmentId"
              },
              AddSubnetArns: {
                shape: "S3b"
              },
              RemoveSubnetArns: {
                shape: "S3b"
              },
              Options: {
                shape: "S3c"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VpcAttachment: {
                shape: "S3f"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            CoreNetworkId: {},
            CoreNetworkArn: {},
            AttachmentId: {},
            OwnerAccountId: {},
            AttachmentType: {},
            State: {},
            EdgeLocation: {},
            ResourceArn: {},
            AttachmentPolicyRuleNumber: {
              type: "integer"
            },
            SegmentName: {},
            Tags: {
              shape: "Se"
            },
            ProposedSegmentChange: {
              type: "structure",
              members: {
                Tags: {
                  shape: "Se"
                },
                AttachmentPolicyRuleNumber: {
                  type: "integer"
                },
                SegmentName: {}
              }
            },
            CreatedAt: {
              type: "timestamp"
            },
            UpdatedAt: {
              type: "timestamp"
            }
          }
        },
        Se: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sq: {
          type: "structure",
          members: {
            ConnectPeerId: {},
            GlobalNetworkId: {},
            DeviceId: {},
            LinkId: {},
            State: {}
          }
        },
        Sv: {
          type: "structure",
          members: {
            CustomerGatewayArn: {},
            GlobalNetworkId: {},
            DeviceId: {},
            LinkId: {},
            State: {}
          }
        },
        Sz: {
          type: "structure",
          members: {
            GlobalNetworkId: {},
            DeviceId: {},
            LinkId: {},
            LinkAssociationState: {}
          }
        },
        S14: {
          type: "structure",
          members: {
            TransitGatewayConnectPeerArn: {},
            GlobalNetworkId: {},
            DeviceId: {},
            LinkId: {},
            State: {}
          }
        },
        S17: {
          type: "structure",
          members: {
            Protocol: {}
          }
        },
        S1b: {
          type: "structure",
          members: {
            Attachment: {
              shape: "S4"
            },
            TransportAttachmentId: {},
            Options: {
              shape: "S17"
            }
          }
        },
        S1g: {
          type: "list",
          member: {}
        },
        S1i: {
          type: "structure",
          members: {
            CoreNetworkId: {},
            ConnectAttachmentId: {},
            ConnectPeerId: {},
            EdgeLocation: {},
            State: {},
            CreatedAt: {
              type: "timestamp"
            },
            Configuration: {
              type: "structure",
              members: {
                CoreNetworkAddress: {},
                PeerAddress: {},
                InsideCidrBlocks: {
                  shape: "S1g"
                },
                Protocol: {},
                BgpConfigurations: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      CoreNetworkAsn: {
                        type: "long"
                      },
                      PeerAsn: {
                        type: "long"
                      },
                      CoreNetworkAddress: {},
                      PeerAddress: {}
                    }
                  }
                }
              }
            },
            Tags: {
              shape: "Se"
            }
          }
        },
        S1p: {
          type: "structure",
          members: {
            ConnectionId: {},
            ConnectionArn: {},
            GlobalNetworkId: {},
            DeviceId: {},
            ConnectedDeviceId: {},
            LinkId: {},
            ConnectedLinkId: {},
            Description: {},
            CreatedAt: {
              type: "timestamp"
            },
            State: {},
            Tags: {
              shape: "Se"
            }
          }
        },
        S1w: {
          type: "structure",
          members: {
            GlobalNetworkId: {},
            CoreNetworkId: {},
            CoreNetworkArn: {},
            Description: {},
            CreatedAt: {
              type: "timestamp"
            },
            State: {},
            Segments: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Name: {},
                  EdgeLocations: {
                    shape: "S20"
                  },
                  SharedSegments: {
                    shape: "S1g"
                  }
                }
              }
            },
            Edges: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  EdgeLocation: {},
                  Asn: {
                    type: "long"
                  },
                  InsideCidrBlocks: {
                    shape: "S1g"
                  }
                }
              }
            },
            Tags: {
              shape: "Se"
            }
          }
        },
        S20: {
          type: "list",
          member: {}
        },
        S24: {
          type: "structure",
          members: {
            Zone: {},
            SubnetArn: {}
          }
        },
        S26: {
          type: "structure",
          members: {
            Address: {},
            Latitude: {},
            Longitude: {}
          },
          sensitive: true
        },
        S29: {
          type: "structure",
          members: {
            DeviceId: {},
            DeviceArn: {},
            GlobalNetworkId: {},
            AWSLocation: {
              shape: "S24"
            },
            Description: {},
            Type: {},
            Vendor: {},
            Model: {},
            SerialNumber: {},
            Location: {
              shape: "S26"
            },
            SiteId: {},
            CreatedAt: {
              type: "timestamp"
            },
            State: {},
            Tags: {
              shape: "Se"
            }
          }
        },
        S2e: {
          type: "structure",
          members: {
            GlobalNetworkId: {},
            GlobalNetworkArn: {},
            Description: {},
            CreatedAt: {
              type: "timestamp"
            },
            State: {},
            Tags: {
              shape: "Se"
            }
          }
        },
        S2i: {
          type: "structure",
          members: {
            UploadSpeed: {
              type: "integer"
            },
            DownloadSpeed: {
              type: "integer"
            }
          }
        },
        S2k: {
          type: "structure",
          members: {
            LinkId: {},
            LinkArn: {},
            GlobalNetworkId: {},
            SiteId: {},
            Description: {},
            Type: {},
            Bandwidth: {
              shape: "S2i"
            },
            Provider: {},
            CreatedAt: {
              type: "timestamp"
            },
            State: {},
            Tags: {
              shape: "Se"
            }
          }
        },
        S2p: {
          type: "structure",
          members: {
            SiteId: {},
            SiteArn: {},
            GlobalNetworkId: {},
            Description: {},
            Location: {
              shape: "S26"
            },
            CreatedAt: {
              type: "timestamp"
            },
            State: {},
            Tags: {
              shape: "Se"
            }
          }
        },
        S2v: {
          type: "structure",
          members: {
            Attachment: {
              shape: "S4"
            },
            VpnConnectionArn: {}
          }
        },
        S2z: {
          type: "structure",
          members: {
            Peering: {
              shape: "S30"
            },
            TransitGatewayArn: {},
            TransitGatewayPeeringAttachmentId: {}
          }
        },
        S30: {
          type: "structure",
          members: {
            CoreNetworkId: {},
            CoreNetworkArn: {},
            PeeringId: {},
            OwnerAccountId: {},
            PeeringType: {},
            State: {},
            EdgeLocation: {},
            ResourceArn: {},
            Tags: {
              shape: "Se"
            },
            CreatedAt: {
              type: "timestamp"
            }
          }
        },
        S38: {
          type: "structure",
          members: {
            Attachment: {
              shape: "S4"
            },
            PeeringId: {},
            TransitGatewayRouteTableArn: {}
          }
        },
        S3b: {
          type: "list",
          member: {}
        },
        S3c: {
          type: "structure",
          members: {
            Ipv6Support: {
              type: "boolean"
            },
            ApplianceModeSupport: {
              type: "boolean"
            }
          }
        },
        S3f: {
          type: "structure",
          members: {
            Attachment: {
              shape: "S4"
            },
            SubnetArns: {
              shape: "S3b"
            },
            Options: {
              shape: "S3c"
            }
          }
        },
        S3q: {
          type: "structure",
          members: {
            CoreNetworkId: {},
            PolicyVersionId: {
              type: "integer"
            },
            Alias: {},
            Description: {},
            CreatedAt: {
              type: "timestamp"
            },
            ChangeSetState: {},
            PolicyErrors: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "ErrorCode",
                  "Message"
                ],
                members: {
                  ErrorCode: {},
                  Message: {},
                  Path: {}
                }
              }
            },
            PolicyDocument: {
              jsonvalue: true
            }
          }
        },
        S4a: {
          type: "structure",
          members: {
            GlobalNetworkId: {},
            TransitGatewayArn: {},
            State: {
              type: "structure",
              members: {
                Code: {},
                Message: {}
              }
            }
          }
        },
        S5j: {
          type: "structure",
          members: {
            SegmentName: {},
            EdgeLocations: {
              shape: "S20"
            },
            Asn: {
              type: "long"
            },
            Cidr: {},
            DestinationIdentifier: {},
            InsideCidrBlocks: {
              shape: "S1g"
            },
            SharedSegments: {
              shape: "S1g"
            }
          }
        },
        S6d: {
          type: "map",
          key: {},
          value: {}
        },
        S6g: {
          type: "structure",
          members: {
            CoreNetworkId: {},
            SegmentName: {},
            EdgeLocation: {}
          }
        },
        S78: {
          type: "structure",
          members: {
            GlobalNetworkId: {},
            OwnerAccountId: {},
            RouteAnalysisId: {},
            StartTimestamp: {
              type: "timestamp"
            },
            Status: {},
            Source: {
              shape: "S7a"
            },
            Destination: {
              shape: "S7a"
            },
            IncludeReturnPath: {
              type: "boolean"
            },
            UseMiddleboxes: {
              type: "boolean"
            },
            ForwardPath: {
              shape: "S7c"
            },
            ReturnPath: {
              shape: "S7c"
            }
          }
        },
        S7a: {
          type: "structure",
          members: {
            TransitGatewayAttachmentArn: {},
            TransitGatewayArn: {},
            IpAddress: {}
          }
        },
        S7c: {
          type: "structure",
          members: {
            CompletionStatus: {
              type: "structure",
              members: {
                ResultCode: {},
                ReasonCode: {},
                ReasonContext: {
                  type: "map",
                  key: {},
                  value: {}
                }
              }
            },
            Path: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Sequence: {
                    type: "integer"
                  },
                  Resource: {
                    type: "structure",
                    members: {
                      RegisteredGatewayArn: {},
                      ResourceArn: {},
                      ResourceType: {},
                      Definition: {},
                      NameTag: {},
                      IsMiddlebox: {
                        type: "boolean"
                      }
                    }
                  },
                  DestinationCidrBlock: {}
                }
              }
            }
          }
        },
        S8n: {
          type: "structure",
          members: {
            OrganizationId: {},
            OrganizationAwsServiceAccessStatus: {},
            SLRDeploymentStatus: {},
            AccountStatusList: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  AccountId: {},
                  SLRDeploymentStatus: {}
                }
              }
            }
          }
        },
        S9d: {
          type: "structure",
          members: {
            TransitGatewayAttachmentArn: {},
            IpAddress: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/networkmanager-2019-07-05.paginators.json
var require_networkmanager_2019_07_05_paginators = __commonJS({
  "node_modules/aws-sdk/apis/networkmanager-2019-07-05.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeGlobalNetworks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "GlobalNetworks"
        },
        GetConnectPeerAssociations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ConnectPeerAssociations"
        },
        GetConnections: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Connections"
        },
        GetCoreNetworkChangeEvents: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "CoreNetworkChangeEvents"
        },
        GetCoreNetworkChangeSet: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "CoreNetworkChanges"
        },
        GetCustomerGatewayAssociations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "CustomerGatewayAssociations"
        },
        GetDevices: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Devices"
        },
        GetLinkAssociations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "LinkAssociations"
        },
        GetLinks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Links"
        },
        GetNetworkResourceCounts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "NetworkResourceCounts"
        },
        GetNetworkResourceRelationships: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Relationships"
        },
        GetNetworkResources: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "NetworkResources"
        },
        GetNetworkTelemetry: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "NetworkTelemetry"
        },
        GetSites: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Sites"
        },
        GetTransitGatewayConnectPeerAssociations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "TransitGatewayConnectPeerAssociations"
        },
        GetTransitGatewayRegistrations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "TransitGatewayRegistrations"
        },
        ListAttachments: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Attachments"
        },
        ListConnectPeers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ConnectPeers"
        },
        ListCoreNetworkPolicyVersions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "CoreNetworkPolicyVersions"
        },
        ListCoreNetworks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "CoreNetworks"
        },
        ListPeerings: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Peerings"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/networkmanager.js
var require_networkmanager = __commonJS({
  "node_modules/aws-sdk/clients/networkmanager.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["networkmanager"] = {};
    AWS2.NetworkManager = Service.defineService("networkmanager", ["2019-07-05"]);
    Object.defineProperty(apiLoader.services["networkmanager"], "2019-07-05", {
      get: function get() {
        var model = require_networkmanager_2019_07_05_min();
        model.paginators = require_networkmanager_2019_07_05_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.NetworkManager;
  }
});

// node_modules/aws-sdk/apis/outposts-2019-12-03.min.json
var require_outposts_2019_12_03_min = __commonJS({
  "node_modules/aws-sdk/apis/outposts-2019-12-03.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-12-03",
        endpointPrefix: "outposts",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Outposts",
        serviceFullName: "AWS Outposts",
        serviceId: "Outposts",
        signatureVersion: "v4",
        signingName: "outposts",
        uid: "outposts-2019-12-03"
      },
      operations: {
        CancelOrder: {
          http: {
            requestUri: "/orders/{OrderId}/cancel"
          },
          input: {
            type: "structure",
            required: [
              "OrderId"
            ],
            members: {
              OrderId: {
                location: "uri",
                locationName: "OrderId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateOrder: {
          http: {
            requestUri: "/orders"
          },
          input: {
            type: "structure",
            required: [
              "OutpostIdentifier",
              "LineItems",
              "PaymentOption"
            ],
            members: {
              OutpostIdentifier: {},
              LineItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CatalogItemId: {},
                    Quantity: {
                      type: "integer"
                    }
                  }
                }
              },
              PaymentOption: {},
              PaymentTerm: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Order: {
                shape: "Sd"
              }
            }
          }
        },
        CreateOutpost: {
          http: {
            requestUri: "/outposts"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "SiteId"
            ],
            members: {
              Name: {},
              Description: {},
              SiteId: {},
              AvailabilityZone: {},
              AvailabilityZoneId: {},
              Tags: {
                shape: "S10"
              },
              SupportedHardwareType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Outpost: {
                shape: "S15"
              }
            }
          }
        },
        CreateSite: {
          http: {
            requestUri: "/sites"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              Notes: {},
              Tags: {
                shape: "S10"
              },
              OperatingAddress: {
                shape: "S1f"
              },
              ShippingAddress: {
                shape: "S1f"
              },
              RackPhysicalProperties: {
                shape: "S1r"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Site: {
                shape: "S22"
              }
            }
          }
        },
        DeleteOutpost: {
          http: {
            method: "DELETE",
            requestUri: "/outposts/{OutpostId}"
          },
          input: {
            type: "structure",
            required: [
              "OutpostId"
            ],
            members: {
              OutpostId: {
                location: "uri",
                locationName: "OutpostId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSite: {
          http: {
            method: "DELETE",
            requestUri: "/sites/{SiteId}"
          },
          input: {
            type: "structure",
            required: [
              "SiteId"
            ],
            members: {
              SiteId: {
                location: "uri",
                locationName: "SiteId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetCatalogItem: {
          http: {
            method: "GET",
            requestUri: "/catalog/item/{CatalogItemId}"
          },
          input: {
            type: "structure",
            required: [
              "CatalogItemId"
            ],
            members: {
              CatalogItemId: {
                location: "uri",
                locationName: "CatalogItemId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CatalogItem: {
                shape: "S2a"
              }
            }
          }
        },
        GetConnection: {
          http: {
            method: "GET",
            requestUri: "/connections/{ConnectionId}"
          },
          input: {
            type: "structure",
            required: [
              "ConnectionId"
            ],
            members: {
              ConnectionId: {
                location: "uri",
                locationName: "ConnectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionId: {},
              ConnectionDetails: {
                type: "structure",
                members: {
                  ClientPublicKey: {},
                  ServerPublicKey: {},
                  ServerEndpoint: {},
                  ClientTunnelAddress: {},
                  ServerTunnelAddress: {},
                  AllowedIps: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          }
        },
        GetOrder: {
          http: {
            method: "GET",
            requestUri: "/orders/{OrderId}"
          },
          input: {
            type: "structure",
            required: [
              "OrderId"
            ],
            members: {
              OrderId: {
                location: "uri",
                locationName: "OrderId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Order: {
                shape: "Sd"
              }
            }
          }
        },
        GetOutpost: {
          http: {
            method: "GET",
            requestUri: "/outposts/{OutpostId}"
          },
          input: {
            type: "structure",
            required: [
              "OutpostId"
            ],
            members: {
              OutpostId: {
                location: "uri",
                locationName: "OutpostId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Outpost: {
                shape: "S15"
              }
            }
          }
        },
        GetOutpostInstanceTypes: {
          http: {
            method: "GET",
            requestUri: "/outposts/{OutpostId}/instanceTypes"
          },
          input: {
            type: "structure",
            required: [
              "OutpostId"
            ],
            members: {
              OutpostId: {
                location: "uri",
                locationName: "OutpostId"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceTypes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InstanceType: {}
                  }
                }
              },
              NextToken: {},
              OutpostId: {},
              OutpostArn: {}
            }
          }
        },
        GetSite: {
          http: {
            method: "GET",
            requestUri: "/sites/{SiteId}"
          },
          input: {
            type: "structure",
            required: [
              "SiteId"
            ],
            members: {
              SiteId: {
                location: "uri",
                locationName: "SiteId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Site: {
                shape: "S22"
              }
            }
          }
        },
        GetSiteAddress: {
          http: {
            method: "GET",
            requestUri: "/sites/{SiteId}/address"
          },
          input: {
            type: "structure",
            required: [
              "SiteId",
              "AddressType"
            ],
            members: {
              SiteId: {
                location: "uri",
                locationName: "SiteId"
              },
              AddressType: {
                location: "querystring",
                locationName: "AddressType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SiteId: {},
              AddressType: {},
              Address: {
                shape: "S1f"
              }
            }
          }
        },
        ListAssets: {
          http: {
            method: "GET",
            requestUri: "/outposts/{OutpostId}/assets"
          },
          input: {
            type: "structure",
            required: [
              "OutpostIdentifier"
            ],
            members: {
              OutpostIdentifier: {
                location: "uri",
                locationName: "OutpostId"
              },
              HostIdFilter: {
                location: "querystring",
                locationName: "HostIdFilter",
                type: "list",
                member: {}
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              StatusFilter: {
                location: "querystring",
                locationName: "StatusFilter",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Assets: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AssetId: {},
                    RackId: {},
                    AssetType: {},
                    ComputeAttributes: {
                      type: "structure",
                      members: {
                        HostId: {},
                        State: {}
                      }
                    },
                    AssetLocation: {
                      type: "structure",
                      members: {
                        RackElevation: {
                          type: "float"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCatalogItems: {
          http: {
            method: "GET",
            requestUri: "/catalog/items"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              ItemClassFilter: {
                location: "querystring",
                locationName: "ItemClassFilter",
                type: "list",
                member: {}
              },
              SupportedStorageFilter: {
                shape: "S2l",
                location: "querystring",
                locationName: "SupportedStorageFilter"
              },
              EC2FamilyFilter: {
                location: "querystring",
                locationName: "EC2FamilyFilter",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CatalogItems: {
                type: "list",
                member: {
                  shape: "S2a"
                }
              },
              NextToken: {}
            }
          }
        },
        ListOrders: {
          http: {
            method: "GET",
            requestUri: "/list-orders"
          },
          input: {
            type: "structure",
            members: {
              OutpostIdentifierFilter: {
                location: "querystring",
                locationName: "OutpostIdentifierFilter"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Orders: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    OutpostId: {},
                    OrderId: {},
                    OrderType: {},
                    Status: {},
                    LineItemCountsByStatus: {
                      type: "map",
                      key: {},
                      value: {
                        type: "integer"
                      }
                    },
                    OrderSubmissionDate: {
                      type: "timestamp"
                    },
                    OrderFulfilledDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListOutposts: {
          http: {
            method: "GET",
            requestUri: "/outposts"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              LifeCycleStatusFilter: {
                location: "querystring",
                locationName: "LifeCycleStatusFilter",
                type: "list",
                member: {}
              },
              AvailabilityZoneFilter: {
                location: "querystring",
                locationName: "AvailabilityZoneFilter",
                type: "list",
                member: {}
              },
              AvailabilityZoneIdFilter: {
                location: "querystring",
                locationName: "AvailabilityZoneIdFilter",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Outposts: {
                type: "list",
                member: {
                  shape: "S15"
                }
              },
              NextToken: {}
            }
          }
        },
        ListSites: {
          http: {
            method: "GET",
            requestUri: "/sites"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              OperatingAddressCountryCodeFilter: {
                location: "querystring",
                locationName: "OperatingAddressCountryCodeFilter",
                type: "list",
                member: {}
              },
              OperatingAddressStateOrRegionFilter: {
                location: "querystring",
                locationName: "OperatingAddressStateOrRegionFilter",
                type: "list",
                member: {}
              },
              OperatingAddressCityFilter: {
                location: "querystring",
                locationName: "OperatingAddressCityFilter",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Sites: {
                type: "list",
                member: {
                  shape: "S22"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S10"
              }
            }
          }
        },
        StartConnection: {
          http: {
            requestUri: "/connections"
          },
          input: {
            type: "structure",
            required: [
              "DeviceSerialNumber",
              "AssetId",
              "ClientPublicKey",
              "NetworkInterfaceDeviceIndex"
            ],
            members: {
              DeviceSerialNumber: {},
              AssetId: {},
              ClientPublicKey: {},
              NetworkInterfaceDeviceIndex: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConnectionId: {},
              UnderlayIpAddress: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateOutpost: {
          http: {
            method: "PATCH",
            requestUri: "/outposts/{OutpostId}"
          },
          input: {
            type: "structure",
            required: [
              "OutpostId"
            ],
            members: {
              OutpostId: {
                location: "uri",
                locationName: "OutpostId"
              },
              Name: {},
              Description: {},
              SupportedHardwareType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Outpost: {
                shape: "S15"
              }
            }
          }
        },
        UpdateSite: {
          http: {
            method: "PATCH",
            requestUri: "/sites/{SiteId}"
          },
          input: {
            type: "structure",
            required: [
              "SiteId"
            ],
            members: {
              SiteId: {
                location: "uri",
                locationName: "SiteId"
              },
              Name: {},
              Description: {},
              Notes: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Site: {
                shape: "S22"
              }
            }
          }
        },
        UpdateSiteAddress: {
          http: {
            method: "PUT",
            requestUri: "/sites/{SiteId}/address"
          },
          input: {
            type: "structure",
            required: [
              "SiteId",
              "AddressType",
              "Address"
            ],
            members: {
              SiteId: {
                location: "uri",
                locationName: "SiteId"
              },
              AddressType: {},
              Address: {
                shape: "S1f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AddressType: {},
              Address: {
                shape: "S1f"
              }
            }
          }
        },
        UpdateSiteRackPhysicalProperties: {
          http: {
            method: "PATCH",
            requestUri: "/sites/{SiteId}/rackPhysicalProperties"
          },
          input: {
            type: "structure",
            required: [
              "SiteId"
            ],
            members: {
              SiteId: {
                location: "uri",
                locationName: "SiteId"
              },
              PowerDrawKva: {},
              PowerPhase: {},
              PowerConnector: {},
              PowerFeedDrop: {},
              UplinkGbps: {},
              UplinkCount: {},
              FiberOpticCableType: {},
              OpticalStandard: {},
              MaximumSupportedWeightLbs: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Site: {
                shape: "S22"
              }
            }
          }
        }
      },
      shapes: {
        Sd: {
          type: "structure",
          members: {
            OutpostId: {},
            OrderId: {},
            Status: {},
            LineItems: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  CatalogItemId: {},
                  LineItemId: {},
                  Quantity: {
                    type: "integer"
                  },
                  Status: {},
                  ShipmentInformation: {
                    type: "structure",
                    members: {
                      ShipmentTrackingNumber: {},
                      ShipmentCarrier: {}
                    }
                  },
                  AssetInformationList: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        AssetId: {},
                        MacAddressList: {
                          type: "list",
                          member: {}
                        }
                      }
                    }
                  },
                  PreviousLineItemId: {},
                  PreviousOrderId: {}
                }
              }
            },
            PaymentOption: {},
            OrderSubmissionDate: {
              type: "timestamp"
            },
            OrderFulfilledDate: {
              type: "timestamp"
            },
            PaymentTerm: {},
            OrderType: {}
          }
        },
        S10: {
          type: "map",
          key: {},
          value: {}
        },
        S15: {
          type: "structure",
          members: {
            OutpostId: {},
            OwnerId: {},
            OutpostArn: {},
            SiteId: {},
            Name: {},
            Description: {},
            LifeCycleStatus: {},
            AvailabilityZone: {},
            AvailabilityZoneId: {},
            Tags: {
              shape: "S10"
            },
            SiteArn: {},
            SupportedHardwareType: {}
          }
        },
        S1f: {
          type: "structure",
          required: [
            "AddressLine1",
            "City",
            "StateOrRegion",
            "PostalCode",
            "CountryCode"
          ],
          members: {
            ContactName: {},
            ContactPhoneNumber: {},
            AddressLine1: {},
            AddressLine2: {},
            AddressLine3: {},
            City: {},
            StateOrRegion: {},
            DistrictOrCounty: {},
            PostalCode: {},
            CountryCode: {},
            Municipality: {}
          }
        },
        S1r: {
          type: "structure",
          members: {
            PowerDrawKva: {},
            PowerPhase: {},
            PowerConnector: {},
            PowerFeedDrop: {},
            UplinkGbps: {},
            UplinkCount: {},
            FiberOpticCableType: {},
            OpticalStandard: {},
            MaximumSupportedWeightLbs: {}
          }
        },
        S22: {
          type: "structure",
          members: {
            SiteId: {},
            AccountId: {},
            Name: {},
            Description: {},
            Tags: {
              shape: "S10"
            },
            SiteArn: {},
            Notes: {},
            OperatingAddressCountryCode: {},
            OperatingAddressStateOrRegion: {},
            OperatingAddressCity: {},
            RackPhysicalProperties: {
              shape: "S1r"
            }
          }
        },
        S2a: {
          type: "structure",
          members: {
            CatalogItemId: {},
            ItemStatus: {},
            EC2Capacities: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Family: {},
                  MaxSize: {},
                  Quantity: {}
                }
              }
            },
            PowerKva: {
              type: "float"
            },
            WeightLbs: {
              type: "integer"
            },
            SupportedUplinkGbps: {
              type: "list",
              member: {
                type: "integer"
              }
            },
            SupportedStorage: {
              shape: "S2l"
            }
          }
        },
        S2l: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/outposts-2019-12-03.paginators.json
var require_outposts_2019_12_03_paginators = __commonJS({
  "node_modules/aws-sdk/apis/outposts-2019-12-03.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetOutpostInstanceTypes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "InstanceTypes"
        },
        ListAssets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Assets"
        },
        ListCatalogItems: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "CatalogItems"
        },
        ListOrders: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Orders"
        },
        ListOutposts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Outposts"
        },
        ListSites: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Sites"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/outposts.js
var require_outposts = __commonJS({
  "node_modules/aws-sdk/clients/outposts.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["outposts"] = {};
    AWS2.Outposts = Service.defineService("outposts", ["2019-12-03"]);
    Object.defineProperty(apiLoader.services["outposts"], "2019-12-03", {
      get: function get() {
        var model = require_outposts_2019_12_03_min();
        model.paginators = require_outposts_2019_12_03_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Outposts;
  }
});

// node_modules/aws-sdk/apis/sagemaker-a2i-runtime-2019-11-07.min.json
var require_sagemaker_a2i_runtime_2019_11_07_min = __commonJS({
  "node_modules/aws-sdk/apis/sagemaker-a2i-runtime-2019-11-07.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-11-07",
        endpointPrefix: "a2i-runtime.sagemaker",
        protocol: "rest-json",
        serviceFullName: "Amazon Augmented AI Runtime",
        serviceId: "SageMaker A2I Runtime",
        signatureVersion: "v4",
        signingName: "sagemaker",
        uid: "sagemaker-a2i-runtime-2019-11-07"
      },
      operations: {
        DeleteHumanLoop: {
          http: {
            method: "DELETE",
            requestUri: "/human-loops/{HumanLoopName}"
          },
          input: {
            type: "structure",
            required: [
              "HumanLoopName"
            ],
            members: {
              HumanLoopName: {
                location: "uri",
                locationName: "HumanLoopName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeHumanLoop: {
          http: {
            method: "GET",
            requestUri: "/human-loops/{HumanLoopName}"
          },
          input: {
            type: "structure",
            required: [
              "HumanLoopName"
            ],
            members: {
              HumanLoopName: {
                location: "uri",
                locationName: "HumanLoopName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CreationTime",
              "HumanLoopStatus",
              "HumanLoopName",
              "HumanLoopArn",
              "FlowDefinitionArn"
            ],
            members: {
              CreationTime: {
                shape: "S6"
              },
              FailureReason: {},
              FailureCode: {},
              HumanLoopStatus: {},
              HumanLoopName: {},
              HumanLoopArn: {},
              FlowDefinitionArn: {},
              HumanLoopOutput: {
                type: "structure",
                required: [
                  "OutputS3Uri"
                ],
                members: {
                  OutputS3Uri: {}
                }
              }
            }
          }
        },
        ListHumanLoops: {
          http: {
            method: "GET",
            requestUri: "/human-loops"
          },
          input: {
            type: "structure",
            required: [
              "FlowDefinitionArn"
            ],
            members: {
              CreationTimeAfter: {
                shape: "S6",
                location: "querystring",
                locationName: "CreationTimeAfter"
              },
              CreationTimeBefore: {
                shape: "S6",
                location: "querystring",
                locationName: "CreationTimeBefore"
              },
              FlowDefinitionArn: {
                location: "querystring",
                locationName: "FlowDefinitionArn"
              },
              SortOrder: {
                location: "querystring",
                locationName: "SortOrder"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HumanLoopSummaries"
            ],
            members: {
              HumanLoopSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    HumanLoopName: {},
                    HumanLoopStatus: {},
                    CreationTime: {
                      shape: "S6"
                    },
                    FailureReason: {},
                    FlowDefinitionArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        StartHumanLoop: {
          http: {
            requestUri: "/human-loops"
          },
          input: {
            type: "structure",
            required: [
              "HumanLoopName",
              "FlowDefinitionArn",
              "HumanLoopInput"
            ],
            members: {
              HumanLoopName: {},
              FlowDefinitionArn: {},
              HumanLoopInput: {
                type: "structure",
                required: [
                  "InputContent"
                ],
                members: {
                  InputContent: {}
                }
              },
              DataAttributes: {
                type: "structure",
                required: [
                  "ContentClassifiers"
                ],
                members: {
                  ContentClassifiers: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HumanLoopArn: {}
            }
          }
        },
        StopHumanLoop: {
          http: {
            requestUri: "/human-loops/stop"
          },
          input: {
            type: "structure",
            required: [
              "HumanLoopName"
            ],
            members: {
              HumanLoopName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S6: {
          type: "timestamp",
          timestampFormat: "iso8601"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/sagemaker-a2i-runtime-2019-11-07.paginators.json
var require_sagemaker_a2i_runtime_2019_11_07_paginators = __commonJS({
  "node_modules/aws-sdk/apis/sagemaker-a2i-runtime-2019-11-07.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListHumanLoops: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "HumanLoopSummaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/augmentedairuntime.js
var require_augmentedairuntime = __commonJS({
  "node_modules/aws-sdk/clients/augmentedairuntime.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["augmentedairuntime"] = {};
    AWS2.AugmentedAIRuntime = Service.defineService("augmentedairuntime", ["2019-11-07"]);
    Object.defineProperty(apiLoader.services["augmentedairuntime"], "2019-11-07", {
      get: function get() {
        var model = require_sagemaker_a2i_runtime_2019_11_07_min();
        model.paginators = require_sagemaker_a2i_runtime_2019_11_07_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.AugmentedAIRuntime;
  }
});

// node_modules/aws-sdk/apis/ebs-2019-11-02.min.json
var require_ebs_2019_11_02_min = __commonJS({
  "node_modules/aws-sdk/apis/ebs-2019-11-02.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-11-02",
        endpointPrefix: "ebs",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Amazon EBS",
        serviceFullName: "Amazon Elastic Block Store",
        serviceId: "EBS",
        signatureVersion: "v4",
        uid: "ebs-2019-11-02"
      },
      operations: {
        CompleteSnapshot: {
          http: {
            requestUri: "/snapshots/completion/{snapshotId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "SnapshotId",
              "ChangedBlocksCount"
            ],
            members: {
              SnapshotId: {
                location: "uri",
                locationName: "snapshotId"
              },
              ChangedBlocksCount: {
                location: "header",
                locationName: "x-amz-ChangedBlocksCount",
                type: "integer"
              },
              Checksum: {
                location: "header",
                locationName: "x-amz-Checksum"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-Checksum-Algorithm"
              },
              ChecksumAggregationMethod: {
                location: "header",
                locationName: "x-amz-Checksum-Aggregation-Method"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {}
            }
          }
        },
        GetSnapshotBlock: {
          http: {
            method: "GET",
            requestUri: "/snapshots/{snapshotId}/blocks/{blockIndex}"
          },
          input: {
            type: "structure",
            required: [
              "SnapshotId",
              "BlockIndex",
              "BlockToken"
            ],
            members: {
              SnapshotId: {
                location: "uri",
                locationName: "snapshotId"
              },
              BlockIndex: {
                location: "uri",
                locationName: "blockIndex",
                type: "integer"
              },
              BlockToken: {
                location: "querystring",
                locationName: "blockToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataLength: {
                location: "header",
                locationName: "x-amz-Data-Length",
                type: "integer"
              },
              BlockData: {
                shape: "Se"
              },
              Checksum: {
                location: "header",
                locationName: "x-amz-Checksum"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-Checksum-Algorithm"
              }
            },
            payload: "BlockData"
          }
        },
        ListChangedBlocks: {
          http: {
            method: "GET",
            requestUri: "/snapshots/{secondSnapshotId}/changedblocks"
          },
          input: {
            type: "structure",
            required: [
              "SecondSnapshotId"
            ],
            members: {
              FirstSnapshotId: {
                location: "querystring",
                locationName: "firstSnapshotId"
              },
              SecondSnapshotId: {
                location: "uri",
                locationName: "secondSnapshotId"
              },
              NextToken: {
                location: "querystring",
                locationName: "pageToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              StartingBlockIndex: {
                location: "querystring",
                locationName: "startingBlockIndex",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangedBlocks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    BlockIndex: {
                      type: "integer"
                    },
                    FirstBlockToken: {},
                    SecondBlockToken: {}
                  },
                  sensitive: true
                }
              },
              ExpiryTime: {
                type: "timestamp"
              },
              VolumeSize: {
                type: "long"
              },
              BlockSize: {
                type: "integer"
              },
              NextToken: {}
            }
          }
        },
        ListSnapshotBlocks: {
          http: {
            method: "GET",
            requestUri: "/snapshots/{snapshotId}/blocks"
          },
          input: {
            type: "structure",
            required: [
              "SnapshotId"
            ],
            members: {
              SnapshotId: {
                location: "uri",
                locationName: "snapshotId"
              },
              NextToken: {
                location: "querystring",
                locationName: "pageToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              StartingBlockIndex: {
                location: "querystring",
                locationName: "startingBlockIndex",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Blocks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    BlockIndex: {
                      type: "integer"
                    },
                    BlockToken: {}
                  }
                },
                sensitive: true
              },
              ExpiryTime: {
                type: "timestamp"
              },
              VolumeSize: {
                type: "long"
              },
              BlockSize: {
                type: "integer"
              },
              NextToken: {}
            }
          }
        },
        PutSnapshotBlock: {
          http: {
            method: "PUT",
            requestUri: "/snapshots/{snapshotId}/blocks/{blockIndex}",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "SnapshotId",
              "BlockIndex",
              "BlockData",
              "DataLength",
              "Checksum",
              "ChecksumAlgorithm"
            ],
            members: {
              SnapshotId: {
                location: "uri",
                locationName: "snapshotId"
              },
              BlockIndex: {
                location: "uri",
                locationName: "blockIndex",
                type: "integer"
              },
              BlockData: {
                shape: "Se"
              },
              DataLength: {
                location: "header",
                locationName: "x-amz-Data-Length",
                type: "integer"
              },
              Progress: {
                location: "header",
                locationName: "x-amz-Progress",
                type: "integer"
              },
              Checksum: {
                location: "header",
                locationName: "x-amz-Checksum"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-Checksum-Algorithm"
              }
            },
            payload: "BlockData"
          },
          output: {
            type: "structure",
            members: {
              Checksum: {
                location: "header",
                locationName: "x-amz-Checksum"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-Checksum-Algorithm"
              }
            }
          },
          authtype: "v4-unsigned-body"
        },
        StartSnapshot: {
          http: {
            requestUri: "/snapshots",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "VolumeSize"
            ],
            members: {
              VolumeSize: {
                type: "long"
              },
              ParentSnapshotId: {},
              Tags: {
                shape: "Sw"
              },
              Description: {},
              ClientToken: {
                idempotencyToken: true
              },
              Encrypted: {
                type: "boolean"
              },
              KmsKeyArn: {
                shape: "S13"
              },
              Timeout: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Description: {},
              SnapshotId: {},
              OwnerId: {},
              Status: {},
              StartTime: {
                type: "timestamp"
              },
              VolumeSize: {
                type: "long"
              },
              BlockSize: {
                type: "integer"
              },
              Tags: {
                shape: "Sw"
              },
              ParentSnapshotId: {},
              KmsKeyArn: {
                shape: "S13"
              }
            }
          }
        }
      },
      shapes: {
        Se: {
          type: "blob",
          sensitive: true,
          streaming: true
        },
        Sw: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S13: {
          type: "string",
          sensitive: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ebs-2019-11-02.paginators.json
var require_ebs_2019_11_02_paginators = __commonJS({
  "node_modules/aws-sdk/apis/ebs-2019-11-02.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListChangedBlocks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListSnapshotBlocks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/ebs.js
var require_ebs = __commonJS({
  "node_modules/aws-sdk/clients/ebs.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ebs"] = {};
    AWS2.EBS = Service.defineService("ebs", ["2019-11-02"]);
    Object.defineProperty(apiLoader.services["ebs"], "2019-11-02", {
      get: function get() {
        var model = require_ebs_2019_11_02_min();
        model.paginators = require_ebs_2019_11_02_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.EBS;
  }
});

// node_modules/aws-sdk/apis/kinesis-video-signaling-2019-12-04.min.json
var require_kinesis_video_signaling_2019_12_04_min = __commonJS({
  "node_modules/aws-sdk/apis/kinesis-video-signaling-2019-12-04.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-12-04",
        endpointPrefix: "kinesisvideo",
        protocol: "rest-json",
        serviceAbbreviation: "Amazon Kinesis Video Signaling Channels",
        serviceFullName: "Amazon Kinesis Video Signaling Channels",
        serviceId: "Kinesis Video Signaling",
        signatureVersion: "v4",
        uid: "kinesis-video-signaling-2019-12-04"
      },
      operations: {
        GetIceServerConfig: {
          http: {
            requestUri: "/v1/get-ice-server-config"
          },
          input: {
            type: "structure",
            required: [
              "ChannelARN"
            ],
            members: {
              ChannelARN: {},
              ClientId: {},
              Service: {},
              Username: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IceServerList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Uris: {
                      type: "list",
                      member: {}
                    },
                    Username: {},
                    Password: {},
                    Ttl: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        SendAlexaOfferToMaster: {
          http: {
            requestUri: "/v1/send-alexa-offer-to-master"
          },
          input: {
            type: "structure",
            required: [
              "ChannelARN",
              "SenderClientId",
              "MessagePayload"
            ],
            members: {
              ChannelARN: {},
              SenderClientId: {},
              MessagePayload: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Answer: {}
            }
          }
        }
      },
      shapes: {}
    };
  }
});

// node_modules/aws-sdk/apis/kinesis-video-signaling-2019-12-04.paginators.json
var require_kinesis_video_signaling_2019_12_04_paginators = __commonJS({
  "node_modules/aws-sdk/apis/kinesis-video-signaling-2019-12-04.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/kinesisvideosignalingchannels.js
var require_kinesisvideosignalingchannels = __commonJS({
  "node_modules/aws-sdk/clients/kinesisvideosignalingchannels.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["kinesisvideosignalingchannels"] = {};
    AWS2.KinesisVideoSignalingChannels = Service.defineService("kinesisvideosignalingchannels", ["2019-12-04"]);
    Object.defineProperty(apiLoader.services["kinesisvideosignalingchannels"], "2019-12-04", {
      get: function get() {
        var model = require_kinesis_video_signaling_2019_12_04_min();
        model.paginators = require_kinesis_video_signaling_2019_12_04_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.KinesisVideoSignalingChannels;
  }
});

// node_modules/aws-sdk/apis/detective-2018-10-26.min.json
var require_detective_2018_10_26_min = __commonJS({
  "node_modules/aws-sdk/apis/detective-2018-10-26.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-10-26",
        endpointPrefix: "api.detective",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Detective",
        serviceId: "Detective",
        signatureVersion: "v4",
        signingName: "detective",
        uid: "detective-2018-10-26"
      },
      operations: {
        AcceptInvitation: {
          http: {
            method: "PUT",
            requestUri: "/invitation"
          },
          input: {
            type: "structure",
            required: [
              "GraphArn"
            ],
            members: {
              GraphArn: {}
            }
          }
        },
        BatchGetGraphMemberDatasources: {
          http: {
            requestUri: "/graph/datasources/get"
          },
          input: {
            type: "structure",
            required: [
              "GraphArn",
              "AccountIds"
            ],
            members: {
              GraphArn: {},
              AccountIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MemberDatasources: {
                shape: "S7"
              },
              UnprocessedAccounts: {
                shape: "Sf"
              }
            }
          }
        },
        BatchGetMembershipDatasources: {
          http: {
            requestUri: "/membership/datasources/get"
          },
          input: {
            type: "structure",
            required: [
              "GraphArns"
            ],
            members: {
              GraphArns: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MembershipDatasources: {
                shape: "S7"
              },
              UnprocessedGraphs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    GraphArn: {},
                    Reason: {}
                  }
                }
              }
            }
          }
        },
        CreateGraph: {
          http: {
            requestUri: "/graph"
          },
          input: {
            type: "structure",
            members: {
              Tags: {
                shape: "So"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GraphArn: {}
            }
          }
        },
        CreateMembers: {
          http: {
            requestUri: "/graph/members"
          },
          input: {
            type: "structure",
            required: [
              "GraphArn",
              "Accounts"
            ],
            members: {
              GraphArn: {},
              Message: {},
              DisableEmailNotification: {
                type: "boolean"
              },
              Accounts: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AccountId",
                    "EmailAddress"
                  ],
                  members: {
                    AccountId: {},
                    EmailAddress: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Members: {
                shape: "Sz"
              },
              UnprocessedAccounts: {
                shape: "Sf"
              }
            }
          }
        },
        DeleteGraph: {
          http: {
            requestUri: "/graph/removal"
          },
          input: {
            type: "structure",
            required: [
              "GraphArn"
            ],
            members: {
              GraphArn: {}
            }
          }
        },
        DeleteMembers: {
          http: {
            requestUri: "/graph/members/removal"
          },
          input: {
            type: "structure",
            required: [
              "GraphArn",
              "AccountIds"
            ],
            members: {
              GraphArn: {},
              AccountIds: {
                shape: "S1b"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccountIds: {
                shape: "S1b"
              },
              UnprocessedAccounts: {
                shape: "Sf"
              }
            }
          }
        },
        DescribeOrganizationConfiguration: {
          http: {
            requestUri: "/orgs/describeOrganizationConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "GraphArn"
            ],
            members: {
              GraphArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AutoEnable: {
                type: "boolean"
              }
            }
          }
        },
        DisableOrganizationAdminAccount: {
          http: {
            requestUri: "/orgs/disableAdminAccount"
          }
        },
        DisassociateMembership: {
          http: {
            requestUri: "/membership/removal"
          },
          input: {
            type: "structure",
            required: [
              "GraphArn"
            ],
            members: {
              GraphArn: {}
            }
          }
        },
        EnableOrganizationAdminAccount: {
          http: {
            requestUri: "/orgs/enableAdminAccount"
          },
          input: {
            type: "structure",
            required: [
              "AccountId"
            ],
            members: {
              AccountId: {}
            }
          }
        },
        GetMembers: {
          http: {
            requestUri: "/graph/members/get"
          },
          input: {
            type: "structure",
            required: [
              "GraphArn",
              "AccountIds"
            ],
            members: {
              GraphArn: {},
              AccountIds: {
                shape: "S1b"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MemberDetails: {
                shape: "Sz"
              },
              UnprocessedAccounts: {
                shape: "Sf"
              }
            }
          }
        },
        ListDatasourcePackages: {
          http: {
            requestUri: "/graph/datasources/list"
          },
          input: {
            type: "structure",
            required: [
              "GraphArn"
            ],
            members: {
              GraphArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DatasourcePackages: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    DatasourcePackageIngestState: {},
                    LastIngestStateChange: {
                      shape: "Sb"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListGraphs: {
          http: {
            requestUri: "/graphs/list"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GraphList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    CreatedTime: {
                      shape: "Se"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListInvitations: {
          http: {
            requestUri: "/invitations/list"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Invitations: {
                shape: "Sz"
              },
              NextToken: {}
            }
          }
        },
        ListMembers: {
          http: {
            requestUri: "/graph/members/list"
          },
          input: {
            type: "structure",
            required: [
              "GraphArn"
            ],
            members: {
              GraphArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MemberDetails: {
                shape: "Sz"
              },
              NextToken: {}
            }
          }
        },
        ListOrganizationAdminAccounts: {
          http: {
            requestUri: "/orgs/adminAccountslist"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Administrators: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AccountId: {},
                    GraphArn: {},
                    DelegationTime: {
                      shape: "Se"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "So"
              }
            }
          }
        },
        RejectInvitation: {
          http: {
            requestUri: "/invitation/removal"
          },
          input: {
            type: "structure",
            required: [
              "GraphArn"
            ],
            members: {
              GraphArn: {}
            }
          }
        },
        StartMonitoringMember: {
          http: {
            requestUri: "/graph/member/monitoringstate"
          },
          input: {
            type: "structure",
            required: [
              "GraphArn",
              "AccountId"
            ],
            members: {
              GraphArn: {},
              AccountId: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "So"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDatasourcePackages: {
          http: {
            requestUri: "/graph/datasources/update"
          },
          input: {
            type: "structure",
            required: [
              "GraphArn",
              "DatasourcePackages"
            ],
            members: {
              GraphArn: {},
              DatasourcePackages: {
                type: "list",
                member: {}
              }
            }
          }
        },
        UpdateOrganizationConfiguration: {
          http: {
            requestUri: "/orgs/updateOrganizationConfiguration"
          },
          input: {
            type: "structure",
            required: [
              "GraphArn"
            ],
            members: {
              GraphArn: {},
              AutoEnable: {
                type: "boolean"
              }
            }
          }
        }
      },
      shapes: {
        S7: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AccountId: {},
              GraphArn: {},
              DatasourcePackageIngestHistory: {
                type: "map",
                key: {},
                value: {
                  shape: "Sb"
                }
              }
            }
          }
        },
        Sb: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              Timestamp: {
                shape: "Se"
              }
            }
          }
        },
        Se: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sf: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AccountId: {},
              Reason: {}
            }
          }
        },
        So: {
          type: "map",
          key: {},
          value: {}
        },
        Sz: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AccountId: {},
              EmailAddress: {},
              GraphArn: {},
              MasterId: {
                deprecated: true,
                deprecatedMessage: "This property is deprecated. Use AdministratorId instead."
              },
              AdministratorId: {},
              Status: {},
              DisabledReason: {},
              InvitedTime: {
                shape: "Se"
              },
              UpdatedTime: {
                shape: "Se"
              },
              VolumeUsageInBytes: {
                deprecated: true,
                deprecatedMessage: "This property is deprecated. Use VolumeUsageByDatasourcePackage instead.",
                type: "long"
              },
              VolumeUsageUpdatedTime: {
                shape: "Se",
                deprecated: true,
                deprecatedMessage: "This property is deprecated. Use VolumeUsageByDatasourcePackage instead."
              },
              PercentOfGraphUtilization: {
                deprecated: true,
                deprecatedMessage: "This property is deprecated. Use VolumeUsageByDatasourcePackage instead.",
                type: "double"
              },
              PercentOfGraphUtilizationUpdatedTime: {
                shape: "Se",
                deprecated: true,
                deprecatedMessage: "This property is deprecated. Use VolumeUsageByDatasourcePackage instead."
              },
              InvitationType: {},
              VolumeUsageByDatasourcePackage: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    VolumeUsageInBytes: {
                      type: "long"
                    },
                    VolumeUsageUpdateTime: {
                      shape: "Se"
                    }
                  }
                }
              },
              DatasourcePackageIngestStates: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        S1b: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/detective-2018-10-26.paginators.json
var require_detective_2018_10_26_paginators = __commonJS({
  "node_modules/aws-sdk/apis/detective-2018-10-26.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDatasourcePackages: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListGraphs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListInvitations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMembers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListOrganizationAdminAccounts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/detective.js
var require_detective = __commonJS({
  "node_modules/aws-sdk/clients/detective.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["detective"] = {};
    AWS2.Detective = Service.defineService("detective", ["2018-10-26"]);
    Object.defineProperty(apiLoader.services["detective"], "2018-10-26", {
      get: function get() {
        var model = require_detective_2018_10_26_min();
        model.paginators = require_detective_2018_10_26_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Detective;
  }
});

// node_modules/aws-sdk/apis/codestar-connections-2019-12-01.min.json
var require_codestar_connections_2019_12_01_min = __commonJS({
  "node_modules/aws-sdk/apis/codestar-connections-2019-12-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-12-01",
        endpointPrefix: "codestar-connections",
        jsonVersion: "1.0",
        protocol: "json",
        serviceFullName: "AWS CodeStar connections",
        serviceId: "CodeStar connections",
        signatureVersion: "v4",
        signingName: "codestar-connections",
        targetPrefix: "com.amazonaws.codestar.connections.CodeStar_connections_20191201",
        uid: "codestar-connections-2019-12-01"
      },
      operations: {
        CreateConnection: {
          input: {
            type: "structure",
            required: [
              "ConnectionName"
            ],
            members: {
              ProviderType: {},
              ConnectionName: {},
              Tags: {
                shape: "S4"
              },
              HostArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ConnectionArn"
            ],
            members: {
              ConnectionArn: {},
              Tags: {
                shape: "S4"
              }
            }
          }
        },
        CreateHost: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ProviderType",
              "ProviderEndpoint"
            ],
            members: {
              Name: {},
              ProviderType: {},
              ProviderEndpoint: {},
              VpcConfiguration: {
                shape: "Se"
              },
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HostArn: {},
              Tags: {
                shape: "S4"
              }
            }
          }
        },
        DeleteConnection: {
          input: {
            type: "structure",
            required: [
              "ConnectionArn"
            ],
            members: {
              ConnectionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteHost: {
          input: {
            type: "structure",
            required: [
              "HostArn"
            ],
            members: {
              HostArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetConnection: {
          input: {
            type: "structure",
            required: [
              "ConnectionArn"
            ],
            members: {
              ConnectionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Connection: {
                shape: "Ss"
              }
            }
          }
        },
        GetHost: {
          input: {
            type: "structure",
            required: [
              "HostArn"
            ],
            members: {
              HostArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Status: {},
              ProviderType: {},
              ProviderEndpoint: {},
              VpcConfiguration: {
                shape: "Se"
              }
            }
          }
        },
        ListConnections: {
          input: {
            type: "structure",
            members: {
              ProviderTypeFilter: {},
              HostArnFilter: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Connections: {
                type: "list",
                member: {
                  shape: "Ss"
                }
              },
              NextToken: {}
            }
          }
        },
        ListHosts: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Hosts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    HostArn: {},
                    ProviderType: {},
                    ProviderEndpoint: {},
                    VpcConfiguration: {
                      shape: "Se"
                    },
                    Status: {},
                    StatusMessage: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S4"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateHost: {
          input: {
            type: "structure",
            required: [
              "HostArn"
            ],
            members: {
              HostArn: {},
              ProviderEndpoint: {},
              VpcConfiguration: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S4: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Se: {
          type: "structure",
          required: [
            "VpcId",
            "SubnetIds",
            "SecurityGroupIds"
          ],
          members: {
            VpcId: {},
            SubnetIds: {
              type: "list",
              member: {}
            },
            SecurityGroupIds: {
              type: "list",
              member: {}
            },
            TlsCertificate: {}
          }
        },
        Ss: {
          type: "structure",
          members: {
            ConnectionName: {},
            ConnectionArn: {},
            ProviderType: {},
            OwnerAccountId: {},
            ConnectionStatus: {},
            HostArn: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/codestar-connections-2019-12-01.paginators.json
var require_codestar_connections_2019_12_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/codestar-connections-2019-12-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListConnections: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListHosts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/codestarconnections.js
var require_codestarconnections = __commonJS({
  "node_modules/aws-sdk/clients/codestarconnections.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["codestarconnections"] = {};
    AWS2.CodeStarconnections = Service.defineService("codestarconnections", ["2019-12-01"]);
    Object.defineProperty(apiLoader.services["codestarconnections"], "2019-12-01", {
      get: function get() {
        var model = require_codestar_connections_2019_12_01_min();
        model.paginators = require_codestar_connections_2019_12_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CodeStarconnections;
  }
});

// node_modules/aws-sdk/apis/synthetics-2017-10-11.min.json
var require_synthetics_2017_10_11_min = __commonJS({
  "node_modules/aws-sdk/apis/synthetics-2017-10-11.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-10-11",
        endpointPrefix: "synthetics",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Synthetics",
        serviceFullName: "Synthetics",
        serviceId: "synthetics",
        signatureVersion: "v4",
        signingName: "synthetics",
        uid: "synthetics-2017-10-11"
      },
      operations: {
        AssociateResource: {
          http: {
            method: "PATCH",
            requestUri: "/group/{groupIdentifier}/associate"
          },
          input: {
            type: "structure",
            required: [
              "GroupIdentifier",
              "ResourceArn"
            ],
            members: {
              GroupIdentifier: {
                location: "uri",
                locationName: "groupIdentifier"
              },
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateCanary: {
          http: {
            requestUri: "/canary"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "Code",
              "ArtifactS3Location",
              "ExecutionRoleArn",
              "Schedule",
              "RuntimeVersion"
            ],
            members: {
              Name: {},
              Code: {
                shape: "S7"
              },
              ArtifactS3Location: {},
              ExecutionRoleArn: {},
              Schedule: {
                shape: "Sc"
              },
              RunConfig: {
                shape: "Se"
              },
              SuccessRetentionPeriodInDays: {
                type: "integer"
              },
              FailureRetentionPeriodInDays: {
                type: "integer"
              },
              RuntimeVersion: {},
              VpcConfig: {
                shape: "Sm"
              },
              Tags: {
                shape: "Sr"
              },
              ArtifactConfig: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Canary: {
                shape: "Sz"
              }
            }
          }
        },
        CreateGroup: {
          http: {
            requestUri: "/group"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Tags: {
                shape: "Sr"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Group: {
                shape: "S1l"
              }
            }
          }
        },
        DeleteCanary: {
          http: {
            method: "DELETE",
            requestUri: "/canary/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              DeleteLambda: {
                location: "querystring",
                locationName: "deleteLambda",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteGroup: {
          http: {
            method: "DELETE",
            requestUri: "/group/{groupIdentifier}"
          },
          input: {
            type: "structure",
            required: [
              "GroupIdentifier"
            ],
            members: {
              GroupIdentifier: {
                location: "uri",
                locationName: "groupIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeCanaries: {
          http: {
            requestUri: "/canaries"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Names: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Canaries: {
                type: "list",
                member: {
                  shape: "Sz"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeCanariesLastRun: {
          http: {
            requestUri: "/canaries/last-run"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Names: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CanariesLastRun: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CanaryName: {},
                    LastRun: {
                      shape: "S24"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeRuntimeVersions: {
          http: {
            requestUri: "/runtime-versions"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RuntimeVersions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VersionName: {},
                    Description: {},
                    ReleaseDate: {
                      type: "timestamp"
                    },
                    DeprecationDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DisassociateResource: {
          http: {
            method: "PATCH",
            requestUri: "/group/{groupIdentifier}/disassociate"
          },
          input: {
            type: "structure",
            required: [
              "GroupIdentifier",
              "ResourceArn"
            ],
            members: {
              GroupIdentifier: {
                location: "uri",
                locationName: "groupIdentifier"
              },
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetCanary: {
          http: {
            method: "GET",
            requestUri: "/canary/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Canary: {
                shape: "Sz"
              }
            }
          }
        },
        GetCanaryRuns: {
          http: {
            requestUri: "/canary/{name}/runs"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CanaryRuns: {
                type: "list",
                member: {
                  shape: "S24"
                }
              },
              NextToken: {}
            }
          }
        },
        GetGroup: {
          http: {
            method: "GET",
            requestUri: "/group/{groupIdentifier}"
          },
          input: {
            type: "structure",
            required: [
              "GroupIdentifier"
            ],
            members: {
              GroupIdentifier: {
                location: "uri",
                locationName: "groupIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Group: {
                shape: "S1l"
              }
            }
          }
        },
        ListAssociatedGroups: {
          http: {
            requestUri: "/resource/{resourceArn}/groups"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Groups: {
                shape: "S2q"
              },
              NextToken: {}
            }
          }
        },
        ListGroupResources: {
          http: {
            requestUri: "/group/{groupIdentifier}/resources"
          },
          input: {
            type: "structure",
            required: [
              "GroupIdentifier"
            ],
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              GroupIdentifier: {
                location: "uri",
                locationName: "groupIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Resources: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListGroups: {
          http: {
            requestUri: "/groups"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Groups: {
                shape: "S2q"
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sr"
              }
            }
          }
        },
        StartCanary: {
          http: {
            requestUri: "/canary/{name}/start"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StopCanary: {
          http: {
            requestUri: "/canary/{name}/stop"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              Tags: {
                shape: "Sr"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateCanary: {
          http: {
            method: "PATCH",
            requestUri: "/canary/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              Code: {
                shape: "S7"
              },
              ExecutionRoleArn: {},
              RuntimeVersion: {},
              Schedule: {
                shape: "Sc"
              },
              RunConfig: {
                shape: "Se"
              },
              SuccessRetentionPeriodInDays: {
                type: "integer"
              },
              FailureRetentionPeriodInDays: {
                type: "integer"
              },
              VpcConfig: {
                shape: "Sm"
              },
              VisualReference: {
                type: "structure",
                required: [
                  "BaseCanaryRunId"
                ],
                members: {
                  BaseScreenshots: {
                    shape: "S1d"
                  },
                  BaseCanaryRunId: {}
                }
              },
              ArtifactS3Location: {},
              ArtifactConfig: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S7: {
          type: "structure",
          required: [
            "Handler"
          ],
          members: {
            S3Bucket: {},
            S3Key: {},
            S3Version: {},
            ZipFile: {
              type: "blob"
            },
            Handler: {}
          }
        },
        Sc: {
          type: "structure",
          required: [
            "Expression"
          ],
          members: {
            Expression: {},
            DurationInSeconds: {
              type: "long"
            }
          }
        },
        Se: {
          type: "structure",
          members: {
            TimeoutInSeconds: {
              type: "integer"
            },
            MemoryInMB: {
              type: "integer"
            },
            ActiveTracing: {
              type: "boolean"
            },
            EnvironmentVariables: {
              type: "map",
              key: {},
              value: {}
            }
          }
        },
        Sm: {
          type: "structure",
          members: {
            SubnetIds: {
              shape: "Sn"
            },
            SecurityGroupIds: {
              shape: "Sp"
            }
          }
        },
        Sn: {
          type: "list",
          member: {}
        },
        Sp: {
          type: "list",
          member: {}
        },
        Sr: {
          type: "map",
          key: {},
          value: {}
        },
        Su: {
          type: "structure",
          members: {
            S3Encryption: {
              shape: "Sv"
            }
          }
        },
        Sv: {
          type: "structure",
          members: {
            EncryptionMode: {},
            KmsKeyArn: {}
          }
        },
        Sz: {
          type: "structure",
          members: {
            Id: {},
            Name: {},
            Code: {
              type: "structure",
              members: {
                SourceLocationArn: {},
                Handler: {}
              }
            },
            ExecutionRoleArn: {},
            Schedule: {
              type: "structure",
              members: {
                Expression: {},
                DurationInSeconds: {
                  type: "long"
                }
              }
            },
            RunConfig: {
              type: "structure",
              members: {
                TimeoutInSeconds: {
                  type: "integer"
                },
                MemoryInMB: {
                  type: "integer"
                },
                ActiveTracing: {
                  type: "boolean"
                }
              }
            },
            SuccessRetentionPeriodInDays: {
              type: "integer"
            },
            FailureRetentionPeriodInDays: {
              type: "integer"
            },
            Status: {
              type: "structure",
              members: {
                State: {},
                StateReason: {},
                StateReasonCode: {}
              }
            },
            Timeline: {
              type: "structure",
              members: {
                Created: {
                  type: "timestamp"
                },
                LastModified: {
                  type: "timestamp"
                },
                LastStarted: {
                  type: "timestamp"
                },
                LastStopped: {
                  type: "timestamp"
                }
              }
            },
            ArtifactS3Location: {},
            EngineArn: {},
            RuntimeVersion: {},
            VpcConfig: {
              type: "structure",
              members: {
                VpcId: {},
                SubnetIds: {
                  shape: "Sn"
                },
                SecurityGroupIds: {
                  shape: "Sp"
                }
              }
            },
            VisualReference: {
              type: "structure",
              members: {
                BaseScreenshots: {
                  shape: "S1d"
                },
                BaseCanaryRunId: {}
              }
            },
            Tags: {
              shape: "Sr"
            },
            ArtifactConfig: {
              type: "structure",
              members: {
                S3Encryption: {
                  shape: "Sv"
                }
              }
            }
          }
        },
        S1d: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ScreenshotName"
            ],
            members: {
              ScreenshotName: {},
              IgnoreCoordinates: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S1l: {
          type: "structure",
          members: {
            Id: {},
            Name: {},
            Arn: {},
            Tags: {
              shape: "Sr"
            },
            CreatedTime: {
              type: "timestamp"
            },
            LastModifiedTime: {
              type: "timestamp"
            }
          }
        },
        S24: {
          type: "structure",
          members: {
            Id: {},
            Name: {},
            Status: {
              type: "structure",
              members: {
                State: {},
                StateReason: {},
                StateReasonCode: {}
              }
            },
            Timeline: {
              type: "structure",
              members: {
                Started: {
                  type: "timestamp"
                },
                Completed: {
                  type: "timestamp"
                }
              }
            },
            ArtifactS3Location: {}
          }
        },
        S2q: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Id: {},
              Name: {},
              Arn: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/synthetics-2017-10-11.paginators.json
var require_synthetics_2017_10_11_paginators = __commonJS({
  "node_modules/aws-sdk/apis/synthetics-2017-10-11.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeCanaries: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        DescribeCanariesLastRun: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        DescribeRuntimeVersions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        GetCanaryRuns: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListAssociatedGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListGroupResources: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        },
        ListGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/synthetics.js
var require_synthetics = __commonJS({
  "node_modules/aws-sdk/clients/synthetics.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["synthetics"] = {};
    AWS2.Synthetics = Service.defineService("synthetics", ["2017-10-11"]);
    Object.defineProperty(apiLoader.services["synthetics"], "2017-10-11", {
      get: function get() {
        var model = require_synthetics_2017_10_11_min();
        model.paginators = require_synthetics_2017_10_11_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Synthetics;
  }
});

// node_modules/aws-sdk/apis/iotsitewise-2019-12-02.min.json
var require_iotsitewise_2019_12_02_min = __commonJS({
  "node_modules/aws-sdk/apis/iotsitewise-2019-12-02.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-12-02",
        endpointPrefix: "iotsitewise",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS IoT SiteWise",
        serviceId: "IoTSiteWise",
        signatureVersion: "v4",
        signingName: "iotsitewise",
        uid: "iotsitewise-2019-12-02"
      },
      operations: {
        AssociateAssets: {
          http: {
            requestUri: "/assets/{assetId}/associate"
          },
          input: {
            type: "structure",
            required: [
              "assetId",
              "hierarchyId",
              "childAssetId"
            ],
            members: {
              assetId: {
                location: "uri",
                locationName: "assetId"
              },
              hierarchyId: {},
              childAssetId: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        AssociateTimeSeriesToAssetProperty: {
          http: {
            requestUri: "/timeseries/associate/"
          },
          input: {
            type: "structure",
            required: [
              "alias",
              "assetId",
              "propertyId"
            ],
            members: {
              alias: {
                location: "querystring",
                locationName: "alias"
              },
              assetId: {
                location: "querystring",
                locationName: "assetId"
              },
              propertyId: {
                location: "querystring",
                locationName: "propertyId"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        BatchAssociateProjectAssets: {
          http: {
            requestUri: "/projects/{projectId}/assets/associate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "projectId",
              "assetIds"
            ],
            members: {
              projectId: {
                location: "uri",
                locationName: "projectId"
              },
              assetIds: {
                shape: "S7"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errors: {
                type: "list",
                member: {
                  shape: "Sa"
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        BatchDisassociateProjectAssets: {
          http: {
            requestUri: "/projects/{projectId}/assets/disassociate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "projectId",
              "assetIds"
            ],
            members: {
              projectId: {
                location: "uri",
                locationName: "projectId"
              },
              assetIds: {
                shape: "S7"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errors: {
                type: "list",
                member: {
                  shape: "Sa"
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        BatchGetAssetPropertyAggregates: {
          http: {
            requestUri: "/properties/batch/aggregates"
          },
          input: {
            type: "structure",
            required: [
              "entries"
            ],
            members: {
              entries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "entryId",
                    "aggregateTypes",
                    "resolution",
                    "startDate",
                    "endDate"
                  ],
                  members: {
                    entryId: {},
                    assetId: {},
                    propertyId: {},
                    propertyAlias: {},
                    aggregateTypes: {
                      shape: "Sl"
                    },
                    resolution: {},
                    startDate: {
                      type: "timestamp"
                    },
                    endDate: {
                      type: "timestamp"
                    },
                    qualities: {
                      shape: "Sp"
                    },
                    timeOrdering: {}
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "errorEntries",
              "successEntries",
              "skippedEntries"
            ],
            members: {
              errorEntries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "errorCode",
                    "errorMessage",
                    "entryId"
                  ],
                  members: {
                    errorCode: {},
                    errorMessage: {},
                    entryId: {}
                  }
                }
              },
              successEntries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "entryId",
                    "aggregatedValues"
                  ],
                  members: {
                    entryId: {},
                    aggregatedValues: {
                      shape: "S11"
                    }
                  }
                }
              },
              skippedEntries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "entryId",
                    "completionStatus"
                  ],
                  members: {
                    entryId: {},
                    completionStatus: {},
                    errorInfo: {
                      type: "structure",
                      required: [
                        "errorCode",
                        "errorTimestamp"
                      ],
                      members: {
                        errorCode: {},
                        errorTimestamp: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "data."
          }
        },
        BatchGetAssetPropertyValue: {
          http: {
            requestUri: "/properties/batch/latest"
          },
          input: {
            type: "structure",
            required: [
              "entries"
            ],
            members: {
              entries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "entryId"
                  ],
                  members: {
                    entryId: {},
                    assetId: {},
                    propertyId: {},
                    propertyAlias: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "errorEntries",
              "successEntries",
              "skippedEntries"
            ],
            members: {
              errorEntries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "errorCode",
                    "errorMessage",
                    "entryId"
                  ],
                  members: {
                    errorCode: {},
                    errorMessage: {},
                    entryId: {}
                  }
                }
              },
              successEntries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "entryId"
                  ],
                  members: {
                    entryId: {},
                    assetPropertyValue: {
                      shape: "S1i"
                    }
                  }
                }
              },
              skippedEntries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "entryId",
                    "completionStatus"
                  ],
                  members: {
                    entryId: {},
                    completionStatus: {},
                    errorInfo: {
                      type: "structure",
                      required: [
                        "errorCode",
                        "errorTimestamp"
                      ],
                      members: {
                        errorCode: {},
                        errorTimestamp: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "data."
          }
        },
        BatchGetAssetPropertyValueHistory: {
          http: {
            requestUri: "/properties/batch/history"
          },
          input: {
            type: "structure",
            required: [
              "entries"
            ],
            members: {
              entries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "entryId"
                  ],
                  members: {
                    entryId: {},
                    assetId: {},
                    propertyId: {},
                    propertyAlias: {},
                    startDate: {
                      type: "timestamp"
                    },
                    endDate: {
                      type: "timestamp"
                    },
                    qualities: {
                      shape: "Sp"
                    },
                    timeOrdering: {}
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "errorEntries",
              "successEntries",
              "skippedEntries"
            ],
            members: {
              errorEntries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "errorCode",
                    "errorMessage",
                    "entryId"
                  ],
                  members: {
                    errorCode: {},
                    errorMessage: {},
                    entryId: {}
                  }
                }
              },
              successEntries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "entryId",
                    "assetPropertyValueHistory"
                  ],
                  members: {
                    entryId: {},
                    assetPropertyValueHistory: {
                      shape: "S24"
                    }
                  }
                }
              },
              skippedEntries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "entryId",
                    "completionStatus"
                  ],
                  members: {
                    entryId: {},
                    completionStatus: {},
                    errorInfo: {
                      type: "structure",
                      required: [
                        "errorCode",
                        "errorTimestamp"
                      ],
                      members: {
                        errorCode: {},
                        errorTimestamp: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "data."
          }
        },
        BatchPutAssetPropertyValue: {
          http: {
            requestUri: "/properties"
          },
          input: {
            type: "structure",
            required: [
              "entries"
            ],
            members: {
              entries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "entryId",
                    "propertyValues"
                  ],
                  members: {
                    entryId: {},
                    assetId: {},
                    propertyId: {},
                    propertyAlias: {},
                    propertyValues: {
                      type: "list",
                      member: {
                        shape: "S1i"
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "errorEntries"
            ],
            members: {
              errorEntries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "entryId",
                    "errors"
                  ],
                  members: {
                    entryId: {},
                    errors: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "errorCode",
                          "errorMessage",
                          "timestamps"
                        ],
                        members: {
                          errorCode: {},
                          errorMessage: {},
                          timestamps: {
                            type: "list",
                            member: {
                              shape: "S1o"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "data."
          }
        },
        CreateAccessPolicy: {
          http: {
            requestUri: "/access-policies",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "accessPolicyIdentity",
              "accessPolicyResource",
              "accessPolicyPermission"
            ],
            members: {
              accessPolicyIdentity: {
                shape: "S2k"
              },
              accessPolicyResource: {
                shape: "S2r"
              },
              accessPolicyPermission: {},
              clientToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "S2v"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "accessPolicyId",
              "accessPolicyArn"
            ],
            members: {
              accessPolicyId: {},
              accessPolicyArn: {}
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        CreateAsset: {
          http: {
            requestUri: "/assets",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "assetName",
              "assetModelId"
            ],
            members: {
              assetName: {},
              assetModelId: {},
              clientToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "S2v"
              },
              assetDescription: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "assetId",
              "assetArn",
              "assetStatus"
            ],
            members: {
              assetId: {},
              assetArn: {},
              assetStatus: {
                shape: "S33"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        CreateAssetModel: {
          http: {
            requestUri: "/asset-models",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "assetModelName"
            ],
            members: {
              assetModelName: {},
              assetModelDescription: {},
              assetModelProperties: {
                shape: "S3c"
              },
              assetModelHierarchies: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "childAssetModelId"
                  ],
                  members: {
                    name: {},
                    childAssetModelId: {}
                  }
                }
              },
              assetModelCompositeModels: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "type"
                  ],
                  members: {
                    name: {},
                    description: {},
                    type: {},
                    properties: {
                      shape: "S3c"
                    }
                  }
                }
              },
              clientToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "S2v"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assetModelId",
              "assetModelArn",
              "assetModelStatus"
            ],
            members: {
              assetModelId: {},
              assetModelArn: {},
              assetModelStatus: {
                shape: "S47"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        CreateBulkImportJob: {
          http: {
            requestUri: "/jobs",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "jobName",
              "jobRoleArn",
              "files",
              "errorReportLocation",
              "jobConfiguration"
            ],
            members: {
              jobName: {},
              jobRoleArn: {},
              files: {
                shape: "S4a"
              },
              errorReportLocation: {
                shape: "S4e"
              },
              jobConfiguration: {
                shape: "S4f"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobId",
              "jobName",
              "jobStatus"
            ],
            members: {
              jobId: {},
              jobName: {},
              jobStatus: {}
            }
          },
          endpoint: {
            hostPrefix: "data."
          }
        },
        CreateDashboard: {
          http: {
            requestUri: "/dashboards",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "projectId",
              "dashboardName",
              "dashboardDefinition"
            ],
            members: {
              projectId: {},
              dashboardName: {},
              dashboardDescription: {},
              dashboardDefinition: {},
              clientToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "S2v"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "dashboardId",
              "dashboardArn"
            ],
            members: {
              dashboardId: {},
              dashboardArn: {}
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        CreateGateway: {
          http: {
            requestUri: "/20200301/gateways",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "gatewayName",
              "gatewayPlatform"
            ],
            members: {
              gatewayName: {},
              gatewayPlatform: {
                shape: "S4q"
              },
              tags: {
                shape: "S2v"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "gatewayId",
              "gatewayArn"
            ],
            members: {
              gatewayId: {},
              gatewayArn: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        CreatePortal: {
          http: {
            requestUri: "/portals",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "portalName",
              "portalContactEmail",
              "roleArn"
            ],
            members: {
              portalName: {},
              portalDescription: {},
              portalContactEmail: {},
              clientToken: {
                idempotencyToken: true
              },
              portalLogoImageFile: {
                shape: "S4x"
              },
              roleArn: {},
              tags: {
                shape: "S2v"
              },
              portalAuthMode: {},
              notificationSenderEmail: {},
              alarms: {
                shape: "S51"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "portalId",
              "portalArn",
              "portalStartUrl",
              "portalStatus",
              "ssoApplicationId"
            ],
            members: {
              portalId: {},
              portalArn: {},
              portalStartUrl: {},
              portalStatus: {
                shape: "S54"
              },
              ssoApplicationId: {}
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        CreateProject: {
          http: {
            requestUri: "/projects",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "portalId",
              "projectName"
            ],
            members: {
              portalId: {},
              projectName: {},
              projectDescription: {},
              clientToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "S2v"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "projectId",
              "projectArn"
            ],
            members: {
              projectId: {},
              projectArn: {}
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        DeleteAccessPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/access-policies/{accessPolicyId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "accessPolicyId"
            ],
            members: {
              accessPolicyId: {
                location: "uri",
                locationName: "accessPolicyId"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        DeleteAsset: {
          http: {
            method: "DELETE",
            requestUri: "/assets/{assetId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "assetId"
            ],
            members: {
              assetId: {
                location: "uri",
                locationName: "assetId"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assetStatus"
            ],
            members: {
              assetStatus: {
                shape: "S33"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DeleteAssetModel: {
          http: {
            method: "DELETE",
            requestUri: "/asset-models/{assetModelId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "assetModelId"
            ],
            members: {
              assetModelId: {
                location: "uri",
                locationName: "assetModelId"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assetModelStatus"
            ],
            members: {
              assetModelStatus: {
                shape: "S47"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DeleteDashboard: {
          http: {
            method: "DELETE",
            requestUri: "/dashboards/{dashboardId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "dashboardId"
            ],
            members: {
              dashboardId: {
                location: "uri",
                locationName: "dashboardId"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        DeleteGateway: {
          http: {
            method: "DELETE",
            requestUri: "/20200301/gateways/{gatewayId}"
          },
          input: {
            type: "structure",
            required: [
              "gatewayId"
            ],
            members: {
              gatewayId: {
                location: "uri",
                locationName: "gatewayId"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DeletePortal: {
          http: {
            method: "DELETE",
            requestUri: "/portals/{portalId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "portalId"
            ],
            members: {
              portalId: {
                location: "uri",
                locationName: "portalId"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "portalStatus"
            ],
            members: {
              portalStatus: {
                shape: "S54"
              }
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        DeleteProject: {
          http: {
            method: "DELETE",
            requestUri: "/projects/{projectId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "projectId"
            ],
            members: {
              projectId: {
                location: "uri",
                locationName: "projectId"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        DeleteTimeSeries: {
          http: {
            requestUri: "/timeseries/delete/"
          },
          input: {
            type: "structure",
            members: {
              alias: {
                location: "querystring",
                locationName: "alias"
              },
              assetId: {
                location: "querystring",
                locationName: "assetId"
              },
              propertyId: {
                location: "querystring",
                locationName: "propertyId"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DescribeAccessPolicy: {
          http: {
            method: "GET",
            requestUri: "/access-policies/{accessPolicyId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accessPolicyId"
            ],
            members: {
              accessPolicyId: {
                location: "uri",
                locationName: "accessPolicyId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "accessPolicyId",
              "accessPolicyArn",
              "accessPolicyIdentity",
              "accessPolicyResource",
              "accessPolicyPermission",
              "accessPolicyCreationDate",
              "accessPolicyLastUpdateDate"
            ],
            members: {
              accessPolicyId: {},
              accessPolicyArn: {},
              accessPolicyIdentity: {
                shape: "S2k"
              },
              accessPolicyResource: {
                shape: "S2r"
              },
              accessPolicyPermission: {},
              accessPolicyCreationDate: {
                type: "timestamp"
              },
              accessPolicyLastUpdateDate: {
                type: "timestamp"
              }
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        DescribeAsset: {
          http: {
            method: "GET",
            requestUri: "/assets/{assetId}"
          },
          input: {
            type: "structure",
            required: [
              "assetId"
            ],
            members: {
              assetId: {
                location: "uri",
                locationName: "assetId"
              },
              excludeProperties: {
                location: "querystring",
                locationName: "excludeProperties",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assetId",
              "assetArn",
              "assetName",
              "assetModelId",
              "assetProperties",
              "assetHierarchies",
              "assetCreationDate",
              "assetLastUpdateDate",
              "assetStatus"
            ],
            members: {
              assetId: {},
              assetArn: {},
              assetName: {},
              assetModelId: {},
              assetProperties: {
                shape: "S5v"
              },
              assetHierarchies: {
                shape: "S60"
              },
              assetCompositeModels: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "type",
                    "properties"
                  ],
                  members: {
                    name: {},
                    description: {},
                    type: {},
                    properties: {
                      shape: "S5v"
                    },
                    id: {}
                  }
                }
              },
              assetCreationDate: {
                type: "timestamp"
              },
              assetLastUpdateDate: {
                type: "timestamp"
              },
              assetStatus: {
                shape: "S33"
              },
              assetDescription: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DescribeAssetModel: {
          http: {
            method: "GET",
            requestUri: "/asset-models/{assetModelId}"
          },
          input: {
            type: "structure",
            required: [
              "assetModelId"
            ],
            members: {
              assetModelId: {
                location: "uri",
                locationName: "assetModelId"
              },
              excludeProperties: {
                location: "querystring",
                locationName: "excludeProperties",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assetModelId",
              "assetModelArn",
              "assetModelName",
              "assetModelDescription",
              "assetModelProperties",
              "assetModelHierarchies",
              "assetModelCreationDate",
              "assetModelLastUpdateDate",
              "assetModelStatus"
            ],
            members: {
              assetModelId: {},
              assetModelArn: {},
              assetModelName: {},
              assetModelDescription: {},
              assetModelProperties: {
                shape: "S66"
              },
              assetModelHierarchies: {
                shape: "S68"
              },
              assetModelCompositeModels: {
                shape: "S6a"
              },
              assetModelCreationDate: {
                type: "timestamp"
              },
              assetModelLastUpdateDate: {
                type: "timestamp"
              },
              assetModelStatus: {
                shape: "S47"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DescribeAssetProperty: {
          http: {
            method: "GET",
            requestUri: "/assets/{assetId}/properties/{propertyId}"
          },
          input: {
            type: "structure",
            required: [
              "assetId",
              "propertyId"
            ],
            members: {
              assetId: {
                location: "uri",
                locationName: "assetId"
              },
              propertyId: {
                location: "uri",
                locationName: "propertyId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assetId",
              "assetName",
              "assetModelId"
            ],
            members: {
              assetId: {},
              assetName: {},
              assetModelId: {},
              assetProperty: {
                shape: "S6e"
              },
              compositeModel: {
                type: "structure",
                required: [
                  "name",
                  "type",
                  "assetProperty"
                ],
                members: {
                  name: {},
                  type: {},
                  assetProperty: {
                    shape: "S6e"
                  },
                  id: {}
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DescribeBulkImportJob: {
          http: {
            method: "GET",
            requestUri: "/jobs/{jobId}"
          },
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobId",
              "jobName",
              "jobStatus",
              "jobRoleArn",
              "files",
              "errorReportLocation",
              "jobConfiguration",
              "jobCreationDate",
              "jobLastUpdateDate"
            ],
            members: {
              jobId: {},
              jobName: {},
              jobStatus: {},
              jobRoleArn: {},
              files: {
                shape: "S4a"
              },
              errorReportLocation: {
                shape: "S4e"
              },
              jobConfiguration: {
                shape: "S4f"
              },
              jobCreationDate: {
                type: "timestamp"
              },
              jobLastUpdateDate: {
                type: "timestamp"
              }
            }
          },
          endpoint: {
            hostPrefix: "data."
          }
        },
        DescribeDashboard: {
          http: {
            method: "GET",
            requestUri: "/dashboards/{dashboardId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "dashboardId"
            ],
            members: {
              dashboardId: {
                location: "uri",
                locationName: "dashboardId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "dashboardId",
              "dashboardArn",
              "dashboardName",
              "projectId",
              "dashboardDefinition",
              "dashboardCreationDate",
              "dashboardLastUpdateDate"
            ],
            members: {
              dashboardId: {},
              dashboardArn: {},
              dashboardName: {},
              projectId: {},
              dashboardDescription: {},
              dashboardDefinition: {},
              dashboardCreationDate: {
                type: "timestamp"
              },
              dashboardLastUpdateDate: {
                type: "timestamp"
              }
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        DescribeDefaultEncryptionConfiguration: {
          http: {
            method: "GET",
            requestUri: "/configuration/account/encryption"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "encryptionType",
              "configurationStatus"
            ],
            members: {
              encryptionType: {},
              kmsKeyArn: {},
              configurationStatus: {
                shape: "S6n"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DescribeGateway: {
          http: {
            method: "GET",
            requestUri: "/20200301/gateways/{gatewayId}"
          },
          input: {
            type: "structure",
            required: [
              "gatewayId"
            ],
            members: {
              gatewayId: {
                location: "uri",
                locationName: "gatewayId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "gatewayId",
              "gatewayName",
              "gatewayArn",
              "gatewayCapabilitySummaries",
              "creationDate",
              "lastUpdateDate"
            ],
            members: {
              gatewayId: {},
              gatewayName: {},
              gatewayArn: {},
              gatewayPlatform: {
                shape: "S4q"
              },
              gatewayCapabilitySummaries: {
                shape: "S6s"
              },
              creationDate: {
                type: "timestamp"
              },
              lastUpdateDate: {
                type: "timestamp"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DescribeGatewayCapabilityConfiguration: {
          http: {
            method: "GET",
            requestUri: "/20200301/gateways/{gatewayId}/capability/{capabilityNamespace}"
          },
          input: {
            type: "structure",
            required: [
              "gatewayId",
              "capabilityNamespace"
            ],
            members: {
              gatewayId: {
                location: "uri",
                locationName: "gatewayId"
              },
              capabilityNamespace: {
                location: "uri",
                locationName: "capabilityNamespace"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "gatewayId",
              "capabilityNamespace",
              "capabilityConfiguration",
              "capabilitySyncStatus"
            ],
            members: {
              gatewayId: {},
              capabilityNamespace: {},
              capabilityConfiguration: {},
              capabilitySyncStatus: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DescribeLoggingOptions: {
          http: {
            method: "GET",
            requestUri: "/logging"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "loggingOptions"
            ],
            members: {
              loggingOptions: {
                shape: "S71"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DescribePortal: {
          http: {
            method: "GET",
            requestUri: "/portals/{portalId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "portalId"
            ],
            members: {
              portalId: {
                location: "uri",
                locationName: "portalId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "portalId",
              "portalArn",
              "portalName",
              "portalClientId",
              "portalStartUrl",
              "portalContactEmail",
              "portalStatus",
              "portalCreationDate",
              "portalLastUpdateDate"
            ],
            members: {
              portalId: {},
              portalArn: {},
              portalName: {},
              portalDescription: {},
              portalClientId: {},
              portalStartUrl: {},
              portalContactEmail: {},
              portalStatus: {
                shape: "S54"
              },
              portalCreationDate: {
                type: "timestamp"
              },
              portalLastUpdateDate: {
                type: "timestamp"
              },
              portalLogoImageLocation: {
                type: "structure",
                required: [
                  "id",
                  "url"
                ],
                members: {
                  id: {},
                  url: {}
                }
              },
              roleArn: {},
              portalAuthMode: {},
              notificationSenderEmail: {},
              alarms: {
                shape: "S51"
              }
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        DescribeProject: {
          http: {
            method: "GET",
            requestUri: "/projects/{projectId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "projectId"
            ],
            members: {
              projectId: {
                location: "uri",
                locationName: "projectId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "projectId",
              "projectArn",
              "projectName",
              "portalId",
              "projectCreationDate",
              "projectLastUpdateDate"
            ],
            members: {
              projectId: {},
              projectArn: {},
              projectName: {},
              portalId: {},
              projectDescription: {},
              projectCreationDate: {
                type: "timestamp"
              },
              projectLastUpdateDate: {
                type: "timestamp"
              }
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        DescribeStorageConfiguration: {
          http: {
            method: "GET",
            requestUri: "/configuration/account/storage"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "storageType",
              "configurationStatus"
            ],
            members: {
              storageType: {},
              multiLayerStorage: {
                shape: "S7c"
              },
              disassociatedDataStorage: {},
              retentionPeriod: {
                shape: "S7f"
              },
              configurationStatus: {
                shape: "S6n"
              },
              lastUpdateDate: {
                type: "timestamp"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DescribeTimeSeries: {
          http: {
            method: "GET",
            requestUri: "/timeseries/describe/"
          },
          input: {
            type: "structure",
            members: {
              alias: {
                location: "querystring",
                locationName: "alias"
              },
              assetId: {
                location: "querystring",
                locationName: "assetId"
              },
              propertyId: {
                location: "querystring",
                locationName: "propertyId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "timeSeriesId",
              "dataType",
              "timeSeriesCreationDate",
              "timeSeriesLastUpdateDate",
              "timeSeriesArn"
            ],
            members: {
              assetId: {},
              propertyId: {},
              alias: {},
              timeSeriesId: {},
              dataType: {},
              dataTypeSpec: {},
              timeSeriesCreationDate: {
                type: "timestamp"
              },
              timeSeriesLastUpdateDate: {
                type: "timestamp"
              },
              timeSeriesArn: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DisassociateAssets: {
          http: {
            requestUri: "/assets/{assetId}/disassociate"
          },
          input: {
            type: "structure",
            required: [
              "assetId",
              "hierarchyId",
              "childAssetId"
            ],
            members: {
              assetId: {
                location: "uri",
                locationName: "assetId"
              },
              hierarchyId: {},
              childAssetId: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DisassociateTimeSeriesFromAssetProperty: {
          http: {
            requestUri: "/timeseries/disassociate/"
          },
          input: {
            type: "structure",
            required: [
              "alias",
              "assetId",
              "propertyId"
            ],
            members: {
              alias: {
                location: "querystring",
                locationName: "alias"
              },
              assetId: {
                location: "querystring",
                locationName: "assetId"
              },
              propertyId: {
                location: "querystring",
                locationName: "propertyId"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        GetAssetPropertyAggregates: {
          http: {
            method: "GET",
            requestUri: "/properties/aggregates"
          },
          input: {
            type: "structure",
            required: [
              "aggregateTypes",
              "resolution",
              "startDate",
              "endDate"
            ],
            members: {
              assetId: {
                location: "querystring",
                locationName: "assetId"
              },
              propertyId: {
                location: "querystring",
                locationName: "propertyId"
              },
              propertyAlias: {
                location: "querystring",
                locationName: "propertyAlias"
              },
              aggregateTypes: {
                shape: "Sl",
                location: "querystring",
                locationName: "aggregateTypes"
              },
              resolution: {
                location: "querystring",
                locationName: "resolution"
              },
              qualities: {
                shape: "Sp",
                location: "querystring",
                locationName: "qualities"
              },
              startDate: {
                location: "querystring",
                locationName: "startDate",
                type: "timestamp"
              },
              endDate: {
                location: "querystring",
                locationName: "endDate",
                type: "timestamp"
              },
              timeOrdering: {
                location: "querystring",
                locationName: "timeOrdering"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "aggregatedValues"
            ],
            members: {
              aggregatedValues: {
                shape: "S11"
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "data."
          }
        },
        GetAssetPropertyValue: {
          http: {
            method: "GET",
            requestUri: "/properties/latest"
          },
          input: {
            type: "structure",
            members: {
              assetId: {
                location: "querystring",
                locationName: "assetId"
              },
              propertyId: {
                location: "querystring",
                locationName: "propertyId"
              },
              propertyAlias: {
                location: "querystring",
                locationName: "propertyAlias"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              propertyValue: {
                shape: "S1i"
              }
            }
          },
          endpoint: {
            hostPrefix: "data."
          }
        },
        GetAssetPropertyValueHistory: {
          http: {
            method: "GET",
            requestUri: "/properties/history"
          },
          input: {
            type: "structure",
            members: {
              assetId: {
                location: "querystring",
                locationName: "assetId"
              },
              propertyId: {
                location: "querystring",
                locationName: "propertyId"
              },
              propertyAlias: {
                location: "querystring",
                locationName: "propertyAlias"
              },
              startDate: {
                location: "querystring",
                locationName: "startDate",
                type: "timestamp"
              },
              endDate: {
                location: "querystring",
                locationName: "endDate",
                type: "timestamp"
              },
              qualities: {
                shape: "Sp",
                location: "querystring",
                locationName: "qualities"
              },
              timeOrdering: {
                location: "querystring",
                locationName: "timeOrdering"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assetPropertyValueHistory"
            ],
            members: {
              assetPropertyValueHistory: {
                shape: "S24"
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "data."
          }
        },
        GetInterpolatedAssetPropertyValues: {
          http: {
            method: "GET",
            requestUri: "/properties/interpolated"
          },
          input: {
            type: "structure",
            required: [
              "startTimeInSeconds",
              "endTimeInSeconds",
              "quality",
              "intervalInSeconds",
              "type"
            ],
            members: {
              assetId: {
                location: "querystring",
                locationName: "assetId"
              },
              propertyId: {
                location: "querystring",
                locationName: "propertyId"
              },
              propertyAlias: {
                location: "querystring",
                locationName: "propertyAlias"
              },
              startTimeInSeconds: {
                location: "querystring",
                locationName: "startTimeInSeconds",
                type: "long"
              },
              startTimeOffsetInNanos: {
                location: "querystring",
                locationName: "startTimeOffsetInNanos",
                type: "integer"
              },
              endTimeInSeconds: {
                location: "querystring",
                locationName: "endTimeInSeconds",
                type: "long"
              },
              endTimeOffsetInNanos: {
                location: "querystring",
                locationName: "endTimeOffsetInNanos",
                type: "integer"
              },
              quality: {
                location: "querystring",
                locationName: "quality"
              },
              intervalInSeconds: {
                location: "querystring",
                locationName: "intervalInSeconds",
                type: "long"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              type: {
                location: "querystring",
                locationName: "type"
              },
              intervalWindowInSeconds: {
                location: "querystring",
                locationName: "intervalWindowInSeconds",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "interpolatedAssetPropertyValues"
            ],
            members: {
              interpolatedAssetPropertyValues: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "timestamp",
                    "value"
                  ],
                  members: {
                    timestamp: {
                      shape: "S1o"
                    },
                    value: {
                      shape: "S1j"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "data."
          }
        },
        ListAccessPolicies: {
          http: {
            method: "GET",
            requestUri: "/access-policies",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              identityType: {
                location: "querystring",
                locationName: "identityType"
              },
              identityId: {
                location: "querystring",
                locationName: "identityId"
              },
              resourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              resourceId: {
                location: "querystring",
                locationName: "resourceId"
              },
              iamArn: {
                location: "querystring",
                locationName: "iamArn"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "accessPolicySummaries"
            ],
            members: {
              accessPolicySummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "identity",
                    "resource",
                    "permission"
                  ],
                  members: {
                    id: {},
                    identity: {
                      shape: "S2k"
                    },
                    resource: {
                      shape: "S2r"
                    },
                    permission: {},
                    creationDate: {
                      type: "timestamp"
                    },
                    lastUpdateDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        ListAssetModelProperties: {
          http: {
            method: "GET",
            requestUri: "/asset-models/{assetModelId}/properties"
          },
          input: {
            type: "structure",
            required: [
              "assetModelId"
            ],
            members: {
              assetModelId: {
                location: "uri",
                locationName: "assetModelId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              filter: {
                location: "querystring",
                locationName: "filter"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assetModelPropertySummaries"
            ],
            members: {
              assetModelPropertySummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "dataType",
                    "type"
                  ],
                  members: {
                    id: {},
                    name: {},
                    dataType: {},
                    dataTypeSpec: {},
                    unit: {},
                    type: {
                      shape: "S3g"
                    },
                    assetModelCompositeModelId: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListAssetModels: {
          http: {
            method: "GET",
            requestUri: "/asset-models"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assetModelSummaries"
            ],
            members: {
              assetModelSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "arn",
                    "name",
                    "description",
                    "creationDate",
                    "lastUpdateDate",
                    "status"
                  ],
                  members: {
                    id: {},
                    arn: {},
                    name: {},
                    description: {},
                    creationDate: {
                      type: "timestamp"
                    },
                    lastUpdateDate: {
                      type: "timestamp"
                    },
                    status: {
                      shape: "S47"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListAssetProperties: {
          http: {
            method: "GET",
            requestUri: "/assets/{assetId}/properties"
          },
          input: {
            type: "structure",
            required: [
              "assetId"
            ],
            members: {
              assetId: {
                location: "uri",
                locationName: "assetId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              filter: {
                location: "querystring",
                locationName: "filter"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assetPropertySummaries"
            ],
            members: {
              assetPropertySummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    alias: {},
                    unit: {},
                    notification: {
                      shape: "S5x"
                    },
                    assetCompositeModelId: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListAssetRelationships: {
          http: {
            method: "GET",
            requestUri: "/assets/{assetId}/assetRelationships"
          },
          input: {
            type: "structure",
            required: [
              "assetId",
              "traversalType"
            ],
            members: {
              assetId: {
                location: "uri",
                locationName: "assetId"
              },
              traversalType: {
                location: "querystring",
                locationName: "traversalType"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assetRelationshipSummaries"
            ],
            members: {
              assetRelationshipSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "relationshipType"
                  ],
                  members: {
                    hierarchyInfo: {
                      type: "structure",
                      members: {
                        parentAssetId: {},
                        childAssetId: {}
                      }
                    },
                    relationshipType: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListAssets: {
          http: {
            method: "GET",
            requestUri: "/assets"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              assetModelId: {
                location: "querystring",
                locationName: "assetModelId"
              },
              filter: {
                location: "querystring",
                locationName: "filter"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assetSummaries"
            ],
            members: {
              assetSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "arn",
                    "name",
                    "assetModelId",
                    "creationDate",
                    "lastUpdateDate",
                    "status",
                    "hierarchies"
                  ],
                  members: {
                    id: {},
                    arn: {},
                    name: {},
                    assetModelId: {},
                    creationDate: {
                      type: "timestamp"
                    },
                    lastUpdateDate: {
                      type: "timestamp"
                    },
                    status: {
                      shape: "S33"
                    },
                    hierarchies: {
                      shape: "S60"
                    },
                    description: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListAssociatedAssets: {
          http: {
            method: "GET",
            requestUri: "/assets/{assetId}/hierarchies"
          },
          input: {
            type: "structure",
            required: [
              "assetId"
            ],
            members: {
              assetId: {
                location: "uri",
                locationName: "assetId"
              },
              hierarchyId: {
                location: "querystring",
                locationName: "hierarchyId"
              },
              traversalDirection: {
                location: "querystring",
                locationName: "traversalDirection"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assetSummaries"
            ],
            members: {
              assetSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "arn",
                    "name",
                    "assetModelId",
                    "creationDate",
                    "lastUpdateDate",
                    "status",
                    "hierarchies"
                  ],
                  members: {
                    id: {},
                    arn: {},
                    name: {},
                    assetModelId: {},
                    creationDate: {
                      type: "timestamp"
                    },
                    lastUpdateDate: {
                      type: "timestamp"
                    },
                    status: {
                      shape: "S33"
                    },
                    hierarchies: {
                      shape: "S60"
                    },
                    description: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListBulkImportJobs: {
          http: {
            method: "GET",
            requestUri: "/jobs"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              filter: {
                location: "querystring",
                locationName: "filter"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobSummaries"
            ],
            members: {
              jobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "name",
                    "status"
                  ],
                  members: {
                    id: {},
                    name: {},
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "data."
          }
        },
        ListDashboards: {
          http: {
            method: "GET",
            requestUri: "/dashboards",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "projectId"
            ],
            members: {
              projectId: {
                location: "querystring",
                locationName: "projectId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "dashboardSummaries"
            ],
            members: {
              dashboardSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "name"
                  ],
                  members: {
                    id: {},
                    name: {},
                    description: {},
                    creationDate: {
                      type: "timestamp"
                    },
                    lastUpdateDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        ListGateways: {
          http: {
            method: "GET",
            requestUri: "/20200301/gateways"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "gatewaySummaries"
            ],
            members: {
              gatewaySummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "gatewayId",
                    "gatewayName",
                    "creationDate",
                    "lastUpdateDate"
                  ],
                  members: {
                    gatewayId: {},
                    gatewayName: {},
                    gatewayPlatform: {
                      shape: "S4q"
                    },
                    gatewayCapabilitySummaries: {
                      shape: "S6s"
                    },
                    creationDate: {
                      type: "timestamp"
                    },
                    lastUpdateDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListPortals: {
          http: {
            method: "GET",
            requestUri: "/portals",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              portalSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "name",
                    "startUrl",
                    "status"
                  ],
                  members: {
                    id: {},
                    name: {},
                    description: {},
                    startUrl: {},
                    creationDate: {
                      type: "timestamp"
                    },
                    lastUpdateDate: {
                      type: "timestamp"
                    },
                    roleArn: {},
                    status: {
                      shape: "S54"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        ListProjectAssets: {
          http: {
            method: "GET",
            requestUri: "/projects/{projectId}/assets",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "projectId"
            ],
            members: {
              projectId: {
                location: "uri",
                locationName: "projectId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assetIds"
            ],
            members: {
              assetIds: {
                type: "list",
                member: {}
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        ListProjects: {
          http: {
            method: "GET",
            requestUri: "/projects",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "portalId"
            ],
            members: {
              portalId: {
                location: "querystring",
                locationName: "portalId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "projectSummaries"
            ],
            members: {
              projectSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "name"
                  ],
                  members: {
                    id: {},
                    name: {},
                    description: {},
                    creationDate: {
                      type: "timestamp"
                    },
                    lastUpdateDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S2v"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListTimeSeries: {
          http: {
            method: "GET",
            requestUri: "/timeseries/"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              assetId: {
                location: "querystring",
                locationName: "assetId"
              },
              aliasPrefix: {
                location: "querystring",
                locationName: "aliasPrefix"
              },
              timeSeriesType: {
                location: "querystring",
                locationName: "timeSeriesType"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TimeSeriesSummaries"
            ],
            members: {
              TimeSeriesSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "timeSeriesId",
                    "dataType",
                    "timeSeriesCreationDate",
                    "timeSeriesLastUpdateDate",
                    "timeSeriesArn"
                  ],
                  members: {
                    assetId: {},
                    propertyId: {},
                    alias: {},
                    timeSeriesId: {},
                    dataType: {},
                    dataTypeSpec: {},
                    timeSeriesCreationDate: {
                      type: "timestamp"
                    },
                    timeSeriesLastUpdateDate: {
                      type: "timestamp"
                    },
                    timeSeriesArn: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        PutDefaultEncryptionConfiguration: {
          http: {
            requestUri: "/configuration/account/encryption"
          },
          input: {
            type: "structure",
            required: [
              "encryptionType"
            ],
            members: {
              encryptionType: {},
              kmsKeyId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "encryptionType",
              "configurationStatus"
            ],
            members: {
              encryptionType: {},
              kmsKeyArn: {},
              configurationStatus: {
                shape: "S6n"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        PutLoggingOptions: {
          http: {
            method: "PUT",
            requestUri: "/logging"
          },
          input: {
            type: "structure",
            required: [
              "loggingOptions"
            ],
            members: {
              loggingOptions: {
                shape: "S71"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        PutStorageConfiguration: {
          http: {
            requestUri: "/configuration/account/storage"
          },
          input: {
            type: "structure",
            required: [
              "storageType"
            ],
            members: {
              storageType: {},
              multiLayerStorage: {
                shape: "S7c"
              },
              disassociatedDataStorage: {},
              retentionPeriod: {
                shape: "S7f"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "storageType",
              "configurationStatus"
            ],
            members: {
              storageType: {},
              multiLayerStorage: {
                shape: "S7c"
              },
              disassociatedDataStorage: {},
              retentionPeriod: {
                shape: "S7f"
              },
              configurationStatus: {
                shape: "S6n"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S2v"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        UpdateAccessPolicy: {
          http: {
            method: "PUT",
            requestUri: "/access-policies/{accessPolicyId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accessPolicyId",
              "accessPolicyIdentity",
              "accessPolicyResource",
              "accessPolicyPermission"
            ],
            members: {
              accessPolicyId: {
                location: "uri",
                locationName: "accessPolicyId"
              },
              accessPolicyIdentity: {
                shape: "S2k"
              },
              accessPolicyResource: {
                shape: "S2r"
              },
              accessPolicyPermission: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        UpdateAsset: {
          http: {
            method: "PUT",
            requestUri: "/assets/{assetId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "assetId",
              "assetName"
            ],
            members: {
              assetId: {
                location: "uri",
                locationName: "assetId"
              },
              assetName: {},
              clientToken: {
                idempotencyToken: true
              },
              assetDescription: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "assetStatus"
            ],
            members: {
              assetStatus: {
                shape: "S33"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        UpdateAssetModel: {
          http: {
            method: "PUT",
            requestUri: "/asset-models/{assetModelId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "assetModelId",
              "assetModelName"
            ],
            members: {
              assetModelId: {
                location: "uri",
                locationName: "assetModelId"
              },
              assetModelName: {},
              assetModelDescription: {},
              assetModelProperties: {
                shape: "S66"
              },
              assetModelHierarchies: {
                shape: "S68"
              },
              assetModelCompositeModels: {
                shape: "S6a"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assetModelStatus"
            ],
            members: {
              assetModelStatus: {
                shape: "S47"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        UpdateAssetProperty: {
          http: {
            method: "PUT",
            requestUri: "/assets/{assetId}/properties/{propertyId}"
          },
          input: {
            type: "structure",
            required: [
              "assetId",
              "propertyId"
            ],
            members: {
              assetId: {
                location: "uri",
                locationName: "assetId"
              },
              propertyId: {
                location: "uri",
                locationName: "propertyId"
              },
              propertyAlias: {},
              propertyNotificationState: {},
              clientToken: {
                idempotencyToken: true
              },
              propertyUnit: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        UpdateDashboard: {
          http: {
            method: "PUT",
            requestUri: "/dashboards/{dashboardId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "dashboardId",
              "dashboardName",
              "dashboardDefinition"
            ],
            members: {
              dashboardId: {
                location: "uri",
                locationName: "dashboardId"
              },
              dashboardName: {},
              dashboardDescription: {},
              dashboardDefinition: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        UpdateGateway: {
          http: {
            method: "PUT",
            requestUri: "/20200301/gateways/{gatewayId}"
          },
          input: {
            type: "structure",
            required: [
              "gatewayId",
              "gatewayName"
            ],
            members: {
              gatewayId: {
                location: "uri",
                locationName: "gatewayId"
              },
              gatewayName: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        UpdateGatewayCapabilityConfiguration: {
          http: {
            requestUri: "/20200301/gateways/{gatewayId}/capability",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "gatewayId",
              "capabilityNamespace",
              "capabilityConfiguration"
            ],
            members: {
              gatewayId: {
                location: "uri",
                locationName: "gatewayId"
              },
              capabilityNamespace: {},
              capabilityConfiguration: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "capabilityNamespace",
              "capabilitySyncStatus"
            ],
            members: {
              capabilityNamespace: {},
              capabilitySyncStatus: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        UpdatePortal: {
          http: {
            method: "PUT",
            requestUri: "/portals/{portalId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "portalId",
              "portalName",
              "portalContactEmail",
              "roleArn"
            ],
            members: {
              portalId: {
                location: "uri",
                locationName: "portalId"
              },
              portalName: {},
              portalDescription: {},
              portalContactEmail: {},
              portalLogoImage: {
                type: "structure",
                members: {
                  id: {},
                  file: {
                    shape: "S4x"
                  }
                }
              },
              roleArn: {},
              clientToken: {
                idempotencyToken: true
              },
              notificationSenderEmail: {},
              alarms: {
                shape: "S51"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "portalStatus"
            ],
            members: {
              portalStatus: {
                shape: "S54"
              }
            }
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        },
        UpdateProject: {
          http: {
            method: "PUT",
            requestUri: "/projects/{projectId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "projectId",
              "projectName"
            ],
            members: {
              projectId: {
                location: "uri",
                locationName: "projectId"
              },
              projectName: {},
              projectDescription: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "monitor."
          }
        }
      },
      shapes: {
        S7: {
          type: "list",
          member: {}
        },
        Sa: {
          type: "structure",
          required: [
            "assetId",
            "code",
            "message"
          ],
          members: {
            assetId: {},
            code: {},
            message: {}
          }
        },
        Sl: {
          type: "list",
          member: {}
        },
        Sp: {
          type: "list",
          member: {}
        },
        S11: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "timestamp",
              "value"
            ],
            members: {
              timestamp: {
                type: "timestamp"
              },
              quality: {},
              value: {
                type: "structure",
                members: {
                  average: {
                    type: "double"
                  },
                  count: {
                    type: "double"
                  },
                  maximum: {
                    type: "double"
                  },
                  minimum: {
                    type: "double"
                  },
                  sum: {
                    type: "double"
                  },
                  standardDeviation: {
                    type: "double"
                  }
                }
              }
            }
          }
        },
        S1i: {
          type: "structure",
          required: [
            "value",
            "timestamp"
          ],
          members: {
            value: {
              shape: "S1j"
            },
            timestamp: {
              shape: "S1o"
            },
            quality: {}
          }
        },
        S1j: {
          type: "structure",
          members: {
            stringValue: {},
            integerValue: {
              type: "integer"
            },
            doubleValue: {
              type: "double"
            },
            booleanValue: {
              type: "boolean"
            }
          }
        },
        S1o: {
          type: "structure",
          required: [
            "timeInSeconds"
          ],
          members: {
            timeInSeconds: {
              type: "long"
            },
            offsetInNanos: {
              type: "integer"
            }
          }
        },
        S24: {
          type: "list",
          member: {
            shape: "S1i"
          }
        },
        S2k: {
          type: "structure",
          members: {
            user: {
              type: "structure",
              required: [
                "id"
              ],
              members: {
                id: {}
              }
            },
            group: {
              type: "structure",
              required: [
                "id"
              ],
              members: {
                id: {}
              }
            },
            iamUser: {
              type: "structure",
              required: [
                "arn"
              ],
              members: {
                arn: {}
              }
            },
            iamRole: {
              type: "structure",
              required: [
                "arn"
              ],
              members: {
                arn: {}
              }
            }
          }
        },
        S2r: {
          type: "structure",
          members: {
            portal: {
              type: "structure",
              required: [
                "id"
              ],
              members: {
                id: {}
              }
            },
            project: {
              type: "structure",
              required: [
                "id"
              ],
              members: {
                id: {}
              }
            }
          }
        },
        S2v: {
          type: "map",
          key: {},
          value: {}
        },
        S33: {
          type: "structure",
          required: [
            "state"
          ],
          members: {
            state: {},
            error: {
              shape: "S35"
            }
          }
        },
        S35: {
          type: "structure",
          required: [
            "code",
            "message"
          ],
          members: {
            code: {},
            message: {},
            details: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "code",
                  "message"
                ],
                members: {
                  code: {},
                  message: {}
                }
              }
            }
          }
        },
        S3c: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "dataType",
              "type"
            ],
            members: {
              name: {},
              dataType: {},
              dataTypeSpec: {},
              unit: {},
              type: {
                shape: "S3g"
              }
            }
          }
        },
        S3g: {
          type: "structure",
          members: {
            attribute: {
              type: "structure",
              members: {
                defaultValue: {}
              }
            },
            measurement: {
              type: "structure",
              members: {
                processingConfig: {
                  type: "structure",
                  required: [
                    "forwardingConfig"
                  ],
                  members: {
                    forwardingConfig: {
                      shape: "S3l"
                    }
                  }
                }
              }
            },
            transform: {
              type: "structure",
              required: [
                "expression",
                "variables"
              ],
              members: {
                expression: {},
                variables: {
                  shape: "S3p"
                },
                processingConfig: {
                  type: "structure",
                  required: [
                    "computeLocation"
                  ],
                  members: {
                    computeLocation: {},
                    forwardingConfig: {
                      shape: "S3l"
                    }
                  }
                }
              }
            },
            metric: {
              type: "structure",
              required: [
                "expression",
                "variables",
                "window"
              ],
              members: {
                expression: {},
                variables: {
                  shape: "S3p"
                },
                window: {
                  type: "structure",
                  members: {
                    tumbling: {
                      type: "structure",
                      required: [
                        "interval"
                      ],
                      members: {
                        interval: {},
                        offset: {}
                      }
                    }
                  }
                },
                processingConfig: {
                  type: "structure",
                  required: [
                    "computeLocation"
                  ],
                  members: {
                    computeLocation: {}
                  }
                }
              }
            }
          }
        },
        S3l: {
          type: "structure",
          required: [
            "state"
          ],
          members: {
            state: {}
          }
        },
        S3p: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "value"
            ],
            members: {
              name: {},
              value: {
                type: "structure",
                required: [
                  "propertyId"
                ],
                members: {
                  propertyId: {},
                  hierarchyId: {}
                }
              }
            }
          }
        },
        S47: {
          type: "structure",
          required: [
            "state"
          ],
          members: {
            state: {},
            error: {
              shape: "S35"
            }
          }
        },
        S4a: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "bucket",
              "key"
            ],
            members: {
              bucket: {},
              key: {},
              versionId: {}
            }
          }
        },
        S4e: {
          type: "structure",
          required: [
            "bucket",
            "prefix"
          ],
          members: {
            bucket: {},
            prefix: {}
          }
        },
        S4f: {
          type: "structure",
          required: [
            "fileFormat"
          ],
          members: {
            fileFormat: {
              type: "structure",
              members: {
                csv: {
                  type: "structure",
                  members: {
                    columnNames: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              }
            }
          }
        },
        S4q: {
          type: "structure",
          members: {
            greengrass: {
              type: "structure",
              required: [
                "groupArn"
              ],
              members: {
                groupArn: {}
              }
            },
            greengrassV2: {
              type: "structure",
              required: [
                "coreDeviceThingName"
              ],
              members: {
                coreDeviceThingName: {}
              }
            }
          }
        },
        S4x: {
          type: "structure",
          required: [
            "data",
            "type"
          ],
          members: {
            data: {
              type: "blob"
            },
            type: {}
          }
        },
        S51: {
          type: "structure",
          required: [
            "alarmRoleArn"
          ],
          members: {
            alarmRoleArn: {},
            notificationLambdaArn: {}
          }
        },
        S54: {
          type: "structure",
          required: [
            "state"
          ],
          members: {
            state: {},
            error: {
              type: "structure",
              members: {
                code: {},
                message: {}
              }
            }
          }
        },
        S5v: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "id",
              "name",
              "dataType"
            ],
            members: {
              id: {},
              name: {},
              alias: {},
              notification: {
                shape: "S5x"
              },
              dataType: {},
              dataTypeSpec: {},
              unit: {}
            }
          }
        },
        S5x: {
          type: "structure",
          required: [
            "topic",
            "state"
          ],
          members: {
            topic: {},
            state: {}
          }
        },
        S60: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              id: {},
              name: {}
            }
          }
        },
        S66: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "dataType",
              "type"
            ],
            members: {
              id: {},
              name: {},
              dataType: {},
              dataTypeSpec: {},
              unit: {},
              type: {
                shape: "S3g"
              }
            }
          }
        },
        S68: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "childAssetModelId"
            ],
            members: {
              id: {},
              name: {},
              childAssetModelId: {}
            }
          }
        },
        S6a: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "type"
            ],
            members: {
              name: {},
              description: {},
              type: {},
              properties: {
                shape: "S66"
              },
              id: {}
            }
          }
        },
        S6e: {
          type: "structure",
          required: [
            "id",
            "name",
            "dataType"
          ],
          members: {
            id: {},
            name: {},
            alias: {},
            notification: {
              shape: "S5x"
            },
            dataType: {},
            unit: {},
            type: {
              shape: "S3g"
            }
          }
        },
        S6n: {
          type: "structure",
          required: [
            "state"
          ],
          members: {
            state: {},
            error: {
              type: "structure",
              required: [
                "code",
                "message"
              ],
              members: {
                code: {},
                message: {}
              }
            }
          }
        },
        S6s: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "capabilityNamespace",
              "capabilitySyncStatus"
            ],
            members: {
              capabilityNamespace: {},
              capabilitySyncStatus: {}
            }
          }
        },
        S71: {
          type: "structure",
          required: [
            "level"
          ],
          members: {
            level: {}
          }
        },
        S7c: {
          type: "structure",
          required: [
            "customerManagedS3Storage"
          ],
          members: {
            customerManagedS3Storage: {
              type: "structure",
              required: [
                "s3ResourceArn",
                "roleArn"
              ],
              members: {
                s3ResourceArn: {},
                roleArn: {}
              }
            }
          }
        },
        S7f: {
          type: "structure",
          members: {
            numberOfDays: {
              type: "integer"
            },
            unlimited: {
              type: "boolean"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iotsitewise-2019-12-02.paginators.json
var require_iotsitewise_2019_12_02_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iotsitewise-2019-12-02.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        BatchGetAssetPropertyAggregates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        BatchGetAssetPropertyValue: {
          input_token: "nextToken",
          output_token: "nextToken"
        },
        BatchGetAssetPropertyValueHistory: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetAssetPropertyAggregates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "aggregatedValues"
        },
        GetAssetPropertyValueHistory: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "assetPropertyValueHistory"
        },
        GetInterpolatedAssetPropertyValues: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "interpolatedAssetPropertyValues"
        },
        ListAccessPolicies: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "accessPolicySummaries"
        },
        ListAssetModelProperties: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "assetModelPropertySummaries"
        },
        ListAssetModels: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "assetModelSummaries"
        },
        ListAssetProperties: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "assetPropertySummaries"
        },
        ListAssetRelationships: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "assetRelationshipSummaries"
        },
        ListAssets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "assetSummaries"
        },
        ListAssociatedAssets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "assetSummaries"
        },
        ListBulkImportJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "jobSummaries"
        },
        ListDashboards: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "dashboardSummaries"
        },
        ListGateways: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "gatewaySummaries"
        },
        ListPortals: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "portalSummaries"
        },
        ListProjectAssets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "assetIds"
        },
        ListProjects: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "projectSummaries"
        },
        ListTimeSeries: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "TimeSeriesSummaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iotsitewise-2019-12-02.waiters2.json
var require_iotsitewise_2019_12_02_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/iotsitewise-2019-12-02.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        AssetModelNotExists: {
          delay: 3,
          maxAttempts: 20,
          operation: "DescribeAssetModel",
          acceptors: [
            {
              state: "success",
              matcher: "error",
              expected: "ResourceNotFoundException"
            }
          ]
        },
        AssetModelActive: {
          delay: 3,
          maxAttempts: 20,
          operation: "DescribeAssetModel",
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "assetModelStatus.state",
              expected: "ACTIVE"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "assetModelStatus.state",
              expected: "FAILED"
            }
          ]
        },
        AssetNotExists: {
          delay: 3,
          maxAttempts: 20,
          operation: "DescribeAsset",
          acceptors: [
            {
              state: "success",
              matcher: "error",
              expected: "ResourceNotFoundException"
            }
          ]
        },
        AssetActive: {
          delay: 3,
          maxAttempts: 20,
          operation: "DescribeAsset",
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "assetStatus.state",
              expected: "ACTIVE"
            },
            {
              state: "failure",
              matcher: "path",
              argument: "assetStatus.state",
              expected: "FAILED"
            }
          ]
        },
        PortalNotExists: {
          delay: 3,
          maxAttempts: 20,
          operation: "DescribePortal",
          acceptors: [
            {
              state: "success",
              matcher: "error",
              expected: "ResourceNotFoundException"
            }
          ]
        },
        PortalActive: {
          delay: 3,
          maxAttempts: 20,
          operation: "DescribePortal",
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "portalStatus.state",
              expected: "ACTIVE"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/iotsitewise.js
var require_iotsitewise = __commonJS({
  "node_modules/aws-sdk/clients/iotsitewise.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iotsitewise"] = {};
    AWS2.IoTSiteWise = Service.defineService("iotsitewise", ["2019-12-02"]);
    Object.defineProperty(apiLoader.services["iotsitewise"], "2019-12-02", {
      get: function get() {
        var model = require_iotsitewise_2019_12_02_min();
        model.paginators = require_iotsitewise_2019_12_02_paginators().pagination;
        model.waiters = require_iotsitewise_2019_12_02_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IoTSiteWise;
  }
});

// node_modules/aws-sdk/apis/macie2-2020-01-01.min.json
var require_macie2_2020_01_01_min = __commonJS({
  "node_modules/aws-sdk/apis/macie2-2020-01-01.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2020-01-01",
        endpointPrefix: "macie2",
        signingName: "macie2",
        serviceFullName: "Amazon Macie 2",
        serviceId: "Macie2",
        protocol: "rest-json",
        jsonVersion: "1.1",
        uid: "macie2-2020-01-01",
        signatureVersion: "v4"
      },
      operations: {
        AcceptInvitation: {
          http: {
            requestUri: "/invitations/accept",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              administratorAccountId: {
                locationName: "administratorAccountId"
              },
              invitationId: {
                locationName: "invitationId"
              },
              masterAccount: {
                locationName: "masterAccount"
              }
            },
            required: [
              "invitationId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        BatchGetCustomDataIdentifiers: {
          http: {
            requestUri: "/custom-data-identifiers/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ids: {
                shape: "S5",
                locationName: "ids"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              customDataIdentifiers: {
                locationName: "customDataIdentifiers",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {
                      locationName: "arn"
                    },
                    createdAt: {
                      shape: "S9",
                      locationName: "createdAt"
                    },
                    deleted: {
                      locationName: "deleted",
                      type: "boolean"
                    },
                    description: {
                      locationName: "description"
                    },
                    id: {
                      locationName: "id"
                    },
                    name: {
                      locationName: "name"
                    }
                  }
                }
              },
              notFoundIdentifierIds: {
                shape: "S5",
                locationName: "notFoundIdentifierIds"
              }
            }
          }
        },
        CreateAllowList: {
          http: {
            requestUri: "/allow-lists",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              clientToken: {
                locationName: "clientToken",
                idempotencyToken: true
              },
              criteria: {
                shape: "Sc",
                locationName: "criteria"
              },
              description: {
                locationName: "description"
              },
              name: {
                locationName: "name"
              },
              tags: {
                shape: "Si",
                locationName: "tags"
              }
            },
            required: [
              "criteria",
              "clientToken",
              "name"
            ]
          },
          output: {
            type: "structure",
            members: {
              arn: {
                locationName: "arn"
              },
              id: {
                locationName: "id"
              }
            }
          }
        },
        CreateClassificationJob: {
          http: {
            requestUri: "/jobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              allowListIds: {
                shape: "S5",
                locationName: "allowListIds"
              },
              clientToken: {
                locationName: "clientToken",
                idempotencyToken: true
              },
              customDataIdentifierIds: {
                shape: "S5",
                locationName: "customDataIdentifierIds"
              },
              description: {
                locationName: "description"
              },
              initialRun: {
                locationName: "initialRun",
                type: "boolean"
              },
              jobType: {
                locationName: "jobType"
              },
              managedDataIdentifierIds: {
                shape: "S5",
                locationName: "managedDataIdentifierIds"
              },
              managedDataIdentifierSelector: {
                locationName: "managedDataIdentifierSelector"
              },
              name: {
                locationName: "name"
              },
              s3JobDefinition: {
                shape: "Sp",
                locationName: "s3JobDefinition"
              },
              samplingPercentage: {
                locationName: "samplingPercentage",
                type: "integer"
              },
              scheduleFrequency: {
                shape: "S1d",
                locationName: "scheduleFrequency"
              },
              tags: {
                shape: "Si",
                locationName: "tags"
              }
            },
            required: [
              "s3JobDefinition",
              "jobType",
              "clientToken",
              "name"
            ]
          },
          output: {
            type: "structure",
            members: {
              jobArn: {
                locationName: "jobArn"
              },
              jobId: {
                locationName: "jobId"
              }
            }
          }
        },
        CreateCustomDataIdentifier: {
          http: {
            requestUri: "/custom-data-identifiers",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              clientToken: {
                locationName: "clientToken",
                idempotencyToken: true
              },
              description: {
                locationName: "description"
              },
              ignoreWords: {
                shape: "S5",
                locationName: "ignoreWords"
              },
              keywords: {
                shape: "S5",
                locationName: "keywords"
              },
              maximumMatchDistance: {
                locationName: "maximumMatchDistance",
                type: "integer"
              },
              name: {
                locationName: "name"
              },
              regex: {
                locationName: "regex"
              },
              severityLevels: {
                shape: "S1k",
                locationName: "severityLevels"
              },
              tags: {
                shape: "Si",
                locationName: "tags"
              }
            },
            required: [
              "regex",
              "name"
            ]
          },
          output: {
            type: "structure",
            members: {
              customDataIdentifierId: {
                locationName: "customDataIdentifierId"
              }
            }
          }
        },
        CreateFindingsFilter: {
          http: {
            requestUri: "/findingsfilters",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              action: {
                locationName: "action"
              },
              clientToken: {
                locationName: "clientToken",
                idempotencyToken: true
              },
              description: {
                locationName: "description"
              },
              findingCriteria: {
                shape: "S1r",
                locationName: "findingCriteria"
              },
              name: {
                locationName: "name"
              },
              position: {
                locationName: "position",
                type: "integer"
              },
              tags: {
                shape: "Si",
                locationName: "tags"
              }
            },
            required: [
              "action",
              "findingCriteria",
              "name"
            ]
          },
          output: {
            type: "structure",
            members: {
              arn: {
                locationName: "arn"
              },
              id: {
                locationName: "id"
              }
            }
          }
        },
        CreateInvitations: {
          http: {
            requestUri: "/invitations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              accountIds: {
                shape: "S5",
                locationName: "accountIds"
              },
              disableEmailNotification: {
                locationName: "disableEmailNotification",
                type: "boolean"
              },
              message: {
                locationName: "message"
              }
            },
            required: [
              "accountIds"
            ]
          },
          output: {
            type: "structure",
            members: {
              unprocessedAccounts: {
                shape: "S1x",
                locationName: "unprocessedAccounts"
              }
            }
          }
        },
        CreateMember: {
          http: {
            requestUri: "/members",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              account: {
                locationName: "account",
                type: "structure",
                members: {
                  accountId: {
                    locationName: "accountId"
                  },
                  email: {
                    locationName: "email"
                  }
                },
                required: [
                  "email",
                  "accountId"
                ]
              },
              tags: {
                shape: "Si",
                locationName: "tags"
              }
            },
            required: [
              "account"
            ]
          },
          output: {
            type: "structure",
            members: {
              arn: {
                locationName: "arn"
              }
            }
          }
        },
        CreateSampleFindings: {
          http: {
            requestUri: "/findings/sample",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              findingTypes: {
                locationName: "findingTypes",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeclineInvitations: {
          http: {
            requestUri: "/invitations/decline",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              accountIds: {
                shape: "S5",
                locationName: "accountIds"
              }
            },
            required: [
              "accountIds"
            ]
          },
          output: {
            type: "structure",
            members: {
              unprocessedAccounts: {
                shape: "S1x",
                locationName: "unprocessedAccounts"
              }
            }
          }
        },
        DeleteAllowList: {
          http: {
            method: "DELETE",
            requestUri: "/allow-lists/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              ignoreJobChecks: {
                location: "querystring",
                locationName: "ignoreJobChecks"
              }
            },
            required: [
              "id"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteCustomDataIdentifier: {
          http: {
            method: "DELETE",
            requestUri: "/custom-data-identifiers/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "id"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteFindingsFilter: {
          http: {
            method: "DELETE",
            requestUri: "/findingsfilters/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "id"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteInvitations: {
          http: {
            requestUri: "/invitations/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              accountIds: {
                shape: "S5",
                locationName: "accountIds"
              }
            },
            required: [
              "accountIds"
            ]
          },
          output: {
            type: "structure",
            members: {
              unprocessedAccounts: {
                shape: "S1x",
                locationName: "unprocessedAccounts"
              }
            }
          }
        },
        DeleteMember: {
          http: {
            method: "DELETE",
            requestUri: "/members/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "id"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeBuckets: {
          http: {
            requestUri: "/datasources/s3",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              criteria: {
                locationName: "criteria",
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    eq: {
                      shape: "S5",
                      locationName: "eq"
                    },
                    gt: {
                      locationName: "gt",
                      type: "long"
                    },
                    gte: {
                      locationName: "gte",
                      type: "long"
                    },
                    lt: {
                      locationName: "lt",
                      type: "long"
                    },
                    lte: {
                      locationName: "lte",
                      type: "long"
                    },
                    neq: {
                      shape: "S5",
                      locationName: "neq"
                    },
                    prefix: {
                      locationName: "prefix"
                    }
                  }
                }
              },
              maxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                locationName: "nextToken"
              },
              sortCriteria: {
                locationName: "sortCriteria",
                type: "structure",
                members: {
                  attributeName: {
                    locationName: "attributeName"
                  },
                  orderBy: {
                    locationName: "orderBy"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              buckets: {
                locationName: "buckets",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    accountId: {
                      locationName: "accountId"
                    },
                    allowsUnencryptedObjectUploads: {
                      locationName: "allowsUnencryptedObjectUploads"
                    },
                    bucketArn: {
                      locationName: "bucketArn"
                    },
                    bucketCreatedAt: {
                      shape: "S9",
                      locationName: "bucketCreatedAt"
                    },
                    bucketName: {
                      locationName: "bucketName"
                    },
                    classifiableObjectCount: {
                      locationName: "classifiableObjectCount",
                      type: "long"
                    },
                    classifiableSizeInBytes: {
                      locationName: "classifiableSizeInBytes",
                      type: "long"
                    },
                    errorCode: {
                      locationName: "errorCode"
                    },
                    errorMessage: {
                      locationName: "errorMessage"
                    },
                    jobDetails: {
                      shape: "S2t",
                      locationName: "jobDetails"
                    },
                    lastAutomatedDiscoveryTime: {
                      shape: "S9",
                      locationName: "lastAutomatedDiscoveryTime"
                    },
                    lastUpdated: {
                      shape: "S9",
                      locationName: "lastUpdated"
                    },
                    objectCount: {
                      locationName: "objectCount",
                      type: "long"
                    },
                    objectCountByEncryptionType: {
                      shape: "S2w",
                      locationName: "objectCountByEncryptionType"
                    },
                    publicAccess: {
                      shape: "S2x",
                      locationName: "publicAccess"
                    },
                    region: {
                      locationName: "region"
                    },
                    replicationDetails: {
                      locationName: "replicationDetails",
                      type: "structure",
                      members: {
                        replicated: {
                          locationName: "replicated",
                          type: "boolean"
                        },
                        replicatedExternally: {
                          locationName: "replicatedExternally",
                          type: "boolean"
                        },
                        replicationAccounts: {
                          shape: "S5",
                          locationName: "replicationAccounts"
                        }
                      }
                    },
                    sensitivityScore: {
                      locationName: "sensitivityScore",
                      type: "integer"
                    },
                    serverSideEncryption: {
                      locationName: "serverSideEncryption",
                      type: "structure",
                      members: {
                        kmsMasterKeyId: {
                          locationName: "kmsMasterKeyId"
                        },
                        type: {
                          locationName: "type"
                        }
                      }
                    },
                    sharedAccess: {
                      locationName: "sharedAccess"
                    },
                    sizeInBytes: {
                      locationName: "sizeInBytes",
                      type: "long"
                    },
                    sizeInBytesCompressed: {
                      locationName: "sizeInBytesCompressed",
                      type: "long"
                    },
                    tags: {
                      locationName: "tags",
                      type: "list",
                      member: {
                        shape: "S3a"
                      }
                    },
                    unclassifiableObjectCount: {
                      shape: "S3b",
                      locationName: "unclassifiableObjectCount"
                    },
                    unclassifiableObjectSizeInBytes: {
                      shape: "S3b",
                      locationName: "unclassifiableObjectSizeInBytes"
                    },
                    versioning: {
                      locationName: "versioning",
                      type: "boolean"
                    }
                  }
                }
              },
              nextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        DescribeClassificationJob: {
          http: {
            method: "GET",
            requestUri: "/jobs/{jobId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              }
            },
            required: [
              "jobId"
            ]
          },
          output: {
            type: "structure",
            members: {
              allowListIds: {
                shape: "S5",
                locationName: "allowListIds"
              },
              clientToken: {
                locationName: "clientToken",
                idempotencyToken: true
              },
              createdAt: {
                shape: "S9",
                locationName: "createdAt"
              },
              customDataIdentifierIds: {
                shape: "S5",
                locationName: "customDataIdentifierIds"
              },
              description: {
                locationName: "description"
              },
              initialRun: {
                locationName: "initialRun",
                type: "boolean"
              },
              jobArn: {
                locationName: "jobArn"
              },
              jobId: {
                locationName: "jobId"
              },
              jobStatus: {
                locationName: "jobStatus"
              },
              jobType: {
                locationName: "jobType"
              },
              lastRunErrorStatus: {
                shape: "S3f",
                locationName: "lastRunErrorStatus"
              },
              lastRunTime: {
                shape: "S9",
                locationName: "lastRunTime"
              },
              managedDataIdentifierIds: {
                shape: "S5",
                locationName: "managedDataIdentifierIds"
              },
              managedDataIdentifierSelector: {
                locationName: "managedDataIdentifierSelector"
              },
              name: {
                locationName: "name"
              },
              s3JobDefinition: {
                shape: "Sp",
                locationName: "s3JobDefinition"
              },
              samplingPercentage: {
                locationName: "samplingPercentage",
                type: "integer"
              },
              scheduleFrequency: {
                shape: "S1d",
                locationName: "scheduleFrequency"
              },
              statistics: {
                locationName: "statistics",
                type: "structure",
                members: {
                  approximateNumberOfObjectsToProcess: {
                    locationName: "approximateNumberOfObjectsToProcess",
                    type: "double"
                  },
                  numberOfRuns: {
                    locationName: "numberOfRuns",
                    type: "double"
                  }
                }
              },
              tags: {
                shape: "Si",
                locationName: "tags"
              },
              userPausedDetails: {
                shape: "S3j",
                locationName: "userPausedDetails"
              }
            }
          }
        },
        DescribeOrganizationConfiguration: {
          http: {
            method: "GET",
            requestUri: "/admin/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              autoEnable: {
                locationName: "autoEnable",
                type: "boolean"
              },
              maxAccountLimitReached: {
                locationName: "maxAccountLimitReached",
                type: "boolean"
              }
            }
          }
        },
        DisableMacie: {
          http: {
            method: "DELETE",
            requestUri: "/macie",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisableOrganizationAdminAccount: {
          http: {
            method: "DELETE",
            requestUri: "/admin",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              adminAccountId: {
                location: "querystring",
                locationName: "adminAccountId"
              }
            },
            required: [
              "adminAccountId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateFromAdministratorAccount: {
          http: {
            requestUri: "/administrator/disassociate",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateFromMasterAccount: {
          http: {
            requestUri: "/master/disassociate",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateMember: {
          http: {
            requestUri: "/members/disassociate/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "id"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        EnableMacie: {
          http: {
            requestUri: "/macie",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              clientToken: {
                locationName: "clientToken",
                idempotencyToken: true
              },
              findingPublishingFrequency: {
                locationName: "findingPublishingFrequency"
              },
              status: {
                locationName: "status"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        EnableOrganizationAdminAccount: {
          http: {
            requestUri: "/admin",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              adminAccountId: {
                locationName: "adminAccountId"
              },
              clientToken: {
                locationName: "clientToken",
                idempotencyToken: true
              }
            },
            required: [
              "adminAccountId"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetAdministratorAccount: {
          http: {
            method: "GET",
            requestUri: "/administrator",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              administrator: {
                shape: "S44",
                locationName: "administrator"
              }
            }
          }
        },
        GetAllowList: {
          http: {
            method: "GET",
            requestUri: "/allow-lists/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "id"
            ]
          },
          output: {
            type: "structure",
            members: {
              arn: {
                locationName: "arn"
              },
              createdAt: {
                shape: "S9",
                locationName: "createdAt"
              },
              criteria: {
                shape: "Sc",
                locationName: "criteria"
              },
              description: {
                locationName: "description"
              },
              id: {
                locationName: "id"
              },
              name: {
                locationName: "name"
              },
              status: {
                locationName: "status",
                type: "structure",
                members: {
                  code: {
                    locationName: "code"
                  },
                  description: {
                    locationName: "description"
                  }
                },
                required: [
                  "code"
                ]
              },
              tags: {
                shape: "Si",
                locationName: "tags"
              },
              updatedAt: {
                shape: "S9",
                locationName: "updatedAt"
              }
            }
          }
        },
        GetAutomatedDiscoveryConfiguration: {
          http: {
            method: "GET",
            requestUri: "/automated-discovery/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              classificationScopeId: {
                locationName: "classificationScopeId"
              },
              disabledAt: {
                shape: "S4d",
                locationName: "disabledAt"
              },
              firstEnabledAt: {
                shape: "S4d",
                locationName: "firstEnabledAt"
              },
              lastUpdatedAt: {
                shape: "S4d",
                locationName: "lastUpdatedAt"
              },
              sensitivityInspectionTemplateId: {
                locationName: "sensitivityInspectionTemplateId"
              },
              status: {
                locationName: "status"
              }
            }
          }
        },
        GetBucketStatistics: {
          http: {
            requestUri: "/datasources/s3/statistics",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              accountId: {
                locationName: "accountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              bucketCount: {
                locationName: "bucketCount",
                type: "long"
              },
              bucketCountByEffectivePermission: {
                locationName: "bucketCountByEffectivePermission",
                type: "structure",
                members: {
                  publiclyAccessible: {
                    locationName: "publiclyAccessible",
                    type: "long"
                  },
                  publiclyReadable: {
                    locationName: "publiclyReadable",
                    type: "long"
                  },
                  publiclyWritable: {
                    locationName: "publiclyWritable",
                    type: "long"
                  },
                  unknown: {
                    locationName: "unknown",
                    type: "long"
                  }
                }
              },
              bucketCountByEncryptionType: {
                locationName: "bucketCountByEncryptionType",
                type: "structure",
                members: {
                  kmsManaged: {
                    locationName: "kmsManaged",
                    type: "long"
                  },
                  s3Managed: {
                    locationName: "s3Managed",
                    type: "long"
                  },
                  unencrypted: {
                    locationName: "unencrypted",
                    type: "long"
                  },
                  unknown: {
                    locationName: "unknown",
                    type: "long"
                  }
                }
              },
              bucketCountByObjectEncryptionRequirement: {
                locationName: "bucketCountByObjectEncryptionRequirement",
                type: "structure",
                members: {
                  allowsUnencryptedObjectUploads: {
                    locationName: "allowsUnencryptedObjectUploads",
                    type: "long"
                  },
                  deniesUnencryptedObjectUploads: {
                    locationName: "deniesUnencryptedObjectUploads",
                    type: "long"
                  },
                  unknown: {
                    locationName: "unknown",
                    type: "long"
                  }
                }
              },
              bucketCountBySharedAccessType: {
                locationName: "bucketCountBySharedAccessType",
                type: "structure",
                members: {
                  external: {
                    locationName: "external",
                    type: "long"
                  },
                  internal: {
                    locationName: "internal",
                    type: "long"
                  },
                  notShared: {
                    locationName: "notShared",
                    type: "long"
                  },
                  unknown: {
                    locationName: "unknown",
                    type: "long"
                  }
                }
              },
              bucketStatisticsBySensitivity: {
                locationName: "bucketStatisticsBySensitivity",
                type: "structure",
                members: {
                  classificationError: {
                    shape: "S4n",
                    locationName: "classificationError"
                  },
                  notClassified: {
                    shape: "S4n",
                    locationName: "notClassified"
                  },
                  notSensitive: {
                    shape: "S4n",
                    locationName: "notSensitive"
                  },
                  sensitive: {
                    shape: "S4n",
                    locationName: "sensitive"
                  }
                }
              },
              classifiableObjectCount: {
                locationName: "classifiableObjectCount",
                type: "long"
              },
              classifiableSizeInBytes: {
                locationName: "classifiableSizeInBytes",
                type: "long"
              },
              lastUpdated: {
                shape: "S9",
                locationName: "lastUpdated"
              },
              objectCount: {
                locationName: "objectCount",
                type: "long"
              },
              sizeInBytes: {
                locationName: "sizeInBytes",
                type: "long"
              },
              sizeInBytesCompressed: {
                locationName: "sizeInBytesCompressed",
                type: "long"
              },
              unclassifiableObjectCount: {
                shape: "S3b",
                locationName: "unclassifiableObjectCount"
              },
              unclassifiableObjectSizeInBytes: {
                shape: "S3b",
                locationName: "unclassifiableObjectSizeInBytes"
              }
            }
          }
        },
        GetClassificationExportConfiguration: {
          http: {
            method: "GET",
            requestUri: "/classification-export-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              configuration: {
                shape: "S4q",
                locationName: "configuration"
              }
            }
          }
        },
        GetClassificationScope: {
          http: {
            method: "GET",
            requestUri: "/classification-scopes/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "id"
            ]
          },
          output: {
            type: "structure",
            members: {
              id: {
                locationName: "id"
              },
              name: {
                locationName: "name"
              },
              s3: {
                locationName: "s3",
                type: "structure",
                members: {
                  excludes: {
                    locationName: "excludes",
                    type: "structure",
                    members: {
                      bucketNames: {
                        shape: "S4x",
                        locationName: "bucketNames"
                      }
                    },
                    required: [
                      "bucketNames"
                    ]
                  }
                },
                required: [
                  "excludes"
                ]
              }
            }
          }
        },
        GetCustomDataIdentifier: {
          http: {
            method: "GET",
            requestUri: "/custom-data-identifiers/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "id"
            ]
          },
          output: {
            type: "structure",
            members: {
              arn: {
                locationName: "arn"
              },
              createdAt: {
                shape: "S9",
                locationName: "createdAt"
              },
              deleted: {
                locationName: "deleted",
                type: "boolean"
              },
              description: {
                locationName: "description"
              },
              id: {
                locationName: "id"
              },
              ignoreWords: {
                shape: "S5",
                locationName: "ignoreWords"
              },
              keywords: {
                shape: "S5",
                locationName: "keywords"
              },
              maximumMatchDistance: {
                locationName: "maximumMatchDistance",
                type: "integer"
              },
              name: {
                locationName: "name"
              },
              regex: {
                locationName: "regex"
              },
              severityLevels: {
                shape: "S1k",
                locationName: "severityLevels"
              },
              tags: {
                shape: "Si",
                locationName: "tags"
              }
            }
          }
        },
        GetFindingStatistics: {
          http: {
            requestUri: "/findings/statistics",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              findingCriteria: {
                shape: "S1r",
                locationName: "findingCriteria"
              },
              groupBy: {
                locationName: "groupBy"
              },
              size: {
                locationName: "size",
                type: "integer"
              },
              sortCriteria: {
                locationName: "sortCriteria",
                type: "structure",
                members: {
                  attributeName: {
                    locationName: "attributeName"
                  },
                  orderBy: {
                    locationName: "orderBy"
                  }
                }
              }
            },
            required: [
              "groupBy"
            ]
          },
          output: {
            type: "structure",
            members: {
              countsByGroup: {
                locationName: "countsByGroup",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    count: {
                      locationName: "count",
                      type: "long"
                    },
                    groupKey: {
                      locationName: "groupKey"
                    }
                  }
                }
              }
            }
          }
        },
        GetFindings: {
          http: {
            requestUri: "/findings/describe",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              findingIds: {
                shape: "S5",
                locationName: "findingIds"
              },
              sortCriteria: {
                shape: "S59",
                locationName: "sortCriteria"
              }
            },
            required: [
              "findingIds"
            ]
          },
          output: {
            type: "structure",
            members: {
              findings: {
                locationName: "findings",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    accountId: {
                      locationName: "accountId"
                    },
                    archived: {
                      locationName: "archived",
                      type: "boolean"
                    },
                    category: {
                      locationName: "category"
                    },
                    classificationDetails: {
                      locationName: "classificationDetails",
                      type: "structure",
                      members: {
                        detailedResultsLocation: {
                          locationName: "detailedResultsLocation"
                        },
                        jobArn: {
                          locationName: "jobArn"
                        },
                        jobId: {
                          locationName: "jobId"
                        },
                        originType: {
                          locationName: "originType"
                        },
                        result: {
                          locationName: "result",
                          type: "structure",
                          members: {
                            additionalOccurrences: {
                              locationName: "additionalOccurrences",
                              type: "boolean"
                            },
                            customDataIdentifiers: {
                              locationName: "customDataIdentifiers",
                              type: "structure",
                              members: {
                                detections: {
                                  locationName: "detections",
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      arn: {
                                        locationName: "arn"
                                      },
                                      count: {
                                        locationName: "count",
                                        type: "long"
                                      },
                                      name: {
                                        locationName: "name"
                                      },
                                      occurrences: {
                                        shape: "S5k",
                                        locationName: "occurrences"
                                      }
                                    }
                                  }
                                },
                                totalCount: {
                                  locationName: "totalCount",
                                  type: "long"
                                }
                              }
                            },
                            mimeType: {
                              locationName: "mimeType"
                            },
                            sensitiveData: {
                              locationName: "sensitiveData",
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  category: {
                                    locationName: "category"
                                  },
                                  detections: {
                                    locationName: "detections",
                                    type: "list",
                                    member: {
                                      type: "structure",
                                      members: {
                                        count: {
                                          locationName: "count",
                                          type: "long"
                                        },
                                        occurrences: {
                                          shape: "S5k",
                                          locationName: "occurrences"
                                        },
                                        type: {
                                          locationName: "type"
                                        }
                                      }
                                    }
                                  },
                                  totalCount: {
                                    locationName: "totalCount",
                                    type: "long"
                                  }
                                }
                              }
                            },
                            sizeClassified: {
                              locationName: "sizeClassified",
                              type: "long"
                            },
                            status: {
                              locationName: "status",
                              type: "structure",
                              members: {
                                code: {
                                  locationName: "code"
                                },
                                reason: {
                                  locationName: "reason"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    count: {
                      locationName: "count",
                      type: "long"
                    },
                    createdAt: {
                      shape: "S9",
                      locationName: "createdAt"
                    },
                    description: {
                      locationName: "description"
                    },
                    id: {
                      locationName: "id"
                    },
                    partition: {
                      locationName: "partition"
                    },
                    policyDetails: {
                      locationName: "policyDetails",
                      type: "structure",
                      members: {
                        action: {
                          locationName: "action",
                          type: "structure",
                          members: {
                            actionType: {
                              locationName: "actionType"
                            },
                            apiCallDetails: {
                              locationName: "apiCallDetails",
                              type: "structure",
                              members: {
                                api: {
                                  locationName: "api"
                                },
                                apiServiceName: {
                                  locationName: "apiServiceName"
                                },
                                firstSeen: {
                                  shape: "S9",
                                  locationName: "firstSeen"
                                },
                                lastSeen: {
                                  shape: "S9",
                                  locationName: "lastSeen"
                                }
                              }
                            }
                          }
                        },
                        actor: {
                          locationName: "actor",
                          type: "structure",
                          members: {
                            domainDetails: {
                              locationName: "domainDetails",
                              type: "structure",
                              members: {
                                domainName: {
                                  locationName: "domainName"
                                }
                              }
                            },
                            ipAddressDetails: {
                              locationName: "ipAddressDetails",
                              type: "structure",
                              members: {
                                ipAddressV4: {
                                  locationName: "ipAddressV4"
                                },
                                ipCity: {
                                  locationName: "ipCity",
                                  type: "structure",
                                  members: {
                                    name: {
                                      locationName: "name"
                                    }
                                  }
                                },
                                ipCountry: {
                                  locationName: "ipCountry",
                                  type: "structure",
                                  members: {
                                    code: {
                                      locationName: "code"
                                    },
                                    name: {
                                      locationName: "name"
                                    }
                                  }
                                },
                                ipGeoLocation: {
                                  locationName: "ipGeoLocation",
                                  type: "structure",
                                  members: {
                                    lat: {
                                      locationName: "lat",
                                      type: "double"
                                    },
                                    lon: {
                                      locationName: "lon",
                                      type: "double"
                                    }
                                  }
                                },
                                ipOwner: {
                                  locationName: "ipOwner",
                                  type: "structure",
                                  members: {
                                    asn: {
                                      locationName: "asn"
                                    },
                                    asnOrg: {
                                      locationName: "asnOrg"
                                    },
                                    isp: {
                                      locationName: "isp"
                                    },
                                    org: {
                                      locationName: "org"
                                    }
                                  }
                                }
                              }
                            },
                            userIdentity: {
                              locationName: "userIdentity",
                              type: "structure",
                              members: {
                                assumedRole: {
                                  locationName: "assumedRole",
                                  type: "structure",
                                  members: {
                                    accessKeyId: {
                                      locationName: "accessKeyId"
                                    },
                                    accountId: {
                                      locationName: "accountId"
                                    },
                                    arn: {
                                      locationName: "arn"
                                    },
                                    principalId: {
                                      locationName: "principalId"
                                    },
                                    sessionContext: {
                                      shape: "S6c",
                                      locationName: "sessionContext"
                                    }
                                  }
                                },
                                awsAccount: {
                                  locationName: "awsAccount",
                                  type: "structure",
                                  members: {
                                    accountId: {
                                      locationName: "accountId"
                                    },
                                    principalId: {
                                      locationName: "principalId"
                                    }
                                  }
                                },
                                awsService: {
                                  locationName: "awsService",
                                  type: "structure",
                                  members: {
                                    invokedBy: {
                                      locationName: "invokedBy"
                                    }
                                  }
                                },
                                federatedUser: {
                                  locationName: "federatedUser",
                                  type: "structure",
                                  members: {
                                    accessKeyId: {
                                      locationName: "accessKeyId"
                                    },
                                    accountId: {
                                      locationName: "accountId"
                                    },
                                    arn: {
                                      locationName: "arn"
                                    },
                                    principalId: {
                                      locationName: "principalId"
                                    },
                                    sessionContext: {
                                      shape: "S6c",
                                      locationName: "sessionContext"
                                    }
                                  }
                                },
                                iamUser: {
                                  locationName: "iamUser",
                                  type: "structure",
                                  members: {
                                    accountId: {
                                      locationName: "accountId"
                                    },
                                    arn: {
                                      locationName: "arn"
                                    },
                                    principalId: {
                                      locationName: "principalId"
                                    },
                                    userName: {
                                      locationName: "userName"
                                    }
                                  }
                                },
                                root: {
                                  locationName: "root",
                                  type: "structure",
                                  members: {
                                    accountId: {
                                      locationName: "accountId"
                                    },
                                    arn: {
                                      locationName: "arn"
                                    },
                                    principalId: {
                                      locationName: "principalId"
                                    }
                                  }
                                },
                                type: {
                                  locationName: "type"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    region: {
                      locationName: "region"
                    },
                    resourcesAffected: {
                      locationName: "resourcesAffected",
                      type: "structure",
                      members: {
                        s3Bucket: {
                          locationName: "s3Bucket",
                          type: "structure",
                          members: {
                            allowsUnencryptedObjectUploads: {
                              locationName: "allowsUnencryptedObjectUploads"
                            },
                            arn: {
                              locationName: "arn"
                            },
                            createdAt: {
                              shape: "S9",
                              locationName: "createdAt"
                            },
                            defaultServerSideEncryption: {
                              shape: "S6n",
                              locationName: "defaultServerSideEncryption"
                            },
                            name: {
                              locationName: "name"
                            },
                            owner: {
                              locationName: "owner",
                              type: "structure",
                              members: {
                                displayName: {
                                  locationName: "displayName"
                                },
                                id: {
                                  locationName: "id"
                                }
                              }
                            },
                            publicAccess: {
                              shape: "S2x",
                              locationName: "publicAccess"
                            },
                            tags: {
                              shape: "S6q",
                              locationName: "tags"
                            }
                          }
                        },
                        s3Object: {
                          locationName: "s3Object",
                          type: "structure",
                          members: {
                            bucketArn: {
                              locationName: "bucketArn"
                            },
                            eTag: {
                              locationName: "eTag"
                            },
                            extension: {
                              locationName: "extension"
                            },
                            key: {
                              locationName: "key"
                            },
                            lastModified: {
                              shape: "S9",
                              locationName: "lastModified"
                            },
                            path: {
                              locationName: "path"
                            },
                            publicAccess: {
                              locationName: "publicAccess",
                              type: "boolean"
                            },
                            serverSideEncryption: {
                              shape: "S6n",
                              locationName: "serverSideEncryption"
                            },
                            size: {
                              locationName: "size",
                              type: "long"
                            },
                            storageClass: {
                              locationName: "storageClass"
                            },
                            tags: {
                              shape: "S6q",
                              locationName: "tags"
                            },
                            versionId: {
                              locationName: "versionId"
                            }
                          }
                        }
                      }
                    },
                    sample: {
                      locationName: "sample",
                      type: "boolean"
                    },
                    schemaVersion: {
                      locationName: "schemaVersion"
                    },
                    severity: {
                      locationName: "severity",
                      type: "structure",
                      members: {
                        description: {
                          locationName: "description"
                        },
                        score: {
                          locationName: "score",
                          type: "long"
                        }
                      }
                    },
                    title: {
                      locationName: "title"
                    },
                    type: {
                      locationName: "type"
                    },
                    updatedAt: {
                      shape: "S9",
                      locationName: "updatedAt"
                    }
                  }
                }
              }
            }
          }
        },
        GetFindingsFilter: {
          http: {
            method: "GET",
            requestUri: "/findingsfilters/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "id"
            ]
          },
          output: {
            type: "structure",
            members: {
              action: {
                locationName: "action"
              },
              arn: {
                locationName: "arn"
              },
              description: {
                locationName: "description"
              },
              findingCriteria: {
                shape: "S1r",
                locationName: "findingCriteria"
              },
              id: {
                locationName: "id"
              },
              name: {
                locationName: "name"
              },
              position: {
                locationName: "position",
                type: "integer"
              },
              tags: {
                shape: "Si",
                locationName: "tags"
              }
            }
          }
        },
        GetFindingsPublicationConfiguration: {
          http: {
            method: "GET",
            requestUri: "/findings-publication-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              securityHubConfiguration: {
                shape: "S6z",
                locationName: "securityHubConfiguration"
              }
            }
          }
        },
        GetInvitationsCount: {
          http: {
            method: "GET",
            requestUri: "/invitations/count",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              invitationsCount: {
                locationName: "invitationsCount",
                type: "long"
              }
            }
          }
        },
        GetMacieSession: {
          http: {
            method: "GET",
            requestUri: "/macie",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              createdAt: {
                shape: "S9",
                locationName: "createdAt"
              },
              findingPublishingFrequency: {
                locationName: "findingPublishingFrequency"
              },
              serviceRole: {
                locationName: "serviceRole"
              },
              status: {
                locationName: "status"
              },
              updatedAt: {
                shape: "S9",
                locationName: "updatedAt"
              }
            }
          }
        },
        GetMasterAccount: {
          http: {
            method: "GET",
            requestUri: "/master",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              master: {
                shape: "S44",
                locationName: "master"
              }
            }
          }
        },
        GetMember: {
          http: {
            method: "GET",
            requestUri: "/members/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "id"
            ]
          },
          output: {
            type: "structure",
            members: {
              accountId: {
                locationName: "accountId"
              },
              administratorAccountId: {
                locationName: "administratorAccountId"
              },
              arn: {
                locationName: "arn"
              },
              email: {
                locationName: "email"
              },
              invitedAt: {
                shape: "S9",
                locationName: "invitedAt"
              },
              masterAccountId: {
                locationName: "masterAccountId"
              },
              relationshipStatus: {
                locationName: "relationshipStatus"
              },
              tags: {
                shape: "Si",
                locationName: "tags"
              },
              updatedAt: {
                shape: "S9",
                locationName: "updatedAt"
              }
            }
          }
        },
        GetResourceProfile: {
          http: {
            method: "GET",
            requestUri: "/resource-profiles",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              }
            },
            required: [
              "resourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              profileUpdatedAt: {
                shape: "S9",
                locationName: "profileUpdatedAt"
              },
              sensitivityScore: {
                locationName: "sensitivityScore",
                type: "integer"
              },
              sensitivityScoreOverridden: {
                locationName: "sensitivityScoreOverridden",
                type: "boolean"
              },
              statistics: {
                locationName: "statistics",
                type: "structure",
                members: {
                  totalBytesClassified: {
                    locationName: "totalBytesClassified",
                    type: "long"
                  },
                  totalDetections: {
                    locationName: "totalDetections",
                    type: "long"
                  },
                  totalDetectionsSuppressed: {
                    locationName: "totalDetectionsSuppressed",
                    type: "long"
                  },
                  totalItemsClassified: {
                    locationName: "totalItemsClassified",
                    type: "long"
                  },
                  totalItemsSensitive: {
                    locationName: "totalItemsSensitive",
                    type: "long"
                  },
                  totalItemsSkipped: {
                    locationName: "totalItemsSkipped",
                    type: "long"
                  },
                  totalItemsSkippedInvalidEncryption: {
                    locationName: "totalItemsSkippedInvalidEncryption",
                    type: "long"
                  },
                  totalItemsSkippedInvalidKms: {
                    locationName: "totalItemsSkippedInvalidKms",
                    type: "long"
                  },
                  totalItemsSkippedPermissionDenied: {
                    locationName: "totalItemsSkippedPermissionDenied",
                    type: "long"
                  }
                }
              }
            }
          }
        },
        GetRevealConfiguration: {
          http: {
            method: "GET",
            requestUri: "/reveal-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              configuration: {
                shape: "S7d",
                locationName: "configuration"
              }
            }
          }
        },
        GetSensitiveDataOccurrences: {
          http: {
            method: "GET",
            requestUri: "/findings/{findingId}/reveal",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              findingId: {
                location: "uri",
                locationName: "findingId"
              }
            },
            required: [
              "findingId"
            ]
          },
          output: {
            type: "structure",
            members: {
              error: {
                locationName: "error"
              },
              sensitiveDataOccurrences: {
                locationName: "sensitiveDataOccurrences",
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      value: {
                        locationName: "value"
                      }
                    },
                    required: [
                      "value"
                    ]
                  }
                }
              },
              status: {
                locationName: "status"
              }
            }
          }
        },
        GetSensitiveDataOccurrencesAvailability: {
          http: {
            method: "GET",
            requestUri: "/findings/{findingId}/reveal/availability",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              findingId: {
                location: "uri",
                locationName: "findingId"
              }
            },
            required: [
              "findingId"
            ]
          },
          output: {
            type: "structure",
            members: {
              code: {
                locationName: "code"
              },
              reasons: {
                locationName: "reasons",
                type: "list",
                member: {}
              }
            }
          }
        },
        GetSensitivityInspectionTemplate: {
          http: {
            method: "GET",
            requestUri: "/templates/sensitivity-inspections/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            },
            required: [
              "id"
            ]
          },
          output: {
            type: "structure",
            members: {
              description: {
                locationName: "description"
              },
              excludes: {
                shape: "S7u",
                locationName: "excludes"
              },
              includes: {
                shape: "S7v",
                locationName: "includes"
              },
              name: {
                locationName: "name"
              },
              sensitivityInspectionTemplateId: {
                locationName: "sensitivityInspectionTemplateId"
              }
            }
          }
        },
        GetUsageStatistics: {
          http: {
            requestUri: "/usage/statistics",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filterBy: {
                locationName: "filterBy",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    comparator: {
                      locationName: "comparator"
                    },
                    key: {
                      locationName: "key"
                    },
                    values: {
                      shape: "S5",
                      locationName: "values"
                    }
                  }
                }
              },
              maxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                locationName: "nextToken"
              },
              sortBy: {
                locationName: "sortBy",
                type: "structure",
                members: {
                  key: {
                    locationName: "key"
                  },
                  orderBy: {
                    locationName: "orderBy"
                  }
                }
              },
              timeRange: {
                locationName: "timeRange"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {
                locationName: "nextToken"
              },
              records: {
                locationName: "records",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    accountId: {
                      locationName: "accountId"
                    },
                    automatedDiscoveryFreeTrialStartDate: {
                      shape: "S9",
                      locationName: "automatedDiscoveryFreeTrialStartDate"
                    },
                    freeTrialStartDate: {
                      shape: "S9",
                      locationName: "freeTrialStartDate"
                    },
                    usage: {
                      locationName: "usage",
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          currency: {
                            locationName: "currency"
                          },
                          estimatedCost: {
                            locationName: "estimatedCost"
                          },
                          serviceLimit: {
                            locationName: "serviceLimit",
                            type: "structure",
                            members: {
                              isServiceLimited: {
                                locationName: "isServiceLimited",
                                type: "boolean"
                              },
                              unit: {
                                locationName: "unit"
                              },
                              value: {
                                locationName: "value",
                                type: "long"
                              }
                            }
                          },
                          type: {
                            locationName: "type"
                          }
                        }
                      }
                    }
                  }
                }
              },
              timeRange: {
                locationName: "timeRange"
              }
            }
          }
        },
        GetUsageTotals: {
          http: {
            method: "GET",
            requestUri: "/usage",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              timeRange: {
                location: "querystring",
                locationName: "timeRange"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              timeRange: {
                locationName: "timeRange"
              },
              usageTotals: {
                locationName: "usageTotals",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    currency: {
                      locationName: "currency"
                    },
                    estimatedCost: {
                      locationName: "estimatedCost"
                    },
                    type: {
                      locationName: "type"
                    }
                  }
                }
              }
            }
          }
        },
        ListAllowLists: {
          http: {
            method: "GET",
            requestUri: "/allow-lists",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              allowLists: {
                locationName: "allowLists",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {
                      locationName: "arn"
                    },
                    createdAt: {
                      shape: "S9",
                      locationName: "createdAt"
                    },
                    description: {
                      locationName: "description"
                    },
                    id: {
                      locationName: "id"
                    },
                    name: {
                      locationName: "name"
                    },
                    updatedAt: {
                      shape: "S9",
                      locationName: "updatedAt"
                    }
                  }
                }
              },
              nextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListClassificationJobs: {
          http: {
            requestUri: "/jobs/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filterCriteria: {
                locationName: "filterCriteria",
                type: "structure",
                members: {
                  excludes: {
                    shape: "S8o",
                    locationName: "excludes"
                  },
                  includes: {
                    shape: "S8o",
                    locationName: "includes"
                  }
                }
              },
              maxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                locationName: "nextToken"
              },
              sortCriteria: {
                locationName: "sortCriteria",
                type: "structure",
                members: {
                  attributeName: {
                    locationName: "attributeName"
                  },
                  orderBy: {
                    locationName: "orderBy"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                locationName: "items",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    bucketCriteria: {
                      shape: "Sq",
                      locationName: "bucketCriteria"
                    },
                    bucketDefinitions: {
                      shape: "S10",
                      locationName: "bucketDefinitions"
                    },
                    createdAt: {
                      shape: "S9",
                      locationName: "createdAt"
                    },
                    jobId: {
                      locationName: "jobId"
                    },
                    jobStatus: {
                      locationName: "jobStatus"
                    },
                    jobType: {
                      locationName: "jobType"
                    },
                    lastRunErrorStatus: {
                      shape: "S3f",
                      locationName: "lastRunErrorStatus"
                    },
                    name: {
                      locationName: "name"
                    },
                    userPausedDetails: {
                      shape: "S3j",
                      locationName: "userPausedDetails"
                    }
                  }
                }
              },
              nextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListClassificationScopes: {
          http: {
            method: "GET",
            requestUri: "/classification-scopes",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              name: {
                location: "querystring",
                locationName: "name"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              classificationScopes: {
                locationName: "classificationScopes",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {
                      locationName: "id"
                    },
                    name: {
                      locationName: "name"
                    }
                  }
                }
              },
              nextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListCustomDataIdentifiers: {
          http: {
            requestUri: "/custom-data-identifiers/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                locationName: "items",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {
                      locationName: "arn"
                    },
                    createdAt: {
                      shape: "S9",
                      locationName: "createdAt"
                    },
                    description: {
                      locationName: "description"
                    },
                    id: {
                      locationName: "id"
                    },
                    name: {
                      locationName: "name"
                    }
                  }
                }
              },
              nextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListFindings: {
          http: {
            requestUri: "/findings",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              findingCriteria: {
                shape: "S1r",
                locationName: "findingCriteria"
              },
              maxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                locationName: "nextToken"
              },
              sortCriteria: {
                shape: "S59",
                locationName: "sortCriteria"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              findingIds: {
                shape: "S5",
                locationName: "findingIds"
              },
              nextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListFindingsFilters: {
          http: {
            method: "GET",
            requestUri: "/findingsfilters",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              findingsFilterListItems: {
                locationName: "findingsFilterListItems",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    action: {
                      locationName: "action"
                    },
                    arn: {
                      locationName: "arn"
                    },
                    id: {
                      locationName: "id"
                    },
                    name: {
                      locationName: "name"
                    },
                    tags: {
                      shape: "Si",
                      locationName: "tags"
                    }
                  }
                }
              },
              nextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListInvitations: {
          http: {
            method: "GET",
            requestUri: "/invitations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              invitations: {
                locationName: "invitations",
                type: "list",
                member: {
                  shape: "S44"
                }
              },
              nextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListManagedDataIdentifiers: {
          http: {
            requestUri: "/managed-data-identifiers/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                locationName: "items",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    category: {
                      locationName: "category"
                    },
                    id: {
                      locationName: "id"
                    }
                  }
                }
              },
              nextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListMembers: {
          http: {
            method: "GET",
            requestUri: "/members",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              onlyAssociated: {
                location: "querystring",
                locationName: "onlyAssociated"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              members: {
                locationName: "members",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    accountId: {
                      locationName: "accountId"
                    },
                    administratorAccountId: {
                      locationName: "administratorAccountId"
                    },
                    arn: {
                      locationName: "arn"
                    },
                    email: {
                      locationName: "email"
                    },
                    invitedAt: {
                      shape: "S9",
                      locationName: "invitedAt"
                    },
                    masterAccountId: {
                      locationName: "masterAccountId"
                    },
                    relationshipStatus: {
                      locationName: "relationshipStatus"
                    },
                    tags: {
                      shape: "Si",
                      locationName: "tags"
                    },
                    updatedAt: {
                      shape: "S9",
                      locationName: "updatedAt"
                    }
                  }
                }
              },
              nextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListOrganizationAdminAccounts: {
          http: {
            method: "GET",
            requestUri: "/admin",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              adminAccounts: {
                locationName: "adminAccounts",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    accountId: {
                      locationName: "accountId"
                    },
                    status: {
                      locationName: "status"
                    }
                  }
                }
              },
              nextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListResourceProfileArtifacts: {
          http: {
            method: "GET",
            requestUri: "/resource-profiles/artifacts",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              }
            },
            required: [
              "resourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              artifacts: {
                locationName: "artifacts",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {
                      locationName: "arn"
                    },
                    classificationResultStatus: {
                      locationName: "classificationResultStatus"
                    },
                    sensitive: {
                      locationName: "sensitive",
                      type: "boolean"
                    }
                  },
                  required: [
                    "classificationResultStatus",
                    "arn"
                  ]
                }
              },
              nextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListResourceProfileDetections: {
          http: {
            method: "GET",
            requestUri: "/resource-profiles/detections",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              }
            },
            required: [
              "resourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              detections: {
                locationName: "detections",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {
                      locationName: "arn"
                    },
                    count: {
                      locationName: "count",
                      type: "long"
                    },
                    id: {
                      locationName: "id"
                    },
                    name: {
                      locationName: "name"
                    },
                    suppressed: {
                      locationName: "suppressed",
                      type: "boolean"
                    },
                    type: {
                      locationName: "type"
                    }
                  }
                }
              },
              nextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListSensitivityInspectionTemplates: {
          http: {
            method: "GET",
            requestUri: "/templates/sensitivity-inspections",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {
                locationName: "nextToken"
              },
              sensitivityInspectionTemplates: {
                locationName: "sensitivityInspectionTemplates",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {
                      locationName: "id"
                    },
                    name: {
                      locationName: "name"
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            },
            required: [
              "resourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Si",
                locationName: "tags"
              }
            }
          }
        },
        PutClassificationExportConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/classification-export-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              configuration: {
                shape: "S4q",
                locationName: "configuration"
              }
            },
            required: [
              "configuration"
            ]
          },
          output: {
            type: "structure",
            members: {
              configuration: {
                shape: "S4q",
                locationName: "configuration"
              }
            }
          }
        },
        PutFindingsPublicationConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/findings-publication-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              clientToken: {
                locationName: "clientToken",
                idempotencyToken: true
              },
              securityHubConfiguration: {
                shape: "S6z",
                locationName: "securityHubConfiguration"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SearchResources: {
          http: {
            requestUri: "/datasources/search-resources",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              bucketCriteria: {
                locationName: "bucketCriteria",
                type: "structure",
                members: {
                  excludes: {
                    shape: "Sac",
                    locationName: "excludes"
                  },
                  includes: {
                    shape: "Sac",
                    locationName: "includes"
                  }
                }
              },
              maxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                locationName: "nextToken"
              },
              sortCriteria: {
                locationName: "sortCriteria",
                type: "structure",
                members: {
                  attributeName: {
                    locationName: "attributeName"
                  },
                  orderBy: {
                    locationName: "orderBy"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              matchingResources: {
                locationName: "matchingResources",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    matchingBucket: {
                      locationName: "matchingBucket",
                      type: "structure",
                      members: {
                        accountId: {
                          locationName: "accountId"
                        },
                        bucketName: {
                          locationName: "bucketName"
                        },
                        classifiableObjectCount: {
                          locationName: "classifiableObjectCount",
                          type: "long"
                        },
                        classifiableSizeInBytes: {
                          locationName: "classifiableSizeInBytes",
                          type: "long"
                        },
                        errorCode: {
                          locationName: "errorCode"
                        },
                        errorMessage: {
                          locationName: "errorMessage"
                        },
                        jobDetails: {
                          shape: "S2t",
                          locationName: "jobDetails"
                        },
                        lastAutomatedDiscoveryTime: {
                          shape: "S9",
                          locationName: "lastAutomatedDiscoveryTime"
                        },
                        objectCount: {
                          locationName: "objectCount",
                          type: "long"
                        },
                        objectCountByEncryptionType: {
                          shape: "S2w",
                          locationName: "objectCountByEncryptionType"
                        },
                        sensitivityScore: {
                          locationName: "sensitivityScore",
                          type: "integer"
                        },
                        sizeInBytes: {
                          locationName: "sizeInBytes",
                          type: "long"
                        },
                        sizeInBytesCompressed: {
                          locationName: "sizeInBytesCompressed",
                          type: "long"
                        },
                        unclassifiableObjectCount: {
                          shape: "S3b",
                          locationName: "unclassifiableObjectCount"
                        },
                        unclassifiableObjectSizeInBytes: {
                          shape: "S3b",
                          locationName: "unclassifiableObjectSizeInBytes"
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Si",
                locationName: "tags"
              }
            },
            required: [
              "resourceArn",
              "tags"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TestCustomDataIdentifier: {
          http: {
            requestUri: "/custom-data-identifiers/test",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ignoreWords: {
                shape: "S5",
                locationName: "ignoreWords"
              },
              keywords: {
                shape: "S5",
                locationName: "keywords"
              },
              maximumMatchDistance: {
                locationName: "maximumMatchDistance",
                type: "integer"
              },
              regex: {
                locationName: "regex"
              },
              sampleText: {
                locationName: "sampleText"
              }
            },
            required: [
              "regex",
              "sampleText"
            ]
          },
          output: {
            type: "structure",
            members: {
              matchCount: {
                locationName: "matchCount",
                type: "integer"
              }
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                shape: "S5",
                location: "querystring",
                locationName: "tagKeys"
              }
            },
            required: [
              "tagKeys",
              "resourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAllowList: {
          http: {
            method: "PUT",
            requestUri: "/allow-lists/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              criteria: {
                shape: "Sc",
                locationName: "criteria"
              },
              description: {
                locationName: "description"
              },
              id: {
                location: "uri",
                locationName: "id"
              },
              name: {
                locationName: "name"
              }
            },
            required: [
              "id",
              "criteria",
              "name"
            ]
          },
          output: {
            type: "structure",
            members: {
              arn: {
                locationName: "arn"
              },
              id: {
                locationName: "id"
              }
            }
          }
        },
        UpdateAutomatedDiscoveryConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/automated-discovery/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              status: {
                locationName: "status"
              }
            },
            required: [
              "status"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateClassificationJob: {
          http: {
            method: "PATCH",
            requestUri: "/jobs/{jobId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              },
              jobStatus: {
                locationName: "jobStatus"
              }
            },
            required: [
              "jobId",
              "jobStatus"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateClassificationScope: {
          http: {
            method: "PATCH",
            requestUri: "/classification-scopes/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              s3: {
                locationName: "s3",
                type: "structure",
                members: {
                  excludes: {
                    locationName: "excludes",
                    type: "structure",
                    members: {
                      bucketNames: {
                        shape: "S4x",
                        locationName: "bucketNames"
                      },
                      operation: {
                        locationName: "operation"
                      }
                    },
                    required: [
                      "bucketNames",
                      "operation"
                    ]
                  }
                },
                required: [
                  "excludes"
                ]
              }
            },
            required: [
              "id"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateFindingsFilter: {
          http: {
            method: "PATCH",
            requestUri: "/findingsfilters/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              action: {
                locationName: "action"
              },
              clientToken: {
                locationName: "clientToken",
                idempotencyToken: true
              },
              description: {
                locationName: "description"
              },
              findingCriteria: {
                shape: "S1r",
                locationName: "findingCriteria"
              },
              id: {
                location: "uri",
                locationName: "id"
              },
              name: {
                locationName: "name"
              },
              position: {
                locationName: "position",
                type: "integer"
              }
            },
            required: [
              "id"
            ]
          },
          output: {
            type: "structure",
            members: {
              arn: {
                locationName: "arn"
              },
              id: {
                locationName: "id"
              }
            }
          }
        },
        UpdateMacieSession: {
          http: {
            method: "PATCH",
            requestUri: "/macie",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              findingPublishingFrequency: {
                locationName: "findingPublishingFrequency"
              },
              status: {
                locationName: "status"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateMemberSession: {
          http: {
            method: "PATCH",
            requestUri: "/macie/members/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              status: {
                locationName: "status"
              }
            },
            required: [
              "id",
              "status"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateOrganizationConfiguration: {
          http: {
            method: "PATCH",
            requestUri: "/admin/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              autoEnable: {
                locationName: "autoEnable",
                type: "boolean"
              }
            },
            required: [
              "autoEnable"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateResourceProfile: {
          http: {
            method: "PATCH",
            requestUri: "/resource-profiles",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              sensitivityScoreOverride: {
                locationName: "sensitivityScoreOverride",
                type: "integer"
              }
            },
            required: [
              "resourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateResourceProfileDetections: {
          http: {
            method: "PATCH",
            requestUri: "/resource-profiles/detections",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              suppressDataIdentifiers: {
                locationName: "suppressDataIdentifiers",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {
                      locationName: "id"
                    },
                    type: {
                      locationName: "type"
                    }
                  }
                }
              }
            },
            required: [
              "resourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateRevealConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/reveal-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              configuration: {
                shape: "S7d",
                locationName: "configuration"
              }
            },
            required: [
              "configuration"
            ]
          },
          output: {
            type: "structure",
            members: {
              configuration: {
                shape: "S7d",
                locationName: "configuration"
              }
            }
          }
        },
        UpdateSensitivityInspectionTemplate: {
          http: {
            method: "PUT",
            requestUri: "/templates/sensitivity-inspections/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              description: {
                locationName: "description"
              },
              excludes: {
                shape: "S7u",
                locationName: "excludes"
              },
              id: {
                location: "uri",
                locationName: "id"
              },
              includes: {
                shape: "S7v",
                locationName: "includes"
              }
            },
            required: [
              "id"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S5: {
          type: "list",
          member: {}
        },
        S9: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sc: {
          type: "structure",
          members: {
            regex: {
              locationName: "regex"
            },
            s3WordsList: {
              locationName: "s3WordsList",
              type: "structure",
              members: {
                bucketName: {
                  locationName: "bucketName"
                },
                objectKey: {
                  locationName: "objectKey"
                }
              },
              required: [
                "bucketName",
                "objectKey"
              ]
            }
          }
        },
        Si: {
          type: "map",
          key: {},
          value: {}
        },
        Sp: {
          type: "structure",
          members: {
            bucketCriteria: {
              shape: "Sq",
              locationName: "bucketCriteria"
            },
            bucketDefinitions: {
              shape: "S10",
              locationName: "bucketDefinitions"
            },
            scoping: {
              locationName: "scoping",
              type: "structure",
              members: {
                excludes: {
                  shape: "S13",
                  locationName: "excludes"
                },
                includes: {
                  shape: "S13",
                  locationName: "includes"
                }
              }
            }
          }
        },
        Sq: {
          type: "structure",
          members: {
            excludes: {
              shape: "Sr",
              locationName: "excludes"
            },
            includes: {
              shape: "Sr",
              locationName: "includes"
            }
          }
        },
        Sr: {
          type: "structure",
          members: {
            and: {
              locationName: "and",
              type: "list",
              member: {
                type: "structure",
                members: {
                  simpleCriterion: {
                    locationName: "simpleCriterion",
                    type: "structure",
                    members: {
                      comparator: {
                        locationName: "comparator"
                      },
                      key: {
                        locationName: "key"
                      },
                      values: {
                        shape: "S5",
                        locationName: "values"
                      }
                    }
                  },
                  tagCriterion: {
                    locationName: "tagCriterion",
                    type: "structure",
                    members: {
                      comparator: {
                        locationName: "comparator"
                      },
                      tagValues: {
                        locationName: "tagValues",
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            key: {
                              locationName: "key"
                            },
                            value: {
                              locationName: "value"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S10: {
          type: "list",
          member: {
            type: "structure",
            members: {
              accountId: {
                locationName: "accountId"
              },
              buckets: {
                shape: "S5",
                locationName: "buckets"
              }
            },
            required: [
              "accountId",
              "buckets"
            ]
          }
        },
        S13: {
          type: "structure",
          members: {
            and: {
              locationName: "and",
              type: "list",
              member: {
                type: "structure",
                members: {
                  simpleScopeTerm: {
                    locationName: "simpleScopeTerm",
                    type: "structure",
                    members: {
                      comparator: {
                        locationName: "comparator"
                      },
                      key: {
                        locationName: "key"
                      },
                      values: {
                        shape: "S5",
                        locationName: "values"
                      }
                    }
                  },
                  tagScopeTerm: {
                    locationName: "tagScopeTerm",
                    type: "structure",
                    members: {
                      comparator: {
                        locationName: "comparator"
                      },
                      key: {
                        locationName: "key"
                      },
                      tagValues: {
                        locationName: "tagValues",
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            key: {
                              locationName: "key"
                            },
                            value: {
                              locationName: "value"
                            }
                          }
                        }
                      },
                      target: {
                        locationName: "target"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S1d: {
          type: "structure",
          members: {
            dailySchedule: {
              locationName: "dailySchedule",
              type: "structure",
              members: {}
            },
            monthlySchedule: {
              locationName: "monthlySchedule",
              type: "structure",
              members: {
                dayOfMonth: {
                  locationName: "dayOfMonth",
                  type: "integer"
                }
              }
            },
            weeklySchedule: {
              locationName: "weeklySchedule",
              type: "structure",
              members: {
                dayOfWeek: {
                  locationName: "dayOfWeek"
                }
              }
            }
          }
        },
        S1k: {
          type: "list",
          member: {
            type: "structure",
            members: {
              occurrencesThreshold: {
                locationName: "occurrencesThreshold",
                type: "long"
              },
              severity: {
                locationName: "severity"
              }
            },
            required: [
              "occurrencesThreshold",
              "severity"
            ]
          }
        },
        S1r: {
          type: "structure",
          members: {
            criterion: {
              locationName: "criterion",
              type: "map",
              key: {},
              value: {
                type: "structure",
                members: {
                  eq: {
                    shape: "S5",
                    locationName: "eq"
                  },
                  eqExactMatch: {
                    shape: "S5",
                    locationName: "eqExactMatch"
                  },
                  gt: {
                    locationName: "gt",
                    type: "long"
                  },
                  gte: {
                    locationName: "gte",
                    type: "long"
                  },
                  lt: {
                    locationName: "lt",
                    type: "long"
                  },
                  lte: {
                    locationName: "lte",
                    type: "long"
                  },
                  neq: {
                    shape: "S5",
                    locationName: "neq"
                  }
                }
              }
            }
          }
        },
        S1x: {
          type: "list",
          member: {
            type: "structure",
            members: {
              accountId: {
                locationName: "accountId"
              },
              errorCode: {
                locationName: "errorCode"
              },
              errorMessage: {
                locationName: "errorMessage"
              }
            }
          }
        },
        S2t: {
          type: "structure",
          members: {
            isDefinedInJob: {
              locationName: "isDefinedInJob"
            },
            isMonitoredByJob: {
              locationName: "isMonitoredByJob"
            },
            lastJobId: {
              locationName: "lastJobId"
            },
            lastJobRunTime: {
              shape: "S9",
              locationName: "lastJobRunTime"
            }
          }
        },
        S2w: {
          type: "structure",
          members: {
            customerManaged: {
              locationName: "customerManaged",
              type: "long"
            },
            kmsManaged: {
              locationName: "kmsManaged",
              type: "long"
            },
            s3Managed: {
              locationName: "s3Managed",
              type: "long"
            },
            unencrypted: {
              locationName: "unencrypted",
              type: "long"
            },
            unknown: {
              locationName: "unknown",
              type: "long"
            }
          }
        },
        S2x: {
          type: "structure",
          members: {
            effectivePermission: {
              locationName: "effectivePermission"
            },
            permissionConfiguration: {
              locationName: "permissionConfiguration",
              type: "structure",
              members: {
                accountLevelPermissions: {
                  locationName: "accountLevelPermissions",
                  type: "structure",
                  members: {
                    blockPublicAccess: {
                      shape: "S31",
                      locationName: "blockPublicAccess"
                    }
                  }
                },
                bucketLevelPermissions: {
                  locationName: "bucketLevelPermissions",
                  type: "structure",
                  members: {
                    accessControlList: {
                      locationName: "accessControlList",
                      type: "structure",
                      members: {
                        allowsPublicReadAccess: {
                          locationName: "allowsPublicReadAccess",
                          type: "boolean"
                        },
                        allowsPublicWriteAccess: {
                          locationName: "allowsPublicWriteAccess",
                          type: "boolean"
                        }
                      }
                    },
                    blockPublicAccess: {
                      shape: "S31",
                      locationName: "blockPublicAccess"
                    },
                    bucketPolicy: {
                      locationName: "bucketPolicy",
                      type: "structure",
                      members: {
                        allowsPublicReadAccess: {
                          locationName: "allowsPublicReadAccess",
                          type: "boolean"
                        },
                        allowsPublicWriteAccess: {
                          locationName: "allowsPublicWriteAccess",
                          type: "boolean"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S31: {
          type: "structure",
          members: {
            blockPublicAcls: {
              locationName: "blockPublicAcls",
              type: "boolean"
            },
            blockPublicPolicy: {
              locationName: "blockPublicPolicy",
              type: "boolean"
            },
            ignorePublicAcls: {
              locationName: "ignorePublicAcls",
              type: "boolean"
            },
            restrictPublicBuckets: {
              locationName: "restrictPublicBuckets",
              type: "boolean"
            }
          }
        },
        S3a: {
          type: "structure",
          members: {
            key: {
              locationName: "key"
            },
            value: {
              locationName: "value"
            }
          }
        },
        S3b: {
          type: "structure",
          members: {
            fileType: {
              locationName: "fileType",
              type: "long"
            },
            storageClass: {
              locationName: "storageClass",
              type: "long"
            },
            total: {
              locationName: "total",
              type: "long"
            }
          }
        },
        S3f: {
          type: "structure",
          members: {
            code: {
              locationName: "code"
            }
          }
        },
        S3j: {
          type: "structure",
          members: {
            jobExpiresAt: {
              shape: "S9",
              locationName: "jobExpiresAt"
            },
            jobImminentExpirationHealthEventArn: {
              locationName: "jobImminentExpirationHealthEventArn"
            },
            jobPausedAt: {
              shape: "S9",
              locationName: "jobPausedAt"
            }
          }
        },
        S44: {
          type: "structure",
          members: {
            accountId: {
              locationName: "accountId"
            },
            invitationId: {
              locationName: "invitationId"
            },
            invitedAt: {
              shape: "S9",
              locationName: "invitedAt"
            },
            relationshipStatus: {
              locationName: "relationshipStatus"
            }
          }
        },
        S4d: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S4n: {
          type: "structure",
          members: {
            classifiableSizeInBytes: {
              locationName: "classifiableSizeInBytes",
              type: "long"
            },
            publiclyAccessibleCount: {
              locationName: "publiclyAccessibleCount",
              type: "long"
            },
            totalCount: {
              locationName: "totalCount",
              type: "long"
            },
            totalSizeInBytes: {
              locationName: "totalSizeInBytes",
              type: "long"
            }
          }
        },
        S4q: {
          type: "structure",
          members: {
            s3Destination: {
              locationName: "s3Destination",
              type: "structure",
              members: {
                bucketName: {
                  locationName: "bucketName"
                },
                keyPrefix: {
                  locationName: "keyPrefix"
                },
                kmsKeyArn: {
                  locationName: "kmsKeyArn"
                }
              },
              required: [
                "bucketName",
                "kmsKeyArn"
              ]
            }
          }
        },
        S4x: {
          type: "list",
          member: {}
        },
        S59: {
          type: "structure",
          members: {
            attributeName: {
              locationName: "attributeName"
            },
            orderBy: {
              locationName: "orderBy"
            }
          }
        },
        S5k: {
          type: "structure",
          members: {
            cells: {
              locationName: "cells",
              type: "list",
              member: {
                type: "structure",
                members: {
                  cellReference: {
                    locationName: "cellReference"
                  },
                  column: {
                    locationName: "column",
                    type: "long"
                  },
                  columnName: {
                    locationName: "columnName"
                  },
                  row: {
                    locationName: "row",
                    type: "long"
                  }
                }
              }
            },
            lineRanges: {
              shape: "S5n",
              locationName: "lineRanges"
            },
            offsetRanges: {
              shape: "S5n",
              locationName: "offsetRanges"
            },
            pages: {
              locationName: "pages",
              type: "list",
              member: {
                type: "structure",
                members: {
                  lineRange: {
                    shape: "S5o",
                    locationName: "lineRange"
                  },
                  offsetRange: {
                    shape: "S5o",
                    locationName: "offsetRange"
                  },
                  pageNumber: {
                    locationName: "pageNumber",
                    type: "long"
                  }
                }
              }
            },
            records: {
              locationName: "records",
              type: "list",
              member: {
                type: "structure",
                members: {
                  jsonPath: {
                    locationName: "jsonPath"
                  },
                  recordIndex: {
                    locationName: "recordIndex",
                    type: "long"
                  }
                }
              }
            }
          }
        },
        S5n: {
          type: "list",
          member: {
            shape: "S5o"
          }
        },
        S5o: {
          type: "structure",
          members: {
            end: {
              locationName: "end",
              type: "long"
            },
            start: {
              locationName: "start",
              type: "long"
            },
            startColumn: {
              locationName: "startColumn",
              type: "long"
            }
          }
        },
        S6c: {
          type: "structure",
          members: {
            attributes: {
              locationName: "attributes",
              type: "structure",
              members: {
                creationDate: {
                  shape: "S9",
                  locationName: "creationDate"
                },
                mfaAuthenticated: {
                  locationName: "mfaAuthenticated",
                  type: "boolean"
                }
              }
            },
            sessionIssuer: {
              locationName: "sessionIssuer",
              type: "structure",
              members: {
                accountId: {
                  locationName: "accountId"
                },
                arn: {
                  locationName: "arn"
                },
                principalId: {
                  locationName: "principalId"
                },
                type: {
                  locationName: "type"
                },
                userName: {
                  locationName: "userName"
                }
              }
            }
          }
        },
        S6n: {
          type: "structure",
          members: {
            encryptionType: {
              locationName: "encryptionType"
            },
            kmsMasterKeyId: {
              locationName: "kmsMasterKeyId"
            }
          }
        },
        S6q: {
          type: "list",
          member: {
            shape: "S3a"
          }
        },
        S6z: {
          type: "structure",
          members: {
            publishClassificationFindings: {
              locationName: "publishClassificationFindings",
              type: "boolean"
            },
            publishPolicyFindings: {
              locationName: "publishPolicyFindings",
              type: "boolean"
            }
          },
          required: [
            "publishPolicyFindings",
            "publishClassificationFindings"
          ]
        },
        S7d: {
          type: "structure",
          members: {
            kmsKeyId: {
              locationName: "kmsKeyId"
            },
            status: {
              locationName: "status"
            }
          },
          required: [
            "status"
          ]
        },
        S7u: {
          type: "structure",
          members: {
            managedDataIdentifierIds: {
              shape: "S5",
              locationName: "managedDataIdentifierIds"
            }
          }
        },
        S7v: {
          type: "structure",
          members: {
            allowListIds: {
              shape: "S5",
              locationName: "allowListIds"
            },
            customDataIdentifierIds: {
              shape: "S5",
              locationName: "customDataIdentifierIds"
            },
            managedDataIdentifierIds: {
              shape: "S5",
              locationName: "managedDataIdentifierIds"
            }
          }
        },
        S8o: {
          type: "list",
          member: {
            type: "structure",
            members: {
              comparator: {
                locationName: "comparator"
              },
              key: {
                locationName: "key"
              },
              values: {
                shape: "S5",
                locationName: "values"
              }
            }
          }
        },
        Sac: {
          type: "structure",
          members: {
            and: {
              locationName: "and",
              type: "list",
              member: {
                type: "structure",
                members: {
                  simpleCriterion: {
                    locationName: "simpleCriterion",
                    type: "structure",
                    members: {
                      comparator: {
                        locationName: "comparator"
                      },
                      key: {
                        locationName: "key"
                      },
                      values: {
                        shape: "S5",
                        locationName: "values"
                      }
                    }
                  },
                  tagCriterion: {
                    locationName: "tagCriterion",
                    type: "structure",
                    members: {
                      comparator: {
                        locationName: "comparator"
                      },
                      tagValues: {
                        locationName: "tagValues",
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            key: {
                              locationName: "key"
                            },
                            value: {
                              locationName: "value"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/macie2-2020-01-01.paginators.json
var require_macie2_2020_01_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/macie2-2020-01-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeBuckets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "buckets"
        },
        GetUsageStatistics: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "records"
        },
        ListClassificationJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListClassificationScopes: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "classificationScopes"
        },
        ListCustomDataIdentifiers: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListFindings: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "findingIds"
        },
        ListFindingsFilters: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "findingsFilterListItems"
        },
        ListInvitations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "invitations"
        },
        ListMembers: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "members"
        },
        ListOrganizationAdminAccounts: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "adminAccounts"
        },
        SearchResources: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "matchingResources"
        },
        ListAllowLists: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "allowLists"
        },
        ListManagedDataIdentifiers: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "items"
        },
        ListResourceProfileDetections: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "detections"
        },
        ListSensitivityInspectionTemplates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "sensitivityInspectionTemplates"
        },
        ListResourceProfileArtifacts: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "artifacts"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/macie2-2020-01-01.waiters2.json
var require_macie2_2020_01_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/macie2-2020-01-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        FindingRevealed: {
          description: "Wait until the sensitive data occurrences are ready.",
          delay: 2,
          maxAttempts: 60,
          operation: "GetSensitiveDataOccurrences",
          acceptors: [
            {
              matcher: "path",
              argument: "status",
              state: "success",
              expected: "SUCCESS"
            },
            {
              matcher: "path",
              argument: "status",
              state: "success",
              expected: "ERROR"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/macie2.js
var require_macie2 = __commonJS({
  "node_modules/aws-sdk/clients/macie2.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["macie2"] = {};
    AWS2.Macie2 = Service.defineService("macie2", ["2020-01-01"]);
    Object.defineProperty(apiLoader.services["macie2"], "2020-01-01", {
      get: function get() {
        var model = require_macie2_2020_01_01_min();
        model.paginators = require_macie2_2020_01_01_paginators().pagination;
        model.waiters = require_macie2_2020_01_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Macie2;
  }
});

// node_modules/aws-sdk/apis/codeartifact-2018-09-22.min.json
var require_codeartifact_2018_09_22_min = __commonJS({
  "node_modules/aws-sdk/apis/codeartifact-2018-09-22.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-09-22",
        endpointPrefix: "codeartifact",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "CodeArtifact",
        serviceId: "codeartifact",
        signatureVersion: "v4",
        signingName: "codeartifact",
        uid: "codeartifact-2018-09-22"
      },
      operations: {
        AssociateExternalConnection: {
          http: {
            requestUri: "/v1/repository/external-connection"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "externalConnection"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              externalConnection: {
                location: "querystring",
                locationName: "external-connection"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repository: {
                shape: "S7"
              }
            }
          }
        },
        CopyPackageVersions: {
          http: {
            requestUri: "/v1/package/versions/copy"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "sourceRepository",
              "destinationRepository",
              "format",
              "package"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              sourceRepository: {
                location: "querystring",
                locationName: "source-repository"
              },
              destinationRepository: {
                location: "querystring",
                locationName: "destination-repository"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              package: {
                location: "querystring",
                locationName: "package"
              },
              versions: {
                shape: "Sk"
              },
              versionRevisions: {
                shape: "Sm"
              },
              allowOverwrite: {
                type: "boolean"
              },
              includeFromUpstream: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              successfulVersions: {
                shape: "Sq"
              },
              failedVersions: {
                shape: "Su"
              }
            }
          }
        },
        CreateDomain: {
          http: {
            requestUri: "/v1/domain"
          },
          input: {
            type: "structure",
            required: [
              "domain"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              encryptionKey: {},
              tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              domain: {
                shape: "S14"
              }
            }
          }
        },
        CreateRepository: {
          http: {
            requestUri: "/v1/repository"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              description: {},
              upstreams: {
                shape: "S19"
              },
              tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repository: {
                shape: "S7"
              }
            }
          }
        },
        DeleteDomain: {
          http: {
            method: "DELETE",
            requestUri: "/v1/domain"
          },
          input: {
            type: "structure",
            required: [
              "domain"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              domain: {
                shape: "S14"
              }
            }
          }
        },
        DeleteDomainPermissionsPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/v1/domain/permissions/policy"
          },
          input: {
            type: "structure",
            required: [
              "domain"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              policyRevision: {
                location: "querystring",
                locationName: "policy-revision"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              policy: {
                shape: "S1h"
              }
            }
          }
        },
        DeletePackage: {
          http: {
            method: "DELETE",
            requestUri: "/v1/package"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "format",
              "package"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              package: {
                location: "querystring",
                locationName: "package"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              deletedPackage: {
                shape: "S1l"
              }
            }
          }
        },
        DeletePackageVersions: {
          http: {
            requestUri: "/v1/package/versions/delete"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "format",
              "package",
              "versions"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              package: {
                location: "querystring",
                locationName: "package"
              },
              versions: {
                shape: "Sk"
              },
              expectedStatus: {}
            }
          },
          output: {
            type: "structure",
            members: {
              successfulVersions: {
                shape: "Sq"
              },
              failedVersions: {
                shape: "Su"
              }
            }
          }
        },
        DeleteRepository: {
          http: {
            method: "DELETE",
            requestUri: "/v1/repository"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repository: {
                shape: "S7"
              }
            }
          }
        },
        DeleteRepositoryPermissionsPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/v1/repository/permissions/policies"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              policyRevision: {
                location: "querystring",
                locationName: "policy-revision"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              policy: {
                shape: "S1h"
              }
            }
          }
        },
        DescribeDomain: {
          http: {
            method: "GET",
            requestUri: "/v1/domain"
          },
          input: {
            type: "structure",
            required: [
              "domain"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              domain: {
                shape: "S14"
              }
            }
          }
        },
        DescribePackage: {
          http: {
            method: "GET",
            requestUri: "/v1/package"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "format",
              "package"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              package: {
                location: "querystring",
                locationName: "package"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "package"
            ],
            members: {
              package: {
                type: "structure",
                members: {
                  format: {},
                  namespace: {},
                  name: {},
                  originConfiguration: {
                    shape: "S1m"
                  }
                }
              }
            }
          }
        },
        DescribePackageVersion: {
          http: {
            method: "GET",
            requestUri: "/v1/package/version"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "format",
              "package",
              "packageVersion"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              package: {
                location: "querystring",
                locationName: "package"
              },
              packageVersion: {
                location: "querystring",
                locationName: "version"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "packageVersion"
            ],
            members: {
              packageVersion: {
                type: "structure",
                members: {
                  format: {},
                  namespace: {},
                  packageName: {},
                  displayName: {},
                  version: {},
                  summary: {},
                  homePage: {},
                  sourceCodeRepository: {},
                  publishedTime: {
                    type: "timestamp"
                  },
                  licenses: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        name: {},
                        url: {}
                      }
                    }
                  },
                  revision: {},
                  status: {},
                  origin: {
                    shape: "S27"
                  }
                }
              }
            }
          }
        },
        DescribeRepository: {
          http: {
            method: "GET",
            requestUri: "/v1/repository"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repository: {
                shape: "S7"
              }
            }
          }
        },
        DisassociateExternalConnection: {
          http: {
            method: "DELETE",
            requestUri: "/v1/repository/external-connection"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "externalConnection"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              externalConnection: {
                location: "querystring",
                locationName: "external-connection"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repository: {
                shape: "S7"
              }
            }
          }
        },
        DisposePackageVersions: {
          http: {
            requestUri: "/v1/package/versions/dispose"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "format",
              "package",
              "versions"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              package: {
                location: "querystring",
                locationName: "package"
              },
              versions: {
                shape: "Sk"
              },
              versionRevisions: {
                shape: "Sm"
              },
              expectedStatus: {}
            }
          },
          output: {
            type: "structure",
            members: {
              successfulVersions: {
                shape: "Sq"
              },
              failedVersions: {
                shape: "Su"
              }
            }
          }
        },
        GetAuthorizationToken: {
          http: {
            requestUri: "/v1/authorization-token"
          },
          input: {
            type: "structure",
            required: [
              "domain"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              durationSeconds: {
                location: "querystring",
                locationName: "duration",
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              authorizationToken: {},
              expiration: {
                type: "timestamp"
              }
            }
          }
        },
        GetDomainPermissionsPolicy: {
          http: {
            method: "GET",
            requestUri: "/v1/domain/permissions/policy"
          },
          input: {
            type: "structure",
            required: [
              "domain"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              policy: {
                shape: "S1h"
              }
            }
          }
        },
        GetPackageVersionAsset: {
          http: {
            method: "GET",
            requestUri: "/v1/package/version/asset"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "format",
              "package",
              "packageVersion",
              "asset"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              package: {
                location: "querystring",
                locationName: "package"
              },
              packageVersion: {
                location: "querystring",
                locationName: "version"
              },
              asset: {
                location: "querystring",
                locationName: "asset"
              },
              packageVersionRevision: {
                location: "querystring",
                locationName: "revision"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              asset: {
                shape: "S2o"
              },
              assetName: {
                location: "header",
                locationName: "X-AssetName"
              },
              packageVersion: {
                location: "header",
                locationName: "X-PackageVersion"
              },
              packageVersionRevision: {
                location: "header",
                locationName: "X-PackageVersionRevision"
              }
            },
            payload: "asset"
          }
        },
        GetPackageVersionReadme: {
          http: {
            method: "GET",
            requestUri: "/v1/package/version/readme"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "format",
              "package",
              "packageVersion"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              package: {
                location: "querystring",
                locationName: "package"
              },
              packageVersion: {
                location: "querystring",
                locationName: "version"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              format: {},
              namespace: {},
              package: {},
              version: {},
              versionRevision: {},
              readme: {}
            }
          }
        },
        GetRepositoryEndpoint: {
          http: {
            method: "GET",
            requestUri: "/v1/repository/endpoint"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "format"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              format: {
                location: "querystring",
                locationName: "format"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repositoryEndpoint: {}
            }
          }
        },
        GetRepositoryPermissionsPolicy: {
          http: {
            method: "GET",
            requestUri: "/v1/repository/permissions/policy"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              policy: {
                shape: "S1h"
              }
            }
          }
        },
        ListDomains: {
          http: {
            requestUri: "/v1/domains"
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              domains: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    owner: {},
                    arn: {},
                    status: {},
                    createdTime: {
                      type: "timestamp"
                    },
                    encryptionKey: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListPackageVersionAssets: {
          http: {
            requestUri: "/v1/package/version/assets"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "format",
              "package",
              "packageVersion"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              package: {
                location: "querystring",
                locationName: "package"
              },
              packageVersion: {
                location: "querystring",
                locationName: "version"
              },
              maxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              format: {},
              namespace: {},
              package: {},
              version: {},
              versionRevision: {},
              nextToken: {},
              assets: {
                type: "list",
                member: {
                  shape: "S35"
                }
              }
            }
          }
        },
        ListPackageVersionDependencies: {
          http: {
            requestUri: "/v1/package/version/dependencies"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "format",
              "package",
              "packageVersion"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              package: {
                location: "querystring",
                locationName: "package"
              },
              packageVersion: {
                location: "querystring",
                locationName: "version"
              },
              nextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              format: {},
              namespace: {},
              package: {},
              version: {},
              versionRevision: {},
              nextToken: {},
              dependencies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    namespace: {},
                    package: {},
                    dependencyType: {},
                    versionRequirement: {}
                  }
                }
              }
            }
          }
        },
        ListPackageVersions: {
          http: {
            requestUri: "/v1/package/versions"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "format",
              "package"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              package: {
                location: "querystring",
                locationName: "package"
              },
              status: {
                location: "querystring",
                locationName: "status"
              },
              sortBy: {
                location: "querystring",
                locationName: "sortBy"
              },
              maxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              originType: {
                location: "querystring",
                locationName: "originType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              defaultDisplayVersion: {},
              format: {},
              namespace: {},
              package: {},
              versions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "version",
                    "status"
                  ],
                  members: {
                    version: {},
                    revision: {},
                    status: {},
                    origin: {
                      shape: "S27"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListPackages: {
          http: {
            requestUri: "/v1/packages"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              packagePrefix: {
                location: "querystring",
                locationName: "package-prefix"
              },
              maxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              publish: {
                location: "querystring",
                locationName: "publish"
              },
              upstream: {
                location: "querystring",
                locationName: "upstream"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              packages: {
                type: "list",
                member: {
                  shape: "S1l"
                }
              },
              nextToken: {}
            }
          }
        },
        ListRepositories: {
          http: {
            requestUri: "/v1/repositories"
          },
          input: {
            type: "structure",
            members: {
              repositoryPrefix: {
                location: "querystring",
                locationName: "repository-prefix"
              },
              maxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repositories: {
                shape: "S3r"
              },
              nextToken: {}
            }
          }
        },
        ListRepositoriesInDomain: {
          http: {
            requestUri: "/v1/domain/repositories"
          },
          input: {
            type: "structure",
            required: [
              "domain"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              administratorAccount: {
                location: "querystring",
                locationName: "administrator-account"
              },
              repositoryPrefix: {
                location: "querystring",
                locationName: "repository-prefix"
              },
              maxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repositories: {
                shape: "S3r"
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            requestUri: "/v1/tags"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sz"
              }
            }
          }
        },
        PublishPackageVersion: {
          http: {
            requestUri: "/v1/package/version/publish"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "format",
              "package",
              "packageVersion",
              "assetContent",
              "assetName",
              "assetSHA256"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              package: {
                location: "querystring",
                locationName: "package"
              },
              packageVersion: {
                location: "querystring",
                locationName: "version"
              },
              assetContent: {
                shape: "S2o"
              },
              assetName: {
                location: "querystring",
                locationName: "asset"
              },
              assetSHA256: {
                location: "header",
                locationName: "x-amz-content-sha256"
              },
              unfinished: {
                location: "querystring",
                locationName: "unfinished",
                type: "boolean"
              }
            },
            payload: "assetContent"
          },
          output: {
            type: "structure",
            members: {
              format: {},
              namespace: {},
              package: {},
              version: {},
              versionRevision: {},
              status: {},
              asset: {
                shape: "S35"
              }
            }
          }
        },
        PutDomainPermissionsPolicy: {
          http: {
            method: "PUT",
            requestUri: "/v1/domain/permissions/policy"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "policyDocument"
            ],
            members: {
              domain: {},
              domainOwner: {},
              policyRevision: {},
              policyDocument: {}
            }
          },
          output: {
            type: "structure",
            members: {
              policy: {
                shape: "S1h"
              }
            }
          }
        },
        PutPackageOriginConfiguration: {
          http: {
            requestUri: "/v1/package"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "format",
              "package",
              "restrictions"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              package: {
                location: "querystring",
                locationName: "package"
              },
              restrictions: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              originConfiguration: {
                shape: "S1m"
              }
            }
          }
        },
        PutRepositoryPermissionsPolicy: {
          http: {
            method: "PUT",
            requestUri: "/v1/repository/permissions/policy"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "policyDocument"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              policyRevision: {},
              policyDocument: {}
            }
          },
          output: {
            type: "structure",
            members: {
              policy: {
                shape: "S1h"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/v1/tag"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            requestUri: "/v1/untag"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdatePackageVersionsStatus: {
          http: {
            requestUri: "/v1/package/versions/update_status"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository",
              "format",
              "package",
              "versions",
              "targetStatus"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              format: {
                location: "querystring",
                locationName: "format"
              },
              namespace: {
                location: "querystring",
                locationName: "namespace"
              },
              package: {
                location: "querystring",
                locationName: "package"
              },
              versions: {
                shape: "Sk"
              },
              versionRevisions: {
                shape: "Sm"
              },
              expectedStatus: {},
              targetStatus: {}
            }
          },
          output: {
            type: "structure",
            members: {
              successfulVersions: {
                shape: "Sq"
              },
              failedVersions: {
                shape: "Su"
              }
            }
          }
        },
        UpdateRepository: {
          http: {
            method: "PUT",
            requestUri: "/v1/repository"
          },
          input: {
            type: "structure",
            required: [
              "domain",
              "repository"
            ],
            members: {
              domain: {
                location: "querystring",
                locationName: "domain"
              },
              domainOwner: {
                location: "querystring",
                locationName: "domain-owner"
              },
              repository: {
                location: "querystring",
                locationName: "repository"
              },
              description: {},
              upstreams: {
                shape: "S19"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repository: {
                shape: "S7"
              }
            }
          }
        }
      },
      shapes: {
        S7: {
          type: "structure",
          members: {
            name: {},
            administratorAccount: {},
            domainName: {},
            domainOwner: {},
            arn: {},
            description: {},
            upstreams: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  repositoryName: {}
                }
              }
            },
            externalConnections: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  externalConnectionName: {},
                  packageFormat: {},
                  status: {}
                }
              }
            },
            createdTime: {
              type: "timestamp"
            }
          }
        },
        Sk: {
          type: "list",
          member: {}
        },
        Sm: {
          type: "map",
          key: {},
          value: {}
        },
        Sq: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              revision: {},
              status: {}
            }
          }
        },
        Su: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              errorCode: {},
              errorMessage: {}
            }
          }
        },
        Sz: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        S14: {
          type: "structure",
          members: {
            name: {},
            owner: {},
            arn: {},
            status: {},
            createdTime: {
              type: "timestamp"
            },
            encryptionKey: {},
            repositoryCount: {
              type: "integer"
            },
            assetSizeBytes: {
              type: "long"
            },
            s3BucketArn: {}
          }
        },
        S19: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              repositoryName: {}
            }
          }
        },
        S1h: {
          type: "structure",
          members: {
            resourceArn: {},
            revision: {},
            document: {}
          }
        },
        S1l: {
          type: "structure",
          members: {
            format: {},
            namespace: {},
            package: {},
            originConfiguration: {
              shape: "S1m"
            }
          }
        },
        S1m: {
          type: "structure",
          members: {
            restrictions: {
              shape: "S1n"
            }
          }
        },
        S1n: {
          type: "structure",
          required: [
            "publish",
            "upstream"
          ],
          members: {
            publish: {},
            upstream: {}
          }
        },
        S27: {
          type: "structure",
          members: {
            domainEntryPoint: {
              type: "structure",
              members: {
                repositoryName: {},
                externalConnectionName: {}
              }
            },
            originType: {}
          }
        },
        S2o: {
          type: "blob",
          streaming: true
        },
        S35: {
          type: "structure",
          required: [
            "name"
          ],
          members: {
            name: {},
            size: {
              type: "long"
            },
            hashes: {
              type: "map",
              key: {},
              value: {}
            }
          }
        },
        S3r: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              administratorAccount: {},
              domainName: {},
              domainOwner: {},
              arn: {},
              description: {},
              createdTime: {
                type: "timestamp"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/codeartifact-2018-09-22.paginators.json
var require_codeartifact_2018_09_22_paginators = __commonJS({
  "node_modules/aws-sdk/apis/codeartifact-2018-09-22.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDomains: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "domains"
        },
        ListPackageVersionAssets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "assets"
        },
        ListPackageVersions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "versions"
        },
        ListPackages: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "packages"
        },
        ListRepositories: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "repositories"
        },
        ListRepositoriesInDomain: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "repositories"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/codeartifact.js
var require_codeartifact = __commonJS({
  "node_modules/aws-sdk/clients/codeartifact.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["codeartifact"] = {};
    AWS2.CodeArtifact = Service.defineService("codeartifact", ["2018-09-22"]);
    Object.defineProperty(apiLoader.services["codeartifact"], "2018-09-22", {
      get: function get() {
        var model = require_codeartifact_2018_09_22_min();
        model.paginators = require_codeartifact_2018_09_22_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CodeArtifact;
  }
});

// node_modules/aws-sdk/apis/honeycode-2020-03-01.min.json
var require_honeycode_2020_03_01_min = __commonJS({
  "node_modules/aws-sdk/apis/honeycode-2020-03-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-03-01",
        endpointPrefix: "honeycode",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Honeycode",
        serviceFullName: "Amazon Honeycode",
        serviceId: "Honeycode",
        signatureVersion: "v4",
        signingName: "honeycode",
        uid: "honeycode-2020-03-01"
      },
      operations: {
        BatchCreateTableRows: {
          http: {
            requestUri: "/workbooks/{workbookId}/tables/{tableId}/rows/batchcreate"
          },
          input: {
            type: "structure",
            required: [
              "workbookId",
              "tableId",
              "rowsToCreate"
            ],
            members: {
              workbookId: {
                location: "uri",
                locationName: "workbookId"
              },
              tableId: {
                location: "uri",
                locationName: "tableId"
              },
              rowsToCreate: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "batchItemId",
                    "cellsToCreate"
                  ],
                  members: {
                    batchItemId: {},
                    cellsToCreate: {
                      shape: "S6"
                    }
                  }
                }
              },
              clientRequestToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "workbookCursor",
              "createdRows"
            ],
            members: {
              workbookCursor: {
                type: "long"
              },
              createdRows: {
                type: "map",
                key: {},
                value: {}
              },
              failedBatchItems: {
                shape: "Sf"
              }
            }
          }
        },
        BatchDeleteTableRows: {
          http: {
            requestUri: "/workbooks/{workbookId}/tables/{tableId}/rows/batchdelete"
          },
          input: {
            type: "structure",
            required: [
              "workbookId",
              "tableId",
              "rowIds"
            ],
            members: {
              workbookId: {
                location: "uri",
                locationName: "workbookId"
              },
              tableId: {
                location: "uri",
                locationName: "tableId"
              },
              rowIds: {
                shape: "Sj"
              },
              clientRequestToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "workbookCursor"
            ],
            members: {
              workbookCursor: {
                type: "long"
              },
              failedBatchItems: {
                shape: "Sf"
              }
            }
          }
        },
        BatchUpdateTableRows: {
          http: {
            requestUri: "/workbooks/{workbookId}/tables/{tableId}/rows/batchupdate"
          },
          input: {
            type: "structure",
            required: [
              "workbookId",
              "tableId",
              "rowsToUpdate"
            ],
            members: {
              workbookId: {
                location: "uri",
                locationName: "workbookId"
              },
              tableId: {
                location: "uri",
                locationName: "tableId"
              },
              rowsToUpdate: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "rowId",
                    "cellsToUpdate"
                  ],
                  members: {
                    rowId: {},
                    cellsToUpdate: {
                      shape: "S6"
                    }
                  }
                }
              },
              clientRequestToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "workbookCursor"
            ],
            members: {
              workbookCursor: {
                type: "long"
              },
              failedBatchItems: {
                shape: "Sf"
              }
            }
          }
        },
        BatchUpsertTableRows: {
          http: {
            requestUri: "/workbooks/{workbookId}/tables/{tableId}/rows/batchupsert"
          },
          input: {
            type: "structure",
            required: [
              "workbookId",
              "tableId",
              "rowsToUpsert"
            ],
            members: {
              workbookId: {
                location: "uri",
                locationName: "workbookId"
              },
              tableId: {
                location: "uri",
                locationName: "tableId"
              },
              rowsToUpsert: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "batchItemId",
                    "filter",
                    "cellsToUpdate"
                  ],
                  members: {
                    batchItemId: {},
                    filter: {
                      shape: "Ss"
                    },
                    cellsToUpdate: {
                      shape: "S6"
                    }
                  }
                }
              },
              clientRequestToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "rows",
              "workbookCursor"
            ],
            members: {
              rows: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  required: [
                    "rowIds",
                    "upsertAction"
                  ],
                  members: {
                    rowIds: {
                      shape: "Sj"
                    },
                    upsertAction: {}
                  }
                }
              },
              workbookCursor: {
                type: "long"
              },
              failedBatchItems: {
                shape: "Sf"
              }
            }
          }
        },
        DescribeTableDataImportJob: {
          http: {
            method: "GET",
            requestUri: "/workbooks/{workbookId}/tables/{tableId}/import/{jobId}"
          },
          input: {
            type: "structure",
            required: [
              "workbookId",
              "tableId",
              "jobId"
            ],
            members: {
              workbookId: {
                location: "uri",
                locationName: "workbookId"
              },
              tableId: {
                location: "uri",
                locationName: "tableId"
              },
              jobId: {
                location: "uri",
                locationName: "jobId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobStatus",
              "message",
              "jobMetadata"
            ],
            members: {
              jobStatus: {},
              message: {},
              jobMetadata: {
                type: "structure",
                required: [
                  "submitter",
                  "submitTime",
                  "importOptions",
                  "dataSource"
                ],
                members: {
                  submitter: {
                    type: "structure",
                    members: {
                      email: {
                        type: "string",
                        sensitive: true
                      },
                      userArn: {}
                    }
                  },
                  submitTime: {
                    type: "timestamp"
                  },
                  importOptions: {
                    shape: "S18"
                  },
                  dataSource: {
                    shape: "S1i"
                  }
                }
              },
              errorCode: {}
            }
          }
        },
        GetScreenData: {
          http: {
            requestUri: "/screendata"
          },
          input: {
            type: "structure",
            required: [
              "workbookId",
              "appId",
              "screenId"
            ],
            members: {
              workbookId: {},
              appId: {},
              screenId: {},
              variables: {
                shape: "S1n"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "results",
              "workbookCursor"
            ],
            members: {
              results: {
                type: "map",
                key: {
                  shape: "S1v"
                },
                value: {
                  type: "structure",
                  required: [
                    "headers",
                    "rows"
                  ],
                  members: {
                    headers: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "name",
                          "format"
                        ],
                        members: {
                          name: {
                            shape: "S1v"
                          },
                          format: {}
                        }
                      }
                    },
                    rows: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "dataItems"
                        ],
                        members: {
                          rowId: {},
                          dataItems: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                overrideFormat: {},
                                rawValue: {},
                                formattedValue: {}
                              },
                              sensitive: true
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              workbookCursor: {
                type: "long"
              },
              nextToken: {}
            }
          }
        },
        InvokeScreenAutomation: {
          http: {
            requestUri: "/workbooks/{workbookId}/apps/{appId}/screens/{screenId}/automations/{automationId}"
          },
          input: {
            type: "structure",
            required: [
              "workbookId",
              "appId",
              "screenId",
              "screenAutomationId"
            ],
            members: {
              workbookId: {
                location: "uri",
                locationName: "workbookId"
              },
              appId: {
                location: "uri",
                locationName: "appId"
              },
              screenId: {
                location: "uri",
                locationName: "screenId"
              },
              screenAutomationId: {
                location: "uri",
                locationName: "automationId"
              },
              variables: {
                shape: "S1n"
              },
              rowId: {},
              clientRequestToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "workbookCursor"
            ],
            members: {
              workbookCursor: {
                type: "long"
              }
            }
          }
        },
        ListTableColumns: {
          http: {
            method: "GET",
            requestUri: "/workbooks/{workbookId}/tables/{tableId}/columns"
          },
          input: {
            type: "structure",
            required: [
              "workbookId",
              "tableId"
            ],
            members: {
              workbookId: {
                location: "uri",
                locationName: "workbookId"
              },
              tableId: {
                location: "uri",
                locationName: "tableId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "tableColumns"
            ],
            members: {
              tableColumns: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    tableColumnId: {},
                    tableColumnName: {},
                    format: {}
                  }
                }
              },
              nextToken: {},
              workbookCursor: {
                type: "long"
              }
            }
          }
        },
        ListTableRows: {
          http: {
            requestUri: "/workbooks/{workbookId}/tables/{tableId}/rows/list"
          },
          input: {
            type: "structure",
            required: [
              "workbookId",
              "tableId"
            ],
            members: {
              workbookId: {
                location: "uri",
                locationName: "workbookId"
              },
              tableId: {
                location: "uri",
                locationName: "tableId"
              },
              rowIds: {
                shape: "Sj"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "columnIds",
              "rows",
              "workbookCursor"
            ],
            members: {
              columnIds: {
                shape: "S2e"
              },
              rows: {
                shape: "S2f"
              },
              rowIdsNotFound: {
                shape: "Sj"
              },
              nextToken: {},
              workbookCursor: {
                type: "long"
              }
            }
          }
        },
        ListTables: {
          http: {
            method: "GET",
            requestUri: "/workbooks/{workbookId}/tables"
          },
          input: {
            type: "structure",
            required: [
              "workbookId"
            ],
            members: {
              workbookId: {
                location: "uri",
                locationName: "workbookId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "tables"
            ],
            members: {
              tables: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    tableId: {},
                    tableName: {}
                  }
                }
              },
              nextToken: {},
              workbookCursor: {
                type: "long"
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S2s"
              }
            }
          }
        },
        QueryTableRows: {
          http: {
            requestUri: "/workbooks/{workbookId}/tables/{tableId}/rows/query"
          },
          input: {
            type: "structure",
            required: [
              "workbookId",
              "tableId",
              "filterFormula"
            ],
            members: {
              workbookId: {
                location: "uri",
                locationName: "workbookId"
              },
              tableId: {
                location: "uri",
                locationName: "tableId"
              },
              filterFormula: {
                shape: "Ss"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "columnIds",
              "rows",
              "workbookCursor"
            ],
            members: {
              columnIds: {
                shape: "S2e"
              },
              rows: {
                shape: "S2f"
              },
              nextToken: {},
              workbookCursor: {
                type: "long"
              }
            }
          }
        },
        StartTableDataImportJob: {
          http: {
            requestUri: "/workbooks/{workbookId}/tables/{tableId}/import"
          },
          input: {
            type: "structure",
            required: [
              "workbookId",
              "dataSource",
              "dataFormat",
              "destinationTableId",
              "importOptions",
              "clientRequestToken"
            ],
            members: {
              workbookId: {
                location: "uri",
                locationName: "workbookId"
              },
              dataSource: {
                shape: "S1i"
              },
              dataFormat: {},
              destinationTableId: {
                location: "uri",
                locationName: "tableId"
              },
              importOptions: {
                shape: "S18"
              },
              clientRequestToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "jobId",
              "jobStatus"
            ],
            members: {
              jobId: {},
              jobStatus: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S2s"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S6: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              fact: {
                shape: "S8"
              },
              facts: {
                type: "list",
                member: {
                  shape: "S8"
                }
              }
            }
          }
        },
        S8: {
          type: "string",
          sensitive: true
        },
        Sf: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "id",
              "errorMessage"
            ],
            members: {
              id: {},
              errorMessage: {}
            }
          }
        },
        Sj: {
          type: "list",
          member: {}
        },
        Ss: {
          type: "structure",
          required: [
            "formula"
          ],
          members: {
            formula: {
              shape: "St"
            },
            contextRowId: {}
          }
        },
        St: {
          type: "string",
          sensitive: true
        },
        S18: {
          type: "structure",
          members: {
            destinationOptions: {
              type: "structure",
              members: {
                columnMap: {
                  type: "map",
                  key: {},
                  value: {
                    type: "structure",
                    members: {
                      columnIndex: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            },
            delimitedTextOptions: {
              type: "structure",
              required: [
                "delimiter"
              ],
              members: {
                delimiter: {},
                hasHeaderRow: {
                  type: "boolean"
                },
                ignoreEmptyRows: {
                  type: "boolean"
                },
                dataCharacterEncoding: {}
              }
            }
          }
        },
        S1i: {
          type: "structure",
          required: [
            "dataSourceConfig"
          ],
          members: {
            dataSourceConfig: {
              type: "structure",
              members: {
                dataSourceUrl: {
                  type: "string",
                  sensitive: true
                }
              }
            }
          }
        },
        S1n: {
          type: "map",
          key: {
            type: "string",
            sensitive: true
          },
          value: {
            type: "structure",
            required: [
              "rawValue"
            ],
            members: {
              rawValue: {}
            },
            sensitive: true
          },
          sensitive: true
        },
        S1v: {
          type: "string",
          sensitive: true
        },
        S2e: {
          type: "list",
          member: {}
        },
        S2f: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "rowId",
              "cells"
            ],
            members: {
              rowId: {},
              cells: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    formula: {
                      shape: "St"
                    },
                    format: {},
                    rawValue: {},
                    formattedValue: {},
                    formattedValues: {
                      type: "list",
                      member: {}
                    }
                  },
                  sensitive: true
                }
              }
            }
          }
        },
        S2s: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/honeycode-2020-03-01.paginators.json
var require_honeycode_2020_03_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/honeycode-2020-03-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListTableColumns: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "tableColumns"
        },
        ListTableRows: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "rows"
        },
        ListTables: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "tables"
        },
        QueryTableRows: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "rows"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/honeycode.js
var require_honeycode = __commonJS({
  "node_modules/aws-sdk/clients/honeycode.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["honeycode"] = {};
    AWS2.Honeycode = Service.defineService("honeycode", ["2020-03-01"]);
    Object.defineProperty(apiLoader.services["honeycode"], "2020-03-01", {
      get: function get() {
        var model = require_honeycode_2020_03_01_min();
        model.paginators = require_honeycode_2020_03_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Honeycode;
  }
});

// node_modules/aws-sdk/apis/ivs-2020-07-14.min.json
var require_ivs_2020_07_14_min = __commonJS({
  "node_modules/aws-sdk/apis/ivs-2020-07-14.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-07-14",
        endpointPrefix: "ivs",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Amazon IVS",
        serviceFullName: "Amazon Interactive Video Service",
        serviceId: "ivs",
        signatureVersion: "v4",
        signingName: "ivs",
        uid: "ivs-2020-07-14"
      },
      operations: {
        BatchGetChannel: {
          http: {
            requestUri: "/BatchGetChannel",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arns"
            ],
            members: {
              arns: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              channels: {
                type: "list",
                member: {
                  shape: "S6"
                }
              },
              errors: {
                shape: "Sj"
              }
            }
          }
        },
        BatchGetStreamKey: {
          http: {
            requestUri: "/BatchGetStreamKey",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arns"
            ],
            members: {
              arns: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errors: {
                shape: "Sj"
              },
              streamKeys: {
                type: "list",
                member: {
                  shape: "St"
                }
              }
            }
          }
        },
        BatchStartViewerSessionRevocation: {
          http: {
            requestUri: "/BatchStartViewerSessionRevocation",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "viewerSessions"
            ],
            members: {
              viewerSessions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "channelArn",
                    "viewerId"
                  ],
                  members: {
                    channelArn: {},
                    viewerId: {},
                    viewerSessionVersionsLessThanOrEqualTo: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "channelArn",
                    "viewerId"
                  ],
                  members: {
                    channelArn: {},
                    code: {},
                    message: {},
                    viewerId: {}
                  }
                }
              }
            }
          }
        },
        CreateChannel: {
          http: {
            requestUri: "/CreateChannel",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              authorized: {
                type: "boolean"
              },
              insecureIngest: {
                type: "boolean"
              },
              latencyMode: {},
              name: {},
              preset: {},
              recordingConfigurationArn: {},
              tags: {
                shape: "Sf"
              },
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              channel: {
                shape: "S6"
              },
              streamKey: {
                shape: "St"
              }
            }
          }
        },
        CreateRecordingConfiguration: {
          http: {
            requestUri: "/CreateRecordingConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "destinationConfiguration"
            ],
            members: {
              destinationConfiguration: {
                shape: "S17"
              },
              name: {},
              recordingReconnectWindowSeconds: {
                type: "integer"
              },
              tags: {
                shape: "Sf"
              },
              thumbnailConfiguration: {
                shape: "S1c"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              recordingConfiguration: {
                shape: "S1g"
              }
            }
          }
        },
        CreateStreamKey: {
          http: {
            requestUri: "/CreateStreamKey",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "channelArn"
            ],
            members: {
              channelArn: {},
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              streamKey: {
                shape: "St"
              }
            }
          }
        },
        DeleteChannel: {
          http: {
            requestUri: "/DeleteChannel",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          }
        },
        DeletePlaybackKeyPair: {
          http: {
            requestUri: "/DeletePlaybackKeyPair",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteRecordingConfiguration: {
          http: {
            requestUri: "/DeleteRecordingConfiguration",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          }
        },
        DeleteStreamKey: {
          http: {
            requestUri: "/DeleteStreamKey",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          }
        },
        GetChannel: {
          http: {
            requestUri: "/GetChannel",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              channel: {
                shape: "S6"
              }
            }
          }
        },
        GetPlaybackKeyPair: {
          http: {
            requestUri: "/GetPlaybackKeyPair",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              keyPair: {
                shape: "S1v"
              }
            }
          }
        },
        GetRecordingConfiguration: {
          http: {
            requestUri: "/GetRecordingConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              recordingConfiguration: {
                shape: "S1g"
              }
            }
          }
        },
        GetStream: {
          http: {
            requestUri: "/GetStream",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "channelArn"
            ],
            members: {
              channelArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              stream: {
                type: "structure",
                members: {
                  channelArn: {},
                  health: {},
                  playbackUrl: {},
                  startTime: {
                    shape: "S24"
                  },
                  state: {},
                  streamId: {},
                  viewerCount: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        GetStreamKey: {
          http: {
            requestUri: "/GetStreamKey",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              streamKey: {
                shape: "St"
              }
            }
          }
        },
        GetStreamSession: {
          http: {
            requestUri: "/GetStreamSession",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "channelArn"
            ],
            members: {
              channelArn: {},
              streamId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              streamSession: {
                type: "structure",
                members: {
                  channel: {
                    shape: "S6"
                  },
                  endTime: {
                    shape: "S2d"
                  },
                  ingestConfiguration: {
                    type: "structure",
                    members: {
                      audio: {
                        type: "structure",
                        members: {
                          channels: {
                            type: "long"
                          },
                          codec: {},
                          sampleRate: {
                            type: "long"
                          },
                          targetBitrate: {
                            type: "long"
                          }
                        }
                      },
                      video: {
                        type: "structure",
                        members: {
                          avcLevel: {},
                          avcProfile: {},
                          codec: {},
                          encoder: {},
                          targetBitrate: {
                            type: "long"
                          },
                          targetFramerate: {
                            type: "long"
                          },
                          videoHeight: {
                            type: "long"
                          },
                          videoWidth: {
                            type: "long"
                          }
                        }
                      }
                    }
                  },
                  recordingConfiguration: {
                    shape: "S1g"
                  },
                  startTime: {
                    shape: "S2d"
                  },
                  streamId: {},
                  truncatedEvents: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        eventTime: {
                          shape: "S2d"
                        },
                        name: {},
                        type: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ImportPlaybackKeyPair: {
          http: {
            requestUri: "/ImportPlaybackKeyPair",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "publicKeyMaterial"
            ],
            members: {
              name: {},
              publicKeyMaterial: {},
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              keyPair: {
                shape: "S1v"
              }
            }
          }
        },
        ListChannels: {
          http: {
            requestUri: "/ListChannels",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filterByName: {},
              filterByRecordingConfigurationArn: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "channels"
            ],
            members: {
              channels: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    authorized: {
                      type: "boolean"
                    },
                    insecureIngest: {
                      type: "boolean"
                    },
                    latencyMode: {},
                    name: {},
                    preset: {},
                    recordingConfigurationArn: {},
                    tags: {
                      shape: "Sf"
                    },
                    type: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListPlaybackKeyPairs: {
          http: {
            requestUri: "/ListPlaybackKeyPairs",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "keyPairs"
            ],
            members: {
              keyPairs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    name: {},
                    tags: {
                      shape: "Sf"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListRecordingConfigurations: {
          http: {
            requestUri: "/ListRecordingConfigurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "recordingConfigurations"
            ],
            members: {
              nextToken: {},
              recordingConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "destinationConfiguration",
                    "state"
                  ],
                  members: {
                    arn: {},
                    destinationConfiguration: {
                      shape: "S17"
                    },
                    name: {},
                    state: {},
                    tags: {
                      shape: "Sf"
                    }
                  }
                }
              }
            }
          }
        },
        ListStreamKeys: {
          http: {
            requestUri: "/ListStreamKeys",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "channelArn"
            ],
            members: {
              channelArn: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "streamKeys"
            ],
            members: {
              nextToken: {},
              streamKeys: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    channelArn: {},
                    tags: {
                      shape: "Sf"
                    }
                  }
                }
              }
            }
          }
        },
        ListStreamSessions: {
          http: {
            requestUri: "/ListStreamSessions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "channelArn"
            ],
            members: {
              channelArn: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "streamSessions"
            ],
            members: {
              nextToken: {},
              streamSessions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    endTime: {
                      shape: "S2d"
                    },
                    hasErrorEvent: {
                      type: "boolean"
                    },
                    startTime: {
                      shape: "S2d"
                    },
                    streamId: {}
                  }
                }
              }
            }
          }
        },
        ListStreams: {
          http: {
            requestUri: "/ListStreams",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filterBy: {
                type: "structure",
                members: {
                  health: {}
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "streams"
            ],
            members: {
              nextToken: {},
              streams: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    channelArn: {},
                    health: {},
                    startTime: {
                      shape: "S24"
                    },
                    state: {},
                    streamId: {},
                    viewerCount: {
                      type: "long"
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "tags"
            ],
            members: {
              tags: {
                shape: "Sf"
              }
            }
          }
        },
        PutMetadata: {
          http: {
            requestUri: "/PutMetadata",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "channelArn",
              "metadata"
            ],
            members: {
              channelArn: {},
              metadata: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        StartViewerSessionRevocation: {
          http: {
            requestUri: "/StartViewerSessionRevocation",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "channelArn",
              "viewerId"
            ],
            members: {
              channelArn: {},
              viewerId: {},
              viewerSessionVersionsLessThanOrEqualTo: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StopStream: {
          http: {
            requestUri: "/StopStream",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "channelArn"
            ],
            members: {
              channelArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateChannel: {
          http: {
            requestUri: "/UpdateChannel",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              authorized: {
                type: "boolean"
              },
              insecureIngest: {
                type: "boolean"
              },
              latencyMode: {},
              name: {},
              preset: {},
              recordingConfigurationArn: {},
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              channel: {
                shape: "S6"
              }
            }
          }
        }
      },
      shapes: {
        S6: {
          type: "structure",
          members: {
            arn: {},
            authorized: {
              type: "boolean"
            },
            ingestEndpoint: {},
            insecureIngest: {
              type: "boolean"
            },
            latencyMode: {},
            name: {},
            playbackUrl: {},
            preset: {},
            recordingConfigurationArn: {},
            tags: {
              shape: "Sf"
            },
            type: {}
          }
        },
        Sf: {
          type: "map",
          key: {},
          value: {}
        },
        Sj: {
          type: "list",
          member: {
            type: "structure",
            members: {
              arn: {},
              code: {},
              message: {}
            }
          }
        },
        St: {
          type: "structure",
          members: {
            arn: {},
            channelArn: {},
            tags: {
              shape: "Sf"
            },
            value: {
              type: "string",
              sensitive: true
            }
          }
        },
        S17: {
          type: "structure",
          members: {
            s3: {
              type: "structure",
              required: [
                "bucketName"
              ],
              members: {
                bucketName: {}
              }
            }
          }
        },
        S1c: {
          type: "structure",
          members: {
            recordingMode: {},
            targetIntervalSeconds: {
              type: "long"
            }
          }
        },
        S1g: {
          type: "structure",
          required: [
            "arn",
            "destinationConfiguration",
            "state"
          ],
          members: {
            arn: {},
            destinationConfiguration: {
              shape: "S17"
            },
            name: {},
            recordingReconnectWindowSeconds: {
              type: "integer"
            },
            state: {},
            tags: {
              shape: "Sf"
            },
            thumbnailConfiguration: {
              shape: "S1c"
            }
          }
        },
        S1v: {
          type: "structure",
          members: {
            arn: {},
            fingerprint: {},
            name: {},
            tags: {
              shape: "Sf"
            }
          }
        },
        S24: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S2d: {
          type: "timestamp",
          timestampFormat: "iso8601"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ivs-2020-07-14.paginators.json
var require_ivs_2020_07_14_paginators = __commonJS({
  "node_modules/aws-sdk/apis/ivs-2020-07-14.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListChannels: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListPlaybackKeyPairs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListRecordingConfigurations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListStreamKeys: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListStreamSessions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListStreams: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/ivs.js
var require_ivs = __commonJS({
  "node_modules/aws-sdk/clients/ivs.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ivs"] = {};
    AWS2.IVS = Service.defineService("ivs", ["2020-07-14"]);
    Object.defineProperty(apiLoader.services["ivs"], "2020-07-14", {
      get: function get() {
        var model = require_ivs_2020_07_14_min();
        model.paginators = require_ivs_2020_07_14_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IVS;
  }
});

// node_modules/aws-sdk/apis/braket-2019-09-01.min.json
var require_braket_2019_09_01_min = __commonJS({
  "node_modules/aws-sdk/apis/braket-2019-09-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-09-01",
        endpointPrefix: "braket",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Braket",
        serviceId: "Braket",
        signatureVersion: "v4",
        signingName: "braket",
        uid: "braket-2019-09-01"
      },
      operations: {
        CancelJob: {
          http: {
            method: "PUT",
            requestUri: "/job/{jobArn}/cancel",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "jobArn"
            ],
            members: {
              jobArn: {
                location: "uri",
                locationName: "jobArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "cancellationStatus",
              "jobArn"
            ],
            members: {
              cancellationStatus: {},
              jobArn: {}
            }
          },
          idempotent: true
        },
        CancelQuantumTask: {
          http: {
            method: "PUT",
            requestUri: "/quantum-task/{quantumTaskArn}/cancel",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "clientToken",
              "quantumTaskArn"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              quantumTaskArn: {
                location: "uri",
                locationName: "quantumTaskArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "cancellationStatus",
              "quantumTaskArn"
            ],
            members: {
              cancellationStatus: {},
              quantumTaskArn: {}
            }
          },
          idempotent: true
        },
        CreateJob: {
          http: {
            requestUri: "/job",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "algorithmSpecification",
              "clientToken",
              "deviceConfig",
              "instanceConfig",
              "jobName",
              "outputDataConfig",
              "roleArn"
            ],
            members: {
              algorithmSpecification: {
                shape: "Sa"
              },
              checkpointConfig: {
                shape: "Sh"
              },
              clientToken: {
                idempotencyToken: true
              },
              deviceConfig: {
                shape: "Sj"
              },
              hyperParameters: {
                shape: "Sl"
              },
              inputDataConfig: {
                type: "list",
                member: {
                  shape: "So"
                }
              },
              instanceConfig: {
                shape: "Ss"
              },
              jobName: {},
              outputDataConfig: {
                shape: "Sx"
              },
              roleArn: {},
              stoppingCondition: {
                shape: "S10"
              },
              tags: {
                shape: "S12"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobArn"
            ],
            members: {
              jobArn: {}
            }
          }
        },
        CreateQuantumTask: {
          http: {
            requestUri: "/quantum-task",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "action",
              "clientToken",
              "deviceArn",
              "outputS3Bucket",
              "outputS3KeyPrefix",
              "shots"
            ],
            members: {
              action: {
                jsonvalue: true
              },
              clientToken: {
                idempotencyToken: true
              },
              deviceArn: {},
              deviceParameters: {
                jsonvalue: true
              },
              jobToken: {},
              outputS3Bucket: {},
              outputS3KeyPrefix: {},
              shots: {
                type: "long"
              },
              tags: {
                shape: "S12"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "quantumTaskArn"
            ],
            members: {
              quantumTaskArn: {}
            }
          }
        },
        GetDevice: {
          http: {
            method: "GET",
            requestUri: "/device/{deviceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "deviceArn"
            ],
            members: {
              deviceArn: {
                location: "uri",
                locationName: "deviceArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "deviceArn",
              "deviceCapabilities",
              "deviceName",
              "deviceStatus",
              "deviceType",
              "providerName"
            ],
            members: {
              deviceArn: {},
              deviceCapabilities: {
                jsonvalue: true
              },
              deviceName: {},
              deviceStatus: {},
              deviceType: {},
              providerName: {}
            }
          }
        },
        GetJob: {
          http: {
            method: "GET",
            requestUri: "/job/{jobArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "jobArn"
            ],
            members: {
              jobArn: {
                location: "uri",
                locationName: "jobArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "algorithmSpecification",
              "createdAt",
              "instanceConfig",
              "jobArn",
              "jobName",
              "outputDataConfig",
              "roleArn",
              "status"
            ],
            members: {
              algorithmSpecification: {
                shape: "Sa"
              },
              billableDuration: {
                type: "integer"
              },
              checkpointConfig: {
                shape: "Sh"
              },
              createdAt: {
                shape: "S1k"
              },
              deviceConfig: {
                shape: "Sj"
              },
              endedAt: {
                shape: "S1k"
              },
              events: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    eventType: {},
                    message: {},
                    timeOfEvent: {
                      shape: "S1k"
                    }
                  }
                }
              },
              failureReason: {},
              hyperParameters: {
                shape: "Sl"
              },
              inputDataConfig: {
                type: "list",
                member: {
                  shape: "So"
                }
              },
              instanceConfig: {
                shape: "Ss"
              },
              jobArn: {},
              jobName: {},
              outputDataConfig: {
                shape: "Sx"
              },
              roleArn: {},
              startedAt: {
                shape: "S1k"
              },
              status: {},
              stoppingCondition: {
                shape: "S10"
              },
              tags: {
                shape: "S12"
              }
            }
          }
        },
        GetQuantumTask: {
          http: {
            method: "GET",
            requestUri: "/quantum-task/{quantumTaskArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "quantumTaskArn"
            ],
            members: {
              quantumTaskArn: {
                location: "uri",
                locationName: "quantumTaskArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "createdAt",
              "deviceArn",
              "deviceParameters",
              "outputS3Bucket",
              "outputS3Directory",
              "quantumTaskArn",
              "shots",
              "status"
            ],
            members: {
              createdAt: {
                shape: "S1k"
              },
              deviceArn: {},
              deviceParameters: {
                jsonvalue: true
              },
              endedAt: {
                shape: "S1k"
              },
              failureReason: {},
              jobArn: {},
              outputS3Bucket: {},
              outputS3Directory: {},
              quantumTaskArn: {},
              shots: {
                type: "long"
              },
              status: {},
              tags: {
                shape: "S12"
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S12"
              }
            }
          }
        },
        SearchDevices: {
          http: {
            requestUri: "/devices",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "filters"
            ],
            members: {
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "values"
                  ],
                  members: {
                    name: {},
                    values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "devices"
            ],
            members: {
              devices: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "deviceArn",
                    "deviceName",
                    "deviceStatus",
                    "deviceType",
                    "providerName"
                  ],
                  members: {
                    deviceArn: {},
                    deviceName: {},
                    deviceStatus: {},
                    deviceType: {},
                    providerName: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        SearchJobs: {
          http: {
            requestUri: "/jobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "filters"
            ],
            members: {
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "operator",
                    "values"
                  ],
                  members: {
                    name: {},
                    operator: {},
                    values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "jobs"
            ],
            members: {
              jobs: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "createdAt",
                    "device",
                    "jobArn",
                    "jobName",
                    "status"
                  ],
                  members: {
                    createdAt: {
                      shape: "S1k"
                    },
                    device: {},
                    endedAt: {
                      shape: "S1k"
                    },
                    jobArn: {},
                    jobName: {},
                    startedAt: {
                      shape: "S1k"
                    },
                    status: {},
                    tags: {
                      shape: "S12"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        SearchQuantumTasks: {
          http: {
            requestUri: "/quantum-tasks",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "filters"
            ],
            members: {
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "operator",
                    "values"
                  ],
                  members: {
                    name: {},
                    operator: {},
                    values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "quantumTasks"
            ],
            members: {
              nextToken: {},
              quantumTasks: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "createdAt",
                    "deviceArn",
                    "outputS3Bucket",
                    "outputS3Directory",
                    "quantumTaskArn",
                    "shots",
                    "status"
                  ],
                  members: {
                    createdAt: {
                      shape: "S1k"
                    },
                    deviceArn: {},
                    endedAt: {
                      shape: "S1k"
                    },
                    outputS3Bucket: {},
                    outputS3Directory: {},
                    quantumTaskArn: {},
                    shots: {
                      type: "long"
                    },
                    status: {},
                    tags: {
                      shape: "S12"
                    }
                  }
                }
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S12"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        }
      },
      shapes: {
        Sa: {
          type: "structure",
          members: {
            containerImage: {
              type: "structure",
              required: [
                "uri"
              ],
              members: {
                uri: {}
              }
            },
            scriptModeConfig: {
              type: "structure",
              required: [
                "entryPoint",
                "s3Uri"
              ],
              members: {
                compressionType: {},
                entryPoint: {},
                s3Uri: {}
              }
            }
          }
        },
        Sh: {
          type: "structure",
          required: [
            "s3Uri"
          ],
          members: {
            localPath: {},
            s3Uri: {}
          }
        },
        Sj: {
          type: "structure",
          required: [
            "device"
          ],
          members: {
            device: {}
          }
        },
        Sl: {
          type: "map",
          key: {},
          value: {}
        },
        So: {
          type: "structure",
          required: [
            "channelName",
            "dataSource"
          ],
          members: {
            channelName: {},
            contentType: {},
            dataSource: {
              type: "structure",
              required: [
                "s3DataSource"
              ],
              members: {
                s3DataSource: {
                  type: "structure",
                  required: [
                    "s3Uri"
                  ],
                  members: {
                    s3Uri: {}
                  }
                }
              }
            }
          }
        },
        Ss: {
          type: "structure",
          required: [
            "instanceType",
            "volumeSizeInGb"
          ],
          members: {
            instanceCount: {
              type: "integer"
            },
            instanceType: {},
            volumeSizeInGb: {
              type: "integer"
            }
          }
        },
        Sx: {
          type: "structure",
          required: [
            "s3Path"
          ],
          members: {
            kmsKeyId: {},
            s3Path: {}
          }
        },
        S10: {
          type: "structure",
          members: {
            maxRuntimeInSeconds: {
              type: "integer"
            }
          }
        },
        S12: {
          type: "map",
          key: {},
          value: {}
        },
        S1k: {
          type: "timestamp",
          timestampFormat: "iso8601"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/braket-2019-09-01.paginators.json
var require_braket_2019_09_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/braket-2019-09-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        SearchDevices: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "devices"
        },
        SearchJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "jobs"
        },
        SearchQuantumTasks: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "quantumTasks"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/braket.js
var require_braket = __commonJS({
  "node_modules/aws-sdk/clients/braket.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["braket"] = {};
    AWS2.Braket = Service.defineService("braket", ["2019-09-01"]);
    Object.defineProperty(apiLoader.services["braket"], "2019-09-01", {
      get: function get() {
        var model = require_braket_2019_09_01_min();
        model.paginators = require_braket_2019_09_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Braket;
  }
});

// node_modules/aws-sdk/apis/identitystore-2020-06-15.min.json
var require_identitystore_2020_06_15_min = __commonJS({
  "node_modules/aws-sdk/apis/identitystore-2020-06-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-06-15",
        endpointPrefix: "identitystore",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "IdentityStore",
        serviceFullName: "AWS SSO Identity Store",
        serviceId: "identitystore",
        signatureVersion: "v4",
        signingName: "identitystore",
        targetPrefix: "AWSIdentityStore",
        uid: "identitystore-2020-06-15"
      },
      operations: {
        CreateGroup: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId"
            ],
            members: {
              IdentityStoreId: {},
              DisplayName: {
                shape: "S3"
              },
              Description: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "GroupId",
              "IdentityStoreId"
            ],
            members: {
              GroupId: {},
              IdentityStoreId: {}
            }
          }
        },
        CreateGroupMembership: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId",
              "GroupId",
              "MemberId"
            ],
            members: {
              IdentityStoreId: {},
              GroupId: {},
              MemberId: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "MembershipId",
              "IdentityStoreId"
            ],
            members: {
              MembershipId: {},
              IdentityStoreId: {}
            }
          }
        },
        CreateUser: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId"
            ],
            members: {
              IdentityStoreId: {},
              UserName: {
                shape: "Sb"
              },
              Name: {
                shape: "Sc"
              },
              DisplayName: {
                shape: "S4"
              },
              NickName: {
                shape: "S4"
              },
              ProfileUrl: {
                shape: "S4"
              },
              Emails: {
                shape: "Sd"
              },
              Addresses: {
                shape: "Sg"
              },
              PhoneNumbers: {
                shape: "Si"
              },
              UserType: {
                shape: "S4"
              },
              Title: {
                shape: "S4"
              },
              PreferredLanguage: {
                shape: "S4"
              },
              Locale: {
                shape: "S4"
              },
              Timezone: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UserId",
              "IdentityStoreId"
            ],
            members: {
              UserId: {},
              IdentityStoreId: {}
            }
          }
        },
        DeleteGroup: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId",
              "GroupId"
            ],
            members: {
              IdentityStoreId: {},
              GroupId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteGroupMembership: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId",
              "MembershipId"
            ],
            members: {
              IdentityStoreId: {},
              MembershipId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteUser: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId",
              "UserId"
            ],
            members: {
              IdentityStoreId: {},
              UserId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DescribeGroup: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId",
              "GroupId"
            ],
            members: {
              IdentityStoreId: {},
              GroupId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "GroupId",
              "IdentityStoreId"
            ],
            members: {
              GroupId: {},
              DisplayName: {
                shape: "S3"
              },
              ExternalIds: {
                shape: "St"
              },
              Description: {
                shape: "S4"
              },
              IdentityStoreId: {}
            }
          }
        },
        DescribeGroupMembership: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId",
              "MembershipId"
            ],
            members: {
              IdentityStoreId: {},
              MembershipId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "IdentityStoreId",
              "MembershipId",
              "GroupId",
              "MemberId"
            ],
            members: {
              IdentityStoreId: {},
              MembershipId: {},
              GroupId: {},
              MemberId: {
                shape: "S8"
              }
            }
          }
        },
        DescribeUser: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId",
              "UserId"
            ],
            members: {
              IdentityStoreId: {},
              UserId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "UserId",
              "IdentityStoreId"
            ],
            members: {
              UserName: {
                shape: "Sb"
              },
              UserId: {},
              ExternalIds: {
                shape: "St"
              },
              Name: {
                shape: "Sc"
              },
              DisplayName: {
                shape: "S4"
              },
              NickName: {
                shape: "S4"
              },
              ProfileUrl: {
                shape: "S4"
              },
              Emails: {
                shape: "Sd"
              },
              Addresses: {
                shape: "Sg"
              },
              PhoneNumbers: {
                shape: "Si"
              },
              UserType: {
                shape: "S4"
              },
              Title: {
                shape: "S4"
              },
              PreferredLanguage: {
                shape: "S4"
              },
              Locale: {
                shape: "S4"
              },
              Timezone: {
                shape: "S4"
              },
              IdentityStoreId: {}
            }
          }
        },
        GetGroupId: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId",
              "AlternateIdentifier"
            ],
            members: {
              IdentityStoreId: {},
              AlternateIdentifier: {
                shape: "S12"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "GroupId",
              "IdentityStoreId"
            ],
            members: {
              GroupId: {},
              IdentityStoreId: {}
            }
          }
        },
        GetGroupMembershipId: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId",
              "GroupId",
              "MemberId"
            ],
            members: {
              IdentityStoreId: {},
              GroupId: {},
              MemberId: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "MembershipId",
              "IdentityStoreId"
            ],
            members: {
              MembershipId: {},
              IdentityStoreId: {}
            }
          }
        },
        GetUserId: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId",
              "AlternateIdentifier"
            ],
            members: {
              IdentityStoreId: {},
              AlternateIdentifier: {
                shape: "S12"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UserId",
              "IdentityStoreId"
            ],
            members: {
              UserId: {},
              IdentityStoreId: {}
            }
          }
        },
        IsMemberInGroups: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId",
              "MemberId",
              "GroupIds"
            ],
            members: {
              IdentityStoreId: {},
              MemberId: {
                shape: "S8"
              },
              GroupIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Results"
            ],
            members: {
              Results: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    GroupId: {},
                    MemberId: {
                      shape: "S8"
                    },
                    MembershipExists: {
                      shape: "Sf"
                    }
                  }
                }
              }
            }
          }
        },
        ListGroupMemberships: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId",
              "GroupId"
            ],
            members: {
              IdentityStoreId: {},
              GroupId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "GroupMemberships"
            ],
            members: {
              GroupMemberships: {
                shape: "S1k"
              },
              NextToken: {}
            }
          }
        },
        ListGroupMembershipsForMember: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId",
              "MemberId"
            ],
            members: {
              IdentityStoreId: {},
              MemberId: {
                shape: "S8"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "GroupMemberships"
            ],
            members: {
              GroupMemberships: {
                shape: "S1k"
              },
              NextToken: {}
            }
          }
        },
        ListGroups: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId"
            ],
            members: {
              IdentityStoreId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "S1p",
                deprecated: true,
                deprecatedMessage: "Using filters with ListGroups API is deprecated, please use GetGroupId API instead."
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Groups"
            ],
            members: {
              Groups: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "GroupId",
                    "IdentityStoreId"
                  ],
                  members: {
                    GroupId: {},
                    DisplayName: {
                      shape: "S3"
                    },
                    ExternalIds: {
                      shape: "St"
                    },
                    Description: {
                      shape: "S4"
                    },
                    IdentityStoreId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListUsers: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId"
            ],
            members: {
              IdentityStoreId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                shape: "S1p",
                deprecated: true,
                deprecatedMessage: "Using filters with ListUsers API is deprecated, please use GetGroupId API instead."
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Users"
            ],
            members: {
              Users: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "UserId",
                    "IdentityStoreId"
                  ],
                  members: {
                    UserName: {
                      shape: "Sb"
                    },
                    UserId: {},
                    ExternalIds: {
                      shape: "St"
                    },
                    Name: {
                      shape: "Sc"
                    },
                    DisplayName: {
                      shape: "S4"
                    },
                    NickName: {
                      shape: "S4"
                    },
                    ProfileUrl: {
                      shape: "S4"
                    },
                    Emails: {
                      shape: "Sd"
                    },
                    Addresses: {
                      shape: "Sg"
                    },
                    PhoneNumbers: {
                      shape: "Si"
                    },
                    UserType: {
                      shape: "S4"
                    },
                    Title: {
                      shape: "S4"
                    },
                    PreferredLanguage: {
                      shape: "S4"
                    },
                    Locale: {
                      shape: "S4"
                    },
                    Timezone: {
                      shape: "S4"
                    },
                    IdentityStoreId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        UpdateGroup: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId",
              "GroupId",
              "Operations"
            ],
            members: {
              IdentityStoreId: {},
              GroupId: {},
              Operations: {
                shape: "S1z"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateUser: {
          input: {
            type: "structure",
            required: [
              "IdentityStoreId",
              "UserId",
              "Operations"
            ],
            members: {
              IdentityStoreId: {},
              UserId: {},
              Operations: {
                shape: "S1z"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S3: {
          type: "string",
          sensitive: true
        },
        S4: {
          type: "string",
          sensitive: true
        },
        S8: {
          type: "structure",
          members: {
            UserId: {}
          },
          union: true
        },
        Sb: {
          type: "string",
          sensitive: true
        },
        Sc: {
          type: "structure",
          members: {
            Formatted: {
              shape: "S4"
            },
            FamilyName: {
              shape: "S4"
            },
            GivenName: {
              shape: "S4"
            },
            MiddleName: {
              shape: "S4"
            },
            HonorificPrefix: {
              shape: "S4"
            },
            HonorificSuffix: {
              shape: "S4"
            }
          }
        },
        Sd: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Value: {
                shape: "S4"
              },
              Type: {
                shape: "S4"
              },
              Primary: {
                shape: "Sf"
              }
            }
          }
        },
        Sf: {
          type: "boolean",
          sensitive: true
        },
        Sg: {
          type: "list",
          member: {
            type: "structure",
            members: {
              StreetAddress: {
                shape: "S4"
              },
              Locality: {
                shape: "S4"
              },
              Region: {
                shape: "S4"
              },
              PostalCode: {
                shape: "S4"
              },
              Country: {
                shape: "S4"
              },
              Formatted: {
                shape: "S4"
              },
              Type: {
                shape: "S4"
              },
              Primary: {
                shape: "Sf"
              }
            }
          }
        },
        Si: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Value: {
                shape: "S4"
              },
              Type: {
                shape: "S4"
              },
              Primary: {
                shape: "Sf"
              }
            }
          }
        },
        St: {
          type: "list",
          member: {
            shape: "Su"
          }
        },
        Su: {
          type: "structure",
          required: [
            "Issuer",
            "Id"
          ],
          members: {
            Issuer: {
              type: "string",
              sensitive: true
            },
            Id: {
              type: "string",
              sensitive: true
            }
          }
        },
        S12: {
          type: "structure",
          members: {
            ExternalId: {
              shape: "Su"
            },
            UniqueAttribute: {
              type: "structure",
              required: [
                "AttributePath",
                "AttributeValue"
              ],
              members: {
                AttributePath: {},
                AttributeValue: {
                  shape: "S15"
                }
              }
            }
          },
          union: true
        },
        S15: {
          type: "structure",
          members: {},
          document: true
        },
        S1k: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "IdentityStoreId"
            ],
            members: {
              IdentityStoreId: {},
              MembershipId: {},
              GroupId: {},
              MemberId: {
                shape: "S8"
              }
            }
          }
        },
        S1p: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AttributePath",
              "AttributeValue"
            ],
            members: {
              AttributePath: {},
              AttributeValue: {
                shape: "S4"
              }
            }
          }
        },
        S1z: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AttributePath"
            ],
            members: {
              AttributePath: {},
              AttributeValue: {
                shape: "S15"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/identitystore-2020-06-15.paginators.json
var require_identitystore_2020_06_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/identitystore-2020-06-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListGroupMemberships: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "GroupMemberships"
        },
        ListGroupMembershipsForMember: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "GroupMemberships"
        },
        ListGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Groups"
        },
        ListUsers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Users"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/identitystore.js
var require_identitystore = __commonJS({
  "node_modules/aws-sdk/clients/identitystore.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["identitystore"] = {};
    AWS2.IdentityStore = Service.defineService("identitystore", ["2020-06-15"]);
    Object.defineProperty(apiLoader.services["identitystore"], "2020-06-15", {
      get: function get() {
        var model = require_identitystore_2020_06_15_min();
        model.paginators = require_identitystore_2020_06_15_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IdentityStore;
  }
});

// node_modules/aws-sdk/apis/appflow-2020-08-23.min.json
var require_appflow_2020_08_23_min = __commonJS({
  "node_modules/aws-sdk/apis/appflow-2020-08-23.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-08-23",
        endpointPrefix: "appflow",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Appflow",
        serviceId: "Appflow",
        signatureVersion: "v4",
        signingName: "appflow",
        uid: "appflow-2020-08-23"
      },
      operations: {
        CancelFlowExecutions: {
          http: {
            requestUri: "/cancel-flow-executions"
          },
          input: {
            type: "structure",
            required: [
              "flowName"
            ],
            members: {
              flowName: {},
              executionIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              invalidExecutions: {
                shape: "S3"
              }
            }
          }
        },
        CreateConnectorProfile: {
          http: {
            requestUri: "/create-connector-profile"
          },
          input: {
            type: "structure",
            required: [
              "connectorProfileName",
              "connectorType",
              "connectionMode",
              "connectorProfileConfig"
            ],
            members: {
              connectorProfileName: {},
              kmsArn: {},
              connectorType: {},
              connectorLabel: {},
              connectionMode: {},
              connectorProfileConfig: {
                shape: "Sc"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              connectorProfileArn: {}
            }
          }
        },
        CreateFlow: {
          http: {
            requestUri: "/create-flow"
          },
          input: {
            type: "structure",
            required: [
              "flowName",
              "triggerConfig",
              "sourceFlowConfig",
              "destinationFlowConfigList",
              "tasks"
            ],
            members: {
              flowName: {},
              description: {},
              kmsArn: {},
              triggerConfig: {
                shape: "S3d"
              },
              sourceFlowConfig: {
                shape: "S3n"
              },
              destinationFlowConfigList: {
                shape: "S4j"
              },
              tasks: {
                shape: "S5j"
              },
              tags: {
                shape: "S69"
              },
              metadataCatalogConfig: {
                shape: "S6c"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              flowArn: {},
              flowStatus: {}
            }
          }
        },
        DeleteConnectorProfile: {
          http: {
            requestUri: "/delete-connector-profile"
          },
          input: {
            type: "structure",
            required: [
              "connectorProfileName"
            ],
            members: {
              connectorProfileName: {},
              forceDelete: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteFlow: {
          http: {
            requestUri: "/delete-flow"
          },
          input: {
            type: "structure",
            required: [
              "flowName"
            ],
            members: {
              flowName: {},
              forceDelete: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeConnector: {
          http: {
            requestUri: "/describe-connector"
          },
          input: {
            type: "structure",
            required: [
              "connectorType"
            ],
            members: {
              connectorType: {},
              connectorLabel: {}
            }
          },
          output: {
            type: "structure",
            members: {
              connectorConfiguration: {
                shape: "S6q"
              }
            }
          }
        },
        DescribeConnectorEntity: {
          http: {
            requestUri: "/describe-connector-entity"
          },
          input: {
            type: "structure",
            required: [
              "connectorEntityName"
            ],
            members: {
              connectorEntityName: {},
              connectorType: {},
              connectorProfileName: {},
              apiVersion: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "connectorEntityFields"
            ],
            members: {
              connectorEntityFields: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "identifier"
                  ],
                  members: {
                    identifier: {},
                    parentIdentifier: {},
                    label: {},
                    isPrimaryKey: {
                      type: "boolean"
                    },
                    defaultValue: {},
                    isDeprecated: {
                      type: "boolean"
                    },
                    supportedFieldTypeDetails: {
                      type: "structure",
                      required: [
                        "v1"
                      ],
                      members: {
                        v1: {
                          type: "structure",
                          required: [
                            "fieldType",
                            "filterOperators"
                          ],
                          members: {
                            fieldType: {},
                            filterOperators: {
                              type: "list",
                              member: {}
                            },
                            supportedValues: {
                              type: "list",
                              member: {}
                            },
                            valueRegexPattern: {},
                            supportedDateFormat: {},
                            fieldValueRange: {
                              shape: "S90"
                            },
                            fieldLengthRange: {
                              shape: "S90"
                            }
                          }
                        }
                      }
                    },
                    description: {},
                    sourceProperties: {
                      type: "structure",
                      members: {
                        isRetrievable: {
                          type: "boolean"
                        },
                        isQueryable: {
                          type: "boolean"
                        },
                        isTimestampFieldForIncrementalQueries: {
                          type: "boolean"
                        }
                      }
                    },
                    destinationProperties: {
                      type: "structure",
                      members: {
                        isCreatable: {
                          type: "boolean"
                        },
                        isNullable: {
                          type: "boolean"
                        },
                        isUpsertable: {
                          type: "boolean"
                        },
                        isUpdatable: {
                          type: "boolean"
                        },
                        isDefaultedOnCreate: {
                          type: "boolean"
                        },
                        supportedWriteOperations: {
                          shape: "S8g"
                        }
                      }
                    },
                    customProperties: {
                      shape: "S4c"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeConnectorProfiles: {
          http: {
            requestUri: "/describe-connector-profiles"
          },
          input: {
            type: "structure",
            members: {
              connectorProfileNames: {
                type: "list",
                member: {}
              },
              connectorType: {},
              connectorLabel: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              connectorProfileDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    connectorProfileArn: {},
                    connectorProfileName: {},
                    connectorType: {},
                    connectorLabel: {},
                    connectionMode: {},
                    credentialsArn: {},
                    connectorProfileProperties: {
                      shape: "Sd"
                    },
                    createdAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    privateConnectionProvisioningState: {
                      type: "structure",
                      members: {
                        status: {},
                        failureMessage: {},
                        failureCause: {}
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeConnectors: {
          http: {
            requestUri: "/describe-connectors"
          },
          input: {
            type: "structure",
            members: {
              connectorTypes: {
                shape: "S6r"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              connectorConfigurations: {
                type: "map",
                key: {},
                value: {
                  shape: "S6q"
                }
              },
              connectors: {
                shape: "S9i"
              },
              nextToken: {}
            }
          }
        },
        DescribeFlow: {
          http: {
            requestUri: "/describe-flow"
          },
          input: {
            type: "structure",
            required: [
              "flowName"
            ],
            members: {
              flowName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              flowArn: {},
              description: {},
              flowName: {},
              kmsArn: {},
              flowStatus: {},
              flowStatusMessage: {},
              sourceFlowConfig: {
                shape: "S3n"
              },
              destinationFlowConfigList: {
                shape: "S4j"
              },
              lastRunExecutionDetails: {
                shape: "S9o"
              },
              triggerConfig: {
                shape: "S3d"
              },
              tasks: {
                shape: "S5j"
              },
              createdAt: {
                type: "timestamp"
              },
              lastUpdatedAt: {
                type: "timestamp"
              },
              createdBy: {},
              lastUpdatedBy: {},
              tags: {
                shape: "S69"
              },
              metadataCatalogConfig: {
                shape: "S6c"
              },
              lastRunMetadataCatalogDetails: {
                shape: "S9t"
              },
              schemaVersion: {
                type: "long"
              }
            }
          }
        },
        DescribeFlowExecutionRecords: {
          http: {
            requestUri: "/describe-flow-execution-records"
          },
          input: {
            type: "structure",
            required: [
              "flowName"
            ],
            members: {
              flowName: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              flowExecutions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    executionId: {},
                    executionStatus: {},
                    executionResult: {
                      type: "structure",
                      members: {
                        errorInfo: {
                          type: "structure",
                          members: {
                            putFailuresCount: {
                              type: "long"
                            },
                            executionMessage: {}
                          }
                        },
                        bytesProcessed: {
                          type: "long"
                        },
                        bytesWritten: {
                          type: "long"
                        },
                        recordsProcessed: {
                          type: "long"
                        }
                      }
                    },
                    startedAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    dataPullStartTime: {
                      type: "timestamp"
                    },
                    dataPullEndTime: {
                      type: "timestamp"
                    },
                    metadataCatalogDetails: {
                      shape: "S9t"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListConnectorEntities: {
          http: {
            requestUri: "/list-connector-entities"
          },
          input: {
            type: "structure",
            members: {
              connectorProfileName: {},
              connectorType: {},
              entitiesPath: {},
              apiVersion: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "connectorEntityMap"
            ],
            members: {
              connectorEntityMap: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "name"
                    ],
                    members: {
                      name: {},
                      label: {},
                      hasNestedEntities: {
                        type: "boolean"
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListConnectors: {
          http: {
            requestUri: "/list-connectors"
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              connectors: {
                shape: "S9i"
              },
              nextToken: {}
            }
          }
        },
        ListFlows: {
          http: {
            requestUri: "/list-flows"
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              flows: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    flowArn: {},
                    description: {},
                    flowName: {},
                    flowStatus: {},
                    sourceConnectorType: {},
                    sourceConnectorLabel: {},
                    destinationConnectorType: {},
                    destinationConnectorLabel: {},
                    triggerType: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    },
                    createdBy: {},
                    lastUpdatedBy: {},
                    tags: {
                      shape: "S69"
                    },
                    lastRunExecutionDetails: {
                      shape: "S9o"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S69"
              }
            }
          }
        },
        RegisterConnector: {
          http: {
            requestUri: "/register-connector"
          },
          input: {
            type: "structure",
            members: {
              connectorLabel: {},
              description: {},
              connectorProvisioningType: {},
              connectorProvisioningConfig: {
                shape: "S8i"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              connectorArn: {}
            }
          }
        },
        ResetConnectorMetadataCache: {
          http: {
            requestUri: "/reset-connector-metadata-cache"
          },
          input: {
            type: "structure",
            members: {
              connectorProfileName: {},
              connectorType: {},
              connectorEntityName: {},
              entitiesPath: {},
              apiVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartFlow: {
          http: {
            requestUri: "/start-flow"
          },
          input: {
            type: "structure",
            required: [
              "flowName"
            ],
            members: {
              flowName: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              flowArn: {},
              flowStatus: {},
              executionId: {}
            }
          }
        },
        StopFlow: {
          http: {
            requestUri: "/stop-flow"
          },
          input: {
            type: "structure",
            required: [
              "flowName"
            ],
            members: {
              flowName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              flowArn: {},
              flowStatus: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S69"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UnregisterConnector: {
          http: {
            requestUri: "/unregister-connector"
          },
          input: {
            type: "structure",
            required: [
              "connectorLabel"
            ],
            members: {
              connectorLabel: {},
              forceDelete: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateConnectorProfile: {
          http: {
            requestUri: "/update-connector-profile"
          },
          input: {
            type: "structure",
            required: [
              "connectorProfileName",
              "connectionMode",
              "connectorProfileConfig"
            ],
            members: {
              connectorProfileName: {},
              connectionMode: {},
              connectorProfileConfig: {
                shape: "Sc"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              connectorProfileArn: {}
            }
          }
        },
        UpdateConnectorRegistration: {
          http: {
            requestUri: "/update-connector-registration"
          },
          input: {
            type: "structure",
            required: [
              "connectorLabel"
            ],
            members: {
              connectorLabel: {},
              description: {},
              connectorProvisioningConfig: {
                shape: "S8i"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              connectorArn: {}
            }
          }
        },
        UpdateFlow: {
          http: {
            requestUri: "/update-flow"
          },
          input: {
            type: "structure",
            required: [
              "flowName",
              "triggerConfig",
              "sourceFlowConfig",
              "destinationFlowConfigList",
              "tasks"
            ],
            members: {
              flowName: {},
              description: {},
              triggerConfig: {
                shape: "S3d"
              },
              sourceFlowConfig: {
                shape: "S3n"
              },
              destinationFlowConfigList: {
                shape: "S4j"
              },
              tasks: {
                shape: "S5j"
              },
              metadataCatalogConfig: {
                shape: "S6c"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              flowStatus: {}
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {}
        },
        Sc: {
          type: "structure",
          required: [
            "connectorProfileProperties"
          ],
          members: {
            connectorProfileProperties: {
              shape: "Sd"
            },
            connectorProfileCredentials: {
              type: "structure",
              members: {
                Amplitude: {
                  type: "structure",
                  required: [
                    "apiKey",
                    "secretKey"
                  ],
                  members: {
                    apiKey: {
                      shape: "S1x"
                    },
                    secretKey: {
                      type: "string",
                      sensitive: true
                    }
                  }
                },
                Datadog: {
                  type: "structure",
                  required: [
                    "apiKey",
                    "applicationKey"
                  ],
                  members: {
                    apiKey: {
                      shape: "S1x"
                    },
                    applicationKey: {}
                  }
                },
                Dynatrace: {
                  type: "structure",
                  required: [
                    "apiToken"
                  ],
                  members: {
                    apiToken: {}
                  }
                },
                GoogleAnalytics: {
                  type: "structure",
                  required: [
                    "clientId",
                    "clientSecret"
                  ],
                  members: {
                    clientId: {},
                    clientSecret: {
                      shape: "S25"
                    },
                    accessToken: {
                      shape: "S26"
                    },
                    refreshToken: {},
                    oAuthRequest: {
                      shape: "S28"
                    }
                  }
                },
                Honeycode: {
                  type: "structure",
                  members: {
                    accessToken: {
                      shape: "S26"
                    },
                    refreshToken: {},
                    oAuthRequest: {
                      shape: "S28"
                    }
                  }
                },
                InforNexus: {
                  type: "structure",
                  required: [
                    "accessKeyId",
                    "userId",
                    "secretAccessKey",
                    "datakey"
                  ],
                  members: {
                    accessKeyId: {
                      type: "string",
                      sensitive: true
                    },
                    userId: {},
                    secretAccessKey: {},
                    datakey: {}
                  }
                },
                Marketo: {
                  type: "structure",
                  required: [
                    "clientId",
                    "clientSecret"
                  ],
                  members: {
                    clientId: {},
                    clientSecret: {
                      shape: "S25"
                    },
                    accessToken: {
                      shape: "S26"
                    },
                    oAuthRequest: {
                      shape: "S28"
                    }
                  }
                },
                Redshift: {
                  type: "structure",
                  members: {
                    username: {},
                    password: {
                      shape: "S2j"
                    }
                  }
                },
                Salesforce: {
                  type: "structure",
                  members: {
                    accessToken: {
                      shape: "S26"
                    },
                    refreshToken: {},
                    oAuthRequest: {
                      shape: "S28"
                    },
                    clientCredentialsArn: {
                      shape: "S2l"
                    },
                    oAuth2GrantType: {},
                    jwtToken: {
                      type: "string",
                      sensitive: true
                    }
                  }
                },
                ServiceNow: {
                  type: "structure",
                  required: [
                    "username",
                    "password"
                  ],
                  members: {
                    username: {},
                    password: {
                      shape: "S2j"
                    }
                  }
                },
                Singular: {
                  type: "structure",
                  required: [
                    "apiKey"
                  ],
                  members: {
                    apiKey: {
                      shape: "S1x"
                    }
                  }
                },
                Slack: {
                  type: "structure",
                  required: [
                    "clientId",
                    "clientSecret"
                  ],
                  members: {
                    clientId: {},
                    clientSecret: {
                      shape: "S25"
                    },
                    accessToken: {
                      shape: "S26"
                    },
                    oAuthRequest: {
                      shape: "S28"
                    }
                  }
                },
                Snowflake: {
                  type: "structure",
                  required: [
                    "username",
                    "password"
                  ],
                  members: {
                    username: {},
                    password: {
                      shape: "S2j"
                    }
                  }
                },
                Trendmicro: {
                  type: "structure",
                  required: [
                    "apiSecretKey"
                  ],
                  members: {
                    apiSecretKey: {
                      shape: "S2s"
                    }
                  }
                },
                Veeva: {
                  type: "structure",
                  required: [
                    "username",
                    "password"
                  ],
                  members: {
                    username: {},
                    password: {
                      shape: "S2j"
                    }
                  }
                },
                Zendesk: {
                  type: "structure",
                  required: [
                    "clientId",
                    "clientSecret"
                  ],
                  members: {
                    clientId: {},
                    clientSecret: {
                      shape: "S25"
                    },
                    accessToken: {
                      shape: "S26"
                    },
                    oAuthRequest: {
                      shape: "S28"
                    }
                  }
                },
                SAPOData: {
                  type: "structure",
                  members: {
                    basicAuthCredentials: {
                      shape: "S2w"
                    },
                    oAuthCredentials: {
                      type: "structure",
                      required: [
                        "clientId",
                        "clientSecret"
                      ],
                      members: {
                        clientId: {},
                        clientSecret: {
                          shape: "S25"
                        },
                        accessToken: {
                          shape: "S26"
                        },
                        refreshToken: {},
                        oAuthRequest: {
                          shape: "S28"
                        }
                      }
                    }
                  }
                },
                CustomConnector: {
                  type: "structure",
                  required: [
                    "authenticationType"
                  ],
                  members: {
                    authenticationType: {},
                    basic: {
                      shape: "S2w"
                    },
                    oauth2: {
                      type: "structure",
                      members: {
                        clientId: {},
                        clientSecret: {
                          shape: "S25"
                        },
                        accessToken: {
                          shape: "S26"
                        },
                        refreshToken: {},
                        oAuthRequest: {
                          shape: "S28"
                        }
                      }
                    },
                    apiKey: {
                      type: "structure",
                      required: [
                        "apiKey"
                      ],
                      members: {
                        apiKey: {
                          shape: "S1x"
                        },
                        apiSecretKey: {
                          shape: "S2s"
                        }
                      }
                    },
                    custom: {
                      type: "structure",
                      required: [
                        "customAuthenticationType"
                      ],
                      members: {
                        customAuthenticationType: {},
                        credentialsMap: {
                          type: "map",
                          key: {
                            type: "string",
                            sensitive: true
                          },
                          value: {
                            type: "string",
                            sensitive: true
                          }
                        }
                      }
                    }
                  }
                },
                Pardot: {
                  type: "structure",
                  members: {
                    accessToken: {
                      shape: "S26"
                    },
                    refreshToken: {},
                    oAuthRequest: {
                      shape: "S28"
                    },
                    clientCredentialsArn: {
                      shape: "S2l"
                    }
                  }
                }
              }
            }
          }
        },
        Sd: {
          type: "structure",
          members: {
            Amplitude: {
              type: "structure",
              members: {}
            },
            Datadog: {
              type: "structure",
              required: [
                "instanceUrl"
              ],
              members: {
                instanceUrl: {}
              }
            },
            Dynatrace: {
              type: "structure",
              required: [
                "instanceUrl"
              ],
              members: {
                instanceUrl: {}
              }
            },
            GoogleAnalytics: {
              type: "structure",
              members: {}
            },
            Honeycode: {
              type: "structure",
              members: {}
            },
            InforNexus: {
              type: "structure",
              required: [
                "instanceUrl"
              ],
              members: {
                instanceUrl: {}
              }
            },
            Marketo: {
              type: "structure",
              required: [
                "instanceUrl"
              ],
              members: {
                instanceUrl: {}
              }
            },
            Redshift: {
              type: "structure",
              required: [
                "bucketName",
                "roleArn"
              ],
              members: {
                databaseUrl: {},
                bucketName: {},
                bucketPrefix: {},
                roleArn: {},
                dataApiRoleArn: {},
                isRedshiftServerless: {
                  type: "boolean"
                },
                clusterIdentifier: {},
                workgroupName: {},
                databaseName: {}
              }
            },
            Salesforce: {
              type: "structure",
              members: {
                instanceUrl: {},
                isSandboxEnvironment: {
                  type: "boolean"
                },
                usePrivateLinkForMetadataAndAuthorization: {
                  type: "boolean"
                }
              }
            },
            ServiceNow: {
              type: "structure",
              required: [
                "instanceUrl"
              ],
              members: {
                instanceUrl: {}
              }
            },
            Singular: {
              type: "structure",
              members: {}
            },
            Slack: {
              type: "structure",
              required: [
                "instanceUrl"
              ],
              members: {
                instanceUrl: {}
              }
            },
            Snowflake: {
              type: "structure",
              required: [
                "warehouse",
                "stage",
                "bucketName"
              ],
              members: {
                warehouse: {},
                stage: {},
                bucketName: {},
                bucketPrefix: {},
                privateLinkServiceName: {},
                accountName: {},
                region: {}
              }
            },
            Trendmicro: {
              type: "structure",
              members: {}
            },
            Veeva: {
              type: "structure",
              required: [
                "instanceUrl"
              ],
              members: {
                instanceUrl: {}
              }
            },
            Zendesk: {
              type: "structure",
              required: [
                "instanceUrl"
              ],
              members: {
                instanceUrl: {}
              }
            },
            SAPOData: {
              type: "structure",
              required: [
                "applicationHostUrl",
                "applicationServicePath",
                "portNumber",
                "clientNumber"
              ],
              members: {
                applicationHostUrl: {},
                applicationServicePath: {},
                portNumber: {
                  type: "integer"
                },
                clientNumber: {},
                logonLanguage: {},
                privateLinkServiceName: {},
                oAuthProperties: {
                  type: "structure",
                  required: [
                    "tokenUrl",
                    "authCodeUrl",
                    "oAuthScopes"
                  ],
                  members: {
                    tokenUrl: {},
                    authCodeUrl: {},
                    oAuthScopes: {
                      shape: "S1i"
                    }
                  }
                },
                disableSSO: {
                  type: "boolean"
                }
              }
            },
            CustomConnector: {
              type: "structure",
              members: {
                profileProperties: {
                  type: "map",
                  key: {},
                  value: {}
                },
                oAuth2Properties: {
                  type: "structure",
                  required: [
                    "tokenUrl",
                    "oAuth2GrantType"
                  ],
                  members: {
                    tokenUrl: {},
                    oAuth2GrantType: {},
                    tokenUrlCustomProperties: {
                      type: "map",
                      key: {},
                      value: {}
                    }
                  }
                }
              }
            },
            Pardot: {
              type: "structure",
              members: {
                instanceUrl: {},
                isSandboxEnvironment: {
                  type: "boolean"
                },
                businessUnitId: {}
              }
            }
          }
        },
        S1i: {
          type: "list",
          member: {}
        },
        S1x: {
          type: "string",
          sensitive: true
        },
        S25: {
          type: "string",
          sensitive: true
        },
        S26: {
          type: "string",
          sensitive: true
        },
        S28: {
          type: "structure",
          members: {
            authCode: {},
            redirectUri: {}
          }
        },
        S2j: {
          type: "string",
          sensitive: true
        },
        S2l: {
          type: "string",
          sensitive: true
        },
        S2s: {
          type: "string",
          sensitive: true
        },
        S2w: {
          type: "structure",
          required: [
            "username",
            "password"
          ],
          members: {
            username: {},
            password: {
              shape: "S2j"
            }
          }
        },
        S3d: {
          type: "structure",
          required: [
            "triggerType"
          ],
          members: {
            triggerType: {},
            triggerProperties: {
              type: "structure",
              members: {
                Scheduled: {
                  type: "structure",
                  required: [
                    "scheduleExpression"
                  ],
                  members: {
                    scheduleExpression: {},
                    dataPullMode: {},
                    scheduleStartTime: {
                      type: "timestamp"
                    },
                    scheduleEndTime: {
                      type: "timestamp"
                    },
                    timezone: {},
                    scheduleOffset: {
                      type: "long"
                    },
                    firstExecutionFrom: {
                      type: "timestamp"
                    },
                    flowErrorDeactivationThreshold: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        S3n: {
          type: "structure",
          required: [
            "connectorType",
            "sourceConnectorProperties"
          ],
          members: {
            connectorType: {},
            apiVersion: {},
            connectorProfileName: {},
            sourceConnectorProperties: {
              type: "structure",
              members: {
                Amplitude: {
                  type: "structure",
                  required: [
                    "object"
                  ],
                  members: {
                    object: {}
                  }
                },
                Datadog: {
                  type: "structure",
                  required: [
                    "object"
                  ],
                  members: {
                    object: {}
                  }
                },
                Dynatrace: {
                  type: "structure",
                  required: [
                    "object"
                  ],
                  members: {
                    object: {}
                  }
                },
                GoogleAnalytics: {
                  type: "structure",
                  required: [
                    "object"
                  ],
                  members: {
                    object: {}
                  }
                },
                InforNexus: {
                  type: "structure",
                  required: [
                    "object"
                  ],
                  members: {
                    object: {}
                  }
                },
                Marketo: {
                  type: "structure",
                  required: [
                    "object"
                  ],
                  members: {
                    object: {}
                  }
                },
                S3: {
                  type: "structure",
                  required: [
                    "bucketName"
                  ],
                  members: {
                    bucketName: {},
                    bucketPrefix: {},
                    s3InputFormatConfig: {
                      type: "structure",
                      members: {
                        s3InputFileType: {}
                      }
                    }
                  }
                },
                Salesforce: {
                  type: "structure",
                  required: [
                    "object"
                  ],
                  members: {
                    object: {},
                    enableDynamicFieldUpdate: {
                      type: "boolean"
                    },
                    includeDeletedRecords: {
                      type: "boolean"
                    },
                    dataTransferApi: {}
                  }
                },
                ServiceNow: {
                  type: "structure",
                  required: [
                    "object"
                  ],
                  members: {
                    object: {}
                  }
                },
                Singular: {
                  type: "structure",
                  required: [
                    "object"
                  ],
                  members: {
                    object: {}
                  }
                },
                Slack: {
                  type: "structure",
                  required: [
                    "object"
                  ],
                  members: {
                    object: {}
                  }
                },
                Trendmicro: {
                  type: "structure",
                  required: [
                    "object"
                  ],
                  members: {
                    object: {}
                  }
                },
                Veeva: {
                  type: "structure",
                  required: [
                    "object"
                  ],
                  members: {
                    object: {},
                    documentType: {},
                    includeSourceFiles: {
                      type: "boolean"
                    },
                    includeRenditions: {
                      type: "boolean"
                    },
                    includeAllVersions: {
                      type: "boolean"
                    }
                  }
                },
                Zendesk: {
                  type: "structure",
                  required: [
                    "object"
                  ],
                  members: {
                    object: {}
                  }
                },
                SAPOData: {
                  type: "structure",
                  members: {
                    objectPath: {}
                  }
                },
                CustomConnector: {
                  type: "structure",
                  required: [
                    "entityName"
                  ],
                  members: {
                    entityName: {},
                    customProperties: {
                      shape: "S4c"
                    },
                    dataTransferApi: {
                      shape: "S4d"
                    }
                  }
                },
                Pardot: {
                  type: "structure",
                  required: [
                    "object"
                  ],
                  members: {
                    object: {}
                  }
                }
              }
            },
            incrementalPullConfig: {
              type: "structure",
              members: {
                datetimeTypeFieldName: {}
              }
            }
          }
        },
        S4c: {
          type: "map",
          key: {},
          value: {}
        },
        S4d: {
          type: "structure",
          members: {
            Name: {},
            Type: {}
          }
        },
        S4j: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "connectorType",
              "destinationConnectorProperties"
            ],
            members: {
              connectorType: {},
              apiVersion: {},
              connectorProfileName: {},
              destinationConnectorProperties: {
                type: "structure",
                members: {
                  Redshift: {
                    type: "structure",
                    required: [
                      "object",
                      "intermediateBucketName"
                    ],
                    members: {
                      object: {},
                      intermediateBucketName: {},
                      bucketPrefix: {},
                      errorHandlingConfig: {
                        shape: "S4n"
                      }
                    }
                  },
                  S3: {
                    type: "structure",
                    required: [
                      "bucketName"
                    ],
                    members: {
                      bucketName: {},
                      bucketPrefix: {},
                      s3OutputFormatConfig: {
                        type: "structure",
                        members: {
                          fileType: {},
                          prefixConfig: {
                            shape: "S4r"
                          },
                          aggregationConfig: {
                            shape: "S4w"
                          },
                          preserveSourceDataTyping: {
                            type: "boolean"
                          }
                        }
                      }
                    }
                  },
                  Salesforce: {
                    type: "structure",
                    required: [
                      "object"
                    ],
                    members: {
                      object: {},
                      idFieldNames: {
                        shape: "S51"
                      },
                      errorHandlingConfig: {
                        shape: "S4n"
                      },
                      writeOperationType: {},
                      dataTransferApi: {}
                    }
                  },
                  Snowflake: {
                    type: "structure",
                    required: [
                      "object",
                      "intermediateBucketName"
                    ],
                    members: {
                      object: {},
                      intermediateBucketName: {},
                      bucketPrefix: {},
                      errorHandlingConfig: {
                        shape: "S4n"
                      }
                    }
                  },
                  EventBridge: {
                    type: "structure",
                    required: [
                      "object"
                    ],
                    members: {
                      object: {},
                      errorHandlingConfig: {
                        shape: "S4n"
                      }
                    }
                  },
                  LookoutMetrics: {
                    type: "structure",
                    members: {}
                  },
                  Upsolver: {
                    type: "structure",
                    required: [
                      "bucketName",
                      "s3OutputFormatConfig"
                    ],
                    members: {
                      bucketName: {},
                      bucketPrefix: {},
                      s3OutputFormatConfig: {
                        type: "structure",
                        required: [
                          "prefixConfig"
                        ],
                        members: {
                          fileType: {},
                          prefixConfig: {
                            shape: "S4r"
                          },
                          aggregationConfig: {
                            shape: "S4w"
                          }
                        }
                      }
                    }
                  },
                  Honeycode: {
                    type: "structure",
                    required: [
                      "object"
                    ],
                    members: {
                      object: {},
                      errorHandlingConfig: {
                        shape: "S4n"
                      }
                    }
                  },
                  CustomerProfiles: {
                    type: "structure",
                    required: [
                      "domainName"
                    ],
                    members: {
                      domainName: {},
                      objectTypeName: {}
                    }
                  },
                  Zendesk: {
                    type: "structure",
                    required: [
                      "object"
                    ],
                    members: {
                      object: {},
                      idFieldNames: {
                        shape: "S51"
                      },
                      errorHandlingConfig: {
                        shape: "S4n"
                      },
                      writeOperationType: {}
                    }
                  },
                  Marketo: {
                    type: "structure",
                    required: [
                      "object"
                    ],
                    members: {
                      object: {},
                      errorHandlingConfig: {
                        shape: "S4n"
                      }
                    }
                  },
                  CustomConnector: {
                    type: "structure",
                    required: [
                      "entityName"
                    ],
                    members: {
                      entityName: {},
                      errorHandlingConfig: {
                        shape: "S4n"
                      },
                      writeOperationType: {},
                      idFieldNames: {
                        shape: "S51"
                      },
                      customProperties: {
                        shape: "S4c"
                      }
                    }
                  },
                  SAPOData: {
                    type: "structure",
                    required: [
                      "objectPath"
                    ],
                    members: {
                      objectPath: {},
                      successResponseHandlingConfig: {
                        type: "structure",
                        members: {
                          bucketPrefix: {},
                          bucketName: {}
                        }
                      },
                      idFieldNames: {
                        shape: "S51"
                      },
                      errorHandlingConfig: {
                        shape: "S4n"
                      },
                      writeOperationType: {}
                    }
                  }
                }
              }
            }
          }
        },
        S4n: {
          type: "structure",
          members: {
            failOnFirstDestinationError: {
              type: "boolean"
            },
            bucketPrefix: {},
            bucketName: {}
          }
        },
        S4r: {
          type: "structure",
          members: {
            prefixType: {},
            prefixFormat: {},
            pathPrefixHierarchy: {
              type: "list",
              member: {}
            }
          }
        },
        S4w: {
          type: "structure",
          members: {
            aggregationType: {},
            targetFileSize: {
              type: "long"
            }
          }
        },
        S51: {
          type: "list",
          member: {}
        },
        S5j: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "sourceFields",
              "taskType"
            ],
            members: {
              sourceFields: {
                type: "list",
                member: {}
              },
              connectorOperator: {
                type: "structure",
                members: {
                  Amplitude: {},
                  Datadog: {},
                  Dynatrace: {},
                  GoogleAnalytics: {},
                  InforNexus: {},
                  Marketo: {},
                  S3: {},
                  Salesforce: {},
                  ServiceNow: {},
                  Singular: {},
                  Slack: {},
                  Trendmicro: {},
                  Veeva: {},
                  Zendesk: {},
                  SAPOData: {},
                  CustomConnector: {},
                  Pardot: {}
                }
              },
              destinationField: {},
              taskType: {},
              taskProperties: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        S69: {
          type: "map",
          key: {},
          value: {}
        },
        S6c: {
          type: "structure",
          members: {
            glueDataCatalog: {
              type: "structure",
              required: [
                "roleArn",
                "databaseName",
                "tablePrefix"
              ],
              members: {
                roleArn: {},
                databaseName: {},
                tablePrefix: {}
              }
            }
          }
        },
        S6q: {
          type: "structure",
          members: {
            canUseAsSource: {
              type: "boolean"
            },
            canUseAsDestination: {
              type: "boolean"
            },
            supportedDestinationConnectors: {
              shape: "S6r"
            },
            supportedSchedulingFrequencies: {
              type: "list",
              member: {}
            },
            isPrivateLinkEnabled: {
              type: "boolean"
            },
            isPrivateLinkEndpointUrlRequired: {
              type: "boolean"
            },
            supportedTriggerTypes: {
              type: "list",
              member: {}
            },
            connectorMetadata: {
              type: "structure",
              members: {
                Amplitude: {
                  type: "structure",
                  members: {}
                },
                Datadog: {
                  type: "structure",
                  members: {}
                },
                Dynatrace: {
                  type: "structure",
                  members: {}
                },
                GoogleAnalytics: {
                  type: "structure",
                  members: {
                    oAuthScopes: {
                      shape: "S1i"
                    }
                  }
                },
                InforNexus: {
                  type: "structure",
                  members: {}
                },
                Marketo: {
                  type: "structure",
                  members: {}
                },
                Redshift: {
                  type: "structure",
                  members: {}
                },
                S3: {
                  type: "structure",
                  members: {}
                },
                Salesforce: {
                  type: "structure",
                  members: {
                    oAuthScopes: {
                      shape: "S1i"
                    },
                    dataTransferApis: {
                      type: "list",
                      member: {}
                    },
                    oauth2GrantTypesSupported: {
                      shape: "S76"
                    }
                  }
                },
                ServiceNow: {
                  type: "structure",
                  members: {}
                },
                Singular: {
                  type: "structure",
                  members: {}
                },
                Slack: {
                  type: "structure",
                  members: {
                    oAuthScopes: {
                      shape: "S1i"
                    }
                  }
                },
                Snowflake: {
                  type: "structure",
                  members: {
                    supportedRegions: {
                      type: "list",
                      member: {}
                    }
                  }
                },
                Trendmicro: {
                  type: "structure",
                  members: {}
                },
                Veeva: {
                  type: "structure",
                  members: {}
                },
                Zendesk: {
                  type: "structure",
                  members: {
                    oAuthScopes: {
                      shape: "S1i"
                    }
                  }
                },
                EventBridge: {
                  type: "structure",
                  members: {}
                },
                Upsolver: {
                  type: "structure",
                  members: {}
                },
                CustomerProfiles: {
                  type: "structure",
                  members: {}
                },
                Honeycode: {
                  type: "structure",
                  members: {
                    oAuthScopes: {
                      shape: "S1i"
                    }
                  }
                },
                SAPOData: {
                  type: "structure",
                  members: {}
                },
                Pardot: {
                  type: "structure",
                  members: {}
                }
              }
            },
            connectorType: {},
            connectorLabel: {},
            connectorDescription: {},
            connectorOwner: {},
            connectorName: {},
            connectorVersion: {},
            connectorArn: {},
            connectorModes: {
              shape: "S7q"
            },
            authenticationConfig: {
              type: "structure",
              members: {
                isBasicAuthSupported: {
                  type: "boolean"
                },
                isApiKeyAuthSupported: {
                  type: "boolean"
                },
                isOAuth2Supported: {
                  type: "boolean"
                },
                isCustomAuthSupported: {
                  type: "boolean"
                },
                oAuth2Defaults: {
                  type: "structure",
                  members: {
                    oauthScopes: {
                      shape: "S1i"
                    },
                    tokenUrls: {
                      type: "list",
                      member: {}
                    },
                    authCodeUrls: {
                      type: "list",
                      member: {}
                    },
                    oauth2GrantTypesSupported: {
                      shape: "S76"
                    },
                    oauth2CustomProperties: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          key: {},
                          isRequired: {
                            type: "boolean"
                          },
                          label: {},
                          description: {},
                          isSensitiveField: {
                            type: "boolean"
                          },
                          connectorSuppliedValues: {
                            shape: "S80"
                          },
                          type: {}
                        }
                      }
                    }
                  }
                },
                customAuthConfigs: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      customAuthenticationType: {},
                      authParameters: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            key: {},
                            isRequired: {
                              type: "boolean"
                            },
                            label: {},
                            description: {},
                            isSensitiveField: {
                              type: "boolean"
                            },
                            connectorSuppliedValues: {
                              shape: "S80"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            connectorRuntimeSettings: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  key: {},
                  dataType: {},
                  isRequired: {
                    type: "boolean"
                  },
                  label: {},
                  description: {},
                  scope: {},
                  connectorSuppliedValueOptions: {
                    type: "list",
                    member: {}
                  }
                }
              }
            },
            supportedApiVersions: {
              type: "list",
              member: {}
            },
            supportedOperators: {
              type: "list",
              member: {}
            },
            supportedWriteOperations: {
              shape: "S8g"
            },
            connectorProvisioningType: {},
            connectorProvisioningConfig: {
              shape: "S8i"
            },
            logoURL: {},
            registeredAt: {
              type: "timestamp"
            },
            registeredBy: {},
            supportedDataTransferTypes: {
              shape: "S8m"
            },
            supportedDataTransferApis: {
              type: "list",
              member: {
                shape: "S4d"
              }
            }
          }
        },
        S6r: {
          type: "list",
          member: {}
        },
        S76: {
          type: "list",
          member: {}
        },
        S7q: {
          type: "list",
          member: {}
        },
        S80: {
          type: "list",
          member: {}
        },
        S8g: {
          type: "list",
          member: {}
        },
        S8i: {
          type: "structure",
          members: {
            lambda: {
              type: "structure",
              required: [
                "lambdaArn"
              ],
              members: {
                lambdaArn: {}
              }
            }
          }
        },
        S8m: {
          type: "list",
          member: {}
        },
        S90: {
          type: "structure",
          members: {
            maximum: {
              type: "double"
            },
            minimum: {
              type: "double"
            }
          }
        },
        S9i: {
          type: "list",
          member: {
            type: "structure",
            members: {
              connectorDescription: {},
              connectorName: {},
              connectorOwner: {},
              connectorVersion: {},
              applicationType: {},
              connectorType: {},
              connectorLabel: {},
              registeredAt: {
                type: "timestamp"
              },
              registeredBy: {},
              connectorProvisioningType: {},
              connectorModes: {
                shape: "S7q"
              },
              supportedDataTransferTypes: {
                shape: "S8m"
              }
            }
          }
        },
        S9o: {
          type: "structure",
          members: {
            mostRecentExecutionMessage: {},
            mostRecentExecutionTime: {
              type: "timestamp"
            },
            mostRecentExecutionStatus: {}
          }
        },
        S9t: {
          type: "list",
          member: {
            type: "structure",
            members: {
              catalogType: {},
              tableName: {},
              tableRegistrationOutput: {
                shape: "S9w"
              },
              partitionRegistrationOutput: {
                shape: "S9w"
              }
            }
          }
        },
        S9w: {
          type: "structure",
          members: {
            message: {},
            result: {},
            status: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/appflow-2020-08-23.paginators.json
var require_appflow_2020_08_23_paginators = __commonJS({
  "node_modules/aws-sdk/apis/appflow-2020-08-23.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeConnectorProfiles: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        DescribeConnectors: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        DescribeFlowExecutionRecords: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListConnectors: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListFlows: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/appflow.js
var require_appflow = __commonJS({
  "node_modules/aws-sdk/clients/appflow.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["appflow"] = {};
    AWS2.Appflow = Service.defineService("appflow", ["2020-08-23"]);
    Object.defineProperty(apiLoader.services["appflow"], "2020-08-23", {
      get: function get() {
        var model = require_appflow_2020_08_23_min();
        model.paginators = require_appflow_2020_08_23_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Appflow;
  }
});

// node_modules/aws-sdk/apis/redshift-data-2019-12-20.min.json
var require_redshift_data_2019_12_20_min = __commonJS({
  "node_modules/aws-sdk/apis/redshift-data-2019-12-20.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-12-20",
        endpointPrefix: "redshift-data",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Redshift Data API Service",
        serviceId: "Redshift Data",
        signatureVersion: "v4",
        signingName: "redshift-data",
        targetPrefix: "RedshiftData",
        uid: "redshift-data-2019-12-20"
      },
      operations: {
        BatchExecuteStatement: {
          input: {
            type: "structure",
            required: [
              "Database",
              "Sqls"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              ClusterIdentifier: {},
              Database: {},
              DbUser: {},
              SecretArn: {},
              Sqls: {
                type: "list",
                member: {}
              },
              StatementName: {},
              WithEvent: {
                type: "boolean"
              },
              WorkgroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ClusterIdentifier: {},
              CreatedAt: {
                type: "timestamp"
              },
              Database: {},
              DbUser: {},
              Id: {},
              SecretArn: {},
              WorkgroupName: {}
            }
          }
        },
        CancelStatement: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                type: "boolean"
              }
            }
          }
        },
        DescribeStatement: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              ClusterIdentifier: {},
              CreatedAt: {
                type: "timestamp"
              },
              Database: {},
              DbUser: {},
              Duration: {
                type: "long"
              },
              Error: {},
              HasResultSet: {
                type: "boolean"
              },
              Id: {},
              QueryParameters: {
                shape: "Sj"
              },
              QueryString: {},
              RedshiftPid: {
                type: "long"
              },
              RedshiftQueryId: {
                type: "long"
              },
              ResultRows: {
                type: "long"
              },
              ResultSize: {
                type: "long"
              },
              SecretArn: {},
              Status: {},
              SubStatements: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Id"
                  ],
                  members: {
                    CreatedAt: {
                      type: "timestamp"
                    },
                    Duration: {
                      type: "long"
                    },
                    Error: {},
                    HasResultSet: {
                      type: "boolean"
                    },
                    Id: {},
                    QueryString: {},
                    RedshiftQueryId: {
                      type: "long"
                    },
                    ResultRows: {
                      type: "long"
                    },
                    ResultSize: {
                      type: "long"
                    },
                    Status: {},
                    UpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              UpdatedAt: {
                type: "timestamp"
              },
              WorkgroupName: {}
            }
          }
        },
        DescribeTable: {
          input: {
            type: "structure",
            required: [
              "Database"
            ],
            members: {
              ClusterIdentifier: {},
              ConnectedDatabase: {},
              Database: {},
              DbUser: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Schema: {},
              SecretArn: {},
              Table: {},
              WorkgroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ColumnList: {
                type: "list",
                member: {
                  shape: "Sv"
                }
              },
              NextToken: {},
              TableName: {}
            }
          }
        },
        ExecuteStatement: {
          input: {
            type: "structure",
            required: [
              "Database",
              "Sql"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              ClusterIdentifier: {},
              Database: {},
              DbUser: {},
              Parameters: {
                shape: "Sj"
              },
              SecretArn: {},
              Sql: {},
              StatementName: {},
              WithEvent: {
                type: "boolean"
              },
              WorkgroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ClusterIdentifier: {},
              CreatedAt: {
                type: "timestamp"
              },
              Database: {},
              DbUser: {},
              Id: {},
              SecretArn: {},
              WorkgroupName: {}
            }
          }
        },
        GetStatementResult: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Records"
            ],
            members: {
              ColumnMetadata: {
                type: "list",
                member: {
                  shape: "Sv"
                }
              },
              NextToken: {},
              Records: {
                type: "list",
                member: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      blobValue: {
                        type: "blob"
                      },
                      booleanValue: {
                        type: "boolean"
                      },
                      doubleValue: {
                        type: "double"
                      },
                      isNull: {
                        type: "boolean"
                      },
                      longValue: {
                        type: "long"
                      },
                      stringValue: {}
                    },
                    union: true
                  }
                }
              },
              TotalNumRows: {
                type: "long"
              }
            }
          }
        },
        ListDatabases: {
          input: {
            type: "structure",
            required: [
              "Database"
            ],
            members: {
              ClusterIdentifier: {},
              Database: {},
              DbUser: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              SecretArn: {},
              WorkgroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Databases: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListSchemas: {
          input: {
            type: "structure",
            required: [
              "Database"
            ],
            members: {
              ClusterIdentifier: {},
              ConnectedDatabase: {},
              Database: {},
              DbUser: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              SchemaPattern: {},
              SecretArn: {},
              WorkgroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Schemas: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ListStatements: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              RoleLevel: {
                type: "boolean"
              },
              StatementName: {},
              Status: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Statements"
            ],
            members: {
              NextToken: {},
              Statements: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Id"
                  ],
                  members: {
                    CreatedAt: {
                      type: "timestamp"
                    },
                    Id: {},
                    IsBatchStatement: {
                      type: "boolean"
                    },
                    QueryParameters: {
                      shape: "Sj"
                    },
                    QueryString: {},
                    QueryStrings: {
                      type: "list",
                      member: {}
                    },
                    SecretArn: {},
                    StatementName: {},
                    Status: {},
                    UpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListTables: {
          input: {
            type: "structure",
            required: [
              "Database"
            ],
            members: {
              ClusterIdentifier: {},
              ConnectedDatabase: {},
              Database: {},
              DbUser: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              SchemaPattern: {},
              SecretArn: {},
              TablePattern: {},
              WorkgroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Tables: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    schema: {},
                    type: {}
                  }
                }
              }
            }
          }
        }
      },
      shapes: {
        Sj: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "value"
            ],
            members: {
              name: {},
              value: {}
            }
          }
        },
        Sv: {
          type: "structure",
          members: {
            columnDefault: {},
            isCaseSensitive: {
              type: "boolean"
            },
            isCurrency: {
              type: "boolean"
            },
            isSigned: {
              type: "boolean"
            },
            label: {},
            length: {
              type: "integer"
            },
            name: {},
            nullable: {
              type: "integer"
            },
            precision: {
              type: "integer"
            },
            scale: {
              type: "integer"
            },
            schemaName: {},
            tableName: {},
            typeName: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/redshift-data-2019-12-20.paginators.json
var require_redshift_data_2019_12_20_paginators = __commonJS({
  "node_modules/aws-sdk/apis/redshift-data-2019-12-20.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeTable: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ColumnList"
        },
        GetStatementResult: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Records"
        },
        ListDatabases: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Databases"
        },
        ListSchemas: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Schemas"
        },
        ListStatements: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Statements"
        },
        ListTables: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Tables"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/redshiftdata.js
var require_redshiftdata = __commonJS({
  "node_modules/aws-sdk/clients/redshiftdata.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["redshiftdata"] = {};
    AWS2.RedshiftData = Service.defineService("redshiftdata", ["2019-12-20"]);
    Object.defineProperty(apiLoader.services["redshiftdata"], "2019-12-20", {
      get: function get() {
        var model = require_redshift_data_2019_12_20_min();
        model.paginators = require_redshift_data_2019_12_20_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.RedshiftData;
  }
});

// node_modules/aws-sdk/apis/sso-admin-2020-07-20.min.json
var require_sso_admin_2020_07_20_min = __commonJS({
  "node_modules/aws-sdk/apis/sso-admin-2020-07-20.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-07-20",
        endpointPrefix: "sso",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "SSO Admin",
        serviceFullName: "AWS Single Sign-On Admin",
        serviceId: "SSO Admin",
        signatureVersion: "v4",
        signingName: "sso",
        targetPrefix: "SWBExternalService",
        uid: "sso-admin-2020-07-20"
      },
      operations: {
        AttachCustomerManagedPolicyReferenceToPermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn",
              "CustomerManagedPolicyReference"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {},
              CustomerManagedPolicyReference: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AttachManagedPolicyToPermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn",
              "ManagedPolicyArn"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {},
              ManagedPolicyArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateAccountAssignment: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "TargetId",
              "TargetType",
              "PermissionSetArn",
              "PrincipalType",
              "PrincipalId"
            ],
            members: {
              InstanceArn: {},
              TargetId: {},
              TargetType: {},
              PermissionSetArn: {},
              PrincipalType: {},
              PrincipalId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AccountAssignmentCreationStatus: {
                shape: "Sh"
              }
            }
          }
        },
        CreateInstanceAccessControlAttributeConfiguration: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "InstanceAccessControlAttributeConfiguration"
            ],
            members: {
              InstanceArn: {},
              InstanceAccessControlAttributeConfiguration: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreatePermissionSet: {
          input: {
            type: "structure",
            required: [
              "Name",
              "InstanceArn"
            ],
            members: {
              Name: {},
              Description: {},
              InstanceArn: {},
              SessionDuration: {},
              RelayState: {},
              Tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PermissionSet: {
                shape: "S15"
              }
            }
          }
        },
        DeleteAccountAssignment: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "TargetId",
              "TargetType",
              "PermissionSetArn",
              "PrincipalType",
              "PrincipalId"
            ],
            members: {
              InstanceArn: {},
              TargetId: {},
              TargetType: {},
              PermissionSetArn: {},
              PrincipalType: {},
              PrincipalId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AccountAssignmentDeletionStatus: {
                shape: "Sh"
              }
            }
          }
        },
        DeleteInlinePolicyFromPermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteInstanceAccessControlAttributeConfiguration: {
          input: {
            type: "structure",
            required: [
              "InstanceArn"
            ],
            members: {
              InstanceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeletePermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeletePermissionsBoundaryFromPermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeAccountAssignmentCreationStatus: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "AccountAssignmentCreationRequestId"
            ],
            members: {
              InstanceArn: {},
              AccountAssignmentCreationRequestId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AccountAssignmentCreationStatus: {
                shape: "Sh"
              }
            }
          }
        },
        DescribeAccountAssignmentDeletionStatus: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "AccountAssignmentDeletionRequestId"
            ],
            members: {
              InstanceArn: {},
              AccountAssignmentDeletionRequestId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AccountAssignmentDeletionStatus: {
                shape: "Sh"
              }
            }
          }
        },
        DescribeInstanceAccessControlAttributeConfiguration: {
          input: {
            type: "structure",
            required: [
              "InstanceArn"
            ],
            members: {
              InstanceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {},
              StatusReason: {},
              InstanceAccessControlAttributeConfiguration: {
                shape: "Sn"
              }
            }
          }
        },
        DescribePermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PermissionSet: {
                shape: "S15"
              }
            }
          }
        },
        DescribePermissionSetProvisioningStatus: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "ProvisionPermissionSetRequestId"
            ],
            members: {
              InstanceArn: {},
              ProvisionPermissionSetRequestId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PermissionSetProvisioningStatus: {
                shape: "S1s"
              }
            }
          }
        },
        DetachCustomerManagedPolicyReferenceFromPermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn",
              "CustomerManagedPolicyReference"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {},
              CustomerManagedPolicyReference: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DetachManagedPolicyFromPermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn",
              "ManagedPolicyArn"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {},
              ManagedPolicyArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetInlinePolicyForPermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InlinePolicy: {}
            }
          }
        },
        GetPermissionsBoundaryForPermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PermissionsBoundary: {
                shape: "S23"
              }
            }
          }
        },
        ListAccountAssignmentCreationStatus: {
          input: {
            type: "structure",
            required: [
              "InstanceArn"
            ],
            members: {
              InstanceArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filter: {
                shape: "S27"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccountAssignmentsCreationStatus: {
                shape: "S29"
              },
              NextToken: {}
            }
          }
        },
        ListAccountAssignmentDeletionStatus: {
          input: {
            type: "structure",
            required: [
              "InstanceArn"
            ],
            members: {
              InstanceArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filter: {
                shape: "S27"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccountAssignmentsDeletionStatus: {
                shape: "S29"
              },
              NextToken: {}
            }
          }
        },
        ListAccountAssignments: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "AccountId",
              "PermissionSetArn"
            ],
            members: {
              InstanceArn: {},
              AccountId: {},
              PermissionSetArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AccountAssignments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AccountId: {},
                    PermissionSetArn: {},
                    PrincipalType: {},
                    PrincipalId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAccountsForProvisionedPermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {},
              ProvisioningStatus: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AccountIds: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListCustomerManagedPolicyReferencesInPermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CustomerManagedPolicyReferences: {
                type: "list",
                member: {
                  shape: "S4"
                }
              },
              NextToken: {}
            }
          }
        },
        ListInstances: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Instances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InstanceArn: {},
                    IdentityStoreId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListManagedPoliciesInPermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AttachedManagedPolicies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Arn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPermissionSetProvisioningStatus: {
          input: {
            type: "structure",
            required: [
              "InstanceArn"
            ],
            members: {
              InstanceArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filter: {
                shape: "S27"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PermissionSetsProvisioningStatus: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Status: {},
                    RequestId: {},
                    CreatedDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPermissionSets: {
          input: {
            type: "structure",
            required: [
              "InstanceArn"
            ],
            members: {
              InstanceArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PermissionSets: {
                shape: "S34"
              },
              NextToken: {}
            }
          }
        },
        ListPermissionSetsProvisionedToAccount: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "AccountId"
            ],
            members: {
              InstanceArn: {},
              AccountId: {},
              ProvisioningStatus: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              PermissionSets: {
                shape: "S34"
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "ResourceArn"
            ],
            members: {
              InstanceArn: {},
              ResourceArn: {},
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S10"
              },
              NextToken: {}
            }
          }
        },
        ProvisionPermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn",
              "TargetType"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {},
              TargetId: {},
              TargetType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PermissionSetProvisioningStatus: {
                shape: "S1s"
              }
            }
          }
        },
        PutInlinePolicyToPermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn",
              "InlinePolicy"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {},
              InlinePolicy: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutPermissionsBoundaryToPermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn",
              "PermissionsBoundary"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {},
              PermissionsBoundary: {
                shape: "S23"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "ResourceArn",
              "Tags"
            ],
            members: {
              InstanceArn: {},
              ResourceArn: {},
              Tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              InstanceArn: {},
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateInstanceAccessControlAttributeConfiguration: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "InstanceAccessControlAttributeConfiguration"
            ],
            members: {
              InstanceArn: {},
              InstanceAccessControlAttributeConfiguration: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdatePermissionSet: {
          input: {
            type: "structure",
            required: [
              "InstanceArn",
              "PermissionSetArn"
            ],
            members: {
              InstanceArn: {},
              PermissionSetArn: {},
              Description: {},
              SessionDuration: {},
              RelayState: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            Path: {}
          }
        },
        Sh: {
          type: "structure",
          members: {
            Status: {},
            RequestId: {},
            FailureReason: {},
            TargetId: {},
            TargetType: {},
            PermissionSetArn: {},
            PrincipalType: {},
            PrincipalId: {},
            CreatedDate: {
              type: "timestamp"
            }
          }
        },
        Sn: {
          type: "structure",
          required: [
            "AccessControlAttributes"
          ],
          members: {
            AccessControlAttributes: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Key",
                  "Value"
                ],
                members: {
                  Key: {},
                  Value: {
                    type: "structure",
                    required: [
                      "Source"
                    ],
                    members: {
                      Source: {
                        type: "list",
                        member: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S10: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S15: {
          type: "structure",
          members: {
            Name: {},
            PermissionSetArn: {},
            Description: {},
            CreatedDate: {
              type: "timestamp"
            },
            SessionDuration: {},
            RelayState: {}
          }
        },
        S1s: {
          type: "structure",
          members: {
            Status: {},
            RequestId: {},
            AccountId: {},
            PermissionSetArn: {},
            FailureReason: {},
            CreatedDate: {
              type: "timestamp"
            }
          }
        },
        S23: {
          type: "structure",
          members: {
            CustomerManagedPolicyReference: {
              shape: "S4"
            },
            ManagedPolicyArn: {}
          }
        },
        S27: {
          type: "structure",
          members: {
            Status: {}
          }
        },
        S29: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Status: {},
              RequestId: {},
              CreatedDate: {
                type: "timestamp"
              }
            }
          }
        },
        S34: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/sso-admin-2020-07-20.paginators.json
var require_sso_admin_2020_07_20_paginators = __commonJS({
  "node_modules/aws-sdk/apis/sso-admin-2020-07-20.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAccountAssignmentCreationStatus: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AccountAssignmentsCreationStatus"
        },
        ListAccountAssignmentDeletionStatus: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AccountAssignmentsDeletionStatus"
        },
        ListAccountAssignments: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AccountAssignments"
        },
        ListAccountsForProvisionedPermissionSet: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AccountIds"
        },
        ListCustomerManagedPolicyReferencesInPermissionSet: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "CustomerManagedPolicyReferences"
        },
        ListInstances: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Instances"
        },
        ListManagedPoliciesInPermissionSet: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "AttachedManagedPolicies"
        },
        ListPermissionSetProvisioningStatus: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PermissionSetsProvisioningStatus"
        },
        ListPermissionSets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PermissionSets"
        },
        ListPermissionSetsProvisionedToAccount: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "PermissionSets"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Tags"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/ssoadmin.js
var require_ssoadmin = __commonJS({
  "node_modules/aws-sdk/clients/ssoadmin.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ssoadmin"] = {};
    AWS2.SSOAdmin = Service.defineService("ssoadmin", ["2020-07-20"]);
    Object.defineProperty(apiLoader.services["ssoadmin"], "2020-07-20", {
      get: function get() {
        var model = require_sso_admin_2020_07_20_min();
        model.paginators = require_sso_admin_2020_07_20_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SSOAdmin;
  }
});

// node_modules/aws-sdk/apis/timestream-query-2018-11-01.min.json
var require_timestream_query_2018_11_01_min = __commonJS({
  "node_modules/aws-sdk/apis/timestream-query-2018-11-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-11-01",
        endpointPrefix: "query.timestream",
        jsonVersion: "1.0",
        protocol: "json",
        serviceAbbreviation: "Timestream Query",
        serviceFullName: "Amazon Timestream Query",
        serviceId: "Timestream Query",
        signatureVersion: "v4",
        signingName: "timestream",
        targetPrefix: "Timestream_20181101",
        uid: "timestream-query-2018-11-01"
      },
      operations: {
        CancelQuery: {
          input: {
            type: "structure",
            required: [
              "QueryId"
            ],
            members: {
              QueryId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CancellationMessage: {}
            }
          },
          endpointdiscovery: {
            required: true
          },
          idempotent: true
        },
        CreateScheduledQuery: {
          input: {
            type: "structure",
            required: [
              "Name",
              "QueryString",
              "ScheduleConfiguration",
              "NotificationConfiguration",
              "ScheduledQueryExecutionRoleArn",
              "ErrorReportConfiguration"
            ],
            members: {
              Name: {},
              QueryString: {
                shape: "S7"
              },
              ScheduleConfiguration: {
                shape: "S8"
              },
              NotificationConfiguration: {
                shape: "Sa"
              },
              TargetConfiguration: {
                shape: "Sd"
              },
              ClientToken: {
                shape: "Sr",
                idempotencyToken: true
              },
              ScheduledQueryExecutionRoleArn: {},
              Tags: {
                shape: "Ss"
              },
              KmsKeyId: {},
              ErrorReportConfiguration: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {}
            }
          },
          endpointdiscovery: {
            required: true
          },
          idempotent: true
        },
        DeleteScheduledQuery: {
          input: {
            type: "structure",
            required: [
              "ScheduledQueryArn"
            ],
            members: {
              ScheduledQueryArn: {}
            }
          },
          endpointdiscovery: {
            required: true
          },
          idempotent: true
        },
        DescribeEndpoints: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "Endpoints"
            ],
            members: {
              Endpoints: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Address",
                    "CachePeriodInMinutes"
                  ],
                  members: {
                    Address: {},
                    CachePeriodInMinutes: {
                      type: "long"
                    }
                  }
                }
              }
            }
          },
          endpointoperation: true
        },
        DescribeScheduledQuery: {
          input: {
            type: "structure",
            required: [
              "ScheduledQueryArn"
            ],
            members: {
              ScheduledQueryArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ScheduledQuery"
            ],
            members: {
              ScheduledQuery: {
                type: "structure",
                required: [
                  "Arn",
                  "Name",
                  "QueryString",
                  "State",
                  "ScheduleConfiguration",
                  "NotificationConfiguration"
                ],
                members: {
                  Arn: {},
                  Name: {},
                  QueryString: {
                    shape: "S7"
                  },
                  CreationTime: {
                    type: "timestamp"
                  },
                  State: {},
                  PreviousInvocationTime: {
                    type: "timestamp"
                  },
                  NextInvocationTime: {
                    type: "timestamp"
                  },
                  ScheduleConfiguration: {
                    shape: "S8"
                  },
                  NotificationConfiguration: {
                    shape: "Sa"
                  },
                  TargetConfiguration: {
                    shape: "Sd"
                  },
                  ScheduledQueryExecutionRoleArn: {},
                  KmsKeyId: {},
                  ErrorReportConfiguration: {
                    shape: "Sx"
                  },
                  LastRunSummary: {
                    shape: "S1e"
                  },
                  RecentlyFailedRuns: {
                    type: "list",
                    member: {
                      shape: "S1e"
                    }
                  }
                }
              }
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        ExecuteScheduledQuery: {
          input: {
            type: "structure",
            required: [
              "ScheduledQueryArn",
              "InvocationTime"
            ],
            members: {
              ScheduledQueryArn: {},
              InvocationTime: {
                type: "timestamp"
              },
              ClientToken: {
                shape: "Sr",
                idempotencyToken: true
              }
            }
          },
          endpointdiscovery: {
            required: true
          },
          idempotent: true
        },
        ListScheduledQueries: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ScheduledQueries"
            ],
            members: {
              ScheduledQueries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn",
                    "Name",
                    "State"
                  ],
                  members: {
                    Arn: {},
                    Name: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    State: {},
                    PreviousInvocationTime: {
                      type: "timestamp"
                    },
                    NextInvocationTime: {
                      type: "timestamp"
                    },
                    ErrorReportConfiguration: {
                      shape: "Sx"
                    },
                    TargetDestination: {
                      type: "structure",
                      members: {
                        TimestreamDestination: {
                          type: "structure",
                          members: {
                            DatabaseName: {},
                            TableName: {}
                          }
                        }
                      }
                    },
                    LastRunStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              Tags: {
                shape: "Ss"
              },
              NextToken: {}
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        PrepareQuery: {
          input: {
            type: "structure",
            required: [
              "QueryString"
            ],
            members: {
              QueryString: {
                shape: "S7"
              },
              ValidateOnly: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "QueryString",
              "Columns",
              "Parameters"
            ],
            members: {
              QueryString: {
                shape: "S7"
              },
              Columns: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Type: {
                      shape: "S24"
                    },
                    DatabaseName: {},
                    TableName: {},
                    Aliased: {
                      type: "boolean"
                    }
                  }
                }
              },
              Parameters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Type"
                  ],
                  members: {
                    Name: {},
                    Type: {
                      shape: "S24"
                    }
                  }
                }
              }
            }
          },
          endpointdiscovery: {
            required: true
          },
          idempotent: true
        },
        Query: {
          input: {
            type: "structure",
            required: [
              "QueryString"
            ],
            members: {
              QueryString: {
                shape: "S7"
              },
              ClientToken: {
                idempotencyToken: true,
                type: "string",
                sensitive: true
              },
              NextToken: {},
              MaxRows: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "QueryId",
              "Rows",
              "ColumnInfo"
            ],
            members: {
              QueryId: {},
              NextToken: {},
              Rows: {
                type: "list",
                member: {
                  shape: "S2g"
                }
              },
              ColumnInfo: {
                shape: "S27"
              },
              QueryStatus: {
                type: "structure",
                members: {
                  ProgressPercentage: {
                    type: "double"
                  },
                  CumulativeBytesScanned: {
                    type: "long"
                  },
                  CumulativeBytesMetered: {
                    type: "long"
                  }
                }
              }
            }
          },
          endpointdiscovery: {
            required: true
          },
          idempotent: true
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "Ss"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpointdiscovery: {
            required: true
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpointdiscovery: {
            required: true
          }
        },
        UpdateScheduledQuery: {
          input: {
            type: "structure",
            required: [
              "ScheduledQueryArn",
              "State"
            ],
            members: {
              ScheduledQueryArn: {},
              State: {}
            }
          },
          endpointdiscovery: {
            required: true
          }
        }
      },
      shapes: {
        S7: {
          type: "string",
          sensitive: true
        },
        S8: {
          type: "structure",
          required: [
            "ScheduleExpression"
          ],
          members: {
            ScheduleExpression: {}
          }
        },
        Sa: {
          type: "structure",
          required: [
            "SnsConfiguration"
          ],
          members: {
            SnsConfiguration: {
              type: "structure",
              required: [
                "TopicArn"
              ],
              members: {
                TopicArn: {}
              }
            }
          }
        },
        Sd: {
          type: "structure",
          required: [
            "TimestreamConfiguration"
          ],
          members: {
            TimestreamConfiguration: {
              type: "structure",
              required: [
                "DatabaseName",
                "TableName",
                "TimeColumn",
                "DimensionMappings"
              ],
              members: {
                DatabaseName: {},
                TableName: {},
                TimeColumn: {},
                DimensionMappings: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "Name",
                      "DimensionValueType"
                    ],
                    members: {
                      Name: {},
                      DimensionValueType: {}
                    }
                  }
                },
                MultiMeasureMappings: {
                  type: "structure",
                  required: [
                    "MultiMeasureAttributeMappings"
                  ],
                  members: {
                    TargetMultiMeasureName: {},
                    MultiMeasureAttributeMappings: {
                      shape: "Sl"
                    }
                  }
                },
                MixedMeasureMappings: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "MeasureValueType"
                    ],
                    members: {
                      MeasureName: {},
                      SourceColumn: {},
                      TargetMeasureName: {},
                      MeasureValueType: {},
                      MultiMeasureAttributeMappings: {
                        shape: "Sl"
                      }
                    }
                  }
                },
                MeasureNameColumn: {}
              }
            }
          }
        },
        Sl: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "SourceColumn",
              "MeasureValueType"
            ],
            members: {
              SourceColumn: {},
              TargetMultiMeasureAttributeName: {},
              MeasureValueType: {}
            }
          }
        },
        Sr: {
          type: "string",
          sensitive: true
        },
        Ss: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sx: {
          type: "structure",
          required: [
            "S3Configuration"
          ],
          members: {
            S3Configuration: {
              type: "structure",
              required: [
                "BucketName"
              ],
              members: {
                BucketName: {},
                ObjectKeyPrefix: {},
                EncryptionOption: {}
              }
            }
          }
        },
        S1e: {
          type: "structure",
          members: {
            InvocationTime: {
              type: "timestamp"
            },
            TriggerTime: {
              type: "timestamp"
            },
            RunStatus: {},
            ExecutionStats: {
              type: "structure",
              members: {
                ExecutionTimeInMillis: {
                  type: "long"
                },
                DataWrites: {
                  type: "long"
                },
                BytesMetered: {
                  type: "long"
                },
                RecordsIngested: {
                  type: "long"
                },
                QueryResultRows: {
                  type: "long"
                }
              }
            },
            ErrorReportLocation: {
              type: "structure",
              members: {
                S3ReportLocation: {
                  type: "structure",
                  members: {
                    BucketName: {},
                    ObjectKey: {}
                  }
                }
              }
            },
            FailureReason: {}
          }
        },
        S24: {
          type: "structure",
          members: {
            ScalarType: {},
            ArrayColumnInfo: {
              shape: "S26"
            },
            TimeSeriesMeasureValueColumnInfo: {
              shape: "S26"
            },
            RowColumnInfo: {
              shape: "S27"
            }
          }
        },
        S26: {
          type: "structure",
          required: [
            "Type"
          ],
          members: {
            Name: {},
            Type: {
              shape: "S24"
            }
          }
        },
        S27: {
          type: "list",
          member: {
            shape: "S26"
          }
        },
        S2g: {
          type: "structure",
          required: [
            "Data"
          ],
          members: {
            Data: {
              shape: "S2h"
            }
          }
        },
        S2h: {
          type: "list",
          member: {
            shape: "S2i"
          }
        },
        S2i: {
          type: "structure",
          members: {
            ScalarValue: {},
            TimeSeriesValue: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Time",
                  "Value"
                ],
                members: {
                  Time: {},
                  Value: {
                    shape: "S2i"
                  }
                }
              }
            },
            ArrayValue: {
              shape: "S2h"
            },
            RowValue: {
              shape: "S2g"
            },
            NullValue: {
              type: "boolean"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/timestream-query-2018-11-01.paginators.json
var require_timestream_query_2018_11_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/timestream-query-2018-11-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListScheduledQueries: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ScheduledQueries"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Tags"
        },
        Query: {
          input_token: "NextToken",
          limit_key: "MaxRows",
          non_aggregate_keys: [
            "ColumnInfo",
            "QueryId",
            "QueryStatus"
          ],
          output_token: "NextToken",
          result_key: "Rows"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/timestreamquery.js
var require_timestreamquery = __commonJS({
  "node_modules/aws-sdk/clients/timestreamquery.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["timestreamquery"] = {};
    AWS2.TimestreamQuery = Service.defineService("timestreamquery", ["2018-11-01"]);
    Object.defineProperty(apiLoader.services["timestreamquery"], "2018-11-01", {
      get: function get() {
        var model = require_timestream_query_2018_11_01_min();
        model.paginators = require_timestream_query_2018_11_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.TimestreamQuery;
  }
});

// node_modules/aws-sdk/apis/timestream-write-2018-11-01.min.json
var require_timestream_write_2018_11_01_min = __commonJS({
  "node_modules/aws-sdk/apis/timestream-write-2018-11-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-11-01",
        endpointPrefix: "ingest.timestream",
        jsonVersion: "1.0",
        protocol: "json",
        serviceAbbreviation: "Timestream Write",
        serviceFullName: "Amazon Timestream Write",
        serviceId: "Timestream Write",
        signatureVersion: "v4",
        signingName: "timestream",
        targetPrefix: "Timestream_20181101",
        uid: "timestream-write-2018-11-01"
      },
      operations: {
        CreateBatchLoadTask: {
          input: {
            type: "structure",
            required: [
              "DataSourceConfiguration",
              "ReportConfiguration",
              "TargetDatabaseName",
              "TargetTableName"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true,
                type: "string",
                sensitive: true
              },
              DataModelConfiguration: {
                shape: "S3"
              },
              DataSourceConfiguration: {
                shape: "Sk"
              },
              ReportConfiguration: {
                shape: "Sq"
              },
              TargetDatabaseName: {},
              TargetTableName: {},
              RecordVersion: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TaskId"
            ],
            members: {
              TaskId: {}
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        CreateDatabase: {
          input: {
            type: "structure",
            required: [
              "DatabaseName"
            ],
            members: {
              DatabaseName: {},
              KmsKeyId: {},
              Tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Database: {
                shape: "S15"
              }
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        CreateTable: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName"
            ],
            members: {
              DatabaseName: {},
              TableName: {},
              RetentionProperties: {
                shape: "S1b"
              },
              Tags: {
                shape: "S10"
              },
              MagneticStoreWriteProperties: {
                shape: "S1e"
              },
              Schema: {
                shape: "S1h"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Table: {
                shape: "S1n"
              }
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        DeleteDatabase: {
          input: {
            type: "structure",
            required: [
              "DatabaseName"
            ],
            members: {
              DatabaseName: {}
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        DeleteTable: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName"
            ],
            members: {
              DatabaseName: {},
              TableName: {}
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        DescribeBatchLoadTask: {
          input: {
            type: "structure",
            required: [
              "TaskId"
            ],
            members: {
              TaskId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "BatchLoadTaskDescription"
            ],
            members: {
              BatchLoadTaskDescription: {
                type: "structure",
                members: {
                  TaskId: {},
                  ErrorMessage: {},
                  DataSourceConfiguration: {
                    shape: "Sk"
                  },
                  ProgressReport: {
                    type: "structure",
                    members: {
                      RecordsProcessed: {
                        type: "long"
                      },
                      RecordsIngested: {
                        type: "long"
                      },
                      ParseFailures: {
                        type: "long"
                      },
                      RecordIngestionFailures: {
                        type: "long"
                      },
                      FileFailures: {
                        type: "long"
                      },
                      BytesMetered: {
                        type: "long"
                      }
                    }
                  },
                  ReportConfiguration: {
                    shape: "Sq"
                  },
                  DataModelConfiguration: {
                    shape: "S3"
                  },
                  TargetDatabaseName: {},
                  TargetTableName: {},
                  TaskStatus: {},
                  RecordVersion: {
                    type: "long"
                  },
                  CreationTime: {
                    type: "timestamp"
                  },
                  LastUpdatedTime: {
                    type: "timestamp"
                  },
                  ResumableUntil: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        DescribeDatabase: {
          input: {
            type: "structure",
            required: [
              "DatabaseName"
            ],
            members: {
              DatabaseName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Database: {
                shape: "S15"
              }
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        DescribeEndpoints: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "Endpoints"
            ],
            members: {
              Endpoints: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Address",
                    "CachePeriodInMinutes"
                  ],
                  members: {
                    Address: {},
                    CachePeriodInMinutes: {
                      type: "long"
                    }
                  }
                }
              }
            }
          },
          endpointoperation: true
        },
        DescribeTable: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName"
            ],
            members: {
              DatabaseName: {},
              TableName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Table: {
                shape: "S1n"
              }
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        ListBatchLoadTasks: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              TaskStatus: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              BatchLoadTasks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TaskId: {},
                    TaskStatus: {},
                    DatabaseName: {},
                    TableName: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastUpdatedTime: {
                      type: "timestamp"
                    },
                    ResumableUntil: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        ListDatabases: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Databases: {
                type: "list",
                member: {
                  shape: "S15"
                }
              },
              NextToken: {}
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        ListTables: {
          input: {
            type: "structure",
            members: {
              DatabaseName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tables: {
                type: "list",
                member: {
                  shape: "S1n"
                }
              },
              NextToken: {}
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S10"
              }
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        ResumeBatchLoadTask: {
          input: {
            type: "structure",
            required: [
              "TaskId"
            ],
            members: {
              TaskId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpointdiscovery: {
            required: true
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpointdiscovery: {
            required: true
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpointdiscovery: {
            required: true
          }
        },
        UpdateDatabase: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "KmsKeyId"
            ],
            members: {
              DatabaseName: {},
              KmsKeyId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Database: {
                shape: "S15"
              }
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        UpdateTable: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName"
            ],
            members: {
              DatabaseName: {},
              TableName: {},
              RetentionProperties: {
                shape: "S1b"
              },
              MagneticStoreWriteProperties: {
                shape: "S1e"
              },
              Schema: {
                shape: "S1h"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Table: {
                shape: "S1n"
              }
            }
          },
          endpointdiscovery: {
            required: true
          }
        },
        WriteRecords: {
          input: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName",
              "Records"
            ],
            members: {
              DatabaseName: {},
              TableName: {},
              CommonAttributes: {
                shape: "S2v"
              },
              Records: {
                type: "list",
                member: {
                  shape: "S2v"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RecordsIngested: {
                type: "structure",
                members: {
                  Total: {
                    type: "integer"
                  },
                  MemoryStore: {
                    type: "integer"
                  },
                  MagneticStore: {
                    type: "integer"
                  }
                }
              }
            }
          },
          endpointdiscovery: {
            required: true
          }
        }
      },
      shapes: {
        S3: {
          type: "structure",
          members: {
            DataModel: {
              type: "structure",
              required: [
                "DimensionMappings"
              ],
              members: {
                TimeColumn: {},
                TimeUnit: {},
                DimensionMappings: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      SourceColumn: {},
                      DestinationColumn: {}
                    }
                  }
                },
                MultiMeasureMappings: {
                  type: "structure",
                  required: [
                    "MultiMeasureAttributeMappings"
                  ],
                  members: {
                    TargetMultiMeasureName: {},
                    MultiMeasureAttributeMappings: {
                      shape: "Sb"
                    }
                  }
                },
                MixedMeasureMappings: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "MeasureValueType"
                    ],
                    members: {
                      MeasureName: {},
                      SourceColumn: {},
                      TargetMeasureName: {},
                      MeasureValueType: {},
                      MultiMeasureAttributeMappings: {
                        shape: "Sb"
                      }
                    }
                  }
                },
                MeasureNameColumn: {}
              }
            },
            DataModelS3Configuration: {
              type: "structure",
              members: {
                BucketName: {},
                ObjectKey: {}
              }
            }
          }
        },
        Sb: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "SourceColumn"
            ],
            members: {
              SourceColumn: {},
              TargetMultiMeasureAttributeName: {},
              MeasureValueType: {}
            }
          }
        },
        Sk: {
          type: "structure",
          required: [
            "DataSourceS3Configuration",
            "DataFormat"
          ],
          members: {
            DataSourceS3Configuration: {
              type: "structure",
              required: [
                "BucketName"
              ],
              members: {
                BucketName: {},
                ObjectKeyPrefix: {}
              }
            },
            CsvConfiguration: {
              type: "structure",
              members: {
                ColumnSeparator: {},
                EscapeChar: {},
                QuoteChar: {},
                NullValue: {},
                TrimWhiteSpace: {
                  type: "boolean"
                }
              }
            },
            DataFormat: {}
          }
        },
        Sq: {
          type: "structure",
          members: {
            ReportS3Configuration: {
              type: "structure",
              required: [
                "BucketName"
              ],
              members: {
                BucketName: {},
                ObjectKeyPrefix: {},
                EncryptionOption: {},
                KmsKeyId: {}
              }
            }
          }
        },
        S10: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S15: {
          type: "structure",
          members: {
            Arn: {},
            DatabaseName: {},
            TableCount: {
              type: "long"
            },
            KmsKeyId: {},
            CreationTime: {
              type: "timestamp"
            },
            LastUpdatedTime: {
              type: "timestamp"
            }
          }
        },
        S1b: {
          type: "structure",
          required: [
            "MemoryStoreRetentionPeriodInHours",
            "MagneticStoreRetentionPeriodInDays"
          ],
          members: {
            MemoryStoreRetentionPeriodInHours: {
              type: "long"
            },
            MagneticStoreRetentionPeriodInDays: {
              type: "long"
            }
          }
        },
        S1e: {
          type: "structure",
          required: [
            "EnableMagneticStoreWrites"
          ],
          members: {
            EnableMagneticStoreWrites: {
              type: "boolean"
            },
            MagneticStoreRejectedDataLocation: {
              type: "structure",
              members: {
                S3Configuration: {
                  type: "structure",
                  members: {
                    BucketName: {},
                    ObjectKeyPrefix: {},
                    EncryptionOption: {},
                    KmsKeyId: {}
                  }
                }
              }
            }
          }
        },
        S1h: {
          type: "structure",
          members: {
            CompositePartitionKey: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Type"
                ],
                members: {
                  Type: {},
                  Name: {},
                  EnforcementInRecord: {}
                }
              }
            }
          }
        },
        S1n: {
          type: "structure",
          members: {
            Arn: {},
            TableName: {},
            DatabaseName: {},
            TableStatus: {},
            RetentionProperties: {
              shape: "S1b"
            },
            CreationTime: {
              type: "timestamp"
            },
            LastUpdatedTime: {
              type: "timestamp"
            },
            MagneticStoreWriteProperties: {
              shape: "S1e"
            },
            Schema: {
              shape: "S1h"
            }
          }
        },
        S2v: {
          type: "structure",
          members: {
            Dimensions: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name",
                  "Value"
                ],
                members: {
                  Name: {},
                  Value: {},
                  DimensionValueType: {}
                }
              }
            },
            MeasureName: {},
            MeasureValue: {},
            MeasureValueType: {},
            Time: {},
            TimeUnit: {},
            Version: {
              type: "long"
            },
            MeasureValues: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name",
                  "Value",
                  "Type"
                ],
                members: {
                  Name: {},
                  Value: {},
                  Type: {}
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/timestream-write-2018-11-01.paginators.json
var require_timestream_write_2018_11_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/timestream-write-2018-11-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListBatchLoadTasks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDatabases: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListTables: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/timestreamwrite.js
var require_timestreamwrite = __commonJS({
  "node_modules/aws-sdk/clients/timestreamwrite.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["timestreamwrite"] = {};
    AWS2.TimestreamWrite = Service.defineService("timestreamwrite", ["2018-11-01"]);
    Object.defineProperty(apiLoader.services["timestreamwrite"], "2018-11-01", {
      get: function get() {
        var model = require_timestream_write_2018_11_01_min();
        model.paginators = require_timestream_write_2018_11_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.TimestreamWrite;
  }
});

// node_modules/aws-sdk/apis/s3outposts-2017-07-25.min.json
var require_s3outposts_2017_07_25_min = __commonJS({
  "node_modules/aws-sdk/apis/s3outposts-2017-07-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-07-25",
        endpointPrefix: "s3-outposts",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Amazon S3 Outposts",
        serviceFullName: "Amazon S3 on Outposts",
        serviceId: "S3Outposts",
        signatureVersion: "v4",
        signingName: "s3-outposts",
        uid: "s3outposts-2017-07-25"
      },
      operations: {
        CreateEndpoint: {
          http: {
            requestUri: "/S3Outposts/CreateEndpoint"
          },
          input: {
            type: "structure",
            required: [
              "OutpostId",
              "SubnetId",
              "SecurityGroupId"
            ],
            members: {
              OutpostId: {},
              SubnetId: {},
              SecurityGroupId: {},
              AccessType: {},
              CustomerOwnedIpv4Pool: {}
            }
          },
          output: {
            type: "structure",
            members: {
              EndpointArn: {}
            }
          }
        },
        DeleteEndpoint: {
          http: {
            method: "DELETE",
            requestUri: "/S3Outposts/DeleteEndpoint"
          },
          input: {
            type: "structure",
            required: [
              "EndpointId",
              "OutpostId"
            ],
            members: {
              EndpointId: {
                location: "querystring",
                locationName: "endpointId"
              },
              OutpostId: {
                location: "querystring",
                locationName: "outpostId"
              }
            }
          }
        },
        ListEndpoints: {
          http: {
            method: "GET",
            requestUri: "/S3Outposts/ListEndpoints"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Endpoints: {
                shape: "Sf"
              },
              NextToken: {}
            }
          }
        },
        ListOutpostsWithS3: {
          http: {
            method: "GET",
            requestUri: "/S3Outposts/ListOutpostsWithS3"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Outposts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    OutpostArn: {},
                    OutpostId: {},
                    OwnerId: {},
                    CapacityInBytes: {
                      type: "long"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSharedEndpoints: {
          http: {
            method: "GET",
            requestUri: "/S3Outposts/ListSharedEndpoints"
          },
          input: {
            type: "structure",
            required: [
              "OutpostId"
            ],
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              OutpostId: {
                location: "querystring",
                locationName: "outpostId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Endpoints: {
                shape: "Sf"
              },
              NextToken: {}
            }
          }
        }
      },
      shapes: {
        Sf: {
          type: "list",
          member: {
            type: "structure",
            members: {
              EndpointArn: {},
              OutpostsId: {},
              CidrBlock: {},
              Status: {},
              CreationTime: {
                type: "timestamp"
              },
              NetworkInterfaces: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    NetworkInterfaceId: {}
                  }
                }
              },
              VpcId: {},
              SubnetId: {},
              SecurityGroupId: {},
              AccessType: {},
              CustomerOwnedIpv4Pool: {},
              FailedReason: {
                type: "structure",
                members: {
                  ErrorCode: {},
                  Message: {}
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/s3outposts-2017-07-25.paginators.json
var require_s3outposts_2017_07_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/s3outposts-2017-07-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListEndpoints: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Endpoints"
        },
        ListOutpostsWithS3: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Outposts"
        },
        ListSharedEndpoints: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Endpoints"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/s3outposts.js
var require_s3outposts = __commonJS({
  "node_modules/aws-sdk/clients/s3outposts.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["s3outposts"] = {};
    AWS2.S3Outposts = Service.defineService("s3outposts", ["2017-07-25"]);
    Object.defineProperty(apiLoader.services["s3outposts"], "2017-07-25", {
      get: function get() {
        var model = require_s3outposts_2017_07_25_min();
        model.paginators = require_s3outposts_2017_07_25_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.S3Outposts;
  }
});

// node_modules/aws-sdk/apis/databrew-2017-07-25.min.json
var require_databrew_2017_07_25_min = __commonJS({
  "node_modules/aws-sdk/apis/databrew-2017-07-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-07-25",
        endpointPrefix: "databrew",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Glue DataBrew",
        serviceId: "DataBrew",
        signatureVersion: "v4",
        signingName: "databrew",
        uid: "databrew-2017-07-25"
      },
      operations: {
        BatchDeleteRecipeVersion: {
          http: {
            requestUri: "/recipes/{name}/batchDeleteRecipeVersion"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "RecipeVersions"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              RecipeVersions: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ErrorCode: {},
                    ErrorMessage: {},
                    RecipeVersion: {}
                  }
                }
              }
            }
          }
        },
        CreateDataset: {
          http: {
            requestUri: "/datasets"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "Input"
            ],
            members: {
              Name: {},
              Format: {},
              FormatOptions: {
                shape: "Sd"
              },
              Input: {
                shape: "So"
              },
              PathOptions: {
                shape: "S13"
              },
              Tags: {
                shape: "S1m"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        CreateProfileJob: {
          http: {
            requestUri: "/profileJobs"
          },
          input: {
            type: "structure",
            required: [
              "DatasetName",
              "Name",
              "OutputLocation",
              "RoleArn"
            ],
            members: {
              DatasetName: {},
              EncryptionKeyArn: {},
              EncryptionMode: {},
              Name: {},
              LogSubscription: {},
              MaxCapacity: {
                type: "integer"
              },
              MaxRetries: {
                type: "integer"
              },
              OutputLocation: {
                shape: "Sp"
              },
              Configuration: {
                shape: "S1x"
              },
              ValidationConfigurations: {
                shape: "S2g"
              },
              RoleArn: {},
              Tags: {
                shape: "S1m"
              },
              Timeout: {
                type: "integer"
              },
              JobSample: {
                shape: "S2k"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        CreateProject: {
          http: {
            requestUri: "/projects"
          },
          input: {
            type: "structure",
            required: [
              "DatasetName",
              "Name",
              "RecipeName",
              "RoleArn"
            ],
            members: {
              DatasetName: {},
              Name: {},
              RecipeName: {},
              Sample: {
                shape: "S2q"
              },
              RoleArn: {},
              Tags: {
                shape: "S1m"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        CreateRecipe: {
          http: {
            requestUri: "/recipes"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "Steps"
            ],
            members: {
              Description: {},
              Name: {},
              Steps: {
                shape: "S2w"
              },
              Tags: {
                shape: "S1m"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        CreateRecipeJob: {
          http: {
            requestUri: "/recipeJobs"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "RoleArn"
            ],
            members: {
              DatasetName: {},
              EncryptionKeyArn: {},
              EncryptionMode: {},
              Name: {},
              LogSubscription: {},
              MaxCapacity: {
                type: "integer"
              },
              MaxRetries: {
                type: "integer"
              },
              Outputs: {
                shape: "S36"
              },
              DataCatalogOutputs: {
                shape: "S3f"
              },
              DatabaseOutputs: {
                shape: "S3j"
              },
              ProjectName: {},
              RecipeReference: {
                shape: "S3m"
              },
              RoleArn: {},
              Tags: {
                shape: "S1m"
              },
              Timeout: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        CreateRuleset: {
          http: {
            requestUri: "/rulesets"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "TargetArn",
              "Rules"
            ],
            members: {
              Name: {},
              Description: {},
              TargetArn: {},
              Rules: {
                shape: "S3r"
              },
              Tags: {
                shape: "S1m"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        CreateSchedule: {
          http: {
            requestUri: "/schedules"
          },
          input: {
            type: "structure",
            required: [
              "CronExpression",
              "Name"
            ],
            members: {
              JobNames: {
                shape: "S41"
              },
              CronExpression: {},
              Tags: {
                shape: "S1m"
              },
              Name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        DeleteDataset: {
          http: {
            method: "DELETE",
            requestUri: "/datasets/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        DeleteJob: {
          http: {
            method: "DELETE",
            requestUri: "/jobs/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        DeleteProject: {
          http: {
            method: "DELETE",
            requestUri: "/projects/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        DeleteRecipeVersion: {
          http: {
            method: "DELETE",
            requestUri: "/recipes/{name}/recipeVersion/{recipeVersion}"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "RecipeVersion"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              RecipeVersion: {
                location: "uri",
                locationName: "recipeVersion"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name",
              "RecipeVersion"
            ],
            members: {
              Name: {},
              RecipeVersion: {}
            }
          }
        },
        DeleteRuleset: {
          http: {
            method: "DELETE",
            requestUri: "/rulesets/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        DeleteSchedule: {
          http: {
            method: "DELETE",
            requestUri: "/schedules/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        DescribeDataset: {
          http: {
            method: "GET",
            requestUri: "/datasets/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name",
              "Input"
            ],
            members: {
              CreatedBy: {},
              CreateDate: {
                type: "timestamp"
              },
              Name: {},
              Format: {},
              FormatOptions: {
                shape: "Sd"
              },
              Input: {
                shape: "So"
              },
              LastModifiedDate: {
                type: "timestamp"
              },
              LastModifiedBy: {},
              Source: {},
              PathOptions: {
                shape: "S13"
              },
              Tags: {
                shape: "S1m"
              },
              ResourceArn: {}
            }
          }
        },
        DescribeJob: {
          http: {
            method: "GET",
            requestUri: "/jobs/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              CreateDate: {
                type: "timestamp"
              },
              CreatedBy: {},
              DatasetName: {},
              EncryptionKeyArn: {},
              EncryptionMode: {},
              Name: {},
              Type: {},
              LastModifiedBy: {},
              LastModifiedDate: {
                type: "timestamp"
              },
              LogSubscription: {},
              MaxCapacity: {
                type: "integer"
              },
              MaxRetries: {
                type: "integer"
              },
              Outputs: {
                shape: "S36"
              },
              DataCatalogOutputs: {
                shape: "S3f"
              },
              DatabaseOutputs: {
                shape: "S3j"
              },
              ProjectName: {},
              ProfileConfiguration: {
                shape: "S1x"
              },
              ValidationConfigurations: {
                shape: "S2g"
              },
              RecipeReference: {
                shape: "S3m"
              },
              ResourceArn: {},
              RoleArn: {},
              Tags: {
                shape: "S1m"
              },
              Timeout: {
                type: "integer"
              },
              JobSample: {
                shape: "S2k"
              }
            }
          }
        },
        DescribeJobRun: {
          http: {
            method: "GET",
            requestUri: "/jobs/{name}/jobRun/{runId}"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "RunId"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              RunId: {
                location: "uri",
                locationName: "runId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "JobName"
            ],
            members: {
              Attempt: {
                type: "integer"
              },
              CompletedOn: {
                type: "timestamp"
              },
              DatasetName: {},
              ErrorMessage: {},
              ExecutionTime: {
                type: "integer"
              },
              JobName: {},
              ProfileConfiguration: {
                shape: "S1x"
              },
              ValidationConfigurations: {
                shape: "S2g"
              },
              RunId: {},
              State: {},
              LogSubscription: {},
              LogGroupName: {},
              Outputs: {
                shape: "S36"
              },
              DataCatalogOutputs: {
                shape: "S3f"
              },
              DatabaseOutputs: {
                shape: "S3j"
              },
              RecipeReference: {
                shape: "S3m"
              },
              StartedBy: {},
              StartedOn: {
                type: "timestamp"
              },
              JobSample: {
                shape: "S2k"
              }
            }
          }
        },
        DescribeProject: {
          http: {
            method: "GET",
            requestUri: "/projects/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              CreateDate: {
                type: "timestamp"
              },
              CreatedBy: {},
              DatasetName: {},
              LastModifiedDate: {
                type: "timestamp"
              },
              LastModifiedBy: {},
              Name: {},
              RecipeName: {},
              ResourceArn: {},
              Sample: {
                shape: "S2q"
              },
              RoleArn: {},
              Tags: {
                shape: "S1m"
              },
              SessionStatus: {},
              OpenedBy: {},
              OpenDate: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeRecipe: {
          http: {
            method: "GET",
            requestUri: "/recipes/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              RecipeVersion: {
                location: "querystring",
                locationName: "recipeVersion"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              CreatedBy: {},
              CreateDate: {
                type: "timestamp"
              },
              LastModifiedBy: {},
              LastModifiedDate: {
                type: "timestamp"
              },
              ProjectName: {},
              PublishedBy: {},
              PublishedDate: {
                type: "timestamp"
              },
              Description: {},
              Name: {},
              Steps: {
                shape: "S2w"
              },
              Tags: {
                shape: "S1m"
              },
              ResourceArn: {},
              RecipeVersion: {}
            }
          }
        },
        DescribeRuleset: {
          http: {
            method: "GET",
            requestUri: "/rulesets/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              TargetArn: {},
              Rules: {
                shape: "S3r"
              },
              CreateDate: {
                type: "timestamp"
              },
              CreatedBy: {},
              LastModifiedBy: {},
              LastModifiedDate: {
                type: "timestamp"
              },
              ResourceArn: {},
              Tags: {
                shape: "S1m"
              }
            }
          }
        },
        DescribeSchedule: {
          http: {
            method: "GET",
            requestUri: "/schedules/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              CreateDate: {
                type: "timestamp"
              },
              CreatedBy: {},
              JobNames: {
                shape: "S41"
              },
              LastModifiedBy: {},
              LastModifiedDate: {
                type: "timestamp"
              },
              ResourceArn: {},
              CronExpression: {},
              Tags: {
                shape: "S1m"
              },
              Name: {}
            }
          }
        },
        ListDatasets: {
          http: {
            method: "GET",
            requestUri: "/datasets"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Datasets"
            ],
            members: {
              Datasets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Input"
                  ],
                  members: {
                    AccountId: {},
                    CreatedBy: {},
                    CreateDate: {
                      type: "timestamp"
                    },
                    Name: {},
                    Format: {},
                    FormatOptions: {
                      shape: "Sd"
                    },
                    Input: {
                      shape: "So"
                    },
                    LastModifiedDate: {
                      type: "timestamp"
                    },
                    LastModifiedBy: {},
                    Source: {},
                    PathOptions: {
                      shape: "S13"
                    },
                    Tags: {
                      shape: "S1m"
                    },
                    ResourceArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListJobRuns: {
          http: {
            method: "GET",
            requestUri: "/jobs/{name}/jobRuns"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "JobRuns"
            ],
            members: {
              JobRuns: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Attempt: {
                      type: "integer"
                    },
                    CompletedOn: {
                      type: "timestamp"
                    },
                    DatasetName: {},
                    ErrorMessage: {},
                    ExecutionTime: {
                      type: "integer"
                    },
                    JobName: {},
                    RunId: {},
                    State: {},
                    LogSubscription: {},
                    LogGroupName: {},
                    Outputs: {
                      shape: "S36"
                    },
                    DataCatalogOutputs: {
                      shape: "S3f"
                    },
                    DatabaseOutputs: {
                      shape: "S3j"
                    },
                    RecipeReference: {
                      shape: "S3m"
                    },
                    StartedBy: {},
                    StartedOn: {
                      type: "timestamp"
                    },
                    JobSample: {
                      shape: "S2k"
                    },
                    ValidationConfigurations: {
                      shape: "S2g"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListJobs: {
          http: {
            method: "GET",
            requestUri: "/jobs"
          },
          input: {
            type: "structure",
            members: {
              DatasetName: {
                location: "querystring",
                locationName: "datasetName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              ProjectName: {
                location: "querystring",
                locationName: "projectName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Jobs"
            ],
            members: {
              Jobs: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name"
                  ],
                  members: {
                    AccountId: {},
                    CreatedBy: {},
                    CreateDate: {
                      type: "timestamp"
                    },
                    DatasetName: {},
                    EncryptionKeyArn: {},
                    EncryptionMode: {},
                    Name: {},
                    Type: {},
                    LastModifiedBy: {},
                    LastModifiedDate: {
                      type: "timestamp"
                    },
                    LogSubscription: {},
                    MaxCapacity: {
                      type: "integer"
                    },
                    MaxRetries: {
                      type: "integer"
                    },
                    Outputs: {
                      shape: "S36"
                    },
                    DataCatalogOutputs: {
                      shape: "S3f"
                    },
                    DatabaseOutputs: {
                      shape: "S3j"
                    },
                    ProjectName: {},
                    RecipeReference: {
                      shape: "S3m"
                    },
                    ResourceArn: {},
                    RoleArn: {},
                    Timeout: {
                      type: "integer"
                    },
                    Tags: {
                      shape: "S1m"
                    },
                    JobSample: {
                      shape: "S2k"
                    },
                    ValidationConfigurations: {
                      shape: "S2g"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListProjects: {
          http: {
            method: "GET",
            requestUri: "/projects"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Projects"
            ],
            members: {
              Projects: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "RecipeName"
                  ],
                  members: {
                    AccountId: {},
                    CreateDate: {
                      type: "timestamp"
                    },
                    CreatedBy: {},
                    DatasetName: {},
                    LastModifiedDate: {
                      type: "timestamp"
                    },
                    LastModifiedBy: {},
                    Name: {},
                    RecipeName: {},
                    ResourceArn: {},
                    Sample: {
                      shape: "S2q"
                    },
                    Tags: {
                      shape: "S1m"
                    },
                    RoleArn: {},
                    OpenedBy: {},
                    OpenDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListRecipeVersions: {
          http: {
            method: "GET",
            requestUri: "/recipeVersions"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              Name: {
                location: "querystring",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Recipes"
            ],
            members: {
              NextToken: {},
              Recipes: {
                shape: "S5v"
              }
            }
          }
        },
        ListRecipes: {
          http: {
            method: "GET",
            requestUri: "/recipes"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              RecipeVersion: {
                location: "querystring",
                locationName: "recipeVersion"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Recipes"
            ],
            members: {
              Recipes: {
                shape: "S5v"
              },
              NextToken: {}
            }
          }
        },
        ListRulesets: {
          http: {
            method: "GET",
            requestUri: "/rulesets"
          },
          input: {
            type: "structure",
            members: {
              TargetArn: {
                location: "querystring",
                locationName: "targetArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Rulesets"
            ],
            members: {
              Rulesets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "TargetArn"
                  ],
                  members: {
                    AccountId: {},
                    CreatedBy: {},
                    CreateDate: {
                      type: "timestamp"
                    },
                    Description: {},
                    LastModifiedBy: {},
                    LastModifiedDate: {
                      type: "timestamp"
                    },
                    Name: {},
                    ResourceArn: {},
                    RuleCount: {
                      type: "integer"
                    },
                    Tags: {
                      shape: "S1m"
                    },
                    TargetArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSchedules: {
          http: {
            method: "GET",
            requestUri: "/schedules"
          },
          input: {
            type: "structure",
            members: {
              JobName: {
                location: "querystring",
                locationName: "jobName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Schedules"
            ],
            members: {
              Schedules: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name"
                  ],
                  members: {
                    AccountId: {},
                    CreatedBy: {},
                    CreateDate: {
                      type: "timestamp"
                    },
                    JobNames: {
                      shape: "S41"
                    },
                    LastModifiedBy: {},
                    LastModifiedDate: {
                      type: "timestamp"
                    },
                    ResourceArn: {},
                    CronExpression: {},
                    Tags: {
                      shape: "S1m"
                    },
                    Name: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S1m"
              }
            }
          }
        },
        PublishRecipe: {
          http: {
            requestUri: "/recipes/{name}/publishRecipe"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Description: {},
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        SendProjectSessionAction: {
          http: {
            method: "PUT",
            requestUri: "/projects/{name}/sendProjectSessionAction"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Preview: {
                type: "boolean"
              },
              Name: {
                location: "uri",
                locationName: "name"
              },
              RecipeStep: {
                shape: "S2x"
              },
              StepIndex: {
                type: "integer"
              },
              ClientSessionId: {
                shape: "S6f"
              },
              ViewFrame: {
                type: "structure",
                required: [
                  "StartColumnIndex"
                ],
                members: {
                  StartColumnIndex: {
                    type: "integer"
                  },
                  ColumnRange: {
                    type: "integer"
                  },
                  HiddenColumns: {
                    type: "list",
                    member: {}
                  },
                  StartRowIndex: {
                    type: "integer"
                  },
                  RowRange: {
                    type: "integer"
                  },
                  Analytics: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Result: {},
              Name: {},
              ActionId: {
                type: "integer"
              }
            }
          }
        },
        StartJobRun: {
          http: {
            requestUri: "/jobs/{name}/startJobRun"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "RunId"
            ],
            members: {
              RunId: {}
            }
          }
        },
        StartProjectSession: {
          http: {
            method: "PUT",
            requestUri: "/projects/{name}/startProjectSession"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              AssumeControl: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              ClientSessionId: {
                shape: "S6f"
              }
            }
          }
        },
        StopJobRun: {
          http: {
            requestUri: "/jobs/{name}/jobRun/{runId}/stopJobRun"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "RunId"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              RunId: {
                location: "uri",
                locationName: "runId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "RunId"
            ],
            members: {
              RunId: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "S1m"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDataset: {
          http: {
            method: "PUT",
            requestUri: "/datasets/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "Input"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              Format: {},
              FormatOptions: {
                shape: "Sd"
              },
              Input: {
                shape: "So"
              },
              PathOptions: {
                shape: "S13"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        UpdateProfileJob: {
          http: {
            method: "PUT",
            requestUri: "/profileJobs/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "OutputLocation",
              "RoleArn"
            ],
            members: {
              Configuration: {
                shape: "S1x"
              },
              EncryptionKeyArn: {},
              EncryptionMode: {},
              Name: {
                location: "uri",
                locationName: "name"
              },
              LogSubscription: {},
              MaxCapacity: {
                type: "integer"
              },
              MaxRetries: {
                type: "integer"
              },
              OutputLocation: {
                shape: "Sp"
              },
              ValidationConfigurations: {
                shape: "S2g"
              },
              RoleArn: {},
              Timeout: {
                type: "integer"
              },
              JobSample: {
                shape: "S2k"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        UpdateProject: {
          http: {
            method: "PUT",
            requestUri: "/projects/{name}"
          },
          input: {
            type: "structure",
            required: [
              "RoleArn",
              "Name"
            ],
            members: {
              Sample: {
                shape: "S2q"
              },
              RoleArn: {},
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              LastModifiedDate: {
                type: "timestamp"
              },
              Name: {}
            }
          }
        },
        UpdateRecipe: {
          http: {
            method: "PUT",
            requestUri: "/recipes/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Description: {},
              Name: {
                location: "uri",
                locationName: "name"
              },
              Steps: {
                shape: "S2w"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        UpdateRecipeJob: {
          http: {
            method: "PUT",
            requestUri: "/recipeJobs/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "RoleArn"
            ],
            members: {
              EncryptionKeyArn: {},
              EncryptionMode: {},
              Name: {
                location: "uri",
                locationName: "name"
              },
              LogSubscription: {},
              MaxCapacity: {
                type: "integer"
              },
              MaxRetries: {
                type: "integer"
              },
              Outputs: {
                shape: "S36"
              },
              DataCatalogOutputs: {
                shape: "S3f"
              },
              DatabaseOutputs: {
                shape: "S3j"
              },
              RoleArn: {},
              Timeout: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        UpdateRuleset: {
          http: {
            method: "PUT",
            requestUri: "/rulesets/{name}"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "Rules"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "name"
              },
              Description: {},
              Rules: {
                shape: "S3r"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        UpdateSchedule: {
          http: {
            method: "PUT",
            requestUri: "/schedules/{name}"
          },
          input: {
            type: "structure",
            required: [
              "CronExpression",
              "Name"
            ],
            members: {
              JobNames: {
                shape: "S41"
              },
              CronExpression: {},
              Name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        }
      },
      shapes: {
        Sd: {
          type: "structure",
          members: {
            Json: {
              type: "structure",
              members: {
                MultiLine: {
                  type: "boolean"
                }
              }
            },
            Excel: {
              type: "structure",
              members: {
                SheetNames: {
                  type: "list",
                  member: {}
                },
                SheetIndexes: {
                  type: "list",
                  member: {
                    type: "integer"
                  }
                },
                HeaderRow: {
                  type: "boolean"
                }
              }
            },
            Csv: {
              type: "structure",
              members: {
                Delimiter: {},
                HeaderRow: {
                  type: "boolean"
                }
              }
            }
          }
        },
        So: {
          type: "structure",
          members: {
            S3InputDefinition: {
              shape: "Sp"
            },
            DataCatalogInputDefinition: {
              type: "structure",
              required: [
                "DatabaseName",
                "TableName"
              ],
              members: {
                CatalogId: {},
                DatabaseName: {},
                TableName: {},
                TempDirectory: {
                  shape: "Sp"
                }
              }
            },
            DatabaseInputDefinition: {
              type: "structure",
              required: [
                "GlueConnectionName"
              ],
              members: {
                GlueConnectionName: {},
                DatabaseTableName: {},
                TempDirectory: {
                  shape: "Sp"
                },
                QueryString: {}
              }
            },
            Metadata: {
              type: "structure",
              members: {
                SourceArn: {}
              }
            }
          }
        },
        Sp: {
          type: "structure",
          required: [
            "Bucket"
          ],
          members: {
            Bucket: {},
            Key: {},
            BucketOwner: {}
          }
        },
        S13: {
          type: "structure",
          members: {
            LastModifiedDateCondition: {
              shape: "S14"
            },
            FilesLimit: {
              type: "structure",
              required: [
                "MaxFiles"
              ],
              members: {
                MaxFiles: {
                  type: "integer"
                },
                OrderedBy: {},
                Order: {}
              }
            },
            Parameters: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                required: [
                  "Name",
                  "Type"
                ],
                members: {
                  Name: {},
                  Type: {},
                  DatetimeOptions: {
                    type: "structure",
                    required: [
                      "Format"
                    ],
                    members: {
                      Format: {},
                      TimezoneOffset: {},
                      LocaleCode: {}
                    }
                  },
                  CreateColumn: {
                    type: "boolean"
                  },
                  Filter: {
                    shape: "S14"
                  }
                }
              }
            }
          }
        },
        S14: {
          type: "structure",
          required: [
            "Expression",
            "ValuesMap"
          ],
          members: {
            Expression: {},
            ValuesMap: {
              shape: "S16"
            }
          }
        },
        S16: {
          type: "map",
          key: {},
          value: {}
        },
        S1m: {
          type: "map",
          key: {},
          value: {}
        },
        S1x: {
          type: "structure",
          members: {
            DatasetStatisticsConfiguration: {
              shape: "S1y"
            },
            ProfileColumns: {
              shape: "S26"
            },
            ColumnStatisticsConfigurations: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Statistics"
                ],
                members: {
                  Selectors: {
                    shape: "S26"
                  },
                  Statistics: {
                    shape: "S1y"
                  }
                }
              }
            },
            EntityDetectorConfiguration: {
              type: "structure",
              required: [
                "EntityTypes"
              ],
              members: {
                EntityTypes: {
                  type: "list",
                  member: {}
                },
                AllowedStatistics: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "Statistics"
                    ],
                    members: {
                      Statistics: {
                        shape: "S1z"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S1y: {
          type: "structure",
          members: {
            IncludedStatistics: {
              shape: "S1z"
            },
            Overrides: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Statistic",
                  "Parameters"
                ],
                members: {
                  Statistic: {},
                  Parameters: {
                    shape: "S23"
                  }
                }
              }
            }
          }
        },
        S1z: {
          type: "list",
          member: {}
        },
        S23: {
          type: "map",
          key: {},
          value: {}
        },
        S26: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Regex: {},
              Name: {}
            }
          }
        },
        S2g: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "RulesetArn"
            ],
            members: {
              RulesetArn: {},
              ValidationMode: {}
            }
          }
        },
        S2k: {
          type: "structure",
          members: {
            Mode: {},
            Size: {
              type: "long"
            }
          }
        },
        S2q: {
          type: "structure",
          required: [
            "Type"
          ],
          members: {
            Size: {
              type: "integer"
            },
            Type: {}
          }
        },
        S2w: {
          type: "list",
          member: {
            shape: "S2x"
          }
        },
        S2x: {
          type: "structure",
          required: [
            "Action"
          ],
          members: {
            Action: {
              type: "structure",
              required: [
                "Operation"
              ],
              members: {
                Operation: {},
                Parameters: {
                  shape: "S23"
                }
              }
            },
            ConditionExpressions: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Condition",
                  "TargetColumn"
                ],
                members: {
                  Condition: {},
                  Value: {},
                  TargetColumn: {}
                }
              }
            }
          }
        },
        S36: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Location"
            ],
            members: {
              CompressionFormat: {},
              Format: {},
              PartitionColumns: {
                type: "list",
                member: {}
              },
              Location: {
                shape: "Sp"
              },
              Overwrite: {
                type: "boolean"
              },
              FormatOptions: {
                type: "structure",
                members: {
                  Csv: {
                    type: "structure",
                    members: {
                      Delimiter: {}
                    }
                  }
                }
              },
              MaxOutputFiles: {
                type: "integer"
              }
            }
          }
        },
        S3f: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DatabaseName",
              "TableName"
            ],
            members: {
              CatalogId: {},
              DatabaseName: {},
              TableName: {},
              S3Options: {
                type: "structure",
                required: [
                  "Location"
                ],
                members: {
                  Location: {
                    shape: "Sp"
                  }
                }
              },
              DatabaseOptions: {
                shape: "S3i"
              },
              Overwrite: {
                type: "boolean"
              }
            }
          }
        },
        S3i: {
          type: "structure",
          required: [
            "TableName"
          ],
          members: {
            TempDirectory: {
              shape: "Sp"
            },
            TableName: {}
          }
        },
        S3j: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "GlueConnectionName",
              "DatabaseOptions"
            ],
            members: {
              GlueConnectionName: {},
              DatabaseOptions: {
                shape: "S3i"
              },
              DatabaseOutputMode: {}
            }
          }
        },
        S3m: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            Name: {},
            RecipeVersion: {}
          }
        },
        S3r: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "CheckExpression"
            ],
            members: {
              Name: {},
              Disabled: {
                type: "boolean"
              },
              CheckExpression: {},
              SubstitutionMap: {
                shape: "S16"
              },
              Threshold: {
                type: "structure",
                required: [
                  "Value"
                ],
                members: {
                  Value: {
                    type: "double"
                  },
                  Type: {},
                  Unit: {}
                }
              },
              ColumnSelectors: {
                shape: "S26"
              }
            }
          }
        },
        S41: {
          type: "list",
          member: {}
        },
        S5v: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              CreatedBy: {},
              CreateDate: {
                type: "timestamp"
              },
              LastModifiedBy: {},
              LastModifiedDate: {
                type: "timestamp"
              },
              ProjectName: {},
              PublishedBy: {},
              PublishedDate: {
                type: "timestamp"
              },
              Description: {},
              Name: {},
              ResourceArn: {},
              Steps: {
                shape: "S2w"
              },
              Tags: {
                shape: "S1m"
              },
              RecipeVersion: {}
            }
          }
        },
        S6f: {
          type: "string",
          sensitive: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/databrew-2017-07-25.paginators.json
var require_databrew_2017_07_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/databrew-2017-07-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDatasets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Datasets"
        },
        ListJobRuns: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "JobRuns"
        },
        ListJobs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Jobs"
        },
        ListProjects: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Projects"
        },
        ListRecipeVersions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Recipes"
        },
        ListRecipes: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Recipes"
        },
        ListRulesets: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Rulesets"
        },
        ListSchedules: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Schedules"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/databrew.js
var require_databrew = __commonJS({
  "node_modules/aws-sdk/clients/databrew.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["databrew"] = {};
    AWS2.DataBrew = Service.defineService("databrew", ["2017-07-25"]);
    Object.defineProperty(apiLoader.services["databrew"], "2017-07-25", {
      get: function get() {
        var model = require_databrew_2017_07_25_min();
        model.paginators = require_databrew_2017_07_25_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.DataBrew;
  }
});

// node_modules/aws-sdk/apis/servicecatalog-appregistry-2020-06-24.min.json
var require_servicecatalog_appregistry_2020_06_24_min = __commonJS({
  "node_modules/aws-sdk/apis/servicecatalog-appregistry-2020-06-24.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-06-24",
        endpointPrefix: "servicecatalog-appregistry",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "AppRegistry",
        serviceFullName: "AWS Service Catalog App Registry",
        serviceId: "Service Catalog AppRegistry",
        signatureVersion: "v4",
        signingName: "servicecatalog",
        uid: "AWS242AppRegistry-2020-06-24"
      },
      operations: {
        AssociateAttributeGroup: {
          http: {
            method: "PUT",
            requestUri: "/applications/{application}/attribute-groups/{attributeGroup}"
          },
          input: {
            type: "structure",
            required: [
              "application",
              "attributeGroup"
            ],
            members: {
              application: {
                location: "uri",
                locationName: "application"
              },
              attributeGroup: {
                location: "uri",
                locationName: "attributeGroup"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              applicationArn: {},
              attributeGroupArn: {}
            }
          }
        },
        AssociateResource: {
          http: {
            method: "PUT",
            requestUri: "/applications/{application}/resources/{resourceType}/{resource}"
          },
          input: {
            type: "structure",
            required: [
              "application",
              "resourceType",
              "resource"
            ],
            members: {
              application: {
                location: "uri",
                locationName: "application"
              },
              resourceType: {
                location: "uri",
                locationName: "resourceType"
              },
              resource: {
                location: "uri",
                locationName: "resource"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              applicationArn: {},
              resourceArn: {}
            }
          }
        },
        CreateApplication: {
          http: {
            requestUri: "/applications",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "name",
              "clientToken"
            ],
            members: {
              name: {},
              description: {},
              tags: {
                shape: "Sf"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              application: {
                shape: "Sk"
              }
            }
          }
        },
        CreateAttributeGroup: {
          http: {
            requestUri: "/attribute-groups",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "name",
              "attributes",
              "clientToken"
            ],
            members: {
              name: {},
              description: {},
              attributes: {},
              tags: {
                shape: "Sf"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              attributeGroup: {
                shape: "Sq"
              }
            }
          }
        },
        DeleteApplication: {
          http: {
            method: "DELETE",
            requestUri: "/applications/{application}"
          },
          input: {
            type: "structure",
            required: [
              "application"
            ],
            members: {
              application: {
                location: "uri",
                locationName: "application"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              application: {
                shape: "Su"
              }
            }
          }
        },
        DeleteAttributeGroup: {
          http: {
            method: "DELETE",
            requestUri: "/attribute-groups/{attributeGroup}"
          },
          input: {
            type: "structure",
            required: [
              "attributeGroup"
            ],
            members: {
              attributeGroup: {
                location: "uri",
                locationName: "attributeGroup"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              attributeGroup: {
                shape: "Sx"
              }
            }
          }
        },
        DisassociateAttributeGroup: {
          http: {
            method: "DELETE",
            requestUri: "/applications/{application}/attribute-groups/{attributeGroup}"
          },
          input: {
            type: "structure",
            required: [
              "application",
              "attributeGroup"
            ],
            members: {
              application: {
                location: "uri",
                locationName: "application"
              },
              attributeGroup: {
                location: "uri",
                locationName: "attributeGroup"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              applicationArn: {},
              attributeGroupArn: {}
            }
          }
        },
        DisassociateResource: {
          http: {
            method: "DELETE",
            requestUri: "/applications/{application}/resources/{resourceType}/{resource}"
          },
          input: {
            type: "structure",
            required: [
              "application",
              "resourceType",
              "resource"
            ],
            members: {
              application: {
                location: "uri",
                locationName: "application"
              },
              resourceType: {
                location: "uri",
                locationName: "resourceType"
              },
              resource: {
                location: "uri",
                locationName: "resource"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              applicationArn: {},
              resourceArn: {}
            }
          }
        },
        GetApplication: {
          http: {
            method: "GET",
            requestUri: "/applications/{application}"
          },
          input: {
            type: "structure",
            required: [
              "application"
            ],
            members: {
              application: {
                location: "uri",
                locationName: "application"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              arn: {},
              name: {},
              description: {},
              creationTime: {
                shape: "Sm"
              },
              lastUpdateTime: {
                shape: "Sm"
              },
              associatedResourceCount: {
                type: "integer"
              },
              tags: {
                shape: "Sf"
              },
              integrations: {
                type: "structure",
                members: {
                  resourceGroup: {
                    shape: "S17"
                  }
                }
              }
            }
          }
        },
        GetAssociatedResource: {
          http: {
            method: "GET",
            requestUri: "/applications/{application}/resources/{resourceType}/{resource}"
          },
          input: {
            type: "structure",
            required: [
              "application",
              "resourceType",
              "resource"
            ],
            members: {
              application: {
                location: "uri",
                locationName: "application"
              },
              resourceType: {
                location: "uri",
                locationName: "resourceType"
              },
              resource: {
                location: "uri",
                locationName: "resource"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resource: {
                type: "structure",
                members: {
                  name: {},
                  arn: {},
                  associationTime: {
                    shape: "Sm"
                  },
                  integrations: {
                    type: "structure",
                    members: {
                      resourceGroup: {
                        shape: "S17"
                      }
                    }
                  }
                }
              }
            }
          },
          idempotent: true
        },
        GetAttributeGroup: {
          http: {
            method: "GET",
            requestUri: "/attribute-groups/{attributeGroup}"
          },
          input: {
            type: "structure",
            required: [
              "attributeGroup"
            ],
            members: {
              attributeGroup: {
                location: "uri",
                locationName: "attributeGroup"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              arn: {},
              name: {},
              description: {},
              attributes: {},
              creationTime: {
                shape: "Sm"
              },
              lastUpdateTime: {
                shape: "Sm"
              },
              tags: {
                shape: "Sf"
              },
              createdBy: {}
            }
          }
        },
        GetConfiguration: {
          http: {
            method: "GET",
            requestUri: "/configuration"
          },
          output: {
            type: "structure",
            members: {
              configuration: {
                shape: "S1i"
              }
            }
          }
        },
        ListApplications: {
          http: {
            method: "GET",
            requestUri: "/applications"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              applications: {
                type: "list",
                member: {
                  shape: "Su"
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListAssociatedAttributeGroups: {
          http: {
            method: "GET",
            requestUri: "/applications/{application}/attribute-groups"
          },
          input: {
            type: "structure",
            required: [
              "application"
            ],
            members: {
              application: {
                location: "uri",
                locationName: "application"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              attributeGroups: {
                type: "list",
                member: {}
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListAssociatedResources: {
          http: {
            method: "GET",
            requestUri: "/applications/{application}/resources"
          },
          input: {
            type: "structure",
            required: [
              "application"
            ],
            members: {
              application: {
                location: "uri",
                locationName: "application"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    arn: {},
                    resourceType: {},
                    resourceDetails: {
                      type: "structure",
                      members: {
                        tagValue: {}
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListAttributeGroups: {
          http: {
            method: "GET",
            requestUri: "/attribute-groups"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              attributeGroups: {
                type: "list",
                member: {
                  shape: "Sx"
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListAttributeGroupsForApplication: {
          http: {
            method: "GET",
            requestUri: "/applications/{application}/attribute-group-details"
          },
          input: {
            type: "structure",
            required: [
              "application"
            ],
            members: {
              application: {
                location: "uri",
                locationName: "application"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              attributeGroupsDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    arn: {},
                    name: {
                      deprecated: true,
                      deprecatedMessage: "This field is deprecated. We recommend not using the field when using ListAttributeGroupsForApplication."
                    },
                    createdBy: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          idempotent: true
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sf"
              }
            }
          }
        },
        PutConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/configuration"
          },
          input: {
            type: "structure",
            required: [
              "configuration"
            ],
            members: {
              configuration: {
                shape: "S1i"
              }
            }
          }
        },
        SyncResource: {
          http: {
            requestUri: "/sync/{resourceType}/{resource}"
          },
          input: {
            type: "structure",
            required: [
              "resourceType",
              "resource"
            ],
            members: {
              resourceType: {
                location: "uri",
                locationName: "resourceType"
              },
              resource: {
                location: "uri",
                locationName: "resource"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              applicationArn: {},
              resourceArn: {},
              actionTaken: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateApplication: {
          http: {
            method: "PATCH",
            requestUri: "/applications/{application}"
          },
          input: {
            type: "structure",
            required: [
              "application"
            ],
            members: {
              application: {
                location: "uri",
                locationName: "application"
              },
              name: {
                deprecated: true,
                deprecatedMessage: "Name update for application is deprecated."
              },
              description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              application: {
                shape: "Sk"
              }
            }
          }
        },
        UpdateAttributeGroup: {
          http: {
            method: "PATCH",
            requestUri: "/attribute-groups/{attributeGroup}"
          },
          input: {
            type: "structure",
            required: [
              "attributeGroup"
            ],
            members: {
              attributeGroup: {
                location: "uri",
                locationName: "attributeGroup"
              },
              name: {
                deprecated: true,
                deprecatedMessage: "Name update for attribute group is deprecated."
              },
              description: {},
              attributes: {}
            }
          },
          output: {
            type: "structure",
            members: {
              attributeGroup: {
                shape: "Sq"
              }
            }
          }
        }
      },
      shapes: {
        Sf: {
          type: "map",
          key: {},
          value: {}
        },
        Sk: {
          type: "structure",
          members: {
            id: {},
            arn: {},
            name: {},
            description: {},
            creationTime: {
              shape: "Sm"
            },
            lastUpdateTime: {
              shape: "Sm"
            },
            tags: {
              shape: "Sf"
            }
          }
        },
        Sm: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sq: {
          type: "structure",
          members: {
            id: {},
            arn: {},
            name: {},
            description: {},
            creationTime: {
              shape: "Sm"
            },
            lastUpdateTime: {
              shape: "Sm"
            },
            tags: {
              shape: "Sf"
            }
          }
        },
        Su: {
          type: "structure",
          members: {
            id: {},
            arn: {},
            name: {},
            description: {},
            creationTime: {
              shape: "Sm"
            },
            lastUpdateTime: {
              shape: "Sm"
            }
          }
        },
        Sx: {
          type: "structure",
          members: {
            id: {},
            arn: {},
            name: {},
            description: {},
            creationTime: {
              shape: "Sm"
            },
            lastUpdateTime: {
              shape: "Sm"
            },
            createdBy: {}
          }
        },
        S17: {
          type: "structure",
          members: {
            state: {},
            arn: {},
            errorMessage: {}
          }
        },
        S1i: {
          type: "structure",
          members: {
            tagQueryConfiguration: {
              type: "structure",
              members: {
                tagKey: {}
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/servicecatalog-appregistry-2020-06-24.paginators.json
var require_servicecatalog_appregistry_2020_06_24_paginators = __commonJS({
  "node_modules/aws-sdk/apis/servicecatalog-appregistry-2020-06-24.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListApplications: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "applications"
        },
        ListAssociatedAttributeGroups: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "attributeGroups"
        },
        ListAssociatedResources: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "resources"
        },
        ListAttributeGroups: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "attributeGroups"
        },
        ListAttributeGroupsForApplication: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "attributeGroupsDetails"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/servicecatalogappregistry.js
var require_servicecatalogappregistry = __commonJS({
  "node_modules/aws-sdk/clients/servicecatalogappregistry.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["servicecatalogappregistry"] = {};
    AWS2.ServiceCatalogAppRegistry = Service.defineService("servicecatalogappregistry", ["2020-06-24"]);
    Object.defineProperty(apiLoader.services["servicecatalogappregistry"], "2020-06-24", {
      get: function get() {
        var model = require_servicecatalog_appregistry_2020_06_24_min();
        model.paginators = require_servicecatalog_appregistry_2020_06_24_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ServiceCatalogAppRegistry;
  }
});

// node_modules/aws-sdk/apis/network-firewall-2020-11-12.min.json
var require_network_firewall_2020_11_12_min = __commonJS({
  "node_modules/aws-sdk/apis/network-firewall-2020-11-12.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-11-12",
        endpointPrefix: "network-firewall",
        jsonVersion: "1.0",
        protocol: "json",
        serviceAbbreviation: "Network Firewall",
        serviceFullName: "AWS Network Firewall",
        serviceId: "Network Firewall",
        signatureVersion: "v4",
        signingName: "network-firewall",
        targetPrefix: "NetworkFirewall_20201112",
        uid: "network-firewall-2020-11-12"
      },
      operations: {
        AssociateFirewallPolicy: {
          input: {
            type: "structure",
            required: [
              "FirewallPolicyArn"
            ],
            members: {
              UpdateToken: {},
              FirewallArn: {},
              FirewallName: {},
              FirewallPolicyArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallArn: {},
              FirewallName: {},
              FirewallPolicyArn: {},
              UpdateToken: {}
            }
          }
        },
        AssociateSubnets: {
          input: {
            type: "structure",
            required: [
              "SubnetMappings"
            ],
            members: {
              UpdateToken: {},
              FirewallArn: {},
              FirewallName: {},
              SubnetMappings: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallArn: {},
              FirewallName: {},
              SubnetMappings: {
                shape: "S7"
              },
              UpdateToken: {}
            }
          }
        },
        CreateFirewall: {
          input: {
            type: "structure",
            required: [
              "FirewallName",
              "FirewallPolicyArn",
              "VpcId",
              "SubnetMappings"
            ],
            members: {
              FirewallName: {},
              FirewallPolicyArn: {},
              VpcId: {},
              SubnetMappings: {
                shape: "S7"
              },
              DeleteProtection: {
                type: "boolean"
              },
              SubnetChangeProtection: {
                type: "boolean"
              },
              FirewallPolicyChangeProtection: {
                type: "boolean"
              },
              Description: {},
              Tags: {
                shape: "Sg"
              },
              EncryptionConfiguration: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Firewall: {
                shape: "So"
              },
              FirewallStatus: {
                shape: "Sq"
              }
            }
          }
        },
        CreateFirewallPolicy: {
          input: {
            type: "structure",
            required: [
              "FirewallPolicyName",
              "FirewallPolicy"
            ],
            members: {
              FirewallPolicyName: {},
              FirewallPolicy: {
                shape: "S1b"
              },
              Description: {},
              Tags: {
                shape: "Sg"
              },
              DryRun: {
                type: "boolean"
              },
              EncryptionConfiguration: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UpdateToken",
              "FirewallPolicyResponse"
            ],
            members: {
              UpdateToken: {},
              FirewallPolicyResponse: {
                shape: "S23"
              }
            }
          }
        },
        CreateRuleGroup: {
          input: {
            type: "structure",
            required: [
              "RuleGroupName",
              "Type",
              "Capacity"
            ],
            members: {
              RuleGroupName: {},
              RuleGroup: {
                shape: "S29"
              },
              Rules: {},
              Type: {},
              Description: {},
              Capacity: {
                type: "integer"
              },
              Tags: {
                shape: "Sg"
              },
              DryRun: {
                type: "boolean"
              },
              EncryptionConfiguration: {
                shape: "Sk"
              },
              SourceMetadata: {
                shape: "S3l"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UpdateToken",
              "RuleGroupResponse"
            ],
            members: {
              UpdateToken: {},
              RuleGroupResponse: {
                shape: "S3n"
              }
            }
          }
        },
        CreateTLSInspectionConfiguration: {
          input: {
            type: "structure",
            required: [
              "TLSInspectionConfigurationName",
              "TLSInspectionConfiguration"
            ],
            members: {
              TLSInspectionConfigurationName: {},
              TLSInspectionConfiguration: {
                shape: "S3p"
              },
              Description: {},
              Tags: {
                shape: "Sg"
              },
              EncryptionConfiguration: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UpdateToken",
              "TLSInspectionConfigurationResponse"
            ],
            members: {
              UpdateToken: {},
              TLSInspectionConfigurationResponse: {
                shape: "S3x"
              }
            }
          }
        },
        DeleteFirewall: {
          input: {
            type: "structure",
            members: {
              FirewallName: {},
              FirewallArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Firewall: {
                shape: "So"
              },
              FirewallStatus: {
                shape: "Sq"
              }
            }
          }
        },
        DeleteFirewallPolicy: {
          input: {
            type: "structure",
            members: {
              FirewallPolicyName: {},
              FirewallPolicyArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "FirewallPolicyResponse"
            ],
            members: {
              FirewallPolicyResponse: {
                shape: "S23"
              }
            }
          }
        },
        DeleteResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteRuleGroup: {
          input: {
            type: "structure",
            members: {
              RuleGroupName: {},
              RuleGroupArn: {},
              Type: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "RuleGroupResponse"
            ],
            members: {
              RuleGroupResponse: {
                shape: "S3n"
              }
            }
          }
        },
        DeleteTLSInspectionConfiguration: {
          input: {
            type: "structure",
            members: {
              TLSInspectionConfigurationArn: {},
              TLSInspectionConfigurationName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "TLSInspectionConfigurationResponse"
            ],
            members: {
              TLSInspectionConfigurationResponse: {
                shape: "S3x"
              }
            }
          }
        },
        DescribeFirewall: {
          input: {
            type: "structure",
            members: {
              FirewallName: {},
              FirewallArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              UpdateToken: {},
              Firewall: {
                shape: "So"
              },
              FirewallStatus: {
                shape: "Sq"
              }
            }
          }
        },
        DescribeFirewallPolicy: {
          input: {
            type: "structure",
            members: {
              FirewallPolicyName: {},
              FirewallPolicyArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "UpdateToken",
              "FirewallPolicyResponse"
            ],
            members: {
              UpdateToken: {},
              FirewallPolicyResponse: {
                shape: "S23"
              },
              FirewallPolicy: {
                shape: "S1b"
              }
            }
          }
        },
        DescribeLoggingConfiguration: {
          input: {
            type: "structure",
            members: {
              FirewallArn: {},
              FirewallName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallArn: {},
              LoggingConfiguration: {
                shape: "S4h"
              }
            }
          }
        },
        DescribeResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {}
            }
          }
        },
        DescribeRuleGroup: {
          input: {
            type: "structure",
            members: {
              RuleGroupName: {},
              RuleGroupArn: {},
              Type: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "UpdateToken",
              "RuleGroupResponse"
            ],
            members: {
              UpdateToken: {},
              RuleGroup: {
                shape: "S29"
              },
              RuleGroupResponse: {
                shape: "S3n"
              }
            }
          }
        },
        DescribeRuleGroupMetadata: {
          input: {
            type: "structure",
            members: {
              RuleGroupName: {},
              RuleGroupArn: {},
              Type: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "RuleGroupArn",
              "RuleGroupName"
            ],
            members: {
              RuleGroupArn: {},
              RuleGroupName: {},
              Description: {},
              Type: {},
              Capacity: {
                type: "integer"
              },
              StatefulRuleOptions: {
                shape: "S3j"
              },
              LastModifiedTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeTLSInspectionConfiguration: {
          input: {
            type: "structure",
            members: {
              TLSInspectionConfigurationArn: {},
              TLSInspectionConfigurationName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "UpdateToken",
              "TLSInspectionConfigurationResponse"
            ],
            members: {
              UpdateToken: {},
              TLSInspectionConfiguration: {
                shape: "S3p"
              },
              TLSInspectionConfigurationResponse: {
                shape: "S3x"
              }
            }
          }
        },
        DisassociateSubnets: {
          input: {
            type: "structure",
            required: [
              "SubnetIds"
            ],
            members: {
              UpdateToken: {},
              FirewallArn: {},
              FirewallName: {},
              SubnetIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallArn: {},
              FirewallName: {},
              SubnetMappings: {
                shape: "S7"
              },
              UpdateToken: {}
            }
          }
        },
        ListFirewallPolicies: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              FirewallPolicies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Arn: {}
                  }
                }
              }
            }
          }
        },
        ListFirewalls: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              VpcIds: {
                type: "list",
                member: {}
              },
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Firewalls: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    FirewallName: {},
                    FirewallArn: {}
                  }
                }
              }
            }
          }
        },
        ListRuleGroups: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Scope: {},
              ManagedType: {},
              Type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              RuleGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Arn: {}
                  }
                }
              }
            }
          }
        },
        ListTLSInspectionConfigurations: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              TLSInspectionConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Arn: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Tags: {
                shape: "Sg"
              }
            }
          }
        },
        PutResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Policy"
            ],
            members: {
              ResourceArn: {},
              Policy: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateFirewallDeleteProtection: {
          input: {
            type: "structure",
            required: [
              "DeleteProtection"
            ],
            members: {
              UpdateToken: {},
              FirewallArn: {},
              FirewallName: {},
              DeleteProtection: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallArn: {},
              FirewallName: {},
              DeleteProtection: {
                type: "boolean"
              },
              UpdateToken: {}
            }
          }
        },
        UpdateFirewallDescription: {
          input: {
            type: "structure",
            members: {
              UpdateToken: {},
              FirewallArn: {},
              FirewallName: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallArn: {},
              FirewallName: {},
              Description: {},
              UpdateToken: {}
            }
          }
        },
        UpdateFirewallEncryptionConfiguration: {
          input: {
            type: "structure",
            members: {
              UpdateToken: {},
              FirewallArn: {},
              FirewallName: {},
              EncryptionConfiguration: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallArn: {},
              FirewallName: {},
              UpdateToken: {},
              EncryptionConfiguration: {
                shape: "Sk"
              }
            }
          }
        },
        UpdateFirewallPolicy: {
          input: {
            type: "structure",
            required: [
              "UpdateToken",
              "FirewallPolicy"
            ],
            members: {
              UpdateToken: {},
              FirewallPolicyArn: {},
              FirewallPolicyName: {},
              FirewallPolicy: {
                shape: "S1b"
              },
              Description: {},
              DryRun: {
                type: "boolean"
              },
              EncryptionConfiguration: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UpdateToken",
              "FirewallPolicyResponse"
            ],
            members: {
              UpdateToken: {},
              FirewallPolicyResponse: {
                shape: "S23"
              }
            }
          }
        },
        UpdateFirewallPolicyChangeProtection: {
          input: {
            type: "structure",
            required: [
              "FirewallPolicyChangeProtection"
            ],
            members: {
              UpdateToken: {},
              FirewallArn: {},
              FirewallName: {},
              FirewallPolicyChangeProtection: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UpdateToken: {},
              FirewallArn: {},
              FirewallName: {},
              FirewallPolicyChangeProtection: {
                type: "boolean"
              }
            }
          }
        },
        UpdateLoggingConfiguration: {
          input: {
            type: "structure",
            members: {
              FirewallArn: {},
              FirewallName: {},
              LoggingConfiguration: {
                shape: "S4h"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              FirewallArn: {},
              FirewallName: {},
              LoggingConfiguration: {
                shape: "S4h"
              }
            }
          }
        },
        UpdateRuleGroup: {
          input: {
            type: "structure",
            required: [
              "UpdateToken"
            ],
            members: {
              UpdateToken: {},
              RuleGroupArn: {},
              RuleGroupName: {},
              RuleGroup: {
                shape: "S29"
              },
              Rules: {},
              Type: {},
              Description: {},
              DryRun: {
                type: "boolean"
              },
              EncryptionConfiguration: {
                shape: "Sk"
              },
              SourceMetadata: {
                shape: "S3l"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UpdateToken",
              "RuleGroupResponse"
            ],
            members: {
              UpdateToken: {},
              RuleGroupResponse: {
                shape: "S3n"
              }
            }
          }
        },
        UpdateSubnetChangeProtection: {
          input: {
            type: "structure",
            required: [
              "SubnetChangeProtection"
            ],
            members: {
              UpdateToken: {},
              FirewallArn: {},
              FirewallName: {},
              SubnetChangeProtection: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UpdateToken: {},
              FirewallArn: {},
              FirewallName: {},
              SubnetChangeProtection: {
                type: "boolean"
              }
            }
          }
        },
        UpdateTLSInspectionConfiguration: {
          input: {
            type: "structure",
            required: [
              "TLSInspectionConfiguration",
              "UpdateToken"
            ],
            members: {
              TLSInspectionConfigurationArn: {},
              TLSInspectionConfigurationName: {},
              TLSInspectionConfiguration: {
                shape: "S3p"
              },
              Description: {},
              EncryptionConfiguration: {
                shape: "Sk"
              },
              UpdateToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "UpdateToken",
              "TLSInspectionConfigurationResponse"
            ],
            members: {
              UpdateToken: {},
              TLSInspectionConfigurationResponse: {
                shape: "S3x"
              }
            }
          }
        }
      },
      shapes: {
        S7: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "SubnetId"
            ],
            members: {
              SubnetId: {},
              IPAddressType: {}
            }
          }
        },
        Sg: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sk: {
          type: "structure",
          required: [
            "Type"
          ],
          members: {
            KeyId: {},
            Type: {}
          }
        },
        So: {
          type: "structure",
          required: [
            "FirewallPolicyArn",
            "VpcId",
            "SubnetMappings",
            "FirewallId"
          ],
          members: {
            FirewallName: {},
            FirewallArn: {},
            FirewallPolicyArn: {},
            VpcId: {},
            SubnetMappings: {
              shape: "S7"
            },
            DeleteProtection: {
              type: "boolean"
            },
            SubnetChangeProtection: {
              type: "boolean"
            },
            FirewallPolicyChangeProtection: {
              type: "boolean"
            },
            Description: {},
            FirewallId: {},
            Tags: {
              shape: "Sg"
            },
            EncryptionConfiguration: {
              shape: "Sk"
            }
          }
        },
        Sq: {
          type: "structure",
          required: [
            "Status",
            "ConfigurationSyncStateSummary"
          ],
          members: {
            Status: {},
            ConfigurationSyncStateSummary: {},
            SyncStates: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                members: {
                  Attachment: {
                    type: "structure",
                    members: {
                      SubnetId: {},
                      EndpointId: {},
                      Status: {},
                      StatusMessage: {}
                    }
                  },
                  Config: {
                    type: "map",
                    key: {},
                    value: {
                      type: "structure",
                      members: {
                        SyncStatus: {},
                        UpdateToken: {}
                      }
                    }
                  }
                }
              }
            },
            CapacityUsageSummary: {
              type: "structure",
              members: {
                CIDRs: {
                  type: "structure",
                  members: {
                    AvailableCIDRCount: {
                      type: "integer"
                    },
                    UtilizedCIDRCount: {
                      type: "integer"
                    },
                    IPSetReferences: {
                      type: "map",
                      key: {},
                      value: {
                        type: "structure",
                        members: {
                          ResolvedCIDRCount: {
                            type: "integer"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S1b: {
          type: "structure",
          required: [
            "StatelessDefaultActions",
            "StatelessFragmentDefaultActions"
          ],
          members: {
            StatelessRuleGroupReferences: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "ResourceArn",
                  "Priority"
                ],
                members: {
                  ResourceArn: {},
                  Priority: {
                    type: "integer"
                  }
                }
              }
            },
            StatelessDefaultActions: {
              shape: "S1f"
            },
            StatelessFragmentDefaultActions: {
              shape: "S1f"
            },
            StatelessCustomActions: {
              shape: "S1g"
            },
            StatefulRuleGroupReferences: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "ResourceArn"
                ],
                members: {
                  ResourceArn: {},
                  Priority: {
                    type: "integer"
                  },
                  Override: {
                    type: "structure",
                    members: {
                      Action: {}
                    }
                  }
                }
              }
            },
            StatefulDefaultActions: {
              type: "list",
              member: {}
            },
            StatefulEngineOptions: {
              type: "structure",
              members: {
                RuleOrder: {},
                StreamExceptionPolicy: {}
              }
            },
            TLSInspectionConfigurationArn: {},
            PolicyVariables: {
              type: "structure",
              members: {
                RuleVariables: {
                  shape: "S1x"
                }
              }
            }
          }
        },
        S1f: {
          type: "list",
          member: {}
        },
        S1g: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ActionName",
              "ActionDefinition"
            ],
            members: {
              ActionName: {},
              ActionDefinition: {
                type: "structure",
                members: {
                  PublishMetricAction: {
                    type: "structure",
                    required: [
                      "Dimensions"
                    ],
                    members: {
                      Dimensions: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "Value"
                          ],
                          members: {
                            Value: {}
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S1x: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "Definition"
            ],
            members: {
              Definition: {
                shape: "S20"
              }
            }
          }
        },
        S20: {
          type: "list",
          member: {}
        },
        S23: {
          type: "structure",
          required: [
            "FirewallPolicyName",
            "FirewallPolicyArn",
            "FirewallPolicyId"
          ],
          members: {
            FirewallPolicyName: {},
            FirewallPolicyArn: {},
            FirewallPolicyId: {},
            Description: {},
            FirewallPolicyStatus: {},
            Tags: {
              shape: "Sg"
            },
            ConsumedStatelessRuleCapacity: {
              type: "integer"
            },
            ConsumedStatefulRuleCapacity: {
              type: "integer"
            },
            NumberOfAssociations: {
              type: "integer"
            },
            EncryptionConfiguration: {
              shape: "Sk"
            },
            LastModifiedTime: {
              type: "timestamp"
            }
          }
        },
        S29: {
          type: "structure",
          required: [
            "RulesSource"
          ],
          members: {
            RuleVariables: {
              type: "structure",
              members: {
                IPSets: {
                  shape: "S1x"
                },
                PortSets: {
                  type: "map",
                  key: {},
                  value: {
                    type: "structure",
                    members: {
                      Definition: {
                        shape: "S20"
                      }
                    }
                  }
                }
              }
            },
            ReferenceSets: {
              type: "structure",
              members: {
                IPSetReferences: {
                  type: "map",
                  key: {},
                  value: {
                    type: "structure",
                    members: {
                      ReferenceArn: {}
                    }
                  }
                }
              }
            },
            RulesSource: {
              type: "structure",
              members: {
                RulesString: {},
                RulesSourceList: {
                  type: "structure",
                  required: [
                    "Targets",
                    "TargetTypes",
                    "GeneratedRulesType"
                  ],
                  members: {
                    Targets: {
                      type: "list",
                      member: {}
                    },
                    TargetTypes: {
                      type: "list",
                      member: {}
                    },
                    GeneratedRulesType: {}
                  }
                },
                StatefulRules: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "Action",
                      "Header",
                      "RuleOptions"
                    ],
                    members: {
                      Action: {},
                      Header: {
                        type: "structure",
                        required: [
                          "Protocol",
                          "Source",
                          "SourcePort",
                          "Direction",
                          "Destination",
                          "DestinationPort"
                        ],
                        members: {
                          Protocol: {},
                          Source: {},
                          SourcePort: {},
                          Direction: {},
                          Destination: {},
                          DestinationPort: {}
                        }
                      },
                      RuleOptions: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "Keyword"
                          ],
                          members: {
                            Keyword: {},
                            Settings: {
                              type: "list",
                              member: {}
                            }
                          }
                        }
                      }
                    }
                  }
                },
                StatelessRulesAndCustomActions: {
                  type: "structure",
                  required: [
                    "StatelessRules"
                  ],
                  members: {
                    StatelessRules: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "RuleDefinition",
                          "Priority"
                        ],
                        members: {
                          RuleDefinition: {
                            type: "structure",
                            required: [
                              "MatchAttributes",
                              "Actions"
                            ],
                            members: {
                              MatchAttributes: {
                                type: "structure",
                                members: {
                                  Sources: {
                                    shape: "S37"
                                  },
                                  Destinations: {
                                    shape: "S37"
                                  },
                                  SourcePorts: {
                                    shape: "S3a"
                                  },
                                  DestinationPorts: {
                                    shape: "S3a"
                                  },
                                  Protocols: {
                                    shape: "S3d"
                                  },
                                  TCPFlags: {
                                    type: "list",
                                    member: {
                                      type: "structure",
                                      required: [
                                        "Flags"
                                      ],
                                      members: {
                                        Flags: {
                                          shape: "S3h"
                                        },
                                        Masks: {
                                          shape: "S3h"
                                        }
                                      }
                                    }
                                  }
                                }
                              },
                              Actions: {
                                shape: "S1f"
                              }
                            }
                          },
                          Priority: {
                            type: "integer"
                          }
                        }
                      }
                    },
                    CustomActions: {
                      shape: "S1g"
                    }
                  }
                }
              }
            },
            StatefulRuleOptions: {
              shape: "S3j"
            }
          }
        },
        S37: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AddressDefinition"
            ],
            members: {
              AddressDefinition: {}
            }
          }
        },
        S3a: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "FromPort",
              "ToPort"
            ],
            members: {
              FromPort: {
                type: "integer"
              },
              ToPort: {
                type: "integer"
              }
            }
          }
        },
        S3d: {
          type: "list",
          member: {
            type: "integer"
          }
        },
        S3h: {
          type: "list",
          member: {}
        },
        S3j: {
          type: "structure",
          members: {
            RuleOrder: {}
          }
        },
        S3l: {
          type: "structure",
          members: {
            SourceArn: {},
            SourceUpdateToken: {}
          }
        },
        S3n: {
          type: "structure",
          required: [
            "RuleGroupArn",
            "RuleGroupName",
            "RuleGroupId"
          ],
          members: {
            RuleGroupArn: {},
            RuleGroupName: {},
            RuleGroupId: {},
            Description: {},
            Type: {},
            Capacity: {
              type: "integer"
            },
            RuleGroupStatus: {},
            Tags: {
              shape: "Sg"
            },
            ConsumedCapacity: {
              type: "integer"
            },
            NumberOfAssociations: {
              type: "integer"
            },
            EncryptionConfiguration: {
              shape: "Sk"
            },
            SourceMetadata: {
              shape: "S3l"
            },
            SnsTopic: {},
            LastModifiedTime: {
              type: "timestamp"
            }
          }
        },
        S3p: {
          type: "structure",
          members: {
            ServerCertificateConfigurations: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  ServerCertificates: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        ResourceArn: {}
                      }
                    }
                  },
                  Scopes: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Sources: {
                          shape: "S37"
                        },
                        Destinations: {
                          shape: "S37"
                        },
                        SourcePorts: {
                          shape: "S3a"
                        },
                        DestinationPorts: {
                          shape: "S3a"
                        },
                        Protocols: {
                          shape: "S3d"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S3x: {
          type: "structure",
          required: [
            "TLSInspectionConfigurationArn",
            "TLSInspectionConfigurationName",
            "TLSInspectionConfigurationId"
          ],
          members: {
            TLSInspectionConfigurationArn: {},
            TLSInspectionConfigurationName: {},
            TLSInspectionConfigurationId: {},
            TLSInspectionConfigurationStatus: {},
            Description: {},
            Tags: {
              shape: "Sg"
            },
            LastModifiedTime: {
              type: "timestamp"
            },
            NumberOfAssociations: {
              type: "integer"
            },
            EncryptionConfiguration: {
              shape: "Sk"
            },
            Certificates: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  CertificateArn: {},
                  CertificateSerial: {},
                  Status: {},
                  StatusMessage: {}
                }
              }
            }
          }
        },
        S4h: {
          type: "structure",
          required: [
            "LogDestinationConfigs"
          ],
          members: {
            LogDestinationConfigs: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "LogType",
                  "LogDestinationType",
                  "LogDestination"
                ],
                members: {
                  LogType: {},
                  LogDestinationType: {},
                  LogDestination: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/network-firewall-2020-11-12.paginators.json
var require_network_firewall_2020_11_12_paginators = __commonJS({
  "node_modules/aws-sdk/apis/network-firewall-2020-11-12.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListFirewallPolicies: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "FirewallPolicies"
        },
        ListFirewalls: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Firewalls"
        },
        ListRuleGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "RuleGroups"
        },
        ListTLSInspectionConfigurations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "TLSInspectionConfigurations"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Tags"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/networkfirewall.js
var require_networkfirewall = __commonJS({
  "node_modules/aws-sdk/clients/networkfirewall.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["networkfirewall"] = {};
    AWS2.NetworkFirewall = Service.defineService("networkfirewall", ["2020-11-12"]);
    Object.defineProperty(apiLoader.services["networkfirewall"], "2020-11-12", {
      get: function get() {
        var model = require_network_firewall_2020_11_12_min();
        model.paginators = require_network_firewall_2020_11_12_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.NetworkFirewall;
  }
});

// node_modules/aws-sdk/apis/mwaa-2020-07-01.min.json
var require_mwaa_2020_07_01_min = __commonJS({
  "node_modules/aws-sdk/apis/mwaa-2020-07-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-07-01",
        endpointPrefix: "airflow",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AmazonMWAA",
        serviceId: "MWAA",
        signatureVersion: "v4",
        signingName: "airflow",
        uid: "mwaa-2020-07-01"
      },
      operations: {
        CreateCliToken: {
          http: {
            requestUri: "/clitoken/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CliToken: {
                shape: "S4"
              },
              WebServerHostname: {}
            }
          },
          endpoint: {
            hostPrefix: "env."
          }
        },
        CreateEnvironment: {
          http: {
            method: "PUT",
            requestUri: "/environments/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DagS3Path",
              "ExecutionRoleArn",
              "Name",
              "NetworkConfiguration",
              "SourceBucketArn"
            ],
            members: {
              AirflowConfigurationOptions: {
                shape: "S7"
              },
              AirflowVersion: {},
              DagS3Path: {},
              EnvironmentClass: {},
              ExecutionRoleArn: {},
              KmsKey: {},
              LoggingConfiguration: {
                shape: "Sf"
              },
              MaxWorkers: {
                type: "integer"
              },
              MinWorkers: {
                type: "integer"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              },
              NetworkConfiguration: {
                shape: "Sl"
              },
              PluginsS3ObjectVersion: {},
              PluginsS3Path: {},
              RequirementsS3ObjectVersion: {},
              RequirementsS3Path: {},
              Schedulers: {
                type: "integer"
              },
              SourceBucketArn: {},
              StartupScriptS3ObjectVersion: {},
              StartupScriptS3Path: {},
              Tags: {
                shape: "St"
              },
              WebserverAccessMode: {},
              WeeklyMaintenanceWindowStart: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          },
          idempotent: true
        },
        CreateWebLoginToken: {
          http: {
            requestUri: "/webtoken/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WebServerHostname: {},
              WebToken: {
                shape: "S4"
              }
            }
          },
          endpoint: {
            hostPrefix: "env."
          },
          idempotent: true
        },
        DeleteEnvironment: {
          http: {
            method: "DELETE",
            requestUri: "/environments/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "api."
          },
          idempotent: true
        },
        GetEnvironment: {
          http: {
            method: "GET",
            requestUri: "/environments/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Environment: {
                type: "structure",
                members: {
                  AirflowConfigurationOptions: {
                    shape: "S7"
                  },
                  AirflowVersion: {},
                  Arn: {},
                  CreatedAt: {
                    type: "timestamp"
                  },
                  DagS3Path: {},
                  EnvironmentClass: {},
                  ExecutionRoleArn: {},
                  KmsKey: {},
                  LastUpdate: {
                    type: "structure",
                    members: {
                      CreatedAt: {
                        type: "timestamp"
                      },
                      Error: {
                        type: "structure",
                        members: {
                          ErrorCode: {},
                          ErrorMessage: {}
                        }
                      },
                      Source: {},
                      Status: {}
                    }
                  },
                  LoggingConfiguration: {
                    type: "structure",
                    members: {
                      DagProcessingLogs: {
                        shape: "S1g"
                      },
                      SchedulerLogs: {
                        shape: "S1g"
                      },
                      TaskLogs: {
                        shape: "S1g"
                      },
                      WebserverLogs: {
                        shape: "S1g"
                      },
                      WorkerLogs: {
                        shape: "S1g"
                      }
                    }
                  },
                  MaxWorkers: {
                    type: "integer"
                  },
                  MinWorkers: {
                    type: "integer"
                  },
                  Name: {},
                  NetworkConfiguration: {
                    shape: "Sl"
                  },
                  PluginsS3ObjectVersion: {},
                  PluginsS3Path: {},
                  RequirementsS3ObjectVersion: {},
                  RequirementsS3Path: {},
                  Schedulers: {
                    type: "integer"
                  },
                  ServiceRoleArn: {},
                  SourceBucketArn: {},
                  StartupScriptS3ObjectVersion: {},
                  StartupScriptS3Path: {},
                  Status: {},
                  Tags: {
                    shape: "St"
                  },
                  WebserverAccessMode: {},
                  WebserverUrl: {},
                  WeeklyMaintenanceWindowStart: {}
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListEnvironments: {
          http: {
            method: "GET",
            requestUri: "/environments",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Environments"
            ],
            members: {
              Environments: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        PublishMetrics: {
          http: {
            requestUri: "/metrics/environments/{EnvironmentName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "EnvironmentName",
              "MetricData"
            ],
            members: {
              EnvironmentName: {
                location: "uri",
                locationName: "EnvironmentName"
              },
              MetricData: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "MetricName",
                    "Timestamp"
                  ],
                  members: {
                    Dimensions: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "Name",
                          "Value"
                        ],
                        members: {
                          Name: {},
                          Value: {}
                        }
                      }
                    },
                    MetricName: {},
                    StatisticValues: {
                      type: "structure",
                      members: {
                        Maximum: {
                          type: "double"
                        },
                        Minimum: {
                          type: "double"
                        },
                        SampleCount: {
                          type: "integer"
                        },
                        Sum: {
                          type: "double"
                        }
                      }
                    },
                    Timestamp: {
                      type: "timestamp"
                    },
                    Unit: {},
                    Value: {
                      type: "double"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "ops."
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "tagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "api."
          },
          idempotent: true
        },
        UpdateEnvironment: {
          http: {
            method: "PATCH",
            requestUri: "/environments/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              AirflowConfigurationOptions: {
                shape: "S7"
              },
              AirflowVersion: {},
              DagS3Path: {},
              EnvironmentClass: {},
              ExecutionRoleArn: {},
              LoggingConfiguration: {
                shape: "Sf"
              },
              MaxWorkers: {
                type: "integer"
              },
              MinWorkers: {
                type: "integer"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              },
              NetworkConfiguration: {
                type: "structure",
                required: [
                  "SecurityGroupIds"
                ],
                members: {
                  SecurityGroupIds: {
                    shape: "Sm"
                  }
                }
              },
              PluginsS3ObjectVersion: {},
              PluginsS3Path: {},
              RequirementsS3ObjectVersion: {},
              RequirementsS3Path: {},
              Schedulers: {
                type: "integer"
              },
              SourceBucketArn: {},
              StartupScriptS3ObjectVersion: {},
              StartupScriptS3Path: {},
              WebserverAccessMode: {},
              WeeklyMaintenanceWindowStart: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        }
      },
      shapes: {
        S4: {
          type: "string",
          sensitive: true
        },
        S7: {
          type: "map",
          key: {},
          value: {
            type: "string",
            sensitive: true
          },
          sensitive: true
        },
        Sf: {
          type: "structure",
          members: {
            DagProcessingLogs: {
              shape: "Sg"
            },
            SchedulerLogs: {
              shape: "Sg"
            },
            TaskLogs: {
              shape: "Sg"
            },
            WebserverLogs: {
              shape: "Sg"
            },
            WorkerLogs: {
              shape: "Sg"
            }
          }
        },
        Sg: {
          type: "structure",
          required: [
            "Enabled",
            "LogLevel"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            LogLevel: {}
          }
        },
        Sl: {
          type: "structure",
          members: {
            SecurityGroupIds: {
              shape: "Sm"
            },
            SubnetIds: {
              type: "list",
              member: {}
            }
          }
        },
        Sm: {
          type: "list",
          member: {}
        },
        St: {
          type: "map",
          key: {},
          value: {}
        },
        S1g: {
          type: "structure",
          members: {
            CloudWatchLogGroupArn: {},
            Enabled: {
              type: "boolean"
            },
            LogLevel: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/mwaa-2020-07-01.paginators.json
var require_mwaa_2020_07_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/mwaa-2020-07-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListEnvironments: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Environments"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/mwaa.js
var require_mwaa = __commonJS({
  "node_modules/aws-sdk/clients/mwaa.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["mwaa"] = {};
    AWS2.MWAA = Service.defineService("mwaa", ["2020-07-01"]);
    Object.defineProperty(apiLoader.services["mwaa"], "2020-07-01", {
      get: function get() {
        var model = require_mwaa_2020_07_01_min();
        model.paginators = require_mwaa_2020_07_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MWAA;
  }
});

// node_modules/aws-sdk/apis/amplifybackend-2020-08-11.min.json
var require_amplifybackend_2020_08_11_min = __commonJS({
  "node_modules/aws-sdk/apis/amplifybackend-2020-08-11.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2020-08-11",
        endpointPrefix: "amplifybackend",
        signingName: "amplifybackend",
        serviceFullName: "AmplifyBackend",
        serviceId: "AmplifyBackend",
        protocol: "rest-json",
        jsonVersion: "1.1",
        uid: "amplifybackend-2020-08-11",
        signatureVersion: "v4"
      },
      operations: {
        CloneBackend: {
          http: {
            requestUri: "/backend/{appId}/environments/{backendEnvironmentName}/clone",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              TargetEnvironmentName: {
                locationName: "targetEnvironmentName"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "TargetEnvironmentName"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              Error: {
                locationName: "error"
              },
              JobId: {
                locationName: "jobId"
              },
              Operation: {
                locationName: "operation"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        CreateBackend: {
          http: {
            requestUri: "/backend",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              AppName: {
                locationName: "appName"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              ResourceConfig: {
                locationName: "resourceConfig",
                type: "structure",
                members: {}
              },
              ResourceName: {
                locationName: "resourceName"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "AppName"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              Error: {
                locationName: "error"
              },
              JobId: {
                locationName: "jobId"
              },
              Operation: {
                locationName: "operation"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        CreateBackendAPI: {
          http: {
            requestUri: "/backend/{appId}/api",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              ResourceConfig: {
                shape: "S8",
                locationName: "resourceConfig"
              },
              ResourceName: {
                locationName: "resourceName"
              }
            },
            required: [
              "AppId",
              "ResourceName",
              "BackendEnvironmentName",
              "ResourceConfig"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              Error: {
                locationName: "error"
              },
              JobId: {
                locationName: "jobId"
              },
              Operation: {
                locationName: "operation"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        CreateBackendAuth: {
          http: {
            requestUri: "/backend/{appId}/auth",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              ResourceConfig: {
                shape: "Si",
                locationName: "resourceConfig"
              },
              ResourceName: {
                locationName: "resourceName"
              }
            },
            required: [
              "AppId",
              "ResourceName",
              "BackendEnvironmentName",
              "ResourceConfig"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              Error: {
                locationName: "error"
              },
              JobId: {
                locationName: "jobId"
              },
              Operation: {
                locationName: "operation"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        CreateBackendConfig: {
          http: {
            requestUri: "/backend/{appId}/config",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendManagerAppId: {
                locationName: "backendManagerAppId"
              }
            },
            required: [
              "AppId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              JobId: {
                locationName: "jobId"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        CreateBackendStorage: {
          http: {
            requestUri: "/backend/{appId}/storage",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              ResourceConfig: {
                locationName: "resourceConfig",
                type: "structure",
                members: {
                  BucketName: {
                    locationName: "bucketName"
                  },
                  Permissions: {
                    shape: "S1h",
                    locationName: "permissions"
                  },
                  ServiceName: {
                    locationName: "serviceName"
                  }
                },
                required: [
                  "ServiceName",
                  "Permissions"
                ]
              },
              ResourceName: {
                locationName: "resourceName"
              }
            },
            required: [
              "AppId",
              "ResourceName",
              "BackendEnvironmentName",
              "ResourceConfig"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              JobId: {
                locationName: "jobId"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        CreateToken: {
          http: {
            requestUri: "/backend/{appId}/challenge",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              }
            },
            required: [
              "AppId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              ChallengeCode: {
                locationName: "challengeCode"
              },
              SessionId: {
                locationName: "sessionId"
              },
              Ttl: {
                locationName: "ttl"
              }
            }
          }
        },
        DeleteBackend: {
          http: {
            requestUri: "/backend/{appId}/environments/{backendEnvironmentName}/remove",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              Error: {
                locationName: "error"
              },
              JobId: {
                locationName: "jobId"
              },
              Operation: {
                locationName: "operation"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        DeleteBackendAPI: {
          http: {
            requestUri: "/backend/{appId}/api/{backendEnvironmentName}/remove",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              ResourceConfig: {
                shape: "S8",
                locationName: "resourceConfig"
              },
              ResourceName: {
                locationName: "resourceName"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "ResourceName"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              Error: {
                locationName: "error"
              },
              JobId: {
                locationName: "jobId"
              },
              Operation: {
                locationName: "operation"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        DeleteBackendAuth: {
          http: {
            requestUri: "/backend/{appId}/auth/{backendEnvironmentName}/remove",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              ResourceName: {
                locationName: "resourceName"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "ResourceName"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              Error: {
                locationName: "error"
              },
              JobId: {
                locationName: "jobId"
              },
              Operation: {
                locationName: "operation"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        DeleteBackendStorage: {
          http: {
            requestUri: "/backend/{appId}/storage/{backendEnvironmentName}/remove",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              ResourceName: {
                locationName: "resourceName"
              },
              ServiceName: {
                locationName: "serviceName"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "ServiceName",
              "ResourceName"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              JobId: {
                locationName: "jobId"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        DeleteToken: {
          http: {
            requestUri: "/backend/{appId}/challenge/{sessionId}/remove",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              SessionId: {
                location: "uri",
                locationName: "sessionId"
              }
            },
            required: [
              "SessionId",
              "AppId"
            ]
          },
          output: {
            type: "structure",
            members: {
              IsSuccess: {
                locationName: "isSuccess",
                type: "boolean"
              }
            }
          }
        },
        GenerateBackendAPIModels: {
          http: {
            requestUri: "/backend/{appId}/api/{backendEnvironmentName}/generateModels",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              ResourceName: {
                locationName: "resourceName"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "ResourceName"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              Error: {
                locationName: "error"
              },
              JobId: {
                locationName: "jobId"
              },
              Operation: {
                locationName: "operation"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        GetBackend: {
          http: {
            requestUri: "/backend/{appId}/details",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              }
            },
            required: [
              "AppId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AmplifyFeatureFlags: {
                locationName: "amplifyFeatureFlags"
              },
              AmplifyMetaConfig: {
                locationName: "amplifyMetaConfig"
              },
              AppId: {
                locationName: "appId"
              },
              AppName: {
                locationName: "appName"
              },
              BackendEnvironmentList: {
                shape: "S11",
                locationName: "backendEnvironmentList"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              Error: {
                locationName: "error"
              }
            }
          }
        },
        GetBackendAPI: {
          http: {
            requestUri: "/backend/{appId}/api/{backendEnvironmentName}/details",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              ResourceConfig: {
                shape: "S8",
                locationName: "resourceConfig"
              },
              ResourceName: {
                locationName: "resourceName"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "ResourceName"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              Error: {
                locationName: "error"
              },
              ResourceConfig: {
                shape: "S8",
                locationName: "resourceConfig"
              },
              ResourceName: {
                locationName: "resourceName"
              }
            }
          }
        },
        GetBackendAPIModels: {
          http: {
            requestUri: "/backend/{appId}/api/{backendEnvironmentName}/getModels",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              ResourceName: {
                locationName: "resourceName"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "ResourceName"
            ]
          },
          output: {
            type: "structure",
            members: {
              Models: {
                locationName: "models"
              },
              Status: {
                locationName: "status"
              },
              ModelIntrospectionSchema: {
                locationName: "modelIntrospectionSchema"
              }
            }
          }
        },
        GetBackendAuth: {
          http: {
            requestUri: "/backend/{appId}/auth/{backendEnvironmentName}/details",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              ResourceName: {
                locationName: "resourceName"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "ResourceName"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              Error: {
                locationName: "error"
              },
              ResourceConfig: {
                shape: "Si",
                locationName: "resourceConfig"
              },
              ResourceName: {
                locationName: "resourceName"
              }
            }
          }
        },
        GetBackendJob: {
          http: {
            method: "GET",
            requestUri: "/backend/{appId}/job/{backendEnvironmentName}/{jobId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              JobId: {
                location: "uri",
                locationName: "jobId"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "JobId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              CreateTime: {
                locationName: "createTime"
              },
              Error: {
                locationName: "error"
              },
              JobId: {
                locationName: "jobId"
              },
              Operation: {
                locationName: "operation"
              },
              Status: {
                locationName: "status"
              },
              UpdateTime: {
                locationName: "updateTime"
              }
            }
          }
        },
        GetBackendStorage: {
          http: {
            requestUri: "/backend/{appId}/storage/{backendEnvironmentName}/details",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              ResourceName: {
                locationName: "resourceName"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "ResourceName"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              ResourceConfig: {
                locationName: "resourceConfig",
                type: "structure",
                members: {
                  BucketName: {
                    locationName: "bucketName"
                  },
                  Imported: {
                    locationName: "imported",
                    type: "boolean"
                  },
                  Permissions: {
                    shape: "S1h",
                    locationName: "permissions"
                  },
                  ServiceName: {
                    locationName: "serviceName"
                  }
                },
                required: [
                  "ServiceName",
                  "Imported"
                ]
              },
              ResourceName: {
                locationName: "resourceName"
              }
            }
          }
        },
        GetToken: {
          http: {
            method: "GET",
            requestUri: "/backend/{appId}/challenge/{sessionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              SessionId: {
                location: "uri",
                locationName: "sessionId"
              }
            },
            required: [
              "SessionId",
              "AppId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              ChallengeCode: {
                locationName: "challengeCode"
              },
              SessionId: {
                locationName: "sessionId"
              },
              Ttl: {
                locationName: "ttl"
              }
            }
          }
        },
        ImportBackendAuth: {
          http: {
            requestUri: "/backend/{appId}/auth/{backendEnvironmentName}/import",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              IdentityPoolId: {
                locationName: "identityPoolId"
              },
              NativeClientId: {
                locationName: "nativeClientId"
              },
              UserPoolId: {
                locationName: "userPoolId"
              },
              WebClientId: {
                locationName: "webClientId"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "UserPoolId",
              "NativeClientId",
              "WebClientId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              Error: {
                locationName: "error"
              },
              JobId: {
                locationName: "jobId"
              },
              Operation: {
                locationName: "operation"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        ImportBackendStorage: {
          http: {
            requestUri: "/backend/{appId}/storage/{backendEnvironmentName}/import",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              BucketName: {
                locationName: "bucketName"
              },
              ServiceName: {
                locationName: "serviceName"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "ServiceName"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              JobId: {
                locationName: "jobId"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        ListBackendJobs: {
          http: {
            requestUri: "/backend/{appId}/job/{backendEnvironmentName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              JobId: {
                locationName: "jobId"
              },
              MaxResults: {
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                locationName: "nextToken"
              },
              Operation: {
                locationName: "operation"
              },
              Status: {
                locationName: "status"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName"
            ]
          },
          output: {
            type: "structure",
            members: {
              Jobs: {
                locationName: "jobs",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AppId: {
                      locationName: "appId"
                    },
                    BackendEnvironmentName: {
                      locationName: "backendEnvironmentName"
                    },
                    CreateTime: {
                      locationName: "createTime"
                    },
                    Error: {
                      locationName: "error"
                    },
                    JobId: {
                      locationName: "jobId"
                    },
                    Operation: {
                      locationName: "operation"
                    },
                    Status: {
                      locationName: "status"
                    },
                    UpdateTime: {
                      locationName: "updateTime"
                    }
                  },
                  required: [
                    "AppId",
                    "BackendEnvironmentName"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListS3Buckets: {
          http: {
            requestUri: "/s3Buckets",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Buckets: {
                locationName: "buckets",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreationDate: {
                      locationName: "creationDate"
                    },
                    Name: {
                      locationName: "name"
                    }
                  }
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        RemoveAllBackends: {
          http: {
            requestUri: "/backend/{appId}/remove",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              CleanAmplifyApp: {
                locationName: "cleanAmplifyApp",
                type: "boolean"
              }
            },
            required: [
              "AppId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              Error: {
                locationName: "error"
              },
              JobId: {
                locationName: "jobId"
              },
              Operation: {
                locationName: "operation"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        RemoveBackendConfig: {
          http: {
            requestUri: "/backend/{appId}/config/remove",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              }
            },
            required: [
              "AppId"
            ]
          },
          output: {
            type: "structure",
            members: {
              Error: {
                locationName: "error"
              }
            }
          }
        },
        UpdateBackendAPI: {
          http: {
            requestUri: "/backend/{appId}/api/{backendEnvironmentName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              ResourceConfig: {
                shape: "S8",
                locationName: "resourceConfig"
              },
              ResourceName: {
                locationName: "resourceName"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "ResourceName"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              Error: {
                locationName: "error"
              },
              JobId: {
                locationName: "jobId"
              },
              Operation: {
                locationName: "operation"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        UpdateBackendAuth: {
          http: {
            requestUri: "/backend/{appId}/auth/{backendEnvironmentName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              ResourceConfig: {
                locationName: "resourceConfig",
                type: "structure",
                members: {
                  AuthResources: {
                    locationName: "authResources"
                  },
                  IdentityPoolConfigs: {
                    locationName: "identityPoolConfigs",
                    type: "structure",
                    members: {
                      UnauthenticatedLogin: {
                        locationName: "unauthenticatedLogin",
                        type: "boolean"
                      }
                    }
                  },
                  Service: {
                    locationName: "service"
                  },
                  UserPoolConfigs: {
                    locationName: "userPoolConfigs",
                    type: "structure",
                    members: {
                      ForgotPassword: {
                        locationName: "forgotPassword",
                        type: "structure",
                        members: {
                          DeliveryMethod: {
                            locationName: "deliveryMethod"
                          },
                          EmailSettings: {
                            shape: "Sq",
                            locationName: "emailSettings"
                          },
                          SmsSettings: {
                            shape: "Sr",
                            locationName: "smsSettings"
                          }
                        }
                      },
                      Mfa: {
                        locationName: "mfa",
                        type: "structure",
                        members: {
                          MFAMode: {},
                          Settings: {
                            shape: "Su",
                            locationName: "settings"
                          }
                        }
                      },
                      OAuth: {
                        locationName: "oAuth",
                        type: "structure",
                        members: {
                          DomainPrefix: {
                            locationName: "domainPrefix"
                          },
                          OAuthGrantType: {
                            locationName: "oAuthGrantType"
                          },
                          OAuthScopes: {
                            shape: "Sz",
                            locationName: "oAuthScopes"
                          },
                          RedirectSignInURIs: {
                            shape: "S11",
                            locationName: "redirectSignInURIs"
                          },
                          RedirectSignOutURIs: {
                            shape: "S11",
                            locationName: "redirectSignOutURIs"
                          },
                          SocialProviderSettings: {
                            shape: "S12",
                            locationName: "socialProviderSettings"
                          }
                        }
                      },
                      PasswordPolicy: {
                        locationName: "passwordPolicy",
                        type: "structure",
                        members: {
                          AdditionalConstraints: {
                            shape: "S16",
                            locationName: "additionalConstraints"
                          },
                          MinimumLength: {
                            locationName: "minimumLength",
                            type: "double"
                          }
                        }
                      },
                      VerificationMessage: {
                        locationName: "verificationMessage",
                        type: "structure",
                        members: {
                          DeliveryMethod: {
                            locationName: "deliveryMethod"
                          },
                          EmailSettings: {
                            shape: "Sq",
                            locationName: "emailSettings"
                          },
                          SmsSettings: {
                            shape: "Sr",
                            locationName: "smsSettings"
                          }
                        },
                        required: [
                          "DeliveryMethod"
                        ]
                      }
                    }
                  }
                },
                required: [
                  "AuthResources",
                  "UserPoolConfigs",
                  "Service"
                ]
              },
              ResourceName: {
                locationName: "resourceName"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "ResourceName",
              "ResourceConfig"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              Error: {
                locationName: "error"
              },
              JobId: {
                locationName: "jobId"
              },
              Operation: {
                locationName: "operation"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        },
        UpdateBackendConfig: {
          http: {
            requestUri: "/backend/{appId}/config/update",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              LoginAuthConfig: {
                shape: "S3c",
                locationName: "loginAuthConfig"
              }
            },
            required: [
              "AppId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendManagerAppId: {
                locationName: "backendManagerAppId"
              },
              Error: {
                locationName: "error"
              },
              LoginAuthConfig: {
                shape: "S3c",
                locationName: "loginAuthConfig"
              }
            }
          }
        },
        UpdateBackendJob: {
          http: {
            requestUri: "/backend/{appId}/job/{backendEnvironmentName}/{jobId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              JobId: {
                location: "uri",
                locationName: "jobId"
              },
              Operation: {
                locationName: "operation"
              },
              Status: {
                locationName: "status"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "JobId"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              CreateTime: {
                locationName: "createTime"
              },
              Error: {
                locationName: "error"
              },
              JobId: {
                locationName: "jobId"
              },
              Operation: {
                locationName: "operation"
              },
              Status: {
                locationName: "status"
              },
              UpdateTime: {
                locationName: "updateTime"
              }
            }
          }
        },
        UpdateBackendStorage: {
          http: {
            requestUri: "/backend/{appId}/storage/{backendEnvironmentName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AppId: {
                location: "uri",
                locationName: "appId"
              },
              BackendEnvironmentName: {
                location: "uri",
                locationName: "backendEnvironmentName"
              },
              ResourceConfig: {
                locationName: "resourceConfig",
                type: "structure",
                members: {
                  Permissions: {
                    shape: "S1h",
                    locationName: "permissions"
                  },
                  ServiceName: {
                    locationName: "serviceName"
                  }
                },
                required: [
                  "ServiceName",
                  "Permissions"
                ]
              },
              ResourceName: {
                locationName: "resourceName"
              }
            },
            required: [
              "AppId",
              "BackendEnvironmentName",
              "ResourceName",
              "ResourceConfig"
            ]
          },
          output: {
            type: "structure",
            members: {
              AppId: {
                locationName: "appId"
              },
              BackendEnvironmentName: {
                locationName: "backendEnvironmentName"
              },
              JobId: {
                locationName: "jobId"
              },
              Status: {
                locationName: "status"
              }
            }
          }
        }
      },
      shapes: {
        S8: {
          type: "structure",
          members: {
            AdditionalAuthTypes: {
              locationName: "additionalAuthTypes",
              type: "list",
              member: {
                shape: "Sa"
              }
            },
            ApiName: {
              locationName: "apiName"
            },
            ConflictResolution: {
              locationName: "conflictResolution",
              type: "structure",
              members: {
                ResolutionStrategy: {
                  locationName: "resolutionStrategy"
                }
              }
            },
            DefaultAuthType: {
              shape: "Sa",
              locationName: "defaultAuthType"
            },
            Service: {
              locationName: "service"
            },
            TransformSchema: {
              locationName: "transformSchema"
            }
          }
        },
        Sa: {
          type: "structure",
          members: {
            Mode: {
              locationName: "mode"
            },
            Settings: {
              locationName: "settings",
              type: "structure",
              members: {
                CognitoUserPoolId: {
                  locationName: "cognitoUserPoolId"
                },
                Description: {
                  locationName: "description"
                },
                ExpirationTime: {
                  locationName: "expirationTime",
                  type: "double"
                },
                OpenIDAuthTTL: {
                  locationName: "openIDAuthTTL"
                },
                OpenIDClientId: {
                  locationName: "openIDClientId"
                },
                OpenIDIatTTL: {
                  locationName: "openIDIatTTL"
                },
                OpenIDIssueURL: {
                  locationName: "openIDIssueURL"
                },
                OpenIDProviderName: {
                  locationName: "openIDProviderName"
                }
              }
            }
          }
        },
        Si: {
          type: "structure",
          members: {
            AuthResources: {
              locationName: "authResources"
            },
            IdentityPoolConfigs: {
              locationName: "identityPoolConfigs",
              type: "structure",
              members: {
                IdentityPoolName: {
                  locationName: "identityPoolName"
                },
                UnauthenticatedLogin: {
                  locationName: "unauthenticatedLogin",
                  type: "boolean"
                }
              },
              required: [
                "UnauthenticatedLogin",
                "IdentityPoolName"
              ]
            },
            Service: {
              locationName: "service"
            },
            UserPoolConfigs: {
              locationName: "userPoolConfigs",
              type: "structure",
              members: {
                ForgotPassword: {
                  locationName: "forgotPassword",
                  type: "structure",
                  members: {
                    DeliveryMethod: {
                      locationName: "deliveryMethod"
                    },
                    EmailSettings: {
                      shape: "Sq",
                      locationName: "emailSettings"
                    },
                    SmsSettings: {
                      shape: "Sr",
                      locationName: "smsSettings"
                    }
                  },
                  required: [
                    "DeliveryMethod"
                  ]
                },
                Mfa: {
                  locationName: "mfa",
                  type: "structure",
                  members: {
                    MFAMode: {},
                    Settings: {
                      shape: "Su",
                      locationName: "settings"
                    }
                  },
                  required: [
                    "MFAMode"
                  ]
                },
                OAuth: {
                  locationName: "oAuth",
                  type: "structure",
                  members: {
                    DomainPrefix: {
                      locationName: "domainPrefix"
                    },
                    OAuthGrantType: {
                      locationName: "oAuthGrantType"
                    },
                    OAuthScopes: {
                      shape: "Sz",
                      locationName: "oAuthScopes"
                    },
                    RedirectSignInURIs: {
                      shape: "S11",
                      locationName: "redirectSignInURIs"
                    },
                    RedirectSignOutURIs: {
                      shape: "S11",
                      locationName: "redirectSignOutURIs"
                    },
                    SocialProviderSettings: {
                      shape: "S12",
                      locationName: "socialProviderSettings"
                    }
                  },
                  required: [
                    "RedirectSignOutURIs",
                    "RedirectSignInURIs",
                    "OAuthGrantType",
                    "OAuthScopes"
                  ]
                },
                PasswordPolicy: {
                  locationName: "passwordPolicy",
                  type: "structure",
                  members: {
                    AdditionalConstraints: {
                      shape: "S16",
                      locationName: "additionalConstraints"
                    },
                    MinimumLength: {
                      locationName: "minimumLength",
                      type: "double"
                    }
                  },
                  required: [
                    "MinimumLength"
                  ]
                },
                RequiredSignUpAttributes: {
                  locationName: "requiredSignUpAttributes",
                  type: "list",
                  member: {}
                },
                SignInMethod: {
                  locationName: "signInMethod"
                },
                UserPoolName: {
                  locationName: "userPoolName"
                },
                VerificationMessage: {
                  locationName: "verificationMessage",
                  type: "structure",
                  members: {
                    DeliveryMethod: {
                      locationName: "deliveryMethod"
                    },
                    EmailSettings: {
                      shape: "Sq",
                      locationName: "emailSettings"
                    },
                    SmsSettings: {
                      shape: "Sr",
                      locationName: "smsSettings"
                    }
                  },
                  required: [
                    "DeliveryMethod"
                  ]
                }
              },
              required: [
                "RequiredSignUpAttributes",
                "SignInMethod",
                "UserPoolName"
              ]
            }
          },
          required: [
            "AuthResources",
            "UserPoolConfigs",
            "Service"
          ]
        },
        Sq: {
          type: "structure",
          members: {
            EmailMessage: {
              locationName: "emailMessage"
            },
            EmailSubject: {
              locationName: "emailSubject"
            }
          }
        },
        Sr: {
          type: "structure",
          members: {
            SmsMessage: {
              locationName: "smsMessage"
            }
          }
        },
        Su: {
          type: "structure",
          members: {
            MfaTypes: {
              locationName: "mfaTypes",
              type: "list",
              member: {}
            },
            SmsMessage: {
              locationName: "smsMessage"
            }
          }
        },
        Sz: {
          type: "list",
          member: {}
        },
        S11: {
          type: "list",
          member: {}
        },
        S12: {
          type: "structure",
          members: {
            Facebook: {
              shape: "S13"
            },
            Google: {
              shape: "S13"
            },
            LoginWithAmazon: {
              shape: "S13"
            },
            SignInWithApple: {
              type: "structure",
              members: {
                ClientId: {
                  locationName: "client_id"
                },
                KeyId: {
                  locationName: "key_id"
                },
                PrivateKey: {
                  locationName: "private_key"
                },
                TeamId: {
                  locationName: "team_id"
                }
              }
            }
          }
        },
        S13: {
          type: "structure",
          members: {
            ClientId: {
              locationName: "client_id"
            },
            ClientSecret: {
              locationName: "client_secret"
            }
          }
        },
        S16: {
          type: "list",
          member: {}
        },
        S1h: {
          type: "structure",
          members: {
            Authenticated: {
              locationName: "authenticated",
              type: "list",
              member: {}
            },
            UnAuthenticated: {
              locationName: "unAuthenticated",
              type: "list",
              member: {}
            }
          },
          required: [
            "Authenticated"
          ]
        },
        S3c: {
          type: "structure",
          members: {
            AwsCognitoIdentityPoolId: {
              locationName: "aws_cognito_identity_pool_id"
            },
            AwsCognitoRegion: {
              locationName: "aws_cognito_region"
            },
            AwsUserPoolsId: {
              locationName: "aws_user_pools_id"
            },
            AwsUserPoolsWebClientId: {
              locationName: "aws_user_pools_web_client_id"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/amplifybackend-2020-08-11.paginators.json
var require_amplifybackend_2020_08_11_paginators = __commonJS({
  "node_modules/aws-sdk/apis/amplifybackend-2020-08-11.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListBackendJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Jobs"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/amplifybackend.js
var require_amplifybackend = __commonJS({
  "node_modules/aws-sdk/clients/amplifybackend.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["amplifybackend"] = {};
    AWS2.AmplifyBackend = Service.defineService("amplifybackend", ["2020-08-11"]);
    Object.defineProperty(apiLoader.services["amplifybackend"], "2020-08-11", {
      get: function get() {
        var model = require_amplifybackend_2020_08_11_min();
        model.paginators = require_amplifybackend_2020_08_11_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.AmplifyBackend;
  }
});

// node_modules/aws-sdk/apis/appintegrations-2020-07-29.min.json
var require_appintegrations_2020_07_29_min = __commonJS({
  "node_modules/aws-sdk/apis/appintegrations-2020-07-29.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-07-29",
        endpointPrefix: "app-integrations",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon AppIntegrations Service",
        serviceId: "AppIntegrations",
        signatureVersion: "v4",
        signingName: "app-integrations",
        uid: "appintegrations-2020-07-29"
      },
      operations: {
        CreateDataIntegration: {
          http: {
            requestUri: "/dataIntegrations"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "KmsKey",
              "SourceURI",
              "ScheduleConfig"
            ],
            members: {
              Name: {},
              Description: {},
              KmsKey: {},
              SourceURI: {},
              ScheduleConfig: {
                shape: "S6"
              },
              Tags: {
                shape: "S8"
              },
              ClientToken: {
                idempotencyToken: true
              },
              FileConfiguration: {
                shape: "Sc"
              },
              ObjectConfiguration: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Id: {},
              Name: {},
              Description: {},
              KmsKey: {},
              SourceURI: {},
              ScheduleConfiguration: {
                shape: "S6"
              },
              Tags: {
                shape: "S8"
              },
              ClientToken: {},
              FileConfiguration: {
                shape: "Sc"
              },
              ObjectConfiguration: {
                shape: "Si"
              }
            }
          }
        },
        CreateEventIntegration: {
          http: {
            requestUri: "/eventIntegrations"
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "EventFilter",
              "EventBridgeBus"
            ],
            members: {
              Name: {},
              Description: {},
              EventFilter: {
                shape: "Sn"
              },
              EventBridgeBus: {},
              ClientToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventIntegrationArn: {}
            }
          }
        },
        DeleteDataIntegration: {
          http: {
            method: "DELETE",
            requestUri: "/dataIntegrations/{Identifier}"
          },
          input: {
            type: "structure",
            required: [
              "DataIntegrationIdentifier"
            ],
            members: {
              DataIntegrationIdentifier: {
                location: "uri",
                locationName: "Identifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEventIntegration: {
          http: {
            method: "DELETE",
            requestUri: "/eventIntegrations/{Name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetDataIntegration: {
          http: {
            method: "GET",
            requestUri: "/dataIntegrations/{Identifier}"
          },
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "Identifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Id: {},
              Name: {},
              Description: {},
              KmsKey: {},
              SourceURI: {},
              ScheduleConfiguration: {
                shape: "S6"
              },
              Tags: {
                shape: "S8"
              },
              FileConfiguration: {
                shape: "Sc"
              },
              ObjectConfiguration: {
                shape: "Si"
              }
            }
          }
        },
        GetEventIntegration: {
          http: {
            method: "GET",
            requestUri: "/eventIntegrations/{Name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Description: {},
              EventIntegrationArn: {},
              EventBridgeBus: {},
              EventFilter: {
                shape: "Sn"
              },
              Tags: {
                shape: "S8"
              }
            }
          }
        },
        ListDataIntegrationAssociations: {
          http: {
            method: "GET",
            requestUri: "/dataIntegrations/{Identifier}/associations"
          },
          input: {
            type: "structure",
            required: [
              "DataIntegrationIdentifier"
            ],
            members: {
              DataIntegrationIdentifier: {
                location: "uri",
                locationName: "Identifier"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataIntegrationAssociations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DataIntegrationAssociationArn: {},
                    DataIntegrationArn: {},
                    ClientId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDataIntegrations: {
          http: {
            method: "GET",
            requestUri: "/dataIntegrations"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DataIntegrations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Name: {},
                    SourceURI: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEventIntegrationAssociations: {
          http: {
            method: "GET",
            requestUri: "/eventIntegrations/{Name}/associations"
          },
          input: {
            type: "structure",
            required: [
              "EventIntegrationName"
            ],
            members: {
              EventIntegrationName: {
                location: "uri",
                locationName: "Name"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventIntegrationAssociations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EventIntegrationAssociationArn: {},
                    EventIntegrationAssociationId: {},
                    EventIntegrationName: {},
                    ClientId: {},
                    EventBridgeRuleName: {},
                    ClientAssociationMetadata: {
                      type: "map",
                      key: {},
                      value: {}
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEventIntegrations: {
          http: {
            method: "GET",
            requestUri: "/eventIntegrations"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EventIntegrations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EventIntegrationArn: {},
                    Name: {},
                    Description: {},
                    EventFilter: {
                      shape: "Sn"
                    },
                    EventBridgeBus: {},
                    Tags: {
                      shape: "S8"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S8"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDataIntegration: {
          http: {
            method: "PATCH",
            requestUri: "/dataIntegrations/{Identifier}"
          },
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "Identifier"
              },
              Name: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateEventIntegration: {
          http: {
            method: "PATCH",
            requestUri: "/eventIntegrations/{Name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              },
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S6: {
          type: "structure",
          required: [
            "ScheduleExpression"
          ],
          members: {
            FirstExecutionFrom: {},
            Object: {},
            ScheduleExpression: {}
          }
        },
        S8: {
          type: "map",
          key: {},
          value: {}
        },
        Sc: {
          type: "structure",
          required: [
            "Folders"
          ],
          members: {
            Folders: {
              type: "list",
              member: {}
            },
            Filters: {
              shape: "Sf"
            }
          }
        },
        Sf: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {}
          }
        },
        Si: {
          type: "map",
          key: {},
          value: {
            shape: "Sf"
          }
        },
        Sn: {
          type: "structure",
          required: [
            "Source"
          ],
          members: {
            Source: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/appintegrations-2020-07-29.paginators.json
var require_appintegrations_2020_07_29_paginators = __commonJS({
  "node_modules/aws-sdk/apis/appintegrations-2020-07-29.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/appintegrations.js
var require_appintegrations = __commonJS({
  "node_modules/aws-sdk/clients/appintegrations.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["appintegrations"] = {};
    AWS2.AppIntegrations = Service.defineService("appintegrations", ["2020-07-29"]);
    Object.defineProperty(apiLoader.services["appintegrations"], "2020-07-29", {
      get: function get() {
        var model = require_appintegrations_2020_07_29_min();
        model.paginators = require_appintegrations_2020_07_29_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.AppIntegrations;
  }
});

// node_modules/aws-sdk/apis/connect-contact-lens-2020-08-21.min.json
var require_connect_contact_lens_2020_08_21_min = __commonJS({
  "node_modules/aws-sdk/apis/connect-contact-lens-2020-08-21.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-08-21",
        endpointPrefix: "contact-lens",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Amazon Connect Contact Lens",
        serviceFullName: "Amazon Connect Contact Lens",
        serviceId: "Connect Contact Lens",
        signatureVersion: "v4",
        signingName: "connect",
        uid: "connect-contact-lens-2020-08-21"
      },
      operations: {
        ListRealtimeContactAnalysisSegments: {
          http: {
            requestUri: "/realtime-contact-analysis/analysis-segments"
          },
          input: {
            type: "structure",
            required: [
              "InstanceId",
              "ContactId"
            ],
            members: {
              InstanceId: {},
              ContactId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Segments"
            ],
            members: {
              Segments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Transcript: {
                      type: "structure",
                      required: [
                        "Id",
                        "ParticipantId",
                        "ParticipantRole",
                        "Content",
                        "BeginOffsetMillis",
                        "EndOffsetMillis",
                        "Sentiment"
                      ],
                      members: {
                        Id: {},
                        ParticipantId: {},
                        ParticipantRole: {},
                        Content: {},
                        BeginOffsetMillis: {
                          type: "integer"
                        },
                        EndOffsetMillis: {
                          type: "integer"
                        },
                        Sentiment: {},
                        IssuesDetected: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "CharacterOffsets"
                            ],
                            members: {
                              CharacterOffsets: {
                                type: "structure",
                                required: [
                                  "BeginOffsetChar",
                                  "EndOffsetChar"
                                ],
                                members: {
                                  BeginOffsetChar: {
                                    type: "integer"
                                  },
                                  EndOffsetChar: {
                                    type: "integer"
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    Categories: {
                      type: "structure",
                      required: [
                        "MatchedCategories",
                        "MatchedDetails"
                      ],
                      members: {
                        MatchedCategories: {
                          type: "list",
                          member: {}
                        },
                        MatchedDetails: {
                          type: "map",
                          key: {},
                          value: {
                            type: "structure",
                            required: [
                              "PointsOfInterest"
                            ],
                            members: {
                              PointsOfInterest: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  required: [
                                    "BeginOffsetMillis",
                                    "EndOffsetMillis"
                                  ],
                                  members: {
                                    BeginOffsetMillis: {
                                      type: "integer"
                                    },
                                    EndOffsetMillis: {
                                      type: "integer"
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        }
      },
      shapes: {}
    };
  }
});

// node_modules/aws-sdk/apis/connect-contact-lens-2020-08-21.paginators.json
var require_connect_contact_lens_2020_08_21_paginators = __commonJS({
  "node_modules/aws-sdk/apis/connect-contact-lens-2020-08-21.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListRealtimeContactAnalysisSegments: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/connectcontactlens.js
var require_connectcontactlens = __commonJS({
  "node_modules/aws-sdk/clients/connectcontactlens.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["connectcontactlens"] = {};
    AWS2.ConnectContactLens = Service.defineService("connectcontactlens", ["2020-08-21"]);
    Object.defineProperty(apiLoader.services["connectcontactlens"], "2020-08-21", {
      get: function get() {
        var model = require_connect_contact_lens_2020_08_21_min();
        model.paginators = require_connect_contact_lens_2020_08_21_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ConnectContactLens;
  }
});

// node_modules/aws-sdk/apis/devops-guru-2020-12-01.min.json
var require_devops_guru_2020_12_01_min = __commonJS({
  "node_modules/aws-sdk/apis/devops-guru-2020-12-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-12-01",
        endpointPrefix: "devops-guru",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon DevOps Guru",
        serviceId: "DevOps Guru",
        signatureVersion: "v4",
        signingName: "devops-guru",
        uid: "devops-guru-2020-12-01"
      },
      operations: {
        AddNotificationChannel: {
          http: {
            method: "PUT",
            requestUri: "/channels",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Config"
            ],
            members: {
              Config: {
                shape: "S2"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          }
        },
        DeleteInsight: {
          http: {
            method: "DELETE",
            requestUri: "/insights/{Id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeAccountHealth: {
          http: {
            method: "GET",
            requestUri: "/accounts/health",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "OpenReactiveInsights",
              "OpenProactiveInsights",
              "MetricsAnalyzed",
              "ResourceHours"
            ],
            members: {
              OpenReactiveInsights: {
                type: "integer"
              },
              OpenProactiveInsights: {
                type: "integer"
              },
              MetricsAnalyzed: {
                type: "integer"
              },
              ResourceHours: {
                type: "long"
              },
              AnalyzedResourceCount: {
                type: "long"
              }
            }
          }
        },
        DescribeAccountOverview: {
          http: {
            requestUri: "/accounts/overview",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FromTime"
            ],
            members: {
              FromTime: {
                type: "timestamp"
              },
              ToTime: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ReactiveInsights",
              "ProactiveInsights",
              "MeanTimeToRecoverInMilliseconds"
            ],
            members: {
              ReactiveInsights: {
                type: "integer"
              },
              ProactiveInsights: {
                type: "integer"
              },
              MeanTimeToRecoverInMilliseconds: {
                type: "long"
              }
            }
          }
        },
        DescribeAnomaly: {
          http: {
            method: "GET",
            requestUri: "/anomalies/{Id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              AccountId: {
                location: "querystring",
                locationName: "AccountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProactiveAnomaly: {
                type: "structure",
                members: {
                  Id: {},
                  Severity: {},
                  Status: {},
                  UpdateTime: {
                    type: "timestamp"
                  },
                  AnomalyTimeRange: {
                    shape: "Sz"
                  },
                  AnomalyReportedTimeRange: {
                    shape: "S10"
                  },
                  PredictionTimeRange: {
                    shape: "S11"
                  },
                  SourceDetails: {
                    shape: "S12"
                  },
                  AssociatedInsightId: {},
                  ResourceCollection: {
                    shape: "S27"
                  },
                  Limit: {
                    type: "double"
                  },
                  SourceMetadata: {
                    shape: "S2h"
                  },
                  AnomalyResources: {
                    shape: "S2l"
                  },
                  Description: {}
                }
              },
              ReactiveAnomaly: {
                type: "structure",
                members: {
                  Id: {},
                  Severity: {},
                  Status: {},
                  AnomalyTimeRange: {
                    shape: "Sz"
                  },
                  AnomalyReportedTimeRange: {
                    shape: "S10"
                  },
                  SourceDetails: {
                    shape: "S12"
                  },
                  AssociatedInsightId: {},
                  ResourceCollection: {
                    shape: "S27"
                  },
                  Type: {},
                  Name: {},
                  Description: {},
                  CausalAnomalyId: {},
                  AnomalyResources: {
                    shape: "S2l"
                  }
                }
              }
            }
          }
        },
        DescribeEventSourcesConfig: {
          http: {
            requestUri: "/event-sources",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              EventSources: {
                shape: "S2t"
              }
            }
          }
        },
        DescribeFeedback: {
          http: {
            requestUri: "/feedback",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              InsightId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InsightFeedback: {
                shape: "S2y"
              }
            }
          }
        },
        DescribeInsight: {
          http: {
            method: "GET",
            requestUri: "/insights/{Id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              AccountId: {
                location: "querystring",
                locationName: "AccountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProactiveInsight: {
                type: "structure",
                members: {
                  Id: {},
                  Name: {},
                  Severity: {},
                  Status: {},
                  InsightTimeRange: {
                    shape: "S35"
                  },
                  PredictionTimeRange: {
                    shape: "S11"
                  },
                  ResourceCollection: {
                    shape: "S27"
                  },
                  SsmOpsItemId: {},
                  Description: {}
                }
              },
              ReactiveInsight: {
                type: "structure",
                members: {
                  Id: {},
                  Name: {},
                  Severity: {},
                  Status: {},
                  InsightTimeRange: {
                    shape: "S35"
                  },
                  ResourceCollection: {
                    shape: "S27"
                  },
                  SsmOpsItemId: {},
                  Description: {}
                }
              }
            }
          }
        },
        DescribeOrganizationHealth: {
          http: {
            requestUri: "/organization/health",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AccountIds: {
                shape: "S3a"
              },
              OrganizationalUnitIds: {
                shape: "S3b"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "OpenReactiveInsights",
              "OpenProactiveInsights",
              "MetricsAnalyzed",
              "ResourceHours"
            ],
            members: {
              OpenReactiveInsights: {
                type: "integer"
              },
              OpenProactiveInsights: {
                type: "integer"
              },
              MetricsAnalyzed: {
                type: "integer"
              },
              ResourceHours: {
                type: "long"
              }
            }
          }
        },
        DescribeOrganizationOverview: {
          http: {
            requestUri: "/organization/overview",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FromTime"
            ],
            members: {
              FromTime: {
                type: "timestamp"
              },
              ToTime: {
                type: "timestamp"
              },
              AccountIds: {
                shape: "S3a"
              },
              OrganizationalUnitIds: {
                shape: "S3b"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ReactiveInsights",
              "ProactiveInsights"
            ],
            members: {
              ReactiveInsights: {
                type: "integer"
              },
              ProactiveInsights: {
                type: "integer"
              }
            }
          }
        },
        DescribeOrganizationResourceCollectionHealth: {
          http: {
            requestUri: "/organization/health/resource-collection",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "OrganizationResourceCollectionType"
            ],
            members: {
              OrganizationResourceCollectionType: {},
              AccountIds: {
                shape: "S3a"
              },
              OrganizationalUnitIds: {
                shape: "S3b"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFormation: {
                shape: "S3l"
              },
              Service: {
                shape: "S3o"
              },
              Account: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AccountId: {},
                    Insight: {
                      type: "structure",
                      members: {
                        OpenProactiveInsights: {
                          type: "integer"
                        },
                        OpenReactiveInsights: {
                          type: "integer"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {},
              Tags: {
                shape: "S3v"
              }
            }
          }
        },
        DescribeResourceCollectionHealth: {
          http: {
            method: "GET",
            requestUri: "/accounts/health/resource-collection/{ResourceCollectionType}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceCollectionType"
            ],
            members: {
              ResourceCollectionType: {
                location: "uri",
                locationName: "ResourceCollectionType"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CloudFormation: {
                shape: "S3l"
              },
              Service: {
                shape: "S3o"
              },
              NextToken: {},
              Tags: {
                shape: "S3v"
              }
            }
          }
        },
        DescribeServiceIntegration: {
          http: {
            method: "GET",
            requestUri: "/service-integrations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              ServiceIntegration: {
                type: "structure",
                members: {
                  OpsCenter: {
                    type: "structure",
                    members: {
                      OptInStatus: {}
                    }
                  },
                  LogsAnomalyDetection: {
                    type: "structure",
                    members: {
                      OptInStatus: {}
                    }
                  },
                  KMSServerSideEncryption: {
                    type: "structure",
                    members: {
                      KMSKeyId: {},
                      OptInStatus: {},
                      Type: {}
                    }
                  }
                }
              }
            }
          }
        },
        GetCostEstimation: {
          http: {
            method: "GET",
            requestUri: "/cost-estimation",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceCollection: {
                shape: "S4b"
              },
              Status: {},
              Costs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    State: {},
                    Count: {
                      type: "integer"
                    },
                    UnitCost: {
                      type: "double"
                    },
                    Cost: {
                      type: "double"
                    }
                  }
                }
              },
              TimeRange: {
                type: "structure",
                members: {
                  StartTime: {
                    type: "timestamp"
                  },
                  EndTime: {
                    type: "timestamp"
                  }
                }
              },
              TotalCost: {
                type: "double"
              },
              NextToken: {}
            }
          }
        },
        GetResourceCollection: {
          http: {
            method: "GET",
            requestUri: "/resource-collections/{ResourceCollectionType}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceCollectionType"
            ],
            members: {
              ResourceCollectionType: {
                location: "uri",
                locationName: "ResourceCollectionType"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceCollection: {
                type: "structure",
                members: {
                  CloudFormation: {
                    type: "structure",
                    members: {
                      StackNames: {
                        shape: "S29"
                      }
                    }
                  },
                  Tags: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "AppBoundaryKey",
                        "TagValues"
                      ],
                      members: {
                        AppBoundaryKey: {},
                        TagValues: {
                          shape: "S2e"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAnomaliesForInsight: {
          http: {
            requestUri: "/anomalies/insight/{InsightId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "InsightId"
            ],
            members: {
              InsightId: {
                location: "uri",
                locationName: "InsightId"
              },
              StartTimeRange: {
                shape: "S4v"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              AccountId: {},
              Filters: {
                type: "structure",
                members: {
                  ServiceCollection: {
                    shape: "S4y"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProactiveAnomalies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Severity: {},
                    Status: {},
                    UpdateTime: {
                      type: "timestamp"
                    },
                    AnomalyTimeRange: {
                      shape: "Sz"
                    },
                    AnomalyReportedTimeRange: {
                      shape: "S10"
                    },
                    PredictionTimeRange: {
                      shape: "S11"
                    },
                    SourceDetails: {
                      shape: "S12"
                    },
                    AssociatedInsightId: {},
                    ResourceCollection: {
                      shape: "S27"
                    },
                    Limit: {
                      type: "double"
                    },
                    SourceMetadata: {
                      shape: "S2h"
                    },
                    AnomalyResources: {
                      shape: "S2l"
                    },
                    Description: {}
                  }
                }
              },
              ReactiveAnomalies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Severity: {},
                    Status: {},
                    AnomalyTimeRange: {
                      shape: "Sz"
                    },
                    AnomalyReportedTimeRange: {
                      shape: "S10"
                    },
                    SourceDetails: {
                      shape: "S12"
                    },
                    AssociatedInsightId: {},
                    ResourceCollection: {
                      shape: "S27"
                    },
                    Type: {},
                    Name: {},
                    Description: {},
                    CausalAnomalyId: {},
                    AnomalyResources: {
                      shape: "S2l"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAnomalousLogGroups: {
          http: {
            requestUri: "/list-log-anomalies",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "InsightId"
            ],
            members: {
              InsightId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "InsightId",
              "AnomalousLogGroups"
            ],
            members: {
              InsightId: {},
              AnomalousLogGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LogGroupName: {},
                    ImpactStartTime: {
                      type: "timestamp"
                    },
                    ImpactEndTime: {
                      type: "timestamp"
                    },
                    NumberOfLogLinesScanned: {
                      type: "integer"
                    },
                    LogAnomalyShowcases: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          LogAnomalyClasses: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                LogStreamName: {},
                                LogAnomalyType: {},
                                LogAnomalyToken: {},
                                LogEventId: {},
                                Explanation: {},
                                NumberOfLogLinesOccurrences: {
                                  type: "integer"
                                },
                                LogEventTimestamp: {
                                  type: "timestamp"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEvents: {
          http: {
            requestUri: "/events",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Filters"
            ],
            members: {
              Filters: {
                type: "structure",
                members: {
                  InsightId: {},
                  EventTimeRange: {
                    type: "structure",
                    required: [
                      "FromTime",
                      "ToTime"
                    ],
                    members: {
                      FromTime: {
                        type: "timestamp"
                      },
                      ToTime: {
                        type: "timestamp"
                      }
                    }
                  },
                  EventClass: {},
                  EventSource: {},
                  DataSource: {},
                  ResourceCollection: {
                    shape: "S27"
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              AccountId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Events"
            ],
            members: {
              Events: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceCollection: {
                      shape: "S27"
                    },
                    Id: {},
                    Time: {
                      type: "timestamp"
                    },
                    EventSource: {},
                    Name: {},
                    DataSource: {},
                    EventClass: {},
                    Resources: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Type: {},
                          Name: {},
                          Arn: {}
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListInsights: {
          http: {
            requestUri: "/insights",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "StatusFilter"
            ],
            members: {
              StatusFilter: {
                shape: "S64"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProactiveInsights: {
                shape: "S6c"
              },
              ReactiveInsights: {
                shape: "S6g"
              },
              NextToken: {}
            }
          }
        },
        ListMonitoredResources: {
          http: {
            requestUri: "/monitoredResources",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "structure",
                required: [
                  "ResourcePermission",
                  "ResourceTypeFilters"
                ],
                members: {
                  ResourcePermission: {},
                  ResourceTypeFilters: {
                    type: "list",
                    member: {}
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "MonitoredResourceIdentifiers"
            ],
            members: {
              MonitoredResourceIdentifiers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MonitoredResourceName: {},
                    Type: {},
                    ResourcePermission: {},
                    LastUpdated: {
                      type: "timestamp"
                    },
                    ResourceCollection: {
                      shape: "S27"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListNotificationChannels: {
          http: {
            requestUri: "/channels",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Channels: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Config: {
                      shape: "S2"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListOrganizationInsights: {
          http: {
            requestUri: "/organization/insights",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "StatusFilter"
            ],
            members: {
              StatusFilter: {
                shape: "S64"
              },
              MaxResults: {
                type: "integer"
              },
              AccountIds: {
                type: "list",
                member: {}
              },
              OrganizationalUnitIds: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProactiveInsights: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    AccountId: {},
                    OrganizationalUnitId: {},
                    Name: {},
                    Severity: {},
                    Status: {},
                    InsightTimeRange: {
                      shape: "S35"
                    },
                    PredictionTimeRange: {
                      shape: "S11"
                    },
                    ResourceCollection: {
                      shape: "S27"
                    },
                    ServiceCollection: {
                      shape: "S4y"
                    }
                  }
                }
              },
              ReactiveInsights: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    AccountId: {},
                    OrganizationalUnitId: {},
                    Name: {},
                    Severity: {},
                    Status: {},
                    InsightTimeRange: {
                      shape: "S35"
                    },
                    ResourceCollection: {
                      shape: "S27"
                    },
                    ServiceCollection: {
                      shape: "S4y"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListRecommendations: {
          http: {
            requestUri: "/recommendations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "InsightId"
            ],
            members: {
              InsightId: {},
              NextToken: {},
              Locale: {},
              AccountId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Recommendations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Description: {},
                    Link: {},
                    Name: {},
                    Reason: {},
                    RelatedEvents: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {},
                          Resources: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Name: {},
                                Type: {}
                              }
                            }
                          }
                        }
                      }
                    },
                    RelatedAnomalies: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Resources: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                Name: {},
                                Type: {}
                              }
                            }
                          },
                          SourceDetails: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                CloudWatchMetrics: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      MetricName: {},
                                      Namespace: {}
                                    }
                                  }
                                }
                              }
                            }
                          },
                          AnomalyId: {}
                        }
                      }
                    },
                    Category: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        PutFeedback: {
          http: {
            method: "PUT",
            requestUri: "/feedback",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              InsightFeedback: {
                shape: "S2y"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RemoveNotificationChannel: {
          http: {
            method: "DELETE",
            requestUri: "/channels/{Id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SearchInsights: {
          http: {
            requestUri: "/insights/search",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "StartTimeRange",
              "Type"
            ],
            members: {
              StartTimeRange: {
                shape: "S4v"
              },
              Filters: {
                type: "structure",
                members: {
                  Severities: {
                    shape: "S6"
                  },
                  Statuses: {
                    shape: "S83"
                  },
                  ResourceCollection: {
                    shape: "S27"
                  },
                  ServiceCollection: {
                    shape: "S4y"
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProactiveInsights: {
                shape: "S6c"
              },
              ReactiveInsights: {
                shape: "S6g"
              },
              NextToken: {}
            }
          }
        },
        SearchOrganizationInsights: {
          http: {
            requestUri: "/organization/insights/search",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AccountIds",
              "StartTimeRange",
              "Type"
            ],
            members: {
              AccountIds: {
                type: "list",
                member: {}
              },
              StartTimeRange: {
                shape: "S4v"
              },
              Filters: {
                type: "structure",
                members: {
                  Severities: {
                    shape: "S6"
                  },
                  Statuses: {
                    shape: "S83"
                  },
                  ResourceCollection: {
                    shape: "S27"
                  },
                  ServiceCollection: {
                    shape: "S4y"
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProactiveInsights: {
                shape: "S6c"
              },
              ReactiveInsights: {
                shape: "S6g"
              },
              NextToken: {}
            }
          }
        },
        StartCostEstimation: {
          http: {
            method: "PUT",
            requestUri: "/cost-estimation",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceCollection"
            ],
            members: {
              ResourceCollection: {
                shape: "S4b"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateEventSourcesConfig: {
          http: {
            method: "PUT",
            requestUri: "/event-sources",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              EventSources: {
                shape: "S2t"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateResourceCollection: {
          http: {
            method: "PUT",
            requestUri: "/resource-collections",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Action",
              "ResourceCollection"
            ],
            members: {
              Action: {},
              ResourceCollection: {
                type: "structure",
                members: {
                  CloudFormation: {
                    type: "structure",
                    members: {
                      StackNames: {
                        type: "list",
                        member: {}
                      }
                    }
                  },
                  Tags: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "AppBoundaryKey",
                        "TagValues"
                      ],
                      members: {
                        AppBoundaryKey: {},
                        TagValues: {
                          type: "list",
                          member: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateServiceIntegration: {
          http: {
            method: "PUT",
            requestUri: "/service-integrations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ServiceIntegration"
            ],
            members: {
              ServiceIntegration: {
                type: "structure",
                members: {
                  OpsCenter: {
                    type: "structure",
                    members: {
                      OptInStatus: {}
                    }
                  },
                  LogsAnomalyDetection: {
                    type: "structure",
                    members: {
                      OptInStatus: {}
                    }
                  },
                  KMSServerSideEncryption: {
                    type: "structure",
                    members: {
                      KMSKeyId: {},
                      OptInStatus: {},
                      Type: {}
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S2: {
          type: "structure",
          required: [
            "Sns"
          ],
          members: {
            Sns: {
              type: "structure",
              members: {
                TopicArn: {}
              }
            },
            Filters: {
              type: "structure",
              members: {
                Severities: {
                  shape: "S6"
                },
                MessageTypes: {
                  type: "list",
                  member: {}
                }
              }
            }
          }
        },
        S6: {
          type: "list",
          member: {}
        },
        Sz: {
          type: "structure",
          required: [
            "StartTime"
          ],
          members: {
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            }
          }
        },
        S10: {
          type: "structure",
          required: [
            "OpenTime"
          ],
          members: {
            OpenTime: {
              type: "timestamp"
            },
            CloseTime: {
              type: "timestamp"
            }
          }
        },
        S11: {
          type: "structure",
          required: [
            "StartTime"
          ],
          members: {
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            }
          }
        },
        S12: {
          type: "structure",
          members: {
            CloudWatchMetrics: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  MetricName: {},
                  Namespace: {},
                  Dimensions: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {},
                        Value: {}
                      }
                    }
                  },
                  Stat: {},
                  Unit: {},
                  Period: {
                    type: "integer"
                  },
                  MetricDataSummary: {
                    type: "structure",
                    members: {
                      TimestampMetricValuePairList: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            Timestamp: {
                              type: "timestamp"
                            },
                            MetricValue: {
                              type: "double"
                            }
                          }
                        }
                      },
                      StatusCode: {}
                    }
                  }
                }
              }
            },
            PerformanceInsightsMetrics: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  MetricDisplayName: {},
                  Unit: {},
                  MetricQuery: {
                    shape: "S1n"
                  },
                  ReferenceData: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {},
                        ComparisonValues: {
                          type: "structure",
                          members: {
                            ReferenceScalar: {
                              type: "structure",
                              members: {
                                Value: {
                                  type: "double"
                                }
                              }
                            },
                            ReferenceMetric: {
                              type: "structure",
                              members: {
                                MetricQuery: {
                                  shape: "S1n"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  StatsAtAnomaly: {
                    shape: "S24"
                  },
                  StatsAtBaseline: {
                    shape: "S24"
                  }
                }
              }
            }
          }
        },
        S1n: {
          type: "structure",
          members: {
            Metric: {},
            GroupBy: {
              type: "structure",
              members: {
                Group: {},
                Dimensions: {
                  type: "list",
                  member: {}
                },
                Limit: {
                  type: "integer"
                }
              }
            },
            Filter: {
              type: "map",
              key: {},
              value: {}
            }
          }
        },
        S24: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Type: {},
              Value: {
                type: "double"
              }
            }
          }
        },
        S27: {
          type: "structure",
          members: {
            CloudFormation: {
              type: "structure",
              members: {
                StackNames: {
                  shape: "S29"
                }
              }
            },
            Tags: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "AppBoundaryKey",
                  "TagValues"
                ],
                members: {
                  AppBoundaryKey: {},
                  TagValues: {
                    shape: "S2e"
                  }
                }
              }
            }
          }
        },
        S29: {
          type: "list",
          member: {}
        },
        S2e: {
          type: "list",
          member: {}
        },
        S2h: {
          type: "structure",
          members: {
            Source: {},
            SourceResourceName: {},
            SourceResourceType: {}
          }
        },
        S2l: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Type: {}
            }
          }
        },
        S2t: {
          type: "structure",
          members: {
            AmazonCodeGuruProfiler: {
              type: "structure",
              members: {
                Status: {}
              }
            }
          }
        },
        S2y: {
          type: "structure",
          members: {
            Id: {},
            Feedback: {}
          }
        },
        S35: {
          type: "structure",
          required: [
            "StartTime"
          ],
          members: {
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            }
          }
        },
        S3a: {
          type: "list",
          member: {}
        },
        S3b: {
          type: "list",
          member: {}
        },
        S3l: {
          type: "list",
          member: {
            type: "structure",
            members: {
              StackName: {},
              Insight: {
                shape: "S3n"
              },
              AnalyzedResourceCount: {
                type: "long"
              }
            }
          }
        },
        S3n: {
          type: "structure",
          members: {
            OpenProactiveInsights: {
              type: "integer"
            },
            OpenReactiveInsights: {
              type: "integer"
            },
            MeanTimeToRecoverInMilliseconds: {
              type: "long"
            }
          }
        },
        S3o: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ServiceName: {},
              Insight: {
                type: "structure",
                members: {
                  OpenProactiveInsights: {
                    type: "integer"
                  },
                  OpenReactiveInsights: {
                    type: "integer"
                  }
                }
              },
              AnalyzedResourceCount: {
                type: "long"
              }
            }
          }
        },
        S3v: {
          type: "list",
          member: {
            type: "structure",
            members: {
              AppBoundaryKey: {},
              TagValue: {},
              Insight: {
                shape: "S3n"
              },
              AnalyzedResourceCount: {
                type: "long"
              }
            }
          }
        },
        S4b: {
          type: "structure",
          members: {
            CloudFormation: {
              type: "structure",
              members: {
                StackNames: {
                  type: "list",
                  member: {}
                }
              }
            },
            Tags: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "AppBoundaryKey",
                  "TagValues"
                ],
                members: {
                  AppBoundaryKey: {},
                  TagValues: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          }
        },
        S4v: {
          type: "structure",
          members: {
            FromTime: {
              type: "timestamp"
            },
            ToTime: {
              type: "timestamp"
            }
          }
        },
        S4y: {
          type: "structure",
          members: {
            ServiceNames: {
              type: "list",
              member: {}
            }
          }
        },
        S64: {
          type: "structure",
          members: {
            Ongoing: {
              type: "structure",
              required: [
                "Type"
              ],
              members: {
                Type: {}
              }
            },
            Closed: {
              type: "structure",
              required: [
                "Type",
                "EndTimeRange"
              ],
              members: {
                Type: {},
                EndTimeRange: {
                  type: "structure",
                  members: {
                    FromTime: {
                      type: "timestamp"
                    },
                    ToTime: {
                      type: "timestamp"
                    }
                  }
                }
              }
            },
            Any: {
              type: "structure",
              required: [
                "Type",
                "StartTimeRange"
              ],
              members: {
                Type: {},
                StartTimeRange: {
                  shape: "S4v"
                }
              }
            }
          }
        },
        S6c: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Id: {},
              Name: {},
              Severity: {},
              Status: {},
              InsightTimeRange: {
                shape: "S35"
              },
              PredictionTimeRange: {
                shape: "S11"
              },
              ResourceCollection: {
                shape: "S27"
              },
              ServiceCollection: {
                shape: "S4y"
              },
              AssociatedResourceArns: {
                shape: "S6e"
              }
            }
          }
        },
        S6e: {
          type: "list",
          member: {}
        },
        S6g: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Id: {},
              Name: {},
              Severity: {},
              Status: {},
              InsightTimeRange: {
                shape: "S35"
              },
              ResourceCollection: {
                shape: "S27"
              },
              ServiceCollection: {
                shape: "S4y"
              },
              AssociatedResourceArns: {
                shape: "S6e"
              }
            }
          }
        },
        S83: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/devops-guru-2020-12-01.paginators.json
var require_devops_guru_2020_12_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/devops-guru-2020-12-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeOrganizationResourceCollectionHealth: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: [
            "CloudFormation",
            "Account",
            "Service",
            "Tags"
          ]
        },
        DescribeResourceCollectionHealth: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: [
            "CloudFormation",
            "Service",
            "Tags"
          ]
        },
        GetCostEstimation: {
          input_token: "NextToken",
          non_aggregate_keys: [
            "Status",
            "TotalCost",
            "TimeRange",
            "ResourceCollection"
          ],
          output_token: "NextToken",
          result_key: [
            "Costs"
          ]
        },
        GetResourceCollection: {
          input_token: "NextToken",
          non_aggregate_keys: [
            "ResourceCollection"
          ],
          output_token: "NextToken",
          result_key: [
            "ResourceCollection.CloudFormation.StackNames",
            "ResourceCollection.Tags"
          ]
        },
        ListAnomaliesForInsight: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: [
            "ReactiveAnomalies",
            "ProactiveAnomalies"
          ]
        },
        ListAnomalousLogGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: [
            "InsightId",
            "AnomalousLogGroups"
          ]
        },
        ListEvents: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Events"
        },
        ListInsights: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: [
            "ProactiveInsights",
            "ReactiveInsights"
          ]
        },
        ListMonitoredResources: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: [
            "MonitoredResourceIdentifiers"
          ]
        },
        ListNotificationChannels: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Channels"
        },
        ListOrganizationInsights: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: [
            "ProactiveInsights",
            "ReactiveInsights"
          ]
        },
        ListRecommendations: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "Recommendations"
        },
        SearchInsights: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: [
            "ProactiveInsights",
            "ReactiveInsights"
          ]
        },
        SearchOrganizationInsights: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: [
            "ProactiveInsights",
            "ReactiveInsights"
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/devopsguru.js
var require_devopsguru = __commonJS({
  "node_modules/aws-sdk/clients/devopsguru.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["devopsguru"] = {};
    AWS2.DevOpsGuru = Service.defineService("devopsguru", ["2020-12-01"]);
    Object.defineProperty(apiLoader.services["devopsguru"], "2020-12-01", {
      get: function get() {
        var model = require_devops_guru_2020_12_01_min();
        model.paginators = require_devops_guru_2020_12_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.DevOpsGuru;
  }
});

// node_modules/aws-sdk/apis/ecr-public-2020-10-30.min.json
var require_ecr_public_2020_10_30_min = __commonJS({
  "node_modules/aws-sdk/apis/ecr-public-2020-10-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-10-30",
        endpointPrefix: "api.ecr-public",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Amazon ECR Public",
        serviceFullName: "Amazon Elastic Container Registry Public",
        serviceId: "ECR PUBLIC",
        signatureVersion: "v4",
        signingName: "ecr-public",
        targetPrefix: "SpencerFrontendService",
        uid: "ecr-public-2020-10-30"
      },
      operations: {
        BatchCheckLayerAvailability: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "layerDigests"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              layerDigests: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              layers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    layerDigest: {},
                    layerAvailability: {},
                    layerSize: {
                      type: "long"
                    },
                    mediaType: {}
                  }
                }
              },
              failures: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    layerDigest: {},
                    failureCode: {},
                    failureReason: {}
                  }
                }
              }
            }
          }
        },
        BatchDeleteImage: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "imageIds"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              imageIds: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              imageIds: {
                shape: "Si"
              },
              failures: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    imageId: {
                      shape: "Sj"
                    },
                    failureCode: {},
                    failureReason: {}
                  }
                }
              }
            }
          }
        },
        CompleteLayerUpload: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "uploadId",
              "layerDigests"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              uploadId: {},
              layerDigests: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              uploadId: {},
              layerDigest: {}
            }
          }
        },
        CreateRepository: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              repositoryName: {},
              catalogData: {
                shape: "Sx"
              },
              tags: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repository: {
                shape: "S1b"
              },
              catalogData: {
                shape: "S1f"
              }
            }
          }
        },
        DeleteRepository: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              force: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repository: {
                shape: "S1b"
              }
            }
          }
        },
        DeleteRepositoryPolicy: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              policyText: {}
            }
          }
        },
        DescribeImageTags: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              imageTagDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    imageTag: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    imageDetail: {
                      type: "structure",
                      members: {
                        imageDigest: {},
                        imageSizeInBytes: {
                          type: "long"
                        },
                        imagePushedAt: {
                          type: "timestamp"
                        },
                        imageManifestMediaType: {},
                        artifactMediaType: {}
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeImages: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              imageIds: {
                shape: "Si"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              imageDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    registryId: {},
                    repositoryName: {},
                    imageDigest: {},
                    imageTags: {
                      type: "list",
                      member: {}
                    },
                    imageSizeInBytes: {
                      type: "long"
                    },
                    imagePushedAt: {
                      type: "timestamp"
                    },
                    imageManifestMediaType: {},
                    artifactMediaType: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeRegistries: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "registries"
            ],
            members: {
              registries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "registryId",
                    "registryArn",
                    "registryUri",
                    "verified",
                    "aliases"
                  ],
                  members: {
                    registryId: {},
                    registryArn: {},
                    registryUri: {},
                    verified: {
                      type: "boolean"
                    },
                    aliases: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "name",
                          "status",
                          "primaryRegistryAlias",
                          "defaultRegistryAlias"
                        ],
                        members: {
                          name: {},
                          status: {},
                          primaryRegistryAlias: {
                            type: "boolean"
                          },
                          defaultRegistryAlias: {
                            type: "boolean"
                          }
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeRepositories: {
          input: {
            type: "structure",
            members: {
              registryId: {},
              repositoryNames: {
                type: "list",
                member: {}
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              repositories: {
                type: "list",
                member: {
                  shape: "S1b"
                }
              },
              nextToken: {}
            }
          }
        },
        GetAuthorizationToken: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              authorizationData: {
                type: "structure",
                members: {
                  authorizationToken: {},
                  expiresAt: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        GetRegistryCatalogData: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "registryCatalogData"
            ],
            members: {
              registryCatalogData: {
                shape: "S2o"
              }
            }
          }
        },
        GetRepositoryCatalogData: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              catalogData: {
                shape: "S1f"
              }
            }
          }
        },
        GetRepositoryPolicy: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              policyText: {}
            }
          }
        },
        InitiateLayerUpload: {
          input: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              registryId: {},
              repositoryName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              uploadId: {},
              partSize: {
                type: "long"
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S16"
              }
            }
          }
        },
        PutImage: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "imageManifest"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              imageManifest: {},
              imageManifestMediaType: {},
              imageTag: {},
              imageDigest: {}
            }
          },
          output: {
            type: "structure",
            members: {
              image: {
                type: "structure",
                members: {
                  registryId: {},
                  repositoryName: {},
                  imageId: {
                    shape: "Sj"
                  },
                  imageManifest: {},
                  imageManifestMediaType: {}
                }
              }
            }
          }
        },
        PutRegistryCatalogData: {
          input: {
            type: "structure",
            members: {
              displayName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "registryCatalogData"
            ],
            members: {
              registryCatalogData: {
                shape: "S2o"
              }
            }
          }
        },
        PutRepositoryCatalogData: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "catalogData"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              catalogData: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              catalogData: {
                shape: "S1f"
              }
            }
          }
        },
        SetRepositoryPolicy: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "policyText"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              policyText: {},
              force: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              policyText: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UploadLayerPart: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "uploadId",
              "partFirstByte",
              "partLastByte",
              "layerPartBlob"
            ],
            members: {
              registryId: {},
              repositoryName: {},
              uploadId: {},
              partFirstByte: {
                type: "long"
              },
              partLastByte: {
                type: "long"
              },
              layerPartBlob: {
                type: "blob"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              registryId: {},
              repositoryName: {},
              uploadId: {},
              lastByteReceived: {
                type: "long"
              }
            }
          }
        }
      },
      shapes: {
        Si: {
          type: "list",
          member: {
            shape: "Sj"
          }
        },
        Sj: {
          type: "structure",
          members: {
            imageDigest: {},
            imageTag: {}
          }
        },
        Sx: {
          type: "structure",
          members: {
            description: {},
            architectures: {
              shape: "Sz"
            },
            operatingSystems: {
              shape: "S11"
            },
            logoImageBlob: {
              type: "blob"
            },
            aboutText: {},
            usageText: {}
          }
        },
        Sz: {
          type: "list",
          member: {}
        },
        S11: {
          type: "list",
          member: {}
        },
        S16: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S1b: {
          type: "structure",
          members: {
            repositoryArn: {},
            registryId: {},
            repositoryName: {},
            repositoryUri: {},
            createdAt: {
              type: "timestamp"
            }
          }
        },
        S1f: {
          type: "structure",
          members: {
            description: {},
            architectures: {
              shape: "Sz"
            },
            operatingSystems: {
              shape: "S11"
            },
            logoUrl: {},
            aboutText: {},
            usageText: {},
            marketplaceCertified: {
              type: "boolean"
            }
          }
        },
        S2o: {
          type: "structure",
          members: {
            displayName: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ecr-public-2020-10-30.paginators.json
var require_ecr_public_2020_10_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/ecr-public-2020-10-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeImageTags: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "imageTagDetails"
        },
        DescribeImages: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "imageDetails"
        },
        DescribeRegistries: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "registries"
        },
        DescribeRepositories: {
          input_token: "nextToken",
          limit_key: "maxResults",
          output_token: "nextToken",
          result_key: "repositories"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/ecrpublic.js
var require_ecrpublic = __commonJS({
  "node_modules/aws-sdk/clients/ecrpublic.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ecrpublic"] = {};
    AWS2.ECRPUBLIC = Service.defineService("ecrpublic", ["2020-10-30"]);
    Object.defineProperty(apiLoader.services["ecrpublic"], "2020-10-30", {
      get: function get() {
        var model = require_ecr_public_2020_10_30_min();
        model.paginators = require_ecr_public_2020_10_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ECRPUBLIC;
  }
});

// node_modules/aws-sdk/apis/lookoutvision-2020-11-20.min.json
var require_lookoutvision_2020_11_20_min = __commonJS({
  "node_modules/aws-sdk/apis/lookoutvision-2020-11-20.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-11-20",
        endpointPrefix: "lookoutvision",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Lookout for Vision",
        serviceId: "LookoutVision",
        signatureVersion: "v4",
        signingName: "lookoutvision",
        uid: "lookoutvision-2020-11-20"
      },
      operations: {
        CreateDataset: {
          http: {
            requestUri: "/2020-11-20/projects/{projectName}/datasets",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "ProjectName",
              "DatasetType"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              },
              DatasetType: {},
              DatasetSource: {
                type: "structure",
                members: {
                  GroundTruthManifest: {
                    type: "structure",
                    members: {
                      S3Object: {
                        type: "structure",
                        required: [
                          "Bucket",
                          "Key"
                        ],
                        members: {
                          Bucket: {},
                          Key: {},
                          VersionId: {}
                        }
                      }
                    }
                  }
                }
              },
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amzn-Client-Token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetMetadata: {
                shape: "Sc"
              }
            }
          }
        },
        CreateModel: {
          http: {
            requestUri: "/2020-11-20/projects/{projectName}/models",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "ProjectName",
              "OutputConfig"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              },
              Description: {},
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              OutputConfig: {
                shape: "Si"
              },
              KmsKeyId: {},
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ModelMetadata: {
                shape: "Sr"
              }
            }
          }
        },
        CreateProject: {
          http: {
            requestUri: "/2020-11-20/projects"
          },
          input: {
            type: "structure",
            required: [
              "ProjectName"
            ],
            members: {
              ProjectName: {},
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amzn-Client-Token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProjectMetadata: {
                shape: "S10"
              }
            }
          }
        },
        DeleteDataset: {
          http: {
            method: "DELETE",
            requestUri: "/2020-11-20/projects/{projectName}/datasets/{datasetType}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "ProjectName",
              "DatasetType"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              },
              DatasetType: {
                location: "uri",
                locationName: "datasetType"
              },
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amzn-Client-Token"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteModel: {
          http: {
            method: "DELETE",
            requestUri: "/2020-11-20/projects/{projectName}/models/{modelVersion}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "ProjectName",
              "ModelVersion"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              },
              ModelVersion: {
                location: "uri",
                locationName: "modelVersion"
              },
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amzn-Client-Token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ModelArn: {}
            }
          }
        },
        DeleteProject: {
          http: {
            method: "DELETE",
            requestUri: "/2020-11-20/projects/{projectName}"
          },
          input: {
            type: "structure",
            required: [
              "ProjectName"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              },
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amzn-Client-Token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProjectArn: {}
            }
          }
        },
        DescribeDataset: {
          http: {
            method: "GET",
            requestUri: "/2020-11-20/projects/{projectName}/datasets/{datasetType}"
          },
          input: {
            type: "structure",
            required: [
              "ProjectName",
              "DatasetType"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              },
              DatasetType: {
                location: "uri",
                locationName: "datasetType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetDescription: {
                type: "structure",
                members: {
                  ProjectName: {},
                  DatasetType: {},
                  CreationTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  },
                  Status: {},
                  StatusMessage: {},
                  ImageStats: {
                    type: "structure",
                    members: {
                      Total: {
                        type: "integer"
                      },
                      Labeled: {
                        type: "integer"
                      },
                      Normal: {
                        type: "integer"
                      },
                      Anomaly: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeModel: {
          http: {
            method: "GET",
            requestUri: "/2020-11-20/projects/{projectName}/models/{modelVersion}"
          },
          input: {
            type: "structure",
            required: [
              "ProjectName",
              "ModelVersion"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              },
              ModelVersion: {
                location: "uri",
                locationName: "modelVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ModelDescription: {
                type: "structure",
                members: {
                  ModelVersion: {},
                  ModelArn: {},
                  CreationTimestamp: {
                    type: "timestamp"
                  },
                  Description: {},
                  Status: {},
                  StatusMessage: {},
                  Performance: {
                    shape: "Sw"
                  },
                  OutputConfig: {
                    shape: "Si"
                  },
                  EvaluationManifest: {
                    shape: "S1h"
                  },
                  EvaluationResult: {
                    shape: "S1h"
                  },
                  EvaluationEndTimestamp: {
                    type: "timestamp"
                  },
                  KmsKeyId: {},
                  MinInferenceUnits: {
                    type: "integer"
                  },
                  MaxInferenceUnits: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        DescribeModelPackagingJob: {
          http: {
            method: "GET",
            requestUri: "/2020-11-20/projects/{projectName}/modelpackagingjobs/{jobName}"
          },
          input: {
            type: "structure",
            required: [
              "ProjectName",
              "JobName"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              },
              JobName: {
                location: "uri",
                locationName: "jobName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ModelPackagingDescription: {
                type: "structure",
                members: {
                  JobName: {},
                  ProjectName: {},
                  ModelVersion: {},
                  ModelPackagingConfiguration: {
                    shape: "S1n"
                  },
                  ModelPackagingJobDescription: {},
                  ModelPackagingMethod: {},
                  ModelPackagingOutputDetails: {
                    type: "structure",
                    members: {
                      Greengrass: {
                        type: "structure",
                        members: {
                          ComponentVersionArn: {},
                          ComponentName: {},
                          ComponentVersion: {}
                        }
                      }
                    }
                  },
                  Status: {},
                  StatusMessage: {},
                  CreationTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        DescribeProject: {
          http: {
            method: "GET",
            requestUri: "/2020-11-20/projects/{projectName}"
          },
          input: {
            type: "structure",
            required: [
              "ProjectName"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProjectDescription: {
                type: "structure",
                members: {
                  ProjectArn: {},
                  ProjectName: {},
                  CreationTimestamp: {
                    type: "timestamp"
                  },
                  Datasets: {
                    type: "list",
                    member: {
                      shape: "Sc"
                    }
                  }
                }
              }
            }
          }
        },
        DetectAnomalies: {
          http: {
            requestUri: "/2020-11-20/projects/{projectName}/models/{modelVersion}/detect"
          },
          input: {
            type: "structure",
            required: [
              "ProjectName",
              "ModelVersion",
              "Body",
              "ContentType"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              },
              ModelVersion: {
                location: "uri",
                locationName: "modelVersion"
              },
              Body: {
                type: "blob",
                requiresLength: true,
                streaming: true
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              }
            },
            payload: "Body"
          },
          output: {
            type: "structure",
            members: {
              DetectAnomalyResult: {
                type: "structure",
                members: {
                  Source: {
                    type: "structure",
                    members: {
                      Type: {}
                    }
                  },
                  IsAnomalous: {
                    type: "boolean"
                  },
                  Confidence: {
                    type: "float"
                  },
                  Anomalies: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {},
                        PixelAnomaly: {
                          type: "structure",
                          members: {
                            TotalPercentageArea: {
                              type: "float"
                            },
                            Color: {}
                          }
                        }
                      }
                    }
                  },
                  AnomalyMask: {
                    type: "blob"
                  }
                }
              }
            }
          }
        },
        ListDatasetEntries: {
          http: {
            method: "GET",
            requestUri: "/2020-11-20/projects/{projectName}/datasets/{datasetType}/entries"
          },
          input: {
            type: "structure",
            required: [
              "ProjectName",
              "DatasetType"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              },
              DatasetType: {
                location: "uri",
                locationName: "datasetType"
              },
              Labeled: {
                location: "querystring",
                locationName: "labeled",
                type: "boolean"
              },
              AnomalyClass: {
                location: "querystring",
                locationName: "anomalyClass"
              },
              BeforeCreationDate: {
                location: "querystring",
                locationName: "createdBefore",
                type: "timestamp"
              },
              AfterCreationDate: {
                location: "querystring",
                locationName: "createdAfter",
                type: "timestamp"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              SourceRefContains: {
                location: "querystring",
                locationName: "sourceRefContains"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetEntries: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListModelPackagingJobs: {
          http: {
            method: "GET",
            requestUri: "/2020-11-20/projects/{projectName}/modelpackagingjobs"
          },
          input: {
            type: "structure",
            required: [
              "ProjectName"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ModelPackagingJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    JobName: {},
                    ProjectName: {},
                    ModelVersion: {},
                    ModelPackagingJobDescription: {},
                    ModelPackagingMethod: {},
                    Status: {},
                    StatusMessage: {},
                    CreationTimestamp: {
                      type: "timestamp"
                    },
                    LastUpdatedTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListModels: {
          http: {
            method: "GET",
            requestUri: "/2020-11-20/projects/{projectName}/models"
          },
          input: {
            type: "structure",
            required: [
              "ProjectName"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Models: {
                type: "list",
                member: {
                  shape: "Sr"
                }
              },
              NextToken: {}
            }
          }
        },
        ListProjects: {
          http: {
            method: "GET",
            requestUri: "/2020-11-20/projects"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Projects: {
                type: "list",
                member: {
                  shape: "S10"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/2020-11-20/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sm"
              }
            }
          }
        },
        StartModel: {
          http: {
            requestUri: "/2020-11-20/projects/{projectName}/models/{modelVersion}/start",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "ProjectName",
              "ModelVersion",
              "MinInferenceUnits"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              },
              ModelVersion: {
                location: "uri",
                locationName: "modelVersion"
              },
              MinInferenceUnits: {
                type: "integer"
              },
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              MaxInferenceUnits: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {}
            }
          }
        },
        StartModelPackagingJob: {
          http: {
            requestUri: "/2020-11-20/projects/{projectName}/modelpackagingjobs"
          },
          input: {
            type: "structure",
            required: [
              "ProjectName",
              "ModelVersion",
              "Configuration"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              },
              ModelVersion: {},
              JobName: {},
              Configuration: {
                shape: "S1n"
              },
              Description: {},
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amzn-Client-Token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobName: {}
            }
          }
        },
        StopModel: {
          http: {
            requestUri: "/2020-11-20/projects/{projectName}/models/{modelVersion}/stop",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "ProjectName",
              "ModelVersion"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              },
              ModelVersion: {
                location: "uri",
                locationName: "modelVersion"
              },
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amzn-Client-Token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/2020-11-20/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              Tags: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/2020-11-20/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDatasetEntries: {
          http: {
            method: "PATCH",
            requestUri: "/2020-11-20/projects/{projectName}/datasets/{datasetType}/entries",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "ProjectName",
              "DatasetType",
              "Changes"
            ],
            members: {
              ProjectName: {
                location: "uri",
                locationName: "projectName"
              },
              DatasetType: {
                location: "uri",
                locationName: "datasetType"
              },
              Changes: {
                type: "blob"
              },
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amzn-Client-Token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {}
            }
          }
        }
      },
      shapes: {
        Sc: {
          type: "structure",
          members: {
            DatasetType: {},
            CreationTimestamp: {
              type: "timestamp"
            },
            Status: {},
            StatusMessage: {}
          }
        },
        Si: {
          type: "structure",
          required: [
            "S3Location"
          ],
          members: {
            S3Location: {
              shape: "Sj"
            }
          }
        },
        Sj: {
          type: "structure",
          required: [
            "Bucket"
          ],
          members: {
            Bucket: {},
            Prefix: {}
          }
        },
        Sm: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sr: {
          type: "structure",
          members: {
            CreationTimestamp: {
              type: "timestamp"
            },
            ModelVersion: {},
            ModelArn: {},
            Description: {},
            Status: {},
            StatusMessage: {},
            Performance: {
              shape: "Sw"
            }
          }
        },
        Sw: {
          type: "structure",
          members: {
            F1Score: {
              type: "float"
            },
            Recall: {
              type: "float"
            },
            Precision: {
              type: "float"
            }
          }
        },
        S10: {
          type: "structure",
          members: {
            ProjectArn: {},
            ProjectName: {},
            CreationTimestamp: {
              type: "timestamp"
            }
          }
        },
        S1h: {
          type: "structure",
          required: [
            "Bucket",
            "Key"
          ],
          members: {
            Bucket: {},
            Key: {}
          }
        },
        S1n: {
          type: "structure",
          required: [
            "Greengrass"
          ],
          members: {
            Greengrass: {
              type: "structure",
              required: [
                "S3OutputLocation",
                "ComponentName"
              ],
              members: {
                CompilerOptions: {},
                TargetDevice: {},
                TargetPlatform: {
                  type: "structure",
                  required: [
                    "Os",
                    "Arch"
                  ],
                  members: {
                    Os: {},
                    Arch: {},
                    Accelerator: {}
                  }
                },
                S3OutputLocation: {
                  shape: "Sj"
                },
                ComponentName: {},
                ComponentVersion: {},
                ComponentDescription: {},
                Tags: {
                  shape: "Sm"
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/lookoutvision-2020-11-20.paginators.json
var require_lookoutvision_2020_11_20_paginators = __commonJS({
  "node_modules/aws-sdk/apis/lookoutvision-2020-11-20.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDatasetEntries: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DatasetEntries"
        },
        ListModelPackagingJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ModelPackagingJobs"
        },
        ListModels: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Models"
        },
        ListProjects: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Projects"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/lookoutvision.js
var require_lookoutvision = __commonJS({
  "node_modules/aws-sdk/clients/lookoutvision.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["lookoutvision"] = {};
    AWS2.LookoutVision = Service.defineService("lookoutvision", ["2020-11-20"]);
    Object.defineProperty(apiLoader.services["lookoutvision"], "2020-11-20", {
      get: function get() {
        var model = require_lookoutvision_2020_11_20_min();
        model.paginators = require_lookoutvision_2020_11_20_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.LookoutVision;
  }
});

// node_modules/aws-sdk/apis/sagemaker-featurestore-runtime-2020-07-01.min.json
var require_sagemaker_featurestore_runtime_2020_07_01_min = __commonJS({
  "node_modules/aws-sdk/apis/sagemaker-featurestore-runtime-2020-07-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-07-01",
        endpointPrefix: "featurestore-runtime.sagemaker",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon SageMaker Feature Store Runtime",
        serviceId: "SageMaker FeatureStore Runtime",
        signatureVersion: "v4",
        signingName: "sagemaker",
        uid: "sagemaker-featurestore-runtime-2020-07-01"
      },
      operations: {
        BatchGetRecord: {
          http: {
            requestUri: "/BatchGetRecord"
          },
          input: {
            type: "structure",
            required: [
              "Identifiers"
            ],
            members: {
              Identifiers: {
                type: "list",
                member: {
                  shape: "S3"
                }
              },
              ExpirationTimeResponse: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Records",
              "Errors",
              "UnprocessedIdentifiers"
            ],
            members: {
              Records: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "FeatureGroupName",
                    "RecordIdentifierValueAsString",
                    "Record"
                  ],
                  members: {
                    FeatureGroupName: {},
                    RecordIdentifierValueAsString: {},
                    Record: {
                      shape: "Sd"
                    },
                    ExpiresAt: {}
                  }
                }
              },
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "FeatureGroupName",
                    "RecordIdentifierValueAsString",
                    "ErrorCode",
                    "ErrorMessage"
                  ],
                  members: {
                    FeatureGroupName: {},
                    RecordIdentifierValueAsString: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              },
              UnprocessedIdentifiers: {
                type: "list",
                member: {
                  shape: "S3"
                }
              }
            }
          }
        },
        DeleteRecord: {
          http: {
            method: "DELETE",
            requestUri: "/FeatureGroup/{FeatureGroupName}"
          },
          input: {
            type: "structure",
            required: [
              "FeatureGroupName",
              "RecordIdentifierValueAsString",
              "EventTime"
            ],
            members: {
              FeatureGroupName: {
                location: "uri",
                locationName: "FeatureGroupName"
              },
              RecordIdentifierValueAsString: {
                location: "querystring",
                locationName: "RecordIdentifierValueAsString"
              },
              EventTime: {
                location: "querystring",
                locationName: "EventTime"
              },
              TargetStores: {
                shape: "Sl",
                location: "querystring",
                locationName: "TargetStores"
              },
              DeletionMode: {
                location: "querystring",
                locationName: "DeletionMode"
              }
            }
          }
        },
        GetRecord: {
          http: {
            method: "GET",
            requestUri: "/FeatureGroup/{FeatureGroupName}"
          },
          input: {
            type: "structure",
            required: [
              "FeatureGroupName",
              "RecordIdentifierValueAsString"
            ],
            members: {
              FeatureGroupName: {
                location: "uri",
                locationName: "FeatureGroupName"
              },
              RecordIdentifierValueAsString: {
                location: "querystring",
                locationName: "RecordIdentifierValueAsString"
              },
              FeatureNames: {
                shape: "S7",
                location: "querystring",
                locationName: "FeatureName"
              },
              ExpirationTimeResponse: {
                location: "querystring",
                locationName: "ExpirationTimeResponse"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Record: {
                shape: "Sd"
              },
              ExpiresAt: {}
            }
          }
        },
        PutRecord: {
          http: {
            method: "PUT",
            requestUri: "/FeatureGroup/{FeatureGroupName}"
          },
          input: {
            type: "structure",
            required: [
              "FeatureGroupName",
              "Record"
            ],
            members: {
              FeatureGroupName: {
                location: "uri",
                locationName: "FeatureGroupName"
              },
              Record: {
                shape: "Sd"
              },
              TargetStores: {
                shape: "Sl"
              },
              TtlDuration: {
                type: "structure",
                required: [
                  "Unit",
                  "Value"
                ],
                members: {
                  Unit: {},
                  Value: {
                    type: "integer"
                  }
                }
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "structure",
          required: [
            "FeatureGroupName",
            "RecordIdentifiersValueAsString"
          ],
          members: {
            FeatureGroupName: {},
            RecordIdentifiersValueAsString: {
              type: "list",
              member: {}
            },
            FeatureNames: {
              shape: "S7"
            }
          }
        },
        S7: {
          type: "list",
          member: {}
        },
        Sd: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "FeatureName",
              "ValueAsString"
            ],
            members: {
              FeatureName: {},
              ValueAsString: {}
            }
          }
        },
        Sl: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/sagemaker-featurestore-runtime-2020-07-01.paginators.json
var require_sagemaker_featurestore_runtime_2020_07_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/sagemaker-featurestore-runtime-2020-07-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/sagemakerfeaturestoreruntime.js
var require_sagemakerfeaturestoreruntime = __commonJS({
  "node_modules/aws-sdk/clients/sagemakerfeaturestoreruntime.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["sagemakerfeaturestoreruntime"] = {};
    AWS2.SageMakerFeatureStoreRuntime = Service.defineService("sagemakerfeaturestoreruntime", ["2020-07-01"]);
    Object.defineProperty(apiLoader.services["sagemakerfeaturestoreruntime"], "2020-07-01", {
      get: function get() {
        var model = require_sagemaker_featurestore_runtime_2020_07_01_min();
        model.paginators = require_sagemaker_featurestore_runtime_2020_07_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SageMakerFeatureStoreRuntime;
  }
});

// node_modules/aws-sdk/apis/customer-profiles-2020-08-15.min.json
var require_customer_profiles_2020_08_15_min = __commonJS({
  "node_modules/aws-sdk/apis/customer-profiles-2020-08-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-08-15",
        endpointPrefix: "profile",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Customer Profiles",
        serviceFullName: "Amazon Connect Customer Profiles",
        serviceId: "Customer Profiles",
        signatureVersion: "v4",
        signingName: "profile",
        uid: "customer-profiles-2020-08-15"
      },
      operations: {
        AddProfileKey: {
          http: {
            requestUri: "/domains/{DomainName}/profiles/keys"
          },
          input: {
            type: "structure",
            required: [
              "ProfileId",
              "KeyName",
              "Values",
              "DomainName"
            ],
            members: {
              ProfileId: {},
              KeyName: {},
              Values: {
                shape: "S4"
              },
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              KeyName: {},
              Values: {
                shape: "S4"
              }
            }
          }
        },
        CreateCalculatedAttributeDefinition: {
          http: {
            requestUri: "/domains/{DomainName}/calculated-attributes/{CalculatedAttributeName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "CalculatedAttributeName",
              "AttributeDetails",
              "Statistic"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              CalculatedAttributeName: {
                location: "uri",
                locationName: "CalculatedAttributeName"
              },
              DisplayName: {},
              Description: {},
              AttributeDetails: {
                shape: "Sb"
              },
              Conditions: {
                shape: "Sf"
              },
              Statistic: {},
              Tags: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CalculatedAttributeName: {},
              DisplayName: {},
              Description: {},
              AttributeDetails: {
                shape: "Sb"
              },
              Conditions: {
                shape: "Sf"
              },
              Statistic: {},
              CreatedAt: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              Tags: {
                shape: "Sn"
              }
            }
          }
        },
        CreateDomain: {
          http: {
            requestUri: "/domains/{DomainName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "DefaultExpirationDays"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              DefaultExpirationDays: {
                type: "integer"
              },
              DefaultEncryptionKey: {},
              DeadLetterQueueUrl: {},
              Matching: {
                shape: "Sw"
              },
              Tags: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainName",
              "DefaultExpirationDays",
              "CreatedAt",
              "LastUpdatedAt"
            ],
            members: {
              DomainName: {},
              DefaultExpirationDays: {
                type: "integer"
              },
              DefaultEncryptionKey: {},
              DeadLetterQueueUrl: {},
              Matching: {
                shape: "S1d"
              },
              CreatedAt: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              Tags: {
                shape: "Sn"
              }
            }
          }
        },
        CreateEventStream: {
          http: {
            requestUri: "/domains/{DomainName}/event-streams/{EventStreamName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Uri",
              "EventStreamName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              Uri: {},
              EventStreamName: {
                location: "uri",
                locationName: "EventStreamName"
              },
              Tags: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EventStreamArn"
            ],
            members: {
              EventStreamArn: {},
              Tags: {
                shape: "Sn"
              }
            }
          }
        },
        CreateIntegrationWorkflow: {
          http: {
            requestUri: "/domains/{DomainName}/workflows/integrations"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "WorkflowType",
              "IntegrationConfig",
              "ObjectTypeName",
              "RoleArn"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              WorkflowType: {},
              IntegrationConfig: {
                type: "structure",
                members: {
                  AppflowIntegration: {
                    type: "structure",
                    required: [
                      "FlowDefinition"
                    ],
                    members: {
                      FlowDefinition: {
                        shape: "S1k"
                      },
                      Batches: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "StartTime",
                            "EndTime"
                          ],
                          members: {
                            StartTime: {
                              type: "timestamp"
                            },
                            EndTime: {
                              type: "timestamp"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              ObjectTypeName: {},
              RoleArn: {},
              Tags: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "WorkflowId",
              "Message"
            ],
            members: {
              WorkflowId: {},
              Message: {}
            }
          }
        },
        CreateProfile: {
          http: {
            requestUri: "/domains/{DomainName}/profiles"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              AccountNumber: {},
              AdditionalInformation: {},
              PartyType: {
                shape: "S2x"
              },
              BusinessName: {},
              FirstName: {},
              MiddleName: {},
              LastName: {},
              BirthDate: {},
              Gender: {
                shape: "S2y"
              },
              PhoneNumber: {},
              MobilePhoneNumber: {},
              HomePhoneNumber: {},
              BusinessPhoneNumber: {},
              EmailAddress: {},
              PersonalEmailAddress: {},
              BusinessEmailAddress: {},
              Address: {
                shape: "S2z"
              },
              ShippingAddress: {
                shape: "S2z"
              },
              MailingAddress: {
                shape: "S2z"
              },
              BillingAddress: {
                shape: "S2z"
              },
              Attributes: {
                shape: "S30"
              },
              PartyTypeString: {},
              GenderString: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ProfileId"
            ],
            members: {
              ProfileId: {}
            }
          }
        },
        DeleteCalculatedAttributeDefinition: {
          http: {
            method: "DELETE",
            requestUri: "/domains/{DomainName}/calculated-attributes/{CalculatedAttributeName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "CalculatedAttributeName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              CalculatedAttributeName: {
                location: "uri",
                locationName: "CalculatedAttributeName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDomain: {
          http: {
            method: "DELETE",
            requestUri: "/domains/{DomainName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Message"
            ],
            members: {
              Message: {}
            }
          }
        },
        DeleteEventStream: {
          http: {
            method: "DELETE",
            requestUri: "/domains/{DomainName}/event-streams/{EventStreamName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "EventStreamName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              EventStreamName: {
                location: "uri",
                locationName: "EventStreamName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteIntegration: {
          http: {
            requestUri: "/domains/{DomainName}/integrations/delete"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Uri"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              Uri: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Message"
            ],
            members: {
              Message: {}
            }
          }
        },
        DeleteProfile: {
          http: {
            requestUri: "/domains/{DomainName}/profiles/delete"
          },
          input: {
            type: "structure",
            required: [
              "ProfileId",
              "DomainName"
            ],
            members: {
              ProfileId: {},
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Message: {}
            }
          }
        },
        DeleteProfileKey: {
          http: {
            requestUri: "/domains/{DomainName}/profiles/keys/delete"
          },
          input: {
            type: "structure",
            required: [
              "ProfileId",
              "KeyName",
              "Values",
              "DomainName"
            ],
            members: {
              ProfileId: {},
              KeyName: {},
              Values: {
                shape: "S4"
              },
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Message: {}
            }
          }
        },
        DeleteProfileObject: {
          http: {
            requestUri: "/domains/{DomainName}/profiles/objects/delete"
          },
          input: {
            type: "structure",
            required: [
              "ProfileId",
              "ProfileObjectUniqueKey",
              "ObjectTypeName",
              "DomainName"
            ],
            members: {
              ProfileId: {},
              ProfileObjectUniqueKey: {},
              ObjectTypeName: {},
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Message: {}
            }
          }
        },
        DeleteProfileObjectType: {
          http: {
            method: "DELETE",
            requestUri: "/domains/{DomainName}/object-types/{ObjectTypeName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "ObjectTypeName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              ObjectTypeName: {
                location: "uri",
                locationName: "ObjectTypeName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Message"
            ],
            members: {
              Message: {}
            }
          }
        },
        DeleteWorkflow: {
          http: {
            method: "DELETE",
            requestUri: "/domains/{DomainName}/workflows/{WorkflowId}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "WorkflowId"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              WorkflowId: {
                location: "uri",
                locationName: "WorkflowId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetAutoMergingPreview: {
          http: {
            requestUri: "/domains/{DomainName}/identity-resolution-jobs/auto-merging-preview"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Consolidation",
              "ConflictResolution"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              Consolidation: {
                shape: "S12"
              },
              ConflictResolution: {
                shape: "S15"
              },
              MinAllowedConfidenceScoreForMerging: {
                type: "double"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              NumberOfMatchesInSample: {
                type: "long"
              },
              NumberOfProfilesInSample: {
                type: "long"
              },
              NumberOfProfilesWillBeMerged: {
                type: "long"
              }
            }
          }
        },
        GetCalculatedAttributeDefinition: {
          http: {
            method: "GET",
            requestUri: "/domains/{DomainName}/calculated-attributes/{CalculatedAttributeName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "CalculatedAttributeName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              CalculatedAttributeName: {
                location: "uri",
                locationName: "CalculatedAttributeName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CalculatedAttributeName: {},
              DisplayName: {},
              Description: {},
              CreatedAt: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              Statistic: {},
              Conditions: {
                shape: "Sf"
              },
              AttributeDetails: {
                shape: "Sb"
              },
              Tags: {
                shape: "Sn"
              }
            }
          }
        },
        GetCalculatedAttributeForProfile: {
          http: {
            method: "GET",
            requestUri: "/domains/{DomainName}/profile/{ProfileId}/calculated-attributes/{CalculatedAttributeName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "ProfileId",
              "CalculatedAttributeName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              ProfileId: {
                location: "uri",
                locationName: "ProfileId"
              },
              CalculatedAttributeName: {
                location: "uri",
                locationName: "CalculatedAttributeName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CalculatedAttributeName: {},
              DisplayName: {},
              IsDataPartial: {},
              Value: {}
            }
          }
        },
        GetDomain: {
          http: {
            method: "GET",
            requestUri: "/domains/{DomainName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainName",
              "CreatedAt",
              "LastUpdatedAt"
            ],
            members: {
              DomainName: {},
              DefaultExpirationDays: {
                type: "integer"
              },
              DefaultEncryptionKey: {},
              DeadLetterQueueUrl: {},
              Stats: {
                type: "structure",
                members: {
                  ProfileCount: {
                    type: "long"
                  },
                  MeteringProfileCount: {
                    type: "long"
                  },
                  ObjectCount: {
                    type: "long"
                  },
                  TotalSize: {
                    type: "long"
                  }
                }
              },
              Matching: {
                shape: "S1d"
              },
              CreatedAt: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              Tags: {
                shape: "Sn"
              }
            }
          }
        },
        GetEventStream: {
          http: {
            method: "GET",
            requestUri: "/domains/{DomainName}/event-streams/{EventStreamName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "EventStreamName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              EventStreamName: {
                location: "uri",
                locationName: "EventStreamName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainName",
              "EventStreamArn",
              "CreatedAt",
              "State",
              "DestinationDetails"
            ],
            members: {
              DomainName: {},
              EventStreamArn: {},
              CreatedAt: {
                type: "timestamp"
              },
              State: {},
              StoppedSince: {
                type: "timestamp"
              },
              DestinationDetails: {
                type: "structure",
                required: [
                  "Uri",
                  "Status"
                ],
                members: {
                  Uri: {},
                  Status: {},
                  UnhealthySince: {
                    type: "timestamp"
                  },
                  Message: {}
                }
              },
              Tags: {
                shape: "Sn"
              }
            }
          }
        },
        GetIdentityResolutionJob: {
          http: {
            method: "GET",
            requestUri: "/domains/{DomainName}/identity-resolution-jobs/{JobId}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "JobId"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              JobId: {
                location: "uri",
                locationName: "JobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainName: {},
              JobId: {},
              Status: {},
              Message: {},
              JobStartTime: {
                type: "timestamp"
              },
              JobEndTime: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              JobExpirationTime: {
                type: "timestamp"
              },
              AutoMerging: {
                shape: "S11"
              },
              ExportingLocation: {
                shape: "S43"
              },
              JobStats: {
                shape: "S46"
              }
            }
          }
        },
        GetIntegration: {
          http: {
            requestUri: "/domains/{DomainName}/integrations"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Uri"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              Uri: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainName",
              "Uri",
              "CreatedAt",
              "LastUpdatedAt"
            ],
            members: {
              DomainName: {},
              Uri: {},
              ObjectTypeName: {},
              CreatedAt: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              Tags: {
                shape: "Sn"
              },
              ObjectTypeNames: {
                shape: "S49"
              },
              WorkflowId: {},
              IsUnstructured: {
                type: "boolean"
              }
            }
          }
        },
        GetMatches: {
          http: {
            method: "GET",
            requestUri: "/domains/{DomainName}/matches"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              MatchGenerationDate: {
                type: "timestamp"
              },
              PotentialMatches: {
                type: "integer"
              },
              Matches: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MatchId: {},
                    ProfileIds: {
                      type: "list",
                      member: {}
                    },
                    ConfidenceScore: {
                      type: "double"
                    }
                  }
                }
              }
            }
          }
        },
        GetProfileObjectType: {
          http: {
            method: "GET",
            requestUri: "/domains/{DomainName}/object-types/{ObjectTypeName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "ObjectTypeName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              ObjectTypeName: {
                location: "uri",
                locationName: "ObjectTypeName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ObjectTypeName",
              "Description"
            ],
            members: {
              ObjectTypeName: {},
              Description: {},
              TemplateId: {},
              ExpirationDays: {
                type: "integer"
              },
              EncryptionKey: {},
              AllowProfileCreation: {
                type: "boolean"
              },
              SourceLastUpdatedTimestampFormat: {},
              Fields: {
                shape: "S4l"
              },
              Keys: {
                shape: "S4o"
              },
              CreatedAt: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              Tags: {
                shape: "Sn"
              }
            }
          }
        },
        GetProfileObjectTypeTemplate: {
          http: {
            method: "GET",
            requestUri: "/templates/{TemplateId}"
          },
          input: {
            type: "structure",
            required: [
              "TemplateId"
            ],
            members: {
              TemplateId: {
                location: "uri",
                locationName: "TemplateId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TemplateId: {},
              SourceName: {},
              SourceObject: {},
              AllowProfileCreation: {
                type: "boolean"
              },
              SourceLastUpdatedTimestampFormat: {},
              Fields: {
                shape: "S4l"
              },
              Keys: {
                shape: "S4o"
              }
            }
          }
        },
        GetWorkflow: {
          http: {
            method: "GET",
            requestUri: "/domains/{DomainName}/workflows/{WorkflowId}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "WorkflowId"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              WorkflowId: {
                location: "uri",
                locationName: "WorkflowId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkflowId: {},
              WorkflowType: {},
              Status: {},
              ErrorDescription: {},
              StartDate: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              Attributes: {
                type: "structure",
                members: {
                  AppflowIntegration: {
                    type: "structure",
                    required: [
                      "SourceConnectorType",
                      "ConnectorProfileName"
                    ],
                    members: {
                      SourceConnectorType: {},
                      ConnectorProfileName: {},
                      RoleArn: {}
                    }
                  }
                }
              },
              Metrics: {
                type: "structure",
                members: {
                  AppflowIntegration: {
                    type: "structure",
                    required: [
                      "RecordsProcessed",
                      "StepsCompleted",
                      "TotalSteps"
                    ],
                    members: {
                      RecordsProcessed: {
                        type: "long"
                      },
                      StepsCompleted: {
                        type: "long"
                      },
                      TotalSteps: {
                        type: "long"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetWorkflowSteps: {
          http: {
            method: "GET",
            requestUri: "/domains/{DomainName}/workflows/{WorkflowId}/steps"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "WorkflowId"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              WorkflowId: {
                location: "uri",
                locationName: "WorkflowId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkflowId: {},
              WorkflowType: {},
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AppflowIntegration: {
                      type: "structure",
                      required: [
                        "FlowName",
                        "Status",
                        "ExecutionMessage",
                        "RecordsProcessed",
                        "BatchRecordsStartTime",
                        "BatchRecordsEndTime",
                        "CreatedAt",
                        "LastUpdatedAt"
                      ],
                      members: {
                        FlowName: {},
                        Status: {},
                        ExecutionMessage: {},
                        RecordsProcessed: {
                          type: "long"
                        },
                        BatchRecordsStartTime: {},
                        BatchRecordsEndTime: {},
                        CreatedAt: {
                          type: "timestamp"
                        },
                        LastUpdatedAt: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAccountIntegrations: {
          http: {
            requestUri: "/integrations"
          },
          input: {
            type: "structure",
            required: [
              "Uri"
            ],
            members: {
              Uri: {},
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              IncludeHidden: {
                location: "querystring",
                locationName: "include-hidden",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                shape: "S5a"
              },
              NextToken: {}
            }
          }
        },
        ListCalculatedAttributeDefinitions: {
          http: {
            method: "GET",
            requestUri: "/domains/{DomainName}/calculated-attributes"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CalculatedAttributeName: {},
                    DisplayName: {},
                    Description: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    LastUpdatedAt: {
                      type: "timestamp"
                    },
                    Tags: {
                      shape: "Sn"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCalculatedAttributesForProfile: {
          http: {
            method: "GET",
            requestUri: "/domains/{DomainName}/profile/{ProfileId}/calculated-attributes"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "ProfileId"
            ],
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              ProfileId: {
                location: "uri",
                locationName: "ProfileId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CalculatedAttributeName: {},
                    DisplayName: {},
                    IsDataPartial: {},
                    Value: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDomains: {
          http: {
            method: "GET",
            requestUri: "/domains"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "DomainName",
                    "CreatedAt",
                    "LastUpdatedAt"
                  ],
                  members: {
                    DomainName: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    LastUpdatedAt: {
                      type: "timestamp"
                    },
                    Tags: {
                      shape: "Sn"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEventStreams: {
          http: {
            method: "GET",
            requestUri: "/domains/{DomainName}/event-streams"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "DomainName",
                    "EventStreamName",
                    "EventStreamArn",
                    "State"
                  ],
                  members: {
                    DomainName: {},
                    EventStreamName: {},
                    EventStreamArn: {},
                    State: {},
                    StoppedSince: {
                      type: "timestamp"
                    },
                    DestinationSummary: {
                      type: "structure",
                      required: [
                        "Uri",
                        "Status"
                      ],
                      members: {
                        Uri: {},
                        Status: {},
                        UnhealthySince: {
                          type: "timestamp"
                        }
                      }
                    },
                    Tags: {
                      shape: "Sn"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListIdentityResolutionJobs: {
          http: {
            method: "GET",
            requestUri: "/domains/{DomainName}/identity-resolution-jobs"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IdentityResolutionJobsList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DomainName: {},
                    JobId: {},
                    Status: {},
                    JobStartTime: {
                      type: "timestamp"
                    },
                    JobEndTime: {
                      type: "timestamp"
                    },
                    JobStats: {
                      shape: "S46"
                    },
                    ExportingLocation: {
                      shape: "S43"
                    },
                    Message: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListIntegrations: {
          http: {
            method: "GET",
            requestUri: "/domains/{DomainName}/integrations"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              IncludeHidden: {
                location: "querystring",
                locationName: "include-hidden",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                shape: "S5a"
              },
              NextToken: {}
            }
          }
        },
        ListProfileObjectTypeTemplates: {
          http: {
            method: "GET",
            requestUri: "/templates"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TemplateId: {},
                    SourceName: {},
                    SourceObject: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListProfileObjectTypes: {
          http: {
            method: "GET",
            requestUri: "/domains/{DomainName}/object-types"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ObjectTypeName",
                    "Description"
                  ],
                  members: {
                    ObjectTypeName: {},
                    Description: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    LastUpdatedAt: {
                      type: "timestamp"
                    },
                    Tags: {
                      shape: "Sn"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListProfileObjects: {
          http: {
            requestUri: "/domains/{DomainName}/profiles/objects"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "ObjectTypeName",
              "ProfileId"
            ],
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              ObjectTypeName: {},
              ProfileId: {},
              ObjectFilter: {
                type: "structure",
                required: [
                  "KeyName",
                  "Values"
                ],
                members: {
                  KeyName: {},
                  Values: {
                    shape: "S4"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ObjectTypeName: {},
                    ProfileObjectUniqueKey: {},
                    Object: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sn"
              }
            }
          }
        },
        ListWorkflows: {
          http: {
            requestUri: "/domains/{DomainName}/workflows"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              WorkflowType: {},
              Status: {},
              QueryStartDate: {
                type: "timestamp"
              },
              QueryEndDate: {
                type: "timestamp"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "WorkflowType",
                    "WorkflowId",
                    "Status",
                    "StatusDescription",
                    "CreatedAt",
                    "LastUpdatedAt"
                  ],
                  members: {
                    WorkflowType: {},
                    WorkflowId: {},
                    Status: {},
                    StatusDescription: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    LastUpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        MergeProfiles: {
          http: {
            requestUri: "/domains/{DomainName}/profiles/objects/merge"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "MainProfileId",
              "ProfileIdsToBeMerged"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              MainProfileId: {},
              ProfileIdsToBeMerged: {
                type: "list",
                member: {}
              },
              FieldSourceProfileIds: {
                type: "structure",
                members: {
                  AccountNumber: {},
                  AdditionalInformation: {},
                  PartyType: {},
                  BusinessName: {},
                  FirstName: {},
                  MiddleName: {},
                  LastName: {},
                  BirthDate: {},
                  Gender: {},
                  PhoneNumber: {},
                  MobilePhoneNumber: {},
                  HomePhoneNumber: {},
                  BusinessPhoneNumber: {},
                  EmailAddress: {},
                  PersonalEmailAddress: {},
                  BusinessEmailAddress: {},
                  Address: {},
                  ShippingAddress: {},
                  MailingAddress: {},
                  BillingAddress: {},
                  Attributes: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Message: {}
            }
          }
        },
        PutIntegration: {
          http: {
            method: "PUT",
            requestUri: "/domains/{DomainName}/integrations"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              Uri: {},
              ObjectTypeName: {},
              Tags: {
                shape: "Sn"
              },
              FlowDefinition: {
                shape: "S1k"
              },
              ObjectTypeNames: {
                shape: "S49"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainName",
              "Uri",
              "CreatedAt",
              "LastUpdatedAt"
            ],
            members: {
              DomainName: {},
              Uri: {},
              ObjectTypeName: {},
              CreatedAt: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              Tags: {
                shape: "Sn"
              },
              ObjectTypeNames: {
                shape: "S49"
              },
              WorkflowId: {},
              IsUnstructured: {
                type: "boolean"
              }
            }
          }
        },
        PutProfileObject: {
          http: {
            method: "PUT",
            requestUri: "/domains/{DomainName}/profiles/objects"
          },
          input: {
            type: "structure",
            required: [
              "ObjectTypeName",
              "Object",
              "DomainName"
            ],
            members: {
              ObjectTypeName: {},
              Object: {},
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProfileObjectUniqueKey: {}
            }
          }
        },
        PutProfileObjectType: {
          http: {
            method: "PUT",
            requestUri: "/domains/{DomainName}/object-types/{ObjectTypeName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "ObjectTypeName",
              "Description"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              ObjectTypeName: {
                location: "uri",
                locationName: "ObjectTypeName"
              },
              Description: {},
              TemplateId: {},
              ExpirationDays: {
                type: "integer"
              },
              EncryptionKey: {},
              AllowProfileCreation: {
                type: "boolean"
              },
              SourceLastUpdatedTimestampFormat: {},
              Fields: {
                shape: "S4l"
              },
              Keys: {
                shape: "S4o"
              },
              Tags: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ObjectTypeName",
              "Description"
            ],
            members: {
              ObjectTypeName: {},
              Description: {},
              TemplateId: {},
              ExpirationDays: {
                type: "integer"
              },
              EncryptionKey: {},
              AllowProfileCreation: {
                type: "boolean"
              },
              SourceLastUpdatedTimestampFormat: {},
              Fields: {
                shape: "S4l"
              },
              Keys: {
                shape: "S4o"
              },
              CreatedAt: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              Tags: {
                shape: "Sn"
              }
            }
          }
        },
        SearchProfiles: {
          http: {
            requestUri: "/domains/{DomainName}/profiles/search"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "KeyName",
              "Values"
            ],
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              KeyName: {},
              Values: {
                shape: "S4"
              },
              AdditionalSearchKeys: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "KeyName",
                    "Values"
                  ],
                  members: {
                    KeyName: {},
                    Values: {
                      shape: "S4"
                    }
                  }
                }
              },
              LogicalOperator: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ProfileId: {},
                    AccountNumber: {},
                    AdditionalInformation: {},
                    PartyType: {
                      shape: "S2x"
                    },
                    BusinessName: {},
                    FirstName: {},
                    MiddleName: {},
                    LastName: {},
                    BirthDate: {},
                    Gender: {
                      shape: "S2y"
                    },
                    PhoneNumber: {},
                    MobilePhoneNumber: {},
                    HomePhoneNumber: {},
                    BusinessPhoneNumber: {},
                    EmailAddress: {},
                    PersonalEmailAddress: {},
                    BusinessEmailAddress: {},
                    Address: {
                      shape: "S2z"
                    },
                    ShippingAddress: {
                      shape: "S2z"
                    },
                    MailingAddress: {
                      shape: "S2z"
                    },
                    BillingAddress: {
                      shape: "S2z"
                    },
                    Attributes: {
                      shape: "S30"
                    },
                    FoundByItems: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          KeyName: {},
                          Values: {
                            shape: "S4"
                          }
                        }
                      }
                    },
                    PartyTypeString: {},
                    GenderString: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateCalculatedAttributeDefinition: {
          http: {
            method: "PUT",
            requestUri: "/domains/{DomainName}/calculated-attributes/{CalculatedAttributeName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "CalculatedAttributeName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              CalculatedAttributeName: {
                location: "uri",
                locationName: "CalculatedAttributeName"
              },
              DisplayName: {},
              Description: {},
              Conditions: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CalculatedAttributeName: {},
              DisplayName: {},
              Description: {},
              CreatedAt: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              Statistic: {},
              Conditions: {
                shape: "Sf"
              },
              AttributeDetails: {
                shape: "Sb"
              },
              Tags: {
                shape: "Sn"
              }
            }
          }
        },
        UpdateDomain: {
          http: {
            method: "PUT",
            requestUri: "/domains/{DomainName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              DefaultExpirationDays: {
                type: "integer"
              },
              DefaultEncryptionKey: {},
              DeadLetterQueueUrl: {},
              Matching: {
                shape: "Sw"
              },
              Tags: {
                shape: "Sn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainName",
              "CreatedAt",
              "LastUpdatedAt"
            ],
            members: {
              DomainName: {},
              DefaultExpirationDays: {
                type: "integer"
              },
              DefaultEncryptionKey: {},
              DeadLetterQueueUrl: {},
              Matching: {
                shape: "S1d"
              },
              CreatedAt: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              Tags: {
                shape: "Sn"
              }
            }
          }
        },
        UpdateProfile: {
          http: {
            method: "PUT",
            requestUri: "/domains/{DomainName}/profiles"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "ProfileId"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              ProfileId: {},
              AdditionalInformation: {},
              AccountNumber: {},
              PartyType: {
                shape: "S2x"
              },
              BusinessName: {},
              FirstName: {},
              MiddleName: {},
              LastName: {},
              BirthDate: {},
              Gender: {
                shape: "S2y"
              },
              PhoneNumber: {},
              MobilePhoneNumber: {},
              HomePhoneNumber: {},
              BusinessPhoneNumber: {},
              EmailAddress: {},
              PersonalEmailAddress: {},
              BusinessEmailAddress: {},
              Address: {
                shape: "S7g"
              },
              ShippingAddress: {
                shape: "S7g"
              },
              MailingAddress: {
                shape: "S7g"
              },
              BillingAddress: {
                shape: "S7g"
              },
              Attributes: {
                type: "map",
                key: {},
                value: {}
              },
              PartyTypeString: {},
              GenderString: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ProfileId"
            ],
            members: {
              ProfileId: {}
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "list",
          member: {}
        },
        Sb: {
          type: "structure",
          required: [
            "Attributes",
            "Expression"
          ],
          members: {
            Attributes: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Name"
                ],
                members: {
                  Name: {}
                }
              }
            },
            Expression: {}
          }
        },
        Sf: {
          type: "structure",
          members: {
            Range: {
              type: "structure",
              required: [
                "Value",
                "Unit"
              ],
              members: {
                Value: {
                  type: "integer"
                },
                Unit: {}
              }
            },
            ObjectCount: {
              type: "integer"
            },
            Threshold: {
              type: "structure",
              required: [
                "Value",
                "Operator"
              ],
              members: {
                Value: {},
                Operator: {}
              }
            }
          }
        },
        Sn: {
          type: "map",
          key: {},
          value: {}
        },
        Sw: {
          type: "structure",
          required: [
            "Enabled"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            JobSchedule: {
              shape: "Sy"
            },
            AutoMerging: {
              shape: "S11"
            },
            ExportingConfig: {
              shape: "S18"
            }
          }
        },
        Sy: {
          type: "structure",
          required: [
            "DayOfTheWeek",
            "Time"
          ],
          members: {
            DayOfTheWeek: {},
            Time: {}
          }
        },
        S11: {
          type: "structure",
          required: [
            "Enabled"
          ],
          members: {
            Enabled: {
              type: "boolean"
            },
            Consolidation: {
              shape: "S12"
            },
            ConflictResolution: {
              shape: "S15"
            },
            MinAllowedConfidenceScoreForMerging: {
              type: "double"
            }
          }
        },
        S12: {
          type: "structure",
          required: [
            "MatchingAttributesList"
          ],
          members: {
            MatchingAttributesList: {
              type: "list",
              member: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S15: {
          type: "structure",
          required: [
            "ConflictResolvingModel"
          ],
          members: {
            ConflictResolvingModel: {},
            SourceName: {}
          }
        },
        S18: {
          type: "structure",
          members: {
            S3Exporting: {
              type: "structure",
              required: [
                "S3BucketName"
              ],
              members: {
                S3BucketName: {},
                S3KeyName: {}
              }
            }
          }
        },
        S1d: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            JobSchedule: {
              shape: "Sy"
            },
            AutoMerging: {
              shape: "S11"
            },
            ExportingConfig: {
              shape: "S18"
            }
          }
        },
        S1k: {
          type: "structure",
          required: [
            "FlowName",
            "KmsArn",
            "SourceFlowConfig",
            "Tasks",
            "TriggerConfig"
          ],
          members: {
            Description: {},
            FlowName: {},
            KmsArn: {},
            SourceFlowConfig: {
              type: "structure",
              required: [
                "ConnectorType",
                "SourceConnectorProperties"
              ],
              members: {
                ConnectorProfileName: {},
                ConnectorType: {},
                IncrementalPullConfig: {
                  type: "structure",
                  members: {
                    DatetimeTypeFieldName: {}
                  }
                },
                SourceConnectorProperties: {
                  type: "structure",
                  members: {
                    Marketo: {
                      type: "structure",
                      required: [
                        "Object"
                      ],
                      members: {
                        Object: {}
                      }
                    },
                    S3: {
                      type: "structure",
                      required: [
                        "BucketName"
                      ],
                      members: {
                        BucketName: {},
                        BucketPrefix: {}
                      }
                    },
                    Salesforce: {
                      type: "structure",
                      required: [
                        "Object"
                      ],
                      members: {
                        Object: {},
                        EnableDynamicFieldUpdate: {
                          type: "boolean"
                        },
                        IncludeDeletedRecords: {
                          type: "boolean"
                        }
                      }
                    },
                    ServiceNow: {
                      type: "structure",
                      required: [
                        "Object"
                      ],
                      members: {
                        Object: {}
                      }
                    },
                    Zendesk: {
                      type: "structure",
                      required: [
                        "Object"
                      ],
                      members: {
                        Object: {}
                      }
                    }
                  }
                }
              }
            },
            Tasks: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "SourceFields",
                  "TaskType"
                ],
                members: {
                  ConnectorOperator: {
                    type: "structure",
                    members: {
                      Marketo: {},
                      S3: {},
                      Salesforce: {},
                      ServiceNow: {},
                      Zendesk: {}
                    }
                  },
                  DestinationField: {},
                  SourceFields: {
                    type: "list",
                    member: {}
                  },
                  TaskProperties: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  TaskType: {}
                }
              }
            },
            TriggerConfig: {
              type: "structure",
              required: [
                "TriggerType"
              ],
              members: {
                TriggerType: {},
                TriggerProperties: {
                  type: "structure",
                  members: {
                    Scheduled: {
                      type: "structure",
                      required: [
                        "ScheduleExpression"
                      ],
                      members: {
                        ScheduleExpression: {},
                        DataPullMode: {},
                        ScheduleStartTime: {
                          type: "timestamp"
                        },
                        ScheduleEndTime: {
                          type: "timestamp"
                        },
                        Timezone: {},
                        ScheduleOffset: {
                          type: "long"
                        },
                        FirstExecutionFrom: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S2x: {
          type: "string",
          deprecated: true
        },
        S2y: {
          type: "string",
          deprecated: true
        },
        S2z: {
          type: "structure",
          members: {
            Address1: {},
            Address2: {},
            Address3: {},
            Address4: {},
            City: {},
            County: {},
            State: {},
            Province: {},
            Country: {},
            PostalCode: {}
          }
        },
        S30: {
          type: "map",
          key: {},
          value: {}
        },
        S43: {
          type: "structure",
          members: {
            S3Exporting: {
              type: "structure",
              members: {
                S3BucketName: {},
                S3KeyName: {}
              }
            }
          }
        },
        S46: {
          type: "structure",
          members: {
            NumberOfProfilesReviewed: {
              type: "long"
            },
            NumberOfMatchesFound: {
              type: "long"
            },
            NumberOfMergesDone: {
              type: "long"
            }
          }
        },
        S49: {
          type: "map",
          key: {},
          value: {}
        },
        S4l: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              Source: {},
              Target: {},
              ContentType: {}
            }
          }
        },
        S4o: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {
              type: "structure",
              members: {
                StandardIdentifiers: {
                  type: "list",
                  member: {}
                },
                FieldNames: {
                  type: "list",
                  member: {}
                }
              }
            }
          }
        },
        S5a: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DomainName",
              "Uri",
              "CreatedAt",
              "LastUpdatedAt"
            ],
            members: {
              DomainName: {},
              Uri: {},
              ObjectTypeName: {},
              CreatedAt: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              Tags: {
                shape: "Sn"
              },
              ObjectTypeNames: {
                shape: "S49"
              },
              WorkflowId: {},
              IsUnstructured: {
                type: "boolean"
              }
            }
          }
        },
        S7g: {
          type: "structure",
          members: {
            Address1: {},
            Address2: {},
            Address3: {},
            Address4: {},
            City: {},
            County: {},
            State: {},
            Province: {},
            Country: {},
            PostalCode: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/customer-profiles-2020-08-15.paginators.json
var require_customer_profiles_2020_08_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/customer-profiles-2020-08-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListEventStreams: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/customerprofiles.js
var require_customerprofiles = __commonJS({
  "node_modules/aws-sdk/clients/customerprofiles.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["customerprofiles"] = {};
    AWS2.CustomerProfiles = Service.defineService("customerprofiles", ["2020-08-15"]);
    Object.defineProperty(apiLoader.services["customerprofiles"], "2020-08-15", {
      get: function get() {
        var model = require_customer_profiles_2020_08_15_min();
        model.paginators = require_customer_profiles_2020_08_15_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CustomerProfiles;
  }
});

// node_modules/aws-sdk/apis/auditmanager-2017-07-25.min.json
var require_auditmanager_2017_07_25_min = __commonJS({
  "node_modules/aws-sdk/apis/auditmanager-2017-07-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-07-25",
        endpointPrefix: "auditmanager",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Audit Manager",
        serviceId: "AuditManager",
        signatureVersion: "v4",
        signingName: "auditmanager",
        uid: "auditmanager-2017-07-25"
      },
      operations: {
        AssociateAssessmentReportEvidenceFolder: {
          http: {
            method: "PUT",
            requestUri: "/assessments/{assessmentId}/associateToAssessmentReport"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId",
              "evidenceFolderId"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              evidenceFolderId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        BatchAssociateAssessmentReportEvidence: {
          http: {
            method: "PUT",
            requestUri: "/assessments/{assessmentId}/batchAssociateToAssessmentReport"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId",
              "evidenceFolderId",
              "evidenceIds"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              evidenceFolderId: {},
              evidenceIds: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              evidenceIds: {
                shape: "S5"
              },
              errors: {
                shape: "S7"
              }
            }
          }
        },
        BatchCreateDelegationByAssessment: {
          http: {
            requestUri: "/assessments/{assessmentId}/delegations"
          },
          input: {
            type: "structure",
            required: [
              "createDelegationRequests",
              "assessmentId"
            ],
            members: {
              createDelegationRequests: {
                type: "list",
                member: {
                  shape: "Sd"
                }
              },
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              delegations: {
                shape: "Sj"
              },
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    createDelegationRequest: {
                      shape: "Sd"
                    },
                    errorCode: {},
                    errorMessage: {}
                  }
                }
              }
            }
          }
        },
        BatchDeleteDelegationByAssessment: {
          http: {
            method: "PUT",
            requestUri: "/assessments/{assessmentId}/delegations"
          },
          input: {
            type: "structure",
            required: [
              "delegationIds",
              "assessmentId"
            ],
            members: {
              delegationIds: {
                type: "list",
                member: {}
              },
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    delegationId: {},
                    errorCode: {},
                    errorMessage: {}
                  }
                }
              }
            }
          }
        },
        BatchDisassociateAssessmentReportEvidence: {
          http: {
            method: "PUT",
            requestUri: "/assessments/{assessmentId}/batchDisassociateFromAssessmentReport"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId",
              "evidenceFolderId",
              "evidenceIds"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              evidenceFolderId: {},
              evidenceIds: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              evidenceIds: {
                shape: "S5"
              },
              errors: {
                shape: "S7"
              }
            }
          }
        },
        BatchImportEvidenceToAssessmentControl: {
          http: {
            requestUri: "/assessments/{assessmentId}/controlSets/{controlSetId}/controls/{controlId}/evidence"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId",
              "controlSetId",
              "controlId",
              "manualEvidence"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              controlSetId: {
                location: "uri",
                locationName: "controlSetId"
              },
              controlId: {
                location: "uri",
                locationName: "controlId"
              },
              manualEvidence: {
                type: "list",
                member: {
                  shape: "S10"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    manualEvidence: {
                      shape: "S10"
                    },
                    errorCode: {},
                    errorMessage: {}
                  }
                }
              }
            }
          }
        },
        CreateAssessment: {
          http: {
            requestUri: "/assessments"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "assessmentReportsDestination",
              "scope",
              "roles",
              "frameworkId"
            ],
            members: {
              name: {},
              description: {},
              assessmentReportsDestination: {
                shape: "S19"
              },
              scope: {
                shape: "S1b"
              },
              roles: {
                shape: "S1k"
              },
              frameworkId: {},
              tags: {
                shape: "S1m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              assessment: {
                shape: "S1q"
              }
            }
          }
        },
        CreateAssessmentFramework: {
          http: {
            requestUri: "/assessmentFrameworks"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "controlSets"
            ],
            members: {
              name: {},
              description: {},
              complianceType: {},
              controlSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name"
                  ],
                  members: {
                    name: {},
                    controls: {
                      shape: "S2l"
                    }
                  }
                }
              },
              tags: {
                shape: "S1m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              framework: {
                shape: "S2o"
              }
            }
          }
        },
        CreateAssessmentReport: {
          http: {
            requestUri: "/assessments/{assessmentId}/reports"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "assessmentId"
            ],
            members: {
              name: {},
              description: {},
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              queryStatement: {}
            }
          },
          output: {
            type: "structure",
            members: {
              assessmentReport: {
                type: "structure",
                members: {
                  id: {},
                  name: {},
                  description: {},
                  awsAccountId: {},
                  assessmentId: {},
                  assessmentName: {},
                  author: {},
                  status: {},
                  creationTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        CreateControl: {
          http: {
            requestUri: "/controls"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "controlMappingSources"
            ],
            members: {
              name: {},
              description: {},
              testingInformation: {},
              actionPlanTitle: {},
              actionPlanInstructions: {},
              controlMappingSources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    sourceName: {},
                    sourceDescription: {},
                    sourceSetUpOption: {},
                    sourceType: {},
                    sourceKeyword: {
                      shape: "S35"
                    },
                    sourceFrequency: {},
                    troubleshootingText: {}
                  }
                }
              },
              tags: {
                shape: "S1m"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              control: {
                shape: "S2u"
              }
            }
          }
        },
        DeleteAssessment: {
          http: {
            method: "DELETE",
            requestUri: "/assessments/{assessmentId}"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAssessmentFramework: {
          http: {
            method: "DELETE",
            requestUri: "/assessmentFrameworks/{frameworkId}"
          },
          input: {
            type: "structure",
            required: [
              "frameworkId"
            ],
            members: {
              frameworkId: {
                location: "uri",
                locationName: "frameworkId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAssessmentFrameworkShare: {
          http: {
            method: "DELETE",
            requestUri: "/assessmentFrameworkShareRequests/{requestId}"
          },
          input: {
            type: "structure",
            required: [
              "requestId",
              "requestType"
            ],
            members: {
              requestId: {
                location: "uri",
                locationName: "requestId"
              },
              requestType: {
                location: "querystring",
                locationName: "requestType"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAssessmentReport: {
          http: {
            method: "DELETE",
            requestUri: "/assessments/{assessmentId}/reports/{assessmentReportId}"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId",
              "assessmentReportId"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              assessmentReportId: {
                location: "uri",
                locationName: "assessmentReportId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteControl: {
          http: {
            method: "DELETE",
            requestUri: "/controls/{controlId}"
          },
          input: {
            type: "structure",
            required: [
              "controlId"
            ],
            members: {
              controlId: {
                location: "uri",
                locationName: "controlId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeregisterAccount: {
          http: {
            requestUri: "/account/deregisterAccount"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              status: {}
            }
          }
        },
        DeregisterOrganizationAdminAccount: {
          http: {
            requestUri: "/account/deregisterOrganizationAdminAccount"
          },
          input: {
            type: "structure",
            members: {
              adminAccountId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateAssessmentReportEvidenceFolder: {
          http: {
            method: "PUT",
            requestUri: "/assessments/{assessmentId}/disassociateFromAssessmentReport"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId",
              "evidenceFolderId"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              evidenceFolderId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetAccountStatus: {
          http: {
            method: "GET",
            requestUri: "/account/status"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              status: {}
            }
          }
        },
        GetAssessment: {
          http: {
            method: "GET",
            requestUri: "/assessments/{assessmentId}"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              assessment: {
                shape: "S1q"
              },
              userRole: {
                shape: "S1l"
              }
            }
          }
        },
        GetAssessmentFramework: {
          http: {
            method: "GET",
            requestUri: "/assessmentFrameworks/{frameworkId}"
          },
          input: {
            type: "structure",
            required: [
              "frameworkId"
            ],
            members: {
              frameworkId: {
                location: "uri",
                locationName: "frameworkId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              framework: {
                shape: "S2o"
              }
            }
          }
        },
        GetAssessmentReportUrl: {
          http: {
            method: "GET",
            requestUri: "/assessments/{assessmentId}/reports/{assessmentReportId}/url"
          },
          input: {
            type: "structure",
            required: [
              "assessmentReportId",
              "assessmentId"
            ],
            members: {
              assessmentReportId: {
                location: "uri",
                locationName: "assessmentReportId"
              },
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              preSignedUrl: {
                type: "structure",
                members: {
                  hyperlinkName: {},
                  link: {}
                }
              }
            }
          }
        },
        GetChangeLogs: {
          http: {
            method: "GET",
            requestUri: "/assessments/{assessmentId}/changelogs"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              controlSetId: {
                location: "querystring",
                locationName: "controlSetId"
              },
              controlId: {
                location: "querystring",
                locationName: "controlId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              changeLogs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    objectType: {},
                    objectName: {},
                    action: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    createdBy: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetControl: {
          http: {
            method: "GET",
            requestUri: "/controls/{controlId}"
          },
          input: {
            type: "structure",
            required: [
              "controlId"
            ],
            members: {
              controlId: {
                location: "uri",
                locationName: "controlId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              control: {
                shape: "S2u"
              }
            }
          }
        },
        GetDelegations: {
          http: {
            method: "GET",
            requestUri: "/delegations"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              delegations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    assessmentName: {},
                    assessmentId: {},
                    status: {},
                    roleArn: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    controlSetName: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetEvidence: {
          http: {
            method: "GET",
            requestUri: "/assessments/{assessmentId}/controlSets/{controlSetId}/evidenceFolders/{evidenceFolderId}/evidence/{evidenceId}"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId",
              "controlSetId",
              "evidenceFolderId",
              "evidenceId"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              controlSetId: {
                location: "uri",
                locationName: "controlSetId"
              },
              evidenceFolderId: {
                location: "uri",
                locationName: "evidenceFolderId"
              },
              evidenceId: {
                location: "uri",
                locationName: "evidenceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              evidence: {
                shape: "S4v"
              }
            }
          }
        },
        GetEvidenceByEvidenceFolder: {
          http: {
            method: "GET",
            requestUri: "/assessments/{assessmentId}/controlSets/{controlSetId}/evidenceFolders/{evidenceFolderId}/evidence"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId",
              "controlSetId",
              "evidenceFolderId"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              controlSetId: {
                location: "uri",
                locationName: "controlSetId"
              },
              evidenceFolderId: {
                location: "uri",
                locationName: "evidenceFolderId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              evidence: {
                type: "list",
                member: {
                  shape: "S4v"
                }
              },
              nextToken: {}
            }
          }
        },
        GetEvidenceFileUploadUrl: {
          http: {
            method: "GET",
            requestUri: "/evidenceFileUploadUrl"
          },
          input: {
            type: "structure",
            required: [
              "fileName"
            ],
            members: {
              fileName: {
                location: "querystring",
                locationName: "fileName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              evidenceFileName: {},
              uploadUrl: {}
            }
          }
        },
        GetEvidenceFolder: {
          http: {
            method: "GET",
            requestUri: "/assessments/{assessmentId}/controlSets/{controlSetId}/evidenceFolders/{evidenceFolderId}"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId",
              "controlSetId",
              "evidenceFolderId"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              controlSetId: {
                location: "uri",
                locationName: "controlSetId"
              },
              evidenceFolderId: {
                location: "uri",
                locationName: "evidenceFolderId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              evidenceFolder: {
                shape: "S5b"
              }
            }
          }
        },
        GetEvidenceFoldersByAssessment: {
          http: {
            method: "GET",
            requestUri: "/assessments/{assessmentId}/evidenceFolders"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              evidenceFolders: {
                shape: "S5f"
              },
              nextToken: {}
            }
          }
        },
        GetEvidenceFoldersByAssessmentControl: {
          http: {
            method: "GET",
            requestUri: "/assessments/{assessmentId}/evidenceFolders-by-assessment-control/{controlSetId}/{controlId}"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId",
              "controlSetId",
              "controlId"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              controlSetId: {
                location: "uri",
                locationName: "controlSetId"
              },
              controlId: {
                location: "uri",
                locationName: "controlId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              evidenceFolders: {
                shape: "S5f"
              },
              nextToken: {}
            }
          }
        },
        GetInsights: {
          http: {
            method: "GET",
            requestUri: "/insights"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              insights: {
                type: "structure",
                members: {
                  activeAssessmentsCount: {
                    type: "integer"
                  },
                  noncompliantEvidenceCount: {
                    type: "integer"
                  },
                  compliantEvidenceCount: {
                    type: "integer"
                  },
                  inconclusiveEvidenceCount: {
                    type: "integer"
                  },
                  assessmentControlsCountByNoncompliantEvidence: {
                    type: "integer"
                  },
                  totalAssessmentControlsCount: {
                    type: "integer"
                  },
                  lastUpdated: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        GetInsightsByAssessment: {
          http: {
            method: "GET",
            requestUri: "/insights/assessments/{assessmentId}"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              insights: {
                type: "structure",
                members: {
                  noncompliantEvidenceCount: {
                    type: "integer"
                  },
                  compliantEvidenceCount: {
                    type: "integer"
                  },
                  inconclusiveEvidenceCount: {
                    type: "integer"
                  },
                  assessmentControlsCountByNoncompliantEvidence: {
                    type: "integer"
                  },
                  totalAssessmentControlsCount: {
                    type: "integer"
                  },
                  lastUpdated: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        GetOrganizationAdminAccount: {
          http: {
            method: "GET",
            requestUri: "/account/organizationAdminAccount"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              adminAccountId: {},
              organizationId: {}
            }
          }
        },
        GetServicesInScope: {
          http: {
            method: "GET",
            requestUri: "/services"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              serviceMetadata: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    displayName: {},
                    description: {},
                    category: {}
                  }
                }
              }
            }
          }
        },
        GetSettings: {
          http: {
            method: "GET",
            requestUri: "/settings/{attribute}"
          },
          input: {
            type: "structure",
            required: [
              "attribute"
            ],
            members: {
              attribute: {
                location: "uri",
                locationName: "attribute"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              settings: {
                shape: "S5z"
              }
            }
          }
        },
        ListAssessmentControlInsightsByControlDomain: {
          http: {
            method: "GET",
            requestUri: "/insights/controls-by-assessment"
          },
          input: {
            type: "structure",
            required: [
              "controlDomainId",
              "assessmentId"
            ],
            members: {
              controlDomainId: {
                location: "querystring",
                locationName: "controlDomainId"
              },
              assessmentId: {
                location: "querystring",
                locationName: "assessmentId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              controlInsightsByAssessment: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    id: {},
                    evidenceInsights: {
                      shape: "S6f"
                    },
                    controlSetName: {},
                    lastUpdated: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAssessmentFrameworkShareRequests: {
          http: {
            method: "GET",
            requestUri: "/assessmentFrameworkShareRequests"
          },
          input: {
            type: "structure",
            required: [
              "requestType"
            ],
            members: {
              requestType: {
                location: "querystring",
                locationName: "requestType"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              assessmentFrameworkShareRequests: {
                type: "list",
                member: {
                  shape: "S6j"
                }
              },
              nextToken: {}
            }
          }
        },
        ListAssessmentFrameworks: {
          http: {
            method: "GET",
            requestUri: "/assessmentFrameworks"
          },
          input: {
            type: "structure",
            required: [
              "frameworkType"
            ],
            members: {
              frameworkType: {
                location: "querystring",
                locationName: "frameworkType"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              frameworkMetadataList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    id: {},
                    type: {},
                    name: {},
                    description: {},
                    logo: {},
                    complianceType: {},
                    controlsCount: {
                      type: "integer"
                    },
                    controlSetsCount: {
                      type: "integer"
                    },
                    createdAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAssessmentReports: {
          http: {
            method: "GET",
            requestUri: "/assessmentReports"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              assessmentReports: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    name: {},
                    description: {},
                    assessmentId: {},
                    assessmentName: {},
                    author: {},
                    status: {},
                    creationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAssessments: {
          http: {
            method: "GET",
            requestUri: "/assessments"
          },
          input: {
            type: "structure",
            members: {
              status: {
                location: "querystring",
                locationName: "status"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              assessmentMetadata: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    id: {},
                    complianceType: {},
                    status: {},
                    roles: {
                      shape: "S1k"
                    },
                    delegations: {
                      shape: "Sj"
                    },
                    creationTime: {
                      type: "timestamp"
                    },
                    lastUpdated: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListControlDomainInsights: {
          http: {
            method: "GET",
            requestUri: "/insights/control-domains"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              controlDomainInsights: {
                shape: "S73"
              },
              nextToken: {}
            }
          }
        },
        ListControlDomainInsightsByAssessment: {
          http: {
            method: "GET",
            requestUri: "/insights/control-domains-by-assessment"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId"
            ],
            members: {
              assessmentId: {
                location: "querystring",
                locationName: "assessmentId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              controlDomainInsights: {
                shape: "S73"
              },
              nextToken: {}
            }
          }
        },
        ListControlInsightsByControlDomain: {
          http: {
            method: "GET",
            requestUri: "/insights/controls"
          },
          input: {
            type: "structure",
            required: [
              "controlDomainId"
            ],
            members: {
              controlDomainId: {
                location: "querystring",
                locationName: "controlDomainId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              controlInsightsMetadata: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    id: {},
                    evidenceInsights: {
                      shape: "S6f"
                    },
                    lastUpdated: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListControls: {
          http: {
            method: "GET",
            requestUri: "/controls"
          },
          input: {
            type: "structure",
            required: [
              "controlType"
            ],
            members: {
              controlType: {
                location: "querystring",
                locationName: "controlType"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              controlMetadataList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    id: {},
                    name: {},
                    controlSources: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListKeywordsForDataSource: {
          http: {
            method: "GET",
            requestUri: "/dataSourceKeywords"
          },
          input: {
            type: "structure",
            required: [
              "source"
            ],
            members: {
              source: {
                location: "querystring",
                locationName: "source"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              keywords: {
                type: "list",
                member: {}
              },
              nextToken: {}
            }
          }
        },
        ListNotifications: {
          http: {
            method: "GET",
            requestUri: "/notifications"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              notifications: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    assessmentId: {},
                    assessmentName: {},
                    controlSetId: {},
                    controlSetName: {},
                    description: {},
                    eventTime: {
                      type: "timestamp"
                    },
                    source: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S1m"
              }
            }
          }
        },
        RegisterAccount: {
          http: {
            requestUri: "/account/registerAccount"
          },
          input: {
            type: "structure",
            members: {
              kmsKey: {},
              delegatedAdminAccount: {}
            }
          },
          output: {
            type: "structure",
            members: {
              status: {}
            }
          }
        },
        RegisterOrganizationAdminAccount: {
          http: {
            requestUri: "/account/registerOrganizationAdminAccount"
          },
          input: {
            type: "structure",
            required: [
              "adminAccountId"
            ],
            members: {
              adminAccountId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              adminAccountId: {},
              organizationId: {}
            }
          }
        },
        StartAssessmentFrameworkShare: {
          http: {
            requestUri: "/assessmentFrameworks/{frameworkId}/shareRequests"
          },
          input: {
            type: "structure",
            required: [
              "frameworkId",
              "destinationAccount",
              "destinationRegion"
            ],
            members: {
              frameworkId: {
                location: "uri",
                locationName: "frameworkId"
              },
              destinationAccount: {},
              destinationRegion: {},
              comment: {}
            }
          },
          output: {
            type: "structure",
            members: {
              assessmentFrameworkShareRequest: {
                shape: "S6j"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S1m"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAssessment: {
          http: {
            method: "PUT",
            requestUri: "/assessments/{assessmentId}"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId",
              "scope"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              assessmentName: {},
              assessmentDescription: {},
              scope: {
                shape: "S1b"
              },
              assessmentReportsDestination: {
                shape: "S19"
              },
              roles: {
                shape: "S1k"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              assessment: {
                shape: "S1q"
              }
            }
          }
        },
        UpdateAssessmentControl: {
          http: {
            method: "PUT",
            requestUri: "/assessments/{assessmentId}/controlSets/{controlSetId}/controls/{controlId}"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId",
              "controlSetId",
              "controlId"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              controlSetId: {
                location: "uri",
                locationName: "controlSetId"
              },
              controlId: {
                location: "uri",
                locationName: "controlId"
              },
              controlStatus: {},
              commentBody: {}
            }
          },
          output: {
            type: "structure",
            members: {
              control: {
                shape: "S24"
              }
            }
          }
        },
        UpdateAssessmentControlSetStatus: {
          http: {
            method: "PUT",
            requestUri: "/assessments/{assessmentId}/controlSets/{controlSetId}/status"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId",
              "controlSetId",
              "status",
              "comment"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              controlSetId: {
                location: "uri",
                locationName: "controlSetId"
              },
              status: {},
              comment: {}
            }
          },
          output: {
            type: "structure",
            members: {
              controlSet: {
                shape: "S20"
              }
            }
          }
        },
        UpdateAssessmentFramework: {
          http: {
            method: "PUT",
            requestUri: "/assessmentFrameworks/{frameworkId}"
          },
          input: {
            type: "structure",
            required: [
              "frameworkId",
              "name",
              "controlSets"
            ],
            members: {
              frameworkId: {
                location: "uri",
                locationName: "frameworkId"
              },
              name: {},
              description: {},
              complianceType: {},
              controlSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "controls"
                  ],
                  members: {
                    id: {},
                    name: {},
                    controls: {
                      shape: "S2l"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              framework: {
                shape: "S2o"
              }
            }
          }
        },
        UpdateAssessmentFrameworkShare: {
          http: {
            method: "PUT",
            requestUri: "/assessmentFrameworkShareRequests/{requestId}"
          },
          input: {
            type: "structure",
            required: [
              "requestId",
              "requestType",
              "action"
            ],
            members: {
              requestId: {
                location: "uri",
                locationName: "requestId"
              },
              requestType: {},
              action: {}
            }
          },
          output: {
            type: "structure",
            members: {
              assessmentFrameworkShareRequest: {
                shape: "S6j"
              }
            }
          }
        },
        UpdateAssessmentStatus: {
          http: {
            method: "PUT",
            requestUri: "/assessments/{assessmentId}/status"
          },
          input: {
            type: "structure",
            required: [
              "assessmentId",
              "status"
            ],
            members: {
              assessmentId: {
                location: "uri",
                locationName: "assessmentId"
              },
              status: {}
            }
          },
          output: {
            type: "structure",
            members: {
              assessment: {
                shape: "S1q"
              }
            }
          }
        },
        UpdateControl: {
          http: {
            method: "PUT",
            requestUri: "/controls/{controlId}"
          },
          input: {
            type: "structure",
            required: [
              "controlId",
              "name",
              "controlMappingSources"
            ],
            members: {
              controlId: {
                location: "uri",
                locationName: "controlId"
              },
              name: {},
              description: {},
              testingInformation: {},
              actionPlanTitle: {},
              actionPlanInstructions: {},
              controlMappingSources: {
                shape: "S2z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              control: {
                shape: "S2u"
              }
            }
          }
        },
        UpdateSettings: {
          http: {
            method: "PUT",
            requestUri: "/settings"
          },
          input: {
            type: "structure",
            members: {
              snsTopic: {},
              defaultAssessmentReportsDestination: {
                shape: "S19"
              },
              defaultProcessOwners: {
                shape: "S1k"
              },
              kmsKey: {},
              evidenceFinderEnabled: {
                type: "boolean"
              },
              deregistrationPolicy: {
                shape: "S67"
              },
              defaultExportDestination: {
                shape: "S69"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              settings: {
                shape: "S5z"
              }
            }
          }
        },
        ValidateAssessmentReportIntegrity: {
          http: {
            requestUri: "/assessmentReports/integrity"
          },
          input: {
            type: "structure",
            required: [
              "s3RelativePath"
            ],
            members: {
              s3RelativePath: {}
            }
          },
          output: {
            type: "structure",
            members: {
              signatureValid: {
                type: "boolean"
              },
              signatureAlgorithm: {},
              signatureDateTime: {},
              signatureKeyId: {},
              validationErrors: {
                type: "list",
                member: {}
              }
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "list",
          member: {}
        },
        S7: {
          type: "list",
          member: {
            type: "structure",
            members: {
              evidenceId: {},
              errorCode: {},
              errorMessage: {}
            }
          }
        },
        Sd: {
          type: "structure",
          members: {
            comment: {},
            controlSetId: {},
            roleArn: {},
            roleType: {}
          }
        },
        Sj: {
          type: "list",
          member: {
            type: "structure",
            members: {
              id: {},
              assessmentName: {},
              assessmentId: {},
              status: {},
              roleArn: {},
              roleType: {},
              creationTime: {
                type: "timestamp"
              },
              lastUpdated: {
                type: "timestamp"
              },
              controlSetId: {},
              comment: {},
              createdBy: {}
            }
          }
        },
        S10: {
          type: "structure",
          members: {
            s3ResourcePath: {},
            textResponse: {},
            evidenceFileName: {}
          }
        },
        S19: {
          type: "structure",
          members: {
            destinationType: {},
            destination: {}
          }
        },
        S1b: {
          type: "structure",
          members: {
            awsAccounts: {
              type: "list",
              member: {
                shape: "S1d"
              }
            },
            awsServices: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  serviceName: {}
                }
              }
            }
          }
        },
        S1d: {
          type: "structure",
          members: {
            id: {},
            emailAddress: {},
            name: {}
          }
        },
        S1k: {
          type: "list",
          member: {
            shape: "S1l"
          }
        },
        S1l: {
          type: "structure",
          required: [
            "roleType",
            "roleArn"
          ],
          members: {
            roleType: {},
            roleArn: {}
          }
        },
        S1m: {
          type: "map",
          key: {},
          value: {}
        },
        S1q: {
          type: "structure",
          members: {
            arn: {},
            awsAccount: {
              shape: "S1d"
            },
            metadata: {
              type: "structure",
              members: {
                name: {},
                id: {},
                description: {},
                complianceType: {},
                status: {},
                assessmentReportsDestination: {
                  shape: "S19"
                },
                scope: {
                  shape: "S1b"
                },
                roles: {
                  shape: "S1k"
                },
                delegations: {
                  shape: "Sj"
                },
                creationTime: {
                  type: "timestamp"
                },
                lastUpdated: {
                  type: "timestamp"
                }
              }
            },
            framework: {
              type: "structure",
              members: {
                id: {},
                arn: {},
                metadata: {
                  type: "structure",
                  members: {
                    name: {},
                    description: {},
                    logo: {},
                    complianceType: {}
                  }
                },
                controlSets: {
                  type: "list",
                  member: {
                    shape: "S20"
                  }
                }
              }
            },
            tags: {
              shape: "S1m"
            }
          }
        },
        S20: {
          type: "structure",
          members: {
            id: {},
            description: {},
            status: {},
            roles: {
              shape: "S1k"
            },
            controls: {
              type: "list",
              member: {
                shape: "S24"
              }
            },
            delegations: {
              shape: "Sj"
            },
            systemEvidenceCount: {
              type: "integer"
            },
            manualEvidenceCount: {
              type: "integer"
            }
          }
        },
        S24: {
          type: "structure",
          members: {
            id: {},
            name: {},
            description: {},
            status: {},
            response: {},
            comments: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  authorName: {},
                  commentBody: {},
                  postedDate: {
                    type: "timestamp"
                  }
                }
              }
            },
            evidenceSources: {
              type: "list",
              member: {}
            },
            evidenceCount: {
              type: "integer"
            },
            assessmentReportEvidenceCount: {
              type: "integer"
            }
          }
        },
        S2l: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          }
        },
        S2o: {
          type: "structure",
          members: {
            arn: {},
            id: {},
            name: {},
            type: {},
            complianceType: {},
            description: {},
            logo: {},
            controlSources: {},
            controlSets: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  id: {},
                  name: {},
                  controls: {
                    type: "list",
                    member: {
                      shape: "S2u"
                    }
                  }
                }
              }
            },
            createdAt: {
              type: "timestamp"
            },
            lastUpdatedAt: {
              type: "timestamp"
            },
            createdBy: {},
            lastUpdatedBy: {},
            tags: {
              shape: "S1m"
            }
          }
        },
        S2u: {
          type: "structure",
          members: {
            arn: {},
            id: {},
            type: {},
            name: {},
            description: {},
            testingInformation: {},
            actionPlanTitle: {},
            actionPlanInstructions: {},
            controlSources: {},
            controlMappingSources: {
              shape: "S2z"
            },
            createdAt: {
              type: "timestamp"
            },
            lastUpdatedAt: {
              type: "timestamp"
            },
            createdBy: {},
            lastUpdatedBy: {},
            tags: {
              shape: "S1m"
            }
          }
        },
        S2z: {
          type: "list",
          member: {
            type: "structure",
            members: {
              sourceId: {},
              sourceName: {},
              sourceDescription: {},
              sourceSetUpOption: {},
              sourceType: {},
              sourceKeyword: {
                shape: "S35"
              },
              sourceFrequency: {},
              troubleshootingText: {}
            }
          }
        },
        S35: {
          type: "structure",
          members: {
            keywordInputType: {},
            keywordValue: {}
          }
        },
        S4v: {
          type: "structure",
          members: {
            dataSource: {},
            evidenceAwsAccountId: {},
            time: {
              type: "timestamp"
            },
            eventSource: {},
            eventName: {},
            evidenceByType: {},
            resourcesIncluded: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  arn: {},
                  value: {},
                  complianceCheck: {}
                }
              }
            },
            attributes: {
              type: "map",
              key: {},
              value: {}
            },
            iamId: {},
            complianceCheck: {},
            awsOrganization: {},
            awsAccountId: {},
            evidenceFolderId: {},
            id: {},
            assessmentReportSelection: {}
          }
        },
        S5b: {
          type: "structure",
          members: {
            name: {},
            date: {
              type: "timestamp"
            },
            assessmentId: {},
            controlSetId: {},
            controlId: {},
            id: {},
            dataSource: {},
            author: {},
            totalEvidence: {
              type: "integer"
            },
            assessmentReportSelectionCount: {
              type: "integer"
            },
            controlName: {},
            evidenceResourcesIncludedCount: {
              type: "integer"
            },
            evidenceByTypeConfigurationDataCount: {
              type: "integer"
            },
            evidenceByTypeManualCount: {
              type: "integer"
            },
            evidenceByTypeComplianceCheckCount: {
              type: "integer"
            },
            evidenceByTypeComplianceCheckIssuesCount: {
              type: "integer"
            },
            evidenceByTypeUserActivityCount: {
              type: "integer"
            },
            evidenceAwsServiceSourceCount: {
              type: "integer"
            }
          }
        },
        S5f: {
          type: "list",
          member: {
            shape: "S5b"
          }
        },
        S5z: {
          type: "structure",
          members: {
            isAwsOrgEnabled: {
              type: "boolean"
            },
            snsTopic: {},
            defaultAssessmentReportsDestination: {
              shape: "S19"
            },
            defaultProcessOwners: {
              shape: "S1k"
            },
            kmsKey: {},
            evidenceFinderEnablement: {
              type: "structure",
              members: {
                eventDataStoreArn: {},
                enablementStatus: {},
                backfillStatus: {},
                error: {}
              }
            },
            deregistrationPolicy: {
              shape: "S67"
            },
            defaultExportDestination: {
              shape: "S69"
            }
          }
        },
        S67: {
          type: "structure",
          members: {
            deleteResources: {}
          }
        },
        S69: {
          type: "structure",
          members: {
            destinationType: {},
            destination: {}
          }
        },
        S6f: {
          type: "structure",
          members: {
            noncompliantEvidenceCount: {
              type: "integer"
            },
            compliantEvidenceCount: {
              type: "integer"
            },
            inconclusiveEvidenceCount: {
              type: "integer"
            }
          }
        },
        S6j: {
          type: "structure",
          members: {
            id: {},
            frameworkId: {},
            frameworkName: {},
            frameworkDescription: {},
            status: {},
            sourceAccount: {},
            destinationAccount: {},
            destinationRegion: {},
            expirationTime: {
              type: "timestamp"
            },
            creationTime: {
              type: "timestamp"
            },
            lastUpdated: {
              type: "timestamp"
            },
            comment: {},
            standardControlsCount: {
              type: "integer"
            },
            customControlsCount: {
              type: "integer"
            },
            complianceType: {}
          }
        },
        S73: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              id: {},
              controlsCountByNoncompliantEvidence: {
                type: "integer"
              },
              totalControlsCount: {
                type: "integer"
              },
              evidenceInsights: {
                shape: "S6f"
              },
              lastUpdated: {
                type: "timestamp"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/auditmanager-2017-07-25.paginators.json
var require_auditmanager_2017_07_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/auditmanager-2017-07-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetChangeLogs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetDelegations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetEvidenceByEvidenceFolder: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetEvidenceFoldersByAssessment: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetEvidenceFoldersByAssessmentControl: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAssessmentControlInsightsByControlDomain: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAssessmentFrameworkShareRequests: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAssessmentFrameworks: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAssessmentReports: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAssessments: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListControlDomainInsights: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListControlDomainInsightsByAssessment: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListControlInsightsByControlDomain: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListControls: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListKeywordsForDataSource: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListNotifications: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/auditmanager.js
var require_auditmanager = __commonJS({
  "node_modules/aws-sdk/clients/auditmanager.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["auditmanager"] = {};
    AWS2.AuditManager = Service.defineService("auditmanager", ["2017-07-25"]);
    Object.defineProperty(apiLoader.services["auditmanager"], "2017-07-25", {
      get: function get() {
        var model = require_auditmanager_2017_07_25_min();
        model.paginators = require_auditmanager_2017_07_25_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.AuditManager;
  }
});

// node_modules/aws-sdk/apis/emr-containers-2020-10-01.min.json
var require_emr_containers_2020_10_01_min = __commonJS({
  "node_modules/aws-sdk/apis/emr-containers-2020-10-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-10-01",
        endpointPrefix: "emr-containers",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon EMR Containers",
        serviceId: "EMR containers",
        signatureVersion: "v4",
        signingName: "emr-containers",
        uid: "emr-containers-2020-10-01"
      },
      operations: {
        CancelJobRun: {
          http: {
            method: "DELETE",
            requestUri: "/virtualclusters/{virtualClusterId}/jobruns/{jobRunId}"
          },
          input: {
            type: "structure",
            required: [
              "id",
              "virtualClusterId"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "jobRunId"
              },
              virtualClusterId: {
                location: "uri",
                locationName: "virtualClusterId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              virtualClusterId: {}
            }
          }
        },
        CreateJobTemplate: {
          http: {
            requestUri: "/jobtemplates"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "clientToken",
              "jobTemplateData"
            ],
            members: {
              name: {},
              clientToken: {
                idempotencyToken: true
              },
              jobTemplateData: {
                shape: "S7"
              },
              tags: {
                shape: "Sx"
              },
              kmsKeyArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              name: {},
              arn: {},
              createdAt: {
                shape: "S13"
              }
            }
          }
        },
        CreateManagedEndpoint: {
          http: {
            requestUri: "/virtualclusters/{virtualClusterId}/endpoints"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "virtualClusterId",
              "type",
              "releaseLabel",
              "executionRoleArn",
              "clientToken"
            ],
            members: {
              name: {},
              virtualClusterId: {
                location: "uri",
                locationName: "virtualClusterId"
              },
              type: {},
              releaseLabel: {},
              executionRoleArn: {},
              certificateArn: {
                deprecated: true,
                deprecatedMessage: "Customer provided certificate-arn is deprecated and would be removed in future."
              },
              configurationOverrides: {
                shape: "S19"
              },
              clientToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              name: {},
              arn: {},
              virtualClusterId: {}
            }
          }
        },
        CreateVirtualCluster: {
          http: {
            requestUri: "/virtualclusters"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "containerProvider",
              "clientToken"
            ],
            members: {
              name: {},
              containerProvider: {
                shape: "S1l"
              },
              clientToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              name: {},
              arn: {}
            }
          }
        },
        DeleteJobTemplate: {
          http: {
            method: "DELETE",
            requestUri: "/jobtemplates/{templateId}"
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "templateId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {}
            }
          }
        },
        DeleteManagedEndpoint: {
          http: {
            method: "DELETE",
            requestUri: "/virtualclusters/{virtualClusterId}/endpoints/{endpointId}"
          },
          input: {
            type: "structure",
            required: [
              "id",
              "virtualClusterId"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "endpointId"
              },
              virtualClusterId: {
                location: "uri",
                locationName: "virtualClusterId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              virtualClusterId: {}
            }
          }
        },
        DeleteVirtualCluster: {
          http: {
            method: "DELETE",
            requestUri: "/virtualclusters/{virtualClusterId}"
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "virtualClusterId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {}
            }
          }
        },
        DescribeJobRun: {
          http: {
            method: "GET",
            requestUri: "/virtualclusters/{virtualClusterId}/jobruns/{jobRunId}"
          },
          input: {
            type: "structure",
            required: [
              "id",
              "virtualClusterId"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "jobRunId"
              },
              virtualClusterId: {
                location: "uri",
                locationName: "virtualClusterId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobRun: {
                shape: "S21"
              }
            }
          }
        },
        DescribeJobTemplate: {
          http: {
            method: "GET",
            requestUri: "/jobtemplates/{templateId}"
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "templateId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobTemplate: {
                shape: "S2b"
              }
            }
          }
        },
        DescribeManagedEndpoint: {
          http: {
            method: "GET",
            requestUri: "/virtualclusters/{virtualClusterId}/endpoints/{endpointId}"
          },
          input: {
            type: "structure",
            required: [
              "id",
              "virtualClusterId"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "endpointId"
              },
              virtualClusterId: {
                location: "uri",
                locationName: "virtualClusterId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              endpoint: {
                shape: "S2f"
              }
            }
          }
        },
        DescribeVirtualCluster: {
          http: {
            method: "GET",
            requestUri: "/virtualclusters/{virtualClusterId}"
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "virtualClusterId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              virtualCluster: {
                shape: "S2m"
              }
            }
          }
        },
        GetManagedEndpointSessionCredentials: {
          http: {
            requestUri: "/virtualclusters/{virtualClusterId}/endpoints/{endpointId}/credentials"
          },
          input: {
            type: "structure",
            required: [
              "executionRoleArn",
              "credentialType",
              "endpointIdentifier",
              "virtualClusterIdentifier"
            ],
            members: {
              endpointIdentifier: {
                location: "uri",
                locationName: "endpointId"
              },
              virtualClusterIdentifier: {
                location: "uri",
                locationName: "virtualClusterId"
              },
              executionRoleArn: {},
              credentialType: {},
              durationInSeconds: {
                type: "integer"
              },
              logContext: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              credentials: {
                type: "structure",
                members: {
                  token: {
                    type: "string",
                    sensitive: true
                  }
                },
                union: true
              },
              expiresAt: {
                shape: "S13"
              }
            }
          }
        },
        ListJobRuns: {
          http: {
            method: "GET",
            requestUri: "/virtualclusters/{virtualClusterId}/jobruns"
          },
          input: {
            type: "structure",
            required: [
              "virtualClusterId"
            ],
            members: {
              virtualClusterId: {
                location: "uri",
                locationName: "virtualClusterId"
              },
              createdBefore: {
                shape: "S13",
                location: "querystring",
                locationName: "createdBefore"
              },
              createdAfter: {
                shape: "S13",
                location: "querystring",
                locationName: "createdAfter"
              },
              name: {
                location: "querystring",
                locationName: "name"
              },
              states: {
                location: "querystring",
                locationName: "states",
                type: "list",
                member: {}
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              jobRuns: {
                type: "list",
                member: {
                  shape: "S21"
                }
              },
              nextToken: {}
            }
          }
        },
        ListJobTemplates: {
          http: {
            method: "GET",
            requestUri: "/jobtemplates"
          },
          input: {
            type: "structure",
            members: {
              createdAfter: {
                shape: "S13",
                location: "querystring",
                locationName: "createdAfter"
              },
              createdBefore: {
                shape: "S13",
                location: "querystring",
                locationName: "createdBefore"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              templates: {
                type: "list",
                member: {
                  shape: "S2b"
                }
              },
              nextToken: {}
            }
          }
        },
        ListManagedEndpoints: {
          http: {
            method: "GET",
            requestUri: "/virtualclusters/{virtualClusterId}/endpoints"
          },
          input: {
            type: "structure",
            required: [
              "virtualClusterId"
            ],
            members: {
              virtualClusterId: {
                location: "uri",
                locationName: "virtualClusterId"
              },
              createdBefore: {
                shape: "S13",
                location: "querystring",
                locationName: "createdBefore"
              },
              createdAfter: {
                shape: "S13",
                location: "querystring",
                locationName: "createdAfter"
              },
              types: {
                location: "querystring",
                locationName: "types",
                type: "list",
                member: {}
              },
              states: {
                location: "querystring",
                locationName: "states",
                type: "list",
                member: {}
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              endpoints: {
                type: "list",
                member: {
                  shape: "S2f"
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sx"
              }
            }
          }
        },
        ListVirtualClusters: {
          http: {
            method: "GET",
            requestUri: "/virtualclusters"
          },
          input: {
            type: "structure",
            members: {
              containerProviderId: {
                location: "querystring",
                locationName: "containerProviderId"
              },
              containerProviderType: {
                location: "querystring",
                locationName: "containerProviderType"
              },
              createdAfter: {
                shape: "S13",
                location: "querystring",
                locationName: "createdAfter"
              },
              createdBefore: {
                shape: "S13",
                location: "querystring",
                locationName: "createdBefore"
              },
              states: {
                location: "querystring",
                locationName: "states",
                type: "list",
                member: {}
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              virtualClusters: {
                type: "list",
                member: {
                  shape: "S2m"
                }
              },
              nextToken: {}
            }
          }
        },
        StartJobRun: {
          http: {
            requestUri: "/virtualclusters/{virtualClusterId}/jobruns"
          },
          input: {
            type: "structure",
            required: [
              "virtualClusterId",
              "clientToken"
            ],
            members: {
              name: {},
              virtualClusterId: {
                location: "uri",
                locationName: "virtualClusterId"
              },
              clientToken: {
                idempotencyToken: true
              },
              executionRoleArn: {},
              releaseLabel: {},
              jobDriver: {
                shape: "Sl"
              },
              configurationOverrides: {
                shape: "S19"
              },
              tags: {
                shape: "Sx"
              },
              jobTemplateId: {},
              jobTemplateParameters: {
                type: "map",
                key: {},
                value: {}
              },
              retryPolicyConfiguration: {
                shape: "S26"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              name: {},
              arn: {},
              virtualClusterId: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S7: {
          type: "structure",
          required: [
            "executionRoleArn",
            "releaseLabel",
            "jobDriver"
          ],
          members: {
            executionRoleArn: {},
            releaseLabel: {},
            configurationOverrides: {
              type: "structure",
              members: {
                applicationConfiguration: {
                  shape: "Sb"
                },
                monitoringConfiguration: {
                  type: "structure",
                  members: {
                    persistentAppUI: {},
                    cloudWatchMonitoringConfiguration: {
                      type: "structure",
                      members: {
                        logGroupName: {},
                        logStreamNamePrefix: {}
                      }
                    },
                    s3MonitoringConfiguration: {
                      type: "structure",
                      members: {
                        logUri: {}
                      }
                    }
                  }
                }
              }
            },
            jobDriver: {
              shape: "Sl"
            },
            parameterConfiguration: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                members: {
                  type: {},
                  defaultValue: {}
                }
              }
            },
            jobTags: {
              shape: "Sx"
            }
          }
        },
        Sb: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "classification"
            ],
            members: {
              classification: {},
              properties: {
                type: "map",
                key: {},
                value: {},
                sensitive: true
              },
              configurations: {
                shape: "Sb"
              }
            }
          }
        },
        Sl: {
          type: "structure",
          members: {
            sparkSubmitJobDriver: {
              type: "structure",
              required: [
                "entryPoint"
              ],
              members: {
                entryPoint: {
                  shape: "Sn"
                },
                entryPointArguments: {
                  type: "list",
                  member: {
                    type: "string",
                    sensitive: true
                  }
                },
                sparkSubmitParameters: {
                  type: "string",
                  sensitive: true
                }
              }
            },
            sparkSqlJobDriver: {
              type: "structure",
              members: {
                entryPoint: {
                  shape: "Sn"
                },
                sparkSqlParameters: {
                  type: "string",
                  sensitive: true
                }
              }
            }
          }
        },
        Sn: {
          type: "string",
          sensitive: true
        },
        Sx: {
          type: "map",
          key: {},
          value: {}
        },
        S13: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S19: {
          type: "structure",
          members: {
            applicationConfiguration: {
              shape: "Sb"
            },
            monitoringConfiguration: {
              type: "structure",
              members: {
                persistentAppUI: {},
                cloudWatchMonitoringConfiguration: {
                  type: "structure",
                  required: [
                    "logGroupName"
                  ],
                  members: {
                    logGroupName: {},
                    logStreamNamePrefix: {}
                  }
                },
                s3MonitoringConfiguration: {
                  type: "structure",
                  required: [
                    "logUri"
                  ],
                  members: {
                    logUri: {}
                  }
                },
                containerLogRotationConfiguration: {
                  type: "structure",
                  required: [
                    "rotationSize",
                    "maxFilesToKeep"
                  ],
                  members: {
                    rotationSize: {},
                    maxFilesToKeep: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        S1l: {
          type: "structure",
          required: [
            "type",
            "id"
          ],
          members: {
            type: {},
            id: {},
            info: {
              type: "structure",
              members: {
                eksInfo: {
                  type: "structure",
                  members: {
                    namespace: {}
                  }
                }
              },
              union: true
            }
          }
        },
        S21: {
          type: "structure",
          members: {
            id: {},
            name: {},
            virtualClusterId: {},
            arn: {},
            state: {},
            clientToken: {},
            executionRoleArn: {},
            releaseLabel: {},
            configurationOverrides: {
              shape: "S19"
            },
            jobDriver: {
              shape: "Sl"
            },
            createdAt: {
              shape: "S13"
            },
            createdBy: {},
            finishedAt: {
              shape: "S13"
            },
            stateDetails: {},
            failureReason: {},
            tags: {
              shape: "Sx"
            },
            retryPolicyConfiguration: {
              shape: "S26"
            },
            retryPolicyExecution: {
              type: "structure",
              required: [
                "currentAttemptCount"
              ],
              members: {
                currentAttemptCount: {
                  type: "integer"
                }
              }
            }
          }
        },
        S26: {
          type: "structure",
          required: [
            "maxAttempts"
          ],
          members: {
            maxAttempts: {
              type: "integer"
            }
          }
        },
        S2b: {
          type: "structure",
          required: [
            "jobTemplateData"
          ],
          members: {
            name: {},
            id: {},
            arn: {},
            createdAt: {
              shape: "S13"
            },
            createdBy: {},
            tags: {
              shape: "Sx"
            },
            jobTemplateData: {
              shape: "S7"
            },
            kmsKeyArn: {},
            decryptionError: {}
          }
        },
        S2f: {
          type: "structure",
          members: {
            id: {},
            name: {},
            arn: {},
            virtualClusterId: {},
            type: {},
            state: {},
            releaseLabel: {},
            executionRoleArn: {},
            certificateArn: {
              deprecated: true,
              deprecatedMessage: "Customer provided certificate-arn is deprecated and would be removed in future."
            },
            certificateAuthority: {
              type: "structure",
              members: {
                certificateArn: {},
                certificateData: {}
              }
            },
            configurationOverrides: {
              shape: "S19"
            },
            serverUrl: {},
            createdAt: {
              shape: "S13"
            },
            securityGroup: {},
            subnetIds: {
              type: "list",
              member: {}
            },
            stateDetails: {},
            failureReason: {},
            tags: {
              shape: "Sx"
            }
          }
        },
        S2m: {
          type: "structure",
          members: {
            id: {},
            name: {},
            arn: {},
            state: {},
            containerProvider: {
              shape: "S1l"
            },
            createdAt: {
              shape: "S13"
            },
            tags: {
              shape: "Sx"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/emr-containers-2020-10-01.paginators.json
var require_emr_containers_2020_10_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/emr-containers-2020-10-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListJobRuns: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "jobRuns"
        },
        ListJobTemplates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "templates"
        },
        ListManagedEndpoints: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "endpoints"
        },
        ListVirtualClusters: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "virtualClusters"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/emrcontainers.js
var require_emrcontainers = __commonJS({
  "node_modules/aws-sdk/clients/emrcontainers.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["emrcontainers"] = {};
    AWS2.EMRcontainers = Service.defineService("emrcontainers", ["2020-10-01"]);
    Object.defineProperty(apiLoader.services["emrcontainers"], "2020-10-01", {
      get: function get() {
        var model = require_emr_containers_2020_10_01_min();
        model.paginators = require_emr_containers_2020_10_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.EMRcontainers;
  }
});

// node_modules/aws-sdk/apis/healthlake-2017-07-01.min.json
var require_healthlake_2017_07_01_min = __commonJS({
  "node_modules/aws-sdk/apis/healthlake-2017-07-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-07-01",
        endpointPrefix: "healthlake",
        jsonVersion: "1.0",
        protocol: "json",
        serviceAbbreviation: "HealthLake",
        serviceFullName: "Amazon HealthLake",
        serviceId: "HealthLake",
        signatureVersion: "v4",
        signingName: "healthlake",
        targetPrefix: "HealthLake",
        uid: "healthlake-2017-07-01"
      },
      operations: {
        CreateFHIRDatastore: {
          input: {
            type: "structure",
            required: [
              "DatastoreTypeVersion"
            ],
            members: {
              DatastoreName: {},
              DatastoreTypeVersion: {},
              SseConfiguration: {
                shape: "S4"
              },
              PreloadDataConfig: {
                shape: "S8"
              },
              ClientToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sb"
              },
              IdentityProviderConfiguration: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DatastoreId",
              "DatastoreArn",
              "DatastoreStatus",
              "DatastoreEndpoint"
            ],
            members: {
              DatastoreId: {},
              DatastoreArn: {},
              DatastoreStatus: {},
              DatastoreEndpoint: {}
            }
          }
        },
        DeleteFHIRDatastore: {
          input: {
            type: "structure",
            required: [
              "DatastoreId"
            ],
            members: {
              DatastoreId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "DatastoreId",
              "DatastoreArn",
              "DatastoreStatus",
              "DatastoreEndpoint"
            ],
            members: {
              DatastoreId: {},
              DatastoreArn: {},
              DatastoreStatus: {},
              DatastoreEndpoint: {}
            }
          }
        },
        DescribeFHIRDatastore: {
          input: {
            type: "structure",
            required: [
              "DatastoreId"
            ],
            members: {
              DatastoreId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "DatastoreProperties"
            ],
            members: {
              DatastoreProperties: {
                shape: "St"
              }
            }
          }
        },
        DescribeFHIRExportJob: {
          input: {
            type: "structure",
            required: [
              "DatastoreId",
              "JobId"
            ],
            members: {
              DatastoreId: {},
              JobId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ExportJobProperties"
            ],
            members: {
              ExportJobProperties: {
                shape: "Sz"
              }
            }
          }
        },
        DescribeFHIRImportJob: {
          input: {
            type: "structure",
            required: [
              "DatastoreId",
              "JobId"
            ],
            members: {
              DatastoreId: {},
              JobId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ImportJobProperties"
            ],
            members: {
              ImportJobProperties: {
                shape: "S19"
              }
            }
          }
        },
        ListFHIRDatastores: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  DatastoreName: {},
                  DatastoreStatus: {},
                  CreatedBefore: {
                    type: "timestamp"
                  },
                  CreatedAfter: {
                    type: "timestamp"
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DatastorePropertiesList"
            ],
            members: {
              DatastorePropertiesList: {
                type: "list",
                member: {
                  shape: "St"
                }
              },
              NextToken: {}
            }
          }
        },
        ListFHIRExportJobs: {
          input: {
            type: "structure",
            required: [
              "DatastoreId"
            ],
            members: {
              DatastoreId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              JobName: {},
              JobStatus: {},
              SubmittedBefore: {
                type: "timestamp"
              },
              SubmittedAfter: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ExportJobPropertiesList"
            ],
            members: {
              ExportJobPropertiesList: {
                type: "list",
                member: {
                  shape: "Sz"
                }
              },
              NextToken: {}
            }
          }
        },
        ListFHIRImportJobs: {
          input: {
            type: "structure",
            required: [
              "DatastoreId"
            ],
            members: {
              DatastoreId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              JobName: {},
              JobStatus: {},
              SubmittedBefore: {
                type: "timestamp"
              },
              SubmittedAfter: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ImportJobPropertiesList"
            ],
            members: {
              ImportJobPropertiesList: {
                type: "list",
                member: {
                  shape: "S19"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sb"
              }
            }
          }
        },
        StartFHIRExportJob: {
          input: {
            type: "structure",
            required: [
              "OutputDataConfig",
              "DatastoreId",
              "DataAccessRoleArn",
              "ClientToken"
            ],
            members: {
              JobName: {},
              OutputDataConfig: {
                shape: "S12"
              },
              DatastoreId: {},
              DataAccessRoleArn: {},
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "JobId",
              "JobStatus"
            ],
            members: {
              JobId: {},
              JobStatus: {},
              DatastoreId: {}
            }
          }
        },
        StartFHIRImportJob: {
          input: {
            type: "structure",
            required: [
              "InputDataConfig",
              "JobOutputDataConfig",
              "DatastoreId",
              "DataAccessRoleArn",
              "ClientToken"
            ],
            members: {
              JobName: {},
              InputDataConfig: {
                shape: "S1a"
              },
              JobOutputDataConfig: {
                shape: "S12"
              },
              DatastoreId: {},
              DataAccessRoleArn: {},
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "JobId",
              "JobStatus"
            ],
            members: {
              JobId: {},
              JobStatus: {},
              DatastoreId: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          required: [
            "KmsEncryptionConfig"
          ],
          members: {
            KmsEncryptionConfig: {
              type: "structure",
              required: [
                "CmkType"
              ],
              members: {
                CmkType: {},
                KmsKeyId: {}
              }
            }
          }
        },
        S8: {
          type: "structure",
          required: [
            "PreloadDataType"
          ],
          members: {
            PreloadDataType: {}
          }
        },
        Sb: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sf: {
          type: "structure",
          required: [
            "AuthorizationStrategy"
          ],
          members: {
            AuthorizationStrategy: {},
            FineGrainedAuthorizationEnabled: {
              type: "boolean"
            },
            Metadata: {},
            IdpLambdaArn: {}
          }
        },
        St: {
          type: "structure",
          required: [
            "DatastoreId",
            "DatastoreArn",
            "DatastoreStatus",
            "DatastoreTypeVersion",
            "DatastoreEndpoint"
          ],
          members: {
            DatastoreId: {},
            DatastoreArn: {},
            DatastoreName: {},
            DatastoreStatus: {},
            CreatedAt: {
              type: "timestamp"
            },
            DatastoreTypeVersion: {},
            DatastoreEndpoint: {},
            SseConfiguration: {
              shape: "S4"
            },
            PreloadDataConfig: {
              shape: "S8"
            },
            IdentityProviderConfiguration: {
              shape: "Sf"
            }
          }
        },
        Sz: {
          type: "structure",
          required: [
            "JobId",
            "JobStatus",
            "SubmitTime",
            "DatastoreId",
            "OutputDataConfig"
          ],
          members: {
            JobId: {},
            JobName: {},
            JobStatus: {},
            SubmitTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            DatastoreId: {},
            OutputDataConfig: {
              shape: "S12"
            },
            DataAccessRoleArn: {},
            Message: {}
          }
        },
        S12: {
          type: "structure",
          members: {
            S3Configuration: {
              type: "structure",
              required: [
                "S3Uri",
                "KmsKeyId"
              ],
              members: {
                S3Uri: {},
                KmsKeyId: {}
              }
            }
          },
          union: true
        },
        S19: {
          type: "structure",
          required: [
            "JobId",
            "JobStatus",
            "SubmitTime",
            "DatastoreId",
            "InputDataConfig"
          ],
          members: {
            JobId: {},
            JobName: {},
            JobStatus: {},
            SubmitTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            DatastoreId: {},
            InputDataConfig: {
              shape: "S1a"
            },
            JobOutputDataConfig: {
              shape: "S12"
            },
            DataAccessRoleArn: {},
            Message: {}
          }
        },
        S1a: {
          type: "structure",
          members: {
            S3Uri: {}
          },
          union: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/healthlake-2017-07-01.paginators.json
var require_healthlake_2017_07_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/healthlake-2017-07-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListFHIRDatastores: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListFHIRExportJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListFHIRImportJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/healthlake.js
var require_healthlake = __commonJS({
  "node_modules/aws-sdk/clients/healthlake.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["healthlake"] = {};
    AWS2.HealthLake = Service.defineService("healthlake", ["2017-07-01"]);
    Object.defineProperty(apiLoader.services["healthlake"], "2017-07-01", {
      get: function get() {
        var model = require_healthlake_2017_07_01_min();
        model.paginators = require_healthlake_2017_07_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.HealthLake;
  }
});

// node_modules/aws-sdk/apis/sagemaker-edge-2020-09-23.min.json
var require_sagemaker_edge_2020_09_23_min = __commonJS({
  "node_modules/aws-sdk/apis/sagemaker-edge-2020-09-23.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-09-23",
        endpointPrefix: "edge.sagemaker",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Sagemaker Edge Manager",
        serviceId: "Sagemaker Edge",
        signatureVersion: "v4",
        signingName: "sagemaker",
        uid: "sagemaker-edge-2020-09-23"
      },
      operations: {
        GetDeployments: {
          http: {
            requestUri: "/GetDeployments"
          },
          input: {
            type: "structure",
            required: [
              "DeviceName",
              "DeviceFleetName"
            ],
            members: {
              DeviceName: {},
              DeviceFleetName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Deployments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DeploymentName: {},
                    Type: {},
                    FailureHandlingPolicy: {},
                    Definitions: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ModelHandle: {},
                          S3Url: {},
                          Checksum: {
                            type: "structure",
                            members: {
                              Type: {},
                              Sum: {}
                            }
                          },
                          State: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetDeviceRegistration: {
          http: {
            requestUri: "/GetDeviceRegistration"
          },
          input: {
            type: "structure",
            required: [
              "DeviceName",
              "DeviceFleetName"
            ],
            members: {
              DeviceName: {},
              DeviceFleetName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DeviceRegistration: {},
              CacheTTL: {}
            }
          }
        },
        SendHeartbeat: {
          http: {
            requestUri: "/SendHeartbeat"
          },
          input: {
            type: "structure",
            required: [
              "AgentVersion",
              "DeviceName",
              "DeviceFleetName"
            ],
            members: {
              AgentMetrics: {
                shape: "Sm"
              },
              Models: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ModelName: {},
                    ModelVersion: {},
                    LatestSampleTime: {
                      type: "timestamp"
                    },
                    LatestInference: {
                      type: "timestamp"
                    },
                    ModelMetrics: {
                      shape: "Sm"
                    }
                  }
                }
              },
              AgentVersion: {},
              DeviceName: {},
              DeviceFleetName: {},
              DeploymentResult: {
                type: "structure",
                members: {
                  DeploymentName: {},
                  DeploymentStatus: {},
                  DeploymentStatusMessage: {},
                  DeploymentStartTime: {
                    type: "timestamp"
                  },
                  DeploymentEndTime: {
                    type: "timestamp"
                  },
                  DeploymentModels: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        ModelHandle: {},
                        ModelName: {},
                        ModelVersion: {},
                        DesiredState: {},
                        State: {},
                        Status: {},
                        StatusReason: {},
                        RollbackFailureReason: {}
                      }
                    }
                  }
                }
              }
            }
          }
        }
      },
      shapes: {
        Sm: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Dimension: {},
              MetricName: {},
              Value: {
                type: "double"
              },
              Timestamp: {
                type: "timestamp"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/sagemaker-edge-2020-09-23.paginators.json
var require_sagemaker_edge_2020_09_23_paginators = __commonJS({
  "node_modules/aws-sdk/apis/sagemaker-edge-2020-09-23.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/sagemakeredge.js
var require_sagemakeredge = __commonJS({
  "node_modules/aws-sdk/clients/sagemakeredge.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["sagemakeredge"] = {};
    AWS2.SagemakerEdge = Service.defineService("sagemakeredge", ["2020-09-23"]);
    Object.defineProperty(apiLoader.services["sagemakeredge"], "2020-09-23", {
      get: function get() {
        var model = require_sagemaker_edge_2020_09_23_min();
        model.paginators = require_sagemaker_edge_2020_09_23_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SagemakerEdge;
  }
});

// node_modules/aws-sdk/apis/amp-2020-08-01.min.json
var require_amp_2020_08_01_min = __commonJS({
  "node_modules/aws-sdk/apis/amp-2020-08-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-08-01",
        endpointPrefix: "aps",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Prometheus Service",
        serviceId: "amp",
        signatureVersion: "v4",
        signingName: "aps",
        uid: "amp-2020-08-01"
      },
      operations: {
        CreateAlertManagerDefinition: {
          http: {
            requestUri: "/workspaces/{workspaceId}/alertmanager/definition",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "data"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              data: {
                type: "blob"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "status"
            ],
            members: {
              status: {
                shape: "S6"
              }
            }
          },
          idempotent: true
        },
        CreateLoggingConfiguration: {
          http: {
            requestUri: "/workspaces/{workspaceId}/logging",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "logGroupArn"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              logGroupArn: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "status"
            ],
            members: {
              status: {
                shape: "Sc"
              }
            }
          },
          idempotent: true
        },
        CreateRuleGroupsNamespace: {
          http: {
            requestUri: "/workspaces/{workspaceId}/rulegroupsnamespaces",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "name",
              "data"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              name: {},
              data: {
                type: "blob"
              },
              clientToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "Sh"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn",
              "status"
            ],
            members: {
              name: {},
              arn: {},
              status: {
                shape: "Sm"
              },
              tags: {
                shape: "Sh"
              }
            }
          },
          idempotent: true
        },
        CreateWorkspace: {
          http: {
            requestUri: "/workspaces",
            responseCode: 202
          },
          input: {
            type: "structure",
            members: {
              alias: {},
              clientToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "Sh"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "workspaceId",
              "arn",
              "status"
            ],
            members: {
              workspaceId: {},
              arn: {},
              status: {
                shape: "Ss"
              },
              tags: {
                shape: "Sh"
              }
            }
          },
          idempotent: true
        },
        DeleteAlertManagerDefinition: {
          http: {
            method: "DELETE",
            requestUri: "/workspaces/{workspaceId}/alertmanager/definition",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          idempotent: true
        },
        DeleteLoggingConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/workspaces/{workspaceId}/logging",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          idempotent: true
        },
        DeleteRuleGroupsNamespace: {
          http: {
            method: "DELETE",
            requestUri: "/workspaces/{workspaceId}/rulegroupsnamespaces/{name}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "name"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              name: {
                location: "uri",
                locationName: "name"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          idempotent: true
        },
        DeleteWorkspace: {
          http: {
            method: "DELETE",
            requestUri: "/workspaces/{workspaceId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          idempotent: true
        },
        DescribeAlertManagerDefinition: {
          http: {
            method: "GET",
            requestUri: "/workspaces/{workspaceId}/alertmanager/definition",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "alertManagerDefinition"
            ],
            members: {
              alertManagerDefinition: {
                type: "structure",
                required: [
                  "status",
                  "data",
                  "createdAt",
                  "modifiedAt"
                ],
                members: {
                  status: {
                    shape: "S6"
                  },
                  data: {
                    type: "blob"
                  },
                  createdAt: {
                    type: "timestamp"
                  },
                  modifiedAt: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        DescribeLoggingConfiguration: {
          http: {
            method: "GET",
            requestUri: "/workspaces/{workspaceId}/logging",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "loggingConfiguration"
            ],
            members: {
              loggingConfiguration: {
                type: "structure",
                required: [
                  "status",
                  "workspace",
                  "logGroupArn",
                  "createdAt",
                  "modifiedAt"
                ],
                members: {
                  status: {
                    shape: "Sc"
                  },
                  workspace: {},
                  logGroupArn: {},
                  createdAt: {
                    type: "timestamp"
                  },
                  modifiedAt: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        DescribeRuleGroupsNamespace: {
          http: {
            method: "GET",
            requestUri: "/workspaces/{workspaceId}/rulegroupsnamespaces/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "name"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ruleGroupsNamespace"
            ],
            members: {
              ruleGroupsNamespace: {
                type: "structure",
                required: [
                  "arn",
                  "name",
                  "status",
                  "data",
                  "createdAt",
                  "modifiedAt"
                ],
                members: {
                  arn: {},
                  name: {},
                  status: {
                    shape: "Sm"
                  },
                  data: {
                    type: "blob"
                  },
                  createdAt: {
                    type: "timestamp"
                  },
                  modifiedAt: {
                    type: "timestamp"
                  },
                  tags: {
                    shape: "Sh"
                  }
                }
              }
            }
          }
        },
        DescribeWorkspace: {
          http: {
            method: "GET",
            requestUri: "/workspaces/{workspaceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "workspace"
            ],
            members: {
              workspace: {
                type: "structure",
                required: [
                  "workspaceId",
                  "arn",
                  "status",
                  "createdAt"
                ],
                members: {
                  workspaceId: {},
                  alias: {},
                  arn: {},
                  status: {
                    shape: "Ss"
                  },
                  prometheusEndpoint: {},
                  createdAt: {
                    type: "timestamp"
                  },
                  tags: {
                    shape: "Sh"
                  }
                }
              }
            }
          }
        },
        ListRuleGroupsNamespaces: {
          http: {
            method: "GET",
            requestUri: "/workspaces/{workspaceId}/rulegroupsnamespaces",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              name: {
                location: "querystring",
                locationName: "name"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ruleGroupsNamespaces"
            ],
            members: {
              ruleGroupsNamespaces: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "name",
                    "status",
                    "createdAt",
                    "modifiedAt"
                  ],
                  members: {
                    arn: {},
                    name: {},
                    status: {
                      shape: "Sm"
                    },
                    createdAt: {
                      type: "timestamp"
                    },
                    modifiedAt: {
                      type: "timestamp"
                    },
                    tags: {
                      shape: "Sh"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sh"
              }
            }
          }
        },
        ListWorkspaces: {
          http: {
            method: "GET",
            requestUri: "/workspaces",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              alias: {
                location: "querystring",
                locationName: "alias"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "workspaces"
            ],
            members: {
              workspaces: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "workspaceId",
                    "arn",
                    "status",
                    "createdAt"
                  ],
                  members: {
                    workspaceId: {},
                    alias: {},
                    arn: {},
                    status: {
                      shape: "Ss"
                    },
                    createdAt: {
                      type: "timestamp"
                    },
                    tags: {
                      shape: "Sh"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        PutAlertManagerDefinition: {
          http: {
            method: "PUT",
            requestUri: "/workspaces/{workspaceId}/alertmanager/definition",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "data"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              data: {
                type: "blob"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "status"
            ],
            members: {
              status: {
                shape: "S6"
              }
            }
          },
          idempotent: true
        },
        PutRuleGroupsNamespace: {
          http: {
            method: "PUT",
            requestUri: "/workspaces/{workspaceId}/rulegroupsnamespaces/{name}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "name",
              "data"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              name: {
                location: "uri",
                locationName: "name"
              },
              data: {
                type: "blob"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn",
              "status"
            ],
            members: {
              name: {},
              arn: {},
              status: {
                shape: "Sm"
              },
              tags: {
                shape: "Sh"
              }
            }
          },
          idempotent: true
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sh"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateLoggingConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/workspaces/{workspaceId}/logging",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "logGroupArn"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              logGroupArn: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "status"
            ],
            members: {
              status: {
                shape: "Sc"
              }
            }
          },
          idempotent: true
        },
        UpdateWorkspaceAlias: {
          http: {
            requestUri: "/workspaces/{workspaceId}/alias",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              alias: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S6: {
          type: "structure",
          required: [
            "statusCode"
          ],
          members: {
            statusCode: {},
            statusReason: {}
          }
        },
        Sc: {
          type: "structure",
          required: [
            "statusCode"
          ],
          members: {
            statusCode: {},
            statusReason: {}
          }
        },
        Sh: {
          type: "map",
          key: {},
          value: {}
        },
        Sm: {
          type: "structure",
          required: [
            "statusCode"
          ],
          members: {
            statusCode: {},
            statusReason: {}
          }
        },
        Ss: {
          type: "structure",
          required: [
            "statusCode"
          ],
          members: {
            statusCode: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/amp-2020-08-01.paginators.json
var require_amp_2020_08_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/amp-2020-08-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListRuleGroupsNamespaces: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "ruleGroupsNamespaces"
        },
        ListWorkspaces: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "workspaces"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/amp-2020-08-01.waiters2.json
var require_amp_2020_08_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/amp-2020-08-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        WorkspaceActive: {
          description: "Wait until a workspace reaches ACTIVE status",
          delay: 2,
          maxAttempts: 60,
          operation: "DescribeWorkspace",
          acceptors: [{
            matcher: "path",
            argument: "workspace.status.statusCode",
            state: "success",
            expected: "ACTIVE"
          }, {
            matcher: "path",
            argument: "workspace.status.statusCode",
            state: "retry",
            expected: "UPDATING"
          }, {
            matcher: "path",
            argument: "workspace.status.statusCode",
            state: "retry",
            expected: "CREATING"
          }]
        },
        WorkspaceDeleted: {
          description: "Wait until a workspace reaches DELETED status",
          delay: 2,
          maxAttempts: 60,
          operation: "DescribeWorkspace",
          acceptors: [{
            matcher: "error",
            state: "success",
            expected: "ResourceNotFoundException"
          }, {
            matcher: "path",
            argument: "workspace.status.statusCode",
            state: "retry",
            expected: "DELETING"
          }]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/amp.js
var require_amp = __commonJS({
  "node_modules/aws-sdk/clients/amp.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["amp"] = {};
    AWS2.Amp = Service.defineService("amp", ["2020-08-01"]);
    Object.defineProperty(apiLoader.services["amp"], "2020-08-01", {
      get: function get() {
        var model = require_amp_2020_08_01_min();
        model.paginators = require_amp_2020_08_01_paginators().pagination;
        model.waiters = require_amp_2020_08_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Amp;
  }
});

// node_modules/aws-sdk/apis/greengrassv2-2020-11-30.min.json
var require_greengrassv2_2020_11_30_min = __commonJS({
  "node_modules/aws-sdk/apis/greengrassv2-2020-11-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-11-30",
        endpointPrefix: "greengrass",
        protocol: "rest-json",
        serviceAbbreviation: "AWS GreengrassV2",
        serviceFullName: "AWS IoT Greengrass V2",
        serviceId: "GreengrassV2",
        signatureVersion: "v4",
        uid: "greengrassv2-2020-11-30"
      },
      operations: {
        AssociateServiceRoleToAccount: {
          http: {
            method: "PUT",
            requestUri: "/greengrass/servicerole",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "roleArn"
            ],
            members: {
              roleArn: {
                locationName: "RoleArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              associatedAt: {
                locationName: "AssociatedAt"
              }
            }
          }
        },
        BatchAssociateClientDeviceWithCoreDevice: {
          http: {
            requestUri: "/greengrass/v2/coreDevices/{coreDeviceThingName}/associateClientDevices",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "coreDeviceThingName"
            ],
            members: {
              entries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "thingName"
                  ],
                  members: {
                    thingName: {}
                  }
                }
              },
              coreDeviceThingName: {
                location: "uri",
                locationName: "coreDeviceThingName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errorEntries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    thingName: {},
                    code: {},
                    message: {}
                  }
                }
              }
            }
          }
        },
        BatchDisassociateClientDeviceFromCoreDevice: {
          http: {
            requestUri: "/greengrass/v2/coreDevices/{coreDeviceThingName}/disassociateClientDevices",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "coreDeviceThingName"
            ],
            members: {
              entries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "thingName"
                  ],
                  members: {
                    thingName: {}
                  }
                }
              },
              coreDeviceThingName: {
                location: "uri",
                locationName: "coreDeviceThingName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errorEntries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    thingName: {},
                    code: {},
                    message: {}
                  }
                }
              }
            }
          }
        },
        CancelDeployment: {
          http: {
            requestUri: "/greengrass/v2/deployments/{deploymentId}/cancel"
          },
          input: {
            type: "structure",
            required: [
              "deploymentId"
            ],
            members: {
              deploymentId: {
                location: "uri",
                locationName: "deploymentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              message: {}
            }
          }
        },
        CreateComponentVersion: {
          http: {
            requestUri: "/greengrass/v2/createComponentVersion",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              inlineRecipe: {
                type: "blob"
              },
              lambdaFunction: {
                type: "structure",
                required: [
                  "lambdaArn"
                ],
                members: {
                  lambdaArn: {},
                  componentName: {},
                  componentVersion: {},
                  componentPlatforms: {
                    shape: "Sp"
                  },
                  componentDependencies: {
                    type: "map",
                    key: {},
                    value: {
                      type: "structure",
                      members: {
                        versionRequirement: {},
                        dependencyType: {}
                      }
                    }
                  },
                  componentLambdaParameters: {
                    type: "structure",
                    members: {
                      eventSources: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "topic",
                            "type"
                          ],
                          members: {
                            topic: {},
                            type: {}
                          }
                        }
                      },
                      maxQueueSize: {
                        type: "integer"
                      },
                      maxInstancesCount: {
                        type: "integer"
                      },
                      maxIdleTimeInSeconds: {
                        type: "integer"
                      },
                      timeoutInSeconds: {
                        type: "integer"
                      },
                      statusTimeoutInSeconds: {
                        type: "integer"
                      },
                      pinned: {
                        type: "boolean"
                      },
                      inputPayloadEncodingType: {},
                      execArgs: {
                        type: "list",
                        member: {}
                      },
                      environmentVariables: {
                        type: "map",
                        key: {},
                        value: {}
                      },
                      linuxProcessParams: {
                        type: "structure",
                        members: {
                          isolationMode: {},
                          containerParams: {
                            type: "structure",
                            members: {
                              memorySizeInKB: {
                                type: "integer"
                              },
                              mountROSysfs: {
                                type: "boolean"
                              },
                              volumes: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  required: [
                                    "sourcePath",
                                    "destinationPath"
                                  ],
                                  members: {
                                    sourcePath: {},
                                    destinationPath: {},
                                    permission: {},
                                    addGroupOwner: {
                                      type: "boolean"
                                    }
                                  }
                                }
                              },
                              devices: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  required: [
                                    "path"
                                  ],
                                  members: {
                                    path: {},
                                    permission: {},
                                    addGroupOwner: {
                                      type: "boolean"
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              tags: {
                shape: "S1f"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "componentName",
              "componentVersion",
              "creationTimestamp",
              "status"
            ],
            members: {
              arn: {},
              componentName: {},
              componentVersion: {},
              creationTimestamp: {
                type: "timestamp"
              },
              status: {
                shape: "S1m"
              }
            }
          }
        },
        CreateDeployment: {
          http: {
            requestUri: "/greengrass/v2/deployments",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "targetArn"
            ],
            members: {
              targetArn: {},
              deploymentName: {},
              components: {
                shape: "S1t"
              },
              iotJobConfiguration: {
                shape: "S23"
              },
              deploymentPolicies: {
                shape: "S2k"
              },
              parentTargetArn: {},
              tags: {
                shape: "S1f"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              deploymentId: {},
              iotJobId: {},
              iotJobArn: {}
            }
          }
        },
        DeleteComponent: {
          http: {
            method: "DELETE",
            requestUri: "/greengrass/v2/components/{arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {
                location: "uri",
                locationName: "arn"
              }
            }
          }
        },
        DeleteCoreDevice: {
          http: {
            method: "DELETE",
            requestUri: "/greengrass/v2/coreDevices/{coreDeviceThingName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "coreDeviceThingName"
            ],
            members: {
              coreDeviceThingName: {
                location: "uri",
                locationName: "coreDeviceThingName"
              }
            }
          }
        },
        DeleteDeployment: {
          http: {
            method: "DELETE",
            requestUri: "/greengrass/v2/deployments/{deploymentId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "deploymentId"
            ],
            members: {
              deploymentId: {
                location: "uri",
                locationName: "deploymentId"
              }
            }
          }
        },
        DescribeComponent: {
          http: {
            method: "GET",
            requestUri: "/greengrass/v2/components/{arn}/metadata"
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {
                location: "uri",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              componentName: {},
              componentVersion: {},
              creationTimestamp: {
                type: "timestamp"
              },
              publisher: {},
              description: {},
              status: {
                shape: "S1m"
              },
              platforms: {
                shape: "Sp"
              },
              tags: {
                shape: "S1f"
              }
            }
          }
        },
        DisassociateServiceRoleFromAccount: {
          http: {
            method: "DELETE",
            requestUri: "/greengrass/servicerole",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              disassociatedAt: {
                locationName: "DisassociatedAt"
              }
            }
          }
        },
        GetComponent: {
          http: {
            method: "GET",
            requestUri: "/greengrass/v2/components/{arn}"
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              recipeOutputFormat: {
                location: "querystring",
                locationName: "recipeOutputFormat"
              },
              arn: {
                location: "uri",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "recipeOutputFormat",
              "recipe"
            ],
            members: {
              recipeOutputFormat: {},
              recipe: {
                type: "blob"
              },
              tags: {
                shape: "S1f"
              }
            }
          }
        },
        GetComponentVersionArtifact: {
          http: {
            method: "GET",
            requestUri: "/greengrass/v2/components/{arn}/artifacts/{artifactName+}"
          },
          input: {
            type: "structure",
            required: [
              "arn",
              "artifactName"
            ],
            members: {
              arn: {
                location: "uri",
                locationName: "arn"
              },
              artifactName: {
                location: "uri",
                locationName: "artifactName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "preSignedUrl"
            ],
            members: {
              preSignedUrl: {}
            }
          }
        },
        GetConnectivityInfo: {
          http: {
            method: "GET",
            requestUri: "/greengrass/things/{thingName}/connectivityInfo",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "thingName"
            ],
            members: {
              thingName: {
                location: "uri",
                locationName: "thingName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              connectivityInfo: {
                shape: "S39",
                locationName: "ConnectivityInfo"
              },
              message: {
                locationName: "Message"
              }
            }
          }
        },
        GetCoreDevice: {
          http: {
            method: "GET",
            requestUri: "/greengrass/v2/coreDevices/{coreDeviceThingName}"
          },
          input: {
            type: "structure",
            required: [
              "coreDeviceThingName"
            ],
            members: {
              coreDeviceThingName: {
                location: "uri",
                locationName: "coreDeviceThingName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              coreDeviceThingName: {},
              coreVersion: {},
              platform: {},
              architecture: {},
              status: {},
              lastStatusUpdateTimestamp: {
                type: "timestamp"
              },
              tags: {
                shape: "S1f"
              }
            }
          }
        },
        GetDeployment: {
          http: {
            method: "GET",
            requestUri: "/greengrass/v2/deployments/{deploymentId}"
          },
          input: {
            type: "structure",
            required: [
              "deploymentId"
            ],
            members: {
              deploymentId: {
                location: "uri",
                locationName: "deploymentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              targetArn: {},
              revisionId: {},
              deploymentId: {},
              deploymentName: {},
              deploymentStatus: {},
              iotJobId: {},
              iotJobArn: {},
              components: {
                shape: "S1t"
              },
              deploymentPolicies: {
                shape: "S2k"
              },
              iotJobConfiguration: {
                shape: "S23"
              },
              creationTimestamp: {
                type: "timestamp"
              },
              isLatestForTarget: {
                type: "boolean"
              },
              parentTargetArn: {},
              tags: {
                shape: "S1f"
              }
            }
          }
        },
        GetServiceRoleForAccount: {
          http: {
            method: "GET",
            requestUri: "/greengrass/servicerole",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              associatedAt: {
                locationName: "AssociatedAt"
              },
              roleArn: {
                locationName: "RoleArn"
              }
            }
          }
        },
        ListClientDevicesAssociatedWithCoreDevice: {
          http: {
            method: "GET",
            requestUri: "/greengrass/v2/coreDevices/{coreDeviceThingName}/associatedClientDevices",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "coreDeviceThingName"
            ],
            members: {
              coreDeviceThingName: {
                location: "uri",
                locationName: "coreDeviceThingName"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              associatedClientDevices: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    thingName: {},
                    associationTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListComponentVersions: {
          http: {
            method: "GET",
            requestUri: "/greengrass/v2/components/{arn}/versions"
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {
                location: "uri",
                locationName: "arn"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              componentVersions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    componentName: {},
                    componentVersion: {},
                    arn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListComponents: {
          http: {
            method: "GET",
            requestUri: "/greengrass/v2/components"
          },
          input: {
            type: "structure",
            members: {
              scope: {
                location: "querystring",
                locationName: "scope"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              components: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    componentName: {},
                    latestVersion: {
                      type: "structure",
                      members: {
                        arn: {},
                        componentVersion: {},
                        creationTimestamp: {
                          type: "timestamp"
                        },
                        description: {},
                        publisher: {},
                        platforms: {
                          shape: "Sp"
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListCoreDevices: {
          http: {
            method: "GET",
            requestUri: "/greengrass/v2/coreDevices"
          },
          input: {
            type: "structure",
            members: {
              thingGroupArn: {
                location: "querystring",
                locationName: "thingGroupArn"
              },
              status: {
                location: "querystring",
                locationName: "status"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              coreDevices: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    coreDeviceThingName: {},
                    status: {},
                    lastStatusUpdateTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDeployments: {
          http: {
            method: "GET",
            requestUri: "/greengrass/v2/deployments"
          },
          input: {
            type: "structure",
            members: {
              targetArn: {
                location: "querystring",
                locationName: "targetArn"
              },
              historyFilter: {
                location: "querystring",
                locationName: "historyFilter"
              },
              parentTargetArn: {
                location: "querystring",
                locationName: "parentTargetArn"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              deployments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    targetArn: {},
                    revisionId: {},
                    deploymentId: {},
                    deploymentName: {},
                    creationTimestamp: {
                      type: "timestamp"
                    },
                    deploymentStatus: {},
                    isLatestForTarget: {
                      type: "boolean"
                    },
                    parentTargetArn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListEffectiveDeployments: {
          http: {
            method: "GET",
            requestUri: "/greengrass/v2/coreDevices/{coreDeviceThingName}/effectiveDeployments"
          },
          input: {
            type: "structure",
            required: [
              "coreDeviceThingName"
            ],
            members: {
              coreDeviceThingName: {
                location: "uri",
                locationName: "coreDeviceThingName"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              effectiveDeployments: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "deploymentId",
                    "deploymentName",
                    "targetArn",
                    "coreDeviceExecutionStatus",
                    "creationTimestamp",
                    "modifiedTimestamp"
                  ],
                  members: {
                    deploymentId: {},
                    deploymentName: {},
                    iotJobId: {},
                    iotJobArn: {},
                    description: {},
                    targetArn: {},
                    coreDeviceExecutionStatus: {},
                    reason: {},
                    creationTimestamp: {
                      type: "timestamp"
                    },
                    modifiedTimestamp: {
                      type: "timestamp"
                    },
                    statusDetails: {
                      type: "structure",
                      members: {
                        errorStack: {
                          type: "list",
                          member: {}
                        },
                        errorTypes: {
                          type: "list",
                          member: {}
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListInstalledComponents: {
          http: {
            method: "GET",
            requestUri: "/greengrass/v2/coreDevices/{coreDeviceThingName}/installedComponents"
          },
          input: {
            type: "structure",
            required: [
              "coreDeviceThingName"
            ],
            members: {
              coreDeviceThingName: {
                location: "uri",
                locationName: "coreDeviceThingName"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              topologyFilter: {
                location: "querystring",
                locationName: "topologyFilter"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              installedComponents: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    componentName: {},
                    componentVersion: {},
                    lifecycleState: {},
                    lifecycleStateDetails: {},
                    isRoot: {
                      type: "boolean"
                    },
                    lastStatusChangeTimestamp: {
                      type: "timestamp"
                    },
                    lastReportedTimestamp: {
                      type: "timestamp"
                    },
                    lastInstallationSource: {},
                    lifecycleStatusCodes: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S1f"
              }
            }
          }
        },
        ResolveComponentCandidates: {
          http: {
            requestUri: "/greengrass/v2/resolveComponentCandidates"
          },
          input: {
            type: "structure",
            members: {
              platform: {
                shape: "Sq"
              },
              componentCandidates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    componentName: {},
                    componentVersion: {},
                    versionRequirements: {
                      type: "map",
                      key: {},
                      value: {}
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resolvedComponentVersions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    componentName: {},
                    componentVersion: {},
                    recipe: {
                      type: "blob"
                    },
                    vendorGuidance: {},
                    message: {}
                  }
                }
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S1f"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateConnectivityInfo: {
          http: {
            method: "PUT",
            requestUri: "/greengrass/things/{thingName}/connectivityInfo",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "thingName",
              "connectivityInfo"
            ],
            members: {
              thingName: {
                location: "uri",
                locationName: "thingName"
              },
              connectivityInfo: {
                shape: "S39",
                locationName: "ConnectivityInfo"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              version: {
                locationName: "Version"
              },
              message: {
                locationName: "Message"
              }
            }
          }
        }
      },
      shapes: {
        Sp: {
          type: "list",
          member: {
            shape: "Sq"
          }
        },
        Sq: {
          type: "structure",
          members: {
            name: {},
            attributes: {
              type: "map",
              key: {},
              value: {}
            }
          }
        },
        S1f: {
          type: "map",
          key: {},
          value: {}
        },
        S1m: {
          type: "structure",
          members: {
            componentState: {},
            message: {},
            errors: {
              type: "map",
              key: {},
              value: {}
            },
            vendorGuidance: {},
            vendorGuidanceMessage: {}
          }
        },
        S1t: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              componentVersion: {},
              configurationUpdate: {
                type: "structure",
                members: {
                  merge: {},
                  reset: {
                    type: "list",
                    member: {}
                  }
                }
              },
              runWith: {
                type: "structure",
                members: {
                  posixUser: {},
                  systemResourceLimits: {
                    type: "structure",
                    members: {
                      memory: {
                        type: "long"
                      },
                      cpus: {
                        type: "double"
                      }
                    }
                  },
                  windowsUser: {}
                }
              }
            }
          }
        },
        S23: {
          type: "structure",
          members: {
            jobExecutionsRolloutConfig: {
              type: "structure",
              members: {
                exponentialRate: {
                  type: "structure",
                  required: [
                    "baseRatePerMinute",
                    "incrementFactor",
                    "rateIncreaseCriteria"
                  ],
                  members: {
                    baseRatePerMinute: {
                      type: "integer"
                    },
                    incrementFactor: {
                      type: "double"
                    },
                    rateIncreaseCriteria: {
                      type: "structure",
                      members: {
                        numberOfNotifiedThings: {
                          type: "integer"
                        },
                        numberOfSucceededThings: {
                          type: "integer"
                        }
                      }
                    }
                  }
                },
                maximumPerMinute: {
                  type: "integer"
                }
              }
            },
            abortConfig: {
              type: "structure",
              required: [
                "criteriaList"
              ],
              members: {
                criteriaList: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "failureType",
                      "action",
                      "thresholdPercentage",
                      "minNumberOfExecutedThings"
                    ],
                    members: {
                      failureType: {},
                      action: {},
                      thresholdPercentage: {
                        type: "double"
                      },
                      minNumberOfExecutedThings: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            },
            timeoutConfig: {
              type: "structure",
              members: {
                inProgressTimeoutInMinutes: {
                  type: "long"
                }
              }
            }
          }
        },
        S2k: {
          type: "structure",
          members: {
            failureHandlingPolicy: {},
            componentUpdatePolicy: {
              type: "structure",
              members: {
                timeoutInSeconds: {
                  type: "integer"
                },
                action: {}
              }
            },
            configurationValidationPolicy: {
              type: "structure",
              members: {
                timeoutInSeconds: {
                  type: "integer"
                }
              }
            }
          }
        },
        S39: {
          type: "list",
          member: {
            type: "structure",
            members: {
              id: {
                locationName: "Id"
              },
              hostAddress: {
                locationName: "HostAddress"
              },
              portNumber: {
                locationName: "PortNumber",
                type: "integer"
              },
              metadata: {
                locationName: "Metadata"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/greengrassv2-2020-11-30.paginators.json
var require_greengrassv2_2020_11_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/greengrassv2-2020-11-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListClientDevicesAssociatedWithCoreDevice: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "associatedClientDevices"
        },
        ListComponentVersions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "componentVersions"
        },
        ListComponents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "components"
        },
        ListCoreDevices: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "coreDevices"
        },
        ListDeployments: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "deployments"
        },
        ListEffectiveDeployments: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "effectiveDeployments"
        },
        ListInstalledComponents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "installedComponents"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/greengrassv2.js
var require_greengrassv2 = __commonJS({
  "node_modules/aws-sdk/clients/greengrassv2.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["greengrassv2"] = {};
    AWS2.GreengrassV2 = Service.defineService("greengrassv2", ["2020-11-30"]);
    Object.defineProperty(apiLoader.services["greengrassv2"], "2020-11-30", {
      get: function get() {
        var model = require_greengrassv2_2020_11_30_min();
        model.paginators = require_greengrassv2_2020_11_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.GreengrassV2;
  }
});

// node_modules/aws-sdk/apis/iotdeviceadvisor-2020-09-18.min.json
var require_iotdeviceadvisor_2020_09_18_min = __commonJS({
  "node_modules/aws-sdk/apis/iotdeviceadvisor-2020-09-18.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-09-18",
        endpointPrefix: "api.iotdeviceadvisor",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "AWSIoTDeviceAdvisor",
        serviceFullName: "AWS IoT Core Device Advisor",
        serviceId: "IotDeviceAdvisor",
        signatureVersion: "v4",
        signingName: "iotdeviceadvisor",
        uid: "iotdeviceadvisor-2020-09-18"
      },
      operations: {
        CreateSuiteDefinition: {
          http: {
            requestUri: "/suiteDefinitions"
          },
          input: {
            type: "structure",
            required: [
              "suiteDefinitionConfiguration"
            ],
            members: {
              suiteDefinitionConfiguration: {
                shape: "S2"
              },
              tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              suiteDefinitionId: {},
              suiteDefinitionArn: {},
              suiteDefinitionName: {},
              createdAt: {
                type: "timestamp"
              }
            }
          }
        },
        DeleteSuiteDefinition: {
          http: {
            method: "DELETE",
            requestUri: "/suiteDefinitions/{suiteDefinitionId}"
          },
          input: {
            type: "structure",
            required: [
              "suiteDefinitionId"
            ],
            members: {
              suiteDefinitionId: {
                location: "uri",
                locationName: "suiteDefinitionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetEndpoint: {
          http: {
            method: "GET",
            requestUri: "/endpoint"
          },
          input: {
            type: "structure",
            members: {
              thingArn: {
                location: "querystring",
                locationName: "thingArn"
              },
              certificateArn: {
                location: "querystring",
                locationName: "certificateArn"
              },
              deviceRoleArn: {
                location: "querystring",
                locationName: "deviceRoleArn"
              },
              authenticationMethod: {
                location: "querystring",
                locationName: "authenticationMethod"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              endpoint: {}
            }
          }
        },
        GetSuiteDefinition: {
          http: {
            method: "GET",
            requestUri: "/suiteDefinitions/{suiteDefinitionId}"
          },
          input: {
            type: "structure",
            required: [
              "suiteDefinitionId"
            ],
            members: {
              suiteDefinitionId: {
                location: "uri",
                locationName: "suiteDefinitionId"
              },
              suiteDefinitionVersion: {
                location: "querystring",
                locationName: "suiteDefinitionVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              suiteDefinitionId: {},
              suiteDefinitionArn: {},
              suiteDefinitionVersion: {},
              latestVersion: {},
              suiteDefinitionConfiguration: {
                shape: "S2"
              },
              createdAt: {
                type: "timestamp"
              },
              lastModifiedAt: {
                type: "timestamp"
              },
              tags: {
                shape: "Sb"
              }
            }
          }
        },
        GetSuiteRun: {
          http: {
            method: "GET",
            requestUri: "/suiteDefinitions/{suiteDefinitionId}/suiteRuns/{suiteRunId}"
          },
          input: {
            type: "structure",
            required: [
              "suiteDefinitionId",
              "suiteRunId"
            ],
            members: {
              suiteDefinitionId: {
                location: "uri",
                locationName: "suiteDefinitionId"
              },
              suiteRunId: {
                location: "uri",
                locationName: "suiteRunId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              suiteDefinitionId: {},
              suiteDefinitionVersion: {},
              suiteRunId: {},
              suiteRunArn: {},
              suiteRunConfiguration: {
                shape: "Ss"
              },
              testResult: {
                type: "structure",
                members: {
                  groups: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        groupId: {},
                        groupName: {},
                        tests: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              testCaseRunId: {},
                              testCaseDefinitionId: {},
                              testCaseDefinitionName: {},
                              status: {},
                              startTime: {
                                type: "timestamp"
                              },
                              endTime: {
                                type: "timestamp"
                              },
                              logUrl: {},
                              warnings: {},
                              failure: {},
                              testScenarios: {
                                type: "list",
                                member: {
                                  type: "structure",
                                  members: {
                                    testCaseScenarioId: {},
                                    testCaseScenarioType: {},
                                    status: {},
                                    failure: {},
                                    systemMessage: {}
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              startTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              status: {},
              errorReason: {},
              tags: {
                shape: "Sb"
              }
            }
          }
        },
        GetSuiteRunReport: {
          http: {
            method: "GET",
            requestUri: "/suiteDefinitions/{suiteDefinitionId}/suiteRuns/{suiteRunId}/report"
          },
          input: {
            type: "structure",
            required: [
              "suiteDefinitionId",
              "suiteRunId"
            ],
            members: {
              suiteDefinitionId: {
                location: "uri",
                locationName: "suiteDefinitionId"
              },
              suiteRunId: {
                location: "uri",
                locationName: "suiteRunId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              qualificationReportDownloadUrl: {}
            }
          }
        },
        ListSuiteDefinitions: {
          http: {
            method: "GET",
            requestUri: "/suiteDefinitions"
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              suiteDefinitionInformationList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    suiteDefinitionId: {},
                    suiteDefinitionName: {},
                    defaultDevices: {
                      shape: "S4"
                    },
                    intendedForQualification: {
                      type: "boolean"
                    },
                    isLongDurationTest: {
                      type: "boolean"
                    },
                    protocol: {},
                    createdAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSuiteRuns: {
          http: {
            method: "GET",
            requestUri: "/suiteRuns"
          },
          input: {
            type: "structure",
            members: {
              suiteDefinitionId: {
                location: "querystring",
                locationName: "suiteDefinitionId"
              },
              suiteDefinitionVersion: {
                location: "querystring",
                locationName: "suiteDefinitionVersion"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              suiteRunsList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    suiteDefinitionId: {},
                    suiteDefinitionVersion: {},
                    suiteDefinitionName: {},
                    suiteRunId: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    startedAt: {
                      type: "timestamp"
                    },
                    endAt: {
                      type: "timestamp"
                    },
                    status: {},
                    passed: {
                      type: "integer"
                    },
                    failed: {
                      type: "integer"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sb"
              }
            }
          }
        },
        StartSuiteRun: {
          http: {
            requestUri: "/suiteDefinitions/{suiteDefinitionId}/suiteRuns"
          },
          input: {
            type: "structure",
            required: [
              "suiteDefinitionId",
              "suiteRunConfiguration"
            ],
            members: {
              suiteDefinitionId: {
                location: "uri",
                locationName: "suiteDefinitionId"
              },
              suiteDefinitionVersion: {},
              suiteRunConfiguration: {
                shape: "Ss"
              },
              tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              suiteRunId: {},
              suiteRunArn: {},
              createdAt: {
                type: "timestamp"
              },
              endpoint: {}
            }
          }
        },
        StopSuiteRun: {
          http: {
            requestUri: "/suiteDefinitions/{suiteDefinitionId}/suiteRuns/{suiteRunId}/stop"
          },
          input: {
            type: "structure",
            required: [
              "suiteDefinitionId",
              "suiteRunId"
            ],
            members: {
              suiteDefinitionId: {
                location: "uri",
                locationName: "suiteDefinitionId"
              },
              suiteRunId: {
                location: "uri",
                locationName: "suiteRunId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateSuiteDefinition: {
          http: {
            method: "PATCH",
            requestUri: "/suiteDefinitions/{suiteDefinitionId}"
          },
          input: {
            type: "structure",
            required: [
              "suiteDefinitionId",
              "suiteDefinitionConfiguration"
            ],
            members: {
              suiteDefinitionId: {
                location: "uri",
                locationName: "suiteDefinitionId"
              },
              suiteDefinitionConfiguration: {
                shape: "S2"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              suiteDefinitionId: {},
              suiteDefinitionArn: {},
              suiteDefinitionName: {},
              suiteDefinitionVersion: {},
              createdAt: {
                type: "timestamp"
              },
              lastUpdatedAt: {
                type: "timestamp"
              }
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "structure",
          required: [
            "suiteDefinitionName",
            "rootGroup",
            "devicePermissionRoleArn"
          ],
          members: {
            suiteDefinitionName: {},
            devices: {
              shape: "S4"
            },
            intendedForQualification: {
              type: "boolean"
            },
            isLongDurationTest: {
              type: "boolean"
            },
            rootGroup: {},
            devicePermissionRoleArn: {},
            protocol: {}
          }
        },
        S4: {
          type: "list",
          member: {
            shape: "S5"
          }
        },
        S5: {
          type: "structure",
          members: {
            thingArn: {},
            certificateArn: {},
            deviceRoleArn: {}
          }
        },
        Sb: {
          type: "map",
          key: {},
          value: {}
        },
        Ss: {
          type: "structure",
          required: [
            "primaryDevice"
          ],
          members: {
            primaryDevice: {
              shape: "S5"
            },
            selectedTestList: {
              type: "list",
              member: {}
            },
            parallelRun: {
              type: "boolean"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iotdeviceadvisor-2020-09-18.paginators.json
var require_iotdeviceadvisor_2020_09_18_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iotdeviceadvisor-2020-09-18.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListSuiteDefinitions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListSuiteRuns: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/iotdeviceadvisor.js
var require_iotdeviceadvisor = __commonJS({
  "node_modules/aws-sdk/clients/iotdeviceadvisor.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iotdeviceadvisor"] = {};
    AWS2.IotDeviceAdvisor = Service.defineService("iotdeviceadvisor", ["2020-09-18"]);
    Object.defineProperty(apiLoader.services["iotdeviceadvisor"], "2020-09-18", {
      get: function get() {
        var model = require_iotdeviceadvisor_2020_09_18_min();
        model.paginators = require_iotdeviceadvisor_2020_09_18_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IotDeviceAdvisor;
  }
});

// node_modules/aws-sdk/apis/iotfleethub-2020-11-03.min.json
var require_iotfleethub_2020_11_03_min = __commonJS({
  "node_modules/aws-sdk/apis/iotfleethub-2020-11-03.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-11-03",
        endpointPrefix: "api.fleethub.iot",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS IoT Fleet Hub",
        serviceId: "IoTFleetHub",
        signatureVersion: "v4",
        signingName: "iotfleethub",
        uid: "iotfleethub-2020-11-03"
      },
      operations: {
        CreateApplication: {
          http: {
            requestUri: "/applications",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "applicationName",
              "roleArn"
            ],
            members: {
              applicationName: {},
              applicationDescription: {},
              clientToken: {
                idempotencyToken: true
              },
              roleArn: {},
              tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "applicationId",
              "applicationArn"
            ],
            members: {
              applicationId: {},
              applicationArn: {}
            }
          }
        },
        DeleteApplication: {
          http: {
            method: "DELETE",
            requestUri: "/applications/{applicationId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeApplication: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "applicationId",
              "applicationArn",
              "applicationName",
              "applicationUrl",
              "applicationState",
              "applicationCreationDate",
              "applicationLastUpdateDate",
              "roleArn"
            ],
            members: {
              applicationId: {},
              applicationArn: {},
              applicationName: {},
              applicationDescription: {},
              applicationUrl: {},
              applicationState: {},
              applicationCreationDate: {
                type: "long"
              },
              applicationLastUpdateDate: {
                type: "long"
              },
              roleArn: {},
              ssoClientId: {},
              errorMessage: {},
              tags: {
                shape: "S6"
              }
            }
          }
        },
        ListApplications: {
          http: {
            method: "GET",
            requestUri: "/applications",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              applicationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "applicationId",
                    "applicationName",
                    "applicationUrl"
                  ],
                  members: {
                    applicationId: {},
                    applicationName: {},
                    applicationDescription: {},
                    applicationUrl: {},
                    applicationCreationDate: {
                      type: "long"
                    },
                    applicationLastUpdateDate: {
                      type: "long"
                    },
                    applicationState: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S6"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateApplication: {
          http: {
            method: "PATCH",
            requestUri: "/applications/{applicationId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              applicationName: {},
              applicationDescription: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S6: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iotfleethub-2020-11-03.paginators.json
var require_iotfleethub_2020_11_03_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iotfleethub-2020-11-03.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListApplications: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "applicationSummaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/iotfleethub.js
var require_iotfleethub = __commonJS({
  "node_modules/aws-sdk/clients/iotfleethub.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iotfleethub"] = {};
    AWS2.IoTFleetHub = Service.defineService("iotfleethub", ["2020-11-03"]);
    Object.defineProperty(apiLoader.services["iotfleethub"], "2020-11-03", {
      get: function get() {
        var model = require_iotfleethub_2020_11_03_min();
        model.paginators = require_iotfleethub_2020_11_03_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IoTFleetHub;
  }
});

// node_modules/aws-sdk/apis/iotwireless-2020-11-22.min.json
var require_iotwireless_2020_11_22_min = __commonJS({
  "node_modules/aws-sdk/apis/iotwireless-2020-11-22.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-11-22",
        endpointPrefix: "api.iotwireless",
        protocol: "rest-json",
        serviceFullName: "AWS IoT Wireless",
        serviceId: "IoT Wireless",
        signatureVersion: "v4",
        signingName: "iotwireless",
        uid: "iotwireless-2020-11-22"
      },
      operations: {
        AssociateAwsAccountWithPartnerAccount: {
          http: {
            requestUri: "/partner-accounts"
          },
          input: {
            type: "structure",
            required: [
              "Sidewalk"
            ],
            members: {
              Sidewalk: {
                shape: "S2"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Sidewalk: {
                shape: "S2"
              },
              Arn: {}
            }
          }
        },
        AssociateMulticastGroupWithFuotaTask: {
          http: {
            method: "PUT",
            requestUri: "/fuota-tasks/{Id}/multicast-group",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "MulticastGroupId"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              MulticastGroupId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateWirelessDeviceWithFuotaTask: {
          http: {
            method: "PUT",
            requestUri: "/fuota-tasks/{Id}/wireless-device",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "WirelessDeviceId"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              WirelessDeviceId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateWirelessDeviceWithMulticastGroup: {
          http: {
            method: "PUT",
            requestUri: "/multicast-groups/{Id}/wireless-device",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "WirelessDeviceId"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              WirelessDeviceId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateWirelessDeviceWithThing: {
          http: {
            method: "PUT",
            requestUri: "/wireless-devices/{Id}/thing",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "ThingArn"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              ThingArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        AssociateWirelessGatewayWithCertificate: {
          http: {
            method: "PUT",
            requestUri: "/wireless-gateways/{Id}/certificate"
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "IotCertificateId"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              IotCertificateId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              IotCertificateId: {}
            }
          }
        },
        AssociateWirelessGatewayWithThing: {
          http: {
            method: "PUT",
            requestUri: "/wireless-gateways/{Id}/thing",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "ThingArn"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              ThingArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CancelMulticastGroupSession: {
          http: {
            method: "DELETE",
            requestUri: "/multicast-groups/{Id}/session",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateDestination: {
          http: {
            requestUri: "/destinations",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "ExpressionType",
              "Expression",
              "RoleArn"
            ],
            members: {
              Name: {},
              ExpressionType: {},
              Expression: {},
              Description: {},
              RoleArn: {},
              Tags: {
                shape: "S6"
              },
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Name: {}
            }
          }
        },
        CreateDeviceProfile: {
          http: {
            requestUri: "/device-profiles",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              Name: {},
              LoRaWAN: {
                shape: "S16"
              },
              Tags: {
                shape: "S6"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Sidewalk: {
                type: "structure",
                members: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Id: {}
            }
          }
        },
        CreateFuotaTask: {
          http: {
            requestUri: "/fuota-tasks",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FirmwareUpdateImage",
              "FirmwareUpdateRole"
            ],
            members: {
              Name: {},
              Description: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              LoRaWAN: {
                shape: "S1x"
              },
              FirmwareUpdateImage: {},
              FirmwareUpdateRole: {},
              Tags: {
                shape: "S6"
              },
              RedundancyPercent: {
                type: "integer"
              },
              FragmentSizeBytes: {
                type: "integer"
              },
              FragmentIntervalMS: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Id: {}
            }
          }
        },
        CreateMulticastGroup: {
          http: {
            requestUri: "/multicast-groups",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "LoRaWAN"
            ],
            members: {
              Name: {},
              Description: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              LoRaWAN: {
                shape: "S28"
              },
              Tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Id: {}
            }
          }
        },
        CreateNetworkAnalyzerConfiguration: {
          http: {
            requestUri: "/network-analyzer-configurations",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              TraceContent: {
                shape: "S2e"
              },
              WirelessDevices: {
                shape: "S2i"
              },
              WirelessGateways: {
                shape: "S2j"
              },
              Description: {},
              Tags: {
                shape: "S6"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              MulticastGroups: {
                shape: "S2k"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Name: {}
            }
          }
        },
        CreateServiceProfile: {
          http: {
            requestUri: "/service-profiles",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              Name: {},
              LoRaWAN: {
                type: "structure",
                members: {
                  AddGwMetadata: {
                    type: "boolean"
                  },
                  DrMin: {
                    type: "integer"
                  },
                  DrMax: {
                    type: "integer"
                  },
                  PrAllowed: {
                    type: "boolean"
                  },
                  RaAllowed: {
                    type: "boolean"
                  }
                }
              },
              Tags: {
                shape: "S6"
              },
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Id: {}
            }
          }
        },
        CreateWirelessDevice: {
          http: {
            requestUri: "/wireless-devices",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Type",
              "DestinationName"
            ],
            members: {
              Type: {},
              Name: {},
              Description: {},
              DestinationName: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              LoRaWAN: {
                shape: "S31"
              },
              Tags: {
                shape: "S6"
              },
              Positioning: {},
              Sidewalk: {
                type: "structure",
                members: {
                  DeviceProfileId: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Id: {}
            }
          }
        },
        CreateWirelessGateway: {
          http: {
            requestUri: "/wireless-gateways",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "LoRaWAN"
            ],
            members: {
              Name: {},
              Description: {},
              LoRaWAN: {
                shape: "S3x"
              },
              Tags: {
                shape: "S6"
              },
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Id: {}
            }
          }
        },
        CreateWirelessGatewayTask: {
          http: {
            requestUri: "/wireless-gateways/{Id}/tasks",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "WirelessGatewayTaskDefinitionId"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              WirelessGatewayTaskDefinitionId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WirelessGatewayTaskDefinitionId: {},
              Status: {}
            }
          }
        },
        CreateWirelessGatewayTaskDefinition: {
          http: {
            requestUri: "/wireless-gateway-task-definitions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AutoCreateTasks"
            ],
            members: {
              AutoCreateTasks: {
                type: "boolean"
              },
              Name: {},
              Update: {
                shape: "S4j"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              Arn: {}
            }
          }
        },
        DeleteDestination: {
          http: {
            method: "DELETE",
            requestUri: "/destinations/{Name}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteDeviceProfile: {
          http: {
            method: "DELETE",
            requestUri: "/device-profiles/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteFuotaTask: {
          http: {
            method: "DELETE",
            requestUri: "/fuota-tasks/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteMulticastGroup: {
          http: {
            method: "DELETE",
            requestUri: "/multicast-groups/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteNetworkAnalyzerConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/network-analyzer-configurations/{ConfigurationName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationName"
            ],
            members: {
              ConfigurationName: {
                location: "uri",
                locationName: "ConfigurationName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteQueuedMessages: {
          http: {
            method: "DELETE",
            requestUri: "/wireless-devices/{Id}/data",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "MessageId"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              MessageId: {
                location: "querystring",
                locationName: "messageId"
              },
              WirelessDeviceType: {
                location: "querystring",
                locationName: "WirelessDeviceType"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteServiceProfile: {
          http: {
            method: "DELETE",
            requestUri: "/service-profiles/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteWirelessDevice: {
          http: {
            method: "DELETE",
            requestUri: "/wireless-devices/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteWirelessDeviceImportTask: {
          http: {
            method: "DELETE",
            requestUri: "/wireless_device_import_task/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteWirelessGateway: {
          http: {
            method: "DELETE",
            requestUri: "/wireless-gateways/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteWirelessGatewayTask: {
          http: {
            method: "DELETE",
            requestUri: "/wireless-gateways/{Id}/tasks",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteWirelessGatewayTaskDefinition: {
          http: {
            method: "DELETE",
            requestUri: "/wireless-gateway-task-definitions/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeregisterWirelessDevice: {
          http: {
            method: "PATCH",
            requestUri: "/wireless-devices/{Identifier}/deregister"
          },
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "Identifier"
              },
              WirelessDeviceType: {
                location: "querystring",
                locationName: "WirelessDeviceType"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateAwsAccountFromPartnerAccount: {
          http: {
            method: "DELETE",
            requestUri: "/partner-accounts/{PartnerAccountId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "PartnerAccountId",
              "PartnerType"
            ],
            members: {
              PartnerAccountId: {
                location: "uri",
                locationName: "PartnerAccountId"
              },
              PartnerType: {
                location: "querystring",
                locationName: "partnerType"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateMulticastGroupFromFuotaTask: {
          http: {
            method: "DELETE",
            requestUri: "/fuota-tasks/{Id}/multicast-groups/{MulticastGroupId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "MulticastGroupId"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              MulticastGroupId: {
                location: "uri",
                locationName: "MulticastGroupId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateWirelessDeviceFromFuotaTask: {
          http: {
            method: "DELETE",
            requestUri: "/fuota-tasks/{Id}/wireless-devices/{WirelessDeviceId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "WirelessDeviceId"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              WirelessDeviceId: {
                location: "uri",
                locationName: "WirelessDeviceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateWirelessDeviceFromMulticastGroup: {
          http: {
            method: "DELETE",
            requestUri: "/multicast-groups/{Id}/wireless-devices/{WirelessDeviceId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "WirelessDeviceId"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              WirelessDeviceId: {
                location: "uri",
                locationName: "WirelessDeviceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateWirelessDeviceFromThing: {
          http: {
            method: "DELETE",
            requestUri: "/wireless-devices/{Id}/thing",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateWirelessGatewayFromCertificate: {
          http: {
            method: "DELETE",
            requestUri: "/wireless-gateways/{Id}/certificate",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisassociateWirelessGatewayFromThing: {
          http: {
            method: "DELETE",
            requestUri: "/wireless-gateways/{Id}/thing",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetDestination: {
          http: {
            method: "GET",
            requestUri: "/destinations/{Name}"
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Name: {},
              Expression: {},
              ExpressionType: {},
              Description: {},
              RoleArn: {}
            }
          }
        },
        GetDeviceProfile: {
          http: {
            method: "GET",
            requestUri: "/device-profiles/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Name: {},
              Id: {},
              LoRaWAN: {
                shape: "S16"
              },
              Sidewalk: {
                type: "structure",
                members: {
                  ApplicationServerPublicKey: {
                    type: "string",
                    sensitive: true
                  },
                  QualificationStatus: {
                    type: "boolean"
                  },
                  DakCertificateMetadata: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "CertificateId"
                      ],
                      members: {
                        CertificateId: {},
                        MaxAllowedSignature: {
                          type: "integer"
                        },
                        FactorySupport: {
                          type: "boolean"
                        },
                        ApId: {},
                        DeviceTypeId: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetEventConfigurationByResourceTypes: {
          http: {
            method: "GET",
            requestUri: "/event-configurations-resource-types"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              DeviceRegistrationState: {
                shape: "S6j"
              },
              Proximity: {
                shape: "S6m"
              },
              Join: {
                shape: "S6n"
              },
              ConnectionStatus: {
                shape: "S6p"
              },
              MessageDeliveryStatus: {
                shape: "S6r"
              }
            }
          }
        },
        GetFuotaTask: {
          http: {
            method: "GET",
            requestUri: "/fuota-tasks/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Id: {},
              Status: {},
              Name: {},
              Description: {},
              LoRaWAN: {
                type: "structure",
                members: {
                  RfRegion: {},
                  StartTime: {
                    shape: "S6w"
                  }
                }
              },
              FirmwareUpdateImage: {},
              FirmwareUpdateRole: {},
              CreatedAt: {
                type: "timestamp"
              },
              RedundancyPercent: {
                type: "integer"
              },
              FragmentSizeBytes: {
                type: "integer"
              },
              FragmentIntervalMS: {
                type: "integer"
              }
            }
          }
        },
        GetLogLevelsByResourceTypes: {
          http: {
            method: "GET",
            requestUri: "/log-levels",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              DefaultLogLevel: {},
              WirelessGatewayLogOptions: {
                shape: "S70"
              },
              WirelessDeviceLogOptions: {
                shape: "S76"
              }
            }
          }
        },
        GetMulticastGroup: {
          http: {
            method: "GET",
            requestUri: "/multicast-groups/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Id: {},
              Name: {},
              Description: {},
              Status: {},
              LoRaWAN: {
                type: "structure",
                members: {
                  RfRegion: {},
                  DlClass: {},
                  NumberOfDevicesRequested: {
                    type: "integer"
                  },
                  NumberOfDevicesInGroup: {
                    type: "integer"
                  }
                }
              },
              CreatedAt: {
                type: "timestamp"
              }
            }
          }
        },
        GetMulticastGroupSession: {
          http: {
            method: "GET",
            requestUri: "/multicast-groups/{Id}/session"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LoRaWAN: {
                shape: "S7j"
              }
            }
          }
        },
        GetNetworkAnalyzerConfiguration: {
          http: {
            method: "GET",
            requestUri: "/network-analyzer-configurations/{ConfigurationName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationName"
            ],
            members: {
              ConfigurationName: {
                location: "uri",
                locationName: "ConfigurationName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TraceContent: {
                shape: "S2e"
              },
              WirelessDevices: {
                shape: "S2i"
              },
              WirelessGateways: {
                shape: "S2j"
              },
              Description: {},
              Arn: {},
              Name: {},
              MulticastGroups: {
                shape: "S2k"
              }
            }
          }
        },
        GetPartnerAccount: {
          http: {
            method: "GET",
            requestUri: "/partner-accounts/{PartnerAccountId}"
          },
          input: {
            type: "structure",
            required: [
              "PartnerAccountId",
              "PartnerType"
            ],
            members: {
              PartnerAccountId: {
                location: "uri",
                locationName: "PartnerAccountId"
              },
              PartnerType: {
                location: "querystring",
                locationName: "partnerType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Sidewalk: {
                shape: "S7s"
              },
              AccountLinked: {
                type: "boolean"
              }
            }
          }
        },
        GetPosition: {
          http: {
            method: "GET",
            requestUri: "/positions/{ResourceIdentifier}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceIdentifier",
              "ResourceType"
            ],
            members: {
              ResourceIdentifier: {
                location: "uri",
                locationName: "ResourceIdentifier"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              }
            },
            deprecated: true,
            deprecatedMessage: "This operation is no longer supported."
          },
          output: {
            type: "structure",
            members: {
              Position: {
                shape: "S7z"
              },
              Accuracy: {
                type: "structure",
                members: {
                  HorizontalAccuracy: {
                    type: "float"
                  },
                  VerticalAccuracy: {
                    type: "float"
                  }
                }
              },
              SolverType: {},
              SolverProvider: {},
              SolverVersion: {},
              Timestamp: {}
            },
            deprecated: true,
            deprecatedMessage: "This operation is no longer supported."
          },
          deprecated: true,
          deprecatedMessage: "This operation is no longer supported."
        },
        GetPositionConfiguration: {
          http: {
            method: "GET",
            requestUri: "/position-configurations/{ResourceIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceIdentifier",
              "ResourceType"
            ],
            members: {
              ResourceIdentifier: {
                location: "uri",
                locationName: "ResourceIdentifier"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              }
            },
            deprecated: true,
            deprecatedMessage: "This operation is no longer supported."
          },
          output: {
            type: "structure",
            members: {
              Solvers: {
                shape: "S8a"
              },
              Destination: {}
            },
            deprecated: true,
            deprecatedMessage: "This operation is no longer supported."
          },
          deprecated: true,
          deprecatedMessage: "This operation is no longer supported."
        },
        GetPositionEstimate: {
          http: {
            requestUri: "/position-estimate"
          },
          input: {
            type: "structure",
            members: {
              WiFiAccessPoints: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "MacAddress",
                    "Rss"
                  ],
                  members: {
                    MacAddress: {},
                    Rss: {
                      type: "integer"
                    }
                  }
                }
              },
              CellTowers: {
                type: "structure",
                members: {
                  Gsm: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Mcc",
                        "Mnc",
                        "Lac",
                        "GeranCid"
                      ],
                      members: {
                        Mcc: {
                          type: "integer"
                        },
                        Mnc: {
                          type: "integer"
                        },
                        Lac: {
                          type: "integer"
                        },
                        GeranCid: {
                          type: "integer"
                        },
                        GsmLocalId: {
                          type: "structure",
                          required: [
                            "Bsic",
                            "Bcch"
                          ],
                          members: {
                            Bsic: {
                              type: "integer"
                            },
                            Bcch: {
                              type: "integer"
                            }
                          }
                        },
                        GsmTimingAdvance: {
                          type: "integer"
                        },
                        RxLevel: {
                          type: "integer"
                        },
                        GsmNmr: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "Bsic",
                              "Bcch"
                            ],
                            members: {
                              Bsic: {
                                type: "integer"
                              },
                              Bcch: {
                                type: "integer"
                              },
                              RxLevel: {
                                type: "integer"
                              },
                              GlobalIdentity: {
                                type: "structure",
                                required: [
                                  "Lac",
                                  "GeranCid"
                                ],
                                members: {
                                  Lac: {
                                    type: "integer"
                                  },
                                  GeranCid: {
                                    type: "integer"
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  Wcdma: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Mcc",
                        "Mnc",
                        "UtranCid"
                      ],
                      members: {
                        Mcc: {
                          type: "integer"
                        },
                        Mnc: {
                          type: "integer"
                        },
                        Lac: {
                          type: "integer"
                        },
                        UtranCid: {
                          type: "integer"
                        },
                        WcdmaLocalId: {
                          type: "structure",
                          required: [
                            "Uarfcndl",
                            "Psc"
                          ],
                          members: {
                            Uarfcndl: {
                              type: "integer"
                            },
                            Psc: {
                              type: "integer"
                            }
                          }
                        },
                        Rscp: {
                          type: "integer"
                        },
                        PathLoss: {
                          type: "integer"
                        },
                        WcdmaNmr: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "Uarfcndl",
                              "Psc",
                              "UtranCid"
                            ],
                            members: {
                              Uarfcndl: {
                                type: "integer"
                              },
                              Psc: {
                                type: "integer"
                              },
                              UtranCid: {
                                type: "integer"
                              },
                              Rscp: {
                                type: "integer"
                              },
                              PathLoss: {
                                type: "integer"
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  Tdscdma: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Mcc",
                        "Mnc",
                        "UtranCid"
                      ],
                      members: {
                        Mcc: {
                          type: "integer"
                        },
                        Mnc: {
                          type: "integer"
                        },
                        Lac: {
                          type: "integer"
                        },
                        UtranCid: {
                          type: "integer"
                        },
                        TdscdmaLocalId: {
                          type: "structure",
                          required: [
                            "Uarfcn",
                            "CellParams"
                          ],
                          members: {
                            Uarfcn: {
                              type: "integer"
                            },
                            CellParams: {
                              type: "integer"
                            }
                          }
                        },
                        TdscdmaTimingAdvance: {
                          type: "integer"
                        },
                        Rscp: {
                          type: "integer"
                        },
                        PathLoss: {
                          type: "integer"
                        },
                        TdscdmaNmr: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "Uarfcn",
                              "CellParams"
                            ],
                            members: {
                              Uarfcn: {
                                type: "integer"
                              },
                              CellParams: {
                                type: "integer"
                              },
                              UtranCid: {
                                type: "integer"
                              },
                              Rscp: {
                                type: "integer"
                              },
                              PathLoss: {
                                type: "integer"
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  Lte: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "Mcc",
                        "Mnc",
                        "EutranCid"
                      ],
                      members: {
                        Mcc: {
                          type: "integer"
                        },
                        Mnc: {
                          type: "integer"
                        },
                        EutranCid: {
                          type: "integer"
                        },
                        Tac: {
                          type: "integer"
                        },
                        LteLocalId: {
                          type: "structure",
                          required: [
                            "Pci",
                            "Earfcn"
                          ],
                          members: {
                            Pci: {
                              type: "integer"
                            },
                            Earfcn: {
                              type: "integer"
                            }
                          }
                        },
                        LteTimingAdvance: {
                          type: "integer"
                        },
                        Rsrp: {
                          type: "integer"
                        },
                        Rsrq: {
                          type: "float"
                        },
                        NrCapable: {
                          type: "boolean"
                        },
                        LteNmr: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "Pci",
                              "Earfcn",
                              "EutranCid"
                            ],
                            members: {
                              Pci: {
                                type: "integer"
                              },
                              Earfcn: {
                                type: "integer"
                              },
                              EutranCid: {
                                type: "integer"
                              },
                              Rsrp: {
                                type: "integer"
                              },
                              Rsrq: {
                                type: "float"
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  Cdma: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "SystemId",
                        "NetworkId",
                        "BaseStationId"
                      ],
                      members: {
                        SystemId: {
                          type: "integer"
                        },
                        NetworkId: {
                          type: "integer"
                        },
                        BaseStationId: {
                          type: "integer"
                        },
                        RegistrationZone: {
                          type: "integer"
                        },
                        CdmaLocalId: {
                          type: "structure",
                          required: [
                            "PnOffset",
                            "CdmaChannel"
                          ],
                          members: {
                            PnOffset: {
                              type: "integer"
                            },
                            CdmaChannel: {
                              type: "integer"
                            }
                          }
                        },
                        PilotPower: {
                          type: "integer"
                        },
                        BaseLat: {
                          type: "float"
                        },
                        BaseLng: {
                          type: "float"
                        },
                        CdmaNmr: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "PnOffset",
                              "CdmaChannel"
                            ],
                            members: {
                              PnOffset: {
                                type: "integer"
                              },
                              CdmaChannel: {
                                type: "integer"
                              },
                              PilotPower: {
                                type: "integer"
                              },
                              BaseStationId: {
                                type: "integer"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              Ip: {
                type: "structure",
                required: [
                  "IpAddress"
                ],
                members: {
                  IpAddress: {}
                }
              },
              Gnss: {
                type: "structure",
                required: [
                  "Payload"
                ],
                members: {
                  Payload: {},
                  CaptureTime: {
                    type: "float"
                  },
                  CaptureTimeAccuracy: {
                    type: "float"
                  },
                  AssistPosition: {
                    type: "list",
                    member: {
                      type: "float"
                    }
                  },
                  AssistAltitude: {
                    type: "float"
                  },
                  Use2DSolver: {
                    type: "boolean"
                  }
                }
              },
              Timestamp: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GeoJsonPayload: {
                type: "blob"
              }
            },
            payload: "GeoJsonPayload"
          }
        },
        GetResourceEventConfiguration: {
          http: {
            method: "GET",
            requestUri: "/event-configurations/{Identifier}"
          },
          input: {
            type: "structure",
            required: [
              "Identifier",
              "IdentifierType"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "Identifier"
              },
              IdentifierType: {
                location: "querystring",
                locationName: "identifierType"
              },
              PartnerType: {
                location: "querystring",
                locationName: "partnerType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeviceRegistrationState: {
                shape: "San"
              },
              Proximity: {
                shape: "Sap"
              },
              Join: {
                shape: "Saq"
              },
              ConnectionStatus: {
                shape: "Sas"
              },
              MessageDeliveryStatus: {
                shape: "Sau"
              }
            }
          }
        },
        GetResourceLogLevel: {
          http: {
            method: "GET",
            requestUri: "/log-levels/{ResourceIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceIdentifier",
              "ResourceType"
            ],
            members: {
              ResourceIdentifier: {
                location: "uri",
                locationName: "ResourceIdentifier"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LogLevel: {}
            }
          }
        },
        GetResourcePosition: {
          http: {
            method: "GET",
            requestUri: "/resource-positions/{ResourceIdentifier}"
          },
          input: {
            type: "structure",
            required: [
              "ResourceIdentifier",
              "ResourceType"
            ],
            members: {
              ResourceIdentifier: {
                location: "uri",
                locationName: "ResourceIdentifier"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GeoJsonPayload: {
                type: "blob"
              }
            },
            payload: "GeoJsonPayload"
          }
        },
        GetServiceEndpoint: {
          http: {
            method: "GET",
            requestUri: "/service-endpoint"
          },
          input: {
            type: "structure",
            members: {
              ServiceType: {
                location: "querystring",
                locationName: "serviceType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceType: {},
              ServiceEndpoint: {},
              ServerTrust: {}
            }
          }
        },
        GetServiceProfile: {
          http: {
            method: "GET",
            requestUri: "/service-profiles/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Name: {},
              Id: {},
              LoRaWAN: {
                type: "structure",
                members: {
                  UlRate: {
                    type: "integer"
                  },
                  UlBucketSize: {
                    type: "integer"
                  },
                  UlRatePolicy: {},
                  DlRate: {
                    type: "integer"
                  },
                  DlBucketSize: {
                    type: "integer"
                  },
                  DlRatePolicy: {},
                  AddGwMetadata: {
                    type: "boolean"
                  },
                  DevStatusReqFreq: {
                    type: "integer"
                  },
                  ReportDevStatusBattery: {
                    type: "boolean"
                  },
                  ReportDevStatusMargin: {
                    type: "boolean"
                  },
                  DrMin: {
                    type: "integer"
                  },
                  DrMax: {
                    type: "integer"
                  },
                  ChannelMask: {},
                  PrAllowed: {
                    type: "boolean"
                  },
                  HrAllowed: {
                    type: "boolean"
                  },
                  RaAllowed: {
                    type: "boolean"
                  },
                  NwkGeoLoc: {
                    type: "boolean"
                  },
                  TargetPer: {
                    type: "integer"
                  },
                  MinGwDiversity: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        GetWirelessDevice: {
          http: {
            method: "GET",
            requestUri: "/wireless-devices/{Identifier}"
          },
          input: {
            type: "structure",
            required: [
              "Identifier",
              "IdentifierType"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "Identifier"
              },
              IdentifierType: {
                location: "querystring",
                locationName: "identifierType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Type: {},
              Name: {},
              Description: {},
              DestinationName: {},
              Id: {},
              Arn: {},
              ThingName: {},
              ThingArn: {},
              LoRaWAN: {
                shape: "S31"
              },
              Sidewalk: {
                type: "structure",
                members: {
                  AmazonId: {},
                  SidewalkId: {},
                  SidewalkManufacturingSn: {},
                  DeviceCertificates: {
                    shape: "Sbw"
                  },
                  PrivateKeys: {
                    type: "list",
                    member: {
                      shape: "Sbx"
                    }
                  },
                  DeviceProfileId: {},
                  CertificateId: {},
                  Status: {}
                }
              },
              Positioning: {}
            }
          }
        },
        GetWirelessDeviceImportTask: {
          http: {
            method: "GET",
            requestUri: "/wireless_device_import_task/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              Arn: {},
              DestinationName: {},
              Sidewalk: {
                shape: "Sc5"
              },
              CreationTime: {
                shape: "Sc9"
              },
              Status: {},
              StatusReason: {},
              InitializedImportedDeviceCount: {
                type: "long"
              },
              PendingImportedDeviceCount: {
                type: "long"
              },
              OnboardedImportedDeviceCount: {
                type: "long"
              },
              FailedImportedDeviceCount: {
                type: "long"
              }
            }
          }
        },
        GetWirelessDeviceStatistics: {
          http: {
            method: "GET",
            requestUri: "/wireless-devices/{Id}/statistics",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "WirelessDeviceId"
            ],
            members: {
              WirelessDeviceId: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WirelessDeviceId: {},
              LastUplinkReceivedAt: {},
              LoRaWAN: {
                type: "structure",
                members: {
                  DevEui: {},
                  FPort: {
                    type: "integer"
                  },
                  DataRate: {
                    type: "integer"
                  },
                  Frequency: {
                    type: "integer"
                  },
                  Timestamp: {},
                  Gateways: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        GatewayEui: {},
                        Snr: {
                          type: "double"
                        },
                        Rssi: {
                          type: "double"
                        }
                      }
                    }
                  }
                }
              },
              Sidewalk: {
                type: "structure",
                members: {
                  Rssi: {
                    type: "integer"
                  },
                  BatteryLevel: {},
                  Event: {},
                  DeviceState: {}
                }
              }
            }
          }
        },
        GetWirelessGateway: {
          http: {
            method: "GET",
            requestUri: "/wireless-gateways/{Identifier}"
          },
          input: {
            type: "structure",
            required: [
              "Identifier",
              "IdentifierType"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "Identifier"
              },
              IdentifierType: {
                location: "querystring",
                locationName: "identifierType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Name: {},
              Id: {},
              Description: {},
              LoRaWAN: {
                shape: "S3x"
              },
              Arn: {},
              ThingName: {},
              ThingArn: {}
            }
          }
        },
        GetWirelessGatewayCertificate: {
          http: {
            method: "GET",
            requestUri: "/wireless-gateways/{Id}/certificate"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              IotCertificateId: {},
              LoRaWANNetworkServerCertificateId: {}
            }
          }
        },
        GetWirelessGatewayFirmwareInformation: {
          http: {
            method: "GET",
            requestUri: "/wireless-gateways/{Id}/firmware-information"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LoRaWAN: {
                type: "structure",
                members: {
                  CurrentVersion: {
                    shape: "S4o"
                  }
                }
              }
            }
          }
        },
        GetWirelessGatewayStatistics: {
          http: {
            method: "GET",
            requestUri: "/wireless-gateways/{Id}/statistics",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "WirelessGatewayId"
            ],
            members: {
              WirelessGatewayId: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WirelessGatewayId: {},
              LastUplinkReceivedAt: {},
              ConnectionStatus: {}
            }
          }
        },
        GetWirelessGatewayTask: {
          http: {
            method: "GET",
            requestUri: "/wireless-gateways/{Id}/tasks"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WirelessGatewayId: {},
              WirelessGatewayTaskDefinitionId: {},
              LastUplinkReceivedAt: {},
              TaskCreatedAt: {},
              Status: {}
            }
          }
        },
        GetWirelessGatewayTaskDefinition: {
          http: {
            method: "GET",
            requestUri: "/wireless-gateway-task-definitions/{Id}"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AutoCreateTasks: {
                type: "boolean"
              },
              Name: {},
              Update: {
                shape: "S4j"
              },
              Arn: {}
            }
          }
        },
        ListDestinations: {
          http: {
            method: "GET",
            requestUri: "/destinations"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              DestinationList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Name: {},
                    ExpressionType: {},
                    Expression: {},
                    Description: {},
                    RoleArn: {}
                  }
                }
              }
            }
          }
        },
        ListDeviceProfiles: {
          http: {
            method: "GET",
            requestUri: "/device-profiles"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              DeviceProfileType: {
                location: "querystring",
                locationName: "deviceProfileType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              DeviceProfileList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Name: {},
                    Id: {}
                  }
                }
              }
            }
          }
        },
        ListDevicesForWirelessDeviceImportTask: {
          http: {
            method: "GET",
            requestUri: "/wireless_device_import_task"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "querystring",
                locationName: "id"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              Status: {
                location: "querystring",
                locationName: "status"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              DestinationName: {},
              ImportedWirelessDeviceList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Sidewalk: {
                      type: "structure",
                      members: {
                        SidewalkManufacturingSn: {},
                        OnboardingStatus: {},
                        OnboardingStatusReason: {},
                        LastUpdateTime: {
                          type: "timestamp",
                          timestampFormat: "iso8601"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ListEventConfigurations: {
          http: {
            method: "GET",
            requestUri: "/event-configurations"
          },
          input: {
            type: "structure",
            required: [
              "ResourceType"
            ],
            members: {
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              EventConfigurationsList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Identifier: {},
                    IdentifierType: {},
                    PartnerType: {},
                    Events: {
                      type: "structure",
                      members: {
                        DeviceRegistrationState: {
                          shape: "San"
                        },
                        Proximity: {
                          shape: "Sap"
                        },
                        Join: {
                          shape: "Saq"
                        },
                        ConnectionStatus: {
                          shape: "Sas"
                        },
                        MessageDeliveryStatus: {
                          shape: "Sau"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ListFuotaTasks: {
          http: {
            method: "GET",
            requestUri: "/fuota-tasks"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              FuotaTaskList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListMulticastGroups: {
          http: {
            method: "GET",
            requestUri: "/multicast-groups"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              MulticastGroupList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListMulticastGroupsByFuotaTask: {
          http: {
            method: "GET",
            requestUri: "/fuota-tasks/{Id}/multicast-groups"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              MulticastGroupList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {}
                  }
                }
              }
            }
          }
        },
        ListNetworkAnalyzerConfigurations: {
          http: {
            method: "GET",
            requestUri: "/network-analyzer-configurations"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              NetworkAnalyzerConfigurationList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Name: {}
                  }
                }
              }
            }
          }
        },
        ListPartnerAccounts: {
          http: {
            method: "GET",
            requestUri: "/partner-accounts"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Sidewalk: {
                type: "list",
                member: {
                  shape: "S7s"
                }
              }
            }
          }
        },
        ListPositionConfigurations: {
          http: {
            method: "GET",
            requestUri: "/position-configurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            deprecated: true,
            deprecatedMessage: "This operation is no longer supported."
          },
          output: {
            type: "structure",
            members: {
              PositionConfigurationList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceIdentifier: {},
                    ResourceType: {},
                    Solvers: {
                      shape: "S8a"
                    },
                    Destination: {}
                  }
                }
              },
              NextToken: {}
            },
            deprecated: true,
            deprecatedMessage: "This operation is no longer supported."
          },
          deprecated: true,
          deprecatedMessage: "This operation is no longer supported."
        },
        ListQueuedMessages: {
          http: {
            method: "GET",
            requestUri: "/wireless-devices/{Id}/data"
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              WirelessDeviceType: {
                location: "querystring",
                locationName: "WirelessDeviceType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              DownlinkQueueMessagesList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MessageId: {},
                    TransmitMode: {
                      type: "integer"
                    },
                    ReceivedAt: {},
                    LoRaWAN: {
                      shape: "Sek"
                    }
                  }
                }
              }
            }
          }
        },
        ListServiceProfiles: {
          http: {
            method: "GET",
            requestUri: "/service-profiles"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ServiceProfileList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Name: {},
                    Id: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags"
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S6"
              }
            }
          }
        },
        ListWirelessDeviceImportTasks: {
          http: {
            method: "GET",
            requestUri: "/wireless_device_import_tasks"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              WirelessDeviceImportTaskList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Arn: {},
                    DestinationName: {},
                    Sidewalk: {
                      shape: "Sc5"
                    },
                    CreationTime: {
                      shape: "Sc9"
                    },
                    Status: {},
                    StatusReason: {},
                    InitializedImportedDeviceCount: {
                      type: "long"
                    },
                    PendingImportedDeviceCount: {
                      type: "long"
                    },
                    OnboardedImportedDeviceCount: {
                      type: "long"
                    },
                    FailedImportedDeviceCount: {
                      type: "long"
                    }
                  }
                }
              }
            }
          }
        },
        ListWirelessDevices: {
          http: {
            method: "GET",
            requestUri: "/wireless-devices"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              DestinationName: {
                location: "querystring",
                locationName: "destinationName"
              },
              DeviceProfileId: {
                location: "querystring",
                locationName: "deviceProfileId"
              },
              ServiceProfileId: {
                location: "querystring",
                locationName: "serviceProfileId"
              },
              WirelessDeviceType: {
                location: "querystring",
                locationName: "wirelessDeviceType"
              },
              FuotaTaskId: {
                location: "querystring",
                locationName: "fuotaTaskId"
              },
              MulticastGroupId: {
                location: "querystring",
                locationName: "multicastGroupId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              WirelessDeviceList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Id: {},
                    Type: {},
                    Name: {},
                    DestinationName: {},
                    LastUplinkReceivedAt: {},
                    LoRaWAN: {
                      type: "structure",
                      members: {
                        DevEui: {}
                      }
                    },
                    Sidewalk: {
                      type: "structure",
                      members: {
                        AmazonId: {},
                        SidewalkId: {},
                        SidewalkManufacturingSn: {},
                        DeviceCertificates: {
                          shape: "Sbw"
                        },
                        DeviceProfileId: {},
                        Status: {}
                      }
                    },
                    FuotaDeviceStatus: {},
                    MulticastDeviceStatus: {},
                    McGroupId: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        ListWirelessGatewayTaskDefinitions: {
          http: {
            method: "GET",
            requestUri: "/wireless-gateway-task-definitions"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              TaskDefinitionType: {
                location: "querystring",
                locationName: "taskDefinitionType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              TaskDefinitions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    LoRaWAN: {
                      type: "structure",
                      members: {
                        CurrentVersion: {
                          shape: "S4o"
                        },
                        UpdateVersion: {
                          shape: "S4o"
                        }
                      }
                    },
                    Arn: {}
                  }
                }
              }
            }
          }
        },
        ListWirelessGateways: {
          http: {
            method: "GET",
            requestUri: "/wireless-gateways"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              WirelessGatewayList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Id: {},
                    Name: {},
                    Description: {},
                    LoRaWAN: {
                      shape: "S3x"
                    },
                    LastUplinkReceivedAt: {}
                  }
                }
              }
            }
          }
        },
        PutPositionConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/position-configurations/{ResourceIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceIdentifier",
              "ResourceType"
            ],
            members: {
              ResourceIdentifier: {
                location: "uri",
                locationName: "ResourceIdentifier"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              Solvers: {
                type: "structure",
                members: {
                  SemtechGnss: {
                    type: "structure",
                    required: [
                      "Status",
                      "Fec"
                    ],
                    members: {
                      Status: {},
                      Fec: {}
                    }
                  }
                }
              },
              Destination: {}
            },
            deprecated: true,
            deprecatedMessage: "This operation is no longer supported."
          },
          output: {
            type: "structure",
            members: {},
            deprecated: true,
            deprecatedMessage: "This operation is no longer supported."
          },
          deprecated: true,
          deprecatedMessage: "This operation is no longer supported."
        },
        PutResourceLogLevel: {
          http: {
            method: "PUT",
            requestUri: "/log-levels/{ResourceIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceIdentifier",
              "ResourceType",
              "LogLevel"
            ],
            members: {
              ResourceIdentifier: {
                location: "uri",
                locationName: "ResourceIdentifier"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              LogLevel: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ResetAllResourceLogLevels: {
          http: {
            method: "DELETE",
            requestUri: "/log-levels",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ResetResourceLogLevel: {
          http: {
            method: "DELETE",
            requestUri: "/log-levels/{ResourceIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceIdentifier",
              "ResourceType"
            ],
            members: {
              ResourceIdentifier: {
                location: "uri",
                locationName: "ResourceIdentifier"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SendDataToMulticastGroup: {
          http: {
            requestUri: "/multicast-groups/{Id}/data",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "PayloadData",
              "WirelessMetadata"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              PayloadData: {},
              WirelessMetadata: {
                type: "structure",
                members: {
                  LoRaWAN: {
                    type: "structure",
                    members: {
                      FPort: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MessageId: {}
            }
          }
        },
        SendDataToWirelessDevice: {
          http: {
            requestUri: "/wireless-devices/{Id}/data",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "TransmitMode",
              "PayloadData"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              TransmitMode: {
                type: "integer"
              },
              PayloadData: {},
              WirelessMetadata: {
                type: "structure",
                members: {
                  LoRaWAN: {
                    shape: "Sek"
                  },
                  Sidewalk: {
                    type: "structure",
                    members: {
                      Seq: {
                        type: "integer"
                      },
                      MessageType: {},
                      AckModeRetryDurationSecs: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MessageId: {}
            }
          }
        },
        StartBulkAssociateWirelessDeviceWithMulticastGroup: {
          http: {
            method: "PATCH",
            requestUri: "/multicast-groups/{Id}/bulk",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              QueryString: {},
              Tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartBulkDisassociateWirelessDeviceFromMulticastGroup: {
          http: {
            requestUri: "/multicast-groups/{Id}/bulk",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              QueryString: {},
              Tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartFuotaTask: {
          http: {
            method: "PUT",
            requestUri: "/fuota-tasks/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              LoRaWAN: {
                type: "structure",
                members: {
                  StartTime: {
                    shape: "S6w"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartMulticastGroupSession: {
          http: {
            method: "PUT",
            requestUri: "/multicast-groups/{Id}/session",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "LoRaWAN"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              LoRaWAN: {
                shape: "S7j"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartSingleWirelessDeviceImportTask: {
          http: {
            requestUri: "/wireless_single_device_import_task",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DestinationName",
              "Sidewalk"
            ],
            members: {
              DestinationName: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              DeviceName: {},
              Tags: {
                shape: "S6"
              },
              Sidewalk: {
                type: "structure",
                members: {
                  SidewalkManufacturingSn: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              Arn: {}
            }
          }
        },
        StartWirelessDeviceImportTask: {
          http: {
            requestUri: "/wireless_device_import_task",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "DestinationName",
              "Sidewalk"
            ],
            members: {
              DestinationName: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S6"
              },
              Sidewalk: {
                type: "structure",
                members: {
                  DeviceCreationFile: {},
                  Role: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              Arn: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              Tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TestWirelessDevice: {
          http: {
            requestUri: "/wireless-devices/{Id}/test",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Result: {}
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDestination: {
          http: {
            method: "PATCH",
            requestUri: "/destinations/{Name}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              },
              ExpressionType: {},
              Expression: {},
              Description: {},
              RoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateEventConfigurationByResourceTypes: {
          http: {
            method: "PATCH",
            requestUri: "/event-configurations-resource-types",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              DeviceRegistrationState: {
                shape: "S6j"
              },
              Proximity: {
                shape: "S6m"
              },
              Join: {
                shape: "S6n"
              },
              ConnectionStatus: {
                shape: "S6p"
              },
              MessageDeliveryStatus: {
                shape: "S6r"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateFuotaTask: {
          http: {
            method: "PATCH",
            requestUri: "/fuota-tasks/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              Name: {},
              Description: {},
              LoRaWAN: {
                shape: "S1x"
              },
              FirmwareUpdateImage: {},
              FirmwareUpdateRole: {},
              RedundancyPercent: {
                type: "integer"
              },
              FragmentSizeBytes: {
                type: "integer"
              },
              FragmentIntervalMS: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateLogLevelsByResourceTypes: {
          http: {
            requestUri: "/log-levels",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DefaultLogLevel: {},
              WirelessDeviceLogOptions: {
                shape: "S76"
              },
              WirelessGatewayLogOptions: {
                shape: "S70"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateMulticastGroup: {
          http: {
            method: "PATCH",
            requestUri: "/multicast-groups/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              Name: {},
              Description: {},
              LoRaWAN: {
                shape: "S28"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateNetworkAnalyzerConfiguration: {
          http: {
            method: "PATCH",
            requestUri: "/network-analyzer-configurations/{ConfigurationName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationName"
            ],
            members: {
              ConfigurationName: {
                location: "uri",
                locationName: "ConfigurationName"
              },
              TraceContent: {
                shape: "S2e"
              },
              WirelessDevicesToAdd: {
                shape: "S2i"
              },
              WirelessDevicesToRemove: {
                shape: "S2i"
              },
              WirelessGatewaysToAdd: {
                shape: "S2j"
              },
              WirelessGatewaysToRemove: {
                shape: "S2j"
              },
              Description: {},
              MulticastGroupsToAdd: {
                shape: "S2k"
              },
              MulticastGroupsToRemove: {
                shape: "S2k"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdatePartnerAccount: {
          http: {
            method: "PATCH",
            requestUri: "/partner-accounts/{PartnerAccountId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Sidewalk",
              "PartnerAccountId",
              "PartnerType"
            ],
            members: {
              Sidewalk: {
                type: "structure",
                members: {
                  AppServerPrivateKey: {
                    shape: "S4"
                  }
                }
              },
              PartnerAccountId: {
                location: "uri",
                locationName: "PartnerAccountId"
              },
              PartnerType: {
                location: "querystring",
                locationName: "partnerType"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdatePosition: {
          http: {
            method: "PATCH",
            requestUri: "/positions/{ResourceIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceIdentifier",
              "ResourceType",
              "Position"
            ],
            members: {
              ResourceIdentifier: {
                location: "uri",
                locationName: "ResourceIdentifier"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              Position: {
                shape: "S7z"
              }
            },
            deprecated: true,
            deprecatedMessage: "This operation is no longer supported."
          },
          output: {
            type: "structure",
            members: {},
            deprecated: true,
            deprecatedMessage: "This operation is no longer supported."
          },
          deprecated: true,
          deprecatedMessage: "This operation is no longer supported."
        },
        UpdateResourceEventConfiguration: {
          http: {
            method: "PATCH",
            requestUri: "/event-configurations/{Identifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Identifier",
              "IdentifierType"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "Identifier"
              },
              IdentifierType: {
                location: "querystring",
                locationName: "identifierType"
              },
              PartnerType: {
                location: "querystring",
                locationName: "partnerType"
              },
              DeviceRegistrationState: {
                shape: "San"
              },
              Proximity: {
                shape: "Sap"
              },
              Join: {
                shape: "Saq"
              },
              ConnectionStatus: {
                shape: "Sas"
              },
              MessageDeliveryStatus: {
                shape: "Sau"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateResourcePosition: {
          http: {
            method: "PATCH",
            requestUri: "/resource-positions/{ResourceIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceIdentifier",
              "ResourceType"
            ],
            members: {
              ResourceIdentifier: {
                location: "uri",
                locationName: "ResourceIdentifier"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              GeoJsonPayload: {
                type: "blob"
              }
            },
            payload: "GeoJsonPayload"
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateWirelessDevice: {
          http: {
            method: "PATCH",
            requestUri: "/wireless-devices/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              DestinationName: {},
              Name: {},
              Description: {},
              LoRaWAN: {
                type: "structure",
                members: {
                  DeviceProfileId: {},
                  ServiceProfileId: {},
                  AbpV1_1: {
                    type: "structure",
                    members: {
                      FCntStart: {
                        type: "integer"
                      }
                    }
                  },
                  AbpV1_0_x: {
                    type: "structure",
                    members: {
                      FCntStart: {
                        type: "integer"
                      }
                    }
                  },
                  FPorts: {
                    type: "structure",
                    members: {
                      Positioning: {
                        shape: "S3n"
                      },
                      Applications: {
                        shape: "S3o"
                      }
                    }
                  }
                }
              },
              Positioning: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateWirelessDeviceImportTask: {
          http: {
            method: "PATCH",
            requestUri: "/wireless_device_import_task/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id",
              "Sidewalk"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              Sidewalk: {
                type: "structure",
                members: {
                  DeviceCreationFile: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateWirelessGateway: {
          http: {
            method: "PATCH",
            requestUri: "/wireless-gateways/{Id}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {
                location: "uri",
                locationName: "Id"
              },
              Name: {},
              Description: {},
              JoinEuiFilters: {
                shape: "S3z"
              },
              NetIdFilters: {
                shape: "S41"
              },
              MaxEirp: {
                type: "float"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S2: {
          type: "structure",
          members: {
            AmazonId: {},
            AppServerPrivateKey: {
              shape: "S4"
            }
          }
        },
        S4: {
          type: "string",
          sensitive: true
        },
        S6: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S16: {
          type: "structure",
          members: {
            SupportsClassB: {
              type: "boolean"
            },
            ClassBTimeout: {
              type: "integer"
            },
            PingSlotPeriod: {
              type: "integer"
            },
            PingSlotDr: {
              type: "integer"
            },
            PingSlotFreq: {
              type: "integer"
            },
            SupportsClassC: {
              type: "boolean"
            },
            ClassCTimeout: {
              type: "integer"
            },
            MacVersion: {},
            RegParamsRevision: {},
            RxDelay1: {
              type: "integer"
            },
            RxDrOffset1: {
              type: "integer"
            },
            RxDataRate2: {
              type: "integer"
            },
            RxFreq2: {
              type: "integer"
            },
            FactoryPresetFreqsList: {
              type: "list",
              member: {
                type: "integer"
              }
            },
            MaxEirp: {
              type: "integer"
            },
            MaxDutyCycle: {
              type: "integer"
            },
            RfRegion: {},
            SupportsJoin: {
              type: "boolean"
            },
            Supports32BitFCnt: {
              type: "boolean"
            }
          }
        },
        S1x: {
          type: "structure",
          members: {
            RfRegion: {}
          }
        },
        S28: {
          type: "structure",
          members: {
            RfRegion: {},
            DlClass: {}
          }
        },
        S2e: {
          type: "structure",
          members: {
            WirelessDeviceFrameInfo: {},
            LogLevel: {},
            MulticastFrameInfo: {}
          }
        },
        S2i: {
          type: "list",
          member: {}
        },
        S2j: {
          type: "list",
          member: {}
        },
        S2k: {
          type: "list",
          member: {}
        },
        S31: {
          type: "structure",
          members: {
            DevEui: {},
            DeviceProfileId: {},
            ServiceProfileId: {},
            OtaaV1_1: {
              type: "structure",
              members: {
                AppKey: {},
                NwkKey: {},
                JoinEui: {}
              }
            },
            OtaaV1_0_x: {
              type: "structure",
              members: {
                AppKey: {},
                AppEui: {},
                GenAppKey: {}
              }
            },
            AbpV1_1: {
              type: "structure",
              members: {
                DevAddr: {},
                SessionKeys: {
                  type: "structure",
                  members: {
                    FNwkSIntKey: {},
                    SNwkSIntKey: {},
                    NwkSEncKey: {},
                    AppSKey: {}
                  }
                },
                FCntStart: {
                  type: "integer"
                }
              }
            },
            AbpV1_0_x: {
              type: "structure",
              members: {
                DevAddr: {},
                SessionKeys: {
                  type: "structure",
                  members: {
                    NwkSKey: {},
                    AppSKey: {}
                  }
                },
                FCntStart: {
                  type: "integer"
                }
              }
            },
            FPorts: {
              type: "structure",
              members: {
                Fuota: {
                  type: "integer"
                },
                Multicast: {
                  type: "integer"
                },
                ClockSync: {
                  type: "integer"
                },
                Positioning: {
                  shape: "S3n"
                },
                Applications: {
                  shape: "S3o"
                }
              }
            }
          }
        },
        S3n: {
          type: "structure",
          members: {
            ClockSync: {
              type: "integer"
            },
            Stream: {
              type: "integer"
            },
            Gnss: {
              type: "integer"
            }
          }
        },
        S3o: {
          type: "list",
          member: {
            type: "structure",
            members: {
              FPort: {
                type: "integer"
              },
              Type: {},
              DestinationName: {}
            }
          }
        },
        S3x: {
          type: "structure",
          members: {
            GatewayEui: {},
            RfRegion: {},
            JoinEuiFilters: {
              shape: "S3z"
            },
            NetIdFilters: {
              shape: "S41"
            },
            SubBands: {
              type: "list",
              member: {
                type: "integer"
              }
            },
            Beaconing: {
              type: "structure",
              members: {
                DataRate: {
                  type: "integer"
                },
                Frequencies: {
                  type: "list",
                  member: {
                    type: "integer"
                  }
                }
              }
            },
            MaxEirp: {
              type: "float"
            }
          }
        },
        S3z: {
          type: "list",
          member: {
            type: "list",
            member: {}
          }
        },
        S41: {
          type: "list",
          member: {}
        },
        S4j: {
          type: "structure",
          members: {
            UpdateDataSource: {},
            UpdateDataRole: {},
            LoRaWAN: {
              type: "structure",
              members: {
                UpdateSignature: {},
                SigKeyCrc: {
                  type: "long"
                },
                CurrentVersion: {
                  shape: "S4o"
                },
                UpdateVersion: {
                  shape: "S4o"
                }
              }
            }
          }
        },
        S4o: {
          type: "structure",
          members: {
            PackageVersion: {},
            Model: {},
            Station: {}
          }
        },
        S6j: {
          type: "structure",
          members: {
            Sidewalk: {
              shape: "S6k"
            }
          }
        },
        S6k: {
          type: "structure",
          members: {
            WirelessDeviceEventTopic: {}
          }
        },
        S6m: {
          type: "structure",
          members: {
            Sidewalk: {
              shape: "S6k"
            }
          }
        },
        S6n: {
          type: "structure",
          members: {
            LoRaWAN: {
              type: "structure",
              members: {
                WirelessDeviceEventTopic: {}
              }
            }
          }
        },
        S6p: {
          type: "structure",
          members: {
            LoRaWAN: {
              type: "structure",
              members: {
                WirelessGatewayEventTopic: {}
              }
            }
          }
        },
        S6r: {
          type: "structure",
          members: {
            Sidewalk: {
              shape: "S6k"
            }
          }
        },
        S6w: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S70: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Type",
              "LogLevel"
            ],
            members: {
              Type: {},
              LogLevel: {},
              Events: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Event",
                    "LogLevel"
                  ],
                  members: {
                    Event: {},
                    LogLevel: {}
                  }
                }
              }
            }
          }
        },
        S76: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Type",
              "LogLevel"
            ],
            members: {
              Type: {},
              LogLevel: {},
              Events: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Event",
                    "LogLevel"
                  ],
                  members: {
                    Event: {},
                    LogLevel: {}
                  }
                }
              }
            }
          }
        },
        S7j: {
          type: "structure",
          members: {
            DlDr: {
              type: "integer"
            },
            DlFreq: {
              type: "integer"
            },
            SessionStartTime: {
              type: "timestamp",
              timestampFormat: "iso8601"
            },
            SessionTimeout: {
              type: "integer"
            },
            PingSlotPeriod: {
              type: "integer"
            }
          }
        },
        S7s: {
          type: "structure",
          members: {
            AmazonId: {},
            Fingerprint: {
              type: "string",
              sensitive: true
            },
            Arn: {}
          }
        },
        S7z: {
          type: "list",
          member: {
            type: "float"
          }
        },
        S8a: {
          type: "structure",
          members: {
            SemtechGnss: {
              type: "structure",
              members: {
                Provider: {},
                Type: {},
                Status: {},
                Fec: {}
              }
            }
          }
        },
        San: {
          type: "structure",
          members: {
            Sidewalk: {
              shape: "Sao"
            },
            WirelessDeviceIdEventTopic: {}
          }
        },
        Sao: {
          type: "structure",
          members: {
            AmazonIdEventTopic: {}
          }
        },
        Sap: {
          type: "structure",
          members: {
            Sidewalk: {
              shape: "Sao"
            },
            WirelessDeviceIdEventTopic: {}
          }
        },
        Saq: {
          type: "structure",
          members: {
            LoRaWAN: {
              type: "structure",
              members: {
                DevEuiEventTopic: {}
              }
            },
            WirelessDeviceIdEventTopic: {}
          }
        },
        Sas: {
          type: "structure",
          members: {
            LoRaWAN: {
              type: "structure",
              members: {
                GatewayEuiEventTopic: {}
              }
            },
            WirelessGatewayIdEventTopic: {}
          }
        },
        Sau: {
          type: "structure",
          members: {
            Sidewalk: {
              shape: "Sao"
            },
            WirelessDeviceIdEventTopic: {}
          }
        },
        Sbw: {
          type: "list",
          member: {
            shape: "Sbx"
          }
        },
        Sbx: {
          type: "structure",
          required: [
            "SigningAlg",
            "Value"
          ],
          members: {
            SigningAlg: {},
            Value: {}
          }
        },
        Sc5: {
          type: "structure",
          members: {
            DeviceCreationFileList: {
              type: "list",
              member: {}
            },
            Role: {}
          }
        },
        Sc9: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sek: {
          type: "structure",
          members: {
            FPort: {
              type: "integer"
            },
            ParticipatingGateways: {
              type: "structure",
              required: [
                "DownlinkMode",
                "GatewayList",
                "TransmissionInterval"
              ],
              members: {
                DownlinkMode: {},
                GatewayList: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "GatewayId",
                      "DownlinkFrequency"
                    ],
                    members: {
                      GatewayId: {},
                      DownlinkFrequency: {
                        type: "integer"
                      }
                    }
                  }
                },
                TransmissionInterval: {
                  type: "integer"
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iotwireless-2020-11-22.paginators.json
var require_iotwireless_2020_11_22_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iotwireless-2020-11-22.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDestinations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDeviceProfiles: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListFuotaTasks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMulticastGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMulticastGroupsByFuotaTask: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListNetworkAnalyzerConfigurations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListPositionConfigurations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListQueuedMessages: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListServiceProfiles: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListWirelessDevices: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListWirelessGateways: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/iotwireless.js
var require_iotwireless = __commonJS({
  "node_modules/aws-sdk/clients/iotwireless.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iotwireless"] = {};
    AWS2.IoTWireless = Service.defineService("iotwireless", ["2020-11-22"]);
    Object.defineProperty(apiLoader.services["iotwireless"], "2020-11-22", {
      get: function get() {
        var model = require_iotwireless_2020_11_22_min();
        model.paginators = require_iotwireless_2020_11_22_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IoTWireless;
  }
});

// node_modules/aws-sdk/apis/location-2020-11-19.min.json
var require_location_2020_11_19_min = __commonJS({
  "node_modules/aws-sdk/apis/location-2020-11-19.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-11-19",
        endpointPrefix: "geo",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Location Service",
        serviceId: "Location",
        signatureVersion: "v4",
        signingName: "geo",
        uid: "location-2020-11-19"
      },
      operations: {
        AssociateTrackerConsumer: {
          http: {
            requestUri: "/tracking/v0/trackers/{TrackerName}/consumers",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ConsumerArn",
              "TrackerName"
            ],
            members: {
              ConsumerArn: {},
              TrackerName: {
                location: "uri",
                locationName: "TrackerName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "tracking."
          }
        },
        BatchDeleteDevicePositionHistory: {
          http: {
            requestUri: "/tracking/v0/trackers/{TrackerName}/delete-positions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DeviceIds",
              "TrackerName"
            ],
            members: {
              DeviceIds: {
                type: "list",
                member: {}
              },
              TrackerName: {
                location: "uri",
                locationName: "TrackerName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Errors"
            ],
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "DeviceId",
                    "Error"
                  ],
                  members: {
                    DeviceId: {},
                    Error: {
                      shape: "Sb"
                    }
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "tracking."
          }
        },
        BatchDeleteGeofence: {
          http: {
            requestUri: "/geofencing/v0/collections/{CollectionName}/delete-geofences",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CollectionName",
              "GeofenceIds"
            ],
            members: {
              CollectionName: {
                location: "uri",
                locationName: "CollectionName"
              },
              GeofenceIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Errors"
            ],
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Error",
                    "GeofenceId"
                  ],
                  members: {
                    Error: {
                      shape: "Sb"
                    },
                    GeofenceId: {}
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "geofencing."
          }
        },
        BatchEvaluateGeofences: {
          http: {
            requestUri: "/geofencing/v0/collections/{CollectionName}/positions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CollectionName",
              "DevicePositionUpdates"
            ],
            members: {
              CollectionName: {
                location: "uri",
                locationName: "CollectionName"
              },
              DevicePositionUpdates: {
                type: "list",
                member: {
                  shape: "Sl"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Errors"
            ],
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "DeviceId",
                    "Error",
                    "SampleTime"
                  ],
                  members: {
                    DeviceId: {},
                    Error: {
                      shape: "Sb"
                    },
                    SampleTime: {
                      shape: "St"
                    }
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "geofencing."
          }
        },
        BatchGetDevicePosition: {
          http: {
            requestUri: "/tracking/v0/trackers/{TrackerName}/get-positions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DeviceIds",
              "TrackerName"
            ],
            members: {
              DeviceIds: {
                type: "list",
                member: {}
              },
              TrackerName: {
                location: "uri",
                locationName: "TrackerName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DevicePositions",
              "Errors"
            ],
            members: {
              DevicePositions: {
                shape: "S11"
              },
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "DeviceId",
                    "Error"
                  ],
                  members: {
                    DeviceId: {},
                    Error: {
                      shape: "Sb"
                    }
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "tracking."
          }
        },
        BatchPutGeofence: {
          http: {
            requestUri: "/geofencing/v0/collections/{CollectionName}/put-geofences",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CollectionName",
              "Entries"
            ],
            members: {
              CollectionName: {
                location: "uri",
                locationName: "CollectionName"
              },
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "GeofenceId",
                    "Geometry"
                  ],
                  members: {
                    GeofenceId: {},
                    GeofenceProperties: {
                      shape: "Sq"
                    },
                    Geometry: {
                      shape: "S18"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Errors",
              "Successes"
            ],
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Error",
                    "GeofenceId"
                  ],
                  members: {
                    Error: {
                      shape: "Sb"
                    },
                    GeofenceId: {}
                  }
                }
              },
              Successes: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "CreateTime",
                    "GeofenceId",
                    "UpdateTime"
                  ],
                  members: {
                    CreateTime: {
                      shape: "St"
                    },
                    GeofenceId: {},
                    UpdateTime: {
                      shape: "St"
                    }
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "geofencing."
          }
        },
        BatchUpdateDevicePosition: {
          http: {
            requestUri: "/tracking/v0/trackers/{TrackerName}/positions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "TrackerName",
              "Updates"
            ],
            members: {
              TrackerName: {
                location: "uri",
                locationName: "TrackerName"
              },
              Updates: {
                type: "list",
                member: {
                  shape: "Sl"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Errors"
            ],
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "DeviceId",
                    "Error",
                    "SampleTime"
                  ],
                  members: {
                    DeviceId: {},
                    Error: {
                      shape: "Sb"
                    },
                    SampleTime: {
                      shape: "St"
                    }
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "tracking."
          }
        },
        CalculateRoute: {
          http: {
            requestUri: "/routes/v0/calculators/{CalculatorName}/calculate/route",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CalculatorName",
              "DeparturePosition",
              "DestinationPosition"
            ],
            members: {
              CalculatorName: {
                location: "uri",
                locationName: "CalculatorName"
              },
              CarModeOptions: {
                shape: "S1n"
              },
              DepartNow: {
                type: "boolean"
              },
              DeparturePosition: {
                shape: "So"
              },
              DepartureTime: {
                shape: "St"
              },
              DestinationPosition: {
                shape: "So"
              },
              DistanceUnit: {},
              IncludeLegGeometry: {
                type: "boolean"
              },
              Key: {
                shape: "S1q",
                location: "querystring",
                locationName: "key"
              },
              TravelMode: {},
              TruckModeOptions: {
                shape: "S1s"
              },
              WaypointPositions: {
                type: "list",
                member: {
                  shape: "So"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Legs",
              "Summary"
            ],
            members: {
              Legs: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Distance",
                    "DurationSeconds",
                    "EndPosition",
                    "StartPosition",
                    "Steps"
                  ],
                  members: {
                    Distance: {
                      type: "double"
                    },
                    DurationSeconds: {
                      type: "double"
                    },
                    EndPosition: {
                      shape: "So"
                    },
                    Geometry: {
                      type: "structure",
                      members: {
                        LineString: {
                          type: "list",
                          member: {
                            shape: "So"
                          }
                        }
                      }
                    },
                    StartPosition: {
                      shape: "So"
                    },
                    Steps: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "Distance",
                          "DurationSeconds",
                          "EndPosition",
                          "StartPosition"
                        ],
                        members: {
                          Distance: {
                            type: "double"
                          },
                          DurationSeconds: {
                            type: "double"
                          },
                          EndPosition: {
                            shape: "So"
                          },
                          GeometryOffset: {
                            type: "integer"
                          },
                          StartPosition: {
                            shape: "So"
                          }
                        }
                      }
                    }
                  }
                }
              },
              Summary: {
                type: "structure",
                required: [
                  "DataSource",
                  "Distance",
                  "DistanceUnit",
                  "DurationSeconds",
                  "RouteBBox"
                ],
                members: {
                  DataSource: {},
                  Distance: {
                    type: "double"
                  },
                  DistanceUnit: {},
                  DurationSeconds: {
                    type: "double"
                  },
                  RouteBBox: {
                    shape: "S2h"
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "routes."
          }
        },
        CalculateRouteMatrix: {
          http: {
            requestUri: "/routes/v0/calculators/{CalculatorName}/calculate/route-matrix",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CalculatorName",
              "DeparturePositions",
              "DestinationPositions"
            ],
            members: {
              CalculatorName: {
                location: "uri",
                locationName: "CalculatorName"
              },
              CarModeOptions: {
                shape: "S1n"
              },
              DepartNow: {
                type: "boolean"
              },
              DeparturePositions: {
                type: "list",
                member: {
                  shape: "So"
                }
              },
              DepartureTime: {
                shape: "St"
              },
              DestinationPositions: {
                type: "list",
                member: {
                  shape: "So"
                }
              },
              DistanceUnit: {},
              Key: {
                shape: "S1q",
                location: "querystring",
                locationName: "key"
              },
              TravelMode: {},
              TruckModeOptions: {
                shape: "S1s"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "RouteMatrix",
              "Summary"
            ],
            members: {
              RouteMatrix: {
                type: "list",
                member: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      Distance: {
                        type: "double"
                      },
                      DurationSeconds: {
                        type: "double"
                      },
                      Error: {
                        type: "structure",
                        required: [
                          "Code"
                        ],
                        members: {
                          Code: {},
                          Message: {}
                        }
                      }
                    }
                  }
                }
              },
              SnappedDeparturePositions: {
                type: "list",
                member: {
                  shape: "So"
                }
              },
              SnappedDestinationPositions: {
                type: "list",
                member: {
                  shape: "So"
                }
              },
              Summary: {
                type: "structure",
                required: [
                  "DataSource",
                  "DistanceUnit",
                  "ErrorCount",
                  "RouteCount"
                ],
                members: {
                  DataSource: {},
                  DistanceUnit: {},
                  ErrorCount: {
                    type: "integer"
                  },
                  RouteCount: {
                    type: "integer"
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "routes."
          }
        },
        CreateGeofenceCollection: {
          http: {
            requestUri: "/geofencing/v0/collections",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CollectionName"
            ],
            members: {
              CollectionName: {},
              Description: {},
              KmsKeyId: {},
              PricingPlan: {
                deprecated: true,
                deprecatedMessage: "Deprecated. If included, the only allowed value is RequestBasedUsage."
              },
              PricingPlanDataSource: {
                deprecated: true,
                deprecatedMessage: "Deprecated. No longer allowed."
              },
              Tags: {
                shape: "S32"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CollectionArn",
              "CollectionName",
              "CreateTime"
            ],
            members: {
              CollectionArn: {},
              CollectionName: {},
              CreateTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "geofencing."
          },
          idempotent: true
        },
        CreateKey: {
          http: {
            requestUri: "/metadata/v0/keys",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "KeyName",
              "Restrictions"
            ],
            members: {
              Description: {},
              ExpireTime: {
                shape: "St"
              },
              KeyName: {},
              NoExpiry: {
                type: "boolean"
              },
              Restrictions: {
                shape: "S37"
              },
              Tags: {
                shape: "S32"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CreateTime",
              "Key",
              "KeyArn",
              "KeyName"
            ],
            members: {
              CreateTime: {
                shape: "St"
              },
              Key: {
                shape: "S1q"
              },
              KeyArn: {},
              KeyName: {}
            }
          },
          endpoint: {
            hostPrefix: "metadata."
          },
          idempotent: true
        },
        CreateMap: {
          http: {
            requestUri: "/maps/v0/maps",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Configuration",
              "MapName"
            ],
            members: {
              Configuration: {
                shape: "S3g"
              },
              Description: {},
              MapName: {},
              PricingPlan: {
                deprecated: true,
                deprecatedMessage: "Deprecated. If included, the only allowed value is RequestBasedUsage."
              },
              Tags: {
                shape: "S32"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CreateTime",
              "MapArn",
              "MapName"
            ],
            members: {
              CreateTime: {
                shape: "St"
              },
              MapArn: {},
              MapName: {}
            }
          },
          endpoint: {
            hostPrefix: "maps."
          },
          idempotent: true
        },
        CreatePlaceIndex: {
          http: {
            requestUri: "/places/v0/indexes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DataSource",
              "IndexName"
            ],
            members: {
              DataSource: {},
              DataSourceConfiguration: {
                shape: "S3l"
              },
              Description: {},
              IndexName: {},
              PricingPlan: {
                deprecated: true,
                deprecatedMessage: "Deprecated. If included, the only allowed value is RequestBasedUsage."
              },
              Tags: {
                shape: "S32"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CreateTime",
              "IndexArn",
              "IndexName"
            ],
            members: {
              CreateTime: {
                shape: "St"
              },
              IndexArn: {},
              IndexName: {}
            }
          },
          endpoint: {
            hostPrefix: "places."
          },
          idempotent: true
        },
        CreateRouteCalculator: {
          http: {
            requestUri: "/routes/v0/calculators",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CalculatorName",
              "DataSource"
            ],
            members: {
              CalculatorName: {},
              DataSource: {},
              Description: {},
              PricingPlan: {
                deprecated: true,
                deprecatedMessage: "Deprecated. If included, the only allowed value is RequestBasedUsage."
              },
              Tags: {
                shape: "S32"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CalculatorArn",
              "CalculatorName",
              "CreateTime"
            ],
            members: {
              CalculatorArn: {},
              CalculatorName: {},
              CreateTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "routes."
          },
          idempotent: true
        },
        CreateTracker: {
          http: {
            requestUri: "/tracking/v0/trackers",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "TrackerName"
            ],
            members: {
              Description: {},
              EventBridgeEnabled: {
                type: "boolean"
              },
              KmsKeyId: {},
              PositionFiltering: {},
              PricingPlan: {
                deprecated: true,
                deprecatedMessage: "Deprecated. If included, the only allowed value is RequestBasedUsage."
              },
              PricingPlanDataSource: {
                deprecated: true,
                deprecatedMessage: "Deprecated. No longer allowed."
              },
              Tags: {
                shape: "S32"
              },
              TrackerName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "CreateTime",
              "TrackerArn",
              "TrackerName"
            ],
            members: {
              CreateTime: {
                shape: "St"
              },
              TrackerArn: {},
              TrackerName: {}
            }
          },
          endpoint: {
            hostPrefix: "tracking."
          },
          idempotent: true
        },
        DeleteGeofenceCollection: {
          http: {
            method: "DELETE",
            requestUri: "/geofencing/v0/collections/{CollectionName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CollectionName"
            ],
            members: {
              CollectionName: {
                location: "uri",
                locationName: "CollectionName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "geofencing."
          },
          idempotent: true
        },
        DeleteKey: {
          http: {
            method: "DELETE",
            requestUri: "/metadata/v0/keys/{KeyName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "KeyName"
            ],
            members: {
              KeyName: {
                location: "uri",
                locationName: "KeyName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "metadata."
          },
          idempotent: true
        },
        DeleteMap: {
          http: {
            method: "DELETE",
            requestUri: "/maps/v0/maps/{MapName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MapName"
            ],
            members: {
              MapName: {
                location: "uri",
                locationName: "MapName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "maps."
          },
          idempotent: true
        },
        DeletePlaceIndex: {
          http: {
            method: "DELETE",
            requestUri: "/places/v0/indexes/{IndexName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IndexName"
            ],
            members: {
              IndexName: {
                location: "uri",
                locationName: "IndexName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "places."
          },
          idempotent: true
        },
        DeleteRouteCalculator: {
          http: {
            method: "DELETE",
            requestUri: "/routes/v0/calculators/{CalculatorName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CalculatorName"
            ],
            members: {
              CalculatorName: {
                location: "uri",
                locationName: "CalculatorName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "routes."
          },
          idempotent: true
        },
        DeleteTracker: {
          http: {
            method: "DELETE",
            requestUri: "/tracking/v0/trackers/{TrackerName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "TrackerName"
            ],
            members: {
              TrackerName: {
                location: "uri",
                locationName: "TrackerName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "tracking."
          },
          idempotent: true
        },
        DescribeGeofenceCollection: {
          http: {
            method: "GET",
            requestUri: "/geofencing/v0/collections/{CollectionName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CollectionName"
            ],
            members: {
              CollectionName: {
                location: "uri",
                locationName: "CollectionName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CollectionArn",
              "CollectionName",
              "CreateTime",
              "Description",
              "UpdateTime"
            ],
            members: {
              CollectionArn: {},
              CollectionName: {},
              CreateTime: {
                shape: "St"
              },
              Description: {},
              KmsKeyId: {},
              PricingPlan: {
                deprecated: true,
                deprecatedMessage: "Deprecated. Always returns RequestBasedUsage."
              },
              PricingPlanDataSource: {
                deprecated: true,
                deprecatedMessage: "Deprecated. Unused."
              },
              Tags: {
                shape: "S32"
              },
              UpdateTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "geofencing."
          }
        },
        DescribeKey: {
          http: {
            method: "GET",
            requestUri: "/metadata/v0/keys/{KeyName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "KeyName"
            ],
            members: {
              KeyName: {
                location: "uri",
                locationName: "KeyName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CreateTime",
              "ExpireTime",
              "Key",
              "KeyArn",
              "KeyName",
              "Restrictions",
              "UpdateTime"
            ],
            members: {
              CreateTime: {
                shape: "St"
              },
              Description: {},
              ExpireTime: {
                shape: "St"
              },
              Key: {
                shape: "S1q"
              },
              KeyArn: {},
              KeyName: {},
              Restrictions: {
                shape: "S37"
              },
              Tags: {
                shape: "S32"
              },
              UpdateTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "metadata."
          }
        },
        DescribeMap: {
          http: {
            method: "GET",
            requestUri: "/maps/v0/maps/{MapName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MapName"
            ],
            members: {
              MapName: {
                location: "uri",
                locationName: "MapName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Configuration",
              "CreateTime",
              "DataSource",
              "Description",
              "MapArn",
              "MapName",
              "UpdateTime"
            ],
            members: {
              Configuration: {
                shape: "S3g"
              },
              CreateTime: {
                shape: "St"
              },
              DataSource: {},
              Description: {},
              MapArn: {},
              MapName: {},
              PricingPlan: {
                deprecated: true,
                deprecatedMessage: "Deprecated. Always returns RequestBasedUsage."
              },
              Tags: {
                shape: "S32"
              },
              UpdateTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "maps."
          }
        },
        DescribePlaceIndex: {
          http: {
            method: "GET",
            requestUri: "/places/v0/indexes/{IndexName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IndexName"
            ],
            members: {
              IndexName: {
                location: "uri",
                locationName: "IndexName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CreateTime",
              "DataSource",
              "DataSourceConfiguration",
              "Description",
              "IndexArn",
              "IndexName",
              "UpdateTime"
            ],
            members: {
              CreateTime: {
                shape: "St"
              },
              DataSource: {},
              DataSourceConfiguration: {
                shape: "S3l"
              },
              Description: {},
              IndexArn: {},
              IndexName: {},
              PricingPlan: {
                deprecated: true,
                deprecatedMessage: "Deprecated. Always returns RequestBasedUsage."
              },
              Tags: {
                shape: "S32"
              },
              UpdateTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "places."
          }
        },
        DescribeRouteCalculator: {
          http: {
            method: "GET",
            requestUri: "/routes/v0/calculators/{CalculatorName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CalculatorName"
            ],
            members: {
              CalculatorName: {
                location: "uri",
                locationName: "CalculatorName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CalculatorArn",
              "CalculatorName",
              "CreateTime",
              "DataSource",
              "Description",
              "UpdateTime"
            ],
            members: {
              CalculatorArn: {},
              CalculatorName: {},
              CreateTime: {
                shape: "St"
              },
              DataSource: {},
              Description: {},
              PricingPlan: {
                deprecated: true,
                deprecatedMessage: "Deprecated. Always returns RequestBasedUsage."
              },
              Tags: {
                shape: "S32"
              },
              UpdateTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "routes."
          }
        },
        DescribeTracker: {
          http: {
            method: "GET",
            requestUri: "/tracking/v0/trackers/{TrackerName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "TrackerName"
            ],
            members: {
              TrackerName: {
                location: "uri",
                locationName: "TrackerName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CreateTime",
              "Description",
              "TrackerArn",
              "TrackerName",
              "UpdateTime"
            ],
            members: {
              CreateTime: {
                shape: "St"
              },
              Description: {},
              EventBridgeEnabled: {
                type: "boolean"
              },
              KmsKeyId: {},
              PositionFiltering: {},
              PricingPlan: {
                deprecated: true,
                deprecatedMessage: "Deprecated. Always returns RequestBasedUsage."
              },
              PricingPlanDataSource: {
                deprecated: true,
                deprecatedMessage: "Deprecated. Unused."
              },
              Tags: {
                shape: "S32"
              },
              TrackerArn: {},
              TrackerName: {},
              UpdateTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "tracking."
          }
        },
        DisassociateTrackerConsumer: {
          http: {
            method: "DELETE",
            requestUri: "/tracking/v0/trackers/{TrackerName}/consumers/{ConsumerArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ConsumerArn",
              "TrackerName"
            ],
            members: {
              ConsumerArn: {
                location: "uri",
                locationName: "ConsumerArn"
              },
              TrackerName: {
                location: "uri",
                locationName: "TrackerName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "tracking."
          }
        },
        GetDevicePosition: {
          http: {
            method: "GET",
            requestUri: "/tracking/v0/trackers/{TrackerName}/devices/{DeviceId}/positions/latest",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DeviceId",
              "TrackerName"
            ],
            members: {
              DeviceId: {
                location: "uri",
                locationName: "DeviceId"
              },
              TrackerName: {
                location: "uri",
                locationName: "TrackerName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Position",
              "ReceivedTime",
              "SampleTime"
            ],
            members: {
              Accuracy: {
                shape: "Sm"
              },
              DeviceId: {},
              Position: {
                shape: "So"
              },
              PositionProperties: {
                shape: "Sq"
              },
              ReceivedTime: {
                shape: "St"
              },
              SampleTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "tracking."
          }
        },
        GetDevicePositionHistory: {
          http: {
            requestUri: "/tracking/v0/trackers/{TrackerName}/devices/{DeviceId}/list-positions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DeviceId",
              "TrackerName"
            ],
            members: {
              DeviceId: {
                location: "uri",
                locationName: "DeviceId"
              },
              EndTimeExclusive: {
                shape: "St"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              StartTimeInclusive: {
                shape: "St"
              },
              TrackerName: {
                location: "uri",
                locationName: "TrackerName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DevicePositions"
            ],
            members: {
              DevicePositions: {
                shape: "S11"
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "tracking."
          }
        },
        GetGeofence: {
          http: {
            method: "GET",
            requestUri: "/geofencing/v0/collections/{CollectionName}/geofences/{GeofenceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CollectionName",
              "GeofenceId"
            ],
            members: {
              CollectionName: {
                location: "uri",
                locationName: "CollectionName"
              },
              GeofenceId: {
                location: "uri",
                locationName: "GeofenceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CreateTime",
              "GeofenceId",
              "Geometry",
              "Status",
              "UpdateTime"
            ],
            members: {
              CreateTime: {
                shape: "St"
              },
              GeofenceId: {},
              GeofenceProperties: {
                shape: "Sq"
              },
              Geometry: {
                shape: "S18"
              },
              Status: {},
              UpdateTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "geofencing."
          }
        },
        GetMapGlyphs: {
          http: {
            method: "GET",
            requestUri: "/maps/v0/maps/{MapName}/glyphs/{FontStack}/{FontUnicodeRange}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FontStack",
              "FontUnicodeRange",
              "MapName"
            ],
            members: {
              FontStack: {
                location: "uri",
                locationName: "FontStack"
              },
              FontUnicodeRange: {
                location: "uri",
                locationName: "FontUnicodeRange"
              },
              Key: {
                shape: "S1q",
                location: "querystring",
                locationName: "key"
              },
              MapName: {
                location: "uri",
                locationName: "MapName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Blob: {
                type: "blob"
              },
              CacheControl: {
                location: "header",
                locationName: "Cache-Control"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              }
            },
            payload: "Blob"
          },
          endpoint: {
            hostPrefix: "maps."
          }
        },
        GetMapSprites: {
          http: {
            method: "GET",
            requestUri: "/maps/v0/maps/{MapName}/sprites/{FileName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FileName",
              "MapName"
            ],
            members: {
              FileName: {
                location: "uri",
                locationName: "FileName"
              },
              Key: {
                shape: "S1q",
                location: "querystring",
                locationName: "key"
              },
              MapName: {
                location: "uri",
                locationName: "MapName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Blob: {
                type: "blob"
              },
              CacheControl: {
                location: "header",
                locationName: "Cache-Control"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              }
            },
            payload: "Blob"
          },
          endpoint: {
            hostPrefix: "maps."
          }
        },
        GetMapStyleDescriptor: {
          http: {
            method: "GET",
            requestUri: "/maps/v0/maps/{MapName}/style-descriptor",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MapName"
            ],
            members: {
              Key: {
                shape: "S1q",
                location: "querystring",
                locationName: "key"
              },
              MapName: {
                location: "uri",
                locationName: "MapName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Blob: {
                type: "blob"
              },
              CacheControl: {
                location: "header",
                locationName: "Cache-Control"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              }
            },
            payload: "Blob"
          },
          endpoint: {
            hostPrefix: "maps."
          }
        },
        GetMapTile: {
          http: {
            method: "GET",
            requestUri: "/maps/v0/maps/{MapName}/tiles/{Z}/{X}/{Y}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MapName",
              "X",
              "Y",
              "Z"
            ],
            members: {
              Key: {
                shape: "S1q",
                location: "querystring",
                locationName: "key"
              },
              MapName: {
                location: "uri",
                locationName: "MapName"
              },
              X: {
                location: "uri",
                locationName: "X"
              },
              Y: {
                location: "uri",
                locationName: "Y"
              },
              Z: {
                location: "uri",
                locationName: "Z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Blob: {
                type: "blob"
              },
              CacheControl: {
                location: "header",
                locationName: "Cache-Control"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              }
            },
            payload: "Blob"
          },
          endpoint: {
            hostPrefix: "maps."
          }
        },
        GetPlace: {
          http: {
            method: "GET",
            requestUri: "/places/v0/indexes/{IndexName}/places/{PlaceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IndexName",
              "PlaceId"
            ],
            members: {
              IndexName: {
                location: "uri",
                locationName: "IndexName"
              },
              Key: {
                shape: "S1q",
                location: "querystring",
                locationName: "key"
              },
              Language: {
                location: "querystring",
                locationName: "language"
              },
              PlaceId: {
                location: "uri",
                locationName: "PlaceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Place"
            ],
            members: {
              Place: {
                shape: "S59"
              }
            }
          },
          endpoint: {
            hostPrefix: "places."
          }
        },
        ListDevicePositions: {
          http: {
            requestUri: "/tracking/v0/trackers/{TrackerName}/list-positions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "TrackerName"
            ],
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              TrackerName: {
                location: "uri",
                locationName: "TrackerName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Entries"
            ],
            members: {
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "DeviceId",
                    "Position",
                    "SampleTime"
                  ],
                  members: {
                    Accuracy: {
                      shape: "Sm"
                    },
                    DeviceId: {},
                    Position: {
                      shape: "So"
                    },
                    PositionProperties: {
                      shape: "Sq"
                    },
                    SampleTime: {
                      shape: "St"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "tracking."
          }
        },
        ListGeofenceCollections: {
          http: {
            requestUri: "/geofencing/v0/list-collections",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Entries"
            ],
            members: {
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "CollectionName",
                    "CreateTime",
                    "Description",
                    "UpdateTime"
                  ],
                  members: {
                    CollectionName: {},
                    CreateTime: {
                      shape: "St"
                    },
                    Description: {},
                    PricingPlan: {
                      deprecated: true,
                      deprecatedMessage: "Deprecated. Always returns RequestBasedUsage."
                    },
                    PricingPlanDataSource: {
                      deprecated: true,
                      deprecatedMessage: "Deprecated. Unused."
                    },
                    UpdateTime: {
                      shape: "St"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "geofencing."
          }
        },
        ListGeofences: {
          http: {
            requestUri: "/geofencing/v0/collections/{CollectionName}/list-geofences",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CollectionName"
            ],
            members: {
              CollectionName: {
                location: "uri",
                locationName: "CollectionName"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Entries"
            ],
            members: {
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "CreateTime",
                    "GeofenceId",
                    "Geometry",
                    "Status",
                    "UpdateTime"
                  ],
                  members: {
                    CreateTime: {
                      shape: "St"
                    },
                    GeofenceId: {},
                    GeofenceProperties: {
                      shape: "Sq"
                    },
                    Geometry: {
                      shape: "S18"
                    },
                    Status: {},
                    UpdateTime: {
                      shape: "St"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "geofencing."
          }
        },
        ListKeys: {
          http: {
            requestUri: "/metadata/v0/list-keys",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  KeyStatus: {}
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Entries"
            ],
            members: {
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "CreateTime",
                    "ExpireTime",
                    "KeyName",
                    "Restrictions",
                    "UpdateTime"
                  ],
                  members: {
                    CreateTime: {
                      shape: "St"
                    },
                    Description: {},
                    ExpireTime: {
                      shape: "St"
                    },
                    KeyName: {},
                    Restrictions: {
                      shape: "S37"
                    },
                    UpdateTime: {
                      shape: "St"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "metadata."
          }
        },
        ListMaps: {
          http: {
            requestUri: "/maps/v0/list-maps",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Entries"
            ],
            members: {
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "CreateTime",
                    "DataSource",
                    "Description",
                    "MapName",
                    "UpdateTime"
                  ],
                  members: {
                    CreateTime: {
                      shape: "St"
                    },
                    DataSource: {},
                    Description: {},
                    MapName: {},
                    PricingPlan: {
                      deprecated: true,
                      deprecatedMessage: "Deprecated. Always returns RequestBasedUsage."
                    },
                    UpdateTime: {
                      shape: "St"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "maps."
          }
        },
        ListPlaceIndexes: {
          http: {
            requestUri: "/places/v0/list-indexes",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Entries"
            ],
            members: {
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "CreateTime",
                    "DataSource",
                    "Description",
                    "IndexName",
                    "UpdateTime"
                  ],
                  members: {
                    CreateTime: {
                      shape: "St"
                    },
                    DataSource: {},
                    Description: {},
                    IndexName: {},
                    PricingPlan: {
                      deprecated: true,
                      deprecatedMessage: "Deprecated. Always returns RequestBasedUsage."
                    },
                    UpdateTime: {
                      shape: "St"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "places."
          }
        },
        ListRouteCalculators: {
          http: {
            requestUri: "/routes/v0/list-calculators",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Entries"
            ],
            members: {
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "CalculatorName",
                    "CreateTime",
                    "DataSource",
                    "Description",
                    "UpdateTime"
                  ],
                  members: {
                    CalculatorName: {},
                    CreateTime: {
                      shape: "St"
                    },
                    DataSource: {},
                    Description: {},
                    PricingPlan: {
                      deprecated: true,
                      deprecatedMessage: "Deprecated. Always returns RequestBasedUsage."
                    },
                    UpdateTime: {
                      shape: "St"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "routes."
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S32"
              }
            }
          },
          endpoint: {
            hostPrefix: "metadata."
          }
        },
        ListTrackerConsumers: {
          http: {
            requestUri: "/tracking/v0/trackers/{TrackerName}/list-consumers",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "TrackerName"
            ],
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              TrackerName: {
                location: "uri",
                locationName: "TrackerName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ConsumerArns"
            ],
            members: {
              ConsumerArns: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "tracking."
          }
        },
        ListTrackers: {
          http: {
            requestUri: "/tracking/v0/list-trackers",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Entries"
            ],
            members: {
              Entries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "CreateTime",
                    "Description",
                    "TrackerName",
                    "UpdateTime"
                  ],
                  members: {
                    CreateTime: {
                      shape: "St"
                    },
                    Description: {},
                    PricingPlan: {
                      deprecated: true,
                      deprecatedMessage: "Deprecated. Always returns RequestBasedUsage."
                    },
                    PricingPlanDataSource: {
                      deprecated: true,
                      deprecatedMessage: "Deprecated. Unused."
                    },
                    TrackerName: {},
                    UpdateTime: {
                      shape: "St"
                    }
                  }
                }
              },
              NextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "tracking."
          }
        },
        PutGeofence: {
          http: {
            method: "PUT",
            requestUri: "/geofencing/v0/collections/{CollectionName}/geofences/{GeofenceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CollectionName",
              "GeofenceId",
              "Geometry"
            ],
            members: {
              CollectionName: {
                location: "uri",
                locationName: "CollectionName"
              },
              GeofenceId: {
                location: "uri",
                locationName: "GeofenceId"
              },
              GeofenceProperties: {
                shape: "Sq"
              },
              Geometry: {
                shape: "S18"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CreateTime",
              "GeofenceId",
              "UpdateTime"
            ],
            members: {
              CreateTime: {
                shape: "St"
              },
              GeofenceId: {},
              UpdateTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "geofencing."
          }
        },
        SearchPlaceIndexForPosition: {
          http: {
            requestUri: "/places/v0/indexes/{IndexName}/search/position",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IndexName",
              "Position"
            ],
            members: {
              IndexName: {
                location: "uri",
                locationName: "IndexName"
              },
              Key: {
                shape: "S1q",
                location: "querystring",
                locationName: "key"
              },
              Language: {},
              MaxResults: {
                type: "integer"
              },
              Position: {
                shape: "So"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Results",
              "Summary"
            ],
            members: {
              Results: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Distance",
                    "Place"
                  ],
                  members: {
                    Distance: {
                      type: "double"
                    },
                    Place: {
                      shape: "S59"
                    },
                    PlaceId: {}
                  }
                }
              },
              Summary: {
                type: "structure",
                required: [
                  "DataSource",
                  "Position"
                ],
                members: {
                  DataSource: {},
                  Language: {},
                  MaxResults: {
                    type: "integer"
                  },
                  Position: {
                    shape: "So"
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "places."
          }
        },
        SearchPlaceIndexForSuggestions: {
          http: {
            requestUri: "/places/v0/indexes/{IndexName}/search/suggestions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IndexName",
              "Text"
            ],
            members: {
              BiasPosition: {
                shape: "So"
              },
              FilterBBox: {
                shape: "S2h"
              },
              FilterCategories: {
                shape: "S73"
              },
              FilterCountries: {
                shape: "S74"
              },
              IndexName: {
                location: "uri",
                locationName: "IndexName"
              },
              Key: {
                shape: "S1q",
                location: "querystring",
                locationName: "key"
              },
              Language: {},
              MaxResults: {
                type: "integer"
              },
              Text: {
                type: "string",
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Results",
              "Summary"
            ],
            members: {
              Results: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Text"
                  ],
                  members: {
                    Categories: {
                      shape: "S5a"
                    },
                    PlaceId: {},
                    SupplementalCategories: {
                      shape: "S5d"
                    },
                    Text: {}
                  }
                }
              },
              Summary: {
                type: "structure",
                required: [
                  "DataSource",
                  "Text"
                ],
                members: {
                  BiasPosition: {
                    shape: "So"
                  },
                  DataSource: {},
                  FilterBBox: {
                    shape: "S2h"
                  },
                  FilterCategories: {
                    shape: "S73"
                  },
                  FilterCountries: {
                    shape: "S74"
                  },
                  Language: {},
                  MaxResults: {
                    type: "integer"
                  },
                  Text: {
                    shape: "S7c"
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "places."
          }
        },
        SearchPlaceIndexForText: {
          http: {
            requestUri: "/places/v0/indexes/{IndexName}/search/text",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IndexName",
              "Text"
            ],
            members: {
              BiasPosition: {
                shape: "So"
              },
              FilterBBox: {
                shape: "S2h"
              },
              FilterCategories: {
                shape: "S73"
              },
              FilterCountries: {
                shape: "S74"
              },
              IndexName: {
                location: "uri",
                locationName: "IndexName"
              },
              Key: {
                shape: "S1q",
                location: "querystring",
                locationName: "key"
              },
              Language: {},
              MaxResults: {
                type: "integer"
              },
              Text: {
                type: "string",
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Results",
              "Summary"
            ],
            members: {
              Results: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Place"
                  ],
                  members: {
                    Distance: {
                      type: "double"
                    },
                    Place: {
                      shape: "S59"
                    },
                    PlaceId: {},
                    Relevance: {
                      type: "double"
                    }
                  }
                }
              },
              Summary: {
                type: "structure",
                required: [
                  "DataSource",
                  "Text"
                ],
                members: {
                  BiasPosition: {
                    shape: "So"
                  },
                  DataSource: {},
                  FilterBBox: {
                    shape: "S2h"
                  },
                  FilterCategories: {
                    shape: "S73"
                  },
                  FilterCountries: {
                    shape: "S74"
                  },
                  Language: {},
                  MaxResults: {
                    type: "integer"
                  },
                  ResultBBox: {
                    shape: "S2h"
                  },
                  Text: {
                    shape: "S7c"
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "places."
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "S32"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "metadata."
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "metadata."
          },
          idempotent: true
        },
        UpdateGeofenceCollection: {
          http: {
            method: "PATCH",
            requestUri: "/geofencing/v0/collections/{CollectionName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CollectionName"
            ],
            members: {
              CollectionName: {
                location: "uri",
                locationName: "CollectionName"
              },
              Description: {},
              PricingPlan: {
                deprecated: true,
                deprecatedMessage: "Deprecated. If included, the only allowed value is RequestBasedUsage."
              },
              PricingPlanDataSource: {
                deprecated: true,
                deprecatedMessage: "Deprecated. No longer allowed."
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CollectionArn",
              "CollectionName",
              "UpdateTime"
            ],
            members: {
              CollectionArn: {},
              CollectionName: {},
              UpdateTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "geofencing."
          },
          idempotent: true
        },
        UpdateKey: {
          http: {
            method: "PATCH",
            requestUri: "/metadata/v0/keys/{KeyName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "KeyName"
            ],
            members: {
              Description: {},
              ExpireTime: {
                shape: "St"
              },
              ForceUpdate: {
                type: "boolean"
              },
              KeyName: {
                location: "uri",
                locationName: "KeyName"
              },
              NoExpiry: {
                type: "boolean"
              },
              Restrictions: {
                shape: "S37"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "KeyArn",
              "KeyName",
              "UpdateTime"
            ],
            members: {
              KeyArn: {},
              KeyName: {},
              UpdateTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "metadata."
          },
          idempotent: true
        },
        UpdateMap: {
          http: {
            method: "PATCH",
            requestUri: "/maps/v0/maps/{MapName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MapName"
            ],
            members: {
              ConfigurationUpdate: {
                type: "structure",
                members: {
                  PoliticalView: {}
                }
              },
              Description: {},
              MapName: {
                location: "uri",
                locationName: "MapName"
              },
              PricingPlan: {
                deprecated: true,
                deprecatedMessage: "Deprecated. If included, the only allowed value is RequestBasedUsage."
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "MapArn",
              "MapName",
              "UpdateTime"
            ],
            members: {
              MapArn: {},
              MapName: {},
              UpdateTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "maps."
          },
          idempotent: true
        },
        UpdatePlaceIndex: {
          http: {
            method: "PATCH",
            requestUri: "/places/v0/indexes/{IndexName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IndexName"
            ],
            members: {
              DataSourceConfiguration: {
                shape: "S3l"
              },
              Description: {},
              IndexName: {
                location: "uri",
                locationName: "IndexName"
              },
              PricingPlan: {
                deprecated: true,
                deprecatedMessage: "Deprecated. If included, the only allowed value is RequestBasedUsage."
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "IndexArn",
              "IndexName",
              "UpdateTime"
            ],
            members: {
              IndexArn: {},
              IndexName: {},
              UpdateTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "places."
          },
          idempotent: true
        },
        UpdateRouteCalculator: {
          http: {
            method: "PATCH",
            requestUri: "/routes/v0/calculators/{CalculatorName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CalculatorName"
            ],
            members: {
              CalculatorName: {
                location: "uri",
                locationName: "CalculatorName"
              },
              Description: {},
              PricingPlan: {
                deprecated: true,
                deprecatedMessage: "Deprecated. If included, the only allowed value is RequestBasedUsage."
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CalculatorArn",
              "CalculatorName",
              "UpdateTime"
            ],
            members: {
              CalculatorArn: {},
              CalculatorName: {},
              UpdateTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "routes."
          },
          idempotent: true
        },
        UpdateTracker: {
          http: {
            method: "PATCH",
            requestUri: "/tracking/v0/trackers/{TrackerName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "TrackerName"
            ],
            members: {
              Description: {},
              EventBridgeEnabled: {
                type: "boolean"
              },
              PositionFiltering: {},
              PricingPlan: {
                deprecated: true,
                deprecatedMessage: "Deprecated. If included, the only allowed value is RequestBasedUsage."
              },
              PricingPlanDataSource: {
                deprecated: true,
                deprecatedMessage: "Deprecated. No longer allowed."
              },
              TrackerName: {
                location: "uri",
                locationName: "TrackerName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "TrackerArn",
              "TrackerName",
              "UpdateTime"
            ],
            members: {
              TrackerArn: {},
              TrackerName: {},
              UpdateTime: {
                shape: "St"
              }
            }
          },
          endpoint: {
            hostPrefix: "tracking."
          },
          idempotent: true
        }
      },
      shapes: {
        Sb: {
          type: "structure",
          members: {
            Code: {},
            Message: {}
          }
        },
        Sl: {
          type: "structure",
          required: [
            "DeviceId",
            "Position",
            "SampleTime"
          ],
          members: {
            Accuracy: {
              shape: "Sm"
            },
            DeviceId: {},
            Position: {
              shape: "So"
            },
            PositionProperties: {
              shape: "Sq"
            },
            SampleTime: {
              shape: "St"
            }
          }
        },
        Sm: {
          type: "structure",
          required: [
            "Horizontal"
          ],
          members: {
            Horizontal: {
              type: "double"
            }
          }
        },
        So: {
          type: "list",
          member: {
            type: "double"
          },
          sensitive: true
        },
        Sq: {
          type: "map",
          key: {},
          value: {},
          sensitive: true
        },
        St: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S11: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Position",
              "ReceivedTime",
              "SampleTime"
            ],
            members: {
              Accuracy: {
                shape: "Sm"
              },
              DeviceId: {},
              Position: {
                shape: "So"
              },
              PositionProperties: {
                shape: "Sq"
              },
              ReceivedTime: {
                shape: "St"
              },
              SampleTime: {
                shape: "St"
              }
            }
          }
        },
        S18: {
          type: "structure",
          members: {
            Circle: {
              type: "structure",
              required: [
                "Center",
                "Radius"
              ],
              members: {
                Center: {
                  shape: "So"
                },
                Radius: {
                  type: "double"
                }
              },
              sensitive: true
            },
            Polygon: {
              type: "list",
              member: {
                type: "list",
                member: {
                  shape: "So"
                }
              }
            }
          }
        },
        S1n: {
          type: "structure",
          members: {
            AvoidFerries: {
              type: "boolean"
            },
            AvoidTolls: {
              type: "boolean"
            }
          }
        },
        S1q: {
          type: "string",
          sensitive: true
        },
        S1s: {
          type: "structure",
          members: {
            AvoidFerries: {
              type: "boolean"
            },
            AvoidTolls: {
              type: "boolean"
            },
            Dimensions: {
              type: "structure",
              members: {
                Height: {
                  type: "double"
                },
                Length: {
                  type: "double"
                },
                Unit: {},
                Width: {
                  type: "double"
                }
              }
            },
            Weight: {
              type: "structure",
              members: {
                Total: {
                  type: "double"
                },
                Unit: {}
              }
            }
          }
        },
        S2h: {
          type: "list",
          member: {
            type: "double"
          },
          sensitive: true
        },
        S32: {
          type: "map",
          key: {},
          value: {}
        },
        S37: {
          type: "structure",
          required: [
            "AllowActions",
            "AllowResources"
          ],
          members: {
            AllowActions: {
              type: "list",
              member: {}
            },
            AllowReferers: {
              type: "list",
              member: {}
            },
            AllowResources: {
              type: "list",
              member: {}
            }
          }
        },
        S3g: {
          type: "structure",
          required: [
            "Style"
          ],
          members: {
            PoliticalView: {},
            Style: {}
          }
        },
        S3l: {
          type: "structure",
          members: {
            IntendedUse: {}
          }
        },
        S59: {
          type: "structure",
          required: [
            "Geometry"
          ],
          members: {
            AddressNumber: {},
            Categories: {
              shape: "S5a"
            },
            Country: {},
            Geometry: {
              type: "structure",
              members: {
                Point: {
                  shape: "So"
                }
              }
            },
            Interpolated: {
              type: "boolean"
            },
            Label: {},
            Municipality: {},
            Neighborhood: {},
            PostalCode: {},
            Region: {},
            Street: {},
            SubRegion: {},
            SupplementalCategories: {
              shape: "S5d"
            },
            TimeZone: {
              type: "structure",
              required: [
                "Name"
              ],
              members: {
                Name: {},
                Offset: {
                  type: "integer"
                }
              }
            },
            UnitNumber: {},
            UnitType: {}
          }
        },
        S5a: {
          type: "list",
          member: {}
        },
        S5d: {
          type: "list",
          member: {}
        },
        S73: {
          type: "list",
          member: {}
        },
        S74: {
          type: "list",
          member: {}
        },
        S7c: {
          type: "string",
          sensitive: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/location-2020-11-19.paginators.json
var require_location_2020_11_19_paginators = __commonJS({
  "node_modules/aws-sdk/apis/location-2020-11-19.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetDevicePositionHistory: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DevicePositions"
        },
        ListDevicePositions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Entries"
        },
        ListGeofenceCollections: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Entries"
        },
        ListGeofences: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Entries"
        },
        ListKeys: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Entries"
        },
        ListMaps: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Entries"
        },
        ListPlaceIndexes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Entries"
        },
        ListRouteCalculators: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Entries"
        },
        ListTrackerConsumers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ConsumerArns"
        },
        ListTrackers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Entries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/location.js
var require_location = __commonJS({
  "node_modules/aws-sdk/clients/location.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["location"] = {};
    AWS2.Location = Service.defineService("location", ["2020-11-19"]);
    Object.defineProperty(apiLoader.services["location"], "2020-11-19", {
      get: function get() {
        var model = require_location_2020_11_19_min();
        model.paginators = require_location_2020_11_19_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Location;
  }
});

// node_modules/aws-sdk/apis/wellarchitected-2020-03-31.min.json
var require_wellarchitected_2020_03_31_min = __commonJS({
  "node_modules/aws-sdk/apis/wellarchitected-2020-03-31.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-03-31",
        endpointPrefix: "wellarchitected",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Well-Architected",
        serviceFullName: "AWS Well-Architected Tool",
        serviceId: "WellArchitected",
        signatureVersion: "v4",
        signingName: "wellarchitected",
        uid: "wellarchitected-2020-03-31"
      },
      operations: {
        AssociateLenses: {
          http: {
            method: "PATCH",
            requestUri: "/workloads/{WorkloadId}/associateLenses"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "LensAliases"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              LensAliases: {
                shape: "S3"
              }
            }
          }
        },
        AssociateProfiles: {
          http: {
            method: "PATCH",
            requestUri: "/workloads/{WorkloadId}/associateProfiles"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "ProfileArns"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              ProfileArns: {
                shape: "S6"
              }
            }
          }
        },
        CreateLensShare: {
          http: {
            requestUri: "/lenses/{LensAlias}/shares"
          },
          input: {
            type: "structure",
            required: [
              "LensAlias",
              "SharedWith",
              "ClientRequestToken"
            ],
            members: {
              LensAlias: {
                location: "uri",
                locationName: "LensAlias"
              },
              SharedWith: {},
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ShareId: {}
            }
          }
        },
        CreateLensVersion: {
          http: {
            requestUri: "/lenses/{LensAlias}/versions"
          },
          input: {
            type: "structure",
            required: [
              "LensAlias",
              "LensVersion",
              "ClientRequestToken"
            ],
            members: {
              LensAlias: {
                location: "uri",
                locationName: "LensAlias"
              },
              LensVersion: {},
              IsMajorVersion: {
                type: "boolean"
              },
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LensArn: {},
              LensVersion: {}
            }
          }
        },
        CreateMilestone: {
          http: {
            requestUri: "/workloads/{WorkloadId}/milestones"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "MilestoneName",
              "ClientRequestToken"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              MilestoneName: {},
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkloadId: {},
              MilestoneNumber: {
                type: "integer"
              }
            }
          }
        },
        CreateProfile: {
          http: {
            requestUri: "/profiles"
          },
          input: {
            type: "structure",
            required: [
              "ProfileName",
              "ProfileDescription",
              "ProfileQuestions",
              "ClientRequestToken"
            ],
            members: {
              ProfileName: {},
              ProfileDescription: {},
              ProfileQuestions: {
                shape: "Sp"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProfileArn: {},
              ProfileVersion: {}
            }
          }
        },
        CreateProfileShare: {
          http: {
            requestUri: "/profiles/{ProfileArn}/shares"
          },
          input: {
            type: "structure",
            required: [
              "ProfileArn",
              "SharedWith",
              "ClientRequestToken"
            ],
            members: {
              ProfileArn: {
                location: "uri",
                locationName: "ProfileArn"
              },
              SharedWith: {},
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ShareId: {},
              ProfileArn: {}
            }
          }
        },
        CreateWorkload: {
          http: {
            requestUri: "/workloads"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadName",
              "Description",
              "Environment",
              "Lenses",
              "ClientRequestToken"
            ],
            members: {
              WorkloadName: {},
              Description: {},
              Environment: {},
              AccountIds: {
                shape: "S15"
              },
              AwsRegions: {
                shape: "S17"
              },
              NonAwsRegions: {
                shape: "S19"
              },
              PillarPriorities: {
                shape: "S1b"
              },
              ArchitecturalDesign: {},
              ReviewOwner: {},
              IndustryType: {},
              Industry: {},
              Lenses: {
                shape: "S1h"
              },
              Notes: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Su"
              },
              DiscoveryConfig: {
                shape: "S1j"
              },
              Applications: {
                shape: "S1n"
              },
              ProfileArns: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkloadId: {},
              WorkloadArn: {}
            }
          }
        },
        CreateWorkloadShare: {
          http: {
            requestUri: "/workloads/{WorkloadId}/shares"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "SharedWith",
              "PermissionType",
              "ClientRequestToken"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              SharedWith: {},
              PermissionType: {},
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkloadId: {},
              ShareId: {}
            }
          }
        },
        DeleteLens: {
          http: {
            method: "DELETE",
            requestUri: "/lenses/{LensAlias}"
          },
          input: {
            type: "structure",
            required: [
              "LensAlias",
              "ClientRequestToken",
              "LensStatus"
            ],
            members: {
              LensAlias: {
                location: "uri",
                locationName: "LensAlias"
              },
              ClientRequestToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "ClientRequestToken"
              },
              LensStatus: {
                location: "querystring",
                locationName: "LensStatus"
              }
            }
          }
        },
        DeleteLensShare: {
          http: {
            method: "DELETE",
            requestUri: "/lenses/{LensAlias}/shares/{ShareId}"
          },
          input: {
            type: "structure",
            required: [
              "ShareId",
              "LensAlias",
              "ClientRequestToken"
            ],
            members: {
              ShareId: {
                location: "uri",
                locationName: "ShareId"
              },
              LensAlias: {
                location: "uri",
                locationName: "LensAlias"
              },
              ClientRequestToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "ClientRequestToken"
              }
            }
          }
        },
        DeleteProfile: {
          http: {
            method: "DELETE",
            requestUri: "/profiles/{ProfileArn}"
          },
          input: {
            type: "structure",
            required: [
              "ProfileArn",
              "ClientRequestToken"
            ],
            members: {
              ProfileArn: {
                location: "uri",
                locationName: "ProfileArn"
              },
              ClientRequestToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "ClientRequestToken"
              }
            }
          }
        },
        DeleteProfileShare: {
          http: {
            method: "DELETE",
            requestUri: "/profiles/{ProfileArn}/shares/{ShareId}"
          },
          input: {
            type: "structure",
            required: [
              "ShareId",
              "ProfileArn",
              "ClientRequestToken"
            ],
            members: {
              ShareId: {
                location: "uri",
                locationName: "ShareId"
              },
              ProfileArn: {
                location: "uri",
                locationName: "ProfileArn"
              },
              ClientRequestToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "ClientRequestToken"
              }
            }
          }
        },
        DeleteWorkload: {
          http: {
            method: "DELETE",
            requestUri: "/workloads/{WorkloadId}"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "ClientRequestToken"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              ClientRequestToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "ClientRequestToken"
              }
            }
          }
        },
        DeleteWorkloadShare: {
          http: {
            method: "DELETE",
            requestUri: "/workloads/{WorkloadId}/shares/{ShareId}"
          },
          input: {
            type: "structure",
            required: [
              "ShareId",
              "WorkloadId",
              "ClientRequestToken"
            ],
            members: {
              ShareId: {
                location: "uri",
                locationName: "ShareId"
              },
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              ClientRequestToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "ClientRequestToken"
              }
            }
          }
        },
        DisassociateLenses: {
          http: {
            method: "PATCH",
            requestUri: "/workloads/{WorkloadId}/disassociateLenses"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "LensAliases"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              LensAliases: {
                shape: "S3"
              }
            }
          }
        },
        DisassociateProfiles: {
          http: {
            method: "PATCH",
            requestUri: "/workloads/{WorkloadId}/disassociateProfiles"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "ProfileArns"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              ProfileArns: {
                shape: "S6"
              }
            }
          }
        },
        ExportLens: {
          http: {
            method: "GET",
            requestUri: "/lenses/{LensAlias}/export"
          },
          input: {
            type: "structure",
            required: [
              "LensAlias"
            ],
            members: {
              LensAlias: {
                location: "uri",
                locationName: "LensAlias"
              },
              LensVersion: {
                location: "querystring",
                locationName: "LensVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LensJSON: {}
            }
          }
        },
        GetAnswer: {
          http: {
            method: "GET",
            requestUri: "/workloads/{WorkloadId}/lensReviews/{LensAlias}/answers/{QuestionId}"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "LensAlias",
              "QuestionId"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              LensAlias: {
                location: "uri",
                locationName: "LensAlias"
              },
              QuestionId: {
                location: "uri",
                locationName: "QuestionId"
              },
              MilestoneNumber: {
                location: "querystring",
                locationName: "MilestoneNumber",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkloadId: {},
              MilestoneNumber: {
                type: "integer"
              },
              LensAlias: {},
              LensArn: {},
              Answer: {
                shape: "S29"
              }
            }
          }
        },
        GetConsolidatedReport: {
          http: {
            method: "GET",
            requestUri: "/consolidatedReport"
          },
          input: {
            type: "structure",
            required: [
              "Format"
            ],
            members: {
              Format: {
                location: "querystring",
                locationName: "Format"
              },
              IncludeSharedResources: {
                location: "querystring",
                locationName: "IncludeSharedResources",
                type: "boolean"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Metrics: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MetricType: {},
                    RiskCounts: {
                      shape: "S38"
                    },
                    WorkloadId: {},
                    WorkloadName: {},
                    WorkloadArn: {},
                    UpdatedAt: {
                      type: "timestamp"
                    },
                    Lenses: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          LensArn: {},
                          Pillars: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                PillarId: {},
                                RiskCounts: {
                                  shape: "S38"
                                },
                                Questions: {
                                  type: "list",
                                  member: {
                                    type: "structure",
                                    members: {
                                      QuestionId: {},
                                      Risk: {},
                                      BestPractices: {
                                        type: "list",
                                        member: {
                                          type: "structure",
                                          members: {
                                            ChoiceId: {},
                                            ChoiceTitle: {}
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          RiskCounts: {
                            shape: "S38"
                          }
                        }
                      }
                    },
                    LensesAppliedCount: {
                      type: "integer"
                    }
                  }
                }
              },
              NextToken: {},
              Base64String: {}
            }
          }
        },
        GetLens: {
          http: {
            method: "GET",
            requestUri: "/lenses/{LensAlias}"
          },
          input: {
            type: "structure",
            required: [
              "LensAlias"
            ],
            members: {
              LensAlias: {
                location: "uri",
                locationName: "LensAlias"
              },
              LensVersion: {
                location: "querystring",
                locationName: "LensVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Lens: {
                type: "structure",
                members: {
                  LensArn: {},
                  LensVersion: {},
                  Name: {},
                  Description: {},
                  Owner: {},
                  ShareInvitationId: {},
                  Tags: {
                    shape: "Su"
                  }
                }
              }
            }
          }
        },
        GetLensReview: {
          http: {
            method: "GET",
            requestUri: "/workloads/{WorkloadId}/lensReviews/{LensAlias}"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "LensAlias"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              LensAlias: {
                location: "uri",
                locationName: "LensAlias"
              },
              MilestoneNumber: {
                location: "querystring",
                locationName: "MilestoneNumber",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkloadId: {},
              MilestoneNumber: {
                type: "integer"
              },
              LensReview: {
                shape: "S3u"
              }
            }
          }
        },
        GetLensReviewReport: {
          http: {
            method: "GET",
            requestUri: "/workloads/{WorkloadId}/lensReviews/{LensAlias}/report"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "LensAlias"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              LensAlias: {
                location: "uri",
                locationName: "LensAlias"
              },
              MilestoneNumber: {
                location: "querystring",
                locationName: "MilestoneNumber",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkloadId: {},
              MilestoneNumber: {
                type: "integer"
              },
              LensReviewReport: {
                type: "structure",
                members: {
                  LensAlias: {},
                  LensArn: {},
                  Base64String: {}
                }
              }
            }
          }
        },
        GetLensVersionDifference: {
          http: {
            method: "GET",
            requestUri: "/lenses/{LensAlias}/versionDifference"
          },
          input: {
            type: "structure",
            required: [
              "LensAlias"
            ],
            members: {
              LensAlias: {
                location: "uri",
                locationName: "LensAlias"
              },
              BaseLensVersion: {
                location: "querystring",
                locationName: "BaseLensVersion"
              },
              TargetLensVersion: {
                location: "querystring",
                locationName: "TargetLensVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LensAlias: {},
              LensArn: {},
              BaseLensVersion: {},
              TargetLensVersion: {},
              LatestLensVersion: {},
              VersionDifferences: {
                type: "structure",
                members: {
                  PillarDifferences: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        PillarId: {},
                        PillarName: {},
                        DifferenceStatus: {},
                        QuestionDifferences: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              QuestionId: {},
                              QuestionTitle: {},
                              DifferenceStatus: {}
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetMilestone: {
          http: {
            method: "GET",
            requestUri: "/workloads/{WorkloadId}/milestones/{MilestoneNumber}"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "MilestoneNumber"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              MilestoneNumber: {
                location: "uri",
                locationName: "MilestoneNumber",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkloadId: {},
              Milestone: {
                type: "structure",
                members: {
                  MilestoneNumber: {
                    type: "integer"
                  },
                  MilestoneName: {},
                  RecordedAt: {
                    type: "timestamp"
                  },
                  Workload: {
                    shape: "S4f"
                  }
                }
              }
            }
          }
        },
        GetProfile: {
          http: {
            method: "GET",
            requestUri: "/profiles/{ProfileArn}"
          },
          input: {
            type: "structure",
            required: [
              "ProfileArn"
            ],
            members: {
              ProfileArn: {
                location: "uri",
                locationName: "ProfileArn"
              },
              ProfileVersion: {
                location: "querystring",
                locationName: "ProfileVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Profile: {
                shape: "S4k"
              }
            }
          }
        },
        GetProfileTemplate: {
          http: {
            method: "GET",
            requestUri: "/profileTemplate"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              ProfileTemplate: {
                type: "structure",
                members: {
                  TemplateName: {},
                  TemplateQuestions: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        QuestionId: {},
                        QuestionTitle: {},
                        QuestionDescription: {},
                        QuestionChoices: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              ChoiceId: {},
                              ChoiceTitle: {},
                              ChoiceDescription: {}
                            }
                          }
                        },
                        MinSelectedChoices: {
                          type: "integer"
                        },
                        MaxSelectedChoices: {
                          type: "integer"
                        }
                      }
                    }
                  },
                  CreatedAt: {
                    type: "timestamp"
                  },
                  UpdatedAt: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        GetWorkload: {
          http: {
            method: "GET",
            requestUri: "/workloads/{WorkloadId}"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Workload: {
                shape: "S4f"
              }
            }
          }
        },
        ImportLens: {
          http: {
            method: "PUT",
            requestUri: "/importLens"
          },
          input: {
            type: "structure",
            required: [
              "JSONString",
              "ClientRequestToken"
            ],
            members: {
              LensAlias: {},
              JSONString: {},
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LensArn: {},
              Status: {}
            }
          }
        },
        ListAnswers: {
          http: {
            method: "GET",
            requestUri: "/workloads/{WorkloadId}/lensReviews/{LensAlias}/answers"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "LensAlias"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              LensAlias: {
                location: "uri",
                locationName: "LensAlias"
              },
              PillarId: {
                location: "querystring",
                locationName: "PillarId"
              },
              MilestoneNumber: {
                location: "querystring",
                locationName: "MilestoneNumber",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              QuestionPriority: {
                location: "querystring",
                locationName: "QuestionPriority"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkloadId: {},
              MilestoneNumber: {
                type: "integer"
              },
              LensAlias: {},
              LensArn: {},
              AnswerSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    QuestionId: {},
                    PillarId: {},
                    QuestionTitle: {},
                    Choices: {
                      shape: "S2f"
                    },
                    SelectedChoices: {
                      shape: "S2q"
                    },
                    ChoiceAnswerSummaries: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ChoiceId: {},
                          Status: {},
                          Reason: {}
                        }
                      }
                    },
                    IsApplicable: {
                      type: "boolean"
                    },
                    Risk: {},
                    Reason: {},
                    QuestionType: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCheckDetails: {
          http: {
            requestUri: "/workloads/{WorkloadId}/checks"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "LensArn",
              "PillarId",
              "QuestionId",
              "ChoiceId"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              LensArn: {},
              PillarId: {},
              QuestionId: {},
              ChoiceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CheckDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Name: {},
                    Description: {},
                    Provider: {},
                    LensArn: {},
                    PillarId: {},
                    QuestionId: {},
                    ChoiceId: {},
                    Status: {},
                    AccountId: {},
                    FlaggedResources: {
                      type: "integer"
                    },
                    Reason: {},
                    UpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCheckSummaries: {
          http: {
            requestUri: "/workloads/{WorkloadId}/checkSummaries"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "LensArn",
              "PillarId",
              "QuestionId",
              "ChoiceId"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              LensArn: {},
              PillarId: {},
              QuestionId: {},
              ChoiceId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              CheckSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Name: {},
                    Provider: {},
                    Description: {},
                    UpdatedAt: {
                      type: "timestamp"
                    },
                    LensArn: {},
                    PillarId: {},
                    QuestionId: {},
                    ChoiceId: {},
                    Status: {},
                    AccountSummary: {
                      type: "map",
                      key: {},
                      value: {
                        type: "integer"
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLensReviewImprovements: {
          http: {
            method: "GET",
            requestUri: "/workloads/{WorkloadId}/lensReviews/{LensAlias}/improvements"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "LensAlias"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              LensAlias: {
                location: "uri",
                locationName: "LensAlias"
              },
              PillarId: {
                location: "querystring",
                locationName: "PillarId"
              },
              MilestoneNumber: {
                location: "querystring",
                locationName: "MilestoneNumber",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              QuestionPriority: {
                location: "querystring",
                locationName: "QuestionPriority"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkloadId: {},
              MilestoneNumber: {
                type: "integer"
              },
              LensAlias: {},
              LensArn: {},
              ImprovementSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    QuestionId: {},
                    PillarId: {},
                    QuestionTitle: {},
                    Risk: {},
                    ImprovementPlanUrl: {},
                    ImprovementPlans: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          ChoiceId: {},
                          DisplayText: {},
                          ImprovementPlanUrl: {}
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLensReviews: {
          http: {
            method: "GET",
            requestUri: "/workloads/{WorkloadId}/lensReviews"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              MilestoneNumber: {
                location: "querystring",
                locationName: "MilestoneNumber",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkloadId: {},
              MilestoneNumber: {
                type: "integer"
              },
              LensReviewSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LensAlias: {},
                    LensArn: {},
                    LensVersion: {},
                    LensName: {},
                    LensStatus: {},
                    UpdatedAt: {
                      type: "timestamp"
                    },
                    RiskCounts: {
                      shape: "S38"
                    },
                    Profiles: {
                      shape: "S3z"
                    },
                    PrioritizedRiskCounts: {
                      shape: "S38"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLensShares: {
          http: {
            method: "GET",
            requestUri: "/lenses/{LensAlias}/shares"
          },
          input: {
            type: "structure",
            required: [
              "LensAlias"
            ],
            members: {
              LensAlias: {
                location: "uri",
                locationName: "LensAlias"
              },
              SharedWithPrefix: {
                location: "querystring",
                locationName: "SharedWithPrefix"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              Status: {
                location: "querystring",
                locationName: "Status"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LensShareSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ShareId: {},
                    SharedWith: {},
                    Status: {},
                    StatusMessage: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLenses: {
          http: {
            method: "GET",
            requestUri: "/lenses"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              LensType: {
                location: "querystring",
                locationName: "LensType"
              },
              LensStatus: {
                location: "querystring",
                locationName: "LensStatus"
              },
              LensName: {
                location: "querystring",
                locationName: "LensName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LensSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LensArn: {},
                    LensAlias: {},
                    LensName: {},
                    LensType: {},
                    Description: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    UpdatedAt: {
                      type: "timestamp"
                    },
                    LensVersion: {},
                    Owner: {},
                    LensStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListMilestones: {
          http: {
            requestUri: "/workloads/{WorkloadId}/milestonesSummaries"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkloadId: {},
              MilestoneSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MilestoneNumber: {
                      type: "integer"
                    },
                    MilestoneName: {},
                    RecordedAt: {
                      type: "timestamp"
                    },
                    WorkloadSummary: {
                      shape: "S6n"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListNotifications: {
          http: {
            requestUri: "/notifications"
          },
          input: {
            type: "structure",
            members: {
              WorkloadId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NotificationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    LensUpgradeSummary: {
                      type: "structure",
                      members: {
                        WorkloadId: {},
                        WorkloadName: {},
                        LensAlias: {},
                        LensArn: {},
                        CurrentLensVersion: {},
                        LatestLensVersion: {}
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListProfileNotifications: {
          http: {
            method: "GET",
            requestUri: "/profileNotifications/"
          },
          input: {
            type: "structure",
            members: {
              WorkloadId: {
                location: "querystring",
                locationName: "WorkloadId"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NotificationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CurrentProfileVersion: {},
                    LatestProfileVersion: {},
                    Type: {},
                    ProfileArn: {},
                    ProfileName: {},
                    WorkloadId: {},
                    WorkloadName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListProfileShares: {
          http: {
            method: "GET",
            requestUri: "/profiles/{ProfileArn}/shares"
          },
          input: {
            type: "structure",
            required: [
              "ProfileArn"
            ],
            members: {
              ProfileArn: {
                location: "uri",
                locationName: "ProfileArn"
              },
              SharedWithPrefix: {
                location: "querystring",
                locationName: "SharedWithPrefix"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              Status: {
                location: "querystring",
                locationName: "Status"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProfileShareSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ShareId: {},
                    SharedWith: {},
                    Status: {},
                    StatusMessage: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListProfiles: {
          http: {
            method: "GET",
            requestUri: "/profileSummaries"
          },
          input: {
            type: "structure",
            members: {
              ProfileNamePrefix: {
                location: "querystring",
                locationName: "ProfileNamePrefix"
              },
              ProfileOwnerType: {
                location: "querystring",
                locationName: "ProfileOwnerType"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProfileSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ProfileArn: {},
                    ProfileVersion: {},
                    ProfileName: {},
                    ProfileDescription: {},
                    Owner: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    UpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListShareInvitations: {
          http: {
            method: "GET",
            requestUri: "/shareInvitations"
          },
          input: {
            type: "structure",
            members: {
              WorkloadNamePrefix: {
                location: "querystring",
                locationName: "WorkloadNamePrefix"
              },
              LensNamePrefix: {
                location: "querystring",
                locationName: "LensNamePrefix"
              },
              ShareResourceType: {
                location: "querystring",
                locationName: "ShareResourceType"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              ProfileNamePrefix: {
                location: "querystring",
                locationName: "ProfileNamePrefix"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ShareInvitationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ShareInvitationId: {},
                    SharedBy: {},
                    SharedWith: {},
                    PermissionType: {},
                    ShareResourceType: {},
                    WorkloadName: {},
                    WorkloadId: {},
                    LensName: {},
                    LensArn: {},
                    ProfileName: {},
                    ProfileArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{WorkloadArn}"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadArn"
            ],
            members: {
              WorkloadArn: {
                location: "uri",
                locationName: "WorkloadArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Su"
              }
            }
          }
        },
        ListWorkloadShares: {
          http: {
            method: "GET",
            requestUri: "/workloads/{WorkloadId}/shares"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              SharedWithPrefix: {
                location: "querystring",
                locationName: "SharedWithPrefix"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              Status: {
                location: "querystring",
                locationName: "Status"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkloadId: {},
              WorkloadShareSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ShareId: {},
                    SharedWith: {},
                    PermissionType: {},
                    Status: {},
                    StatusMessage: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListWorkloads: {
          http: {
            requestUri: "/workloadsSummaries"
          },
          input: {
            type: "structure",
            members: {
              WorkloadNamePrefix: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkloadSummaries: {
                type: "list",
                member: {
                  shape: "S6n"
                }
              },
              NextToken: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{WorkloadArn}"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadArn",
              "Tags"
            ],
            members: {
              WorkloadArn: {
                location: "uri",
                locationName: "WorkloadArn"
              },
              Tags: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{WorkloadArn}"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadArn",
              "TagKeys"
            ],
            members: {
              WorkloadArn: {
                location: "uri",
                locationName: "WorkloadArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAnswer: {
          http: {
            method: "PATCH",
            requestUri: "/workloads/{WorkloadId}/lensReviews/{LensAlias}/answers/{QuestionId}"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "LensAlias",
              "QuestionId"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              LensAlias: {
                location: "uri",
                locationName: "LensAlias"
              },
              QuestionId: {
                location: "uri",
                locationName: "QuestionId"
              },
              SelectedChoices: {
                shape: "S2q"
              },
              ChoiceUpdates: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  required: [
                    "Status"
                  ],
                  members: {
                    Status: {},
                    Reason: {},
                    Notes: {}
                  }
                }
              },
              Notes: {},
              IsApplicable: {
                type: "boolean"
              },
              Reason: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WorkloadId: {},
              LensAlias: {},
              LensArn: {},
              Answer: {
                shape: "S29"
              }
            }
          }
        },
        UpdateGlobalSettings: {
          http: {
            method: "PATCH",
            requestUri: "/global-settings"
          },
          input: {
            type: "structure",
            members: {
              OrganizationSharingStatus: {},
              DiscoveryIntegrationStatus: {}
            }
          }
        },
        UpdateLensReview: {
          http: {
            method: "PATCH",
            requestUri: "/workloads/{WorkloadId}/lensReviews/{LensAlias}"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "LensAlias"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              LensAlias: {
                location: "uri",
                locationName: "LensAlias"
              },
              LensNotes: {},
              PillarNotes: {
                type: "map",
                key: {},
                value: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WorkloadId: {},
              LensReview: {
                shape: "S3u"
              }
            }
          }
        },
        UpdateProfile: {
          http: {
            method: "PATCH",
            requestUri: "/profiles/{ProfileArn}"
          },
          input: {
            type: "structure",
            required: [
              "ProfileArn"
            ],
            members: {
              ProfileArn: {
                location: "uri",
                locationName: "ProfileArn"
              },
              ProfileDescription: {},
              ProfileQuestions: {
                shape: "Sp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Profile: {
                shape: "S4k"
              }
            }
          }
        },
        UpdateShareInvitation: {
          http: {
            method: "PATCH",
            requestUri: "/shareInvitations/{ShareInvitationId}"
          },
          input: {
            type: "structure",
            required: [
              "ShareInvitationId",
              "ShareInvitationAction"
            ],
            members: {
              ShareInvitationId: {
                location: "uri",
                locationName: "ShareInvitationId"
              },
              ShareInvitationAction: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ShareInvitation: {
                type: "structure",
                members: {
                  ShareInvitationId: {},
                  ShareResourceType: {},
                  WorkloadId: {},
                  LensAlias: {},
                  LensArn: {},
                  ProfileArn: {}
                }
              }
            }
          }
        },
        UpdateWorkload: {
          http: {
            method: "PATCH",
            requestUri: "/workloads/{WorkloadId}"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              WorkloadName: {},
              Description: {},
              Environment: {},
              AccountIds: {
                shape: "S15"
              },
              AwsRegions: {
                shape: "S17"
              },
              NonAwsRegions: {
                shape: "S19"
              },
              PillarPriorities: {
                shape: "S1b"
              },
              ArchitecturalDesign: {},
              ReviewOwner: {},
              IsReviewOwnerUpdateAcknowledged: {
                type: "boolean"
              },
              IndustryType: {},
              Industry: {},
              Notes: {},
              ImprovementStatus: {},
              DiscoveryConfig: {
                shape: "S1j"
              },
              Applications: {
                shape: "S1n"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Workload: {
                shape: "S4f"
              }
            }
          }
        },
        UpdateWorkloadShare: {
          http: {
            method: "PATCH",
            requestUri: "/workloads/{WorkloadId}/shares/{ShareId}"
          },
          input: {
            type: "structure",
            required: [
              "ShareId",
              "WorkloadId",
              "PermissionType"
            ],
            members: {
              ShareId: {
                location: "uri",
                locationName: "ShareId"
              },
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              PermissionType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              WorkloadId: {},
              WorkloadShare: {
                type: "structure",
                members: {
                  ShareId: {},
                  SharedBy: {},
                  SharedWith: {},
                  PermissionType: {},
                  Status: {},
                  WorkloadName: {},
                  WorkloadId: {}
                }
              }
            }
          }
        },
        UpgradeLensReview: {
          http: {
            method: "PUT",
            requestUri: "/workloads/{WorkloadId}/lensReviews/{LensAlias}/upgrade"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "LensAlias",
              "MilestoneName"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              LensAlias: {
                location: "uri",
                locationName: "LensAlias"
              },
              MilestoneName: {},
              ClientRequestToken: {}
            }
          }
        },
        UpgradeProfileVersion: {
          http: {
            method: "PUT",
            requestUri: "/workloads/{WorkloadId}/profiles/{ProfileArn}/upgrade"
          },
          input: {
            type: "structure",
            required: [
              "WorkloadId",
              "ProfileArn"
            ],
            members: {
              WorkloadId: {
                location: "uri",
                locationName: "WorkloadId"
              },
              ProfileArn: {
                location: "uri",
                locationName: "ProfileArn"
              },
              MilestoneName: {},
              ClientRequestToken: {
                idempotencyToken: true
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {}
        },
        S6: {
          type: "list",
          member: {}
        },
        Sp: {
          type: "list",
          member: {
            type: "structure",
            members: {
              QuestionId: {},
              SelectedChoiceIds: {
                type: "list",
                member: {}
              }
            }
          }
        },
        Su: {
          type: "map",
          key: {},
          value: {}
        },
        S15: {
          type: "list",
          member: {}
        },
        S17: {
          type: "list",
          member: {}
        },
        S19: {
          type: "list",
          member: {}
        },
        S1b: {
          type: "list",
          member: {}
        },
        S1h: {
          type: "list",
          member: {}
        },
        S1j: {
          type: "structure",
          members: {
            TrustedAdvisorIntegrationStatus: {},
            WorkloadResourceDefinition: {
              type: "list",
              member: {}
            }
          }
        },
        S1n: {
          type: "list",
          member: {}
        },
        S29: {
          type: "structure",
          members: {
            QuestionId: {},
            PillarId: {},
            QuestionTitle: {},
            QuestionDescription: {},
            ImprovementPlanUrl: {},
            HelpfulResourceUrl: {},
            HelpfulResourceDisplayText: {},
            Choices: {
              shape: "S2f"
            },
            SelectedChoices: {
              shape: "S2q"
            },
            ChoiceAnswers: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  ChoiceId: {},
                  Status: {},
                  Reason: {},
                  Notes: {}
                }
              }
            },
            IsApplicable: {
              type: "boolean"
            },
            Risk: {},
            Notes: {},
            Reason: {}
          }
        },
        S2f: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ChoiceId: {},
              Title: {},
              Description: {},
              HelpfulResource: {
                shape: "S2j"
              },
              ImprovementPlan: {
                shape: "S2j"
              },
              AdditionalResources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Type: {},
                    Content: {
                      type: "list",
                      member: {
                        shape: "S2j"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S2j: {
          type: "structure",
          members: {
            DisplayText: {},
            Url: {}
          }
        },
        S2q: {
          type: "list",
          member: {}
        },
        S38: {
          type: "map",
          key: {},
          value: {
            type: "integer"
          }
        },
        S3u: {
          type: "structure",
          members: {
            LensAlias: {},
            LensArn: {},
            LensVersion: {},
            LensName: {},
            LensStatus: {},
            PillarReviewSummaries: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  PillarId: {},
                  PillarName: {},
                  Notes: {},
                  RiskCounts: {
                    shape: "S38"
                  },
                  PrioritizedRiskCounts: {
                    shape: "S38"
                  }
                }
              }
            },
            UpdatedAt: {
              type: "timestamp"
            },
            Notes: {},
            RiskCounts: {
              shape: "S38"
            },
            NextToken: {},
            Profiles: {
              shape: "S3z"
            },
            PrioritizedRiskCounts: {
              shape: "S38"
            }
          }
        },
        S3z: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ProfileArn: {},
              ProfileVersion: {}
            }
          }
        },
        S4f: {
          type: "structure",
          members: {
            WorkloadId: {},
            WorkloadArn: {},
            WorkloadName: {},
            Description: {},
            Environment: {},
            UpdatedAt: {
              type: "timestamp"
            },
            AccountIds: {
              shape: "S15"
            },
            AwsRegions: {
              shape: "S17"
            },
            NonAwsRegions: {
              shape: "S19"
            },
            ArchitecturalDesign: {},
            ReviewOwner: {},
            ReviewRestrictionDate: {
              type: "timestamp"
            },
            IsReviewOwnerUpdateAcknowledged: {
              type: "boolean"
            },
            IndustryType: {},
            Industry: {},
            Notes: {},
            ImprovementStatus: {},
            RiskCounts: {
              shape: "S38"
            },
            PillarPriorities: {
              shape: "S1b"
            },
            Lenses: {
              shape: "S1h"
            },
            Owner: {},
            ShareInvitationId: {},
            Tags: {
              shape: "Su"
            },
            DiscoveryConfig: {
              shape: "S1j"
            },
            Applications: {
              shape: "S1n"
            },
            Profiles: {
              shape: "S3z"
            },
            PrioritizedRiskCounts: {
              shape: "S38"
            }
          }
        },
        S4k: {
          type: "structure",
          members: {
            ProfileArn: {},
            ProfileVersion: {},
            ProfileName: {},
            ProfileDescription: {},
            ProfileQuestions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  QuestionId: {},
                  QuestionTitle: {},
                  QuestionDescription: {},
                  QuestionChoices: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        ChoiceId: {},
                        ChoiceTitle: {},
                        ChoiceDescription: {}
                      }
                    }
                  },
                  SelectedChoiceIds: {
                    type: "list",
                    member: {}
                  },
                  MinSelectedChoices: {
                    type: "integer"
                  },
                  MaxSelectedChoices: {
                    type: "integer"
                  }
                }
              }
            },
            Owner: {},
            CreatedAt: {
              type: "timestamp"
            },
            UpdatedAt: {
              type: "timestamp"
            },
            ShareInvitationId: {},
            Tags: {
              shape: "Su"
            }
          }
        },
        S6n: {
          type: "structure",
          members: {
            WorkloadId: {},
            WorkloadArn: {},
            WorkloadName: {},
            Owner: {},
            UpdatedAt: {
              type: "timestamp"
            },
            Lenses: {
              shape: "S1h"
            },
            RiskCounts: {
              shape: "S38"
            },
            ImprovementStatus: {},
            Profiles: {
              shape: "S3z"
            },
            PrioritizedRiskCounts: {
              shape: "S38"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/wellarchitected-2020-03-31.paginators.json
var require_wellarchitected_2020_03_31_paginators = __commonJS({
  "node_modules/aws-sdk/apis/wellarchitected-2020-03-31.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetConsolidatedReport: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAnswers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListCheckDetails: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListCheckSummaries: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListLensReviewImprovements: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListLensReviews: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListLensShares: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListLenses: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMilestones: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListNotifications: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListProfileNotifications: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListProfileShares: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListProfiles: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListShareInvitations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListWorkloadShares: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListWorkloads: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/wellarchitected.js
var require_wellarchitected = __commonJS({
  "node_modules/aws-sdk/clients/wellarchitected.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["wellarchitected"] = {};
    AWS2.WellArchitected = Service.defineService("wellarchitected", ["2020-03-31"]);
    Object.defineProperty(apiLoader.services["wellarchitected"], "2020-03-31", {
      get: function get() {
        var model = require_wellarchitected_2020_03_31_min();
        model.paginators = require_wellarchitected_2020_03_31_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.WellArchitected;
  }
});

// node_modules/aws-sdk/apis/models.lex.v2-2020-08-07.min.json
var require_models_lex_v2_2020_08_07_min = __commonJS({
  "node_modules/aws-sdk/apis/models.lex.v2-2020-08-07.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-08-07",
        endpointPrefix: "models-v2-lex",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Lex Models V2",
        serviceFullName: "Amazon Lex Model Building V2",
        serviceId: "Lex Models V2",
        signatureVersion: "v4",
        signingName: "lex",
        uid: "models.lex.v2-2020-08-07"
      },
      operations: {
        BatchCreateCustomVocabularyItem: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/customvocabulary/DEFAULT/batchcreate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId",
              "customVocabularyItemList"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              customVocabularyItemList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "phrase"
                  ],
                  members: {
                    phrase: {},
                    weight: {
                      type: "integer"
                    },
                    displayAs: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              errors: {
                shape: "Sa"
              },
              resources: {
                shape: "Sf"
              }
            }
          }
        },
        BatchDeleteCustomVocabularyItem: {
          http: {
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/customvocabulary/DEFAULT/batchdelete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId",
              "customVocabularyItemList"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              customVocabularyItemList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "itemId"
                  ],
                  members: {
                    itemId: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              errors: {
                shape: "Sa"
              },
              resources: {
                shape: "Sf"
              }
            }
          }
        },
        BatchUpdateCustomVocabularyItem: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/customvocabulary/DEFAULT/batchupdate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId",
              "customVocabularyItemList"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              customVocabularyItemList: {
                type: "list",
                member: {
                  shape: "Sg"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              errors: {
                shape: "Sa"
              },
              resources: {
                shape: "Sf"
              }
            }
          }
        },
        BuildBotLocale: {
          http: {
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              botLocaleStatus: {},
              lastBuildSubmittedDateTime: {
                type: "timestamp"
              }
            }
          }
        },
        CreateBot: {
          http: {
            method: "PUT",
            requestUri: "/bots/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "botName",
              "roleArn",
              "dataPrivacy",
              "idleSessionTTLInSeconds"
            ],
            members: {
              botName: {},
              description: {},
              roleArn: {},
              dataPrivacy: {
                shape: "Sx"
              },
              idleSessionTTLInSeconds: {
                type: "integer"
              },
              botTags: {
                shape: "S10"
              },
              testBotAliasTags: {
                shape: "S10"
              },
              botType: {},
              botMembers: {
                shape: "S14"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botName: {},
              description: {},
              roleArn: {},
              dataPrivacy: {
                shape: "Sx"
              },
              idleSessionTTLInSeconds: {
                type: "integer"
              },
              botStatus: {},
              creationDateTime: {
                type: "timestamp"
              },
              botTags: {
                shape: "S10"
              },
              testBotAliasTags: {
                shape: "S10"
              },
              botType: {},
              botMembers: {
                shape: "S14"
              }
            }
          }
        },
        CreateBotAlias: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/botaliases/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "botAliasName",
              "botId"
            ],
            members: {
              botAliasName: {},
              description: {},
              botVersion: {},
              botAliasLocaleSettings: {
                shape: "S1c"
              },
              conversationLogSettings: {
                shape: "S1j"
              },
              sentimentAnalysisSettings: {
                shape: "S1w"
              },
              botId: {
                location: "uri",
                locationName: "botId"
              },
              tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botAliasId: {},
              botAliasName: {},
              description: {},
              botVersion: {},
              botAliasLocaleSettings: {
                shape: "S1c"
              },
              conversationLogSettings: {
                shape: "S1j"
              },
              sentimentAnalysisSettings: {
                shape: "S1w"
              },
              botAliasStatus: {},
              botId: {},
              creationDateTime: {
                type: "timestamp"
              },
              tags: {
                shape: "S10"
              }
            }
          }
        },
        CreateBotLocale: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId",
              "nluIntentConfidenceThreshold"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {},
              description: {},
              nluIntentConfidenceThreshold: {
                type: "double"
              },
              voiceSettings: {
                shape: "S21"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeName: {},
              localeId: {},
              description: {},
              nluIntentConfidenceThreshold: {
                type: "double"
              },
              voiceSettings: {
                shape: "S21"
              },
              botLocaleStatus: {},
              creationDateTime: {
                type: "timestamp"
              }
            }
          }
        },
        CreateBotVersion: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/botversions/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersionLocaleSpecification"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              description: {},
              botVersionLocaleSpecification: {
                shape: "S27"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              description: {},
              botVersion: {},
              botVersionLocaleSpecification: {
                shape: "S27"
              },
              botStatus: {},
              creationDateTime: {
                type: "timestamp"
              }
            }
          }
        },
        CreateExport: {
          http: {
            method: "PUT",
            requestUri: "/exports/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "resourceSpecification",
              "fileFormat"
            ],
            members: {
              resourceSpecification: {
                shape: "S2b"
              },
              fileFormat: {},
              filePassword: {
                shape: "S2h"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              exportId: {},
              resourceSpecification: {
                shape: "S2b"
              },
              fileFormat: {},
              exportStatus: {},
              creationDateTime: {
                type: "timestamp"
              }
            }
          }
        },
        CreateIntent: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "intentName",
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              intentName: {},
              description: {},
              parentIntentSignature: {},
              sampleUtterances: {
                shape: "S2m"
              },
              dialogCodeHook: {
                shape: "S2p"
              },
              fulfillmentCodeHook: {
                shape: "S2q"
              },
              intentConfirmationSetting: {
                shape: "S3z"
              },
              intentClosingSetting: {
                shape: "S4h"
              },
              inputContexts: {
                shape: "S4i"
              },
              outputContexts: {
                shape: "S4k"
              },
              kendraConfiguration: {
                shape: "S4o"
              },
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              initialResponseSetting: {
                shape: "S4r"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              intentId: {},
              intentName: {},
              description: {},
              parentIntentSignature: {},
              sampleUtterances: {
                shape: "S2m"
              },
              dialogCodeHook: {
                shape: "S2p"
              },
              fulfillmentCodeHook: {
                shape: "S2q"
              },
              intentConfirmationSetting: {
                shape: "S3z"
              },
              intentClosingSetting: {
                shape: "S4h"
              },
              inputContexts: {
                shape: "S4i"
              },
              outputContexts: {
                shape: "S4k"
              },
              kendraConfiguration: {
                shape: "S4o"
              },
              botId: {},
              botVersion: {},
              localeId: {},
              creationDateTime: {
                type: "timestamp"
              },
              initialResponseSetting: {
                shape: "S4r"
              }
            }
          }
        },
        CreateResourcePolicy: {
          http: {
            requestUri: "/policy/{resourceArn}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "policy"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              policy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resourceArn: {},
              revisionId: {}
            }
          }
        },
        CreateResourcePolicyStatement: {
          http: {
            requestUri: "/policy/{resourceArn}/statements/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "statementId",
              "effect",
              "principal",
              "action"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              statementId: {},
              effect: {},
              principal: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    service: {},
                    arn: {}
                  }
                }
              },
              action: {
                type: "list",
                member: {}
              },
              condition: {
                type: "map",
                key: {},
                value: {
                  type: "map",
                  key: {},
                  value: {}
                }
              },
              expectedRevisionId: {
                location: "querystring",
                locationName: "expectedRevisionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resourceArn: {},
              revisionId: {}
            }
          }
        },
        CreateSlot: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "slotName",
              "valueElicitationSetting",
              "botId",
              "botVersion",
              "localeId",
              "intentId"
            ],
            members: {
              slotName: {},
              description: {},
              slotTypeId: {},
              valueElicitationSetting: {
                shape: "S5e"
              },
              obfuscationSetting: {
                shape: "S5p"
              },
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              intentId: {
                location: "uri",
                locationName: "intentId"
              },
              multipleValuesSetting: {
                shape: "S5r"
              },
              subSlotSetting: {
                shape: "S5s"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              slotId: {},
              slotName: {},
              description: {},
              slotTypeId: {},
              valueElicitationSetting: {
                shape: "S5e"
              },
              obfuscationSetting: {
                shape: "S5p"
              },
              botId: {},
              botVersion: {},
              localeId: {},
              intentId: {},
              creationDateTime: {
                type: "timestamp"
              },
              multipleValuesSetting: {
                shape: "S5r"
              },
              subSlotSetting: {
                shape: "S5s"
              }
            }
          }
        },
        CreateSlotType: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/slottypes/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "slotTypeName",
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              slotTypeName: {},
              description: {},
              slotTypeValues: {
                shape: "S5z"
              },
              valueSelectionSetting: {
                shape: "S64"
              },
              parentSlotTypeSignature: {},
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              externalSourceSetting: {
                shape: "S6b"
              },
              compositeSlotTypeSetting: {
                shape: "S6g"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              slotTypeId: {},
              slotTypeName: {},
              description: {},
              slotTypeValues: {
                shape: "S5z"
              },
              valueSelectionSetting: {
                shape: "S64"
              },
              parentSlotTypeSignature: {},
              botId: {},
              botVersion: {},
              localeId: {},
              creationDateTime: {
                type: "timestamp"
              },
              externalSourceSetting: {
                shape: "S6b"
              },
              compositeSlotTypeSetting: {
                shape: "S6g"
              }
            }
          }
        },
        CreateTestSetDiscrepancyReport: {
          http: {
            requestUri: "/testsets/{testSetId}/testsetdiscrepancy",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "testSetId",
              "target"
            ],
            members: {
              testSetId: {
                location: "uri",
                locationName: "testSetId"
              },
              target: {
                shape: "S6l"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              testSetDiscrepancyReportId: {},
              creationDateTime: {
                type: "timestamp"
              },
              testSetId: {},
              target: {
                shape: "S6l"
              }
            }
          }
        },
        CreateUploadUrl: {
          http: {
            requestUri: "/createuploadurl/",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              importId: {},
              uploadUrl: {}
            }
          }
        },
        DeleteBot: {
          http: {
            method: "DELETE",
            requestUri: "/bots/{botId}/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "botId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              skipResourceInUseCheck: {
                location: "querystring",
                locationName: "skipResourceInUseCheck",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botStatus: {}
            }
          }
        },
        DeleteBotAlias: {
          http: {
            method: "DELETE",
            requestUri: "/bots/{botId}/botaliases/{botAliasId}/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "botAliasId",
              "botId"
            ],
            members: {
              botAliasId: {
                location: "uri",
                locationName: "botAliasId"
              },
              botId: {
                location: "uri",
                locationName: "botId"
              },
              skipResourceInUseCheck: {
                location: "querystring",
                locationName: "skipResourceInUseCheck",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botAliasId: {},
              botId: {},
              botAliasStatus: {}
            }
          }
        },
        DeleteBotLocale: {
          http: {
            method: "DELETE",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              botLocaleStatus: {}
            }
          }
        },
        DeleteBotVersion: {
          http: {
            method: "DELETE",
            requestUri: "/bots/{botId}/botversions/{botVersion}/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              skipResourceInUseCheck: {
                location: "querystring",
                locationName: "skipResourceInUseCheck",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              botStatus: {}
            }
          }
        },
        DeleteCustomVocabulary: {
          http: {
            method: "DELETE",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/customvocabulary",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              customVocabularyStatus: {}
            }
          }
        },
        DeleteExport: {
          http: {
            method: "DELETE",
            requestUri: "/exports/{exportId}/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "exportId"
            ],
            members: {
              exportId: {
                location: "uri",
                locationName: "exportId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              exportId: {},
              exportStatus: {}
            }
          }
        },
        DeleteImport: {
          http: {
            method: "DELETE",
            requestUri: "/imports/{importId}/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "importId"
            ],
            members: {
              importId: {
                location: "uri",
                locationName: "importId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              importId: {},
              importStatus: {}
            }
          }
        },
        DeleteIntent: {
          http: {
            method: "DELETE",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "intentId",
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              intentId: {
                location: "uri",
                locationName: "intentId"
              },
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              }
            }
          }
        },
        DeleteResourcePolicy: {
          http: {
            method: "DELETE",
            requestUri: "/policy/{resourceArn}/",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              expectedRevisionId: {
                location: "querystring",
                locationName: "expectedRevisionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resourceArn: {},
              revisionId: {}
            }
          }
        },
        DeleteResourcePolicyStatement: {
          http: {
            method: "DELETE",
            requestUri: "/policy/{resourceArn}/statements/{statementId}/",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "statementId"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              statementId: {
                location: "uri",
                locationName: "statementId"
              },
              expectedRevisionId: {
                location: "querystring",
                locationName: "expectedRevisionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resourceArn: {},
              revisionId: {}
            }
          }
        },
        DeleteSlot: {
          http: {
            method: "DELETE",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/{slotId}/",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "slotId",
              "botId",
              "botVersion",
              "localeId",
              "intentId"
            ],
            members: {
              slotId: {
                location: "uri",
                locationName: "slotId"
              },
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              intentId: {
                location: "uri",
                locationName: "intentId"
              }
            }
          }
        },
        DeleteSlotType: {
          http: {
            method: "DELETE",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/slottypes/{slotTypeId}/",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "slotTypeId",
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              slotTypeId: {
                location: "uri",
                locationName: "slotTypeId"
              },
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              skipResourceInUseCheck: {
                location: "querystring",
                locationName: "skipResourceInUseCheck",
                type: "boolean"
              }
            }
          }
        },
        DeleteTestSet: {
          http: {
            method: "DELETE",
            requestUri: "/testsets/{testSetId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "testSetId"
            ],
            members: {
              testSetId: {
                location: "uri",
                locationName: "testSetId"
              }
            }
          },
          idempotent: true
        },
        DeleteUtterances: {
          http: {
            method: "DELETE",
            requestUri: "/bots/{botId}/utterances/",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "botId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              localeId: {
                location: "querystring",
                locationName: "localeId"
              },
              sessionId: {
                location: "querystring",
                locationName: "sessionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeBot: {
          http: {
            method: "GET",
            requestUri: "/bots/{botId}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botName: {},
              description: {},
              roleArn: {},
              dataPrivacy: {
                shape: "Sx"
              },
              idleSessionTTLInSeconds: {
                type: "integer"
              },
              botStatus: {},
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              },
              botType: {},
              botMembers: {
                shape: "S14"
              },
              failureReasons: {
                shape: "S7l"
              }
            }
          }
        },
        DescribeBotAlias: {
          http: {
            method: "GET",
            requestUri: "/bots/{botId}/botaliases/{botAliasId}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botAliasId",
              "botId"
            ],
            members: {
              botAliasId: {
                location: "uri",
                locationName: "botAliasId"
              },
              botId: {
                location: "uri",
                locationName: "botId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botAliasId: {},
              botAliasName: {},
              description: {},
              botVersion: {},
              botAliasLocaleSettings: {
                shape: "S1c"
              },
              conversationLogSettings: {
                shape: "S1j"
              },
              sentimentAnalysisSettings: {
                shape: "S1w"
              },
              botAliasHistoryEvents: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    botVersion: {},
                    startDate: {
                      type: "timestamp"
                    },
                    endDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              botAliasStatus: {},
              botId: {},
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              },
              parentBotNetworks: {
                shape: "S7r"
              }
            }
          }
        },
        DescribeBotLocale: {
          http: {
            method: "GET",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              localeName: {},
              description: {},
              nluIntentConfidenceThreshold: {
                type: "double"
              },
              voiceSettings: {
                shape: "S21"
              },
              intentsCount: {
                type: "integer"
              },
              slotTypesCount: {
                type: "integer"
              },
              botLocaleStatus: {},
              failureReasons: {
                shape: "S7l"
              },
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              },
              lastBuildSubmittedDateTime: {
                type: "timestamp"
              },
              botLocaleHistoryEvents: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "event",
                    "eventDate"
                  ],
                  members: {
                    event: {},
                    eventDate: {
                      type: "timestamp"
                    }
                  }
                }
              },
              recommendedActions: {
                shape: "S7z"
              }
            }
          }
        },
        DescribeBotRecommendation: {
          http: {
            method: "GET",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/botrecommendations/{botRecommendationId}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId",
              "botRecommendationId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              botRecommendationId: {
                location: "uri",
                locationName: "botRecommendationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              botRecommendationStatus: {},
              botRecommendationId: {},
              failureReasons: {
                shape: "S7l"
              },
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              },
              transcriptSourceSetting: {
                shape: "S84"
              },
              encryptionSetting: {
                shape: "S8d"
              },
              botRecommendationResults: {
                type: "structure",
                members: {
                  botLocaleExportUrl: {},
                  associatedTranscriptsUrl: {},
                  statistics: {
                    type: "structure",
                    members: {
                      intents: {
                        type: "structure",
                        members: {
                          discoveredIntentCount: {
                            type: "integer"
                          }
                        }
                      },
                      slotTypes: {
                        type: "structure",
                        members: {
                          discoveredSlotTypeCount: {
                            type: "integer"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeBotVersion: {
          http: {
            method: "GET",
            requestUri: "/bots/{botId}/botversions/{botVersion}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botName: {},
              botVersion: {},
              description: {},
              roleArn: {},
              dataPrivacy: {
                shape: "Sx"
              },
              idleSessionTTLInSeconds: {
                type: "integer"
              },
              botStatus: {},
              failureReasons: {
                shape: "S7l"
              },
              creationDateTime: {
                type: "timestamp"
              },
              parentBotNetworks: {
                shape: "S7r"
              },
              botType: {},
              botMembers: {
                shape: "S14"
              }
            }
          }
        },
        DescribeCustomVocabularyMetadata: {
          http: {
            method: "GET",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/customvocabulary/DEFAULT/metadata",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              customVocabularyStatus: {},
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeExport: {
          http: {
            method: "GET",
            requestUri: "/exports/{exportId}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "exportId"
            ],
            members: {
              exportId: {
                location: "uri",
                locationName: "exportId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              exportId: {},
              resourceSpecification: {
                shape: "S2b"
              },
              fileFormat: {},
              exportStatus: {},
              failureReasons: {
                shape: "S7l"
              },
              downloadUrl: {},
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeImport: {
          http: {
            method: "GET",
            requestUri: "/imports/{importId}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "importId"
            ],
            members: {
              importId: {
                location: "uri",
                locationName: "importId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              importId: {},
              resourceSpecification: {
                shape: "S8s"
              },
              importedResourceId: {},
              importedResourceName: {},
              mergeStrategy: {},
              importStatus: {},
              failureReasons: {
                shape: "S7l"
              },
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeIntent: {
          http: {
            method: "GET",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "intentId",
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              intentId: {
                location: "uri",
                locationName: "intentId"
              },
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              intentId: {},
              intentName: {},
              description: {},
              parentIntentSignature: {},
              sampleUtterances: {
                shape: "S2m"
              },
              dialogCodeHook: {
                shape: "S2p"
              },
              fulfillmentCodeHook: {
                shape: "S2q"
              },
              slotPriorities: {
                shape: "S94"
              },
              intentConfirmationSetting: {
                shape: "S3z"
              },
              intentClosingSetting: {
                shape: "S4h"
              },
              inputContexts: {
                shape: "S4i"
              },
              outputContexts: {
                shape: "S4k"
              },
              kendraConfiguration: {
                shape: "S4o"
              },
              botId: {},
              botVersion: {},
              localeId: {},
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              },
              initialResponseSetting: {
                shape: "S4r"
              }
            }
          }
        },
        DescribeResourcePolicy: {
          http: {
            method: "GET",
            requestUri: "/policy/{resourceArn}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resourceArn: {},
              policy: {},
              revisionId: {}
            }
          }
        },
        DescribeSlot: {
          http: {
            method: "GET",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/{slotId}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "slotId",
              "botId",
              "botVersion",
              "localeId",
              "intentId"
            ],
            members: {
              slotId: {
                location: "uri",
                locationName: "slotId"
              },
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              intentId: {
                location: "uri",
                locationName: "intentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              slotId: {},
              slotName: {},
              description: {},
              slotTypeId: {},
              valueElicitationSetting: {
                shape: "S5e"
              },
              obfuscationSetting: {
                shape: "S5p"
              },
              botId: {},
              botVersion: {},
              localeId: {},
              intentId: {},
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              },
              multipleValuesSetting: {
                shape: "S5r"
              },
              subSlotSetting: {
                shape: "S5s"
              }
            }
          }
        },
        DescribeSlotType: {
          http: {
            method: "GET",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/slottypes/{slotTypeId}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "slotTypeId",
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              slotTypeId: {
                location: "uri",
                locationName: "slotTypeId"
              },
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              slotTypeId: {},
              slotTypeName: {},
              description: {},
              slotTypeValues: {
                shape: "S5z"
              },
              valueSelectionSetting: {
                shape: "S64"
              },
              parentSlotTypeSignature: {},
              botId: {},
              botVersion: {},
              localeId: {},
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              },
              externalSourceSetting: {
                shape: "S6b"
              },
              compositeSlotTypeSetting: {
                shape: "S6g"
              }
            }
          }
        },
        DescribeTestExecution: {
          http: {
            method: "GET",
            requestUri: "/testexecutions/{testExecutionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "testExecutionId"
            ],
            members: {
              testExecutionId: {
                location: "uri",
                locationName: "testExecutionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              testExecutionId: {},
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              },
              testExecutionStatus: {},
              testSetId: {},
              testSetName: {},
              target: {
                shape: "S9g"
              },
              apiMode: {},
              testExecutionModality: {},
              failureReasons: {
                shape: "S7l"
              }
            }
          }
        },
        DescribeTestSet: {
          http: {
            method: "GET",
            requestUri: "/testsets/{testSetId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "testSetId"
            ],
            members: {
              testSetId: {
                location: "uri",
                locationName: "testSetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              testSetId: {},
              testSetName: {},
              description: {},
              modality: {},
              status: {},
              roleArn: {},
              numTurns: {
                type: "integer"
              },
              storageLocation: {
                shape: "S8x"
              },
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeTestSetDiscrepancyReport: {
          http: {
            method: "GET",
            requestUri: "/testsetdiscrepancy/{testSetDiscrepancyReportId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "testSetDiscrepancyReportId"
            ],
            members: {
              testSetDiscrepancyReportId: {
                location: "uri",
                locationName: "testSetDiscrepancyReportId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              testSetDiscrepancyReportId: {},
              testSetId: {},
              creationDateTime: {
                type: "timestamp"
              },
              target: {
                shape: "S6l"
              },
              testSetDiscrepancyReportStatus: {},
              lastUpdatedDataTime: {
                type: "timestamp"
              },
              testSetDiscrepancyTopErrors: {
                type: "structure",
                required: [
                  "intentDiscrepancies",
                  "slotDiscrepancies"
                ],
                members: {
                  intentDiscrepancies: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "intentName",
                        "errorMessage"
                      ],
                      members: {
                        intentName: {},
                        errorMessage: {}
                      }
                    }
                  },
                  slotDiscrepancies: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "intentName",
                        "slotName",
                        "errorMessage"
                      ],
                      members: {
                        intentName: {},
                        slotName: {},
                        errorMessage: {}
                      }
                    }
                  }
                }
              },
              testSetDiscrepancyRawOutputUrl: {},
              failureReasons: {
                shape: "S7l"
              }
            }
          }
        },
        DescribeTestSetGeneration: {
          http: {
            method: "GET",
            requestUri: "/testsetgenerations/{testSetGenerationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "testSetGenerationId"
            ],
            members: {
              testSetGenerationId: {
                location: "uri",
                locationName: "testSetGenerationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              testSetGenerationId: {},
              testSetGenerationStatus: {},
              failureReasons: {
                shape: "S7l"
              },
              testSetId: {},
              testSetName: {},
              description: {},
              storageLocation: {
                shape: "S8x"
              },
              generationDataSource: {
                shape: "S9y"
              },
              roleArn: {},
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              }
            }
          }
        },
        GetTestExecutionArtifactsUrl: {
          http: {
            method: "GET",
            requestUri: "/testexecutions/{testExecutionId}/artifacturl",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "testExecutionId"
            ],
            members: {
              testExecutionId: {
                location: "uri",
                locationName: "testExecutionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              testExecutionId: {},
              downloadArtifactsUrl: {}
            }
          }
        },
        ListAggregatedUtterances: {
          http: {
            requestUri: "/bots/{botId}/aggregatedutterances/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "localeId",
              "aggregationDuration"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botAliasId: {},
              botVersion: {},
              localeId: {},
              aggregationDuration: {
                shape: "Sa5"
              },
              sortBy: {
                type: "structure",
                required: [
                  "attribute",
                  "order"
                ],
                members: {
                  attribute: {},
                  order: {}
                }
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "values",
                    "operator"
                  ],
                  members: {
                    name: {},
                    values: {
                      shape: "Saf"
                    },
                    operator: {}
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botAliasId: {},
              botVersion: {},
              localeId: {},
              aggregationDuration: {
                shape: "Sa5"
              },
              aggregationWindowStartTime: {
                type: "timestamp"
              },
              aggregationWindowEndTime: {
                type: "timestamp"
              },
              aggregationLastRefreshedDateTime: {
                type: "timestamp"
              },
              aggregatedUtterancesSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    utterance: {},
                    hitCount: {
                      type: "integer"
                    },
                    missedCount: {
                      type: "integer"
                    },
                    utteranceFirstRecordedInAggregationDuration: {
                      type: "timestamp"
                    },
                    utteranceLastRecordedInAggregationDuration: {
                      type: "timestamp"
                    },
                    containsDataFromDeletedResources: {
                      type: "boolean"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListBotAliases: {
          http: {
            requestUri: "/bots/{botId}/botaliases/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              botAliasSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    botAliasId: {},
                    botAliasName: {},
                    description: {},
                    botVersion: {},
                    botAliasStatus: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {},
              botId: {}
            }
          }
        },
        ListBotLocales: {
          http: {
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              sortBy: {
                type: "structure",
                required: [
                  "attribute",
                  "order"
                ],
                members: {
                  attribute: {},
                  order: {}
                }
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "values",
                    "operator"
                  ],
                  members: {
                    name: {},
                    values: {
                      shape: "Saf"
                    },
                    operator: {}
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              nextToken: {},
              botLocaleSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    localeId: {},
                    localeName: {},
                    description: {},
                    botLocaleStatus: {},
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    lastBuildSubmittedDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListBotRecommendations: {
          http: {
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/botrecommendations/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              botRecommendationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "botRecommendationStatus",
                    "botRecommendationId"
                  ],
                  members: {
                    botRecommendationStatus: {},
                    botRecommendationId: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListBotVersions: {
          http: {
            requestUri: "/bots/{botId}/botversions/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              sortBy: {
                type: "structure",
                required: [
                  "attribute",
                  "order"
                ],
                members: {
                  attribute: {},
                  order: {}
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    botName: {},
                    botVersion: {},
                    description: {},
                    botStatus: {},
                    creationDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListBots: {
          http: {
            requestUri: "/bots/",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              sortBy: {
                type: "structure",
                required: [
                  "attribute",
                  "order"
                ],
                members: {
                  attribute: {},
                  order: {}
                }
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "values",
                    "operator"
                  ],
                  members: {
                    name: {},
                    values: {
                      shape: "Saf"
                    },
                    operator: {}
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              botSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    botId: {},
                    botName: {},
                    description: {},
                    botStatus: {},
                    latestBotVersion: {},
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    botType: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListBuiltInIntents: {
          http: {
            requestUri: "/builtins/locales/{localeId}/intents/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "localeId"
            ],
            members: {
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              sortBy: {
                type: "structure",
                required: [
                  "attribute",
                  "order"
                ],
                members: {
                  attribute: {},
                  order: {}
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              builtInIntentSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    intentSignature: {},
                    description: {}
                  }
                }
              },
              nextToken: {},
              localeId: {}
            }
          }
        },
        ListBuiltInSlotTypes: {
          http: {
            requestUri: "/builtins/locales/{localeId}/slottypes/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "localeId"
            ],
            members: {
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              sortBy: {
                type: "structure",
                required: [
                  "attribute",
                  "order"
                ],
                members: {
                  attribute: {},
                  order: {}
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              builtInSlotTypeSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    slotTypeSignature: {},
                    description: {}
                  }
                }
              },
              nextToken: {},
              localeId: {}
            }
          }
        },
        ListCustomVocabularyItems: {
          http: {
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/customvocabulary/DEFAULT/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              customVocabularyItems: {
                shape: "Sf"
              },
              nextToken: {}
            }
          }
        },
        ListExports: {
          http: {
            requestUri: "/exports/",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              sortBy: {
                type: "structure",
                required: [
                  "attribute",
                  "order"
                ],
                members: {
                  attribute: {},
                  order: {}
                }
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "values",
                    "operator"
                  ],
                  members: {
                    name: {},
                    values: {
                      shape: "Saf"
                    },
                    operator: {}
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              localeId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              exportSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    exportId: {},
                    resourceSpecification: {
                      shape: "S2b"
                    },
                    fileFormat: {},
                    exportStatus: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {},
              localeId: {}
            }
          }
        },
        ListImports: {
          http: {
            requestUri: "/imports/",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              sortBy: {
                type: "structure",
                required: [
                  "attribute",
                  "order"
                ],
                members: {
                  attribute: {},
                  order: {}
                }
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "values",
                    "operator"
                  ],
                  members: {
                    name: {},
                    values: {
                      shape: "Saf"
                    },
                    operator: {}
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              localeId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              importSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    importId: {},
                    importedResourceId: {},
                    importedResourceName: {},
                    importStatus: {},
                    mergeStrategy: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    importedResourceType: {}
                  }
                }
              },
              nextToken: {},
              localeId: {}
            }
          }
        },
        ListIntents: {
          http: {
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              sortBy: {
                type: "structure",
                required: [
                  "attribute",
                  "order"
                ],
                members: {
                  attribute: {},
                  order: {}
                }
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "values",
                    "operator"
                  ],
                  members: {
                    name: {},
                    values: {
                      shape: "Saf"
                    },
                    operator: {}
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              intentSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    intentId: {},
                    intentName: {},
                    description: {},
                    parentIntentSignature: {},
                    inputContexts: {
                      shape: "S4i"
                    },
                    outputContexts: {
                      shape: "S4k"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListRecommendedIntents: {
          http: {
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/botrecommendations/{botRecommendationId}/intents",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId",
              "botRecommendationId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              botRecommendationId: {
                location: "uri",
                locationName: "botRecommendationId"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              botRecommendationId: {},
              summaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    intentId: {},
                    intentName: {},
                    sampleUtterancesCount: {
                      type: "integer"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSlotTypes: {
          http: {
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/slottypes/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              sortBy: {
                type: "structure",
                required: [
                  "attribute",
                  "order"
                ],
                members: {
                  attribute: {},
                  order: {}
                }
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "values",
                    "operator"
                  ],
                  members: {
                    name: {},
                    values: {
                      shape: "Saf"
                    },
                    operator: {}
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              slotTypeSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    slotTypeId: {},
                    slotTypeName: {},
                    description: {},
                    parentSlotTypeSignature: {},
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    slotTypeCategory: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSlots: {
          http: {
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId",
              "intentId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              intentId: {
                location: "uri",
                locationName: "intentId"
              },
              sortBy: {
                type: "structure",
                required: [
                  "attribute",
                  "order"
                ],
                members: {
                  attribute: {},
                  order: {}
                }
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "values",
                    "operator"
                  ],
                  members: {
                    name: {},
                    values: {
                      shape: "Saf"
                    },
                    operator: {}
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              intentId: {},
              slotSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    slotId: {},
                    slotName: {},
                    description: {},
                    slotConstraint: {},
                    slotTypeId: {},
                    valueElicitationPromptSpecification: {
                      shape: "S40"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceARN}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceARN"
            ],
            members: {
              resourceARN: {
                location: "uri",
                locationName: "resourceARN"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S10"
              }
            }
          }
        },
        ListTestExecutionResultItems: {
          http: {
            requestUri: "/testexecutions/{testExecutionId}/results",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "testExecutionId",
              "resultFilterBy"
            ],
            members: {
              testExecutionId: {
                location: "uri",
                locationName: "testExecutionId"
              },
              resultFilterBy: {
                type: "structure",
                required: [
                  "resultTypeFilter"
                ],
                members: {
                  resultTypeFilter: {},
                  conversationLevelTestResultsFilterBy: {
                    type: "structure",
                    members: {
                      endToEndResult: {}
                    }
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              testExecutionResults: {
                type: "structure",
                members: {
                  overallTestResults: {
                    type: "structure",
                    required: [
                      "items"
                    ],
                    members: {
                      items: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "multiTurnConversation",
                            "totalResultCount",
                            "endToEndResultCounts"
                          ],
                          members: {
                            multiTurnConversation: {
                              type: "boolean"
                            },
                            totalResultCount: {
                              type: "integer"
                            },
                            speechTranscriptionResultCounts: {
                              shape: "Sdz"
                            },
                            endToEndResultCounts: {
                              shape: "Sdz"
                            }
                          }
                        }
                      }
                    }
                  },
                  conversationLevelTestResults: {
                    type: "structure",
                    required: [
                      "items"
                    ],
                    members: {
                      items: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "conversationId",
                            "endToEndResult",
                            "intentClassificationResults",
                            "slotResolutionResults"
                          ],
                          members: {
                            conversationId: {},
                            endToEndResult: {},
                            speechTranscriptionResult: {},
                            intentClassificationResults: {
                              type: "list",
                              member: {
                                type: "structure",
                                required: [
                                  "intentName",
                                  "matchResult"
                                ],
                                members: {
                                  intentName: {},
                                  matchResult: {}
                                }
                              }
                            },
                            slotResolutionResults: {
                              type: "list",
                              member: {
                                type: "structure",
                                required: [
                                  "intentName",
                                  "slotName",
                                  "matchResult"
                                ],
                                members: {
                                  intentName: {},
                                  slotName: {},
                                  matchResult: {}
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  intentClassificationTestResults: {
                    type: "structure",
                    required: [
                      "items"
                    ],
                    members: {
                      items: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "intentName",
                            "multiTurnConversation",
                            "resultCounts"
                          ],
                          members: {
                            intentName: {},
                            multiTurnConversation: {
                              type: "boolean"
                            },
                            resultCounts: {
                              type: "structure",
                              required: [
                                "totalResultCount",
                                "intentMatchResultCounts"
                              ],
                              members: {
                                totalResultCount: {
                                  type: "integer"
                                },
                                speechTranscriptionResultCounts: {
                                  shape: "Sdz"
                                },
                                intentMatchResultCounts: {
                                  shape: "Sdz"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  intentLevelSlotResolutionTestResults: {
                    type: "structure",
                    required: [
                      "items"
                    ],
                    members: {
                      items: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "intentName",
                            "multiTurnConversation",
                            "slotResolutionResults"
                          ],
                          members: {
                            intentName: {},
                            multiTurnConversation: {
                              type: "boolean"
                            },
                            slotResolutionResults: {
                              type: "list",
                              member: {
                                type: "structure",
                                required: [
                                  "slotName",
                                  "resultCounts"
                                ],
                                members: {
                                  slotName: {},
                                  resultCounts: {
                                    type: "structure",
                                    required: [
                                      "totalResultCount",
                                      "slotMatchResultCounts"
                                    ],
                                    members: {
                                      totalResultCount: {
                                        type: "integer"
                                      },
                                      speechTranscriptionResultCounts: {
                                        shape: "Sdz"
                                      },
                                      slotMatchResultCounts: {
                                        shape: "Sdz"
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  utteranceLevelTestResults: {
                    type: "structure",
                    required: [
                      "items"
                    ],
                    members: {
                      items: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "recordNumber",
                            "turnResult"
                          ],
                          members: {
                            recordNumber: {
                              type: "long"
                            },
                            conversationId: {},
                            turnResult: {
                              type: "structure",
                              members: {
                                agent: {
                                  type: "structure",
                                  required: [
                                    "expectedAgentPrompt"
                                  ],
                                  members: {
                                    expectedAgentPrompt: {},
                                    actualAgentPrompt: {},
                                    errorDetails: {
                                      shape: "Seq"
                                    },
                                    actualElicitedSlot: {},
                                    actualIntent: {}
                                  }
                                },
                                user: {
                                  type: "structure",
                                  required: [
                                    "input",
                                    "expectedOutput"
                                  ],
                                  members: {
                                    input: {
                                      shape: "Ses"
                                    },
                                    expectedOutput: {
                                      shape: "Sf8"
                                    },
                                    actualOutput: {
                                      shape: "Sf8"
                                    },
                                    errorDetails: {
                                      shape: "Seq"
                                    },
                                    endToEndResult: {},
                                    intentMatchResult: {},
                                    slotMatchResult: {},
                                    speechTranscriptionResult: {},
                                    conversationLevelResult: {
                                      type: "structure",
                                      required: [
                                        "endToEndResult"
                                      ],
                                      members: {
                                        endToEndResult: {},
                                        speechTranscriptionResult: {}
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTestExecutions: {
          http: {
            requestUri: "/testexecutions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              sortBy: {
                type: "structure",
                required: [
                  "attribute",
                  "order"
                ],
                members: {
                  attribute: {},
                  order: {}
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              testExecutions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    testExecutionId: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    },
                    testExecutionStatus: {},
                    testSetId: {},
                    testSetName: {},
                    target: {
                      shape: "S9g"
                    },
                    apiMode: {},
                    testExecutionModality: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTestSetRecords: {
          http: {
            requestUri: "/testsets/{testSetId}/records",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "testSetId"
            ],
            members: {
              testSetId: {
                location: "uri",
                locationName: "testSetId"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              testSetRecords: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "recordNumber",
                    "turnSpecification"
                  ],
                  members: {
                    recordNumber: {
                      type: "long"
                    },
                    conversationId: {},
                    turnNumber: {
                      type: "integer"
                    },
                    turnSpecification: {
                      type: "structure",
                      members: {
                        agentTurn: {
                          type: "structure",
                          required: [
                            "agentPrompt"
                          ],
                          members: {
                            agentPrompt: {}
                          }
                        },
                        userTurn: {
                          type: "structure",
                          required: [
                            "input",
                            "expected"
                          ],
                          members: {
                            input: {
                              shape: "Ses"
                            },
                            expected: {
                              shape: "Sf8"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTestSets: {
          http: {
            requestUri: "/testsets",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              sortBy: {
                type: "structure",
                required: [
                  "attribute",
                  "order"
                ],
                members: {
                  attribute: {},
                  order: {}
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              testSets: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    testSetId: {},
                    testSetName: {},
                    description: {},
                    modality: {},
                    status: {},
                    roleArn: {},
                    numTurns: {
                      type: "integer"
                    },
                    storageLocation: {
                      shape: "S8x"
                    },
                    creationDateTime: {
                      type: "timestamp"
                    },
                    lastUpdatedDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        SearchAssociatedTranscripts: {
          http: {
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/botrecommendations/{botRecommendationId}/associatedtranscripts",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId",
              "botRecommendationId",
              "filters"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              botRecommendationId: {
                location: "uri",
                locationName: "botRecommendationId"
              },
              searchOrder: {},
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "values"
                  ],
                  members: {
                    name: {},
                    values: {
                      shape: "Saf"
                    }
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextIndex: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              botRecommendationId: {},
              nextIndex: {
                type: "integer"
              },
              associatedTranscripts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    transcript: {}
                  }
                }
              },
              totalResults: {
                type: "integer"
              }
            }
          }
        },
        StartBotRecommendation: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/botrecommendations/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId",
              "transcriptSourceSetting"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              transcriptSourceSetting: {
                shape: "S84"
              },
              encryptionSetting: {
                shape: "S8d"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              botRecommendationStatus: {},
              botRecommendationId: {},
              creationDateTime: {
                type: "timestamp"
              },
              transcriptSourceSetting: {
                shape: "S84"
              },
              encryptionSetting: {
                shape: "S8d"
              }
            }
          }
        },
        StartImport: {
          http: {
            method: "PUT",
            requestUri: "/imports/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "importId",
              "resourceSpecification",
              "mergeStrategy"
            ],
            members: {
              importId: {},
              resourceSpecification: {
                shape: "S8s"
              },
              mergeStrategy: {},
              filePassword: {
                shape: "S2h"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              importId: {},
              resourceSpecification: {
                shape: "S8s"
              },
              mergeStrategy: {},
              importStatus: {},
              creationDateTime: {
                type: "timestamp"
              }
            }
          }
        },
        StartTestExecution: {
          http: {
            requestUri: "/testsets/{testSetId}/testexecutions",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "testSetId",
              "target",
              "apiMode"
            ],
            members: {
              testSetId: {
                location: "uri",
                locationName: "testSetId"
              },
              target: {
                shape: "S9g"
              },
              apiMode: {},
              testExecutionModality: {}
            }
          },
          output: {
            type: "structure",
            members: {
              testExecutionId: {},
              creationDateTime: {
                type: "timestamp"
              },
              testSetId: {},
              target: {
                shape: "S9g"
              },
              apiMode: {},
              testExecutionModality: {}
            }
          }
        },
        StartTestSetGeneration: {
          http: {
            method: "PUT",
            requestUri: "/testsetgenerations",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "testSetName",
              "storageLocation",
              "generationDataSource",
              "roleArn"
            ],
            members: {
              testSetName: {},
              description: {},
              storageLocation: {
                shape: "S8x"
              },
              generationDataSource: {
                shape: "S9y"
              },
              roleArn: {},
              testSetTags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              testSetGenerationId: {},
              creationDateTime: {
                type: "timestamp"
              },
              testSetGenerationStatus: {},
              testSetName: {},
              description: {},
              storageLocation: {
                shape: "S8x"
              },
              generationDataSource: {
                shape: "S9y"
              },
              roleArn: {},
              testSetTags: {
                shape: "S10"
              }
            }
          },
          idempotent: true
        },
        StopBotRecommendation: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/botrecommendations/{botRecommendationId}/stopbotrecommendation",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId",
              "botRecommendationId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              botRecommendationId: {
                location: "uri",
                locationName: "botRecommendationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              botRecommendationStatus: {},
              botRecommendationId: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceARN}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceARN",
              "tags"
            ],
            members: {
              resourceARN: {
                location: "uri",
                locationName: "resourceARN"
              },
              tags: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceARN}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceARN",
              "tagKeys"
            ],
            members: {
              resourceARN: {
                location: "uri",
                locationName: "resourceARN"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateBot: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botName",
              "roleArn",
              "dataPrivacy",
              "idleSessionTTLInSeconds"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botName: {},
              description: {},
              roleArn: {},
              dataPrivacy: {
                shape: "Sx"
              },
              idleSessionTTLInSeconds: {
                type: "integer"
              },
              botType: {},
              botMembers: {
                shape: "S14"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botName: {},
              description: {},
              roleArn: {},
              dataPrivacy: {
                shape: "Sx"
              },
              idleSessionTTLInSeconds: {
                type: "integer"
              },
              botStatus: {},
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              },
              botType: {},
              botMembers: {
                shape: "S14"
              }
            }
          }
        },
        UpdateBotAlias: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/botaliases/{botAliasId}/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "botAliasId",
              "botAliasName",
              "botId"
            ],
            members: {
              botAliasId: {
                location: "uri",
                locationName: "botAliasId"
              },
              botAliasName: {},
              description: {},
              botVersion: {},
              botAliasLocaleSettings: {
                shape: "S1c"
              },
              conversationLogSettings: {
                shape: "S1j"
              },
              sentimentAnalysisSettings: {
                shape: "S1w"
              },
              botId: {
                location: "uri",
                locationName: "botId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botAliasId: {},
              botAliasName: {},
              description: {},
              botVersion: {},
              botAliasLocaleSettings: {
                shape: "S1c"
              },
              conversationLogSettings: {
                shape: "S1j"
              },
              sentimentAnalysisSettings: {
                shape: "S1w"
              },
              botAliasStatus: {},
              botId: {},
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              }
            }
          }
        },
        UpdateBotLocale: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId",
              "nluIntentConfidenceThreshold"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              description: {},
              nluIntentConfidenceThreshold: {
                type: "double"
              },
              voiceSettings: {
                shape: "S21"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              localeName: {},
              description: {},
              nluIntentConfidenceThreshold: {
                type: "double"
              },
              voiceSettings: {
                shape: "S21"
              },
              botLocaleStatus: {},
              failureReasons: {
                shape: "S7l"
              },
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              },
              recommendedActions: {
                shape: "S7z"
              }
            }
          }
        },
        UpdateBotRecommendation: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/botrecommendations/{botRecommendationId}/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botVersion",
              "localeId",
              "botRecommendationId",
              "encryptionSetting"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              botRecommendationId: {
                location: "uri",
                locationName: "botRecommendationId"
              },
              encryptionSetting: {
                shape: "S8d"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botVersion: {},
              localeId: {},
              botRecommendationStatus: {},
              botRecommendationId: {},
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              },
              transcriptSourceSetting: {
                shape: "S84"
              },
              encryptionSetting: {
                shape: "S8d"
              }
            }
          }
        },
        UpdateExport: {
          http: {
            method: "PUT",
            requestUri: "/exports/{exportId}/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "exportId"
            ],
            members: {
              exportId: {
                location: "uri",
                locationName: "exportId"
              },
              filePassword: {
                shape: "S2h"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              exportId: {},
              resourceSpecification: {
                shape: "S2b"
              },
              fileFormat: {},
              exportStatus: {},
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              }
            }
          }
        },
        UpdateIntent: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "intentId",
              "intentName",
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              intentId: {
                location: "uri",
                locationName: "intentId"
              },
              intentName: {},
              description: {},
              parentIntentSignature: {},
              sampleUtterances: {
                shape: "S2m"
              },
              dialogCodeHook: {
                shape: "S2p"
              },
              fulfillmentCodeHook: {
                shape: "S2q"
              },
              slotPriorities: {
                shape: "S94"
              },
              intentConfirmationSetting: {
                shape: "S3z"
              },
              intentClosingSetting: {
                shape: "S4h"
              },
              inputContexts: {
                shape: "S4i"
              },
              outputContexts: {
                shape: "S4k"
              },
              kendraConfiguration: {
                shape: "S4o"
              },
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              initialResponseSetting: {
                shape: "S4r"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              intentId: {},
              intentName: {},
              description: {},
              parentIntentSignature: {},
              sampleUtterances: {
                shape: "S2m"
              },
              dialogCodeHook: {
                shape: "S2p"
              },
              fulfillmentCodeHook: {
                shape: "S2q"
              },
              slotPriorities: {
                shape: "S94"
              },
              intentConfirmationSetting: {
                shape: "S3z"
              },
              intentClosingSetting: {
                shape: "S4h"
              },
              inputContexts: {
                shape: "S4i"
              },
              outputContexts: {
                shape: "S4k"
              },
              kendraConfiguration: {
                shape: "S4o"
              },
              botId: {},
              botVersion: {},
              localeId: {},
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              },
              initialResponseSetting: {
                shape: "S4r"
              }
            }
          }
        },
        UpdateResourcePolicy: {
          http: {
            method: "PUT",
            requestUri: "/policy/{resourceArn}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "policy"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              policy: {},
              expectedRevisionId: {
                location: "querystring",
                locationName: "expectedRevisionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              resourceArn: {},
              revisionId: {}
            }
          }
        },
        UpdateSlot: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/{slotId}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "slotId",
              "slotName",
              "valueElicitationSetting",
              "botId",
              "botVersion",
              "localeId",
              "intentId"
            ],
            members: {
              slotId: {
                location: "uri",
                locationName: "slotId"
              },
              slotName: {},
              description: {},
              slotTypeId: {},
              valueElicitationSetting: {
                shape: "S5e"
              },
              obfuscationSetting: {
                shape: "S5p"
              },
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              intentId: {
                location: "uri",
                locationName: "intentId"
              },
              multipleValuesSetting: {
                shape: "S5r"
              },
              subSlotSetting: {
                shape: "S5s"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              slotId: {},
              slotName: {},
              description: {},
              slotTypeId: {},
              valueElicitationSetting: {
                shape: "S5e"
              },
              obfuscationSetting: {
                shape: "S5p"
              },
              botId: {},
              botVersion: {},
              localeId: {},
              intentId: {},
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              },
              multipleValuesSetting: {
                shape: "S5r"
              },
              subSlotSetting: {
                shape: "S5s"
              }
            }
          }
        },
        UpdateSlotType: {
          http: {
            method: "PUT",
            requestUri: "/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/slottypes/{slotTypeId}/",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "slotTypeId",
              "slotTypeName",
              "botId",
              "botVersion",
              "localeId"
            ],
            members: {
              slotTypeId: {
                location: "uri",
                locationName: "slotTypeId"
              },
              slotTypeName: {},
              description: {},
              slotTypeValues: {
                shape: "S5z"
              },
              valueSelectionSetting: {
                shape: "S64"
              },
              parentSlotTypeSignature: {},
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botVersion: {
                location: "uri",
                locationName: "botVersion"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              externalSourceSetting: {
                shape: "S6b"
              },
              compositeSlotTypeSetting: {
                shape: "S6g"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              slotTypeId: {},
              slotTypeName: {},
              description: {},
              slotTypeValues: {
                shape: "S5z"
              },
              valueSelectionSetting: {
                shape: "S64"
              },
              parentSlotTypeSignature: {},
              botId: {},
              botVersion: {},
              localeId: {},
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              },
              externalSourceSetting: {
                shape: "S6b"
              },
              compositeSlotTypeSetting: {
                shape: "S6g"
              }
            }
          }
        },
        UpdateTestSet: {
          http: {
            method: "PUT",
            requestUri: "/testsets/{testSetId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "testSetId",
              "testSetName"
            ],
            members: {
              testSetId: {
                location: "uri",
                locationName: "testSetId"
              },
              testSetName: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              testSetId: {},
              testSetName: {},
              description: {},
              modality: {},
              status: {},
              roleArn: {},
              numTurns: {
                type: "integer"
              },
              storageLocation: {
                shape: "S8x"
              },
              creationDateTime: {
                type: "timestamp"
              },
              lastUpdatedDateTime: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        Sa: {
          type: "list",
          member: {
            type: "structure",
            members: {
              itemId: {},
              errorMessage: {},
              errorCode: {}
            }
          }
        },
        Sf: {
          type: "list",
          member: {
            shape: "Sg"
          }
        },
        Sg: {
          type: "structure",
          required: [
            "itemId",
            "phrase"
          ],
          members: {
            itemId: {},
            phrase: {},
            weight: {
              type: "integer"
            },
            displayAs: {}
          }
        },
        Sx: {
          type: "structure",
          required: [
            "childDirected"
          ],
          members: {
            childDirected: {
              type: "boolean"
            }
          }
        },
        S10: {
          type: "map",
          key: {},
          value: {}
        },
        S14: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "botMemberId",
              "botMemberName",
              "botMemberAliasId",
              "botMemberAliasName",
              "botMemberVersion"
            ],
            members: {
              botMemberId: {},
              botMemberName: {},
              botMemberAliasId: {},
              botMemberAliasName: {},
              botMemberVersion: {}
            }
          }
        },
        S1c: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "enabled"
            ],
            members: {
              enabled: {
                type: "boolean"
              },
              codeHookSpecification: {
                type: "structure",
                required: [
                  "lambdaCodeHook"
                ],
                members: {
                  lambdaCodeHook: {
                    type: "structure",
                    required: [
                      "lambdaARN",
                      "codeHookInterfaceVersion"
                    ],
                    members: {
                      lambdaARN: {},
                      codeHookInterfaceVersion: {}
                    }
                  }
                }
              }
            }
          }
        },
        S1j: {
          type: "structure",
          members: {
            textLogSettings: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "enabled",
                  "destination"
                ],
                members: {
                  enabled: {
                    type: "boolean"
                  },
                  destination: {
                    type: "structure",
                    required: [
                      "cloudWatch"
                    ],
                    members: {
                      cloudWatch: {
                        type: "structure",
                        required: [
                          "cloudWatchLogGroupArn",
                          "logPrefix"
                        ],
                        members: {
                          cloudWatchLogGroupArn: {},
                          logPrefix: {}
                        }
                      }
                    }
                  }
                }
              }
            },
            audioLogSettings: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "enabled",
                  "destination"
                ],
                members: {
                  enabled: {
                    type: "boolean"
                  },
                  destination: {
                    type: "structure",
                    required: [
                      "s3Bucket"
                    ],
                    members: {
                      s3Bucket: {
                        type: "structure",
                        required: [
                          "s3BucketArn",
                          "logPrefix"
                        ],
                        members: {
                          kmsKeyArn: {},
                          s3BucketArn: {},
                          logPrefix: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S1w: {
          type: "structure",
          required: [
            "detectSentiment"
          ],
          members: {
            detectSentiment: {
              type: "boolean"
            }
          }
        },
        S21: {
          type: "structure",
          required: [
            "voiceId"
          ],
          members: {
            voiceId: {},
            engine: {}
          }
        },
        S27: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "sourceBotVersion"
            ],
            members: {
              sourceBotVersion: {}
            }
          }
        },
        S2b: {
          type: "structure",
          members: {
            botExportSpecification: {
              type: "structure",
              required: [
                "botId",
                "botVersion"
              ],
              members: {
                botId: {},
                botVersion: {}
              }
            },
            botLocaleExportSpecification: {
              type: "structure",
              required: [
                "botId",
                "botVersion",
                "localeId"
              ],
              members: {
                botId: {},
                botVersion: {},
                localeId: {}
              }
            },
            customVocabularyExportSpecification: {
              type: "structure",
              required: [
                "botId",
                "botVersion",
                "localeId"
              ],
              members: {
                botId: {},
                botVersion: {},
                localeId: {}
              }
            },
            testSetExportSpecification: {
              type: "structure",
              required: [
                "testSetId"
              ],
              members: {
                testSetId: {}
              }
            }
          }
        },
        S2h: {
          type: "string",
          sensitive: true
        },
        S2m: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "utterance"
            ],
            members: {
              utterance: {}
            }
          }
        },
        S2p: {
          type: "structure",
          required: [
            "enabled"
          ],
          members: {
            enabled: {
              type: "boolean"
            }
          }
        },
        S2q: {
          type: "structure",
          required: [
            "enabled"
          ],
          members: {
            enabled: {
              type: "boolean"
            },
            postFulfillmentStatusSpecification: {
              type: "structure",
              members: {
                successResponse: {
                  shape: "S2s"
                },
                failureResponse: {
                  shape: "S2s"
                },
                timeoutResponse: {
                  shape: "S2s"
                },
                successNextStep: {
                  shape: "S3b"
                },
                successConditional: {
                  shape: "S3n"
                },
                failureNextStep: {
                  shape: "S3b"
                },
                failureConditional: {
                  shape: "S3n"
                },
                timeoutNextStep: {
                  shape: "S3b"
                },
                timeoutConditional: {
                  shape: "S3n"
                }
              }
            },
            fulfillmentUpdatesSpecification: {
              type: "structure",
              required: [
                "active"
              ],
              members: {
                active: {
                  type: "boolean"
                },
                startResponse: {
                  type: "structure",
                  required: [
                    "delayInSeconds",
                    "messageGroups"
                  ],
                  members: {
                    delayInSeconds: {
                      type: "integer"
                    },
                    messageGroups: {
                      shape: "S2t"
                    },
                    allowInterrupt: {
                      type: "boolean"
                    }
                  }
                },
                updateResponse: {
                  type: "structure",
                  required: [
                    "frequencyInSeconds",
                    "messageGroups"
                  ],
                  members: {
                    frequencyInSeconds: {
                      type: "integer"
                    },
                    messageGroups: {
                      shape: "S2t"
                    },
                    allowInterrupt: {
                      type: "boolean"
                    }
                  }
                },
                timeoutInSeconds: {
                  type: "integer"
                }
              }
            },
            active: {
              type: "boolean"
            }
          }
        },
        S2s: {
          type: "structure",
          required: [
            "messageGroups"
          ],
          members: {
            messageGroups: {
              shape: "S2t"
            },
            allowInterrupt: {
              type: "boolean"
            }
          }
        },
        S2t: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "message"
            ],
            members: {
              message: {
                shape: "S2v"
              },
              variations: {
                type: "list",
                member: {
                  shape: "S2v"
                }
              }
            }
          }
        },
        S2v: {
          type: "structure",
          members: {
            plainTextMessage: {
              type: "structure",
              required: [
                "value"
              ],
              members: {
                value: {}
              }
            },
            customPayload: {
              type: "structure",
              required: [
                "value"
              ],
              members: {
                value: {}
              }
            },
            ssmlMessage: {
              type: "structure",
              required: [
                "value"
              ],
              members: {
                value: {}
              }
            },
            imageResponseCard: {
              type: "structure",
              required: [
                "title"
              ],
              members: {
                title: {},
                subtitle: {},
                imageUrl: {},
                buttons: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "text",
                      "value"
                    ],
                    members: {
                      text: {},
                      value: {}
                    }
                  }
                }
              }
            }
          }
        },
        S3b: {
          type: "structure",
          members: {
            dialogAction: {
              type: "structure",
              required: [
                "type"
              ],
              members: {
                type: {},
                slotToElicit: {},
                suppressNextMessage: {
                  type: "boolean"
                }
              }
            },
            intent: {
              type: "structure",
              members: {
                name: {},
                slots: {
                  type: "map",
                  key: {},
                  value: {
                    shape: "S3g"
                  }
                }
              }
            },
            sessionAttributes: {
              shape: "S3l"
            }
          }
        },
        S3g: {
          type: "structure",
          members: {
            shape: {},
            value: {
              type: "structure",
              members: {
                interpretedValue: {}
              }
            },
            values: {
              type: "list",
              member: {
                shape: "S3g"
              }
            }
          }
        },
        S3l: {
          type: "map",
          key: {},
          value: {}
        },
        S3n: {
          type: "structure",
          required: [
            "active",
            "conditionalBranches",
            "defaultBranch"
          ],
          members: {
            active: {
              type: "boolean"
            },
            conditionalBranches: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "name",
                  "condition",
                  "nextStep"
                ],
                members: {
                  name: {},
                  condition: {
                    type: "structure",
                    required: [
                      "expressionString"
                    ],
                    members: {
                      expressionString: {}
                    }
                  },
                  nextStep: {
                    shape: "S3b"
                  },
                  response: {
                    shape: "S2s"
                  }
                }
              }
            },
            defaultBranch: {
              type: "structure",
              members: {
                nextStep: {
                  shape: "S3b"
                },
                response: {
                  shape: "S2s"
                }
              }
            }
          }
        },
        S3z: {
          type: "structure",
          required: [
            "promptSpecification"
          ],
          members: {
            promptSpecification: {
              shape: "S40"
            },
            declinationResponse: {
              shape: "S2s"
            },
            active: {
              type: "boolean"
            },
            confirmationResponse: {
              shape: "S2s"
            },
            confirmationNextStep: {
              shape: "S3b"
            },
            confirmationConditional: {
              shape: "S3n"
            },
            declinationNextStep: {
              shape: "S3b"
            },
            declinationConditional: {
              shape: "S3n"
            },
            failureResponse: {
              shape: "S2s"
            },
            failureNextStep: {
              shape: "S3b"
            },
            failureConditional: {
              shape: "S3n"
            },
            codeHook: {
              shape: "S4e"
            },
            elicitationCodeHook: {
              shape: "S4g"
            }
          }
        },
        S40: {
          type: "structure",
          required: [
            "messageGroups",
            "maxRetries"
          ],
          members: {
            messageGroups: {
              shape: "S2t"
            },
            maxRetries: {
              type: "integer"
            },
            allowInterrupt: {
              type: "boolean"
            },
            messageSelectionStrategy: {},
            promptAttemptsSpecification: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                required: [
                  "allowedInputTypes"
                ],
                members: {
                  allowInterrupt: {
                    type: "boolean"
                  },
                  allowedInputTypes: {
                    type: "structure",
                    required: [
                      "allowAudioInput",
                      "allowDTMFInput"
                    ],
                    members: {
                      allowAudioInput: {
                        type: "boolean"
                      },
                      allowDTMFInput: {
                        type: "boolean"
                      }
                    }
                  },
                  audioAndDTMFInputSpecification: {
                    type: "structure",
                    required: [
                      "startTimeoutMs"
                    ],
                    members: {
                      startTimeoutMs: {
                        type: "integer"
                      },
                      audioSpecification: {
                        type: "structure",
                        required: [
                          "maxLengthMs",
                          "endTimeoutMs"
                        ],
                        members: {
                          maxLengthMs: {
                            type: "integer"
                          },
                          endTimeoutMs: {
                            type: "integer"
                          }
                        }
                      },
                      dtmfSpecification: {
                        type: "structure",
                        required: [
                          "maxLength",
                          "endTimeoutMs",
                          "deletionCharacter",
                          "endCharacter"
                        ],
                        members: {
                          maxLength: {
                            type: "integer"
                          },
                          endTimeoutMs: {
                            type: "integer"
                          },
                          deletionCharacter: {},
                          endCharacter: {}
                        }
                      }
                    }
                  },
                  textInputSpecification: {
                    type: "structure",
                    required: [
                      "startTimeoutMs"
                    ],
                    members: {
                      startTimeoutMs: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S4e: {
          type: "structure",
          required: [
            "enableCodeHookInvocation",
            "active",
            "postCodeHookSpecification"
          ],
          members: {
            enableCodeHookInvocation: {
              type: "boolean"
            },
            active: {
              type: "boolean"
            },
            invocationLabel: {},
            postCodeHookSpecification: {
              type: "structure",
              members: {
                successResponse: {
                  shape: "S2s"
                },
                successNextStep: {
                  shape: "S3b"
                },
                successConditional: {
                  shape: "S3n"
                },
                failureResponse: {
                  shape: "S2s"
                },
                failureNextStep: {
                  shape: "S3b"
                },
                failureConditional: {
                  shape: "S3n"
                },
                timeoutResponse: {
                  shape: "S2s"
                },
                timeoutNextStep: {
                  shape: "S3b"
                },
                timeoutConditional: {
                  shape: "S3n"
                }
              }
            }
          }
        },
        S4g: {
          type: "structure",
          required: [
            "enableCodeHookInvocation"
          ],
          members: {
            enableCodeHookInvocation: {
              type: "boolean"
            },
            invocationLabel: {}
          }
        },
        S4h: {
          type: "structure",
          members: {
            closingResponse: {
              shape: "S2s"
            },
            active: {
              type: "boolean"
            },
            nextStep: {
              shape: "S3b"
            },
            conditional: {
              shape: "S3n"
            }
          }
        },
        S4i: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          }
        },
        S4k: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "timeToLiveInSeconds",
              "turnsToLive"
            ],
            members: {
              name: {},
              timeToLiveInSeconds: {
                type: "integer"
              },
              turnsToLive: {
                type: "integer"
              }
            }
          }
        },
        S4o: {
          type: "structure",
          required: [
            "kendraIndex"
          ],
          members: {
            kendraIndex: {},
            queryFilterStringEnabled: {
              type: "boolean"
            },
            queryFilterString: {}
          }
        },
        S4r: {
          type: "structure",
          members: {
            initialResponse: {
              shape: "S2s"
            },
            nextStep: {
              shape: "S3b"
            },
            conditional: {
              shape: "S3n"
            },
            codeHook: {
              shape: "S4e"
            }
          }
        },
        S5e: {
          type: "structure",
          required: [
            "slotConstraint"
          ],
          members: {
            defaultValueSpecification: {
              shape: "S5f"
            },
            slotConstraint: {},
            promptSpecification: {
              shape: "S40"
            },
            sampleUtterances: {
              shape: "S2m"
            },
            waitAndContinueSpecification: {
              shape: "S5k"
            },
            slotCaptureSetting: {
              type: "structure",
              members: {
                captureResponse: {
                  shape: "S2s"
                },
                captureNextStep: {
                  shape: "S3b"
                },
                captureConditional: {
                  shape: "S3n"
                },
                failureResponse: {
                  shape: "S2s"
                },
                failureNextStep: {
                  shape: "S3b"
                },
                failureConditional: {
                  shape: "S3n"
                },
                codeHook: {
                  shape: "S4e"
                },
                elicitationCodeHook: {
                  shape: "S4g"
                }
              }
            }
          }
        },
        S5f: {
          type: "structure",
          required: [
            "defaultValueList"
          ],
          members: {
            defaultValueList: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "defaultValue"
                ],
                members: {
                  defaultValue: {}
                }
              }
            }
          }
        },
        S5k: {
          type: "structure",
          required: [
            "waitingResponse",
            "continueResponse"
          ],
          members: {
            waitingResponse: {
              shape: "S2s"
            },
            continueResponse: {
              shape: "S2s"
            },
            stillWaitingResponse: {
              type: "structure",
              required: [
                "messageGroups",
                "frequencyInSeconds",
                "timeoutInSeconds"
              ],
              members: {
                messageGroups: {
                  shape: "S2t"
                },
                frequencyInSeconds: {
                  type: "integer"
                },
                timeoutInSeconds: {
                  type: "integer"
                },
                allowInterrupt: {
                  type: "boolean"
                }
              }
            },
            active: {
              type: "boolean"
            }
          }
        },
        S5p: {
          type: "structure",
          required: [
            "obfuscationSettingType"
          ],
          members: {
            obfuscationSettingType: {}
          }
        },
        S5r: {
          type: "structure",
          members: {
            allowMultipleValues: {
              type: "boolean"
            }
          }
        },
        S5s: {
          type: "structure",
          members: {
            expression: {},
            slotSpecifications: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                required: [
                  "slotTypeId",
                  "valueElicitationSetting"
                ],
                members: {
                  slotTypeId: {},
                  valueElicitationSetting: {
                    type: "structure",
                    required: [
                      "promptSpecification"
                    ],
                    members: {
                      defaultValueSpecification: {
                        shape: "S5f"
                      },
                      promptSpecification: {
                        shape: "S40"
                      },
                      sampleUtterances: {
                        shape: "S2m"
                      },
                      waitAndContinueSpecification: {
                        shape: "S5k"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S5z: {
          type: "list",
          member: {
            type: "structure",
            members: {
              sampleValue: {
                shape: "S61"
              },
              synonyms: {
                type: "list",
                member: {
                  shape: "S61"
                }
              }
            }
          }
        },
        S61: {
          type: "structure",
          required: [
            "value"
          ],
          members: {
            value: {}
          }
        },
        S64: {
          type: "structure",
          required: [
            "resolutionStrategy"
          ],
          members: {
            resolutionStrategy: {},
            regexFilter: {
              type: "structure",
              required: [
                "pattern"
              ],
              members: {
                pattern: {}
              }
            },
            advancedRecognitionSetting: {
              type: "structure",
              members: {
                audioRecognitionStrategy: {}
              }
            }
          }
        },
        S6b: {
          type: "structure",
          members: {
            grammarSlotTypeSetting: {
              type: "structure",
              members: {
                source: {
                  type: "structure",
                  required: [
                    "s3BucketName",
                    "s3ObjectKey"
                  ],
                  members: {
                    s3BucketName: {},
                    s3ObjectKey: {},
                    kmsKeyArn: {}
                  }
                }
              }
            }
          }
        },
        S6g: {
          type: "structure",
          members: {
            subSlots: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "name",
                  "slotTypeId"
                ],
                members: {
                  name: {},
                  slotTypeId: {}
                }
              }
            }
          }
        },
        S6l: {
          type: "structure",
          members: {
            botAliasTarget: {
              type: "structure",
              required: [
                "botId",
                "botAliasId",
                "localeId"
              ],
              members: {
                botId: {},
                botAliasId: {},
                localeId: {}
              }
            }
          }
        },
        S7l: {
          type: "list",
          member: {}
        },
        S7r: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "botId",
              "botVersion"
            ],
            members: {
              botId: {},
              botVersion: {}
            }
          }
        },
        S7z: {
          type: "list",
          member: {}
        },
        S84: {
          type: "structure",
          members: {
            s3BucketTranscriptSource: {
              type: "structure",
              required: [
                "s3BucketName",
                "transcriptFormat"
              ],
              members: {
                s3BucketName: {},
                pathFormat: {
                  type: "structure",
                  members: {
                    objectPrefixes: {
                      type: "list",
                      member: {}
                    }
                  }
                },
                transcriptFormat: {},
                transcriptFilter: {
                  type: "structure",
                  members: {
                    lexTranscriptFilter: {
                      type: "structure",
                      members: {
                        dateRangeFilter: {
                          type: "structure",
                          required: [
                            "startDateTime",
                            "endDateTime"
                          ],
                          members: {
                            startDateTime: {
                              type: "timestamp"
                            },
                            endDateTime: {
                              type: "timestamp"
                            }
                          }
                        }
                      }
                    }
                  }
                },
                kmsKeyArn: {}
              }
            }
          }
        },
        S8d: {
          type: "structure",
          members: {
            kmsKeyArn: {},
            botLocaleExportPassword: {
              shape: "S8e"
            },
            associatedTranscriptsPassword: {
              shape: "S8e"
            }
          }
        },
        S8e: {
          type: "string",
          sensitive: true
        },
        S8s: {
          type: "structure",
          members: {
            botImportSpecification: {
              type: "structure",
              required: [
                "botName",
                "roleArn",
                "dataPrivacy"
              ],
              members: {
                botName: {},
                roleArn: {},
                dataPrivacy: {
                  shape: "Sx"
                },
                idleSessionTTLInSeconds: {
                  type: "integer"
                },
                botTags: {
                  shape: "S10"
                },
                testBotAliasTags: {
                  shape: "S10"
                }
              }
            },
            botLocaleImportSpecification: {
              type: "structure",
              required: [
                "botId",
                "botVersion",
                "localeId"
              ],
              members: {
                botId: {},
                botVersion: {},
                localeId: {},
                nluIntentConfidenceThreshold: {
                  type: "double"
                },
                voiceSettings: {
                  shape: "S21"
                }
              }
            },
            customVocabularyImportSpecification: {
              type: "structure",
              required: [
                "botId",
                "botVersion",
                "localeId"
              ],
              members: {
                botId: {},
                botVersion: {},
                localeId: {}
              }
            },
            testSetImportResourceSpecification: {
              type: "structure",
              required: [
                "testSetName",
                "roleArn",
                "storageLocation",
                "importInputLocation",
                "modality"
              ],
              members: {
                testSetName: {},
                description: {},
                roleArn: {},
                storageLocation: {
                  shape: "S8x"
                },
                importInputLocation: {
                  type: "structure",
                  required: [
                    "s3BucketName",
                    "s3Path"
                  ],
                  members: {
                    s3BucketName: {},
                    s3Path: {}
                  }
                },
                modality: {},
                testSetTags: {
                  shape: "S10"
                }
              }
            }
          }
        },
        S8x: {
          type: "structure",
          required: [
            "s3BucketName",
            "s3Path"
          ],
          members: {
            s3BucketName: {},
            s3Path: {},
            kmsKeyArn: {}
          }
        },
        S94: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "priority",
              "slotId"
            ],
            members: {
              priority: {
                type: "integer"
              },
              slotId: {}
            }
          }
        },
        S9g: {
          type: "structure",
          members: {
            botAliasTarget: {
              type: "structure",
              required: [
                "botId",
                "botAliasId",
                "localeId"
              ],
              members: {
                botId: {},
                botAliasId: {},
                localeId: {}
              }
            }
          }
        },
        S9y: {
          type: "structure",
          members: {
            conversationLogsDataSource: {
              type: "structure",
              required: [
                "botId",
                "botAliasId",
                "localeId",
                "filter"
              ],
              members: {
                botId: {},
                botAliasId: {},
                localeId: {},
                filter: {
                  type: "structure",
                  required: [
                    "startTime",
                    "endTime",
                    "inputMode"
                  ],
                  members: {
                    startTime: {
                      type: "timestamp"
                    },
                    endTime: {
                      type: "timestamp"
                    },
                    inputMode: {}
                  }
                }
              }
            }
          }
        },
        Sa5: {
          type: "structure",
          required: [
            "relativeAggregationDuration"
          ],
          members: {
            relativeAggregationDuration: {
              type: "structure",
              required: [
                "timeDimension",
                "timeValue"
              ],
              members: {
                timeDimension: {},
                timeValue: {
                  type: "integer"
                }
              }
            }
          }
        },
        Saf: {
          type: "list",
          member: {}
        },
        Sdz: {
          type: "map",
          key: {},
          value: {
            type: "integer"
          }
        },
        Seq: {
          type: "structure",
          required: [
            "errorCode",
            "errorMessage"
          ],
          members: {
            errorCode: {},
            errorMessage: {}
          }
        },
        Ses: {
          type: "structure",
          required: [
            "utteranceInput"
          ],
          members: {
            utteranceInput: {
              type: "structure",
              members: {
                textInput: {},
                audioInput: {
                  type: "structure",
                  required: [
                    "audioFileS3Location"
                  ],
                  members: {
                    audioFileS3Location: {}
                  }
                }
              }
            },
            requestAttributes: {
              shape: "S3l"
            },
            sessionState: {
              type: "structure",
              members: {
                sessionAttributes: {
                  shape: "S3l"
                },
                activeContexts: {
                  shape: "Sey"
                },
                runtimeHints: {
                  type: "structure",
                  members: {
                    slotHints: {
                      type: "map",
                      key: {},
                      value: {
                        shape: "Sf3"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sey: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          }
        },
        Sf3: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              runtimeHintValues: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "phrase"
                  ],
                  members: {
                    phrase: {}
                  }
                }
              },
              subSlotHints: {
                shape: "Sf3"
              }
            }
          }
        },
        Sf8: {
          type: "structure",
          required: [
            "intent"
          ],
          members: {
            intent: {
              type: "structure",
              required: [
                "name"
              ],
              members: {
                name: {},
                slots: {
                  shape: "Sfa"
                }
              }
            },
            activeContexts: {
              shape: "Sey"
            },
            transcript: {}
          }
        },
        Sfa: {
          type: "map",
          key: {},
          value: {
            shape: "Sfb"
          }
        },
        Sfb: {
          type: "structure",
          members: {
            value: {},
            values: {
              type: "list",
              member: {
                shape: "Sfb"
              }
            },
            subSlots: {
              shape: "Sfa"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/models.lex.v2-2020-08-07.paginators.json
var require_models_lex_v2_2020_08_07_paginators = __commonJS({
  "node_modules/aws-sdk/apis/models.lex.v2-2020-08-07.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAggregatedUtterances: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListBotAliases: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListBotLocales: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListBotRecommendations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListBotVersions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListBots: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListBuiltInIntents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListBuiltInSlotTypes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListCustomVocabularyItems: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListExports: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListImports: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListIntents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListRecommendedIntents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListSlotTypes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListSlots: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListTestExecutionResultItems: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListTestExecutions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListTestSetRecords: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListTestSets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/models.lex.v2-2020-08-07.waiters2.json
var require_models_lex_v2_2020_08_07_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/models.lex.v2-2020-08-07.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        BotAvailable: {
          delay: 10,
          operation: "DescribeBot",
          maxAttempts: 35,
          description: "Wait until a bot is available",
          acceptors: [
            {
              expected: "Available",
              matcher: "path",
              state: "success",
              argument: "botStatus"
            },
            {
              expected: "Deleting",
              matcher: "path",
              state: "failure",
              argument: "botStatus"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "botStatus"
            },
            {
              expected: "Inactive",
              matcher: "path",
              state: "failure",
              argument: "botStatus"
            }
          ]
        },
        BotAliasAvailable: {
          delay: 10,
          operation: "DescribeBotAlias",
          maxAttempts: 35,
          description: "Wait until a bot alias is available",
          acceptors: [
            {
              expected: "Available",
              matcher: "path",
              state: "success",
              argument: "botAliasStatus"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "botAliasStatus"
            },
            {
              expected: "Deleting",
              matcher: "path",
              state: "failure",
              argument: "botAliasStatus"
            }
          ]
        },
        BotExportCompleted: {
          delay: 10,
          operation: "DescribeExport",
          maxAttempts: 35,
          description: "Wait until a bot has been exported",
          acceptors: [
            {
              expected: "Completed",
              matcher: "path",
              state: "success",
              argument: "exportStatus"
            },
            {
              expected: "Deleting",
              matcher: "path",
              state: "failure",
              argument: "exportStatus"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "exportStatus"
            }
          ]
        },
        BotImportCompleted: {
          delay: 10,
          operation: "DescribeImport",
          maxAttempts: 35,
          description: "Wait until a bot has been imported",
          acceptors: [
            {
              expected: "Completed",
              matcher: "path",
              state: "success",
              argument: "importStatus"
            },
            {
              expected: "Deleting",
              matcher: "path",
              state: "failure",
              argument: "importStatus"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "importStatus"
            }
          ]
        },
        BotLocaleBuilt: {
          delay: 10,
          operation: "DescribeBotLocale",
          maxAttempts: 35,
          description: "Wait until a bot locale is built",
          acceptors: [
            {
              expected: "Built",
              matcher: "path",
              state: "success",
              argument: "botLocaleStatus"
            },
            {
              expected: "Deleting",
              matcher: "path",
              state: "failure",
              argument: "botLocaleStatus"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "botLocaleStatus"
            },
            {
              expected: "NotBuilt",
              matcher: "path",
              state: "failure",
              argument: "botLocaleStatus"
            }
          ]
        },
        BotLocaleExpressTestingAvailable: {
          delay: 10,
          operation: "DescribeBotLocale",
          maxAttempts: 35,
          description: "Wait until a bot locale build is ready for express testing",
          acceptors: [
            {
              expected: "Built",
              matcher: "path",
              state: "success",
              argument: "botLocaleStatus"
            },
            {
              expected: "ReadyExpressTesting",
              matcher: "path",
              state: "success",
              argument: "botLocaleStatus"
            },
            {
              expected: "Deleting",
              matcher: "path",
              state: "failure",
              argument: "botLocaleStatus"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "botLocaleStatus"
            },
            {
              expected: "NotBuilt",
              matcher: "path",
              state: "failure",
              argument: "botLocaleStatus"
            }
          ]
        },
        BotVersionAvailable: {
          delay: 10,
          operation: "DescribeBotVersion",
          maxAttempts: 35,
          description: "Wait until a bot version is available",
          acceptors: [
            {
              expected: "Available",
              matcher: "path",
              state: "success",
              argument: "botStatus"
            },
            {
              expected: "Deleting",
              matcher: "path",
              state: "failure",
              argument: "botStatus"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "botStatus"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 404
            }
          ]
        },
        BotLocaleCreated: {
          delay: 10,
          operation: "DescribeBotLocale",
          maxAttempts: 35,
          description: "Wait unit a bot locale is created",
          acceptors: [
            {
              expected: "Built",
              matcher: "path",
              state: "success",
              argument: "botLocaleStatus"
            },
            {
              expected: "ReadyExpressTesting",
              matcher: "path",
              state: "success",
              argument: "botLocaleStatus"
            },
            {
              expected: "NotBuilt",
              matcher: "path",
              state: "success",
              argument: "botLocaleStatus"
            },
            {
              expected: "Deleting",
              matcher: "path",
              state: "failure",
              argument: "botLocaleStatus"
            },
            {
              expected: "Failed",
              matcher: "path",
              state: "failure",
              argument: "botLocaleStatus"
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/lexmodelsv2.js
var require_lexmodelsv2 = __commonJS({
  "node_modules/aws-sdk/clients/lexmodelsv2.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["lexmodelsv2"] = {};
    AWS2.LexModelsV2 = Service.defineService("lexmodelsv2", ["2020-08-07"]);
    Object.defineProperty(apiLoader.services["lexmodelsv2"], "2020-08-07", {
      get: function get() {
        var model = require_models_lex_v2_2020_08_07_min();
        model.paginators = require_models_lex_v2_2020_08_07_paginators().pagination;
        model.waiters = require_models_lex_v2_2020_08_07_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.LexModelsV2;
  }
});

// node_modules/aws-sdk/apis/runtime.lex.v2-2020-08-07.min.json
var require_runtime_lex_v2_2020_08_07_min = __commonJS({
  "node_modules/aws-sdk/apis/runtime.lex.v2-2020-08-07.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-08-07",
        endpointPrefix: "runtime-v2-lex",
        jsonVersion: "1.1",
        protocol: "rest-json",
        protocolSettings: {
          h2: "eventstream"
        },
        serviceAbbreviation: "Lex Runtime V2",
        serviceFullName: "Amazon Lex Runtime V2",
        serviceId: "Lex Runtime V2",
        signatureVersion: "v4",
        signingName: "lex",
        uid: "runtime.lex.v2-2020-08-07"
      },
      operations: {
        DeleteSession: {
          http: {
            method: "DELETE",
            requestUri: "/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}"
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botAliasId",
              "sessionId",
              "localeId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botAliasId: {
                location: "uri",
                locationName: "botAliasId"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              sessionId: {
                location: "uri",
                locationName: "sessionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              botId: {},
              botAliasId: {},
              localeId: {},
              sessionId: {}
            }
          }
        },
        GetSession: {
          http: {
            method: "GET",
            requestUri: "/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}"
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botAliasId",
              "localeId",
              "sessionId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botAliasId: {
                location: "uri",
                locationName: "botAliasId"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              sessionId: {
                location: "uri",
                locationName: "sessionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              sessionId: {},
              messages: {
                shape: "Sa"
              },
              interpretations: {
                shape: "Sl"
              },
              sessionState: {
                shape: "S11"
              }
            }
          }
        },
        PutSession: {
          http: {
            requestUri: "/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}"
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botAliasId",
              "localeId",
              "sessionState",
              "sessionId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botAliasId: {
                location: "uri",
                locationName: "botAliasId"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              sessionId: {
                location: "uri",
                locationName: "sessionId"
              },
              messages: {
                shape: "Sa"
              },
              sessionState: {
                shape: "S11"
              },
              requestAttributes: {
                shape: "S1e"
              },
              responseContentType: {
                location: "header",
                locationName: "ResponseContentType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              messages: {
                location: "header",
                locationName: "x-amz-lex-messages"
              },
              sessionState: {
                location: "header",
                locationName: "x-amz-lex-session-state"
              },
              requestAttributes: {
                location: "header",
                locationName: "x-amz-lex-request-attributes"
              },
              sessionId: {
                location: "header",
                locationName: "x-amz-lex-session-id"
              },
              audioStream: {
                shape: "S1q"
              }
            },
            payload: "audioStream"
          }
        },
        RecognizeText: {
          http: {
            requestUri: "/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}/text"
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botAliasId",
              "localeId",
              "text",
              "sessionId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botAliasId: {
                location: "uri",
                locationName: "botAliasId"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              sessionId: {
                location: "uri",
                locationName: "sessionId"
              },
              text: {
                shape: "Sc"
              },
              sessionState: {
                shape: "S11"
              },
              requestAttributes: {
                shape: "S1e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              messages: {
                shape: "Sa"
              },
              sessionState: {
                shape: "S11"
              },
              interpretations: {
                shape: "Sl"
              },
              requestAttributes: {
                shape: "S1e"
              },
              sessionId: {},
              recognizedBotMember: {
                type: "structure",
                required: [
                  "botId"
                ],
                members: {
                  botId: {},
                  botName: {}
                }
              }
            }
          }
        },
        RecognizeUtterance: {
          http: {
            requestUri: "/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}/utterance"
          },
          input: {
            type: "structure",
            required: [
              "botId",
              "botAliasId",
              "localeId",
              "requestContentType",
              "sessionId"
            ],
            members: {
              botId: {
                location: "uri",
                locationName: "botId"
              },
              botAliasId: {
                location: "uri",
                locationName: "botAliasId"
              },
              localeId: {
                location: "uri",
                locationName: "localeId"
              },
              sessionId: {
                location: "uri",
                locationName: "sessionId"
              },
              sessionState: {
                shape: "S1v",
                location: "header",
                locationName: "x-amz-lex-session-state"
              },
              requestAttributes: {
                shape: "S1v",
                location: "header",
                locationName: "x-amz-lex-request-attributes"
              },
              requestContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              responseContentType: {
                location: "header",
                locationName: "Response-Content-Type"
              },
              inputStream: {
                shape: "S1q"
              }
            },
            payload: "inputStream"
          },
          output: {
            type: "structure",
            members: {
              inputMode: {
                location: "header",
                locationName: "x-amz-lex-input-mode"
              },
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              messages: {
                location: "header",
                locationName: "x-amz-lex-messages"
              },
              interpretations: {
                location: "header",
                locationName: "x-amz-lex-interpretations"
              },
              sessionState: {
                location: "header",
                locationName: "x-amz-lex-session-state"
              },
              requestAttributes: {
                location: "header",
                locationName: "x-amz-lex-request-attributes"
              },
              sessionId: {
                location: "header",
                locationName: "x-amz-lex-session-id"
              },
              inputTranscript: {
                location: "header",
                locationName: "x-amz-lex-input-transcript"
              },
              audioStream: {
                shape: "S1q"
              },
              recognizedBotMember: {
                location: "header",
                locationName: "x-amz-lex-recognized-bot-member"
              }
            },
            payload: "audioStream"
          },
          authtype: "v4-unsigned-body"
        }
      },
      shapes: {
        Sa: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "contentType"
            ],
            members: {
              content: {
                shape: "Sc"
              },
              contentType: {},
              imageResponseCard: {
                type: "structure",
                required: [
                  "title"
                ],
                members: {
                  title: {},
                  subtitle: {},
                  imageUrl: {},
                  buttons: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "text",
                        "value"
                      ],
                      members: {
                        text: {},
                        value: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sc: {
          type: "string",
          sensitive: true
        },
        Sl: {
          type: "list",
          member: {
            type: "structure",
            members: {
              nluConfidence: {
                type: "structure",
                members: {
                  score: {
                    type: "double"
                  }
                }
              },
              sentimentResponse: {
                type: "structure",
                members: {
                  sentiment: {},
                  sentimentScore: {
                    type: "structure",
                    members: {
                      positive: {
                        type: "double"
                      },
                      negative: {
                        type: "double"
                      },
                      neutral: {
                        type: "double"
                      },
                      mixed: {
                        type: "double"
                      }
                    }
                  }
                }
              },
              intent: {
                shape: "Ss"
              }
            }
          }
        },
        Ss: {
          type: "structure",
          required: [
            "name"
          ],
          members: {
            name: {},
            slots: {
              shape: "St"
            },
            state: {},
            confirmationState: {}
          }
        },
        St: {
          type: "map",
          key: {},
          value: {
            shape: "Su"
          }
        },
        Su: {
          type: "structure",
          members: {
            value: {
              type: "structure",
              required: [
                "interpretedValue"
              ],
              members: {
                originalValue: {},
                interpretedValue: {},
                resolvedValues: {
                  type: "list",
                  member: {}
                }
              }
            },
            shape: {},
            values: {
              type: "list",
              member: {
                shape: "Su"
              }
            },
            subSlots: {
              shape: "St"
            }
          }
        },
        S11: {
          type: "structure",
          members: {
            dialogAction: {
              type: "structure",
              required: [
                "type"
              ],
              members: {
                type: {},
                slotToElicit: {},
                slotElicitationStyle: {},
                subSlotToElicit: {
                  shape: "S15"
                }
              }
            },
            intent: {
              shape: "Ss"
            },
            activeContexts: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "name",
                  "timeToLive",
                  "contextAttributes"
                ],
                members: {
                  name: {},
                  timeToLive: {
                    type: "structure",
                    required: [
                      "timeToLiveInSeconds",
                      "turnsToLive"
                    ],
                    members: {
                      timeToLiveInSeconds: {
                        type: "integer"
                      },
                      turnsToLive: {
                        type: "integer"
                      }
                    }
                  },
                  contextAttributes: {
                    type: "map",
                    key: {},
                    value: {
                      shape: "Sc"
                    }
                  }
                }
              }
            },
            sessionAttributes: {
              shape: "S1e"
            },
            originatingRequestId: {},
            runtimeHints: {
              type: "structure",
              members: {
                slotHints: {
                  type: "map",
                  key: {},
                  value: {
                    shape: "S1j"
                  }
                }
              }
            }
          }
        },
        S15: {
          type: "structure",
          required: [
            "name"
          ],
          members: {
            name: {},
            subSlotToElicit: {
              shape: "S15"
            }
          }
        },
        S1e: {
          type: "map",
          key: {},
          value: {}
        },
        S1j: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              runtimeHintValues: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "phrase"
                  ],
                  members: {
                    phrase: {}
                  }
                }
              },
              subSlotHints: {
                shape: "S1j"
              }
            }
          }
        },
        S1q: {
          type: "blob",
          streaming: true
        },
        S1v: {
          type: "string",
          sensitive: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/runtime.lex.v2-2020-08-07.paginators.json
var require_runtime_lex_v2_2020_08_07_paginators = __commonJS({
  "node_modules/aws-sdk/apis/runtime.lex.v2-2020-08-07.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/lexruntimev2.js
var require_lexruntimev2 = __commonJS({
  "node_modules/aws-sdk/clients/lexruntimev2.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["lexruntimev2"] = {};
    AWS2.LexRuntimeV2 = Service.defineService("lexruntimev2", ["2020-08-07"]);
    Object.defineProperty(apiLoader.services["lexruntimev2"], "2020-08-07", {
      get: function get() {
        var model = require_runtime_lex_v2_2020_08_07_min();
        model.paginators = require_runtime_lex_v2_2020_08_07_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.LexRuntimeV2;
  }
});

// node_modules/aws-sdk/apis/fis-2020-12-01.min.json
var require_fis_2020_12_01_min = __commonJS({
  "node_modules/aws-sdk/apis/fis-2020-12-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-12-01",
        endpointPrefix: "fis",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "FIS",
        serviceFullName: "AWS Fault Injection Simulator",
        serviceId: "fis",
        signatureVersion: "v4",
        signingName: "fis",
        uid: "fis-2020-12-01"
      },
      operations: {
        CreateExperimentTemplate: {
          http: {
            requestUri: "/experimentTemplates",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "clientToken",
              "description",
              "stopConditions",
              "actions",
              "roleArn"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              description: {},
              stopConditions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "source"
                  ],
                  members: {
                    source: {},
                    value: {}
                  }
                }
              },
              targets: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  required: [
                    "resourceType",
                    "selectionMode"
                  ],
                  members: {
                    resourceType: {},
                    resourceArns: {
                      shape: "Sc"
                    },
                    resourceTags: {
                      shape: "Se"
                    },
                    filters: {
                      shape: "Sh"
                    },
                    selectionMode: {},
                    parameters: {
                      shape: "Sn"
                    }
                  }
                }
              },
              actions: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  required: [
                    "actionId"
                  ],
                  members: {
                    actionId: {},
                    description: {},
                    parameters: {
                      shape: "Sv"
                    },
                    targets: {
                      shape: "Sy"
                    },
                    startAfter: {
                      shape: "S10"
                    }
                  }
                }
              },
              roleArn: {},
              tags: {
                shape: "Se"
              },
              logConfiguration: {
                type: "structure",
                required: [
                  "logSchemaVersion"
                ],
                members: {
                  cloudWatchLogsConfiguration: {
                    shape: "S14"
                  },
                  s3Configuration: {
                    shape: "S16"
                  },
                  logSchemaVersion: {
                    type: "integer"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              experimentTemplate: {
                shape: "S1b"
              }
            }
          }
        },
        DeleteExperimentTemplate: {
          http: {
            method: "DELETE",
            requestUri: "/experimentTemplates/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              experimentTemplate: {
                shape: "S1b"
              }
            }
          }
        },
        GetAction: {
          http: {
            method: "GET",
            requestUri: "/actions/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              action: {
                type: "structure",
                members: {
                  id: {},
                  description: {},
                  parameters: {
                    type: "map",
                    key: {},
                    value: {
                      type: "structure",
                      members: {
                        description: {},
                        required: {
                          type: "boolean"
                        }
                      }
                    }
                  },
                  targets: {
                    shape: "S21"
                  },
                  tags: {
                    shape: "Se"
                  }
                }
              }
            }
          }
        },
        GetExperiment: {
          http: {
            method: "GET",
            requestUri: "/experiments/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              experiment: {
                shape: "S27"
              }
            }
          }
        },
        GetExperimentTemplate: {
          http: {
            method: "GET",
            requestUri: "/experimentTemplates/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              experimentTemplate: {
                shape: "S1b"
              }
            }
          }
        },
        GetTargetResourceType: {
          http: {
            method: "GET",
            requestUri: "/targetResourceTypes/{resourceType}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceType"
            ],
            members: {
              resourceType: {
                location: "uri",
                locationName: "resourceType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              targetResourceType: {
                type: "structure",
                members: {
                  resourceType: {},
                  description: {},
                  parameters: {
                    type: "map",
                    key: {},
                    value: {
                      type: "structure",
                      members: {
                        description: {},
                        required: {
                          type: "boolean"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ListActions: {
          http: {
            method: "GET",
            requestUri: "/actions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              actions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    description: {},
                    targets: {
                      shape: "S21"
                    },
                    tags: {
                      shape: "Se"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListExperimentTemplates: {
          http: {
            method: "GET",
            requestUri: "/experimentTemplates",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              experimentTemplates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    description: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    lastUpdateTime: {
                      type: "timestamp"
                    },
                    tags: {
                      shape: "Se"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListExperiments: {
          http: {
            method: "GET",
            requestUri: "/experiments",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              experiments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    experimentTemplateId: {},
                    state: {
                      shape: "S28"
                    },
                    creationTime: {
                      type: "timestamp"
                    },
                    tags: {
                      shape: "Se"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Se"
              }
            }
          }
        },
        ListTargetResourceTypes: {
          http: {
            method: "GET",
            requestUri: "/targetResourceTypes",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              targetResourceTypes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    resourceType: {},
                    description: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        StartExperiment: {
          http: {
            requestUri: "/experiments",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "clientToken",
              "experimentTemplateId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              experimentTemplateId: {},
              tags: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              experiment: {
                shape: "S27"
              }
            }
          }
        },
        StopExperiment: {
          http: {
            method: "DELETE",
            requestUri: "/experiments/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              experiment: {
                shape: "S27"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateExperimentTemplate: {
          http: {
            method: "PATCH",
            requestUri: "/experimentTemplates/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              description: {},
              stopConditions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "source"
                  ],
                  members: {
                    source: {},
                    value: {}
                  }
                }
              },
              targets: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  required: [
                    "resourceType",
                    "selectionMode"
                  ],
                  members: {
                    resourceType: {},
                    resourceArns: {
                      shape: "Sc"
                    },
                    resourceTags: {
                      shape: "Se"
                    },
                    filters: {
                      shape: "Sh"
                    },
                    selectionMode: {},
                    parameters: {
                      shape: "Sn"
                    }
                  }
                }
              },
              actions: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    actionId: {},
                    description: {},
                    parameters: {
                      shape: "Sv"
                    },
                    targets: {
                      shape: "Sy"
                    },
                    startAfter: {
                      shape: "S10"
                    }
                  }
                }
              },
              roleArn: {},
              logConfiguration: {
                type: "structure",
                members: {
                  cloudWatchLogsConfiguration: {
                    shape: "S14"
                  },
                  s3Configuration: {
                    shape: "S16"
                  },
                  logSchemaVersion: {
                    type: "integer"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              experimentTemplate: {
                shape: "S1b"
              }
            }
          }
        }
      },
      shapes: {
        Sc: {
          type: "list",
          member: {}
        },
        Se: {
          type: "map",
          key: {},
          value: {}
        },
        Sh: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "path",
              "values"
            ],
            members: {
              path: {},
              values: {
                shape: "Sk"
              }
            }
          }
        },
        Sk: {
          type: "list",
          member: {}
        },
        Sn: {
          type: "map",
          key: {},
          value: {}
        },
        Sv: {
          type: "map",
          key: {},
          value: {}
        },
        Sy: {
          type: "map",
          key: {},
          value: {}
        },
        S10: {
          type: "list",
          member: {}
        },
        S14: {
          type: "structure",
          required: [
            "logGroupArn"
          ],
          members: {
            logGroupArn: {}
          }
        },
        S16: {
          type: "structure",
          required: [
            "bucketName"
          ],
          members: {
            bucketName: {},
            prefix: {}
          }
        },
        S1b: {
          type: "structure",
          members: {
            id: {},
            description: {},
            targets: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                members: {
                  resourceType: {},
                  resourceArns: {
                    shape: "Sc"
                  },
                  resourceTags: {
                    shape: "Se"
                  },
                  filters: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        path: {},
                        values: {
                          shape: "Sk"
                        }
                      }
                    }
                  },
                  selectionMode: {},
                  parameters: {
                    shape: "Sn"
                  }
                }
              }
            },
            actions: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                members: {
                  actionId: {},
                  description: {},
                  parameters: {
                    shape: "Sv"
                  },
                  targets: {
                    shape: "Sy"
                  },
                  startAfter: {
                    shape: "S10"
                  }
                }
              }
            },
            stopConditions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  source: {},
                  value: {}
                }
              }
            },
            creationTime: {
              type: "timestamp"
            },
            lastUpdateTime: {
              type: "timestamp"
            },
            roleArn: {},
            tags: {
              shape: "Se"
            },
            logConfiguration: {
              type: "structure",
              members: {
                cloudWatchLogsConfiguration: {
                  type: "structure",
                  members: {
                    logGroupArn: {}
                  }
                },
                s3Configuration: {
                  type: "structure",
                  members: {
                    bucketName: {},
                    prefix: {}
                  }
                },
                logSchemaVersion: {
                  type: "integer"
                }
              }
            }
          }
        },
        S21: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              resourceType: {}
            }
          }
        },
        S27: {
          type: "structure",
          members: {
            id: {},
            experimentTemplateId: {},
            roleArn: {},
            state: {
              shape: "S28"
            },
            targets: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                members: {
                  resourceType: {},
                  resourceArns: {
                    shape: "Sc"
                  },
                  resourceTags: {
                    shape: "Se"
                  },
                  filters: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        path: {},
                        values: {
                          type: "list",
                          member: {}
                        }
                      }
                    }
                  },
                  selectionMode: {},
                  parameters: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                }
              }
            },
            actions: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                members: {
                  actionId: {},
                  description: {},
                  parameters: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  targets: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  startAfter: {
                    type: "list",
                    member: {}
                  },
                  state: {
                    type: "structure",
                    members: {
                      status: {},
                      reason: {}
                    }
                  },
                  startTime: {
                    type: "timestamp"
                  },
                  endTime: {
                    type: "timestamp"
                  }
                }
              }
            },
            stopConditions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  source: {},
                  value: {}
                }
              }
            },
            creationTime: {
              type: "timestamp"
            },
            startTime: {
              type: "timestamp"
            },
            endTime: {
              type: "timestamp"
            },
            tags: {
              shape: "Se"
            },
            logConfiguration: {
              type: "structure",
              members: {
                cloudWatchLogsConfiguration: {
                  type: "structure",
                  members: {
                    logGroupArn: {}
                  }
                },
                s3Configuration: {
                  type: "structure",
                  members: {
                    bucketName: {},
                    prefix: {}
                  }
                },
                logSchemaVersion: {
                  type: "integer"
                }
              }
            }
          }
        },
        S28: {
          type: "structure",
          members: {
            status: {},
            reason: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/fis-2020-12-01.paginators.json
var require_fis_2020_12_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/fis-2020-12-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListActions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListExperimentTemplates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListExperiments: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListTargetResourceTypes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/fis.js
var require_fis = __commonJS({
  "node_modules/aws-sdk/clients/fis.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["fis"] = {};
    AWS2.Fis = Service.defineService("fis", ["2020-12-01"]);
    Object.defineProperty(apiLoader.services["fis"], "2020-12-01", {
      get: function get() {
        var model = require_fis_2020_12_01_min();
        model.paginators = require_fis_2020_12_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Fis;
  }
});

// node_modules/aws-sdk/apis/lookoutmetrics-2017-07-25.min.json
var require_lookoutmetrics_2017_07_25_min = __commonJS({
  "node_modules/aws-sdk/apis/lookoutmetrics-2017-07-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2017-07-25",
        endpointPrefix: "lookoutmetrics",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "LookoutMetrics",
        serviceFullName: "Amazon Lookout for Metrics",
        serviceId: "LookoutMetrics",
        signatureVersion: "v4",
        signingName: "lookoutmetrics",
        uid: "lookoutmetrics-2017-07-25"
      },
      operations: {
        ActivateAnomalyDetector: {
          http: {
            requestUri: "/ActivateAnomalyDetector"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyDetectorArn"
            ],
            members: {
              AnomalyDetectorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        BackTestAnomalyDetector: {
          http: {
            requestUri: "/BackTestAnomalyDetector"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyDetectorArn"
            ],
            members: {
              AnomalyDetectorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateAlert: {
          http: {
            requestUri: "/CreateAlert"
          },
          input: {
            type: "structure",
            required: [
              "AlertName",
              "AnomalyDetectorArn",
              "Action"
            ],
            members: {
              AlertName: {},
              AlertSensitivityThreshold: {
                type: "integer"
              },
              AlertDescription: {},
              AnomalyDetectorArn: {},
              Action: {
                shape: "Sa"
              },
              Tags: {
                shape: "Se"
              },
              AlertFilters: {
                shape: "Sh"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AlertArn: {}
            }
          }
        },
        CreateAnomalyDetector: {
          http: {
            requestUri: "/CreateAnomalyDetector"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyDetectorName",
              "AnomalyDetectorConfig"
            ],
            members: {
              AnomalyDetectorName: {},
              AnomalyDetectorDescription: {},
              AnomalyDetectorConfig: {
                shape: "St"
              },
              KmsKeyArn: {},
              Tags: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AnomalyDetectorArn: {}
            }
          }
        },
        CreateMetricSet: {
          http: {
            requestUri: "/CreateMetricSet"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyDetectorArn",
              "MetricSetName",
              "MetricList",
              "MetricSource"
            ],
            members: {
              AnomalyDetectorArn: {},
              MetricSetName: {},
              MetricSetDescription: {},
              MetricList: {
                shape: "S10"
              },
              Offset: {
                type: "integer"
              },
              TimestampColumn: {
                shape: "S15"
              },
              DimensionList: {
                shape: "S17"
              },
              MetricSetFrequency: {},
              MetricSource: {
                shape: "S18"
              },
              Timezone: {},
              Tags: {
                shape: "Se"
              },
              DimensionFilterList: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MetricSetArn: {}
            }
          }
        },
        DeactivateAnomalyDetector: {
          http: {
            requestUri: "/DeactivateAnomalyDetector"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyDetectorArn"
            ],
            members: {
              AnomalyDetectorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAlert: {
          http: {
            requestUri: "/DeleteAlert"
          },
          input: {
            type: "structure",
            required: [
              "AlertArn"
            ],
            members: {
              AlertArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAnomalyDetector: {
          http: {
            requestUri: "/DeleteAnomalyDetector"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyDetectorArn"
            ],
            members: {
              AnomalyDetectorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeAlert: {
          http: {
            requestUri: "/DescribeAlert"
          },
          input: {
            type: "structure",
            required: [
              "AlertArn"
            ],
            members: {
              AlertArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Alert: {
                type: "structure",
                members: {
                  Action: {
                    shape: "Sa"
                  },
                  AlertDescription: {},
                  AlertArn: {},
                  AnomalyDetectorArn: {},
                  AlertName: {},
                  AlertSensitivityThreshold: {
                    type: "integer"
                  },
                  AlertType: {},
                  AlertStatus: {},
                  LastModificationTime: {
                    type: "timestamp"
                  },
                  CreationTime: {
                    type: "timestamp"
                  },
                  AlertFilters: {
                    shape: "Sh"
                  }
                }
              }
            }
          }
        },
        DescribeAnomalyDetectionExecutions: {
          http: {
            requestUri: "/DescribeAnomalyDetectionExecutions"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyDetectorArn"
            ],
            members: {
              AnomalyDetectorArn: {},
              Timestamp: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ExecutionList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Timestamp: {},
                    Status: {},
                    FailureReason: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeAnomalyDetector: {
          http: {
            requestUri: "/DescribeAnomalyDetector"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyDetectorArn"
            ],
            members: {
              AnomalyDetectorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AnomalyDetectorArn: {},
              AnomalyDetectorName: {},
              AnomalyDetectorDescription: {},
              AnomalyDetectorConfig: {
                type: "structure",
                members: {
                  AnomalyDetectorFrequency: {}
                }
              },
              CreationTime: {
                type: "timestamp"
              },
              LastModificationTime: {
                type: "timestamp"
              },
              Status: {},
              FailureReason: {},
              KmsKeyArn: {},
              FailureType: {}
            }
          }
        },
        DescribeMetricSet: {
          http: {
            requestUri: "/DescribeMetricSet"
          },
          input: {
            type: "structure",
            required: [
              "MetricSetArn"
            ],
            members: {
              MetricSetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MetricSetArn: {},
              AnomalyDetectorArn: {},
              MetricSetName: {},
              MetricSetDescription: {},
              CreationTime: {
                type: "timestamp"
              },
              LastModificationTime: {
                type: "timestamp"
              },
              Offset: {
                type: "integer"
              },
              MetricList: {
                shape: "S10"
              },
              TimestampColumn: {
                shape: "S15"
              },
              DimensionList: {
                shape: "S17"
              },
              MetricSetFrequency: {},
              Timezone: {},
              MetricSource: {
                shape: "S18"
              },
              DimensionFilterList: {
                shape: "S2e"
              }
            }
          }
        },
        DetectMetricSetConfig: {
          http: {
            requestUri: "/DetectMetricSetConfig"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyDetectorArn",
              "AutoDetectionMetricSource"
            ],
            members: {
              AnomalyDetectorArn: {},
              AutoDetectionMetricSource: {
                type: "structure",
                members: {
                  S3SourceConfig: {
                    type: "structure",
                    members: {
                      TemplatedPathList: {
                        shape: "S1a"
                      },
                      HistoricalDataPathList: {
                        shape: "S1c"
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DetectedMetricSetConfig: {
                type: "structure",
                members: {
                  Offset: {
                    shape: "S3i"
                  },
                  MetricSetFrequency: {
                    shape: "S3i"
                  },
                  MetricSource: {
                    type: "structure",
                    members: {
                      S3SourceConfig: {
                        type: "structure",
                        members: {
                          FileFormatDescriptor: {
                            type: "structure",
                            members: {
                              CsvFormatDescriptor: {
                                type: "structure",
                                members: {
                                  FileCompression: {
                                    shape: "S3i"
                                  },
                                  Charset: {
                                    shape: "S3i"
                                  },
                                  ContainsHeader: {
                                    shape: "S3i"
                                  },
                                  Delimiter: {
                                    shape: "S3i"
                                  },
                                  HeaderList: {
                                    shape: "S3i"
                                  },
                                  QuoteSymbol: {
                                    shape: "S3i"
                                  }
                                }
                              },
                              JsonFormatDescriptor: {
                                type: "structure",
                                members: {
                                  FileCompression: {
                                    shape: "S3i"
                                  },
                                  Charset: {
                                    shape: "S3i"
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetAnomalyGroup: {
          http: {
            requestUri: "/GetAnomalyGroup"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyGroupId",
              "AnomalyDetectorArn"
            ],
            members: {
              AnomalyGroupId: {},
              AnomalyDetectorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AnomalyGroup: {
                type: "structure",
                members: {
                  StartTime: {},
                  EndTime: {},
                  AnomalyGroupId: {},
                  AnomalyGroupScore: {
                    type: "double"
                  },
                  PrimaryMetricName: {},
                  MetricLevelImpactList: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        MetricName: {},
                        NumTimeSeries: {
                          type: "integer"
                        },
                        ContributionMatrix: {
                          type: "structure",
                          members: {
                            DimensionContributionList: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  DimensionName: {},
                                  DimensionValueContributionList: {
                                    type: "list",
                                    member: {
                                      type: "structure",
                                      members: {
                                        DimensionValue: {},
                                        ContributionScore: {
                                          type: "double"
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetDataQualityMetrics: {
          http: {
            requestUri: "/GetDataQualityMetrics"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyDetectorArn"
            ],
            members: {
              AnomalyDetectorArn: {},
              MetricSetArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AnomalyDetectorDataQualityMetricList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StartTimestamp: {
                      type: "timestamp"
                    },
                    MetricSetDataQualityMetricList: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          MetricSetArn: {},
                          DataQualityMetricList: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                MetricType: {},
                                MetricDescription: {},
                                RelatedColumnName: {},
                                MetricValue: {
                                  type: "double"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetFeedback: {
          http: {
            requestUri: "/GetFeedback"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyDetectorArn",
              "AnomalyGroupTimeSeriesFeedback"
            ],
            members: {
              AnomalyDetectorArn: {},
              AnomalyGroupTimeSeriesFeedback: {
                type: "structure",
                required: [
                  "AnomalyGroupId"
                ],
                members: {
                  AnomalyGroupId: {},
                  TimeSeriesId: {}
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AnomalyGroupTimeSeriesFeedback: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    TimeSeriesId: {},
                    IsAnomaly: {
                      type: "boolean"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetSampleData: {
          http: {
            requestUri: "/GetSampleData"
          },
          input: {
            type: "structure",
            members: {
              S3SourceConfig: {
                type: "structure",
                required: [
                  "RoleArn",
                  "FileFormatDescriptor"
                ],
                members: {
                  RoleArn: {},
                  TemplatedPathList: {
                    shape: "S1a"
                  },
                  HistoricalDataPathList: {
                    shape: "S1c"
                  },
                  FileFormatDescriptor: {
                    shape: "S1e"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HeaderValues: {
                type: "list",
                member: {}
              },
              SampleRows: {
                type: "list",
                member: {
                  type: "list",
                  member: {}
                }
              }
            }
          }
        },
        ListAlerts: {
          http: {
            requestUri: "/ListAlerts"
          },
          input: {
            type: "structure",
            members: {
              AnomalyDetectorArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AlertSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AlertArn: {},
                    AnomalyDetectorArn: {},
                    AlertName: {},
                    AlertSensitivityThreshold: {
                      type: "integer"
                    },
                    AlertType: {},
                    AlertStatus: {},
                    LastModificationTime: {
                      type: "timestamp"
                    },
                    CreationTime: {
                      type: "timestamp"
                    },
                    Tags: {
                      shape: "Se"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAnomalyDetectors: {
          http: {
            requestUri: "/ListAnomalyDetectors"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AnomalyDetectorSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AnomalyDetectorArn: {},
                    AnomalyDetectorName: {},
                    AnomalyDetectorDescription: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModificationTime: {
                      type: "timestamp"
                    },
                    Status: {},
                    Tags: {
                      shape: "Se"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAnomalyGroupRelatedMetrics: {
          http: {
            requestUri: "/ListAnomalyGroupRelatedMetrics"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyDetectorArn",
              "AnomalyGroupId"
            ],
            members: {
              AnomalyDetectorArn: {},
              AnomalyGroupId: {},
              RelationshipTypeFilter: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InterMetricImpactList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MetricName: {},
                    AnomalyGroupId: {},
                    RelationshipType: {},
                    ContributionPercentage: {
                      type: "double"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAnomalyGroupSummaries: {
          http: {
            requestUri: "/ListAnomalyGroupSummaries"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyDetectorArn",
              "SensitivityThreshold"
            ],
            members: {
              AnomalyDetectorArn: {},
              SensitivityThreshold: {
                type: "integer"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AnomalyGroupSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StartTime: {},
                    EndTime: {},
                    AnomalyGroupId: {},
                    AnomalyGroupScore: {
                      type: "double"
                    },
                    PrimaryMetricName: {}
                  }
                }
              },
              AnomalyGroupStatistics: {
                type: "structure",
                members: {
                  EvaluationStartDate: {},
                  TotalCount: {
                    type: "integer"
                  },
                  ItemizedMetricStatsList: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        MetricName: {},
                        OccurrenceCount: {
                          type: "integer"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListAnomalyGroupTimeSeries: {
          http: {
            requestUri: "/ListAnomalyGroupTimeSeries"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyDetectorArn",
              "AnomalyGroupId",
              "MetricName"
            ],
            members: {
              AnomalyDetectorArn: {},
              AnomalyGroupId: {},
              MetricName: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AnomalyGroupId: {},
              MetricName: {},
              TimestampList: {
                type: "list",
                member: {}
              },
              NextToken: {},
              TimeSeriesList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "TimeSeriesId",
                    "DimensionList",
                    "MetricValueList"
                  ],
                  members: {
                    TimeSeriesId: {},
                    DimensionList: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "DimensionName",
                          "DimensionValue"
                        ],
                        members: {
                          DimensionName: {},
                          DimensionValue: {}
                        }
                      }
                    },
                    MetricValueList: {
                      type: "list",
                      member: {
                        type: "double"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ListMetricSets: {
          http: {
            requestUri: "/ListMetricSets"
          },
          input: {
            type: "structure",
            members: {
              AnomalyDetectorArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              MetricSetSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MetricSetArn: {},
                    AnomalyDetectorArn: {},
                    MetricSetDescription: {},
                    MetricSetName: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    LastModificationTime: {
                      type: "timestamp"
                    },
                    Tags: {
                      shape: "Se"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Se",
                locationName: "Tags"
              }
            }
          }
        },
        PutFeedback: {
          http: {
            requestUri: "/PutFeedback"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyDetectorArn",
              "AnomalyGroupTimeSeriesFeedback"
            ],
            members: {
              AnomalyDetectorArn: {},
              AnomalyGroupTimeSeriesFeedback: {
                type: "structure",
                required: [
                  "AnomalyGroupId",
                  "TimeSeriesId",
                  "IsAnomaly"
                ],
                members: {
                  AnomalyGroupId: {},
                  TimeSeriesId: {},
                  IsAnomaly: {
                    type: "boolean"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              Tags: {
                shape: "Se",
                locationName: "tags"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAlert: {
          http: {
            requestUri: "/UpdateAlert"
          },
          input: {
            type: "structure",
            required: [
              "AlertArn"
            ],
            members: {
              AlertArn: {},
              AlertDescription: {},
              AlertSensitivityThreshold: {
                type: "integer"
              },
              Action: {
                shape: "Sa"
              },
              AlertFilters: {
                shape: "Sh"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AlertArn: {}
            }
          }
        },
        UpdateAnomalyDetector: {
          http: {
            requestUri: "/UpdateAnomalyDetector"
          },
          input: {
            type: "structure",
            required: [
              "AnomalyDetectorArn"
            ],
            members: {
              AnomalyDetectorArn: {},
              KmsKeyArn: {},
              AnomalyDetectorDescription: {},
              AnomalyDetectorConfig: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AnomalyDetectorArn: {}
            }
          }
        },
        UpdateMetricSet: {
          http: {
            requestUri: "/UpdateMetricSet"
          },
          input: {
            type: "structure",
            required: [
              "MetricSetArn"
            ],
            members: {
              MetricSetArn: {},
              MetricSetDescription: {},
              MetricList: {
                shape: "S10"
              },
              Offset: {
                type: "integer"
              },
              TimestampColumn: {
                shape: "S15"
              },
              DimensionList: {
                shape: "S17"
              },
              MetricSetFrequency: {},
              MetricSource: {
                shape: "S18"
              },
              DimensionFilterList: {
                shape: "S2e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MetricSetArn: {}
            }
          }
        }
      },
      shapes: {
        Sa: {
          type: "structure",
          members: {
            SNSConfiguration: {
              type: "structure",
              required: [
                "RoleArn",
                "SnsTopicArn"
              ],
              members: {
                RoleArn: {},
                SnsTopicArn: {},
                SnsFormat: {}
              }
            },
            LambdaConfiguration: {
              type: "structure",
              required: [
                "RoleArn",
                "LambdaArn"
              ],
              members: {
                RoleArn: {},
                LambdaArn: {}
              }
            }
          }
        },
        Se: {
          type: "map",
          key: {},
          value: {}
        },
        Sh: {
          type: "structure",
          members: {
            MetricList: {
              type: "list",
              member: {}
            },
            DimensionFilterList: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  DimensionName: {},
                  DimensionValueList: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          }
        },
        St: {
          type: "structure",
          members: {
            AnomalyDetectorFrequency: {}
          }
        },
        S10: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "MetricName",
              "AggregationFunction"
            ],
            members: {
              MetricName: {},
              AggregationFunction: {},
              Namespace: {}
            }
          }
        },
        S15: {
          type: "structure",
          members: {
            ColumnName: {},
            ColumnFormat: {}
          }
        },
        S17: {
          type: "list",
          member: {}
        },
        S18: {
          type: "structure",
          members: {
            S3SourceConfig: {
              type: "structure",
              members: {
                RoleArn: {},
                TemplatedPathList: {
                  shape: "S1a"
                },
                HistoricalDataPathList: {
                  shape: "S1c"
                },
                FileFormatDescriptor: {
                  shape: "S1e"
                }
              }
            },
            AppFlowConfig: {
              type: "structure",
              members: {
                RoleArn: {},
                FlowName: {}
              }
            },
            CloudWatchConfig: {
              type: "structure",
              members: {
                RoleArn: {},
                BackTestConfiguration: {
                  shape: "S1r"
                }
              }
            },
            RDSSourceConfig: {
              type: "structure",
              members: {
                DBInstanceIdentifier: {},
                DatabaseHost: {},
                DatabasePort: {
                  type: "integer"
                },
                SecretManagerArn: {},
                DatabaseName: {},
                TableName: {},
                RoleArn: {},
                VpcConfiguration: {
                  shape: "S1z"
                }
              }
            },
            RedshiftSourceConfig: {
              type: "structure",
              members: {
                ClusterIdentifier: {},
                DatabaseHost: {},
                DatabasePort: {
                  type: "integer"
                },
                SecretManagerArn: {},
                DatabaseName: {},
                TableName: {},
                RoleArn: {},
                VpcConfiguration: {
                  shape: "S1z"
                }
              }
            },
            AthenaSourceConfig: {
              type: "structure",
              members: {
                RoleArn: {},
                DatabaseName: {},
                DataCatalog: {},
                TableName: {},
                WorkGroupName: {},
                S3ResultsPath: {},
                BackTestConfiguration: {
                  shape: "S1r"
                }
              }
            }
          }
        },
        S1a: {
          type: "list",
          member: {}
        },
        S1c: {
          type: "list",
          member: {}
        },
        S1e: {
          type: "structure",
          members: {
            CsvFormatDescriptor: {
              type: "structure",
              members: {
                FileCompression: {},
                Charset: {},
                ContainsHeader: {
                  type: "boolean"
                },
                Delimiter: {},
                HeaderList: {
                  type: "list",
                  member: {}
                },
                QuoteSymbol: {}
              }
            },
            JsonFormatDescriptor: {
              type: "structure",
              members: {
                FileCompression: {},
                Charset: {}
              }
            }
          }
        },
        S1r: {
          type: "structure",
          required: [
            "RunBackTestMode"
          ],
          members: {
            RunBackTestMode: {
              type: "boolean"
            }
          }
        },
        S1z: {
          type: "structure",
          required: [
            "SubnetIdList",
            "SecurityGroupIdList"
          ],
          members: {
            SubnetIdList: {
              type: "list",
              member: {}
            },
            SecurityGroupIdList: {
              type: "list",
              member: {}
            }
          }
        },
        S2e: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              FilterList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DimensionValue: {},
                    FilterOperation: {}
                  }
                }
              }
            }
          }
        },
        S3i: {
          type: "structure",
          members: {
            Value: {
              type: "structure",
              members: {
                S: {},
                N: {},
                B: {},
                SS: {
                  type: "list",
                  member: {}
                },
                NS: {
                  type: "list",
                  member: {}
                },
                BS: {
                  type: "list",
                  member: {}
                }
              }
            },
            Confidence: {},
            Message: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/lookoutmetrics-2017-07-25.paginators.json
var require_lookoutmetrics_2017_07_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/lookoutmetrics-2017-07-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeAnomalyDetectionExecutions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        GetFeedback: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAlerts: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAnomalyDetectors: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAnomalyGroupRelatedMetrics: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAnomalyGroupSummaries: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAnomalyGroupTimeSeries: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMetricSets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/lookoutmetrics.js
var require_lookoutmetrics = __commonJS({
  "node_modules/aws-sdk/clients/lookoutmetrics.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["lookoutmetrics"] = {};
    AWS2.LookoutMetrics = Service.defineService("lookoutmetrics", ["2017-07-25"]);
    Object.defineProperty(apiLoader.services["lookoutmetrics"], "2017-07-25", {
      get: function get() {
        var model = require_lookoutmetrics_2017_07_25_min();
        model.paginators = require_lookoutmetrics_2017_07_25_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.LookoutMetrics;
  }
});

// node_modules/aws-sdk/apis/mgn-2020-02-26.min.json
var require_mgn_2020_02_26_min = __commonJS({
  "node_modules/aws-sdk/apis/mgn-2020-02-26.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-02-26",
        endpointPrefix: "mgn",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "mgn",
        serviceFullName: "Application Migration Service",
        serviceId: "mgn",
        signatureVersion: "v4",
        signingName: "mgn",
        uid: "mgn-2020-02-26"
      },
      operations: {
        ArchiveApplication: {
          http: {
            requestUri: "/ArchiveApplication",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationID"
            ],
            members: {
              accountID: {},
              applicationID: {}
            }
          },
          output: {
            shape: "S4"
          }
        },
        ArchiveWave: {
          http: {
            requestUri: "/ArchiveWave",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "waveID"
            ],
            members: {
              accountID: {},
              waveID: {}
            }
          },
          output: {
            shape: "Sj"
          }
        },
        AssociateApplications: {
          http: {
            requestUri: "/AssociateApplications",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationIDs",
              "waveID"
            ],
            members: {
              accountID: {},
              applicationIDs: {
                shape: "Sq"
              },
              waveID: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        AssociateSourceServers: {
          http: {
            requestUri: "/AssociateSourceServers",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationID",
              "sourceServerIDs"
            ],
            members: {
              accountID: {},
              applicationID: {},
              sourceServerIDs: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        ChangeServerLifeCycleState: {
          http: {
            requestUri: "/ChangeServerLifeCycleState",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "lifeCycle",
              "sourceServerID"
            ],
            members: {
              accountID: {},
              lifeCycle: {
                type: "structure",
                required: [
                  "state"
                ],
                members: {
                  state: {}
                }
              },
              sourceServerID: {}
            }
          },
          output: {
            shape: "Sz"
          }
        },
        CreateApplication: {
          http: {
            requestUri: "/CreateApplication",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              accountID: {},
              description: {},
              name: {},
              tags: {
                shape: "Se"
              }
            }
          },
          output: {
            shape: "S4"
          },
          idempotent: true
        },
        CreateLaunchConfigurationTemplate: {
          http: {
            requestUri: "/CreateLaunchConfigurationTemplate",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              associatePublicIpAddress: {
                type: "boolean"
              },
              bootMode: {},
              copyPrivateIp: {
                type: "boolean"
              },
              copyTags: {
                type: "boolean"
              },
              enableMapAutoTagging: {
                type: "boolean"
              },
              largeVolumeConf: {
                shape: "S28"
              },
              launchDisposition: {},
              licensing: {
                shape: "S2d"
              },
              mapAutoTaggingMpeID: {},
              postLaunchActions: {
                shape: "S2e"
              },
              smallVolumeConf: {
                shape: "S28"
              },
              smallVolumeMaxSize: {
                type: "long"
              },
              tags: {
                shape: "Se"
              },
              targetInstanceTypeRightSizingMethod: {}
            }
          },
          output: {
            shape: "S2w"
          }
        },
        CreateReplicationConfigurationTemplate: {
          http: {
            requestUri: "/CreateReplicationConfigurationTemplate",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "associateDefaultSecurityGroup",
              "bandwidthThrottling",
              "createPublicIP",
              "dataPlaneRouting",
              "defaultLargeStagingDiskType",
              "ebsEncryption",
              "replicationServerInstanceType",
              "replicationServersSecurityGroupsIDs",
              "stagingAreaSubnetId",
              "stagingAreaTags",
              "useDedicatedReplicationServer"
            ],
            members: {
              associateDefaultSecurityGroup: {
                type: "boolean"
              },
              bandwidthThrottling: {
                type: "long"
              },
              createPublicIP: {
                type: "boolean"
              },
              dataPlaneRouting: {},
              defaultLargeStagingDiskType: {},
              ebsEncryption: {},
              ebsEncryptionKeyArn: {},
              replicationServerInstanceType: {},
              replicationServersSecurityGroupsIDs: {
                shape: "S34"
              },
              stagingAreaSubnetId: {},
              stagingAreaTags: {
                shape: "Se"
              },
              tags: {
                shape: "Se"
              },
              useDedicatedReplicationServer: {
                type: "boolean"
              },
              useFipsEndpoint: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S37"
          }
        },
        CreateWave: {
          http: {
            requestUri: "/CreateWave",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              accountID: {},
              description: {},
              name: {},
              tags: {
                shape: "Se"
              }
            }
          },
          output: {
            shape: "Sj"
          },
          idempotent: true
        },
        DeleteApplication: {
          http: {
            requestUri: "/DeleteApplication",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "applicationID"
            ],
            members: {
              accountID: {},
              applicationID: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteJob: {
          http: {
            requestUri: "/DeleteJob",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "jobID"
            ],
            members: {
              accountID: {},
              jobID: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteLaunchConfigurationTemplate: {
          http: {
            requestUri: "/DeleteLaunchConfigurationTemplate",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "launchConfigurationTemplateID"
            ],
            members: {
              launchConfigurationTemplateID: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteReplicationConfigurationTemplate: {
          http: {
            requestUri: "/DeleteReplicationConfigurationTemplate",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "replicationConfigurationTemplateID"
            ],
            members: {
              replicationConfigurationTemplateID: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteSourceServer: {
          http: {
            requestUri: "/DeleteSourceServer",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              accountID: {},
              sourceServerID: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteVcenterClient: {
          http: {
            requestUri: "/DeleteVcenterClient",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "vcenterClientID"
            ],
            members: {
              vcenterClientID: {}
            }
          },
          idempotent: true
        },
        DeleteWave: {
          http: {
            requestUri: "/DeleteWave",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "waveID"
            ],
            members: {
              accountID: {},
              waveID: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DescribeJobLogItems: {
          http: {
            requestUri: "/DescribeJobLogItems",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "jobID"
            ],
            members: {
              accountID: {},
              jobID: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    event: {},
                    eventData: {
                      type: "structure",
                      members: {
                        conversionServerID: {},
                        rawError: {},
                        sourceServerID: {},
                        targetInstanceID: {}
                      }
                    },
                    logDateTime: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeJobs: {
          http: {
            requestUri: "/DescribeJobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              accountID: {},
              filters: {
                type: "structure",
                members: {
                  fromDate: {},
                  jobIDs: {
                    type: "list",
                    member: {}
                  },
                  toDate: {}
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  shape: "S40"
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeLaunchConfigurationTemplates: {
          http: {
            requestUri: "/DescribeLaunchConfigurationTemplates",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              launchConfigurationTemplateIDs: {
                type: "list",
                member: {}
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  shape: "S2w"
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeReplicationConfigurationTemplates: {
          http: {
            requestUri: "/DescribeReplicationConfigurationTemplates",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              replicationConfigurationTemplateIDs: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  shape: "S37"
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeSourceServers: {
          http: {
            requestUri: "/DescribeSourceServers",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              accountID: {},
              filters: {
                type: "structure",
                members: {
                  applicationIDs: {
                    type: "list",
                    member: {}
                  },
                  isArchived: {
                    type: "boolean"
                  },
                  lifeCycleStates: {
                    type: "list",
                    member: {}
                  },
                  replicationTypes: {
                    type: "list",
                    member: {}
                  },
                  sourceServerIDs: {
                    type: "list",
                    member: {}
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  shape: "Sz"
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeVcenterClients: {
          http: {
            method: "GET",
            requestUri: "/DescribeVcenterClients",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    datacenterName: {},
                    hostname: {},
                    lastSeenDatetime: {},
                    sourceServerTags: {
                      shape: "Se"
                    },
                    tags: {
                      shape: "Se"
                    },
                    vcenterClientID: {},
                    vcenterUUID: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DisassociateApplications: {
          http: {
            requestUri: "/DisassociateApplications",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationIDs",
              "waveID"
            ],
            members: {
              accountID: {},
              applicationIDs: {
                shape: "Sq"
              },
              waveID: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DisassociateSourceServers: {
          http: {
            requestUri: "/DisassociateSourceServers",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationID",
              "sourceServerIDs"
            ],
            members: {
              accountID: {},
              applicationID: {},
              sourceServerIDs: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DisconnectFromService: {
          http: {
            requestUri: "/DisconnectFromService",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              accountID: {},
              sourceServerID: {}
            }
          },
          output: {
            shape: "Sz"
          }
        },
        FinalizeCutover: {
          http: {
            requestUri: "/FinalizeCutover",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              accountID: {},
              sourceServerID: {}
            }
          },
          output: {
            shape: "Sz"
          }
        },
        GetLaunchConfiguration: {
          http: {
            requestUri: "/GetLaunchConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              accountID: {},
              sourceServerID: {}
            }
          },
          output: {
            shape: "S54"
          }
        },
        GetReplicationConfiguration: {
          http: {
            requestUri: "/GetReplicationConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              accountID: {},
              sourceServerID: {}
            }
          },
          output: {
            shape: "S57"
          }
        },
        InitializeService: {
          http: {
            requestUri: "/InitializeService",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ListApplications: {
          http: {
            requestUri: "/ListApplications",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              accountID: {},
              filters: {
                type: "structure",
                members: {
                  applicationIDs: {
                    type: "list",
                    member: {}
                  },
                  isArchived: {
                    type: "boolean"
                  },
                  waveIDs: {
                    shape: "S5g"
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  shape: "S4"
                }
              },
              nextToken: {}
            }
          }
        },
        ListExportErrors: {
          http: {
            requestUri: "/ListExportErrors",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "exportID"
            ],
            members: {
              exportID: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    errorData: {
                      type: "structure",
                      members: {
                        rawError: {}
                      }
                    },
                    errorDateTime: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListExports: {
          http: {
            requestUri: "/ListExports",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filters: {
                type: "structure",
                members: {
                  exportIDs: {
                    type: "list",
                    member: {}
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  shape: "S5u"
                }
              },
              nextToken: {}
            }
          }
        },
        ListImportErrors: {
          http: {
            requestUri: "/ListImportErrors",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "importID"
            ],
            members: {
              importID: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    errorData: {
                      type: "structure",
                      members: {
                        accountID: {},
                        applicationID: {},
                        ec2LaunchTemplateID: {},
                        rawError: {},
                        rowNumber: {
                          type: "long"
                        },
                        sourceServerID: {},
                        waveID: {}
                      }
                    },
                    errorDateTime: {},
                    errorType: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListImports: {
          http: {
            requestUri: "/ListImports",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filters: {
                type: "structure",
                members: {
                  importIDs: {
                    type: "list",
                    member: {}
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  shape: "S6c"
                }
              },
              nextToken: {}
            }
          }
        },
        ListManagedAccounts: {
          http: {
            requestUri: "/ListManagedAccounts",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "items"
            ],
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    accountId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSourceServerActions: {
          http: {
            requestUri: "/ListSourceServerActions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              accountID: {},
              filters: {
                type: "structure",
                members: {
                  actionIDs: {
                    shape: "S6p"
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              sourceServerID: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  shape: "S6t"
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Se"
              }
            }
          }
        },
        ListTemplateActions: {
          http: {
            requestUri: "/ListTemplateActions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launchConfigurationTemplateID"
            ],
            members: {
              filters: {
                type: "structure",
                members: {
                  actionIDs: {
                    shape: "S6p"
                  }
                }
              },
              launchConfigurationTemplateID: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  shape: "S75"
                }
              },
              nextToken: {}
            }
          }
        },
        ListWaves: {
          http: {
            requestUri: "/ListWaves",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              accountID: {},
              filters: {
                type: "structure",
                members: {
                  isArchived: {
                    type: "boolean"
                  },
                  waveIDs: {
                    shape: "S5g"
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  shape: "Sj"
                }
              },
              nextToken: {}
            }
          }
        },
        MarkAsArchived: {
          http: {
            requestUri: "/MarkAsArchived",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              accountID: {},
              sourceServerID: {}
            }
          },
          output: {
            shape: "Sz"
          }
        },
        PauseReplication: {
          http: {
            requestUri: "/PauseReplication",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              accountID: {},
              sourceServerID: {}
            }
          },
          output: {
            shape: "Sz"
          }
        },
        PutSourceServerAction: {
          http: {
            requestUri: "/PutSourceServerAction",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "actionID",
              "actionName",
              "documentIdentifier",
              "order",
              "sourceServerID"
            ],
            members: {
              accountID: {},
              actionID: {},
              actionName: {},
              active: {
                type: "boolean"
              },
              category: {},
              description: {},
              documentIdentifier: {},
              documentVersion: {},
              externalParameters: {
                shape: "S2k"
              },
              mustSucceedForCutover: {
                type: "boolean"
              },
              order: {
                type: "integer"
              },
              parameters: {
                shape: "S2o"
              },
              sourceServerID: {},
              timeoutSeconds: {
                type: "integer"
              }
            }
          },
          output: {
            shape: "S6t"
          }
        },
        PutTemplateAction: {
          http: {
            requestUri: "/PutTemplateAction",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "actionID",
              "actionName",
              "documentIdentifier",
              "launchConfigurationTemplateID",
              "order"
            ],
            members: {
              actionID: {},
              actionName: {},
              active: {
                type: "boolean"
              },
              category: {},
              description: {},
              documentIdentifier: {},
              documentVersion: {},
              externalParameters: {
                shape: "S2k"
              },
              launchConfigurationTemplateID: {},
              mustSucceedForCutover: {
                type: "boolean"
              },
              operatingSystem: {},
              order: {
                type: "integer"
              },
              parameters: {
                shape: "S2o"
              },
              timeoutSeconds: {
                type: "integer"
              }
            }
          },
          output: {
            shape: "S75"
          }
        },
        RemoveSourceServerAction: {
          http: {
            requestUri: "/RemoveSourceServerAction",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "actionID",
              "sourceServerID"
            ],
            members: {
              accountID: {},
              actionID: {},
              sourceServerID: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RemoveTemplateAction: {
          http: {
            requestUri: "/RemoveTemplateAction",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "actionID",
              "launchConfigurationTemplateID"
            ],
            members: {
              actionID: {},
              launchConfigurationTemplateID: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ResumeReplication: {
          http: {
            requestUri: "/ResumeReplication",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              accountID: {},
              sourceServerID: {}
            }
          },
          output: {
            shape: "Sz"
          }
        },
        RetryDataReplication: {
          http: {
            requestUri: "/RetryDataReplication",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              accountID: {},
              sourceServerID: {}
            }
          },
          output: {
            shape: "Sz"
          }
        },
        StartCutover: {
          http: {
            requestUri: "/StartCutover",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "sourceServerIDs"
            ],
            members: {
              accountID: {},
              sourceServerIDs: {
                type: "list",
                member: {}
              },
              tags: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              job: {
                shape: "S40"
              }
            }
          }
        },
        StartExport: {
          http: {
            requestUri: "/StartExport",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "s3Bucket",
              "s3Key"
            ],
            members: {
              s3Bucket: {},
              s3BucketOwner: {},
              s3Key: {}
            }
          },
          output: {
            type: "structure",
            members: {
              exportTask: {
                shape: "S5u"
              }
            }
          }
        },
        StartImport: {
          http: {
            requestUri: "/StartImport",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "s3BucketSource"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              s3BucketSource: {
                shape: "S6d"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              importTask: {
                shape: "S6c"
              }
            }
          }
        },
        StartReplication: {
          http: {
            requestUri: "/StartReplication",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              accountID: {},
              sourceServerID: {}
            }
          },
          output: {
            shape: "Sz"
          }
        },
        StartTest: {
          http: {
            requestUri: "/StartTest",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "sourceServerIDs"
            ],
            members: {
              accountID: {},
              sourceServerIDs: {
                type: "list",
                member: {}
              },
              tags: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              job: {
                shape: "S40"
              }
            }
          }
        },
        StopReplication: {
          http: {
            requestUri: "/StopReplication",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              accountID: {},
              sourceServerID: {}
            }
          },
          output: {
            shape: "Sz"
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Se"
              }
            }
          },
          idempotent: true
        },
        TerminateTargetInstances: {
          http: {
            requestUri: "/TerminateTargetInstances",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "sourceServerIDs"
            ],
            members: {
              accountID: {},
              sourceServerIDs: {
                type: "list",
                member: {}
              },
              tags: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              job: {
                shape: "S40"
              }
            }
          }
        },
        UnarchiveApplication: {
          http: {
            requestUri: "/UnarchiveApplication",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationID"
            ],
            members: {
              accountID: {},
              applicationID: {}
            }
          },
          output: {
            shape: "S4"
          }
        },
        UnarchiveWave: {
          http: {
            requestUri: "/UnarchiveWave",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "waveID"
            ],
            members: {
              accountID: {},
              waveID: {}
            }
          },
          output: {
            shape: "Sj"
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {},
                sensitive: true
              }
            }
          },
          idempotent: true
        },
        UpdateApplication: {
          http: {
            requestUri: "/UpdateApplication",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationID"
            ],
            members: {
              accountID: {},
              applicationID: {},
              description: {},
              name: {}
            }
          },
          output: {
            shape: "S4"
          },
          idempotent: true
        },
        UpdateLaunchConfiguration: {
          http: {
            requestUri: "/UpdateLaunchConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              accountID: {},
              bootMode: {},
              copyPrivateIp: {
                type: "boolean"
              },
              copyTags: {
                type: "boolean"
              },
              enableMapAutoTagging: {
                type: "boolean"
              },
              launchDisposition: {},
              licensing: {
                shape: "S2d"
              },
              mapAutoTaggingMpeID: {},
              name: {},
              postLaunchActions: {
                shape: "S2e"
              },
              sourceServerID: {},
              targetInstanceTypeRightSizingMethod: {}
            }
          },
          output: {
            shape: "S54"
          },
          idempotent: true
        },
        UpdateLaunchConfigurationTemplate: {
          http: {
            requestUri: "/UpdateLaunchConfigurationTemplate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launchConfigurationTemplateID"
            ],
            members: {
              associatePublicIpAddress: {
                type: "boolean"
              },
              bootMode: {},
              copyPrivateIp: {
                type: "boolean"
              },
              copyTags: {
                type: "boolean"
              },
              enableMapAutoTagging: {
                type: "boolean"
              },
              largeVolumeConf: {
                shape: "S28"
              },
              launchConfigurationTemplateID: {},
              launchDisposition: {},
              licensing: {
                shape: "S2d"
              },
              mapAutoTaggingMpeID: {},
              postLaunchActions: {
                shape: "S2e"
              },
              smallVolumeConf: {
                shape: "S28"
              },
              smallVolumeMaxSize: {
                type: "long"
              },
              targetInstanceTypeRightSizingMethod: {}
            }
          },
          output: {
            shape: "S2w"
          }
        },
        UpdateReplicationConfiguration: {
          http: {
            requestUri: "/UpdateReplicationConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              accountID: {},
              associateDefaultSecurityGroup: {
                type: "boolean"
              },
              bandwidthThrottling: {
                type: "long"
              },
              createPublicIP: {
                type: "boolean"
              },
              dataPlaneRouting: {},
              defaultLargeStagingDiskType: {},
              ebsEncryption: {},
              ebsEncryptionKeyArn: {},
              name: {},
              replicatedDisks: {
                shape: "S58"
              },
              replicationServerInstanceType: {},
              replicationServersSecurityGroupsIDs: {
                shape: "S34"
              },
              sourceServerID: {},
              stagingAreaSubnetId: {},
              stagingAreaTags: {
                shape: "Se"
              },
              useDedicatedReplicationServer: {
                type: "boolean"
              },
              useFipsEndpoint: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S57"
          },
          idempotent: true
        },
        UpdateReplicationConfigurationTemplate: {
          http: {
            requestUri: "/UpdateReplicationConfigurationTemplate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "replicationConfigurationTemplateID"
            ],
            members: {
              arn: {},
              associateDefaultSecurityGroup: {
                type: "boolean"
              },
              bandwidthThrottling: {
                type: "long"
              },
              createPublicIP: {
                type: "boolean"
              },
              dataPlaneRouting: {},
              defaultLargeStagingDiskType: {},
              ebsEncryption: {},
              ebsEncryptionKeyArn: {},
              replicationConfigurationTemplateID: {},
              replicationServerInstanceType: {},
              replicationServersSecurityGroupsIDs: {
                shape: "S34"
              },
              stagingAreaSubnetId: {},
              stagingAreaTags: {
                shape: "Se"
              },
              useDedicatedReplicationServer: {
                type: "boolean"
              },
              useFipsEndpoint: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S37"
          }
        },
        UpdateSourceServerReplicationType: {
          http: {
            requestUri: "/UpdateSourceServerReplicationType",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "replicationType",
              "sourceServerID"
            ],
            members: {
              accountID: {},
              replicationType: {},
              sourceServerID: {}
            }
          },
          output: {
            shape: "Sz"
          }
        },
        UpdateWave: {
          http: {
            requestUri: "/UpdateWave",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "waveID"
            ],
            members: {
              accountID: {},
              description: {},
              name: {},
              waveID: {}
            }
          },
          output: {
            shape: "Sj"
          },
          idempotent: true
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            applicationAggregatedStatus: {
              type: "structure",
              members: {
                healthStatus: {},
                lastUpdateDateTime: {},
                progressStatus: {},
                totalSourceServers: {
                  type: "long"
                }
              }
            },
            applicationID: {},
            arn: {},
            creationDateTime: {},
            description: {},
            isArchived: {
              type: "boolean"
            },
            lastModifiedDateTime: {},
            name: {},
            tags: {
              shape: "Se"
            },
            waveID: {}
          }
        },
        Se: {
          type: "map",
          key: {},
          value: {},
          sensitive: true
        },
        Sj: {
          type: "structure",
          members: {
            arn: {},
            creationDateTime: {},
            description: {},
            isArchived: {
              type: "boolean"
            },
            lastModifiedDateTime: {},
            name: {},
            tags: {
              shape: "Se"
            },
            waveAggregatedStatus: {
              type: "structure",
              members: {
                healthStatus: {},
                lastUpdateDateTime: {},
                progressStatus: {},
                replicationStartedDateTime: {},
                totalApplications: {
                  type: "long"
                }
              }
            },
            waveID: {}
          }
        },
        Sq: {
          type: "list",
          member: {}
        },
        Sz: {
          type: "structure",
          members: {
            applicationID: {},
            arn: {},
            dataReplicationInfo: {
              type: "structure",
              members: {
                dataReplicationError: {
                  type: "structure",
                  members: {
                    error: {},
                    rawError: {}
                  }
                },
                dataReplicationInitiation: {
                  type: "structure",
                  members: {
                    nextAttemptDateTime: {},
                    startDateTime: {},
                    steps: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          name: {},
                          status: {}
                        }
                      }
                    }
                  }
                },
                dataReplicationState: {},
                etaDateTime: {},
                lagDuration: {},
                lastSnapshotDateTime: {},
                replicatedDisks: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      backloggedStorageBytes: {
                        type: "long"
                      },
                      deviceName: {},
                      replicatedStorageBytes: {
                        type: "long"
                      },
                      rescannedStorageBytes: {
                        type: "long"
                      },
                      totalStorageBytes: {
                        type: "long"
                      }
                    }
                  }
                }
              }
            },
            fqdnForActionFramework: {},
            isArchived: {
              type: "boolean"
            },
            launchedInstance: {
              type: "structure",
              members: {
                ec2InstanceID: {},
                firstBoot: {},
                jobID: {}
              }
            },
            lifeCycle: {
              type: "structure",
              members: {
                addedToServiceDateTime: {},
                elapsedReplicationDuration: {},
                firstByteDateTime: {},
                lastCutover: {
                  type: "structure",
                  members: {
                    finalized: {
                      type: "structure",
                      members: {
                        apiCallDateTime: {}
                      }
                    },
                    initiated: {
                      type: "structure",
                      members: {
                        apiCallDateTime: {},
                        jobID: {}
                      }
                    },
                    reverted: {
                      type: "structure",
                      members: {
                        apiCallDateTime: {}
                      }
                    }
                  }
                },
                lastSeenByServiceDateTime: {},
                lastTest: {
                  type: "structure",
                  members: {
                    finalized: {
                      type: "structure",
                      members: {
                        apiCallDateTime: {}
                      }
                    },
                    initiated: {
                      type: "structure",
                      members: {
                        apiCallDateTime: {},
                        jobID: {}
                      }
                    },
                    reverted: {
                      type: "structure",
                      members: {
                        apiCallDateTime: {}
                      }
                    }
                  }
                },
                state: {}
              }
            },
            replicationType: {},
            sourceProperties: {
              type: "structure",
              members: {
                cpus: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      cores: {
                        type: "long"
                      },
                      modelName: {}
                    }
                  }
                },
                disks: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      bytes: {
                        type: "long"
                      },
                      deviceName: {}
                    }
                  }
                },
                identificationHints: {
                  type: "structure",
                  members: {
                    awsInstanceID: {},
                    fqdn: {},
                    hostname: {},
                    vmPath: {},
                    vmWareUuid: {}
                  }
                },
                lastUpdatedDateTime: {},
                networkInterfaces: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      ips: {
                        type: "list",
                        member: {}
                      },
                      isPrimary: {
                        type: "boolean"
                      },
                      macAddress: {}
                    }
                  }
                },
                os: {
                  type: "structure",
                  members: {
                    fullString: {}
                  }
                },
                ramBytes: {
                  type: "long"
                },
                recommendedInstanceType: {}
              }
            },
            sourceServerID: {},
            tags: {
              shape: "Se"
            },
            userProvidedID: {},
            vcenterClientID: {}
          }
        },
        S28: {
          type: "structure",
          members: {
            iops: {
              type: "long"
            },
            throughput: {
              type: "long"
            },
            volumeType: {}
          }
        },
        S2d: {
          type: "structure",
          members: {
            osByol: {
              type: "boolean"
            }
          }
        },
        S2e: {
          type: "structure",
          members: {
            cloudWatchLogGroupName: {},
            deployment: {},
            s3LogBucket: {},
            s3OutputKeyPrefix: {},
            ssmDocuments: {
              type: "list",
              member: {
                shape: "S2j"
              }
            }
          }
        },
        S2j: {
          type: "structure",
          required: [
            "actionName",
            "ssmDocumentName"
          ],
          members: {
            actionName: {},
            externalParameters: {
              shape: "S2k"
            },
            mustSucceedForCutover: {
              type: "boolean"
            },
            parameters: {
              shape: "S2o"
            },
            ssmDocumentName: {},
            timeoutSeconds: {
              type: "integer"
            }
          }
        },
        S2k: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              dynamicPath: {}
            },
            union: true
          }
        },
        S2o: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {
              type: "structure",
              required: [
                "parameterName",
                "parameterType"
              ],
              members: {
                parameterName: {},
                parameterType: {}
              }
            }
          }
        },
        S2w: {
          type: "structure",
          required: [
            "launchConfigurationTemplateID"
          ],
          members: {
            arn: {},
            associatePublicIpAddress: {
              type: "boolean"
            },
            bootMode: {},
            copyPrivateIp: {
              type: "boolean"
            },
            copyTags: {
              type: "boolean"
            },
            ec2LaunchTemplateID: {},
            enableMapAutoTagging: {
              type: "boolean"
            },
            largeVolumeConf: {
              shape: "S28"
            },
            launchConfigurationTemplateID: {},
            launchDisposition: {},
            licensing: {
              shape: "S2d"
            },
            mapAutoTaggingMpeID: {},
            postLaunchActions: {
              shape: "S2e"
            },
            smallVolumeConf: {
              shape: "S28"
            },
            smallVolumeMaxSize: {
              type: "long"
            },
            tags: {
              shape: "Se"
            },
            targetInstanceTypeRightSizingMethod: {}
          }
        },
        S34: {
          type: "list",
          member: {}
        },
        S37: {
          type: "structure",
          required: [
            "replicationConfigurationTemplateID"
          ],
          members: {
            arn: {},
            associateDefaultSecurityGroup: {
              type: "boolean"
            },
            bandwidthThrottling: {
              type: "long"
            },
            createPublicIP: {
              type: "boolean"
            },
            dataPlaneRouting: {},
            defaultLargeStagingDiskType: {},
            ebsEncryption: {},
            ebsEncryptionKeyArn: {},
            replicationConfigurationTemplateID: {},
            replicationServerInstanceType: {},
            replicationServersSecurityGroupsIDs: {
              shape: "S34"
            },
            stagingAreaSubnetId: {},
            stagingAreaTags: {
              shape: "Se"
            },
            tags: {
              shape: "Se"
            },
            useDedicatedReplicationServer: {
              type: "boolean"
            },
            useFipsEndpoint: {
              type: "boolean"
            }
          }
        },
        S40: {
          type: "structure",
          required: [
            "jobID"
          ],
          members: {
            arn: {},
            creationDateTime: {},
            endDateTime: {},
            initiatedBy: {},
            jobID: {},
            participatingServers: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "sourceServerID"
                ],
                members: {
                  launchStatus: {},
                  launchedEc2InstanceID: {},
                  postLaunchActionsStatus: {
                    type: "structure",
                    members: {
                      postLaunchActionsLaunchStatusList: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            executionID: {},
                            executionStatus: {},
                            failureReason: {},
                            ssmDocument: {
                              shape: "S2j"
                            },
                            ssmDocumentType: {}
                          }
                        }
                      },
                      ssmAgentDiscoveryDatetime: {}
                    }
                  },
                  sourceServerID: {}
                }
              }
            },
            status: {},
            tags: {
              shape: "Se"
            },
            type: {}
          }
        },
        S54: {
          type: "structure",
          members: {
            bootMode: {},
            copyPrivateIp: {
              type: "boolean"
            },
            copyTags: {
              type: "boolean"
            },
            ec2LaunchTemplateID: {},
            enableMapAutoTagging: {
              type: "boolean"
            },
            launchDisposition: {},
            licensing: {
              shape: "S2d"
            },
            mapAutoTaggingMpeID: {},
            name: {},
            postLaunchActions: {
              shape: "S2e"
            },
            sourceServerID: {},
            targetInstanceTypeRightSizingMethod: {}
          }
        },
        S57: {
          type: "structure",
          members: {
            associateDefaultSecurityGroup: {
              type: "boolean"
            },
            bandwidthThrottling: {
              type: "long"
            },
            createPublicIP: {
              type: "boolean"
            },
            dataPlaneRouting: {},
            defaultLargeStagingDiskType: {},
            ebsEncryption: {},
            ebsEncryptionKeyArn: {},
            name: {},
            replicatedDisks: {
              shape: "S58"
            },
            replicationServerInstanceType: {},
            replicationServersSecurityGroupsIDs: {
              shape: "S34"
            },
            sourceServerID: {},
            stagingAreaSubnetId: {},
            stagingAreaTags: {
              shape: "Se"
            },
            useDedicatedReplicationServer: {
              type: "boolean"
            },
            useFipsEndpoint: {
              type: "boolean"
            }
          }
        },
        S58: {
          type: "list",
          member: {
            type: "structure",
            members: {
              deviceName: {},
              iops: {
                type: "long"
              },
              isBootDisk: {
                type: "boolean"
              },
              stagingDiskType: {},
              throughput: {
                type: "long"
              }
            }
          }
        },
        S5g: {
          type: "list",
          member: {}
        },
        S5u: {
          type: "structure",
          members: {
            creationDateTime: {},
            endDateTime: {},
            exportID: {},
            progressPercentage: {
              type: "float"
            },
            s3Bucket: {},
            s3BucketOwner: {},
            s3Key: {},
            status: {},
            summary: {
              type: "structure",
              members: {
                applicationsCount: {
                  type: "long"
                },
                serversCount: {
                  type: "long"
                },
                wavesCount: {
                  type: "long"
                }
              }
            }
          }
        },
        S6c: {
          type: "structure",
          members: {
            creationDateTime: {},
            endDateTime: {},
            importID: {},
            progressPercentage: {
              type: "float"
            },
            s3BucketSource: {
              shape: "S6d"
            },
            status: {},
            summary: {
              type: "structure",
              members: {
                applications: {
                  type: "structure",
                  members: {
                    createdCount: {
                      type: "long"
                    },
                    modifiedCount: {
                      type: "long"
                    }
                  }
                },
                servers: {
                  type: "structure",
                  members: {
                    createdCount: {
                      type: "long"
                    },
                    modifiedCount: {
                      type: "long"
                    }
                  }
                },
                waves: {
                  type: "structure",
                  members: {
                    createdCount: {
                      type: "long"
                    },
                    modifiedCount: {
                      type: "long"
                    }
                  }
                }
              }
            }
          }
        },
        S6d: {
          type: "structure",
          required: [
            "s3Bucket",
            "s3Key"
          ],
          members: {
            s3Bucket: {},
            s3BucketOwner: {},
            s3Key: {}
          }
        },
        S6p: {
          type: "list",
          member: {}
        },
        S6t: {
          type: "structure",
          members: {
            actionID: {},
            actionName: {},
            active: {
              type: "boolean"
            },
            category: {},
            description: {},
            documentIdentifier: {},
            documentVersion: {},
            externalParameters: {
              shape: "S2k"
            },
            mustSucceedForCutover: {
              type: "boolean"
            },
            order: {
              type: "integer"
            },
            parameters: {
              shape: "S2o"
            },
            timeoutSeconds: {
              type: "integer"
            }
          }
        },
        S75: {
          type: "structure",
          members: {
            actionID: {},
            actionName: {},
            active: {
              type: "boolean"
            },
            category: {},
            description: {},
            documentIdentifier: {},
            documentVersion: {},
            externalParameters: {
              shape: "S2k"
            },
            mustSucceedForCutover: {
              type: "boolean"
            },
            operatingSystem: {},
            order: {
              type: "integer"
            },
            parameters: {
              shape: "S2o"
            },
            timeoutSeconds: {
              type: "integer"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/mgn-2020-02-26.paginators.json
var require_mgn_2020_02_26_paginators = __commonJS({
  "node_modules/aws-sdk/apis/mgn-2020-02-26.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeJobLogItems: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        DescribeJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        DescribeLaunchConfigurationTemplates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        DescribeReplicationConfigurationTemplates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        DescribeSourceServers: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        DescribeVcenterClients: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListApplications: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListExportErrors: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListExports: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListImportErrors: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListImports: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListManagedAccounts: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListSourceServerActions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListTemplateActions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListWaves: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/mgn.js
var require_mgn = __commonJS({
  "node_modules/aws-sdk/clients/mgn.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["mgn"] = {};
    AWS2.Mgn = Service.defineService("mgn", ["2020-02-26"]);
    Object.defineProperty(apiLoader.services["mgn"], "2020-02-26", {
      get: function get() {
        var model = require_mgn_2020_02_26_min();
        model.paginators = require_mgn_2020_02_26_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Mgn;
  }
});

// node_modules/aws-sdk/apis/lookoutequipment-2020-12-15.min.json
var require_lookoutequipment_2020_12_15_min = __commonJS({
  "node_modules/aws-sdk/apis/lookoutequipment-2020-12-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-12-15",
        endpointPrefix: "lookoutequipment",
        jsonVersion: "1.0",
        protocol: "json",
        serviceAbbreviation: "LookoutEquipment",
        serviceFullName: "Amazon Lookout for Equipment",
        serviceId: "LookoutEquipment",
        signatureVersion: "v4",
        targetPrefix: "AWSLookoutEquipmentFrontendService",
        uid: "lookoutequipment-2020-12-15"
      },
      operations: {
        CreateDataset: {
          input: {
            type: "structure",
            required: [
              "DatasetName",
              "ClientToken"
            ],
            members: {
              DatasetName: {},
              DatasetSchema: {
                shape: "S3"
              },
              ServerSideKmsKeyId: {},
              ClientToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetName: {},
              DatasetArn: {},
              Status: {}
            }
          }
        },
        CreateInferenceScheduler: {
          input: {
            type: "structure",
            required: [
              "ModelName",
              "InferenceSchedulerName",
              "DataUploadFrequency",
              "DataInputConfiguration",
              "DataOutputConfiguration",
              "RoleArn",
              "ClientToken"
            ],
            members: {
              ModelName: {},
              InferenceSchedulerName: {},
              DataDelayOffsetInMinutes: {
                type: "long"
              },
              DataUploadFrequency: {},
              DataInputConfiguration: {
                shape: "Sj"
              },
              DataOutputConfiguration: {
                shape: "Sr"
              },
              RoleArn: {},
              ServerSideKmsKeyId: {},
              ClientToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InferenceSchedulerArn: {},
              InferenceSchedulerName: {},
              Status: {}
            }
          }
        },
        CreateLabel: {
          input: {
            type: "structure",
            required: [
              "LabelGroupName",
              "StartTime",
              "EndTime",
              "Rating",
              "ClientToken"
            ],
            members: {
              LabelGroupName: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Rating: {},
              FaultCode: {},
              Notes: {},
              Equipment: {},
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LabelId: {}
            }
          }
        },
        CreateLabelGroup: {
          input: {
            type: "structure",
            required: [
              "LabelGroupName",
              "ClientToken"
            ],
            members: {
              LabelGroupName: {},
              FaultCodes: {
                shape: "S17"
              },
              ClientToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LabelGroupName: {},
              LabelGroupArn: {}
            }
          }
        },
        CreateModel: {
          input: {
            type: "structure",
            required: [
              "ModelName",
              "DatasetName",
              "ClientToken"
            ],
            members: {
              ModelName: {},
              DatasetName: {},
              DatasetSchema: {
                shape: "S3"
              },
              LabelsInputConfiguration: {
                shape: "S1c"
              },
              ClientToken: {
                idempotencyToken: true
              },
              TrainingDataStartTime: {
                type: "timestamp"
              },
              TrainingDataEndTime: {
                type: "timestamp"
              },
              EvaluationDataStartTime: {
                type: "timestamp"
              },
              EvaluationDataEndTime: {
                type: "timestamp"
              },
              RoleArn: {},
              DataPreProcessingConfiguration: {
                shape: "S1e"
              },
              ServerSideKmsKeyId: {},
              Tags: {
                shape: "S7"
              },
              OffCondition: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ModelArn: {},
              Status: {}
            }
          }
        },
        DeleteDataset: {
          input: {
            type: "structure",
            required: [
              "DatasetName"
            ],
            members: {
              DatasetName: {}
            }
          }
        },
        DeleteInferenceScheduler: {
          input: {
            type: "structure",
            required: [
              "InferenceSchedulerName"
            ],
            members: {
              InferenceSchedulerName: {}
            }
          }
        },
        DeleteLabel: {
          input: {
            type: "structure",
            required: [
              "LabelGroupName",
              "LabelId"
            ],
            members: {
              LabelGroupName: {},
              LabelId: {}
            }
          }
        },
        DeleteLabelGroup: {
          input: {
            type: "structure",
            required: [
              "LabelGroupName"
            ],
            members: {
              LabelGroupName: {}
            }
          }
        },
        DeleteModel: {
          input: {
            type: "structure",
            required: [
              "ModelName"
            ],
            members: {
              ModelName: {}
            }
          }
        },
        DescribeDataIngestionJob: {
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              DatasetArn: {},
              IngestionInputConfiguration: {
                shape: "S1t"
              },
              RoleArn: {},
              CreatedAt: {
                type: "timestamp"
              },
              Status: {},
              FailedReason: {},
              DataQualitySummary: {
                shape: "S1y"
              },
              IngestedFilesSummary: {
                shape: "S27"
              },
              StatusDetail: {},
              IngestedDataSize: {
                type: "long"
              },
              DataStartTime: {
                type: "timestamp"
              },
              DataEndTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeDataset: {
          input: {
            type: "structure",
            required: [
              "DatasetName"
            ],
            members: {
              DatasetName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DatasetName: {},
              DatasetArn: {},
              CreatedAt: {
                type: "timestamp"
              },
              LastUpdatedAt: {
                type: "timestamp"
              },
              Status: {},
              Schema: {
                jsonvalue: true
              },
              ServerSideKmsKeyId: {},
              IngestionInputConfiguration: {
                shape: "S1t"
              },
              DataQualitySummary: {
                shape: "S1y"
              },
              IngestedFilesSummary: {
                shape: "S27"
              },
              RoleArn: {},
              DataStartTime: {
                type: "timestamp"
              },
              DataEndTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeInferenceScheduler: {
          input: {
            type: "structure",
            required: [
              "InferenceSchedulerName"
            ],
            members: {
              InferenceSchedulerName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ModelArn: {},
              ModelName: {},
              InferenceSchedulerName: {},
              InferenceSchedulerArn: {},
              Status: {},
              DataDelayOffsetInMinutes: {
                type: "long"
              },
              DataUploadFrequency: {},
              CreatedAt: {
                type: "timestamp"
              },
              UpdatedAt: {
                type: "timestamp"
              },
              DataInputConfiguration: {
                shape: "Sj"
              },
              DataOutputConfiguration: {
                shape: "Sr"
              },
              RoleArn: {},
              ServerSideKmsKeyId: {},
              LatestInferenceResult: {}
            }
          }
        },
        DescribeLabel: {
          input: {
            type: "structure",
            required: [
              "LabelGroupName",
              "LabelId"
            ],
            members: {
              LabelGroupName: {},
              LabelId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LabelGroupName: {},
              LabelGroupArn: {},
              LabelId: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Rating: {},
              FaultCode: {},
              Notes: {},
              Equipment: {},
              CreatedAt: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeLabelGroup: {
          input: {
            type: "structure",
            required: [
              "LabelGroupName"
            ],
            members: {
              LabelGroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LabelGroupName: {},
              LabelGroupArn: {},
              FaultCodes: {
                shape: "S17"
              },
              CreatedAt: {
                type: "timestamp"
              },
              UpdatedAt: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeModel: {
          input: {
            type: "structure",
            required: [
              "ModelName"
            ],
            members: {
              ModelName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ModelName: {},
              ModelArn: {},
              DatasetName: {},
              DatasetArn: {},
              Schema: {
                jsonvalue: true
              },
              LabelsInputConfiguration: {
                shape: "S1c"
              },
              TrainingDataStartTime: {
                type: "timestamp"
              },
              TrainingDataEndTime: {
                type: "timestamp"
              },
              EvaluationDataStartTime: {
                type: "timestamp"
              },
              EvaluationDataEndTime: {
                type: "timestamp"
              },
              RoleArn: {},
              DataPreProcessingConfiguration: {
                shape: "S1e"
              },
              Status: {},
              TrainingExecutionStartTime: {
                type: "timestamp"
              },
              TrainingExecutionEndTime: {
                type: "timestamp"
              },
              FailedReason: {},
              ModelMetrics: {
                jsonvalue: true
              },
              LastUpdatedTime: {
                type: "timestamp"
              },
              CreatedAt: {
                type: "timestamp"
              },
              ServerSideKmsKeyId: {},
              OffCondition: {}
            }
          }
        },
        ListDataIngestionJobs: {
          input: {
            type: "structure",
            members: {
              DatasetName: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Status: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              DataIngestionJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    JobId: {},
                    DatasetName: {},
                    DatasetArn: {},
                    IngestionInputConfiguration: {
                      shape: "S1t"
                    },
                    Status: {}
                  }
                }
              }
            }
          }
        },
        ListDatasets: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              DatasetNameBeginsWith: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              DatasetSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DatasetName: {},
                    DatasetArn: {},
                    Status: {},
                    CreatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListInferenceEvents: {
          input: {
            type: "structure",
            required: [
              "InferenceSchedulerName",
              "IntervalStartTime",
              "IntervalEndTime"
            ],
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              InferenceSchedulerName: {},
              IntervalStartTime: {
                type: "timestamp"
              },
              IntervalEndTime: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              InferenceEventSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InferenceSchedulerArn: {},
                    InferenceSchedulerName: {},
                    EventStartTime: {
                      type: "timestamp"
                    },
                    EventEndTime: {
                      type: "timestamp"
                    },
                    Diagnostics: {},
                    EventDurationInSeconds: {
                      type: "long"
                    }
                  }
                }
              }
            }
          }
        },
        ListInferenceExecutions: {
          input: {
            type: "structure",
            required: [
              "InferenceSchedulerName"
            ],
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              InferenceSchedulerName: {},
              DataStartTimeAfter: {
                type: "timestamp"
              },
              DataEndTimeBefore: {
                type: "timestamp"
              },
              Status: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              InferenceExecutionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ModelName: {},
                    ModelArn: {},
                    InferenceSchedulerName: {},
                    InferenceSchedulerArn: {},
                    ScheduledStartTime: {
                      type: "timestamp"
                    },
                    DataStartTime: {
                      type: "timestamp"
                    },
                    DataEndTime: {
                      type: "timestamp"
                    },
                    DataInputConfiguration: {
                      shape: "Sj"
                    },
                    DataOutputConfiguration: {
                      shape: "Sr"
                    },
                    CustomerResultObject: {
                      shape: "S29"
                    },
                    Status: {},
                    FailedReason: {}
                  }
                }
              }
            }
          }
        },
        ListInferenceSchedulers: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              InferenceSchedulerNameBeginsWith: {},
              ModelName: {},
              Status: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              InferenceSchedulerSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ModelName: {},
                    ModelArn: {},
                    InferenceSchedulerName: {},
                    InferenceSchedulerArn: {},
                    Status: {},
                    DataDelayOffsetInMinutes: {
                      type: "long"
                    },
                    DataUploadFrequency: {},
                    LatestInferenceResult: {}
                  }
                }
              }
            }
          }
        },
        ListLabelGroups: {
          input: {
            type: "structure",
            members: {
              LabelGroupNameBeginsWith: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              LabelGroupSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LabelGroupName: {},
                    LabelGroupArn: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    UpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListLabels: {
          input: {
            type: "structure",
            required: [
              "LabelGroupName"
            ],
            members: {
              LabelGroupName: {},
              IntervalStartTime: {
                type: "timestamp"
              },
              IntervalEndTime: {
                type: "timestamp"
              },
              FaultCode: {},
              Equipment: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              LabelSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LabelGroupName: {},
                    LabelId: {},
                    LabelGroupArn: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    Rating: {},
                    FaultCode: {},
                    Equipment: {},
                    CreatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListModels: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              Status: {},
              ModelNameBeginsWith: {},
              DatasetNameBeginsWith: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ModelSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ModelName: {},
                    ModelArn: {},
                    DatasetName: {},
                    DatasetArn: {},
                    Status: {},
                    CreatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListSensorStatistics: {
          input: {
            type: "structure",
            required: [
              "DatasetName"
            ],
            members: {
              DatasetName: {},
              IngestionJobId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SensorStatisticsSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ComponentName: {},
                    SensorName: {},
                    DataExists: {
                      type: "boolean"
                    },
                    MissingValues: {
                      shape: "S3w"
                    },
                    InvalidValues: {
                      shape: "S3w"
                    },
                    InvalidDateEntries: {
                      shape: "S3w"
                    },
                    DuplicateTimestamps: {
                      shape: "S3w"
                    },
                    CategoricalValues: {
                      type: "structure",
                      required: [
                        "Status"
                      ],
                      members: {
                        Status: {},
                        NumberOfCategory: {
                          type: "integer"
                        }
                      }
                    },
                    MultipleOperatingModes: {
                      type: "structure",
                      required: [
                        "Status"
                      ],
                      members: {
                        Status: {}
                      }
                    },
                    LargeTimestampGaps: {
                      type: "structure",
                      required: [
                        "Status"
                      ],
                      members: {
                        Status: {},
                        NumberOfLargeTimestampGaps: {
                          type: "integer"
                        },
                        MaxTimestampGapInDays: {
                          type: "integer"
                        }
                      }
                    },
                    MonotonicValues: {
                      type: "structure",
                      required: [
                        "Status"
                      ],
                      members: {
                        Status: {},
                        Monotonicity: {}
                      }
                    },
                    DataStartTime: {
                      type: "timestamp"
                    },
                    DataEndTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S7"
              }
            }
          }
        },
        StartDataIngestionJob: {
          input: {
            type: "structure",
            required: [
              "DatasetName",
              "IngestionInputConfiguration",
              "RoleArn",
              "ClientToken"
            ],
            members: {
              DatasetName: {},
              IngestionInputConfiguration: {
                shape: "S1t"
              },
              RoleArn: {},
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              JobId: {},
              Status: {}
            }
          }
        },
        StartInferenceScheduler: {
          input: {
            type: "structure",
            required: [
              "InferenceSchedulerName"
            ],
            members: {
              InferenceSchedulerName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ModelArn: {},
              ModelName: {},
              InferenceSchedulerName: {},
              InferenceSchedulerArn: {},
              Status: {}
            }
          }
        },
        StopInferenceScheduler: {
          input: {
            type: "structure",
            required: [
              "InferenceSchedulerName"
            ],
            members: {
              InferenceSchedulerName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ModelArn: {},
              ModelName: {},
              InferenceSchedulerName: {},
              InferenceSchedulerArn: {},
              Status: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateInferenceScheduler: {
          input: {
            type: "structure",
            required: [
              "InferenceSchedulerName"
            ],
            members: {
              InferenceSchedulerName: {},
              DataDelayOffsetInMinutes: {
                type: "long"
              },
              DataUploadFrequency: {},
              DataInputConfiguration: {
                shape: "Sj"
              },
              DataOutputConfiguration: {
                shape: "Sr"
              },
              RoleArn: {}
            }
          }
        },
        UpdateLabelGroup: {
          input: {
            type: "structure",
            required: [
              "LabelGroupName"
            ],
            members: {
              LabelGroupName: {},
              FaultCodes: {
                shape: "S17"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "structure",
          members: {
            InlineDataSchema: {
              jsonvalue: true
            }
          }
        },
        S7: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sj: {
          type: "structure",
          members: {
            S3InputConfiguration: {
              type: "structure",
              required: [
                "Bucket"
              ],
              members: {
                Bucket: {},
                Prefix: {}
              }
            },
            InputTimeZoneOffset: {},
            InferenceInputNameConfiguration: {
              type: "structure",
              members: {
                TimestampFormat: {},
                ComponentTimestampDelimiter: {}
              }
            }
          }
        },
        Sr: {
          type: "structure",
          required: [
            "S3OutputConfiguration"
          ],
          members: {
            S3OutputConfiguration: {
              type: "structure",
              required: [
                "Bucket"
              ],
              members: {
                Bucket: {},
                Prefix: {}
              }
            },
            KmsKeyId: {}
          }
        },
        S17: {
          type: "list",
          member: {}
        },
        S1c: {
          type: "structure",
          members: {
            S3InputConfiguration: {
              type: "structure",
              required: [
                "Bucket"
              ],
              members: {
                Bucket: {},
                Prefix: {}
              }
            },
            LabelGroupName: {}
          }
        },
        S1e: {
          type: "structure",
          members: {
            TargetSamplingRate: {}
          }
        },
        S1t: {
          type: "structure",
          required: [
            "S3InputConfiguration"
          ],
          members: {
            S3InputConfiguration: {
              type: "structure",
              required: [
                "Bucket"
              ],
              members: {
                Bucket: {},
                Prefix: {},
                KeyPattern: {}
              }
            }
          }
        },
        S1y: {
          type: "structure",
          required: [
            "InsufficientSensorData",
            "MissingSensorData",
            "InvalidSensorData",
            "UnsupportedTimestamps",
            "DuplicateTimestamps"
          ],
          members: {
            InsufficientSensorData: {
              type: "structure",
              required: [
                "MissingCompleteSensorData",
                "SensorsWithShortDateRange"
              ],
              members: {
                MissingCompleteSensorData: {
                  type: "structure",
                  required: [
                    "AffectedSensorCount"
                  ],
                  members: {
                    AffectedSensorCount: {
                      type: "integer"
                    }
                  }
                },
                SensorsWithShortDateRange: {
                  type: "structure",
                  required: [
                    "AffectedSensorCount"
                  ],
                  members: {
                    AffectedSensorCount: {
                      type: "integer"
                    }
                  }
                }
              }
            },
            MissingSensorData: {
              type: "structure",
              required: [
                "AffectedSensorCount",
                "TotalNumberOfMissingValues"
              ],
              members: {
                AffectedSensorCount: {
                  type: "integer"
                },
                TotalNumberOfMissingValues: {
                  type: "integer"
                }
              }
            },
            InvalidSensorData: {
              type: "structure",
              required: [
                "AffectedSensorCount",
                "TotalNumberOfInvalidValues"
              ],
              members: {
                AffectedSensorCount: {
                  type: "integer"
                },
                TotalNumberOfInvalidValues: {
                  type: "integer"
                }
              }
            },
            UnsupportedTimestamps: {
              type: "structure",
              required: [
                "TotalNumberOfUnsupportedTimestamps"
              ],
              members: {
                TotalNumberOfUnsupportedTimestamps: {
                  type: "integer"
                }
              }
            },
            DuplicateTimestamps: {
              type: "structure",
              required: [
                "TotalNumberOfDuplicateTimestamps"
              ],
              members: {
                TotalNumberOfDuplicateTimestamps: {
                  type: "integer"
                }
              }
            }
          }
        },
        S27: {
          type: "structure",
          required: [
            "TotalNumberOfFiles",
            "IngestedNumberOfFiles"
          ],
          members: {
            TotalNumberOfFiles: {
              type: "integer"
            },
            IngestedNumberOfFiles: {
              type: "integer"
            },
            DiscardedFiles: {
              type: "list",
              member: {
                shape: "S29"
              }
            }
          }
        },
        S29: {
          type: "structure",
          required: [
            "Bucket",
            "Key"
          ],
          members: {
            Bucket: {},
            Key: {}
          }
        },
        S3w: {
          type: "structure",
          required: [
            "Count",
            "Percentage"
          ],
          members: {
            Count: {
              type: "integer"
            },
            Percentage: {
              type: "float"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/lookoutequipment-2020-12-15.paginators.json
var require_lookoutequipment_2020_12_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/lookoutequipment-2020-12-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDataIngestionJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDatasets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListInferenceEvents: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListInferenceExecutions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListInferenceSchedulers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListLabelGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListLabels: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListModels: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListSensorStatistics: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/lookoutequipment.js
var require_lookoutequipment = __commonJS({
  "node_modules/aws-sdk/clients/lookoutequipment.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["lookoutequipment"] = {};
    AWS2.LookoutEquipment = Service.defineService("lookoutequipment", ["2020-12-15"]);
    Object.defineProperty(apiLoader.services["lookoutequipment"], "2020-12-15", {
      get: function get() {
        var model = require_lookoutequipment_2020_12_15_min();
        model.paginators = require_lookoutequipment_2020_12_15_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.LookoutEquipment;
  }
});

// node_modules/aws-sdk/apis/nimble-2020-08-01.min.json
var require_nimble_2020_08_01_min = __commonJS({
  "node_modules/aws-sdk/apis/nimble-2020-08-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-08-01",
        endpointPrefix: "nimble",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AmazonNimbleStudio",
        serviceId: "nimble",
        signatureVersion: "v4",
        signingName: "nimble",
        uid: "nimble-2020-08-01"
      },
      operations: {
        AcceptEulas: {
          http: {
            requestUri: "/2020-08-01/studios/{studioId}/eula-acceptances",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              eulaIds: {
                shape: "S3"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              eulaAcceptances: {
                shape: "S6"
              }
            }
          }
        },
        CreateLaunchProfile: {
          http: {
            requestUri: "/2020-08-01/studios/{studioId}/launch-profiles",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ec2SubnetIds",
              "launchProfileProtocolVersions",
              "name",
              "streamConfiguration",
              "studioComponentIds",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              description: {
                shape: "Sc"
              },
              ec2SubnetIds: {
                shape: "Sd"
              },
              launchProfileProtocolVersions: {
                shape: "Sf"
              },
              name: {
                shape: "Sh"
              },
              streamConfiguration: {
                shape: "Si"
              },
              studioComponentIds: {
                shape: "S15"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              },
              tags: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              launchProfile: {
                shape: "S18"
              }
            }
          }
        },
        CreateStreamingImage: {
          http: {
            requestUri: "/2020-08-01/studios/{studioId}/streaming-images",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ec2ImageId",
              "name",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              description: {
                shape: "S1k"
              },
              ec2ImageId: {},
              name: {
                shape: "S1m"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              },
              tags: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              streamingImage: {
                shape: "S1o"
              }
            }
          }
        },
        CreateStreamingSession: {
          http: {
            requestUri: "/2020-08-01/studios/{studioId}/streaming-sessions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launchProfileId",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              ec2InstanceType: {},
              launchProfileId: {},
              ownedBy: {},
              streamingImageId: {},
              studioId: {
                location: "uri",
                locationName: "studioId"
              },
              tags: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              session: {
                shape: "S1y"
              }
            }
          }
        },
        CreateStreamingSessionStream: {
          http: {
            requestUri: "/2020-08-01/studios/{studioId}/streaming-sessions/{sessionId}/streams",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sessionId",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              expirationInSeconds: {
                type: "integer"
              },
              sessionId: {
                location: "uri",
                locationName: "sessionId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              stream: {
                shape: "S26"
              }
            }
          },
          idempotent: true
        },
        CreateStudio: {
          http: {
            requestUri: "/2020-08-01/studios",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "adminRoleArn",
              "displayName",
              "studioName",
              "userRoleArn"
            ],
            members: {
              adminRoleArn: {},
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              displayName: {
                shape: "S2c"
              },
              studioEncryptionConfiguration: {
                shape: "S2d"
              },
              studioName: {},
              tags: {
                shape: "S16"
              },
              userRoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              studio: {
                shape: "S2i"
              }
            }
          }
        },
        CreateStudioComponent: {
          http: {
            requestUri: "/2020-08-01/studios/{studioId}/studio-components",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "studioId",
              "type"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              configuration: {
                shape: "S2n"
              },
              description: {
                shape: "S30"
              },
              ec2SecurityGroupIds: {
                shape: "S31"
              },
              initializationScripts: {
                shape: "S33"
              },
              name: {
                shape: "S38"
              },
              runtimeRoleArn: {},
              scriptParameters: {
                shape: "S39"
              },
              secureInitializationRoleArn: {},
              studioId: {
                location: "uri",
                locationName: "studioId"
              },
              subtype: {},
              tags: {
                shape: "S16"
              },
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              studioComponent: {
                shape: "S3g"
              }
            }
          }
        },
        DeleteLaunchProfile: {
          http: {
            method: "DELETE",
            requestUri: "/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launchProfileId",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              launchProfileId: {
                location: "uri",
                locationName: "launchProfileId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              launchProfile: {
                shape: "S18"
              }
            }
          },
          idempotent: true
        },
        DeleteLaunchProfileMember: {
          http: {
            method: "DELETE",
            requestUri: "/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/membership/{principalId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launchProfileId",
              "principalId",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              launchProfileId: {
                location: "uri",
                locationName: "launchProfileId"
              },
              principalId: {
                location: "uri",
                locationName: "principalId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteStreamingImage: {
          http: {
            method: "DELETE",
            requestUri: "/2020-08-01/studios/{studioId}/streaming-images/{streamingImageId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "streamingImageId",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              streamingImageId: {
                location: "uri",
                locationName: "streamingImageId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              streamingImage: {
                shape: "S1o"
              }
            }
          },
          idempotent: true
        },
        DeleteStreamingSession: {
          http: {
            method: "DELETE",
            requestUri: "/2020-08-01/studios/{studioId}/streaming-sessions/{sessionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sessionId",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              sessionId: {
                location: "uri",
                locationName: "sessionId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              session: {
                shape: "S1y"
              }
            }
          },
          idempotent: true
        },
        DeleteStudio: {
          http: {
            method: "DELETE",
            requestUri: "/2020-08-01/studios/{studioId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "studio"
            ],
            members: {
              studio: {
                shape: "S2i"
              }
            }
          },
          idempotent: true
        },
        DeleteStudioComponent: {
          http: {
            method: "DELETE",
            requestUri: "/2020-08-01/studios/{studioId}/studio-components/{studioComponentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "studioComponentId",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              studioComponentId: {
                location: "uri",
                locationName: "studioComponentId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              studioComponent: {
                shape: "S3g"
              }
            }
          },
          idempotent: true
        },
        DeleteStudioMember: {
          http: {
            method: "DELETE",
            requestUri: "/2020-08-01/studios/{studioId}/membership/{principalId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "principalId",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              principalId: {
                location: "uri",
                locationName: "principalId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetEula: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/eulas/{eulaId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "eulaId"
            ],
            members: {
              eulaId: {
                location: "uri",
                locationName: "eulaId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              eula: {
                shape: "S40"
              }
            }
          }
        },
        GetLaunchProfile: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launchProfileId",
              "studioId"
            ],
            members: {
              launchProfileId: {
                location: "uri",
                locationName: "launchProfileId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              launchProfile: {
                shape: "S18"
              }
            }
          }
        },
        GetLaunchProfileDetails: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/details",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launchProfileId",
              "studioId"
            ],
            members: {
              launchProfileId: {
                location: "uri",
                locationName: "launchProfileId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              launchProfile: {
                shape: "S18"
              },
              streamingImages: {
                shape: "S46"
              },
              studioComponentSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    createdAt: {
                      shape: "S8"
                    },
                    createdBy: {},
                    description: {
                      shape: "S30"
                    },
                    name: {
                      shape: "S38"
                    },
                    studioComponentId: {},
                    subtype: {},
                    type: {},
                    updatedAt: {
                      shape: "S8"
                    },
                    updatedBy: {}
                  }
                }
              }
            }
          }
        },
        GetLaunchProfileInitialization: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/init",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launchProfileId",
              "launchProfileProtocolVersions",
              "launchPurpose",
              "platform",
              "studioId"
            ],
            members: {
              launchProfileId: {
                location: "uri",
                locationName: "launchProfileId"
              },
              launchProfileProtocolVersions: {
                shape: "S4a",
                location: "querystring",
                locationName: "launchProfileProtocolVersions"
              },
              launchPurpose: {
                location: "querystring",
                locationName: "launchPurpose"
              },
              platform: {
                location: "querystring",
                locationName: "platform"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              launchProfileInitialization: {
                type: "structure",
                members: {
                  activeDirectory: {
                    type: "structure",
                    members: {
                      computerAttributes: {
                        shape: "S2p"
                      },
                      directoryId: {},
                      directoryName: {},
                      dnsIpAddresses: {
                        type: "list",
                        member: {}
                      },
                      organizationalUnitDistinguishedName: {},
                      studioComponentId: {},
                      studioComponentName: {
                        shape: "S38"
                      }
                    }
                  },
                  ec2SecurityGroupIds: {
                    type: "list",
                    member: {}
                  },
                  launchProfileId: {},
                  launchProfileProtocolVersion: {},
                  launchPurpose: {},
                  name: {
                    shape: "Sh"
                  },
                  platform: {},
                  systemInitializationScripts: {
                    shape: "S4i"
                  },
                  userInitializationScripts: {
                    shape: "S4i"
                  }
                }
              }
            }
          }
        },
        GetLaunchProfileMember: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/membership/{principalId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launchProfileId",
              "principalId",
              "studioId"
            ],
            members: {
              launchProfileId: {
                location: "uri",
                locationName: "launchProfileId"
              },
              principalId: {
                location: "uri",
                locationName: "principalId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              member: {
                shape: "S4m"
              }
            }
          }
        },
        GetStreamingImage: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/streaming-images/{streamingImageId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "streamingImageId",
              "studioId"
            ],
            members: {
              streamingImageId: {
                location: "uri",
                locationName: "streamingImageId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              streamingImage: {
                shape: "S1o"
              }
            }
          }
        },
        GetStreamingSession: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/streaming-sessions/{sessionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sessionId",
              "studioId"
            ],
            members: {
              sessionId: {
                location: "uri",
                locationName: "sessionId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              session: {
                shape: "S1y"
              }
            }
          }
        },
        GetStreamingSessionBackup: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/streaming-session-backups/{backupId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "backupId",
              "studioId"
            ],
            members: {
              backupId: {
                location: "uri",
                locationName: "backupId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              streamingSessionBackup: {
                shape: "S4u"
              }
            }
          }
        },
        GetStreamingSessionStream: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/streaming-sessions/{sessionId}/streams/{streamId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sessionId",
              "streamId",
              "studioId"
            ],
            members: {
              sessionId: {
                location: "uri",
                locationName: "sessionId"
              },
              streamId: {
                location: "uri",
                locationName: "streamId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              stream: {
                shape: "S26"
              }
            }
          }
        },
        GetStudio: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "studioId"
            ],
            members: {
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "studio"
            ],
            members: {
              studio: {
                shape: "S2i"
              }
            }
          }
        },
        GetStudioComponent: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/studio-components/{studioComponentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "studioComponentId",
              "studioId"
            ],
            members: {
              studioComponentId: {
                location: "uri",
                locationName: "studioComponentId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              studioComponent: {
                shape: "S3g"
              }
            }
          }
        },
        GetStudioMember: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/membership/{principalId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "principalId",
              "studioId"
            ],
            members: {
              principalId: {
                location: "uri",
                locationName: "principalId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              member: {
                shape: "S53"
              }
            }
          }
        },
        ListEulaAcceptances: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/eula-acceptances",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "studioId"
            ],
            members: {
              eulaIds: {
                shape: "S4a",
                location: "querystring",
                locationName: "eulaIds"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              eulaAcceptances: {
                shape: "S6"
              },
              nextToken: {}
            }
          }
        },
        ListEulas: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/eulas",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              eulaIds: {
                shape: "S4a",
                location: "querystring",
                locationName: "eulaIds"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              eulas: {
                type: "list",
                member: {
                  shape: "S40"
                }
              },
              nextToken: {}
            }
          }
        },
        ListLaunchProfileMembers: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/membership",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launchProfileId",
              "studioId"
            ],
            members: {
              launchProfileId: {
                location: "uri",
                locationName: "launchProfileId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              members: {
                type: "list",
                member: {
                  shape: "S4m"
                }
              },
              nextToken: {}
            }
          }
        },
        ListLaunchProfiles: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/launch-profiles",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "studioId"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              principalId: {
                location: "querystring",
                locationName: "principalId"
              },
              states: {
                location: "querystring",
                locationName: "states",
                type: "list",
                member: {}
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              launchProfiles: {
                type: "list",
                member: {
                  shape: "S18"
                }
              },
              nextToken: {}
            }
          }
        },
        ListStreamingImages: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/streaming-images",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "studioId"
            ],
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              owner: {
                location: "querystring",
                locationName: "owner"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              streamingImages: {
                shape: "S46"
              }
            }
          }
        },
        ListStreamingSessionBackups: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/streaming-session-backups",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "studioId"
            ],
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              ownedBy: {
                location: "querystring",
                locationName: "ownedBy"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              streamingSessionBackups: {
                type: "list",
                member: {
                  shape: "S4u"
                }
              }
            }
          }
        },
        ListStreamingSessions: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/streaming-sessions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "studioId"
            ],
            members: {
              createdBy: {
                location: "querystring",
                locationName: "createdBy"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              ownedBy: {
                location: "querystring",
                locationName: "ownedBy"
              },
              sessionIds: {
                location: "querystring",
                locationName: "sessionIds"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              sessions: {
                type: "list",
                member: {
                  shape: "S1y"
                }
              }
            }
          }
        },
        ListStudioComponents: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/studio-components",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "studioId"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              states: {
                location: "querystring",
                locationName: "states",
                type: "list",
                member: {}
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              },
              types: {
                location: "querystring",
                locationName: "types",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              studioComponents: {
                type: "list",
                member: {
                  shape: "S3g"
                }
              }
            }
          }
        },
        ListStudioMembers: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios/{studioId}/membership",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "studioId"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              members: {
                type: "list",
                member: {
                  shape: "S53"
                }
              },
              nextToken: {}
            }
          }
        },
        ListStudios: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/studios",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "studios"
            ],
            members: {
              nextToken: {},
              studios: {
                type: "list",
                member: {
                  shape: "S2i"
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/2020-08-01/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S16"
              }
            }
          }
        },
        PutLaunchProfileMembers: {
          http: {
            requestUri: "/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/membership",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "identityStoreId",
              "launchProfileId",
              "members",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              identityStoreId: {},
              launchProfileId: {
                location: "uri",
                locationName: "launchProfileId"
              },
              members: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "persona",
                    "principalId"
                  ],
                  members: {
                    persona: {},
                    principalId: {}
                  }
                }
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        PutStudioMembers: {
          http: {
            requestUri: "/2020-08-01/studios/{studioId}/membership",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "identityStoreId",
              "members",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              identityStoreId: {},
              members: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "persona",
                    "principalId"
                  ],
                  members: {
                    persona: {},
                    principalId: {}
                  }
                }
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartStreamingSession: {
          http: {
            requestUri: "/2020-08-01/studios/{studioId}/streaming-sessions/{sessionId}/start",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sessionId",
              "studioId"
            ],
            members: {
              backupId: {},
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              sessionId: {
                location: "uri",
                locationName: "sessionId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              session: {
                shape: "S1y"
              }
            }
          },
          idempotent: true
        },
        StartStudioSSOConfigurationRepair: {
          http: {
            method: "PUT",
            requestUri: "/2020-08-01/studios/{studioId}/sso-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "studio"
            ],
            members: {
              studio: {
                shape: "S2i"
              }
            }
          },
          idempotent: true
        },
        StopStreamingSession: {
          http: {
            requestUri: "/2020-08-01/studios/{studioId}/streaming-sessions/{sessionId}/stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sessionId",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              sessionId: {
                location: "uri",
                locationName: "sessionId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              },
              volumeRetentionMode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              session: {
                shape: "S1y"
              }
            }
          },
          idempotent: true
        },
        TagResource: {
          http: {
            requestUri: "/2020-08-01/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/2020-08-01/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                shape: "S4a",
                location: "querystring",
                locationName: "tagKeys"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateLaunchProfile: {
          http: {
            method: "PATCH",
            requestUri: "/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launchProfileId",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              description: {
                shape: "Sc"
              },
              launchProfileId: {
                location: "uri",
                locationName: "launchProfileId"
              },
              launchProfileProtocolVersions: {
                shape: "Sf"
              },
              name: {
                shape: "Sh"
              },
              streamConfiguration: {
                shape: "Si"
              },
              studioComponentIds: {
                shape: "S15"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              launchProfile: {
                shape: "S18"
              }
            }
          }
        },
        UpdateLaunchProfileMember: {
          http: {
            method: "PATCH",
            requestUri: "/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/membership/{principalId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launchProfileId",
              "persona",
              "principalId",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              launchProfileId: {
                location: "uri",
                locationName: "launchProfileId"
              },
              persona: {},
              principalId: {
                location: "uri",
                locationName: "principalId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              member: {
                shape: "S4m"
              }
            }
          }
        },
        UpdateStreamingImage: {
          http: {
            method: "PATCH",
            requestUri: "/2020-08-01/studios/{studioId}/streaming-images/{streamingImageId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "streamingImageId",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              description: {
                shape: "S1k"
              },
              name: {
                shape: "S1m"
              },
              streamingImageId: {
                location: "uri",
                locationName: "streamingImageId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              streamingImage: {
                shape: "S1o"
              }
            }
          }
        },
        UpdateStudio: {
          http: {
            method: "PATCH",
            requestUri: "/2020-08-01/studios/{studioId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "studioId"
            ],
            members: {
              adminRoleArn: {},
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              displayName: {
                shape: "S2c"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              },
              userRoleArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "studio"
            ],
            members: {
              studio: {
                shape: "S2i"
              }
            }
          }
        },
        UpdateStudioComponent: {
          http: {
            method: "PATCH",
            requestUri: "/2020-08-01/studios/{studioId}/studio-components/{studioComponentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "studioComponentId",
              "studioId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amz-Client-Token"
              },
              configuration: {
                shape: "S2n"
              },
              description: {
                shape: "S30"
              },
              ec2SecurityGroupIds: {
                shape: "S31"
              },
              initializationScripts: {
                shape: "S33"
              },
              name: {
                shape: "S38"
              },
              runtimeRoleArn: {},
              scriptParameters: {
                shape: "S39"
              },
              secureInitializationRoleArn: {},
              studioComponentId: {
                location: "uri",
                locationName: "studioComponentId"
              },
              studioId: {
                location: "uri",
                locationName: "studioId"
              },
              subtype: {},
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              studioComponent: {
                shape: "S3g"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {}
        },
        S6: {
          type: "list",
          member: {
            type: "structure",
            members: {
              acceptedAt: {
                shape: "S8"
              },
              acceptedBy: {},
              accepteeId: {},
              eulaAcceptanceId: {},
              eulaId: {}
            }
          }
        },
        S8: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sc: {
          type: "string",
          sensitive: true
        },
        Sd: {
          type: "list",
          member: {}
        },
        Sf: {
          type: "list",
          member: {}
        },
        Sh: {
          type: "string",
          sensitive: true
        },
        Si: {
          type: "structure",
          required: [
            "clipboardMode",
            "ec2InstanceTypes",
            "streamingImageIds"
          ],
          members: {
            automaticTerminationMode: {},
            clipboardMode: {},
            ec2InstanceTypes: {
              shape: "Sl"
            },
            maxSessionLengthInMinutes: {
              type: "integer"
            },
            maxStoppedSessionLengthInMinutes: {
              type: "integer"
            },
            sessionBackup: {
              shape: "Sp"
            },
            sessionPersistenceMode: {},
            sessionStorage: {
              shape: "St"
            },
            streamingImageIds: {
              shape: "Sz"
            },
            volumeConfiguration: {
              shape: "S11"
            }
          }
        },
        Sl: {
          type: "list",
          member: {}
        },
        Sp: {
          type: "structure",
          members: {
            maxBackupsToRetain: {
              type: "integer"
            },
            mode: {}
          }
        },
        St: {
          type: "structure",
          required: [
            "mode"
          ],
          members: {
            mode: {
              type: "list",
              member: {}
            },
            root: {
              type: "structure",
              members: {
                linux: {
                  type: "string",
                  sensitive: true
                },
                windows: {
                  type: "string",
                  sensitive: true
                }
              }
            }
          }
        },
        Sz: {
          type: "list",
          member: {}
        },
        S11: {
          type: "structure",
          members: {
            iops: {
              type: "integer"
            },
            size: {
              type: "integer"
            },
            throughput: {
              type: "integer"
            }
          }
        },
        S15: {
          type: "list",
          member: {}
        },
        S16: {
          type: "map",
          key: {},
          value: {}
        },
        S18: {
          type: "structure",
          members: {
            arn: {},
            createdAt: {
              shape: "S8"
            },
            createdBy: {},
            description: {
              shape: "Sc"
            },
            ec2SubnetIds: {
              shape: "Sd"
            },
            launchProfileId: {},
            launchProfileProtocolVersions: {
              shape: "Sf"
            },
            name: {
              shape: "Sh"
            },
            state: {},
            statusCode: {},
            statusMessage: {},
            streamConfiguration: {
              type: "structure",
              required: [
                "clipboardMode",
                "ec2InstanceTypes",
                "streamingImageIds"
              ],
              members: {
                automaticTerminationMode: {},
                clipboardMode: {},
                ec2InstanceTypes: {
                  shape: "Sl"
                },
                maxSessionLengthInMinutes: {
                  type: "integer"
                },
                maxStoppedSessionLengthInMinutes: {
                  type: "integer"
                },
                sessionBackup: {
                  shape: "Sp"
                },
                sessionPersistenceMode: {},
                sessionStorage: {
                  shape: "St"
                },
                streamingImageIds: {
                  shape: "Sz"
                },
                volumeConfiguration: {
                  shape: "S11"
                }
              }
            },
            studioComponentIds: {
              shape: "S15"
            },
            tags: {
              shape: "S16"
            },
            updatedAt: {
              shape: "S8"
            },
            updatedBy: {},
            validationResults: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "state",
                  "statusCode",
                  "statusMessage",
                  "type"
                ],
                members: {
                  state: {},
                  statusCode: {},
                  statusMessage: {},
                  type: {}
                }
              }
            }
          }
        },
        S1k: {
          type: "string",
          sensitive: true
        },
        S1m: {
          type: "string",
          sensitive: true
        },
        S1o: {
          type: "structure",
          members: {
            arn: {},
            description: {
              shape: "S1k"
            },
            ec2ImageId: {},
            encryptionConfiguration: {
              type: "structure",
              required: [
                "keyType"
              ],
              members: {
                keyArn: {},
                keyType: {}
              }
            },
            eulaIds: {
              shape: "S3"
            },
            name: {
              shape: "S1m"
            },
            owner: {},
            platform: {},
            state: {},
            statusCode: {},
            statusMessage: {},
            streamingImageId: {},
            tags: {
              shape: "S16"
            }
          }
        },
        S1y: {
          type: "structure",
          members: {
            arn: {},
            automaticTerminationMode: {},
            backupMode: {},
            createdAt: {
              shape: "S8"
            },
            createdBy: {},
            ec2InstanceType: {},
            launchProfileId: {},
            maxBackupsToRetain: {
              type: "integer"
            },
            ownedBy: {},
            sessionId: {},
            sessionPersistenceMode: {},
            startedAt: {
              shape: "S8"
            },
            startedBy: {},
            startedFromBackupId: {},
            state: {},
            statusCode: {},
            statusMessage: {},
            stopAt: {
              shape: "S8"
            },
            stoppedAt: {
              shape: "S8"
            },
            stoppedBy: {},
            streamingImageId: {},
            tags: {
              shape: "S16"
            },
            terminateAt: {
              shape: "S8"
            },
            updatedAt: {
              shape: "S8"
            },
            updatedBy: {},
            volumeConfiguration: {
              shape: "S11"
            },
            volumeRetentionMode: {}
          }
        },
        S26: {
          type: "structure",
          members: {
            createdAt: {
              shape: "S8"
            },
            createdBy: {},
            expiresAt: {
              shape: "S8"
            },
            ownedBy: {},
            state: {},
            statusCode: {},
            streamId: {},
            url: {
              shape: "S29"
            }
          }
        },
        S29: {
          type: "string",
          sensitive: true
        },
        S2c: {
          type: "string",
          sensitive: true
        },
        S2d: {
          type: "structure",
          required: [
            "keyType"
          ],
          members: {
            keyArn: {},
            keyType: {}
          }
        },
        S2i: {
          type: "structure",
          members: {
            adminRoleArn: {},
            arn: {},
            createdAt: {
              shape: "S8"
            },
            displayName: {
              shape: "S2c"
            },
            homeRegion: {},
            ssoClientId: {},
            state: {},
            statusCode: {},
            statusMessage: {},
            studioEncryptionConfiguration: {
              shape: "S2d"
            },
            studioId: {},
            studioName: {},
            studioUrl: {},
            tags: {
              shape: "S16"
            },
            updatedAt: {
              shape: "S8"
            },
            userRoleArn: {}
          }
        },
        S2n: {
          type: "structure",
          members: {
            activeDirectoryConfiguration: {
              type: "structure",
              members: {
                computerAttributes: {
                  shape: "S2p"
                },
                directoryId: {},
                organizationalUnitDistinguishedName: {}
              }
            },
            computeFarmConfiguration: {
              type: "structure",
              members: {
                activeDirectoryUser: {},
                endpoint: {
                  shape: "S29"
                }
              }
            },
            licenseServiceConfiguration: {
              type: "structure",
              members: {
                endpoint: {
                  shape: "S29"
                }
              }
            },
            sharedFileSystemConfiguration: {
              type: "structure",
              members: {
                endpoint: {
                  shape: "S29"
                },
                fileSystemId: {},
                linuxMountPoint: {
                  type: "string",
                  sensitive: true
                },
                shareName: {
                  shape: "S29"
                },
                windowsMountDrive: {}
              }
            }
          },
          union: true
        },
        S2p: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              value: {}
            }
          },
          sensitive: true
        },
        S30: {
          type: "string",
          sensitive: true
        },
        S31: {
          type: "list",
          member: {}
        },
        S33: {
          type: "list",
          member: {
            type: "structure",
            members: {
              launchProfileProtocolVersion: {},
              platform: {},
              runContext: {},
              script: {
                shape: "S37"
              }
            }
          }
        },
        S37: {
          type: "string",
          sensitive: true
        },
        S38: {
          type: "string",
          sensitive: true
        },
        S39: {
          type: "list",
          member: {
            type: "structure",
            members: {
              key: {},
              value: {}
            }
          },
          sensitive: true
        },
        S3g: {
          type: "structure",
          members: {
            arn: {},
            configuration: {
              shape: "S2n"
            },
            createdAt: {
              shape: "S8"
            },
            createdBy: {},
            description: {
              shape: "S30"
            },
            ec2SecurityGroupIds: {
              shape: "S31"
            },
            initializationScripts: {
              shape: "S33"
            },
            name: {
              shape: "S38"
            },
            runtimeRoleArn: {},
            scriptParameters: {
              shape: "S39"
            },
            secureInitializationRoleArn: {},
            state: {},
            statusCode: {},
            statusMessage: {},
            studioComponentId: {},
            subtype: {},
            tags: {
              shape: "S16"
            },
            type: {},
            updatedAt: {
              shape: "S8"
            },
            updatedBy: {}
          }
        },
        S40: {
          type: "structure",
          members: {
            content: {},
            createdAt: {
              shape: "S8"
            },
            eulaId: {},
            name: {},
            updatedAt: {
              shape: "S8"
            }
          }
        },
        S46: {
          type: "list",
          member: {
            shape: "S1o"
          }
        },
        S4a: {
          type: "list",
          member: {}
        },
        S4i: {
          type: "list",
          member: {
            type: "structure",
            members: {
              runtimeRoleArn: {},
              script: {
                shape: "S37"
              },
              secureInitializationRoleArn: {},
              studioComponentId: {},
              studioComponentName: {
                shape: "S38"
              }
            }
          }
        },
        S4m: {
          type: "structure",
          members: {
            identityStoreId: {},
            persona: {},
            principalId: {},
            sid: {}
          }
        },
        S4u: {
          type: "structure",
          members: {
            arn: {},
            backupId: {},
            createdAt: {
              shape: "S8"
            },
            launchProfileId: {},
            ownedBy: {},
            sessionId: {},
            state: {},
            statusCode: {},
            statusMessage: {},
            tags: {
              shape: "S16"
            }
          }
        },
        S53: {
          type: "structure",
          members: {
            identityStoreId: {},
            persona: {},
            principalId: {},
            sid: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/nimble-2020-08-01.paginators.json
var require_nimble_2020_08_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/nimble-2020-08-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListEulaAcceptances: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "eulaAcceptances"
        },
        ListEulas: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "eulas"
        },
        ListLaunchProfileMembers: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "members"
        },
        ListLaunchProfiles: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "launchProfiles"
        },
        ListStreamingImages: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "streamingImages"
        },
        ListStreamingSessionBackups: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "streamingSessionBackups"
        },
        ListStreamingSessions: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "sessions"
        },
        ListStudioComponents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "studioComponents"
        },
        ListStudioMembers: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "members"
        },
        ListStudios: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "studios"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/nimble-2020-08-01.waiters2.json
var require_nimble_2020_08_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/nimble-2020-08-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        LaunchProfileDeleted: {
          description: "Wait until a LaunchProfile is Deleted. Use this after invoking DeleteLaunchProfile",
          delay: 5,
          maxAttempts: 150,
          operation: "GetLaunchProfile",
          acceptors: [{
            matcher: "path",
            argument: "launchProfile.state",
            state: "success",
            expected: "DELETED"
          }, {
            matcher: "path",
            argument: "launchProfile.state",
            state: "failure",
            expected: "DELETE_FAILED"
          }]
        },
        LaunchProfileReady: {
          description: "Wait until a LaunchProfile is Ready. Use this after invoking CreateLaunchProfile or UpdateLaunchProfile",
          delay: 5,
          maxAttempts: 150,
          operation: "GetLaunchProfile",
          acceptors: [{
            matcher: "path",
            argument: "launchProfile.state",
            state: "success",
            expected: "READY"
          }, {
            matcher: "path",
            argument: "launchProfile.state",
            state: "failure",
            expected: "CREATE_FAILED"
          }, {
            matcher: "path",
            argument: "launchProfile.state",
            state: "failure",
            expected: "UPDATE_FAILED"
          }]
        },
        StreamingImageDeleted: {
          description: "Wait until a StreamingImage Deleted. Use this after invoking DeleteStreamingImage",
          delay: 2,
          maxAttempts: 60,
          operation: "GetStreamingImage",
          acceptors: [{
            matcher: "path",
            argument: "streamingImage.state",
            state: "success",
            expected: "DELETED"
          }, {
            matcher: "path",
            argument: "streamingImage.state",
            state: "failure",
            expected: "DELETE_FAILED"
          }]
        },
        StreamingImageReady: {
          description: "Wait until a StreamingImage is Ready. Use this after invoking CreateStreamingImage or UpdateStreamingImage",
          delay: 2,
          maxAttempts: 60,
          operation: "GetStreamingImage",
          acceptors: [{
            matcher: "path",
            argument: "streamingImage.state",
            state: "success",
            expected: "READY"
          }, {
            matcher: "path",
            argument: "streamingImage.state",
            state: "failure",
            expected: "CREATE_FAILED"
          }, {
            matcher: "path",
            argument: "streamingImage.state",
            state: "failure",
            expected: "UPDATE_FAILED"
          }]
        },
        StreamingSessionDeleted: {
          description: "Wait until a StreamingSessionDeleted. Use this after invoking DeleteStreamingSession",
          delay: 5,
          maxAttempts: 180,
          operation: "GetStreamingSession",
          acceptors: [{
            matcher: "path",
            argument: "session.state",
            state: "success",
            expected: "DELETED"
          }, {
            matcher: "path",
            argument: "session.state",
            state: "failure",
            expected: "DELETE_FAILED"
          }]
        },
        StreamingSessionReady: {
          description: "Wait until a StreamingSession is ready. Use this after invoking CreateStreamingSession, StartStreamingSession",
          delay: 10,
          maxAttempts: 180,
          operation: "GetStreamingSession",
          acceptors: [{
            matcher: "path",
            argument: "session.state",
            state: "success",
            expected: "READY"
          }, {
            matcher: "path",
            argument: "session.state",
            state: "failure",
            expected: "CREATE_FAILED"
          }, {
            matcher: "path",
            argument: "session.state",
            state: "failure",
            expected: "START_FAILED"
          }]
        },
        StreamingSessionStopped: {
          description: "Wait until a StreamingSessionStopped. Use this after invoking StopStreamingSession",
          delay: 5,
          maxAttempts: 180,
          operation: "GetStreamingSession",
          acceptors: [{
            matcher: "path",
            argument: "session.state",
            state: "success",
            expected: "STOPPED"
          }, {
            matcher: "path",
            argument: "session.state",
            state: "failure",
            expected: "STOP_FAILED"
          }]
        },
        StreamingSessionStreamReady: {
          description: "Wait until a StreamingSessionStream is ready. Use this after invoking CreateStreamingSessionStream",
          delay: 5,
          maxAttempts: 30,
          operation: "GetStreamingSessionStream",
          acceptors: [{
            matcher: "path",
            argument: "stream.state",
            state: "success",
            expected: "READY"
          }, {
            matcher: "path",
            argument: "stream.state",
            state: "failure",
            expected: "CREATE_FAILED"
          }]
        },
        StudioComponentDeleted: {
          description: "Wait until a StudioComponent Deleted. Use this after invoking DeleteStudioComponent",
          delay: 1,
          maxAttempts: 120,
          operation: "GetStudioComponent",
          acceptors: [{
            matcher: "path",
            argument: "studioComponent.state",
            state: "success",
            expected: "DELETED"
          }, {
            matcher: "path",
            argument: "studioComponent.state",
            state: "failure",
            expected: "DELETE_FAILED"
          }]
        },
        StudioComponentReady: {
          description: "Wait until a StudioComponent is Ready. Use this after invoking CreateStudioComponent or UpdateStudioComponent",
          delay: 2,
          maxAttempts: 60,
          operation: "GetStudioComponent",
          acceptors: [{
            matcher: "path",
            argument: "studioComponent.state",
            state: "success",
            expected: "READY"
          }, {
            matcher: "path",
            argument: "studioComponent.state",
            state: "failure",
            expected: "CREATE_FAILED"
          }, {
            matcher: "path",
            argument: "studioComponent.state",
            state: "failure",
            expected: "UPDATE_FAILED"
          }]
        },
        StudioDeleted: {
          description: "Wait until a Studio is Deleted. Use this after invoking DeleteStudio.",
          delay: 2,
          maxAttempts: 60,
          operation: "GetStudio",
          acceptors: [{
            matcher: "path",
            argument: "studio.state",
            state: "success",
            expected: "DELETED"
          }, {
            matcher: "path",
            argument: "studio.state",
            state: "failure",
            expected: "DELETE_FAILED"
          }]
        },
        StudioReady: {
          description: "Wait until a Studio is Ready. Use this after invoking CreateStudio, UpdateStudio, or StartStudioSSOConfigurationRepair",
          delay: 2,
          maxAttempts: 60,
          operation: "GetStudio",
          acceptors: [{
            matcher: "path",
            argument: "studio.state",
            state: "success",
            expected: "READY"
          }, {
            matcher: "path",
            argument: "studio.state",
            state: "failure",
            expected: "CREATE_FAILED"
          }, {
            matcher: "path",
            argument: "studio.state",
            state: "failure",
            expected: "UPDATE_FAILED"
          }]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/nimble.js
var require_nimble = __commonJS({
  "node_modules/aws-sdk/clients/nimble.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["nimble"] = {};
    AWS2.Nimble = Service.defineService("nimble", ["2020-08-01"]);
    Object.defineProperty(apiLoader.services["nimble"], "2020-08-01", {
      get: function get() {
        var model = require_nimble_2020_08_01_min();
        model.paginators = require_nimble_2020_08_01_paginators().pagination;
        model.waiters = require_nimble_2020_08_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Nimble;
  }
});

// node_modules/aws-sdk/apis/finspace-2021-03-12.min.json
var require_finspace_2021_03_12_min = __commonJS({
  "node_modules/aws-sdk/apis/finspace-2021-03-12.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-03-12",
        endpointPrefix: "finspace",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "finspace",
        serviceFullName: "FinSpace User Environment Management service",
        serviceId: "finspace",
        signatureVersion: "v4",
        signingName: "finspace",
        uid: "finspace-2021-03-12"
      },
      operations: {
        CreateEnvironment: {
          http: {
            requestUri: "/environment"
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              kmsKeyId: {},
              tags: {
                shape: "S5"
              },
              federationMode: {},
              federationParameters: {
                shape: "S9"
              },
              superuserParameters: {
                type: "structure",
                required: [
                  "emailAddress",
                  "firstName",
                  "lastName"
                ],
                members: {
                  emailAddress: {
                    type: "string",
                    sensitive: true
                  },
                  firstName: {},
                  lastName: {}
                }
              },
              dataBundles: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              environmentId: {},
              environmentArn: {},
              environmentUrl: {}
            }
          }
        },
        CreateKxChangeset: {
          http: {
            requestUri: "/kx/environments/{environmentId}/databases/{databaseName}/changesets"
          },
          input: {
            type: "structure",
            required: [
              "environmentId",
              "databaseName",
              "changeRequests",
              "clientToken"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              databaseName: {
                location: "uri",
                locationName: "databaseName"
              },
              changeRequests: {
                shape: "Ss"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              changesetId: {},
              databaseName: {},
              environmentId: {},
              changeRequests: {
                shape: "Ss"
              },
              createdTimestamp: {
                type: "timestamp"
              },
              lastModifiedTimestamp: {
                type: "timestamp"
              },
              status: {},
              errorInfo: {
                shape: "S12"
              }
            }
          }
        },
        CreateKxCluster: {
          http: {
            requestUri: "/kx/environments/{environmentId}/clusters"
          },
          input: {
            type: "structure",
            required: [
              "environmentId",
              "clusterName",
              "clusterType",
              "capacityConfiguration",
              "releaseLabel",
              "azMode"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              clusterName: {},
              clusterType: {},
              databases: {
                shape: "S1a"
              },
              cacheStorageConfigurations: {
                shape: "S1g"
              },
              autoScalingConfiguration: {
                shape: "S1j"
              },
              clusterDescription: {},
              capacityConfiguration: {
                shape: "S1p"
              },
              releaseLabel: {},
              vpcConfiguration: {
                shape: "S1s"
              },
              initializationScript: {},
              commandLineArguments: {
                shape: "S20"
              },
              code: {
                shape: "S24"
              },
              executionRole: {},
              savedownStorageConfiguration: {
                shape: "S29"
              },
              azMode: {},
              availabilityZoneId: {},
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              environmentId: {},
              status: {},
              statusReason: {},
              clusterName: {},
              clusterType: {},
              databases: {
                shape: "S1a"
              },
              cacheStorageConfigurations: {
                shape: "S1g"
              },
              autoScalingConfiguration: {
                shape: "S1j"
              },
              clusterDescription: {},
              capacityConfiguration: {
                shape: "S1p"
              },
              releaseLabel: {},
              vpcConfiguration: {
                shape: "S1s"
              },
              initializationScript: {},
              commandLineArguments: {
                shape: "S20"
              },
              code: {
                shape: "S24"
              },
              executionRole: {},
              lastModifiedTimestamp: {
                type: "timestamp"
              },
              savedownStorageConfiguration: {
                shape: "S29"
              },
              azMode: {},
              availabilityZoneId: {},
              createdTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        CreateKxDatabase: {
          http: {
            requestUri: "/kx/environments/{environmentId}/databases"
          },
          input: {
            type: "structure",
            required: [
              "environmentId",
              "databaseName",
              "clientToken"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              databaseName: {},
              description: {},
              tags: {
                shape: "S5"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              databaseName: {},
              databaseArn: {},
              environmentId: {},
              description: {},
              createdTimestamp: {
                type: "timestamp"
              },
              lastModifiedTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        CreateKxEnvironment: {
          http: {
            requestUri: "/kx/environments"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "kmsKeyId"
            ],
            members: {
              name: {},
              description: {},
              kmsKeyId: {},
              tags: {
                shape: "S5"
              },
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              status: {},
              environmentId: {},
              description: {},
              environmentArn: {},
              kmsKeyId: {},
              creationTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        CreateKxUser: {
          http: {
            requestUri: "/kx/environments/{environmentId}/users"
          },
          input: {
            type: "structure",
            required: [
              "environmentId",
              "userName",
              "iamRole"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              userName: {},
              iamRole: {},
              tags: {
                shape: "S5"
              },
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              userName: {},
              userArn: {},
              environmentId: {},
              iamRole: {}
            }
          }
        },
        DeleteEnvironment: {
          http: {
            method: "DELETE",
            requestUri: "/environment/{environmentId}"
          },
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteKxCluster: {
          http: {
            method: "DELETE",
            requestUri: "/kx/environments/{environmentId}/clusters/{clusterName}"
          },
          input: {
            type: "structure",
            required: [
              "environmentId",
              "clusterName"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              clusterName: {
                location: "uri",
                locationName: "clusterName"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteKxDatabase: {
          http: {
            method: "DELETE",
            requestUri: "/kx/environments/{environmentId}/databases/{databaseName}"
          },
          input: {
            type: "structure",
            required: [
              "environmentId",
              "databaseName",
              "clientToken"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              databaseName: {
                location: "uri",
                locationName: "databaseName"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteKxEnvironment: {
          http: {
            method: "DELETE",
            requestUri: "/kx/environments/{environmentId}"
          },
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteKxUser: {
          http: {
            method: "DELETE",
            requestUri: "/kx/environments/{environmentId}/users/{userName}"
          },
          input: {
            type: "structure",
            required: [
              "userName",
              "environmentId"
            ],
            members: {
              userName: {
                location: "uri",
                locationName: "userName"
              },
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetEnvironment: {
          http: {
            method: "GET",
            requestUri: "/environment/{environmentId}"
          },
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              environment: {
                shape: "S36"
              }
            }
          }
        },
        GetKxChangeset: {
          http: {
            method: "GET",
            requestUri: "/kx/environments/{environmentId}/databases/{databaseName}/changesets/{changesetId}"
          },
          input: {
            type: "structure",
            required: [
              "environmentId",
              "databaseName",
              "changesetId"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              databaseName: {
                location: "uri",
                locationName: "databaseName"
              },
              changesetId: {
                location: "uri",
                locationName: "changesetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              changesetId: {},
              databaseName: {},
              environmentId: {},
              changeRequests: {
                shape: "Ss"
              },
              createdTimestamp: {
                type: "timestamp"
              },
              activeFromTimestamp: {
                type: "timestamp"
              },
              lastModifiedTimestamp: {
                type: "timestamp"
              },
              status: {},
              errorInfo: {
                shape: "S12"
              }
            }
          }
        },
        GetKxCluster: {
          http: {
            method: "GET",
            requestUri: "/kx/environments/{environmentId}/clusters/{clusterName}"
          },
          input: {
            type: "structure",
            required: [
              "environmentId",
              "clusterName"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              clusterName: {
                location: "uri",
                locationName: "clusterName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              status: {},
              statusReason: {},
              clusterName: {},
              clusterType: {},
              databases: {
                shape: "S1a"
              },
              cacheStorageConfigurations: {
                shape: "S1g"
              },
              autoScalingConfiguration: {
                shape: "S1j"
              },
              clusterDescription: {},
              capacityConfiguration: {
                shape: "S1p"
              },
              releaseLabel: {},
              vpcConfiguration: {
                shape: "S1s"
              },
              initializationScript: {},
              commandLineArguments: {
                shape: "S20"
              },
              code: {
                shape: "S24"
              },
              executionRole: {},
              lastModifiedTimestamp: {
                type: "timestamp"
              },
              savedownStorageConfiguration: {
                shape: "S29"
              },
              azMode: {},
              availabilityZoneId: {},
              createdTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        GetKxConnectionString: {
          http: {
            method: "GET",
            requestUri: "/kx/environments/{environmentId}/connectionString"
          },
          input: {
            type: "structure",
            required: [
              "userArn",
              "environmentId",
              "clusterName"
            ],
            members: {
              userArn: {
                location: "querystring",
                locationName: "userArn"
              },
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              clusterName: {
                location: "querystring",
                locationName: "clusterName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              signedConnectionString: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        GetKxDatabase: {
          http: {
            method: "GET",
            requestUri: "/kx/environments/{environmentId}/databases/{databaseName}"
          },
          input: {
            type: "structure",
            required: [
              "environmentId",
              "databaseName"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              databaseName: {
                location: "uri",
                locationName: "databaseName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              databaseName: {},
              databaseArn: {},
              environmentId: {},
              description: {},
              createdTimestamp: {
                type: "timestamp"
              },
              lastModifiedTimestamp: {
                type: "timestamp"
              },
              lastCompletedChangesetId: {},
              numBytes: {
                type: "long"
              },
              numChangesets: {
                type: "integer"
              },
              numFiles: {
                type: "integer"
              }
            }
          }
        },
        GetKxEnvironment: {
          http: {
            method: "GET",
            requestUri: "/kx/environments/{environmentId}"
          },
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              environmentId: {},
              awsAccountId: {},
              status: {},
              tgwStatus: {},
              dnsStatus: {},
              errorMessage: {},
              description: {},
              environmentArn: {},
              kmsKeyId: {},
              dedicatedServiceAccountId: {},
              transitGatewayConfiguration: {
                shape: "S3p"
              },
              customDNSConfiguration: {
                shape: "S3s"
              },
              creationTimestamp: {
                type: "timestamp"
              },
              updateTimestamp: {
                type: "timestamp"
              },
              availabilityZoneIds: {
                shape: "S3w"
              },
              certificateAuthorityArn: {}
            }
          }
        },
        GetKxUser: {
          http: {
            method: "GET",
            requestUri: "/kx/environments/{environmentId}/users/{userName}"
          },
          input: {
            type: "structure",
            required: [
              "userName",
              "environmentId"
            ],
            members: {
              userName: {
                location: "uri",
                locationName: "userName"
              },
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              userName: {},
              userArn: {},
              environmentId: {},
              iamRole: {}
            }
          }
        },
        ListEnvironments: {
          http: {
            method: "GET",
            requestUri: "/environment"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              environments: {
                type: "list",
                member: {
                  shape: "S36"
                }
              },
              nextToken: {}
            }
          }
        },
        ListKxChangesets: {
          http: {
            method: "GET",
            requestUri: "/kx/environments/{environmentId}/databases/{databaseName}/changesets"
          },
          input: {
            type: "structure",
            required: [
              "environmentId",
              "databaseName"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              databaseName: {
                location: "uri",
                locationName: "databaseName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              kxChangesets: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    changesetId: {},
                    createdTimestamp: {
                      type: "timestamp"
                    },
                    activeFromTimestamp: {
                      type: "timestamp"
                    },
                    lastModifiedTimestamp: {
                      type: "timestamp"
                    },
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListKxClusterNodes: {
          http: {
            method: "GET",
            requestUri: "/kx/environments/{environmentId}/clusters/{clusterName}/nodes"
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "environmentId"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              clusterName: {
                location: "uri",
                locationName: "clusterName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nodes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    nodeId: {},
                    availabilityZoneId: {},
                    launchTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListKxClusters: {
          http: {
            method: "GET",
            requestUri: "/kx/environments/{environmentId}/clusters"
          },
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              clusterType: {
                location: "querystring",
                locationName: "clusterType"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              kxClusterSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    status: {},
                    statusReason: {},
                    clusterName: {},
                    clusterType: {},
                    clusterDescription: {},
                    releaseLabel: {},
                    initializationScript: {},
                    executionRole: {},
                    azMode: {},
                    availabilityZoneId: {},
                    lastModifiedTimestamp: {
                      type: "timestamp"
                    },
                    createdTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListKxDatabases: {
          http: {
            method: "GET",
            requestUri: "/kx/environments/{environmentId}/databases"
          },
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              kxDatabases: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    databaseName: {},
                    createdTimestamp: {
                      type: "timestamp"
                    },
                    lastModifiedTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListKxEnvironments: {
          http: {
            method: "GET",
            requestUri: "/kx/environments"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              environments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    environmentId: {},
                    awsAccountId: {},
                    status: {},
                    tgwStatus: {},
                    dnsStatus: {},
                    errorMessage: {},
                    description: {},
                    environmentArn: {},
                    kmsKeyId: {},
                    dedicatedServiceAccountId: {},
                    transitGatewayConfiguration: {
                      shape: "S3p"
                    },
                    customDNSConfiguration: {
                      shape: "S3s"
                    },
                    creationTimestamp: {
                      type: "timestamp"
                    },
                    updateTimestamp: {
                      type: "timestamp"
                    },
                    availabilityZoneIds: {
                      shape: "S3w"
                    },
                    certificateAuthorityArn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListKxUsers: {
          http: {
            method: "GET",
            requestUri: "/kx/environments/{environmentId}/users"
          },
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              users: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    userArn: {},
                    userName: {},
                    iamRole: {},
                    createTimestamp: {
                      type: "timestamp"
                    },
                    updateTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S5"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}"
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateEnvironment: {
          http: {
            method: "PUT",
            requestUri: "/environment/{environmentId}"
          },
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              name: {},
              description: {},
              federationMode: {},
              federationParameters: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              environment: {
                shape: "S36"
              }
            }
          }
        },
        UpdateKxClusterDatabases: {
          http: {
            method: "PUT",
            requestUri: "/kx/environments/{environmentId}/clusters/{clusterName}/configuration/databases"
          },
          input: {
            type: "structure",
            required: [
              "environmentId",
              "clusterName",
              "databases"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              clusterName: {
                location: "uri",
                locationName: "clusterName"
              },
              clientToken: {},
              databases: {
                shape: "S1a"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateKxDatabase: {
          http: {
            method: "PUT",
            requestUri: "/kx/environments/{environmentId}/databases/{databaseName}"
          },
          input: {
            type: "structure",
            required: [
              "environmentId",
              "databaseName",
              "clientToken"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              databaseName: {
                location: "uri",
                locationName: "databaseName"
              },
              description: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              databaseName: {},
              environmentId: {},
              description: {},
              lastModifiedTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        UpdateKxEnvironment: {
          http: {
            method: "PUT",
            requestUri: "/kx/environments/{environmentId}"
          },
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              name: {},
              description: {},
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              environmentId: {},
              awsAccountId: {},
              status: {},
              tgwStatus: {},
              dnsStatus: {},
              errorMessage: {},
              description: {},
              environmentArn: {},
              kmsKeyId: {},
              dedicatedServiceAccountId: {},
              transitGatewayConfiguration: {
                shape: "S3p"
              },
              customDNSConfiguration: {
                shape: "S3s"
              },
              creationTimestamp: {
                type: "timestamp"
              },
              updateTimestamp: {
                type: "timestamp"
              },
              availabilityZoneIds: {
                shape: "S3w"
              }
            }
          }
        },
        UpdateKxEnvironmentNetwork: {
          http: {
            method: "PUT",
            requestUri: "/kx/environments/{environmentId}/network"
          },
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              transitGatewayConfiguration: {
                shape: "S3p"
              },
              customDNSConfiguration: {
                shape: "S3s"
              },
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              environmentId: {},
              awsAccountId: {},
              status: {},
              tgwStatus: {},
              dnsStatus: {},
              errorMessage: {},
              description: {},
              environmentArn: {},
              kmsKeyId: {},
              dedicatedServiceAccountId: {},
              transitGatewayConfiguration: {
                shape: "S3p"
              },
              customDNSConfiguration: {
                shape: "S3s"
              },
              creationTimestamp: {
                type: "timestamp"
              },
              updateTimestamp: {
                type: "timestamp"
              },
              availabilityZoneIds: {
                shape: "S3w"
              }
            }
          }
        },
        UpdateKxUser: {
          http: {
            method: "PUT",
            requestUri: "/kx/environments/{environmentId}/users/{userName}"
          },
          input: {
            type: "structure",
            required: [
              "environmentId",
              "userName",
              "iamRole"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              userName: {
                location: "uri",
                locationName: "userName"
              },
              iamRole: {},
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              userName: {},
              userArn: {},
              environmentId: {},
              iamRole: {}
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "map",
          key: {},
          value: {}
        },
        S9: {
          type: "structure",
          members: {
            samlMetadataDocument: {},
            samlMetadataURL: {},
            applicationCallBackURL: {},
            federationURN: {},
            federationProviderName: {},
            attributeMap: {
              type: "map",
              key: {},
              value: {}
            }
          }
        },
        Ss: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "changeType",
              "dbPath"
            ],
            members: {
              changeType: {},
              s3Path: {},
              dbPath: {}
            }
          }
        },
        S12: {
          type: "structure",
          members: {
            errorMessage: {},
            errorType: {}
          }
        },
        S1a: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "databaseName"
            ],
            members: {
              databaseName: {},
              cacheConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "cacheType",
                    "dbPaths"
                  ],
                  members: {
                    cacheType: {},
                    dbPaths: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              changesetId: {}
            }
          }
        },
        S1g: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "type",
              "size"
            ],
            members: {
              type: {},
              size: {
                type: "integer"
              }
            }
          }
        },
        S1j: {
          type: "structure",
          members: {
            minNodeCount: {
              type: "integer"
            },
            maxNodeCount: {
              type: "integer"
            },
            autoScalingMetric: {},
            metricTarget: {
              type: "double"
            },
            scaleInCooldownSeconds: {
              type: "double"
            },
            scaleOutCooldownSeconds: {
              type: "double"
            }
          }
        },
        S1p: {
          type: "structure",
          members: {
            nodeType: {},
            nodeCount: {
              type: "integer"
            }
          }
        },
        S1s: {
          type: "structure",
          members: {
            vpcId: {},
            securityGroupIds: {
              type: "list",
              member: {}
            },
            subnetIds: {
              type: "list",
              member: {}
            },
            ipAddressType: {}
          }
        },
        S20: {
          type: "list",
          member: {
            type: "structure",
            members: {
              key: {},
              value: {}
            }
          }
        },
        S24: {
          type: "structure",
          members: {
            s3Bucket: {},
            s3Key: {},
            s3ObjectVersion: {}
          }
        },
        S29: {
          type: "structure",
          required: [
            "type",
            "size"
          ],
          members: {
            type: {},
            size: {
              type: "integer"
            }
          }
        },
        S36: {
          type: "structure",
          members: {
            name: {},
            environmentId: {},
            awsAccountId: {},
            status: {},
            environmentUrl: {},
            description: {},
            environmentArn: {},
            sageMakerStudioDomainUrl: {},
            kmsKeyId: {},
            dedicatedServiceAccountId: {},
            federationMode: {},
            federationParameters: {
              shape: "S9"
            }
          }
        },
        S3p: {
          type: "structure",
          required: [
            "transitGatewayID",
            "routableCIDRSpace"
          ],
          members: {
            transitGatewayID: {},
            routableCIDRSpace: {}
          }
        },
        S3s: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "customDNSServerName",
              "customDNSServerIP"
            ],
            members: {
              customDNSServerName: {},
              customDNSServerIP: {}
            }
          }
        },
        S3w: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/finspace-2021-03-12.paginators.json
var require_finspace_2021_03_12_paginators = __commonJS({
  "node_modules/aws-sdk/apis/finspace-2021-03-12.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListKxChangesets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListKxClusterNodes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListKxDatabases: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListKxEnvironments: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "environments"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/finspace.js
var require_finspace = __commonJS({
  "node_modules/aws-sdk/clients/finspace.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["finspace"] = {};
    AWS2.Finspace = Service.defineService("finspace", ["2021-03-12"]);
    Object.defineProperty(apiLoader.services["finspace"], "2021-03-12", {
      get: function get() {
        var model = require_finspace_2021_03_12_min();
        model.paginators = require_finspace_2021_03_12_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Finspace;
  }
});

// node_modules/aws-sdk/apis/finspace-data-2020-07-13.min.json
var require_finspace_data_2020_07_13_min = __commonJS({
  "node_modules/aws-sdk/apis/finspace-data-2020-07-13.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-07-13",
        endpointPrefix: "finspace-api",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "FinSpace Data",
        serviceFullName: "FinSpace Public API",
        serviceId: "finspace data",
        signatureVersion: "v4",
        signingName: "finspace-api",
        uid: "finspace-2020-07-13"
      },
      operations: {
        AssociateUserToPermissionGroup: {
          http: {
            requestUri: "/permission-group/{permissionGroupId}/users/{userId}"
          },
          input: {
            type: "structure",
            required: [
              "permissionGroupId",
              "userId"
            ],
            members: {
              permissionGroupId: {
                location: "uri",
                locationName: "permissionGroupId"
              },
              userId: {
                location: "uri",
                locationName: "userId"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              statusCode: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        CreateChangeset: {
          http: {
            requestUri: "/datasets/{datasetId}/changesetsv2"
          },
          input: {
            type: "structure",
            required: [
              "datasetId",
              "changeType",
              "sourceParams",
              "formatParams"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              datasetId: {
                location: "uri",
                locationName: "datasetId"
              },
              changeType: {},
              sourceParams: {
                shape: "Sa"
              },
              formatParams: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasetId: {},
              changesetId: {}
            }
          }
        },
        CreateDataView: {
          http: {
            requestUri: "/datasets/{datasetId}/dataviewsv2"
          },
          input: {
            type: "structure",
            required: [
              "datasetId",
              "destinationTypeParams"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              datasetId: {
                location: "uri",
                locationName: "datasetId"
              },
              autoUpdate: {
                type: "boolean"
              },
              sortColumns: {
                shape: "Si"
              },
              partitionColumns: {
                shape: "Sk"
              },
              asOfTimestamp: {
                type: "long"
              },
              destinationTypeParams: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasetId: {},
              dataViewId: {}
            }
          }
        },
        CreateDataset: {
          http: {
            requestUri: "/datasetsv2"
          },
          input: {
            type: "structure",
            required: [
              "datasetTitle",
              "kind",
              "permissionGroupParams"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              datasetTitle: {},
              kind: {},
              datasetDescription: {},
              ownerInfo: {
                shape: "Sw"
              },
              permissionGroupParams: {
                type: "structure",
                members: {
                  permissionGroupId: {},
                  datasetPermissions: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        permission: {}
                      }
                    }
                  }
                }
              },
              alias: {},
              schemaDefinition: {
                shape: "S15"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasetId: {}
            }
          }
        },
        CreatePermissionGroup: {
          http: {
            requestUri: "/permission-group"
          },
          input: {
            type: "structure",
            required: [
              "name",
              "applicationPermissions"
            ],
            members: {
              name: {
                shape: "S1f"
              },
              description: {
                shape: "S1g"
              },
              applicationPermissions: {
                shape: "S1h"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              permissionGroupId: {}
            }
          }
        },
        CreateUser: {
          http: {
            requestUri: "/user"
          },
          input: {
            type: "structure",
            required: [
              "emailAddress",
              "type"
            ],
            members: {
              emailAddress: {
                shape: "Sz"
              },
              type: {},
              firstName: {
                shape: "S1m"
              },
              lastName: {
                shape: "S1n"
              },
              ApiAccess: {},
              apiAccessPrincipalArn: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              userId: {}
            }
          }
        },
        DeleteDataset: {
          http: {
            method: "DELETE",
            requestUri: "/datasetsv2/{datasetId}"
          },
          input: {
            type: "structure",
            required: [
              "datasetId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              },
              datasetId: {
                location: "uri",
                locationName: "datasetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasetId: {}
            }
          }
        },
        DeletePermissionGroup: {
          http: {
            method: "DELETE",
            requestUri: "/permission-group/{permissionGroupId}"
          },
          input: {
            type: "structure",
            required: [
              "permissionGroupId"
            ],
            members: {
              permissionGroupId: {
                location: "uri",
                locationName: "permissionGroupId"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              permissionGroupId: {}
            }
          }
        },
        DisableUser: {
          http: {
            requestUri: "/user/{userId}/disable"
          },
          input: {
            type: "structure",
            required: [
              "userId"
            ],
            members: {
              userId: {
                location: "uri",
                locationName: "userId"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              userId: {}
            }
          }
        },
        DisassociateUserFromPermissionGroup: {
          http: {
            method: "DELETE",
            requestUri: "/permission-group/{permissionGroupId}/users/{userId}"
          },
          input: {
            type: "structure",
            required: [
              "permissionGroupId",
              "userId"
            ],
            members: {
              permissionGroupId: {
                location: "uri",
                locationName: "permissionGroupId"
              },
              userId: {
                location: "uri",
                locationName: "userId"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              statusCode: {
                location: "statusCode",
                type: "integer"
              }
            }
          }
        },
        EnableUser: {
          http: {
            requestUri: "/user/{userId}/enable"
          },
          input: {
            type: "structure",
            required: [
              "userId"
            ],
            members: {
              userId: {
                location: "uri",
                locationName: "userId"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              userId: {}
            }
          }
        },
        GetChangeset: {
          http: {
            method: "GET",
            requestUri: "/datasets/{datasetId}/changesetsv2/{changesetId}"
          },
          input: {
            type: "structure",
            required: [
              "datasetId",
              "changesetId"
            ],
            members: {
              datasetId: {
                location: "uri",
                locationName: "datasetId"
              },
              changesetId: {
                location: "uri",
                locationName: "changesetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              changesetId: {},
              changesetArn: {},
              datasetId: {},
              changeType: {},
              sourceParams: {
                shape: "Sa"
              },
              formatParams: {
                shape: "Sd"
              },
              createTime: {
                type: "long"
              },
              status: {},
              errorInfo: {
                shape: "S25"
              },
              activeUntilTimestamp: {
                type: "long"
              },
              activeFromTimestamp: {
                type: "long"
              },
              updatesChangesetId: {},
              updatedByChangesetId: {}
            }
          }
        },
        GetDataView: {
          http: {
            method: "GET",
            requestUri: "/datasets/{datasetId}/dataviewsv2/{dataviewId}"
          },
          input: {
            type: "structure",
            required: [
              "dataViewId",
              "datasetId"
            ],
            members: {
              dataViewId: {
                location: "uri",
                locationName: "dataviewId"
              },
              datasetId: {
                location: "uri",
                locationName: "datasetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              autoUpdate: {
                type: "boolean"
              },
              partitionColumns: {
                shape: "Sk"
              },
              datasetId: {},
              asOfTimestamp: {
                type: "long"
              },
              errorInfo: {
                shape: "S2a"
              },
              lastModifiedTime: {
                type: "long"
              },
              createTime: {
                type: "long"
              },
              sortColumns: {
                shape: "Si"
              },
              dataViewId: {},
              dataViewArn: {},
              destinationTypeParams: {
                shape: "Sm"
              },
              status: {}
            }
          }
        },
        GetDataset: {
          http: {
            method: "GET",
            requestUri: "/datasetsv2/{datasetId}"
          },
          input: {
            type: "structure",
            required: [
              "datasetId"
            ],
            members: {
              datasetId: {
                location: "uri",
                locationName: "datasetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasetId: {},
              datasetArn: {},
              datasetTitle: {},
              kind: {},
              datasetDescription: {},
              createTime: {
                type: "long"
              },
              lastModifiedTime: {
                type: "long"
              },
              schemaDefinition: {
                shape: "S15"
              },
              alias: {},
              status: {}
            }
          }
        },
        GetExternalDataViewAccessDetails: {
          http: {
            requestUri: "/datasets/{datasetId}/dataviewsv2/{dataviewId}/external-access-details"
          },
          input: {
            type: "structure",
            required: [
              "dataViewId",
              "datasetId"
            ],
            members: {
              dataViewId: {
                location: "uri",
                locationName: "dataviewId"
              },
              datasetId: {
                location: "uri",
                locationName: "datasetId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              credentials: {
                type: "structure",
                members: {
                  accessKeyId: {},
                  secretAccessKey: {
                    type: "string",
                    sensitive: true
                  },
                  sessionToken: {
                    type: "string",
                    sensitive: true
                  },
                  expiration: {
                    type: "long"
                  }
                }
              },
              s3Location: {
                type: "structure",
                required: [
                  "bucket",
                  "key"
                ],
                members: {
                  bucket: {},
                  key: {}
                }
              }
            }
          }
        },
        GetPermissionGroup: {
          http: {
            method: "GET",
            requestUri: "/permission-group/{permissionGroupId}"
          },
          input: {
            type: "structure",
            required: [
              "permissionGroupId"
            ],
            members: {
              permissionGroupId: {
                location: "uri",
                locationName: "permissionGroupId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              permissionGroup: {
                shape: "S2s"
              }
            }
          }
        },
        GetProgrammaticAccessCredentials: {
          http: {
            method: "GET",
            requestUri: "/credentials/programmatic"
          },
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              durationInMinutes: {
                location: "querystring",
                locationName: "durationInMinutes",
                type: "long"
              },
              environmentId: {
                location: "querystring",
                locationName: "environmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              credentials: {
                type: "structure",
                members: {
                  accessKeyId: {},
                  secretAccessKey: {},
                  sessionToken: {}
                }
              },
              durationInMinutes: {
                type: "long"
              }
            }
          }
        },
        GetUser: {
          http: {
            method: "GET",
            requestUri: "/user/{userId}"
          },
          input: {
            type: "structure",
            required: [
              "userId"
            ],
            members: {
              userId: {
                location: "uri",
                locationName: "userId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              userId: {},
              status: {},
              firstName: {
                shape: "S1m"
              },
              lastName: {
                shape: "S1n"
              },
              emailAddress: {
                shape: "Sz"
              },
              type: {},
              apiAccess: {},
              apiAccessPrincipalArn: {},
              createTime: {
                type: "long"
              },
              lastEnabledTime: {
                type: "long"
              },
              lastDisabledTime: {
                type: "long"
              },
              lastModifiedTime: {
                type: "long"
              },
              lastLoginTime: {
                type: "long"
              }
            }
          }
        },
        GetWorkingLocation: {
          http: {
            requestUri: "/workingLocationV1"
          },
          input: {
            type: "structure",
            members: {
              locationType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              s3Uri: {},
              s3Path: {},
              s3Bucket: {}
            }
          }
        },
        ListChangesets: {
          http: {
            method: "GET",
            requestUri: "/datasets/{datasetId}/changesetsv2"
          },
          input: {
            type: "structure",
            required: [
              "datasetId"
            ],
            members: {
              datasetId: {
                location: "uri",
                locationName: "datasetId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              changesets: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    changesetId: {},
                    changesetArn: {},
                    datasetId: {},
                    changeType: {},
                    sourceParams: {
                      shape: "Sa"
                    },
                    formatParams: {
                      shape: "Sd"
                    },
                    createTime: {
                      type: "long"
                    },
                    status: {},
                    errorInfo: {
                      shape: "S25"
                    },
                    activeUntilTimestamp: {
                      type: "long"
                    },
                    activeFromTimestamp: {
                      type: "long"
                    },
                    updatesChangesetId: {},
                    updatedByChangesetId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDataViews: {
          http: {
            method: "GET",
            requestUri: "/datasets/{datasetId}/dataviewsv2"
          },
          input: {
            type: "structure",
            required: [
              "datasetId"
            ],
            members: {
              datasetId: {
                location: "uri",
                locationName: "datasetId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              dataViews: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    dataViewId: {},
                    dataViewArn: {},
                    datasetId: {},
                    asOfTimestamp: {
                      type: "long"
                    },
                    partitionColumns: {
                      shape: "Sk"
                    },
                    sortColumns: {
                      shape: "Si"
                    },
                    status: {},
                    errorInfo: {
                      shape: "S2a"
                    },
                    destinationTypeProperties: {
                      shape: "Sm"
                    },
                    autoUpdate: {
                      type: "boolean"
                    },
                    createTime: {
                      type: "long"
                    },
                    lastModifiedTime: {
                      type: "long"
                    }
                  }
                }
              }
            }
          }
        },
        ListDatasets: {
          http: {
            method: "GET",
            requestUri: "/datasetsv2"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasets: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    datasetId: {},
                    datasetArn: {},
                    datasetTitle: {},
                    kind: {},
                    datasetDescription: {},
                    ownerInfo: {
                      shape: "Sw"
                    },
                    createTime: {
                      type: "long"
                    },
                    lastModifiedTime: {
                      type: "long"
                    },
                    schemaDefinition: {
                      shape: "S15"
                    },
                    alias: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListPermissionGroups: {
          http: {
            method: "GET",
            requestUri: "/permission-group"
          },
          input: {
            type: "structure",
            required: [
              "maxResults"
            ],
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              permissionGroups: {
                type: "list",
                member: {
                  shape: "S2s"
                }
              },
              nextToken: {}
            }
          }
        },
        ListPermissionGroupsByUser: {
          http: {
            method: "GET",
            requestUri: "/user/{userId}/permission-groups"
          },
          input: {
            type: "structure",
            required: [
              "userId",
              "maxResults"
            ],
            members: {
              userId: {
                location: "uri",
                locationName: "userId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              permissionGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    permissionGroupId: {},
                    name: {
                      shape: "S1f"
                    },
                    membershipStatus: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListUsers: {
          http: {
            method: "GET",
            requestUri: "/user"
          },
          input: {
            type: "structure",
            required: [
              "maxResults"
            ],
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              users: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    userId: {},
                    status: {},
                    firstName: {
                      shape: "S1m"
                    },
                    lastName: {
                      shape: "S1n"
                    },
                    emailAddress: {
                      shape: "Sz"
                    },
                    type: {},
                    apiAccess: {},
                    apiAccessPrincipalArn: {},
                    createTime: {
                      type: "long"
                    },
                    lastEnabledTime: {
                      type: "long"
                    },
                    lastDisabledTime: {
                      type: "long"
                    },
                    lastModifiedTime: {
                      type: "long"
                    },
                    lastLoginTime: {
                      type: "long"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListUsersByPermissionGroup: {
          http: {
            method: "GET",
            requestUri: "/permission-group/{permissionGroupId}/users"
          },
          input: {
            type: "structure",
            required: [
              "permissionGroupId",
              "maxResults"
            ],
            members: {
              permissionGroupId: {
                location: "uri",
                locationName: "permissionGroupId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              users: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    userId: {},
                    status: {},
                    firstName: {
                      shape: "S1m"
                    },
                    lastName: {
                      shape: "S1n"
                    },
                    emailAddress: {
                      shape: "Sz"
                    },
                    type: {},
                    apiAccess: {},
                    apiAccessPrincipalArn: {},
                    membershipStatus: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ResetUserPassword: {
          http: {
            requestUri: "/user/{userId}/password"
          },
          input: {
            type: "structure",
            required: [
              "userId"
            ],
            members: {
              userId: {
                location: "uri",
                locationName: "userId"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              userId: {},
              temporaryPassword: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        UpdateChangeset: {
          http: {
            method: "PUT",
            requestUri: "/datasets/{datasetId}/changesetsv2/{changesetId}"
          },
          input: {
            type: "structure",
            required: [
              "datasetId",
              "changesetId",
              "sourceParams",
              "formatParams"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              datasetId: {
                location: "uri",
                locationName: "datasetId"
              },
              changesetId: {
                location: "uri",
                locationName: "changesetId"
              },
              sourceParams: {
                shape: "Sa"
              },
              formatParams: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              changesetId: {},
              datasetId: {}
            }
          }
        },
        UpdateDataset: {
          http: {
            method: "PUT",
            requestUri: "/datasetsv2/{datasetId}"
          },
          input: {
            type: "structure",
            required: [
              "datasetId",
              "datasetTitle",
              "kind"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              datasetId: {
                location: "uri",
                locationName: "datasetId"
              },
              datasetTitle: {},
              kind: {},
              datasetDescription: {},
              alias: {},
              schemaDefinition: {
                shape: "S15"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              datasetId: {}
            }
          }
        },
        UpdatePermissionGroup: {
          http: {
            method: "PUT",
            requestUri: "/permission-group/{permissionGroupId}"
          },
          input: {
            type: "structure",
            required: [
              "permissionGroupId"
            ],
            members: {
              permissionGroupId: {
                location: "uri",
                locationName: "permissionGroupId"
              },
              name: {
                shape: "S1f"
              },
              description: {
                shape: "S1g"
              },
              applicationPermissions: {
                shape: "S1h"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              permissionGroupId: {}
            }
          }
        },
        UpdateUser: {
          http: {
            method: "PUT",
            requestUri: "/user/{userId}"
          },
          input: {
            type: "structure",
            required: [
              "userId"
            ],
            members: {
              userId: {
                location: "uri",
                locationName: "userId"
              },
              type: {},
              firstName: {
                shape: "S1m"
              },
              lastName: {
                shape: "S1n"
              },
              apiAccess: {},
              apiAccessPrincipalArn: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              userId: {}
            }
          }
        }
      },
      shapes: {
        Sa: {
          type: "map",
          key: {},
          value: {}
        },
        Sd: {
          type: "map",
          key: {},
          value: {}
        },
        Si: {
          type: "list",
          member: {}
        },
        Sk: {
          type: "list",
          member: {}
        },
        Sm: {
          type: "structure",
          required: [
            "destinationType"
          ],
          members: {
            destinationType: {},
            s3DestinationExportFileFormat: {},
            s3DestinationExportFileFormatOptions: {
              type: "map",
              key: {},
              value: {}
            }
          }
        },
        Sw: {
          type: "structure",
          members: {
            name: {},
            phoneNumber: {},
            email: {
              shape: "Sz"
            }
          }
        },
        Sz: {
          type: "string",
          sensitive: true
        },
        S15: {
          type: "structure",
          members: {
            tabularSchemaConfig: {
              type: "structure",
              members: {
                columns: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      dataType: {},
                      columnName: {},
                      columnDescription: {}
                    }
                  }
                },
                primaryKeyColumns: {
                  type: "list",
                  member: {}
                }
              }
            }
          }
        },
        S1f: {
          type: "string",
          sensitive: true
        },
        S1g: {
          type: "string",
          sensitive: true
        },
        S1h: {
          type: "list",
          member: {}
        },
        S1m: {
          type: "string",
          sensitive: true
        },
        S1n: {
          type: "string",
          sensitive: true
        },
        S25: {
          type: "structure",
          members: {
            errorMessage: {},
            errorCategory: {}
          }
        },
        S2a: {
          type: "structure",
          members: {
            errorMessage: {},
            errorCategory: {}
          }
        },
        S2s: {
          type: "structure",
          members: {
            permissionGroupId: {},
            name: {
              shape: "S1f"
            },
            description: {
              shape: "S1g"
            },
            applicationPermissions: {
              shape: "S1h"
            },
            createTime: {
              type: "long"
            },
            lastModifiedTime: {
              type: "long"
            },
            membershipStatus: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/finspace-data-2020-07-13.paginators.json
var require_finspace_data_2020_07_13_paginators = __commonJS({
  "node_modules/aws-sdk/apis/finspace-data-2020-07-13.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListChangesets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "changesets"
        },
        ListDataViews: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "dataViews"
        },
        ListDatasets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "datasets"
        },
        ListPermissionGroups: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "permissionGroups"
        },
        ListUsers: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "users"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/finspacedata.js
var require_finspacedata = __commonJS({
  "node_modules/aws-sdk/clients/finspacedata.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["finspacedata"] = {};
    AWS2.Finspacedata = Service.defineService("finspacedata", ["2020-07-13"]);
    Object.defineProperty(apiLoader.services["finspacedata"], "2020-07-13", {
      get: function get() {
        var model = require_finspace_data_2020_07_13_min();
        model.paginators = require_finspace_data_2020_07_13_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Finspacedata;
  }
});

// node_modules/aws-sdk/apis/ssm-contacts-2021-05-03.min.json
var require_ssm_contacts_2021_05_03_min = __commonJS({
  "node_modules/aws-sdk/apis/ssm-contacts-2021-05-03.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-05-03",
        endpointPrefix: "ssm-contacts",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "SSM Contacts",
        serviceFullName: "AWS Systems Manager Incident Manager Contacts",
        serviceId: "SSM Contacts",
        signatureVersion: "v4",
        signingName: "ssm-contacts",
        targetPrefix: "SSMContacts",
        uid: "ssm-contacts-2021-05-03"
      },
      operations: {
        AcceptPage: {
          input: {
            type: "structure",
            required: [
              "PageId",
              "AcceptType",
              "AcceptCode"
            ],
            members: {
              PageId: {},
              ContactChannelId: {},
              AcceptType: {},
              Note: {},
              AcceptCode: {},
              AcceptCodeValidation: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ActivateContactChannel: {
          input: {
            type: "structure",
            required: [
              "ContactChannelId",
              "ActivationCode"
            ],
            members: {
              ContactChannelId: {},
              ActivationCode: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateContact: {
          input: {
            type: "structure",
            required: [
              "Alias",
              "Type",
              "Plan"
            ],
            members: {
              Alias: {},
              DisplayName: {},
              Type: {},
              Plan: {
                shape: "Sf"
              },
              Tags: {
                shape: "Sq"
              },
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ContactArn"
            ],
            members: {
              ContactArn: {}
            }
          }
        },
        CreateContactChannel: {
          input: {
            type: "structure",
            required: [
              "ContactId",
              "Name",
              "Type",
              "DeliveryAddress"
            ],
            members: {
              ContactId: {},
              Name: {},
              Type: {},
              DeliveryAddress: {
                shape: "Sz"
              },
              DeferActivation: {
                type: "boolean"
              },
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ContactChannelArn"
            ],
            members: {
              ContactChannelArn: {}
            }
          }
        },
        CreateRotation: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ContactIds",
              "TimeZoneId",
              "Recurrence"
            ],
            members: {
              Name: {},
              ContactIds: {
                shape: "S15"
              },
              StartTime: {
                type: "timestamp"
              },
              TimeZoneId: {},
              Recurrence: {
                shape: "S18"
              },
              Tags: {
                shape: "Sq"
              },
              IdempotencyToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "RotationArn"
            ],
            members: {
              RotationArn: {}
            }
          }
        },
        CreateRotationOverride: {
          input: {
            type: "structure",
            required: [
              "RotationId",
              "NewContactIds",
              "StartTime",
              "EndTime"
            ],
            members: {
              RotationId: {},
              NewContactIds: {
                type: "list",
                member: {}
              },
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              IdempotencyToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "RotationOverrideId"
            ],
            members: {
              RotationOverrideId: {}
            }
          }
        },
        DeactivateContactChannel: {
          input: {
            type: "structure",
            required: [
              "ContactChannelId"
            ],
            members: {
              ContactChannelId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteContact: {
          input: {
            type: "structure",
            required: [
              "ContactId"
            ],
            members: {
              ContactId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteContactChannel: {
          input: {
            type: "structure",
            required: [
              "ContactChannelId"
            ],
            members: {
              ContactChannelId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteRotation: {
          input: {
            type: "structure",
            required: [
              "RotationId"
            ],
            members: {
              RotationId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteRotationOverride: {
          input: {
            type: "structure",
            required: [
              "RotationId",
              "RotationOverrideId"
            ],
            members: {
              RotationId: {},
              RotationOverrideId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeEngagement: {
          input: {
            type: "structure",
            required: [
              "EngagementId"
            ],
            members: {
              EngagementId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ContactArn",
              "EngagementArn",
              "Sender",
              "Subject",
              "Content"
            ],
            members: {
              ContactArn: {},
              EngagementArn: {},
              Sender: {},
              Subject: {},
              Content: {},
              PublicSubject: {},
              PublicContent: {},
              IncidentId: {},
              StartTime: {
                type: "timestamp"
              },
              StopTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribePage: {
          input: {
            type: "structure",
            required: [
              "PageId"
            ],
            members: {
              PageId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "PageArn",
              "EngagementArn",
              "ContactArn",
              "Sender",
              "Subject",
              "Content"
            ],
            members: {
              PageArn: {},
              EngagementArn: {},
              ContactArn: {},
              Sender: {},
              Subject: {},
              Content: {},
              PublicSubject: {},
              PublicContent: {},
              IncidentId: {},
              SentTime: {
                type: "timestamp"
              },
              ReadTime: {
                type: "timestamp"
              },
              DeliveryTime: {
                type: "timestamp"
              }
            }
          }
        },
        GetContact: {
          input: {
            type: "structure",
            required: [
              "ContactId"
            ],
            members: {
              ContactId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ContactArn",
              "Alias",
              "Type",
              "Plan"
            ],
            members: {
              ContactArn: {},
              Alias: {},
              DisplayName: {},
              Type: {},
              Plan: {
                shape: "Sf"
              }
            }
          }
        },
        GetContactChannel: {
          input: {
            type: "structure",
            required: [
              "ContactChannelId"
            ],
            members: {
              ContactChannelId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ContactArn",
              "ContactChannelArn",
              "Name",
              "Type",
              "DeliveryAddress"
            ],
            members: {
              ContactArn: {},
              ContactChannelArn: {},
              Name: {},
              Type: {},
              DeliveryAddress: {
                shape: "Sz"
              },
              ActivationStatus: {}
            }
          }
        },
        GetContactPolicy: {
          input: {
            type: "structure",
            required: [
              "ContactArn"
            ],
            members: {
              ContactArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ContactArn: {},
              Policy: {}
            }
          }
        },
        GetRotation: {
          input: {
            type: "structure",
            required: [
              "RotationId"
            ],
            members: {
              RotationId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "RotationArn",
              "Name",
              "ContactIds",
              "StartTime",
              "TimeZoneId",
              "Recurrence"
            ],
            members: {
              RotationArn: {},
              Name: {},
              ContactIds: {
                shape: "S15"
              },
              StartTime: {
                type: "timestamp"
              },
              TimeZoneId: {},
              Recurrence: {
                shape: "S18"
              }
            }
          }
        },
        GetRotationOverride: {
          input: {
            type: "structure",
            required: [
              "RotationId",
              "RotationOverrideId"
            ],
            members: {
              RotationId: {},
              RotationOverrideId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RotationOverrideId: {},
              RotationArn: {},
              NewContactIds: {
                shape: "Sp"
              },
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              CreateTime: {
                type: "timestamp"
              }
            }
          }
        },
        ListContactChannels: {
          input: {
            type: "structure",
            required: [
              "ContactId"
            ],
            members: {
              ContactId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ContactChannels"
            ],
            members: {
              NextToken: {},
              ContactChannels: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ContactChannelArn",
                    "ContactArn",
                    "Name",
                    "DeliveryAddress",
                    "ActivationStatus"
                  ],
                  members: {
                    ContactChannelArn: {},
                    ContactArn: {},
                    Name: {},
                    Type: {},
                    DeliveryAddress: {
                      shape: "Sz"
                    },
                    ActivationStatus: {}
                  }
                }
              }
            }
          }
        },
        ListContacts: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              AliasPrefix: {},
              Type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Contacts: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ContactArn",
                    "Alias",
                    "Type"
                  ],
                  members: {
                    ContactArn: {},
                    Alias: {},
                    DisplayName: {},
                    Type: {}
                  }
                }
              }
            }
          }
        },
        ListEngagements: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              IncidentId: {},
              TimeRangeValue: {
                type: "structure",
                members: {
                  StartTime: {
                    type: "timestamp"
                  },
                  EndTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Engagements"
            ],
            members: {
              NextToken: {},
              Engagements: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "EngagementArn",
                    "ContactArn",
                    "Sender"
                  ],
                  members: {
                    EngagementArn: {},
                    ContactArn: {},
                    Sender: {},
                    IncidentId: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    StopTime: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListPageReceipts: {
          input: {
            type: "structure",
            required: [
              "PageId"
            ],
            members: {
              PageId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Receipts: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ReceiptType",
                    "ReceiptTime"
                  ],
                  members: {
                    ContactChannelArn: {},
                    ReceiptType: {},
                    ReceiptInfo: {},
                    ReceiptTime: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListPageResolutions: {
          input: {
            type: "structure",
            required: [
              "PageId"
            ],
            members: {
              NextToken: {},
              PageId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "PageResolutions"
            ],
            members: {
              NextToken: {},
              PageResolutions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ContactArn",
                    "Type"
                  ],
                  members: {
                    ContactArn: {},
                    Type: {},
                    StageIndex: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        ListPagesByContact: {
          input: {
            type: "structure",
            required: [
              "ContactId"
            ],
            members: {
              ContactId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Pages"
            ],
            members: {
              NextToken: {},
              Pages: {
                shape: "S3g"
              }
            }
          }
        },
        ListPagesByEngagement: {
          input: {
            type: "structure",
            required: [
              "EngagementId"
            ],
            members: {
              EngagementId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Pages"
            ],
            members: {
              NextToken: {},
              Pages: {
                shape: "S3g"
              }
            }
          }
        },
        ListPreviewRotationShifts: {
          input: {
            type: "structure",
            required: [
              "EndTime",
              "Members",
              "TimeZoneId",
              "Recurrence"
            ],
            members: {
              RotationStartTime: {
                type: "timestamp"
              },
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Members: {
                type: "list",
                member: {}
              },
              TimeZoneId: {},
              Recurrence: {
                shape: "S18"
              },
              Overrides: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    NewMembers: {
                      type: "list",
                      member: {}
                    },
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RotationShifts: {
                shape: "S3r"
              },
              NextToken: {}
            }
          }
        },
        ListRotationOverrides: {
          input: {
            type: "structure",
            required: [
              "RotationId",
              "StartTime",
              "EndTime"
            ],
            members: {
              RotationId: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RotationOverrides: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "RotationOverrideId",
                    "NewContactIds",
                    "StartTime",
                    "EndTime",
                    "CreateTime"
                  ],
                  members: {
                    RotationOverrideId: {},
                    NewContactIds: {
                      shape: "Sp"
                    },
                    StartTime: {
                      type: "timestamp"
                    },
                    EndTime: {
                      type: "timestamp"
                    },
                    CreateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListRotationShifts: {
          input: {
            type: "structure",
            required: [
              "RotationId",
              "EndTime"
            ],
            members: {
              RotationId: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RotationShifts: {
                shape: "S3r"
              },
              NextToken: {}
            }
          }
        },
        ListRotations: {
          input: {
            type: "structure",
            members: {
              RotationNamePrefix: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Rotations"
            ],
            members: {
              NextToken: {},
              Rotations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "RotationArn",
                    "Name"
                  ],
                  members: {
                    RotationArn: {},
                    Name: {},
                    ContactIds: {
                      shape: "Sp"
                    },
                    StartTime: {
                      type: "timestamp"
                    },
                    TimeZoneId: {},
                    Recurrence: {
                      shape: "S18"
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sq"
              }
            }
          }
        },
        PutContactPolicy: {
          input: {
            type: "structure",
            required: [
              "ContactArn",
              "Policy"
            ],
            members: {
              ContactArn: {},
              Policy: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SendActivationCode: {
          input: {
            type: "structure",
            required: [
              "ContactChannelId"
            ],
            members: {
              ContactChannelId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartEngagement: {
          input: {
            type: "structure",
            required: [
              "ContactId",
              "Sender",
              "Subject",
              "Content"
            ],
            members: {
              ContactId: {},
              Sender: {},
              Subject: {},
              Content: {},
              PublicSubject: {},
              PublicContent: {},
              IncidentId: {},
              IdempotencyToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EngagementArn"
            ],
            members: {
              EngagementArn: {}
            }
          }
        },
        StopEngagement: {
          input: {
            type: "structure",
            required: [
              "EngagementId"
            ],
            members: {
              EngagementId: {},
              Reason: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateContact: {
          input: {
            type: "structure",
            required: [
              "ContactId"
            ],
            members: {
              ContactId: {},
              DisplayName: {},
              Plan: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateContactChannel: {
          input: {
            type: "structure",
            required: [
              "ContactChannelId"
            ],
            members: {
              ContactChannelId: {},
              Name: {},
              DeliveryAddress: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateRotation: {
          input: {
            type: "structure",
            required: [
              "RotationId",
              "Recurrence"
            ],
            members: {
              RotationId: {},
              ContactIds: {
                shape: "S15"
              },
              StartTime: {
                type: "timestamp"
              },
              TimeZoneId: {},
              Recurrence: {
                shape: "S18"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        Sf: {
          type: "structure",
          members: {
            Stages: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "DurationInMinutes",
                  "Targets"
                ],
                members: {
                  DurationInMinutes: {
                    type: "integer"
                  },
                  Targets: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        ChannelTargetInfo: {
                          type: "structure",
                          required: [
                            "ContactChannelId"
                          ],
                          members: {
                            ContactChannelId: {},
                            RetryIntervalInMinutes: {
                              type: "integer"
                            }
                          }
                        },
                        ContactTargetInfo: {
                          type: "structure",
                          required: [
                            "IsEssential"
                          ],
                          members: {
                            ContactId: {},
                            IsEssential: {
                              type: "boolean"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            RotationIds: {
              shape: "Sp"
            }
          }
        },
        Sp: {
          type: "list",
          member: {}
        },
        Sq: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sz: {
          type: "structure",
          members: {
            SimpleAddress: {}
          }
        },
        S15: {
          type: "list",
          member: {}
        },
        S18: {
          type: "structure",
          required: [
            "NumberOfOnCalls",
            "RecurrenceMultiplier"
          ],
          members: {
            MonthlySettings: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "DayOfMonth",
                  "HandOffTime"
                ],
                members: {
                  DayOfMonth: {
                    type: "integer"
                  },
                  HandOffTime: {
                    shape: "S1c"
                  }
                }
              }
            },
            WeeklySettings: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "DayOfWeek",
                  "HandOffTime"
                ],
                members: {
                  DayOfWeek: {},
                  HandOffTime: {
                    shape: "S1c"
                  }
                }
              }
            },
            DailySettings: {
              type: "list",
              member: {
                shape: "S1c"
              }
            },
            NumberOfOnCalls: {
              type: "integer"
            },
            ShiftCoverages: {
              type: "map",
              key: {},
              value: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Start: {
                      shape: "S1c"
                    },
                    End: {
                      shape: "S1c"
                    }
                  }
                }
              }
            },
            RecurrenceMultiplier: {
              type: "integer"
            }
          }
        },
        S1c: {
          type: "structure",
          required: [
            "HourOfDay",
            "MinuteOfHour"
          ],
          members: {
            HourOfDay: {
              type: "integer"
            },
            MinuteOfHour: {
              type: "integer"
            }
          }
        },
        S3g: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "PageArn",
              "EngagementArn",
              "ContactArn",
              "Sender"
            ],
            members: {
              PageArn: {},
              EngagementArn: {},
              ContactArn: {},
              Sender: {},
              IncidentId: {},
              SentTime: {
                type: "timestamp"
              },
              DeliveryTime: {
                type: "timestamp"
              },
              ReadTime: {
                type: "timestamp"
              }
            }
          }
        },
        S3r: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "StartTime",
              "EndTime"
            ],
            members: {
              ContactIds: {
                shape: "Sp"
              },
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Type: {},
              ShiftDetails: {
                type: "structure",
                required: [
                  "OverriddenContactIds"
                ],
                members: {
                  OverriddenContactIds: {
                    shape: "Sp"
                  }
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ssm-contacts-2021-05-03.paginators.json
var require_ssm_contacts_2021_05_03_paginators = __commonJS({
  "node_modules/aws-sdk/apis/ssm-contacts-2021-05-03.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListContactChannels: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ContactChannels"
        },
        ListContacts: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Contacts"
        },
        ListEngagements: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Engagements"
        },
        ListPageReceipts: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Receipts"
        },
        ListPageResolutions: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "PageResolutions"
        },
        ListPagesByContact: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Pages"
        },
        ListPagesByEngagement: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Pages"
        },
        ListPreviewRotationShifts: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "RotationShifts"
        },
        ListRotationOverrides: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "RotationOverrides"
        },
        ListRotationShifts: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "RotationShifts"
        },
        ListRotations: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Rotations"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/ssmcontacts.js
var require_ssmcontacts = __commonJS({
  "node_modules/aws-sdk/clients/ssmcontacts.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ssmcontacts"] = {};
    AWS2.SSMContacts = Service.defineService("ssmcontacts", ["2021-05-03"]);
    Object.defineProperty(apiLoader.services["ssmcontacts"], "2021-05-03", {
      get: function get() {
        var model = require_ssm_contacts_2021_05_03_min();
        model.paginators = require_ssm_contacts_2021_05_03_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SSMContacts;
  }
});

// node_modules/aws-sdk/apis/ssm-incidents-2018-05-10.min.json
var require_ssm_incidents_2018_05_10_min = __commonJS({
  "node_modules/aws-sdk/apis/ssm-incidents-2018-05-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-05-10",
        endpointPrefix: "ssm-incidents",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "SSM Incidents",
        serviceFullName: "AWS Systems Manager Incident Manager",
        serviceId: "SSM Incidents",
        signatureVersion: "v4",
        signingName: "ssm-incidents",
        uid: "ssm-incidents-2018-05-10"
      },
      operations: {
        CreateReplicationSet: {
          http: {
            requestUri: "/createReplicationSet",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "regions"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              regions: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    sseKmsKeyId: {}
                  }
                }
              },
              tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          }
        },
        CreateResponsePlan: {
          http: {
            requestUri: "/createResponsePlan",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "incidentTemplate",
              "name"
            ],
            members: {
              actions: {
                shape: "Sd"
              },
              chatChannel: {
                shape: "Ss"
              },
              clientToken: {
                idempotencyToken: true
              },
              displayName: {},
              engagements: {
                shape: "Sx"
              },
              incidentTemplate: {
                shape: "Sz"
              },
              integrations: {
                shape: "S16"
              },
              name: {},
              tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          idempotent: true
        },
        CreateTimelineEvent: {
          http: {
            requestUri: "/createTimelineEvent",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "eventData",
              "eventTime",
              "eventType",
              "incidentRecordArn"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              eventData: {},
              eventReferences: {
                shape: "S1h"
              },
              eventTime: {
                type: "timestamp"
              },
              eventType: {},
              incidentRecordArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "eventId",
              "incidentRecordArn"
            ],
            members: {
              eventId: {},
              incidentRecordArn: {}
            }
          },
          idempotent: true
        },
        DeleteIncidentRecord: {
          http: {
            requestUri: "/deleteIncidentRecord",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteReplicationSet: {
          http: {
            requestUri: "/deleteReplicationSet",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {
                location: "querystring",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteResourcePolicy: {
          http: {
            requestUri: "/deleteResourcePolicy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "policyId",
              "resourceArn"
            ],
            members: {
              policyId: {},
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteResponsePlan: {
          http: {
            requestUri: "/deleteResponsePlan",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteTimelineEvent: {
          http: {
            requestUri: "/deleteTimelineEvent",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "eventId",
              "incidentRecordArn"
            ],
            members: {
              eventId: {},
              incidentRecordArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetIncidentRecord: {
          http: {
            method: "GET",
            requestUri: "/getIncidentRecord",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {
                location: "querystring",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "incidentRecord"
            ],
            members: {
              incidentRecord: {
                type: "structure",
                required: [
                  "arn",
                  "creationTime",
                  "dedupeString",
                  "impact",
                  "incidentRecordSource",
                  "lastModifiedBy",
                  "lastModifiedTime",
                  "status",
                  "title"
                ],
                members: {
                  arn: {},
                  automationExecutions: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        ssmExecutionArn: {}
                      },
                      union: true
                    }
                  },
                  chatChannel: {
                    shape: "Ss"
                  },
                  creationTime: {
                    type: "timestamp"
                  },
                  dedupeString: {},
                  impact: {
                    type: "integer"
                  },
                  incidentRecordSource: {
                    shape: "S24"
                  },
                  lastModifiedBy: {},
                  lastModifiedTime: {
                    type: "timestamp"
                  },
                  notificationTargets: {
                    shape: "S12"
                  },
                  resolvedTime: {
                    type: "timestamp"
                  },
                  status: {},
                  summary: {},
                  title: {}
                }
              }
            }
          }
        },
        GetReplicationSet: {
          http: {
            method: "GET",
            requestUri: "/getReplicationSet",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {
                location: "querystring",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "replicationSet"
            ],
            members: {
              replicationSet: {
                type: "structure",
                required: [
                  "createdBy",
                  "createdTime",
                  "deletionProtected",
                  "lastModifiedBy",
                  "lastModifiedTime",
                  "regionMap",
                  "status"
                ],
                members: {
                  arn: {},
                  createdBy: {},
                  createdTime: {
                    type: "timestamp"
                  },
                  deletionProtected: {
                    type: "boolean"
                  },
                  lastModifiedBy: {},
                  lastModifiedTime: {
                    type: "timestamp"
                  },
                  regionMap: {
                    type: "map",
                    key: {},
                    value: {
                      type: "structure",
                      required: [
                        "status",
                        "statusUpdateDateTime"
                      ],
                      members: {
                        sseKmsKeyId: {},
                        status: {},
                        statusMessage: {},
                        statusUpdateDateTime: {
                          type: "timestamp"
                        }
                      }
                    }
                  },
                  status: {}
                }
              }
            }
          }
        },
        GetResourcePolicies: {
          http: {
            requestUri: "/getResourcePolicies",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "resourcePolicies"
            ],
            members: {
              nextToken: {},
              resourcePolicies: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "policyDocument",
                    "policyId",
                    "ramResourceShareRegion"
                  ],
                  members: {
                    policyDocument: {},
                    policyId: {},
                    ramResourceShareRegion: {}
                  }
                }
              }
            }
          }
        },
        GetResponsePlan: {
          http: {
            method: "GET",
            requestUri: "/getResponsePlan",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {
                location: "querystring",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "incidentTemplate",
              "name"
            ],
            members: {
              actions: {
                shape: "Sd"
              },
              arn: {},
              chatChannel: {
                shape: "Ss"
              },
              displayName: {},
              engagements: {
                shape: "Sx"
              },
              incidentTemplate: {
                shape: "Sz"
              },
              integrations: {
                shape: "S16"
              },
              name: {}
            }
          }
        },
        GetTimelineEvent: {
          http: {
            method: "GET",
            requestUri: "/getTimelineEvent",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "eventId",
              "incidentRecordArn"
            ],
            members: {
              eventId: {
                location: "querystring",
                locationName: "eventId"
              },
              incidentRecordArn: {
                location: "querystring",
                locationName: "incidentRecordArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "event"
            ],
            members: {
              event: {
                type: "structure",
                required: [
                  "eventData",
                  "eventId",
                  "eventTime",
                  "eventType",
                  "eventUpdatedTime",
                  "incidentRecordArn"
                ],
                members: {
                  eventData: {},
                  eventId: {},
                  eventReferences: {
                    shape: "S1h"
                  },
                  eventTime: {
                    type: "timestamp"
                  },
                  eventType: {},
                  eventUpdatedTime: {
                    type: "timestamp"
                  },
                  incidentRecordArn: {}
                }
              }
            }
          }
        },
        ListIncidentRecords: {
          http: {
            requestUri: "/listIncidentRecords",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filters: {
                shape: "S2u"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "incidentRecordSummaries"
            ],
            members: {
              incidentRecordSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "creationTime",
                    "impact",
                    "incidentRecordSource",
                    "status",
                    "title"
                  ],
                  members: {
                    arn: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    impact: {
                      type: "integer"
                    },
                    incidentRecordSource: {
                      shape: "S24"
                    },
                    resolvedTime: {
                      type: "timestamp"
                    },
                    status: {},
                    title: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListRelatedItems: {
          http: {
            requestUri: "/listRelatedItems",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "incidentRecordArn"
            ],
            members: {
              incidentRecordArn: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "relatedItems"
            ],
            members: {
              nextToken: {},
              relatedItems: {
                shape: "S38"
              }
            }
          }
        },
        ListReplicationSets: {
          http: {
            requestUri: "/listReplicationSets",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "replicationSetArns"
            ],
            members: {
              nextToken: {},
              replicationSetArns: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ListResponsePlans: {
          http: {
            requestUri: "/listResponsePlans",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "responsePlanSummaries"
            ],
            members: {
              nextToken: {},
              responsePlanSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "name"
                  ],
                  members: {
                    arn: {},
                    displayName: {},
                    name: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "tags"
            ],
            members: {
              tags: {
                shape: "S7"
              }
            }
          }
        },
        ListTimelineEvents: {
          http: {
            requestUri: "/listTimelineEvents",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "incidentRecordArn"
            ],
            members: {
              filters: {
                shape: "S2u"
              },
              incidentRecordArn: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              sortBy: {},
              sortOrder: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "eventSummaries"
            ],
            members: {
              eventSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "eventId",
                    "eventTime",
                    "eventType",
                    "eventUpdatedTime",
                    "incidentRecordArn"
                  ],
                  members: {
                    eventId: {},
                    eventReferences: {
                      shape: "S1h"
                    },
                    eventTime: {
                      type: "timestamp"
                    },
                    eventType: {},
                    eventUpdatedTime: {
                      type: "timestamp"
                    },
                    incidentRecordArn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        PutResourcePolicy: {
          http: {
            requestUri: "/putResourcePolicy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "policy",
              "resourceArn"
            ],
            members: {
              policy: {},
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "policyId"
            ],
            members: {
              policyId: {}
            }
          }
        },
        StartIncident: {
          http: {
            requestUri: "/startIncident",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "responsePlanArn"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              impact: {
                type: "integer"
              },
              relatedItems: {
                shape: "S38"
              },
              responsePlanArn: {},
              title: {},
              triggerDetails: {
                type: "structure",
                required: [
                  "source",
                  "timestamp"
                ],
                members: {
                  rawData: {},
                  source: {},
                  timestamp: {
                    type: "timestamp"
                  },
                  triggerArn: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "incidentRecordArn"
            ],
            members: {
              incidentRecordArn: {}
            }
          },
          idempotent: true
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateDeletionProtection: {
          http: {
            requestUri: "/updateDeletionProtection",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "arn",
              "deletionProtected"
            ],
            members: {
              arn: {},
              clientToken: {
                idempotencyToken: true
              },
              deletionProtected: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateIncidentRecord: {
          http: {
            requestUri: "/updateIncidentRecord",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              chatChannel: {
                shape: "Ss"
              },
              clientToken: {
                idempotencyToken: true
              },
              impact: {
                type: "integer"
              },
              notificationTargets: {
                shape: "S12"
              },
              status: {},
              summary: {},
              title: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateRelatedItems: {
          http: {
            requestUri: "/updateRelatedItems",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "incidentRecordArn",
              "relatedItemsUpdate"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              incidentRecordArn: {},
              relatedItemsUpdate: {
                type: "structure",
                members: {
                  itemToAdd: {
                    shape: "S39"
                  },
                  itemToRemove: {
                    shape: "S3a"
                  }
                },
                union: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateReplicationSet: {
          http: {
            requestUri: "/updateReplicationSet",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "actions",
              "arn"
            ],
            members: {
              actions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    addRegionAction: {
                      type: "structure",
                      required: [
                        "regionName"
                      ],
                      members: {
                        regionName: {},
                        sseKmsKeyId: {}
                      }
                    },
                    deleteRegionAction: {
                      type: "structure",
                      required: [
                        "regionName"
                      ],
                      members: {
                        regionName: {}
                      }
                    }
                  },
                  union: true
                }
              },
              arn: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateResponsePlan: {
          http: {
            requestUri: "/updateResponsePlan",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              actions: {
                shape: "Sd"
              },
              arn: {},
              chatChannel: {
                shape: "Ss"
              },
              clientToken: {
                idempotencyToken: true
              },
              displayName: {},
              engagements: {
                shape: "Sx"
              },
              incidentTemplateDedupeString: {},
              incidentTemplateImpact: {
                type: "integer"
              },
              incidentTemplateNotificationTargets: {
                shape: "S12"
              },
              incidentTemplateSummary: {},
              incidentTemplateTags: {
                type: "map",
                key: {},
                value: {}
              },
              incidentTemplateTitle: {},
              integrations: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateTimelineEvent: {
          http: {
            requestUri: "/updateTimelineEvent",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "eventId",
              "incidentRecordArn"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              eventData: {},
              eventId: {},
              eventReferences: {
                shape: "S1h"
              },
              eventTime: {
                type: "timestamp"
              },
              eventType: {},
              incidentRecordArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        }
      },
      shapes: {
        S7: {
          type: "map",
          key: {},
          value: {}
        },
        Sd: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ssmAutomation: {
                type: "structure",
                required: [
                  "documentName",
                  "roleArn"
                ],
                members: {
                  documentName: {},
                  documentVersion: {},
                  dynamicParameters: {
                    type: "map",
                    key: {},
                    value: {
                      type: "structure",
                      members: {
                        variable: {}
                      },
                      union: true
                    }
                  },
                  parameters: {
                    type: "map",
                    key: {},
                    value: {
                      type: "list",
                      member: {}
                    }
                  },
                  roleArn: {},
                  targetAccount: {}
                }
              }
            },
            union: true
          }
        },
        Ss: {
          type: "structure",
          members: {
            chatbotSns: {
              type: "list",
              member: {}
            },
            empty: {
              type: "structure",
              members: {}
            }
          },
          union: true
        },
        Sx: {
          type: "list",
          member: {}
        },
        Sz: {
          type: "structure",
          required: [
            "impact",
            "title"
          ],
          members: {
            dedupeString: {},
            impact: {
              type: "integer"
            },
            incidentTags: {
              shape: "S7"
            },
            notificationTargets: {
              shape: "S12"
            },
            summary: {},
            title: {}
          }
        },
        S12: {
          type: "list",
          member: {
            type: "structure",
            members: {
              snsTopicArn: {}
            },
            union: true
          }
        },
        S16: {
          type: "list",
          member: {
            type: "structure",
            members: {
              pagerDutyConfiguration: {
                type: "structure",
                required: [
                  "name",
                  "pagerDutyIncidentConfiguration",
                  "secretId"
                ],
                members: {
                  name: {},
                  pagerDutyIncidentConfiguration: {
                    type: "structure",
                    required: [
                      "serviceId"
                    ],
                    members: {
                      serviceId: {}
                    }
                  },
                  secretId: {}
                }
              }
            },
            union: true
          }
        },
        S1h: {
          type: "list",
          member: {
            type: "structure",
            members: {
              relatedItemId: {},
              resource: {}
            },
            union: true
          }
        },
        S24: {
          type: "structure",
          required: [
            "createdBy",
            "source"
          ],
          members: {
            createdBy: {},
            invokedBy: {},
            resourceArn: {},
            source: {}
          }
        },
        S2u: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "condition",
              "key"
            ],
            members: {
              condition: {
                type: "structure",
                members: {
                  after: {
                    type: "timestamp"
                  },
                  before: {
                    type: "timestamp"
                  },
                  equals: {
                    type: "structure",
                    members: {
                      integerValues: {
                        type: "list",
                        member: {
                          type: "integer"
                        }
                      },
                      stringValues: {
                        type: "list",
                        member: {}
                      }
                    },
                    union: true
                  }
                },
                union: true
              },
              key: {}
            }
          }
        },
        S38: {
          type: "list",
          member: {
            shape: "S39"
          }
        },
        S39: {
          type: "structure",
          required: [
            "identifier"
          ],
          members: {
            generatedId: {},
            identifier: {
              shape: "S3a"
            },
            title: {}
          }
        },
        S3a: {
          type: "structure",
          required: [
            "type",
            "value"
          ],
          members: {
            type: {},
            value: {
              type: "structure",
              members: {
                arn: {},
                metricDefinition: {},
                pagerDutyIncidentDetail: {
                  type: "structure",
                  required: [
                    "id"
                  ],
                  members: {
                    autoResolve: {
                      type: "boolean"
                    },
                    id: {},
                    secretId: {}
                  }
                },
                url: {}
              },
              union: true
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ssm-incidents-2018-05-10.paginators.json
var require_ssm_incidents_2018_05_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/ssm-incidents-2018-05-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetResourcePolicies: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "resourcePolicies"
        },
        ListIncidentRecords: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "incidentRecordSummaries"
        },
        ListRelatedItems: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "relatedItems"
        },
        ListReplicationSets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "replicationSetArns"
        },
        ListResponsePlans: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "responsePlanSummaries"
        },
        ListTimelineEvents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "eventSummaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ssm-incidents-2018-05-10.waiters2.json
var require_ssm_incidents_2018_05_10_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/ssm-incidents-2018-05-10.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        WaitForReplicationSetActive: {
          description: "Wait for a replication set to become ACTIVE",
          delay: 30,
          maxAttempts: 5,
          operation: "GetReplicationSet",
          acceptors: [{
            matcher: "path",
            argument: "replicationSet.status",
            state: "success",
            expected: "ACTIVE"
          }, {
            matcher: "path",
            argument: "replicationSet.status",
            state: "retry",
            expected: "CREATING"
          }, {
            matcher: "path",
            argument: "replicationSet.status",
            state: "retry",
            expected: "UPDATING"
          }, {
            matcher: "path",
            argument: "replicationSet.status",
            state: "failure",
            expected: "FAILED"
          }]
        },
        WaitForReplicationSetDeleted: {
          description: "Wait for a replication set to be deleted",
          delay: 30,
          maxAttempts: 5,
          operation: "GetReplicationSet",
          acceptors: [{
            matcher: "error",
            state: "success",
            expected: "ResourceNotFoundException"
          }, {
            matcher: "path",
            argument: "replicationSet.status",
            state: "retry",
            expected: "DELETING"
          }, {
            matcher: "path",
            argument: "replicationSet.status",
            state: "failure",
            expected: "FAILED"
          }]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/ssmincidents.js
var require_ssmincidents = __commonJS({
  "node_modules/aws-sdk/clients/ssmincidents.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ssmincidents"] = {};
    AWS2.SSMIncidents = Service.defineService("ssmincidents", ["2018-05-10"]);
    Object.defineProperty(apiLoader.services["ssmincidents"], "2018-05-10", {
      get: function get() {
        var model = require_ssm_incidents_2018_05_10_min();
        model.paginators = require_ssm_incidents_2018_05_10_paginators().pagination;
        model.waiters = require_ssm_incidents_2018_05_10_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SSMIncidents;
  }
});

// node_modules/aws-sdk/apis/applicationcostprofiler-2020-09-10.min.json
var require_applicationcostprofiler_2020_09_10_min = __commonJS({
  "node_modules/aws-sdk/apis/applicationcostprofiler-2020-09-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-09-10",
        endpointPrefix: "application-cost-profiler",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Application Cost Profiler",
        serviceId: "ApplicationCostProfiler",
        signatureVersion: "v4",
        signingName: "application-cost-profiler",
        uid: "AWSApplicationCostProfiler-2020-09-10"
      },
      operations: {
        DeleteReportDefinition: {
          http: {
            method: "DELETE",
            requestUri: "/reportDefinition/{reportId}"
          },
          input: {
            type: "structure",
            required: [
              "reportId"
            ],
            members: {
              reportId: {
                location: "uri",
                locationName: "reportId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              reportId: {}
            }
          }
        },
        GetReportDefinition: {
          http: {
            method: "GET",
            requestUri: "/reportDefinition/{reportId}"
          },
          input: {
            type: "structure",
            required: [
              "reportId"
            ],
            members: {
              reportId: {
                location: "uri",
                locationName: "reportId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "reportId",
              "reportDescription",
              "reportFrequency",
              "format",
              "destinationS3Location",
              "createdAt",
              "lastUpdated"
            ],
            members: {
              reportId: {},
              reportDescription: {},
              reportFrequency: {},
              format: {},
              destinationS3Location: {
                shape: "S9"
              },
              createdAt: {
                type: "timestamp"
              },
              lastUpdated: {
                type: "timestamp"
              }
            }
          }
        },
        ImportApplicationUsage: {
          http: {
            requestUri: "/importApplicationUsage"
          },
          input: {
            type: "structure",
            required: [
              "sourceS3Location"
            ],
            members: {
              sourceS3Location: {
                type: "structure",
                required: [
                  "bucket",
                  "key"
                ],
                members: {
                  bucket: {},
                  key: {},
                  region: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "importId"
            ],
            members: {
              importId: {}
            }
          }
        },
        ListReportDefinitions: {
          http: {
            method: "GET",
            requestUri: "/reportDefinition"
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              reportDefinitions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    reportId: {},
                    reportDescription: {},
                    reportFrequency: {},
                    format: {},
                    destinationS3Location: {
                      shape: "S9"
                    },
                    createdAt: {
                      type: "timestamp"
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        PutReportDefinition: {
          http: {
            requestUri: "/reportDefinition"
          },
          input: {
            type: "structure",
            required: [
              "reportId",
              "reportDescription",
              "reportFrequency",
              "format",
              "destinationS3Location"
            ],
            members: {
              reportId: {},
              reportDescription: {},
              reportFrequency: {},
              format: {},
              destinationS3Location: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              reportId: {}
            }
          }
        },
        UpdateReportDefinition: {
          http: {
            method: "PUT",
            requestUri: "/reportDefinition/{reportId}"
          },
          input: {
            type: "structure",
            required: [
              "reportId",
              "reportDescription",
              "reportFrequency",
              "format",
              "destinationS3Location"
            ],
            members: {
              reportId: {
                location: "uri",
                locationName: "reportId"
              },
              reportDescription: {},
              reportFrequency: {},
              format: {},
              destinationS3Location: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              reportId: {}
            }
          }
        }
      },
      shapes: {
        S9: {
          type: "structure",
          required: [
            "bucket",
            "prefix"
          ],
          members: {
            bucket: {},
            prefix: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/applicationcostprofiler-2020-09-10.paginators.json
var require_applicationcostprofiler_2020_09_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/applicationcostprofiler-2020-09-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListReportDefinitions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "reportDefinitions"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/applicationcostprofiler.js
var require_applicationcostprofiler = __commonJS({
  "node_modules/aws-sdk/clients/applicationcostprofiler.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["applicationcostprofiler"] = {};
    AWS2.ApplicationCostProfiler = Service.defineService("applicationcostprofiler", ["2020-09-10"]);
    Object.defineProperty(apiLoader.services["applicationcostprofiler"], "2020-09-10", {
      get: function get() {
        var model = require_applicationcostprofiler_2020_09_10_min();
        model.paginators = require_applicationcostprofiler_2020_09_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ApplicationCostProfiler;
  }
});

// node_modules/aws-sdk/apis/apprunner-2020-05-15.min.json
var require_apprunner_2020_05_15_min = __commonJS({
  "node_modules/aws-sdk/apis/apprunner-2020-05-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-05-15",
        endpointPrefix: "apprunner",
        jsonVersion: "1.0",
        protocol: "json",
        serviceFullName: "AWS App Runner",
        serviceId: "AppRunner",
        signatureVersion: "v4",
        signingName: "apprunner",
        targetPrefix: "AppRunner",
        uid: "apprunner-2020-05-15"
      },
      operations: {
        AssociateCustomDomain: {
          input: {
            type: "structure",
            required: [
              "ServiceArn",
              "DomainName"
            ],
            members: {
              ServiceArn: {},
              DomainName: {},
              EnableWWWSubdomain: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DNSTarget",
              "ServiceArn",
              "CustomDomain",
              "VpcDNSTargets"
            ],
            members: {
              DNSTarget: {},
              ServiceArn: {},
              CustomDomain: {
                shape: "S7"
              },
              VpcDNSTargets: {
                shape: "Sc"
              }
            }
          }
        },
        CreateAutoScalingConfiguration: {
          input: {
            type: "structure",
            required: [
              "AutoScalingConfigurationName"
            ],
            members: {
              AutoScalingConfigurationName: {},
              MaxConcurrency: {
                type: "integer"
              },
              MinSize: {
                type: "integer"
              },
              MaxSize: {
                type: "integer"
              },
              Tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "AutoScalingConfiguration"
            ],
            members: {
              AutoScalingConfiguration: {
                shape: "So"
              }
            }
          }
        },
        CreateConnection: {
          input: {
            type: "structure",
            required: [
              "ConnectionName",
              "ProviderType"
            ],
            members: {
              ConnectionName: {},
              ProviderType: {},
              Tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Connection"
            ],
            members: {
              Connection: {
                shape: "Sx"
              }
            }
          }
        },
        CreateObservabilityConfiguration: {
          input: {
            type: "structure",
            required: [
              "ObservabilityConfigurationName"
            ],
            members: {
              ObservabilityConfigurationName: {},
              TraceConfiguration: {
                shape: "S11"
              },
              Tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ObservabilityConfiguration"
            ],
            members: {
              ObservabilityConfiguration: {
                shape: "S14"
              }
            }
          }
        },
        CreateService: {
          input: {
            type: "structure",
            required: [
              "ServiceName",
              "SourceConfiguration"
            ],
            members: {
              ServiceName: {},
              SourceConfiguration: {
                shape: "S18"
              },
              InstanceConfiguration: {
                shape: "S1u"
              },
              Tags: {
                shape: "Sj"
              },
              EncryptionConfiguration: {
                shape: "S1x"
              },
              HealthCheckConfiguration: {
                shape: "S1z"
              },
              AutoScalingConfigurationArn: {},
              NetworkConfiguration: {
                shape: "S26"
              },
              ObservabilityConfiguration: {
                shape: "S2a"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Service",
              "OperationId"
            ],
            members: {
              Service: {
                shape: "S2c"
              },
              OperationId: {}
            }
          }
        },
        CreateVpcConnector: {
          input: {
            type: "structure",
            required: [
              "VpcConnectorName",
              "Subnets"
            ],
            members: {
              VpcConnectorName: {},
              Subnets: {
                shape: "S2j"
              },
              SecurityGroups: {
                shape: "S2j"
              },
              Tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcConnector"
            ],
            members: {
              VpcConnector: {
                shape: "S2l"
              }
            }
          }
        },
        CreateVpcIngressConnection: {
          input: {
            type: "structure",
            required: [
              "ServiceArn",
              "VpcIngressConnectionName",
              "IngressVpcConfiguration"
            ],
            members: {
              ServiceArn: {},
              VpcIngressConnectionName: {},
              IngressVpcConfiguration: {
                shape: "S2p"
              },
              Tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcIngressConnection"
            ],
            members: {
              VpcIngressConnection: {
                shape: "S2r"
              }
            }
          }
        },
        DeleteAutoScalingConfiguration: {
          input: {
            type: "structure",
            required: [
              "AutoScalingConfigurationArn"
            ],
            members: {
              AutoScalingConfigurationArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "AutoScalingConfiguration"
            ],
            members: {
              AutoScalingConfiguration: {
                shape: "So"
              }
            }
          }
        },
        DeleteConnection: {
          input: {
            type: "structure",
            required: [
              "ConnectionArn"
            ],
            members: {
              ConnectionArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Connection: {
                shape: "Sx"
              }
            }
          }
        },
        DeleteObservabilityConfiguration: {
          input: {
            type: "structure",
            required: [
              "ObservabilityConfigurationArn"
            ],
            members: {
              ObservabilityConfigurationArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ObservabilityConfiguration"
            ],
            members: {
              ObservabilityConfiguration: {
                shape: "S14"
              }
            }
          }
        },
        DeleteService: {
          input: {
            type: "structure",
            required: [
              "ServiceArn"
            ],
            members: {
              ServiceArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Service",
              "OperationId"
            ],
            members: {
              Service: {
                shape: "S2c"
              },
              OperationId: {}
            }
          }
        },
        DeleteVpcConnector: {
          input: {
            type: "structure",
            required: [
              "VpcConnectorArn"
            ],
            members: {
              VpcConnectorArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcConnector"
            ],
            members: {
              VpcConnector: {
                shape: "S2l"
              }
            }
          }
        },
        DeleteVpcIngressConnection: {
          input: {
            type: "structure",
            required: [
              "VpcIngressConnectionArn"
            ],
            members: {
              VpcIngressConnectionArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcIngressConnection"
            ],
            members: {
              VpcIngressConnection: {
                shape: "S2r"
              }
            }
          }
        },
        DescribeAutoScalingConfiguration: {
          input: {
            type: "structure",
            required: [
              "AutoScalingConfigurationArn"
            ],
            members: {
              AutoScalingConfigurationArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "AutoScalingConfiguration"
            ],
            members: {
              AutoScalingConfiguration: {
                shape: "So"
              }
            }
          }
        },
        DescribeCustomDomains: {
          input: {
            type: "structure",
            required: [
              "ServiceArn"
            ],
            members: {
              ServiceArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DNSTarget",
              "ServiceArn",
              "CustomDomains",
              "VpcDNSTargets"
            ],
            members: {
              DNSTarget: {},
              ServiceArn: {},
              CustomDomains: {
                type: "list",
                member: {
                  shape: "S7"
                }
              },
              VpcDNSTargets: {
                shape: "Sc"
              },
              NextToken: {}
            }
          }
        },
        DescribeObservabilityConfiguration: {
          input: {
            type: "structure",
            required: [
              "ObservabilityConfigurationArn"
            ],
            members: {
              ObservabilityConfigurationArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ObservabilityConfiguration"
            ],
            members: {
              ObservabilityConfiguration: {
                shape: "S14"
              }
            }
          }
        },
        DescribeService: {
          input: {
            type: "structure",
            required: [
              "ServiceArn"
            ],
            members: {
              ServiceArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Service"
            ],
            members: {
              Service: {
                shape: "S2c"
              }
            }
          }
        },
        DescribeVpcConnector: {
          input: {
            type: "structure",
            required: [
              "VpcConnectorArn"
            ],
            members: {
              VpcConnectorArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcConnector"
            ],
            members: {
              VpcConnector: {
                shape: "S2l"
              }
            }
          }
        },
        DescribeVpcIngressConnection: {
          input: {
            type: "structure",
            required: [
              "VpcIngressConnectionArn"
            ],
            members: {
              VpcIngressConnectionArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcIngressConnection"
            ],
            members: {
              VpcIngressConnection: {
                shape: "S2r"
              }
            }
          }
        },
        DisassociateCustomDomain: {
          input: {
            type: "structure",
            required: [
              "ServiceArn",
              "DomainName"
            ],
            members: {
              ServiceArn: {},
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "DNSTarget",
              "ServiceArn",
              "CustomDomain",
              "VpcDNSTargets"
            ],
            members: {
              DNSTarget: {},
              ServiceArn: {},
              CustomDomain: {
                shape: "S7"
              },
              VpcDNSTargets: {
                shape: "Sc"
              }
            }
          }
        },
        ListAutoScalingConfigurations: {
          input: {
            type: "structure",
            members: {
              AutoScalingConfigurationName: {},
              LatestOnly: {
                type: "boolean"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "AutoScalingConfigurationSummaryList"
            ],
            members: {
              AutoScalingConfigurationSummaryList: {
                type: "list",
                member: {
                  shape: "S2f"
                }
              },
              NextToken: {}
            }
          }
        },
        ListConnections: {
          input: {
            type: "structure",
            members: {
              ConnectionName: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ConnectionSummaryList"
            ],
            members: {
              ConnectionSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ConnectionName: {},
                    ConnectionArn: {},
                    ProviderType: {},
                    Status: {},
                    CreatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListObservabilityConfigurations: {
          input: {
            type: "structure",
            members: {
              ObservabilityConfigurationName: {},
              LatestOnly: {
                type: "boolean"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ObservabilityConfigurationSummaryList"
            ],
            members: {
              ObservabilityConfigurationSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ObservabilityConfigurationArn: {},
                    ObservabilityConfigurationName: {},
                    ObservabilityConfigurationRevision: {
                      type: "integer"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListOperations: {
          input: {
            type: "structure",
            required: [
              "ServiceArn"
            ],
            members: {
              ServiceArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OperationSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Type: {},
                    Status: {},
                    TargetArn: {},
                    StartedAt: {
                      type: "timestamp"
                    },
                    EndedAt: {
                      type: "timestamp"
                    },
                    UpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListServices: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ServiceSummaryList"
            ],
            members: {
              ServiceSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ServiceName: {},
                    ServiceId: {},
                    ServiceArn: {},
                    ServiceUrl: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    UpdatedAt: {
                      type: "timestamp"
                    },
                    Status: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sj"
              }
            }
          }
        },
        ListVpcConnectors: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcConnectors"
            ],
            members: {
              VpcConnectors: {
                type: "list",
                member: {
                  shape: "S2l"
                }
              },
              NextToken: {}
            }
          }
        },
        ListVpcIngressConnections: {
          input: {
            type: "structure",
            members: {
              Filter: {
                type: "structure",
                members: {
                  ServiceArn: {},
                  VpcEndpointId: {}
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcIngressConnectionSummaryList"
            ],
            members: {
              VpcIngressConnectionSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VpcIngressConnectionArn: {},
                    ServiceArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        PauseService: {
          input: {
            type: "structure",
            required: [
              "ServiceArn"
            ],
            members: {
              ServiceArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Service"
            ],
            members: {
              Service: {
                shape: "S2c"
              },
              OperationId: {}
            }
          }
        },
        ResumeService: {
          input: {
            type: "structure",
            required: [
              "ServiceArn"
            ],
            members: {
              ServiceArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Service"
            ],
            members: {
              Service: {
                shape: "S2c"
              },
              OperationId: {}
            }
          }
        },
        StartDeployment: {
          input: {
            type: "structure",
            required: [
              "ServiceArn"
            ],
            members: {
              ServiceArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "OperationId"
            ],
            members: {
              OperationId: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateService: {
          input: {
            type: "structure",
            required: [
              "ServiceArn"
            ],
            members: {
              ServiceArn: {},
              SourceConfiguration: {
                shape: "S18"
              },
              InstanceConfiguration: {
                shape: "S1u"
              },
              AutoScalingConfigurationArn: {},
              HealthCheckConfiguration: {
                shape: "S1z"
              },
              NetworkConfiguration: {
                shape: "S26"
              },
              ObservabilityConfiguration: {
                shape: "S2a"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Service",
              "OperationId"
            ],
            members: {
              Service: {
                shape: "S2c"
              },
              OperationId: {}
            }
          }
        },
        UpdateVpcIngressConnection: {
          input: {
            type: "structure",
            required: [
              "VpcIngressConnectionArn",
              "IngressVpcConfiguration"
            ],
            members: {
              VpcIngressConnectionArn: {},
              IngressVpcConfiguration: {
                shape: "S2p"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcIngressConnection"
            ],
            members: {
              VpcIngressConnection: {
                shape: "S2r"
              }
            }
          }
        }
      },
      shapes: {
        S7: {
          type: "structure",
          required: [
            "DomainName",
            "EnableWWWSubdomain",
            "Status"
          ],
          members: {
            DomainName: {},
            EnableWWWSubdomain: {
              type: "boolean"
            },
            CertificateValidationRecords: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Name: {},
                  Type: {},
                  Value: {},
                  Status: {}
                }
              }
            },
            Status: {}
          }
        },
        Sc: {
          type: "list",
          member: {
            type: "structure",
            members: {
              VpcIngressConnectionArn: {},
              VpcId: {},
              DomainName: {}
            }
          }
        },
        Sj: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        So: {
          type: "structure",
          members: {
            AutoScalingConfigurationArn: {},
            AutoScalingConfigurationName: {},
            AutoScalingConfigurationRevision: {
              type: "integer"
            },
            Latest: {
              type: "boolean"
            },
            Status: {},
            MaxConcurrency: {
              type: "integer"
            },
            MinSize: {
              type: "integer"
            },
            MaxSize: {
              type: "integer"
            },
            CreatedAt: {
              type: "timestamp"
            },
            DeletedAt: {
              type: "timestamp"
            }
          }
        },
        Sx: {
          type: "structure",
          members: {
            ConnectionName: {},
            ConnectionArn: {},
            ProviderType: {},
            Status: {},
            CreatedAt: {
              type: "timestamp"
            }
          }
        },
        S11: {
          type: "structure",
          required: [
            "Vendor"
          ],
          members: {
            Vendor: {}
          }
        },
        S14: {
          type: "structure",
          members: {
            ObservabilityConfigurationArn: {},
            ObservabilityConfigurationName: {},
            TraceConfiguration: {
              shape: "S11"
            },
            ObservabilityConfigurationRevision: {
              type: "integer"
            },
            Latest: {
              type: "boolean"
            },
            Status: {},
            CreatedAt: {
              type: "timestamp"
            },
            DeletedAt: {
              type: "timestamp"
            }
          }
        },
        S18: {
          type: "structure",
          members: {
            CodeRepository: {
              type: "structure",
              required: [
                "RepositoryUrl",
                "SourceCodeVersion"
              ],
              members: {
                RepositoryUrl: {},
                SourceCodeVersion: {
                  type: "structure",
                  required: [
                    "Type",
                    "Value"
                  ],
                  members: {
                    Type: {},
                    Value: {}
                  }
                },
                CodeConfiguration: {
                  type: "structure",
                  required: [
                    "ConfigurationSource"
                  ],
                  members: {
                    ConfigurationSource: {},
                    CodeConfigurationValues: {
                      type: "structure",
                      required: [
                        "Runtime"
                      ],
                      members: {
                        Runtime: {},
                        BuildCommand: {
                          type: "string",
                          sensitive: true
                        },
                        StartCommand: {
                          shape: "S1h"
                        },
                        Port: {},
                        RuntimeEnvironmentVariables: {
                          shape: "S1i"
                        },
                        RuntimeEnvironmentSecrets: {
                          shape: "S1l"
                        }
                      }
                    }
                  }
                }
              }
            },
            ImageRepository: {
              type: "structure",
              required: [
                "ImageIdentifier",
                "ImageRepositoryType"
              ],
              members: {
                ImageIdentifier: {},
                ImageConfiguration: {
                  type: "structure",
                  members: {
                    RuntimeEnvironmentVariables: {
                      shape: "S1i"
                    },
                    StartCommand: {
                      shape: "S1h"
                    },
                    Port: {},
                    RuntimeEnvironmentSecrets: {
                      shape: "S1l"
                    }
                  }
                },
                ImageRepositoryType: {}
              }
            },
            AutoDeploymentsEnabled: {
              type: "boolean"
            },
            AuthenticationConfiguration: {
              type: "structure",
              members: {
                ConnectionArn: {},
                AccessRoleArn: {}
              }
            }
          }
        },
        S1h: {
          type: "string",
          sensitive: true
        },
        S1i: {
          type: "map",
          key: {
            type: "string",
            sensitive: true
          },
          value: {
            type: "string",
            sensitive: true
          }
        },
        S1l: {
          type: "map",
          key: {
            type: "string",
            sensitive: true
          },
          value: {
            type: "string",
            sensitive: true
          }
        },
        S1u: {
          type: "structure",
          members: {
            Cpu: {},
            Memory: {},
            InstanceRoleArn: {}
          }
        },
        S1x: {
          type: "structure",
          required: [
            "KmsKey"
          ],
          members: {
            KmsKey: {}
          }
        },
        S1z: {
          type: "structure",
          members: {
            Protocol: {},
            Path: {},
            Interval: {
              type: "integer"
            },
            Timeout: {
              type: "integer"
            },
            HealthyThreshold: {
              type: "integer"
            },
            UnhealthyThreshold: {
              type: "integer"
            }
          }
        },
        S26: {
          type: "structure",
          members: {
            EgressConfiguration: {
              type: "structure",
              members: {
                EgressType: {},
                VpcConnectorArn: {}
              }
            },
            IngressConfiguration: {
              type: "structure",
              members: {
                IsPubliclyAccessible: {
                  type: "boolean"
                }
              }
            }
          }
        },
        S2a: {
          type: "structure",
          required: [
            "ObservabilityEnabled"
          ],
          members: {
            ObservabilityEnabled: {
              type: "boolean"
            },
            ObservabilityConfigurationArn: {}
          }
        },
        S2c: {
          type: "structure",
          required: [
            "ServiceName",
            "ServiceId",
            "ServiceArn",
            "CreatedAt",
            "UpdatedAt",
            "Status",
            "SourceConfiguration",
            "InstanceConfiguration",
            "AutoScalingConfigurationSummary",
            "NetworkConfiguration"
          ],
          members: {
            ServiceName: {},
            ServiceId: {},
            ServiceArn: {},
            ServiceUrl: {},
            CreatedAt: {
              type: "timestamp"
            },
            UpdatedAt: {
              type: "timestamp"
            },
            DeletedAt: {
              type: "timestamp"
            },
            Status: {},
            SourceConfiguration: {
              shape: "S18"
            },
            InstanceConfiguration: {
              shape: "S1u"
            },
            EncryptionConfiguration: {
              shape: "S1x"
            },
            HealthCheckConfiguration: {
              shape: "S1z"
            },
            AutoScalingConfigurationSummary: {
              shape: "S2f"
            },
            NetworkConfiguration: {
              shape: "S26"
            },
            ObservabilityConfiguration: {
              shape: "S2a"
            }
          }
        },
        S2f: {
          type: "structure",
          members: {
            AutoScalingConfigurationArn: {},
            AutoScalingConfigurationName: {},
            AutoScalingConfigurationRevision: {
              type: "integer"
            }
          }
        },
        S2j: {
          type: "list",
          member: {}
        },
        S2l: {
          type: "structure",
          members: {
            VpcConnectorName: {},
            VpcConnectorArn: {},
            VpcConnectorRevision: {
              type: "integer"
            },
            Subnets: {
              shape: "S2j"
            },
            SecurityGroups: {
              shape: "S2j"
            },
            Status: {},
            CreatedAt: {
              type: "timestamp"
            },
            DeletedAt: {
              type: "timestamp"
            }
          }
        },
        S2p: {
          type: "structure",
          members: {
            VpcId: {},
            VpcEndpointId: {}
          }
        },
        S2r: {
          type: "structure",
          members: {
            VpcIngressConnectionArn: {},
            VpcIngressConnectionName: {},
            ServiceArn: {},
            Status: {},
            AccountId: {},
            DomainName: {},
            IngressVpcConfiguration: {
              shape: "S2p"
            },
            CreatedAt: {
              type: "timestamp"
            },
            DeletedAt: {
              type: "timestamp"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/apprunner-2020-05-15.paginators.json
var require_apprunner_2020_05_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/apprunner-2020-05-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeCustomDomains: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAutoScalingConfigurations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListConnections: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListObservabilityConfigurations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListOperations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListServices: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListVpcConnectors: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListVpcIngressConnections: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/apprunner.js
var require_apprunner = __commonJS({
  "node_modules/aws-sdk/clients/apprunner.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["apprunner"] = {};
    AWS2.AppRunner = Service.defineService("apprunner", ["2020-05-15"]);
    Object.defineProperty(apiLoader.services["apprunner"], "2020-05-15", {
      get: function get() {
        var model = require_apprunner_2020_05_15_min();
        model.paginators = require_apprunner_2020_05_15_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.AppRunner;
  }
});

// node_modules/aws-sdk/apis/proton-2020-07-20.min.json
var require_proton_2020_07_20_min = __commonJS({
  "node_modules/aws-sdk/apis/proton-2020-07-20.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-07-20",
        endpointPrefix: "proton",
        jsonVersion: "1.0",
        protocol: "json",
        serviceFullName: "AWS Proton",
        serviceId: "Proton",
        signatureVersion: "v4",
        signingName: "proton",
        targetPrefix: "AwsProton20200720",
        uid: "proton-2020-07-20"
      },
      operations: {
        AcceptEnvironmentAccountConnection: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "environmentAccountConnection"
            ],
            members: {
              environmentAccountConnection: {
                shape: "S4"
              }
            }
          },
          idempotent: true
        },
        CancelComponentDeployment: {
          input: {
            type: "structure",
            required: [
              "componentName"
            ],
            members: {
              componentName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "component"
            ],
            members: {
              component: {
                shape: "Se"
              }
            }
          }
        },
        CancelEnvironmentDeployment: {
          input: {
            type: "structure",
            required: [
              "environmentName"
            ],
            members: {
              environmentName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "environment"
            ],
            members: {
              environment: {
                shape: "Sn"
              }
            }
          }
        },
        CancelServiceInstanceDeployment: {
          input: {
            type: "structure",
            required: [
              "serviceInstanceName",
              "serviceName"
            ],
            members: {
              serviceInstanceName: {},
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "serviceInstance"
            ],
            members: {
              serviceInstance: {
                shape: "Sy"
              }
            }
          }
        },
        CancelServicePipelineDeployment: {
          input: {
            type: "structure",
            required: [
              "serviceName"
            ],
            members: {
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "pipeline"
            ],
            members: {
              pipeline: {
                shape: "S12"
              }
            }
          }
        },
        CreateComponent: {
          input: {
            type: "structure",
            required: [
              "manifest",
              "name",
              "templateFile"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              description: {
                shape: "Si"
              },
              environmentName: {},
              manifest: {
                type: "string",
                sensitive: true
              },
              name: {},
              serviceInstanceName: {},
              serviceName: {},
              serviceSpec: {
                shape: "Sk"
              },
              tags: {
                shape: "S16"
              },
              templateFile: {
                shape: "S1a"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "component"
            ],
            members: {
              component: {
                shape: "Se"
              }
            }
          },
          idempotent: true
        },
        CreateEnvironment: {
          input: {
            type: "structure",
            required: [
              "name",
              "spec",
              "templateMajorVersion",
              "templateName"
            ],
            members: {
              codebuildRoleArn: {},
              componentRoleArn: {},
              description: {
                shape: "Si"
              },
              environmentAccountConnectionId: {},
              name: {},
              protonServiceRoleArn: {},
              provisioningRepository: {
                shape: "S1d"
              },
              spec: {
                shape: "Sk"
              },
              tags: {
                shape: "S16"
              },
              templateMajorVersion: {},
              templateMinorVersion: {},
              templateName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "environment"
            ],
            members: {
              environment: {
                shape: "Sn"
              }
            }
          },
          idempotent: true
        },
        CreateEnvironmentAccountConnection: {
          input: {
            type: "structure",
            required: [
              "environmentName",
              "managementAccountId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              codebuildRoleArn: {},
              componentRoleArn: {},
              environmentName: {},
              managementAccountId: {},
              roleArn: {},
              tags: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "environmentAccountConnection"
            ],
            members: {
              environmentAccountConnection: {
                shape: "S4"
              }
            }
          },
          idempotent: true
        },
        CreateEnvironmentTemplate: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              description: {
                shape: "Si"
              },
              displayName: {
                shape: "S1i"
              },
              encryptionKey: {},
              name: {},
              provisioning: {},
              tags: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "environmentTemplate"
            ],
            members: {
              environmentTemplate: {
                shape: "S1k"
              }
            }
          },
          idempotent: true
        },
        CreateEnvironmentTemplateVersion: {
          input: {
            type: "structure",
            required: [
              "source",
              "templateName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              description: {
                shape: "Si"
              },
              majorVersion: {},
              source: {
                shape: "S1o"
              },
              tags: {
                shape: "S16"
              },
              templateName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "environmentTemplateVersion"
            ],
            members: {
              environmentTemplateVersion: {
                shape: "S1t"
              }
            }
          },
          idempotent: true
        },
        CreateRepository: {
          input: {
            type: "structure",
            required: [
              "connectionArn",
              "name",
              "provider"
            ],
            members: {
              connectionArn: {},
              encryptionKey: {},
              name: {},
              provider: {},
              tags: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "repository"
            ],
            members: {
              repository: {
                shape: "S1z"
              }
            }
          },
          idempotent: true
        },
        CreateService: {
          input: {
            type: "structure",
            required: [
              "name",
              "spec",
              "templateMajorVersion",
              "templateName"
            ],
            members: {
              branchName: {},
              description: {
                shape: "Si"
              },
              name: {},
              repositoryConnectionArn: {},
              repositoryId: {},
              spec: {
                shape: "Sk"
              },
              tags: {
                shape: "S16"
              },
              templateMajorVersion: {},
              templateMinorVersion: {},
              templateName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "service"
            ],
            members: {
              service: {
                shape: "S23"
              }
            }
          },
          idempotent: true
        },
        CreateServiceInstance: {
          input: {
            type: "structure",
            required: [
              "name",
              "serviceName",
              "spec"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              name: {},
              serviceName: {},
              spec: {
                shape: "Sk"
              },
              tags: {
                shape: "S16"
              },
              templateMajorVersion: {},
              templateMinorVersion: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "serviceInstance"
            ],
            members: {
              serviceInstance: {
                shape: "Sy"
              }
            }
          },
          idempotent: true
        },
        CreateServiceSyncConfig: {
          input: {
            type: "structure",
            required: [
              "branch",
              "filePath",
              "repositoryName",
              "repositoryProvider",
              "serviceName"
            ],
            members: {
              branch: {},
              filePath: {},
              repositoryName: {},
              repositoryProvider: {},
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              serviceSyncConfig: {
                shape: "S2b"
              }
            }
          },
          idempotent: true
        },
        CreateServiceTemplate: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              description: {
                shape: "Si"
              },
              displayName: {
                shape: "S1i"
              },
              encryptionKey: {},
              name: {},
              pipelineProvisioning: {},
              tags: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "serviceTemplate"
            ],
            members: {
              serviceTemplate: {
                shape: "S2e"
              }
            }
          },
          idempotent: true
        },
        CreateServiceTemplateVersion: {
          input: {
            type: "structure",
            required: [
              "compatibleEnvironmentTemplates",
              "source",
              "templateName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              compatibleEnvironmentTemplates: {
                shape: "S2h"
              },
              description: {
                shape: "Si"
              },
              majorVersion: {},
              source: {
                shape: "S1o"
              },
              supportedComponentSources: {
                shape: "S2j"
              },
              tags: {
                shape: "S16"
              },
              templateName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "serviceTemplateVersion"
            ],
            members: {
              serviceTemplateVersion: {
                shape: "S2m"
              }
            }
          },
          idempotent: true
        },
        CreateTemplateSyncConfig: {
          input: {
            type: "structure",
            required: [
              "branch",
              "repositoryName",
              "repositoryProvider",
              "templateName",
              "templateType"
            ],
            members: {
              branch: {},
              repositoryName: {},
              repositoryProvider: {},
              subdirectory: {},
              templateName: {},
              templateType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              templateSyncConfig: {
                shape: "S2u"
              }
            }
          },
          idempotent: true
        },
        DeleteComponent: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              component: {
                shape: "Se"
              }
            }
          },
          idempotent: true
        },
        DeleteEnvironment: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              environment: {
                shape: "Sn"
              }
            }
          },
          idempotent: true
        },
        DeleteEnvironmentAccountConnection: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              environmentAccountConnection: {
                shape: "S4"
              }
            }
          },
          idempotent: true
        },
        DeleteEnvironmentTemplate: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              environmentTemplate: {
                shape: "S1k"
              }
            }
          },
          idempotent: true
        },
        DeleteEnvironmentTemplateVersion: {
          input: {
            type: "structure",
            required: [
              "majorVersion",
              "minorVersion",
              "templateName"
            ],
            members: {
              majorVersion: {},
              minorVersion: {},
              templateName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              environmentTemplateVersion: {
                shape: "S1t"
              }
            }
          },
          idempotent: true
        },
        DeleteRepository: {
          input: {
            type: "structure",
            required: [
              "name",
              "provider"
            ],
            members: {
              name: {},
              provider: {}
            }
          },
          output: {
            type: "structure",
            members: {
              repository: {
                shape: "S1z"
              }
            }
          },
          idempotent: true
        },
        DeleteService: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              service: {
                shape: "S23"
              }
            }
          },
          idempotent: true
        },
        DeleteServiceSyncConfig: {
          input: {
            type: "structure",
            required: [
              "serviceName"
            ],
            members: {
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              serviceSyncConfig: {
                shape: "S2b"
              }
            }
          },
          idempotent: true
        },
        DeleteServiceTemplate: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              serviceTemplate: {
                shape: "S2e"
              }
            }
          },
          idempotent: true
        },
        DeleteServiceTemplateVersion: {
          input: {
            type: "structure",
            required: [
              "majorVersion",
              "minorVersion",
              "templateName"
            ],
            members: {
              majorVersion: {},
              minorVersion: {},
              templateName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              serviceTemplateVersion: {
                shape: "S2m"
              }
            }
          },
          idempotent: true
        },
        DeleteTemplateSyncConfig: {
          input: {
            type: "structure",
            required: [
              "templateName",
              "templateType"
            ],
            members: {
              templateName: {},
              templateType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              templateSyncConfig: {
                shape: "S2u"
              }
            }
          },
          idempotent: true
        },
        GetAccountSettings: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              accountSettings: {
                shape: "S3j"
              }
            }
          }
        },
        GetComponent: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              component: {
                shape: "Se"
              }
            }
          }
        },
        GetEnvironment: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "environment"
            ],
            members: {
              environment: {
                shape: "Sn"
              }
            }
          }
        },
        GetEnvironmentAccountConnection: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "environmentAccountConnection"
            ],
            members: {
              environmentAccountConnection: {
                shape: "S4"
              }
            }
          }
        },
        GetEnvironmentTemplate: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "environmentTemplate"
            ],
            members: {
              environmentTemplate: {
                shape: "S1k"
              }
            }
          }
        },
        GetEnvironmentTemplateVersion: {
          input: {
            type: "structure",
            required: [
              "majorVersion",
              "minorVersion",
              "templateName"
            ],
            members: {
              majorVersion: {},
              minorVersion: {},
              templateName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "environmentTemplateVersion"
            ],
            members: {
              environmentTemplateVersion: {
                shape: "S1t"
              }
            }
          }
        },
        GetRepository: {
          input: {
            type: "structure",
            required: [
              "name",
              "provider"
            ],
            members: {
              name: {},
              provider: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "repository"
            ],
            members: {
              repository: {
                shape: "S1z"
              }
            }
          }
        },
        GetRepositorySyncStatus: {
          input: {
            type: "structure",
            required: [
              "branch",
              "repositoryName",
              "repositoryProvider",
              "syncType"
            ],
            members: {
              branch: {},
              repositoryName: {},
              repositoryProvider: {},
              syncType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              latestSync: {
                type: "structure",
                required: [
                  "events",
                  "startedAt",
                  "status"
                ],
                members: {
                  events: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "event",
                        "time",
                        "type"
                      ],
                      members: {
                        event: {},
                        externalId: {},
                        time: {
                          type: "timestamp"
                        },
                        type: {}
                      }
                    }
                  },
                  startedAt: {
                    type: "timestamp"
                  },
                  status: {}
                }
              }
            }
          }
        },
        GetResourcesSummary: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "counts"
            ],
            members: {
              counts: {
                type: "structure",
                members: {
                  components: {
                    shape: "S47"
                  },
                  environmentTemplates: {
                    shape: "S47"
                  },
                  environments: {
                    shape: "S47"
                  },
                  pipelines: {
                    shape: "S47"
                  },
                  serviceInstances: {
                    shape: "S47"
                  },
                  serviceTemplates: {
                    shape: "S47"
                  },
                  services: {
                    shape: "S47"
                  }
                }
              }
            }
          }
        },
        GetService: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              service: {
                shape: "S23"
              }
            }
          }
        },
        GetServiceInstance: {
          input: {
            type: "structure",
            required: [
              "name",
              "serviceName"
            ],
            members: {
              name: {},
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "serviceInstance"
            ],
            members: {
              serviceInstance: {
                shape: "Sy"
              }
            }
          }
        },
        GetServiceInstanceSyncStatus: {
          input: {
            type: "structure",
            required: [
              "serviceInstanceName",
              "serviceName"
            ],
            members: {
              serviceInstanceName: {},
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              desiredState: {
                shape: "S4f"
              },
              latestSuccessfulSync: {
                shape: "S4h"
              },
              latestSync: {
                shape: "S4h"
              }
            }
          }
        },
        GetServiceSyncBlockerSummary: {
          input: {
            type: "structure",
            required: [
              "serviceName"
            ],
            members: {
              serviceInstanceName: {},
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              serviceSyncBlockerSummary: {
                type: "structure",
                required: [
                  "serviceName"
                ],
                members: {
                  latestBlockers: {
                    type: "list",
                    member: {
                      shape: "S4p"
                    }
                  },
                  serviceInstanceName: {},
                  serviceName: {}
                }
              }
            }
          }
        },
        GetServiceSyncConfig: {
          input: {
            type: "structure",
            required: [
              "serviceName"
            ],
            members: {
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              serviceSyncConfig: {
                shape: "S2b"
              }
            }
          }
        },
        GetServiceTemplate: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "serviceTemplate"
            ],
            members: {
              serviceTemplate: {
                shape: "S2e"
              }
            }
          }
        },
        GetServiceTemplateVersion: {
          input: {
            type: "structure",
            required: [
              "majorVersion",
              "minorVersion",
              "templateName"
            ],
            members: {
              majorVersion: {},
              minorVersion: {},
              templateName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "serviceTemplateVersion"
            ],
            members: {
              serviceTemplateVersion: {
                shape: "S2m"
              }
            }
          }
        },
        GetTemplateSyncConfig: {
          input: {
            type: "structure",
            required: [
              "templateName",
              "templateType"
            ],
            members: {
              templateName: {},
              templateType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              templateSyncConfig: {
                shape: "S2u"
              }
            }
          }
        },
        GetTemplateSyncStatus: {
          input: {
            type: "structure",
            required: [
              "templateName",
              "templateType",
              "templateVersion"
            ],
            members: {
              templateName: {},
              templateType: {},
              templateVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              desiredState: {
                shape: "S4f"
              },
              latestSuccessfulSync: {
                shape: "S4h"
              },
              latestSync: {
                shape: "S4h"
              }
            }
          }
        },
        ListComponentOutputs: {
          input: {
            type: "structure",
            required: [
              "componentName"
            ],
            members: {
              componentName: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "outputs"
            ],
            members: {
              nextToken: {},
              outputs: {
                shape: "S57"
              }
            }
          }
        },
        ListComponentProvisionedResources: {
          input: {
            type: "structure",
            required: [
              "componentName"
            ],
            members: {
              componentName: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "provisionedResources"
            ],
            members: {
              nextToken: {},
              provisionedResources: {
                shape: "S5d"
              }
            }
          }
        },
        ListComponents: {
          input: {
            type: "structure",
            members: {
              environmentName: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              serviceInstanceName: {},
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "components"
            ],
            members: {
              components: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdAt",
                    "deploymentStatus",
                    "environmentName",
                    "lastModifiedAt",
                    "name"
                  ],
                  members: {
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    deploymentStatus: {},
                    deploymentStatusMessage: {
                      shape: "Sh"
                    },
                    environmentName: {},
                    lastDeploymentAttemptedAt: {
                      type: "timestamp"
                    },
                    lastDeploymentSucceededAt: {
                      type: "timestamp"
                    },
                    lastModifiedAt: {
                      type: "timestamp"
                    },
                    name: {},
                    serviceInstanceName: {},
                    serviceName: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListEnvironmentAccountConnections: {
          input: {
            type: "structure",
            required: [
              "requestedBy"
            ],
            members: {
              environmentName: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              requestedBy: {},
              statuses: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "environmentAccountConnections"
            ],
            members: {
              environmentAccountConnections: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "environmentAccountId",
                    "environmentName",
                    "id",
                    "lastModifiedAt",
                    "managementAccountId",
                    "requestedAt",
                    "roleArn",
                    "status"
                  ],
                  members: {
                    arn: {},
                    componentRoleArn: {},
                    environmentAccountId: {},
                    environmentName: {},
                    id: {},
                    lastModifiedAt: {
                      type: "timestamp"
                    },
                    managementAccountId: {},
                    requestedAt: {
                      type: "timestamp"
                    },
                    roleArn: {},
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListEnvironmentOutputs: {
          input: {
            type: "structure",
            required: [
              "environmentName"
            ],
            members: {
              environmentName: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "outputs"
            ],
            members: {
              nextToken: {},
              outputs: {
                shape: "S57"
              }
            }
          }
        },
        ListEnvironmentProvisionedResources: {
          input: {
            type: "structure",
            required: [
              "environmentName"
            ],
            members: {
              environmentName: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "provisionedResources"
            ],
            members: {
              nextToken: {},
              provisionedResources: {
                shape: "S5d"
              }
            }
          }
        },
        ListEnvironmentTemplateVersions: {
          input: {
            type: "structure",
            required: [
              "templateName"
            ],
            members: {
              majorVersion: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              templateName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "templateVersions"
            ],
            members: {
              nextToken: {},
              templateVersions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdAt",
                    "lastModifiedAt",
                    "majorVersion",
                    "minorVersion",
                    "status",
                    "templateName"
                  ],
                  members: {
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    description: {
                      shape: "Si"
                    },
                    lastModifiedAt: {
                      type: "timestamp"
                    },
                    majorVersion: {},
                    minorVersion: {},
                    recommendedMinorVersion: {},
                    status: {},
                    statusMessage: {
                      shape: "Sh"
                    },
                    templateName: {}
                  }
                }
              }
            }
          }
        },
        ListEnvironmentTemplates: {
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "templates"
            ],
            members: {
              nextToken: {},
              templates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdAt",
                    "lastModifiedAt",
                    "name"
                  ],
                  members: {
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    description: {
                      shape: "Si"
                    },
                    displayName: {
                      shape: "S1i"
                    },
                    lastModifiedAt: {
                      type: "timestamp"
                    },
                    name: {},
                    provisioning: {},
                    recommendedVersion: {}
                  }
                }
              }
            }
          }
        },
        ListEnvironments: {
          input: {
            type: "structure",
            members: {
              environmentTemplates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "majorVersion",
                    "templateName"
                  ],
                  members: {
                    majorVersion: {},
                    templateName: {}
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "environments"
            ],
            members: {
              environments: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdAt",
                    "deploymentStatus",
                    "lastDeploymentAttemptedAt",
                    "lastDeploymentSucceededAt",
                    "name",
                    "templateMajorVersion",
                    "templateMinorVersion",
                    "templateName"
                  ],
                  members: {
                    arn: {},
                    componentRoleArn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    deploymentStatus: {},
                    deploymentStatusMessage: {
                      shape: "Sh"
                    },
                    description: {
                      shape: "Si"
                    },
                    environmentAccountConnectionId: {},
                    environmentAccountId: {},
                    lastDeploymentAttemptedAt: {
                      type: "timestamp"
                    },
                    lastDeploymentSucceededAt: {
                      type: "timestamp"
                    },
                    name: {},
                    protonServiceRoleArn: {},
                    provisioning: {},
                    templateMajorVersion: {},
                    templateMinorVersion: {},
                    templateName: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListRepositories: {
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "repositories"
            ],
            members: {
              nextToken: {},
              repositories: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "connectionArn",
                    "name",
                    "provider"
                  ],
                  members: {
                    arn: {},
                    connectionArn: {},
                    name: {},
                    provider: {}
                  }
                }
              }
            }
          }
        },
        ListRepositorySyncDefinitions: {
          input: {
            type: "structure",
            required: [
              "repositoryName",
              "repositoryProvider",
              "syncType"
            ],
            members: {
              nextToken: {},
              repositoryName: {},
              repositoryProvider: {},
              syncType: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "syncDefinitions"
            ],
            members: {
              nextToken: {},
              syncDefinitions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "branch",
                    "directory",
                    "parent",
                    "target"
                  ],
                  members: {
                    branch: {},
                    directory: {},
                    parent: {},
                    target: {}
                  }
                }
              }
            }
          }
        },
        ListServiceInstanceOutputs: {
          input: {
            type: "structure",
            required: [
              "serviceInstanceName",
              "serviceName"
            ],
            members: {
              nextToken: {},
              serviceInstanceName: {},
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "outputs"
            ],
            members: {
              nextToken: {},
              outputs: {
                shape: "S57"
              }
            }
          }
        },
        ListServiceInstanceProvisionedResources: {
          input: {
            type: "structure",
            required: [
              "serviceInstanceName",
              "serviceName"
            ],
            members: {
              nextToken: {},
              serviceInstanceName: {},
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "provisionedResources"
            ],
            members: {
              nextToken: {},
              provisionedResources: {
                shape: "S5d"
              }
            }
          }
        },
        ListServiceInstances: {
          input: {
            type: "structure",
            members: {
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    key: {},
                    value: {}
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              serviceName: {},
              sortBy: {},
              sortOrder: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "serviceInstances"
            ],
            members: {
              nextToken: {},
              serviceInstances: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdAt",
                    "deploymentStatus",
                    "environmentName",
                    "lastDeploymentAttemptedAt",
                    "lastDeploymentSucceededAt",
                    "name",
                    "serviceName",
                    "templateMajorVersion",
                    "templateMinorVersion",
                    "templateName"
                  ],
                  members: {
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    deploymentStatus: {},
                    deploymentStatusMessage: {
                      shape: "Sh"
                    },
                    environmentName: {},
                    lastDeploymentAttemptedAt: {
                      type: "timestamp"
                    },
                    lastDeploymentSucceededAt: {
                      type: "timestamp"
                    },
                    name: {},
                    serviceName: {},
                    templateMajorVersion: {},
                    templateMinorVersion: {},
                    templateName: {}
                  }
                }
              }
            }
          }
        },
        ListServicePipelineOutputs: {
          input: {
            type: "structure",
            required: [
              "serviceName"
            ],
            members: {
              nextToken: {},
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "outputs"
            ],
            members: {
              nextToken: {},
              outputs: {
                shape: "S57"
              }
            }
          }
        },
        ListServicePipelineProvisionedResources: {
          input: {
            type: "structure",
            required: [
              "serviceName"
            ],
            members: {
              nextToken: {},
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "provisionedResources"
            ],
            members: {
              nextToken: {},
              provisionedResources: {
                shape: "S5d"
              }
            }
          }
        },
        ListServiceTemplateVersions: {
          input: {
            type: "structure",
            required: [
              "templateName"
            ],
            members: {
              majorVersion: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              templateName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "templateVersions"
            ],
            members: {
              nextToken: {},
              templateVersions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdAt",
                    "lastModifiedAt",
                    "majorVersion",
                    "minorVersion",
                    "status",
                    "templateName"
                  ],
                  members: {
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    description: {
                      shape: "Si"
                    },
                    lastModifiedAt: {
                      type: "timestamp"
                    },
                    majorVersion: {},
                    minorVersion: {},
                    recommendedMinorVersion: {},
                    status: {},
                    statusMessage: {
                      shape: "Sh"
                    },
                    templateName: {}
                  }
                }
              }
            }
          }
        },
        ListServiceTemplates: {
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "templates"
            ],
            members: {
              nextToken: {},
              templates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdAt",
                    "lastModifiedAt",
                    "name"
                  ],
                  members: {
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    description: {
                      shape: "Si"
                    },
                    displayName: {
                      shape: "S1i"
                    },
                    lastModifiedAt: {
                      type: "timestamp"
                    },
                    name: {},
                    pipelineProvisioning: {},
                    recommendedVersion: {}
                  }
                }
              }
            }
          }
        },
        ListServices: {
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "services"
            ],
            members: {
              nextToken: {},
              services: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdAt",
                    "lastModifiedAt",
                    "name",
                    "status",
                    "templateName"
                  ],
                  members: {
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    description: {
                      shape: "Si"
                    },
                    lastModifiedAt: {
                      type: "timestamp"
                    },
                    name: {},
                    status: {},
                    statusMessage: {
                      shape: "Sh"
                    },
                    templateName: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "tags"
            ],
            members: {
              nextToken: {},
              tags: {
                shape: "S16"
              }
            }
          }
        },
        NotifyResourceDeploymentStatusChange: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              deploymentId: {},
              outputs: {
                type: "list",
                member: {
                  shape: "S58"
                }
              },
              resourceArn: {},
              status: {},
              statusMessage: {
                type: "string",
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RejectEnvironmentAccountConnection: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "environmentAccountConnection"
            ],
            members: {
              environmentAccountConnection: {
                shape: "S4"
              }
            }
          },
          idempotent: true
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateAccountSettings: {
          input: {
            type: "structure",
            members: {
              deletePipelineProvisioningRepository: {
                type: "boolean"
              },
              pipelineCodebuildRoleArn: {},
              pipelineProvisioningRepository: {
                shape: "S1d"
              },
              pipelineServiceRoleArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "accountSettings"
            ],
            members: {
              accountSettings: {
                shape: "S3j"
              }
            }
          }
        },
        UpdateComponent: {
          input: {
            type: "structure",
            required: [
              "deploymentType",
              "name"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              deploymentType: {},
              description: {
                shape: "Si"
              },
              name: {},
              serviceInstanceName: {},
              serviceName: {},
              serviceSpec: {
                shape: "Sk"
              },
              templateFile: {
                shape: "S1a"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "component"
            ],
            members: {
              component: {
                shape: "Se"
              }
            }
          }
        },
        UpdateEnvironment: {
          input: {
            type: "structure",
            required: [
              "deploymentType",
              "name"
            ],
            members: {
              codebuildRoleArn: {},
              componentRoleArn: {},
              deploymentType: {},
              description: {
                shape: "Si"
              },
              environmentAccountConnectionId: {},
              name: {},
              protonServiceRoleArn: {},
              provisioningRepository: {
                shape: "S1d"
              },
              spec: {
                shape: "Sk"
              },
              templateMajorVersion: {},
              templateMinorVersion: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "environment"
            ],
            members: {
              environment: {
                shape: "Sn"
              }
            }
          }
        },
        UpdateEnvironmentAccountConnection: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              codebuildRoleArn: {},
              componentRoleArn: {},
              id: {},
              roleArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "environmentAccountConnection"
            ],
            members: {
              environmentAccountConnection: {
                shape: "S4"
              }
            }
          },
          idempotent: true
        },
        UpdateEnvironmentTemplate: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              description: {
                shape: "Si"
              },
              displayName: {
                shape: "S1i"
              },
              name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "environmentTemplate"
            ],
            members: {
              environmentTemplate: {
                shape: "S1k"
              }
            }
          }
        },
        UpdateEnvironmentTemplateVersion: {
          input: {
            type: "structure",
            required: [
              "majorVersion",
              "minorVersion",
              "templateName"
            ],
            members: {
              description: {
                shape: "Si"
              },
              majorVersion: {},
              minorVersion: {},
              status: {},
              templateName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "environmentTemplateVersion"
            ],
            members: {
              environmentTemplateVersion: {
                shape: "S1t"
              }
            }
          }
        },
        UpdateService: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              description: {
                shape: "Si"
              },
              name: {},
              spec: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "service"
            ],
            members: {
              service: {
                shape: "S23"
              }
            }
          }
        },
        UpdateServiceInstance: {
          input: {
            type: "structure",
            required: [
              "deploymentType",
              "name",
              "serviceName"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              deploymentType: {},
              name: {},
              serviceName: {},
              spec: {
                shape: "Sk"
              },
              templateMajorVersion: {},
              templateMinorVersion: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "serviceInstance"
            ],
            members: {
              serviceInstance: {
                shape: "Sy"
              }
            }
          }
        },
        UpdateServicePipeline: {
          input: {
            type: "structure",
            required: [
              "deploymentType",
              "serviceName",
              "spec"
            ],
            members: {
              deploymentType: {},
              serviceName: {},
              spec: {
                shape: "Sk"
              },
              templateMajorVersion: {},
              templateMinorVersion: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "pipeline"
            ],
            members: {
              pipeline: {
                shape: "S12"
              }
            }
          }
        },
        UpdateServiceSyncBlocker: {
          input: {
            type: "structure",
            required: [
              "id",
              "resolvedReason"
            ],
            members: {
              id: {},
              resolvedReason: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "serviceName",
              "serviceSyncBlocker"
            ],
            members: {
              serviceInstanceName: {},
              serviceName: {},
              serviceSyncBlocker: {
                shape: "S4p"
              }
            }
          }
        },
        UpdateServiceSyncConfig: {
          input: {
            type: "structure",
            required: [
              "branch",
              "filePath",
              "repositoryName",
              "repositoryProvider",
              "serviceName"
            ],
            members: {
              branch: {},
              filePath: {},
              repositoryName: {},
              repositoryProvider: {},
              serviceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              serviceSyncConfig: {
                shape: "S2b"
              }
            }
          }
        },
        UpdateServiceTemplate: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              description: {
                shape: "Si"
              },
              displayName: {
                shape: "S1i"
              },
              name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "serviceTemplate"
            ],
            members: {
              serviceTemplate: {
                shape: "S2e"
              }
            }
          }
        },
        UpdateServiceTemplateVersion: {
          input: {
            type: "structure",
            required: [
              "majorVersion",
              "minorVersion",
              "templateName"
            ],
            members: {
              compatibleEnvironmentTemplates: {
                shape: "S2h"
              },
              description: {
                shape: "Si"
              },
              majorVersion: {},
              minorVersion: {},
              status: {},
              supportedComponentSources: {
                shape: "S2j"
              },
              templateName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "serviceTemplateVersion"
            ],
            members: {
              serviceTemplateVersion: {
                shape: "S2m"
              }
            }
          }
        },
        UpdateTemplateSyncConfig: {
          input: {
            type: "structure",
            required: [
              "branch",
              "repositoryName",
              "repositoryProvider",
              "templateName",
              "templateType"
            ],
            members: {
              branch: {},
              repositoryName: {},
              repositoryProvider: {},
              subdirectory: {},
              templateName: {},
              templateType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              templateSyncConfig: {
                shape: "S2u"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          required: [
            "arn",
            "environmentAccountId",
            "environmentName",
            "id",
            "lastModifiedAt",
            "managementAccountId",
            "requestedAt",
            "roleArn",
            "status"
          ],
          members: {
            arn: {},
            codebuildRoleArn: {},
            componentRoleArn: {},
            environmentAccountId: {},
            environmentName: {},
            id: {},
            lastModifiedAt: {
              type: "timestamp"
            },
            managementAccountId: {},
            requestedAt: {
              type: "timestamp"
            },
            roleArn: {},
            status: {}
          }
        },
        Se: {
          type: "structure",
          required: [
            "arn",
            "createdAt",
            "deploymentStatus",
            "environmentName",
            "lastModifiedAt",
            "name"
          ],
          members: {
            arn: {},
            createdAt: {
              type: "timestamp"
            },
            deploymentStatus: {},
            deploymentStatusMessage: {
              shape: "Sh"
            },
            description: {
              shape: "Si"
            },
            environmentName: {},
            lastClientRequestToken: {},
            lastDeploymentAttemptedAt: {
              type: "timestamp"
            },
            lastDeploymentSucceededAt: {
              type: "timestamp"
            },
            lastModifiedAt: {
              type: "timestamp"
            },
            name: {},
            serviceInstanceName: {},
            serviceName: {},
            serviceSpec: {
              shape: "Sk"
            }
          }
        },
        Sh: {
          type: "string",
          sensitive: true
        },
        Si: {
          type: "string",
          sensitive: true
        },
        Sk: {
          type: "string",
          sensitive: true
        },
        Sn: {
          type: "structure",
          required: [
            "arn",
            "createdAt",
            "deploymentStatus",
            "lastDeploymentAttemptedAt",
            "lastDeploymentSucceededAt",
            "name",
            "templateMajorVersion",
            "templateMinorVersion",
            "templateName"
          ],
          members: {
            arn: {},
            codebuildRoleArn: {},
            componentRoleArn: {},
            createdAt: {
              type: "timestamp"
            },
            deploymentStatus: {},
            deploymentStatusMessage: {
              shape: "Sh"
            },
            description: {
              shape: "Si"
            },
            environmentAccountConnectionId: {},
            environmentAccountId: {},
            lastDeploymentAttemptedAt: {
              type: "timestamp"
            },
            lastDeploymentSucceededAt: {
              type: "timestamp"
            },
            name: {},
            protonServiceRoleArn: {},
            provisioning: {},
            provisioningRepository: {
              shape: "Sq"
            },
            spec: {
              shape: "Sk"
            },
            templateMajorVersion: {},
            templateMinorVersion: {},
            templateName: {}
          }
        },
        Sq: {
          type: "structure",
          required: [
            "arn",
            "branch",
            "name",
            "provider"
          ],
          members: {
            arn: {},
            branch: {},
            name: {},
            provider: {}
          }
        },
        Sy: {
          type: "structure",
          required: [
            "arn",
            "createdAt",
            "deploymentStatus",
            "environmentName",
            "lastDeploymentAttemptedAt",
            "lastDeploymentSucceededAt",
            "name",
            "serviceName",
            "templateMajorVersion",
            "templateMinorVersion",
            "templateName"
          ],
          members: {
            arn: {},
            createdAt: {
              type: "timestamp"
            },
            deploymentStatus: {},
            deploymentStatusMessage: {
              shape: "Sh"
            },
            environmentName: {},
            lastClientRequestToken: {},
            lastDeploymentAttemptedAt: {
              type: "timestamp"
            },
            lastDeploymentSucceededAt: {
              type: "timestamp"
            },
            name: {},
            serviceName: {},
            spec: {
              shape: "Sk"
            },
            templateMajorVersion: {},
            templateMinorVersion: {},
            templateName: {}
          }
        },
        S12: {
          type: "structure",
          required: [
            "arn",
            "createdAt",
            "deploymentStatus",
            "lastDeploymentAttemptedAt",
            "lastDeploymentSucceededAt",
            "templateMajorVersion",
            "templateMinorVersion",
            "templateName"
          ],
          members: {
            arn: {},
            createdAt: {
              type: "timestamp"
            },
            deploymentStatus: {},
            deploymentStatusMessage: {
              shape: "Sh"
            },
            lastDeploymentAttemptedAt: {
              type: "timestamp"
            },
            lastDeploymentSucceededAt: {
              type: "timestamp"
            },
            spec: {
              shape: "Sk"
            },
            templateMajorVersion: {},
            templateMinorVersion: {},
            templateName: {}
          }
        },
        S16: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        S1a: {
          type: "string",
          sensitive: true
        },
        S1d: {
          type: "structure",
          required: [
            "branch",
            "name",
            "provider"
          ],
          members: {
            branch: {},
            name: {},
            provider: {}
          }
        },
        S1i: {
          type: "string",
          sensitive: true
        },
        S1k: {
          type: "structure",
          required: [
            "arn",
            "createdAt",
            "lastModifiedAt",
            "name"
          ],
          members: {
            arn: {},
            createdAt: {
              type: "timestamp"
            },
            description: {
              shape: "Si"
            },
            displayName: {
              shape: "S1i"
            },
            encryptionKey: {},
            lastModifiedAt: {
              type: "timestamp"
            },
            name: {},
            provisioning: {},
            recommendedVersion: {}
          }
        },
        S1o: {
          type: "structure",
          members: {
            s3: {
              type: "structure",
              required: [
                "bucket",
                "key"
              ],
              members: {
                bucket: {},
                key: {}
              }
            }
          },
          union: true
        },
        S1t: {
          type: "structure",
          required: [
            "arn",
            "createdAt",
            "lastModifiedAt",
            "majorVersion",
            "minorVersion",
            "status",
            "templateName"
          ],
          members: {
            arn: {},
            createdAt: {
              type: "timestamp"
            },
            description: {
              shape: "Si"
            },
            lastModifiedAt: {
              type: "timestamp"
            },
            majorVersion: {},
            minorVersion: {},
            recommendedMinorVersion: {},
            schema: {
              shape: "S1v"
            },
            status: {},
            statusMessage: {
              shape: "Sh"
            },
            templateName: {}
          }
        },
        S1v: {
          type: "string",
          sensitive: true
        },
        S1z: {
          type: "structure",
          required: [
            "arn",
            "connectionArn",
            "name",
            "provider"
          ],
          members: {
            arn: {},
            connectionArn: {},
            encryptionKey: {},
            name: {},
            provider: {}
          }
        },
        S23: {
          type: "structure",
          required: [
            "arn",
            "createdAt",
            "lastModifiedAt",
            "name",
            "spec",
            "status",
            "templateName"
          ],
          members: {
            arn: {},
            branchName: {},
            createdAt: {
              type: "timestamp"
            },
            description: {
              shape: "Si"
            },
            lastModifiedAt: {
              type: "timestamp"
            },
            name: {},
            pipeline: {
              shape: "S12"
            },
            repositoryConnectionArn: {},
            repositoryId: {},
            spec: {
              shape: "Sk"
            },
            status: {},
            statusMessage: {
              shape: "Sh"
            },
            templateName: {}
          }
        },
        S2b: {
          type: "structure",
          required: [
            "branch",
            "filePath",
            "repositoryName",
            "repositoryProvider",
            "serviceName"
          ],
          members: {
            branch: {},
            filePath: {},
            repositoryName: {},
            repositoryProvider: {},
            serviceName: {}
          }
        },
        S2e: {
          type: "structure",
          required: [
            "arn",
            "createdAt",
            "lastModifiedAt",
            "name"
          ],
          members: {
            arn: {},
            createdAt: {
              type: "timestamp"
            },
            description: {
              shape: "Si"
            },
            displayName: {
              shape: "S1i"
            },
            encryptionKey: {},
            lastModifiedAt: {
              type: "timestamp"
            },
            name: {},
            pipelineProvisioning: {},
            recommendedVersion: {}
          }
        },
        S2h: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "majorVersion",
              "templateName"
            ],
            members: {
              majorVersion: {},
              templateName: {}
            }
          }
        },
        S2j: {
          type: "list",
          member: {}
        },
        S2m: {
          type: "structure",
          required: [
            "arn",
            "compatibleEnvironmentTemplates",
            "createdAt",
            "lastModifiedAt",
            "majorVersion",
            "minorVersion",
            "status",
            "templateName"
          ],
          members: {
            arn: {},
            compatibleEnvironmentTemplates: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "majorVersion",
                  "templateName"
                ],
                members: {
                  majorVersion: {},
                  templateName: {}
                }
              }
            },
            createdAt: {
              type: "timestamp"
            },
            description: {
              shape: "Si"
            },
            lastModifiedAt: {
              type: "timestamp"
            },
            majorVersion: {},
            minorVersion: {},
            recommendedMinorVersion: {},
            schema: {
              shape: "S1v"
            },
            status: {},
            statusMessage: {
              shape: "Sh"
            },
            supportedComponentSources: {
              shape: "S2j"
            },
            templateName: {}
          }
        },
        S2u: {
          type: "structure",
          required: [
            "branch",
            "repositoryName",
            "repositoryProvider",
            "templateName",
            "templateType"
          ],
          members: {
            branch: {},
            repositoryName: {},
            repositoryProvider: {},
            subdirectory: {},
            templateName: {},
            templateType: {}
          }
        },
        S3j: {
          type: "structure",
          members: {
            pipelineCodebuildRoleArn: {},
            pipelineProvisioningRepository: {
              shape: "Sq"
            },
            pipelineServiceRoleArn: {}
          }
        },
        S47: {
          type: "structure",
          required: [
            "total"
          ],
          members: {
            behindMajor: {
              type: "integer"
            },
            behindMinor: {
              type: "integer"
            },
            failed: {
              type: "integer"
            },
            total: {
              type: "integer"
            },
            upToDate: {
              type: "integer"
            }
          }
        },
        S4f: {
          type: "structure",
          required: [
            "branch",
            "directory",
            "repositoryName",
            "repositoryProvider",
            "sha"
          ],
          members: {
            branch: {},
            directory: {},
            repositoryName: {},
            repositoryProvider: {},
            sha: {}
          }
        },
        S4h: {
          type: "structure",
          required: [
            "events",
            "initialRevision",
            "startedAt",
            "status",
            "target",
            "targetRevision"
          ],
          members: {
            events: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "event",
                  "time",
                  "type"
                ],
                members: {
                  event: {},
                  externalId: {},
                  time: {
                    type: "timestamp"
                  },
                  type: {}
                }
              }
            },
            initialRevision: {
              shape: "S4f"
            },
            startedAt: {
              type: "timestamp"
            },
            status: {},
            target: {},
            targetRevision: {
              shape: "S4f"
            }
          }
        },
        S4p: {
          type: "structure",
          required: [
            "createdAt",
            "createdReason",
            "id",
            "status",
            "type"
          ],
          members: {
            contexts: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "key",
                  "value"
                ],
                members: {
                  key: {},
                  value: {}
                }
              }
            },
            createdAt: {
              type: "timestamp"
            },
            createdReason: {},
            id: {},
            resolvedAt: {
              type: "timestamp"
            },
            resolvedReason: {},
            status: {},
            type: {}
          }
        },
        S57: {
          type: "list",
          member: {
            shape: "S58"
          }
        },
        S58: {
          type: "structure",
          members: {
            key: {},
            valueString: {}
          },
          sensitive: true
        },
        S5d: {
          type: "list",
          member: {
            type: "structure",
            members: {
              identifier: {},
              name: {},
              provisioningEngine: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/proton-2020-07-20.paginators.json
var require_proton_2020_07_20_paginators = __commonJS({
  "node_modules/aws-sdk/apis/proton-2020-07-20.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListComponentOutputs: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "outputs"
        },
        ListComponentProvisionedResources: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "provisionedResources"
        },
        ListComponents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "components"
        },
        ListEnvironmentAccountConnections: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "environmentAccountConnections"
        },
        ListEnvironmentOutputs: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "outputs"
        },
        ListEnvironmentProvisionedResources: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "provisionedResources"
        },
        ListEnvironmentTemplateVersions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "templateVersions"
        },
        ListEnvironmentTemplates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "templates"
        },
        ListEnvironments: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "environments"
        },
        ListRepositories: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "repositories"
        },
        ListRepositorySyncDefinitions: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "syncDefinitions"
        },
        ListServiceInstanceOutputs: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "outputs"
        },
        ListServiceInstanceProvisionedResources: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "provisionedResources"
        },
        ListServiceInstances: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "serviceInstances"
        },
        ListServicePipelineOutputs: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "outputs"
        },
        ListServicePipelineProvisionedResources: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "provisionedResources"
        },
        ListServiceTemplateVersions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "templateVersions"
        },
        ListServiceTemplates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "templates"
        },
        ListServices: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "services"
        },
        ListTagsForResource: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "tags"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/proton-2020-07-20.waiters2.json
var require_proton_2020_07_20_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/proton-2020-07-20.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        ComponentDeleted: {
          description: "Wait until a Component is deleted. Use this after invoking DeleteComponent",
          delay: 5,
          maxAttempts: 999,
          operation: "GetComponent",
          acceptors: [{
            matcher: "error",
            state: "success",
            expected: "ResourceNotFoundException"
          }, {
            matcher: "path",
            argument: "component.deploymentStatus",
            state: "failure",
            expected: "DELETE_FAILED"
          }]
        },
        ComponentDeployed: {
          description: "Wait until a Component is deployed. Use this after invoking CreateComponent or UpdateComponent",
          delay: 5,
          maxAttempts: 999,
          operation: "GetComponent",
          acceptors: [{
            matcher: "path",
            argument: "component.deploymentStatus",
            state: "success",
            expected: "SUCCEEDED"
          }, {
            matcher: "path",
            argument: "component.deploymentStatus",
            state: "failure",
            expected: "FAILED"
          }]
        },
        EnvironmentDeployed: {
          description: "Wait until an Environment is deployed. Use this after invoking CreateEnvironment or UpdateEnvironment",
          delay: 5,
          maxAttempts: 999,
          operation: "GetEnvironment",
          acceptors: [{
            matcher: "path",
            argument: "environment.deploymentStatus",
            state: "success",
            expected: "SUCCEEDED"
          }, {
            matcher: "path",
            argument: "environment.deploymentStatus",
            state: "failure",
            expected: "FAILED"
          }]
        },
        EnvironmentTemplateVersionRegistered: {
          description: "Wait until an EnvironmentTemplateVersion is registered. Use this after invoking CreateEnvironmentTemplateVersion",
          delay: 2,
          maxAttempts: 150,
          operation: "GetEnvironmentTemplateVersion",
          acceptors: [{
            matcher: "path",
            argument: "environmentTemplateVersion.status",
            state: "success",
            expected: "DRAFT"
          }, {
            matcher: "path",
            argument: "environmentTemplateVersion.status",
            state: "success",
            expected: "PUBLISHED"
          }, {
            matcher: "path",
            argument: "environmentTemplateVersion.status",
            state: "failure",
            expected: "REGISTRATION_FAILED"
          }]
        },
        ServiceCreated: {
          description: "Wait until an Service has deployed its instances and possibly pipeline. Use this after invoking CreateService",
          delay: 5,
          maxAttempts: 999,
          operation: "GetService",
          acceptors: [{
            matcher: "path",
            argument: "service.status",
            state: "success",
            expected: "ACTIVE"
          }, {
            matcher: "path",
            argument: "service.status",
            state: "failure",
            expected: "CREATE_FAILED_CLEANUP_COMPLETE"
          }, {
            matcher: "path",
            argument: "service.status",
            state: "failure",
            expected: "CREATE_FAILED_CLEANUP_FAILED"
          }, {
            matcher: "path",
            argument: "service.status",
            state: "failure",
            expected: "CREATE_FAILED"
          }]
        },
        ServiceDeleted: {
          description: "Wait until a Service, its instances, and possibly pipeline have been deleted after DeleteService is invoked",
          delay: 5,
          maxAttempts: 999,
          operation: "GetService",
          acceptors: [{
            matcher: "error",
            state: "success",
            expected: "ResourceNotFoundException"
          }, {
            matcher: "path",
            argument: "service.status",
            state: "failure",
            expected: "DELETE_FAILED"
          }]
        },
        ServiceInstanceDeployed: {
          description: "Wait until a ServiceInstance is deployed. Use this after invoking CreateService or UpdateServiceInstance",
          delay: 5,
          maxAttempts: 999,
          operation: "GetServiceInstance",
          acceptors: [{
            matcher: "path",
            argument: "serviceInstance.deploymentStatus",
            state: "success",
            expected: "SUCCEEDED"
          }, {
            matcher: "path",
            argument: "serviceInstance.deploymentStatus",
            state: "failure",
            expected: "FAILED"
          }]
        },
        ServicePipelineDeployed: {
          description: "Wait until an ServicePipeline is deployed. Use this after invoking CreateService or UpdateServicePipeline",
          delay: 10,
          maxAttempts: 360,
          operation: "GetService",
          acceptors: [{
            matcher: "path",
            argument: "service.pipeline.deploymentStatus",
            state: "success",
            expected: "SUCCEEDED"
          }, {
            matcher: "path",
            argument: "service.pipeline.deploymentStatus",
            state: "failure",
            expected: "FAILED"
          }]
        },
        ServiceTemplateVersionRegistered: {
          description: "Wait until a ServiceTemplateVersion is registered. Use this after invoking CreateServiceTemplateVersion",
          delay: 2,
          maxAttempts: 150,
          operation: "GetServiceTemplateVersion",
          acceptors: [{
            matcher: "path",
            argument: "serviceTemplateVersion.status",
            state: "success",
            expected: "DRAFT"
          }, {
            matcher: "path",
            argument: "serviceTemplateVersion.status",
            state: "success",
            expected: "PUBLISHED"
          }, {
            matcher: "path",
            argument: "serviceTemplateVersion.status",
            state: "failure",
            expected: "REGISTRATION_FAILED"
          }]
        },
        ServiceUpdated: {
          description: "Wait until a Service, its instances, and possibly pipeline have been deployed after UpdateService is invoked",
          delay: 5,
          maxAttempts: 999,
          operation: "GetService",
          acceptors: [{
            matcher: "path",
            argument: "service.status",
            state: "success",
            expected: "ACTIVE"
          }, {
            matcher: "path",
            argument: "service.status",
            state: "failure",
            expected: "UPDATE_FAILED_CLEANUP_COMPLETE"
          }, {
            matcher: "path",
            argument: "service.status",
            state: "failure",
            expected: "UPDATE_FAILED_CLEANUP_FAILED"
          }, {
            matcher: "path",
            argument: "service.status",
            state: "failure",
            expected: "UPDATE_FAILED"
          }, {
            matcher: "path",
            argument: "service.status",
            state: "failure",
            expected: "UPDATE_COMPLETE_CLEANUP_FAILED"
          }]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/proton.js
var require_proton = __commonJS({
  "node_modules/aws-sdk/clients/proton.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["proton"] = {};
    AWS2.Proton = Service.defineService("proton", ["2020-07-20"]);
    Object.defineProperty(apiLoader.services["proton"], "2020-07-20", {
      get: function get() {
        var model = require_proton_2020_07_20_min();
        model.paginators = require_proton_2020_07_20_paginators().pagination;
        model.waiters = require_proton_2020_07_20_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Proton;
  }
});

// node_modules/aws-sdk/apis/route53-recovery-cluster-2019-12-02.min.json
var require_route53_recovery_cluster_2019_12_02_min = __commonJS({
  "node_modules/aws-sdk/apis/route53-recovery-cluster-2019-12-02.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-12-02",
        endpointPrefix: "route53-recovery-cluster",
        jsonVersion: "1.0",
        protocol: "json",
        serviceFullName: "Route53 Recovery Cluster",
        serviceId: "Route53 Recovery Cluster",
        signatureVersion: "v4",
        signingName: "route53-recovery-cluster",
        targetPrefix: "ToggleCustomerAPI",
        uid: "route53-recovery-cluster-2019-12-02"
      },
      operations: {
        GetRoutingControlState: {
          input: {
            type: "structure",
            required: [
              "RoutingControlArn"
            ],
            members: {
              RoutingControlArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "RoutingControlArn",
              "RoutingControlState"
            ],
            members: {
              RoutingControlArn: {},
              RoutingControlState: {},
              RoutingControlName: {}
            }
          }
        },
        ListRoutingControls: {
          input: {
            type: "structure",
            members: {
              ControlPanelArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "RoutingControls"
            ],
            members: {
              RoutingControls: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ControlPanelArn: {},
                    ControlPanelName: {},
                    RoutingControlArn: {},
                    RoutingControlName: {},
                    RoutingControlState: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        UpdateRoutingControlState: {
          input: {
            type: "structure",
            required: [
              "RoutingControlArn",
              "RoutingControlState"
            ],
            members: {
              RoutingControlArn: {},
              RoutingControlState: {},
              SafetyRulesToOverride: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateRoutingControlStates: {
          input: {
            type: "structure",
            required: [
              "UpdateRoutingControlStateEntries"
            ],
            members: {
              UpdateRoutingControlStateEntries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "RoutingControlArn",
                    "RoutingControlState"
                  ],
                  members: {
                    RoutingControlArn: {},
                    RoutingControlState: {}
                  }
                }
              },
              SafetyRulesToOverride: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        Se: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/route53-recovery-cluster-2019-12-02.paginators.json
var require_route53_recovery_cluster_2019_12_02_paginators = __commonJS({
  "node_modules/aws-sdk/apis/route53-recovery-cluster-2019-12-02.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListRoutingControls: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "RoutingControls"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/route53recoverycluster.js
var require_route53recoverycluster = __commonJS({
  "node_modules/aws-sdk/clients/route53recoverycluster.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["route53recoverycluster"] = {};
    AWS2.Route53RecoveryCluster = Service.defineService("route53recoverycluster", ["2019-12-02"]);
    Object.defineProperty(apiLoader.services["route53recoverycluster"], "2019-12-02", {
      get: function get() {
        var model = require_route53_recovery_cluster_2019_12_02_min();
        model.paginators = require_route53_recovery_cluster_2019_12_02_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Route53RecoveryCluster;
  }
});

// node_modules/aws-sdk/apis/route53-recovery-control-config-2020-11-02.min.json
var require_route53_recovery_control_config_2020_11_02_min = __commonJS({
  "node_modules/aws-sdk/apis/route53-recovery-control-config-2020-11-02.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2020-11-02",
        endpointPrefix: "route53-recovery-control-config",
        signingName: "route53-recovery-control-config",
        serviceFullName: "AWS Route53 Recovery Control Config",
        serviceId: "Route53 Recovery Control Config",
        protocol: "rest-json",
        jsonVersion: "1.1",
        uid: "route53-recovery-control-config-2020-11-02",
        signatureVersion: "v4"
      },
      operations: {
        CreateCluster: {
          http: {
            requestUri: "/cluster",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              ClusterName: {},
              Tags: {
                shape: "S3"
              }
            },
            required: [
              "ClusterName"
            ]
          },
          output: {
            type: "structure",
            members: {
              Cluster: {
                shape: "S7"
              }
            }
          }
        },
        CreateControlPanel: {
          http: {
            requestUri: "/controlpanel",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              ClusterArn: {},
              ControlPanelName: {},
              Tags: {
                shape: "S3"
              }
            },
            required: [
              "ClusterArn",
              "ControlPanelName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ControlPanel: {
                shape: "Sg"
              }
            }
          }
        },
        CreateRoutingControl: {
          http: {
            requestUri: "/routingcontrol",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              ClusterArn: {},
              ControlPanelArn: {},
              RoutingControlName: {}
            },
            required: [
              "ClusterArn",
              "RoutingControlName"
            ]
          },
          output: {
            type: "structure",
            members: {
              RoutingControl: {
                shape: "Sl"
              }
            }
          }
        },
        CreateSafetyRule: {
          http: {
            requestUri: "/safetyrule",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AssertionRule: {
                type: "structure",
                members: {
                  AssertedControls: {
                    shape: "So"
                  },
                  ControlPanelArn: {},
                  Name: {},
                  RuleConfig: {
                    shape: "Sp"
                  },
                  WaitPeriodMs: {
                    type: "integer"
                  }
                },
                required: [
                  "ControlPanelArn",
                  "AssertedControls",
                  "RuleConfig",
                  "WaitPeriodMs",
                  "Name"
                ]
              },
              ClientToken: {
                idempotencyToken: true
              },
              GatingRule: {
                type: "structure",
                members: {
                  ControlPanelArn: {},
                  GatingControls: {
                    shape: "So"
                  },
                  Name: {},
                  RuleConfig: {
                    shape: "Sp"
                  },
                  TargetControls: {
                    shape: "So"
                  },
                  WaitPeriodMs: {
                    type: "integer"
                  }
                },
                required: [
                  "TargetControls",
                  "ControlPanelArn",
                  "GatingControls",
                  "RuleConfig",
                  "WaitPeriodMs",
                  "Name"
                ]
              },
              Tags: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssertionRule: {
                shape: "St"
              },
              GatingRule: {
                shape: "Su"
              }
            }
          }
        },
        DeleteCluster: {
          http: {
            method: "DELETE",
            requestUri: "/cluster/{ClusterArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "ClusterArn"
              }
            },
            required: [
              "ClusterArn"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteControlPanel: {
          http: {
            method: "DELETE",
            requestUri: "/controlpanel/{ControlPanelArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ControlPanelArn: {
                location: "uri",
                locationName: "ControlPanelArn"
              }
            },
            required: [
              "ControlPanelArn"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteRoutingControl: {
          http: {
            method: "DELETE",
            requestUri: "/routingcontrol/{RoutingControlArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              RoutingControlArn: {
                location: "uri",
                locationName: "RoutingControlArn"
              }
            },
            required: [
              "RoutingControlArn"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSafetyRule: {
          http: {
            method: "DELETE",
            requestUri: "/safetyrule/{SafetyRuleArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              SafetyRuleArn: {
                location: "uri",
                locationName: "SafetyRuleArn"
              }
            },
            required: [
              "SafetyRuleArn"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeCluster: {
          http: {
            method: "GET",
            requestUri: "/cluster/{ClusterArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "uri",
                locationName: "ClusterArn"
              }
            },
            required: [
              "ClusterArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Cluster: {
                shape: "S7"
              }
            }
          }
        },
        DescribeControlPanel: {
          http: {
            method: "GET",
            requestUri: "/controlpanel/{ControlPanelArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ControlPanelArn: {
                location: "uri",
                locationName: "ControlPanelArn"
              }
            },
            required: [
              "ControlPanelArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              ControlPanel: {
                shape: "Sg"
              }
            }
          }
        },
        DescribeRoutingControl: {
          http: {
            method: "GET",
            requestUri: "/routingcontrol/{RoutingControlArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              RoutingControlArn: {
                location: "uri",
                locationName: "RoutingControlArn"
              }
            },
            required: [
              "RoutingControlArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              RoutingControl: {
                shape: "Sl"
              }
            }
          }
        },
        DescribeSafetyRule: {
          http: {
            method: "GET",
            requestUri: "/safetyrule/{SafetyRuleArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              SafetyRuleArn: {
                location: "uri",
                locationName: "SafetyRuleArn"
              }
            },
            required: [
              "SafetyRuleArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              AssertionRule: {
                shape: "St"
              },
              GatingRule: {
                shape: "Su"
              }
            }
          }
        },
        ListAssociatedRoute53HealthChecks: {
          http: {
            method: "GET",
            requestUri: "/routingcontrol/{RoutingControlArn}/associatedRoute53HealthChecks",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              RoutingControlArn: {
                location: "uri",
                locationName: "RoutingControlArn"
              }
            },
            required: [
              "RoutingControlArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              HealthCheckIds: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListClusters: {
          http: {
            method: "GET",
            requestUri: "/cluster",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Clusters: {
                type: "list",
                member: {
                  shape: "S7"
                }
              },
              NextToken: {}
            }
          }
        },
        ListControlPanels: {
          http: {
            method: "GET",
            requestUri: "/controlpanels",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClusterArn: {
                location: "querystring",
                locationName: "ClusterArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ControlPanels: {
                type: "list",
                member: {
                  shape: "Sg"
                }
              },
              NextToken: {}
            }
          }
        },
        ListRoutingControls: {
          http: {
            method: "GET",
            requestUri: "/controlpanel/{ControlPanelArn}/routingcontrols",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ControlPanelArn: {
                location: "uri",
                locationName: "ControlPanelArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            },
            required: [
              "ControlPanelArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              RoutingControls: {
                type: "list",
                member: {
                  shape: "Sl"
                }
              }
            }
          }
        },
        ListSafetyRules: {
          http: {
            method: "GET",
            requestUri: "/controlpanel/{ControlPanelArn}/safetyrules",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ControlPanelArn: {
                location: "uri",
                locationName: "ControlPanelArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            },
            required: [
              "ControlPanelArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              SafetyRules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ASSERTION: {
                      shape: "St"
                    },
                    GATING: {
                      shape: "Su"
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            },
            required: [
              "ResourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S3"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "S3"
              }
            },
            required: [
              "ResourceArn",
              "Tags"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "TagKeys",
                type: "list",
                member: {}
              }
            },
            required: [
              "ResourceArn",
              "TagKeys"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateControlPanel: {
          http: {
            method: "PUT",
            requestUri: "/controlpanel",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ControlPanelArn: {},
              ControlPanelName: {}
            },
            required: [
              "ControlPanelArn",
              "ControlPanelName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ControlPanel: {
                shape: "Sg"
              }
            }
          }
        },
        UpdateRoutingControl: {
          http: {
            method: "PUT",
            requestUri: "/routingcontrol",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              RoutingControlArn: {},
              RoutingControlName: {}
            },
            required: [
              "RoutingControlName",
              "RoutingControlArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              RoutingControl: {
                shape: "Sl"
              }
            }
          }
        },
        UpdateSafetyRule: {
          http: {
            method: "PUT",
            requestUri: "/safetyrule",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AssertionRuleUpdate: {
                type: "structure",
                members: {
                  Name: {},
                  SafetyRuleArn: {},
                  WaitPeriodMs: {
                    type: "integer"
                  }
                },
                required: [
                  "SafetyRuleArn",
                  "WaitPeriodMs",
                  "Name"
                ]
              },
              GatingRuleUpdate: {
                type: "structure",
                members: {
                  Name: {},
                  SafetyRuleArn: {},
                  WaitPeriodMs: {
                    type: "integer"
                  }
                },
                required: [
                  "SafetyRuleArn",
                  "WaitPeriodMs",
                  "Name"
                ]
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AssertionRule: {
                shape: "St"
              },
              GatingRule: {
                shape: "Su"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "map",
          key: {},
          value: {}
        },
        S7: {
          type: "structure",
          members: {
            ClusterArn: {},
            ClusterEndpoints: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Endpoint: {},
                  Region: {}
                }
              }
            },
            Name: {},
            Status: {}
          }
        },
        Sg: {
          type: "structure",
          members: {
            ClusterArn: {},
            ControlPanelArn: {},
            DefaultControlPanel: {
              type: "boolean"
            },
            Name: {},
            RoutingControlCount: {
              type: "integer"
            },
            Status: {}
          }
        },
        Sl: {
          type: "structure",
          members: {
            ControlPanelArn: {},
            Name: {},
            RoutingControlArn: {},
            Status: {}
          }
        },
        So: {
          type: "list",
          member: {}
        },
        Sp: {
          type: "structure",
          members: {
            Inverted: {
              type: "boolean"
            },
            Threshold: {
              type: "integer"
            },
            Type: {}
          },
          required: [
            "Type",
            "Inverted",
            "Threshold"
          ]
        },
        St: {
          type: "structure",
          members: {
            AssertedControls: {
              shape: "So"
            },
            ControlPanelArn: {},
            Name: {},
            RuleConfig: {
              shape: "Sp"
            },
            SafetyRuleArn: {},
            Status: {},
            WaitPeriodMs: {
              type: "integer"
            }
          },
          required: [
            "Status",
            "ControlPanelArn",
            "SafetyRuleArn",
            "AssertedControls",
            "RuleConfig",
            "WaitPeriodMs",
            "Name"
          ]
        },
        Su: {
          type: "structure",
          members: {
            ControlPanelArn: {},
            GatingControls: {
              shape: "So"
            },
            Name: {},
            RuleConfig: {
              shape: "Sp"
            },
            SafetyRuleArn: {},
            Status: {},
            TargetControls: {
              shape: "So"
            },
            WaitPeriodMs: {
              type: "integer"
            }
          },
          required: [
            "Status",
            "TargetControls",
            "ControlPanelArn",
            "SafetyRuleArn",
            "GatingControls",
            "RuleConfig",
            "WaitPeriodMs",
            "Name"
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/route53-recovery-control-config-2020-11-02.paginators.json
var require_route53_recovery_control_config_2020_11_02_paginators = __commonJS({
  "node_modules/aws-sdk/apis/route53-recovery-control-config-2020-11-02.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAssociatedRoute53HealthChecks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "HealthCheckIds"
        },
        ListClusters: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Clusters"
        },
        ListControlPanels: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ControlPanels"
        },
        ListRoutingControls: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "RoutingControls"
        },
        ListSafetyRules: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "SafetyRules"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/route53-recovery-control-config-2020-11-02.waiters2.json
var require_route53_recovery_control_config_2020_11_02_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/route53-recovery-control-config-2020-11-02.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        ClusterCreated: {
          description: "Wait until a cluster is created",
          operation: "DescribeCluster",
          delay: 5,
          maxAttempts: 26,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "Cluster.Status",
              expected: "DEPLOYED"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "Cluster.Status",
              expected: "PENDING"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            }
          ]
        },
        ClusterDeleted: {
          description: "Wait for a cluster to be deleted",
          operation: "DescribeCluster",
          delay: 5,
          maxAttempts: 26,
          acceptors: [
            {
              state: "success",
              matcher: "status",
              expected: 404
            },
            {
              state: "retry",
              matcher: "path",
              argument: "Cluster.Status",
              expected: "PENDING_DELETION"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            }
          ]
        },
        ControlPanelCreated: {
          description: "Wait until a control panel is created",
          operation: "DescribeControlPanel",
          delay: 5,
          maxAttempts: 26,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "ControlPanel.Status",
              expected: "DEPLOYED"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "ControlPanel.Status",
              expected: "PENDING"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            }
          ]
        },
        ControlPanelDeleted: {
          description: "Wait until a control panel is deleted",
          operation: "DescribeControlPanel",
          delay: 5,
          maxAttempts: 26,
          acceptors: [
            {
              state: "success",
              matcher: "status",
              expected: 404
            },
            {
              state: "retry",
              matcher: "path",
              argument: "ControlPanel.Status",
              expected: "PENDING_DELETION"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            }
          ]
        },
        RoutingControlCreated: {
          description: "Wait until a routing control is created",
          operation: "DescribeRoutingControl",
          delay: 5,
          maxAttempts: 26,
          acceptors: [
            {
              state: "success",
              matcher: "path",
              argument: "RoutingControl.Status",
              expected: "DEPLOYED"
            },
            {
              state: "retry",
              matcher: "path",
              argument: "RoutingControl.Status",
              expected: "PENDING"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            }
          ]
        },
        RoutingControlDeleted: {
          description: "Wait for a routing control to be deleted",
          operation: "DescribeRoutingControl",
          delay: 5,
          maxAttempts: 26,
          acceptors: [
            {
              state: "success",
              matcher: "status",
              expected: 404
            },
            {
              state: "retry",
              matcher: "path",
              argument: "RoutingControl.Status",
              expected: "PENDING_DELETION"
            },
            {
              state: "retry",
              matcher: "status",
              expected: 500
            }
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/route53recoverycontrolconfig.js
var require_route53recoverycontrolconfig = __commonJS({
  "node_modules/aws-sdk/clients/route53recoverycontrolconfig.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["route53recoverycontrolconfig"] = {};
    AWS2.Route53RecoveryControlConfig = Service.defineService("route53recoverycontrolconfig", ["2020-11-02"]);
    Object.defineProperty(apiLoader.services["route53recoverycontrolconfig"], "2020-11-02", {
      get: function get() {
        var model = require_route53_recovery_control_config_2020_11_02_min();
        model.paginators = require_route53_recovery_control_config_2020_11_02_paginators().pagination;
        model.waiters = require_route53_recovery_control_config_2020_11_02_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Route53RecoveryControlConfig;
  }
});

// node_modules/aws-sdk/apis/route53-recovery-readiness-2019-12-02.min.json
var require_route53_recovery_readiness_2019_12_02_min = __commonJS({
  "node_modules/aws-sdk/apis/route53-recovery-readiness-2019-12-02.min.json"(exports, module2) {
    module2.exports = {
      metadata: {
        apiVersion: "2019-12-02",
        endpointPrefix: "route53-recovery-readiness",
        signingName: "route53-recovery-readiness",
        serviceFullName: "AWS Route53 Recovery Readiness",
        serviceId: "Route53 Recovery Readiness",
        protocol: "rest-json",
        jsonVersion: "1.1",
        uid: "route53-recovery-readiness-2019-12-02",
        signatureVersion: "v4"
      },
      operations: {
        CreateCell: {
          http: {
            requestUri: "/cells",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CellName: {
                locationName: "cellName"
              },
              Cells: {
                shape: "S3",
                locationName: "cells"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            },
            required: [
              "CellName"
            ]
          },
          output: {
            type: "structure",
            members: {
              CellArn: {
                locationName: "cellArn"
              },
              CellName: {
                locationName: "cellName"
              },
              Cells: {
                shape: "S3",
                locationName: "cells"
              },
              ParentReadinessScopes: {
                shape: "S3",
                locationName: "parentReadinessScopes"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            }
          }
        },
        CreateCrossAccountAuthorization: {
          http: {
            requestUri: "/crossaccountauthorizations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CrossAccountAuthorization: {
                locationName: "crossAccountAuthorization"
              }
            },
            required: [
              "CrossAccountAuthorization"
            ]
          },
          output: {
            type: "structure",
            members: {
              CrossAccountAuthorization: {
                locationName: "crossAccountAuthorization"
              }
            }
          }
        },
        CreateReadinessCheck: {
          http: {
            requestUri: "/readinesschecks",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ReadinessCheckName: {
                locationName: "readinessCheckName"
              },
              ResourceSetName: {
                locationName: "resourceSetName"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            },
            required: [
              "ResourceSetName",
              "ReadinessCheckName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ReadinessCheckArn: {
                locationName: "readinessCheckArn"
              },
              ReadinessCheckName: {
                locationName: "readinessCheckName"
              },
              ResourceSet: {
                locationName: "resourceSet"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            }
          }
        },
        CreateRecoveryGroup: {
          http: {
            requestUri: "/recoverygroups",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Cells: {
                shape: "S3",
                locationName: "cells"
              },
              RecoveryGroupName: {
                locationName: "recoveryGroupName"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            },
            required: [
              "RecoveryGroupName"
            ]
          },
          output: {
            type: "structure",
            members: {
              Cells: {
                shape: "S3",
                locationName: "cells"
              },
              RecoveryGroupArn: {
                locationName: "recoveryGroupArn"
              },
              RecoveryGroupName: {
                locationName: "recoveryGroupName"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            }
          }
        },
        CreateResourceSet: {
          http: {
            requestUri: "/resourcesets",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceSetName: {
                locationName: "resourceSetName"
              },
              ResourceSetType: {
                locationName: "resourceSetType"
              },
              Resources: {
                shape: "Sh",
                locationName: "resources"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            },
            required: [
              "ResourceSetType",
              "ResourceSetName",
              "Resources"
            ]
          },
          output: {
            type: "structure",
            members: {
              ResourceSetArn: {
                locationName: "resourceSetArn"
              },
              ResourceSetName: {
                locationName: "resourceSetName"
              },
              ResourceSetType: {
                locationName: "resourceSetType"
              },
              Resources: {
                shape: "Sh",
                locationName: "resources"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            }
          }
        },
        DeleteCell: {
          http: {
            method: "DELETE",
            requestUri: "/cells/{cellName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              CellName: {
                location: "uri",
                locationName: "cellName"
              }
            },
            required: [
              "CellName"
            ]
          }
        },
        DeleteCrossAccountAuthorization: {
          http: {
            method: "DELETE",
            requestUri: "/crossaccountauthorizations/{crossAccountAuthorization}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CrossAccountAuthorization: {
                location: "uri",
                locationName: "crossAccountAuthorization"
              }
            },
            required: [
              "CrossAccountAuthorization"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteReadinessCheck: {
          http: {
            method: "DELETE",
            requestUri: "/readinesschecks/{readinessCheckName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ReadinessCheckName: {
                location: "uri",
                locationName: "readinessCheckName"
              }
            },
            required: [
              "ReadinessCheckName"
            ]
          }
        },
        DeleteRecoveryGroup: {
          http: {
            method: "DELETE",
            requestUri: "/recoverygroups/{recoveryGroupName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              RecoveryGroupName: {
                location: "uri",
                locationName: "recoveryGroupName"
              }
            },
            required: [
              "RecoveryGroupName"
            ]
          }
        },
        DeleteResourceSet: {
          http: {
            method: "DELETE",
            requestUri: "/resourcesets/{resourceSetName}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceSetName: {
                location: "uri",
                locationName: "resourceSetName"
              }
            },
            required: [
              "ResourceSetName"
            ]
          }
        },
        GetArchitectureRecommendations: {
          http: {
            method: "GET",
            requestUri: "/recoverygroups/{recoveryGroupName}/architectureRecommendations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              RecoveryGroupName: {
                location: "uri",
                locationName: "recoveryGroupName"
              }
            },
            required: [
              "RecoveryGroupName"
            ]
          },
          output: {
            type: "structure",
            members: {
              LastAuditTimestamp: {
                locationName: "lastAuditTimestamp",
                type: "timestamp",
                timestampFormat: "iso8601"
              },
              NextToken: {
                locationName: "nextToken"
              },
              Recommendations: {
                locationName: "recommendations",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RecommendationText: {
                      locationName: "recommendationText"
                    }
                  },
                  required: [
                    "RecommendationText"
                  ]
                }
              }
            }
          }
        },
        GetCell: {
          http: {
            method: "GET",
            requestUri: "/cells/{cellName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CellName: {
                location: "uri",
                locationName: "cellName"
              }
            },
            required: [
              "CellName"
            ]
          },
          output: {
            type: "structure",
            members: {
              CellArn: {
                locationName: "cellArn"
              },
              CellName: {
                locationName: "cellName"
              },
              Cells: {
                shape: "S3",
                locationName: "cells"
              },
              ParentReadinessScopes: {
                shape: "S3",
                locationName: "parentReadinessScopes"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            }
          }
        },
        GetCellReadinessSummary: {
          http: {
            method: "GET",
            requestUri: "/cellreadiness/{cellName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CellName: {
                location: "uri",
                locationName: "cellName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            },
            required: [
              "CellName"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Readiness: {
                locationName: "readiness"
              },
              ReadinessChecks: {
                shape: "S15",
                locationName: "readinessChecks"
              }
            }
          }
        },
        GetReadinessCheck: {
          http: {
            method: "GET",
            requestUri: "/readinesschecks/{readinessCheckName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ReadinessCheckName: {
                location: "uri",
                locationName: "readinessCheckName"
              }
            },
            required: [
              "ReadinessCheckName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ReadinessCheckArn: {
                locationName: "readinessCheckArn"
              },
              ReadinessCheckName: {
                locationName: "readinessCheckName"
              },
              ResourceSet: {
                locationName: "resourceSet"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            }
          }
        },
        GetReadinessCheckResourceStatus: {
          http: {
            method: "GET",
            requestUri: "/readinesschecks/{readinessCheckName}/resource/{resourceIdentifier}/status",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              ReadinessCheckName: {
                location: "uri",
                locationName: "readinessCheckName"
              },
              ResourceIdentifier: {
                location: "uri",
                locationName: "resourceIdentifier"
              }
            },
            required: [
              "ReadinessCheckName",
              "ResourceIdentifier"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Readiness: {
                locationName: "readiness"
              },
              Rules: {
                locationName: "rules",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    LastCheckedTimestamp: {
                      shape: "S1d",
                      locationName: "lastCheckedTimestamp"
                    },
                    Messages: {
                      shape: "S1e",
                      locationName: "messages"
                    },
                    Readiness: {
                      locationName: "readiness"
                    },
                    RuleId: {
                      locationName: "ruleId"
                    }
                  },
                  required: [
                    "Messages",
                    "Readiness",
                    "RuleId",
                    "LastCheckedTimestamp"
                  ]
                }
              }
            }
          }
        },
        GetReadinessCheckStatus: {
          http: {
            method: "GET",
            requestUri: "/readinesschecks/{readinessCheckName}/status",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              ReadinessCheckName: {
                location: "uri",
                locationName: "readinessCheckName"
              }
            },
            required: [
              "ReadinessCheckName"
            ]
          },
          output: {
            type: "structure",
            members: {
              Messages: {
                shape: "S1e",
                locationName: "messages"
              },
              NextToken: {
                locationName: "nextToken"
              },
              Readiness: {
                locationName: "readiness"
              },
              Resources: {
                locationName: "resources",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ComponentId: {
                      locationName: "componentId"
                    },
                    LastCheckedTimestamp: {
                      shape: "S1d",
                      locationName: "lastCheckedTimestamp"
                    },
                    Readiness: {
                      locationName: "readiness"
                    },
                    ResourceArn: {
                      locationName: "resourceArn"
                    }
                  },
                  required: [
                    "Readiness",
                    "LastCheckedTimestamp"
                  ]
                }
              }
            }
          }
        },
        GetRecoveryGroup: {
          http: {
            method: "GET",
            requestUri: "/recoverygroups/{recoveryGroupName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              RecoveryGroupName: {
                location: "uri",
                locationName: "recoveryGroupName"
              }
            },
            required: [
              "RecoveryGroupName"
            ]
          },
          output: {
            type: "structure",
            members: {
              Cells: {
                shape: "S3",
                locationName: "cells"
              },
              RecoveryGroupArn: {
                locationName: "recoveryGroupArn"
              },
              RecoveryGroupName: {
                locationName: "recoveryGroupName"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            }
          }
        },
        GetRecoveryGroupReadinessSummary: {
          http: {
            method: "GET",
            requestUri: "/recoverygroupreadiness/{recoveryGroupName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              RecoveryGroupName: {
                location: "uri",
                locationName: "recoveryGroupName"
              }
            },
            required: [
              "RecoveryGroupName"
            ]
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Readiness: {
                locationName: "readiness"
              },
              ReadinessChecks: {
                shape: "S15",
                locationName: "readinessChecks"
              }
            }
          }
        },
        GetResourceSet: {
          http: {
            method: "GET",
            requestUri: "/resourcesets/{resourceSetName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceSetName: {
                location: "uri",
                locationName: "resourceSetName"
              }
            },
            required: [
              "ResourceSetName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ResourceSetArn: {
                locationName: "resourceSetArn"
              },
              ResourceSetName: {
                locationName: "resourceSetName"
              },
              ResourceSetType: {
                locationName: "resourceSetType"
              },
              Resources: {
                shape: "Sh",
                locationName: "resources"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            }
          }
        },
        ListCells: {
          http: {
            method: "GET",
            requestUri: "/cells",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Cells: {
                locationName: "cells",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CellArn: {
                      locationName: "cellArn"
                    },
                    CellName: {
                      locationName: "cellName"
                    },
                    Cells: {
                      shape: "S3",
                      locationName: "cells"
                    },
                    ParentReadinessScopes: {
                      shape: "S3",
                      locationName: "parentReadinessScopes"
                    },
                    Tags: {
                      shape: "S4",
                      locationName: "tags"
                    }
                  },
                  required: [
                    "ParentReadinessScopes",
                    "CellArn",
                    "CellName",
                    "Cells"
                  ]
                }
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListCrossAccountAuthorizations: {
          http: {
            method: "GET",
            requestUri: "/crossaccountauthorizations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CrossAccountAuthorizations: {
                locationName: "crossAccountAuthorizations",
                type: "list",
                member: {}
              },
              NextToken: {
                locationName: "nextToken"
              }
            }
          }
        },
        ListReadinessChecks: {
          http: {
            method: "GET",
            requestUri: "/readinesschecks",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              ReadinessChecks: {
                locationName: "readinessChecks",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ReadinessCheckArn: {
                      locationName: "readinessCheckArn"
                    },
                    ReadinessCheckName: {
                      locationName: "readinessCheckName"
                    },
                    ResourceSet: {
                      locationName: "resourceSet"
                    },
                    Tags: {
                      shape: "S4",
                      locationName: "tags"
                    }
                  },
                  required: [
                    "ReadinessCheckArn",
                    "ResourceSet"
                  ]
                }
              }
            }
          }
        },
        ListRecoveryGroups: {
          http: {
            method: "GET",
            requestUri: "/recoverygroups",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              RecoveryGroups: {
                locationName: "recoveryGroups",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Cells: {
                      shape: "S3",
                      locationName: "cells"
                    },
                    RecoveryGroupArn: {
                      locationName: "recoveryGroupArn"
                    },
                    RecoveryGroupName: {
                      locationName: "recoveryGroupName"
                    },
                    Tags: {
                      shape: "S4",
                      locationName: "tags"
                    }
                  },
                  required: [
                    "RecoveryGroupArn",
                    "RecoveryGroupName",
                    "Cells"
                  ]
                }
              }
            }
          }
        },
        ListResourceSets: {
          http: {
            method: "GET",
            requestUri: "/resourcesets",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              ResourceSets: {
                locationName: "resourceSets",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceSetArn: {
                      locationName: "resourceSetArn"
                    },
                    ResourceSetName: {
                      locationName: "resourceSetName"
                    },
                    ResourceSetType: {
                      locationName: "resourceSetType"
                    },
                    Resources: {
                      shape: "Sh",
                      locationName: "resources"
                    },
                    Tags: {
                      shape: "S4",
                      locationName: "tags"
                    }
                  },
                  required: [
                    "ResourceSetType",
                    "ResourceSetName",
                    "ResourceSetArn",
                    "Resources"
                  ]
                }
              }
            }
          }
        },
        ListRules: {
          http: {
            method: "GET",
            requestUri: "/rules",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              ResourceType: {
                location: "querystring",
                locationName: "resourceType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                locationName: "nextToken"
              },
              Rules: {
                locationName: "rules",
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceType: {
                      locationName: "resourceType"
                    },
                    RuleDescription: {
                      locationName: "ruleDescription"
                    },
                    RuleId: {
                      locationName: "ruleId"
                    }
                  },
                  required: [
                    "RuleDescription",
                    "RuleId",
                    "ResourceType"
                  ]
                }
              }
            }
          }
        },
        ListTagsForResources: {
          http: {
            method: "GET",
            requestUri: "/tags/{resource-arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              }
            },
            required: [
              "ResourceArn"
            ]
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resource-arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            },
            required: [
              "ResourceArn",
              "Tags"
            ]
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resource-arn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resource-arn"
              },
              TagKeys: {
                shape: "S3",
                location: "querystring",
                locationName: "tagKeys"
              }
            },
            required: [
              "TagKeys",
              "ResourceArn"
            ]
          }
        },
        UpdateCell: {
          http: {
            method: "PUT",
            requestUri: "/cells/{cellName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CellName: {
                location: "uri",
                locationName: "cellName"
              },
              Cells: {
                shape: "S3",
                locationName: "cells"
              }
            },
            required: [
              "CellName",
              "Cells"
            ]
          },
          output: {
            type: "structure",
            members: {
              CellArn: {
                locationName: "cellArn"
              },
              CellName: {
                locationName: "cellName"
              },
              Cells: {
                shape: "S3",
                locationName: "cells"
              },
              ParentReadinessScopes: {
                shape: "S3",
                locationName: "parentReadinessScopes"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            }
          }
        },
        UpdateReadinessCheck: {
          http: {
            method: "PUT",
            requestUri: "/readinesschecks/{readinessCheckName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ReadinessCheckName: {
                location: "uri",
                locationName: "readinessCheckName"
              },
              ResourceSetName: {
                locationName: "resourceSetName"
              }
            },
            required: [
              "ReadinessCheckName",
              "ResourceSetName"
            ]
          },
          output: {
            type: "structure",
            members: {
              ReadinessCheckArn: {
                locationName: "readinessCheckArn"
              },
              ReadinessCheckName: {
                locationName: "readinessCheckName"
              },
              ResourceSet: {
                locationName: "resourceSet"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            }
          }
        },
        UpdateRecoveryGroup: {
          http: {
            method: "PUT",
            requestUri: "/recoverygroups/{recoveryGroupName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Cells: {
                shape: "S3",
                locationName: "cells"
              },
              RecoveryGroupName: {
                location: "uri",
                locationName: "recoveryGroupName"
              }
            },
            required: [
              "RecoveryGroupName",
              "Cells"
            ]
          },
          output: {
            type: "structure",
            members: {
              Cells: {
                shape: "S3",
                locationName: "cells"
              },
              RecoveryGroupArn: {
                locationName: "recoveryGroupArn"
              },
              RecoveryGroupName: {
                locationName: "recoveryGroupName"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            }
          }
        },
        UpdateResourceSet: {
          http: {
            method: "PUT",
            requestUri: "/resourcesets/{resourceSetName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ResourceSetName: {
                location: "uri",
                locationName: "resourceSetName"
              },
              ResourceSetType: {
                locationName: "resourceSetType"
              },
              Resources: {
                shape: "Sh",
                locationName: "resources"
              }
            },
            required: [
              "ResourceSetName",
              "ResourceSetType",
              "Resources"
            ]
          },
          output: {
            type: "structure",
            members: {
              ResourceSetArn: {
                locationName: "resourceSetArn"
              },
              ResourceSetName: {
                locationName: "resourceSetName"
              },
              ResourceSetType: {
                locationName: "resourceSetType"
              },
              Resources: {
                shape: "Sh",
                locationName: "resources"
              },
              Tags: {
                shape: "S4",
                locationName: "tags"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {}
        },
        S4: {
          type: "map",
          key: {},
          value: {}
        },
        Sh: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ComponentId: {
                locationName: "componentId"
              },
              DnsTargetResource: {
                locationName: "dnsTargetResource",
                type: "structure",
                members: {
                  DomainName: {
                    locationName: "domainName"
                  },
                  HostedZoneArn: {
                    locationName: "hostedZoneArn"
                  },
                  RecordSetId: {
                    locationName: "recordSetId"
                  },
                  RecordType: {
                    locationName: "recordType"
                  },
                  TargetResource: {
                    locationName: "targetResource",
                    type: "structure",
                    members: {
                      NLBResource: {
                        locationName: "nLBResource",
                        type: "structure",
                        members: {
                          Arn: {
                            locationName: "arn"
                          }
                        }
                      },
                      R53Resource: {
                        locationName: "r53Resource",
                        type: "structure",
                        members: {
                          DomainName: {
                            locationName: "domainName"
                          },
                          RecordSetId: {
                            locationName: "recordSetId"
                          }
                        }
                      }
                    }
                  }
                }
              },
              ReadinessScopes: {
                shape: "S3",
                locationName: "readinessScopes"
              },
              ResourceArn: {
                locationName: "resourceArn"
              }
            }
          }
        },
        S15: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Readiness: {
                locationName: "readiness"
              },
              ReadinessCheckName: {
                locationName: "readinessCheckName"
              }
            }
          }
        },
        S1d: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S1e: {
          type: "list",
          member: {
            type: "structure",
            members: {
              MessageText: {
                locationName: "messageText"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/route53-recovery-readiness-2019-12-02.paginators.json
var require_route53_recovery_readiness_2019_12_02_paginators = __commonJS({
  "node_modules/aws-sdk/apis/route53-recovery-readiness-2019-12-02.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListReadinessChecks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ReadinessChecks"
        },
        ListResourceSets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ResourceSets"
        },
        ListCells: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Cells"
        },
        ListRecoveryGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "RecoveryGroups"
        },
        ListRules: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Rules"
        },
        ListCrossAccountAuthorizations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "CrossAccountAuthorizations"
        },
        GetCellReadinessSummary: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ReadinessChecks",
          non_aggregate_keys: [
            "Readiness"
          ]
        },
        GetRecoveryGroupReadinessSummary: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ReadinessChecks",
          non_aggregate_keys: [
            "Readiness"
          ]
        },
        GetReadinessCheckStatus: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Resources",
          non_aggregate_keys: [
            "Readiness",
            "Messages"
          ]
        },
        GetReadinessCheckResourceStatus: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Rules",
          non_aggregate_keys: [
            "Readiness"
          ]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/route53recoveryreadiness.js
var require_route53recoveryreadiness = __commonJS({
  "node_modules/aws-sdk/clients/route53recoveryreadiness.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["route53recoveryreadiness"] = {};
    AWS2.Route53RecoveryReadiness = Service.defineService("route53recoveryreadiness", ["2019-12-02"]);
    Object.defineProperty(apiLoader.services["route53recoveryreadiness"], "2019-12-02", {
      get: function get() {
        var model = require_route53_recovery_readiness_2019_12_02_min();
        model.paginators = require_route53_recovery_readiness_2019_12_02_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Route53RecoveryReadiness;
  }
});

// node_modules/aws-sdk/apis/chime-sdk-identity-2021-04-20.min.json
var require_chime_sdk_identity_2021_04_20_min = __commonJS({
  "node_modules/aws-sdk/apis/chime-sdk-identity-2021-04-20.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-04-20",
        endpointPrefix: "identity-chime",
        protocol: "rest-json",
        serviceFullName: "Amazon Chime SDK Identity",
        serviceId: "Chime SDK Identity",
        signatureVersion: "v4",
        signingName: "chime",
        uid: "chime-sdk-identity-2021-04-20"
      },
      operations: {
        CreateAppInstance: {
          http: {
            requestUri: "/app-instances",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "ClientRequestToken"
            ],
            members: {
              Name: {
                shape: "S2"
              },
              Metadata: {
                shape: "S3"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceArn: {}
            }
          }
        },
        CreateAppInstanceAdmin: {
          http: {
            requestUri: "/app-instances/{appInstanceArn}/admins",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceAdminArn",
              "AppInstanceArn"
            ],
            members: {
              AppInstanceAdminArn: {},
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceAdmin: {
                shape: "Sd"
              },
              AppInstanceArn: {}
            }
          }
        },
        CreateAppInstanceBot: {
          http: {
            requestUri: "/app-instance-bots",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn",
              "ClientRequestToken",
              "Configuration"
            ],
            members: {
              AppInstanceArn: {},
              Name: {
                shape: "Se"
              },
              Metadata: {
                shape: "S3"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S5"
              },
              Configuration: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceBotArn: {}
            }
          }
        },
        CreateAppInstanceUser: {
          http: {
            requestUri: "/app-instance-users",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn",
              "AppInstanceUserId",
              "Name",
              "ClientRequestToken"
            ],
            members: {
              AppInstanceArn: {},
              AppInstanceUserId: {
                type: "string",
                sensitive: true
              },
              Name: {
                shape: "Ss"
              },
              Metadata: {
                shape: "S3"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S5"
              },
              ExpirationSettings: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceUserArn: {}
            }
          }
        },
        DeleteAppInstance: {
          http: {
            method: "DELETE",
            requestUri: "/app-instances/{appInstanceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              }
            }
          }
        },
        DeleteAppInstanceAdmin: {
          http: {
            method: "DELETE",
            requestUri: "/app-instances/{appInstanceArn}/admins/{appInstanceAdminArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceAdminArn",
              "AppInstanceArn"
            ],
            members: {
              AppInstanceAdminArn: {
                location: "uri",
                locationName: "appInstanceAdminArn"
              },
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              }
            }
          }
        },
        DeleteAppInstanceBot: {
          http: {
            method: "DELETE",
            requestUri: "/app-instance-bots/{appInstanceBotArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceBotArn"
            ],
            members: {
              AppInstanceBotArn: {
                location: "uri",
                locationName: "appInstanceBotArn"
              }
            }
          }
        },
        DeleteAppInstanceUser: {
          http: {
            method: "DELETE",
            requestUri: "/app-instance-users/{appInstanceUserArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceUserArn"
            ],
            members: {
              AppInstanceUserArn: {
                location: "uri",
                locationName: "appInstanceUserArn"
              }
            }
          }
        },
        DeregisterAppInstanceUserEndpoint: {
          http: {
            method: "DELETE",
            requestUri: "/app-instance-users/{appInstanceUserArn}/endpoints/{endpointId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceUserArn",
              "EndpointId"
            ],
            members: {
              AppInstanceUserArn: {
                location: "uri",
                locationName: "appInstanceUserArn"
              },
              EndpointId: {
                location: "uri",
                locationName: "endpointId"
              }
            }
          }
        },
        DescribeAppInstance: {
          http: {
            method: "GET",
            requestUri: "/app-instances/{appInstanceArn}"
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstance: {
                type: "structure",
                members: {
                  AppInstanceArn: {},
                  Name: {
                    shape: "S2"
                  },
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  },
                  Metadata: {
                    shape: "S3"
                  }
                }
              }
            }
          }
        },
        DescribeAppInstanceAdmin: {
          http: {
            method: "GET",
            requestUri: "/app-instances/{appInstanceArn}/admins/{appInstanceAdminArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceAdminArn",
              "AppInstanceArn"
            ],
            members: {
              AppInstanceAdminArn: {
                location: "uri",
                locationName: "appInstanceAdminArn"
              },
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceAdmin: {
                type: "structure",
                members: {
                  Admin: {
                    shape: "Sd"
                  },
                  AppInstanceArn: {},
                  CreatedTimestamp: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        DescribeAppInstanceBot: {
          http: {
            method: "GET",
            requestUri: "/app-instance-bots/{appInstanceBotArn}"
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceBotArn"
            ],
            members: {
              AppInstanceBotArn: {
                location: "uri",
                locationName: "appInstanceBotArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceBot: {
                type: "structure",
                members: {
                  AppInstanceBotArn: {},
                  Name: {
                    shape: "Se"
                  },
                  Configuration: {
                    shape: "Sg"
                  },
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  },
                  Metadata: {
                    shape: "S3"
                  }
                }
              }
            }
          }
        },
        DescribeAppInstanceUser: {
          http: {
            method: "GET",
            requestUri: "/app-instance-users/{appInstanceUserArn}"
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceUserArn"
            ],
            members: {
              AppInstanceUserArn: {
                location: "uri",
                locationName: "appInstanceUserArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceUser: {
                type: "structure",
                members: {
                  AppInstanceUserArn: {},
                  Name: {
                    shape: "Ss"
                  },
                  Metadata: {
                    shape: "S3"
                  },
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  },
                  ExpirationSettings: {
                    shape: "St"
                  }
                }
              }
            }
          }
        },
        DescribeAppInstanceUserEndpoint: {
          http: {
            method: "GET",
            requestUri: "/app-instance-users/{appInstanceUserArn}/endpoints/{endpointId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceUserArn",
              "EndpointId"
            ],
            members: {
              AppInstanceUserArn: {
                location: "uri",
                locationName: "appInstanceUserArn"
              },
              EndpointId: {
                location: "uri",
                locationName: "endpointId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceUserEndpoint: {
                type: "structure",
                members: {
                  AppInstanceUserArn: {},
                  EndpointId: {},
                  Name: {
                    shape: "S1k"
                  },
                  Type: {},
                  ResourceArn: {},
                  EndpointAttributes: {
                    shape: "S1m"
                  },
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  },
                  AllowMessages: {},
                  EndpointState: {
                    shape: "S1p"
                  }
                }
              }
            }
          }
        },
        GetAppInstanceRetentionSettings: {
          http: {
            method: "GET",
            requestUri: "/app-instances/{appInstanceArn}/retention-settings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceRetentionSettings: {
                shape: "S1u"
              },
              InitiateDeletionTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        ListAppInstanceAdmins: {
          http: {
            method: "GET",
            requestUri: "/app-instances/{appInstanceArn}/admins",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "S1z",
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceArn: {},
              AppInstanceAdmins: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Admin: {
                      shape: "Sd"
                    }
                  }
                }
              },
              NextToken: {
                shape: "S1z"
              }
            }
          }
        },
        ListAppInstanceBots: {
          http: {
            method: "GET",
            requestUri: "/app-instance-bots"
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "querystring",
                locationName: "app-instance-arn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "S1z",
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceArn: {},
              AppInstanceBots: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AppInstanceBotArn: {},
                    Name: {
                      shape: "Se"
                    },
                    Metadata: {
                      shape: "S3"
                    }
                  }
                }
              },
              NextToken: {
                shape: "S1z"
              }
            }
          }
        },
        ListAppInstanceUserEndpoints: {
          http: {
            method: "GET",
            requestUri: "/app-instance-users/{appInstanceUserArn}/endpoints",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceUserArn"
            ],
            members: {
              AppInstanceUserArn: {
                shape: "S28",
                location: "uri",
                locationName: "appInstanceUserArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "S1z",
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceUserEndpoints: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AppInstanceUserArn: {},
                    EndpointId: {},
                    Name: {
                      shape: "S1k"
                    },
                    Type: {},
                    AllowMessages: {},
                    EndpointState: {
                      shape: "S1p"
                    }
                  }
                }
              },
              NextToken: {
                shape: "S1z"
              }
            }
          }
        },
        ListAppInstanceUsers: {
          http: {
            method: "GET",
            requestUri: "/app-instance-users"
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "querystring",
                locationName: "app-instance-arn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "S1z",
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceArn: {},
              AppInstanceUsers: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AppInstanceUserArn: {},
                    Name: {
                      shape: "Ss"
                    },
                    Metadata: {
                      shape: "S3"
                    }
                  }
                }
              },
              NextToken: {
                shape: "S1z"
              }
            }
          }
        },
        ListAppInstances: {
          http: {
            method: "GET",
            requestUri: "/app-instances"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "S1z",
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AppInstanceArn: {},
                    Name: {
                      shape: "S2"
                    },
                    Metadata: {
                      shape: "S3"
                    }
                  }
                }
              },
              NextToken: {
                shape: "S1z"
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {
                location: "querystring",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S5"
              }
            }
          }
        },
        PutAppInstanceRetentionSettings: {
          http: {
            method: "PUT",
            requestUri: "/app-instances/{appInstanceArn}/retention-settings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn",
              "AppInstanceRetentionSettings"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              },
              AppInstanceRetentionSettings: {
                shape: "S1u"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceRetentionSettings: {
                shape: "S1u"
              },
              InitiateDeletionTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        PutAppInstanceUserExpirationSettings: {
          http: {
            method: "PUT",
            requestUri: "/app-instance-users/{appInstanceUserArn}/expiration-settings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceUserArn"
            ],
            members: {
              AppInstanceUserArn: {
                location: "uri",
                locationName: "appInstanceUserArn"
              },
              ExpirationSettings: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceUserArn: {},
              ExpirationSettings: {
                shape: "St"
              }
            }
          }
        },
        RegisterAppInstanceUserEndpoint: {
          http: {
            requestUri: "/app-instance-users/{appInstanceUserArn}/endpoints",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceUserArn",
              "Type",
              "ResourceArn",
              "EndpointAttributes",
              "ClientRequestToken"
            ],
            members: {
              AppInstanceUserArn: {
                shape: "S28",
                location: "uri",
                locationName: "appInstanceUserArn"
              },
              Name: {
                shape: "S1k"
              },
              Type: {},
              ResourceArn: {},
              EndpointAttributes: {
                shape: "S1m"
              },
              ClientRequestToken: {
                idempotencyToken: true
              },
              AllowMessages: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceUserArn: {},
              EndpointId: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags?operation=tag-resource",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S5"
              }
            }
          }
        },
        UntagResource: {
          http: {
            requestUri: "/tags?operation=untag-resource",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {
                  shape: "S7"
                }
              }
            }
          }
        },
        UpdateAppInstance: {
          http: {
            method: "PUT",
            requestUri: "/app-instances/{appInstanceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn",
              "Name",
              "Metadata"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              },
              Name: {
                shape: "S2"
              },
              Metadata: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceArn: {}
            }
          }
        },
        UpdateAppInstanceBot: {
          http: {
            method: "PUT",
            requestUri: "/app-instance-bots/{appInstanceBotArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceBotArn",
              "Name",
              "Metadata"
            ],
            members: {
              AppInstanceBotArn: {
                location: "uri",
                locationName: "appInstanceBotArn"
              },
              Name: {
                shape: "Se"
              },
              Metadata: {
                shape: "S3"
              },
              Configuration: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceBotArn: {}
            }
          }
        },
        UpdateAppInstanceUser: {
          http: {
            method: "PUT",
            requestUri: "/app-instance-users/{appInstanceUserArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceUserArn",
              "Name",
              "Metadata"
            ],
            members: {
              AppInstanceUserArn: {
                location: "uri",
                locationName: "appInstanceUserArn"
              },
              Name: {
                shape: "Ss"
              },
              Metadata: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceUserArn: {}
            }
          }
        },
        UpdateAppInstanceUserEndpoint: {
          http: {
            method: "PUT",
            requestUri: "/app-instance-users/{appInstanceUserArn}/endpoints/{endpointId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceUserArn",
              "EndpointId"
            ],
            members: {
              AppInstanceUserArn: {
                location: "uri",
                locationName: "appInstanceUserArn"
              },
              EndpointId: {
                location: "uri",
                locationName: "endpointId"
              },
              Name: {
                shape: "S1k"
              },
              AllowMessages: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AppInstanceUserArn: {},
              EndpointId: {}
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "string",
          sensitive: true
        },
        S3: {
          type: "string",
          sensitive: true
        },
        S5: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {
                shape: "S7"
              },
              Value: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        S7: {
          type: "string",
          sensitive: true
        },
        Sd: {
          type: "structure",
          members: {
            Arn: {},
            Name: {
              shape: "Se"
            }
          }
        },
        Se: {
          type: "string",
          sensitive: true
        },
        Sg: {
          type: "structure",
          required: [
            "Lex"
          ],
          members: {
            Lex: {
              type: "structure",
              required: [
                "LexBotAliasArn",
                "LocaleId"
              ],
              members: {
                RespondsTo: {},
                InvokedBy: {
                  type: "structure",
                  required: [
                    "StandardMessages",
                    "TargetedMessages"
                  ],
                  members: {
                    StandardMessages: {},
                    TargetedMessages: {}
                  }
                },
                LexBotAliasArn: {},
                LocaleId: {},
                WelcomeIntent: {}
              }
            }
          }
        },
        Ss: {
          type: "string",
          sensitive: true
        },
        St: {
          type: "structure",
          required: [
            "ExpirationDays",
            "ExpirationCriterion"
          ],
          members: {
            ExpirationDays: {
              type: "integer"
            },
            ExpirationCriterion: {}
          }
        },
        S1k: {
          type: "string",
          sensitive: true
        },
        S1m: {
          type: "structure",
          required: [
            "DeviceToken"
          ],
          members: {
            DeviceToken: {
              shape: "S1n"
            },
            VoipDeviceToken: {
              shape: "S1n"
            }
          }
        },
        S1n: {
          type: "string",
          sensitive: true
        },
        S1p: {
          type: "structure",
          required: [
            "Status"
          ],
          members: {
            Status: {},
            StatusReason: {}
          }
        },
        S1u: {
          type: "structure",
          members: {
            ChannelRetentionSettings: {
              type: "structure",
              members: {
                RetentionDays: {
                  type: "integer"
                }
              }
            }
          }
        },
        S1z: {
          type: "string",
          sensitive: true
        },
        S28: {
          type: "string",
          sensitive: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/chime-sdk-identity-2021-04-20.paginators.json
var require_chime_sdk_identity_2021_04_20_paginators = __commonJS({
  "node_modules/aws-sdk/apis/chime-sdk-identity-2021-04-20.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAppInstanceAdmins: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAppInstanceBots: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAppInstanceUserEndpoints: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAppInstanceUsers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListAppInstances: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/chimesdkidentity.js
var require_chimesdkidentity = __commonJS({
  "node_modules/aws-sdk/clients/chimesdkidentity.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["chimesdkidentity"] = {};
    AWS2.ChimeSDKIdentity = Service.defineService("chimesdkidentity", ["2021-04-20"]);
    Object.defineProperty(apiLoader.services["chimesdkidentity"], "2021-04-20", {
      get: function get() {
        var model = require_chime_sdk_identity_2021_04_20_min();
        model.paginators = require_chime_sdk_identity_2021_04_20_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ChimeSDKIdentity;
  }
});

// node_modules/aws-sdk/apis/chime-sdk-messaging-2021-05-15.min.json
var require_chime_sdk_messaging_2021_05_15_min = __commonJS({
  "node_modules/aws-sdk/apis/chime-sdk-messaging-2021-05-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-05-15",
        endpointPrefix: "messaging-chime",
        protocol: "rest-json",
        serviceFullName: "Amazon Chime SDK Messaging",
        serviceId: "Chime SDK Messaging",
        signatureVersion: "v4",
        signingName: "chime",
        uid: "chime-sdk-messaging-2021-05-15"
      },
      operations: {
        AssociateChannelFlow: {
          http: {
            method: "PUT",
            requestUri: "/channels/{channelArn}/channel-flow",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChannelFlowArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              ChannelFlowArn: {},
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          }
        },
        BatchCreateChannelMembership: {
          http: {
            requestUri: "/channels/{channelArn}/memberships?operation=batch-create",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MemberArns",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              Type: {},
              MemberArns: {
                type: "list",
                member: {}
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              SubChannelId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BatchChannelMemberships: {
                type: "structure",
                members: {
                  InvitedBy: {
                    shape: "S9"
                  },
                  Type: {},
                  Members: {
                    type: "list",
                    member: {
                      shape: "S9"
                    }
                  },
                  ChannelArn: {},
                  SubChannelId: {}
                }
              },
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MemberArn: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        ChannelFlowCallback: {
          http: {
            requestUri: "/channels/{channelArn}?operation=channel-flow-callback",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CallbackId",
              "ChannelArn",
              "ChannelMessage"
            ],
            members: {
              CallbackId: {
                idempotencyToken: true
              },
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              DeleteResource: {
                type: "boolean"
              },
              ChannelMessage: {
                type: "structure",
                required: [
                  "MessageId"
                ],
                members: {
                  MessageId: {},
                  Content: {
                    shape: "Sl"
                  },
                  Metadata: {
                    shape: "Sm"
                  },
                  PushNotification: {
                    shape: "Sn"
                  },
                  MessageAttributes: {
                    shape: "Sr"
                  },
                  SubChannelId: {},
                  ContentType: {
                    shape: "Sw"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              CallbackId: {}
            }
          }
        },
        CreateChannel: {
          http: {
            requestUri: "/channels",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn",
              "Name",
              "ClientRequestToken",
              "ChimeBearer"
            ],
            members: {
              AppInstanceArn: {},
              Name: {
                shape: "Sz"
              },
              Mode: {},
              Privacy: {},
              Metadata: {
                shape: "Sm"
              },
              ClientRequestToken: {
                shape: "S12",
                idempotencyToken: true
              },
              Tags: {
                shape: "S13"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              ChannelId: {
                type: "string",
                sensitive: true
              },
              MemberArns: {
                type: "list",
                member: {}
              },
              ModeratorArns: {
                type: "list",
                member: {}
              },
              ElasticChannelConfiguration: {
                shape: "S1a"
              },
              ExpirationSettings: {
                shape: "S1e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {}
            }
          }
        },
        CreateChannelBan: {
          http: {
            requestUri: "/channels/{channelArn}/bans",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MemberArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MemberArn: {},
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              Member: {
                shape: "S9"
              }
            }
          }
        },
        CreateChannelFlow: {
          http: {
            requestUri: "/channel-flows",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn",
              "Processors",
              "Name",
              "ClientRequestToken"
            ],
            members: {
              AppInstanceArn: {},
              Processors: {
                shape: "S1l"
              },
              Name: {
                shape: "Sz"
              },
              Tags: {
                shape: "S13"
              },
              ClientRequestToken: {
                shape: "S12",
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelFlowArn: {}
            }
          }
        },
        CreateChannelMembership: {
          http: {
            requestUri: "/channels/{channelArn}/memberships",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MemberArn",
              "Type",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MemberArn: {},
              Type: {},
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              SubChannelId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              Member: {
                shape: "S9"
              },
              SubChannelId: {}
            }
          }
        },
        CreateChannelModerator: {
          http: {
            requestUri: "/channels/{channelArn}/moderators",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChannelModeratorArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              ChannelModeratorArn: {},
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              ChannelModerator: {
                shape: "S9"
              }
            }
          }
        },
        DeleteChannel: {
          http: {
            method: "DELETE",
            requestUri: "/channels/{channelArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          }
        },
        DeleteChannelBan: {
          http: {
            method: "DELETE",
            requestUri: "/channels/{channelArn}/bans/{memberArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MemberArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MemberArn: {
                location: "uri",
                locationName: "memberArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          }
        },
        DeleteChannelFlow: {
          http: {
            method: "DELETE",
            requestUri: "/channel-flows/{channelFlowArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ChannelFlowArn"
            ],
            members: {
              ChannelFlowArn: {
                location: "uri",
                locationName: "channelFlowArn"
              }
            }
          }
        },
        DeleteChannelMembership: {
          http: {
            method: "DELETE",
            requestUri: "/channels/{channelArn}/memberships/{memberArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MemberArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MemberArn: {
                location: "uri",
                locationName: "memberArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              SubChannelId: {
                location: "querystring",
                locationName: "sub-channel-id"
              }
            }
          }
        },
        DeleteChannelMessage: {
          http: {
            method: "DELETE",
            requestUri: "/channels/{channelArn}/messages/{messageId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MessageId",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MessageId: {
                location: "uri",
                locationName: "messageId"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              SubChannelId: {
                location: "querystring",
                locationName: "sub-channel-id"
              }
            }
          }
        },
        DeleteChannelModerator: {
          http: {
            method: "DELETE",
            requestUri: "/channels/{channelArn}/moderators/{channelModeratorArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChannelModeratorArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              ChannelModeratorArn: {
                location: "uri",
                locationName: "channelModeratorArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          }
        },
        DeleteMessagingStreamingConfigurations: {
          http: {
            method: "DELETE",
            requestUri: "/app-instances/{appInstanceArn}/streaming-configurations",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              }
            }
          }
        },
        DescribeChannel: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Channel: {
                type: "structure",
                members: {
                  Name: {
                    shape: "Sz"
                  },
                  ChannelArn: {},
                  Mode: {},
                  Privacy: {},
                  Metadata: {
                    shape: "Sm"
                  },
                  CreatedBy: {
                    shape: "S9"
                  },
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  LastMessageTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  },
                  ChannelFlowArn: {},
                  ElasticChannelConfiguration: {
                    shape: "S1a"
                  },
                  ExpirationSettings: {
                    shape: "S1e"
                  }
                }
              }
            }
          }
        },
        DescribeChannelBan: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/bans/{memberArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MemberArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MemberArn: {
                location: "uri",
                locationName: "memberArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelBan: {
                type: "structure",
                members: {
                  Member: {
                    shape: "S9"
                  },
                  ChannelArn: {},
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  CreatedBy: {
                    shape: "S9"
                  }
                }
              }
            }
          }
        },
        DescribeChannelFlow: {
          http: {
            method: "GET",
            requestUri: "/channel-flows/{channelFlowArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelFlowArn"
            ],
            members: {
              ChannelFlowArn: {
                location: "uri",
                locationName: "channelFlowArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelFlow: {
                type: "structure",
                members: {
                  ChannelFlowArn: {},
                  Processors: {
                    shape: "S1l"
                  },
                  Name: {
                    shape: "Sz"
                  },
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        DescribeChannelMembership: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/memberships/{memberArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MemberArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MemberArn: {
                location: "uri",
                locationName: "memberArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              SubChannelId: {
                location: "querystring",
                locationName: "sub-channel-id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelMembership: {
                type: "structure",
                members: {
                  InvitedBy: {
                    shape: "S9"
                  },
                  Type: {},
                  Member: {
                    shape: "S9"
                  },
                  ChannelArn: {},
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  },
                  SubChannelId: {}
                }
              }
            }
          }
        },
        DescribeChannelMembershipForAppInstanceUser: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}?scope=app-instance-user-membership",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "AppInstanceUserArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              AppInstanceUserArn: {
                location: "querystring",
                locationName: "app-instance-user-arn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelMembership: {
                shape: "S2k"
              }
            }
          }
        },
        DescribeChannelModeratedByAppInstanceUser: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}?scope=app-instance-user-moderated-channel",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "AppInstanceUserArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              AppInstanceUserArn: {
                location: "querystring",
                locationName: "app-instance-user-arn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Channel: {
                shape: "S2p"
              }
            }
          }
        },
        DescribeChannelModerator: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/moderators/{channelModeratorArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChannelModeratorArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              ChannelModeratorArn: {
                location: "uri",
                locationName: "channelModeratorArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelModerator: {
                type: "structure",
                members: {
                  Moderator: {
                    shape: "S9"
                  },
                  ChannelArn: {},
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  CreatedBy: {
                    shape: "S9"
                  }
                }
              }
            }
          }
        },
        DisassociateChannelFlow: {
          http: {
            method: "DELETE",
            requestUri: "/channels/{channelArn}/channel-flow/{channelFlowArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChannelFlowArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              ChannelFlowArn: {
                location: "uri",
                locationName: "channelFlowArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          }
        },
        GetChannelMembershipPreferences: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/memberships/{memberArn}/preferences",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MemberArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MemberArn: {
                location: "uri",
                locationName: "memberArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              Member: {
                shape: "S9"
              },
              Preferences: {
                shape: "S2w"
              }
            }
          }
        },
        GetChannelMessage: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/messages/{messageId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MessageId",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MessageId: {
                location: "uri",
                locationName: "messageId"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              SubChannelId: {
                location: "querystring",
                locationName: "sub-channel-id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelMessage: {
                type: "structure",
                members: {
                  ChannelArn: {},
                  MessageId: {},
                  Content: {
                    shape: "S33"
                  },
                  Metadata: {
                    shape: "Sm"
                  },
                  Type: {},
                  CreatedTimestamp: {
                    type: "timestamp"
                  },
                  LastEditedTimestamp: {
                    type: "timestamp"
                  },
                  LastUpdatedTimestamp: {
                    type: "timestamp"
                  },
                  Sender: {
                    shape: "S9"
                  },
                  Redacted: {
                    type: "boolean"
                  },
                  Persistence: {},
                  Status: {
                    shape: "S36"
                  },
                  MessageAttributes: {
                    shape: "Sr"
                  },
                  SubChannelId: {},
                  ContentType: {
                    shape: "Sw"
                  },
                  Target: {
                    shape: "S39"
                  }
                }
              }
            }
          }
        },
        GetChannelMessageStatus: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/messages/{messageId}?scope=message-status",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MessageId",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MessageId: {
                location: "uri",
                locationName: "messageId"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              SubChannelId: {
                location: "querystring",
                locationName: "sub-channel-id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Status: {
                shape: "S36"
              }
            }
          }
        },
        GetMessagingSessionEndpoint: {
          http: {
            method: "GET",
            requestUri: "/endpoints/messaging-session",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              Endpoint: {
                type: "structure",
                members: {
                  Url: {}
                }
              }
            }
          }
        },
        GetMessagingStreamingConfigurations: {
          http: {
            method: "GET",
            requestUri: "/app-instances/{appInstanceArn}/streaming-configurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingConfigurations: {
                shape: "S3j"
              }
            }
          }
        },
        ListChannelBans: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/bans",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "S3o",
                location: "querystring",
                locationName: "next-token"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              NextToken: {
                shape: "S3o"
              },
              ChannelBans: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Member: {
                      shape: "S9"
                    }
                  }
                }
              }
            }
          }
        },
        ListChannelFlows: {
          http: {
            method: "GET",
            requestUri: "/channel-flows",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn"
            ],
            members: {
              AppInstanceArn: {
                location: "querystring",
                locationName: "app-instance-arn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "S3o",
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelFlows: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ChannelFlowArn: {},
                    Name: {
                      shape: "Sz"
                    },
                    Processors: {
                      shape: "S1l"
                    }
                  }
                }
              },
              NextToken: {
                shape: "S3o"
              }
            }
          }
        },
        ListChannelMemberships: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/memberships",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              Type: {
                location: "querystring",
                locationName: "type"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "S3o",
                location: "querystring",
                locationName: "next-token"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              SubChannelId: {
                location: "querystring",
                locationName: "sub-channel-id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              ChannelMemberships: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Member: {
                      shape: "S9"
                    }
                  }
                }
              },
              NextToken: {
                shape: "S3o"
              }
            }
          }
        },
        ListChannelMembershipsForAppInstanceUser: {
          http: {
            method: "GET",
            requestUri: "/channels?scope=app-instance-user-memberships",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChimeBearer"
            ],
            members: {
              AppInstanceUserArn: {
                location: "querystring",
                locationName: "app-instance-user-arn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "S3o",
                location: "querystring",
                locationName: "next-token"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelMemberships: {
                type: "list",
                member: {
                  shape: "S2k"
                }
              },
              NextToken: {
                shape: "S3o"
              }
            }
          }
        },
        ListChannelMessages: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/messages",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              SortOrder: {
                location: "querystring",
                locationName: "sort-order"
              },
              NotBefore: {
                location: "querystring",
                locationName: "not-before",
                type: "timestamp"
              },
              NotAfter: {
                location: "querystring",
                locationName: "not-after",
                type: "timestamp"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "S3o",
                location: "querystring",
                locationName: "next-token"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              SubChannelId: {
                location: "querystring",
                locationName: "sub-channel-id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              NextToken: {
                shape: "S3o"
              },
              ChannelMessages: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MessageId: {},
                    Content: {
                      shape: "S33"
                    },
                    Metadata: {
                      shape: "Sm"
                    },
                    Type: {},
                    CreatedTimestamp: {
                      type: "timestamp"
                    },
                    LastUpdatedTimestamp: {
                      type: "timestamp"
                    },
                    LastEditedTimestamp: {
                      type: "timestamp"
                    },
                    Sender: {
                      shape: "S9"
                    },
                    Redacted: {
                      type: "boolean"
                    },
                    Status: {
                      shape: "S36"
                    },
                    MessageAttributes: {
                      shape: "Sr"
                    },
                    ContentType: {
                      shape: "Sw"
                    },
                    Target: {
                      shape: "S39"
                    }
                  }
                }
              },
              SubChannelId: {}
            }
          }
        },
        ListChannelModerators: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/moderators",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "S3o",
                location: "querystring",
                locationName: "next-token"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              NextToken: {
                shape: "S3o"
              },
              ChannelModerators: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Moderator: {
                      shape: "S9"
                    }
                  }
                }
              }
            }
          }
        },
        ListChannels: {
          http: {
            method: "GET",
            requestUri: "/channels",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn",
              "ChimeBearer"
            ],
            members: {
              AppInstanceArn: {
                location: "querystring",
                locationName: "app-instance-arn"
              },
              Privacy: {
                location: "querystring",
                locationName: "privacy"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "S3o",
                location: "querystring",
                locationName: "next-token"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Channels: {
                shape: "S4e"
              },
              NextToken: {
                shape: "S3o"
              }
            }
          }
        },
        ListChannelsAssociatedWithChannelFlow: {
          http: {
            method: "GET",
            requestUri: "/channels?scope=channel-flow-associations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelFlowArn"
            ],
            members: {
              ChannelFlowArn: {
                location: "querystring",
                locationName: "channel-flow-arn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "S3o",
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Channels: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {
                      shape: "Sz"
                    },
                    ChannelArn: {},
                    Mode: {},
                    Privacy: {},
                    Metadata: {
                      shape: "Sm"
                    }
                  }
                }
              },
              NextToken: {
                shape: "S3o"
              }
            }
          }
        },
        ListChannelsModeratedByAppInstanceUser: {
          http: {
            method: "GET",
            requestUri: "/channels?scope=app-instance-user-moderated-channels",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChimeBearer"
            ],
            members: {
              AppInstanceUserArn: {
                location: "querystring",
                locationName: "app-instance-user-arn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "S3o",
                location: "querystring",
                locationName: "next-token"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Channels: {
                type: "list",
                member: {
                  shape: "S2p"
                }
              },
              NextToken: {
                shape: "S3o"
              }
            }
          }
        },
        ListSubChannels: {
          http: {
            method: "GET",
            requestUri: "/channels/{channelArn}/subchannels",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "S3o",
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              SubChannels: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SubChannelId: {},
                    MembershipCount: {
                      type: "integer"
                    }
                  }
                }
              },
              NextToken: {
                shape: "S3o"
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {
                location: "querystring",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S13"
              }
            }
          }
        },
        PutChannelExpirationSettings: {
          http: {
            method: "PUT",
            requestUri: "/channels/{channelArn}/expiration-settings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              ExpirationSettings: {
                shape: "S1e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              ExpirationSettings: {
                shape: "S1e"
              }
            }
          }
        },
        PutChannelMembershipPreferences: {
          http: {
            method: "PUT",
            requestUri: "/channels/{channelArn}/memberships/{memberArn}/preferences",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MemberArn",
              "ChimeBearer",
              "Preferences"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MemberArn: {
                location: "uri",
                locationName: "memberArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              Preferences: {
                shape: "S2w"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              Member: {
                shape: "S9"
              },
              Preferences: {
                shape: "S2w"
              }
            }
          }
        },
        PutMessagingStreamingConfigurations: {
          http: {
            method: "PUT",
            requestUri: "/app-instances/{appInstanceArn}/streaming-configurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppInstanceArn",
              "StreamingConfigurations"
            ],
            members: {
              AppInstanceArn: {
                location: "uri",
                locationName: "appInstanceArn"
              },
              StreamingConfigurations: {
                shape: "S3j"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingConfigurations: {
                shape: "S3j"
              }
            }
          }
        },
        RedactChannelMessage: {
          http: {
            requestUri: "/channels/{channelArn}/messages/{messageId}?operation=redact",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MessageId",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MessageId: {
                location: "uri",
                locationName: "messageId"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              SubChannelId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              MessageId: {},
              SubChannelId: {}
            }
          }
        },
        SearchChannels: {
          http: {
            requestUri: "/channels?operation=search",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Fields"
            ],
            members: {
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              Fields: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Key",
                    "Values",
                    "Operator"
                  ],
                  members: {
                    Key: {},
                    Values: {
                      type: "list",
                      member: {}
                    },
                    Operator: {}
                  }
                }
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                shape: "S3o",
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Channels: {
                shape: "S4e"
              },
              NextToken: {
                shape: "S3o"
              }
            }
          }
        },
        SendChannelMessage: {
          http: {
            requestUri: "/channels/{channelArn}/messages",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "Content",
              "Type",
              "Persistence",
              "ClientRequestToken",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              Content: {
                shape: "Sl"
              },
              Type: {},
              Persistence: {},
              Metadata: {
                shape: "Sm"
              },
              ClientRequestToken: {
                shape: "S12",
                idempotencyToken: true
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              PushNotification: {
                shape: "Sn"
              },
              MessageAttributes: {
                shape: "Sr"
              },
              SubChannelId: {},
              ContentType: {
                shape: "Sw"
              },
              Target: {
                shape: "S39"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              MessageId: {},
              Status: {
                shape: "S36"
              },
              SubChannelId: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags?operation=tag-resource",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S13"
              }
            }
          }
        },
        UntagResource: {
          http: {
            requestUri: "/tags?operation=untag-resource",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {
                  shape: "S15"
                }
              }
            }
          }
        },
        UpdateChannel: {
          http: {
            method: "PUT",
            requestUri: "/channels/{channelArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              Name: {
                shape: "Sz"
              },
              Mode: {},
              Metadata: {
                shape: "Sm"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {}
            }
          }
        },
        UpdateChannelFlow: {
          http: {
            method: "PUT",
            requestUri: "/channel-flows/{channelFlowArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelFlowArn",
              "Processors",
              "Name"
            ],
            members: {
              ChannelFlowArn: {
                location: "uri",
                locationName: "channelFlowArn"
              },
              Processors: {
                shape: "S1l"
              },
              Name: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelFlowArn: {}
            }
          }
        },
        UpdateChannelMessage: {
          http: {
            method: "PUT",
            requestUri: "/channels/{channelArn}/messages/{messageId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "MessageId",
              "Content",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              MessageId: {
                location: "uri",
                locationName: "messageId"
              },
              Content: {
                shape: "Sl"
              },
              Metadata: {
                shape: "Sm"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              },
              SubChannelId: {},
              ContentType: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {},
              MessageId: {},
              Status: {
                shape: "S36"
              },
              SubChannelId: {}
            }
          }
        },
        UpdateChannelReadMarker: {
          http: {
            method: "PUT",
            requestUri: "/channels/{channelArn}/readMarker",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelArn",
              "ChimeBearer"
            ],
            members: {
              ChannelArn: {
                location: "uri",
                locationName: "channelArn"
              },
              ChimeBearer: {
                location: "header",
                locationName: "x-amz-chime-bearer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChannelArn: {}
            }
          }
        }
      },
      shapes: {
        S9: {
          type: "structure",
          members: {
            Arn: {},
            Name: {
              type: "string",
              sensitive: true
            }
          }
        },
        Sl: {
          type: "string",
          sensitive: true
        },
        Sm: {
          type: "string",
          sensitive: true
        },
        Sn: {
          type: "structure",
          members: {
            Title: {
              type: "string",
              sensitive: true
            },
            Body: {
              type: "string",
              sensitive: true
            },
            Type: {}
          }
        },
        Sr: {
          type: "map",
          key: {
            type: "string",
            sensitive: true
          },
          value: {
            type: "structure",
            members: {
              StringValues: {
                type: "list",
                member: {
                  type: "string",
                  sensitive: true
                }
              }
            }
          }
        },
        Sw: {
          type: "string",
          sensitive: true
        },
        Sz: {
          type: "string",
          sensitive: true
        },
        S12: {
          type: "string",
          sensitive: true
        },
        S13: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {
                shape: "S15"
              },
              Value: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        S15: {
          type: "string",
          sensitive: true
        },
        S1a: {
          type: "structure",
          required: [
            "MaximumSubChannels",
            "TargetMembershipsPerSubChannel",
            "MinimumMembershipPercentage"
          ],
          members: {
            MaximumSubChannels: {
              type: "integer"
            },
            TargetMembershipsPerSubChannel: {
              type: "integer"
            },
            MinimumMembershipPercentage: {
              type: "integer"
            }
          }
        },
        S1e: {
          type: "structure",
          required: [
            "ExpirationDays",
            "ExpirationCriterion"
          ],
          members: {
            ExpirationDays: {
              type: "integer"
            },
            ExpirationCriterion: {}
          }
        },
        S1l: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Configuration",
              "ExecutionOrder",
              "FallbackAction"
            ],
            members: {
              Name: {
                shape: "Sz"
              },
              Configuration: {
                type: "structure",
                required: [
                  "Lambda"
                ],
                members: {
                  Lambda: {
                    type: "structure",
                    required: [
                      "ResourceArn",
                      "InvocationType"
                    ],
                    members: {
                      ResourceArn: {},
                      InvocationType: {}
                    }
                  }
                }
              },
              ExecutionOrder: {
                type: "integer"
              },
              FallbackAction: {}
            }
          }
        },
        S2k: {
          type: "structure",
          members: {
            ChannelSummary: {
              shape: "S2l"
            },
            AppInstanceUserMembershipSummary: {
              type: "structure",
              members: {
                Type: {},
                ReadMarkerTimestamp: {
                  type: "timestamp"
                },
                SubChannelId: {}
              }
            }
          }
        },
        S2l: {
          type: "structure",
          members: {
            Name: {
              shape: "Sz"
            },
            ChannelArn: {},
            Mode: {},
            Privacy: {},
            Metadata: {
              shape: "Sm"
            },
            LastMessageTimestamp: {
              type: "timestamp"
            }
          }
        },
        S2p: {
          type: "structure",
          members: {
            ChannelSummary: {
              shape: "S2l"
            }
          }
        },
        S2w: {
          type: "structure",
          members: {
            PushNotifications: {
              type: "structure",
              required: [
                "AllowNotifications"
              ],
              members: {
                AllowNotifications: {},
                FilterRule: {
                  type: "string",
                  sensitive: true
                }
              }
            }
          }
        },
        S33: {
          type: "string",
          sensitive: true
        },
        S36: {
          type: "structure",
          members: {
            Value: {},
            Detail: {}
          }
        },
        S39: {
          type: "list",
          member: {
            type: "structure",
            members: {
              MemberArn: {}
            }
          }
        },
        S3j: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DataType",
              "ResourceArn"
            ],
            members: {
              DataType: {},
              ResourceArn: {}
            }
          }
        },
        S3o: {
          type: "string",
          sensitive: true
        },
        S4e: {
          type: "list",
          member: {
            shape: "S2l"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/chime-sdk-messaging-2021-05-15.paginators.json
var require_chime_sdk_messaging_2021_05_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/chime-sdk-messaging-2021-05-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListChannelBans: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListChannelFlows: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListChannelMemberships: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListChannelMembershipsForAppInstanceUser: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListChannelMessages: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListChannelModerators: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListChannels: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListChannelsAssociatedWithChannelFlow: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListChannelsModeratedByAppInstanceUser: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListSubChannels: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        SearchChannels: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/chimesdkmessaging.js
var require_chimesdkmessaging = __commonJS({
  "node_modules/aws-sdk/clients/chimesdkmessaging.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["chimesdkmessaging"] = {};
    AWS2.ChimeSDKMessaging = Service.defineService("chimesdkmessaging", ["2021-05-15"]);
    Object.defineProperty(apiLoader.services["chimesdkmessaging"], "2021-05-15", {
      get: function get() {
        var model = require_chime_sdk_messaging_2021_05_15_min();
        model.paginators = require_chime_sdk_messaging_2021_05_15_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ChimeSDKMessaging;
  }
});

// node_modules/aws-sdk/apis/snow-device-management-2021-08-04.min.json
var require_snow_device_management_2021_08_04_min = __commonJS({
  "node_modules/aws-sdk/apis/snow-device-management-2021-08-04.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-08-04",
        endpointPrefix: "snow-device-management",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Snow Device Management",
        serviceId: "Snow Device Management",
        signatureVersion: "v4",
        signingName: "snow-device-management",
        uid: "snow-device-management-2021-08-04"
      },
      operations: {
        CancelTask: {
          http: {
            requestUri: "/task/{taskId}/cancel",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "taskId"
            ],
            members: {
              taskId: {
                location: "uri",
                locationName: "taskId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskId: {}
            }
          }
        },
        CreateTask: {
          http: {
            requestUri: "/task",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "command",
              "targets"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              command: {
                type: "structure",
                members: {
                  reboot: {
                    type: "structure",
                    members: {}
                  },
                  unlock: {
                    type: "structure",
                    members: {}
                  }
                },
                union: true
              },
              description: {},
              tags: {
                shape: "Sb"
              },
              targets: {
                shape: "Sc"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskArn: {},
              taskId: {}
            }
          }
        },
        DescribeDevice: {
          http: {
            requestUri: "/managed-device/{managedDeviceId}/describe",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "managedDeviceId"
            ],
            members: {
              managedDeviceId: {
                location: "uri",
                locationName: "managedDeviceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              associatedWithJob: {},
              deviceCapacities: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    available: {
                      type: "long"
                    },
                    name: {},
                    total: {
                      type: "long"
                    },
                    unit: {},
                    used: {
                      type: "long"
                    }
                  }
                }
              },
              deviceState: {},
              deviceType: {},
              lastReachedOutAt: {
                type: "timestamp"
              },
              lastUpdatedAt: {
                type: "timestamp"
              },
              managedDeviceArn: {},
              managedDeviceId: {},
              physicalNetworkInterfaces: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    defaultGateway: {},
                    ipAddress: {},
                    ipAddressAssignment: {},
                    macAddress: {},
                    netmask: {},
                    physicalConnectorType: {},
                    physicalNetworkInterfaceId: {}
                  }
                }
              },
              software: {
                type: "structure",
                members: {
                  installState: {},
                  installedVersion: {},
                  installingVersion: {}
                }
              },
              tags: {
                shape: "Sb"
              }
            }
          }
        },
        DescribeDeviceEc2Instances: {
          http: {
            requestUri: "/managed-device/{managedDeviceId}/resources/ec2/describe",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "instanceIds",
              "managedDeviceId"
            ],
            members: {
              instanceIds: {
                type: "list",
                member: {}
              },
              managedDeviceId: {
                location: "uri",
                locationName: "managedDeviceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              instances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    instance: {
                      type: "structure",
                      members: {
                        amiLaunchIndex: {
                          type: "integer"
                        },
                        blockDeviceMappings: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              deviceName: {},
                              ebs: {
                                type: "structure",
                                members: {
                                  attachTime: {
                                    type: "timestamp"
                                  },
                                  deleteOnTermination: {
                                    type: "boolean"
                                  },
                                  status: {},
                                  volumeId: {}
                                }
                              }
                            }
                          }
                        },
                        cpuOptions: {
                          type: "structure",
                          members: {
                            coreCount: {
                              type: "integer"
                            },
                            threadsPerCore: {
                              type: "integer"
                            }
                          }
                        },
                        createdAt: {
                          type: "timestamp"
                        },
                        imageId: {},
                        instanceId: {},
                        instanceType: {},
                        privateIpAddress: {},
                        publicIpAddress: {},
                        rootDeviceName: {},
                        securityGroups: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              groupId: {},
                              groupName: {}
                            }
                          }
                        },
                        state: {
                          type: "structure",
                          members: {
                            code: {
                              type: "integer"
                            },
                            name: {}
                          }
                        },
                        updatedAt: {
                          type: "timestamp"
                        }
                      }
                    },
                    lastUpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeExecution: {
          http: {
            requestUri: "/task/{taskId}/execution/{managedDeviceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "managedDeviceId",
              "taskId"
            ],
            members: {
              managedDeviceId: {
                location: "uri",
                locationName: "managedDeviceId"
              },
              taskId: {
                location: "uri",
                locationName: "taskId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              executionId: {},
              lastUpdatedAt: {
                type: "timestamp"
              },
              managedDeviceId: {},
              startedAt: {
                type: "timestamp"
              },
              state: {},
              taskId: {}
            }
          }
        },
        DescribeTask: {
          http: {
            requestUri: "/task/{taskId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "taskId"
            ],
            members: {
              taskId: {
                location: "uri",
                locationName: "taskId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              completedAt: {
                type: "timestamp"
              },
              createdAt: {
                type: "timestamp"
              },
              description: {},
              lastUpdatedAt: {
                type: "timestamp"
              },
              state: {},
              tags: {
                shape: "Sb"
              },
              targets: {
                shape: "Sc"
              },
              taskArn: {},
              taskId: {}
            }
          }
        },
        ListDeviceResources: {
          http: {
            method: "GET",
            requestUri: "/managed-device/{managedDeviceId}/resources",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "managedDeviceId"
            ],
            members: {
              managedDeviceId: {
                location: "uri",
                locationName: "managedDeviceId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              type: {
                location: "querystring",
                locationName: "type"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              resources: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "resourceType"
                  ],
                  members: {
                    arn: {},
                    id: {},
                    resourceType: {}
                  }
                }
              }
            }
          }
        },
        ListDevices: {
          http: {
            method: "GET",
            requestUri: "/managed-devices",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              jobId: {
                location: "querystring",
                locationName: "jobId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              devices: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    associatedWithJob: {},
                    managedDeviceArn: {},
                    managedDeviceId: {},
                    tags: {
                      shape: "Sb"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListExecutions: {
          http: {
            method: "GET",
            requestUri: "/executions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "taskId"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              state: {
                location: "querystring",
                locationName: "state"
              },
              taskId: {
                location: "querystring",
                locationName: "taskId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              executions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    executionId: {},
                    managedDeviceId: {},
                    state: {},
                    taskId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sb"
              }
            }
          }
        },
        ListTasks: {
          http: {
            method: "GET",
            requestUri: "/tasks",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              state: {
                location: "querystring",
                locationName: "state"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              tasks: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "taskId"
                  ],
                  members: {
                    state: {},
                    tags: {
                      shape: "Sb"
                    },
                    taskArn: {},
                    taskId: {}
                  }
                }
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sb"
              }
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        Sb: {
          type: "map",
          key: {},
          value: {}
        },
        Sc: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/snow-device-management-2021-08-04.paginators.json
var require_snow_device_management_2021_08_04_paginators = __commonJS({
  "node_modules/aws-sdk/apis/snow-device-management-2021-08-04.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDeviceResources: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "resources"
        },
        ListDevices: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "devices"
        },
        ListExecutions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "executions"
        },
        ListTasks: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "tasks"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/snowdevicemanagement.js
var require_snowdevicemanagement = __commonJS({
  "node_modules/aws-sdk/clients/snowdevicemanagement.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["snowdevicemanagement"] = {};
    AWS2.SnowDeviceManagement = Service.defineService("snowdevicemanagement", ["2021-08-04"]);
    Object.defineProperty(apiLoader.services["snowdevicemanagement"], "2021-08-04", {
      get: function get() {
        var model = require_snow_device_management_2021_08_04_min();
        model.paginators = require_snow_device_management_2021_08_04_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SnowDeviceManagement;
  }
});

// node_modules/aws-sdk/apis/memorydb-2021-01-01.min.json
var require_memorydb_2021_01_01_min = __commonJS({
  "node_modules/aws-sdk/apis/memorydb-2021-01-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-01-01",
        endpointPrefix: "memory-db",
        jsonVersion: "1.1",
        protocol: "json",
        serviceAbbreviation: "Amazon MemoryDB",
        serviceFullName: "Amazon MemoryDB",
        serviceId: "MemoryDB",
        signatureVersion: "v4",
        signingName: "memorydb",
        targetPrefix: "AmazonMemoryDB",
        uid: "memorydb-2021-01-01"
      },
      operations: {
        BatchUpdateCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterNames"
            ],
            members: {
              ClusterNames: {
                shape: "S2"
              },
              ServiceUpdate: {
                type: "structure",
                members: {
                  ServiceUpdateNameToApply: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProcessedClusters: {
                shape: "S6"
              },
              UnprocessedClusters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ClusterName: {},
                    ErrorType: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        CopySnapshot: {
          input: {
            type: "structure",
            required: [
              "SourceSnapshotName",
              "TargetSnapshotName"
            ],
            members: {
              SourceSnapshotName: {},
              TargetSnapshotName: {},
              TargetBucket: {},
              KmsKeyId: {},
              Tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Snapshot: {
                shape: "S12"
              }
            }
          }
        },
        CreateACL: {
          input: {
            type: "structure",
            required: [
              "ACLName"
            ],
            members: {
              ACLName: {},
              UserNames: {
                shape: "S18"
              },
              Tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ACL: {
                shape: "S1b"
              }
            }
          }
        },
        CreateCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterName",
              "NodeType",
              "ACLName"
            ],
            members: {
              ClusterName: {},
              NodeType: {},
              ParameterGroupName: {},
              Description: {},
              NumShards: {
                type: "integer"
              },
              NumReplicasPerShard: {
                type: "integer"
              },
              SubnetGroupName: {},
              SecurityGroupIds: {
                shape: "S1g"
              },
              MaintenanceWindow: {},
              Port: {
                type: "integer"
              },
              SnsTopicArn: {},
              TLSEnabled: {
                type: "boolean"
              },
              KmsKeyId: {},
              SnapshotArns: {
                type: "list",
                member: {}
              },
              SnapshotName: {},
              SnapshotRetentionLimit: {
                type: "integer"
              },
              Tags: {
                shape: "Sz"
              },
              SnapshotWindow: {},
              ACLName: {},
              EngineVersion: {},
              AutoMinorVersionUpgrade: {
                type: "boolean"
              },
              DataTiering: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Cluster: {
                shape: "S7"
              }
            }
          }
        },
        CreateParameterGroup: {
          input: {
            type: "structure",
            required: [
              "ParameterGroupName",
              "Family"
            ],
            members: {
              ParameterGroupName: {},
              Family: {},
              Description: {},
              Tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ParameterGroup: {
                shape: "S1l"
              }
            }
          }
        },
        CreateSnapshot: {
          input: {
            type: "structure",
            required: [
              "ClusterName",
              "SnapshotName"
            ],
            members: {
              ClusterName: {},
              SnapshotName: {},
              KmsKeyId: {},
              Tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Snapshot: {
                shape: "S12"
              }
            }
          }
        },
        CreateSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "SubnetGroupName",
              "SubnetIds"
            ],
            members: {
              SubnetGroupName: {},
              Description: {},
              SubnetIds: {
                shape: "S1p"
              },
              Tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SubnetGroup: {
                shape: "S1r"
              }
            }
          }
        },
        CreateUser: {
          input: {
            type: "structure",
            required: [
              "UserName",
              "AuthenticationMode",
              "AccessString"
            ],
            members: {
              UserName: {},
              AuthenticationMode: {
                shape: "S1w"
              },
              AccessString: {},
              Tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              User: {
                shape: "S21"
              }
            }
          }
        },
        DeleteACL: {
          input: {
            type: "structure",
            required: [
              "ACLName"
            ],
            members: {
              ACLName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ACL: {
                shape: "S1b"
              }
            }
          }
        },
        DeleteCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterName"
            ],
            members: {
              ClusterName: {},
              FinalSnapshotName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Cluster: {
                shape: "S7"
              }
            }
          }
        },
        DeleteParameterGroup: {
          input: {
            type: "structure",
            required: [
              "ParameterGroupName"
            ],
            members: {
              ParameterGroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ParameterGroup: {
                shape: "S1l"
              }
            }
          }
        },
        DeleteSnapshot: {
          input: {
            type: "structure",
            required: [
              "SnapshotName"
            ],
            members: {
              SnapshotName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Snapshot: {
                shape: "S12"
              }
            }
          }
        },
        DeleteSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "SubnetGroupName"
            ],
            members: {
              SubnetGroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SubnetGroup: {
                shape: "S1r"
              }
            }
          }
        },
        DeleteUser: {
          input: {
            type: "structure",
            required: [
              "UserName"
            ],
            members: {
              UserName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              User: {
                shape: "S21"
              }
            }
          }
        },
        DescribeACLs: {
          input: {
            type: "structure",
            members: {
              ACLName: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ACLs: {
                type: "list",
                member: {
                  shape: "S1b"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeClusters: {
          input: {
            type: "structure",
            members: {
              ClusterName: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              ShowShardDetails: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Clusters: {
                shape: "S6"
              }
            }
          }
        },
        DescribeEngineVersions: {
          input: {
            type: "structure",
            members: {
              EngineVersion: {},
              ParameterGroupFamily: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              DefaultOnly: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              EngineVersions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    EngineVersion: {},
                    EnginePatchVersion: {},
                    ParameterGroupFamily: {}
                  }
                }
              }
            }
          }
        },
        DescribeEvents: {
          input: {
            type: "structure",
            members: {
              SourceName: {},
              SourceType: {},
              StartTime: {
                type: "timestamp"
              },
              EndTime: {
                type: "timestamp"
              },
              Duration: {
                type: "integer"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Events: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SourceName: {},
                    SourceType: {},
                    Message: {},
                    Date: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeParameterGroups: {
          input: {
            type: "structure",
            members: {
              ParameterGroupName: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ParameterGroups: {
                type: "list",
                member: {
                  shape: "S1l"
                }
              }
            }
          }
        },
        DescribeParameters: {
          input: {
            type: "structure",
            required: [
              "ParameterGroupName"
            ],
            members: {
              ParameterGroupName: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Parameters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Value: {},
                    Description: {},
                    DataType: {},
                    AllowedValues: {},
                    MinimumEngineVersion: {}
                  }
                }
              }
            }
          }
        },
        DescribeReservedNodes: {
          input: {
            type: "structure",
            members: {
              ReservationId: {},
              ReservedNodesOfferingId: {},
              NodeType: {},
              Duration: {},
              OfferingType: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ReservedNodes: {
                type: "list",
                member: {
                  shape: "S36"
                }
              }
            }
          }
        },
        DescribeReservedNodesOfferings: {
          input: {
            type: "structure",
            members: {
              ReservedNodesOfferingId: {},
              NodeType: {},
              Duration: {},
              OfferingType: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ReservedNodesOfferings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ReservedNodesOfferingId: {},
                    NodeType: {},
                    Duration: {
                      type: "integer"
                    },
                    FixedPrice: {
                      type: "double"
                    },
                    OfferingType: {},
                    RecurringCharges: {
                      shape: "S37"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeServiceUpdates: {
          input: {
            type: "structure",
            members: {
              ServiceUpdateName: {},
              ClusterNames: {
                shape: "S2"
              },
              Status: {
                type: "list",
                member: {}
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ServiceUpdates: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ClusterName: {},
                    ServiceUpdateName: {},
                    ReleaseDate: {
                      type: "timestamp"
                    },
                    Description: {},
                    Status: {},
                    Type: {},
                    NodesUpdated: {},
                    AutoUpdateStartDate: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeSnapshots: {
          input: {
            type: "structure",
            members: {
              ClusterName: {},
              SnapshotName: {},
              Source: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ShowDetail: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Snapshots: {
                type: "list",
                member: {
                  shape: "S12"
                }
              }
            }
          }
        },
        DescribeSubnetGroups: {
          input: {
            type: "structure",
            members: {
              SubnetGroupName: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              SubnetGroups: {
                type: "list",
                member: {
                  shape: "S1r"
                }
              }
            }
          }
        },
        DescribeUsers: {
          input: {
            type: "structure",
            members: {
              UserName: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Values"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Users: {
                type: "list",
                member: {
                  shape: "S21"
                }
              },
              NextToken: {}
            }
          }
        },
        FailoverShard: {
          input: {
            type: "structure",
            required: [
              "ClusterName",
              "ShardName"
            ],
            members: {
              ClusterName: {},
              ShardName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Cluster: {
                shape: "S7"
              }
            }
          }
        },
        ListAllowedNodeTypeUpdates: {
          input: {
            type: "structure",
            required: [
              "ClusterName"
            ],
            members: {
              ClusterName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ScaleUpNodeTypes: {
                shape: "S41"
              },
              ScaleDownNodeTypes: {
                shape: "S41"
              }
            }
          }
        },
        ListTags: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TagList: {
                shape: "Sz"
              }
            }
          }
        },
        PurchaseReservedNodesOffering: {
          input: {
            type: "structure",
            required: [
              "ReservedNodesOfferingId"
            ],
            members: {
              ReservedNodesOfferingId: {},
              ReservationId: {},
              NodeCount: {
                type: "integer"
              },
              Tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReservedNode: {
                shape: "S36"
              }
            }
          }
        },
        ResetParameterGroup: {
          input: {
            type: "structure",
            required: [
              "ParameterGroupName"
            ],
            members: {
              ParameterGroupName: {},
              AllParameters: {
                type: "boolean"
              },
              ParameterNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ParameterGroup: {
                shape: "S1l"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TagList: {
                shape: "Sz"
              }
            }
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TagList: {
                shape: "Sz"
              }
            }
          }
        },
        UpdateACL: {
          input: {
            type: "structure",
            required: [
              "ACLName"
            ],
            members: {
              ACLName: {},
              UserNamesToAdd: {
                shape: "S18"
              },
              UserNamesToRemove: {
                shape: "S18"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ACL: {
                shape: "S1b"
              }
            }
          }
        },
        UpdateCluster: {
          input: {
            type: "structure",
            required: [
              "ClusterName"
            ],
            members: {
              ClusterName: {},
              Description: {},
              SecurityGroupIds: {
                shape: "S1g"
              },
              MaintenanceWindow: {},
              SnsTopicArn: {},
              SnsTopicStatus: {},
              ParameterGroupName: {},
              SnapshotWindow: {},
              SnapshotRetentionLimit: {
                type: "integer"
              },
              NodeType: {},
              EngineVersion: {},
              ReplicaConfiguration: {
                type: "structure",
                members: {
                  ReplicaCount: {
                    type: "integer"
                  }
                }
              },
              ShardConfiguration: {
                type: "structure",
                members: {
                  ShardCount: {
                    type: "integer"
                  }
                }
              },
              ACLName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Cluster: {
                shape: "S7"
              }
            }
          }
        },
        UpdateParameterGroup: {
          input: {
            type: "structure",
            required: [
              "ParameterGroupName",
              "ParameterNameValues"
            ],
            members: {
              ParameterGroupName: {},
              ParameterNameValues: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ParameterName: {},
                    ParameterValue: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ParameterGroup: {
                shape: "S1l"
              }
            }
          }
        },
        UpdateSubnetGroup: {
          input: {
            type: "structure",
            required: [
              "SubnetGroupName"
            ],
            members: {
              SubnetGroupName: {},
              Description: {},
              SubnetIds: {
                shape: "S1p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SubnetGroup: {
                shape: "S1r"
              }
            }
          }
        },
        UpdateUser: {
          input: {
            type: "structure",
            required: [
              "UserName"
            ],
            members: {
              UserName: {},
              AuthenticationMode: {
                shape: "S1w"
              },
              AccessString: {}
            }
          },
          output: {
            type: "structure",
            members: {
              User: {
                shape: "S21"
              }
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "list",
          member: {}
        },
        S6: {
          type: "list",
          member: {
            shape: "S7"
          }
        },
        S7: {
          type: "structure",
          members: {
            Name: {},
            Description: {},
            Status: {},
            PendingUpdates: {
              type: "structure",
              members: {
                Resharding: {
                  type: "structure",
                  members: {
                    SlotMigration: {
                      type: "structure",
                      members: {
                        ProgressPercentage: {
                          type: "double"
                        }
                      }
                    }
                  }
                },
                ACLs: {
                  type: "structure",
                  members: {
                    ACLToApply: {}
                  }
                },
                ServiceUpdates: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      ServiceUpdateName: {},
                      Status: {}
                    }
                  }
                }
              }
            },
            NumberOfShards: {
              type: "integer"
            },
            Shards: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Name: {},
                  Status: {},
                  Slots: {},
                  Nodes: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {},
                        Status: {},
                        AvailabilityZone: {},
                        CreateTime: {
                          type: "timestamp"
                        },
                        Endpoint: {
                          shape: "Sn"
                        }
                      }
                    }
                  },
                  NumberOfNodes: {
                    type: "integer"
                  }
                }
              }
            },
            AvailabilityMode: {},
            ClusterEndpoint: {
              shape: "Sn"
            },
            NodeType: {},
            EngineVersion: {},
            EnginePatchVersion: {},
            ParameterGroupName: {},
            ParameterGroupStatus: {},
            SecurityGroups: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  SecurityGroupId: {},
                  Status: {}
                }
              }
            },
            SubnetGroupName: {},
            TLSEnabled: {
              type: "boolean"
            },
            KmsKeyId: {},
            ARN: {},
            SnsTopicArn: {},
            SnsTopicStatus: {},
            SnapshotRetentionLimit: {
              type: "integer"
            },
            MaintenanceWindow: {},
            SnapshotWindow: {},
            ACLName: {},
            AutoMinorVersionUpgrade: {
              type: "boolean"
            },
            DataTiering: {}
          }
        },
        Sn: {
          type: "structure",
          members: {
            Address: {},
            Port: {
              type: "integer"
            }
          }
        },
        Sz: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S12: {
          type: "structure",
          members: {
            Name: {},
            Status: {},
            Source: {},
            KmsKeyId: {},
            ARN: {},
            ClusterConfiguration: {
              type: "structure",
              members: {
                Name: {},
                Description: {},
                NodeType: {},
                EngineVersion: {},
                MaintenanceWindow: {},
                TopicArn: {},
                Port: {
                  type: "integer"
                },
                ParameterGroupName: {},
                SubnetGroupName: {},
                VpcId: {},
                SnapshotRetentionLimit: {
                  type: "integer"
                },
                SnapshotWindow: {},
                NumShards: {
                  type: "integer"
                },
                Shards: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      Name: {},
                      Configuration: {
                        type: "structure",
                        members: {
                          Slots: {},
                          ReplicaCount: {
                            type: "integer"
                          }
                        }
                      },
                      Size: {},
                      SnapshotCreationTime: {
                        type: "timestamp"
                      }
                    }
                  }
                }
              }
            },
            DataTiering: {}
          }
        },
        S18: {
          type: "list",
          member: {}
        },
        S1b: {
          type: "structure",
          members: {
            Name: {},
            Status: {},
            UserNames: {
              shape: "S1c"
            },
            MinimumEngineVersion: {},
            PendingChanges: {
              type: "structure",
              members: {
                UserNamesToRemove: {
                  shape: "S1c"
                },
                UserNamesToAdd: {
                  shape: "S1c"
                }
              }
            },
            Clusters: {
              type: "list",
              member: {}
            },
            ARN: {}
          }
        },
        S1c: {
          type: "list",
          member: {}
        },
        S1g: {
          type: "list",
          member: {}
        },
        S1l: {
          type: "structure",
          members: {
            Name: {},
            Family: {},
            Description: {},
            ARN: {}
          }
        },
        S1p: {
          type: "list",
          member: {}
        },
        S1r: {
          type: "structure",
          members: {
            Name: {},
            Description: {},
            VpcId: {},
            Subnets: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Identifier: {},
                  AvailabilityZone: {
                    type: "structure",
                    members: {
                      Name: {}
                    }
                  }
                }
              }
            },
            ARN: {}
          }
        },
        S1w: {
          type: "structure",
          members: {
            Type: {},
            Passwords: {
              type: "list",
              member: {}
            }
          }
        },
        S21: {
          type: "structure",
          members: {
            Name: {},
            Status: {},
            AccessString: {},
            ACLNames: {
              type: "list",
              member: {}
            },
            MinimumEngineVersion: {},
            Authentication: {
              type: "structure",
              members: {
                Type: {},
                PasswordCount: {
                  type: "integer"
                }
              }
            },
            ARN: {}
          }
        },
        S36: {
          type: "structure",
          members: {
            ReservationId: {},
            ReservedNodesOfferingId: {},
            NodeType: {},
            StartTime: {
              type: "timestamp"
            },
            Duration: {
              type: "integer"
            },
            FixedPrice: {
              type: "double"
            },
            NodeCount: {
              type: "integer"
            },
            OfferingType: {},
            State: {},
            RecurringCharges: {
              shape: "S37"
            },
            ARN: {}
          }
        },
        S37: {
          type: "list",
          member: {
            type: "structure",
            members: {
              RecurringChargeAmount: {
                type: "double"
              },
              RecurringChargeFrequency: {}
            }
          }
        },
        S41: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/memorydb-2021-01-01.paginators.json
var require_memorydb_2021_01_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/memorydb-2021-01-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeACLs: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ACLs"
        },
        DescribeClusters: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Clusters"
        },
        DescribeEngineVersions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "EngineVersions"
        },
        DescribeEvents: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Events"
        },
        DescribeParameterGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ParameterGroups"
        },
        DescribeParameters: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Parameters"
        },
        DescribeReservedNodes: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ReservedNodes"
        },
        DescribeReservedNodesOfferings: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ReservedNodesOfferings"
        },
        DescribeServiceUpdates: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "ServiceUpdates"
        },
        DescribeSnapshots: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Snapshots"
        },
        DescribeSubnetGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "SubnetGroups"
        },
        DescribeUsers: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "Users"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/memorydb.js
var require_memorydb = __commonJS({
  "node_modules/aws-sdk/clients/memorydb.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["memorydb"] = {};
    AWS2.MemoryDB = Service.defineService("memorydb", ["2021-01-01"]);
    Object.defineProperty(apiLoader.services["memorydb"], "2021-01-01", {
      get: function get() {
        var model = require_memorydb_2021_01_01_min();
        model.paginators = require_memorydb_2021_01_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MemoryDB;
  }
});

// node_modules/aws-sdk/apis/opensearch-2021-01-01.min.json
var require_opensearch_2021_01_01_min = __commonJS({
  "node_modules/aws-sdk/apis/opensearch-2021-01-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-01-01",
        endpointPrefix: "es",
        protocol: "rest-json",
        serviceFullName: "Amazon OpenSearch Service",
        serviceId: "OpenSearch",
        signatureVersion: "v4",
        uid: "opensearch-2021-01-01"
      },
      operations: {
        AcceptInboundConnection: {
          http: {
            method: "PUT",
            requestUri: "/2021-01-01/opensearch/cc/inboundConnection/{ConnectionId}/accept"
          },
          input: {
            type: "structure",
            required: [
              "ConnectionId"
            ],
            members: {
              ConnectionId: {
                location: "uri",
                locationName: "ConnectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Connection: {
                shape: "S4"
              }
            }
          }
        },
        AddTags: {
          http: {
            requestUri: "/2021-01-01/tags"
          },
          input: {
            type: "structure",
            required: [
              "ARN",
              "TagList"
            ],
            members: {
              ARN: {},
              TagList: {
                shape: "Sg"
              }
            }
          }
        },
        AssociatePackage: {
          http: {
            requestUri: "/2021-01-01/packages/associate/{PackageID}/{DomainName}"
          },
          input: {
            type: "structure",
            required: [
              "PackageID",
              "DomainName"
            ],
            members: {
              PackageID: {
                location: "uri",
                locationName: "PackageID"
              },
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainPackageDetails: {
                shape: "Sn"
              }
            }
          }
        },
        AuthorizeVpcEndpointAccess: {
          http: {
            requestUri: "/2021-01-01/opensearch/domain/{DomainName}/authorizeVpcEndpointAccess"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Account"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              Account: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "AuthorizedPrincipal"
            ],
            members: {
              AuthorizedPrincipal: {
                shape: "S10"
              }
            }
          }
        },
        CancelServiceSoftwareUpdate: {
          http: {
            requestUri: "/2021-01-01/opensearch/serviceSoftwareUpdate/cancel"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceSoftwareOptions: {
                shape: "S15"
              }
            }
          }
        },
        CreateDomain: {
          http: {
            requestUri: "/2021-01-01/opensearch/domain"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              EngineVersion: {},
              ClusterConfig: {
                shape: "S1b"
              },
              EBSOptions: {
                shape: "S1h"
              },
              AccessPolicies: {},
              SnapshotOptions: {
                shape: "S1k"
              },
              VPCOptions: {
                shape: "S1l"
              },
              CognitoOptions: {
                shape: "S1n"
              },
              EncryptionAtRestOptions: {
                shape: "S1r"
              },
              NodeToNodeEncryptionOptions: {
                shape: "S1t"
              },
              AdvancedOptions: {
                shape: "S1u"
              },
              LogPublishingOptions: {
                shape: "S1v"
              },
              DomainEndpointOptions: {
                shape: "S1z"
              },
              AdvancedSecurityOptions: {
                shape: "S22"
              },
              TagList: {
                shape: "Sg"
              },
              AutoTuneOptions: {
                type: "structure",
                members: {
                  DesiredState: {},
                  MaintenanceSchedules: {
                    shape: "S2d"
                  },
                  UseOffPeakWindow: {
                    type: "boolean"
                  }
                }
              },
              OffPeakWindowOptions: {
                shape: "S2j"
              },
              SoftwareUpdateOptions: {
                shape: "S2o"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainStatus: {
                shape: "S2q"
              }
            }
          }
        },
        CreateOutboundConnection: {
          http: {
            requestUri: "/2021-01-01/opensearch/cc/outboundConnection"
          },
          input: {
            type: "structure",
            required: [
              "LocalDomainInfo",
              "RemoteDomainInfo",
              "ConnectionAlias"
            ],
            members: {
              LocalDomainInfo: {
                shape: "S5"
              },
              RemoteDomainInfo: {
                shape: "S5"
              },
              ConnectionAlias: {},
              ConnectionMode: {},
              ConnectionProperties: {
                shape: "S35"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LocalDomainInfo: {
                shape: "S5"
              },
              RemoteDomainInfo: {
                shape: "S5"
              },
              ConnectionAlias: {},
              ConnectionStatus: {
                shape: "S3a"
              },
              ConnectionId: {},
              ConnectionMode: {},
              ConnectionProperties: {
                shape: "S35"
              }
            }
          }
        },
        CreatePackage: {
          http: {
            requestUri: "/2021-01-01/packages"
          },
          input: {
            type: "structure",
            required: [
              "PackageName",
              "PackageType",
              "PackageSource"
            ],
            members: {
              PackageName: {},
              PackageType: {},
              PackageDescription: {},
              PackageSource: {
                shape: "S3e"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PackageDetails: {
                shape: "S3i"
              }
            }
          }
        },
        CreateVpcEndpoint: {
          http: {
            requestUri: "/2021-01-01/opensearch/vpcEndpoints"
          },
          input: {
            type: "structure",
            required: [
              "DomainArn",
              "VpcOptions"
            ],
            members: {
              DomainArn: {},
              VpcOptions: {
                shape: "S1l"
              },
              ClientToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcEndpoint"
            ],
            members: {
              VpcEndpoint: {
                shape: "S3p"
              }
            }
          }
        },
        DeleteDomain: {
          http: {
            method: "DELETE",
            requestUri: "/2021-01-01/opensearch/domain/{DomainName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainStatus: {
                shape: "S2q"
              }
            }
          }
        },
        DeleteInboundConnection: {
          http: {
            method: "DELETE",
            requestUri: "/2021-01-01/opensearch/cc/inboundConnection/{ConnectionId}"
          },
          input: {
            type: "structure",
            required: [
              "ConnectionId"
            ],
            members: {
              ConnectionId: {
                location: "uri",
                locationName: "ConnectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Connection: {
                shape: "S4"
              }
            }
          }
        },
        DeleteOutboundConnection: {
          http: {
            method: "DELETE",
            requestUri: "/2021-01-01/opensearch/cc/outboundConnection/{ConnectionId}"
          },
          input: {
            type: "structure",
            required: [
              "ConnectionId"
            ],
            members: {
              ConnectionId: {
                location: "uri",
                locationName: "ConnectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Connection: {
                shape: "S3y"
              }
            }
          }
        },
        DeletePackage: {
          http: {
            method: "DELETE",
            requestUri: "/2021-01-01/packages/{PackageID}"
          },
          input: {
            type: "structure",
            required: [
              "PackageID"
            ],
            members: {
              PackageID: {
                location: "uri",
                locationName: "PackageID"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PackageDetails: {
                shape: "S3i"
              }
            }
          }
        },
        DeleteVpcEndpoint: {
          http: {
            method: "DELETE",
            requestUri: "/2021-01-01/opensearch/vpcEndpoints/{VpcEndpointId}"
          },
          input: {
            type: "structure",
            required: [
              "VpcEndpointId"
            ],
            members: {
              VpcEndpointId: {
                location: "uri",
                locationName: "VpcEndpointId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcEndpointSummary"
            ],
            members: {
              VpcEndpointSummary: {
                shape: "S43"
              }
            }
          }
        },
        DescribeDomain: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/domain/{DomainName}"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainStatus"
            ],
            members: {
              DomainStatus: {
                shape: "S2q"
              }
            }
          }
        },
        DescribeDomainAutoTunes: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/domain/{DomainName}/autoTunes"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AutoTunes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AutoTuneType: {},
                    AutoTuneDetails: {
                      type: "structure",
                      members: {
                        ScheduledAutoTuneDetails: {
                          type: "structure",
                          members: {
                            Date: {
                              type: "timestamp"
                            },
                            ActionType: {},
                            Action: {},
                            Severity: {}
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeDomainChangeProgress: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/domain/{DomainName}/progress"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              ChangeId: {
                location: "querystring",
                locationName: "changeid"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeProgressStatus: {
                type: "structure",
                members: {
                  ChangeId: {},
                  StartTime: {
                    type: "timestamp"
                  },
                  Status: {},
                  PendingProperties: {
                    shape: "S1m"
                  },
                  CompletedProperties: {
                    shape: "S1m"
                  },
                  TotalNumberOfStages: {
                    type: "integer"
                  },
                  ChangeProgressStages: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Name: {},
                        Status: {},
                        Description: {},
                        LastUpdated: {
                          type: "timestamp"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeDomainConfig: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/domain/{DomainName}/config"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainConfig"
            ],
            members: {
              DomainConfig: {
                shape: "S4w"
              }
            }
          }
        },
        DescribeDomainHealth: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/domain/{DomainName}/health"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainState: {},
              AvailabilityZoneCount: {},
              ActiveAvailabilityZoneCount: {},
              StandByAvailabilityZoneCount: {},
              DataNodeCount: {},
              DedicatedMaster: {
                type: "boolean"
              },
              MasterEligibleNodeCount: {},
              WarmNodeCount: {},
              MasterNode: {},
              ClusterHealth: {},
              TotalShards: {},
              TotalUnAssignedShards: {},
              EnvironmentInformation: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AvailabilityZoneInformation: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          AvailabilityZoneName: {},
                          ZoneStatus: {},
                          ConfiguredDataNodeCount: {},
                          AvailableDataNodeCount: {},
                          TotalShards: {},
                          TotalUnAssignedShards: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeDomainNodes: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/domain/{DomainName}/nodes"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainNodesStatusList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    NodeId: {},
                    NodeType: {},
                    AvailabilityZone: {},
                    InstanceType: {},
                    NodeStatus: {},
                    StorageType: {},
                    StorageVolumeType: {},
                    StorageSize: {}
                  }
                }
              }
            }
          }
        },
        DescribeDomains: {
          http: {
            requestUri: "/2021-01-01/opensearch/domain-info"
          },
          input: {
            type: "structure",
            required: [
              "DomainNames"
            ],
            members: {
              DomainNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainStatusList"
            ],
            members: {
              DomainStatusList: {
                type: "list",
                member: {
                  shape: "S2q"
                }
              }
            }
          }
        },
        DescribeDryRunProgress: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/domain/{DomainName}/dryRun"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              DryRunId: {
                location: "querystring",
                locationName: "dryRunId"
              },
              LoadDryRunConfig: {
                location: "querystring",
                locationName: "loadDryRunConfig",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DryRunProgressStatus: {
                shape: "S6c"
              },
              DryRunConfig: {
                shape: "S2q"
              },
              DryRunResults: {
                shape: "S6f"
              }
            }
          }
        },
        DescribeInboundConnections: {
          http: {
            requestUri: "/2021-01-01/opensearch/cc/inboundConnection/search"
          },
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S6i"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Connections: {
                type: "list",
                member: {
                  shape: "S4"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeInstanceTypeLimits: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/instanceTypeLimits/{EngineVersion}/{InstanceType}"
          },
          input: {
            type: "structure",
            required: [
              "InstanceType",
              "EngineVersion"
            ],
            members: {
              DomainName: {
                location: "querystring",
                locationName: "domainName"
              },
              InstanceType: {
                location: "uri",
                locationName: "InstanceType"
              },
              EngineVersion: {
                location: "uri",
                locationName: "EngineVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LimitsByRole: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    StorageTypes: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          StorageTypeName: {},
                          StorageSubTypeName: {},
                          StorageTypeLimits: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                LimitName: {},
                                LimitValues: {
                                  shape: "S6z"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    InstanceLimits: {
                      type: "structure",
                      members: {
                        InstanceCountLimits: {
                          type: "structure",
                          members: {
                            MinimumInstanceCount: {
                              type: "integer"
                            },
                            MaximumInstanceCount: {
                              type: "integer"
                            }
                          }
                        }
                      }
                    },
                    AdditionalLimits: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          LimitName: {},
                          LimitValues: {
                            shape: "S6z"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        DescribeOutboundConnections: {
          http: {
            requestUri: "/2021-01-01/opensearch/cc/outboundConnection/search"
          },
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "S6i"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Connections: {
                type: "list",
                member: {
                  shape: "S3y"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribePackages: {
          http: {
            requestUri: "/2021-01-01/packages/describe"
          },
          input: {
            type: "structure",
            members: {
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Value: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PackageDetailsList: {
                type: "list",
                member: {
                  shape: "S3i"
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeReservedInstanceOfferings: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/reservedInstanceOfferings"
          },
          input: {
            type: "structure",
            members: {
              ReservedInstanceOfferingId: {
                location: "querystring",
                locationName: "offeringId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ReservedInstanceOfferings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ReservedInstanceOfferingId: {},
                    InstanceType: {},
                    Duration: {
                      type: "integer"
                    },
                    FixedPrice: {
                      type: "double"
                    },
                    UsagePrice: {
                      type: "double"
                    },
                    CurrencyCode: {},
                    PaymentOption: {},
                    RecurringCharges: {
                      shape: "S7p"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeReservedInstances: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/reservedInstances"
          },
          input: {
            type: "structure",
            members: {
              ReservedInstanceId: {
                location: "querystring",
                locationName: "reservationId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ReservedInstances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ReservationName: {},
                    ReservedInstanceId: {},
                    BillingSubscriptionId: {
                      type: "long"
                    },
                    ReservedInstanceOfferingId: {},
                    InstanceType: {},
                    StartTime: {
                      type: "timestamp"
                    },
                    Duration: {
                      type: "integer"
                    },
                    FixedPrice: {
                      type: "double"
                    },
                    UsagePrice: {
                      type: "double"
                    },
                    CurrencyCode: {},
                    InstanceCount: {
                      type: "integer"
                    },
                    State: {},
                    PaymentOption: {},
                    RecurringCharges: {
                      shape: "S7p"
                    }
                  }
                }
              }
            }
          }
        },
        DescribeVpcEndpoints: {
          http: {
            requestUri: "/2021-01-01/opensearch/vpcEndpoints/describe"
          },
          input: {
            type: "structure",
            required: [
              "VpcEndpointIds"
            ],
            members: {
              VpcEndpointIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcEndpoints",
              "VpcEndpointErrors"
            ],
            members: {
              VpcEndpoints: {
                type: "list",
                member: {
                  shape: "S3p"
                }
              },
              VpcEndpointErrors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VpcEndpointId: {},
                    ErrorCode: {},
                    ErrorMessage: {}
                  }
                }
              }
            }
          }
        },
        DissociatePackage: {
          http: {
            requestUri: "/2021-01-01/packages/dissociate/{PackageID}/{DomainName}"
          },
          input: {
            type: "structure",
            required: [
              "PackageID",
              "DomainName"
            ],
            members: {
              PackageID: {
                location: "uri",
                locationName: "PackageID"
              },
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainPackageDetails: {
                shape: "Sn"
              }
            }
          }
        },
        GetCompatibleVersions: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/compatibleVersions"
          },
          input: {
            type: "structure",
            members: {
              DomainName: {
                location: "querystring",
                locationName: "domainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CompatibleVersions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    SourceVersion: {},
                    TargetVersions: {
                      shape: "S8a"
                    }
                  }
                }
              }
            }
          }
        },
        GetPackageVersionHistory: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/packages/{PackageID}/history"
          },
          input: {
            type: "structure",
            required: [
              "PackageID"
            ],
            members: {
              PackageID: {
                location: "uri",
                locationName: "PackageID"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PackageID: {},
              PackageVersionHistoryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    PackageVersion: {},
                    CommitMessage: {},
                    CreatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetUpgradeHistory: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/upgradeDomain/{DomainName}/history"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UpgradeHistories: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    UpgradeName: {},
                    StartTimestamp: {
                      type: "timestamp"
                    },
                    UpgradeStatus: {},
                    StepsList: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          UpgradeStep: {},
                          UpgradeStepStatus: {},
                          Issues: {
                            type: "list",
                            member: {}
                          },
                          ProgressPercent: {
                            type: "double"
                          }
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        GetUpgradeStatus: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/upgradeDomain/{DomainName}/status"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UpgradeStep: {},
              StepStatus: {},
              UpgradeName: {}
            }
          }
        },
        ListDomainNames: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/domain"
          },
          input: {
            type: "structure",
            members: {
              EngineType: {
                location: "querystring",
                locationName: "engineType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainNames: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DomainName: {},
                    EngineType: {}
                  }
                }
              }
            }
          }
        },
        ListDomainsForPackage: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/packages/{PackageID}/domains"
          },
          input: {
            type: "structure",
            required: [
              "PackageID"
            ],
            members: {
              PackageID: {
                location: "uri",
                locationName: "PackageID"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainPackageDetailsList: {
                shape: "S91"
              },
              NextToken: {}
            }
          }
        },
        ListInstanceTypeDetails: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/instanceTypeDetails/{EngineVersion}"
          },
          input: {
            type: "structure",
            required: [
              "EngineVersion"
            ],
            members: {
              EngineVersion: {
                location: "uri",
                locationName: "EngineVersion"
              },
              DomainName: {
                location: "querystring",
                locationName: "domainName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              RetrieveAZs: {
                location: "querystring",
                locationName: "retrieveAZs",
                type: "boolean"
              },
              InstanceType: {
                location: "querystring",
                locationName: "instanceType"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceTypeDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InstanceType: {},
                    EncryptionEnabled: {
                      type: "boolean"
                    },
                    CognitoEnabled: {
                      type: "boolean"
                    },
                    AppLogsEnabled: {
                      type: "boolean"
                    },
                    AdvancedSecurityEnabled: {
                      type: "boolean"
                    },
                    WarmEnabled: {
                      type: "boolean"
                    },
                    InstanceRole: {
                      type: "list",
                      member: {}
                    },
                    AvailabilityZones: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPackagesForDomain: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/domain/{DomainName}/packages"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DomainPackageDetailsList: {
                shape: "S91"
              },
              NextToken: {}
            }
          }
        },
        ListScheduledActions: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/domain/{DomainName}/scheduledActions"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ScheduledActions: {
                type: "list",
                member: {
                  shape: "S9e"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTags: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/tags/"
          },
          input: {
            type: "structure",
            required: [
              "ARN"
            ],
            members: {
              ARN: {
                location: "querystring",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TagList: {
                shape: "Sg"
              }
            }
          }
        },
        ListVersions: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/versions"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Versions: {
                shape: "S8a"
              },
              NextToken: {}
            }
          }
        },
        ListVpcEndpointAccess: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/domain/{DomainName}/listVpcEndpointAccess"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "AuthorizedPrincipalList",
              "NextToken"
            ],
            members: {
              AuthorizedPrincipalList: {
                type: "list",
                member: {
                  shape: "S10"
                }
              },
              NextToken: {}
            }
          }
        },
        ListVpcEndpoints: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/vpcEndpoints"
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcEndpointSummaryList",
              "NextToken"
            ],
            members: {
              VpcEndpointSummaryList: {
                shape: "S9s"
              },
              NextToken: {}
            }
          }
        },
        ListVpcEndpointsForDomain: {
          http: {
            method: "GET",
            requestUri: "/2021-01-01/opensearch/domain/{DomainName}/vpcEndpoints"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcEndpointSummaryList",
              "NextToken"
            ],
            members: {
              VpcEndpointSummaryList: {
                shape: "S9s"
              },
              NextToken: {}
            }
          }
        },
        PurchaseReservedInstanceOffering: {
          http: {
            requestUri: "/2021-01-01/opensearch/purchaseReservedInstanceOffering"
          },
          input: {
            type: "structure",
            required: [
              "ReservedInstanceOfferingId",
              "ReservationName"
            ],
            members: {
              ReservedInstanceOfferingId: {},
              ReservationName: {},
              InstanceCount: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ReservedInstanceId: {},
              ReservationName: {}
            }
          }
        },
        RejectInboundConnection: {
          http: {
            method: "PUT",
            requestUri: "/2021-01-01/opensearch/cc/inboundConnection/{ConnectionId}/reject"
          },
          input: {
            type: "structure",
            required: [
              "ConnectionId"
            ],
            members: {
              ConnectionId: {
                location: "uri",
                locationName: "ConnectionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Connection: {
                shape: "S4"
              }
            }
          }
        },
        RemoveTags: {
          http: {
            requestUri: "/2021-01-01/tags-removal"
          },
          input: {
            type: "structure",
            required: [
              "ARN",
              "TagKeys"
            ],
            members: {
              ARN: {},
              TagKeys: {
                shape: "S1m"
              }
            }
          }
        },
        RevokeVpcEndpointAccess: {
          http: {
            requestUri: "/2021-01-01/opensearch/domain/{DomainName}/revokeVpcEndpointAccess"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "Account"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              Account: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartServiceSoftwareUpdate: {
          http: {
            requestUri: "/2021-01-01/opensearch/serviceSoftwareUpdate/start"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {},
              ScheduleAt: {},
              DesiredStartTime: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ServiceSoftwareOptions: {
                shape: "S15"
              }
            }
          }
        },
        UpdateDomainConfig: {
          http: {
            requestUri: "/2021-01-01/opensearch/domain/{DomainName}/config"
          },
          input: {
            type: "structure",
            required: [
              "DomainName"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              ClusterConfig: {
                shape: "S1b"
              },
              EBSOptions: {
                shape: "S1h"
              },
              SnapshotOptions: {
                shape: "S1k"
              },
              VPCOptions: {
                shape: "S1l"
              },
              CognitoOptions: {
                shape: "S1n"
              },
              AdvancedOptions: {
                shape: "S1u"
              },
              AccessPolicies: {},
              LogPublishingOptions: {
                shape: "S1v"
              },
              EncryptionAtRestOptions: {
                shape: "S1r"
              },
              DomainEndpointOptions: {
                shape: "S1z"
              },
              NodeToNodeEncryptionOptions: {
                shape: "S1t"
              },
              AdvancedSecurityOptions: {
                shape: "S22"
              },
              AutoTuneOptions: {
                shape: "S5e"
              },
              DryRun: {
                type: "boolean"
              },
              DryRunMode: {},
              OffPeakWindowOptions: {
                shape: "S2j"
              },
              SoftwareUpdateOptions: {
                shape: "S2o"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "DomainConfig"
            ],
            members: {
              DomainConfig: {
                shape: "S4w"
              },
              DryRunResults: {
                shape: "S6f"
              },
              DryRunProgressStatus: {
                shape: "S6c"
              }
            }
          }
        },
        UpdatePackage: {
          http: {
            requestUri: "/2021-01-01/packages/update"
          },
          input: {
            type: "structure",
            required: [
              "PackageID",
              "PackageSource"
            ],
            members: {
              PackageID: {},
              PackageSource: {
                shape: "S3e"
              },
              PackageDescription: {},
              CommitMessage: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PackageDetails: {
                shape: "S3i"
              }
            }
          }
        },
        UpdateScheduledAction: {
          http: {
            method: "PUT",
            requestUri: "/2021-01-01/opensearch/domain/{DomainName}/scheduledAction/update"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "ActionID",
              "ActionType",
              "ScheduleAt"
            ],
            members: {
              DomainName: {
                location: "uri",
                locationName: "DomainName"
              },
              ActionID: {},
              ActionType: {},
              ScheduleAt: {},
              DesiredStartTime: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ScheduledAction: {
                shape: "S9e"
              }
            }
          }
        },
        UpdateVpcEndpoint: {
          http: {
            requestUri: "/2021-01-01/opensearch/vpcEndpoints/update"
          },
          input: {
            type: "structure",
            required: [
              "VpcEndpointId",
              "VpcOptions"
            ],
            members: {
              VpcEndpointId: {},
              VpcOptions: {
                shape: "S1l"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "VpcEndpoint"
            ],
            members: {
              VpcEndpoint: {
                shape: "S3p"
              }
            }
          }
        },
        UpgradeDomain: {
          http: {
            requestUri: "/2021-01-01/opensearch/upgradeDomain"
          },
          input: {
            type: "structure",
            required: [
              "DomainName",
              "TargetVersion"
            ],
            members: {
              DomainName: {},
              TargetVersion: {},
              PerformCheckOnly: {
                type: "boolean"
              },
              AdvancedOptions: {
                shape: "S1u"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UpgradeId: {},
              DomainName: {},
              TargetVersion: {},
              PerformCheckOnly: {
                type: "boolean"
              },
              AdvancedOptions: {
                shape: "S1u"
              },
              ChangeProgressDetails: {
                shape: "S30"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            LocalDomainInfo: {
              shape: "S5"
            },
            RemoteDomainInfo: {
              shape: "S5"
            },
            ConnectionId: {},
            ConnectionStatus: {
              type: "structure",
              members: {
                StatusCode: {},
                Message: {}
              }
            },
            ConnectionMode: {}
          }
        },
        S5: {
          type: "structure",
          members: {
            AWSDomainInformation: {
              type: "structure",
              required: [
                "DomainName"
              ],
              members: {
                OwnerId: {},
                DomainName: {},
                Region: {}
              }
            }
          }
        },
        Sg: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sn: {
          type: "structure",
          members: {
            PackageID: {},
            PackageName: {},
            PackageType: {},
            LastUpdated: {
              type: "timestamp"
            },
            DomainName: {},
            DomainPackageStatus: {},
            PackageVersion: {},
            ReferencePath: {},
            ErrorDetails: {
              shape: "Su"
            }
          }
        },
        Su: {
          type: "structure",
          members: {
            ErrorType: {},
            ErrorMessage: {}
          }
        },
        S10: {
          type: "structure",
          members: {
            PrincipalType: {},
            Principal: {}
          }
        },
        S15: {
          type: "structure",
          members: {
            CurrentVersion: {},
            NewVersion: {},
            UpdateAvailable: {
              type: "boolean"
            },
            Cancellable: {
              type: "boolean"
            },
            UpdateStatus: {},
            Description: {},
            AutomatedUpdateDate: {
              type: "timestamp"
            },
            OptionalDeployment: {
              type: "boolean"
            }
          }
        },
        S1b: {
          type: "structure",
          members: {
            InstanceType: {},
            InstanceCount: {
              type: "integer"
            },
            DedicatedMasterEnabled: {
              type: "boolean"
            },
            ZoneAwarenessEnabled: {
              type: "boolean"
            },
            ZoneAwarenessConfig: {
              type: "structure",
              members: {
                AvailabilityZoneCount: {
                  type: "integer"
                }
              }
            },
            DedicatedMasterType: {},
            DedicatedMasterCount: {
              type: "integer"
            },
            WarmEnabled: {
              type: "boolean"
            },
            WarmType: {},
            WarmCount: {
              type: "integer"
            },
            ColdStorageOptions: {
              type: "structure",
              required: [
                "Enabled"
              ],
              members: {
                Enabled: {
                  type: "boolean"
                }
              }
            },
            MultiAZWithStandbyEnabled: {
              type: "boolean"
            }
          }
        },
        S1h: {
          type: "structure",
          members: {
            EBSEnabled: {
              type: "boolean"
            },
            VolumeType: {},
            VolumeSize: {
              type: "integer"
            },
            Iops: {
              type: "integer"
            },
            Throughput: {
              type: "integer"
            }
          }
        },
        S1k: {
          type: "structure",
          members: {
            AutomatedSnapshotStartHour: {
              type: "integer"
            }
          }
        },
        S1l: {
          type: "structure",
          members: {
            SubnetIds: {
              shape: "S1m"
            },
            SecurityGroupIds: {
              shape: "S1m"
            }
          }
        },
        S1m: {
          type: "list",
          member: {}
        },
        S1n: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            UserPoolId: {},
            IdentityPoolId: {},
            RoleArn: {}
          }
        },
        S1r: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            KmsKeyId: {}
          }
        },
        S1t: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            }
          }
        },
        S1u: {
          type: "map",
          key: {},
          value: {}
        },
        S1v: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              CloudWatchLogsLogGroupArn: {},
              Enabled: {
                type: "boolean"
              }
            }
          }
        },
        S1z: {
          type: "structure",
          members: {
            EnforceHTTPS: {
              type: "boolean"
            },
            TLSSecurityPolicy: {},
            CustomEndpointEnabled: {
              type: "boolean"
            },
            CustomEndpoint: {},
            CustomEndpointCertificateArn: {}
          }
        },
        S22: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            InternalUserDatabaseEnabled: {
              type: "boolean"
            },
            MasterUserOptions: {
              type: "structure",
              members: {
                MasterUserARN: {},
                MasterUserName: {
                  shape: "S24"
                },
                MasterUserPassword: {
                  type: "string",
                  sensitive: true
                }
              }
            },
            SAMLOptions: {
              type: "structure",
              members: {
                Enabled: {
                  type: "boolean"
                },
                Idp: {
                  shape: "S27"
                },
                MasterUserName: {
                  shape: "S24"
                },
                MasterBackendRole: {},
                SubjectKey: {},
                RolesKey: {},
                SessionTimeoutMinutes: {
                  type: "integer"
                }
              }
            },
            AnonymousAuthEnabled: {
              type: "boolean"
            }
          }
        },
        S24: {
          type: "string",
          sensitive: true
        },
        S27: {
          type: "structure",
          required: [
            "MetadataContent",
            "EntityId"
          ],
          members: {
            MetadataContent: {},
            EntityId: {}
          }
        },
        S2d: {
          type: "list",
          member: {
            type: "structure",
            members: {
              StartAt: {
                type: "timestamp"
              },
              Duration: {
                type: "structure",
                members: {
                  Value: {
                    type: "long"
                  },
                  Unit: {}
                }
              },
              CronExpressionForRecurrence: {}
            }
          }
        },
        S2j: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            OffPeakWindow: {
              type: "structure",
              members: {
                WindowStartTime: {
                  type: "structure",
                  required: [
                    "Hours",
                    "Minutes"
                  ],
                  members: {
                    Hours: {
                      type: "long"
                    },
                    Minutes: {
                      type: "long"
                    }
                  }
                }
              }
            }
          }
        },
        S2o: {
          type: "structure",
          members: {
            AutoSoftwareUpdateEnabled: {
              type: "boolean"
            }
          }
        },
        S2q: {
          type: "structure",
          required: [
            "DomainId",
            "DomainName",
            "ARN",
            "ClusterConfig"
          ],
          members: {
            DomainId: {},
            DomainName: {},
            ARN: {},
            Created: {
              type: "boolean"
            },
            Deleted: {
              type: "boolean"
            },
            Endpoint: {},
            Endpoints: {
              type: "map",
              key: {},
              value: {}
            },
            Processing: {
              type: "boolean"
            },
            UpgradeProcessing: {
              type: "boolean"
            },
            EngineVersion: {},
            ClusterConfig: {
              shape: "S1b"
            },
            EBSOptions: {
              shape: "S1h"
            },
            AccessPolicies: {},
            SnapshotOptions: {
              shape: "S1k"
            },
            VPCOptions: {
              shape: "S2u"
            },
            CognitoOptions: {
              shape: "S1n"
            },
            EncryptionAtRestOptions: {
              shape: "S1r"
            },
            NodeToNodeEncryptionOptions: {
              shape: "S1t"
            },
            AdvancedOptions: {
              shape: "S1u"
            },
            LogPublishingOptions: {
              shape: "S1v"
            },
            ServiceSoftwareOptions: {
              shape: "S15"
            },
            DomainEndpointOptions: {
              shape: "S1z"
            },
            AdvancedSecurityOptions: {
              shape: "S2v"
            },
            AutoTuneOptions: {
              type: "structure",
              members: {
                State: {},
                ErrorMessage: {},
                UseOffPeakWindow: {
                  type: "boolean"
                }
              }
            },
            ChangeProgressDetails: {
              shape: "S30"
            },
            OffPeakWindowOptions: {
              shape: "S2j"
            },
            SoftwareUpdateOptions: {
              shape: "S2o"
            }
          }
        },
        S2u: {
          type: "structure",
          members: {
            VPCId: {},
            SubnetIds: {
              shape: "S1m"
            },
            AvailabilityZones: {
              shape: "S1m"
            },
            SecurityGroupIds: {
              shape: "S1m"
            }
          }
        },
        S2v: {
          type: "structure",
          members: {
            Enabled: {
              type: "boolean"
            },
            InternalUserDatabaseEnabled: {
              type: "boolean"
            },
            SAMLOptions: {
              type: "structure",
              members: {
                Enabled: {
                  type: "boolean"
                },
                Idp: {
                  shape: "S27"
                },
                SubjectKey: {},
                RolesKey: {},
                SessionTimeoutMinutes: {
                  type: "integer"
                }
              }
            },
            AnonymousAuthDisableDate: {
              type: "timestamp"
            },
            AnonymousAuthEnabled: {
              type: "boolean"
            }
          }
        },
        S30: {
          type: "structure",
          members: {
            ChangeId: {},
            Message: {}
          }
        },
        S35: {
          type: "structure",
          members: {
            Endpoint: {},
            CrossClusterSearch: {
              type: "structure",
              members: {
                SkipUnavailable: {}
              }
            }
          }
        },
        S3a: {
          type: "structure",
          members: {
            StatusCode: {},
            Message: {}
          }
        },
        S3e: {
          type: "structure",
          members: {
            S3BucketName: {},
            S3Key: {}
          }
        },
        S3i: {
          type: "structure",
          members: {
            PackageID: {},
            PackageName: {},
            PackageType: {},
            PackageDescription: {},
            PackageStatus: {},
            CreatedAt: {
              type: "timestamp"
            },
            LastUpdatedAt: {
              type: "timestamp"
            },
            AvailablePackageVersion: {},
            ErrorDetails: {
              shape: "Su"
            }
          }
        },
        S3p: {
          type: "structure",
          members: {
            VpcEndpointId: {},
            VpcEndpointOwner: {},
            DomainArn: {},
            VpcOptions: {
              shape: "S2u"
            },
            Status: {},
            Endpoint: {}
          }
        },
        S3y: {
          type: "structure",
          members: {
            LocalDomainInfo: {
              shape: "S5"
            },
            RemoteDomainInfo: {
              shape: "S5"
            },
            ConnectionId: {},
            ConnectionAlias: {},
            ConnectionStatus: {
              shape: "S3a"
            },
            ConnectionMode: {},
            ConnectionProperties: {
              shape: "S35"
            }
          }
        },
        S43: {
          type: "structure",
          members: {
            VpcEndpointId: {},
            VpcEndpointOwner: {},
            DomainArn: {},
            Status: {}
          }
        },
        S4w: {
          type: "structure",
          members: {
            EngineVersion: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {},
                Status: {
                  shape: "S4y"
                }
              }
            },
            ClusterConfig: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S1b"
                },
                Status: {
                  shape: "S4y"
                }
              }
            },
            EBSOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S1h"
                },
                Status: {
                  shape: "S4y"
                }
              }
            },
            AccessPolicies: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {},
                Status: {
                  shape: "S4y"
                }
              }
            },
            SnapshotOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S1k"
                },
                Status: {
                  shape: "S4y"
                }
              }
            },
            VPCOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S2u"
                },
                Status: {
                  shape: "S4y"
                }
              }
            },
            CognitoOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S1n"
                },
                Status: {
                  shape: "S4y"
                }
              }
            },
            EncryptionAtRestOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S1r"
                },
                Status: {
                  shape: "S4y"
                }
              }
            },
            NodeToNodeEncryptionOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S1t"
                },
                Status: {
                  shape: "S4y"
                }
              }
            },
            AdvancedOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S1u"
                },
                Status: {
                  shape: "S4y"
                }
              }
            },
            LogPublishingOptions: {
              type: "structure",
              members: {
                Options: {
                  shape: "S1v"
                },
                Status: {
                  shape: "S4y"
                }
              }
            },
            DomainEndpointOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S1z"
                },
                Status: {
                  shape: "S4y"
                }
              }
            },
            AdvancedSecurityOptions: {
              type: "structure",
              required: [
                "Options",
                "Status"
              ],
              members: {
                Options: {
                  shape: "S2v"
                },
                Status: {
                  shape: "S4y"
                }
              }
            },
            AutoTuneOptions: {
              type: "structure",
              members: {
                Options: {
                  shape: "S5e"
                },
                Status: {
                  type: "structure",
                  required: [
                    "CreationDate",
                    "UpdateDate",
                    "State"
                  ],
                  members: {
                    CreationDate: {
                      type: "timestamp"
                    },
                    UpdateDate: {
                      type: "timestamp"
                    },
                    UpdateVersion: {
                      type: "integer"
                    },
                    State: {},
                    ErrorMessage: {},
                    PendingDeletion: {
                      type: "boolean"
                    }
                  }
                }
              }
            },
            ChangeProgressDetails: {
              shape: "S30"
            },
            OffPeakWindowOptions: {
              type: "structure",
              members: {
                Options: {
                  shape: "S2j"
                },
                Status: {
                  shape: "S4y"
                }
              }
            },
            SoftwareUpdateOptions: {
              type: "structure",
              members: {
                Options: {
                  shape: "S2o"
                },
                Status: {
                  shape: "S4y"
                }
              }
            }
          }
        },
        S4y: {
          type: "structure",
          required: [
            "CreationDate",
            "UpdateDate",
            "State"
          ],
          members: {
            CreationDate: {
              type: "timestamp"
            },
            UpdateDate: {
              type: "timestamp"
            },
            UpdateVersion: {
              type: "integer"
            },
            State: {},
            PendingDeletion: {
              type: "boolean"
            }
          }
        },
        S5e: {
          type: "structure",
          members: {
            DesiredState: {},
            RollbackOnDisable: {},
            MaintenanceSchedules: {
              shape: "S2d"
            },
            UseOffPeakWindow: {
              type: "boolean"
            }
          }
        },
        S6c: {
          type: "structure",
          required: [
            "DryRunId",
            "DryRunStatus",
            "CreationDate",
            "UpdateDate"
          ],
          members: {
            DryRunId: {},
            DryRunStatus: {},
            CreationDate: {},
            UpdateDate: {},
            ValidationFailures: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Code: {},
                  Message: {}
                }
              }
            }
          }
        },
        S6f: {
          type: "structure",
          members: {
            DeploymentType: {},
            Message: {}
          }
        },
        S6i: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Values: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S6z: {
          type: "list",
          member: {}
        },
        S7p: {
          type: "list",
          member: {
            type: "structure",
            members: {
              RecurringChargeAmount: {
                type: "double"
              },
              RecurringChargeFrequency: {}
            }
          }
        },
        S8a: {
          type: "list",
          member: {}
        },
        S91: {
          type: "list",
          member: {
            shape: "Sn"
          }
        },
        S9e: {
          type: "structure",
          required: [
            "Id",
            "Type",
            "Severity",
            "ScheduledTime"
          ],
          members: {
            Id: {},
            Type: {},
            Severity: {},
            ScheduledTime: {
              type: "long"
            },
            Description: {},
            ScheduledBy: {},
            Status: {},
            Mandatory: {
              type: "boolean"
            },
            Cancellable: {
              type: "boolean"
            }
          }
        },
        S9s: {
          type: "list",
          member: {
            shape: "S43"
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/opensearch-2021-01-01.paginators.json
var require_opensearch_2021_01_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/opensearch-2021-01-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeDomainAutoTunes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeInboundConnections: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeOutboundConnections: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribePackages: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeReservedInstanceOfferings: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        DescribeReservedInstances: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        GetPackageVersionHistory: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        GetUpgradeHistory: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDomainsForPackage: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListInstanceTypeDetails: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListPackagesForDomain: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListScheduledActions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListVersions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/opensearch.js
var require_opensearch = __commonJS({
  "node_modules/aws-sdk/clients/opensearch.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["opensearch"] = {};
    AWS2.OpenSearch = Service.defineService("opensearch", ["2021-01-01"]);
    Object.defineProperty(apiLoader.services["opensearch"], "2021-01-01", {
      get: function get() {
        var model = require_opensearch_2021_01_01_min();
        model.paginators = require_opensearch_2021_01_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.OpenSearch;
  }
});

// node_modules/aws-sdk/apis/kafkaconnect-2021-09-14.min.json
var require_kafkaconnect_2021_09_14_min = __commonJS({
  "node_modules/aws-sdk/apis/kafkaconnect-2021-09-14.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-09-14",
        endpointPrefix: "kafkaconnect",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Kafka Connect",
        serviceFullName: "Managed Streaming for Kafka Connect",
        serviceId: "KafkaConnect",
        signatureVersion: "v4",
        signingName: "kafkaconnect",
        uid: "kafkaconnect-2021-09-14"
      },
      operations: {
        CreateConnector: {
          http: {
            requestUri: "/v1/connectors",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "capacity",
              "connectorConfiguration",
              "connectorName",
              "kafkaCluster",
              "kafkaClusterClientAuthentication",
              "kafkaClusterEncryptionInTransit",
              "kafkaConnectVersion",
              "plugins",
              "serviceExecutionRoleArn"
            ],
            members: {
              capacity: {
                type: "structure",
                members: {
                  autoScaling: {
                    type: "structure",
                    required: [
                      "maxWorkerCount",
                      "mcuCount",
                      "minWorkerCount"
                    ],
                    members: {
                      maxWorkerCount: {
                        type: "integer"
                      },
                      mcuCount: {
                        type: "integer"
                      },
                      minWorkerCount: {
                        type: "integer"
                      },
                      scaleInPolicy: {
                        type: "structure",
                        required: [
                          "cpuUtilizationPercentage"
                        ],
                        members: {
                          cpuUtilizationPercentage: {
                            type: "integer"
                          }
                        }
                      },
                      scaleOutPolicy: {
                        type: "structure",
                        required: [
                          "cpuUtilizationPercentage"
                        ],
                        members: {
                          cpuUtilizationPercentage: {
                            type: "integer"
                          }
                        }
                      }
                    }
                  },
                  provisionedCapacity: {
                    type: "structure",
                    required: [
                      "mcuCount",
                      "workerCount"
                    ],
                    members: {
                      mcuCount: {
                        type: "integer"
                      },
                      workerCount: {
                        type: "integer"
                      }
                    }
                  }
                }
              },
              connectorConfiguration: {
                type: "map",
                key: {},
                value: {},
                sensitive: true
              },
              connectorDescription: {},
              connectorName: {},
              kafkaCluster: {
                type: "structure",
                required: [
                  "apacheKafkaCluster"
                ],
                members: {
                  apacheKafkaCluster: {
                    type: "structure",
                    required: [
                      "bootstrapServers",
                      "vpc"
                    ],
                    members: {
                      bootstrapServers: {},
                      vpc: {
                        type: "structure",
                        required: [
                          "subnets"
                        ],
                        members: {
                          securityGroups: {
                            shape: "Sh"
                          },
                          subnets: {
                            shape: "Sh"
                          }
                        }
                      }
                    }
                  }
                }
              },
              kafkaClusterClientAuthentication: {
                type: "structure",
                required: [
                  "authenticationType"
                ],
                members: {
                  authenticationType: {}
                }
              },
              kafkaClusterEncryptionInTransit: {
                type: "structure",
                required: [
                  "encryptionType"
                ],
                members: {
                  encryptionType: {}
                }
              },
              kafkaConnectVersion: {},
              logDelivery: {
                type: "structure",
                required: [
                  "workerLogDelivery"
                ],
                members: {
                  workerLogDelivery: {
                    type: "structure",
                    members: {
                      cloudWatchLogs: {
                        type: "structure",
                        required: [
                          "enabled"
                        ],
                        members: {
                          enabled: {
                            type: "boolean"
                          },
                          logGroup: {}
                        }
                      },
                      firehose: {
                        type: "structure",
                        required: [
                          "enabled"
                        ],
                        members: {
                          deliveryStream: {},
                          enabled: {
                            type: "boolean"
                          }
                        }
                      },
                      s3: {
                        type: "structure",
                        required: [
                          "enabled"
                        ],
                        members: {
                          bucket: {},
                          enabled: {
                            type: "boolean"
                          },
                          prefix: {}
                        }
                      }
                    }
                  }
                }
              },
              plugins: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "customPlugin"
                  ],
                  members: {
                    customPlugin: {
                      type: "structure",
                      required: [
                        "customPluginArn",
                        "revision"
                      ],
                      members: {
                        customPluginArn: {},
                        revision: {
                          type: "long"
                        }
                      }
                    }
                  }
                }
              },
              serviceExecutionRoleArn: {},
              workerConfiguration: {
                type: "structure",
                required: [
                  "revision",
                  "workerConfigurationArn"
                ],
                members: {
                  revision: {
                    type: "long"
                  },
                  workerConfigurationArn: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              connectorArn: {},
              connectorName: {},
              connectorState: {}
            }
          }
        },
        CreateCustomPlugin: {
          http: {
            requestUri: "/v1/custom-plugins",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "contentType",
              "location",
              "name"
            ],
            members: {
              contentType: {},
              description: {},
              location: {
                type: "structure",
                required: [
                  "s3Location"
                ],
                members: {
                  s3Location: {
                    type: "structure",
                    required: [
                      "bucketArn",
                      "fileKey"
                    ],
                    members: {
                      bucketArn: {},
                      fileKey: {},
                      objectVersion: {}
                    }
                  }
                }
              },
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              customPluginArn: {},
              customPluginState: {},
              name: {},
              revision: {
                type: "long"
              }
            }
          }
        },
        CreateWorkerConfiguration: {
          http: {
            requestUri: "/v1/worker-configurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "propertiesFileContent"
            ],
            members: {
              description: {},
              name: {},
              propertiesFileContent: {
                type: "string",
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              creationTime: {
                shape: "S19"
              },
              latestRevision: {
                shape: "S1a"
              },
              name: {},
              workerConfigurationArn: {}
            }
          }
        },
        DeleteConnector: {
          http: {
            method: "DELETE",
            requestUri: "/v1/connectors/{connectorArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "connectorArn"
            ],
            members: {
              connectorArn: {
                location: "uri",
                locationName: "connectorArn"
              },
              currentVersion: {
                location: "querystring",
                locationName: "currentVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              connectorArn: {},
              connectorState: {}
            }
          },
          idempotent: true
        },
        DeleteCustomPlugin: {
          http: {
            method: "DELETE",
            requestUri: "/v1/custom-plugins/{customPluginArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "customPluginArn"
            ],
            members: {
              customPluginArn: {
                location: "uri",
                locationName: "customPluginArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              customPluginArn: {},
              customPluginState: {}
            }
          },
          idempotent: true
        },
        DescribeConnector: {
          http: {
            method: "GET",
            requestUri: "/v1/connectors/{connectorArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "connectorArn"
            ],
            members: {
              connectorArn: {
                location: "uri",
                locationName: "connectorArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              capacity: {
                shape: "S1h"
              },
              connectorArn: {},
              connectorConfiguration: {
                type: "map",
                key: {},
                value: {},
                sensitive: true
              },
              connectorDescription: {},
              connectorName: {},
              connectorState: {},
              creationTime: {
                shape: "S19"
              },
              currentVersion: {},
              kafkaCluster: {
                shape: "S1o"
              },
              kafkaClusterClientAuthentication: {
                shape: "S1r"
              },
              kafkaClusterEncryptionInTransit: {
                shape: "S1s"
              },
              kafkaConnectVersion: {},
              logDelivery: {
                shape: "S1t"
              },
              plugins: {
                shape: "S1y"
              },
              serviceExecutionRoleArn: {},
              stateDescription: {
                shape: "S21"
              },
              workerConfiguration: {
                shape: "S22"
              }
            }
          }
        },
        DescribeCustomPlugin: {
          http: {
            method: "GET",
            requestUri: "/v1/custom-plugins/{customPluginArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "customPluginArn"
            ],
            members: {
              customPluginArn: {
                location: "uri",
                locationName: "customPluginArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              creationTime: {
                shape: "S19"
              },
              customPluginArn: {},
              customPluginState: {},
              description: {},
              latestRevision: {
                shape: "S25"
              },
              name: {},
              stateDescription: {
                shape: "S21"
              }
            }
          }
        },
        DescribeWorkerConfiguration: {
          http: {
            method: "GET",
            requestUri: "/v1/worker-configurations/{workerConfigurationArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workerConfigurationArn"
            ],
            members: {
              workerConfigurationArn: {
                location: "uri",
                locationName: "workerConfigurationArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              creationTime: {
                shape: "S19"
              },
              description: {},
              latestRevision: {
                type: "structure",
                members: {
                  creationTime: {
                    shape: "S19"
                  },
                  description: {},
                  propertiesFileContent: {
                    type: "string",
                    sensitive: true
                  },
                  revision: {
                    type: "long"
                  }
                }
              },
              name: {},
              workerConfigurationArn: {}
            }
          }
        },
        ListConnectors: {
          http: {
            method: "GET",
            requestUri: "/v1/connectors",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              connectorNamePrefix: {
                location: "querystring",
                locationName: "connectorNamePrefix"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              connectors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    capacity: {
                      shape: "S1h"
                    },
                    connectorArn: {},
                    connectorDescription: {},
                    connectorName: {},
                    connectorState: {},
                    creationTime: {
                      shape: "S19"
                    },
                    currentVersion: {},
                    kafkaCluster: {
                      shape: "S1o"
                    },
                    kafkaClusterClientAuthentication: {
                      shape: "S1r"
                    },
                    kafkaClusterEncryptionInTransit: {
                      shape: "S1s"
                    },
                    kafkaConnectVersion: {},
                    logDelivery: {
                      shape: "S1t"
                    },
                    plugins: {
                      shape: "S1y"
                    },
                    serviceExecutionRoleArn: {},
                    workerConfiguration: {
                      shape: "S22"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListCustomPlugins: {
          http: {
            method: "GET",
            requestUri: "/v1/custom-plugins",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              customPlugins: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    creationTime: {
                      shape: "S19"
                    },
                    customPluginArn: {},
                    customPluginState: {},
                    description: {},
                    latestRevision: {
                      shape: "S25"
                    },
                    name: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListWorkerConfigurations: {
          http: {
            method: "GET",
            requestUri: "/v1/worker-configurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              workerConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    creationTime: {
                      shape: "S19"
                    },
                    description: {},
                    latestRevision: {
                      shape: "S1a"
                    },
                    name: {},
                    workerConfigurationArn: {}
                  }
                }
              }
            }
          }
        },
        UpdateConnector: {
          http: {
            method: "PUT",
            requestUri: "/v1/connectors/{connectorArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "capacity",
              "connectorArn",
              "currentVersion"
            ],
            members: {
              capacity: {
                type: "structure",
                members: {
                  autoScaling: {
                    type: "structure",
                    required: [
                      "maxWorkerCount",
                      "mcuCount",
                      "minWorkerCount",
                      "scaleInPolicy",
                      "scaleOutPolicy"
                    ],
                    members: {
                      maxWorkerCount: {
                        type: "integer"
                      },
                      mcuCount: {
                        type: "integer"
                      },
                      minWorkerCount: {
                        type: "integer"
                      },
                      scaleInPolicy: {
                        type: "structure",
                        required: [
                          "cpuUtilizationPercentage"
                        ],
                        members: {
                          cpuUtilizationPercentage: {
                            type: "integer"
                          }
                        }
                      },
                      scaleOutPolicy: {
                        type: "structure",
                        required: [
                          "cpuUtilizationPercentage"
                        ],
                        members: {
                          cpuUtilizationPercentage: {
                            type: "integer"
                          }
                        }
                      }
                    }
                  },
                  provisionedCapacity: {
                    type: "structure",
                    required: [
                      "mcuCount",
                      "workerCount"
                    ],
                    members: {
                      mcuCount: {
                        type: "integer"
                      },
                      workerCount: {
                        type: "integer"
                      }
                    }
                  }
                }
              },
              connectorArn: {
                location: "uri",
                locationName: "connectorArn"
              },
              currentVersion: {
                location: "querystring",
                locationName: "currentVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              connectorArn: {},
              connectorState: {}
            }
          },
          idempotent: true
        }
      },
      shapes: {
        Sh: {
          type: "list",
          member: {}
        },
        S19: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S1a: {
          type: "structure",
          members: {
            creationTime: {
              shape: "S19"
            },
            description: {},
            revision: {
              type: "long"
            }
          }
        },
        S1h: {
          type: "structure",
          members: {
            autoScaling: {
              type: "structure",
              members: {
                maxWorkerCount: {
                  type: "integer"
                },
                mcuCount: {
                  type: "integer"
                },
                minWorkerCount: {
                  type: "integer"
                },
                scaleInPolicy: {
                  type: "structure",
                  members: {
                    cpuUtilizationPercentage: {
                      type: "integer"
                    }
                  }
                },
                scaleOutPolicy: {
                  type: "structure",
                  members: {
                    cpuUtilizationPercentage: {
                      type: "integer"
                    }
                  }
                }
              }
            },
            provisionedCapacity: {
              type: "structure",
              members: {
                mcuCount: {
                  type: "integer"
                },
                workerCount: {
                  type: "integer"
                }
              }
            }
          }
        },
        S1o: {
          type: "structure",
          members: {
            apacheKafkaCluster: {
              type: "structure",
              members: {
                bootstrapServers: {},
                vpc: {
                  type: "structure",
                  members: {
                    securityGroups: {
                      shape: "Sh"
                    },
                    subnets: {
                      shape: "Sh"
                    }
                  }
                }
              }
            }
          }
        },
        S1r: {
          type: "structure",
          members: {
            authenticationType: {}
          }
        },
        S1s: {
          type: "structure",
          members: {
            encryptionType: {}
          }
        },
        S1t: {
          type: "structure",
          members: {
            workerLogDelivery: {
              type: "structure",
              members: {
                cloudWatchLogs: {
                  type: "structure",
                  members: {
                    enabled: {
                      type: "boolean"
                    },
                    logGroup: {}
                  }
                },
                firehose: {
                  type: "structure",
                  members: {
                    deliveryStream: {},
                    enabled: {
                      type: "boolean"
                    }
                  }
                },
                s3: {
                  type: "structure",
                  members: {
                    bucket: {},
                    enabled: {
                      type: "boolean"
                    },
                    prefix: {}
                  }
                }
              }
            }
          }
        },
        S1y: {
          type: "list",
          member: {
            type: "structure",
            members: {
              customPlugin: {
                type: "structure",
                members: {
                  customPluginArn: {},
                  revision: {
                    type: "long"
                  }
                }
              }
            }
          }
        },
        S21: {
          type: "structure",
          members: {
            code: {},
            message: {}
          }
        },
        S22: {
          type: "structure",
          members: {
            revision: {
              type: "long"
            },
            workerConfigurationArn: {}
          }
        },
        S25: {
          type: "structure",
          members: {
            contentType: {},
            creationTime: {
              shape: "S19"
            },
            description: {},
            fileDescription: {
              type: "structure",
              members: {
                fileMd5: {},
                fileSize: {
                  type: "long"
                }
              }
            },
            location: {
              type: "structure",
              members: {
                s3Location: {
                  type: "structure",
                  members: {
                    bucketArn: {},
                    fileKey: {},
                    objectVersion: {}
                  }
                }
              }
            },
            revision: {
              type: "long"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/kafkaconnect-2021-09-14.paginators.json
var require_kafkaconnect_2021_09_14_paginators = __commonJS({
  "node_modules/aws-sdk/apis/kafkaconnect-2021-09-14.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListConnectors: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "connectors"
        },
        ListCustomPlugins: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "customPlugins"
        },
        ListWorkerConfigurations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "workerConfigurations"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/kafkaconnect.js
var require_kafkaconnect = __commonJS({
  "node_modules/aws-sdk/clients/kafkaconnect.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["kafkaconnect"] = {};
    AWS2.KafkaConnect = Service.defineService("kafkaconnect", ["2021-09-14"]);
    Object.defineProperty(apiLoader.services["kafkaconnect"], "2021-09-14", {
      get: function get() {
        var model = require_kafkaconnect_2021_09_14_min();
        model.paginators = require_kafkaconnect_2021_09_14_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.KafkaConnect;
  }
});

// node_modules/aws-sdk/apis/voice-id-2021-09-27.min.json
var require_voice_id_2021_09_27_min = __commonJS({
  "node_modules/aws-sdk/apis/voice-id-2021-09-27.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-09-27",
        endpointPrefix: "voiceid",
        jsonVersion: "1.0",
        protocol: "json",
        serviceFullName: "Amazon Voice ID",
        serviceId: "Voice ID",
        signatureVersion: "v4",
        signingName: "voiceid",
        targetPrefix: "VoiceID",
        uid: "voice-id-2021-09-27"
      },
      operations: {
        AssociateFraudster: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "FraudsterId",
              "WatchlistId"
            ],
            members: {
              DomainId: {},
              FraudsterId: {
                shape: "S3"
              },
              WatchlistId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Fraudster: {
                shape: "S6"
              }
            }
          }
        },
        CreateDomain: {
          input: {
            type: "structure",
            required: [
              "Name",
              "ServerSideEncryptionConfiguration"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              Description: {
                shape: "Sc"
              },
              Name: {
                shape: "Sd"
              },
              ServerSideEncryptionConfiguration: {
                shape: "Se"
              },
              Tags: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Domain: {
                shape: "Sl"
              }
            }
          },
          idempotent: true
        },
        CreateWatchlist: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "Name"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              Description: {
                shape: "St"
              },
              DomainId: {},
              Name: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Watchlist: {
                shape: "Sw"
              }
            }
          },
          idempotent: true
        },
        DeleteDomain: {
          input: {
            type: "structure",
            required: [
              "DomainId"
            ],
            members: {
              DomainId: {}
            }
          },
          idempotent: true
        },
        DeleteFraudster: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "FraudsterId"
            ],
            members: {
              DomainId: {},
              FraudsterId: {
                shape: "S3"
              }
            }
          }
        },
        DeleteSpeaker: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "SpeakerId"
            ],
            members: {
              DomainId: {},
              SpeakerId: {
                shape: "S11"
              }
            }
          }
        },
        DeleteWatchlist: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "WatchlistId"
            ],
            members: {
              DomainId: {},
              WatchlistId: {}
            }
          }
        },
        DescribeDomain: {
          input: {
            type: "structure",
            required: [
              "DomainId"
            ],
            members: {
              DomainId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Domain: {
                shape: "Sl"
              }
            }
          }
        },
        DescribeFraudster: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "FraudsterId"
            ],
            members: {
              DomainId: {},
              FraudsterId: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Fraudster: {
                shape: "S6"
              }
            }
          }
        },
        DescribeFraudsterRegistrationJob: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "JobId"
            ],
            members: {
              DomainId: {},
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Job: {
                shape: "S1a"
              }
            }
          }
        },
        DescribeSpeaker: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "SpeakerId"
            ],
            members: {
              DomainId: {},
              SpeakerId: {
                shape: "S11"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Speaker: {
                shape: "S1q"
              }
            }
          }
        },
        DescribeSpeakerEnrollmentJob: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "JobId"
            ],
            members: {
              DomainId: {},
              JobId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Job: {
                shape: "S1w"
              }
            }
          }
        },
        DescribeWatchlist: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "WatchlistId"
            ],
            members: {
              DomainId: {},
              WatchlistId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Watchlist: {
                shape: "Sw"
              }
            }
          }
        },
        DisassociateFraudster: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "FraudsterId",
              "WatchlistId"
            ],
            members: {
              DomainId: {},
              FraudsterId: {
                shape: "S3"
              },
              WatchlistId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Fraudster: {
                shape: "S6"
              }
            }
          }
        },
        EvaluateSession: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "SessionNameOrId"
            ],
            members: {
              DomainId: {},
              SessionNameOrId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AuthenticationResult: {
                type: "structure",
                members: {
                  AudioAggregationEndedAt: {
                    type: "timestamp"
                  },
                  AudioAggregationStartedAt: {
                    type: "timestamp"
                  },
                  AuthenticationResultId: {},
                  Configuration: {
                    type: "structure",
                    required: [
                      "AcceptanceThreshold"
                    ],
                    members: {
                      AcceptanceThreshold: {
                        type: "integer"
                      }
                    }
                  },
                  CustomerSpeakerId: {
                    shape: "S1r"
                  },
                  Decision: {},
                  GeneratedSpeakerId: {},
                  Score: {
                    type: "integer"
                  }
                }
              },
              DomainId: {},
              FraudDetectionResult: {
                type: "structure",
                members: {
                  AudioAggregationEndedAt: {
                    type: "timestamp"
                  },
                  AudioAggregationStartedAt: {
                    type: "timestamp"
                  },
                  Configuration: {
                    type: "structure",
                    members: {
                      RiskThreshold: {
                        type: "integer"
                      },
                      WatchlistId: {}
                    }
                  },
                  Decision: {},
                  FraudDetectionResultId: {},
                  Reasons: {
                    type: "list",
                    member: {}
                  },
                  RiskDetails: {
                    type: "structure",
                    required: [
                      "KnownFraudsterRisk",
                      "VoiceSpoofingRisk"
                    ],
                    members: {
                      KnownFraudsterRisk: {
                        type: "structure",
                        required: [
                          "RiskScore"
                        ],
                        members: {
                          GeneratedFraudsterId: {},
                          RiskScore: {
                            type: "integer"
                          }
                        }
                      },
                      VoiceSpoofingRisk: {
                        type: "structure",
                        required: [
                          "RiskScore"
                        ],
                        members: {
                          RiskScore: {
                            type: "integer"
                          }
                        }
                      }
                    }
                  }
                }
              },
              SessionId: {},
              SessionName: {},
              StreamingStatus: {}
            }
          }
        },
        ListDomains: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              DomainSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    Description: {
                      shape: "Sc"
                    },
                    DomainId: {},
                    DomainStatus: {},
                    Name: {
                      shape: "Sd"
                    },
                    ServerSideEncryptionConfiguration: {
                      shape: "Se"
                    },
                    ServerSideEncryptionUpdateDetails: {
                      shape: "So"
                    },
                    UpdatedAt: {
                      type: "timestamp"
                    },
                    WatchlistDetails: {
                      shape: "Sr"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListFraudsterRegistrationJobs: {
          input: {
            type: "structure",
            required: [
              "DomainId"
            ],
            members: {
              DomainId: {},
              JobStatus: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreatedAt: {
                      type: "timestamp"
                    },
                    DomainId: {},
                    EndedAt: {
                      type: "timestamp"
                    },
                    FailureDetails: {
                      shape: "S1c"
                    },
                    JobId: {},
                    JobName: {
                      shape: "S1g"
                    },
                    JobProgress: {
                      shape: "S1h"
                    },
                    JobStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListFraudsters: {
          input: {
            type: "structure",
            required: [
              "DomainId"
            ],
            members: {
              DomainId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              WatchlistId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              FraudsterSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreatedAt: {
                      type: "timestamp"
                    },
                    DomainId: {},
                    GeneratedFraudsterId: {},
                    WatchlistIds: {
                      shape: "S9"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSpeakerEnrollmentJobs: {
          input: {
            type: "structure",
            required: [
              "DomainId"
            ],
            members: {
              DomainId: {},
              JobStatus: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              JobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreatedAt: {
                      type: "timestamp"
                    },
                    DomainId: {},
                    EndedAt: {
                      type: "timestamp"
                    },
                    FailureDetails: {
                      shape: "S1c"
                    },
                    JobId: {},
                    JobName: {
                      shape: "S1g"
                    },
                    JobProgress: {
                      shape: "S1h"
                    },
                    JobStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSpeakers: {
          input: {
            type: "structure",
            required: [
              "DomainId"
            ],
            members: {
              DomainId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              SpeakerSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreatedAt: {
                      type: "timestamp"
                    },
                    CustomerSpeakerId: {
                      shape: "S1r"
                    },
                    DomainId: {},
                    GeneratedSpeakerId: {},
                    LastAccessedAt: {
                      type: "timestamp"
                    },
                    Status: {},
                    UpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sg"
              }
            }
          }
        },
        ListWatchlists: {
          input: {
            type: "structure",
            required: [
              "DomainId"
            ],
            members: {
              DomainId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              WatchlistSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreatedAt: {
                      type: "timestamp"
                    },
                    DefaultWatchlist: {
                      type: "boolean"
                    },
                    Description: {
                      shape: "St"
                    },
                    DomainId: {},
                    Name: {
                      shape: "Su"
                    },
                    UpdatedAt: {
                      type: "timestamp"
                    },
                    WatchlistId: {}
                  }
                }
              }
            }
          }
        },
        OptOutSpeaker: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "SpeakerId"
            ],
            members: {
              DomainId: {},
              SpeakerId: {
                shape: "S11"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Speaker: {
                shape: "S1q"
              }
            }
          }
        },
        StartFraudsterRegistrationJob: {
          input: {
            type: "structure",
            required: [
              "DataAccessRoleArn",
              "DomainId",
              "InputDataConfig",
              "OutputDataConfig"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              DataAccessRoleArn: {},
              DomainId: {},
              InputDataConfig: {
                shape: "S1e"
              },
              JobName: {
                shape: "S1g"
              },
              OutputDataConfig: {
                shape: "S1k"
              },
              RegistrationConfig: {
                shape: "S1l"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Job: {
                shape: "S1a"
              }
            }
          },
          idempotent: true
        },
        StartSpeakerEnrollmentJob: {
          input: {
            type: "structure",
            required: [
              "DataAccessRoleArn",
              "DomainId",
              "InputDataConfig",
              "OutputDataConfig"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              DataAccessRoleArn: {},
              DomainId: {},
              EnrollmentConfig: {
                shape: "S1x"
              },
              InputDataConfig: {
                shape: "S1e"
              },
              JobName: {
                shape: "S1g"
              },
              OutputDataConfig: {
                shape: "S1k"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Job: {
                shape: "S1w"
              }
            }
          },
          idempotent: true
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sg"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {
                  shape: "Si"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDomain: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "Name",
              "ServerSideEncryptionConfiguration"
            ],
            members: {
              Description: {
                shape: "Sc"
              },
              DomainId: {},
              Name: {
                shape: "Sd"
              },
              ServerSideEncryptionConfiguration: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Domain: {
                shape: "Sl"
              }
            }
          }
        },
        UpdateWatchlist: {
          input: {
            type: "structure",
            required: [
              "DomainId",
              "WatchlistId"
            ],
            members: {
              Description: {
                shape: "St"
              },
              DomainId: {},
              Name: {
                shape: "Su"
              },
              WatchlistId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Watchlist: {
                shape: "Sw"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "string",
          sensitive: true
        },
        S6: {
          type: "structure",
          members: {
            CreatedAt: {
              type: "timestamp"
            },
            DomainId: {},
            GeneratedFraudsterId: {},
            WatchlistIds: {
              shape: "S9"
            }
          }
        },
        S9: {
          type: "list",
          member: {}
        },
        Sc: {
          type: "string",
          sensitive: true
        },
        Sd: {
          type: "string",
          sensitive: true
        },
        Se: {
          type: "structure",
          required: [
            "KmsKeyId"
          ],
          members: {
            KmsKeyId: {}
          }
        },
        Sg: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {
                shape: "Si"
              },
              Value: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        Si: {
          type: "string",
          sensitive: true
        },
        Sl: {
          type: "structure",
          members: {
            Arn: {},
            CreatedAt: {
              type: "timestamp"
            },
            Description: {
              shape: "Sc"
            },
            DomainId: {},
            DomainStatus: {},
            Name: {
              shape: "Sd"
            },
            ServerSideEncryptionConfiguration: {
              shape: "Se"
            },
            ServerSideEncryptionUpdateDetails: {
              shape: "So"
            },
            UpdatedAt: {
              type: "timestamp"
            },
            WatchlistDetails: {
              shape: "Sr"
            }
          }
        },
        So: {
          type: "structure",
          members: {
            Message: {},
            OldKmsKeyId: {},
            UpdateStatus: {}
          }
        },
        Sr: {
          type: "structure",
          required: [
            "DefaultWatchlistId"
          ],
          members: {
            DefaultWatchlistId: {}
          }
        },
        St: {
          type: "string",
          sensitive: true
        },
        Su: {
          type: "string",
          sensitive: true
        },
        Sw: {
          type: "structure",
          members: {
            CreatedAt: {
              type: "timestamp"
            },
            DefaultWatchlist: {
              type: "boolean"
            },
            Description: {
              shape: "St"
            },
            DomainId: {},
            Name: {
              shape: "Su"
            },
            UpdatedAt: {
              type: "timestamp"
            },
            WatchlistId: {}
          }
        },
        S11: {
          type: "string",
          sensitive: true
        },
        S1a: {
          type: "structure",
          members: {
            CreatedAt: {
              type: "timestamp"
            },
            DataAccessRoleArn: {},
            DomainId: {},
            EndedAt: {
              type: "timestamp"
            },
            FailureDetails: {
              shape: "S1c"
            },
            InputDataConfig: {
              shape: "S1e"
            },
            JobId: {},
            JobName: {
              shape: "S1g"
            },
            JobProgress: {
              shape: "S1h"
            },
            JobStatus: {},
            OutputDataConfig: {
              shape: "S1k"
            },
            RegistrationConfig: {
              shape: "S1l"
            }
          }
        },
        S1c: {
          type: "structure",
          members: {
            Message: {},
            StatusCode: {
              type: "integer"
            }
          }
        },
        S1e: {
          type: "structure",
          required: [
            "S3Uri"
          ],
          members: {
            S3Uri: {}
          }
        },
        S1g: {
          type: "string",
          sensitive: true
        },
        S1h: {
          type: "structure",
          members: {
            PercentComplete: {
              type: "integer"
            }
          }
        },
        S1k: {
          type: "structure",
          required: [
            "S3Uri"
          ],
          members: {
            KmsKeyId: {},
            S3Uri: {}
          }
        },
        S1l: {
          type: "structure",
          members: {
            DuplicateRegistrationAction: {},
            FraudsterSimilarityThreshold: {
              type: "integer"
            },
            WatchlistIds: {
              type: "list",
              member: {}
            }
          }
        },
        S1q: {
          type: "structure",
          members: {
            CreatedAt: {
              type: "timestamp"
            },
            CustomerSpeakerId: {
              shape: "S1r"
            },
            DomainId: {},
            GeneratedSpeakerId: {},
            LastAccessedAt: {
              type: "timestamp"
            },
            Status: {},
            UpdatedAt: {
              type: "timestamp"
            }
          }
        },
        S1r: {
          type: "string",
          sensitive: true
        },
        S1w: {
          type: "structure",
          members: {
            CreatedAt: {
              type: "timestamp"
            },
            DataAccessRoleArn: {},
            DomainId: {},
            EndedAt: {
              type: "timestamp"
            },
            EnrollmentConfig: {
              shape: "S1x"
            },
            FailureDetails: {
              shape: "S1c"
            },
            InputDataConfig: {
              shape: "S1e"
            },
            JobId: {},
            JobName: {
              shape: "S1g"
            },
            JobProgress: {
              shape: "S1h"
            },
            JobStatus: {},
            OutputDataConfig: {
              shape: "S1k"
            }
          }
        },
        S1x: {
          type: "structure",
          members: {
            ExistingEnrollmentAction: {},
            FraudDetectionConfig: {
              type: "structure",
              members: {
                FraudDetectionAction: {},
                RiskThreshold: {
                  type: "integer"
                },
                WatchlistIds: {
                  type: "list",
                  member: {}
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/voice-id-2021-09-27.paginators.json
var require_voice_id_2021_09_27_paginators = __commonJS({
  "node_modules/aws-sdk/apis/voice-id-2021-09-27.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDomains: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "DomainSummaries"
        },
        ListFraudsterRegistrationJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "JobSummaries"
        },
        ListFraudsters: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "FraudsterSummaries"
        },
        ListSpeakerEnrollmentJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "JobSummaries"
        },
        ListSpeakers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "SpeakerSummaries"
        },
        ListWatchlists: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "WatchlistSummaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/voiceid.js
var require_voiceid = __commonJS({
  "node_modules/aws-sdk/clients/voiceid.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["voiceid"] = {};
    AWS2.VoiceID = Service.defineService("voiceid", ["2021-09-27"]);
    Object.defineProperty(apiLoader.services["voiceid"], "2021-09-27", {
      get: function get() {
        var model = require_voice_id_2021_09_27_min();
        model.paginators = require_voice_id_2021_09_27_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.VoiceID;
  }
});

// node_modules/aws-sdk/apis/wisdom-2020-10-19.min.json
var require_wisdom_2020_10_19_min = __commonJS({
  "node_modules/aws-sdk/apis/wisdom-2020-10-19.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-10-19",
        endpointPrefix: "wisdom",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Connect Wisdom Service",
        serviceId: "Wisdom",
        signatureVersion: "v4",
        signingName: "wisdom",
        uid: "wisdom-2020-10-19"
      },
      operations: {
        CreateAssistant: {
          http: {
            requestUri: "/assistants",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "type"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              description: {},
              name: {},
              serverSideEncryptionConfiguration: {
                shape: "S5"
              },
              tags: {
                shape: "S7"
              },
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              assistant: {
                shape: "Sc"
              }
            }
          },
          idempotent: true
        },
        CreateAssistantAssociation: {
          http: {
            requestUri: "/assistants/{assistantId}/associations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assistantId",
              "association",
              "associationType"
            ],
            members: {
              assistantId: {
                location: "uri",
                locationName: "assistantId"
              },
              association: {
                type: "structure",
                members: {
                  knowledgeBaseId: {}
                },
                union: true
              },
              associationType: {},
              clientToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              assistantAssociation: {
                shape: "Sl"
              }
            }
          },
          idempotent: true
        },
        CreateContent: {
          http: {
            requestUri: "/knowledgeBases/{knowledgeBaseId}/contents",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "knowledgeBaseId",
              "name",
              "uploadId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              knowledgeBaseId: {
                location: "uri",
                locationName: "knowledgeBaseId"
              },
              metadata: {
                shape: "Sp"
              },
              name: {},
              overrideLinkOutUri: {},
              tags: {
                shape: "S7"
              },
              title: {},
              uploadId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              content: {
                shape: "Su"
              }
            }
          },
          idempotent: true
        },
        CreateKnowledgeBase: {
          http: {
            requestUri: "/knowledgeBases",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "knowledgeBaseType",
              "name"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              description: {},
              knowledgeBaseType: {},
              name: {},
              renderingConfiguration: {
                shape: "S11"
              },
              serverSideEncryptionConfiguration: {
                shape: "S5"
              },
              sourceConfiguration: {
                shape: "S12"
              },
              tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              knowledgeBase: {
                shape: "S17"
              }
            }
          },
          idempotent: true
        },
        CreateSession: {
          http: {
            requestUri: "/assistants/{assistantId}/sessions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assistantId",
              "name"
            ],
            members: {
              assistantId: {
                location: "uri",
                locationName: "assistantId"
              },
              clientToken: {
                idempotencyToken: true
              },
              description: {},
              name: {},
              tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              session: {
                shape: "S1b"
              }
            }
          },
          idempotent: true
        },
        DeleteAssistant: {
          http: {
            method: "DELETE",
            requestUri: "/assistants/{assistantId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "assistantId"
            ],
            members: {
              assistantId: {
                location: "uri",
                locationName: "assistantId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteAssistantAssociation: {
          http: {
            method: "DELETE",
            requestUri: "/assistants/{assistantId}/associations/{assistantAssociationId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "assistantAssociationId",
              "assistantId"
            ],
            members: {
              assistantAssociationId: {
                location: "uri",
                locationName: "assistantAssociationId"
              },
              assistantId: {
                location: "uri",
                locationName: "assistantId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteContent: {
          http: {
            method: "DELETE",
            requestUri: "/knowledgeBases/{knowledgeBaseId}/contents/{contentId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "contentId",
              "knowledgeBaseId"
            ],
            members: {
              contentId: {
                location: "uri",
                locationName: "contentId"
              },
              knowledgeBaseId: {
                location: "uri",
                locationName: "knowledgeBaseId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteKnowledgeBase: {
          http: {
            method: "DELETE",
            requestUri: "/knowledgeBases/{knowledgeBaseId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "knowledgeBaseId"
            ],
            members: {
              knowledgeBaseId: {
                location: "uri",
                locationName: "knowledgeBaseId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetAssistant: {
          http: {
            method: "GET",
            requestUri: "/assistants/{assistantId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assistantId"
            ],
            members: {
              assistantId: {
                location: "uri",
                locationName: "assistantId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              assistant: {
                shape: "Sc"
              }
            }
          }
        },
        GetAssistantAssociation: {
          http: {
            method: "GET",
            requestUri: "/assistants/{assistantId}/associations/{assistantAssociationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assistantAssociationId",
              "assistantId"
            ],
            members: {
              assistantAssociationId: {
                location: "uri",
                locationName: "assistantAssociationId"
              },
              assistantId: {
                location: "uri",
                locationName: "assistantId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              assistantAssociation: {
                shape: "Sl"
              }
            }
          }
        },
        GetContent: {
          http: {
            method: "GET",
            requestUri: "/knowledgeBases/{knowledgeBaseId}/contents/{contentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "contentId",
              "knowledgeBaseId"
            ],
            members: {
              contentId: {
                location: "uri",
                locationName: "contentId"
              },
              knowledgeBaseId: {
                location: "uri",
                locationName: "knowledgeBaseId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              content: {
                shape: "Su"
              }
            }
          }
        },
        GetContentSummary: {
          http: {
            method: "GET",
            requestUri: "/knowledgeBases/{knowledgeBaseId}/contents/{contentId}/summary",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "contentId",
              "knowledgeBaseId"
            ],
            members: {
              contentId: {
                location: "uri",
                locationName: "contentId"
              },
              knowledgeBaseId: {
                location: "uri",
                locationName: "knowledgeBaseId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              contentSummary: {
                shape: "S1s"
              }
            }
          }
        },
        GetKnowledgeBase: {
          http: {
            method: "GET",
            requestUri: "/knowledgeBases/{knowledgeBaseId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "knowledgeBaseId"
            ],
            members: {
              knowledgeBaseId: {
                location: "uri",
                locationName: "knowledgeBaseId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              knowledgeBase: {
                shape: "S17"
              }
            }
          }
        },
        GetRecommendations: {
          http: {
            method: "GET",
            requestUri: "/assistants/{assistantId}/sessions/{sessionId}/recommendations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assistantId",
              "sessionId"
            ],
            members: {
              assistantId: {
                location: "uri",
                locationName: "assistantId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              sessionId: {
                location: "uri",
                locationName: "sessionId"
              },
              waitTimeSeconds: {
                location: "querystring",
                locationName: "waitTimeSeconds",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "recommendations"
            ],
            members: {
              recommendations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "document",
                    "recommendationId"
                  ],
                  members: {
                    document: {
                      shape: "S21"
                    },
                    recommendationId: {},
                    relevanceLevel: {},
                    relevanceScore: {
                      type: "double"
                    },
                    type: {}
                  }
                }
              },
              triggers: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "data",
                    "id",
                    "recommendationIds",
                    "source",
                    "type"
                  ],
                  members: {
                    data: {
                      type: "structure",
                      members: {
                        query: {
                          type: "structure",
                          members: {
                            text: {
                              shape: "S2g"
                            }
                          }
                        }
                      },
                      union: true
                    },
                    id: {},
                    recommendationIds: {
                      shape: "S2h"
                    },
                    source: {},
                    type: {}
                  }
                }
              }
            }
          }
        },
        GetSession: {
          http: {
            method: "GET",
            requestUri: "/assistants/{assistantId}/sessions/{sessionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assistantId",
              "sessionId"
            ],
            members: {
              assistantId: {
                location: "uri",
                locationName: "assistantId"
              },
              sessionId: {
                location: "uri",
                locationName: "sessionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              session: {
                shape: "S1b"
              }
            }
          }
        },
        ListAssistantAssociations: {
          http: {
            method: "GET",
            requestUri: "/assistants/{assistantId}/associations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assistantId"
            ],
            members: {
              assistantId: {
                location: "uri",
                locationName: "assistantId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assistantAssociationSummaries"
            ],
            members: {
              assistantAssociationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "assistantArn",
                    "assistantAssociationArn",
                    "assistantAssociationId",
                    "assistantId",
                    "associationData",
                    "associationType"
                  ],
                  members: {
                    assistantArn: {},
                    assistantAssociationArn: {},
                    assistantAssociationId: {},
                    assistantId: {},
                    associationData: {
                      shape: "Sm"
                    },
                    associationType: {},
                    tags: {
                      shape: "S7"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAssistants: {
          http: {
            method: "GET",
            requestUri: "/assistants",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assistantSummaries"
            ],
            members: {
              assistantSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "assistantArn",
                    "assistantId",
                    "name",
                    "status",
                    "type"
                  ],
                  members: {
                    assistantArn: {},
                    assistantId: {},
                    description: {},
                    name: {},
                    serverSideEncryptionConfiguration: {
                      shape: "S5"
                    },
                    status: {},
                    tags: {
                      shape: "S7"
                    },
                    type: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListContents: {
          http: {
            method: "GET",
            requestUri: "/knowledgeBases/{knowledgeBaseId}/contents",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "knowledgeBaseId"
            ],
            members: {
              knowledgeBaseId: {
                location: "uri",
                locationName: "knowledgeBaseId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "contentSummaries"
            ],
            members: {
              contentSummaries: {
                shape: "S2x"
              },
              nextToken: {}
            }
          }
        },
        ListKnowledgeBases: {
          http: {
            method: "GET",
            requestUri: "/knowledgeBases",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "knowledgeBaseSummaries"
            ],
            members: {
              knowledgeBaseSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "knowledgeBaseArn",
                    "knowledgeBaseId",
                    "knowledgeBaseType",
                    "name",
                    "status"
                  ],
                  members: {
                    description: {},
                    knowledgeBaseArn: {},
                    knowledgeBaseId: {},
                    knowledgeBaseType: {},
                    name: {},
                    renderingConfiguration: {
                      shape: "S11"
                    },
                    serverSideEncryptionConfiguration: {
                      shape: "S5"
                    },
                    sourceConfiguration: {
                      shape: "S12"
                    },
                    status: {},
                    tags: {
                      shape: "S7"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S7"
              }
            }
          }
        },
        NotifyRecommendationsReceived: {
          http: {
            requestUri: "/assistants/{assistantId}/sessions/{sessionId}/recommendations/notify",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assistantId",
              "recommendationIds",
              "sessionId"
            ],
            members: {
              assistantId: {
                location: "uri",
                locationName: "assistantId"
              },
              recommendationIds: {
                shape: "S2h"
              },
              sessionId: {
                location: "uri",
                locationName: "sessionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    message: {},
                    recommendationId: {}
                  }
                }
              },
              recommendationIds: {
                shape: "S2h"
              }
            }
          },
          idempotent: true
        },
        QueryAssistant: {
          http: {
            requestUri: "/assistants/{assistantId}/query",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assistantId",
              "queryText"
            ],
            members: {
              assistantId: {
                location: "uri",
                locationName: "assistantId"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              queryText: {
                shape: "S2g"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "results"
            ],
            members: {
              nextToken: {},
              results: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "document",
                    "resultId"
                  ],
                  members: {
                    document: {
                      shape: "S21"
                    },
                    relevanceScore: {
                      type: "double"
                    },
                    resultId: {}
                  }
                }
              }
            }
          }
        },
        RemoveKnowledgeBaseTemplateUri: {
          http: {
            method: "DELETE",
            requestUri: "/knowledgeBases/{knowledgeBaseId}/templateUri",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "knowledgeBaseId"
            ],
            members: {
              knowledgeBaseId: {
                location: "uri",
                locationName: "knowledgeBaseId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SearchContent: {
          http: {
            requestUri: "/knowledgeBases/{knowledgeBaseId}/search",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "knowledgeBaseId",
              "searchExpression"
            ],
            members: {
              knowledgeBaseId: {
                location: "uri",
                locationName: "knowledgeBaseId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              searchExpression: {
                shape: "S3g"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "contentSummaries"
            ],
            members: {
              contentSummaries: {
                shape: "S2x"
              },
              nextToken: {}
            }
          }
        },
        SearchSessions: {
          http: {
            requestUri: "/assistants/{assistantId}/searchSessions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assistantId",
              "searchExpression"
            ],
            members: {
              assistantId: {
                location: "uri",
                locationName: "assistantId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              searchExpression: {
                shape: "S3g"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "sessionSummaries"
            ],
            members: {
              nextToken: {},
              sessionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "assistantArn",
                    "assistantId",
                    "sessionArn",
                    "sessionId"
                  ],
                  members: {
                    assistantArn: {},
                    assistantId: {},
                    sessionArn: {},
                    sessionId: {}
                  }
                }
              }
            }
          }
        },
        StartContentUpload: {
          http: {
            requestUri: "/knowledgeBases/{knowledgeBaseId}/upload",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "contentType",
              "knowledgeBaseId"
            ],
            members: {
              contentType: {},
              knowledgeBaseId: {
                location: "uri",
                locationName: "knowledgeBaseId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "headersToInclude",
              "uploadId",
              "url",
              "urlExpiry"
            ],
            members: {
              headersToInclude: {
                type: "map",
                key: {},
                value: {}
              },
              uploadId: {},
              url: {
                shape: "Sx"
              },
              urlExpiry: {
                shape: "Sy"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateContent: {
          http: {
            requestUri: "/knowledgeBases/{knowledgeBaseId}/contents/{contentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "contentId",
              "knowledgeBaseId"
            ],
            members: {
              contentId: {
                location: "uri",
                locationName: "contentId"
              },
              knowledgeBaseId: {
                location: "uri",
                locationName: "knowledgeBaseId"
              },
              metadata: {
                shape: "Sp"
              },
              overrideLinkOutUri: {},
              removeOverrideLinkOutUri: {
                type: "boolean"
              },
              revisionId: {},
              title: {},
              uploadId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              content: {
                shape: "Su"
              }
            }
          }
        },
        UpdateKnowledgeBaseTemplateUri: {
          http: {
            requestUri: "/knowledgeBases/{knowledgeBaseId}/templateUri",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "knowledgeBaseId",
              "templateUri"
            ],
            members: {
              knowledgeBaseId: {
                location: "uri",
                locationName: "knowledgeBaseId"
              },
              templateUri: {}
            }
          },
          output: {
            type: "structure",
            members: {
              knowledgeBase: {
                shape: "S17"
              }
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          members: {
            kmsKeyId: {}
          }
        },
        S7: {
          type: "map",
          key: {},
          value: {}
        },
        Sc: {
          type: "structure",
          required: [
            "assistantArn",
            "assistantId",
            "name",
            "status",
            "type"
          ],
          members: {
            assistantArn: {},
            assistantId: {},
            description: {},
            name: {},
            serverSideEncryptionConfiguration: {
              shape: "S5"
            },
            status: {},
            tags: {
              shape: "S7"
            },
            type: {}
          }
        },
        Sl: {
          type: "structure",
          required: [
            "assistantArn",
            "assistantAssociationArn",
            "assistantAssociationId",
            "assistantId",
            "associationData",
            "associationType"
          ],
          members: {
            assistantArn: {},
            assistantAssociationArn: {},
            assistantAssociationId: {},
            assistantId: {},
            associationData: {
              shape: "Sm"
            },
            associationType: {},
            tags: {
              shape: "S7"
            }
          }
        },
        Sm: {
          type: "structure",
          members: {
            knowledgeBaseAssociation: {
              type: "structure",
              members: {
                knowledgeBaseArn: {},
                knowledgeBaseId: {}
              }
            }
          },
          union: true
        },
        Sp: {
          type: "map",
          key: {},
          value: {}
        },
        Su: {
          type: "structure",
          required: [
            "contentArn",
            "contentId",
            "contentType",
            "knowledgeBaseArn",
            "knowledgeBaseId",
            "metadata",
            "name",
            "revisionId",
            "status",
            "title",
            "url",
            "urlExpiry"
          ],
          members: {
            contentArn: {},
            contentId: {},
            contentType: {},
            knowledgeBaseArn: {},
            knowledgeBaseId: {},
            linkOutUri: {},
            metadata: {
              shape: "Sp"
            },
            name: {},
            revisionId: {},
            status: {},
            tags: {
              shape: "S7"
            },
            title: {},
            url: {
              shape: "Sx"
            },
            urlExpiry: {
              shape: "Sy"
            }
          }
        },
        Sx: {
          type: "string",
          sensitive: true
        },
        Sy: {
          type: "timestamp",
          timestampFormat: "unixTimestamp"
        },
        S11: {
          type: "structure",
          members: {
            templateUri: {}
          }
        },
        S12: {
          type: "structure",
          members: {
            appIntegrations: {
              type: "structure",
              required: [
                "appIntegrationArn"
              ],
              members: {
                appIntegrationArn: {},
                objectFields: {
                  type: "list",
                  member: {}
                }
              }
            }
          },
          union: true
        },
        S17: {
          type: "structure",
          required: [
            "knowledgeBaseArn",
            "knowledgeBaseId",
            "knowledgeBaseType",
            "name",
            "status"
          ],
          members: {
            description: {},
            knowledgeBaseArn: {},
            knowledgeBaseId: {},
            knowledgeBaseType: {},
            lastContentModificationTime: {
              shape: "Sy"
            },
            name: {},
            renderingConfiguration: {
              shape: "S11"
            },
            serverSideEncryptionConfiguration: {
              shape: "S5"
            },
            sourceConfiguration: {
              shape: "S12"
            },
            status: {},
            tags: {
              shape: "S7"
            }
          }
        },
        S1b: {
          type: "structure",
          required: [
            "name",
            "sessionArn",
            "sessionId"
          ],
          members: {
            description: {},
            name: {},
            sessionArn: {},
            sessionId: {},
            tags: {
              shape: "S7"
            }
          }
        },
        S1s: {
          type: "structure",
          required: [
            "contentArn",
            "contentId",
            "contentType",
            "knowledgeBaseArn",
            "knowledgeBaseId",
            "metadata",
            "name",
            "revisionId",
            "status",
            "title"
          ],
          members: {
            contentArn: {},
            contentId: {},
            contentType: {},
            knowledgeBaseArn: {},
            knowledgeBaseId: {},
            metadata: {
              shape: "Sp"
            },
            name: {},
            revisionId: {},
            status: {},
            tags: {
              shape: "S7"
            },
            title: {}
          }
        },
        S21: {
          type: "structure",
          required: [
            "contentReference"
          ],
          members: {
            contentReference: {
              type: "structure",
              members: {
                contentArn: {},
                contentId: {},
                knowledgeBaseArn: {},
                knowledgeBaseId: {}
              }
            },
            excerpt: {
              shape: "S23"
            },
            title: {
              shape: "S23"
            }
          }
        },
        S23: {
          type: "structure",
          members: {
            highlights: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  beginOffsetInclusive: {
                    type: "integer"
                  },
                  endOffsetExclusive: {
                    type: "integer"
                  }
                }
              }
            },
            text: {
              type: "string",
              sensitive: true
            }
          }
        },
        S2g: {
          type: "string",
          sensitive: true
        },
        S2h: {
          type: "list",
          member: {}
        },
        S2x: {
          type: "list",
          member: {
            shape: "S1s"
          }
        },
        S3g: {
          type: "structure",
          required: [
            "filters"
          ],
          members: {
            filters: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "field",
                  "operator",
                  "value"
                ],
                members: {
                  field: {},
                  operator: {},
                  value: {}
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/wisdom-2020-10-19.paginators.json
var require_wisdom_2020_10_19_paginators = __commonJS({
  "node_modules/aws-sdk/apis/wisdom-2020-10-19.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAssistantAssociations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "assistantAssociationSummaries"
        },
        ListAssistants: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "assistantSummaries"
        },
        ListContents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "contentSummaries"
        },
        ListKnowledgeBases: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "knowledgeBaseSummaries"
        },
        QueryAssistant: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "results"
        },
        SearchContent: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "contentSummaries"
        },
        SearchSessions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "sessionSummaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/wisdom.js
var require_wisdom = __commonJS({
  "node_modules/aws-sdk/clients/wisdom.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["wisdom"] = {};
    AWS2.Wisdom = Service.defineService("wisdom", ["2020-10-19"]);
    Object.defineProperty(apiLoader.services["wisdom"], "2020-10-19", {
      get: function get() {
        var model = require_wisdom_2020_10_19_min();
        model.paginators = require_wisdom_2020_10_19_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Wisdom;
  }
});

// node_modules/aws-sdk/apis/account-2021-02-01.min.json
var require_account_2021_02_01_min = __commonJS({
  "node_modules/aws-sdk/apis/account-2021-02-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-02-01",
        endpointPrefix: "account",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Account",
        serviceId: "Account",
        signatureVersion: "v4",
        signingName: "account",
        uid: "account-2021-02-01"
      },
      operations: {
        DeleteAlternateContact: {
          http: {
            requestUri: "/deleteAlternateContact",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AlternateContactType"
            ],
            members: {
              AccountId: {},
              AlternateContactType: {}
            }
          },
          idempotent: true
        },
        DisableRegion: {
          http: {
            requestUri: "/disableRegion",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "RegionName"
            ],
            members: {
              AccountId: {},
              RegionName: {}
            }
          }
        },
        EnableRegion: {
          http: {
            requestUri: "/enableRegion",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "RegionName"
            ],
            members: {
              AccountId: {},
              RegionName: {}
            }
          }
        },
        GetAlternateContact: {
          http: {
            requestUri: "/getAlternateContact",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AlternateContactType"
            ],
            members: {
              AccountId: {},
              AlternateContactType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              AlternateContact: {
                type: "structure",
                members: {
                  AlternateContactType: {},
                  EmailAddress: {
                    shape: "Sa"
                  },
                  Name: {
                    shape: "Sb"
                  },
                  PhoneNumber: {
                    shape: "Sc"
                  },
                  Title: {
                    shape: "Sd"
                  }
                }
              }
            }
          }
        },
        GetContactInformation: {
          http: {
            requestUri: "/getContactInformation",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AccountId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ContactInformation: {
                shape: "Sg"
              }
            }
          }
        },
        GetRegionOptStatus: {
          http: {
            requestUri: "/getRegionOptStatus",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "RegionName"
            ],
            members: {
              AccountId: {},
              RegionName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              RegionName: {},
              RegionOptStatus: {}
            }
          }
        },
        ListRegions: {
          http: {
            requestUri: "/listRegions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              AccountId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              RegionOptStatusContains: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Regions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    RegionName: {},
                    RegionOptStatus: {}
                  }
                }
              }
            }
          }
        },
        PutAlternateContact: {
          http: {
            requestUri: "/putAlternateContact",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AlternateContactType",
              "EmailAddress",
              "Name",
              "PhoneNumber",
              "Title"
            ],
            members: {
              AccountId: {},
              AlternateContactType: {},
              EmailAddress: {
                shape: "Sa"
              },
              Name: {
                shape: "Sb"
              },
              PhoneNumber: {
                shape: "Sc"
              },
              Title: {
                shape: "Sd"
              }
            }
          },
          idempotent: true
        },
        PutContactInformation: {
          http: {
            requestUri: "/putContactInformation",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ContactInformation"
            ],
            members: {
              AccountId: {},
              ContactInformation: {
                shape: "Sg"
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        Sa: {
          type: "string",
          sensitive: true
        },
        Sb: {
          type: "string",
          sensitive: true
        },
        Sc: {
          type: "string",
          sensitive: true
        },
        Sd: {
          type: "string",
          sensitive: true
        },
        Sg: {
          type: "structure",
          required: [
            "AddressLine1",
            "City",
            "CountryCode",
            "FullName",
            "PhoneNumber",
            "PostalCode"
          ],
          members: {
            AddressLine1: {
              shape: "Sh"
            },
            AddressLine2: {
              shape: "Sh"
            },
            AddressLine3: {
              shape: "Sh"
            },
            City: {
              type: "string",
              sensitive: true
            },
            CompanyName: {
              type: "string",
              sensitive: true
            },
            CountryCode: {
              type: "string",
              sensitive: true
            },
            DistrictOrCounty: {
              type: "string",
              sensitive: true
            },
            FullName: {
              type: "string",
              sensitive: true
            },
            PhoneNumber: {
              type: "string",
              sensitive: true
            },
            PostalCode: {
              type: "string",
              sensitive: true
            },
            StateOrRegion: {
              type: "string",
              sensitive: true
            },
            WebsiteUrl: {
              type: "string",
              sensitive: true
            }
          }
        },
        Sh: {
          type: "string",
          sensitive: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/account-2021-02-01.paginators.json
var require_account_2021_02_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/account-2021-02-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListRegions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Regions"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/account.js
var require_account = __commonJS({
  "node_modules/aws-sdk/clients/account.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["account"] = {};
    AWS2.Account = Service.defineService("account", ["2021-02-01"]);
    Object.defineProperty(apiLoader.services["account"], "2021-02-01", {
      get: function get() {
        var model = require_account_2021_02_01_min();
        model.paginators = require_account_2021_02_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Account;
  }
});

// node_modules/aws-sdk/apis/cloudcontrol-2021-09-30.min.json
var require_cloudcontrol_2021_09_30_min = __commonJS({
  "node_modules/aws-sdk/apis/cloudcontrol-2021-09-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-09-30",
        endpointPrefix: "cloudcontrolapi",
        jsonVersion: "1.0",
        protocol: "json",
        serviceAbbreviation: "CloudControlApi",
        serviceFullName: "AWS Cloud Control API",
        serviceId: "CloudControl",
        signatureVersion: "v4",
        signingName: "cloudcontrolapi",
        targetPrefix: "CloudApiService",
        uid: "cloudcontrol-2021-09-30"
      },
      operations: {
        CancelResourceRequest: {
          input: {
            type: "structure",
            required: [
              "RequestToken"
            ],
            members: {
              RequestToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProgressEvent: {
                shape: "S4"
              }
            }
          },
          idempotent: true
        },
        CreateResource: {
          input: {
            type: "structure",
            required: [
              "TypeName",
              "DesiredState"
            ],
            members: {
              TypeName: {},
              TypeVersionId: {},
              RoleArn: {},
              ClientToken: {
                idempotencyToken: true
              },
              DesiredState: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProgressEvent: {
                shape: "S4"
              }
            }
          }
        },
        DeleteResource: {
          input: {
            type: "structure",
            required: [
              "TypeName",
              "Identifier"
            ],
            members: {
              TypeName: {},
              TypeVersionId: {},
              RoleArn: {},
              ClientToken: {
                idempotencyToken: true
              },
              Identifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProgressEvent: {
                shape: "S4"
              }
            }
          }
        },
        GetResource: {
          input: {
            type: "structure",
            required: [
              "TypeName",
              "Identifier"
            ],
            members: {
              TypeName: {},
              TypeVersionId: {},
              RoleArn: {},
              Identifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              TypeName: {},
              ResourceDescription: {
                shape: "Sm"
              }
            }
          }
        },
        GetResourceRequestStatus: {
          input: {
            type: "structure",
            required: [
              "RequestToken"
            ],
            members: {
              RequestToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ProgressEvent: {
                shape: "S4"
              }
            }
          }
        },
        ListResourceRequests: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              ResourceRequestStatusFilter: {
                type: "structure",
                members: {
                  Operations: {
                    type: "list",
                    member: {}
                  },
                  OperationStatuses: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceRequestStatusSummaries: {
                type: "list",
                member: {
                  shape: "S4"
                }
              },
              NextToken: {}
            }
          }
        },
        ListResources: {
          input: {
            type: "structure",
            required: [
              "TypeName"
            ],
            members: {
              TypeName: {},
              TypeVersionId: {},
              RoleArn: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              },
              ResourceModel: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TypeName: {},
              ResourceDescriptions: {
                type: "list",
                member: {
                  shape: "Sm"
                }
              },
              NextToken: {}
            }
          }
        },
        UpdateResource: {
          input: {
            type: "structure",
            required: [
              "TypeName",
              "Identifier",
              "PatchDocument"
            ],
            members: {
              TypeName: {},
              TypeVersionId: {},
              RoleArn: {},
              ClientToken: {
                idempotencyToken: true
              },
              Identifier: {},
              PatchDocument: {
                type: "string",
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProgressEvent: {
                shape: "S4"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            TypeName: {},
            Identifier: {},
            RequestToken: {},
            Operation: {},
            OperationStatus: {},
            EventTime: {
              type: "timestamp"
            },
            ResourceModel: {
              shape: "Sa"
            },
            StatusMessage: {},
            ErrorCode: {},
            RetryAfter: {
              type: "timestamp"
            }
          }
        },
        Sa: {
          type: "string",
          sensitive: true
        },
        Sm: {
          type: "structure",
          members: {
            Identifier: {},
            Properties: {
              shape: "Sa"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudcontrol-2021-09-30.paginators.json
var require_cloudcontrol_2021_09_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cloudcontrol-2021-09-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListResourceRequests: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ResourceRequestStatusSummaries"
        },
        ListResources: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ResourceDescriptions"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cloudcontrol-2021-09-30.waiters2.json
var require_cloudcontrol_2021_09_30_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/cloudcontrol-2021-09-30.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        ResourceRequestSuccess: {
          description: "Wait until resource operation request is successful",
          delay: 5,
          maxAttempts: 24,
          operation: "GetResourceRequestStatus",
          acceptors: [{
            matcher: "path",
            argument: "ProgressEvent.OperationStatus",
            state: "success",
            expected: "SUCCESS"
          }, {
            matcher: "path",
            argument: "ProgressEvent.OperationStatus",
            state: "failure",
            expected: "FAILED"
          }, {
            matcher: "path",
            argument: "ProgressEvent.OperationStatus",
            state: "failure",
            expected: "CANCEL_COMPLETE"
          }]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/cloudcontrol.js
var require_cloudcontrol = __commonJS({
  "node_modules/aws-sdk/clients/cloudcontrol.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cloudcontrol"] = {};
    AWS2.CloudControl = Service.defineService("cloudcontrol", ["2021-09-30"]);
    Object.defineProperty(apiLoader.services["cloudcontrol"], "2021-09-30", {
      get: function get() {
        var model = require_cloudcontrol_2021_09_30_min();
        model.paginators = require_cloudcontrol_2021_09_30_paginators().pagination;
        model.waiters = require_cloudcontrol_2021_09_30_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CloudControl;
  }
});

// node_modules/aws-sdk/apis/grafana-2020-08-18.min.json
var require_grafana_2020_08_18_min = __commonJS({
  "node_modules/aws-sdk/apis/grafana-2020-08-18.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-08-18",
        endpointPrefix: "grafana",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Managed Grafana",
        serviceId: "grafana",
        signatureVersion: "v4",
        signingName: "grafana",
        uid: "grafana-2020-08-18"
      },
      operations: {
        AssociateLicense: {
          http: {
            requestUri: "/workspaces/{workspaceId}/licenses/{licenseType}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "licenseType",
              "workspaceId"
            ],
            members: {
              licenseType: {
                location: "uri",
                locationName: "licenseType"
              },
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "workspace"
            ],
            members: {
              workspace: {
                shape: "S5"
              }
            }
          }
        },
        CreateWorkspace: {
          http: {
            requestUri: "/workspaces",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "accountAccessType",
              "authenticationProviders",
              "permissionType"
            ],
            members: {
              accountAccessType: {},
              authenticationProviders: {
                shape: "S8"
              },
              clientToken: {
                idempotencyToken: true
              },
              configuration: {
                jsonvalue: true
              },
              grafanaVersion: {},
              networkAccessControl: {
                shape: "Sj"
              },
              organizationRoleName: {
                shape: "Sq"
              },
              permissionType: {},
              stackSetName: {},
              tags: {
                shape: "Sw"
              },
              vpcConfiguration: {
                shape: "Sz"
              },
              workspaceDataSources: {
                shape: "Sc"
              },
              workspaceDescription: {
                shape: "Se"
              },
              workspaceName: {
                shape: "Si"
              },
              workspaceNotificationDestinations: {
                shape: "So"
              },
              workspaceOrganizationalUnits: {
                shape: "Sr"
              },
              workspaceRoleArn: {
                shape: "S14"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "workspace"
            ],
            members: {
              workspace: {
                shape: "S5"
              }
            }
          },
          idempotent: true
        },
        CreateWorkspaceApiKey: {
          http: {
            requestUri: "/workspaces/{workspaceId}/apikeys",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "keyName",
              "keyRole",
              "secondsToLive",
              "workspaceId"
            ],
            members: {
              keyName: {},
              keyRole: {},
              secondsToLive: {
                type: "integer"
              },
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "key",
              "keyName",
              "workspaceId"
            ],
            members: {
              key: {
                type: "string",
                sensitive: true
              },
              keyName: {},
              workspaceId: {}
            }
          }
        },
        DeleteWorkspace: {
          http: {
            method: "DELETE",
            requestUri: "/workspaces/{workspaceId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "workspace"
            ],
            members: {
              workspace: {
                shape: "S5"
              }
            }
          },
          idempotent: true
        },
        DeleteWorkspaceApiKey: {
          http: {
            method: "DELETE",
            requestUri: "/workspaces/{workspaceId}/apikeys/{keyName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "keyName",
              "workspaceId"
            ],
            members: {
              keyName: {
                location: "uri",
                locationName: "keyName"
              },
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "keyName",
              "workspaceId"
            ],
            members: {
              keyName: {},
              workspaceId: {}
            }
          }
        },
        DescribeWorkspace: {
          http: {
            method: "GET",
            requestUri: "/workspaces/{workspaceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "workspace"
            ],
            members: {
              workspace: {
                shape: "S5"
              }
            }
          }
        },
        DescribeWorkspaceAuthentication: {
          http: {
            method: "GET",
            requestUri: "/workspaces/{workspaceId}/authentication",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "authentication"
            ],
            members: {
              authentication: {
                shape: "S1n"
              }
            }
          }
        },
        DescribeWorkspaceConfiguration: {
          http: {
            method: "GET",
            requestUri: "/workspaces/{workspaceId}/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "configuration"
            ],
            members: {
              configuration: {
                jsonvalue: true
              }
            }
          }
        },
        DisassociateLicense: {
          http: {
            method: "DELETE",
            requestUri: "/workspaces/{workspaceId}/licenses/{licenseType}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "licenseType",
              "workspaceId"
            ],
            members: {
              licenseType: {
                location: "uri",
                locationName: "licenseType"
              },
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "workspace"
            ],
            members: {
              workspace: {
                shape: "S5"
              }
            }
          }
        },
        ListPermissions: {
          http: {
            method: "GET",
            requestUri: "/workspaces/{workspaceId}/permissions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              groupId: {
                location: "querystring",
                locationName: "groupId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              userId: {
                location: "querystring",
                locationName: "userId"
              },
              userType: {
                location: "querystring",
                locationName: "userType"
              },
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "permissions"
            ],
            members: {
              nextToken: {},
              permissions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "role",
                    "user"
                  ],
                  members: {
                    role: {},
                    user: {
                      shape: "S2f"
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sw"
              }
            }
          }
        },
        ListWorkspaces: {
          http: {
            method: "GET",
            requestUri: "/workspaces",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "workspaces"
            ],
            members: {
              nextToken: {},
              workspaces: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "authentication",
                    "created",
                    "endpoint",
                    "grafanaVersion",
                    "id",
                    "modified",
                    "status"
                  ],
                  members: {
                    authentication: {
                      shape: "S7"
                    },
                    created: {
                      type: "timestamp"
                    },
                    description: {
                      shape: "Se"
                    },
                    endpoint: {},
                    grafanaVersion: {},
                    id: {},
                    modified: {
                      type: "timestamp"
                    },
                    name: {
                      shape: "Si"
                    },
                    notificationDestinations: {
                      shape: "So"
                    },
                    status: {},
                    tags: {
                      shape: "Sw"
                    }
                  }
                }
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdatePermissions: {
          http: {
            method: "PATCH",
            requestUri: "/workspaces/{workspaceId}/permissions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "updateInstructionBatch",
              "workspaceId"
            ],
            members: {
              updateInstructionBatch: {
                type: "list",
                member: {
                  shape: "S2u"
                }
              },
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "errors"
            ],
            members: {
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "causedBy",
                    "code",
                    "message"
                  ],
                  members: {
                    causedBy: {
                      shape: "S2u"
                    },
                    code: {
                      type: "integer"
                    },
                    message: {}
                  }
                }
              }
            }
          }
        },
        UpdateWorkspace: {
          http: {
            method: "PUT",
            requestUri: "/workspaces/{workspaceId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              accountAccessType: {},
              networkAccessControl: {
                shape: "Sj"
              },
              organizationRoleName: {
                shape: "Sq"
              },
              permissionType: {},
              removeNetworkAccessConfiguration: {
                type: "boolean"
              },
              removeVpcConfiguration: {
                type: "boolean"
              },
              stackSetName: {},
              vpcConfiguration: {
                shape: "Sz"
              },
              workspaceDataSources: {
                shape: "Sc"
              },
              workspaceDescription: {
                shape: "Se"
              },
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              workspaceName: {
                shape: "Si"
              },
              workspaceNotificationDestinations: {
                shape: "So"
              },
              workspaceOrganizationalUnits: {
                shape: "Sr"
              },
              workspaceRoleArn: {
                shape: "S14"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "workspace"
            ],
            members: {
              workspace: {
                shape: "S5"
              }
            }
          }
        },
        UpdateWorkspaceAuthentication: {
          http: {
            requestUri: "/workspaces/{workspaceId}/authentication",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "authenticationProviders",
              "workspaceId"
            ],
            members: {
              authenticationProviders: {
                shape: "S8"
              },
              samlConfiguration: {
                shape: "S1r"
              },
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "authentication"
            ],
            members: {
              authentication: {
                shape: "S1n"
              }
            }
          }
        },
        UpdateWorkspaceConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/workspaces/{workspaceId}/configuration",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "configuration",
              "workspaceId"
            ],
            members: {
              configuration: {
                jsonvalue: true
              },
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          required: [
            "authentication",
            "created",
            "dataSources",
            "endpoint",
            "grafanaVersion",
            "id",
            "modified",
            "status"
          ],
          members: {
            accountAccessType: {},
            authentication: {
              shape: "S7"
            },
            created: {
              type: "timestamp"
            },
            dataSources: {
              shape: "Sc"
            },
            description: {
              shape: "Se"
            },
            endpoint: {},
            freeTrialConsumed: {
              type: "boolean"
            },
            freeTrialExpiration: {
              type: "timestamp"
            },
            grafanaVersion: {},
            id: {},
            licenseExpiration: {
              type: "timestamp"
            },
            licenseType: {},
            modified: {
              type: "timestamp"
            },
            name: {
              shape: "Si"
            },
            networkAccessControl: {
              shape: "Sj"
            },
            notificationDestinations: {
              shape: "So"
            },
            organizationRoleName: {
              shape: "Sq"
            },
            organizationalUnits: {
              shape: "Sr"
            },
            permissionType: {},
            stackSetName: {},
            status: {},
            tags: {
              shape: "Sw"
            },
            vpcConfiguration: {
              shape: "Sz"
            },
            workspaceRoleArn: {
              shape: "S14"
            }
          }
        },
        S7: {
          type: "structure",
          required: [
            "providers"
          ],
          members: {
            providers: {
              shape: "S8"
            },
            samlConfigurationStatus: {}
          }
        },
        S8: {
          type: "list",
          member: {}
        },
        Sc: {
          type: "list",
          member: {}
        },
        Se: {
          type: "string",
          sensitive: true
        },
        Si: {
          type: "string",
          sensitive: true
        },
        Sj: {
          type: "structure",
          required: [
            "prefixListIds",
            "vpceIds"
          ],
          members: {
            prefixListIds: {
              type: "list",
              member: {}
            },
            vpceIds: {
              type: "list",
              member: {}
            }
          }
        },
        So: {
          type: "list",
          member: {}
        },
        Sq: {
          type: "string",
          sensitive: true
        },
        Sr: {
          type: "list",
          member: {},
          sensitive: true
        },
        Sw: {
          type: "map",
          key: {},
          value: {}
        },
        Sz: {
          type: "structure",
          required: [
            "securityGroupIds",
            "subnetIds"
          ],
          members: {
            securityGroupIds: {
              type: "list",
              member: {}
            },
            subnetIds: {
              type: "list",
              member: {}
            }
          }
        },
        S14: {
          type: "string",
          sensitive: true
        },
        S1n: {
          type: "structure",
          required: [
            "providers"
          ],
          members: {
            awsSso: {
              type: "structure",
              members: {
                ssoClientId: {}
              }
            },
            providers: {
              shape: "S8"
            },
            saml: {
              type: "structure",
              required: [
                "status"
              ],
              members: {
                configuration: {
                  shape: "S1r"
                },
                status: {}
              }
            }
          }
        },
        S1r: {
          type: "structure",
          required: [
            "idpMetadata"
          ],
          members: {
            allowedOrganizations: {
              type: "list",
              member: {}
            },
            assertionAttributes: {
              type: "structure",
              members: {
                email: {},
                groups: {},
                login: {},
                name: {},
                org: {},
                role: {}
              }
            },
            idpMetadata: {
              type: "structure",
              members: {
                url: {},
                xml: {}
              },
              union: true
            },
            loginValidityDuration: {
              type: "integer"
            },
            roleValues: {
              type: "structure",
              members: {
                admin: {
                  shape: "S20"
                },
                editor: {
                  shape: "S20"
                }
              }
            }
          }
        },
        S20: {
          type: "list",
          member: {}
        },
        S2f: {
          type: "structure",
          required: [
            "id",
            "type"
          ],
          members: {
            id: {},
            type: {}
          }
        },
        S2u: {
          type: "structure",
          required: [
            "action",
            "role",
            "users"
          ],
          members: {
            action: {},
            role: {},
            users: {
              type: "list",
              member: {
                shape: "S2f"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/grafana-2020-08-18.paginators.json
var require_grafana_2020_08_18_paginators = __commonJS({
  "node_modules/aws-sdk/apis/grafana-2020-08-18.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListPermissions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "permissions"
        },
        ListWorkspaces: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "workspaces"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/grafana.js
var require_grafana = __commonJS({
  "node_modules/aws-sdk/clients/grafana.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["grafana"] = {};
    AWS2.Grafana = Service.defineService("grafana", ["2020-08-18"]);
    Object.defineProperty(apiLoader.services["grafana"], "2020-08-18", {
      get: function get() {
        var model = require_grafana_2020_08_18_min();
        model.paginators = require_grafana_2020_08_18_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Grafana;
  }
});

// node_modules/aws-sdk/apis/panorama-2019-07-24.min.json
var require_panorama_2019_07_24_min = __commonJS({
  "node_modules/aws-sdk/apis/panorama-2019-07-24.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2019-07-24",
        endpointPrefix: "panorama",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Panorama",
        serviceFullName: "AWS Panorama",
        serviceId: "Panorama",
        signatureVersion: "v4",
        signingName: "panorama",
        uid: "panorama-2019-07-24"
      },
      operations: {
        CreateApplicationInstance: {
          http: {
            requestUri: "/application-instances",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DefaultRuntimeContextDevice",
              "ManifestPayload"
            ],
            members: {
              ApplicationInstanceIdToReplace: {},
              DefaultRuntimeContextDevice: {},
              Description: {},
              ManifestOverridesPayload: {
                shape: "S5"
              },
              ManifestPayload: {
                shape: "S7"
              },
              Name: {},
              RuntimeRoleArn: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ApplicationInstanceId"
            ],
            members: {
              ApplicationInstanceId: {}
            }
          }
        },
        CreateJobForDevices: {
          http: {
            requestUri: "/jobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DeviceIds",
              "JobType"
            ],
            members: {
              DeviceIds: {
                type: "list",
                member: {}
              },
              DeviceJobConfig: {
                type: "structure",
                members: {
                  OTAJobConfig: {
                    type: "structure",
                    required: [
                      "ImageVersion"
                    ],
                    members: {
                      AllowMajorVersionUpdate: {
                        type: "boolean"
                      },
                      ImageVersion: {}
                    }
                  }
                }
              },
              JobType: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Jobs"
            ],
            members: {
              Jobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DeviceId: {},
                    JobId: {}
                  }
                }
              }
            }
          }
        },
        CreateNodeFromTemplateJob: {
          http: {
            requestUri: "/packages/template-job",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "NodeName",
              "OutputPackageName",
              "OutputPackageVersion",
              "TemplateParameters",
              "TemplateType"
            ],
            members: {
              JobTags: {
                shape: "Ss"
              },
              NodeDescription: {},
              NodeName: {},
              OutputPackageName: {},
              OutputPackageVersion: {},
              TemplateParameters: {
                shape: "Sy"
              },
              TemplateType: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          }
        },
        CreatePackage: {
          http: {
            requestUri: "/packages",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PackageName"
            ],
            members: {
              PackageName: {},
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "StorageLocation"
            ],
            members: {
              Arn: {},
              PackageId: {},
              StorageLocation: {
                shape: "S17"
              }
            }
          }
        },
        CreatePackageImportJob: {
          http: {
            requestUri: "/packages/import-jobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ClientToken",
              "InputConfig",
              "JobType",
              "OutputConfig"
            ],
            members: {
              ClientToken: {},
              InputConfig: {
                shape: "S1c"
              },
              JobTags: {
                shape: "Ss"
              },
              JobType: {},
              OutputConfig: {
                shape: "S1j"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {}
            }
          }
        },
        DeleteDevice: {
          http: {
            method: "DELETE",
            requestUri: "/devices/{DeviceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DeviceId"
            ],
            members: {
              DeviceId: {
                location: "uri",
                locationName: "DeviceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeviceId: {}
            }
          }
        },
        DeletePackage: {
          http: {
            method: "DELETE",
            requestUri: "/packages/{PackageId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PackageId"
            ],
            members: {
              ForceDelete: {
                location: "querystring",
                locationName: "ForceDelete",
                type: "boolean"
              },
              PackageId: {
                location: "uri",
                locationName: "PackageId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeregisterPackageVersion: {
          http: {
            method: "DELETE",
            requestUri: "/packages/{PackageId}/versions/{PackageVersion}/patch/{PatchVersion}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PackageId",
              "PackageVersion",
              "PatchVersion"
            ],
            members: {
              OwnerAccount: {
                location: "querystring",
                locationName: "OwnerAccount"
              },
              PackageId: {
                location: "uri",
                locationName: "PackageId"
              },
              PackageVersion: {
                location: "uri",
                locationName: "PackageVersion"
              },
              PatchVersion: {
                location: "uri",
                locationName: "PatchVersion"
              },
              UpdatedLatestPatchVersion: {
                location: "querystring",
                locationName: "UpdatedLatestPatchVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DescribeApplicationInstance: {
          http: {
            method: "GET",
            requestUri: "/application-instances/{ApplicationInstanceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationInstanceId"
            ],
            members: {
              ApplicationInstanceId: {
                location: "uri",
                locationName: "ApplicationInstanceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationInstanceId: {},
              ApplicationInstanceIdToReplace: {},
              Arn: {},
              CreatedTime: {
                type: "timestamp"
              },
              DefaultRuntimeContextDevice: {},
              DefaultRuntimeContextDeviceName: {},
              Description: {},
              HealthStatus: {},
              LastUpdatedTime: {
                type: "timestamp"
              },
              Name: {},
              RuntimeContextStates: {
                shape: "S21"
              },
              RuntimeRoleArn: {},
              Status: {},
              StatusDescription: {},
              Tags: {
                shape: "Sb"
              }
            }
          }
        },
        DescribeApplicationInstanceDetails: {
          http: {
            method: "GET",
            requestUri: "/application-instances/{ApplicationInstanceId}/details",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationInstanceId"
            ],
            members: {
              ApplicationInstanceId: {
                location: "uri",
                locationName: "ApplicationInstanceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationInstanceId: {},
              ApplicationInstanceIdToReplace: {},
              CreatedTime: {
                type: "timestamp"
              },
              DefaultRuntimeContextDevice: {},
              Description: {},
              ManifestOverridesPayload: {
                shape: "S5"
              },
              ManifestPayload: {
                shape: "S7"
              },
              Name: {}
            }
          }
        },
        DescribeDevice: {
          http: {
            method: "GET",
            requestUri: "/devices/{DeviceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DeviceId"
            ],
            members: {
              DeviceId: {
                location: "uri",
                locationName: "DeviceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AlternateSoftwares: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Version: {}
                  }
                }
              },
              Arn: {},
              Brand: {},
              CreatedTime: {
                type: "timestamp"
              },
              CurrentNetworkingStatus: {
                type: "structure",
                members: {
                  Ethernet0Status: {
                    shape: "S2j"
                  },
                  Ethernet1Status: {
                    shape: "S2j"
                  },
                  LastUpdatedTime: {
                    type: "timestamp"
                  },
                  NtpStatus: {
                    type: "structure",
                    members: {
                      ConnectionStatus: {},
                      IpAddress: {},
                      NtpServerName: {}
                    }
                  }
                }
              },
              CurrentSoftware: {},
              Description: {},
              DeviceAggregatedStatus: {},
              DeviceConnectionStatus: {},
              DeviceId: {},
              LatestAlternateSoftware: {},
              LatestDeviceJob: {
                shape: "S2u"
              },
              LatestSoftware: {},
              LeaseExpirationTime: {
                type: "timestamp"
              },
              Name: {},
              NetworkingConfiguration: {
                shape: "S2y"
              },
              ProvisioningStatus: {},
              SerialNumber: {},
              Tags: {
                shape: "Sb"
              },
              Type: {}
            }
          }
        },
        DescribeDeviceJob: {
          http: {
            method: "GET",
            requestUri: "/jobs/{JobId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {
                location: "uri",
                locationName: "JobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CreatedTime: {
                type: "timestamp"
              },
              DeviceArn: {},
              DeviceId: {},
              DeviceName: {},
              DeviceType: {},
              ImageVersion: {},
              JobId: {},
              JobType: {},
              Status: {}
            }
          }
        },
        DescribeNode: {
          http: {
            method: "GET",
            requestUri: "/nodes/{NodeId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "NodeId"
            ],
            members: {
              NodeId: {
                location: "uri",
                locationName: "NodeId"
              },
              OwnerAccount: {
                location: "querystring",
                locationName: "OwnerAccount"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Category",
              "CreatedTime",
              "Description",
              "LastUpdatedTime",
              "Name",
              "NodeId",
              "NodeInterface",
              "OwnerAccount",
              "PackageId",
              "PackageName",
              "PackageVersion",
              "PatchVersion"
            ],
            members: {
              AssetName: {},
              Category: {},
              CreatedTime: {
                type: "timestamp"
              },
              Description: {},
              LastUpdatedTime: {
                type: "timestamp"
              },
              Name: {},
              NodeId: {},
              NodeInterface: {
                type: "structure",
                required: [
                  "Inputs",
                  "Outputs"
                ],
                members: {
                  Inputs: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        DefaultValue: {},
                        Description: {},
                        MaxConnections: {
                          type: "integer"
                        },
                        Name: {},
                        Type: {}
                      }
                    }
                  },
                  Outputs: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Description: {},
                        Name: {},
                        Type: {}
                      }
                    }
                  }
                }
              },
              OwnerAccount: {},
              PackageArn: {},
              PackageId: {},
              PackageName: {},
              PackageVersion: {},
              PatchVersion: {}
            }
          }
        },
        DescribeNodeFromTemplateJob: {
          http: {
            method: "GET",
            requestUri: "/packages/template-job/{JobId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {
                location: "uri",
                locationName: "JobId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CreatedTime",
              "JobId",
              "LastUpdatedTime",
              "NodeName",
              "OutputPackageName",
              "OutputPackageVersion",
              "Status",
              "StatusMessage",
              "TemplateParameters",
              "TemplateType"
            ],
            members: {
              CreatedTime: {
                type: "timestamp"
              },
              JobId: {},
              JobTags: {
                shape: "Ss"
              },
              LastUpdatedTime: {
                type: "timestamp"
              },
              NodeDescription: {},
              NodeName: {},
              OutputPackageName: {},
              OutputPackageVersion: {},
              Status: {},
              StatusMessage: {},
              TemplateParameters: {
                shape: "Sy"
              },
              TemplateType: {}
            }
          }
        },
        DescribePackage: {
          http: {
            method: "GET",
            requestUri: "/packages/metadata/{PackageId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PackageId"
            ],
            members: {
              PackageId: {
                location: "uri",
                locationName: "PackageId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "CreatedTime",
              "PackageId",
              "PackageName",
              "StorageLocation",
              "Tags"
            ],
            members: {
              Arn: {},
              CreatedTime: {
                type: "timestamp"
              },
              PackageId: {},
              PackageName: {},
              ReadAccessPrincipalArns: {
                shape: "S3z"
              },
              StorageLocation: {
                shape: "S17"
              },
              Tags: {
                shape: "Sb"
              },
              WriteAccessPrincipalArns: {
                shape: "S3z"
              }
            }
          }
        },
        DescribePackageImportJob: {
          http: {
            method: "GET",
            requestUri: "/packages/import-jobs/{JobId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "JobId"
            ],
            members: {
              JobId: {
                location: "uri",
                locationName: "JobId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CreatedTime",
              "InputConfig",
              "JobId",
              "JobType",
              "LastUpdatedTime",
              "Output",
              "OutputConfig",
              "Status",
              "StatusMessage"
            ],
            members: {
              ClientToken: {},
              CreatedTime: {
                type: "timestamp"
              },
              InputConfig: {
                shape: "S1c"
              },
              JobId: {},
              JobTags: {
                shape: "Ss"
              },
              JobType: {},
              LastUpdatedTime: {
                type: "timestamp"
              },
              Output: {
                type: "structure",
                required: [
                  "OutputS3Location",
                  "PackageId",
                  "PackageVersion",
                  "PatchVersion"
                ],
                members: {
                  OutputS3Location: {
                    type: "structure",
                    required: [
                      "BucketName",
                      "ObjectKey"
                    ],
                    members: {
                      BucketName: {},
                      ObjectKey: {}
                    }
                  },
                  PackageId: {},
                  PackageVersion: {},
                  PatchVersion: {}
                }
              },
              OutputConfig: {
                shape: "S1j"
              },
              Status: {},
              StatusMessage: {}
            }
          }
        },
        DescribePackageVersion: {
          http: {
            method: "GET",
            requestUri: "/packages/metadata/{PackageId}/versions/{PackageVersion}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PackageId",
              "PackageVersion"
            ],
            members: {
              OwnerAccount: {
                location: "querystring",
                locationName: "OwnerAccount"
              },
              PackageId: {
                location: "uri",
                locationName: "PackageId"
              },
              PackageVersion: {
                location: "uri",
                locationName: "PackageVersion"
              },
              PatchVersion: {
                location: "querystring",
                locationName: "PatchVersion"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "IsLatestPatch",
              "PackageId",
              "PackageName",
              "PackageVersion",
              "PatchVersion",
              "Status"
            ],
            members: {
              IsLatestPatch: {
                type: "boolean"
              },
              OwnerAccount: {},
              PackageArn: {},
              PackageId: {},
              PackageName: {},
              PackageVersion: {},
              PatchVersion: {},
              RegisteredTime: {
                type: "timestamp"
              },
              Status: {},
              StatusDescription: {}
            }
          }
        },
        ListApplicationInstanceDependencies: {
          http: {
            method: "GET",
            requestUri: "/application-instances/{ApplicationInstanceId}/package-dependencies",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationInstanceId"
            ],
            members: {
              ApplicationInstanceId: {
                location: "uri",
                locationName: "ApplicationInstanceId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              PackageObjects: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "PackageVersion",
                    "PatchVersion"
                  ],
                  members: {
                    Name: {},
                    PackageVersion: {},
                    PatchVersion: {}
                  }
                }
              }
            }
          }
        },
        ListApplicationInstanceNodeInstances: {
          http: {
            method: "GET",
            requestUri: "/application-instances/{ApplicationInstanceId}/node-instances",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationInstanceId"
            ],
            members: {
              ApplicationInstanceId: {
                location: "uri",
                locationName: "ApplicationInstanceId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              NodeInstances: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "CurrentStatus",
                    "NodeInstanceId"
                  ],
                  members: {
                    CurrentStatus: {},
                    NodeId: {},
                    NodeInstanceId: {},
                    NodeName: {},
                    PackageName: {},
                    PackagePatchVersion: {},
                    PackageVersion: {}
                  }
                }
              }
            }
          }
        },
        ListApplicationInstances: {
          http: {
            method: "GET",
            requestUri: "/application-instances",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceId: {
                location: "querystring",
                locationName: "deviceId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              StatusFilter: {
                location: "querystring",
                locationName: "statusFilter"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationInstances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApplicationInstanceId: {},
                    Arn: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    DefaultRuntimeContextDevice: {},
                    DefaultRuntimeContextDeviceName: {},
                    Description: {},
                    HealthStatus: {},
                    Name: {},
                    RuntimeContextStates: {
                      shape: "S21"
                    },
                    Status: {},
                    StatusDescription: {},
                    Tags: {
                      shape: "Sb"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDevices: {
          http: {
            method: "GET",
            requestUri: "/devices",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceAggregatedStatusFilter: {
                location: "querystring",
                locationName: "DeviceAggregatedStatusFilter"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NameFilter: {
                location: "querystring",
                locationName: "NameFilter"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              SortBy: {
                location: "querystring",
                locationName: "SortBy"
              },
              SortOrder: {
                location: "querystring",
                locationName: "SortOrder"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Devices"
            ],
            members: {
              Devices: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Brand: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    CurrentSoftware: {},
                    Description: {},
                    DeviceAggregatedStatus: {},
                    DeviceId: {},
                    LastUpdatedTime: {
                      type: "timestamp"
                    },
                    LatestDeviceJob: {
                      shape: "S2u"
                    },
                    LeaseExpirationTime: {
                      type: "timestamp"
                    },
                    Name: {},
                    ProvisioningStatus: {},
                    Tags: {
                      shape: "Sb"
                    },
                    Type: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDevicesJobs: {
          http: {
            method: "GET",
            requestUri: "/jobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              DeviceId: {
                location: "querystring",
                locationName: "DeviceId"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeviceJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreatedTime: {
                      type: "timestamp"
                    },
                    DeviceId: {},
                    DeviceName: {},
                    JobId: {},
                    JobType: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListNodeFromTemplateJobs: {
          http: {
            method: "GET",
            requestUri: "/packages/template-job",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "NodeFromTemplateJobs"
            ],
            members: {
              NextToken: {},
              NodeFromTemplateJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreatedTime: {
                      type: "timestamp"
                    },
                    JobId: {},
                    NodeName: {},
                    Status: {},
                    StatusMessage: {},
                    TemplateType: {}
                  }
                }
              }
            }
          }
        },
        ListNodes: {
          http: {
            method: "GET",
            requestUri: "/nodes",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Category: {
                location: "querystring",
                locationName: "category"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              OwnerAccount: {
                location: "querystring",
                locationName: "ownerAccount"
              },
              PackageName: {
                location: "querystring",
                locationName: "packageName"
              },
              PackageVersion: {
                location: "querystring",
                locationName: "packageVersion"
              },
              PatchVersion: {
                location: "querystring",
                locationName: "patchVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Nodes: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Category",
                    "CreatedTime",
                    "Name",
                    "NodeId",
                    "PackageId",
                    "PackageName",
                    "PackageVersion",
                    "PatchVersion"
                  ],
                  members: {
                    Category: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    Description: {},
                    Name: {},
                    NodeId: {},
                    OwnerAccount: {},
                    PackageArn: {},
                    PackageId: {},
                    PackageName: {},
                    PackageVersion: {},
                    PatchVersion: {}
                  }
                }
              }
            }
          }
        },
        ListPackageImportJobs: {
          http: {
            method: "GET",
            requestUri: "/packages/import-jobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "PackageImportJobs"
            ],
            members: {
              NextToken: {},
              PackageImportJobs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CreatedTime: {
                      type: "timestamp"
                    },
                    JobId: {},
                    JobType: {},
                    LastUpdatedTime: {
                      type: "timestamp"
                    },
                    Status: {},
                    StatusMessage: {}
                  }
                }
              }
            }
          }
        },
        ListPackages: {
          http: {
            method: "GET",
            requestUri: "/packages",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Packages: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    PackageId: {},
                    PackageName: {},
                    Tags: {
                      shape: "Sb"
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sb"
              }
            }
          }
        },
        ProvisionDevice: {
          http: {
            requestUri: "/devices",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Description: {},
              Name: {},
              NetworkingConfiguration: {
                shape: "S2y"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "Status"
            ],
            members: {
              Arn: {},
              Certificates: {
                type: "blob"
              },
              DeviceId: {},
              IotThingName: {},
              Status: {}
            }
          }
        },
        RegisterPackageVersion: {
          http: {
            method: "PUT",
            requestUri: "/packages/{PackageId}/versions/{PackageVersion}/patch/{PatchVersion}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PackageId",
              "PackageVersion",
              "PatchVersion"
            ],
            members: {
              MarkLatest: {
                type: "boolean"
              },
              OwnerAccount: {},
              PackageId: {
                location: "uri",
                locationName: "PackageId"
              },
              PackageVersion: {
                location: "uri",
                locationName: "PackageVersion"
              },
              PatchVersion: {
                location: "uri",
                locationName: "PatchVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RemoveApplicationInstance: {
          http: {
            method: "DELETE",
            requestUri: "/application-instances/{ApplicationInstanceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationInstanceId"
            ],
            members: {
              ApplicationInstanceId: {
                location: "uri",
                locationName: "ApplicationInstanceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SignalApplicationInstanceNodeInstances: {
          http: {
            method: "PUT",
            requestUri: "/application-instances/{ApplicationInstanceId}/node-signals",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationInstanceId",
              "NodeSignals"
            ],
            members: {
              ApplicationInstanceId: {
                location: "uri",
                locationName: "ApplicationInstanceId"
              },
              NodeSignals: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "NodeInstanceId",
                    "Signal"
                  ],
                  members: {
                    NodeInstanceId: {},
                    Signal: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ApplicationInstanceId"
            ],
            members: {
              ApplicationInstanceId: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDeviceMetadata: {
          http: {
            method: "PUT",
            requestUri: "/devices/{DeviceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "DeviceId"
            ],
            members: {
              Description: {},
              DeviceId: {
                location: "uri",
                locationName: "DeviceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DeviceId: {}
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          members: {
            PayloadData: {}
          },
          union: true
        },
        S7: {
          type: "structure",
          members: {
            PayloadData: {}
          },
          union: true
        },
        Sb: {
          type: "map",
          key: {},
          value: {}
        },
        Ss: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ResourceType",
              "Tags"
            ],
            members: {
              ResourceType: {},
              Tags: {
                shape: "Sb"
              }
            }
          }
        },
        Sy: {
          type: "map",
          key: {},
          value: {
            type: "string",
            sensitive: true
          }
        },
        S17: {
          type: "structure",
          required: [
            "BinaryPrefixLocation",
            "Bucket",
            "GeneratedPrefixLocation",
            "ManifestPrefixLocation",
            "RepoPrefixLocation"
          ],
          members: {
            BinaryPrefixLocation: {},
            Bucket: {},
            GeneratedPrefixLocation: {},
            ManifestPrefixLocation: {},
            RepoPrefixLocation: {}
          }
        },
        S1c: {
          type: "structure",
          members: {
            PackageVersionInputConfig: {
              type: "structure",
              required: [
                "S3Location"
              ],
              members: {
                S3Location: {
                  type: "structure",
                  required: [
                    "BucketName",
                    "ObjectKey"
                  ],
                  members: {
                    BucketName: {},
                    ObjectKey: {},
                    Region: {}
                  }
                }
              }
            }
          }
        },
        S1j: {
          type: "structure",
          members: {
            PackageVersionOutputConfig: {
              type: "structure",
              required: [
                "PackageName",
                "PackageVersion"
              ],
              members: {
                MarkLatest: {
                  type: "boolean"
                },
                PackageName: {},
                PackageVersion: {}
              }
            }
          }
        },
        S21: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DesiredState",
              "DeviceReportedStatus",
              "DeviceReportedTime",
              "RuntimeContextName"
            ],
            members: {
              DesiredState: {},
              DeviceReportedStatus: {},
              DeviceReportedTime: {
                type: "timestamp"
              },
              RuntimeContextName: {}
            }
          }
        },
        S2j: {
          type: "structure",
          members: {
            ConnectionStatus: {},
            HwAddress: {},
            IpAddress: {}
          }
        },
        S2u: {
          type: "structure",
          members: {
            ImageVersion: {},
            JobType: {},
            Status: {}
          }
        },
        S2y: {
          type: "structure",
          members: {
            Ethernet0: {
              shape: "S2z"
            },
            Ethernet1: {
              shape: "S2z"
            },
            Ntp: {
              type: "structure",
              required: [
                "NtpServers"
              ],
              members: {
                NtpServers: {
                  type: "list",
                  member: {}
                }
              }
            }
          }
        },
        S2z: {
          type: "structure",
          required: [
            "ConnectionType"
          ],
          members: {
            ConnectionType: {},
            StaticIpConnectionInfo: {
              type: "structure",
              required: [
                "DefaultGateway",
                "Dns",
                "IpAddress",
                "Mask"
              ],
              members: {
                DefaultGateway: {},
                Dns: {
                  type: "list",
                  member: {}
                },
                IpAddress: {},
                Mask: {}
              }
            }
          }
        },
        S3z: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/panorama-2019-07-24.paginators.json
var require_panorama_2019_07_24_paginators = __commonJS({
  "node_modules/aws-sdk/apis/panorama-2019-07-24.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListApplicationInstanceDependencies: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListApplicationInstanceNodeInstances: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListApplicationInstances: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDevices: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListDevicesJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListNodeFromTemplateJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListNodes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListPackageImportJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListPackages: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/panorama.js
var require_panorama = __commonJS({
  "node_modules/aws-sdk/clients/panorama.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["panorama"] = {};
    AWS2.Panorama = Service.defineService("panorama", ["2019-07-24"]);
    Object.defineProperty(apiLoader.services["panorama"], "2019-07-24", {
      get: function get() {
        var model = require_panorama_2019_07_24_min();
        model.paginators = require_panorama_2019_07_24_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Panorama;
  }
});

// node_modules/aws-sdk/apis/chime-sdk-meetings-2021-07-15.min.json
var require_chime_sdk_meetings_2021_07_15_min = __commonJS({
  "node_modules/aws-sdk/apis/chime-sdk-meetings-2021-07-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-07-15",
        endpointPrefix: "meetings-chime",
        protocol: "rest-json",
        serviceFullName: "Amazon Chime SDK Meetings",
        serviceId: "Chime SDK Meetings",
        signatureVersion: "v4",
        signingName: "chime",
        uid: "chime-sdk-meetings-2021-07-15"
      },
      operations: {
        BatchCreateAttendee: {
          http: {
            requestUri: "/meetings/{MeetingId}/attendees?operation=batch-create"
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "Attendees"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "MeetingId"
              },
              Attendees: {
                type: "list",
                member: {
                  shape: "S4"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attendees: {
                shape: "S9"
              },
              Errors: {
                shape: "Sc"
              }
            }
          }
        },
        BatchUpdateAttendeeCapabilitiesExcept: {
          http: {
            method: "PUT",
            requestUri: "/meetings/{MeetingId}/attendees/capabilities?operation=batch-update-except",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "ExcludedAttendeeIds",
              "Capabilities"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "MeetingId"
              },
              ExcludedAttendeeIds: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "AttendeeId"
                  ],
                  members: {
                    AttendeeId: {}
                  }
                }
              },
              Capabilities: {
                shape: "S6"
              }
            }
          }
        },
        CreateAttendee: {
          http: {
            requestUri: "/meetings/{MeetingId}/attendees"
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "ExternalUserId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "MeetingId"
              },
              ExternalUserId: {
                shape: "S5"
              },
              Capabilities: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attendee: {
                shape: "Sa"
              }
            }
          }
        },
        CreateMeeting: {
          http: {
            requestUri: "/meetings"
          },
          input: {
            type: "structure",
            required: [
              "ClientRequestToken",
              "MediaRegion",
              "ExternalMeetingId"
            ],
            members: {
              ClientRequestToken: {
                shape: "Sl",
                idempotencyToken: true
              },
              MediaRegion: {},
              MeetingHostId: {
                shape: "S5"
              },
              ExternalMeetingId: {
                shape: "Sn"
              },
              NotificationsConfiguration: {
                shape: "So"
              },
              MeetingFeatures: {
                shape: "Sq"
              },
              PrimaryMeetingId: {},
              TenantIds: {
                shape: "Su"
              },
              Tags: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Meeting: {
                shape: "S11"
              }
            }
          }
        },
        CreateMeetingWithAttendees: {
          http: {
            requestUri: "/meetings?operation=create-attendees"
          },
          input: {
            type: "structure",
            required: [
              "ClientRequestToken",
              "MediaRegion",
              "ExternalMeetingId",
              "Attendees"
            ],
            members: {
              ClientRequestToken: {
                shape: "Sl",
                idempotencyToken: true
              },
              MediaRegion: {},
              MeetingHostId: {
                shape: "S5"
              },
              ExternalMeetingId: {
                shape: "Sn"
              },
              MeetingFeatures: {
                shape: "Sq"
              },
              NotificationsConfiguration: {
                shape: "So"
              },
              Attendees: {
                type: "list",
                member: {
                  shape: "S4"
                }
              },
              PrimaryMeetingId: {},
              TenantIds: {
                shape: "Su"
              },
              Tags: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Meeting: {
                shape: "S11"
              },
              Attendees: {
                shape: "S9"
              },
              Errors: {
                shape: "Sc"
              }
            }
          }
        },
        DeleteAttendee: {
          http: {
            method: "DELETE",
            requestUri: "/meetings/{MeetingId}/attendees/{AttendeeId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "AttendeeId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "MeetingId"
              },
              AttendeeId: {
                location: "uri",
                locationName: "AttendeeId"
              }
            }
          }
        },
        DeleteMeeting: {
          http: {
            method: "DELETE",
            requestUri: "/meetings/{MeetingId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "MeetingId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "MeetingId"
              }
            }
          }
        },
        GetAttendee: {
          http: {
            method: "GET",
            requestUri: "/meetings/{MeetingId}/attendees/{AttendeeId}"
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "AttendeeId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "MeetingId"
              },
              AttendeeId: {
                location: "uri",
                locationName: "AttendeeId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attendee: {
                shape: "Sa"
              }
            }
          }
        },
        GetMeeting: {
          http: {
            method: "GET",
            requestUri: "/meetings/{MeetingId}"
          },
          input: {
            type: "structure",
            required: [
              "MeetingId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "MeetingId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Meeting: {
                shape: "S11"
              }
            }
          }
        },
        ListAttendees: {
          http: {
            method: "GET",
            requestUri: "/meetings/{MeetingId}/attendees",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MeetingId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "MeetingId"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attendees: {
                shape: "S9"
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {
                location: "querystring",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sw"
              }
            }
          }
        },
        StartMeetingTranscription: {
          http: {
            requestUri: "/meetings/{MeetingId}/transcription?operation=start",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "TranscriptionConfiguration"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "MeetingId"
              },
              TranscriptionConfiguration: {
                type: "structure",
                members: {
                  EngineTranscribeSettings: {
                    type: "structure",
                    members: {
                      LanguageCode: {},
                      VocabularyFilterMethod: {},
                      VocabularyFilterName: {},
                      VocabularyName: {},
                      Region: {},
                      EnablePartialResultsStabilization: {
                        type: "boolean"
                      },
                      PartialResultsStability: {},
                      ContentIdentificationType: {},
                      ContentRedactionType: {},
                      PiiEntityTypes: {},
                      LanguageModelName: {},
                      IdentifyLanguage: {
                        type: "boolean"
                      },
                      LanguageOptions: {},
                      PreferredLanguage: {},
                      VocabularyNames: {},
                      VocabularyFilterNames: {}
                    }
                  },
                  EngineTranscribeMedicalSettings: {
                    type: "structure",
                    required: [
                      "LanguageCode",
                      "Specialty",
                      "Type"
                    ],
                    members: {
                      LanguageCode: {},
                      Specialty: {},
                      Type: {},
                      VocabularyName: {},
                      Region: {},
                      ContentIdentificationType: {}
                    }
                  }
                }
              }
            }
          }
        },
        StopMeetingTranscription: {
          http: {
            requestUri: "/meetings/{MeetingId}/transcription?operation=stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MeetingId"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "MeetingId"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags?operation=tag-resource",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "Sw"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            requestUri: "/tags?operation=untag-resource",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAttendeeCapabilities: {
          http: {
            method: "PUT",
            requestUri: "/meetings/{MeetingId}/attendees/{AttendeeId}/capabilities"
          },
          input: {
            type: "structure",
            required: [
              "MeetingId",
              "AttendeeId",
              "Capabilities"
            ],
            members: {
              MeetingId: {
                location: "uri",
                locationName: "MeetingId"
              },
              AttendeeId: {
                location: "uri",
                locationName: "AttendeeId"
              },
              Capabilities: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Attendee: {
                shape: "Sa"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          required: [
            "ExternalUserId"
          ],
          members: {
            ExternalUserId: {
              shape: "S5"
            },
            Capabilities: {
              shape: "S6"
            }
          }
        },
        S5: {
          type: "string",
          sensitive: true
        },
        S6: {
          type: "structure",
          required: [
            "Audio",
            "Video",
            "Content"
          ],
          members: {
            Audio: {},
            Video: {},
            Content: {}
          }
        },
        S9: {
          type: "list",
          member: {
            shape: "Sa"
          }
        },
        Sa: {
          type: "structure",
          members: {
            ExternalUserId: {
              shape: "S5"
            },
            AttendeeId: {},
            JoinToken: {
              type: "string",
              sensitive: true
            },
            Capabilities: {
              shape: "S6"
            }
          }
        },
        Sc: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ExternalUserId: {
                shape: "S5"
              },
              ErrorCode: {},
              ErrorMessage: {}
            }
          }
        },
        Sl: {
          type: "string",
          sensitive: true
        },
        Sn: {
          type: "string",
          sensitive: true
        },
        So: {
          type: "structure",
          members: {
            LambdaFunctionArn: {
              shape: "Sp"
            },
            SnsTopicArn: {
              shape: "Sp"
            },
            SqsQueueArn: {
              shape: "Sp"
            }
          }
        },
        Sp: {
          type: "string",
          sensitive: true
        },
        Sq: {
          type: "structure",
          members: {
            Audio: {
              type: "structure",
              members: {
                EchoReduction: {}
              }
            }
          }
        },
        Su: {
          type: "list",
          member: {}
        },
        Sw: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S11: {
          type: "structure",
          members: {
            MeetingId: {},
            MeetingHostId: {
              shape: "S5"
            },
            ExternalMeetingId: {
              shape: "Sn"
            },
            MediaRegion: {},
            MediaPlacement: {
              type: "structure",
              members: {
                AudioHostUrl: {},
                AudioFallbackUrl: {},
                SignalingUrl: {},
                TurnControlUrl: {},
                ScreenDataUrl: {},
                ScreenViewingUrl: {},
                ScreenSharingUrl: {},
                EventIngestionUrl: {}
              }
            },
            MeetingFeatures: {
              shape: "Sq"
            },
            PrimaryMeetingId: {},
            TenantIds: {
              shape: "Su"
            },
            MeetingArn: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/chime-sdk-meetings-2021-07-15.paginators.json
var require_chime_sdk_meetings_2021_07_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/chime-sdk-meetings-2021-07-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAttendees: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/chimesdkmeetings.js
var require_chimesdkmeetings = __commonJS({
  "node_modules/aws-sdk/clients/chimesdkmeetings.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["chimesdkmeetings"] = {};
    AWS2.ChimeSDKMeetings = Service.defineService("chimesdkmeetings", ["2021-07-15"]);
    Object.defineProperty(apiLoader.services["chimesdkmeetings"], "2021-07-15", {
      get: function get() {
        var model = require_chime_sdk_meetings_2021_07_15_min();
        model.paginators = require_chime_sdk_meetings_2021_07_15_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ChimeSDKMeetings;
  }
});

// node_modules/aws-sdk/apis/resiliencehub-2020-04-30.min.json
var require_resiliencehub_2020_04_30_min = __commonJS({
  "node_modules/aws-sdk/apis/resiliencehub-2020-04-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-04-30",
        endpointPrefix: "resiliencehub",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Resilience Hub",
        serviceId: "resiliencehub",
        signatureVersion: "v4",
        signingName: "resiliencehub",
        uid: "resiliencehub-2020-04-30"
      },
      operations: {
        AddDraftAppVersionResourceMappings: {
          http: {
            requestUri: "/add-draft-app-version-resource-mappings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "resourceMappings"
            ],
            members: {
              appArn: {},
              resourceMappings: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appVersion",
              "resourceMappings"
            ],
            members: {
              appArn: {},
              appVersion: {},
              resourceMappings: {
                shape: "S3"
              }
            }
          }
        },
        CreateApp: {
          http: {
            requestUri: "/create-app",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              assessmentSchedule: {},
              clientToken: {
                idempotencyToken: true
              },
              description: {},
              name: {},
              policyArn: {},
              tags: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "app"
            ],
            members: {
              app: {
                shape: "Sm"
              }
            }
          }
        },
        CreateAppVersionAppComponent: {
          http: {
            requestUri: "/create-app-version-app-component",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "name",
              "type"
            ],
            members: {
              additionalInfo: {
                shape: "Ss"
              },
              appArn: {},
              clientToken: {
                idempotencyToken: true
              },
              id: {},
              name: {},
              type: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appComponent: {
                shape: "Sx"
              },
              appVersion: {}
            }
          }
        },
        CreateAppVersionResource: {
          http: {
            requestUri: "/create-app-version-resource",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "appComponents",
              "logicalResourceId",
              "physicalResourceId",
              "resourceType"
            ],
            members: {
              additionalInfo: {
                shape: "Ss"
              },
              appArn: {},
              appComponents: {
                shape: "Sz"
              },
              awsAccountId: {},
              awsRegion: {},
              clientToken: {
                idempotencyToken: true
              },
              logicalResourceId: {
                shape: "S10"
              },
              physicalResourceId: {},
              resourceName: {},
              resourceType: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appVersion: {},
              physicalResource: {
                shape: "S13"
              }
            }
          }
        },
        CreateRecommendationTemplate: {
          http: {
            requestUri: "/create-recommendation-template",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assessmentArn",
              "name"
            ],
            members: {
              assessmentArn: {},
              bucketName: {},
              clientToken: {
                idempotencyToken: true
              },
              format: {},
              name: {},
              recommendationIds: {
                shape: "S19"
              },
              recommendationTypes: {
                shape: "S1b"
              },
              tags: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              recommendationTemplate: {
                shape: "S1e"
              }
            }
          }
        },
        CreateResiliencyPolicy: {
          http: {
            requestUri: "/create-resiliency-policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "policy",
              "policyName",
              "tier"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              dataLocationConstraint: {},
              policy: {
                shape: "S1k"
              },
              policyDescription: {},
              policyName: {},
              tags: {
                shape: "Si"
              },
              tier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "policy"
            ],
            members: {
              policy: {
                shape: "S1q"
              }
            }
          }
        },
        DeleteApp: {
          http: {
            requestUri: "/delete-app",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn"
            ],
            members: {
              appArn: {},
              clientToken: {
                idempotencyToken: true
              },
              forceDelete: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn"
            ],
            members: {
              appArn: {}
            }
          }
        },
        DeleteAppAssessment: {
          http: {
            requestUri: "/delete-app-assessment",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assessmentArn"
            ],
            members: {
              assessmentArn: {},
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assessmentArn",
              "assessmentStatus"
            ],
            members: {
              assessmentArn: {},
              assessmentStatus: {}
            }
          }
        },
        DeleteAppInputSource: {
          http: {
            requestUri: "/delete-app-input-source",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn"
            ],
            members: {
              appArn: {},
              clientToken: {
                idempotencyToken: true
              },
              eksSourceClusterNamespace: {
                shape: "S1y"
              },
              sourceArn: {},
              terraformSource: {
                shape: "S20"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              appArn: {},
              appInputSource: {
                shape: "S23"
              }
            }
          }
        },
        DeleteAppVersionAppComponent: {
          http: {
            requestUri: "/delete-app-version-app-component",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "id"
            ],
            members: {
              appArn: {},
              clientToken: {
                idempotencyToken: true
              },
              id: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appComponent: {
                shape: "Sx"
              },
              appVersion: {}
            }
          }
        },
        DeleteAppVersionResource: {
          http: {
            requestUri: "/delete-app-version-resource",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn"
            ],
            members: {
              appArn: {},
              awsAccountId: {},
              awsRegion: {},
              clientToken: {
                idempotencyToken: true
              },
              logicalResourceId: {
                shape: "S10"
              },
              physicalResourceId: {},
              resourceName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appVersion: {},
              physicalResource: {
                shape: "S13"
              }
            }
          }
        },
        DeleteRecommendationTemplate: {
          http: {
            requestUri: "/delete-recommendation-template",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "recommendationTemplateArn"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              recommendationTemplateArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "recommendationTemplateArn",
              "status"
            ],
            members: {
              recommendationTemplateArn: {},
              status: {}
            }
          }
        },
        DeleteResiliencyPolicy: {
          http: {
            requestUri: "/delete-resiliency-policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "policyArn"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              policyArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "policyArn"
            ],
            members: {
              policyArn: {}
            }
          }
        },
        DescribeApp: {
          http: {
            requestUri: "/describe-app",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn"
            ],
            members: {
              appArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "app"
            ],
            members: {
              app: {
                shape: "Sm"
              }
            }
          }
        },
        DescribeAppAssessment: {
          http: {
            requestUri: "/describe-app-assessment",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assessmentArn"
            ],
            members: {
              assessmentArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "assessment"
            ],
            members: {
              assessment: {
                shape: "S2h"
              }
            }
          }
        },
        DescribeAppVersion: {
          http: {
            requestUri: "/describe-app-version",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appVersion: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              additionalInfo: {
                shape: "Ss"
              },
              appArn: {},
              appVersion: {}
            }
          }
        },
        DescribeAppVersionAppComponent: {
          http: {
            requestUri: "/describe-app-version-app-component",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "appVersion",
              "id"
            ],
            members: {
              appArn: {},
              appVersion: {},
              id: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appComponent: {
                shape: "Sx"
              },
              appVersion: {}
            }
          }
        },
        DescribeAppVersionResource: {
          http: {
            requestUri: "/describe-app-version-resource",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appVersion: {},
              awsAccountId: {},
              awsRegion: {},
              logicalResourceId: {
                shape: "S10"
              },
              physicalResourceId: {},
              resourceName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appVersion: {},
              physicalResource: {
                shape: "S13"
              }
            }
          }
        },
        DescribeAppVersionResourcesResolutionStatus: {
          http: {
            requestUri: "/describe-app-version-resources-resolution-status",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appVersion: {},
              resolutionId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appVersion",
              "resolutionId",
              "status"
            ],
            members: {
              appArn: {},
              appVersion: {},
              errorMessage: {},
              resolutionId: {},
              status: {}
            }
          }
        },
        DescribeAppVersionTemplate: {
          http: {
            requestUri: "/describe-app-version-template",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appVersion: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appTemplateBody",
              "appVersion"
            ],
            members: {
              appArn: {},
              appTemplateBody: {},
              appVersion: {}
            }
          }
        },
        DescribeDraftAppVersionResourcesImportStatus: {
          http: {
            requestUri: "/describe-draft-app-version-resources-import-status",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn"
            ],
            members: {
              appArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appVersion",
              "status",
              "statusChangeTime"
            ],
            members: {
              appArn: {},
              appVersion: {},
              errorMessage: {},
              status: {},
              statusChangeTime: {
                type: "timestamp"
              }
            }
          }
        },
        DescribeResiliencyPolicy: {
          http: {
            requestUri: "/describe-resiliency-policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "policyArn"
            ],
            members: {
              policyArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "policy"
            ],
            members: {
              policy: {
                shape: "S1q"
              }
            }
          }
        },
        ImportResourcesToDraftAppVersion: {
          http: {
            requestUri: "/import-resources-to-draft-app-version",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn"
            ],
            members: {
              appArn: {},
              eksSources: {
                shape: "S3d"
              },
              importStrategy: {},
              sourceArns: {
                shape: "S3h"
              },
              terraformSources: {
                shape: "S3i"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appVersion",
              "status"
            ],
            members: {
              appArn: {},
              appVersion: {},
              eksSources: {
                shape: "S3d"
              },
              sourceArns: {
                shape: "S3h"
              },
              status: {},
              terraformSources: {
                shape: "S3i"
              }
            }
          }
        },
        ListAlarmRecommendations: {
          http: {
            requestUri: "/list-alarm-recommendations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assessmentArn"
            ],
            members: {
              assessmentArn: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "alarmRecommendations"
            ],
            members: {
              alarmRecommendations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "recommendationId",
                    "referenceId",
                    "type"
                  ],
                  members: {
                    appComponentName: {},
                    description: {},
                    items: {
                      shape: "S3r"
                    },
                    name: {},
                    prerequisite: {},
                    recommendationId: {},
                    referenceId: {},
                    type: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAppAssessments: {
          http: {
            method: "GET",
            requestUri: "/list-app-assessments",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              appArn: {
                location: "querystring",
                locationName: "appArn"
              },
              assessmentName: {
                location: "querystring",
                locationName: "assessmentName"
              },
              assessmentStatus: {
                location: "querystring",
                locationName: "assessmentStatus",
                type: "list",
                member: {}
              },
              complianceStatus: {
                location: "querystring",
                locationName: "complianceStatus"
              },
              invoker: {
                location: "querystring",
                locationName: "invoker"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              reverseOrder: {
                location: "querystring",
                locationName: "reverseOrder",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assessmentSummaries"
            ],
            members: {
              assessmentSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "assessmentArn",
                    "assessmentStatus"
                  ],
                  members: {
                    appArn: {},
                    appVersion: {},
                    assessmentArn: {},
                    assessmentName: {},
                    assessmentStatus: {},
                    complianceStatus: {},
                    cost: {
                      shape: "S2l"
                    },
                    endTime: {
                      type: "timestamp"
                    },
                    invoker: {},
                    message: {},
                    resiliencyScore: {
                      type: "double"
                    },
                    startTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAppComponentCompliances: {
          http: {
            requestUri: "/list-app-component-compliances",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assessmentArn"
            ],
            members: {
              assessmentArn: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "componentCompliances"
            ],
            members: {
              componentCompliances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    appComponentName: {},
                    compliance: {
                      shape: "S2i"
                    },
                    cost: {
                      shape: "S2l"
                    },
                    message: {},
                    resiliencyScore: {
                      shape: "S2p"
                    },
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAppComponentRecommendations: {
          http: {
            requestUri: "/list-app-component-recommendations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assessmentArn"
            ],
            members: {
              assessmentArn: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "componentRecommendations"
            ],
            members: {
              componentRecommendations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "appComponentName",
                    "configRecommendations",
                    "recommendationStatus"
                  ],
                  members: {
                    appComponentName: {},
                    configRecommendations: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "name",
                          "optimizationType",
                          "referenceId"
                        ],
                        members: {
                          appComponentName: {},
                          compliance: {
                            shape: "S2i"
                          },
                          cost: {
                            shape: "S2l"
                          },
                          description: {},
                          haArchitecture: {},
                          name: {},
                          optimizationType: {},
                          recommendationCompliance: {
                            type: "map",
                            key: {},
                            value: {
                              type: "structure",
                              required: [
                                "expectedComplianceStatus"
                              ],
                              members: {
                                expectedComplianceStatus: {},
                                expectedRpoDescription: {},
                                expectedRpoInSecs: {
                                  type: "integer"
                                },
                                expectedRtoDescription: {},
                                expectedRtoInSecs: {
                                  type: "integer"
                                }
                              }
                            }
                          },
                          referenceId: {},
                          suggestedChanges: {
                            type: "list",
                            member: {}
                          }
                        }
                      }
                    },
                    recommendationStatus: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListAppInputSources: {
          http: {
            requestUri: "/list-app-input-sources",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appVersion: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appInputSources"
            ],
            members: {
              appInputSources: {
                type: "list",
                member: {
                  shape: "S23"
                }
              },
              nextToken: {}
            }
          }
        },
        ListAppVersionAppComponents: {
          http: {
            requestUri: "/list-app-version-app-components",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appVersion: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appComponents: {
                shape: "S14"
              },
              appVersion: {},
              nextToken: {}
            }
          }
        },
        ListAppVersionResourceMappings: {
          http: {
            requestUri: "/list-app-version-resource-mappings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appVersion: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "resourceMappings"
            ],
            members: {
              nextToken: {},
              resourceMappings: {
                shape: "S3"
              }
            }
          }
        },
        ListAppVersionResources: {
          http: {
            requestUri: "/list-app-version-resources",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appVersion: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              resolutionId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "physicalResources",
              "resolutionId"
            ],
            members: {
              nextToken: {},
              physicalResources: {
                type: "list",
                member: {
                  shape: "S13"
                }
              },
              resolutionId: {}
            }
          }
        },
        ListAppVersions: {
          http: {
            requestUri: "/list-app-versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn"
            ],
            members: {
              appArn: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appVersions"
            ],
            members: {
              appVersions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "appVersion"
                  ],
                  members: {
                    appVersion: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListApps: {
          http: {
            method: "GET",
            requestUri: "/list-apps",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              appArn: {
                location: "querystring",
                locationName: "appArn"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              name: {
                location: "querystring",
                locationName: "name"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "appSummaries"
            ],
            members: {
              appSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "appArn",
                    "creationTime",
                    "name"
                  ],
                  members: {
                    appArn: {},
                    assessmentSchedule: {},
                    complianceStatus: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    description: {},
                    name: {},
                    resiliencyScore: {
                      type: "double"
                    },
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListRecommendationTemplates: {
          http: {
            method: "GET",
            requestUri: "/list-recommendation-templates",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assessmentArn"
            ],
            members: {
              assessmentArn: {
                location: "querystring",
                locationName: "assessmentArn"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              name: {
                location: "querystring",
                locationName: "name"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              recommendationTemplateArn: {
                location: "querystring",
                locationName: "recommendationTemplateArn"
              },
              reverseOrder: {
                location: "querystring",
                locationName: "reverseOrder",
                type: "boolean"
              },
              status: {
                location: "querystring",
                locationName: "status",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              recommendationTemplates: {
                type: "list",
                member: {
                  shape: "S1e"
                }
              }
            }
          }
        },
        ListResiliencyPolicies: {
          http: {
            method: "GET",
            requestUri: "/list-resiliency-policies",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              policyName: {
                location: "querystring",
                locationName: "policyName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "resiliencyPolicies"
            ],
            members: {
              nextToken: {},
              resiliencyPolicies: {
                shape: "S54"
              }
            }
          }
        },
        ListSopRecommendations: {
          http: {
            requestUri: "/list-sop-recommendations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assessmentArn"
            ],
            members: {
              assessmentArn: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "sopRecommendations"
            ],
            members: {
              nextToken: {},
              sopRecommendations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "recommendationId",
                    "referenceId",
                    "serviceType"
                  ],
                  members: {
                    appComponentName: {},
                    description: {},
                    items: {
                      shape: "S3r"
                    },
                    name: {},
                    prerequisite: {},
                    recommendationId: {},
                    referenceId: {},
                    serviceType: {}
                  }
                }
              }
            }
          }
        },
        ListSuggestedResiliencyPolicies: {
          http: {
            method: "GET",
            requestUri: "/list-suggested-resiliency-policies",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "resiliencyPolicies"
            ],
            members: {
              nextToken: {},
              resiliencyPolicies: {
                shape: "S54"
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Si"
              }
            }
          }
        },
        ListTestRecommendations: {
          http: {
            requestUri: "/list-test-recommendations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assessmentArn"
            ],
            members: {
              assessmentArn: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "testRecommendations"
            ],
            members: {
              nextToken: {},
              testRecommendations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "referenceId"
                  ],
                  members: {
                    appComponentName: {},
                    dependsOnAlarms: {
                      type: "list",
                      member: {}
                    },
                    description: {},
                    intent: {},
                    items: {
                      shape: "S3r"
                    },
                    name: {},
                    prerequisite: {},
                    recommendationId: {},
                    referenceId: {},
                    risk: {},
                    type: {}
                  }
                }
              }
            }
          }
        },
        ListUnsupportedAppVersionResources: {
          http: {
            requestUri: "/list-unsupported-app-version-resources",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appVersion: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              resolutionId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "resolutionId",
              "unsupportedResources"
            ],
            members: {
              nextToken: {},
              resolutionId: {},
              unsupportedResources: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "logicalResourceId",
                    "physicalResourceId",
                    "resourceType"
                  ],
                  members: {
                    logicalResourceId: {
                      shape: "S10"
                    },
                    physicalResourceId: {
                      shape: "S8"
                    },
                    resourceType: {},
                    unsupportedResourceStatus: {}
                  }
                }
              }
            }
          }
        },
        PublishAppVersion: {
          http: {
            requestUri: "/publish-app-version",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn"
            ],
            members: {
              appArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn"
            ],
            members: {
              appArn: {},
              appVersion: {}
            }
          }
        },
        PutDraftAppVersionTemplate: {
          http: {
            requestUri: "/put-draft-app-version-template",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "appTemplateBody"
            ],
            members: {
              appArn: {},
              appTemplateBody: {}
            }
          },
          output: {
            type: "structure",
            members: {
              appArn: {},
              appVersion: {}
            }
          }
        },
        RemoveDraftAppVersionResourceMappings: {
          http: {
            requestUri: "/remove-draft-app-version-resource-mappings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn"
            ],
            members: {
              appArn: {},
              appRegistryAppNames: {
                shape: "S5v"
              },
              eksSourceNames: {
                shape: "S5w"
              },
              logicalStackNames: {
                shape: "S5w"
              },
              resourceGroupNames: {
                shape: "S5v"
              },
              resourceNames: {
                shape: "S5v"
              },
              terraformSourceNames: {
                shape: "S5w"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              appArn: {},
              appVersion: {}
            }
          }
        },
        ResolveAppVersionResources: {
          http: {
            requestUri: "/resolve-app-version-resources",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appVersion: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appVersion",
              "resolutionId",
              "status"
            ],
            members: {
              appArn: {},
              appVersion: {},
              resolutionId: {},
              status: {}
            }
          }
        },
        StartAppAssessment: {
          http: {
            requestUri: "/start-app-assessment",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "appVersion",
              "assessmentName"
            ],
            members: {
              appArn: {},
              appVersion: {},
              assessmentName: {},
              clientToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "assessment"
            ],
            members: {
              assessment: {
                shape: "S2h"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {},
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateApp: {
          http: {
            requestUri: "/update-app",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn"
            ],
            members: {
              appArn: {},
              assessmentSchedule: {},
              clearResiliencyPolicyArn: {
                type: "boolean"
              },
              description: {},
              policyArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "app"
            ],
            members: {
              app: {
                shape: "Sm"
              }
            }
          }
        },
        UpdateAppVersion: {
          http: {
            requestUri: "/update-app-version",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn"
            ],
            members: {
              additionalInfo: {
                shape: "Ss"
              },
              appArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              additionalInfo: {
                shape: "Ss"
              },
              appArn: {},
              appVersion: {}
            }
          }
        },
        UpdateAppVersionAppComponent: {
          http: {
            requestUri: "/update-app-version-app-component",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn",
              "id"
            ],
            members: {
              additionalInfo: {
                shape: "Ss"
              },
              appArn: {},
              id: {},
              name: {},
              type: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appComponent: {
                shape: "Sx"
              },
              appVersion: {}
            }
          }
        },
        UpdateAppVersionResource: {
          http: {
            requestUri: "/update-app-version-resource",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appArn"
            ],
            members: {
              additionalInfo: {
                shape: "Ss"
              },
              appArn: {},
              appComponents: {
                shape: "Sz"
              },
              awsAccountId: {},
              awsRegion: {},
              excluded: {
                type: "boolean"
              },
              logicalResourceId: {
                shape: "S10"
              },
              physicalResourceId: {},
              resourceName: {},
              resourceType: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "appArn",
              "appVersion"
            ],
            members: {
              appArn: {},
              appVersion: {},
              physicalResource: {
                shape: "S13"
              }
            }
          }
        },
        UpdateResiliencyPolicy: {
          http: {
            requestUri: "/update-resiliency-policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "policyArn"
            ],
            members: {
              dataLocationConstraint: {},
              policy: {
                shape: "S1k"
              },
              policyArn: {},
              policyDescription: {},
              policyName: {},
              tier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "policy"
            ],
            members: {
              policy: {
                shape: "S1q"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "mappingType",
              "physicalResourceId"
            ],
            members: {
              appRegistryAppName: {},
              eksSourceName: {},
              logicalStackName: {},
              mappingType: {},
              physicalResourceId: {
                shape: "S8"
              },
              resourceGroupName: {},
              resourceName: {},
              terraformSourceName: {}
            }
          }
        },
        S8: {
          type: "structure",
          required: [
            "identifier",
            "type"
          ],
          members: {
            awsAccountId: {},
            awsRegion: {},
            identifier: {},
            type: {}
          }
        },
        Si: {
          type: "map",
          key: {},
          value: {},
          sensitive: true
        },
        Sm: {
          type: "structure",
          required: [
            "appArn",
            "creationTime",
            "name"
          ],
          members: {
            appArn: {},
            assessmentSchedule: {},
            complianceStatus: {},
            creationTime: {
              type: "timestamp"
            },
            description: {},
            lastAppComplianceEvaluationTime: {
              type: "timestamp"
            },
            lastResiliencyScoreEvaluationTime: {
              type: "timestamp"
            },
            name: {},
            policyArn: {},
            resiliencyScore: {
              type: "double"
            },
            status: {},
            tags: {
              shape: "Si"
            }
          }
        },
        Ss: {
          type: "map",
          key: {},
          value: {
            type: "list",
            member: {}
          }
        },
        Sx: {
          type: "structure",
          required: [
            "name",
            "type"
          ],
          members: {
            additionalInfo: {
              shape: "Ss"
            },
            id: {},
            name: {},
            type: {}
          }
        },
        Sz: {
          type: "list",
          member: {}
        },
        S10: {
          type: "structure",
          required: [
            "identifier"
          ],
          members: {
            eksSourceName: {},
            identifier: {},
            logicalStackName: {},
            resourceGroupName: {},
            terraformSourceName: {}
          }
        },
        S13: {
          type: "structure",
          required: [
            "logicalResourceId",
            "physicalResourceId",
            "resourceType"
          ],
          members: {
            additionalInfo: {
              shape: "Ss"
            },
            appComponents: {
              shape: "S14"
            },
            excluded: {
              type: "boolean"
            },
            logicalResourceId: {
              shape: "S10"
            },
            parentResourceName: {},
            physicalResourceId: {
              shape: "S8"
            },
            resourceName: {},
            resourceType: {},
            sourceType: {}
          }
        },
        S14: {
          type: "list",
          member: {
            shape: "Sx"
          }
        },
        S19: {
          type: "list",
          member: {}
        },
        S1b: {
          type: "list",
          member: {}
        },
        S1e: {
          type: "structure",
          required: [
            "assessmentArn",
            "format",
            "name",
            "recommendationTemplateArn",
            "recommendationTypes",
            "status"
          ],
          members: {
            appArn: {},
            assessmentArn: {},
            endTime: {
              type: "timestamp"
            },
            format: {},
            message: {},
            name: {},
            needsReplacements: {
              type: "boolean"
            },
            recommendationIds: {
              shape: "S19"
            },
            recommendationTemplateArn: {},
            recommendationTypes: {
              shape: "S1b"
            },
            startTime: {
              type: "timestamp"
            },
            status: {},
            tags: {
              shape: "Si"
            },
            templatesLocation: {
              type: "structure",
              members: {
                bucket: {},
                prefix: {}
              }
            }
          }
        },
        S1k: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "rpoInSecs",
              "rtoInSecs"
            ],
            members: {
              rpoInSecs: {
                type: "integer"
              },
              rtoInSecs: {
                type: "integer"
              }
            }
          }
        },
        S1q: {
          type: "structure",
          members: {
            creationTime: {
              type: "timestamp"
            },
            dataLocationConstraint: {},
            estimatedCostTier: {},
            policy: {
              shape: "S1k"
            },
            policyArn: {},
            policyDescription: {},
            policyName: {},
            tags: {
              shape: "Si"
            },
            tier: {}
          }
        },
        S1y: {
          type: "structure",
          required: [
            "eksClusterArn",
            "namespace"
          ],
          members: {
            eksClusterArn: {},
            namespace: {}
          }
        },
        S20: {
          type: "structure",
          required: [
            "s3StateFileUrl"
          ],
          members: {
            s3StateFileUrl: {}
          }
        },
        S23: {
          type: "structure",
          required: [
            "importType"
          ],
          members: {
            eksSourceClusterNamespace: {
              shape: "S1y"
            },
            importType: {},
            resourceCount: {
              type: "integer"
            },
            sourceArn: {},
            sourceName: {},
            terraformSource: {
              shape: "S20"
            }
          }
        },
        S2h: {
          type: "structure",
          required: [
            "assessmentArn",
            "assessmentStatus",
            "invoker"
          ],
          members: {
            appArn: {},
            appVersion: {},
            assessmentArn: {},
            assessmentName: {},
            assessmentStatus: {},
            compliance: {
              shape: "S2i"
            },
            complianceStatus: {},
            cost: {
              shape: "S2l"
            },
            endTime: {
              type: "timestamp"
            },
            invoker: {},
            message: {},
            policy: {
              shape: "S1q"
            },
            resiliencyScore: {
              shape: "S2p"
            },
            resourceErrorsDetails: {
              type: "structure",
              members: {
                hasMoreErrors: {
                  type: "boolean"
                },
                resourceErrors: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      logicalResourceId: {},
                      physicalResourceId: {},
                      reason: {}
                    }
                  }
                }
              }
            },
            startTime: {
              type: "timestamp"
            },
            tags: {
              shape: "Si"
            }
          }
        },
        S2i: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "complianceStatus"
            ],
            members: {
              achievableRpoInSecs: {
                type: "integer"
              },
              achievableRtoInSecs: {
                type: "integer"
              },
              complianceStatus: {},
              currentRpoInSecs: {
                type: "integer"
              },
              currentRtoInSecs: {
                type: "integer"
              },
              message: {},
              rpoDescription: {},
              rpoReferenceId: {},
              rtoDescription: {},
              rtoReferenceId: {}
            }
          }
        },
        S2l: {
          type: "structure",
          required: [
            "amount",
            "currency",
            "frequency"
          ],
          members: {
            amount: {
              type: "double"
            },
            currency: {},
            frequency: {}
          }
        },
        S2p: {
          type: "structure",
          required: [
            "disruptionScore",
            "score"
          ],
          members: {
            disruptionScore: {
              type: "map",
              key: {},
              value: {
                type: "double"
              }
            },
            score: {
              type: "double"
            }
          }
        },
        S3d: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "eksClusterArn",
              "namespaces"
            ],
            members: {
              eksClusterArn: {},
              namespaces: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S3h: {
          type: "list",
          member: {}
        },
        S3i: {
          type: "list",
          member: {
            shape: "S20"
          }
        },
        S3r: {
          type: "list",
          member: {
            type: "structure",
            members: {
              alreadyImplemented: {
                type: "boolean"
              },
              resourceId: {},
              targetAccountId: {},
              targetRegion: {}
            }
          }
        },
        S54: {
          type: "list",
          member: {
            shape: "S1q"
          }
        },
        S5v: {
          type: "list",
          member: {}
        },
        S5w: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/resiliencehub-2020-04-30.paginators.json
var require_resiliencehub_2020_04_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/resiliencehub-2020-04-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAlarmRecommendations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAppAssessments: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAppComponentCompliances: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAppComponentRecommendations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAppInputSources: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAppVersionAppComponents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAppVersionResourceMappings: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAppVersionResources: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListAppVersions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListApps: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListRecommendationTemplates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListResiliencyPolicies: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListSopRecommendations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListSuggestedResiliencyPolicies: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListTestRecommendations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListUnsupportedAppVersionResources: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/resiliencehub.js
var require_resiliencehub = __commonJS({
  "node_modules/aws-sdk/clients/resiliencehub.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["resiliencehub"] = {};
    AWS2.Resiliencehub = Service.defineService("resiliencehub", ["2020-04-30"]);
    Object.defineProperty(apiLoader.services["resiliencehub"], "2020-04-30", {
      get: function get() {
        var model = require_resiliencehub_2020_04_30_min();
        model.paginators = require_resiliencehub_2020_04_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Resiliencehub;
  }
});

// node_modules/aws-sdk/apis/migrationhubstrategy-2020-02-19.min.json
var require_migrationhubstrategy_2020_02_19_min = __commonJS({
  "node_modules/aws-sdk/apis/migrationhubstrategy-2020-02-19.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-02-19",
        endpointPrefix: "migrationhub-strategy",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Migration Hub Strategy Recommendations",
        serviceId: "MigrationHubStrategy",
        signatureVersion: "v4",
        signingName: "migrationhub-strategy",
        uid: "migrationhubstrategy-2020-02-19"
      },
      operations: {
        GetApplicationComponentDetails: {
          http: {
            method: "GET",
            requestUri: "/get-applicationcomponent-details/{applicationComponentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationComponentId"
            ],
            members: {
              applicationComponentId: {
                location: "uri",
                locationName: "applicationComponentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              applicationComponentDetail: {
                shape: "S4"
              },
              associatedApplications: {
                shape: "S1b"
              },
              associatedServerIds: {
                type: "list",
                member: {}
              },
              moreApplicationResource: {
                type: "boolean"
              }
            }
          }
        },
        GetApplicationComponentStrategies: {
          http: {
            method: "GET",
            requestUri: "/get-applicationcomponent-strategies/{applicationComponentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationComponentId"
            ],
            members: {
              applicationComponentId: {
                location: "uri",
                locationName: "applicationComponentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              applicationComponentStrategies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    isPreferred: {
                      type: "boolean"
                    },
                    recommendation: {
                      shape: "Sq"
                    },
                    status: {}
                  }
                }
              }
            }
          }
        },
        GetAssessment: {
          http: {
            method: "GET",
            requestUri: "/get-assessment/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              assessmentTargets: {
                shape: "S1m"
              },
              dataCollectionDetails: {
                type: "structure",
                members: {
                  completionTime: {
                    type: "timestamp"
                  },
                  failed: {
                    type: "integer"
                  },
                  inProgress: {
                    type: "integer"
                  },
                  servers: {
                    type: "integer"
                  },
                  startTime: {
                    type: "timestamp"
                  },
                  status: {},
                  statusMessage: {},
                  success: {
                    type: "integer"
                  }
                }
              },
              id: {}
            }
          }
        },
        GetImportFileTask: {
          http: {
            method: "GET",
            requestUri: "/get-import-file-task/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              completionTime: {
                type: "timestamp"
              },
              id: {},
              importName: {},
              inputS3Bucket: {},
              inputS3Key: {},
              numberOfRecordsFailed: {
                type: "integer"
              },
              numberOfRecordsSuccess: {
                type: "integer"
              },
              startTime: {
                type: "timestamp"
              },
              status: {},
              statusReportS3Bucket: {},
              statusReportS3Key: {}
            }
          }
        },
        GetLatestAssessmentId: {
          http: {
            method: "GET",
            requestUri: "/get-latest-assessment-id",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              id: {}
            }
          }
        },
        GetPortfolioPreferences: {
          http: {
            method: "GET",
            requestUri: "/get-portfolio-preferences",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              applicationMode: {},
              applicationPreferences: {
                shape: "S23"
              },
              databasePreferences: {
                shape: "S2e"
              },
              prioritizeBusinessGoals: {
                shape: "S2q"
              }
            }
          }
        },
        GetPortfolioSummary: {
          http: {
            method: "GET",
            requestUri: "/get-portfolio-summary",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              assessmentSummary: {
                type: "structure",
                members: {
                  antipatternReportS3Object: {
                    shape: "S6"
                  },
                  antipatternReportStatus: {},
                  antipatternReportStatusMessage: {},
                  lastAnalyzedTimestamp: {
                    type: "timestamp"
                  },
                  listAntipatternSeveritySummary: {
                    shape: "Sk"
                  },
                  listApplicationComponentStatusSummary: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        count: {
                          type: "integer"
                        },
                        srcCodeOrDbAnalysisStatus: {}
                      }
                    }
                  },
                  listApplicationComponentStrategySummary: {
                    shape: "S2y"
                  },
                  listApplicationComponentSummary: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        appType: {},
                        count: {
                          type: "integer"
                        }
                      }
                    }
                  },
                  listServerStatusSummary: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        count: {
                          type: "integer"
                        },
                        runTimeAssessmentStatus: {}
                      }
                    }
                  },
                  listServerStrategySummary: {
                    shape: "S2y"
                  },
                  listServerSummary: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        ServerOsType: {},
                        count: {
                          type: "integer"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetRecommendationReportDetails: {
          http: {
            method: "GET",
            requestUri: "/get-recommendation-report-details/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              recommendationReportDetails: {
                type: "structure",
                members: {
                  completionTime: {
                    type: "timestamp"
                  },
                  s3Bucket: {},
                  s3Keys: {
                    type: "list",
                    member: {}
                  },
                  startTime: {
                    type: "timestamp"
                  },
                  status: {},
                  statusMessage: {}
                }
              }
            }
          }
        },
        GetServerDetails: {
          http: {
            method: "GET",
            requestUri: "/get-server-details/{serverId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "serverId"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              serverId: {
                location: "uri",
                locationName: "serverId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              associatedApplications: {
                shape: "S1b"
              },
              nextToken: {},
              serverDetail: {
                shape: "S3k"
              }
            }
          }
        },
        GetServerStrategies: {
          http: {
            method: "GET",
            requestUri: "/get-server-strategies/{serverId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "serverId"
            ],
            members: {
              serverId: {
                location: "uri",
                locationName: "serverId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              serverStrategies: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    isPreferred: {
                      type: "boolean"
                    },
                    numberOfApplicationComponents: {
                      type: "integer"
                    },
                    recommendation: {
                      shape: "Sq"
                    },
                    status: {}
                  }
                }
              }
            }
          }
        },
        ListApplicationComponents: {
          http: {
            requestUri: "/list-applicationcomponents",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              applicationComponentCriteria: {},
              filterValue: {},
              groupIdFilter: {
                shape: "S44"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              sort: {}
            }
          },
          output: {
            type: "structure",
            members: {
              applicationComponentInfos: {
                type: "list",
                member: {
                  shape: "S4"
                }
              },
              nextToken: {}
            }
          }
        },
        ListCollectors: {
          http: {
            method: "GET",
            requestUri: "/list-collectors",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Collectors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    collectorHealth: {},
                    collectorId: {},
                    collectorVersion: {},
                    configurationSummary: {
                      type: "structure",
                      members: {
                        ipAddressBasedRemoteInfoList: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              authType: {},
                              ipAddressConfigurationTimeStamp: {},
                              osType: {}
                            }
                          }
                        },
                        pipelineInfoList: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              pipelineConfigurationTimeStamp: {},
                              pipelineType: {}
                            }
                          }
                        },
                        remoteSourceCodeAnalysisServerInfo: {
                          type: "structure",
                          members: {
                            remoteSourceCodeAnalysisServerConfigurationTimestamp: {}
                          }
                        },
                        vcenterBasedRemoteInfoList: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              osType: {},
                              vcenterConfigurationTimeStamp: {}
                            }
                          }
                        },
                        versionControlInfoList: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              versionControlConfigurationTimeStamp: {},
                              versionControlType: {}
                            }
                          }
                        }
                      }
                    },
                    hostName: {},
                    ipAddress: {},
                    lastActivityTimeStamp: {},
                    registeredTimeStamp: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListImportFileTask: {
          http: {
            method: "GET",
            requestUri: "/list-import-file-task",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              taskInfos: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    completionTime: {
                      type: "timestamp"
                    },
                    id: {},
                    importName: {},
                    inputS3Bucket: {},
                    inputS3Key: {},
                    numberOfRecordsFailed: {
                      type: "integer"
                    },
                    numberOfRecordsSuccess: {
                      type: "integer"
                    },
                    startTime: {
                      type: "timestamp"
                    },
                    status: {},
                    statusReportS3Bucket: {},
                    statusReportS3Key: {}
                  }
                }
              }
            }
          }
        },
        ListServers: {
          http: {
            requestUri: "/list-servers",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filterValue: {},
              groupIdFilter: {
                shape: "S44"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              serverCriteria: {},
              sort: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              serverInfos: {
                type: "list",
                member: {
                  shape: "S3k"
                }
              }
            }
          }
        },
        PutPortfolioPreferences: {
          http: {
            requestUri: "/put-portfolio-preferences",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              applicationMode: {},
              applicationPreferences: {
                shape: "S23"
              },
              databasePreferences: {
                shape: "S2e"
              },
              prioritizeBusinessGoals: {
                shape: "S2q"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartAssessment: {
          http: {
            requestUri: "/start-assessment",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              assessmentTargets: {
                shape: "S1m"
              },
              s3bucketForAnalysisData: {},
              s3bucketForReportData: {}
            }
          },
          output: {
            type: "structure",
            members: {
              assessmentId: {}
            }
          }
        },
        StartImportFileTask: {
          http: {
            requestUri: "/start-import-file-task",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "S3Bucket",
              "name",
              "s3key"
            ],
            members: {
              S3Bucket: {},
              dataSourceType: {},
              groupId: {
                shape: "S44"
              },
              name: {},
              s3bucketForReportData: {},
              s3key: {}
            }
          },
          output: {
            type: "structure",
            members: {
              id: {}
            }
          }
        },
        StartRecommendationReportGeneration: {
          http: {
            requestUri: "/start-recommendation-report-generation",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              groupIdFilter: {
                shape: "S44"
              },
              outputFormat: {}
            }
          },
          output: {
            type: "structure",
            members: {
              id: {}
            }
          }
        },
        StopAssessment: {
          http: {
            requestUri: "/stop-assessment",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "assessmentId"
            ],
            members: {
              assessmentId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateApplicationComponentConfig: {
          http: {
            requestUri: "/update-applicationcomponent-config/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationComponentId"
            ],
            members: {
              appType: {},
              applicationComponentId: {},
              configureOnly: {
                type: "boolean"
              },
              inclusionStatus: {},
              secretsManagerKey: {
                type: "string",
                sensitive: true
              },
              sourceCodeList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    location: {},
                    projectName: {},
                    sourceVersion: {},
                    versionControl: {}
                  }
                }
              },
              strategyOption: {
                shape: "S5o"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateServerConfig: {
          http: {
            requestUri: "/update-server-config/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "serverId"
            ],
            members: {
              serverId: {},
              strategyOption: {
                shape: "S5o"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            analysisStatus: {},
            antipatternReportS3Object: {
              shape: "S6"
            },
            antipatternReportStatus: {},
            antipatternReportStatusMessage: {},
            appType: {},
            appUnitError: {
              type: "structure",
              members: {
                appUnitErrorCategory: {}
              }
            },
            associatedServerId: {},
            databaseConfigDetail: {
              type: "structure",
              members: {
                secretName: {}
              }
            },
            id: {},
            inclusionStatus: {},
            lastAnalyzedTimestamp: {
              type: "timestamp"
            },
            listAntipatternSeveritySummary: {
              shape: "Sk"
            },
            moreServerAssociationExists: {
              type: "boolean"
            },
            name: {},
            osDriver: {},
            osVersion: {},
            recommendationSet: {
              shape: "Sq"
            },
            resourceSubType: {},
            resultList: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  analysisStatus: {
                    type: "structure",
                    members: {
                      runtimeAnalysisStatus: {},
                      srcCodeOrDbAnalysisStatus: {}
                    },
                    union: true
                  },
                  analysisType: {},
                  antipatternReportResultList: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        analyzerName: {
                          type: "structure",
                          members: {
                            binaryAnalyzerName: {},
                            runTimeAnalyzerName: {},
                            sourceCodeAnalyzerName: {}
                          },
                          union: true
                        },
                        antiPatternReportS3Object: {
                          shape: "S6"
                        },
                        antipatternReportStatus: {},
                        antipatternReportStatusMessage: {}
                      }
                    }
                  },
                  statusMessage: {}
                }
              }
            },
            runtimeStatus: {},
            runtimeStatusMessage: {},
            sourceCodeRepositories: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  branch: {},
                  projectName: {},
                  repository: {},
                  versionControlType: {}
                }
              }
            },
            statusMessage: {}
          }
        },
        S6: {
          type: "structure",
          members: {
            s3Bucket: {},
            s3key: {}
          }
        },
        Sk: {
          type: "list",
          member: {
            type: "structure",
            members: {
              count: {
                type: "integer"
              },
              severity: {}
            }
          }
        },
        Sq: {
          type: "structure",
          members: {
            strategy: {},
            targetDestination: {},
            transformationTool: {
              type: "structure",
              members: {
                description: {},
                name: {},
                tranformationToolInstallationLink: {}
              }
            }
          }
        },
        S1b: {
          type: "list",
          member: {
            type: "structure",
            members: {
              id: {},
              name: {}
            }
          }
        },
        S1m: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "condition",
              "name",
              "values"
            ],
            members: {
              condition: {},
              name: {},
              values: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S23: {
          type: "structure",
          members: {
            managementPreference: {
              type: "structure",
              members: {
                awsManagedResources: {
                  type: "structure",
                  required: [
                    "targetDestination"
                  ],
                  members: {
                    targetDestination: {
                      type: "list",
                      member: {}
                    }
                  }
                },
                noPreference: {
                  type: "structure",
                  required: [
                    "targetDestination"
                  ],
                  members: {
                    targetDestination: {
                      type: "list",
                      member: {}
                    }
                  }
                },
                selfManageResources: {
                  type: "structure",
                  required: [
                    "targetDestination"
                  ],
                  members: {
                    targetDestination: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              union: true
            }
          }
        },
        S2e: {
          type: "structure",
          members: {
            databaseManagementPreference: {},
            databaseMigrationPreference: {
              type: "structure",
              members: {
                heterogeneous: {
                  type: "structure",
                  required: [
                    "targetDatabaseEngine"
                  ],
                  members: {
                    targetDatabaseEngine: {
                      type: "list",
                      member: {}
                    }
                  }
                },
                homogeneous: {
                  type: "structure",
                  members: {
                    targetDatabaseEngine: {
                      type: "list",
                      member: {}
                    }
                  }
                },
                noPreference: {
                  type: "structure",
                  required: [
                    "targetDatabaseEngine"
                  ],
                  members: {
                    targetDatabaseEngine: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              union: true
            }
          }
        },
        S2q: {
          type: "structure",
          members: {
            businessGoals: {
              type: "structure",
              members: {
                licenseCostReduction: {
                  type: "integer"
                },
                modernizeInfrastructureWithCloudNativeTechnologies: {
                  type: "integer"
                },
                reduceOperationalOverheadWithManagedServices: {
                  type: "integer"
                },
                speedOfMigration: {
                  type: "integer"
                }
              }
            }
          }
        },
        S2y: {
          type: "list",
          member: {
            type: "structure",
            members: {
              count: {
                type: "integer"
              },
              strategy: {}
            }
          }
        },
        S3k: {
          type: "structure",
          members: {
            antipatternReportS3Object: {
              shape: "S6"
            },
            antipatternReportStatus: {},
            antipatternReportStatusMessage: {},
            applicationComponentStrategySummary: {
              shape: "S2y"
            },
            dataCollectionStatus: {},
            id: {},
            lastAnalyzedTimestamp: {
              type: "timestamp"
            },
            listAntipatternSeveritySummary: {
              shape: "Sk"
            },
            name: {},
            recommendationSet: {
              shape: "Sq"
            },
            serverError: {
              type: "structure",
              members: {
                serverErrorCategory: {}
              }
            },
            serverType: {},
            statusMessage: {},
            systemInfo: {
              type: "structure",
              members: {
                cpuArchitecture: {},
                fileSystemType: {},
                networkInfoList: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "interfaceName",
                      "ipAddress",
                      "macAddress",
                      "netMask"
                    ],
                    members: {
                      interfaceName: {},
                      ipAddress: {},
                      macAddress: {},
                      netMask: {}
                    }
                  }
                },
                osInfo: {
                  type: "structure",
                  members: {
                    type: {},
                    version: {}
                  }
                }
              }
            }
          }
        },
        S44: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              value: {}
            }
          }
        },
        S5o: {
          type: "structure",
          members: {
            isPreferred: {
              type: "boolean"
            },
            strategy: {},
            targetDestination: {},
            toolName: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/migrationhubstrategy-2020-02-19.paginators.json
var require_migrationhubstrategy_2020_02_19_paginators = __commonJS({
  "node_modules/aws-sdk/apis/migrationhubstrategy-2020-02-19.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetServerDetails: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "associatedApplications"
        },
        ListApplicationComponents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "applicationComponentInfos"
        },
        ListCollectors: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "Collectors"
        },
        ListImportFileTask: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "taskInfos"
        },
        ListServers: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "serverInfos"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/migrationhubstrategy.js
var require_migrationhubstrategy = __commonJS({
  "node_modules/aws-sdk/clients/migrationhubstrategy.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["migrationhubstrategy"] = {};
    AWS2.MigrationHubStrategy = Service.defineService("migrationhubstrategy", ["2020-02-19"]);
    Object.defineProperty(apiLoader.services["migrationhubstrategy"], "2020-02-19", {
      get: function get() {
        var model = require_migrationhubstrategy_2020_02_19_min();
        model.paginators = require_migrationhubstrategy_2020_02_19_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MigrationHubStrategy;
  }
});

// node_modules/aws-sdk/apis/appconfigdata-2021-11-11.min.json
var require_appconfigdata_2021_11_11_min = __commonJS({
  "node_modules/aws-sdk/apis/appconfigdata-2021-11-11.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-11-11",
        endpointPrefix: "appconfigdata",
        jsonVersion: "1.0",
        protocol: "rest-json",
        serviceFullName: "AWS AppConfig Data",
        serviceId: "AppConfigData",
        signatureVersion: "v4",
        signingName: "appconfig",
        uid: "appconfigdata-2021-11-11"
      },
      operations: {
        GetLatestConfiguration: {
          http: {
            method: "GET",
            requestUri: "/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ConfigurationToken"
            ],
            members: {
              ConfigurationToken: {
                location: "querystring",
                locationName: "configuration_token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextPollConfigurationToken: {
                location: "header",
                locationName: "Next-Poll-Configuration-Token"
              },
              NextPollIntervalInSeconds: {
                location: "header",
                locationName: "Next-Poll-Interval-In-Seconds",
                type: "integer"
              },
              ContentType: {
                location: "header",
                locationName: "Content-Type"
              },
              Configuration: {
                type: "blob",
                sensitive: true
              },
              VersionLabel: {
                location: "header",
                locationName: "Version-Label"
              }
            },
            payload: "Configuration"
          }
        },
        StartConfigurationSession: {
          http: {
            requestUri: "/configurationsessions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ApplicationIdentifier",
              "EnvironmentIdentifier",
              "ConfigurationProfileIdentifier"
            ],
            members: {
              ApplicationIdentifier: {},
              EnvironmentIdentifier: {},
              ConfigurationProfileIdentifier: {},
              RequiredMinimumPollIntervalInSeconds: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              InitialConfigurationToken: {}
            }
          }
        }
      },
      shapes: {}
    };
  }
});

// node_modules/aws-sdk/apis/appconfigdata-2021-11-11.paginators.json
var require_appconfigdata_2021_11_11_paginators = __commonJS({
  "node_modules/aws-sdk/apis/appconfigdata-2021-11-11.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/appconfigdata.js
var require_appconfigdata = __commonJS({
  "node_modules/aws-sdk/clients/appconfigdata.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["appconfigdata"] = {};
    AWS2.AppConfigData = Service.defineService("appconfigdata", ["2021-11-11"]);
    Object.defineProperty(apiLoader.services["appconfigdata"], "2021-11-11", {
      get: function get() {
        var model = require_appconfigdata_2021_11_11_min();
        model.paginators = require_appconfigdata_2021_11_11_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.AppConfigData;
  }
});

// node_modules/aws-sdk/apis/drs-2020-02-26.min.json
var require_drs_2020_02_26_min = __commonJS({
  "node_modules/aws-sdk/apis/drs-2020-02-26.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-02-26",
        endpointPrefix: "drs",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "drs",
        serviceFullName: "Elastic Disaster Recovery Service",
        serviceId: "drs",
        signatureVersion: "v4",
        signingName: "drs",
        uid: "drs-2020-02-26"
      },
      operations: {
        AssociateSourceNetworkStack: {
          http: {
            requestUri: "/AssociateSourceNetworkStack",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "cfnStackName",
              "sourceNetworkID"
            ],
            members: {
              cfnStackName: {
                shape: "S2"
              },
              sourceNetworkID: {}
            }
          },
          output: {
            type: "structure",
            members: {
              job: {
                shape: "S5"
              }
            }
          }
        },
        CreateExtendedSourceServer: {
          http: {
            requestUri: "/CreateExtendedSourceServer",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "sourceServerArn"
            ],
            members: {
              sourceServerArn: {},
              tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              sourceServer: {
                shape: "Sq"
              }
            }
          }
        },
        CreateLaunchConfigurationTemplate: {
          http: {
            requestUri: "/CreateLaunchConfigurationTemplate",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              copyPrivateIp: {
                type: "boolean"
              },
              copyTags: {
                type: "boolean"
              },
              exportBucketArn: {},
              launchDisposition: {},
              licensing: {
                shape: "S1x"
              },
              tags: {
                shape: "Sj"
              },
              targetInstanceTypeRightSizingMethod: {}
            }
          },
          output: {
            type: "structure",
            members: {
              launchConfigurationTemplate: {
                shape: "S20"
              }
            }
          }
        },
        CreateReplicationConfigurationTemplate: {
          http: {
            requestUri: "/CreateReplicationConfigurationTemplate",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "associateDefaultSecurityGroup",
              "bandwidthThrottling",
              "createPublicIP",
              "dataPlaneRouting",
              "defaultLargeStagingDiskType",
              "ebsEncryption",
              "pitPolicy",
              "replicationServerInstanceType",
              "replicationServersSecurityGroupsIDs",
              "stagingAreaSubnetId",
              "stagingAreaTags",
              "useDedicatedReplicationServer"
            ],
            members: {
              associateDefaultSecurityGroup: {
                type: "boolean"
              },
              autoReplicateNewDisks: {
                type: "boolean"
              },
              bandwidthThrottling: {
                type: "long"
              },
              createPublicIP: {
                type: "boolean"
              },
              dataPlaneRouting: {},
              defaultLargeStagingDiskType: {},
              ebsEncryption: {},
              ebsEncryptionKeyArn: {},
              pitPolicy: {
                shape: "S26"
              },
              replicationServerInstanceType: {},
              replicationServersSecurityGroupsIDs: {
                shape: "S2a"
              },
              stagingAreaSubnetId: {},
              stagingAreaTags: {
                shape: "Sj"
              },
              tags: {
                shape: "Sj"
              },
              useDedicatedReplicationServer: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S2d"
          }
        },
        CreateSourceNetwork: {
          http: {
            requestUri: "/CreateSourceNetwork",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "originAccountID",
              "originRegion",
              "vpcID"
            ],
            members: {
              originAccountID: {},
              originRegion: {},
              tags: {
                shape: "Sj"
              },
              vpcID: {}
            }
          },
          output: {
            type: "structure",
            members: {
              sourceNetworkID: {}
            }
          }
        },
        DeleteJob: {
          http: {
            requestUri: "/DeleteJob",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "jobID"
            ],
            members: {
              jobID: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteLaunchConfigurationTemplate: {
          http: {
            requestUri: "/DeleteLaunchConfigurationTemplate",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "launchConfigurationTemplateID"
            ],
            members: {
              launchConfigurationTemplateID: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteRecoveryInstance: {
          http: {
            requestUri: "/DeleteRecoveryInstance",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "recoveryInstanceID"
            ],
            members: {
              recoveryInstanceID: {}
            }
          }
        },
        DeleteReplicationConfigurationTemplate: {
          http: {
            requestUri: "/DeleteReplicationConfigurationTemplate",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "replicationConfigurationTemplateID"
            ],
            members: {
              replicationConfigurationTemplateID: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteSourceNetwork: {
          http: {
            requestUri: "/DeleteSourceNetwork",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "sourceNetworkID"
            ],
            members: {
              sourceNetworkID: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteSourceServer: {
          http: {
            requestUri: "/DeleteSourceServer",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              sourceServerID: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DescribeJobLogItems: {
          http: {
            requestUri: "/DescribeJobLogItems",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "jobID"
            ],
            members: {
              jobID: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    event: {},
                    eventData: {
                      type: "structure",
                      members: {
                        conversionProperties: {
                          type: "structure",
                          members: {
                            dataTimestamp: {},
                            forceUefi: {
                              type: "boolean"
                            },
                            rootVolumeName: {},
                            volumeToConversionMap: {
                              type: "map",
                              key: {},
                              value: {
                                type: "map",
                                key: {},
                                value: {}
                              }
                            },
                            volumeToVolumeSize: {
                              type: "map",
                              key: {},
                              value: {
                                type: "long"
                              }
                            }
                          }
                        },
                        conversionServerID: {},
                        eventResourceData: {
                          type: "structure",
                          members: {
                            sourceNetworkData: {
                              type: "structure",
                              members: {
                                sourceNetworkID: {},
                                sourceVpc: {},
                                stackName: {},
                                targetVpc: {}
                              }
                            }
                          },
                          union: true
                        },
                        rawError: {},
                        sourceServerID: {},
                        targetInstanceID: {}
                      }
                    },
                    logDateTime: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeJobs: {
          http: {
            requestUri: "/DescribeJobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filters: {
                type: "structure",
                members: {
                  fromDate: {},
                  jobIDs: {
                    type: "list",
                    member: {}
                  },
                  toDate: {}
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  shape: "S5"
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeLaunchConfigurationTemplates: {
          http: {
            requestUri: "/DescribeLaunchConfigurationTemplates",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              launchConfigurationTemplateIDs: {
                type: "list",
                member: {}
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  shape: "S20"
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeRecoveryInstances: {
          http: {
            requestUri: "/DescribeRecoveryInstances",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filters: {
                type: "structure",
                members: {
                  recoveryInstanceIDs: {
                    type: "list",
                    member: {}
                  },
                  sourceServerIDs: {
                    type: "list",
                    member: {}
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    dataReplicationInfo: {
                      type: "structure",
                      members: {
                        dataReplicationError: {
                          type: "structure",
                          members: {
                            error: {},
                            rawError: {}
                          }
                        },
                        dataReplicationInitiation: {
                          type: "structure",
                          members: {
                            startDateTime: {},
                            steps: {
                              type: "list",
                              member: {
                                type: "structure",
                                members: {
                                  name: {},
                                  status: {}
                                }
                              }
                            }
                          }
                        },
                        dataReplicationState: {},
                        etaDateTime: {},
                        lagDuration: {},
                        replicatedDisks: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              backloggedStorageBytes: {
                                type: "long"
                              },
                              deviceName: {},
                              replicatedStorageBytes: {
                                type: "long"
                              },
                              rescannedStorageBytes: {
                                type: "long"
                              },
                              totalStorageBytes: {
                                type: "long"
                              }
                            }
                          }
                        },
                        stagingAvailabilityZone: {}
                      }
                    },
                    ec2InstanceID: {},
                    ec2InstanceState: {},
                    failback: {
                      type: "structure",
                      members: {
                        agentLastSeenByServiceDateTime: {},
                        elapsedReplicationDuration: {},
                        failbackClientID: {},
                        failbackClientLastSeenByServiceDateTime: {},
                        failbackInitiationTime: {},
                        failbackJobID: {},
                        failbackLaunchType: {},
                        failbackToOriginalServer: {
                          type: "boolean"
                        },
                        firstByteDateTime: {},
                        state: {}
                      }
                    },
                    isDrill: {
                      type: "boolean"
                    },
                    jobID: {},
                    originAvailabilityZone: {},
                    originEnvironment: {},
                    pointInTimeSnapshotDateTime: {},
                    recoveryInstanceID: {},
                    recoveryInstanceProperties: {
                      type: "structure",
                      members: {
                        cpus: {
                          shape: "S1h"
                        },
                        disks: {
                          type: "list",
                          member: {
                            type: "structure",
                            members: {
                              bytes: {
                                type: "long"
                              },
                              ebsVolumeID: {},
                              internalDeviceName: {}
                            }
                          }
                        },
                        identificationHints: {
                          shape: "S1l"
                        },
                        lastUpdatedDateTime: {},
                        networkInterfaces: {
                          shape: "S1n"
                        },
                        os: {
                          shape: "S1r"
                        },
                        ramBytes: {
                          type: "long"
                        }
                      }
                    },
                    sourceServerID: {},
                    tags: {
                      shape: "Sj"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeRecoverySnapshots: {
          http: {
            requestUri: "/DescribeRecoverySnapshots",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              filters: {
                type: "structure",
                members: {
                  fromDateTime: {},
                  toDateTime: {}
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              order: {},
              sourceServerID: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "expectedTimestamp",
                    "snapshotID",
                    "sourceServerID"
                  ],
                  members: {
                    ebsSnapshots: {
                      type: "list",
                      member: {}
                    },
                    expectedTimestamp: {},
                    snapshotID: {},
                    sourceServerID: {},
                    timestamp: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeReplicationConfigurationTemplates: {
          http: {
            requestUri: "/DescribeReplicationConfigurationTemplates",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              replicationConfigurationTemplateIDs: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  shape: "S2d"
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeSourceNetworks: {
          http: {
            requestUri: "/DescribeSourceNetworks",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filters: {
                type: "structure",
                members: {
                  originAccountID: {},
                  originRegion: {},
                  sourceNetworkIDs: {
                    type: "list",
                    member: {}
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  shape: "S4p"
                }
              },
              nextToken: {}
            }
          }
        },
        DescribeSourceServers: {
          http: {
            requestUri: "/DescribeSourceServers",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filters: {
                type: "structure",
                members: {
                  hardwareId: {},
                  sourceServerIDs: {
                    type: "list",
                    member: {}
                  },
                  stagingAccountIDs: {
                    type: "list",
                    member: {}
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  shape: "Sq"
                }
              },
              nextToken: {}
            }
          }
        },
        DisconnectRecoveryInstance: {
          http: {
            requestUri: "/DisconnectRecoveryInstance",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "recoveryInstanceID"
            ],
            members: {
              recoveryInstanceID: {}
            }
          }
        },
        DisconnectSourceServer: {
          http: {
            requestUri: "/DisconnectSourceServer",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              sourceServerID: {}
            }
          },
          output: {
            shape: "Sq"
          }
        },
        ExportSourceNetworkCfnTemplate: {
          http: {
            requestUri: "/ExportSourceNetworkCfnTemplate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceNetworkID"
            ],
            members: {
              sourceNetworkID: {}
            }
          },
          output: {
            type: "structure",
            members: {
              s3DestinationUrl: {}
            }
          }
        },
        GetFailbackReplicationConfiguration: {
          http: {
            requestUri: "/GetFailbackReplicationConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "recoveryInstanceID"
            ],
            members: {
              recoveryInstanceID: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "recoveryInstanceID"
            ],
            members: {
              bandwidthThrottling: {
                type: "long"
              },
              name: {},
              recoveryInstanceID: {},
              usePrivateIP: {
                type: "boolean"
              }
            }
          }
        },
        GetLaunchConfiguration: {
          http: {
            requestUri: "/GetLaunchConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              sourceServerID: {}
            }
          },
          output: {
            shape: "S58"
          }
        },
        GetReplicationConfiguration: {
          http: {
            requestUri: "/GetReplicationConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              sourceServerID: {}
            }
          },
          output: {
            shape: "S5b"
          }
        },
        InitializeService: {
          http: {
            requestUri: "/InitializeService",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        ListExtensibleSourceServers: {
          http: {
            requestUri: "/ListExtensibleSourceServers",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "stagingAccountID"
            ],
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              stagingAccountID: {}
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    hostname: {},
                    tags: {
                      shape: "Sj"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListStagingAccounts: {
          http: {
            method: "GET",
            requestUri: "/ListStagingAccounts",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              accounts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    accountID: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sj"
              }
            }
          }
        },
        RetryDataReplication: {
          http: {
            requestUri: "/RetryDataReplication",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              sourceServerID: {}
            },
            deprecated: true,
            deprecatedMessage: "WARNING: RetryDataReplication is deprecated"
          },
          output: {
            shape: "Sq"
          },
          deprecated: true,
          deprecatedMessage: "WARNING: RetryDataReplication is deprecated"
        },
        ReverseReplication: {
          http: {
            requestUri: "/ReverseReplication",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "recoveryInstanceID"
            ],
            members: {
              recoveryInstanceID: {}
            }
          },
          output: {
            type: "structure",
            members: {
              reversedDirectionSourceServerArn: {}
            }
          }
        },
        StartFailbackLaunch: {
          http: {
            requestUri: "/StartFailbackLaunch",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "recoveryInstanceIDs"
            ],
            members: {
              recoveryInstanceIDs: {
                type: "list",
                member: {}
              },
              tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              job: {
                shape: "S5"
              }
            }
          }
        },
        StartRecovery: {
          http: {
            requestUri: "/StartRecovery",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "sourceServers"
            ],
            members: {
              isDrill: {
                type: "boolean"
              },
              sourceServers: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "sourceServerID"
                  ],
                  members: {
                    recoverySnapshotID: {},
                    sourceServerID: {}
                  }
                }
              },
              tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              job: {
                shape: "S5"
              }
            }
          }
        },
        StartReplication: {
          http: {
            requestUri: "/StartReplication",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              sourceServerID: {}
            }
          },
          output: {
            type: "structure",
            members: {
              sourceServer: {
                shape: "Sq"
              }
            }
          }
        },
        StartSourceNetworkRecovery: {
          http: {
            requestUri: "/StartSourceNetworkRecovery",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "sourceNetworks"
            ],
            members: {
              deployAsNew: {
                type: "boolean"
              },
              sourceNetworks: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "sourceNetworkID"
                  ],
                  members: {
                    cfnStackName: {
                      shape: "S2"
                    },
                    sourceNetworkID: {}
                  }
                }
              },
              tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              job: {
                shape: "S5"
              }
            }
          }
        },
        StartSourceNetworkReplication: {
          http: {
            requestUri: "/StartSourceNetworkReplication",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceNetworkID"
            ],
            members: {
              sourceNetworkID: {}
            }
          },
          output: {
            type: "structure",
            members: {
              sourceNetwork: {
                shape: "S4p"
              }
            }
          }
        },
        StopFailback: {
          http: {
            requestUri: "/StopFailback",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "recoveryInstanceID"
            ],
            members: {
              recoveryInstanceID: {}
            }
          }
        },
        StopReplication: {
          http: {
            requestUri: "/StopReplication",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              sourceServerID: {}
            }
          },
          output: {
            type: "structure",
            members: {
              sourceServer: {
                shape: "Sq"
              }
            }
          }
        },
        StopSourceNetworkReplication: {
          http: {
            requestUri: "/StopSourceNetworkReplication",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceNetworkID"
            ],
            members: {
              sourceNetworkID: {}
            }
          },
          output: {
            type: "structure",
            members: {
              sourceNetwork: {
                shape: "S4p"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sj"
              }
            }
          },
          idempotent: true
        },
        TerminateRecoveryInstances: {
          http: {
            requestUri: "/TerminateRecoveryInstances",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "recoveryInstanceIDs"
            ],
            members: {
              recoveryInstanceIDs: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              job: {
                shape: "S5"
              }
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {},
                sensitive: true
              }
            }
          },
          idempotent: true
        },
        UpdateFailbackReplicationConfiguration: {
          http: {
            requestUri: "/UpdateFailbackReplicationConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "recoveryInstanceID"
            ],
            members: {
              bandwidthThrottling: {
                type: "long"
              },
              name: {},
              recoveryInstanceID: {},
              usePrivateIP: {
                type: "boolean"
              }
            }
          }
        },
        UpdateLaunchConfiguration: {
          http: {
            requestUri: "/UpdateLaunchConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              copyPrivateIp: {
                type: "boolean"
              },
              copyTags: {
                type: "boolean"
              },
              launchDisposition: {},
              licensing: {
                shape: "S1x"
              },
              name: {},
              sourceServerID: {},
              targetInstanceTypeRightSizingMethod: {}
            }
          },
          output: {
            shape: "S58"
          },
          idempotent: true
        },
        UpdateLaunchConfigurationTemplate: {
          http: {
            requestUri: "/UpdateLaunchConfigurationTemplate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launchConfigurationTemplateID"
            ],
            members: {
              copyPrivateIp: {
                type: "boolean"
              },
              copyTags: {
                type: "boolean"
              },
              exportBucketArn: {},
              launchConfigurationTemplateID: {},
              launchDisposition: {},
              licensing: {
                shape: "S1x"
              },
              targetInstanceTypeRightSizingMethod: {}
            }
          },
          output: {
            type: "structure",
            members: {
              launchConfigurationTemplate: {
                shape: "S20"
              }
            }
          }
        },
        UpdateReplicationConfiguration: {
          http: {
            requestUri: "/UpdateReplicationConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceServerID"
            ],
            members: {
              associateDefaultSecurityGroup: {
                type: "boolean"
              },
              autoReplicateNewDisks: {
                type: "boolean"
              },
              bandwidthThrottling: {
                type: "long"
              },
              createPublicIP: {
                type: "boolean"
              },
              dataPlaneRouting: {},
              defaultLargeStagingDiskType: {},
              ebsEncryption: {},
              ebsEncryptionKeyArn: {},
              name: {},
              pitPolicy: {
                shape: "S26"
              },
              replicatedDisks: {
                shape: "S5c"
              },
              replicationServerInstanceType: {},
              replicationServersSecurityGroupsIDs: {
                shape: "S2a"
              },
              sourceServerID: {},
              stagingAreaSubnetId: {},
              stagingAreaTags: {
                shape: "Sj"
              },
              useDedicatedReplicationServer: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S5b"
          },
          idempotent: true
        },
        UpdateReplicationConfigurationTemplate: {
          http: {
            requestUri: "/UpdateReplicationConfigurationTemplate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "replicationConfigurationTemplateID"
            ],
            members: {
              arn: {},
              associateDefaultSecurityGroup: {
                type: "boolean"
              },
              autoReplicateNewDisks: {
                type: "boolean"
              },
              bandwidthThrottling: {
                type: "long"
              },
              createPublicIP: {
                type: "boolean"
              },
              dataPlaneRouting: {},
              defaultLargeStagingDiskType: {},
              ebsEncryption: {},
              ebsEncryptionKeyArn: {},
              pitPolicy: {
                shape: "S26"
              },
              replicationConfigurationTemplateID: {},
              replicationServerInstanceType: {},
              replicationServersSecurityGroupsIDs: {
                shape: "S2a"
              },
              stagingAreaSubnetId: {},
              stagingAreaTags: {
                shape: "Sj"
              },
              useDedicatedReplicationServer: {
                type: "boolean"
              }
            }
          },
          output: {
            shape: "S2d"
          }
        }
      },
      shapes: {
        S2: {
          type: "string",
          sensitive: true
        },
        S5: {
          type: "structure",
          required: [
            "jobID"
          ],
          members: {
            arn: {},
            creationDateTime: {},
            endDateTime: {},
            initiatedBy: {},
            jobID: {},
            participatingResources: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  launchStatus: {},
                  participatingResourceID: {
                    type: "structure",
                    members: {
                      sourceNetworkID: {}
                    },
                    union: true
                  }
                }
              }
            },
            participatingServers: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  launchStatus: {},
                  recoveryInstanceID: {},
                  sourceServerID: {}
                }
              }
            },
            status: {},
            tags: {
              shape: "Sj"
            },
            type: {}
          }
        },
        Sj: {
          type: "map",
          key: {},
          value: {},
          sensitive: true
        },
        Sq: {
          type: "structure",
          members: {
            arn: {},
            dataReplicationInfo: {
              type: "structure",
              members: {
                dataReplicationError: {
                  type: "structure",
                  members: {
                    error: {},
                    rawError: {}
                  }
                },
                dataReplicationInitiation: {
                  type: "structure",
                  members: {
                    nextAttemptDateTime: {},
                    startDateTime: {},
                    steps: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          name: {},
                          status: {}
                        }
                      }
                    }
                  }
                },
                dataReplicationState: {},
                etaDateTime: {},
                lagDuration: {},
                replicatedDisks: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      backloggedStorageBytes: {
                        type: "long"
                      },
                      deviceName: {},
                      replicatedStorageBytes: {
                        type: "long"
                      },
                      rescannedStorageBytes: {
                        type: "long"
                      },
                      totalStorageBytes: {
                        type: "long"
                      }
                    }
                  }
                },
                stagingAvailabilityZone: {}
              }
            },
            lastLaunchResult: {},
            lifeCycle: {
              type: "structure",
              members: {
                addedToServiceDateTime: {},
                elapsedReplicationDuration: {},
                firstByteDateTime: {},
                lastLaunch: {
                  type: "structure",
                  members: {
                    initiated: {
                      type: "structure",
                      members: {
                        apiCallDateTime: {},
                        jobID: {},
                        type: {}
                      }
                    },
                    status: {}
                  }
                },
                lastSeenByServiceDateTime: {}
              }
            },
            recoveryInstanceId: {},
            replicationDirection: {},
            reversedDirectionSourceServerArn: {},
            sourceCloudProperties: {
              type: "structure",
              members: {
                originAccountID: {},
                originAvailabilityZone: {},
                originRegion: {}
              }
            },
            sourceNetworkID: {},
            sourceProperties: {
              type: "structure",
              members: {
                cpus: {
                  shape: "S1h"
                },
                disks: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      bytes: {
                        type: "long"
                      },
                      deviceName: {}
                    }
                  }
                },
                identificationHints: {
                  shape: "S1l"
                },
                lastUpdatedDateTime: {},
                networkInterfaces: {
                  shape: "S1n"
                },
                os: {
                  shape: "S1r"
                },
                ramBytes: {
                  type: "long"
                },
                recommendedInstanceType: {},
                supportsNitroInstances: {
                  type: "boolean"
                }
              }
            },
            sourceServerID: {},
            stagingArea: {
              type: "structure",
              members: {
                errorMessage: {},
                stagingAccountID: {},
                stagingSourceServerArn: {},
                status: {}
              }
            },
            tags: {
              shape: "Sj"
            }
          }
        },
        S1h: {
          type: "list",
          member: {
            type: "structure",
            members: {
              cores: {
                type: "long"
              },
              modelName: {}
            }
          }
        },
        S1l: {
          type: "structure",
          members: {
            awsInstanceID: {},
            fqdn: {},
            hostname: {},
            vmWareUuid: {}
          }
        },
        S1n: {
          type: "list",
          member: {
            type: "structure",
            members: {
              ips: {
                type: "list",
                member: {}
              },
              isPrimary: {
                type: "boolean"
              },
              macAddress: {}
            }
          }
        },
        S1r: {
          type: "structure",
          members: {
            fullString: {}
          }
        },
        S1x: {
          type: "structure",
          members: {
            osByol: {
              type: "boolean"
            }
          }
        },
        S20: {
          type: "structure",
          members: {
            arn: {},
            copyPrivateIp: {
              type: "boolean"
            },
            copyTags: {
              type: "boolean"
            },
            exportBucketArn: {},
            launchConfigurationTemplateID: {},
            launchDisposition: {},
            licensing: {
              shape: "S1x"
            },
            tags: {
              shape: "Sj"
            },
            targetInstanceTypeRightSizingMethod: {}
          }
        },
        S26: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "interval",
              "retentionDuration",
              "units"
            ],
            members: {
              enabled: {
                type: "boolean"
              },
              interval: {
                type: "integer"
              },
              retentionDuration: {
                type: "integer"
              },
              ruleID: {
                type: "long"
              },
              units: {}
            }
          }
        },
        S2a: {
          type: "list",
          member: {}
        },
        S2d: {
          type: "structure",
          required: [
            "replicationConfigurationTemplateID"
          ],
          members: {
            arn: {},
            associateDefaultSecurityGroup: {
              type: "boolean"
            },
            autoReplicateNewDisks: {
              type: "boolean"
            },
            bandwidthThrottling: {
              type: "long"
            },
            createPublicIP: {
              type: "boolean"
            },
            dataPlaneRouting: {},
            defaultLargeStagingDiskType: {},
            ebsEncryption: {},
            ebsEncryptionKeyArn: {},
            pitPolicy: {
              shape: "S26"
            },
            replicationConfigurationTemplateID: {},
            replicationServerInstanceType: {},
            replicationServersSecurityGroupsIDs: {
              shape: "S2a"
            },
            stagingAreaSubnetId: {},
            stagingAreaTags: {
              shape: "Sj"
            },
            tags: {
              shape: "Sj"
            },
            useDedicatedReplicationServer: {
              type: "boolean"
            }
          }
        },
        S4p: {
          type: "structure",
          members: {
            arn: {},
            cfnStackName: {
              shape: "S2"
            },
            lastRecovery: {
              type: "structure",
              members: {
                apiCallDateTime: {
                  type: "timestamp",
                  timestampFormat: "iso8601"
                },
                jobID: {},
                lastRecoveryResult: {}
              }
            },
            launchedVpcID: {},
            replicationStatus: {},
            replicationStatusDetails: {
              type: "string",
              sensitive: true
            },
            sourceAccountID: {},
            sourceNetworkID: {},
            sourceRegion: {},
            sourceVpcID: {},
            tags: {
              shape: "Sj"
            }
          }
        },
        S58: {
          type: "structure",
          members: {
            copyPrivateIp: {
              type: "boolean"
            },
            copyTags: {
              type: "boolean"
            },
            ec2LaunchTemplateID: {},
            launchDisposition: {},
            licensing: {
              shape: "S1x"
            },
            name: {},
            sourceServerID: {},
            targetInstanceTypeRightSizingMethod: {}
          }
        },
        S5b: {
          type: "structure",
          members: {
            associateDefaultSecurityGroup: {
              type: "boolean"
            },
            autoReplicateNewDisks: {
              type: "boolean"
            },
            bandwidthThrottling: {
              type: "long"
            },
            createPublicIP: {
              type: "boolean"
            },
            dataPlaneRouting: {},
            defaultLargeStagingDiskType: {},
            ebsEncryption: {},
            ebsEncryptionKeyArn: {},
            name: {},
            pitPolicy: {
              shape: "S26"
            },
            replicatedDisks: {
              shape: "S5c"
            },
            replicationServerInstanceType: {},
            replicationServersSecurityGroupsIDs: {
              shape: "S2a"
            },
            sourceServerID: {},
            stagingAreaSubnetId: {},
            stagingAreaTags: {
              shape: "Sj"
            },
            useDedicatedReplicationServer: {
              type: "boolean"
            }
          }
        },
        S5c: {
          type: "list",
          member: {
            type: "structure",
            members: {
              deviceName: {},
              iops: {
                type: "long"
              },
              isBootDisk: {
                type: "boolean"
              },
              optimizedStagingDiskType: {},
              stagingDiskType: {},
              throughput: {
                type: "long"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/drs-2020-02-26.paginators.json
var require_drs_2020_02_26_paginators = __commonJS({
  "node_modules/aws-sdk/apis/drs-2020-02-26.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeJobLogItems: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        DescribeJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        DescribeLaunchConfigurationTemplates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        DescribeRecoveryInstances: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        DescribeRecoverySnapshots: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        DescribeReplicationConfigurationTemplates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        DescribeSourceNetworks: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        DescribeSourceServers: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListExtensibleSourceServers: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListStagingAccounts: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "accounts"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/drs.js
var require_drs = __commonJS({
  "node_modules/aws-sdk/clients/drs.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["drs"] = {};
    AWS2.Drs = Service.defineService("drs", ["2020-02-26"]);
    Object.defineProperty(apiLoader.services["drs"], "2020-02-26", {
      get: function get() {
        var model = require_drs_2020_02_26_min();
        model.paginators = require_drs_2020_02_26_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Drs;
  }
});

// node_modules/aws-sdk/apis/migration-hub-refactor-spaces-2021-10-26.min.json
var require_migration_hub_refactor_spaces_2021_10_26_min = __commonJS({
  "node_modules/aws-sdk/apis/migration-hub-refactor-spaces-2021-10-26.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-10-26",
        endpointPrefix: "refactor-spaces",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Migration Hub Refactor Spaces",
        serviceId: "Migration Hub Refactor Spaces",
        signatureVersion: "v4",
        signingName: "refactor-spaces",
        uid: "migration-hub-refactor-spaces-2021-10-26"
      },
      operations: {
        CreateApplication: {
          http: {
            requestUri: "/environments/{EnvironmentIdentifier}/applications",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "EnvironmentIdentifier",
              "Name",
              "ProxyType",
              "VpcId"
            ],
            members: {
              ApiGatewayProxy: {
                shape: "S2"
              },
              ClientToken: {
                idempotencyToken: true
              },
              EnvironmentIdentifier: {
                location: "uri",
                locationName: "EnvironmentIdentifier"
              },
              Name: {},
              ProxyType: {},
              Tags: {
                shape: "S9"
              },
              VpcId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApiGatewayProxy: {
                shape: "S2"
              },
              ApplicationId: {},
              Arn: {},
              CreatedByAccountId: {},
              CreatedTime: {
                type: "timestamp"
              },
              EnvironmentId: {},
              LastUpdatedTime: {
                type: "timestamp"
              },
              Name: {},
              OwnerAccountId: {},
              ProxyType: {},
              State: {},
              Tags: {
                shape: "S9"
              },
              VpcId: {}
            }
          }
        },
        CreateEnvironment: {
          http: {
            requestUri: "/environments",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "NetworkFabricType"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              Description: {},
              Name: {},
              NetworkFabricType: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreatedTime: {
                type: "timestamp"
              },
              Description: {},
              EnvironmentId: {},
              LastUpdatedTime: {
                type: "timestamp"
              },
              Name: {},
              NetworkFabricType: {},
              OwnerAccountId: {},
              State: {},
              Tags: {
                shape: "S9"
              }
            }
          }
        },
        CreateRoute: {
          http: {
            requestUri: "/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/routes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationIdentifier",
              "EnvironmentIdentifier",
              "RouteType",
              "ServiceIdentifier"
            ],
            members: {
              ApplicationIdentifier: {
                location: "uri",
                locationName: "ApplicationIdentifier"
              },
              ClientToken: {
                idempotencyToken: true
              },
              DefaultRoute: {
                type: "structure",
                members: {
                  ActivationState: {}
                }
              },
              EnvironmentIdentifier: {
                location: "uri",
                locationName: "EnvironmentIdentifier"
              },
              RouteType: {},
              ServiceIdentifier: {},
              Tags: {
                shape: "S9"
              },
              UriPathRoute: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationId: {},
              Arn: {},
              CreatedByAccountId: {},
              CreatedTime: {
                type: "timestamp"
              },
              LastUpdatedTime: {
                type: "timestamp"
              },
              OwnerAccountId: {},
              RouteId: {},
              RouteType: {},
              ServiceId: {},
              State: {},
              Tags: {
                shape: "S9"
              },
              UriPathRoute: {
                shape: "Su"
              }
            }
          }
        },
        CreateService: {
          http: {
            requestUri: "/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/services",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationIdentifier",
              "EndpointType",
              "EnvironmentIdentifier",
              "Name"
            ],
            members: {
              ApplicationIdentifier: {
                location: "uri",
                locationName: "ApplicationIdentifier"
              },
              ClientToken: {
                idempotencyToken: true
              },
              Description: {},
              EndpointType: {},
              EnvironmentIdentifier: {
                location: "uri",
                locationName: "EnvironmentIdentifier"
              },
              LambdaEndpoint: {
                shape: "S14"
              },
              Name: {},
              Tags: {
                shape: "S9"
              },
              UrlEndpoint: {
                shape: "S17"
              },
              VpcId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationId: {},
              Arn: {},
              CreatedByAccountId: {},
              CreatedTime: {
                type: "timestamp"
              },
              Description: {},
              EndpointType: {},
              EnvironmentId: {},
              LambdaEndpoint: {
                shape: "S14"
              },
              LastUpdatedTime: {
                type: "timestamp"
              },
              Name: {},
              OwnerAccountId: {},
              ServiceId: {},
              State: {},
              Tags: {
                shape: "S9"
              },
              UrlEndpoint: {
                shape: "S17"
              },
              VpcId: {}
            }
          }
        },
        DeleteApplication: {
          http: {
            method: "DELETE",
            requestUri: "/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationIdentifier",
              "EnvironmentIdentifier"
            ],
            members: {
              ApplicationIdentifier: {
                location: "uri",
                locationName: "ApplicationIdentifier"
              },
              EnvironmentIdentifier: {
                location: "uri",
                locationName: "EnvironmentIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationId: {},
              Arn: {},
              EnvironmentId: {},
              LastUpdatedTime: {
                type: "timestamp"
              },
              Name: {},
              State: {}
            }
          },
          idempotent: true
        },
        DeleteEnvironment: {
          http: {
            method: "DELETE",
            requestUri: "/environments/{EnvironmentIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "EnvironmentIdentifier"
            ],
            members: {
              EnvironmentIdentifier: {
                location: "uri",
                locationName: "EnvironmentIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              EnvironmentId: {},
              LastUpdatedTime: {
                type: "timestamp"
              },
              Name: {},
              State: {}
            }
          },
          idempotent: true
        },
        DeleteResourcePolicy: {
          http: {
            method: "DELETE",
            requestUri: "/resourcepolicy/{Identifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "Identifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteRoute: {
          http: {
            method: "DELETE",
            requestUri: "/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/routes/{RouteIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationIdentifier",
              "EnvironmentIdentifier",
              "RouteIdentifier"
            ],
            members: {
              ApplicationIdentifier: {
                location: "uri",
                locationName: "ApplicationIdentifier"
              },
              EnvironmentIdentifier: {
                location: "uri",
                locationName: "EnvironmentIdentifier"
              },
              RouteIdentifier: {
                location: "uri",
                locationName: "RouteIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationId: {},
              Arn: {},
              LastUpdatedTime: {
                type: "timestamp"
              },
              RouteId: {},
              ServiceId: {},
              State: {}
            }
          },
          idempotent: true
        },
        DeleteService: {
          http: {
            method: "DELETE",
            requestUri: "/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/services/{ServiceIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationIdentifier",
              "EnvironmentIdentifier",
              "ServiceIdentifier"
            ],
            members: {
              ApplicationIdentifier: {
                location: "uri",
                locationName: "ApplicationIdentifier"
              },
              EnvironmentIdentifier: {
                location: "uri",
                locationName: "EnvironmentIdentifier"
              },
              ServiceIdentifier: {
                location: "uri",
                locationName: "ServiceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationId: {},
              Arn: {},
              EnvironmentId: {},
              LastUpdatedTime: {
                type: "timestamp"
              },
              Name: {},
              ServiceId: {},
              State: {}
            }
          },
          idempotent: true
        },
        GetApplication: {
          http: {
            method: "GET",
            requestUri: "/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationIdentifier",
              "EnvironmentIdentifier"
            ],
            members: {
              ApplicationIdentifier: {
                location: "uri",
                locationName: "ApplicationIdentifier"
              },
              EnvironmentIdentifier: {
                location: "uri",
                locationName: "EnvironmentIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApiGatewayProxy: {
                type: "structure",
                members: {
                  ApiGatewayId: {},
                  EndpointType: {},
                  NlbArn: {},
                  NlbName: {},
                  ProxyUrl: {},
                  StageName: {},
                  VpcLinkId: {}
                }
              },
              ApplicationId: {},
              Arn: {},
              CreatedByAccountId: {},
              CreatedTime: {
                type: "timestamp"
              },
              EnvironmentId: {},
              Error: {
                shape: "S1t"
              },
              LastUpdatedTime: {
                type: "timestamp"
              },
              Name: {},
              OwnerAccountId: {},
              ProxyType: {},
              State: {},
              Tags: {
                shape: "S9"
              },
              VpcId: {}
            }
          }
        },
        GetEnvironment: {
          http: {
            method: "GET",
            requestUri: "/environments/{EnvironmentIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "EnvironmentIdentifier"
            ],
            members: {
              EnvironmentIdentifier: {
                location: "uri",
                locationName: "EnvironmentIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreatedTime: {
                type: "timestamp"
              },
              Description: {},
              EnvironmentId: {},
              Error: {
                shape: "S1t"
              },
              LastUpdatedTime: {
                type: "timestamp"
              },
              Name: {},
              NetworkFabricType: {},
              OwnerAccountId: {},
              State: {},
              Tags: {
                shape: "S9"
              },
              TransitGatewayId: {}
            }
          }
        },
        GetResourcePolicy: {
          http: {
            method: "GET",
            requestUri: "/resourcepolicy/{Identifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "Identifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {}
            }
          }
        },
        GetRoute: {
          http: {
            method: "GET",
            requestUri: "/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/routes/{RouteIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationIdentifier",
              "EnvironmentIdentifier",
              "RouteIdentifier"
            ],
            members: {
              ApplicationIdentifier: {
                location: "uri",
                locationName: "ApplicationIdentifier"
              },
              EnvironmentIdentifier: {
                location: "uri",
                locationName: "EnvironmentIdentifier"
              },
              RouteIdentifier: {
                location: "uri",
                locationName: "RouteIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppendSourcePath: {
                type: "boolean"
              },
              ApplicationId: {},
              Arn: {},
              CreatedByAccountId: {},
              CreatedTime: {
                type: "timestamp"
              },
              EnvironmentId: {},
              Error: {
                shape: "S1t"
              },
              IncludeChildPaths: {
                type: "boolean"
              },
              LastUpdatedTime: {
                type: "timestamp"
              },
              Methods: {
                shape: "Sw"
              },
              OwnerAccountId: {},
              PathResourceToId: {
                shape: "S29"
              },
              RouteId: {},
              RouteType: {},
              ServiceId: {},
              SourcePath: {},
              State: {},
              Tags: {
                shape: "S9"
              }
            }
          }
        },
        GetService: {
          http: {
            method: "GET",
            requestUri: "/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/services/{ServiceIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationIdentifier",
              "EnvironmentIdentifier",
              "ServiceIdentifier"
            ],
            members: {
              ApplicationIdentifier: {
                location: "uri",
                locationName: "ApplicationIdentifier"
              },
              EnvironmentIdentifier: {
                location: "uri",
                locationName: "EnvironmentIdentifier"
              },
              ServiceIdentifier: {
                location: "uri",
                locationName: "ServiceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationId: {},
              Arn: {},
              CreatedByAccountId: {},
              CreatedTime: {
                type: "timestamp"
              },
              Description: {},
              EndpointType: {},
              EnvironmentId: {},
              Error: {
                shape: "S1t"
              },
              LambdaEndpoint: {
                type: "structure",
                members: {
                  Arn: {}
                }
              },
              LastUpdatedTime: {
                type: "timestamp"
              },
              Name: {},
              OwnerAccountId: {},
              ServiceId: {},
              State: {},
              Tags: {
                shape: "S9"
              },
              UrlEndpoint: {
                type: "structure",
                members: {
                  HealthUrl: {},
                  Url: {}
                }
              },
              VpcId: {}
            }
          }
        },
        ListApplications: {
          http: {
            method: "GET",
            requestUri: "/environments/{EnvironmentIdentifier}/applications",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "EnvironmentIdentifier"
            ],
            members: {
              EnvironmentIdentifier: {
                location: "uri",
                locationName: "EnvironmentIdentifier"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApiGatewayProxy: {
                      type: "structure",
                      members: {
                        ApiGatewayId: {},
                        EndpointType: {},
                        NlbArn: {},
                        NlbName: {},
                        ProxyUrl: {},
                        StageName: {},
                        VpcLinkId: {}
                      }
                    },
                    ApplicationId: {},
                    Arn: {},
                    CreatedByAccountId: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    EnvironmentId: {},
                    Error: {
                      shape: "S1t"
                    },
                    LastUpdatedTime: {
                      type: "timestamp"
                    },
                    Name: {},
                    OwnerAccountId: {},
                    ProxyType: {},
                    State: {},
                    Tags: {
                      shape: "S9"
                    },
                    VpcId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEnvironmentVpcs: {
          http: {
            method: "GET",
            requestUri: "/environments/{EnvironmentIdentifier}/vpcs",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "EnvironmentIdentifier"
            ],
            members: {
              EnvironmentIdentifier: {
                location: "uri",
                locationName: "EnvironmentIdentifier"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EnvironmentVpcList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AccountId: {},
                    CidrBlocks: {
                      type: "list",
                      member: {}
                    },
                    CreatedTime: {
                      type: "timestamp"
                    },
                    EnvironmentId: {},
                    LastUpdatedTime: {
                      type: "timestamp"
                    },
                    VpcId: {},
                    VpcName: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListEnvironments: {
          http: {
            method: "GET",
            requestUri: "/environments",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EnvironmentSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    Description: {},
                    EnvironmentId: {},
                    Error: {
                      shape: "S1t"
                    },
                    LastUpdatedTime: {
                      type: "timestamp"
                    },
                    Name: {},
                    NetworkFabricType: {},
                    OwnerAccountId: {},
                    State: {},
                    Tags: {
                      shape: "S9"
                    },
                    TransitGatewayId: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListRoutes: {
          http: {
            method: "GET",
            requestUri: "/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/routes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationIdentifier",
              "EnvironmentIdentifier"
            ],
            members: {
              ApplicationIdentifier: {
                location: "uri",
                locationName: "ApplicationIdentifier"
              },
              EnvironmentIdentifier: {
                location: "uri",
                locationName: "EnvironmentIdentifier"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              RouteSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AppendSourcePath: {
                      type: "boolean"
                    },
                    ApplicationId: {},
                    Arn: {},
                    CreatedByAccountId: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    EnvironmentId: {},
                    Error: {
                      shape: "S1t"
                    },
                    IncludeChildPaths: {
                      type: "boolean"
                    },
                    LastUpdatedTime: {
                      type: "timestamp"
                    },
                    Methods: {
                      shape: "Sw"
                    },
                    OwnerAccountId: {},
                    PathResourceToId: {
                      shape: "S29"
                    },
                    RouteId: {},
                    RouteType: {},
                    ServiceId: {},
                    SourcePath: {},
                    State: {},
                    Tags: {
                      shape: "S9"
                    }
                  }
                }
              }
            }
          }
        },
        ListServices: {
          http: {
            method: "GET",
            requestUri: "/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/services",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationIdentifier",
              "EnvironmentIdentifier"
            ],
            members: {
              ApplicationIdentifier: {
                location: "uri",
                locationName: "ApplicationIdentifier"
              },
              EnvironmentIdentifier: {
                location: "uri",
                locationName: "EnvironmentIdentifier"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ServiceSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApplicationId: {},
                    Arn: {},
                    CreatedByAccountId: {},
                    CreatedTime: {
                      type: "timestamp"
                    },
                    Description: {},
                    EndpointType: {},
                    EnvironmentId: {},
                    Error: {
                      shape: "S1t"
                    },
                    LambdaEndpoint: {
                      type: "structure",
                      members: {
                        Arn: {}
                      }
                    },
                    LastUpdatedTime: {
                      type: "timestamp"
                    },
                    Name: {},
                    OwnerAccountId: {},
                    ServiceId: {},
                    State: {},
                    Tags: {
                      shape: "S9"
                    },
                    UrlEndpoint: {
                      type: "structure",
                      members: {
                        HealthUrl: {},
                        Url: {}
                      }
                    },
                    VpcId: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S9"
              }
            }
          }
        },
        PutResourcePolicy: {
          http: {
            method: "PUT",
            requestUri: "/resourcepolicy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Policy",
              "ResourceArn"
            ],
            members: {
              Policy: {},
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {},
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateRoute: {
          http: {
            method: "PATCH",
            requestUri: "/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/routes/{RouteIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ActivationState",
              "ApplicationIdentifier",
              "EnvironmentIdentifier",
              "RouteIdentifier"
            ],
            members: {
              ActivationState: {},
              ApplicationIdentifier: {
                location: "uri",
                locationName: "ApplicationIdentifier"
              },
              EnvironmentIdentifier: {
                location: "uri",
                locationName: "EnvironmentIdentifier"
              },
              RouteIdentifier: {
                location: "uri",
                locationName: "RouteIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ApplicationId: {},
              Arn: {},
              LastUpdatedTime: {
                type: "timestamp"
              },
              RouteId: {},
              ServiceId: {},
              State: {}
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "structure",
          members: {
            EndpointType: {},
            StageName: {}
          }
        },
        S9: {
          type: "map",
          key: {},
          value: {},
          sensitive: true
        },
        Su: {
          type: "structure",
          required: [
            "ActivationState",
            "SourcePath"
          ],
          members: {
            ActivationState: {},
            AppendSourcePath: {
              type: "boolean"
            },
            IncludeChildPaths: {
              type: "boolean"
            },
            Methods: {
              shape: "Sw"
            },
            SourcePath: {}
          }
        },
        Sw: {
          type: "list",
          member: {}
        },
        S14: {
          type: "structure",
          required: [
            "Arn"
          ],
          members: {
            Arn: {}
          }
        },
        S17: {
          type: "structure",
          required: [
            "Url"
          ],
          members: {
            HealthUrl: {},
            Url: {}
          }
        },
        S1t: {
          type: "structure",
          members: {
            AccountId: {},
            AdditionalDetails: {
              type: "map",
              key: {},
              value: {}
            },
            Code: {},
            Message: {},
            ResourceIdentifier: {},
            ResourceType: {}
          }
        },
        S29: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/migration-hub-refactor-spaces-2021-10-26.paginators.json
var require_migration_hub_refactor_spaces_2021_10_26_paginators = __commonJS({
  "node_modules/aws-sdk/apis/migration-hub-refactor-spaces-2021-10-26.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListApplications: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ApplicationSummaryList"
        },
        ListEnvironmentVpcs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "EnvironmentVpcList"
        },
        ListEnvironments: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "EnvironmentSummaryList"
        },
        ListRoutes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "RouteSummaryList"
        },
        ListServices: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ServiceSummaryList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/migrationhubrefactorspaces.js
var require_migrationhubrefactorspaces = __commonJS({
  "node_modules/aws-sdk/clients/migrationhubrefactorspaces.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["migrationhubrefactorspaces"] = {};
    AWS2.MigrationHubRefactorSpaces = Service.defineService("migrationhubrefactorspaces", ["2021-10-26"]);
    Object.defineProperty(apiLoader.services["migrationhubrefactorspaces"], "2021-10-26", {
      get: function get() {
        var model = require_migration_hub_refactor_spaces_2021_10_26_min();
        model.paginators = require_migration_hub_refactor_spaces_2021_10_26_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MigrationHubRefactorSpaces;
  }
});

// node_modules/aws-sdk/apis/evidently-2021-02-01.min.json
var require_evidently_2021_02_01_min = __commonJS({
  "node_modules/aws-sdk/apis/evidently-2021-02-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-02-01",
        endpointPrefix: "evidently",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon CloudWatch Evidently",
        serviceId: "Evidently",
        signatureVersion: "v4",
        signingName: "evidently",
        uid: "evidently-2021-02-01"
      },
      operations: {
        BatchEvaluateFeature: {
          http: {
            requestUri: "/projects/{project}/evaluations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "project",
              "requests"
            ],
            members: {
              project: {
                location: "uri",
                locationName: "project"
              },
              requests: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "entityId",
                    "feature"
                  ],
                  members: {
                    entityId: {},
                    evaluationContext: {
                      jsonvalue: true
                    },
                    feature: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              results: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "entityId",
                    "feature"
                  ],
                  members: {
                    details: {
                      jsonvalue: true
                    },
                    entityId: {},
                    feature: {},
                    project: {},
                    reason: {},
                    value: {
                      shape: "Sd"
                    },
                    variation: {}
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "dataplane."
          }
        },
        CreateExperiment: {
          http: {
            requestUri: "/projects/{project}/experiments",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "metricGoals",
              "name",
              "project",
              "treatments"
            ],
            members: {
              description: {},
              metricGoals: {
                shape: "Sk"
              },
              name: {},
              onlineAbConfig: {
                shape: "St"
              },
              project: {
                location: "uri",
                locationName: "project"
              },
              randomizationSalt: {},
              samplingRate: {
                type: "long"
              },
              segment: {},
              tags: {
                shape: "Sz"
              },
              treatments: {
                shape: "S12"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "experiment"
            ],
            members: {
              experiment: {
                shape: "S16"
              }
            }
          },
          idempotent: true
        },
        CreateFeature: {
          http: {
            requestUri: "/projects/{project}/features",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "project",
              "variations"
            ],
            members: {
              defaultVariation: {},
              description: {},
              entityOverrides: {
                shape: "S1n"
              },
              evaluationStrategy: {},
              name: {},
              project: {
                location: "uri",
                locationName: "project"
              },
              tags: {
                shape: "Sz"
              },
              variations: {
                shape: "S1p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              feature: {
                shape: "S1s"
              }
            }
          }
        },
        CreateLaunch: {
          http: {
            requestUri: "/projects/{project}/launches",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "groups",
              "name",
              "project"
            ],
            members: {
              description: {},
              groups: {
                shape: "S23"
              },
              metricMonitors: {
                shape: "S26"
              },
              name: {},
              project: {
                location: "uri",
                locationName: "project"
              },
              randomizationSalt: {},
              scheduledSplitsConfig: {
                shape: "S29"
              },
              tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "launch"
            ],
            members: {
              launch: {
                shape: "S2h"
              }
            }
          }
        },
        CreateProject: {
          http: {
            requestUri: "/projects",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              appConfigResource: {
                shape: "S2u"
              },
              dataDelivery: {
                type: "structure",
                members: {
                  cloudWatchLogs: {
                    shape: "S2x"
                  },
                  s3Destination: {
                    shape: "S2z"
                  }
                }
              },
              description: {},
              name: {},
              tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "project"
            ],
            members: {
              project: {
                shape: "S34"
              }
            }
          }
        },
        CreateSegment: {
          http: {
            requestUri: "/segments",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "pattern"
            ],
            members: {
              description: {},
              name: {},
              pattern: {
                jsonvalue: true
              },
              tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "segment"
            ],
            members: {
              segment: {
                shape: "S3e"
              }
            }
          }
        },
        DeleteExperiment: {
          http: {
            method: "DELETE",
            requestUri: "/projects/{project}/experiments/{experiment}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "experiment",
              "project"
            ],
            members: {
              experiment: {
                location: "uri",
                locationName: "experiment"
              },
              project: {
                location: "uri",
                locationName: "project"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteFeature: {
          http: {
            method: "DELETE",
            requestUri: "/projects/{project}/features/{feature}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "feature",
              "project"
            ],
            members: {
              feature: {
                location: "uri",
                locationName: "feature"
              },
              project: {
                location: "uri",
                locationName: "project"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteLaunch: {
          http: {
            method: "DELETE",
            requestUri: "/projects/{project}/launches/{launch}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launch",
              "project"
            ],
            members: {
              launch: {
                location: "uri",
                locationName: "launch"
              },
              project: {
                location: "uri",
                locationName: "project"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteProject: {
          http: {
            method: "DELETE",
            requestUri: "/projects/{project}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "project"
            ],
            members: {
              project: {
                location: "uri",
                locationName: "project"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteSegment: {
          http: {
            method: "DELETE",
            requestUri: "/segments/{segment}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "segment"
            ],
            members: {
              segment: {
                location: "uri",
                locationName: "segment"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        EvaluateFeature: {
          http: {
            requestUri: "/projects/{project}/evaluations/{feature}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "entityId",
              "feature",
              "project"
            ],
            members: {
              entityId: {},
              evaluationContext: {
                jsonvalue: true
              },
              feature: {
                location: "uri",
                locationName: "feature"
              },
              project: {
                location: "uri",
                locationName: "project"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              details: {
                jsonvalue: true
              },
              reason: {},
              value: {
                shape: "Sd"
              },
              variation: {}
            }
          },
          endpoint: {
            hostPrefix: "dataplane."
          }
        },
        GetExperiment: {
          http: {
            method: "GET",
            requestUri: "/projects/{project}/experiments/{experiment}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "experiment",
              "project"
            ],
            members: {
              experiment: {
                location: "uri",
                locationName: "experiment"
              },
              project: {
                location: "uri",
                locationName: "project"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              experiment: {
                shape: "S16"
              }
            }
          }
        },
        GetExperimentResults: {
          http: {
            requestUri: "/projects/{project}/experiments/{experiment}/results",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "experiment",
              "metricNames",
              "project",
              "treatmentNames"
            ],
            members: {
              baseStat: {},
              endTime: {
                type: "timestamp"
              },
              experiment: {
                location: "uri",
                locationName: "experiment"
              },
              metricNames: {
                type: "list",
                member: {}
              },
              period: {
                type: "long"
              },
              project: {
                location: "uri",
                locationName: "project"
              },
              reportNames: {
                type: "list",
                member: {}
              },
              resultStats: {
                type: "list",
                member: {}
              },
              startTime: {
                type: "timestamp"
              },
              treatmentNames: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              details: {},
              reports: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    content: {
                      jsonvalue: true
                    },
                    metricName: {},
                    reportName: {},
                    treatmentName: {}
                  }
                }
              },
              resultsData: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    metricName: {},
                    resultStat: {},
                    treatmentName: {},
                    values: {
                      type: "list",
                      member: {
                        type: "double"
                      }
                    }
                  }
                }
              },
              timestamps: {
                type: "list",
                member: {
                  type: "timestamp"
                }
              }
            }
          }
        },
        GetFeature: {
          http: {
            method: "GET",
            requestUri: "/projects/{project}/features/{feature}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "feature",
              "project"
            ],
            members: {
              feature: {
                location: "uri",
                locationName: "feature"
              },
              project: {
                location: "uri",
                locationName: "project"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "feature"
            ],
            members: {
              feature: {
                shape: "S1s"
              }
            }
          }
        },
        GetLaunch: {
          http: {
            method: "GET",
            requestUri: "/projects/{project}/launches/{launch}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launch",
              "project"
            ],
            members: {
              launch: {
                location: "uri",
                locationName: "launch"
              },
              project: {
                location: "uri",
                locationName: "project"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              launch: {
                shape: "S2h"
              }
            }
          }
        },
        GetProject: {
          http: {
            method: "GET",
            requestUri: "/projects/{project}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "project"
            ],
            members: {
              project: {
                location: "uri",
                locationName: "project"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "project"
            ],
            members: {
              project: {
                shape: "S34"
              }
            }
          }
        },
        GetSegment: {
          http: {
            method: "GET",
            requestUri: "/segments/{segment}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "segment"
            ],
            members: {
              segment: {
                location: "uri",
                locationName: "segment"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "segment"
            ],
            members: {
              segment: {
                shape: "S3e"
              }
            }
          }
        },
        ListExperiments: {
          http: {
            method: "GET",
            requestUri: "/projects/{project}/experiments",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "project"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              project: {
                location: "uri",
                locationName: "project"
              },
              status: {
                location: "querystring",
                locationName: "status"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              experiments: {
                type: "list",
                member: {
                  shape: "S16"
                }
              },
              nextToken: {}
            }
          }
        },
        ListFeatures: {
          http: {
            method: "GET",
            requestUri: "/projects/{project}/features",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "project"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              project: {
                location: "uri",
                locationName: "project"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              features: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdTime",
                    "evaluationStrategy",
                    "lastUpdatedTime",
                    "name",
                    "status"
                  ],
                  members: {
                    arn: {},
                    createdTime: {
                      type: "timestamp"
                    },
                    defaultVariation: {},
                    evaluationRules: {
                      shape: "S1u"
                    },
                    evaluationStrategy: {},
                    lastUpdatedTime: {
                      type: "timestamp"
                    },
                    name: {},
                    project: {},
                    status: {},
                    tags: {
                      shape: "Sz"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListLaunches: {
          http: {
            method: "GET",
            requestUri: "/projects/{project}/launches",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "project"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              project: {
                location: "uri",
                locationName: "project"
              },
              status: {
                location: "querystring",
                locationName: "status"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              launches: {
                type: "list",
                member: {
                  shape: "S2h"
                }
              },
              nextToken: {}
            }
          }
        },
        ListProjects: {
          http: {
            method: "GET",
            requestUri: "/projects",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              projects: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdTime",
                    "lastUpdatedTime",
                    "name",
                    "status"
                  ],
                  members: {
                    activeExperimentCount: {
                      type: "long"
                    },
                    activeLaunchCount: {
                      type: "long"
                    },
                    arn: {},
                    createdTime: {
                      type: "timestamp"
                    },
                    description: {},
                    experimentCount: {
                      type: "long"
                    },
                    featureCount: {
                      type: "long"
                    },
                    lastUpdatedTime: {
                      type: "timestamp"
                    },
                    launchCount: {
                      type: "long"
                    },
                    name: {},
                    status: {},
                    tags: {
                      shape: "Sz"
                    }
                  }
                }
              }
            }
          }
        },
        ListSegmentReferences: {
          http: {
            method: "GET",
            requestUri: "/segments/{segment}/references",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "segment",
              "type"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              segment: {
                location: "uri",
                locationName: "segment"
              },
              type: {
                location: "querystring",
                locationName: "type"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              referencedBy: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "type"
                  ],
                  members: {
                    arn: {},
                    endTime: {},
                    lastUpdatedOn: {},
                    name: {},
                    startTime: {},
                    status: {},
                    type: {}
                  }
                }
              }
            }
          }
        },
        ListSegments: {
          http: {
            method: "GET",
            requestUri: "/segments",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              segments: {
                type: "list",
                member: {
                  shape: "S3e"
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sz"
              }
            }
          }
        },
        PutProjectEvents: {
          http: {
            requestUri: "/events/projects/{project}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "events",
              "project"
            ],
            members: {
              events: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "data",
                    "timestamp",
                    "type"
                  ],
                  members: {
                    data: {
                      jsonvalue: true
                    },
                    timestamp: {
                      type: "timestamp"
                    },
                    type: {}
                  }
                }
              },
              project: {
                location: "uri",
                locationName: "project"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              eventResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    errorCode: {},
                    errorMessage: {},
                    eventId: {}
                  }
                }
              },
              failedEventCount: {
                type: "integer"
              }
            }
          },
          endpoint: {
            hostPrefix: "dataplane."
          }
        },
        StartExperiment: {
          http: {
            requestUri: "/projects/{project}/experiments/{experiment}/start",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "analysisCompleteTime",
              "experiment",
              "project"
            ],
            members: {
              analysisCompleteTime: {
                type: "timestamp"
              },
              experiment: {
                location: "uri",
                locationName: "experiment"
              },
              project: {
                location: "uri",
                locationName: "project"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              startedTime: {
                type: "timestamp"
              }
            }
          }
        },
        StartLaunch: {
          http: {
            requestUri: "/projects/{project}/launches/{launch}/start",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launch",
              "project"
            ],
            members: {
              launch: {
                location: "uri",
                locationName: "launch"
              },
              project: {
                location: "uri",
                locationName: "project"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "launch"
            ],
            members: {
              launch: {
                shape: "S2h"
              }
            }
          }
        },
        StopExperiment: {
          http: {
            requestUri: "/projects/{project}/experiments/{experiment}/cancel",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "experiment",
              "project"
            ],
            members: {
              desiredState: {},
              experiment: {
                location: "uri",
                locationName: "experiment"
              },
              project: {
                location: "uri",
                locationName: "project"
              },
              reason: {}
            }
          },
          output: {
            type: "structure",
            members: {
              endedTime: {
                type: "timestamp"
              }
            }
          }
        },
        StopLaunch: {
          http: {
            requestUri: "/projects/{project}/launches/{launch}/cancel",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launch",
              "project"
            ],
            members: {
              desiredState: {},
              launch: {
                location: "uri",
                locationName: "launch"
              },
              project: {
                location: "uri",
                locationName: "project"
              },
              reason: {}
            }
          },
          output: {
            type: "structure",
            members: {
              endedTime: {
                type: "timestamp"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        TestSegmentPattern: {
          http: {
            requestUri: "/test-segment-pattern",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "pattern",
              "payload"
            ],
            members: {
              pattern: {
                jsonvalue: true
              },
              payload: {
                jsonvalue: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "match"
            ],
            members: {
              match: {
                type: "boolean"
              }
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateExperiment: {
          http: {
            method: "PATCH",
            requestUri: "/projects/{project}/experiments/{experiment}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "experiment",
              "project"
            ],
            members: {
              description: {},
              experiment: {
                location: "uri",
                locationName: "experiment"
              },
              metricGoals: {
                shape: "Sk"
              },
              onlineAbConfig: {
                shape: "St"
              },
              project: {
                location: "uri",
                locationName: "project"
              },
              randomizationSalt: {},
              removeSegment: {
                type: "boolean"
              },
              samplingRate: {
                type: "long"
              },
              segment: {},
              treatments: {
                shape: "S12"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "experiment"
            ],
            members: {
              experiment: {
                shape: "S16"
              }
            }
          }
        },
        UpdateFeature: {
          http: {
            method: "PATCH",
            requestUri: "/projects/{project}/features/{feature}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "feature",
              "project"
            ],
            members: {
              addOrUpdateVariations: {
                shape: "S1p"
              },
              defaultVariation: {},
              description: {},
              entityOverrides: {
                shape: "S1n"
              },
              evaluationStrategy: {},
              feature: {
                location: "uri",
                locationName: "feature"
              },
              project: {
                location: "uri",
                locationName: "project"
              },
              removeVariations: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "feature"
            ],
            members: {
              feature: {
                shape: "S1s"
              }
            }
          }
        },
        UpdateLaunch: {
          http: {
            method: "PATCH",
            requestUri: "/projects/{project}/launches/{launch}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "launch",
              "project"
            ],
            members: {
              description: {},
              groups: {
                shape: "S23"
              },
              launch: {
                location: "uri",
                locationName: "launch"
              },
              metricMonitors: {
                shape: "S26"
              },
              project: {
                location: "uri",
                locationName: "project"
              },
              randomizationSalt: {},
              scheduledSplitsConfig: {
                shape: "S29"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "launch"
            ],
            members: {
              launch: {
                shape: "S2h"
              }
            }
          }
        },
        UpdateProject: {
          http: {
            method: "PATCH",
            requestUri: "/projects/{project}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "project"
            ],
            members: {
              appConfigResource: {
                shape: "S2u"
              },
              description: {},
              project: {
                location: "uri",
                locationName: "project"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "project"
            ],
            members: {
              project: {
                shape: "S34"
              }
            }
          }
        },
        UpdateProjectDataDelivery: {
          http: {
            method: "PATCH",
            requestUri: "/projects/{project}/data-delivery",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "project"
            ],
            members: {
              cloudWatchLogs: {
                shape: "S2x"
              },
              project: {
                location: "uri",
                locationName: "project"
              },
              s3Destination: {
                shape: "S2z"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "project"
            ],
            members: {
              project: {
                shape: "S34"
              }
            }
          }
        }
      },
      shapes: {
        Sd: {
          type: "structure",
          members: {
            boolValue: {
              type: "boolean"
            },
            doubleValue: {
              type: "double"
            },
            longValue: {
              type: "long"
            },
            stringValue: {}
          },
          union: true
        },
        Sk: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "metricDefinition"
            ],
            members: {
              desiredChange: {},
              metricDefinition: {
                shape: "Sn"
              }
            }
          }
        },
        Sn: {
          type: "structure",
          required: [
            "entityIdKey",
            "name",
            "valueKey"
          ],
          members: {
            entityIdKey: {},
            eventPattern: {
              jsonvalue: true
            },
            name: {},
            unitLabel: {},
            valueKey: {}
          }
        },
        St: {
          type: "structure",
          members: {
            controlTreatmentName: {},
            treatmentWeights: {
              shape: "Sv"
            }
          }
        },
        Sv: {
          type: "map",
          key: {},
          value: {
            type: "long"
          }
        },
        Sz: {
          type: "map",
          key: {},
          value: {}
        },
        S12: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "feature",
              "name",
              "variation"
            ],
            members: {
              description: {},
              feature: {},
              name: {},
              variation: {}
            }
          }
        },
        S16: {
          type: "structure",
          required: [
            "arn",
            "createdTime",
            "lastUpdatedTime",
            "name",
            "status",
            "type"
          ],
          members: {
            arn: {},
            createdTime: {
              type: "timestamp"
            },
            description: {},
            execution: {
              type: "structure",
              members: {
                endedTime: {
                  type: "timestamp"
                },
                startedTime: {
                  type: "timestamp"
                }
              }
            },
            lastUpdatedTime: {
              type: "timestamp"
            },
            metricGoals: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "metricDefinition"
                ],
                members: {
                  desiredChange: {},
                  metricDefinition: {
                    shape: "S1c"
                  }
                }
              }
            },
            name: {},
            onlineAbDefinition: {
              type: "structure",
              members: {
                controlTreatmentName: {},
                treatmentWeights: {
                  shape: "Sv"
                }
              }
            },
            project: {},
            randomizationSalt: {},
            samplingRate: {
              type: "long"
            },
            schedule: {
              type: "structure",
              members: {
                analysisCompleteTime: {
                  type: "timestamp"
                }
              }
            },
            segment: {},
            status: {},
            statusReason: {},
            tags: {
              shape: "Sz"
            },
            treatments: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "name"
                ],
                members: {
                  description: {},
                  featureVariations: {
                    shape: "S1k"
                  },
                  name: {}
                }
              }
            },
            type: {}
          }
        },
        S1c: {
          type: "structure",
          members: {
            entityIdKey: {},
            eventPattern: {
              jsonvalue: true
            },
            name: {},
            unitLabel: {},
            valueKey: {}
          }
        },
        S1k: {
          type: "map",
          key: {},
          value: {}
        },
        S1n: {
          type: "map",
          key: {},
          value: {}
        },
        S1p: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "value"
            ],
            members: {
              name: {},
              value: {
                shape: "Sd"
              }
            }
          }
        },
        S1s: {
          type: "structure",
          required: [
            "arn",
            "createdTime",
            "evaluationStrategy",
            "lastUpdatedTime",
            "name",
            "status",
            "valueType",
            "variations"
          ],
          members: {
            arn: {},
            createdTime: {
              type: "timestamp"
            },
            defaultVariation: {},
            description: {},
            entityOverrides: {
              shape: "S1n"
            },
            evaluationRules: {
              shape: "S1u"
            },
            evaluationStrategy: {},
            lastUpdatedTime: {
              type: "timestamp"
            },
            name: {},
            project: {},
            status: {},
            tags: {
              shape: "Sz"
            },
            valueType: {},
            variations: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  name: {},
                  value: {
                    shape: "Sd"
                  }
                }
              }
            }
          }
        },
        S1u: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "type"
            ],
            members: {
              name: {},
              type: {}
            }
          }
        },
        S23: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "feature",
              "name",
              "variation"
            ],
            members: {
              description: {},
              feature: {},
              name: {},
              variation: {}
            }
          }
        },
        S26: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "metricDefinition"
            ],
            members: {
              metricDefinition: {
                shape: "Sn"
              }
            }
          }
        },
        S29: {
          type: "structure",
          required: [
            "steps"
          ],
          members: {
            steps: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "groupWeights",
                  "startTime"
                ],
                members: {
                  groupWeights: {
                    shape: "S2c"
                  },
                  segmentOverrides: {
                    shape: "S2d"
                  },
                  startTime: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        S2c: {
          type: "map",
          key: {},
          value: {
            type: "long"
          }
        },
        S2d: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "evaluationOrder",
              "segment",
              "weights"
            ],
            members: {
              evaluationOrder: {
                type: "long"
              },
              segment: {},
              weights: {
                shape: "S2c"
              }
            }
          }
        },
        S2h: {
          type: "structure",
          required: [
            "arn",
            "createdTime",
            "lastUpdatedTime",
            "name",
            "status",
            "type"
          ],
          members: {
            arn: {},
            createdTime: {
              type: "timestamp"
            },
            description: {},
            execution: {
              type: "structure",
              members: {
                endedTime: {
                  type: "timestamp"
                },
                startedTime: {
                  type: "timestamp"
                }
              }
            },
            groups: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "featureVariations",
                  "name"
                ],
                members: {
                  description: {},
                  featureVariations: {
                    shape: "S1k"
                  },
                  name: {}
                }
              }
            },
            lastUpdatedTime: {
              type: "timestamp"
            },
            metricMonitors: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "metricDefinition"
                ],
                members: {
                  metricDefinition: {
                    shape: "S1c"
                  }
                }
              }
            },
            name: {},
            project: {},
            randomizationSalt: {},
            scheduledSplitsDefinition: {
              type: "structure",
              members: {
                steps: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "startTime"
                    ],
                    members: {
                      groupWeights: {
                        shape: "S2c"
                      },
                      segmentOverrides: {
                        shape: "S2d"
                      },
                      startTime: {
                        type: "timestamp"
                      }
                    }
                  }
                }
              }
            },
            status: {},
            statusReason: {},
            tags: {
              shape: "Sz"
            },
            type: {}
          }
        },
        S2u: {
          type: "structure",
          members: {
            applicationId: {},
            environmentId: {}
          }
        },
        S2x: {
          type: "structure",
          members: {
            logGroup: {}
          }
        },
        S2z: {
          type: "structure",
          members: {
            bucket: {},
            prefix: {}
          }
        },
        S34: {
          type: "structure",
          required: [
            "arn",
            "createdTime",
            "lastUpdatedTime",
            "name",
            "status"
          ],
          members: {
            activeExperimentCount: {
              type: "long"
            },
            activeLaunchCount: {
              type: "long"
            },
            appConfigResource: {
              type: "structure",
              required: [
                "applicationId",
                "configurationProfileId",
                "environmentId"
              ],
              members: {
                applicationId: {},
                configurationProfileId: {},
                environmentId: {}
              }
            },
            arn: {},
            createdTime: {
              type: "timestamp"
            },
            dataDelivery: {
              type: "structure",
              members: {
                cloudWatchLogs: {
                  type: "structure",
                  members: {
                    logGroup: {}
                  }
                },
                s3Destination: {
                  type: "structure",
                  members: {
                    bucket: {},
                    prefix: {}
                  }
                }
              }
            },
            description: {},
            experimentCount: {
              type: "long"
            },
            featureCount: {
              type: "long"
            },
            lastUpdatedTime: {
              type: "timestamp"
            },
            launchCount: {
              type: "long"
            },
            name: {},
            status: {},
            tags: {
              shape: "Sz"
            }
          }
        },
        S3e: {
          type: "structure",
          required: [
            "arn",
            "createdTime",
            "lastUpdatedTime",
            "name",
            "pattern"
          ],
          members: {
            arn: {},
            createdTime: {
              type: "timestamp"
            },
            description: {},
            experimentCount: {
              type: "long"
            },
            lastUpdatedTime: {
              type: "timestamp"
            },
            launchCount: {
              type: "long"
            },
            name: {},
            pattern: {
              jsonvalue: true
            },
            tags: {
              shape: "Sz"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/evidently-2021-02-01.paginators.json
var require_evidently_2021_02_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/evidently-2021-02-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListExperiments: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "experiments"
        },
        ListFeatures: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "features"
        },
        ListLaunches: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "launches"
        },
        ListProjects: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "projects"
        },
        ListSegmentReferences: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "referencedBy"
        },
        ListSegments: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "segments"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/evidently.js
var require_evidently = __commonJS({
  "node_modules/aws-sdk/clients/evidently.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["evidently"] = {};
    AWS2.Evidently = Service.defineService("evidently", ["2021-02-01"]);
    Object.defineProperty(apiLoader.services["evidently"], "2021-02-01", {
      get: function get() {
        var model = require_evidently_2021_02_01_min();
        model.paginators = require_evidently_2021_02_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Evidently;
  }
});

// node_modules/aws-sdk/apis/inspector2-2020-06-08.min.json
var require_inspector2_2020_06_08_min = __commonJS({
  "node_modules/aws-sdk/apis/inspector2-2020-06-08.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-06-08",
        endpointPrefix: "inspector2",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "Inspector2",
        serviceFullName: "Inspector2",
        serviceId: "Inspector2",
        signatureVersion: "v4",
        signingName: "inspector2",
        uid: "inspector2-2020-06-08"
      },
      operations: {
        AssociateMember: {
          http: {
            requestUri: "/members/associate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accountId"
            ],
            members: {
              accountId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "accountId"
            ],
            members: {
              accountId: {}
            }
          }
        },
        BatchGetAccountStatus: {
          http: {
            requestUri: "/status/batch/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              accountIds: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "accounts"
            ],
            members: {
              accounts: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "accountId",
                    "resourceState",
                    "state"
                  ],
                  members: {
                    accountId: {},
                    resourceState: {
                      type: "structure",
                      required: [
                        "ec2",
                        "ecr"
                      ],
                      members: {
                        ec2: {
                          shape: "Sa"
                        },
                        ecr: {
                          shape: "Sa"
                        },
                        lambda: {
                          shape: "Sa"
                        },
                        lambdaCode: {
                          shape: "Sa"
                        }
                      }
                    },
                    state: {
                      shape: "Sa"
                    }
                  }
                }
              },
              failedAccounts: {
                shape: "Se"
              }
            }
          }
        },
        BatchGetCodeSnippet: {
          http: {
            requestUri: "/codesnippet/batchget",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "findingArns"
            ],
            members: {
              findingArns: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              codeSnippetResults: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    codeSnippet: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "content",
                          "lineNumber"
                        ],
                        members: {
                          content: {},
                          lineNumber: {
                            type: "integer"
                          }
                        }
                      }
                    },
                    endLine: {
                      type: "integer"
                    },
                    findingArn: {},
                    startLine: {
                      type: "integer"
                    },
                    suggestedFixes: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          code: {},
                          description: {}
                        }
                      }
                    }
                  }
                }
              },
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "errorCode",
                    "errorMessage",
                    "findingArn"
                  ],
                  members: {
                    errorCode: {},
                    errorMessage: {},
                    findingArn: {}
                  }
                }
              }
            }
          }
        },
        BatchGetFreeTrialInfo: {
          http: {
            requestUri: "/freetrialinfo/batchget",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accountIds"
            ],
            members: {
              accountIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "accounts",
              "failedAccounts"
            ],
            members: {
              accounts: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "accountId",
                    "freeTrialInfo"
                  ],
                  members: {
                    accountId: {},
                    freeTrialInfo: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "end",
                          "start",
                          "status",
                          "type"
                        ],
                        members: {
                          end: {
                            type: "timestamp"
                          },
                          start: {
                            type: "timestamp"
                          },
                          status: {},
                          type: {}
                        }
                      }
                    }
                  }
                }
              },
              failedAccounts: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "accountId",
                    "code",
                    "message"
                  ],
                  members: {
                    accountId: {},
                    code: {},
                    message: {}
                  }
                }
              }
            }
          }
        },
        BatchGetMemberEc2DeepInspectionStatus: {
          http: {
            requestUri: "/ec2deepinspectionstatus/member/batch/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              accountIds: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              accountIds: {
                shape: "S1f"
              },
              failedAccountIds: {
                shape: "S1i"
              }
            }
          }
        },
        BatchUpdateMemberEc2DeepInspectionStatus: {
          http: {
            requestUri: "/ec2deepinspectionstatus/member/batch/update",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accountIds"
            ],
            members: {
              accountIds: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "accountId",
                    "activateDeepInspection"
                  ],
                  members: {
                    accountId: {},
                    activateDeepInspection: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              accountIds: {
                shape: "S1f"
              },
              failedAccountIds: {
                shape: "S1i"
              }
            }
          }
        },
        CancelFindingsReport: {
          http: {
            requestUri: "/reporting/cancel",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "reportId"
            ],
            members: {
              reportId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "reportId"
            ],
            members: {
              reportId: {}
            }
          }
        },
        CancelSbomExport: {
          http: {
            requestUri: "/sbomexport/cancel",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "reportId"
            ],
            members: {
              reportId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              reportId: {}
            }
          },
          idempotent: true
        },
        CreateFilter: {
          http: {
            requestUri: "/filters/create",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "action",
              "filterCriteria",
              "name"
            ],
            members: {
              action: {},
              description: {},
              filterCriteria: {
                shape: "S1x"
              },
              name: {},
              reason: {},
              tags: {
                shape: "S2j"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          }
        },
        CreateFindingsReport: {
          http: {
            requestUri: "/reporting/create",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "reportFormat",
              "s3Destination"
            ],
            members: {
              filterCriteria: {
                shape: "S1x"
              },
              reportFormat: {},
              s3Destination: {
                shape: "S2o"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              reportId: {}
            }
          }
        },
        CreateSbomExport: {
          http: {
            requestUri: "/sbomexport/create",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "reportFormat",
              "s3Destination"
            ],
            members: {
              reportFormat: {},
              resourceFilterCriteria: {
                shape: "S2s"
              },
              s3Destination: {
                shape: "S2o"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              reportId: {}
            }
          },
          idempotent: true
        },
        DeleteFilter: {
          http: {
            requestUri: "/filters/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          }
        },
        DescribeOrganizationConfiguration: {
          http: {
            requestUri: "/organizationconfiguration/describe",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              autoEnable: {
                shape: "S35"
              },
              maxAccountLimitReached: {
                type: "boolean"
              }
            }
          }
        },
        Disable: {
          http: {
            requestUri: "/disable",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              accountIds: {
                shape: "S5"
              },
              resourceTypes: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "accounts"
            ],
            members: {
              accounts: {
                shape: "S3a"
              },
              failedAccounts: {
                shape: "Se"
              }
            }
          }
        },
        DisableDelegatedAdminAccount: {
          http: {
            requestUri: "/delegatedadminaccounts/disable",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "delegatedAdminAccountId"
            ],
            members: {
              delegatedAdminAccountId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "delegatedAdminAccountId"
            ],
            members: {
              delegatedAdminAccountId: {}
            }
          }
        },
        DisassociateMember: {
          http: {
            requestUri: "/members/disassociate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accountId"
            ],
            members: {
              accountId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "accountId"
            ],
            members: {
              accountId: {}
            }
          }
        },
        Enable: {
          http: {
            requestUri: "/enable",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceTypes"
            ],
            members: {
              accountIds: {
                shape: "S5"
              },
              clientToken: {
                idempotencyToken: true
              },
              resourceTypes: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "accounts"
            ],
            members: {
              accounts: {
                shape: "S3a"
              },
              failedAccounts: {
                shape: "Se"
              }
            }
          }
        },
        EnableDelegatedAdminAccount: {
          http: {
            requestUri: "/delegatedadminaccounts/enable",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "delegatedAdminAccountId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              delegatedAdminAccountId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "delegatedAdminAccountId"
            ],
            members: {
              delegatedAdminAccountId: {}
            }
          }
        },
        GetConfiguration: {
          http: {
            requestUri: "/configuration/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              ecrConfiguration: {
                type: "structure",
                members: {
                  rescanDurationState: {
                    type: "structure",
                    members: {
                      rescanDuration: {},
                      status: {},
                      updatedAt: {
                        type: "timestamp"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        GetDelegatedAdminAccount: {
          http: {
            requestUri: "/delegatedadminaccounts/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              delegatedAdmin: {
                type: "structure",
                members: {
                  accountId: {},
                  relationshipStatus: {}
                }
              }
            }
          }
        },
        GetEc2DeepInspectionConfiguration: {
          http: {
            requestUri: "/ec2deepinspectionconfiguration/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              errorMessage: {},
              orgPackagePaths: {
                shape: "S3z"
              },
              packagePaths: {
                shape: "S3z"
              },
              status: {}
            }
          }
        },
        GetEncryptionKey: {
          http: {
            method: "GET",
            requestUri: "/encryptionkey/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceType",
              "scanType"
            ],
            members: {
              resourceType: {
                location: "querystring",
                locationName: "resourceType"
              },
              scanType: {
                location: "querystring",
                locationName: "scanType"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "kmsKeyId"
            ],
            members: {
              kmsKeyId: {}
            }
          }
        },
        GetFindingsReportStatus: {
          http: {
            requestUri: "/reporting/status/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              reportId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              destination: {
                shape: "S2o"
              },
              errorCode: {},
              errorMessage: {},
              filterCriteria: {
                shape: "S1x"
              },
              reportId: {},
              status: {}
            }
          }
        },
        GetMember: {
          http: {
            requestUri: "/members/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accountId"
            ],
            members: {
              accountId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              member: {
                shape: "S4d"
              }
            }
          }
        },
        GetSbomExport: {
          http: {
            requestUri: "/sbomexport/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "reportId"
            ],
            members: {
              reportId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              errorCode: {},
              errorMessage: {},
              filterCriteria: {
                shape: "S2s"
              },
              format: {},
              reportId: {},
              s3Destination: {
                shape: "S2o"
              },
              status: {}
            }
          },
          idempotent: true
        },
        ListAccountPermissions: {
          http: {
            requestUri: "/accountpermissions/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              service: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "permissions"
            ],
            members: {
              nextToken: {},
              permissions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "operation",
                    "service"
                  ],
                  members: {
                    operation: {},
                    service: {}
                  }
                }
              }
            }
          }
        },
        ListCoverage: {
          http: {
            requestUri: "/coverage/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filterCriteria: {
                shape: "S4p"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              coveredResources: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "accountId",
                    "resourceId",
                    "resourceType",
                    "scanType"
                  ],
                  members: {
                    accountId: {},
                    lastScannedAt: {
                      type: "timestamp"
                    },
                    resourceId: {},
                    resourceMetadata: {
                      type: "structure",
                      members: {
                        ec2: {
                          type: "structure",
                          members: {
                            amiId: {},
                            platform: {},
                            tags: {
                              shape: "S2j"
                            }
                          }
                        },
                        ecrImage: {
                          type: "structure",
                          members: {
                            tags: {
                              type: "list",
                              member: {}
                            }
                          }
                        },
                        ecrRepository: {
                          type: "structure",
                          members: {
                            name: {},
                            scanFrequency: {}
                          }
                        },
                        lambdaFunction: {
                          type: "structure",
                          members: {
                            functionName: {},
                            functionTags: {
                              shape: "S2j"
                            },
                            layers: {
                              type: "list",
                              member: {}
                            },
                            runtime: {}
                          }
                        }
                      }
                    },
                    resourceType: {},
                    scanStatus: {
                      type: "structure",
                      required: [
                        "reason",
                        "statusCode"
                      ],
                      members: {
                        reason: {},
                        statusCode: {}
                      }
                    },
                    scanType: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListCoverageStatistics: {
          http: {
            requestUri: "/coverage/statistics/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filterCriteria: {
                shape: "S4p"
              },
              groupBy: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "totalCounts"
            ],
            members: {
              countsByGroup: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    count: {
                      type: "long"
                    },
                    groupKey: {}
                  }
                }
              },
              nextToken: {},
              totalCounts: {
                type: "long"
              }
            }
          }
        },
        ListDelegatedAdminAccounts: {
          http: {
            requestUri: "/delegatedadminaccounts/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              delegatedAdminAccounts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    accountId: {},
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListFilters: {
          http: {
            requestUri: "/filters/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              action: {},
              arns: {
                type: "list",
                member: {}
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "filters"
            ],
            members: {
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "action",
                    "arn",
                    "createdAt",
                    "criteria",
                    "name",
                    "ownerId",
                    "updatedAt"
                  ],
                  members: {
                    action: {},
                    arn: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    criteria: {
                      shape: "S1x"
                    },
                    description: {},
                    name: {},
                    ownerId: {},
                    reason: {},
                    tags: {
                      shape: "S2j"
                    },
                    updatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListFindingAggregations: {
          http: {
            requestUri: "/findings/aggregation/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "aggregationType"
            ],
            members: {
              accountIds: {
                shape: "S1y"
              },
              aggregationRequest: {
                type: "structure",
                members: {
                  accountAggregation: {
                    type: "structure",
                    members: {
                      findingType: {},
                      resourceType: {},
                      sortBy: {},
                      sortOrder: {}
                    }
                  },
                  amiAggregation: {
                    type: "structure",
                    members: {
                      amis: {
                        shape: "S1y"
                      },
                      sortBy: {},
                      sortOrder: {}
                    }
                  },
                  awsEcrContainerAggregation: {
                    type: "structure",
                    members: {
                      architectures: {
                        shape: "S1y"
                      },
                      imageShas: {
                        shape: "S1y"
                      },
                      imageTags: {
                        shape: "S1y"
                      },
                      repositories: {
                        shape: "S1y"
                      },
                      resourceIds: {
                        shape: "S1y"
                      },
                      sortBy: {},
                      sortOrder: {}
                    }
                  },
                  ec2InstanceAggregation: {
                    type: "structure",
                    members: {
                      amis: {
                        shape: "S1y"
                      },
                      instanceIds: {
                        shape: "S1y"
                      },
                      instanceTags: {
                        shape: "S2a"
                      },
                      operatingSystems: {
                        shape: "S1y"
                      },
                      sortBy: {},
                      sortOrder: {}
                    }
                  },
                  findingTypeAggregation: {
                    type: "structure",
                    members: {
                      findingType: {},
                      resourceType: {},
                      sortBy: {},
                      sortOrder: {}
                    }
                  },
                  imageLayerAggregation: {
                    type: "structure",
                    members: {
                      layerHashes: {
                        shape: "S1y"
                      },
                      repositories: {
                        shape: "S1y"
                      },
                      resourceIds: {
                        shape: "S1y"
                      },
                      sortBy: {},
                      sortOrder: {}
                    }
                  },
                  lambdaFunctionAggregation: {
                    type: "structure",
                    members: {
                      functionNames: {
                        shape: "S1y"
                      },
                      functionTags: {
                        shape: "S2a"
                      },
                      resourceIds: {
                        shape: "S1y"
                      },
                      runtimes: {
                        shape: "S1y"
                      },
                      sortBy: {},
                      sortOrder: {}
                    }
                  },
                  lambdaLayerAggregation: {
                    type: "structure",
                    members: {
                      functionNames: {
                        shape: "S1y"
                      },
                      layerArns: {
                        shape: "S1y"
                      },
                      resourceIds: {
                        shape: "S1y"
                      },
                      sortBy: {},
                      sortOrder: {}
                    }
                  },
                  packageAggregation: {
                    type: "structure",
                    members: {
                      packageNames: {
                        shape: "S1y"
                      },
                      sortBy: {},
                      sortOrder: {}
                    }
                  },
                  repositoryAggregation: {
                    type: "structure",
                    members: {
                      repositories: {
                        shape: "S1y"
                      },
                      sortBy: {},
                      sortOrder: {}
                    }
                  },
                  titleAggregation: {
                    type: "structure",
                    members: {
                      findingType: {},
                      resourceType: {},
                      sortBy: {},
                      sortOrder: {},
                      titles: {
                        shape: "S1y"
                      },
                      vulnerabilityIds: {
                        shape: "S1y"
                      }
                    }
                  }
                },
                union: true
              },
              aggregationType: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "aggregationType"
            ],
            members: {
              aggregationType: {},
              nextToken: {},
              responses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    accountAggregation: {
                      type: "structure",
                      members: {
                        accountId: {},
                        severityCounts: {
                          shape: "S70"
                        }
                      }
                    },
                    amiAggregation: {
                      type: "structure",
                      required: [
                        "ami"
                      ],
                      members: {
                        accountId: {},
                        affectedInstances: {
                          type: "long"
                        },
                        ami: {},
                        severityCounts: {
                          shape: "S70"
                        }
                      }
                    },
                    awsEcrContainerAggregation: {
                      type: "structure",
                      required: [
                        "resourceId"
                      ],
                      members: {
                        accountId: {},
                        architecture: {},
                        imageSha: {},
                        imageTags: {
                          type: "list",
                          member: {}
                        },
                        repository: {},
                        resourceId: {},
                        severityCounts: {
                          shape: "S70"
                        }
                      }
                    },
                    ec2InstanceAggregation: {
                      type: "structure",
                      required: [
                        "instanceId"
                      ],
                      members: {
                        accountId: {},
                        ami: {},
                        instanceId: {},
                        instanceTags: {
                          shape: "S2j"
                        },
                        networkFindings: {
                          type: "long"
                        },
                        operatingSystem: {},
                        severityCounts: {
                          shape: "S70"
                        }
                      }
                    },
                    findingTypeAggregation: {
                      type: "structure",
                      members: {
                        accountId: {},
                        severityCounts: {
                          shape: "S70"
                        }
                      }
                    },
                    imageLayerAggregation: {
                      type: "structure",
                      required: [
                        "accountId",
                        "layerHash",
                        "repository",
                        "resourceId"
                      ],
                      members: {
                        accountId: {},
                        layerHash: {},
                        repository: {},
                        resourceId: {},
                        severityCounts: {
                          shape: "S70"
                        }
                      }
                    },
                    lambdaFunctionAggregation: {
                      type: "structure",
                      required: [
                        "resourceId"
                      ],
                      members: {
                        accountId: {},
                        functionName: {},
                        lambdaTags: {
                          shape: "S2j"
                        },
                        lastModifiedAt: {
                          type: "timestamp"
                        },
                        resourceId: {},
                        runtime: {},
                        severityCounts: {
                          shape: "S70"
                        }
                      }
                    },
                    lambdaLayerAggregation: {
                      type: "structure",
                      required: [
                        "accountId",
                        "functionName",
                        "layerArn",
                        "resourceId"
                      ],
                      members: {
                        accountId: {},
                        functionName: {},
                        layerArn: {},
                        resourceId: {},
                        severityCounts: {
                          shape: "S70"
                        }
                      }
                    },
                    packageAggregation: {
                      type: "structure",
                      required: [
                        "packageName"
                      ],
                      members: {
                        accountId: {},
                        packageName: {},
                        severityCounts: {
                          shape: "S70"
                        }
                      }
                    },
                    repositoryAggregation: {
                      type: "structure",
                      required: [
                        "repository"
                      ],
                      members: {
                        accountId: {},
                        affectedImages: {
                          type: "long"
                        },
                        repository: {},
                        severityCounts: {
                          shape: "S70"
                        }
                      }
                    },
                    titleAggregation: {
                      type: "structure",
                      required: [
                        "title"
                      ],
                      members: {
                        accountId: {},
                        severityCounts: {
                          shape: "S70"
                        },
                        title: {},
                        vulnerabilityId: {}
                      }
                    }
                  },
                  union: true
                }
              }
            }
          }
        },
        ListFindings: {
          http: {
            requestUri: "/findings/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filterCriteria: {
                shape: "S1x"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              sortCriteria: {
                type: "structure",
                required: [
                  "field",
                  "sortOrder"
                ],
                members: {
                  field: {},
                  sortOrder: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              findings: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "awsAccountId",
                    "description",
                    "findingArn",
                    "firstObservedAt",
                    "lastObservedAt",
                    "remediation",
                    "resources",
                    "severity",
                    "status",
                    "type"
                  ],
                  members: {
                    awsAccountId: {},
                    codeVulnerabilityDetails: {
                      type: "structure",
                      required: [
                        "cwes",
                        "detectorId",
                        "detectorName",
                        "filePath"
                      ],
                      members: {
                        cwes: {
                          type: "list",
                          member: {}
                        },
                        detectorId: {},
                        detectorName: {},
                        detectorTags: {
                          type: "list",
                          member: {}
                        },
                        filePath: {
                          type: "structure",
                          required: [
                            "endLine",
                            "fileName",
                            "filePath",
                            "startLine"
                          ],
                          members: {
                            endLine: {
                              type: "integer"
                            },
                            fileName: {},
                            filePath: {},
                            startLine: {
                              type: "integer"
                            }
                          }
                        },
                        referenceUrls: {
                          type: "list",
                          member: {}
                        },
                        ruleId: {},
                        sourceLambdaLayerArn: {}
                      }
                    },
                    description: {},
                    epss: {
                      type: "structure",
                      members: {
                        score: {
                          type: "double"
                        }
                      }
                    },
                    exploitAvailable: {},
                    exploitabilityDetails: {
                      type: "structure",
                      members: {
                        lastKnownExploitAt: {
                          type: "timestamp"
                        }
                      }
                    },
                    findingArn: {},
                    firstObservedAt: {
                      type: "timestamp"
                    },
                    fixAvailable: {},
                    inspectorScore: {
                      type: "double"
                    },
                    inspectorScoreDetails: {
                      type: "structure",
                      members: {
                        adjustedCvss: {
                          type: "structure",
                          required: [
                            "score",
                            "scoreSource",
                            "scoringVector",
                            "version"
                          ],
                          members: {
                            adjustments: {
                              type: "list",
                              member: {
                                type: "structure",
                                required: [
                                  "metric",
                                  "reason"
                                ],
                                members: {
                                  metric: {},
                                  reason: {}
                                }
                              }
                            },
                            cvssSource: {},
                            score: {
                              type: "double"
                            },
                            scoreSource: {},
                            scoringVector: {},
                            version: {}
                          }
                        }
                      }
                    },
                    lastObservedAt: {
                      type: "timestamp"
                    },
                    networkReachabilityDetails: {
                      type: "structure",
                      required: [
                        "networkPath",
                        "openPortRange",
                        "protocol"
                      ],
                      members: {
                        networkPath: {
                          type: "structure",
                          members: {
                            steps: {
                              type: "list",
                              member: {
                                type: "structure",
                                required: [
                                  "componentId",
                                  "componentType"
                                ],
                                members: {
                                  componentId: {},
                                  componentType: {}
                                }
                              }
                            }
                          }
                        },
                        openPortRange: {
                          type: "structure",
                          required: [
                            "begin",
                            "end"
                          ],
                          members: {
                            begin: {
                              type: "integer"
                            },
                            end: {
                              type: "integer"
                            }
                          }
                        },
                        protocol: {}
                      }
                    },
                    packageVulnerabilityDetails: {
                      type: "structure",
                      required: [
                        "source",
                        "vulnerabilityId"
                      ],
                      members: {
                        cvss: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "baseScore",
                              "scoringVector",
                              "source",
                              "version"
                            ],
                            members: {
                              baseScore: {
                                type: "double"
                              },
                              scoringVector: {},
                              source: {},
                              version: {}
                            }
                          }
                        },
                        referenceUrls: {
                          type: "list",
                          member: {}
                        },
                        relatedVulnerabilities: {
                          type: "list",
                          member: {}
                        },
                        source: {},
                        sourceUrl: {},
                        vendorCreatedAt: {
                          type: "timestamp"
                        },
                        vendorSeverity: {},
                        vendorUpdatedAt: {
                          type: "timestamp"
                        },
                        vulnerabilityId: {},
                        vulnerablePackages: {
                          type: "list",
                          member: {
                            type: "structure",
                            required: [
                              "name",
                              "version"
                            ],
                            members: {
                              arch: {},
                              epoch: {
                                type: "integer"
                              },
                              filePath: {},
                              fixedInVersion: {},
                              name: {},
                              packageManager: {},
                              release: {},
                              remediation: {},
                              sourceLambdaLayerArn: {},
                              sourceLayerHash: {},
                              version: {}
                            }
                          }
                        }
                      }
                    },
                    remediation: {
                      type: "structure",
                      members: {
                        recommendation: {
                          type: "structure",
                          members: {
                            Url: {},
                            text: {}
                          }
                        }
                      }
                    },
                    resources: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "id",
                          "type"
                        ],
                        members: {
                          details: {
                            type: "structure",
                            members: {
                              awsEc2Instance: {
                                type: "structure",
                                members: {
                                  iamInstanceProfileArn: {},
                                  imageId: {},
                                  ipV4Addresses: {
                                    type: "list",
                                    member: {}
                                  },
                                  ipV6Addresses: {
                                    type: "list",
                                    member: {}
                                  },
                                  keyName: {},
                                  launchedAt: {
                                    type: "timestamp"
                                  },
                                  platform: {},
                                  subnetId: {},
                                  type: {},
                                  vpcId: {}
                                }
                              },
                              awsEcrContainerImage: {
                                type: "structure",
                                required: [
                                  "imageHash",
                                  "registry",
                                  "repositoryName"
                                ],
                                members: {
                                  architecture: {},
                                  author: {},
                                  imageHash: {},
                                  imageTags: {
                                    type: "list",
                                    member: {}
                                  },
                                  platform: {},
                                  pushedAt: {
                                    type: "timestamp"
                                  },
                                  registry: {},
                                  repositoryName: {}
                                }
                              },
                              awsLambdaFunction: {
                                type: "structure",
                                required: [
                                  "codeSha256",
                                  "executionRoleArn",
                                  "functionName",
                                  "runtime",
                                  "version"
                                ],
                                members: {
                                  architectures: {
                                    type: "list",
                                    member: {}
                                  },
                                  codeSha256: {},
                                  executionRoleArn: {},
                                  functionName: {},
                                  lastModifiedAt: {
                                    type: "timestamp"
                                  },
                                  layers: {
                                    type: "list",
                                    member: {}
                                  },
                                  packageType: {},
                                  runtime: {},
                                  version: {},
                                  vpcConfig: {
                                    type: "structure",
                                    members: {
                                      securityGroupIds: {
                                        type: "list",
                                        member: {}
                                      },
                                      subnetIds: {
                                        type: "list",
                                        member: {}
                                      },
                                      vpcId: {}
                                    }
                                  }
                                }
                              }
                            }
                          },
                          id: {},
                          partition: {},
                          region: {},
                          tags: {
                            shape: "S2j"
                          },
                          type: {}
                        }
                      }
                    },
                    severity: {},
                    status: {},
                    title: {},
                    type: {},
                    updatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListMembers: {
          http: {
            requestUri: "/members/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              onlyAssociated: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              members: {
                type: "list",
                member: {
                  shape: "S4d"
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S2j"
              }
            }
          }
        },
        ListUsageTotals: {
          http: {
            requestUri: "/usage/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              accountIds: {
                type: "list",
                member: {}
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              totals: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    accountId: {},
                    usage: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          currency: {},
                          estimatedMonthlyCost: {
                            type: "double"
                          },
                          total: {
                            type: "double"
                          },
                          type: {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ResetEncryptionKey: {
          http: {
            method: "PUT",
            requestUri: "/encryptionkey/reset",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceType",
              "scanType"
            ],
            members: {
              resourceType: {},
              scanType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        SearchVulnerabilities: {
          http: {
            requestUri: "/vulnerabilities/search",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "filterCriteria"
            ],
            members: {
              filterCriteria: {
                type: "structure",
                required: [
                  "vulnerabilityIds"
                ],
                members: {
                  vulnerabilityIds: {
                    type: "list",
                    member: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "vulnerabilities"
            ],
            members: {
              nextToken: {},
              vulnerabilities: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id"
                  ],
                  members: {
                    atigData: {
                      type: "structure",
                      members: {
                        firstSeen: {
                          type: "timestamp"
                        },
                        lastSeen: {
                          type: "timestamp"
                        },
                        targets: {
                          type: "list",
                          member: {}
                        },
                        ttps: {
                          type: "list",
                          member: {}
                        }
                      }
                    },
                    cisaData: {
                      type: "structure",
                      members: {
                        action: {},
                        dateAdded: {
                          type: "timestamp"
                        },
                        dateDue: {
                          type: "timestamp"
                        }
                      }
                    },
                    cvss2: {
                      type: "structure",
                      members: {
                        baseScore: {
                          type: "double"
                        },
                        scoringVector: {}
                      }
                    },
                    cvss3: {
                      type: "structure",
                      members: {
                        baseScore: {
                          type: "double"
                        },
                        scoringVector: {}
                      }
                    },
                    cwes: {
                      type: "list",
                      member: {}
                    },
                    description: {},
                    detectionPlatforms: {
                      type: "list",
                      member: {}
                    },
                    epss: {
                      type: "structure",
                      members: {
                        score: {
                          type: "double"
                        }
                      }
                    },
                    exploitObserved: {
                      type: "structure",
                      members: {
                        firstSeen: {
                          type: "timestamp"
                        },
                        lastSeen: {
                          type: "timestamp"
                        }
                      }
                    },
                    id: {},
                    referenceUrls: {
                      type: "list",
                      member: {}
                    },
                    relatedVulnerabilities: {
                      type: "list",
                      member: {}
                    },
                    source: {},
                    sourceUrl: {},
                    vendorCreatedAt: {
                      type: "timestamp"
                    },
                    vendorSeverity: {},
                    vendorUpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S2j"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateConfiguration: {
          http: {
            requestUri: "/configuration/update",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ecrConfiguration"
            ],
            members: {
              ecrConfiguration: {
                type: "structure",
                required: [
                  "rescanDuration"
                ],
                members: {
                  rescanDuration: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateEc2DeepInspectionConfiguration: {
          http: {
            requestUri: "/ec2deepinspectionconfiguration/update",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              activateDeepInspection: {
                type: "boolean"
              },
              packagePaths: {
                shape: "S3z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errorMessage: {},
              orgPackagePaths: {
                shape: "S3z"
              },
              packagePaths: {
                shape: "S3z"
              },
              status: {}
            }
          }
        },
        UpdateEncryptionKey: {
          http: {
            method: "PUT",
            requestUri: "/encryptionkey/update",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "kmsKeyId",
              "resourceType",
              "scanType"
            ],
            members: {
              kmsKeyId: {},
              resourceType: {},
              scanType: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateFilter: {
          http: {
            requestUri: "/filters/update",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "filterArn"
            ],
            members: {
              action: {},
              description: {},
              filterArn: {},
              filterCriteria: {
                shape: "S1x"
              },
              name: {},
              reason: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          }
        },
        UpdateOrgEc2DeepInspectionConfiguration: {
          http: {
            requestUri: "/ec2deepinspectionconfiguration/org/update",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "orgPackagePaths"
            ],
            members: {
              orgPackagePaths: {
                shape: "S3z"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateOrganizationConfiguration: {
          http: {
            requestUri: "/organizationconfiguration/update",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "autoEnable"
            ],
            members: {
              autoEnable: {
                shape: "S35"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "autoEnable"
            ],
            members: {
              autoEnable: {
                shape: "S35"
              }
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "list",
          member: {}
        },
        Sa: {
          type: "structure",
          required: [
            "errorCode",
            "errorMessage",
            "status"
          ],
          members: {
            errorCode: {},
            errorMessage: {},
            status: {}
          }
        },
        Se: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "accountId",
              "errorCode",
              "errorMessage"
            ],
            members: {
              accountId: {},
              errorCode: {},
              errorMessage: {},
              resourceStatus: {
                shape: "Sg"
              },
              status: {}
            }
          }
        },
        Sg: {
          type: "structure",
          required: [
            "ec2",
            "ecr"
          ],
          members: {
            ec2: {},
            ecr: {},
            lambda: {},
            lambdaCode: {}
          }
        },
        S1f: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "accountId"
            ],
            members: {
              accountId: {},
              errorMessage: {},
              status: {}
            }
          }
        },
        S1i: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "accountId"
            ],
            members: {
              accountId: {},
              ec2ScanStatus: {},
              errorMessage: {}
            }
          }
        },
        S1x: {
          type: "structure",
          members: {
            awsAccountId: {
              shape: "S1y"
            },
            codeVulnerabilityDetectorName: {
              shape: "S1y"
            },
            codeVulnerabilityDetectorTags: {
              shape: "S1y"
            },
            codeVulnerabilityFilePath: {
              shape: "S1y"
            },
            componentId: {
              shape: "S1y"
            },
            componentType: {
              shape: "S1y"
            },
            ec2InstanceImageId: {
              shape: "S1y"
            },
            ec2InstanceSubnetId: {
              shape: "S1y"
            },
            ec2InstanceVpcId: {
              shape: "S1y"
            },
            ecrImageArchitecture: {
              shape: "S1y"
            },
            ecrImageHash: {
              shape: "S1y"
            },
            ecrImagePushedAt: {
              shape: "S22"
            },
            ecrImageRegistry: {
              shape: "S1y"
            },
            ecrImageRepositoryName: {
              shape: "S1y"
            },
            ecrImageTags: {
              shape: "S1y"
            },
            epssScore: {
              shape: "S24"
            },
            exploitAvailable: {
              shape: "S1y"
            },
            findingArn: {
              shape: "S1y"
            },
            findingStatus: {
              shape: "S1y"
            },
            findingType: {
              shape: "S1y"
            },
            firstObservedAt: {
              shape: "S22"
            },
            fixAvailable: {
              shape: "S1y"
            },
            inspectorScore: {
              shape: "S24"
            },
            lambdaFunctionExecutionRoleArn: {
              shape: "S1y"
            },
            lambdaFunctionLastModifiedAt: {
              shape: "S22"
            },
            lambdaFunctionLayers: {
              shape: "S1y"
            },
            lambdaFunctionName: {
              shape: "S1y"
            },
            lambdaFunctionRuntime: {
              shape: "S1y"
            },
            lastObservedAt: {
              shape: "S22"
            },
            networkProtocol: {
              shape: "S1y"
            },
            portRange: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  beginInclusive: {
                    type: "integer"
                  },
                  endInclusive: {
                    type: "integer"
                  }
                }
              }
            },
            relatedVulnerabilities: {
              shape: "S1y"
            },
            resourceId: {
              shape: "S1y"
            },
            resourceTags: {
              shape: "S2a"
            },
            resourceType: {
              shape: "S1y"
            },
            severity: {
              shape: "S1y"
            },
            title: {
              shape: "S1y"
            },
            updatedAt: {
              shape: "S22"
            },
            vendorSeverity: {
              shape: "S1y"
            },
            vulnerabilityId: {
              shape: "S1y"
            },
            vulnerabilitySource: {
              shape: "S1y"
            },
            vulnerablePackages: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  architecture: {
                    shape: "S1z"
                  },
                  epoch: {
                    shape: "S25"
                  },
                  name: {
                    shape: "S1z"
                  },
                  release: {
                    shape: "S1z"
                  },
                  sourceLambdaLayerArn: {
                    shape: "S1z"
                  },
                  sourceLayerHash: {
                    shape: "S1z"
                  },
                  version: {
                    shape: "S1z"
                  }
                }
              }
            }
          }
        },
        S1y: {
          type: "list",
          member: {
            shape: "S1z"
          }
        },
        S1z: {
          type: "structure",
          required: [
            "comparison",
            "value"
          ],
          members: {
            comparison: {},
            value: {}
          }
        },
        S22: {
          type: "list",
          member: {
            type: "structure",
            members: {
              endInclusive: {
                type: "timestamp"
              },
              startInclusive: {
                type: "timestamp"
              }
            }
          }
        },
        S24: {
          type: "list",
          member: {
            shape: "S25"
          }
        },
        S25: {
          type: "structure",
          members: {
            lowerInclusive: {
              type: "double"
            },
            upperInclusive: {
              type: "double"
            }
          }
        },
        S2a: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "comparison",
              "key"
            ],
            members: {
              comparison: {},
              key: {},
              value: {}
            }
          }
        },
        S2j: {
          type: "map",
          key: {},
          value: {}
        },
        S2o: {
          type: "structure",
          required: [
            "bucketName",
            "kmsKeyArn"
          ],
          members: {
            bucketName: {},
            keyPrefix: {},
            kmsKeyArn: {}
          }
        },
        S2s: {
          type: "structure",
          members: {
            accountId: {
              shape: "S2t"
            },
            ec2InstanceTags: {
              shape: "S2x"
            },
            ecrImageTags: {
              shape: "S2t"
            },
            ecrRepositoryName: {
              shape: "S2t"
            },
            lambdaFunctionName: {
              shape: "S2t"
            },
            lambdaFunctionTags: {
              shape: "S2x"
            },
            resourceId: {
              shape: "S2t"
            },
            resourceType: {
              shape: "S2t"
            }
          }
        },
        S2t: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "comparison",
              "value"
            ],
            members: {
              comparison: {},
              value: {}
            }
          }
        },
        S2x: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "comparison",
              "key"
            ],
            members: {
              comparison: {},
              key: {},
              value: {}
            }
          }
        },
        S35: {
          type: "structure",
          required: [
            "ec2",
            "ecr"
          ],
          members: {
            ec2: {
              type: "boolean"
            },
            ecr: {
              type: "boolean"
            },
            lambda: {
              type: "boolean"
            },
            lambdaCode: {
              type: "boolean"
            }
          }
        },
        S3a: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "accountId",
              "resourceStatus",
              "status"
            ],
            members: {
              accountId: {},
              resourceStatus: {
                shape: "Sg"
              },
              status: {}
            }
          }
        },
        S3z: {
          type: "list",
          member: {}
        },
        S4d: {
          type: "structure",
          members: {
            accountId: {},
            delegatedAdminAccountId: {},
            relationshipStatus: {},
            updatedAt: {
              type: "timestamp"
            }
          }
        },
        S4p: {
          type: "structure",
          members: {
            accountId: {
              shape: "S4q"
            },
            ec2InstanceTags: {
              shape: "S4u"
            },
            ecrImageTags: {
              shape: "S4q"
            },
            ecrRepositoryName: {
              shape: "S4q"
            },
            lambdaFunctionName: {
              shape: "S4q"
            },
            lambdaFunctionRuntime: {
              shape: "S4q"
            },
            lambdaFunctionTags: {
              shape: "S4u"
            },
            lastScannedAt: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  endInclusive: {
                    type: "timestamp"
                  },
                  startInclusive: {
                    type: "timestamp"
                  }
                }
              }
            },
            resourceId: {
              shape: "S4q"
            },
            resourceType: {
              shape: "S4q"
            },
            scanStatusCode: {
              shape: "S4q"
            },
            scanStatusReason: {
              shape: "S4q"
            },
            scanType: {
              shape: "S4q"
            }
          }
        },
        S4q: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "comparison",
              "value"
            ],
            members: {
              comparison: {},
              value: {}
            }
          }
        },
        S4u: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "comparison",
              "key"
            ],
            members: {
              comparison: {},
              key: {},
              value: {}
            }
          }
        },
        S70: {
          type: "structure",
          members: {
            all: {
              type: "long"
            },
            critical: {
              type: "long"
            },
            high: {
              type: "long"
            },
            medium: {
              type: "long"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/inspector2-2020-06-08.paginators.json
var require_inspector2_2020_06_08_paginators = __commonJS({
  "node_modules/aws-sdk/apis/inspector2-2020-06-08.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAccountPermissions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "permissions"
        },
        ListCoverage: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "coveredResources"
        },
        ListCoverageStatistics: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "countsByGroup"
        },
        ListDelegatedAdminAccounts: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "delegatedAdminAccounts"
        },
        ListFilters: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "filters"
        },
        ListFindingAggregations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "responses"
        },
        ListFindings: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "findings"
        },
        ListMembers: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "members"
        },
        ListUsageTotals: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "totals"
        },
        SearchVulnerabilities: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "vulnerabilities"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/inspector2.js
var require_inspector2 = __commonJS({
  "node_modules/aws-sdk/clients/inspector2.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["inspector2"] = {};
    AWS2.Inspector2 = Service.defineService("inspector2", ["2020-06-08"]);
    Object.defineProperty(apiLoader.services["inspector2"], "2020-06-08", {
      get: function get() {
        var model = require_inspector2_2020_06_08_min();
        model.paginators = require_inspector2_2020_06_08_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Inspector2;
  }
});

// node_modules/aws-sdk/apis/rbin-2021-06-15.min.json
var require_rbin_2021_06_15_min = __commonJS({
  "node_modules/aws-sdk/apis/rbin-2021-06-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-06-15",
        endpointPrefix: "rbin",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Recycle Bin",
        serviceId: "rbin",
        signatureVersion: "v4",
        signingName: "rbin",
        uid: "rbin-2021-06-15"
      },
      operations: {
        CreateRule: {
          http: {
            requestUri: "/rules",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "RetentionPeriod",
              "ResourceType"
            ],
            members: {
              RetentionPeriod: {
                shape: "S2"
              },
              Description: {},
              Tags: {
                shape: "S6"
              },
              ResourceType: {},
              ResourceTags: {
                shape: "Sb"
              },
              LockConfiguration: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Identifier: {},
              RetentionPeriod: {
                shape: "S2"
              },
              Description: {},
              Tags: {
                shape: "S6"
              },
              ResourceType: {},
              ResourceTags: {
                shape: "Sb"
              },
              Status: {},
              LockConfiguration: {
                shape: "Sf"
              },
              LockState: {}
            }
          }
        },
        DeleteRule: {
          http: {
            method: "DELETE",
            requestUri: "/rules/{identifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "identifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetRule: {
          http: {
            method: "GET",
            requestUri: "/rules/{identifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "identifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Identifier: {},
              Description: {},
              ResourceType: {},
              RetentionPeriod: {
                shape: "S2"
              },
              ResourceTags: {
                shape: "Sb"
              },
              Status: {},
              LockConfiguration: {
                shape: "Sf"
              },
              LockState: {},
              LockEndTime: {
                type: "timestamp"
              }
            }
          }
        },
        ListRules: {
          http: {
            requestUri: "/list-rules",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceType"
            ],
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              ResourceType: {},
              ResourceTags: {
                shape: "Sb"
              },
              LockState: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Rules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Identifier: {},
                    Description: {},
                    RetentionPeriod: {
                      shape: "S2"
                    },
                    LockState: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S6"
              }
            }
          }
        },
        LockRule: {
          http: {
            method: "PATCH",
            requestUri: "/rules/{identifier}/lock",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Identifier",
              "LockConfiguration"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "identifier"
              },
              LockConfiguration: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Identifier: {},
              Description: {},
              ResourceType: {},
              RetentionPeriod: {
                shape: "S2"
              },
              ResourceTags: {
                shape: "Sb"
              },
              Status: {},
              LockConfiguration: {
                shape: "Sf"
              },
              LockState: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              Tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UnlockRule: {
          http: {
            method: "PATCH",
            requestUri: "/rules/{identifier}/unlock",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "identifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Identifier: {},
              Description: {},
              ResourceType: {},
              RetentionPeriod: {
                shape: "S2"
              },
              ResourceTags: {
                shape: "Sb"
              },
              Status: {},
              LockConfiguration: {
                shape: "Sf"
              },
              LockState: {},
              LockEndTime: {
                type: "timestamp"
              }
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateRule: {
          http: {
            method: "PATCH",
            requestUri: "/rules/{identifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "identifier"
              },
              RetentionPeriod: {
                shape: "S2"
              },
              Description: {},
              ResourceType: {},
              ResourceTags: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Identifier: {},
              RetentionPeriod: {
                shape: "S2"
              },
              Description: {},
              ResourceType: {},
              ResourceTags: {
                shape: "Sb"
              },
              Status: {},
              LockState: {},
              LockEndTime: {
                type: "timestamp"
              }
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "structure",
          required: [
            "RetentionPeriodValue",
            "RetentionPeriodUnit"
          ],
          members: {
            RetentionPeriodValue: {
              type: "integer"
            },
            RetentionPeriodUnit: {}
          }
        },
        S6: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sb: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ResourceTagKey"
            ],
            members: {
              ResourceTagKey: {},
              ResourceTagValue: {}
            }
          }
        },
        Sf: {
          type: "structure",
          required: [
            "UnlockDelay"
          ],
          members: {
            UnlockDelay: {
              type: "structure",
              required: [
                "UnlockDelayValue",
                "UnlockDelayUnit"
              ],
              members: {
                UnlockDelayValue: {
                  type: "integer"
                },
                UnlockDelayUnit: {}
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/rbin-2021-06-15.paginators.json
var require_rbin_2021_06_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/rbin-2021-06-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListRules: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Rules"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/rbin.js
var require_rbin = __commonJS({
  "node_modules/aws-sdk/clients/rbin.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["rbin"] = {};
    AWS2.Rbin = Service.defineService("rbin", ["2021-06-15"]);
    Object.defineProperty(apiLoader.services["rbin"], "2021-06-15", {
      get: function get() {
        var model = require_rbin_2021_06_15_min();
        model.paginators = require_rbin_2021_06_15_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Rbin;
  }
});

// node_modules/aws-sdk/apis/rum-2018-05-10.min.json
var require_rum_2018_05_10_min = __commonJS({
  "node_modules/aws-sdk/apis/rum-2018-05-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-05-10",
        endpointPrefix: "rum",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "CloudWatch RUM",
        serviceId: "RUM",
        signatureVersion: "v4",
        signingName: "rum",
        uid: "rum-2018-05-10"
      },
      operations: {
        BatchCreateRumMetricDefinitions: {
          http: {
            requestUri: "/rummetrics/{AppMonitorName}/metrics",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppMonitorName",
              "Destination",
              "MetricDefinitions"
            ],
            members: {
              AppMonitorName: {
                location: "uri",
                locationName: "AppMonitorName"
              },
              Destination: {},
              DestinationArn: {},
              MetricDefinitions: {
                type: "list",
                member: {
                  shape: "S6"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Errors"
            ],
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ErrorCode",
                    "ErrorMessage",
                    "MetricDefinition"
                  ],
                  members: {
                    ErrorCode: {},
                    ErrorMessage: {},
                    MetricDefinition: {
                      shape: "S6"
                    }
                  }
                }
              },
              MetricDefinitions: {
                shape: "Sj"
              }
            }
          },
          idempotent: true
        },
        BatchDeleteRumMetricDefinitions: {
          http: {
            method: "DELETE",
            requestUri: "/rummetrics/{AppMonitorName}/metrics",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppMonitorName",
              "Destination",
              "MetricDefinitionIds"
            ],
            members: {
              AppMonitorName: {
                location: "uri",
                locationName: "AppMonitorName"
              },
              Destination: {
                location: "querystring",
                locationName: "destination"
              },
              DestinationArn: {
                location: "querystring",
                locationName: "destinationArn"
              },
              MetricDefinitionIds: {
                shape: "Sn",
                location: "querystring",
                locationName: "metricDefinitionIds"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Errors"
            ],
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ErrorCode",
                    "ErrorMessage",
                    "MetricDefinitionId"
                  ],
                  members: {
                    ErrorCode: {},
                    ErrorMessage: {},
                    MetricDefinitionId: {}
                  }
                }
              },
              MetricDefinitionIds: {
                shape: "Sn"
              }
            }
          },
          idempotent: true
        },
        BatchGetRumMetricDefinitions: {
          http: {
            method: "GET",
            requestUri: "/rummetrics/{AppMonitorName}/metrics",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppMonitorName",
              "Destination"
            ],
            members: {
              AppMonitorName: {
                location: "uri",
                locationName: "AppMonitorName"
              },
              Destination: {
                location: "querystring",
                locationName: "destination"
              },
              DestinationArn: {
                location: "querystring",
                locationName: "destinationArn"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MetricDefinitions: {
                shape: "Sj"
              },
              NextToken: {}
            }
          }
        },
        CreateAppMonitor: {
          http: {
            requestUri: "/appmonitor",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Domain",
              "Name"
            ],
            members: {
              AppMonitorConfiguration: {
                shape: "Sv"
              },
              CustomEvents: {
                shape: "S15"
              },
              CwLogEnabled: {
                type: "boolean"
              },
              Domain: {},
              Name: {},
              Tags: {
                shape: "S18"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {}
            }
          },
          idempotent: true
        },
        DeleteAppMonitor: {
          http: {
            method: "DELETE",
            requestUri: "/appmonitor/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteRumMetricsDestination: {
          http: {
            method: "DELETE",
            requestUri: "/rummetrics/{AppMonitorName}/metricsdestination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppMonitorName",
              "Destination"
            ],
            members: {
              AppMonitorName: {
                location: "uri",
                locationName: "AppMonitorName"
              },
              Destination: {
                location: "querystring",
                locationName: "destination"
              },
              DestinationArn: {
                location: "querystring",
                locationName: "destinationArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetAppMonitor: {
          http: {
            method: "GET",
            requestUri: "/appmonitor/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppMonitor: {
                type: "structure",
                members: {
                  AppMonitorConfiguration: {
                    shape: "Sv"
                  },
                  Created: {},
                  CustomEvents: {
                    shape: "S15"
                  },
                  DataStorage: {
                    type: "structure",
                    members: {
                      CwLog: {
                        type: "structure",
                        members: {
                          CwLogEnabled: {
                            type: "boolean"
                          },
                          CwLogGroup: {}
                        }
                      }
                    }
                  },
                  Domain: {},
                  Id: {},
                  LastModified: {},
                  Name: {},
                  State: {},
                  Tags: {
                    shape: "S18"
                  }
                }
              }
            }
          }
        },
        GetAppMonitorData: {
          http: {
            requestUri: "/appmonitor/{Name}/data",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "TimeRange"
            ],
            members: {
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Values: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              },
              NextToken: {},
              TimeRange: {
                type: "structure",
                required: [
                  "After"
                ],
                members: {
                  After: {
                    type: "long"
                  },
                  Before: {
                    type: "long"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Events: {
                type: "list",
                member: {}
              },
              NextToken: {}
            }
          }
        },
        ListAppMonitors: {
          http: {
            requestUri: "/appmonitors",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AppMonitorSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Created: {},
                    Id: {},
                    LastModified: {},
                    Name: {},
                    State: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListRumMetricsDestinations: {
          http: {
            method: "GET",
            requestUri: "/rummetrics/{AppMonitorName}/metricsdestination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppMonitorName"
            ],
            members: {
              AppMonitorName: {
                location: "uri",
                locationName: "AppMonitorName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Destinations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Destination: {},
                    DestinationArn: {},
                    IamRoleArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S18"
              }
            }
          }
        },
        PutRumEvents: {
          http: {
            requestUri: "/appmonitors/{Id}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppMonitorDetails",
              "BatchId",
              "Id",
              "RumEvents",
              "UserDetails"
            ],
            members: {
              AppMonitorDetails: {
                type: "structure",
                members: {
                  id: {},
                  name: {},
                  version: {}
                }
              },
              BatchId: {},
              Id: {
                location: "uri",
                locationName: "Id"
              },
              RumEvents: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "details",
                    "id",
                    "timestamp",
                    "type"
                  ],
                  members: {
                    details: {
                      jsonvalue: true
                    },
                    id: {},
                    metadata: {
                      jsonvalue: true
                    },
                    timestamp: {
                      type: "timestamp"
                    },
                    type: {}
                  }
                }
              },
              UserDetails: {
                type: "structure",
                members: {
                  sessionId: {},
                  userId: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "dataplane."
          }
        },
        PutRumMetricsDestination: {
          http: {
            requestUri: "/rummetrics/{AppMonitorName}/metricsdestination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppMonitorName",
              "Destination"
            ],
            members: {
              AppMonitorName: {
                location: "uri",
                locationName: "AppMonitorName"
              },
              Destination: {},
              DestinationArn: {},
              IamRoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "S18"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateAppMonitor: {
          http: {
            method: "PATCH",
            requestUri: "/appmonitor/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              AppMonitorConfiguration: {
                shape: "Sv"
              },
              CustomEvents: {
                shape: "S15"
              },
              CwLogEnabled: {
                type: "boolean"
              },
              Domain: {},
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateRumMetricDefinition: {
          http: {
            method: "PATCH",
            requestUri: "/rummetrics/{AppMonitorName}/metrics",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AppMonitorName",
              "Destination",
              "MetricDefinition",
              "MetricDefinitionId"
            ],
            members: {
              AppMonitorName: {
                location: "uri",
                locationName: "AppMonitorName"
              },
              Destination: {},
              DestinationArn: {},
              MetricDefinition: {
                shape: "S6"
              },
              MetricDefinitionId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        }
      },
      shapes: {
        S6: {
          type: "structure",
          required: [
            "Name"
          ],
          members: {
            DimensionKeys: {
              shape: "S7"
            },
            EventPattern: {},
            Name: {},
            Namespace: {},
            UnitLabel: {},
            ValueKey: {}
          }
        },
        S7: {
          type: "map",
          key: {},
          value: {}
        },
        Sj: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "MetricDefinitionId",
              "Name"
            ],
            members: {
              DimensionKeys: {
                shape: "S7"
              },
              EventPattern: {},
              MetricDefinitionId: {},
              Name: {},
              Namespace: {},
              UnitLabel: {},
              ValueKey: {}
            }
          }
        },
        Sn: {
          type: "list",
          member: {}
        },
        Sv: {
          type: "structure",
          members: {
            AllowCookies: {
              type: "boolean"
            },
            EnableXRay: {
              type: "boolean"
            },
            ExcludedPages: {
              shape: "Sx"
            },
            FavoritePages: {
              type: "list",
              member: {}
            },
            GuestRoleArn: {},
            IdentityPoolId: {},
            IncludedPages: {
              shape: "Sx"
            },
            SessionSampleRate: {
              type: "double"
            },
            Telemetries: {
              type: "list",
              member: {}
            }
          }
        },
        Sx: {
          type: "list",
          member: {}
        },
        S15: {
          type: "structure",
          members: {
            Status: {}
          }
        },
        S18: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/rum-2018-05-10.paginators.json
var require_rum_2018_05_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/rum-2018-05-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        BatchGetRumMetricDefinitions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "MetricDefinitions"
        },
        GetAppMonitorData: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Events"
        },
        ListAppMonitors: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "AppMonitorSummaries"
        },
        ListRumMetricsDestinations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Destinations"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/rum.js
var require_rum = __commonJS({
  "node_modules/aws-sdk/clients/rum.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["rum"] = {};
    AWS2.RUM = Service.defineService("rum", ["2018-05-10"]);
    Object.defineProperty(apiLoader.services["rum"], "2018-05-10", {
      get: function get() {
        var model = require_rum_2018_05_10_min();
        model.paginators = require_rum_2018_05_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.RUM;
  }
});

// node_modules/aws-sdk/apis/backup-gateway-2021-01-01.min.json
var require_backup_gateway_2021_01_01_min = __commonJS({
  "node_modules/aws-sdk/apis/backup-gateway-2021-01-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-01-01",
        endpointPrefix: "backup-gateway",
        jsonVersion: "1.0",
        protocol: "json",
        serviceFullName: "AWS Backup Gateway",
        serviceId: "Backup Gateway",
        signatureVersion: "v4",
        signingName: "backup-gateway",
        targetPrefix: "BackupOnPremises_v20210101",
        uid: "backup-gateway-2021-01-01"
      },
      operations: {
        AssociateGatewayToServer: {
          input: {
            type: "structure",
            required: [
              "GatewayArn",
              "ServerArn"
            ],
            members: {
              GatewayArn: {},
              ServerArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayArn: {}
            }
          }
        },
        CreateGateway: {
          input: {
            type: "structure",
            required: [
              "ActivationKey",
              "GatewayDisplayName",
              "GatewayType"
            ],
            members: {
              ActivationKey: {},
              GatewayDisplayName: {},
              GatewayType: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayArn: {}
            }
          }
        },
        DeleteGateway: {
          input: {
            type: "structure",
            required: [
              "GatewayArn"
            ],
            members: {
              GatewayArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayArn: {}
            }
          },
          idempotent: true
        },
        DeleteHypervisor: {
          input: {
            type: "structure",
            required: [
              "HypervisorArn"
            ],
            members: {
              HypervisorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              HypervisorArn: {}
            }
          },
          idempotent: true
        },
        DisassociateGatewayFromServer: {
          input: {
            type: "structure",
            required: [
              "GatewayArn"
            ],
            members: {
              GatewayArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayArn: {}
            }
          }
        },
        GetBandwidthRateLimitSchedule: {
          input: {
            type: "structure",
            required: [
              "GatewayArn"
            ],
            members: {
              GatewayArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BandwidthRateLimitIntervals: {
                shape: "Sm"
              },
              GatewayArn: {}
            }
          }
        },
        GetGateway: {
          input: {
            type: "structure",
            required: [
              "GatewayArn"
            ],
            members: {
              GatewayArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Gateway: {
                type: "structure",
                members: {
                  GatewayArn: {},
                  GatewayDisplayName: {},
                  GatewayType: {},
                  HypervisorId: {},
                  LastSeenTime: {
                    type: "timestamp"
                  },
                  MaintenanceStartTime: {
                    type: "structure",
                    required: [
                      "HourOfDay",
                      "MinuteOfHour"
                    ],
                    members: {
                      DayOfMonth: {
                        type: "integer"
                      },
                      DayOfWeek: {
                        type: "integer"
                      },
                      HourOfDay: {
                        type: "integer"
                      },
                      MinuteOfHour: {
                        type: "integer"
                      }
                    }
                  },
                  NextUpdateAvailabilityTime: {
                    type: "timestamp"
                  },
                  VpcEndpoint: {}
                }
              }
            }
          }
        },
        GetHypervisor: {
          input: {
            type: "structure",
            required: [
              "HypervisorArn"
            ],
            members: {
              HypervisorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Hypervisor: {
                type: "structure",
                members: {
                  Host: {},
                  HypervisorArn: {},
                  KmsKeyArn: {},
                  LastSuccessfulMetadataSyncTime: {
                    type: "timestamp"
                  },
                  LatestMetadataSyncStatus: {},
                  LatestMetadataSyncStatusMessage: {},
                  LogGroupArn: {},
                  Name: {},
                  State: {}
                }
              }
            }
          }
        },
        GetHypervisorPropertyMappings: {
          input: {
            type: "structure",
            required: [
              "HypervisorArn"
            ],
            members: {
              HypervisorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              HypervisorArn: {},
              IamRoleArn: {},
              VmwareToAwsTagMappings: {
                shape: "S1d"
              }
            }
          }
        },
        GetVirtualMachine: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VirtualMachine: {
                type: "structure",
                members: {
                  HostName: {},
                  HypervisorId: {},
                  LastBackupDate: {
                    type: "timestamp"
                  },
                  Name: {},
                  Path: {},
                  ResourceArn: {},
                  VmwareTags: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        VmwareCategory: {},
                        VmwareTagDescription: {},
                        VmwareTagName: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ImportHypervisorConfiguration: {
          input: {
            type: "structure",
            required: [
              "Host",
              "Name"
            ],
            members: {
              Host: {},
              KmsKeyArn: {},
              Name: {},
              Password: {
                shape: "S1p"
              },
              Tags: {
                shape: "S9"
              },
              Username: {
                shape: "S1q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HypervisorArn: {}
            }
          }
        },
        ListGateways: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Gateways: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    GatewayArn: {},
                    GatewayDisplayName: {},
                    GatewayType: {},
                    HypervisorId: {},
                    LastSeenTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListHypervisors: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Hypervisors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Host: {},
                    HypervisorArn: {},
                    KmsKeyArn: {},
                    Name: {},
                    State: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceArn: {},
              Tags: {
                shape: "S9"
              }
            }
          }
        },
        ListVirtualMachines: {
          input: {
            type: "structure",
            members: {
              HypervisorArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              VirtualMachines: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    HostName: {},
                    HypervisorId: {},
                    LastBackupDate: {
                      type: "timestamp"
                    },
                    Name: {},
                    Path: {},
                    ResourceArn: {}
                  }
                }
              }
            }
          }
        },
        PutBandwidthRateLimitSchedule: {
          input: {
            type: "structure",
            required: [
              "BandwidthRateLimitIntervals",
              "GatewayArn"
            ],
            members: {
              BandwidthRateLimitIntervals: {
                shape: "Sm"
              },
              GatewayArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayArn: {}
            }
          },
          idempotent: true
        },
        PutHypervisorPropertyMappings: {
          input: {
            type: "structure",
            required: [
              "HypervisorArn",
              "IamRoleArn",
              "VmwareToAwsTagMappings"
            ],
            members: {
              HypervisorArn: {},
              IamRoleArn: {},
              VmwareToAwsTagMappings: {
                shape: "S1d"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HypervisorArn: {}
            }
          },
          idempotent: true
        },
        PutMaintenanceStartTime: {
          input: {
            type: "structure",
            required: [
              "GatewayArn",
              "HourOfDay",
              "MinuteOfHour"
            ],
            members: {
              DayOfMonth: {
                type: "integer"
              },
              DayOfWeek: {
                type: "integer"
              },
              GatewayArn: {},
              HourOfDay: {
                type: "integer"
              },
              MinuteOfHour: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayArn: {}
            }
          }
        },
        StartVirtualMachinesMetadataSync: {
          input: {
            type: "structure",
            required: [
              "HypervisorArn"
            ],
            members: {
              HypervisorArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              HypervisorArn: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceARN: {}
            }
          }
        },
        TestHypervisorConfiguration: {
          input: {
            type: "structure",
            required: [
              "GatewayArn",
              "Host"
            ],
            members: {
              GatewayArn: {},
              Host: {},
              Password: {
                shape: "S1p"
              },
              Username: {
                shape: "S1q"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceARN: {}
            }
          }
        },
        UpdateGatewayInformation: {
          input: {
            type: "structure",
            required: [
              "GatewayArn"
            ],
            members: {
              GatewayArn: {},
              GatewayDisplayName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayArn: {}
            }
          }
        },
        UpdateGatewaySoftwareNow: {
          input: {
            type: "structure",
            required: [
              "GatewayArn"
            ],
            members: {
              GatewayArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              GatewayArn: {}
            }
          }
        },
        UpdateHypervisor: {
          input: {
            type: "structure",
            required: [
              "HypervisorArn"
            ],
            members: {
              Host: {},
              HypervisorArn: {},
              LogGroupArn: {},
              Name: {},
              Password: {
                shape: "S1p"
              },
              Username: {
                shape: "S1q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HypervisorArn: {}
            }
          }
        }
      },
      shapes: {
        S9: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sm: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DaysOfWeek",
              "EndHourOfDay",
              "EndMinuteOfHour",
              "StartHourOfDay",
              "StartMinuteOfHour"
            ],
            members: {
              AverageUploadRateLimitInBitsPerSec: {
                type: "long"
              },
              DaysOfWeek: {
                type: "list",
                member: {
                  type: "integer"
                }
              },
              EndHourOfDay: {
                type: "integer"
              },
              EndMinuteOfHour: {
                type: "integer"
              },
              StartHourOfDay: {
                type: "integer"
              },
              StartMinuteOfHour: {
                type: "integer"
              }
            }
          }
        },
        S1d: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "AwsTagKey",
              "AwsTagValue",
              "VmwareCategory",
              "VmwareTagName"
            ],
            members: {
              AwsTagKey: {},
              AwsTagValue: {},
              VmwareCategory: {},
              VmwareTagName: {}
            }
          }
        },
        S1p: {
          type: "string",
          sensitive: true
        },
        S1q: {
          type: "string",
          sensitive: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/backup-gateway-2021-01-01.paginators.json
var require_backup_gateway_2021_01_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/backup-gateway-2021-01-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListGateways: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Gateways"
        },
        ListHypervisors: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Hypervisors"
        },
        ListVirtualMachines: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "VirtualMachines"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/backupgateway.js
var require_backupgateway = __commonJS({
  "node_modules/aws-sdk/clients/backupgateway.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["backupgateway"] = {};
    AWS2.BackupGateway = Service.defineService("backupgateway", ["2021-01-01"]);
    Object.defineProperty(apiLoader.services["backupgateway"], "2021-01-01", {
      get: function get() {
        var model = require_backup_gateway_2021_01_01_min();
        model.paginators = require_backup_gateway_2021_01_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.BackupGateway;
  }
});

// node_modules/aws-sdk/apis/iottwinmaker-2021-11-29.min.json
var require_iottwinmaker_2021_11_29_min = __commonJS({
  "node_modules/aws-sdk/apis/iottwinmaker-2021-11-29.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-11-29",
        endpointPrefix: "iottwinmaker",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS IoT TwinMaker",
        serviceId: "IoTTwinMaker",
        signatureVersion: "v4",
        signingName: "iottwinmaker",
        uid: "iottwinmaker-2021-11-29"
      },
      operations: {
        BatchPutPropertyValues: {
          http: {
            requestUri: "/workspaces/{workspaceId}/entity-properties",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "entries"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              entries: {
                type: "list",
                member: {
                  shape: "S4"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "errorEntries"
            ],
            members: {
              errorEntries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "errors"
                  ],
                  members: {
                    errors: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "errorCode",
                          "errorMessage",
                          "entry"
                        ],
                        members: {
                          errorCode: {},
                          errorMessage: {},
                          entry: {
                            shape: "S4"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "data."
          }
        },
        CreateComponentType: {
          http: {
            requestUri: "/workspaces/{workspaceId}/component-types/{componentTypeId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "componentTypeId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              isSingleton: {
                type: "boolean"
              },
              componentTypeId: {
                location: "uri",
                locationName: "componentTypeId"
              },
              description: {},
              propertyDefinitions: {
                shape: "Sv"
              },
              extendsFrom: {
                shape: "S13"
              },
              functions: {
                shape: "S14"
              },
              tags: {
                shape: "S1b"
              },
              propertyGroups: {
                shape: "S1e"
              },
              componentTypeName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "creationDateTime",
              "state"
            ],
            members: {
              arn: {},
              creationDateTime: {
                type: "timestamp"
              },
              state: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        CreateEntity: {
          http: {
            requestUri: "/workspaces/{workspaceId}/entities",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "entityName"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              entityId: {},
              entityName: {},
              description: {},
              components: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    description: {},
                    componentTypeId: {},
                    properties: {
                      shape: "S1q"
                    },
                    propertyGroups: {
                      shape: "S1t"
                    }
                  }
                }
              },
              parentEntityId: {},
              tags: {
                shape: "S1b"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "entityId",
              "arn",
              "creationDateTime",
              "state"
            ],
            members: {
              entityId: {},
              arn: {},
              creationDateTime: {
                type: "timestamp"
              },
              state: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        CreateScene: {
          http: {
            requestUri: "/workspaces/{workspaceId}/scenes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "sceneId",
              "contentLocation"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              sceneId: {},
              contentLocation: {},
              description: {},
              capabilities: {
                shape: "S20"
              },
              tags: {
                shape: "S1b"
              },
              sceneMetadata: {
                shape: "S22"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "creationDateTime"
            ],
            members: {
              arn: {},
              creationDateTime: {
                type: "timestamp"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        CreateSyncJob: {
          http: {
            requestUri: "/workspaces/{workspaceId}/sync-jobs/{syncSource}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "syncSource",
              "syncRole"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              syncSource: {
                location: "uri",
                locationName: "syncSource"
              },
              syncRole: {},
              tags: {
                shape: "S1b"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "creationDateTime",
              "state"
            ],
            members: {
              arn: {},
              creationDateTime: {
                type: "timestamp"
              },
              state: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        CreateWorkspace: {
          http: {
            requestUri: "/workspaces/{workspaceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "s3Location",
              "role"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              description: {},
              s3Location: {},
              role: {},
              tags: {
                shape: "S1b"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "creationDateTime"
            ],
            members: {
              arn: {},
              creationDateTime: {
                type: "timestamp"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DeleteComponentType: {
          http: {
            method: "DELETE",
            requestUri: "/workspaces/{workspaceId}/component-types/{componentTypeId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "componentTypeId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              componentTypeId: {
                location: "uri",
                locationName: "componentTypeId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "state"
            ],
            members: {
              state: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DeleteEntity: {
          http: {
            method: "DELETE",
            requestUri: "/workspaces/{workspaceId}/entities/{entityId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "entityId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              entityId: {
                location: "uri",
                locationName: "entityId"
              },
              isRecursive: {
                location: "querystring",
                locationName: "isRecursive",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "state"
            ],
            members: {
              state: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DeleteScene: {
          http: {
            method: "DELETE",
            requestUri: "/workspaces/{workspaceId}/scenes/{sceneId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "sceneId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              sceneId: {
                location: "uri",
                locationName: "sceneId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DeleteSyncJob: {
          http: {
            method: "DELETE",
            requestUri: "/workspaces/{workspaceId}/sync-jobs/{syncSource}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "syncSource"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              syncSource: {
                location: "uri",
                locationName: "syncSource"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "state"
            ],
            members: {
              state: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        DeleteWorkspace: {
          http: {
            method: "DELETE",
            requestUri: "/workspaces/{workspaceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ExecuteQuery: {
          http: {
            requestUri: "/queries/execution",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "queryStatement"
            ],
            members: {
              workspaceId: {},
              queryStatement: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              columnDescriptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    type: {}
                  }
                }
              },
              rows: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    rowData: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {},
                        document: true
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        GetComponentType: {
          http: {
            method: "GET",
            requestUri: "/workspaces/{workspaceId}/component-types/{componentTypeId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "componentTypeId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              componentTypeId: {
                location: "uri",
                locationName: "componentTypeId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "workspaceId",
              "componentTypeId",
              "creationDateTime",
              "updateDateTime",
              "arn"
            ],
            members: {
              workspaceId: {},
              isSingleton: {
                type: "boolean"
              },
              componentTypeId: {},
              description: {},
              propertyDefinitions: {
                type: "map",
                key: {},
                value: {
                  shape: "S33"
                }
              },
              extendsFrom: {
                shape: "S13"
              },
              functions: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    requiredProperties: {
                      shape: "S16"
                    },
                    scope: {},
                    implementedBy: {
                      shape: "S18"
                    },
                    isInherited: {
                      type: "boolean"
                    }
                  }
                }
              },
              creationDateTime: {
                type: "timestamp"
              },
              updateDateTime: {
                type: "timestamp"
              },
              arn: {},
              isAbstract: {
                type: "boolean"
              },
              isSchemaInitialized: {
                type: "boolean"
              },
              status: {
                shape: "S36"
              },
              propertyGroups: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  required: [
                    "groupType",
                    "propertyNames",
                    "isInherited"
                  ],
                  members: {
                    groupType: {},
                    propertyNames: {
                      shape: "S1h"
                    },
                    isInherited: {
                      type: "boolean"
                    }
                  }
                }
              },
              syncSource: {},
              componentTypeName: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        GetEntity: {
          http: {
            method: "GET",
            requestUri: "/workspaces/{workspaceId}/entities/{entityId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "entityId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              entityId: {
                location: "uri",
                locationName: "entityId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "entityId",
              "entityName",
              "arn",
              "status",
              "workspaceId",
              "parentEntityId",
              "hasChildEntities",
              "creationDateTime",
              "updateDateTime"
            ],
            members: {
              entityId: {},
              entityName: {},
              arn: {},
              status: {
                shape: "S36"
              },
              workspaceId: {},
              description: {},
              components: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    componentName: {},
                    description: {},
                    componentTypeId: {},
                    status: {
                      shape: "S36"
                    },
                    definedIn: {},
                    properties: {
                      type: "map",
                      key: {},
                      value: {
                        type: "structure",
                        members: {
                          definition: {
                            shape: "S33"
                          },
                          value: {
                            shape: "Sd"
                          }
                        }
                      }
                    },
                    propertyGroups: {
                      type: "map",
                      key: {},
                      value: {
                        type: "structure",
                        required: [
                          "groupType",
                          "propertyNames",
                          "isInherited"
                        ],
                        members: {
                          groupType: {},
                          propertyNames: {
                            shape: "S1h"
                          },
                          isInherited: {
                            type: "boolean"
                          }
                        }
                      }
                    },
                    syncSource: {}
                  }
                }
              },
              parentEntityId: {},
              hasChildEntities: {
                type: "boolean"
              },
              creationDateTime: {
                type: "timestamp"
              },
              updateDateTime: {
                type: "timestamp"
              },
              syncSource: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        GetPricingPlan: {
          http: {
            method: "GET",
            requestUri: "/pricingplan",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "currentPricingPlan"
            ],
            members: {
              currentPricingPlan: {
                shape: "S3m"
              },
              pendingPricingPlan: {
                shape: "S3m"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        GetPropertyValue: {
          http: {
            requestUri: "/workspaces/{workspaceId}/entity-properties/value",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "selectedProperties",
              "workspaceId"
            ],
            members: {
              componentName: {},
              componentTypeId: {},
              entityId: {},
              selectedProperties: {
                shape: "S3u"
              },
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              propertyGroupName: {},
              tabularConditions: {
                type: "structure",
                members: {
                  orderBy: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "propertyName"
                      ],
                      members: {
                        order: {},
                        propertyName: {}
                      }
                    }
                  },
                  propertyFilters: {
                    shape: "S40"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              propertyValues: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  required: [
                    "propertyReference"
                  ],
                  members: {
                    propertyReference: {
                      shape: "S5"
                    },
                    propertyValue: {
                      shape: "Sd"
                    }
                  }
                }
              },
              nextToken: {},
              tabularPropertyValues: {
                type: "list",
                member: {
                  type: "list",
                  member: {
                    type: "map",
                    key: {},
                    value: {
                      shape: "Sd"
                    }
                  }
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "data."
          }
        },
        GetPropertyValueHistory: {
          http: {
            requestUri: "/workspaces/{workspaceId}/entity-properties/history",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "selectedProperties"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              entityId: {},
              componentName: {},
              componentTypeId: {},
              selectedProperties: {
                shape: "S3u"
              },
              propertyFilters: {
                shape: "S40"
              },
              startDateTime: {
                deprecated: true,
                deprecatedMessage: "This field is deprecated and will throw an error in the future. Use startTime instead.",
                type: "timestamp"
              },
              endDateTime: {
                deprecated: true,
                deprecatedMessage: "This field is deprecated and will throw an error in the future. Use endTime instead.",
                type: "timestamp"
              },
              interpolation: {
                type: "structure",
                members: {
                  interpolationType: {},
                  intervalInSeconds: {
                    type: "long"
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              orderByTime: {},
              startTime: {},
              endTime: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "propertyValues"
            ],
            members: {
              propertyValues: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "entityPropertyReference"
                  ],
                  members: {
                    entityPropertyReference: {
                      shape: "S5"
                    },
                    values: {
                      type: "list",
                      member: {
                        shape: "Sb"
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "data."
          }
        },
        GetScene: {
          http: {
            method: "GET",
            requestUri: "/workspaces/{workspaceId}/scenes/{sceneId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "sceneId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              sceneId: {
                location: "uri",
                locationName: "sceneId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "workspaceId",
              "sceneId",
              "contentLocation",
              "arn",
              "creationDateTime",
              "updateDateTime"
            ],
            members: {
              workspaceId: {},
              sceneId: {},
              contentLocation: {},
              arn: {},
              creationDateTime: {
                type: "timestamp"
              },
              updateDateTime: {
                type: "timestamp"
              },
              description: {},
              capabilities: {
                shape: "S20"
              },
              sceneMetadata: {
                shape: "S22"
              },
              generatedSceneMetadata: {
                type: "map",
                key: {},
                value: {}
              },
              error: {
                type: "structure",
                members: {
                  code: {},
                  message: {}
                }
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        GetSyncJob: {
          http: {
            method: "GET",
            requestUri: "/sync-jobs/{syncSource}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "syncSource"
            ],
            members: {
              syncSource: {
                location: "uri",
                locationName: "syncSource"
              },
              workspaceId: {
                location: "querystring",
                locationName: "workspace"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "workspaceId",
              "syncSource",
              "syncRole",
              "status",
              "creationDateTime",
              "updateDateTime"
            ],
            members: {
              arn: {},
              workspaceId: {},
              syncSource: {},
              syncRole: {},
              status: {
                shape: "S4o"
              },
              creationDateTime: {
                type: "timestamp"
              },
              updateDateTime: {
                type: "timestamp"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        GetWorkspace: {
          http: {
            method: "GET",
            requestUri: "/workspaces/{workspaceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "workspaceId",
              "arn",
              "s3Location",
              "role",
              "creationDateTime",
              "updateDateTime"
            ],
            members: {
              workspaceId: {},
              arn: {},
              description: {},
              s3Location: {},
              role: {},
              creationDateTime: {
                type: "timestamp"
              },
              updateDateTime: {
                type: "timestamp"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListComponentTypes: {
          http: {
            requestUri: "/workspaces/{workspaceId}/component-types-list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    extendsFrom: {},
                    namespace: {},
                    isAbstract: {
                      type: "boolean"
                    }
                  },
                  union: true
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "workspaceId",
              "componentTypeSummaries"
            ],
            members: {
              workspaceId: {},
              componentTypeSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "componentTypeId",
                    "creationDateTime",
                    "updateDateTime"
                  ],
                  members: {
                    arn: {},
                    componentTypeId: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    updateDateTime: {
                      type: "timestamp"
                    },
                    description: {},
                    status: {
                      shape: "S36"
                    },
                    componentTypeName: {}
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListEntities: {
          http: {
            requestUri: "/workspaces/{workspaceId}/entities-list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    parentEntityId: {},
                    componentTypeId: {},
                    externalId: {}
                  },
                  union: true
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              entitySummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "entityId",
                    "entityName",
                    "arn",
                    "status",
                    "creationDateTime",
                    "updateDateTime"
                  ],
                  members: {
                    entityId: {},
                    entityName: {},
                    arn: {},
                    parentEntityId: {},
                    status: {
                      shape: "S36"
                    },
                    description: {},
                    hasChildEntities: {
                      type: "boolean"
                    },
                    creationDateTime: {
                      type: "timestamp"
                    },
                    updateDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListScenes: {
          http: {
            requestUri: "/workspaces/{workspaceId}/scenes-list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              sceneSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "sceneId",
                    "contentLocation",
                    "arn",
                    "creationDateTime",
                    "updateDateTime"
                  ],
                  members: {
                    sceneId: {},
                    contentLocation: {},
                    arn: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    updateDateTime: {
                      type: "timestamp"
                    },
                    description: {}
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListSyncJobs: {
          http: {
            requestUri: "/workspaces/{workspaceId}/sync-jobs-list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              syncJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    workspaceId: {},
                    syncSource: {},
                    status: {
                      shape: "S4o"
                    },
                    creationDateTime: {
                      type: "timestamp"
                    },
                    updateDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListSyncResources: {
          http: {
            requestUri: "/workspaces/{workspaceId}/sync-jobs/{syncSource}/resources-list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "syncSource"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              syncSource: {
                location: "uri",
                locationName: "syncSource"
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    state: {},
                    resourceType: {},
                    resourceId: {},
                    externalId: {}
                  },
                  union: true
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              syncResources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    resourceType: {},
                    externalId: {},
                    resourceId: {},
                    status: {
                      type: "structure",
                      members: {
                        state: {},
                        error: {
                          shape: "S37"
                        }
                      }
                    },
                    updateDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListTagsForResource: {
          http: {
            requestUri: "/tags-list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceARN"
            ],
            members: {
              resourceARN: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S1b"
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        ListWorkspaces: {
          http: {
            requestUri: "/workspaces-list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              workspaceSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "workspaceId",
                    "arn",
                    "creationDateTime",
                    "updateDateTime"
                  ],
                  members: {
                    workspaceId: {},
                    arn: {},
                    description: {},
                    creationDateTime: {
                      type: "timestamp"
                    },
                    updateDateTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceARN",
              "tags"
            ],
            members: {
              resourceARN: {},
              tags: {
                shape: "S1b"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceARN",
              "tagKeys"
            ],
            members: {
              resourceARN: {
                location: "querystring",
                locationName: "resourceARN"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        UpdateComponentType: {
          http: {
            method: "PUT",
            requestUri: "/workspaces/{workspaceId}/component-types/{componentTypeId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "componentTypeId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              isSingleton: {
                type: "boolean"
              },
              componentTypeId: {
                location: "uri",
                locationName: "componentTypeId"
              },
              description: {},
              propertyDefinitions: {
                shape: "Sv"
              },
              extendsFrom: {
                shape: "S13"
              },
              functions: {
                shape: "S14"
              },
              propertyGroups: {
                shape: "S1e"
              },
              componentTypeName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "workspaceId",
              "arn",
              "componentTypeId",
              "state"
            ],
            members: {
              workspaceId: {},
              arn: {},
              componentTypeId: {},
              state: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        UpdateEntity: {
          http: {
            method: "PUT",
            requestUri: "/workspaces/{workspaceId}/entities/{entityId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "entityId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              entityId: {
                location: "uri",
                locationName: "entityId"
              },
              entityName: {},
              description: {},
              componentUpdates: {
                type: "map",
                key: {},
                value: {
                  type: "structure",
                  members: {
                    updateType: {},
                    description: {},
                    componentTypeId: {},
                    propertyUpdates: {
                      shape: "S1q"
                    },
                    propertyGroupUpdates: {
                      shape: "S1t"
                    }
                  }
                }
              },
              parentEntityUpdate: {
                type: "structure",
                required: [
                  "updateType"
                ],
                members: {
                  updateType: {},
                  parentEntityId: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "updateDateTime",
              "state"
            ],
            members: {
              updateDateTime: {
                type: "timestamp"
              },
              state: {}
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        UpdatePricingPlan: {
          http: {
            requestUri: "/pricingplan",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "pricingMode"
            ],
            members: {
              pricingMode: {},
              bundleNames: {
                shape: "S3o"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "currentPricingPlan"
            ],
            members: {
              currentPricingPlan: {
                shape: "S3m"
              },
              pendingPricingPlan: {
                shape: "S3m"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        UpdateScene: {
          http: {
            method: "PUT",
            requestUri: "/workspaces/{workspaceId}/scenes/{sceneId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId",
              "sceneId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              sceneId: {
                location: "uri",
                locationName: "sceneId"
              },
              contentLocation: {},
              description: {},
              capabilities: {
                shape: "S20"
              },
              sceneMetadata: {
                shape: "S22"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "updateDateTime"
            ],
            members: {
              updateDateTime: {
                type: "timestamp"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        },
        UpdateWorkspace: {
          http: {
            method: "PUT",
            requestUri: "/workspaces/{workspaceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workspaceId"
            ],
            members: {
              workspaceId: {
                location: "uri",
                locationName: "workspaceId"
              },
              description: {},
              role: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "updateDateTime"
            ],
            members: {
              updateDateTime: {
                type: "timestamp"
              }
            }
          },
          endpoint: {
            hostPrefix: "api."
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          required: [
            "entityPropertyReference"
          ],
          members: {
            entityPropertyReference: {
              shape: "S5"
            },
            propertyValues: {
              type: "list",
              member: {
                shape: "Sb"
              }
            }
          }
        },
        S5: {
          type: "structure",
          required: [
            "propertyName"
          ],
          members: {
            componentName: {},
            externalIdProperty: {
              type: "map",
              key: {},
              value: {}
            },
            entityId: {},
            propertyName: {}
          }
        },
        Sb: {
          type: "structure",
          required: [
            "value"
          ],
          members: {
            timestamp: {
              deprecated: true,
              deprecatedMessage: "This field is deprecated and will throw an error in the future. Use time instead.",
              type: "timestamp"
            },
            value: {
              shape: "Sd"
            },
            time: {}
          }
        },
        Sd: {
          type: "structure",
          members: {
            booleanValue: {
              type: "boolean"
            },
            doubleValue: {
              type: "double"
            },
            integerValue: {
              type: "integer"
            },
            longValue: {
              type: "long"
            },
            stringValue: {},
            listValue: {
              shape: "Si"
            },
            mapValue: {
              type: "map",
              key: {},
              value: {
                shape: "Sd"
              }
            },
            relationshipValue: {
              type: "structure",
              members: {
                targetEntityId: {},
                targetComponentName: {}
              }
            },
            expression: {}
          }
        },
        Si: {
          type: "list",
          member: {
            shape: "Sd"
          }
        },
        Sv: {
          type: "map",
          key: {},
          value: {
            shape: "Sw"
          }
        },
        Sw: {
          type: "structure",
          members: {
            dataType: {
              shape: "Sx"
            },
            isRequiredInEntity: {
              type: "boolean"
            },
            isExternalId: {
              type: "boolean"
            },
            isStoredExternally: {
              type: "boolean"
            },
            isTimeSeries: {
              type: "boolean"
            },
            defaultValue: {
              shape: "Sd"
            },
            configuration: {
              shape: "S10"
            },
            displayName: {}
          }
        },
        Sx: {
          type: "structure",
          required: [
            "type"
          ],
          members: {
            type: {},
            nestedType: {
              shape: "Sx"
            },
            allowedValues: {
              shape: "Si"
            },
            unitOfMeasure: {},
            relationship: {
              type: "structure",
              members: {
                targetComponentTypeId: {},
                relationshipType: {}
              }
            }
          }
        },
        S10: {
          type: "map",
          key: {},
          value: {}
        },
        S13: {
          type: "list",
          member: {}
        },
        S14: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              requiredProperties: {
                shape: "S16"
              },
              scope: {},
              implementedBy: {
                shape: "S18"
              }
            }
          }
        },
        S16: {
          type: "list",
          member: {}
        },
        S18: {
          type: "structure",
          members: {
            lambda: {
              type: "structure",
              required: [
                "arn"
              ],
              members: {
                arn: {}
              }
            },
            isNative: {
              type: "boolean"
            }
          }
        },
        S1b: {
          type: "map",
          key: {},
          value: {}
        },
        S1e: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              groupType: {},
              propertyNames: {
                shape: "S1h"
              }
            }
          }
        },
        S1h: {
          type: "list",
          member: {}
        },
        S1q: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              definition: {
                shape: "Sw"
              },
              value: {
                shape: "Sd"
              },
              updateType: {}
            }
          }
        },
        S1t: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              groupType: {},
              propertyNames: {
                shape: "S1h"
              },
              updateType: {}
            }
          }
        },
        S20: {
          type: "list",
          member: {}
        },
        S22: {
          type: "map",
          key: {},
          value: {}
        },
        S33: {
          type: "structure",
          required: [
            "dataType",
            "isTimeSeries",
            "isRequiredInEntity",
            "isExternalId",
            "isStoredExternally",
            "isImported",
            "isFinal",
            "isInherited"
          ],
          members: {
            dataType: {
              shape: "Sx"
            },
            isTimeSeries: {
              type: "boolean"
            },
            isRequiredInEntity: {
              type: "boolean"
            },
            isExternalId: {
              type: "boolean"
            },
            isStoredExternally: {
              type: "boolean"
            },
            isImported: {
              type: "boolean"
            },
            isFinal: {
              type: "boolean"
            },
            isInherited: {
              type: "boolean"
            },
            defaultValue: {
              shape: "Sd"
            },
            configuration: {
              shape: "S10"
            },
            displayName: {}
          }
        },
        S36: {
          type: "structure",
          members: {
            state: {},
            error: {
              shape: "S37"
            }
          }
        },
        S37: {
          type: "structure",
          members: {
            code: {},
            message: {}
          }
        },
        S3m: {
          type: "structure",
          required: [
            "effectiveDateTime",
            "pricingMode",
            "updateDateTime",
            "updateReason"
          ],
          members: {
            billableEntityCount: {
              type: "long"
            },
            bundleInformation: {
              type: "structure",
              required: [
                "bundleNames"
              ],
              members: {
                bundleNames: {
                  shape: "S3o"
                },
                pricingTier: {}
              }
            },
            effectiveDateTime: {
              type: "timestamp"
            },
            pricingMode: {},
            updateDateTime: {
              type: "timestamp"
            },
            updateReason: {}
          }
        },
        S3o: {
          type: "list",
          member: {}
        },
        S3u: {
          type: "list",
          member: {}
        },
        S40: {
          type: "list",
          member: {
            type: "structure",
            members: {
              propertyName: {},
              operator: {},
              value: {
                shape: "Sd"
              }
            }
          }
        },
        S4o: {
          type: "structure",
          members: {
            state: {},
            error: {
              shape: "S37"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iottwinmaker-2021-11-29.paginators.json
var require_iottwinmaker_2021_11_29_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iottwinmaker-2021-11-29.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ExecuteQuery: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetPropertyValue: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        GetPropertyValueHistory: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListComponentTypes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListEntities: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListScenes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListSyncJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListSyncResources: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListWorkspaces: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iottwinmaker-2021-11-29.waiters2.json
var require_iottwinmaker_2021_11_29_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/iottwinmaker-2021-11-29.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {}
    };
  }
});

// node_modules/aws-sdk/clients/iottwinmaker.js
var require_iottwinmaker = __commonJS({
  "node_modules/aws-sdk/clients/iottwinmaker.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iottwinmaker"] = {};
    AWS2.IoTTwinMaker = Service.defineService("iottwinmaker", ["2021-11-29"]);
    Object.defineProperty(apiLoader.services["iottwinmaker"], "2021-11-29", {
      get: function get() {
        var model = require_iottwinmaker_2021_11_29_min();
        model.paginators = require_iottwinmaker_2021_11_29_paginators().pagination;
        model.waiters = require_iottwinmaker_2021_11_29_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IoTTwinMaker;
  }
});

// node_modules/aws-sdk/apis/workspaces-web-2020-07-08.min.json
var require_workspaces_web_2020_07_08_min = __commonJS({
  "node_modules/aws-sdk/apis/workspaces-web-2020-07-08.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-07-08",
        endpointPrefix: "workspaces-web",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon WorkSpaces Web",
        serviceId: "WorkSpaces Web",
        signatureVersion: "v4",
        signingName: "workspaces-web",
        uid: "workspaces-web-2020-07-08"
      },
      operations: {
        AssociateBrowserSettings: {
          http: {
            method: "PUT",
            requestUri: "/portals/{portalArn+}/browserSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "browserSettingsArn",
              "portalArn"
            ],
            members: {
              browserSettingsArn: {
                location: "querystring",
                locationName: "browserSettingsArn"
              },
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "browserSettingsArn",
              "portalArn"
            ],
            members: {
              browserSettingsArn: {},
              portalArn: {}
            }
          },
          idempotent: true
        },
        AssociateIpAccessSettings: {
          http: {
            method: "PUT",
            requestUri: "/portals/{portalArn+}/ipAccessSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ipAccessSettingsArn",
              "portalArn"
            ],
            members: {
              ipAccessSettingsArn: {
                location: "querystring",
                locationName: "ipAccessSettingsArn"
              },
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ipAccessSettingsArn",
              "portalArn"
            ],
            members: {
              ipAccessSettingsArn: {},
              portalArn: {}
            }
          },
          idempotent: true
        },
        AssociateNetworkSettings: {
          http: {
            method: "PUT",
            requestUri: "/portals/{portalArn+}/networkSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkSettingsArn",
              "portalArn"
            ],
            members: {
              networkSettingsArn: {
                location: "querystring",
                locationName: "networkSettingsArn"
              },
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "networkSettingsArn",
              "portalArn"
            ],
            members: {
              networkSettingsArn: {},
              portalArn: {}
            }
          },
          idempotent: true
        },
        AssociateTrustStore: {
          http: {
            method: "PUT",
            requestUri: "/portals/{portalArn+}/trustStores",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "portalArn",
              "trustStoreArn"
            ],
            members: {
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              },
              trustStoreArn: {
                location: "querystring",
                locationName: "trustStoreArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "portalArn",
              "trustStoreArn"
            ],
            members: {
              portalArn: {},
              trustStoreArn: {}
            }
          },
          idempotent: true
        },
        AssociateUserAccessLoggingSettings: {
          http: {
            method: "PUT",
            requestUri: "/portals/{portalArn+}/userAccessLoggingSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "portalArn",
              "userAccessLoggingSettingsArn"
            ],
            members: {
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              },
              userAccessLoggingSettingsArn: {
                location: "querystring",
                locationName: "userAccessLoggingSettingsArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "portalArn",
              "userAccessLoggingSettingsArn"
            ],
            members: {
              portalArn: {},
              userAccessLoggingSettingsArn: {}
            }
          },
          idempotent: true
        },
        AssociateUserSettings: {
          http: {
            method: "PUT",
            requestUri: "/portals/{portalArn+}/userSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "portalArn",
              "userSettingsArn"
            ],
            members: {
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              },
              userSettingsArn: {
                location: "querystring",
                locationName: "userSettingsArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "portalArn",
              "userSettingsArn"
            ],
            members: {
              portalArn: {},
              userSettingsArn: {}
            }
          },
          idempotent: true
        },
        CreateBrowserSettings: {
          http: {
            requestUri: "/browserSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "browserPolicy"
            ],
            members: {
              additionalEncryptionContext: {
                shape: "Sf"
              },
              browserPolicy: {
                shape: "Sh"
              },
              clientToken: {
                idempotencyToken: true
              },
              customerManagedKey: {},
              tags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "browserSettingsArn"
            ],
            members: {
              browserSettingsArn: {}
            }
          }
        },
        CreateIdentityProvider: {
          http: {
            requestUri: "/identityProviders",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "identityProviderDetails",
              "identityProviderName",
              "identityProviderType",
              "portalArn"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              identityProviderDetails: {
                shape: "Sq"
              },
              identityProviderName: {
                shape: "Sr"
              },
              identityProviderType: {},
              portalArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "identityProviderArn"
            ],
            members: {
              identityProviderArn: {}
            }
          }
        },
        CreateIpAccessSettings: {
          http: {
            requestUri: "/ipAccessSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ipRules"
            ],
            members: {
              additionalEncryptionContext: {
                shape: "Sf"
              },
              clientToken: {
                idempotencyToken: true
              },
              customerManagedKey: {},
              description: {
                shape: "Sv"
              },
              displayName: {
                shape: "Sw"
              },
              ipRules: {
                shape: "Sx"
              },
              tags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ipAccessSettingsArn"
            ],
            members: {
              ipAccessSettingsArn: {}
            }
          }
        },
        CreateNetworkSettings: {
          http: {
            requestUri: "/networkSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "securityGroupIds",
              "subnetIds",
              "vpcId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              securityGroupIds: {
                shape: "S12"
              },
              subnetIds: {
                shape: "S14"
              },
              tags: {
                shape: "Sk"
              },
              vpcId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "networkSettingsArn"
            ],
            members: {
              networkSettingsArn: {}
            }
          }
        },
        CreatePortal: {
          http: {
            requestUri: "/portals",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              additionalEncryptionContext: {
                shape: "Sf"
              },
              authenticationType: {},
              clientToken: {
                idempotencyToken: true
              },
              customerManagedKey: {},
              displayName: {
                shape: "Sw"
              },
              tags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "portalArn",
              "portalEndpoint"
            ],
            members: {
              portalArn: {},
              portalEndpoint: {}
            }
          }
        },
        CreateTrustStore: {
          http: {
            requestUri: "/trustStores",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "certificateList"
            ],
            members: {
              certificateList: {
                shape: "S1d"
              },
              clientToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "trustStoreArn"
            ],
            members: {
              trustStoreArn: {}
            }
          }
        },
        CreateUserAccessLoggingSettings: {
          http: {
            requestUri: "/userAccessLoggingSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "kinesisStreamArn"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              kinesisStreamArn: {},
              tags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "userAccessLoggingSettingsArn"
            ],
            members: {
              userAccessLoggingSettingsArn: {}
            }
          }
        },
        CreateUserSettings: {
          http: {
            requestUri: "/userSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "copyAllowed",
              "downloadAllowed",
              "pasteAllowed",
              "printAllowed",
              "uploadAllowed"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              copyAllowed: {},
              disconnectTimeoutInMinutes: {
                type: "integer"
              },
              downloadAllowed: {},
              idleDisconnectTimeoutInMinutes: {
                type: "integer"
              },
              pasteAllowed: {},
              printAllowed: {},
              tags: {
                shape: "Sk"
              },
              uploadAllowed: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "userSettingsArn"
            ],
            members: {
              userSettingsArn: {}
            }
          }
        },
        DeleteBrowserSettings: {
          http: {
            method: "DELETE",
            requestUri: "/browserSettings/{browserSettingsArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "browserSettingsArn"
            ],
            members: {
              browserSettingsArn: {
                location: "uri",
                locationName: "browserSettingsArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteIdentityProvider: {
          http: {
            method: "DELETE",
            requestUri: "/identityProviders/{identityProviderArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "identityProviderArn"
            ],
            members: {
              identityProviderArn: {
                location: "uri",
                locationName: "identityProviderArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteIpAccessSettings: {
          http: {
            method: "DELETE",
            requestUri: "/ipAccessSettings/{ipAccessSettingsArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ipAccessSettingsArn"
            ],
            members: {
              ipAccessSettingsArn: {
                location: "uri",
                locationName: "ipAccessSettingsArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteNetworkSettings: {
          http: {
            method: "DELETE",
            requestUri: "/networkSettings/{networkSettingsArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkSettingsArn"
            ],
            members: {
              networkSettingsArn: {
                location: "uri",
                locationName: "networkSettingsArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeletePortal: {
          http: {
            method: "DELETE",
            requestUri: "/portals/{portalArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "portalArn"
            ],
            members: {
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteTrustStore: {
          http: {
            method: "DELETE",
            requestUri: "/trustStores/{trustStoreArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "trustStoreArn"
            ],
            members: {
              trustStoreArn: {
                location: "uri",
                locationName: "trustStoreArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteUserAccessLoggingSettings: {
          http: {
            method: "DELETE",
            requestUri: "/userAccessLoggingSettings/{userAccessLoggingSettingsArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "userAccessLoggingSettingsArn"
            ],
            members: {
              userAccessLoggingSettingsArn: {
                location: "uri",
                locationName: "userAccessLoggingSettingsArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteUserSettings: {
          http: {
            method: "DELETE",
            requestUri: "/userSettings/{userSettingsArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "userSettingsArn"
            ],
            members: {
              userSettingsArn: {
                location: "uri",
                locationName: "userSettingsArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DisassociateBrowserSettings: {
          http: {
            method: "DELETE",
            requestUri: "/portals/{portalArn+}/browserSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "portalArn"
            ],
            members: {
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DisassociateIpAccessSettings: {
          http: {
            method: "DELETE",
            requestUri: "/portals/{portalArn+}/ipAccessSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "portalArn"
            ],
            members: {
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DisassociateNetworkSettings: {
          http: {
            method: "DELETE",
            requestUri: "/portals/{portalArn+}/networkSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "portalArn"
            ],
            members: {
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DisassociateTrustStore: {
          http: {
            method: "DELETE",
            requestUri: "/portals/{portalArn+}/trustStores",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "portalArn"
            ],
            members: {
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DisassociateUserAccessLoggingSettings: {
          http: {
            method: "DELETE",
            requestUri: "/portals/{portalArn+}/userAccessLoggingSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "portalArn"
            ],
            members: {
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DisassociateUserSettings: {
          http: {
            method: "DELETE",
            requestUri: "/portals/{portalArn+}/userSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "portalArn"
            ],
            members: {
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetBrowserSettings: {
          http: {
            method: "GET",
            requestUri: "/browserSettings/{browserSettingsArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "browserSettingsArn"
            ],
            members: {
              browserSettingsArn: {
                location: "uri",
                locationName: "browserSettingsArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              browserSettings: {
                shape: "S2i"
              }
            }
          }
        },
        GetIdentityProvider: {
          http: {
            method: "GET",
            requestUri: "/identityProviders/{identityProviderArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "identityProviderArn"
            ],
            members: {
              identityProviderArn: {
                location: "uri",
                locationName: "identityProviderArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              identityProvider: {
                shape: "S2m"
              }
            }
          }
        },
        GetIpAccessSettings: {
          http: {
            method: "GET",
            requestUri: "/ipAccessSettings/{ipAccessSettingsArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ipAccessSettingsArn"
            ],
            members: {
              ipAccessSettingsArn: {
                location: "uri",
                locationName: "ipAccessSettingsArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ipAccessSettings: {
                shape: "S2p"
              }
            }
          }
        },
        GetNetworkSettings: {
          http: {
            method: "GET",
            requestUri: "/networkSettings/{networkSettingsArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkSettingsArn"
            ],
            members: {
              networkSettingsArn: {
                location: "uri",
                locationName: "networkSettingsArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              networkSettings: {
                shape: "S2t"
              }
            }
          }
        },
        GetPortal: {
          http: {
            method: "GET",
            requestUri: "/portals/{portalArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "portalArn"
            ],
            members: {
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              portal: {
                shape: "S2w"
              }
            }
          }
        },
        GetPortalServiceProviderMetadata: {
          http: {
            method: "GET",
            requestUri: "/portalIdp/{portalArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "portalArn"
            ],
            members: {
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "portalArn"
            ],
            members: {
              portalArn: {},
              serviceProviderSamlMetadata: {}
            }
          }
        },
        GetTrustStore: {
          http: {
            method: "GET",
            requestUri: "/trustStores/{trustStoreArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "trustStoreArn"
            ],
            members: {
              trustStoreArn: {
                location: "uri",
                locationName: "trustStoreArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              trustStore: {
                type: "structure",
                members: {
                  associatedPortalArns: {
                    shape: "S2j"
                  },
                  trustStoreArn: {}
                }
              }
            }
          }
        },
        GetTrustStoreCertificate: {
          http: {
            method: "GET",
            requestUri: "/trustStores/{trustStoreArn+}/certificate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "thumbprint",
              "trustStoreArn"
            ],
            members: {
              thumbprint: {
                location: "querystring",
                locationName: "thumbprint"
              },
              trustStoreArn: {
                location: "uri",
                locationName: "trustStoreArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              certificate: {
                type: "structure",
                members: {
                  body: {
                    type: "blob"
                  },
                  issuer: {},
                  notValidAfter: {
                    type: "timestamp"
                  },
                  notValidBefore: {
                    type: "timestamp"
                  },
                  subject: {},
                  thumbprint: {}
                }
              },
              trustStoreArn: {}
            }
          }
        },
        GetUserAccessLoggingSettings: {
          http: {
            method: "GET",
            requestUri: "/userAccessLoggingSettings/{userAccessLoggingSettingsArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "userAccessLoggingSettingsArn"
            ],
            members: {
              userAccessLoggingSettingsArn: {
                location: "uri",
                locationName: "userAccessLoggingSettingsArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              userAccessLoggingSettings: {
                shape: "S3e"
              }
            }
          }
        },
        GetUserSettings: {
          http: {
            method: "GET",
            requestUri: "/userSettings/{userSettingsArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "userSettingsArn"
            ],
            members: {
              userSettingsArn: {
                location: "uri",
                locationName: "userSettingsArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              userSettings: {
                shape: "S3h"
              }
            }
          }
        },
        ListBrowserSettings: {
          http: {
            method: "GET",
            requestUri: "/browserSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              browserSettings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    browserSettingsArn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListIdentityProviders: {
          http: {
            method: "GET",
            requestUri: "/portals/{portalArn+}/identityProviders",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "portalArn"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              identityProviders: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    identityProviderArn: {},
                    identityProviderName: {
                      shape: "Sr"
                    },
                    identityProviderType: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListIpAccessSettings: {
          http: {
            method: "GET",
            requestUri: "/ipAccessSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ipAccessSettings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    creationDate: {
                      type: "timestamp"
                    },
                    description: {
                      shape: "Sv"
                    },
                    displayName: {
                      shape: "Sw"
                    },
                    ipAccessSettingsArn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListNetworkSettings: {
          http: {
            method: "GET",
            requestUri: "/networkSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              networkSettings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    networkSettingsArn: {},
                    vpcId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListPortals: {
          http: {
            method: "GET",
            requestUri: "/portals",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              portals: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    authenticationType: {},
                    browserSettingsArn: {},
                    browserType: {},
                    creationDate: {
                      type: "timestamp"
                    },
                    displayName: {
                      shape: "Sw"
                    },
                    ipAccessSettingsArn: {},
                    networkSettingsArn: {},
                    portalArn: {},
                    portalEndpoint: {},
                    portalStatus: {},
                    rendererType: {},
                    trustStoreArn: {},
                    userAccessLoggingSettingsArn: {},
                    userSettingsArn: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sk"
              }
            }
          }
        },
        ListTrustStoreCertificates: {
          http: {
            method: "GET",
            requestUri: "/trustStores/{trustStoreArn+}/certificates",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "trustStoreArn"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              trustStoreArn: {
                location: "uri",
                locationName: "trustStoreArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              certificateList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    issuer: {},
                    notValidAfter: {
                      type: "timestamp"
                    },
                    notValidBefore: {
                      type: "timestamp"
                    },
                    subject: {},
                    thumbprint: {}
                  }
                }
              },
              nextToken: {},
              trustStoreArn: {}
            }
          }
        },
        ListTrustStores: {
          http: {
            method: "GET",
            requestUri: "/trustStores",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              trustStores: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    trustStoreArn: {}
                  }
                }
              }
            }
          }
        },
        ListUserAccessLoggingSettings: {
          http: {
            method: "GET",
            requestUri: "/userAccessLoggingSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              userAccessLoggingSettings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    kinesisStreamArn: {},
                    userAccessLoggingSettingsArn: {}
                  }
                }
              }
            }
          }
        },
        ListUserSettings: {
          http: {
            method: "GET",
            requestUri: "/userSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              userSettings: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    copyAllowed: {},
                    disconnectTimeoutInMinutes: {
                      type: "integer"
                    },
                    downloadAllowed: {},
                    idleDisconnectTimeoutInMinutes: {
                      type: "integer"
                    },
                    pasteAllowed: {},
                    printAllowed: {},
                    uploadAllowed: {},
                    userSettingsArn: {}
                  }
                }
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {
                  shape: "Sm"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateBrowserSettings: {
          http: {
            method: "PATCH",
            requestUri: "/browserSettings/{browserSettingsArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "browserSettingsArn"
            ],
            members: {
              browserPolicy: {
                shape: "Sh"
              },
              browserSettingsArn: {
                location: "uri",
                locationName: "browserSettingsArn"
              },
              clientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "browserSettings"
            ],
            members: {
              browserSettings: {
                shape: "S2i"
              }
            }
          }
        },
        UpdateIdentityProvider: {
          http: {
            method: "PATCH",
            requestUri: "/identityProviders/{identityProviderArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "identityProviderArn"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              identityProviderArn: {
                location: "uri",
                locationName: "identityProviderArn"
              },
              identityProviderDetails: {
                shape: "Sq"
              },
              identityProviderName: {
                shape: "Sr"
              },
              identityProviderType: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "identityProvider"
            ],
            members: {
              identityProvider: {
                shape: "S2m"
              }
            }
          }
        },
        UpdateIpAccessSettings: {
          http: {
            method: "PATCH",
            requestUri: "/ipAccessSettings/{ipAccessSettingsArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ipAccessSettingsArn"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              description: {
                shape: "Sv"
              },
              displayName: {
                shape: "Sw"
              },
              ipAccessSettingsArn: {
                location: "uri",
                locationName: "ipAccessSettingsArn"
              },
              ipRules: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ipAccessSettings"
            ],
            members: {
              ipAccessSettings: {
                shape: "S2p"
              }
            }
          }
        },
        UpdateNetworkSettings: {
          http: {
            method: "PATCH",
            requestUri: "/networkSettings/{networkSettingsArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkSettingsArn"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              networkSettingsArn: {
                location: "uri",
                locationName: "networkSettingsArn"
              },
              securityGroupIds: {
                shape: "S12"
              },
              subnetIds: {
                shape: "S14"
              },
              vpcId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "networkSettings"
            ],
            members: {
              networkSettings: {
                shape: "S2t"
              }
            }
          }
        },
        UpdatePortal: {
          http: {
            method: "PUT",
            requestUri: "/portals/{portalArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "portalArn"
            ],
            members: {
              authenticationType: {},
              displayName: {
                shape: "Sw"
              },
              portalArn: {
                location: "uri",
                locationName: "portalArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              portal: {
                shape: "S2w"
              }
            }
          },
          idempotent: true
        },
        UpdateTrustStore: {
          http: {
            method: "PATCH",
            requestUri: "/trustStores/{trustStoreArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "trustStoreArn"
            ],
            members: {
              certificatesToAdd: {
                shape: "S1d"
              },
              certificatesToDelete: {
                type: "list",
                member: {}
              },
              clientToken: {
                idempotencyToken: true
              },
              trustStoreArn: {
                location: "uri",
                locationName: "trustStoreArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "trustStoreArn"
            ],
            members: {
              trustStoreArn: {}
            }
          }
        },
        UpdateUserAccessLoggingSettings: {
          http: {
            method: "PATCH",
            requestUri: "/userAccessLoggingSettings/{userAccessLoggingSettingsArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "userAccessLoggingSettingsArn"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              kinesisStreamArn: {},
              userAccessLoggingSettingsArn: {
                location: "uri",
                locationName: "userAccessLoggingSettingsArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "userAccessLoggingSettings"
            ],
            members: {
              userAccessLoggingSettings: {
                shape: "S3e"
              }
            }
          }
        },
        UpdateUserSettings: {
          http: {
            method: "PATCH",
            requestUri: "/userSettings/{userSettingsArn+}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "userSettingsArn"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              copyAllowed: {},
              disconnectTimeoutInMinutes: {
                type: "integer"
              },
              downloadAllowed: {},
              idleDisconnectTimeoutInMinutes: {
                type: "integer"
              },
              pasteAllowed: {},
              printAllowed: {},
              uploadAllowed: {},
              userSettingsArn: {
                location: "uri",
                locationName: "userSettingsArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "userSettings"
            ],
            members: {
              userSettings: {
                shape: "S3h"
              }
            }
          }
        }
      },
      shapes: {
        Sf: {
          type: "map",
          key: {},
          value: {}
        },
        Sh: {
          type: "string",
          sensitive: true
        },
        Sk: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {
                shape: "Sm"
              },
              Value: {
                type: "string",
                sensitive: true
              }
            },
            sensitive: true
          }
        },
        Sm: {
          type: "string",
          sensitive: true
        },
        Sq: {
          type: "map",
          key: {},
          value: {},
          sensitive: true
        },
        Sr: {
          type: "string",
          sensitive: true
        },
        Sv: {
          type: "string",
          sensitive: true
        },
        Sw: {
          type: "string",
          sensitive: true
        },
        Sx: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ipRange"
            ],
            members: {
              description: {
                shape: "Sv"
              },
              ipRange: {
                type: "string",
                sensitive: true
              }
            }
          },
          sensitive: true
        },
        S12: {
          type: "list",
          member: {}
        },
        S14: {
          type: "list",
          member: {}
        },
        S1d: {
          type: "list",
          member: {
            type: "blob"
          }
        },
        S2i: {
          type: "structure",
          required: [
            "browserSettingsArn"
          ],
          members: {
            associatedPortalArns: {
              shape: "S2j"
            },
            browserPolicy: {
              shape: "Sh"
            },
            browserSettingsArn: {}
          }
        },
        S2j: {
          type: "list",
          member: {}
        },
        S2m: {
          type: "structure",
          required: [
            "identityProviderArn"
          ],
          members: {
            identityProviderArn: {},
            identityProviderDetails: {
              shape: "Sq"
            },
            identityProviderName: {
              shape: "Sr"
            },
            identityProviderType: {}
          }
        },
        S2p: {
          type: "structure",
          required: [
            "ipAccessSettingsArn"
          ],
          members: {
            associatedPortalArns: {
              shape: "S2j"
            },
            creationDate: {
              type: "timestamp"
            },
            description: {
              shape: "Sv"
            },
            displayName: {
              shape: "Sw"
            },
            ipAccessSettingsArn: {},
            ipRules: {
              shape: "Sx"
            }
          }
        },
        S2t: {
          type: "structure",
          required: [
            "networkSettingsArn"
          ],
          members: {
            associatedPortalArns: {
              shape: "S2j"
            },
            networkSettingsArn: {},
            securityGroupIds: {
              shape: "S12"
            },
            subnetIds: {
              shape: "S14"
            },
            vpcId: {}
          }
        },
        S2w: {
          type: "structure",
          members: {
            authenticationType: {},
            browserSettingsArn: {},
            browserType: {},
            creationDate: {
              type: "timestamp"
            },
            displayName: {
              shape: "Sw"
            },
            ipAccessSettingsArn: {},
            networkSettingsArn: {},
            portalArn: {},
            portalEndpoint: {},
            portalStatus: {},
            rendererType: {},
            statusReason: {},
            trustStoreArn: {},
            userAccessLoggingSettingsArn: {},
            userSettingsArn: {}
          }
        },
        S3e: {
          type: "structure",
          required: [
            "userAccessLoggingSettingsArn"
          ],
          members: {
            associatedPortalArns: {
              shape: "S2j"
            },
            kinesisStreamArn: {},
            userAccessLoggingSettingsArn: {}
          }
        },
        S3h: {
          type: "structure",
          required: [
            "userSettingsArn"
          ],
          members: {
            associatedPortalArns: {
              shape: "S2j"
            },
            copyAllowed: {},
            disconnectTimeoutInMinutes: {
              type: "integer"
            },
            downloadAllowed: {},
            idleDisconnectTimeoutInMinutes: {
              type: "integer"
            },
            pasteAllowed: {},
            printAllowed: {},
            uploadAllowed: {},
            userSettingsArn: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/workspaces-web-2020-07-08.paginators.json
var require_workspaces_web_2020_07_08_paginators = __commonJS({
  "node_modules/aws-sdk/apis/workspaces-web-2020-07-08.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListBrowserSettings: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListIdentityProviders: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListIpAccessSettings: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListNetworkSettings: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListPortals: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListTrustStoreCertificates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListTrustStores: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListUserAccessLoggingSettings: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListUserSettings: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/workspacesweb.js
var require_workspacesweb = __commonJS({
  "node_modules/aws-sdk/clients/workspacesweb.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["workspacesweb"] = {};
    AWS2.WorkSpacesWeb = Service.defineService("workspacesweb", ["2020-07-08"]);
    Object.defineProperty(apiLoader.services["workspacesweb"], "2020-07-08", {
      get: function get() {
        var model = require_workspaces_web_2020_07_08_min();
        model.paginators = require_workspaces_web_2020_07_08_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.WorkSpacesWeb;
  }
});

// node_modules/aws-sdk/apis/amplifyuibuilder-2021-08-11.min.json
var require_amplifyuibuilder_2021_08_11_min = __commonJS({
  "node_modules/aws-sdk/apis/amplifyuibuilder-2021-08-11.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-08-11",
        endpointPrefix: "amplifyuibuilder",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Amplify UI Builder",
        serviceId: "AmplifyUIBuilder",
        signatureVersion: "v4",
        signingName: "amplifyuibuilder",
        uid: "amplifyuibuilder-2021-08-11"
      },
      operations: {
        CreateComponent: {
          http: {
            requestUri: "/app/{appId}/environment/{environmentName}/components",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName",
              "componentToCreate"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              },
              componentToCreate: {
                type: "structure",
                required: [
                  "name",
                  "componentType",
                  "properties",
                  "variants",
                  "overrides",
                  "bindingProperties"
                ],
                members: {
                  name: {},
                  sourceId: {},
                  componentType: {},
                  properties: {
                    shape: "S6"
                  },
                  children: {
                    shape: "Se"
                  },
                  variants: {
                    shape: "Sk"
                  },
                  overrides: {
                    shape: "Sn"
                  },
                  bindingProperties: {
                    shape: "Sp"
                  },
                  collectionProperties: {
                    shape: "Sv"
                  },
                  tags: {
                    shape: "S11"
                  },
                  events: {
                    shape: "Sg"
                  },
                  schemaVersion: {}
                }
              }
            },
            payload: "componentToCreate"
          },
          output: {
            type: "structure",
            members: {
              entity: {
                shape: "S15"
              }
            },
            payload: "entity"
          },
          idempotent: true
        },
        CreateForm: {
          http: {
            requestUri: "/app/{appId}/environment/{environmentName}/forms",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName",
              "formToCreate"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              },
              formToCreate: {
                type: "structure",
                required: [
                  "name",
                  "dataType",
                  "formActionType",
                  "fields",
                  "style",
                  "sectionalElements",
                  "schemaVersion"
                ],
                members: {
                  name: {},
                  dataType: {
                    shape: "S1b"
                  },
                  formActionType: {},
                  fields: {
                    shape: "S1e"
                  },
                  style: {
                    shape: "S20"
                  },
                  sectionalElements: {
                    shape: "S22"
                  },
                  schemaVersion: {},
                  cta: {
                    shape: "S24"
                  },
                  tags: {
                    shape: "S11"
                  },
                  labelDecorator: {}
                }
              }
            },
            payload: "formToCreate"
          },
          output: {
            type: "structure",
            members: {
              entity: {
                shape: "S29"
              }
            },
            payload: "entity"
          },
          idempotent: true
        },
        CreateTheme: {
          http: {
            requestUri: "/app/{appId}/environment/{environmentName}/themes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName",
              "themeToCreate"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              },
              themeToCreate: {
                type: "structure",
                required: [
                  "name",
                  "values"
                ],
                members: {
                  name: {},
                  values: {
                    shape: "S2d"
                  },
                  overrides: {
                    shape: "S2d"
                  },
                  tags: {
                    shape: "S11"
                  }
                }
              }
            },
            payload: "themeToCreate"
          },
          output: {
            type: "structure",
            members: {
              entity: {
                shape: "S2h"
              }
            },
            payload: "entity"
          },
          idempotent: true
        },
        DeleteComponent: {
          http: {
            method: "DELETE",
            requestUri: "/app/{appId}/environment/{environmentName}/components/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName",
              "id"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          idempotent: true
        },
        DeleteForm: {
          http: {
            method: "DELETE",
            requestUri: "/app/{appId}/environment/{environmentName}/forms/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName",
              "id"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          idempotent: true
        },
        DeleteTheme: {
          http: {
            method: "DELETE",
            requestUri: "/app/{appId}/environment/{environmentName}/themes/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName",
              "id"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          idempotent: true
        },
        ExchangeCodeForToken: {
          http: {
            requestUri: "/tokens/{provider}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "provider",
              "request"
            ],
            members: {
              provider: {
                location: "uri",
                locationName: "provider"
              },
              request: {
                type: "structure",
                required: [
                  "code",
                  "redirectUri"
                ],
                members: {
                  code: {
                    shape: "S2o"
                  },
                  redirectUri: {},
                  clientId: {
                    shape: "S2o"
                  }
                }
              }
            },
            payload: "request"
          },
          output: {
            type: "structure",
            required: [
              "accessToken",
              "expiresIn",
              "refreshToken"
            ],
            members: {
              accessToken: {
                shape: "S2o"
              },
              expiresIn: {
                type: "integer"
              },
              refreshToken: {
                shape: "S2o"
              }
            }
          }
        },
        ExportComponents: {
          http: {
            method: "GET",
            requestUri: "/export/app/{appId}/environment/{environmentName}/components",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "entities"
            ],
            members: {
              entities: {
                type: "list",
                member: {
                  shape: "S15"
                }
              },
              nextToken: {}
            }
          }
        },
        ExportForms: {
          http: {
            method: "GET",
            requestUri: "/export/app/{appId}/environment/{environmentName}/forms",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "entities"
            ],
            members: {
              entities: {
                type: "list",
                member: {
                  shape: "S29"
                }
              },
              nextToken: {}
            }
          }
        },
        ExportThemes: {
          http: {
            method: "GET",
            requestUri: "/export/app/{appId}/environment/{environmentName}/themes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "entities"
            ],
            members: {
              entities: {
                type: "list",
                member: {
                  shape: "S2h"
                }
              },
              nextToken: {}
            }
          }
        },
        GetCodegenJob: {
          http: {
            method: "GET",
            requestUri: "/app/{appId}/environment/{environmentName}/codegen-jobs/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName",
              "id"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              job: {
                shape: "S32"
              }
            },
            payload: "job"
          }
        },
        GetComponent: {
          http: {
            method: "GET",
            requestUri: "/app/{appId}/environment/{environmentName}/components/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName",
              "id"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              component: {
                shape: "S15"
              }
            },
            payload: "component"
          }
        },
        GetForm: {
          http: {
            method: "GET",
            requestUri: "/app/{appId}/environment/{environmentName}/forms/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName",
              "id"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              form: {
                shape: "S29"
              }
            },
            payload: "form"
          }
        },
        GetMetadata: {
          http: {
            method: "GET",
            requestUri: "/app/{appId}/environment/{environmentName}/metadata",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "features"
            ],
            members: {
              features: {
                type: "map",
                key: {},
                value: {}
              }
            }
          }
        },
        GetTheme: {
          http: {
            method: "GET",
            requestUri: "/app/{appId}/environment/{environmentName}/themes/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName",
              "id"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              theme: {
                shape: "S2h"
              }
            },
            payload: "theme"
          }
        },
        ListCodegenJobs: {
          http: {
            method: "GET",
            requestUri: "/app/{appId}/environment/{environmentName}/codegen-jobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "entities"
            ],
            members: {
              entities: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "appId",
                    "environmentName",
                    "id"
                  ],
                  members: {
                    appId: {},
                    environmentName: {},
                    id: {},
                    createdAt: {
                      shape: "S17"
                    },
                    modifiedAt: {
                      shape: "S17"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListComponents: {
          http: {
            method: "GET",
            requestUri: "/app/{appId}/environment/{environmentName}/components",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "entities"
            ],
            members: {
              entities: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "appId",
                    "environmentName",
                    "id",
                    "name",
                    "componentType"
                  ],
                  members: {
                    appId: {},
                    environmentName: {},
                    id: {},
                    name: {},
                    componentType: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListForms: {
          http: {
            method: "GET",
            requestUri: "/app/{appId}/environment/{environmentName}/forms",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "entities"
            ],
            members: {
              entities: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "appId",
                    "dataType",
                    "environmentName",
                    "formActionType",
                    "id",
                    "name"
                  ],
                  members: {
                    appId: {},
                    dataType: {
                      shape: "S1b"
                    },
                    environmentName: {},
                    formActionType: {},
                    id: {},
                    name: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListThemes: {
          http: {
            method: "GET",
            requestUri: "/app/{appId}/environment/{environmentName}/themes",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "entities"
            ],
            members: {
              entities: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "appId",
                    "environmentName",
                    "id",
                    "name"
                  ],
                  members: {
                    appId: {},
                    environmentName: {},
                    id: {},
                    name: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        PutMetadataFlag: {
          http: {
            method: "PUT",
            requestUri: "/app/{appId}/environment/{environmentName}/metadata/features/{featureName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName",
              "featureName",
              "body"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              featureName: {
                location: "uri",
                locationName: "featureName"
              },
              body: {
                type: "structure",
                required: [
                  "newValue"
                ],
                members: {
                  newValue: {}
                }
              }
            },
            payload: "body"
          }
        },
        RefreshToken: {
          http: {
            requestUri: "/tokens/{provider}/refresh",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "provider",
              "refreshTokenBody"
            ],
            members: {
              provider: {
                location: "uri",
                locationName: "provider"
              },
              refreshTokenBody: {
                type: "structure",
                required: [
                  "token"
                ],
                members: {
                  token: {
                    shape: "S2o"
                  },
                  clientId: {
                    shape: "S2o"
                  }
                }
              }
            },
            payload: "refreshTokenBody"
          },
          output: {
            type: "structure",
            required: [
              "accessToken",
              "expiresIn"
            ],
            members: {
              accessToken: {
                shape: "S2o"
              },
              expiresIn: {
                type: "integer"
              }
            }
          }
        },
        StartCodegenJob: {
          http: {
            requestUri: "/app/{appId}/environment/{environmentName}/codegen-jobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName",
              "codegenJobToCreate"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              },
              codegenJobToCreate: {
                type: "structure",
                required: [
                  "renderConfig"
                ],
                members: {
                  renderConfig: {
                    shape: "S33"
                  },
                  genericDataSchema: {
                    shape: "S38"
                  },
                  autoGenerateForms: {
                    type: "boolean"
                  },
                  features: {
                    shape: "S3q"
                  },
                  tags: {
                    shape: "S11"
                  }
                }
              }
            },
            payload: "codegenJobToCreate"
          },
          output: {
            type: "structure",
            members: {
              entity: {
                shape: "S32"
              }
            },
            payload: "entity"
          }
        },
        UpdateComponent: {
          http: {
            method: "PATCH",
            requestUri: "/app/{appId}/environment/{environmentName}/components/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName",
              "id",
              "updatedComponent"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              id: {
                location: "uri",
                locationName: "id"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              },
              updatedComponent: {
                type: "structure",
                members: {
                  id: {},
                  name: {},
                  sourceId: {},
                  componentType: {},
                  properties: {
                    shape: "S6"
                  },
                  children: {
                    shape: "Se"
                  },
                  variants: {
                    shape: "Sk"
                  },
                  overrides: {
                    shape: "Sn"
                  },
                  bindingProperties: {
                    shape: "Sp"
                  },
                  collectionProperties: {
                    shape: "Sv"
                  },
                  events: {
                    shape: "Sg"
                  },
                  schemaVersion: {}
                }
              }
            },
            payload: "updatedComponent"
          },
          output: {
            type: "structure",
            members: {
              entity: {
                shape: "S15"
              }
            },
            payload: "entity"
          },
          idempotent: true
        },
        UpdateForm: {
          http: {
            method: "PATCH",
            requestUri: "/app/{appId}/environment/{environmentName}/forms/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName",
              "id",
              "updatedForm"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              id: {
                location: "uri",
                locationName: "id"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              },
              updatedForm: {
                type: "structure",
                members: {
                  name: {},
                  dataType: {
                    shape: "S1b"
                  },
                  formActionType: {},
                  fields: {
                    shape: "S1e"
                  },
                  style: {
                    shape: "S20"
                  },
                  sectionalElements: {
                    shape: "S22"
                  },
                  schemaVersion: {},
                  cta: {
                    shape: "S24"
                  },
                  labelDecorator: {}
                }
              }
            },
            payload: "updatedForm"
          },
          output: {
            type: "structure",
            members: {
              entity: {
                shape: "S29"
              }
            },
            payload: "entity"
          },
          idempotent: true
        },
        UpdateTheme: {
          http: {
            method: "PATCH",
            requestUri: "/app/{appId}/environment/{environmentName}/themes/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appId",
              "environmentName",
              "id",
              "updatedTheme"
            ],
            members: {
              appId: {
                location: "uri",
                locationName: "appId"
              },
              environmentName: {
                location: "uri",
                locationName: "environmentName"
              },
              id: {
                location: "uri",
                locationName: "id"
              },
              clientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              },
              updatedTheme: {
                type: "structure",
                required: [
                  "values"
                ],
                members: {
                  id: {},
                  name: {},
                  values: {
                    shape: "S2d"
                  },
                  overrides: {
                    shape: "S2d"
                  }
                }
              }
            },
            payload: "updatedTheme"
          },
          output: {
            type: "structure",
            members: {
              entity: {
                shape: "S2h"
              }
            },
            payload: "entity"
          },
          idempotent: true
        }
      },
      shapes: {
        S6: {
          type: "map",
          key: {},
          value: {
            shape: "S7"
          }
        },
        S7: {
          type: "structure",
          members: {
            value: {},
            bindingProperties: {
              shape: "S8"
            },
            collectionBindingProperties: {
              shape: "S8"
            },
            defaultValue: {},
            model: {},
            bindings: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                required: [
                  "element",
                  "property"
                ],
                members: {
                  element: {},
                  property: {}
                }
              }
            },
            event: {},
            userAttribute: {},
            concat: {
              type: "list",
              member: {
                shape: "S7"
              }
            },
            condition: {
              type: "structure",
              members: {
                property: {},
                field: {},
                operator: {},
                operand: {},
                then: {
                  shape: "S7"
                },
                else: {
                  shape: "S7"
                },
                operandType: {}
              }
            },
            configured: {
              type: "boolean"
            },
            type: {},
            importedValue: {},
            componentName: {},
            property: {}
          }
        },
        S8: {
          type: "structure",
          required: [
            "property"
          ],
          members: {
            property: {},
            field: {}
          }
        },
        Se: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "componentType",
              "name",
              "properties"
            ],
            members: {
              componentType: {},
              name: {},
              properties: {
                shape: "S6"
              },
              children: {
                shape: "Se"
              },
              events: {
                shape: "Sg"
              },
              sourceId: {}
            }
          }
        },
        Sg: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              action: {},
              parameters: {
                type: "structure",
                members: {
                  type: {
                    shape: "S7"
                  },
                  url: {
                    shape: "S7"
                  },
                  anchor: {
                    shape: "S7"
                  },
                  target: {
                    shape: "S7"
                  },
                  global: {
                    shape: "S7"
                  },
                  model: {},
                  id: {
                    shape: "S7"
                  },
                  fields: {
                    shape: "S6"
                  },
                  state: {
                    type: "structure",
                    required: [
                      "componentName",
                      "property",
                      "set"
                    ],
                    members: {
                      componentName: {},
                      property: {},
                      set: {
                        shape: "S7"
                      }
                    }
                  }
                }
              },
              bindingEvent: {}
            }
          }
        },
        Sk: {
          type: "list",
          member: {
            type: "structure",
            members: {
              variantValues: {
                type: "map",
                key: {},
                value: {}
              },
              overrides: {
                shape: "Sn"
              }
            }
          }
        },
        Sn: {
          type: "map",
          key: {},
          value: {
            type: "map",
            key: {},
            value: {}
          }
        },
        Sp: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              type: {},
              bindingProperties: {
                type: "structure",
                members: {
                  model: {},
                  field: {},
                  predicates: {
                    shape: "Ss"
                  },
                  userAttribute: {},
                  bucket: {},
                  key: {},
                  defaultValue: {},
                  slotName: {}
                }
              },
              defaultValue: {}
            }
          }
        },
        Ss: {
          type: "list",
          member: {
            shape: "St"
          }
        },
        St: {
          type: "structure",
          members: {
            or: {
              shape: "Ss"
            },
            and: {
              shape: "Ss"
            },
            field: {},
            operator: {},
            operand: {},
            operandType: {}
          }
        },
        Sv: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "model"
            ],
            members: {
              model: {},
              sort: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "field",
                    "direction"
                  ],
                  members: {
                    field: {},
                    direction: {}
                  }
                }
              },
              predicate: {
                shape: "St"
              },
              identifiers: {
                type: "list",
                member: {}
              }
            }
          }
        },
        S11: {
          type: "map",
          key: {},
          value: {}
        },
        S15: {
          type: "structure",
          required: [
            "appId",
            "environmentName",
            "id",
            "name",
            "componentType",
            "properties",
            "variants",
            "overrides",
            "bindingProperties",
            "createdAt"
          ],
          members: {
            appId: {},
            environmentName: {},
            sourceId: {},
            id: {},
            name: {},
            componentType: {},
            properties: {
              shape: "S6"
            },
            children: {
              shape: "Se"
            },
            variants: {
              shape: "Sk"
            },
            overrides: {
              shape: "Sn"
            },
            bindingProperties: {
              shape: "Sp"
            },
            collectionProperties: {
              shape: "Sv"
            },
            createdAt: {
              shape: "S17"
            },
            modifiedAt: {
              shape: "S17"
            },
            tags: {
              shape: "S11"
            },
            events: {
              shape: "Sg"
            },
            schemaVersion: {}
          }
        },
        S17: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S1b: {
          type: "structure",
          required: [
            "dataSourceType",
            "dataTypeName"
          ],
          members: {
            dataSourceType: {},
            dataTypeName: {}
          }
        },
        S1e: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              label: {},
              position: {
                shape: "S1g"
              },
              excluded: {
                type: "boolean"
              },
              inputType: {
                type: "structure",
                required: [
                  "type"
                ],
                members: {
                  type: {},
                  required: {
                    type: "boolean"
                  },
                  readOnly: {
                    type: "boolean"
                  },
                  placeholder: {},
                  defaultValue: {},
                  descriptiveText: {},
                  defaultChecked: {
                    type: "boolean"
                  },
                  defaultCountryCode: {},
                  valueMappings: {
                    type: "structure",
                    required: [
                      "values"
                    ],
                    members: {
                      values: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "value"
                          ],
                          members: {
                            displayValue: {
                              shape: "S1m"
                            },
                            value: {
                              shape: "S1m"
                            }
                          }
                        }
                      },
                      bindingProperties: {
                        type: "map",
                        key: {},
                        value: {
                          type: "structure",
                          members: {
                            type: {},
                            bindingProperties: {
                              type: "structure",
                              members: {
                                model: {}
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  name: {},
                  minValue: {
                    type: "float"
                  },
                  maxValue: {
                    type: "float"
                  },
                  step: {
                    type: "float"
                  },
                  value: {},
                  isArray: {
                    type: "boolean"
                  },
                  fileUploaderConfig: {
                    type: "structure",
                    required: [
                      "accessLevel",
                      "acceptedFileTypes"
                    ],
                    members: {
                      accessLevel: {},
                      acceptedFileTypes: {
                        shape: "S1v"
                      },
                      showThumbnails: {
                        type: "boolean"
                      },
                      isResumable: {
                        type: "boolean"
                      },
                      maxFileCount: {
                        type: "integer"
                      },
                      maxSize: {
                        type: "integer"
                      }
                    }
                  }
                }
              },
              validations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "type"
                  ],
                  members: {
                    type: {},
                    strValues: {
                      shape: "S1v"
                    },
                    numValues: {
                      type: "list",
                      member: {
                        type: "integer"
                      }
                    },
                    validationMessage: {}
                  }
                }
              }
            }
          }
        },
        S1g: {
          type: "structure",
          members: {
            fixed: {},
            rightOf: {},
            below: {}
          },
          union: true
        },
        S1m: {
          type: "structure",
          members: {
            value: {},
            bindingProperties: {
              type: "structure",
              required: [
                "property"
              ],
              members: {
                property: {},
                field: {}
              }
            },
            concat: {
              type: "list",
              member: {
                shape: "S1m"
              }
            }
          }
        },
        S1v: {
          type: "list",
          member: {}
        },
        S20: {
          type: "structure",
          members: {
            horizontalGap: {
              shape: "S21"
            },
            verticalGap: {
              shape: "S21"
            },
            outerPadding: {
              shape: "S21"
            }
          }
        },
        S21: {
          type: "structure",
          members: {
            tokenReference: {},
            value: {}
          },
          union: true
        },
        S22: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "type"
            ],
            members: {
              type: {},
              position: {
                shape: "S1g"
              },
              text: {},
              level: {
                type: "integer"
              },
              orientation: {},
              excluded: {
                type: "boolean"
              }
            }
          }
        },
        S24: {
          type: "structure",
          members: {
            position: {},
            clear: {
              shape: "S26"
            },
            cancel: {
              shape: "S26"
            },
            submit: {
              shape: "S26"
            }
          }
        },
        S26: {
          type: "structure",
          members: {
            excluded: {
              type: "boolean"
            },
            children: {},
            position: {
              shape: "S1g"
            }
          }
        },
        S29: {
          type: "structure",
          required: [
            "appId",
            "environmentName",
            "id",
            "name",
            "formActionType",
            "style",
            "dataType",
            "fields",
            "sectionalElements",
            "schemaVersion"
          ],
          members: {
            appId: {},
            environmentName: {},
            id: {},
            name: {},
            formActionType: {},
            style: {
              shape: "S20"
            },
            dataType: {
              shape: "S1b"
            },
            fields: {
              shape: "S1e"
            },
            sectionalElements: {
              shape: "S22"
            },
            schemaVersion: {},
            tags: {
              shape: "S11"
            },
            cta: {
              shape: "S24"
            },
            labelDecorator: {}
          }
        },
        S2d: {
          type: "list",
          member: {
            type: "structure",
            members: {
              key: {},
              value: {
                type: "structure",
                members: {
                  value: {},
                  children: {
                    shape: "S2d"
                  }
                }
              }
            }
          }
        },
        S2h: {
          type: "structure",
          required: [
            "appId",
            "environmentName",
            "id",
            "name",
            "createdAt",
            "values"
          ],
          members: {
            appId: {},
            environmentName: {},
            id: {},
            name: {},
            createdAt: {
              shape: "S17"
            },
            modifiedAt: {
              shape: "S17"
            },
            values: {
              shape: "S2d"
            },
            overrides: {
              shape: "S2d"
            },
            tags: {
              shape: "S11"
            }
          }
        },
        S2o: {
          type: "string",
          sensitive: true
        },
        S32: {
          type: "structure",
          required: [
            "id",
            "appId",
            "environmentName"
          ],
          members: {
            id: {},
            appId: {},
            environmentName: {},
            renderConfig: {
              shape: "S33"
            },
            genericDataSchema: {
              shape: "S38"
            },
            autoGenerateForms: {
              type: "boolean"
            },
            features: {
              shape: "S3q"
            },
            status: {},
            statusMessage: {},
            asset: {
              type: "structure",
              members: {
                downloadUrl: {}
              }
            },
            tags: {
              shape: "S11"
            },
            createdAt: {
              shape: "S17"
            },
            modifiedAt: {
              shape: "S17"
            }
          }
        },
        S33: {
          type: "structure",
          members: {
            react: {
              type: "structure",
              members: {
                module: {},
                target: {},
                script: {},
                renderTypeDeclarations: {
                  type: "boolean"
                },
                inlineSourceMap: {
                  type: "boolean"
                }
              }
            }
          },
          union: true
        },
        S38: {
          type: "structure",
          required: [
            "dataSourceType",
            "models",
            "enums",
            "nonModels"
          ],
          members: {
            dataSourceType: {},
            models: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                required: [
                  "fields",
                  "primaryKeys"
                ],
                members: {
                  fields: {
                    type: "map",
                    key: {},
                    value: {
                      shape: "S3d"
                    }
                  },
                  isJoinTable: {
                    type: "boolean"
                  },
                  primaryKeys: {
                    type: "list",
                    member: {}
                  }
                }
              }
            },
            enums: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                required: [
                  "values"
                ],
                members: {
                  values: {
                    type: "list",
                    member: {}
                  }
                }
              }
            },
            nonModels: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                required: [
                  "fields"
                ],
                members: {
                  fields: {
                    type: "map",
                    key: {},
                    value: {
                      shape: "S3d"
                    }
                  }
                }
              }
            }
          }
        },
        S3d: {
          type: "structure",
          required: [
            "dataType",
            "dataTypeValue",
            "required",
            "readOnly",
            "isArray"
          ],
          members: {
            dataType: {},
            dataTypeValue: {},
            required: {
              type: "boolean"
            },
            readOnly: {
              type: "boolean"
            },
            isArray: {
              type: "boolean"
            },
            relationship: {
              type: "structure",
              required: [
                "type",
                "relatedModelName"
              ],
              members: {
                type: {},
                relatedModelName: {},
                relatedModelFields: {
                  type: "list",
                  member: {}
                },
                canUnlinkAssociatedModel: {
                  type: "boolean"
                },
                relatedJoinFieldName: {},
                relatedJoinTableName: {},
                belongsToFieldOnRelatedModel: {},
                associatedFields: {
                  type: "list",
                  member: {}
                },
                isHasManyIndex: {
                  type: "boolean"
                }
              }
            }
          }
        },
        S3q: {
          type: "structure",
          members: {
            isRelationshipSupported: {
              type: "boolean"
            },
            isNonModelSupported: {
              type: "boolean"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/amplifyuibuilder-2021-08-11.paginators.json
var require_amplifyuibuilder_2021_08_11_paginators = __commonJS({
  "node_modules/aws-sdk/apis/amplifyuibuilder-2021-08-11.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ExportComponents: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "entities"
        },
        ExportForms: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "entities"
        },
        ExportThemes: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "entities"
        },
        ListCodegenJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "entities"
        },
        ListComponents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "entities"
        },
        ListForms: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "entities"
        },
        ListThemes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "entities"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/amplifyuibuilder-2021-08-11.waiters2.json
var require_amplifyuibuilder_2021_08_11_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/amplifyuibuilder-2021-08-11.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {}
    };
  }
});

// node_modules/aws-sdk/clients/amplifyuibuilder.js
var require_amplifyuibuilder = __commonJS({
  "node_modules/aws-sdk/clients/amplifyuibuilder.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["amplifyuibuilder"] = {};
    AWS2.AmplifyUIBuilder = Service.defineService("amplifyuibuilder", ["2021-08-11"]);
    Object.defineProperty(apiLoader.services["amplifyuibuilder"], "2021-08-11", {
      get: function get() {
        var model = require_amplifyuibuilder_2021_08_11_min();
        model.paginators = require_amplifyuibuilder_2021_08_11_paginators().pagination;
        model.waiters = require_amplifyuibuilder_2021_08_11_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.AmplifyUIBuilder;
  }
});

// node_modules/aws-sdk/apis/keyspaces-2022-02-10.min.json
var require_keyspaces_2022_02_10_min = __commonJS({
  "node_modules/aws-sdk/apis/keyspaces-2022-02-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-02-10",
        endpointPrefix: "cassandra",
        jsonVersion: "1.0",
        protocol: "json",
        serviceFullName: "Amazon Keyspaces",
        serviceId: "Keyspaces",
        signatureVersion: "v4",
        signingName: "cassandra",
        targetPrefix: "KeyspacesService",
        uid: "keyspaces-2022-02-10"
      },
      operations: {
        CreateKeyspace: {
          input: {
            type: "structure",
            required: [
              "keyspaceName"
            ],
            members: {
              keyspaceName: {},
              tags: {
                shape: "S3"
              },
              replicationSpecification: {
                type: "structure",
                required: [
                  "replicationStrategy"
                ],
                members: {
                  replicationStrategy: {},
                  regionList: {
                    shape: "S9"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          }
        },
        CreateTable: {
          input: {
            type: "structure",
            required: [
              "keyspaceName",
              "tableName",
              "schemaDefinition"
            ],
            members: {
              keyspaceName: {},
              tableName: {},
              schemaDefinition: {
                shape: "Sf"
              },
              comment: {
                shape: "Sq"
              },
              capacitySpecification: {
                shape: "Ss"
              },
              encryptionSpecification: {
                shape: "Sv"
              },
              pointInTimeRecovery: {
                shape: "Sy"
              },
              ttl: {
                shape: "S10"
              },
              defaultTimeToLive: {
                type: "integer"
              },
              tags: {
                shape: "S3"
              },
              clientSideTimestamps: {
                shape: "S13"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          }
        },
        DeleteKeyspace: {
          input: {
            type: "structure",
            required: [
              "keyspaceName"
            ],
            members: {
              keyspaceName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteTable: {
          input: {
            type: "structure",
            required: [
              "keyspaceName",
              "tableName"
            ],
            members: {
              keyspaceName: {},
              tableName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetKeyspace: {
          input: {
            type: "structure",
            required: [
              "keyspaceName"
            ],
            members: {
              keyspaceName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "keyspaceName",
              "resourceArn",
              "replicationStrategy"
            ],
            members: {
              keyspaceName: {},
              resourceArn: {},
              replicationStrategy: {},
              replicationRegions: {
                shape: "S9"
              }
            }
          }
        },
        GetTable: {
          input: {
            type: "structure",
            required: [
              "keyspaceName",
              "tableName"
            ],
            members: {
              keyspaceName: {},
              tableName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "keyspaceName",
              "tableName",
              "resourceArn"
            ],
            members: {
              keyspaceName: {},
              tableName: {},
              resourceArn: {},
              creationTimestamp: {
                type: "timestamp"
              },
              status: {},
              schemaDefinition: {
                shape: "Sf"
              },
              capacitySpecification: {
                type: "structure",
                required: [
                  "throughputMode"
                ],
                members: {
                  throughputMode: {},
                  readCapacityUnits: {
                    type: "long"
                  },
                  writeCapacityUnits: {
                    type: "long"
                  },
                  lastUpdateToPayPerRequestTimestamp: {
                    type: "timestamp"
                  }
                }
              },
              encryptionSpecification: {
                shape: "Sv"
              },
              pointInTimeRecovery: {
                type: "structure",
                required: [
                  "status"
                ],
                members: {
                  status: {},
                  earliestRestorableTimestamp: {
                    type: "timestamp"
                  }
                }
              },
              ttl: {
                shape: "S10"
              },
              defaultTimeToLive: {
                type: "integer"
              },
              comment: {
                shape: "Sq"
              },
              clientSideTimestamps: {
                shape: "S13"
              }
            }
          }
        },
        ListKeyspaces: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "keyspaces"
            ],
            members: {
              nextToken: {},
              keyspaces: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "keyspaceName",
                    "resourceArn",
                    "replicationStrategy"
                  ],
                  members: {
                    keyspaceName: {},
                    resourceArn: {},
                    replicationStrategy: {},
                    replicationRegions: {
                      shape: "S9"
                    }
                  }
                }
              }
            }
          }
        },
        ListTables: {
          input: {
            type: "structure",
            required: [
              "keyspaceName"
            ],
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              keyspaceName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              tables: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "keyspaceName",
                    "tableName",
                    "resourceArn"
                  ],
                  members: {
                    keyspaceName: {},
                    tableName: {},
                    resourceArn: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              tags: {
                shape: "S3"
              }
            }
          }
        },
        RestoreTable: {
          input: {
            type: "structure",
            required: [
              "sourceKeyspaceName",
              "sourceTableName",
              "targetKeyspaceName",
              "targetTableName"
            ],
            members: {
              sourceKeyspaceName: {},
              sourceTableName: {},
              targetKeyspaceName: {},
              targetTableName: {},
              restoreTimestamp: {
                type: "timestamp"
              },
              capacitySpecificationOverride: {
                shape: "Ss"
              },
              encryptionSpecificationOverride: {
                shape: "Sv"
              },
              pointInTimeRecoveryOverride: {
                shape: "Sy"
              },
              tagsOverride: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "restoredTableARN"
            ],
            members: {
              restoredTableARN: {}
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateTable: {
          input: {
            type: "structure",
            required: [
              "keyspaceName",
              "tableName"
            ],
            members: {
              keyspaceName: {},
              tableName: {},
              addColumns: {
                shape: "Sg"
              },
              capacitySpecification: {
                shape: "Ss"
              },
              encryptionSpecification: {
                shape: "Sv"
              },
              pointInTimeRecovery: {
                shape: "Sy"
              },
              ttl: {
                shape: "S10"
              },
              defaultTimeToLive: {
                type: "integer"
              },
              clientSideTimestamps: {
                shape: "S13"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        S9: {
          type: "list",
          member: {}
        },
        Sf: {
          type: "structure",
          required: [
            "allColumns",
            "partitionKeys"
          ],
          members: {
            allColumns: {
              shape: "Sg"
            },
            partitionKeys: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "name"
                ],
                members: {
                  name: {}
                }
              }
            },
            clusteringKeys: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "name",
                  "orderBy"
                ],
                members: {
                  name: {},
                  orderBy: {}
                }
              }
            },
            staticColumns: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "name"
                ],
                members: {
                  name: {}
                }
              }
            }
          }
        },
        Sg: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "type"
            ],
            members: {
              name: {},
              type: {}
            }
          }
        },
        Sq: {
          type: "structure",
          required: [
            "message"
          ],
          members: {
            message: {}
          }
        },
        Ss: {
          type: "structure",
          required: [
            "throughputMode"
          ],
          members: {
            throughputMode: {},
            readCapacityUnits: {
              type: "long"
            },
            writeCapacityUnits: {
              type: "long"
            }
          }
        },
        Sv: {
          type: "structure",
          required: [
            "type"
          ],
          members: {
            type: {},
            kmsKeyIdentifier: {}
          }
        },
        Sy: {
          type: "structure",
          required: [
            "status"
          ],
          members: {
            status: {}
          }
        },
        S10: {
          type: "structure",
          required: [
            "status"
          ],
          members: {
            status: {}
          }
        },
        S13: {
          type: "structure",
          required: [
            "status"
          ],
          members: {
            status: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/keyspaces-2022-02-10.paginators.json
var require_keyspaces_2022_02_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/keyspaces-2022-02-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListKeyspaces: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "keyspaces"
        },
        ListTables: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "tables"
        },
        ListTagsForResource: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "tags"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/keyspaces-2022-02-10.waiters2.json
var require_keyspaces_2022_02_10_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/keyspaces-2022-02-10.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {}
    };
  }
});

// node_modules/aws-sdk/clients/keyspaces.js
var require_keyspaces = __commonJS({
  "node_modules/aws-sdk/clients/keyspaces.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["keyspaces"] = {};
    AWS2.Keyspaces = Service.defineService("keyspaces", ["2022-02-10"]);
    Object.defineProperty(apiLoader.services["keyspaces"], "2022-02-10", {
      get: function get() {
        var model = require_keyspaces_2022_02_10_min();
        model.paginators = require_keyspaces_2022_02_10_paginators().pagination;
        model.waiters = require_keyspaces_2022_02_10_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Keyspaces;
  }
});

// node_modules/aws-sdk/apis/billingconductor-2021-07-30.min.json
var require_billingconductor_2021_07_30_min = __commonJS({
  "node_modules/aws-sdk/apis/billingconductor-2021-07-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-07-30",
        endpointPrefix: "billingconductor",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWSBillingConductor",
        serviceId: "billingconductor",
        signatureVersion: "v4",
        signingName: "billingconductor",
        uid: "billingconductor-2021-07-30"
      },
      operations: {
        AssociateAccounts: {
          http: {
            requestUri: "/associate-accounts",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "AccountIds"
            ],
            members: {
              Arn: {},
              AccountIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          },
          idempotent: true
        },
        AssociatePricingRules: {
          http: {
            method: "PUT",
            requestUri: "/associate-pricing-rules",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "PricingRuleArns"
            ],
            members: {
              Arn: {},
              PricingRuleArns: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          },
          idempotent: true
        },
        BatchAssociateResourcesToCustomLineItem: {
          http: {
            method: "PUT",
            requestUri: "/batch-associate-resources-to-custom-line-item",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "TargetArn",
              "ResourceArns"
            ],
            members: {
              TargetArn: {},
              ResourceArns: {
                type: "list",
                member: {}
              },
              BillingPeriodRange: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SuccessfullyAssociatedResources: {
                shape: "Si"
              },
              FailedAssociatedResources: {
                shape: "Si"
              }
            }
          },
          idempotent: true
        },
        BatchDisassociateResourcesFromCustomLineItem: {
          http: {
            method: "PUT",
            requestUri: "/batch-disassociate-resources-from-custom-line-item",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "TargetArn",
              "ResourceArns"
            ],
            members: {
              TargetArn: {},
              ResourceArns: {
                type: "list",
                member: {}
              },
              BillingPeriodRange: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SuccessfullyDisassociatedResources: {
                shape: "Sq"
              },
              FailedDisassociatedResources: {
                shape: "Sq"
              }
            }
          },
          idempotent: true
        },
        CreateBillingGroup: {
          http: {
            requestUri: "/create-billing-group",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "AccountGrouping",
              "ComputationPreference"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              Name: {
                shape: "Su"
              },
              AccountGrouping: {
                type: "structure",
                required: [
                  "LinkedAccountIds"
                ],
                members: {
                  LinkedAccountIds: {
                    shape: "S3"
                  }
                }
              },
              ComputationPreference: {
                shape: "Sw"
              },
              PrimaryAccountId: {},
              Description: {
                shape: "Sy"
              },
              Tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          },
          idempotent: true
        },
        CreateCustomLineItem: {
          http: {
            requestUri: "/create-custom-line-item",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "Description",
              "BillingGroupArn",
              "ChargeDetails"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              Name: {
                shape: "S14"
              },
              Description: {
                shape: "S15"
              },
              BillingGroupArn: {},
              BillingPeriodRange: {
                shape: "Sf"
              },
              Tags: {
                shape: "Sz"
              },
              ChargeDetails: {
                type: "structure",
                required: [
                  "Type"
                ],
                members: {
                  Flat: {
                    type: "structure",
                    required: [
                      "ChargeValue"
                    ],
                    members: {
                      ChargeValue: {
                        type: "double"
                      }
                    }
                  },
                  Percentage: {
                    type: "structure",
                    required: [
                      "PercentageValue"
                    ],
                    members: {
                      PercentageValue: {
                        type: "double"
                      },
                      AssociatedValues: {
                        type: "list",
                        member: {}
                      }
                    }
                  },
                  Type: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          }
        },
        CreatePricingPlan: {
          http: {
            requestUri: "/create-pricing-plan",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              Name: {
                shape: "S1f"
              },
              Description: {
                shape: "S1g"
              },
              PricingRuleArns: {
                type: "list",
                member: {}
              },
              Tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          },
          idempotent: true
        },
        CreatePricingRule: {
          http: {
            requestUri: "/create-pricing-rule",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "Scope",
              "Type"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "X-Amzn-Client-Token"
              },
              Name: {
                shape: "S1k"
              },
              Description: {
                shape: "S1l"
              },
              Scope: {},
              Type: {},
              ModifierPercentage: {
                type: "double"
              },
              Service: {},
              Tags: {
                shape: "Sz"
              },
              BillingEntity: {},
              Tiering: {
                type: "structure",
                required: [
                  "FreeTier"
                ],
                members: {
                  FreeTier: {
                    type: "structure",
                    required: [
                      "Activated"
                    ],
                    members: {
                      Activated: {
                        type: "boolean"
                      }
                    }
                  }
                }
              },
              UsageType: {},
              Operation: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          },
          idempotent: true
        },
        DeleteBillingGroup: {
          http: {
            requestUri: "/delete-billing-group",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          },
          idempotent: true
        },
        DeleteCustomLineItem: {
          http: {
            requestUri: "/delete-custom-line-item",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {},
              BillingPeriodRange: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          },
          idempotent: true
        },
        DeletePricingPlan: {
          http: {
            requestUri: "/delete-pricing-plan",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          },
          idempotent: true
        },
        DeletePricingRule: {
          http: {
            requestUri: "/delete-pricing-rule",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          },
          idempotent: true
        },
        DisassociateAccounts: {
          http: {
            requestUri: "/disassociate-accounts",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "AccountIds"
            ],
            members: {
              Arn: {},
              AccountIds: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          },
          idempotent: true
        },
        DisassociatePricingRules: {
          http: {
            method: "PUT",
            requestUri: "/disassociate-pricing-rules",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "PricingRuleArns"
            ],
            members: {
              Arn: {},
              PricingRuleArns: {
                shape: "S8"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {}
            }
          },
          idempotent: true
        },
        ListAccountAssociations: {
          http: {
            requestUri: "/list-account-associations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BillingPeriod: {},
              Filters: {
                type: "structure",
                members: {
                  Association: {},
                  AccountId: {},
                  AccountIds: {
                    type: "list",
                    member: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              LinkedAccounts: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AccountId: {},
                    BillingGroupArn: {},
                    AccountName: {
                      type: "string",
                      sensitive: true
                    },
                    AccountEmail: {
                      type: "string",
                      sensitive: true
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListBillingGroupCostReports: {
          http: {
            requestUri: "/list-billing-group-cost-reports",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BillingPeriod: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                type: "structure",
                members: {
                  BillingGroupArns: {
                    shape: "S2m"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BillingGroupCostReports: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    AWSCost: {},
                    ProformaCost: {},
                    Margin: {},
                    MarginPercentage: {},
                    Currency: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListBillingGroups: {
          http: {
            requestUri: "/list-billing-groups",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BillingPeriod: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                type: "structure",
                members: {
                  Arns: {
                    shape: "S2m"
                  },
                  PricingPlan: {},
                  Statuses: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BillingGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {
                      shape: "Su"
                    },
                    Arn: {},
                    Description: {
                      shape: "Sy"
                    },
                    PrimaryAccountId: {},
                    ComputationPreference: {
                      shape: "Sw"
                    },
                    Size: {
                      type: "long"
                    },
                    CreationTime: {
                      type: "long"
                    },
                    LastModifiedTime: {
                      type: "long"
                    },
                    Status: {},
                    StatusReason: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCustomLineItemVersions: {
          http: {
            requestUri: "/list-custom-line-item-versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                type: "structure",
                members: {
                  BillingPeriodRange: {
                    type: "structure",
                    members: {
                      StartBillingPeriod: {},
                      EndBillingPeriod: {}
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CustomLineItemVersions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {
                      shape: "S14"
                    },
                    ChargeDetails: {
                      shape: "S3c"
                    },
                    CurrencyCode: {},
                    Description: {
                      shape: "S15"
                    },
                    ProductCode: {},
                    BillingGroupArn: {},
                    CreationTime: {
                      type: "long"
                    },
                    LastModifiedTime: {
                      type: "long"
                    },
                    AssociationSize: {
                      type: "long"
                    },
                    StartBillingPeriod: {},
                    EndBillingPeriod: {},
                    Arn: {},
                    StartTime: {
                      type: "long"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListCustomLineItems: {
          http: {
            requestUri: "/list-custom-line-items",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BillingPeriod: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                type: "structure",
                members: {
                  Names: {
                    type: "list",
                    member: {
                      shape: "S14"
                    }
                  },
                  BillingGroups: {
                    shape: "S2m"
                  },
                  Arns: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              CustomLineItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Name: {
                      shape: "S14"
                    },
                    ChargeDetails: {
                      shape: "S3c"
                    },
                    CurrencyCode: {},
                    Description: {
                      shape: "S15"
                    },
                    ProductCode: {},
                    BillingGroupArn: {},
                    CreationTime: {
                      type: "long"
                    },
                    LastModifiedTime: {
                      type: "long"
                    },
                    AssociationSize: {
                      type: "long"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPricingPlans: {
          http: {
            requestUri: "/list-pricing-plans",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BillingPeriod: {},
              Filters: {
                type: "structure",
                members: {
                  Arns: {
                    shape: "S3r"
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BillingPeriod: {},
              PricingPlans: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {
                      shape: "S1f"
                    },
                    Arn: {},
                    Description: {
                      shape: "S1g"
                    },
                    Size: {
                      type: "long"
                    },
                    CreationTime: {
                      type: "long"
                    },
                    LastModifiedTime: {
                      type: "long"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPricingPlansAssociatedWithPricingRule: {
          http: {
            requestUri: "/list-pricing-plans-associated-with-pricing-rule",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PricingRuleArn"
            ],
            members: {
              BillingPeriod: {},
              PricingRuleArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BillingPeriod: {},
              PricingRuleArn: {},
              PricingPlanArns: {
                shape: "S3r"
              },
              NextToken: {}
            }
          }
        },
        ListPricingRules: {
          http: {
            requestUri: "/list-pricing-rules",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              BillingPeriod: {},
              Filters: {
                type: "structure",
                members: {
                  Arns: {
                    shape: "S42"
                  }
                }
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BillingPeriod: {},
              PricingRules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {
                      shape: "S1k"
                    },
                    Arn: {},
                    Description: {
                      shape: "S1l"
                    },
                    Scope: {},
                    Type: {},
                    ModifierPercentage: {
                      type: "double"
                    },
                    Service: {},
                    AssociatedPricingPlanCount: {
                      type: "long"
                    },
                    CreationTime: {
                      type: "long"
                    },
                    LastModifiedTime: {
                      type: "long"
                    },
                    BillingEntity: {},
                    Tiering: {
                      type: "structure",
                      required: [
                        "FreeTier"
                      ],
                      members: {
                        FreeTier: {
                          type: "structure",
                          required: [
                            "Activated"
                          ],
                          members: {
                            Activated: {
                              type: "boolean"
                            }
                          }
                        }
                      }
                    },
                    UsageType: {},
                    Operation: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListPricingRulesAssociatedToPricingPlan: {
          http: {
            requestUri: "/list-pricing-rules-associated-to-pricing-plan",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PricingPlanArn"
            ],
            members: {
              BillingPeriod: {},
              PricingPlanArn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              BillingPeriod: {},
              PricingPlanArn: {},
              PricingRuleArns: {
                shape: "S42"
              },
              NextToken: {}
            }
          }
        },
        ListResourcesAssociatedToCustomLineItem: {
          http: {
            requestUri: "/list-resources-associated-to-custom-line-item",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              BillingPeriod: {},
              Arn: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                type: "structure",
                members: {
                  Relationship: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              AssociatedResources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Relationship: {},
                    EndBillingPeriod: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sz"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateBillingGroup: {
          http: {
            requestUri: "/update-billing-group",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {},
              Name: {
                shape: "Su"
              },
              Status: {},
              ComputationPreference: {
                shape: "Sw"
              },
              Description: {
                shape: "Sy"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Name: {
                shape: "Su"
              },
              Description: {
                shape: "Sy"
              },
              PrimaryAccountId: {},
              PricingPlanArn: {},
              Size: {
                type: "long"
              },
              LastModifiedTime: {
                type: "long"
              },
              Status: {},
              StatusReason: {}
            }
          },
          idempotent: true
        },
        UpdateCustomLineItem: {
          http: {
            requestUri: "/update-custom-line-item",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {},
              Name: {
                shape: "S14"
              },
              Description: {
                shape: "S15"
              },
              ChargeDetails: {
                type: "structure",
                members: {
                  Flat: {
                    type: "structure",
                    required: [
                      "ChargeValue"
                    ],
                    members: {
                      ChargeValue: {
                        type: "double"
                      }
                    }
                  },
                  Percentage: {
                    type: "structure",
                    required: [
                      "PercentageValue"
                    ],
                    members: {
                      PercentageValue: {
                        type: "double"
                      }
                    }
                  }
                }
              },
              BillingPeriodRange: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              BillingGroupArn: {},
              Name: {
                shape: "S14"
              },
              Description: {
                shape: "S15"
              },
              ChargeDetails: {
                shape: "S3c"
              },
              LastModifiedTime: {
                type: "long"
              },
              AssociationSize: {
                type: "long"
              }
            }
          },
          idempotent: true
        },
        UpdatePricingPlan: {
          http: {
            method: "PUT",
            requestUri: "/update-pricing-plan",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {},
              Name: {
                shape: "S1f"
              },
              Description: {
                shape: "S1g"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Name: {
                shape: "S1f"
              },
              Description: {
                shape: "S1g"
              },
              Size: {
                type: "long"
              },
              LastModifiedTime: {
                type: "long"
              }
            }
          },
          idempotent: true
        },
        UpdatePricingRule: {
          http: {
            method: "PUT",
            requestUri: "/update-pricing-rule",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {},
              Name: {
                shape: "S1k"
              },
              Description: {
                shape: "S1l"
              },
              Type: {},
              ModifierPercentage: {
                type: "double"
              },
              Tiering: {
                shape: "S50"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Name: {
                shape: "S1k"
              },
              Description: {
                shape: "S1l"
              },
              Scope: {},
              Type: {},
              ModifierPercentage: {
                type: "double"
              },
              Service: {},
              AssociatedPricingPlanCount: {
                type: "long"
              },
              LastModifiedTime: {
                type: "long"
              },
              BillingEntity: {},
              Tiering: {
                shape: "S50"
              },
              UsageType: {},
              Operation: {}
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {}
        },
        S8: {
          type: "list",
          member: {}
        },
        Sf: {
          type: "structure",
          required: [
            "InclusiveStartBillingPeriod"
          ],
          members: {
            InclusiveStartBillingPeriod: {},
            ExclusiveEndBillingPeriod: {}
          }
        },
        Si: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Arn: {},
              Error: {
                shape: "Sk"
              }
            }
          }
        },
        Sk: {
          type: "structure",
          members: {
            Message: {},
            Reason: {}
          }
        },
        Sq: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Arn: {},
              Error: {
                shape: "Sk"
              }
            }
          }
        },
        Su: {
          type: "string",
          sensitive: true
        },
        Sw: {
          type: "structure",
          required: [
            "PricingPlanArn"
          ],
          members: {
            PricingPlanArn: {}
          }
        },
        Sy: {
          type: "string",
          sensitive: true
        },
        Sz: {
          type: "map",
          key: {},
          value: {}
        },
        S14: {
          type: "string",
          sensitive: true
        },
        S15: {
          type: "string",
          sensitive: true
        },
        S1f: {
          type: "string",
          sensitive: true
        },
        S1g: {
          type: "string",
          sensitive: true
        },
        S1k: {
          type: "string",
          sensitive: true
        },
        S1l: {
          type: "string",
          sensitive: true
        },
        S2m: {
          type: "list",
          member: {}
        },
        S3c: {
          type: "structure",
          required: [
            "Type"
          ],
          members: {
            Flat: {
              type: "structure",
              required: [
                "ChargeValue"
              ],
              members: {
                ChargeValue: {
                  type: "double"
                }
              }
            },
            Percentage: {
              type: "structure",
              required: [
                "PercentageValue"
              ],
              members: {
                PercentageValue: {
                  type: "double"
                }
              }
            },
            Type: {}
          }
        },
        S3r: {
          type: "list",
          member: {}
        },
        S42: {
          type: "list",
          member: {}
        },
        S50: {
          type: "structure",
          required: [
            "FreeTier"
          ],
          members: {
            FreeTier: {
              type: "structure",
              required: [
                "Activated"
              ],
              members: {
                Activated: {
                  type: "boolean"
                }
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/billingconductor-2021-07-30.paginators.json
var require_billingconductor_2021_07_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/billingconductor-2021-07-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAccountAssociations: {
          input_token: "NextToken",
          output_token: "NextToken",
          result_key: "LinkedAccounts"
        },
        ListBillingGroupCostReports: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "BillingGroupCostReports"
        },
        ListBillingGroups: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "BillingGroups"
        },
        ListCustomLineItems: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "CustomLineItems"
        },
        ListCustomLineItemVersions: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          output_token: "NextToken",
          result_key: "CustomLineItemVersions"
        },
        ListPricingPlans: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          non_aggregate_keys: ["BillingPeriod"],
          output_token: "NextToken",
          result_key: "PricingPlans"
        },
        ListPricingPlansAssociatedWithPricingRule: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          non_aggregate_keys: ["BillingPeriod", "PricingRuleArn"],
          output_token: "NextToken",
          result_key: "PricingPlanArns"
        },
        ListPricingRules: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          non_aggregate_keys: ["BillingPeriod"],
          output_token: "NextToken",
          result_key: "PricingRules"
        },
        ListPricingRulesAssociatedToPricingPlan: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          non_aggregate_keys: ["BillingPeriod", "PricingPlanArn"],
          output_token: "NextToken",
          result_key: "PricingRuleArns"
        },
        ListResourcesAssociatedToCustomLineItem: {
          input_token: "NextToken",
          limit_key: "MaxResults",
          non_aggregate_keys: ["Arn"],
          output_token: "NextToken",
          result_key: "AssociatedResources"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/billingconductor-2021-07-30.waiters2.json
var require_billingconductor_2021_07_30_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/billingconductor-2021-07-30.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {}
    };
  }
});

// node_modules/aws-sdk/clients/billingconductor.js
var require_billingconductor = __commonJS({
  "node_modules/aws-sdk/clients/billingconductor.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["billingconductor"] = {};
    AWS2.Billingconductor = Service.defineService("billingconductor", ["2021-07-30"]);
    Object.defineProperty(apiLoader.services["billingconductor"], "2021-07-30", {
      get: function get() {
        var model = require_billingconductor_2021_07_30_min();
        model.paginators = require_billingconductor_2021_07_30_paginators().pagination;
        model.waiters = require_billingconductor_2021_07_30_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Billingconductor;
  }
});

// node_modules/aws-sdk/apis/gamesparks-2021-08-17.min.json
var require_gamesparks_2021_08_17_min = __commonJS({
  "node_modules/aws-sdk/apis/gamesparks-2021-08-17.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-08-17",
        endpointPrefix: "gamesparks",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "GameSparks",
        serviceId: "GameSparks",
        signatureVersion: "v4",
        signingName: "gamesparks",
        uid: "gamesparks-2021-08-17"
      },
      operations: {
        CreateGame: {
          http: {
            requestUri: "/game",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName"
            ],
            members: {
              ClientToken: {},
              Description: {},
              GameName: {},
              Tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Game: {
                shape: "S9"
              }
            }
          },
          idempotent: true
        },
        CreateSnapshot: {
          http: {
            requestUri: "/game/{GameName}/snapshot",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName"
            ],
            members: {
              Description: {},
              GameName: {
                location: "uri",
                locationName: "GameName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Snapshot: {
                shape: "Sh"
              }
            }
          }
        },
        CreateStage: {
          http: {
            requestUri: "/game/{GameName}/stage",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "Role",
              "StageName"
            ],
            members: {
              ClientToken: {},
              Description: {},
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              Role: {},
              StageName: {},
              Tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Stage: {
                shape: "St"
              }
            }
          },
          idempotent: true
        },
        DeleteGame: {
          http: {
            method: "DELETE",
            requestUri: "/game/{GameName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteStage: {
          http: {
            method: "DELETE",
            requestUri: "/game/{GameName}/stage/{StageName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "StageName"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              StageName: {
                location: "uri",
                locationName: "StageName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DisconnectPlayer: {
          http: {
            requestUri: "/runtime/game/{GameName}/stage/{StageName}/player/{PlayerId}/disconnect",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "PlayerId",
              "StageName"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              PlayerId: {
                location: "uri",
                locationName: "PlayerId"
              },
              StageName: {
                location: "uri",
                locationName: "StageName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              DisconnectFailures: {
                shape: "S14"
              },
              DisconnectSuccesses: {
                shape: "S14"
              }
            }
          },
          idempotent: true
        },
        ExportSnapshot: {
          http: {
            method: "GET",
            requestUri: "/game/{GameName}/snapshot/{SnapshotId}/export",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "SnapshotId"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              SnapshotId: {
                location: "uri",
                locationName: "SnapshotId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              S3Url: {}
            }
          }
        },
        GetExtension: {
          http: {
            method: "GET",
            requestUri: "/extension/{Namespace}/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "Namespace"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Extension: {
                shape: "S1d"
              }
            }
          }
        },
        GetExtensionVersion: {
          http: {
            method: "GET",
            requestUri: "/extension/{Namespace}/{Name}/version/{ExtensionVersion}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ExtensionVersion",
              "Name",
              "Namespace"
            ],
            members: {
              ExtensionVersion: {
                location: "uri",
                locationName: "ExtensionVersion"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ExtensionVersion: {
                shape: "S1i"
              }
            }
          }
        },
        GetGame: {
          http: {
            method: "GET",
            requestUri: "/game/{GameName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Game: {
                shape: "S9"
              }
            }
          }
        },
        GetGameConfiguration: {
          http: {
            method: "GET",
            requestUri: "/game/{GameName}/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              Sections: {
                shape: "S1n",
                location: "querystring",
                locationName: "Sections"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GameConfiguration: {
                shape: "S1p"
              }
            }
          }
        },
        GetGeneratedCodeJob: {
          http: {
            method: "GET",
            requestUri: "/game/{GameName}/snapshot/{SnapshotId}/generated-sdk-code-job/{JobId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "JobId",
              "SnapshotId"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              JobId: {
                location: "uri",
                locationName: "JobId"
              },
              SnapshotId: {
                location: "uri",
                locationName: "SnapshotId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GeneratedCodeJob: {
                shape: "S1t"
              }
            }
          }
        },
        GetPlayerConnectionStatus: {
          http: {
            method: "GET",
            requestUri: "/runtime/game/{GameName}/stage/{StageName}/player/{PlayerId}/connection",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "PlayerId",
              "StageName"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              PlayerId: {
                location: "uri",
                locationName: "PlayerId"
              },
              StageName: {
                location: "uri",
                locationName: "StageName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Connections: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Created: {
                      shape: "Sb"
                    },
                    Id: {}
                  }
                }
              }
            }
          }
        },
        GetSnapshot: {
          http: {
            method: "GET",
            requestUri: "/game/{GameName}/snapshot/{SnapshotId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "SnapshotId"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              Sections: {
                shape: "S1n",
                location: "querystring",
                locationName: "Sections"
              },
              SnapshotId: {
                location: "uri",
                locationName: "SnapshotId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Snapshot: {
                shape: "Sh"
              }
            }
          }
        },
        GetStage: {
          http: {
            method: "GET",
            requestUri: "/game/{GameName}/stage/{StageName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "StageName"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              StageName: {
                location: "uri",
                locationName: "StageName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Stage: {
                shape: "St"
              }
            }
          }
        },
        GetStageDeployment: {
          http: {
            method: "GET",
            requestUri: "/game/{GameName}/stage/{StageName}/deployment",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "StageName"
            ],
            members: {
              DeploymentId: {
                location: "querystring",
                locationName: "DeploymentId"
              },
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              StageName: {
                location: "uri",
                locationName: "StageName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StageDeployment: {
                shape: "S27"
              }
            }
          }
        },
        ImportGameConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/game/{GameName}/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "ImportSource"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              ImportSource: {
                type: "structure",
                required: [
                  "File"
                ],
                members: {
                  File: {
                    type: "blob"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GameConfiguration: {
                shape: "S1p"
              }
            }
          },
          idempotent: true
        },
        ListExtensionVersions: {
          http: {
            method: "GET",
            requestUri: "/extension/{Namespace}/{Name}/version",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "Namespace"
            ],
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              },
              Namespace: {
                location: "uri",
                locationName: "Namespace"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ExtensionVersions: {
                type: "list",
                member: {
                  shape: "S1i"
                }
              },
              NextToken: {}
            }
          }
        },
        ListExtensions: {
          http: {
            method: "GET",
            requestUri: "/extension",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Extensions: {
                type: "list",
                member: {
                  shape: "S1d"
                }
              },
              NextToken: {}
            }
          }
        },
        ListGames: {
          http: {
            method: "GET",
            requestUri: "/game",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Games: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Description: {},
                    Name: {},
                    State: {},
                    Tags: {
                      shape: "S5"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListGeneratedCodeJobs: {
          http: {
            method: "GET",
            requestUri: "/game/{GameName}/snapshot/{SnapshotId}/generated-sdk-code-jobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "SnapshotId"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              SnapshotId: {
                location: "uri",
                locationName: "SnapshotId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GeneratedCodeJobs: {
                type: "list",
                member: {
                  shape: "S1t"
                }
              },
              NextToken: {}
            }
          }
        },
        ListSnapshots: {
          http: {
            method: "GET",
            requestUri: "/game/{GameName}/snapshot",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Snapshots: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Created: {
                      shape: "Sb"
                    },
                    Description: {},
                    Id: {},
                    LastUpdated: {
                      shape: "Sb"
                    }
                  }
                }
              }
            }
          }
        },
        ListStageDeployments: {
          http: {
            method: "GET",
            requestUri: "/game/{GameName}/stage/{StageName}/deployments",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "StageName"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              StageName: {
                location: "uri",
                locationName: "StageName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              StageDeployments: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DeploymentAction: {},
                    DeploymentId: {},
                    DeploymentResult: {
                      shape: "S29"
                    },
                    DeploymentState: {},
                    LastUpdated: {
                      shape: "Sb"
                    },
                    SnapshotId: {}
                  }
                }
              }
            }
          }
        },
        ListStages: {
          http: {
            method: "GET",
            requestUri: "/game/{GameName}/stage",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Stages: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Description: {},
                    GameKey: {},
                    Name: {},
                    State: {},
                    Tags: {
                      shape: "S5"
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S5"
              }
            }
          }
        },
        StartGeneratedCodeJob: {
          http: {
            requestUri: "/game/{GameName}/snapshot/{SnapshotId}/generated-sdk-code-job",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "Generator",
              "SnapshotId"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              Generator: {
                type: "structure",
                members: {
                  GameSdkVersion: {},
                  Language: {},
                  TargetPlatform: {}
                }
              },
              SnapshotId: {
                location: "uri",
                locationName: "SnapshotId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GeneratedCodeJobId: {}
            }
          }
        },
        StartStageDeployment: {
          http: {
            requestUri: "/game/{GameName}/stage/{StageName}/deployment",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "SnapshotId",
              "StageName"
            ],
            members: {
              ClientToken: {},
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              SnapshotId: {},
              StageName: {
                location: "uri",
                locationName: "StageName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StageDeployment: {
                shape: "S27"
              }
            }
          },
          idempotent: true
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "tagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateGame: {
          http: {
            method: "PATCH",
            requestUri: "/game/{GameName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName"
            ],
            members: {
              Description: {},
              GameName: {
                location: "uri",
                locationName: "GameName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Game: {
                shape: "S9"
              }
            }
          },
          idempotent: true
        },
        UpdateGameConfiguration: {
          http: {
            method: "PATCH",
            requestUri: "/game/{GameName}/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "Modifications"
            ],
            members: {
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              Modifications: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Operation",
                    "Path",
                    "Section"
                  ],
                  members: {
                    Operation: {},
                    Path: {},
                    Section: {},
                    Value: {
                      shape: "Sm"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              GameConfiguration: {
                shape: "S1p"
              }
            }
          },
          idempotent: true
        },
        UpdateSnapshot: {
          http: {
            method: "PATCH",
            requestUri: "/game/{GameName}/snapshot/{SnapshotId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "SnapshotId"
            ],
            members: {
              Description: {},
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              SnapshotId: {
                location: "uri",
                locationName: "SnapshotId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Snapshot: {
                shape: "Sh"
              }
            }
          },
          idempotent: true
        },
        UpdateStage: {
          http: {
            method: "PATCH",
            requestUri: "/game/{GameName}/stage/{StageName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GameName",
              "StageName"
            ],
            members: {
              Description: {},
              GameName: {
                location: "uri",
                locationName: "GameName"
              },
              Role: {},
              StageName: {
                location: "uri",
                locationName: "StageName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Stage: {
                shape: "St"
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S5: {
          type: "map",
          key: {},
          value: {}
        },
        S9: {
          type: "structure",
          members: {
            Arn: {},
            Created: {
              shape: "Sb"
            },
            Description: {},
            EnableTerminationProtection: {
              type: "boolean"
            },
            LastUpdated: {
              shape: "Sb"
            },
            Name: {},
            State: {},
            Tags: {
              shape: "S5"
            }
          }
        },
        Sb: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sh: {
          type: "structure",
          members: {
            Created: {
              shape: "Sb"
            },
            Description: {},
            Id: {},
            LastUpdated: {
              shape: "Sb"
            },
            Sections: {
              shape: "Sj"
            }
          }
        },
        Sj: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              Attributes: {
                shape: "Sm"
              },
              Name: {},
              Size: {
                type: "integer"
              }
            }
          }
        },
        Sm: {
          type: "structure",
          members: {},
          document: true
        },
        St: {
          type: "structure",
          members: {
            Arn: {},
            Created: {
              shape: "Sb"
            },
            Description: {},
            GameKey: {},
            LastUpdated: {
              shape: "Sb"
            },
            LogGroup: {},
            Name: {},
            Role: {},
            State: {},
            Tags: {
              shape: "S5"
            }
          }
        },
        S14: {
          type: "list",
          member: {}
        },
        S1d: {
          type: "structure",
          members: {
            Description: {},
            Name: {},
            Namespace: {}
          }
        },
        S1i: {
          type: "structure",
          members: {
            Name: {},
            Namespace: {},
            Schema: {},
            Version: {}
          }
        },
        S1n: {
          type: "list",
          member: {}
        },
        S1p: {
          type: "structure",
          members: {
            Created: {
              shape: "Sb"
            },
            LastUpdated: {
              shape: "Sb"
            },
            Sections: {
              shape: "Sj"
            }
          }
        },
        S1t: {
          type: "structure",
          members: {
            Description: {},
            ExpirationTime: {
              shape: "Sb"
            },
            GeneratedCodeJobId: {},
            S3Url: {},
            Status: {}
          }
        },
        S27: {
          type: "structure",
          members: {
            Created: {
              shape: "Sb"
            },
            DeploymentAction: {},
            DeploymentId: {},
            DeploymentResult: {
              shape: "S29"
            },
            DeploymentState: {},
            LastUpdated: {
              shape: "Sb"
            },
            SnapshotId: {}
          }
        },
        S29: {
          type: "structure",
          members: {
            Message: {},
            ResultCode: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/gamesparks-2021-08-17.paginators.json
var require_gamesparks_2021_08_17_paginators = __commonJS({
  "node_modules/aws-sdk/apis/gamesparks-2021-08-17.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListExtensionVersions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ExtensionVersions"
        },
        ListExtensions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Extensions"
        },
        ListGames: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Games"
        },
        ListGeneratedCodeJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "GeneratedCodeJobs"
        },
        ListSnapshots: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Snapshots"
        },
        ListStageDeployments: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "StageDeployments"
        },
        ListStages: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Stages"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/gamesparks.js
var require_gamesparks = __commonJS({
  "node_modules/aws-sdk/clients/gamesparks.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["gamesparks"] = {};
    AWS2.GameSparks = Service.defineService("gamesparks", ["2021-08-17"]);
    Object.defineProperty(apiLoader.services["gamesparks"], "2021-08-17", {
      get: function get() {
        var model = require_gamesparks_2021_08_17_min();
        model.paginators = require_gamesparks_2021_08_17_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.GameSparks;
  }
});

// node_modules/aws-sdk/apis/pinpoint-sms-voice-v2-2022-03-31.min.json
var require_pinpoint_sms_voice_v2_2022_03_31_min = __commonJS({
  "node_modules/aws-sdk/apis/pinpoint-sms-voice-v2-2022-03-31.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-03-31",
        endpointPrefix: "sms-voice",
        jsonVersion: "1.0",
        protocol: "json",
        serviceFullName: "Amazon Pinpoint SMS Voice V2",
        serviceId: "Pinpoint SMS Voice V2",
        signatureVersion: "v4",
        signingName: "sms-voice",
        targetPrefix: "PinpointSMSVoiceV2",
        uid: "pinpoint-sms-voice-v2-2022-03-31"
      },
      operations: {
        AssociateOriginationIdentity: {
          input: {
            type: "structure",
            required: [
              "PoolId",
              "OriginationIdentity",
              "IsoCountryCode"
            ],
            members: {
              PoolId: {},
              OriginationIdentity: {},
              IsoCountryCode: {},
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PoolArn: {},
              PoolId: {},
              OriginationIdentityArn: {},
              OriginationIdentity: {},
              IsoCountryCode: {}
            }
          }
        },
        CreateConfigurationSet: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {},
              Tags: {
                shape: "Sa"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationSetArn: {},
              ConfigurationSetName: {},
              Tags: {
                shape: "Sa"
              },
              CreatedTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        CreateEventDestination: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "EventDestinationName",
              "MatchingEventTypes"
            ],
            members: {
              ConfigurationSetName: {},
              EventDestinationName: {},
              MatchingEventTypes: {
                shape: "Sj"
              },
              CloudWatchLogsDestination: {
                shape: "Sl"
              },
              KinesisFirehoseDestination: {
                shape: "So"
              },
              SnsDestination: {
                shape: "Sq"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationSetArn: {},
              ConfigurationSetName: {},
              EventDestination: {
                shape: "St"
              }
            }
          }
        },
        CreateOptOutList: {
          input: {
            type: "structure",
            required: [
              "OptOutListName"
            ],
            members: {
              OptOutListName: {},
              Tags: {
                shape: "Sa"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OptOutListArn: {},
              OptOutListName: {},
              Tags: {
                shape: "Sa"
              },
              CreatedTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        CreatePool: {
          input: {
            type: "structure",
            required: [
              "OriginationIdentity",
              "IsoCountryCode",
              "MessageType"
            ],
            members: {
              OriginationIdentity: {},
              IsoCountryCode: {},
              MessageType: {},
              DeletionProtectionEnabled: {
                type: "boolean"
              },
              Tags: {
                shape: "Sa"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PoolArn: {},
              PoolId: {},
              Status: {},
              MessageType: {},
              TwoWayEnabled: {
                type: "boolean"
              },
              TwoWayChannelArn: {},
              SelfManagedOptOutsEnabled: {
                type: "boolean"
              },
              OptOutListName: {},
              SharedRoutesEnabled: {
                type: "boolean"
              },
              DeletionProtectionEnabled: {
                type: "boolean"
              },
              Tags: {
                shape: "Sa"
              },
              CreatedTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        DeleteConfigurationSet: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationSetArn: {},
              ConfigurationSetName: {},
              EventDestinations: {
                shape: "S16"
              },
              DefaultMessageType: {},
              DefaultSenderId: {},
              CreatedTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        DeleteDefaultMessageType: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationSetArn: {},
              ConfigurationSetName: {},
              MessageType: {}
            }
          }
        },
        DeleteDefaultSenderId: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName"
            ],
            members: {
              ConfigurationSetName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationSetArn: {},
              ConfigurationSetName: {},
              SenderId: {}
            }
          }
        },
        DeleteEventDestination: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "EventDestinationName"
            ],
            members: {
              ConfigurationSetName: {},
              EventDestinationName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationSetArn: {},
              ConfigurationSetName: {},
              EventDestination: {
                shape: "St"
              }
            }
          }
        },
        DeleteKeyword: {
          input: {
            type: "structure",
            required: [
              "OriginationIdentity",
              "Keyword"
            ],
            members: {
              OriginationIdentity: {},
              Keyword: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OriginationIdentityArn: {},
              OriginationIdentity: {},
              Keyword: {},
              KeywordMessage: {},
              KeywordAction: {}
            }
          }
        },
        DeleteOptOutList: {
          input: {
            type: "structure",
            required: [
              "OptOutListName"
            ],
            members: {
              OptOutListName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OptOutListArn: {},
              OptOutListName: {},
              CreatedTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        DeleteOptedOutNumber: {
          input: {
            type: "structure",
            required: [
              "OptOutListName",
              "OptedOutNumber"
            ],
            members: {
              OptOutListName: {},
              OptedOutNumber: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OptOutListArn: {},
              OptOutListName: {},
              OptedOutNumber: {},
              OptedOutTimestamp: {
                type: "timestamp"
              },
              EndUserOptedOut: {
                type: "boolean"
              }
            }
          }
        },
        DeletePool: {
          input: {
            type: "structure",
            required: [
              "PoolId"
            ],
            members: {
              PoolId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PoolArn: {},
              PoolId: {},
              Status: {},
              MessageType: {},
              TwoWayEnabled: {
                type: "boolean"
              },
              TwoWayChannelArn: {},
              SelfManagedOptOutsEnabled: {
                type: "boolean"
              },
              OptOutListName: {},
              SharedRoutesEnabled: {
                type: "boolean"
              },
              CreatedTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        DeleteTextMessageSpendLimitOverride: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              MonthlyLimit: {
                type: "long"
              }
            }
          }
        },
        DeleteVoiceMessageSpendLimitOverride: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              MonthlyLimit: {
                type: "long"
              }
            }
          }
        },
        DescribeAccountAttributes: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccountAttributes: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Value"
                  ],
                  members: {
                    Name: {},
                    Value: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeAccountLimits: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              AccountLimits: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Used",
                    "Max"
                  ],
                  members: {
                    Name: {},
                    Used: {
                      type: "long"
                    },
                    Max: {
                      type: "long"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeConfigurationSets: {
          input: {
            type: "structure",
            members: {
              ConfigurationSetNames: {
                type: "list",
                member: {}
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Values"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      shape: "S2f"
                    }
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ConfigurationSetArn",
                    "ConfigurationSetName",
                    "EventDestinations",
                    "CreatedTimestamp"
                  ],
                  members: {
                    ConfigurationSetArn: {},
                    ConfigurationSetName: {},
                    EventDestinations: {
                      shape: "S16"
                    },
                    DefaultMessageType: {},
                    DefaultSenderId: {},
                    CreatedTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeKeywords: {
          input: {
            type: "structure",
            required: [
              "OriginationIdentity"
            ],
            members: {
              OriginationIdentity: {},
              Keywords: {
                type: "list",
                member: {}
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Values"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      shape: "S2f"
                    }
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OriginationIdentityArn: {},
              OriginationIdentity: {},
              Keywords: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Keyword",
                    "KeywordMessage",
                    "KeywordAction"
                  ],
                  members: {
                    Keyword: {},
                    KeywordMessage: {},
                    KeywordAction: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeOptOutLists: {
          input: {
            type: "structure",
            members: {
              OptOutListNames: {
                type: "list",
                member: {}
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OptOutLists: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "OptOutListArn",
                    "OptOutListName",
                    "CreatedTimestamp"
                  ],
                  members: {
                    OptOutListArn: {},
                    OptOutListName: {},
                    CreatedTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeOptedOutNumbers: {
          input: {
            type: "structure",
            required: [
              "OptOutListName"
            ],
            members: {
              OptOutListName: {},
              OptedOutNumbers: {
                type: "list",
                member: {}
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Values"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      shape: "S2f"
                    }
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              OptOutListArn: {},
              OptOutListName: {},
              OptedOutNumbers: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "OptedOutNumber",
                    "OptedOutTimestamp",
                    "EndUserOptedOut"
                  ],
                  members: {
                    OptedOutNumber: {},
                    OptedOutTimestamp: {
                      type: "timestamp"
                    },
                    EndUserOptedOut: {
                      type: "boolean"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribePhoneNumbers: {
          input: {
            type: "structure",
            members: {
              PhoneNumberIds: {
                type: "list",
                member: {}
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Values"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      shape: "S2f"
                    }
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumbers: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "PhoneNumberArn",
                    "PhoneNumber",
                    "Status",
                    "IsoCountryCode",
                    "MessageType",
                    "NumberCapabilities",
                    "NumberType",
                    "MonthlyLeasingPrice",
                    "TwoWayEnabled",
                    "SelfManagedOptOutsEnabled",
                    "OptOutListName",
                    "DeletionProtectionEnabled",
                    "CreatedTimestamp"
                  ],
                  members: {
                    PhoneNumberArn: {},
                    PhoneNumberId: {},
                    PhoneNumber: {},
                    Status: {},
                    IsoCountryCode: {},
                    MessageType: {},
                    NumberCapabilities: {
                      shape: "S3f"
                    },
                    NumberType: {},
                    MonthlyLeasingPrice: {},
                    TwoWayEnabled: {
                      type: "boolean"
                    },
                    TwoWayChannelArn: {},
                    SelfManagedOptOutsEnabled: {
                      type: "boolean"
                    },
                    OptOutListName: {},
                    DeletionProtectionEnabled: {
                      type: "boolean"
                    },
                    PoolId: {},
                    CreatedTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribePools: {
          input: {
            type: "structure",
            members: {
              PoolIds: {
                type: "list",
                member: {}
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Values"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      shape: "S2f"
                    }
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Pools: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "PoolArn",
                    "PoolId",
                    "Status",
                    "MessageType",
                    "TwoWayEnabled",
                    "SelfManagedOptOutsEnabled",
                    "OptOutListName",
                    "SharedRoutesEnabled",
                    "DeletionProtectionEnabled",
                    "CreatedTimestamp"
                  ],
                  members: {
                    PoolArn: {},
                    PoolId: {},
                    Status: {},
                    MessageType: {},
                    TwoWayEnabled: {
                      type: "boolean"
                    },
                    TwoWayChannelArn: {},
                    SelfManagedOptOutsEnabled: {
                      type: "boolean"
                    },
                    OptOutListName: {},
                    SharedRoutesEnabled: {
                      type: "boolean"
                    },
                    DeletionProtectionEnabled: {
                      type: "boolean"
                    },
                    CreatedTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeSenderIds: {
          input: {
            type: "structure",
            members: {
              SenderIds: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "SenderId",
                    "IsoCountryCode"
                  ],
                  members: {
                    SenderId: {},
                    IsoCountryCode: {}
                  }
                }
              },
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Values"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      shape: "S2f"
                    }
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SenderIds: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "SenderIdArn",
                    "SenderId",
                    "IsoCountryCode",
                    "MessageTypes",
                    "MonthlyLeasingPrice"
                  ],
                  members: {
                    SenderIdArn: {},
                    SenderId: {},
                    IsoCountryCode: {},
                    MessageTypes: {
                      type: "list",
                      member: {}
                    },
                    MonthlyLeasingPrice: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DescribeSpendLimits: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SpendLimits: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "EnforcedLimit",
                    "MaxLimit",
                    "Overridden"
                  ],
                  members: {
                    Name: {},
                    EnforcedLimit: {
                      type: "long"
                    },
                    MaxLimit: {
                      type: "long"
                    },
                    Overridden: {
                      type: "boolean"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        DisassociateOriginationIdentity: {
          input: {
            type: "structure",
            required: [
              "PoolId",
              "OriginationIdentity",
              "IsoCountryCode"
            ],
            members: {
              PoolId: {},
              OriginationIdentity: {},
              IsoCountryCode: {},
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PoolArn: {},
              PoolId: {},
              OriginationIdentityArn: {},
              OriginationIdentity: {},
              IsoCountryCode: {}
            }
          }
        },
        ListPoolOriginationIdentities: {
          input: {
            type: "structure",
            required: [
              "PoolId"
            ],
            members: {
              PoolId: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Values"
                  ],
                  members: {
                    Name: {},
                    Values: {
                      shape: "S2f"
                    }
                  }
                }
              },
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PoolArn: {},
              PoolId: {},
              OriginationIdentities: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "OriginationIdentityArn",
                    "OriginationIdentity",
                    "IsoCountryCode",
                    "NumberCapabilities"
                  ],
                  members: {
                    OriginationIdentityArn: {},
                    OriginationIdentity: {},
                    IsoCountryCode: {},
                    NumberCapabilities: {
                      shape: "S3f"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sa"
              }
            }
          }
        },
        PutKeyword: {
          input: {
            type: "structure",
            required: [
              "OriginationIdentity",
              "Keyword",
              "KeywordMessage"
            ],
            members: {
              OriginationIdentity: {},
              Keyword: {},
              KeywordMessage: {},
              KeywordAction: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OriginationIdentityArn: {},
              OriginationIdentity: {},
              Keyword: {},
              KeywordMessage: {},
              KeywordAction: {}
            }
          }
        },
        PutOptedOutNumber: {
          input: {
            type: "structure",
            required: [
              "OptOutListName",
              "OptedOutNumber"
            ],
            members: {
              OptOutListName: {},
              OptedOutNumber: {}
            }
          },
          output: {
            type: "structure",
            members: {
              OptOutListArn: {},
              OptOutListName: {},
              OptedOutNumber: {},
              OptedOutTimestamp: {
                type: "timestamp"
              },
              EndUserOptedOut: {
                type: "boolean"
              }
            }
          }
        },
        ReleasePhoneNumber: {
          input: {
            type: "structure",
            required: [
              "PhoneNumberId"
            ],
            members: {
              PhoneNumberId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberArn: {},
              PhoneNumberId: {},
              PhoneNumber: {},
              Status: {},
              IsoCountryCode: {},
              MessageType: {},
              NumberCapabilities: {
                shape: "S3f"
              },
              NumberType: {},
              MonthlyLeasingPrice: {},
              TwoWayEnabled: {
                type: "boolean"
              },
              TwoWayChannelArn: {},
              SelfManagedOptOutsEnabled: {
                type: "boolean"
              },
              OptOutListName: {},
              CreatedTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        RequestPhoneNumber: {
          input: {
            type: "structure",
            required: [
              "IsoCountryCode",
              "MessageType",
              "NumberCapabilities",
              "NumberType"
            ],
            members: {
              IsoCountryCode: {},
              MessageType: {},
              NumberCapabilities: {
                shape: "S3f"
              },
              NumberType: {},
              OptOutListName: {},
              PoolId: {},
              RegistrationId: {},
              DeletionProtectionEnabled: {
                type: "boolean"
              },
              Tags: {
                shape: "Sa"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberArn: {},
              PhoneNumberId: {},
              PhoneNumber: {},
              Status: {},
              IsoCountryCode: {},
              MessageType: {},
              NumberCapabilities: {
                shape: "S3f"
              },
              NumberType: {},
              MonthlyLeasingPrice: {},
              TwoWayEnabled: {
                type: "boolean"
              },
              TwoWayChannelArn: {},
              SelfManagedOptOutsEnabled: {
                type: "boolean"
              },
              OptOutListName: {},
              DeletionProtectionEnabled: {
                type: "boolean"
              },
              PoolId: {},
              Tags: {
                shape: "Sa"
              },
              CreatedTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        SendTextMessage: {
          input: {
            type: "structure",
            required: [
              "DestinationPhoneNumber"
            ],
            members: {
              DestinationPhoneNumber: {},
              OriginationIdentity: {},
              MessageBody: {},
              MessageType: {},
              Keyword: {},
              ConfigurationSetName: {},
              MaxPrice: {},
              TimeToLive: {
                type: "integer"
              },
              Context: {
                shape: "S4x"
              },
              DestinationCountryParameters: {
                type: "map",
                key: {},
                value: {}
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MessageId: {}
            }
          }
        },
        SendVoiceMessage: {
          input: {
            type: "structure",
            required: [
              "DestinationPhoneNumber",
              "OriginationIdentity"
            ],
            members: {
              DestinationPhoneNumber: {},
              OriginationIdentity: {},
              MessageBody: {},
              MessageBodyTextType: {},
              VoiceId: {},
              ConfigurationSetName: {},
              MaxPricePerMinute: {},
              TimeToLive: {
                type: "integer"
              },
              Context: {
                shape: "S4x"
              },
              DryRun: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MessageId: {}
            }
          }
        },
        SetDefaultMessageType: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "MessageType"
            ],
            members: {
              ConfigurationSetName: {},
              MessageType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationSetArn: {},
              ConfigurationSetName: {},
              MessageType: {}
            }
          }
        },
        SetDefaultSenderId: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "SenderId"
            ],
            members: {
              ConfigurationSetName: {},
              SenderId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationSetArn: {},
              ConfigurationSetName: {},
              SenderId: {}
            }
          }
        },
        SetTextMessageSpendLimitOverride: {
          input: {
            type: "structure",
            required: [
              "MonthlyLimit"
            ],
            members: {
              MonthlyLimit: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MonthlyLimit: {
                type: "long"
              }
            }
          }
        },
        SetVoiceMessageSpendLimitOverride: {
          input: {
            type: "structure",
            required: [
              "MonthlyLimit"
            ],
            members: {
              MonthlyLimit: {
                type: "long"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MonthlyLimit: {
                type: "long"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                type: "list",
                member: {
                  shape: "Sb"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateEventDestination: {
          input: {
            type: "structure",
            required: [
              "ConfigurationSetName",
              "EventDestinationName"
            ],
            members: {
              ConfigurationSetName: {},
              EventDestinationName: {},
              Enabled: {
                type: "boolean"
              },
              MatchingEventTypes: {
                shape: "Sj"
              },
              CloudWatchLogsDestination: {
                shape: "Sl"
              },
              KinesisFirehoseDestination: {
                shape: "So"
              },
              SnsDestination: {
                shape: "Sq"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ConfigurationSetArn: {},
              ConfigurationSetName: {},
              EventDestination: {
                shape: "St"
              }
            }
          }
        },
        UpdatePhoneNumber: {
          input: {
            type: "structure",
            required: [
              "PhoneNumberId"
            ],
            members: {
              PhoneNumberId: {},
              TwoWayEnabled: {
                type: "boolean"
              },
              TwoWayChannelArn: {},
              SelfManagedOptOutsEnabled: {
                type: "boolean"
              },
              OptOutListName: {},
              DeletionProtectionEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberArn: {},
              PhoneNumberId: {},
              PhoneNumber: {},
              Status: {},
              IsoCountryCode: {},
              MessageType: {},
              NumberCapabilities: {
                shape: "S3f"
              },
              NumberType: {},
              MonthlyLeasingPrice: {},
              TwoWayEnabled: {
                type: "boolean"
              },
              TwoWayChannelArn: {},
              SelfManagedOptOutsEnabled: {
                type: "boolean"
              },
              OptOutListName: {},
              DeletionProtectionEnabled: {
                type: "boolean"
              },
              CreatedTimestamp: {
                type: "timestamp"
              }
            }
          }
        },
        UpdatePool: {
          input: {
            type: "structure",
            required: [
              "PoolId"
            ],
            members: {
              PoolId: {},
              TwoWayEnabled: {
                type: "boolean"
              },
              TwoWayChannelArn: {},
              SelfManagedOptOutsEnabled: {
                type: "boolean"
              },
              OptOutListName: {},
              SharedRoutesEnabled: {
                type: "boolean"
              },
              DeletionProtectionEnabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PoolArn: {},
              PoolId: {},
              Status: {},
              MessageType: {},
              TwoWayEnabled: {
                type: "boolean"
              },
              TwoWayChannelArn: {},
              SelfManagedOptOutsEnabled: {
                type: "boolean"
              },
              OptOutListName: {},
              SharedRoutesEnabled: {
                type: "boolean"
              },
              DeletionProtectionEnabled: {
                type: "boolean"
              },
              CreatedTimestamp: {
                type: "timestamp"
              }
            }
          }
        }
      },
      shapes: {
        Sa: {
          type: "list",
          member: {
            shape: "Sb"
          }
        },
        Sb: {
          type: "structure",
          required: [
            "Key",
            "Value"
          ],
          members: {
            Key: {},
            Value: {}
          }
        },
        Sj: {
          type: "list",
          member: {}
        },
        Sl: {
          type: "structure",
          required: [
            "IamRoleArn",
            "LogGroupArn"
          ],
          members: {
            IamRoleArn: {},
            LogGroupArn: {}
          }
        },
        So: {
          type: "structure",
          required: [
            "IamRoleArn",
            "DeliveryStreamArn"
          ],
          members: {
            IamRoleArn: {},
            DeliveryStreamArn: {}
          }
        },
        Sq: {
          type: "structure",
          required: [
            "TopicArn"
          ],
          members: {
            TopicArn: {}
          }
        },
        St: {
          type: "structure",
          required: [
            "EventDestinationName",
            "Enabled",
            "MatchingEventTypes"
          ],
          members: {
            EventDestinationName: {},
            Enabled: {
              type: "boolean"
            },
            MatchingEventTypes: {
              shape: "Sj"
            },
            CloudWatchLogsDestination: {
              shape: "Sl"
            },
            KinesisFirehoseDestination: {
              shape: "So"
            },
            SnsDestination: {
              shape: "Sq"
            }
          }
        },
        S16: {
          type: "list",
          member: {
            shape: "St"
          }
        },
        S2f: {
          type: "list",
          member: {}
        },
        S3f: {
          type: "list",
          member: {}
        },
        S4x: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/pinpoint-sms-voice-v2-2022-03-31.paginators.json
var require_pinpoint_sms_voice_v2_2022_03_31_paginators = __commonJS({
  "node_modules/aws-sdk/apis/pinpoint-sms-voice-v2-2022-03-31.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        DescribeAccountAttributes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "AccountAttributes"
        },
        DescribeAccountLimits: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "AccountLimits"
        },
        DescribeConfigurationSets: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ConfigurationSets"
        },
        DescribeKeywords: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Keywords"
        },
        DescribeOptOutLists: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "OptOutLists"
        },
        DescribeOptedOutNumbers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "OptedOutNumbers"
        },
        DescribePhoneNumbers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "PhoneNumbers"
        },
        DescribePools: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Pools"
        },
        DescribeSenderIds: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "SenderIds"
        },
        DescribeSpendLimits: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "SpendLimits"
        },
        ListPoolOriginationIdentities: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "OriginationIdentities"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/pinpoint-sms-voice-v2-2022-03-31.waiters2.json
var require_pinpoint_sms_voice_v2_2022_03_31_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/pinpoint-sms-voice-v2-2022-03-31.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {}
    };
  }
});

// node_modules/aws-sdk/clients/pinpointsmsvoicev2.js
var require_pinpointsmsvoicev2 = __commonJS({
  "node_modules/aws-sdk/clients/pinpointsmsvoicev2.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["pinpointsmsvoicev2"] = {};
    AWS2.PinpointSMSVoiceV2 = Service.defineService("pinpointsmsvoicev2", ["2022-03-31"]);
    Object.defineProperty(apiLoader.services["pinpointsmsvoicev2"], "2022-03-31", {
      get: function get() {
        var model = require_pinpoint_sms_voice_v2_2022_03_31_min();
        model.paginators = require_pinpoint_sms_voice_v2_2022_03_31_paginators().pagination;
        model.waiters = require_pinpoint_sms_voice_v2_2022_03_31_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.PinpointSMSVoiceV2;
  }
});

// node_modules/aws-sdk/apis/ivschat-2020-07-14.min.json
var require_ivschat_2020_07_14_min = __commonJS({
  "node_modules/aws-sdk/apis/ivschat-2020-07-14.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-07-14",
        endpointPrefix: "ivschat",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "ivschat",
        serviceFullName: "Amazon Interactive Video Service Chat",
        serviceId: "ivschat",
        signatureVersion: "v4",
        signingName: "ivschat",
        uid: "ivschat-2020-07-14"
      },
      operations: {
        CreateChatToken: {
          http: {
            requestUri: "/CreateChatToken",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "roomIdentifier",
              "userId"
            ],
            members: {
              attributes: {
                type: "map",
                key: {},
                value: {}
              },
              capabilities: {
                type: "list",
                member: {}
              },
              roomIdentifier: {},
              sessionDurationInMinutes: {
                type: "integer"
              },
              userId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              sessionExpirationTime: {
                shape: "Sa"
              },
              token: {},
              tokenExpirationTime: {
                shape: "Sa"
              }
            }
          }
        },
        CreateLoggingConfiguration: {
          http: {
            requestUri: "/CreateLoggingConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "destinationConfiguration"
            ],
            members: {
              destinationConfiguration: {
                shape: "Sd"
              },
              name: {},
              tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              createTime: {
                shape: "Sa"
              },
              destinationConfiguration: {
                shape: "Sd"
              },
              id: {},
              name: {},
              state: {},
              tags: {
                shape: "Sl"
              },
              updateTime: {
                shape: "Sa"
              }
            }
          }
        },
        CreateRoom: {
          http: {
            requestUri: "/CreateRoom",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              loggingConfigurationIdentifiers: {
                shape: "St"
              },
              maximumMessageLength: {
                type: "integer"
              },
              maximumMessageRatePerSecond: {
                type: "integer"
              },
              messageReviewHandler: {
                shape: "Sx"
              },
              name: {},
              tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              createTime: {
                shape: "Sa"
              },
              id: {},
              loggingConfigurationIdentifiers: {
                shape: "St"
              },
              maximumMessageLength: {
                type: "integer"
              },
              maximumMessageRatePerSecond: {
                type: "integer"
              },
              messageReviewHandler: {
                shape: "Sx"
              },
              name: {},
              tags: {
                shape: "Sl"
              },
              updateTime: {
                shape: "Sa"
              }
            }
          }
        },
        DeleteLoggingConfiguration: {
          http: {
            requestUri: "/DeleteLoggingConfiguration",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "identifier"
            ],
            members: {
              identifier: {}
            }
          }
        },
        DeleteMessage: {
          http: {
            requestUri: "/DeleteMessage",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id",
              "roomIdentifier"
            ],
            members: {
              id: {},
              reason: {},
              roomIdentifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              id: {}
            }
          }
        },
        DeleteRoom: {
          http: {
            requestUri: "/DeleteRoom",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "identifier"
            ],
            members: {
              identifier: {}
            }
          }
        },
        DisconnectUser: {
          http: {
            requestUri: "/DisconnectUser",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "roomIdentifier",
              "userId"
            ],
            members: {
              reason: {},
              roomIdentifier: {},
              userId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetLoggingConfiguration: {
          http: {
            requestUri: "/GetLoggingConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "identifier"
            ],
            members: {
              identifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              createTime: {
                shape: "Sa"
              },
              destinationConfiguration: {
                shape: "Sd"
              },
              id: {},
              name: {},
              state: {},
              tags: {
                shape: "Sl"
              },
              updateTime: {
                shape: "Sa"
              }
            }
          }
        },
        GetRoom: {
          http: {
            requestUri: "/GetRoom",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "identifier"
            ],
            members: {
              identifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              createTime: {
                shape: "Sa"
              },
              id: {},
              loggingConfigurationIdentifiers: {
                shape: "St"
              },
              maximumMessageLength: {
                type: "integer"
              },
              maximumMessageRatePerSecond: {
                type: "integer"
              },
              messageReviewHandler: {
                shape: "Sx"
              },
              name: {},
              tags: {
                shape: "Sl"
              },
              updateTime: {
                shape: "Sa"
              }
            }
          }
        },
        ListLoggingConfigurations: {
          http: {
            requestUri: "/ListLoggingConfigurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "loggingConfigurations"
            ],
            members: {
              loggingConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    createTime: {
                      shape: "Sa"
                    },
                    destinationConfiguration: {
                      shape: "Sd"
                    },
                    id: {},
                    name: {},
                    state: {},
                    tags: {
                      shape: "Sl"
                    },
                    updateTime: {
                      shape: "Sa"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListRooms: {
          http: {
            requestUri: "/ListRooms",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              loggingConfigurationIdentifier: {},
              maxResults: {
                type: "integer"
              },
              messageReviewHandlerUri: {},
              name: {},
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "rooms"
            ],
            members: {
              nextToken: {},
              rooms: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    createTime: {
                      shape: "Sa"
                    },
                    id: {},
                    loggingConfigurationIdentifiers: {
                      shape: "St"
                    },
                    messageReviewHandler: {
                      shape: "Sx"
                    },
                    name: {},
                    tags: {
                      shape: "Sl"
                    },
                    updateTime: {
                      shape: "Sa"
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "tags"
            ],
            members: {
              tags: {
                shape: "Sl"
              }
            }
          }
        },
        SendEvent: {
          http: {
            requestUri: "/SendEvent",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "eventName",
              "roomIdentifier"
            ],
            members: {
              attributes: {
                type: "map",
                key: {},
                value: {}
              },
              eventName: {},
              roomIdentifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              id: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateLoggingConfiguration: {
          http: {
            requestUri: "/UpdateLoggingConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "identifier"
            ],
            members: {
              destinationConfiguration: {
                shape: "Sd"
              },
              identifier: {},
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              createTime: {
                shape: "Sa"
              },
              destinationConfiguration: {
                shape: "Sd"
              },
              id: {},
              name: {},
              state: {},
              tags: {
                shape: "Sl"
              },
              updateTime: {
                shape: "Sa"
              }
            }
          }
        },
        UpdateRoom: {
          http: {
            requestUri: "/UpdateRoom",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "identifier"
            ],
            members: {
              identifier: {},
              loggingConfigurationIdentifiers: {
                shape: "St"
              },
              maximumMessageLength: {
                type: "integer"
              },
              maximumMessageRatePerSecond: {
                type: "integer"
              },
              messageReviewHandler: {
                shape: "Sx"
              },
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              createTime: {
                shape: "Sa"
              },
              id: {},
              loggingConfigurationIdentifiers: {
                shape: "St"
              },
              maximumMessageLength: {
                type: "integer"
              },
              maximumMessageRatePerSecond: {
                type: "integer"
              },
              messageReviewHandler: {
                shape: "Sx"
              },
              name: {},
              tags: {
                shape: "Sl"
              },
              updateTime: {
                shape: "Sa"
              }
            }
          }
        }
      },
      shapes: {
        Sa: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sd: {
          type: "structure",
          members: {
            cloudWatchLogs: {
              type: "structure",
              required: [
                "logGroupName"
              ],
              members: {
                logGroupName: {}
              }
            },
            firehose: {
              type: "structure",
              required: [
                "deliveryStreamName"
              ],
              members: {
                deliveryStreamName: {}
              }
            },
            s3: {
              type: "structure",
              required: [
                "bucketName"
              ],
              members: {
                bucketName: {}
              }
            }
          },
          union: true
        },
        Sl: {
          type: "map",
          key: {},
          value: {}
        },
        St: {
          type: "list",
          member: {}
        },
        Sx: {
          type: "structure",
          members: {
            fallbackResult: {},
            uri: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ivschat-2020-07-14.paginators.json
var require_ivschat_2020_07_14_paginators = __commonJS({
  "node_modules/aws-sdk/apis/ivschat-2020-07-14.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListLoggingConfigurations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListRooms: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/ivschat.js
var require_ivschat = __commonJS({
  "node_modules/aws-sdk/clients/ivschat.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ivschat"] = {};
    AWS2.Ivschat = Service.defineService("ivschat", ["2020-07-14"]);
    Object.defineProperty(apiLoader.services["ivschat"], "2020-07-14", {
      get: function get() {
        var model = require_ivschat_2020_07_14_min();
        model.paginators = require_ivschat_2020_07_14_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Ivschat;
  }
});

// node_modules/aws-sdk/apis/chime-sdk-media-pipelines-2021-07-15.min.json
var require_chime_sdk_media_pipelines_2021_07_15_min = __commonJS({
  "node_modules/aws-sdk/apis/chime-sdk-media-pipelines-2021-07-15.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-07-15",
        endpointPrefix: "media-pipelines-chime",
        protocol: "rest-json",
        serviceFullName: "Amazon Chime SDK Media Pipelines",
        serviceId: "Chime SDK Media Pipelines",
        signatureVersion: "v4",
        signingName: "chime",
        uid: "chime-sdk-media-pipelines-2021-07-15"
      },
      operations: {
        CreateMediaCapturePipeline: {
          http: {
            requestUri: "/sdk-media-capture-pipelines",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "SourceType",
              "SourceArn",
              "SinkType",
              "SinkArn"
            ],
            members: {
              SourceType: {},
              SourceArn: {
                shape: "S3"
              },
              SinkType: {},
              SinkArn: {
                shape: "S3"
              },
              ClientRequestToken: {
                shape: "S5",
                idempotencyToken: true
              },
              ChimeSdkMeetingConfiguration: {
                shape: "S6"
              },
              Tags: {
                shape: "Ss"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MediaCapturePipeline: {
                shape: "Sx"
              }
            }
          }
        },
        CreateMediaConcatenationPipeline: {
          http: {
            requestUri: "/sdk-media-concatenation-pipelines",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Sources",
              "Sinks"
            ],
            members: {
              Sources: {
                shape: "S12"
              },
              Sinks: {
                shape: "S1h"
              },
              ClientRequestToken: {
                shape: "S5",
                idempotencyToken: true
              },
              Tags: {
                shape: "Ss"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MediaConcatenationPipeline: {
                shape: "S1m"
              }
            }
          }
        },
        CreateMediaInsightsPipeline: {
          http: {
            requestUri: "/media-insights-pipelines",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "MediaInsightsPipelineConfigurationArn"
            ],
            members: {
              MediaInsightsPipelineConfigurationArn: {
                shape: "S3"
              },
              KinesisVideoStreamSourceRuntimeConfiguration: {
                shape: "S1o"
              },
              MediaInsightsRuntimeMetadata: {
                shape: "S21"
              },
              KinesisVideoStreamRecordingSourceRuntimeConfiguration: {
                shape: "S24"
              },
              S3RecordingSinkRuntimeConfiguration: {
                shape: "S2b"
              },
              Tags: {
                shape: "Ss"
              },
              ClientRequestToken: {
                shape: "S5",
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "MediaInsightsPipeline"
            ],
            members: {
              MediaInsightsPipeline: {
                shape: "S2e"
              }
            }
          }
        },
        CreateMediaInsightsPipelineConfiguration: {
          http: {
            requestUri: "/media-insights-pipeline-configurations",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "MediaInsightsPipelineConfigurationName",
              "ResourceAccessRoleArn",
              "Elements"
            ],
            members: {
              MediaInsightsPipelineConfigurationName: {},
              ResourceAccessRoleArn: {
                shape: "S3"
              },
              RealTimeAlertConfiguration: {
                shape: "S2h"
              },
              Elements: {
                shape: "S2u"
              },
              Tags: {
                shape: "Ss"
              },
              ClientRequestToken: {
                shape: "S5",
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MediaInsightsPipelineConfiguration: {
                shape: "S3j"
              }
            }
          }
        },
        CreateMediaLiveConnectorPipeline: {
          http: {
            requestUri: "/sdk-media-live-connector-pipelines",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Sources",
              "Sinks"
            ],
            members: {
              Sources: {
                shape: "S3l"
              },
              Sinks: {
                shape: "S3q"
              },
              ClientRequestToken: {
                shape: "S5",
                idempotencyToken: true
              },
              Tags: {
                shape: "Ss"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MediaLiveConnectorPipeline: {
                shape: "S3y"
              }
            }
          }
        },
        DeleteMediaCapturePipeline: {
          http: {
            method: "DELETE",
            requestUri: "/sdk-media-capture-pipelines/{mediaPipelineId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "MediaPipelineId"
            ],
            members: {
              MediaPipelineId: {
                location: "uri",
                locationName: "mediaPipelineId"
              }
            }
          }
        },
        DeleteMediaInsightsPipelineConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/media-insights-pipeline-configurations/{identifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "identifier"
              }
            }
          }
        },
        DeleteMediaPipeline: {
          http: {
            method: "DELETE",
            requestUri: "/sdk-media-pipelines/{mediaPipelineId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "MediaPipelineId"
            ],
            members: {
              MediaPipelineId: {
                location: "uri",
                locationName: "mediaPipelineId"
              }
            }
          }
        },
        GetMediaCapturePipeline: {
          http: {
            method: "GET",
            requestUri: "/sdk-media-capture-pipelines/{mediaPipelineId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MediaPipelineId"
            ],
            members: {
              MediaPipelineId: {
                location: "uri",
                locationName: "mediaPipelineId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MediaCapturePipeline: {
                shape: "Sx"
              }
            }
          }
        },
        GetMediaInsightsPipelineConfiguration: {
          http: {
            method: "GET",
            requestUri: "/media-insights-pipeline-configurations/{identifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "identifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MediaInsightsPipelineConfiguration: {
                shape: "S3j"
              }
            }
          }
        },
        GetMediaPipeline: {
          http: {
            method: "GET",
            requestUri: "/sdk-media-pipelines/{mediaPipelineId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MediaPipelineId"
            ],
            members: {
              MediaPipelineId: {
                location: "uri",
                locationName: "mediaPipelineId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MediaPipeline: {
                type: "structure",
                members: {
                  MediaCapturePipeline: {
                    shape: "Sx"
                  },
                  MediaLiveConnectorPipeline: {
                    shape: "S3y"
                  },
                  MediaConcatenationPipeline: {
                    shape: "S1m"
                  },
                  MediaInsightsPipeline: {
                    shape: "S2e"
                  }
                }
              }
            }
          }
        },
        ListMediaCapturePipelines: {
          http: {
            method: "GET",
            requestUri: "/sdk-media-capture-pipelines",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MediaCapturePipelines: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MediaPipelineId: {},
                    MediaPipelineArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListMediaInsightsPipelineConfigurations: {
          http: {
            method: "GET",
            requestUri: "/media-insights-pipeline-configurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MediaInsightsPipelineConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MediaInsightsPipelineConfigurationName: {},
                    MediaInsightsPipelineConfigurationId: {},
                    MediaInsightsPipelineConfigurationArn: {
                      shape: "S3"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListMediaPipelines: {
          http: {
            method: "GET",
            requestUri: "/sdk-media-pipelines",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MediaPipelines: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    MediaPipelineId: {},
                    MediaPipelineArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {
                location: "querystring",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Ss"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags?operation=tag-resource",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "Ss"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            requestUri: "/tags?operation=untag-resource",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateMediaInsightsPipelineConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/media-insights-pipeline-configurations/{identifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Identifier",
              "ResourceAccessRoleArn",
              "Elements"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "identifier"
              },
              ResourceAccessRoleArn: {
                shape: "S3"
              },
              RealTimeAlertConfiguration: {
                shape: "S2h"
              },
              Elements: {
                shape: "S2u"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MediaInsightsPipelineConfiguration: {
                shape: "S3j"
              }
            }
          }
        },
        UpdateMediaInsightsPipelineStatus: {
          http: {
            method: "PUT",
            requestUri: "/media-insights-pipeline-status/{identifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Identifier",
              "UpdateStatus"
            ],
            members: {
              Identifier: {
                location: "uri",
                locationName: "identifier"
              },
              UpdateStatus: {}
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "string",
          sensitive: true
        },
        S5: {
          type: "string",
          sensitive: true
        },
        S6: {
          type: "structure",
          members: {
            SourceConfiguration: {
              shape: "S7"
            },
            ArtifactsConfiguration: {
              type: "structure",
              required: [
                "Audio",
                "Video",
                "Content"
              ],
              members: {
                Audio: {
                  type: "structure",
                  required: [
                    "MuxType"
                  ],
                  members: {
                    MuxType: {}
                  }
                },
                Video: {
                  type: "structure",
                  required: [
                    "State"
                  ],
                  members: {
                    State: {},
                    MuxType: {}
                  }
                },
                Content: {
                  type: "structure",
                  required: [
                    "State"
                  ],
                  members: {
                    State: {},
                    MuxType: {}
                  }
                },
                CompositedVideo: {
                  shape: "Sl"
                }
              }
            }
          }
        },
        S7: {
          type: "structure",
          members: {
            SelectedVideoStreams: {
              type: "structure",
              members: {
                AttendeeIds: {
                  type: "list",
                  member: {}
                },
                ExternalUserIds: {
                  type: "list",
                  member: {
                    type: "string",
                    sensitive: true
                  }
                }
              }
            }
          }
        },
        Sl: {
          type: "structure",
          required: [
            "GridViewConfiguration"
          ],
          members: {
            Layout: {},
            Resolution: {},
            GridViewConfiguration: {
              type: "structure",
              required: [
                "ContentShareLayout"
              ],
              members: {
                ContentShareLayout: {},
                PresenterOnlyConfiguration: {
                  type: "structure",
                  members: {
                    PresenterPosition: {}
                  }
                }
              }
            }
          }
        },
        Ss: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sx: {
          type: "structure",
          members: {
            MediaPipelineId: {},
            MediaPipelineArn: {},
            SourceType: {},
            SourceArn: {
              shape: "S3"
            },
            Status: {},
            SinkType: {},
            SinkArn: {
              shape: "S3"
            },
            CreatedTimestamp: {
              shape: "S10"
            },
            UpdatedTimestamp: {
              shape: "S10"
            },
            ChimeSdkMeetingConfiguration: {
              shape: "S6"
            }
          }
        },
        S10: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S12: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Type",
              "MediaCapturePipelineSourceConfiguration"
            ],
            members: {
              Type: {},
              MediaCapturePipelineSourceConfiguration: {
                type: "structure",
                required: [
                  "MediaPipelineArn",
                  "ChimeSdkMeetingConfiguration"
                ],
                members: {
                  MediaPipelineArn: {
                    shape: "S3"
                  },
                  ChimeSdkMeetingConfiguration: {
                    type: "structure",
                    required: [
                      "ArtifactsConfiguration"
                    ],
                    members: {
                      ArtifactsConfiguration: {
                        type: "structure",
                        required: [
                          "Audio",
                          "Video",
                          "Content",
                          "DataChannel",
                          "TranscriptionMessages",
                          "MeetingEvents",
                          "CompositedVideo"
                        ],
                        members: {
                          Audio: {
                            type: "structure",
                            required: [
                              "State"
                            ],
                            members: {
                              State: {}
                            }
                          },
                          Video: {
                            type: "structure",
                            required: [
                              "State"
                            ],
                            members: {
                              State: {}
                            }
                          },
                          Content: {
                            type: "structure",
                            required: [
                              "State"
                            ],
                            members: {
                              State: {}
                            }
                          },
                          DataChannel: {
                            type: "structure",
                            required: [
                              "State"
                            ],
                            members: {
                              State: {}
                            }
                          },
                          TranscriptionMessages: {
                            type: "structure",
                            required: [
                              "State"
                            ],
                            members: {
                              State: {}
                            }
                          },
                          MeetingEvents: {
                            type: "structure",
                            required: [
                              "State"
                            ],
                            members: {
                              State: {}
                            }
                          },
                          CompositedVideo: {
                            type: "structure",
                            required: [
                              "State"
                            ],
                            members: {
                              State: {}
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        S1h: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Type",
              "S3BucketSinkConfiguration"
            ],
            members: {
              Type: {},
              S3BucketSinkConfiguration: {
                type: "structure",
                required: [
                  "Destination"
                ],
                members: {
                  Destination: {
                    shape: "S3"
                  }
                }
              }
            }
          }
        },
        S1m: {
          type: "structure",
          members: {
            MediaPipelineId: {},
            MediaPipelineArn: {},
            Sources: {
              shape: "S12"
            },
            Sinks: {
              shape: "S1h"
            },
            Status: {},
            CreatedTimestamp: {
              shape: "S10"
            },
            UpdatedTimestamp: {
              shape: "S10"
            }
          }
        },
        S1o: {
          type: "structure",
          required: [
            "Streams",
            "MediaEncoding",
            "MediaSampleRate"
          ],
          members: {
            Streams: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "StreamArn",
                  "StreamChannelDefinition"
                ],
                members: {
                  StreamArn: {},
                  FragmentNumber: {},
                  StreamChannelDefinition: {
                    type: "structure",
                    required: [
                      "NumberOfChannels"
                    ],
                    members: {
                      NumberOfChannels: {
                        type: "integer"
                      },
                      ChannelDefinitions: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "ChannelId"
                          ],
                          members: {
                            ChannelId: {
                              type: "integer"
                            },
                            ParticipantRole: {}
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            MediaEncoding: {},
            MediaSampleRate: {
              type: "integer"
            }
          }
        },
        S21: {
          type: "map",
          key: {},
          value: {},
          sensitive: true
        },
        S24: {
          type: "structure",
          required: [
            "Streams",
            "FragmentSelector"
          ],
          members: {
            Streams: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  StreamArn: {}
                }
              }
            },
            FragmentSelector: {
              type: "structure",
              required: [
                "FragmentSelectorType",
                "TimestampRange"
              ],
              members: {
                FragmentSelectorType: {},
                TimestampRange: {
                  type: "structure",
                  required: [
                    "StartTimestamp",
                    "EndTimestamp"
                  ],
                  members: {
                    StartTimestamp: {
                      type: "timestamp"
                    },
                    EndTimestamp: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        S2b: {
          type: "structure",
          required: [
            "Destination",
            "RecordingFileFormat"
          ],
          members: {
            Destination: {
              shape: "S3"
            },
            RecordingFileFormat: {}
          }
        },
        S2e: {
          type: "structure",
          members: {
            MediaPipelineId: {},
            MediaPipelineArn: {
              shape: "S3"
            },
            MediaInsightsPipelineConfigurationArn: {
              shape: "S3"
            },
            Status: {},
            KinesisVideoStreamSourceRuntimeConfiguration: {
              shape: "S1o"
            },
            MediaInsightsRuntimeMetadata: {
              shape: "S21"
            },
            KinesisVideoStreamRecordingSourceRuntimeConfiguration: {
              shape: "S24"
            },
            S3RecordingSinkRuntimeConfiguration: {
              shape: "S2b"
            },
            CreatedTimestamp: {
              shape: "S10"
            }
          }
        },
        S2h: {
          type: "structure",
          members: {
            Disabled: {
              type: "boolean"
            },
            Rules: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Type"
                ],
                members: {
                  Type: {},
                  KeywordMatchConfiguration: {
                    type: "structure",
                    required: [
                      "RuleName",
                      "Keywords"
                    ],
                    members: {
                      RuleName: {},
                      Keywords: {
                        type: "list",
                        member: {}
                      },
                      Negate: {
                        type: "boolean"
                      }
                    }
                  },
                  SentimentConfiguration: {
                    type: "structure",
                    required: [
                      "RuleName",
                      "SentimentType",
                      "TimePeriod"
                    ],
                    members: {
                      RuleName: {},
                      SentimentType: {},
                      TimePeriod: {
                        type: "integer"
                      }
                    }
                  },
                  IssueDetectionConfiguration: {
                    type: "structure",
                    required: [
                      "RuleName"
                    ],
                    members: {
                      RuleName: {}
                    }
                  }
                }
              }
            }
          }
        },
        S2u: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Type"
            ],
            members: {
              Type: {},
              AmazonTranscribeCallAnalyticsProcessorConfiguration: {
                type: "structure",
                required: [
                  "LanguageCode"
                ],
                members: {
                  LanguageCode: {},
                  VocabularyName: {},
                  VocabularyFilterName: {},
                  VocabularyFilterMethod: {},
                  LanguageModelName: {},
                  EnablePartialResultsStabilization: {
                    type: "boolean"
                  },
                  PartialResultsStability: {},
                  ContentIdentificationType: {},
                  ContentRedactionType: {},
                  PiiEntityTypes: {},
                  FilterPartialResults: {
                    type: "boolean"
                  },
                  PostCallAnalyticsSettings: {
                    type: "structure",
                    required: [
                      "OutputLocation",
                      "DataAccessRoleArn"
                    ],
                    members: {
                      OutputLocation: {},
                      DataAccessRoleArn: {},
                      ContentRedactionOutput: {},
                      OutputEncryptionKMSKeyId: {}
                    }
                  },
                  CallAnalyticsStreamCategories: {
                    type: "list",
                    member: {}
                  }
                }
              },
              AmazonTranscribeProcessorConfiguration: {
                type: "structure",
                required: [
                  "LanguageCode"
                ],
                members: {
                  LanguageCode: {},
                  VocabularyName: {},
                  VocabularyFilterName: {},
                  VocabularyFilterMethod: {},
                  ShowSpeakerLabel: {
                    type: "boolean"
                  },
                  EnablePartialResultsStabilization: {
                    type: "boolean"
                  },
                  PartialResultsStability: {},
                  ContentIdentificationType: {},
                  ContentRedactionType: {},
                  PiiEntityTypes: {},
                  LanguageModelName: {},
                  FilterPartialResults: {
                    type: "boolean"
                  }
                }
              },
              KinesisDataStreamSinkConfiguration: {
                type: "structure",
                members: {
                  InsightsTarget: {
                    shape: "S3"
                  }
                }
              },
              S3RecordingSinkConfiguration: {
                type: "structure",
                members: {
                  Destination: {
                    shape: "S3"
                  },
                  RecordingFileFormat: {}
                }
              },
              VoiceAnalyticsProcessorConfiguration: {
                type: "structure",
                members: {
                  SpeakerSearchStatus: {},
                  VoiceToneAnalysisStatus: {}
                }
              },
              LambdaFunctionSinkConfiguration: {
                type: "structure",
                members: {
                  InsightsTarget: {
                    shape: "S3"
                  }
                }
              },
              SqsQueueSinkConfiguration: {
                type: "structure",
                members: {
                  InsightsTarget: {
                    shape: "S3"
                  }
                }
              },
              SnsTopicSinkConfiguration: {
                type: "structure",
                members: {
                  InsightsTarget: {
                    shape: "S3"
                  }
                }
              }
            }
          }
        },
        S3j: {
          type: "structure",
          members: {
            MediaInsightsPipelineConfigurationName: {},
            MediaInsightsPipelineConfigurationArn: {
              shape: "S3"
            },
            ResourceAccessRoleArn: {
              shape: "S3"
            },
            RealTimeAlertConfiguration: {
              shape: "S2h"
            },
            Elements: {
              shape: "S2u"
            },
            MediaInsightsPipelineConfigurationId: {},
            CreatedTimestamp: {
              shape: "S10"
            },
            UpdatedTimestamp: {
              shape: "S10"
            }
          }
        },
        S3l: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "SourceType",
              "ChimeSdkMeetingLiveConnectorConfiguration"
            ],
            members: {
              SourceType: {},
              ChimeSdkMeetingLiveConnectorConfiguration: {
                type: "structure",
                required: [
                  "Arn",
                  "MuxType"
                ],
                members: {
                  Arn: {
                    shape: "S3"
                  },
                  MuxType: {},
                  CompositedVideo: {
                    shape: "Sl"
                  },
                  SourceConfiguration: {
                    shape: "S7"
                  }
                }
              }
            }
          }
        },
        S3q: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "SinkType",
              "RTMPConfiguration"
            ],
            members: {
              SinkType: {},
              RTMPConfiguration: {
                type: "structure",
                required: [
                  "Url"
                ],
                members: {
                  Url: {
                    type: "string",
                    sensitive: true
                  },
                  AudioChannels: {},
                  AudioSampleRate: {}
                }
              }
            }
          }
        },
        S3y: {
          type: "structure",
          members: {
            Sources: {
              shape: "S3l"
            },
            Sinks: {
              shape: "S3q"
            },
            MediaPipelineId: {},
            MediaPipelineArn: {},
            Status: {},
            CreatedTimestamp: {
              shape: "S10"
            },
            UpdatedTimestamp: {
              shape: "S10"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/chime-sdk-media-pipelines-2021-07-15.paginators.json
var require_chime_sdk_media_pipelines_2021_07_15_paginators = __commonJS({
  "node_modules/aws-sdk/apis/chime-sdk-media-pipelines-2021-07-15.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListMediaCapturePipelines: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMediaInsightsPipelineConfigurations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListMediaPipelines: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/chimesdkmediapipelines.js
var require_chimesdkmediapipelines = __commonJS({
  "node_modules/aws-sdk/clients/chimesdkmediapipelines.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["chimesdkmediapipelines"] = {};
    AWS2.ChimeSDKMediaPipelines = Service.defineService("chimesdkmediapipelines", ["2021-07-15"]);
    Object.defineProperty(apiLoader.services["chimesdkmediapipelines"], "2021-07-15", {
      get: function get() {
        var model = require_chime_sdk_media_pipelines_2021_07_15_min();
        model.paginators = require_chime_sdk_media_pipelines_2021_07_15_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ChimeSDKMediaPipelines;
  }
});

// node_modules/aws-sdk/apis/emr-serverless-2021-07-13.min.json
var require_emr_serverless_2021_07_13_min = __commonJS({
  "node_modules/aws-sdk/apis/emr-serverless-2021-07-13.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-07-13",
        endpointPrefix: "emr-serverless",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "EMR Serverless",
        serviceId: "EMR Serverless",
        signatureVersion: "v4",
        signingName: "emr-serverless",
        uid: "emr-serverless-2021-07-13"
      },
      operations: {
        CancelJobRun: {
          http: {
            method: "DELETE",
            requestUri: "/applications/{applicationId}/jobruns/{jobRunId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId",
              "jobRunId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              jobRunId: {
                location: "uri",
                locationName: "jobRunId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "applicationId",
              "jobRunId"
            ],
            members: {
              applicationId: {},
              jobRunId: {}
            }
          },
          idempotent: true
        },
        CreateApplication: {
          http: {
            requestUri: "/applications",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "releaseLabel",
              "type",
              "clientToken"
            ],
            members: {
              name: {},
              releaseLabel: {},
              type: {},
              clientToken: {
                idempotencyToken: true
              },
              initialCapacity: {
                shape: "Sa"
              },
              maximumCapacity: {
                shape: "Si"
              },
              tags: {
                shape: "Sj"
              },
              autoStartConfiguration: {
                shape: "Sm"
              },
              autoStopConfiguration: {
                shape: "So"
              },
              networkConfiguration: {
                shape: "Sq"
              },
              architecture: {},
              imageConfiguration: {
                shape: "Sw"
              },
              workerTypeSpecifications: {
                shape: "Sy"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "applicationId",
              "arn"
            ],
            members: {
              applicationId: {},
              name: {},
              arn: {}
            }
          },
          idempotent: true
        },
        DeleteApplication: {
          http: {
            method: "DELETE",
            requestUri: "/applications/{applicationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetApplication: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "application"
            ],
            members: {
              application: {
                shape: "S16"
              }
            }
          }
        },
        GetDashboardForJobRun: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/jobruns/{jobRunId}/dashboard",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId",
              "jobRunId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              jobRunId: {
                location: "uri",
                locationName: "jobRunId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              url: {}
            }
          }
        },
        GetJobRun: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/jobruns/{jobRunId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId",
              "jobRunId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              jobRunId: {
                location: "uri",
                locationName: "jobRunId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobRun"
            ],
            members: {
              jobRun: {
                type: "structure",
                required: [
                  "applicationId",
                  "jobRunId",
                  "arn",
                  "createdBy",
                  "createdAt",
                  "updatedAt",
                  "executionRole",
                  "state",
                  "stateDetails",
                  "releaseLabel",
                  "jobDriver"
                ],
                members: {
                  applicationId: {},
                  jobRunId: {},
                  name: {},
                  arn: {},
                  createdBy: {},
                  createdAt: {
                    type: "timestamp"
                  },
                  updatedAt: {
                    type: "timestamp"
                  },
                  executionRole: {},
                  state: {},
                  stateDetails: {},
                  releaseLabel: {},
                  configurationOverrides: {
                    shape: "S1o"
                  },
                  jobDriver: {
                    shape: "S1y"
                  },
                  tags: {
                    shape: "Sj"
                  },
                  totalResourceUtilization: {
                    type: "structure",
                    members: {
                      vCPUHour: {
                        type: "double"
                      },
                      memoryGBHour: {
                        type: "double"
                      },
                      storageGBHour: {
                        type: "double"
                      }
                    }
                  },
                  networkConfiguration: {
                    shape: "Sq"
                  },
                  totalExecutionDurationSeconds: {
                    type: "integer"
                  },
                  executionTimeoutMinutes: {
                    type: "long"
                  },
                  billedResourceUtilization: {
                    type: "structure",
                    members: {
                      vCPUHour: {
                        type: "double"
                      },
                      memoryGBHour: {
                        type: "double"
                      },
                      storageGBHour: {
                        type: "double"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ListApplications: {
          http: {
            method: "GET",
            requestUri: "/applications",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              states: {
                location: "querystring",
                locationName: "states",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "applications"
            ],
            members: {
              applications: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "arn",
                    "releaseLabel",
                    "type",
                    "state",
                    "createdAt",
                    "updatedAt"
                  ],
                  members: {
                    id: {},
                    name: {},
                    arn: {},
                    releaseLabel: {},
                    type: {},
                    state: {},
                    stateDetails: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    updatedAt: {
                      type: "timestamp"
                    },
                    architecture: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListJobRuns: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/jobruns",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              createdAtAfter: {
                location: "querystring",
                locationName: "createdAtAfter",
                type: "timestamp"
              },
              createdAtBefore: {
                location: "querystring",
                locationName: "createdAtBefore",
                type: "timestamp"
              },
              states: {
                location: "querystring",
                locationName: "states",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobRuns"
            ],
            members: {
              jobRuns: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "applicationId",
                    "id",
                    "arn",
                    "createdBy",
                    "createdAt",
                    "updatedAt",
                    "executionRole",
                    "state",
                    "stateDetails",
                    "releaseLabel"
                  ],
                  members: {
                    applicationId: {},
                    id: {},
                    name: {},
                    arn: {},
                    createdBy: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    updatedAt: {
                      type: "timestamp"
                    },
                    executionRole: {},
                    state: {},
                    stateDetails: {},
                    releaseLabel: {},
                    type: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sj"
              }
            }
          }
        },
        StartApplication: {
          http: {
            requestUri: "/applications/{applicationId}/start",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        StartJobRun: {
          http: {
            requestUri: "/applications/{applicationId}/jobruns",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId",
              "clientToken",
              "executionRoleArn"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              clientToken: {
                idempotencyToken: true
              },
              executionRoleArn: {},
              jobDriver: {
                shape: "S1y"
              },
              configurationOverrides: {
                shape: "S1o"
              },
              tags: {
                shape: "Sj"
              },
              executionTimeoutMinutes: {
                type: "long"
              },
              name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "applicationId",
              "jobRunId",
              "arn"
            ],
            members: {
              applicationId: {},
              jobRunId: {},
              arn: {}
            }
          },
          idempotent: true
        },
        StopApplication: {
          http: {
            requestUri: "/applications/{applicationId}/stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateApplication: {
          http: {
            method: "PATCH",
            requestUri: "/applications/{applicationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId",
              "clientToken"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              clientToken: {
                idempotencyToken: true
              },
              initialCapacity: {
                shape: "Sa"
              },
              maximumCapacity: {
                shape: "Si"
              },
              autoStartConfiguration: {
                shape: "Sm"
              },
              autoStopConfiguration: {
                shape: "So"
              },
              networkConfiguration: {
                shape: "Sq"
              },
              architecture: {},
              imageConfiguration: {
                shape: "Sw"
              },
              workerTypeSpecifications: {
                shape: "Sy"
              },
              releaseLabel: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "application"
            ],
            members: {
              application: {
                shape: "S16"
              }
            }
          }
        }
      },
      shapes: {
        Sa: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            required: [
              "workerCount"
            ],
            members: {
              workerCount: {
                type: "long"
              },
              workerConfiguration: {
                type: "structure",
                required: [
                  "cpu",
                  "memory"
                ],
                members: {
                  cpu: {},
                  memory: {},
                  disk: {}
                }
              }
            }
          }
        },
        Si: {
          type: "structure",
          required: [
            "cpu",
            "memory"
          ],
          members: {
            cpu: {},
            memory: {},
            disk: {}
          }
        },
        Sj: {
          type: "map",
          key: {},
          value: {}
        },
        Sm: {
          type: "structure",
          members: {
            enabled: {
              type: "boolean"
            }
          }
        },
        So: {
          type: "structure",
          members: {
            enabled: {
              type: "boolean"
            },
            idleTimeoutMinutes: {
              type: "integer"
            }
          }
        },
        Sq: {
          type: "structure",
          members: {
            subnetIds: {
              type: "list",
              member: {}
            },
            securityGroupIds: {
              type: "list",
              member: {}
            }
          }
        },
        Sw: {
          type: "structure",
          members: {
            imageUri: {}
          }
        },
        Sy: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              imageConfiguration: {
                shape: "Sw"
              }
            }
          }
        },
        S16: {
          type: "structure",
          required: [
            "applicationId",
            "arn",
            "releaseLabel",
            "type",
            "state",
            "createdAt",
            "updatedAt"
          ],
          members: {
            applicationId: {},
            name: {},
            arn: {},
            releaseLabel: {},
            type: {},
            state: {},
            stateDetails: {},
            initialCapacity: {
              shape: "Sa"
            },
            maximumCapacity: {
              shape: "Si"
            },
            createdAt: {
              type: "timestamp"
            },
            updatedAt: {
              type: "timestamp"
            },
            tags: {
              shape: "Sj"
            },
            autoStartConfiguration: {
              shape: "Sm"
            },
            autoStopConfiguration: {
              shape: "So"
            },
            networkConfiguration: {
              shape: "Sq"
            },
            architecture: {},
            imageConfiguration: {
              shape: "S1a"
            },
            workerTypeSpecifications: {
              type: "map",
              key: {},
              value: {
                type: "structure",
                members: {
                  imageConfiguration: {
                    shape: "S1a"
                  }
                }
              }
            }
          }
        },
        S1a: {
          type: "structure",
          required: [
            "imageUri"
          ],
          members: {
            imageUri: {},
            resolvedImageDigest: {}
          }
        },
        S1o: {
          type: "structure",
          members: {
            applicationConfiguration: {
              shape: "S1p"
            },
            monitoringConfiguration: {
              type: "structure",
              members: {
                s3MonitoringConfiguration: {
                  type: "structure",
                  members: {
                    logUri: {},
                    encryptionKeyArn: {}
                  }
                },
                managedPersistenceMonitoringConfiguration: {
                  type: "structure",
                  members: {
                    enabled: {
                      type: "boolean"
                    },
                    encryptionKeyArn: {}
                  }
                }
              }
            }
          }
        },
        S1p: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "classification"
            ],
            members: {
              classification: {},
              properties: {
                type: "map",
                key: {},
                value: {},
                sensitive: true
              },
              configurations: {
                shape: "S1p"
              }
            }
          }
        },
        S1y: {
          type: "structure",
          members: {
            sparkSubmit: {
              type: "structure",
              required: [
                "entryPoint"
              ],
              members: {
                entryPoint: {
                  type: "string",
                  sensitive: true
                },
                entryPointArguments: {
                  type: "list",
                  member: {
                    type: "string",
                    sensitive: true
                  }
                },
                sparkSubmitParameters: {
                  type: "string",
                  sensitive: true
                }
              }
            },
            hive: {
              type: "structure",
              required: [
                "query"
              ],
              members: {
                query: {
                  type: "string",
                  sensitive: true
                },
                initQueryFile: {
                  type: "string",
                  sensitive: true
                },
                parameters: {
                  type: "string",
                  sensitive: true
                }
              }
            }
          },
          union: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/emr-serverless-2021-07-13.paginators.json
var require_emr_serverless_2021_07_13_paginators = __commonJS({
  "node_modules/aws-sdk/apis/emr-serverless-2021-07-13.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListApplications: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "applications"
        },
        ListJobRuns: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "jobRuns"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/emrserverless.js
var require_emrserverless = __commonJS({
  "node_modules/aws-sdk/clients/emrserverless.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["emrserverless"] = {};
    AWS2.EMRServerless = Service.defineService("emrserverless", ["2021-07-13"]);
    Object.defineProperty(apiLoader.services["emrserverless"], "2021-07-13", {
      get: function get() {
        var model = require_emr_serverless_2021_07_13_min();
        model.paginators = require_emr_serverless_2021_07_13_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.EMRServerless;
  }
});

// node_modules/aws-sdk/apis/m2-2021-04-28.min.json
var require_m2_2021_04_28_min = __commonJS({
  "node_modules/aws-sdk/apis/m2-2021-04-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-04-28",
        endpointPrefix: "m2",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWSMainframeModernization",
        serviceId: "m2",
        signatureVersion: "v4",
        signingName: "m2",
        uid: "m2-2021-04-28"
      },
      operations: {
        CancelBatchJobExecution: {
          http: {
            requestUri: "/applications/{applicationId}/batch-job-executions/{executionId}/cancel",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId",
              "executionId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              executionId: {
                location: "uri",
                locationName: "executionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateApplication: {
          http: {
            requestUri: "/applications",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "definition",
              "engineType",
              "name"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              definition: {
                shape: "S6"
              },
              description: {},
              engineType: {},
              kmsKeyId: {},
              name: {},
              roleArn: {},
              tags: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "applicationArn",
              "applicationId",
              "applicationVersion"
            ],
            members: {
              applicationArn: {},
              applicationId: {},
              applicationVersion: {
                type: "integer"
              }
            }
          },
          idempotent: true
        },
        CreateDataSetImportTask: {
          http: {
            requestUri: "/applications/{applicationId}/dataset-import-task",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId",
              "importConfig"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              clientToken: {
                idempotencyToken: true
              },
              importConfig: {
                type: "structure",
                members: {
                  dataSets: {
                    type: "list",
                    member: {
                      type: "structure",
                      required: [
                        "dataSet",
                        "externalLocation"
                      ],
                      members: {
                        dataSet: {
                          type: "structure",
                          required: [
                            "datasetName",
                            "datasetOrg",
                            "recordLength"
                          ],
                          members: {
                            datasetName: {},
                            datasetOrg: {
                              type: "structure",
                              members: {
                                gdg: {
                                  type: "structure",
                                  members: {
                                    limit: {
                                      type: "integer"
                                    },
                                    rollDisposition: {}
                                  }
                                },
                                po: {
                                  type: "structure",
                                  required: [
                                    "format",
                                    "memberFileExtensions"
                                  ],
                                  members: {
                                    encoding: {},
                                    format: {},
                                    memberFileExtensions: {
                                      type: "list",
                                      member: {}
                                    }
                                  }
                                },
                                ps: {
                                  type: "structure",
                                  required: [
                                    "format"
                                  ],
                                  members: {
                                    encoding: {},
                                    format: {}
                                  }
                                },
                                vsam: {
                                  type: "structure",
                                  required: [
                                    "format"
                                  ],
                                  members: {
                                    alternateKeys: {
                                      shape: "Sv"
                                    },
                                    compressed: {
                                      type: "boolean"
                                    },
                                    encoding: {},
                                    format: {},
                                    primaryKey: {
                                      shape: "Sy"
                                    }
                                  }
                                }
                              },
                              union: true
                            },
                            recordLength: {
                              type: "structure",
                              required: [
                                "max",
                                "min"
                              ],
                              members: {
                                max: {
                                  type: "integer"
                                },
                                min: {
                                  type: "integer"
                                }
                              }
                            },
                            relativePath: {},
                            storageType: {}
                          }
                        },
                        externalLocation: {
                          type: "structure",
                          members: {
                            s3Location: {}
                          },
                          union: true
                        }
                      }
                    }
                  },
                  s3Location: {}
                },
                union: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "taskId"
            ],
            members: {
              taskId: {}
            }
          },
          idempotent: true
        },
        CreateDeployment: {
          http: {
            requestUri: "/applications/{applicationId}/deployments",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId",
              "applicationVersion",
              "environmentId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              applicationVersion: {
                type: "integer"
              },
              clientToken: {
                idempotencyToken: true
              },
              environmentId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "deploymentId"
            ],
            members: {
              deploymentId: {}
            }
          },
          idempotent: true
        },
        CreateEnvironment: {
          http: {
            requestUri: "/environments",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "engineType",
              "instanceType",
              "name"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              description: {},
              engineType: {},
              engineVersion: {},
              highAvailabilityConfig: {
                shape: "S16"
              },
              instanceType: {},
              kmsKeyId: {},
              name: {},
              preferredMaintenanceWindow: {},
              publiclyAccessible: {
                type: "boolean"
              },
              securityGroupIds: {
                shape: "S19"
              },
              storageConfigurations: {
                shape: "S1a"
              },
              subnetIds: {
                shape: "S19"
              },
              tags: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {}
            }
          },
          idempotent: true
        },
        DeleteApplication: {
          http: {
            method: "DELETE",
            requestUri: "/applications/{applicationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteApplicationFromEnvironment: {
          http: {
            method: "DELETE",
            requestUri: "/applications/{applicationId}/environment/{environmentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId",
              "environmentId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteEnvironment: {
          http: {
            method: "DELETE",
            requestUri: "/environments/{environmentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetApplication: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "applicationArn",
              "applicationId",
              "creationTime",
              "engineType",
              "latestVersion",
              "name",
              "status"
            ],
            members: {
              applicationArn: {},
              applicationId: {},
              creationTime: {
                type: "timestamp"
              },
              deployedVersion: {
                type: "structure",
                required: [
                  "applicationVersion",
                  "status"
                ],
                members: {
                  applicationVersion: {
                    type: "integer"
                  },
                  status: {},
                  statusReason: {}
                }
              },
              description: {},
              engineType: {},
              environmentId: {},
              kmsKeyId: {},
              lastStartTime: {
                type: "timestamp"
              },
              latestVersion: {
                shape: "S1r"
              },
              listenerArns: {
                shape: "S1t"
              },
              listenerPorts: {
                type: "list",
                member: {
                  type: "integer"
                }
              },
              loadBalancerDnsName: {},
              logGroups: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "logGroupName",
                    "logType"
                  ],
                  members: {
                    logGroupName: {},
                    logType: {}
                  }
                }
              },
              name: {},
              roleArn: {},
              status: {},
              statusReason: {},
              tags: {
                shape: "Sd"
              },
              targetGroupArns: {
                shape: "S1t"
              }
            }
          }
        },
        GetApplicationVersion: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/versions/{applicationVersion}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId",
              "applicationVersion"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              applicationVersion: {
                location: "uri",
                locationName: "applicationVersion",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "applicationVersion",
              "creationTime",
              "definitionContent",
              "name",
              "status"
            ],
            members: {
              applicationVersion: {
                type: "integer"
              },
              creationTime: {
                type: "timestamp"
              },
              definitionContent: {},
              description: {},
              name: {},
              status: {},
              statusReason: {}
            }
          }
        },
        GetBatchJobExecution: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/batch-job-executions/{executionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId",
              "executionId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              executionId: {
                location: "uri",
                locationName: "executionId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "applicationId",
              "executionId",
              "startTime",
              "status"
            ],
            members: {
              applicationId: {},
              batchJobIdentifier: {
                shape: "S24"
              },
              endTime: {
                type: "timestamp"
              },
              executionId: {},
              jobId: {},
              jobName: {},
              jobType: {},
              jobUser: {},
              returnCode: {},
              startTime: {
                type: "timestamp"
              },
              status: {},
              statusReason: {}
            }
          }
        },
        GetDataSetDetails: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/datasets/{dataSetName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId",
              "dataSetName"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              dataSetName: {
                location: "uri",
                locationName: "dataSetName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "dataSetName"
            ],
            members: {
              blocksize: {
                type: "integer"
              },
              creationTime: {
                type: "timestamp"
              },
              dataSetName: {},
              dataSetOrg: {
                type: "structure",
                members: {
                  gdg: {
                    type: "structure",
                    members: {
                      limit: {
                        type: "integer"
                      },
                      rollDisposition: {}
                    }
                  },
                  po: {
                    type: "structure",
                    required: [
                      "encoding",
                      "format"
                    ],
                    members: {
                      encoding: {},
                      format: {}
                    }
                  },
                  ps: {
                    type: "structure",
                    required: [
                      "encoding",
                      "format"
                    ],
                    members: {
                      encoding: {},
                      format: {}
                    }
                  },
                  vsam: {
                    type: "structure",
                    members: {
                      alternateKeys: {
                        shape: "Sv"
                      },
                      cacheAtStartup: {
                        type: "boolean"
                      },
                      compressed: {
                        type: "boolean"
                      },
                      encoding: {},
                      primaryKey: {
                        shape: "Sy"
                      },
                      recordFormat: {}
                    }
                  }
                },
                union: true
              },
              lastReferencedTime: {
                type: "timestamp"
              },
              lastUpdatedTime: {
                type: "timestamp"
              },
              location: {},
              recordLength: {
                type: "integer"
              }
            }
          }
        },
        GetDataSetImportTask: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/dataset-import-tasks/{taskId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId",
              "taskId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              taskId: {
                location: "uri",
                locationName: "taskId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "status",
              "taskId"
            ],
            members: {
              status: {},
              summary: {
                shape: "S2j"
              },
              taskId: {}
            }
          }
        },
        GetDeployment: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/deployments/{deploymentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId",
              "deploymentId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              deploymentId: {
                location: "uri",
                locationName: "deploymentId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "applicationId",
              "applicationVersion",
              "creationTime",
              "deploymentId",
              "environmentId",
              "status"
            ],
            members: {
              applicationId: {},
              applicationVersion: {
                type: "integer"
              },
              creationTime: {
                type: "timestamp"
              },
              deploymentId: {},
              environmentId: {},
              status: {},
              statusReason: {}
            }
          }
        },
        GetEnvironment: {
          http: {
            method: "GET",
            requestUri: "/environments/{environmentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "creationTime",
              "engineType",
              "engineVersion",
              "environmentArn",
              "environmentId",
              "instanceType",
              "name",
              "securityGroupIds",
              "status",
              "subnetIds",
              "vpcId"
            ],
            members: {
              actualCapacity: {
                type: "integer"
              },
              creationTime: {
                type: "timestamp"
              },
              description: {},
              engineType: {},
              engineVersion: {},
              environmentArn: {},
              environmentId: {},
              highAvailabilityConfig: {
                shape: "S16"
              },
              instanceType: {},
              kmsKeyId: {},
              loadBalancerArn: {},
              name: {},
              pendingMaintenance: {
                type: "structure",
                members: {
                  engineVersion: {},
                  schedule: {
                    type: "structure",
                    members: {
                      endTime: {
                        type: "timestamp"
                      },
                      startTime: {
                        type: "timestamp"
                      }
                    }
                  }
                }
              },
              preferredMaintenanceWindow: {},
              publiclyAccessible: {
                type: "boolean"
              },
              securityGroupIds: {
                shape: "S19"
              },
              status: {},
              statusReason: {},
              storageConfigurations: {
                shape: "S1a"
              },
              subnetIds: {
                shape: "S19"
              },
              tags: {
                shape: "Sd"
              },
              vpcId: {}
            }
          }
        },
        ListApplicationVersions: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "applicationVersions"
            ],
            members: {
              applicationVersions: {
                type: "list",
                member: {
                  shape: "S1r"
                }
              },
              nextToken: {}
            }
          }
        },
        ListApplications: {
          http: {
            method: "GET",
            requestUri: "/applications",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              environmentId: {
                location: "querystring",
                locationName: "environmentId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              names: {
                shape: "S2x",
                location: "querystring",
                locationName: "names"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "applications"
            ],
            members: {
              applications: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "applicationArn",
                    "applicationId",
                    "applicationVersion",
                    "creationTime",
                    "engineType",
                    "name",
                    "status"
                  ],
                  members: {
                    applicationArn: {},
                    applicationId: {},
                    applicationVersion: {
                      type: "integer"
                    },
                    creationTime: {
                      type: "timestamp"
                    },
                    deploymentStatus: {},
                    description: {},
                    engineType: {},
                    environmentId: {},
                    lastStartTime: {
                      type: "timestamp"
                    },
                    name: {},
                    roleArn: {},
                    status: {},
                    versionStatus: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListBatchJobDefinitions: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/batch-job-definitions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              prefix: {
                location: "querystring",
                locationName: "prefix"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "batchJobDefinitions"
            ],
            members: {
              batchJobDefinitions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    fileBatchJobDefinition: {
                      type: "structure",
                      required: [
                        "fileName"
                      ],
                      members: {
                        fileName: {},
                        folderPath: {}
                      }
                    },
                    scriptBatchJobDefinition: {
                      type: "structure",
                      required: [
                        "scriptName"
                      ],
                      members: {
                        scriptName: {}
                      }
                    }
                  },
                  union: true
                }
              },
              nextToken: {}
            }
          }
        },
        ListBatchJobExecutions: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/batch-job-executions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              executionIds: {
                location: "querystring",
                locationName: "executionIds",
                type: "list",
                member: {}
              },
              jobName: {
                location: "querystring",
                locationName: "jobName"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              startedAfter: {
                location: "querystring",
                locationName: "startedAfter",
                type: "timestamp"
              },
              startedBefore: {
                location: "querystring",
                locationName: "startedBefore",
                type: "timestamp"
              },
              status: {
                location: "querystring",
                locationName: "status"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "batchJobExecutions"
            ],
            members: {
              batchJobExecutions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "applicationId",
                    "executionId",
                    "startTime",
                    "status"
                  ],
                  members: {
                    applicationId: {},
                    batchJobIdentifier: {
                      shape: "S24"
                    },
                    endTime: {
                      type: "timestamp"
                    },
                    executionId: {},
                    jobId: {},
                    jobName: {},
                    jobType: {},
                    returnCode: {},
                    startTime: {
                      type: "timestamp"
                    },
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDataSetImportHistory: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/dataset-import-tasks",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "dataSetImportTasks"
            ],
            members: {
              dataSetImportTasks: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "status",
                    "summary",
                    "taskId"
                  ],
                  members: {
                    status: {},
                    summary: {
                      shape: "S2j"
                    },
                    taskId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDataSets: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/datasets",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              prefix: {
                location: "querystring",
                locationName: "prefix"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "dataSets"
            ],
            members: {
              dataSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "dataSetName"
                  ],
                  members: {
                    creationTime: {
                      type: "timestamp"
                    },
                    dataSetName: {},
                    dataSetOrg: {},
                    format: {},
                    lastReferencedTime: {
                      type: "timestamp"
                    },
                    lastUpdatedTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDeployments: {
          http: {
            method: "GET",
            requestUri: "/applications/{applicationId}/deployments",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "deployments"
            ],
            members: {
              deployments: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "applicationId",
                    "applicationVersion",
                    "creationTime",
                    "deploymentId",
                    "environmentId",
                    "status"
                  ],
                  members: {
                    applicationId: {},
                    applicationVersion: {
                      type: "integer"
                    },
                    creationTime: {
                      type: "timestamp"
                    },
                    deploymentId: {},
                    environmentId: {},
                    status: {},
                    statusReason: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListEngineVersions: {
          http: {
            method: "GET",
            requestUri: "/engine-versions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              engineType: {
                location: "querystring",
                locationName: "engineType"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "engineVersions"
            ],
            members: {
              engineVersions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "engineType",
                    "engineVersion"
                  ],
                  members: {
                    engineType: {},
                    engineVersion: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListEnvironments: {
          http: {
            method: "GET",
            requestUri: "/environments",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              engineType: {
                location: "querystring",
                locationName: "engineType"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              names: {
                shape: "S2x",
                location: "querystring",
                locationName: "names"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "environments"
            ],
            members: {
              environments: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "creationTime",
                    "engineType",
                    "engineVersion",
                    "environmentArn",
                    "environmentId",
                    "instanceType",
                    "name",
                    "status"
                  ],
                  members: {
                    creationTime: {
                      type: "timestamp"
                    },
                    engineType: {},
                    engineVersion: {},
                    environmentArn: {},
                    environmentId: {},
                    instanceType: {},
                    name: {},
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "tags"
            ],
            members: {
              tags: {
                shape: "Sd"
              }
            }
          }
        },
        StartApplication: {
          http: {
            requestUri: "/applications/{applicationId}/start",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartBatchJob: {
          http: {
            requestUri: "/applications/{applicationId}/batch-job",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId",
              "batchJobIdentifier"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              batchJobIdentifier: {
                shape: "S24"
              },
              jobParams: {
                type: "map",
                key: {},
                value: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "executionId"
            ],
            members: {
              executionId: {}
            }
          }
        },
        StopApplication: {
          http: {
            requestUri: "/applications/{applicationId}/stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              forceStop: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateApplication: {
          http: {
            method: "PATCH",
            requestUri: "/applications/{applicationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "applicationId",
              "currentApplicationVersion"
            ],
            members: {
              applicationId: {
                location: "uri",
                locationName: "applicationId"
              },
              currentApplicationVersion: {
                type: "integer"
              },
              definition: {
                shape: "S6"
              },
              description: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "applicationVersion"
            ],
            members: {
              applicationVersion: {
                type: "integer"
              }
            }
          }
        },
        UpdateEnvironment: {
          http: {
            method: "PATCH",
            requestUri: "/environments/{environmentId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              applyDuringMaintenanceWindow: {
                type: "boolean"
              },
              desiredCapacity: {
                type: "integer"
              },
              engineVersion: {},
              environmentId: {
                location: "uri",
                locationName: "environmentId"
              },
              instanceType: {},
              preferredMaintenanceWindow: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "environmentId"
            ],
            members: {
              environmentId: {}
            }
          }
        }
      },
      shapes: {
        S6: {
          type: "structure",
          members: {
            content: {},
            s3Location: {}
          },
          union: true
        },
        Sd: {
          type: "map",
          key: {},
          value: {}
        },
        Sv: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "length",
              "offset"
            ],
            members: {
              allowDuplicates: {
                type: "boolean"
              },
              length: {
                type: "integer"
              },
              name: {},
              offset: {
                type: "integer"
              }
            }
          }
        },
        Sy: {
          type: "structure",
          required: [
            "length",
            "offset"
          ],
          members: {
            length: {
              type: "integer"
            },
            name: {},
            offset: {
              type: "integer"
            }
          }
        },
        S16: {
          type: "structure",
          required: [
            "desiredCapacity"
          ],
          members: {
            desiredCapacity: {
              type: "integer"
            }
          }
        },
        S19: {
          type: "list",
          member: {}
        },
        S1a: {
          type: "list",
          member: {
            type: "structure",
            members: {
              efs: {
                type: "structure",
                required: [
                  "fileSystemId",
                  "mountPoint"
                ],
                members: {
                  fileSystemId: {
                    locationName: "file-system-id"
                  },
                  mountPoint: {
                    locationName: "mount-point"
                  }
                }
              },
              fsx: {
                type: "structure",
                required: [
                  "fileSystemId",
                  "mountPoint"
                ],
                members: {
                  fileSystemId: {
                    locationName: "file-system-id"
                  },
                  mountPoint: {
                    locationName: "mount-point"
                  }
                }
              }
            },
            union: true
          }
        },
        S1r: {
          type: "structure",
          required: [
            "applicationVersion",
            "creationTime",
            "status"
          ],
          members: {
            applicationVersion: {
              type: "integer"
            },
            creationTime: {
              type: "timestamp"
            },
            status: {},
            statusReason: {}
          }
        },
        S1t: {
          type: "list",
          member: {}
        },
        S24: {
          type: "structure",
          members: {
            fileBatchJobIdentifier: {
              type: "structure",
              required: [
                "fileName"
              ],
              members: {
                fileName: {},
                folderPath: {}
              }
            },
            scriptBatchJobIdentifier: {
              type: "structure",
              required: [
                "scriptName"
              ],
              members: {
                scriptName: {}
              }
            }
          },
          union: true
        },
        S2j: {
          type: "structure",
          required: [
            "failed",
            "inProgress",
            "pending",
            "succeeded",
            "total"
          ],
          members: {
            failed: {
              type: "integer"
            },
            inProgress: {
              type: "integer"
            },
            pending: {
              type: "integer"
            },
            succeeded: {
              type: "integer"
            },
            total: {
              type: "integer"
            }
          }
        },
        S2x: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/m2-2021-04-28.paginators.json
var require_m2_2021_04_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/m2-2021-04-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListApplicationVersions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "applicationVersions"
        },
        ListApplications: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "applications"
        },
        ListBatchJobDefinitions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "batchJobDefinitions"
        },
        ListBatchJobExecutions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "batchJobExecutions"
        },
        ListDataSetImportHistory: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "dataSetImportTasks"
        },
        ListDataSets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "dataSets"
        },
        ListDeployments: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "deployments"
        },
        ListEngineVersions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "engineVersions"
        },
        ListEnvironments: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "environments"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/m2.js
var require_m2 = __commonJS({
  "node_modules/aws-sdk/clients/m2.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["m2"] = {};
    AWS2.M2 = Service.defineService("m2", ["2021-04-28"]);
    Object.defineProperty(apiLoader.services["m2"], "2021-04-28", {
      get: function get() {
        var model = require_m2_2021_04_28_min();
        model.paginators = require_m2_2021_04_28_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.M2;
  }
});

// node_modules/aws-sdk/apis/connectcampaigns-2021-01-30.min.json
var require_connectcampaigns_2021_01_30_min = __commonJS({
  "node_modules/aws-sdk/apis/connectcampaigns-2021-01-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-01-30",
        endpointPrefix: "connect-campaigns",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AmazonConnectCampaignService",
        serviceId: "ConnectCampaigns",
        signatureVersion: "v4",
        signingName: "connect-campaigns",
        uid: "connectcampaigns-2021-01-30"
      },
      operations: {
        CreateCampaign: {
          http: {
            method: "PUT",
            requestUri: "/campaigns",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "connectInstanceId",
              "dialerConfig",
              "name",
              "outboundCallConfig"
            ],
            members: {
              connectInstanceId: {},
              dialerConfig: {
                shape: "S3"
              },
              name: {},
              outboundCallConfig: {
                shape: "S8"
              },
              tags: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              id: {},
              tags: {
                shape: "Se"
              }
            }
          },
          idempotent: true
        },
        DeleteCampaign: {
          http: {
            method: "DELETE",
            requestUri: "/campaigns/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          idempotent: true
        },
        DeleteConnectInstanceConfig: {
          http: {
            method: "DELETE",
            requestUri: "/connect-instance/{connectInstanceId}/config",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "connectInstanceId"
            ],
            members: {
              connectInstanceId: {
                location: "uri",
                locationName: "connectInstanceId"
              }
            }
          },
          idempotent: true
        },
        DeleteInstanceOnboardingJob: {
          http: {
            method: "DELETE",
            requestUri: "/connect-instance/{connectInstanceId}/onboarding",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "connectInstanceId"
            ],
            members: {
              connectInstanceId: {
                location: "uri",
                locationName: "connectInstanceId"
              }
            }
          },
          idempotent: true
        },
        DescribeCampaign: {
          http: {
            method: "GET",
            requestUri: "/campaigns/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              campaign: {
                type: "structure",
                required: [
                  "arn",
                  "connectInstanceId",
                  "dialerConfig",
                  "id",
                  "name",
                  "outboundCallConfig"
                ],
                members: {
                  arn: {},
                  connectInstanceId: {},
                  dialerConfig: {
                    shape: "S3"
                  },
                  id: {},
                  name: {},
                  outboundCallConfig: {
                    shape: "S8"
                  },
                  tags: {
                    shape: "Se"
                  }
                }
              }
            }
          }
        },
        GetCampaignState: {
          http: {
            method: "GET",
            requestUri: "/campaigns/{id}/state",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              state: {}
            }
          }
        },
        GetCampaignStateBatch: {
          http: {
            requestUri: "/campaigns-state",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "campaignIds"
            ],
            members: {
              campaignIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              failedRequests: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    campaignId: {},
                    failureCode: {}
                  }
                }
              },
              successfulRequests: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    campaignId: {},
                    state: {}
                  }
                }
              }
            }
          }
        },
        GetConnectInstanceConfig: {
          http: {
            method: "GET",
            requestUri: "/connect-instance/{connectInstanceId}/config",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "connectInstanceId"
            ],
            members: {
              connectInstanceId: {
                location: "uri",
                locationName: "connectInstanceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              connectInstanceConfig: {
                type: "structure",
                required: [
                  "connectInstanceId",
                  "encryptionConfig",
                  "serviceLinkedRoleArn"
                ],
                members: {
                  connectInstanceId: {},
                  encryptionConfig: {
                    shape: "S14"
                  },
                  serviceLinkedRoleArn: {}
                }
              }
            }
          }
        },
        GetInstanceOnboardingJobStatus: {
          http: {
            method: "GET",
            requestUri: "/connect-instance/{connectInstanceId}/onboarding",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "connectInstanceId"
            ],
            members: {
              connectInstanceId: {
                location: "uri",
                locationName: "connectInstanceId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              connectInstanceOnboardingJobStatus: {
                shape: "S1b"
              }
            }
          }
        },
        ListCampaigns: {
          http: {
            requestUri: "/campaigns-summary",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filters: {
                type: "structure",
                members: {
                  instanceIdFilter: {
                    type: "structure",
                    required: [
                      "operator",
                      "value"
                    ],
                    members: {
                      operator: {},
                      value: {}
                    }
                  }
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              campaignSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "connectInstanceId",
                    "id",
                    "name"
                  ],
                  members: {
                    arn: {},
                    connectInstanceId: {},
                    id: {},
                    name: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {
                location: "uri",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Se"
              }
            }
          },
          idempotent: true
        },
        PauseCampaign: {
          http: {
            requestUri: "/campaigns/{id}/pause",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          }
        },
        PutDialRequestBatch: {
          http: {
            method: "PUT",
            requestUri: "/campaigns/{id}/dial-requests",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "dialRequests",
              "id"
            ],
            members: {
              dialRequests: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "attributes",
                    "clientToken",
                    "expirationTime",
                    "phoneNumber"
                  ],
                  members: {
                    attributes: {
                      type: "map",
                      key: {},
                      value: {},
                      sensitive: true
                    },
                    clientToken: {},
                    expirationTime: {
                      type: "timestamp",
                      timestampFormat: "iso8601"
                    },
                    phoneNumber: {
                      type: "string",
                      sensitive: true
                    }
                  }
                }
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              failedRequests: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    clientToken: {},
                    failureCode: {},
                    id: {}
                  }
                }
              },
              successfulRequests: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    clientToken: {},
                    id: {}
                  }
                }
              }
            }
          },
          idempotent: true
        },
        ResumeCampaign: {
          http: {
            requestUri: "/campaigns/{id}/resume",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          }
        },
        StartCampaign: {
          http: {
            requestUri: "/campaigns/{id}/start",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          }
        },
        StartInstanceOnboardingJob: {
          http: {
            method: "PUT",
            requestUri: "/connect-instance/{connectInstanceId}/onboarding",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "connectInstanceId",
              "encryptionConfig"
            ],
            members: {
              connectInstanceId: {
                location: "uri",
                locationName: "connectInstanceId"
              },
              encryptionConfig: {
                shape: "S14"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              connectInstanceOnboardingJobStatus: {
                shape: "S1b"
              }
            }
          },
          idempotent: true
        },
        StopCampaign: {
          http: {
            requestUri: "/campaigns/{id}/stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn",
              "tags"
            ],
            members: {
              arn: {
                location: "uri",
                locationName: "arn"
              },
              tags: {
                shape: "Se"
              }
            }
          },
          idempotent: true
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn",
              "tagKeys"
            ],
            members: {
              arn: {
                location: "uri",
                locationName: "arn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          idempotent: true
        },
        UpdateCampaignDialerConfig: {
          http: {
            requestUri: "/campaigns/{id}/dialer-config",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "dialerConfig",
              "id"
            ],
            members: {
              dialerConfig: {
                shape: "S3"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          idempotent: true
        },
        UpdateCampaignName: {
          http: {
            requestUri: "/campaigns/{id}/name",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id",
              "name"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              name: {}
            }
          },
          idempotent: true
        },
        UpdateCampaignOutboundCallConfig: {
          http: {
            requestUri: "/campaigns/{id}/outbound-call-config",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              answerMachineDetectionConfig: {
                shape: "S9"
              },
              connectContactFlowId: {},
              connectSourcePhoneNumber: {},
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S3: {
          type: "structure",
          members: {
            predictiveDialerConfig: {
              type: "structure",
              required: [
                "bandwidthAllocation"
              ],
              members: {
                bandwidthAllocation: {
                  type: "double"
                }
              }
            },
            progressiveDialerConfig: {
              type: "structure",
              required: [
                "bandwidthAllocation"
              ],
              members: {
                bandwidthAllocation: {
                  type: "double"
                }
              }
            }
          },
          union: true
        },
        S8: {
          type: "structure",
          required: [
            "connectContactFlowId",
            "connectQueueId"
          ],
          members: {
            answerMachineDetectionConfig: {
              shape: "S9"
            },
            connectContactFlowId: {},
            connectQueueId: {},
            connectSourcePhoneNumber: {}
          }
        },
        S9: {
          type: "structure",
          required: [
            "enableAnswerMachineDetection"
          ],
          members: {
            enableAnswerMachineDetection: {
              type: "boolean"
            }
          }
        },
        Se: {
          type: "map",
          key: {},
          value: {}
        },
        S14: {
          type: "structure",
          required: [
            "enabled"
          ],
          members: {
            enabled: {
              type: "boolean"
            },
            encryptionType: {},
            keyArn: {}
          }
        },
        S1b: {
          type: "structure",
          required: [
            "connectInstanceId",
            "status"
          ],
          members: {
            connectInstanceId: {},
            failureCode: {},
            status: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/connectcampaigns-2021-01-30.paginators.json
var require_connectcampaigns_2021_01_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/connectcampaigns-2021-01-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListCampaigns: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "campaignSummaryList"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/connectcampaigns.js
var require_connectcampaigns = __commonJS({
  "node_modules/aws-sdk/clients/connectcampaigns.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["connectcampaigns"] = {};
    AWS2.ConnectCampaigns = Service.defineService("connectcampaigns", ["2021-01-30"]);
    Object.defineProperty(apiLoader.services["connectcampaigns"], "2021-01-30", {
      get: function get() {
        var model = require_connectcampaigns_2021_01_30_min();
        model.paginators = require_connectcampaigns_2021_01_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ConnectCampaigns;
  }
});

// node_modules/aws-sdk/apis/redshift-serverless-2021-04-21.min.json
var require_redshift_serverless_2021_04_21_min = __commonJS({
  "node_modules/aws-sdk/apis/redshift-serverless-2021-04-21.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-04-21",
        endpointPrefix: "redshift-serverless",
        jsonVersion: "1.1",
        protocol: "json",
        serviceFullName: "Redshift Serverless",
        serviceId: "Redshift Serverless",
        signatureVersion: "v4",
        signingName: "redshift-serverless",
        targetPrefix: "RedshiftServerless",
        uid: "redshift-serverless-2021-04-21"
      },
      operations: {
        ConvertRecoveryPointToSnapshot: {
          input: {
            type: "structure",
            required: [
              "recoveryPointId",
              "snapshotName"
            ],
            members: {
              recoveryPointId: {},
              retentionPeriod: {
                type: "integer"
              },
              snapshotName: {},
              tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              snapshot: {
                shape: "S9"
              }
            }
          }
        },
        CreateEndpointAccess: {
          input: {
            type: "structure",
            required: [
              "endpointName",
              "subnetIds",
              "workgroupName"
            ],
            members: {
              endpointName: {},
              subnetIds: {
                shape: "Sh"
              },
              vpcSecurityGroupIds: {
                shape: "Sj"
              },
              workgroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              endpoint: {
                shape: "Sm"
              }
            }
          },
          idempotent: true
        },
        CreateNamespace: {
          input: {
            type: "structure",
            required: [
              "namespaceName"
            ],
            members: {
              adminUserPassword: {
                shape: "St"
              },
              adminUsername: {
                shape: "Su"
              },
              dbName: {},
              defaultIamRoleArn: {},
              iamRoles: {
                shape: "Sv"
              },
              kmsKeyId: {},
              logExports: {
                shape: "Sx"
              },
              namespaceName: {},
              tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              namespace: {
                shape: "S11"
              }
            }
          },
          idempotent: true
        },
        CreateSnapshot: {
          input: {
            type: "structure",
            required: [
              "namespaceName",
              "snapshotName"
            ],
            members: {
              namespaceName: {},
              retentionPeriod: {
                type: "integer"
              },
              snapshotName: {},
              tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              snapshot: {
                shape: "S9"
              }
            }
          },
          idempotent: true
        },
        CreateUsageLimit: {
          input: {
            type: "structure",
            required: [
              "amount",
              "resourceArn",
              "usageType"
            ],
            members: {
              amount: {
                type: "long"
              },
              breachAction: {},
              period: {},
              resourceArn: {},
              usageType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              usageLimit: {
                shape: "S1a"
              }
            }
          },
          idempotent: true
        },
        CreateWorkgroup: {
          input: {
            type: "structure",
            required: [
              "namespaceName",
              "workgroupName"
            ],
            members: {
              baseCapacity: {
                type: "integer"
              },
              configParameters: {
                shape: "S1c"
              },
              enhancedVpcRouting: {
                type: "boolean"
              },
              namespaceName: {},
              port: {
                type: "integer"
              },
              publiclyAccessible: {
                type: "boolean"
              },
              securityGroupIds: {
                shape: "S1h"
              },
              subnetIds: {
                shape: "Sh"
              },
              tags: {
                shape: "S4"
              },
              workgroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              workgroup: {
                shape: "S1l"
              }
            }
          },
          idempotent: true
        },
        DeleteEndpointAccess: {
          input: {
            type: "structure",
            required: [
              "endpointName"
            ],
            members: {
              endpointName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              endpoint: {
                shape: "Sm"
              }
            }
          },
          idempotent: true
        },
        DeleteNamespace: {
          input: {
            type: "structure",
            required: [
              "namespaceName"
            ],
            members: {
              finalSnapshotName: {},
              finalSnapshotRetentionPeriod: {
                type: "integer"
              },
              namespaceName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "namespace"
            ],
            members: {
              namespace: {
                shape: "S11"
              }
            }
          },
          idempotent: true
        },
        DeleteResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSnapshot: {
          input: {
            type: "structure",
            required: [
              "snapshotName"
            ],
            members: {
              snapshotName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              snapshot: {
                shape: "S9"
              }
            }
          },
          idempotent: true
        },
        DeleteUsageLimit: {
          input: {
            type: "structure",
            required: [
              "usageLimitId"
            ],
            members: {
              usageLimitId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              usageLimit: {
                shape: "S1a"
              }
            }
          },
          idempotent: true
        },
        DeleteWorkgroup: {
          input: {
            type: "structure",
            required: [
              "workgroupName"
            ],
            members: {
              workgroupName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "workgroup"
            ],
            members: {
              workgroup: {
                shape: "S1l"
              }
            }
          },
          idempotent: true
        },
        GetCredentials: {
          input: {
            type: "structure",
            required: [
              "workgroupName"
            ],
            members: {
              dbName: {},
              durationSeconds: {
                type: "integer"
              },
              workgroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              dbPassword: {
                shape: "St"
              },
              dbUser: {
                shape: "Su"
              },
              expiration: {
                type: "timestamp"
              },
              nextRefreshTime: {
                type: "timestamp"
              }
            }
          }
        },
        GetEndpointAccess: {
          input: {
            type: "structure",
            required: [
              "endpointName"
            ],
            members: {
              endpointName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              endpoint: {
                shape: "Sm"
              }
            }
          }
        },
        GetNamespace: {
          input: {
            type: "structure",
            required: [
              "namespaceName"
            ],
            members: {
              namespaceName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "namespace"
            ],
            members: {
              namespace: {
                shape: "S11"
              }
            }
          }
        },
        GetRecoveryPoint: {
          input: {
            type: "structure",
            required: [
              "recoveryPointId"
            ],
            members: {
              recoveryPointId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              recoveryPoint: {
                shape: "S2b"
              }
            }
          }
        },
        GetResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resourcePolicy: {
                shape: "S2e"
              }
            }
          }
        },
        GetSnapshot: {
          input: {
            type: "structure",
            members: {
              ownerAccount: {},
              snapshotArn: {},
              snapshotName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              snapshot: {
                shape: "S9"
              }
            }
          }
        },
        GetTableRestoreStatus: {
          input: {
            type: "structure",
            required: [
              "tableRestoreRequestId"
            ],
            members: {
              tableRestoreRequestId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tableRestoreStatus: {
                shape: "S2j"
              }
            }
          }
        },
        GetUsageLimit: {
          input: {
            type: "structure",
            required: [
              "usageLimitId"
            ],
            members: {
              usageLimitId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              usageLimit: {
                shape: "S1a"
              }
            }
          }
        },
        GetWorkgroup: {
          input: {
            type: "structure",
            required: [
              "workgroupName"
            ],
            members: {
              workgroupName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "workgroup"
            ],
            members: {
              workgroup: {
                shape: "S1l"
              }
            }
          }
        },
        ListEndpointAccess: {
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              vpcId: {},
              workgroupName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "endpoints"
            ],
            members: {
              endpoints: {
                type: "list",
                member: {
                  shape: "Sm"
                }
              },
              nextToken: {}
            }
          }
        },
        ListNamespaces: {
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "namespaces"
            ],
            members: {
              namespaces: {
                type: "list",
                member: {
                  shape: "S11"
                }
              },
              nextToken: {}
            }
          }
        },
        ListRecoveryPoints: {
          input: {
            type: "structure",
            members: {
              endTime: {
                type: "timestamp"
              },
              maxResults: {
                type: "integer"
              },
              namespaceArn: {},
              namespaceName: {},
              nextToken: {},
              startTime: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              recoveryPoints: {
                type: "list",
                member: {
                  shape: "S2b"
                }
              }
            }
          }
        },
        ListSnapshots: {
          input: {
            type: "structure",
            members: {
              endTime: {
                type: "timestamp"
              },
              maxResults: {
                type: "integer"
              },
              namespaceArn: {},
              namespaceName: {},
              nextToken: {},
              ownerAccount: {},
              startTime: {
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              snapshots: {
                type: "list",
                member: {
                  shape: "S9"
                }
              }
            }
          }
        },
        ListTableRestoreStatus: {
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              namespaceName: {},
              nextToken: {},
              workgroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              tableRestoreStatuses: {
                type: "list",
                member: {
                  shape: "S2j"
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S4"
              }
            }
          }
        },
        ListUsageLimits: {
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              resourceArn: {},
              usageType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              usageLimits: {
                type: "list",
                member: {
                  shape: "S1a"
                }
              }
            }
          }
        },
        ListWorkgroups: {
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "workgroups"
            ],
            members: {
              nextToken: {},
              workgroups: {
                type: "list",
                member: {
                  shape: "S1l"
                }
              }
            }
          }
        },
        PutResourcePolicy: {
          input: {
            type: "structure",
            required: [
              "policy",
              "resourceArn"
            ],
            members: {
              policy: {},
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              resourcePolicy: {
                shape: "S2e"
              }
            }
          }
        },
        RestoreFromRecoveryPoint: {
          input: {
            type: "structure",
            required: [
              "namespaceName",
              "recoveryPointId",
              "workgroupName"
            ],
            members: {
              namespaceName: {},
              recoveryPointId: {},
              workgroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              namespace: {
                shape: "S11"
              },
              recoveryPointId: {}
            }
          }
        },
        RestoreFromSnapshot: {
          input: {
            type: "structure",
            required: [
              "namespaceName",
              "workgroupName"
            ],
            members: {
              namespaceName: {},
              ownerAccount: {},
              snapshotArn: {},
              snapshotName: {},
              workgroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              namespace: {
                shape: "S11"
              },
              ownerAccount: {},
              snapshotName: {}
            }
          },
          idempotent: true
        },
        RestoreTableFromSnapshot: {
          input: {
            type: "structure",
            required: [
              "namespaceName",
              "newTableName",
              "snapshotName",
              "sourceDatabaseName",
              "sourceTableName",
              "workgroupName"
            ],
            members: {
              activateCaseSensitiveIdentifier: {
                type: "boolean"
              },
              namespaceName: {},
              newTableName: {},
              snapshotName: {},
              sourceDatabaseName: {},
              sourceSchemaName: {},
              sourceTableName: {},
              targetDatabaseName: {},
              targetSchemaName: {},
              workgroupName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tableRestoreStatus: {
                shape: "S2j"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateEndpointAccess: {
          input: {
            type: "structure",
            required: [
              "endpointName"
            ],
            members: {
              endpointName: {},
              vpcSecurityGroupIds: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              endpoint: {
                shape: "Sm"
              }
            }
          }
        },
        UpdateNamespace: {
          input: {
            type: "structure",
            required: [
              "namespaceName"
            ],
            members: {
              adminUserPassword: {
                shape: "St"
              },
              adminUsername: {
                shape: "Su"
              },
              defaultIamRoleArn: {},
              iamRoles: {
                shape: "Sv"
              },
              kmsKeyId: {},
              logExports: {
                shape: "Sx"
              },
              namespaceName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "namespace"
            ],
            members: {
              namespace: {
                shape: "S11"
              }
            }
          }
        },
        UpdateSnapshot: {
          input: {
            type: "structure",
            required: [
              "snapshotName"
            ],
            members: {
              retentionPeriod: {
                type: "integer"
              },
              snapshotName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              snapshot: {
                shape: "S9"
              }
            }
          }
        },
        UpdateUsageLimit: {
          input: {
            type: "structure",
            required: [
              "usageLimitId"
            ],
            members: {
              amount: {
                type: "long"
              },
              breachAction: {},
              usageLimitId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              usageLimit: {
                shape: "S1a"
              }
            }
          }
        },
        UpdateWorkgroup: {
          input: {
            type: "structure",
            required: [
              "workgroupName"
            ],
            members: {
              baseCapacity: {
                type: "integer"
              },
              configParameters: {
                shape: "S1c"
              },
              enhancedVpcRouting: {
                type: "boolean"
              },
              port: {
                type: "integer"
              },
              publiclyAccessible: {
                type: "boolean"
              },
              securityGroupIds: {
                shape: "S1h"
              },
              subnetIds: {
                shape: "Sh"
              },
              workgroupName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "workgroup"
            ],
            members: {
              workgroup: {
                shape: "S1l"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        S9: {
          type: "structure",
          members: {
            accountsWithProvisionedRestoreAccess: {
              shape: "Sa"
            },
            accountsWithRestoreAccess: {
              shape: "Sa"
            },
            actualIncrementalBackupSizeInMegaBytes: {
              type: "double"
            },
            adminUsername: {},
            backupProgressInMegaBytes: {
              type: "double"
            },
            currentBackupRateInMegaBytesPerSecond: {
              type: "double"
            },
            elapsedTimeInSeconds: {
              type: "long"
            },
            estimatedSecondsToCompletion: {
              type: "long"
            },
            kmsKeyId: {},
            namespaceArn: {},
            namespaceName: {},
            ownerAccount: {},
            snapshotArn: {},
            snapshotCreateTime: {
              shape: "Se"
            },
            snapshotName: {},
            snapshotRemainingDays: {
              type: "integer"
            },
            snapshotRetentionPeriod: {
              type: "integer"
            },
            snapshotRetentionStartTime: {
              shape: "Se"
            },
            status: {},
            totalBackupSizeInMegaBytes: {
              type: "double"
            }
          }
        },
        Sa: {
          type: "list",
          member: {}
        },
        Se: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sh: {
          type: "list",
          member: {}
        },
        Sj: {
          type: "list",
          member: {}
        },
        Sm: {
          type: "structure",
          members: {
            address: {},
            endpointArn: {},
            endpointCreateTime: {
              shape: "Se"
            },
            endpointName: {},
            endpointStatus: {},
            port: {
              type: "integer"
            },
            subnetIds: {
              shape: "Sh"
            },
            vpcEndpoint: {
              shape: "Sn"
            },
            vpcSecurityGroups: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  status: {},
                  vpcSecurityGroupId: {}
                }
              }
            },
            workgroupName: {}
          }
        },
        Sn: {
          type: "structure",
          members: {
            networkInterfaces: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  availabilityZone: {},
                  networkInterfaceId: {},
                  privateIpAddress: {},
                  subnetId: {}
                }
              }
            },
            vpcEndpointId: {},
            vpcId: {}
          }
        },
        St: {
          type: "string",
          sensitive: true
        },
        Su: {
          type: "string",
          sensitive: true
        },
        Sv: {
          type: "list",
          member: {}
        },
        Sx: {
          type: "list",
          member: {}
        },
        S11: {
          type: "structure",
          members: {
            adminUsername: {
              shape: "Su"
            },
            creationDate: {
              shape: "Se"
            },
            dbName: {},
            defaultIamRoleArn: {},
            iamRoles: {
              shape: "Sv"
            },
            kmsKeyId: {},
            logExports: {
              shape: "Sx"
            },
            namespaceArn: {},
            namespaceId: {},
            namespaceName: {},
            status: {}
          }
        },
        S1a: {
          type: "structure",
          members: {
            amount: {
              type: "long"
            },
            breachAction: {},
            period: {},
            resourceArn: {},
            usageLimitArn: {},
            usageLimitId: {},
            usageType: {}
          }
        },
        S1c: {
          type: "list",
          member: {
            type: "structure",
            members: {
              parameterKey: {},
              parameterValue: {}
            }
          }
        },
        S1h: {
          type: "list",
          member: {}
        },
        S1l: {
          type: "structure",
          members: {
            baseCapacity: {
              type: "integer"
            },
            configParameters: {
              shape: "S1c"
            },
            creationDate: {
              shape: "Se"
            },
            endpoint: {
              type: "structure",
              members: {
                address: {},
                port: {
                  type: "integer"
                },
                vpcEndpoints: {
                  type: "list",
                  member: {
                    shape: "Sn"
                  }
                }
              }
            },
            enhancedVpcRouting: {
              type: "boolean"
            },
            namespaceName: {},
            port: {
              type: "integer"
            },
            publiclyAccessible: {
              type: "boolean"
            },
            securityGroupIds: {
              shape: "S1h"
            },
            status: {},
            subnetIds: {
              shape: "Sh"
            },
            workgroupArn: {},
            workgroupId: {},
            workgroupName: {}
          }
        },
        S2b: {
          type: "structure",
          members: {
            namespaceArn: {},
            namespaceName: {},
            recoveryPointCreateTime: {
              shape: "Se"
            },
            recoveryPointId: {},
            totalSizeInMegaBytes: {
              type: "double"
            },
            workgroupName: {}
          }
        },
        S2e: {
          type: "structure",
          members: {
            policy: {},
            resourceArn: {}
          }
        },
        S2j: {
          type: "structure",
          members: {
            message: {},
            namespaceName: {},
            newTableName: {},
            progressInMegaBytes: {
              type: "long"
            },
            requestTime: {
              type: "timestamp"
            },
            snapshotName: {},
            sourceDatabaseName: {},
            sourceSchemaName: {},
            sourceTableName: {},
            status: {},
            tableRestoreRequestId: {},
            targetDatabaseName: {},
            targetSchemaName: {},
            totalDataInMegaBytes: {
              type: "long"
            },
            workgroupName: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/redshift-serverless-2021-04-21.paginators.json
var require_redshift_serverless_2021_04_21_paginators = __commonJS({
  "node_modules/aws-sdk/apis/redshift-serverless-2021-04-21.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListEndpointAccess: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "endpoints"
        },
        ListNamespaces: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "namespaces"
        },
        ListRecoveryPoints: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "recoveryPoints"
        },
        ListSnapshots: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "snapshots"
        },
        ListTableRestoreStatus: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "tableRestoreStatuses"
        },
        ListUsageLimits: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "usageLimits"
        },
        ListWorkgroups: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "workgroups"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/redshiftserverless.js
var require_redshiftserverless = __commonJS({
  "node_modules/aws-sdk/clients/redshiftserverless.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["redshiftserverless"] = {};
    AWS2.RedshiftServerless = Service.defineService("redshiftserverless", ["2021-04-21"]);
    Object.defineProperty(apiLoader.services["redshiftserverless"], "2021-04-21", {
      get: function get() {
        var model = require_redshift_serverless_2021_04_21_min();
        model.paginators = require_redshift_serverless_2021_04_21_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.RedshiftServerless;
  }
});

// node_modules/aws-sdk/apis/rolesanywhere-2018-05-10.min.json
var require_rolesanywhere_2018_05_10_min = __commonJS({
  "node_modules/aws-sdk/apis/rolesanywhere-2018-05-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-05-10",
        endpointPrefix: "rolesanywhere",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "IAM Roles Anywhere",
        serviceId: "RolesAnywhere",
        signatureVersion: "v4",
        signingName: "rolesanywhere",
        uid: "rolesanywhere-2018-05-10"
      },
      operations: {
        CreateProfile: {
          http: {
            requestUri: "/profiles",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "name",
              "roleArns"
            ],
            members: {
              durationSeconds: {
                type: "integer"
              },
              enabled: {
                type: "boolean"
              },
              managedPolicyArns: {
                shape: "S4"
              },
              name: {},
              requireInstanceProperties: {
                type: "boolean"
              },
              roleArns: {
                shape: "S7"
              },
              sessionPolicy: {},
              tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            shape: "Se"
          }
        },
        CreateTrustAnchor: {
          http: {
            requestUri: "/trustanchors",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "name",
              "source"
            ],
            members: {
              enabled: {
                type: "boolean"
              },
              name: {},
              notificationSettings: {
                shape: "Sl"
              },
              source: {
                shape: "Sq"
              },
              tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            shape: "Su"
          }
        },
        DeleteCrl: {
          http: {
            method: "DELETE",
            requestUri: "/crl/{crlId}",
            responseCode: 200
          },
          input: {
            shape: "S10"
          },
          output: {
            shape: "S11"
          },
          idempotent: true
        },
        DeleteProfile: {
          http: {
            method: "DELETE",
            requestUri: "/profile/{profileId}",
            responseCode: 200
          },
          input: {
            shape: "S14"
          },
          output: {
            shape: "Se"
          },
          idempotent: true
        },
        DeleteTrustAnchor: {
          http: {
            method: "DELETE",
            requestUri: "/trustanchor/{trustAnchorId}",
            responseCode: 200
          },
          input: {
            shape: "S15"
          },
          output: {
            shape: "Su"
          },
          idempotent: true
        },
        DisableCrl: {
          http: {
            requestUri: "/crl/{crlId}/disable",
            responseCode: 200
          },
          input: {
            shape: "S10"
          },
          output: {
            shape: "S11"
          }
        },
        DisableProfile: {
          http: {
            requestUri: "/profile/{profileId}/disable",
            responseCode: 200
          },
          input: {
            shape: "S14"
          },
          output: {
            shape: "Se"
          }
        },
        DisableTrustAnchor: {
          http: {
            requestUri: "/trustanchor/{trustAnchorId}/disable",
            responseCode: 200
          },
          input: {
            shape: "S15"
          },
          output: {
            shape: "Su"
          }
        },
        EnableCrl: {
          http: {
            requestUri: "/crl/{crlId}/enable",
            responseCode: 200
          },
          input: {
            shape: "S10"
          },
          output: {
            shape: "S11"
          }
        },
        EnableProfile: {
          http: {
            requestUri: "/profile/{profileId}/enable",
            responseCode: 200
          },
          input: {
            shape: "S14"
          },
          output: {
            shape: "Se"
          }
        },
        EnableTrustAnchor: {
          http: {
            requestUri: "/trustanchor/{trustAnchorId}/enable",
            responseCode: 200
          },
          input: {
            shape: "S15"
          },
          output: {
            shape: "Su"
          }
        },
        GetCrl: {
          http: {
            method: "GET",
            requestUri: "/crl/{crlId}",
            responseCode: 200
          },
          input: {
            shape: "S10"
          },
          output: {
            shape: "S11"
          }
        },
        GetProfile: {
          http: {
            method: "GET",
            requestUri: "/profile/{profileId}",
            responseCode: 200
          },
          input: {
            shape: "S14"
          },
          output: {
            shape: "Se"
          }
        },
        GetSubject: {
          http: {
            method: "GET",
            requestUri: "/subject/{subjectId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "subjectId"
            ],
            members: {
              subjectId: {
                location: "uri",
                locationName: "subjectId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              subject: {
                type: "structure",
                members: {
                  createdAt: {
                    shape: "Sg"
                  },
                  credentials: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        enabled: {
                          type: "boolean"
                        },
                        failed: {
                          type: "boolean"
                        },
                        issuer: {},
                        seenAt: {
                          shape: "Sg"
                        },
                        serialNumber: {},
                        x509CertificateData: {}
                      }
                    }
                  },
                  enabled: {
                    type: "boolean"
                  },
                  instanceProperties: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        failed: {
                          type: "boolean"
                        },
                        properties: {
                          type: "map",
                          key: {},
                          value: {}
                        },
                        seenAt: {
                          shape: "Sg"
                        }
                      }
                    }
                  },
                  lastSeenAt: {
                    shape: "Sg"
                  },
                  subjectArn: {},
                  subjectId: {},
                  updatedAt: {
                    shape: "Sg"
                  },
                  x509Subject: {}
                }
              }
            }
          }
        },
        GetTrustAnchor: {
          http: {
            method: "GET",
            requestUri: "/trustanchor/{trustAnchorId}",
            responseCode: 200
          },
          input: {
            shape: "S15"
          },
          output: {
            shape: "Su"
          }
        },
        ImportCrl: {
          http: {
            requestUri: "/crls",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "crlData",
              "name",
              "trustAnchorArn"
            ],
            members: {
              crlData: {
                type: "blob"
              },
              enabled: {
                type: "boolean"
              },
              name: {},
              tags: {
                shape: "Sa"
              },
              trustAnchorArn: {}
            }
          },
          output: {
            shape: "S11"
          }
        },
        ListCrls: {
          http: {
            method: "GET",
            requestUri: "/crls",
            responseCode: 200
          },
          input: {
            shape: "S1j"
          },
          output: {
            type: "structure",
            members: {
              crls: {
                type: "list",
                member: {
                  shape: "S12"
                }
              },
              nextToken: {}
            }
          }
        },
        ListProfiles: {
          http: {
            method: "GET",
            requestUri: "/profiles",
            responseCode: 200
          },
          input: {
            shape: "S1j"
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              profiles: {
                type: "list",
                member: {
                  shape: "Sf"
                }
              }
            }
          }
        },
        ListSubjects: {
          http: {
            method: "GET",
            requestUri: "/subjects",
            responseCode: 200
          },
          input: {
            shape: "S1j"
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              subjects: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    createdAt: {
                      shape: "Sg"
                    },
                    enabled: {
                      type: "boolean"
                    },
                    lastSeenAt: {
                      shape: "Sg"
                    },
                    subjectArn: {},
                    subjectId: {},
                    updatedAt: {
                      shape: "Sg"
                    },
                    x509Subject: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/ListTagsForResource",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "querystring",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sa"
              }
            }
          }
        },
        ListTrustAnchors: {
          http: {
            method: "GET",
            requestUri: "/trustanchors",
            responseCode: 200
          },
          input: {
            shape: "S1j"
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              trustAnchors: {
                type: "list",
                member: {
                  shape: "Sv"
                }
              }
            }
          }
        },
        PutNotificationSettings: {
          http: {
            method: "PATCH",
            requestUri: "/put-notifications-settings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "notificationSettings",
              "trustAnchorId"
            ],
            members: {
              notificationSettings: {
                shape: "Sl"
              },
              trustAnchorId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "trustAnchor"
            ],
            members: {
              trustAnchor: {
                shape: "Sv"
              }
            }
          }
        },
        ResetNotificationSettings: {
          http: {
            method: "PATCH",
            requestUri: "/reset-notifications-settings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "notificationSettingKeys",
              "trustAnchorId"
            ],
            members: {
              notificationSettingKeys: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "event"
                  ],
                  members: {
                    channel: {},
                    event: {}
                  }
                }
              },
              trustAnchorId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "trustAnchor"
            ],
            members: {
              trustAnchor: {
                shape: "Sv"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/TagResource",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            requestUri: "/UntagResource",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {
                  shape: "Sc"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateCrl: {
          http: {
            method: "PATCH",
            requestUri: "/crl/{crlId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "crlId"
            ],
            members: {
              crlData: {
                type: "blob"
              },
              crlId: {
                location: "uri",
                locationName: "crlId"
              },
              name: {}
            }
          },
          output: {
            shape: "S11"
          }
        },
        UpdateProfile: {
          http: {
            method: "PATCH",
            requestUri: "/profile/{profileId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "profileId"
            ],
            members: {
              durationSeconds: {
                type: "integer"
              },
              managedPolicyArns: {
                shape: "S4"
              },
              name: {},
              profileId: {
                location: "uri",
                locationName: "profileId"
              },
              roleArns: {
                shape: "S7"
              },
              sessionPolicy: {}
            }
          },
          output: {
            shape: "Se"
          },
          idempotent: true
        },
        UpdateTrustAnchor: {
          http: {
            method: "PATCH",
            requestUri: "/trustanchor/{trustAnchorId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "trustAnchorId"
            ],
            members: {
              name: {},
              source: {
                shape: "Sq"
              },
              trustAnchorId: {
                location: "uri",
                locationName: "trustAnchorId"
              }
            }
          },
          output: {
            shape: "Su"
          },
          idempotent: true
        }
      },
      shapes: {
        S4: {
          type: "list",
          member: {}
        },
        S7: {
          type: "list",
          member: {}
        },
        Sa: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {
                shape: "Sc"
              },
              value: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        Sc: {
          type: "string",
          sensitive: true
        },
        Se: {
          type: "structure",
          members: {
            profile: {
              shape: "Sf"
            }
          }
        },
        Sf: {
          type: "structure",
          members: {
            createdAt: {
              shape: "Sg"
            },
            createdBy: {},
            durationSeconds: {
              type: "integer"
            },
            enabled: {
              type: "boolean"
            },
            managedPolicyArns: {
              shape: "S4"
            },
            name: {},
            profileArn: {},
            profileId: {},
            requireInstanceProperties: {
              type: "boolean"
            },
            roleArns: {
              shape: "S7"
            },
            sessionPolicy: {},
            updatedAt: {
              shape: "Sg"
            }
          }
        },
        Sg: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sl: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "enabled",
              "event"
            ],
            members: {
              channel: {},
              enabled: {
                type: "boolean"
              },
              event: {},
              threshold: {
                type: "integer"
              }
            }
          }
        },
        Sq: {
          type: "structure",
          members: {
            sourceData: {
              type: "structure",
              members: {
                acmPcaArn: {},
                x509CertificateData: {}
              },
              union: true
            },
            sourceType: {}
          }
        },
        Su: {
          type: "structure",
          required: [
            "trustAnchor"
          ],
          members: {
            trustAnchor: {
              shape: "Sv"
            }
          }
        },
        Sv: {
          type: "structure",
          members: {
            createdAt: {
              shape: "Sg"
            },
            enabled: {
              type: "boolean"
            },
            name: {},
            notificationSettings: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "enabled",
                  "event"
                ],
                members: {
                  channel: {},
                  configuredBy: {},
                  enabled: {
                    type: "boolean"
                  },
                  event: {},
                  threshold: {
                    type: "integer"
                  }
                }
              }
            },
            source: {
              shape: "Sq"
            },
            trustAnchorArn: {},
            trustAnchorId: {},
            updatedAt: {
              shape: "Sg"
            }
          }
        },
        S10: {
          type: "structure",
          required: [
            "crlId"
          ],
          members: {
            crlId: {
              location: "uri",
              locationName: "crlId"
            }
          }
        },
        S11: {
          type: "structure",
          required: [
            "crl"
          ],
          members: {
            crl: {
              shape: "S12"
            }
          }
        },
        S12: {
          type: "structure",
          members: {
            createdAt: {
              shape: "Sg"
            },
            crlArn: {},
            crlData: {
              type: "blob"
            },
            crlId: {},
            enabled: {
              type: "boolean"
            },
            name: {},
            trustAnchorArn: {},
            updatedAt: {
              shape: "Sg"
            }
          }
        },
        S14: {
          type: "structure",
          required: [
            "profileId"
          ],
          members: {
            profileId: {
              location: "uri",
              locationName: "profileId"
            }
          }
        },
        S15: {
          type: "structure",
          required: [
            "trustAnchorId"
          ],
          members: {
            trustAnchorId: {
              location: "uri",
              locationName: "trustAnchorId"
            }
          }
        },
        S1j: {
          type: "structure",
          members: {
            nextToken: {
              location: "querystring",
              locationName: "nextToken"
            },
            pageSize: {
              location: "querystring",
              locationName: "pageSize",
              type: "integer"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/rolesanywhere-2018-05-10.paginators.json
var require_rolesanywhere_2018_05_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/rolesanywhere-2018-05-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListCrls: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "crls"
        },
        ListProfiles: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "profiles"
        },
        ListSubjects: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "subjects"
        },
        ListTrustAnchors: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "trustAnchors"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/rolesanywhere.js
var require_rolesanywhere = __commonJS({
  "node_modules/aws-sdk/clients/rolesanywhere.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["rolesanywhere"] = {};
    AWS2.RolesAnywhere = Service.defineService("rolesanywhere", ["2018-05-10"]);
    Object.defineProperty(apiLoader.services["rolesanywhere"], "2018-05-10", {
      get: function get() {
        var model = require_rolesanywhere_2018_05_10_min();
        model.paginators = require_rolesanywhere_2018_05_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.RolesAnywhere;
  }
});

// node_modules/aws-sdk/apis/license-manager-user-subscriptions-2018-05-10.min.json
var require_license_manager_user_subscriptions_2018_05_10_min = __commonJS({
  "node_modules/aws-sdk/apis/license-manager-user-subscriptions-2018-05-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-05-10",
        endpointPrefix: "license-manager-user-subscriptions",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS License Manager User Subscriptions",
        serviceId: "License Manager User Subscriptions",
        signatureVersion: "v4",
        signingName: "license-manager-user-subscriptions",
        uid: "license-manager-user-subscriptions-2018-05-10"
      },
      operations: {
        AssociateUser: {
          http: {
            requestUri: "/user/AssociateUser",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityProvider",
              "InstanceId",
              "Username"
            ],
            members: {
              Domain: {},
              IdentityProvider: {
                shape: "S3"
              },
              InstanceId: {},
              Username: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "InstanceUserSummary"
            ],
            members: {
              InstanceUserSummary: {
                shape: "S6"
              }
            }
          },
          idempotent: true
        },
        DeregisterIdentityProvider: {
          http: {
            requestUri: "/identity-provider/DeregisterIdentityProvider",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityProvider",
              "Product"
            ],
            members: {
              IdentityProvider: {
                shape: "S3"
              },
              Product: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "IdentityProviderSummary"
            ],
            members: {
              IdentityProviderSummary: {
                shape: "S9"
              }
            }
          },
          idempotent: true
        },
        DisassociateUser: {
          http: {
            requestUri: "/user/DisassociateUser",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityProvider",
              "InstanceId",
              "Username"
            ],
            members: {
              Domain: {},
              IdentityProvider: {
                shape: "S3"
              },
              InstanceId: {},
              Username: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "InstanceUserSummary"
            ],
            members: {
              InstanceUserSummary: {
                shape: "S6"
              }
            }
          },
          idempotent: true
        },
        ListIdentityProviders: {
          http: {
            requestUri: "/identity-provider/ListIdentityProviders",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "IdentityProviderSummaries"
            ],
            members: {
              IdentityProviderSummaries: {
                type: "list",
                member: {
                  shape: "S9"
                }
              },
              NextToken: {}
            }
          }
        },
        ListInstances: {
          http: {
            requestUri: "/instance/ListInstances",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Sl"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "InstanceId",
                    "Products",
                    "Status"
                  ],
                  members: {
                    InstanceId: {},
                    LastStatusCheckDate: {},
                    Products: {
                      type: "list",
                      member: {}
                    },
                    Status: {},
                    StatusMessage: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListProductSubscriptions: {
          http: {
            requestUri: "/user/ListProductSubscriptions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityProvider",
              "Product"
            ],
            members: {
              Filters: {
                shape: "Sl"
              },
              IdentityProvider: {
                shape: "S3"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Product: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ProductUserSummaries: {
                type: "list",
                member: {
                  shape: "Su"
                }
              }
            }
          }
        },
        ListUserAssociations: {
          http: {
            requestUri: "/user/ListUserAssociations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityProvider",
              "InstanceId"
            ],
            members: {
              Filters: {
                shape: "Sl"
              },
              IdentityProvider: {
                shape: "S3"
              },
              InstanceId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              InstanceUserSummaries: {
                type: "list",
                member: {
                  shape: "S6"
                }
              },
              NextToken: {}
            }
          }
        },
        RegisterIdentityProvider: {
          http: {
            requestUri: "/identity-provider/RegisterIdentityProvider",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityProvider",
              "Product"
            ],
            members: {
              IdentityProvider: {
                shape: "S3"
              },
              Product: {},
              Settings: {
                shape: "Sa"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "IdentityProviderSummary"
            ],
            members: {
              IdentityProviderSummary: {
                shape: "S9"
              }
            }
          },
          idempotent: true
        },
        StartProductSubscription: {
          http: {
            requestUri: "/user/StartProductSubscription",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityProvider",
              "Product",
              "Username"
            ],
            members: {
              Domain: {},
              IdentityProvider: {
                shape: "S3"
              },
              Product: {},
              Username: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ProductUserSummary"
            ],
            members: {
              ProductUserSummary: {
                shape: "Su"
              }
            }
          }
        },
        StopProductSubscription: {
          http: {
            requestUri: "/user/StopProductSubscription",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityProvider",
              "Product",
              "Username"
            ],
            members: {
              Domain: {},
              IdentityProvider: {
                shape: "S3"
              },
              Product: {},
              Username: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ProductUserSummary"
            ],
            members: {
              ProductUserSummary: {
                shape: "Su"
              }
            }
          }
        },
        UpdateIdentityProviderSettings: {
          http: {
            requestUri: "/identity-provider/UpdateIdentityProviderSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "IdentityProvider",
              "Product",
              "UpdateSettings"
            ],
            members: {
              IdentityProvider: {
                shape: "S3"
              },
              Product: {},
              UpdateSettings: {
                type: "structure",
                required: [
                  "AddSubnets",
                  "RemoveSubnets"
                ],
                members: {
                  AddSubnets: {
                    shape: "S16"
                  },
                  RemoveSubnets: {
                    shape: "S16"
                  },
                  SecurityGroupId: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "IdentityProviderSummary"
            ],
            members: {
              IdentityProviderSummary: {
                shape: "S9"
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S3: {
          type: "structure",
          members: {
            ActiveDirectoryIdentityProvider: {
              type: "structure",
              members: {
                DirectoryId: {}
              }
            }
          },
          union: true
        },
        S6: {
          type: "structure",
          required: [
            "IdentityProvider",
            "InstanceId",
            "Status",
            "Username"
          ],
          members: {
            AssociationDate: {},
            DisassociationDate: {},
            Domain: {},
            IdentityProvider: {
              shape: "S3"
            },
            InstanceId: {},
            Status: {},
            StatusMessage: {},
            Username: {}
          }
        },
        S9: {
          type: "structure",
          required: [
            "IdentityProvider",
            "Product",
            "Settings",
            "Status"
          ],
          members: {
            FailureMessage: {},
            IdentityProvider: {
              shape: "S3"
            },
            Product: {},
            Settings: {
              shape: "Sa"
            },
            Status: {}
          }
        },
        Sa: {
          type: "structure",
          required: [
            "SecurityGroupId",
            "Subnets"
          ],
          members: {
            SecurityGroupId: {},
            Subnets: {
              type: "list",
              member: {}
            }
          }
        },
        Sl: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Attribute: {},
              Operation: {},
              Value: {}
            }
          }
        },
        Su: {
          type: "structure",
          required: [
            "IdentityProvider",
            "Product",
            "Status",
            "Username"
          ],
          members: {
            Domain: {},
            IdentityProvider: {
              shape: "S3"
            },
            Product: {},
            Status: {},
            StatusMessage: {},
            SubscriptionEndDate: {},
            SubscriptionStartDate: {},
            Username: {}
          }
        },
        S16: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/license-manager-user-subscriptions-2018-05-10.paginators.json
var require_license_manager_user_subscriptions_2018_05_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/license-manager-user-subscriptions-2018-05-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListIdentityProviders: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "IdentityProviderSummaries"
        },
        ListInstances: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "InstanceSummaries"
        },
        ListProductSubscriptions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ProductUserSummaries"
        },
        ListUserAssociations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "InstanceUserSummaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/licensemanagerusersubscriptions.js
var require_licensemanagerusersubscriptions = __commonJS({
  "node_modules/aws-sdk/clients/licensemanagerusersubscriptions.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["licensemanagerusersubscriptions"] = {};
    AWS2.LicenseManagerUserSubscriptions = Service.defineService("licensemanagerusersubscriptions", ["2018-05-10"]);
    Object.defineProperty(apiLoader.services["licensemanagerusersubscriptions"], "2018-05-10", {
      get: function get() {
        var model = require_license_manager_user_subscriptions_2018_05_10_min();
        model.paginators = require_license_manager_user_subscriptions_2018_05_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.LicenseManagerUserSubscriptions;
  }
});

// node_modules/aws-sdk/apis/backupstorage-2018-04-10.min.json
var require_backupstorage_2018_04_10_min = __commonJS({
  "node_modules/aws-sdk/apis/backupstorage-2018-04-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-04-10",
        endpointPrefix: "backupstorage",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Backup Storage",
        serviceId: "BackupStorage",
        signatureVersion: "v4",
        signingName: "backup-storage",
        uid: "backupstorage-2018-04-10"
      },
      operations: {
        DeleteObject: {
          http: {
            method: "DELETE",
            requestUri: "/backup-jobs/{jobId}/object/{objectName}"
          },
          input: {
            type: "structure",
            required: [
              "BackupJobId",
              "ObjectName"
            ],
            members: {
              BackupJobId: {
                location: "uri",
                locationName: "jobId"
              },
              ObjectName: {
                location: "uri",
                locationName: "objectName"
              }
            }
          }
        },
        GetChunk: {
          http: {
            method: "GET",
            requestUri: "/restore-jobs/{jobId}/chunk/{chunkToken}"
          },
          input: {
            type: "structure",
            required: [
              "StorageJobId",
              "ChunkToken"
            ],
            members: {
              StorageJobId: {
                location: "uri",
                locationName: "jobId"
              },
              ChunkToken: {
                location: "uri",
                locationName: "chunkToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Data",
              "Length",
              "Checksum",
              "ChecksumAlgorithm"
            ],
            members: {
              Data: {
                shape: "S5"
              },
              Length: {
                location: "header",
                locationName: "x-amz-data-length",
                type: "long"
              },
              Checksum: {
                location: "header",
                locationName: "x-amz-checksum"
              },
              ChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-checksum-algorithm"
              }
            },
            payload: "Data"
          }
        },
        GetObjectMetadata: {
          http: {
            method: "GET",
            requestUri: "/restore-jobs/{jobId}/object/{objectToken}/metadata"
          },
          input: {
            type: "structure",
            required: [
              "StorageJobId",
              "ObjectToken"
            ],
            members: {
              StorageJobId: {
                location: "uri",
                locationName: "jobId"
              },
              ObjectToken: {
                location: "uri",
                locationName: "objectToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              MetadataString: {
                location: "header",
                locationName: "x-amz-metadata-string"
              },
              MetadataBlob: {
                shape: "S5"
              },
              MetadataBlobLength: {
                location: "header",
                locationName: "x-amz-data-length",
                type: "long"
              },
              MetadataBlobChecksum: {
                location: "header",
                locationName: "x-amz-checksum"
              },
              MetadataBlobChecksumAlgorithm: {
                location: "header",
                locationName: "x-amz-checksum-algorithm"
              }
            },
            payload: "MetadataBlob"
          }
        },
        ListChunks: {
          http: {
            method: "GET",
            requestUri: "/restore-jobs/{jobId}/chunks/{objectToken}/list"
          },
          input: {
            type: "structure",
            required: [
              "StorageJobId",
              "ObjectToken"
            ],
            members: {
              StorageJobId: {
                location: "uri",
                locationName: "jobId"
              },
              ObjectToken: {
                location: "uri",
                locationName: "objectToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ChunkList"
            ],
            members: {
              ChunkList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Index",
                    "Length",
                    "Checksum",
                    "ChecksumAlgorithm",
                    "ChunkToken"
                  ],
                  members: {
                    Index: {
                      type: "long"
                    },
                    Length: {
                      type: "long"
                    },
                    Checksum: {},
                    ChecksumAlgorithm: {},
                    ChunkToken: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListObjects: {
          http: {
            method: "GET",
            requestUri: "/restore-jobs/{jobId}/objects/list"
          },
          input: {
            type: "structure",
            required: [
              "StorageJobId"
            ],
            members: {
              StorageJobId: {
                location: "uri",
                locationName: "jobId"
              },
              StartingObjectName: {
                location: "querystring",
                locationName: "starting-object-name"
              },
              StartingObjectPrefix: {
                location: "querystring",
                locationName: "starting-object-prefix"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              CreatedBefore: {
                location: "querystring",
                locationName: "created-before",
                type: "timestamp"
              },
              CreatedAfter: {
                location: "querystring",
                locationName: "created-after",
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ObjectList"
            ],
            members: {
              ObjectList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "ObjectChecksum",
                    "ObjectChecksumAlgorithm",
                    "ObjectToken"
                  ],
                  members: {
                    Name: {},
                    ChunksCount: {
                      type: "long"
                    },
                    MetadataString: {},
                    ObjectChecksum: {},
                    ObjectChecksumAlgorithm: {},
                    ObjectToken: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        NotifyObjectComplete: {
          http: {
            method: "PUT",
            requestUri: "/backup-jobs/{jobId}/object/{uploadId}/complete"
          },
          input: {
            type: "structure",
            required: [
              "BackupJobId",
              "UploadId",
              "ObjectChecksum",
              "ObjectChecksumAlgorithm"
            ],
            members: {
              BackupJobId: {
                location: "uri",
                locationName: "jobId"
              },
              UploadId: {
                location: "uri",
                locationName: "uploadId"
              },
              ObjectChecksum: {
                location: "querystring",
                locationName: "checksum"
              },
              ObjectChecksumAlgorithm: {
                location: "querystring",
                locationName: "checksum-algorithm"
              },
              MetadataString: {
                location: "querystring",
                locationName: "metadata-string"
              },
              MetadataBlob: {
                shape: "S5"
              },
              MetadataBlobLength: {
                location: "querystring",
                locationName: "metadata-blob-length",
                type: "long"
              },
              MetadataBlobChecksum: {
                location: "querystring",
                locationName: "metadata-checksum"
              },
              MetadataBlobChecksumAlgorithm: {
                location: "querystring",
                locationName: "metadata-checksum-algorithm"
              }
            },
            payload: "MetadataBlob"
          },
          output: {
            type: "structure",
            required: [
              "ObjectChecksum",
              "ObjectChecksumAlgorithm"
            ],
            members: {
              ObjectChecksum: {},
              ObjectChecksumAlgorithm: {}
            }
          },
          authtype: "v4-unsigned-body"
        },
        PutChunk: {
          http: {
            method: "PUT",
            requestUri: "/backup-jobs/{jobId}/chunk/{uploadId}/{chunkIndex}"
          },
          input: {
            type: "structure",
            required: [
              "BackupJobId",
              "UploadId",
              "ChunkIndex",
              "Data",
              "Length",
              "Checksum",
              "ChecksumAlgorithm"
            ],
            members: {
              BackupJobId: {
                location: "uri",
                locationName: "jobId"
              },
              UploadId: {
                location: "uri",
                locationName: "uploadId"
              },
              ChunkIndex: {
                location: "uri",
                locationName: "chunkIndex",
                type: "long"
              },
              Data: {
                shape: "S5"
              },
              Length: {
                location: "querystring",
                locationName: "length",
                type: "long"
              },
              Checksum: {
                location: "querystring",
                locationName: "checksum"
              },
              ChecksumAlgorithm: {
                location: "querystring",
                locationName: "checksum-algorithm"
              }
            },
            payload: "Data"
          },
          output: {
            type: "structure",
            required: [
              "ChunkChecksum",
              "ChunkChecksumAlgorithm"
            ],
            members: {
              ChunkChecksum: {},
              ChunkChecksumAlgorithm: {}
            }
          },
          authtype: "v4-unsigned-body"
        },
        PutObject: {
          http: {
            method: "PUT",
            requestUri: "/backup-jobs/{jobId}/object/{objectName}/put-object"
          },
          input: {
            type: "structure",
            required: [
              "BackupJobId",
              "ObjectName"
            ],
            members: {
              BackupJobId: {
                location: "uri",
                locationName: "jobId"
              },
              ObjectName: {
                location: "uri",
                locationName: "objectName"
              },
              MetadataString: {
                location: "querystring",
                locationName: "metadata-string"
              },
              InlineChunk: {
                shape: "S5"
              },
              InlineChunkLength: {
                location: "querystring",
                locationName: "length",
                type: "long"
              },
              InlineChunkChecksum: {
                location: "querystring",
                locationName: "checksum"
              },
              InlineChunkChecksumAlgorithm: {
                location: "querystring",
                locationName: "checksum-algorithm"
              },
              ObjectChecksum: {
                location: "querystring",
                locationName: "object-checksum"
              },
              ObjectChecksumAlgorithm: {
                location: "querystring",
                locationName: "object-checksum-algorithm"
              },
              ThrowOnDuplicate: {
                location: "querystring",
                locationName: "throwOnDuplicate",
                type: "boolean"
              }
            },
            payload: "InlineChunk"
          },
          output: {
            type: "structure",
            required: [
              "InlineChunkChecksum",
              "InlineChunkChecksumAlgorithm",
              "ObjectChecksum",
              "ObjectChecksumAlgorithm"
            ],
            members: {
              InlineChunkChecksum: {},
              InlineChunkChecksumAlgorithm: {},
              ObjectChecksum: {},
              ObjectChecksumAlgorithm: {}
            }
          },
          authtype: "v4-unsigned-body"
        },
        StartObject: {
          http: {
            method: "PUT",
            requestUri: "/backup-jobs/{jobId}/object/{objectName}"
          },
          input: {
            type: "structure",
            required: [
              "BackupJobId",
              "ObjectName"
            ],
            members: {
              BackupJobId: {
                location: "uri",
                locationName: "jobId"
              },
              ObjectName: {
                location: "uri",
                locationName: "objectName"
              },
              ThrowOnDuplicate: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "UploadId"
            ],
            members: {
              UploadId: {}
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "blob",
          streaming: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/backupstorage-2018-04-10.paginators.json
var require_backupstorage_2018_04_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/backupstorage-2018-04-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListChunks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListObjects: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/backupstorage.js
var require_backupstorage = __commonJS({
  "node_modules/aws-sdk/clients/backupstorage.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["backupstorage"] = {};
    AWS2.BackupStorage = Service.defineService("backupstorage", ["2018-04-10"]);
    Object.defineProperty(apiLoader.services["backupstorage"], "2018-04-10", {
      get: function get() {
        var model = require_backupstorage_2018_04_10_min();
        model.paginators = require_backupstorage_2018_04_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.BackupStorage;
  }
});

// node_modules/aws-sdk/apis/privatenetworks-2021-12-03.min.json
var require_privatenetworks_2021_12_03_min = __commonJS({
  "node_modules/aws-sdk/apis/privatenetworks-2021-12-03.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-12-03",
        endpointPrefix: "private-networks",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Private 5G",
        serviceId: "PrivateNetworks",
        signatureVersion: "v4",
        signingName: "private-networks",
        uid: "privatenetworks-2021-12-03"
      },
      operations: {
        AcknowledgeOrderReceipt: {
          http: {
            requestUri: "/v1/orders/acknowledge",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "orderArn"
            ],
            members: {
              orderArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "order"
            ],
            members: {
              order: {
                shape: "S4"
              }
            }
          }
        },
        ActivateDeviceIdentifier: {
          http: {
            requestUri: "/v1/device-identifiers/activate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "deviceIdentifierArn"
            ],
            members: {
              clientToken: {},
              deviceIdentifierArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "deviceIdentifier"
            ],
            members: {
              deviceIdentifier: {
                shape: "Sm"
              },
              tags: {
                shape: "Sp"
              }
            }
          },
          idempotent: true
        },
        ActivateNetworkSite: {
          http: {
            requestUri: "/v1/network-sites/activate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkSiteArn",
              "shippingAddress"
            ],
            members: {
              clientToken: {},
              commitmentConfiguration: {
                shape: "S9"
              },
              networkSiteArn: {},
              shippingAddress: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              networkSite: {
                shape: "Su"
              }
            }
          },
          idempotent: true
        },
        ConfigureAccessPoint: {
          http: {
            requestUri: "/v1/network-resources/configure",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accessPointArn"
            ],
            members: {
              accessPointArn: {},
              cpiSecretKey: {
                type: "string",
                sensitive: true
              },
              cpiUserId: {
                type: "string",
                sensitive: true
              },
              cpiUserPassword: {
                type: "string",
                sensitive: true
              },
              cpiUsername: {
                type: "string",
                sensitive: true
              },
              position: {
                shape: "S19"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "accessPoint"
            ],
            members: {
              accessPoint: {
                shape: "S1e"
              }
            }
          },
          idempotent: true
        },
        CreateNetwork: {
          http: {
            requestUri: "/v1/networks",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkName"
            ],
            members: {
              clientToken: {},
              description: {},
              networkName: {},
              tags: {
                shape: "Sp"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "network"
            ],
            members: {
              network: {
                shape: "S1n"
              },
              tags: {
                shape: "Sp"
              }
            }
          },
          idempotent: true
        },
        CreateNetworkSite: {
          http: {
            requestUri: "/v1/network-sites",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkArn",
              "networkSiteName"
            ],
            members: {
              availabilityZone: {},
              availabilityZoneId: {},
              clientToken: {},
              description: {},
              networkArn: {},
              networkSiteName: {},
              pendingPlan: {
                shape: "Sv"
              },
              tags: {
                shape: "Sp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              networkSite: {
                shape: "Su"
              },
              tags: {
                shape: "Sp"
              }
            }
          },
          idempotent: true
        },
        DeactivateDeviceIdentifier: {
          http: {
            requestUri: "/v1/device-identifiers/deactivate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "deviceIdentifierArn"
            ],
            members: {
              clientToken: {},
              deviceIdentifierArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "deviceIdentifier"
            ],
            members: {
              deviceIdentifier: {
                shape: "Sm"
              }
            }
          },
          idempotent: true
        },
        DeleteNetwork: {
          http: {
            method: "DELETE",
            requestUri: "/v1/networks/{networkArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkArn"
            ],
            members: {
              clientToken: {
                location: "querystring",
                locationName: "clientToken"
              },
              networkArn: {
                location: "uri",
                locationName: "networkArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "network"
            ],
            members: {
              network: {
                shape: "S1n"
              }
            }
          },
          idempotent: true
        },
        DeleteNetworkSite: {
          http: {
            method: "DELETE",
            requestUri: "/v1/network-sites/{networkSiteArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkSiteArn"
            ],
            members: {
              clientToken: {
                location: "querystring",
                locationName: "clientToken"
              },
              networkSiteArn: {
                location: "uri",
                locationName: "networkSiteArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              networkSite: {
                shape: "Su"
              }
            }
          },
          idempotent: true
        },
        GetDeviceIdentifier: {
          http: {
            method: "GET",
            requestUri: "/v1/device-identifiers/{deviceIdentifierArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "deviceIdentifierArn"
            ],
            members: {
              deviceIdentifierArn: {
                location: "uri",
                locationName: "deviceIdentifierArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              deviceIdentifier: {
                shape: "Sm"
              },
              tags: {
                shape: "Sp"
              }
            }
          }
        },
        GetNetwork: {
          http: {
            method: "GET",
            requestUri: "/v1/networks/{networkArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkArn"
            ],
            members: {
              networkArn: {
                location: "uri",
                locationName: "networkArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "network"
            ],
            members: {
              network: {
                shape: "S1n"
              },
              tags: {
                shape: "Sp"
              }
            }
          }
        },
        GetNetworkResource: {
          http: {
            method: "GET",
            requestUri: "/v1/network-resources/{networkResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkResourceArn"
            ],
            members: {
              networkResourceArn: {
                location: "uri",
                locationName: "networkResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "networkResource"
            ],
            members: {
              networkResource: {
                shape: "S1e"
              },
              tags: {
                shape: "Sp"
              }
            }
          }
        },
        GetNetworkSite: {
          http: {
            method: "GET",
            requestUri: "/v1/network-sites/{networkSiteArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkSiteArn"
            ],
            members: {
              networkSiteArn: {
                location: "uri",
                locationName: "networkSiteArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              networkSite: {
                shape: "Su"
              },
              tags: {
                shape: "Sp"
              }
            }
          }
        },
        GetOrder: {
          http: {
            method: "GET",
            requestUri: "/v1/orders/{orderArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "orderArn"
            ],
            members: {
              orderArn: {
                location: "uri",
                locationName: "orderArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "order"
            ],
            members: {
              order: {
                shape: "S4"
              },
              tags: {
                shape: "Sp"
              }
            }
          }
        },
        ListDeviceIdentifiers: {
          http: {
            requestUri: "/v1/device-identifiers/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkArn"
            ],
            members: {
              filters: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {}
                }
              },
              maxResults: {
                type: "integer"
              },
              networkArn: {},
              startToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              deviceIdentifiers: {
                type: "list",
                member: {
                  shape: "Sm"
                }
              },
              nextToken: {}
            }
          }
        },
        ListNetworkResources: {
          http: {
            requestUri: "/v1/network-resources",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkArn"
            ],
            members: {
              filters: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {}
                }
              },
              maxResults: {
                type: "integer"
              },
              networkArn: {},
              startToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              networkResources: {
                type: "list",
                member: {
                  shape: "S1e"
                }
              },
              nextToken: {}
            }
          }
        },
        ListNetworkSites: {
          http: {
            requestUri: "/v1/network-sites/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkArn"
            ],
            members: {
              filters: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {}
                }
              },
              maxResults: {
                type: "integer"
              },
              networkArn: {},
              startToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              networkSites: {
                type: "list",
                member: {
                  shape: "Su"
                }
              },
              nextToken: {}
            }
          }
        },
        ListNetworks: {
          http: {
            requestUri: "/v1/networks/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              filters: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {}
                }
              },
              maxResults: {
                type: "integer"
              },
              startToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              networks: {
                type: "list",
                member: {
                  shape: "S1n"
                }
              },
              nextToken: {}
            }
          }
        },
        ListOrders: {
          http: {
            requestUri: "/v1/orders/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkArn"
            ],
            members: {
              filters: {
                type: "map",
                key: {},
                value: {
                  type: "list",
                  member: {}
                }
              },
              maxResults: {
                type: "integer"
              },
              networkArn: {},
              startToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              orders: {
                type: "list",
                member: {
                  shape: "S4"
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sp"
              }
            }
          }
        },
        Ping: {
          http: {
            method: "GET",
            requestUri: "/ping",
            responseCode: 200
          },
          output: {
            type: "structure",
            members: {
              status: {}
            }
          }
        },
        StartNetworkResourceUpdate: {
          http: {
            requestUri: "/v1/network-resources/update",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkResourceArn",
              "updateType"
            ],
            members: {
              commitmentConfiguration: {
                shape: "S9"
              },
              networkResourceArn: {},
              returnReason: {},
              shippingAddress: {
                shape: "Se"
              },
              updateType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              networkResource: {
                shape: "S1e"
              }
            }
          },
          idempotent: true
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sp"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {},
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateNetworkSite: {
          http: {
            method: "PUT",
            requestUri: "/v1/network-sites/site",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkSiteArn"
            ],
            members: {
              clientToken: {},
              description: {},
              networkSiteArn: {}
            }
          },
          output: {
            shape: "S3k"
          },
          idempotent: true
        },
        UpdateNetworkSitePlan: {
          http: {
            method: "PUT",
            requestUri: "/v1/network-sites/plan",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "networkSiteArn",
              "pendingPlan"
            ],
            members: {
              clientToken: {},
              networkSiteArn: {},
              pendingPlan: {
                shape: "Sv"
              }
            }
          },
          output: {
            shape: "S3k"
          },
          idempotent: true
        }
      },
      shapes: {
        S4: {
          type: "structure",
          members: {
            acknowledgmentStatus: {},
            createdAt: {
              shape: "S6"
            },
            networkArn: {},
            networkSiteArn: {},
            orderArn: {},
            orderedResources: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "count",
                  "type"
                ],
                members: {
                  commitmentConfiguration: {
                    shape: "S9"
                  },
                  count: {
                    type: "integer"
                  },
                  type: {}
                }
              }
            },
            shippingAddress: {
              shape: "Se"
            },
            trackingInformation: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  trackingNumber: {}
                }
              }
            }
          }
        },
        S6: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S9: {
          type: "structure",
          required: [
            "automaticRenewal",
            "commitmentLength"
          ],
          members: {
            automaticRenewal: {
              type: "boolean"
            },
            commitmentLength: {}
          }
        },
        Se: {
          type: "structure",
          required: [
            "city",
            "country",
            "name",
            "postalCode",
            "stateOrProvince",
            "street1"
          ],
          members: {
            city: {
              shape: "Sf"
            },
            company: {
              shape: "Sf"
            },
            country: {
              shape: "Sf"
            },
            emailAddress: {
              shape: "Sf"
            },
            name: {
              shape: "Sf"
            },
            phoneNumber: {
              shape: "Sf"
            },
            postalCode: {
              shape: "Sf"
            },
            stateOrProvince: {
              shape: "Sf"
            },
            street1: {
              shape: "Sf"
            },
            street2: {
              shape: "Sf"
            },
            street3: {
              shape: "Sf"
            }
          }
        },
        Sf: {
          type: "string",
          sensitive: true
        },
        Sm: {
          type: "structure",
          members: {
            createdAt: {
              shape: "S6"
            },
            deviceIdentifierArn: {},
            iccid: {},
            imsi: {
              type: "string",
              sensitive: true
            },
            networkArn: {},
            orderArn: {},
            status: {},
            trafficGroupArn: {},
            vendor: {}
          }
        },
        Sp: {
          type: "map",
          key: {},
          value: {},
          sensitive: true
        },
        Su: {
          type: "structure",
          required: [
            "networkArn",
            "networkSiteArn",
            "networkSiteName",
            "status"
          ],
          members: {
            availabilityZone: {},
            availabilityZoneId: {},
            createdAt: {
              shape: "S6"
            },
            currentPlan: {
              shape: "Sv"
            },
            description: {},
            networkArn: {},
            networkSiteArn: {},
            networkSiteName: {},
            pendingPlan: {
              shape: "Sv"
            },
            status: {},
            statusReason: {}
          }
        },
        Sv: {
          type: "structure",
          members: {
            options: {
              shape: "Sw"
            },
            resourceDefinitions: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "count",
                  "type"
                ],
                members: {
                  count: {
                    type: "integer"
                  },
                  options: {
                    shape: "Sw"
                  },
                  type: {}
                }
              }
            }
          }
        },
        Sw: {
          type: "list",
          member: {
            shape: "Sx"
          }
        },
        Sx: {
          type: "structure",
          required: [
            "name"
          ],
          members: {
            name: {},
            value: {}
          }
        },
        S19: {
          type: "structure",
          members: {
            elevation: {
              type: "double"
            },
            elevationReference: {},
            elevationUnit: {},
            latitude: {
              type: "double"
            },
            longitude: {
              type: "double"
            }
          }
        },
        S1e: {
          type: "structure",
          members: {
            attributes: {
              type: "list",
              member: {
                shape: "Sx"
              }
            },
            commitmentInformation: {
              type: "structure",
              required: [
                "commitmentConfiguration"
              ],
              members: {
                commitmentConfiguration: {
                  shape: "S9"
                },
                expiresOn: {
                  shape: "S6"
                },
                startAt: {
                  shape: "S6"
                }
              }
            },
            createdAt: {
              shape: "S6"
            },
            description: {},
            health: {},
            model: {},
            networkArn: {},
            networkResourceArn: {},
            networkSiteArn: {},
            orderArn: {},
            position: {
              shape: "S19"
            },
            returnInformation: {
              type: "structure",
              members: {
                replacementOrderArn: {},
                returnReason: {},
                shippingAddress: {
                  shape: "Se"
                },
                shippingLabel: {}
              }
            },
            serialNumber: {},
            status: {},
            statusReason: {},
            type: {},
            vendor: {}
          }
        },
        S1n: {
          type: "structure",
          required: [
            "networkArn",
            "networkName",
            "status"
          ],
          members: {
            createdAt: {
              shape: "S6"
            },
            description: {},
            networkArn: {},
            networkName: {},
            status: {},
            statusReason: {}
          }
        },
        S3k: {
          type: "structure",
          members: {
            networkSite: {
              shape: "Su"
            },
            tags: {
              shape: "Sp"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/privatenetworks-2021-12-03.paginators.json
var require_privatenetworks_2021_12_03_paginators = __commonJS({
  "node_modules/aws-sdk/apis/privatenetworks-2021-12-03.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDeviceIdentifiers: {
          input_token: "startToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "deviceIdentifiers"
        },
        ListNetworkResources: {
          input_token: "startToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "networkResources"
        },
        ListNetworkSites: {
          input_token: "startToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "networkSites"
        },
        ListNetworks: {
          input_token: "startToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "networks"
        },
        ListOrders: {
          input_token: "startToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "orders"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/privatenetworks.js
var require_privatenetworks = __commonJS({
  "node_modules/aws-sdk/clients/privatenetworks.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["privatenetworks"] = {};
    AWS2.PrivateNetworks = Service.defineService("privatenetworks", ["2021-12-03"]);
    Object.defineProperty(apiLoader.services["privatenetworks"], "2021-12-03", {
      get: function get() {
        var model = require_privatenetworks_2021_12_03_min();
        model.paginators = require_privatenetworks_2021_12_03_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.PrivateNetworks;
  }
});

// node_modules/aws-sdk/apis/support-app-2021-08-20.min.json
var require_support_app_2021_08_20_min = __commonJS({
  "node_modules/aws-sdk/apis/support-app-2021-08-20.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-08-20",
        endpointPrefix: "supportapp",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "SupportApp",
        serviceFullName: "AWS Support App",
        serviceId: "Support App",
        signatureVersion: "v4",
        signingName: "supportapp",
        uid: "support-app-2021-08-20"
      },
      operations: {
        CreateSlackChannelConfiguration: {
          http: {
            requestUri: "/control/create-slack-channel-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "channelId",
              "channelRoleArn",
              "notifyOnCaseSeverity",
              "teamId"
            ],
            members: {
              channelId: {},
              channelName: {},
              channelRoleArn: {},
              notifyOnAddCorrespondenceToCase: {
                type: "boolean"
              },
              notifyOnCaseSeverity: {},
              notifyOnCreateOrReopenCase: {
                type: "boolean"
              },
              notifyOnResolveCase: {
                type: "boolean"
              },
              teamId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteAccountAlias: {
          http: {
            requestUri: "/control/delete-account-alias",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSlackChannelConfiguration: {
          http: {
            requestUri: "/control/delete-slack-channel-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "channelId",
              "teamId"
            ],
            members: {
              channelId: {},
              teamId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSlackWorkspaceConfiguration: {
          http: {
            requestUri: "/control/delete-slack-workspace-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "teamId"
            ],
            members: {
              teamId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetAccountAlias: {
          http: {
            requestUri: "/control/get-account-alias",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              accountAlias: {}
            }
          }
        },
        ListSlackChannelConfigurations: {
          http: {
            requestUri: "/control/list-slack-channel-configurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "slackChannelConfigurations"
            ],
            members: {
              nextToken: {},
              slackChannelConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "channelId",
                    "teamId"
                  ],
                  members: {
                    channelId: {},
                    channelName: {},
                    channelRoleArn: {},
                    notifyOnAddCorrespondenceToCase: {
                      type: "boolean"
                    },
                    notifyOnCaseSeverity: {},
                    notifyOnCreateOrReopenCase: {
                      type: "boolean"
                    },
                    notifyOnResolveCase: {
                      type: "boolean"
                    },
                    teamId: {}
                  }
                }
              }
            }
          }
        },
        ListSlackWorkspaceConfigurations: {
          http: {
            requestUri: "/control/list-slack-workspace-configurations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              slackWorkspaceConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "teamId"
                  ],
                  members: {
                    allowOrganizationMemberAccount: {
                      type: "boolean"
                    },
                    teamId: {},
                    teamName: {}
                  }
                }
              }
            }
          }
        },
        PutAccountAlias: {
          http: {
            requestUri: "/control/put-account-alias",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accountAlias"
            ],
            members: {
              accountAlias: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        RegisterSlackWorkspaceForOrganization: {
          http: {
            requestUri: "/control/register-slack-workspace-for-organization",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "teamId"
            ],
            members: {
              teamId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              accountType: {},
              teamId: {},
              teamName: {}
            }
          }
        },
        UpdateSlackChannelConfiguration: {
          http: {
            requestUri: "/control/update-slack-channel-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "channelId",
              "teamId"
            ],
            members: {
              channelId: {},
              channelName: {},
              channelRoleArn: {},
              notifyOnAddCorrespondenceToCase: {
                type: "boolean"
              },
              notifyOnCaseSeverity: {},
              notifyOnCreateOrReopenCase: {
                type: "boolean"
              },
              notifyOnResolveCase: {
                type: "boolean"
              },
              teamId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              channelId: {},
              channelName: {},
              channelRoleArn: {},
              notifyOnAddCorrespondenceToCase: {
                type: "boolean"
              },
              notifyOnCaseSeverity: {},
              notifyOnCreateOrReopenCase: {
                type: "boolean"
              },
              notifyOnResolveCase: {
                type: "boolean"
              },
              teamId: {}
            }
          }
        }
      },
      shapes: {}
    };
  }
});

// node_modules/aws-sdk/apis/support-app-2021-08-20.paginators.json
var require_support_app_2021_08_20_paginators = __commonJS({
  "node_modules/aws-sdk/apis/support-app-2021-08-20.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListSlackChannelConfigurations: {
          input_token: "nextToken",
          output_token: "nextToken"
        },
        ListSlackWorkspaceConfigurations: {
          input_token: "nextToken",
          output_token: "nextToken"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/supportapp.js
var require_supportapp = __commonJS({
  "node_modules/aws-sdk/clients/supportapp.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["supportapp"] = {};
    AWS2.SupportApp = Service.defineService("supportapp", ["2021-08-20"]);
    Object.defineProperty(apiLoader.services["supportapp"], "2021-08-20", {
      get: function get() {
        var model = require_support_app_2021_08_20_min();
        model.paginators = require_support_app_2021_08_20_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SupportApp;
  }
});

// node_modules/aws-sdk/apis/controltower-2018-05-10.min.json
var require_controltower_2018_05_10_min = __commonJS({
  "node_modules/aws-sdk/apis/controltower-2018-05-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-05-10",
        endpointPrefix: "controltower",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Control Tower",
        serviceId: "ControlTower",
        signatureVersion: "v4",
        signingName: "controltower",
        uid: "controltower-2018-05-10"
      },
      operations: {
        DisableControl: {
          http: {
            requestUri: "/disable-control",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "controlIdentifier",
              "targetIdentifier"
            ],
            members: {
              controlIdentifier: {},
              targetIdentifier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "operationIdentifier"
            ],
            members: {
              operationIdentifier: {}
            }
          }
        },
        EnableControl: {
          http: {
            requestUri: "/enable-control",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "controlIdentifier",
              "targetIdentifier"
            ],
            members: {
              controlIdentifier: {},
              targetIdentifier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "operationIdentifier"
            ],
            members: {
              operationIdentifier: {}
            }
          }
        },
        GetControlOperation: {
          http: {
            requestUri: "/get-control-operation",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "operationIdentifier"
            ],
            members: {
              operationIdentifier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "controlOperation"
            ],
            members: {
              controlOperation: {
                type: "structure",
                members: {
                  endTime: {
                    shape: "Sb"
                  },
                  operationType: {},
                  startTime: {
                    shape: "Sb"
                  },
                  status: {},
                  statusMessage: {}
                }
              }
            }
          }
        },
        ListEnabledControls: {
          http: {
            requestUri: "/list-enabled-controls",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "targetIdentifier"
            ],
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              targetIdentifier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "enabledControls"
            ],
            members: {
              enabledControls: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    controlIdentifier: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        }
      },
      shapes: {
        Sb: {
          type: "timestamp",
          timestampFormat: "iso8601"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/controltower-2018-05-10.paginators.json
var require_controltower_2018_05_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/controltower-2018-05-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListEnabledControls: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "enabledControls"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/controltower.js
var require_controltower = __commonJS({
  "node_modules/aws-sdk/clients/controltower.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["controltower"] = {};
    AWS2.ControlTower = Service.defineService("controltower", ["2018-05-10"]);
    Object.defineProperty(apiLoader.services["controltower"], "2018-05-10", {
      get: function get() {
        var model = require_controltower_2018_05_10_min();
        model.paginators = require_controltower_2018_05_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ControlTower;
  }
});

// node_modules/aws-sdk/apis/iotfleetwise-2021-06-17.min.json
var require_iotfleetwise_2021_06_17_min = __commonJS({
  "node_modules/aws-sdk/apis/iotfleetwise-2021-06-17.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-06-17",
        endpointPrefix: "iotfleetwise",
        jsonVersion: "1.0",
        protocol: "json",
        serviceFullName: "AWS IoT FleetWise",
        serviceId: "IoTFleetWise",
        signatureVersion: "v4",
        signingName: "iotfleetwise",
        targetPrefix: "IoTAutobahnControlPlane",
        uid: "iotfleetwise-2021-06-17"
      },
      operations: {
        AssociateVehicleFleet: {
          input: {
            type: "structure",
            required: [
              "vehicleName",
              "fleetId"
            ],
            members: {
              vehicleName: {},
              fleetId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        BatchCreateVehicle: {
          input: {
            type: "structure",
            required: [
              "vehicles"
            ],
            members: {
              vehicles: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "vehicleName",
                    "modelManifestArn",
                    "decoderManifestArn"
                  ],
                  members: {
                    vehicleName: {},
                    modelManifestArn: {},
                    decoderManifestArn: {},
                    attributes: {
                      shape: "S9"
                    },
                    associationBehavior: {},
                    tags: {
                      shape: "Sd"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              vehicles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    vehicleName: {},
                    arn: {},
                    thingArn: {}
                  }
                }
              },
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    vehicleName: {},
                    code: {},
                    message: {}
                  }
                }
              }
            }
          }
        },
        BatchUpdateVehicle: {
          input: {
            type: "structure",
            required: [
              "vehicles"
            ],
            members: {
              vehicles: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "vehicleName"
                  ],
                  members: {
                    vehicleName: {},
                    modelManifestArn: {},
                    decoderManifestArn: {},
                    attributes: {
                      shape: "S9"
                    },
                    attributeUpdateMode: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              vehicles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    vehicleName: {},
                    arn: {}
                  }
                }
              },
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    vehicleName: {},
                    code: {
                      type: "integer"
                    },
                    message: {}
                  }
                }
              }
            }
          }
        },
        CreateCampaign: {
          input: {
            type: "structure",
            required: [
              "name",
              "signalCatalogArn",
              "targetArn",
              "collectionScheme"
            ],
            members: {
              name: {},
              description: {},
              signalCatalogArn: {},
              targetArn: {},
              startTime: {
                type: "timestamp"
              },
              expiryTime: {
                type: "timestamp"
              },
              postTriggerCollectionDuration: {
                type: "long"
              },
              diagnosticsMode: {},
              spoolingMode: {},
              compression: {},
              priority: {
                type: "integer"
              },
              signalsToCollect: {
                shape: "S16"
              },
              collectionScheme: {
                shape: "S1a"
              },
              dataExtraDimensions: {
                shape: "S1h"
              },
              tags: {
                shape: "Sd"
              },
              dataDestinationConfigs: {
                shape: "S1j"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              arn: {}
            }
          },
          idempotent: true
        },
        CreateDecoderManifest: {
          input: {
            type: "structure",
            required: [
              "name",
              "modelManifestArn"
            ],
            members: {
              name: {},
              description: {},
              modelManifestArn: {},
              signalDecoders: {
                shape: "S1w"
              },
              networkInterfaces: {
                shape: "S2a"
              },
              tags: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn"
            ],
            members: {
              name: {},
              arn: {}
            }
          },
          idempotent: true
        },
        CreateFleet: {
          input: {
            type: "structure",
            required: [
              "fleetId",
              "signalCatalogArn"
            ],
            members: {
              fleetId: {},
              description: {},
              signalCatalogArn: {},
              tags: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "arn"
            ],
            members: {
              id: {},
              arn: {}
            }
          },
          idempotent: true
        },
        CreateModelManifest: {
          input: {
            type: "structure",
            required: [
              "name",
              "nodes",
              "signalCatalogArn"
            ],
            members: {
              name: {},
              description: {},
              nodes: {
                shape: "S2o"
              },
              signalCatalogArn: {},
              tags: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn"
            ],
            members: {
              name: {},
              arn: {}
            }
          },
          idempotent: true
        },
        CreateSignalCatalog: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              nodes: {
                shape: "S2r"
              },
              tags: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn"
            ],
            members: {
              name: {},
              arn: {}
            }
          },
          idempotent: true
        },
        CreateVehicle: {
          input: {
            type: "structure",
            required: [
              "vehicleName",
              "modelManifestArn",
              "decoderManifestArn"
            ],
            members: {
              vehicleName: {},
              modelManifestArn: {},
              decoderManifestArn: {},
              attributes: {
                shape: "S9"
              },
              associationBehavior: {},
              tags: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              vehicleName: {},
              arn: {},
              thingArn: {}
            }
          },
          idempotent: true
        },
        DeleteCampaign: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              arn: {}
            }
          },
          idempotent: true
        },
        DeleteDecoderManifest: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn"
            ],
            members: {
              name: {},
              arn: {}
            }
          },
          idempotent: true
        },
        DeleteFleet: {
          input: {
            type: "structure",
            required: [
              "fleetId"
            ],
            members: {
              fleetId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              arn: {}
            }
          },
          idempotent: true
        },
        DeleteModelManifest: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn"
            ],
            members: {
              name: {},
              arn: {}
            }
          },
          idempotent: true
        },
        DeleteSignalCatalog: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn"
            ],
            members: {
              name: {},
              arn: {}
            }
          },
          idempotent: true
        },
        DeleteVehicle: {
          input: {
            type: "structure",
            required: [
              "vehicleName"
            ],
            members: {
              vehicleName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "vehicleName",
              "arn"
            ],
            members: {
              vehicleName: {},
              arn: {}
            }
          },
          idempotent: true
        },
        DisassociateVehicleFleet: {
          input: {
            type: "structure",
            required: [
              "vehicleName",
              "fleetId"
            ],
            members: {
              vehicleName: {},
              fleetId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetCampaign: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              arn: {},
              description: {},
              signalCatalogArn: {},
              targetArn: {},
              status: {},
              startTime: {
                type: "timestamp"
              },
              expiryTime: {
                type: "timestamp"
              },
              postTriggerCollectionDuration: {
                type: "long"
              },
              diagnosticsMode: {},
              spoolingMode: {},
              compression: {},
              priority: {
                type: "integer"
              },
              signalsToCollect: {
                shape: "S16"
              },
              collectionScheme: {
                shape: "S1a"
              },
              dataExtraDimensions: {
                shape: "S1h"
              },
              creationTime: {
                type: "timestamp"
              },
              lastModificationTime: {
                type: "timestamp"
              },
              dataDestinationConfigs: {
                shape: "S1j"
              }
            }
          }
        },
        GetDecoderManifest: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn",
              "creationTime",
              "lastModificationTime"
            ],
            members: {
              name: {},
              arn: {},
              description: {},
              modelManifestArn: {},
              status: {},
              creationTime: {
                type: "timestamp"
              },
              lastModificationTime: {
                type: "timestamp"
              }
            }
          }
        },
        GetFleet: {
          input: {
            type: "structure",
            required: [
              "fleetId"
            ],
            members: {
              fleetId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "arn",
              "signalCatalogArn",
              "creationTime",
              "lastModificationTime"
            ],
            members: {
              id: {},
              arn: {},
              description: {},
              signalCatalogArn: {},
              creationTime: {
                type: "timestamp"
              },
              lastModificationTime: {
                type: "timestamp"
              }
            }
          }
        },
        GetLoggingOptions: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "cloudWatchLogDelivery"
            ],
            members: {
              cloudWatchLogDelivery: {
                shape: "S3q"
              }
            }
          }
        },
        GetModelManifest: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn",
              "creationTime",
              "lastModificationTime"
            ],
            members: {
              name: {},
              arn: {},
              description: {},
              signalCatalogArn: {},
              status: {},
              creationTime: {
                type: "timestamp"
              },
              lastModificationTime: {
                type: "timestamp"
              }
            }
          }
        },
        GetRegisterAccountStatus: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "customerAccountId",
              "accountStatus",
              "iamRegistrationResponse",
              "creationTime",
              "lastModificationTime"
            ],
            members: {
              customerAccountId: {},
              accountStatus: {},
              timestreamRegistrationResponse: {
                type: "structure",
                required: [
                  "timestreamDatabaseName",
                  "timestreamTableName",
                  "registrationStatus"
                ],
                members: {
                  timestreamDatabaseName: {},
                  timestreamTableName: {},
                  timestreamDatabaseArn: {},
                  timestreamTableArn: {},
                  registrationStatus: {},
                  errorMessage: {}
                }
              },
              iamRegistrationResponse: {
                type: "structure",
                required: [
                  "roleArn",
                  "registrationStatus"
                ],
                members: {
                  roleArn: {},
                  registrationStatus: {},
                  errorMessage: {}
                }
              },
              creationTime: {
                type: "timestamp"
              },
              lastModificationTime: {
                type: "timestamp"
              }
            }
          }
        },
        GetSignalCatalog: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn",
              "creationTime",
              "lastModificationTime"
            ],
            members: {
              name: {},
              arn: {},
              description: {},
              nodeCounts: {
                type: "structure",
                members: {
                  totalNodes: {
                    type: "integer"
                  },
                  totalBranches: {
                    type: "integer"
                  },
                  totalSensors: {
                    type: "integer"
                  },
                  totalAttributes: {
                    type: "integer"
                  },
                  totalActuators: {
                    type: "integer"
                  }
                }
              },
              creationTime: {
                type: "timestamp"
              },
              lastModificationTime: {
                type: "timestamp"
              }
            }
          }
        },
        GetVehicle: {
          input: {
            type: "structure",
            required: [
              "vehicleName"
            ],
            members: {
              vehicleName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              vehicleName: {},
              arn: {},
              modelManifestArn: {},
              decoderManifestArn: {},
              attributes: {
                shape: "S9"
              },
              creationTime: {
                type: "timestamp"
              },
              lastModificationTime: {
                type: "timestamp"
              }
            }
          }
        },
        GetVehicleStatus: {
          input: {
            type: "structure",
            required: [
              "vehicleName"
            ],
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              vehicleName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              campaigns: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    campaignName: {},
                    vehicleName: {},
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ImportDecoderManifest: {
          input: {
            type: "structure",
            required: [
              "name",
              "networkFileDefinitions"
            ],
            members: {
              name: {},
              networkFileDefinitions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    canDbc: {
                      type: "structure",
                      required: [
                        "networkInterface",
                        "canDbcFiles"
                      ],
                      members: {
                        networkInterface: {},
                        canDbcFiles: {
                          type: "list",
                          member: {
                            type: "blob"
                          }
                        },
                        signalsMap: {
                          type: "map",
                          key: {},
                          value: {}
                        }
                      }
                    }
                  },
                  union: true
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn"
            ],
            members: {
              name: {},
              arn: {}
            }
          }
        },
        ImportSignalCatalog: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              vss: {
                type: "structure",
                members: {
                  vssJson: {}
                },
                union: true
              },
              tags: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn"
            ],
            members: {
              name: {},
              arn: {}
            }
          },
          idempotent: true
        },
        ListCampaigns: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              status: {}
            }
          },
          output: {
            type: "structure",
            members: {
              campaignSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "creationTime",
                    "lastModificationTime"
                  ],
                  members: {
                    arn: {},
                    name: {},
                    description: {},
                    signalCatalogArn: {},
                    targetArn: {},
                    status: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    lastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDecoderManifestNetworkInterfaces: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              networkInterfaces: {
                shape: "S2a"
              },
              nextToken: {}
            }
          }
        },
        ListDecoderManifestSignals: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              signalDecoders: {
                shape: "S1w"
              },
              nextToken: {}
            }
          }
        },
        ListDecoderManifests: {
          input: {
            type: "structure",
            members: {
              modelManifestArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              summaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "creationTime",
                    "lastModificationTime"
                  ],
                  members: {
                    name: {},
                    arn: {},
                    modelManifestArn: {},
                    description: {},
                    status: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    lastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListFleets: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              fleetSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "arn",
                    "signalCatalogArn",
                    "creationTime"
                  ],
                  members: {
                    id: {},
                    arn: {},
                    description: {},
                    signalCatalogArn: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    lastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListFleetsForVehicle: {
          input: {
            type: "structure",
            required: [
              "vehicleName"
            ],
            members: {
              vehicleName: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              fleets: {
                type: "list",
                member: {}
              },
              nextToken: {}
            }
          }
        },
        ListModelManifestNodes: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nodes: {
                shape: "S2r"
              },
              nextToken: {}
            }
          }
        },
        ListModelManifests: {
          input: {
            type: "structure",
            members: {
              signalCatalogArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              summaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "creationTime",
                    "lastModificationTime"
                  ],
                  members: {
                    name: {},
                    arn: {},
                    signalCatalogArn: {},
                    description: {},
                    status: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    lastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSignalCatalogNodes: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nodes: {
                shape: "S2r"
              },
              nextToken: {}
            }
          }
        },
        ListSignalCatalogs: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              summaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    arn: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    lastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sd"
              }
            }
          }
        },
        ListVehicles: {
          input: {
            type: "structure",
            members: {
              modelManifestArn: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              vehicleSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "vehicleName",
                    "arn",
                    "modelManifestArn",
                    "decoderManifestArn",
                    "creationTime",
                    "lastModificationTime"
                  ],
                  members: {
                    vehicleName: {},
                    arn: {},
                    modelManifestArn: {},
                    decoderManifestArn: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    lastModificationTime: {
                      type: "timestamp"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListVehiclesInFleet: {
          input: {
            type: "structure",
            required: [
              "fleetId"
            ],
            members: {
              fleetId: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              vehicles: {
                type: "list",
                member: {}
              },
              nextToken: {}
            }
          }
        },
        PutLoggingOptions: {
          input: {
            type: "structure",
            required: [
              "cloudWatchLogDelivery"
            ],
            members: {
              cloudWatchLogDelivery: {
                shape: "S3q"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        RegisterAccount: {
          input: {
            type: "structure",
            members: {
              timestreamResources: {
                shape: "S62",
                deprecated: true,
                deprecatedMessage: "Amazon Timestream metadata is now passed in the CreateCampaign API."
              },
              iamResources: {
                shape: "S63",
                deprecated: true,
                deprecatedMessage: "iamResources is no longer used or needed as input"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "registerAccountStatus",
              "iamResources",
              "creationTime",
              "lastModificationTime"
            ],
            members: {
              registerAccountStatus: {},
              timestreamResources: {
                shape: "S62"
              },
              iamResources: {
                shape: "S63"
              },
              creationTime: {
                type: "timestamp"
              },
              lastModificationTime: {
                type: "timestamp"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateCampaign: {
          input: {
            type: "structure",
            required: [
              "name",
              "action"
            ],
            members: {
              name: {},
              description: {},
              dataExtraDimensions: {
                shape: "S1h"
              },
              action: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              name: {},
              status: {}
            }
          }
        },
        UpdateDecoderManifest: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              signalDecodersToAdd: {
                shape: "S1w"
              },
              signalDecodersToUpdate: {
                shape: "S1w"
              },
              signalDecodersToRemove: {
                type: "list",
                member: {}
              },
              networkInterfacesToAdd: {
                shape: "S2a"
              },
              networkInterfacesToUpdate: {
                shape: "S2a"
              },
              networkInterfacesToRemove: {
                type: "list",
                member: {}
              },
              status: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn"
            ],
            members: {
              name: {},
              arn: {}
            }
          },
          idempotent: true
        },
        UpdateFleet: {
          input: {
            type: "structure",
            required: [
              "fleetId"
            ],
            members: {
              fleetId: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              arn: {}
            }
          }
        },
        UpdateModelManifest: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              nodesToAdd: {
                shape: "S6k"
              },
              nodesToRemove: {
                shape: "S6k"
              },
              status: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn"
            ],
            members: {
              name: {},
              arn: {}
            }
          },
          idempotent: true
        },
        UpdateSignalCatalog: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              nodesToAdd: {
                shape: "S2r"
              },
              nodesToUpdate: {
                shape: "S2r"
              },
              nodesToRemove: {
                shape: "S6k"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "arn"
            ],
            members: {
              name: {},
              arn: {}
            }
          },
          idempotent: true
        },
        UpdateVehicle: {
          input: {
            type: "structure",
            required: [
              "vehicleName"
            ],
            members: {
              vehicleName: {},
              modelManifestArn: {},
              decoderManifestArn: {},
              attributes: {
                shape: "S9"
              },
              attributeUpdateMode: {}
            }
          },
          output: {
            type: "structure",
            members: {
              vehicleName: {},
              arn: {}
            }
          }
        }
      },
      shapes: {
        S9: {
          type: "map",
          key: {},
          value: {}
        },
        Sd: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        S16: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              maxSampleCount: {
                type: "long"
              },
              minimumSamplingIntervalMs: {
                type: "long"
              }
            }
          }
        },
        S1a: {
          type: "structure",
          members: {
            timeBasedCollectionScheme: {
              type: "structure",
              required: [
                "periodMs"
              ],
              members: {
                periodMs: {
                  type: "long"
                }
              }
            },
            conditionBasedCollectionScheme: {
              type: "structure",
              required: [
                "expression"
              ],
              members: {
                expression: {},
                minimumTriggerIntervalMs: {
                  type: "long"
                },
                triggerMode: {},
                conditionLanguageVersion: {
                  type: "integer"
                }
              }
            }
          },
          union: true
        },
        S1h: {
          type: "list",
          member: {}
        },
        S1j: {
          type: "list",
          member: {
            type: "structure",
            members: {
              s3Config: {
                type: "structure",
                required: [
                  "bucketArn"
                ],
                members: {
                  bucketArn: {},
                  dataFormat: {},
                  storageCompressionFormat: {},
                  prefix: {}
                }
              },
              timestreamConfig: {
                type: "structure",
                required: [
                  "timestreamTableArn",
                  "executionRoleArn"
                ],
                members: {
                  timestreamTableArn: {},
                  executionRoleArn: {}
                }
              }
            },
            union: true
          }
        },
        S1w: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "fullyQualifiedName",
              "type",
              "interfaceId"
            ],
            members: {
              fullyQualifiedName: {},
              type: {},
              interfaceId: {},
              canSignal: {
                type: "structure",
                required: [
                  "messageId",
                  "isBigEndian",
                  "isSigned",
                  "startBit",
                  "offset",
                  "factor",
                  "length"
                ],
                members: {
                  messageId: {
                    type: "integer"
                  },
                  isBigEndian: {
                    type: "boolean"
                  },
                  isSigned: {
                    type: "boolean"
                  },
                  startBit: {
                    type: "integer"
                  },
                  offset: {
                    type: "double"
                  },
                  factor: {
                    type: "double"
                  },
                  length: {
                    type: "integer"
                  },
                  name: {}
                }
              },
              obdSignal: {
                type: "structure",
                required: [
                  "pidResponseLength",
                  "serviceMode",
                  "pid",
                  "scaling",
                  "offset",
                  "startByte",
                  "byteLength"
                ],
                members: {
                  pidResponseLength: {
                    type: "integer"
                  },
                  serviceMode: {
                    type: "integer"
                  },
                  pid: {
                    type: "integer"
                  },
                  scaling: {
                    type: "double"
                  },
                  offset: {
                    type: "double"
                  },
                  startByte: {
                    type: "integer"
                  },
                  byteLength: {
                    type: "integer"
                  },
                  bitRightShift: {
                    type: "integer"
                  },
                  bitMaskLength: {
                    type: "integer"
                  }
                }
              }
            }
          }
        },
        S2a: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "interfaceId",
              "type"
            ],
            members: {
              interfaceId: {},
              type: {},
              canInterface: {
                type: "structure",
                required: [
                  "name"
                ],
                members: {
                  name: {},
                  protocolName: {},
                  protocolVersion: {}
                }
              },
              obdInterface: {
                type: "structure",
                required: [
                  "name",
                  "requestMessageId"
                ],
                members: {
                  name: {},
                  requestMessageId: {
                    type: "integer"
                  },
                  obdStandard: {},
                  pidRequestIntervalSeconds: {
                    type: "integer"
                  },
                  dtcRequestIntervalSeconds: {
                    type: "integer"
                  },
                  useExtendedIds: {
                    type: "boolean"
                  },
                  hasTransmissionEcu: {
                    type: "boolean"
                  }
                }
              }
            }
          }
        },
        S2o: {
          type: "list",
          member: {}
        },
        S2r: {
          type: "list",
          member: {
            type: "structure",
            members: {
              branch: {
                type: "structure",
                required: [
                  "fullyQualifiedName"
                ],
                members: {
                  fullyQualifiedName: {},
                  description: {},
                  deprecationMessage: {},
                  comment: {}
                }
              },
              sensor: {
                type: "structure",
                required: [
                  "fullyQualifiedName",
                  "dataType"
                ],
                members: {
                  fullyQualifiedName: {},
                  dataType: {},
                  description: {},
                  unit: {},
                  allowedValues: {
                    shape: "S2o"
                  },
                  min: {
                    type: "double"
                  },
                  max: {
                    type: "double"
                  },
                  deprecationMessage: {},
                  comment: {}
                }
              },
              actuator: {
                type: "structure",
                required: [
                  "fullyQualifiedName",
                  "dataType"
                ],
                members: {
                  fullyQualifiedName: {},
                  dataType: {},
                  description: {},
                  unit: {},
                  allowedValues: {
                    shape: "S2o"
                  },
                  min: {
                    type: "double"
                  },
                  max: {
                    type: "double"
                  },
                  assignedValue: {
                    deprecated: true,
                    deprecatedMessage: "assignedValue is no longer in use"
                  },
                  deprecationMessage: {},
                  comment: {}
                }
              },
              attribute: {
                type: "structure",
                required: [
                  "fullyQualifiedName",
                  "dataType"
                ],
                members: {
                  fullyQualifiedName: {},
                  dataType: {},
                  description: {},
                  unit: {},
                  allowedValues: {
                    shape: "S2o"
                  },
                  min: {
                    type: "double"
                  },
                  max: {
                    type: "double"
                  },
                  assignedValue: {
                    deprecated: true,
                    deprecatedMessage: "assignedValue is no longer in use"
                  },
                  defaultValue: {},
                  deprecationMessage: {},
                  comment: {}
                }
              }
            },
            union: true
          }
        },
        S3q: {
          type: "structure",
          required: [
            "logType"
          ],
          members: {
            logType: {},
            logGroupName: {}
          }
        },
        S62: {
          type: "structure",
          required: [
            "timestreamDatabaseName",
            "timestreamTableName"
          ],
          members: {
            timestreamDatabaseName: {},
            timestreamTableName: {}
          }
        },
        S63: {
          type: "structure",
          required: [
            "roleArn"
          ],
          members: {
            roleArn: {}
          }
        },
        S6k: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iotfleetwise-2021-06-17.paginators.json
var require_iotfleetwise_2021_06_17_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iotfleetwise-2021-06-17.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetVehicleStatus: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "campaigns"
        },
        ListCampaigns: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "campaignSummaries"
        },
        ListDecoderManifestNetworkInterfaces: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "networkInterfaces"
        },
        ListDecoderManifestSignals: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "signalDecoders"
        },
        ListDecoderManifests: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "summaries"
        },
        ListFleets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "fleetSummaries"
        },
        ListFleetsForVehicle: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "fleets"
        },
        ListModelManifestNodes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "nodes"
        },
        ListModelManifests: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "summaries"
        },
        ListSignalCatalogNodes: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "nodes"
        },
        ListSignalCatalogs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "summaries"
        },
        ListVehicles: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "vehicleSummaries"
        },
        ListVehiclesInFleet: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "vehicles"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iotfleetwise-2021-06-17.waiters2.json
var require_iotfleetwise_2021_06_17_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/iotfleetwise-2021-06-17.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {}
    };
  }
});

// node_modules/aws-sdk/clients/iotfleetwise.js
var require_iotfleetwise = __commonJS({
  "node_modules/aws-sdk/clients/iotfleetwise.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iotfleetwise"] = {};
    AWS2.IoTFleetWise = Service.defineService("iotfleetwise", ["2021-06-17"]);
    Object.defineProperty(apiLoader.services["iotfleetwise"], "2021-06-17", {
      get: function get() {
        var model = require_iotfleetwise_2021_06_17_min();
        model.paginators = require_iotfleetwise_2021_06_17_paginators().pagination;
        model.waiters = require_iotfleetwise_2021_06_17_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IoTFleetWise;
  }
});

// node_modules/aws-sdk/apis/migrationhuborchestrator-2021-08-28.min.json
var require_migrationhuborchestrator_2021_08_28_min = __commonJS({
  "node_modules/aws-sdk/apis/migrationhuborchestrator-2021-08-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-08-28",
        endpointPrefix: "migrationhub-orchestrator",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Migration Hub Orchestrator",
        serviceId: "MigrationHubOrchestrator",
        signatureVersion: "v4",
        signingName: "migrationhub-orchestrator",
        uid: "migrationhuborchestrator-2021-08-28"
      },
      operations: {
        CreateWorkflow: {
          http: {
            requestUri: "/migrationworkflow/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "templateId",
              "applicationConfigurationId",
              "inputParameters"
            ],
            members: {
              name: {},
              description: {},
              templateId: {},
              applicationConfigurationId: {},
              inputParameters: {
                shape: "S6"
              },
              stepTargets: {
                shape: "Sb"
              },
              tags: {
                shape: "Sd"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              arn: {},
              name: {},
              description: {},
              templateId: {},
              adsApplicationConfigurationId: {},
              workflowInputs: {
                shape: "S6"
              },
              stepTargets: {
                shape: "Sb"
              },
              status: {},
              creationTime: {
                type: "timestamp"
              },
              tags: {
                shape: "Sd"
              }
            }
          }
        },
        CreateWorkflowStep: {
          http: {
            requestUri: "/workflowstep",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "stepGroupId",
              "workflowId",
              "stepActionType"
            ],
            members: {
              name: {},
              stepGroupId: {},
              workflowId: {},
              stepActionType: {},
              description: {},
              workflowStepAutomationConfiguration: {
                shape: "Sq"
              },
              stepTarget: {
                shape: "Sb"
              },
              outputs: {
                shape: "Sx"
              },
              previous: {
                shape: "Sb"
              },
              next: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              stepGroupId: {},
              workflowId: {},
              name: {}
            }
          }
        },
        CreateWorkflowStepGroup: {
          http: {
            requestUri: "/workflowstepgroups",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workflowId",
              "name"
            ],
            members: {
              workflowId: {},
              name: {},
              description: {},
              next: {
                shape: "Sb"
              },
              previous: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              workflowId: {},
              name: {},
              id: {},
              description: {},
              tools: {
                shape: "S18"
              },
              next: {
                shape: "Sb"
              },
              previous: {
                shape: "Sb"
              },
              creationTime: {
                type: "timestamp"
              }
            }
          }
        },
        DeleteWorkflow: {
          http: {
            method: "DELETE",
            requestUri: "/migrationworkflow/{id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              arn: {},
              status: {}
            }
          },
          idempotent: true
        },
        DeleteWorkflowStep: {
          http: {
            method: "DELETE",
            requestUri: "/workflowstep/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id",
              "stepGroupId",
              "workflowId"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              stepGroupId: {
                location: "querystring",
                locationName: "stepGroupId"
              },
              workflowId: {
                location: "querystring",
                locationName: "workflowId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteWorkflowStepGroup: {
          http: {
            method: "DELETE",
            requestUri: "/workflowstepgroup/{id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "workflowId",
              "id"
            ],
            members: {
              workflowId: {
                location: "querystring",
                locationName: "workflowId"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetTemplate: {
          http: {
            method: "GET",
            requestUri: "/migrationworkflowtemplate/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              name: {},
              description: {},
              inputs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    inputName: {},
                    dataType: {},
                    required: {
                      type: "boolean"
                    }
                  }
                }
              },
              tools: {
                shape: "S18"
              },
              status: {},
              creationTime: {
                type: "timestamp"
              }
            }
          }
        },
        GetTemplateStep: {
          http: {
            method: "GET",
            requestUri: "/templatestep/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id",
              "templateId",
              "stepGroupId"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              templateId: {
                location: "querystring",
                locationName: "templateId"
              },
              stepGroupId: {
                location: "querystring",
                locationName: "stepGroupId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              stepGroupId: {},
              templateId: {},
              name: {},
              description: {},
              stepActionType: {},
              creationTime: {},
              previous: {
                shape: "Sb"
              },
              next: {
                shape: "Sb"
              },
              outputs: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    name: {},
                    dataType: {},
                    required: {
                      type: "boolean"
                    }
                  }
                }
              },
              stepAutomationConfiguration: {
                type: "structure",
                members: {
                  scriptLocationS3Bucket: {},
                  scriptLocationS3Key: {
                    shape: "Ss"
                  },
                  command: {
                    shape: "Su"
                  },
                  runEnvironment: {},
                  targetType: {}
                }
              }
            }
          }
        },
        GetTemplateStepGroup: {
          http: {
            method: "GET",
            requestUri: "/templates/{templateId}/stepgroups/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "templateId",
              "id"
            ],
            members: {
              templateId: {
                location: "uri",
                locationName: "templateId"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              templateId: {},
              id: {},
              name: {},
              description: {},
              status: {},
              creationTime: {
                type: "timestamp"
              },
              lastModifiedTime: {
                type: "timestamp"
              },
              tools: {
                shape: "S18"
              },
              previous: {
                shape: "Sb"
              },
              next: {
                shape: "Sb"
              }
            }
          }
        },
        GetWorkflow: {
          http: {
            method: "GET",
            requestUri: "/migrationworkflow/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              arn: {},
              name: {},
              description: {},
              templateId: {},
              adsApplicationConfigurationId: {},
              adsApplicationName: {},
              status: {},
              statusMessage: {},
              creationTime: {
                type: "timestamp"
              },
              lastStartTime: {
                type: "timestamp"
              },
              lastStopTime: {
                type: "timestamp"
              },
              lastModifiedTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              tools: {
                shape: "S18"
              },
              totalSteps: {
                type: "integer"
              },
              completedSteps: {
                type: "integer"
              },
              workflowInputs: {
                shape: "S6"
              },
              tags: {
                shape: "Sd"
              },
              workflowBucket: {}
            }
          }
        },
        GetWorkflowStep: {
          http: {
            method: "GET",
            requestUri: "/workflowstep/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workflowId",
              "stepGroupId",
              "id"
            ],
            members: {
              workflowId: {
                location: "querystring",
                locationName: "workflowId"
              },
              stepGroupId: {
                location: "querystring",
                locationName: "stepGroupId"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              name: {},
              stepGroupId: {},
              workflowId: {},
              stepId: {},
              description: {},
              stepActionType: {},
              owner: {},
              workflowStepAutomationConfiguration: {
                shape: "Sq"
              },
              stepTarget: {
                shape: "Sb"
              },
              outputs: {
                type: "list",
                member: {
                  shape: "Sy"
                }
              },
              previous: {
                shape: "Sb"
              },
              next: {
                shape: "Sb"
              },
              status: {},
              statusMessage: {},
              scriptOutputLocation: {},
              creationTime: {
                type: "timestamp"
              },
              lastStartTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              noOfSrvCompleted: {
                type: "integer"
              },
              noOfSrvFailed: {
                type: "integer"
              },
              totalNoOfSrv: {
                type: "integer"
              }
            }
          }
        },
        GetWorkflowStepGroup: {
          http: {
            method: "GET",
            requestUri: "/workflowstepgroup/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id",
              "workflowId"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              workflowId: {
                location: "querystring",
                locationName: "workflowId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              workflowId: {},
              name: {},
              description: {},
              status: {},
              owner: {},
              creationTime: {
                type: "timestamp"
              },
              lastModifiedTime: {
                type: "timestamp"
              },
              endTime: {
                type: "timestamp"
              },
              tools: {
                shape: "S18"
              },
              previous: {
                shape: "Sb"
              },
              next: {
                shape: "Sb"
              }
            }
          }
        },
        ListPlugins: {
          http: {
            method: "GET",
            requestUri: "/plugins",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              plugins: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    pluginId: {},
                    hostname: {},
                    status: {},
                    ipAddress: {},
                    version: {},
                    registeredTime: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S2i"
              }
            }
          }
        },
        ListTemplateStepGroups: {
          http: {
            method: "GET",
            requestUri: "/templatestepgroups/{templateId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "templateId"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              templateId: {
                location: "uri",
                locationName: "templateId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "templateStepGroupSummary"
            ],
            members: {
              nextToken: {},
              templateStepGroupSummary: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    name: {},
                    previous: {
                      shape: "Sb"
                    },
                    next: {
                      shape: "Sb"
                    }
                  }
                }
              }
            }
          }
        },
        ListTemplateSteps: {
          http: {
            method: "GET",
            requestUri: "/templatesteps",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "templateId",
              "stepGroupId"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              templateId: {
                location: "querystring",
                locationName: "templateId"
              },
              stepGroupId: {
                location: "querystring",
                locationName: "stepGroupId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              templateStepSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    stepGroupId: {},
                    templateId: {},
                    name: {},
                    stepActionType: {},
                    targetType: {},
                    owner: {},
                    previous: {
                      shape: "Sb"
                    },
                    next: {
                      shape: "Sb"
                    }
                  }
                }
              }
            }
          }
        },
        ListTemplates: {
          http: {
            method: "GET",
            requestUri: "/migrationworkflowtemplates",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              name: {
                location: "querystring",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "templateSummary"
            ],
            members: {
              nextToken: {},
              templateSummary: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    name: {},
                    arn: {},
                    description: {}
                  }
                }
              }
            }
          }
        },
        ListWorkflowStepGroups: {
          http: {
            method: "GET",
            requestUri: "/workflowstepgroups",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workflowId"
            ],
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              workflowId: {
                location: "querystring",
                locationName: "workflowId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "workflowStepGroupsSummary"
            ],
            members: {
              nextToken: {},
              workflowStepGroupsSummary: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    name: {},
                    owner: {},
                    status: {},
                    previous: {
                      shape: "Sb"
                    },
                    next: {
                      shape: "Sb"
                    }
                  }
                }
              }
            }
          }
        },
        ListWorkflowSteps: {
          http: {
            method: "GET",
            requestUri: "/workflow/{workflowId}/workflowstepgroups/{stepGroupId}/workflowsteps",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workflowId",
              "stepGroupId"
            ],
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              workflowId: {
                location: "uri",
                locationName: "workflowId"
              },
              stepGroupId: {
                location: "uri",
                locationName: "stepGroupId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "workflowStepsSummary"
            ],
            members: {
              nextToken: {},
              workflowStepsSummary: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    stepId: {},
                    name: {},
                    stepActionType: {},
                    owner: {},
                    previous: {
                      shape: "Sb"
                    },
                    next: {
                      shape: "Sb"
                    },
                    status: {},
                    statusMessage: {},
                    noOfSrvCompleted: {
                      type: "integer"
                    },
                    noOfSrvFailed: {
                      type: "integer"
                    },
                    totalNoOfSrv: {
                      type: "integer"
                    },
                    description: {},
                    scriptLocation: {}
                  }
                }
              }
            }
          }
        },
        ListWorkflows: {
          http: {
            method: "GET",
            requestUri: "/migrationworkflows",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              templateId: {
                location: "querystring",
                locationName: "templateId"
              },
              adsApplicationConfigurationName: {
                location: "querystring",
                locationName: "adsApplicationConfigurationName"
              },
              status: {
                location: "querystring",
                locationName: "status"
              },
              name: {
                location: "querystring",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "migrationWorkflowSummary"
            ],
            members: {
              nextToken: {},
              migrationWorkflowSummary: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    name: {},
                    templateId: {},
                    adsApplicationConfigurationName: {},
                    status: {},
                    creationTime: {
                      type: "timestamp"
                    },
                    endTime: {
                      type: "timestamp"
                    },
                    statusMessage: {},
                    completedSteps: {
                      type: "integer"
                    },
                    totalSteps: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        },
        RetryWorkflowStep: {
          http: {
            requestUri: "/retryworkflowstep/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "workflowId",
              "stepGroupId",
              "id"
            ],
            members: {
              workflowId: {
                location: "querystring",
                locationName: "workflowId"
              },
              stepGroupId: {
                location: "querystring",
                locationName: "stepGroupId"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              stepGroupId: {},
              workflowId: {},
              id: {},
              status: {}
            }
          }
        },
        StartWorkflow: {
          http: {
            requestUri: "/migrationworkflow/{id}/start",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              arn: {},
              status: {},
              statusMessage: {},
              lastStartTime: {
                type: "timestamp"
              }
            }
          }
        },
        StopWorkflow: {
          http: {
            requestUri: "/migrationworkflow/{id}/stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              arn: {},
              status: {},
              statusMessage: {},
              lastStopTime: {
                type: "timestamp"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S2i"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateWorkflow: {
          http: {
            requestUri: "/migrationworkflow/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              name: {},
              description: {},
              inputParameters: {
                shape: "S6"
              },
              stepTargets: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              arn: {},
              name: {},
              description: {},
              templateId: {},
              adsApplicationConfigurationId: {},
              workflowInputs: {
                shape: "S6"
              },
              stepTargets: {
                shape: "Sb"
              },
              status: {},
              creationTime: {
                type: "timestamp"
              },
              lastModifiedTime: {
                type: "timestamp"
              },
              tags: {
                shape: "Sd"
              }
            }
          }
        },
        UpdateWorkflowStep: {
          http: {
            requestUri: "/workflowstep/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id",
              "stepGroupId",
              "workflowId"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              stepGroupId: {},
              workflowId: {},
              name: {},
              description: {},
              stepActionType: {},
              workflowStepAutomationConfiguration: {
                shape: "Sq"
              },
              stepTarget: {
                shape: "Sb"
              },
              outputs: {
                shape: "Sx"
              },
              previous: {
                shape: "Sb"
              },
              next: {
                shape: "Sb"
              },
              status: {}
            }
          },
          output: {
            type: "structure",
            members: {
              id: {},
              stepGroupId: {},
              workflowId: {},
              name: {}
            }
          }
        },
        UpdateWorkflowStepGroup: {
          http: {
            requestUri: "/workflowstepgroup/{id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "workflowId",
              "id"
            ],
            members: {
              workflowId: {
                location: "querystring",
                locationName: "workflowId"
              },
              id: {
                location: "uri",
                locationName: "id"
              },
              name: {},
              description: {},
              next: {
                shape: "Sb"
              },
              previous: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              workflowId: {},
              name: {},
              id: {},
              description: {},
              tools: {
                shape: "S18"
              },
              next: {
                shape: "Sb"
              },
              previous: {
                shape: "Sb"
              },
              lastModifiedTime: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S6: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              integerValue: {
                type: "integer"
              },
              stringValue: {},
              listOfStringsValue: {
                shape: "Sb"
              },
              mapOfStringValue: {
                shape: "Sd"
              }
            },
            union: true
          },
          sensitive: true
        },
        Sb: {
          type: "list",
          member: {}
        },
        Sd: {
          type: "map",
          key: {},
          value: {}
        },
        Sq: {
          type: "structure",
          members: {
            scriptLocationS3Bucket: {},
            scriptLocationS3Key: {
              shape: "Ss"
            },
            command: {
              shape: "Su"
            },
            runEnvironment: {},
            targetType: {}
          }
        },
        Ss: {
          type: "structure",
          members: {
            linux: {},
            windows: {}
          }
        },
        Su: {
          type: "structure",
          members: {
            linux: {},
            windows: {}
          }
        },
        Sx: {
          type: "list",
          member: {
            shape: "Sy"
          }
        },
        Sy: {
          type: "structure",
          members: {
            name: {},
            dataType: {},
            required: {
              type: "boolean"
            },
            value: {
              type: "structure",
              members: {
                integerValue: {
                  type: "integer"
                },
                stringValue: {},
                listOfStringValue: {
                  shape: "Sb"
                }
              },
              union: true
            }
          }
        },
        S18: {
          type: "list",
          member: {
            type: "structure",
            members: {
              name: {},
              url: {}
            }
          }
        },
        S2i: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/migrationhuborchestrator-2021-08-28.paginators.json
var require_migrationhuborchestrator_2021_08_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/migrationhuborchestrator-2021-08-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListPlugins: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "plugins"
        },
        ListTemplateStepGroups: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "templateStepGroupSummary"
        },
        ListTemplateSteps: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "templateStepSummaryList"
        },
        ListTemplates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "templateSummary"
        },
        ListWorkflowStepGroups: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "workflowStepGroupsSummary"
        },
        ListWorkflowSteps: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "workflowStepsSummary"
        },
        ListWorkflows: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "migrationWorkflowSummary"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/migrationhuborchestrator-2021-08-28.waiters2.json
var require_migrationhuborchestrator_2021_08_28_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/migrationhuborchestrator-2021-08-28.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {}
    };
  }
});

// node_modules/aws-sdk/clients/migrationhuborchestrator.js
var require_migrationhuborchestrator = __commonJS({
  "node_modules/aws-sdk/clients/migrationhuborchestrator.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["migrationhuborchestrator"] = {};
    AWS2.MigrationHubOrchestrator = Service.defineService("migrationhuborchestrator", ["2021-08-28"]);
    Object.defineProperty(apiLoader.services["migrationhuborchestrator"], "2021-08-28", {
      get: function get() {
        var model = require_migrationhuborchestrator_2021_08_28_min();
        model.paginators = require_migrationhuborchestrator_2021_08_28_paginators().pagination;
        model.waiters = require_migrationhuborchestrator_2021_08_28_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MigrationHubOrchestrator;
  }
});

// node_modules/aws-sdk/apis/connectcases-2022-10-03.min.json
var require_connectcases_2022_10_03_min = __commonJS({
  "node_modules/aws-sdk/apis/connectcases-2022-10-03.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-10-03",
        endpointPrefix: "cases",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "ConnectCases",
        serviceFullName: "Amazon Connect Cases",
        serviceId: "ConnectCases",
        signatureVersion: "v4",
        signingName: "cases",
        uid: "connectcases-2022-10-03"
      },
      operations: {
        BatchGetField: {
          http: {
            requestUri: "/domains/{domainId}/fields-batch",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId",
              "fields"
            ],
            members: {
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              fields: {
                type: "list",
                member: {
                  shape: "S4"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "errors",
              "fields"
            ],
            members: {
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "errorCode",
                    "id"
                  ],
                  members: {
                    errorCode: {},
                    id: {},
                    message: {}
                  }
                }
              },
              fields: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "fieldArn",
                    "fieldId",
                    "name",
                    "namespace",
                    "type"
                  ],
                  members: {
                    description: {},
                    fieldArn: {},
                    fieldId: {},
                    name: {},
                    namespace: {},
                    tags: {
                      shape: "Sg"
                    },
                    type: {}
                  }
                }
              }
            }
          }
        },
        BatchPutFieldOptions: {
          http: {
            method: "PUT",
            requestUri: "/domains/{domainId}/fields/{fieldId}/options",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId",
              "fieldId",
              "options"
            ],
            members: {
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              fieldId: {
                location: "uri",
                locationName: "fieldId"
              },
              options: {
                type: "list",
                member: {
                  shape: "Sk"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "errorCode",
                    "message",
                    "value"
                  ],
                  members: {
                    errorCode: {},
                    message: {},
                    value: {}
                  }
                }
              }
            }
          },
          idempotent: true
        },
        CreateCase: {
          http: {
            requestUri: "/domains/{domainId}/cases",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId",
              "fields",
              "templateId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              fields: {
                type: "list",
                member: {
                  shape: "Su"
                }
              },
              templateId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "caseArn",
              "caseId"
            ],
            members: {
              caseArn: {},
              caseId: {}
            }
          },
          idempotent: true
        },
        CreateDomain: {
          http: {
            requestUri: "/domains",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "domainArn",
              "domainId",
              "domainStatus"
            ],
            members: {
              domainArn: {},
              domainId: {},
              domainStatus: {}
            }
          },
          idempotent: true
        },
        CreateField: {
          http: {
            requestUri: "/domains/{domainId}/fields",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId",
              "name",
              "type"
            ],
            members: {
              description: {},
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              name: {},
              type: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "fieldArn",
              "fieldId"
            ],
            members: {
              fieldArn: {},
              fieldId: {}
            }
          },
          idempotent: true
        },
        CreateLayout: {
          http: {
            requestUri: "/domains/{domainId}/layouts",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "content",
              "domainId",
              "name"
            ],
            members: {
              content: {
                shape: "S1a"
              },
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              name: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "layoutArn",
              "layoutId"
            ],
            members: {
              layoutArn: {},
              layoutId: {}
            }
          }
        },
        CreateRelatedItem: {
          http: {
            requestUri: "/domains/{domainId}/cases/{caseId}/related-items/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "caseId",
              "content",
              "domainId",
              "type"
            ],
            members: {
              caseId: {
                location: "uri",
                locationName: "caseId"
              },
              content: {
                type: "structure",
                members: {
                  comment: {
                    shape: "S1p"
                  },
                  contact: {
                    type: "structure",
                    required: [
                      "contactArn"
                    ],
                    members: {
                      contactArn: {}
                    }
                  }
                },
                union: true
              },
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              type: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "relatedItemArn",
              "relatedItemId"
            ],
            members: {
              relatedItemArn: {},
              relatedItemId: {}
            }
          },
          idempotent: true
        },
        CreateTemplate: {
          http: {
            requestUri: "/domains/{domainId}/templates",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId",
              "name"
            ],
            members: {
              description: {},
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              layoutConfiguration: {
                shape: "S20"
              },
              name: {},
              requiredFields: {
                shape: "S22"
              },
              status: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "templateArn",
              "templateId"
            ],
            members: {
              templateArn: {},
              templateId: {}
            }
          },
          idempotent: true
        },
        DeleteDomain: {
          http: {
            method: "DELETE",
            requestUri: "/domains/{domainId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId"
            ],
            members: {
              domainId: {
                location: "uri",
                locationName: "domainId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetCase: {
          http: {
            requestUri: "/domains/{domainId}/cases/{caseId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "caseId",
              "domainId",
              "fields"
            ],
            members: {
              caseId: {
                location: "uri",
                locationName: "caseId"
              },
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              fields: {
                type: "list",
                member: {
                  shape: "S4"
                }
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "fields",
              "templateId"
            ],
            members: {
              fields: {
                type: "list",
                member: {
                  shape: "Su"
                }
              },
              nextToken: {},
              tags: {
                shape: "Sg"
              },
              templateId: {}
            }
          }
        },
        GetCaseEventConfiguration: {
          http: {
            requestUri: "/domains/{domainId}/case-event-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId"
            ],
            members: {
              domainId: {
                location: "uri",
                locationName: "domainId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "eventBridge"
            ],
            members: {
              eventBridge: {
                shape: "S2g"
              }
            }
          }
        },
        GetDomain: {
          http: {
            requestUri: "/domains/{domainId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId"
            ],
            members: {
              domainId: {
                location: "uri",
                locationName: "domainId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "createdTime",
              "domainArn",
              "domainId",
              "domainStatus",
              "name"
            ],
            members: {
              createdTime: {
                type: "timestamp",
                timestampFormat: "iso8601"
              },
              domainArn: {},
              domainId: {},
              domainStatus: {},
              name: {},
              tags: {
                shape: "Sg"
              }
            }
          }
        },
        GetLayout: {
          http: {
            requestUri: "/domains/{domainId}/layouts/{layoutId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId",
              "layoutId"
            ],
            members: {
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              layoutId: {
                location: "uri",
                locationName: "layoutId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "content",
              "layoutArn",
              "layoutId",
              "name"
            ],
            members: {
              content: {
                shape: "S1a"
              },
              layoutArn: {},
              layoutId: {},
              name: {},
              tags: {
                shape: "Sg"
              }
            }
          }
        },
        GetTemplate: {
          http: {
            requestUri: "/domains/{domainId}/templates/{templateId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId",
              "templateId"
            ],
            members: {
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              templateId: {
                location: "uri",
                locationName: "templateId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "status",
              "templateArn",
              "templateId"
            ],
            members: {
              description: {},
              layoutConfiguration: {
                shape: "S20"
              },
              name: {},
              requiredFields: {
                shape: "S22"
              },
              status: {},
              tags: {
                shape: "Sg"
              },
              templateArn: {},
              templateId: {}
            }
          }
        },
        ListCasesForContact: {
          http: {
            requestUri: "/domains/{domainId}/list-cases-for-contact",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "contactArn",
              "domainId"
            ],
            members: {
              contactArn: {},
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "cases"
            ],
            members: {
              cases: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "caseId",
                    "templateId"
                  ],
                  members: {
                    caseId: {},
                    templateId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDomains: {
          http: {
            requestUri: "/domains-list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "domains"
            ],
            members: {
              domains: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "domainArn",
                    "domainId",
                    "name"
                  ],
                  members: {
                    domainArn: {},
                    domainId: {},
                    name: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListFieldOptions: {
          http: {
            requestUri: "/domains/{domainId}/fields/{fieldId}/options-list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId",
              "fieldId"
            ],
            members: {
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              fieldId: {
                location: "uri",
                locationName: "fieldId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              values: {
                location: "querystring",
                locationName: "values",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "options"
            ],
            members: {
              nextToken: {},
              options: {
                type: "list",
                member: {
                  shape: "Sk"
                }
              }
            }
          }
        },
        ListFields: {
          http: {
            requestUri: "/domains/{domainId}/fields-list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId"
            ],
            members: {
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "fields"
            ],
            members: {
              fields: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "fieldArn",
                    "fieldId",
                    "name",
                    "namespace",
                    "type"
                  ],
                  members: {
                    fieldArn: {},
                    fieldId: {},
                    name: {},
                    namespace: {},
                    type: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListLayouts: {
          http: {
            requestUri: "/domains/{domainId}/layouts-list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId"
            ],
            members: {
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "layouts"
            ],
            members: {
              layouts: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "layoutArn",
                    "layoutId",
                    "name"
                  ],
                  members: {
                    layoutArn: {},
                    layoutId: {},
                    name: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {
                location: "uri",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sg"
              }
            }
          },
          idempotent: true
        },
        ListTemplates: {
          http: {
            requestUri: "/domains/{domainId}/templates-list",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId"
            ],
            members: {
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              status: {
                location: "querystring",
                locationName: "status",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "templates"
            ],
            members: {
              nextToken: {},
              templates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "status",
                    "templateArn",
                    "templateId"
                  ],
                  members: {
                    name: {},
                    status: {},
                    templateArn: {},
                    templateId: {}
                  }
                }
              }
            }
          }
        },
        PutCaseEventConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/domains/{domainId}/case-event-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId",
              "eventBridge"
            ],
            members: {
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              eventBridge: {
                shape: "S2g"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        SearchCases: {
          http: {
            requestUri: "/domains/{domainId}/cases-search",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId"
            ],
            members: {
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              fields: {
                type: "list",
                member: {
                  shape: "S4"
                }
              },
              filter: {
                shape: "S3s"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              searchTerm: {},
              sorts: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "fieldId",
                    "sortOrder"
                  ],
                  members: {
                    fieldId: {},
                    sortOrder: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "cases"
            ],
            members: {
              cases: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "caseId",
                    "fields",
                    "templateId"
                  ],
                  members: {
                    caseId: {},
                    fields: {
                      type: "list",
                      member: {
                        shape: "Su"
                      }
                    },
                    tags: {
                      shape: "Sg"
                    },
                    templateId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        SearchRelatedItems: {
          http: {
            requestUri: "/domains/{domainId}/cases/{caseId}/related-items-search",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "caseId",
              "domainId"
            ],
            members: {
              caseId: {
                location: "uri",
                locationName: "caseId"
              },
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    comment: {
                      type: "structure",
                      members: {}
                    },
                    contact: {
                      type: "structure",
                      members: {
                        channel: {
                          type: "list",
                          member: {}
                        },
                        contactArn: {}
                      }
                    }
                  },
                  union: true
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "relatedItems"
            ],
            members: {
              nextToken: {},
              relatedItems: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "associationTime",
                    "content",
                    "relatedItemId",
                    "type"
                  ],
                  members: {
                    associationTime: {
                      type: "timestamp",
                      timestampFormat: "iso8601"
                    },
                    content: {
                      type: "structure",
                      members: {
                        comment: {
                          shape: "S1p"
                        },
                        contact: {
                          type: "structure",
                          required: [
                            "channel",
                            "connectedToSystemTime",
                            "contactArn"
                          ],
                          members: {
                            channel: {},
                            connectedToSystemTime: {
                              type: "timestamp",
                              timestampFormat: "iso8601"
                            },
                            contactArn: {}
                          }
                        }
                      },
                      union: true
                    },
                    relatedItemId: {},
                    tags: {
                      shape: "Sg"
                    },
                    type: {}
                  }
                }
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn",
              "tags"
            ],
            members: {
              arn: {
                location: "uri",
                locationName: "arn"
              },
              tags: {
                shape: "Sg"
              }
            }
          },
          idempotent: true
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn",
              "tagKeys"
            ],
            members: {
              arn: {
                location: "uri",
                locationName: "arn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          idempotent: true
        },
        UpdateCase: {
          http: {
            method: "PUT",
            requestUri: "/domains/{domainId}/cases/{caseId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "caseId",
              "domainId",
              "fields"
            ],
            members: {
              caseId: {
                location: "uri",
                locationName: "caseId"
              },
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              fields: {
                type: "list",
                member: {
                  shape: "Su"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateField: {
          http: {
            method: "PUT",
            requestUri: "/domains/{domainId}/fields/{fieldId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId",
              "fieldId"
            ],
            members: {
              description: {},
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              fieldId: {
                location: "uri",
                locationName: "fieldId"
              },
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateLayout: {
          http: {
            method: "PUT",
            requestUri: "/domains/{domainId}/layouts/{layoutId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId",
              "layoutId"
            ],
            members: {
              content: {
                shape: "S1a"
              },
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              layoutId: {
                location: "uri",
                locationName: "layoutId"
              },
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateTemplate: {
          http: {
            method: "PUT",
            requestUri: "/domains/{domainId}/templates/{templateId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "domainId",
              "templateId"
            ],
            members: {
              description: {},
              domainId: {
                location: "uri",
                locationName: "domainId"
              },
              layoutConfiguration: {
                shape: "S20"
              },
              name: {},
              requiredFields: {
                shape: "S22"
              },
              status: {},
              templateId: {
                location: "uri",
                locationName: "templateId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        }
      },
      shapes: {
        S4: {
          type: "structure",
          required: [
            "id"
          ],
          members: {
            id: {}
          }
        },
        Sg: {
          type: "map",
          key: {},
          value: {}
        },
        Sk: {
          type: "structure",
          required: [
            "active",
            "name",
            "value"
          ],
          members: {
            active: {
              type: "boolean"
            },
            name: {},
            value: {}
          }
        },
        Su: {
          type: "structure",
          required: [
            "id",
            "value"
          ],
          members: {
            id: {},
            value: {
              type: "structure",
              members: {
                booleanValue: {
                  type: "boolean"
                },
                doubleValue: {
                  type: "double"
                },
                stringValue: {}
              },
              union: true
            }
          }
        },
        S1a: {
          type: "structure",
          members: {
            basic: {
              type: "structure",
              members: {
                moreInfo: {
                  shape: "S1c"
                },
                topPanel: {
                  shape: "S1c"
                }
              }
            }
          },
          union: true
        },
        S1c: {
          type: "structure",
          members: {
            sections: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  fieldGroup: {
                    type: "structure",
                    required: [
                      "fields"
                    ],
                    members: {
                      fields: {
                        type: "list",
                        member: {
                          type: "structure",
                          required: [
                            "id"
                          ],
                          members: {
                            id: {}
                          }
                        }
                      },
                      name: {}
                    }
                  }
                },
                union: true
              }
            }
          }
        },
        S1p: {
          type: "structure",
          required: [
            "body",
            "contentType"
          ],
          members: {
            body: {},
            contentType: {}
          }
        },
        S20: {
          type: "structure",
          members: {
            defaultLayout: {}
          }
        },
        S22: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "fieldId"
            ],
            members: {
              fieldId: {}
            }
          }
        },
        S2g: {
          type: "structure",
          required: [
            "enabled"
          ],
          members: {
            enabled: {
              type: "boolean"
            },
            includedData: {
              type: "structure",
              members: {
                caseData: {
                  type: "structure",
                  required: [
                    "fields"
                  ],
                  members: {
                    fields: {
                      type: "list",
                      member: {
                        shape: "S4"
                      }
                    }
                  }
                },
                relatedItemData: {
                  type: "structure",
                  required: [
                    "includeContent"
                  ],
                  members: {
                    includeContent: {
                      type: "boolean"
                    }
                  }
                }
              }
            }
          }
        },
        S3s: {
          type: "structure",
          members: {
            andAll: {
              type: "list",
              member: {
                shape: "S3s"
              }
            },
            field: {
              type: "structure",
              members: {
                contains: {
                  shape: "Su"
                },
                equalTo: {
                  shape: "Su"
                },
                greaterThan: {
                  shape: "Su"
                },
                greaterThanOrEqualTo: {
                  shape: "Su"
                },
                lessThan: {
                  shape: "Su"
                },
                lessThanOrEqualTo: {
                  shape: "Su"
                }
              },
              union: true
            },
            not: {
              shape: "S3s"
            }
          },
          union: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/connectcases-2022-10-03.paginators.json
var require_connectcases_2022_10_03_paginators = __commonJS({
  "node_modules/aws-sdk/apis/connectcases-2022-10-03.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetCase: {
          input_token: "nextToken",
          output_token: "nextToken"
        },
        ListCasesForContact: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListDomains: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListFieldOptions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListFields: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListLayouts: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListTemplates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        SearchCases: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "cases"
        },
        SearchRelatedItems: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "relatedItems"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/connectcases.js
var require_connectcases = __commonJS({
  "node_modules/aws-sdk/clients/connectcases.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["connectcases"] = {};
    AWS2.ConnectCases = Service.defineService("connectcases", ["2022-10-03"]);
    Object.defineProperty(apiLoader.services["connectcases"], "2022-10-03", {
      get: function get() {
        var model = require_connectcases_2022_10_03_min();
        model.paginators = require_connectcases_2022_10_03_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ConnectCases;
  }
});

// node_modules/aws-sdk/apis/resource-explorer-2-2022-07-28.min.json
var require_resource_explorer_2_2022_07_28_min = __commonJS({
  "node_modules/aws-sdk/apis/resource-explorer-2-2022-07-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-07-28",
        endpointPrefix: "resource-explorer-2",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Resource Explorer",
        serviceId: "Resource Explorer 2",
        signatureVersion: "v4",
        signingName: "resource-explorer-2",
        uid: "resource-explorer-2-2022-07-28"
      },
      operations: {
        AssociateDefaultView: {
          http: {
            requestUri: "/AssociateDefaultView",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ViewArn"
            ],
            members: {
              ViewArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ViewArn: {}
            }
          },
          idempotent: true
        },
        BatchGetView: {
          http: {
            requestUri: "/BatchGetView",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ViewArns: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ErrorMessage",
                    "ViewArn"
                  ],
                  members: {
                    ErrorMessage: {},
                    ViewArn: {}
                  }
                }
              },
              Views: {
                type: "list",
                member: {
                  shape: "Sb"
                }
              }
            }
          }
        },
        CreateIndex: {
          http: {
            requestUri: "/CreateIndex",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreatedAt: {
                shape: "Sh"
              },
              State: {}
            }
          },
          idempotent: true
        },
        CreateView: {
          http: {
            requestUri: "/CreateView",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ViewName"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              Filters: {
                shape: "Sc"
              },
              IncludedProperties: {
                shape: "Se"
              },
              Tags: {
                shape: "Sj"
              },
              ViewName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              View: {
                shape: "Sb"
              }
            }
          }
        },
        DeleteIndex: {
          http: {
            requestUri: "/DeleteIndex",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              LastUpdatedAt: {
                shape: "Sh"
              },
              State: {}
            }
          },
          idempotent: true
        },
        DeleteView: {
          http: {
            requestUri: "/DeleteView",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ViewArn"
            ],
            members: {
              ViewArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ViewArn: {}
            }
          },
          idempotent: true
        },
        DisassociateDefaultView: {
          http: {
            requestUri: "/DisassociateDefaultView",
            responseCode: 200
          },
          idempotent: true
        },
        GetDefaultView: {
          http: {
            requestUri: "/GetDefaultView",
            responseCode: 200
          },
          output: {
            type: "structure",
            members: {
              ViewArn: {}
            }
          }
        },
        GetIndex: {
          http: {
            requestUri: "/GetIndex",
            responseCode: 200
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreatedAt: {
                shape: "Sh"
              },
              LastUpdatedAt: {
                shape: "Sh"
              },
              ReplicatingFrom: {
                shape: "Sx"
              },
              ReplicatingTo: {
                shape: "Sx"
              },
              State: {},
              Tags: {
                shape: "Sj"
              },
              Type: {}
            }
          }
        },
        GetView: {
          http: {
            requestUri: "/GetView",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ViewArn"
            ],
            members: {
              ViewArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sj"
              },
              View: {
                shape: "Sb"
              }
            }
          }
        },
        ListIndexes: {
          http: {
            requestUri: "/ListIndexes",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Regions: {
                type: "list",
                member: {}
              },
              Type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Indexes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Region: {},
                    Type: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSupportedResourceTypes: {
          http: {
            requestUri: "/ListSupportedResourceTypes",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              ResourceTypes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ResourceType: {},
                    Service: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sj"
              }
            }
          }
        },
        ListViews: {
          http: {
            requestUri: "/ListViews",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Views: {
                type: "list",
                member: {}
              }
            }
          }
        },
        Search: {
          http: {
            requestUri: "/Search",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "QueryString"
            ],
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              QueryString: {
                type: "string",
                sensitive: true
              },
              ViewArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Count: {
                type: "structure",
                members: {
                  Complete: {
                    type: "boolean"
                  },
                  TotalResources: {
                    type: "long"
                  }
                }
              },
              NextToken: {},
              Resources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    LastReportedAt: {
                      shape: "Sh"
                    },
                    OwningAccountId: {},
                    Properties: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Data: {
                            type: "structure",
                            members: {},
                            document: true
                          },
                          LastReportedAt: {
                            shape: "Sh"
                          },
                          Name: {}
                        }
                      }
                    },
                    Region: {},
                    ResourceType: {},
                    Service: {}
                  }
                }
              },
              ViewArn: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              Tags: {
                shape: "Sj"
              },
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateIndexType: {
          http: {
            requestUri: "/UpdateIndexType",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "Type"
            ],
            members: {
              Arn: {},
              Type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              LastUpdatedAt: {
                shape: "Sh"
              },
              State: {},
              Type: {}
            }
          }
        },
        UpdateView: {
          http: {
            requestUri: "/UpdateView",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ViewArn"
            ],
            members: {
              Filters: {
                shape: "Sc"
              },
              IncludedProperties: {
                shape: "Se"
              },
              ViewArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              View: {
                shape: "Sb"
              }
            }
          }
        }
      },
      shapes: {
        Sb: {
          type: "structure",
          members: {
            Filters: {
              shape: "Sc"
            },
            IncludedProperties: {
              shape: "Se"
            },
            LastUpdatedAt: {
              shape: "Sh"
            },
            Owner: {},
            Scope: {},
            ViewArn: {}
          }
        },
        Sc: {
          type: "structure",
          required: [
            "FilterString"
          ],
          members: {
            FilterString: {}
          },
          sensitive: true
        },
        Se: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {}
            }
          }
        },
        Sh: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sj: {
          type: "map",
          key: {},
          value: {}
        },
        Sx: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/resource-explorer-2-2022-07-28.paginators.json
var require_resource_explorer_2_2022_07_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/resource-explorer-2-2022-07-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListIndexes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Indexes"
        },
        ListSupportedResourceTypes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ResourceTypes"
        },
        ListViews: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Views"
        },
        Search: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Resources"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/resourceexplorer2.js
var require_resourceexplorer2 = __commonJS({
  "node_modules/aws-sdk/clients/resourceexplorer2.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["resourceexplorer2"] = {};
    AWS2.ResourceExplorer2 = Service.defineService("resourceexplorer2", ["2022-07-28"]);
    Object.defineProperty(apiLoader.services["resourceexplorer2"], "2022-07-28", {
      get: function get() {
        var model = require_resource_explorer_2_2022_07_28_min();
        model.paginators = require_resource_explorer_2_2022_07_28_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ResourceExplorer2;
  }
});

// node_modules/aws-sdk/apis/scheduler-2021-06-30.min.json
var require_scheduler_2021_06_30_min = __commonJS({
  "node_modules/aws-sdk/apis/scheduler-2021-06-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-06-30",
        endpointPrefix: "scheduler",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon EventBridge Scheduler",
        serviceId: "Scheduler",
        signatureVersion: "v4",
        signingName: "scheduler",
        uid: "scheduler-2021-06-30"
      },
      operations: {
        CreateSchedule: {
          http: {
            requestUri: "/schedules/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FlexibleTimeWindow",
              "Name",
              "ScheduleExpression",
              "Target"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              Description: {},
              EndDate: {
                type: "timestamp"
              },
              FlexibleTimeWindow: {
                shape: "S5"
              },
              GroupName: {},
              KmsKeyArn: {},
              Name: {
                location: "uri",
                locationName: "Name"
              },
              ScheduleExpression: {},
              ScheduleExpressionTimezone: {},
              StartDate: {
                type: "timestamp"
              },
              State: {},
              Target: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ScheduleArn"
            ],
            members: {
              ScheduleArn: {}
            }
          },
          idempotent: true
        },
        CreateScheduleGroup: {
          http: {
            requestUri: "/schedule-groups/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              Name: {
                location: "uri",
                locationName: "Name"
              },
              Tags: {
                shape: "S21"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ScheduleGroupArn"
            ],
            members: {
              ScheduleGroupArn: {}
            }
          },
          idempotent: true
        },
        DeleteSchedule: {
          http: {
            method: "DELETE",
            requestUri: "/schedules/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              },
              GroupName: {
                location: "querystring",
                locationName: "groupName"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteScheduleGroup: {
          http: {
            method: "DELETE",
            requestUri: "/schedule-groups/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true,
                location: "querystring",
                locationName: "clientToken"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetSchedule: {
          http: {
            method: "GET",
            requestUri: "/schedules/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              GroupName: {
                location: "querystring",
                locationName: "groupName"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationDate: {
                type: "timestamp"
              },
              Description: {},
              EndDate: {
                type: "timestamp"
              },
              FlexibleTimeWindow: {
                shape: "S5"
              },
              GroupName: {},
              KmsKeyArn: {},
              LastModificationDate: {
                type: "timestamp"
              },
              Name: {},
              ScheduleExpression: {},
              ScheduleExpressionTimezone: {},
              StartDate: {
                type: "timestamp"
              },
              State: {},
              Target: {
                shape: "Sf"
              }
            }
          }
        },
        GetScheduleGroup: {
          http: {
            method: "GET",
            requestUri: "/schedule-groups/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationDate: {
                type: "timestamp"
              },
              LastModificationDate: {
                type: "timestamp"
              },
              Name: {},
              State: {}
            }
          }
        },
        ListScheduleGroups: {
          http: {
            method: "GET",
            requestUri: "/schedule-groups",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NamePrefix: {
                location: "querystring",
                locationName: "NamePrefix"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ScheduleGroups"
            ],
            members: {
              NextToken: {},
              ScheduleGroups: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    CreationDate: {
                      type: "timestamp"
                    },
                    LastModificationDate: {
                      type: "timestamp"
                    },
                    Name: {},
                    State: {}
                  }
                }
              }
            }
          }
        },
        ListSchedules: {
          http: {
            method: "GET",
            requestUri: "/schedules",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              GroupName: {
                location: "querystring",
                locationName: "ScheduleGroup"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NamePrefix: {
                location: "querystring",
                locationName: "NamePrefix"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              State: {
                location: "querystring",
                locationName: "State"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Schedules"
            ],
            members: {
              NextToken: {},
              Schedules: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    CreationDate: {
                      type: "timestamp"
                    },
                    GroupName: {},
                    LastModificationDate: {
                      type: "timestamp"
                    },
                    Name: {},
                    State: {},
                    Target: {
                      type: "structure",
                      required: [
                        "Arn"
                      ],
                      members: {
                        Arn: {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S21"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "S21"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "TagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateSchedule: {
          http: {
            method: "PUT",
            requestUri: "/schedules/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "FlexibleTimeWindow",
              "Name",
              "ScheduleExpression",
              "Target"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              Description: {},
              EndDate: {
                type: "timestamp"
              },
              FlexibleTimeWindow: {
                shape: "S5"
              },
              GroupName: {},
              KmsKeyArn: {},
              Name: {
                location: "uri",
                locationName: "Name"
              },
              ScheduleExpression: {},
              ScheduleExpressionTimezone: {},
              StartDate: {
                type: "timestamp"
              },
              State: {},
              Target: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ScheduleArn"
            ],
            members: {
              ScheduleArn: {}
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S5: {
          type: "structure",
          required: [
            "Mode"
          ],
          members: {
            MaximumWindowInMinutes: {
              type: "integer"
            },
            Mode: {}
          }
        },
        Sf: {
          type: "structure",
          required: [
            "Arn",
            "RoleArn"
          ],
          members: {
            Arn: {},
            DeadLetterConfig: {
              type: "structure",
              members: {
                Arn: {}
              }
            },
            EcsParameters: {
              type: "structure",
              required: [
                "TaskDefinitionArn"
              ],
              members: {
                CapacityProviderStrategy: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "capacityProvider"
                    ],
                    members: {
                      base: {
                        type: "integer"
                      },
                      capacityProvider: {},
                      weight: {
                        type: "integer"
                      }
                    }
                  }
                },
                EnableECSManagedTags: {
                  type: "boolean"
                },
                EnableExecuteCommand: {
                  type: "boolean"
                },
                Group: {},
                LaunchType: {},
                NetworkConfiguration: {
                  type: "structure",
                  members: {
                    awsvpcConfiguration: {
                      type: "structure",
                      required: [
                        "Subnets"
                      ],
                      members: {
                        AssignPublicIp: {},
                        SecurityGroups: {
                          type: "list",
                          member: {}
                        },
                        Subnets: {
                          type: "list",
                          member: {}
                        }
                      }
                    }
                  }
                },
                PlacementConstraints: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      expression: {},
                      type: {}
                    }
                  }
                },
                PlacementStrategy: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      field: {},
                      type: {}
                    }
                  }
                },
                PlatformVersion: {},
                PropagateTags: {},
                ReferenceId: {},
                Tags: {
                  type: "list",
                  member: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                },
                TaskCount: {
                  type: "integer"
                },
                TaskDefinitionArn: {}
              }
            },
            EventBridgeParameters: {
              type: "structure",
              required: [
                "DetailType",
                "Source"
              ],
              members: {
                DetailType: {},
                Source: {}
              }
            },
            Input: {},
            KinesisParameters: {
              type: "structure",
              required: [
                "PartitionKey"
              ],
              members: {
                PartitionKey: {}
              }
            },
            RetryPolicy: {
              type: "structure",
              members: {
                MaximumEventAgeInSeconds: {
                  type: "integer"
                },
                MaximumRetryAttempts: {
                  type: "integer"
                }
              }
            },
            RoleArn: {},
            SageMakerPipelineParameters: {
              type: "structure",
              members: {
                PipelineParameterList: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "Name",
                      "Value"
                    ],
                    members: {
                      Name: {},
                      Value: {}
                    }
                  }
                }
              }
            },
            SqsParameters: {
              type: "structure",
              members: {
                MessageGroupId: {}
              }
            }
          }
        },
        S21: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/scheduler-2021-06-30.paginators.json
var require_scheduler_2021_06_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/scheduler-2021-06-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListScheduleGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "ScheduleGroups"
        },
        ListSchedules: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Schedules"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/scheduler.js
var require_scheduler = __commonJS({
  "node_modules/aws-sdk/clients/scheduler.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["scheduler"] = {};
    AWS2.Scheduler = Service.defineService("scheduler", ["2021-06-30"]);
    Object.defineProperty(apiLoader.services["scheduler"], "2021-06-30", {
      get: function get() {
        var model = require_scheduler_2021_06_30_min();
        model.paginators = require_scheduler_2021_06_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Scheduler;
  }
});

// node_modules/aws-sdk/apis/chime-sdk-voice-2022-08-03.min.json
var require_chime_sdk_voice_2022_08_03_min = __commonJS({
  "node_modules/aws-sdk/apis/chime-sdk-voice-2022-08-03.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-08-03",
        endpointPrefix: "voice-chime",
        protocol: "rest-json",
        serviceFullName: "Amazon Chime SDK Voice",
        serviceId: "Chime SDK Voice",
        signatureVersion: "v4",
        signingName: "chime",
        uid: "chime-sdk-voice-2022-08-03"
      },
      operations: {
        AssociatePhoneNumbersWithVoiceConnector: {
          http: {
            requestUri: "/voice-connectors/{voiceConnectorId}?operation=associate-phone-numbers",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "E164PhoneNumbers"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              E164PhoneNumbers: {
                shape: "S3"
              },
              ForceAssociate: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberErrors: {
                shape: "S7"
              }
            }
          }
        },
        AssociatePhoneNumbersWithVoiceConnectorGroup: {
          http: {
            requestUri: "/voice-connector-groups/{voiceConnectorGroupId}?operation=associate-phone-numbers",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorGroupId",
              "E164PhoneNumbers"
            ],
            members: {
              VoiceConnectorGroupId: {
                location: "uri",
                locationName: "voiceConnectorGroupId"
              },
              E164PhoneNumbers: {
                shape: "S3"
              },
              ForceAssociate: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberErrors: {
                shape: "S7"
              }
            }
          }
        },
        BatchDeletePhoneNumber: {
          http: {
            requestUri: "/phone-numbers?operation=batch-delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberIds"
            ],
            members: {
              PhoneNumberIds: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberErrors: {
                shape: "S7"
              }
            }
          }
        },
        BatchUpdatePhoneNumber: {
          http: {
            requestUri: "/phone-numbers?operation=batch-update",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "UpdatePhoneNumberRequestItems"
            ],
            members: {
              UpdatePhoneNumberRequestItems: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "PhoneNumberId"
                  ],
                  members: {
                    PhoneNumberId: {
                      shape: "S9"
                    },
                    ProductType: {},
                    CallingName: {
                      shape: "Sl"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberErrors: {
                shape: "S7"
              }
            }
          }
        },
        CreatePhoneNumberOrder: {
          http: {
            requestUri: "/phone-number-orders",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ProductType",
              "E164PhoneNumbers"
            ],
            members: {
              ProductType: {},
              E164PhoneNumbers: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberOrder: {
                shape: "Sp"
              }
            }
          }
        },
        CreateProxySession: {
          http: {
            requestUri: "/voice-connectors/{voiceConnectorId}/proxy-sessions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "ParticipantPhoneNumbers",
              "Capabilities",
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              ParticipantPhoneNumbers: {
                type: "list",
                member: {
                  shape: "S4"
                }
              },
              Name: {
                type: "string",
                sensitive: true
              },
              ExpiryMinutes: {
                type: "integer"
              },
              Capabilities: {
                shape: "S12"
              },
              NumberSelectionBehavior: {},
              GeoMatchLevel: {},
              GeoMatchParams: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProxySession: {
                shape: "S1a"
              }
            }
          }
        },
        CreateSipMediaApplication: {
          http: {
            requestUri: "/sip-media-applications",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "AwsRegion",
              "Name",
              "Endpoints"
            ],
            members: {
              AwsRegion: {},
              Name: {},
              Endpoints: {
                shape: "S1h"
              },
              Tags: {
                shape: "S1k"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplication: {
                shape: "S1p"
              }
            }
          }
        },
        CreateSipMediaApplicationCall: {
          http: {
            requestUri: "/sip-media-applications/{sipMediaApplicationId}/calls",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "FromPhoneNumber",
              "ToPhoneNumber",
              "SipMediaApplicationId"
            ],
            members: {
              FromPhoneNumber: {
                shape: "S4"
              },
              ToPhoneNumber: {
                shape: "S4"
              },
              SipMediaApplicationId: {
                location: "uri",
                locationName: "sipMediaApplicationId"
              },
              SipHeaders: {
                type: "map",
                key: {
                  shape: "S1s"
                },
                value: {
                  shape: "S1s"
                }
              },
              ArgumentsMap: {
                type: "map",
                key: {
                  shape: "S1s"
                },
                value: {
                  shape: "S1s"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplicationCall: {
                shape: "S1v"
              }
            }
          }
        },
        CreateSipRule: {
          http: {
            requestUri: "/sip-rules",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "TriggerType",
              "TriggerValue"
            ],
            members: {
              Name: {},
              TriggerType: {},
              TriggerValue: {},
              Disabled: {
                type: "boolean"
              },
              TargetApplications: {
                shape: "S1z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipRule: {
                shape: "S23"
              }
            }
          }
        },
        CreateVoiceConnector: {
          http: {
            requestUri: "/voice-connectors",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "RequireEncryption"
            ],
            members: {
              Name: {},
              AwsRegion: {},
              RequireEncryption: {
                type: "boolean"
              },
              Tags: {
                shape: "S1k"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceConnector: {
                shape: "S29"
              }
            }
          }
        },
        CreateVoiceConnectorGroup: {
          http: {
            requestUri: "/voice-connector-groups",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              VoiceConnectorItems: {
                shape: "S2c"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceConnectorGroup: {
                shape: "S2g"
              }
            }
          }
        },
        CreateVoiceProfile: {
          http: {
            requestUri: "/voice-profiles",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "SpeakerSearchTaskId"
            ],
            members: {
              SpeakerSearchTaskId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceProfile: {
                shape: "S2k"
              }
            }
          }
        },
        CreateVoiceProfileDomain: {
          http: {
            requestUri: "/voice-profile-domains",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "ServerSideEncryptionConfiguration"
            ],
            members: {
              Name: {},
              Description: {},
              ServerSideEncryptionConfiguration: {
                shape: "S2p"
              },
              ClientRequestToken: {},
              Tags: {
                shape: "S1k"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceProfileDomain: {
                shape: "S2s"
              }
            }
          }
        },
        DeletePhoneNumber: {
          http: {
            method: "DELETE",
            requestUri: "/phone-numbers/{phoneNumberId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberId"
            ],
            members: {
              PhoneNumberId: {
                shape: "S9",
                location: "uri",
                locationName: "phoneNumberId"
              }
            }
          }
        },
        DeleteProxySession: {
          http: {
            method: "DELETE",
            requestUri: "/voice-connectors/{voiceConnectorId}/proxy-sessions/{proxySessionId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "ProxySessionId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              ProxySessionId: {
                location: "uri",
                locationName: "proxySessionId"
              }
            }
          }
        },
        DeleteSipMediaApplication: {
          http: {
            method: "DELETE",
            requestUri: "/sip-media-applications/{sipMediaApplicationId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "SipMediaApplicationId"
            ],
            members: {
              SipMediaApplicationId: {
                location: "uri",
                locationName: "sipMediaApplicationId"
              }
            }
          }
        },
        DeleteSipRule: {
          http: {
            method: "DELETE",
            requestUri: "/sip-rules/{sipRuleId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "SipRuleId"
            ],
            members: {
              SipRuleId: {
                location: "uri",
                locationName: "sipRuleId"
              }
            }
          }
        },
        DeleteVoiceConnector: {
          http: {
            method: "DELETE",
            requestUri: "/voice-connectors/{voiceConnectorId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          }
        },
        DeleteVoiceConnectorEmergencyCallingConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/voice-connectors/{voiceConnectorId}/emergency-calling-configuration",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          }
        },
        DeleteVoiceConnectorGroup: {
          http: {
            method: "DELETE",
            requestUri: "/voice-connector-groups/{voiceConnectorGroupId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorGroupId"
            ],
            members: {
              VoiceConnectorGroupId: {
                location: "uri",
                locationName: "voiceConnectorGroupId"
              }
            }
          }
        },
        DeleteVoiceConnectorOrigination: {
          http: {
            method: "DELETE",
            requestUri: "/voice-connectors/{voiceConnectorId}/origination",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          }
        },
        DeleteVoiceConnectorProxy: {
          http: {
            method: "DELETE",
            requestUri: "/voice-connectors/{voiceConnectorId}/programmable-numbers/proxy",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          }
        },
        DeleteVoiceConnectorStreamingConfiguration: {
          http: {
            method: "DELETE",
            requestUri: "/voice-connectors/{voiceConnectorId}/streaming-configuration",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          }
        },
        DeleteVoiceConnectorTermination: {
          http: {
            method: "DELETE",
            requestUri: "/voice-connectors/{voiceConnectorId}/termination",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          }
        },
        DeleteVoiceConnectorTerminationCredentials: {
          http: {
            requestUri: "/voice-connectors/{voiceConnectorId}/termination/credentials?operation=delete",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "Usernames",
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              Usernames: {
                shape: "S35"
              }
            }
          }
        },
        DeleteVoiceProfile: {
          http: {
            method: "DELETE",
            requestUri: "/voice-profiles/{VoiceProfileId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceProfileId"
            ],
            members: {
              VoiceProfileId: {
                location: "uri",
                locationName: "VoiceProfileId"
              }
            }
          }
        },
        DeleteVoiceProfileDomain: {
          http: {
            method: "DELETE",
            requestUri: "/voice-profile-domains/{VoiceProfileDomainId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceProfileDomainId"
            ],
            members: {
              VoiceProfileDomainId: {
                location: "uri",
                locationName: "VoiceProfileDomainId"
              }
            }
          }
        },
        DisassociatePhoneNumbersFromVoiceConnector: {
          http: {
            requestUri: "/voice-connectors/{voiceConnectorId}?operation=disassociate-phone-numbers",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "E164PhoneNumbers"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              E164PhoneNumbers: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberErrors: {
                shape: "S7"
              }
            }
          }
        },
        DisassociatePhoneNumbersFromVoiceConnectorGroup: {
          http: {
            requestUri: "/voice-connector-groups/{voiceConnectorGroupId}?operation=disassociate-phone-numbers",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorGroupId",
              "E164PhoneNumbers"
            ],
            members: {
              VoiceConnectorGroupId: {
                location: "uri",
                locationName: "voiceConnectorGroupId"
              },
              E164PhoneNumbers: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberErrors: {
                shape: "S7"
              }
            }
          }
        },
        GetGlobalSettings: {
          http: {
            method: "GET",
            requestUri: "/settings",
            responseCode: 200
          },
          output: {
            type: "structure",
            members: {
              VoiceConnector: {
                shape: "S3d"
              }
            }
          }
        },
        GetPhoneNumber: {
          http: {
            method: "GET",
            requestUri: "/phone-numbers/{phoneNumberId}"
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberId"
            ],
            members: {
              PhoneNumberId: {
                shape: "S9",
                location: "uri",
                locationName: "phoneNumberId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumber: {
                shape: "S3g"
              }
            }
          }
        },
        GetPhoneNumberOrder: {
          http: {
            method: "GET",
            requestUri: "/phone-number-orders/{phoneNumberOrderId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberOrderId"
            ],
            members: {
              PhoneNumberOrderId: {
                location: "uri",
                locationName: "phoneNumberOrderId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberOrder: {
                shape: "Sp"
              }
            }
          }
        },
        GetPhoneNumberSettings: {
          http: {
            method: "GET",
            requestUri: "/settings/phone-number",
            responseCode: 200
          },
          output: {
            type: "structure",
            members: {
              CallingName: {
                shape: "Sl"
              },
              CallingNameUpdatedTimestamp: {
                shape: "Sw"
              }
            }
          }
        },
        GetProxySession: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/proxy-sessions/{proxySessionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "ProxySessionId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              ProxySessionId: {
                location: "uri",
                locationName: "proxySessionId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProxySession: {
                shape: "S1a"
              }
            }
          }
        },
        GetSipMediaApplication: {
          http: {
            method: "GET",
            requestUri: "/sip-media-applications/{sipMediaApplicationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SipMediaApplicationId"
            ],
            members: {
              SipMediaApplicationId: {
                location: "uri",
                locationName: "sipMediaApplicationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplication: {
                shape: "S1p"
              }
            }
          }
        },
        GetSipMediaApplicationAlexaSkillConfiguration: {
          http: {
            method: "GET",
            requestUri: "/sip-media-applications/{sipMediaApplicationId}/alexa-skill-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SipMediaApplicationId"
            ],
            members: {
              SipMediaApplicationId: {
                location: "uri",
                locationName: "sipMediaApplicationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplicationAlexaSkillConfiguration: {
                shape: "S3y"
              }
            }
          }
        },
        GetSipMediaApplicationLoggingConfiguration: {
          http: {
            method: "GET",
            requestUri: "/sip-media-applications/{sipMediaApplicationId}/logging-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SipMediaApplicationId"
            ],
            members: {
              SipMediaApplicationId: {
                location: "uri",
                locationName: "sipMediaApplicationId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplicationLoggingConfiguration: {
                shape: "S44"
              }
            }
          }
        },
        GetSipRule: {
          http: {
            method: "GET",
            requestUri: "/sip-rules/{sipRuleId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SipRuleId"
            ],
            members: {
              SipRuleId: {
                location: "uri",
                locationName: "sipRuleId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipRule: {
                shape: "S23"
              }
            }
          }
        },
        GetSpeakerSearchTask: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{VoiceConnectorId}/speaker-search-tasks/{SpeakerSearchTaskId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "SpeakerSearchTaskId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "VoiceConnectorId"
              },
              SpeakerSearchTaskId: {
                location: "uri",
                locationName: "SpeakerSearchTaskId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SpeakerSearchTask: {
                shape: "S49"
              }
            }
          }
        },
        GetVoiceConnector: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceConnector: {
                shape: "S29"
              }
            }
          }
        },
        GetVoiceConnectorEmergencyCallingConfiguration: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/emergency-calling-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EmergencyCallingConfiguration: {
                shape: "S4j"
              }
            }
          }
        },
        GetVoiceConnectorGroup: {
          http: {
            method: "GET",
            requestUri: "/voice-connector-groups/{voiceConnectorGroupId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorGroupId"
            ],
            members: {
              VoiceConnectorGroupId: {
                location: "uri",
                locationName: "voiceConnectorGroupId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceConnectorGroup: {
                shape: "S2g"
              }
            }
          }
        },
        GetVoiceConnectorLoggingConfiguration: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/logging-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LoggingConfiguration: {
                shape: "S4q"
              }
            }
          }
        },
        GetVoiceConnectorOrigination: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/origination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Origination: {
                shape: "S4t"
              }
            }
          }
        },
        GetVoiceConnectorProxy: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/programmable-numbers/proxy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Proxy: {
                shape: "S52"
              }
            }
          }
        },
        GetVoiceConnectorStreamingConfiguration: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/streaming-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingConfiguration: {
                shape: "S57"
              }
            }
          }
        },
        GetVoiceConnectorTermination: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/termination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Termination: {
                shape: "S5f"
              }
            }
          }
        },
        GetVoiceConnectorTerminationHealth: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/termination/health",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              TerminationHealth: {
                type: "structure",
                members: {
                  Timestamp: {
                    shape: "Sw"
                  },
                  Source: {}
                }
              }
            }
          }
        },
        GetVoiceProfile: {
          http: {
            method: "GET",
            requestUri: "/voice-profiles/{VoiceProfileId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceProfileId"
            ],
            members: {
              VoiceProfileId: {
                location: "uri",
                locationName: "VoiceProfileId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceProfile: {
                shape: "S2k"
              }
            }
          }
        },
        GetVoiceProfileDomain: {
          http: {
            method: "GET",
            requestUri: "/voice-profile-domains/{VoiceProfileDomainId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceProfileDomainId"
            ],
            members: {
              VoiceProfileDomainId: {
                location: "uri",
                locationName: "VoiceProfileDomainId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceProfileDomain: {
                shape: "S2s"
              }
            }
          }
        },
        GetVoiceToneAnalysisTask: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{VoiceConnectorId}/voice-tone-analysis-tasks/{VoiceToneAnalysisTaskId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "VoiceToneAnalysisTaskId",
              "IsCaller"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "VoiceConnectorId"
              },
              VoiceToneAnalysisTaskId: {
                location: "uri",
                locationName: "VoiceToneAnalysisTaskId"
              },
              IsCaller: {
                location: "querystring",
                locationName: "isCaller",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceToneAnalysisTask: {
                shape: "S5s"
              }
            }
          }
        },
        ListAvailableVoiceConnectorRegions: {
          http: {
            method: "GET",
            requestUri: "/voice-connector-regions",
            responseCode: 200
          },
          output: {
            type: "structure",
            members: {
              VoiceConnectorRegions: {
                type: "list",
                member: {}
              }
            }
          }
        },
        ListPhoneNumberOrders: {
          http: {
            method: "GET",
            requestUri: "/phone-number-orders",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberOrders: {
                type: "list",
                member: {
                  shape: "Sp"
                }
              },
              NextToken: {}
            }
          }
        },
        ListPhoneNumbers: {
          http: {
            method: "GET",
            requestUri: "/phone-numbers"
          },
          input: {
            type: "structure",
            members: {
              Status: {
                location: "querystring",
                locationName: "status"
              },
              ProductType: {
                location: "querystring",
                locationName: "product-type"
              },
              FilterName: {
                location: "querystring",
                locationName: "filter-name"
              },
              FilterValue: {
                location: "querystring",
                locationName: "filter-value"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumbers: {
                type: "list",
                member: {
                  shape: "S3g"
                }
              },
              NextToken: {}
            }
          }
        },
        ListProxySessions: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/proxy-sessions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              Status: {
                location: "querystring",
                locationName: "status"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProxySessions: {
                type: "list",
                member: {
                  shape: "S1a"
                }
              },
              NextToken: {}
            }
          }
        },
        ListSipMediaApplications: {
          http: {
            method: "GET",
            requestUri: "/sip-media-applications",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplications: {
                type: "list",
                member: {
                  shape: "S1p"
                }
              },
              NextToken: {}
            }
          }
        },
        ListSipRules: {
          http: {
            method: "GET",
            requestUri: "/sip-rules",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              SipMediaApplicationId: {
                location: "querystring",
                locationName: "sip-media-application"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipRules: {
                type: "list",
                member: {
                  shape: "S23"
                }
              },
              NextToken: {}
            }
          }
        },
        ListSupportedPhoneNumberCountries: {
          http: {
            method: "GET",
            requestUri: "/phone-number-countries",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ProductType"
            ],
            members: {
              ProductType: {
                location: "querystring",
                locationName: "product-type"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumberCountries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    CountryCode: {},
                    SupportedPhoneNumberTypes: {
                      type: "list",
                      member: {}
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags"
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {
                shape: "S2l",
                location: "querystring",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S1k"
              }
            }
          }
        },
        ListVoiceConnectorGroups: {
          http: {
            method: "GET",
            requestUri: "/voice-connector-groups",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceConnectorGroups: {
                type: "list",
                member: {
                  shape: "S2g"
                }
              },
              NextToken: {}
            }
          }
        },
        ListVoiceConnectorTerminationCredentials: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors/{voiceConnectorId}/termination/credentials",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Usernames: {
                shape: "S35"
              }
            }
          }
        },
        ListVoiceConnectors: {
          http: {
            method: "GET",
            requestUri: "/voice-connectors",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceConnectors: {
                type: "list",
                member: {
                  shape: "S29"
                }
              },
              NextToken: {}
            }
          }
        },
        ListVoiceProfileDomains: {
          http: {
            method: "GET",
            requestUri: "/voice-profile-domains",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceProfileDomains: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VoiceProfileDomainId: {},
                    VoiceProfileDomainArn: {
                      shape: "S2l"
                    },
                    Name: {},
                    Description: {},
                    CreatedTimestamp: {
                      shape: "Sw"
                    },
                    UpdatedTimestamp: {
                      shape: "Sw"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListVoiceProfiles: {
          http: {
            method: "GET",
            requestUri: "/voice-profiles",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceProfileDomainId"
            ],
            members: {
              VoiceProfileDomainId: {
                location: "querystring",
                locationName: "voice-profile-domain-id"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceProfiles: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    VoiceProfileId: {},
                    VoiceProfileArn: {
                      shape: "S2l"
                    },
                    VoiceProfileDomainId: {},
                    CreatedTimestamp: {
                      shape: "Sw"
                    },
                    UpdatedTimestamp: {
                      shape: "Sw"
                    },
                    ExpirationTimestamp: {
                      shape: "Sw"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        PutSipMediaApplicationAlexaSkillConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/sip-media-applications/{sipMediaApplicationId}/alexa-skill-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SipMediaApplicationId"
            ],
            members: {
              SipMediaApplicationId: {
                location: "uri",
                locationName: "sipMediaApplicationId"
              },
              SipMediaApplicationAlexaSkillConfiguration: {
                shape: "S3y"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplicationAlexaSkillConfiguration: {
                shape: "S3y"
              }
            }
          }
        },
        PutSipMediaApplicationLoggingConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/sip-media-applications/{sipMediaApplicationId}/logging-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SipMediaApplicationId"
            ],
            members: {
              SipMediaApplicationId: {
                location: "uri",
                locationName: "sipMediaApplicationId"
              },
              SipMediaApplicationLoggingConfiguration: {
                shape: "S44"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplicationLoggingConfiguration: {
                shape: "S44"
              }
            }
          }
        },
        PutVoiceConnectorEmergencyCallingConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/voice-connectors/{voiceConnectorId}/emergency-calling-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "EmergencyCallingConfiguration"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              EmergencyCallingConfiguration: {
                shape: "S4j"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              EmergencyCallingConfiguration: {
                shape: "S4j"
              }
            }
          }
        },
        PutVoiceConnectorLoggingConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/voice-connectors/{voiceConnectorId}/logging-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "LoggingConfiguration"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              LoggingConfiguration: {
                shape: "S4q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              LoggingConfiguration: {
                shape: "S4q"
              }
            }
          }
        },
        PutVoiceConnectorOrigination: {
          http: {
            method: "PUT",
            requestUri: "/voice-connectors/{voiceConnectorId}/origination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "Origination"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              Origination: {
                shape: "S4t"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Origination: {
                shape: "S4t"
              }
            }
          }
        },
        PutVoiceConnectorProxy: {
          http: {
            method: "PUT",
            requestUri: "/voice-connectors/{voiceConnectorId}/programmable-numbers/proxy"
          },
          input: {
            type: "structure",
            required: [
              "DefaultSessionExpiryMinutes",
              "PhoneNumberPoolCountries",
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              DefaultSessionExpiryMinutes: {
                type: "integer"
              },
              PhoneNumberPoolCountries: {
                type: "list",
                member: {}
              },
              FallBackPhoneNumber: {
                shape: "S4"
              },
              Disabled: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Proxy: {
                shape: "S52"
              }
            }
          }
        },
        PutVoiceConnectorStreamingConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/voice-connectors/{voiceConnectorId}/streaming-configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "StreamingConfiguration"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              StreamingConfiguration: {
                shape: "S57"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              StreamingConfiguration: {
                shape: "S57"
              }
            }
          }
        },
        PutVoiceConnectorTermination: {
          http: {
            method: "PUT",
            requestUri: "/voice-connectors/{voiceConnectorId}/termination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "Termination"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              Termination: {
                shape: "S5f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Termination: {
                shape: "S5f"
              }
            }
          }
        },
        PutVoiceConnectorTerminationCredentials: {
          http: {
            requestUri: "/voice-connectors/{voiceConnectorId}/termination/credentials?operation=put",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              Credentials: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Username: {
                      shape: "S1s"
                    },
                    Password: {
                      shape: "S1s"
                    }
                  }
                }
              }
            }
          }
        },
        RestorePhoneNumber: {
          http: {
            requestUri: "/phone-numbers/{phoneNumberId}?operation=restore",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberId"
            ],
            members: {
              PhoneNumberId: {
                shape: "S9",
                location: "uri",
                locationName: "phoneNumberId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumber: {
                shape: "S3g"
              }
            }
          }
        },
        SearchAvailablePhoneNumbers: {
          http: {
            method: "GET",
            requestUri: "/search?type=phone-numbers"
          },
          input: {
            type: "structure",
            members: {
              AreaCode: {
                location: "querystring",
                locationName: "area-code"
              },
              City: {
                location: "querystring",
                locationName: "city"
              },
              Country: {
                location: "querystring",
                locationName: "country"
              },
              State: {
                location: "querystring",
                locationName: "state"
              },
              TollFreePrefix: {
                location: "querystring",
                locationName: "toll-free-prefix"
              },
              PhoneNumberType: {
                location: "querystring",
                locationName: "phone-number-type"
              },
              MaxResults: {
                location: "querystring",
                locationName: "max-results",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "next-token"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              E164PhoneNumbers: {
                shape: "S3"
              },
              NextToken: {}
            }
          }
        },
        StartSpeakerSearchTask: {
          http: {
            requestUri: "/voice-connectors/{VoiceConnectorId}/speaker-search-tasks",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "TransactionId",
              "VoiceProfileDomainId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "VoiceConnectorId"
              },
              TransactionId: {},
              VoiceProfileDomainId: {},
              ClientRequestToken: {},
              CallLeg: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SpeakerSearchTask: {
                shape: "S49"
              }
            }
          }
        },
        StartVoiceToneAnalysisTask: {
          http: {
            requestUri: "/voice-connectors/{VoiceConnectorId}/voice-tone-analysis-tasks",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "TransactionId",
              "LanguageCode"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "VoiceConnectorId"
              },
              TransactionId: {},
              LanguageCode: {},
              ClientRequestToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceToneAnalysisTask: {
                shape: "S5s"
              }
            }
          }
        },
        StopSpeakerSearchTask: {
          http: {
            requestUri: "/voice-connectors/{VoiceConnectorId}/speaker-search-tasks/{SpeakerSearchTaskId}?operation=stop",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "SpeakerSearchTaskId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "VoiceConnectorId"
              },
              SpeakerSearchTaskId: {
                location: "uri",
                locationName: "SpeakerSearchTaskId"
              }
            }
          }
        },
        StopVoiceToneAnalysisTask: {
          http: {
            requestUri: "/voice-connectors/{VoiceConnectorId}/voice-tone-analysis-tasks/{VoiceToneAnalysisTaskId}?operation=stop",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "VoiceToneAnalysisTaskId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "VoiceConnectorId"
              },
              VoiceToneAnalysisTaskId: {
                location: "uri",
                locationName: "VoiceToneAnalysisTaskId"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags?operation=tag-resource",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {
                shape: "S2l"
              },
              Tags: {
                shape: "S1k"
              }
            }
          }
        },
        UntagResource: {
          http: {
            requestUri: "/tags?operation=untag-resource",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {
                shape: "S2l"
              },
              TagKeys: {
                type: "list",
                member: {
                  shape: "S1m"
                }
              }
            }
          }
        },
        UpdateGlobalSettings: {
          http: {
            method: "PUT",
            requestUri: "/settings",
            responseCode: 204
          },
          input: {
            type: "structure",
            members: {
              VoiceConnector: {
                shape: "S3d"
              }
            }
          }
        },
        UpdatePhoneNumber: {
          http: {
            requestUri: "/phone-numbers/{phoneNumberId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "PhoneNumberId"
            ],
            members: {
              PhoneNumberId: {
                shape: "S9",
                location: "uri",
                locationName: "phoneNumberId"
              },
              ProductType: {},
              CallingName: {
                shape: "Sl"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              PhoneNumber: {
                shape: "S3g"
              }
            }
          }
        },
        UpdatePhoneNumberSettings: {
          http: {
            method: "PUT",
            requestUri: "/settings/phone-number",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "CallingName"
            ],
            members: {
              CallingName: {
                shape: "Sl"
              }
            }
          }
        },
        UpdateProxySession: {
          http: {
            requestUri: "/voice-connectors/{voiceConnectorId}/proxy-sessions/{proxySessionId}",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "Capabilities",
              "VoiceConnectorId",
              "ProxySessionId"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              ProxySessionId: {
                location: "uri",
                locationName: "proxySessionId"
              },
              Capabilities: {
                shape: "S12"
              },
              ExpiryMinutes: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ProxySession: {
                shape: "S1a"
              }
            }
          }
        },
        UpdateSipMediaApplication: {
          http: {
            method: "PUT",
            requestUri: "/sip-media-applications/{sipMediaApplicationId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SipMediaApplicationId"
            ],
            members: {
              SipMediaApplicationId: {
                location: "uri",
                locationName: "sipMediaApplicationId"
              },
              Name: {},
              Endpoints: {
                shape: "S1h"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplication: {
                shape: "S1p"
              }
            }
          }
        },
        UpdateSipMediaApplicationCall: {
          http: {
            requestUri: "/sip-media-applications/{sipMediaApplicationId}/calls/{transactionId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "SipMediaApplicationId",
              "TransactionId",
              "Arguments"
            ],
            members: {
              SipMediaApplicationId: {
                location: "uri",
                locationName: "sipMediaApplicationId"
              },
              TransactionId: {
                location: "uri",
                locationName: "transactionId"
              },
              Arguments: {
                type: "map",
                key: {
                  shape: "S1s"
                },
                value: {
                  shape: "S1s"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipMediaApplicationCall: {
                shape: "S1v"
              }
            }
          }
        },
        UpdateSipRule: {
          http: {
            method: "PUT",
            requestUri: "/sip-rules/{sipRuleId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "SipRuleId",
              "Name"
            ],
            members: {
              SipRuleId: {
                location: "uri",
                locationName: "sipRuleId"
              },
              Name: {},
              Disabled: {
                type: "boolean"
              },
              TargetApplications: {
                shape: "S1z"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SipRule: {
                shape: "S23"
              }
            }
          }
        },
        UpdateVoiceConnector: {
          http: {
            method: "PUT",
            requestUri: "/voice-connectors/{voiceConnectorId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "Name",
              "RequireEncryption"
            ],
            members: {
              VoiceConnectorId: {
                location: "uri",
                locationName: "voiceConnectorId"
              },
              Name: {},
              RequireEncryption: {
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceConnector: {
                shape: "S29"
              }
            }
          }
        },
        UpdateVoiceConnectorGroup: {
          http: {
            method: "PUT",
            requestUri: "/voice-connector-groups/{voiceConnectorGroupId}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "VoiceConnectorGroupId",
              "Name",
              "VoiceConnectorItems"
            ],
            members: {
              VoiceConnectorGroupId: {
                location: "uri",
                locationName: "voiceConnectorGroupId"
              },
              Name: {},
              VoiceConnectorItems: {
                shape: "S2c"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceConnectorGroup: {
                shape: "S2g"
              }
            }
          }
        },
        UpdateVoiceProfile: {
          http: {
            method: "PUT",
            requestUri: "/voice-profiles/{VoiceProfileId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceProfileId",
              "SpeakerSearchTaskId"
            ],
            members: {
              VoiceProfileId: {
                location: "uri",
                locationName: "VoiceProfileId"
              },
              SpeakerSearchTaskId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceProfile: {
                shape: "S2k"
              }
            }
          }
        },
        UpdateVoiceProfileDomain: {
          http: {
            method: "PUT",
            requestUri: "/voice-profile-domains/{VoiceProfileDomainId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "VoiceProfileDomainId"
            ],
            members: {
              VoiceProfileDomainId: {
                location: "uri",
                locationName: "VoiceProfileDomainId"
              },
              Name: {},
              Description: {}
            }
          },
          output: {
            type: "structure",
            members: {
              VoiceProfileDomain: {
                shape: "S2s"
              }
            }
          }
        },
        ValidateE911Address: {
          http: {
            requestUri: "/emergency-calling/address",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "AwsAccountId",
              "StreetNumber",
              "StreetInfo",
              "City",
              "State",
              "Country",
              "PostalCode"
            ],
            members: {
              AwsAccountId: {},
              StreetNumber: {
                shape: "S9"
              },
              StreetInfo: {
                shape: "S9"
              },
              City: {
                shape: "S9"
              },
              State: {
                shape: "S9"
              },
              Country: {
                shape: "S9"
              },
              PostalCode: {
                shape: "S9"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ValidationResult: {
                type: "integer"
              },
              AddressExternalId: {},
              Address: {
                type: "structure",
                members: {
                  streetName: {
                    shape: "S9"
                  },
                  streetSuffix: {
                    shape: "S9"
                  },
                  postDirectional: {
                    shape: "S9"
                  },
                  preDirectional: {
                    shape: "S9"
                  },
                  streetNumber: {
                    shape: "S9"
                  },
                  city: {
                    shape: "S9"
                  },
                  state: {
                    shape: "S9"
                  },
                  postalCode: {
                    shape: "S9"
                  },
                  postalCodePlus4: {
                    shape: "S9"
                  },
                  country: {
                    shape: "S9"
                  }
                }
              },
              CandidateAddressList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    streetInfo: {
                      shape: "S9"
                    },
                    streetNumber: {
                      shape: "S9"
                    },
                    city: {
                      shape: "S9"
                    },
                    state: {
                      shape: "S9"
                    },
                    postalCode: {
                      shape: "S9"
                    },
                    postalCodePlus4: {
                      shape: "S9"
                    },
                    country: {
                      shape: "S9"
                    }
                  }
                }
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {
            shape: "S4"
          }
        },
        S4: {
          type: "string",
          sensitive: true
        },
        S7: {
          type: "list",
          member: {
            type: "structure",
            members: {
              PhoneNumberId: {
                shape: "S9"
              },
              ErrorCode: {},
              ErrorMessage: {}
            }
          }
        },
        S9: {
          type: "string",
          sensitive: true
        },
        Sl: {
          type: "string",
          sensitive: true
        },
        Sp: {
          type: "structure",
          members: {
            PhoneNumberOrderId: {},
            ProductType: {},
            Status: {},
            OrderType: {},
            OrderedPhoneNumbers: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  E164PhoneNumber: {
                    shape: "S4"
                  },
                  Status: {}
                }
              }
            },
            CreatedTimestamp: {
              shape: "Sw"
            },
            UpdatedTimestamp: {
              shape: "Sw"
            }
          }
        },
        Sw: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S12: {
          type: "list",
          member: {}
        },
        S16: {
          type: "structure",
          required: [
            "Country",
            "AreaCode"
          ],
          members: {
            Country: {},
            AreaCode: {}
          }
        },
        S1a: {
          type: "structure",
          members: {
            VoiceConnectorId: {},
            ProxySessionId: {},
            Name: {},
            Status: {},
            ExpiryMinutes: {
              type: "integer"
            },
            Capabilities: {
              shape: "S12"
            },
            CreatedTimestamp: {
              shape: "Sw"
            },
            UpdatedTimestamp: {
              shape: "Sw"
            },
            EndedTimestamp: {
              shape: "Sw"
            },
            Participants: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  PhoneNumber: {
                    shape: "S4"
                  },
                  ProxyPhoneNumber: {
                    shape: "S4"
                  }
                }
              }
            },
            NumberSelectionBehavior: {},
            GeoMatchLevel: {},
            GeoMatchParams: {
              shape: "S16"
            }
          }
        },
        S1h: {
          type: "list",
          member: {
            type: "structure",
            members: {
              LambdaArn: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        S1k: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {
                shape: "S1m"
              },
              Value: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        S1m: {
          type: "string",
          sensitive: true
        },
        S1p: {
          type: "structure",
          members: {
            SipMediaApplicationId: {},
            AwsRegion: {},
            Name: {},
            Endpoints: {
              shape: "S1h"
            },
            CreatedTimestamp: {
              shape: "Sw"
            },
            UpdatedTimestamp: {
              shape: "Sw"
            },
            SipMediaApplicationArn: {}
          }
        },
        S1s: {
          type: "string",
          sensitive: true
        },
        S1v: {
          type: "structure",
          members: {
            TransactionId: {}
          }
        },
        S1z: {
          type: "list",
          member: {
            type: "structure",
            members: {
              SipMediaApplicationId: {},
              Priority: {
                type: "integer"
              },
              AwsRegion: {}
            }
          }
        },
        S23: {
          type: "structure",
          members: {
            SipRuleId: {},
            Name: {},
            Disabled: {
              type: "boolean"
            },
            TriggerType: {},
            TriggerValue: {},
            TargetApplications: {
              shape: "S1z"
            },
            CreatedTimestamp: {
              shape: "Sw"
            },
            UpdatedTimestamp: {
              shape: "Sw"
            }
          }
        },
        S29: {
          type: "structure",
          members: {
            VoiceConnectorId: {},
            AwsRegion: {},
            Name: {},
            OutboundHostName: {},
            RequireEncryption: {
              type: "boolean"
            },
            CreatedTimestamp: {
              shape: "Sw"
            },
            UpdatedTimestamp: {
              shape: "Sw"
            },
            VoiceConnectorArn: {}
          }
        },
        S2c: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "VoiceConnectorId",
              "Priority"
            ],
            members: {
              VoiceConnectorId: {},
              Priority: {
                type: "integer"
              }
            }
          }
        },
        S2g: {
          type: "structure",
          members: {
            VoiceConnectorGroupId: {},
            Name: {},
            VoiceConnectorItems: {
              shape: "S2c"
            },
            CreatedTimestamp: {
              shape: "Sw"
            },
            UpdatedTimestamp: {
              shape: "Sw"
            },
            VoiceConnectorGroupArn: {}
          }
        },
        S2k: {
          type: "structure",
          members: {
            VoiceProfileId: {},
            VoiceProfileArn: {
              shape: "S2l"
            },
            VoiceProfileDomainId: {},
            CreatedTimestamp: {
              shape: "Sw"
            },
            UpdatedTimestamp: {
              shape: "Sw"
            },
            ExpirationTimestamp: {
              shape: "Sw"
            }
          }
        },
        S2l: {
          type: "string",
          sensitive: true
        },
        S2p: {
          type: "structure",
          required: [
            "KmsKeyArn"
          ],
          members: {
            KmsKeyArn: {
              shape: "S2l"
            }
          }
        },
        S2s: {
          type: "structure",
          members: {
            VoiceProfileDomainId: {},
            VoiceProfileDomainArn: {
              shape: "S2l"
            },
            Name: {},
            Description: {},
            ServerSideEncryptionConfiguration: {
              shape: "S2p"
            },
            CreatedTimestamp: {
              shape: "Sw"
            },
            UpdatedTimestamp: {
              shape: "Sw"
            }
          }
        },
        S35: {
          type: "list",
          member: {
            shape: "S1s"
          }
        },
        S3d: {
          type: "structure",
          members: {
            CdrBucket: {}
          }
        },
        S3g: {
          type: "structure",
          members: {
            PhoneNumberId: {
              shape: "S9"
            },
            E164PhoneNumber: {
              shape: "S4"
            },
            Country: {},
            Type: {},
            ProductType: {},
            Status: {},
            Capabilities: {
              type: "structure",
              members: {
                InboundCall: {
                  type: "boolean"
                },
                OutboundCall: {
                  type: "boolean"
                },
                InboundSMS: {
                  type: "boolean"
                },
                OutboundSMS: {
                  type: "boolean"
                },
                InboundMMS: {
                  type: "boolean"
                },
                OutboundMMS: {
                  type: "boolean"
                }
              }
            },
            Associations: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Value: {},
                  Name: {},
                  AssociatedTimestamp: {
                    shape: "Sw"
                  }
                }
              }
            },
            CallingName: {
              shape: "Sl"
            },
            CallingNameStatus: {},
            CreatedTimestamp: {
              shape: "Sw"
            },
            UpdatedTimestamp: {
              shape: "Sw"
            },
            DeletionTimestamp: {
              shape: "Sw"
            },
            OrderId: {}
          }
        },
        S3y: {
          type: "structure",
          required: [
            "AlexaSkillStatus",
            "AlexaSkillIds"
          ],
          members: {
            AlexaSkillStatus: {},
            AlexaSkillIds: {
              type: "list",
              member: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        S44: {
          type: "structure",
          members: {
            EnableSipMediaApplicationMessageLogs: {
              type: "boolean"
            }
          }
        },
        S49: {
          type: "structure",
          members: {
            SpeakerSearchTaskId: {},
            SpeakerSearchTaskStatus: {},
            CallDetails: {
              shape: "S4a"
            },
            SpeakerSearchDetails: {
              type: "structure",
              members: {
                Results: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      ConfidenceScore: {
                        type: "float"
                      },
                      VoiceProfileId: {}
                    }
                  }
                },
                VoiceprintGenerationStatus: {}
              }
            },
            CreatedTimestamp: {
              shape: "Sw"
            },
            UpdatedTimestamp: {
              shape: "Sw"
            },
            StartedTimestamp: {
              shape: "Sw"
            },
            StatusMessage: {}
          }
        },
        S4a: {
          type: "structure",
          members: {
            VoiceConnectorId: {},
            TransactionId: {},
            IsCaller: {
              type: "boolean"
            }
          }
        },
        S4j: {
          type: "structure",
          members: {
            DNIS: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "EmergencyPhoneNumber",
                  "CallingCountry"
                ],
                members: {
                  EmergencyPhoneNumber: {
                    shape: "S4"
                  },
                  TestPhoneNumber: {
                    shape: "S4"
                  },
                  CallingCountry: {}
                }
              }
            }
          }
        },
        S4q: {
          type: "structure",
          members: {
            EnableSIPLogs: {
              type: "boolean"
            },
            EnableMediaMetricLogs: {
              type: "boolean"
            }
          }
        },
        S4t: {
          type: "structure",
          members: {
            Routes: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Host: {},
                  Port: {
                    type: "integer"
                  },
                  Protocol: {},
                  Priority: {
                    type: "integer"
                  },
                  Weight: {
                    type: "integer"
                  }
                }
              }
            },
            Disabled: {
              type: "boolean"
            }
          }
        },
        S52: {
          type: "structure",
          members: {
            DefaultSessionExpiryMinutes: {
              type: "integer"
            },
            Disabled: {
              type: "boolean"
            },
            FallBackPhoneNumber: {
              shape: "S4"
            },
            PhoneNumberCountries: {
              shape: "S54"
            }
          }
        },
        S54: {
          type: "list",
          member: {}
        },
        S57: {
          type: "structure",
          required: [
            "DataRetentionInHours",
            "Disabled"
          ],
          members: {
            DataRetentionInHours: {
              type: "integer"
            },
            Disabled: {
              type: "boolean"
            },
            StreamingNotificationTargets: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  NotificationTarget: {}
                }
              }
            },
            MediaInsightsConfiguration: {
              type: "structure",
              members: {
                Disabled: {
                  type: "boolean"
                },
                ConfigurationArn: {
                  shape: "S2l"
                }
              }
            }
          }
        },
        S5f: {
          type: "structure",
          members: {
            CpsLimit: {
              type: "integer"
            },
            DefaultPhoneNumber: {
              shape: "S4"
            },
            CallingRegions: {
              type: "list",
              member: {}
            },
            CidrAllowedList: {
              shape: "S54"
            },
            Disabled: {
              type: "boolean"
            }
          }
        },
        S5s: {
          type: "structure",
          members: {
            VoiceToneAnalysisTaskId: {},
            VoiceToneAnalysisTaskStatus: {},
            CallDetails: {
              shape: "S4a"
            },
            CreatedTimestamp: {
              shape: "Sw"
            },
            UpdatedTimestamp: {
              shape: "Sw"
            },
            StartedTimestamp: {
              shape: "Sw"
            },
            StatusMessage: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/chime-sdk-voice-2022-08-03.paginators.json
var require_chime_sdk_voice_2022_08_03_paginators = __commonJS({
  "node_modules/aws-sdk/apis/chime-sdk-voice-2022-08-03.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListPhoneNumberOrders: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListPhoneNumbers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListProxySessions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListSipMediaApplications: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "SipMediaApplications"
        },
        ListSipRules: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "SipRules"
        },
        ListVoiceConnectorGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListVoiceConnectors: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListVoiceProfileDomains: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListVoiceProfiles: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        SearchAvailablePhoneNumbers: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/chimesdkvoice.js
var require_chimesdkvoice = __commonJS({
  "node_modules/aws-sdk/clients/chimesdkvoice.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["chimesdkvoice"] = {};
    AWS2.ChimeSDKVoice = Service.defineService("chimesdkvoice", ["2022-08-03"]);
    Object.defineProperty(apiLoader.services["chimesdkvoice"], "2022-08-03", {
      get: function get() {
        var model = require_chime_sdk_voice_2022_08_03_min();
        model.paginators = require_chime_sdk_voice_2022_08_03_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ChimeSDKVoice;
  }
});

// node_modules/aws-sdk/apis/iot-roborunner-2018-05-10.min.json
var require_iot_roborunner_2018_05_10_min = __commonJS({
  "node_modules/aws-sdk/apis/iot-roborunner-2018-05-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-05-10",
        endpointPrefix: "iotroborunner",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS IoT RoboRunner",
        serviceId: "IoT RoboRunner",
        signatureVersion: "v4",
        signingName: "iotroborunner",
        uid: "iot-roborunner-2018-05-10"
      },
      operations: {
        CreateDestination: {
          http: {
            requestUri: "/createDestination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "site"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              name: {},
              site: {},
              state: {},
              additionalFixedProperties: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "createdAt",
              "updatedAt",
              "state"
            ],
            members: {
              arn: {},
              id: {},
              createdAt: {
                type: "timestamp"
              },
              updatedAt: {
                type: "timestamp"
              },
              state: {}
            }
          },
          idempotent: true
        },
        CreateSite: {
          http: {
            requestUri: "/createSite",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "countryCode"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              name: {},
              countryCode: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "createdAt",
              "updatedAt"
            ],
            members: {
              arn: {},
              id: {},
              createdAt: {
                type: "timestamp"
              },
              updatedAt: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        },
        CreateWorker: {
          http: {
            requestUri: "/createWorker",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "fleet"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              name: {},
              fleet: {},
              additionalTransientProperties: {},
              additionalFixedProperties: {},
              vendorProperties: {
                shape: "Sm"
              },
              position: {
                shape: "Sr"
              },
              orientation: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "createdAt",
              "updatedAt",
              "site"
            ],
            members: {
              arn: {},
              id: {},
              createdAt: {
                type: "timestamp"
              },
              updatedAt: {
                type: "timestamp"
              },
              site: {}
            }
          },
          idempotent: true
        },
        CreateWorkerFleet: {
          http: {
            requestUri: "/createWorkerFleet",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "site"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              name: {},
              site: {},
              additionalFixedProperties: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "createdAt",
              "updatedAt"
            ],
            members: {
              arn: {},
              id: {},
              createdAt: {
                type: "timestamp"
              },
              updatedAt: {
                type: "timestamp"
              }
            }
          },
          idempotent: true
        },
        DeleteDestination: {
          http: {
            requestUri: "/deleteDestination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSite: {
          http: {
            requestUri: "/deleteSite",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteWorker: {
          http: {
            requestUri: "/deleteWorker",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteWorkerFleet: {
          http: {
            requestUri: "/deleteWorkerFleet",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetDestination: {
          http: {
            method: "GET",
            requestUri: "/getDestination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "querystring",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "name",
              "site",
              "createdAt",
              "updatedAt",
              "state"
            ],
            members: {
              arn: {},
              id: {},
              name: {},
              site: {},
              createdAt: {
                type: "timestamp"
              },
              updatedAt: {
                type: "timestamp"
              },
              state: {},
              additionalFixedProperties: {}
            }
          }
        },
        GetSite: {
          http: {
            method: "GET",
            requestUri: "/getSite",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "querystring",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "name",
              "countryCode",
              "createdAt",
              "updatedAt"
            ],
            members: {
              arn: {},
              id: {},
              name: {},
              countryCode: {},
              description: {},
              createdAt: {
                type: "timestamp"
              },
              updatedAt: {
                type: "timestamp"
              }
            }
          }
        },
        GetWorker: {
          http: {
            method: "GET",
            requestUri: "/getWorker",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "querystring",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "fleet",
              "site",
              "createdAt",
              "updatedAt",
              "name"
            ],
            members: {
              arn: {},
              id: {},
              fleet: {},
              site: {},
              createdAt: {
                type: "timestamp"
              },
              updatedAt: {
                type: "timestamp"
              },
              name: {},
              additionalTransientProperties: {},
              additionalFixedProperties: {},
              vendorProperties: {
                shape: "Sm"
              },
              position: {
                shape: "Sr"
              },
              orientation: {
                shape: "Su"
              }
            }
          }
        },
        GetWorkerFleet: {
          http: {
            method: "GET",
            requestUri: "/getWorkerFleet",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "querystring",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "arn",
              "name",
              "site",
              "createdAt",
              "updatedAt"
            ],
            members: {
              id: {},
              arn: {},
              name: {},
              site: {},
              createdAt: {
                type: "timestamp"
              },
              updatedAt: {
                type: "timestamp"
              },
              additionalFixedProperties: {}
            }
          }
        },
        ListDestinations: {
          http: {
            method: "GET",
            requestUri: "/listDestinations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "site"
            ],
            members: {
              site: {
                location: "querystring",
                locationName: "site"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              state: {
                location: "querystring",
                locationName: "state"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              destinations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "id",
                    "name",
                    "site",
                    "createdAt",
                    "updatedAt",
                    "state"
                  ],
                  members: {
                    arn: {},
                    id: {},
                    name: {},
                    site: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    updatedAt: {
                      type: "timestamp"
                    },
                    state: {},
                    additionalFixedProperties: {}
                  }
                }
              }
            }
          }
        },
        ListSites: {
          http: {
            method: "GET",
            requestUri: "/listSites",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              sites: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "name",
                    "countryCode",
                    "createdAt"
                  ],
                  members: {
                    arn: {},
                    name: {},
                    countryCode: {},
                    createdAt: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListWorkerFleets: {
          http: {
            method: "GET",
            requestUri: "/listWorkerFleets",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "site"
            ],
            members: {
              site: {
                location: "querystring",
                locationName: "site"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              workerFleets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "id",
                    "name",
                    "site",
                    "createdAt",
                    "updatedAt"
                  ],
                  members: {
                    arn: {},
                    id: {},
                    name: {},
                    site: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    updatedAt: {
                      type: "timestamp"
                    },
                    additionalFixedProperties: {}
                  }
                }
              }
            }
          }
        },
        ListWorkers: {
          http: {
            method: "GET",
            requestUri: "/listWorkers",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "site"
            ],
            members: {
              site: {
                location: "querystring",
                locationName: "site"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              fleet: {
                location: "querystring",
                locationName: "fleet"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              workers: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "id",
                    "fleet",
                    "createdAt",
                    "updatedAt",
                    "name",
                    "site"
                  ],
                  members: {
                    arn: {},
                    id: {},
                    fleet: {},
                    createdAt: {
                      type: "timestamp"
                    },
                    updatedAt: {
                      type: "timestamp"
                    },
                    name: {},
                    site: {},
                    additionalTransientProperties: {},
                    additionalFixedProperties: {},
                    vendorProperties: {
                      shape: "Sm"
                    },
                    position: {
                      shape: "Sr"
                    },
                    orientation: {
                      shape: "Su"
                    }
                  }
                }
              }
            }
          }
        },
        UpdateDestination: {
          http: {
            requestUri: "/updateDestination",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {},
              name: {},
              state: {},
              additionalFixedProperties: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "name",
              "updatedAt",
              "state"
            ],
            members: {
              arn: {},
              id: {},
              name: {},
              updatedAt: {
                type: "timestamp"
              },
              state: {},
              additionalFixedProperties: {}
            }
          }
        },
        UpdateSite: {
          http: {
            requestUri: "/updateSite",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {},
              name: {},
              countryCode: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "name",
              "updatedAt"
            ],
            members: {
              arn: {},
              id: {},
              name: {},
              countryCode: {},
              description: {},
              updatedAt: {
                type: "timestamp"
              }
            }
          }
        },
        UpdateWorker: {
          http: {
            requestUri: "/updateWorker",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {},
              name: {},
              additionalTransientProperties: {},
              additionalFixedProperties: {},
              vendorProperties: {
                shape: "Sm"
              },
              position: {
                shape: "Sr"
              },
              orientation: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "fleet",
              "updatedAt",
              "name"
            ],
            members: {
              arn: {},
              id: {},
              fleet: {},
              updatedAt: {
                type: "timestamp"
              },
              name: {},
              additionalTransientProperties: {},
              additionalFixedProperties: {},
              orientation: {
                shape: "Su"
              },
              vendorProperties: {
                shape: "Sm"
              },
              position: {
                shape: "Sr"
              }
            }
          }
        },
        UpdateWorkerFleet: {
          http: {
            requestUri: "/updateWorkerFleet",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {},
              name: {},
              additionalFixedProperties: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "name",
              "updatedAt"
            ],
            members: {
              arn: {},
              id: {},
              name: {},
              updatedAt: {
                type: "timestamp"
              },
              additionalFixedProperties: {}
            }
          }
        }
      },
      shapes: {
        Sm: {
          type: "structure",
          required: [
            "vendorWorkerId"
          ],
          members: {
            vendorWorkerId: {},
            vendorWorkerIpAddress: {},
            vendorAdditionalTransientProperties: {},
            vendorAdditionalFixedProperties: {}
          }
        },
        Sr: {
          type: "structure",
          members: {
            cartesianCoordinates: {
              type: "structure",
              required: [
                "x",
                "y"
              ],
              members: {
                x: {
                  type: "double"
                },
                y: {
                  type: "double"
                },
                z: {
                  type: "double"
                }
              }
            }
          },
          union: true
        },
        Su: {
          type: "structure",
          members: {
            degrees: {
              type: "double"
            }
          },
          union: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/iot-roborunner-2018-05-10.paginators.json
var require_iot_roborunner_2018_05_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/iot-roborunner-2018-05-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListDestinations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "destinations"
        },
        ListSites: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "sites"
        },
        ListWorkerFleets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "workerFleets"
        },
        ListWorkers: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "workers"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/iotroborunner.js
var require_iotroborunner = __commonJS({
  "node_modules/aws-sdk/clients/iotroborunner.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["iotroborunner"] = {};
    AWS2.IoTRoboRunner = Service.defineService("iotroborunner", ["2018-05-10"]);
    Object.defineProperty(apiLoader.services["iotroborunner"], "2018-05-10", {
      get: function get() {
        var model = require_iot_roborunner_2018_05_10_min();
        model.paginators = require_iot_roborunner_2018_05_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IoTRoboRunner;
  }
});

// node_modules/aws-sdk/apis/ssm-sap-2018-05-10.min.json
var require_ssm_sap_2018_05_10_min = __commonJS({
  "node_modules/aws-sdk/apis/ssm-sap-2018-05-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-05-10",
        endpointPrefix: "ssm-sap",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "SsmSap",
        serviceFullName: "AWS Systems Manager for SAP",
        serviceId: "Ssm Sap",
        signatureVersion: "v4",
        signingName: "ssm-sap",
        uid: "ssm-sap-2018-05-10"
      },
      operations: {
        DeleteResourcePermission: {
          http: {
            requestUri: "/delete-resource-permission",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ActionType: {},
              SourceResourceArn: {},
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {}
            }
          }
        },
        DeregisterApplication: {
          http: {
            requestUri: "/deregister-application",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId"
            ],
            members: {
              ApplicationId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetApplication: {
          http: {
            requestUri: "/get-application",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {},
              ApplicationArn: {},
              AppRegistryArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Application: {
                shape: "Sd"
              },
              Tags: {
                shape: "Sj"
              }
            }
          }
        },
        GetComponent: {
          http: {
            requestUri: "/get-component",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "ComponentId"
            ],
            members: {
              ApplicationId: {},
              ComponentId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Component: {
                type: "structure",
                members: {
                  ComponentId: {},
                  ApplicationId: {},
                  ComponentType: {},
                  Status: {},
                  Databases: {
                    type: "list",
                    member: {}
                  },
                  Hosts: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        HostName: {},
                        HostRole: {},
                        HostIp: {},
                        InstanceId: {}
                      }
                    }
                  },
                  PrimaryHost: {},
                  LastUpdated: {
                    type: "timestamp"
                  }
                }
              }
            }
          }
        },
        GetDatabase: {
          http: {
            requestUri: "/get-database",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {},
              ComponentId: {},
              DatabaseId: {},
              DatabaseArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Database: {
                type: "structure",
                members: {
                  ApplicationId: {},
                  ComponentId: {},
                  Credentials: {
                    shape: "Sz"
                  },
                  DatabaseId: {},
                  DatabaseName: {},
                  DatabaseType: {},
                  Arn: {},
                  Status: {},
                  PrimaryHost: {},
                  SQLPort: {
                    type: "integer"
                  },
                  LastUpdated: {
                    type: "timestamp"
                  }
                }
              },
              Tags: {
                shape: "Sj"
              }
            }
          }
        },
        GetOperation: {
          http: {
            requestUri: "/get-operation",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "OperationId"
            ],
            members: {
              OperationId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Operation: {
                shape: "S1a"
              }
            }
          }
        },
        GetResourcePermission: {
          http: {
            requestUri: "/get-resource-permission",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ActionType: {},
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {}
            }
          }
        },
        ListApplications: {
          http: {
            requestUri: "/list-applications",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Applications: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Id: {},
                    Type: {},
                    Arn: {},
                    Tags: {
                      shape: "Sj"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListComponents: {
          http: {
            requestUri: "/list-components",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Components: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApplicationId: {},
                    ComponentId: {},
                    ComponentType: {},
                    Tags: {
                      shape: "Sj"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListDatabases: {
          http: {
            requestUri: "/list-databases",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ApplicationId: {},
              ComponentId: {},
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Databases: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ApplicationId: {},
                    ComponentId: {},
                    DatabaseId: {},
                    DatabaseType: {},
                    Arn: {},
                    Tags: {
                      shape: "Sj"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListOperations: {
          http: {
            requestUri: "/list-operations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId"
            ],
            members: {
              ApplicationId: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              Filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Name",
                    "Value",
                    "Operator"
                  ],
                  members: {
                    Name: {},
                    Value: {},
                    Operator: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Operations: {
                type: "list",
                member: {
                  shape: "S1a"
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sj"
              }
            }
          }
        },
        PutResourcePermission: {
          http: {
            requestUri: "/put-resource-permission",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ActionType",
              "SourceResourceArn",
              "ResourceArn"
            ],
            members: {
              ActionType: {},
              SourceResourceArn: {},
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Policy: {}
            }
          }
        },
        RegisterApplication: {
          http: {
            requestUri: "/register-application",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId",
              "ApplicationType",
              "Instances",
              "Credentials"
            ],
            members: {
              ApplicationId: {},
              ApplicationType: {},
              Instances: {
                type: "list",
                member: {}
              },
              SapInstanceNumber: {},
              Sid: {},
              Tags: {
                shape: "Sj"
              },
              Credentials: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Application: {
                shape: "Sd"
              },
              OperationId: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sj"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateApplicationSettings: {
          http: {
            requestUri: "/update-application-settings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ApplicationId"
            ],
            members: {
              ApplicationId: {},
              CredentialsToAddOrUpdate: {
                shape: "Sz"
              },
              CredentialsToRemove: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Message: {},
              OperationIds: {
                type: "list",
                member: {}
              }
            }
          }
        }
      },
      shapes: {
        Sd: {
          type: "structure",
          members: {
            Id: {},
            Type: {},
            Arn: {},
            AppRegistryArn: {},
            Status: {},
            Components: {
              type: "list",
              member: {}
            },
            LastUpdated: {
              type: "timestamp"
            },
            StatusMessage: {}
          }
        },
        Sj: {
          type: "map",
          key: {},
          value: {}
        },
        Sz: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "DatabaseName",
              "CredentialType",
              "SecretId"
            ],
            members: {
              DatabaseName: {},
              CredentialType: {},
              SecretId: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        S1a: {
          type: "structure",
          members: {
            Id: {},
            Type: {},
            Status: {},
            StatusMessage: {},
            Properties: {
              type: "map",
              key: {},
              value: {}
            },
            ResourceType: {},
            ResourceId: {},
            ResourceArn: {},
            StartTime: {
              type: "timestamp"
            },
            EndTime: {
              type: "timestamp"
            },
            LastUpdatedTime: {
              type: "timestamp"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ssm-sap-2018-05-10.paginators.json
var require_ssm_sap_2018_05_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/ssm-sap-2018-05-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListApplications: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Applications"
        },
        ListComponents: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Components"
        },
        ListDatabases: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Databases"
        },
        ListOperations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Operations"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/ssmsap.js
var require_ssmsap = __commonJS({
  "node_modules/aws-sdk/clients/ssmsap.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ssmsap"] = {};
    AWS2.SsmSap = Service.defineService("ssmsap", ["2018-05-10"]);
    Object.defineProperty(apiLoader.services["ssmsap"], "2018-05-10", {
      get: function get() {
        var model = require_ssm_sap_2018_05_10_min();
        model.paginators = require_ssm_sap_2018_05_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SsmSap;
  }
});

// node_modules/aws-sdk/apis/oam-2022-06-10.min.json
var require_oam_2022_06_10_min = __commonJS({
  "node_modules/aws-sdk/apis/oam-2022-06-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-06-10",
        endpointPrefix: "oam",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "CloudWatch Observability Access Manager",
        serviceId: "OAM",
        signatureVersion: "v4",
        signingName: "oam",
        uid: "oam-2022-06-10"
      },
      operations: {
        CreateLink: {
          http: {
            requestUri: "/CreateLink",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "LabelTemplate",
              "ResourceTypes",
              "SinkIdentifier"
            ],
            members: {
              LabelTemplate: {},
              ResourceTypes: {
                shape: "S3"
              },
              SinkIdentifier: {},
              Tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Id: {},
              Label: {},
              LabelTemplate: {},
              ResourceTypes: {
                shape: "Sb"
              },
              SinkArn: {},
              Tags: {
                shape: "Sc"
              }
            }
          }
        },
        CreateSink: {
          http: {
            requestUri: "/CreateSink",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Id: {},
              Name: {},
              Tags: {
                shape: "Sc"
              }
            }
          }
        },
        DeleteLink: {
          http: {
            requestUri: "/DeleteLink",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSink: {
          http: {
            requestUri: "/DeleteSink",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetLink: {
          http: {
            requestUri: "/GetLink",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Id: {},
              Label: {},
              LabelTemplate: {},
              ResourceTypes: {
                shape: "Sb"
              },
              SinkArn: {},
              Tags: {
                shape: "Sc"
              }
            }
          }
        },
        GetSink: {
          http: {
            requestUri: "/GetSink",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Identifier"
            ],
            members: {
              Identifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Id: {},
              Name: {},
              Tags: {
                shape: "Sc"
              }
            }
          }
        },
        GetSinkPolicy: {
          http: {
            requestUri: "/GetSinkPolicy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SinkIdentifier"
            ],
            members: {
              SinkIdentifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SinkArn: {},
              SinkId: {},
              Policy: {}
            }
          }
        },
        ListAttachedLinks: {
          http: {
            requestUri: "/ListAttachedLinks",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SinkIdentifier"
            ],
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              SinkIdentifier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Items"
            ],
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Label: {},
                    LinkArn: {},
                    ResourceTypes: {
                      shape: "Sb"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListLinks: {
          http: {
            requestUri: "/ListLinks",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Items"
            ],
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Id: {},
                    Label: {},
                    ResourceTypes: {
                      shape: "Sb"
                    },
                    SinkArn: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSinks: {
          http: {
            requestUri: "/ListSinks",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Items"
            ],
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    Id: {},
                    Name: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Sc"
              }
            }
          }
        },
        PutSinkPolicy: {
          http: {
            requestUri: "/PutSinkPolicy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "SinkIdentifier",
              "Policy"
            ],
            members: {
              SinkIdentifier: {},
              Policy: {}
            }
          },
          output: {
            type: "structure",
            members: {
              SinkArn: {},
              SinkId: {},
              Policy: {}
            }
          }
        },
        TagResource: {
          http: {
            method: "PUT",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateLink: {
          http: {
            requestUri: "/UpdateLink",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Identifier",
              "ResourceTypes"
            ],
            members: {
              Identifier: {},
              ResourceTypes: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              Id: {},
              Label: {},
              LabelTemplate: {},
              ResourceTypes: {
                shape: "Sb"
              },
              SinkArn: {},
              Tags: {
                shape: "Sc"
              }
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {}
        },
        S6: {
          type: "map",
          key: {},
          value: {}
        },
        Sb: {
          type: "list",
          member: {}
        },
        Sc: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/oam-2022-06-10.paginators.json
var require_oam_2022_06_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/oam-2022-06-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAttachedLinks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Items"
        },
        ListLinks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Items"
        },
        ListSinks: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/oam.js
var require_oam = __commonJS({
  "node_modules/aws-sdk/clients/oam.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["oam"] = {};
    AWS2.OAM = Service.defineService("oam", ["2022-06-10"]);
    Object.defineProperty(apiLoader.services["oam"], "2022-06-10", {
      get: function get() {
        var model = require_oam_2022_06_10_min();
        model.paginators = require_oam_2022_06_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.OAM;
  }
});

// node_modules/aws-sdk/apis/arc-zonal-shift-2022-10-30.min.json
var require_arc_zonal_shift_2022_10_30_min = __commonJS({
  "node_modules/aws-sdk/apis/arc-zonal-shift-2022-10-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-10-30",
        endpointPrefix: "arc-zonal-shift",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS ARC - Zonal Shift",
        serviceId: "ARC Zonal Shift",
        signatureVersion: "v4",
        signingName: "arc-zonal-shift",
        uid: "arc-zonal-shift-2022-10-30"
      },
      operations: {
        CancelZonalShift: {
          http: {
            method: "DELETE",
            requestUri: "/zonalshifts/{zonalShiftId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "zonalShiftId"
            ],
            members: {
              zonalShiftId: {
                location: "uri",
                locationName: "zonalShiftId"
              }
            }
          },
          output: {
            shape: "S3"
          }
        },
        GetManagedResource: {
          http: {
            method: "GET",
            requestUri: "/managedresources/{resourceIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceIdentifier"
            ],
            members: {
              resourceIdentifier: {
                location: "uri",
                locationName: "resourceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "appliedWeights",
              "zonalShifts"
            ],
            members: {
              appliedWeights: {
                type: "map",
                key: {},
                value: {
                  type: "float"
                }
              },
              arn: {},
              name: {},
              zonalShifts: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "appliedStatus",
                    "awayFrom",
                    "comment",
                    "expiryTime",
                    "resourceIdentifier",
                    "startTime",
                    "zonalShiftId"
                  ],
                  members: {
                    appliedStatus: {},
                    awayFrom: {},
                    comment: {},
                    expiryTime: {
                      type: "timestamp"
                    },
                    resourceIdentifier: {},
                    startTime: {
                      type: "timestamp"
                    },
                    zonalShiftId: {}
                  }
                }
              }
            }
          }
        },
        ListManagedResources: {
          http: {
            method: "GET",
            requestUri: "/managedresources",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "items"
            ],
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "availabilityZones"
                  ],
                  members: {
                    arn: {},
                    availabilityZones: {
                      type: "list",
                      member: {}
                    },
                    name: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListZonalShifts: {
          http: {
            method: "GET",
            requestUri: "/zonalshifts",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              status: {
                location: "querystring",
                locationName: "status"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "awayFrom",
                    "comment",
                    "expiryTime",
                    "resourceIdentifier",
                    "startTime",
                    "status",
                    "zonalShiftId"
                  ],
                  members: {
                    awayFrom: {},
                    comment: {},
                    expiryTime: {
                      type: "timestamp"
                    },
                    resourceIdentifier: {},
                    startTime: {
                      type: "timestamp"
                    },
                    status: {},
                    zonalShiftId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        StartZonalShift: {
          http: {
            requestUri: "/zonalshifts",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "awayFrom",
              "comment",
              "expiresIn",
              "resourceIdentifier"
            ],
            members: {
              awayFrom: {},
              comment: {},
              expiresIn: {},
              resourceIdentifier: {}
            }
          },
          output: {
            shape: "S3"
          }
        },
        UpdateZonalShift: {
          http: {
            method: "PATCH",
            requestUri: "/zonalshifts/{zonalShiftId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "zonalShiftId"
            ],
            members: {
              comment: {},
              expiresIn: {},
              zonalShiftId: {
                location: "uri",
                locationName: "zonalShiftId"
              }
            }
          },
          output: {
            shape: "S3"
          }
        }
      },
      shapes: {
        S3: {
          type: "structure",
          required: [
            "awayFrom",
            "comment",
            "expiryTime",
            "resourceIdentifier",
            "startTime",
            "status",
            "zonalShiftId"
          ],
          members: {
            awayFrom: {},
            comment: {},
            expiryTime: {
              type: "timestamp"
            },
            resourceIdentifier: {},
            startTime: {
              type: "timestamp"
            },
            status: {},
            zonalShiftId: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/arc-zonal-shift-2022-10-30.paginators.json
var require_arc_zonal_shift_2022_10_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/arc-zonal-shift-2022-10-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListManagedResources: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListZonalShifts: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/arczonalshift.js
var require_arczonalshift = __commonJS({
  "node_modules/aws-sdk/clients/arczonalshift.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["arczonalshift"] = {};
    AWS2.ARCZonalShift = Service.defineService("arczonalshift", ["2022-10-30"]);
    Object.defineProperty(apiLoader.services["arczonalshift"], "2022-10-30", {
      get: function get() {
        var model = require_arc_zonal_shift_2022_10_30_min();
        model.paginators = require_arc_zonal_shift_2022_10_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.ARCZonalShift;
  }
});

// node_modules/aws-sdk/apis/omics-2022-11-28.min.json
var require_omics_2022_11_28_min = __commonJS({
  "node_modules/aws-sdk/apis/omics-2022-11-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-11-28",
        endpointPrefix: "omics",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Omics",
        serviceId: "Omics",
        signatureVersion: "v4",
        signingName: "omics",
        uid: "omics-2022-11-28"
      },
      operations: {
        AbortMultipartReadSetUpload: {
          http: {
            method: "DELETE",
            requestUri: "/sequencestore/{sequenceStoreId}/upload/{uploadId}/abort",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sequenceStoreId",
              "uploadId"
            ],
            members: {
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              },
              uploadId: {
                location: "uri",
                locationName: "uploadId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        BatchDeleteReadSet: {
          http: {
            requestUri: "/sequencestore/{sequenceStoreId}/readset/batch/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ids",
              "sequenceStoreId"
            ],
            members: {
              ids: {
                type: "list",
                member: {}
              },
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "code",
                    "message"
                  ],
                  members: {
                    id: {},
                    code: {},
                    message: {}
                  }
                }
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          },
          idempotent: true
        },
        CancelAnnotationImportJob: {
          http: {
            method: "DELETE",
            requestUri: "/import/annotation/{jobId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          },
          idempotent: true
        },
        CancelRun: {
          http: {
            requestUri: "/run/{id}/cancel",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          }
        },
        CancelVariantImportJob: {
          http: {
            method: "DELETE",
            requestUri: "/import/variant/{jobId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          },
          idempotent: true
        },
        CompleteMultipartReadSetUpload: {
          http: {
            requestUri: "/sequencestore/{sequenceStoreId}/upload/{uploadId}/complete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sequenceStoreId",
              "uploadId",
              "parts"
            ],
            members: {
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              },
              uploadId: {
                location: "uri",
                locationName: "uploadId"
              },
              parts: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "partNumber",
                    "partSource",
                    "checksum"
                  ],
                  members: {
                    partNumber: {
                      type: "integer"
                    },
                    partSource: {},
                    checksum: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "readSetId"
            ],
            members: {
              readSetId: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "storage-"
          }
        },
        CreateAnnotationStore: {
          http: {
            requestUri: "/annotationStore",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "storeFormat"
            ],
            members: {
              reference: {
                shape: "Sq"
              },
              name: {},
              description: {},
              tags: {
                shape: "Su"
              },
              sseConfig: {
                shape: "Sx"
              },
              storeFormat: {},
              storeOptions: {
                shape: "S11"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "status",
              "name",
              "creationTime"
            ],
            members: {
              id: {},
              reference: {
                shape: "Sq"
              },
              storeFormat: {},
              storeOptions: {
                shape: "S11"
              },
              status: {},
              name: {},
              creationTime: {
                shape: "S1d"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          }
        },
        CreateMultipartReadSetUpload: {
          http: {
            requestUri: "/sequencestore/{sequenceStoreId}/upload",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sequenceStoreId",
              "sourceFileType",
              "subjectId",
              "sampleId",
              "referenceArn",
              "name"
            ],
            members: {
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              },
              clientToken: {},
              sourceFileType: {},
              subjectId: {},
              sampleId: {},
              generatedFrom: {},
              referenceArn: {},
              name: {},
              description: {},
              tags: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "sequenceStoreId",
              "uploadId",
              "sourceFileType",
              "subjectId",
              "sampleId",
              "referenceArn",
              "creationTime"
            ],
            members: {
              sequenceStoreId: {},
              uploadId: {},
              sourceFileType: {},
              subjectId: {},
              sampleId: {},
              generatedFrom: {},
              referenceArn: {},
              name: {},
              description: {},
              tags: {
                shape: "Su"
              },
              creationTime: {
                shape: "S1n"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        CreateReferenceStore: {
          http: {
            requestUri: "/referencestore",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              sseConfig: {
                shape: "Sx"
              },
              tags: {
                shape: "Su"
              },
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "arn",
              "creationTime"
            ],
            members: {
              id: {},
              arn: {},
              name: {},
              description: {},
              sseConfig: {
                shape: "Sx"
              },
              creationTime: {
                shape: "S1n"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        CreateRunGroup: {
          http: {
            requestUri: "/runGroup",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "requestId"
            ],
            members: {
              name: {},
              maxCpus: {
                type: "integer"
              },
              maxRuns: {
                type: "integer"
              },
              maxDuration: {
                type: "integer"
              },
              tags: {
                shape: "Su"
              },
              requestId: {
                idempotencyToken: true
              },
              maxGpus: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              id: {},
              tags: {
                shape: "Su"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          }
        },
        CreateSequenceStore: {
          http: {
            requestUri: "/sequencestore",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              description: {},
              sseConfig: {
                shape: "Sx"
              },
              tags: {
                shape: "Su"
              },
              clientToken: {},
              fallbackLocation: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "arn",
              "creationTime"
            ],
            members: {
              id: {},
              arn: {},
              name: {},
              description: {},
              sseConfig: {
                shape: "Sx"
              },
              creationTime: {
                shape: "S1n"
              },
              fallbackLocation: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        CreateVariantStore: {
          http: {
            requestUri: "/variantStore",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "reference"
            ],
            members: {
              reference: {
                shape: "Sq"
              },
              name: {},
              description: {},
              tags: {
                shape: "Su"
              },
              sseConfig: {
                shape: "Sx"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "status",
              "name",
              "creationTime"
            ],
            members: {
              id: {},
              reference: {
                shape: "Sq"
              },
              status: {},
              name: {},
              creationTime: {
                shape: "S1d"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          }
        },
        CreateWorkflow: {
          http: {
            requestUri: "/workflow",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "requestId"
            ],
            members: {
              name: {},
              description: {},
              engine: {},
              definitionZip: {
                type: "blob"
              },
              definitionUri: {},
              main: {},
              parameterTemplate: {
                shape: "S2k"
              },
              storageCapacity: {
                type: "integer"
              },
              tags: {
                shape: "Su"
              },
              requestId: {
                idempotencyToken: true
              },
              accelerators: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              id: {},
              status: {},
              tags: {
                shape: "Su"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          }
        },
        DeleteAnnotationStore: {
          http: {
            method: "DELETE",
            requestUri: "/annotationStore/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              force: {
                location: "querystring",
                locationName: "force",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "status"
            ],
            members: {
              status: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          },
          idempotent: true
        },
        DeleteReference: {
          http: {
            method: "DELETE",
            requestUri: "/referencestore/{referenceStoreId}/reference/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id",
              "referenceStoreId"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              referenceStoreId: {
                location: "uri",
                locationName: "referenceStoreId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          },
          idempotent: true
        },
        DeleteReferenceStore: {
          http: {
            method: "DELETE",
            requestUri: "/referencestore/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          },
          idempotent: true
        },
        DeleteRun: {
          http: {
            method: "DELETE",
            requestUri: "/run/{id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          },
          idempotent: true
        },
        DeleteRunGroup: {
          http: {
            method: "DELETE",
            requestUri: "/runGroup/{id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          },
          idempotent: true
        },
        DeleteSequenceStore: {
          http: {
            method: "DELETE",
            requestUri: "/sequencestore/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          },
          idempotent: true
        },
        DeleteVariantStore: {
          http: {
            method: "DELETE",
            requestUri: "/variantStore/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              force: {
                location: "querystring",
                locationName: "force",
                type: "boolean"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "status"
            ],
            members: {
              status: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          },
          idempotent: true
        },
        DeleteWorkflow: {
          http: {
            method: "DELETE",
            requestUri: "/workflow/{id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          },
          idempotent: true
        },
        GetAnnotationImportJob: {
          http: {
            method: "GET",
            requestUri: "/import/annotation/{jobId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "destinationName",
              "roleArn",
              "status",
              "statusMessage",
              "creationTime",
              "updateTime",
              "completionTime",
              "items",
              "runLeftNormalization",
              "formatOptions"
            ],
            members: {
              id: {},
              destinationName: {},
              roleArn: {},
              status: {},
              statusMessage: {},
              creationTime: {
                shape: "S1d"
              },
              updateTime: {
                shape: "S3h"
              },
              completionTime: {
                shape: "S3i"
              },
              items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "source",
                    "jobStatus"
                  ],
                  members: {
                    source: {},
                    jobStatus: {}
                  }
                }
              },
              runLeftNormalization: {
                type: "boolean"
              },
              formatOptions: {
                shape: "S3n"
              },
              annotationFields: {
                shape: "S40"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          }
        },
        GetAnnotationStore: {
          http: {
            method: "GET",
            requestUri: "/annotationStore/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "reference",
              "status",
              "storeArn",
              "name",
              "description",
              "sseConfig",
              "creationTime",
              "updateTime",
              "tags",
              "statusMessage",
              "storeSizeBytes"
            ],
            members: {
              id: {},
              reference: {
                shape: "Sq"
              },
              status: {},
              storeArn: {},
              name: {},
              description: {},
              sseConfig: {
                shape: "Sx"
              },
              creationTime: {
                shape: "S1d"
              },
              updateTime: {
                shape: "S3h"
              },
              tags: {
                shape: "Su"
              },
              storeOptions: {
                shape: "S11"
              },
              storeFormat: {},
              statusMessage: {},
              storeSizeBytes: {
                type: "long"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          }
        },
        GetReadSet: {
          http: {
            method: "GET",
            requestUri: "/sequencestore/{sequenceStoreId}/readset/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id",
              "sequenceStoreId",
              "partNumber"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              },
              file: {
                location: "querystring",
                locationName: "file"
              },
              partNumber: {
                location: "querystring",
                locationName: "partNumber",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              payload: {
                type: "blob",
                streaming: true
              }
            },
            payload: "payload"
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "storage-"
          }
        },
        GetReadSetActivationJob: {
          http: {
            method: "GET",
            requestUri: "/sequencestore/{sequenceStoreId}/activationjob/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id",
              "sequenceStoreId"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "sequenceStoreId",
              "status",
              "creationTime"
            ],
            members: {
              id: {},
              sequenceStoreId: {},
              status: {},
              statusMessage: {},
              creationTime: {
                shape: "S1n"
              },
              completionTime: {
                shape: "S1n"
              },
              sources: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "readSetId",
                    "status"
                  ],
                  members: {
                    readSetId: {},
                    status: {},
                    statusMessage: {}
                  }
                }
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        GetReadSetExportJob: {
          http: {
            method: "GET",
            requestUri: "/sequencestore/{sequenceStoreId}/exportjob/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sequenceStoreId",
              "id"
            ],
            members: {
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "sequenceStoreId",
              "destination",
              "status",
              "creationTime"
            ],
            members: {
              id: {},
              sequenceStoreId: {},
              destination: {},
              status: {},
              statusMessage: {},
              creationTime: {
                shape: "S1n"
              },
              completionTime: {
                shape: "S1n"
              },
              readSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "status"
                  ],
                  members: {
                    id: {},
                    status: {},
                    statusMessage: {}
                  }
                }
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        GetReadSetImportJob: {
          http: {
            method: "GET",
            requestUri: "/sequencestore/{sequenceStoreId}/importjob/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id",
              "sequenceStoreId"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "sequenceStoreId",
              "roleArn",
              "status",
              "creationTime",
              "sources"
            ],
            members: {
              id: {},
              sequenceStoreId: {},
              roleArn: {},
              status: {},
              statusMessage: {},
              creationTime: {
                shape: "S1n"
              },
              completionTime: {
                shape: "S1n"
              },
              sources: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "sourceFiles",
                    "sourceFileType",
                    "status",
                    "subjectId",
                    "sampleId"
                  ],
                  members: {
                    sourceFiles: {
                      shape: "S4y"
                    },
                    sourceFileType: {},
                    status: {},
                    statusMessage: {},
                    subjectId: {},
                    sampleId: {},
                    generatedFrom: {},
                    referenceArn: {},
                    name: {},
                    description: {},
                    tags: {
                      shape: "Su"
                    }
                  }
                }
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        GetReadSetMetadata: {
          http: {
            method: "GET",
            requestUri: "/sequencestore/{sequenceStoreId}/readset/{id}/metadata",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id",
              "sequenceStoreId"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "arn",
              "sequenceStoreId",
              "status",
              "fileType",
              "creationTime"
            ],
            members: {
              id: {},
              arn: {},
              sequenceStoreId: {},
              subjectId: {},
              sampleId: {},
              status: {},
              name: {},
              description: {},
              fileType: {},
              creationTime: {
                shape: "S1n"
              },
              sequenceInformation: {
                shape: "S54"
              },
              referenceArn: {},
              files: {
                type: "structure",
                members: {
                  source1: {
                    shape: "S56"
                  },
                  source2: {
                    shape: "S56"
                  },
                  index: {
                    shape: "S56"
                  }
                }
              },
              statusMessage: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        GetReference: {
          http: {
            method: "GET",
            requestUri: "/referencestore/{referenceStoreId}/reference/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id",
              "referenceStoreId",
              "partNumber"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              referenceStoreId: {
                location: "uri",
                locationName: "referenceStoreId"
              },
              range: {
                location: "header",
                locationName: "Range"
              },
              partNumber: {
                location: "querystring",
                locationName: "partNumber",
                type: "integer"
              },
              file: {
                location: "querystring",
                locationName: "file"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              payload: {
                type: "blob",
                streaming: true
              }
            },
            payload: "payload"
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "storage-"
          }
        },
        GetReferenceImportJob: {
          http: {
            method: "GET",
            requestUri: "/referencestore/{referenceStoreId}/importjob/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id",
              "referenceStoreId"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              referenceStoreId: {
                location: "uri",
                locationName: "referenceStoreId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "referenceStoreId",
              "roleArn",
              "status",
              "creationTime",
              "sources"
            ],
            members: {
              id: {},
              referenceStoreId: {},
              roleArn: {},
              status: {},
              statusMessage: {},
              creationTime: {
                shape: "S1n"
              },
              completionTime: {
                shape: "S1n"
              },
              sources: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "status"
                  ],
                  members: {
                    sourceFile: {},
                    status: {},
                    statusMessage: {},
                    name: {},
                    description: {},
                    tags: {
                      shape: "Su"
                    }
                  }
                }
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        GetReferenceMetadata: {
          http: {
            method: "GET",
            requestUri: "/referencestore/{referenceStoreId}/reference/{id}/metadata",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id",
              "referenceStoreId"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              referenceStoreId: {
                location: "uri",
                locationName: "referenceStoreId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "arn",
              "referenceStoreId",
              "md5",
              "creationTime",
              "updateTime"
            ],
            members: {
              id: {},
              arn: {},
              referenceStoreId: {},
              md5: {},
              status: {},
              name: {},
              description: {},
              creationTime: {
                shape: "S1n"
              },
              updateTime: {
                shape: "S1n"
              },
              files: {
                type: "structure",
                members: {
                  source: {
                    shape: "S56"
                  },
                  index: {
                    shape: "S56"
                  }
                }
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        GetReferenceStore: {
          http: {
            method: "GET",
            requestUri: "/referencestore/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "arn",
              "creationTime"
            ],
            members: {
              id: {},
              arn: {},
              name: {},
              description: {},
              sseConfig: {
                shape: "Sx"
              },
              creationTime: {
                shape: "S1n"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        GetRun: {
          http: {
            method: "GET",
            requestUri: "/run/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              export: {
                location: "querystring",
                locationName: "export",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              id: {},
              status: {},
              workflowId: {},
              workflowType: {},
              runId: {},
              roleArn: {},
              name: {},
              runGroupId: {},
              priority: {
                type: "integer"
              },
              definition: {},
              digest: {},
              parameters: {
                shape: "S67"
              },
              storageCapacity: {
                type: "integer"
              },
              outputUri: {},
              logLevel: {},
              resourceDigests: {
                type: "map",
                key: {},
                value: {}
              },
              startedBy: {},
              creationTime: {
                shape: "S6f"
              },
              startTime: {
                shape: "S6f"
              },
              stopTime: {
                shape: "S6f"
              },
              statusMessage: {},
              tags: {
                shape: "Su"
              },
              accelerators: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          }
        },
        GetRunGroup: {
          http: {
            method: "GET",
            requestUri: "/runGroup/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              id: {},
              name: {},
              maxCpus: {
                type: "integer"
              },
              maxRuns: {
                type: "integer"
              },
              maxDuration: {
                type: "integer"
              },
              creationTime: {
                shape: "S6m"
              },
              tags: {
                shape: "Su"
              },
              maxGpus: {
                type: "integer"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          }
        },
        GetRunTask: {
          http: {
            method: "GET",
            requestUri: "/run/{id}/task/{taskId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id",
              "taskId"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              taskId: {
                location: "uri",
                locationName: "taskId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              taskId: {},
              status: {},
              name: {},
              cpus: {
                type: "integer"
              },
              memory: {
                type: "integer"
              },
              creationTime: {
                shape: "S6v"
              },
              startTime: {
                shape: "S6v"
              },
              stopTime: {
                shape: "S6v"
              },
              statusMessage: {},
              logStream: {},
              gpus: {
                type: "integer"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          }
        },
        GetSequenceStore: {
          http: {
            method: "GET",
            requestUri: "/sequencestore/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "arn",
              "creationTime"
            ],
            members: {
              id: {},
              arn: {},
              name: {},
              description: {},
              sseConfig: {
                shape: "Sx"
              },
              creationTime: {
                shape: "S1n"
              },
              fallbackLocation: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        GetVariantImportJob: {
          http: {
            method: "GET",
            requestUri: "/import/variant/{jobId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {
                location: "uri",
                locationName: "jobId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "destinationName",
              "roleArn",
              "status",
              "statusMessage",
              "creationTime",
              "updateTime",
              "items",
              "runLeftNormalization"
            ],
            members: {
              id: {},
              destinationName: {},
              roleArn: {},
              status: {},
              statusMessage: {},
              creationTime: {
                shape: "S1d"
              },
              updateTime: {
                shape: "S3h"
              },
              completionTime: {
                shape: "S3i"
              },
              items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "source",
                    "jobStatus"
                  ],
                  members: {
                    source: {},
                    jobStatus: {},
                    statusMessage: {}
                  }
                }
              },
              runLeftNormalization: {
                type: "boolean"
              },
              annotationFields: {
                shape: "S40"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          }
        },
        GetVariantStore: {
          http: {
            method: "GET",
            requestUri: "/variantStore/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "reference",
              "status",
              "storeArn",
              "name",
              "description",
              "sseConfig",
              "creationTime",
              "updateTime",
              "tags",
              "statusMessage",
              "storeSizeBytes"
            ],
            members: {
              id: {},
              reference: {
                shape: "Sq"
              },
              status: {},
              storeArn: {},
              name: {},
              description: {},
              sseConfig: {
                shape: "Sx"
              },
              creationTime: {
                shape: "S1d"
              },
              updateTime: {
                shape: "S3h"
              },
              tags: {
                shape: "Su"
              },
              statusMessage: {},
              storeSizeBytes: {
                type: "long"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          }
        },
        GetWorkflow: {
          http: {
            method: "GET",
            requestUri: "/workflow/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              type: {
                location: "querystring",
                locationName: "type"
              },
              export: {
                location: "querystring",
                locationName: "export",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              id: {},
              status: {},
              type: {},
              name: {},
              description: {},
              engine: {},
              definition: {},
              main: {},
              digest: {},
              parameterTemplate: {
                shape: "S2k"
              },
              storageCapacity: {
                type: "integer"
              },
              creationTime: {
                shape: "S7c"
              },
              statusMessage: {},
              tags: {
                shape: "Su"
              },
              metadata: {
                shape: "S7e"
              },
              accelerators: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          }
        },
        ListAnnotationImportJobs: {
          http: {
            requestUri: "/import/annotations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              ids: {
                type: "list",
                member: {}
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              filter: {
                type: "structure",
                members: {
                  status: {},
                  storeName: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              annotationImportJobs: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "destinationName",
                    "roleArn",
                    "status",
                    "creationTime",
                    "updateTime"
                  ],
                  members: {
                    id: {},
                    destinationName: {},
                    roleArn: {},
                    status: {},
                    creationTime: {
                      shape: "S1d"
                    },
                    updateTime: {
                      shape: "S3h"
                    },
                    completionTime: {
                      shape: "S3i"
                    },
                    runLeftNormalization: {
                      type: "boolean"
                    },
                    annotationFields: {
                      shape: "S40"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          }
        },
        ListAnnotationStores: {
          http: {
            requestUri: "/annotationStores",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              ids: {
                type: "list",
                member: {}
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              filter: {
                type: "structure",
                members: {
                  status: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              annotationStores: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "reference",
                    "status",
                    "storeArn",
                    "name",
                    "storeFormat",
                    "description",
                    "sseConfig",
                    "creationTime",
                    "updateTime",
                    "statusMessage",
                    "storeSizeBytes"
                  ],
                  members: {
                    id: {},
                    reference: {
                      shape: "Sq"
                    },
                    status: {},
                    storeArn: {},
                    name: {},
                    storeFormat: {},
                    description: {},
                    sseConfig: {
                      shape: "Sx"
                    },
                    creationTime: {
                      shape: "S1d"
                    },
                    updateTime: {
                      shape: "S3h"
                    },
                    statusMessage: {},
                    storeSizeBytes: {
                      type: "long"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          }
        },
        ListMultipartReadSetUploads: {
          http: {
            requestUri: "/sequencestore/{sequenceStoreId}/uploads",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sequenceStoreId"
            ],
            members: {
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              uploads: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "sequenceStoreId",
                    "uploadId",
                    "sourceFileType",
                    "subjectId",
                    "sampleId",
                    "generatedFrom",
                    "referenceArn",
                    "creationTime"
                  ],
                  members: {
                    sequenceStoreId: {},
                    uploadId: {},
                    sourceFileType: {},
                    subjectId: {},
                    sampleId: {},
                    generatedFrom: {},
                    referenceArn: {},
                    name: {},
                    description: {},
                    tags: {
                      shape: "Su"
                    },
                    creationTime: {
                      shape: "S1n"
                    }
                  }
                }
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        ListReadSetActivationJobs: {
          http: {
            requestUri: "/sequencestore/{sequenceStoreId}/activationjobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sequenceStoreId"
            ],
            members: {
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              filter: {
                type: "structure",
                members: {
                  status: {},
                  createdAfter: {
                    shape: "S1n"
                  },
                  createdBefore: {
                    shape: "S1n"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              activationJobs: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "sequenceStoreId",
                    "status",
                    "creationTime"
                  ],
                  members: {
                    id: {},
                    sequenceStoreId: {},
                    status: {},
                    creationTime: {
                      shape: "S1n"
                    },
                    completionTime: {
                      shape: "S1n"
                    }
                  }
                }
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        ListReadSetExportJobs: {
          http: {
            requestUri: "/sequencestore/{sequenceStoreId}/exportjobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sequenceStoreId"
            ],
            members: {
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              filter: {
                type: "structure",
                members: {
                  status: {},
                  createdAfter: {
                    shape: "S1n"
                  },
                  createdBefore: {
                    shape: "S1n"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              exportJobs: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "sequenceStoreId",
                    "destination",
                    "status",
                    "creationTime"
                  ],
                  members: {
                    id: {},
                    sequenceStoreId: {},
                    destination: {},
                    status: {},
                    creationTime: {
                      shape: "S1n"
                    },
                    completionTime: {
                      shape: "S1n"
                    }
                  }
                }
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        ListReadSetImportJobs: {
          http: {
            requestUri: "/sequencestore/{sequenceStoreId}/importjobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sequenceStoreId"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              },
              filter: {
                type: "structure",
                members: {
                  status: {},
                  createdAfter: {
                    shape: "S1n"
                  },
                  createdBefore: {
                    shape: "S1n"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              importJobs: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "sequenceStoreId",
                    "roleArn",
                    "status",
                    "creationTime"
                  ],
                  members: {
                    id: {},
                    sequenceStoreId: {},
                    roleArn: {},
                    status: {},
                    creationTime: {
                      shape: "S1n"
                    },
                    completionTime: {
                      shape: "S1n"
                    }
                  }
                }
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        ListReadSetUploadParts: {
          http: {
            requestUri: "/sequencestore/{sequenceStoreId}/upload/{uploadId}/parts",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sequenceStoreId",
              "uploadId",
              "partSource"
            ],
            members: {
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              },
              uploadId: {
                location: "uri",
                locationName: "uploadId"
              },
              partSource: {},
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              filter: {
                type: "structure",
                members: {
                  createdAfter: {
                    shape: "S1n"
                  },
                  createdBefore: {
                    shape: "S1n"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              parts: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "partNumber",
                    "partSize",
                    "partSource",
                    "checksum"
                  ],
                  members: {
                    partNumber: {
                      type: "integer"
                    },
                    partSize: {
                      type: "long"
                    },
                    partSource: {},
                    checksum: {},
                    creationTime: {
                      shape: "S1n"
                    },
                    lastUpdatedTime: {
                      shape: "S1n"
                    }
                  }
                }
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        ListReadSets: {
          http: {
            requestUri: "/sequencestore/{sequenceStoreId}/readsets",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sequenceStoreId"
            ],
            members: {
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              filter: {
                type: "structure",
                members: {
                  name: {},
                  status: {},
                  referenceArn: {},
                  createdAfter: {
                    shape: "S1n"
                  },
                  createdBefore: {
                    shape: "S1n"
                  },
                  sampleId: {},
                  subjectId: {},
                  generatedFrom: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "readSets"
            ],
            members: {
              nextToken: {},
              readSets: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "arn",
                    "sequenceStoreId",
                    "status",
                    "fileType",
                    "creationTime"
                  ],
                  members: {
                    id: {},
                    arn: {},
                    sequenceStoreId: {},
                    subjectId: {},
                    sampleId: {},
                    status: {},
                    name: {},
                    description: {},
                    referenceArn: {},
                    fileType: {},
                    sequenceInformation: {
                      shape: "S54"
                    },
                    creationTime: {
                      shape: "S1n"
                    },
                    statusMessage: {}
                  }
                }
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        ListReferenceImportJobs: {
          http: {
            requestUri: "/referencestore/{referenceStoreId}/importjobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "referenceStoreId"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              referenceStoreId: {
                location: "uri",
                locationName: "referenceStoreId"
              },
              filter: {
                type: "structure",
                members: {
                  status: {},
                  createdAfter: {
                    shape: "S1n"
                  },
                  createdBefore: {
                    shape: "S1n"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              importJobs: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "referenceStoreId",
                    "roleArn",
                    "status",
                    "creationTime"
                  ],
                  members: {
                    id: {},
                    referenceStoreId: {},
                    roleArn: {},
                    status: {},
                    creationTime: {
                      shape: "S1n"
                    },
                    completionTime: {
                      shape: "S1n"
                    }
                  }
                }
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        ListReferenceStores: {
          http: {
            requestUri: "/referencestores",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              filter: {
                type: "structure",
                members: {
                  name: {},
                  createdAfter: {
                    shape: "S1n"
                  },
                  createdBefore: {
                    shape: "S1n"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "referenceStores"
            ],
            members: {
              nextToken: {},
              referenceStores: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "id",
                    "creationTime"
                  ],
                  members: {
                    arn: {},
                    id: {},
                    name: {},
                    description: {},
                    sseConfig: {
                      shape: "Sx"
                    },
                    creationTime: {
                      shape: "S1n"
                    }
                  }
                }
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        ListReferences: {
          http: {
            requestUri: "/referencestore/{referenceStoreId}/references",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "referenceStoreId"
            ],
            members: {
              referenceStoreId: {
                location: "uri",
                locationName: "referenceStoreId"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              filter: {
                type: "structure",
                members: {
                  name: {},
                  md5: {},
                  createdAfter: {
                    shape: "S1n"
                  },
                  createdBefore: {
                    shape: "S1n"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "references"
            ],
            members: {
              nextToken: {},
              references: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "arn",
                    "referenceStoreId",
                    "md5",
                    "creationTime",
                    "updateTime"
                  ],
                  members: {
                    id: {},
                    arn: {},
                    referenceStoreId: {},
                    md5: {},
                    status: {},
                    name: {},
                    description: {},
                    creationTime: {
                      shape: "S1n"
                    },
                    updateTime: {
                      shape: "S1n"
                    }
                  }
                }
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        ListRunGroups: {
          http: {
            method: "GET",
            requestUri: "/runGroup",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              name: {
                location: "querystring",
                locationName: "name"
              },
              startingToken: {
                location: "querystring",
                locationName: "startingToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    id: {},
                    name: {},
                    maxCpus: {
                      type: "integer"
                    },
                    maxRuns: {
                      type: "integer"
                    },
                    maxDuration: {
                      type: "integer"
                    },
                    creationTime: {
                      shape: "S6m"
                    },
                    maxGpus: {
                      type: "integer"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          }
        },
        ListRunTasks: {
          http: {
            method: "GET",
            requestUri: "/run/{id}/task",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              status: {
                location: "querystring",
                locationName: "status"
              },
              startingToken: {
                location: "querystring",
                locationName: "startingToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    taskId: {},
                    status: {},
                    name: {},
                    cpus: {
                      type: "integer"
                    },
                    memory: {
                      type: "integer"
                    },
                    creationTime: {
                      shape: "S6v"
                    },
                    startTime: {
                      shape: "S6v"
                    },
                    stopTime: {
                      shape: "S6v"
                    },
                    gpus: {
                      type: "integer"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          }
        },
        ListRuns: {
          http: {
            method: "GET",
            requestUri: "/run",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              name: {
                location: "querystring",
                locationName: "name"
              },
              runGroupId: {
                location: "querystring",
                locationName: "runGroupId"
              },
              startingToken: {
                location: "querystring",
                locationName: "startingToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              status: {
                location: "querystring",
                locationName: "status"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    id: {},
                    status: {},
                    workflowId: {},
                    name: {},
                    priority: {
                      type: "integer"
                    },
                    storageCapacity: {
                      type: "integer"
                    },
                    creationTime: {
                      shape: "S6f"
                    },
                    startTime: {
                      shape: "S6f"
                    },
                    stopTime: {
                      shape: "S6f"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          }
        },
        ListSequenceStores: {
          http: {
            requestUri: "/sequencestores",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              filter: {
                type: "structure",
                members: {
                  name: {},
                  createdAfter: {
                    shape: "S1n"
                  },
                  createdBefore: {
                    shape: "S1n"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "sequenceStores"
            ],
            members: {
              nextToken: {},
              sequenceStores: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "id",
                    "creationTime"
                  ],
                  members: {
                    arn: {},
                    id: {},
                    name: {},
                    description: {},
                    sseConfig: {
                      shape: "Sx"
                    },
                    creationTime: {
                      shape: "S1n"
                    },
                    fallbackLocation: {}
                  }
                }
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "tags"
            ],
            members: {
              tags: {
                shape: "Su"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "tags-"
          }
        },
        ListVariantImportJobs: {
          http: {
            requestUri: "/import/variants",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              ids: {
                type: "list",
                member: {}
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              filter: {
                type: "structure",
                members: {
                  status: {},
                  storeName: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              variantImportJobs: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "destinationName",
                    "roleArn",
                    "status",
                    "creationTime",
                    "updateTime"
                  ],
                  members: {
                    id: {},
                    destinationName: {},
                    roleArn: {},
                    status: {},
                    creationTime: {
                      shape: "S1d"
                    },
                    updateTime: {
                      shape: "S3h"
                    },
                    completionTime: {
                      shape: "S3i"
                    },
                    runLeftNormalization: {
                      type: "boolean"
                    },
                    annotationFields: {
                      shape: "S40"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          }
        },
        ListVariantStores: {
          http: {
            requestUri: "/variantStores",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              ids: {
                type: "list",
                member: {}
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              filter: {
                type: "structure",
                members: {
                  status: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              variantStores: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "reference",
                    "status",
                    "storeArn",
                    "name",
                    "description",
                    "sseConfig",
                    "creationTime",
                    "updateTime",
                    "statusMessage",
                    "storeSizeBytes"
                  ],
                  members: {
                    id: {},
                    reference: {
                      shape: "Sq"
                    },
                    status: {},
                    storeArn: {},
                    name: {},
                    description: {},
                    sseConfig: {
                      shape: "Sx"
                    },
                    creationTime: {
                      shape: "S1d"
                    },
                    updateTime: {
                      shape: "S3h"
                    },
                    statusMessage: {},
                    storeSizeBytes: {
                      type: "long"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          }
        },
        ListWorkflows: {
          http: {
            method: "GET",
            requestUri: "/workflow",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              type: {
                location: "querystring",
                locationName: "type"
              },
              name: {
                location: "querystring",
                locationName: "name"
              },
              startingToken: {
                location: "querystring",
                locationName: "startingToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    id: {},
                    name: {},
                    status: {},
                    type: {},
                    digest: {},
                    creationTime: {
                      shape: "S7c"
                    },
                    metadata: {
                      shape: "S7e"
                    }
                  }
                }
              },
              nextToken: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          }
        },
        StartAnnotationImportJob: {
          http: {
            requestUri: "/import/annotation",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "destinationName",
              "roleArn",
              "items"
            ],
            members: {
              destinationName: {},
              roleArn: {},
              items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "source"
                  ],
                  members: {
                    source: {}
                  }
                }
              },
              formatOptions: {
                shape: "S3n"
              },
              runLeftNormalization: {
                type: "boolean"
              },
              annotationFields: {
                shape: "S40"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          }
        },
        StartReadSetActivationJob: {
          http: {
            requestUri: "/sequencestore/{sequenceStoreId}/activationjob",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sequenceStoreId",
              "sources"
            ],
            members: {
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              },
              clientToken: {},
              sources: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "readSetId"
                  ],
                  members: {
                    readSetId: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "sequenceStoreId",
              "status",
              "creationTime"
            ],
            members: {
              id: {},
              sequenceStoreId: {},
              status: {},
              creationTime: {
                shape: "S1n"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        StartReadSetExportJob: {
          http: {
            requestUri: "/sequencestore/{sequenceStoreId}/exportjob",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sequenceStoreId",
              "destination",
              "roleArn",
              "sources"
            ],
            members: {
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              },
              destination: {},
              roleArn: {},
              clientToken: {},
              sources: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "readSetId"
                  ],
                  members: {
                    readSetId: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "sequenceStoreId",
              "destination",
              "status",
              "creationTime"
            ],
            members: {
              id: {},
              sequenceStoreId: {},
              destination: {},
              status: {},
              creationTime: {
                shape: "S1n"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        StartReadSetImportJob: {
          http: {
            requestUri: "/sequencestore/{sequenceStoreId}/importjob",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sequenceStoreId",
              "roleArn",
              "sources"
            ],
            members: {
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              },
              roleArn: {},
              clientToken: {},
              sources: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "sourceFiles",
                    "sourceFileType",
                    "subjectId",
                    "sampleId",
                    "referenceArn"
                  ],
                  members: {
                    sourceFiles: {
                      shape: "S4y"
                    },
                    sourceFileType: {},
                    subjectId: {},
                    sampleId: {},
                    generatedFrom: {},
                    referenceArn: {},
                    name: {},
                    description: {},
                    tags: {
                      shape: "Su"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "sequenceStoreId",
              "roleArn",
              "status",
              "creationTime"
            ],
            members: {
              id: {},
              sequenceStoreId: {},
              roleArn: {},
              status: {},
              creationTime: {
                shape: "S1n"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        StartReferenceImportJob: {
          http: {
            requestUri: "/referencestore/{referenceStoreId}/importjob",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "referenceStoreId",
              "roleArn",
              "sources"
            ],
            members: {
              referenceStoreId: {
                location: "uri",
                locationName: "referenceStoreId"
              },
              roleArn: {},
              clientToken: {},
              sources: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "sourceFile",
                    "name"
                  ],
                  members: {
                    sourceFile: {},
                    name: {},
                    description: {},
                    tags: {
                      shape: "Su"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "referenceStoreId",
              "roleArn",
              "status",
              "creationTime"
            ],
            members: {
              id: {},
              referenceStoreId: {},
              roleArn: {},
              status: {},
              creationTime: {
                shape: "S1n"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "control-storage-"
          }
        },
        StartRun: {
          http: {
            requestUri: "/run",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "roleArn",
              "requestId"
            ],
            members: {
              workflowId: {},
              workflowType: {},
              runId: {},
              roleArn: {},
              name: {},
              runGroupId: {},
              priority: {
                type: "integer"
              },
              parameters: {
                shape: "S67"
              },
              storageCapacity: {
                type: "integer"
              },
              outputUri: {},
              logLevel: {},
              tags: {
                shape: "Su"
              },
              requestId: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              id: {},
              status: {},
              tags: {
                shape: "Su"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          }
        },
        StartVariantImportJob: {
          http: {
            requestUri: "/import/variant",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "destinationName",
              "roleArn",
              "items"
            ],
            members: {
              destinationName: {},
              roleArn: {},
              items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "source"
                  ],
                  members: {
                    source: {}
                  }
                }
              },
              runLeftNormalization: {
                type: "boolean"
              },
              annotationFields: {
                shape: "S40"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "jobId"
            ],
            members: {
              jobId: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                type: "map",
                key: {},
                value: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "tags-"
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "tags-"
          },
          idempotent: true
        },
        UpdateAnnotationStore: {
          http: {
            requestUri: "/annotationStore/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              description: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "reference",
              "status",
              "name",
              "description",
              "creationTime",
              "updateTime"
            ],
            members: {
              id: {},
              reference: {
                shape: "Sq"
              },
              status: {},
              name: {},
              description: {},
              creationTime: {
                shape: "S1d"
              },
              updateTime: {
                shape: "S3h"
              },
              storeOptions: {
                shape: "S11"
              },
              storeFormat: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          }
        },
        UpdateRunGroup: {
          http: {
            requestUri: "/runGroup/{id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              name: {},
              maxCpus: {
                type: "integer"
              },
              maxRuns: {
                type: "integer"
              },
              maxDuration: {
                type: "integer"
              },
              maxGpus: {
                type: "integer"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          }
        },
        UpdateVariantStore: {
          http: {
            requestUri: "/variantStore/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              },
              description: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "reference",
              "status",
              "name",
              "description",
              "creationTime",
              "updateTime"
            ],
            members: {
              id: {},
              reference: {
                shape: "Sq"
              },
              status: {},
              name: {},
              description: {},
              creationTime: {
                shape: "S1d"
              },
              updateTime: {
                shape: "S3h"
              }
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "analytics-"
          }
        },
        UpdateWorkflow: {
          http: {
            requestUri: "/workflow/{id}",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              },
              name: {},
              description: {}
            }
          },
          authtype: "v4",
          endpoint: {
            hostPrefix: "workflows-"
          }
        },
        UploadReadSetPart: {
          http: {
            method: "PUT",
            requestUri: "/sequencestore/{sequenceStoreId}/upload/{uploadId}/part",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sequenceStoreId",
              "uploadId",
              "partSource",
              "partNumber",
              "payload"
            ],
            members: {
              sequenceStoreId: {
                location: "uri",
                locationName: "sequenceStoreId"
              },
              uploadId: {
                location: "uri",
                locationName: "uploadId"
              },
              partSource: {
                location: "querystring",
                locationName: "partSource"
              },
              partNumber: {
                location: "querystring",
                locationName: "partNumber",
                type: "integer"
              },
              payload: {
                type: "blob",
                requiresLength: true,
                streaming: true
              }
            },
            payload: "payload"
          },
          output: {
            type: "structure",
            required: [
              "checksum"
            ],
            members: {
              checksum: {}
            }
          },
          authtype: "v4-unsigned-body",
          endpoint: {
            hostPrefix: "storage-"
          }
        }
      },
      shapes: {
        Sq: {
          type: "structure",
          members: {
            referenceArn: {}
          },
          union: true
        },
        Su: {
          type: "map",
          key: {},
          value: {}
        },
        Sx: {
          type: "structure",
          required: [
            "type"
          ],
          members: {
            type: {},
            keyArn: {}
          }
        },
        S11: {
          type: "structure",
          members: {
            tsvStoreOptions: {
              type: "structure",
              members: {
                annotationType: {},
                formatToHeader: {
                  type: "map",
                  key: {},
                  value: {}
                },
                schema: {
                  type: "list",
                  member: {
                    type: "map",
                    key: {},
                    value: {}
                  }
                }
              }
            }
          },
          union: true
        },
        S1d: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S1n: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S2k: {
          type: "map",
          key: {},
          value: {
            type: "structure",
            members: {
              description: {},
              optional: {
                type: "boolean"
              }
            }
          }
        },
        S3h: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S3i: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S3n: {
          type: "structure",
          members: {
            tsvOptions: {
              type: "structure",
              members: {
                readOptions: {
                  type: "structure",
                  members: {
                    sep: {},
                    encoding: {},
                    quote: {},
                    quoteAll: {
                      type: "boolean"
                    },
                    escape: {},
                    escapeQuotes: {
                      type: "boolean"
                    },
                    comment: {},
                    header: {
                      type: "boolean"
                    },
                    lineSep: {}
                  }
                }
              }
            },
            vcfOptions: {
              type: "structure",
              members: {
                ignoreQualField: {
                  type: "boolean"
                },
                ignoreFilterField: {
                  type: "boolean"
                }
              }
            }
          },
          union: true
        },
        S40: {
          type: "map",
          key: {},
          value: {}
        },
        S4y: {
          type: "structure",
          required: [
            "source1"
          ],
          members: {
            source1: {},
            source2: {}
          }
        },
        S54: {
          type: "structure",
          members: {
            totalReadCount: {
              type: "long"
            },
            totalBaseCount: {
              type: "long"
            },
            generatedFrom: {},
            alignment: {}
          }
        },
        S56: {
          type: "structure",
          members: {
            totalParts: {
              type: "integer"
            },
            partSize: {
              type: "long"
            },
            contentLength: {
              type: "long"
            }
          }
        },
        S67: {
          type: "structure",
          members: {},
          document: true
        },
        S6f: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S6m: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S6v: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S7c: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S7e: {
          type: "map",
          key: {},
          value: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/omics-2022-11-28.paginators.json
var require_omics_2022_11_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/omics-2022-11-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAnnotationImportJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "annotationImportJobs"
        },
        ListAnnotationStores: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "annotationStores"
        },
        ListMultipartReadSetUploads: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "uploads"
        },
        ListReadSetActivationJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "activationJobs"
        },
        ListReadSetExportJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "exportJobs"
        },
        ListReadSetImportJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "importJobs"
        },
        ListReadSetUploadParts: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "parts"
        },
        ListReadSets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "readSets"
        },
        ListReferenceImportJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "importJobs"
        },
        ListReferenceStores: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "referenceStores"
        },
        ListReferences: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "references"
        },
        ListRunGroups: {
          input_token: "startingToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListRunTasks: {
          input_token: "startingToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListRuns: {
          input_token: "startingToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListSequenceStores: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "sequenceStores"
        },
        ListVariantImportJobs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "variantImportJobs"
        },
        ListVariantStores: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "variantStores"
        },
        ListWorkflows: {
          input_token: "startingToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/omics-2022-11-28.waiters2.json
var require_omics_2022_11_28_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/omics-2022-11-28.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {
        AnnotationImportJobCreated: {
          description: "Wait until an annotation import is completed",
          delay: 30,
          maxAttempts: 20,
          operation: "GetAnnotationImportJob",
          acceptors: [{
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "SUBMITTED"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "IN_PROGRESS"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "FAILED"
          }, {
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "CANCELLED"
          }, {
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "COMPLETED"
          }]
        },
        AnnotationStoreCreated: {
          description: "Wait until an annotation store is created",
          delay: 30,
          maxAttempts: 20,
          operation: "GetAnnotationStore",
          acceptors: [{
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "ACTIVE"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "CREATING"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "UPDATING"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "FAILED"
          }]
        },
        AnnotationStoreDeleted: {
          description: "Wait until an annotation store is deleted.",
          delay: 30,
          maxAttempts: 20,
          operation: "GetAnnotationStore",
          acceptors: [{
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "DELETED"
          }, {
            matcher: "error",
            state: "success",
            expected: "ResourceNotFoundException"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "DELETING"
          }]
        },
        ReadSetActivationJobCompleted: {
          description: "Wait until a job is completed.",
          delay: 30,
          maxAttempts: 20,
          operation: "GetReadSetActivationJob",
          acceptors: [{
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "COMPLETED"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "SUBMITTED"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "IN_PROGRESS"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "CANCELLING"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "CANCELLED"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "FAILED"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "COMPLETED_WITH_FAILURES"
          }]
        },
        ReadSetExportJobCompleted: {
          description: "Wait until a job is completed.",
          delay: 30,
          maxAttempts: 20,
          operation: "GetReadSetExportJob",
          acceptors: [{
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "COMPLETED"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "SUBMITTED"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "IN_PROGRESS"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "CANCELLING"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "CANCELLED"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "FAILED"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "COMPLETED_WITH_FAILURES"
          }]
        },
        ReadSetImportJobCompleted: {
          description: "Wait until a job is completed.",
          delay: 30,
          maxAttempts: 20,
          operation: "GetReadSetImportJob",
          acceptors: [{
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "COMPLETED"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "SUBMITTED"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "IN_PROGRESS"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "CANCELLING"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "CANCELLED"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "FAILED"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "COMPLETED_WITH_FAILURES"
          }]
        },
        ReferenceImportJobCompleted: {
          description: "Wait until a job is completed.",
          delay: 30,
          maxAttempts: 20,
          operation: "GetReferenceImportJob",
          acceptors: [{
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "COMPLETED"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "SUBMITTED"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "IN_PROGRESS"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "CANCELLING"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "CANCELLED"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "FAILED"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "COMPLETED_WITH_FAILURES"
          }]
        },
        RunCompleted: {
          description: "Wait until a run is completed.",
          delay: 30,
          maxAttempts: 20,
          operation: "GetRun",
          acceptors: [{
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "COMPLETED"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "PENDING"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "STARTING"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "RUNNING"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "STOPPING"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "FAILED"
          }]
        },
        RunRunning: {
          description: "Wait until a run is running.",
          delay: 30,
          maxAttempts: 20,
          operation: "GetRun",
          acceptors: [{
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "RUNNING"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "PENDING"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "STARTING"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "FAILED"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "CANCELLED"
          }]
        },
        TaskCompleted: {
          description: "Wait until a task is completed.",
          delay: 30,
          maxAttempts: 20,
          operation: "GetRunTask",
          acceptors: [{
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "COMPLETED"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "PENDING"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "STARTING"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "RUNNING"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "STOPPING"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "FAILED"
          }]
        },
        TaskRunning: {
          description: "Wait until a task is running.",
          delay: 30,
          maxAttempts: 20,
          operation: "GetRunTask",
          acceptors: [{
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "RUNNING"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "PENDING"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "STARTING"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "FAILED"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "CANCELLED"
          }]
        },
        VariantImportJobCreated: {
          description: "Wait until variant import is completed",
          delay: 30,
          maxAttempts: 20,
          operation: "GetVariantImportJob",
          acceptors: [{
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "SUBMITTED"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "IN_PROGRESS"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "FAILED"
          }, {
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "CANCELLED"
          }, {
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "COMPLETED"
          }]
        },
        VariantStoreCreated: {
          description: "Wait until a variant store is created",
          delay: 30,
          maxAttempts: 20,
          operation: "GetVariantStore",
          acceptors: [{
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "ACTIVE"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "CREATING"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "UPDATING"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "FAILED"
          }]
        },
        VariantStoreDeleted: {
          description: "Wait until a variant store is deleted.",
          delay: 30,
          maxAttempts: 20,
          operation: "GetVariantStore",
          acceptors: [{
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "DELETED"
          }, {
            matcher: "error",
            state: "success",
            expected: "ResourceNotFoundException"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "DELETING"
          }]
        },
        WorkflowActive: {
          description: "Wait until a workflow is active.",
          delay: 3,
          maxAttempts: 10,
          operation: "GetWorkflow",
          acceptors: [{
            matcher: "path",
            argument: "status",
            state: "success",
            expected: "ACTIVE"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "CREATING"
          }, {
            matcher: "path",
            argument: "status",
            state: "retry",
            expected: "UPDATING"
          }, {
            matcher: "path",
            argument: "status",
            state: "failure",
            expected: "FAILED"
          }]
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/omics.js
var require_omics = __commonJS({
  "node_modules/aws-sdk/clients/omics.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["omics"] = {};
    AWS2.Omics = Service.defineService("omics", ["2022-11-28"]);
    Object.defineProperty(apiLoader.services["omics"], "2022-11-28", {
      get: function get() {
        var model = require_omics_2022_11_28_min();
        model.paginators = require_omics_2022_11_28_paginators().pagination;
        model.waiters = require_omics_2022_11_28_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Omics;
  }
});

// node_modules/aws-sdk/apis/opensearchserverless-2021-11-01.min.json
var require_opensearchserverless_2021_11_01_min = __commonJS({
  "node_modules/aws-sdk/apis/opensearchserverless-2021-11-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-11-01",
        endpointPrefix: "aoss",
        jsonVersion: "1.0",
        protocol: "json",
        serviceFullName: "OpenSearch Service Serverless",
        serviceId: "OpenSearchServerless",
        signatureVersion: "v4",
        signingName: "aoss",
        targetPrefix: "OpenSearchServerless",
        uid: "opensearchserverless-2021-11-01"
      },
      operations: {
        BatchGetCollection: {
          input: {
            type: "structure",
            members: {
              ids: {
                type: "list",
                member: {}
              },
              names: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              collectionDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    collectionEndpoint: {},
                    createdDate: {
                      type: "long"
                    },
                    dashboardEndpoint: {},
                    description: {},
                    id: {},
                    kmsKeyArn: {},
                    lastModifiedDate: {
                      type: "long"
                    },
                    name: {},
                    status: {},
                    type: {}
                  }
                }
              },
              collectionErrorDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    errorCode: {},
                    errorMessage: {},
                    id: {},
                    name: {}
                  }
                }
              }
            }
          }
        },
        BatchGetVpcEndpoint: {
          input: {
            type: "structure",
            required: [
              "ids"
            ],
            members: {
              ids: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              vpcEndpointDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    createdDate: {
                      type: "long"
                    },
                    id: {},
                    name: {},
                    securityGroupIds: {
                      shape: "Sm"
                    },
                    status: {},
                    subnetIds: {
                      shape: "Sp"
                    },
                    vpcId: {}
                  }
                }
              },
              vpcEndpointErrorDetails: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    errorCode: {},
                    errorMessage: {},
                    id: {}
                  }
                }
              }
            }
          }
        },
        CreateAccessPolicy: {
          input: {
            type: "structure",
            required: [
              "name",
              "policy",
              "type"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              description: {},
              name: {},
              policy: {},
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              accessPolicyDetail: {
                shape: "S11"
              }
            }
          },
          idempotent: true
        },
        CreateCollection: {
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              description: {},
              name: {},
              tags: {
                shape: "S16"
              },
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              createCollectionDetail: {
                type: "structure",
                members: {
                  arn: {},
                  createdDate: {
                    type: "long"
                  },
                  description: {},
                  id: {},
                  kmsKeyArn: {},
                  lastModifiedDate: {
                    type: "long"
                  },
                  name: {},
                  status: {},
                  type: {}
                }
              }
            }
          },
          idempotent: true
        },
        CreateSecurityConfig: {
          input: {
            type: "structure",
            required: [
              "name",
              "type"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              description: {},
              name: {},
              samlOptions: {
                shape: "S1f"
              },
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              securityConfigDetail: {
                shape: "S1m"
              }
            }
          },
          idempotent: true
        },
        CreateSecurityPolicy: {
          input: {
            type: "structure",
            required: [
              "name",
              "policy",
              "type"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              description: {},
              name: {},
              policy: {},
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              securityPolicyDetail: {
                shape: "S1r"
              }
            }
          },
          idempotent: true
        },
        CreateVpcEndpoint: {
          input: {
            type: "structure",
            required: [
              "name",
              "subnetIds",
              "vpcId"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              name: {},
              securityGroupIds: {
                shape: "Sm"
              },
              subnetIds: {
                shape: "Sp"
              },
              vpcId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              createVpcEndpointDetail: {
                type: "structure",
                members: {
                  id: {},
                  name: {},
                  status: {}
                }
              }
            }
          },
          idempotent: true
        },
        DeleteAccessPolicy: {
          input: {
            type: "structure",
            required: [
              "name",
              "type"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              name: {},
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteCollection: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              deleteCollectionDetail: {
                type: "structure",
                members: {
                  id: {},
                  name: {},
                  status: {}
                }
              }
            }
          },
          idempotent: true
        },
        DeleteSecurityConfig: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteSecurityPolicy: {
          input: {
            type: "structure",
            required: [
              "name",
              "type"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              name: {},
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteVpcEndpoint: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              deleteVpcEndpointDetail: {
                type: "structure",
                members: {
                  id: {},
                  name: {},
                  status: {}
                }
              }
            }
          },
          idempotent: true
        },
        GetAccessPolicy: {
          input: {
            type: "structure",
            required: [
              "name",
              "type"
            ],
            members: {
              name: {},
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              accessPolicyDetail: {
                shape: "S11"
              }
            }
          }
        },
        GetAccountSettings: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              accountSettingsDetail: {
                shape: "S2b"
              }
            }
          }
        },
        GetPoliciesStats: {
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              AccessPolicyStats: {
                type: "structure",
                members: {
                  DataPolicyCount: {
                    type: "long"
                  }
                }
              },
              SecurityConfigStats: {
                type: "structure",
                members: {
                  SamlConfigCount: {
                    type: "long"
                  }
                }
              },
              SecurityPolicyStats: {
                type: "structure",
                members: {
                  EncryptionPolicyCount: {
                    type: "long"
                  },
                  NetworkPolicyCount: {
                    type: "long"
                  }
                }
              },
              TotalPolicyCount: {
                type: "long"
              }
            }
          }
        },
        GetSecurityConfig: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              securityConfigDetail: {
                shape: "S1m"
              }
            }
          }
        },
        GetSecurityPolicy: {
          input: {
            type: "structure",
            required: [
              "name",
              "type"
            ],
            members: {
              name: {},
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              securityPolicyDetail: {
                shape: "S1r"
              }
            }
          }
        },
        ListAccessPolicies: {
          input: {
            type: "structure",
            required: [
              "type"
            ],
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              resource: {
                type: "list",
                member: {}
              },
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              accessPolicySummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    createdDate: {
                      type: "long"
                    },
                    description: {},
                    lastModifiedDate: {
                      type: "long"
                    },
                    name: {},
                    policyVersion: {},
                    type: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListCollections: {
          input: {
            type: "structure",
            members: {
              collectionFilters: {
                type: "structure",
                members: {
                  name: {},
                  status: {}
                }
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              collectionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    id: {},
                    name: {},
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSecurityConfigs: {
          input: {
            type: "structure",
            required: [
              "type"
            ],
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              securityConfigSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    configVersion: {},
                    createdDate: {
                      type: "long"
                    },
                    description: {},
                    id: {},
                    lastModifiedDate: {
                      type: "long"
                    },
                    type: {}
                  }
                }
              }
            }
          }
        },
        ListSecurityPolicies: {
          input: {
            type: "structure",
            required: [
              "type"
            ],
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              resource: {
                type: "list",
                member: {}
              },
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              securityPolicySummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    createdDate: {
                      type: "long"
                    },
                    description: {},
                    lastModifiedDate: {
                      type: "long"
                    },
                    name: {},
                    policyVersion: {},
                    type: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S16"
              }
            }
          }
        },
        ListVpcEndpoints: {
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              vpcEndpointFilters: {
                type: "structure",
                members: {
                  status: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              vpcEndpointSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    name: {},
                    status: {}
                  }
                }
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {},
              tags: {
                shape: "S16"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {},
              tagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAccessPolicy: {
          input: {
            type: "structure",
            required: [
              "name",
              "policyVersion",
              "type"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              description: {},
              name: {},
              policy: {},
              policyVersion: {},
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              accessPolicyDetail: {
                shape: "S11"
              }
            }
          },
          idempotent: true
        },
        UpdateAccountSettings: {
          input: {
            type: "structure",
            members: {
              capacityLimits: {
                shape: "S2c"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              accountSettingsDetail: {
                shape: "S2b"
              }
            }
          }
        },
        UpdateCollection: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              description: {},
              id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              updateCollectionDetail: {
                type: "structure",
                members: {
                  arn: {},
                  createdDate: {
                    type: "long"
                  },
                  description: {},
                  id: {},
                  lastModifiedDate: {
                    type: "long"
                  },
                  name: {},
                  status: {},
                  type: {}
                }
              }
            }
          },
          idempotent: true
        },
        UpdateSecurityConfig: {
          input: {
            type: "structure",
            required: [
              "configVersion",
              "id"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              configVersion: {},
              description: {},
              id: {},
              samlOptions: {
                shape: "S1f"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              securityConfigDetail: {
                shape: "S1m"
              }
            }
          },
          idempotent: true
        },
        UpdateSecurityPolicy: {
          input: {
            type: "structure",
            required: [
              "name",
              "policyVersion",
              "type"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              description: {},
              name: {},
              policy: {},
              policyVersion: {},
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              securityPolicyDetail: {
                shape: "S1r"
              }
            }
          },
          idempotent: true
        },
        UpdateVpcEndpoint: {
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              addSecurityGroupIds: {
                shape: "Sm"
              },
              addSubnetIds: {
                shape: "Sp"
              },
              clientToken: {
                idempotencyToken: true
              },
              id: {},
              removeSecurityGroupIds: {
                shape: "Sm"
              },
              removeSubnetIds: {
                shape: "Sp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              UpdateVpcEndpointDetail: {
                type: "structure",
                members: {
                  id: {},
                  lastModifiedDate: {
                    type: "long"
                  },
                  name: {},
                  securityGroupIds: {
                    shape: "Sm"
                  },
                  status: {},
                  subnetIds: {
                    shape: "Sp"
                  }
                }
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        Sm: {
          type: "list",
          member: {}
        },
        Sp: {
          type: "list",
          member: {}
        },
        S11: {
          type: "structure",
          members: {
            createdDate: {
              type: "long"
            },
            description: {},
            lastModifiedDate: {
              type: "long"
            },
            name: {},
            policy: {
              shape: "S12"
            },
            policyVersion: {},
            type: {}
          }
        },
        S12: {
          type: "structure",
          members: {},
          document: true
        },
        S16: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        S1f: {
          type: "structure",
          required: [
            "metadata"
          ],
          members: {
            groupAttribute: {},
            metadata: {},
            sessionTimeout: {
              type: "integer"
            },
            userAttribute: {}
          }
        },
        S1m: {
          type: "structure",
          members: {
            configVersion: {},
            createdDate: {
              type: "long"
            },
            description: {},
            id: {},
            lastModifiedDate: {
              type: "long"
            },
            samlOptions: {
              shape: "S1f"
            },
            type: {}
          }
        },
        S1r: {
          type: "structure",
          members: {
            createdDate: {
              type: "long"
            },
            description: {},
            lastModifiedDate: {
              type: "long"
            },
            name: {},
            policy: {
              shape: "S12"
            },
            policyVersion: {},
            type: {}
          }
        },
        S2b: {
          type: "structure",
          members: {
            capacityLimits: {
              shape: "S2c"
            }
          }
        },
        S2c: {
          type: "structure",
          members: {
            maxIndexingCapacityInOCU: {
              type: "integer"
            },
            maxSearchCapacityInOCU: {
              type: "integer"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/opensearchserverless-2021-11-01.paginators.json
var require_opensearchserverless_2021_11_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/opensearchserverless-2021-11-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAccessPolicies: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListCollections: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListSecurityConfigs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListSecurityPolicies: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListVpcEndpoints: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/opensearchserverless.js
var require_opensearchserverless = __commonJS({
  "node_modules/aws-sdk/clients/opensearchserverless.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["opensearchserverless"] = {};
    AWS2.OpenSearchServerless = Service.defineService("opensearchserverless", ["2021-11-01"]);
    Object.defineProperty(apiLoader.services["opensearchserverless"], "2021-11-01", {
      get: function get() {
        var model = require_opensearchserverless_2021_11_01_min();
        model.paginators = require_opensearchserverless_2021_11_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.OpenSearchServerless;
  }
});

// node_modules/aws-sdk/apis/securitylake-2018-05-10.min.json
var require_securitylake_2018_05_10_min = __commonJS({
  "node_modules/aws-sdk/apis/securitylake-2018-05-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-05-10",
        endpointPrefix: "securitylake",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Security Lake",
        serviceId: "SecurityLake",
        signatureVersion: "v4",
        signingName: "securitylake",
        uid: "securitylake-2018-05-10"
      },
      operations: {
        CreateAwsLogSource: {
          http: {
            requestUri: "/v1/datalake/logsources/aws",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sources"
            ],
            members: {
              sources: {
                shape: "S2"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              failed: {
                shape: "S4"
              }
            }
          }
        },
        CreateCustomLogSource: {
          http: {
            requestUri: "/v1/datalake/logsources/custom",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceName"
            ],
            members: {
              configuration: {
                type: "structure",
                required: [
                  "crawlerConfiguration",
                  "providerIdentity"
                ],
                members: {
                  crawlerConfiguration: {
                    type: "structure",
                    required: [
                      "roleArn"
                    ],
                    members: {
                      roleArn: {}
                    }
                  },
                  providerIdentity: {
                    shape: "Sf"
                  }
                }
              },
              eventClasses: {
                shape: "Si"
              },
              sourceName: {},
              sourceVersion: {}
            }
          },
          output: {
            type: "structure",
            members: {
              source: {
                shape: "Sn"
              }
            }
          },
          idempotent: true
        },
        CreateDataLake: {
          http: {
            requestUri: "/v1/datalake",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "configurations",
              "metaStoreManagerRoleArn"
            ],
            members: {
              configurations: {
                shape: "St"
              },
              metaStoreManagerRoleArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              dataLakes: {
                shape: "S16"
              }
            }
          }
        },
        CreateDataLakeExceptionSubscription: {
          http: {
            requestUri: "/v1/datalake/exceptions/subscription",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "notificationEndpoint",
              "subscriptionProtocol"
            ],
            members: {
              exceptionTimeToLive: {
                type: "long"
              },
              notificationEndpoint: {},
              subscriptionProtocol: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateDataLakeOrganizationConfiguration: {
          http: {
            requestUri: "/v1/datalake/organization/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "autoEnableNewAccount"
            ],
            members: {
              autoEnableNewAccount: {
                shape: "S1i"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        CreateSubscriber: {
          http: {
            requestUri: "/v1/subscribers",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sources",
              "subscriberIdentity",
              "subscriberName"
            ],
            members: {
              accessTypes: {
                shape: "S1o"
              },
              sources: {
                shape: "S1q"
              },
              subscriberDescription: {},
              subscriberIdentity: {
                shape: "Sf"
              },
              subscriberName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              subscriber: {
                shape: "S1v"
              }
            }
          }
        },
        CreateSubscriberNotification: {
          http: {
            requestUri: "/v1/subscribers/{subscriberId}/notification",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "configuration",
              "subscriberId"
            ],
            members: {
              configuration: {
                shape: "S22"
              },
              subscriberId: {
                location: "uri",
                locationName: "subscriberId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              subscriberEndpoint: {}
            }
          }
        },
        DeleteAwsLogSource: {
          http: {
            requestUri: "/v1/datalake/logsources/aws/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sources"
            ],
            members: {
              sources: {
                shape: "S2"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              failed: {
                shape: "S4"
              }
            }
          }
        },
        DeleteCustomLogSource: {
          http: {
            method: "DELETE",
            requestUri: "/v1/datalake/logsources/custom/{sourceName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sourceName"
            ],
            members: {
              sourceName: {
                location: "uri",
                locationName: "sourceName"
              },
              sourceVersion: {
                location: "querystring",
                locationName: "sourceVersion"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteDataLake: {
          http: {
            requestUri: "/v1/datalake/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "regions"
            ],
            members: {
              regions: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteDataLakeExceptionSubscription: {
          http: {
            method: "DELETE",
            requestUri: "/v1/datalake/exceptions/subscription",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteDataLakeOrganizationConfiguration: {
          http: {
            requestUri: "/v1/datalake/organization/configuration/delete",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "autoEnableNewAccount"
            ],
            members: {
              autoEnableNewAccount: {
                shape: "S1i"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteSubscriber: {
          http: {
            method: "DELETE",
            requestUri: "/v1/subscribers/{subscriberId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "subscriberId"
            ],
            members: {
              subscriberId: {
                location: "uri",
                locationName: "subscriberId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteSubscriberNotification: {
          http: {
            method: "DELETE",
            requestUri: "/v1/subscribers/{subscriberId}/notification",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "subscriberId"
            ],
            members: {
              subscriberId: {
                location: "uri",
                locationName: "subscriberId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeregisterDataLakeDelegatedAdministrator: {
          http: {
            method: "DELETE",
            requestUri: "/v1/datalake/delegate",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetDataLakeExceptionSubscription: {
          http: {
            method: "GET",
            requestUri: "/v1/datalake/exceptions/subscription",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              exceptionTimeToLive: {
                type: "long"
              },
              notificationEndpoint: {},
              subscriptionProtocol: {}
            }
          }
        },
        GetDataLakeOrganizationConfiguration: {
          http: {
            method: "GET",
            requestUri: "/v1/datalake/organization/configuration",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              autoEnableNewAccount: {
                shape: "S1i"
              }
            }
          }
        },
        GetDataLakeSources: {
          http: {
            requestUri: "/v1/datalake/sources",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              accounts: {
                shape: "S4"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              dataLakeArn: {},
              dataLakeSources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    account: {},
                    eventClasses: {
                      shape: "Si"
                    },
                    sourceName: {},
                    sourceStatuses: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          resource: {},
                          status: {}
                        }
                      }
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        GetSubscriber: {
          http: {
            method: "GET",
            requestUri: "/v1/subscribers/{subscriberId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "subscriberId"
            ],
            members: {
              subscriberId: {
                location: "uri",
                locationName: "subscriberId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              subscriber: {
                shape: "S1v"
              }
            }
          }
        },
        ListDataLakeExceptions: {
          http: {
            requestUri: "/v1/datalake/exceptions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              regions: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              exceptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    exception: {},
                    region: {},
                    remediation: {},
                    timestamp: {
                      shape: "S1w"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDataLakes: {
          http: {
            method: "GET",
            requestUri: "/v1/datalakes",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              regions: {
                shape: "S6",
                location: "querystring",
                locationName: "regions"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              dataLakes: {
                shape: "S16"
              }
            }
          }
        },
        ListLogSources: {
          http: {
            requestUri: "/v1/datalake/logsources/list",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              accounts: {
                shape: "S4"
              },
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              regions: {
                shape: "S6"
              },
              sources: {
                shape: "S1q"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              sources: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    account: {},
                    region: {},
                    sources: {
                      shape: "S1q"
                    }
                  }
                }
              }
            }
          }
        },
        ListSubscribers: {
          http: {
            method: "GET",
            requestUri: "/v1/subscribers",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              subscribers: {
                type: "list",
                member: {
                  shape: "S1v"
                }
              }
            }
          }
        },
        RegisterDataLakeDelegatedAdministrator: {
          http: {
            requestUri: "/v1/datalake/delegate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accountId"
            ],
            members: {
              accountId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateDataLake: {
          http: {
            method: "PUT",
            requestUri: "/v1/datalake",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "configurations"
            ],
            members: {
              configurations: {
                shape: "St"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              dataLakes: {
                shape: "S16"
              }
            }
          },
          idempotent: true
        },
        UpdateDataLakeExceptionSubscription: {
          http: {
            method: "PUT",
            requestUri: "/v1/datalake/exceptions/subscription",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "notificationEndpoint",
              "subscriptionProtocol"
            ],
            members: {
              exceptionTimeToLive: {
                type: "long"
              },
              notificationEndpoint: {},
              subscriptionProtocol: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateSubscriber: {
          http: {
            method: "PUT",
            requestUri: "/v1/subscribers/{subscriberId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "subscriberId"
            ],
            members: {
              sources: {
                shape: "S1q"
              },
              subscriberDescription: {},
              subscriberId: {
                location: "uri",
                locationName: "subscriberId"
              },
              subscriberIdentity: {
                shape: "Sf"
              },
              subscriberName: {}
            }
          },
          output: {
            type: "structure",
            members: {
              subscriber: {
                shape: "S1v"
              }
            }
          },
          idempotent: true
        },
        UpdateSubscriberNotification: {
          http: {
            method: "PUT",
            requestUri: "/v1/subscribers/{subscriberId}/notification",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "configuration",
              "subscriberId"
            ],
            members: {
              configuration: {
                shape: "S22"
              },
              subscriberId: {
                location: "uri",
                locationName: "subscriberId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              subscriberEndpoint: {}
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S2: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "regions",
              "sourceName"
            ],
            members: {
              accounts: {
                shape: "S4"
              },
              regions: {
                shape: "S6"
              },
              sourceName: {},
              sourceVersion: {}
            }
          }
        },
        S4: {
          type: "list",
          member: {}
        },
        S6: {
          type: "list",
          member: {}
        },
        Sf: {
          type: "structure",
          required: [
            "externalId",
            "principal"
          ],
          members: {
            externalId: {},
            principal: {}
          }
        },
        Si: {
          type: "list",
          member: {}
        },
        Sn: {
          type: "structure",
          members: {
            attributes: {
              type: "structure",
              members: {
                crawlerArn: {},
                databaseArn: {},
                tableArn: {}
              }
            },
            provider: {
              type: "structure",
              members: {
                location: {},
                roleArn: {}
              }
            },
            sourceName: {},
            sourceVersion: {}
          }
        },
        St: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "region"
            ],
            members: {
              encryptionConfiguration: {
                shape: "Sv"
              },
              lifecycleConfiguration: {
                shape: "Sx"
              },
              region: {},
              replicationConfiguration: {
                shape: "S14"
              }
            }
          }
        },
        Sv: {
          type: "structure",
          members: {
            kmsKeyId: {}
          }
        },
        Sx: {
          type: "structure",
          members: {
            expiration: {
              type: "structure",
              members: {
                days: {
                  type: "integer"
                }
              }
            },
            transitions: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  days: {
                    type: "integer"
                  },
                  storageClass: {}
                }
              }
            }
          }
        },
        S14: {
          type: "structure",
          members: {
            regions: {
              shape: "S6"
            },
            roleArn: {}
          }
        },
        S16: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "dataLakeArn",
              "region"
            ],
            members: {
              createStatus: {},
              dataLakeArn: {},
              encryptionConfiguration: {
                shape: "Sv"
              },
              lifecycleConfiguration: {
                shape: "Sx"
              },
              region: {},
              replicationConfiguration: {
                shape: "S14"
              },
              s3BucketArn: {},
              updateStatus: {
                type: "structure",
                members: {
                  exception: {
                    type: "structure",
                    members: {
                      code: {},
                      reason: {}
                    }
                  },
                  requestId: {},
                  status: {}
                }
              }
            }
          }
        },
        S1i: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "region",
              "sources"
            ],
            members: {
              region: {},
              sources: {
                type: "list",
                member: {
                  shape: "S1l"
                }
              }
            }
          }
        },
        S1l: {
          type: "structure",
          members: {
            sourceName: {},
            sourceVersion: {}
          }
        },
        S1o: {
          type: "list",
          member: {}
        },
        S1q: {
          type: "list",
          member: {
            type: "structure",
            members: {
              awsLogSource: {
                shape: "S1l"
              },
              customLogSource: {
                shape: "Sn"
              }
            },
            union: true
          }
        },
        S1v: {
          type: "structure",
          required: [
            "sources",
            "subscriberArn",
            "subscriberId",
            "subscriberIdentity",
            "subscriberName"
          ],
          members: {
            accessTypes: {
              shape: "S1o"
            },
            createdAt: {
              shape: "S1w"
            },
            resourceShareArn: {},
            resourceShareName: {},
            roleArn: {},
            s3BucketArn: {},
            sources: {
              shape: "S1q"
            },
            subscriberArn: {},
            subscriberDescription: {},
            subscriberEndpoint: {},
            subscriberId: {},
            subscriberIdentity: {
              shape: "Sf"
            },
            subscriberName: {},
            subscriberStatus: {},
            updatedAt: {
              shape: "S1w"
            }
          }
        },
        S1w: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S22: {
          type: "structure",
          members: {
            httpsNotificationConfiguration: {
              type: "structure",
              required: [
                "endpoint",
                "targetRoleArn"
              ],
              members: {
                authorizationApiKeyName: {},
                authorizationApiKeyValue: {},
                endpoint: {},
                httpMethod: {},
                targetRoleArn: {}
              }
            },
            sqsNotificationConfiguration: {
              type: "structure",
              members: {}
            }
          },
          union: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/securitylake-2018-05-10.paginators.json
var require_securitylake_2018_05_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/securitylake-2018-05-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetDataLakeSources: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "dataLakeSources"
        },
        ListDataLakeExceptions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "exceptions"
        },
        ListLogSources: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "sources"
        },
        ListSubscribers: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "subscribers"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/securitylake.js
var require_securitylake = __commonJS({
  "node_modules/aws-sdk/clients/securitylake.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["securitylake"] = {};
    AWS2.SecurityLake = Service.defineService("securitylake", ["2018-05-10"]);
    Object.defineProperty(apiLoader.services["securitylake"], "2018-05-10", {
      get: function get() {
        var model = require_securitylake_2018_05_10_min();
        model.paginators = require_securitylake_2018_05_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SecurityLake;
  }
});

// node_modules/aws-sdk/apis/simspaceweaver-2022-10-28.min.json
var require_simspaceweaver_2022_10_28_min = __commonJS({
  "node_modules/aws-sdk/apis/simspaceweaver-2022-10-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-10-28",
        endpointPrefix: "simspaceweaver",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS SimSpace Weaver",
        serviceId: "SimSpaceWeaver",
        signatureVersion: "v4",
        signingName: "simspaceweaver",
        uid: "simspaceweaver-2022-10-28"
      },
      operations: {
        CreateSnapshot: {
          http: {
            requestUri: "/createsnapshot",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Destination",
              "Simulation"
            ],
            members: {
              Destination: {
                type: "structure",
                members: {
                  BucketName: {},
                  ObjectKeyPrefix: {}
                }
              },
              Simulation: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteApp: {
          http: {
            method: "DELETE",
            requestUri: "/deleteapp",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "App",
              "Domain",
              "Simulation"
            ],
            members: {
              App: {
                location: "querystring",
                locationName: "app"
              },
              Domain: {
                location: "querystring",
                locationName: "domain"
              },
              Simulation: {
                location: "querystring",
                locationName: "simulation"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteSimulation: {
          http: {
            method: "DELETE",
            requestUri: "/deletesimulation",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Simulation"
            ],
            members: {
              Simulation: {
                location: "querystring",
                locationName: "simulation"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DescribeApp: {
          http: {
            method: "GET",
            requestUri: "/describeapp",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "App",
              "Domain",
              "Simulation"
            ],
            members: {
              App: {
                location: "querystring",
                locationName: "app"
              },
              Domain: {
                location: "querystring",
                locationName: "domain"
              },
              Simulation: {
                location: "querystring",
                locationName: "simulation"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Description: {},
              Domain: {},
              EndpointInfo: {
                type: "structure",
                members: {
                  Address: {},
                  IngressPortMappings: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Actual: {
                          type: "integer"
                        },
                        Declared: {
                          type: "integer"
                        }
                      }
                    }
                  }
                }
              },
              LaunchOverrides: {
                shape: "Sk"
              },
              Name: {},
              Simulation: {},
              Status: {},
              TargetStatus: {}
            }
          }
        },
        DescribeSimulation: {
          http: {
            method: "GET",
            requestUri: "/describesimulation",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Simulation"
            ],
            members: {
              Simulation: {
                location: "querystring",
                locationName: "simulation"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTime: {
                type: "timestamp"
              },
              Description: {},
              ExecutionId: {},
              LiveSimulationState: {
                type: "structure",
                members: {
                  Clocks: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Status: {},
                        TargetStatus: {}
                      }
                    }
                  },
                  Domains: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        Lifecycle: {},
                        Name: {}
                      }
                    }
                  }
                }
              },
              LoggingConfiguration: {
                type: "structure",
                members: {
                  Destinations: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        CloudWatchLogsLogGroup: {
                          type: "structure",
                          members: {
                            LogGroupArn: {}
                          }
                        }
                      }
                    }
                  }
                }
              },
              MaximumDuration: {},
              Name: {},
              RoleArn: {},
              SchemaError: {
                deprecated: true,
                deprecatedMessage: "SchemaError is no longer used, check StartError instead."
              },
              SchemaS3Location: {
                shape: "S19"
              },
              SnapshotS3Location: {
                shape: "S19"
              },
              StartError: {},
              Status: {},
              TargetStatus: {}
            }
          }
        },
        ListApps: {
          http: {
            method: "GET",
            requestUri: "/listapps",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Simulation"
            ],
            members: {
              Domain: {
                location: "querystring",
                locationName: "domain"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              Simulation: {
                location: "querystring",
                locationName: "simulation"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Apps: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Domain: {},
                    Name: {},
                    Simulation: {},
                    Status: {},
                    TargetStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListSimulations: {
          http: {
            method: "GET",
            requestUri: "/listsimulations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Simulations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    Name: {},
                    Status: {},
                    TargetStatus: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S1o"
              }
            }
          }
        },
        StartApp: {
          http: {
            requestUri: "/startapp",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Domain",
              "Name",
              "Simulation"
            ],
            members: {
              ClientToken: {
                shape: "S1s",
                idempotencyToken: true
              },
              Description: {},
              Domain: {},
              LaunchOverrides: {
                shape: "Sk"
              },
              Name: {},
              Simulation: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Domain: {},
              Name: {},
              Simulation: {}
            }
          }
        },
        StartClock: {
          http: {
            requestUri: "/startclock",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Simulation"
            ],
            members: {
              Simulation: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartSimulation: {
          http: {
            requestUri: "/startsimulation",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "RoleArn"
            ],
            members: {
              ClientToken: {
                shape: "S1s",
                idempotencyToken: true
              },
              Description: {},
              MaximumDuration: {},
              Name: {},
              RoleArn: {},
              SchemaS3Location: {
                shape: "S19"
              },
              SnapshotS3Location: {
                shape: "S19"
              },
              Tags: {
                shape: "S1o"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTime: {
                type: "timestamp"
              },
              ExecutionId: {}
            }
          }
        },
        StopApp: {
          http: {
            requestUri: "/stopapp",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "App",
              "Domain",
              "Simulation"
            ],
            members: {
              App: {},
              Domain: {},
              Simulation: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StopClock: {
          http: {
            requestUri: "/stopclock",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Simulation"
            ],
            members: {
              Simulation: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StopSimulation: {
          http: {
            requestUri: "/stopsimulation",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Simulation"
            ],
            members: {
              Simulation: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "S1o"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        Sk: {
          type: "structure",
          members: {
            LaunchCommands: {
              type: "list",
              member: {}
            }
          }
        },
        S19: {
          type: "structure",
          members: {
            BucketName: {},
            ObjectKey: {}
          }
        },
        S1o: {
          type: "map",
          key: {},
          value: {}
        },
        S1s: {
          type: "string",
          sensitive: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/simspaceweaver-2022-10-28.paginators.json
var require_simspaceweaver_2022_10_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/simspaceweaver-2022-10-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListApps: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        },
        ListSimulations: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/simspaceweaver.js
var require_simspaceweaver = __commonJS({
  "node_modules/aws-sdk/clients/simspaceweaver.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["simspaceweaver"] = {};
    AWS2.SimSpaceWeaver = Service.defineService("simspaceweaver", ["2022-10-28"]);
    Object.defineProperty(apiLoader.services["simspaceweaver"], "2022-10-28", {
      get: function get() {
        var model = require_simspaceweaver_2022_10_28_min();
        model.paginators = require_simspaceweaver_2022_10_28_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SimSpaceWeaver;
  }
});

// node_modules/aws-sdk/apis/docdb-elastic-2022-11-28.min.json
var require_docdb_elastic_2022_11_28_min = __commonJS({
  "node_modules/aws-sdk/apis/docdb-elastic-2022-11-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-11-28",
        endpointPrefix: "docdb-elastic",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "DocDB Elastic",
        serviceFullName: "Amazon DocumentDB Elastic Clusters",
        serviceId: "DocDB Elastic",
        signatureVersion: "v4",
        signingName: "docdb-elastic",
        uid: "docdb-elastic-2022-11-28"
      },
      operations: {
        CreateCluster: {
          http: {
            requestUri: "/cluster",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "adminUserName",
              "adminUserPassword",
              "authType",
              "clusterName",
              "shardCapacity",
              "shardCount"
            ],
            members: {
              adminUserName: {},
              adminUserPassword: {
                shape: "S3"
              },
              authType: {},
              clientToken: {
                idempotencyToken: true
              },
              clusterName: {},
              kmsKeyId: {},
              preferredMaintenanceWindow: {},
              shardCapacity: {
                type: "integer"
              },
              shardCount: {
                type: "integer"
              },
              subnetIds: {
                shape: "S6"
              },
              tags: {
                shape: "S7"
              },
              vpcSecurityGroupIds: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "cluster"
            ],
            members: {
              cluster: {
                shape: "Sb"
              }
            }
          },
          idempotent: true
        },
        CreateClusterSnapshot: {
          http: {
            requestUri: "/cluster-snapshot",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "clusterArn",
              "snapshotName"
            ],
            members: {
              clusterArn: {},
              snapshotName: {},
              tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "snapshot"
            ],
            members: {
              snapshot: {
                shape: "Sg"
              }
            }
          },
          idempotent: true
        },
        DeleteCluster: {
          http: {
            method: "DELETE",
            requestUri: "/cluster/{clusterArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "clusterArn"
            ],
            members: {
              clusterArn: {
                location: "uri",
                locationName: "clusterArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "cluster"
            ],
            members: {
              cluster: {
                shape: "Sb"
              }
            }
          },
          idempotent: true
        },
        DeleteClusterSnapshot: {
          http: {
            method: "DELETE",
            requestUri: "/cluster-snapshot/{snapshotArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "snapshotArn"
            ],
            members: {
              snapshotArn: {
                location: "uri",
                locationName: "snapshotArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "snapshot"
            ],
            members: {
              snapshot: {
                shape: "Sg"
              }
            }
          },
          idempotent: true
        },
        GetCluster: {
          http: {
            method: "GET",
            requestUri: "/cluster/{clusterArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "clusterArn"
            ],
            members: {
              clusterArn: {
                location: "uri",
                locationName: "clusterArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "cluster"
            ],
            members: {
              cluster: {
                shape: "Sb"
              }
            }
          }
        },
        GetClusterSnapshot: {
          http: {
            method: "GET",
            requestUri: "/cluster-snapshot/{snapshotArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "snapshotArn"
            ],
            members: {
              snapshotArn: {
                location: "uri",
                locationName: "snapshotArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "snapshot"
            ],
            members: {
              snapshot: {
                shape: "Sg"
              }
            }
          }
        },
        ListClusterSnapshots: {
          http: {
            method: "GET",
            requestUri: "/cluster-snapshots",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              clusterArn: {
                location: "querystring",
                locationName: "clusterArn"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              snapshots: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "clusterArn",
                    "snapshotArn",
                    "snapshotCreationTime",
                    "snapshotName",
                    "status"
                  ],
                  members: {
                    clusterArn: {},
                    snapshotArn: {},
                    snapshotCreationTime: {},
                    snapshotName: {},
                    status: {}
                  }
                }
              }
            }
          }
        },
        ListClusters: {
          http: {
            method: "GET",
            requestUri: "/clusters",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              clusters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "clusterArn",
                    "clusterName",
                    "status"
                  ],
                  members: {
                    clusterArn: {},
                    clusterName: {},
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S7"
              }
            }
          }
        },
        RestoreClusterFromSnapshot: {
          http: {
            requestUri: "/cluster-snapshot/{snapshotArn}/restore",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "clusterName",
              "snapshotArn"
            ],
            members: {
              clusterName: {},
              kmsKeyId: {},
              snapshotArn: {
                location: "uri",
                locationName: "snapshotArn"
              },
              subnetIds: {
                shape: "S6"
              },
              tags: {
                shape: "S7"
              },
              vpcSecurityGroupIds: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "cluster"
            ],
            members: {
              cluster: {
                shape: "Sb"
              }
            }
          },
          idempotent: true
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S7"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateCluster: {
          http: {
            method: "PUT",
            requestUri: "/cluster/{clusterArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "clusterArn"
            ],
            members: {
              adminUserPassword: {
                shape: "S3"
              },
              authType: {},
              clientToken: {
                idempotencyToken: true
              },
              clusterArn: {
                location: "uri",
                locationName: "clusterArn"
              },
              preferredMaintenanceWindow: {},
              shardCapacity: {
                type: "integer"
              },
              shardCount: {
                type: "integer"
              },
              subnetIds: {
                shape: "S6"
              },
              vpcSecurityGroupIds: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "cluster"
            ],
            members: {
              cluster: {
                shape: "Sb"
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S3: {
          type: "string",
          sensitive: true
        },
        S6: {
          type: "list",
          member: {}
        },
        S7: {
          type: "map",
          key: {},
          value: {}
        },
        Sb: {
          type: "structure",
          required: [
            "adminUserName",
            "authType",
            "clusterArn",
            "clusterEndpoint",
            "clusterName",
            "createTime",
            "kmsKeyId",
            "preferredMaintenanceWindow",
            "shardCapacity",
            "shardCount",
            "status",
            "subnetIds",
            "vpcSecurityGroupIds"
          ],
          members: {
            adminUserName: {},
            authType: {},
            clusterArn: {},
            clusterEndpoint: {},
            clusterName: {},
            createTime: {},
            kmsKeyId: {},
            preferredMaintenanceWindow: {},
            shardCapacity: {
              type: "integer"
            },
            shardCount: {
              type: "integer"
            },
            status: {},
            subnetIds: {
              shape: "S6"
            },
            vpcSecurityGroupIds: {
              shape: "S6"
            }
          }
        },
        Sg: {
          type: "structure",
          required: [
            "adminUserName",
            "clusterArn",
            "clusterCreationTime",
            "kmsKeyId",
            "snapshotArn",
            "snapshotCreationTime",
            "snapshotName",
            "status",
            "subnetIds",
            "vpcSecurityGroupIds"
          ],
          members: {
            adminUserName: {},
            clusterArn: {},
            clusterCreationTime: {},
            kmsKeyId: {},
            snapshotArn: {},
            snapshotCreationTime: {},
            snapshotName: {},
            status: {},
            subnetIds: {
              shape: "S6"
            },
            vpcSecurityGroupIds: {
              shape: "S6"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/docdb-elastic-2022-11-28.paginators.json
var require_docdb_elastic_2022_11_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/docdb-elastic-2022-11-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListClusterSnapshots: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "snapshots"
        },
        ListClusters: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "clusters"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/docdbelastic.js
var require_docdbelastic = __commonJS({
  "node_modules/aws-sdk/clients/docdbelastic.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["docdbelastic"] = {};
    AWS2.DocDBElastic = Service.defineService("docdbelastic", ["2022-11-28"]);
    Object.defineProperty(apiLoader.services["docdbelastic"], "2022-11-28", {
      get: function get() {
        var model = require_docdb_elastic_2022_11_28_min();
        model.paginators = require_docdb_elastic_2022_11_28_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.DocDBElastic;
  }
});

// node_modules/aws-sdk/apis/sagemaker-geospatial-2020-05-27.min.json
var require_sagemaker_geospatial_2020_05_27_min = __commonJS({
  "node_modules/aws-sdk/apis/sagemaker-geospatial-2020-05-27.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-05-27",
        endpointPrefix: "sagemaker-geospatial",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon SageMaker geospatial capabilities",
        serviceId: "SageMaker Geospatial",
        signatureVersion: "v4",
        signingName: "sagemaker-geospatial",
        uid: "sagemaker-geospatial-2020-05-27"
      },
      operations: {
        DeleteEarthObservationJob: {
          http: {
            method: "DELETE",
            requestUri: "/earth-observation-jobs/{Arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {
                location: "uri",
                locationName: "Arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteVectorEnrichmentJob: {
          http: {
            method: "DELETE",
            requestUri: "/vector-enrichment-jobs/{Arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {
                location: "uri",
                locationName: "Arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        ExportEarthObservationJob: {
          http: {
            requestUri: "/export-earth-observation-job",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "ExecutionRoleArn",
              "OutputConfig"
            ],
            members: {
              Arn: {},
              ClientToken: {
                idempotencyToken: true
              },
              ExecutionRoleArn: {},
              ExportSourceImages: {
                type: "boolean"
              },
              OutputConfig: {
                shape: "Sb"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "CreationTime",
              "ExecutionRoleArn",
              "ExportStatus",
              "OutputConfig"
            ],
            members: {
              Arn: {},
              CreationTime: {
                shape: "Sg"
              },
              ExecutionRoleArn: {},
              ExportSourceImages: {
                type: "boolean"
              },
              ExportStatus: {},
              OutputConfig: {
                shape: "Sb"
              }
            }
          }
        },
        ExportVectorEnrichmentJob: {
          http: {
            requestUri: "/export-vector-enrichment-jobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "ExecutionRoleArn",
              "OutputConfig"
            ],
            members: {
              Arn: {},
              ClientToken: {
                idempotencyToken: true
              },
              ExecutionRoleArn: {},
              OutputConfig: {
                shape: "Sk"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "CreationTime",
              "ExecutionRoleArn",
              "ExportStatus",
              "OutputConfig"
            ],
            members: {
              Arn: {},
              CreationTime: {
                shape: "Sg"
              },
              ExecutionRoleArn: {},
              ExportStatus: {},
              OutputConfig: {
                shape: "Sk"
              }
            }
          }
        },
        GetEarthObservationJob: {
          http: {
            method: "GET",
            requestUri: "/earth-observation-jobs/{Arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {
                location: "uri",
                locationName: "Arn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "CreationTime",
              "DurationInSeconds",
              "InputConfig",
              "JobConfig",
              "Name",
              "Status"
            ],
            members: {
              Arn: {},
              CreationTime: {
                shape: "Sg"
              },
              DurationInSeconds: {
                type: "integer"
              },
              ErrorDetails: {
                type: "structure",
                members: {
                  Message: {},
                  Type: {}
                }
              },
              ExecutionRoleArn: {},
              ExportErrorDetails: {
                type: "structure",
                members: {
                  ExportResults: {
                    shape: "Sv"
                  },
                  ExportSourceImages: {
                    shape: "Sv"
                  }
                }
              },
              ExportStatus: {},
              InputConfig: {
                shape: "Sx"
              },
              JobConfig: {
                shape: "S1n"
              },
              KmsKeyId: {},
              Name: {},
              OutputBands: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "BandName",
                    "OutputDataType"
                  ],
                  members: {
                    BandName: {},
                    OutputDataType: {}
                  }
                }
              },
              Status: {},
              Tags: {
                shape: "S2i"
              }
            }
          }
        },
        GetRasterDataCollection: {
          http: {
            method: "GET",
            requestUri: "/raster-data-collection/{Arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {
                location: "uri",
                locationName: "Arn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "Description",
              "DescriptionPageUrl",
              "ImageSourceBands",
              "Name",
              "SupportedFilters",
              "Type"
            ],
            members: {
              Arn: {},
              Description: {},
              DescriptionPageUrl: {},
              ImageSourceBands: {
                type: "list",
                member: {}
              },
              Name: {},
              SupportedFilters: {
                shape: "S2m"
              },
              Tags: {
                shape: "S2i"
              },
              Type: {}
            }
          }
        },
        GetTile: {
          http: {
            method: "GET",
            requestUri: "/tile/{z}/{x}/{y}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "ImageAssets",
              "Target",
              "x",
              "y",
              "z"
            ],
            members: {
              Arn: {
                location: "querystring",
                locationName: "Arn"
              },
              ExecutionRoleArn: {
                location: "querystring",
                locationName: "ExecutionRoleArn"
              },
              ImageAssets: {
                shape: "S1t",
                location: "querystring",
                locationName: "ImageAssets"
              },
              ImageMask: {
                location: "querystring",
                locationName: "ImageMask",
                type: "boolean"
              },
              OutputDataType: {
                location: "querystring",
                locationName: "OutputDataType"
              },
              OutputFormat: {
                location: "querystring",
                locationName: "OutputFormat"
              },
              PropertyFilters: {
                location: "querystring",
                locationName: "PropertyFilters"
              },
              Target: {
                location: "querystring",
                locationName: "Target"
              },
              TimeRangeFilter: {
                location: "querystring",
                locationName: "TimeRangeFilter"
              },
              x: {
                location: "uri",
                locationName: "x",
                type: "integer"
              },
              y: {
                location: "uri",
                locationName: "y",
                type: "integer"
              },
              z: {
                location: "uri",
                locationName: "z",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              BinaryFile: {
                type: "blob",
                streaming: true
              }
            },
            payload: "BinaryFile"
          }
        },
        GetVectorEnrichmentJob: {
          http: {
            method: "GET",
            requestUri: "/vector-enrichment-jobs/{Arn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {
                location: "uri",
                locationName: "Arn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "CreationTime",
              "DurationInSeconds",
              "ExecutionRoleArn",
              "InputConfig",
              "JobConfig",
              "Name",
              "Status",
              "Type"
            ],
            members: {
              Arn: {},
              CreationTime: {
                shape: "Sg"
              },
              DurationInSeconds: {
                type: "integer"
              },
              ErrorDetails: {
                type: "structure",
                members: {
                  ErrorMessage: {},
                  ErrorType: {}
                }
              },
              ExecutionRoleArn: {},
              ExportErrorDetails: {
                type: "structure",
                members: {
                  Message: {},
                  Type: {}
                }
              },
              ExportStatus: {},
              InputConfig: {
                shape: "S2z"
              },
              JobConfig: {
                shape: "S32"
              },
              KmsKeyId: {},
              Name: {},
              Status: {},
              Tags: {
                shape: "S2i"
              },
              Type: {}
            }
          }
        },
        ListEarthObservationJobs: {
          http: {
            requestUri: "/list-earth-observation-jobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {
                shape: "S39"
              },
              SortBy: {},
              SortOrder: {},
              StatusEquals: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "EarthObservationJobSummaries"
            ],
            members: {
              EarthObservationJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn",
                    "CreationTime",
                    "DurationInSeconds",
                    "Name",
                    "OperationType",
                    "Status"
                  ],
                  members: {
                    Arn: {},
                    CreationTime: {
                      shape: "Sg"
                    },
                    DurationInSeconds: {
                      type: "integer"
                    },
                    Name: {},
                    OperationType: {},
                    Status: {},
                    Tags: {
                      shape: "S2i"
                    }
                  }
                }
              },
              NextToken: {
                shape: "S39"
              }
            }
          }
        },
        ListRasterDataCollections: {
          http: {
            method: "GET",
            requestUri: "/raster-data-collections",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              NextToken: {
                shape: "S39",
                location: "querystring",
                locationName: "NextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "RasterDataCollectionSummaries"
            ],
            members: {
              NextToken: {
                shape: "S39"
              },
              RasterDataCollectionSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn",
                    "Description",
                    "Name",
                    "SupportedFilters",
                    "Type"
                  ],
                  members: {
                    Arn: {},
                    Description: {},
                    DescriptionPageUrl: {},
                    Name: {},
                    SupportedFilters: {
                      shape: "S2m"
                    },
                    Tags: {
                      shape: "S2i"
                    },
                    Type: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S2i"
              }
            }
          }
        },
        ListVectorEnrichmentJobs: {
          http: {
            requestUri: "/list-vector-enrichment-jobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {
                shape: "S39"
              },
              SortBy: {},
              SortOrder: {},
              StatusEquals: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "VectorEnrichmentJobSummaries"
            ],
            members: {
              NextToken: {
                shape: "S39"
              },
              VectorEnrichmentJobSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn",
                    "CreationTime",
                    "DurationInSeconds",
                    "Name",
                    "Status",
                    "Type"
                  ],
                  members: {
                    Arn: {},
                    CreationTime: {
                      shape: "Sg"
                    },
                    DurationInSeconds: {
                      type: "integer"
                    },
                    Name: {},
                    Status: {},
                    Tags: {
                      shape: "S2i"
                    },
                    Type: {}
                  }
                }
              }
            }
          }
        },
        SearchRasterDataCollection: {
          http: {
            requestUri: "/search-raster-data-collection",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "RasterDataCollectionQuery"
            ],
            members: {
              Arn: {},
              NextToken: {
                shape: "S39"
              },
              RasterDataCollectionQuery: {
                type: "structure",
                required: [
                  "TimeRangeFilter"
                ],
                members: {
                  AreaOfInterest: {
                    shape: "Sz"
                  },
                  BandFilter: {
                    shape: "S1t"
                  },
                  PropertyFilters: {
                    shape: "S18"
                  },
                  TimeRangeFilter: {
                    shape: "S3t"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ApproximateResultCount"
            ],
            members: {
              ApproximateResultCount: {
                type: "integer"
              },
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "DateTime",
                    "Geometry",
                    "Id"
                  ],
                  members: {
                    Assets: {
                      type: "map",
                      key: {},
                      value: {
                        type: "structure",
                        members: {
                          Href: {}
                        }
                      }
                    },
                    DateTime: {
                      type: "timestamp"
                    },
                    Geometry: {
                      type: "structure",
                      required: [
                        "Coordinates",
                        "Type"
                      ],
                      members: {
                        Coordinates: {
                          shape: "S13"
                        },
                        Type: {}
                      }
                    },
                    Id: {},
                    Properties: {
                      type: "structure",
                      members: {
                        EoCloudCover: {
                          type: "float"
                        },
                        LandsatCloudCoverLand: {
                          type: "float"
                        },
                        Platform: {},
                        ViewOffNadir: {
                          type: "float"
                        },
                        ViewSunAzimuth: {
                          type: "float"
                        },
                        ViewSunElevation: {
                          type: "float"
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {
                shape: "S39"
              }
            }
          }
        },
        StartEarthObservationJob: {
          http: {
            requestUri: "/earth-observation-jobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ExecutionRoleArn",
              "InputConfig",
              "JobConfig",
              "Name"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              ExecutionRoleArn: {},
              InputConfig: {
                type: "structure",
                members: {
                  PreviousEarthObservationJobArn: {},
                  RasterDataCollectionQuery: {
                    type: "structure",
                    required: [
                      "RasterDataCollectionArn",
                      "TimeRangeFilter"
                    ],
                    members: {
                      AreaOfInterest: {
                        shape: "Sz"
                      },
                      PropertyFilters: {
                        shape: "S18"
                      },
                      RasterDataCollectionArn: {},
                      TimeRangeFilter: {
                        shape: "S3t"
                      }
                    }
                  }
                }
              },
              JobConfig: {
                shape: "S1n"
              },
              KmsKeyId: {},
              Name: {},
              Tags: {
                shape: "S2i"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "CreationTime",
              "DurationInSeconds",
              "ExecutionRoleArn",
              "JobConfig",
              "Name",
              "Status"
            ],
            members: {
              Arn: {},
              CreationTime: {
                shape: "Sg"
              },
              DurationInSeconds: {
                type: "integer"
              },
              ExecutionRoleArn: {},
              InputConfig: {
                shape: "Sx"
              },
              JobConfig: {
                shape: "S1n"
              },
              KmsKeyId: {},
              Name: {},
              Status: {},
              Tags: {
                shape: "S2i"
              }
            }
          },
          idempotent: true
        },
        StartVectorEnrichmentJob: {
          http: {
            requestUri: "/vector-enrichment-jobs",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ExecutionRoleArn",
              "InputConfig",
              "JobConfig",
              "Name"
            ],
            members: {
              ClientToken: {
                idempotencyToken: true
              },
              ExecutionRoleArn: {},
              InputConfig: {
                shape: "S2z"
              },
              JobConfig: {
                shape: "S32"
              },
              KmsKeyId: {},
              Name: {},
              Tags: {
                shape: "S2i"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "CreationTime",
              "DurationInSeconds",
              "ExecutionRoleArn",
              "InputConfig",
              "JobConfig",
              "Name",
              "Status",
              "Type"
            ],
            members: {
              Arn: {},
              CreationTime: {
                shape: "Sg"
              },
              DurationInSeconds: {
                type: "integer"
              },
              ExecutionRoleArn: {},
              InputConfig: {
                shape: "S2z"
              },
              JobConfig: {
                shape: "S32"
              },
              KmsKeyId: {},
              Name: {},
              Status: {},
              Tags: {
                shape: "S2i"
              },
              Type: {}
            }
          },
          idempotent: true
        },
        StopEarthObservationJob: {
          http: {
            requestUri: "/earth-observation-jobs/stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StopVectorEnrichmentJob: {
          http: {
            requestUri: "/vector-enrichment-jobs/stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        TagResource: {
          http: {
            method: "PUT",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "S2i"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        }
      },
      shapes: {
        Sb: {
          type: "structure",
          required: [
            "S3Data"
          ],
          members: {
            S3Data: {
              type: "structure",
              required: [
                "S3Uri"
              ],
              members: {
                KmsKeyId: {},
                S3Uri: {}
              }
            }
          }
        },
        Sg: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sk: {
          type: "structure",
          required: [
            "S3Data"
          ],
          members: {
            S3Data: {
              shape: "Sl"
            }
          }
        },
        Sl: {
          type: "structure",
          required: [
            "S3Uri"
          ],
          members: {
            KmsKeyId: {},
            S3Uri: {}
          }
        },
        Sv: {
          type: "structure",
          members: {
            Message: {},
            Type: {}
          }
        },
        Sx: {
          type: "structure",
          members: {
            PreviousEarthObservationJobArn: {},
            RasterDataCollectionQuery: {
              type: "structure",
              required: [
                "RasterDataCollectionArn",
                "RasterDataCollectionName",
                "TimeRangeFilter"
              ],
              members: {
                AreaOfInterest: {
                  shape: "Sz"
                },
                PropertyFilters: {
                  shape: "S18"
                },
                RasterDataCollectionArn: {},
                RasterDataCollectionName: {},
                TimeRangeFilter: {
                  type: "structure",
                  required: [
                    "EndTime",
                    "StartTime"
                  ],
                  members: {
                    EndTime: {
                      shape: "Sg"
                    },
                    StartTime: {
                      shape: "Sg"
                    }
                  },
                  sensitive: true
                }
              }
            }
          }
        },
        Sz: {
          type: "structure",
          members: {
            AreaOfInterestGeometry: {
              type: "structure",
              members: {
                MultiPolygonGeometry: {
                  type: "structure",
                  required: [
                    "Coordinates"
                  ],
                  members: {
                    Coordinates: {
                      type: "list",
                      member: {
                        shape: "S13"
                      }
                    }
                  }
                },
                PolygonGeometry: {
                  type: "structure",
                  required: [
                    "Coordinates"
                  ],
                  members: {
                    Coordinates: {
                      shape: "S13"
                    }
                  }
                }
              },
              union: true
            }
          },
          union: true
        },
        S13: {
          type: "list",
          member: {
            type: "list",
            member: {
              type: "list",
              member: {
                type: "double"
              },
              sensitive: true
            }
          }
        },
        S18: {
          type: "structure",
          members: {
            LogicalOperator: {},
            Properties: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "Property"
                ],
                members: {
                  Property: {
                    type: "structure",
                    members: {
                      EoCloudCover: {
                        type: "structure",
                        required: [
                          "LowerBound",
                          "UpperBound"
                        ],
                        members: {
                          LowerBound: {
                            type: "float"
                          },
                          UpperBound: {
                            type: "float"
                          }
                        }
                      },
                      LandsatCloudCoverLand: {
                        type: "structure",
                        required: [
                          "LowerBound",
                          "UpperBound"
                        ],
                        members: {
                          LowerBound: {
                            type: "float"
                          },
                          UpperBound: {
                            type: "float"
                          }
                        }
                      },
                      Platform: {
                        type: "structure",
                        required: [
                          "Value"
                        ],
                        members: {
                          ComparisonOperator: {},
                          Value: {}
                        }
                      },
                      ViewOffNadir: {
                        type: "structure",
                        required: [
                          "LowerBound",
                          "UpperBound"
                        ],
                        members: {
                          LowerBound: {
                            type: "float"
                          },
                          UpperBound: {
                            type: "float"
                          }
                        }
                      },
                      ViewSunAzimuth: {
                        type: "structure",
                        required: [
                          "LowerBound",
                          "UpperBound"
                        ],
                        members: {
                          LowerBound: {
                            type: "float"
                          },
                          UpperBound: {
                            type: "float"
                          }
                        }
                      },
                      ViewSunElevation: {
                        type: "structure",
                        required: [
                          "LowerBound",
                          "UpperBound"
                        ],
                        members: {
                          LowerBound: {
                            type: "float"
                          },
                          UpperBound: {
                            type: "float"
                          }
                        }
                      }
                    },
                    union: true
                  }
                }
              }
            }
          }
        },
        S1n: {
          type: "structure",
          members: {
            BandMathConfig: {
              type: "structure",
              members: {
                CustomIndices: {
                  type: "structure",
                  members: {
                    Operations: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "Equation",
                          "Name"
                        ],
                        members: {
                          Equation: {},
                          Name: {},
                          OutputType: {}
                        }
                      }
                    }
                  }
                },
                PredefinedIndices: {
                  shape: "S1t"
                }
              }
            },
            CloudMaskingConfig: {
              type: "structure",
              members: {}
            },
            CloudRemovalConfig: {
              type: "structure",
              members: {
                AlgorithmName: {},
                InterpolationValue: {},
                TargetBands: {
                  shape: "S1t"
                }
              }
            },
            GeoMosaicConfig: {
              type: "structure",
              members: {
                AlgorithmName: {},
                TargetBands: {
                  shape: "S1t"
                }
              }
            },
            LandCoverSegmentationConfig: {
              type: "structure",
              members: {}
            },
            ResamplingConfig: {
              type: "structure",
              required: [
                "OutputResolution"
              ],
              members: {
                AlgorithmName: {},
                OutputResolution: {
                  type: "structure",
                  required: [
                    "UserDefined"
                  ],
                  members: {
                    UserDefined: {
                      shape: "S23"
                    }
                  }
                },
                TargetBands: {
                  shape: "S1t"
                }
              }
            },
            StackConfig: {
              type: "structure",
              members: {
                OutputResolution: {
                  type: "structure",
                  members: {
                    Predefined: {},
                    UserDefined: {
                      shape: "S23"
                    }
                  }
                },
                TargetBands: {
                  shape: "S1t"
                }
              }
            },
            TemporalStatisticsConfig: {
              type: "structure",
              required: [
                "Statistics"
              ],
              members: {
                GroupBy: {},
                Statistics: {
                  type: "list",
                  member: {}
                },
                TargetBands: {
                  shape: "S1t"
                }
              }
            },
            ZonalStatisticsConfig: {
              type: "structure",
              required: [
                "Statistics",
                "ZoneS3Path"
              ],
              members: {
                Statistics: {
                  type: "list",
                  member: {}
                },
                TargetBands: {
                  shape: "S1t"
                },
                ZoneS3Path: {},
                ZoneS3PathKmsKeyId: {}
              }
            }
          },
          union: true
        },
        S1t: {
          type: "list",
          member: {}
        },
        S23: {
          type: "structure",
          required: [
            "Unit",
            "Value"
          ],
          members: {
            Unit: {},
            Value: {
              type: "float"
            }
          }
        },
        S2i: {
          type: "map",
          key: {},
          value: {}
        },
        S2m: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Name",
              "Type"
            ],
            members: {
              Maximum: {
                type: "float"
              },
              Minimum: {
                type: "float"
              },
              Name: {},
              Type: {}
            }
          }
        },
        S2z: {
          type: "structure",
          required: [
            "DataSourceConfig",
            "DocumentType"
          ],
          members: {
            DataSourceConfig: {
              type: "structure",
              members: {
                S3Data: {
                  shape: "Sl"
                }
              },
              union: true
            },
            DocumentType: {}
          }
        },
        S32: {
          type: "structure",
          members: {
            MapMatchingConfig: {
              type: "structure",
              required: [
                "IdAttributeName",
                "TimestampAttributeName",
                "XAttributeName",
                "YAttributeName"
              ],
              members: {
                IdAttributeName: {},
                TimestampAttributeName: {},
                XAttributeName: {},
                YAttributeName: {}
              }
            },
            ReverseGeocodingConfig: {
              type: "structure",
              required: [
                "XAttributeName",
                "YAttributeName"
              ],
              members: {
                XAttributeName: {},
                YAttributeName: {}
              }
            }
          },
          union: true
        },
        S39: {
          type: "string",
          sensitive: true
        },
        S3t: {
          type: "structure",
          required: [
            "EndTime",
            "StartTime"
          ],
          members: {
            EndTime: {
              type: "timestamp"
            },
            StartTime: {
              type: "timestamp"
            }
          },
          sensitive: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/sagemaker-geospatial-2020-05-27.paginators.json
var require_sagemaker_geospatial_2020_05_27_paginators = __commonJS({
  "node_modules/aws-sdk/apis/sagemaker-geospatial-2020-05-27.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListEarthObservationJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "EarthObservationJobSummaries"
        },
        ListRasterDataCollections: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "RasterDataCollectionSummaries"
        },
        ListVectorEnrichmentJobs: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "VectorEnrichmentJobSummaries"
        },
        SearchRasterDataCollection: {
          input_token: "NextToken",
          output_token: "NextToken"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/sagemakergeospatial.js
var require_sagemakergeospatial = __commonJS({
  "node_modules/aws-sdk/clients/sagemakergeospatial.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["sagemakergeospatial"] = {};
    AWS2.SageMakerGeospatial = Service.defineService("sagemakergeospatial", ["2020-05-27"]);
    Object.defineProperty(apiLoader.services["sagemakergeospatial"], "2020-05-27", {
      get: function get() {
        var model = require_sagemaker_geospatial_2020_05_27_min();
        model.paginators = require_sagemaker_geospatial_2020_05_27_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SageMakerGeospatial;
  }
});

// node_modules/aws-sdk/apis/codecatalyst-2022-09-28.min.json
var require_codecatalyst_2022_09_28_min = __commonJS({
  "node_modules/aws-sdk/apis/codecatalyst-2022-09-28.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-09-28",
        endpointPrefix: "codecatalyst",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon CodeCatalyst",
        serviceId: "CodeCatalyst",
        signatureVersion: "bearer",
        signingName: "codecatalyst",
        uid: "codecatalyst-2022-09-28"
      },
      operations: {
        CreateAccessToken: {
          http: {
            method: "PUT",
            requestUri: "/v1/accessTokens",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {},
              expiresTime: {
                shape: "S3"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "secret",
              "name",
              "expiresTime",
              "accessTokenId"
            ],
            members: {
              secret: {
                type: "string",
                sensitive: true
              },
              name: {},
              expiresTime: {
                shape: "S3"
              },
              accessTokenId: {}
            }
          }
        },
        CreateDevEnvironment: {
          http: {
            method: "PUT",
            requestUri: "/v1/spaces/{spaceName}/projects/{projectName}/devEnvironments",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "instanceType",
              "persistentStorage"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              repositories: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "repositoryName"
                  ],
                  members: {
                    repositoryName: {},
                    branchName: {}
                  }
                }
              },
              clientToken: {},
              alias: {},
              ides: {
                shape: "Sf"
              },
              instanceType: {},
              inactivityTimeoutMinutes: {
                type: "integer"
              },
              persistentStorage: {
                type: "structure",
                required: [
                  "sizeInGiB"
                ],
                members: {
                  sizeInGiB: {
                    type: "integer"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "id"
            ],
            members: {
              spaceName: {},
              projectName: {},
              id: {}
            }
          },
          idempotent: true
        },
        CreateProject: {
          http: {
            method: "PUT",
            requestUri: "/v1/spaces/{spaceName}/projects",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "displayName"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              displayName: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              spaceName: {},
              name: {},
              displayName: {},
              description: {}
            }
          },
          idempotent: true
        },
        CreateSourceRepositoryBranch: {
          http: {
            method: "PUT",
            requestUri: "/v1/spaces/{spaceName}/projects/{projectName}/sourceRepositories/{sourceRepositoryName}/branches/{name}",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "sourceRepositoryName",
              "name"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              sourceRepositoryName: {
                location: "uri",
                locationName: "sourceRepositoryName"
              },
              name: {
                location: "uri",
                locationName: "name"
              },
              headCommitId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              ref: {},
              name: {},
              lastUpdatedTime: {
                shape: "S3"
              },
              headCommitId: {}
            }
          },
          idempotent: true
        },
        DeleteAccessToken: {
          http: {
            method: "DELETE",
            requestUri: "/v1/accessTokens/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "id"
            ],
            members: {
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteDevEnvironment: {
          http: {
            method: "DELETE",
            requestUri: "/v1/spaces/{spaceName}/projects/{projectName}/devEnvironments/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "id"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "id"
            ],
            members: {
              spaceName: {},
              projectName: {},
              id: {}
            }
          },
          idempotent: true
        },
        GetDevEnvironment: {
          http: {
            method: "GET",
            requestUri: "/v1/spaces/{spaceName}/projects/{projectName}/devEnvironments/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "id"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "id",
              "lastUpdatedTime",
              "creatorId",
              "status",
              "repositories",
              "instanceType",
              "inactivityTimeoutMinutes",
              "persistentStorage"
            ],
            members: {
              spaceName: {},
              projectName: {},
              id: {},
              lastUpdatedTime: {
                shape: "S3"
              },
              creatorId: {},
              status: {},
              statusReason: {},
              repositories: {
                shape: "S16"
              },
              alias: {},
              ides: {
                shape: "S19"
              },
              instanceType: {},
              inactivityTimeoutMinutes: {
                type: "integer"
              },
              persistentStorage: {
                shape: "S1d"
              }
            }
          }
        },
        GetProject: {
          http: {
            method: "GET",
            requestUri: "/v1/spaces/{spaceName}/projects/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "name"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              spaceName: {},
              name: {},
              displayName: {},
              description: {}
            }
          }
        },
        GetSourceRepositoryCloneUrls: {
          http: {
            method: "GET",
            requestUri: "/v1/spaces/{spaceName}/projects/{projectName}/sourceRepositories/{sourceRepositoryName}/cloneUrls",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "sourceRepositoryName"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              sourceRepositoryName: {
                location: "uri",
                locationName: "sourceRepositoryName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "https"
            ],
            members: {
              https: {}
            }
          }
        },
        GetSpace: {
          http: {
            method: "GET",
            requestUri: "/v1/spaces/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "name",
              "regionName"
            ],
            members: {
              name: {},
              regionName: {},
              displayName: {},
              description: {}
            }
          }
        },
        GetSubscription: {
          http: {
            method: "GET",
            requestUri: "/v1/spaces/{spaceName}/subscription",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "spaceName"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              subscriptionType: {},
              awsAccountName: {}
            }
          }
        },
        GetUserDetails: {
          http: {
            method: "GET",
            requestUri: "/userDetails",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              id: {
                location: "querystring",
                locationName: "id"
              },
              userName: {
                location: "querystring",
                locationName: "userName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              userId: {},
              userName: {},
              displayName: {},
              primaryEmail: {
                type: "structure",
                members: {
                  email: {},
                  verified: {
                    type: "boolean"
                  }
                }
              },
              version: {}
            }
          }
        },
        ListAccessTokens: {
          http: {
            requestUri: "/v1/accessTokens",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "items"
            ],
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "name"
                  ],
                  members: {
                    id: {},
                    name: {},
                    expiresTime: {
                      shape: "S3"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDevEnvironmentSessions: {
          http: {
            requestUri: "/v1/spaces/{spaceName}/projects/{projectName}/devEnvironments/{devEnvironmentId}/sessions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "devEnvironmentId"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              devEnvironmentId: {
                location: "uri",
                locationName: "devEnvironmentId"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "items"
            ],
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "spaceName",
                    "projectName",
                    "devEnvironmentId",
                    "startedTime",
                    "id"
                  ],
                  members: {
                    spaceName: {},
                    projectName: {},
                    devEnvironmentId: {},
                    startedTime: {
                      shape: "S3"
                    },
                    id: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListDevEnvironments: {
          http: {
            requestUri: "/v1/spaces/{spaceName}/projects/{projectName}/devEnvironments",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "projectName"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "key",
                    "values"
                  ],
                  members: {
                    key: {},
                    values: {
                      shape: "S2a"
                    },
                    comparisonOperator: {}
                  }
                }
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "items"
            ],
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "lastUpdatedTime",
                    "creatorId",
                    "status",
                    "repositories",
                    "instanceType",
                    "inactivityTimeoutMinutes",
                    "persistentStorage"
                  ],
                  members: {
                    spaceName: {},
                    projectName: {},
                    id: {},
                    lastUpdatedTime: {
                      shape: "S3"
                    },
                    creatorId: {},
                    status: {},
                    statusReason: {},
                    repositories: {
                      shape: "S16"
                    },
                    alias: {},
                    ides: {
                      shape: "S19"
                    },
                    instanceType: {},
                    inactivityTimeoutMinutes: {
                      type: "integer"
                    },
                    persistentStorage: {
                      shape: "S1d"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListEventLogs: {
          http: {
            requestUri: "/v1/spaces/{spaceName}/eventLogs",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "startTime",
              "endTime"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              startTime: {
                shape: "S3"
              },
              endTime: {
                shape: "S3"
              },
              eventName: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "items"
            ],
            members: {
              nextToken: {},
              items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "eventName",
                    "eventType",
                    "eventCategory",
                    "eventSource",
                    "eventTime",
                    "operationType",
                    "userIdentity"
                  ],
                  members: {
                    id: {},
                    eventName: {},
                    eventType: {},
                    eventCategory: {},
                    eventSource: {},
                    eventTime: {
                      shape: "S3"
                    },
                    operationType: {},
                    userIdentity: {
                      type: "structure",
                      required: [
                        "userType",
                        "principalId"
                      ],
                      members: {
                        userType: {},
                        principalId: {},
                        userName: {},
                        awsAccountId: {}
                      }
                    },
                    projectInformation: {
                      type: "structure",
                      members: {
                        name: {},
                        projectId: {}
                      }
                    },
                    requestId: {},
                    requestPayload: {
                      shape: "S2s"
                    },
                    responsePayload: {
                      shape: "S2s"
                    },
                    errorCode: {},
                    sourceIpAddress: {},
                    userAgent: {}
                  }
                }
              }
            }
          }
        },
        ListProjects: {
          http: {
            requestUri: "/v1/spaces/{spaceName}/projects",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "spaceName"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "key",
                    "values"
                  ],
                  members: {
                    key: {},
                    values: {
                      shape: "S2a"
                    },
                    comparisonOperator: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name"
                  ],
                  members: {
                    name: {},
                    displayName: {},
                    description: {}
                  }
                }
              }
            }
          }
        },
        ListSourceRepositories: {
          http: {
            requestUri: "/v1/spaces/{spaceName}/projects/{projectName}/sourceRepositories",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "projectName"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "name",
                    "lastUpdatedTime",
                    "createdTime"
                  ],
                  members: {
                    id: {},
                    name: {},
                    description: {},
                    lastUpdatedTime: {
                      shape: "S3b"
                    },
                    createdTime: {
                      shape: "S3b"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSourceRepositoryBranches: {
          http: {
            requestUri: "/v1/spaces/{spaceName}/projects/{projectName}/sourceRepositories/{sourceRepositoryName}/branches",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "sourceRepositoryName"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              sourceRepositoryName: {
                location: "uri",
                locationName: "sourceRepositoryName"
              },
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "items"
            ],
            members: {
              nextToken: {},
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    ref: {},
                    name: {},
                    lastUpdatedTime: {
                      shape: "S3"
                    },
                    headCommitId: {}
                  }
                }
              }
            }
          }
        },
        ListSpaces: {
          http: {
            requestUri: "/v1/spaces",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "regionName"
                  ],
                  members: {
                    name: {},
                    regionName: {},
                    displayName: {},
                    description: {}
                  }
                }
              }
            }
          }
        },
        StartDevEnvironment: {
          http: {
            method: "PUT",
            requestUri: "/v1/spaces/{spaceName}/projects/{projectName}/devEnvironments/{id}/start",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "id"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              id: {
                location: "uri",
                locationName: "id"
              },
              ides: {
                shape: "Sf"
              },
              instanceType: {},
              inactivityTimeoutMinutes: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "id",
              "status"
            ],
            members: {
              spaceName: {},
              projectName: {},
              id: {},
              status: {}
            }
          },
          idempotent: true
        },
        StartDevEnvironmentSession: {
          http: {
            method: "PUT",
            requestUri: "/v1/spaces/{spaceName}/projects/{projectName}/devEnvironments/{id}/session",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "id",
              "sessionConfiguration"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              id: {
                location: "uri",
                locationName: "id"
              },
              sessionConfiguration: {
                type: "structure",
                required: [
                  "sessionType"
                ],
                members: {
                  sessionType: {},
                  executeCommandSessionConfiguration: {
                    type: "structure",
                    required: [
                      "command"
                    ],
                    members: {
                      command: {},
                      arguments: {
                        type: "list",
                        member: {}
                      }
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "accessDetails",
              "spaceName",
              "projectName",
              "id"
            ],
            members: {
              accessDetails: {
                type: "structure",
                required: [
                  "streamUrl",
                  "tokenValue"
                ],
                members: {
                  streamUrl: {
                    shape: "S3y"
                  },
                  tokenValue: {
                    shape: "S3y"
                  }
                },
                sensitive: true
              },
              sessionId: {},
              spaceName: {},
              projectName: {},
              id: {}
            }
          }
        },
        StopDevEnvironment: {
          http: {
            method: "PUT",
            requestUri: "/v1/spaces/{spaceName}/projects/{projectName}/devEnvironments/{id}/stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "id"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              id: {
                location: "uri",
                locationName: "id"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "id",
              "status"
            ],
            members: {
              spaceName: {},
              projectName: {},
              id: {},
              status: {}
            }
          },
          idempotent: true
        },
        StopDevEnvironmentSession: {
          http: {
            method: "DELETE",
            requestUri: "/v1/spaces/{spaceName}/projects/{projectName}/devEnvironments/{id}/session/{sessionId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "id",
              "sessionId"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              id: {
                location: "uri",
                locationName: "id"
              },
              sessionId: {
                location: "uri",
                locationName: "sessionId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "id",
              "sessionId"
            ],
            members: {
              spaceName: {},
              projectName: {},
              id: {},
              sessionId: {}
            }
          },
          idempotent: true
        },
        UpdateDevEnvironment: {
          http: {
            method: "PATCH",
            requestUri: "/v1/spaces/{spaceName}/projects/{projectName}/devEnvironments/{id}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "spaceName",
              "projectName",
              "id"
            ],
            members: {
              spaceName: {
                location: "uri",
                locationName: "spaceName"
              },
              projectName: {
                location: "uri",
                locationName: "projectName"
              },
              id: {
                location: "uri",
                locationName: "id"
              },
              alias: {},
              ides: {
                shape: "Sf"
              },
              instanceType: {},
              inactivityTimeoutMinutes: {
                type: "integer"
              },
              clientToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "id",
              "spaceName",
              "projectName"
            ],
            members: {
              id: {},
              spaceName: {},
              projectName: {},
              alias: {},
              ides: {
                shape: "Sf"
              },
              instanceType: {},
              inactivityTimeoutMinutes: {
                type: "integer"
              },
              clientToken: {}
            }
          },
          idempotent: true
        },
        VerifySession: {
          http: {
            method: "GET",
            requestUri: "/session",
            responseCode: 200
          },
          output: {
            type: "structure",
            members: {
              identity: {}
            }
          }
        }
      },
      shapes: {
        S3: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sf: {
          type: "list",
          member: {
            type: "structure",
            members: {
              runtime: {},
              name: {}
            }
          }
        },
        S16: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "repositoryName"
            ],
            members: {
              repositoryName: {},
              branchName: {}
            }
          }
        },
        S19: {
          type: "list",
          member: {
            type: "structure",
            members: {
              runtime: {},
              name: {}
            }
          }
        },
        S1d: {
          type: "structure",
          required: [
            "sizeInGiB"
          ],
          members: {
            sizeInGiB: {
              type: "integer"
            }
          }
        },
        S2a: {
          type: "list",
          member: {}
        },
        S2s: {
          type: "structure",
          members: {
            contentType: {},
            data: {}
          }
        },
        S3b: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S3y: {
          type: "string",
          sensitive: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/codecatalyst-2022-09-28.paginators.json
var require_codecatalyst_2022_09_28_paginators = __commonJS({
  "node_modules/aws-sdk/apis/codecatalyst-2022-09-28.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAccessTokens: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListDevEnvironmentSessions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListDevEnvironments: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListEventLogs: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListProjects: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListSourceRepositories: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListSourceRepositoryBranches: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListSpaces: {
          input_token: "nextToken",
          output_token: "nextToken",
          result_key: "items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/codecatalyst-2022-09-28.waiters2.json
var require_codecatalyst_2022_09_28_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/codecatalyst-2022-09-28.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {}
    };
  }
});

// node_modules/aws-sdk/clients/codecatalyst.js
var require_codecatalyst = __commonJS({
  "node_modules/aws-sdk/clients/codecatalyst.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["codecatalyst"] = {};
    AWS2.CodeCatalyst = Service.defineService("codecatalyst", ["2022-09-28"]);
    Object.defineProperty(apiLoader.services["codecatalyst"], "2022-09-28", {
      get: function get() {
        var model = require_codecatalyst_2022_09_28_min();
        model.paginators = require_codecatalyst_2022_09_28_paginators().pagination;
        model.waiters = require_codecatalyst_2022_09_28_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CodeCatalyst;
  }
});

// node_modules/aws-sdk/apis/pipes-2015-10-07.min.json
var require_pipes_2015_10_07_min = __commonJS({
  "node_modules/aws-sdk/apis/pipes-2015-10-07.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2015-10-07",
        endpointPrefix: "pipes",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon EventBridge Pipes",
        serviceId: "Pipes",
        signatureVersion: "v4",
        signingName: "pipes",
        uid: "pipes-2015-10-07"
      },
      operations: {
        CreatePipe: {
          http: {
            requestUri: "/v1/pipes/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "RoleArn",
              "Source",
              "Target"
            ],
            members: {
              Description: {
                shape: "S2"
              },
              DesiredState: {},
              Enrichment: {},
              EnrichmentParameters: {
                shape: "S5"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              },
              RoleArn: {},
              Source: {},
              SourceParameters: {
                shape: "Sj"
              },
              Tags: {
                shape: "S1m"
              },
              Target: {},
              TargetParameters: {
                shape: "S1p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTime: {
                type: "timestamp"
              },
              CurrentState: {},
              DesiredState: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              Name: {}
            }
          },
          idempotent: true
        },
        DeletePipe: {
          http: {
            method: "DELETE",
            requestUri: "/v1/pipes/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTime: {
                type: "timestamp"
              },
              CurrentState: {},
              DesiredState: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              Name: {}
            }
          },
          idempotent: true
        },
        DescribePipe: {
          http: {
            method: "GET",
            requestUri: "/v1/pipes/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTime: {
                type: "timestamp"
              },
              CurrentState: {},
              Description: {
                shape: "S2"
              },
              DesiredState: {},
              Enrichment: {},
              EnrichmentParameters: {
                shape: "S5"
              },
              LastModifiedTime: {
                type: "timestamp"
              },
              Name: {},
              RoleArn: {},
              Source: {},
              SourceParameters: {
                shape: "Sj"
              },
              StateReason: {},
              Tags: {
                shape: "S1m"
              },
              Target: {},
              TargetParameters: {
                shape: "S1p"
              }
            }
          }
        },
        ListPipes: {
          http: {
            method: "GET",
            requestUri: "/v1/pipes",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              CurrentState: {
                location: "querystring",
                locationName: "CurrentState"
              },
              DesiredState: {
                location: "querystring",
                locationName: "DesiredState"
              },
              Limit: {
                location: "querystring",
                locationName: "Limit",
                type: "integer"
              },
              NamePrefix: {
                location: "querystring",
                locationName: "NamePrefix"
              },
              NextToken: {
                shape: "S4k",
                location: "querystring",
                locationName: "NextToken"
              },
              SourcePrefix: {
                location: "querystring",
                locationName: "SourcePrefix"
              },
              TargetPrefix: {
                location: "querystring",
                locationName: "TargetPrefix"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {
                shape: "S4k"
              },
              Pipes: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Arn: {},
                    CreationTime: {
                      type: "timestamp"
                    },
                    CurrentState: {},
                    DesiredState: {},
                    Enrichment: {},
                    LastModifiedTime: {
                      type: "timestamp"
                    },
                    Name: {},
                    Source: {},
                    StateReason: {},
                    Target: {}
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S1m"
              }
            }
          }
        },
        StartPipe: {
          http: {
            requestUri: "/v1/pipes/{Name}/start",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTime: {
                type: "timestamp"
              },
              CurrentState: {},
              DesiredState: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              Name: {}
            }
          }
        },
        StopPipe: {
          http: {
            requestUri: "/v1/pipes/{Name}/stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {
                location: "uri",
                locationName: "Name"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTime: {
                type: "timestamp"
              },
              CurrentState: {},
              DesiredState: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              Name: {}
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S1m"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdatePipe: {
          http: {
            method: "PUT",
            requestUri: "/v1/pipes/{Name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "Name",
              "RoleArn"
            ],
            members: {
              Description: {
                shape: "S2"
              },
              DesiredState: {},
              Enrichment: {},
              EnrichmentParameters: {
                shape: "S5"
              },
              Name: {
                location: "uri",
                locationName: "Name"
              },
              RoleArn: {},
              SourceParameters: {
                type: "structure",
                members: {
                  ActiveMQBrokerParameters: {
                    type: "structure",
                    required: [
                      "Credentials"
                    ],
                    members: {
                      BatchSize: {
                        type: "integer"
                      },
                      Credentials: {
                        shape: "Sm"
                      },
                      MaximumBatchingWindowInSeconds: {
                        type: "integer"
                      }
                    }
                  },
                  DynamoDBStreamParameters: {
                    type: "structure",
                    members: {
                      BatchSize: {
                        type: "integer"
                      },
                      DeadLetterConfig: {
                        shape: "Sr"
                      },
                      MaximumBatchingWindowInSeconds: {
                        type: "integer"
                      },
                      MaximumRecordAgeInSeconds: {
                        type: "integer"
                      },
                      MaximumRetryAttempts: {
                        type: "integer"
                      },
                      OnPartialBatchItemFailure: {},
                      ParallelizationFactor: {
                        type: "integer"
                      }
                    }
                  },
                  FilterCriteria: {
                    shape: "Sy"
                  },
                  KinesisStreamParameters: {
                    type: "structure",
                    members: {
                      BatchSize: {
                        type: "integer"
                      },
                      DeadLetterConfig: {
                        shape: "Sr"
                      },
                      MaximumBatchingWindowInSeconds: {
                        type: "integer"
                      },
                      MaximumRecordAgeInSeconds: {
                        type: "integer"
                      },
                      MaximumRetryAttempts: {
                        type: "integer"
                      },
                      OnPartialBatchItemFailure: {},
                      ParallelizationFactor: {
                        type: "integer"
                      }
                    }
                  },
                  ManagedStreamingKafkaParameters: {
                    type: "structure",
                    members: {
                      BatchSize: {
                        type: "integer"
                      },
                      Credentials: {
                        shape: "S17"
                      },
                      MaximumBatchingWindowInSeconds: {
                        type: "integer"
                      }
                    }
                  },
                  RabbitMQBrokerParameters: {
                    type: "structure",
                    required: [
                      "Credentials"
                    ],
                    members: {
                      BatchSize: {
                        type: "integer"
                      },
                      Credentials: {
                        shape: "Sm"
                      },
                      MaximumBatchingWindowInSeconds: {
                        type: "integer"
                      }
                    }
                  },
                  SelfManagedKafkaParameters: {
                    type: "structure",
                    members: {
                      BatchSize: {
                        type: "integer"
                      },
                      Credentials: {
                        shape: "S1e"
                      },
                      MaximumBatchingWindowInSeconds: {
                        type: "integer"
                      },
                      ServerRootCaCertificate: {},
                      Vpc: {
                        shape: "S1g"
                      }
                    }
                  },
                  SqsQueueParameters: {
                    type: "structure",
                    members: {
                      BatchSize: {
                        type: "integer"
                      },
                      MaximumBatchingWindowInSeconds: {
                        type: "integer"
                      }
                    }
                  }
                }
              },
              Target: {},
              TargetParameters: {
                shape: "S1p"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Arn: {},
              CreationTime: {
                type: "timestamp"
              },
              CurrentState: {},
              DesiredState: {},
              LastModifiedTime: {
                type: "timestamp"
              },
              Name: {}
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S2: {
          type: "string",
          sensitive: true
        },
        S5: {
          type: "structure",
          members: {
            HttpParameters: {
              type: "structure",
              members: {
                HeaderParameters: {
                  shape: "S7"
                },
                PathParameterValues: {
                  shape: "Sa"
                },
                QueryStringParameters: {
                  shape: "Sc"
                }
              }
            },
            InputTemplate: {
              shape: "Sf"
            }
          }
        },
        S7: {
          type: "map",
          key: {},
          value: {
            type: "string",
            sensitive: true
          }
        },
        Sa: {
          type: "list",
          member: {
            type: "string",
            sensitive: true
          }
        },
        Sc: {
          type: "map",
          key: {},
          value: {
            type: "string",
            sensitive: true
          }
        },
        Sf: {
          type: "string",
          sensitive: true
        },
        Sj: {
          type: "structure",
          members: {
            ActiveMQBrokerParameters: {
              type: "structure",
              required: [
                "Credentials",
                "QueueName"
              ],
              members: {
                BatchSize: {
                  type: "integer"
                },
                Credentials: {
                  shape: "Sm"
                },
                MaximumBatchingWindowInSeconds: {
                  type: "integer"
                },
                QueueName: {
                  shape: "Sp"
                }
              }
            },
            DynamoDBStreamParameters: {
              type: "structure",
              required: [
                "StartingPosition"
              ],
              members: {
                BatchSize: {
                  type: "integer"
                },
                DeadLetterConfig: {
                  shape: "Sr"
                },
                MaximumBatchingWindowInSeconds: {
                  type: "integer"
                },
                MaximumRecordAgeInSeconds: {
                  type: "integer"
                },
                MaximumRetryAttempts: {
                  type: "integer"
                },
                OnPartialBatchItemFailure: {},
                ParallelizationFactor: {
                  type: "integer"
                },
                StartingPosition: {}
              }
            },
            FilterCriteria: {
              shape: "Sy"
            },
            KinesisStreamParameters: {
              type: "structure",
              required: [
                "StartingPosition"
              ],
              members: {
                BatchSize: {
                  type: "integer"
                },
                DeadLetterConfig: {
                  shape: "Sr"
                },
                MaximumBatchingWindowInSeconds: {
                  type: "integer"
                },
                MaximumRecordAgeInSeconds: {
                  type: "integer"
                },
                MaximumRetryAttempts: {
                  type: "integer"
                },
                OnPartialBatchItemFailure: {},
                ParallelizationFactor: {
                  type: "integer"
                },
                StartingPosition: {},
                StartingPositionTimestamp: {
                  type: "timestamp"
                }
              }
            },
            ManagedStreamingKafkaParameters: {
              type: "structure",
              required: [
                "TopicName"
              ],
              members: {
                BatchSize: {
                  type: "integer"
                },
                ConsumerGroupID: {
                  shape: "S16"
                },
                Credentials: {
                  shape: "S17"
                },
                MaximumBatchingWindowInSeconds: {
                  type: "integer"
                },
                StartingPosition: {},
                TopicName: {
                  shape: "S19"
                }
              }
            },
            RabbitMQBrokerParameters: {
              type: "structure",
              required: [
                "Credentials",
                "QueueName"
              ],
              members: {
                BatchSize: {
                  type: "integer"
                },
                Credentials: {
                  shape: "Sm"
                },
                MaximumBatchingWindowInSeconds: {
                  type: "integer"
                },
                QueueName: {
                  shape: "Sp"
                },
                VirtualHost: {
                  shape: "S16"
                }
              }
            },
            SelfManagedKafkaParameters: {
              type: "structure",
              required: [
                "TopicName"
              ],
              members: {
                AdditionalBootstrapServers: {
                  type: "list",
                  member: {
                    type: "string",
                    sensitive: true
                  }
                },
                BatchSize: {
                  type: "integer"
                },
                ConsumerGroupID: {
                  shape: "S16"
                },
                Credentials: {
                  shape: "S1e"
                },
                MaximumBatchingWindowInSeconds: {
                  type: "integer"
                },
                ServerRootCaCertificate: {},
                StartingPosition: {},
                TopicName: {
                  shape: "S19"
                },
                Vpc: {
                  shape: "S1g"
                }
              }
            },
            SqsQueueParameters: {
              type: "structure",
              members: {
                BatchSize: {
                  type: "integer"
                },
                MaximumBatchingWindowInSeconds: {
                  type: "integer"
                }
              }
            }
          }
        },
        Sm: {
          type: "structure",
          members: {
            BasicAuth: {}
          },
          union: true
        },
        Sp: {
          type: "string",
          sensitive: true
        },
        Sr: {
          type: "structure",
          members: {
            Arn: {}
          }
        },
        Sy: {
          type: "structure",
          members: {
            Filters: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  Pattern: {
                    type: "string",
                    sensitive: true
                  }
                }
              }
            }
          }
        },
        S16: {
          type: "string",
          sensitive: true
        },
        S17: {
          type: "structure",
          members: {
            ClientCertificateTlsAuth: {},
            SaslScram512Auth: {}
          },
          union: true
        },
        S19: {
          type: "string",
          sensitive: true
        },
        S1e: {
          type: "structure",
          members: {
            BasicAuth: {},
            ClientCertificateTlsAuth: {},
            SaslScram256Auth: {},
            SaslScram512Auth: {}
          },
          union: true
        },
        S1g: {
          type: "structure",
          members: {
            SecurityGroup: {
              type: "list",
              member: {
                type: "string",
                sensitive: true
              }
            },
            Subnets: {
              type: "list",
              member: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        S1m: {
          type: "map",
          key: {},
          value: {
            shape: "S1o"
          }
        },
        S1o: {
          type: "string",
          sensitive: true
        },
        S1p: {
          type: "structure",
          members: {
            BatchJobParameters: {
              type: "structure",
              required: [
                "JobDefinition",
                "JobName"
              ],
              members: {
                ArrayProperties: {
                  type: "structure",
                  members: {
                    Size: {
                      type: "integer"
                    }
                  }
                },
                ContainerOverrides: {
                  type: "structure",
                  members: {
                    Command: {
                      shape: "S1u"
                    },
                    Environment: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {},
                          Value: {}
                        }
                      }
                    },
                    InstanceType: {},
                    ResourceRequirements: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "Type",
                          "Value"
                        ],
                        members: {
                          Type: {},
                          Value: {}
                        }
                      }
                    }
                  }
                },
                DependsOn: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      JobId: {},
                      Type: {}
                    }
                  }
                },
                JobDefinition: {},
                JobName: {},
                Parameters: {
                  type: "map",
                  key: {},
                  value: {}
                },
                RetryStrategy: {
                  type: "structure",
                  members: {
                    Attempts: {
                      type: "integer"
                    }
                  }
                }
              }
            },
            CloudWatchLogsParameters: {
              type: "structure",
              members: {
                LogStreamName: {},
                Timestamp: {}
              }
            },
            EcsTaskParameters: {
              type: "structure",
              required: [
                "TaskDefinitionArn"
              ],
              members: {
                CapacityProviderStrategy: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "capacityProvider"
                    ],
                    members: {
                      base: {
                        type: "integer"
                      },
                      capacityProvider: {
                        type: "string",
                        sensitive: true
                      },
                      weight: {
                        type: "integer"
                      }
                    }
                  }
                },
                EnableECSManagedTags: {
                  type: "boolean"
                },
                EnableExecuteCommand: {
                  type: "boolean"
                },
                Group: {},
                LaunchType: {},
                NetworkConfiguration: {
                  type: "structure",
                  members: {
                    awsvpcConfiguration: {
                      type: "structure",
                      required: [
                        "Subnets"
                      ],
                      members: {
                        AssignPublicIp: {},
                        SecurityGroups: {
                          type: "list",
                          member: {
                            type: "string",
                            sensitive: true
                          }
                        },
                        Subnets: {
                          type: "list",
                          member: {
                            type: "string",
                            sensitive: true
                          }
                        }
                      }
                    }
                  }
                },
                Overrides: {
                  type: "structure",
                  members: {
                    ContainerOverrides: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Command: {
                            shape: "S1u"
                          },
                          Cpu: {
                            type: "integer"
                          },
                          Environment: {
                            type: "list",
                            member: {
                              type: "structure",
                              members: {
                                name: {},
                                value: {}
                              }
                            }
                          },
                          EnvironmentFiles: {
                            type: "list",
                            member: {
                              type: "structure",
                              required: [
                                "type",
                                "value"
                              ],
                              members: {
                                type: {},
                                value: {}
                              }
                            }
                          },
                          Memory: {
                            type: "integer"
                          },
                          MemoryReservation: {
                            type: "integer"
                          },
                          Name: {},
                          ResourceRequirements: {
                            type: "list",
                            member: {
                              type: "structure",
                              required: [
                                "type",
                                "value"
                              ],
                              members: {
                                type: {},
                                value: {}
                              }
                            }
                          }
                        }
                      }
                    },
                    Cpu: {},
                    EphemeralStorage: {
                      type: "structure",
                      required: [
                        "sizeInGiB"
                      ],
                      members: {
                        sizeInGiB: {
                          type: "integer"
                        }
                      }
                    },
                    ExecutionRoleArn: {},
                    InferenceAcceleratorOverrides: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          deviceName: {},
                          deviceType: {}
                        }
                      }
                    },
                    Memory: {},
                    TaskRoleArn: {}
                  }
                },
                PlacementConstraints: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      expression: {
                        type: "string",
                        sensitive: true
                      },
                      type: {}
                    }
                  }
                },
                PlacementStrategy: {
                  type: "list",
                  member: {
                    type: "structure",
                    members: {
                      field: {
                        type: "string",
                        sensitive: true
                      },
                      type: {}
                    }
                  }
                },
                PlatformVersion: {},
                PropagateTags: {},
                ReferenceId: {
                  type: "string",
                  sensitive: true
                },
                Tags: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "Key",
                      "Value"
                    ],
                    members: {
                      Key: {},
                      Value: {
                        shape: "S1o"
                      }
                    }
                  }
                },
                TaskCount: {
                  type: "integer"
                },
                TaskDefinitionArn: {}
              }
            },
            EventBridgeEventBusParameters: {
              type: "structure",
              members: {
                DetailType: {
                  type: "string",
                  sensitive: true
                },
                EndpointId: {
                  type: "string",
                  sensitive: true
                },
                Resources: {
                  type: "list",
                  member: {}
                },
                Source: {
                  type: "string",
                  sensitive: true
                },
                Time: {}
              }
            },
            HttpParameters: {
              type: "structure",
              members: {
                HeaderParameters: {
                  shape: "S7"
                },
                PathParameterValues: {
                  shape: "Sa"
                },
                QueryStringParameters: {
                  shape: "Sc"
                }
              }
            },
            InputTemplate: {
              shape: "Sf"
            },
            KinesisStreamParameters: {
              type: "structure",
              required: [
                "PartitionKey"
              ],
              members: {
                PartitionKey: {
                  type: "string",
                  sensitive: true
                }
              }
            },
            LambdaFunctionParameters: {
              type: "structure",
              members: {
                InvocationType: {}
              }
            },
            RedshiftDataParameters: {
              type: "structure",
              required: [
                "Database",
                "Sqls"
              ],
              members: {
                Database: {
                  type: "string",
                  sensitive: true
                },
                DbUser: {
                  type: "string",
                  sensitive: true
                },
                SecretManagerArn: {},
                Sqls: {
                  type: "list",
                  member: {
                    type: "string",
                    sensitive: true
                  }
                },
                StatementName: {
                  type: "string",
                  sensitive: true
                },
                WithEvent: {
                  type: "boolean"
                }
              }
            },
            SageMakerPipelineParameters: {
              type: "structure",
              members: {
                PipelineParameterList: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "Name",
                      "Value"
                    ],
                    members: {
                      Name: {
                        type: "string",
                        sensitive: true
                      },
                      Value: {
                        type: "string",
                        sensitive: true
                      }
                    }
                  }
                }
              }
            },
            SqsQueueParameters: {
              type: "structure",
              members: {
                MessageDeduplicationId: {
                  type: "string",
                  sensitive: true
                },
                MessageGroupId: {
                  type: "string",
                  sensitive: true
                }
              }
            },
            StepFunctionStateMachineParameters: {
              type: "structure",
              members: {
                InvocationType: {}
              }
            }
          }
        },
        S1u: {
          type: "list",
          member: {}
        },
        S4k: {
          type: "string",
          sensitive: true
        }
      },
      xmlNamespace: "http://events.amazonaws.com/doc/2015-10-07"
    };
  }
});

// node_modules/aws-sdk/apis/pipes-2015-10-07.paginators.json
var require_pipes_2015_10_07_paginators = __commonJS({
  "node_modules/aws-sdk/apis/pipes-2015-10-07.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListPipes: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "Limit",
          result_key: "Pipes"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/pipes.js
var require_pipes = __commonJS({
  "node_modules/aws-sdk/clients/pipes.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["pipes"] = {};
    AWS2.Pipes = Service.defineService("pipes", ["2015-10-07"]);
    Object.defineProperty(apiLoader.services["pipes"], "2015-10-07", {
      get: function get() {
        var model = require_pipes_2015_10_07_min();
        model.paginators = require_pipes_2015_10_07_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Pipes;
  }
});

// node_modules/aws-sdk/apis/sagemaker-metrics-2022-09-30.min.json
var require_sagemaker_metrics_2022_09_30_min = __commonJS({
  "node_modules/aws-sdk/apis/sagemaker-metrics-2022-09-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-09-30",
        endpointPrefix: "metrics.sagemaker",
        protocol: "rest-json",
        serviceAbbreviation: "SageMaker Metrics",
        serviceFullName: "Amazon SageMaker Metrics Service",
        serviceId: "SageMaker Metrics",
        signatureVersion: "v4",
        signingName: "sagemaker",
        uid: "sagemaker-metrics-2022-09-30"
      },
      operations: {
        BatchPutMetrics: {
          http: {
            method: "PUT",
            requestUri: "/BatchPutMetrics"
          },
          input: {
            type: "structure",
            required: [
              "TrialComponentName",
              "MetricData"
            ],
            members: {
              TrialComponentName: {},
              MetricData: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "MetricName",
                    "Timestamp",
                    "Value"
                  ],
                  members: {
                    MetricName: {},
                    Timestamp: {
                      type: "timestamp"
                    },
                    Step: {
                      type: "integer"
                    },
                    Value: {
                      type: "double"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Code: {},
                    MetricIndex: {
                      type: "integer"
                    }
                  }
                }
              }
            }
          }
        }
      },
      shapes: {}
    };
  }
});

// node_modules/aws-sdk/apis/sagemaker-metrics-2022-09-30.paginators.json
var require_sagemaker_metrics_2022_09_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/sagemaker-metrics-2022-09-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/sagemakermetrics.js
var require_sagemakermetrics = __commonJS({
  "node_modules/aws-sdk/clients/sagemakermetrics.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["sagemakermetrics"] = {};
    AWS2.SageMakerMetrics = Service.defineService("sagemakermetrics", ["2022-09-30"]);
    Object.defineProperty(apiLoader.services["sagemakermetrics"], "2022-09-30", {
      get: function get() {
        var model = require_sagemaker_metrics_2022_09_30_min();
        model.paginators = require_sagemaker_metrics_2022_09_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.SageMakerMetrics;
  }
});

// node_modules/aws-sdk/apis/kinesis-video-webrtc-storage-2018-05-10.min.json
var require_kinesis_video_webrtc_storage_2018_05_10_min = __commonJS({
  "node_modules/aws-sdk/apis/kinesis-video-webrtc-storage-2018-05-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-05-10",
        endpointPrefix: "kinesisvideo",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon Kinesis Video WebRTC Storage",
        serviceId: "Kinesis Video WebRTC Storage",
        signatureVersion: "v4",
        signingName: "kinesisvideo",
        uid: "kinesis-video-webrtc-storage-2018-05-10"
      },
      operations: {
        JoinStorageSession: {
          http: {
            requestUri: "/joinStorageSession",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "channelArn"
            ],
            members: {
              channelArn: {}
            }
          }
        }
      },
      shapes: {}
    };
  }
});

// node_modules/aws-sdk/apis/kinesis-video-webrtc-storage-2018-05-10.paginators.json
var require_kinesis_video_webrtc_storage_2018_05_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/kinesis-video-webrtc-storage-2018-05-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/kinesisvideowebrtcstorage.js
var require_kinesisvideowebrtcstorage = __commonJS({
  "node_modules/aws-sdk/clients/kinesisvideowebrtcstorage.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["kinesisvideowebrtcstorage"] = {};
    AWS2.KinesisVideoWebRTCStorage = Service.defineService("kinesisvideowebrtcstorage", ["2018-05-10"]);
    Object.defineProperty(apiLoader.services["kinesisvideowebrtcstorage"], "2018-05-10", {
      get: function get() {
        var model = require_kinesis_video_webrtc_storage_2018_05_10_min();
        model.paginators = require_kinesis_video_webrtc_storage_2018_05_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.KinesisVideoWebRTCStorage;
  }
});

// node_modules/aws-sdk/apis/license-manager-linux-subscriptions-2018-05-10.min.json
var require_license_manager_linux_subscriptions_2018_05_10_min = __commonJS({
  "node_modules/aws-sdk/apis/license-manager-linux-subscriptions-2018-05-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-05-10",
        endpointPrefix: "license-manager-linux-subscriptions",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS License Manager Linux Subscriptions",
        serviceId: "License Manager Linux Subscriptions",
        signatureVersion: "v4",
        signingName: "license-manager-linux-subscriptions",
        uid: "license-manager-linux-subscriptions-2018-05-10"
      },
      operations: {
        GetServiceSettings: {
          http: {
            requestUri: "/subscription/GetServiceSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              HomeRegions: {
                shape: "S3"
              },
              LinuxSubscriptionsDiscovery: {},
              LinuxSubscriptionsDiscoverySettings: {
                shape: "S6"
              },
              Status: {},
              StatusMessage: {
                shape: "S9"
              }
            }
          },
          idempotent: true
        },
        ListLinuxSubscriptionInstances: {
          http: {
            requestUri: "/subscription/ListLinuxSubscriptionInstances",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Sc"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Instances: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    AccountID: {},
                    AmiId: {},
                    InstanceID: {},
                    InstanceType: {},
                    LastUpdatedTime: {},
                    ProductCode: {
                      type: "list",
                      member: {}
                    },
                    Region: {},
                    Status: {},
                    SubscriptionName: {},
                    UsageOperation: {}
                  }
                }
              },
              NextToken: {}
            }
          },
          idempotent: true
        },
        ListLinuxSubscriptions: {
          http: {
            requestUri: "/subscription/ListLinuxSubscriptions",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              Filters: {
                shape: "Sc"
              },
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Subscriptions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    InstanceCount: {
                      type: "long"
                    },
                    Name: {},
                    Type: {}
                  }
                }
              }
            }
          },
          idempotent: true
        },
        UpdateServiceSettings: {
          http: {
            requestUri: "/subscription/UpdateServiceSettings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "LinuxSubscriptionsDiscovery",
              "LinuxSubscriptionsDiscoverySettings"
            ],
            members: {
              AllowUpdate: {
                type: "boolean"
              },
              LinuxSubscriptionsDiscovery: {},
              LinuxSubscriptionsDiscoverySettings: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              HomeRegions: {
                shape: "S3"
              },
              LinuxSubscriptionsDiscovery: {},
              LinuxSubscriptionsDiscoverySettings: {
                shape: "S6"
              },
              Status: {},
              StatusMessage: {
                shape: "S9"
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {}
        },
        S6: {
          type: "structure",
          required: [
            "OrganizationIntegration",
            "SourceRegions"
          ],
          members: {
            OrganizationIntegration: {},
            SourceRegions: {
              shape: "S3"
            }
          }
        },
        S9: {
          type: "map",
          key: {},
          value: {}
        },
        Sc: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Name: {},
              Operator: {},
              Values: {
                shape: "S3"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/license-manager-linux-subscriptions-2018-05-10.paginators.json
var require_license_manager_linux_subscriptions_2018_05_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/license-manager-linux-subscriptions-2018-05-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListLinuxSubscriptionInstances: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Instances"
        },
        ListLinuxSubscriptions: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Subscriptions"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/licensemanagerlinuxsubscriptions.js
var require_licensemanagerlinuxsubscriptions = __commonJS({
  "node_modules/aws-sdk/clients/licensemanagerlinuxsubscriptions.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["licensemanagerlinuxsubscriptions"] = {};
    AWS2.LicenseManagerLinuxSubscriptions = Service.defineService("licensemanagerlinuxsubscriptions", ["2018-05-10"]);
    Object.defineProperty(apiLoader.services["licensemanagerlinuxsubscriptions"], "2018-05-10", {
      get: function get() {
        var model = require_license_manager_linux_subscriptions_2018_05_10_min();
        model.paginators = require_license_manager_linux_subscriptions_2018_05_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.LicenseManagerLinuxSubscriptions;
  }
});

// node_modules/aws-sdk/apis/kendra-ranking-2022-10-19.min.json
var require_kendra_ranking_2022_10_19_min = __commonJS({
  "node_modules/aws-sdk/apis/kendra-ranking-2022-10-19.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-10-19",
        endpointPrefix: "kendra-ranking",
        jsonVersion: "1.0",
        protocol: "json",
        serviceAbbreviation: "Kendra Ranking",
        serviceFullName: "Amazon Kendra Intelligent Ranking",
        serviceId: "Kendra Ranking",
        signatureVersion: "v4",
        signingName: "kendra-ranking",
        targetPrefix: "AWSKendraRerankingFrontendService",
        uid: "kendra-ranking-2022-10-19"
      },
      operations: {
        CreateRescoreExecutionPlan: {
          input: {
            type: "structure",
            required: [
              "Name"
            ],
            members: {
              Name: {},
              Description: {},
              CapacityUnits: {
                shape: "S4"
              },
              Tags: {
                shape: "S6"
              },
              ClientToken: {
                idempotencyToken: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Id",
              "Arn"
            ],
            members: {
              Id: {},
              Arn: {}
            }
          }
        },
        DeleteRescoreExecutionPlan: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          }
        },
        DescribeRescoreExecutionPlan: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Id: {},
              Arn: {},
              Name: {},
              Description: {},
              CapacityUnits: {
                shape: "S4"
              },
              CreatedAt: {
                type: "timestamp"
              },
              UpdatedAt: {
                type: "timestamp"
              },
              Status: {},
              ErrorMessage: {}
            }
          }
        },
        ListRescoreExecutionPlans: {
          input: {
            type: "structure",
            members: {
              NextToken: {},
              MaxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              SummaryItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Name: {},
                    Id: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    UpdatedAt: {
                      type: "timestamp"
                    },
                    Status: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN"
            ],
            members: {
              ResourceARN: {}
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S6"
              }
            }
          }
        },
        Rescore: {
          input: {
            type: "structure",
            required: [
              "RescoreExecutionPlanId",
              "SearchQuery",
              "Documents"
            ],
            members: {
              RescoreExecutionPlanId: {},
              SearchQuery: {},
              Documents: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Id",
                    "OriginalScore"
                  ],
                  members: {
                    Id: {},
                    GroupId: {},
                    Title: {},
                    Body: {},
                    TokenizedTitle: {
                      type: "list",
                      member: {}
                    },
                    TokenizedBody: {
                      type: "list",
                      member: {}
                    },
                    OriginalScore: {
                      type: "float"
                    }
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              RescoreId: {},
              ResultItems: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    DocumentId: {},
                    Score: {
                      type: "float"
                    }
                  }
                }
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "Tags"
            ],
            members: {
              ResourceARN: {},
              Tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceARN",
              "TagKeys"
            ],
            members: {
              ResourceARN: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateRescoreExecutionPlan: {
          input: {
            type: "structure",
            required: [
              "Id"
            ],
            members: {
              Id: {},
              Name: {},
              Description: {},
              CapacityUnits: {
                shape: "S4"
              }
            }
          }
        }
      },
      shapes: {
        S4: {
          type: "structure",
          required: [
            "RescoreCapacityUnits"
          ],
          members: {
            RescoreCapacityUnits: {
              type: "integer"
            }
          }
        },
        S6: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/kendra-ranking-2022-10-19.paginators.json
var require_kendra_ranking_2022_10_19_paginators = __commonJS({
  "node_modules/aws-sdk/apis/kendra-ranking-2022-10-19.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListRescoreExecutionPlans: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/kendraranking.js
var require_kendraranking = __commonJS({
  "node_modules/aws-sdk/clients/kendraranking.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["kendraranking"] = {};
    AWS2.KendraRanking = Service.defineService("kendraranking", ["2022-10-19"]);
    Object.defineProperty(apiLoader.services["kendraranking"], "2022-10-19", {
      get: function get() {
        var model = require_kendra_ranking_2022_10_19_min();
        model.paginators = require_kendra_ranking_2022_10_19_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.KendraRanking;
  }
});

// node_modules/aws-sdk/apis/cleanrooms-2022-02-17.min.json
var require_cleanrooms_2022_02_17_min = __commonJS({
  "node_modules/aws-sdk/apis/cleanrooms-2022-02-17.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-02-17",
        endpointPrefix: "cleanrooms",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Clean Rooms Service",
        serviceId: "CleanRooms",
        signatureVersion: "v4",
        signingName: "cleanrooms",
        uid: "cleanrooms-2022-02-17"
      },
      operations: {
        BatchGetSchema: {
          http: {
            requestUri: "/collaborations/{collaborationIdentifier}/batch-schema",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "collaborationIdentifier",
              "names"
            ],
            members: {
              collaborationIdentifier: {
                location: "uri",
                locationName: "collaborationIdentifier"
              },
              names: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "schemas",
              "errors"
            ],
            members: {
              schemas: {
                type: "list",
                member: {
                  shape: "S7"
                }
              },
              errors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "code",
                    "message"
                  ],
                  members: {
                    name: {},
                    code: {},
                    message: {}
                  }
                }
              }
            }
          }
        },
        CreateCollaboration: {
          http: {
            requestUri: "/collaborations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "members",
              "name",
              "description",
              "creatorMemberAbilities",
              "creatorDisplayName",
              "queryLogStatus"
            ],
            members: {
              members: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "accountId",
                    "memberAbilities",
                    "displayName"
                  ],
                  members: {
                    accountId: {},
                    memberAbilities: {
                      shape: "Sr"
                    },
                    displayName: {}
                  }
                }
              },
              name: {},
              description: {},
              creatorMemberAbilities: {
                shape: "Sr"
              },
              creatorDisplayName: {},
              dataEncryptionMetadata: {
                shape: "Sw"
              },
              queryLogStatus: {},
              tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "collaboration"
            ],
            members: {
              collaboration: {
                shape: "S13"
              }
            }
          }
        },
        CreateConfiguredTable: {
          http: {
            requestUri: "/configuredTables",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "tableReference",
              "allowedColumns",
              "analysisMethod"
            ],
            members: {
              name: {},
              description: {},
              tableReference: {
                shape: "S17"
              },
              allowedColumns: {
                shape: "S1b"
              },
              analysisMethod: {},
              tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "configuredTable"
            ],
            members: {
              configuredTable: {
                shape: "S1d"
              }
            }
          },
          idempotent: true
        },
        CreateConfiguredTableAnalysisRule: {
          http: {
            requestUri: "/configuredTables/{configuredTableIdentifier}/analysisRule",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "configuredTableIdentifier",
              "analysisRuleType",
              "analysisRulePolicy"
            ],
            members: {
              configuredTableIdentifier: {
                location: "uri",
                locationName: "configuredTableIdentifier"
              },
              analysisRuleType: {},
              analysisRulePolicy: {
                shape: "S1j"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "analysisRule"
            ],
            members: {
              analysisRule: {
                shape: "S24"
              }
            }
          },
          idempotent: true
        },
        CreateConfiguredTableAssociation: {
          http: {
            requestUri: "/memberships/{membershipIdentifier}/configuredTableAssociations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "name",
              "membershipIdentifier",
              "configuredTableIdentifier",
              "roleArn"
            ],
            members: {
              name: {},
              description: {},
              membershipIdentifier: {
                location: "uri",
                locationName: "membershipIdentifier"
              },
              configuredTableIdentifier: {},
              roleArn: {},
              tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "configuredTableAssociation"
            ],
            members: {
              configuredTableAssociation: {
                shape: "S29"
              }
            }
          }
        },
        CreateMembership: {
          http: {
            requestUri: "/memberships",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "collaborationIdentifier",
              "queryLogStatus"
            ],
            members: {
              collaborationIdentifier: {},
              queryLogStatus: {},
              tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "membership"
            ],
            members: {
              membership: {
                shape: "S2e"
              }
            }
          }
        },
        DeleteCollaboration: {
          http: {
            method: "DELETE",
            requestUri: "/collaborations/{collaborationIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "collaborationIdentifier"
            ],
            members: {
              collaborationIdentifier: {
                location: "uri",
                locationName: "collaborationIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteConfiguredTable: {
          http: {
            method: "DELETE",
            requestUri: "/configuredTables/{configuredTableIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "configuredTableIdentifier"
            ],
            members: {
              configuredTableIdentifier: {
                location: "uri",
                locationName: "configuredTableIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteConfiguredTableAnalysisRule: {
          http: {
            method: "DELETE",
            requestUri: "/configuredTables/{configuredTableIdentifier}/analysisRule/{analysisRuleType}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "configuredTableIdentifier",
              "analysisRuleType"
            ],
            members: {
              configuredTableIdentifier: {
                location: "uri",
                locationName: "configuredTableIdentifier"
              },
              analysisRuleType: {
                location: "uri",
                locationName: "analysisRuleType"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteConfiguredTableAssociation: {
          http: {
            method: "DELETE",
            requestUri: "/memberships/{membershipIdentifier}/configuredTableAssociations/{configuredTableAssociationIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "configuredTableAssociationIdentifier",
              "membershipIdentifier"
            ],
            members: {
              configuredTableAssociationIdentifier: {
                location: "uri",
                locationName: "configuredTableAssociationIdentifier"
              },
              membershipIdentifier: {
                location: "uri",
                locationName: "membershipIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteMember: {
          http: {
            method: "DELETE",
            requestUri: "/collaborations/{collaborationIdentifier}/member/{accountId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "collaborationIdentifier",
              "accountId"
            ],
            members: {
              collaborationIdentifier: {
                location: "uri",
                locationName: "collaborationIdentifier"
              },
              accountId: {
                location: "uri",
                locationName: "accountId"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteMembership: {
          http: {
            method: "DELETE",
            requestUri: "/memberships/{membershipIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "membershipIdentifier"
            ],
            members: {
              membershipIdentifier: {
                location: "uri",
                locationName: "membershipIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetCollaboration: {
          http: {
            method: "GET",
            requestUri: "/collaborations/{collaborationIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "collaborationIdentifier"
            ],
            members: {
              collaborationIdentifier: {
                location: "uri",
                locationName: "collaborationIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "collaboration"
            ],
            members: {
              collaboration: {
                shape: "S13"
              }
            }
          }
        },
        GetConfiguredTable: {
          http: {
            method: "GET",
            requestUri: "/configuredTables/{configuredTableIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "configuredTableIdentifier"
            ],
            members: {
              configuredTableIdentifier: {
                location: "uri",
                locationName: "configuredTableIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "configuredTable"
            ],
            members: {
              configuredTable: {
                shape: "S1d"
              }
            }
          }
        },
        GetConfiguredTableAnalysisRule: {
          http: {
            method: "GET",
            requestUri: "/configuredTables/{configuredTableIdentifier}/analysisRule/{analysisRuleType}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "configuredTableIdentifier",
              "analysisRuleType"
            ],
            members: {
              configuredTableIdentifier: {
                location: "uri",
                locationName: "configuredTableIdentifier"
              },
              analysisRuleType: {
                location: "uri",
                locationName: "analysisRuleType"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "analysisRule"
            ],
            members: {
              analysisRule: {
                shape: "S24"
              }
            }
          }
        },
        GetConfiguredTableAssociation: {
          http: {
            method: "GET",
            requestUri: "/memberships/{membershipIdentifier}/configuredTableAssociations/{configuredTableAssociationIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "configuredTableAssociationIdentifier",
              "membershipIdentifier"
            ],
            members: {
              configuredTableAssociationIdentifier: {
                location: "uri",
                locationName: "configuredTableAssociationIdentifier"
              },
              membershipIdentifier: {
                location: "uri",
                locationName: "membershipIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "configuredTableAssociation"
            ],
            members: {
              configuredTableAssociation: {
                shape: "S29"
              }
            }
          }
        },
        GetMembership: {
          http: {
            method: "GET",
            requestUri: "/memberships/{membershipIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "membershipIdentifier"
            ],
            members: {
              membershipIdentifier: {
                location: "uri",
                locationName: "membershipIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "membership"
            ],
            members: {
              membership: {
                shape: "S2e"
              }
            }
          }
        },
        GetProtectedQuery: {
          http: {
            method: "GET",
            requestUri: "/memberships/{membershipIdentifier}/protectedQueries/{protectedQueryIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "membershipIdentifier",
              "protectedQueryIdentifier"
            ],
            members: {
              membershipIdentifier: {
                location: "uri",
                locationName: "membershipIdentifier"
              },
              protectedQueryIdentifier: {
                location: "uri",
                locationName: "protectedQueryIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "protectedQuery"
            ],
            members: {
              protectedQuery: {
                shape: "S36"
              }
            }
          }
        },
        GetSchema: {
          http: {
            method: "GET",
            requestUri: "/collaborations/{collaborationIdentifier}/schemas/{name}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "collaborationIdentifier",
              "name"
            ],
            members: {
              collaborationIdentifier: {
                location: "uri",
                locationName: "collaborationIdentifier"
              },
              name: {
                location: "uri",
                locationName: "name"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "schema"
            ],
            members: {
              schema: {
                shape: "S7"
              }
            }
          }
        },
        GetSchemaAnalysisRule: {
          http: {
            method: "GET",
            requestUri: "/collaborations/{collaborationIdentifier}/schemas/{name}/analysisRule/{type}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "collaborationIdentifier",
              "name",
              "type"
            ],
            members: {
              collaborationIdentifier: {
                location: "uri",
                locationName: "collaborationIdentifier"
              },
              name: {
                location: "uri",
                locationName: "name"
              },
              type: {
                location: "uri",
                locationName: "type"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "analysisRule"
            ],
            members: {
              analysisRule: {
                type: "structure",
                required: [
                  "collaborationId",
                  "type",
                  "name",
                  "createTime",
                  "updateTime",
                  "policy"
                ],
                members: {
                  collaborationId: {},
                  type: {},
                  name: {},
                  createTime: {
                    type: "timestamp"
                  },
                  updateTime: {
                    type: "timestamp"
                  },
                  policy: {
                    type: "structure",
                    members: {
                      v1: {
                        type: "structure",
                        members: {
                          list: {
                            shape: "S1l"
                          },
                          aggregation: {
                            shape: "S1r"
                          }
                        },
                        union: true
                      }
                    },
                    union: true
                  }
                }
              }
            }
          }
        },
        ListCollaborations: {
          http: {
            method: "GET",
            requestUri: "/collaborations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              memberStatus: {
                location: "querystring",
                locationName: "memberStatus"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "collaborationList"
            ],
            members: {
              nextToken: {},
              collaborationList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "arn",
                    "name",
                    "creatorAccountId",
                    "creatorDisplayName",
                    "createTime",
                    "updateTime",
                    "memberStatus"
                  ],
                  members: {
                    id: {},
                    arn: {},
                    name: {},
                    creatorAccountId: {},
                    creatorDisplayName: {},
                    createTime: {
                      type: "timestamp"
                    },
                    updateTime: {
                      type: "timestamp"
                    },
                    memberStatus: {},
                    membershipId: {},
                    membershipArn: {}
                  }
                }
              }
            }
          }
        },
        ListConfiguredTableAssociations: {
          http: {
            method: "GET",
            requestUri: "/memberships/{membershipIdentifier}/configuredTableAssociations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "membershipIdentifier"
            ],
            members: {
              membershipIdentifier: {
                location: "uri",
                locationName: "membershipIdentifier"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "configuredTableAssociationSummaries"
            ],
            members: {
              configuredTableAssociationSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "configuredTableId",
                    "membershipId",
                    "membershipArn",
                    "name",
                    "createTime",
                    "updateTime",
                    "id",
                    "arn"
                  ],
                  members: {
                    configuredTableId: {},
                    membershipId: {},
                    membershipArn: {},
                    name: {},
                    createTime: {
                      type: "timestamp"
                    },
                    updateTime: {
                      type: "timestamp"
                    },
                    id: {},
                    arn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListConfiguredTables: {
          http: {
            method: "GET",
            requestUri: "/configuredTables",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "configuredTableSummaries"
            ],
            members: {
              configuredTableSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "arn",
                    "name",
                    "createTime",
                    "updateTime",
                    "analysisRuleTypes",
                    "analysisMethod"
                  ],
                  members: {
                    id: {},
                    arn: {},
                    name: {},
                    createTime: {
                      type: "timestamp"
                    },
                    updateTime: {
                      type: "timestamp"
                    },
                    analysisRuleTypes: {
                      shape: "S1f"
                    },
                    analysisMethod: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListMembers: {
          http: {
            method: "GET",
            requestUri: "/collaborations/{collaborationIdentifier}/members",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "collaborationIdentifier"
            ],
            members: {
              collaborationIdentifier: {
                location: "uri",
                locationName: "collaborationIdentifier"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "memberSummaries"
            ],
            members: {
              nextToken: {},
              memberSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "accountId",
                    "status",
                    "displayName",
                    "abilities",
                    "createTime",
                    "updateTime"
                  ],
                  members: {
                    accountId: {},
                    status: {},
                    displayName: {},
                    abilities: {
                      shape: "Sr"
                    },
                    createTime: {
                      type: "timestamp"
                    },
                    updateTime: {
                      type: "timestamp"
                    },
                    membershipId: {},
                    membershipArn: {}
                  }
                }
              }
            }
          }
        },
        ListMemberships: {
          http: {
            method: "GET",
            requestUri: "/memberships",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              status: {
                location: "querystring",
                locationName: "status"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "membershipSummaries"
            ],
            members: {
              nextToken: {},
              membershipSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "arn",
                    "collaborationArn",
                    "collaborationId",
                    "collaborationCreatorAccountId",
                    "collaborationCreatorDisplayName",
                    "collaborationName",
                    "createTime",
                    "updateTime",
                    "status",
                    "memberAbilities"
                  ],
                  members: {
                    id: {},
                    arn: {},
                    collaborationArn: {},
                    collaborationId: {},
                    collaborationCreatorAccountId: {},
                    collaborationCreatorDisplayName: {},
                    collaborationName: {},
                    createTime: {
                      type: "timestamp"
                    },
                    updateTime: {
                      type: "timestamp"
                    },
                    status: {},
                    memberAbilities: {
                      shape: "Sr"
                    }
                  }
                }
              }
            }
          }
        },
        ListProtectedQueries: {
          http: {
            method: "GET",
            requestUri: "/memberships/{membershipIdentifier}/protectedQueries",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "membershipIdentifier"
            ],
            members: {
              membershipIdentifier: {
                location: "uri",
                locationName: "membershipIdentifier"
              },
              status: {
                location: "querystring",
                locationName: "status"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "protectedQueries"
            ],
            members: {
              nextToken: {},
              protectedQueries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "id",
                    "membershipId",
                    "membershipArn",
                    "createTime",
                    "status"
                  ],
                  members: {
                    id: {},
                    membershipId: {},
                    membershipArn: {},
                    createTime: {
                      type: "timestamp"
                    },
                    status: {}
                  }
                }
              }
            }
          }
        },
        ListSchemas: {
          http: {
            method: "GET",
            requestUri: "/collaborations/{collaborationIdentifier}/schemas",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "collaborationIdentifier"
            ],
            members: {
              collaborationIdentifier: {
                location: "uri",
                locationName: "collaborationIdentifier"
              },
              schemaType: {
                location: "querystring",
                locationName: "schemaType"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "schemaSummaries"
            ],
            members: {
              schemaSummaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "name",
                    "type",
                    "creatorAccountId",
                    "createTime",
                    "updateTime",
                    "collaborationId",
                    "collaborationArn",
                    "analysisRuleTypes"
                  ],
                  members: {
                    name: {},
                    type: {},
                    creatorAccountId: {},
                    createTime: {
                      type: "timestamp"
                    },
                    updateTime: {
                      type: "timestamp"
                    },
                    collaborationId: {},
                    collaborationArn: {},
                    analysisRuleTypes: {
                      shape: "Sc"
                    },
                    analysisMethod: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "tags"
            ],
            members: {
              tags: {
                shape: "Sz"
              }
            }
          }
        },
        StartProtectedQuery: {
          http: {
            requestUri: "/memberships/{membershipIdentifier}/protectedQueries",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "type",
              "membershipIdentifier",
              "sqlParameters",
              "resultConfiguration"
            ],
            members: {
              type: {},
              membershipIdentifier: {
                location: "uri",
                locationName: "membershipIdentifier"
              },
              sqlParameters: {
                shape: "S37"
              },
              resultConfiguration: {
                shape: "S3a"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "protectedQuery"
            ],
            members: {
              protectedQuery: {
                shape: "S36"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sz"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateCollaboration: {
          http: {
            method: "PATCH",
            requestUri: "/collaborations/{collaborationIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "collaborationIdentifier"
            ],
            members: {
              collaborationIdentifier: {
                location: "uri",
                locationName: "collaborationIdentifier"
              },
              name: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "collaboration"
            ],
            members: {
              collaboration: {
                shape: "S13"
              }
            }
          }
        },
        UpdateConfiguredTable: {
          http: {
            method: "PATCH",
            requestUri: "/configuredTables/{configuredTableIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "configuredTableIdentifier"
            ],
            members: {
              configuredTableIdentifier: {
                location: "uri",
                locationName: "configuredTableIdentifier"
              },
              name: {},
              description: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "configuredTable"
            ],
            members: {
              configuredTable: {
                shape: "S1d"
              }
            }
          }
        },
        UpdateConfiguredTableAnalysisRule: {
          http: {
            method: "PATCH",
            requestUri: "/configuredTables/{configuredTableIdentifier}/analysisRule/{analysisRuleType}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "configuredTableIdentifier",
              "analysisRuleType",
              "analysisRulePolicy"
            ],
            members: {
              configuredTableIdentifier: {
                location: "uri",
                locationName: "configuredTableIdentifier"
              },
              analysisRuleType: {
                location: "uri",
                locationName: "analysisRuleType"
              },
              analysisRulePolicy: {
                shape: "S1j"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "analysisRule"
            ],
            members: {
              analysisRule: {
                shape: "S24"
              }
            }
          }
        },
        UpdateConfiguredTableAssociation: {
          http: {
            method: "PATCH",
            requestUri: "/memberships/{membershipIdentifier}/configuredTableAssociations/{configuredTableAssociationIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "configuredTableAssociationIdentifier",
              "membershipIdentifier"
            ],
            members: {
              configuredTableAssociationIdentifier: {
                location: "uri",
                locationName: "configuredTableAssociationIdentifier"
              },
              membershipIdentifier: {
                location: "uri",
                locationName: "membershipIdentifier"
              },
              description: {},
              roleArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "configuredTableAssociation"
            ],
            members: {
              configuredTableAssociation: {
                shape: "S29"
              }
            }
          }
        },
        UpdateMembership: {
          http: {
            method: "PATCH",
            requestUri: "/memberships/{membershipIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "membershipIdentifier"
            ],
            members: {
              membershipIdentifier: {
                location: "uri",
                locationName: "membershipIdentifier"
              },
              queryLogStatus: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "membership"
            ],
            members: {
              membership: {
                shape: "S2e"
              }
            }
          }
        },
        UpdateProtectedQuery: {
          http: {
            method: "PATCH",
            requestUri: "/memberships/{membershipIdentifier}/protectedQueries/{protectedQueryIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "membershipIdentifier",
              "protectedQueryIdentifier",
              "targetStatus"
            ],
            members: {
              membershipIdentifier: {
                location: "uri",
                locationName: "membershipIdentifier"
              },
              protectedQueryIdentifier: {
                location: "uri",
                locationName: "protectedQueryIdentifier"
              },
              targetStatus: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "protectedQuery"
            ],
            members: {
              protectedQuery: {
                shape: "S36"
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S7: {
          type: "structure",
          required: [
            "columns",
            "partitionKeys",
            "analysisRuleTypes",
            "creatorAccountId",
            "name",
            "collaborationId",
            "collaborationArn",
            "description",
            "createTime",
            "updateTime",
            "type"
          ],
          members: {
            columns: {
              shape: "S8"
            },
            partitionKeys: {
              shape: "S8"
            },
            analysisRuleTypes: {
              shape: "Sc"
            },
            analysisMethod: {},
            creatorAccountId: {},
            name: {},
            collaborationId: {},
            collaborationArn: {},
            description: {},
            createTime: {
              type: "timestamp"
            },
            updateTime: {
              type: "timestamp"
            },
            type: {}
          }
        },
        S8: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "name",
              "type"
            ],
            members: {
              name: {},
              type: {}
            }
          }
        },
        Sc: {
          type: "list",
          member: {}
        },
        Sr: {
          type: "list",
          member: {}
        },
        Sw: {
          type: "structure",
          required: [
            "allowCleartext",
            "allowDuplicates",
            "allowJoinsOnColumnsWithDifferentNames",
            "preserveNulls"
          ],
          members: {
            allowCleartext: {
              type: "boolean"
            },
            allowDuplicates: {
              type: "boolean"
            },
            allowJoinsOnColumnsWithDifferentNames: {
              type: "boolean"
            },
            preserveNulls: {
              type: "boolean"
            }
          }
        },
        Sz: {
          type: "map",
          key: {},
          value: {}
        },
        S13: {
          type: "structure",
          required: [
            "id",
            "arn",
            "name",
            "creatorAccountId",
            "creatorDisplayName",
            "createTime",
            "updateTime",
            "memberStatus",
            "queryLogStatus"
          ],
          members: {
            id: {},
            arn: {},
            name: {},
            description: {},
            creatorAccountId: {},
            creatorDisplayName: {},
            createTime: {
              type: "timestamp"
            },
            updateTime: {
              type: "timestamp"
            },
            memberStatus: {},
            membershipId: {},
            membershipArn: {},
            dataEncryptionMetadata: {
              shape: "Sw"
            },
            queryLogStatus: {}
          }
        },
        S17: {
          type: "structure",
          members: {
            glue: {
              type: "structure",
              required: [
                "tableName",
                "databaseName"
              ],
              members: {
                tableName: {},
                databaseName: {}
              }
            }
          },
          union: true
        },
        S1b: {
          type: "list",
          member: {}
        },
        S1d: {
          type: "structure",
          required: [
            "id",
            "arn",
            "name",
            "tableReference",
            "createTime",
            "updateTime",
            "analysisRuleTypes",
            "analysisMethod",
            "allowedColumns"
          ],
          members: {
            id: {},
            arn: {},
            name: {},
            description: {},
            tableReference: {
              shape: "S17"
            },
            createTime: {
              type: "timestamp"
            },
            updateTime: {
              type: "timestamp"
            },
            analysisRuleTypes: {
              shape: "S1f"
            },
            analysisMethod: {},
            allowedColumns: {
              shape: "S1b"
            }
          }
        },
        S1f: {
          type: "list",
          member: {}
        },
        S1j: {
          type: "structure",
          members: {
            v1: {
              type: "structure",
              members: {
                list: {
                  shape: "S1l"
                },
                aggregation: {
                  shape: "S1r"
                }
              },
              union: true
            }
          },
          union: true
        },
        S1l: {
          type: "structure",
          required: [
            "joinColumns",
            "listColumns"
          ],
          members: {
            joinColumns: {
              type: "list",
              member: {}
            },
            allowedJoinOperators: {
              shape: "S1o"
            },
            listColumns: {
              shape: "S1q"
            }
          }
        },
        S1o: {
          type: "list",
          member: {}
        },
        S1q: {
          type: "list",
          member: {}
        },
        S1r: {
          type: "structure",
          required: [
            "aggregateColumns",
            "joinColumns",
            "dimensionColumns",
            "scalarFunctions",
            "outputConstraints"
          ],
          members: {
            aggregateColumns: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "columnNames",
                  "function"
                ],
                members: {
                  columnNames: {
                    type: "list",
                    member: {}
                  },
                  function: {}
                }
              }
            },
            joinColumns: {
              shape: "S1q"
            },
            joinRequired: {},
            allowedJoinOperators: {
              shape: "S1o"
            },
            dimensionColumns: {
              shape: "S1q"
            },
            scalarFunctions: {
              type: "list",
              member: {}
            },
            outputConstraints: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "columnName",
                  "minimum",
                  "type"
                ],
                members: {
                  columnName: {},
                  minimum: {
                    type: "integer"
                  },
                  type: {}
                }
              }
            }
          }
        },
        S24: {
          type: "structure",
          required: [
            "configuredTableId",
            "configuredTableArn",
            "policy",
            "type",
            "createTime",
            "updateTime"
          ],
          members: {
            configuredTableId: {},
            configuredTableArn: {},
            policy: {
              shape: "S1j"
            },
            type: {},
            createTime: {
              type: "timestamp"
            },
            updateTime: {
              type: "timestamp"
            }
          }
        },
        S29: {
          type: "structure",
          required: [
            "arn",
            "id",
            "configuredTableId",
            "configuredTableArn",
            "membershipId",
            "membershipArn",
            "roleArn",
            "name",
            "createTime",
            "updateTime"
          ],
          members: {
            arn: {},
            id: {},
            configuredTableId: {},
            configuredTableArn: {},
            membershipId: {},
            membershipArn: {},
            roleArn: {},
            name: {},
            description: {},
            createTime: {
              type: "timestamp"
            },
            updateTime: {
              type: "timestamp"
            }
          }
        },
        S2e: {
          type: "structure",
          required: [
            "id",
            "arn",
            "collaborationArn",
            "collaborationId",
            "collaborationCreatorAccountId",
            "collaborationCreatorDisplayName",
            "collaborationName",
            "createTime",
            "updateTime",
            "status",
            "memberAbilities",
            "queryLogStatus"
          ],
          members: {
            id: {},
            arn: {},
            collaborationArn: {},
            collaborationId: {},
            collaborationCreatorAccountId: {},
            collaborationCreatorDisplayName: {},
            collaborationName: {},
            createTime: {
              type: "timestamp"
            },
            updateTime: {
              type: "timestamp"
            },
            status: {},
            memberAbilities: {
              shape: "Sr"
            },
            queryLogStatus: {}
          }
        },
        S36: {
          type: "structure",
          required: [
            "id",
            "membershipId",
            "membershipArn",
            "createTime",
            "sqlParameters",
            "status",
            "resultConfiguration"
          ],
          members: {
            id: {},
            membershipId: {},
            membershipArn: {},
            createTime: {
              type: "timestamp"
            },
            sqlParameters: {
              shape: "S37"
            },
            status: {},
            resultConfiguration: {
              shape: "S3a"
            },
            statistics: {
              type: "structure",
              members: {
                totalDurationInMillis: {
                  type: "long"
                }
              }
            },
            result: {
              type: "structure",
              required: [
                "output"
              ],
              members: {
                output: {
                  type: "structure",
                  members: {
                    s3: {
                      type: "structure",
                      required: [
                        "location"
                      ],
                      members: {
                        location: {}
                      }
                    }
                  },
                  union: true
                }
              }
            },
            error: {
              type: "structure",
              required: [
                "message",
                "code"
              ],
              members: {
                message: {},
                code: {}
              }
            }
          }
        },
        S37: {
          type: "structure",
          members: {
            queryString: {}
          },
          sensitive: true
        },
        S3a: {
          type: "structure",
          required: [
            "outputConfiguration"
          ],
          members: {
            outputConfiguration: {
              type: "structure",
              members: {
                s3: {
                  type: "structure",
                  required: [
                    "resultFormat",
                    "bucket"
                  ],
                  members: {
                    resultFormat: {},
                    bucket: {},
                    keyPrefix: {}
                  }
                }
              },
              union: true
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cleanrooms-2022-02-17.paginators.json
var require_cleanrooms_2022_02_17_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cleanrooms-2022-02-17.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListCollaborations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "collaborationList"
        },
        ListConfiguredTableAssociations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "configuredTableAssociationSummaries"
        },
        ListConfiguredTables: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "configuredTableSummaries"
        },
        ListMembers: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "memberSummaries"
        },
        ListMemberships: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "membershipSummaries"
        },
        ListProtectedQueries: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "protectedQueries"
        },
        ListSchemas: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "schemaSummaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/cleanrooms-2022-02-17.waiters2.json
var require_cleanrooms_2022_02_17_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/cleanrooms-2022-02-17.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {}
    };
  }
});

// node_modules/aws-sdk/clients/cleanrooms.js
var require_cleanrooms = __commonJS({
  "node_modules/aws-sdk/clients/cleanrooms.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cleanrooms"] = {};
    AWS2.CleanRooms = Service.defineService("cleanrooms", ["2022-02-17"]);
    Object.defineProperty(apiLoader.services["cleanrooms"], "2022-02-17", {
      get: function get() {
        var model = require_cleanrooms_2022_02_17_min();
        model.paginators = require_cleanrooms_2022_02_17_paginators().pagination;
        model.waiters = require_cleanrooms_2022_02_17_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CleanRooms;
  }
});

// node_modules/aws-sdk/apis/cloudtrail-data-2021-08-11.min.json
var require_cloudtrail_data_2021_08_11_min = __commonJS({
  "node_modules/aws-sdk/apis/cloudtrail-data-2021-08-11.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-08-11",
        endpointPrefix: "cloudtrail-data",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS CloudTrail Data Service",
        serviceId: "CloudTrail Data",
        signatureVersion: "v4",
        signingName: "cloudtrail-data",
        uid: "cloudtrail-data-2021-08-11"
      },
      operations: {
        PutAuditEvents: {
          http: {
            requestUri: "/PutAuditEvents",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "auditEvents",
              "channelArn"
            ],
            members: {
              auditEvents: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "eventData",
                    "id"
                  ],
                  members: {
                    eventData: {},
                    eventDataChecksum: {},
                    id: {}
                  }
                }
              },
              channelArn: {
                location: "querystring",
                locationName: "channelArn"
              },
              externalId: {
                location: "querystring",
                locationName: "externalId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "failed",
              "successful"
            ],
            members: {
              failed: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "errorCode",
                    "errorMessage",
                    "id"
                  ],
                  members: {
                    errorCode: {},
                    errorMessage: {},
                    id: {}
                  }
                }
              },
              successful: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "eventID",
                    "id"
                  ],
                  members: {
                    eventID: {},
                    id: {}
                  }
                }
              }
            }
          }
        }
      },
      shapes: {}
    };
  }
});

// node_modules/aws-sdk/apis/cloudtrail-data-2021-08-11.paginators.json
var require_cloudtrail_data_2021_08_11_paginators = __commonJS({
  "node_modules/aws-sdk/apis/cloudtrail-data-2021-08-11.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/cloudtraildata.js
var require_cloudtraildata = __commonJS({
  "node_modules/aws-sdk/clients/cloudtraildata.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["cloudtraildata"] = {};
    AWS2.CloudTrailData = Service.defineService("cloudtraildata", ["2021-08-11"]);
    Object.defineProperty(apiLoader.services["cloudtraildata"], "2021-08-11", {
      get: function get() {
        var model = require_cloudtrail_data_2021_08_11_min();
        model.paginators = require_cloudtrail_data_2021_08_11_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CloudTrailData;
  }
});

// node_modules/aws-sdk/apis/tnb-2008-10-21.min.json
var require_tnb_2008_10_21_min = __commonJS({
  "node_modules/aws-sdk/apis/tnb-2008-10-21.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2008-10-21",
        endpointPrefix: "tnb",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AWS Telco Network Builder",
        serviceId: "tnb",
        signatureVersion: "v4",
        signingName: "tnb",
        uid: "tnb-2008-10-21"
      },
      operations: {
        CancelSolNetworkOperation: {
          http: {
            requestUri: "/sol/nslcm/v1/ns_lcm_op_occs/{nsLcmOpOccId}/cancel",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "nsLcmOpOccId"
            ],
            members: {
              nsLcmOpOccId: {
                location: "uri",
                locationName: "nsLcmOpOccId"
              }
            }
          }
        },
        CreateSolFunctionPackage: {
          http: {
            requestUri: "/sol/vnfpkgm/v1/vnf_packages",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "onboardingState",
              "operationalState",
              "usageState"
            ],
            members: {
              arn: {},
              id: {},
              onboardingState: {},
              operationalState: {},
              tags: {
                shape: "S4"
              },
              usageState: {}
            }
          }
        },
        CreateSolNetworkInstance: {
          http: {
            requestUri: "/sol/nslcm/v1/ns_instances",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "nsName",
              "nsdInfoId"
            ],
            members: {
              nsDescription: {},
              nsName: {},
              nsdInfoId: {},
              tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "nsInstanceName",
              "nsdInfoId"
            ],
            members: {
              arn: {},
              id: {},
              nsInstanceName: {},
              nsdInfoId: {},
              tags: {
                shape: "S4"
              }
            }
          }
        },
        CreateSolNetworkPackage: {
          http: {
            requestUri: "/sol/nsd/v1/ns_descriptors",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "nsdOnboardingState",
              "nsdOperationalState",
              "nsdUsageState"
            ],
            members: {
              arn: {},
              id: {},
              nsdOnboardingState: {},
              nsdOperationalState: {},
              nsdUsageState: {},
              tags: {
                shape: "S4"
              }
            }
          }
        },
        DeleteSolFunctionPackage: {
          http: {
            method: "DELETE",
            requestUri: "/sol/vnfpkgm/v1/vnf_packages/{vnfPkgId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "vnfPkgId"
            ],
            members: {
              vnfPkgId: {
                location: "uri",
                locationName: "vnfPkgId"
              }
            }
          },
          idempotent: true
        },
        DeleteSolNetworkInstance: {
          http: {
            method: "DELETE",
            requestUri: "/sol/nslcm/v1/ns_instances/{nsInstanceId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "nsInstanceId"
            ],
            members: {
              nsInstanceId: {
                location: "uri",
                locationName: "nsInstanceId"
              }
            }
          },
          idempotent: true
        },
        DeleteSolNetworkPackage: {
          http: {
            method: "DELETE",
            requestUri: "/sol/nsd/v1/ns_descriptors/{nsdInfoId}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "nsdInfoId"
            ],
            members: {
              nsdInfoId: {
                location: "uri",
                locationName: "nsdInfoId"
              }
            }
          },
          idempotent: true
        },
        GetSolFunctionInstance: {
          http: {
            method: "GET",
            requestUri: "/sol/vnflcm/v1/vnf_instances/{vnfInstanceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "vnfInstanceId"
            ],
            members: {
              vnfInstanceId: {
                location: "uri",
                locationName: "vnfInstanceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "instantiationState",
              "metadata",
              "nsInstanceId",
              "vnfPkgId",
              "vnfdId"
            ],
            members: {
              arn: {},
              id: {},
              instantiatedVnfInfo: {
                type: "structure",
                members: {
                  vnfState: {},
                  vnfcResourceInfo: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        metadata: {
                          type: "structure",
                          members: {
                            cluster: {},
                            helmChart: {},
                            nodeGroup: {}
                          }
                        }
                      }
                    }
                  }
                }
              },
              instantiationState: {},
              metadata: {
                type: "structure",
                required: [
                  "createdAt",
                  "lastModified"
                ],
                members: {
                  createdAt: {
                    shape: "S15"
                  },
                  lastModified: {
                    shape: "S15"
                  }
                }
              },
              nsInstanceId: {},
              tags: {
                shape: "S4"
              },
              vnfPkgId: {},
              vnfProductName: {},
              vnfProvider: {},
              vnfdId: {},
              vnfdVersion: {}
            }
          }
        },
        GetSolFunctionPackage: {
          http: {
            method: "GET",
            requestUri: "/sol/vnfpkgm/v1/vnf_packages/{vnfPkgId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "vnfPkgId"
            ],
            members: {
              vnfPkgId: {
                location: "uri",
                locationName: "vnfPkgId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "onboardingState",
              "operationalState",
              "usageState"
            ],
            members: {
              arn: {},
              id: {},
              metadata: {
                type: "structure",
                required: [
                  "createdAt",
                  "lastModified"
                ],
                members: {
                  createdAt: {
                    shape: "S15"
                  },
                  lastModified: {
                    shape: "S15"
                  },
                  vnfd: {
                    shape: "S1a"
                  }
                }
              },
              onboardingState: {},
              operationalState: {},
              tags: {
                shape: "S4"
              },
              usageState: {},
              vnfProductName: {},
              vnfProvider: {},
              vnfdId: {},
              vnfdVersion: {}
            }
          }
        },
        GetSolFunctionPackageContent: {
          http: {
            method: "GET",
            requestUri: "/sol/vnfpkgm/v1/vnf_packages/{vnfPkgId}/package_content",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accept",
              "vnfPkgId"
            ],
            members: {
              accept: {
                location: "header",
                locationName: "Accept"
              },
              vnfPkgId: {
                location: "uri",
                locationName: "vnfPkgId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              packageContent: {
                type: "blob"
              }
            },
            payload: "packageContent"
          }
        },
        GetSolFunctionPackageDescriptor: {
          http: {
            method: "GET",
            requestUri: "/sol/vnfpkgm/v1/vnf_packages/{vnfPkgId}/vnfd",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accept",
              "vnfPkgId"
            ],
            members: {
              accept: {
                location: "header",
                locationName: "Accept"
              },
              vnfPkgId: {
                location: "uri",
                locationName: "vnfPkgId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              vnfd: {
                type: "blob"
              }
            },
            payload: "vnfd"
          }
        },
        GetSolNetworkInstance: {
          http: {
            method: "GET",
            requestUri: "/sol/nslcm/v1/ns_instances/{nsInstanceId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "nsInstanceId"
            ],
            members: {
              nsInstanceId: {
                location: "uri",
                locationName: "nsInstanceId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "metadata",
              "nsInstanceDescription",
              "nsInstanceName",
              "nsdId",
              "nsdInfoId"
            ],
            members: {
              arn: {},
              id: {},
              lcmOpInfo: {
                type: "structure",
                required: [
                  "nsLcmOpOccId"
                ],
                members: {
                  nsLcmOpOccId: {}
                }
              },
              metadata: {
                type: "structure",
                required: [
                  "createdAt",
                  "lastModified"
                ],
                members: {
                  createdAt: {
                    shape: "S15"
                  },
                  lastModified: {
                    shape: "S15"
                  }
                }
              },
              nsInstanceDescription: {},
              nsInstanceName: {},
              nsState: {},
              nsdId: {},
              nsdInfoId: {},
              tags: {
                shape: "S4"
              }
            }
          }
        },
        GetSolNetworkOperation: {
          http: {
            method: "GET",
            requestUri: "/sol/nslcm/v1/ns_lcm_op_occs/{nsLcmOpOccId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "nsLcmOpOccId"
            ],
            members: {
              nsLcmOpOccId: {
                location: "uri",
                locationName: "nsLcmOpOccId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              error: {
                shape: "S1t"
              },
              id: {},
              lcmOperationType: {},
              metadata: {
                type: "structure",
                required: [
                  "createdAt",
                  "lastModified"
                ],
                members: {
                  createdAt: {
                    shape: "S15"
                  },
                  lastModified: {
                    shape: "S15"
                  }
                }
              },
              nsInstanceId: {},
              operationState: {},
              tags: {
                shape: "S4"
              },
              tasks: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    taskContext: {
                      type: "map",
                      key: {},
                      value: {}
                    },
                    taskEndTime: {
                      shape: "S15"
                    },
                    taskErrorDetails: {
                      type: "structure",
                      members: {
                        cause: {},
                        details: {}
                      }
                    },
                    taskName: {},
                    taskStartTime: {
                      shape: "S15"
                    },
                    taskStatus: {}
                  }
                }
              }
            }
          }
        },
        GetSolNetworkPackage: {
          http: {
            method: "GET",
            requestUri: "/sol/nsd/v1/ns_descriptors/{nsdInfoId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "nsdInfoId"
            ],
            members: {
              nsdInfoId: {
                location: "uri",
                locationName: "nsdInfoId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "metadata",
              "nsdId",
              "nsdName",
              "nsdOnboardingState",
              "nsdOperationalState",
              "nsdUsageState",
              "nsdVersion",
              "vnfPkgIds"
            ],
            members: {
              arn: {},
              id: {},
              metadata: {
                type: "structure",
                required: [
                  "createdAt",
                  "lastModified"
                ],
                members: {
                  createdAt: {
                    shape: "S15"
                  },
                  lastModified: {
                    shape: "S15"
                  },
                  nsd: {
                    shape: "S27"
                  }
                }
              },
              nsdId: {},
              nsdName: {},
              nsdOnboardingState: {},
              nsdOperationalState: {},
              nsdUsageState: {},
              nsdVersion: {},
              tags: {
                shape: "S4"
              },
              vnfPkgIds: {
                shape: "S28"
              }
            }
          }
        },
        GetSolNetworkPackageContent: {
          http: {
            method: "GET",
            requestUri: "/sol/nsd/v1/ns_descriptors/{nsdInfoId}/nsd_content",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accept",
              "nsdInfoId"
            ],
            members: {
              accept: {
                location: "header",
                locationName: "Accept"
              },
              nsdInfoId: {
                location: "uri",
                locationName: "nsdInfoId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              nsdContent: {
                type: "blob"
              }
            },
            payload: "nsdContent"
          }
        },
        GetSolNetworkPackageDescriptor: {
          http: {
            method: "GET",
            requestUri: "/sol/nsd/v1/ns_descriptors/{nsdInfoId}/nsd",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "nsdInfoId"
            ],
            members: {
              nsdInfoId: {
                location: "uri",
                locationName: "nsdInfoId"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              nsd: {
                type: "blob"
              }
            },
            payload: "nsd"
          }
        },
        InstantiateSolNetworkInstance: {
          http: {
            requestUri: "/sol/nslcm/v1/ns_instances/{nsInstanceId}/instantiate",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "nsInstanceId"
            ],
            members: {
              additionalParamsForNs: {
                shape: "S2e"
              },
              dryRun: {
                location: "querystring",
                locationName: "dry_run",
                type: "boolean"
              },
              nsInstanceId: {
                location: "uri",
                locationName: "nsInstanceId"
              },
              tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "nsLcmOpOccId"
            ],
            members: {
              nsLcmOpOccId: {},
              tags: {
                shape: "S4"
              }
            }
          }
        },
        ListSolFunctionInstances: {
          http: {
            method: "GET",
            requestUri: "/sol/vnflcm/v1/vnf_instances",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextpage_opaque_marker"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              functionInstances: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "id",
                    "instantiationState",
                    "metadata",
                    "nsInstanceId",
                    "vnfPkgId"
                  ],
                  members: {
                    arn: {},
                    id: {},
                    instantiatedVnfInfo: {
                      type: "structure",
                      members: {
                        vnfState: {}
                      }
                    },
                    instantiationState: {},
                    metadata: {
                      type: "structure",
                      required: [
                        "createdAt",
                        "lastModified"
                      ],
                      members: {
                        createdAt: {
                          shape: "S15"
                        },
                        lastModified: {
                          shape: "S15"
                        }
                      }
                    },
                    nsInstanceId: {},
                    vnfPkgId: {},
                    vnfPkgName: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSolFunctionPackages: {
          http: {
            method: "GET",
            requestUri: "/sol/vnfpkgm/v1/vnf_packages",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextpage_opaque_marker"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "functionPackages"
            ],
            members: {
              functionPackages: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "id",
                    "onboardingState",
                    "operationalState",
                    "usageState"
                  ],
                  members: {
                    arn: {},
                    id: {},
                    metadata: {
                      type: "structure",
                      required: [
                        "createdAt",
                        "lastModified"
                      ],
                      members: {
                        createdAt: {
                          shape: "S15"
                        },
                        lastModified: {
                          shape: "S15"
                        }
                      }
                    },
                    onboardingState: {},
                    operationalState: {},
                    usageState: {},
                    vnfProductName: {},
                    vnfProvider: {},
                    vnfdId: {},
                    vnfdVersion: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSolNetworkInstances: {
          http: {
            method: "GET",
            requestUri: "/sol/nslcm/v1/ns_instances",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextpage_opaque_marker"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              networkInstances: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "id",
                    "metadata",
                    "nsInstanceDescription",
                    "nsInstanceName",
                    "nsState",
                    "nsdId",
                    "nsdInfoId"
                  ],
                  members: {
                    arn: {},
                    id: {},
                    metadata: {
                      type: "structure",
                      required: [
                        "createdAt",
                        "lastModified"
                      ],
                      members: {
                        createdAt: {
                          shape: "S15"
                        },
                        lastModified: {
                          shape: "S15"
                        }
                      }
                    },
                    nsInstanceDescription: {},
                    nsInstanceName: {},
                    nsState: {},
                    nsdId: {},
                    nsdInfoId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSolNetworkOperations: {
          http: {
            method: "GET",
            requestUri: "/sol/nslcm/v1/ns_lcm_op_occs",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextpage_opaque_marker"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              networkOperations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "id",
                    "lcmOperationType",
                    "nsInstanceId",
                    "operationState"
                  ],
                  members: {
                    arn: {},
                    error: {
                      shape: "S1t"
                    },
                    id: {},
                    lcmOperationType: {},
                    metadata: {
                      type: "structure",
                      required: [
                        "createdAt",
                        "lastModified"
                      ],
                      members: {
                        createdAt: {
                          shape: "S15"
                        },
                        lastModified: {
                          shape: "S15"
                        }
                      }
                    },
                    nsInstanceId: {},
                    operationState: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListSolNetworkPackages: {
          http: {
            method: "GET",
            requestUri: "/sol/nsd/v1/ns_descriptors",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "max_results",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextpage_opaque_marker"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "networkPackages"
            ],
            members: {
              networkPackages: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "id",
                    "metadata",
                    "nsdOnboardingState",
                    "nsdOperationalState",
                    "nsdUsageState"
                  ],
                  members: {
                    arn: {},
                    id: {},
                    metadata: {
                      type: "structure",
                      required: [
                        "createdAt",
                        "lastModified"
                      ],
                      members: {
                        createdAt: {
                          shape: "S15"
                        },
                        lastModified: {
                          shape: "S15"
                        }
                      }
                    },
                    nsdDesigner: {},
                    nsdId: {},
                    nsdInvariantId: {},
                    nsdName: {},
                    nsdOnboardingState: {},
                    nsdOperationalState: {},
                    nsdUsageState: {},
                    nsdVersion: {},
                    vnfPkgIds: {
                      shape: "S28"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "tags"
            ],
            members: {
              tags: {
                shape: "S4"
              }
            }
          }
        },
        PutSolFunctionPackageContent: {
          http: {
            method: "PUT",
            requestUri: "/sol/vnfpkgm/v1/vnf_packages/{vnfPkgId}/package_content",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "file",
              "vnfPkgId"
            ],
            members: {
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              file: {
                type: "blob"
              },
              vnfPkgId: {
                location: "uri",
                locationName: "vnfPkgId"
              }
            },
            payload: "file"
          },
          output: {
            type: "structure",
            required: [
              "id",
              "metadata",
              "vnfProductName",
              "vnfProvider",
              "vnfdId",
              "vnfdVersion"
            ],
            members: {
              id: {},
              metadata: {
                type: "structure",
                members: {
                  vnfd: {
                    shape: "S1a"
                  }
                }
              },
              vnfProductName: {},
              vnfProvider: {},
              vnfdId: {},
              vnfdVersion: {}
            }
          },
          idempotent: true
        },
        PutSolNetworkPackageContent: {
          http: {
            method: "PUT",
            requestUri: "/sol/nsd/v1/ns_descriptors/{nsdInfoId}/nsd_content",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "file",
              "nsdInfoId"
            ],
            members: {
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              file: {
                type: "blob"
              },
              nsdInfoId: {
                location: "uri",
                locationName: "nsdInfoId"
              }
            },
            payload: "file"
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "metadata",
              "nsdId",
              "nsdName",
              "nsdVersion",
              "vnfPkgIds"
            ],
            members: {
              arn: {},
              id: {},
              metadata: {
                type: "structure",
                members: {
                  nsd: {
                    shape: "S27"
                  }
                }
              },
              nsdId: {},
              nsdName: {},
              nsdVersion: {},
              vnfPkgIds: {
                shape: "S28"
              }
            }
          },
          idempotent: true
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        TerminateSolNetworkInstance: {
          http: {
            requestUri: "/sol/nslcm/v1/ns_instances/{nsInstanceId}/terminate",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "nsInstanceId"
            ],
            members: {
              nsInstanceId: {
                location: "uri",
                locationName: "nsInstanceId"
              },
              tags: {
                shape: "S4"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nsLcmOpOccId: {},
              tags: {
                shape: "S4"
              }
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateSolFunctionPackage: {
          http: {
            method: "PATCH",
            requestUri: "/sol/vnfpkgm/v1/vnf_packages/{vnfPkgId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "operationalState",
              "vnfPkgId"
            ],
            members: {
              operationalState: {},
              vnfPkgId: {
                location: "uri",
                locationName: "vnfPkgId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "operationalState"
            ],
            members: {
              operationalState: {}
            }
          }
        },
        UpdateSolNetworkInstance: {
          http: {
            requestUri: "/sol/nslcm/v1/ns_instances/{nsInstanceId}/update",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "nsInstanceId",
              "updateType"
            ],
            members: {
              modifyVnfInfoData: {
                type: "structure",
                required: [
                  "vnfConfigurableProperties",
                  "vnfInstanceId"
                ],
                members: {
                  vnfConfigurableProperties: {
                    shape: "S2e"
                  },
                  vnfInstanceId: {}
                }
              },
              nsInstanceId: {
                location: "uri",
                locationName: "nsInstanceId"
              },
              tags: {
                shape: "S4"
              },
              updateType: {}
            }
          },
          output: {
            type: "structure",
            members: {
              nsLcmOpOccId: {},
              tags: {
                shape: "S4"
              }
            }
          }
        },
        UpdateSolNetworkPackage: {
          http: {
            method: "PATCH",
            requestUri: "/sol/nsd/v1/ns_descriptors/{nsdInfoId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "nsdInfoId",
              "nsdOperationalState"
            ],
            members: {
              nsdInfoId: {
                location: "uri",
                locationName: "nsdInfoId"
              },
              nsdOperationalState: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "nsdOperationalState"
            ],
            members: {
              nsdOperationalState: {}
            }
          }
        },
        ValidateSolFunctionPackageContent: {
          http: {
            method: "PUT",
            requestUri: "/sol/vnfpkgm/v1/vnf_packages/{vnfPkgId}/package_content/validate",
            responseCode: 202
          },
          input: {
            type: "structure",
            required: [
              "file",
              "vnfPkgId"
            ],
            members: {
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              file: {
                type: "blob"
              },
              vnfPkgId: {
                location: "uri",
                locationName: "vnfPkgId"
              }
            },
            payload: "file"
          },
          output: {
            type: "structure",
            required: [
              "id",
              "metadata",
              "vnfProductName",
              "vnfProvider",
              "vnfdId",
              "vnfdVersion"
            ],
            members: {
              id: {},
              metadata: {
                type: "structure",
                members: {
                  vnfd: {
                    shape: "S1a"
                  }
                }
              },
              vnfProductName: {},
              vnfProvider: {},
              vnfdId: {},
              vnfdVersion: {}
            }
          },
          idempotent: true
        },
        ValidateSolNetworkPackageContent: {
          http: {
            method: "PUT",
            requestUri: "/sol/nsd/v1/ns_descriptors/{nsdInfoId}/nsd_content/validate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "file",
              "nsdInfoId"
            ],
            members: {
              contentType: {
                location: "header",
                locationName: "Content-Type"
              },
              file: {
                type: "blob"
              },
              nsdInfoId: {
                location: "uri",
                locationName: "nsdInfoId"
              }
            },
            payload: "file"
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "id",
              "metadata",
              "nsdId",
              "nsdName",
              "nsdVersion",
              "vnfPkgIds"
            ],
            members: {
              arn: {},
              id: {},
              metadata: {
                type: "structure",
                members: {
                  nsd: {
                    shape: "S27"
                  }
                }
              },
              nsdId: {},
              nsdName: {},
              nsdVersion: {},
              vnfPkgIds: {
                shape: "S28"
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S4: {
          type: "map",
          key: {},
          value: {},
          sensitive: true
        },
        S15: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S1a: {
          type: "structure",
          members: {
            overrides: {
              shape: "S1b"
            }
          }
        },
        S1b: {
          type: "list",
          member: {
            type: "structure",
            members: {
              defaultValue: {},
              name: {}
            }
          }
        },
        S1t: {
          type: "structure",
          required: [
            "detail"
          ],
          members: {
            detail: {},
            title: {}
          }
        },
        S27: {
          type: "structure",
          members: {
            overrides: {
              shape: "S1b"
            }
          }
        },
        S28: {
          type: "list",
          member: {}
        },
        S2e: {
          type: "structure",
          members: {},
          document: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/tnb-2008-10-21.paginators.json
var require_tnb_2008_10_21_paginators = __commonJS({
  "node_modules/aws-sdk/apis/tnb-2008-10-21.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListSolFunctionInstances: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "functionInstances"
        },
        ListSolFunctionPackages: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "functionPackages"
        },
        ListSolNetworkInstances: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "networkInstances"
        },
        ListSolNetworkOperations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "networkOperations"
        },
        ListSolNetworkPackages: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "networkPackages"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/tnb.js
var require_tnb = __commonJS({
  "node_modules/aws-sdk/clients/tnb.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["tnb"] = {};
    AWS2.Tnb = Service.defineService("tnb", ["2008-10-21"]);
    Object.defineProperty(apiLoader.services["tnb"], "2008-10-21", {
      get: function get() {
        var model = require_tnb_2008_10_21_min();
        model.paginators = require_tnb_2008_10_21_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.Tnb;
  }
});

// node_modules/aws-sdk/apis/internetmonitor-2021-06-03.min.json
var require_internetmonitor_2021_06_03_min = __commonJS({
  "node_modules/aws-sdk/apis/internetmonitor-2021-06-03.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-06-03",
        endpointPrefix: "internetmonitor",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon CloudWatch Internet Monitor",
        serviceId: "InternetMonitor",
        signatureVersion: "v4",
        signingName: "internetmonitor",
        uid: "internetmonitor-2021-06-03"
      },
      operations: {
        CreateMonitor: {
          http: {
            requestUri: "/v20210603/Monitors",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MonitorName"
            ],
            members: {
              MonitorName: {},
              Resources: {
                shape: "S3"
              },
              ClientToken: {
                idempotencyToken: true
              },
              Tags: {
                shape: "S6"
              },
              MaxCityNetworksToMonitor: {
                type: "integer"
              },
              InternetMeasurementsLogDelivery: {
                shape: "Sa"
              },
              TrafficPercentageToMonitor: {
                type: "integer"
              },
              HealthEventsConfig: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "Status"
            ],
            members: {
              Arn: {},
              Status: {}
            }
          },
          idempotent: true
        },
        DeleteMonitor: {
          http: {
            method: "DELETE",
            requestUri: "/v20210603/Monitors/{MonitorName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MonitorName"
            ],
            members: {
              MonitorName: {
                location: "uri",
                locationName: "MonitorName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetHealthEvent: {
          http: {
            method: "GET",
            requestUri: "/v20210603/Monitors/{MonitorName}/HealthEvents/{EventId}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MonitorName",
              "EventId"
            ],
            members: {
              MonitorName: {
                location: "uri",
                locationName: "MonitorName"
              },
              EventId: {
                location: "uri",
                locationName: "EventId"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EventArn",
              "EventId",
              "StartedAt",
              "LastUpdatedAt",
              "ImpactedLocations",
              "Status",
              "ImpactType"
            ],
            members: {
              EventArn: {},
              EventId: {},
              StartedAt: {
                shape: "Sp"
              },
              EndedAt: {
                shape: "Sp"
              },
              CreatedAt: {
                shape: "Sp"
              },
              LastUpdatedAt: {
                shape: "Sp"
              },
              ImpactedLocations: {
                shape: "Sq"
              },
              Status: {},
              PercentOfTotalTrafficImpacted: {
                type: "double"
              },
              ImpactType: {},
              HealthScoreThreshold: {
                type: "double"
              }
            }
          }
        },
        GetMonitor: {
          http: {
            method: "GET",
            requestUri: "/v20210603/Monitors/{MonitorName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MonitorName"
            ],
            members: {
              MonitorName: {
                location: "uri",
                locationName: "MonitorName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "MonitorName",
              "MonitorArn",
              "Resources",
              "Status",
              "CreatedAt",
              "ModifiedAt"
            ],
            members: {
              MonitorName: {},
              MonitorArn: {},
              Resources: {
                shape: "S3"
              },
              Status: {},
              CreatedAt: {
                shape: "Sp"
              },
              ModifiedAt: {
                shape: "Sp"
              },
              ProcessingStatus: {},
              ProcessingStatusInfo: {},
              Tags: {
                shape: "S6"
              },
              MaxCityNetworksToMonitor: {
                type: "integer"
              },
              InternetMeasurementsLogDelivery: {
                shape: "Sa"
              },
              TrafficPercentageToMonitor: {
                type: "integer"
              },
              HealthEventsConfig: {
                shape: "Sf"
              }
            }
          }
        },
        ListHealthEvents: {
          http: {
            method: "GET",
            requestUri: "/v20210603/Monitors/{MonitorName}/HealthEvents",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MonitorName"
            ],
            members: {
              MonitorName: {
                location: "uri",
                locationName: "MonitorName"
              },
              StartTime: {
                shape: "Sp",
                location: "querystring",
                locationName: "StartTime"
              },
              EndTime: {
                shape: "Sp",
                location: "querystring",
                locationName: "EndTime"
              },
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              EventStatus: {
                location: "querystring",
                locationName: "EventStatus"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "HealthEvents"
            ],
            members: {
              HealthEvents: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "EventArn",
                    "EventId",
                    "StartedAt",
                    "LastUpdatedAt",
                    "ImpactedLocations",
                    "Status",
                    "ImpactType"
                  ],
                  members: {
                    EventArn: {},
                    EventId: {},
                    StartedAt: {
                      shape: "Sp"
                    },
                    EndedAt: {
                      shape: "Sp"
                    },
                    CreatedAt: {
                      shape: "Sp"
                    },
                    LastUpdatedAt: {
                      shape: "Sp"
                    },
                    ImpactedLocations: {
                      shape: "Sq"
                    },
                    Status: {},
                    PercentOfTotalTrafficImpacted: {
                      type: "double"
                    },
                    ImpactType: {},
                    HealthScoreThreshold: {
                      type: "double"
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListMonitors: {
          http: {
            method: "GET",
            requestUri: "/v20210603/Monitors",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              NextToken: {
                location: "querystring",
                locationName: "NextToken"
              },
              MaxResults: {
                location: "querystring",
                locationName: "MaxResults",
                type: "integer"
              },
              MonitorStatus: {
                location: "querystring",
                locationName: "MonitorStatus"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Monitors"
            ],
            members: {
              Monitors: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "MonitorName",
                    "MonitorArn",
                    "Status"
                  ],
                  members: {
                    MonitorName: {},
                    MonitorArn: {},
                    Status: {},
                    ProcessingStatus: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S6"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "S6"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateMonitor: {
          http: {
            method: "PATCH",
            requestUri: "/v20210603/Monitors/{MonitorName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "MonitorName"
            ],
            members: {
              MonitorName: {
                location: "uri",
                locationName: "MonitorName"
              },
              ResourcesToAdd: {
                shape: "S3"
              },
              ResourcesToRemove: {
                shape: "S3"
              },
              Status: {},
              ClientToken: {
                idempotencyToken: true
              },
              MaxCityNetworksToMonitor: {
                type: "integer"
              },
              InternetMeasurementsLogDelivery: {
                shape: "Sa"
              },
              TrafficPercentageToMonitor: {
                type: "integer"
              },
              HealthEventsConfig: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "MonitorArn",
              "Status"
            ],
            members: {
              MonitorArn: {},
              Status: {}
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S3: {
          type: "list",
          member: {}
        },
        S6: {
          type: "map",
          key: {},
          value: {}
        },
        Sa: {
          type: "structure",
          members: {
            S3Config: {
              type: "structure",
              members: {
                BucketName: {},
                BucketPrefix: {},
                LogDeliveryStatus: {}
              }
            }
          }
        },
        Sf: {
          type: "structure",
          members: {
            AvailabilityScoreThreshold: {
              type: "double"
            },
            PerformanceScoreThreshold: {
              type: "double"
            }
          }
        },
        Sp: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sq: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ASName",
              "ASNumber",
              "Country",
              "Status"
            ],
            members: {
              ASName: {},
              ASNumber: {
                type: "long"
              },
              Country: {},
              Subdivision: {},
              Metro: {},
              City: {},
              Latitude: {
                type: "double"
              },
              Longitude: {
                type: "double"
              },
              CountryCode: {},
              SubdivisionCode: {},
              ServiceLocation: {},
              Status: {},
              CausedBy: {
                type: "structure",
                required: [
                  "Networks",
                  "AsPath",
                  "NetworkEventType"
                ],
                members: {
                  Networks: {
                    shape: "Sw"
                  },
                  AsPath: {
                    shape: "Sw"
                  },
                  NetworkEventType: {}
                }
              },
              InternetHealth: {
                type: "structure",
                members: {
                  Availability: {
                    type: "structure",
                    members: {
                      ExperienceScore: {
                        type: "double"
                      },
                      PercentOfTotalTrafficImpacted: {
                        type: "double"
                      },
                      PercentOfClientLocationImpacted: {
                        type: "double"
                      }
                    }
                  },
                  Performance: {
                    type: "structure",
                    members: {
                      ExperienceScore: {
                        type: "double"
                      },
                      PercentOfTotalTrafficImpacted: {
                        type: "double"
                      },
                      PercentOfClientLocationImpacted: {
                        type: "double"
                      },
                      RoundTripTime: {
                        type: "structure",
                        members: {
                          P50: {
                            type: "double"
                          },
                          P90: {
                            type: "double"
                          },
                          P95: {
                            type: "double"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        Sw: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ASName",
              "ASNumber"
            ],
            members: {
              ASName: {},
              ASNumber: {
                type: "long"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/internetmonitor-2021-06-03.paginators.json
var require_internetmonitor_2021_06_03_paginators = __commonJS({
  "node_modules/aws-sdk/apis/internetmonitor-2021-06-03.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListHealthEvents: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "HealthEvents"
        },
        ListMonitors: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Monitors"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/internetmonitor-2021-06-03.waiters2.json
var require_internetmonitor_2021_06_03_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/internetmonitor-2021-06-03.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {}
    };
  }
});

// node_modules/aws-sdk/clients/internetmonitor.js
var require_internetmonitor = __commonJS({
  "node_modules/aws-sdk/clients/internetmonitor.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["internetmonitor"] = {};
    AWS2.InternetMonitor = Service.defineService("internetmonitor", ["2021-06-03"]);
    Object.defineProperty(apiLoader.services["internetmonitor"], "2021-06-03", {
      get: function get() {
        var model = require_internetmonitor_2021_06_03_min();
        model.paginators = require_internetmonitor_2021_06_03_paginators().pagination;
        model.waiters = require_internetmonitor_2021_06_03_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.InternetMonitor;
  }
});

// node_modules/aws-sdk/apis/ivs-realtime-2020-07-14.min.json
var require_ivs_realtime_2020_07_14_min = __commonJS({
  "node_modules/aws-sdk/apis/ivs-realtime-2020-07-14.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2020-07-14",
        endpointPrefix: "ivsrealtime",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "ivsrealtime",
        serviceFullName: "Amazon Interactive Video Service RealTime",
        serviceId: "IVS RealTime",
        signatureVersion: "v4",
        signingName: "ivs",
        uid: "ivs-realtime-2020-07-14"
      },
      operations: {
        CreateParticipantToken: {
          http: {
            requestUri: "/CreateParticipantToken",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "stageArn"
            ],
            members: {
              attributes: {
                shape: "S2"
              },
              capabilities: {
                shape: "S4"
              },
              duration: {
                type: "integer"
              },
              stageArn: {},
              userId: {}
            }
          },
          output: {
            type: "structure",
            members: {
              participantToken: {
                shape: "Sa"
              }
            }
          }
        },
        CreateStage: {
          http: {
            requestUri: "/CreateStage",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              name: {},
              participantTokenConfigurations: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    attributes: {
                      shape: "S2"
                    },
                    capabilities: {
                      shape: "S4"
                    },
                    duration: {
                      type: "integer"
                    },
                    userId: {}
                  }
                }
              },
              tags: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              participantTokens: {
                type: "list",
                member: {
                  shape: "Sa"
                }
              },
              stage: {
                shape: "Sn"
              }
            }
          }
        },
        DeleteStage: {
          http: {
            requestUri: "/DeleteStage",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DisconnectParticipant: {
          http: {
            requestUri: "/DisconnectParticipant",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "participantId",
              "stageArn"
            ],
            members: {
              participantId: {},
              reason: {},
              stageArn: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetParticipant: {
          http: {
            requestUri: "/GetParticipant",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "participantId",
              "sessionId",
              "stageArn"
            ],
            members: {
              participantId: {},
              sessionId: {},
              stageArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              participant: {
                type: "structure",
                members: {
                  attributes: {
                    type: "map",
                    key: {},
                    value: {}
                  },
                  firstJoinTime: {
                    shape: "Sz"
                  },
                  participantId: {},
                  published: {
                    type: "boolean"
                  },
                  state: {},
                  userId: {}
                }
              }
            }
          }
        },
        GetStage: {
          http: {
            requestUri: "/GetStage",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              stage: {
                shape: "Sn"
              }
            }
          }
        },
        GetStageSession: {
          http: {
            requestUri: "/GetStageSession",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sessionId",
              "stageArn"
            ],
            members: {
              sessionId: {},
              stageArn: {}
            }
          },
          output: {
            type: "structure",
            members: {
              stageSession: {
                type: "structure",
                members: {
                  endTime: {
                    shape: "Sz"
                  },
                  sessionId: {},
                  startTime: {
                    shape: "Sz"
                  }
                }
              }
            }
          }
        },
        ListParticipantEvents: {
          http: {
            requestUri: "/ListParticipantEvents",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "participantId",
              "sessionId",
              "stageArn"
            ],
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              participantId: {},
              sessionId: {},
              stageArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "events"
            ],
            members: {
              events: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    errorCode: {},
                    eventTime: {
                      shape: "Sz"
                    },
                    name: {},
                    participantId: {},
                    remoteParticipantId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListParticipants: {
          http: {
            requestUri: "/ListParticipants",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "sessionId",
              "stageArn"
            ],
            members: {
              filterByPublished: {
                type: "boolean"
              },
              filterByState: {},
              filterByUserId: {},
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              sessionId: {},
              stageArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "participants"
            ],
            members: {
              nextToken: {},
              participants: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    firstJoinTime: {
                      shape: "Sz"
                    },
                    participantId: {},
                    published: {
                      type: "boolean"
                    },
                    state: {},
                    userId: {}
                  }
                }
              }
            }
          }
        },
        ListStageSessions: {
          http: {
            requestUri: "/ListStageSessions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "stageArn"
            ],
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {},
              stageArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "stageSessions"
            ],
            members: {
              nextToken: {},
              stageSessions: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    endTime: {
                      shape: "Sz"
                    },
                    sessionId: {},
                    startTime: {
                      shape: "Sz"
                    }
                  }
                }
              }
            }
          }
        },
        ListStages: {
          http: {
            requestUri: "/ListStages",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                type: "integer"
              },
              nextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "stages"
            ],
            members: {
              nextToken: {},
              stages: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn"
                  ],
                  members: {
                    activeSessionId: {},
                    arn: {},
                    name: {},
                    tags: {
                      shape: "Si"
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "tags"
            ],
            members: {
              tags: {
                shape: "Si"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Si"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateStage: {
          http: {
            requestUri: "/UpdateStage",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "arn"
            ],
            members: {
              arn: {},
              name: {}
            }
          },
          output: {
            type: "structure",
            members: {
              stage: {
                shape: "Sn"
              }
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "map",
          key: {},
          value: {}
        },
        S4: {
          type: "list",
          member: {}
        },
        Sa: {
          type: "structure",
          members: {
            attributes: {
              shape: "S2"
            },
            capabilities: {
              shape: "S4"
            },
            duration: {
              type: "integer"
            },
            expirationTime: {
              type: "timestamp",
              timestampFormat: "iso8601"
            },
            participantId: {},
            token: {
              type: "string",
              sensitive: true
            },
            userId: {}
          }
        },
        Si: {
          type: "map",
          key: {},
          value: {}
        },
        Sn: {
          type: "structure",
          required: [
            "arn"
          ],
          members: {
            activeSessionId: {},
            arn: {},
            name: {},
            tags: {
              shape: "Si"
            }
          }
        },
        Sz: {
          type: "timestamp",
          timestampFormat: "iso8601"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/ivs-realtime-2020-07-14.paginators.json
var require_ivs_realtime_2020_07_14_paginators = __commonJS({
  "node_modules/aws-sdk/apis/ivs-realtime-2020-07-14.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListParticipantEvents: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListParticipants: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListStageSessions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        },
        ListStages: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/ivsrealtime.js
var require_ivsrealtime = __commonJS({
  "node_modules/aws-sdk/clients/ivsrealtime.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["ivsrealtime"] = {};
    AWS2.IVSRealTime = Service.defineService("ivsrealtime", ["2020-07-14"]);
    Object.defineProperty(apiLoader.services["ivsrealtime"], "2020-07-14", {
      get: function get() {
        var model = require_ivs_realtime_2020_07_14_min();
        model.paginators = require_ivs_realtime_2020_07_14_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.IVSRealTime;
  }
});

// node_modules/aws-sdk/apis/vpc-lattice-2022-11-30.min.json
var require_vpc_lattice_2022_11_30_min = __commonJS({
  "node_modules/aws-sdk/apis/vpc-lattice-2022-11-30.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-11-30",
        endpointPrefix: "vpc-lattice",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon VPC Lattice",
        serviceId: "VPC Lattice",
        signatureVersion: "v4",
        signingName: "vpc-lattice",
        uid: "vpc-lattice-2022-11-30"
      },
      operations: {
        BatchUpdateRule: {
          http: {
            method: "PATCH",
            requestUri: "/services/{serviceIdentifier}/listeners/{listenerIdentifier}/rules",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "listenerIdentifier",
              "rules",
              "serviceIdentifier"
            ],
            members: {
              listenerIdentifier: {
                location: "uri",
                locationName: "listenerIdentifier"
              },
              rules: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ruleIdentifier"
                  ],
                  members: {
                    action: {
                      shape: "S5"
                    },
                    match: {
                      shape: "Sd"
                    },
                    priority: {
                      type: "integer"
                    },
                    ruleIdentifier: {}
                  }
                }
              },
              serviceIdentifier: {
                location: "uri",
                locationName: "serviceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              successful: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    action: {
                      shape: "S5"
                    },
                    arn: {},
                    id: {},
                    isDefault: {
                      type: "boolean"
                    },
                    match: {
                      shape: "Sd"
                    },
                    name: {},
                    priority: {
                      type: "integer"
                    }
                  }
                }
              },
              unsuccessful: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    failureCode: {},
                    failureMessage: {},
                    ruleIdentifier: {}
                  }
                }
              }
            }
          },
          idempotent: true
        },
        CreateAccessLogSubscription: {
          http: {
            requestUri: "/accesslogsubscriptions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "destinationArn",
              "resourceIdentifier"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              destinationArn: {},
              resourceIdentifier: {},
              tags: {
                shape: "S19"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "destinationArn",
              "id",
              "resourceArn",
              "resourceId"
            ],
            members: {
              arn: {},
              destinationArn: {},
              id: {},
              resourceArn: {},
              resourceId: {}
            }
          },
          idempotent: true
        },
        CreateListener: {
          http: {
            requestUri: "/services/{serviceIdentifier}/listeners",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "defaultAction",
              "name",
              "protocol",
              "serviceIdentifier"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              defaultAction: {
                shape: "S5"
              },
              name: {},
              port: {
                type: "integer"
              },
              protocol: {},
              serviceIdentifier: {
                location: "uri",
                locationName: "serviceIdentifier"
              },
              tags: {
                shape: "S19"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              defaultAction: {
                shape: "S5"
              },
              id: {},
              name: {},
              port: {
                type: "integer"
              },
              protocol: {},
              serviceArn: {},
              serviceId: {}
            }
          },
          idempotent: true
        },
        CreateRule: {
          http: {
            requestUri: "/services/{serviceIdentifier}/listeners/{listenerIdentifier}/rules",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "action",
              "listenerIdentifier",
              "match",
              "name",
              "priority",
              "serviceIdentifier"
            ],
            members: {
              action: {
                shape: "S5"
              },
              clientToken: {
                idempotencyToken: true
              },
              listenerIdentifier: {
                location: "uri",
                locationName: "listenerIdentifier"
              },
              match: {
                shape: "Sd"
              },
              name: {},
              priority: {
                type: "integer"
              },
              serviceIdentifier: {
                location: "uri",
                locationName: "serviceIdentifier"
              },
              tags: {
                shape: "S19"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              action: {
                shape: "S5"
              },
              arn: {},
              id: {},
              match: {
                shape: "Sd"
              },
              name: {},
              priority: {
                type: "integer"
              }
            }
          },
          idempotent: true
        },
        CreateService: {
          http: {
            requestUri: "/services",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              authType: {},
              certificateArn: {},
              clientToken: {
                idempotencyToken: true
              },
              customDomainName: {},
              name: {},
              tags: {
                shape: "S19"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              authType: {},
              certificateArn: {},
              customDomainName: {},
              dnsEntry: {
                shape: "S1y"
              },
              id: {},
              name: {},
              status: {}
            }
          },
          idempotent: true
        },
        CreateServiceNetwork: {
          http: {
            requestUri: "/servicenetworks",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "name"
            ],
            members: {
              authType: {},
              clientToken: {
                idempotencyToken: true
              },
              name: {},
              tags: {
                shape: "S19"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              authType: {},
              id: {},
              name: {}
            }
          },
          idempotent: true
        },
        CreateServiceNetworkServiceAssociation: {
          http: {
            requestUri: "/servicenetworkserviceassociations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "serviceIdentifier",
              "serviceNetworkIdentifier"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              serviceIdentifier: {},
              serviceNetworkIdentifier: {},
              tags: {
                shape: "S19"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              createdBy: {},
              customDomainName: {},
              dnsEntry: {
                shape: "S1y"
              },
              id: {},
              status: {}
            }
          },
          idempotent: true
        },
        CreateServiceNetworkVpcAssociation: {
          http: {
            requestUri: "/servicenetworkvpcassociations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "serviceNetworkIdentifier",
              "vpcIdentifier"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              securityGroupIds: {
                type: "list",
                member: {}
              },
              serviceNetworkIdentifier: {},
              tags: {
                shape: "S19"
              },
              vpcIdentifier: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              createdBy: {},
              id: {},
              securityGroupIds: {
                shape: "S2k"
              },
              status: {}
            }
          },
          idempotent: true
        },
        CreateTargetGroup: {
          http: {
            requestUri: "/targetgroups",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "name",
              "type"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              config: {
                shape: "S2n"
              },
              name: {},
              tags: {
                shape: "S19"
              },
              type: {}
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              config: {
                shape: "S2n"
              },
              id: {},
              name: {},
              status: {},
              type: {}
            }
          },
          idempotent: true
        },
        DeleteAccessLogSubscription: {
          http: {
            method: "DELETE",
            requestUri: "/accesslogsubscriptions/{accessLogSubscriptionIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "accessLogSubscriptionIdentifier"
            ],
            members: {
              accessLogSubscriptionIdentifier: {
                location: "uri",
                locationName: "accessLogSubscriptionIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteAuthPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/authpolicy/{resourceIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceIdentifier"
            ],
            members: {
              resourceIdentifier: {
                location: "uri",
                locationName: "resourceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteListener: {
          http: {
            method: "DELETE",
            requestUri: "/services/{serviceIdentifier}/listeners/{listenerIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "listenerIdentifier",
              "serviceIdentifier"
            ],
            members: {
              listenerIdentifier: {
                location: "uri",
                locationName: "listenerIdentifier"
              },
              serviceIdentifier: {
                location: "uri",
                locationName: "serviceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteResourcePolicy: {
          http: {
            method: "DELETE",
            requestUri: "/resourcepolicy/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteRule: {
          http: {
            method: "DELETE",
            requestUri: "/services/{serviceIdentifier}/listeners/{listenerIdentifier}/rules/{ruleIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "listenerIdentifier",
              "ruleIdentifier",
              "serviceIdentifier"
            ],
            members: {
              listenerIdentifier: {
                location: "uri",
                locationName: "listenerIdentifier"
              },
              ruleIdentifier: {
                location: "uri",
                locationName: "ruleIdentifier"
              },
              serviceIdentifier: {
                location: "uri",
                locationName: "serviceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteService: {
          http: {
            method: "DELETE",
            requestUri: "/services/{serviceIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "serviceIdentifier"
            ],
            members: {
              serviceIdentifier: {
                location: "uri",
                locationName: "serviceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              id: {},
              name: {},
              status: {}
            }
          },
          idempotent: true
        },
        DeleteServiceNetwork: {
          http: {
            method: "DELETE",
            requestUri: "/servicenetworks/{serviceNetworkIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "serviceNetworkIdentifier"
            ],
            members: {
              serviceNetworkIdentifier: {
                location: "uri",
                locationName: "serviceNetworkIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteServiceNetworkServiceAssociation: {
          http: {
            method: "DELETE",
            requestUri: "/servicenetworkserviceassociations/{serviceNetworkServiceAssociationIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "serviceNetworkServiceAssociationIdentifier"
            ],
            members: {
              serviceNetworkServiceAssociationIdentifier: {
                location: "uri",
                locationName: "serviceNetworkServiceAssociationIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              id: {},
              status: {}
            }
          },
          idempotent: true
        },
        DeleteServiceNetworkVpcAssociation: {
          http: {
            method: "DELETE",
            requestUri: "/servicenetworkvpcassociations/{serviceNetworkVpcAssociationIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "serviceNetworkVpcAssociationIdentifier"
            ],
            members: {
              serviceNetworkVpcAssociationIdentifier: {
                location: "uri",
                locationName: "serviceNetworkVpcAssociationIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              id: {},
              status: {}
            }
          },
          idempotent: true
        },
        DeleteTargetGroup: {
          http: {
            method: "DELETE",
            requestUri: "/targetgroups/{targetGroupIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "targetGroupIdentifier"
            ],
            members: {
              targetGroupIdentifier: {
                location: "uri",
                locationName: "targetGroupIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              id: {},
              status: {}
            }
          },
          idempotent: true
        },
        DeregisterTargets: {
          http: {
            requestUri: "/targetgroups/{targetGroupIdentifier}/deregistertargets",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "targetGroupIdentifier",
              "targets"
            ],
            members: {
              targetGroupIdentifier: {
                location: "uri",
                locationName: "targetGroupIdentifier"
              },
              targets: {
                type: "list",
                member: {
                  shape: "S3v"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              successful: {
                shape: "S3y"
              },
              unsuccessful: {
                shape: "S3z"
              }
            }
          },
          idempotent: true
        },
        GetAccessLogSubscription: {
          http: {
            method: "GET",
            requestUri: "/accesslogsubscriptions/{accessLogSubscriptionIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accessLogSubscriptionIdentifier"
            ],
            members: {
              accessLogSubscriptionIdentifier: {
                location: "uri",
                locationName: "accessLogSubscriptionIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "createdAt",
              "destinationArn",
              "id",
              "lastUpdatedAt",
              "resourceArn",
              "resourceId"
            ],
            members: {
              arn: {},
              createdAt: {
                shape: "S43"
              },
              destinationArn: {},
              id: {},
              lastUpdatedAt: {
                shape: "S43"
              },
              resourceArn: {},
              resourceId: {}
            }
          }
        },
        GetAuthPolicy: {
          http: {
            method: "GET",
            requestUri: "/authpolicy/{resourceIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceIdentifier"
            ],
            members: {
              resourceIdentifier: {
                location: "uri",
                locationName: "resourceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              createdAt: {
                shape: "S43"
              },
              lastUpdatedAt: {
                shape: "S43"
              },
              policy: {},
              state: {}
            }
          }
        },
        GetListener: {
          http: {
            method: "GET",
            requestUri: "/services/{serviceIdentifier}/listeners/{listenerIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "listenerIdentifier",
              "serviceIdentifier"
            ],
            members: {
              listenerIdentifier: {
                location: "uri",
                locationName: "listenerIdentifier"
              },
              serviceIdentifier: {
                location: "uri",
                locationName: "serviceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              createdAt: {
                shape: "S43"
              },
              defaultAction: {
                shape: "S5"
              },
              id: {},
              lastUpdatedAt: {
                shape: "S43"
              },
              name: {},
              port: {
                type: "integer"
              },
              protocol: {},
              serviceArn: {},
              serviceId: {}
            }
          }
        },
        GetResourcePolicy: {
          http: {
            method: "GET",
            requestUri: "/resourcepolicy/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              policy: {}
            }
          }
        },
        GetRule: {
          http: {
            method: "GET",
            requestUri: "/services/{serviceIdentifier}/listeners/{listenerIdentifier}/rules/{ruleIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "listenerIdentifier",
              "ruleIdentifier",
              "serviceIdentifier"
            ],
            members: {
              listenerIdentifier: {
                location: "uri",
                locationName: "listenerIdentifier"
              },
              ruleIdentifier: {
                location: "uri",
                locationName: "ruleIdentifier"
              },
              serviceIdentifier: {
                location: "uri",
                locationName: "serviceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              action: {
                shape: "S5"
              },
              arn: {},
              createdAt: {
                shape: "S43"
              },
              id: {},
              isDefault: {
                type: "boolean"
              },
              lastUpdatedAt: {
                shape: "S43"
              },
              match: {
                shape: "Sd"
              },
              name: {},
              priority: {
                type: "integer"
              }
            }
          }
        },
        GetService: {
          http: {
            method: "GET",
            requestUri: "/services/{serviceIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "serviceIdentifier"
            ],
            members: {
              serviceIdentifier: {
                location: "uri",
                locationName: "serviceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              authType: {},
              certificateArn: {},
              createdAt: {
                shape: "S43"
              },
              customDomainName: {},
              dnsEntry: {
                shape: "S1y"
              },
              failureCode: {},
              failureMessage: {},
              id: {},
              lastUpdatedAt: {
                shape: "S43"
              },
              name: {},
              status: {}
            }
          }
        },
        GetServiceNetwork: {
          http: {
            method: "GET",
            requestUri: "/servicenetworks/{serviceNetworkIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "serviceNetworkIdentifier"
            ],
            members: {
              serviceNetworkIdentifier: {
                location: "uri",
                locationName: "serviceNetworkIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              authType: {},
              createdAt: {
                shape: "S43"
              },
              id: {},
              lastUpdatedAt: {
                shape: "S43"
              },
              name: {},
              numberOfAssociatedServices: {
                type: "long"
              },
              numberOfAssociatedVPCs: {
                type: "long"
              }
            }
          }
        },
        GetServiceNetworkServiceAssociation: {
          http: {
            method: "GET",
            requestUri: "/servicenetworkserviceassociations/{serviceNetworkServiceAssociationIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "serviceNetworkServiceAssociationIdentifier"
            ],
            members: {
              serviceNetworkServiceAssociationIdentifier: {
                location: "uri",
                locationName: "serviceNetworkServiceAssociationIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              createdAt: {
                shape: "S43"
              },
              createdBy: {},
              customDomainName: {},
              dnsEntry: {
                shape: "S1y"
              },
              failureCode: {},
              failureMessage: {},
              id: {},
              serviceArn: {},
              serviceId: {},
              serviceName: {},
              serviceNetworkArn: {},
              serviceNetworkId: {},
              serviceNetworkName: {},
              status: {}
            }
          }
        },
        GetServiceNetworkVpcAssociation: {
          http: {
            method: "GET",
            requestUri: "/servicenetworkvpcassociations/{serviceNetworkVpcAssociationIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "serviceNetworkVpcAssociationIdentifier"
            ],
            members: {
              serviceNetworkVpcAssociationIdentifier: {
                location: "uri",
                locationName: "serviceNetworkVpcAssociationIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              createdAt: {
                shape: "S43"
              },
              createdBy: {},
              failureCode: {},
              failureMessage: {},
              id: {},
              lastUpdatedAt: {
                shape: "S43"
              },
              securityGroupIds: {
                shape: "S2k"
              },
              serviceNetworkArn: {},
              serviceNetworkId: {},
              serviceNetworkName: {},
              status: {},
              vpcId: {}
            }
          }
        },
        GetTargetGroup: {
          http: {
            method: "GET",
            requestUri: "/targetgroups/{targetGroupIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "targetGroupIdentifier"
            ],
            members: {
              targetGroupIdentifier: {
                location: "uri",
                locationName: "targetGroupIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              config: {
                shape: "S2n"
              },
              createdAt: {
                shape: "S43"
              },
              failureCode: {},
              failureMessage: {},
              id: {},
              lastUpdatedAt: {
                shape: "S43"
              },
              name: {},
              serviceArns: {
                shape: "S4q"
              },
              status: {},
              type: {}
            }
          }
        },
        ListAccessLogSubscriptions: {
          http: {
            method: "GET",
            requestUri: "/accesslogsubscriptions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceIdentifier"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              resourceIdentifier: {
                location: "querystring",
                locationName: "resourceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "items"
            ],
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "createdAt",
                    "destinationArn",
                    "id",
                    "lastUpdatedAt",
                    "resourceArn",
                    "resourceId"
                  ],
                  members: {
                    arn: {},
                    createdAt: {
                      shape: "S43"
                    },
                    destinationArn: {},
                    id: {},
                    lastUpdatedAt: {
                      shape: "S43"
                    },
                    resourceArn: {},
                    resourceId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListListeners: {
          http: {
            method: "GET",
            requestUri: "/services/{serviceIdentifier}/listeners",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "serviceIdentifier"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              serviceIdentifier: {
                location: "uri",
                locationName: "serviceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "items"
            ],
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    createdAt: {
                      shape: "S43"
                    },
                    id: {},
                    lastUpdatedAt: {
                      shape: "S43"
                    },
                    name: {},
                    port: {
                      type: "integer"
                    },
                    protocol: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListRules: {
          http: {
            method: "GET",
            requestUri: "/services/{serviceIdentifier}/listeners/{listenerIdentifier}/rules",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "listenerIdentifier",
              "serviceIdentifier"
            ],
            members: {
              listenerIdentifier: {
                location: "uri",
                locationName: "listenerIdentifier"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              serviceIdentifier: {
                location: "uri",
                locationName: "serviceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "items"
            ],
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    createdAt: {
                      shape: "S43"
                    },
                    id: {},
                    isDefault: {
                      type: "boolean"
                    },
                    lastUpdatedAt: {
                      shape: "S43"
                    },
                    name: {},
                    priority: {
                      type: "integer"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListServiceNetworkServiceAssociations: {
          http: {
            method: "GET",
            requestUri: "/servicenetworkserviceassociations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              serviceIdentifier: {
                location: "querystring",
                locationName: "serviceIdentifier"
              },
              serviceNetworkIdentifier: {
                location: "querystring",
                locationName: "serviceNetworkIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "items"
            ],
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    createdAt: {
                      shape: "S43"
                    },
                    createdBy: {},
                    customDomainName: {},
                    dnsEntry: {
                      shape: "S1y"
                    },
                    id: {},
                    serviceArn: {},
                    serviceId: {},
                    serviceName: {},
                    serviceNetworkArn: {},
                    serviceNetworkId: {},
                    serviceNetworkName: {},
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListServiceNetworkVpcAssociations: {
          http: {
            method: "GET",
            requestUri: "/servicenetworkvpcassociations",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              serviceNetworkIdentifier: {
                location: "querystring",
                locationName: "serviceNetworkIdentifier"
              },
              vpcIdentifier: {
                location: "querystring",
                locationName: "vpcIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "items"
            ],
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    createdAt: {
                      shape: "S43"
                    },
                    createdBy: {},
                    id: {},
                    lastUpdatedAt: {
                      shape: "S43"
                    },
                    serviceNetworkArn: {},
                    serviceNetworkId: {},
                    serviceNetworkName: {},
                    status: {},
                    vpcId: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListServiceNetworks: {
          http: {
            method: "GET",
            requestUri: "/servicenetworks",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "items"
            ],
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    createdAt: {
                      shape: "S43"
                    },
                    id: {},
                    lastUpdatedAt: {
                      shape: "S43"
                    },
                    name: {},
                    numberOfAssociatedServices: {
                      type: "long"
                    },
                    numberOfAssociatedVPCs: {
                      type: "long"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListServices: {
          http: {
            method: "GET",
            requestUri: "/services",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    createdAt: {
                      shape: "S43"
                    },
                    customDomainName: {},
                    dnsEntry: {
                      shape: "S1y"
                    },
                    id: {},
                    lastUpdatedAt: {
                      shape: "S43"
                    },
                    name: {},
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "S19"
              }
            }
          }
        },
        ListTargetGroups: {
          http: {
            method: "GET",
            requestUri: "/targetgroups",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              targetGroupType: {
                location: "querystring",
                locationName: "targetGroupType"
              },
              vpcIdentifier: {
                location: "querystring",
                locationName: "vpcIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    arn: {},
                    createdAt: {
                      shape: "S43"
                    },
                    id: {},
                    ipAddressType: {},
                    lastUpdatedAt: {
                      shape: "S43"
                    },
                    name: {},
                    port: {
                      type: "integer"
                    },
                    protocol: {},
                    serviceArns: {
                      shape: "S4q"
                    },
                    status: {},
                    type: {},
                    vpcIdentifier: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTargets: {
          http: {
            requestUri: "/targetgroups/{targetGroupIdentifier}/listtargets",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "targetGroupIdentifier"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              targetGroupIdentifier: {
                location: "uri",
                locationName: "targetGroupIdentifier"
              },
              targets: {
                type: "list",
                member: {
                  shape: "S3v"
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "items"
            ],
            members: {
              items: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    id: {},
                    port: {
                      type: "integer"
                    },
                    reasonCode: {},
                    status: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        PutAuthPolicy: {
          http: {
            method: "PUT",
            requestUri: "/authpolicy/{resourceIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "policy",
              "resourceIdentifier"
            ],
            members: {
              policy: {},
              resourceIdentifier: {
                location: "uri",
                locationName: "resourceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              policy: {},
              state: {}
            }
          }
        },
        PutResourcePolicy: {
          http: {
            method: "PUT",
            requestUri: "/resourcepolicy/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "policy",
              "resourceArn"
            ],
            members: {
              policy: {},
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        RegisterTargets: {
          http: {
            requestUri: "/targetgroups/{targetGroupIdentifier}/registertargets",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "targetGroupIdentifier",
              "targets"
            ],
            members: {
              targetGroupIdentifier: {
                location: "uri",
                locationName: "targetGroupIdentifier"
              },
              targets: {
                type: "list",
                member: {
                  shape: "S3v"
                }
              }
            }
          },
          output: {
            type: "structure",
            members: {
              successful: {
                shape: "S3y"
              },
              unsuccessful: {
                shape: "S3z"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "S19"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateAccessLogSubscription: {
          http: {
            method: "PATCH",
            requestUri: "/accesslogsubscriptions/{accessLogSubscriptionIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "accessLogSubscriptionIdentifier",
              "destinationArn"
            ],
            members: {
              accessLogSubscriptionIdentifier: {
                location: "uri",
                locationName: "accessLogSubscriptionIdentifier"
              },
              destinationArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "arn",
              "destinationArn",
              "id",
              "resourceArn",
              "resourceId"
            ],
            members: {
              arn: {},
              destinationArn: {},
              id: {},
              resourceArn: {},
              resourceId: {}
            }
          },
          idempotent: true
        },
        UpdateListener: {
          http: {
            method: "PATCH",
            requestUri: "/services/{serviceIdentifier}/listeners/{listenerIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "defaultAction",
              "listenerIdentifier",
              "serviceIdentifier"
            ],
            members: {
              defaultAction: {
                shape: "S5"
              },
              listenerIdentifier: {
                location: "uri",
                locationName: "listenerIdentifier"
              },
              serviceIdentifier: {
                location: "uri",
                locationName: "serviceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              defaultAction: {
                shape: "S5"
              },
              id: {},
              name: {},
              port: {
                type: "integer"
              },
              protocol: {},
              serviceArn: {},
              serviceId: {}
            }
          },
          idempotent: true
        },
        UpdateRule: {
          http: {
            method: "PATCH",
            requestUri: "/services/{serviceIdentifier}/listeners/{listenerIdentifier}/rules/{ruleIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "listenerIdentifier",
              "ruleIdentifier",
              "serviceIdentifier"
            ],
            members: {
              action: {
                shape: "S5"
              },
              listenerIdentifier: {
                location: "uri",
                locationName: "listenerIdentifier"
              },
              match: {
                shape: "Sd"
              },
              priority: {
                type: "integer"
              },
              ruleIdentifier: {
                location: "uri",
                locationName: "ruleIdentifier"
              },
              serviceIdentifier: {
                location: "uri",
                locationName: "serviceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              action: {
                shape: "S5"
              },
              arn: {},
              id: {},
              isDefault: {
                type: "boolean"
              },
              match: {
                shape: "Sd"
              },
              name: {},
              priority: {
                type: "integer"
              }
            }
          },
          idempotent: true
        },
        UpdateService: {
          http: {
            method: "PATCH",
            requestUri: "/services/{serviceIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "serviceIdentifier"
            ],
            members: {
              authType: {},
              certificateArn: {},
              serviceIdentifier: {
                location: "uri",
                locationName: "serviceIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              authType: {},
              certificateArn: {},
              customDomainName: {},
              id: {},
              name: {}
            }
          }
        },
        UpdateServiceNetwork: {
          http: {
            method: "PATCH",
            requestUri: "/servicenetworks/{serviceNetworkIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "authType",
              "serviceNetworkIdentifier"
            ],
            members: {
              authType: {},
              serviceNetworkIdentifier: {
                location: "uri",
                locationName: "serviceNetworkIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              authType: {},
              id: {},
              name: {}
            }
          },
          idempotent: true
        },
        UpdateServiceNetworkVpcAssociation: {
          http: {
            method: "PATCH",
            requestUri: "/servicenetworkvpcassociations/{serviceNetworkVpcAssociationIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "securityGroupIds",
              "serviceNetworkVpcAssociationIdentifier"
            ],
            members: {
              securityGroupIds: {
                type: "list",
                member: {}
              },
              serviceNetworkVpcAssociationIdentifier: {
                location: "uri",
                locationName: "serviceNetworkVpcAssociationIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              createdBy: {},
              id: {},
              securityGroupIds: {
                shape: "S2k"
              },
              status: {}
            }
          },
          idempotent: true
        },
        UpdateTargetGroup: {
          http: {
            method: "PATCH",
            requestUri: "/targetgroups/{targetGroupIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "healthCheck",
              "targetGroupIdentifier"
            ],
            members: {
              healthCheck: {
                shape: "S2o"
              },
              targetGroupIdentifier: {
                location: "uri",
                locationName: "targetGroupIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              arn: {},
              config: {
                shape: "S2n"
              },
              id: {},
              name: {},
              status: {},
              type: {}
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S5: {
          type: "structure",
          members: {
            fixedResponse: {
              type: "structure",
              required: [
                "statusCode"
              ],
              members: {
                statusCode: {
                  type: "integer"
                }
              }
            },
            forward: {
              type: "structure",
              required: [
                "targetGroups"
              ],
              members: {
                targetGroups: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "targetGroupIdentifier"
                    ],
                    members: {
                      targetGroupIdentifier: {},
                      weight: {
                        type: "integer"
                      }
                    }
                  }
                }
              }
            }
          },
          union: true
        },
        Sd: {
          type: "structure",
          members: {
            httpMatch: {
              type: "structure",
              members: {
                headerMatches: {
                  type: "list",
                  member: {
                    type: "structure",
                    required: [
                      "match",
                      "name"
                    ],
                    members: {
                      caseSensitive: {
                        type: "boolean"
                      },
                      match: {
                        type: "structure",
                        members: {
                          contains: {},
                          exact: {},
                          prefix: {}
                        },
                        union: true
                      },
                      name: {}
                    }
                  }
                },
                method: {},
                pathMatch: {
                  type: "structure",
                  required: [
                    "match"
                  ],
                  members: {
                    caseSensitive: {
                      type: "boolean"
                    },
                    match: {
                      type: "structure",
                      members: {
                        exact: {},
                        prefix: {}
                      },
                      union: true
                    }
                  }
                }
              }
            }
          },
          union: true
        },
        S19: {
          type: "map",
          key: {},
          value: {}
        },
        S1y: {
          type: "structure",
          members: {
            domainName: {},
            hostedZoneId: {}
          }
        },
        S2k: {
          type: "list",
          member: {}
        },
        S2n: {
          type: "structure",
          required: [
            "port",
            "protocol",
            "vpcIdentifier"
          ],
          members: {
            healthCheck: {
              shape: "S2o"
            },
            ipAddressType: {},
            port: {
              type: "integer"
            },
            protocol: {},
            protocolVersion: {},
            vpcIdentifier: {}
          }
        },
        S2o: {
          type: "structure",
          members: {
            enabled: {
              type: "boolean"
            },
            healthCheckIntervalSeconds: {
              type: "integer"
            },
            healthCheckTimeoutSeconds: {
              type: "integer"
            },
            healthyThresholdCount: {
              type: "integer"
            },
            matcher: {
              type: "structure",
              members: {
                httpCode: {}
              },
              union: true
            },
            path: {},
            port: {
              type: "integer"
            },
            protocol: {},
            protocolVersion: {},
            unhealthyThresholdCount: {
              type: "integer"
            }
          }
        },
        S3v: {
          type: "structure",
          required: [
            "id"
          ],
          members: {
            id: {},
            port: {
              type: "integer"
            }
          }
        },
        S3y: {
          type: "list",
          member: {
            shape: "S3v"
          }
        },
        S3z: {
          type: "list",
          member: {
            type: "structure",
            members: {
              failureCode: {},
              failureMessage: {},
              id: {},
              port: {
                type: "integer"
              }
            }
          }
        },
        S43: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        S4q: {
          type: "list",
          member: {}
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/vpc-lattice-2022-11-30.paginators.json
var require_vpc_lattice_2022_11_30_paginators = __commonJS({
  "node_modules/aws-sdk/apis/vpc-lattice-2022-11-30.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAccessLogSubscriptions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListListeners: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListRules: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListServiceNetworkServiceAssociations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListServiceNetworkVpcAssociations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListServiceNetworks: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListServices: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListTargetGroups: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        },
        ListTargets: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/vpclattice.js
var require_vpclattice = __commonJS({
  "node_modules/aws-sdk/clients/vpclattice.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["vpclattice"] = {};
    AWS2.VPCLattice = Service.defineService("vpclattice", ["2022-11-30"]);
    Object.defineProperty(apiLoader.services["vpclattice"], "2022-11-30", {
      get: function get() {
        var model = require_vpc_lattice_2022_11_30_min();
        model.paginators = require_vpc_lattice_2022_11_30_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.VPCLattice;
  }
});

// node_modules/aws-sdk/apis/osis-2022-01-01.min.json
var require_osis_2022_01_01_min = __commonJS({
  "node_modules/aws-sdk/apis/osis-2022-01-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-01-01",
        endpointPrefix: "osis",
        protocol: "rest-json",
        serviceFullName: "Amazon OpenSearch Ingestion",
        serviceId: "OSIS",
        signatureVersion: "v4",
        uid: "osis-2022-01-01"
      },
      operations: {
        CreatePipeline: {
          http: {
            requestUri: "/2022-01-01/osis/createPipeline"
          },
          input: {
            type: "structure",
            required: [
              "PipelineName",
              "MinUnits",
              "MaxUnits",
              "PipelineConfigurationBody"
            ],
            members: {
              PipelineName: {},
              MinUnits: {
                type: "integer"
              },
              MaxUnits: {
                type: "integer"
              },
              PipelineConfigurationBody: {},
              LogPublishingOptions: {
                shape: "S5"
              },
              VpcOptions: {
                shape: "S9"
              },
              Tags: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Pipeline: {
                shape: "Sj"
              }
            }
          }
        },
        DeletePipeline: {
          http: {
            method: "DELETE",
            requestUri: "/2022-01-01/osis/deletePipeline/{PipelineName}"
          },
          input: {
            type: "structure",
            required: [
              "PipelineName"
            ],
            members: {
              PipelineName: {
                location: "uri",
                locationName: "PipelineName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        GetPipeline: {
          http: {
            method: "GET",
            requestUri: "/2022-01-01/osis/getPipeline/{PipelineName}"
          },
          input: {
            type: "structure",
            required: [
              "PipelineName"
            ],
            members: {
              PipelineName: {
                location: "uri",
                locationName: "PipelineName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Pipeline: {
                shape: "Sj"
              }
            }
          }
        },
        GetPipelineBlueprint: {
          http: {
            method: "GET",
            requestUri: "/2022-01-01/osis/getPipelineBlueprint/{BlueprintName}"
          },
          input: {
            type: "structure",
            required: [
              "BlueprintName"
            ],
            members: {
              BlueprintName: {
                location: "uri",
                locationName: "BlueprintName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Blueprint: {
                type: "structure",
                members: {
                  BlueprintName: {},
                  PipelineConfigurationBody: {}
                }
              }
            }
          }
        },
        GetPipelineChangeProgress: {
          http: {
            method: "GET",
            requestUri: "/2022-01-01/osis/getPipelineChangeProgress/{PipelineName}"
          },
          input: {
            type: "structure",
            required: [
              "PipelineName"
            ],
            members: {
              PipelineName: {
                location: "uri",
                locationName: "PipelineName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              ChangeProgressStatuses: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    StartTime: {
                      type: "timestamp"
                    },
                    Status: {},
                    TotalNumberOfStages: {
                      type: "integer"
                    },
                    ChangeProgressStages: {
                      type: "list",
                      member: {
                        type: "structure",
                        members: {
                          Name: {},
                          Status: {},
                          Description: {},
                          LastUpdatedAt: {
                            type: "timestamp"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        ListPipelineBlueprints: {
          http: {
            requestUri: "/2022-01-01/osis/listPipelineBlueprints"
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            members: {
              Blueprints: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    BlueprintName: {}
                  }
                }
              }
            }
          }
        },
        ListPipelines: {
          http: {
            method: "GET",
            requestUri: "/2022-01-01/osis/listPipelines"
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              NextToken: {},
              Pipelines: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Status: {},
                    StatusReason: {
                      shape: "Sn"
                    },
                    PipelineName: {},
                    PipelineArn: {},
                    MinUnits: {
                      type: "integer"
                    },
                    MaxUnits: {
                      type: "integer"
                    },
                    CreatedAt: {
                      type: "timestamp"
                    },
                    LastUpdatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/2022-01-01/osis/listTagsForResource/"
          },
          input: {
            type: "structure",
            required: [
              "Arn"
            ],
            members: {
              Arn: {
                location: "querystring",
                locationName: "arn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "Se"
              }
            }
          }
        },
        StartPipeline: {
          http: {
            method: "PUT",
            requestUri: "/2022-01-01/osis/startPipeline/{PipelineName}"
          },
          input: {
            type: "structure",
            required: [
              "PipelineName"
            ],
            members: {
              PipelineName: {
                location: "uri",
                locationName: "PipelineName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Pipeline: {
                shape: "Sj"
              }
            }
          }
        },
        StopPipeline: {
          http: {
            method: "PUT",
            requestUri: "/2022-01-01/osis/stopPipeline/{PipelineName}"
          },
          input: {
            type: "structure",
            required: [
              "PipelineName"
            ],
            members: {
              PipelineName: {
                location: "uri",
                locationName: "PipelineName"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Pipeline: {
                shape: "Sj"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/2022-01-01/osis/tagResource/"
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "Tags"
            ],
            members: {
              Arn: {
                location: "querystring",
                locationName: "arn"
              },
              Tags: {
                shape: "Se"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            requestUri: "/2022-01-01/osis/untagResource/"
          },
          input: {
            type: "structure",
            required: [
              "Arn",
              "TagKeys"
            ],
            members: {
              Arn: {
                location: "querystring",
                locationName: "arn"
              },
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdatePipeline: {
          http: {
            method: "PUT",
            requestUri: "/2022-01-01/osis/updatePipeline/{PipelineName}"
          },
          input: {
            type: "structure",
            required: [
              "PipelineName"
            ],
            members: {
              PipelineName: {
                location: "uri",
                locationName: "PipelineName"
              },
              MinUnits: {
                type: "integer"
              },
              MaxUnits: {
                type: "integer"
              },
              PipelineConfigurationBody: {},
              LogPublishingOptions: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Pipeline: {
                shape: "Sj"
              }
            }
          }
        },
        ValidatePipeline: {
          http: {
            requestUri: "/2022-01-01/osis/validatePipeline"
          },
          input: {
            type: "structure",
            required: [
              "PipelineConfigurationBody"
            ],
            members: {
              PipelineConfigurationBody: {}
            }
          },
          output: {
            type: "structure",
            members: {
              isValid: {
                type: "boolean"
              },
              Errors: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    Message: {}
                  }
                }
              }
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          members: {
            IsLoggingEnabled: {
              type: "boolean"
            },
            CloudWatchLogDestination: {
              type: "structure",
              required: [
                "LogGroup"
              ],
              members: {
                LogGroup: {}
              }
            }
          }
        },
        S9: {
          type: "structure",
          required: [
            "SubnetIds"
          ],
          members: {
            SubnetIds: {
              type: "list",
              member: {}
            },
            SecurityGroupIds: {
              type: "list",
              member: {}
            }
          }
        },
        Se: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key",
              "Value"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sj: {
          type: "structure",
          members: {
            PipelineName: {},
            PipelineArn: {},
            MinUnits: {
              type: "integer"
            },
            MaxUnits: {
              type: "integer"
            },
            Status: {},
            StatusReason: {
              shape: "Sn"
            },
            PipelineConfigurationBody: {},
            CreatedAt: {
              type: "timestamp"
            },
            LastUpdatedAt: {
              type: "timestamp"
            },
            IngestEndpointUrls: {
              type: "list",
              member: {}
            },
            LogPublishingOptions: {
              shape: "S5"
            },
            VpcEndpoints: {
              type: "list",
              member: {
                type: "structure",
                members: {
                  VpcEndpointId: {},
                  VpcId: {},
                  VpcOptions: {
                    shape: "S9"
                  }
                }
              }
            }
          }
        },
        Sn: {
          type: "structure",
          members: {
            Description: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/osis-2022-01-01.paginators.json
var require_osis_2022_01_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/osis-2022-01-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListPipelines: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/osis.js
var require_osis = __commonJS({
  "node_modules/aws-sdk/clients/osis.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["osis"] = {};
    AWS2.OSIS = Service.defineService("osis", ["2022-01-01"]);
    Object.defineProperty(apiLoader.services["osis"], "2022-01-01", {
      get: function get() {
        var model = require_osis_2022_01_01_min();
        model.paginators = require_osis_2022_01_01_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.OSIS;
  }
});

// node_modules/aws-sdk/apis/mediapackagev2-2022-12-25.min.json
var require_mediapackagev2_2022_12_25_min = __commonJS({
  "node_modules/aws-sdk/apis/mediapackagev2-2022-12-25.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-12-25",
        endpointPrefix: "mediapackagev2",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceAbbreviation: "mediapackagev2",
        serviceFullName: "AWS Elemental MediaPackage v2",
        serviceId: "MediaPackageV2",
        signatureVersion: "v4",
        signingName: "mediapackagev2",
        uid: "mediapackagev2-2022-12-25"
      },
      operations: {
        CreateChannel: {
          http: {
            requestUri: "/channelGroup/{ChannelGroupName}/channel",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              ChannelName: {},
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "x-amzn-client-token"
              },
              Description: {},
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "ChannelName",
              "ChannelGroupName",
              "CreatedAt",
              "ModifiedAt"
            ],
            members: {
              Arn: {},
              ChannelName: {},
              ChannelGroupName: {},
              CreatedAt: {
                type: "timestamp"
              },
              ModifiedAt: {
                type: "timestamp"
              },
              Description: {},
              IngestEndpoints: {
                shape: "Sb"
              },
              Tags: {
                shape: "S5"
              }
            }
          },
          idempotent: true
        },
        CreateChannelGroup: {
          http: {
            requestUri: "/channelGroup",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName"
            ],
            members: {
              ChannelGroupName: {},
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "x-amzn-client-token"
              },
              Description: {},
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "Arn",
              "EgressDomain",
              "CreatedAt",
              "ModifiedAt"
            ],
            members: {
              ChannelGroupName: {},
              Arn: {},
              EgressDomain: {},
              CreatedAt: {
                type: "timestamp"
              },
              ModifiedAt: {
                type: "timestamp"
              },
              Description: {},
              Tags: {
                shape: "S5"
              }
            }
          },
          idempotent: true
        },
        CreateOriginEndpoint: {
          http: {
            requestUri: "/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName",
              "OriginEndpointName",
              "ContainerType"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              OriginEndpointName: {},
              ContainerType: {},
              Segment: {
                shape: "Sh"
              },
              ClientToken: {
                idempotencyToken: true,
                location: "header",
                locationName: "x-amzn-client-token"
              },
              Description: {},
              StartoverWindowSeconds: {
                type: "integer"
              },
              HlsManifests: {
                shape: "S14"
              },
              LowLatencyHlsManifests: {
                shape: "S1b"
              },
              Tags: {
                shape: "S5"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "ChannelGroupName",
              "ChannelName",
              "OriginEndpointName",
              "ContainerType",
              "Segment",
              "CreatedAt",
              "ModifiedAt"
            ],
            members: {
              Arn: {},
              ChannelGroupName: {},
              ChannelName: {},
              OriginEndpointName: {},
              ContainerType: {},
              Segment: {
                shape: "Sh"
              },
              CreatedAt: {
                type: "timestamp"
              },
              ModifiedAt: {
                type: "timestamp"
              },
              Description: {},
              StartoverWindowSeconds: {
                type: "integer"
              },
              HlsManifests: {
                shape: "S1h"
              },
              LowLatencyHlsManifests: {
                shape: "S1j"
              },
              Tags: {
                shape: "S5"
              }
            }
          },
          idempotent: true
        },
        DeleteChannel: {
          http: {
            method: "DELETE",
            requestUri: "/channelGroup/{ChannelGroupName}/channel/{ChannelName}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteChannelGroup: {
          http: {
            method: "DELETE",
            requestUri: "/channelGroup/{ChannelGroupName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteChannelPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/channelGroup/{ChannelGroupName}/channel/{ChannelName}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteOriginEndpoint: {
          http: {
            method: "DELETE",
            requestUri: "/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName",
              "OriginEndpointName"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              OriginEndpointName: {
                location: "uri",
                locationName: "OriginEndpointName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteOriginEndpointPolicy: {
          http: {
            method: "DELETE",
            requestUri: "/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName",
              "OriginEndpointName"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              OriginEndpointName: {
                location: "uri",
                locationName: "OriginEndpointName"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetChannel: {
          http: {
            method: "GET",
            requestUri: "/channelGroup/{ChannelGroupName}/channel/{ChannelName}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "ChannelName",
              "ChannelGroupName",
              "CreatedAt",
              "ModifiedAt"
            ],
            members: {
              Arn: {},
              ChannelName: {},
              ChannelGroupName: {},
              CreatedAt: {
                type: "timestamp"
              },
              ModifiedAt: {
                type: "timestamp"
              },
              Description: {},
              IngestEndpoints: {
                shape: "Sb"
              },
              Tags: {
                shape: "S5"
              }
            }
          }
        },
        GetChannelGroup: {
          http: {
            method: "GET",
            requestUri: "/channelGroup/{ChannelGroupName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "Arn",
              "EgressDomain",
              "CreatedAt",
              "ModifiedAt"
            ],
            members: {
              ChannelGroupName: {},
              Arn: {},
              EgressDomain: {},
              CreatedAt: {
                type: "timestamp"
              },
              ModifiedAt: {
                type: "timestamp"
              },
              Description: {},
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            }
          }
        },
        GetChannelPolicy: {
          http: {
            method: "GET",
            requestUri: "/channelGroup/{ChannelGroupName}/channel/{ChannelName}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName",
              "Policy"
            ],
            members: {
              ChannelGroupName: {},
              ChannelName: {},
              Policy: {}
            }
          }
        },
        GetOriginEndpoint: {
          http: {
            method: "GET",
            requestUri: "/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName",
              "OriginEndpointName"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              OriginEndpointName: {
                location: "uri",
                locationName: "OriginEndpointName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "ChannelGroupName",
              "ChannelName",
              "OriginEndpointName",
              "ContainerType",
              "Segment",
              "CreatedAt",
              "ModifiedAt"
            ],
            members: {
              Arn: {},
              ChannelGroupName: {},
              ChannelName: {},
              OriginEndpointName: {},
              ContainerType: {},
              Segment: {
                shape: "Sh"
              },
              CreatedAt: {
                type: "timestamp"
              },
              ModifiedAt: {
                type: "timestamp"
              },
              Description: {},
              StartoverWindowSeconds: {
                type: "integer"
              },
              HlsManifests: {
                shape: "S1h"
              },
              LowLatencyHlsManifests: {
                shape: "S1j"
              },
              Tags: {
                shape: "S5"
              }
            }
          }
        },
        GetOriginEndpointPolicy: {
          http: {
            method: "GET",
            requestUri: "/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName",
              "OriginEndpointName"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              OriginEndpointName: {
                location: "uri",
                locationName: "OriginEndpointName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName",
              "OriginEndpointName",
              "Policy"
            ],
            members: {
              ChannelGroupName: {},
              ChannelName: {},
              OriginEndpointName: {},
              Policy: {}
            }
          }
        },
        ListChannelGroups: {
          http: {
            method: "GET",
            requestUri: "/channelGroup",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "ChannelGroupName",
                    "Arn",
                    "CreatedAt",
                    "ModifiedAt"
                  ],
                  members: {
                    ChannelGroupName: {},
                    Arn: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    ModifiedAt: {
                      type: "timestamp"
                    },
                    Description: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListChannels: {
          http: {
            method: "GET",
            requestUri: "/channelGroup/{ChannelGroupName}/channel",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn",
                    "ChannelName",
                    "ChannelGroupName",
                    "CreatedAt",
                    "ModifiedAt"
                  ],
                  members: {
                    Arn: {},
                    ChannelName: {},
                    ChannelGroupName: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    ModifiedAt: {
                      type: "timestamp"
                    },
                    Description: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListOriginEndpoints: {
          http: {
            method: "GET",
            requestUri: "/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              MaxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              NextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Items: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Arn",
                    "ChannelGroupName",
                    "ChannelName",
                    "OriginEndpointName",
                    "ContainerType"
                  ],
                  members: {
                    Arn: {},
                    ChannelGroupName: {},
                    ChannelName: {},
                    OriginEndpointName: {},
                    ContainerType: {},
                    Description: {},
                    CreatedAt: {
                      type: "timestamp"
                    },
                    ModifiedAt: {
                      type: "timestamp"
                    },
                    HlsManifests: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "ManifestName"
                        ],
                        members: {
                          ManifestName: {},
                          ChildManifestName: {},
                          Url: {}
                        }
                      }
                    },
                    LowLatencyHlsManifests: {
                      type: "list",
                      member: {
                        type: "structure",
                        required: [
                          "ManifestName"
                        ],
                        members: {
                          ManifestName: {},
                          ChildManifestName: {},
                          Url: {}
                        }
                      }
                    }
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            }
          }
        },
        PutChannelPolicy: {
          http: {
            method: "PUT",
            requestUri: "/channelGroup/{ChannelGroupName}/channel/{ChannelName}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName",
              "Policy"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              Policy: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        PutOriginEndpointPolicy: {
          http: {
            requestUri: "/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}/policy",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName",
              "OriginEndpointName",
              "Policy"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              OriginEndpointName: {
                location: "uri",
                locationName: "OriginEndpointName"
              },
              Policy: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        TagResource: {
          http: {
            requestUri: "/tags/{ResourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            }
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{ResourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {
                location: "uri",
                locationName: "ResourceArn"
              },
              TagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          idempotent: true
        },
        UpdateChannel: {
          http: {
            method: "PUT",
            requestUri: "/channelGroup/{ChannelGroupName}/channel/{ChannelName}/",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              Description: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "ChannelName",
              "ChannelGroupName",
              "CreatedAt",
              "ModifiedAt"
            ],
            members: {
              Arn: {},
              ChannelName: {},
              ChannelGroupName: {},
              CreatedAt: {
                type: "timestamp"
              },
              ModifiedAt: {
                type: "timestamp"
              },
              Description: {},
              IngestEndpoints: {
                shape: "Sb"
              },
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            }
          },
          idempotent: true
        },
        UpdateChannelGroup: {
          http: {
            method: "PUT",
            requestUri: "/channelGroup/{ChannelGroupName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              Description: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "Arn",
              "EgressDomain",
              "CreatedAt",
              "ModifiedAt"
            ],
            members: {
              ChannelGroupName: {},
              Arn: {},
              EgressDomain: {},
              CreatedAt: {
                type: "timestamp"
              },
              ModifiedAt: {
                type: "timestamp"
              },
              Description: {},
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            }
          },
          idempotent: true
        },
        UpdateOriginEndpoint: {
          http: {
            method: "PUT",
            requestUri: "/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ChannelGroupName",
              "ChannelName",
              "OriginEndpointName",
              "ContainerType"
            ],
            members: {
              ChannelGroupName: {
                location: "uri",
                locationName: "ChannelGroupName"
              },
              ChannelName: {
                location: "uri",
                locationName: "ChannelName"
              },
              OriginEndpointName: {
                location: "uri",
                locationName: "OriginEndpointName"
              },
              ContainerType: {},
              Segment: {
                shape: "Sh"
              },
              Description: {},
              StartoverWindowSeconds: {
                type: "integer"
              },
              HlsManifests: {
                shape: "S14"
              },
              LowLatencyHlsManifests: {
                shape: "S1b"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Arn",
              "ChannelGroupName",
              "ChannelName",
              "OriginEndpointName",
              "ContainerType",
              "Segment",
              "CreatedAt",
              "ModifiedAt"
            ],
            members: {
              Arn: {},
              ChannelGroupName: {},
              ChannelName: {},
              OriginEndpointName: {},
              ContainerType: {},
              Segment: {
                shape: "Sh"
              },
              CreatedAt: {
                type: "timestamp"
              },
              ModifiedAt: {
                type: "timestamp"
              },
              Description: {},
              StartoverWindowSeconds: {
                type: "integer"
              },
              HlsManifests: {
                shape: "S1h"
              },
              LowLatencyHlsManifests: {
                shape: "S1j"
              },
              Tags: {
                shape: "S5",
                locationName: "tags"
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S5: {
          type: "map",
          key: {},
          value: {}
        },
        Sb: {
          type: "list",
          member: {
            type: "structure",
            members: {
              Id: {},
              Url: {}
            }
          }
        },
        Sh: {
          type: "structure",
          members: {
            SegmentDurationSeconds: {
              type: "integer"
            },
            SegmentName: {},
            TsUseAudioRenditionGroup: {
              type: "boolean"
            },
            IncludeIframeOnlyStreams: {
              type: "boolean"
            },
            TsIncludeDvbSubtitles: {
              type: "boolean"
            },
            Scte: {
              type: "structure",
              members: {
                ScteFilter: {
                  type: "list",
                  member: {}
                }
              }
            },
            Encryption: {
              type: "structure",
              required: [
                "EncryptionMethod",
                "SpekeKeyProvider"
              ],
              members: {
                ConstantInitializationVector: {},
                EncryptionMethod: {
                  type: "structure",
                  members: {
                    TsEncryptionMethod: {},
                    CmafEncryptionMethod: {}
                  }
                },
                KeyRotationIntervalSeconds: {
                  type: "integer"
                },
                SpekeKeyProvider: {
                  type: "structure",
                  required: [
                    "EncryptionContractConfiguration",
                    "ResourceId",
                    "DrmSystems",
                    "RoleArn",
                    "Url"
                  ],
                  members: {
                    EncryptionContractConfiguration: {
                      type: "structure",
                      required: [
                        "PresetSpeke20Audio",
                        "PresetSpeke20Video"
                      ],
                      members: {
                        PresetSpeke20Audio: {},
                        PresetSpeke20Video: {}
                      }
                    },
                    ResourceId: {},
                    DrmSystems: {
                      type: "list",
                      member: {}
                    },
                    RoleArn: {},
                    Url: {}
                  }
                }
              }
            }
          }
        },
        S14: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ManifestName"
            ],
            members: {
              ManifestName: {},
              ChildManifestName: {},
              ScteHls: {
                shape: "S17"
              },
              ManifestWindowSeconds: {
                type: "integer"
              },
              ProgramDateTimeIntervalSeconds: {
                type: "integer"
              }
            }
          }
        },
        S17: {
          type: "structure",
          members: {
            AdMarkerHls: {}
          }
        },
        S1b: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ManifestName"
            ],
            members: {
              ManifestName: {},
              ChildManifestName: {},
              ScteHls: {
                shape: "S17"
              },
              ManifestWindowSeconds: {
                type: "integer"
              },
              ProgramDateTimeIntervalSeconds: {
                type: "integer"
              }
            }
          }
        },
        S1h: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ManifestName",
              "Url"
            ],
            members: {
              ManifestName: {},
              Url: {},
              ChildManifestName: {},
              ManifestWindowSeconds: {
                type: "integer"
              },
              ProgramDateTimeIntervalSeconds: {
                type: "integer"
              },
              ScteHls: {
                shape: "S17"
              }
            }
          }
        },
        S1j: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "ManifestName",
              "Url"
            ],
            members: {
              ManifestName: {},
              Url: {},
              ChildManifestName: {},
              ManifestWindowSeconds: {
                type: "integer"
              },
              ProgramDateTimeIntervalSeconds: {
                type: "integer"
              },
              ScteHls: {
                shape: "S17"
              }
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/mediapackagev2-2022-12-25.paginators.json
var require_mediapackagev2_2022_12_25_paginators = __commonJS({
  "node_modules/aws-sdk/apis/mediapackagev2-2022-12-25.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListChannelGroups: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Items"
        },
        ListChannels: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Items"
        },
        ListOriginEndpoints: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Items"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/mediapackagev2-2022-12-25.waiters2.json
var require_mediapackagev2_2022_12_25_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/mediapackagev2-2022-12-25.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {}
    };
  }
});

// node_modules/aws-sdk/clients/mediapackagev2.js
var require_mediapackagev2 = __commonJS({
  "node_modules/aws-sdk/clients/mediapackagev2.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["mediapackagev2"] = {};
    AWS2.MediaPackageV2 = Service.defineService("mediapackagev2", ["2022-12-25"]);
    Object.defineProperty(apiLoader.services["mediapackagev2"], "2022-12-25", {
      get: function get() {
        var model = require_mediapackagev2_2022_12_25_min();
        model.paginators = require_mediapackagev2_2022_12_25_paginators().pagination;
        model.waiters = require_mediapackagev2_2022_12_25_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.MediaPackageV2;
  }
});

// node_modules/aws-sdk/apis/payment-cryptography-2021-09-14.min.json
var require_payment_cryptography_2021_09_14_min = __commonJS({
  "node_modules/aws-sdk/apis/payment-cryptography-2021-09-14.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-09-14",
        endpointPrefix: "controlplane.payment-cryptography",
        jsonVersion: "1.0",
        protocol: "json",
        serviceFullName: "Payment Cryptography Control Plane",
        serviceId: "Payment Cryptography",
        signatureVersion: "v4",
        signingName: "payment-cryptography",
        targetPrefix: "PaymentCryptographyControlPlane",
        uid: "payment-cryptography-2021-09-14"
      },
      operations: {
        CreateAlias: {
          input: {
            type: "structure",
            required: [
              "AliasName"
            ],
            members: {
              AliasName: {},
              KeyArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Alias"
            ],
            members: {
              Alias: {
                shape: "S5"
              }
            }
          }
        },
        CreateKey: {
          input: {
            type: "structure",
            required: [
              "Exportable",
              "KeyAttributes"
            ],
            members: {
              Enabled: {
                type: "boolean"
              },
              Exportable: {
                type: "boolean"
              },
              KeyAttributes: {
                shape: "S8"
              },
              KeyCheckValueAlgorithm: {},
              Tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {
                shape: "Sk"
              }
            }
          }
        },
        DeleteAlias: {
          input: {
            type: "structure",
            required: [
              "AliasName"
            ],
            members: {
              AliasName: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        DeleteKey: {
          input: {
            type: "structure",
            required: [
              "KeyIdentifier"
            ],
            members: {
              DeleteKeyInDays: {
                type: "integer"
              },
              KeyIdentifier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {
                shape: "Sk"
              }
            }
          }
        },
        ExportKey: {
          input: {
            type: "structure",
            required: [
              "ExportKeyIdentifier",
              "KeyMaterial"
            ],
            members: {
              ExportKeyIdentifier: {},
              KeyMaterial: {
                type: "structure",
                members: {
                  Tr31KeyBlock: {
                    type: "structure",
                    required: [
                      "WrappingKeyIdentifier"
                    ],
                    members: {
                      WrappingKeyIdentifier: {}
                    }
                  },
                  Tr34KeyBlock: {
                    type: "structure",
                    required: [
                      "CertificateAuthorityPublicKeyIdentifier",
                      "ExportToken",
                      "KeyBlockFormat",
                      "WrappingKeyCertificate"
                    ],
                    members: {
                      CertificateAuthorityPublicKeyIdentifier: {},
                      ExportToken: {},
                      KeyBlockFormat: {},
                      RandomNonce: {},
                      WrappingKeyCertificate: {
                        shape: "S12"
                      }
                    }
                  }
                },
                union: true
              }
            }
          },
          output: {
            type: "structure",
            members: {
              WrappedKey: {
                type: "structure",
                required: [
                  "KeyMaterial",
                  "WrappedKeyMaterialFormat",
                  "WrappingKeyArn"
                ],
                members: {
                  KeyMaterial: {
                    type: "string",
                    sensitive: true
                  },
                  WrappedKeyMaterialFormat: {},
                  WrappingKeyArn: {}
                }
              }
            }
          }
        },
        GetAlias: {
          input: {
            type: "structure",
            required: [
              "AliasName"
            ],
            members: {
              AliasName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Alias"
            ],
            members: {
              Alias: {
                shape: "S5"
              }
            }
          }
        },
        GetKey: {
          input: {
            type: "structure",
            required: [
              "KeyIdentifier"
            ],
            members: {
              KeyIdentifier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {
                shape: "Sk"
              }
            }
          }
        },
        GetParametersForExport: {
          input: {
            type: "structure",
            required: [
              "KeyMaterialType",
              "SigningKeyAlgorithm"
            ],
            members: {
              KeyMaterialType: {},
              SigningKeyAlgorithm: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ExportToken",
              "ParametersValidUntilTimestamp",
              "SigningKeyAlgorithm",
              "SigningKeyCertificate",
              "SigningKeyCertificateChain"
            ],
            members: {
              ExportToken: {},
              ParametersValidUntilTimestamp: {
                type: "timestamp"
              },
              SigningKeyAlgorithm: {},
              SigningKeyCertificate: {
                shape: "S12"
              },
              SigningKeyCertificateChain: {
                shape: "S12"
              }
            }
          }
        },
        GetParametersForImport: {
          input: {
            type: "structure",
            required: [
              "KeyMaterialType",
              "WrappingKeyAlgorithm"
            ],
            members: {
              KeyMaterialType: {},
              WrappingKeyAlgorithm: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "ImportToken",
              "ParametersValidUntilTimestamp",
              "WrappingKeyAlgorithm",
              "WrappingKeyCertificate",
              "WrappingKeyCertificateChain"
            ],
            members: {
              ImportToken: {},
              ParametersValidUntilTimestamp: {
                type: "timestamp"
              },
              WrappingKeyAlgorithm: {},
              WrappingKeyCertificate: {
                shape: "S12"
              },
              WrappingKeyCertificateChain: {
                shape: "S12"
              }
            }
          }
        },
        GetPublicKeyCertificate: {
          input: {
            type: "structure",
            required: [
              "KeyIdentifier"
            ],
            members: {
              KeyIdentifier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "KeyCertificate",
              "KeyCertificateChain"
            ],
            members: {
              KeyCertificate: {
                shape: "S12"
              },
              KeyCertificateChain: {
                shape: "S12"
              }
            }
          }
        },
        ImportKey: {
          input: {
            type: "structure",
            required: [
              "KeyMaterial"
            ],
            members: {
              Enabled: {
                type: "boolean"
              },
              KeyCheckValueAlgorithm: {},
              KeyMaterial: {
                type: "structure",
                members: {
                  RootCertificatePublicKey: {
                    type: "structure",
                    required: [
                      "KeyAttributes",
                      "PublicKeyCertificate"
                    ],
                    members: {
                      KeyAttributes: {
                        shape: "S8"
                      },
                      PublicKeyCertificate: {
                        shape: "S12"
                      }
                    }
                  },
                  Tr31KeyBlock: {
                    type: "structure",
                    required: [
                      "WrappedKeyBlock",
                      "WrappingKeyIdentifier"
                    ],
                    members: {
                      WrappedKeyBlock: {},
                      WrappingKeyIdentifier: {}
                    }
                  },
                  Tr34KeyBlock: {
                    type: "structure",
                    required: [
                      "CertificateAuthorityPublicKeyIdentifier",
                      "ImportToken",
                      "KeyBlockFormat",
                      "SigningKeyCertificate",
                      "WrappedKeyBlock"
                    ],
                    members: {
                      CertificateAuthorityPublicKeyIdentifier: {},
                      ImportToken: {},
                      KeyBlockFormat: {},
                      RandomNonce: {},
                      SigningKeyCertificate: {
                        shape: "S12"
                      },
                      WrappedKeyBlock: {}
                    }
                  },
                  TrustedCertificatePublicKey: {
                    type: "structure",
                    required: [
                      "CertificateAuthorityPublicKeyIdentifier",
                      "KeyAttributes",
                      "PublicKeyCertificate"
                    ],
                    members: {
                      CertificateAuthorityPublicKeyIdentifier: {},
                      KeyAttributes: {
                        shape: "S8"
                      },
                      PublicKeyCertificate: {
                        shape: "S12"
                      }
                    }
                  }
                },
                union: true
              },
              Tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {
                shape: "Sk"
              }
            }
          }
        },
        ListAliases: {
          input: {
            type: "structure",
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Aliases"
            ],
            members: {
              Aliases: {
                type: "list",
                member: {
                  shape: "S5"
                }
              },
              NextToken: {}
            }
          }
        },
        ListKeys: {
          input: {
            type: "structure",
            members: {
              KeyState: {},
              MaxResults: {
                type: "integer"
              },
              NextToken: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Keys"
            ],
            members: {
              Keys: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "Enabled",
                    "Exportable",
                    "KeyArn",
                    "KeyAttributes",
                    "KeyCheckValue",
                    "KeyState"
                  ],
                  members: {
                    Enabled: {
                      type: "boolean"
                    },
                    Exportable: {
                      type: "boolean"
                    },
                    KeyArn: {},
                    KeyAttributes: {
                      shape: "S8"
                    },
                    KeyCheckValue: {},
                    KeyState: {}
                  }
                }
              },
              NextToken: {}
            }
          }
        },
        ListTagsForResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn"
            ],
            members: {
              MaxResults: {
                type: "integer"
              },
              NextToken: {},
              ResourceArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Tags"
            ],
            members: {
              NextToken: {},
              Tags: {
                shape: "Sf"
              }
            }
          }
        },
        RestoreKey: {
          input: {
            type: "structure",
            required: [
              "KeyIdentifier"
            ],
            members: {
              KeyIdentifier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {
                shape: "Sk"
              }
            }
          }
        },
        StartKeyUsage: {
          input: {
            type: "structure",
            required: [
              "KeyIdentifier"
            ],
            members: {
              KeyIdentifier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {
                shape: "Sk"
              }
            }
          }
        },
        StopKeyUsage: {
          input: {
            type: "structure",
            required: [
              "KeyIdentifier"
            ],
            members: {
              KeyIdentifier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {
                shape: "Sk"
              }
            }
          }
        },
        TagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "Tags"
            ],
            members: {
              ResourceArn: {},
              Tags: {
                shape: "Sf"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          input: {
            type: "structure",
            required: [
              "ResourceArn",
              "TagKeys"
            ],
            members: {
              ResourceArn: {},
              TagKeys: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UpdateAlias: {
          input: {
            type: "structure",
            required: [
              "AliasName"
            ],
            members: {
              AliasName: {},
              KeyArn: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "Alias"
            ],
            members: {
              Alias: {
                shape: "S5"
              }
            }
          }
        }
      },
      shapes: {
        S5: {
          type: "structure",
          required: [
            "AliasName"
          ],
          members: {
            AliasName: {},
            KeyArn: {}
          }
        },
        S8: {
          type: "structure",
          required: [
            "KeyAlgorithm",
            "KeyClass",
            "KeyModesOfUse",
            "KeyUsage"
          ],
          members: {
            KeyAlgorithm: {},
            KeyClass: {},
            KeyModesOfUse: {
              type: "structure",
              members: {
                Decrypt: {
                  type: "boolean"
                },
                DeriveKey: {
                  type: "boolean"
                },
                Encrypt: {
                  type: "boolean"
                },
                Generate: {
                  type: "boolean"
                },
                NoRestrictions: {
                  type: "boolean"
                },
                Sign: {
                  type: "boolean"
                },
                Unwrap: {
                  type: "boolean"
                },
                Verify: {
                  type: "boolean"
                },
                Wrap: {
                  type: "boolean"
                }
              }
            },
            KeyUsage: {}
          }
        },
        Sf: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "Key"
            ],
            members: {
              Key: {},
              Value: {}
            }
          }
        },
        Sk: {
          type: "structure",
          required: [
            "CreateTimestamp",
            "Enabled",
            "Exportable",
            "KeyArn",
            "KeyAttributes",
            "KeyCheckValue",
            "KeyCheckValueAlgorithm",
            "KeyOrigin",
            "KeyState"
          ],
          members: {
            CreateTimestamp: {
              type: "timestamp"
            },
            DeletePendingTimestamp: {
              type: "timestamp"
            },
            DeleteTimestamp: {
              type: "timestamp"
            },
            Enabled: {
              type: "boolean"
            },
            Exportable: {
              type: "boolean"
            },
            KeyArn: {},
            KeyAttributes: {
              shape: "S8"
            },
            KeyCheckValue: {},
            KeyCheckValueAlgorithm: {},
            KeyOrigin: {},
            KeyState: {},
            UsageStartTimestamp: {
              type: "timestamp"
            },
            UsageStopTimestamp: {
              type: "timestamp"
            }
          }
        },
        S12: {
          type: "string",
          sensitive: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/payment-cryptography-2021-09-14.paginators.json
var require_payment_cryptography_2021_09_14_paginators = __commonJS({
  "node_modules/aws-sdk/apis/payment-cryptography-2021-09-14.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAliases: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Aliases"
        },
        ListKeys: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Keys"
        },
        ListTagsForResource: {
          input_token: "NextToken",
          output_token: "NextToken",
          limit_key: "MaxResults",
          result_key: "Tags"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/paymentcryptography.js
var require_paymentcryptography = __commonJS({
  "node_modules/aws-sdk/clients/paymentcryptography.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["paymentcryptography"] = {};
    AWS2.PaymentCryptography = Service.defineService("paymentcryptography", ["2021-09-14"]);
    Object.defineProperty(apiLoader.services["paymentcryptography"], "2021-09-14", {
      get: function get() {
        var model = require_payment_cryptography_2021_09_14_min();
        model.paginators = require_payment_cryptography_2021_09_14_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.PaymentCryptography;
  }
});

// node_modules/aws-sdk/apis/payment-cryptography-data-2022-02-03.min.json
var require_payment_cryptography_data_2022_02_03_min = __commonJS({
  "node_modules/aws-sdk/apis/payment-cryptography-data-2022-02-03.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2022-02-03",
        endpointPrefix: "dataplane.payment-cryptography",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Payment Cryptography Data Plane",
        serviceId: "Payment Cryptography Data",
        signatureVersion: "v4",
        signingName: "payment-cryptography",
        uid: "payment-cryptography-data-2022-02-03"
      },
      operations: {
        DecryptData: {
          http: {
            requestUri: "/keys/{KeyIdentifier}/decrypt",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CipherText",
              "DecryptionAttributes",
              "KeyIdentifier"
            ],
            members: {
              CipherText: {
                shape: "S2"
              },
              DecryptionAttributes: {
                shape: "S3"
              },
              KeyIdentifier: {
                location: "uri",
                locationName: "KeyIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "KeyArn",
              "KeyCheckValue",
              "PlainText"
            ],
            members: {
              KeyArn: {},
              KeyCheckValue: {},
              PlainText: {
                shape: "S2"
              }
            }
          }
        },
        EncryptData: {
          http: {
            requestUri: "/keys/{KeyIdentifier}/encrypt",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "EncryptionAttributes",
              "KeyIdentifier",
              "PlainText"
            ],
            members: {
              EncryptionAttributes: {
                shape: "S3"
              },
              KeyIdentifier: {
                location: "uri",
                locationName: "KeyIdentifier"
              },
              PlainText: {
                type: "string",
                sensitive: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "CipherText",
              "KeyArn",
              "KeyCheckValue"
            ],
            members: {
              CipherText: {
                shape: "S2"
              },
              KeyArn: {},
              KeyCheckValue: {}
            }
          }
        },
        GenerateCardValidationData: {
          http: {
            requestUri: "/cardvalidationdata/generate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GenerationAttributes",
              "KeyIdentifier",
              "PrimaryAccountNumber"
            ],
            members: {
              GenerationAttributes: {
                type: "structure",
                members: {
                  AmexCardSecurityCodeVersion1: {
                    shape: "Sn"
                  },
                  AmexCardSecurityCodeVersion2: {
                    shape: "Sp"
                  },
                  CardHolderVerificationValue: {
                    shape: "Sr"
                  },
                  CardVerificationValue1: {
                    shape: "Sv"
                  },
                  CardVerificationValue2: {
                    shape: "Sw"
                  },
                  DynamicCardVerificationCode: {
                    shape: "Sx"
                  },
                  DynamicCardVerificationValue: {
                    shape: "Sz"
                  }
                },
                union: true
              },
              KeyIdentifier: {},
              PrimaryAccountNumber: {
                shape: "S10"
              },
              ValidationDataLength: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "KeyArn",
              "KeyCheckValue",
              "ValidationData"
            ],
            members: {
              KeyArn: {},
              KeyCheckValue: {},
              ValidationData: {}
            }
          }
        },
        GenerateMac: {
          http: {
            requestUri: "/mac/generate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "GenerationAttributes",
              "KeyIdentifier",
              "MessageData"
            ],
            members: {
              GenerationAttributes: {
                shape: "S15"
              },
              KeyIdentifier: {},
              MacLength: {
                type: "integer"
              },
              MessageData: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "KeyArn",
              "KeyCheckValue",
              "Mac"
            ],
            members: {
              KeyArn: {},
              KeyCheckValue: {},
              Mac: {}
            }
          }
        },
        GeneratePinData: {
          http: {
            requestUri: "/pindata/generate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "EncryptionKeyIdentifier",
              "GenerationAttributes",
              "GenerationKeyIdentifier",
              "PinBlockFormat",
              "PrimaryAccountNumber"
            ],
            members: {
              EncryptionKeyIdentifier: {},
              GenerationAttributes: {
                type: "structure",
                members: {
                  Ibm3624NaturalPin: {
                    type: "structure",
                    required: [
                      "DecimalizationTable",
                      "PinValidationData",
                      "PinValidationDataPadCharacter"
                    ],
                    members: {
                      DecimalizationTable: {},
                      PinValidationData: {},
                      PinValidationDataPadCharacter: {}
                    }
                  },
                  Ibm3624PinFromOffset: {
                    type: "structure",
                    required: [
                      "DecimalizationTable",
                      "PinOffset",
                      "PinValidationData",
                      "PinValidationDataPadCharacter"
                    ],
                    members: {
                      DecimalizationTable: {},
                      PinOffset: {},
                      PinValidationData: {},
                      PinValidationDataPadCharacter: {}
                    }
                  },
                  Ibm3624PinOffset: {
                    type: "structure",
                    required: [
                      "DecimalizationTable",
                      "EncryptedPinBlock",
                      "PinValidationData",
                      "PinValidationDataPadCharacter"
                    ],
                    members: {
                      DecimalizationTable: {},
                      EncryptedPinBlock: {},
                      PinValidationData: {},
                      PinValidationDataPadCharacter: {}
                    }
                  },
                  Ibm3624RandomPin: {
                    type: "structure",
                    required: [
                      "DecimalizationTable",
                      "PinValidationData",
                      "PinValidationDataPadCharacter"
                    ],
                    members: {
                      DecimalizationTable: {},
                      PinValidationData: {},
                      PinValidationDataPadCharacter: {}
                    }
                  },
                  VisaPin: {
                    type: "structure",
                    required: [
                      "PinVerificationKeyIndex"
                    ],
                    members: {
                      PinVerificationKeyIndex: {
                        type: "integer"
                      }
                    }
                  },
                  VisaPinVerificationValue: {
                    type: "structure",
                    required: [
                      "EncryptedPinBlock",
                      "PinVerificationKeyIndex"
                    ],
                    members: {
                      EncryptedPinBlock: {},
                      PinVerificationKeyIndex: {
                        type: "integer"
                      }
                    }
                  }
                },
                union: true
              },
              GenerationKeyIdentifier: {},
              PinBlockFormat: {},
              PinDataLength: {
                type: "integer"
              },
              PrimaryAccountNumber: {
                shape: "S10"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "EncryptedPinBlock",
              "EncryptionKeyArn",
              "EncryptionKeyCheckValue",
              "GenerationKeyArn",
              "GenerationKeyCheckValue",
              "PinData"
            ],
            members: {
              EncryptedPinBlock: {},
              EncryptionKeyArn: {},
              EncryptionKeyCheckValue: {},
              GenerationKeyArn: {},
              GenerationKeyCheckValue: {},
              PinData: {
                type: "structure",
                members: {
                  PinOffset: {},
                  VerificationValue: {}
                },
                union: true
              }
            }
          }
        },
        ReEncryptData: {
          http: {
            requestUri: "/keys/{IncomingKeyIdentifier}/reencrypt",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "CipherText",
              "IncomingEncryptionAttributes",
              "IncomingKeyIdentifier",
              "OutgoingEncryptionAttributes",
              "OutgoingKeyIdentifier"
            ],
            members: {
              CipherText: {
                shape: "S2"
              },
              IncomingEncryptionAttributes: {
                shape: "S20"
              },
              IncomingKeyIdentifier: {
                location: "uri",
                locationName: "IncomingKeyIdentifier"
              },
              OutgoingEncryptionAttributes: {
                shape: "S20"
              },
              OutgoingKeyIdentifier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "CipherText",
              "KeyArn",
              "KeyCheckValue"
            ],
            members: {
              CipherText: {
                shape: "S2"
              },
              KeyArn: {},
              KeyCheckValue: {}
            }
          }
        },
        TranslatePinData: {
          http: {
            requestUri: "/pindata/translate",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "EncryptedPinBlock",
              "IncomingKeyIdentifier",
              "IncomingTranslationAttributes",
              "OutgoingKeyIdentifier",
              "OutgoingTranslationAttributes"
            ],
            members: {
              EncryptedPinBlock: {},
              IncomingDukptAttributes: {
                shape: "S23"
              },
              IncomingKeyIdentifier: {},
              IncomingTranslationAttributes: {
                shape: "S24"
              },
              OutgoingDukptAttributes: {
                shape: "S23"
              },
              OutgoingKeyIdentifier: {},
              OutgoingTranslationAttributes: {
                shape: "S24"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "KeyArn",
              "KeyCheckValue",
              "PinBlock"
            ],
            members: {
              KeyArn: {},
              KeyCheckValue: {},
              PinBlock: {}
            }
          }
        },
        VerifyAuthRequestCryptogram: {
          http: {
            requestUri: "/cryptogram/verify",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "AuthRequestCryptogram",
              "KeyIdentifier",
              "MajorKeyDerivationMode",
              "SessionKeyDerivationAttributes",
              "TransactionData"
            ],
            members: {
              AuthRequestCryptogram: {},
              AuthResponseAttributes: {
                type: "structure",
                members: {
                  ArpcMethod1: {
                    type: "structure",
                    required: [
                      "AuthResponseCode"
                    ],
                    members: {
                      AuthResponseCode: {}
                    }
                  },
                  ArpcMethod2: {
                    type: "structure",
                    required: [
                      "CardStatusUpdate"
                    ],
                    members: {
                      CardStatusUpdate: {},
                      ProprietaryAuthenticationData: {}
                    }
                  }
                },
                union: true
              },
              KeyIdentifier: {},
              MajorKeyDerivationMode: {},
              SessionKeyDerivationAttributes: {
                type: "structure",
                members: {
                  Amex: {
                    type: "structure",
                    required: [
                      "PanSequenceNumber",
                      "PrimaryAccountNumber"
                    ],
                    members: {
                      PanSequenceNumber: {},
                      PrimaryAccountNumber: {
                        shape: "S10"
                      }
                    }
                  },
                  Emv2000: {
                    type: "structure",
                    required: [
                      "ApplicationTransactionCounter",
                      "PanSequenceNumber",
                      "PrimaryAccountNumber"
                    ],
                    members: {
                      ApplicationTransactionCounter: {},
                      PanSequenceNumber: {},
                      PrimaryAccountNumber: {
                        shape: "S10"
                      }
                    }
                  },
                  EmvCommon: {
                    type: "structure",
                    required: [
                      "ApplicationTransactionCounter",
                      "PanSequenceNumber",
                      "PrimaryAccountNumber"
                    ],
                    members: {
                      ApplicationTransactionCounter: {},
                      PanSequenceNumber: {},
                      PrimaryAccountNumber: {
                        shape: "S10"
                      }
                    }
                  },
                  Mastercard: {
                    type: "structure",
                    required: [
                      "ApplicationTransactionCounter",
                      "PanSequenceNumber",
                      "PrimaryAccountNumber",
                      "UnpredictableNumber"
                    ],
                    members: {
                      ApplicationTransactionCounter: {},
                      PanSequenceNumber: {},
                      PrimaryAccountNumber: {
                        shape: "S10"
                      },
                      UnpredictableNumber: {}
                    }
                  },
                  Visa: {
                    type: "structure",
                    required: [
                      "PanSequenceNumber",
                      "PrimaryAccountNumber"
                    ],
                    members: {
                      PanSequenceNumber: {},
                      PrimaryAccountNumber: {
                        shape: "S10"
                      }
                    }
                  }
                },
                union: true
              },
              TransactionData: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "KeyArn",
              "KeyCheckValue"
            ],
            members: {
              AuthResponseValue: {},
              KeyArn: {},
              KeyCheckValue: {}
            }
          }
        },
        VerifyCardValidationData: {
          http: {
            requestUri: "/cardvalidationdata/verify",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "KeyIdentifier",
              "PrimaryAccountNumber",
              "ValidationData",
              "VerificationAttributes"
            ],
            members: {
              KeyIdentifier: {},
              PrimaryAccountNumber: {
                shape: "S10"
              },
              ValidationData: {},
              VerificationAttributes: {
                type: "structure",
                members: {
                  AmexCardSecurityCodeVersion1: {
                    shape: "Sn"
                  },
                  AmexCardSecurityCodeVersion2: {
                    shape: "Sp"
                  },
                  CardHolderVerificationValue: {
                    shape: "Sr"
                  },
                  CardVerificationValue1: {
                    shape: "Sv"
                  },
                  CardVerificationValue2: {
                    shape: "Sw"
                  },
                  DiscoverDynamicCardVerificationCode: {
                    type: "structure",
                    required: [
                      "ApplicationTransactionCounter",
                      "CardExpiryDate",
                      "UnpredictableNumber"
                    ],
                    members: {
                      ApplicationTransactionCounter: {},
                      CardExpiryDate: {},
                      UnpredictableNumber: {}
                    }
                  },
                  DynamicCardVerificationCode: {
                    shape: "Sx"
                  },
                  DynamicCardVerificationValue: {
                    shape: "Sz"
                  }
                },
                union: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "KeyArn",
              "KeyCheckValue"
            ],
            members: {
              KeyArn: {},
              KeyCheckValue: {}
            }
          }
        },
        VerifyMac: {
          http: {
            requestUri: "/mac/verify",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "KeyIdentifier",
              "Mac",
              "MessageData",
              "VerificationAttributes"
            ],
            members: {
              KeyIdentifier: {},
              Mac: {},
              MacLength: {
                type: "integer"
              },
              MessageData: {},
              VerificationAttributes: {
                shape: "S15"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "KeyArn",
              "KeyCheckValue"
            ],
            members: {
              KeyArn: {},
              KeyCheckValue: {}
            }
          }
        },
        VerifyPinData: {
          http: {
            requestUri: "/pindata/verify",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "EncryptedPinBlock",
              "EncryptionKeyIdentifier",
              "PinBlockFormat",
              "PrimaryAccountNumber",
              "VerificationAttributes",
              "VerificationKeyIdentifier"
            ],
            members: {
              DukptAttributes: {
                type: "structure",
                required: [
                  "DukptDerivationType",
                  "KeySerialNumber"
                ],
                members: {
                  DukptDerivationType: {},
                  KeySerialNumber: {}
                }
              },
              EncryptedPinBlock: {},
              EncryptionKeyIdentifier: {},
              PinBlockFormat: {},
              PinDataLength: {
                type: "integer"
              },
              PrimaryAccountNumber: {
                shape: "S10"
              },
              VerificationAttributes: {
                type: "structure",
                members: {
                  Ibm3624Pin: {
                    type: "structure",
                    required: [
                      "DecimalizationTable",
                      "PinOffset",
                      "PinValidationData",
                      "PinValidationDataPadCharacter"
                    ],
                    members: {
                      DecimalizationTable: {},
                      PinOffset: {},
                      PinValidationData: {},
                      PinValidationDataPadCharacter: {}
                    }
                  },
                  VisaPin: {
                    type: "structure",
                    required: [
                      "PinVerificationKeyIndex",
                      "VerificationValue"
                    ],
                    members: {
                      PinVerificationKeyIndex: {
                        type: "integer"
                      },
                      VerificationValue: {}
                    }
                  }
                },
                union: true
              },
              VerificationKeyIdentifier: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "EncryptionKeyArn",
              "EncryptionKeyCheckValue",
              "VerificationKeyArn",
              "VerificationKeyCheckValue"
            ],
            members: {
              EncryptionKeyArn: {},
              EncryptionKeyCheckValue: {},
              VerificationKeyArn: {},
              VerificationKeyCheckValue: {}
            }
          }
        }
      },
      shapes: {
        S2: {
          type: "string",
          sensitive: true
        },
        S3: {
          type: "structure",
          members: {
            Asymmetric: {
              type: "structure",
              members: {
                PaddingType: {}
              }
            },
            Dukpt: {
              shape: "S6"
            },
            Symmetric: {
              shape: "Sc"
            }
          },
          union: true
        },
        S6: {
          type: "structure",
          required: [
            "KeySerialNumber"
          ],
          members: {
            DukptKeyDerivationType: {},
            DukptKeyVariant: {},
            InitializationVector: {
              shape: "S9"
            },
            KeySerialNumber: {},
            Mode: {}
          }
        },
        S9: {
          type: "string",
          sensitive: true
        },
        Sc: {
          type: "structure",
          required: [
            "Mode"
          ],
          members: {
            InitializationVector: {
              shape: "S9"
            },
            Mode: {},
            PaddingType: {}
          }
        },
        Sn: {
          type: "structure",
          required: [
            "CardExpiryDate"
          ],
          members: {
            CardExpiryDate: {}
          }
        },
        Sp: {
          type: "structure",
          required: [
            "CardExpiryDate",
            "ServiceCode"
          ],
          members: {
            CardExpiryDate: {},
            ServiceCode: {}
          }
        },
        Sr: {
          type: "structure",
          required: [
            "ApplicationTransactionCounter",
            "PanSequenceNumber",
            "UnpredictableNumber"
          ],
          members: {
            ApplicationTransactionCounter: {},
            PanSequenceNumber: {},
            UnpredictableNumber: {}
          }
        },
        Sv: {
          type: "structure",
          required: [
            "CardExpiryDate",
            "ServiceCode"
          ],
          members: {
            CardExpiryDate: {},
            ServiceCode: {}
          }
        },
        Sw: {
          type: "structure",
          required: [
            "CardExpiryDate"
          ],
          members: {
            CardExpiryDate: {}
          }
        },
        Sx: {
          type: "structure",
          required: [
            "ApplicationTransactionCounter",
            "PanSequenceNumber",
            "TrackData",
            "UnpredictableNumber"
          ],
          members: {
            ApplicationTransactionCounter: {},
            PanSequenceNumber: {},
            TrackData: {},
            UnpredictableNumber: {}
          }
        },
        Sz: {
          type: "structure",
          required: [
            "ApplicationTransactionCounter",
            "CardExpiryDate",
            "PanSequenceNumber",
            "ServiceCode"
          ],
          members: {
            ApplicationTransactionCounter: {},
            CardExpiryDate: {},
            PanSequenceNumber: {},
            ServiceCode: {}
          }
        },
        S10: {
          type: "string",
          sensitive: true
        },
        S15: {
          type: "structure",
          members: {
            Algorithm: {},
            DukptCmac: {
              shape: "S17"
            },
            DukptIso9797Algorithm1: {
              shape: "S17"
            },
            DukptIso9797Algorithm3: {
              shape: "S17"
            },
            EmvMac: {
              type: "structure",
              required: [
                "MajorKeyDerivationMode",
                "PanSequenceNumber",
                "PrimaryAccountNumber",
                "SessionKeyDerivationMode",
                "SessionKeyDerivationValue"
              ],
              members: {
                MajorKeyDerivationMode: {},
                PanSequenceNumber: {},
                PrimaryAccountNumber: {
                  shape: "S10"
                },
                SessionKeyDerivationMode: {},
                SessionKeyDerivationValue: {
                  type: "structure",
                  members: {
                    ApplicationCryptogram: {},
                    ApplicationTransactionCounter: {}
                  },
                  union: true
                }
              }
            }
          },
          union: true
        },
        S17: {
          type: "structure",
          required: [
            "DukptKeyVariant",
            "KeySerialNumber"
          ],
          members: {
            DukptDerivationType: {},
            DukptKeyVariant: {},
            KeySerialNumber: {}
          }
        },
        S20: {
          type: "structure",
          members: {
            Dukpt: {
              shape: "S6"
            },
            Symmetric: {
              shape: "Sc"
            }
          },
          union: true
        },
        S23: {
          type: "structure",
          required: [
            "KeySerialNumber"
          ],
          members: {
            DukptKeyDerivationType: {},
            DukptKeyVariant: {},
            KeySerialNumber: {}
          }
        },
        S24: {
          type: "structure",
          members: {
            IsoFormat0: {
              shape: "S25"
            },
            IsoFormat1: {
              type: "structure",
              members: {}
            },
            IsoFormat3: {
              shape: "S25"
            },
            IsoFormat4: {
              shape: "S25"
            }
          },
          union: true
        },
        S25: {
          type: "structure",
          required: [
            "PrimaryAccountNumber"
          ],
          members: {
            PrimaryAccountNumber: {
              shape: "S10"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/payment-cryptography-data-2022-02-03.paginators.json
var require_payment_cryptography_data_2022_02_03_paginators = __commonJS({
  "node_modules/aws-sdk/apis/payment-cryptography-data-2022-02-03.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {}
    };
  }
});

// node_modules/aws-sdk/clients/paymentcryptographydata.js
var require_paymentcryptographydata = __commonJS({
  "node_modules/aws-sdk/clients/paymentcryptographydata.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["paymentcryptographydata"] = {};
    AWS2.PaymentCryptographyData = Service.defineService("paymentcryptographydata", ["2022-02-03"]);
    Object.defineProperty(apiLoader.services["paymentcryptographydata"], "2022-02-03", {
      get: function get() {
        var model = require_payment_cryptography_data_2022_02_03_min();
        model.paginators = require_payment_cryptography_data_2022_02_03_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.PaymentCryptographyData;
  }
});

// node_modules/aws-sdk/apis/codeguru-security-2018-05-10.min.json
var require_codeguru_security_2018_05_10_min = __commonJS({
  "node_modules/aws-sdk/apis/codeguru-security-2018-05-10.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2018-05-10",
        endpointPrefix: "codeguru-security",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "Amazon CodeGuru Security",
        serviceId: "CodeGuru Security",
        signatureVersion: "v4",
        signingName: "codeguru-security",
        uid: "codeguru-security-2018-05-10"
      },
      operations: {
        BatchGetFindings: {
          http: {
            requestUri: "/batchGetFindings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "findingIdentifiers"
            ],
            members: {
              findingIdentifiers: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "findingId",
                    "scanName"
                  ],
                  members: {
                    findingId: {},
                    scanName: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "failedFindings",
              "findings"
            ],
            members: {
              failedFindings: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "errorCode",
                    "findingId",
                    "message",
                    "scanName"
                  ],
                  members: {
                    errorCode: {},
                    findingId: {},
                    message: {},
                    scanName: {}
                  }
                }
              },
              findings: {
                shape: "Sa"
              }
            }
          }
        },
        CreateScan: {
          http: {
            requestUri: "/scans",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceId",
              "scanName"
            ],
            members: {
              analysisType: {},
              clientToken: {
                idempotencyToken: true
              },
              resourceId: {
                shape: "Sv"
              },
              scanName: {},
              scanType: {},
              tags: {
                shape: "Sy"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "resourceId",
              "runId",
              "scanName",
              "scanState"
            ],
            members: {
              resourceId: {
                shape: "Sv"
              },
              runId: {},
              scanName: {},
              scanNameArn: {},
              scanState: {}
            }
          }
        },
        CreateUploadUrl: {
          http: {
            requestUri: "/uploadUrl",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "scanName"
            ],
            members: {
              scanName: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "codeArtifactId",
              "requestHeaders",
              "s3Url"
            ],
            members: {
              codeArtifactId: {},
              requestHeaders: {
                type: "map",
                key: {},
                value: {},
                sensitive: true
              },
              s3Url: {
                type: "string",
                sensitive: true
              }
            }
          }
        },
        GetAccountConfiguration: {
          http: {
            method: "GET",
            requestUri: "/accountConfiguration/get",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {}
          },
          output: {
            type: "structure",
            required: [
              "encryptionConfig"
            ],
            members: {
              encryptionConfig: {
                shape: "S1c"
              }
            }
          }
        },
        GetFindings: {
          http: {
            method: "GET",
            requestUri: "/findings/{scanName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "scanName"
            ],
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              scanName: {
                location: "uri",
                locationName: "scanName"
              },
              status: {
                location: "querystring",
                locationName: "status"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              findings: {
                shape: "Sa"
              },
              nextToken: {}
            }
          }
        },
        GetMetricsSummary: {
          http: {
            method: "GET",
            requestUri: "/metrics/summary",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "date"
            ],
            members: {
              date: {
                location: "querystring",
                locationName: "date",
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              metricsSummary: {
                type: "structure",
                members: {
                  categoriesWithMostFindings: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        categoryName: {},
                        findingNumber: {
                          type: "integer"
                        }
                      }
                    }
                  },
                  date: {
                    type: "timestamp"
                  },
                  openFindings: {
                    shape: "S1n"
                  },
                  scansWithMostOpenCriticalFindings: {
                    type: "list",
                    member: {
                      shape: "S1q"
                    }
                  },
                  scansWithMostOpenFindings: {
                    type: "list",
                    member: {
                      shape: "S1q"
                    }
                  }
                }
              }
            }
          }
        },
        GetScan: {
          http: {
            method: "GET",
            requestUri: "/scans/{scanName}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "scanName"
            ],
            members: {
              runId: {
                location: "querystring",
                locationName: "runId"
              },
              scanName: {
                location: "uri",
                locationName: "scanName"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "analysisType",
              "createdAt",
              "runId",
              "scanName",
              "scanState"
            ],
            members: {
              analysisType: {},
              createdAt: {
                type: "timestamp"
              },
              numberOfRevisions: {
                type: "long"
              },
              runId: {},
              scanName: {},
              scanNameArn: {},
              scanState: {},
              updatedAt: {
                type: "timestamp"
              }
            }
          }
        },
        ListFindingsMetrics: {
          http: {
            method: "GET",
            requestUri: "/metrics/findings",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "endDate",
              "startDate"
            ],
            members: {
              endDate: {
                location: "querystring",
                locationName: "endDate",
                type: "timestamp"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              },
              startDate: {
                location: "querystring",
                locationName: "startDate",
                type: "timestamp"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              findingsMetrics: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    closedFindings: {
                      shape: "S1n"
                    },
                    date: {
                      type: "timestamp"
                    },
                    meanTimeToClose: {
                      shape: "S1n"
                    },
                    newFindings: {
                      shape: "S1n"
                    },
                    openFindings: {
                      shape: "S1n"
                    }
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListScans: {
          http: {
            method: "GET",
            requestUri: "/scans",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              nextToken: {},
              summaries: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "createdAt",
                    "runId",
                    "scanName",
                    "scanState"
                  ],
                  members: {
                    createdAt: {
                      type: "timestamp"
                    },
                    runId: {},
                    scanName: {},
                    scanNameArn: {},
                    scanState: {},
                    updatedAt: {
                      type: "timestamp"
                    }
                  }
                }
              }
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Sy"
              }
            }
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Sy"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateAccountConfiguration: {
          http: {
            method: "PUT",
            requestUri: "/updateAccountConfiguration",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "encryptionConfig"
            ],
            members: {
              encryptionConfig: {
                shape: "S1c"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "encryptionConfig"
            ],
            members: {
              encryptionConfig: {
                shape: "S1c"
              }
            }
          }
        }
      },
      shapes: {
        Sa: {
          type: "list",
          member: {
            type: "structure",
            members: {
              createdAt: {
                type: "timestamp"
              },
              description: {},
              detectorId: {},
              detectorName: {},
              detectorTags: {
                type: "list",
                member: {}
              },
              generatorId: {},
              id: {},
              remediation: {
                type: "structure",
                members: {
                  recommendation: {
                    type: "structure",
                    members: {
                      text: {},
                      url: {}
                    }
                  },
                  suggestedFixes: {
                    type: "list",
                    member: {
                      type: "structure",
                      members: {
                        code: {},
                        description: {}
                      }
                    }
                  }
                }
              },
              resource: {
                type: "structure",
                members: {
                  id: {},
                  subResourceId: {}
                }
              },
              ruleId: {},
              severity: {},
              status: {},
              title: {},
              type: {},
              updatedAt: {
                type: "timestamp"
              },
              vulnerability: {
                type: "structure",
                members: {
                  filePath: {
                    type: "structure",
                    members: {
                      codeSnippet: {
                        type: "list",
                        member: {
                          type: "structure",
                          members: {
                            content: {},
                            number: {
                              type: "integer"
                            }
                          }
                        }
                      },
                      endLine: {
                        type: "integer"
                      },
                      name: {},
                      path: {},
                      startLine: {
                        type: "integer"
                      }
                    }
                  },
                  id: {},
                  itemCount: {
                    type: "integer"
                  },
                  referenceUrls: {
                    type: "list",
                    member: {}
                  },
                  relatedVulnerabilities: {
                    type: "list",
                    member: {}
                  }
                }
              }
            }
          }
        },
        Sv: {
          type: "structure",
          members: {
            codeArtifactId: {}
          },
          union: true
        },
        Sy: {
          type: "map",
          key: {},
          value: {}
        },
        S1c: {
          type: "structure",
          members: {
            kmsKeyArn: {}
          }
        },
        S1n: {
          type: "structure",
          members: {
            critical: {
              type: "double"
            },
            high: {
              type: "double"
            },
            info: {
              type: "double"
            },
            low: {
              type: "double"
            },
            medium: {
              type: "double"
            }
          }
        },
        S1q: {
          type: "structure",
          members: {
            findingNumber: {
              type: "integer"
            },
            scanName: {}
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/codeguru-security-2018-05-10.paginators.json
var require_codeguru_security_2018_05_10_paginators = __commonJS({
  "node_modules/aws-sdk/apis/codeguru-security-2018-05-10.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        GetFindings: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "findings"
        },
        ListFindingsMetrics: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "findingsMetrics"
        },
        ListScans: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "summaries"
        }
      }
    };
  }
});

// node_modules/aws-sdk/clients/codegurusecurity.js
var require_codegurusecurity = __commonJS({
  "node_modules/aws-sdk/clients/codegurusecurity.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["codegurusecurity"] = {};
    AWS2.CodeGuruSecurity = Service.defineService("codegurusecurity", ["2018-05-10"]);
    Object.defineProperty(apiLoader.services["codegurusecurity"], "2018-05-10", {
      get: function get() {
        var model = require_codeguru_security_2018_05_10_min();
        model.paginators = require_codeguru_security_2018_05_10_paginators().pagination;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.CodeGuruSecurity;
  }
});

// node_modules/aws-sdk/apis/verifiedpermissions-2021-12-01.min.json
var require_verifiedpermissions_2021_12_01_min = __commonJS({
  "node_modules/aws-sdk/apis/verifiedpermissions-2021-12-01.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2021-12-01",
        endpointPrefix: "verifiedpermissions",
        jsonVersion: "1.0",
        protocol: "json",
        serviceFullName: "Amazon Verified Permissions",
        serviceId: "VerifiedPermissions",
        signatureVersion: "v4",
        signingName: "verifiedpermissions",
        targetPrefix: "VerifiedPermissions",
        uid: "verifiedpermissions-2021-12-01"
      },
      operations: {
        CreateIdentitySource: {
          input: {
            type: "structure",
            required: [
              "policyStoreId",
              "configuration"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              policyStoreId: {},
              configuration: {
                type: "structure",
                members: {
                  cognitoUserPoolConfiguration: {
                    type: "structure",
                    required: [
                      "userPoolArn"
                    ],
                    members: {
                      userPoolArn: {},
                      clientIds: {
                        shape: "S7"
                      }
                    }
                  }
                },
                union: true
              },
              principalEntityType: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "createdDate",
              "identitySourceId",
              "lastUpdatedDate",
              "policyStoreId"
            ],
            members: {
              createdDate: {
                shape: "Sb"
              },
              identitySourceId: {},
              lastUpdatedDate: {
                shape: "Sb"
              },
              policyStoreId: {}
            }
          },
          idempotent: true
        },
        CreatePolicy: {
          input: {
            type: "structure",
            required: [
              "policyStoreId",
              "definition"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              policyStoreId: {},
              definition: {
                type: "structure",
                members: {
                  static: {
                    type: "structure",
                    required: [
                      "statement"
                    ],
                    members: {
                      description: {},
                      statement: {}
                    }
                  },
                  templateLinked: {
                    type: "structure",
                    required: [
                      "policyTemplateId"
                    ],
                    members: {
                      policyTemplateId: {},
                      principal: {
                        shape: "Sk"
                      },
                      resource: {
                        shape: "Sk"
                      }
                    }
                  }
                },
                union: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "policyStoreId",
              "policyId",
              "policyType",
              "createdDate",
              "lastUpdatedDate"
            ],
            members: {
              policyStoreId: {},
              policyId: {},
              policyType: {},
              principal: {
                shape: "Sk"
              },
              resource: {
                shape: "Sk"
              },
              createdDate: {
                shape: "Sb"
              },
              lastUpdatedDate: {
                shape: "Sb"
              }
            }
          },
          idempotent: true
        },
        CreatePolicyStore: {
          input: {
            type: "structure",
            required: [
              "validationSettings"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              validationSettings: {
                shape: "Sr"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "policyStoreId",
              "arn",
              "createdDate",
              "lastUpdatedDate"
            ],
            members: {
              policyStoreId: {},
              arn: {},
              createdDate: {
                shape: "Sb"
              },
              lastUpdatedDate: {
                shape: "Sb"
              }
            }
          },
          idempotent: true
        },
        CreatePolicyTemplate: {
          input: {
            type: "structure",
            required: [
              "policyStoreId",
              "statement"
            ],
            members: {
              clientToken: {
                idempotencyToken: true
              },
              policyStoreId: {},
              description: {},
              statement: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "policyStoreId",
              "policyTemplateId",
              "createdDate",
              "lastUpdatedDate"
            ],
            members: {
              policyStoreId: {},
              policyTemplateId: {},
              createdDate: {
                shape: "Sb"
              },
              lastUpdatedDate: {
                shape: "Sb"
              }
            }
          },
          idempotent: true
        },
        DeleteIdentitySource: {
          input: {
            type: "structure",
            required: [
              "policyStoreId",
              "identitySourceId"
            ],
            members: {
              policyStoreId: {},
              identitySourceId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeletePolicy: {
          input: {
            type: "structure",
            required: [
              "policyStoreId",
              "policyId"
            ],
            members: {
              policyStoreId: {},
              policyId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeletePolicyStore: {
          input: {
            type: "structure",
            required: [
              "policyStoreId"
            ],
            members: {
              policyStoreId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeletePolicyTemplate: {
          input: {
            type: "structure",
            required: [
              "policyStoreId",
              "policyTemplateId"
            ],
            members: {
              policyStoreId: {},
              policyTemplateId: {}
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetIdentitySource: {
          input: {
            type: "structure",
            required: [
              "policyStoreId",
              "identitySourceId"
            ],
            members: {
              policyStoreId: {},
              identitySourceId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "createdDate",
              "details",
              "identitySourceId",
              "lastUpdatedDate",
              "policyStoreId",
              "principalEntityType"
            ],
            members: {
              createdDate: {
                shape: "Sb"
              },
              details: {
                type: "structure",
                members: {
                  clientIds: {
                    shape: "S7"
                  },
                  userPoolArn: {},
                  discoveryUrl: {},
                  openIdIssuer: {}
                }
              },
              identitySourceId: {},
              lastUpdatedDate: {
                shape: "Sb"
              },
              policyStoreId: {},
              principalEntityType: {}
            }
          }
        },
        GetPolicy: {
          input: {
            type: "structure",
            required: [
              "policyStoreId",
              "policyId"
            ],
            members: {
              policyStoreId: {},
              policyId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "policyStoreId",
              "policyId",
              "policyType",
              "definition",
              "createdDate",
              "lastUpdatedDate"
            ],
            members: {
              policyStoreId: {},
              policyId: {},
              policyType: {},
              principal: {
                shape: "Sk"
              },
              resource: {
                shape: "Sk"
              },
              definition: {
                type: "structure",
                members: {
                  static: {
                    type: "structure",
                    required: [
                      "statement"
                    ],
                    members: {
                      description: {},
                      statement: {}
                    }
                  },
                  templateLinked: {
                    type: "structure",
                    required: [
                      "policyTemplateId"
                    ],
                    members: {
                      policyTemplateId: {},
                      principal: {
                        shape: "Sk"
                      },
                      resource: {
                        shape: "Sk"
                      }
                    }
                  }
                },
                union: true
              },
              createdDate: {
                shape: "Sb"
              },
              lastUpdatedDate: {
                shape: "Sb"
              }
            }
          }
        },
        GetPolicyStore: {
          input: {
            type: "structure",
            required: [
              "policyStoreId"
            ],
            members: {
              policyStoreId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "policyStoreId",
              "arn",
              "validationSettings",
              "createdDate",
              "lastUpdatedDate"
            ],
            members: {
              policyStoreId: {},
              arn: {},
              validationSettings: {
                shape: "Sr"
              },
              createdDate: {
                shape: "Sb"
              },
              lastUpdatedDate: {
                shape: "Sb"
              }
            }
          }
        },
        GetPolicyTemplate: {
          input: {
            type: "structure",
            required: [
              "policyStoreId",
              "policyTemplateId"
            ],
            members: {
              policyStoreId: {},
              policyTemplateId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "policyStoreId",
              "policyTemplateId",
              "statement",
              "createdDate",
              "lastUpdatedDate"
            ],
            members: {
              policyStoreId: {},
              policyTemplateId: {},
              description: {},
              statement: {},
              createdDate: {
                shape: "Sb"
              },
              lastUpdatedDate: {
                shape: "Sb"
              }
            }
          }
        },
        GetSchema: {
          input: {
            type: "structure",
            required: [
              "policyStoreId"
            ],
            members: {
              policyStoreId: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "policyStoreId",
              "schema",
              "createdDate",
              "lastUpdatedDate"
            ],
            members: {
              policyStoreId: {},
              schema: {},
              createdDate: {
                shape: "Sb"
              },
              lastUpdatedDate: {
                shape: "Sb"
              }
            }
          }
        },
        IsAuthorized: {
          input: {
            type: "structure",
            required: [
              "policyStoreId"
            ],
            members: {
              policyStoreId: {},
              principal: {
                shape: "Sk"
              },
              action: {
                shape: "S1o"
              },
              resource: {
                shape: "Sk"
              },
              context: {
                shape: "S1r"
              },
              entities: {
                shape: "S20"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "decision",
              "determiningPolicies",
              "errors"
            ],
            members: {
              decision: {},
              determiningPolicies: {
                shape: "S27"
              },
              errors: {
                shape: "S29"
              }
            }
          }
        },
        IsAuthorizedWithToken: {
          input: {
            type: "structure",
            required: [
              "policyStoreId"
            ],
            members: {
              policyStoreId: {},
              identityToken: {},
              accessToken: {},
              action: {
                shape: "S1o"
              },
              resource: {
                shape: "Sk"
              },
              context: {
                shape: "S1r"
              },
              entities: {
                shape: "S20"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "decision",
              "determiningPolicies",
              "errors"
            ],
            members: {
              decision: {},
              determiningPolicies: {
                shape: "S27"
              },
              errors: {
                shape: "S29"
              }
            }
          }
        },
        ListIdentitySources: {
          input: {
            type: "structure",
            required: [
              "policyStoreId"
            ],
            members: {
              policyStoreId: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filters: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    principalEntityType: {}
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "identitySources"
            ],
            members: {
              nextToken: {},
              identitySources: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "createdDate",
                    "details",
                    "identitySourceId",
                    "lastUpdatedDate",
                    "policyStoreId",
                    "principalEntityType"
                  ],
                  members: {
                    createdDate: {
                      shape: "Sb"
                    },
                    details: {
                      type: "structure",
                      members: {
                        clientIds: {
                          shape: "S7"
                        },
                        userPoolArn: {},
                        discoveryUrl: {},
                        openIdIssuer: {}
                      }
                    },
                    identitySourceId: {},
                    lastUpdatedDate: {
                      shape: "Sb"
                    },
                    policyStoreId: {},
                    principalEntityType: {}
                  }
                }
              }
            }
          }
        },
        ListPolicies: {
          input: {
            type: "structure",
            required: [
              "policyStoreId"
            ],
            members: {
              policyStoreId: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              },
              filter: {
                type: "structure",
                members: {
                  principal: {
                    shape: "S2q"
                  },
                  resource: {
                    shape: "S2q"
                  },
                  policyType: {},
                  policyTemplateId: {}
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "policies"
            ],
            members: {
              nextToken: {},
              policies: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "policyStoreId",
                    "policyId",
                    "policyType",
                    "definition",
                    "createdDate",
                    "lastUpdatedDate"
                  ],
                  members: {
                    policyStoreId: {},
                    policyId: {},
                    policyType: {},
                    principal: {
                      shape: "Sk"
                    },
                    resource: {
                      shape: "Sk"
                    },
                    definition: {
                      type: "structure",
                      members: {
                        static: {
                          type: "structure",
                          members: {
                            description: {}
                          }
                        },
                        templateLinked: {
                          type: "structure",
                          required: [
                            "policyTemplateId"
                          ],
                          members: {
                            policyTemplateId: {},
                            principal: {
                              shape: "Sk"
                            },
                            resource: {
                              shape: "Sk"
                            }
                          }
                        }
                      },
                      union: true
                    },
                    createdDate: {
                      shape: "Sb"
                    },
                    lastUpdatedDate: {
                      shape: "Sb"
                    }
                  }
                }
              }
            }
          }
        },
        ListPolicyStores: {
          input: {
            type: "structure",
            members: {
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "policyStores"
            ],
            members: {
              nextToken: {},
              policyStores: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "policyStoreId",
                    "arn",
                    "createdDate"
                  ],
                  members: {
                    policyStoreId: {},
                    arn: {},
                    createdDate: {
                      shape: "Sb"
                    }
                  }
                }
              }
            }
          }
        },
        ListPolicyTemplates: {
          input: {
            type: "structure",
            required: [
              "policyStoreId"
            ],
            members: {
              policyStoreId: {},
              nextToken: {},
              maxResults: {
                type: "integer"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "policyTemplates"
            ],
            members: {
              nextToken: {},
              policyTemplates: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "policyStoreId",
                    "policyTemplateId",
                    "createdDate",
                    "lastUpdatedDate"
                  ],
                  members: {
                    policyStoreId: {},
                    policyTemplateId: {},
                    description: {},
                    createdDate: {
                      shape: "Sb"
                    },
                    lastUpdatedDate: {
                      shape: "Sb"
                    }
                  }
                }
              }
            }
          }
        },
        PutSchema: {
          input: {
            type: "structure",
            required: [
              "policyStoreId",
              "definition"
            ],
            members: {
              policyStoreId: {},
              definition: {
                type: "structure",
                members: {
                  cedarJson: {}
                },
                union: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "policyStoreId",
              "namespaces",
              "createdDate",
              "lastUpdatedDate"
            ],
            members: {
              policyStoreId: {},
              namespaces: {
                type: "list",
                member: {}
              },
              createdDate: {
                shape: "Sb"
              },
              lastUpdatedDate: {
                shape: "Sb"
              }
            }
          },
          idempotent: true
        },
        UpdateIdentitySource: {
          input: {
            type: "structure",
            required: [
              "policyStoreId",
              "identitySourceId",
              "updateConfiguration"
            ],
            members: {
              policyStoreId: {},
              identitySourceId: {},
              updateConfiguration: {
                type: "structure",
                members: {
                  cognitoUserPoolConfiguration: {
                    type: "structure",
                    required: [
                      "userPoolArn"
                    ],
                    members: {
                      userPoolArn: {},
                      clientIds: {
                        shape: "S7"
                      }
                    }
                  }
                },
                union: true
              },
              principalEntityType: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "createdDate",
              "identitySourceId",
              "lastUpdatedDate",
              "policyStoreId"
            ],
            members: {
              createdDate: {
                shape: "Sb"
              },
              identitySourceId: {},
              lastUpdatedDate: {
                shape: "Sb"
              },
              policyStoreId: {}
            }
          },
          idempotent: true
        },
        UpdatePolicy: {
          input: {
            type: "structure",
            required: [
              "policyStoreId",
              "policyId",
              "definition"
            ],
            members: {
              policyStoreId: {},
              policyId: {},
              definition: {
                type: "structure",
                members: {
                  static: {
                    type: "structure",
                    required: [
                      "statement"
                    ],
                    members: {
                      description: {},
                      statement: {}
                    }
                  }
                },
                union: true
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "policyStoreId",
              "policyId",
              "policyType",
              "createdDate",
              "lastUpdatedDate"
            ],
            members: {
              policyStoreId: {},
              policyId: {},
              policyType: {},
              principal: {
                shape: "Sk"
              },
              resource: {
                shape: "Sk"
              },
              createdDate: {
                shape: "Sb"
              },
              lastUpdatedDate: {
                shape: "Sb"
              }
            }
          },
          idempotent: true
        },
        UpdatePolicyStore: {
          input: {
            type: "structure",
            required: [
              "policyStoreId",
              "validationSettings"
            ],
            members: {
              policyStoreId: {},
              validationSettings: {
                shape: "Sr"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "policyStoreId",
              "arn",
              "createdDate",
              "lastUpdatedDate"
            ],
            members: {
              policyStoreId: {},
              arn: {},
              createdDate: {
                shape: "Sb"
              },
              lastUpdatedDate: {
                shape: "Sb"
              }
            }
          },
          idempotent: true
        },
        UpdatePolicyTemplate: {
          input: {
            type: "structure",
            required: [
              "policyStoreId",
              "policyTemplateId",
              "statement"
            ],
            members: {
              policyStoreId: {},
              policyTemplateId: {},
              description: {},
              statement: {}
            }
          },
          output: {
            type: "structure",
            required: [
              "policyStoreId",
              "policyTemplateId",
              "createdDate",
              "lastUpdatedDate"
            ],
            members: {
              policyStoreId: {},
              policyTemplateId: {},
              createdDate: {
                shape: "Sb"
              },
              lastUpdatedDate: {
                shape: "Sb"
              }
            }
          },
          idempotent: true
        }
      },
      shapes: {
        S7: {
          type: "list",
          member: {}
        },
        Sb: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sk: {
          type: "structure",
          required: [
            "entityType",
            "entityId"
          ],
          members: {
            entityType: {},
            entityId: {}
          }
        },
        Sr: {
          type: "structure",
          required: [
            "mode"
          ],
          members: {
            mode: {}
          }
        },
        S1o: {
          type: "structure",
          required: [
            "actionType",
            "actionId"
          ],
          members: {
            actionType: {},
            actionId: {}
          }
        },
        S1r: {
          type: "structure",
          members: {
            contextMap: {
              type: "map",
              key: {},
              value: {
                shape: "S1u"
              }
            }
          },
          union: true
        },
        S1u: {
          type: "structure",
          members: {
            boolean: {
              type: "boolean"
            },
            entityIdentifier: {
              shape: "Sk"
            },
            long: {
              type: "long"
            },
            string: {},
            set: {
              type: "list",
              member: {
                shape: "S1u"
              }
            },
            record: {
              type: "map",
              key: {},
              value: {
                shape: "S1u"
              }
            }
          },
          union: true
        },
        S20: {
          type: "structure",
          members: {
            entityList: {
              type: "list",
              member: {
                type: "structure",
                required: [
                  "identifier"
                ],
                members: {
                  identifier: {
                    shape: "Sk"
                  },
                  attributes: {
                    type: "map",
                    key: {},
                    value: {
                      shape: "S1u"
                    }
                  },
                  parents: {
                    type: "list",
                    member: {
                      shape: "Sk"
                    }
                  }
                }
              }
            }
          },
          union: true
        },
        S27: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "policyId"
            ],
            members: {
              policyId: {}
            }
          }
        },
        S29: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "errorDescription"
            ],
            members: {
              errorDescription: {}
            }
          }
        },
        S2q: {
          type: "structure",
          members: {
            unspecified: {
              type: "boolean"
            },
            identifier: {
              shape: "Sk"
            }
          },
          union: true
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/verifiedpermissions-2021-12-01.paginators.json
var require_verifiedpermissions_2021_12_01_paginators = __commonJS({
  "node_modules/aws-sdk/apis/verifiedpermissions-2021-12-01.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListIdentitySources: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "identitySources"
        },
        ListPolicies: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "policies"
        },
        ListPolicyStores: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "policyStores"
        },
        ListPolicyTemplates: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "policyTemplates"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/verifiedpermissions-2021-12-01.waiters2.json
var require_verifiedpermissions_2021_12_01_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/verifiedpermissions-2021-12-01.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {}
    };
  }
});

// node_modules/aws-sdk/clients/verifiedpermissions.js
var require_verifiedpermissions = __commonJS({
  "node_modules/aws-sdk/clients/verifiedpermissions.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["verifiedpermissions"] = {};
    AWS2.VerifiedPermissions = Service.defineService("verifiedpermissions", ["2021-12-01"]);
    Object.defineProperty(apiLoader.services["verifiedpermissions"], "2021-12-01", {
      get: function get() {
        var model = require_verifiedpermissions_2021_12_01_min();
        model.paginators = require_verifiedpermissions_2021_12_01_paginators().pagination;
        model.waiters = require_verifiedpermissions_2021_12_01_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.VerifiedPermissions;
  }
});

// node_modules/aws-sdk/apis/appfabric-2023-05-19.min.json
var require_appfabric_2023_05_19_min = __commonJS({
  "node_modules/aws-sdk/apis/appfabric-2023-05-19.min.json"(exports, module2) {
    module2.exports = {
      version: "2.0",
      metadata: {
        apiVersion: "2023-05-19",
        endpointPrefix: "appfabric",
        jsonVersion: "1.1",
        protocol: "rest-json",
        serviceFullName: "AppFabric",
        serviceId: "AppFabric",
        signatureVersion: "v4",
        signingName: "appfabric",
        uid: "appfabric-2023-05-19"
      },
      operations: {
        BatchGetUserAccessTasks: {
          http: {
            requestUri: "/useraccess/batchget",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier",
              "taskIdList"
            ],
            members: {
              appBundleIdentifier: {},
              taskIdList: {
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {
              userAccessResultsList: {
                type: "list",
                member: {
                  type: "structure",
                  members: {
                    app: {},
                    tenantId: {},
                    tenantDisplayName: {},
                    taskId: {},
                    resultStatus: {},
                    email: {
                      shape: "Sc"
                    },
                    userId: {
                      shape: "Sd"
                    },
                    userFullName: {
                      shape: "Sd"
                    },
                    userFirstName: {
                      shape: "Sd"
                    },
                    userLastName: {
                      shape: "Sd"
                    },
                    userStatus: {},
                    taskError: {
                      shape: "Sf"
                    }
                  }
                }
              }
            }
          }
        },
        ConnectAppAuthorization: {
          http: {
            requestUri: "/appbundles/{appBundleIdentifier}/appauthorizations/{appAuthorizationIdentifier}/connect",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier",
              "appAuthorizationIdentifier"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              },
              appAuthorizationIdentifier: {
                location: "uri",
                locationName: "appAuthorizationIdentifier"
              },
              authRequest: {
                type: "structure",
                required: [
                  "redirectUri",
                  "code"
                ],
                members: {
                  redirectUri: {},
                  code: {
                    shape: "Sd"
                  }
                }
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "appAuthorizationSummary"
            ],
            members: {
              appAuthorizationSummary: {
                shape: "Sk"
              }
            }
          }
        },
        CreateAppAuthorization: {
          http: {
            requestUri: "/appbundles/{appBundleIdentifier}/appauthorizations",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier",
              "app",
              "credential",
              "tenant",
              "authType"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              },
              app: {},
              credential: {
                shape: "Sq"
              },
              tenant: {
                shape: "Sm"
              },
              authType: {},
              clientToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "appAuthorization"
            ],
            members: {
              appAuthorization: {
                shape: "Sz"
              }
            }
          },
          idempotent: true
        },
        CreateAppBundle: {
          http: {
            requestUri: "/appbundles",
            responseCode: 201
          },
          input: {
            type: "structure",
            members: {
              clientToken: {
                idempotencyToken: true
              },
              customerManagedKeyIdentifier: {},
              tags: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "appBundle"
            ],
            members: {
              appBundle: {
                shape: "S13"
              }
            }
          },
          idempotent: true
        },
        CreateIngestion: {
          http: {
            requestUri: "/appbundles/{appBundleIdentifier}/ingestions",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier",
              "app",
              "tenantId",
              "ingestionType"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              },
              app: {},
              tenantId: {},
              ingestionType: {},
              clientToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ingestion"
            ],
            members: {
              ingestion: {
                shape: "S17"
              }
            }
          },
          idempotent: true
        },
        CreateIngestionDestination: {
          http: {
            requestUri: "/appbundles/{appBundleIdentifier}/ingestions/{ingestionIdentifier}/ingestiondestinations",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier",
              "ingestionIdentifier",
              "processingConfiguration",
              "destinationConfiguration"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              },
              ingestionIdentifier: {
                location: "uri",
                locationName: "ingestionIdentifier"
              },
              processingConfiguration: {
                shape: "S1a"
              },
              destinationConfiguration: {
                shape: "S1e"
              },
              clientToken: {
                idempotencyToken: true
              },
              tags: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ingestionDestination"
            ],
            members: {
              ingestionDestination: {
                shape: "S1n"
              }
            }
          },
          idempotent: true
        },
        DeleteAppAuthorization: {
          http: {
            method: "DELETE",
            requestUri: "/appbundles/{appBundleIdentifier}/appauthorizations/{appAuthorizationIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier",
              "appAuthorizationIdentifier"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              },
              appAuthorizationIdentifier: {
                location: "uri",
                locationName: "appAuthorizationIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteAppBundle: {
          http: {
            method: "DELETE",
            requestUri: "/appbundles/{appBundleIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteIngestion: {
          http: {
            method: "DELETE",
            requestUri: "/appbundles/{appBundleIdentifier}/ingestions/{ingestionIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier",
              "ingestionIdentifier"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              },
              ingestionIdentifier: {
                location: "uri",
                locationName: "ingestionIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        DeleteIngestionDestination: {
          http: {
            method: "DELETE",
            requestUri: "/appbundles/{appBundleIdentifier}/ingestions/{ingestionIdentifier}/ingestiondestinations/{ingestionDestinationIdentifier}",
            responseCode: 204
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier",
              "ingestionIdentifier",
              "ingestionDestinationIdentifier"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              },
              ingestionIdentifier: {
                location: "uri",
                locationName: "ingestionIdentifier"
              },
              ingestionDestinationIdentifier: {
                location: "uri",
                locationName: "ingestionDestinationIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        GetAppAuthorization: {
          http: {
            method: "GET",
            requestUri: "/appbundles/{appBundleIdentifier}/appauthorizations/{appAuthorizationIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier",
              "appAuthorizationIdentifier"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              },
              appAuthorizationIdentifier: {
                location: "uri",
                locationName: "appAuthorizationIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "appAuthorization"
            ],
            members: {
              appAuthorization: {
                shape: "Sz"
              }
            }
          }
        },
        GetAppBundle: {
          http: {
            method: "GET",
            requestUri: "/appbundles/{appBundleIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "appBundle"
            ],
            members: {
              appBundle: {
                shape: "S13"
              }
            }
          }
        },
        GetIngestion: {
          http: {
            method: "GET",
            requestUri: "/appbundles/{appBundleIdentifier}/ingestions/{ingestionIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier",
              "ingestionIdentifier"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              },
              ingestionIdentifier: {
                location: "uri",
                locationName: "ingestionIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ingestion"
            ],
            members: {
              ingestion: {
                shape: "S17"
              }
            }
          }
        },
        GetIngestionDestination: {
          http: {
            method: "GET",
            requestUri: "/appbundles/{appBundleIdentifier}/ingestions/{ingestionIdentifier}/ingestiondestinations/{ingestionDestinationIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier",
              "ingestionIdentifier",
              "ingestionDestinationIdentifier"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              },
              ingestionIdentifier: {
                location: "uri",
                locationName: "ingestionIdentifier"
              },
              ingestionDestinationIdentifier: {
                location: "uri",
                locationName: "ingestionDestinationIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ingestionDestination"
            ],
            members: {
              ingestionDestination: {
                shape: "S1n"
              }
            }
          }
        },
        ListAppAuthorizations: {
          http: {
            method: "GET",
            requestUri: "/appbundles/{appBundleIdentifier}/appauthorizations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "appAuthorizationSummaryList"
            ],
            members: {
              appAuthorizationSummaryList: {
                type: "list",
                member: {
                  shape: "Sk"
                }
              },
              nextToken: {}
            }
          }
        },
        ListAppBundles: {
          http: {
            method: "GET",
            requestUri: "/appbundles",
            responseCode: 200
          },
          input: {
            type: "structure",
            members: {
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "appBundleSummaryList"
            ],
            members: {
              appBundleSummaryList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn"
                  ],
                  members: {
                    arn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListIngestionDestinations: {
          http: {
            method: "GET",
            requestUri: "/appbundles/{appBundleIdentifier}/ingestions/{ingestionIdentifier}/ingestiondestinations",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier",
              "ingestionIdentifier"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              },
              ingestionIdentifier: {
                location: "uri",
                locationName: "ingestionIdentifier"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ingestionDestinations"
            ],
            members: {
              ingestionDestinations: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn"
                  ],
                  members: {
                    arn: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListIngestions: {
          http: {
            method: "GET",
            requestUri: "/appbundles/{appBundleIdentifier}/ingestions",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              },
              maxResults: {
                location: "querystring",
                locationName: "maxResults",
                type: "integer"
              },
              nextToken: {
                location: "querystring",
                locationName: "nextToken"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ingestions"
            ],
            members: {
              ingestions: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "arn",
                    "app",
                    "tenantId",
                    "state"
                  ],
                  members: {
                    arn: {},
                    app: {},
                    tenantId: {},
                    state: {}
                  }
                }
              },
              nextToken: {}
            }
          }
        },
        ListTagsForResource: {
          http: {
            method: "GET",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              tags: {
                shape: "Su"
              }
            }
          }
        },
        StartIngestion: {
          http: {
            requestUri: "/appbundles/{appBundleIdentifier}/ingestions/{ingestionIdentifier}/start",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ingestionIdentifier",
              "appBundleIdentifier"
            ],
            members: {
              ingestionIdentifier: {
                location: "uri",
                locationName: "ingestionIdentifier"
              },
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        StartUserAccessTasks: {
          http: {
            requestUri: "/useraccess/start",
            responseCode: 201
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier",
              "email"
            ],
            members: {
              appBundleIdentifier: {},
              email: {
                shape: "Sc"
              }
            }
          },
          output: {
            type: "structure",
            members: {
              userAccessTasksList: {
                type: "list",
                member: {
                  type: "structure",
                  required: [
                    "app",
                    "tenantId"
                  ],
                  members: {
                    app: {},
                    tenantId: {},
                    taskId: {},
                    error: {
                      shape: "Sf"
                    }
                  }
                }
              }
            }
          }
        },
        StopIngestion: {
          http: {
            requestUri: "/appbundles/{appBundleIdentifier}/ingestions/{ingestionIdentifier}/stop",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "ingestionIdentifier",
              "appBundleIdentifier"
            ],
            members: {
              ingestionIdentifier: {
                location: "uri",
                locationName: "ingestionIdentifier"
              },
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        TagResource: {
          http: {
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tags"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tags: {
                shape: "Su"
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          }
        },
        UntagResource: {
          http: {
            method: "DELETE",
            requestUri: "/tags/{resourceArn}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "resourceArn",
              "tagKeys"
            ],
            members: {
              resourceArn: {
                location: "uri",
                locationName: "resourceArn"
              },
              tagKeys: {
                location: "querystring",
                locationName: "tagKeys",
                type: "list",
                member: {}
              }
            }
          },
          output: {
            type: "structure",
            members: {}
          },
          idempotent: true
        },
        UpdateAppAuthorization: {
          http: {
            method: "PATCH",
            requestUri: "/appbundles/{appBundleIdentifier}/appauthorizations/{appAuthorizationIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier",
              "appAuthorizationIdentifier"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              },
              appAuthorizationIdentifier: {
                location: "uri",
                locationName: "appAuthorizationIdentifier"
              },
              credential: {
                shape: "Sq"
              },
              tenant: {
                shape: "Sm"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "appAuthorization"
            ],
            members: {
              appAuthorization: {
                shape: "Sz"
              }
            }
          }
        },
        UpdateIngestionDestination: {
          http: {
            method: "PATCH",
            requestUri: "/appbundles/{appBundleIdentifier}/ingestions/{ingestionIdentifier}/ingestiondestinations/{ingestionDestinationIdentifier}",
            responseCode: 200
          },
          input: {
            type: "structure",
            required: [
              "appBundleIdentifier",
              "ingestionIdentifier",
              "ingestionDestinationIdentifier",
              "destinationConfiguration"
            ],
            members: {
              appBundleIdentifier: {
                location: "uri",
                locationName: "appBundleIdentifier"
              },
              ingestionIdentifier: {
                location: "uri",
                locationName: "ingestionIdentifier"
              },
              ingestionDestinationIdentifier: {
                location: "uri",
                locationName: "ingestionDestinationIdentifier"
              },
              destinationConfiguration: {
                shape: "S1e"
              }
            }
          },
          output: {
            type: "structure",
            required: [
              "ingestionDestination"
            ],
            members: {
              ingestionDestination: {
                shape: "S1n"
              }
            }
          }
        }
      },
      shapes: {
        Sc: {
          type: "string",
          sensitive: true
        },
        Sd: {
          type: "string",
          sensitive: true
        },
        Sf: {
          type: "structure",
          members: {
            errorCode: {},
            errorMessage: {}
          }
        },
        Sk: {
          type: "structure",
          required: [
            "appAuthorizationArn",
            "appBundleArn",
            "app",
            "tenant",
            "status",
            "updatedAt"
          ],
          members: {
            appAuthorizationArn: {},
            appBundleArn: {},
            app: {},
            tenant: {
              shape: "Sm"
            },
            status: {},
            updatedAt: {
              shape: "So"
            }
          }
        },
        Sm: {
          type: "structure",
          required: [
            "tenantIdentifier",
            "tenantDisplayName"
          ],
          members: {
            tenantIdentifier: {},
            tenantDisplayName: {}
          }
        },
        So: {
          type: "timestamp",
          timestampFormat: "iso8601"
        },
        Sq: {
          type: "structure",
          members: {
            oauth2Credential: {
              type: "structure",
              required: [
                "clientId",
                "clientSecret"
              ],
              members: {
                clientId: {},
                clientSecret: {
                  shape: "Sd"
                }
              }
            },
            apiKeyCredential: {
              type: "structure",
              required: [
                "apiKey"
              ],
              members: {
                apiKey: {
                  shape: "Sd"
                }
              }
            }
          },
          union: true
        },
        Su: {
          type: "list",
          member: {
            type: "structure",
            required: [
              "key",
              "value"
            ],
            members: {
              key: {},
              value: {}
            }
          }
        },
        Sz: {
          type: "structure",
          required: [
            "appAuthorizationArn",
            "appBundleArn",
            "app",
            "tenant",
            "authType",
            "status",
            "createdAt",
            "updatedAt"
          ],
          members: {
            appAuthorizationArn: {},
            appBundleArn: {},
            app: {},
            tenant: {
              shape: "Sm"
            },
            authType: {},
            status: {},
            createdAt: {
              shape: "So"
            },
            updatedAt: {
              shape: "So"
            },
            persona: {},
            authUrl: {}
          }
        },
        S13: {
          type: "structure",
          required: [
            "arn"
          ],
          members: {
            arn: {},
            customerManagedKeyArn: {}
          }
        },
        S17: {
          type: "structure",
          required: [
            "arn",
            "appBundleArn",
            "app",
            "tenantId",
            "createdAt",
            "updatedAt",
            "state",
            "ingestionType"
          ],
          members: {
            arn: {},
            appBundleArn: {},
            app: {},
            tenantId: {},
            createdAt: {
              shape: "So"
            },
            updatedAt: {
              shape: "So"
            },
            state: {},
            ingestionType: {}
          }
        },
        S1a: {
          type: "structure",
          members: {
            auditLog: {
              type: "structure",
              required: [
                "schema",
                "format"
              ],
              members: {
                schema: {},
                format: {}
              }
            }
          },
          union: true
        },
        S1e: {
          type: "structure",
          members: {
            auditLog: {
              type: "structure",
              required: [
                "destination"
              ],
              members: {
                destination: {
                  type: "structure",
                  members: {
                    s3Bucket: {
                      type: "structure",
                      required: [
                        "bucketName"
                      ],
                      members: {
                        bucketName: {},
                        prefix: {}
                      }
                    },
                    firehoseStream: {
                      type: "structure",
                      required: [
                        "streamName"
                      ],
                      members: {
                        streamName: {}
                      }
                    }
                  },
                  union: true
                }
              }
            }
          },
          union: true
        },
        S1n: {
          type: "structure",
          required: [
            "arn",
            "ingestionArn",
            "processingConfiguration",
            "destinationConfiguration"
          ],
          members: {
            arn: {},
            ingestionArn: {},
            processingConfiguration: {
              shape: "S1a"
            },
            destinationConfiguration: {
              shape: "S1e"
            },
            status: {},
            statusReason: {},
            createdAt: {
              shape: "So"
            },
            updatedAt: {
              shape: "So"
            }
          }
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/appfabric-2023-05-19.paginators.json
var require_appfabric_2023_05_19_paginators = __commonJS({
  "node_modules/aws-sdk/apis/appfabric-2023-05-19.paginators.json"(exports, module2) {
    module2.exports = {
      pagination: {
        ListAppAuthorizations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "appAuthorizationSummaryList"
        },
        ListAppBundles: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "appBundleSummaryList"
        },
        ListIngestionDestinations: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "ingestionDestinations"
        },
        ListIngestions: {
          input_token: "nextToken",
          output_token: "nextToken",
          limit_key: "maxResults",
          result_key: "ingestions"
        }
      }
    };
  }
});

// node_modules/aws-sdk/apis/appfabric-2023-05-19.waiters2.json
var require_appfabric_2023_05_19_waiters2 = __commonJS({
  "node_modules/aws-sdk/apis/appfabric-2023-05-19.waiters2.json"(exports, module2) {
    module2.exports = {
      version: 2,
      waiters: {}
    };
  }
});

// node_modules/aws-sdk/clients/appfabric.js
var require_appfabric = __commonJS({
  "node_modules/aws-sdk/clients/appfabric.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    var Service = AWS2.Service;
    var apiLoader = AWS2.apiLoader;
    apiLoader.services["appfabric"] = {};
    AWS2.AppFabric = Service.defineService("appfabric", ["2023-05-19"]);
    Object.defineProperty(apiLoader.services["appfabric"], "2023-05-19", {
      get: function get() {
        var model = require_appfabric_2023_05_19_min();
        model.paginators = require_appfabric_2023_05_19_paginators().pagination;
        model.waiters = require_appfabric_2023_05_19_waiters2().waiters;
        return model;
      },
      enumerable: true,
      configurable: true
    });
    module2.exports = AWS2.AppFabric;
  }
});

// node_modules/aws-sdk/clients/all.js
var require_all = __commonJS({
  "node_modules/aws-sdk/clients/all.js"(exports, module2) {
    require_node_loader();
    module2.exports = {
      ACM: require_acm(),
      APIGateway: require_apigateway2(),
      ApplicationAutoScaling: require_applicationautoscaling(),
      AppStream: require_appstream(),
      AutoScaling: require_autoscaling(),
      Batch: require_batch(),
      Budgets: require_budgets(),
      CloudDirectory: require_clouddirectory(),
      CloudFormation: require_cloudformation(),
      CloudFront: require_cloudfront2(),
      CloudHSM: require_cloudhsm(),
      CloudSearch: require_cloudsearch(),
      CloudSearchDomain: require_cloudsearchdomain2(),
      CloudTrail: require_cloudtrail(),
      CloudWatch: require_cloudwatch(),
      CloudWatchEvents: require_cloudwatchevents(),
      CloudWatchLogs: require_cloudwatchlogs(),
      CodeBuild: require_codebuild(),
      CodeCommit: require_codecommit(),
      CodeDeploy: require_codedeploy(),
      CodePipeline: require_codepipeline(),
      CognitoIdentity: require_cognitoidentity(),
      CognitoIdentityServiceProvider: require_cognitoidentityserviceprovider(),
      CognitoSync: require_cognitosync(),
      ConfigService: require_configservice(),
      CUR: require_cur(),
      DataPipeline: require_datapipeline(),
      DeviceFarm: require_devicefarm(),
      DirectConnect: require_directconnect(),
      DirectoryService: require_directoryservice(),
      Discovery: require_discovery(),
      DMS: require_dms(),
      DynamoDB: require_dynamodb2(),
      DynamoDBStreams: require_dynamodbstreams(),
      EC2: require_ec22(),
      ECR: require_ecr(),
      ECS: require_ecs(),
      EFS: require_efs(),
      ElastiCache: require_elasticache(),
      ElasticBeanstalk: require_elasticbeanstalk(),
      ELB: require_elb(),
      ELBv2: require_elbv2(),
      EMR: require_emr(),
      ES: require_es(),
      ElasticTranscoder: require_elastictranscoder(),
      Firehose: require_firehose(),
      GameLift: require_gamelift(),
      Glacier: require_glacier2(),
      Health: require_health(),
      IAM: require_iam(),
      ImportExport: require_importexport(),
      Inspector: require_inspector(),
      Iot: require_iot(),
      IotData: require_iotdata2(),
      Kinesis: require_kinesis(),
      KinesisAnalytics: require_kinesisanalytics(),
      KMS: require_kms(),
      Lambda: require_lambda2(),
      LexRuntime: require_lexruntime(),
      Lightsail: require_lightsail(),
      MachineLearning: require_machinelearning2(),
      MarketplaceCommerceAnalytics: require_marketplacecommerceanalytics(),
      MarketplaceMetering: require_marketplacemetering(),
      MTurk: require_mturk(),
      MobileAnalytics: require_mobileanalytics(),
      OpsWorks: require_opsworks(),
      OpsWorksCM: require_opsworkscm(),
      Organizations: require_organizations(),
      Pinpoint: require_pinpoint(),
      Polly: require_polly2(),
      RDS: require_rds2(),
      Redshift: require_redshift(),
      Rekognition: require_rekognition(),
      ResourceGroupsTaggingAPI: require_resourcegroupstaggingapi(),
      Route53: require_route532(),
      Route53Domains: require_route53domains(),
      S3: require_s33(),
      S3Control: require_s3control2(),
      ServiceCatalog: require_servicecatalog(),
      SES: require_ses(),
      Shield: require_shield(),
      SimpleDB: require_simpledb(),
      SMS: require_sms(),
      Snowball: require_snowball(),
      SNS: require_sns(),
      SQS: require_sqs2(),
      SSM: require_ssm(),
      StorageGateway: require_storagegateway(),
      StepFunctions: require_stepfunctions(),
      STS: require_sts2(),
      Support: require_support(),
      SWF: require_swf2(),
      XRay: require_xray(),
      WAF: require_waf(),
      WAFRegional: require_wafregional(),
      WorkDocs: require_workdocs(),
      WorkSpaces: require_workspaces(),
      CodeStar: require_codestar(),
      LexModelBuildingService: require_lexmodelbuildingservice(),
      MarketplaceEntitlementService: require_marketplaceentitlementservice(),
      Athena: require_athena(),
      Greengrass: require_greengrass(),
      DAX: require_dax(),
      MigrationHub: require_migrationhub(),
      CloudHSMV2: require_cloudhsmv2(),
      Glue: require_glue(),
      Mobile: require_mobile(),
      Pricing: require_pricing(),
      CostExplorer: require_costexplorer(),
      MediaConvert: require_mediaconvert(),
      MediaLive: require_medialive(),
      MediaPackage: require_mediapackage(),
      MediaStore: require_mediastore(),
      MediaStoreData: require_mediastoredata(),
      AppSync: require_appsync(),
      GuardDuty: require_guardduty(),
      MQ: require_mq(),
      Comprehend: require_comprehend(),
      IoTJobsDataPlane: require_iotjobsdataplane(),
      KinesisVideoArchivedMedia: require_kinesisvideoarchivedmedia(),
      KinesisVideoMedia: require_kinesisvideomedia(),
      KinesisVideo: require_kinesisvideo(),
      SageMakerRuntime: require_sagemakerruntime(),
      SageMaker: require_sagemaker(),
      Translate: require_translate(),
      ResourceGroups: require_resourcegroups(),
      AlexaForBusiness: require_alexaforbusiness(),
      Cloud9: require_cloud9(),
      ServerlessApplicationRepository: require_serverlessapplicationrepository(),
      ServiceDiscovery: require_servicediscovery(),
      WorkMail: require_workmail(),
      AutoScalingPlans: require_autoscalingplans(),
      TranscribeService: require_transcribeservice(),
      Connect: require_connect(),
      ACMPCA: require_acmpca(),
      FMS: require_fms(),
      SecretsManager: require_secretsmanager(),
      IoTAnalytics: require_iotanalytics(),
      IoT1ClickDevicesService: require_iot1clickdevicesservice(),
      IoT1ClickProjects: require_iot1clickprojects(),
      PI: require_pi(),
      Neptune: require_neptune2(),
      MediaTailor: require_mediatailor(),
      EKS: require_eks(),
      Macie: require_macie(),
      DLM: require_dlm(),
      Signer: require_signer3(),
      Chime: require_chime(),
      PinpointEmail: require_pinpointemail(),
      RAM: require_ram(),
      Route53Resolver: require_route53resolver(),
      PinpointSMSVoice: require_pinpointsmsvoice(),
      QuickSight: require_quicksight(),
      RDSDataService: require_rdsdataservice2(),
      Amplify: require_amplify(),
      DataSync: require_datasync(),
      RoboMaker: require_robomaker(),
      Transfer: require_transfer(),
      GlobalAccelerator: require_globalaccelerator(),
      ComprehendMedical: require_comprehendmedical(),
      KinesisAnalyticsV2: require_kinesisanalyticsv2(),
      MediaConnect: require_mediaconnect(),
      FSx: require_fsx(),
      SecurityHub: require_securityhub(),
      AppMesh: require_appmesh(),
      LicenseManager: require_licensemanager(),
      Kafka: require_kafka(),
      ApiGatewayManagementApi: require_apigatewaymanagementapi(),
      ApiGatewayV2: require_apigatewayv2(),
      DocDB: require_docdb2(),
      Backup: require_backup(),
      WorkLink: require_worklink(),
      Textract: require_textract(),
      ManagedBlockchain: require_managedblockchain(),
      MediaPackageVod: require_mediapackagevod(),
      GroundStation: require_groundstation(),
      IoTThingsGraph: require_iotthingsgraph(),
      IoTEvents: require_iotevents(),
      IoTEventsData: require_ioteventsdata(),
      Personalize: require_personalize(),
      PersonalizeEvents: require_personalizeevents(),
      PersonalizeRuntime: require_personalizeruntime(),
      ApplicationInsights: require_applicationinsights(),
      ServiceQuotas: require_servicequotas(),
      EC2InstanceConnect: require_ec2instanceconnect(),
      EventBridge: require_eventbridge2(),
      LakeFormation: require_lakeformation(),
      ForecastService: require_forecastservice(),
      ForecastQueryService: require_forecastqueryservice(),
      QLDB: require_qldb(),
      QLDBSession: require_qldbsession(),
      WorkMailMessageFlow: require_workmailmessageflow(),
      CodeStarNotifications: require_codestarnotifications(),
      SavingsPlans: require_savingsplans(),
      SSO: require_sso(),
      SSOOIDC: require_ssooidc(),
      MarketplaceCatalog: require_marketplacecatalog(),
      DataExchange: require_dataexchange(),
      SESV2: require_sesv2(),
      MigrationHubConfig: require_migrationhubconfig(),
      ConnectParticipant: require_connectparticipant(),
      AppConfig: require_appconfig(),
      IoTSecureTunneling: require_iotsecuretunneling(),
      WAFV2: require_wafv2(),
      ElasticInference: require_elasticinference(),
      Imagebuilder: require_imagebuilder(),
      Schemas: require_schemas(),
      AccessAnalyzer: require_accessanalyzer(),
      CodeGuruReviewer: require_codegurureviewer(),
      CodeGuruProfiler: require_codeguruprofiler(),
      ComputeOptimizer: require_computeoptimizer(),
      FraudDetector: require_frauddetector(),
      Kendra: require_kendra(),
      NetworkManager: require_networkmanager(),
      Outposts: require_outposts(),
      AugmentedAIRuntime: require_augmentedairuntime(),
      EBS: require_ebs(),
      KinesisVideoSignalingChannels: require_kinesisvideosignalingchannels(),
      Detective: require_detective(),
      CodeStarconnections: require_codestarconnections(),
      Synthetics: require_synthetics(),
      IoTSiteWise: require_iotsitewise(),
      Macie2: require_macie2(),
      CodeArtifact: require_codeartifact(),
      Honeycode: require_honeycode(),
      IVS: require_ivs(),
      Braket: require_braket(),
      IdentityStore: require_identitystore(),
      Appflow: require_appflow(),
      RedshiftData: require_redshiftdata(),
      SSOAdmin: require_ssoadmin(),
      TimestreamQuery: require_timestreamquery(),
      TimestreamWrite: require_timestreamwrite(),
      S3Outposts: require_s3outposts(),
      DataBrew: require_databrew(),
      ServiceCatalogAppRegistry: require_servicecatalogappregistry(),
      NetworkFirewall: require_networkfirewall(),
      MWAA: require_mwaa(),
      AmplifyBackend: require_amplifybackend(),
      AppIntegrations: require_appintegrations(),
      ConnectContactLens: require_connectcontactlens(),
      DevOpsGuru: require_devopsguru(),
      ECRPUBLIC: require_ecrpublic(),
      LookoutVision: require_lookoutvision(),
      SageMakerFeatureStoreRuntime: require_sagemakerfeaturestoreruntime(),
      CustomerProfiles: require_customerprofiles(),
      AuditManager: require_auditmanager(),
      EMRcontainers: require_emrcontainers(),
      HealthLake: require_healthlake(),
      SagemakerEdge: require_sagemakeredge(),
      Amp: require_amp(),
      GreengrassV2: require_greengrassv2(),
      IotDeviceAdvisor: require_iotdeviceadvisor(),
      IoTFleetHub: require_iotfleethub(),
      IoTWireless: require_iotwireless(),
      Location: require_location(),
      WellArchitected: require_wellarchitected(),
      LexModelsV2: require_lexmodelsv2(),
      LexRuntimeV2: require_lexruntimev2(),
      Fis: require_fis(),
      LookoutMetrics: require_lookoutmetrics(),
      Mgn: require_mgn(),
      LookoutEquipment: require_lookoutequipment(),
      Nimble: require_nimble(),
      Finspace: require_finspace(),
      Finspacedata: require_finspacedata(),
      SSMContacts: require_ssmcontacts(),
      SSMIncidents: require_ssmincidents(),
      ApplicationCostProfiler: require_applicationcostprofiler(),
      AppRunner: require_apprunner(),
      Proton: require_proton(),
      Route53RecoveryCluster: require_route53recoverycluster(),
      Route53RecoveryControlConfig: require_route53recoverycontrolconfig(),
      Route53RecoveryReadiness: require_route53recoveryreadiness(),
      ChimeSDKIdentity: require_chimesdkidentity(),
      ChimeSDKMessaging: require_chimesdkmessaging(),
      SnowDeviceManagement: require_snowdevicemanagement(),
      MemoryDB: require_memorydb(),
      OpenSearch: require_opensearch(),
      KafkaConnect: require_kafkaconnect(),
      VoiceID: require_voiceid(),
      Wisdom: require_wisdom(),
      Account: require_account(),
      CloudControl: require_cloudcontrol(),
      Grafana: require_grafana(),
      Panorama: require_panorama(),
      ChimeSDKMeetings: require_chimesdkmeetings(),
      Resiliencehub: require_resiliencehub(),
      MigrationHubStrategy: require_migrationhubstrategy(),
      AppConfigData: require_appconfigdata(),
      Drs: require_drs(),
      MigrationHubRefactorSpaces: require_migrationhubrefactorspaces(),
      Evidently: require_evidently(),
      Inspector2: require_inspector2(),
      Rbin: require_rbin(),
      RUM: require_rum(),
      BackupGateway: require_backupgateway(),
      IoTTwinMaker: require_iottwinmaker(),
      WorkSpacesWeb: require_workspacesweb(),
      AmplifyUIBuilder: require_amplifyuibuilder(),
      Keyspaces: require_keyspaces(),
      Billingconductor: require_billingconductor(),
      GameSparks: require_gamesparks(),
      PinpointSMSVoiceV2: require_pinpointsmsvoicev2(),
      Ivschat: require_ivschat(),
      ChimeSDKMediaPipelines: require_chimesdkmediapipelines(),
      EMRServerless: require_emrserverless(),
      M2: require_m2(),
      ConnectCampaigns: require_connectcampaigns(),
      RedshiftServerless: require_redshiftserverless(),
      RolesAnywhere: require_rolesanywhere(),
      LicenseManagerUserSubscriptions: require_licensemanagerusersubscriptions(),
      BackupStorage: require_backupstorage(),
      PrivateNetworks: require_privatenetworks(),
      SupportApp: require_supportapp(),
      ControlTower: require_controltower(),
      IoTFleetWise: require_iotfleetwise(),
      MigrationHubOrchestrator: require_migrationhuborchestrator(),
      ConnectCases: require_connectcases(),
      ResourceExplorer2: require_resourceexplorer2(),
      Scheduler: require_scheduler(),
      ChimeSDKVoice: require_chimesdkvoice(),
      IoTRoboRunner: require_iotroborunner(),
      SsmSap: require_ssmsap(),
      OAM: require_oam(),
      ARCZonalShift: require_arczonalshift(),
      Omics: require_omics(),
      OpenSearchServerless: require_opensearchserverless(),
      SecurityLake: require_securitylake(),
      SimSpaceWeaver: require_simspaceweaver(),
      DocDBElastic: require_docdbelastic(),
      SageMakerGeospatial: require_sagemakergeospatial(),
      CodeCatalyst: require_codecatalyst(),
      Pipes: require_pipes(),
      SageMakerMetrics: require_sagemakermetrics(),
      KinesisVideoWebRTCStorage: require_kinesisvideowebrtcstorage(),
      LicenseManagerLinuxSubscriptions: require_licensemanagerlinuxsubscriptions(),
      KendraRanking: require_kendraranking(),
      CleanRooms: require_cleanrooms(),
      CloudTrailData: require_cloudtraildata(),
      Tnb: require_tnb(),
      InternetMonitor: require_internetmonitor(),
      IVSRealTime: require_ivsrealtime(),
      VPCLattice: require_vpclattice(),
      OSIS: require_osis(),
      MediaPackageV2: require_mediapackagev2(),
      PaymentCryptography: require_paymentcryptography(),
      PaymentCryptographyData: require_paymentcryptographydata(),
      CodeGuruSecurity: require_codegurusecurity(),
      VerifiedPermissions: require_verifiedpermissions(),
      AppFabric: require_appfabric()
    };
  }
});

// node_modules/aws-sdk/lib/aws.js
var require_aws = __commonJS({
  "node_modules/aws-sdk/lib/aws.js"(exports, module2) {
    require_node_loader();
    var AWS2 = require_core();
    require_all();
    module2.exports = AWS2;
  }
});

// src/account-provider/on-event-handler.lambda.ts
var on_event_handler_lambda_exports = {};
__export(on_event_handler_lambda_exports, {
  handler: () => handler
});
module.exports = __toCommonJS(on_event_handler_lambda_exports);
var import_aws_sdk = __toESM(require_aws());
var organizationsClient;
async function handler(event) {
  var _a;
  console.log(`Request of type ${event.RequestType} received`);
  if (!organizationsClient) {
    organizationsClient = new import_aws_sdk.Organizations({ region: "us-east-1" });
  }
  console.log("Payload: %j", event);
  const { Email, AccountName, RoleName, IamUserAccessToBilling } = event.ResourceProperties;
  if (event.RequestType == "Create") {
    const response = await organizationsClient.createAccount({
      Email,
      AccountName,
      RoleName,
      IamUserAccessToBilling
    }).promise();
    console.log("Creating account: %j", response);
    return {
      Data: { ...event.ResourceProperties, CreateAccountStatusId: (_a = response.CreateAccountStatus) == null ? void 0 : _a.Id }
    };
  }
  return {
    ...event,
    Data: {
      ...event.ResourceProperties
    }
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  handler
});
/*! Bundled license information:

sax/lib/sax.js:
  (*! http://mths.be/fromcodepoint v0.1.0 by @mathias *)
*/
